# encoding: utf-8
#
# This file is machine generated.  DO NOT EDIT!
#
if Kernel.respond_to?(:require_relative)
  require_relative("./helper")
else
  $:.unshift(File.dirname(__FILE__))
  require 'helper'
end
#
# == Purpose
#
# Tests for the #{UTF8::Validator} implementation.
#
# Test data pulled and generated from:
#
# https://www.unicode.org/Public/10.0.0/ucd/
#
class TestUnicode10BidiMirroring < Test::Unit::TestCase
  #
  def setup
    @validator = UTF8::Validator.new
    @vercheck = ((RUBY_VERSION =~ /1.9/) or (RUBY_VERSION =~ /2./)) ? true : false
  end

  #
  def teardown
    @validator = nil
  end

  def test_unicode10_BidiMirroring
    test_data = [
      "\u0028",  # LEFT PARENTHESIS
      "\u0029",  # RIGHT PARENTHESIS
      "\u003C",  # LESS-THAN SIGN
      "\u003E",  # GREATER-THAN SIGN
      "\u005B",  # LEFT SQUARE BRACKET
      "\u005D",  # RIGHT SQUARE BRACKET
      "\u007B",  # LEFT CURLY BRACKET
      "\u007D",  # RIGHT CURLY BRACKET
      "\u00AB",  # LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
      "\u00BB",  # RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
      "\u0F3A",  # TIBETAN MARK GUG RTAGS GYON
      "\u0F3B",  # TIBETAN MARK GUG RTAGS GYAS
      "\u0F3C",  # TIBETAN MARK ANG KHANG GYON
      "\u0F3D",  # TIBETAN MARK ANG KHANG GYAS
      "\u169B",  # OGHAM FEATHER MARK
      "\u169C",  # OGHAM REVERSED FEATHER MARK
      "\u2039",  # SINGLE LEFT-POINTING ANGLE QUOTATION MARK
      "\u203A",  # SINGLE RIGHT-POINTING ANGLE QUOTATION MARK
      "\u2045",  # LEFT SQUARE BRACKET WITH QUILL
      "\u2046",  # RIGHT SQUARE BRACKET WITH QUILL
      "\u207D",  # SUPERSCRIPT LEFT PARENTHESIS
      "\u207E",  # SUPERSCRIPT RIGHT PARENTHESIS
      "\u208D",  # SUBSCRIPT LEFT PARENTHESIS
      "\u208E",  # SUBSCRIPT RIGHT PARENTHESIS
      "\u2208",  # ELEMENT OF
      "\u2209",  # NOT AN ELEMENT OF
      "\u220A",  # SMALL ELEMENT OF
      "\u220B",  # CONTAINS AS MEMBER
      "\u220C",  # DOES NOT CONTAIN AS MEMBER
      "\u220D",  # SMALL CONTAINS AS MEMBER
      "\u2215",  # DIVISION SLASH
      "\u223C",  # TILDE OPERATOR
      "\u223D",  # REVERSED TILDE
      "\u2243",  # ASYMPTOTICALLY EQUAL TO
      "\u2252",  # APPROXIMATELY EQUAL TO OR THE IMAGE OF
      "\u2253",  # IMAGE OF OR APPROXIMATELY EQUAL TO
      "\u2254",  # COLON EQUALS
      "\u2255",  # EQUALS COLON
      "\u2264",  # LESS-THAN OR EQUAL TO
      "\u2265",  # GREATER-THAN OR EQUAL TO
      "\u2266",  # LESS-THAN OVER EQUAL TO
      "\u2267",  # GREATER-THAN OVER EQUAL TO
      "\u2268",  # [BEST FIT] LESS-THAN BUT NOT EQUAL TO
      "\u2269",  # [BEST FIT] GREATER-THAN BUT NOT EQUAL TO
      "\u226A",  # MUCH LESS-THAN
      "\u226B",  # MUCH GREATER-THAN
      "\u226E",  # [BEST FIT] NOT LESS-THAN
      "\u226F",  # [BEST FIT] NOT GREATER-THAN
      "\u2270",  # [BEST FIT] NEITHER LESS-THAN NOR EQUAL TO
      "\u2271",  # [BEST FIT] NEITHER GREATER-THAN NOR EQUAL TO
      "\u2272",  # [BEST FIT] LESS-THAN OR EQUIVALENT TO
      "\u2273",  # [BEST FIT] GREATER-THAN OR EQUIVALENT TO
      "\u2274",  # [BEST FIT] NEITHER LESS-THAN NOR EQUIVALENT TO
      "\u2275",  # [BEST FIT] NEITHER GREATER-THAN NOR EQUIVALENT TO
      "\u2276",  # LESS-THAN OR GREATER-THAN
      "\u2277",  # GREATER-THAN OR LESS-THAN
      "\u2278",  # [BEST FIT] NEITHER LESS-THAN NOR GREATER-THAN
      "\u2279",  # [BEST FIT] NEITHER GREATER-THAN NOR LESS-THAN
      "\u227A",  # PRECEDES
      "\u227B",  # SUCCEEDS
      "\u227C",  # PRECEDES OR EQUAL TO
      "\u227D",  # SUCCEEDS OR EQUAL TO
      "\u227E",  # [BEST FIT] PRECEDES OR EQUIVALENT TO
      "\u227F",  # [BEST FIT] SUCCEEDS OR EQUIVALENT TO
      "\u2280",  # [BEST FIT] DOES NOT PRECEDE
      "\u2281",  # [BEST FIT] DOES NOT SUCCEED
      "\u2282",  # SUBSET OF
      "\u2283",  # SUPERSET OF
      "\u2284",  # [BEST FIT] NOT A SUBSET OF
      "\u2285",  # [BEST FIT] NOT A SUPERSET OF
      "\u2286",  # SUBSET OF OR EQUAL TO
      "\u2287",  # SUPERSET OF OR EQUAL TO
      "\u2288",  # [BEST FIT] NEITHER A SUBSET OF NOR EQUAL TO
      "\u2289",  # [BEST FIT] NEITHER A SUPERSET OF NOR EQUAL TO
      "\u228A",  # [BEST FIT] SUBSET OF WITH NOT EQUAL TO
      "\u228B",  # [BEST FIT] SUPERSET OF WITH NOT EQUAL TO
      "\u228F",  # SQUARE IMAGE OF
      "\u2290",  # SQUARE ORIGINAL OF
      "\u2291",  # SQUARE IMAGE OF OR EQUAL TO
      "\u2292",  # SQUARE ORIGINAL OF OR EQUAL TO
      "\u2298",  # CIRCLED DIVISION SLASH
      "\u22A2",  # RIGHT TACK
      "\u22A3",  # LEFT TACK
      "\u22A6",  # ASSERTION
      "\u22A8",  # TRUE
      "\u22A9",  # FORCES
      "\u22AB",  # DOUBLE VERTICAL BAR DOUBLE RIGHT TURNSTILE
      "\u22B0",  # PRECEDES UNDER RELATION
      "\u22B1",  # SUCCEEDS UNDER RELATION
      "\u22B2",  # NORMAL SUBGROUP OF
      "\u22B3",  # CONTAINS AS NORMAL SUBGROUP
      "\u22B4",  # NORMAL SUBGROUP OF OR EQUAL TO
      "\u22B5",  # CONTAINS AS NORMAL SUBGROUP OR EQUAL TO
      "\u22B6",  # ORIGINAL OF
      "\u22B7",  # IMAGE OF
      "\u22C9",  # LEFT NORMAL FACTOR SEMIDIRECT PRODUCT
      "\u22CA",  # RIGHT NORMAL FACTOR SEMIDIRECT PRODUCT
      "\u22CB",  # LEFT SEMIDIRECT PRODUCT
      "\u22CC",  # RIGHT SEMIDIRECT PRODUCT
      "\u22CD",  # REVERSED TILDE EQUALS
      "\u22D0",  # DOUBLE SUBSET
      "\u22D1",  # DOUBLE SUPERSET
      "\u22D6",  # LESS-THAN WITH DOT
      "\u22D7",  # GREATER-THAN WITH DOT
      "\u22D8",  # VERY MUCH LESS-THAN
      "\u22D9",  # VERY MUCH GREATER-THAN
      "\u22DA",  # LESS-THAN EQUAL TO OR GREATER-THAN
      "\u22DB",  # GREATER-THAN EQUAL TO OR LESS-THAN
      "\u22DC",  # EQUAL TO OR LESS-THAN
      "\u22DD",  # EQUAL TO OR GREATER-THAN
      "\u22DE",  # EQUAL TO OR PRECEDES
      "\u22DF",  # EQUAL TO OR SUCCEEDS
      "\u22E0",  # [BEST FIT] DOES NOT PRECEDE OR EQUAL
      "\u22E1",  # [BEST FIT] DOES NOT SUCCEED OR EQUAL
      "\u22E2",  # [BEST FIT] NOT SQUARE IMAGE OF OR EQUAL TO
      "\u22E3",  # [BEST FIT] NOT SQUARE ORIGINAL OF OR EQUAL TO
      "\u22E4",  # [BEST FIT] SQUARE IMAGE OF OR NOT EQUAL TO
      "\u22E5",  # [BEST FIT] SQUARE ORIGINAL OF OR NOT EQUAL TO
      "\u22E6",  # [BEST FIT] LESS-THAN BUT NOT EQUIVALENT TO
      "\u22E7",  # [BEST FIT] GREATER-THAN BUT NOT EQUIVALENT TO
      "\u22E8",  # [BEST FIT] PRECEDES BUT NOT EQUIVALENT TO
      "\u22E9",  # [BEST FIT] SUCCEEDS BUT NOT EQUIVALENT TO
      "\u22EA",  # [BEST FIT] NOT NORMAL SUBGROUP OF
      "\u22EB",  # [BEST FIT] DOES NOT CONTAIN AS NORMAL SUBGROUP
      "\u22EC",  # [BEST FIT] NOT NORMAL SUBGROUP OF OR EQUAL TO
      "\u22ED",  # [BEST FIT] DOES NOT CONTAIN AS NORMAL SUBGROUP OR EQUAL
      "\u22F0",  # UP RIGHT DIAGONAL ELLIPSIS
      "\u22F1",  # DOWN RIGHT DIAGONAL ELLIPSIS
      "\u22F2",  # ELEMENT OF WITH LONG HORIZONTAL STROKE
      "\u22F3",  # ELEMENT OF WITH VERTICAL BAR AT END OF HORIZONTAL STROKE
      "\u22F4",  # SMALL ELEMENT OF WITH VERTICAL BAR AT END OF HORIZONTAL STROKE
      "\u22F6",  # ELEMENT OF WITH OVERBAR
      "\u22F7",  # SMALL ELEMENT OF WITH OVERBAR
      "\u22FA",  # CONTAINS WITH LONG HORIZONTAL STROKE
      "\u22FB",  # CONTAINS WITH VERTICAL BAR AT END OF HORIZONTAL STROKE
      "\u22FC",  # SMALL CONTAINS WITH VERTICAL BAR AT END OF HORIZONTAL STROKE
      "\u22FD",  # CONTAINS WITH OVERBAR
      "\u22FE",  # SMALL CONTAINS WITH OVERBAR
      "\u2308",  # LEFT CEILING
      "\u2309",  # RIGHT CEILING
      "\u230A",  # LEFT FLOOR
      "\u230B",  # RIGHT FLOOR
      "\u2329",  # LEFT-POINTING ANGLE BRACKET
      "\u232A",  # RIGHT-POINTING ANGLE BRACKET
      "\u2768",  # MEDIUM LEFT PARENTHESIS ORNAMENT
      "\u2769",  # MEDIUM RIGHT PARENTHESIS ORNAMENT
      "\u276A",  # MEDIUM FLATTENED LEFT PARENTHESIS ORNAMENT
      "\u276B",  # MEDIUM FLATTENED RIGHT PARENTHESIS ORNAMENT
      "\u276C",  # MEDIUM LEFT-POINTING ANGLE BRACKET ORNAMENT
      "\u276D",  # MEDIUM RIGHT-POINTING ANGLE BRACKET ORNAMENT
      "\u276E",  # HEAVY LEFT-POINTING ANGLE QUOTATION MARK ORNAMENT
      "\u276F",  # HEAVY RIGHT-POINTING ANGLE QUOTATION MARK ORNAMENT
      "\u2770",  # HEAVY LEFT-POINTING ANGLE BRACKET ORNAMENT
      "\u2771",  # HEAVY RIGHT-POINTING ANGLE BRACKET ORNAMENT
      "\u2772",  # LIGHT LEFT TORTOISE SHELL BRACKET ORNAMENT
      "\u2773",  # LIGHT RIGHT TORTOISE SHELL BRACKET ORNAMENT
      "\u2774",  # MEDIUM LEFT CURLY BRACKET ORNAMENT
      "\u2775",  # MEDIUM RIGHT CURLY BRACKET ORNAMENT
      "\u27C3",  # OPEN SUBSET
      "\u27C4",  # OPEN SUPERSET
      "\u27C5",  # LEFT S-SHAPED BAG DELIMITER
      "\u27C6",  # RIGHT S-SHAPED BAG DELIMITER
      "\u27C8",  # REVERSE SOLIDUS PRECEDING SUBSET
      "\u27C9",  # SUPERSET PRECEDING SOLIDUS
      "\u27CB",  # MATHEMATICAL RISING DIAGONAL
      "\u27CD",  # MATHEMATICAL FALLING DIAGONAL
      "\u27D5",  # LEFT OUTER JOIN
      "\u27D6",  # RIGHT OUTER JOIN
      "\u27DD",  # LONG RIGHT TACK
      "\u27DE",  # LONG LEFT TACK
      "\u27E2",  # WHITE CONCAVE-SIDED DIAMOND WITH LEFTWARDS TICK
      "\u27E3",  # WHITE CONCAVE-SIDED DIAMOND WITH RIGHTWARDS TICK
      "\u27E4",  # WHITE SQUARE WITH LEFTWARDS TICK
      "\u27E5",  # WHITE SQUARE WITH RIGHTWARDS TICK
      "\u27E6",  # MATHEMATICAL LEFT WHITE SQUARE BRACKET
      "\u27E7",  # MATHEMATICAL RIGHT WHITE SQUARE BRACKET
      "\u27E8",  # MATHEMATICAL LEFT ANGLE BRACKET
      "\u27E9",  # MATHEMATICAL RIGHT ANGLE BRACKET
      "\u27EA",  # MATHEMATICAL LEFT DOUBLE ANGLE BRACKET
      "\u27EB",  # MATHEMATICAL RIGHT DOUBLE ANGLE BRACKET
      "\u27EC",  # MATHEMATICAL LEFT WHITE TORTOISE SHELL BRACKET
      "\u27ED",  # MATHEMATICAL RIGHT WHITE TORTOISE SHELL BRACKET
      "\u27EE",  # MATHEMATICAL LEFT FLATTENED PARENTHESIS
      "\u27EF",  # MATHEMATICAL RIGHT FLATTENED PARENTHESIS
      "\u2983",  # LEFT WHITE CURLY BRACKET
      "\u2984",  # RIGHT WHITE CURLY BRACKET
      "\u2985",  # LEFT WHITE PARENTHESIS
      "\u2986",  # RIGHT WHITE PARENTHESIS
      "\u2987",  # Z NOTATION LEFT IMAGE BRACKET
      "\u2988",  # Z NOTATION RIGHT IMAGE BRACKET
      "\u2989",  # Z NOTATION LEFT BINDING BRACKET
      "\u298A",  # Z NOTATION RIGHT BINDING BRACKET
      "\u298B",  # LEFT SQUARE BRACKET WITH UNDERBAR
      "\u298C",  # RIGHT SQUARE BRACKET WITH UNDERBAR
      "\u298D",  # LEFT SQUARE BRACKET WITH TICK IN TOP CORNER
      "\u298E",  # RIGHT SQUARE BRACKET WITH TICK IN BOTTOM CORNER
      "\u298F",  # LEFT SQUARE BRACKET WITH TICK IN BOTTOM CORNER
      "\u2990",  # RIGHT SQUARE BRACKET WITH TICK IN TOP CORNER
      "\u2991",  # LEFT ANGLE BRACKET WITH DOT
      "\u2992",  # RIGHT ANGLE BRACKET WITH DOT
      "\u2993",  # LEFT ARC LESS-THAN BRACKET
      "\u2994",  # RIGHT ARC GREATER-THAN BRACKET
      "\u2995",  # DOUBLE LEFT ARC GREATER-THAN BRACKET
      "\u2996",  # DOUBLE RIGHT ARC LESS-THAN BRACKET
      "\u2997",  # LEFT BLACK TORTOISE SHELL BRACKET
      "\u2998",  # RIGHT BLACK TORTOISE SHELL BRACKET
      "\u29B8",  # CIRCLED REVERSE SOLIDUS
      "\u29C0",  # CIRCLED LESS-THAN
      "\u29C1",  # CIRCLED GREATER-THAN
      "\u29C4",  # SQUARED RISING DIAGONAL SLASH
      "\u29C5",  # SQUARED FALLING DIAGONAL SLASH
      "\u29CF",  # LEFT TRIANGLE BESIDE VERTICAL BAR
      "\u29D0",  # VERTICAL BAR BESIDE RIGHT TRIANGLE
      "\u29D1",  # BOWTIE WITH LEFT HALF BLACK
      "\u29D2",  # BOWTIE WITH RIGHT HALF BLACK
      "\u29D4",  # TIMES WITH LEFT HALF BLACK
      "\u29D5",  # TIMES WITH RIGHT HALF BLACK
      "\u29D8",  # LEFT WIGGLY FENCE
      "\u29D9",  # RIGHT WIGGLY FENCE
      "\u29DA",  # LEFT DOUBLE WIGGLY FENCE
      "\u29DB",  # RIGHT DOUBLE WIGGLY FENCE
      "\u29F5",  # REVERSE SOLIDUS OPERATOR
      "\u29F8",  # BIG SOLIDUS
      "\u29F9",  # BIG REVERSE SOLIDUS
      "\u29FC",  # LEFT-POINTING CURVED ANGLE BRACKET
      "\u29FD",  # RIGHT-POINTING CURVED ANGLE BRACKET
      "\u2A2B",  # MINUS SIGN WITH FALLING DOTS
      "\u2A2C",  # MINUS SIGN WITH RISING DOTS
      "\u2A2D",  # PLUS SIGN IN LEFT HALF CIRCLE
      "\u2A2E",  # PLUS SIGN IN RIGHT HALF CIRCLE
      "\u2A34",  # MULTIPLICATION SIGN IN LEFT HALF CIRCLE
      "\u2A35",  # MULTIPLICATION SIGN IN RIGHT HALF CIRCLE
      "\u2A3C",  # INTERIOR PRODUCT
      "\u2A3D",  # RIGHTHAND INTERIOR PRODUCT
      "\u2A64",  # Z NOTATION DOMAIN ANTIRESTRICTION
      "\u2A65",  # Z NOTATION RANGE ANTIRESTRICTION
      "\u2A79",  # LESS-THAN WITH CIRCLE INSIDE
      "\u2A7A",  # GREATER-THAN WITH CIRCLE INSIDE
      "\u2A7D",  # LESS-THAN OR SLANTED EQUAL TO
      "\u2A7E",  # GREATER-THAN OR SLANTED EQUAL TO
      "\u2A7F",  # LESS-THAN OR SLANTED EQUAL TO WITH DOT INSIDE
      "\u2A80",  # GREATER-THAN OR SLANTED EQUAL TO WITH DOT INSIDE
      "\u2A81",  # LESS-THAN OR SLANTED EQUAL TO WITH DOT ABOVE
      "\u2A82",  # GREATER-THAN OR SLANTED EQUAL TO WITH DOT ABOVE
      "\u2A83",  # LESS-THAN OR SLANTED EQUAL TO WITH DOT ABOVE RIGHT
      "\u2A84",  # GREATER-THAN OR SLANTED EQUAL TO WITH DOT ABOVE LEFT
      "\u2A8B",  # LESS-THAN ABOVE DOUBLE-LINE EQUAL ABOVE GREATER-THAN
      "\u2A8C",  # GREATER-THAN ABOVE DOUBLE-LINE EQUAL ABOVE LESS-THAN
      "\u2A91",  # LESS-THAN ABOVE GREATER-THAN ABOVE DOUBLE-LINE EQUAL
      "\u2A92",  # GREATER-THAN ABOVE LESS-THAN ABOVE DOUBLE-LINE EQUAL
      "\u2A93",  # LESS-THAN ABOVE SLANTED EQUAL ABOVE GREATER-THAN ABOVE SLANTED EQUAL
      "\u2A94",  # GREATER-THAN ABOVE SLANTED EQUAL ABOVE LESS-THAN ABOVE SLANTED EQUAL
      "\u2A95",  # SLANTED EQUAL TO OR LESS-THAN
      "\u2A96",  # SLANTED EQUAL TO OR GREATER-THAN
      "\u2A97",  # SLANTED EQUAL TO OR LESS-THAN WITH DOT INSIDE
      "\u2A98",  # SLANTED EQUAL TO OR GREATER-THAN WITH DOT INSIDE
      "\u2A99",  # DOUBLE-LINE EQUAL TO OR LESS-THAN
      "\u2A9A",  # DOUBLE-LINE EQUAL TO OR GREATER-THAN
      "\u2A9B",  # DOUBLE-LINE SLANTED EQUAL TO OR LESS-THAN
      "\u2A9C",  # DOUBLE-LINE SLANTED EQUAL TO OR GREATER-THAN
      "\u2AA1",  # DOUBLE NESTED LESS-THAN
      "\u2AA2",  # DOUBLE NESTED GREATER-THAN
      "\u2AA6",  # LESS-THAN CLOSED BY CURVE
      "\u2AA7",  # GREATER-THAN CLOSED BY CURVE
      "\u2AA8",  # LESS-THAN CLOSED BY CURVE ABOVE SLANTED EQUAL
      "\u2AA9",  # GREATER-THAN CLOSED BY CURVE ABOVE SLANTED EQUAL
      "\u2AAA",  # SMALLER THAN
      "\u2AAB",  # LARGER THAN
      "\u2AAC",  # SMALLER THAN OR EQUAL TO
      "\u2AAD",  # LARGER THAN OR EQUAL TO
      "\u2AAF",  # PRECEDES ABOVE SINGLE-LINE EQUALS SIGN
      "\u2AB0",  # SUCCEEDS ABOVE SINGLE-LINE EQUALS SIGN
      "\u2AB3",  # PRECEDES ABOVE EQUALS SIGN
      "\u2AB4",  # SUCCEEDS ABOVE EQUALS SIGN
      "\u2ABB",  # DOUBLE PRECEDES
      "\u2ABC",  # DOUBLE SUCCEEDS
      "\u2ABD",  # SUBSET WITH DOT
      "\u2ABE",  # SUPERSET WITH DOT
      "\u2ABF",  # SUBSET WITH PLUS SIGN BELOW
      "\u2AC0",  # SUPERSET WITH PLUS SIGN BELOW
      "\u2AC1",  # SUBSET WITH MULTIPLICATION SIGN BELOW
      "\u2AC2",  # SUPERSET WITH MULTIPLICATION SIGN BELOW
      "\u2AC3",  # SUBSET OF OR EQUAL TO WITH DOT ABOVE
      "\u2AC4",  # SUPERSET OF OR EQUAL TO WITH DOT ABOVE
      "\u2AC5",  # SUBSET OF ABOVE EQUALS SIGN
      "\u2AC6",  # SUPERSET OF ABOVE EQUALS SIGN
      "\u2ACD",  # SQUARE LEFT OPEN BOX OPERATOR
      "\u2ACE",  # SQUARE RIGHT OPEN BOX OPERATOR
      "\u2ACF",  # CLOSED SUBSET
      "\u2AD0",  # CLOSED SUPERSET
      "\u2AD1",  # CLOSED SUBSET OR EQUAL TO
      "\u2AD2",  # CLOSED SUPERSET OR EQUAL TO
      "\u2AD3",  # SUBSET ABOVE SUPERSET
      "\u2AD4",  # SUPERSET ABOVE SUBSET
      "\u2AD5",  # SUBSET ABOVE SUBSET
      "\u2AD6",  # SUPERSET ABOVE SUPERSET
      "\u2ADE",  # SHORT LEFT TACK
      "\u2AE3",  # DOUBLE VERTICAL BAR LEFT TURNSTILE
      "\u2AE4",  # VERTICAL BAR DOUBLE LEFT TURNSTILE
      "\u2AE5",  # DOUBLE VERTICAL BAR DOUBLE LEFT TURNSTILE
      "\u2AEC",  # DOUBLE STROKE NOT SIGN
      "\u2AED",  # REVERSED DOUBLE STROKE NOT SIGN
      "\u2AF7",  # TRIPLE NESTED LESS-THAN
      "\u2AF8",  # TRIPLE NESTED GREATER-THAN
      "\u2AF9",  # DOUBLE-LINE SLANTED LESS-THAN OR EQUAL TO
      "\u2AFA",  # DOUBLE-LINE SLANTED GREATER-THAN OR EQUAL TO
      "\u2E02",  # LEFT SUBSTITUTION BRACKET
      "\u2E03",  # RIGHT SUBSTITUTION BRACKET
      "\u2E04",  # LEFT DOTTED SUBSTITUTION BRACKET
      "\u2E05",  # RIGHT DOTTED SUBSTITUTION BRACKET
      "\u2E09",  # LEFT TRANSPOSITION BRACKET
      "\u2E0A",  # RIGHT TRANSPOSITION BRACKET
      "\u2E0C",  # LEFT RAISED OMISSION BRACKET
      "\u2E0D",  # RIGHT RAISED OMISSION BRACKET
      "\u2E1C",  # LEFT LOW PARAPHRASE BRACKET
      "\u2E1D",  # RIGHT LOW PARAPHRASE BRACKET
      "\u2E20",  # LEFT VERTICAL BAR WITH QUILL
      "\u2E21",  # RIGHT VERTICAL BAR WITH QUILL
      "\u2E22",  # TOP LEFT HALF BRACKET
      "\u2E23",  # TOP RIGHT HALF BRACKET
      "\u2E24",  # BOTTOM LEFT HALF BRACKET
      "\u2E25",  # BOTTOM RIGHT HALF BRACKET
      "\u2E26",  # LEFT SIDEWAYS U BRACKET
      "\u2E27",  # RIGHT SIDEWAYS U BRACKET
      "\u2E28",  # LEFT DOUBLE PARENTHESIS
      "\u2E29",  # RIGHT DOUBLE PARENTHESIS
      "\u3008",  # LEFT ANGLE BRACKET
      "\u3009",  # RIGHT ANGLE BRACKET
      "\u300A",  # LEFT DOUBLE ANGLE BRACKET
      "\u300B",  # RIGHT DOUBLE ANGLE BRACKET
      "\u300C",  # [BEST FIT] LEFT CORNER BRACKET
      "\u300D",  # [BEST FIT] RIGHT CORNER BRACKET
      "\u300E",  # [BEST FIT] LEFT WHITE CORNER BRACKET
      "\u300F",  # [BEST FIT] RIGHT WHITE CORNER BRACKET
      "\u3010",  # LEFT BLACK LENTICULAR BRACKET
      "\u3011",  # RIGHT BLACK LENTICULAR BRACKET
      "\u3014",  # LEFT TORTOISE SHELL BRACKET
      "\u3015",  # RIGHT TORTOISE SHELL BRACKET
      "\u3016",  # LEFT WHITE LENTICULAR BRACKET
      "\u3017",  # RIGHT WHITE LENTICULAR BRACKET
      "\u3018",  # LEFT WHITE TORTOISE SHELL BRACKET
      "\u3019",  # RIGHT WHITE TORTOISE SHELL BRACKET
      "\u301A",  # LEFT WHITE SQUARE BRACKET
      "\u301B",  # RIGHT WHITE SQUARE BRACKET
      "\uFE59",  # SMALL LEFT PARENTHESIS
      "\uFE5A",  # SMALL RIGHT PARENTHESIS
      "\uFE5B",  # SMALL LEFT CURLY BRACKET
      "\uFE5C",  # SMALL RIGHT CURLY BRACKET
      "\uFE5D",  # SMALL LEFT TORTOISE SHELL BRACKET
      "\uFE5E",  # SMALL RIGHT TORTOISE SHELL BRACKET
      "\uFE64",  # SMALL LESS-THAN SIGN
      "\uFE65",  # SMALL GREATER-THAN SIGN
      "\uFF08",  # FULLWIDTH LEFT PARENTHESIS
      "\uFF09",  # FULLWIDTH RIGHT PARENTHESIS
      "\uFF1C",  # FULLWIDTH LESS-THAN SIGN
      "\uFF1E",  # FULLWIDTH GREATER-THAN SIGN
      "\uFF3B",  # FULLWIDTH LEFT SQUARE BRACKET
      "\uFF3D",  # FULLWIDTH RIGHT SQUARE BRACKET
      "\uFF5B",  # FULLWIDTH LEFT CURLY BRACKET
      "\uFF5D",  # FULLWIDTH RIGHT CURLY BRACKET
      "\uFF5F",  # FULLWIDTH LEFT WHITE PARENTHESIS
      "\uFF60",  # FULLWIDTH RIGHT WHITE PARENTHESIS
      "\uFF62",  # [BEST FIT] HALFWIDTH LEFT CORNER BRACKET
      "\uFF63",  # [BEST FIT] HALFWIDTH RIGHT CORNER BRACKET
    ]
    test_data.each do |string|
      assert @validator.valid_encoding?(string), "U10_BidiMirroring: #{string}"
      assert string.force_encoding("UTF-8").valid_encoding?, "U10_BidiMirroring: #{string}" if @vercheck
    end
  end

end
