# encoding: utf-8
#
# This file is machine generated.  DO NOT EDIT!
#
if Kernel.respond_to?(:require_relative)
  require_relative("./helper")
else
  $:.unshift(File.dirname(__FILE__))
  require 'helper'
end
#
# == Purpose
#
# Tests for the #{UTF8::Validator} implementation.
#
# Test data pulled and generated from:
#
# https://www.unicode.org/Public/10.0.0/ucd/
#
class TestUnicode10CaseFolding < Test::Unit::TestCase
  #
  def setup
    @validator = UTF8::Validator.new
    @vercheck = ((RUBY_VERSION =~ /1.9/) or (RUBY_VERSION =~ /2./)) ? true : false
  end

  #
  def teardown
    @validator = nil
  end

  def test_unicode10_CaseFolding
    test_data = [
      "\u0041",  # LATIN CAPITAL LETTER A
      "\u0042",  # LATIN CAPITAL LETTER B
      "\u0043",  # LATIN CAPITAL LETTER C
      "\u0044",  # LATIN CAPITAL LETTER D
      "\u0045",  # LATIN CAPITAL LETTER E
      "\u0046",  # LATIN CAPITAL LETTER F
      "\u0047",  # LATIN CAPITAL LETTER G
      "\u0048",  # LATIN CAPITAL LETTER H
      "\u0049",  # LATIN CAPITAL LETTER I
      "\u0049",  # LATIN CAPITAL LETTER I
      "\u004A",  # LATIN CAPITAL LETTER J
      "\u004B",  # LATIN CAPITAL LETTER K
      "\u004C",  # LATIN CAPITAL LETTER L
      "\u004D",  # LATIN CAPITAL LETTER M
      "\u004E",  # LATIN CAPITAL LETTER N
      "\u004F",  # LATIN CAPITAL LETTER O
      "\u0050",  # LATIN CAPITAL LETTER P
      "\u0051",  # LATIN CAPITAL LETTER Q
      "\u0052",  # LATIN CAPITAL LETTER R
      "\u0053",  # LATIN CAPITAL LETTER S
      "\u0054",  # LATIN CAPITAL LETTER T
      "\u0055",  # LATIN CAPITAL LETTER U
      "\u0056",  # LATIN CAPITAL LETTER V
      "\u0057",  # LATIN CAPITAL LETTER W
      "\u0058",  # LATIN CAPITAL LETTER X
      "\u0059",  # LATIN CAPITAL LETTER Y
      "\u005A",  # LATIN CAPITAL LETTER Z
      "\u00B5",  # MICRO SIGN
      "\u00C0",  # LATIN CAPITAL LETTER A WITH GRAVE
      "\u00C1",  # LATIN CAPITAL LETTER A WITH ACUTE
      "\u00C2",  # LATIN CAPITAL LETTER A WITH CIRCUMFLEX
      "\u00C3",  # LATIN CAPITAL LETTER A WITH TILDE
      "\u00C4",  # LATIN CAPITAL LETTER A WITH DIAERESIS
      "\u00C5",  # LATIN CAPITAL LETTER A WITH RING ABOVE
      "\u00C6",  # LATIN CAPITAL LETTER AE
      "\u00C7",  # LATIN CAPITAL LETTER C WITH CEDILLA
      "\u00C8",  # LATIN CAPITAL LETTER E WITH GRAVE
      "\u00C9",  # LATIN CAPITAL LETTER E WITH ACUTE
      "\u00CA",  # LATIN CAPITAL LETTER E WITH CIRCUMFLEX
      "\u00CB",  # LATIN CAPITAL LETTER E WITH DIAERESIS
      "\u00CC",  # LATIN CAPITAL LETTER I WITH GRAVE
      "\u00CD",  # LATIN CAPITAL LETTER I WITH ACUTE
      "\u00CE",  # LATIN CAPITAL LETTER I WITH CIRCUMFLEX
      "\u00CF",  # LATIN CAPITAL LETTER I WITH DIAERESIS
      "\u00D0",  # LATIN CAPITAL LETTER ETH
      "\u00D1",  # LATIN CAPITAL LETTER N WITH TILDE
      "\u00D2",  # LATIN CAPITAL LETTER O WITH GRAVE
      "\u00D3",  # LATIN CAPITAL LETTER O WITH ACUTE
      "\u00D4",  # LATIN CAPITAL LETTER O WITH CIRCUMFLEX
      "\u00D5",  # LATIN CAPITAL LETTER O WITH TILDE
      "\u00D6",  # LATIN CAPITAL LETTER O WITH DIAERESIS
      "\u00D8",  # LATIN CAPITAL LETTER O WITH STROKE
      "\u00D9",  # LATIN CAPITAL LETTER U WITH GRAVE
      "\u00DA",  # LATIN CAPITAL LETTER U WITH ACUTE
      "\u00DB",  # LATIN CAPITAL LETTER U WITH CIRCUMFLEX
      "\u00DC",  # LATIN CAPITAL LETTER U WITH DIAERESIS
      "\u00DD",  # LATIN CAPITAL LETTER Y WITH ACUTE
      "\u00DE",  # LATIN CAPITAL LETTER THORN
      "\u00DF",  # LATIN SMALL LETTER SHARP S
      "\u0100",  # LATIN CAPITAL LETTER A WITH MACRON
      "\u0102",  # LATIN CAPITAL LETTER A WITH BREVE
      "\u0104",  # LATIN CAPITAL LETTER A WITH OGONEK
      "\u0106",  # LATIN CAPITAL LETTER C WITH ACUTE
      "\u0108",  # LATIN CAPITAL LETTER C WITH CIRCUMFLEX
      "\u010A",  # LATIN CAPITAL LETTER C WITH DOT ABOVE
      "\u010C",  # LATIN CAPITAL LETTER C WITH CARON
      "\u010E",  # LATIN CAPITAL LETTER D WITH CARON
      "\u0110",  # LATIN CAPITAL LETTER D WITH STROKE
      "\u0112",  # LATIN CAPITAL LETTER E WITH MACRON
      "\u0114",  # LATIN CAPITAL LETTER E WITH BREVE
      "\u0116",  # LATIN CAPITAL LETTER E WITH DOT ABOVE
      "\u0118",  # LATIN CAPITAL LETTER E WITH OGONEK
      "\u011A",  # LATIN CAPITAL LETTER E WITH CARON
      "\u011C",  # LATIN CAPITAL LETTER G WITH CIRCUMFLEX
      "\u011E",  # LATIN CAPITAL LETTER G WITH BREVE
      "\u0120",  # LATIN CAPITAL LETTER G WITH DOT ABOVE
      "\u0122",  # LATIN CAPITAL LETTER G WITH CEDILLA
      "\u0124",  # LATIN CAPITAL LETTER H WITH CIRCUMFLEX
      "\u0126",  # LATIN CAPITAL LETTER H WITH STROKE
      "\u0128",  # LATIN CAPITAL LETTER I WITH TILDE
      "\u012A",  # LATIN CAPITAL LETTER I WITH MACRON
      "\u012C",  # LATIN CAPITAL LETTER I WITH BREVE
      "\u012E",  # LATIN CAPITAL LETTER I WITH OGONEK
      "\u0130",  # LATIN CAPITAL LETTER I WITH DOT ABOVE
      "\u0130",  # LATIN CAPITAL LETTER I WITH DOT ABOVE
      "\u0132",  # LATIN CAPITAL LIGATURE IJ
      "\u0134",  # LATIN CAPITAL LETTER J WITH CIRCUMFLEX
      "\u0136",  # LATIN CAPITAL LETTER K WITH CEDILLA
      "\u0139",  # LATIN CAPITAL LETTER L WITH ACUTE
      "\u013B",  # LATIN CAPITAL LETTER L WITH CEDILLA
      "\u013D",  # LATIN CAPITAL LETTER L WITH CARON
      "\u013F",  # LATIN CAPITAL LETTER L WITH MIDDLE DOT
      "\u0141",  # LATIN CAPITAL LETTER L WITH STROKE
      "\u0143",  # LATIN CAPITAL LETTER N WITH ACUTE
      "\u0145",  # LATIN CAPITAL LETTER N WITH CEDILLA
      "\u0147",  # LATIN CAPITAL LETTER N WITH CARON
      "\u0149",  # LATIN SMALL LETTER N PRECEDED BY APOSTROPHE
      "\u014A",  # LATIN CAPITAL LETTER ENG
      "\u014C",  # LATIN CAPITAL LETTER O WITH MACRON
      "\u014E",  # LATIN CAPITAL LETTER O WITH BREVE
      "\u0150",  # LATIN CAPITAL LETTER O WITH DOUBLE ACUTE
      "\u0152",  # LATIN CAPITAL LIGATURE OE
      "\u0154",  # LATIN CAPITAL LETTER R WITH ACUTE
      "\u0156",  # LATIN CAPITAL LETTER R WITH CEDILLA
      "\u0158",  # LATIN CAPITAL LETTER R WITH CARON
      "\u015A",  # LATIN CAPITAL LETTER S WITH ACUTE
      "\u015C",  # LATIN CAPITAL LETTER S WITH CIRCUMFLEX
      "\u015E",  # LATIN CAPITAL LETTER S WITH CEDILLA
      "\u0160",  # LATIN CAPITAL LETTER S WITH CARON
      "\u0162",  # LATIN CAPITAL LETTER T WITH CEDILLA
      "\u0164",  # LATIN CAPITAL LETTER T WITH CARON
      "\u0166",  # LATIN CAPITAL LETTER T WITH STROKE
      "\u0168",  # LATIN CAPITAL LETTER U WITH TILDE
      "\u016A",  # LATIN CAPITAL LETTER U WITH MACRON
      "\u016C",  # LATIN CAPITAL LETTER U WITH BREVE
      "\u016E",  # LATIN CAPITAL LETTER U WITH RING ABOVE
      "\u0170",  # LATIN CAPITAL LETTER U WITH DOUBLE ACUTE
      "\u0172",  # LATIN CAPITAL LETTER U WITH OGONEK
      "\u0174",  # LATIN CAPITAL LETTER W WITH CIRCUMFLEX
      "\u0176",  # LATIN CAPITAL LETTER Y WITH CIRCUMFLEX
      "\u0178",  # LATIN CAPITAL LETTER Y WITH DIAERESIS
      "\u0179",  # LATIN CAPITAL LETTER Z WITH ACUTE
      "\u017B",  # LATIN CAPITAL LETTER Z WITH DOT ABOVE
      "\u017D",  # LATIN CAPITAL LETTER Z WITH CARON
      "\u017F",  # LATIN SMALL LETTER LONG S
      "\u0181",  # LATIN CAPITAL LETTER B WITH HOOK
      "\u0182",  # LATIN CAPITAL LETTER B WITH TOPBAR
      "\u0184",  # LATIN CAPITAL LETTER TONE SIX
      "\u0186",  # LATIN CAPITAL LETTER OPEN O
      "\u0187",  # LATIN CAPITAL LETTER C WITH HOOK
      "\u0189",  # LATIN CAPITAL LETTER AFRICAN D
      "\u018A",  # LATIN CAPITAL LETTER D WITH HOOK
      "\u018B",  # LATIN CAPITAL LETTER D WITH TOPBAR
      "\u018E",  # LATIN CAPITAL LETTER REVERSED E
      "\u018F",  # LATIN CAPITAL LETTER SCHWA
      "\u0190",  # LATIN CAPITAL LETTER OPEN E
      "\u0191",  # LATIN CAPITAL LETTER F WITH HOOK
      "\u0193",  # LATIN CAPITAL LETTER G WITH HOOK
      "\u0194",  # LATIN CAPITAL LETTER GAMMA
      "\u0196",  # LATIN CAPITAL LETTER IOTA
      "\u0197",  # LATIN CAPITAL LETTER I WITH STROKE
      "\u0198",  # LATIN CAPITAL LETTER K WITH HOOK
      "\u019C",  # LATIN CAPITAL LETTER TURNED M
      "\u019D",  # LATIN CAPITAL LETTER N WITH LEFT HOOK
      "\u019F",  # LATIN CAPITAL LETTER O WITH MIDDLE TILDE
      "\u01A0",  # LATIN CAPITAL LETTER O WITH HORN
      "\u01A2",  # LATIN CAPITAL LETTER OI
      "\u01A4",  # LATIN CAPITAL LETTER P WITH HOOK
      "\u01A6",  # LATIN LETTER YR
      "\u01A7",  # LATIN CAPITAL LETTER TONE TWO
      "\u01A9",  # LATIN CAPITAL LETTER ESH
      "\u01AC",  # LATIN CAPITAL LETTER T WITH HOOK
      "\u01AE",  # LATIN CAPITAL LETTER T WITH RETROFLEX HOOK
      "\u01AF",  # LATIN CAPITAL LETTER U WITH HORN
      "\u01B1",  # LATIN CAPITAL LETTER UPSILON
      "\u01B2",  # LATIN CAPITAL LETTER V WITH HOOK
      "\u01B3",  # LATIN CAPITAL LETTER Y WITH HOOK
      "\u01B5",  # LATIN CAPITAL LETTER Z WITH STROKE
      "\u01B7",  # LATIN CAPITAL LETTER EZH
      "\u01B8",  # LATIN CAPITAL LETTER EZH REVERSED
      "\u01BC",  # LATIN CAPITAL LETTER TONE FIVE
      "\u01C4",  # LATIN CAPITAL LETTER DZ WITH CARON
      "\u01C5",  # LATIN CAPITAL LETTER D WITH SMALL LETTER Z WITH CARON
      "\u01C7",  # LATIN CAPITAL LETTER LJ
      "\u01C8",  # LATIN CAPITAL LETTER L WITH SMALL LETTER J
      "\u01CA",  # LATIN CAPITAL LETTER NJ
      "\u01CB",  # LATIN CAPITAL LETTER N WITH SMALL LETTER J
      "\u01CD",  # LATIN CAPITAL LETTER A WITH CARON
      "\u01CF",  # LATIN CAPITAL LETTER I WITH CARON
      "\u01D1",  # LATIN CAPITAL LETTER O WITH CARON
      "\u01D3",  # LATIN CAPITAL LETTER U WITH CARON
      "\u01D5",  # LATIN CAPITAL LETTER U WITH DIAERESIS AND MACRON
      "\u01D7",  # LATIN CAPITAL LETTER U WITH DIAERESIS AND ACUTE
      "\u01D9",  # LATIN CAPITAL LETTER U WITH DIAERESIS AND CARON
      "\u01DB",  # LATIN CAPITAL LETTER U WITH DIAERESIS AND GRAVE
      "\u01DE",  # LATIN CAPITAL LETTER A WITH DIAERESIS AND MACRON
      "\u01E0",  # LATIN CAPITAL LETTER A WITH DOT ABOVE AND MACRON
      "\u01E2",  # LATIN CAPITAL LETTER AE WITH MACRON
      "\u01E4",  # LATIN CAPITAL LETTER G WITH STROKE
      "\u01E6",  # LATIN CAPITAL LETTER G WITH CARON
      "\u01E8",  # LATIN CAPITAL LETTER K WITH CARON
      "\u01EA",  # LATIN CAPITAL LETTER O WITH OGONEK
      "\u01EC",  # LATIN CAPITAL LETTER O WITH OGONEK AND MACRON
      "\u01EE",  # LATIN CAPITAL LETTER EZH WITH CARON
      "\u01F0",  # LATIN SMALL LETTER J WITH CARON
      "\u01F1",  # LATIN CAPITAL LETTER DZ
      "\u01F2",  # LATIN CAPITAL LETTER D WITH SMALL LETTER Z
      "\u01F4",  # LATIN CAPITAL LETTER G WITH ACUTE
      "\u01F6",  # LATIN CAPITAL LETTER HWAIR
      "\u01F7",  # LATIN CAPITAL LETTER WYNN
      "\u01F8",  # LATIN CAPITAL LETTER N WITH GRAVE
      "\u01FA",  # LATIN CAPITAL LETTER A WITH RING ABOVE AND ACUTE
      "\u01FC",  # LATIN CAPITAL LETTER AE WITH ACUTE
      "\u01FE",  # LATIN CAPITAL LETTER O WITH STROKE AND ACUTE
      "\u0200",  # LATIN CAPITAL LETTER A WITH DOUBLE GRAVE
      "\u0202",  # LATIN CAPITAL LETTER A WITH INVERTED BREVE
      "\u0204",  # LATIN CAPITAL LETTER E WITH DOUBLE GRAVE
      "\u0206",  # LATIN CAPITAL LETTER E WITH INVERTED BREVE
      "\u0208",  # LATIN CAPITAL LETTER I WITH DOUBLE GRAVE
      "\u020A",  # LATIN CAPITAL LETTER I WITH INVERTED BREVE
      "\u020C",  # LATIN CAPITAL LETTER O WITH DOUBLE GRAVE
      "\u020E",  # LATIN CAPITAL LETTER O WITH INVERTED BREVE
      "\u0210",  # LATIN CAPITAL LETTER R WITH DOUBLE GRAVE
      "\u0212",  # LATIN CAPITAL LETTER R WITH INVERTED BREVE
      "\u0214",  # LATIN CAPITAL LETTER U WITH DOUBLE GRAVE
      "\u0216",  # LATIN CAPITAL LETTER U WITH INVERTED BREVE
      "\u0218",  # LATIN CAPITAL LETTER S WITH COMMA BELOW
      "\u021A",  # LATIN CAPITAL LETTER T WITH COMMA BELOW
      "\u021C",  # LATIN CAPITAL LETTER YOGH
      "\u021E",  # LATIN CAPITAL LETTER H WITH CARON
      "\u0220",  # LATIN CAPITAL LETTER N WITH LONG RIGHT LEG
      "\u0222",  # LATIN CAPITAL LETTER OU
      "\u0224",  # LATIN CAPITAL LETTER Z WITH HOOK
      "\u0226",  # LATIN CAPITAL LETTER A WITH DOT ABOVE
      "\u0228",  # LATIN CAPITAL LETTER E WITH CEDILLA
      "\u022A",  # LATIN CAPITAL LETTER O WITH DIAERESIS AND MACRON
      "\u022C",  # LATIN CAPITAL LETTER O WITH TILDE AND MACRON
      "\u022E",  # LATIN CAPITAL LETTER O WITH DOT ABOVE
      "\u0230",  # LATIN CAPITAL LETTER O WITH DOT ABOVE AND MACRON
      "\u0232",  # LATIN CAPITAL LETTER Y WITH MACRON
      "\u023A",  # LATIN CAPITAL LETTER A WITH STROKE
      "\u023B",  # LATIN CAPITAL LETTER C WITH STROKE
      "\u023D",  # LATIN CAPITAL LETTER L WITH BAR
      "\u023E",  # LATIN CAPITAL LETTER T WITH DIAGONAL STROKE
      "\u0241",  # LATIN CAPITAL LETTER GLOTTAL STOP
      "\u0243",  # LATIN CAPITAL LETTER B WITH STROKE
      "\u0244",  # LATIN CAPITAL LETTER U BAR
      "\u0245",  # LATIN CAPITAL LETTER TURNED V
      "\u0246",  # LATIN CAPITAL LETTER E WITH STROKE
      "\u0248",  # LATIN CAPITAL LETTER J WITH STROKE
      "\u024A",  # LATIN CAPITAL LETTER SMALL Q WITH HOOK TAIL
      "\u024C",  # LATIN CAPITAL LETTER R WITH STROKE
      "\u024E",  # LATIN CAPITAL LETTER Y WITH STROKE
      "\u0345",  # COMBINING GREEK YPOGEGRAMMENI
      "\u0370",  # GREEK CAPITAL LETTER HETA
      "\u0372",  # GREEK CAPITAL LETTER ARCHAIC SAMPI
      "\u0376",  # GREEK CAPITAL LETTER PAMPHYLIAN DIGAMMA
      "\u037F",  # GREEK CAPITAL LETTER YOT
      "\u0386",  # GREEK CAPITAL LETTER ALPHA WITH TONOS
      "\u0388",  # GREEK CAPITAL LETTER EPSILON WITH TONOS
      "\u0389",  # GREEK CAPITAL LETTER ETA WITH TONOS
      "\u038A",  # GREEK CAPITAL LETTER IOTA WITH TONOS
      "\u038C",  # GREEK CAPITAL LETTER OMICRON WITH TONOS
      "\u038E",  # GREEK CAPITAL LETTER UPSILON WITH TONOS
      "\u038F",  # GREEK CAPITAL LETTER OMEGA WITH TONOS
      "\u0390",  # GREEK SMALL LETTER IOTA WITH DIALYTIKA AND TONOS
      "\u0391",  # GREEK CAPITAL LETTER ALPHA
      "\u0392",  # GREEK CAPITAL LETTER BETA
      "\u0393",  # GREEK CAPITAL LETTER GAMMA
      "\u0394",  # GREEK CAPITAL LETTER DELTA
      "\u0395",  # GREEK CAPITAL LETTER EPSILON
      "\u0396",  # GREEK CAPITAL LETTER ZETA
      "\u0397",  # GREEK CAPITAL LETTER ETA
      "\u0398",  # GREEK CAPITAL LETTER THETA
      "\u0399",  # GREEK CAPITAL LETTER IOTA
      "\u039A",  # GREEK CAPITAL LETTER KAPPA
      "\u039B",  # GREEK CAPITAL LETTER LAMDA
      "\u039C",  # GREEK CAPITAL LETTER MU
      "\u039D",  # GREEK CAPITAL LETTER NU
      "\u039E",  # GREEK CAPITAL LETTER XI
      "\u039F",  # GREEK CAPITAL LETTER OMICRON
      "\u03A0",  # GREEK CAPITAL LETTER PI
      "\u03A1",  # GREEK CAPITAL LETTER RHO
      "\u03A3",  # GREEK CAPITAL LETTER SIGMA
      "\u03A4",  # GREEK CAPITAL LETTER TAU
      "\u03A5",  # GREEK CAPITAL LETTER UPSILON
      "\u03A6",  # GREEK CAPITAL LETTER PHI
      "\u03A7",  # GREEK CAPITAL LETTER CHI
      "\u03A8",  # GREEK CAPITAL LETTER PSI
      "\u03A9",  # GREEK CAPITAL LETTER OMEGA
      "\u03AA",  # GREEK CAPITAL LETTER IOTA WITH DIALYTIKA
      "\u03AB",  # GREEK CAPITAL LETTER UPSILON WITH DIALYTIKA
      "\u03B0",  # GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND TONOS
      "\u03C2",  # GREEK SMALL LETTER FINAL SIGMA
      "\u03CF",  # GREEK CAPITAL KAI SYMBOL
      "\u03D0",  # GREEK BETA SYMBOL
      "\u03D1",  # GREEK THETA SYMBOL
      "\u03D5",  # GREEK PHI SYMBOL
      "\u03D6",  # GREEK PI SYMBOL
      "\u03D8",  # GREEK LETTER ARCHAIC KOPPA
      "\u03DA",  # GREEK LETTER STIGMA
      "\u03DC",  # GREEK LETTER DIGAMMA
      "\u03DE",  # GREEK LETTER KOPPA
      "\u03E0",  # GREEK LETTER SAMPI
      "\u03E2",  # COPTIC CAPITAL LETTER SHEI
      "\u03E4",  # COPTIC CAPITAL LETTER FEI
      "\u03E6",  # COPTIC CAPITAL LETTER KHEI
      "\u03E8",  # COPTIC CAPITAL LETTER HORI
      "\u03EA",  # COPTIC CAPITAL LETTER GANGIA
      "\u03EC",  # COPTIC CAPITAL LETTER SHIMA
      "\u03EE",  # COPTIC CAPITAL LETTER DEI
      "\u03F0",  # GREEK KAPPA SYMBOL
      "\u03F1",  # GREEK RHO SYMBOL
      "\u03F4",  # GREEK CAPITAL THETA SYMBOL
      "\u03F5",  # GREEK LUNATE EPSILON SYMBOL
      "\u03F7",  # GREEK CAPITAL LETTER SHO
      "\u03F9",  # GREEK CAPITAL LUNATE SIGMA SYMBOL
      "\u03FA",  # GREEK CAPITAL LETTER SAN
      "\u03FD",  # GREEK CAPITAL REVERSED LUNATE SIGMA SYMBOL
      "\u03FE",  # GREEK CAPITAL DOTTED LUNATE SIGMA SYMBOL
      "\u03FF",  # GREEK CAPITAL REVERSED DOTTED LUNATE SIGMA SYMBOL
      "\u0400",  # CYRILLIC CAPITAL LETTER IE WITH GRAVE
      "\u0401",  # CYRILLIC CAPITAL LETTER IO
      "\u0402",  # CYRILLIC CAPITAL LETTER DJE
      "\u0403",  # CYRILLIC CAPITAL LETTER GJE
      "\u0404",  # CYRILLIC CAPITAL LETTER UKRAINIAN IE
      "\u0405",  # CYRILLIC CAPITAL LETTER DZE
      "\u0406",  # CYRILLIC CAPITAL LETTER BYELORUSSIAN-UKRAINIAN I
      "\u0407",  # CYRILLIC CAPITAL LETTER YI
      "\u0408",  # CYRILLIC CAPITAL LETTER JE
      "\u0409",  # CYRILLIC CAPITAL LETTER LJE
      "\u040A",  # CYRILLIC CAPITAL LETTER NJE
      "\u040B",  # CYRILLIC CAPITAL LETTER TSHE
      "\u040C",  # CYRILLIC CAPITAL LETTER KJE
      "\u040D",  # CYRILLIC CAPITAL LETTER I WITH GRAVE
      "\u040E",  # CYRILLIC CAPITAL LETTER SHORT U
      "\u040F",  # CYRILLIC CAPITAL LETTER DZHE
      "\u0410",  # CYRILLIC CAPITAL LETTER A
      "\u0411",  # CYRILLIC CAPITAL LETTER BE
      "\u0412",  # CYRILLIC CAPITAL LETTER VE
      "\u0413",  # CYRILLIC CAPITAL LETTER GHE
      "\u0414",  # CYRILLIC CAPITAL LETTER DE
      "\u0415",  # CYRILLIC CAPITAL LETTER IE
      "\u0416",  # CYRILLIC CAPITAL LETTER ZHE
      "\u0417",  # CYRILLIC CAPITAL LETTER ZE
      "\u0418",  # CYRILLIC CAPITAL LETTER I
      "\u0419",  # CYRILLIC CAPITAL LETTER SHORT I
      "\u041A",  # CYRILLIC CAPITAL LETTER KA
      "\u041B",  # CYRILLIC CAPITAL LETTER EL
      "\u041C",  # CYRILLIC CAPITAL LETTER EM
      "\u041D",  # CYRILLIC CAPITAL LETTER EN
      "\u041E",  # CYRILLIC CAPITAL LETTER O
      "\u041F",  # CYRILLIC CAPITAL LETTER PE
      "\u0420",  # CYRILLIC CAPITAL LETTER ER
      "\u0421",  # CYRILLIC CAPITAL LETTER ES
      "\u0422",  # CYRILLIC CAPITAL LETTER TE
      "\u0423",  # CYRILLIC CAPITAL LETTER U
      "\u0424",  # CYRILLIC CAPITAL LETTER EF
      "\u0425",  # CYRILLIC CAPITAL LETTER HA
      "\u0426",  # CYRILLIC CAPITAL LETTER TSE
      "\u0427",  # CYRILLIC CAPITAL LETTER CHE
      "\u0428",  # CYRILLIC CAPITAL LETTER SHA
      "\u0429",  # CYRILLIC CAPITAL LETTER SHCHA
      "\u042A",  # CYRILLIC CAPITAL LETTER HARD SIGN
      "\u042B",  # CYRILLIC CAPITAL LETTER YERU
      "\u042C",  # CYRILLIC CAPITAL LETTER SOFT SIGN
      "\u042D",  # CYRILLIC CAPITAL LETTER E
      "\u042E",  # CYRILLIC CAPITAL LETTER YU
      "\u042F",  # CYRILLIC CAPITAL LETTER YA
      "\u0460",  # CYRILLIC CAPITAL LETTER OMEGA
      "\u0462",  # CYRILLIC CAPITAL LETTER YAT
      "\u0464",  # CYRILLIC CAPITAL LETTER IOTIFIED E
      "\u0466",  # CYRILLIC CAPITAL LETTER LITTLE YUS
      "\u0468",  # CYRILLIC CAPITAL LETTER IOTIFIED LITTLE YUS
      "\u046A",  # CYRILLIC CAPITAL LETTER BIG YUS
      "\u046C",  # CYRILLIC CAPITAL LETTER IOTIFIED BIG YUS
      "\u046E",  # CYRILLIC CAPITAL LETTER KSI
      "\u0470",  # CYRILLIC CAPITAL LETTER PSI
      "\u0472",  # CYRILLIC CAPITAL LETTER FITA
      "\u0474",  # CYRILLIC CAPITAL LETTER IZHITSA
      "\u0476",  # CYRILLIC CAPITAL LETTER IZHITSA WITH DOUBLE GRAVE ACCENT
      "\u0478",  # CYRILLIC CAPITAL LETTER UK
      "\u047A",  # CYRILLIC CAPITAL LETTER ROUND OMEGA
      "\u047C",  # CYRILLIC CAPITAL LETTER OMEGA WITH TITLO
      "\u047E",  # CYRILLIC CAPITAL LETTER OT
      "\u0480",  # CYRILLIC CAPITAL LETTER KOPPA
      "\u048A",  # CYRILLIC CAPITAL LETTER SHORT I WITH TAIL
      "\u048C",  # CYRILLIC CAPITAL LETTER SEMISOFT SIGN
      "\u048E",  # CYRILLIC CAPITAL LETTER ER WITH TICK
      "\u0490",  # CYRILLIC CAPITAL LETTER GHE WITH UPTURN
      "\u0492",  # CYRILLIC CAPITAL LETTER GHE WITH STROKE
      "\u0494",  # CYRILLIC CAPITAL LETTER GHE WITH MIDDLE HOOK
      "\u0496",  # CYRILLIC CAPITAL LETTER ZHE WITH DESCENDER
      "\u0498",  # CYRILLIC CAPITAL LETTER ZE WITH DESCENDER
      "\u049A",  # CYRILLIC CAPITAL LETTER KA WITH DESCENDER
      "\u049C",  # CYRILLIC CAPITAL LETTER KA WITH VERTICAL STROKE
      "\u049E",  # CYRILLIC CAPITAL LETTER KA WITH STROKE
      "\u04A0",  # CYRILLIC CAPITAL LETTER BASHKIR KA
      "\u04A2",  # CYRILLIC CAPITAL LETTER EN WITH DESCENDER
      "\u04A4",  # CYRILLIC CAPITAL LIGATURE EN GHE
      "\u04A6",  # CYRILLIC CAPITAL LETTER PE WITH MIDDLE HOOK
      "\u04A8",  # CYRILLIC CAPITAL LETTER ABKHASIAN HA
      "\u04AA",  # CYRILLIC CAPITAL LETTER ES WITH DESCENDER
      "\u04AC",  # CYRILLIC CAPITAL LETTER TE WITH DESCENDER
      "\u04AE",  # CYRILLIC CAPITAL LETTER STRAIGHT U
      "\u04B0",  # CYRILLIC CAPITAL LETTER STRAIGHT U WITH STROKE
      "\u04B2",  # CYRILLIC CAPITAL LETTER HA WITH DESCENDER
      "\u04B4",  # CYRILLIC CAPITAL LIGATURE TE TSE
      "\u04B6",  # CYRILLIC CAPITAL LETTER CHE WITH DESCENDER
      "\u04B8",  # CYRILLIC CAPITAL LETTER CHE WITH VERTICAL STROKE
      "\u04BA",  # CYRILLIC CAPITAL LETTER SHHA
      "\u04BC",  # CYRILLIC CAPITAL LETTER ABKHASIAN CHE
      "\u04BE",  # CYRILLIC CAPITAL LETTER ABKHASIAN CHE WITH DESCENDER
      "\u04C0",  # CYRILLIC LETTER PALOCHKA
      "\u04C1",  # CYRILLIC CAPITAL LETTER ZHE WITH BREVE
      "\u04C3",  # CYRILLIC CAPITAL LETTER KA WITH HOOK
      "\u04C5",  # CYRILLIC CAPITAL LETTER EL WITH TAIL
      "\u04C7",  # CYRILLIC CAPITAL LETTER EN WITH HOOK
      "\u04C9",  # CYRILLIC CAPITAL LETTER EN WITH TAIL
      "\u04CB",  # CYRILLIC CAPITAL LETTER KHAKASSIAN CHE
      "\u04CD",  # CYRILLIC CAPITAL LETTER EM WITH TAIL
      "\u04D0",  # CYRILLIC CAPITAL LETTER A WITH BREVE
      "\u04D2",  # CYRILLIC CAPITAL LETTER A WITH DIAERESIS
      "\u04D4",  # CYRILLIC CAPITAL LIGATURE A IE
      "\u04D6",  # CYRILLIC CAPITAL LETTER IE WITH BREVE
      "\u04D8",  # CYRILLIC CAPITAL LETTER SCHWA
      "\u04DA",  # CYRILLIC CAPITAL LETTER SCHWA WITH DIAERESIS
      "\u04DC",  # CYRILLIC CAPITAL LETTER ZHE WITH DIAERESIS
      "\u04DE",  # CYRILLIC CAPITAL LETTER ZE WITH DIAERESIS
      "\u04E0",  # CYRILLIC CAPITAL LETTER ABKHASIAN DZE
      "\u04E2",  # CYRILLIC CAPITAL LETTER I WITH MACRON
      "\u04E4",  # CYRILLIC CAPITAL LETTER I WITH DIAERESIS
      "\u04E6",  # CYRILLIC CAPITAL LETTER O WITH DIAERESIS
      "\u04E8",  # CYRILLIC CAPITAL LETTER BARRED O
      "\u04EA",  # CYRILLIC CAPITAL LETTER BARRED O WITH DIAERESIS
      "\u04EC",  # CYRILLIC CAPITAL LETTER E WITH DIAERESIS
      "\u04EE",  # CYRILLIC CAPITAL LETTER U WITH MACRON
      "\u04F0",  # CYRILLIC CAPITAL LETTER U WITH DIAERESIS
      "\u04F2",  # CYRILLIC CAPITAL LETTER U WITH DOUBLE ACUTE
      "\u04F4",  # CYRILLIC CAPITAL LETTER CHE WITH DIAERESIS
      "\u04F6",  # CYRILLIC CAPITAL LETTER GHE WITH DESCENDER
      "\u04F8",  # CYRILLIC CAPITAL LETTER YERU WITH DIAERESIS
      "\u04FA",  # CYRILLIC CAPITAL LETTER GHE WITH STROKE AND HOOK
      "\u04FC",  # CYRILLIC CAPITAL LETTER HA WITH HOOK
      "\u04FE",  # CYRILLIC CAPITAL LETTER HA WITH STROKE
      "\u0500",  # CYRILLIC CAPITAL LETTER KOMI DE
      "\u0502",  # CYRILLIC CAPITAL LETTER KOMI DJE
      "\u0504",  # CYRILLIC CAPITAL LETTER KOMI ZJE
      "\u0506",  # CYRILLIC CAPITAL LETTER KOMI DZJE
      "\u0508",  # CYRILLIC CAPITAL LETTER KOMI LJE
      "\u050A",  # CYRILLIC CAPITAL LETTER KOMI NJE
      "\u050C",  # CYRILLIC CAPITAL LETTER KOMI SJE
      "\u050E",  # CYRILLIC CAPITAL LETTER KOMI TJE
      "\u0510",  # CYRILLIC CAPITAL LETTER REVERSED ZE
      "\u0512",  # CYRILLIC CAPITAL LETTER EL WITH HOOK
      "\u0514",  # CYRILLIC CAPITAL LETTER LHA
      "\u0516",  # CYRILLIC CAPITAL LETTER RHA
      "\u0518",  # CYRILLIC CAPITAL LETTER YAE
      "\u051A",  # CYRILLIC CAPITAL LETTER QA
      "\u051C",  # CYRILLIC CAPITAL LETTER WE
      "\u051E",  # CYRILLIC CAPITAL LETTER ALEUT KA
      "\u0520",  # CYRILLIC CAPITAL LETTER EL WITH MIDDLE HOOK
      "\u0522",  # CYRILLIC CAPITAL LETTER EN WITH MIDDLE HOOK
      "\u0524",  # CYRILLIC CAPITAL LETTER PE WITH DESCENDER
      "\u0526",  # CYRILLIC CAPITAL LETTER SHHA WITH DESCENDER
      "\u0528",  # CYRILLIC CAPITAL LETTER EN WITH LEFT HOOK
      "\u052A",  # CYRILLIC CAPITAL LETTER DZZHE
      "\u052C",  # CYRILLIC CAPITAL LETTER DCHE
      "\u052E",  # CYRILLIC CAPITAL LETTER EL WITH DESCENDER
      "\u0531",  # ARMENIAN CAPITAL LETTER AYB
      "\u0532",  # ARMENIAN CAPITAL LETTER BEN
      "\u0533",  # ARMENIAN CAPITAL LETTER GIM
      "\u0534",  # ARMENIAN CAPITAL LETTER DA
      "\u0535",  # ARMENIAN CAPITAL LETTER ECH
      "\u0536",  # ARMENIAN CAPITAL LETTER ZA
      "\u0537",  # ARMENIAN CAPITAL LETTER EH
      "\u0538",  # ARMENIAN CAPITAL LETTER ET
      "\u0539",  # ARMENIAN CAPITAL LETTER TO
      "\u053A",  # ARMENIAN CAPITAL LETTER ZHE
      "\u053B",  # ARMENIAN CAPITAL LETTER INI
      "\u053C",  # ARMENIAN CAPITAL LETTER LIWN
      "\u053D",  # ARMENIAN CAPITAL LETTER XEH
      "\u053E",  # ARMENIAN CAPITAL LETTER CA
      "\u053F",  # ARMENIAN CAPITAL LETTER KEN
      "\u0540",  # ARMENIAN CAPITAL LETTER HO
      "\u0541",  # ARMENIAN CAPITAL LETTER JA
      "\u0542",  # ARMENIAN CAPITAL LETTER GHAD
      "\u0543",  # ARMENIAN CAPITAL LETTER CHEH
      "\u0544",  # ARMENIAN CAPITAL LETTER MEN
      "\u0545",  # ARMENIAN CAPITAL LETTER YI
      "\u0546",  # ARMENIAN CAPITAL LETTER NOW
      "\u0547",  # ARMENIAN CAPITAL LETTER SHA
      "\u0548",  # ARMENIAN CAPITAL LETTER VO
      "\u0549",  # ARMENIAN CAPITAL LETTER CHA
      "\u054A",  # ARMENIAN CAPITAL LETTER PEH
      "\u054B",  # ARMENIAN CAPITAL LETTER JHEH
      "\u054C",  # ARMENIAN CAPITAL LETTER RA
      "\u054D",  # ARMENIAN CAPITAL LETTER SEH
      "\u054E",  # ARMENIAN CAPITAL LETTER VEW
      "\u054F",  # ARMENIAN CAPITAL LETTER TIWN
      "\u0550",  # ARMENIAN CAPITAL LETTER REH
      "\u0551",  # ARMENIAN CAPITAL LETTER CO
      "\u0552",  # ARMENIAN CAPITAL LETTER YIWN
      "\u0553",  # ARMENIAN CAPITAL LETTER PIWR
      "\u0554",  # ARMENIAN CAPITAL LETTER KEH
      "\u0555",  # ARMENIAN CAPITAL LETTER OH
      "\u0556",  # ARMENIAN CAPITAL LETTER FEH
      "\u0587",  # ARMENIAN SMALL LIGATURE ECH YIWN
      "\u10A0",  # GEORGIAN CAPITAL LETTER AN
      "\u10A1",  # GEORGIAN CAPITAL LETTER BAN
      "\u10A2",  # GEORGIAN CAPITAL LETTER GAN
      "\u10A3",  # GEORGIAN CAPITAL LETTER DON
      "\u10A4",  # GEORGIAN CAPITAL LETTER EN
      "\u10A5",  # GEORGIAN CAPITAL LETTER VIN
      "\u10A6",  # GEORGIAN CAPITAL LETTER ZEN
      "\u10A7",  # GEORGIAN CAPITAL LETTER TAN
      "\u10A8",  # GEORGIAN CAPITAL LETTER IN
      "\u10A9",  # GEORGIAN CAPITAL LETTER KAN
      "\u10AA",  # GEORGIAN CAPITAL LETTER LAS
      "\u10AB",  # GEORGIAN CAPITAL LETTER MAN
      "\u10AC",  # GEORGIAN CAPITAL LETTER NAR
      "\u10AD",  # GEORGIAN CAPITAL LETTER ON
      "\u10AE",  # GEORGIAN CAPITAL LETTER PAR
      "\u10AF",  # GEORGIAN CAPITAL LETTER ZHAR
      "\u10B0",  # GEORGIAN CAPITAL LETTER RAE
      "\u10B1",  # GEORGIAN CAPITAL LETTER SAN
      "\u10B2",  # GEORGIAN CAPITAL LETTER TAR
      "\u10B3",  # GEORGIAN CAPITAL LETTER UN
      "\u10B4",  # GEORGIAN CAPITAL LETTER PHAR
      "\u10B5",  # GEORGIAN CAPITAL LETTER KHAR
      "\u10B6",  # GEORGIAN CAPITAL LETTER GHAN
      "\u10B7",  # GEORGIAN CAPITAL LETTER QAR
      "\u10B8",  # GEORGIAN CAPITAL LETTER SHIN
      "\u10B9",  # GEORGIAN CAPITAL LETTER CHIN
      "\u10BA",  # GEORGIAN CAPITAL LETTER CAN
      "\u10BB",  # GEORGIAN CAPITAL LETTER JIL
      "\u10BC",  # GEORGIAN CAPITAL LETTER CIL
      "\u10BD",  # GEORGIAN CAPITAL LETTER CHAR
      "\u10BE",  # GEORGIAN CAPITAL LETTER XAN
      "\u10BF",  # GEORGIAN CAPITAL LETTER JHAN
      "\u10C0",  # GEORGIAN CAPITAL LETTER HAE
      "\u10C1",  # GEORGIAN CAPITAL LETTER HE
      "\u10C2",  # GEORGIAN CAPITAL LETTER HIE
      "\u10C3",  # GEORGIAN CAPITAL LETTER WE
      "\u10C4",  # GEORGIAN CAPITAL LETTER HAR
      "\u10C5",  # GEORGIAN CAPITAL LETTER HOE
      "\u10C7",  # GEORGIAN CAPITAL LETTER YN
      "\u10CD",  # GEORGIAN CAPITAL LETTER AEN
      "\u13F8",  # CHEROKEE SMALL LETTER YE
      "\u13F9",  # CHEROKEE SMALL LETTER YI
      "\u13FA",  # CHEROKEE SMALL LETTER YO
      "\u13FB",  # CHEROKEE SMALL LETTER YU
      "\u13FC",  # CHEROKEE SMALL LETTER YV
      "\u13FD",  # CHEROKEE SMALL LETTER MV
      "\u1C80",  # CYRILLIC SMALL LETTER ROUNDED VE
      "\u1C81",  # CYRILLIC SMALL LETTER LONG-LEGGED DE
      "\u1C82",  # CYRILLIC SMALL LETTER NARROW O
      "\u1C83",  # CYRILLIC SMALL LETTER WIDE ES
      "\u1C84",  # CYRILLIC SMALL LETTER TALL TE
      "\u1C85",  # CYRILLIC SMALL LETTER THREE-LEGGED TE
      "\u1C86",  # CYRILLIC SMALL LETTER TALL HARD SIGN
      "\u1C87",  # CYRILLIC SMALL LETTER TALL YAT
      "\u1C88",  # CYRILLIC SMALL LETTER UNBLENDED UK
      "\u1E00",  # LATIN CAPITAL LETTER A WITH RING BELOW
      "\u1E02",  # LATIN CAPITAL LETTER B WITH DOT ABOVE
      "\u1E04",  # LATIN CAPITAL LETTER B WITH DOT BELOW
      "\u1E06",  # LATIN CAPITAL LETTER B WITH LINE BELOW
      "\u1E08",  # LATIN CAPITAL LETTER C WITH CEDILLA AND ACUTE
      "\u1E0A",  # LATIN CAPITAL LETTER D WITH DOT ABOVE
      "\u1E0C",  # LATIN CAPITAL LETTER D WITH DOT BELOW
      "\u1E0E",  # LATIN CAPITAL LETTER D WITH LINE BELOW
      "\u1E10",  # LATIN CAPITAL LETTER D WITH CEDILLA
      "\u1E12",  # LATIN CAPITAL LETTER D WITH CIRCUMFLEX BELOW
      "\u1E14",  # LATIN CAPITAL LETTER E WITH MACRON AND GRAVE
      "\u1E16",  # LATIN CAPITAL LETTER E WITH MACRON AND ACUTE
      "\u1E18",  # LATIN CAPITAL LETTER E WITH CIRCUMFLEX BELOW
      "\u1E1A",  # LATIN CAPITAL LETTER E WITH TILDE BELOW
      "\u1E1C",  # LATIN CAPITAL LETTER E WITH CEDILLA AND BREVE
      "\u1E1E",  # LATIN CAPITAL LETTER F WITH DOT ABOVE
      "\u1E20",  # LATIN CAPITAL LETTER G WITH MACRON
      "\u1E22",  # LATIN CAPITAL LETTER H WITH DOT ABOVE
      "\u1E24",  # LATIN CAPITAL LETTER H WITH DOT BELOW
      "\u1E26",  # LATIN CAPITAL LETTER H WITH DIAERESIS
      "\u1E28",  # LATIN CAPITAL LETTER H WITH CEDILLA
      "\u1E2A",  # LATIN CAPITAL LETTER H WITH BREVE BELOW
      "\u1E2C",  # LATIN CAPITAL LETTER I WITH TILDE BELOW
      "\u1E2E",  # LATIN CAPITAL LETTER I WITH DIAERESIS AND ACUTE
      "\u1E30",  # LATIN CAPITAL LETTER K WITH ACUTE
      "\u1E32",  # LATIN CAPITAL LETTER K WITH DOT BELOW
      "\u1E34",  # LATIN CAPITAL LETTER K WITH LINE BELOW
      "\u1E36",  # LATIN CAPITAL LETTER L WITH DOT BELOW
      "\u1E38",  # LATIN CAPITAL LETTER L WITH DOT BELOW AND MACRON
      "\u1E3A",  # LATIN CAPITAL LETTER L WITH LINE BELOW
      "\u1E3C",  # LATIN CAPITAL LETTER L WITH CIRCUMFLEX BELOW
      "\u1E3E",  # LATIN CAPITAL LETTER M WITH ACUTE
      "\u1E40",  # LATIN CAPITAL LETTER M WITH DOT ABOVE
      "\u1E42",  # LATIN CAPITAL LETTER M WITH DOT BELOW
      "\u1E44",  # LATIN CAPITAL LETTER N WITH DOT ABOVE
      "\u1E46",  # LATIN CAPITAL LETTER N WITH DOT BELOW
      "\u1E48",  # LATIN CAPITAL LETTER N WITH LINE BELOW
      "\u1E4A",  # LATIN CAPITAL LETTER N WITH CIRCUMFLEX BELOW
      "\u1E4C",  # LATIN CAPITAL LETTER O WITH TILDE AND ACUTE
      "\u1E4E",  # LATIN CAPITAL LETTER O WITH TILDE AND DIAERESIS
      "\u1E50",  # LATIN CAPITAL LETTER O WITH MACRON AND GRAVE
      "\u1E52",  # LATIN CAPITAL LETTER O WITH MACRON AND ACUTE
      "\u1E54",  # LATIN CAPITAL LETTER P WITH ACUTE
      "\u1E56",  # LATIN CAPITAL LETTER P WITH DOT ABOVE
      "\u1E58",  # LATIN CAPITAL LETTER R WITH DOT ABOVE
      "\u1E5A",  # LATIN CAPITAL LETTER R WITH DOT BELOW
      "\u1E5C",  # LATIN CAPITAL LETTER R WITH DOT BELOW AND MACRON
      "\u1E5E",  # LATIN CAPITAL LETTER R WITH LINE BELOW
      "\u1E60",  # LATIN CAPITAL LETTER S WITH DOT ABOVE
      "\u1E62",  # LATIN CAPITAL LETTER S WITH DOT BELOW
      "\u1E64",  # LATIN CAPITAL LETTER S WITH ACUTE AND DOT ABOVE
      "\u1E66",  # LATIN CAPITAL LETTER S WITH CARON AND DOT ABOVE
      "\u1E68",  # LATIN CAPITAL LETTER S WITH DOT BELOW AND DOT ABOVE
      "\u1E6A",  # LATIN CAPITAL LETTER T WITH DOT ABOVE
      "\u1E6C",  # LATIN CAPITAL LETTER T WITH DOT BELOW
      "\u1E6E",  # LATIN CAPITAL LETTER T WITH LINE BELOW
      "\u1E70",  # LATIN CAPITAL LETTER T WITH CIRCUMFLEX BELOW
      "\u1E72",  # LATIN CAPITAL LETTER U WITH DIAERESIS BELOW
      "\u1E74",  # LATIN CAPITAL LETTER U WITH TILDE BELOW
      "\u1E76",  # LATIN CAPITAL LETTER U WITH CIRCUMFLEX BELOW
      "\u1E78",  # LATIN CAPITAL LETTER U WITH TILDE AND ACUTE
      "\u1E7A",  # LATIN CAPITAL LETTER U WITH MACRON AND DIAERESIS
      "\u1E7C",  # LATIN CAPITAL LETTER V WITH TILDE
      "\u1E7E",  # LATIN CAPITAL LETTER V WITH DOT BELOW
      "\u1E80",  # LATIN CAPITAL LETTER W WITH GRAVE
      "\u1E82",  # LATIN CAPITAL LETTER W WITH ACUTE
      "\u1E84",  # LATIN CAPITAL LETTER W WITH DIAERESIS
      "\u1E86",  # LATIN CAPITAL LETTER W WITH DOT ABOVE
      "\u1E88",  # LATIN CAPITAL LETTER W WITH DOT BELOW
      "\u1E8A",  # LATIN CAPITAL LETTER X WITH DOT ABOVE
      "\u1E8C",  # LATIN CAPITAL LETTER X WITH DIAERESIS
      "\u1E8E",  # LATIN CAPITAL LETTER Y WITH DOT ABOVE
      "\u1E90",  # LATIN CAPITAL LETTER Z WITH CIRCUMFLEX
      "\u1E92",  # LATIN CAPITAL LETTER Z WITH DOT BELOW
      "\u1E94",  # LATIN CAPITAL LETTER Z WITH LINE BELOW
      "\u1E96",  # LATIN SMALL LETTER H WITH LINE BELOW
      "\u1E97",  # LATIN SMALL LETTER T WITH DIAERESIS
      "\u1E98",  # LATIN SMALL LETTER W WITH RING ABOVE
      "\u1E99",  # LATIN SMALL LETTER Y WITH RING ABOVE
      "\u1E9A",  # LATIN SMALL LETTER A WITH RIGHT HALF RING
      "\u1E9B",  # LATIN SMALL LETTER LONG S WITH DOT ABOVE
      "\u1E9E",  # LATIN CAPITAL LETTER SHARP S
      "\u1E9E",  # LATIN CAPITAL LETTER SHARP S
      "\u1EA0",  # LATIN CAPITAL LETTER A WITH DOT BELOW
      "\u1EA2",  # LATIN CAPITAL LETTER A WITH HOOK ABOVE
      "\u1EA4",  # LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND ACUTE
      "\u1EA6",  # LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND GRAVE
      "\u1EA8",  # LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE
      "\u1EAA",  # LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND TILDE
      "\u1EAC",  # LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND DOT BELOW
      "\u1EAE",  # LATIN CAPITAL LETTER A WITH BREVE AND ACUTE
      "\u1EB0",  # LATIN CAPITAL LETTER A WITH BREVE AND GRAVE
      "\u1EB2",  # LATIN CAPITAL LETTER A WITH BREVE AND HOOK ABOVE
      "\u1EB4",  # LATIN CAPITAL LETTER A WITH BREVE AND TILDE
      "\u1EB6",  # LATIN CAPITAL LETTER A WITH BREVE AND DOT BELOW
      "\u1EB8",  # LATIN CAPITAL LETTER E WITH DOT BELOW
      "\u1EBA",  # LATIN CAPITAL LETTER E WITH HOOK ABOVE
      "\u1EBC",  # LATIN CAPITAL LETTER E WITH TILDE
      "\u1EBE",  # LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND ACUTE
      "\u1EC0",  # LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND GRAVE
      "\u1EC2",  # LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE
      "\u1EC4",  # LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND TILDE
      "\u1EC6",  # LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND DOT BELOW
      "\u1EC8",  # LATIN CAPITAL LETTER I WITH HOOK ABOVE
      "\u1ECA",  # LATIN CAPITAL LETTER I WITH DOT BELOW
      "\u1ECC",  # LATIN CAPITAL LETTER O WITH DOT BELOW
      "\u1ECE",  # LATIN CAPITAL LETTER O WITH HOOK ABOVE
      "\u1ED0",  # LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND ACUTE
      "\u1ED2",  # LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND GRAVE
      "\u1ED4",  # LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE
      "\u1ED6",  # LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND TILDE
      "\u1ED8",  # LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND DOT BELOW
      "\u1EDA",  # LATIN CAPITAL LETTER O WITH HORN AND ACUTE
      "\u1EDC",  # LATIN CAPITAL LETTER O WITH HORN AND GRAVE
      "\u1EDE",  # LATIN CAPITAL LETTER O WITH HORN AND HOOK ABOVE
      "\u1EE0",  # LATIN CAPITAL LETTER O WITH HORN AND TILDE
      "\u1EE2",  # LATIN CAPITAL LETTER O WITH HORN AND DOT BELOW
      "\u1EE4",  # LATIN CAPITAL LETTER U WITH DOT BELOW
      "\u1EE6",  # LATIN CAPITAL LETTER U WITH HOOK ABOVE
      "\u1EE8",  # LATIN CAPITAL LETTER U WITH HORN AND ACUTE
      "\u1EEA",  # LATIN CAPITAL LETTER U WITH HORN AND GRAVE
      "\u1EEC",  # LATIN CAPITAL LETTER U WITH HORN AND HOOK ABOVE
      "\u1EEE",  # LATIN CAPITAL LETTER U WITH HORN AND TILDE
      "\u1EF0",  # LATIN CAPITAL LETTER U WITH HORN AND DOT BELOW
      "\u1EF2",  # LATIN CAPITAL LETTER Y WITH GRAVE
      "\u1EF4",  # LATIN CAPITAL LETTER Y WITH DOT BELOW
      "\u1EF6",  # LATIN CAPITAL LETTER Y WITH HOOK ABOVE
      "\u1EF8",  # LATIN CAPITAL LETTER Y WITH TILDE
      "\u1EFA",  # LATIN CAPITAL LETTER MIDDLE-WELSH LL
      "\u1EFC",  # LATIN CAPITAL LETTER MIDDLE-WELSH V
      "\u1EFE",  # LATIN CAPITAL LETTER Y WITH LOOP
      "\u1F08",  # GREEK CAPITAL LETTER ALPHA WITH PSILI
      "\u1F09",  # GREEK CAPITAL LETTER ALPHA WITH DASIA
      "\u1F0A",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA
      "\u1F0B",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA
      "\u1F0C",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA
      "\u1F0D",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA
      "\u1F0E",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI
      "\u1F0F",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI
      "\u1F18",  # GREEK CAPITAL LETTER EPSILON WITH PSILI
      "\u1F19",  # GREEK CAPITAL LETTER EPSILON WITH DASIA
      "\u1F1A",  # GREEK CAPITAL LETTER EPSILON WITH PSILI AND VARIA
      "\u1F1B",  # GREEK CAPITAL LETTER EPSILON WITH DASIA AND VARIA
      "\u1F1C",  # GREEK CAPITAL LETTER EPSILON WITH PSILI AND OXIA
      "\u1F1D",  # GREEK CAPITAL LETTER EPSILON WITH DASIA AND OXIA
      "\u1F28",  # GREEK CAPITAL LETTER ETA WITH PSILI
      "\u1F29",  # GREEK CAPITAL LETTER ETA WITH DASIA
      "\u1F2A",  # GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA
      "\u1F2B",  # GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA
      "\u1F2C",  # GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA
      "\u1F2D",  # GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA
      "\u1F2E",  # GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI
      "\u1F2F",  # GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI
      "\u1F38",  # GREEK CAPITAL LETTER IOTA WITH PSILI
      "\u1F39",  # GREEK CAPITAL LETTER IOTA WITH DASIA
      "\u1F3A",  # GREEK CAPITAL LETTER IOTA WITH PSILI AND VARIA
      "\u1F3B",  # GREEK CAPITAL LETTER IOTA WITH DASIA AND VARIA
      "\u1F3C",  # GREEK CAPITAL LETTER IOTA WITH PSILI AND OXIA
      "\u1F3D",  # GREEK CAPITAL LETTER IOTA WITH DASIA AND OXIA
      "\u1F3E",  # GREEK CAPITAL LETTER IOTA WITH PSILI AND PERISPOMENI
      "\u1F3F",  # GREEK CAPITAL LETTER IOTA WITH DASIA AND PERISPOMENI
      "\u1F48",  # GREEK CAPITAL LETTER OMICRON WITH PSILI
      "\u1F49",  # GREEK CAPITAL LETTER OMICRON WITH DASIA
      "\u1F4A",  # GREEK CAPITAL LETTER OMICRON WITH PSILI AND VARIA
      "\u1F4B",  # GREEK CAPITAL LETTER OMICRON WITH DASIA AND VARIA
      "\u1F4C",  # GREEK CAPITAL LETTER OMICRON WITH PSILI AND OXIA
      "\u1F4D",  # GREEK CAPITAL LETTER OMICRON WITH DASIA AND OXIA
      "\u1F50",  # GREEK SMALL LETTER UPSILON WITH PSILI
      "\u1F52",  # GREEK SMALL LETTER UPSILON WITH PSILI AND VARIA
      "\u1F54",  # GREEK SMALL LETTER UPSILON WITH PSILI AND OXIA
      "\u1F56",  # GREEK SMALL LETTER UPSILON WITH PSILI AND PERISPOMENI
      "\u1F59",  # GREEK CAPITAL LETTER UPSILON WITH DASIA
      "\u1F5B",  # GREEK CAPITAL LETTER UPSILON WITH DASIA AND VARIA
      "\u1F5D",  # GREEK CAPITAL LETTER UPSILON WITH DASIA AND OXIA
      "\u1F5F",  # GREEK CAPITAL LETTER UPSILON WITH DASIA AND PERISPOMENI
      "\u1F68",  # GREEK CAPITAL LETTER OMEGA WITH PSILI
      "\u1F69",  # GREEK CAPITAL LETTER OMEGA WITH DASIA
      "\u1F6A",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA
      "\u1F6B",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA
      "\u1F6C",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA
      "\u1F6D",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA
      "\u1F6E",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI
      "\u1F6F",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI
      "\u1F80",  # GREEK SMALL LETTER ALPHA WITH PSILI AND YPOGEGRAMMENI
      "\u1F81",  # GREEK SMALL LETTER ALPHA WITH DASIA AND YPOGEGRAMMENI
      "\u1F82",  # GREEK SMALL LETTER ALPHA WITH PSILI AND VARIA AND YPOGEGRAMMENI
      "\u1F83",  # GREEK SMALL LETTER ALPHA WITH DASIA AND VARIA AND YPOGEGRAMMENI
      "\u1F84",  # GREEK SMALL LETTER ALPHA WITH PSILI AND OXIA AND YPOGEGRAMMENI
      "\u1F85",  # GREEK SMALL LETTER ALPHA WITH DASIA AND OXIA AND YPOGEGRAMMENI
      "\u1F86",  # GREEK SMALL LETTER ALPHA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI
      "\u1F87",  # GREEK SMALL LETTER ALPHA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI
      "\u1F88",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND PROSGEGRAMMENI
      "\u1F88",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND PROSGEGRAMMENI
      "\u1F89",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND PROSGEGRAMMENI
      "\u1F89",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND PROSGEGRAMMENI
      "\u1F8A",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA AND PROSGEGRAMMENI
      "\u1F8A",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA AND PROSGEGRAMMENI
      "\u1F8B",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA AND PROSGEGRAMMENI
      "\u1F8B",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA AND PROSGEGRAMMENI
      "\u1F8C",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA AND PROSGEGRAMMENI
      "\u1F8C",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA AND PROSGEGRAMMENI
      "\u1F8D",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA AND PROSGEGRAMMENI
      "\u1F8D",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA AND PROSGEGRAMMENI
      "\u1F8E",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI
      "\u1F8E",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI
      "\u1F8F",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI
      "\u1F8F",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI
      "\u1F90",  # GREEK SMALL LETTER ETA WITH PSILI AND YPOGEGRAMMENI
      "\u1F91",  # GREEK SMALL LETTER ETA WITH DASIA AND YPOGEGRAMMENI
      "\u1F92",  # GREEK SMALL LETTER ETA WITH PSILI AND VARIA AND YPOGEGRAMMENI
      "\u1F93",  # GREEK SMALL LETTER ETA WITH DASIA AND VARIA AND YPOGEGRAMMENI
      "\u1F94",  # GREEK SMALL LETTER ETA WITH PSILI AND OXIA AND YPOGEGRAMMENI
      "\u1F95",  # GREEK SMALL LETTER ETA WITH DASIA AND OXIA AND YPOGEGRAMMENI
      "\u1F96",  # GREEK SMALL LETTER ETA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI
      "\u1F97",  # GREEK SMALL LETTER ETA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI
      "\u1F98",  # GREEK CAPITAL LETTER ETA WITH PSILI AND PROSGEGRAMMENI
      "\u1F98",  # GREEK CAPITAL LETTER ETA WITH PSILI AND PROSGEGRAMMENI
      "\u1F99",  # GREEK CAPITAL LETTER ETA WITH DASIA AND PROSGEGRAMMENI
      "\u1F99",  # GREEK CAPITAL LETTER ETA WITH DASIA AND PROSGEGRAMMENI
      "\u1F9A",  # GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI
      "\u1F9A",  # GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI
      "\u1F9B",  # GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI
      "\u1F9B",  # GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI
      "\u1F9C",  # GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI
      "\u1F9C",  # GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI
      "\u1F9D",  # GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI
      "\u1F9D",  # GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI
      "\u1F9E",  # GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI
      "\u1F9E",  # GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI
      "\u1F9F",  # GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI
      "\u1F9F",  # GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI
      "\u1FA0",  # GREEK SMALL LETTER OMEGA WITH PSILI AND YPOGEGRAMMENI
      "\u1FA1",  # GREEK SMALL LETTER OMEGA WITH DASIA AND YPOGEGRAMMENI
      "\u1FA2",  # GREEK SMALL LETTER OMEGA WITH PSILI AND VARIA AND YPOGEGRAMMENI
      "\u1FA3",  # GREEK SMALL LETTER OMEGA WITH DASIA AND VARIA AND YPOGEGRAMMENI
      "\u1FA4",  # GREEK SMALL LETTER OMEGA WITH PSILI AND OXIA AND YPOGEGRAMMENI
      "\u1FA5",  # GREEK SMALL LETTER OMEGA WITH DASIA AND OXIA AND YPOGEGRAMMENI
      "\u1FA6",  # GREEK SMALL LETTER OMEGA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI
      "\u1FA7",  # GREEK SMALL LETTER OMEGA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI
      "\u1FA8",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND PROSGEGRAMMENI
      "\u1FA8",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND PROSGEGRAMMENI
      "\u1FA9",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND PROSGEGRAMMENI
      "\u1FA9",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND PROSGEGRAMMENI
      "\u1FAA",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA AND PROSGEGRAMMENI
      "\u1FAA",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA AND PROSGEGRAMMENI
      "\u1FAB",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA AND PROSGEGRAMMENI
      "\u1FAB",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA AND PROSGEGRAMMENI
      "\u1FAC",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA AND PROSGEGRAMMENI
      "\u1FAC",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA AND PROSGEGRAMMENI
      "\u1FAD",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA AND PROSGEGRAMMENI
      "\u1FAD",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA AND PROSGEGRAMMENI
      "\u1FAE",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI
      "\u1FAE",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI
      "\u1FAF",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI
      "\u1FAF",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI
      "\u1FB2",  # GREEK SMALL LETTER ALPHA WITH VARIA AND YPOGEGRAMMENI
      "\u1FB3",  # GREEK SMALL LETTER ALPHA WITH YPOGEGRAMMENI
      "\u1FB4",  # GREEK SMALL LETTER ALPHA WITH OXIA AND YPOGEGRAMMENI
      "\u1FB6",  # GREEK SMALL LETTER ALPHA WITH PERISPOMENI
      "\u1FB7",  # GREEK SMALL LETTER ALPHA WITH PERISPOMENI AND YPOGEGRAMMENI
      "\u1FB8",  # GREEK CAPITAL LETTER ALPHA WITH VRACHY
      "\u1FB9",  # GREEK CAPITAL LETTER ALPHA WITH MACRON
      "\u1FBA",  # GREEK CAPITAL LETTER ALPHA WITH VARIA
      "\u1FBB",  # GREEK CAPITAL LETTER ALPHA WITH OXIA
      "\u1FBC",  # GREEK CAPITAL LETTER ALPHA WITH PROSGEGRAMMENI
      "\u1FBC",  # GREEK CAPITAL LETTER ALPHA WITH PROSGEGRAMMENI
      "\u1FBE",  # GREEK PROSGEGRAMMENI
      "\u1FC2",  # GREEK SMALL LETTER ETA WITH VARIA AND YPOGEGRAMMENI
      "\u1FC3",  # GREEK SMALL LETTER ETA WITH YPOGEGRAMMENI
      "\u1FC4",  # GREEK SMALL LETTER ETA WITH OXIA AND YPOGEGRAMMENI
      "\u1FC6",  # GREEK SMALL LETTER ETA WITH PERISPOMENI
      "\u1FC7",  # GREEK SMALL LETTER ETA WITH PERISPOMENI AND YPOGEGRAMMENI
      "\u1FC8",  # GREEK CAPITAL LETTER EPSILON WITH VARIA
      "\u1FC9",  # GREEK CAPITAL LETTER EPSILON WITH OXIA
      "\u1FCA",  # GREEK CAPITAL LETTER ETA WITH VARIA
      "\u1FCB",  # GREEK CAPITAL LETTER ETA WITH OXIA
      "\u1FCC",  # GREEK CAPITAL LETTER ETA WITH PROSGEGRAMMENI
      "\u1FCC",  # GREEK CAPITAL LETTER ETA WITH PROSGEGRAMMENI
      "\u1FD2",  # GREEK SMALL LETTER IOTA WITH DIALYTIKA AND VARIA
      "\u1FD3",  # GREEK SMALL LETTER IOTA WITH DIALYTIKA AND OXIA
      "\u1FD6",  # GREEK SMALL LETTER IOTA WITH PERISPOMENI
      "\u1FD7",  # GREEK SMALL LETTER IOTA WITH DIALYTIKA AND PERISPOMENI
      "\u1FD8",  # GREEK CAPITAL LETTER IOTA WITH VRACHY
      "\u1FD9",  # GREEK CAPITAL LETTER IOTA WITH MACRON
      "\u1FDA",  # GREEK CAPITAL LETTER IOTA WITH VARIA
      "\u1FDB",  # GREEK CAPITAL LETTER IOTA WITH OXIA
      "\u1FE2",  # GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND VARIA
      "\u1FE3",  # GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND OXIA
      "\u1FE4",  # GREEK SMALL LETTER RHO WITH PSILI
      "\u1FE6",  # GREEK SMALL LETTER UPSILON WITH PERISPOMENI
      "\u1FE7",  # GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND PERISPOMENI
      "\u1FE8",  # GREEK CAPITAL LETTER UPSILON WITH VRACHY
      "\u1FE9",  # GREEK CAPITAL LETTER UPSILON WITH MACRON
      "\u1FEA",  # GREEK CAPITAL LETTER UPSILON WITH VARIA
      "\u1FEB",  # GREEK CAPITAL LETTER UPSILON WITH OXIA
      "\u1FEC",  # GREEK CAPITAL LETTER RHO WITH DASIA
      "\u1FF2",  # GREEK SMALL LETTER OMEGA WITH VARIA AND YPOGEGRAMMENI
      "\u1FF3",  # GREEK SMALL LETTER OMEGA WITH YPOGEGRAMMENI
      "\u1FF4",  # GREEK SMALL LETTER OMEGA WITH OXIA AND YPOGEGRAMMENI
      "\u1FF6",  # GREEK SMALL LETTER OMEGA WITH PERISPOMENI
      "\u1FF7",  # GREEK SMALL LETTER OMEGA WITH PERISPOMENI AND YPOGEGRAMMENI
      "\u1FF8",  # GREEK CAPITAL LETTER OMICRON WITH VARIA
      "\u1FF9",  # GREEK CAPITAL LETTER OMICRON WITH OXIA
      "\u1FFA",  # GREEK CAPITAL LETTER OMEGA WITH VARIA
      "\u1FFB",  # GREEK CAPITAL LETTER OMEGA WITH OXIA
      "\u1FFC",  # GREEK CAPITAL LETTER OMEGA WITH PROSGEGRAMMENI
      "\u1FFC",  # GREEK CAPITAL LETTER OMEGA WITH PROSGEGRAMMENI
      "\u2126",  # OHM SIGN
      "\u212A",  # KELVIN SIGN
      "\u212B",  # ANGSTROM SIGN
      "\u2132",  # TURNED CAPITAL F
      "\u2160",  # ROMAN NUMERAL ONE
      "\u2161",  # ROMAN NUMERAL TWO
      "\u2162",  # ROMAN NUMERAL THREE
      "\u2163",  # ROMAN NUMERAL FOUR
      "\u2164",  # ROMAN NUMERAL FIVE
      "\u2165",  # ROMAN NUMERAL SIX
      "\u2166",  # ROMAN NUMERAL SEVEN
      "\u2167",  # ROMAN NUMERAL EIGHT
      "\u2168",  # ROMAN NUMERAL NINE
      "\u2169",  # ROMAN NUMERAL TEN
      "\u216A",  # ROMAN NUMERAL ELEVEN
      "\u216B",  # ROMAN NUMERAL TWELVE
      "\u216C",  # ROMAN NUMERAL FIFTY
      "\u216D",  # ROMAN NUMERAL ONE HUNDRED
      "\u216E",  # ROMAN NUMERAL FIVE HUNDRED
      "\u216F",  # ROMAN NUMERAL ONE THOUSAND
      "\u2183",  # ROMAN NUMERAL REVERSED ONE HUNDRED
      "\u24B6",  # CIRCLED LATIN CAPITAL LETTER A
      "\u24B7",  # CIRCLED LATIN CAPITAL LETTER B
      "\u24B8",  # CIRCLED LATIN CAPITAL LETTER C
      "\u24B9",  # CIRCLED LATIN CAPITAL LETTER D
      "\u24BA",  # CIRCLED LATIN CAPITAL LETTER E
      "\u24BB",  # CIRCLED LATIN CAPITAL LETTER F
      "\u24BC",  # CIRCLED LATIN CAPITAL LETTER G
      "\u24BD",  # CIRCLED LATIN CAPITAL LETTER H
      "\u24BE",  # CIRCLED LATIN CAPITAL LETTER I
      "\u24BF",  # CIRCLED LATIN CAPITAL LETTER J
      "\u24C0",  # CIRCLED LATIN CAPITAL LETTER K
      "\u24C1",  # CIRCLED LATIN CAPITAL LETTER L
      "\u24C2",  # CIRCLED LATIN CAPITAL LETTER M
      "\u24C3",  # CIRCLED LATIN CAPITAL LETTER N
      "\u24C4",  # CIRCLED LATIN CAPITAL LETTER O
      "\u24C5",  # CIRCLED LATIN CAPITAL LETTER P
      "\u24C6",  # CIRCLED LATIN CAPITAL LETTER Q
      "\u24C7",  # CIRCLED LATIN CAPITAL LETTER R
      "\u24C8",  # CIRCLED LATIN CAPITAL LETTER S
      "\u24C9",  # CIRCLED LATIN CAPITAL LETTER T
      "\u24CA",  # CIRCLED LATIN CAPITAL LETTER U
      "\u24CB",  # CIRCLED LATIN CAPITAL LETTER V
      "\u24CC",  # CIRCLED LATIN CAPITAL LETTER W
      "\u24CD",  # CIRCLED LATIN CAPITAL LETTER X
      "\u24CE",  # CIRCLED LATIN CAPITAL LETTER Y
      "\u24CF",  # CIRCLED LATIN CAPITAL LETTER Z
      "\u2C00",  # GLAGOLITIC CAPITAL LETTER AZU
      "\u2C01",  # GLAGOLITIC CAPITAL LETTER BUKY
      "\u2C02",  # GLAGOLITIC CAPITAL LETTER VEDE
      "\u2C03",  # GLAGOLITIC CAPITAL LETTER GLAGOLI
      "\u2C04",  # GLAGOLITIC CAPITAL LETTER DOBRO
      "\u2C05",  # GLAGOLITIC CAPITAL LETTER YESTU
      "\u2C06",  # GLAGOLITIC CAPITAL LETTER ZHIVETE
      "\u2C07",  # GLAGOLITIC CAPITAL LETTER DZELO
      "\u2C08",  # GLAGOLITIC CAPITAL LETTER ZEMLJA
      "\u2C09",  # GLAGOLITIC CAPITAL LETTER IZHE
      "\u2C0A",  # GLAGOLITIC CAPITAL LETTER INITIAL IZHE
      "\u2C0B",  # GLAGOLITIC CAPITAL LETTER I
      "\u2C0C",  # GLAGOLITIC CAPITAL LETTER DJERVI
      "\u2C0D",  # GLAGOLITIC CAPITAL LETTER KAKO
      "\u2C0E",  # GLAGOLITIC CAPITAL LETTER LJUDIJE
      "\u2C0F",  # GLAGOLITIC CAPITAL LETTER MYSLITE
      "\u2C10",  # GLAGOLITIC CAPITAL LETTER NASHI
      "\u2C11",  # GLAGOLITIC CAPITAL LETTER ONU
      "\u2C12",  # GLAGOLITIC CAPITAL LETTER POKOJI
      "\u2C13",  # GLAGOLITIC CAPITAL LETTER RITSI
      "\u2C14",  # GLAGOLITIC CAPITAL LETTER SLOVO
      "\u2C15",  # GLAGOLITIC CAPITAL LETTER TVRIDO
      "\u2C16",  # GLAGOLITIC CAPITAL LETTER UKU
      "\u2C17",  # GLAGOLITIC CAPITAL LETTER FRITU
      "\u2C18",  # GLAGOLITIC CAPITAL LETTER HERU
      "\u2C19",  # GLAGOLITIC CAPITAL LETTER OTU
      "\u2C1A",  # GLAGOLITIC CAPITAL LETTER PE
      "\u2C1B",  # GLAGOLITIC CAPITAL LETTER SHTA
      "\u2C1C",  # GLAGOLITIC CAPITAL LETTER TSI
      "\u2C1D",  # GLAGOLITIC CAPITAL LETTER CHRIVI
      "\u2C1E",  # GLAGOLITIC CAPITAL LETTER SHA
      "\u2C1F",  # GLAGOLITIC CAPITAL LETTER YERU
      "\u2C20",  # GLAGOLITIC CAPITAL LETTER YERI
      "\u2C21",  # GLAGOLITIC CAPITAL LETTER YATI
      "\u2C22",  # GLAGOLITIC CAPITAL LETTER SPIDERY HA
      "\u2C23",  # GLAGOLITIC CAPITAL LETTER YU
      "\u2C24",  # GLAGOLITIC CAPITAL LETTER SMALL YUS
      "\u2C25",  # GLAGOLITIC CAPITAL LETTER SMALL YUS WITH TAIL
      "\u2C26",  # GLAGOLITIC CAPITAL LETTER YO
      "\u2C27",  # GLAGOLITIC CAPITAL LETTER IOTATED SMALL YUS
      "\u2C28",  # GLAGOLITIC CAPITAL LETTER BIG YUS
      "\u2C29",  # GLAGOLITIC CAPITAL LETTER IOTATED BIG YUS
      "\u2C2A",  # GLAGOLITIC CAPITAL LETTER FITA
      "\u2C2B",  # GLAGOLITIC CAPITAL LETTER IZHITSA
      "\u2C2C",  # GLAGOLITIC CAPITAL LETTER SHTAPIC
      "\u2C2D",  # GLAGOLITIC CAPITAL LETTER TROKUTASTI A
      "\u2C2E",  # GLAGOLITIC CAPITAL LETTER LATINATE MYSLITE
      "\u2C60",  # LATIN CAPITAL LETTER L WITH DOUBLE BAR
      "\u2C62",  # LATIN CAPITAL LETTER L WITH MIDDLE TILDE
      "\u2C63",  # LATIN CAPITAL LETTER P WITH STROKE
      "\u2C64",  # LATIN CAPITAL LETTER R WITH TAIL
      "\u2C67",  # LATIN CAPITAL LETTER H WITH DESCENDER
      "\u2C69",  # LATIN CAPITAL LETTER K WITH DESCENDER
      "\u2C6B",  # LATIN CAPITAL LETTER Z WITH DESCENDER
      "\u2C6D",  # LATIN CAPITAL LETTER ALPHA
      "\u2C6E",  # LATIN CAPITAL LETTER M WITH HOOK
      "\u2C6F",  # LATIN CAPITAL LETTER TURNED A
      "\u2C70",  # LATIN CAPITAL LETTER TURNED ALPHA
      "\u2C72",  # LATIN CAPITAL LETTER W WITH HOOK
      "\u2C75",  # LATIN CAPITAL LETTER HALF H
      "\u2C7E",  # LATIN CAPITAL LETTER S WITH SWASH TAIL
      "\u2C7F",  # LATIN CAPITAL LETTER Z WITH SWASH TAIL
      "\u2C80",  # COPTIC CAPITAL LETTER ALFA
      "\u2C82",  # COPTIC CAPITAL LETTER VIDA
      "\u2C84",  # COPTIC CAPITAL LETTER GAMMA
      "\u2C86",  # COPTIC CAPITAL LETTER DALDA
      "\u2C88",  # COPTIC CAPITAL LETTER EIE
      "\u2C8A",  # COPTIC CAPITAL LETTER SOU
      "\u2C8C",  # COPTIC CAPITAL LETTER ZATA
      "\u2C8E",  # COPTIC CAPITAL LETTER HATE
      "\u2C90",  # COPTIC CAPITAL LETTER THETHE
      "\u2C92",  # COPTIC CAPITAL LETTER IAUDA
      "\u2C94",  # COPTIC CAPITAL LETTER KAPA
      "\u2C96",  # COPTIC CAPITAL LETTER LAULA
      "\u2C98",  # COPTIC CAPITAL LETTER MI
      "\u2C9A",  # COPTIC CAPITAL LETTER NI
      "\u2C9C",  # COPTIC CAPITAL LETTER KSI
      "\u2C9E",  # COPTIC CAPITAL LETTER O
      "\u2CA0",  # COPTIC CAPITAL LETTER PI
      "\u2CA2",  # COPTIC CAPITAL LETTER RO
      "\u2CA4",  # COPTIC CAPITAL LETTER SIMA
      "\u2CA6",  # COPTIC CAPITAL LETTER TAU
      "\u2CA8",  # COPTIC CAPITAL LETTER UA
      "\u2CAA",  # COPTIC CAPITAL LETTER FI
      "\u2CAC",  # COPTIC CAPITAL LETTER KHI
      "\u2CAE",  # COPTIC CAPITAL LETTER PSI
      "\u2CB0",  # COPTIC CAPITAL LETTER OOU
      "\u2CB2",  # COPTIC CAPITAL LETTER DIALECT-P ALEF
      "\u2CB4",  # COPTIC CAPITAL LETTER OLD COPTIC AIN
      "\u2CB6",  # COPTIC CAPITAL LETTER CRYPTOGRAMMIC EIE
      "\u2CB8",  # COPTIC CAPITAL LETTER DIALECT-P KAPA
      "\u2CBA",  # COPTIC CAPITAL LETTER DIALECT-P NI
      "\u2CBC",  # COPTIC CAPITAL LETTER CRYPTOGRAMMIC NI
      "\u2CBE",  # COPTIC CAPITAL LETTER OLD COPTIC OOU
      "\u2CC0",  # COPTIC CAPITAL LETTER SAMPI
      "\u2CC2",  # COPTIC CAPITAL LETTER CROSSED SHEI
      "\u2CC4",  # COPTIC CAPITAL LETTER OLD COPTIC SHEI
      "\u2CC6",  # COPTIC CAPITAL LETTER OLD COPTIC ESH
      "\u2CC8",  # COPTIC CAPITAL LETTER AKHMIMIC KHEI
      "\u2CCA",  # COPTIC CAPITAL LETTER DIALECT-P HORI
      "\u2CCC",  # COPTIC CAPITAL LETTER OLD COPTIC HORI
      "\u2CCE",  # COPTIC CAPITAL LETTER OLD COPTIC HA
      "\u2CD0",  # COPTIC CAPITAL LETTER L-SHAPED HA
      "\u2CD2",  # COPTIC CAPITAL LETTER OLD COPTIC HEI
      "\u2CD4",  # COPTIC CAPITAL LETTER OLD COPTIC HAT
      "\u2CD6",  # COPTIC CAPITAL LETTER OLD COPTIC GANGIA
      "\u2CD8",  # COPTIC CAPITAL LETTER OLD COPTIC DJA
      "\u2CDA",  # COPTIC CAPITAL LETTER OLD COPTIC SHIMA
      "\u2CDC",  # COPTIC CAPITAL LETTER OLD NUBIAN SHIMA
      "\u2CDE",  # COPTIC CAPITAL LETTER OLD NUBIAN NGI
      "\u2CE0",  # COPTIC CAPITAL LETTER OLD NUBIAN NYI
      "\u2CE2",  # COPTIC CAPITAL LETTER OLD NUBIAN WAU
      "\u2CEB",  # COPTIC CAPITAL LETTER CRYPTOGRAMMIC SHEI
      "\u2CED",  # COPTIC CAPITAL LETTER CRYPTOGRAMMIC GANGIA
      "\u2CF2",  # COPTIC CAPITAL LETTER BOHAIRIC KHEI
      "\uA640",  # CYRILLIC CAPITAL LETTER ZEMLYA
      "\uA642",  # CYRILLIC CAPITAL LETTER DZELO
      "\uA644",  # CYRILLIC CAPITAL LETTER REVERSED DZE
      "\uA646",  # CYRILLIC CAPITAL LETTER IOTA
      "\uA648",  # CYRILLIC CAPITAL LETTER DJERV
      "\uA64A",  # CYRILLIC CAPITAL LETTER MONOGRAPH UK
      "\uA64C",  # CYRILLIC CAPITAL LETTER BROAD OMEGA
      "\uA64E",  # CYRILLIC CAPITAL LETTER NEUTRAL YER
      "\uA650",  # CYRILLIC CAPITAL LETTER YERU WITH BACK YER
      "\uA652",  # CYRILLIC CAPITAL LETTER IOTIFIED YAT
      "\uA654",  # CYRILLIC CAPITAL LETTER REVERSED YU
      "\uA656",  # CYRILLIC CAPITAL LETTER IOTIFIED A
      "\uA658",  # CYRILLIC CAPITAL LETTER CLOSED LITTLE YUS
      "\uA65A",  # CYRILLIC CAPITAL LETTER BLENDED YUS
      "\uA65C",  # CYRILLIC CAPITAL LETTER IOTIFIED CLOSED LITTLE YUS
      "\uA65E",  # CYRILLIC CAPITAL LETTER YN
      "\uA660",  # CYRILLIC CAPITAL LETTER REVERSED TSE
      "\uA662",  # CYRILLIC CAPITAL LETTER SOFT DE
      "\uA664",  # CYRILLIC CAPITAL LETTER SOFT EL
      "\uA666",  # CYRILLIC CAPITAL LETTER SOFT EM
      "\uA668",  # CYRILLIC CAPITAL LETTER MONOCULAR O
      "\uA66A",  # CYRILLIC CAPITAL LETTER BINOCULAR O
      "\uA66C",  # CYRILLIC CAPITAL LETTER DOUBLE MONOCULAR O
      "\uA680",  # CYRILLIC CAPITAL LETTER DWE
      "\uA682",  # CYRILLIC CAPITAL LETTER DZWE
      "\uA684",  # CYRILLIC CAPITAL LETTER ZHWE
      "\uA686",  # CYRILLIC CAPITAL LETTER CCHE
      "\uA688",  # CYRILLIC CAPITAL LETTER DZZE
      "\uA68A",  # CYRILLIC CAPITAL LETTER TE WITH MIDDLE HOOK
      "\uA68C",  # CYRILLIC CAPITAL LETTER TWE
      "\uA68E",  # CYRILLIC CAPITAL LETTER TSWE
      "\uA690",  # CYRILLIC CAPITAL LETTER TSSE
      "\uA692",  # CYRILLIC CAPITAL LETTER TCHE
      "\uA694",  # CYRILLIC CAPITAL LETTER HWE
      "\uA696",  # CYRILLIC CAPITAL LETTER SHWE
      "\uA698",  # CYRILLIC CAPITAL LETTER DOUBLE O
      "\uA69A",  # CYRILLIC CAPITAL LETTER CROSSED O
      "\uA722",  # LATIN CAPITAL LETTER EGYPTOLOGICAL ALEF
      "\uA724",  # LATIN CAPITAL LETTER EGYPTOLOGICAL AIN
      "\uA726",  # LATIN CAPITAL LETTER HENG
      "\uA728",  # LATIN CAPITAL LETTER TZ
      "\uA72A",  # LATIN CAPITAL LETTER TRESILLO
      "\uA72C",  # LATIN CAPITAL LETTER CUATRILLO
      "\uA72E",  # LATIN CAPITAL LETTER CUATRILLO WITH COMMA
      "\uA732",  # LATIN CAPITAL LETTER AA
      "\uA734",  # LATIN CAPITAL LETTER AO
      "\uA736",  # LATIN CAPITAL LETTER AU
      "\uA738",  # LATIN CAPITAL LETTER AV
      "\uA73A",  # LATIN CAPITAL LETTER AV WITH HORIZONTAL BAR
      "\uA73C",  # LATIN CAPITAL LETTER AY
      "\uA73E",  # LATIN CAPITAL LETTER REVERSED C WITH DOT
      "\uA740",  # LATIN CAPITAL LETTER K WITH STROKE
      "\uA742",  # LATIN CAPITAL LETTER K WITH DIAGONAL STROKE
      "\uA744",  # LATIN CAPITAL LETTER K WITH STROKE AND DIAGONAL STROKE
      "\uA746",  # LATIN CAPITAL LETTER BROKEN L
      "\uA748",  # LATIN CAPITAL LETTER L WITH HIGH STROKE
      "\uA74A",  # LATIN CAPITAL LETTER O WITH LONG STROKE OVERLAY
      "\uA74C",  # LATIN CAPITAL LETTER O WITH LOOP
      "\uA74E",  # LATIN CAPITAL LETTER OO
      "\uA750",  # LATIN CAPITAL LETTER P WITH STROKE THROUGH DESCENDER
      "\uA752",  # LATIN CAPITAL LETTER P WITH FLOURISH
      "\uA754",  # LATIN CAPITAL LETTER P WITH SQUIRREL TAIL
      "\uA756",  # LATIN CAPITAL LETTER Q WITH STROKE THROUGH DESCENDER
      "\uA758",  # LATIN CAPITAL LETTER Q WITH DIAGONAL STROKE
      "\uA75A",  # LATIN CAPITAL LETTER R ROTUNDA
      "\uA75C",  # LATIN CAPITAL LETTER RUM ROTUNDA
      "\uA75E",  # LATIN CAPITAL LETTER V WITH DIAGONAL STROKE
      "\uA760",  # LATIN CAPITAL LETTER VY
      "\uA762",  # LATIN CAPITAL LETTER VISIGOTHIC Z
      "\uA764",  # LATIN CAPITAL LETTER THORN WITH STROKE
      "\uA766",  # LATIN CAPITAL LETTER THORN WITH STROKE THROUGH DESCENDER
      "\uA768",  # LATIN CAPITAL LETTER VEND
      "\uA76A",  # LATIN CAPITAL LETTER ET
      "\uA76C",  # LATIN CAPITAL LETTER IS
      "\uA76E",  # LATIN CAPITAL LETTER CON
      "\uA779",  # LATIN CAPITAL LETTER INSULAR D
      "\uA77B",  # LATIN CAPITAL LETTER INSULAR F
      "\uA77D",  # LATIN CAPITAL LETTER INSULAR G
      "\uA77E",  # LATIN CAPITAL LETTER TURNED INSULAR G
      "\uA780",  # LATIN CAPITAL LETTER TURNED L
      "\uA782",  # LATIN CAPITAL LETTER INSULAR R
      "\uA784",  # LATIN CAPITAL LETTER INSULAR S
      "\uA786",  # LATIN CAPITAL LETTER INSULAR T
      "\uA78B",  # LATIN CAPITAL LETTER SALTILLO
      "\uA78D",  # LATIN CAPITAL LETTER TURNED H
      "\uA790",  # LATIN CAPITAL LETTER N WITH DESCENDER
      "\uA792",  # LATIN CAPITAL LETTER C WITH BAR
      "\uA796",  # LATIN CAPITAL LETTER B WITH FLOURISH
      "\uA798",  # LATIN CAPITAL LETTER F WITH STROKE
      "\uA79A",  # LATIN CAPITAL LETTER VOLAPUK AE
      "\uA79C",  # LATIN CAPITAL LETTER VOLAPUK OE
      "\uA79E",  # LATIN CAPITAL LETTER VOLAPUK UE
      "\uA7A0",  # LATIN CAPITAL LETTER G WITH OBLIQUE STROKE
      "\uA7A2",  # LATIN CAPITAL LETTER K WITH OBLIQUE STROKE
      "\uA7A4",  # LATIN CAPITAL LETTER N WITH OBLIQUE STROKE
      "\uA7A6",  # LATIN CAPITAL LETTER R WITH OBLIQUE STROKE
      "\uA7A8",  # LATIN CAPITAL LETTER S WITH OBLIQUE STROKE
      "\uA7AA",  # LATIN CAPITAL LETTER H WITH HOOK
      "\uA7AB",  # LATIN CAPITAL LETTER REVERSED OPEN E
      "\uA7AC",  # LATIN CAPITAL LETTER SCRIPT G
      "\uA7AD",  # LATIN CAPITAL LETTER L WITH BELT
      "\uA7AE",  # LATIN CAPITAL LETTER SMALL CAPITAL I
      "\uA7B0",  # LATIN CAPITAL LETTER TURNED K
      "\uA7B1",  # LATIN CAPITAL LETTER TURNED T
      "\uA7B2",  # LATIN CAPITAL LETTER J WITH CROSSED-TAIL
      "\uA7B3",  # LATIN CAPITAL LETTER CHI
      "\uA7B4",  # LATIN CAPITAL LETTER BETA
      "\uA7B6",  # LATIN CAPITAL LETTER OMEGA
      "\uAB70",  # CHEROKEE SMALL LETTER A
      "\uAB71",  # CHEROKEE SMALL LETTER E
      "\uAB72",  # CHEROKEE SMALL LETTER I
      "\uAB73",  # CHEROKEE SMALL LETTER O
      "\uAB74",  # CHEROKEE SMALL LETTER U
      "\uAB75",  # CHEROKEE SMALL LETTER V
      "\uAB76",  # CHEROKEE SMALL LETTER GA
      "\uAB77",  # CHEROKEE SMALL LETTER KA
      "\uAB78",  # CHEROKEE SMALL LETTER GE
      "\uAB79",  # CHEROKEE SMALL LETTER GI
      "\uAB7A",  # CHEROKEE SMALL LETTER GO
      "\uAB7B",  # CHEROKEE SMALL LETTER GU
      "\uAB7C",  # CHEROKEE SMALL LETTER GV
      "\uAB7D",  # CHEROKEE SMALL LETTER HA
      "\uAB7E",  # CHEROKEE SMALL LETTER HE
      "\uAB7F",  # CHEROKEE SMALL LETTER HI
      "\uAB80",  # CHEROKEE SMALL LETTER HO
      "\uAB81",  # CHEROKEE SMALL LETTER HU
      "\uAB82",  # CHEROKEE SMALL LETTER HV
      "\uAB83",  # CHEROKEE SMALL LETTER LA
      "\uAB84",  # CHEROKEE SMALL LETTER LE
      "\uAB85",  # CHEROKEE SMALL LETTER LI
      "\uAB86",  # CHEROKEE SMALL LETTER LO
      "\uAB87",  # CHEROKEE SMALL LETTER LU
      "\uAB88",  # CHEROKEE SMALL LETTER LV
      "\uAB89",  # CHEROKEE SMALL LETTER MA
      "\uAB8A",  # CHEROKEE SMALL LETTER ME
      "\uAB8B",  # CHEROKEE SMALL LETTER MI
      "\uAB8C",  # CHEROKEE SMALL LETTER MO
      "\uAB8D",  # CHEROKEE SMALL LETTER MU
      "\uAB8E",  # CHEROKEE SMALL LETTER NA
      "\uAB8F",  # CHEROKEE SMALL LETTER HNA
      "\uAB90",  # CHEROKEE SMALL LETTER NAH
      "\uAB91",  # CHEROKEE SMALL LETTER NE
      "\uAB92",  # CHEROKEE SMALL LETTER NI
      "\uAB93",  # CHEROKEE SMALL LETTER NO
      "\uAB94",  # CHEROKEE SMALL LETTER NU
      "\uAB95",  # CHEROKEE SMALL LETTER NV
      "\uAB96",  # CHEROKEE SMALL LETTER QUA
      "\uAB97",  # CHEROKEE SMALL LETTER QUE
      "\uAB98",  # CHEROKEE SMALL LETTER QUI
      "\uAB99",  # CHEROKEE SMALL LETTER QUO
      "\uAB9A",  # CHEROKEE SMALL LETTER QUU
      "\uAB9B",  # CHEROKEE SMALL LETTER QUV
      "\uAB9C",  # CHEROKEE SMALL LETTER SA
      "\uAB9D",  # CHEROKEE SMALL LETTER S
      "\uAB9E",  # CHEROKEE SMALL LETTER SE
      "\uAB9F",  # CHEROKEE SMALL LETTER SI
      "\uABA0",  # CHEROKEE SMALL LETTER SO
      "\uABA1",  # CHEROKEE SMALL LETTER SU
      "\uABA2",  # CHEROKEE SMALL LETTER SV
      "\uABA3",  # CHEROKEE SMALL LETTER DA
      "\uABA4",  # CHEROKEE SMALL LETTER TA
      "\uABA5",  # CHEROKEE SMALL LETTER DE
      "\uABA6",  # CHEROKEE SMALL LETTER TE
      "\uABA7",  # CHEROKEE SMALL LETTER DI
      "\uABA8",  # CHEROKEE SMALL LETTER TI
      "\uABA9",  # CHEROKEE SMALL LETTER DO
      "\uABAA",  # CHEROKEE SMALL LETTER DU
      "\uABAB",  # CHEROKEE SMALL LETTER DV
      "\uABAC",  # CHEROKEE SMALL LETTER DLA
      "\uABAD",  # CHEROKEE SMALL LETTER TLA
      "\uABAE",  # CHEROKEE SMALL LETTER TLE
      "\uABAF",  # CHEROKEE SMALL LETTER TLI
      "\uABB0",  # CHEROKEE SMALL LETTER TLO
      "\uABB1",  # CHEROKEE SMALL LETTER TLU
      "\uABB2",  # CHEROKEE SMALL LETTER TLV
      "\uABB3",  # CHEROKEE SMALL LETTER TSA
      "\uABB4",  # CHEROKEE SMALL LETTER TSE
      "\uABB5",  # CHEROKEE SMALL LETTER TSI
      "\uABB6",  # CHEROKEE SMALL LETTER TSO
      "\uABB7",  # CHEROKEE SMALL LETTER TSU
      "\uABB8",  # CHEROKEE SMALL LETTER TSV
      "\uABB9",  # CHEROKEE SMALL LETTER WA
      "\uABBA",  # CHEROKEE SMALL LETTER WE
      "\uABBB",  # CHEROKEE SMALL LETTER WI
      "\uABBC",  # CHEROKEE SMALL LETTER WO
      "\uABBD",  # CHEROKEE SMALL LETTER WU
      "\uABBE",  # CHEROKEE SMALL LETTER WV
      "\uABBF",  # CHEROKEE SMALL LETTER YA
      "\uFB00",  # LATIN SMALL LIGATURE FF
      "\uFB01",  # LATIN SMALL LIGATURE FI
      "\uFB02",  # LATIN SMALL LIGATURE FL
      "\uFB03",  # LATIN SMALL LIGATURE FFI
      "\uFB04",  # LATIN SMALL LIGATURE FFL
      "\uFB05",  # LATIN SMALL LIGATURE LONG S T
      "\uFB06",  # LATIN SMALL LIGATURE ST
      "\uFB13",  # ARMENIAN SMALL LIGATURE MEN NOW
      "\uFB14",  # ARMENIAN SMALL LIGATURE MEN ECH
      "\uFB15",  # ARMENIAN SMALL LIGATURE MEN INI
      "\uFB16",  # ARMENIAN SMALL LIGATURE VEW NOW
      "\uFB17",  # ARMENIAN SMALL LIGATURE MEN XEH
      "\uFF21",  # FULLWIDTH LATIN CAPITAL LETTER A
      "\uFF22",  # FULLWIDTH LATIN CAPITAL LETTER B
      "\uFF23",  # FULLWIDTH LATIN CAPITAL LETTER C
      "\uFF24",  # FULLWIDTH LATIN CAPITAL LETTER D
      "\uFF25",  # FULLWIDTH LATIN CAPITAL LETTER E
      "\uFF26",  # FULLWIDTH LATIN CAPITAL LETTER F
      "\uFF27",  # FULLWIDTH LATIN CAPITAL LETTER G
      "\uFF28",  # FULLWIDTH LATIN CAPITAL LETTER H
      "\uFF29",  # FULLWIDTH LATIN CAPITAL LETTER I
      "\uFF2A",  # FULLWIDTH LATIN CAPITAL LETTER J
      "\uFF2B",  # FULLWIDTH LATIN CAPITAL LETTER K
      "\uFF2C",  # FULLWIDTH LATIN CAPITAL LETTER L
      "\uFF2D",  # FULLWIDTH LATIN CAPITAL LETTER M
      "\uFF2E",  # FULLWIDTH LATIN CAPITAL LETTER N
      "\uFF2F",  # FULLWIDTH LATIN CAPITAL LETTER O
      "\uFF30",  # FULLWIDTH LATIN CAPITAL LETTER P
      "\uFF31",  # FULLWIDTH LATIN CAPITAL LETTER Q
      "\uFF32",  # FULLWIDTH LATIN CAPITAL LETTER R
      "\uFF33",  # FULLWIDTH LATIN CAPITAL LETTER S
      "\uFF34",  # FULLWIDTH LATIN CAPITAL LETTER T
      "\uFF35",  # FULLWIDTH LATIN CAPITAL LETTER U
      "\uFF36",  # FULLWIDTH LATIN CAPITAL LETTER V
      "\uFF37",  # FULLWIDTH LATIN CAPITAL LETTER W
      "\uFF38",  # FULLWIDTH LATIN CAPITAL LETTER X
      "\uFF39",  # FULLWIDTH LATIN CAPITAL LETTER Y
      "\uFF3A",  # FULLWIDTH LATIN CAPITAL LETTER Z
      "\u10400",  # DESERET CAPITAL LETTER LONG I
      "\u10401",  # DESERET CAPITAL LETTER LONG E
      "\u10402",  # DESERET CAPITAL LETTER LONG A
      "\u10403",  # DESERET CAPITAL LETTER LONG AH
      "\u10404",  # DESERET CAPITAL LETTER LONG O
      "\u10405",  # DESERET CAPITAL LETTER LONG OO
      "\u10406",  # DESERET CAPITAL LETTER SHORT I
      "\u10407",  # DESERET CAPITAL LETTER SHORT E
      "\u10408",  # DESERET CAPITAL LETTER SHORT A
      "\u10409",  # DESERET CAPITAL LETTER SHORT AH
      "\u1040A",  # DESERET CAPITAL LETTER SHORT O
      "\u1040B",  # DESERET CAPITAL LETTER SHORT OO
      "\u1040C",  # DESERET CAPITAL LETTER AY
      "\u1040D",  # DESERET CAPITAL LETTER OW
      "\u1040E",  # DESERET CAPITAL LETTER WU
      "\u1040F",  # DESERET CAPITAL LETTER YEE
      "\u10410",  # DESERET CAPITAL LETTER H
      "\u10411",  # DESERET CAPITAL LETTER PEE
      "\u10412",  # DESERET CAPITAL LETTER BEE
      "\u10413",  # DESERET CAPITAL LETTER TEE
      "\u10414",  # DESERET CAPITAL LETTER DEE
      "\u10415",  # DESERET CAPITAL LETTER CHEE
      "\u10416",  # DESERET CAPITAL LETTER JEE
      "\u10417",  # DESERET CAPITAL LETTER KAY
      "\u10418",  # DESERET CAPITAL LETTER GAY
      "\u10419",  # DESERET CAPITAL LETTER EF
      "\u1041A",  # DESERET CAPITAL LETTER VEE
      "\u1041B",  # DESERET CAPITAL LETTER ETH
      "\u1041C",  # DESERET CAPITAL LETTER THEE
      "\u1041D",  # DESERET CAPITAL LETTER ES
      "\u1041E",  # DESERET CAPITAL LETTER ZEE
      "\u1041F",  # DESERET CAPITAL LETTER ESH
      "\u10420",  # DESERET CAPITAL LETTER ZHEE
      "\u10421",  # DESERET CAPITAL LETTER ER
      "\u10422",  # DESERET CAPITAL LETTER EL
      "\u10423",  # DESERET CAPITAL LETTER EM
      "\u10424",  # DESERET CAPITAL LETTER EN
      "\u10425",  # DESERET CAPITAL LETTER ENG
      "\u10426",  # DESERET CAPITAL LETTER OI
      "\u10427",  # DESERET CAPITAL LETTER EW
      "\u104B0",  # OSAGE CAPITAL LETTER A
      "\u104B1",  # OSAGE CAPITAL LETTER AI
      "\u104B2",  # OSAGE CAPITAL LETTER AIN
      "\u104B3",  # OSAGE CAPITAL LETTER AH
      "\u104B4",  # OSAGE CAPITAL LETTER BRA
      "\u104B5",  # OSAGE CAPITAL LETTER CHA
      "\u104B6",  # OSAGE CAPITAL LETTER EHCHA
      "\u104B7",  # OSAGE CAPITAL LETTER E
      "\u104B8",  # OSAGE CAPITAL LETTER EIN
      "\u104B9",  # OSAGE CAPITAL LETTER HA
      "\u104BA",  # OSAGE CAPITAL LETTER HYA
      "\u104BB",  # OSAGE CAPITAL LETTER I
      "\u104BC",  # OSAGE CAPITAL LETTER KA
      "\u104BD",  # OSAGE CAPITAL LETTER EHKA
      "\u104BE",  # OSAGE CAPITAL LETTER KYA
      "\u104BF",  # OSAGE CAPITAL LETTER LA
      "\u104C0",  # OSAGE CAPITAL LETTER MA
      "\u104C1",  # OSAGE CAPITAL LETTER NA
      "\u104C2",  # OSAGE CAPITAL LETTER O
      "\u104C3",  # OSAGE CAPITAL LETTER OIN
      "\u104C4",  # OSAGE CAPITAL LETTER PA
      "\u104C5",  # OSAGE CAPITAL LETTER EHPA
      "\u104C6",  # OSAGE CAPITAL LETTER SA
      "\u104C7",  # OSAGE CAPITAL LETTER SHA
      "\u104C8",  # OSAGE CAPITAL LETTER TA
      "\u104C9",  # OSAGE CAPITAL LETTER EHTA
      "\u104CA",  # OSAGE CAPITAL LETTER TSA
      "\u104CB",  # OSAGE CAPITAL LETTER EHTSA
      "\u104CC",  # OSAGE CAPITAL LETTER TSHA
      "\u104CD",  # OSAGE CAPITAL LETTER DHA
      "\u104CE",  # OSAGE CAPITAL LETTER U
      "\u104CF",  # OSAGE CAPITAL LETTER WA
      "\u104D0",  # OSAGE CAPITAL LETTER KHA
      "\u104D1",  # OSAGE CAPITAL LETTER GHA
      "\u104D2",  # OSAGE CAPITAL LETTER ZA
      "\u104D3",  # OSAGE CAPITAL LETTER ZHA
      "\u10C80",  # OLD HUNGARIAN CAPITAL LETTER A
      "\u10C81",  # OLD HUNGARIAN CAPITAL LETTER AA
      "\u10C82",  # OLD HUNGARIAN CAPITAL LETTER EB
      "\u10C83",  # OLD HUNGARIAN CAPITAL LETTER AMB
      "\u10C84",  # OLD HUNGARIAN CAPITAL LETTER EC
      "\u10C85",  # OLD HUNGARIAN CAPITAL LETTER ENC
      "\u10C86",  # OLD HUNGARIAN CAPITAL LETTER ECS
      "\u10C87",  # OLD HUNGARIAN CAPITAL LETTER ED
      "\u10C88",  # OLD HUNGARIAN CAPITAL LETTER AND
      "\u10C89",  # OLD HUNGARIAN CAPITAL LETTER E
      "\u10C8A",  # OLD HUNGARIAN CAPITAL LETTER CLOSE E
      "\u10C8B",  # OLD HUNGARIAN CAPITAL LETTER EE
      "\u10C8C",  # OLD HUNGARIAN CAPITAL LETTER EF
      "\u10C8D",  # OLD HUNGARIAN CAPITAL LETTER EG
      "\u10C8E",  # OLD HUNGARIAN CAPITAL LETTER EGY
      "\u10C8F",  # OLD HUNGARIAN CAPITAL LETTER EH
      "\u10C90",  # OLD HUNGARIAN CAPITAL LETTER I
      "\u10C91",  # OLD HUNGARIAN CAPITAL LETTER II
      "\u10C92",  # OLD HUNGARIAN CAPITAL LETTER EJ
      "\u10C93",  # OLD HUNGARIAN CAPITAL LETTER EK
      "\u10C94",  # OLD HUNGARIAN CAPITAL LETTER AK
      "\u10C95",  # OLD HUNGARIAN CAPITAL LETTER UNK
      "\u10C96",  # OLD HUNGARIAN CAPITAL LETTER EL
      "\u10C97",  # OLD HUNGARIAN CAPITAL LETTER ELY
      "\u10C98",  # OLD HUNGARIAN CAPITAL LETTER EM
      "\u10C99",  # OLD HUNGARIAN CAPITAL LETTER EN
      "\u10C9A",  # OLD HUNGARIAN CAPITAL LETTER ENY
      "\u10C9B",  # OLD HUNGARIAN CAPITAL LETTER O
      "\u10C9C",  # OLD HUNGARIAN CAPITAL LETTER OO
      "\u10C9D",  # OLD HUNGARIAN CAPITAL LETTER NIKOLSBURG OE
      "\u10C9E",  # OLD HUNGARIAN CAPITAL LETTER RUDIMENTA OE
      "\u10C9F",  # OLD HUNGARIAN CAPITAL LETTER OEE
      "\u10CA0",  # OLD HUNGARIAN CAPITAL LETTER EP
      "\u10CA1",  # OLD HUNGARIAN CAPITAL LETTER EMP
      "\u10CA2",  # OLD HUNGARIAN CAPITAL LETTER ER
      "\u10CA3",  # OLD HUNGARIAN CAPITAL LETTER SHORT ER
      "\u10CA4",  # OLD HUNGARIAN CAPITAL LETTER ES
      "\u10CA5",  # OLD HUNGARIAN CAPITAL LETTER ESZ
      "\u10CA6",  # OLD HUNGARIAN CAPITAL LETTER ET
      "\u10CA7",  # OLD HUNGARIAN CAPITAL LETTER ENT
      "\u10CA8",  # OLD HUNGARIAN CAPITAL LETTER ETY
      "\u10CA9",  # OLD HUNGARIAN CAPITAL LETTER ECH
      "\u10CAA",  # OLD HUNGARIAN CAPITAL LETTER U
      "\u10CAB",  # OLD HUNGARIAN CAPITAL LETTER UU
      "\u10CAC",  # OLD HUNGARIAN CAPITAL LETTER NIKOLSBURG UE
      "\u10CAD",  # OLD HUNGARIAN CAPITAL LETTER RUDIMENTA UE
      "\u10CAE",  # OLD HUNGARIAN CAPITAL LETTER EV
      "\u10CAF",  # OLD HUNGARIAN CAPITAL LETTER EZ
      "\u10CB0",  # OLD HUNGARIAN CAPITAL LETTER EZS
      "\u10CB1",  # OLD HUNGARIAN CAPITAL LETTER ENT-SHAPED SIGN
      "\u10CB2",  # OLD HUNGARIAN CAPITAL LETTER US
      "\u118A0",  # WARANG CITI CAPITAL LETTER NGAA
      "\u118A1",  # WARANG CITI CAPITAL LETTER A
      "\u118A2",  # WARANG CITI CAPITAL LETTER WI
      "\u118A3",  # WARANG CITI CAPITAL LETTER YU
      "\u118A4",  # WARANG CITI CAPITAL LETTER YA
      "\u118A5",  # WARANG CITI CAPITAL LETTER YO
      "\u118A6",  # WARANG CITI CAPITAL LETTER II
      "\u118A7",  # WARANG CITI CAPITAL LETTER UU
      "\u118A8",  # WARANG CITI CAPITAL LETTER E
      "\u118A9",  # WARANG CITI CAPITAL LETTER O
      "\u118AA",  # WARANG CITI CAPITAL LETTER ANG
      "\u118AB",  # WARANG CITI CAPITAL LETTER GA
      "\u118AC",  # WARANG CITI CAPITAL LETTER KO
      "\u118AD",  # WARANG CITI CAPITAL LETTER ENY
      "\u118AE",  # WARANG CITI CAPITAL LETTER YUJ
      "\u118AF",  # WARANG CITI CAPITAL LETTER UC
      "\u118B0",  # WARANG CITI CAPITAL LETTER ENN
      "\u118B1",  # WARANG CITI CAPITAL LETTER ODD
      "\u118B2",  # WARANG CITI CAPITAL LETTER TTE
      "\u118B3",  # WARANG CITI CAPITAL LETTER NUNG
      "\u118B4",  # WARANG CITI CAPITAL LETTER DA
      "\u118B5",  # WARANG CITI CAPITAL LETTER AT
      "\u118B6",  # WARANG CITI CAPITAL LETTER AM
      "\u118B7",  # WARANG CITI CAPITAL LETTER BU
      "\u118B8",  # WARANG CITI CAPITAL LETTER PU
      "\u118B9",  # WARANG CITI CAPITAL LETTER HIYO
      "\u118BA",  # WARANG CITI CAPITAL LETTER HOLO
      "\u118BB",  # WARANG CITI CAPITAL LETTER HORR
      "\u118BC",  # WARANG CITI CAPITAL LETTER HAR
      "\u118BD",  # WARANG CITI CAPITAL LETTER SSUU
      "\u118BE",  # WARANG CITI CAPITAL LETTER SII
      "\u118BF",  # WARANG CITI CAPITAL LETTER VIYO
      "\u1E900",  # ADLAM CAPITAL LETTER ALIF
      "\u1E901",  # ADLAM CAPITAL LETTER DAALI
      "\u1E902",  # ADLAM CAPITAL LETTER LAAM
      "\u1E903",  # ADLAM CAPITAL LETTER MIIM
      "\u1E904",  # ADLAM CAPITAL LETTER BA
      "\u1E905",  # ADLAM CAPITAL LETTER SINNYIIYHE
      "\u1E906",  # ADLAM CAPITAL LETTER PE
      "\u1E907",  # ADLAM CAPITAL LETTER BHE
      "\u1E908",  # ADLAM CAPITAL LETTER RA
      "\u1E909",  # ADLAM CAPITAL LETTER E
      "\u1E90A",  # ADLAM CAPITAL LETTER FA
      "\u1E90B",  # ADLAM CAPITAL LETTER I
      "\u1E90C",  # ADLAM CAPITAL LETTER O
      "\u1E90D",  # ADLAM CAPITAL LETTER DHA
      "\u1E90E",  # ADLAM CAPITAL LETTER YHE
      "\u1E90F",  # ADLAM CAPITAL LETTER WAW
      "\u1E910",  # ADLAM CAPITAL LETTER NUN
      "\u1E911",  # ADLAM CAPITAL LETTER KAF
      "\u1E912",  # ADLAM CAPITAL LETTER YA
      "\u1E913",  # ADLAM CAPITAL LETTER U
      "\u1E914",  # ADLAM CAPITAL LETTER JIIM
      "\u1E915",  # ADLAM CAPITAL LETTER CHI
      "\u1E916",  # ADLAM CAPITAL LETTER HA
      "\u1E917",  # ADLAM CAPITAL LETTER QAAF
      "\u1E918",  # ADLAM CAPITAL LETTER GA
      "\u1E919",  # ADLAM CAPITAL LETTER NYA
      "\u1E91A",  # ADLAM CAPITAL LETTER TU
      "\u1E91B",  # ADLAM CAPITAL LETTER NHA
      "\u1E91C",  # ADLAM CAPITAL LETTER VA
      "\u1E91D",  # ADLAM CAPITAL LETTER KHA
      "\u1E91E",  # ADLAM CAPITAL LETTER GBE
      "\u1E91F",  # ADLAM CAPITAL LETTER ZAL
      "\u1E920",  # ADLAM CAPITAL LETTER KPO
      "\u1E921",  # ADLAM CAPITAL LETTER SHA
    ]
    test_data.each do |string|
      assert @validator.valid_encoding?(string), "U10_CaseFolding: #{string}"
      assert string.force_encoding("UTF-8").valid_encoding?, "U10_CaseFolding: #{string}" if @vercheck
    end
  end

end
