# encoding: utf-8
#
# This file is machine generated.  DO NOT EDIT!
#
if Kernel.respond_to?(:require_relative)
  require_relative("./helper")
else
  $:.unshift(File.dirname(__FILE__))
  require 'helper'
end
#
# == Purpose
#
# Tests for the #{UTF8::Validator} implementation.
#
# Test data pulled and generated from:
#
# https://www.unicode.org/Public/10.0.0/ucd/
#
class TestUnicode10EmojiSources < Test::Unit::TestCase
  #
  def setup
    @validator = UTF8::Validator.new
    @vercheck = ((RUBY_VERSION =~ /1.9/) or (RUBY_VERSION =~ /2./)) ? true : false
  end

  #
  def teardown
    @validator = nil
  end

  def test_unicode10_EmojiSources
    test_data = [
      "\u0023",  #
      "\u20E3",  #
      "\uF985",  #
      "\uF489",  #
      "\uF7B0",  #
      "\u0030",  #
      "\u20E3",  #
      "\uF990",  #
      "\uF7C9",  #
      "\uF7C5",  #
      "\u0031",  #
      "\u20E3",  #
      "\uF987",  #
      "\uF6FB",  #
      "\uF7BC",  #
      "\u0032",  #
      "\u20E3",  #
      "\uF988",  #
      "\uF6FC",  #
      "\uF7BD",  #
      "\u0033",  #
      "\u20E3",  #
      "\uF989",  #
      "\uF740",  #
      "\uF7BE",  #
      "\u0034",  #
      "\u20E3",  #
      "\uF98A",  #
      "\uF741",  #
      "\uF7BF",  #
      "\u0035",  #
      "\u20E3",  #
      "\uF98B",  #
      "\uF742",  #
      "\uF7C0",  #
      "\u0036",  #
      "\u20E3",  #
      "\uF98C",  #
      "\uF743",  #
      "\uF7C1",  #
      "\u0037",  #
      "\u20E3",  #
      "\uF98D",  #
      "\uF744",  #
      "\uF7C2",  #
      "\u0038",  #
      "\u20E3",  #
      "\uF98E",  #
      "\uF745",  #
      "\uF7C3",  #
      "\u0039",  #
      "\u20E3",  #
      "\uF98F",  #
      "\uF746",  #
      "\uF7C4",  #
      "\u00A9",  #
      "\uF9D6",  #
      "\uF774",  #
      "\uF7EE",  #
      "\u00AE",  #
      "\uF9DB",  #
      "\uF775",  #
      "\uF7EF",  #
      "\u2002",  #
      "\uF7AA",  #
      "\u2003",  #
      "\uF7A9",  #
      "\u2005",  #
      "\uF7AB",  #
      "\u203C",  #
      "\uF9A9",  #
      "\uF3F1",  #
      "\u2049",  #
      "\uF9A8",  #
      "\uF3F0",  #
      "\u2122",  #
      "\uF9D7",  #
      "\uF76A",  #
      "\uFBD7",  #
      "\u2139",  #
      "\uF74F",  #
      "\u2194",  #
      "\uF9E1",  #
      "\uF47E",  #
      "\u2195",  #
      "\uF9E2",  #
      "\uF480",  #
      "\u2196",  #
      "\uF8F8",  #
      "\uF768",  #
      "\uF7D7",  #
      "\u2197",  #
      "\uF8D9",  #
      "\uF771",  #
      "\uF7D6",  #
      "\u2198",  #
      "\uF8F7",  #
      "\uF769",  #
      "\uF7D8",  #
      "\u2199",  #
      "\uF949",  #
      "\uF772",  #
      "\uF7D9",  #
      "\u21A9",  #
      "\uF97E",  #
      "\uF779",  #
      "\u21AA",  #
      "\uF778",  #
      "\u231A",  #
      "\uF9C4",  #
      "\uF797",  #
      "\u231B",  #
      "\uF798",  #
      "\u23E9",  #
      "\uF74C",  #
      "\uF7DC",  #
      "\u23EA",  #
      "\uF74B",  #
      "\uF7DD",  #
      "\u23EB",  #
      "\uF761",  #
      "\u23EC",  #
      "\uF760",  #
      "\u23F0",  #
      "\uF95E",  #
      "\uF7B1",  #
      "\u23F3",  #
      "\uF9C1",  #
      "\uF654",  #
      "\u24C2",  #
      "\uF8BD",  #
      "\u25AA",  #
      "\uF74E",  #
      "\u25AB",  #
      "\uF74D",  #
      "\u25B6",  #
      "\uF74A",  #
      "\uF7DA",  #
      "\u25C0",  #
      "\uF749",  #
      "\uF7DB",  #
      "\u25FB",  #
      "\uF754",  #
      "\u25FC",  #
      "\uF755",  #
      "\u25FD",  #
      "\uF750",  #
      "\u25FE",  #
      "\uF751",  #
      "\u2600",  #
      "\uF89F",  #
      "\uF660",  #
      "\uF98B",  #
      "\u2601",  #
      "\uF8A0",  #
      "\uF665",  #
      "\uF98A",  #
      "\u260E",  #
      "\uF8E8",  #
      "\uF7B3",  #
      "\uF949",  #
      "\u2611",  #
      "\uF7D9",  #
      "\u2614",  #
      "\uF8A1",  #
      "\uF664",  #
      "\uF98C",  #
      "\u2615",  #
      "\uF8D1",  #
      "\uF7B4",  #
      "\uF986",  #
      "\u261D",  #
      "\uF6CF",  #
      "\uF94F",  #
      "\u263A",  #
      "\uF6D4",  #
      "\uFB54",  #
      "\u2648",  #
      "\uF8A7",  #
      "\uF667",  #
      "\uF7DF",  #
      "\u2649",  #
      "\uF8A8",  #
      "\uF668",  #
      "\uF7E0",  #
      "\u264A",  #
      "\uF8A9",  #
      "\uF669",  #
      "\uF7E1",  #
      "\u264B",  #
      "\uF8AA",  #
      "\uF66A",  #
      "\uF7E2",  #
      "\u264C",  #
      "\uF8AB",  #
      "\uF66B",  #
      "\uF7E3",  #
      "\u264D",  #
      "\uF8AC",  #
      "\uF66C",  #
      "\uF7E4",  #
      "\u264E",  #
      "\uF8AD",  #
      "\uF66D",  #
      "\uF7E5",  #
      "\u264F",  #
      "\uF8AE",  #
      "\uF66E",  #
      "\uF7E6",  #
      "\u2650",  #
      "\uF8AF",  #
      "\uF66F",  #
      "\uF7E7",  #
      "\u2651",  #
      "\uF8B0",  #
      "\uF670",  #
      "\uF7E8",  #
      "\u2652",  #
      "\uF8B1",  #
      "\uF671",  #
      "\uF7E9",  #
      "\u2653",  #
      "\uF8B2",  #
      "\uF672",  #
      "\uF7EA",  #
      "\u2660",  #
      "\uF8EF",  #
      "\uF7BE",  #
      "\uF7AE",  #
      "\u2663",  #
      "\uF8F1",  #
      "\uF7C0",  #
      "\uF7AF",  #
      "\u2665",  #
      "\uF8EE",  #
      "\uF378",  #
      "\uF7AC",  #
      "\u2666",  #
      "\uF8F0",  #
      "\uF7BF",  #
      "\uF7AD",  #
      "\u2668",  #
      "\uF99C",  #
      "\uF695",  #
      "\uF763",  #
      "\u267B",  #
      "\uF9DA",  #
      "\uF47D",  #
      "\u267F",  #
      "\uF8FC",  #
      "\uF657",  #
      "\uF7AA",  #
      "\u2693",  #
      "\uF682",  #
      "\u26A0",  #
      "\uF9DC",  #
      "\uF659",  #
      "\uF7F2",  #
      "\u26A1",  #
      "\uF8A3",  #
      "\uF65F",  #
      "\uF77D",  #
      "\u26AA",  #
      "\uF756",  #
      "\u26AB",  #
      "\uF757",  #
      "\u26BD",  #
      "\uF8B7",  #
      "\uF68F",  #
      "\uF958",  #
      "\u26BE",  #
      "\uF8B4",  #
      "\uF693",  #
      "\uF956",  #
      "\u26C4",  #
      "\uF8A2",  #
      "\uF65D",  #
      "\uF989",  #
      "\u26C5",  #
      "\uF666",  #
      "\u26CE",  #
      "\uF673",  #
      "\uF7EB",  #
      "\u26D4",  #
      "\uF65C",  #
      "\u26EA",  #
      "\uF7EB",  #
      "\uF977",  #
      "\u26F2",  #
      "\uF342",  #
      "\uF761",  #
      "\u26F3",  #
      "\uF8B5",  #
      "\uF7B6",  #
      "\uF954",  #
      "\u26F5",  #
      "\uF947",  #
      "\uF68D",  #
      "\uF95C",  #
      "\u26FA",  #
      "\uF343",  #
      "\uF762",  #
      "\u26FD",  #
      "\uF8CC",  #
      "\uF78E",  #
      "\uF97A",  #
      "\u2702",  #
      "\uF8D6",  #
      "\uF6EF",  #
      "\uF9B3",  #
      "\u2705",  #
      "\uF77A",  #
      "\u2708",  #
      "\uF8C3",  #
      "\uF68C",  #
      "\uF95D",  #
      "\u2709",  #
      "\uF977",  #
      "\uF6FA",  #
      "\u270A",  #
      "\uF8F4",  #
      "\uF488",  #
      "\uF950",  #
      "\u270B",  #
      "\uF8F6",  #
      "\uF7C4",  #
      "\uF952",  #
      "\u270C",  #
      "\uF8F5",  #
      "\uF7C3",  #
      "\uF951",  #
      "\u270F",  #
      "\uF9BE",  #
      "\uF679",  #
      "\u2712",  #
      "\uF952",  #
      "\uF7DA",  #
      "\u2714",  #
      "\uF773",  #
      "\u2716",  #
      "\uF76B",  #
      "\u2728",  #
      "\uF99F",  #
      "\uF37E",  #
      "\uF9CE",  #
      "\u2733",  #
      "\uF75A",  #
      "\uF7A6",  #
      "\u2734",  #
      "\uF651",  #
      "\uF7A5",  #
      "\u2744",  #
      "\uF662",  #
      "\u2747",  #
      "\uF644",  #
      "\u274C",  #
      "\uF76C",  #
      "\uF9D3",  #
      "\u274E",  #
      "\uF76D",  #
      "\u2753",  #
      "\uF65B",  #
      "\uF960",  #
      "\u2754",  #
      "\uF9D6",  #
      "\u2755",  #
      "\uF9D7",  #
      "\u2757",  #
      "\uF9A7",  #
      "\uF65A",  #
      "\uF961",  #
      "\u2764",  #
      "\uF991",  #
      "\uF7B2",  #
      "\uF962",  #
      "\u2795",  #
      "\uF758",  #
      "\u2796",  #
      "\uF759",  #
      "\u2797",  #
      "\uF770",  #
      "\u27A1",  #
      "\uF76E",  #
      "\uF7D4",  #
      "\u27B0",  #
      "\uF9AF",  #
      "\uF3F2",  #
      "\u2934",  #
      "\uF99A",  #
      "\uF3EE",  #
      "\u2935",  #
      "\uF9A5",  #
      "\uF3EF",  #
      "\u2B05",  #
      "\uF76F",  #
      "\uF7D5",  #
      "\u2B06",  #
      "\uF75B",  #
      "\uF7D2",  #
      "\u2B07",  #
      "\uF75C",  #
      "\uF7D3",  #
      "\u2B1B",  #
      "\uF765",  #
      "\u2B1C",  #
      "\uF764",  #
      "\u2B50",  #
      "\uF663",  #
      "\uF9CF",  #
      "\u2B55",  #
      "\uF381",  #
      "\uF9D2",  #
      "\u3030",  #
      "\uF9AE",  #
      "\u303D",  #
      "\uF76C",  #
      "\u3297",  #
      "\uF36C",  #
      "\uF9AD",  #
      "\u3299",  #
      "\uF9D9",  #
      "\uF6CA",  #
      "\uF9B5",  #
      "\u1F004",  #
      "\uF344",  #
      "\uF76D",  #
      "\u1F0CF",  #
      "\uF473",  #
      "\u1F170",  #
      "\uF3E7",  #
      "\uFBD2",  #
      "\u1F171",  #
      "\uF3E8",  #
      "\uFBD3",  #
      "\u1F17E",  #
      "\uF3E9",  #
      "\uFBD5",  #
      "\u1F17F",  #
      "\uF8CD",  #
      "\uF67E",  #
      "\uF790",  #
      "\u1F18E",  #
      "\uF3EA",  #
      "\uFBD4",  #
      "\u1F191",  #
      "\uF980",  #
      "\uF7C8",  #
      "\u1F192",  #
      "\uF358",  #
      "\uF7B4",  #
      "\u1F193",  #
      "\uF97B",  #
      "\uF795",  #
      "\u1F194",  #
      "\uF97C",  #
      "\uF35B",  #
      "\uF7C9",  #
      "\u1F195",  #
      "\uF982",  #
      "\uF7E5",  #
      "\uF7B2",  #
      "\u1F196",  #
      "\uF9D4",  #
      "\u1F197",  #
      "\uF9B0",  #
      "\uF7CA",  #
      "\uF7ED",  #
      "\u1F198",  #
      "\uF6C1",  #
      "\u1F199",  #
      "\uF6E8",  #
      "\uF7B3",  #
      "\u1F19A",  #
      "\uF345",  #
      "\uF76E",  #
      "\u1F1E8",  #
      "\u1F1F3",  #
      "\uF3D2",  #
      "\uFBB3",  #
      "\u1F1E9",  #
      "\u1F1EA",  #
      "\uF3CF",  #
      "\uFBAE",  #
      "\u1F1EA",  #
      "\u1F1F8",  #
      "\uF348",  #
      "\uFBB1",  #
      "\u1F1EB",  #
      "\u1F1F7",  #
      "\uF3CE",  #
      "\uFBAD",  #
      "\u1F1EC",  #
      "\u1F1E7",  #
      "\uF3D1",  #
      "\uFBB0",  #
      "\u1F1EE",  #
      "\u1F1F9",  #
      "\uF3D0",  #
      "\uFBAF",  #
      "\u1F1EF",  #
      "\u1F1F5",  #
      "\uF6A5",  #
      "\uFBAB",  #
      "\u1F1F0",  #
      "\u1F1F7",  #
      "\uF3D3",  #
      "\uFBB4",  #
      "\u1F1F7",  #
      "\u1F1FA",  #
      "\uF349",  #
      "\uFBB2",  #
      "\u1F1FA",  #
      "\u1F1F8",  #
      "\uF790",  #
      "\uFBAC",  #
      "\u1F201",  #
      "\uF7A3",  #
      "\u1F202",  #
      "\uF35A",  #
      "\uF7C8",  #
      "\u1F21A",  #
      "\uF7B6",  #
      "\u1F22F",  #
      "\uF35E",  #
      "\uF7CC",  #
      "\u1F232",  #
      "\uF9DD",  #
      "\u1F233",  #
      "\uF9DE",  #
      "\uF35D",  #
      "\uF7CB",  #
      "\u1F234",  #
      "\uF9DF",  #
      "\u1F235",  #
      "\uF9E0",  #
      "\uF35C",  #
      "\uF7CA",  #
      "\u1F236",  #
      "\uF7B5",  #
      "\u1F237",  #
      "\uF7B7",  #
      "\u1F238",  #
      "\uF7B8",  #
      "\u1F239",  #
      "\uF359",  #
      "\uF7C7",  #
      "\u1F23A",  #
      "\uF35F",  #
      "\uF7CD",  #
      "\u1F250",  #
      "\uF6D0",  #
      "\uF7C6",  #
      "\u1F251",  #
      "\uF7D8",  #
      "\u1F300",  #
      "\uF8A4",  #
      "\uF641",  #
      "\uFB84",  #
      "\u1F301",  #
      "\uF8A5",  #
      "\uF7B5",  #
      "\u1F302",  #
      "\uF8A6",  #
      "\uF3BC",  #
      "\uFB7C",  #
      "\u1F303",  #
      "\uF957",  #
      "\uF3C5",  #
      "\uFB8C",  #
      "\u1F304",  #
      "\uF98E",  #
      "\u1F305",  #
      "\uF3C8",  #
      "\uFB8A",  #
      "\u1F306",  #
      "\uF34D",  #
      "\uF787",  #
      "\u1F307",  #
      "\uFB8B",  #
      "\u1F308",  #
      "\uF3C6",  #
      "\uFB8D",  #
      "\u1F309",  #
      "\uF698",  #
      "\u1F30A",  #
      "\uF9E4",  #
      "\uF481",  #
      "\uFB7E",  #
      "\u1F30B",  #
      "\uF457",  #
      "\u1F30C",  #
      "\uF463",  #
      "\u1F30F",  #
      "\uF7D0",  #
      "\u1F311",  #
      "\uF940",  #
      "\uF7C5",  #
      "\u1F313",  #
      "\uF942",  #
      "\uF7C7",  #
      "\u1F314",  #
      "\uF941",  #
      "\uF7C6",  #
      "\u1F315",  #
      "\uF944",  #
      "\u1F319",  #
      "\uF943",  #
      "\uF65E",  #
      "\uF98D",  #
      "\u1F31B",  #
      "\uF661",  #
      "\u1F31F",  #
      "\uF9D5",  #
      "\u1F320",  #
      "\uF640",  #
      "\u1F330",  #
      "\uF3F9",  #
      "\u1F331",  #
      "\uF9EB",  #
      "\uF482",  #
      "\u1F334",  #
      "\uF6BB",  #
      "\uF9A7",  #
      "\u1F335",  #
      "\uF369",  #
      "\uF9A8",  #
      "\u1F337",  #
      "\uF9E8",  #
      "\uF6BD",  #
      "\uF9A4",  #
      "\u1F338",  #
      "\uF9ED",  #
      "\uF6A3",  #
      "\uF970",  #
      "\u1F339",  #
      "\uF7EA",  #
      "\uF972",  #
      "\u1F33A",  #
      "\uF367",  #
      "\uF9A3",  #
      "\u1F33B",  #
      "\uF6BC",  #
      "\uF9A5",  #
      "\u1F33C",  #
      "\uF44D",  #
      "\u1F33D",  #
      "\uF3F7",  #
      "\u1F33E",  #
      "\uFB85",  #
      "\u1F33F",  #
      "\uF487",  #
      "\u1F340",  #
      "\uF9E6",  #
      "\uF6EC",  #
      "\uF750",  #
      "\u1F341",  #
      "\uF9EC",  #
      "\uF6A7",  #
      "\uF758",  #
      "\u1F342",  #
      "\uF340",  #
      "\uF759",  #
      "\u1F343",  #
      "\uFB88",  #
      "\u1F344",  #
      "\uF3F8",  #
      "\u1F345",  #
      "\uF38F",  #
      "\uF9E9",  #
      "\u1F346",  #
      "\uF390",  #
      "\uF9EA",  #
      "\u1F347",  #
      "\uF3F5",  #
      "\u1F348",  #
      "\uF3F3",  #
      "\u1F349",  #
      "\uF6A6",  #
      "\uF9E8",  #
      "\u1F34A",  #
      "\uF38E",  #
      "\uF9E6",  #
      "\u1F34C",  #
      "\uF9E9",  #
      "\uF3F6",  #
      "\u1F34D",  #
      "\uF3F4",  #
      "\u1F34E",  #
      "\uF9EA",  #
      "\uF38D",  #
      "\uF9E5",  #
      "\u1F34F",  #
      "\uF45E",  #
      "\u1F351",  #
      "\uF3FA",  #
      "\u1F352",  #
      "\uF9E7",  #
      "\uF6AB",  #
      "\u1F353",  #
      "\uF6AD",  #
      "\uF9E7",  #
      "\u1F354",  #
      "\uF8D4",  #
      "\uF6AF",  #
      "\uF760",  #
      "\u1F355",  #
      "\uF3FC",  #
      "\u1F356",  #
      "\uF69D",  #
      "\u1F357",  #
      "\uF440",  #
      "\u1F358",  #
      "\uF387",  #
      "\uF9DD",  #
      "\u1F359",  #
      "\uF9EE",  #
      "\uF6AE",  #
      "\uF9E2",  #
      "\u1F35A",  #
      "\uF388",  #
      "\uF9DE",  #
      "\u1F35B",  #
      "\uF38A",  #
      "\uF9E1",  #
      "\u1F35C",  #
      "\uF9F1",  #
      "\uF7D1",  #
      "\uF9E0",  #
      "\u1F35D",  #
      "\uF389",  #
      "\uF9DF",  #
      "\u1F35E",  #
      "\uF9F2",  #
      "\uF383",  #
      "\uF9D9",  #
      "\u1F35F",  #
      "\uF385",  #
      "\uF9DB",  #
      "\u1F360",  #
      "\uF3FB",  #
      "\u1F361",  #
      "\uF386",  #
      "\uF9DC",  #
      "\u1F362",  #
      "\uF38B",  #
      "\uF9E3",  #
      "\u1F363",  #
      "\uF38C",  #
      "\uF9E4",  #
      "\u1F364",  #
      "\uF474",  #
      "\u1F365",  #
      "\uF6C6",  #
      "\u1F366",  #
      "\uF384",  #
      "\uF9DA",  #
      "\u1F367",  #
      "\uF3BE",  #
      "\uFB80",  #
      "\u1F368",  #
      "\uF44E",  #
      "\u1F369",  #
      "\uF44F",  #
      "\u1F36A",  #
      "\uF450",  #
      "\u1F36B",  #
      "\uF451",  #
      "\u1F36C",  #
      "\uF452",  #
      "\u1F36D",  #
      "\uF453",  #
      "\u1F36E",  #
      "\uF45A",  #
      "\u1F36F",  #
      "\uF45D",  #
      "\u1F370",  #
      "\uF9EF",  #
      "\uF6A9",  #
      "\uF987",  #
      "\u1F371",  #
      "\uF391",  #
      "\uF9EC",  #
      "\u1F372",  #
      "\uF392",  #
      "\uF9ED",  #
      "\u1F373",  #
      "\uF6AA",  #
      "\uF788",  #
      "\u1F374",  #
      "\uF8D0",  #
      "\uF685",  #
      "\uF984",  #
      "\u1F375",  #
      "\uF9C3",  #
      "\uF382",  #
      "\uF9D8",  #
      "\u1F376",  #
      "\uF9F0",  #
      "\uF36A",  #
      "\uF9AB",  #
      "\u1F377",  #
      "\uF9FB",  #
      "\uF69A",  #
      "\u1F378",  #
      "\uF8D2",  #
      "\uF69B",  #
      "\uF985",  #
      "\u1F379",  #
      "\uF442",  #
      "\u1F37A",  #
      "\uF8D3",  #
      "\uF69C",  #
      "\uF988",  #
      "\u1F37B",  #
      "\uF36B",  #
      "\uF9AC",  #
      "\u1F380",  #
      "\uF8E5",  #
      "\uF7BC",  #
      "\uF9B4",  #
      "\u1F381",  #
      "\uF8E6",  #
      "\uF6A8",  #
      "\uF752",  #
      "\u1F382",  #
      "\uF8E7",  #
      "\uF7BD",  #
      "\uF9EB",  #
      "\u1F383",  #
      "\uF3C2",  #
      "\uFB86",  #
      "\u1F384",  #
      "\uF948",  #
      "\uF6A2",  #
      "\uF973",  #
      "\u1F385",  #
      "\uF3C4",  #
      "\uFB89",  #
      "\u1F386",  #
      "\uF7FC",  #
      "\uF757",  #
      "\u1F387",  #
      "\uF3BF",  #
      "\uFB81",  #
      "\u1F388",  #
      "\uF36E",  #
      "\uF9B0",  #
      "\u1F389",  #
      "\uF36F",  #
      "\uF9B2",  #
      "\u1F38A",  #
      "\uF647",  #
      "\u1F38B",  #
      "\uF441",  #
      "\u1F38C",  #
      "\uF34C",  #
      "\uF784",  #
      "\u1F38D",  #
      "\uF3B7",  #
      "\uFB76",  #
      "\u1F38E",  #
      "\uF3B8",  #
      "\uFB78",  #
      "\u1F38F",  #
      "\uF3BB",  #
      "\uFB7B",  #
      "\u1F390",  #
      "\uF3C1",  #
      "\uFB83",  #
      "\u1F391",  #
      "\uF3C3",  #
      "\uFB87",  #
      "\u1F392",  #
      "\uF3BA",  #
      "\uFB7A",  #
      "\u1F393",  #
      "\uF3B9",  #
      "\uFB79",  #
      "\u1F3A0",  #
      "\uF8DA",  #
      "\u1F3A1",  #
      "\uF645",  #
      "\uF764",  #
      "\u1F3A2",  #
      "\uF3B6",  #
      "\uFB73",  #
      "\u1F3A3",  #
      "\uF446",  #
      "\u1F3A4",  #
      "\uF8D7",  #
      "\uF6DC",  #
      "\uF97C",  #
      "\u1F3A5",  #
      "\uF8D8",  #
      "\uF6F0",  #
      "\uF97D",  #
      "\u1F3A6",  #
      "\uFBA7",  #
      "\u1F3A7",  #
      "\uF8DB",  #
      "\uF6E1",  #
      "\uF9AA",  #
      "\u1F3A8",  #
      "\uF8DC",  #
      "\uF7B9",  #
      "\uFBA2",  #
      "\u1F3A9",  #
      "\uF8DD",  #
      "\uF3C9",  #
      "\uFBA3",  #
      "\u1F3AA",  #
      "\uF8DE",  #
      "\uF7BB",  #
      "\u1F3AB",  #
      "\uF8DF",  #
      "\uF676",  #
      "\uF765",  #
      "\u1F3AC",  #
      "\uF950",  #
      "\uF697",  #
      "\uF9C4",  #
      "\u1F3AD",  #
      "\uF7BA",  #
      "\u1F3AE",  #
      "\uF8EC",  #
      "\uF69F",  #
      "\u1F3AF",  #
      "\uF69E",  #
      "\uF770",  #
      "\u1F3B0",  #
      "\uF646",  #
      "\uF773",  #
      "\u1F3B1",  #
      "\uF3B1",  #
      "\uFB6C",  #
      "\u1F3B2",  #
      "\uF6A1",  #
      "\u1F3B3",  #
      "\uF447",  #
      "\u1F3B4",  #
      "\uF472",  #
      "\u1F3B5",  #
      "\uF99B",  #
      "\uF7EE",  #
      "\uF97E",  #
      "\u1F3B6",  #
      "\uF9A4",  #
      "\uF6DE",  #
      "\uF9C6",  #
      "\u1F3B7",  #
      "\uF981",  #
      "\u1F3B8",  #
      "\uF6DF",  #
      "\uF982",  #
      "\u1F3B9",  #
      "\uF444",  #
      "\u1F3BA",  #
      "\uF3B0",  #
      "\uF983",  #
      "\u1F3BB",  #
      "\uF6E0",  #
      "\u1F3BC",  #
      "\uF3A0",  #
      "\u1F3BD",  #
      "\uF8B3",  #
      "\u1F3BE",  #
      "\uF8B6",  #
      "\uF690",  #
      "\uF955",  #
      "\u1F3BF",  #
      "\uF8B8",  #
      "\uF380",  #
      "\uF953",  #
      "\u1F3C0",  #
      "\uF8B9",  #
      "\uF7B7",  #
      "\uFB6A",  #
      "\u1F3C1",  #
      "\uF8BA",  #
      "\uF692",  #
      "\uF772",  #
      "\u1F3C2",  #
      "\uF9B7",  #
      "\uF691",  #
      "\u1F3C3",  #
      "\uF9D8",  #
      "\uF643",  #
      "\uF755",  #
      "\u1F3C4",  #
      "\uF445",  #
      "\uF957",  #
      "\u1F3C6",  #
      "\uF346",  #
      "\uF771",  #
      "\u1F3C8",  #
      "\uF694",  #
      "\uFB6B",  #
      "\u1F3CA",  #
      "\uF3B2",  #
      "\uFB6D",  #
      "\u1F3E0",  #
      "\uF8C4",  #
      "\uF684",  #
      "\uF976",  #
      "\u1F3E1",  #
      "\uF7E0",  #
      "\u1F3E2",  #
      "\uF8C5",  #
      "\uF686",  #
      "\uF978",  #
      "\u1F3E3",  #
      "\uF8C6",  #
      "\uF351",  #
      "\uF794",  #
      "\u1F3E5",  #
      "\uF8C7",  #
      "\uF352",  #
      "\uF796",  #
      "\u1F3E6",  #
      "\uF8C8",  #
      "\uF683",  #
      "\uF78E",  #
      "\u1F3E7",  #
      "\uF8C9",  #
      "\uF67B",  #
      "\uF795",  #
      "\u1F3E8",  #
      "\uF8CA",  #
      "\uF354",  #
      "\uF799",  #
      "\u1F3E9",  #
      "\uF3C7",  #
      "\uFBA1",  #
      "\u1F3EA",  #
      "\uF8CB",  #
      "\uF67C",  #
      "\uF797",  #
      "\u1F3EB",  #
      "\uF9E3",  #
      "\uF353",  #
      "\uF798",  #
      "\u1F3EC",  #
      "\uF3CA",  #
      "\uFBA4",  #
      "\u1F3ED",  #
      "\uF3CD",  #
      "\uFBA8",  #
      "\u1F3EE",  #
      "\uF696",  #
      "\u1F3EF",  #
      "\uF3CB",  #
      "\uFBA5",  #
      "\u1F3F0",  #
      "\uF3CC",  #
      "\uFBA6",  #
      "\u1F40C",  #
      "\uF9F3",  #
      "\uF483",  #
      "\u1F40D",  #
      "\uF3E3",  #
      "\uFBCD",  #
      "\u1F40E",  #
      "\uF774",  #
      "\u1F411",  #
      "\uFBC9",  #
      "\u1F412",  #
      "\uFBC8",  #
      "\u1F414",  #
      "\uF3E4",  #
      "\uFBCE",  #
      "\u1F417",  #
      "\uF3E5",  #
      "\uFBCF",  #
      "\u1F418",  #
      "\uF3E0",  #
      "\uFBC6",  #
      "\u1F419",  #
      "\uF7F7",  #
      "\uF74A",  #
      "\u1F41A",  #
      "\uF3C0",  #
      "\uFB82",  #
      "\u1F41B",  #
      "\uF3DF",  #
      "\uFBC5",  #
      "\u1F41C",  #
      "\uF6B6",  #
      "\u1F41D",  #
      "\uF45B",  #
      "\u1F41E",  #
      "\uF45C",  #
      "\u1F41F",  #
      "\uF9F6",  #
      "\uF959",  #
      "\u1F420",  #
      "\uF3DE",  #
      "\uFBC2",  #
      "\u1F421",  #
      "\uF6AC",  #
      "\u1F422",  #
      "\uF347",  #
      "\u1F423",  #
      "\uF34E",  #
      "\u1F424",  #
      "\uF9F4",  #
      "\uF6B9",  #
      "\uFBC3",  #
      "\u1F425",  #
      "\uF47A",  #
      "\u1F426",  #
      "\uFBC1",  #
      "\u1F427",  #
      "\uF9F5",  #
      "\uF6B5",  #
      "\uF996",  #
      "\u1F428",  #
      "\uF3E1",  #
      "\uFBC7",  #
      "\u1F429",  #
      "\uF6B8",  #
      "\u1F42B",  #
      "\uF3E6",  #
      "\uFBD0",  #
      "\u1F42C",  #
      "\uF3DC",  #
      "\uFBC0",  #
      "\u1F42D",  #
      "\uF7F2",  #
      "\uF994",  #
      "\u1F42E",  #
      "\uF3E2",  #
      "\uFBCB",  #
      "\u1F42F",  #
      "\uF7F0",  #
      "\uF991",  #
      "\u1F430",  #
      "\uF6B0",  #
      "\uFBCC",  #
      "\u1F431",  #
      "\uF946",  #
      "\uF6B4",  #
      "\uF990",  #
      "\u1F432",  #
      "\uF443",  #
      "\u1F433",  #
      "\uF648",  #
      "\uF995",  #
      "\u1F434",  #
      "\uF9F9",  #
      "\uF6B1",  #
      "\uF95A",  #
      "\u1F435",  #
      "\uF6B2",  #
      "\uF749",  #
      "\u1F436",  #
      "\uF945",  #
      "\uF6BA",  #
      "\uF993",  #
      "\u1F437",  #
      "\uF9FA",  #
      "\uF6B7",  #
      "\uF74B",  #
      "\u1F438",  #
      "\uF6B3",  #
      "\uFBD1",  #
      "\u1F439",  #
      "\uFBC4",  #
      "\u1F43A",  #
      "\uFBCA",  #
      "\u1F43B",  #
      "\uF7F1",  #
      "\uF992",  #
      "\u1F43C",  #
      "\uF44A",  #
      "\u1F43D",  #
      "\uF44C",  #
      "\u1F43E",  #
      "\uF6C7",  #
      "\u1F440",  #
      "\uF8F2",  #
      "\uF7C1",  #
      "\uFB59",  #
      "\u1F442",  #
      "\uF8F3",  #
      "\uF7C2",  #
      "\uFB5B",  #
      "\u1F443",  #
      "\uF3A4",  #
      "\uFB5A",  #
      "\u1F444",  #
      "\uF3A5",  #
      "\uFB5C",  #
      "\u1F445",  #
      "\uF44B",  #
      "\u1F446",  #
      "\uF360",  #
      "\uF7CE",  #
      "\u1F447",  #
      "\uF361",  #
      "\uF7CF",  #
      "\u1F448",  #
      "\uF6D8",  #
      "\uF7D0",  #
      "\u1F449",  #
      "\uF6D9",  #
      "\uF7D1",  #
      "\u1F44A",  #
      "\uF9A2",  #
      "\uF6CC",  #
      "\uF94D",  #
      "\u1F44B",  #
      "\uF3AA",  #
      "\uFB5E",  #
      "\u1F44C",  #
      "\uF3A8",  #
      "\uFB60",  #
      "\u1F44D",  #
      "\uF9CC",  #
      "\uF6D2",  #
      "\uF94E",  #
      "\u1F44E",  #
      "\uF3A9",  #
      "\uFB61",  #
      "\u1F44F",  #
      "\uF3A7",  #
      "\uFB5F",  #
      "\u1F450",  #
      "\uFB62",  #
      "\u1F451",  #
      "\uF9BF",  #
      "\uF7F9",  #
      "\uF74E",  #
      "\u1F452",  #
      "\uF371",  #
      "\uF9B8",  #
      "\u1F453",  #
      "\uF8FB",  #
      "\uF6D7",  #
      "\u1F454",  #
      "\uF366",  #
      "\uF9A2",  #
      "\u1F455",  #
      "\uF9B3",  #
      "\uF7E6",  #
      "\uF946",  #
      "\u1F456",  #
      "\uF9B6",  #
      "\uF47B",  #
      "\u1F457",  #
      "\uF46F",  #
      "\uF9B9",  #
      "\u1F458",  #
      "\uF376",  #
      "\uF9C1",  #
      "\u1F459",  #
      "\uF377",  #
      "\uF9C2",  #
      "\u1F45A",  #
      "\uF6E6",  #
      "\u1F45B",  #
      "\uF9B4",  #
      "\uF6DD",  #
      "\u1F45C",  #
      "\uF8E3",  #
      "\uF674",  #
      "\uF9C3",  #
      "\u1F45D",  #
      "\uF951",  #
      "\u1F45E",  #
      "\uF7E7",  #
      "\u1F45F",  #
      "\uF8FA",  #
      "\uF3EC",  #
      "\uF947",  #
      "\u1F460",  #
      "\uF8D5",  #
      "\uF6F3",  #
      "\uF77E",  #
      "\u1F461",  #
      "\uF9BA",  #
      "\u1F462",  #
      "\uF372",  #
      "\uF9BB",  #
      "\u1F463",  #
      "\uF8F9",  #
      "\uF3EB",  #
      "\uFBD6",  #
      "\u1F464",  #
      "\uF955",  #
      "\u1F466",  #
      "\uF941",  #
      "\u1F467",  #
      "\uF942",  #
      "\u1F468",  #
      "\uF6D5",  #
      "\uF944",  #
      "\u1F469",  #
      "\uF6D3",  #
      "\uF945",  #
      "\u1F46A",  #
      "\uF6DA",  #
      "\u1F46B",  #
      "\uFB68",  #
      "\u1F46E",  #
      "\uF350",  #
      "\uF793",  #
      "\u1F46F",  #
      "\uF3AF",  #
      "\uFB69",  #
      "\u1F470",  #
      "\uF3BD",  #
      "\u1F471",  #
      "\uF3D4",  #
      "\uFBB5",  #
      "\u1F472",  #
      "\uF3D5",  #
      "\uFBB6",  #
      "\u1F473",  #
      "\uF3D6",  #
      "\uFBB7",  #
      "\u1F474",  #
      "\uF3D7",  #
      "\uFBB8",  #
      "\u1F475",  #
      "\uF3D8",  #
      "\uFBB9",  #
      "\u1F476",  #
      "\uF3D9",  #
      "\uFBBA",  #
      "\u1F477",  #
      "\uF3DA",  #
      "\uFBBB",  #
      "\u1F478",  #
      "\uF3DB",  #
      "\uFBBC",  #
      "\u1F479",  #
      "\uF448",  #
      "\u1F47A",  #
      "\uF449",  #
      "\u1F47B",  #
      "\uF6A4",  #
      "\uF75B",  #
      "\u1F47C",  #
      "\uF7EF",  #
      "\uF98F",  #
      "\u1F47D",  #
      "\uF6E7",  #
      "\uF74C",  #
      "\u1F47E",  #
      "\uF6C5",  #
      "\uF76B",  #
      "\u1F47F",  #
      "\uF6C8",  #
      "\uF75A",  #
      "\u1F480",  #
      "\uF6D1",  #
      "\uF75C",  #
      "\u1F481",  #
      "\uF7F3",  #
      "\u1F482",  #
      "\uFBBE",  #
      "\u1F483",  #
      "\uF3DD",  #
      "\uFBBF",  #
      "\u1F484",  #
      "\uF9B5",  #
      "\uF6E2",  #
      "\uF9BC",  #
      "\u1F485",  #
      "\uF373",  #
      "\uF9BD",  #
      "\u1F486",  #
      "\uF6E4",  #
      "\uF9BE",  #
      "\u1F487",  #
      "\uF374",  #
      "\uF9BF",  #
      "\u1F488",  #
      "\uF375",  #
      "\uF9C0",  #
      "\u1F489",  #
      "\uF6E9",  #
      "\uF77B",  #
      "\u1F48A",  #
      "\uF36D",  #
      "\uF9AF",  #
      "\u1F48B",  #
      "\uF99E",  #
      "\uF6C4",  #
      "\uF943",  #
      "\u1F48C",  #
      "\uF9BC",  #
      "\uF47C",  #
      "\u1F48D",  #
      "\uF9C0",  #
      "\uF6ED",  #
      "\uF974",  #
      "\u1F48E",  #
      "\uF975",  #
      "\u1F48F",  #
      "\uF7FA",  #
      "\uF751",  #
      "\u1F490",  #
      "\uF368",  #
      "\uF9A6",  #
      "\u1F491",  #
      "\uF3AE",  #
      "\uFB65",  #
      "\u1F492",  #
      "\uFB7D",  #
      "\u1F493",  #
      "\uF992",  #
      "\uF479",  #
      "\uF9C7",  #
      "\u1F494",  #
      "\uF993",  #
      "\uF64F",  #
      "\uF963",  #
      "\u1F495",  #
      "\uF994",  #
      "\uF650",  #
      "\u1F496",  #
      "\uF379",  #
      "\u1F497",  #
      "\uF9C8",  #
      "\u1F498",  #
      "\uF6C3",  #
      "\uF9C9",  #
      "\u1F499",  #
      "\uF37A",  #
      "\uF9CA",  #
      "\u1F49A",  #
      "\uF37B",  #
      "\uF9CB",  #
      "\u1F49B",  #
      "\uF37C",  #
      "\uF9CC",  #
      "\u1F49C",  #
      "\uF37D",  #
      "\uF9CD",  #
      "\u1F49D",  #
      "\uF458",  #
      "\uFB77",  #
      "\u1F49E",  #
      "\uF7CC",  #
      "\u1F49F",  #
      "\uF7A4",  #
      "\u1F4A0",  #
      "\uF99D",  #
      "\u1F4A1",  #
      "\uF9A0",  #
      "\uF64E",  #
      "\uF74F",  #
      "\u1F4A2",  #
      "\uF9A1",  #
      "\uF6BE",  #
      "\uF9D4",  #
      "\u1F4A3",  #
      "\uF9A3",  #
      "\uF652",  #
      "\uF9B1",  #
      "\u1F4A4",  #
      "\uF9A6",  #
      "\uF64D",  #
      "\uF77C",  #
      "\u1F4A5",  #
      "\uF9AA",  #
      "\uF7CD",  #
      "\u1F4A6",  #
      "\uF9AB",  #
      "\uF7CE",  #
      "\uF9D1",  #
      "\u1F4A7",  #
      "\uF9AC",  #
      "\uF6BF",  #
      "\u1F4A8",  #
      "\uF9AD",  #
      "\uF6CD",  #
      "\uF9D0",  #
      "\u1F4A9",  #
      "\uF6CE",  #
      "\uF99B",  #
      "\u1F4AA",  #
      "\uF6C2",  #
      "\uF78D",  #
      "\u1F4AB",  #
      "\uF460",  #
      "\u1F4AC",  #
      "\uF6D6",  #
      "\u1F4AE",  #
      "\uF6C9",  #
      "\u1F4AF",  #
      "\uF6CB",  #
      "\u1F4B0",  #
      "\uF9BA",  #
      "\uF6A0",  #
      "\uF76F",  #
      "\u1F4B1",  #
      "\uF78A",  #
      "\u1F4B2",  #
      "\uF796",  #
      "\u1F4B3",  #
      "\uF799",  #
      "\u1F4B4",  #
      "\uF97A",  #
      "\uF79A",  #
      "\u1F4B5",  #
      "\uF7A2",  #
      "\u1F4B8",  #
      "\uF45F",  #
      "\u1F4B9",  #
      "\uF34F",  #
      "\uF78B",  #
      "\u1F4BA",  #
      "\uF956",  #
      "\uF75F",  #
      "\u1F4BB",  #
      "\uF9BB",  #
      "\uF7E8",  #
      "\uF94C",  #
      "\u1F4BC",  #
      "\uF341",  #
      "\uF75E",  #
      "\u1F4BD",  #
      "\uF79F",  #
      "\uF9B6",  #
      "\u1F4BE",  #
      "\uF77E",  #
      "\u1F4BF",  #
      "\uF8ED",  #
      "\uF6E5",  #
      "\uF766",  #
      "\u1F4C0",  #
      "\uF767",  #
      "\u1F4C1",  #
      "\uF7AC",  #
      "\u1F4C2",  #
      "\uF7AD",  #
      "\u1F4C3",  #
      "\uF77D",  #
      "\u1F4C4",  #
      "\uF786",  #
      "\u1F4C5",  #
      "\uF780",  #
      "\u1F4C6",  #
      "\uF787",  #
      "\u1F4C7",  #
      "\uF789",  #
      "\u1F4C8",  #
      "\uF792",  #
      "\u1F4C9",  #
      "\uF793",  #
      "\u1F4CA",  #
      "\uF791",  #
      "\u1F4CB",  #
      "\uF781",  #
      "\u1F4CC",  #
      "\uF78A",  #
      "\u1F4CD",  #
      "\uF77C",  #
      "\u1F4CE",  #
      "\uF9D5",  #
      "\uF678",  #
      "\u1F4CF",  #
      "\uF78D",  #
      "\u1F4D0",  #
      "\uF67A",  #
      "\u1F4D1",  #
      "\uF7E2",  #
      "\u1F4D2",  #
      "\uF78B",  #
      "\u1F4D3",  #
      "\uF788",  #
      "\u1F4D4",  #
      "\uF675",  #
      "\u1F4D5",  #
      "\uF785",  #
      "\u1F4D6",  #
      "\uF8E4",  #
      "\uF677",  #
      "\uF789",  #
      "\u1F4D7",  #
      "\uF782",  #
      "\u1F4D8",  #
      "\uF783",  #
      "\u1F4D9",  #
      "\uF784",  #
      "\u1F4DA",  #
      "\uF78C",  #
      "\u1F4DB",  #
      "\uF6F6",  #
      "\u1F4DC",  #
      "\uF77B",  #
      "\u1F4DD",  #
      "\uF8EA",  #
      "\uF365",  #
      "\uF9A1",  #
      "\u1F4DE",  #
      "\uF6F7",  #
      "\u1F4DF",  #
      "\uF8BB",  #
      "\uF7B8",  #
      "\u1F4E0",  #
      "\uF974",  #
      "\uF6F9",  #
      "\uF94B",  #
      "\u1F4E1",  #
      "\uF681",  #
      "\uF78C",  #
      "\u1F4E2",  #
      "\uF783",  #
      "\u1F4E3",  #
      "\uF9B7",  #
      "\u1F4E4",  #
      "\uF7AF",  #
      "\u1F4E5",  #
      "\uF7B0",  #
      "\u1F4E6",  #
      "\uF6F8",  #
      "\u1F4E7",  #
      "\uF475",  #
      "\u1F4E8",  #
      "\uF7AE",  #
      "\u1F4E9",  #
      "\uF973",  #
      "\uF466",  #
      "\uF743",  #
      "\u1F4EA",  #
      "\uF6F4",  #
      "\u1F4EB",  #
      "\uF7E1",  #
      "\uF741",  #
      "\u1F4EE",  #
      "\uF742",  #
      "\u1F4F0",  #
      "\uF7A8",  #
      "\u1F4F1",  #
      "\uF8E9",  #
      "\uF7A5",  #
      "\uF94A",  #
      "\u1F4F2",  #
      "\uF972",  #
      "\uF7DF",  #
      "\uF744",  #
      "\u1F4F3",  #
      "\uF363",  #
      "\uF7F0",  #
      "\u1F4F4",  #
      "\uF364",  #
      "\uF7F1",  #
      "\u1F4F6",  #
      "\uF357",  #
      "\uF7AB",  #
      "\u1F4F7",  #
      "\uF8E2",  #
      "\uF6EE",  #
      "\uF948",  #
      "\u1F4F9",  #
      "\uF79B",  #
      "\u1F4FA",  #
      "\uF8EB",  #
      "\uF6DB",  #
      "\uF76A",  #
      "\u1F4FB",  #
      "\uF7E9",  #
      "\uF768",  #
      "\u1F4FC",  #
      "\uF79D",  #
      "\uF769",  #
      "\u1F503",  #
      "\uF7E4",  #
      "\u1F50A",  #
      "\uF6EA",  #
      "\uF782",  #
      "\u1F50B",  #
      "\uF7A1",  #
      "\u1F50C",  #
      "\uF7A6",  #
      "\u1F50D",  #
      "\uF981",  #
      "\uF6F1",  #
      "\uF754",  #
      "\u1F50E",  #
      "\uF7DC",  #
      "\u1F50F",  #
      "\uF7E3",  #
      "\u1F510",  #
      "\uF7D3",  #
      "\u1F511",  #
      "\uF97D",  #
      "\uF6F2",  #
      "\uF980",  #
      "\u1F512",  #
      "\uF6F5",  #
      "\uF785",  #
      "\u1F513",  #
      "\uF786",  #
      "\u1F514",  #
      "\uF9B8",  #
      "\uF6EB",  #
      "\uF9C5",  #
      "\u1F516",  #
      "\uF7DE",  #
      "\u1F517",  #
      "\uF7A7",  #
      "\u1F518",  #
      "\uF7DB",  #
      "\u1F519",  #
      "\uF7DD",  #
      "\u1F51A",  #
      "\uF95D",  #
      "\u1F51B",  #
      "\uF95C",  #
      "\u1F51C",  #
      "\uF95B",  #
      "\u1F51D",  #
      "\uF7EC",  #
      "\u1F51E",  #
      "\uF356",  #
      "\uF7A7",  #
      "\u1F51F",  #
      "\uF747",  #
      "\u1F520",  #
      "\uF7D4",  #
      "\u1F521",  #
      "\uF7D5",  #
      "\u1F522",  #
      "\uF7D6",  #
      "\u1F523",  #
      "\uF7D7",  #
      "\u1F524",  #
      "\uF459",  #
      "\u1F525",  #
      "\uF653",  #
      "\uF75D",  #
      "\u1F526",  #
      "\uF7A0",  #
      "\u1F527",  #
      "\uF9BD",  #
      "\uF7A4",  #
      "\u1F528",  #
      "\uF7FB",  #
      "\uF756",  #
      "\u1F529",  #
      "\uF79E",  #
      "\u1F52A",  #
      "\uF79C",  #
      "\u1F52B",  #
      "\uF6E3",  #
      "\uF753",  #
      "\u1F52E",  #
      "\uF362",  #
      "\u1F52F",  #
      "\uF7DE",  #
      "\u1F530",  #
      "\uF658",  #
      "\uF7A9",  #
      "\u1F531",  #
      "\uF971",  #
      "\u1F532",  #
      "\uF7BA",  #
      "\u1F533",  #
      "\uF7BB",  #
      "\u1F534",  #
      "\uF766",  #
      "\uF7B9",  #
      "\u1F535",  #
      "\uF767",  #
      "\u1F536",  #
      "\uF762",  #
      "\u1F537",  #
      "\uF763",  #
      "\u1F538",  #
      "\uF752",  #
      "\u1F539",  #
      "\uF753",  #
      "\u1F53A",  #
      "\uF776",  #
      "\u1F53B",  #
      "\uF777",  #
      "\u1F53C",  #
      "\uF75F",  #
      "\u1F53D",  #
      "\uF75E",  #
      "\u1F550",  #
      "\uF964",  #
      "\u1F551",  #
      "\uF965",  #
      "\u1F552",  #
      "\uF966",  #
      "\u1F553",  #
      "\uF967",  #
      "\u1F554",  #
      "\uF968",  #
      "\u1F555",  #
      "\uF969",  #
      "\u1F556",  #
      "\uF96A",  #
      "\u1F557",  #
      "\uF96B",  #
      "\u1F558",  #
      "\uF96C",  #
      "\u1F559",  #
      "\uF96D",  #
      "\u1F55A",  #
      "\uF96E",  #
      "\u1F55B",  #
      "\uF96F",  #
      "\u1F5FB",  #
      "\uF9E5",  #
      "\uF7ED",  #
      "\uF97B",  #
      "\u1F5FC",  #
      "\uF699",  #
      "\uFBA9",  #
      "\u1F5FD",  #
      "\uFBBD",  #
      "\u1F5FE",  #
      "\uF78F",  #
      "\u1F5FF",  #
      "\uF470",  #
      "\u1F601",  #
      "\uF9F8",  #
      "\uF485",  #
      "\uFB44",  #
      "\u1F602",  #
      "\uF468",  #
      "\uFB52",  #
      "\u1F603",  #
      "\uF995",  #
      "\uF649",  #
      "\uF998",  #
      "\u1F604",  #
      "\uFB55",  #
      "\u1F605",  #
      "\uF9C7",  #
      "\u1F606",  #
      "\uF9CF",  #
      "\u1F609",  #
      "\uF9CE",  #
      "\uF7F3",  #
      "\uFB45",  #
      "\u1F60A",  #
      "\uF3A1",  #
      "\uF997",  #
      "\u1F60B",  #
      "\uF9F7",  #
      "\u1F60C",  #
      "\uF9C6",  #
      "\uF399",  #
      "\uFB4A",  #
      "\u1F60D",  #
      "\uF9CB",  #
      "\uF7F4",  #
      "\uF746",  #
      "\u1F60F",  #
      "\uF9D1",  #
      "\uF393",  #
      "\uFB42",  #
      "\u1F612",  #
      "\uF9CA",  #
      "\uF39D",  #
      "\uFB4E",  #
      "\u1F613",  #
      "\uF9C8",  #
      "\uF7F6",  #
      "\uF748",  #
      "\u1F614",  #
      "\uF9C5",  #
      "\uF394",  #
      "\uFB43",  #
      "\u1F616",  #
      "\uF998",  #
      "\uF397",  #
      "\uFB47",  #
      "\u1F618",  #
      "\uF3A3",  #
      "\uFB58",  #
      "\u1F61A",  #
      "\uF3A2",  #
      "\uFB57",  #
      "\u1F61C",  #
      "\uF9CD",  #
      "\uF6C0",  #
      "\uF745",  #
      "\u1F61D",  #
      "\uFB49",  #
      "\u1F61E",  #
      "\uF997",  #
      "\uF999",  #
      "\u1F620",  #
      "\uF996",  #
      "\uF64A",  #
      "\uF99A",  #
      "\u1F621",  #
      "\uF9C9",  #
      "\uF461",  #
      "\uFB56",  #
      "\u1F622",  #
      "\uF9D3",  #
      "\uF46D",  #
      "\uFB53",  #
      "\u1F623",  #
      "\uF9D0",  #
      "\uF396",  #
      "\uFB46",  #
      "\u1F624",  #
      "\uF395",  #
      "\u1F625",  #
      "\uFB41",  #
      "\u1F628",  #
      "\uF39A",  #
      "\uFB4B",  #
      "\u1F629",  #
      "\uF46B",  #
      "\u1F62A",  #
      "\uF398",  #
      "\uFB48",  #
      "\u1F62B",  #
      "\uF64C",  #
      "\u1F62D",  #
      "\uF9D2",  #
      "\uF64B",  #
      "\uFB51",  #
      "\u1F630",  #
      "\uF39F",  #
      "\uFB4F",  #
      "\u1F631",  #
      "\uF9FC",  #
      "\uF7F5",  #
      "\uF747",  #
      "\u1F632",  #
      "\uF39E",  #
      "\uFB50",  #
      "\u1F633",  #
      "\uF39C",  #
      "\uFB4D",  #
      "\u1F635",  #
      "\uF999",  #
      "\uF7CB",  #
      "\u1F637",  #
      "\uF39B",  #
      "\uFB4C",  #
      "\u1F638",  #
      "\uF484",  #
      "\u1F639",  #
      "\uF467",  #
      "\u1F63A",  #
      "\uF465",  #
      "\u1F63B",  #
      "\uF469",  #
      "\u1F63C",  #
      "\uF46E",  #
      "\u1F63D",  #
      "\uF464",  #
      "\u1F63E",  #
      "\uF462",  #
      "\u1F63F",  #
      "\uF46C",  #
      "\u1F640",  #
      "\uF46A",  #
      "\u1F645",  #
      "\uF3AB",  #
      "\uFB63",  #
      "\u1F646",  #
      "\uF3AC",  #
      "\uFB64",  #
      "\u1F647",  #
      "\uF3AD",  #
      "\uFB66",  #
      "\u1F648",  #
      "\uF454",  #
      "\u1F649",  #
      "\uF456",  #
      "\u1F64A",  #
      "\uF455",  #
      "\u1F64B",  #
      "\uF48A",  #
      "\u1F64C",  #
      "\uF48B",  #
      "\uFB67",  #
      "\u1F64D",  #
      "\uF48C",  #
      "\u1F64E",  #
      "\uF48D",  #
      "\u1F64F",  #
      "\uF3A6",  #
      "\uFB5D",  #
      "\u1F680",  #
      "\uF7F8",  #
      "\uF74D",  #
      "\u1F683",  #
      "\uF8BC",  #
      "\uF68E",  #
      "\uF95E",  #
      "\u1F684",  #
      "\uF8BE",  #
      "\uFB75",  #
      "\u1F685",  #
      "\uF689",  #
      "\uF95F",  #
      "\u1F687",  #
      "\uF7EC",  #
      "\uFB74",  #
      "\u1F689",  #
      "\uF471",  #
      "\uF979",  #
      "\u1F68C",  #
      "\uF8C1",  #
      "\uF688",  #
      "\uF79A",  #
      "\u1F68F",  #
      "\uF680",  #
      "\uF791",  #
      "\u1F691",  #
      "\uF3B4",  #
      "\uFB71",  #
      "\u1F692",  #
      "\uF3B3",  #
      "\uFB70",  #
      "\u1F693",  #
      "\uF3B5",  #
      "\uFB72",  #
      "\u1F695",  #
      "\uF79B",  #
      "\u1F697",  #
      "\uF8BF",  #
      "\uF68A",  #
      "\uF95B",  #
      "\u1F699",  #
      "\uF8C0",  #
      "\uFB6E",  #
      "\u1F69A",  #
      "\uF68B",  #
      "\uFB6F",  #
      "\u1F6A2",  #
      "\uF8C2",  #
      "\uF355",  #
      "\uF7A2",  #
      "\u1F6A4",  #
      "\uF775",  #
      "\u1F6A5",  #
      "\uF8CE",  #
      "\uF642",  #
      "\uF78F",  #
      "\u1F6A7",  #
      "\uF34A",  #
      "\uF777",  #
      "\u1F6A8",  #
      "\uF477",  #
      "\u1F6A9",  #
      "\uF983",  #
      "\uF3ED",  #
      "\u1F6AA",  #
      "\uF9B9",  #
      "\u1F6AB",  #
      "\uF75D",  #
      "\u1F6AC",  #
      "\uF8E0",  #
      "\uF655",  #
      "\uF9AE",  #
      "\u1F6AD",  #
      "\uF8E1",  #
      "\uF656",  #
      "\uF7A8",  #
      "\u1F6B2",  #
      "\uF9C2",  #
      "\uF687",  #
      "\uF776",  #
      "\u1F6B6",  #
      "\uF476",  #
      "\uF7A1",  #
      "\u1F6B9",  #
      "\uF778",  #
      "\u1F6BA",  #
      "\uF779",  #
      "\u1F6BB",  #
      "\uF8CF",  #
      "\uF67D",  #
      "\uF792",  #
      "\u1F6BC",  #
      "\uF77A",  #
      "\u1F6BD",  #
      "\uF781",  #
      "\u1F6BE",  #
      "\uF9A9",  #
      "\u1F6C0",  #
      "\uF34B",  #
      "\uF780",  #
    ]
    test_data.each do |string|
      assert @validator.valid_encoding?(string), "U10_EmojiSources: #{string}"
      assert string.force_encoding("UTF-8").valid_encoding?, "U10_EmojiSources: #{string}" if @vercheck
    end
  end

end
