# encoding: utf-8
#
# This file is machine generated.  DO NOT EDIT!
#
if Kernel.respond_to?(:require_relative)
  require_relative("./helper")
else
  $:.unshift(File.dirname(__FILE__))
  require 'helper'
end
#
# == Purpose
#
# Tests for the #{UTF8::Validator} implementation.
#
# Test data pulled and generated from:
#
# https://www.unicode.org/Public/10.0.0/ucd/
#
class TestUnicode10NamedSequences < Test::Unit::TestCase
  #
  def setup
    @validator = UTF8::Validator.new
    @vercheck = ((RUBY_VERSION =~ /1.9/) or (RUBY_VERSION =~ /2./)) ? true : false
  end

  #
  def teardown
    @validator = nil
  end

  def test_unicode10_NamedSequences
    test_data = [
      "\u0023",  # KEYCAP NUMBER SIGN
      "\uFE0F",  # KEYCAP NUMBER SIGN
      "\u20E3",  # KEYCAP NUMBER SIGN
      "\u002A",  # KEYCAP ASTERISK
      "\uFE0F",  # KEYCAP ASTERISK
      "\u20E3",  # KEYCAP ASTERISK
      "\u0030",  # KEYCAP DIGIT ZERO
      "\uFE0F",  # KEYCAP DIGIT ZERO
      "\u20E3",  # KEYCAP DIGIT ZERO
      "\u0031",  # KEYCAP DIGIT ONE
      "\uFE0F",  # KEYCAP DIGIT ONE
      "\u20E3",  # KEYCAP DIGIT ONE
      "\u0032",  # KEYCAP DIGIT TWO
      "\uFE0F",  # KEYCAP DIGIT TWO
      "\u20E3",  # KEYCAP DIGIT TWO
      "\u0033",  # KEYCAP DIGIT THREE
      "\uFE0F",  # KEYCAP DIGIT THREE
      "\u20E3",  # KEYCAP DIGIT THREE
      "\u0034",  # KEYCAP DIGIT FOUR
      "\uFE0F",  # KEYCAP DIGIT FOUR
      "\u20E3",  # KEYCAP DIGIT FOUR
      "\u0035",  # KEYCAP DIGIT FIVE
      "\uFE0F",  # KEYCAP DIGIT FIVE
      "\u20E3",  # KEYCAP DIGIT FIVE
      "\u0036",  # KEYCAP DIGIT SIX
      "\uFE0F",  # KEYCAP DIGIT SIX
      "\u20E3",  # KEYCAP DIGIT SIX
      "\u0037",  # KEYCAP DIGIT SEVEN
      "\uFE0F",  # KEYCAP DIGIT SEVEN
      "\u20E3",  # KEYCAP DIGIT SEVEN
      "\u0038",  # KEYCAP DIGIT EIGHT
      "\uFE0F",  # KEYCAP DIGIT EIGHT
      "\u20E3",  # KEYCAP DIGIT EIGHT
      "\u0039",  # KEYCAP DIGIT NINE
      "\uFE0F",  # KEYCAP DIGIT NINE
      "\u20E3",  # KEYCAP DIGIT NINE
      "\u0100",  # LATIN CAPITAL LETTER A WITH MACRON AND GRAVE
      "\u0300",  # LATIN CAPITAL LETTER A WITH MACRON AND GRAVE
      "\u0101",  # LATIN SMALL LETTER A WITH MACRON AND GRAVE
      "\u0300",  # LATIN SMALL LETTER A WITH MACRON AND GRAVE
      "\u0045",  # LATIN CAPITAL LETTER E WITH VERTICAL LINE BELOW
      "\u0329",  # LATIN CAPITAL LETTER E WITH VERTICAL LINE BELOW
      "\u0065",  # LATIN SMALL LETTER E WITH VERTICAL LINE BELOW
      "\u0329",  # LATIN SMALL LETTER E WITH VERTICAL LINE BELOW
      "\u00C8",  # LATIN CAPITAL LETTER E WITH VERTICAL LINE BELOW AND GRAVE
      "\u0329",  # LATIN CAPITAL LETTER E WITH VERTICAL LINE BELOW AND GRAVE
      "\u00E8",  # LATIN SMALL LETTER E WITH VERTICAL LINE BELOW AND GRAVE
      "\u0329",  # LATIN SMALL LETTER E WITH VERTICAL LINE BELOW AND GRAVE
      "\u00C9",  # LATIN CAPITAL LETTER E WITH VERTICAL LINE BELOW AND ACUTE
      "\u0329",  # LATIN CAPITAL LETTER E WITH VERTICAL LINE BELOW AND ACUTE
      "\u00E9",  # LATIN SMALL LETTER E WITH VERTICAL LINE BELOW AND ACUTE
      "\u0329",  # LATIN SMALL LETTER E WITH VERTICAL LINE BELOW AND ACUTE
      "\u00CA",  # LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND MACRON
      "\u0304",  # LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND MACRON
      "\u00EA",  # LATIN SMALL LETTER E WITH CIRCUMFLEX AND MACRON
      "\u0304",  # LATIN SMALL LETTER E WITH CIRCUMFLEX AND MACRON
      "\u00CA",  # LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND CARON
      "\u030C",  # LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND CARON
      "\u00EA",  # LATIN SMALL LETTER E WITH CIRCUMFLEX AND CARON
      "\u030C",  # LATIN SMALL LETTER E WITH CIRCUMFLEX AND CARON
      "\u012A",  # LATIN CAPITAL LETTER I WITH MACRON AND GRAVE
      "\u0300",  # LATIN CAPITAL LETTER I WITH MACRON AND GRAVE
      "\u012B",  # LATIN SMALL LETTER I WITH MACRON AND GRAVE
      "\u0300",  # LATIN SMALL LETTER I WITH MACRON AND GRAVE
      "\u0069",  # LATIN SMALL LETTER I WITH DOT ABOVE AND ACUTE
      "\u0307",  # LATIN SMALL LETTER I WITH DOT ABOVE AND ACUTE
      "\u0301",  # LATIN SMALL LETTER I WITH DOT ABOVE AND ACUTE
      "\u006E",  # LATIN SMALL LETTER NG WITH TILDE ABOVE
      "\u0360",  # LATIN SMALL LETTER NG WITH TILDE ABOVE
      "\u0067",  # LATIN SMALL LETTER NG WITH TILDE ABOVE
      "\u004F",  # LATIN CAPITAL LETTER O WITH VERTICAL LINE BELOW
      "\u0329",  # LATIN CAPITAL LETTER O WITH VERTICAL LINE BELOW
      "\u006F",  # LATIN SMALL LETTER O WITH VERTICAL LINE BELOW
      "\u0329",  # LATIN SMALL LETTER O WITH VERTICAL LINE BELOW
      "\u00D2",  # LATIN CAPITAL LETTER O WITH VERTICAL LINE BELOW AND GRAVE
      "\u0329",  # LATIN CAPITAL LETTER O WITH VERTICAL LINE BELOW AND GRAVE
      "\u00F2",  # LATIN SMALL LETTER O WITH VERTICAL LINE BELOW AND GRAVE
      "\u0329",  # LATIN SMALL LETTER O WITH VERTICAL LINE BELOW AND GRAVE
      "\u00D3",  # LATIN CAPITAL LETTER O WITH VERTICAL LINE BELOW AND ACUTE
      "\u0329",  # LATIN CAPITAL LETTER O WITH VERTICAL LINE BELOW AND ACUTE
      "\u00F3",  # LATIN SMALL LETTER O WITH VERTICAL LINE BELOW AND ACUTE
      "\u0329",  # LATIN SMALL LETTER O WITH VERTICAL LINE BELOW AND ACUTE
      "\u0053",  # LATIN CAPITAL LETTER S WITH VERTICAL LINE BELOW
      "\u0329",  # LATIN CAPITAL LETTER S WITH VERTICAL LINE BELOW
      "\u0073",  # LATIN SMALL LETTER S WITH VERTICAL LINE BELOW
      "\u0329",  # LATIN SMALL LETTER S WITH VERTICAL LINE BELOW
      "\u016A",  # LATIN CAPITAL LETTER U WITH MACRON AND GRAVE
      "\u0300",  # LATIN CAPITAL LETTER U WITH MACRON AND GRAVE
      "\u016B",  # LATIN SMALL LETTER U WITH MACRON AND GRAVE
      "\u0300",  # LATIN SMALL LETTER U WITH MACRON AND GRAVE
      "\u0104",  # LATIN CAPITAL LETTER A WITH OGONEK AND ACUTE
      "\u0301",  # LATIN CAPITAL LETTER A WITH OGONEK AND ACUTE
      "\u0105",  # LATIN SMALL LETTER A WITH OGONEK AND ACUTE
      "\u0301",  # LATIN SMALL LETTER A WITH OGONEK AND ACUTE
      "\u0104",  # LATIN CAPITAL LETTER A WITH OGONEK AND TILDE
      "\u0303",  # LATIN CAPITAL LETTER A WITH OGONEK AND TILDE
      "\u0105",  # LATIN SMALL LETTER A WITH OGONEK AND TILDE
      "\u0303",  # LATIN SMALL LETTER A WITH OGONEK AND TILDE
      "\u0118",  # LATIN CAPITAL LETTER E WITH OGONEK AND ACUTE
      "\u0301",  # LATIN CAPITAL LETTER E WITH OGONEK AND ACUTE
      "\u0119",  # LATIN SMALL LETTER E WITH OGONEK AND ACUTE
      "\u0301",  # LATIN SMALL LETTER E WITH OGONEK AND ACUTE
      "\u0118",  # LATIN CAPITAL LETTER E WITH OGONEK AND TILDE
      "\u0303",  # LATIN CAPITAL LETTER E WITH OGONEK AND TILDE
      "\u0119",  # LATIN SMALL LETTER E WITH OGONEK AND TILDE
      "\u0303",  # LATIN SMALL LETTER E WITH OGONEK AND TILDE
      "\u0116",  # LATIN CAPITAL LETTER E WITH DOT ABOVE AND ACUTE
      "\u0301",  # LATIN CAPITAL LETTER E WITH DOT ABOVE AND ACUTE
      "\u0117",  # LATIN SMALL LETTER E WITH DOT ABOVE AND ACUTE
      "\u0301",  # LATIN SMALL LETTER E WITH DOT ABOVE AND ACUTE
      "\u0116",  # LATIN CAPITAL LETTER E WITH DOT ABOVE AND TILDE
      "\u0303",  # LATIN CAPITAL LETTER E WITH DOT ABOVE AND TILDE
      "\u0117",  # LATIN SMALL LETTER E WITH DOT ABOVE AND TILDE
      "\u0303",  # LATIN SMALL LETTER E WITH DOT ABOVE AND TILDE
      "\u0069",  # LATIN SMALL LETTER I WITH DOT ABOVE AND GRAVE
      "\u0307",  # LATIN SMALL LETTER I WITH DOT ABOVE AND GRAVE
      "\u0300",  # LATIN SMALL LETTER I WITH DOT ABOVE AND GRAVE
      "\u0069",  # LATIN SMALL LETTER I WITH DOT ABOVE AND TILDE
      "\u0307",  # LATIN SMALL LETTER I WITH DOT ABOVE AND TILDE
      "\u0303",  # LATIN SMALL LETTER I WITH DOT ABOVE AND TILDE
      "\u012E",  # LATIN CAPITAL LETTER I WITH OGONEK AND ACUTE
      "\u0301",  # LATIN CAPITAL LETTER I WITH OGONEK AND ACUTE
      "\u012F",  # LATIN SMALL LETTER I WITH OGONEK AND DOT ABOVE AND ACUTE
      "\u0307",  # LATIN SMALL LETTER I WITH OGONEK AND DOT ABOVE AND ACUTE
      "\u0301",  # LATIN SMALL LETTER I WITH OGONEK AND DOT ABOVE AND ACUTE
      "\u012E",  # LATIN CAPITAL LETTER I WITH OGONEK AND TILDE
      "\u0303",  # LATIN CAPITAL LETTER I WITH OGONEK AND TILDE
      "\u012F",  # LATIN SMALL LETTER I WITH OGONEK AND DOT ABOVE AND TILDE
      "\u0307",  # LATIN SMALL LETTER I WITH OGONEK AND DOT ABOVE AND TILDE
      "\u0303",  # LATIN SMALL LETTER I WITH OGONEK AND DOT ABOVE AND TILDE
      "\u004A",  # LATIN CAPITAL LETTER J WITH TILDE
      "\u0303",  # LATIN CAPITAL LETTER J WITH TILDE
      "\u006A",  # LATIN SMALL LETTER J WITH DOT ABOVE AND TILDE
      "\u0307",  # LATIN SMALL LETTER J WITH DOT ABOVE AND TILDE
      "\u0303",  # LATIN SMALL LETTER J WITH DOT ABOVE AND TILDE
      "\u004C",  # LATIN CAPITAL LETTER L WITH TILDE
      "\u0303",  # LATIN CAPITAL LETTER L WITH TILDE
      "\u006C",  # LATIN SMALL LETTER L WITH TILDE
      "\u0303",  # LATIN SMALL LETTER L WITH TILDE
      "\u004D",  # LATIN CAPITAL LETTER M WITH TILDE
      "\u0303",  # LATIN CAPITAL LETTER M WITH TILDE
      "\u006D",  # LATIN SMALL LETTER M WITH TILDE
      "\u0303",  # LATIN SMALL LETTER M WITH TILDE
      "\u0052",  # LATIN CAPITAL LETTER R WITH TILDE
      "\u0303",  # LATIN CAPITAL LETTER R WITH TILDE
      "\u0072",  # LATIN SMALL LETTER R WITH TILDE
      "\u0303",  # LATIN SMALL LETTER R WITH TILDE
      "\u0172",  # LATIN CAPITAL LETTER U WITH OGONEK AND ACUTE
      "\u0301",  # LATIN CAPITAL LETTER U WITH OGONEK AND ACUTE
      "\u0173",  # LATIN SMALL LETTER U WITH OGONEK AND ACUTE
      "\u0301",  # LATIN SMALL LETTER U WITH OGONEK AND ACUTE
      "\u0172",  # LATIN CAPITAL LETTER U WITH OGONEK AND TILDE
      "\u0303",  # LATIN CAPITAL LETTER U WITH OGONEK AND TILDE
      "\u0173",  # LATIN SMALL LETTER U WITH OGONEK AND TILDE
      "\u0303",  # LATIN SMALL LETTER U WITH OGONEK AND TILDE
      "\u016A",  # LATIN CAPITAL LETTER U WITH MACRON AND ACUTE
      "\u0301",  # LATIN CAPITAL LETTER U WITH MACRON AND ACUTE
      "\u016B",  # LATIN SMALL LETTER U WITH MACRON AND ACUTE
      "\u0301",  # LATIN SMALL LETTER U WITH MACRON AND ACUTE
      "\u016A",  # LATIN CAPITAL LETTER U WITH MACRON AND TILDE
      "\u0303",  # LATIN CAPITAL LETTER U WITH MACRON AND TILDE
      "\u016B",  # LATIN SMALL LETTER U WITH MACRON AND TILDE
      "\u0303",  # LATIN SMALL LETTER U WITH MACRON AND TILDE
      "\u00E6",  # LATIN SMALL LETTER AE WITH GRAVE
      "\u0300",  # LATIN SMALL LETTER AE WITH GRAVE
      "\u0254",  # LATIN SMALL LETTER OPEN O WITH GRAVE
      "\u0300",  # LATIN SMALL LETTER OPEN O WITH GRAVE
      "\u0254",  # LATIN SMALL LETTER OPEN O WITH ACUTE
      "\u0301",  # LATIN SMALL LETTER OPEN O WITH ACUTE
      "\u028C",  # LATIN SMALL LETTER TURNED V WITH GRAVE
      "\u0300",  # LATIN SMALL LETTER TURNED V WITH GRAVE
      "\u028C",  # LATIN SMALL LETTER TURNED V WITH ACUTE
      "\u0301",  # LATIN SMALL LETTER TURNED V WITH ACUTE
      "\u0259",  # LATIN SMALL LETTER SCHWA WITH GRAVE
      "\u0300",  # LATIN SMALL LETTER SCHWA WITH GRAVE
      "\u0259",  # LATIN SMALL LETTER SCHWA WITH ACUTE
      "\u0301",  # LATIN SMALL LETTER SCHWA WITH ACUTE
      "\u025A",  # LATIN SMALL LETTER HOOKED SCHWA WITH GRAVE
      "\u0300",  # LATIN SMALL LETTER HOOKED SCHWA WITH GRAVE
      "\u025A",  # LATIN SMALL LETTER HOOKED SCHWA WITH ACUTE
      "\u0301",  # LATIN SMALL LETTER HOOKED SCHWA WITH ACUTE
      "\u0626",  # ARABIC SEQUENCE YEH WITH HAMZA ABOVE WITH ALEF
      "\u0627",  # ARABIC SEQUENCE YEH WITH HAMZA ABOVE WITH ALEF
      "\u0626",  # ARABIC SEQUENCE YEH WITH HAMZA ABOVE WITH WAW
      "\u0648",  # ARABIC SEQUENCE YEH WITH HAMZA ABOVE WITH WAW
      "\u0626",  # ARABIC SEQUENCE YEH WITH HAMZA ABOVE WITH ALEF MAKSURA
      "\u0649",  # ARABIC SEQUENCE YEH WITH HAMZA ABOVE WITH ALEF MAKSURA
      "\u0626",  # ARABIC SEQUENCE YEH WITH HAMZA ABOVE WITH OE
      "\u06C6",  # ARABIC SEQUENCE YEH WITH HAMZA ABOVE WITH OE
      "\u0626",  # ARABIC SEQUENCE YEH WITH HAMZA ABOVE WITH U
      "\u06C7",  # ARABIC SEQUENCE YEH WITH HAMZA ABOVE WITH U
      "\u0626",  # ARABIC SEQUENCE YEH WITH HAMZA ABOVE WITH YU
      "\u06C8",  # ARABIC SEQUENCE YEH WITH HAMZA ABOVE WITH YU
      "\u0626",  # ARABIC SEQUENCE YEH WITH HAMZA ABOVE WITH E
      "\u06D0",  # ARABIC SEQUENCE YEH WITH HAMZA ABOVE WITH E
      "\u0626",  # ARABIC SEQUENCE YEH WITH HAMZA ABOVE WITH AE
      "\u06D5",  # ARABIC SEQUENCE YEH WITH HAMZA ABOVE WITH AE
      "\u0646",  # ARABIC SEQUENCE NOON WITH KEHEH
      "\u06A9",  # ARABIC SEQUENCE NOON WITH KEHEH
      "\u0995",  # BENGALI LETTER KHINYA
      "\u09CD",  # BENGALI LETTER KHINYA
      "\u09B7",  # BENGALI LETTER KHINYA
      "\u0B95",  # TAMIL CONSONANT K
      "\u0BCD",  # TAMIL CONSONANT K
      "\u0B99",  # TAMIL CONSONANT NG
      "\u0BCD",  # TAMIL CONSONANT NG
      "\u0B9A",  # TAMIL CONSONANT C
      "\u0BCD",  # TAMIL CONSONANT C
      "\u0B9E",  # TAMIL CONSONANT NY
      "\u0BCD",  # TAMIL CONSONANT NY
      "\u0B9F",  # TAMIL CONSONANT TT
      "\u0BCD",  # TAMIL CONSONANT TT
      "\u0BA3",  # TAMIL CONSONANT NN
      "\u0BCD",  # TAMIL CONSONANT NN
      "\u0BA4",  # TAMIL CONSONANT T
      "\u0BCD",  # TAMIL CONSONANT T
      "\u0BA8",  # TAMIL CONSONANT N
      "\u0BCD",  # TAMIL CONSONANT N
      "\u0BAA",  # TAMIL CONSONANT P
      "\u0BCD",  # TAMIL CONSONANT P
      "\u0BAE",  # TAMIL CONSONANT M
      "\u0BCD",  # TAMIL CONSONANT M
      "\u0BAF",  # TAMIL CONSONANT Y
      "\u0BCD",  # TAMIL CONSONANT Y
      "\u0BB0",  # TAMIL CONSONANT R
      "\u0BCD",  # TAMIL CONSONANT R
      "\u0BB2",  # TAMIL CONSONANT L
      "\u0BCD",  # TAMIL CONSONANT L
      "\u0BB5",  # TAMIL CONSONANT V
      "\u0BCD",  # TAMIL CONSONANT V
      "\u0BB4",  # TAMIL CONSONANT LLL
      "\u0BCD",  # TAMIL CONSONANT LLL
      "\u0BB3",  # TAMIL CONSONANT LL
      "\u0BCD",  # TAMIL CONSONANT LL
      "\u0BB1",  # TAMIL CONSONANT RR
      "\u0BCD",  # TAMIL CONSONANT RR
      "\u0BA9",  # TAMIL CONSONANT NNN
      "\u0BCD",  # TAMIL CONSONANT NNN
      "\u0B9C",  # TAMIL CONSONANT J
      "\u0BCD",  # TAMIL CONSONANT J
      "\u0BB6",  # TAMIL CONSONANT SH
      "\u0BCD",  # TAMIL CONSONANT SH
      "\u0BB7",  # TAMIL CONSONANT SS
      "\u0BCD",  # TAMIL CONSONANT SS
      "\u0BB8",  # TAMIL CONSONANT S
      "\u0BCD",  # TAMIL CONSONANT S
      "\u0BB9",  # TAMIL CONSONANT H
      "\u0BCD",  # TAMIL CONSONANT H
      "\u0B95",  # TAMIL CONSONANT KSS
      "\u0BCD",  # TAMIL CONSONANT KSS
      "\u0BB7",  # TAMIL CONSONANT KSS
      "\u0BCD",  # TAMIL CONSONANT KSS
      "\u0B95",  # TAMIL SYLLABLE KAA
      "\u0BBE",  # TAMIL SYLLABLE KAA
      "\u0B95",  # TAMIL SYLLABLE KI
      "\u0BBF",  # TAMIL SYLLABLE KI
      "\u0B95",  # TAMIL SYLLABLE KII
      "\u0BC0",  # TAMIL SYLLABLE KII
      "\u0B95",  # TAMIL SYLLABLE KU
      "\u0BC1",  # TAMIL SYLLABLE KU
      "\u0B95",  # TAMIL SYLLABLE KUU
      "\u0BC2",  # TAMIL SYLLABLE KUU
      "\u0B95",  # TAMIL SYLLABLE KE
      "\u0BC6",  # TAMIL SYLLABLE KE
      "\u0B95",  # TAMIL SYLLABLE KEE
      "\u0BC7",  # TAMIL SYLLABLE KEE
      "\u0B95",  # TAMIL SYLLABLE KAI
      "\u0BC8",  # TAMIL SYLLABLE KAI
      "\u0B95",  # TAMIL SYLLABLE KO
      "\u0BCA",  # TAMIL SYLLABLE KO
      "\u0B95",  # TAMIL SYLLABLE KOO
      "\u0BCB",  # TAMIL SYLLABLE KOO
      "\u0B95",  # TAMIL SYLLABLE KAU
      "\u0BCC",  # TAMIL SYLLABLE KAU
      "\u0B99",  # TAMIL SYLLABLE NGAA
      "\u0BBE",  # TAMIL SYLLABLE NGAA
      "\u0B99",  # TAMIL SYLLABLE NGI
      "\u0BBF",  # TAMIL SYLLABLE NGI
      "\u0B99",  # TAMIL SYLLABLE NGII
      "\u0BC0",  # TAMIL SYLLABLE NGII
      "\u0B99",  # TAMIL SYLLABLE NGU
      "\u0BC1",  # TAMIL SYLLABLE NGU
      "\u0B99",  # TAMIL SYLLABLE NGUU
      "\u0BC2",  # TAMIL SYLLABLE NGUU
      "\u0B99",  # TAMIL SYLLABLE NGE
      "\u0BC6",  # TAMIL SYLLABLE NGE
      "\u0B99",  # TAMIL SYLLABLE NGEE
      "\u0BC7",  # TAMIL SYLLABLE NGEE
      "\u0B99",  # TAMIL SYLLABLE NGAI
      "\u0BC8",  # TAMIL SYLLABLE NGAI
      "\u0B99",  # TAMIL SYLLABLE NGO
      "\u0BCA",  # TAMIL SYLLABLE NGO
      "\u0B99",  # TAMIL SYLLABLE NGOO
      "\u0BCB",  # TAMIL SYLLABLE NGOO
      "\u0B99",  # TAMIL SYLLABLE NGAU
      "\u0BCC",  # TAMIL SYLLABLE NGAU
      "\u0B9A",  # TAMIL SYLLABLE CAA
      "\u0BBE",  # TAMIL SYLLABLE CAA
      "\u0B9A",  # TAMIL SYLLABLE CI
      "\u0BBF",  # TAMIL SYLLABLE CI
      "\u0B9A",  # TAMIL SYLLABLE CII
      "\u0BC0",  # TAMIL SYLLABLE CII
      "\u0B9A",  # TAMIL SYLLABLE CU
      "\u0BC1",  # TAMIL SYLLABLE CU
      "\u0B9A",  # TAMIL SYLLABLE CUU
      "\u0BC2",  # TAMIL SYLLABLE CUU
      "\u0B9A",  # TAMIL SYLLABLE CE
      "\u0BC6",  # TAMIL SYLLABLE CE
      "\u0B9A",  # TAMIL SYLLABLE CEE
      "\u0BC7",  # TAMIL SYLLABLE CEE
      "\u0B9A",  # TAMIL SYLLABLE CAI
      "\u0BC8",  # TAMIL SYLLABLE CAI
      "\u0B9A",  # TAMIL SYLLABLE CO
      "\u0BCA",  # TAMIL SYLLABLE CO
      "\u0B9A",  # TAMIL SYLLABLE COO
      "\u0BCB",  # TAMIL SYLLABLE COO
      "\u0B9A",  # TAMIL SYLLABLE CAU
      "\u0BCC",  # TAMIL SYLLABLE CAU
      "\u0B9E",  # TAMIL SYLLABLE NYAA
      "\u0BBE",  # TAMIL SYLLABLE NYAA
      "\u0B9E",  # TAMIL SYLLABLE NYI
      "\u0BBF",  # TAMIL SYLLABLE NYI
      "\u0B9E",  # TAMIL SYLLABLE NYII
      "\u0BC0",  # TAMIL SYLLABLE NYII
      "\u0B9E",  # TAMIL SYLLABLE NYU
      "\u0BC1",  # TAMIL SYLLABLE NYU
      "\u0B9E",  # TAMIL SYLLABLE NYUU
      "\u0BC2",  # TAMIL SYLLABLE NYUU
      "\u0B9E",  # TAMIL SYLLABLE NYE
      "\u0BC6",  # TAMIL SYLLABLE NYE
      "\u0B9E",  # TAMIL SYLLABLE NYEE
      "\u0BC7",  # TAMIL SYLLABLE NYEE
      "\u0B9E",  # TAMIL SYLLABLE NYAI
      "\u0BC8",  # TAMIL SYLLABLE NYAI
      "\u0B9E",  # TAMIL SYLLABLE NYO
      "\u0BCA",  # TAMIL SYLLABLE NYO
      "\u0B9E",  # TAMIL SYLLABLE NYOO
      "\u0BCB",  # TAMIL SYLLABLE NYOO
      "\u0B9E",  # TAMIL SYLLABLE NYAU
      "\u0BCC",  # TAMIL SYLLABLE NYAU
      "\u0B9F",  # TAMIL SYLLABLE TTAA
      "\u0BBE",  # TAMIL SYLLABLE TTAA
      "\u0B9F",  # TAMIL SYLLABLE TTI
      "\u0BBF",  # TAMIL SYLLABLE TTI
      "\u0B9F",  # TAMIL SYLLABLE TTII
      "\u0BC0",  # TAMIL SYLLABLE TTII
      "\u0B9F",  # TAMIL SYLLABLE TTU
      "\u0BC1",  # TAMIL SYLLABLE TTU
      "\u0B9F",  # TAMIL SYLLABLE TTUU
      "\u0BC2",  # TAMIL SYLLABLE TTUU
      "\u0B9F",  # TAMIL SYLLABLE TTE
      "\u0BC6",  # TAMIL SYLLABLE TTE
      "\u0B9F",  # TAMIL SYLLABLE TTEE
      "\u0BC7",  # TAMIL SYLLABLE TTEE
      "\u0B9F",  # TAMIL SYLLABLE TTAI
      "\u0BC8",  # TAMIL SYLLABLE TTAI
      "\u0B9F",  # TAMIL SYLLABLE TTO
      "\u0BCA",  # TAMIL SYLLABLE TTO
      "\u0B9F",  # TAMIL SYLLABLE TTOO
      "\u0BCB",  # TAMIL SYLLABLE TTOO
      "\u0B9F",  # TAMIL SYLLABLE TTAU
      "\u0BCC",  # TAMIL SYLLABLE TTAU
      "\u0BA3",  # TAMIL SYLLABLE NNAA
      "\u0BBE",  # TAMIL SYLLABLE NNAA
      "\u0BA3",  # TAMIL SYLLABLE NNI
      "\u0BBF",  # TAMIL SYLLABLE NNI
      "\u0BA3",  # TAMIL SYLLABLE NNII
      "\u0BC0",  # TAMIL SYLLABLE NNII
      "\u0BA3",  # TAMIL SYLLABLE NNU
      "\u0BC1",  # TAMIL SYLLABLE NNU
      "\u0BA3",  # TAMIL SYLLABLE NNUU
      "\u0BC2",  # TAMIL SYLLABLE NNUU
      "\u0BA3",  # TAMIL SYLLABLE NNE
      "\u0BC6",  # TAMIL SYLLABLE NNE
      "\u0BA3",  # TAMIL SYLLABLE NNEE
      "\u0BC7",  # TAMIL SYLLABLE NNEE
      "\u0BA3",  # TAMIL SYLLABLE NNAI
      "\u0BC8",  # TAMIL SYLLABLE NNAI
      "\u0BA3",  # TAMIL SYLLABLE NNO
      "\u0BCA",  # TAMIL SYLLABLE NNO
      "\u0BA3",  # TAMIL SYLLABLE NNOO
      "\u0BCB",  # TAMIL SYLLABLE NNOO
      "\u0BA3",  # TAMIL SYLLABLE NNAU
      "\u0BCC",  # TAMIL SYLLABLE NNAU
      "\u0BA4",  # TAMIL SYLLABLE TAA
      "\u0BBE",  # TAMIL SYLLABLE TAA
      "\u0BA4",  # TAMIL SYLLABLE TI
      "\u0BBF",  # TAMIL SYLLABLE TI
      "\u0BA4",  # TAMIL SYLLABLE TII
      "\u0BC0",  # TAMIL SYLLABLE TII
      "\u0BA4",  # TAMIL SYLLABLE TU
      "\u0BC1",  # TAMIL SYLLABLE TU
      "\u0BA4",  # TAMIL SYLLABLE TUU
      "\u0BC2",  # TAMIL SYLLABLE TUU
      "\u0BA4",  # TAMIL SYLLABLE TE
      "\u0BC6",  # TAMIL SYLLABLE TE
      "\u0BA4",  # TAMIL SYLLABLE TEE
      "\u0BC7",  # TAMIL SYLLABLE TEE
      "\u0BA4",  # TAMIL SYLLABLE TAI
      "\u0BC8",  # TAMIL SYLLABLE TAI
      "\u0BA4",  # TAMIL SYLLABLE TO
      "\u0BCA",  # TAMIL SYLLABLE TO
      "\u0BA4",  # TAMIL SYLLABLE TOO
      "\u0BCB",  # TAMIL SYLLABLE TOO
      "\u0BA4",  # TAMIL SYLLABLE TAU
      "\u0BCC",  # TAMIL SYLLABLE TAU
      "\u0BA8",  # TAMIL SYLLABLE NAA
      "\u0BBE",  # TAMIL SYLLABLE NAA
      "\u0BA8",  # TAMIL SYLLABLE NI
      "\u0BBF",  # TAMIL SYLLABLE NI
      "\u0BA8",  # TAMIL SYLLABLE NII
      "\u0BC0",  # TAMIL SYLLABLE NII
      "\u0BA8",  # TAMIL SYLLABLE NU
      "\u0BC1",  # TAMIL SYLLABLE NU
      "\u0BA8",  # TAMIL SYLLABLE NUU
      "\u0BC2",  # TAMIL SYLLABLE NUU
      "\u0BA8",  # TAMIL SYLLABLE NE
      "\u0BC6",  # TAMIL SYLLABLE NE
      "\u0BA8",  # TAMIL SYLLABLE NEE
      "\u0BC7",  # TAMIL SYLLABLE NEE
      "\u0BA8",  # TAMIL SYLLABLE NAI
      "\u0BC8",  # TAMIL SYLLABLE NAI
      "\u0BA8",  # TAMIL SYLLABLE NO
      "\u0BCA",  # TAMIL SYLLABLE NO
      "\u0BA8",  # TAMIL SYLLABLE NOO
      "\u0BCB",  # TAMIL SYLLABLE NOO
      "\u0BA8",  # TAMIL SYLLABLE NAU
      "\u0BCC",  # TAMIL SYLLABLE NAU
      "\u0BAA",  # TAMIL SYLLABLE PAA
      "\u0BBE",  # TAMIL SYLLABLE PAA
      "\u0BAA",  # TAMIL SYLLABLE PI
      "\u0BBF",  # TAMIL SYLLABLE PI
      "\u0BAA",  # TAMIL SYLLABLE PII
      "\u0BC0",  # TAMIL SYLLABLE PII
      "\u0BAA",  # TAMIL SYLLABLE PU
      "\u0BC1",  # TAMIL SYLLABLE PU
      "\u0BAA",  # TAMIL SYLLABLE PUU
      "\u0BC2",  # TAMIL SYLLABLE PUU
      "\u0BAA",  # TAMIL SYLLABLE PE
      "\u0BC6",  # TAMIL SYLLABLE PE
      "\u0BAA",  # TAMIL SYLLABLE PEE
      "\u0BC7",  # TAMIL SYLLABLE PEE
      "\u0BAA",  # TAMIL SYLLABLE PAI
      "\u0BC8",  # TAMIL SYLLABLE PAI
      "\u0BAA",  # TAMIL SYLLABLE PO
      "\u0BCA",  # TAMIL SYLLABLE PO
      "\u0BAA",  # TAMIL SYLLABLE POO
      "\u0BCB",  # TAMIL SYLLABLE POO
      "\u0BAA",  # TAMIL SYLLABLE PAU
      "\u0BCC",  # TAMIL SYLLABLE PAU
      "\u0BAE",  # TAMIL SYLLABLE MAA
      "\u0BBE",  # TAMIL SYLLABLE MAA
      "\u0BAE",  # TAMIL SYLLABLE MI
      "\u0BBF",  # TAMIL SYLLABLE MI
      "\u0BAE",  # TAMIL SYLLABLE MII
      "\u0BC0",  # TAMIL SYLLABLE MII
      "\u0BAE",  # TAMIL SYLLABLE MU
      "\u0BC1",  # TAMIL SYLLABLE MU
      "\u0BAE",  # TAMIL SYLLABLE MUU
      "\u0BC2",  # TAMIL SYLLABLE MUU
      "\u0BAE",  # TAMIL SYLLABLE ME
      "\u0BC6",  # TAMIL SYLLABLE ME
      "\u0BAE",  # TAMIL SYLLABLE MEE
      "\u0BC7",  # TAMIL SYLLABLE MEE
      "\u0BAE",  # TAMIL SYLLABLE MAI
      "\u0BC8",  # TAMIL SYLLABLE MAI
      "\u0BAE",  # TAMIL SYLLABLE MO
      "\u0BCA",  # TAMIL SYLLABLE MO
      "\u0BAE",  # TAMIL SYLLABLE MOO
      "\u0BCB",  # TAMIL SYLLABLE MOO
      "\u0BAE",  # TAMIL SYLLABLE MAU
      "\u0BCC",  # TAMIL SYLLABLE MAU
      "\u0BAF",  # TAMIL SYLLABLE YAA
      "\u0BBE",  # TAMIL SYLLABLE YAA
      "\u0BAF",  # TAMIL SYLLABLE YI
      "\u0BBF",  # TAMIL SYLLABLE YI
      "\u0BAF",  # TAMIL SYLLABLE YII
      "\u0BC0",  # TAMIL SYLLABLE YII
      "\u0BAF",  # TAMIL SYLLABLE YU
      "\u0BC1",  # TAMIL SYLLABLE YU
      "\u0BAF",  # TAMIL SYLLABLE YUU
      "\u0BC2",  # TAMIL SYLLABLE YUU
      "\u0BAF",  # TAMIL SYLLABLE YE
      "\u0BC6",  # TAMIL SYLLABLE YE
      "\u0BAF",  # TAMIL SYLLABLE YEE
      "\u0BC7",  # TAMIL SYLLABLE YEE
      "\u0BAF",  # TAMIL SYLLABLE YAI
      "\u0BC8",  # TAMIL SYLLABLE YAI
      "\u0BAF",  # TAMIL SYLLABLE YO
      "\u0BCA",  # TAMIL SYLLABLE YO
      "\u0BAF",  # TAMIL SYLLABLE YOO
      "\u0BCB",  # TAMIL SYLLABLE YOO
      "\u0BAF",  # TAMIL SYLLABLE YAU
      "\u0BCC",  # TAMIL SYLLABLE YAU
      "\u0BB0",  # TAMIL SYLLABLE RAA
      "\u0BBE",  # TAMIL SYLLABLE RAA
      "\u0BB0",  # TAMIL SYLLABLE RI
      "\u0BBF",  # TAMIL SYLLABLE RI
      "\u0BB0",  # TAMIL SYLLABLE RII
      "\u0BC0",  # TAMIL SYLLABLE RII
      "\u0BB0",  # TAMIL SYLLABLE RU
      "\u0BC1",  # TAMIL SYLLABLE RU
      "\u0BB0",  # TAMIL SYLLABLE RUU
      "\u0BC2",  # TAMIL SYLLABLE RUU
      "\u0BB0",  # TAMIL SYLLABLE RE
      "\u0BC6",  # TAMIL SYLLABLE RE
      "\u0BB0",  # TAMIL SYLLABLE REE
      "\u0BC7",  # TAMIL SYLLABLE REE
      "\u0BB0",  # TAMIL SYLLABLE RAI
      "\u0BC8",  # TAMIL SYLLABLE RAI
      "\u0BB0",  # TAMIL SYLLABLE RO
      "\u0BCA",  # TAMIL SYLLABLE RO
      "\u0BB0",  # TAMIL SYLLABLE ROO
      "\u0BCB",  # TAMIL SYLLABLE ROO
      "\u0BB0",  # TAMIL SYLLABLE RAU
      "\u0BCC",  # TAMIL SYLLABLE RAU
      "\u0BB2",  # TAMIL SYLLABLE LAA
      "\u0BBE",  # TAMIL SYLLABLE LAA
      "\u0BB2",  # TAMIL SYLLABLE LI
      "\u0BBF",  # TAMIL SYLLABLE LI
      "\u0BB2",  # TAMIL SYLLABLE LII
      "\u0BC0",  # TAMIL SYLLABLE LII
      "\u0BB2",  # TAMIL SYLLABLE LU
      "\u0BC1",  # TAMIL SYLLABLE LU
      "\u0BB2",  # TAMIL SYLLABLE LUU
      "\u0BC2",  # TAMIL SYLLABLE LUU
      "\u0BB2",  # TAMIL SYLLABLE LE
      "\u0BC6",  # TAMIL SYLLABLE LE
      "\u0BB2",  # TAMIL SYLLABLE LEE
      "\u0BC7",  # TAMIL SYLLABLE LEE
      "\u0BB2",  # TAMIL SYLLABLE LAI
      "\u0BC8",  # TAMIL SYLLABLE LAI
      "\u0BB2",  # TAMIL SYLLABLE LO
      "\u0BCA",  # TAMIL SYLLABLE LO
      "\u0BB2",  # TAMIL SYLLABLE LOO
      "\u0BCB",  # TAMIL SYLLABLE LOO
      "\u0BB2",  # TAMIL SYLLABLE LAU
      "\u0BCC",  # TAMIL SYLLABLE LAU
      "\u0BB5",  # TAMIL SYLLABLE VAA
      "\u0BBE",  # TAMIL SYLLABLE VAA
      "\u0BB5",  # TAMIL SYLLABLE VI
      "\u0BBF",  # TAMIL SYLLABLE VI
      "\u0BB5",  # TAMIL SYLLABLE VII
      "\u0BC0",  # TAMIL SYLLABLE VII
      "\u0BB5",  # TAMIL SYLLABLE VU
      "\u0BC1",  # TAMIL SYLLABLE VU
      "\u0BB5",  # TAMIL SYLLABLE VUU
      "\u0BC2",  # TAMIL SYLLABLE VUU
      "\u0BB5",  # TAMIL SYLLABLE VE
      "\u0BC6",  # TAMIL SYLLABLE VE
      "\u0BB5",  # TAMIL SYLLABLE VEE
      "\u0BC7",  # TAMIL SYLLABLE VEE
      "\u0BB5",  # TAMIL SYLLABLE VAI
      "\u0BC8",  # TAMIL SYLLABLE VAI
      "\u0BB5",  # TAMIL SYLLABLE VO
      "\u0BCA",  # TAMIL SYLLABLE VO
      "\u0BB5",  # TAMIL SYLLABLE VOO
      "\u0BCB",  # TAMIL SYLLABLE VOO
      "\u0BB5",  # TAMIL SYLLABLE VAU
      "\u0BCC",  # TAMIL SYLLABLE VAU
      "\u0BB4",  # TAMIL SYLLABLE LLLAA
      "\u0BBE",  # TAMIL SYLLABLE LLLAA
      "\u0BB4",  # TAMIL SYLLABLE LLLI
      "\u0BBF",  # TAMIL SYLLABLE LLLI
      "\u0BB4",  # TAMIL SYLLABLE LLLII
      "\u0BC0",  # TAMIL SYLLABLE LLLII
      "\u0BB4",  # TAMIL SYLLABLE LLLU
      "\u0BC1",  # TAMIL SYLLABLE LLLU
      "\u0BB4",  # TAMIL SYLLABLE LLLUU
      "\u0BC2",  # TAMIL SYLLABLE LLLUU
      "\u0BB4",  # TAMIL SYLLABLE LLLE
      "\u0BC6",  # TAMIL SYLLABLE LLLE
      "\u0BB4",  # TAMIL SYLLABLE LLLEE
      "\u0BC7",  # TAMIL SYLLABLE LLLEE
      "\u0BB4",  # TAMIL SYLLABLE LLLAI
      "\u0BC8",  # TAMIL SYLLABLE LLLAI
      "\u0BB4",  # TAMIL SYLLABLE LLLO
      "\u0BCA",  # TAMIL SYLLABLE LLLO
      "\u0BB4",  # TAMIL SYLLABLE LLLOO
      "\u0BCB",  # TAMIL SYLLABLE LLLOO
      "\u0BB4",  # TAMIL SYLLABLE LLLAU
      "\u0BCC",  # TAMIL SYLLABLE LLLAU
      "\u0BB3",  # TAMIL SYLLABLE LLAA
      "\u0BBE",  # TAMIL SYLLABLE LLAA
      "\u0BB3",  # TAMIL SYLLABLE LLI
      "\u0BBF",  # TAMIL SYLLABLE LLI
      "\u0BB3",  # TAMIL SYLLABLE LLII
      "\u0BC0",  # TAMIL SYLLABLE LLII
      "\u0BB3",  # TAMIL SYLLABLE LLU
      "\u0BC1",  # TAMIL SYLLABLE LLU
      "\u0BB3",  # TAMIL SYLLABLE LLUU
      "\u0BC2",  # TAMIL SYLLABLE LLUU
      "\u0BB3",  # TAMIL SYLLABLE LLE
      "\u0BC6",  # TAMIL SYLLABLE LLE
      "\u0BB3",  # TAMIL SYLLABLE LLEE
      "\u0BC7",  # TAMIL SYLLABLE LLEE
      "\u0BB3",  # TAMIL SYLLABLE LLAI
      "\u0BC8",  # TAMIL SYLLABLE LLAI
      "\u0BB3",  # TAMIL SYLLABLE LLO
      "\u0BCA",  # TAMIL SYLLABLE LLO
      "\u0BB3",  # TAMIL SYLLABLE LLOO
      "\u0BCB",  # TAMIL SYLLABLE LLOO
      "\u0BB3",  # TAMIL SYLLABLE LLAU
      "\u0BCC",  # TAMIL SYLLABLE LLAU
      "\u0BB1",  # TAMIL SYLLABLE RRAA
      "\u0BBE",  # TAMIL SYLLABLE RRAA
      "\u0BB1",  # TAMIL SYLLABLE RRI
      "\u0BBF",  # TAMIL SYLLABLE RRI
      "\u0BB1",  # TAMIL SYLLABLE RRII
      "\u0BC0",  # TAMIL SYLLABLE RRII
      "\u0BB1",  # TAMIL SYLLABLE RRU
      "\u0BC1",  # TAMIL SYLLABLE RRU
      "\u0BB1",  # TAMIL SYLLABLE RRUU
      "\u0BC2",  # TAMIL SYLLABLE RRUU
      "\u0BB1",  # TAMIL SYLLABLE RRE
      "\u0BC6",  # TAMIL SYLLABLE RRE
      "\u0BB1",  # TAMIL SYLLABLE RREE
      "\u0BC7",  # TAMIL SYLLABLE RREE
      "\u0BB1",  # TAMIL SYLLABLE RRAI
      "\u0BC8",  # TAMIL SYLLABLE RRAI
      "\u0BB1",  # TAMIL SYLLABLE RRO
      "\u0BCA",  # TAMIL SYLLABLE RRO
      "\u0BB1",  # TAMIL SYLLABLE RROO
      "\u0BCB",  # TAMIL SYLLABLE RROO
      "\u0BB1",  # TAMIL SYLLABLE RRAU
      "\u0BCC",  # TAMIL SYLLABLE RRAU
      "\u0BA9",  # TAMIL SYLLABLE NNNAA
      "\u0BBE",  # TAMIL SYLLABLE NNNAA
      "\u0BA9",  # TAMIL SYLLABLE NNNI
      "\u0BBF",  # TAMIL SYLLABLE NNNI
      "\u0BA9",  # TAMIL SYLLABLE NNNII
      "\u0BC0",  # TAMIL SYLLABLE NNNII
      "\u0BA9",  # TAMIL SYLLABLE NNNU
      "\u0BC1",  # TAMIL SYLLABLE NNNU
      "\u0BA9",  # TAMIL SYLLABLE NNNUU
      "\u0BC2",  # TAMIL SYLLABLE NNNUU
      "\u0BA9",  # TAMIL SYLLABLE NNNE
      "\u0BC6",  # TAMIL SYLLABLE NNNE
      "\u0BA9",  # TAMIL SYLLABLE NNNEE
      "\u0BC7",  # TAMIL SYLLABLE NNNEE
      "\u0BA9",  # TAMIL SYLLABLE NNNAI
      "\u0BC8",  # TAMIL SYLLABLE NNNAI
      "\u0BA9",  # TAMIL SYLLABLE NNNO
      "\u0BCA",  # TAMIL SYLLABLE NNNO
      "\u0BA9",  # TAMIL SYLLABLE NNNOO
      "\u0BCB",  # TAMIL SYLLABLE NNNOO
      "\u0BA9",  # TAMIL SYLLABLE NNNAU
      "\u0BCC",  # TAMIL SYLLABLE NNNAU
      "\u0B9C",  # TAMIL SYLLABLE JAA
      "\u0BBE",  # TAMIL SYLLABLE JAA
      "\u0B9C",  # TAMIL SYLLABLE JI
      "\u0BBF",  # TAMIL SYLLABLE JI
      "\u0B9C",  # TAMIL SYLLABLE JII
      "\u0BC0",  # TAMIL SYLLABLE JII
      "\u0B9C",  # TAMIL SYLLABLE JU
      "\u0BC1",  # TAMIL SYLLABLE JU
      "\u0B9C",  # TAMIL SYLLABLE JUU
      "\u0BC2",  # TAMIL SYLLABLE JUU
      "\u0B9C",  # TAMIL SYLLABLE JE
      "\u0BC6",  # TAMIL SYLLABLE JE
      "\u0B9C",  # TAMIL SYLLABLE JEE
      "\u0BC7",  # TAMIL SYLLABLE JEE
      "\u0B9C",  # TAMIL SYLLABLE JAI
      "\u0BC8",  # TAMIL SYLLABLE JAI
      "\u0B9C",  # TAMIL SYLLABLE JO
      "\u0BCA",  # TAMIL SYLLABLE JO
      "\u0B9C",  # TAMIL SYLLABLE JOO
      "\u0BCB",  # TAMIL SYLLABLE JOO
      "\u0B9C",  # TAMIL SYLLABLE JAU
      "\u0BCC",  # TAMIL SYLLABLE JAU
      "\u0BB6",  # TAMIL SYLLABLE SHAA
      "\u0BBE",  # TAMIL SYLLABLE SHAA
      "\u0BB6",  # TAMIL SYLLABLE SHI
      "\u0BBF",  # TAMIL SYLLABLE SHI
      "\u0BB6",  # TAMIL SYLLABLE SHII
      "\u0BC0",  # TAMIL SYLLABLE SHII
      "\u0BB6",  # TAMIL SYLLABLE SHU
      "\u0BC1",  # TAMIL SYLLABLE SHU
      "\u0BB6",  # TAMIL SYLLABLE SHUU
      "\u0BC2",  # TAMIL SYLLABLE SHUU
      "\u0BB6",  # TAMIL SYLLABLE SHE
      "\u0BC6",  # TAMIL SYLLABLE SHE
      "\u0BB6",  # TAMIL SYLLABLE SHEE
      "\u0BC7",  # TAMIL SYLLABLE SHEE
      "\u0BB6",  # TAMIL SYLLABLE SHAI
      "\u0BC8",  # TAMIL SYLLABLE SHAI
      "\u0BB6",  # TAMIL SYLLABLE SHO
      "\u0BCA",  # TAMIL SYLLABLE SHO
      "\u0BB6",  # TAMIL SYLLABLE SHOO
      "\u0BCB",  # TAMIL SYLLABLE SHOO
      "\u0BB6",  # TAMIL SYLLABLE SHAU
      "\u0BCC",  # TAMIL SYLLABLE SHAU
      "\u0BB7",  # TAMIL SYLLABLE SSAA
      "\u0BBE",  # TAMIL SYLLABLE SSAA
      "\u0BB7",  # TAMIL SYLLABLE SSI
      "\u0BBF",  # TAMIL SYLLABLE SSI
      "\u0BB7",  # TAMIL SYLLABLE SSII
      "\u0BC0",  # TAMIL SYLLABLE SSII
      "\u0BB7",  # TAMIL SYLLABLE SSU
      "\u0BC1",  # TAMIL SYLLABLE SSU
      "\u0BB7",  # TAMIL SYLLABLE SSUU
      "\u0BC2",  # TAMIL SYLLABLE SSUU
      "\u0BB7",  # TAMIL SYLLABLE SSE
      "\u0BC6",  # TAMIL SYLLABLE SSE
      "\u0BB7",  # TAMIL SYLLABLE SSEE
      "\u0BC7",  # TAMIL SYLLABLE SSEE
      "\u0BB7",  # TAMIL SYLLABLE SSAI
      "\u0BC8",  # TAMIL SYLLABLE SSAI
      "\u0BB7",  # TAMIL SYLLABLE SSO
      "\u0BCA",  # TAMIL SYLLABLE SSO
      "\u0BB7",  # TAMIL SYLLABLE SSOO
      "\u0BCB",  # TAMIL SYLLABLE SSOO
      "\u0BB7",  # TAMIL SYLLABLE SSAU
      "\u0BCC",  # TAMIL SYLLABLE SSAU
      "\u0BB8",  # TAMIL SYLLABLE SAA
      "\u0BBE",  # TAMIL SYLLABLE SAA
      "\u0BB8",  # TAMIL SYLLABLE SI
      "\u0BBF",  # TAMIL SYLLABLE SI
      "\u0BB8",  # TAMIL SYLLABLE SII
      "\u0BC0",  # TAMIL SYLLABLE SII
      "\u0BB8",  # TAMIL SYLLABLE SU
      "\u0BC1",  # TAMIL SYLLABLE SU
      "\u0BB8",  # TAMIL SYLLABLE SUU
      "\u0BC2",  # TAMIL SYLLABLE SUU
      "\u0BB8",  # TAMIL SYLLABLE SE
      "\u0BC6",  # TAMIL SYLLABLE SE
      "\u0BB8",  # TAMIL SYLLABLE SEE
      "\u0BC7",  # TAMIL SYLLABLE SEE
      "\u0BB8",  # TAMIL SYLLABLE SAI
      "\u0BC8",  # TAMIL SYLLABLE SAI
      "\u0BB8",  # TAMIL SYLLABLE SO
      "\u0BCA",  # TAMIL SYLLABLE SO
      "\u0BB8",  # TAMIL SYLLABLE SOO
      "\u0BCB",  # TAMIL SYLLABLE SOO
      "\u0BB8",  # TAMIL SYLLABLE SAU
      "\u0BCC",  # TAMIL SYLLABLE SAU
      "\u0BB9",  # TAMIL SYLLABLE HAA
      "\u0BBE",  # TAMIL SYLLABLE HAA
      "\u0BB9",  # TAMIL SYLLABLE HI
      "\u0BBF",  # TAMIL SYLLABLE HI
      "\u0BB9",  # TAMIL SYLLABLE HII
      "\u0BC0",  # TAMIL SYLLABLE HII
      "\u0BB9",  # TAMIL SYLLABLE HU
      "\u0BC1",  # TAMIL SYLLABLE HU
      "\u0BB9",  # TAMIL SYLLABLE HUU
      "\u0BC2",  # TAMIL SYLLABLE HUU
      "\u0BB9",  # TAMIL SYLLABLE HE
      "\u0BC6",  # TAMIL SYLLABLE HE
      "\u0BB9",  # TAMIL SYLLABLE HEE
      "\u0BC7",  # TAMIL SYLLABLE HEE
      "\u0BB9",  # TAMIL SYLLABLE HAI
      "\u0BC8",  # TAMIL SYLLABLE HAI
      "\u0BB9",  # TAMIL SYLLABLE HO
      "\u0BCA",  # TAMIL SYLLABLE HO
      "\u0BB9",  # TAMIL SYLLABLE HOO
      "\u0BCB",  # TAMIL SYLLABLE HOO
      "\u0BB9",  # TAMIL SYLLABLE HAU
      "\u0BCC",  # TAMIL SYLLABLE HAU
      "\u0B95",  # TAMIL SYLLABLE KSSA
      "\u0BCD",  # TAMIL SYLLABLE KSSA
      "\u0BB7",  # TAMIL SYLLABLE KSSA
      "\u0B95",  # TAMIL SYLLABLE KSSAA
      "\u0BCD",  # TAMIL SYLLABLE KSSAA
      "\u0BB7",  # TAMIL SYLLABLE KSSAA
      "\u0BBE",  # TAMIL SYLLABLE KSSAA
      "\u0B95",  # TAMIL SYLLABLE KSSI
      "\u0BCD",  # TAMIL SYLLABLE KSSI
      "\u0BB7",  # TAMIL SYLLABLE KSSI
      "\u0BBF",  # TAMIL SYLLABLE KSSI
      "\u0B95",  # TAMIL SYLLABLE KSSII
      "\u0BCD",  # TAMIL SYLLABLE KSSII
      "\u0BB7",  # TAMIL SYLLABLE KSSII
      "\u0BC0",  # TAMIL SYLLABLE KSSII
      "\u0B95",  # TAMIL SYLLABLE KSSU
      "\u0BCD",  # TAMIL SYLLABLE KSSU
      "\u0BB7",  # TAMIL SYLLABLE KSSU
      "\u0BC1",  # TAMIL SYLLABLE KSSU
      "\u0B95",  # TAMIL SYLLABLE KSSUU
      "\u0BCD",  # TAMIL SYLLABLE KSSUU
      "\u0BB7",  # TAMIL SYLLABLE KSSUU
      "\u0BC2",  # TAMIL SYLLABLE KSSUU
      "\u0B95",  # TAMIL SYLLABLE KSSE
      "\u0BCD",  # TAMIL SYLLABLE KSSE
      "\u0BB7",  # TAMIL SYLLABLE KSSE
      "\u0BC6",  # TAMIL SYLLABLE KSSE
      "\u0B95",  # TAMIL SYLLABLE KSSEE
      "\u0BCD",  # TAMIL SYLLABLE KSSEE
      "\u0BB7",  # TAMIL SYLLABLE KSSEE
      "\u0BC7",  # TAMIL SYLLABLE KSSEE
      "\u0B95",  # TAMIL SYLLABLE KSSAI
      "\u0BCD",  # TAMIL SYLLABLE KSSAI
      "\u0BB7",  # TAMIL SYLLABLE KSSAI
      "\u0BC8",  # TAMIL SYLLABLE KSSAI
      "\u0B95",  # TAMIL SYLLABLE KSSO
      "\u0BCD",  # TAMIL SYLLABLE KSSO
      "\u0BB7",  # TAMIL SYLLABLE KSSO
      "\u0BCA",  # TAMIL SYLLABLE KSSO
      "\u0B95",  # TAMIL SYLLABLE KSSOO
      "\u0BCD",  # TAMIL SYLLABLE KSSOO
      "\u0BB7",  # TAMIL SYLLABLE KSSOO
      "\u0BCB",  # TAMIL SYLLABLE KSSOO
      "\u0B95",  # TAMIL SYLLABLE KSSAU
      "\u0BCD",  # TAMIL SYLLABLE KSSAU
      "\u0BB7",  # TAMIL SYLLABLE KSSAU
      "\u0BCC",  # TAMIL SYLLABLE KSSAU
      "\u0BB6",  # TAMIL SYLLABLE SHRII
      "\u0BCD",  # TAMIL SYLLABLE SHRII
      "\u0BB0",  # TAMIL SYLLABLE SHRII
      "\u0BC0",  # TAMIL SYLLABLE SHRII
      "\u0DCA",  # SINHALA CONSONANT SIGN YANSAYA
      "\u200D",  # SINHALA CONSONANT SIGN YANSAYA
      "\u0DBA",  # SINHALA CONSONANT SIGN YANSAYA
      "\u0DCA",  # SINHALA CONSONANT SIGN RAKAARAANSAYA
      "\u200D",  # SINHALA CONSONANT SIGN RAKAARAANSAYA
      "\u0DBB",  # SINHALA CONSONANT SIGN RAKAARAANSAYA
      "\u0DBB",  # SINHALA CONSONANT SIGN REPAYA
      "\u0DCA",  # SINHALA CONSONANT SIGN REPAYA
      "\u200D",  # SINHALA CONSONANT SIGN REPAYA
      "\u10E3",  # GEORGIAN LETTER U-BRJGU
      "\u0302",  # GEORGIAN LETTER U-BRJGU
      "\u17D2",  # KHMER CONSONANT SIGN COENG KA
      "\u1780",  # KHMER CONSONANT SIGN COENG KA
      "\u17D2",  # KHMER CONSONANT SIGN COENG KHA
      "\u1781",  # KHMER CONSONANT SIGN COENG KHA
      "\u17D2",  # KHMER CONSONANT SIGN COENG KO
      "\u1782",  # KHMER CONSONANT SIGN COENG KO
      "\u17D2",  # KHMER CONSONANT SIGN COENG KHO
      "\u1783",  # KHMER CONSONANT SIGN COENG KHO
      "\u17D2",  # KHMER CONSONANT SIGN COENG NGO
      "\u1784",  # KHMER CONSONANT SIGN COENG NGO
      "\u17D2",  # KHMER CONSONANT SIGN COENG CA
      "\u1785",  # KHMER CONSONANT SIGN COENG CA
      "\u17D2",  # KHMER CONSONANT SIGN COENG CHA
      "\u1786",  # KHMER CONSONANT SIGN COENG CHA
      "\u17D2",  # KHMER CONSONANT SIGN COENG CO
      "\u1787",  # KHMER CONSONANT SIGN COENG CO
      "\u17D2",  # KHMER CONSONANT SIGN COENG CHO
      "\u1788",  # KHMER CONSONANT SIGN COENG CHO
      "\u17D2",  # KHMER CONSONANT SIGN COENG NYO
      "\u1789",  # KHMER CONSONANT SIGN COENG NYO
      "\u17D2",  # KHMER CONSONANT SIGN COENG DA
      "\u178A",  # KHMER CONSONANT SIGN COENG DA
      "\u17D2",  # KHMER CONSONANT SIGN COENG TTHA
      "\u178B",  # KHMER CONSONANT SIGN COENG TTHA
      "\u17D2",  # KHMER CONSONANT SIGN COENG DO
      "\u178C",  # KHMER CONSONANT SIGN COENG DO
      "\u17D2",  # KHMER CONSONANT SIGN COENG TTHO
      "\u178D",  # KHMER CONSONANT SIGN COENG TTHO
      "\u17D2",  # KHMER CONSONANT SIGN COENG NA
      "\u178E",  # KHMER CONSONANT SIGN COENG NA
      "\u17D2",  # KHMER CONSONANT SIGN COENG TA
      "\u178F",  # KHMER CONSONANT SIGN COENG TA
      "\u17D2",  # KHMER CONSONANT SIGN COENG THA
      "\u1790",  # KHMER CONSONANT SIGN COENG THA
      "\u17D2",  # KHMER CONSONANT SIGN COENG TO
      "\u1791",  # KHMER CONSONANT SIGN COENG TO
      "\u17D2",  # KHMER CONSONANT SIGN COENG THO
      "\u1792",  # KHMER CONSONANT SIGN COENG THO
      "\u17D2",  # KHMER CONSONANT SIGN COENG NO
      "\u1793",  # KHMER CONSONANT SIGN COENG NO
      "\u17D2",  # KHMER CONSONANT SIGN COENG BA
      "\u1794",  # KHMER CONSONANT SIGN COENG BA
      "\u17D2",  # KHMER CONSONANT SIGN COENG PHA
      "\u1795",  # KHMER CONSONANT SIGN COENG PHA
      "\u17D2",  # KHMER CONSONANT SIGN COENG PO
      "\u1796",  # KHMER CONSONANT SIGN COENG PO
      "\u17D2",  # KHMER CONSONANT SIGN COENG PHO
      "\u1797",  # KHMER CONSONANT SIGN COENG PHO
      "\u17D2",  # KHMER CONSONANT SIGN COENG MO
      "\u1798",  # KHMER CONSONANT SIGN COENG MO
      "\u17D2",  # KHMER CONSONANT SIGN COENG YO
      "\u1799",  # KHMER CONSONANT SIGN COENG YO
      "\u17D2",  # KHMER CONSONANT SIGN COENG RO
      "\u179A",  # KHMER CONSONANT SIGN COENG RO
      "\u17D2",  # KHMER CONSONANT SIGN COENG LO
      "\u179B",  # KHMER CONSONANT SIGN COENG LO
      "\u17D2",  # KHMER CONSONANT SIGN COENG VO
      "\u179C",  # KHMER CONSONANT SIGN COENG VO
      "\u17D2",  # KHMER CONSONANT SIGN COENG SHA
      "\u179D",  # KHMER CONSONANT SIGN COENG SHA
      "\u17D2",  # KHMER CONSONANT SIGN COENG SSA
      "\u179E",  # KHMER CONSONANT SIGN COENG SSA
      "\u17D2",  # KHMER CONSONANT SIGN COENG SA
      "\u179F",  # KHMER CONSONANT SIGN COENG SA
      "\u17D2",  # KHMER CONSONANT SIGN COENG HA
      "\u17A0",  # KHMER CONSONANT SIGN COENG HA
      "\u17D2",  # KHMER CONSONANT SIGN COENG LA
      "\u17A1",  # KHMER CONSONANT SIGN COENG LA
      "\u17D2",  # KHMER VOWEL SIGN COENG QA
      "\u17A2",  # KHMER VOWEL SIGN COENG QA
      "\u17D2",  # KHMER INDEPENDENT VOWEL SIGN COENG QU
      "\u17A7",  # KHMER INDEPENDENT VOWEL SIGN COENG QU
      "\u17D2",  # KHMER INDEPENDENT VOWEL SIGN COENG RY
      "\u17AB",  # KHMER INDEPENDENT VOWEL SIGN COENG RY
      "\u17D2",  # KHMER INDEPENDENT VOWEL SIGN COENG RYY
      "\u17AC",  # KHMER INDEPENDENT VOWEL SIGN COENG RYY
      "\u17D2",  # KHMER INDEPENDENT VOWEL SIGN COENG QE
      "\u17AF",  # KHMER INDEPENDENT VOWEL SIGN COENG QE
      "\u17BB",  # KHMER VOWEL SIGN OM
      "\u17C6",  # KHMER VOWEL SIGN OM
      "\u17B6",  # KHMER VOWEL SIGN AAM
      "\u17C6",  # KHMER VOWEL SIGN AAM
      "\u304B",  # HIRAGANA LETTER BIDAKUON NGA
      "\u309A",  # HIRAGANA LETTER BIDAKUON NGA
      "\u304D",  # HIRAGANA LETTER BIDAKUON NGI
      "\u309A",  # HIRAGANA LETTER BIDAKUON NGI
      "\u304F",  # HIRAGANA LETTER BIDAKUON NGU
      "\u309A",  # HIRAGANA LETTER BIDAKUON NGU
      "\u3051",  # HIRAGANA LETTER BIDAKUON NGE
      "\u309A",  # HIRAGANA LETTER BIDAKUON NGE
      "\u3053",  # HIRAGANA LETTER BIDAKUON NGO
      "\u309A",  # HIRAGANA LETTER BIDAKUON NGO
      "\u30AB",  # KATAKANA LETTER BIDAKUON NGA
      "\u309A",  # KATAKANA LETTER BIDAKUON NGA
      "\u30AD",  # KATAKANA LETTER BIDAKUON NGI
      "\u309A",  # KATAKANA LETTER BIDAKUON NGI
      "\u30AF",  # KATAKANA LETTER BIDAKUON NGU
      "\u309A",  # KATAKANA LETTER BIDAKUON NGU
      "\u30B1",  # KATAKANA LETTER BIDAKUON NGE
      "\u309A",  # KATAKANA LETTER BIDAKUON NGE
      "\u30B3",  # KATAKANA LETTER BIDAKUON NGO
      "\u309A",  # KATAKANA LETTER BIDAKUON NGO
      "\u30BB",  # KATAKANA LETTER AINU CE
      "\u309A",  # KATAKANA LETTER AINU CE
      "\u30C4",  # KATAKANA LETTER AINU TU
      "\u309A",  # KATAKANA LETTER AINU TU
      "\u30C8",  # KATAKANA LETTER AINU TO
      "\u309A",  # KATAKANA LETTER AINU TO
      "\u31F7",  # KATAKANA LETTER AINU P
      "\u309A",  # KATAKANA LETTER AINU P
      "\u02E5",  # MODIFIER LETTER EXTRA-HIGH EXTRA-LOW CONTOUR TONE BAR
      "\u02E9",  # MODIFIER LETTER EXTRA-HIGH EXTRA-LOW CONTOUR TONE BAR
      "\u02E9",  # MODIFIER LETTER EXTRA-LOW EXTRA-HIGH CONTOUR TONE BAR
      "\u02E5",  # MODIFIER LETTER EXTRA-LOW EXTRA-HIGH CONTOUR TONE BAR
    ]
    test_data.each do |string|
      assert @validator.valid_encoding?(string), "U10_NamedSequences: #{string}"
      assert string.force_encoding("UTF-8").valid_encoding?, "U10_NamedSequences: #{string}" if @vercheck
    end
  end

end
