# encoding: utf-8
#
# This file is machine generated.  DO NOT EDIT!
#
if Kernel.respond_to?(:require_relative)
  require_relative("./helper")
else
  $:.unshift(File.dirname(__FILE__))
  require 'helper'
end
#
# == Purpose
#
# Tests for the #{UTF8::Validator} implementation.
#
# Test data pulled and generated from:
#
# https://www.unicode.org/Public/10.0.0/ucd/
#
class TestUnicode10NushuSources < Test::Unit::TestCase
  #
  def setup
    @validator = UTF8::Validator.new
    @vercheck = ((RUBY_VERSION =~ /1.9/) or (RUBY_VERSION =~ /2./)) ? true : false
  end

  #
  def teardown
    @validator = nil
  end

  def test_unicode10_NushuSources
    test_data = [
    "\U1B170",  # kSrc_NushuDuben 36.01
    "\U1B170",  # kReading i5
    "\U1B171",  # kSrc_NushuDuben 36.02
    "\U1B171",  # kReading na33
    "\U1B172",  # kSrc_NushuDuben 36.03
    "\U1B172",  # kReading tsha5
    "\U1B173",  # kSrc_NushuDuben 36.04
    "\U1B173",  # kReading ie21
    "\U1B174",  # kSrc_NushuDuben 36.05
    "\U1B174",  # kReading poe5
    "\U1B175",  # kSrc_NushuDuben 36.06
    "\U1B175",  # kReading swe33
    "\U1B176",  # kSrc_NushuDuben 36.07
    "\U1B176",  # kReading phiu44
    "\U1B177",  # kSrc_NushuDuben 36.08
    "\U1B177",  # kReading u5
    "\U1B178",  # kSrc_NushuDuben 36.09
    "\U1B178",  # kReading cya35
    "\U1B179",  # kSrc_NushuDuben 36.10
    "\U1B179",  # kReading tie42
    "\U1B17A",  # kSrc_NushuDuben 36.11
    "\U1B17A",  # kReading njie33
    "\U1B17B",  # kSrc_NushuDuben 36.12
    "\U1B17B",  # kReading toe33
    "\U1B17C",  # kSrc_NushuDuben 36.13
    "\U1B17C",  # kReading tchye5
    "\U1B17D",  # kSrc_NushuDuben 36.14
    "\U1B17D",  # kReading fwe13
    "\U1B17E",  # kSrc_NushuDuben 36.15
    "\U1B17E",  # kReading liu44
    "\U1B17F",  # kSrc_NushuDuben 36.16
    "\U1B17F",  # kReading siu35
    "\U1B180",  # kSrc_NushuDuben 37.01
    "\U1B180",  # kReading thu35
    "\U1B181",  # kSrc_NushuDuben 37.02
    "\U1B181",  # kReading njyu13
    "\U1B182",  # kSrc_NushuDuben 37.03
    "\U1B182",  # kReading vai42
    "\U1B183",  # kSrc_NushuDuben 37.04
    "\U1B183",  # kReading kai44
    "\U1B184",  # kSrc_NushuDuben 37.05
    "\U1B184",  # kReading khau21
    "\U1B185",  # kSrc_NushuDuben 37.06
    "\U1B185",  # kReading kou21
    "\U1B186",  # kSrc_NushuDuben 37.07
    "\U1B186",  # kReading tciou35
    "\U1B187",  # kSrc_NushuDuben 37.08
    "\U1B187",  # kReading liang35
    "\U1B188",  # kSrc_NushuDuben 37.09
    "\U1B188",  # kReading ciang13
    "\U1B189",  # kSrc_NushuDuben 37.10
    "\U1B189",  # kReading tsheng44
    "\U1B18A",  # kSrc_NushuDuben 37.11
    "\U1B18A",  # kReading song44
    "\U1B18B",  # kSrc_NushuDuben 37.12
    "\U1B18B",  # kReading ma5
    "\U1B18C",  # kSrc_NushuDuben 37.14
    "\U1B18C",  # kReading fa44
    "\U1B18D",  # kSrc_NushuDuben 37.13
    "\U1B18D",  # kReading la44
    "\U1B18E",  # kSrc_NushuDuben 37.16
    "\U1B18E",  # kReading thoe21
    "\U1B18F",  # kSrc_NushuDuben 37.17
    "\U1B18F",  # kReading tsoe42
    "\U1B190",  # kSrc_NushuDuben 37.18
    "\U1B190",  # kReading fwe44
    "\U1B191",  # kSrc_NushuDuben 37.19
    "\U1B191",  # kReading tswe35
    "\U1B192",  # kSrc_NushuDuben 37.20
    "\U1B192",  # kReading ti13
    "\U1B193",  # kSrc_NushuDuben 38.01
    "\U1B193",  # kReading ci21
    "\U1B194",  # kSrc_NushuDuben 38.02
    "\U1B194",  # kReading fu44
    "\U1B195",  # kSrc_NushuDuben 38.03
    "\U1B195",  # kReading fu35
    "\U1B196",  # kSrc_NushuDuben 38.04
    "\U1B196",  # kReading fu13
    "\U1B197",  # kSrc_NushuDuben 38.05
    "\U1B197",  # kReading tcyu35
    "\U1B198",  # kSrc_NushuDuben 38.06
    "\U1B198",  # kReading tcyu21
    "\U1B199",  # kSrc_NushuDuben 38.07
    "\U1B199",  # kReading fai44
    "\U1B19A",  # kSrc_NushuDuben 38.08
    "\U1B19A",  # kReading hau35
    "\U1B19B",  # kSrc_NushuDuben 38.09
    "\U1B19B",  # kReading lou35
    "\U1B19C",  # kSrc_NushuDuben 38.10
    "\U1B19C",  # kReading liou33
    "\U1B19D",  # kSrc_NushuDuben 38.11
    "\U1B19D",  # kReading tciou44
    "\U1B19E",  # kSrc_NushuDuben 38.12
    "\U1B19E",  # kReading ciou35
    "\U1B19F",  # kSrc_NushuDuben 38.13
    "\U1B19F",  # kReading tchyn21
    "\U1B1A0",  # kSrc_NushuDuben 38.14
    "\U1B1A0",  # kReading fang44
    "\U1B1A1",  # kSrc_NushuDuben 38.15
    "\U1B1A1",  # kReading vang42
    "\U1B1A2",  # kSrc_NushuDuben 38.16
    "\U1B1A2",  # kReading sang33
    "\U1B1A3",  # kSrc_NushuDuben 38.17
    "\U1B1A3",  # kReading khang21
    "\U1B1A4",  # kSrc_NushuDuben 39.01
    "\U1B1A4",  # kReading theng44
    "\U1B1A5",  # kSrc_NushuDuben 38.18
    "\U1B1A5",  # kReading neng44
    "\U1B1A6",  # kSrc_NushuDuben 39.02
    "\U1B1A6",  # kReading piong13
    "\U1B1A7",  # kSrc_NushuDuben 39.03
    "\U1B1A7",  # kReading iong42
    "\U1B1A8",  # kSrc_NushuDuben 39.04
    "\U1B1A8",  # kReading va33
    "\U1B1A9",  # kSrc_NushuDuben 37.15
    "\U1B1A9",  # kReading khua44
    "\U1B1AA",  # kSrc_NushuDuben 39.05
    "\U1B1AA",  # kReading tchya33
    "\U1B1AB",  # kSrc_NushuDuben 39.07
    "\U1B1AB",  # kReading nie33
    "\U1B1AC",  # kSrc_NushuDuben 39.08
    "\U1B1AC",  # kReading lie21
    "\U1B1AD",  # kSrc_NushuDuben 39.09
    "\U1B1AD",  # kReading tcie44
    "\U1B1AE",  # kSrc_NushuDuben 39.10
    "\U1B1AE",  # kReading tchie44
    "\U1B1AF",  # kSrc_NushuDuben 39.11
    "\U1B1AF",  # kReading njie44
    "\U1B1B0",  # kSrc_NushuDuben 39.12
    "\U1B1B0",  # kReading njie42
    "\U1B1B1",  # kSrc_NushuDuben 39.13
    "\U1B1B1",  # kReading ie44
    "\U1B1B2",  # kSrc_NushuDuben 39.14
    "\U1B1B2",  # kReading ie33
    "\U1B1B3",  # kSrc_NushuDuben 39.15
    "\U1B1B3",  # kReading mwe13
    "\U1B1B4",  # kSrc_NushuDuben 40.01
    "\U1B1B4",  # kReading vwe33
    "\U1B1B5",  # kSrc_NushuDuben 39.16
    "\U1B1B5",  # kReading vwe5
    "\U1B1B6",  # kSrc_NushuDuben 39.17
    "\U1B1B6",  # kReading twe33
    "\U1B1B7",  # kSrc_NushuDuben 40.02
    "\U1B1B7",  # kReading tswe44
    "\U1B1B8",  # kSrc_NushuDuben 40.03
    "\U1B1B8",  # kReading swe42
    "\U1B1B9",  # kSrc_NushuDuben 40.04
    "\U1B1B9",  # kReading swe13
    "\U1B1BA",  # kSrc_NushuDuben 40.05
    "\U1B1BA",  # kReading tci35
    "\U1B1BB",  # kSrc_NushuDuben 40.06
    "\U1B1BB",  # kReading ci35
    "\U1B1BC",  # kSrc_NushuDuben 40.07
    "\U1B1BC",  # kReading i5
    "\U1B1BD",  # kSrc_NushuDuben 40.08
    "\U1B1BD",  # kReading liu44
    "\U1B1BE",  # kSrc_NushuDuben 40.09
    "\U1B1BE",  # kReading njiu33
    "\U1B1BF",  # kSrc_NushuDuben 40.10
    "\U1B1BF",  # kReading ciu35
    "\U1B1C0",  # kSrc_NushuDuben 40.11
    "\U1B1C0",  # kReading mu13
    "\U1B1C1",  # kSrc_NushuDuben 40.12
    "\U1B1C1",  # kReading yu44
    "\U1B1C2",  # kSrc_NushuDuben 40.13
    "\U1B1C2",  # kReading tchy21
    "\U1B1C3",  # kSrc_NushuDuben 40.14
    "\U1B1C3",  # kReading njy33
    "\U1B1C4",  # kSrc_NushuDuben 40.15
    "\U1B1C4",  # kReading y42
    "\U1B1C5",  # kSrc_NushuDuben 40.16
    "\U1B1C5",  # kReading pai35
    "\U1B1C6",  # kSrc_NushuDuben 40.20
    "\U1B1C6",  # kReading pai35
    "\U1B1C7",  # kSrc_NushuDuben 40.18
    "\U1B1C7",  # kReading lai42
    "\U1B1C8",  # kSrc_NushuDuben 40.17
    "\U1B1C8",  # kReading ai42
    "\U1B1C9",  # kSrc_NushuDuben 40.19
    "\U1B1C9",  # kReading hau35
    "\U1B1CA",  # kSrc_NushuDuben 41.01
    "\U1B1CA",  # kReading tou42
    "\U1B1CB",  # kSrc_NushuDuben 41.02
    "\U1B1CB",  # kReading liou42
    "\U1B1CC",  # kSrc_NushuDuben 41.03
    "\U1B1CC",  # kReading iou13
    "\U1B1CD",  # kSrc_NushuDuben 41.05
    "\U1B1CD",  # kReading tsew35
    "\U1B1CE",  # kSrc_NushuDuben 41.04
    "\U1B1CE",  # kReading tsew21
    "\U1B1CF",  # kSrc_NushuDuben 41.06
    "\U1B1CF",  # kReading suow44
    "\U1B1D0",  # kSrc_NushuDuben 41.08
    "\U1B1D0",  # kReading huow42
    "\U1B1D1",  # kSrc_NushuDuben 41.07
    "\U1B1D1",  # kReading huow35
    "\U1B1D2",  # kSrc_NushuDuben 43.21
    "\U1B1D2",  # kReading nguw33
    "\U1B1D3",  # kSrc_NushuDuben 41.09
    "\U1B1D3",  # kReading mang42
    "\U1B1D4",  # kSrc_NushuDuben 41.12
    "\U1B1D4",  # kReading thang44
    "\U1B1D5",  # kSrc_NushuDuben 41.10
    "\U1B1D5",  # kReading kang44
    "\U1B1D6",  # kSrc_NushuDuben 41.11
    "\U1B1D6",  # kReading liang33
    "\U1B1D7",  # kSrc_NushuDuben 41.13
    "\U1B1D7",  # kReading tciang35
    "\U1B1D8",  # kSrc_NushuDuben 41.14
    "\U1B1D8",  # kReading njiang42
    "\U1B1D9",  # kSrc_NushuDuben 41.16
    "\U1B1D9",  # kReading peng44
    "\U1B1DA",  # kSrc_NushuDuben 41.15
    "\U1B1DA",  # kReading seng44
    "\U1B1DB",  # kSrc_NushuDuben 41.18
    "\U1B1DB",  # kReading piong42
    "\U1B1DC",  # kSrc_NushuDuben 41.17
    "\U1B1DC",  # kReading tshiong21
    "\U1B1DD",  # kSrc_NushuDuben 41.19
    "\U1B1DD",  # kReading tcing21
    "\U1B1DE",  # kSrc_NushuDuben 41.20
    "\U1B1DE",  # kReading pa5
    "\U1B1DF",  # kSrc_NushuDuben 42.01
    "\U1B1DF",  # kReading la33
    "\U1B1E0",  # kSrc_NushuDuben 42.14
    "\U1B1E0",  # kReading sie35
    "\U1B1E1",  # kSrc_NushuDuben 42.02
    "\U1B1E1",  # kReading tcie35
    "\U1B1E2",  # kSrc_NushuDuben 42.03
    "\U1B1E2",  # kReading ie21
    "\U1B1E3",  # kSrc_NushuDuben 42.04
    "\U1B1E3",  # kReading poe21
    "\U1B1E4",  # kSrc_NushuDuben 42.06
    "\U1B1E4",  # kReading loe42
    "\U1B1E5",  # kSrc_NushuDuben 42.07
    "\U1B1E5",  # kReading tsoe13
    "\U1B1E6",  # kSrc_NushuDuben 42.08
    "\U1B1E6",  # kReading soe5
    "\U1B1E7",  # kSrc_NushuDuben 42.09
    "\U1B1E7",  # kReading koe44
    "\U1B1E8",  # kSrc_NushuDuben 42.10
    "\U1B1E8",  # kReading khuoe21
    "\U1B1E9",  # kSrc_NushuDuben 42.11
    "\U1B1E9",  # kReading ye21
    "\U1B1EA",  # kSrc_NushuDuben 42.12
    "\U1B1EA",  # kReading pwe33
    "\U1B1EB",  # kSrc_NushuDuben 42.13
    "\U1B1EB",  # kReading pwe5
    "\U1B1EC",  # kSrc_NushuDuben 42.15
    "\U1B1EC",  # kReading tchi21
    "\U1B1ED",  # kSrc_NushuDuben 42.16
    "\U1B1ED",  # kReading tsiu33
    "\U1B1EE",  # kSrc_NushuDuben 42.17
    "\U1B1EE",  # kReading fu42
    "\U1B1EF",  # kSrc_NushuDuben 43.01
    "\U1B1EF",  # kReading vu42
    "\U1B1F0",  # kSrc_NushuDuben 42.18
    "\U1B1F0",  # kReading khu35
    "\U1B1F1",  # kSrc_NushuDuben 42.19
    "\U1B1F1",  # kReading hu5
    "\U1B1F2",  # kSrc_NushuDuben 43.02
    "\U1B1F2",  # kReading pw13
    "\U1B1F3",  # kSrc_NushuDuben 43.03
    "\U1B1F3",  # kReading fw42
    "\U1B1F4",  # kSrc_NushuDuben 43.07
    "\U1B1F4",  # kReading sw5
    "\U1B1F5",  # kSrc_NushuDuben 43.04
    "\U1B1F5",  # kReading kw5
    "\U1B1F6",  # kSrc_NushuDuben 43.05
    "\U1B1F6",  # kReading hw44
    "\U1B1F7",  # kSrc_NushuDuben 43.06
    "\U1B1F7",  # kReading mai42
    "\U1B1F8",  # kSrc_NushuDuben 43.08
    "\U1B1F8",  # kReading thai44
    "\U1B1F9",  # kSrc_NushuDuben 43.09
    "\U1B1F9",  # kReading sai44
    "\U1B1FA",  # kSrc_NushuDuben 43.10
    "\U1B1FA",  # kReading sai44
    "\U1B1FB",  # kSrc_NushuDuben 43.11
    "\U1B1FB",  # kReading thau35
    "\U1B1FC",  # kSrc_NushuDuben 43.12
    "\U1B1FC",  # kReading lau21
    "\U1B1FD",  # kSrc_NushuDuben 43.13
    "\U1B1FD",  # kReading lau21
    "\U1B1FE",  # kSrc_NushuDuben 42.05
    "\U1B1FE",  # kReading nou33
    "\U1B1FF",  # kSrc_NushuDuben 43.14
    "\U1B1FF",  # kReading kou33
    "\U1B200",  # kSrc_NushuDuben 43.15
    "\U1B200",  # kReading ciou44
    "\U1B201",  # kSrc_NushuDuben 43.17
    "\U1B201",  # kReading lew44
    "\U1B202",  # kSrc_NushuDuben 43.16
    "\U1B202",  # kReading sew35
    "\U1B203",  # kSrc_NushuDuben 43.18
    "\U1B203",  # kReading thuow21
    "\U1B204",  # kSrc_NushuDuben 43.19
    "\U1B204",  # kReading uow33
    "\U1B205",  # kSrc_NushuDuben 43.20
    "\U1B205",  # kReading kuw5
    "\U1B206",  # kSrc_NushuDuben 44.01
    "\U1B206",  # kReading tcyn42
    "\U1B207",  # kSrc_NushuDuben 44.02
    "\U1B207",  # kReading yn35
    "\U1B208",  # kSrc_NushuDuben 44.03
    "\U1B208",  # kReading vang33
    "\U1B209",  # kSrc_NushuDuben 44.04
    "\U1B209",  # kReading tsang44
    "\U1B20A",  # kSrc_NushuDuben 44.05
    "\U1B20A",  # kReading sang44
    "\U1B20B",  # kSrc_NushuDuben 44.07
    "\U1B20B",  # kReading khang35
    "\U1B20C",  # kSrc_NushuDuben 44.06
    "\U1B20C",  # kReading tciang44
    "\U1B20D",  # kSrc_NushuDuben 44.08
    "\U1B20D",  # kReading iang13
    "\U1B20E",  # kSrc_NushuDuben 44.09
    "\U1B20E",  # kReading teng42
    "\U1B20F",  # kSrc_NushuDuben 44.10
    "\U1B20F",  # kReading neng33
    "\U1B210",  # kSrc_NushuDuben 44.11
    "\U1B210",  # kReading piong33
    "\U1B211",  # kSrc_NushuDuben 44.12
    "\U1B211",  # kReading miong33
    "\U1B212",  # kSrc_NushuDuben 44.13
    "\U1B212",  # kReading ciong42
    "\U1B213",  # kSrc_NushuDuben 44.14
    "\U1B213",  # kReading ciong21
    "\U1B214",  # kSrc_NushuDuben 44.15
    "\U1B214",  # kReading njing42
    "\U1B215",  # kSrc_NushuDuben 44.16
    "\U1B215",  # kReading ng13
    "\U1B216",  # kSrc_NushuDuben 44.17
    "\U1B216",  # kReading tsa35
    "\U1B217",  # kSrc_NushuDuben 44.18
    "\U1B217",  # kReading sa21
    "\U1B218",  # kSrc_NushuDuben 44.19
    "\U1B218",  # kReading kua44
    "\U1B219",  # kSrc_NushuDuben 44.20
    "\U1B219",  # kReading kua35
    "\U1B21A",  # kSrc_NushuDuben 39.06
    "\U1B21A",  # kReading cya5
    "\U1B21B",  # kSrc_NushuDuben 45.01
    "\U1B21B",  # kReading cie44
    "\U1B21C",  # kSrc_NushuDuben 45.02
    "\U1B21C",  # kReading phoe35
    "\U1B21D",  # kSrc_NushuDuben 45.03
    "\U1B21D",  # kReading foe42
    "\U1B21E",  # kSrc_NushuDuben 45.04
    "\U1B21E",  # kReading loe35
    "\U1B21F",  # kSrc_NushuDuben 45.13
    "\U1B21F",  # kReading tshoe44
    "\U1B220",  # kSrc_NushuDuben 45.05
    "\U1B220",  # kReading tshoe21
    "\U1B221",  # kSrc_NushuDuben 45.06
    "\U1B221",  # kReading oe44
    "\U1B222",  # kSrc_NushuDuben 46.14
    "\U1B222",  # kReading tchye35
    "\U1B223",  # kSrc_NushuDuben 45.07
    "\U1B223",  # kReading fwe44
    "\U1B224",  # kSrc_NushuDuben 45.08
    "\U1B224",  # kReading tswe33
    "\U1B225",  # kSrc_NushuDuben 44.21
    "\U1B225",  # kReading ni33
    "\U1B226",  # kSrc_NushuDuben 45.09
    "\U1B226",  # kReading tshi5
    "\U1B227",  # kSrc_NushuDuben 45.10
    "\U1B227",  # kReading tshi5
    "\U1B228",  # kSrc_NushuDuben 45.11
    "\U1B228",  # kReading si44
    "\U1B229",  # kSrc_NushuDuben 45.12
    "\U1B229",  # kReading fu33
    "\U1B22A",  # kSrc_NushuDuben 45.14
    "\U1B22A",  # kReading ngu13
    "\U1B22B",  # kSrc_NushuDuben 45.16
    "\U1B22B",  # kReading tchyu21
    "\U1B22C",  # kSrc_NushuDuben 45.15
    "\U1B22C",  # kReading cyu44
    "\U1B22D",  # kSrc_NushuDuben 45.17
    "\U1B22D",  # kReading phw21
    "\U1B22E",  # kSrc_NushuDuben 45.18
    "\U1B22E",  # kReading fai42
    "\U1B22F",  # kSrc_NushuDuben 45.19
    "\U1B22F",  # kReading tsai13
    "\U1B230",  # kSrc_NushuDuben 45.20
    "\U1B230",  # kReading lou42
    "\U1B231",  # kSrc_NushuDuben 45.23
    "\U1B231",  # kReading tsou5
    "\U1B232",  # kSrc_NushuDuben 45.21
    "\U1B232",  # kReading piou44
    "\U1B233",  # kSrc_NushuDuben 45.22
    "\U1B233",  # kReading miou13
    "\U1B234",  # kSrc_NushuDuben 45.24
    "\U1B234",  # kReading tchiou21
    "\U1B235",  # kSrc_NushuDuben 45.25
    "\U1B235",  # kReading njiou33
    "\U1B236",  # kSrc_NushuDuben 45.26
    "\U1B236",  # kReading iou13
    "\U1B237",  # kSrc_NushuDuben 46.01
    "\U1B237",  # kReading nuow42
    "\U1B238",  # kSrc_NushuDuben 45.28
    "\U1B238",  # kReading kuow44
    "\U1B239",  # kSrc_NushuDuben 45.27
    "\U1B239",  # kReading huow21
    "\U1B23A",  # kSrc_NushuDuben 46.03
    "\U1B23A",  # kReading pang44
    "\U1B23B",  # kSrc_NushuDuben 46.05
    "\U1B23B",  # kReading ang21
    "\U1B23C",  # kSrc_NushuDuben 46.08
    "\U1B23C",  # kReading tsiang44
    "\U1B23D",  # kSrc_NushuDuben 46.07
    "\U1B23D",  # kReading tsiang42
    "\U1B23E",  # kSrc_NushuDuben 46.02
    "\U1B23E",  # kReading ciang42
    "\U1B23F",  # kSrc_NushuDuben 46.09
    "\U1B23F",  # kReading iang42
    "\U1B240",  # kSrc_NushuDuben 46.12
    "\U1B240",  # kReading liong42
    "\U1B241",  # kSrc_NushuDuben 46.10
    "\U1B241",  # kReading tshiong35
    "\U1B242",  # kSrc_NushuDuben 46.11
    "\U1B242",  # kReading ciong44
    "\U1B243",  # kSrc_NushuDuben 46.13
    "\U1B243",  # kReading cing35
    "\U1B244",  # kSrc_NushuDuben 46.15
    "\U1B244",  # kReading la13
    "\U1B245",  # kSrc_NushuDuben 46.16
    "\U1B245",  # kReading cya42
    "\U1B246",  # kSrc_NushuDuben 46.17
    "\U1B246",  # kReading poe42
    "\U1B247",  # kSrc_NushuDuben 46.19
    "\U1B247",  # kReading thoe44
    "\U1B248",  # kSrc_NushuDuben 46.18
    "\U1B248",  # kReading noe33
    "\U1B249",  # kSrc_NushuDuben 49.16
    "\U1B249",  # kReading tshoe44
    "\U1B24A",  # kSrc_NushuDuben 46.20
    "\U1B24A",  # kReading kue44
    "\U1B24B",  # kSrc_NushuDuben 46.21
    "\U1B24B",  # kReading kue35
    "\U1B24C",  # kSrc_NushuDuben 46.22
    "\U1B24C",  # kReading kue21
    "\U1B24D",  # kSrc_NushuDuben 47.01
    "\U1B24D",  # kReading ye42
    "\U1B24E",  # kSrc_NushuDuben 47.02
    "\U1B24E",  # kReading pwe35
    "\U1B24F",  # kSrc_NushuDuben 47.03
    "\U1B24F",  # kReading vwe35
    "\U1B250",  # kSrc_NushuDuben 47.05
    "\U1B250",  # kReading thi5
    "\U1B251",  # kSrc_NushuDuben 47.07
    "\U1B251",  # kReading tsi42
    "\U1B252",  # kSrc_NushuDuben 47.06
    "\U1B252",  # kReading tsi42
    "\U1B253",  # kSrc_NushuDuben 47.08
    "\U1B253",  # kReading tci21
    "\U1B254",  # kSrc_NushuDuben 47.09
    "\U1B254",  # kReading tci21
    "\U1B255",  # kSrc_NushuDuben 47.10
    "\U1B255",  # kReading tshiu21
    "\U1B256",  # kSrc_NushuDuben 47.11
    "\U1B256",  # kReading pu33
    "\U1B257",  # kSrc_NushuDuben 47.13
    "\U1B257",  # kReading tsu42
    "\U1B258",  # kSrc_NushuDuben 47.14
    "\U1B258",  # kReading ku21
    "\U1B259",  # kSrc_NushuDuben 48.01
    "\U1B259",  # kReading tcyu44
    "\U1B25A",  # kSrc_NushuDuben 48.02
    "\U1B25A",  # kReading njyu33
    "\U1B25B",  # kSrc_NushuDuben 48.03
    "\U1B25B",  # kReading tchy35
    "\U1B25C",  # kSrc_NushuDuben 48.04
    "\U1B25C",  # kReading pw5
    "\U1B25D",  # kSrc_NushuDuben 48.05
    "\U1B25D",  # kReading hw35
    "\U1B25E",  # kSrc_NushuDuben 48.06
    "\U1B25E",  # kReading phai35
    "\U1B25F",  # kSrc_NushuDuben 48.07
    "\U1B25F",  # kReading mai33
    "\U1B260",  # kSrc_NushuDuben 48.08
    "\U1B260",  # kReading lai35
    "\U1B261",  # kSrc_NushuDuben 48.09
    "\U1B261",  # kReading sai21
    "\U1B262",  # kSrc_NushuDuben 48.10
    "\U1B262",  # kReading hai42
    "\U1B263",  # kSrc_NushuDuben 48.12
    "\U1B263",  # kReading mau33
    "\U1B264",  # kSrc_NushuDuben 48.11
    "\U1B264",  # kReading tshau35
    "\U1B265",  # kSrc_NushuDuben 51.03
    "\U1B265",  # kReading hau33
    "\U1B266",  # kSrc_NushuDuben 48.13
    "\U1B266",  # kReading kou5
    "\U1B267",  # kSrc_NushuDuben 51.05
    "\U1B267",  # kReading ou44
    "\U1B268",  # kSrc_NushuDuben 48.14
    "\U1B268",  # kReading tsiou33
    "\U1B269",  # kSrc_NushuDuben 48.15
    "\U1B269",  # kReading tshiou44
    "\U1B26A",  # kSrc_NushuDuben 48.16
    "\U1B26A",  # kReading siou44
    "\U1B26B",  # kSrc_NushuDuben 48.17
    "\U1B26B",  # kReading tciou5
    "\U1B26C",  # kSrc_NushuDuben 48.19
    "\U1B26C",  # kReading ciou13
    "\U1B26D",  # kSrc_NushuDuben 48.20
    "\U1B26D",  # kReading thuow44
    "\U1B26E",  # kSrc_NushuDuben 48.21
    "\U1B26E",  # kReading fang13
    "\U1B26F",  # kSrc_NushuDuben 48.22
    "\U1B26F",  # kReading vang5
    "\U1B270",  # kSrc_NushuDuben 49.01
    "\U1B270",  # kReading lang44
    "\U1B271",  # kSrc_NushuDuben 49.02
    "\U1B271",  # kReading tshang44
    "\U1B272",  # kSrc_NushuDuben 49.04
    "\U1B272",  # kReading khang44
    "\U1B273",  # kSrc_NushuDuben 49.03
    "\U1B273",  # kReading khang5
    "\U1B274",  # kSrc_NushuDuben 49.05
    "\U1B274",  # kReading liang42
    "\U1B275",  # kSrc_NushuDuben 46.06
    "\U1B275",  # kReading siang44
    "\U1B276",  # kSrc_NushuDuben 49.06
    "\U1B276",  # kReading ciang44
    "\U1B277",  # kSrc_NushuDuben 51.17
    "\U1B277",  # kReading ciang35
    "\U1B278",  # kSrc_NushuDuben 49.07
    "\U1B278",  # kReading neng35
    "\U1B279",  # kSrc_NushuDuben 49.08
    "\U1B279",  # kReading leng42
    "\U1B27A",  # kSrc_NushuDuben 49.09
    "\U1B27A",  # kReading nong42
    "\U1B27B",  # kSrc_NushuDuben 49.10
    "\U1B27B",  # kReading long35
    "\U1B27C",  # kSrc_NushuDuben 49.11
    "\U1B27C",  # kReading liong13
    "\U1B27D",  # kSrc_NushuDuben 49.12
    "\U1B27D",  # kReading tsiong13
    "\U1B27E",  # kSrc_NushuDuben 49.14
    "\U1B27E",  # kReading siong44
    "\U1B27F",  # kSrc_NushuDuben 49.15
    "\U1B27F",  # kReading tcing44
    "\U1B280",  # kSrc_NushuDuben 49.17
    "\U1B280",  # kReading tcing44
    "\U1B281",  # kSrc_NushuDuben 49.18
    "\U1B281",  # kReading cing42
    "\U1B282",  # kSrc_NushuDuben 49.19
    "\U1B282",  # kReading ing21
    "\U1B283",  # kSrc_NushuDuben 49.20
    "\U1B283",  # kReading ng44
    "\U1B284",  # kSrc_NushuDuben 49.21
    "\U1B284",  # kReading va42
    "\U1B285",  # kSrc_NushuDuben 49.22
    "\U1B285",  # kReading sa35
    "\U1B286",  # kSrc_NushuDuben 50.01
    "\U1B286",  # kReading lie42
    "\U1B287",  # kSrc_NushuDuben 50.02
    "\U1B287",  # kReading tshie21
    "\U1B288",  # kSrc_NushuDuben 50.03
    "\U1B288",  # kReading sie5
    "\U1B289",  # kSrc_NushuDuben 50.04
    "\U1B289",  # kReading ie13
    "\U1B28A",  # kSrc_NushuDuben 50.05
    "\U1B28A",  # kReading moe13
    "\U1B28B",  # kSrc_NushuDuben 50.06
    "\U1B28B",  # kReading loe21
    "\U1B28C",  # kSrc_NushuDuben 50.07
    "\U1B28C",  # kReading tchye44
    "\U1B28D",  # kSrc_NushuDuben 47.04
    "\U1B28D",  # kReading cye44
    "\U1B28E",  # kSrc_NushuDuben 50.08
    "\U1B28E",  # kReading pi33
    "\U1B28F",  # kSrc_NushuDuben 50.09
    "\U1B28F",  # kReading ti44
    "\U1B290",  # kSrc_NushuDuben 50.10
    "\U1B290",  # kReading tci5
    "\U1B291",  # kSrc_NushuDuben 50.20
    "\U1B291",  # kReading tsiu44
    "\U1B292",  # kSrc_NushuDuben 47.12
    "\U1B292",  # kReading pu5
    "\U1B293",  # kSrc_NushuDuben 50.11
    "\U1B293",  # kReading fu21
    "\U1B294",  # kSrc_NushuDuben 50.12
    "\U1B294",  # kReading thu35
    "\U1B295",  # kSrc_NushuDuben 50.13
    "\U1B295",  # kReading hu42
    "\U1B296",  # kSrc_NushuDuben 50.14
    "\U1B296",  # kReading tcy13
    "\U1B297",  # kSrc_NushuDuben 50.15
    "\U1B297",  # kReading cy5
    "\U1B298",  # kSrc_NushuDuben 50.16
    "\U1B298",  # kReading pw42
    "\U1B299",  # kSrc_NushuDuben 50.17
    "\U1B299",  # kReading khw5
    "\U1B29A",  # kSrc_NushuDuben 50.18
    "\U1B29A",  # kReading lai44
    "\U1B29B",  # kSrc_NushuDuben 50.19
    "\U1B29B",  # kReading sai44
    "\U1B29C",  # kSrc_NushuDuben 51.02
    "\U1B29C",  # kReading sau35
    "\U1B29D",  # kSrc_NushuDuben 51.01
    "\U1B29D",  # kReading tsou42
    "\U1B29E",  # kSrc_NushuDuben 51.04
    "\U1B29E",  # kReading ngou42
    "\U1B29F",  # kSrc_NushuDuben 51.06
    "\U1B29F",  # kReading tsiou33
    "\U1B2A0",  # kSrc_NushuDuben 51.08
    "\U1B2A0",  # kReading njiou13
    "\U1B2A1",  # kSrc_NushuDuben 51.07
    "\U1B2A1",  # kReading ciou5
    "\U1B2A2",  # kSrc_NushuDuben 48.18
    "\U1B2A2",  # kReading iou42
    "\U1B2A3",  # kSrc_NushuDuben 51.09
    "\U1B2A3",  # kReading yn44
    "\U1B2A4",  # kSrc_NushuDuben 51.10
    "\U1B2A4",  # kReading tang42
    "\U1B2A5",  # kSrc_NushuDuben 46.04
    "\U1B2A5",  # kReading lang42
    "\U1B2A6",  # kSrc_NushuDuben 51.14
    "\U1B2A6",  # kReading kang35
    "\U1B2A7",  # kSrc_NushuDuben 51.11
    "\U1B2A7",  # kReading hang44
    "\U1B2A8",  # kSrc_NushuDuben 51.12
    "\U1B2A8",  # kReading hang42
    "\U1B2A9",  # kSrc_NushuDuben 51.13
    "\U1B2A9",  # kReading siang35
    "\U1B2AA",  # kSrc_NushuDuben 51.15
    "\U1B2AA",  # kReading tciang13
    "\U1B2AB",  # kSrc_NushuDuben 51.16
    "\U1B2AB",  # kReading iang44
    "\U1B2AC",  # kSrc_NushuDuben 51.18
    "\U1B2AC",  # kReading meng42
    "\U1B2AD",  # kSrc_NushuDuben 49.13
    "\U1B2AD",  # kReading tsiong42
    "\U1B2AE",  # kSrc_NushuDuben 51.19
    "\U1B2AE",  # kReading siong21
    "\U1B2AF",  # kSrc_NushuDuben 52.01
    "\U1B2AF",  # kReading tchiong44
    "\U1B2B0",  # kSrc_NushuDuben 52.02
    "\U1B2B0",  # kReading pa33
    "\U1B2B1",  # kSrc_NushuDuben 53.15
    "\U1B2B1",  # kReading tshie5
    "\U1B2B2",  # kSrc_NushuDuben 52.03
    "\U1B2B2",  # kReading sie5
    "\U1B2B3",  # kSrc_NushuDuben 52.04
    "\U1B2B3",  # kReading tsoe44
    "\U1B2B4",  # kSrc_NushuDuben 52.05
    "\U1B2B4",  # kReading koe35
    "\U1B2B5",  # kSrc_NushuDuben 52.06
    "\U1B2B5",  # kReading tcye44
    "\U1B2B6",  # kSrc_NushuDuben 52.07
    "\U1B2B6",  # kReading tcye42
    "\U1B2B7",  # kSrc_NushuDuben 52.08
    "\U1B2B7",  # kReading pwe35
    "\U1B2B8",  # kSrc_NushuDuben 52.09
    "\U1B2B8",  # kReading swe44
    "\U1B2B9",  # kSrc_NushuDuben 52.10
    "\U1B2B9",  # kReading ti42
    "\U1B2BA",  # kSrc_NushuDuben 52.11
    "\U1B2BA",  # kReading i42
    "\U1B2BB",  # kSrc_NushuDuben 53.01
    "\U1B2BB",  # kReading tciu42
    "\U1B2BC",  # kSrc_NushuDuben 53.02
    "\U1B2BC",  # kReading ciu44
    "\U1B2BD",  # kSrc_NushuDuben 52.12
    "\U1B2BD",  # kReading tsu35
    "\U1B2BE",  # kSrc_NushuDuben 52.13
    "\U1B2BE",  # kReading tshu35
    "\U1B2BF",  # kSrc_NushuDuben 52.14
    "\U1B2BF",  # kReading ku44
    "\U1B2C0",  # kSrc_NushuDuben 52.15
    "\U1B2C0",  # kReading lw5
    "\U1B2C1",  # kSrc_NushuDuben 52.16
    "\U1B2C1",  # kReading mai42
    "\U1B2C2",  # kSrc_NushuDuben 52.17
    "\U1B2C2",  # kReading kau44
    "\U1B2C3",  # kSrc_NushuDuben 52.18
    "\U1B2C3",  # kReading thou21
    "\U1B2C4",  # kSrc_NushuDuben 53.08
    "\U1B2C4",  # kReading hou33
    "\U1B2C5",  # kSrc_NushuDuben 53.05
    "\U1B2C5",  # kReading pang42
    "\U1B2C6",  # kSrc_NushuDuben 53.09
    "\U1B2C6",  # kReading fang44
    "\U1B2C7",  # kSrc_NushuDuben 53.06
    "\U1B2C7",  # kReading tang13
    "\U1B2C8",  # kSrc_NushuDuben 53.03
    "\U1B2C8",  # kReading lang33
    "\U1B2C9",  # kSrc_NushuDuben 53.04
    "\U1B2C9",  # kReading meng33
    "\U1B2CA",  # kSrc_NushuDuben 53.07
    "\U1B2CA",  # kReading teng42
    "\U1B2CB",  # kSrc_NushuDuben 53.10
    "\U1B2CB",  # kReading tseng42
    "\U1B2CC",  # kSrc_NushuDuben 53.11
    "\U1B2CC",  # kReading cing13
    "\U1B2CD",  # kSrc_NushuDuben 53.12
    "\U1B2CD",  # kReading ing42
    "\U1B2CE",  # kSrc_NushuDuben 53.13
    "\U1B2CE",  # kReading tsa33
    "\U1B2CF",  # kSrc_NushuDuben 53.16
    "\U1B2CF",  # kReading tsie21
    "\U1B2D0",  # kSrc_NushuDuben 54.01
    "\U1B2D0",  # kReading cie21
    "\U1B2D1",  # kSrc_NushuDuben 53.14
    "\U1B2D1",  # kReading moe42
    "\U1B2D2",  # kSrc_NushuDuben 54.03
    "\U1B2D2",  # kReading li35
    "\U1B2D3",  # kSrc_NushuDuben 54.10
    "\U1B2D3",  # kReading tsi5
    "\U1B2D4",  # kSrc_NushuDuben 54.02
    "\U1B2D4",  # kReading tci44
    "\U1B2D5",  # kSrc_NushuDuben 54.04
    "\U1B2D5",  # kReading i35
    "\U1B2D6",  # kSrc_NushuDuben 54.05
    "\U1B2D6",  # kReading mu33
    "\U1B2D7",  # kSrc_NushuDuben 54.07
    "\U1B2D7",  # kReading lu21
    "\U1B2D8",  # kSrc_NushuDuben 54.08
    "\U1B2D8",  # kReading hu42
    "\U1B2D9",  # kSrc_NushuDuben 54.12
    "\U1B2D9",  # kReading cyu33
    "\U1B2DA",  # kSrc_NushuDuben 54.11
    "\U1B2DA",  # kReading hw5
    "\U1B2DB",  # kSrc_NushuDuben 54.09
    "\U1B2DB",  # kReading tau13
    "\U1B2DC",  # kSrc_NushuDuben 54.13
    "\U1B2DC",  # kReading siou21
    "\U1B2DD",  # kSrc_NushuDuben 54.15
    "\U1B2DD",  # kReading lew33
    "\U1B2DE",  # kSrc_NushuDuben 54.14
    "\U1B2DE",  # kReading tshew5
    "\U1B2DF",  # kSrc_NushuDuben 54.16
    "\U1B2DF",  # kReading yn13
    "\U1B2E0",  # kSrc_NushuDuben 54.17
    "\U1B2E0",  # kReading tong13
    "\U1B2E1",  # kSrc_NushuDuben 54.18
    "\U1B2E1",  # kReading ie35
    "\U1B2E2",  # kSrc_NushuDuben 54.19
    "\U1B2E2",  # kReading voe5
    "\U1B2E3",  # kSrc_NushuDuben 55.01
    "\U1B2E3",  # kReading tswe21
    "\U1B2E4",  # kSrc_NushuDuben 55.02
    "\U1B2E4",  # kReading i21
    "\U1B2E5",  # kSrc_NushuDuben 55.03
    "\U1B2E5",  # kReading tu33
    "\U1B2E6",  # kSrc_NushuDuben 54.06
    "\U1B2E6",  # kReading lu35
    "\U1B2E7",  # kSrc_NushuDuben 55.04
    "\U1B2E7",  # kReading lou33
    "\U1B2E8",  # kSrc_NushuDuben 55.10
    "\U1B2E8",  # kReading tsou42
    "\U1B2E9",  # kSrc_NushuDuben 55.05
    "\U1B2E9",  # kReading tsuow44
    "\U1B2EA",  # kSrc_NushuDuben 55.06
    "\U1B2EA",  # kReading mang13
    "\U1B2EB",  # kSrc_NushuDuben 55.09
    "\U1B2EB",  # kReading tciant44
    "\U1B2EC",  # kSrc_NushuDuben 55.07
    "\U1B2EC",  # kReading tschiang21
    "\U1B2ED",  # kSrc_NushuDuben 55.08
    "\U1B2ED",  # kReading tciong44
    "\U1B2EE",  # kSrc_NushuDuben 55.11
    "\U1B2EE",  # kReading tsie33
    "\U1B2EF",  # kSrc_NushuDuben 55.12
    "\U1B2EF",  # kReading moe33
    "\U1B2F0",  # kSrc_NushuDuben 55.14
    "\U1B2F0",  # kReading ku44
    "\U1B2F1",  # kSrc_NushuDuben 55.15
    "\U1B2F1",  # kReading cyu35
    "\U1B2F2",  # kSrc_NushuDuben 55.13
    "\U1B2F2",  # kReading pw21
    "\U1B2F3",  # kSrc_NushuDuben 55.16
    "\U1B2F3",  # kReading tsiang42
    "\U1B2F4",  # kSrc_NushuDuben 55.17
    "\U1B2F4",  # kReading tshai44
    "\U1B2F5",  # kSrc_NushuDuben 55.18
    "\U1B2F5",  # kReading nguow13
    "\U1B2F6",  # kSrc_NushuDuben 55.19
    "\U1B2F6",  # kReading nong44
    "\U1B2F7",  # kSrc_NushuDuben 56.01
    "\U1B2F7",  # kReading fu5
    "\U1B2F8",  # kSrc_NushuDuben 56.02
    "\U1B2F8",  # kReading ku5
    "\U1B2F9",  # kSrc_NushuDuben 56.03
    "\U1B2F9",  # kReading fang33
    "\U1B2FA",  # kSrc_NushuDuben 56.04
    "\U1B2FA",  # kReading tcye21
    "\U1B2FB",  # kSrc_NushuDuben 56.05
    "\U1B2FB",  # kReading fi21
    ]
    test_data.each do |string|
      assert @validator.valid_encoding?(string), "U10_NushuSources: #{string}"
      assert string.force_encoding("UTF-8").valid_encoding?, "U10_NushuSources: #{string}" if @vercheck
    end
  end

end
