# encoding: utf-8
#
# This file is machine generated.  DO NOT EDIT!
#
if Kernel.respond_to?(:require_relative)
  require_relative("./helper")
else
  $:.unshift(File.dirname(__FILE__))
  require 'helper'
end
#
# == Purpose
#
# Tests for the #{UTF8::Validator} implementation.
#
# Test data pulled and generated from:
#
# https://www.unicode.org/Public/10.0.0/ucd/
#
class TestUnicode10SpecialCasing < Test::Unit::TestCase
  #
  def setup
    @validator = UTF8::Validator.new
    @vercheck = ((RUBY_VERSION =~ /1.9/) or (RUBY_VERSION =~ /2./)) ? true : false
  end

  #
  def teardown
    @validator = nil
  end

  def test_unicode10_SpecialCasing
    test_data = [
        "\u00DF",  # LATIN SMALL LETTER SHARP S
        "\u00DF",  # LATIN SMALL LETTER SHARP S
        "\u0130",  # LATIN CAPITAL LETTER I WITH DOT ABOVE
        "\u0130",  # LATIN CAPITAL LETTER I WITH DOT ABOVE
        "\u0130",  # LATIN CAPITAL LETTER I WITH DOT ABOVE
        "\uFB00",  # LATIN SMALL LIGATURE FF
        "\uFB00",  # LATIN SMALL LIGATURE FF
        "\uFB01",  # LATIN SMALL LIGATURE FI
        "\uFB01",  # LATIN SMALL LIGATURE FI
        "\uFB02",  # LATIN SMALL LIGATURE FL
        "\uFB02",  # LATIN SMALL LIGATURE FL
        "\uFB03",  # LATIN SMALL LIGATURE FFI
        "\uFB03",  # LATIN SMALL LIGATURE FFI
        "\uFB04",  # LATIN SMALL LIGATURE FFL
        "\uFB04",  # LATIN SMALL LIGATURE FFL
        "\uFB05",  # LATIN SMALL LIGATURE LONG S T
        "\uFB05",  # LATIN SMALL LIGATURE LONG S T
        "\uFB06",  # LATIN SMALL LIGATURE ST
        "\uFB06",  # LATIN SMALL LIGATURE ST
        "\u0587",  # ARMENIAN SMALL LIGATURE ECH YIWN
        "\u0587",  # ARMENIAN SMALL LIGATURE ECH YIWN
        "\uFB13",  # ARMENIAN SMALL LIGATURE MEN NOW
        "\uFB13",  # ARMENIAN SMALL LIGATURE MEN NOW
        "\uFB14",  # ARMENIAN SMALL LIGATURE MEN ECH
        "\uFB14",  # ARMENIAN SMALL LIGATURE MEN ECH
        "\uFB15",  # ARMENIAN SMALL LIGATURE MEN INI
        "\uFB15",  # ARMENIAN SMALL LIGATURE MEN INI
        "\uFB16",  # ARMENIAN SMALL LIGATURE VEW NOW
        "\uFB16",  # ARMENIAN SMALL LIGATURE VEW NOW
        "\uFB17",  # ARMENIAN SMALL LIGATURE MEN XEH
        "\uFB17",  # ARMENIAN SMALL LIGATURE MEN XEH
        "\u0149",  # LATIN SMALL LETTER N PRECEDED BY APOSTROPHE
        "\u0149",  # LATIN SMALL LETTER N PRECEDED BY APOSTROPHE
        "\u0390",  # GREEK SMALL LETTER IOTA WITH DIALYTIKA AND TONOS
        "\u0390",  # GREEK SMALL LETTER IOTA WITH DIALYTIKA AND TONOS
        "\u03B0",  # GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND TONOS
        "\u03B0",  # GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND TONOS
        "\u01F0",  # LATIN SMALL LETTER J WITH CARON
        "\u01F0",  # LATIN SMALL LETTER J WITH CARON
        "\u1E96",  # LATIN SMALL LETTER H WITH LINE BELOW
        "\u1E96",  # LATIN SMALL LETTER H WITH LINE BELOW
        "\u1E97",  # LATIN SMALL LETTER T WITH DIAERESIS
        "\u1E97",  # LATIN SMALL LETTER T WITH DIAERESIS
        "\u1E98",  # LATIN SMALL LETTER W WITH RING ABOVE
        "\u1E98",  # LATIN SMALL LETTER W WITH RING ABOVE
        "\u1E99",  # LATIN SMALL LETTER Y WITH RING ABOVE
        "\u1E99",  # LATIN SMALL LETTER Y WITH RING ABOVE
        "\u1E9A",  # LATIN SMALL LETTER A WITH RIGHT HALF RING
        "\u1E9A",  # LATIN SMALL LETTER A WITH RIGHT HALF RING
        "\u1F50",  # GREEK SMALL LETTER UPSILON WITH PSILI
        "\u1F50",  # GREEK SMALL LETTER UPSILON WITH PSILI
        "\u1F52",  # GREEK SMALL LETTER UPSILON WITH PSILI AND VARIA
        "\u1F52",  # GREEK SMALL LETTER UPSILON WITH PSILI AND VARIA
        "\u1F54",  # GREEK SMALL LETTER UPSILON WITH PSILI AND OXIA
        "\u1F54",  # GREEK SMALL LETTER UPSILON WITH PSILI AND OXIA
        "\u1F56",  # GREEK SMALL LETTER UPSILON WITH PSILI AND PERISPOMENI
        "\u1F56",  # GREEK SMALL LETTER UPSILON WITH PSILI AND PERISPOMENI
        "\u1FB6",  # GREEK SMALL LETTER ALPHA WITH PERISPOMENI
        "\u1FB6",  # GREEK SMALL LETTER ALPHA WITH PERISPOMENI
        "\u1FC6",  # GREEK SMALL LETTER ETA WITH PERISPOMENI
        "\u1FC6",  # GREEK SMALL LETTER ETA WITH PERISPOMENI
        "\u1FD2",  # GREEK SMALL LETTER IOTA WITH DIALYTIKA AND VARIA
        "\u1FD2",  # GREEK SMALL LETTER IOTA WITH DIALYTIKA AND VARIA
        "\u1FD3",  # GREEK SMALL LETTER IOTA WITH DIALYTIKA AND OXIA
        "\u1FD3",  # GREEK SMALL LETTER IOTA WITH DIALYTIKA AND OXIA
        "\u1FD6",  # GREEK SMALL LETTER IOTA WITH PERISPOMENI
        "\u1FD6",  # GREEK SMALL LETTER IOTA WITH PERISPOMENI
        "\u1FD7",  # GREEK SMALL LETTER IOTA WITH DIALYTIKA AND PERISPOMENI
        "\u1FD7",  # GREEK SMALL LETTER IOTA WITH DIALYTIKA AND PERISPOMENI
        "\u1FE2",  # GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND VARIA
        "\u1FE2",  # GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND VARIA
        "\u1FE3",  # GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND OXIA
        "\u1FE3",  # GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND OXIA
        "\u1FE4",  # GREEK SMALL LETTER RHO WITH PSILI
        "\u1FE4",  # GREEK SMALL LETTER RHO WITH PSILI
        "\u1FE6",  # GREEK SMALL LETTER UPSILON WITH PERISPOMENI
        "\u1FE6",  # GREEK SMALL LETTER UPSILON WITH PERISPOMENI
        "\u1FE7",  # GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND PERISPOMENI
        "\u1FE7",  # GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND PERISPOMENI
        "\u1FF6",  # GREEK SMALL LETTER OMEGA WITH PERISPOMENI
        "\u1FF6",  # GREEK SMALL LETTER OMEGA WITH PERISPOMENI
        "\u1F80",  # GREEK SMALL LETTER ALPHA WITH PSILI AND YPOGEGRAMMENI
        "\u1F80",  # GREEK SMALL LETTER ALPHA WITH PSILI AND YPOGEGRAMMENI
        "\u1F88",  # GREEK SMALL LETTER ALPHA WITH PSILI AND YPOGEGRAMMENI
        "\u1F81",  # GREEK SMALL LETTER ALPHA WITH DASIA AND YPOGEGRAMMENI
        "\u1F81",  # GREEK SMALL LETTER ALPHA WITH DASIA AND YPOGEGRAMMENI
        "\u1F89",  # GREEK SMALL LETTER ALPHA WITH DASIA AND YPOGEGRAMMENI
        "\u1F82",  # GREEK SMALL LETTER ALPHA WITH PSILI AND VARIA AND YPOGEGRAMMENI
        "\u1F82",  # GREEK SMALL LETTER ALPHA WITH PSILI AND VARIA AND YPOGEGRAMMENI
        "\u1F8A",  # GREEK SMALL LETTER ALPHA WITH PSILI AND VARIA AND YPOGEGRAMMENI
        "\u1F83",  # GREEK SMALL LETTER ALPHA WITH DASIA AND VARIA AND YPOGEGRAMMENI
        "\u1F83",  # GREEK SMALL LETTER ALPHA WITH DASIA AND VARIA AND YPOGEGRAMMENI
        "\u1F8B",  # GREEK SMALL LETTER ALPHA WITH DASIA AND VARIA AND YPOGEGRAMMENI
        "\u1F84",  # GREEK SMALL LETTER ALPHA WITH PSILI AND OXIA AND YPOGEGRAMMENI
        "\u1F84",  # GREEK SMALL LETTER ALPHA WITH PSILI AND OXIA AND YPOGEGRAMMENI
        "\u1F8C",  # GREEK SMALL LETTER ALPHA WITH PSILI AND OXIA AND YPOGEGRAMMENI
        "\u1F85",  # GREEK SMALL LETTER ALPHA WITH DASIA AND OXIA AND YPOGEGRAMMENI
        "\u1F85",  # GREEK SMALL LETTER ALPHA WITH DASIA AND OXIA AND YPOGEGRAMMENI
        "\u1F8D",  # GREEK SMALL LETTER ALPHA WITH DASIA AND OXIA AND YPOGEGRAMMENI
        "\u1F86",  # GREEK SMALL LETTER ALPHA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI
        "\u1F86",  # GREEK SMALL LETTER ALPHA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI
        "\u1F8E",  # GREEK SMALL LETTER ALPHA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI
        "\u1F87",  # GREEK SMALL LETTER ALPHA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI
        "\u1F87",  # GREEK SMALL LETTER ALPHA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI
        "\u1F8F",  # GREEK SMALL LETTER ALPHA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI
        "\u1F88",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND PROSGEGRAMMENI
        "\u1F80",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND PROSGEGRAMMENI
        "\u1F88",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND PROSGEGRAMMENI
        "\u1F89",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND PROSGEGRAMMENI
        "\u1F81",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND PROSGEGRAMMENI
        "\u1F89",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND PROSGEGRAMMENI
        "\u1F8A",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA AND PROSGEGRAMMENI
        "\u1F82",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA AND PROSGEGRAMMENI
        "\u1F8A",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA AND PROSGEGRAMMENI
        "\u1F8B",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA AND PROSGEGRAMMENI
        "\u1F83",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA AND PROSGEGRAMMENI
        "\u1F8B",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA AND PROSGEGRAMMENI
        "\u1F8C",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA AND PROSGEGRAMMENI
        "\u1F84",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA AND PROSGEGRAMMENI
        "\u1F8C",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA AND PROSGEGRAMMENI
        "\u1F8D",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA AND PROSGEGRAMMENI
        "\u1F85",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA AND PROSGEGRAMMENI
        "\u1F8D",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA AND PROSGEGRAMMENI
        "\u1F8E",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI
        "\u1F86",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI
        "\u1F8E",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI
        "\u1F8F",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI
        "\u1F87",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI
        "\u1F8F",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI
        "\u1F90",  # GREEK SMALL LETTER ETA WITH PSILI AND YPOGEGRAMMENI
        "\u1F90",  # GREEK SMALL LETTER ETA WITH PSILI AND YPOGEGRAMMENI
        "\u1F98",  # GREEK SMALL LETTER ETA WITH PSILI AND YPOGEGRAMMENI
        "\u1F91",  # GREEK SMALL LETTER ETA WITH DASIA AND YPOGEGRAMMENI
        "\u1F91",  # GREEK SMALL LETTER ETA WITH DASIA AND YPOGEGRAMMENI
        "\u1F99",  # GREEK SMALL LETTER ETA WITH DASIA AND YPOGEGRAMMENI
        "\u1F92",  # GREEK SMALL LETTER ETA WITH PSILI AND VARIA AND YPOGEGRAMMENI
        "\u1F92",  # GREEK SMALL LETTER ETA WITH PSILI AND VARIA AND YPOGEGRAMMENI
        "\u1F9A",  # GREEK SMALL LETTER ETA WITH PSILI AND VARIA AND YPOGEGRAMMENI
        "\u1F93",  # GREEK SMALL LETTER ETA WITH DASIA AND VARIA AND YPOGEGRAMMENI
        "\u1F93",  # GREEK SMALL LETTER ETA WITH DASIA AND VARIA AND YPOGEGRAMMENI
        "\u1F9B",  # GREEK SMALL LETTER ETA WITH DASIA AND VARIA AND YPOGEGRAMMENI
        "\u1F94",  # GREEK SMALL LETTER ETA WITH PSILI AND OXIA AND YPOGEGRAMMENI
        "\u1F94",  # GREEK SMALL LETTER ETA WITH PSILI AND OXIA AND YPOGEGRAMMENI
        "\u1F9C",  # GREEK SMALL LETTER ETA WITH PSILI AND OXIA AND YPOGEGRAMMENI
        "\u1F95",  # GREEK SMALL LETTER ETA WITH DASIA AND OXIA AND YPOGEGRAMMENI
        "\u1F95",  # GREEK SMALL LETTER ETA WITH DASIA AND OXIA AND YPOGEGRAMMENI
        "\u1F9D",  # GREEK SMALL LETTER ETA WITH DASIA AND OXIA AND YPOGEGRAMMENI
        "\u1F96",  # GREEK SMALL LETTER ETA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI
        "\u1F96",  # GREEK SMALL LETTER ETA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI
        "\u1F9E",  # GREEK SMALL LETTER ETA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI
        "\u1F97",  # GREEK SMALL LETTER ETA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI
        "\u1F97",  # GREEK SMALL LETTER ETA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI
        "\u1F9F",  # GREEK SMALL LETTER ETA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI
        "\u1F98",  # GREEK CAPITAL LETTER ETA WITH PSILI AND PROSGEGRAMMENI
        "\u1F90",  # GREEK CAPITAL LETTER ETA WITH PSILI AND PROSGEGRAMMENI
        "\u1F98",  # GREEK CAPITAL LETTER ETA WITH PSILI AND PROSGEGRAMMENI
        "\u1F99",  # GREEK CAPITAL LETTER ETA WITH DASIA AND PROSGEGRAMMENI
        "\u1F91",  # GREEK CAPITAL LETTER ETA WITH DASIA AND PROSGEGRAMMENI
        "\u1F99",  # GREEK CAPITAL LETTER ETA WITH DASIA AND PROSGEGRAMMENI
        "\u1F9A",  # GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI
        "\u1F92",  # GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI
        "\u1F9A",  # GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI
        "\u1F9B",  # GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI
        "\u1F93",  # GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI
        "\u1F9B",  # GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI
        "\u1F9C",  # GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI
        "\u1F94",  # GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI
        "\u1F9C",  # GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI
        "\u1F9D",  # GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI
        "\u1F95",  # GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI
        "\u1F9D",  # GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI
        "\u1F9E",  # GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI
        "\u1F96",  # GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI
        "\u1F9E",  # GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI
        "\u1F9F",  # GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI
        "\u1F97",  # GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI
        "\u1F9F",  # GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI
        "\u1FA0",  # GREEK SMALL LETTER OMEGA WITH PSILI AND YPOGEGRAMMENI
        "\u1FA0",  # GREEK SMALL LETTER OMEGA WITH PSILI AND YPOGEGRAMMENI
        "\u1FA8",  # GREEK SMALL LETTER OMEGA WITH PSILI AND YPOGEGRAMMENI
        "\u1FA1",  # GREEK SMALL LETTER OMEGA WITH DASIA AND YPOGEGRAMMENI
        "\u1FA1",  # GREEK SMALL LETTER OMEGA WITH DASIA AND YPOGEGRAMMENI
        "\u1FA9",  # GREEK SMALL LETTER OMEGA WITH DASIA AND YPOGEGRAMMENI
        "\u1FA2",  # GREEK SMALL LETTER OMEGA WITH PSILI AND VARIA AND YPOGEGRAMMENI
        "\u1FA2",  # GREEK SMALL LETTER OMEGA WITH PSILI AND VARIA AND YPOGEGRAMMENI
        "\u1FAA",  # GREEK SMALL LETTER OMEGA WITH PSILI AND VARIA AND YPOGEGRAMMENI
        "\u1FA3",  # GREEK SMALL LETTER OMEGA WITH DASIA AND VARIA AND YPOGEGRAMMENI
        "\u1FA3",  # GREEK SMALL LETTER OMEGA WITH DASIA AND VARIA AND YPOGEGRAMMENI
        "\u1FAB",  # GREEK SMALL LETTER OMEGA WITH DASIA AND VARIA AND YPOGEGRAMMENI
        "\u1FA4",  # GREEK SMALL LETTER OMEGA WITH PSILI AND OXIA AND YPOGEGRAMMENI
        "\u1FA4",  # GREEK SMALL LETTER OMEGA WITH PSILI AND OXIA AND YPOGEGRAMMENI
        "\u1FAC",  # GREEK SMALL LETTER OMEGA WITH PSILI AND OXIA AND YPOGEGRAMMENI
        "\u1FA5",  # GREEK SMALL LETTER OMEGA WITH DASIA AND OXIA AND YPOGEGRAMMENI
        "\u1FA5",  # GREEK SMALL LETTER OMEGA WITH DASIA AND OXIA AND YPOGEGRAMMENI
        "\u1FAD",  # GREEK SMALL LETTER OMEGA WITH DASIA AND OXIA AND YPOGEGRAMMENI
        "\u1FA6",  # GREEK SMALL LETTER OMEGA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI
        "\u1FA6",  # GREEK SMALL LETTER OMEGA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI
        "\u1FAE",  # GREEK SMALL LETTER OMEGA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI
        "\u1FA7",  # GREEK SMALL LETTER OMEGA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI
        "\u1FA7",  # GREEK SMALL LETTER OMEGA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI
        "\u1FAF",  # GREEK SMALL LETTER OMEGA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI
        "\u1FA8",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND PROSGEGRAMMENI
        "\u1FA0",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND PROSGEGRAMMENI
        "\u1FA8",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND PROSGEGRAMMENI
        "\u1FA9",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND PROSGEGRAMMENI
        "\u1FA1",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND PROSGEGRAMMENI
        "\u1FA9",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND PROSGEGRAMMENI
        "\u1FAA",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA AND PROSGEGRAMMENI
        "\u1FA2",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA AND PROSGEGRAMMENI
        "\u1FAA",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA AND PROSGEGRAMMENI
        "\u1FAB",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA AND PROSGEGRAMMENI
        "\u1FA3",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA AND PROSGEGRAMMENI
        "\u1FAB",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA AND PROSGEGRAMMENI
        "\u1FAC",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA AND PROSGEGRAMMENI
        "\u1FA4",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA AND PROSGEGRAMMENI
        "\u1FAC",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA AND PROSGEGRAMMENI
        "\u1FAD",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA AND PROSGEGRAMMENI
        "\u1FA5",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA AND PROSGEGRAMMENI
        "\u1FAD",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA AND PROSGEGRAMMENI
        "\u1FAE",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI
        "\u1FA6",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI
        "\u1FAE",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI
        "\u1FAF",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI
        "\u1FA7",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI
        "\u1FAF",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI
        "\u1FB3",  # GREEK SMALL LETTER ALPHA WITH YPOGEGRAMMENI
        "\u1FB3",  # GREEK SMALL LETTER ALPHA WITH YPOGEGRAMMENI
        "\u1FBC",  # GREEK SMALL LETTER ALPHA WITH YPOGEGRAMMENI
        "\u1FBC",  # GREEK CAPITAL LETTER ALPHA WITH PROSGEGRAMMENI
        "\u1FB3",  # GREEK CAPITAL LETTER ALPHA WITH PROSGEGRAMMENI
        "\u1FBC",  # GREEK CAPITAL LETTER ALPHA WITH PROSGEGRAMMENI
        "\u1FC3",  # GREEK SMALL LETTER ETA WITH YPOGEGRAMMENI
        "\u1FC3",  # GREEK SMALL LETTER ETA WITH YPOGEGRAMMENI
        "\u1FCC",  # GREEK SMALL LETTER ETA WITH YPOGEGRAMMENI
        "\u1FCC",  # GREEK CAPITAL LETTER ETA WITH PROSGEGRAMMENI
        "\u1FC3",  # GREEK CAPITAL LETTER ETA WITH PROSGEGRAMMENI
        "\u1FCC",  # GREEK CAPITAL LETTER ETA WITH PROSGEGRAMMENI
        "\u1FF3",  # GREEK SMALL LETTER OMEGA WITH YPOGEGRAMMENI
        "\u1FF3",  # GREEK SMALL LETTER OMEGA WITH YPOGEGRAMMENI
        "\u1FFC",  # GREEK SMALL LETTER OMEGA WITH YPOGEGRAMMENI
        "\u1FFC",  # GREEK CAPITAL LETTER OMEGA WITH PROSGEGRAMMENI
        "\u1FF3",  # GREEK CAPITAL LETTER OMEGA WITH PROSGEGRAMMENI
        "\u1FFC",  # GREEK CAPITAL LETTER OMEGA WITH PROSGEGRAMMENI
        "\u1FB2",  # GREEK SMALL LETTER ALPHA WITH VARIA AND YPOGEGRAMMENI
        "\u1FB2",  # GREEK SMALL LETTER ALPHA WITH VARIA AND YPOGEGRAMMENI
        "\u1FB4",  # GREEK SMALL LETTER ALPHA WITH OXIA AND YPOGEGRAMMENI
        "\u1FB4",  # GREEK SMALL LETTER ALPHA WITH OXIA AND YPOGEGRAMMENI
        "\u1FC2",  # GREEK SMALL LETTER ETA WITH VARIA AND YPOGEGRAMMENI
        "\u1FC2",  # GREEK SMALL LETTER ETA WITH VARIA AND YPOGEGRAMMENI
        "\u1FC4",  # GREEK SMALL LETTER ETA WITH OXIA AND YPOGEGRAMMENI
        "\u1FC4",  # GREEK SMALL LETTER ETA WITH OXIA AND YPOGEGRAMMENI
        "\u1FF2",  # GREEK SMALL LETTER OMEGA WITH VARIA AND YPOGEGRAMMENI
        "\u1FF2",  # GREEK SMALL LETTER OMEGA WITH VARIA AND YPOGEGRAMMENI
        "\u1FF4",  # GREEK SMALL LETTER OMEGA WITH OXIA AND YPOGEGRAMMENI
        "\u1FF4",  # GREEK SMALL LETTER OMEGA WITH OXIA AND YPOGEGRAMMENI
        "\u1FB7",  # GREEK SMALL LETTER ALPHA WITH PERISPOMENI AND YPOGEGRAMMENI
        "\u1FB7",  # GREEK SMALL LETTER ALPHA WITH PERISPOMENI AND YPOGEGRAMMENI
        "\u1FC7",  # GREEK SMALL LETTER ETA WITH PERISPOMENI AND YPOGEGRAMMENI
        "\u1FC7",  # GREEK SMALL LETTER ETA WITH PERISPOMENI AND YPOGEGRAMMENI
        "\u1FF7",  # GREEK SMALL LETTER OMEGA WITH PERISPOMENI AND YPOGEGRAMMENI
        "\u1FF7",  # GREEK SMALL LETTER OMEGA WITH PERISPOMENI AND YPOGEGRAMMENI
        "\u03A3",  # GREEK CAPITAL LETTER SIGMA
        "\u03C2",  # GREEK CAPITAL LETTER SIGMA
        "\u03A3",  # GREEK CAPITAL LETTER SIGMA
        "\u03A3",  # GREEK CAPITAL LETTER SIGMA
        "\u0307",  # COMBINING DOT ABOVE
        "\u0307",  # COMBINING DOT ABOVE
        "\u0049",  # LATIN CAPITAL LETTER I
        "\u0049",  # LATIN CAPITAL LETTER I
        "\u0049",  # LATIN CAPITAL LETTER I
        "\u004A",  # LATIN CAPITAL LETTER J
        "\u004A",  # LATIN CAPITAL LETTER J
        "\u004A",  # LATIN CAPITAL LETTER J
        "\u012E",  # LATIN CAPITAL LETTER I WITH OGONEK
        "\u012E",  # LATIN CAPITAL LETTER I WITH OGONEK
        "\u012E",  # LATIN CAPITAL LETTER I WITH OGONEK
        "\u00CC",  # LATIN CAPITAL LETTER I WITH GRAVE
        "\u00CC",  # LATIN CAPITAL LETTER I WITH GRAVE
        "\u00CC",  # LATIN CAPITAL LETTER I WITH GRAVE
        "\u00CD",  # LATIN CAPITAL LETTER I WITH ACUTE
        "\u00CD",  # LATIN CAPITAL LETTER I WITH ACUTE
        "\u00CD",  # LATIN CAPITAL LETTER I WITH ACUTE
        "\u0128",  # LATIN CAPITAL LETTER I WITH TILDE
        "\u0128",  # LATIN CAPITAL LETTER I WITH TILDE
        "\u0128",  # LATIN CAPITAL LETTER I WITH TILDE
        "\u0130",  # LATIN CAPITAL LETTER I WITH DOT ABOVE
        "\u0069",  # LATIN CAPITAL LETTER I WITH DOT ABOVE
        "\u0130",  # LATIN CAPITAL LETTER I WITH DOT ABOVE
        "\u0130",  # LATIN CAPITAL LETTER I WITH DOT ABOVE
        "\u0130",  # LATIN CAPITAL LETTER I WITH DOT ABOVE
        "\u0069",  # LATIN CAPITAL LETTER I WITH DOT ABOVE
        "\u0130",  # LATIN CAPITAL LETTER I WITH DOT ABOVE
        "\u0130",  # LATIN CAPITAL LETTER I WITH DOT ABOVE
        "\u0307",  # COMBINING DOT ABOVE
        "\u0307",  # COMBINING DOT ABOVE
        "\u0307",  # COMBINING DOT ABOVE
        "\u0307",  # COMBINING DOT ABOVE
        "\u0307",  # COMBINING DOT ABOVE
        "\u0307",  # COMBINING DOT ABOVE
        "\u0049",  # LATIN CAPITAL LETTER I
        "\u0131",  # LATIN CAPITAL LETTER I
        "\u0049",  # LATIN CAPITAL LETTER I
        "\u0049",  # LATIN CAPITAL LETTER I
        "\u0049",  # LATIN CAPITAL LETTER I
        "\u0131",  # LATIN CAPITAL LETTER I
        "\u0049",  # LATIN CAPITAL LETTER I
        "\u0049",  # LATIN CAPITAL LETTER I
        "\u0069",  # LATIN SMALL LETTER I
        "\u0069",  # LATIN SMALL LETTER I
        "\u0130",  # LATIN SMALL LETTER I
        "\u0130",  # LATIN SMALL LETTER I
        "\u0069",  # LATIN SMALL LETTER I
        "\u0069",  # LATIN SMALL LETTER I
        "\u0130",  # LATIN SMALL LETTER I
        "\u0130",  # LATIN SMALL LETTER I
    ]
    test_data.each do |string|
      assert @validator.valid_encoding?(string), "U10_SpecialCasing: #{string}"
      assert string.force_encoding("UTF-8").valid_encoding?, "U10_SpecialCasing: #{string}" if @vercheck
    end
  end

end
