# encoding: utf-8
#
# This file is machine generated.  DO NOT EDIT!
#
if Kernel.respond_to?(:require_relative)
  require_relative("./helper")
else
  $:.unshift(File.dirname(__FILE__))
  require 'helper'
end
#
# == Purpose
#
# Tests for the #{UTF8::Validator} implementation.
#
# Test data pulled and generated from:
#
# https://www.unicode.org/Public/10.0.0/ucd/
#
class TestUnicode10DerivedDecompositionType < Test::Unit::TestCase
  #
  def setup
    @validator = UTF8::Validator.new
    @vercheck = ((RUBY_VERSION =~ /1.9/) or (RUBY_VERSION =~ /2./)) ? true : false
  end

  #
  def teardown
    @validator = nil
  end

  def test_unicode10_DerivedDecompositionType
    test_data = [
        "\u00c0","\u00c1","\u00c2","\u00c3","\u00c4","\u00c5",  # ; Canonical # L&   [6] LATIN CAPITAL LETTER A WITH GRAVE..LATIN CAPITAL LETTER A WITH RING ABOVE
        "\u00c7","\u00c8","\u00c9","\u00ca","\u00cb","\u00cc","\u00cd","\u00ce","\u00cf",  # ; Canonical # L&   [9] LATIN CAPITAL LETTER C WITH CEDILLA..LATIN CAPITAL LETTER I WITH DIAERESIS
        "\u00d1","\u00d2","\u00d3","\u00d4","\u00d5","\u00d6",  # ; Canonical # L&   [6] LATIN CAPITAL LETTER N WITH TILDE..LATIN CAPITAL LETTER O WITH DIAERESIS
        "\u00d9","\u00da","\u00db","\u00dc","\u00dd",  # ; Canonical # L&   [5] LATIN CAPITAL LETTER U WITH GRAVE..LATIN CAPITAL LETTER Y WITH ACUTE
        "\u00e0","\u00e1","\u00e2","\u00e3","\u00e4","\u00e5",  # ; Canonical # L&   [6] LATIN SMALL LETTER A WITH GRAVE..LATIN SMALL LETTER A WITH RING ABOVE
        "\u00e7","\u00e8","\u00e9","\u00ea","\u00eb","\u00ec","\u00ed","\u00ee","\u00ef",  # ; Canonical # L&   [9] LATIN SMALL LETTER C WITH CEDILLA..LATIN SMALL LETTER I WITH DIAERESIS
        "\u00f1","\u00f2","\u00f3","\u00f4","\u00f5","\u00f6",  # ; Canonical # L&   [6] LATIN SMALL LETTER N WITH TILDE..LATIN SMALL LETTER O WITH DIAERESIS
        "\u00f9","\u00fa","\u00fb","\u00fc","\u00fd",  # ; Canonical # L&   [5] LATIN SMALL LETTER U WITH GRAVE..LATIN SMALL LETTER Y WITH ACUTE
        "\u00ff","\u0100","\u0101","\u0102","\u0103","\u0104","\u0105","\u0106","\u0107","\u0108","\u0109","\u010a","\u010b","\u010c","\u010d","\u010e","\u010f",  # ; Canonical # L&  [17] LATIN SMALL LETTER Y WITH DIAERESIS..LATIN SMALL LETTER D WITH CARON
        "\u0112","\u0113","\u0114","\u0115","\u0116","\u0117","\u0118","\u0119","\u011a","\u011b","\u011c","\u011d","\u011e","\u011f","\u0120","\u0121","\u0122","\u0123","\u0124","\u0125",  # ; Canonical # L&  [20] LATIN CAPITAL LETTER E WITH MACRON..LATIN SMALL LETTER H WITH CIRCUMFLEX
        "\u0128","\u0129","\u012a","\u012b","\u012c","\u012d","\u012e","\u012f","\u0130",  # ; Canonical # L&   [9] LATIN CAPITAL LETTER I WITH TILDE..LATIN CAPITAL LETTER I WITH DOT ABOVE
        "\u0134","\u0135","\u0136","\u0137",  # ; Canonical # L&   [4] LATIN CAPITAL LETTER J WITH CIRCUMFLEX..LATIN SMALL LETTER K WITH CEDILLA
        "\u0139","\u013a","\u013b","\u013c","\u013d","\u013e",  # ; Canonical # L&   [6] LATIN CAPITAL LETTER L WITH ACUTE..LATIN SMALL LETTER L WITH CARON
        "\u0143","\u0144","\u0145","\u0146","\u0147","\u0148",  # ; Canonical # L&   [6] LATIN CAPITAL LETTER N WITH ACUTE..LATIN SMALL LETTER N WITH CARON
        "\u014c","\u014d","\u014e","\u014f","\u0150","\u0151",  # ; Canonical # L&   [6] LATIN CAPITAL LETTER O WITH MACRON..LATIN SMALL LETTER O WITH DOUBLE ACUTE
        "\u0154","\u0155","\u0156","\u0157","\u0158","\u0159","\u015a","\u015b","\u015c","\u015d","\u015e","\u015f","\u0160","\u0161","\u0162","\u0163","\u0164","\u0165",  # ; Canonical # L&  [18] LATIN CAPITAL LETTER R WITH ACUTE..LATIN SMALL LETTER T WITH CARON
        "\u0168","\u0169","\u016a","\u016b","\u016c","\u016d","\u016e","\u016f","\u0170","\u0171","\u0172","\u0173","\u0174","\u0175","\u0176","\u0177","\u0178","\u0179","\u017a","\u017b","\u017c","\u017d","\u017e",  # ; Canonical # L&  [23] LATIN CAPITAL LETTER U WITH TILDE..LATIN SMALL LETTER Z WITH CARON
        "\u01a0","\u01a1",  # ; Canonical # L&   [2] LATIN CAPITAL LETTER O WITH HORN..LATIN SMALL LETTER O WITH HORN
        "\u01af","\u01b0",  # ; Canonical # L&   [2] LATIN CAPITAL LETTER U WITH HORN..LATIN SMALL LETTER U WITH HORN
        "\u01cd","\u01ce","\u01cf","\u01d0","\u01d1","\u01d2","\u01d3","\u01d4","\u01d5","\u01d6","\u01d7","\u01d8","\u01d9","\u01da","\u01db","\u01dc",  # ; Canonical # L&  [16] LATIN CAPITAL LETTER A WITH CARON..LATIN SMALL LETTER U WITH DIAERESIS AND GRAVE
        "\u01de","\u01df","\u01e0","\u01e1","\u01e2","\u01e3",  # ; Canonical # L&   [6] LATIN CAPITAL LETTER A WITH DIAERESIS AND MACRON..LATIN SMALL LETTER AE WITH MACRON
        "\u01e6","\u01e7","\u01e8","\u01e9","\u01ea","\u01eb","\u01ec","\u01ed","\u01ee","\u01ef","\u01f0",  # ; Canonical # L&  [11] LATIN CAPITAL LETTER G WITH CARON..LATIN SMALL LETTER J WITH CARON
        "\u01f4","\u01f5",  # ; Canonical # L&   [2] LATIN CAPITAL LETTER G WITH ACUTE..LATIN SMALL LETTER G WITH ACUTE
        "\u01f8","\u01f9","\u01fa","\u01fb","\u01fc","\u01fd","\u01fe","\u01ff","\u0200","\u0201","\u0202","\u0203","\u0204","\u0205","\u0206","\u0207","\u0208","\u0209","\u020a","\u020b","\u020c","\u020d","\u020e","\u020f","\u0210","\u0211","\u0212","\u0213","\u0214","\u0215","\u0216","\u0217","\u0218","\u0219","\u021a","\u021b",  # ; Canonical # L&  [36] LATIN CAPITAL LETTER N WITH GRAVE..LATIN SMALL LETTER T WITH COMMA BELOW
        "\u021e","\u021f",  # ; Canonical # L&   [2] LATIN CAPITAL LETTER H WITH CARON..LATIN SMALL LETTER H WITH CARON
        "\u0226","\u0227","\u0228","\u0229","\u022a","\u022b","\u022c","\u022d","\u022e","\u022f","\u0230","\u0231","\u0232","\u0233",  # ; Canonical # L&  [14] LATIN CAPITAL LETTER A WITH DOT ABOVE..LATIN SMALL LETTER Y WITH MACRON
        "\u0340","\u0341",  # ; Canonical # Mn   [2] COMBINING GRAVE TONE MARK..COMBINING ACUTE TONE MARK
        "\u0343","\u0344",  # ; Canonical # Mn   [2] COMBINING GREEK KORONIS..COMBINING GREEK DIALYTIKA TONOS
        "\u0374",  # ; Canonical # Lm       GREEK NUMERAL SIGN
        "\u037E",  # ; Canonical # Po       GREEK QUESTION MARK
        "\u0385",  # ; Canonical # Sk       GREEK DIALYTIKA TONOS
        "\u0386",  # ; Canonical # L&       GREEK CAPITAL LETTER ALPHA WITH TONOS
        "\u0387",  # ; Canonical # Po       GREEK ANO TELEIA
        "\u0388","\u0389","\u038a",  # ; Canonical # L&   [3] GREEK CAPITAL LETTER EPSILON WITH TONOS..GREEK CAPITAL LETTER IOTA WITH TONOS
        "\u038C",  # ; Canonical # L&       GREEK CAPITAL LETTER OMICRON WITH TONOS
        "\u038e","\u038f","\u0390",  # ; Canonical # L&   [3] GREEK CAPITAL LETTER UPSILON WITH TONOS..GREEK SMALL LETTER IOTA WITH DIALYTIKA AND TONOS
        "\u03aa","\u03ab","\u03ac","\u03ad","\u03ae","\u03af","\u03b0",  # ; Canonical # L&   [7] GREEK CAPITAL LETTER IOTA WITH DIALYTIKA..GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND TONOS
        "\u03ca","\u03cb","\u03cc","\u03cd","\u03ce",  # ; Canonical # L&   [5] GREEK SMALL LETTER IOTA WITH DIALYTIKA..GREEK SMALL LETTER OMEGA WITH TONOS
        "\u03d3","\u03d4",  # ; Canonical # L&   [2] GREEK UPSILON WITH ACUTE AND HOOK SYMBOL..GREEK UPSILON WITH DIAERESIS AND HOOK SYMBOL
        "\u0400","\u0401",  # ; Canonical # L&   [2] CYRILLIC CAPITAL LETTER IE WITH GRAVE..CYRILLIC CAPITAL LETTER IO
        "\u0403",  # ; Canonical # L&       CYRILLIC CAPITAL LETTER GJE
        "\u0407",  # ; Canonical # L&       CYRILLIC CAPITAL LETTER YI
        "\u040c","\u040d","\u040e",  # ; Canonical # L&   [3] CYRILLIC CAPITAL LETTER KJE..CYRILLIC CAPITAL LETTER SHORT U
        "\u0419",  # ; Canonical # L&       CYRILLIC CAPITAL LETTER SHORT I
        "\u0439",  # ; Canonical # L&       CYRILLIC SMALL LETTER SHORT I
        "\u0450","\u0451",  # ; Canonical # L&   [2] CYRILLIC SMALL LETTER IE WITH GRAVE..CYRILLIC SMALL LETTER IO
        "\u0453",  # ; Canonical # L&       CYRILLIC SMALL LETTER GJE
        "\u0457",  # ; Canonical # L&       CYRILLIC SMALL LETTER YI
        "\u045c","\u045d","\u045e",  # ; Canonical # L&   [3] CYRILLIC SMALL LETTER KJE..CYRILLIC SMALL LETTER SHORT U
        "\u0476","\u0477",  # ; Canonical # L&   [2] CYRILLIC CAPITAL LETTER IZHITSA WITH DOUBLE GRAVE ACCENT..CYRILLIC SMALL LETTER IZHITSA WITH DOUBLE GRAVE ACCENT
        "\u04c1","\u04c2",  # ; Canonical # L&   [2] CYRILLIC CAPITAL LETTER ZHE WITH BREVE..CYRILLIC SMALL LETTER ZHE WITH BREVE
        "\u04d0","\u04d1","\u04d2","\u04d3",  # ; Canonical # L&   [4] CYRILLIC CAPITAL LETTER A WITH BREVE..CYRILLIC SMALL LETTER A WITH DIAERESIS
        "\u04d6","\u04d7",  # ; Canonical # L&   [2] CYRILLIC CAPITAL LETTER IE WITH BREVE..CYRILLIC SMALL LETTER IE WITH BREVE
        "\u04da","\u04db","\u04dc","\u04dd","\u04de","\u04df",  # ; Canonical # L&   [6] CYRILLIC CAPITAL LETTER SCHWA WITH DIAERESIS..CYRILLIC SMALL LETTER ZE WITH DIAERESIS
        "\u04e2","\u04e3","\u04e4","\u04e5","\u04e6","\u04e7",  # ; Canonical # L&   [6] CYRILLIC CAPITAL LETTER I WITH MACRON..CYRILLIC SMALL LETTER O WITH DIAERESIS
        "\u04ea","\u04eb","\u04ec","\u04ed","\u04ee","\u04ef","\u04f0","\u04f1","\u04f2","\u04f3","\u04f4","\u04f5",  # ; Canonical # L&  [12] CYRILLIC CAPITAL LETTER BARRED O WITH DIAERESIS..CYRILLIC SMALL LETTER CHE WITH DIAERESIS
        "\u04f8","\u04f9",  # ; Canonical # L&   [2] CYRILLIC CAPITAL LETTER YERU WITH DIAERESIS..CYRILLIC SMALL LETTER YERU WITH DIAERESIS
        "\u0622","\u0623","\u0624","\u0625","\u0626",  # ; Canonical # Lo   [5] ARABIC LETTER ALEF WITH MADDA ABOVE..ARABIC LETTER YEH WITH HAMZA ABOVE
        "\u06C0",  # ; Canonical # Lo       ARABIC LETTER HEH WITH YEH ABOVE
        "\u06C2",  # ; Canonical # Lo       ARABIC LETTER HEH GOAL WITH HAMZA ABOVE
        "\u06D3",  # ; Canonical # Lo       ARABIC LETTER YEH BARREE WITH HAMZA ABOVE
        "\u0929",  # ; Canonical # Lo       DEVANAGARI LETTER NNNA
        "\u0931",  # ; Canonical # Lo       DEVANAGARI LETTER RRA
        "\u0934",  # ; Canonical # Lo       DEVANAGARI LETTER LLLA
        "\u0958","\u0959","\u095a","\u095b","\u095c","\u095d","\u095e","\u095f",  # ; Canonical # Lo   [8] DEVANAGARI LETTER QA..DEVANAGARI LETTER YYA
        "\u09cb","\u09cc",  # ; Canonical # Mc   [2] BENGALI VOWEL SIGN O..BENGALI VOWEL SIGN AU
        "\u09dc","\u09dd",  # ; Canonical # Lo   [2] BENGALI LETTER RRA..BENGALI LETTER RHA
        "\u09DF",  # ; Canonical # Lo       BENGALI LETTER YYA
        "\u0A33",  # ; Canonical # Lo       GURMUKHI LETTER LLA
        "\u0A36",  # ; Canonical # Lo       GURMUKHI LETTER SHA
        "\u0a59","\u0a5a","\u0a5b",  # ; Canonical # Lo   [3] GURMUKHI LETTER KHHA..GURMUKHI LETTER ZA
        "\u0A5E",  # ; Canonical # Lo       GURMUKHI LETTER FA
        "\u0B48",  # ; Canonical # Mc       ORIYA VOWEL SIGN AI
        "\u0b4b","\u0b4c",  # ; Canonical # Mc   [2] ORIYA VOWEL SIGN O..ORIYA VOWEL SIGN AU
        "\u0b5c","\u0b5d",  # ; Canonical # Lo   [2] ORIYA LETTER RRA..ORIYA LETTER RHA
        "\u0B94",  # ; Canonical # Lo       TAMIL LETTER AU
        "\u0bca","\u0bcb","\u0bcc",  # ; Canonical # Mc   [3] TAMIL VOWEL SIGN O..TAMIL VOWEL SIGN AU
        "\u0C48",  # ; Canonical # Mn       TELUGU VOWEL SIGN AI
        "\u0CC0",  # ; Canonical # Mc       KANNADA VOWEL SIGN II
        "\u0cc7","\u0cc8",  # ; Canonical # Mc   [2] KANNADA VOWEL SIGN EE..KANNADA VOWEL SIGN AI
        "\u0cca","\u0ccb",  # ; Canonical # Mc   [2] KANNADA VOWEL SIGN O..KANNADA VOWEL SIGN OO
        "\u0d4a","\u0d4b","\u0d4c",  # ; Canonical # Mc   [3] MALAYALAM VOWEL SIGN O..MALAYALAM VOWEL SIGN AU
        "\u0DDA",  # ; Canonical # Mc       SINHALA VOWEL SIGN DIGA KOMBUVA
        "\u0ddc","\u0ddd","\u0dde",  # ; Canonical # Mc   [3] SINHALA VOWEL SIGN KOMBUVA HAA AELA-PILLA..SINHALA VOWEL SIGN KOMBUVA HAA GAYANUKITTA
        "\u0F43",  # ; Canonical # Lo       TIBETAN LETTER GHA
        "\u0F4D",  # ; Canonical # Lo       TIBETAN LETTER DDHA
        "\u0F52",  # ; Canonical # Lo       TIBETAN LETTER DHA
        "\u0F57",  # ; Canonical # Lo       TIBETAN LETTER BHA
        "\u0F5C",  # ; Canonical # Lo       TIBETAN LETTER DZHA
        "\u0F69",  # ; Canonical # Lo       TIBETAN LETTER KSSA
        "\u0F73",  # ; Canonical # Mn       TIBETAN VOWEL SIGN II
        "\u0f75","\u0f76",  # ; Canonical # Mn   [2] TIBETAN VOWEL SIGN UU..TIBETAN VOWEL SIGN VOCALIC R
        "\u0F78",  # ; Canonical # Mn       TIBETAN VOWEL SIGN VOCALIC L
        "\u0F81",  # ; Canonical # Mn       TIBETAN VOWEL SIGN REVERSED II
        "\u0F93",  # ; Canonical # Mn       TIBETAN SUBJOINED LETTER GHA
        "\u0F9D",  # ; Canonical # Mn       TIBETAN SUBJOINED LETTER DDHA
        "\u0FA2",  # ; Canonical # Mn       TIBETAN SUBJOINED LETTER DHA
        "\u0FA7",  # ; Canonical # Mn       TIBETAN SUBJOINED LETTER BHA
        "\u0FAC",  # ; Canonical # Mn       TIBETAN SUBJOINED LETTER DZHA
        "\u0FB9",  # ; Canonical # Mn       TIBETAN SUBJOINED LETTER KSSA
        "\u1026",  # ; Canonical # Lo       MYANMAR LETTER UU
        "\u1B06",  # ; Canonical # Lo       BALINESE LETTER AKARA TEDUNG
        "\u1B08",  # ; Canonical # Lo       BALINESE LETTER IKARA TEDUNG
        "\u1B0A",  # ; Canonical # Lo       BALINESE LETTER UKARA TEDUNG
        "\u1B0C",  # ; Canonical # Lo       BALINESE LETTER RA REPA TEDUNG
        "\u1B0E",  # ; Canonical # Lo       BALINESE LETTER LA LENGA TEDUNG
        "\u1B12",  # ; Canonical # Lo       BALINESE LETTER OKARA TEDUNG
        "\u1B3B",  # ; Canonical # Mc       BALINESE VOWEL SIGN RA REPA TEDUNG
        "\u1B3D",  # ; Canonical # Mc       BALINESE VOWEL SIGN LA LENGA TEDUNG
        "\u1b40","\u1b41",  # ; Canonical # Mc   [2] BALINESE VOWEL SIGN TALING TEDUNG..BALINESE VOWEL SIGN TALING REPA TEDUNG
        "\u1B43",  # ; Canonical # Mc       BALINESE VOWEL SIGN PEPET TEDUNG
        "\u1e00","\u1e01","\u1e02","\u1e03","\u1e04","\u1e05","\u1e06","\u1e07","\u1e08","\u1e09","\u1e0a","\u1e0b","\u1e0c","\u1e0d","\u1e0e","\u1e0f","\u1e10","\u1e11","\u1e12","\u1e13","\u1e14","\u1e15","\u1e16","\u1e17","\u1e18","\u1e19","\u1e1a","\u1e1b","\u1e1c","\u1e1d","\u1e1e","\u1e1f","\u1e20","\u1e21","\u1e22","\u1e23","\u1e24","\u1e25","\u1e26","\u1e27","\u1e28","\u1e29","\u1e2a","\u1e2b","\u1e2c","\u1e2d","\u1e2e","\u1e2f","\u1e30","\u1e31","\u1e32","\u1e33","\u1e34","\u1e35","\u1e36","\u1e37","\u1e38","\u1e39","\u1e3a","\u1e3b","\u1e3c","\u1e3d","\u1e3e","\u1e3f","\u1e40","\u1e41","\u1e42","\u1e43","\u1e44","\u1e45","\u1e46","\u1e47","\u1e48","\u1e49","\u1e4a","\u1e4b","\u1e4c","\u1e4d","\u1e4e","\u1e4f","\u1e50","\u1e51","\u1e52","\u1e53","\u1e54","\u1e55","\u1e56","\u1e57","\u1e58","\u1e59","\u1e5a","\u1e5b","\u1e5c","\u1e5d","\u1e5e","\u1e5f","\u1e60","\u1e61","\u1e62","\u1e63","\u1e64","\u1e65","\u1e66","\u1e67","\u1e68","\u1e69","\u1e6a","\u1e6b","\u1e6c","\u1e6d","\u1e6e","\u1e6f","\u1e70","\u1e71","\u1e72","\u1e73","\u1e74","\u1e75","\u1e76","\u1e77","\u1e78","\u1e79","\u1e7a","\u1e7b","\u1e7c","\u1e7d","\u1e7e","\u1e7f","\u1e80","\u1e81","\u1e82","\u1e83","\u1e84","\u1e85","\u1e86","\u1e87","\u1e88","\u1e89","\u1e8a","\u1e8b","\u1e8c","\u1e8d","\u1e8e","\u1e8f","\u1e90","\u1e91","\u1e92","\u1e93","\u1e94","\u1e95","\u1e96","\u1e97","\u1e98","\u1e99",  # ; Canonical # L& [154] LATIN CAPITAL LETTER A WITH RING BELOW..LATIN SMALL LETTER Y WITH RING ABOVE
        "\u1E9B",  # ; Canonical # L&       LATIN SMALL LETTER LONG S WITH DOT ABOVE
        "\u1ea0","\u1ea1","\u1ea2","\u1ea3","\u1ea4","\u1ea5","\u1ea6","\u1ea7","\u1ea8","\u1ea9","\u1eaa","\u1eab","\u1eac","\u1ead","\u1eae","\u1eaf","\u1eb0","\u1eb1","\u1eb2","\u1eb3","\u1eb4","\u1eb5","\u1eb6","\u1eb7","\u1eb8","\u1eb9","\u1eba","\u1ebb","\u1ebc","\u1ebd","\u1ebe","\u1ebf","\u1ec0","\u1ec1","\u1ec2","\u1ec3","\u1ec4","\u1ec5","\u1ec6","\u1ec7","\u1ec8","\u1ec9","\u1eca","\u1ecb","\u1ecc","\u1ecd","\u1ece","\u1ecf","\u1ed0","\u1ed1","\u1ed2","\u1ed3","\u1ed4","\u1ed5","\u1ed6","\u1ed7","\u1ed8","\u1ed9","\u1eda","\u1edb","\u1edc","\u1edd","\u1ede","\u1edf","\u1ee0","\u1ee1","\u1ee2","\u1ee3","\u1ee4","\u1ee5","\u1ee6","\u1ee7","\u1ee8","\u1ee9","\u1eea","\u1eeb","\u1eec","\u1eed","\u1eee","\u1eef","\u1ef0","\u1ef1","\u1ef2","\u1ef3","\u1ef4","\u1ef5","\u1ef6","\u1ef7","\u1ef8","\u1ef9",  # ; Canonical # L&  [90] LATIN CAPITAL LETTER A WITH DOT BELOW..LATIN SMALL LETTER Y WITH TILDE
        "\u1f00","\u1f01","\u1f02","\u1f03","\u1f04","\u1f05","\u1f06","\u1f07","\u1f08","\u1f09","\u1f0a","\u1f0b","\u1f0c","\u1f0d","\u1f0e","\u1f0f","\u1f10","\u1f11","\u1f12","\u1f13","\u1f14","\u1f15",  # ; Canonical # L&  [22] GREEK SMALL LETTER ALPHA WITH PSILI..GREEK SMALL LETTER EPSILON WITH DASIA AND OXIA
        "\u1f18","\u1f19","\u1f1a","\u1f1b","\u1f1c","\u1f1d",  # ; Canonical # L&   [6] GREEK CAPITAL LETTER EPSILON WITH PSILI..GREEK CAPITAL LETTER EPSILON WITH DASIA AND OXIA
        "\u1f20","\u1f21","\u1f22","\u1f23","\u1f24","\u1f25","\u1f26","\u1f27","\u1f28","\u1f29","\u1f2a","\u1f2b","\u1f2c","\u1f2d","\u1f2e","\u1f2f","\u1f30","\u1f31","\u1f32","\u1f33","\u1f34","\u1f35","\u1f36","\u1f37","\u1f38","\u1f39","\u1f3a","\u1f3b","\u1f3c","\u1f3d","\u1f3e","\u1f3f","\u1f40","\u1f41","\u1f42","\u1f43","\u1f44","\u1f45",  # ; Canonical # L&  [38] GREEK SMALL LETTER ETA WITH PSILI..GREEK SMALL LETTER OMICRON WITH DASIA AND OXIA
        "\u1f48","\u1f49","\u1f4a","\u1f4b","\u1f4c","\u1f4d",  # ; Canonical # L&   [6] GREEK CAPITAL LETTER OMICRON WITH PSILI..GREEK CAPITAL LETTER OMICRON WITH DASIA AND OXIA
        "\u1f50","\u1f51","\u1f52","\u1f53","\u1f54","\u1f55","\u1f56","\u1f57",  # ; Canonical # L&   [8] GREEK SMALL LETTER UPSILON WITH PSILI..GREEK SMALL LETTER UPSILON WITH DASIA AND PERISPOMENI
        "\u1F59",  # ; Canonical # L&       GREEK CAPITAL LETTER UPSILON WITH DASIA
        "\u1F5B",  # ; Canonical # L&       GREEK CAPITAL LETTER UPSILON WITH DASIA AND VARIA
        "\u1F5D",  # ; Canonical # L&       GREEK CAPITAL LETTER UPSILON WITH DASIA AND OXIA
        "\u1f5f","\u1f60","\u1f61","\u1f62","\u1f63","\u1f64","\u1f65","\u1f66","\u1f67","\u1f68","\u1f69","\u1f6a","\u1f6b","\u1f6c","\u1f6d","\u1f6e","\u1f6f","\u1f70","\u1f71","\u1f72","\u1f73","\u1f74","\u1f75","\u1f76","\u1f77","\u1f78","\u1f79","\u1f7a","\u1f7b","\u1f7c","\u1f7d",  # ; Canonical # L&  [31] GREEK CAPITAL LETTER UPSILON WITH DASIA AND PERISPOMENI..GREEK SMALL LETTER OMEGA WITH OXIA
        "\u1f80","\u1f81","\u1f82","\u1f83","\u1f84","\u1f85","\u1f86","\u1f87","\u1f88","\u1f89","\u1f8a","\u1f8b","\u1f8c","\u1f8d","\u1f8e","\u1f8f","\u1f90","\u1f91","\u1f92","\u1f93","\u1f94","\u1f95","\u1f96","\u1f97","\u1f98","\u1f99","\u1f9a","\u1f9b","\u1f9c","\u1f9d","\u1f9e","\u1f9f","\u1fa0","\u1fa1","\u1fa2","\u1fa3","\u1fa4","\u1fa5","\u1fa6","\u1fa7","\u1fa8","\u1fa9","\u1faa","\u1fab","\u1fac","\u1fad","\u1fae","\u1faf","\u1fb0","\u1fb1","\u1fb2","\u1fb3","\u1fb4",  # ; Canonical # L&  [53] GREEK SMALL LETTER ALPHA WITH PSILI AND YPOGEGRAMMENI..GREEK SMALL LETTER ALPHA WITH OXIA AND YPOGEGRAMMENI
        "\u1fb6","\u1fb7","\u1fb8","\u1fb9","\u1fba","\u1fbb","\u1fbc",  # ; Canonical # L&   [7] GREEK SMALL LETTER ALPHA WITH PERISPOMENI..GREEK CAPITAL LETTER ALPHA WITH PROSGEGRAMMENI
        "\u1FBE",  # ; Canonical # L&       GREEK PROSGEGRAMMENI
        "\u1FC1",  # ; Canonical # Sk       GREEK DIALYTIKA AND PERISPOMENI
        "\u1fc2","\u1fc3","\u1fc4",  # ; Canonical # L&   [3] GREEK SMALL LETTER ETA WITH VARIA AND YPOGEGRAMMENI..GREEK SMALL LETTER ETA WITH OXIA AND YPOGEGRAMMENI
        "\u1fc6","\u1fc7","\u1fc8","\u1fc9","\u1fca","\u1fcb","\u1fcc",  # ; Canonical # L&   [7] GREEK SMALL LETTER ETA WITH PERISPOMENI..GREEK CAPITAL LETTER ETA WITH PROSGEGRAMMENI
        "\u1fcd","\u1fce","\u1fcf",  # ; Canonical # Sk   [3] GREEK PSILI AND VARIA..GREEK PSILI AND PERISPOMENI
        "\u1fd0","\u1fd1","\u1fd2","\u1fd3",  # ; Canonical # L&   [4] GREEK SMALL LETTER IOTA WITH VRACHY..GREEK SMALL LETTER IOTA WITH DIALYTIKA AND OXIA
        "\u1fd6","\u1fd7","\u1fd8","\u1fd9","\u1fda","\u1fdb",  # ; Canonical # L&   [6] GREEK SMALL LETTER IOTA WITH PERISPOMENI..GREEK CAPITAL LETTER IOTA WITH OXIA
        "\u1fdd","\u1fde","\u1fdf",  # ; Canonical # Sk   [3] GREEK DASIA AND VARIA..GREEK DASIA AND PERISPOMENI
        "\u1fe0","\u1fe1","\u1fe2","\u1fe3","\u1fe4","\u1fe5","\u1fe6","\u1fe7","\u1fe8","\u1fe9","\u1fea","\u1feb","\u1fec",  # ; Canonical # L&  [13] GREEK SMALL LETTER UPSILON WITH VRACHY..GREEK CAPITAL LETTER RHO WITH DASIA
        "\u1fed","\u1fee","\u1fef",  # ; Canonical # Sk   [3] GREEK DIALYTIKA AND VARIA..GREEK VARIA
        "\u1ff2","\u1ff3","\u1ff4",  # ; Canonical # L&   [3] GREEK SMALL LETTER OMEGA WITH VARIA AND YPOGEGRAMMENI..GREEK SMALL LETTER OMEGA WITH OXIA AND YPOGEGRAMMENI
        "\u1ff6","\u1ff7","\u1ff8","\u1ff9","\u1ffa","\u1ffb","\u1ffc",  # ; Canonical # L&   [7] GREEK SMALL LETTER OMEGA WITH PERISPOMENI..GREEK CAPITAL LETTER OMEGA WITH PROSGEGRAMMENI
        "\u1FFD",  # ; Canonical # Sk       GREEK OXIA
        "\u2000","\u2001",  # ; Canonical # Zs   [2] EN QUAD..EM QUAD
        "\u2126",  # ; Canonical # L&       OHM SIGN
        "\u212a","\u212b",  # ; Canonical # L&   [2] KELVIN SIGN..ANGSTROM SIGN
        "\u219a","\u219b",  # ; Canonical # Sm   [2] LEFTWARDS ARROW WITH STROKE..RIGHTWARDS ARROW WITH STROKE
        "\u21AE",  # ; Canonical # Sm       LEFT RIGHT ARROW WITH STROKE
        "\u21CD",  # ; Canonical # So       LEFTWARDS DOUBLE ARROW WITH STROKE
        "\u21ce","\u21cf",  # ; Canonical # Sm   [2] LEFT RIGHT DOUBLE ARROW WITH STROKE..RIGHTWARDS DOUBLE ARROW WITH STROKE
        "\u2204",  # ; Canonical # Sm       THERE DOES NOT EXIST
        "\u2209",  # ; Canonical # Sm       NOT AN ELEMENT OF
        "\u220C",  # ; Canonical # Sm       DOES NOT CONTAIN AS MEMBER
        "\u2224",  # ; Canonical # Sm       DOES NOT DIVIDE
        "\u2226",  # ; Canonical # Sm       NOT PARALLEL TO
        "\u2241",  # ; Canonical # Sm       NOT TILDE
        "\u2244",  # ; Canonical # Sm       NOT ASYMPTOTICALLY EQUAL TO
        "\u2247",  # ; Canonical # Sm       NEITHER APPROXIMATELY NOR ACTUALLY EQUAL TO
        "\u2249",  # ; Canonical # Sm       NOT ALMOST EQUAL TO
        "\u2260",  # ; Canonical # Sm       NOT EQUAL TO
        "\u2262",  # ; Canonical # Sm       NOT IDENTICAL TO
        "\u226d","\u226e","\u226f","\u2270","\u2271",  # ; Canonical # Sm   [5] NOT EQUIVALENT TO..NEITHER GREATER-THAN NOR EQUAL TO
        "\u2274","\u2275",  # ; Canonical # Sm   [2] NEITHER LESS-THAN NOR EQUIVALENT TO..NEITHER GREATER-THAN NOR EQUIVALENT TO
        "\u2278","\u2279",  # ; Canonical # Sm   [2] NEITHER LESS-THAN NOR GREATER-THAN..NEITHER GREATER-THAN NOR LESS-THAN
        "\u2280","\u2281",  # ; Canonical # Sm   [2] DOES NOT PRECEDE..DOES NOT SUCCEED
        "\u2284","\u2285",  # ; Canonical # Sm   [2] NOT A SUBSET OF..NOT A SUPERSET OF
        "\u2288","\u2289",  # ; Canonical # Sm   [2] NEITHER A SUBSET OF NOR EQUAL TO..NEITHER A SUPERSET OF NOR EQUAL TO
        "\u22ac","\u22ad","\u22ae","\u22af",  # ; Canonical # Sm   [4] DOES NOT PROVE..NEGATED DOUBLE VERTICAL BAR DOUBLE RIGHT TURNSTILE
        "\u22e0","\u22e1","\u22e2","\u22e3",  # ; Canonical # Sm   [4] DOES NOT PRECEDE OR EQUAL..NOT SQUARE ORIGINAL OF OR EQUAL TO
        "\u22ea","\u22eb","\u22ec","\u22ed",  # ; Canonical # Sm   [4] NOT NORMAL SUBGROUP OF..DOES NOT CONTAIN AS NORMAL SUBGROUP OR EQUAL
        "\u2329",  # ; Canonical # Ps       LEFT-POINTING ANGLE BRACKET
        "\u232A",  # ; Canonical # Pe       RIGHT-POINTING ANGLE BRACKET
        "\u2ADC",  # ; Canonical # Sm       FORKING
        "\u304C",  # ; Canonical # Lo       HIRAGANA LETTER GA
        "\u304E",  # ; Canonical # Lo       HIRAGANA LETTER GI
        "\u3050",  # ; Canonical # Lo       HIRAGANA LETTER GU
        "\u3052",  # ; Canonical # Lo       HIRAGANA LETTER GE
        "\u3054",  # ; Canonical # Lo       HIRAGANA LETTER GO
        "\u3056",  # ; Canonical # Lo       HIRAGANA LETTER ZA
        "\u3058",  # ; Canonical # Lo       HIRAGANA LETTER ZI
        "\u305A",  # ; Canonical # Lo       HIRAGANA LETTER ZU
        "\u305C",  # ; Canonical # Lo       HIRAGANA LETTER ZE
        "\u305E",  # ; Canonical # Lo       HIRAGANA LETTER ZO
        "\u3060",  # ; Canonical # Lo       HIRAGANA LETTER DA
        "\u3062",  # ; Canonical # Lo       HIRAGANA LETTER DI
        "\u3065",  # ; Canonical # Lo       HIRAGANA LETTER DU
        "\u3067",  # ; Canonical # Lo       HIRAGANA LETTER DE
        "\u3069",  # ; Canonical # Lo       HIRAGANA LETTER DO
        "\u3070","\u3071",  # ; Canonical # Lo   [2] HIRAGANA LETTER BA..HIRAGANA LETTER PA
        "\u3073","\u3074",  # ; Canonical # Lo   [2] HIRAGANA LETTER BI..HIRAGANA LETTER PI
        "\u3076","\u3077",  # ; Canonical # Lo   [2] HIRAGANA LETTER BU..HIRAGANA LETTER PU
        "\u3079","\u307a",  # ; Canonical # Lo   [2] HIRAGANA LETTER BE..HIRAGANA LETTER PE
        "\u307c","\u307d",  # ; Canonical # Lo   [2] HIRAGANA LETTER BO..HIRAGANA LETTER PO
        "\u3094",  # ; Canonical # Lo       HIRAGANA LETTER VU
        "\u309E",  # ; Canonical # Lm       HIRAGANA VOICED ITERATION MARK
        "\u30AC",  # ; Canonical # Lo       KATAKANA LETTER GA
        "\u30AE",  # ; Canonical # Lo       KATAKANA LETTER GI
        "\u30B0",  # ; Canonical # Lo       KATAKANA LETTER GU
        "\u30B2",  # ; Canonical # Lo       KATAKANA LETTER GE
        "\u30B4",  # ; Canonical # Lo       KATAKANA LETTER GO
        "\u30B6",  # ; Canonical # Lo       KATAKANA LETTER ZA
        "\u30B8",  # ; Canonical # Lo       KATAKANA LETTER ZI
        "\u30BA",  # ; Canonical # Lo       KATAKANA LETTER ZU
        "\u30BC",  # ; Canonical # Lo       KATAKANA LETTER ZE
        "\u30BE",  # ; Canonical # Lo       KATAKANA LETTER ZO
        "\u30C0",  # ; Canonical # Lo       KATAKANA LETTER DA
        "\u30C2",  # ; Canonical # Lo       KATAKANA LETTER DI
        "\u30C5",  # ; Canonical # Lo       KATAKANA LETTER DU
        "\u30C7",  # ; Canonical # Lo       KATAKANA LETTER DE
        "\u30C9",  # ; Canonical # Lo       KATAKANA LETTER DO
        "\u30d0","\u30d1",  # ; Canonical # Lo   [2] KATAKANA LETTER BA..KATAKANA LETTER PA
        "\u30d3","\u30d4",  # ; Canonical # Lo   [2] KATAKANA LETTER BI..KATAKANA LETTER PI
        "\u30d6","\u30d7",  # ; Canonical # Lo   [2] KATAKANA LETTER BU..KATAKANA LETTER PU
        "\u30d9","\u30da",  # ; Canonical # Lo   [2] KATAKANA LETTER BE..KATAKANA LETTER PE
        "\u30dc","\u30dd",  # ; Canonical # Lo   [2] KATAKANA LETTER BO..KATAKANA LETTER PO
        "\u30F4",  # ; Canonical # Lo       KATAKANA LETTER VU
        "\u30f7","\u30f8","\u30f9","\u30fa",  # ; Canonical # Lo   [4] KATAKANA LETTER VA..KATAKANA LETTER VO
        "\u30FE",  # ; Canonical # Lm       KATAKANA VOICED ITERATION MARK
        "\uac00","\uac01","\uac02","\uac03","\uac04","\uac05","\uac06","\uac07","\uac08","\uac09","\uac0a","\uac0b","\uac0c","\uac0d","\uac0e","\uac0f","\uac10","\uac11","\uac12","\uac13","\uac14","\uac15","\uac16","\uac17","\uac18","\uac19","\uac1a","\uac1b","\uac1c","\uac1d","\uac1e","\uac1f","\uac20","\uac21","\uac22","\uac23","\uac24","\uac25","\uac26","\uac27","\uac28","\uac29","\uac2a","\uac2b","\uac2c","\uac2d","\uac2e","\uac2f","\uac30","\uac31","\uac32","\uac33","\uac34","\uac35","\uac36","\uac37","\uac38","\uac39","\uac3a","\uac3b","\uac3c","\uac3d","\uac3e","\uac3f","\uac40","\uac41","\uac42","\uac43","\uac44","\uac45","\uac46","\uac47","\uac48","\uac49","\uac4a","\uac4b","\uac4c","\uac4d","\uac4e","\uac4f","\uac50","\uac51","\uac52","\uac53","\uac54","\uac55","\uac56","\uac57","\uac58","\uac59","\uac5a","\uac5b","\uac5c","\uac5d","\uac5e","\uac5f","\uac60","\uac61","\uac62","\uac63","\uac64","\uac65","\uac66","\uac67","\uac68","\uac69","\uac6a","\uac6b","\uac6c","\uac6d","\uac6e","\uac6f","\uac70","\uac71","\uac72","\uac73","\uac74","\uac75","\uac76","\uac77","\uac78","\uac79","\uac7a","\uac7b","\uac7c","\uac7d","\uac7e","\uac7f","\uac80","\uac81","\uac82","\uac83","\uac84","\uac85","\uac86","\uac87","\uac88","\uac89","\uac8a","\uac8b","\uac8c","\uac8d","\uac8e","\uac8f","\uac90","\uac91","\uac92","\uac93","\uac94","\uac95","\uac96","\uac97","\uac98","\uac99","\uac9a","\uac9b","\uac9c","\uac9d","\uac9e","\uac9f","\uaca0","\uaca1","\uaca2","\uaca3","\uaca4","\uaca5","\uaca6","\uaca7","\uaca8","\uaca9","\uacaa","\uacab","\uacac","\uacad","\uacae","\uacaf","\uacb0","\uacb1","\uacb2","\uacb3","\uacb4","\uacb5","\uacb6","\uacb7","\uacb8","\uacb9","\uacba","\uacbb","\uacbc","\uacbd","\uacbe","\uacbf","\uacc0","\uacc1","\uacc2","\uacc3","\uacc4","\uacc5","\uacc6","\uacc7","\uacc8","\uacc9","\uacca","\uaccb","\uaccc","\uaccd","\uacce","\uaccf","\uacd0","\uacd1","\uacd2","\uacd3","\uacd4","\uacd5","\uacd6","\uacd7","\uacd8","\uacd9","\uacda","\uacdb","\uacdc","\uacdd","\uacde","\uacdf","\uace0","\uace1","\uace2","\uace3","\uace4","\uace5","\uace6","\uace7","\uace8","\uace9","\uacea","\uaceb","\uacec","\uaced","\uacee","\uacef","\uacf0","\uacf1","\uacf2","\uacf3","\uacf4","\uacf5","\uacf6","\uacf7","\uacf8","\uacf9","\uacfa","\uacfb","\uacfc","\uacfd","\uacfe","\uacff","\uad00","\uad01","\uad02","\uad03","\uad04","\uad05","\uad06","\uad07","\uad08","\uad09","\uad0a","\uad0b","\uad0c","\uad0d","\uad0e","\uad0f","\uad10","\uad11","\uad12","\uad13","\uad14","\uad15","\uad16","\uad17","\uad18","\uad19","\uad1a","\uad1b","\uad1c","\uad1d","\uad1e","\uad1f","\uad20","\uad21","\uad22","\uad23","\uad24","\uad25","\uad26","\uad27","\uad28","\uad29","\uad2a","\uad2b","\uad2c","\uad2d","\uad2e","\uad2f","\uad30","\uad31","\uad32","\uad33","\uad34","\uad35","\uad36","\uad37","\uad38","\uad39","\uad3a","\uad3b","\uad3c","\uad3d","\uad3e","\uad3f","\uad40","\uad41","\uad42","\uad43","\uad44","\uad45","\uad46","\uad47","\uad48","\uad49","\uad4a","\uad4b","\uad4c","\uad4d","\uad4e","\uad4f","\uad50","\uad51","\uad52","\uad53","\uad54","\uad55","\uad56","\uad57","\uad58","\uad59","\uad5a","\uad5b","\uad5c","\uad5d","\uad5e","\uad5f","\uad60","\uad61","\uad62","\uad63","\uad64","\uad65","\uad66","\uad67","\uad68","\uad69","\uad6a","\uad6b","\uad6c","\uad6d","\uad6e","\uad6f","\uad70","\uad71","\uad72","\uad73","\uad74","\uad75","\uad76","\uad77","\uad78","\uad79","\uad7a","\uad7b","\uad7c","\uad7d","\uad7e","\uad7f","\uad80","\uad81","\uad82","\uad83","\uad84","\uad85","\uad86","\uad87","\uad88","\uad89","\uad8a","\uad8b","\uad8c","\uad8d","\uad8e","\uad8f","\uad90","\uad91","\uad92","\uad93","\uad94","\uad95","\uad96","\uad97","\uad98","\uad99","\uad9a","\uad9b","\uad9c","\uad9d","\uad9e","\uad9f","\uada0","\uada1","\uada2","\uada3","\uada4","\uada5","\uada6","\uada7","\uada8","\uada9","\uadaa","\uadab","\uadac","\uadad","\uadae","\uadaf","\uadb0","\uadb1","\uadb2","\uadb3","\uadb4","\uadb5","\uadb6","\uadb7","\uadb8","\uadb9","\uadba","\uadbb","\uadbc","\uadbd","\uadbe","\uadbf","\uadc0","\uadc1","\uadc2","\uadc3","\uadc4","\uadc5","\uadc6","\uadc7","\uadc8","\uadc9","\uadca","\uadcb","\uadcc","\uadcd","\uadce","\uadcf","\uadd0","\uadd1","\uadd2","\uadd3","\uadd4","\uadd5","\uadd6","\uadd7","\uadd8","\uadd9","\uadda","\uaddb","\uaddc","\uaddd","\uadde","\uaddf","\uade0","\uade1","\uade2","\uade3","\uade4","\uade5","\uade6","\uade7","\uade8","\uade9","\uadea","\uadeb","\uadec","\uaded","\uadee","\uadef","\uadf0","\uadf1","\uadf2","\uadf3","\uadf4","\uadf5","\uadf6","\uadf7","\uadf8","\uadf9","\uadfa","\uadfb","\uadfc","\uadfd","\uadfe","\uadff","\uae00","\uae01","\uae02","\uae03","\uae04","\uae05","\uae06","\uae07","\uae08","\uae09","\uae0a","\uae0b","\uae0c","\uae0d","\uae0e","\uae0f","\uae10","\uae11","\uae12","\uae13","\uae14","\uae15","\uae16","\uae17","\uae18","\uae19","\uae1a","\uae1b","\uae1c","\uae1d","\uae1e","\uae1f","\uae20","\uae21","\uae22","\uae23","\uae24","\uae25","\uae26","\uae27","\uae28","\uae29","\uae2a","\uae2b","\uae2c","\uae2d","\uae2e","\uae2f","\uae30","\uae31","\uae32","\uae33","\uae34","\uae35","\uae36","\uae37","\uae38","\uae39","\uae3a","\uae3b","\uae3c","\uae3d","\uae3e","\uae3f","\uae40","\uae41","\uae42","\uae43","\uae44","\uae45","\uae46","\uae47","\uae48","\uae49","\uae4a","\uae4b","\uae4c","\uae4d","\uae4e","\uae4f","\uae50","\uae51","\uae52","\uae53","\uae54","\uae55","\uae56","\uae57","\uae58","\uae59","\uae5a","\uae5b","\uae5c","\uae5d","\uae5e","\uae5f","\uae60","\uae61","\uae62","\uae63","\uae64","\uae65","\uae66","\uae67","\uae68","\uae69","\uae6a","\uae6b","\uae6c","\uae6d","\uae6e","\uae6f","\uae70","\uae71","\uae72","\uae73","\uae74","\uae75","\uae76","\uae77","\uae78","\uae79","\uae7a","\uae7b","\uae7c","\uae7d","\uae7e","\uae7f","\uae80","\uae81","\uae82","\uae83","\uae84","\uae85","\uae86","\uae87","\uae88","\uae89","\uae8a","\uae8b","\uae8c","\uae8d","\uae8e","\uae8f","\uae90","\uae91","\uae92","\uae93","\uae94","\uae95","\uae96","\uae97","\uae98","\uae99","\uae9a","\uae9b","\uae9c","\uae9d","\uae9e","\uae9f","\uaea0","\uaea1","\uaea2","\uaea3","\uaea4","\uaea5","\uaea6","\uaea7","\uaea8","\uaea9","\uaeaa","\uaeab","\uaeac","\uaead","\uaeae","\uaeaf","\uaeb0","\uaeb1","\uaeb2","\uaeb3","\uaeb4","\uaeb5","\uaeb6","\uaeb7","\uaeb8","\uaeb9","\uaeba","\uaebb","\uaebc","\uaebd","\uaebe","\uaebf","\uaec0","\uaec1","\uaec2","\uaec3","\uaec4","\uaec5","\uaec6","\uaec7","\uaec8","\uaec9","\uaeca","\uaecb","\uaecc","\uaecd","\uaece","\uaecf","\uaed0","\uaed1","\uaed2","\uaed3","\uaed4","\uaed5","\uaed6","\uaed7","\uaed8","\uaed9","\uaeda","\uaedb","\uaedc","\uaedd","\uaede","\uaedf","\uaee0","\uaee1","\uaee2","\uaee3","\uaee4","\uaee5","\uaee6","\uaee7","\uaee8","\uaee9","\uaeea","\uaeeb","\uaeec","\uaeed","\uaeee","\uaeef","\uaef0","\uaef1","\uaef2","\uaef3","\uaef4","\uaef5","\uaef6","\uaef7","\uaef8","\uaef9","\uaefa","\uaefb","\uaefc","\uaefd","\uaefe","\uaeff","\uaf00","\uaf01","\uaf02","\uaf03","\uaf04","\uaf05","\uaf06","\uaf07","\uaf08","\uaf09","\uaf0a","\uaf0b","\uaf0c","\uaf0d","\uaf0e","\uaf0f","\uaf10","\uaf11","\uaf12","\uaf13","\uaf14","\uaf15","\uaf16","\uaf17","\uaf18","\uaf19","\uaf1a","\uaf1b","\uaf1c","\uaf1d","\uaf1e","\uaf1f","\uaf20","\uaf21","\uaf22","\uaf23","\uaf24","\uaf25","\uaf26","\uaf27","\uaf28","\uaf29","\uaf2a","\uaf2b","\uaf2c","\uaf2d","\uaf2e","\uaf2f","\uaf30","\uaf31","\uaf32","\uaf33","\uaf34","\uaf35","\uaf36","\uaf37","\uaf38","\uaf39","\uaf3a","\uaf3b","\uaf3c","\uaf3d","\uaf3e","\uaf3f","\uaf40","\uaf41","\uaf42","\uaf43","\uaf44","\uaf45","\uaf46","\uaf47","\uaf48","\uaf49","\uaf4a","\uaf4b","\uaf4c","\uaf4d","\uaf4e","\uaf4f","\uaf50","\uaf51","\uaf52","\uaf53","\uaf54","\uaf55","\uaf56","\uaf57","\uaf58","\uaf59","\uaf5a","\uaf5b","\uaf5c","\uaf5d","\uaf5e","\uaf5f","\uaf60","\uaf61","\uaf62","\uaf63","\uaf64","\uaf65","\uaf66","\uaf67","\uaf68","\uaf69","\uaf6a","\uaf6b","\uaf6c","\uaf6d","\uaf6e","\uaf6f","\uaf70","\uaf71","\uaf72","\uaf73","\uaf74","\uaf75","\uaf76","\uaf77","\uaf78","\uaf79","\uaf7a","\uaf7b","\uaf7c","\uaf7d","\uaf7e","\uaf7f","\uaf80","\uaf81","\uaf82","\uaf83","\uaf84","\uaf85","\uaf86","\uaf87","\uaf88","\uaf89","\uaf8a","\uaf8b","\uaf8c","\uaf8d","\uaf8e","\uaf8f","\uaf90","\uaf91","\uaf92","\uaf93","\uaf94","\uaf95","\uaf96","\uaf97","\uaf98","\uaf99","\uaf9a","\uaf9b","\uaf9c","\uaf9d","\uaf9e","\uaf9f","\uafa0","\uafa1","\uafa2","\uafa3","\uafa4","\uafa5","\uafa6","\uafa7","\uafa8","\uafa9","\uafaa","\uafab","\uafac","\uafad","\uafae","\uafaf","\uafb0","\uafb1","\uafb2","\uafb3","\uafb4","\uafb5","\uafb6","\uafb7","\uafb8","\uafb9","\uafba","\uafbb","\uafbc","\uafbd","\uafbe","\uafbf","\uafc0","\uafc1","\uafc2","\uafc3","\uafc4","\uafc5","\uafc6","\uafc7","\uafc8","\uafc9","\uafca","\uafcb","\uafcc","\uafcd","\uafce","\uafcf","\uafd0","\uafd1","\uafd2","\uafd3","\uafd4","\uafd5","\uafd6","\uafd7","\uafd8","\uafd9","\uafda","\uafdb","\uafdc","\uafdd","\uafde","\uafdf","\uafe0","\uafe1","\uafe2","\uafe3","\uafe4","\uafe5","\uafe6","\uafe7","\uafe8","\uafe9","\uafea","\uafeb","\uafec","\uafed","\uafee","\uafef","\uaff0","\uaff1","\uaff2","\uaff3","\uaff4","\uaff5","\uaff6","\uaff7","\uaff8","\uaff9","\uaffa","\uaffb","\uaffc","\uaffd","\uaffe","\uafff","\ub000","\ub001","\ub002","\ub003","\ub004","\ub005","\ub006","\ub007","\ub008","\ub009","\ub00a","\ub00b","\ub00c","\ub00d","\ub00e","\ub00f","\ub010","\ub011","\ub012","\ub013","\ub014","\ub015","\ub016","\ub017","\ub018","\ub019","\ub01a","\ub01b","\ub01c","\ub01d","\ub01e","\ub01f","\ub020","\ub021","\ub022","\ub023","\ub024","\ub025","\ub026","\ub027","\ub028","\ub029","\ub02a","\ub02b","\ub02c","\ub02d","\ub02e","\ub02f","\ub030","\ub031","\ub032","\ub033","\ub034","\ub035","\ub036","\ub037","\ub038","\ub039","\ub03a","\ub03b","\ub03c","\ub03d","\ub03e","\ub03f","\ub040","\ub041","\ub042","\ub043","\ub044","\ub045","\ub046","\ub047","\ub048","\ub049","\ub04a","\ub04b","\ub04c","\ub04d","\ub04e","\ub04f","\ub050","\ub051","\ub052","\ub053","\ub054","\ub055","\ub056","\ub057","\ub058","\ub059","\ub05a","\ub05b","\ub05c","\ub05d","\ub05e","\ub05f","\ub060","\ub061","\ub062","\ub063","\ub064","\ub065","\ub066","\ub067","\ub068","\ub069","\ub06a","\ub06b","\ub06c","\ub06d","\ub06e","\ub06f","\ub070","\ub071","\ub072","\ub073","\ub074","\ub075","\ub076","\ub077","\ub078","\ub079","\ub07a","\ub07b","\ub07c","\ub07d","\ub07e","\ub07f","\ub080","\ub081","\ub082","\ub083","\ub084","\ub085","\ub086","\ub087","\ub088","\ub089","\ub08a","\ub08b","\ub08c","\ub08d","\ub08e","\ub08f","\ub090","\ub091","\ub092","\ub093","\ub094","\ub095","\ub096","\ub097","\ub098","\ub099","\ub09a","\ub09b","\ub09c","\ub09d","\ub09e","\ub09f","\ub0a0","\ub0a1","\ub0a2","\ub0a3","\ub0a4","\ub0a5","\ub0a6","\ub0a7","\ub0a8","\ub0a9","\ub0aa","\ub0ab","\ub0ac","\ub0ad","\ub0ae","\ub0af","\ub0b0","\ub0b1","\ub0b2","\ub0b3","\ub0b4","\ub0b5","\ub0b6","\ub0b7","\ub0b8","\ub0b9","\ub0ba","\ub0bb","\ub0bc","\ub0bd","\ub0be","\ub0bf","\ub0c0","\ub0c1","\ub0c2","\ub0c3","\ub0c4","\ub0c5","\ub0c6","\ub0c7","\ub0c8","\ub0c9","\ub0ca","\ub0cb","\ub0cc","\ub0cd","\ub0ce","\ub0cf","\ub0d0","\ub0d1","\ub0d2","\ub0d3","\ub0d4","\ub0d5","\ub0d6","\ub0d7","\ub0d8","\ub0d9","\ub0da","\ub0db","\ub0dc","\ub0dd","\ub0de","\ub0df","\ub0e0","\ub0e1","\ub0e2","\ub0e3","\ub0e4","\ub0e5","\ub0e6","\ub0e7","\ub0e8","\ub0e9","\ub0ea","\ub0eb","\ub0ec","\ub0ed","\ub0ee","\ub0ef","\ub0f0","\ub0f1","\ub0f2","\ub0f3","\ub0f4","\ub0f5","\ub0f6","\ub0f7","\ub0f8","\ub0f9","\ub0fa","\ub0fb","\ub0fc","\ub0fd","\ub0fe","\ub0ff","\ub100","\ub101","\ub102","\ub103","\ub104","\ub105","\ub106","\ub107","\ub108","\ub109","\ub10a","\ub10b","\ub10c","\ub10d","\ub10e","\ub10f","\ub110","\ub111","\ub112","\ub113","\ub114","\ub115","\ub116","\ub117","\ub118","\ub119","\ub11a","\ub11b","\ub11c","\ub11d","\ub11e","\ub11f","\ub120","\ub121","\ub122","\ub123","\ub124","\ub125","\ub126","\ub127","\ub128","\ub129","\ub12a","\ub12b","\ub12c","\ub12d","\ub12e","\ub12f","\ub130","\ub131","\ub132","\ub133","\ub134","\ub135","\ub136","\ub137","\ub138","\ub139","\ub13a","\ub13b","\ub13c","\ub13d","\ub13e","\ub13f","\ub140","\ub141","\ub142","\ub143","\ub144","\ub145","\ub146","\ub147","\ub148","\ub149","\ub14a","\ub14b","\ub14c","\ub14d","\ub14e","\ub14f","\ub150","\ub151","\ub152","\ub153","\ub154","\ub155","\ub156","\ub157","\ub158","\ub159","\ub15a","\ub15b","\ub15c","\ub15d","\ub15e","\ub15f","\ub160","\ub161","\ub162","\ub163","\ub164","\ub165","\ub166","\ub167","\ub168","\ub169","\ub16a","\ub16b","\ub16c","\ub16d","\ub16e","\ub16f","\ub170","\ub171","\ub172","\ub173","\ub174","\ub175","\ub176","\ub177","\ub178","\ub179","\ub17a","\ub17b","\ub17c","\ub17d","\ub17e","\ub17f","\ub180","\ub181","\ub182","\ub183","\ub184","\ub185","\ub186","\ub187","\ub188","\ub189","\ub18a","\ub18b","\ub18c","\ub18d","\ub18e","\ub18f","\ub190","\ub191","\ub192","\ub193","\ub194","\ub195","\ub196","\ub197","\ub198","\ub199","\ub19a","\ub19b","\ub19c","\ub19d","\ub19e","\ub19f","\ub1a0","\ub1a1","\ub1a2","\ub1a3","\ub1a4","\ub1a5","\ub1a6","\ub1a7","\ub1a8","\ub1a9","\ub1aa","\ub1ab","\ub1ac","\ub1ad","\ub1ae","\ub1af","\ub1b0","\ub1b1","\ub1b2","\ub1b3","\ub1b4","\ub1b5","\ub1b6","\ub1b7","\ub1b8","\ub1b9","\ub1ba","\ub1bb","\ub1bc","\ub1bd","\ub1be","\ub1bf","\ub1c0","\ub1c1","\ub1c2","\ub1c3","\ub1c4","\ub1c5","\ub1c6","\ub1c7","\ub1c8","\ub1c9","\ub1ca","\ub1cb","\ub1cc","\ub1cd","\ub1ce","\ub1cf","\ub1d0","\ub1d1","\ub1d2","\ub1d3","\ub1d4","\ub1d5","\ub1d6","\ub1d7","\ub1d8","\ub1d9","\ub1da","\ub1db","\ub1dc","\ub1dd","\ub1de","\ub1df","\ub1e0","\ub1e1","\ub1e2","\ub1e3","\ub1e4","\ub1e5","\ub1e6","\ub1e7","\ub1e8","\ub1e9","\ub1ea","\ub1eb","\ub1ec","\ub1ed","\ub1ee","\ub1ef","\ub1f0","\ub1f1","\ub1f2","\ub1f3","\ub1f4","\ub1f5","\ub1f6","\ub1f7","\ub1f8","\ub1f9","\ub1fa","\ub1fb","\ub1fc","\ub1fd","\ub1fe","\ub1ff","\ub200","\ub201","\ub202","\ub203","\ub204","\ub205","\ub206","\ub207","\ub208","\ub209","\ub20a","\ub20b","\ub20c","\ub20d","\ub20e","\ub20f","\ub210","\ub211","\ub212","\ub213","\ub214","\ub215","\ub216","\ub217","\ub218","\ub219","\ub21a","\ub21b","\ub21c","\ub21d","\ub21e","\ub21f","\ub220","\ub221","\ub222","\ub223","\ub224","\ub225","\ub226","\ub227","\ub228","\ub229","\ub22a","\ub22b","\ub22c","\ub22d","\ub22e","\ub22f","\ub230","\ub231","\ub232","\ub233","\ub234","\ub235","\ub236","\ub237","\ub238","\ub239","\ub23a","\ub23b","\ub23c","\ub23d","\ub23e","\ub23f","\ub240","\ub241","\ub242","\ub243","\ub244","\ub245","\ub246","\ub247","\ub248","\ub249","\ub24a","\ub24b","\ub24c","\ub24d","\ub24e","\ub24f","\ub250","\ub251","\ub252","\ub253","\ub254","\ub255","\ub256","\ub257","\ub258","\ub259","\ub25a","\ub25b","\ub25c","\ub25d","\ub25e","\ub25f","\ub260","\ub261","\ub262","\ub263","\ub264","\ub265","\ub266","\ub267","\ub268","\ub269","\ub26a","\ub26b","\ub26c","\ub26d","\ub26e","\ub26f","\ub270","\ub271","\ub272","\ub273","\ub274","\ub275","\ub276","\ub277","\ub278","\ub279","\ub27a","\ub27b","\ub27c","\ub27d","\ub27e","\ub27f","\ub280","\ub281","\ub282","\ub283","\ub284","\ub285","\ub286","\ub287","\ub288","\ub289","\ub28a","\ub28b","\ub28c","\ub28d","\ub28e","\ub28f","\ub290","\ub291","\ub292","\ub293","\ub294","\ub295","\ub296","\ub297","\ub298","\ub299","\ub29a","\ub29b","\ub29c","\ub29d","\ub29e","\ub29f","\ub2a0","\ub2a1","\ub2a2","\ub2a3","\ub2a4","\ub2a5","\ub2a6","\ub2a7","\ub2a8","\ub2a9","\ub2aa","\ub2ab","\ub2ac","\ub2ad","\ub2ae","\ub2af","\ub2b0","\ub2b1","\ub2b2","\ub2b3","\ub2b4","\ub2b5","\ub2b6","\ub2b7","\ub2b8","\ub2b9","\ub2ba","\ub2bb","\ub2bc","\ub2bd","\ub2be","\ub2bf","\ub2c0","\ub2c1","\ub2c2","\ub2c3","\ub2c4","\ub2c5","\ub2c6","\ub2c7","\ub2c8","\ub2c9","\ub2ca","\ub2cb","\ub2cc","\ub2cd","\ub2ce","\ub2cf","\ub2d0","\ub2d1","\ub2d2","\ub2d3","\ub2d4","\ub2d5","\ub2d6","\ub2d7","\ub2d8","\ub2d9","\ub2da","\ub2db","\ub2dc","\ub2dd","\ub2de","\ub2df","\ub2e0","\ub2e1","\ub2e2","\ub2e3","\ub2e4","\ub2e5","\ub2e6","\ub2e7","\ub2e8","\ub2e9","\ub2ea","\ub2eb","\ub2ec","\ub2ed","\ub2ee","\ub2ef","\ub2f0","\ub2f1","\ub2f2","\ub2f3","\ub2f4","\ub2f5","\ub2f6","\ub2f7","\ub2f8","\ub2f9","\ub2fa","\ub2fb","\ub2fc","\ub2fd","\ub2fe","\ub2ff","\ub300","\ub301","\ub302","\ub303","\ub304","\ub305","\ub306","\ub307","\ub308","\ub309","\ub30a","\ub30b","\ub30c","\ub30d","\ub30e","\ub30f","\ub310","\ub311","\ub312","\ub313","\ub314","\ub315","\ub316","\ub317","\ub318","\ub319","\ub31a","\ub31b","\ub31c","\ub31d","\ub31e","\ub31f","\ub320","\ub321","\ub322","\ub323","\ub324","\ub325","\ub326","\ub327","\ub328","\ub329","\ub32a","\ub32b","\ub32c","\ub32d","\ub32e","\ub32f","\ub330","\ub331","\ub332","\ub333","\ub334","\ub335","\ub336","\ub337","\ub338","\ub339","\ub33a","\ub33b","\ub33c","\ub33d","\ub33e","\ub33f","\ub340","\ub341","\ub342","\ub343","\ub344","\ub345","\ub346","\ub347","\ub348","\ub349","\ub34a","\ub34b","\ub34c","\ub34d","\ub34e","\ub34f","\ub350","\ub351","\ub352","\ub353","\ub354","\ub355","\ub356","\ub357","\ub358","\ub359","\ub35a","\ub35b","\ub35c","\ub35d","\ub35e","\ub35f","\ub360","\ub361","\ub362","\ub363","\ub364","\ub365","\ub366","\ub367","\ub368","\ub369","\ub36a","\ub36b","\ub36c","\ub36d","\ub36e","\ub36f","\ub370","\ub371","\ub372","\ub373","\ub374","\ub375","\ub376","\ub377","\ub378","\ub379","\ub37a","\ub37b","\ub37c","\ub37d","\ub37e","\ub37f","\ub380","\ub381","\ub382","\ub383","\ub384","\ub385","\ub386","\ub387","\ub388","\ub389","\ub38a","\ub38b","\ub38c","\ub38d","\ub38e","\ub38f","\ub390","\ub391","\ub392","\ub393","\ub394","\ub395","\ub396","\ub397","\ub398","\ub399","\ub39a","\ub39b","\ub39c","\ub39d","\ub39e","\ub39f","\ub3a0","\ub3a1","\ub3a2","\ub3a3","\ub3a4","\ub3a5","\ub3a6","\ub3a7","\ub3a8","\ub3a9","\ub3aa","\ub3ab","\ub3ac","\ub3ad","\ub3ae","\ub3af","\ub3b0","\ub3b1","\ub3b2","\ub3b3","\ub3b4","\ub3b5","\ub3b6","\ub3b7","\ub3b8","\ub3b9","\ub3ba","\ub3bb","\ub3bc","\ub3bd","\ub3be","\ub3bf","\ub3c0","\ub3c1","\ub3c2","\ub3c3","\ub3c4","\ub3c5","\ub3c6","\ub3c7","\ub3c8","\ub3c9","\ub3ca","\ub3cb","\ub3cc","\ub3cd","\ub3ce","\ub3cf","\ub3d0","\ub3d1","\ub3d2","\ub3d3","\ub3d4","\ub3d5","\ub3d6","\ub3d7","\ub3d8","\ub3d9","\ub3da","\ub3db","\ub3dc","\ub3dd","\ub3de","\ub3df","\ub3e0","\ub3e1","\ub3e2","\ub3e3","\ub3e4","\ub3e5","\ub3e6","\ub3e7","\ub3e8","\ub3e9","\ub3ea","\ub3eb","\ub3ec","\ub3ed","\ub3ee","\ub3ef","\ub3f0","\ub3f1","\ub3f2","\ub3f3","\ub3f4","\ub3f5","\ub3f6","\ub3f7","\ub3f8","\ub3f9","\ub3fa","\ub3fb","\ub3fc","\ub3fd","\ub3fe","\ub3ff","\ub400","\ub401","\ub402","\ub403","\ub404","\ub405","\ub406","\ub407","\ub408","\ub409","\ub40a","\ub40b","\ub40c","\ub40d","\ub40e","\ub40f","\ub410","\ub411","\ub412","\ub413","\ub414","\ub415","\ub416","\ub417","\ub418","\ub419","\ub41a","\ub41b","\ub41c","\ub41d","\ub41e","\ub41f","\ub420","\ub421","\ub422","\ub423","\ub424","\ub425","\ub426","\ub427","\ub428","\ub429","\ub42a","\ub42b","\ub42c","\ub42d","\ub42e","\ub42f","\ub430","\ub431","\ub432","\ub433","\ub434","\ub435","\ub436","\ub437","\ub438","\ub439","\ub43a","\ub43b","\ub43c","\ub43d","\ub43e","\ub43f","\ub440","\ub441","\ub442","\ub443","\ub444","\ub445","\ub446","\ub447","\ub448","\ub449","\ub44a","\ub44b","\ub44c","\ub44d","\ub44e","\ub44f","\ub450","\ub451","\ub452","\ub453","\ub454","\ub455","\ub456","\ub457","\ub458","\ub459","\ub45a","\ub45b","\ub45c","\ub45d","\ub45e","\ub45f","\ub460","\ub461","\ub462","\ub463","\ub464","\ub465","\ub466","\ub467","\ub468","\ub469","\ub46a","\ub46b","\ub46c","\ub46d","\ub46e","\ub46f","\ub470","\ub471","\ub472","\ub473","\ub474","\ub475","\ub476","\ub477","\ub478","\ub479","\ub47a","\ub47b","\ub47c","\ub47d","\ub47e","\ub47f","\ub480","\ub481","\ub482","\ub483","\ub484","\ub485","\ub486","\ub487","\ub488","\ub489","\ub48a","\ub48b","\ub48c","\ub48d","\ub48e","\ub48f","\ub490","\ub491","\ub492","\ub493","\ub494","\ub495","\ub496","\ub497","\ub498","\ub499","\ub49a","\ub49b","\ub49c","\ub49d","\ub49e","\ub49f","\ub4a0","\ub4a1","\ub4a2","\ub4a3","\ub4a4","\ub4a5","\ub4a6","\ub4a7","\ub4a8","\ub4a9","\ub4aa","\ub4ab","\ub4ac","\ub4ad","\ub4ae","\ub4af","\ub4b0","\ub4b1","\ub4b2","\ub4b3","\ub4b4","\ub4b5","\ub4b6","\ub4b7","\ub4b8","\ub4b9","\ub4ba","\ub4bb","\ub4bc","\ub4bd","\ub4be","\ub4bf","\ub4c0","\ub4c1","\ub4c2","\ub4c3","\ub4c4","\ub4c5","\ub4c6","\ub4c7","\ub4c8","\ub4c9","\ub4ca","\ub4cb","\ub4cc","\ub4cd","\ub4ce","\ub4cf","\ub4d0","\ub4d1","\ub4d2","\ub4d3","\ub4d4","\ub4d5","\ub4d6","\ub4d7","\ub4d8","\ub4d9","\ub4da","\ub4db","\ub4dc","\ub4dd","\ub4de","\ub4df","\ub4e0","\ub4e1","\ub4e2","\ub4e3","\ub4e4","\ub4e5","\ub4e6","\ub4e7","\ub4e8","\ub4e9","\ub4ea","\ub4eb","\ub4ec","\ub4ed","\ub4ee","\ub4ef","\ub4f0","\ub4f1","\ub4f2","\ub4f3","\ub4f4","\ub4f5","\ub4f6","\ub4f7","\ub4f8","\ub4f9","\ub4fa","\ub4fb","\ub4fc","\ub4fd","\ub4fe","\ub4ff","\ub500","\ub501","\ub502","\ub503","\ub504","\ub505","\ub506","\ub507","\ub508","\ub509","\ub50a","\ub50b","\ub50c","\ub50d","\ub50e","\ub50f","\ub510","\ub511","\ub512","\ub513","\ub514","\ub515","\ub516","\ub517","\ub518","\ub519","\ub51a","\ub51b","\ub51c","\ub51d","\ub51e","\ub51f","\ub520","\ub521","\ub522","\ub523","\ub524","\ub525","\ub526","\ub527","\ub528","\ub529","\ub52a","\ub52b","\ub52c","\ub52d","\ub52e","\ub52f","\ub530","\ub531","\ub532","\ub533","\ub534","\ub535","\ub536","\ub537","\ub538","\ub539","\ub53a","\ub53b","\ub53c","\ub53d","\ub53e","\ub53f","\ub540","\ub541","\ub542","\ub543","\ub544","\ub545","\ub546","\ub547","\ub548","\ub549","\ub54a","\ub54b","\ub54c","\ub54d","\ub54e","\ub54f","\ub550","\ub551","\ub552","\ub553","\ub554","\ub555","\ub556","\ub557","\ub558","\ub559","\ub55a","\ub55b","\ub55c","\ub55d","\ub55e","\ub55f","\ub560","\ub561","\ub562","\ub563","\ub564","\ub565","\ub566","\ub567","\ub568","\ub569","\ub56a","\ub56b","\ub56c","\ub56d","\ub56e","\ub56f","\ub570","\ub571","\ub572","\ub573","\ub574","\ub575","\ub576","\ub577","\ub578","\ub579","\ub57a","\ub57b","\ub57c","\ub57d","\ub57e","\ub57f","\ub580","\ub581","\ub582","\ub583","\ub584","\ub585","\ub586","\ub587","\ub588","\ub589","\ub58a","\ub58b","\ub58c","\ub58d","\ub58e","\ub58f","\ub590","\ub591","\ub592","\ub593","\ub594","\ub595","\ub596","\ub597","\ub598","\ub599","\ub59a","\ub59b","\ub59c","\ub59d","\ub59e","\ub59f","\ub5a0","\ub5a1","\ub5a2","\ub5a3","\ub5a4","\ub5a5","\ub5a6","\ub5a7","\ub5a8","\ub5a9","\ub5aa","\ub5ab","\ub5ac","\ub5ad","\ub5ae","\ub5af","\ub5b0","\ub5b1","\ub5b2","\ub5b3","\ub5b4","\ub5b5","\ub5b6","\ub5b7","\ub5b8","\ub5b9","\ub5ba","\ub5bb","\ub5bc","\ub5bd","\ub5be","\ub5bf","\ub5c0","\ub5c1","\ub5c2","\ub5c3","\ub5c4","\ub5c5","\ub5c6","\ub5c7","\ub5c8","\ub5c9","\ub5ca","\ub5cb","\ub5cc","\ub5cd","\ub5ce","\ub5cf","\ub5d0","\ub5d1","\ub5d2","\ub5d3","\ub5d4","\ub5d5","\ub5d6","\ub5d7","\ub5d8","\ub5d9","\ub5da","\ub5db","\ub5dc","\ub5dd","\ub5de","\ub5df","\ub5e0","\ub5e1","\ub5e2","\ub5e3","\ub5e4","\ub5e5","\ub5e6","\ub5e7","\ub5e8","\ub5e9","\ub5ea","\ub5eb","\ub5ec","\ub5ed","\ub5ee","\ub5ef","\ub5f0","\ub5f1","\ub5f2","\ub5f3","\ub5f4","\ub5f5","\ub5f6","\ub5f7","\ub5f8","\ub5f9","\ub5fa","\ub5fb","\ub5fc","\ub5fd","\ub5fe","\ub5ff","\ub600","\ub601","\ub602","\ub603","\ub604","\ub605","\ub606","\ub607","\ub608","\ub609","\ub60a","\ub60b","\ub60c","\ub60d","\ub60e","\ub60f","\ub610","\ub611","\ub612","\ub613","\ub614","\ub615","\ub616","\ub617","\ub618","\ub619","\ub61a","\ub61b","\ub61c","\ub61d","\ub61e","\ub61f","\ub620","\ub621","\ub622","\ub623","\ub624","\ub625","\ub626","\ub627","\ub628","\ub629","\ub62a","\ub62b","\ub62c","\ub62d","\ub62e","\ub62f","\ub630","\ub631","\ub632","\ub633","\ub634","\ub635","\ub636","\ub637","\ub638","\ub639","\ub63a","\ub63b","\ub63c","\ub63d","\ub63e","\ub63f","\ub640","\ub641","\ub642","\ub643","\ub644","\ub645","\ub646","\ub647","\ub648","\ub649","\ub64a","\ub64b","\ub64c","\ub64d","\ub64e","\ub64f","\ub650","\ub651","\ub652","\ub653","\ub654","\ub655","\ub656","\ub657","\ub658","\ub659","\ub65a","\ub65b","\ub65c","\ub65d","\ub65e","\ub65f","\ub660","\ub661","\ub662","\ub663","\ub664","\ub665","\ub666","\ub667","\ub668","\ub669","\ub66a","\ub66b","\ub66c","\ub66d","\ub66e","\ub66f","\ub670","\ub671","\ub672","\ub673","\ub674","\ub675","\ub676","\ub677","\ub678","\ub679","\ub67a","\ub67b","\ub67c","\ub67d","\ub67e","\ub67f","\ub680","\ub681","\ub682","\ub683","\ub684","\ub685","\ub686","\ub687","\ub688","\ub689","\ub68a","\ub68b","\ub68c","\ub68d","\ub68e","\ub68f","\ub690","\ub691","\ub692","\ub693","\ub694","\ub695","\ub696","\ub697","\ub698","\ub699","\ub69a","\ub69b","\ub69c","\ub69d","\ub69e","\ub69f","\ub6a0","\ub6a1","\ub6a2","\ub6a3","\ub6a4","\ub6a5","\ub6a6","\ub6a7","\ub6a8","\ub6a9","\ub6aa","\ub6ab","\ub6ac","\ub6ad","\ub6ae","\ub6af","\ub6b0","\ub6b1","\ub6b2","\ub6b3","\ub6b4","\ub6b5","\ub6b6","\ub6b7","\ub6b8","\ub6b9","\ub6ba","\ub6bb","\ub6bc","\ub6bd","\ub6be","\ub6bf","\ub6c0","\ub6c1","\ub6c2","\ub6c3","\ub6c4","\ub6c5","\ub6c6","\ub6c7","\ub6c8","\ub6c9","\ub6ca","\ub6cb","\ub6cc","\ub6cd","\ub6ce","\ub6cf","\ub6d0","\ub6d1","\ub6d2","\ub6d3","\ub6d4","\ub6d5","\ub6d6","\ub6d7","\ub6d8","\ub6d9","\ub6da","\ub6db","\ub6dc","\ub6dd","\ub6de","\ub6df","\ub6e0","\ub6e1","\ub6e2","\ub6e3","\ub6e4","\ub6e5","\ub6e6","\ub6e7","\ub6e8","\ub6e9","\ub6ea","\ub6eb","\ub6ec","\ub6ed","\ub6ee","\ub6ef","\ub6f0","\ub6f1","\ub6f2","\ub6f3","\ub6f4","\ub6f5","\ub6f6","\ub6f7","\ub6f8","\ub6f9","\ub6fa","\ub6fb","\ub6fc","\ub6fd","\ub6fe","\ub6ff","\ub700","\ub701","\ub702","\ub703","\ub704","\ub705","\ub706","\ub707","\ub708","\ub709","\ub70a","\ub70b","\ub70c","\ub70d","\ub70e","\ub70f","\ub710","\ub711","\ub712","\ub713","\ub714","\ub715","\ub716","\ub717","\ub718","\ub719","\ub71a","\ub71b","\ub71c","\ub71d","\ub71e","\ub71f","\ub720","\ub721","\ub722","\ub723","\ub724","\ub725","\ub726","\ub727","\ub728","\ub729","\ub72a","\ub72b","\ub72c","\ub72d","\ub72e","\ub72f","\ub730","\ub731","\ub732","\ub733","\ub734","\ub735","\ub736","\ub737","\ub738","\ub739","\ub73a","\ub73b","\ub73c","\ub73d","\ub73e","\ub73f","\ub740","\ub741","\ub742","\ub743","\ub744","\ub745","\ub746","\ub747","\ub748","\ub749","\ub74a","\ub74b","\ub74c","\ub74d","\ub74e","\ub74f","\ub750","\ub751","\ub752","\ub753","\ub754","\ub755","\ub756","\ub757","\ub758","\ub759","\ub75a","\ub75b","\ub75c","\ub75d","\ub75e","\ub75f","\ub760","\ub761","\ub762","\ub763","\ub764","\ub765","\ub766","\ub767","\ub768","\ub769","\ub76a","\ub76b","\ub76c","\ub76d","\ub76e","\ub76f","\ub770","\ub771","\ub772","\ub773","\ub774","\ub775","\ub776","\ub777","\ub778","\ub779","\ub77a","\ub77b","\ub77c","\ub77d","\ub77e","\ub77f","\ub780","\ub781","\ub782","\ub783","\ub784","\ub785","\ub786","\ub787","\ub788","\ub789","\ub78a","\ub78b","\ub78c","\ub78d","\ub78e","\ub78f","\ub790","\ub791","\ub792","\ub793","\ub794","\ub795","\ub796","\ub797","\ub798","\ub799","\ub79a","\ub79b","\ub79c","\ub79d","\ub79e","\ub79f","\ub7a0","\ub7a1","\ub7a2","\ub7a3","\ub7a4","\ub7a5","\ub7a6","\ub7a7","\ub7a8","\ub7a9","\ub7aa","\ub7ab","\ub7ac","\ub7ad","\ub7ae","\ub7af","\ub7b0","\ub7b1","\ub7b2","\ub7b3","\ub7b4","\ub7b5","\ub7b6","\ub7b7","\ub7b8","\ub7b9","\ub7ba","\ub7bb","\ub7bc","\ub7bd","\ub7be","\ub7bf","\ub7c0","\ub7c1","\ub7c2","\ub7c3","\ub7c4","\ub7c5","\ub7c6","\ub7c7","\ub7c8","\ub7c9","\ub7ca","\ub7cb","\ub7cc","\ub7cd","\ub7ce","\ub7cf","\ub7d0","\ub7d1","\ub7d2","\ub7d3","\ub7d4","\ub7d5","\ub7d6","\ub7d7","\ub7d8","\ub7d9","\ub7da","\ub7db","\ub7dc","\ub7dd","\ub7de","\ub7df","\ub7e0","\ub7e1","\ub7e2","\ub7e3","\ub7e4","\ub7e5","\ub7e6","\ub7e7","\ub7e8","\ub7e9","\ub7ea","\ub7eb","\ub7ec","\ub7ed","\ub7ee","\ub7ef","\ub7f0","\ub7f1","\ub7f2","\ub7f3","\ub7f4","\ub7f5","\ub7f6","\ub7f7","\ub7f8","\ub7f9","\ub7fa","\ub7fb","\ub7fc","\ub7fd","\ub7fe","\ub7ff","\ub800","\ub801","\ub802","\ub803","\ub804","\ub805","\ub806","\ub807","\ub808","\ub809","\ub80a","\ub80b","\ub80c","\ub80d","\ub80e","\ub80f","\ub810","\ub811","\ub812","\ub813","\ub814","\ub815","\ub816","\ub817","\ub818","\ub819","\ub81a","\ub81b","\ub81c","\ub81d","\ub81e","\ub81f","\ub820","\ub821","\ub822","\ub823","\ub824","\ub825","\ub826","\ub827","\ub828","\ub829","\ub82a","\ub82b","\ub82c","\ub82d","\ub82e","\ub82f","\ub830","\ub831","\ub832","\ub833","\ub834","\ub835","\ub836","\ub837","\ub838","\ub839","\ub83a","\ub83b","\ub83c","\ub83d","\ub83e","\ub83f","\ub840","\ub841","\ub842","\ub843","\ub844","\ub845","\ub846","\ub847","\ub848","\ub849","\ub84a","\ub84b","\ub84c","\ub84d","\ub84e","\ub84f","\ub850","\ub851","\ub852","\ub853","\ub854","\ub855","\ub856","\ub857","\ub858","\ub859","\ub85a","\ub85b","\ub85c","\ub85d","\ub85e","\ub85f","\ub860","\ub861","\ub862","\ub863","\ub864","\ub865","\ub866","\ub867","\ub868","\ub869","\ub86a","\ub86b","\ub86c","\ub86d","\ub86e","\ub86f","\ub870","\ub871","\ub872","\ub873","\ub874","\ub875","\ub876","\ub877","\ub878","\ub879","\ub87a","\ub87b","\ub87c","\ub87d","\ub87e","\ub87f","\ub880","\ub881","\ub882","\ub883","\ub884","\ub885","\ub886","\ub887","\ub888","\ub889","\ub88a","\ub88b","\ub88c","\ub88d","\ub88e","\ub88f","\ub890","\ub891","\ub892","\ub893","\ub894","\ub895","\ub896","\ub897","\ub898","\ub899","\ub89a","\ub89b","\ub89c","\ub89d","\ub89e","\ub89f","\ub8a0","\ub8a1","\ub8a2","\ub8a3","\ub8a4","\ub8a5","\ub8a6","\ub8a7","\ub8a8","\ub8a9","\ub8aa","\ub8ab","\ub8ac","\ub8ad","\ub8ae","\ub8af","\ub8b0","\ub8b1","\ub8b2","\ub8b3","\ub8b4","\ub8b5","\ub8b6","\ub8b7","\ub8b8","\ub8b9","\ub8ba","\ub8bb","\ub8bc","\ub8bd","\ub8be","\ub8bf","\ub8c0","\ub8c1","\ub8c2","\ub8c3","\ub8c4","\ub8c5","\ub8c6","\ub8c7","\ub8c8","\ub8c9","\ub8ca","\ub8cb","\ub8cc","\ub8cd","\ub8ce","\ub8cf","\ub8d0","\ub8d1","\ub8d2","\ub8d3","\ub8d4","\ub8d5","\ub8d6","\ub8d7","\ub8d8","\ub8d9","\ub8da","\ub8db","\ub8dc","\ub8dd","\ub8de","\ub8df","\ub8e0","\ub8e1","\ub8e2","\ub8e3","\ub8e4","\ub8e5","\ub8e6","\ub8e7","\ub8e8","\ub8e9","\ub8ea","\ub8eb","\ub8ec","\ub8ed","\ub8ee","\ub8ef","\ub8f0","\ub8f1","\ub8f2","\ub8f3","\ub8f4","\ub8f5","\ub8f6","\ub8f7","\ub8f8","\ub8f9","\ub8fa","\ub8fb","\ub8fc","\ub8fd","\ub8fe","\ub8ff","\ub900","\ub901","\ub902","\ub903","\ub904","\ub905","\ub906","\ub907","\ub908","\ub909","\ub90a","\ub90b","\ub90c","\ub90d","\ub90e","\ub90f","\ub910","\ub911","\ub912","\ub913","\ub914","\ub915","\ub916","\ub917","\ub918","\ub919","\ub91a","\ub91b","\ub91c","\ub91d","\ub91e","\ub91f","\ub920","\ub921","\ub922","\ub923","\ub924","\ub925","\ub926","\ub927","\ub928","\ub929","\ub92a","\ub92b","\ub92c","\ub92d","\ub92e","\ub92f","\ub930","\ub931","\ub932","\ub933","\ub934","\ub935","\ub936","\ub937","\ub938","\ub939","\ub93a","\ub93b","\ub93c","\ub93d","\ub93e","\ub93f","\ub940","\ub941","\ub942","\ub943","\ub944","\ub945","\ub946","\ub947","\ub948","\ub949","\ub94a","\ub94b","\ub94c","\ub94d","\ub94e","\ub94f","\ub950","\ub951","\ub952","\ub953","\ub954","\ub955","\ub956","\ub957","\ub958","\ub959","\ub95a","\ub95b","\ub95c","\ub95d","\ub95e","\ub95f","\ub960","\ub961","\ub962","\ub963","\ub964","\ub965","\ub966","\ub967","\ub968","\ub969","\ub96a","\ub96b","\ub96c","\ub96d","\ub96e","\ub96f","\ub970","\ub971","\ub972","\ub973","\ub974","\ub975","\ub976","\ub977","\ub978","\ub979","\ub97a","\ub97b","\ub97c","\ub97d","\ub97e","\ub97f","\ub980","\ub981","\ub982","\ub983","\ub984","\ub985","\ub986","\ub987","\ub988","\ub989","\ub98a","\ub98b","\ub98c","\ub98d","\ub98e","\ub98f","\ub990","\ub991","\ub992","\ub993","\ub994","\ub995","\ub996","\ub997","\ub998","\ub999","\ub99a","\ub99b","\ub99c","\ub99d","\ub99e","\ub99f","\ub9a0","\ub9a1","\ub9a2","\ub9a3","\ub9a4","\ub9a5","\ub9a6","\ub9a7","\ub9a8","\ub9a9","\ub9aa","\ub9ab","\ub9ac","\ub9ad","\ub9ae","\ub9af","\ub9b0","\ub9b1","\ub9b2","\ub9b3","\ub9b4","\ub9b5","\ub9b6","\ub9b7","\ub9b8","\ub9b9","\ub9ba","\ub9bb","\ub9bc","\ub9bd","\ub9be","\ub9bf","\ub9c0","\ub9c1","\ub9c2","\ub9c3","\ub9c4","\ub9c5","\ub9c6","\ub9c7","\ub9c8","\ub9c9","\ub9ca","\ub9cb","\ub9cc","\ub9cd","\ub9ce","\ub9cf","\ub9d0","\ub9d1","\ub9d2","\ub9d3","\ub9d4","\ub9d5","\ub9d6","\ub9d7","\ub9d8","\ub9d9","\ub9da","\ub9db","\ub9dc","\ub9dd","\ub9de","\ub9df","\ub9e0","\ub9e1","\ub9e2","\ub9e3","\ub9e4","\ub9e5","\ub9e6","\ub9e7","\ub9e8","\ub9e9","\ub9ea","\ub9eb","\ub9ec","\ub9ed","\ub9ee","\ub9ef","\ub9f0","\ub9f1","\ub9f2","\ub9f3","\ub9f4","\ub9f5","\ub9f6","\ub9f7","\ub9f8","\ub9f9","\ub9fa","\ub9fb","\ub9fc","\ub9fd","\ub9fe","\ub9ff","\uba00","\uba01","\uba02","\uba03","\uba04","\uba05","\uba06","\uba07","\uba08","\uba09","\uba0a","\uba0b","\uba0c","\uba0d","\uba0e","\uba0f","\uba10","\uba11","\uba12","\uba13","\uba14","\uba15","\uba16","\uba17","\uba18","\uba19","\uba1a","\uba1b","\uba1c","\uba1d","\uba1e","\uba1f","\uba20","\uba21","\uba22","\uba23","\uba24","\uba25","\uba26","\uba27","\uba28","\uba29","\uba2a","\uba2b","\uba2c","\uba2d","\uba2e","\uba2f","\uba30","\uba31","\uba32","\uba33","\uba34","\uba35","\uba36","\uba37","\uba38","\uba39","\uba3a","\uba3b","\uba3c","\uba3d","\uba3e","\uba3f","\uba40","\uba41","\uba42","\uba43","\uba44","\uba45","\uba46","\uba47","\uba48","\uba49","\uba4a","\uba4b","\uba4c","\uba4d","\uba4e","\uba4f","\uba50","\uba51","\uba52","\uba53","\uba54","\uba55","\uba56","\uba57","\uba58","\uba59","\uba5a","\uba5b","\uba5c","\uba5d","\uba5e","\uba5f","\uba60","\uba61","\uba62","\uba63","\uba64","\uba65","\uba66","\uba67","\uba68","\uba69","\uba6a","\uba6b","\uba6c","\uba6d","\uba6e","\uba6f","\uba70","\uba71","\uba72","\uba73","\uba74","\uba75","\uba76","\uba77","\uba78","\uba79","\uba7a","\uba7b","\uba7c","\uba7d","\uba7e","\uba7f","\uba80","\uba81","\uba82","\uba83","\uba84","\uba85","\uba86","\uba87","\uba88","\uba89","\uba8a","\uba8b","\uba8c","\uba8d","\uba8e","\uba8f","\uba90","\uba91","\uba92","\uba93","\uba94","\uba95","\uba96","\uba97","\uba98","\uba99","\uba9a","\uba9b","\uba9c","\uba9d","\uba9e","\uba9f","\ubaa0","\ubaa1","\ubaa2","\ubaa3","\ubaa4","\ubaa5","\ubaa6","\ubaa7","\ubaa8","\ubaa9","\ubaaa","\ubaab","\ubaac","\ubaad","\ubaae","\ubaaf","\ubab0","\ubab1","\ubab2","\ubab3","\ubab4","\ubab5","\ubab6","\ubab7","\ubab8","\ubab9","\ubaba","\ubabb","\ubabc","\ubabd","\ubabe","\ubabf","\ubac0","\ubac1","\ubac2","\ubac3","\ubac4","\ubac5","\ubac6","\ubac7","\ubac8","\ubac9","\ubaca","\ubacb","\ubacc","\ubacd","\ubace","\ubacf","\ubad0","\ubad1","\ubad2","\ubad3","\ubad4","\ubad5","\ubad6","\ubad7","\ubad8","\ubad9","\ubada","\ubadb","\ubadc","\ubadd","\ubade","\ubadf","\ubae0","\ubae1","\ubae2","\ubae3","\ubae4","\ubae5","\ubae6","\ubae7","\ubae8","\ubae9","\ubaea","\ubaeb","\ubaec","\ubaed","\ubaee","\ubaef","\ubaf0","\ubaf1","\ubaf2","\ubaf3","\ubaf4","\ubaf5","\ubaf6","\ubaf7","\ubaf8","\ubaf9","\ubafa","\ubafb","\ubafc","\ubafd","\ubafe","\ubaff","\ubb00","\ubb01","\ubb02","\ubb03","\ubb04","\ubb05","\ubb06","\ubb07","\ubb08","\ubb09","\ubb0a","\ubb0b","\ubb0c","\ubb0d","\ubb0e","\ubb0f","\ubb10","\ubb11","\ubb12","\ubb13","\ubb14","\ubb15","\ubb16","\ubb17","\ubb18","\ubb19","\ubb1a","\ubb1b","\ubb1c","\ubb1d","\ubb1e","\ubb1f","\ubb20","\ubb21","\ubb22","\ubb23","\ubb24","\ubb25","\ubb26","\ubb27","\ubb28","\ubb29","\ubb2a","\ubb2b","\ubb2c","\ubb2d","\ubb2e","\ubb2f","\ubb30","\ubb31","\ubb32","\ubb33","\ubb34","\ubb35","\ubb36","\ubb37","\ubb38","\ubb39","\ubb3a","\ubb3b","\ubb3c","\ubb3d","\ubb3e","\ubb3f","\ubb40","\ubb41","\ubb42","\ubb43","\ubb44","\ubb45","\ubb46","\ubb47","\ubb48","\ubb49","\ubb4a","\ubb4b","\ubb4c","\ubb4d","\ubb4e","\ubb4f","\ubb50","\ubb51","\ubb52","\ubb53","\ubb54","\ubb55","\ubb56","\ubb57","\ubb58","\ubb59","\ubb5a","\ubb5b","\ubb5c","\ubb5d","\ubb5e","\ubb5f","\ubb60","\ubb61","\ubb62","\ubb63","\ubb64","\ubb65","\ubb66","\ubb67","\ubb68","\ubb69","\ubb6a","\ubb6b","\ubb6c","\ubb6d","\ubb6e","\ubb6f","\ubb70","\ubb71","\ubb72","\ubb73","\ubb74","\ubb75","\ubb76","\ubb77","\ubb78","\ubb79","\ubb7a","\ubb7b","\ubb7c","\ubb7d","\ubb7e","\ubb7f","\ubb80","\ubb81","\ubb82","\ubb83","\ubb84","\ubb85","\ubb86","\ubb87","\ubb88","\ubb89","\ubb8a","\ubb8b","\ubb8c","\ubb8d","\ubb8e","\ubb8f","\ubb90","\ubb91","\ubb92","\ubb93","\ubb94","\ubb95","\ubb96","\ubb97","\ubb98","\ubb99","\ubb9a","\ubb9b","\ubb9c","\ubb9d","\ubb9e","\ubb9f","\ubba0","\ubba1","\ubba2","\ubba3","\ubba4","\ubba5","\ubba6","\ubba7","\ubba8","\ubba9","\ubbaa","\ubbab","\ubbac","\ubbad","\ubbae","\ubbaf","\ubbb0","\ubbb1","\ubbb2","\ubbb3","\ubbb4","\ubbb5","\ubbb6","\ubbb7","\ubbb8","\ubbb9","\ubbba","\ubbbb","\ubbbc","\ubbbd","\ubbbe","\ubbbf","\ubbc0","\ubbc1","\ubbc2","\ubbc3","\ubbc4","\ubbc5","\ubbc6","\ubbc7","\ubbc8","\ubbc9","\ubbca","\ubbcb","\ubbcc","\ubbcd","\ubbce","\ubbcf","\ubbd0","\ubbd1","\ubbd2","\ubbd3","\ubbd4","\ubbd5","\ubbd6","\ubbd7","\ubbd8","\ubbd9","\ubbda","\ubbdb","\ubbdc","\ubbdd","\ubbde","\ubbdf","\ubbe0","\ubbe1","\ubbe2","\ubbe3","\ubbe4","\ubbe5","\ubbe6","\ubbe7","\ubbe8","\ubbe9","\ubbea","\ubbeb","\ubbec","\ubbed","\ubbee","\ubbef","\ubbf0","\ubbf1","\ubbf2","\ubbf3","\ubbf4","\ubbf5","\ubbf6","\ubbf7","\ubbf8","\ubbf9","\ubbfa","\ubbfb","\ubbfc","\ubbfd","\ubbfe","\ubbff","\ubc00","\ubc01","\ubc02","\ubc03","\ubc04","\ubc05","\ubc06","\ubc07","\ubc08","\ubc09","\ubc0a","\ubc0b","\ubc0c","\ubc0d","\ubc0e","\ubc0f","\ubc10","\ubc11","\ubc12","\ubc13","\ubc14","\ubc15","\ubc16","\ubc17","\ubc18","\ubc19","\ubc1a","\ubc1b","\ubc1c","\ubc1d","\ubc1e","\ubc1f","\ubc20","\ubc21","\ubc22","\ubc23","\ubc24","\ubc25","\ubc26","\ubc27","\ubc28","\ubc29","\ubc2a","\ubc2b","\ubc2c","\ubc2d","\ubc2e","\ubc2f","\ubc30","\ubc31","\ubc32","\ubc33","\ubc34","\ubc35","\ubc36","\ubc37","\ubc38","\ubc39","\ubc3a","\ubc3b","\ubc3c","\ubc3d","\ubc3e","\ubc3f","\ubc40","\ubc41","\ubc42","\ubc43","\ubc44","\ubc45","\ubc46","\ubc47","\ubc48","\ubc49","\ubc4a","\ubc4b","\ubc4c","\ubc4d","\ubc4e","\ubc4f","\ubc50","\ubc51","\ubc52","\ubc53","\ubc54","\ubc55","\ubc56","\ubc57","\ubc58","\ubc59","\ubc5a","\ubc5b","\ubc5c","\ubc5d","\ubc5e","\ubc5f","\ubc60","\ubc61","\ubc62","\ubc63","\ubc64","\ubc65","\ubc66","\ubc67","\ubc68","\ubc69","\ubc6a","\ubc6b","\ubc6c","\ubc6d","\ubc6e","\ubc6f","\ubc70","\ubc71","\ubc72","\ubc73","\ubc74","\ubc75","\ubc76","\ubc77","\ubc78","\ubc79","\ubc7a","\ubc7b","\ubc7c","\ubc7d","\ubc7e","\ubc7f","\ubc80","\ubc81","\ubc82","\ubc83","\ubc84","\ubc85","\ubc86","\ubc87","\ubc88","\ubc89","\ubc8a","\ubc8b","\ubc8c","\ubc8d","\ubc8e","\ubc8f","\ubc90","\ubc91","\ubc92","\ubc93","\ubc94","\ubc95","\ubc96","\ubc97","\ubc98","\ubc99","\ubc9a","\ubc9b","\ubc9c","\ubc9d","\ubc9e","\ubc9f","\ubca0","\ubca1","\ubca2","\ubca3","\ubca4","\ubca5","\ubca6","\ubca7","\ubca8","\ubca9","\ubcaa","\ubcab","\ubcac","\ubcad","\ubcae","\ubcaf","\ubcb0","\ubcb1","\ubcb2","\ubcb3","\ubcb4","\ubcb5","\ubcb6","\ubcb7","\ubcb8","\ubcb9","\ubcba","\ubcbb","\ubcbc","\ubcbd","\ubcbe","\ubcbf","\ubcc0","\ubcc1","\ubcc2","\ubcc3","\ubcc4","\ubcc5","\ubcc6","\ubcc7","\ubcc8","\ubcc9","\ubcca","\ubccb","\ubccc","\ubccd","\ubcce","\ubccf","\ubcd0","\ubcd1","\ubcd2","\ubcd3","\ubcd4","\ubcd5","\ubcd6","\ubcd7","\ubcd8","\ubcd9","\ubcda","\ubcdb","\ubcdc","\ubcdd","\ubcde","\ubcdf","\ubce0","\ubce1","\ubce2","\ubce3","\ubce4","\ubce5","\ubce6","\ubce7","\ubce8","\ubce9","\ubcea","\ubceb","\ubcec","\ubced","\ubcee","\ubcef","\ubcf0","\ubcf1","\ubcf2","\ubcf3","\ubcf4","\ubcf5","\ubcf6","\ubcf7","\ubcf8","\ubcf9","\ubcfa","\ubcfb","\ubcfc","\ubcfd","\ubcfe","\ubcff","\ubd00","\ubd01","\ubd02","\ubd03","\ubd04","\ubd05","\ubd06","\ubd07","\ubd08","\ubd09","\ubd0a","\ubd0b","\ubd0c","\ubd0d","\ubd0e","\ubd0f","\ubd10","\ubd11","\ubd12","\ubd13","\ubd14","\ubd15","\ubd16","\ubd17","\ubd18","\ubd19","\ubd1a","\ubd1b","\ubd1c","\ubd1d","\ubd1e","\ubd1f","\ubd20","\ubd21","\ubd22","\ubd23","\ubd24","\ubd25","\ubd26","\ubd27","\ubd28","\ubd29","\ubd2a","\ubd2b","\ubd2c","\ubd2d","\ubd2e","\ubd2f","\ubd30","\ubd31","\ubd32","\ubd33","\ubd34","\ubd35","\ubd36","\ubd37","\ubd38","\ubd39","\ubd3a","\ubd3b","\ubd3c","\ubd3d","\ubd3e","\ubd3f","\ubd40","\ubd41","\ubd42","\ubd43","\ubd44","\ubd45","\ubd46","\ubd47","\ubd48","\ubd49","\ubd4a","\ubd4b","\ubd4c","\ubd4d","\ubd4e","\ubd4f","\ubd50","\ubd51","\ubd52","\ubd53","\ubd54","\ubd55","\ubd56","\ubd57","\ubd58","\ubd59","\ubd5a","\ubd5b","\ubd5c","\ubd5d","\ubd5e","\ubd5f","\ubd60","\ubd61","\ubd62","\ubd63","\ubd64","\ubd65","\ubd66","\ubd67","\ubd68","\ubd69","\ubd6a","\ubd6b","\ubd6c","\ubd6d","\ubd6e","\ubd6f","\ubd70","\ubd71","\ubd72","\ubd73","\ubd74","\ubd75","\ubd76","\ubd77","\ubd78","\ubd79","\ubd7a","\ubd7b","\ubd7c","\ubd7d","\ubd7e","\ubd7f","\ubd80","\ubd81","\ubd82","\ubd83","\ubd84","\ubd85","\ubd86","\ubd87","\ubd88","\ubd89","\ubd8a","\ubd8b","\ubd8c","\ubd8d","\ubd8e","\ubd8f","\ubd90","\ubd91","\ubd92","\ubd93","\ubd94","\ubd95","\ubd96","\ubd97","\ubd98","\ubd99","\ubd9a","\ubd9b","\ubd9c","\ubd9d","\ubd9e","\ubd9f","\ubda0","\ubda1","\ubda2","\ubda3","\ubda4","\ubda5","\ubda6","\ubda7","\ubda8","\ubda9","\ubdaa","\ubdab","\ubdac","\ubdad","\ubdae","\ubdaf","\ubdb0","\ubdb1","\ubdb2","\ubdb3","\ubdb4","\ubdb5","\ubdb6","\ubdb7","\ubdb8","\ubdb9","\ubdba","\ubdbb","\ubdbc","\ubdbd","\ubdbe","\ubdbf","\ubdc0","\ubdc1","\ubdc2","\ubdc3","\ubdc4","\ubdc5","\ubdc6","\ubdc7","\ubdc8","\ubdc9","\ubdca","\ubdcb","\ubdcc","\ubdcd","\ubdce","\ubdcf","\ubdd0","\ubdd1","\ubdd2","\ubdd3","\ubdd4","\ubdd5","\ubdd6","\ubdd7","\ubdd8","\ubdd9","\ubdda","\ubddb","\ubddc","\ubddd","\ubdde","\ubddf","\ubde0","\ubde1","\ubde2","\ubde3","\ubde4","\ubde5","\ubde6","\ubde7","\ubde8","\ubde9","\ubdea","\ubdeb","\ubdec","\ubded","\ubdee","\ubdef","\ubdf0","\ubdf1","\ubdf2","\ubdf3","\ubdf4","\ubdf5","\ubdf6","\ubdf7","\ubdf8","\ubdf9","\ubdfa","\ubdfb","\ubdfc","\ubdfd","\ubdfe","\ubdff","\ube00","\ube01","\ube02","\ube03","\ube04","\ube05","\ube06","\ube07","\ube08","\ube09","\ube0a","\ube0b","\ube0c","\ube0d","\ube0e","\ube0f","\ube10","\ube11","\ube12","\ube13","\ube14","\ube15","\ube16","\ube17","\ube18","\ube19","\ube1a","\ube1b","\ube1c","\ube1d","\ube1e","\ube1f","\ube20","\ube21","\ube22","\ube23","\ube24","\ube25","\ube26","\ube27","\ube28","\ube29","\ube2a","\ube2b","\ube2c","\ube2d","\ube2e","\ube2f","\ube30","\ube31","\ube32","\ube33","\ube34","\ube35","\ube36","\ube37","\ube38","\ube39","\ube3a","\ube3b","\ube3c","\ube3d","\ube3e","\ube3f","\ube40","\ube41","\ube42","\ube43","\ube44","\ube45","\ube46","\ube47","\ube48","\ube49","\ube4a","\ube4b","\ube4c","\ube4d","\ube4e","\ube4f","\ube50","\ube51","\ube52","\ube53","\ube54","\ube55","\ube56","\ube57","\ube58","\ube59","\ube5a","\ube5b","\ube5c","\ube5d","\ube5e","\ube5f","\ube60","\ube61","\ube62","\ube63","\ube64","\ube65","\ube66","\ube67","\ube68","\ube69","\ube6a","\ube6b","\ube6c","\ube6d","\ube6e","\ube6f","\ube70","\ube71","\ube72","\ube73","\ube74","\ube75","\ube76","\ube77","\ube78","\ube79","\ube7a","\ube7b","\ube7c","\ube7d","\ube7e","\ube7f","\ube80","\ube81","\ube82","\ube83","\ube84","\ube85","\ube86","\ube87","\ube88","\ube89","\ube8a","\ube8b","\ube8c","\ube8d","\ube8e","\ube8f","\ube90","\ube91","\ube92","\ube93","\ube94","\ube95","\ube96","\ube97","\ube98","\ube99","\ube9a","\ube9b","\ube9c","\ube9d","\ube9e","\ube9f","\ubea0","\ubea1","\ubea2","\ubea3","\ubea4","\ubea5","\ubea6","\ubea7","\ubea8","\ubea9","\ubeaa","\ubeab","\ubeac","\ubead","\ubeae","\ubeaf","\ubeb0","\ubeb1","\ubeb2","\ubeb3","\ubeb4","\ubeb5","\ubeb6","\ubeb7","\ubeb8","\ubeb9","\ubeba","\ubebb","\ubebc","\ubebd","\ubebe","\ubebf","\ubec0","\ubec1","\ubec2","\ubec3","\ubec4","\ubec5","\ubec6","\ubec7","\ubec8","\ubec9","\ubeca","\ubecb","\ubecc","\ubecd","\ubece","\ubecf","\ubed0","\ubed1","\ubed2","\ubed3","\ubed4","\ubed5","\ubed6","\ubed7","\ubed8","\ubed9","\ubeda","\ubedb","\ubedc","\ubedd","\ubede","\ubedf","\ubee0","\ubee1","\ubee2","\ubee3","\ubee4","\ubee5","\ubee6","\ubee7","\ubee8","\ubee9","\ubeea","\ubeeb","\ubeec","\ubeed","\ubeee","\ubeef","\ubef0","\ubef1","\ubef2","\ubef3","\ubef4","\ubef5","\ubef6","\ubef7","\ubef8","\ubef9","\ubefa","\ubefb","\ubefc","\ubefd","\ubefe","\ubeff","\ubf00","\ubf01","\ubf02","\ubf03","\ubf04","\ubf05","\ubf06","\ubf07","\ubf08","\ubf09","\ubf0a","\ubf0b","\ubf0c","\ubf0d","\ubf0e","\ubf0f","\ubf10","\ubf11","\ubf12","\ubf13","\ubf14","\ubf15","\ubf16","\ubf17","\ubf18","\ubf19","\ubf1a","\ubf1b","\ubf1c","\ubf1d","\ubf1e","\ubf1f","\ubf20","\ubf21","\ubf22","\ubf23","\ubf24","\ubf25","\ubf26","\ubf27","\ubf28","\ubf29","\ubf2a","\ubf2b","\ubf2c","\ubf2d","\ubf2e","\ubf2f","\ubf30","\ubf31","\ubf32","\ubf33","\ubf34","\ubf35","\ubf36","\ubf37","\ubf38","\ubf39","\ubf3a","\ubf3b","\ubf3c","\ubf3d","\ubf3e","\ubf3f","\ubf40","\ubf41","\ubf42","\ubf43","\ubf44","\ubf45","\ubf46","\ubf47","\ubf48","\ubf49","\ubf4a","\ubf4b","\ubf4c","\ubf4d","\ubf4e","\ubf4f","\ubf50","\ubf51","\ubf52","\ubf53","\ubf54","\ubf55","\ubf56","\ubf57","\ubf58","\ubf59","\ubf5a","\ubf5b","\ubf5c","\ubf5d","\ubf5e","\ubf5f","\ubf60","\ubf61","\ubf62","\ubf63","\ubf64","\ubf65","\ubf66","\ubf67","\ubf68","\ubf69","\ubf6a","\ubf6b","\ubf6c","\ubf6d","\ubf6e","\ubf6f","\ubf70","\ubf71","\ubf72","\ubf73","\ubf74","\ubf75","\ubf76","\ubf77","\ubf78","\ubf79","\ubf7a","\ubf7b","\ubf7c","\ubf7d","\ubf7e","\ubf7f","\ubf80","\ubf81","\ubf82","\ubf83","\ubf84","\ubf85","\ubf86","\ubf87","\ubf88","\ubf89","\ubf8a","\ubf8b","\ubf8c","\ubf8d","\ubf8e","\ubf8f","\ubf90","\ubf91","\ubf92","\ubf93","\ubf94","\ubf95","\ubf96","\ubf97","\ubf98","\ubf99","\ubf9a","\ubf9b","\ubf9c","\ubf9d","\ubf9e","\ubf9f","\ubfa0","\ubfa1","\ubfa2","\ubfa3","\ubfa4","\ubfa5","\ubfa6","\ubfa7","\ubfa8","\ubfa9","\ubfaa","\ubfab","\ubfac","\ubfad","\ubfae","\ubfaf","\ubfb0","\ubfb1","\ubfb2","\ubfb3","\ubfb4","\ubfb5","\ubfb6","\ubfb7","\ubfb8","\ubfb9","\ubfba","\ubfbb","\ubfbc","\ubfbd","\ubfbe","\ubfbf","\ubfc0","\ubfc1","\ubfc2","\ubfc3","\ubfc4","\ubfc5","\ubfc6","\ubfc7","\ubfc8","\ubfc9","\ubfca","\ubfcb","\ubfcc","\ubfcd","\ubfce","\ubfcf","\ubfd0","\ubfd1","\ubfd2","\ubfd3","\ubfd4","\ubfd5","\ubfd6","\ubfd7","\ubfd8","\ubfd9","\ubfda","\ubfdb","\ubfdc","\ubfdd","\ubfde","\ubfdf","\ubfe0","\ubfe1","\ubfe2","\ubfe3","\ubfe4","\ubfe5","\ubfe6","\ubfe7","\ubfe8","\ubfe9","\ubfea","\ubfeb","\ubfec","\ubfed","\ubfee","\ubfef","\ubff0","\ubff1","\ubff2","\ubff3","\ubff4","\ubff5","\ubff6","\ubff7","\ubff8","\ubff9","\ubffa","\ubffb","\ubffc","\ubffd","\ubffe","\ubfff","\uc000","\uc001","\uc002","\uc003","\uc004","\uc005","\uc006","\uc007","\uc008","\uc009","\uc00a","\uc00b","\uc00c","\uc00d","\uc00e","\uc00f","\uc010","\uc011","\uc012","\uc013","\uc014","\uc015","\uc016","\uc017","\uc018","\uc019","\uc01a","\uc01b","\uc01c","\uc01d","\uc01e","\uc01f","\uc020","\uc021","\uc022","\uc023","\uc024","\uc025","\uc026","\uc027","\uc028","\uc029","\uc02a","\uc02b","\uc02c","\uc02d","\uc02e","\uc02f","\uc030","\uc031","\uc032","\uc033","\uc034","\uc035","\uc036","\uc037","\uc038","\uc039","\uc03a","\uc03b","\uc03c","\uc03d","\uc03e","\uc03f","\uc040","\uc041","\uc042","\uc043","\uc044","\uc045","\uc046","\uc047","\uc048","\uc049","\uc04a","\uc04b","\uc04c","\uc04d","\uc04e","\uc04f","\uc050","\uc051","\uc052","\uc053","\uc054","\uc055","\uc056","\uc057","\uc058","\uc059","\uc05a","\uc05b","\uc05c","\uc05d","\uc05e","\uc05f","\uc060","\uc061","\uc062","\uc063","\uc064","\uc065","\uc066","\uc067","\uc068","\uc069","\uc06a","\uc06b","\uc06c","\uc06d","\uc06e","\uc06f","\uc070","\uc071","\uc072","\uc073","\uc074","\uc075","\uc076","\uc077","\uc078","\uc079","\uc07a","\uc07b","\uc07c","\uc07d","\uc07e","\uc07f","\uc080","\uc081","\uc082","\uc083","\uc084","\uc085","\uc086","\uc087","\uc088","\uc089","\uc08a","\uc08b","\uc08c","\uc08d","\uc08e","\uc08f","\uc090","\uc091","\uc092","\uc093","\uc094","\uc095","\uc096","\uc097","\uc098","\uc099","\uc09a","\uc09b","\uc09c","\uc09d","\uc09e","\uc09f","\uc0a0","\uc0a1","\uc0a2","\uc0a3","\uc0a4","\uc0a5","\uc0a6","\uc0a7","\uc0a8","\uc0a9","\uc0aa","\uc0ab","\uc0ac","\uc0ad","\uc0ae","\uc0af","\uc0b0","\uc0b1","\uc0b2","\uc0b3","\uc0b4","\uc0b5","\uc0b6","\uc0b7","\uc0b8","\uc0b9","\uc0ba","\uc0bb","\uc0bc","\uc0bd","\uc0be","\uc0bf","\uc0c0","\uc0c1","\uc0c2","\uc0c3","\uc0c4","\uc0c5","\uc0c6","\uc0c7","\uc0c8","\uc0c9","\uc0ca","\uc0cb","\uc0cc","\uc0cd","\uc0ce","\uc0cf","\uc0d0","\uc0d1","\uc0d2","\uc0d3","\uc0d4","\uc0d5","\uc0d6","\uc0d7","\uc0d8","\uc0d9","\uc0da","\uc0db","\uc0dc","\uc0dd","\uc0de","\uc0df","\uc0e0","\uc0e1","\uc0e2","\uc0e3","\uc0e4","\uc0e5","\uc0e6","\uc0e7","\uc0e8","\uc0e9","\uc0ea","\uc0eb","\uc0ec","\uc0ed","\uc0ee","\uc0ef","\uc0f0","\uc0f1","\uc0f2","\uc0f3","\uc0f4","\uc0f5","\uc0f6","\uc0f7","\uc0f8","\uc0f9","\uc0fa","\uc0fb","\uc0fc","\uc0fd","\uc0fe","\uc0ff","\uc100","\uc101","\uc102","\uc103","\uc104","\uc105","\uc106","\uc107","\uc108","\uc109","\uc10a","\uc10b","\uc10c","\uc10d","\uc10e","\uc10f","\uc110","\uc111","\uc112","\uc113","\uc114","\uc115","\uc116","\uc117","\uc118","\uc119","\uc11a","\uc11b","\uc11c","\uc11d","\uc11e","\uc11f","\uc120","\uc121","\uc122","\uc123","\uc124","\uc125","\uc126","\uc127","\uc128","\uc129","\uc12a","\uc12b","\uc12c","\uc12d","\uc12e","\uc12f","\uc130","\uc131","\uc132","\uc133","\uc134","\uc135","\uc136","\uc137","\uc138","\uc139","\uc13a","\uc13b","\uc13c","\uc13d","\uc13e","\uc13f","\uc140","\uc141","\uc142","\uc143","\uc144","\uc145","\uc146","\uc147","\uc148","\uc149","\uc14a","\uc14b","\uc14c","\uc14d","\uc14e","\uc14f","\uc150","\uc151","\uc152","\uc153","\uc154","\uc155","\uc156","\uc157","\uc158","\uc159","\uc15a","\uc15b","\uc15c","\uc15d","\uc15e","\uc15f","\uc160","\uc161","\uc162","\uc163","\uc164","\uc165","\uc166","\uc167","\uc168","\uc169","\uc16a","\uc16b","\uc16c","\uc16d","\uc16e","\uc16f","\uc170","\uc171","\uc172","\uc173","\uc174","\uc175","\uc176","\uc177","\uc178","\uc179","\uc17a","\uc17b","\uc17c","\uc17d","\uc17e","\uc17f","\uc180","\uc181","\uc182","\uc183","\uc184","\uc185","\uc186","\uc187","\uc188","\uc189","\uc18a","\uc18b","\uc18c","\uc18d","\uc18e","\uc18f","\uc190","\uc191","\uc192","\uc193","\uc194","\uc195","\uc196","\uc197","\uc198","\uc199","\uc19a","\uc19b","\uc19c","\uc19d","\uc19e","\uc19f","\uc1a0","\uc1a1","\uc1a2","\uc1a3","\uc1a4","\uc1a5","\uc1a6","\uc1a7","\uc1a8","\uc1a9","\uc1aa","\uc1ab","\uc1ac","\uc1ad","\uc1ae","\uc1af","\uc1b0","\uc1b1","\uc1b2","\uc1b3","\uc1b4","\uc1b5","\uc1b6","\uc1b7","\uc1b8","\uc1b9","\uc1ba","\uc1bb","\uc1bc","\uc1bd","\uc1be","\uc1bf","\uc1c0","\uc1c1","\uc1c2","\uc1c3","\uc1c4","\uc1c5","\uc1c6","\uc1c7","\uc1c8","\uc1c9","\uc1ca","\uc1cb","\uc1cc","\uc1cd","\uc1ce","\uc1cf","\uc1d0","\uc1d1","\uc1d2","\uc1d3","\uc1d4","\uc1d5","\uc1d6","\uc1d7","\uc1d8","\uc1d9","\uc1da","\uc1db","\uc1dc","\uc1dd","\uc1de","\uc1df","\uc1e0","\uc1e1","\uc1e2","\uc1e3","\uc1e4","\uc1e5","\uc1e6","\uc1e7","\uc1e8","\uc1e9","\uc1ea","\uc1eb","\uc1ec","\uc1ed","\uc1ee","\uc1ef","\uc1f0","\uc1f1","\uc1f2","\uc1f3","\uc1f4","\uc1f5","\uc1f6","\uc1f7","\uc1f8","\uc1f9","\uc1fa","\uc1fb","\uc1fc","\uc1fd","\uc1fe","\uc1ff","\uc200","\uc201","\uc202","\uc203","\uc204","\uc205","\uc206","\uc207","\uc208","\uc209","\uc20a","\uc20b","\uc20c","\uc20d","\uc20e","\uc20f","\uc210","\uc211","\uc212","\uc213","\uc214","\uc215","\uc216","\uc217","\uc218","\uc219","\uc21a","\uc21b","\uc21c","\uc21d","\uc21e","\uc21f","\uc220","\uc221","\uc222","\uc223","\uc224","\uc225","\uc226","\uc227","\uc228","\uc229","\uc22a","\uc22b","\uc22c","\uc22d","\uc22e","\uc22f","\uc230","\uc231","\uc232","\uc233","\uc234","\uc235","\uc236","\uc237","\uc238","\uc239","\uc23a","\uc23b","\uc23c","\uc23d","\uc23e","\uc23f","\uc240","\uc241","\uc242","\uc243","\uc244","\uc245","\uc246","\uc247","\uc248","\uc249","\uc24a","\uc24b","\uc24c","\uc24d","\uc24e","\uc24f","\uc250","\uc251","\uc252","\uc253","\uc254","\uc255","\uc256","\uc257","\uc258","\uc259","\uc25a","\uc25b","\uc25c","\uc25d","\uc25e","\uc25f","\uc260","\uc261","\uc262","\uc263","\uc264","\uc265","\uc266","\uc267","\uc268","\uc269","\uc26a","\uc26b","\uc26c","\uc26d","\uc26e","\uc26f","\uc270","\uc271","\uc272","\uc273","\uc274","\uc275","\uc276","\uc277","\uc278","\uc279","\uc27a","\uc27b","\uc27c","\uc27d","\uc27e","\uc27f","\uc280","\uc281","\uc282","\uc283","\uc284","\uc285","\uc286","\uc287","\uc288","\uc289","\uc28a","\uc28b","\uc28c","\uc28d","\uc28e","\uc28f","\uc290","\uc291","\uc292","\uc293","\uc294","\uc295","\uc296","\uc297","\uc298","\uc299","\uc29a","\uc29b","\uc29c","\uc29d","\uc29e","\uc29f","\uc2a0","\uc2a1","\uc2a2","\uc2a3","\uc2a4","\uc2a5","\uc2a6","\uc2a7","\uc2a8","\uc2a9","\uc2aa","\uc2ab","\uc2ac","\uc2ad","\uc2ae","\uc2af","\uc2b0","\uc2b1","\uc2b2","\uc2b3","\uc2b4","\uc2b5","\uc2b6","\uc2b7","\uc2b8","\uc2b9","\uc2ba","\uc2bb","\uc2bc","\uc2bd","\uc2be","\uc2bf","\uc2c0","\uc2c1","\uc2c2","\uc2c3","\uc2c4","\uc2c5","\uc2c6","\uc2c7","\uc2c8","\uc2c9","\uc2ca","\uc2cb","\uc2cc","\uc2cd","\uc2ce","\uc2cf","\uc2d0","\uc2d1","\uc2d2","\uc2d3","\uc2d4","\uc2d5","\uc2d6","\uc2d7","\uc2d8","\uc2d9","\uc2da","\uc2db","\uc2dc","\uc2dd","\uc2de","\uc2df","\uc2e0","\uc2e1","\uc2e2","\uc2e3","\uc2e4","\uc2e5","\uc2e6","\uc2e7","\uc2e8","\uc2e9","\uc2ea","\uc2eb","\uc2ec","\uc2ed","\uc2ee","\uc2ef","\uc2f0","\uc2f1","\uc2f2","\uc2f3","\uc2f4","\uc2f5","\uc2f6","\uc2f7","\uc2f8","\uc2f9","\uc2fa","\uc2fb","\uc2fc","\uc2fd","\uc2fe","\uc2ff","\uc300","\uc301","\uc302","\uc303","\uc304","\uc305","\uc306","\uc307","\uc308","\uc309","\uc30a","\uc30b","\uc30c","\uc30d","\uc30e","\uc30f","\uc310","\uc311","\uc312","\uc313","\uc314","\uc315","\uc316","\uc317","\uc318","\uc319","\uc31a","\uc31b","\uc31c","\uc31d","\uc31e","\uc31f","\uc320","\uc321","\uc322","\uc323","\uc324","\uc325","\uc326","\uc327","\uc328","\uc329","\uc32a","\uc32b","\uc32c","\uc32d","\uc32e","\uc32f","\uc330","\uc331","\uc332","\uc333","\uc334","\uc335","\uc336","\uc337","\uc338","\uc339","\uc33a","\uc33b","\uc33c","\uc33d","\uc33e","\uc33f","\uc340","\uc341","\uc342","\uc343","\uc344","\uc345","\uc346","\uc347","\uc348","\uc349","\uc34a","\uc34b","\uc34c","\uc34d","\uc34e","\uc34f","\uc350","\uc351","\uc352","\uc353","\uc354","\uc355","\uc356","\uc357","\uc358","\uc359","\uc35a","\uc35b","\uc35c","\uc35d","\uc35e","\uc35f","\uc360","\uc361","\uc362","\uc363","\uc364","\uc365","\uc366","\uc367","\uc368","\uc369","\uc36a","\uc36b","\uc36c","\uc36d","\uc36e","\uc36f","\uc370","\uc371","\uc372","\uc373","\uc374","\uc375","\uc376","\uc377","\uc378","\uc379","\uc37a","\uc37b","\uc37c","\uc37d","\uc37e","\uc37f","\uc380","\uc381","\uc382","\uc383","\uc384","\uc385","\uc386","\uc387","\uc388","\uc389","\uc38a","\uc38b","\uc38c","\uc38d","\uc38e","\uc38f","\uc390","\uc391","\uc392","\uc393","\uc394","\uc395","\uc396","\uc397","\uc398","\uc399","\uc39a","\uc39b","\uc39c","\uc39d","\uc39e","\uc39f","\uc3a0","\uc3a1","\uc3a2","\uc3a3","\uc3a4","\uc3a5","\uc3a6","\uc3a7","\uc3a8","\uc3a9","\uc3aa","\uc3ab","\uc3ac","\uc3ad","\uc3ae","\uc3af","\uc3b0","\uc3b1","\uc3b2","\uc3b3","\uc3b4","\uc3b5","\uc3b6","\uc3b7","\uc3b8","\uc3b9","\uc3ba","\uc3bb","\uc3bc","\uc3bd","\uc3be","\uc3bf","\uc3c0","\uc3c1","\uc3c2","\uc3c3","\uc3c4","\uc3c5","\uc3c6","\uc3c7","\uc3c8","\uc3c9","\uc3ca","\uc3cb","\uc3cc","\uc3cd","\uc3ce","\uc3cf","\uc3d0","\uc3d1","\uc3d2","\uc3d3","\uc3d4","\uc3d5","\uc3d6","\uc3d7","\uc3d8","\uc3d9","\uc3da","\uc3db","\uc3dc","\uc3dd","\uc3de","\uc3df","\uc3e0","\uc3e1","\uc3e2","\uc3e3","\uc3e4","\uc3e5","\uc3e6","\uc3e7","\uc3e8","\uc3e9","\uc3ea","\uc3eb","\uc3ec","\uc3ed","\uc3ee","\uc3ef","\uc3f0","\uc3f1","\uc3f2","\uc3f3","\uc3f4","\uc3f5","\uc3f6","\uc3f7","\uc3f8","\uc3f9","\uc3fa","\uc3fb","\uc3fc","\uc3fd","\uc3fe","\uc3ff","\uc400","\uc401","\uc402","\uc403","\uc404","\uc405","\uc406","\uc407","\uc408","\uc409","\uc40a","\uc40b","\uc40c","\uc40d","\uc40e","\uc40f","\uc410","\uc411","\uc412","\uc413","\uc414","\uc415","\uc416","\uc417","\uc418","\uc419","\uc41a","\uc41b","\uc41c","\uc41d","\uc41e","\uc41f","\uc420","\uc421","\uc422","\uc423","\uc424","\uc425","\uc426","\uc427","\uc428","\uc429","\uc42a","\uc42b","\uc42c","\uc42d","\uc42e","\uc42f","\uc430","\uc431","\uc432","\uc433","\uc434","\uc435","\uc436","\uc437","\uc438","\uc439","\uc43a","\uc43b","\uc43c","\uc43d","\uc43e","\uc43f","\uc440","\uc441","\uc442","\uc443","\uc444","\uc445","\uc446","\uc447","\uc448","\uc449","\uc44a","\uc44b","\uc44c","\uc44d","\uc44e","\uc44f","\uc450","\uc451","\uc452","\uc453","\uc454","\uc455","\uc456","\uc457","\uc458","\uc459","\uc45a","\uc45b","\uc45c","\uc45d","\uc45e","\uc45f","\uc460","\uc461","\uc462","\uc463","\uc464","\uc465","\uc466","\uc467","\uc468","\uc469","\uc46a","\uc46b","\uc46c","\uc46d","\uc46e","\uc46f","\uc470","\uc471","\uc472","\uc473","\uc474","\uc475","\uc476","\uc477","\uc478","\uc479","\uc47a","\uc47b","\uc47c","\uc47d","\uc47e","\uc47f","\uc480","\uc481","\uc482","\uc483","\uc484","\uc485","\uc486","\uc487","\uc488","\uc489","\uc48a","\uc48b","\uc48c","\uc48d","\uc48e","\uc48f","\uc490","\uc491","\uc492","\uc493","\uc494","\uc495","\uc496","\uc497","\uc498","\uc499","\uc49a","\uc49b","\uc49c","\uc49d","\uc49e","\uc49f","\uc4a0","\uc4a1","\uc4a2","\uc4a3","\uc4a4","\uc4a5","\uc4a6","\uc4a7","\uc4a8","\uc4a9","\uc4aa","\uc4ab","\uc4ac","\uc4ad","\uc4ae","\uc4af","\uc4b0","\uc4b1","\uc4b2","\uc4b3","\uc4b4","\uc4b5","\uc4b6","\uc4b7","\uc4b8","\uc4b9","\uc4ba","\uc4bb","\uc4bc","\uc4bd","\uc4be","\uc4bf","\uc4c0","\uc4c1","\uc4c2","\uc4c3","\uc4c4","\uc4c5","\uc4c6","\uc4c7","\uc4c8","\uc4c9","\uc4ca","\uc4cb","\uc4cc","\uc4cd","\uc4ce","\uc4cf","\uc4d0","\uc4d1","\uc4d2","\uc4d3","\uc4d4","\uc4d5","\uc4d6","\uc4d7","\uc4d8","\uc4d9","\uc4da","\uc4db","\uc4dc","\uc4dd","\uc4de","\uc4df","\uc4e0","\uc4e1","\uc4e2","\uc4e3","\uc4e4","\uc4e5","\uc4e6","\uc4e7","\uc4e8","\uc4e9","\uc4ea","\uc4eb","\uc4ec","\uc4ed","\uc4ee","\uc4ef","\uc4f0","\uc4f1","\uc4f2","\uc4f3","\uc4f4","\uc4f5","\uc4f6","\uc4f7","\uc4f8","\uc4f9","\uc4fa","\uc4fb","\uc4fc","\uc4fd","\uc4fe","\uc4ff","\uc500","\uc501","\uc502","\uc503","\uc504","\uc505","\uc506","\uc507","\uc508","\uc509","\uc50a","\uc50b","\uc50c","\uc50d","\uc50e","\uc50f","\uc510","\uc511","\uc512","\uc513","\uc514","\uc515","\uc516","\uc517","\uc518","\uc519","\uc51a","\uc51b","\uc51c","\uc51d","\uc51e","\uc51f","\uc520","\uc521","\uc522","\uc523","\uc524","\uc525","\uc526","\uc527","\uc528","\uc529","\uc52a","\uc52b","\uc52c","\uc52d","\uc52e","\uc52f","\uc530","\uc531","\uc532","\uc533","\uc534","\uc535","\uc536","\uc537","\uc538","\uc539","\uc53a","\uc53b","\uc53c","\uc53d","\uc53e","\uc53f","\uc540","\uc541","\uc542","\uc543","\uc544","\uc545","\uc546","\uc547","\uc548","\uc549","\uc54a","\uc54b","\uc54c","\uc54d","\uc54e","\uc54f","\uc550","\uc551","\uc552","\uc553","\uc554","\uc555","\uc556","\uc557","\uc558","\uc559","\uc55a","\uc55b","\uc55c","\uc55d","\uc55e","\uc55f","\uc560","\uc561","\uc562","\uc563","\uc564","\uc565","\uc566","\uc567","\uc568","\uc569","\uc56a","\uc56b","\uc56c","\uc56d","\uc56e","\uc56f","\uc570","\uc571","\uc572","\uc573","\uc574","\uc575","\uc576","\uc577","\uc578","\uc579","\uc57a","\uc57b","\uc57c","\uc57d","\uc57e","\uc57f","\uc580","\uc581","\uc582","\uc583","\uc584","\uc585","\uc586","\uc587","\uc588","\uc589","\uc58a","\uc58b","\uc58c","\uc58d","\uc58e","\uc58f","\uc590","\uc591","\uc592","\uc593","\uc594","\uc595","\uc596","\uc597","\uc598","\uc599","\uc59a","\uc59b","\uc59c","\uc59d","\uc59e","\uc59f","\uc5a0","\uc5a1","\uc5a2","\uc5a3","\uc5a4","\uc5a5","\uc5a6","\uc5a7","\uc5a8","\uc5a9","\uc5aa","\uc5ab","\uc5ac","\uc5ad","\uc5ae","\uc5af","\uc5b0","\uc5b1","\uc5b2","\uc5b3","\uc5b4","\uc5b5","\uc5b6","\uc5b7","\uc5b8","\uc5b9","\uc5ba","\uc5bb","\uc5bc","\uc5bd","\uc5be","\uc5bf","\uc5c0","\uc5c1","\uc5c2","\uc5c3","\uc5c4","\uc5c5","\uc5c6","\uc5c7","\uc5c8","\uc5c9","\uc5ca","\uc5cb","\uc5cc","\uc5cd","\uc5ce","\uc5cf","\uc5d0","\uc5d1","\uc5d2","\uc5d3","\uc5d4","\uc5d5","\uc5d6","\uc5d7","\uc5d8","\uc5d9","\uc5da","\uc5db","\uc5dc","\uc5dd","\uc5de","\uc5df","\uc5e0","\uc5e1","\uc5e2","\uc5e3","\uc5e4","\uc5e5","\uc5e6","\uc5e7","\uc5e8","\uc5e9","\uc5ea","\uc5eb","\uc5ec","\uc5ed","\uc5ee","\uc5ef","\uc5f0","\uc5f1","\uc5f2","\uc5f3","\uc5f4","\uc5f5","\uc5f6","\uc5f7","\uc5f8","\uc5f9","\uc5fa","\uc5fb","\uc5fc","\uc5fd","\uc5fe","\uc5ff","\uc600","\uc601","\uc602","\uc603","\uc604","\uc605","\uc606","\uc607","\uc608","\uc609","\uc60a","\uc60b","\uc60c","\uc60d","\uc60e","\uc60f","\uc610","\uc611","\uc612","\uc613","\uc614","\uc615","\uc616","\uc617","\uc618","\uc619","\uc61a","\uc61b","\uc61c","\uc61d","\uc61e","\uc61f","\uc620","\uc621","\uc622","\uc623","\uc624","\uc625","\uc626","\uc627","\uc628","\uc629","\uc62a","\uc62b","\uc62c","\uc62d","\uc62e","\uc62f","\uc630","\uc631","\uc632","\uc633","\uc634","\uc635","\uc636","\uc637","\uc638","\uc639","\uc63a","\uc63b","\uc63c","\uc63d","\uc63e","\uc63f","\uc640","\uc641","\uc642","\uc643","\uc644","\uc645","\uc646","\uc647","\uc648","\uc649","\uc64a","\uc64b","\uc64c","\uc64d","\uc64e","\uc64f","\uc650","\uc651","\uc652","\uc653","\uc654","\uc655","\uc656","\uc657","\uc658","\uc659","\uc65a","\uc65b","\uc65c","\uc65d","\uc65e","\uc65f","\uc660","\uc661","\uc662","\uc663","\uc664","\uc665","\uc666","\uc667","\uc668","\uc669","\uc66a","\uc66b","\uc66c","\uc66d","\uc66e","\uc66f","\uc670","\uc671","\uc672","\uc673","\uc674","\uc675","\uc676","\uc677","\uc678","\uc679","\uc67a","\uc67b","\uc67c","\uc67d","\uc67e","\uc67f","\uc680","\uc681","\uc682","\uc683","\uc684","\uc685","\uc686","\uc687","\uc688","\uc689","\uc68a","\uc68b","\uc68c","\uc68d","\uc68e","\uc68f","\uc690","\uc691","\uc692","\uc693","\uc694","\uc695","\uc696","\uc697","\uc698","\uc699","\uc69a","\uc69b","\uc69c","\uc69d","\uc69e","\uc69f","\uc6a0","\uc6a1","\uc6a2","\uc6a3","\uc6a4","\uc6a5","\uc6a6","\uc6a7","\uc6a8","\uc6a9","\uc6aa","\uc6ab","\uc6ac","\uc6ad","\uc6ae","\uc6af","\uc6b0","\uc6b1","\uc6b2","\uc6b3","\uc6b4","\uc6b5","\uc6b6","\uc6b7","\uc6b8","\uc6b9","\uc6ba","\uc6bb","\uc6bc","\uc6bd","\uc6be","\uc6bf","\uc6c0","\uc6c1","\uc6c2","\uc6c3","\uc6c4","\uc6c5","\uc6c6","\uc6c7","\uc6c8","\uc6c9","\uc6ca","\uc6cb","\uc6cc","\uc6cd","\uc6ce","\uc6cf","\uc6d0","\uc6d1","\uc6d2","\uc6d3","\uc6d4","\uc6d5","\uc6d6","\uc6d7","\uc6d8","\uc6d9","\uc6da","\uc6db","\uc6dc","\uc6dd","\uc6de","\uc6df","\uc6e0","\uc6e1","\uc6e2","\uc6e3","\uc6e4","\uc6e5","\uc6e6","\uc6e7","\uc6e8","\uc6e9","\uc6ea","\uc6eb","\uc6ec","\uc6ed","\uc6ee","\uc6ef","\uc6f0","\uc6f1","\uc6f2","\uc6f3","\uc6f4","\uc6f5","\uc6f6","\uc6f7","\uc6f8","\uc6f9","\uc6fa","\uc6fb","\uc6fc","\uc6fd","\uc6fe","\uc6ff","\uc700","\uc701","\uc702","\uc703","\uc704","\uc705","\uc706","\uc707","\uc708","\uc709","\uc70a","\uc70b","\uc70c","\uc70d","\uc70e","\uc70f","\uc710","\uc711","\uc712","\uc713","\uc714","\uc715","\uc716","\uc717","\uc718","\uc719","\uc71a","\uc71b","\uc71c","\uc71d","\uc71e","\uc71f","\uc720","\uc721","\uc722","\uc723","\uc724","\uc725","\uc726","\uc727","\uc728","\uc729","\uc72a","\uc72b","\uc72c","\uc72d","\uc72e","\uc72f","\uc730","\uc731","\uc732","\uc733","\uc734","\uc735","\uc736","\uc737","\uc738","\uc739","\uc73a","\uc73b","\uc73c","\uc73d","\uc73e","\uc73f","\uc740","\uc741","\uc742","\uc743","\uc744","\uc745","\uc746","\uc747","\uc748","\uc749","\uc74a","\uc74b","\uc74c","\uc74d","\uc74e","\uc74f","\uc750","\uc751","\uc752","\uc753","\uc754","\uc755","\uc756","\uc757","\uc758","\uc759","\uc75a","\uc75b","\uc75c","\uc75d","\uc75e","\uc75f","\uc760","\uc761","\uc762","\uc763","\uc764","\uc765","\uc766","\uc767","\uc768","\uc769","\uc76a","\uc76b","\uc76c","\uc76d","\uc76e","\uc76f","\uc770","\uc771","\uc772","\uc773","\uc774","\uc775","\uc776","\uc777","\uc778","\uc779","\uc77a","\uc77b","\uc77c","\uc77d","\uc77e","\uc77f","\uc780","\uc781","\uc782","\uc783","\uc784","\uc785","\uc786","\uc787","\uc788","\uc789","\uc78a","\uc78b","\uc78c","\uc78d","\uc78e","\uc78f","\uc790","\uc791","\uc792","\uc793","\uc794","\uc795","\uc796","\uc797","\uc798","\uc799","\uc79a","\uc79b","\uc79c","\uc79d","\uc79e","\uc79f","\uc7a0","\uc7a1","\uc7a2","\uc7a3","\uc7a4","\uc7a5","\uc7a6","\uc7a7","\uc7a8","\uc7a9","\uc7aa","\uc7ab","\uc7ac","\uc7ad","\uc7ae","\uc7af","\uc7b0","\uc7b1","\uc7b2","\uc7b3","\uc7b4","\uc7b5","\uc7b6","\uc7b7","\uc7b8","\uc7b9","\uc7ba","\uc7bb","\uc7bc","\uc7bd","\uc7be","\uc7bf","\uc7c0","\uc7c1","\uc7c2","\uc7c3","\uc7c4","\uc7c5","\uc7c6","\uc7c7","\uc7c8","\uc7c9","\uc7ca","\uc7cb","\uc7cc","\uc7cd","\uc7ce","\uc7cf","\uc7d0","\uc7d1","\uc7d2","\uc7d3","\uc7d4","\uc7d5","\uc7d6","\uc7d7","\uc7d8","\uc7d9","\uc7da","\uc7db","\uc7dc","\uc7dd","\uc7de","\uc7df","\uc7e0","\uc7e1","\uc7e2","\uc7e3","\uc7e4","\uc7e5","\uc7e6","\uc7e7","\uc7e8","\uc7e9","\uc7ea","\uc7eb","\uc7ec","\uc7ed","\uc7ee","\uc7ef","\uc7f0","\uc7f1","\uc7f2","\uc7f3","\uc7f4","\uc7f5","\uc7f6","\uc7f7","\uc7f8","\uc7f9","\uc7fa","\uc7fb","\uc7fc","\uc7fd","\uc7fe","\uc7ff","\uc800","\uc801","\uc802","\uc803","\uc804","\uc805","\uc806","\uc807","\uc808","\uc809","\uc80a","\uc80b","\uc80c","\uc80d","\uc80e","\uc80f","\uc810","\uc811","\uc812","\uc813","\uc814","\uc815","\uc816","\uc817","\uc818","\uc819","\uc81a","\uc81b","\uc81c","\uc81d","\uc81e","\uc81f","\uc820","\uc821","\uc822","\uc823","\uc824","\uc825","\uc826","\uc827","\uc828","\uc829","\uc82a","\uc82b","\uc82c","\uc82d","\uc82e","\uc82f","\uc830","\uc831","\uc832","\uc833","\uc834","\uc835","\uc836","\uc837","\uc838","\uc839","\uc83a","\uc83b","\uc83c","\uc83d","\uc83e","\uc83f","\uc840","\uc841","\uc842","\uc843","\uc844","\uc845","\uc846","\uc847","\uc848","\uc849","\uc84a","\uc84b","\uc84c","\uc84d","\uc84e","\uc84f","\uc850","\uc851","\uc852","\uc853","\uc854","\uc855","\uc856","\uc857","\uc858","\uc859","\uc85a","\uc85b","\uc85c","\uc85d","\uc85e","\uc85f","\uc860","\uc861","\uc862","\uc863","\uc864","\uc865","\uc866","\uc867","\uc868","\uc869","\uc86a","\uc86b","\uc86c","\uc86d","\uc86e","\uc86f","\uc870","\uc871","\uc872","\uc873","\uc874","\uc875","\uc876","\uc877","\uc878","\uc879","\uc87a","\uc87b","\uc87c","\uc87d","\uc87e","\uc87f","\uc880","\uc881","\uc882","\uc883","\uc884","\uc885","\uc886","\uc887","\uc888","\uc889","\uc88a","\uc88b","\uc88c","\uc88d","\uc88e","\uc88f","\uc890","\uc891","\uc892","\uc893","\uc894","\uc895","\uc896","\uc897","\uc898","\uc899","\uc89a","\uc89b","\uc89c","\uc89d","\uc89e","\uc89f","\uc8a0","\uc8a1","\uc8a2","\uc8a3","\uc8a4","\uc8a5","\uc8a6","\uc8a7","\uc8a8","\uc8a9","\uc8aa","\uc8ab","\uc8ac","\uc8ad","\uc8ae","\uc8af","\uc8b0","\uc8b1","\uc8b2","\uc8b3","\uc8b4","\uc8b5","\uc8b6","\uc8b7","\uc8b8","\uc8b9","\uc8ba","\uc8bb","\uc8bc","\uc8bd","\uc8be","\uc8bf","\uc8c0","\uc8c1","\uc8c2","\uc8c3","\uc8c4","\uc8c5","\uc8c6","\uc8c7","\uc8c8","\uc8c9","\uc8ca","\uc8cb","\uc8cc","\uc8cd","\uc8ce","\uc8cf","\uc8d0","\uc8d1","\uc8d2","\uc8d3","\uc8d4","\uc8d5","\uc8d6","\uc8d7","\uc8d8","\uc8d9","\uc8da","\uc8db","\uc8dc","\uc8dd","\uc8de","\uc8df","\uc8e0","\uc8e1","\uc8e2","\uc8e3","\uc8e4","\uc8e5","\uc8e6","\uc8e7","\uc8e8","\uc8e9","\uc8ea","\uc8eb","\uc8ec","\uc8ed","\uc8ee","\uc8ef","\uc8f0","\uc8f1","\uc8f2","\uc8f3","\uc8f4","\uc8f5","\uc8f6","\uc8f7","\uc8f8","\uc8f9","\uc8fa","\uc8fb","\uc8fc","\uc8fd","\uc8fe","\uc8ff","\uc900","\uc901","\uc902","\uc903","\uc904","\uc905","\uc906","\uc907","\uc908","\uc909","\uc90a","\uc90b","\uc90c","\uc90d","\uc90e","\uc90f","\uc910","\uc911","\uc912","\uc913","\uc914","\uc915","\uc916","\uc917","\uc918","\uc919","\uc91a","\uc91b","\uc91c","\uc91d","\uc91e","\uc91f","\uc920","\uc921","\uc922","\uc923","\uc924","\uc925","\uc926","\uc927","\uc928","\uc929","\uc92a","\uc92b","\uc92c","\uc92d","\uc92e","\uc92f","\uc930","\uc931","\uc932","\uc933","\uc934","\uc935","\uc936","\uc937","\uc938","\uc939","\uc93a","\uc93b","\uc93c","\uc93d","\uc93e","\uc93f","\uc940","\uc941","\uc942","\uc943","\uc944","\uc945","\uc946","\uc947","\uc948","\uc949","\uc94a","\uc94b","\uc94c","\uc94d","\uc94e","\uc94f","\uc950","\uc951","\uc952","\uc953","\uc954","\uc955","\uc956","\uc957","\uc958","\uc959","\uc95a","\uc95b","\uc95c","\uc95d","\uc95e","\uc95f","\uc960","\uc961","\uc962","\uc963","\uc964","\uc965","\uc966","\uc967","\uc968","\uc969","\uc96a","\uc96b","\uc96c","\uc96d","\uc96e","\uc96f","\uc970","\uc971","\uc972","\uc973","\uc974","\uc975","\uc976","\uc977","\uc978","\uc979","\uc97a","\uc97b","\uc97c","\uc97d","\uc97e","\uc97f","\uc980","\uc981","\uc982","\uc983","\uc984","\uc985","\uc986","\uc987","\uc988","\uc989","\uc98a","\uc98b","\uc98c","\uc98d","\uc98e","\uc98f","\uc990","\uc991","\uc992","\uc993","\uc994","\uc995","\uc996","\uc997","\uc998","\uc999","\uc99a","\uc99b","\uc99c","\uc99d","\uc99e","\uc99f","\uc9a0","\uc9a1","\uc9a2","\uc9a3","\uc9a4","\uc9a5","\uc9a6","\uc9a7","\uc9a8","\uc9a9","\uc9aa","\uc9ab","\uc9ac","\uc9ad","\uc9ae","\uc9af","\uc9b0","\uc9b1","\uc9b2","\uc9b3","\uc9b4","\uc9b5","\uc9b6","\uc9b7","\uc9b8","\uc9b9","\uc9ba","\uc9bb","\uc9bc","\uc9bd","\uc9be","\uc9bf","\uc9c0","\uc9c1","\uc9c2","\uc9c3","\uc9c4","\uc9c5","\uc9c6","\uc9c7","\uc9c8","\uc9c9","\uc9ca","\uc9cb","\uc9cc","\uc9cd","\uc9ce","\uc9cf","\uc9d0","\uc9d1","\uc9d2","\uc9d3","\uc9d4","\uc9d5","\uc9d6","\uc9d7","\uc9d8","\uc9d9","\uc9da","\uc9db","\uc9dc","\uc9dd","\uc9de","\uc9df","\uc9e0","\uc9e1","\uc9e2","\uc9e3","\uc9e4","\uc9e5","\uc9e6","\uc9e7","\uc9e8","\uc9e9","\uc9ea","\uc9eb","\uc9ec","\uc9ed","\uc9ee","\uc9ef","\uc9f0","\uc9f1","\uc9f2","\uc9f3","\uc9f4","\uc9f5","\uc9f6","\uc9f7","\uc9f8","\uc9f9","\uc9fa","\uc9fb","\uc9fc","\uc9fd","\uc9fe","\uc9ff","\uca00","\uca01","\uca02","\uca03","\uca04","\uca05","\uca06","\uca07","\uca08","\uca09","\uca0a","\uca0b","\uca0c","\uca0d","\uca0e","\uca0f","\uca10","\uca11","\uca12","\uca13","\uca14","\uca15","\uca16","\uca17","\uca18","\uca19","\uca1a","\uca1b","\uca1c","\uca1d","\uca1e","\uca1f","\uca20","\uca21","\uca22","\uca23","\uca24","\uca25","\uca26","\uca27","\uca28","\uca29","\uca2a","\uca2b","\uca2c","\uca2d","\uca2e","\uca2f","\uca30","\uca31","\uca32","\uca33","\uca34","\uca35","\uca36","\uca37","\uca38","\uca39","\uca3a","\uca3b","\uca3c","\uca3d","\uca3e","\uca3f","\uca40","\uca41","\uca42","\uca43","\uca44","\uca45","\uca46","\uca47","\uca48","\uca49","\uca4a","\uca4b","\uca4c","\uca4d","\uca4e","\uca4f","\uca50","\uca51","\uca52","\uca53","\uca54","\uca55","\uca56","\uca57","\uca58","\uca59","\uca5a","\uca5b","\uca5c","\uca5d","\uca5e","\uca5f","\uca60","\uca61","\uca62","\uca63","\uca64","\uca65","\uca66","\uca67","\uca68","\uca69","\uca6a","\uca6b","\uca6c","\uca6d","\uca6e","\uca6f","\uca70","\uca71","\uca72","\uca73","\uca74","\uca75","\uca76","\uca77","\uca78","\uca79","\uca7a","\uca7b","\uca7c","\uca7d","\uca7e","\uca7f","\uca80","\uca81","\uca82","\uca83","\uca84","\uca85","\uca86","\uca87","\uca88","\uca89","\uca8a","\uca8b","\uca8c","\uca8d","\uca8e","\uca8f","\uca90","\uca91","\uca92","\uca93","\uca94","\uca95","\uca96","\uca97","\uca98","\uca99","\uca9a","\uca9b","\uca9c","\uca9d","\uca9e","\uca9f","\ucaa0","\ucaa1","\ucaa2","\ucaa3","\ucaa4","\ucaa5","\ucaa6","\ucaa7","\ucaa8","\ucaa9","\ucaaa","\ucaab","\ucaac","\ucaad","\ucaae","\ucaaf","\ucab0","\ucab1","\ucab2","\ucab3","\ucab4","\ucab5","\ucab6","\ucab7","\ucab8","\ucab9","\ucaba","\ucabb","\ucabc","\ucabd","\ucabe","\ucabf","\ucac0","\ucac1","\ucac2","\ucac3","\ucac4","\ucac5","\ucac6","\ucac7","\ucac8","\ucac9","\ucaca","\ucacb","\ucacc","\ucacd","\ucace","\ucacf","\ucad0","\ucad1","\ucad2","\ucad3","\ucad4","\ucad5","\ucad6","\ucad7","\ucad8","\ucad9","\ucada","\ucadb","\ucadc","\ucadd","\ucade","\ucadf","\ucae0","\ucae1","\ucae2","\ucae3","\ucae4","\ucae5","\ucae6","\ucae7","\ucae8","\ucae9","\ucaea","\ucaeb","\ucaec","\ucaed","\ucaee","\ucaef","\ucaf0","\ucaf1","\ucaf2","\ucaf3","\ucaf4","\ucaf5","\ucaf6","\ucaf7","\ucaf8","\ucaf9","\ucafa","\ucafb","\ucafc","\ucafd","\ucafe","\ucaff","\ucb00","\ucb01","\ucb02","\ucb03","\ucb04","\ucb05","\ucb06","\ucb07","\ucb08","\ucb09","\ucb0a","\ucb0b","\ucb0c","\ucb0d","\ucb0e","\ucb0f","\ucb10","\ucb11","\ucb12","\ucb13","\ucb14","\ucb15","\ucb16","\ucb17","\ucb18","\ucb19","\ucb1a","\ucb1b","\ucb1c","\ucb1d","\ucb1e","\ucb1f","\ucb20","\ucb21","\ucb22","\ucb23","\ucb24","\ucb25","\ucb26","\ucb27","\ucb28","\ucb29","\ucb2a","\ucb2b","\ucb2c","\ucb2d","\ucb2e","\ucb2f","\ucb30","\ucb31","\ucb32","\ucb33","\ucb34","\ucb35","\ucb36","\ucb37","\ucb38","\ucb39","\ucb3a","\ucb3b","\ucb3c","\ucb3d","\ucb3e","\ucb3f","\ucb40","\ucb41","\ucb42","\ucb43","\ucb44","\ucb45","\ucb46","\ucb47","\ucb48","\ucb49","\ucb4a","\ucb4b","\ucb4c","\ucb4d","\ucb4e","\ucb4f","\ucb50","\ucb51","\ucb52","\ucb53","\ucb54","\ucb55","\ucb56","\ucb57","\ucb58","\ucb59","\ucb5a","\ucb5b","\ucb5c","\ucb5d","\ucb5e","\ucb5f","\ucb60","\ucb61","\ucb62","\ucb63","\ucb64","\ucb65","\ucb66","\ucb67","\ucb68","\ucb69","\ucb6a","\ucb6b","\ucb6c","\ucb6d","\ucb6e","\ucb6f","\ucb70","\ucb71","\ucb72","\ucb73","\ucb74","\ucb75","\ucb76","\ucb77","\ucb78","\ucb79","\ucb7a","\ucb7b","\ucb7c","\ucb7d","\ucb7e","\ucb7f","\ucb80","\ucb81","\ucb82","\ucb83","\ucb84","\ucb85","\ucb86","\ucb87","\ucb88","\ucb89","\ucb8a","\ucb8b","\ucb8c","\ucb8d","\ucb8e","\ucb8f","\ucb90","\ucb91","\ucb92","\ucb93","\ucb94","\ucb95","\ucb96","\ucb97","\ucb98","\ucb99","\ucb9a","\ucb9b","\ucb9c","\ucb9d","\ucb9e","\ucb9f","\ucba0","\ucba1","\ucba2","\ucba3","\ucba4","\ucba5","\ucba6","\ucba7","\ucba8","\ucba9","\ucbaa","\ucbab","\ucbac","\ucbad","\ucbae","\ucbaf","\ucbb0","\ucbb1","\ucbb2","\ucbb3","\ucbb4","\ucbb5","\ucbb6","\ucbb7","\ucbb8","\ucbb9","\ucbba","\ucbbb","\ucbbc","\ucbbd","\ucbbe","\ucbbf","\ucbc0","\ucbc1","\ucbc2","\ucbc3","\ucbc4","\ucbc5","\ucbc6","\ucbc7","\ucbc8","\ucbc9","\ucbca","\ucbcb","\ucbcc","\ucbcd","\ucbce","\ucbcf","\ucbd0","\ucbd1","\ucbd2","\ucbd3","\ucbd4","\ucbd5","\ucbd6","\ucbd7","\ucbd8","\ucbd9","\ucbda","\ucbdb","\ucbdc","\ucbdd","\ucbde","\ucbdf","\ucbe0","\ucbe1","\ucbe2","\ucbe3","\ucbe4","\ucbe5","\ucbe6","\ucbe7","\ucbe8","\ucbe9","\ucbea","\ucbeb","\ucbec","\ucbed","\ucbee","\ucbef","\ucbf0","\ucbf1","\ucbf2","\ucbf3","\ucbf4","\ucbf5","\ucbf6","\ucbf7","\ucbf8","\ucbf9","\ucbfa","\ucbfb","\ucbfc","\ucbfd","\ucbfe","\ucbff","\ucc00","\ucc01","\ucc02","\ucc03","\ucc04","\ucc05","\ucc06","\ucc07","\ucc08","\ucc09","\ucc0a","\ucc0b","\ucc0c","\ucc0d","\ucc0e","\ucc0f","\ucc10","\ucc11","\ucc12","\ucc13","\ucc14","\ucc15","\ucc16","\ucc17","\ucc18","\ucc19","\ucc1a","\ucc1b","\ucc1c","\ucc1d","\ucc1e","\ucc1f","\ucc20","\ucc21","\ucc22","\ucc23","\ucc24","\ucc25","\ucc26","\ucc27","\ucc28","\ucc29","\ucc2a","\ucc2b","\ucc2c","\ucc2d","\ucc2e","\ucc2f","\ucc30","\ucc31","\ucc32","\ucc33","\ucc34","\ucc35","\ucc36","\ucc37","\ucc38","\ucc39","\ucc3a","\ucc3b","\ucc3c","\ucc3d","\ucc3e","\ucc3f","\ucc40","\ucc41","\ucc42","\ucc43","\ucc44","\ucc45","\ucc46","\ucc47","\ucc48","\ucc49","\ucc4a","\ucc4b","\ucc4c","\ucc4d","\ucc4e","\ucc4f","\ucc50","\ucc51","\ucc52","\ucc53","\ucc54","\ucc55","\ucc56","\ucc57","\ucc58","\ucc59","\ucc5a","\ucc5b","\ucc5c","\ucc5d","\ucc5e","\ucc5f","\ucc60","\ucc61","\ucc62","\ucc63","\ucc64","\ucc65","\ucc66","\ucc67","\ucc68","\ucc69","\ucc6a","\ucc6b","\ucc6c","\ucc6d","\ucc6e","\ucc6f","\ucc70","\ucc71","\ucc72","\ucc73","\ucc74","\ucc75","\ucc76","\ucc77","\ucc78","\ucc79","\ucc7a","\ucc7b","\ucc7c","\ucc7d","\ucc7e","\ucc7f","\ucc80","\ucc81","\ucc82","\ucc83","\ucc84","\ucc85","\ucc86","\ucc87","\ucc88","\ucc89","\ucc8a","\ucc8b","\ucc8c","\ucc8d","\ucc8e","\ucc8f","\ucc90","\ucc91","\ucc92","\ucc93","\ucc94","\ucc95","\ucc96","\ucc97","\ucc98","\ucc99","\ucc9a","\ucc9b","\ucc9c","\ucc9d","\ucc9e","\ucc9f","\ucca0","\ucca1","\ucca2","\ucca3","\ucca4","\ucca5","\ucca6","\ucca7","\ucca8","\ucca9","\uccaa","\uccab","\uccac","\uccad","\uccae","\uccaf","\uccb0","\uccb1","\uccb2","\uccb3","\uccb4","\uccb5","\uccb6","\uccb7","\uccb8","\uccb9","\uccba","\uccbb","\uccbc","\uccbd","\uccbe","\uccbf","\uccc0","\uccc1","\uccc2","\uccc3","\uccc4","\uccc5","\uccc6","\uccc7","\uccc8","\uccc9","\uccca","\ucccb","\ucccc","\ucccd","\uccce","\ucccf","\uccd0","\uccd1","\uccd2","\uccd3","\uccd4","\uccd5","\uccd6","\uccd7","\uccd8","\uccd9","\uccda","\uccdb","\uccdc","\uccdd","\uccde","\uccdf","\ucce0","\ucce1","\ucce2","\ucce3","\ucce4","\ucce5","\ucce6","\ucce7","\ucce8","\ucce9","\uccea","\ucceb","\uccec","\ucced","\uccee","\uccef","\uccf0","\uccf1","\uccf2","\uccf3","\uccf4","\uccf5","\uccf6","\uccf7","\uccf8","\uccf9","\uccfa","\uccfb","\uccfc","\uccfd","\uccfe","\uccff","\ucd00","\ucd01","\ucd02","\ucd03","\ucd04","\ucd05","\ucd06","\ucd07","\ucd08","\ucd09","\ucd0a","\ucd0b","\ucd0c","\ucd0d","\ucd0e","\ucd0f","\ucd10","\ucd11","\ucd12","\ucd13","\ucd14","\ucd15","\ucd16","\ucd17","\ucd18","\ucd19","\ucd1a","\ucd1b","\ucd1c","\ucd1d","\ucd1e","\ucd1f","\ucd20","\ucd21","\ucd22","\ucd23","\ucd24","\ucd25","\ucd26","\ucd27","\ucd28","\ucd29","\ucd2a","\ucd2b","\ucd2c","\ucd2d","\ucd2e","\ucd2f","\ucd30","\ucd31","\ucd32","\ucd33","\ucd34","\ucd35","\ucd36","\ucd37","\ucd38","\ucd39","\ucd3a","\ucd3b","\ucd3c","\ucd3d","\ucd3e","\ucd3f","\ucd40","\ucd41","\ucd42","\ucd43","\ucd44","\ucd45","\ucd46","\ucd47","\ucd48","\ucd49","\ucd4a","\ucd4b","\ucd4c","\ucd4d","\ucd4e","\ucd4f","\ucd50","\ucd51","\ucd52","\ucd53","\ucd54","\ucd55","\ucd56","\ucd57","\ucd58","\ucd59","\ucd5a","\ucd5b","\ucd5c","\ucd5d","\ucd5e","\ucd5f","\ucd60","\ucd61","\ucd62","\ucd63","\ucd64","\ucd65","\ucd66","\ucd67","\ucd68","\ucd69","\ucd6a","\ucd6b","\ucd6c","\ucd6d","\ucd6e","\ucd6f","\ucd70","\ucd71","\ucd72","\ucd73","\ucd74","\ucd75","\ucd76","\ucd77","\ucd78","\ucd79","\ucd7a","\ucd7b","\ucd7c","\ucd7d","\ucd7e","\ucd7f","\ucd80","\ucd81","\ucd82","\ucd83","\ucd84","\ucd85","\ucd86","\ucd87","\ucd88","\ucd89","\ucd8a","\ucd8b","\ucd8c","\ucd8d","\ucd8e","\ucd8f","\ucd90","\ucd91","\ucd92","\ucd93","\ucd94","\ucd95","\ucd96","\ucd97","\ucd98","\ucd99","\ucd9a","\ucd9b","\ucd9c","\ucd9d","\ucd9e","\ucd9f","\ucda0","\ucda1","\ucda2","\ucda3","\ucda4","\ucda5","\ucda6","\ucda7","\ucda8","\ucda9","\ucdaa","\ucdab","\ucdac","\ucdad","\ucdae","\ucdaf","\ucdb0","\ucdb1","\ucdb2","\ucdb3","\ucdb4","\ucdb5","\ucdb6","\ucdb7","\ucdb8","\ucdb9","\ucdba","\ucdbb","\ucdbc","\ucdbd","\ucdbe","\ucdbf","\ucdc0","\ucdc1","\ucdc2","\ucdc3","\ucdc4","\ucdc5","\ucdc6","\ucdc7","\ucdc8","\ucdc9","\ucdca","\ucdcb","\ucdcc","\ucdcd","\ucdce","\ucdcf","\ucdd0","\ucdd1","\ucdd2","\ucdd3","\ucdd4","\ucdd5","\ucdd6","\ucdd7","\ucdd8","\ucdd9","\ucdda","\ucddb","\ucddc","\ucddd","\ucdde","\ucddf","\ucde0","\ucde1","\ucde2","\ucde3","\ucde4","\ucde5","\ucde6","\ucde7","\ucde8","\ucde9","\ucdea","\ucdeb","\ucdec","\ucded","\ucdee","\ucdef","\ucdf0","\ucdf1","\ucdf2","\ucdf3","\ucdf4","\ucdf5","\ucdf6","\ucdf7","\ucdf8","\ucdf9","\ucdfa","\ucdfb","\ucdfc","\ucdfd","\ucdfe","\ucdff","\uce00","\uce01","\uce02","\uce03","\uce04","\uce05","\uce06","\uce07","\uce08","\uce09","\uce0a","\uce0b","\uce0c","\uce0d","\uce0e","\uce0f","\uce10","\uce11","\uce12","\uce13","\uce14","\uce15","\uce16","\uce17","\uce18","\uce19","\uce1a","\uce1b","\uce1c","\uce1d","\uce1e","\uce1f","\uce20","\uce21","\uce22","\uce23","\uce24","\uce25","\uce26","\uce27","\uce28","\uce29","\uce2a","\uce2b","\uce2c","\uce2d","\uce2e","\uce2f","\uce30","\uce31","\uce32","\uce33","\uce34","\uce35","\uce36","\uce37","\uce38","\uce39","\uce3a","\uce3b","\uce3c","\uce3d","\uce3e","\uce3f","\uce40","\uce41","\uce42","\uce43","\uce44","\uce45","\uce46","\uce47","\uce48","\uce49","\uce4a","\uce4b","\uce4c","\uce4d","\uce4e","\uce4f","\uce50","\uce51","\uce52","\uce53","\uce54","\uce55","\uce56","\uce57","\uce58","\uce59","\uce5a","\uce5b","\uce5c","\uce5d","\uce5e","\uce5f","\uce60","\uce61","\uce62","\uce63","\uce64","\uce65","\uce66","\uce67","\uce68","\uce69","\uce6a","\uce6b","\uce6c","\uce6d","\uce6e","\uce6f","\uce70","\uce71","\uce72","\uce73","\uce74","\uce75","\uce76","\uce77","\uce78","\uce79","\uce7a","\uce7b","\uce7c","\uce7d","\uce7e","\uce7f","\uce80","\uce81","\uce82","\uce83","\uce84","\uce85","\uce86","\uce87","\uce88","\uce89","\uce8a","\uce8b","\uce8c","\uce8d","\uce8e","\uce8f","\uce90","\uce91","\uce92","\uce93","\uce94","\uce95","\uce96","\uce97","\uce98","\uce99","\uce9a","\uce9b","\uce9c","\uce9d","\uce9e","\uce9f","\ucea0","\ucea1","\ucea2","\ucea3","\ucea4","\ucea5","\ucea6","\ucea7","\ucea8","\ucea9","\uceaa","\uceab","\uceac","\ucead","\uceae","\uceaf","\uceb0","\uceb1","\uceb2","\uceb3","\uceb4","\uceb5","\uceb6","\uceb7","\uceb8","\uceb9","\uceba","\ucebb","\ucebc","\ucebd","\ucebe","\ucebf","\ucec0","\ucec1","\ucec2","\ucec3","\ucec4","\ucec5","\ucec6","\ucec7","\ucec8","\ucec9","\uceca","\ucecb","\ucecc","\ucecd","\ucece","\ucecf","\uced0","\uced1","\uced2","\uced3","\uced4","\uced5","\uced6","\uced7","\uced8","\uced9","\uceda","\ucedb","\ucedc","\ucedd","\ucede","\ucedf","\ucee0","\ucee1","\ucee2","\ucee3","\ucee4","\ucee5","\ucee6","\ucee7","\ucee8","\ucee9","\uceea","\uceeb","\uceec","\uceed","\uceee","\uceef","\ucef0","\ucef1","\ucef2","\ucef3","\ucef4","\ucef5","\ucef6","\ucef7","\ucef8","\ucef9","\ucefa","\ucefb","\ucefc","\ucefd","\ucefe","\uceff","\ucf00","\ucf01","\ucf02","\ucf03","\ucf04","\ucf05","\ucf06","\ucf07","\ucf08","\ucf09","\ucf0a","\ucf0b","\ucf0c","\ucf0d","\ucf0e","\ucf0f","\ucf10","\ucf11","\ucf12","\ucf13","\ucf14","\ucf15","\ucf16","\ucf17","\ucf18","\ucf19","\ucf1a","\ucf1b","\ucf1c","\ucf1d","\ucf1e","\ucf1f","\ucf20","\ucf21","\ucf22","\ucf23","\ucf24","\ucf25","\ucf26","\ucf27","\ucf28","\ucf29","\ucf2a","\ucf2b","\ucf2c","\ucf2d","\ucf2e","\ucf2f","\ucf30","\ucf31","\ucf32","\ucf33","\ucf34","\ucf35","\ucf36","\ucf37","\ucf38","\ucf39","\ucf3a","\ucf3b","\ucf3c","\ucf3d","\ucf3e","\ucf3f","\ucf40","\ucf41","\ucf42","\ucf43","\ucf44","\ucf45","\ucf46","\ucf47","\ucf48","\ucf49","\ucf4a","\ucf4b","\ucf4c","\ucf4d","\ucf4e","\ucf4f","\ucf50","\ucf51","\ucf52","\ucf53","\ucf54","\ucf55","\ucf56","\ucf57","\ucf58","\ucf59","\ucf5a","\ucf5b","\ucf5c","\ucf5d","\ucf5e","\ucf5f","\ucf60","\ucf61","\ucf62","\ucf63","\ucf64","\ucf65","\ucf66","\ucf67","\ucf68","\ucf69","\ucf6a","\ucf6b","\ucf6c","\ucf6d","\ucf6e","\ucf6f","\ucf70","\ucf71","\ucf72","\ucf73","\ucf74","\ucf75","\ucf76","\ucf77","\ucf78","\ucf79","\ucf7a","\ucf7b","\ucf7c","\ucf7d","\ucf7e","\ucf7f","\ucf80","\ucf81","\ucf82","\ucf83","\ucf84","\ucf85","\ucf86","\ucf87","\ucf88","\ucf89","\ucf8a","\ucf8b","\ucf8c","\ucf8d","\ucf8e","\ucf8f","\ucf90","\ucf91","\ucf92","\ucf93","\ucf94","\ucf95","\ucf96","\ucf97","\ucf98","\ucf99","\ucf9a","\ucf9b","\ucf9c","\ucf9d","\ucf9e","\ucf9f","\ucfa0","\ucfa1","\ucfa2","\ucfa3","\ucfa4","\ucfa5","\ucfa6","\ucfa7","\ucfa8","\ucfa9","\ucfaa","\ucfab","\ucfac","\ucfad","\ucfae","\ucfaf","\ucfb0","\ucfb1","\ucfb2","\ucfb3","\ucfb4","\ucfb5","\ucfb6","\ucfb7","\ucfb8","\ucfb9","\ucfba","\ucfbb","\ucfbc","\ucfbd","\ucfbe","\ucfbf","\ucfc0","\ucfc1","\ucfc2","\ucfc3","\ucfc4","\ucfc5","\ucfc6","\ucfc7","\ucfc8","\ucfc9","\ucfca","\ucfcb","\ucfcc","\ucfcd","\ucfce","\ucfcf","\ucfd0","\ucfd1","\ucfd2","\ucfd3","\ucfd4","\ucfd5","\ucfd6","\ucfd7","\ucfd8","\ucfd9","\ucfda","\ucfdb","\ucfdc","\ucfdd","\ucfde","\ucfdf","\ucfe0","\ucfe1","\ucfe2","\ucfe3","\ucfe4","\ucfe5","\ucfe6","\ucfe7","\ucfe8","\ucfe9","\ucfea","\ucfeb","\ucfec","\ucfed","\ucfee","\ucfef","\ucff0","\ucff1","\ucff2","\ucff3","\ucff4","\ucff5","\ucff6","\ucff7","\ucff8","\ucff9","\ucffa","\ucffb","\ucffc","\ucffd","\ucffe","\ucfff","\ud000","\ud001","\ud002","\ud003","\ud004","\ud005","\ud006","\ud007","\ud008","\ud009","\ud00a","\ud00b","\ud00c","\ud00d","\ud00e","\ud00f","\ud010","\ud011","\ud012","\ud013","\ud014","\ud015","\ud016","\ud017","\ud018","\ud019","\ud01a","\ud01b","\ud01c","\ud01d","\ud01e","\ud01f","\ud020","\ud021","\ud022","\ud023","\ud024","\ud025","\ud026","\ud027","\ud028","\ud029","\ud02a","\ud02b","\ud02c","\ud02d","\ud02e","\ud02f","\ud030","\ud031","\ud032","\ud033","\ud034","\ud035","\ud036","\ud037","\ud038","\ud039","\ud03a","\ud03b","\ud03c","\ud03d","\ud03e","\ud03f","\ud040","\ud041","\ud042","\ud043","\ud044","\ud045","\ud046","\ud047","\ud048","\ud049","\ud04a","\ud04b","\ud04c","\ud04d","\ud04e","\ud04f","\ud050","\ud051","\ud052","\ud053","\ud054","\ud055","\ud056","\ud057","\ud058","\ud059","\ud05a","\ud05b","\ud05c","\ud05d","\ud05e","\ud05f","\ud060","\ud061","\ud062","\ud063","\ud064","\ud065","\ud066","\ud067","\ud068","\ud069","\ud06a","\ud06b","\ud06c","\ud06d","\ud06e","\ud06f","\ud070","\ud071","\ud072","\ud073","\ud074","\ud075","\ud076","\ud077","\ud078","\ud079","\ud07a","\ud07b","\ud07c","\ud07d","\ud07e","\ud07f","\ud080","\ud081","\ud082","\ud083","\ud084","\ud085","\ud086","\ud087","\ud088","\ud089","\ud08a","\ud08b","\ud08c","\ud08d","\ud08e","\ud08f","\ud090","\ud091","\ud092","\ud093","\ud094","\ud095","\ud096","\ud097","\ud098","\ud099","\ud09a","\ud09b","\ud09c","\ud09d","\ud09e","\ud09f","\ud0a0","\ud0a1","\ud0a2","\ud0a3","\ud0a4","\ud0a5","\ud0a6","\ud0a7","\ud0a8","\ud0a9","\ud0aa","\ud0ab","\ud0ac","\ud0ad","\ud0ae","\ud0af","\ud0b0","\ud0b1","\ud0b2","\ud0b3","\ud0b4","\ud0b5","\ud0b6","\ud0b7","\ud0b8","\ud0b9","\ud0ba","\ud0bb","\ud0bc","\ud0bd","\ud0be","\ud0bf","\ud0c0","\ud0c1","\ud0c2","\ud0c3","\ud0c4","\ud0c5","\ud0c6","\ud0c7","\ud0c8","\ud0c9","\ud0ca","\ud0cb","\ud0cc","\ud0cd","\ud0ce","\ud0cf","\ud0d0","\ud0d1","\ud0d2","\ud0d3","\ud0d4","\ud0d5","\ud0d6","\ud0d7","\ud0d8","\ud0d9","\ud0da","\ud0db","\ud0dc","\ud0dd","\ud0de","\ud0df","\ud0e0","\ud0e1","\ud0e2","\ud0e3","\ud0e4","\ud0e5","\ud0e6","\ud0e7","\ud0e8","\ud0e9","\ud0ea","\ud0eb","\ud0ec","\ud0ed","\ud0ee","\ud0ef","\ud0f0","\ud0f1","\ud0f2","\ud0f3","\ud0f4","\ud0f5","\ud0f6","\ud0f7","\ud0f8","\ud0f9","\ud0fa","\ud0fb","\ud0fc","\ud0fd","\ud0fe","\ud0ff","\ud100","\ud101","\ud102","\ud103","\ud104","\ud105","\ud106","\ud107","\ud108","\ud109","\ud10a","\ud10b","\ud10c","\ud10d","\ud10e","\ud10f","\ud110","\ud111","\ud112","\ud113","\ud114","\ud115","\ud116","\ud117","\ud118","\ud119","\ud11a","\ud11b","\ud11c","\ud11d","\ud11e","\ud11f","\ud120","\ud121","\ud122","\ud123","\ud124","\ud125","\ud126","\ud127","\ud128","\ud129","\ud12a","\ud12b","\ud12c","\ud12d","\ud12e","\ud12f","\ud130","\ud131","\ud132","\ud133","\ud134","\ud135","\ud136","\ud137","\ud138","\ud139","\ud13a","\ud13b","\ud13c","\ud13d","\ud13e","\ud13f","\ud140","\ud141","\ud142","\ud143","\ud144","\ud145","\ud146","\ud147","\ud148","\ud149","\ud14a","\ud14b","\ud14c","\ud14d","\ud14e","\ud14f","\ud150","\ud151","\ud152","\ud153","\ud154","\ud155","\ud156","\ud157","\ud158","\ud159","\ud15a","\ud15b","\ud15c","\ud15d","\ud15e","\ud15f","\ud160","\ud161","\ud162","\ud163","\ud164","\ud165","\ud166","\ud167","\ud168","\ud169","\ud16a","\ud16b","\ud16c","\ud16d","\ud16e","\ud16f","\ud170","\ud171","\ud172","\ud173","\ud174","\ud175","\ud176","\ud177","\ud178","\ud179","\ud17a","\ud17b","\ud17c","\ud17d","\ud17e","\ud17f","\ud180","\ud181","\ud182","\ud183","\ud184","\ud185","\ud186","\ud187","\ud188","\ud189","\ud18a","\ud18b","\ud18c","\ud18d","\ud18e","\ud18f","\ud190","\ud191","\ud192","\ud193","\ud194","\ud195","\ud196","\ud197","\ud198","\ud199","\ud19a","\ud19b","\ud19c","\ud19d","\ud19e","\ud19f","\ud1a0","\ud1a1","\ud1a2","\ud1a3","\ud1a4","\ud1a5","\ud1a6","\ud1a7","\ud1a8","\ud1a9","\ud1aa","\ud1ab","\ud1ac","\ud1ad","\ud1ae","\ud1af","\ud1b0","\ud1b1","\ud1b2","\ud1b3","\ud1b4","\ud1b5","\ud1b6","\ud1b7","\ud1b8","\ud1b9","\ud1ba","\ud1bb","\ud1bc","\ud1bd","\ud1be","\ud1bf","\ud1c0","\ud1c1","\ud1c2","\ud1c3","\ud1c4","\ud1c5","\ud1c6","\ud1c7","\ud1c8","\ud1c9","\ud1ca","\ud1cb","\ud1cc","\ud1cd","\ud1ce","\ud1cf","\ud1d0","\ud1d1","\ud1d2","\ud1d3","\ud1d4","\ud1d5","\ud1d6","\ud1d7","\ud1d8","\ud1d9","\ud1da","\ud1db","\ud1dc","\ud1dd","\ud1de","\ud1df","\ud1e0","\ud1e1","\ud1e2","\ud1e3","\ud1e4","\ud1e5","\ud1e6","\ud1e7","\ud1e8","\ud1e9","\ud1ea","\ud1eb","\ud1ec","\ud1ed","\ud1ee","\ud1ef","\ud1f0","\ud1f1","\ud1f2","\ud1f3","\ud1f4","\ud1f5","\ud1f6","\ud1f7","\ud1f8","\ud1f9","\ud1fa","\ud1fb","\ud1fc","\ud1fd","\ud1fe","\ud1ff","\ud200","\ud201","\ud202","\ud203","\ud204","\ud205","\ud206","\ud207","\ud208","\ud209","\ud20a","\ud20b","\ud20c","\ud20d","\ud20e","\ud20f","\ud210","\ud211","\ud212","\ud213","\ud214","\ud215","\ud216","\ud217","\ud218","\ud219","\ud21a","\ud21b","\ud21c","\ud21d","\ud21e","\ud21f","\ud220","\ud221","\ud222","\ud223","\ud224","\ud225","\ud226","\ud227","\ud228","\ud229","\ud22a","\ud22b","\ud22c","\ud22d","\ud22e","\ud22f","\ud230","\ud231","\ud232","\ud233","\ud234","\ud235","\ud236","\ud237","\ud238","\ud239","\ud23a","\ud23b","\ud23c","\ud23d","\ud23e","\ud23f","\ud240","\ud241","\ud242","\ud243","\ud244","\ud245","\ud246","\ud247","\ud248","\ud249","\ud24a","\ud24b","\ud24c","\ud24d","\ud24e","\ud24f","\ud250","\ud251","\ud252","\ud253","\ud254","\ud255","\ud256","\ud257","\ud258","\ud259","\ud25a","\ud25b","\ud25c","\ud25d","\ud25e","\ud25f","\ud260","\ud261","\ud262","\ud263","\ud264","\ud265","\ud266","\ud267","\ud268","\ud269","\ud26a","\ud26b","\ud26c","\ud26d","\ud26e","\ud26f","\ud270","\ud271","\ud272","\ud273","\ud274","\ud275","\ud276","\ud277","\ud278","\ud279","\ud27a","\ud27b","\ud27c","\ud27d","\ud27e","\ud27f","\ud280","\ud281","\ud282","\ud283","\ud284","\ud285","\ud286","\ud287","\ud288","\ud289","\ud28a","\ud28b","\ud28c","\ud28d","\ud28e","\ud28f","\ud290","\ud291","\ud292","\ud293","\ud294","\ud295","\ud296","\ud297","\ud298","\ud299","\ud29a","\ud29b","\ud29c","\ud29d","\ud29e","\ud29f","\ud2a0","\ud2a1","\ud2a2","\ud2a3","\ud2a4","\ud2a5","\ud2a6","\ud2a7","\ud2a8","\ud2a9","\ud2aa","\ud2ab","\ud2ac","\ud2ad","\ud2ae","\ud2af","\ud2b0","\ud2b1","\ud2b2","\ud2b3","\ud2b4","\ud2b5","\ud2b6","\ud2b7","\ud2b8","\ud2b9","\ud2ba","\ud2bb","\ud2bc","\ud2bd","\ud2be","\ud2bf","\ud2c0","\ud2c1","\ud2c2","\ud2c3","\ud2c4","\ud2c5","\ud2c6","\ud2c7","\ud2c8","\ud2c9","\ud2ca","\ud2cb","\ud2cc","\ud2cd","\ud2ce","\ud2cf","\ud2d0","\ud2d1","\ud2d2","\ud2d3","\ud2d4","\ud2d5","\ud2d6","\ud2d7","\ud2d8","\ud2d9","\ud2da","\ud2db","\ud2dc","\ud2dd","\ud2de","\ud2df","\ud2e0","\ud2e1","\ud2e2","\ud2e3","\ud2e4","\ud2e5","\ud2e6","\ud2e7","\ud2e8","\ud2e9","\ud2ea","\ud2eb","\ud2ec","\ud2ed","\ud2ee","\ud2ef","\ud2f0","\ud2f1","\ud2f2","\ud2f3","\ud2f4","\ud2f5","\ud2f6","\ud2f7","\ud2f8","\ud2f9","\ud2fa","\ud2fb","\ud2fc","\ud2fd","\ud2fe","\ud2ff","\ud300","\ud301","\ud302","\ud303","\ud304","\ud305","\ud306","\ud307","\ud308","\ud309","\ud30a","\ud30b","\ud30c","\ud30d","\ud30e","\ud30f","\ud310","\ud311","\ud312","\ud313","\ud314","\ud315","\ud316","\ud317","\ud318","\ud319","\ud31a","\ud31b","\ud31c","\ud31d","\ud31e","\ud31f","\ud320","\ud321","\ud322","\ud323","\ud324","\ud325","\ud326","\ud327","\ud328","\ud329","\ud32a","\ud32b","\ud32c","\ud32d","\ud32e","\ud32f","\ud330","\ud331","\ud332","\ud333","\ud334","\ud335","\ud336","\ud337","\ud338","\ud339","\ud33a","\ud33b","\ud33c","\ud33d","\ud33e","\ud33f","\ud340","\ud341","\ud342","\ud343","\ud344","\ud345","\ud346","\ud347","\ud348","\ud349","\ud34a","\ud34b","\ud34c","\ud34d","\ud34e","\ud34f","\ud350","\ud351","\ud352","\ud353","\ud354","\ud355","\ud356","\ud357","\ud358","\ud359","\ud35a","\ud35b","\ud35c","\ud35d","\ud35e","\ud35f","\ud360","\ud361","\ud362","\ud363","\ud364","\ud365","\ud366","\ud367","\ud368","\ud369","\ud36a","\ud36b","\ud36c","\ud36d","\ud36e","\ud36f","\ud370","\ud371","\ud372","\ud373","\ud374","\ud375","\ud376","\ud377","\ud378","\ud379","\ud37a","\ud37b","\ud37c","\ud37d","\ud37e","\ud37f","\ud380","\ud381","\ud382","\ud383","\ud384","\ud385","\ud386","\ud387","\ud388","\ud389","\ud38a","\ud38b","\ud38c","\ud38d","\ud38e","\ud38f","\ud390","\ud391","\ud392","\ud393","\ud394","\ud395","\ud396","\ud397","\ud398","\ud399","\ud39a","\ud39b","\ud39c","\ud39d","\ud39e","\ud39f","\ud3a0","\ud3a1","\ud3a2","\ud3a3","\ud3a4","\ud3a5","\ud3a6","\ud3a7","\ud3a8","\ud3a9","\ud3aa","\ud3ab","\ud3ac","\ud3ad","\ud3ae","\ud3af","\ud3b0","\ud3b1","\ud3b2","\ud3b3","\ud3b4","\ud3b5","\ud3b6","\ud3b7","\ud3b8","\ud3b9","\ud3ba","\ud3bb","\ud3bc","\ud3bd","\ud3be","\ud3bf","\ud3c0","\ud3c1","\ud3c2","\ud3c3","\ud3c4","\ud3c5","\ud3c6","\ud3c7","\ud3c8","\ud3c9","\ud3ca","\ud3cb","\ud3cc","\ud3cd","\ud3ce","\ud3cf","\ud3d0","\ud3d1","\ud3d2","\ud3d3","\ud3d4","\ud3d5","\ud3d6","\ud3d7","\ud3d8","\ud3d9","\ud3da","\ud3db","\ud3dc","\ud3dd","\ud3de","\ud3df","\ud3e0","\ud3e1","\ud3e2","\ud3e3","\ud3e4","\ud3e5","\ud3e6","\ud3e7","\ud3e8","\ud3e9","\ud3ea","\ud3eb","\ud3ec","\ud3ed","\ud3ee","\ud3ef","\ud3f0","\ud3f1","\ud3f2","\ud3f3","\ud3f4","\ud3f5","\ud3f6","\ud3f7","\ud3f8","\ud3f9","\ud3fa","\ud3fb","\ud3fc","\ud3fd","\ud3fe","\ud3ff","\ud400","\ud401","\ud402","\ud403","\ud404","\ud405","\ud406","\ud407","\ud408","\ud409","\ud40a","\ud40b","\ud40c","\ud40d","\ud40e","\ud40f","\ud410","\ud411","\ud412","\ud413","\ud414","\ud415","\ud416","\ud417","\ud418","\ud419","\ud41a","\ud41b","\ud41c","\ud41d","\ud41e","\ud41f","\ud420","\ud421","\ud422","\ud423","\ud424","\ud425","\ud426","\ud427","\ud428","\ud429","\ud42a","\ud42b","\ud42c","\ud42d","\ud42e","\ud42f","\ud430","\ud431","\ud432","\ud433","\ud434","\ud435","\ud436","\ud437","\ud438","\ud439","\ud43a","\ud43b","\ud43c","\ud43d","\ud43e","\ud43f","\ud440","\ud441","\ud442","\ud443","\ud444","\ud445","\ud446","\ud447","\ud448","\ud449","\ud44a","\ud44b","\ud44c","\ud44d","\ud44e","\ud44f","\ud450","\ud451","\ud452","\ud453","\ud454","\ud455","\ud456","\ud457","\ud458","\ud459","\ud45a","\ud45b","\ud45c","\ud45d","\ud45e","\ud45f","\ud460","\ud461","\ud462","\ud463","\ud464","\ud465","\ud466","\ud467","\ud468","\ud469","\ud46a","\ud46b","\ud46c","\ud46d","\ud46e","\ud46f","\ud470","\ud471","\ud472","\ud473","\ud474","\ud475","\ud476","\ud477","\ud478","\ud479","\ud47a","\ud47b","\ud47c","\ud47d","\ud47e","\ud47f","\ud480","\ud481","\ud482","\ud483","\ud484","\ud485","\ud486","\ud487","\ud488","\ud489","\ud48a","\ud48b","\ud48c","\ud48d","\ud48e","\ud48f","\ud490","\ud491","\ud492","\ud493","\ud494","\ud495","\ud496","\ud497","\ud498","\ud499","\ud49a","\ud49b","\ud49c","\ud49d","\ud49e","\ud49f","\ud4a0","\ud4a1","\ud4a2","\ud4a3","\ud4a4","\ud4a5","\ud4a6","\ud4a7","\ud4a8","\ud4a9","\ud4aa","\ud4ab","\ud4ac","\ud4ad","\ud4ae","\ud4af","\ud4b0","\ud4b1","\ud4b2","\ud4b3","\ud4b4","\ud4b5","\ud4b6","\ud4b7","\ud4b8","\ud4b9","\ud4ba","\ud4bb","\ud4bc","\ud4bd","\ud4be","\ud4bf","\ud4c0","\ud4c1","\ud4c2","\ud4c3","\ud4c4","\ud4c5","\ud4c6","\ud4c7","\ud4c8","\ud4c9","\ud4ca","\ud4cb","\ud4cc","\ud4cd","\ud4ce","\ud4cf","\ud4d0","\ud4d1","\ud4d2","\ud4d3","\ud4d4","\ud4d5","\ud4d6","\ud4d7","\ud4d8","\ud4d9","\ud4da","\ud4db","\ud4dc","\ud4dd","\ud4de","\ud4df","\ud4e0","\ud4e1","\ud4e2","\ud4e3","\ud4e4","\ud4e5","\ud4e6","\ud4e7","\ud4e8","\ud4e9","\ud4ea","\ud4eb","\ud4ec","\ud4ed","\ud4ee","\ud4ef","\ud4f0","\ud4f1","\ud4f2","\ud4f3","\ud4f4","\ud4f5","\ud4f6","\ud4f7","\ud4f8","\ud4f9","\ud4fa","\ud4fb","\ud4fc","\ud4fd","\ud4fe","\ud4ff","\ud500","\ud501","\ud502","\ud503","\ud504","\ud505","\ud506","\ud507","\ud508","\ud509","\ud50a","\ud50b","\ud50c","\ud50d","\ud50e","\ud50f","\ud510","\ud511","\ud512","\ud513","\ud514","\ud515","\ud516","\ud517","\ud518","\ud519","\ud51a","\ud51b","\ud51c","\ud51d","\ud51e","\ud51f","\ud520","\ud521","\ud522","\ud523","\ud524","\ud525","\ud526","\ud527","\ud528","\ud529","\ud52a","\ud52b","\ud52c","\ud52d","\ud52e","\ud52f","\ud530","\ud531","\ud532","\ud533","\ud534","\ud535","\ud536","\ud537","\ud538","\ud539","\ud53a","\ud53b","\ud53c","\ud53d","\ud53e","\ud53f","\ud540","\ud541","\ud542","\ud543","\ud544","\ud545","\ud546","\ud547","\ud548","\ud549","\ud54a","\ud54b","\ud54c","\ud54d","\ud54e","\ud54f","\ud550","\ud551","\ud552","\ud553","\ud554","\ud555","\ud556","\ud557","\ud558","\ud559","\ud55a","\ud55b","\ud55c","\ud55d","\ud55e","\ud55f","\ud560","\ud561","\ud562","\ud563","\ud564","\ud565","\ud566","\ud567","\ud568","\ud569","\ud56a","\ud56b","\ud56c","\ud56d","\ud56e","\ud56f","\ud570","\ud571","\ud572","\ud573","\ud574","\ud575","\ud576","\ud577","\ud578","\ud579","\ud57a","\ud57b","\ud57c","\ud57d","\ud57e","\ud57f","\ud580","\ud581","\ud582","\ud583","\ud584","\ud585","\ud586","\ud587","\ud588","\ud589","\ud58a","\ud58b","\ud58c","\ud58d","\ud58e","\ud58f","\ud590","\ud591","\ud592","\ud593","\ud594","\ud595","\ud596","\ud597","\ud598","\ud599","\ud59a","\ud59b","\ud59c","\ud59d","\ud59e","\ud59f","\ud5a0","\ud5a1","\ud5a2","\ud5a3","\ud5a4","\ud5a5","\ud5a6","\ud5a7","\ud5a8","\ud5a9","\ud5aa","\ud5ab","\ud5ac","\ud5ad","\ud5ae","\ud5af","\ud5b0","\ud5b1","\ud5b2","\ud5b3","\ud5b4","\ud5b5","\ud5b6","\ud5b7","\ud5b8","\ud5b9","\ud5ba","\ud5bb","\ud5bc","\ud5bd","\ud5be","\ud5bf","\ud5c0","\ud5c1","\ud5c2","\ud5c3","\ud5c4","\ud5c5","\ud5c6","\ud5c7","\ud5c8","\ud5c9","\ud5ca","\ud5cb","\ud5cc","\ud5cd","\ud5ce","\ud5cf","\ud5d0","\ud5d1","\ud5d2","\ud5d3","\ud5d4","\ud5d5","\ud5d6","\ud5d7","\ud5d8","\ud5d9","\ud5da","\ud5db","\ud5dc","\ud5dd","\ud5de","\ud5df","\ud5e0","\ud5e1","\ud5e2","\ud5e3","\ud5e4","\ud5e5","\ud5e6","\ud5e7","\ud5e8","\ud5e9","\ud5ea","\ud5eb","\ud5ec","\ud5ed","\ud5ee","\ud5ef","\ud5f0","\ud5f1","\ud5f2","\ud5f3","\ud5f4","\ud5f5","\ud5f6","\ud5f7","\ud5f8","\ud5f9","\ud5fa","\ud5fb","\ud5fc","\ud5fd","\ud5fe","\ud5ff","\ud600","\ud601","\ud602","\ud603","\ud604","\ud605","\ud606","\ud607","\ud608","\ud609","\ud60a","\ud60b","\ud60c","\ud60d","\ud60e","\ud60f","\ud610","\ud611","\ud612","\ud613","\ud614","\ud615","\ud616","\ud617","\ud618","\ud619","\ud61a","\ud61b","\ud61c","\ud61d","\ud61e","\ud61f","\ud620","\ud621","\ud622","\ud623","\ud624","\ud625","\ud626","\ud627","\ud628","\ud629","\ud62a","\ud62b","\ud62c","\ud62d","\ud62e","\ud62f","\ud630","\ud631","\ud632","\ud633","\ud634","\ud635","\ud636","\ud637","\ud638","\ud639","\ud63a","\ud63b","\ud63c","\ud63d","\ud63e","\ud63f","\ud640","\ud641","\ud642","\ud643","\ud644","\ud645","\ud646","\ud647","\ud648","\ud649","\ud64a","\ud64b","\ud64c","\ud64d","\ud64e","\ud64f","\ud650","\ud651","\ud652","\ud653","\ud654","\ud655","\ud656","\ud657","\ud658","\ud659","\ud65a","\ud65b","\ud65c","\ud65d","\ud65e","\ud65f","\ud660","\ud661","\ud662","\ud663","\ud664","\ud665","\ud666","\ud667","\ud668","\ud669","\ud66a","\ud66b","\ud66c","\ud66d","\ud66e","\ud66f","\ud670","\ud671","\ud672","\ud673","\ud674","\ud675","\ud676","\ud677","\ud678","\ud679","\ud67a","\ud67b","\ud67c","\ud67d","\ud67e","\ud67f","\ud680","\ud681","\ud682","\ud683","\ud684","\ud685","\ud686","\ud687","\ud688","\ud689","\ud68a","\ud68b","\ud68c","\ud68d","\ud68e","\ud68f","\ud690","\ud691","\ud692","\ud693","\ud694","\ud695","\ud696","\ud697","\ud698","\ud699","\ud69a","\ud69b","\ud69c","\ud69d","\ud69e","\ud69f","\ud6a0","\ud6a1","\ud6a2","\ud6a3","\ud6a4","\ud6a5","\ud6a6","\ud6a7","\ud6a8","\ud6a9","\ud6aa","\ud6ab","\ud6ac","\ud6ad","\ud6ae","\ud6af","\ud6b0","\ud6b1","\ud6b2","\ud6b3","\ud6b4","\ud6b5","\ud6b6","\ud6b7","\ud6b8","\ud6b9","\ud6ba","\ud6bb","\ud6bc","\ud6bd","\ud6be","\ud6bf","\ud6c0","\ud6c1","\ud6c2","\ud6c3","\ud6c4","\ud6c5","\ud6c6","\ud6c7","\ud6c8","\ud6c9","\ud6ca","\ud6cb","\ud6cc","\ud6cd","\ud6ce","\ud6cf","\ud6d0","\ud6d1","\ud6d2","\ud6d3","\ud6d4","\ud6d5","\ud6d6","\ud6d7","\ud6d8","\ud6d9","\ud6da","\ud6db","\ud6dc","\ud6dd","\ud6de","\ud6df","\ud6e0","\ud6e1","\ud6e2","\ud6e3","\ud6e4","\ud6e5","\ud6e6","\ud6e7","\ud6e8","\ud6e9","\ud6ea","\ud6eb","\ud6ec","\ud6ed","\ud6ee","\ud6ef","\ud6f0","\ud6f1","\ud6f2","\ud6f3","\ud6f4","\ud6f5","\ud6f6","\ud6f7","\ud6f8","\ud6f9","\ud6fa","\ud6fb","\ud6fc","\ud6fd","\ud6fe","\ud6ff","\ud700","\ud701","\ud702","\ud703","\ud704","\ud705","\ud706","\ud707","\ud708","\ud709","\ud70a","\ud70b","\ud70c","\ud70d","\ud70e","\ud70f","\ud710","\ud711","\ud712","\ud713","\ud714","\ud715","\ud716","\ud717","\ud718","\ud719","\ud71a","\ud71b","\ud71c","\ud71d","\ud71e","\ud71f","\ud720","\ud721","\ud722","\ud723","\ud724","\ud725","\ud726","\ud727","\ud728","\ud729","\ud72a","\ud72b","\ud72c","\ud72d","\ud72e","\ud72f","\ud730","\ud731","\ud732","\ud733","\ud734","\ud735","\ud736","\ud737","\ud738","\ud739","\ud73a","\ud73b","\ud73c","\ud73d","\ud73e","\ud73f","\ud740","\ud741","\ud742","\ud743","\ud744","\ud745","\ud746","\ud747","\ud748","\ud749","\ud74a","\ud74b","\ud74c","\ud74d","\ud74e","\ud74f","\ud750","\ud751","\ud752","\ud753","\ud754","\ud755","\ud756","\ud757","\ud758","\ud759","\ud75a","\ud75b","\ud75c","\ud75d","\ud75e","\ud75f","\ud760","\ud761","\ud762","\ud763","\ud764","\ud765","\ud766","\ud767","\ud768","\ud769","\ud76a","\ud76b","\ud76c","\ud76d","\ud76e","\ud76f","\ud770","\ud771","\ud772","\ud773","\ud774","\ud775","\ud776","\ud777","\ud778","\ud779","\ud77a","\ud77b","\ud77c","\ud77d","\ud77e","\ud77f","\ud780","\ud781","\ud782","\ud783","\ud784","\ud785","\ud786","\ud787","\ud788","\ud789","\ud78a","\ud78b","\ud78c","\ud78d","\ud78e","\ud78f","\ud790","\ud791","\ud792","\ud793","\ud794","\ud795","\ud796","\ud797","\ud798","\ud799","\ud79a","\ud79b","\ud79c","\ud79d","\ud79e","\ud79f","\ud7a0","\ud7a1","\ud7a2","\ud7a3",  # ; Canonical # Lo [11172] HANGUL SYLLABLE GA..HANGUL SYLLABLE HIH
        "\uf900","\uf901","\uf902","\uf903","\uf904","\uf905","\uf906","\uf907","\uf908","\uf909","\uf90a","\uf90b","\uf90c","\uf90d","\uf90e","\uf90f","\uf910","\uf911","\uf912","\uf913","\uf914","\uf915","\uf916","\uf917","\uf918","\uf919","\uf91a","\uf91b","\uf91c","\uf91d","\uf91e","\uf91f","\uf920","\uf921","\uf922","\uf923","\uf924","\uf925","\uf926","\uf927","\uf928","\uf929","\uf92a","\uf92b","\uf92c","\uf92d","\uf92e","\uf92f","\uf930","\uf931","\uf932","\uf933","\uf934","\uf935","\uf936","\uf937","\uf938","\uf939","\uf93a","\uf93b","\uf93c","\uf93d","\uf93e","\uf93f","\uf940","\uf941","\uf942","\uf943","\uf944","\uf945","\uf946","\uf947","\uf948","\uf949","\uf94a","\uf94b","\uf94c","\uf94d","\uf94e","\uf94f","\uf950","\uf951","\uf952","\uf953","\uf954","\uf955","\uf956","\uf957","\uf958","\uf959","\uf95a","\uf95b","\uf95c","\uf95d","\uf95e","\uf95f","\uf960","\uf961","\uf962","\uf963","\uf964","\uf965","\uf966","\uf967","\uf968","\uf969","\uf96a","\uf96b","\uf96c","\uf96d","\uf96e","\uf96f","\uf970","\uf971","\uf972","\uf973","\uf974","\uf975","\uf976","\uf977","\uf978","\uf979","\uf97a","\uf97b","\uf97c","\uf97d","\uf97e","\uf97f","\uf980","\uf981","\uf982","\uf983","\uf984","\uf985","\uf986","\uf987","\uf988","\uf989","\uf98a","\uf98b","\uf98c","\uf98d","\uf98e","\uf98f","\uf990","\uf991","\uf992","\uf993","\uf994","\uf995","\uf996","\uf997","\uf998","\uf999","\uf99a","\uf99b","\uf99c","\uf99d","\uf99e","\uf99f","\uf9a0","\uf9a1","\uf9a2","\uf9a3","\uf9a4","\uf9a5","\uf9a6","\uf9a7","\uf9a8","\uf9a9","\uf9aa","\uf9ab","\uf9ac","\uf9ad","\uf9ae","\uf9af","\uf9b0","\uf9b1","\uf9b2","\uf9b3","\uf9b4","\uf9b5","\uf9b6","\uf9b7","\uf9b8","\uf9b9","\uf9ba","\uf9bb","\uf9bc","\uf9bd","\uf9be","\uf9bf","\uf9c0","\uf9c1","\uf9c2","\uf9c3","\uf9c4","\uf9c5","\uf9c6","\uf9c7","\uf9c8","\uf9c9","\uf9ca","\uf9cb","\uf9cc","\uf9cd","\uf9ce","\uf9cf","\uf9d0","\uf9d1","\uf9d2","\uf9d3","\uf9d4","\uf9d5","\uf9d6","\uf9d7","\uf9d8","\uf9d9","\uf9da","\uf9db","\uf9dc","\uf9dd","\uf9de","\uf9df","\uf9e0","\uf9e1","\uf9e2","\uf9e3","\uf9e4","\uf9e5","\uf9e6","\uf9e7","\uf9e8","\uf9e9","\uf9ea","\uf9eb","\uf9ec","\uf9ed","\uf9ee","\uf9ef","\uf9f0","\uf9f1","\uf9f2","\uf9f3","\uf9f4","\uf9f5","\uf9f6","\uf9f7","\uf9f8","\uf9f9","\uf9fa","\uf9fb","\uf9fc","\uf9fd","\uf9fe","\uf9ff","\ufa00","\ufa01","\ufa02","\ufa03","\ufa04","\ufa05","\ufa06","\ufa07","\ufa08","\ufa09","\ufa0a","\ufa0b","\ufa0c","\ufa0d",  # ; Canonical # Lo [270] CJK COMPATIBILITY IDEOGRAPH-F900..CJK COMPATIBILITY IDEOGRAPH-FA0D
        "\uFA10",  # ; Canonical # Lo       CJK COMPATIBILITY IDEOGRAPH-FA10
        "\uFA12",  # ; Canonical # Lo       CJK COMPATIBILITY IDEOGRAPH-FA12
        "\ufa15","\ufa16","\ufa17","\ufa18","\ufa19","\ufa1a","\ufa1b","\ufa1c","\ufa1d","\ufa1e",  # ; Canonical # Lo  [10] CJK COMPATIBILITY IDEOGRAPH-FA15..CJK COMPATIBILITY IDEOGRAPH-FA1E
        "\uFA20",  # ; Canonical # Lo       CJK COMPATIBILITY IDEOGRAPH-FA20
        "\uFA22",  # ; Canonical # Lo       CJK COMPATIBILITY IDEOGRAPH-FA22
        "\ufa25","\ufa26",  # ; Canonical # Lo   [2] CJK COMPATIBILITY IDEOGRAPH-FA25..CJK COMPATIBILITY IDEOGRAPH-FA26
        "\ufa2a","\ufa2b","\ufa2c","\ufa2d","\ufa2e","\ufa2f","\ufa30","\ufa31","\ufa32","\ufa33","\ufa34","\ufa35","\ufa36","\ufa37","\ufa38","\ufa39","\ufa3a","\ufa3b","\ufa3c","\ufa3d","\ufa3e","\ufa3f","\ufa40","\ufa41","\ufa42","\ufa43","\ufa44","\ufa45","\ufa46","\ufa47","\ufa48","\ufa49","\ufa4a","\ufa4b","\ufa4c","\ufa4d","\ufa4e","\ufa4f","\ufa50","\ufa51","\ufa52","\ufa53","\ufa54","\ufa55","\ufa56","\ufa57","\ufa58","\ufa59","\ufa5a","\ufa5b","\ufa5c","\ufa5d","\ufa5e","\ufa5f","\ufa60","\ufa61","\ufa62","\ufa63","\ufa64","\ufa65","\ufa66","\ufa67","\ufa68","\ufa69","\ufa6a","\ufa6b","\ufa6c","\ufa6d",  # ; Canonical # Lo  [68] CJK COMPATIBILITY IDEOGRAPH-FA2A..CJK COMPATIBILITY IDEOGRAPH-FA6D
        "\ufa70","\ufa71","\ufa72","\ufa73","\ufa74","\ufa75","\ufa76","\ufa77","\ufa78","\ufa79","\ufa7a","\ufa7b","\ufa7c","\ufa7d","\ufa7e","\ufa7f","\ufa80","\ufa81","\ufa82","\ufa83","\ufa84","\ufa85","\ufa86","\ufa87","\ufa88","\ufa89","\ufa8a","\ufa8b","\ufa8c","\ufa8d","\ufa8e","\ufa8f","\ufa90","\ufa91","\ufa92","\ufa93","\ufa94","\ufa95","\ufa96","\ufa97","\ufa98","\ufa99","\ufa9a","\ufa9b","\ufa9c","\ufa9d","\ufa9e","\ufa9f","\ufaa0","\ufaa1","\ufaa2","\ufaa3","\ufaa4","\ufaa5","\ufaa6","\ufaa7","\ufaa8","\ufaa9","\ufaaa","\ufaab","\ufaac","\ufaad","\ufaae","\ufaaf","\ufab0","\ufab1","\ufab2","\ufab3","\ufab4","\ufab5","\ufab6","\ufab7","\ufab8","\ufab9","\ufaba","\ufabb","\ufabc","\ufabd","\ufabe","\ufabf","\ufac0","\ufac1","\ufac2","\ufac3","\ufac4","\ufac5","\ufac6","\ufac7","\ufac8","\ufac9","\ufaca","\ufacb","\ufacc","\ufacd","\uface","\ufacf","\ufad0","\ufad1","\ufad2","\ufad3","\ufad4","\ufad5","\ufad6","\ufad7","\ufad8","\ufad9",  # ; Canonical # Lo [106] CJK COMPATIBILITY IDEOGRAPH-FA70..CJK COMPATIBILITY IDEOGRAPH-FAD9
        "\uFB1D",  # ; Canonical # Lo       HEBREW LETTER YOD WITH HIRIQ
        "\uFB1F",  # ; Canonical # Lo       HEBREW LIGATURE YIDDISH YOD YOD PATAH
        "\ufb2a","\ufb2b","\ufb2c","\ufb2d","\ufb2e","\ufb2f","\ufb30","\ufb31","\ufb32","\ufb33","\ufb34","\ufb35","\ufb36",  # ; Canonical # Lo  [13] HEBREW LETTER SHIN WITH SHIN DOT..HEBREW LETTER ZAYIN WITH DAGESH
        "\ufb38","\ufb39","\ufb3a","\ufb3b","\ufb3c",  # ; Canonical # Lo   [5] HEBREW LETTER TET WITH DAGESH..HEBREW LETTER LAMED WITH DAGESH
        "\uFB3E",  # ; Canonical # Lo       HEBREW LETTER MEM WITH DAGESH
        "\ufb40","\ufb41",  # ; Canonical # Lo   [2] HEBREW LETTER NUN WITH DAGESH..HEBREW LETTER SAMEKH WITH DAGESH
        "\ufb43","\ufb44",  # ; Canonical # Lo   [2] HEBREW LETTER FINAL PE WITH DAGESH..HEBREW LETTER PE WITH DAGESH
        "\ufb46","\ufb47","\ufb48","\ufb49","\ufb4a","\ufb4b","\ufb4c","\ufb4d","\ufb4e",  # ; Canonical # Lo   [9] HEBREW LETTER TSADI WITH DAGESH..HEBREW LETTER PE WITH RAFE
        "\u1109A",  # ; Canonical # Lo       KAITHI LETTER DDDHA
        "\u1109C",  # ; Canonical # Lo       KAITHI LETTER RHA
        "\u110AB",  # ; Canonical # Lo       KAITHI LETTER VA
        "\u1112e","\u1112f",  # ; Canonical # Mn   [2] CHAKMA VOWEL SIGN O..CHAKMA VOWEL SIGN AU
        "\u1134b","\u1134c",  # ; Canonical # Mc   [2] GRANTHA VOWEL SIGN OO..GRANTHA VOWEL SIGN AU
        "\u114bb","\u114bc",  # ; Canonical # Mc   [2] TIRHUTA VOWEL SIGN AI..TIRHUTA VOWEL SIGN O
        "\u114BE",  # ; Canonical # Mc       TIRHUTA VOWEL SIGN AU
        "\u115ba","\u115bb",  # ; Canonical # Mc   [2] SIDDHAM VOWEL SIGN O..SIDDHAM VOWEL SIGN AU
        "\u1d15e","\u1d15f","\u1d160","\u1d161","\u1d162","\u1d163","\u1d164",  # ; Canonical # So   [7] MUSICAL SYMBOL HALF NOTE..MUSICAL SYMBOL ONE HUNDRED TWENTY-EIGHTH NOTE
        "\u1d1bb","\u1d1bc","\u1d1bd","\u1d1be","\u1d1bf","\u1d1c0",  # ; Canonical # So   [6] MUSICAL SYMBOL MINIMA..MUSICAL SYMBOL FUSA BLACK
        "\u2f800","\u2f801","\u2f802","\u2f803","\u2f804","\u2f805","\u2f806","\u2f807","\u2f808","\u2f809","\u2f80a","\u2f80b","\u2f80c","\u2f80d","\u2f80e","\u2f80f","\u2f810","\u2f811","\u2f812","\u2f813","\u2f814","\u2f815","\u2f816","\u2f817","\u2f818","\u2f819","\u2f81a","\u2f81b","\u2f81c","\u2f81d","\u2f81e","\u2f81f","\u2f820","\u2f821","\u2f822","\u2f823","\u2f824","\u2f825","\u2f826","\u2f827","\u2f828","\u2f829","\u2f82a","\u2f82b","\u2f82c","\u2f82d","\u2f82e","\u2f82f","\u2f830","\u2f831","\u2f832","\u2f833","\u2f834","\u2f835","\u2f836","\u2f837","\u2f838","\u2f839","\u2f83a","\u2f83b","\u2f83c","\u2f83d","\u2f83e","\u2f83f","\u2f840","\u2f841","\u2f842","\u2f843","\u2f844","\u2f845","\u2f846","\u2f847","\u2f848","\u2f849","\u2f84a","\u2f84b","\u2f84c","\u2f84d","\u2f84e","\u2f84f","\u2f850","\u2f851","\u2f852","\u2f853","\u2f854","\u2f855","\u2f856","\u2f857","\u2f858","\u2f859","\u2f85a","\u2f85b","\u2f85c","\u2f85d","\u2f85e","\u2f85f","\u2f860","\u2f861","\u2f862","\u2f863","\u2f864","\u2f865","\u2f866","\u2f867","\u2f868","\u2f869","\u2f86a","\u2f86b","\u2f86c","\u2f86d","\u2f86e","\u2f86f","\u2f870","\u2f871","\u2f872","\u2f873","\u2f874","\u2f875","\u2f876","\u2f877","\u2f878","\u2f879","\u2f87a","\u2f87b","\u2f87c","\u2f87d","\u2f87e","\u2f87f","\u2f880","\u2f881","\u2f882","\u2f883","\u2f884","\u2f885","\u2f886","\u2f887","\u2f888","\u2f889","\u2f88a","\u2f88b","\u2f88c","\u2f88d","\u2f88e","\u2f88f","\u2f890","\u2f891","\u2f892","\u2f893","\u2f894","\u2f895","\u2f896","\u2f897","\u2f898","\u2f899","\u2f89a","\u2f89b","\u2f89c","\u2f89d","\u2f89e","\u2f89f","\u2f8a0","\u2f8a1","\u2f8a2","\u2f8a3","\u2f8a4","\u2f8a5","\u2f8a6","\u2f8a7","\u2f8a8","\u2f8a9","\u2f8aa","\u2f8ab","\u2f8ac","\u2f8ad","\u2f8ae","\u2f8af","\u2f8b0","\u2f8b1","\u2f8b2","\u2f8b3","\u2f8b4","\u2f8b5","\u2f8b6","\u2f8b7","\u2f8b8","\u2f8b9","\u2f8ba","\u2f8bb","\u2f8bc","\u2f8bd","\u2f8be","\u2f8bf","\u2f8c0","\u2f8c1","\u2f8c2","\u2f8c3","\u2f8c4","\u2f8c5","\u2f8c6","\u2f8c7","\u2f8c8","\u2f8c9","\u2f8ca","\u2f8cb","\u2f8cc","\u2f8cd","\u2f8ce","\u2f8cf","\u2f8d0","\u2f8d1","\u2f8d2","\u2f8d3","\u2f8d4","\u2f8d5","\u2f8d6","\u2f8d7","\u2f8d8","\u2f8d9","\u2f8da","\u2f8db","\u2f8dc","\u2f8dd","\u2f8de","\u2f8df","\u2f8e0","\u2f8e1","\u2f8e2","\u2f8e3","\u2f8e4","\u2f8e5","\u2f8e6","\u2f8e7","\u2f8e8","\u2f8e9","\u2f8ea","\u2f8eb","\u2f8ec","\u2f8ed","\u2f8ee","\u2f8ef","\u2f8f0","\u2f8f1","\u2f8f2","\u2f8f3","\u2f8f4","\u2f8f5","\u2f8f6","\u2f8f7","\u2f8f8","\u2f8f9","\u2f8fa","\u2f8fb","\u2f8fc","\u2f8fd","\u2f8fe","\u2f8ff","\u2f900","\u2f901","\u2f902","\u2f903","\u2f904","\u2f905","\u2f906","\u2f907","\u2f908","\u2f909","\u2f90a","\u2f90b","\u2f90c","\u2f90d","\u2f90e","\u2f90f","\u2f910","\u2f911","\u2f912","\u2f913","\u2f914","\u2f915","\u2f916","\u2f917","\u2f918","\u2f919","\u2f91a","\u2f91b","\u2f91c","\u2f91d","\u2f91e","\u2f91f","\u2f920","\u2f921","\u2f922","\u2f923","\u2f924","\u2f925","\u2f926","\u2f927","\u2f928","\u2f929","\u2f92a","\u2f92b","\u2f92c","\u2f92d","\u2f92e","\u2f92f","\u2f930","\u2f931","\u2f932","\u2f933","\u2f934","\u2f935","\u2f936","\u2f937","\u2f938","\u2f939","\u2f93a","\u2f93b","\u2f93c","\u2f93d","\u2f93e","\u2f93f","\u2f940","\u2f941","\u2f942","\u2f943","\u2f944","\u2f945","\u2f946","\u2f947","\u2f948","\u2f949","\u2f94a","\u2f94b","\u2f94c","\u2f94d","\u2f94e","\u2f94f","\u2f950","\u2f951","\u2f952","\u2f953","\u2f954","\u2f955","\u2f956","\u2f957","\u2f958","\u2f959","\u2f95a","\u2f95b","\u2f95c","\u2f95d","\u2f95e","\u2f95f","\u2f960","\u2f961","\u2f962","\u2f963","\u2f964","\u2f965","\u2f966","\u2f967","\u2f968","\u2f969","\u2f96a","\u2f96b","\u2f96c","\u2f96d","\u2f96e","\u2f96f","\u2f970","\u2f971","\u2f972","\u2f973","\u2f974","\u2f975","\u2f976","\u2f977","\u2f978","\u2f979","\u2f97a","\u2f97b","\u2f97c","\u2f97d","\u2f97e","\u2f97f","\u2f980","\u2f981","\u2f982","\u2f983","\u2f984","\u2f985","\u2f986","\u2f987","\u2f988","\u2f989","\u2f98a","\u2f98b","\u2f98c","\u2f98d","\u2f98e","\u2f98f","\u2f990","\u2f991","\u2f992","\u2f993","\u2f994","\u2f995","\u2f996","\u2f997","\u2f998","\u2f999","\u2f99a","\u2f99b","\u2f99c","\u2f99d","\u2f99e","\u2f99f","\u2f9a0","\u2f9a1","\u2f9a2","\u2f9a3","\u2f9a4","\u2f9a5","\u2f9a6","\u2f9a7","\u2f9a8","\u2f9a9","\u2f9aa","\u2f9ab","\u2f9ac","\u2f9ad","\u2f9ae","\u2f9af","\u2f9b0","\u2f9b1","\u2f9b2","\u2f9b3","\u2f9b4","\u2f9b5","\u2f9b6","\u2f9b7","\u2f9b8","\u2f9b9","\u2f9ba","\u2f9bb","\u2f9bc","\u2f9bd","\u2f9be","\u2f9bf","\u2f9c0","\u2f9c1","\u2f9c2","\u2f9c3","\u2f9c4","\u2f9c5","\u2f9c6","\u2f9c7","\u2f9c8","\u2f9c9","\u2f9ca","\u2f9cb","\u2f9cc","\u2f9cd","\u2f9ce","\u2f9cf","\u2f9d0","\u2f9d1","\u2f9d2","\u2f9d3","\u2f9d4","\u2f9d5","\u2f9d6","\u2f9d7","\u2f9d8","\u2f9d9","\u2f9da","\u2f9db","\u2f9dc","\u2f9dd","\u2f9de","\u2f9df","\u2f9e0","\u2f9e1","\u2f9e2","\u2f9e3","\u2f9e4","\u2f9e5","\u2f9e6","\u2f9e7","\u2f9e8","\u2f9e9","\u2f9ea","\u2f9eb","\u2f9ec","\u2f9ed","\u2f9ee","\u2f9ef","\u2f9f0","\u2f9f1","\u2f9f2","\u2f9f3","\u2f9f4","\u2f9f5","\u2f9f6","\u2f9f7","\u2f9f8","\u2f9f9","\u2f9fa","\u2f9fb","\u2f9fc","\u2f9fd","\u2f9fe","\u2f9ff","\u2fa00","\u2fa01","\u2fa02","\u2fa03","\u2fa04","\u2fa05","\u2fa06","\u2fa07","\u2fa08","\u2fa09","\u2fa0a","\u2fa0b","\u2fa0c","\u2fa0d","\u2fa0e","\u2fa0f","\u2fa10","\u2fa11","\u2fa12","\u2fa13","\u2fa14","\u2fa15","\u2fa16","\u2fa17","\u2fa18","\u2fa19","\u2fa1a","\u2fa1b","\u2fa1c","\u2fa1d",  # ; Canonical # Lo [542] CJK COMPATIBILITY IDEOGRAPH-2F800..CJK COMPATIBILITY IDEOGRAPH-2FA1D
        "\u00A8",  # ; Compat # Sk       DIAERESIS
        "\u00AF",  # ; Compat # Sk       MACRON
        "\u00B4",  # ; Compat # Sk       ACUTE ACCENT
        "\u00B5",  # ; Compat # L&       MICRO SIGN
        "\u00B8",  # ; Compat # Sk       CEDILLA
        "\u0132","\u0133",  # ; Compat # L&   [2] LATIN CAPITAL LIGATURE IJ..LATIN SMALL LIGATURE IJ
        "\u013f","\u0140",  # ; Compat # L&   [2] LATIN CAPITAL LETTER L WITH MIDDLE DOT..LATIN SMALL LETTER L WITH MIDDLE DOT
        "\u0149",  # ; Compat # L&       LATIN SMALL LETTER N PRECEDED BY APOSTROPHE
        "\u017F",  # ; Compat # L&       LATIN SMALL LETTER LONG S
        "\u01c4","\u01c5","\u01c6","\u01c7","\u01c8","\u01c9","\u01ca","\u01cb","\u01cc",  # ; Compat # L&   [9] LATIN CAPITAL LETTER DZ WITH CARON..LATIN SMALL LETTER NJ
        "\u01f1","\u01f2","\u01f3",  # ; Compat # L&   [3] LATIN CAPITAL LETTER DZ..LATIN SMALL LETTER DZ
        "\u02d8","\u02d9","\u02da","\u02db","\u02dc","\u02dd",  # ; Compat # Sk   [6] BREVE..DOUBLE ACUTE ACCENT
        "\u037A",  # ; Compat # Lm       GREEK YPOGEGRAMMENI
        "\u0384",  # ; Compat # Sk       GREEK TONOS
        "\u03d0","\u03d1","\u03d2",  # ; Compat # L&   [3] GREEK BETA SYMBOL..GREEK UPSILON WITH HOOK SYMBOL
        "\u03d5","\u03d6",  # ; Compat # L&   [2] GREEK PHI SYMBOL..GREEK PI SYMBOL
        "\u03f0","\u03f1","\u03f2",  # ; Compat # L&   [3] GREEK KAPPA SYMBOL..GREEK LUNATE SIGMA SYMBOL
        "\u03f4","\u03f5",  # ; Compat # L&   [2] GREEK CAPITAL THETA SYMBOL..GREEK LUNATE EPSILON SYMBOL
        "\u03F9",  # ; Compat # L&       GREEK CAPITAL LUNATE SIGMA SYMBOL
        "\u0587",  # ; Compat # L&       ARMENIAN SMALL LIGATURE ECH YIWN
        "\u0675","\u0676","\u0677","\u0678",  # ; Compat # Lo   [4] ARABIC LETTER HIGH HAMZA ALEF..ARABIC LETTER HIGH HAMZA YEH
        "\u0E33",  # ; Compat # Lo       THAI CHARACTER SARA AM
        "\u0EB3",  # ; Compat # Lo       LAO VOWEL SIGN AM
        "\u0edc","\u0edd",  # ; Compat # Lo   [2] LAO HO NO..LAO HO MO
        "\u0F77",  # ; Compat # Mn       TIBETAN VOWEL SIGN VOCALIC RR
        "\u0F79",  # ; Compat # Mn       TIBETAN VOWEL SIGN VOCALIC LL
        "\u1E9A",  # ; Compat # L&       LATIN SMALL LETTER A WITH RIGHT HALF RING
        "\u1FBD",  # ; Compat # Sk       GREEK KORONIS
        "\u1fbf","\u1fc0",  # ; Compat # Sk   [2] GREEK PSILI..GREEK PERISPOMENI
        "\u1FFE",  # ; Compat # Sk       GREEK DASIA
        "\u2002","\u2003","\u2004","\u2005","\u2006",  # ; Compat # Zs   [5] EN SPACE..SIX-PER-EM SPACE
        "\u2008","\u2009","\u200a",  # ; Compat # Zs   [3] PUNCTUATION SPACE..HAIR SPACE
        "\u2017",  # ; Compat # Po       DOUBLE LOW LINE
        "\u2024","\u2025","\u2026",  # ; Compat # Po   [3] ONE DOT LEADER..HORIZONTAL ELLIPSIS
        "\u2033","\u2034",  # ; Compat # Po   [2] DOUBLE PRIME..TRIPLE PRIME
        "\u2036","\u2037",  # ; Compat # Po   [2] REVERSED DOUBLE PRIME..REVERSED TRIPLE PRIME
        "\u203C",  # ; Compat # Po       DOUBLE EXCLAMATION MARK
        "\u203E",  # ; Compat # Po       OVERLINE
        "\u2047","\u2048","\u2049",  # ; Compat # Po   [3] DOUBLE QUESTION MARK..EXCLAMATION QUESTION MARK
        "\u2057",  # ; Compat # Po       QUADRUPLE PRIME
        "\u205F",  # ; Compat # Zs       MEDIUM MATHEMATICAL SPACE
        "\u20A8",  # ; Compat # Sc       RUPEE SIGN
        "\u2100","\u2101",  # ; Compat # So   [2] ACCOUNT OF..ADDRESSED TO THE SUBJECT
        "\u2103",  # ; Compat # So       DEGREE CELSIUS
        "\u2105","\u2106",  # ; Compat # So   [2] CARE OF..CADA UNA
        "\u2107",  # ; Compat # L&       EULER CONSTANT
        "\u2109",  # ; Compat # So       DEGREE FAHRENHEIT
        "\u2116",  # ; Compat # So       NUMERO SIGN
        "\u2121",  # ; Compat # So       TELEPHONE SIGN
        "\u2135","\u2136","\u2137","\u2138",  # ; Compat # Lo   [4] ALEF SYMBOL..DALET SYMBOL
        "\u213B",  # ; Compat # So       FACSIMILE SIGN
        "\u2160","\u2161","\u2162","\u2163","\u2164","\u2165","\u2166","\u2167","\u2168","\u2169","\u216a","\u216b","\u216c","\u216d","\u216e","\u216f","\u2170","\u2171","\u2172","\u2173","\u2174","\u2175","\u2176","\u2177","\u2178","\u2179","\u217a","\u217b","\u217c","\u217d","\u217e","\u217f",  # ; Compat # Nl  [32] ROMAN NUMERAL ONE..SMALL ROMAN NUMERAL ONE THOUSAND
        "\u222c","\u222d",  # ; Compat # Sm   [2] DOUBLE INTEGRAL..TRIPLE INTEGRAL
        "\u222f","\u2230",  # ; Compat # Sm   [2] SURFACE INTEGRAL..VOLUME INTEGRAL
        "\u2474","\u2475","\u2476","\u2477","\u2478","\u2479","\u247a","\u247b","\u247c","\u247d","\u247e","\u247f","\u2480","\u2481","\u2482","\u2483","\u2484","\u2485","\u2486","\u2487","\u2488","\u2489","\u248a","\u248b","\u248c","\u248d","\u248e","\u248f","\u2490","\u2491","\u2492","\u2493","\u2494","\u2495","\u2496","\u2497","\u2498","\u2499","\u249a","\u249b",  # ; Compat # No  [40] PARENTHESIZED DIGIT ONE..NUMBER TWENTY FULL STOP
        "\u249c","\u249d","\u249e","\u249f","\u24a0","\u24a1","\u24a2","\u24a3","\u24a4","\u24a5","\u24a6","\u24a7","\u24a8","\u24a9","\u24aa","\u24ab","\u24ac","\u24ad","\u24ae","\u24af","\u24b0","\u24b1","\u24b2","\u24b3","\u24b4","\u24b5",  # ; Compat # So  [26] PARENTHESIZED LATIN SMALL LETTER A..PARENTHESIZED LATIN SMALL LETTER Z
        "\u2A0C",  # ; Compat # Sm       QUADRUPLE INTEGRAL OPERATOR
        "\u2a74","\u2a75","\u2a76",  # ; Compat # Sm   [3] DOUBLE COLON EQUAL..THREE CONSECUTIVE EQUALS SIGNS
        "\u2E9F",  # ; Compat # So       CJK RADICAL MOTHER
        "\u2EF3",  # ; Compat # So       CJK RADICAL C-SIMPLIFIED TURTLE
        "\u2f00","\u2f01","\u2f02","\u2f03","\u2f04","\u2f05","\u2f06","\u2f07","\u2f08","\u2f09","\u2f0a","\u2f0b","\u2f0c","\u2f0d","\u2f0e","\u2f0f","\u2f10","\u2f11","\u2f12","\u2f13","\u2f14","\u2f15","\u2f16","\u2f17","\u2f18","\u2f19","\u2f1a","\u2f1b","\u2f1c","\u2f1d","\u2f1e","\u2f1f","\u2f20","\u2f21","\u2f22","\u2f23","\u2f24","\u2f25","\u2f26","\u2f27","\u2f28","\u2f29","\u2f2a","\u2f2b","\u2f2c","\u2f2d","\u2f2e","\u2f2f","\u2f30","\u2f31","\u2f32","\u2f33","\u2f34","\u2f35","\u2f36","\u2f37","\u2f38","\u2f39","\u2f3a","\u2f3b","\u2f3c","\u2f3d","\u2f3e","\u2f3f","\u2f40","\u2f41","\u2f42","\u2f43","\u2f44","\u2f45","\u2f46","\u2f47","\u2f48","\u2f49","\u2f4a","\u2f4b","\u2f4c","\u2f4d","\u2f4e","\u2f4f","\u2f50","\u2f51","\u2f52","\u2f53","\u2f54","\u2f55","\u2f56","\u2f57","\u2f58","\u2f59","\u2f5a","\u2f5b","\u2f5c","\u2f5d","\u2f5e","\u2f5f","\u2f60","\u2f61","\u2f62","\u2f63","\u2f64","\u2f65","\u2f66","\u2f67","\u2f68","\u2f69","\u2f6a","\u2f6b","\u2f6c","\u2f6d","\u2f6e","\u2f6f","\u2f70","\u2f71","\u2f72","\u2f73","\u2f74","\u2f75","\u2f76","\u2f77","\u2f78","\u2f79","\u2f7a","\u2f7b","\u2f7c","\u2f7d","\u2f7e","\u2f7f","\u2f80","\u2f81","\u2f82","\u2f83","\u2f84","\u2f85","\u2f86","\u2f87","\u2f88","\u2f89","\u2f8a","\u2f8b","\u2f8c","\u2f8d","\u2f8e","\u2f8f","\u2f90","\u2f91","\u2f92","\u2f93","\u2f94","\u2f95","\u2f96","\u2f97","\u2f98","\u2f99","\u2f9a","\u2f9b","\u2f9c","\u2f9d","\u2f9e","\u2f9f","\u2fa0","\u2fa1","\u2fa2","\u2fa3","\u2fa4","\u2fa5","\u2fa6","\u2fa7","\u2fa8","\u2fa9","\u2faa","\u2fab","\u2fac","\u2fad","\u2fae","\u2faf","\u2fb0","\u2fb1","\u2fb2","\u2fb3","\u2fb4","\u2fb5","\u2fb6","\u2fb7","\u2fb8","\u2fb9","\u2fba","\u2fbb","\u2fbc","\u2fbd","\u2fbe","\u2fbf","\u2fc0","\u2fc1","\u2fc2","\u2fc3","\u2fc4","\u2fc5","\u2fc6","\u2fc7","\u2fc8","\u2fc9","\u2fca","\u2fcb","\u2fcc","\u2fcd","\u2fce","\u2fcf","\u2fd0","\u2fd1","\u2fd2","\u2fd3","\u2fd4","\u2fd5",  # ; Compat # So [214] KANGXI RADICAL ONE..KANGXI RADICAL FLUTE
        "\u3036",  # ; Compat # So       CIRCLED POSTAL MARK
        "\u3038","\u3039","\u303a",  # ; Compat # Nl   [3] HANGZHOU NUMERAL TEN..HANGZHOU NUMERAL THIRTY
        "\u309b","\u309c",  # ; Compat # Sk   [2] KATAKANA-HIRAGANA VOICED SOUND MARK..KATAKANA-HIRAGANA SEMI-VOICED SOUND MARK
        "\u3131","\u3132","\u3133","\u3134","\u3135","\u3136","\u3137","\u3138","\u3139","\u313a","\u313b","\u313c","\u313d","\u313e","\u313f","\u3140","\u3141","\u3142","\u3143","\u3144","\u3145","\u3146","\u3147","\u3148","\u3149","\u314a","\u314b","\u314c","\u314d","\u314e","\u314f","\u3150","\u3151","\u3152","\u3153","\u3154","\u3155","\u3156","\u3157","\u3158","\u3159","\u315a","\u315b","\u315c","\u315d","\u315e","\u315f","\u3160","\u3161","\u3162","\u3163","\u3164","\u3165","\u3166","\u3167","\u3168","\u3169","\u316a","\u316b","\u316c","\u316d","\u316e","\u316f","\u3170","\u3171","\u3172","\u3173","\u3174","\u3175","\u3176","\u3177","\u3178","\u3179","\u317a","\u317b","\u317c","\u317d","\u317e","\u317f","\u3180","\u3181","\u3182","\u3183","\u3184","\u3185","\u3186","\u3187","\u3188","\u3189","\u318a","\u318b","\u318c","\u318d","\u318e",  # ; Compat # Lo  [94] HANGUL LETTER KIYEOK..HANGUL LETTER ARAEAE
        "\u3200","\u3201","\u3202","\u3203","\u3204","\u3205","\u3206","\u3207","\u3208","\u3209","\u320a","\u320b","\u320c","\u320d","\u320e","\u320f","\u3210","\u3211","\u3212","\u3213","\u3214","\u3215","\u3216","\u3217","\u3218","\u3219","\u321a","\u321b","\u321c","\u321d","\u321e",  # ; Compat # So  [31] PARENTHESIZED HANGUL KIYEOK..PARENTHESIZED KOREAN CHARACTER O HU
        "\u3220","\u3221","\u3222","\u3223","\u3224","\u3225","\u3226","\u3227","\u3228","\u3229",  # ; Compat # No  [10] PARENTHESIZED IDEOGRAPH ONE..PARENTHESIZED IDEOGRAPH TEN
        "\u322a","\u322b","\u322c","\u322d","\u322e","\u322f","\u3230","\u3231","\u3232","\u3233","\u3234","\u3235","\u3236","\u3237","\u3238","\u3239","\u323a","\u323b","\u323c","\u323d","\u323e","\u323f","\u3240","\u3241","\u3242","\u3243",  # ; Compat # So  [26] PARENTHESIZED IDEOGRAPH MOON..PARENTHESIZED IDEOGRAPH REACH
        "\u32c0","\u32c1","\u32c2","\u32c3","\u32c4","\u32c5","\u32c6","\u32c7","\u32c8","\u32c9","\u32ca","\u32cb",  # ; Compat # So  [12] IDEOGRAPHIC TELEGRAPH SYMBOL FOR JANUARY..IDEOGRAPHIC TELEGRAPH SYMBOL FOR DECEMBER
        "\u3358","\u3359","\u335a","\u335b","\u335c","\u335d","\u335e","\u335f","\u3360","\u3361","\u3362","\u3363","\u3364","\u3365","\u3366","\u3367","\u3368","\u3369","\u336a","\u336b","\u336c","\u336d","\u336e","\u336f","\u3370",  # ; Compat # So  [25] IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR ZERO..IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY-FOUR
        "\u33e0","\u33e1","\u33e2","\u33e3","\u33e4","\u33e5","\u33e6","\u33e7","\u33e8","\u33e9","\u33ea","\u33eb","\u33ec","\u33ed","\u33ee","\u33ef","\u33f0","\u33f1","\u33f2","\u33f3","\u33f4","\u33f5","\u33f6","\u33f7","\u33f8","\u33f9","\u33fa","\u33fb","\u33fc","\u33fd","\u33fe",  # ; Compat # So  [31] IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY ONE..IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY THIRTY-ONE
        "\ufb00","\ufb01","\ufb02","\ufb03","\ufb04","\ufb05","\ufb06",  # ; Compat # L&   [7] LATIN SMALL LIGATURE FF..LATIN SMALL LIGATURE ST
        "\ufb13","\ufb14","\ufb15","\ufb16","\ufb17",  # ; Compat # L&   [5] ARMENIAN SMALL LIGATURE MEN NOW..ARMENIAN SMALL LIGATURE MEN XEH
        "\uFB4F",  # ; Compat # Lo       HEBREW LIGATURE ALEF LAMED
        "\ufe49","\ufe4a","\ufe4b","\ufe4c",  # ; Compat # Po   [4] DASHED OVERLINE..DOUBLE WAVY OVERLINE
        "\ufe4d","\ufe4e","\ufe4f",  # ; Compat # Pc   [3] DASHED LOW LINE..WAVY LOW LINE
        "\u1f100","\u1f101","\u1f102","\u1f103","\u1f104","\u1f105","\u1f106","\u1f107","\u1f108","\u1f109","\u1f10a",  # ; Compat # No  [11] DIGIT ZERO FULL STOP..DIGIT NINE COMMA
        "\u1f110","\u1f111","\u1f112","\u1f113","\u1f114","\u1f115","\u1f116","\u1f117","\u1f118","\u1f119","\u1f11a","\u1f11b","\u1f11c","\u1f11d","\u1f11e","\u1f11f","\u1f120","\u1f121","\u1f122","\u1f123","\u1f124","\u1f125","\u1f126","\u1f127","\u1f128","\u1f129","\u1f12a",  # ; Compat # So  [27] PARENTHESIZED LATIN CAPITAL LETTER A..TORTOISE SHELL BRACKETED LATIN CAPITAL LETTER S
        "\u1f240","\u1f241","\u1f242","\u1f243","\u1f244","\u1f245","\u1f246","\u1f247","\u1f248",  # ; Compat # So   [9] TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-672C..TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-6557
        "\u2102",  # ; Font # L&       DOUBLE-STRUCK CAPITAL C
        "\u210a","\u210b","\u210c","\u210d","\u210e","\u210f","\u2110","\u2111","\u2112","\u2113",  # ; Font # L&  [10] SCRIPT SMALL G..SCRIPT SMALL L
        "\u2115",  # ; Font # L&       DOUBLE-STRUCK CAPITAL N
        "\u2119","\u211a","\u211b","\u211c","\u211d",  # ; Font # L&   [5] DOUBLE-STRUCK CAPITAL P..DOUBLE-STRUCK CAPITAL R
        "\u2124",  # ; Font # L&       DOUBLE-STRUCK CAPITAL Z
        "\u2128",  # ; Font # L&       BLACK-LETTER CAPITAL Z
        "\u212c","\u212d",  # ; Font # L&   [2] SCRIPT CAPITAL B..BLACK-LETTER CAPITAL C
        "\u212f","\u2130","\u2131",  # ; Font # L&   [3] SCRIPT SMALL E..SCRIPT CAPITAL F
        "\u2133","\u2134",  # ; Font # L&   [2] SCRIPT CAPITAL M..SCRIPT SMALL O
        "\u2139",  # ; Font # L&       INFORMATION SOURCE
        "\u213c","\u213d","\u213e","\u213f",  # ; Font # L&   [4] DOUBLE-STRUCK SMALL PI..DOUBLE-STRUCK CAPITAL PI
        "\u2140",  # ; Font # Sm       DOUBLE-STRUCK N-ARY SUMMATION
        "\u2145","\u2146","\u2147","\u2148","\u2149",  # ; Font # L&   [5] DOUBLE-STRUCK ITALIC CAPITAL D..DOUBLE-STRUCK ITALIC SMALL J
        "\ufb20","\ufb21","\ufb22","\ufb23","\ufb24","\ufb25","\ufb26","\ufb27","\ufb28",  # ; Font # Lo   [9] HEBREW LETTER ALTERNATIVE AYIN..HEBREW LETTER WIDE TAV
        "\uFB29",  # ; Font # Sm       HEBREW LETTER ALTERNATIVE PLUS SIGN
        "\u1d400","\u1d401","\u1d402","\u1d403","\u1d404","\u1d405","\u1d406","\u1d407","\u1d408","\u1d409","\u1d40a","\u1d40b","\u1d40c","\u1d40d","\u1d40e","\u1d40f","\u1d410","\u1d411","\u1d412","\u1d413","\u1d414","\u1d415","\u1d416","\u1d417","\u1d418","\u1d419","\u1d41a","\u1d41b","\u1d41c","\u1d41d","\u1d41e","\u1d41f","\u1d420","\u1d421","\u1d422","\u1d423","\u1d424","\u1d425","\u1d426","\u1d427","\u1d428","\u1d429","\u1d42a","\u1d42b","\u1d42c","\u1d42d","\u1d42e","\u1d42f","\u1d430","\u1d431","\u1d432","\u1d433","\u1d434","\u1d435","\u1d436","\u1d437","\u1d438","\u1d439","\u1d43a","\u1d43b","\u1d43c","\u1d43d","\u1d43e","\u1d43f","\u1d440","\u1d441","\u1d442","\u1d443","\u1d444","\u1d445","\u1d446","\u1d447","\u1d448","\u1d449","\u1d44a","\u1d44b","\u1d44c","\u1d44d","\u1d44e","\u1d44f","\u1d450","\u1d451","\u1d452","\u1d453","\u1d454",  # ; Font # L&  [85] MATHEMATICAL BOLD CAPITAL A..MATHEMATICAL ITALIC SMALL G
        "\u1d456","\u1d457","\u1d458","\u1d459","\u1d45a","\u1d45b","\u1d45c","\u1d45d","\u1d45e","\u1d45f","\u1d460","\u1d461","\u1d462","\u1d463","\u1d464","\u1d465","\u1d466","\u1d467","\u1d468","\u1d469","\u1d46a","\u1d46b","\u1d46c","\u1d46d","\u1d46e","\u1d46f","\u1d470","\u1d471","\u1d472","\u1d473","\u1d474","\u1d475","\u1d476","\u1d477","\u1d478","\u1d479","\u1d47a","\u1d47b","\u1d47c","\u1d47d","\u1d47e","\u1d47f","\u1d480","\u1d481","\u1d482","\u1d483","\u1d484","\u1d485","\u1d486","\u1d487","\u1d488","\u1d489","\u1d48a","\u1d48b","\u1d48c","\u1d48d","\u1d48e","\u1d48f","\u1d490","\u1d491","\u1d492","\u1d493","\u1d494","\u1d495","\u1d496","\u1d497","\u1d498","\u1d499","\u1d49a","\u1d49b","\u1d49c",  # ; Font # L&  [71] MATHEMATICAL ITALIC SMALL I..MATHEMATICAL SCRIPT CAPITAL A
        "\u1d49e","\u1d49f",  # ; Font # L&   [2] MATHEMATICAL SCRIPT CAPITAL C..MATHEMATICAL SCRIPT CAPITAL D
        "\u1D4A2",  # ; Font # L&       MATHEMATICAL SCRIPT CAPITAL G
        "\u1d4a5","\u1d4a6",  # ; Font # L&   [2] MATHEMATICAL SCRIPT CAPITAL J..MATHEMATICAL SCRIPT CAPITAL K
        "\u1d4a9","\u1d4aa","\u1d4ab","\u1d4ac",  # ; Font # L&   [4] MATHEMATICAL SCRIPT CAPITAL N..MATHEMATICAL SCRIPT CAPITAL Q
        "\u1d4ae","\u1d4af","\u1d4b0","\u1d4b1","\u1d4b2","\u1d4b3","\u1d4b4","\u1d4b5","\u1d4b6","\u1d4b7","\u1d4b8","\u1d4b9",  # ; Font # L&  [12] MATHEMATICAL SCRIPT CAPITAL S..MATHEMATICAL SCRIPT SMALL D
        "\u1D4BB",  # ; Font # L&       MATHEMATICAL SCRIPT SMALL F
        "\u1d4bd","\u1d4be","\u1d4bf","\u1d4c0","\u1d4c1","\u1d4c2","\u1d4c3",  # ; Font # L&   [7] MATHEMATICAL SCRIPT SMALL H..MATHEMATICAL SCRIPT SMALL N
        "\u1d4c5","\u1d4c6","\u1d4c7","\u1d4c8","\u1d4c9","\u1d4ca","\u1d4cb","\u1d4cc","\u1d4cd","\u1d4ce","\u1d4cf","\u1d4d0","\u1d4d1","\u1d4d2","\u1d4d3","\u1d4d4","\u1d4d5","\u1d4d6","\u1d4d7","\u1d4d8","\u1d4d9","\u1d4da","\u1d4db","\u1d4dc","\u1d4dd","\u1d4de","\u1d4df","\u1d4e0","\u1d4e1","\u1d4e2","\u1d4e3","\u1d4e4","\u1d4e5","\u1d4e6","\u1d4e7","\u1d4e8","\u1d4e9","\u1d4ea","\u1d4eb","\u1d4ec","\u1d4ed","\u1d4ee","\u1d4ef","\u1d4f0","\u1d4f1","\u1d4f2","\u1d4f3","\u1d4f4","\u1d4f5","\u1d4f6","\u1d4f7","\u1d4f8","\u1d4f9","\u1d4fa","\u1d4fb","\u1d4fc","\u1d4fd","\u1d4fe","\u1d4ff","\u1d500","\u1d501","\u1d502","\u1d503","\u1d504","\u1d505",  # ; Font # L&  [65] MATHEMATICAL SCRIPT SMALL P..MATHEMATICAL FRAKTUR CAPITAL B
        "\u1d507","\u1d508","\u1d509","\u1d50a",  # ; Font # L&   [4] MATHEMATICAL FRAKTUR CAPITAL D..MATHEMATICAL FRAKTUR CAPITAL G
        "\u1d50d","\u1d50e","\u1d50f","\u1d510","\u1d511","\u1d512","\u1d513","\u1d514",  # ; Font # L&   [8] MATHEMATICAL FRAKTUR CAPITAL J..MATHEMATICAL FRAKTUR CAPITAL Q
        "\u1d516","\u1d517","\u1d518","\u1d519","\u1d51a","\u1d51b","\u1d51c",  # ; Font # L&   [7] MATHEMATICAL FRAKTUR CAPITAL S..MATHEMATICAL FRAKTUR CAPITAL Y
        "\u1d51e","\u1d51f","\u1d520","\u1d521","\u1d522","\u1d523","\u1d524","\u1d525","\u1d526","\u1d527","\u1d528","\u1d529","\u1d52a","\u1d52b","\u1d52c","\u1d52d","\u1d52e","\u1d52f","\u1d530","\u1d531","\u1d532","\u1d533","\u1d534","\u1d535","\u1d536","\u1d537","\u1d538","\u1d539",  # ; Font # L&  [28] MATHEMATICAL FRAKTUR SMALL A..MATHEMATICAL DOUBLE-STRUCK CAPITAL B
        "\u1d53b","\u1d53c","\u1d53d","\u1d53e",  # ; Font # L&   [4] MATHEMATICAL DOUBLE-STRUCK CAPITAL D..MATHEMATICAL DOUBLE-STRUCK CAPITAL G
        "\u1d540","\u1d541","\u1d542","\u1d543","\u1d544",  # ; Font # L&   [5] MATHEMATICAL DOUBLE-STRUCK CAPITAL I..MATHEMATICAL DOUBLE-STRUCK CAPITAL M
        "\u1D546",  # ; Font # L&       MATHEMATICAL DOUBLE-STRUCK CAPITAL O
        "\u1d54a","\u1d54b","\u1d54c","\u1d54d","\u1d54e","\u1d54f","\u1d550",  # ; Font # L&   [7] MATHEMATICAL DOUBLE-STRUCK CAPITAL S..MATHEMATICAL DOUBLE-STRUCK CAPITAL Y
        "\u1d552","\u1d553","\u1d554","\u1d555","\u1d556","\u1d557","\u1d558","\u1d559","\u1d55a","\u1d55b","\u1d55c","\u1d55d","\u1d55e","\u1d55f","\u1d560","\u1d561","\u1d562","\u1d563","\u1d564","\u1d565","\u1d566","\u1d567","\u1d568","\u1d569","\u1d56a","\u1d56b","\u1d56c","\u1d56d","\u1d56e","\u1d56f","\u1d570","\u1d571","\u1d572","\u1d573","\u1d574","\u1d575","\u1d576","\u1d577","\u1d578","\u1d579","\u1d57a","\u1d57b","\u1d57c","\u1d57d","\u1d57e","\u1d57f","\u1d580","\u1d581","\u1d582","\u1d583","\u1d584","\u1d585","\u1d586","\u1d587","\u1d588","\u1d589","\u1d58a","\u1d58b","\u1d58c","\u1d58d","\u1d58e","\u1d58f","\u1d590","\u1d591","\u1d592","\u1d593","\u1d594","\u1d595","\u1d596","\u1d597","\u1d598","\u1d599","\u1d59a","\u1d59b","\u1d59c","\u1d59d","\u1d59e","\u1d59f","\u1d5a0","\u1d5a1","\u1d5a2","\u1d5a3","\u1d5a4","\u1d5a5","\u1d5a6","\u1d5a7","\u1d5a8","\u1d5a9","\u1d5aa","\u1d5ab","\u1d5ac","\u1d5ad","\u1d5ae","\u1d5af","\u1d5b0","\u1d5b1","\u1d5b2","\u1d5b3","\u1d5b4","\u1d5b5","\u1d5b6","\u1d5b7","\u1d5b8","\u1d5b9","\u1d5ba","\u1d5bb","\u1d5bc","\u1d5bd","\u1d5be","\u1d5bf","\u1d5c0","\u1d5c1","\u1d5c2","\u1d5c3","\u1d5c4","\u1d5c5","\u1d5c6","\u1d5c7","\u1d5c8","\u1d5c9","\u1d5ca","\u1d5cb","\u1d5cc","\u1d5cd","\u1d5ce","\u1d5cf","\u1d5d0","\u1d5d1","\u1d5d2","\u1d5d3","\u1d5d4","\u1d5d5","\u1d5d6","\u1d5d7","\u1d5d8","\u1d5d9","\u1d5da","\u1d5db","\u1d5dc","\u1d5dd","\u1d5de","\u1d5df","\u1d5e0","\u1d5e1","\u1d5e2","\u1d5e3","\u1d5e4","\u1d5e5","\u1d5e6","\u1d5e7","\u1d5e8","\u1d5e9","\u1d5ea","\u1d5eb","\u1d5ec","\u1d5ed","\u1d5ee","\u1d5ef","\u1d5f0","\u1d5f1","\u1d5f2","\u1d5f3","\u1d5f4","\u1d5f5","\u1d5f6","\u1d5f7","\u1d5f8","\u1d5f9","\u1d5fa","\u1d5fb","\u1d5fc","\u1d5fd","\u1d5fe","\u1d5ff","\u1d600","\u1d601","\u1d602","\u1d603","\u1d604","\u1d605","\u1d606","\u1d607","\u1d608","\u1d609","\u1d60a","\u1d60b","\u1d60c","\u1d60d","\u1d60e","\u1d60f","\u1d610","\u1d611","\u1d612","\u1d613","\u1d614","\u1d615","\u1d616","\u1d617","\u1d618","\u1d619","\u1d61a","\u1d61b","\u1d61c","\u1d61d","\u1d61e","\u1d61f","\u1d620","\u1d621","\u1d622","\u1d623","\u1d624","\u1d625","\u1d626","\u1d627","\u1d628","\u1d629","\u1d62a","\u1d62b","\u1d62c","\u1d62d","\u1d62e","\u1d62f","\u1d630","\u1d631","\u1d632","\u1d633","\u1d634","\u1d635","\u1d636","\u1d637","\u1d638","\u1d639","\u1d63a","\u1d63b","\u1d63c","\u1d63d","\u1d63e","\u1d63f","\u1d640","\u1d641","\u1d642","\u1d643","\u1d644","\u1d645","\u1d646","\u1d647","\u1d648","\u1d649","\u1d64a","\u1d64b","\u1d64c","\u1d64d","\u1d64e","\u1d64f","\u1d650","\u1d651","\u1d652","\u1d653","\u1d654","\u1d655","\u1d656","\u1d657","\u1d658","\u1d659","\u1d65a","\u1d65b","\u1d65c","\u1d65d","\u1d65e","\u1d65f","\u1d660","\u1d661","\u1d662","\u1d663","\u1d664","\u1d665","\u1d666","\u1d667","\u1d668","\u1d669","\u1d66a","\u1d66b","\u1d66c","\u1d66d","\u1d66e","\u1d66f","\u1d670","\u1d671","\u1d672","\u1d673","\u1d674","\u1d675","\u1d676","\u1d677","\u1d678","\u1d679","\u1d67a","\u1d67b","\u1d67c","\u1d67d","\u1d67e","\u1d67f","\u1d680","\u1d681","\u1d682","\u1d683","\u1d684","\u1d685","\u1d686","\u1d687","\u1d688","\u1d689","\u1d68a","\u1d68b","\u1d68c","\u1d68d","\u1d68e","\u1d68f","\u1d690","\u1d691","\u1d692","\u1d693","\u1d694","\u1d695","\u1d696","\u1d697","\u1d698","\u1d699","\u1d69a","\u1d69b","\u1d69c","\u1d69d","\u1d69e","\u1d69f","\u1d6a0","\u1d6a1","\u1d6a2","\u1d6a3","\u1d6a4","\u1d6a5",  # ; Font # L& [340] MATHEMATICAL DOUBLE-STRUCK SMALL A..MATHEMATICAL ITALIC SMALL DOTLESS J
        "\u1d6a8","\u1d6a9","\u1d6aa","\u1d6ab","\u1d6ac","\u1d6ad","\u1d6ae","\u1d6af","\u1d6b0","\u1d6b1","\u1d6b2","\u1d6b3","\u1d6b4","\u1d6b5","\u1d6b6","\u1d6b7","\u1d6b8","\u1d6b9","\u1d6ba","\u1d6bb","\u1d6bc","\u1d6bd","\u1d6be","\u1d6bf","\u1d6c0",  # ; Font # L&  [25] MATHEMATICAL BOLD CAPITAL ALPHA..MATHEMATICAL BOLD CAPITAL OMEGA
        "\u1D6C1",  # ; Font # Sm       MATHEMATICAL BOLD NABLA
        "\u1d6c2","\u1d6c3","\u1d6c4","\u1d6c5","\u1d6c6","\u1d6c7","\u1d6c8","\u1d6c9","\u1d6ca","\u1d6cb","\u1d6cc","\u1d6cd","\u1d6ce","\u1d6cf","\u1d6d0","\u1d6d1","\u1d6d2","\u1d6d3","\u1d6d4","\u1d6d5","\u1d6d6","\u1d6d7","\u1d6d8","\u1d6d9","\u1d6da",  # ; Font # L&  [25] MATHEMATICAL BOLD SMALL ALPHA..MATHEMATICAL BOLD SMALL OMEGA
        "\u1D6DB",  # ; Font # Sm       MATHEMATICAL BOLD PARTIAL DIFFERENTIAL
        "\u1d6dc","\u1d6dd","\u1d6de","\u1d6df","\u1d6e0","\u1d6e1","\u1d6e2","\u1d6e3","\u1d6e4","\u1d6e5","\u1d6e6","\u1d6e7","\u1d6e8","\u1d6e9","\u1d6ea","\u1d6eb","\u1d6ec","\u1d6ed","\u1d6ee","\u1d6ef","\u1d6f0","\u1d6f1","\u1d6f2","\u1d6f3","\u1d6f4","\u1d6f5","\u1d6f6","\u1d6f7","\u1d6f8","\u1d6f9","\u1d6fa",  # ; Font # L&  [31] MATHEMATICAL BOLD EPSILON SYMBOL..MATHEMATICAL ITALIC CAPITAL OMEGA
        "\u1D6FB",  # ; Font # Sm       MATHEMATICAL ITALIC NABLA
        "\u1d6fc","\u1d6fd","\u1d6fe","\u1d6ff","\u1d700","\u1d701","\u1d702","\u1d703","\u1d704","\u1d705","\u1d706","\u1d707","\u1d708","\u1d709","\u1d70a","\u1d70b","\u1d70c","\u1d70d","\u1d70e","\u1d70f","\u1d710","\u1d711","\u1d712","\u1d713","\u1d714",  # ; Font # L&  [25] MATHEMATICAL ITALIC SMALL ALPHA..MATHEMATICAL ITALIC SMALL OMEGA
        "\u1D715",  # ; Font # Sm       MATHEMATICAL ITALIC PARTIAL DIFFERENTIAL
        "\u1d716","\u1d717","\u1d718","\u1d719","\u1d71a","\u1d71b","\u1d71c","\u1d71d","\u1d71e","\u1d71f","\u1d720","\u1d721","\u1d722","\u1d723","\u1d724","\u1d725","\u1d726","\u1d727","\u1d728","\u1d729","\u1d72a","\u1d72b","\u1d72c","\u1d72d","\u1d72e","\u1d72f","\u1d730","\u1d731","\u1d732","\u1d733","\u1d734",  # ; Font # L&  [31] MATHEMATICAL ITALIC EPSILON SYMBOL..MATHEMATICAL BOLD ITALIC CAPITAL OMEGA
        "\u1D735",  # ; Font # Sm       MATHEMATICAL BOLD ITALIC NABLA
        "\u1d736","\u1d737","\u1d738","\u1d739","\u1d73a","\u1d73b","\u1d73c","\u1d73d","\u1d73e","\u1d73f","\u1d740","\u1d741","\u1d742","\u1d743","\u1d744","\u1d745","\u1d746","\u1d747","\u1d748","\u1d749","\u1d74a","\u1d74b","\u1d74c","\u1d74d","\u1d74e",  # ; Font # L&  [25] MATHEMATICAL BOLD ITALIC SMALL ALPHA..MATHEMATICAL BOLD ITALIC SMALL OMEGA
        "\u1D74F",  # ; Font # Sm       MATHEMATICAL BOLD ITALIC PARTIAL DIFFERENTIAL
        "\u1d750","\u1d751","\u1d752","\u1d753","\u1d754","\u1d755","\u1d756","\u1d757","\u1d758","\u1d759","\u1d75a","\u1d75b","\u1d75c","\u1d75d","\u1d75e","\u1d75f","\u1d760","\u1d761","\u1d762","\u1d763","\u1d764","\u1d765","\u1d766","\u1d767","\u1d768","\u1d769","\u1d76a","\u1d76b","\u1d76c","\u1d76d","\u1d76e",  # ; Font # L&  [31] MATHEMATICAL BOLD ITALIC EPSILON SYMBOL..MATHEMATICAL SANS-SERIF BOLD CAPITAL OMEGA
        "\u1D76F",  # ; Font # Sm       MATHEMATICAL SANS-SERIF BOLD NABLA
        "\u1d770","\u1d771","\u1d772","\u1d773","\u1d774","\u1d775","\u1d776","\u1d777","\u1d778","\u1d779","\u1d77a","\u1d77b","\u1d77c","\u1d77d","\u1d77e","\u1d77f","\u1d780","\u1d781","\u1d782","\u1d783","\u1d784","\u1d785","\u1d786","\u1d787","\u1d788",  # ; Font # L&  [25] MATHEMATICAL SANS-SERIF BOLD SMALL ALPHA..MATHEMATICAL SANS-SERIF BOLD SMALL OMEGA
        "\u1D789",  # ; Font # Sm       MATHEMATICAL SANS-SERIF BOLD PARTIAL DIFFERENTIAL
        "\u1d78a","\u1d78b","\u1d78c","\u1d78d","\u1d78e","\u1d78f","\u1d790","\u1d791","\u1d792","\u1d793","\u1d794","\u1d795","\u1d796","\u1d797","\u1d798","\u1d799","\u1d79a","\u1d79b","\u1d79c","\u1d79d","\u1d79e","\u1d79f","\u1d7a0","\u1d7a1","\u1d7a2","\u1d7a3","\u1d7a4","\u1d7a5","\u1d7a6","\u1d7a7","\u1d7a8",  # ; Font # L&  [31] MATHEMATICAL SANS-SERIF BOLD EPSILON SYMBOL..MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL OMEGA
        "\u1D7A9",  # ; Font # Sm       MATHEMATICAL SANS-SERIF BOLD ITALIC NABLA
        "\u1d7aa","\u1d7ab","\u1d7ac","\u1d7ad","\u1d7ae","\u1d7af","\u1d7b0","\u1d7b1","\u1d7b2","\u1d7b3","\u1d7b4","\u1d7b5","\u1d7b6","\u1d7b7","\u1d7b8","\u1d7b9","\u1d7ba","\u1d7bb","\u1d7bc","\u1d7bd","\u1d7be","\u1d7bf","\u1d7c0","\u1d7c1","\u1d7c2",  # ; Font # L&  [25] MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL ALPHA..MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL OMEGA
        "\u1D7C3",  # ; Font # Sm       MATHEMATICAL SANS-SERIF BOLD ITALIC PARTIAL DIFFERENTIAL
        "\u1d7c4","\u1d7c5","\u1d7c6","\u1d7c7","\u1d7c8","\u1d7c9","\u1d7ca","\u1d7cb",  # ; Font # L&   [8] MATHEMATICAL SANS-SERIF BOLD ITALIC EPSILON SYMBOL..MATHEMATICAL BOLD SMALL DIGAMMA
        "\u1d7ce","\u1d7cf","\u1d7d0","\u1d7d1","\u1d7d2","\u1d7d3","\u1d7d4","\u1d7d5","\u1d7d6","\u1d7d7","\u1d7d8","\u1d7d9","\u1d7da","\u1d7db","\u1d7dc","\u1d7dd","\u1d7de","\u1d7df","\u1d7e0","\u1d7e1","\u1d7e2","\u1d7e3","\u1d7e4","\u1d7e5","\u1d7e6","\u1d7e7","\u1d7e8","\u1d7e9","\u1d7ea","\u1d7eb","\u1d7ec","\u1d7ed","\u1d7ee","\u1d7ef","\u1d7f0","\u1d7f1","\u1d7f2","\u1d7f3","\u1d7f4","\u1d7f5","\u1d7f6","\u1d7f7","\u1d7f8","\u1d7f9","\u1d7fa","\u1d7fb","\u1d7fc","\u1d7fd","\u1d7fe","\u1d7ff",  # ; Font # Nd  [50] MATHEMATICAL BOLD DIGIT ZERO..MATHEMATICAL MONOSPACE DIGIT NINE
        "\u1ee00","\u1ee01","\u1ee02","\u1ee03",  # ; Font # Lo   [4] ARABIC MATHEMATICAL ALEF..ARABIC MATHEMATICAL DAL
        "\u1ee05","\u1ee06","\u1ee07","\u1ee08","\u1ee09","\u1ee0a","\u1ee0b","\u1ee0c","\u1ee0d","\u1ee0e","\u1ee0f","\u1ee10","\u1ee11","\u1ee12","\u1ee13","\u1ee14","\u1ee15","\u1ee16","\u1ee17","\u1ee18","\u1ee19","\u1ee1a","\u1ee1b","\u1ee1c","\u1ee1d","\u1ee1e","\u1ee1f",  # ; Font # Lo  [27] ARABIC MATHEMATICAL WAW..ARABIC MATHEMATICAL DOTLESS QAF
        "\u1ee21","\u1ee22",  # ; Font # Lo   [2] ARABIC MATHEMATICAL INITIAL BEH..ARABIC MATHEMATICAL INITIAL JEEM
        "\u1EE24",  # ; Font # Lo       ARABIC MATHEMATICAL INITIAL HEH
        "\u1EE27",  # ; Font # Lo       ARABIC MATHEMATICAL INITIAL HAH
        "\u1ee29","\u1ee2a","\u1ee2b","\u1ee2c","\u1ee2d","\u1ee2e","\u1ee2f","\u1ee30","\u1ee31","\u1ee32",  # ; Font # Lo  [10] ARABIC MATHEMATICAL INITIAL YEH..ARABIC MATHEMATICAL INITIAL QAF
        "\u1ee34","\u1ee35","\u1ee36","\u1ee37",  # ; Font # Lo   [4] ARABIC MATHEMATICAL INITIAL SHEEN..ARABIC MATHEMATICAL INITIAL KHAH
        "\u1EE39",  # ; Font # Lo       ARABIC MATHEMATICAL INITIAL DAD
        "\u1EE3B",  # ; Font # Lo       ARABIC MATHEMATICAL INITIAL GHAIN
        "\u1EE42",  # ; Font # Lo       ARABIC MATHEMATICAL TAILED JEEM
        "\u1EE47",  # ; Font # Lo       ARABIC MATHEMATICAL TAILED HAH
        "\u1EE49",  # ; Font # Lo       ARABIC MATHEMATICAL TAILED YEH
        "\u1EE4B",  # ; Font # Lo       ARABIC MATHEMATICAL TAILED LAM
        "\u1ee4d","\u1ee4e","\u1ee4f",  # ; Font # Lo   [3] ARABIC MATHEMATICAL TAILED NOON..ARABIC MATHEMATICAL TAILED AIN
        "\u1ee51","\u1ee52",  # ; Font # Lo   [2] ARABIC MATHEMATICAL TAILED SAD..ARABIC MATHEMATICAL TAILED QAF
        "\u1EE54",  # ; Font # Lo       ARABIC MATHEMATICAL TAILED SHEEN
        "\u1EE57",  # ; Font # Lo       ARABIC MATHEMATICAL TAILED KHAH
        "\u1EE59",  # ; Font # Lo       ARABIC MATHEMATICAL TAILED DAD
        "\u1EE5B",  # ; Font # Lo       ARABIC MATHEMATICAL TAILED GHAIN
        "\u1EE5D",  # ; Font # Lo       ARABIC MATHEMATICAL TAILED DOTLESS NOON
        "\u1EE5F",  # ; Font # Lo       ARABIC MATHEMATICAL TAILED DOTLESS QAF
        "\u1ee61","\u1ee62",  # ; Font # Lo   [2] ARABIC MATHEMATICAL STRETCHED BEH..ARABIC MATHEMATICAL STRETCHED JEEM
        "\u1EE64",  # ; Font # Lo       ARABIC MATHEMATICAL STRETCHED HEH
        "\u1ee67","\u1ee68","\u1ee69","\u1ee6a",  # ; Font # Lo   [4] ARABIC MATHEMATICAL STRETCHED HAH..ARABIC MATHEMATICAL STRETCHED KAF
        "\u1ee6c","\u1ee6d","\u1ee6e","\u1ee6f","\u1ee70","\u1ee71","\u1ee72",  # ; Font # Lo   [7] ARABIC MATHEMATICAL STRETCHED MEEM..ARABIC MATHEMATICAL STRETCHED QAF
        "\u1ee74","\u1ee75","\u1ee76","\u1ee77",  # ; Font # Lo   [4] ARABIC MATHEMATICAL STRETCHED SHEEN..ARABIC MATHEMATICAL STRETCHED KHAH
        "\u1ee79","\u1ee7a","\u1ee7b","\u1ee7c",  # ; Font # Lo   [4] ARABIC MATHEMATICAL STRETCHED DAD..ARABIC MATHEMATICAL STRETCHED DOTLESS BEH
        "\u1EE7E",  # ; Font # Lo       ARABIC MATHEMATICAL STRETCHED DOTLESS FEH
        "\u1ee80","\u1ee81","\u1ee82","\u1ee83","\u1ee84","\u1ee85","\u1ee86","\u1ee87","\u1ee88","\u1ee89",  # ; Font # Lo  [10] ARABIC MATHEMATICAL LOOPED ALEF..ARABIC MATHEMATICAL LOOPED YEH
        "\u1ee8b","\u1ee8c","\u1ee8d","\u1ee8e","\u1ee8f","\u1ee90","\u1ee91","\u1ee92","\u1ee93","\u1ee94","\u1ee95","\u1ee96","\u1ee97","\u1ee98","\u1ee99","\u1ee9a","\u1ee9b",  # ; Font # Lo  [17] ARABIC MATHEMATICAL LOOPED LAM..ARABIC MATHEMATICAL LOOPED GHAIN
        "\u1eea1","\u1eea2","\u1eea3",  # ; Font # Lo   [3] ARABIC MATHEMATICAL DOUBLE-STRUCK BEH..ARABIC MATHEMATICAL DOUBLE-STRUCK DAL
        "\u1eea5","\u1eea6","\u1eea7","\u1eea8","\u1eea9",  # ; Font # Lo   [5] ARABIC MATHEMATICAL DOUBLE-STRUCK WAW..ARABIC MATHEMATICAL DOUBLE-STRUCK YEH
        "\u1eeab","\u1eeac","\u1eead","\u1eeae","\u1eeaf","\u1eeb0","\u1eeb1","\u1eeb2","\u1eeb3","\u1eeb4","\u1eeb5","\u1eeb6","\u1eeb7","\u1eeb8","\u1eeb9","\u1eeba","\u1eebb",  # ; Font # Lo  [17] ARABIC MATHEMATICAL DOUBLE-STRUCK LAM..ARABIC MATHEMATICAL DOUBLE-STRUCK GHAIN
        "\u00A0",  # ; Nobreak # Zs       NO-BREAK SPACE
        "\u0F0C",  # ; Nobreak # Po       TIBETAN MARK DELIMITER TSHEG BSTAR
        "\u2007",  # ; Nobreak # Zs       FIGURE SPACE
        "\u2011",  # ; Nobreak # Pd       NON-BREAKING HYPHEN
        "\u202F",  # ; Nobreak # Zs       NARROW NO-BREAK SPACE
        "\uFB54",  # ; Initial # Lo       ARABIC LETTER BEEH INITIAL FORM
        "\uFB58",  # ; Initial # Lo       ARABIC LETTER PEH INITIAL FORM
        "\uFB5C",  # ; Initial # Lo       ARABIC LETTER BEHEH INITIAL FORM
        "\uFB60",  # ; Initial # Lo       ARABIC LETTER TTEHEH INITIAL FORM
        "\uFB64",  # ; Initial # Lo       ARABIC LETTER TEHEH INITIAL FORM
        "\uFB68",  # ; Initial # Lo       ARABIC LETTER TTEH INITIAL FORM
        "\uFB6C",  # ; Initial # Lo       ARABIC LETTER VEH INITIAL FORM
        "\uFB70",  # ; Initial # Lo       ARABIC LETTER PEHEH INITIAL FORM
        "\uFB74",  # ; Initial # Lo       ARABIC LETTER DYEH INITIAL FORM
        "\uFB78",  # ; Initial # Lo       ARABIC LETTER NYEH INITIAL FORM
        "\uFB7C",  # ; Initial # Lo       ARABIC LETTER TCHEH INITIAL FORM
        "\uFB80",  # ; Initial # Lo       ARABIC LETTER TCHEHEH INITIAL FORM
        "\uFB90",  # ; Initial # Lo       ARABIC LETTER KEHEH INITIAL FORM
        "\uFB94",  # ; Initial # Lo       ARABIC LETTER GAF INITIAL FORM
        "\uFB98",  # ; Initial # Lo       ARABIC LETTER GUEH INITIAL FORM
        "\uFB9C",  # ; Initial # Lo       ARABIC LETTER NGOEH INITIAL FORM
        "\uFBA2",  # ; Initial # Lo       ARABIC LETTER RNOON INITIAL FORM
        "\uFBA8",  # ; Initial # Lo       ARABIC LETTER HEH GOAL INITIAL FORM
        "\uFBAC",  # ; Initial # Lo       ARABIC LETTER HEH DOACHASHMEE INITIAL FORM
        "\uFBD5",  # ; Initial # Lo       ARABIC LETTER NG INITIAL FORM
        "\uFBE6",  # ; Initial # Lo       ARABIC LETTER E INITIAL FORM
        "\uFBE8",  # ; Initial # Lo       ARABIC LETTER UIGHUR KAZAKH KIRGHIZ ALEF MAKSURA INITIAL FORM
        "\uFBF8",  # ; Initial # Lo       ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH E INITIAL FORM
        "\uFBFB",  # ; Initial # Lo       ARABIC LIGATURE UIGHUR KIRGHIZ YEH WITH HAMZA ABOVE WITH ALEF MAKSURA INITIAL FORM
        "\uFBFE",  # ; Initial # Lo       ARABIC LETTER FARSI YEH INITIAL FORM
        "\ufc97","\ufc98","\ufc99","\ufc9a","\ufc9b","\ufc9c","\ufc9d","\ufc9e","\ufc9f","\ufca0","\ufca1","\ufca2","\ufca3","\ufca4","\ufca5","\ufca6","\ufca7","\ufca8","\ufca9","\ufcaa","\ufcab","\ufcac","\ufcad","\ufcae","\ufcaf","\ufcb0","\ufcb1","\ufcb2","\ufcb3","\ufcb4","\ufcb5","\ufcb6","\ufcb7","\ufcb8","\ufcb9","\ufcba","\ufcbb","\ufcbc","\ufcbd","\ufcbe","\ufcbf","\ufcc0","\ufcc1","\ufcc2","\ufcc3","\ufcc4","\ufcc5","\ufcc6","\ufcc7","\ufcc8","\ufcc9","\ufcca","\ufccb","\ufccc","\ufccd","\ufcce","\ufccf","\ufcd0","\ufcd1","\ufcd2","\ufcd3","\ufcd4","\ufcd5","\ufcd6","\ufcd7","\ufcd8","\ufcd9","\ufcda","\ufcdb","\ufcdc","\ufcdd","\ufcde",  # ; Initial # Lo  [72] ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH JEEM INITIAL FORM..ARABIC LIGATURE YEH WITH HEH INITIAL FORM
        "\ufd2d","\ufd2e","\ufd2f","\ufd30","\ufd31","\ufd32","\ufd33",  # ; Initial # Lo   [7] ARABIC LIGATURE SHEEN WITH JEEM INITIAL FORM..ARABIC LIGATURE TAH WITH MEEM INITIAL FORM
        "\uFD50",  # ; Initial # Lo       ARABIC LIGATURE TEH WITH JEEM WITH MEEM INITIAL FORM
        "\ufd52","\ufd53","\ufd54","\ufd55","\ufd56","\ufd57",  # ; Initial # Lo   [6] ARABIC LIGATURE TEH WITH HAH WITH JEEM INITIAL FORM..ARABIC LIGATURE TEH WITH MEEM WITH KHAH INITIAL FORM
        "\uFD59",  # ; Initial # Lo       ARABIC LIGATURE JEEM WITH MEEM WITH HAH INITIAL FORM
        "\ufd5c","\ufd5d",  # ; Initial # Lo   [2] ARABIC LIGATURE SEEN WITH HAH WITH JEEM INITIAL FORM..ARABIC LIGATURE SEEN WITH JEEM WITH HAH INITIAL FORM
        "\ufd60","\ufd61",  # ; Initial # Lo   [2] ARABIC LIGATURE SEEN WITH MEEM WITH HAH INITIAL FORM..ARABIC LIGATURE SEEN WITH MEEM WITH JEEM INITIAL FORM
        "\uFD63",  # ; Initial # Lo       ARABIC LIGATURE SEEN WITH MEEM WITH MEEM INITIAL FORM
        "\uFD65",  # ; Initial # Lo       ARABIC LIGATURE SAD WITH HAH WITH HAH INITIAL FORM
        "\uFD68",  # ; Initial # Lo       ARABIC LIGATURE SHEEN WITH HAH WITH MEEM INITIAL FORM
        "\uFD6B",  # ; Initial # Lo       ARABIC LIGATURE SHEEN WITH MEEM WITH KHAH INITIAL FORM
        "\uFD6D",  # ; Initial # Lo       ARABIC LIGATURE SHEEN WITH MEEM WITH MEEM INITIAL FORM
        "\uFD70",  # ; Initial # Lo       ARABIC LIGATURE DAD WITH KHAH WITH MEEM INITIAL FORM
        "\ufd72","\ufd73",  # ; Initial # Lo   [2] ARABIC LIGATURE TAH WITH MEEM WITH HAH INITIAL FORM..ARABIC LIGATURE TAH WITH MEEM WITH MEEM INITIAL FORM
        "\uFD77",  # ; Initial # Lo       ARABIC LIGATURE AIN WITH MEEM WITH MEEM INITIAL FORM
        "\uFD7D",  # ; Initial # Lo       ARABIC LIGATURE FEH WITH KHAH WITH MEEM INITIAL FORM
        "\uFD83",  # ; Initial # Lo       ARABIC LIGATURE LAM WITH JEEM WITH JEEM INITIAL FORM
        "\uFD86",  # ; Initial # Lo       ARABIC LIGATURE LAM WITH KHAH WITH MEEM INITIAL FORM
        "\ufd88","\ufd89","\ufd8a",  # ; Initial # Lo   [3] ARABIC LIGATURE LAM WITH MEEM WITH HAH INITIAL FORM..ARABIC LIGATURE MEEM WITH HAH WITH MEEM INITIAL FORM
        "\ufd8c","\ufd8d","\ufd8e","\ufd8f",  # ; Initial # Lo   [4] ARABIC LIGATURE MEEM WITH JEEM WITH HAH INITIAL FORM..ARABIC LIGATURE MEEM WITH KHAH WITH MEEM INITIAL FORM
        "\ufd92","\ufd93","\ufd94","\ufd95",  # ; Initial # Lo   [4] ARABIC LIGATURE MEEM WITH JEEM WITH KHAH INITIAL FORM..ARABIC LIGATURE NOON WITH HAH WITH MEEM INITIAL FORM
        "\uFD98",  # ; Initial # Lo       ARABIC LIGATURE NOON WITH JEEM WITH MEEM INITIAL FORM
        "\uFD9D",  # ; Initial # Lo       ARABIC LIGATURE YEH WITH MEEM WITH MEEM INITIAL FORM
        "\ufdb4","\ufdb5",  # ; Initial # Lo   [2] ARABIC LIGATURE QAF WITH MEEM WITH HAH INITIAL FORM..ARABIC LIGATURE LAM WITH HAH WITH MEEM INITIAL FORM
        "\uFDB8",  # ; Initial # Lo       ARABIC LIGATURE NOON WITH JEEM WITH HAH INITIAL FORM
        "\uFDBA",  # ; Initial # Lo       ARABIC LIGATURE LAM WITH JEEM WITH MEEM INITIAL FORM
        "\ufdc3","\ufdc4","\ufdc5",  # ; Initial # Lo   [3] ARABIC LIGATURE KAF WITH MEEM WITH MEEM INITIAL FORM..ARABIC LIGATURE SAD WITH MEEM WITH MEEM INITIAL FORM
        "\uFE8B",  # ; Initial # Lo       ARABIC LETTER YEH WITH HAMZA ABOVE INITIAL FORM
        "\uFE91",  # ; Initial # Lo       ARABIC LETTER BEH INITIAL FORM
        "\uFE97",  # ; Initial # Lo       ARABIC LETTER TEH INITIAL FORM
        "\uFE9B",  # ; Initial # Lo       ARABIC LETTER THEH INITIAL FORM
        "\uFE9F",  # ; Initial # Lo       ARABIC LETTER JEEM INITIAL FORM
        "\uFEA3",  # ; Initial # Lo       ARABIC LETTER HAH INITIAL FORM
        "\uFEA7",  # ; Initial # Lo       ARABIC LETTER KHAH INITIAL FORM
        "\uFEB3",  # ; Initial # Lo       ARABIC LETTER SEEN INITIAL FORM
        "\uFEB7",  # ; Initial # Lo       ARABIC LETTER SHEEN INITIAL FORM
        "\uFEBB",  # ; Initial # Lo       ARABIC LETTER SAD INITIAL FORM
        "\uFEBF",  # ; Initial # Lo       ARABIC LETTER DAD INITIAL FORM
        "\uFEC3",  # ; Initial # Lo       ARABIC LETTER TAH INITIAL FORM
        "\uFEC7",  # ; Initial # Lo       ARABIC LETTER ZAH INITIAL FORM
        "\uFECB",  # ; Initial # Lo       ARABIC LETTER AIN INITIAL FORM
        "\uFECF",  # ; Initial # Lo       ARABIC LETTER GHAIN INITIAL FORM
        "\uFED3",  # ; Initial # Lo       ARABIC LETTER FEH INITIAL FORM
        "\uFED7",  # ; Initial # Lo       ARABIC LETTER QAF INITIAL FORM
        "\uFEDB",  # ; Initial # Lo       ARABIC LETTER KAF INITIAL FORM
        "\uFEDF",  # ; Initial # Lo       ARABIC LETTER LAM INITIAL FORM
        "\uFEE3",  # ; Initial # Lo       ARABIC LETTER MEEM INITIAL FORM
        "\uFEE7",  # ; Initial # Lo       ARABIC LETTER NOON INITIAL FORM
        "\uFEEB",  # ; Initial # Lo       ARABIC LETTER HEH INITIAL FORM
        "\uFEF3",  # ; Initial # Lo       ARABIC LETTER YEH INITIAL FORM
        "\uFB55",  # ; Medial # Lo       ARABIC LETTER BEEH MEDIAL FORM
        "\uFB59",  # ; Medial # Lo       ARABIC LETTER PEH MEDIAL FORM
        "\uFB5D",  # ; Medial # Lo       ARABIC LETTER BEHEH MEDIAL FORM
        "\uFB61",  # ; Medial # Lo       ARABIC LETTER TTEHEH MEDIAL FORM
        "\uFB65",  # ; Medial # Lo       ARABIC LETTER TEHEH MEDIAL FORM
        "\uFB69",  # ; Medial # Lo       ARABIC LETTER TTEH MEDIAL FORM
        "\uFB6D",  # ; Medial # Lo       ARABIC LETTER VEH MEDIAL FORM
        "\uFB71",  # ; Medial # Lo       ARABIC LETTER PEHEH MEDIAL FORM
        "\uFB75",  # ; Medial # Lo       ARABIC LETTER DYEH MEDIAL FORM
        "\uFB79",  # ; Medial # Lo       ARABIC LETTER NYEH MEDIAL FORM
        "\uFB7D",  # ; Medial # Lo       ARABIC LETTER TCHEH MEDIAL FORM
        "\uFB81",  # ; Medial # Lo       ARABIC LETTER TCHEHEH MEDIAL FORM
        "\uFB91",  # ; Medial # Lo       ARABIC LETTER KEHEH MEDIAL FORM
        "\uFB95",  # ; Medial # Lo       ARABIC LETTER GAF MEDIAL FORM
        "\uFB99",  # ; Medial # Lo       ARABIC LETTER GUEH MEDIAL FORM
        "\uFB9D",  # ; Medial # Lo       ARABIC LETTER NGOEH MEDIAL FORM
        "\uFBA3",  # ; Medial # Lo       ARABIC LETTER RNOON MEDIAL FORM
        "\uFBA9",  # ; Medial # Lo       ARABIC LETTER HEH GOAL MEDIAL FORM
        "\uFBAD",  # ; Medial # Lo       ARABIC LETTER HEH DOACHASHMEE MEDIAL FORM
        "\uFBD6",  # ; Medial # Lo       ARABIC LETTER NG MEDIAL FORM
        "\uFBE7",  # ; Medial # Lo       ARABIC LETTER E MEDIAL FORM
        "\uFBE9",  # ; Medial # Lo       ARABIC LETTER UIGHUR KAZAKH KIRGHIZ ALEF MAKSURA MEDIAL FORM
        "\uFBFF",  # ; Medial # Lo       ARABIC LETTER FARSI YEH MEDIAL FORM
        "\ufcdf","\ufce0","\ufce1","\ufce2","\ufce3","\ufce4","\ufce5","\ufce6","\ufce7","\ufce8","\ufce9","\ufcea","\ufceb","\ufcec","\ufced","\ufcee","\ufcef","\ufcf0","\ufcf1","\ufcf2","\ufcf3","\ufcf4",  # ; Medial # Lo  [22] ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH MEEM MEDIAL FORM..ARABIC LIGATURE SHADDA WITH KASRA MEDIAL FORM
        "\ufd34","\ufd35","\ufd36","\ufd37","\ufd38","\ufd39","\ufd3a","\ufd3b",  # ; Medial # Lo   [8] ARABIC LIGATURE SEEN WITH JEEM MEDIAL FORM..ARABIC LIGATURE ZAH WITH MEEM MEDIAL FORM
        "\uFE71",  # ; Medial # Lo       ARABIC TATWEEL WITH FATHATAN ABOVE
        "\uFE77",  # ; Medial # Lo       ARABIC FATHA MEDIAL FORM
        "\uFE79",  # ; Medial # Lo       ARABIC DAMMA MEDIAL FORM
        "\uFE7B",  # ; Medial # Lo       ARABIC KASRA MEDIAL FORM
        "\uFE7D",  # ; Medial # Lo       ARABIC SHADDA MEDIAL FORM
        "\uFE7F",  # ; Medial # Lo       ARABIC SUKUN MEDIAL FORM
        "\uFE8C",  # ; Medial # Lo       ARABIC LETTER YEH WITH HAMZA ABOVE MEDIAL FORM
        "\uFE92",  # ; Medial # Lo       ARABIC LETTER BEH MEDIAL FORM
        "\uFE98",  # ; Medial # Lo       ARABIC LETTER TEH MEDIAL FORM
        "\uFE9C",  # ; Medial # Lo       ARABIC LETTER THEH MEDIAL FORM
        "\uFEA0",  # ; Medial # Lo       ARABIC LETTER JEEM MEDIAL FORM
        "\uFEA4",  # ; Medial # Lo       ARABIC LETTER HAH MEDIAL FORM
        "\uFEA8",  # ; Medial # Lo       ARABIC LETTER KHAH MEDIAL FORM
        "\uFEB4",  # ; Medial # Lo       ARABIC LETTER SEEN MEDIAL FORM
        "\uFEB8",  # ; Medial # Lo       ARABIC LETTER SHEEN MEDIAL FORM
        "\uFEBC",  # ; Medial # Lo       ARABIC LETTER SAD MEDIAL FORM
        "\uFEC0",  # ; Medial # Lo       ARABIC LETTER DAD MEDIAL FORM
        "\uFEC4",  # ; Medial # Lo       ARABIC LETTER TAH MEDIAL FORM
        "\uFEC8",  # ; Medial # Lo       ARABIC LETTER ZAH MEDIAL FORM
        "\uFECC",  # ; Medial # Lo       ARABIC LETTER AIN MEDIAL FORM
        "\uFED0",  # ; Medial # Lo       ARABIC LETTER GHAIN MEDIAL FORM
        "\uFED4",  # ; Medial # Lo       ARABIC LETTER FEH MEDIAL FORM
        "\uFED8",  # ; Medial # Lo       ARABIC LETTER QAF MEDIAL FORM
        "\uFEDC",  # ; Medial # Lo       ARABIC LETTER KAF MEDIAL FORM
        "\uFEE0",  # ; Medial # Lo       ARABIC LETTER LAM MEDIAL FORM
        "\uFEE4",  # ; Medial # Lo       ARABIC LETTER MEEM MEDIAL FORM
        "\uFEE8",  # ; Medial # Lo       ARABIC LETTER NOON MEDIAL FORM
        "\uFEEC",  # ; Medial # Lo       ARABIC LETTER HEH MEDIAL FORM
        "\uFEF4",  # ; Medial # Lo       ARABIC LETTER YEH MEDIAL FORM
        "\uFB51",  # ; Final # Lo       ARABIC LETTER ALEF WASLA FINAL FORM
        "\uFB53",  # ; Final # Lo       ARABIC LETTER BEEH FINAL FORM
        "\uFB57",  # ; Final # Lo       ARABIC LETTER PEH FINAL FORM
        "\uFB5B",  # ; Final # Lo       ARABIC LETTER BEHEH FINAL FORM
        "\uFB5F",  # ; Final # Lo       ARABIC LETTER TTEHEH FINAL FORM
        "\uFB63",  # ; Final # Lo       ARABIC LETTER TEHEH FINAL FORM
        "\uFB67",  # ; Final # Lo       ARABIC LETTER TTEH FINAL FORM
        "\uFB6B",  # ; Final # Lo       ARABIC LETTER VEH FINAL FORM
        "\uFB6F",  # ; Final # Lo       ARABIC LETTER PEHEH FINAL FORM
        "\uFB73",  # ; Final # Lo       ARABIC LETTER DYEH FINAL FORM
        "\uFB77",  # ; Final # Lo       ARABIC LETTER NYEH FINAL FORM
        "\uFB7B",  # ; Final # Lo       ARABIC LETTER TCHEH FINAL FORM
        "\uFB7F",  # ; Final # Lo       ARABIC LETTER TCHEHEH FINAL FORM
        "\uFB83",  # ; Final # Lo       ARABIC LETTER DDAHAL FINAL FORM
        "\uFB85",  # ; Final # Lo       ARABIC LETTER DAHAL FINAL FORM
        "\uFB87",  # ; Final # Lo       ARABIC LETTER DUL FINAL FORM
        "\uFB89",  # ; Final # Lo       ARABIC LETTER DDAL FINAL FORM
        "\uFB8B",  # ; Final # Lo       ARABIC LETTER JEH FINAL FORM
        "\uFB8D",  # ; Final # Lo       ARABIC LETTER RREH FINAL FORM
        "\uFB8F",  # ; Final # Lo       ARABIC LETTER KEHEH FINAL FORM
        "\uFB93",  # ; Final # Lo       ARABIC LETTER GAF FINAL FORM
        "\uFB97",  # ; Final # Lo       ARABIC LETTER GUEH FINAL FORM
        "\uFB9B",  # ; Final # Lo       ARABIC LETTER NGOEH FINAL FORM
        "\uFB9F",  # ; Final # Lo       ARABIC LETTER NOON GHUNNA FINAL FORM
        "\uFBA1",  # ; Final # Lo       ARABIC LETTER RNOON FINAL FORM
        "\uFBA5",  # ; Final # Lo       ARABIC LETTER HEH WITH YEH ABOVE FINAL FORM
        "\uFBA7",  # ; Final # Lo       ARABIC LETTER HEH GOAL FINAL FORM
        "\uFBAB",  # ; Final # Lo       ARABIC LETTER HEH DOACHASHMEE FINAL FORM
        "\uFBAF",  # ; Final # Lo       ARABIC LETTER YEH BARREE FINAL FORM
        "\uFBB1",  # ; Final # Lo       ARABIC LETTER YEH BARREE WITH HAMZA ABOVE FINAL FORM
        "\uFBD4",  # ; Final # Lo       ARABIC LETTER NG FINAL FORM
        "\uFBD8",  # ; Final # Lo       ARABIC LETTER U FINAL FORM
        "\uFBDA",  # ; Final # Lo       ARABIC LETTER OE FINAL FORM
        "\uFBDC",  # ; Final # Lo       ARABIC LETTER YU FINAL FORM
        "\uFBDF",  # ; Final # Lo       ARABIC LETTER VE FINAL FORM
        "\uFBE1",  # ; Final # Lo       ARABIC LETTER KIRGHIZ OE FINAL FORM
        "\uFBE3",  # ; Final # Lo       ARABIC LETTER KIRGHIZ YU FINAL FORM
        "\uFBE5",  # ; Final # Lo       ARABIC LETTER E FINAL FORM
        "\uFBEB",  # ; Final # Lo       ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ALEF FINAL FORM
        "\uFBED",  # ; Final # Lo       ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH AE FINAL FORM
        "\uFBEF",  # ; Final # Lo       ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH WAW FINAL FORM
        "\uFBF1",  # ; Final # Lo       ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH U FINAL FORM
        "\uFBF3",  # ; Final # Lo       ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH OE FINAL FORM
        "\uFBF5",  # ; Final # Lo       ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH YU FINAL FORM
        "\uFBF7",  # ; Final # Lo       ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH E FINAL FORM
        "\uFBFA",  # ; Final # Lo       ARABIC LIGATURE UIGHUR KIRGHIZ YEH WITH HAMZA ABOVE WITH ALEF MAKSURA FINAL FORM
        "\uFBFD",  # ; Final # Lo       ARABIC LETTER FARSI YEH FINAL FORM
        "\ufc64","\ufc65","\ufc66","\ufc67","\ufc68","\ufc69","\ufc6a","\ufc6b","\ufc6c","\ufc6d","\ufc6e","\ufc6f","\ufc70","\ufc71","\ufc72","\ufc73","\ufc74","\ufc75","\ufc76","\ufc77","\ufc78","\ufc79","\ufc7a","\ufc7b","\ufc7c","\ufc7d","\ufc7e","\ufc7f","\ufc80","\ufc81","\ufc82","\ufc83","\ufc84","\ufc85","\ufc86","\ufc87","\ufc88","\ufc89","\ufc8a","\ufc8b","\ufc8c","\ufc8d","\ufc8e","\ufc8f","\ufc90","\ufc91","\ufc92","\ufc93","\ufc94","\ufc95","\ufc96",  # ; Final # Lo  [51] ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH REH FINAL FORM..ARABIC LIGATURE YEH WITH YEH FINAL FORM
        "\ufd11","\ufd12","\ufd13","\ufd14","\ufd15","\ufd16","\ufd17","\ufd18","\ufd19","\ufd1a","\ufd1b","\ufd1c","\ufd1d","\ufd1e","\ufd1f","\ufd20","\ufd21","\ufd22","\ufd23","\ufd24","\ufd25","\ufd26","\ufd27","\ufd28","\ufd29","\ufd2a","\ufd2b","\ufd2c",  # ; Final # Lo  [28] ARABIC LIGATURE TAH WITH ALEF MAKSURA FINAL FORM..ARABIC LIGATURE DAD WITH REH FINAL FORM
        "\uFD3C",  # ; Final # Lo       ARABIC LIGATURE ALEF WITH FATHATAN FINAL FORM
        "\uFD51",  # ; Final # Lo       ARABIC LIGATURE TEH WITH HAH WITH JEEM FINAL FORM
        "\uFD58",  # ; Final # Lo       ARABIC LIGATURE JEEM WITH MEEM WITH HAH FINAL FORM
        "\ufd5a","\ufd5b",  # ; Final # Lo   [2] ARABIC LIGATURE HAH WITH MEEM WITH YEH FINAL FORM..ARABIC LIGATURE HAH WITH MEEM WITH ALEF MAKSURA FINAL FORM
        "\ufd5e","\ufd5f",  # ; Final # Lo   [2] ARABIC LIGATURE SEEN WITH JEEM WITH ALEF MAKSURA FINAL FORM..ARABIC LIGATURE SEEN WITH MEEM WITH HAH FINAL FORM
        "\uFD62",  # ; Final # Lo       ARABIC LIGATURE SEEN WITH MEEM WITH MEEM FINAL FORM
        "\uFD64",  # ; Final # Lo       ARABIC LIGATURE SAD WITH HAH WITH HAH FINAL FORM
        "\ufd66","\ufd67",  # ; Final # Lo   [2] ARABIC LIGATURE SAD WITH MEEM WITH MEEM FINAL FORM..ARABIC LIGATURE SHEEN WITH HAH WITH MEEM FINAL FORM
        "\ufd69","\ufd6a",  # ; Final # Lo   [2] ARABIC LIGATURE SHEEN WITH JEEM WITH YEH FINAL FORM..ARABIC LIGATURE SHEEN WITH MEEM WITH KHAH FINAL FORM
        "\uFD6C",  # ; Final # Lo       ARABIC LIGATURE SHEEN WITH MEEM WITH MEEM FINAL FORM
        "\ufd6e","\ufd6f",  # ; Final # Lo   [2] ARABIC LIGATURE DAD WITH HAH WITH ALEF MAKSURA FINAL FORM..ARABIC LIGATURE DAD WITH KHAH WITH MEEM FINAL FORM
        "\uFD71",  # ; Final # Lo       ARABIC LIGATURE TAH WITH MEEM WITH HAH FINAL FORM
        "\ufd74","\ufd75","\ufd76",  # ; Final # Lo   [3] ARABIC LIGATURE TAH WITH MEEM WITH YEH FINAL FORM..ARABIC LIGATURE AIN WITH MEEM WITH MEEM FINAL FORM
        "\ufd78","\ufd79","\ufd7a","\ufd7b","\ufd7c",  # ; Final # Lo   [5] ARABIC LIGATURE AIN WITH MEEM WITH ALEF MAKSURA FINAL FORM..ARABIC LIGATURE FEH WITH KHAH WITH MEEM FINAL FORM
        "\ufd7e","\ufd7f","\ufd80","\ufd81","\ufd82",  # ; Final # Lo   [5] ARABIC LIGATURE QAF WITH MEEM WITH HAH FINAL FORM..ARABIC LIGATURE LAM WITH HAH WITH ALEF MAKSURA FINAL FORM
        "\ufd84","\ufd85",  # ; Final # Lo   [2] ARABIC LIGATURE LAM WITH JEEM WITH JEEM FINAL FORM..ARABIC LIGATURE LAM WITH KHAH WITH MEEM FINAL FORM
        "\uFD87",  # ; Final # Lo       ARABIC LIGATURE LAM WITH MEEM WITH HAH FINAL FORM
        "\uFD8B",  # ; Final # Lo       ARABIC LIGATURE MEEM WITH HAH WITH YEH FINAL FORM
        "\ufd96","\ufd97",  # ; Final # Lo   [2] ARABIC LIGATURE NOON WITH HAH WITH ALEF MAKSURA FINAL FORM..ARABIC LIGATURE NOON WITH JEEM WITH MEEM FINAL FORM
        "\ufd99","\ufd9a","\ufd9b","\ufd9c",  # ; Final # Lo   [4] ARABIC LIGATURE NOON WITH JEEM WITH ALEF MAKSURA FINAL FORM..ARABIC LIGATURE YEH WITH MEEM WITH MEEM FINAL FORM
        "\ufd9e","\ufd9f","\ufda0","\ufda1","\ufda2","\ufda3","\ufda4","\ufda5","\ufda6","\ufda7","\ufda8","\ufda9","\ufdaa","\ufdab","\ufdac","\ufdad","\ufdae","\ufdaf","\ufdb0","\ufdb1","\ufdb2","\ufdb3",  # ; Final # Lo  [22] ARABIC LIGATURE BEH WITH KHAH WITH YEH FINAL FORM..ARABIC LIGATURE NOON WITH HAH WITH YEH FINAL FORM
        "\ufdb6","\ufdb7",  # ; Final # Lo   [2] ARABIC LIGATURE AIN WITH MEEM WITH YEH FINAL FORM..ARABIC LIGATURE KAF WITH MEEM WITH YEH FINAL FORM
        "\uFDB9",  # ; Final # Lo       ARABIC LIGATURE MEEM WITH KHAH WITH YEH FINAL FORM
        "\ufdbb","\ufdbc","\ufdbd","\ufdbe","\ufdbf","\ufdc0","\ufdc1","\ufdc2",  # ; Final # Lo   [8] ARABIC LIGATURE KAF WITH MEEM WITH MEEM FINAL FORM..ARABIC LIGATURE BEH WITH HAH WITH YEH FINAL FORM
        "\ufdc6","\ufdc7",  # ; Final # Lo   [2] ARABIC LIGATURE SEEN WITH KHAH WITH YEH FINAL FORM..ARABIC LIGATURE NOON WITH JEEM WITH YEH FINAL FORM
        "\uFE82",  # ; Final # Lo       ARABIC LETTER ALEF WITH MADDA ABOVE FINAL FORM
        "\uFE84",  # ; Final # Lo       ARABIC LETTER ALEF WITH HAMZA ABOVE FINAL FORM
        "\uFE86",  # ; Final # Lo       ARABIC LETTER WAW WITH HAMZA ABOVE FINAL FORM
        "\uFE88",  # ; Final # Lo       ARABIC LETTER ALEF WITH HAMZA BELOW FINAL FORM
        "\uFE8A",  # ; Final # Lo       ARABIC LETTER YEH WITH HAMZA ABOVE FINAL FORM
        "\uFE8E",  # ; Final # Lo       ARABIC LETTER ALEF FINAL FORM
        "\uFE90",  # ; Final # Lo       ARABIC LETTER BEH FINAL FORM
        "\uFE94",  # ; Final # Lo       ARABIC LETTER TEH MARBUTA FINAL FORM
        "\uFE96",  # ; Final # Lo       ARABIC LETTER TEH FINAL FORM
        "\uFE9A",  # ; Final # Lo       ARABIC LETTER THEH FINAL FORM
        "\uFE9E",  # ; Final # Lo       ARABIC LETTER JEEM FINAL FORM
        "\uFEA2",  # ; Final # Lo       ARABIC LETTER HAH FINAL FORM
        "\uFEA6",  # ; Final # Lo       ARABIC LETTER KHAH FINAL FORM
        "\uFEAA",  # ; Final # Lo       ARABIC LETTER DAL FINAL FORM
        "\uFEAC",  # ; Final # Lo       ARABIC LETTER THAL FINAL FORM
        "\uFEAE",  # ; Final # Lo       ARABIC LETTER REH FINAL FORM
        "\uFEB0",  # ; Final # Lo       ARABIC LETTER ZAIN FINAL FORM
        "\uFEB2",  # ; Final # Lo       ARABIC LETTER SEEN FINAL FORM
        "\uFEB6",  # ; Final # Lo       ARABIC LETTER SHEEN FINAL FORM
        "\uFEBA",  # ; Final # Lo       ARABIC LETTER SAD FINAL FORM
        "\uFEBE",  # ; Final # Lo       ARABIC LETTER DAD FINAL FORM
        "\uFEC2",  # ; Final # Lo       ARABIC LETTER TAH FINAL FORM
        "\uFEC6",  # ; Final # Lo       ARABIC LETTER ZAH FINAL FORM
        "\uFECA",  # ; Final # Lo       ARABIC LETTER AIN FINAL FORM
        "\uFECE",  # ; Final # Lo       ARABIC LETTER GHAIN FINAL FORM
        "\uFED2",  # ; Final # Lo       ARABIC LETTER FEH FINAL FORM
        "\uFED6",  # ; Final # Lo       ARABIC LETTER QAF FINAL FORM
        "\uFEDA",  # ; Final # Lo       ARABIC LETTER KAF FINAL FORM
        "\uFEDE",  # ; Final # Lo       ARABIC LETTER LAM FINAL FORM
        "\uFEE2",  # ; Final # Lo       ARABIC LETTER MEEM FINAL FORM
        "\uFEE6",  # ; Final # Lo       ARABIC LETTER NOON FINAL FORM
        "\uFEEA",  # ; Final # Lo       ARABIC LETTER HEH FINAL FORM
        "\uFEEE",  # ; Final # Lo       ARABIC LETTER WAW FINAL FORM
        "\uFEF0",  # ; Final # Lo       ARABIC LETTER ALEF MAKSURA FINAL FORM
        "\uFEF2",  # ; Final # Lo       ARABIC LETTER YEH FINAL FORM
        "\uFEF6",  # ; Final # Lo       ARABIC LIGATURE LAM WITH ALEF WITH MADDA ABOVE FINAL FORM
        "\uFEF8",  # ; Final # Lo       ARABIC LIGATURE LAM WITH ALEF WITH HAMZA ABOVE FINAL FORM
        "\uFEFA",  # ; Final # Lo       ARABIC LIGATURE LAM WITH ALEF WITH HAMZA BELOW FINAL FORM
        "\uFEFC",  # ; Final # Lo       ARABIC LIGATURE LAM WITH ALEF FINAL FORM
        "\uFB50",  # ; Isolated # Lo       ARABIC LETTER ALEF WASLA ISOLATED FORM
        "\uFB52",  # ; Isolated # Lo       ARABIC LETTER BEEH ISOLATED FORM
        "\uFB56",  # ; Isolated # Lo       ARABIC LETTER PEH ISOLATED FORM
        "\uFB5A",  # ; Isolated # Lo       ARABIC LETTER BEHEH ISOLATED FORM
        "\uFB5E",  # ; Isolated # Lo       ARABIC LETTER TTEHEH ISOLATED FORM
        "\uFB62",  # ; Isolated # Lo       ARABIC LETTER TEHEH ISOLATED FORM
        "\uFB66",  # ; Isolated # Lo       ARABIC LETTER TTEH ISOLATED FORM
        "\uFB6A",  # ; Isolated # Lo       ARABIC LETTER VEH ISOLATED FORM
        "\uFB6E",  # ; Isolated # Lo       ARABIC LETTER PEHEH ISOLATED FORM
        "\uFB72",  # ; Isolated # Lo       ARABIC LETTER DYEH ISOLATED FORM
        "\uFB76",  # ; Isolated # Lo       ARABIC LETTER NYEH ISOLATED FORM
        "\uFB7A",  # ; Isolated # Lo       ARABIC LETTER TCHEH ISOLATED FORM
        "\uFB7E",  # ; Isolated # Lo       ARABIC LETTER TCHEHEH ISOLATED FORM
        "\uFB82",  # ; Isolated # Lo       ARABIC LETTER DDAHAL ISOLATED FORM
        "\uFB84",  # ; Isolated # Lo       ARABIC LETTER DAHAL ISOLATED FORM
        "\uFB86",  # ; Isolated # Lo       ARABIC LETTER DUL ISOLATED FORM
        "\uFB88",  # ; Isolated # Lo       ARABIC LETTER DDAL ISOLATED FORM
        "\uFB8A",  # ; Isolated # Lo       ARABIC LETTER JEH ISOLATED FORM
        "\uFB8C",  # ; Isolated # Lo       ARABIC LETTER RREH ISOLATED FORM
        "\uFB8E",  # ; Isolated # Lo       ARABIC LETTER KEHEH ISOLATED FORM
        "\uFB92",  # ; Isolated # Lo       ARABIC LETTER GAF ISOLATED FORM
        "\uFB96",  # ; Isolated # Lo       ARABIC LETTER GUEH ISOLATED FORM
        "\uFB9A",  # ; Isolated # Lo       ARABIC LETTER NGOEH ISOLATED FORM
        "\uFB9E",  # ; Isolated # Lo       ARABIC LETTER NOON GHUNNA ISOLATED FORM
        "\uFBA0",  # ; Isolated # Lo       ARABIC LETTER RNOON ISOLATED FORM
        "\uFBA4",  # ; Isolated # Lo       ARABIC LETTER HEH WITH YEH ABOVE ISOLATED FORM
        "\uFBA6",  # ; Isolated # Lo       ARABIC LETTER HEH GOAL ISOLATED FORM
        "\uFBAA",  # ; Isolated # Lo       ARABIC LETTER HEH DOACHASHMEE ISOLATED FORM
        "\uFBAE",  # ; Isolated # Lo       ARABIC LETTER YEH BARREE ISOLATED FORM
        "\uFBB0",  # ; Isolated # Lo       ARABIC LETTER YEH BARREE WITH HAMZA ABOVE ISOLATED FORM
        "\uFBD3",  # ; Isolated # Lo       ARABIC LETTER NG ISOLATED FORM
        "\uFBD7",  # ; Isolated # Lo       ARABIC LETTER U ISOLATED FORM
        "\uFBD9",  # ; Isolated # Lo       ARABIC LETTER OE ISOLATED FORM
        "\uFBDB",  # ; Isolated # Lo       ARABIC LETTER YU ISOLATED FORM
        "\ufbdd","\ufbde",  # ; Isolated # Lo   [2] ARABIC LETTER U WITH HAMZA ABOVE ISOLATED FORM..ARABIC LETTER VE ISOLATED FORM
        "\uFBE0",  # ; Isolated # Lo       ARABIC LETTER KIRGHIZ OE ISOLATED FORM
        "\uFBE2",  # ; Isolated # Lo       ARABIC LETTER KIRGHIZ YU ISOLATED FORM
        "\uFBE4",  # ; Isolated # Lo       ARABIC LETTER E ISOLATED FORM
        "\uFBEA",  # ; Isolated # Lo       ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ALEF ISOLATED FORM
        "\uFBEC",  # ; Isolated # Lo       ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH AE ISOLATED FORM
        "\uFBEE",  # ; Isolated # Lo       ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH WAW ISOLATED FORM
        "\uFBF0",  # ; Isolated # Lo       ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH U ISOLATED FORM
        "\uFBF2",  # ; Isolated # Lo       ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH OE ISOLATED FORM
        "\uFBF4",  # ; Isolated # Lo       ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH YU ISOLATED FORM
        "\uFBF6",  # ; Isolated # Lo       ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH E ISOLATED FORM
        "\uFBF9",  # ; Isolated # Lo       ARABIC LIGATURE UIGHUR KIRGHIZ YEH WITH HAMZA ABOVE WITH ALEF MAKSURA ISOLATED FORM
        "\uFBFC",  # ; Isolated # Lo       ARABIC LETTER FARSI YEH ISOLATED FORM
        "\ufc00","\ufc01","\ufc02","\ufc03","\ufc04","\ufc05","\ufc06","\ufc07","\ufc08","\ufc09","\ufc0a","\ufc0b","\ufc0c","\ufc0d","\ufc0e","\ufc0f","\ufc10","\ufc11","\ufc12","\ufc13","\ufc14","\ufc15","\ufc16","\ufc17","\ufc18","\ufc19","\ufc1a","\ufc1b","\ufc1c","\ufc1d","\ufc1e","\ufc1f","\ufc20","\ufc21","\ufc22","\ufc23","\ufc24","\ufc25","\ufc26","\ufc27","\ufc28","\ufc29","\ufc2a","\ufc2b","\ufc2c","\ufc2d","\ufc2e","\ufc2f","\ufc30","\ufc31","\ufc32","\ufc33","\ufc34","\ufc35","\ufc36","\ufc37","\ufc38","\ufc39","\ufc3a","\ufc3b","\ufc3c","\ufc3d","\ufc3e","\ufc3f","\ufc40","\ufc41","\ufc42","\ufc43","\ufc44","\ufc45","\ufc46","\ufc47","\ufc48","\ufc49","\ufc4a","\ufc4b","\ufc4c","\ufc4d","\ufc4e","\ufc4f","\ufc50","\ufc51","\ufc52","\ufc53","\ufc54","\ufc55","\ufc56","\ufc57","\ufc58","\ufc59","\ufc5a","\ufc5b","\ufc5c","\ufc5d","\ufc5e","\ufc5f","\ufc60","\ufc61","\ufc62","\ufc63",  # ; Isolated # Lo [100] ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH JEEM ISOLATED FORM..ARABIC LIGATURE SHADDA WITH SUPERSCRIPT ALEF ISOLATED FORM
        "\ufcf5","\ufcf6","\ufcf7","\ufcf8","\ufcf9","\ufcfa","\ufcfb","\ufcfc","\ufcfd","\ufcfe","\ufcff","\ufd00","\ufd01","\ufd02","\ufd03","\ufd04","\ufd05","\ufd06","\ufd07","\ufd08","\ufd09","\ufd0a","\ufd0b","\ufd0c","\ufd0d","\ufd0e","\ufd0f","\ufd10",  # ; Isolated # Lo  [28] ARABIC LIGATURE TAH WITH ALEF MAKSURA ISOLATED FORM..ARABIC LIGATURE DAD WITH REH ISOLATED FORM
        "\uFD3D",  # ; Isolated # Lo       ARABIC LIGATURE ALEF WITH FATHATAN ISOLATED FORM
        "\ufdf0","\ufdf1","\ufdf2","\ufdf3","\ufdf4","\ufdf5","\ufdf6","\ufdf7","\ufdf8","\ufdf9","\ufdfa","\ufdfb",  # ; Isolated # Lo  [12] ARABIC LIGATURE SALLA USED AS KORANIC STOP SIGN ISOLATED FORM..ARABIC LIGATURE JALLAJALALOUHOU
        "\uFDFC",  # ; Isolated # Sc       RIAL SIGN
        "\uFE70",  # ; Isolated # Lo       ARABIC FATHATAN ISOLATED FORM
        "\uFE72",  # ; Isolated # Lo       ARABIC DAMMATAN ISOLATED FORM
        "\uFE74",  # ; Isolated # Lo       ARABIC KASRATAN ISOLATED FORM
        "\uFE76",  # ; Isolated # Lo       ARABIC FATHA ISOLATED FORM
        "\uFE78",  # ; Isolated # Lo       ARABIC DAMMA ISOLATED FORM
        "\uFE7A",  # ; Isolated # Lo       ARABIC KASRA ISOLATED FORM
        "\uFE7C",  # ; Isolated # Lo       ARABIC SHADDA ISOLATED FORM
        "\uFE7E",  # ; Isolated # Lo       ARABIC SUKUN ISOLATED FORM
        "\ufe80","\ufe81",  # ; Isolated # Lo   [2] ARABIC LETTER HAMZA ISOLATED FORM..ARABIC LETTER ALEF WITH MADDA ABOVE ISOLATED FORM
        "\uFE83",  # ; Isolated # Lo       ARABIC LETTER ALEF WITH HAMZA ABOVE ISOLATED FORM
        "\uFE85",  # ; Isolated # Lo       ARABIC LETTER WAW WITH HAMZA ABOVE ISOLATED FORM
        "\uFE87",  # ; Isolated # Lo       ARABIC LETTER ALEF WITH HAMZA BELOW ISOLATED FORM
        "\uFE89",  # ; Isolated # Lo       ARABIC LETTER YEH WITH HAMZA ABOVE ISOLATED FORM
        "\uFE8D",  # ; Isolated # Lo       ARABIC LETTER ALEF ISOLATED FORM
        "\uFE8F",  # ; Isolated # Lo       ARABIC LETTER BEH ISOLATED FORM
        "\uFE93",  # ; Isolated # Lo       ARABIC LETTER TEH MARBUTA ISOLATED FORM
        "\uFE95",  # ; Isolated # Lo       ARABIC LETTER TEH ISOLATED FORM
        "\uFE99",  # ; Isolated # Lo       ARABIC LETTER THEH ISOLATED FORM
        "\uFE9D",  # ; Isolated # Lo       ARABIC LETTER JEEM ISOLATED FORM
        "\uFEA1",  # ; Isolated # Lo       ARABIC LETTER HAH ISOLATED FORM
        "\uFEA5",  # ; Isolated # Lo       ARABIC LETTER KHAH ISOLATED FORM
        "\uFEA9",  # ; Isolated # Lo       ARABIC LETTER DAL ISOLATED FORM
        "\uFEAB",  # ; Isolated # Lo       ARABIC LETTER THAL ISOLATED FORM
        "\uFEAD",  # ; Isolated # Lo       ARABIC LETTER REH ISOLATED FORM
        "\uFEAF",  # ; Isolated # Lo       ARABIC LETTER ZAIN ISOLATED FORM
        "\uFEB1",  # ; Isolated # Lo       ARABIC LETTER SEEN ISOLATED FORM
        "\uFEB5",  # ; Isolated # Lo       ARABIC LETTER SHEEN ISOLATED FORM
        "\uFEB9",  # ; Isolated # Lo       ARABIC LETTER SAD ISOLATED FORM
        "\uFEBD",  # ; Isolated # Lo       ARABIC LETTER DAD ISOLATED FORM
        "\uFEC1",  # ; Isolated # Lo       ARABIC LETTER TAH ISOLATED FORM
        "\uFEC5",  # ; Isolated # Lo       ARABIC LETTER ZAH ISOLATED FORM
        "\uFEC9",  # ; Isolated # Lo       ARABIC LETTER AIN ISOLATED FORM
        "\uFECD",  # ; Isolated # Lo       ARABIC LETTER GHAIN ISOLATED FORM
        "\uFED1",  # ; Isolated # Lo       ARABIC LETTER FEH ISOLATED FORM
        "\uFED5",  # ; Isolated # Lo       ARABIC LETTER QAF ISOLATED FORM
        "\uFED9",  # ; Isolated # Lo       ARABIC LETTER KAF ISOLATED FORM
        "\uFEDD",  # ; Isolated # Lo       ARABIC LETTER LAM ISOLATED FORM
        "\uFEE1",  # ; Isolated # Lo       ARABIC LETTER MEEM ISOLATED FORM
        "\uFEE5",  # ; Isolated # Lo       ARABIC LETTER NOON ISOLATED FORM
        "\uFEE9",  # ; Isolated # Lo       ARABIC LETTER HEH ISOLATED FORM
        "\uFEED",  # ; Isolated # Lo       ARABIC LETTER WAW ISOLATED FORM
        "\uFEEF",  # ; Isolated # Lo       ARABIC LETTER ALEF MAKSURA ISOLATED FORM
        "\uFEF1",  # ; Isolated # Lo       ARABIC LETTER YEH ISOLATED FORM
        "\uFEF5",  # ; Isolated # Lo       ARABIC LIGATURE LAM WITH ALEF WITH MADDA ABOVE ISOLATED FORM
        "\uFEF7",  # ; Isolated # Lo       ARABIC LIGATURE LAM WITH ALEF WITH HAMZA ABOVE ISOLATED FORM
        "\uFEF9",  # ; Isolated # Lo       ARABIC LIGATURE LAM WITH ALEF WITH HAMZA BELOW ISOLATED FORM
        "\uFEFB",  # ; Isolated # Lo       ARABIC LIGATURE LAM WITH ALEF ISOLATED FORM
        "\u2460","\u2461","\u2462","\u2463","\u2464","\u2465","\u2466","\u2467","\u2468","\u2469","\u246a","\u246b","\u246c","\u246d","\u246e","\u246f","\u2470","\u2471","\u2472","\u2473",  # ; Circle # No  [20] CIRCLED DIGIT ONE..CIRCLED NUMBER TWENTY
        "\u24b6","\u24b7","\u24b8","\u24b9","\u24ba","\u24bb","\u24bc","\u24bd","\u24be","\u24bf","\u24c0","\u24c1","\u24c2","\u24c3","\u24c4","\u24c5","\u24c6","\u24c7","\u24c8","\u24c9","\u24ca","\u24cb","\u24cc","\u24cd","\u24ce","\u24cf","\u24d0","\u24d1","\u24d2","\u24d3","\u24d4","\u24d5","\u24d6","\u24d7","\u24d8","\u24d9","\u24da","\u24db","\u24dc","\u24dd","\u24de","\u24df","\u24e0","\u24e1","\u24e2","\u24e3","\u24e4","\u24e5","\u24e6","\u24e7","\u24e8","\u24e9",  # ; Circle # So  [52] CIRCLED LATIN CAPITAL LETTER A..CIRCLED LATIN SMALL LETTER Z
        "\u24EA",  # ; Circle # No       CIRCLED DIGIT ZERO
        "\u3244","\u3245","\u3246","\u3247",  # ; Circle # So   [4] CIRCLED IDEOGRAPH QUESTION..CIRCLED IDEOGRAPH KOTO
        "\u3251","\u3252","\u3253","\u3254","\u3255","\u3256","\u3257","\u3258","\u3259","\u325a","\u325b","\u325c","\u325d","\u325e","\u325f",  # ; Circle # No  [15] CIRCLED NUMBER TWENTY ONE..CIRCLED NUMBER THIRTY FIVE
        "\u3260","\u3261","\u3262","\u3263","\u3264","\u3265","\u3266","\u3267","\u3268","\u3269","\u326a","\u326b","\u326c","\u326d","\u326e","\u326f","\u3270","\u3271","\u3272","\u3273","\u3274","\u3275","\u3276","\u3277","\u3278","\u3279","\u327a","\u327b","\u327c","\u327d","\u327e",  # ; Circle # So  [31] CIRCLED HANGUL KIYEOK..CIRCLED HANGUL IEUNG U
        "\u3280","\u3281","\u3282","\u3283","\u3284","\u3285","\u3286","\u3287","\u3288","\u3289",  # ; Circle # No  [10] CIRCLED IDEOGRAPH ONE..CIRCLED IDEOGRAPH TEN
        "\u328a","\u328b","\u328c","\u328d","\u328e","\u328f","\u3290","\u3291","\u3292","\u3293","\u3294","\u3295","\u3296","\u3297","\u3298","\u3299","\u329a","\u329b","\u329c","\u329d","\u329e","\u329f","\u32a0","\u32a1","\u32a2","\u32a3","\u32a4","\u32a5","\u32a6","\u32a7","\u32a8","\u32a9","\u32aa","\u32ab","\u32ac","\u32ad","\u32ae","\u32af","\u32b0",  # ; Circle # So  [39] CIRCLED IDEOGRAPH MOON..CIRCLED IDEOGRAPH NIGHT
        "\u32b1","\u32b2","\u32b3","\u32b4","\u32b5","\u32b6","\u32b7","\u32b8","\u32b9","\u32ba","\u32bb","\u32bc","\u32bd","\u32be","\u32bf",  # ; Circle # No  [15] CIRCLED NUMBER THIRTY SIX..CIRCLED NUMBER FIFTY
        "\u32d0","\u32d1","\u32d2","\u32d3","\u32d4","\u32d5","\u32d6","\u32d7","\u32d8","\u32d9","\u32da","\u32db","\u32dc","\u32dd","\u32de","\u32df","\u32e0","\u32e1","\u32e2","\u32e3","\u32e4","\u32e5","\u32e6","\u32e7","\u32e8","\u32e9","\u32ea","\u32eb","\u32ec","\u32ed","\u32ee","\u32ef","\u32f0","\u32f1","\u32f2","\u32f3","\u32f4","\u32f5","\u32f6","\u32f7","\u32f8","\u32f9","\u32fa","\u32fb","\u32fc","\u32fd","\u32fe",  # ; Circle # So  [47] CIRCLED KATAKANA A..CIRCLED KATAKANA WO
        "\u1f12b","\u1f12c","\u1f12d","\u1f12e",  # ; Circle # So   [4] CIRCLED ITALIC LATIN CAPITAL LETTER C..CIRCLED WZ
        "\u1f250","\u1f251",  # ; Circle # So   [2] CIRCLED IDEOGRAPH ADVANTAGE..CIRCLED IDEOGRAPH ACCEPT
        "\u00AA",  # ; Super # Lo       FEMININE ORDINAL INDICATOR
        "\u00b2","\u00b3",  # ; Super # No   [2] SUPERSCRIPT TWO..SUPERSCRIPT THREE
        "\u00B9",  # ; Super # No       SUPERSCRIPT ONE
        "\u00BA",  # ; Super # Lo       MASCULINE ORDINAL INDICATOR
        "\u02b0","\u02b1","\u02b2","\u02b3","\u02b4","\u02b5","\u02b6","\u02b7","\u02b8",  # ; Super # Lm   [9] MODIFIER LETTER SMALL H..MODIFIER LETTER SMALL Y
        "\u02e0","\u02e1","\u02e2","\u02e3","\u02e4",  # ; Super # Lm   [5] MODIFIER LETTER SMALL GAMMA..MODIFIER LETTER SMALL REVERSED GLOTTAL STOP
        "\u10FC",  # ; Super # Lm       MODIFIER LETTER GEORGIAN NAR
        "\u1d2c","\u1d2d","\u1d2e",  # ; Super # Lm   [3] MODIFIER LETTER CAPITAL A..MODIFIER LETTER CAPITAL B
        "\u1d30","\u1d31","\u1d32","\u1d33","\u1d34","\u1d35","\u1d36","\u1d37","\u1d38","\u1d39","\u1d3a",  # ; Super # Lm  [11] MODIFIER LETTER CAPITAL D..MODIFIER LETTER CAPITAL N
        "\u1d3c","\u1d3d","\u1d3e","\u1d3f","\u1d40","\u1d41","\u1d42","\u1d43","\u1d44","\u1d45","\u1d46","\u1d47","\u1d48","\u1d49","\u1d4a","\u1d4b","\u1d4c","\u1d4d",  # ; Super # Lm  [18] MODIFIER LETTER CAPITAL O..MODIFIER LETTER SMALL G
        "\u1d4f","\u1d50","\u1d51","\u1d52","\u1d53","\u1d54","\u1d55","\u1d56","\u1d57","\u1d58","\u1d59","\u1d5a","\u1d5b","\u1d5c","\u1d5d","\u1d5e","\u1d5f","\u1d60","\u1d61",  # ; Super # Lm  [19] MODIFIER LETTER SMALL K..MODIFIER LETTER SMALL CHI
        "\u1D78",  # ; Super # Lm       MODIFIER LETTER CYRILLIC EN
        "\u1d9b","\u1d9c","\u1d9d","\u1d9e","\u1d9f","\u1da0","\u1da1","\u1da2","\u1da3","\u1da4","\u1da5","\u1da6","\u1da7","\u1da8","\u1da9","\u1daa","\u1dab","\u1dac","\u1dad","\u1dae","\u1daf","\u1db0","\u1db1","\u1db2","\u1db3","\u1db4","\u1db5","\u1db6","\u1db7","\u1db8","\u1db9","\u1dba","\u1dbb","\u1dbc","\u1dbd","\u1dbe","\u1dbf",  # ; Super # Lm  [37] MODIFIER LETTER SMALL TURNED ALPHA..MODIFIER LETTER SMALL THETA
        "\u2070",  # ; Super # No       SUPERSCRIPT ZERO
        "\u2071",  # ; Super # Lm       SUPERSCRIPT LATIN SMALL LETTER I
        "\u2074","\u2075","\u2076","\u2077","\u2078","\u2079",  # ; Super # No   [6] SUPERSCRIPT FOUR..SUPERSCRIPT NINE
        "\u207a","\u207b","\u207c",  # ; Super # Sm   [3] SUPERSCRIPT PLUS SIGN..SUPERSCRIPT EQUALS SIGN
        "\u207D",  # ; Super # Ps       SUPERSCRIPT LEFT PARENTHESIS
        "\u207E",  # ; Super # Pe       SUPERSCRIPT RIGHT PARENTHESIS
        "\u207F",  # ; Super # Lm       SUPERSCRIPT LATIN SMALL LETTER N
        "\u2120",  # ; Super # So       SERVICE MARK
        "\u2122",  # ; Super # So       TRADE MARK SIGN
        "\u2C7D",  # ; Super # Lm       MODIFIER LETTER CAPITAL V
        "\u2D6F",  # ; Super # Lm       TIFINAGH MODIFIER LETTER LABIALIZATION MARK
        "\u3192","\u3193","\u3194","\u3195",  # ; Super # No   [4] IDEOGRAPHIC ANNOTATION ONE MARK..IDEOGRAPHIC ANNOTATION FOUR MARK
        "\u3196","\u3197","\u3198","\u3199","\u319a","\u319b","\u319c","\u319d","\u319e","\u319f",  # ; Super # So  [10] IDEOGRAPHIC ANNOTATION TOP MARK..IDEOGRAPHIC ANNOTATION MAN MARK
        "\ua69c","\ua69d",  # ; Super # Lm   [2] MODIFIER LETTER CYRILLIC HARD SIGN..MODIFIER LETTER CYRILLIC SOFT SIGN
        "\uA770",  # ; Super # Lm       MODIFIER LETTER US
        "\ua7f8","\ua7f9",  # ; Super # Lm   [2] MODIFIER LETTER CAPITAL H WITH STROKE..MODIFIER LETTER SMALL LIGATURE OE
        "\uab5c","\uab5d","\uab5e","\uab5f",  # ; Super # Lm   [4] MODIFIER LETTER SMALL HENG..MODIFIER LETTER SMALL U WITH LEFT HOOK
        "\u1f16a","\u1f16b",  # ; Super # So   [2] RAISED MC SIGN..RAISED MD SIGN
        "\u1d62","\u1d63","\u1d64","\u1d65","\u1d66","\u1d67","\u1d68","\u1d69","\u1d6a",  # ; Sub # Lm   [9] LATIN SUBSCRIPT SMALL LETTER I..GREEK SUBSCRIPT SMALL LETTER CHI
        "\u2080","\u2081","\u2082","\u2083","\u2084","\u2085","\u2086","\u2087","\u2088","\u2089",  # ; Sub # No  [10] SUBSCRIPT ZERO..SUBSCRIPT NINE
        "\u208a","\u208b","\u208c",  # ; Sub # Sm   [3] SUBSCRIPT PLUS SIGN..SUBSCRIPT EQUALS SIGN
        "\u208D",  # ; Sub # Ps       SUBSCRIPT LEFT PARENTHESIS
        "\u208E",  # ; Sub # Pe       SUBSCRIPT RIGHT PARENTHESIS
        "\u2090","\u2091","\u2092","\u2093","\u2094","\u2095","\u2096","\u2097","\u2098","\u2099","\u209a","\u209b","\u209c",  # ; Sub # Lm  [13] LATIN SUBSCRIPT SMALL LETTER A..LATIN SUBSCRIPT SMALL LETTER T
        "\u2C7C",  # ; Sub # Lm       LATIN SUBSCRIPT SMALL LETTER J
        "\u309F",  # ; Vertical # Lo       HIRAGANA DIGRAPH YORI
        "\u30FF",  # ; Vertical # Lo       KATAKANA DIGRAPH KOTO
        "\ufe10","\ufe11","\ufe12","\ufe13","\ufe14","\ufe15","\ufe16",  # ; Vertical # Po   [7] PRESENTATION FORM FOR VERTICAL COMMA..PRESENTATION FORM FOR VERTICAL QUESTION MARK
        "\uFE17",  # ; Vertical # Ps       PRESENTATION FORM FOR VERTICAL LEFT WHITE LENTICULAR BRACKET
        "\uFE18",  # ; Vertical # Pe       PRESENTATION FORM FOR VERTICAL RIGHT WHITE LENTICULAR BRAKCET
        "\uFE19",  # ; Vertical # Po       PRESENTATION FORM FOR VERTICAL HORIZONTAL ELLIPSIS
        "\uFE30",  # ; Vertical # Po       PRESENTATION FORM FOR VERTICAL TWO DOT LEADER
        "\ufe31","\ufe32",  # ; Vertical # Pd   [2] PRESENTATION FORM FOR VERTICAL EM DASH..PRESENTATION FORM FOR VERTICAL EN DASH
        "\ufe33","\ufe34",  # ; Vertical # Pc   [2] PRESENTATION FORM FOR VERTICAL LOW LINE..PRESENTATION FORM FOR VERTICAL WAVY LOW LINE
        "\uFE35",  # ; Vertical # Ps       PRESENTATION FORM FOR VERTICAL LEFT PARENTHESIS
        "\uFE36",  # ; Vertical # Pe       PRESENTATION FORM FOR VERTICAL RIGHT PARENTHESIS
        "\uFE37",  # ; Vertical # Ps       PRESENTATION FORM FOR VERTICAL LEFT CURLY BRACKET
        "\uFE38",  # ; Vertical # Pe       PRESENTATION FORM FOR VERTICAL RIGHT CURLY BRACKET
        "\uFE39",  # ; Vertical # Ps       PRESENTATION FORM FOR VERTICAL LEFT TORTOISE SHELL BRACKET
        "\uFE3A",  # ; Vertical # Pe       PRESENTATION FORM FOR VERTICAL RIGHT TORTOISE SHELL BRACKET
        "\uFE3B",  # ; Vertical # Ps       PRESENTATION FORM FOR VERTICAL LEFT BLACK LENTICULAR BRACKET
        "\uFE3C",  # ; Vertical # Pe       PRESENTATION FORM FOR VERTICAL RIGHT BLACK LENTICULAR BRACKET
        "\uFE3D",  # ; Vertical # Ps       PRESENTATION FORM FOR VERTICAL LEFT DOUBLE ANGLE BRACKET
        "\uFE3E",  # ; Vertical # Pe       PRESENTATION FORM FOR VERTICAL RIGHT DOUBLE ANGLE BRACKET
        "\uFE3F",  # ; Vertical # Ps       PRESENTATION FORM FOR VERTICAL LEFT ANGLE BRACKET
        "\uFE40",  # ; Vertical # Pe       PRESENTATION FORM FOR VERTICAL RIGHT ANGLE BRACKET
        "\uFE41",  # ; Vertical # Ps       PRESENTATION FORM FOR VERTICAL LEFT CORNER BRACKET
        "\uFE42",  # ; Vertical # Pe       PRESENTATION FORM FOR VERTICAL RIGHT CORNER BRACKET
        "\uFE43",  # ; Vertical # Ps       PRESENTATION FORM FOR VERTICAL LEFT WHITE CORNER BRACKET
        "\uFE44",  # ; Vertical # Pe       PRESENTATION FORM FOR VERTICAL RIGHT WHITE CORNER BRACKET
        "\uFE47",  # ; Vertical # Ps       PRESENTATION FORM FOR VERTICAL LEFT SQUARE BRACKET
        "\uFE48",  # ; Vertical # Pe       PRESENTATION FORM FOR VERTICAL RIGHT SQUARE BRACKET
        "\u3000",  # ; Wide # Zs       IDEOGRAPHIC SPACE
        "\uff01","\uff02","\uff03",  # ; Wide # Po   [3] FULLWIDTH EXCLAMATION MARK..FULLWIDTH NUMBER SIGN
        "\uFF04",  # ; Wide # Sc       FULLWIDTH DOLLAR SIGN
        "\uff05","\uff06","\uff07",  # ; Wide # Po   [3] FULLWIDTH PERCENT SIGN..FULLWIDTH APOSTROPHE
        "\uFF08",  # ; Wide # Ps       FULLWIDTH LEFT PARENTHESIS
        "\uFF09",  # ; Wide # Pe       FULLWIDTH RIGHT PARENTHESIS
        "\uFF0A",  # ; Wide # Po       FULLWIDTH ASTERISK
        "\uFF0B",  # ; Wide # Sm       FULLWIDTH PLUS SIGN
        "\uFF0C",  # ; Wide # Po       FULLWIDTH COMMA
        "\uFF0D",  # ; Wide # Pd       FULLWIDTH HYPHEN-MINUS
        "\uff0e","\uff0f",  # ; Wide # Po   [2] FULLWIDTH FULL STOP..FULLWIDTH SOLIDUS
        "\uff10","\uff11","\uff12","\uff13","\uff14","\uff15","\uff16","\uff17","\uff18","\uff19",  # ; Wide # Nd  [10] FULLWIDTH DIGIT ZERO..FULLWIDTH DIGIT NINE
        "\uff1a","\uff1b",  # ; Wide # Po   [2] FULLWIDTH COLON..FULLWIDTH SEMICOLON
        "\uff1c","\uff1d","\uff1e",  # ; Wide # Sm   [3] FULLWIDTH LESS-THAN SIGN..FULLWIDTH GREATER-THAN SIGN
        "\uff1f","\uff20",  # ; Wide # Po   [2] FULLWIDTH QUESTION MARK..FULLWIDTH COMMERCIAL AT
        "\uff21","\uff22","\uff23","\uff24","\uff25","\uff26","\uff27","\uff28","\uff29","\uff2a","\uff2b","\uff2c","\uff2d","\uff2e","\uff2f","\uff30","\uff31","\uff32","\uff33","\uff34","\uff35","\uff36","\uff37","\uff38","\uff39","\uff3a",  # ; Wide # L&  [26] FULLWIDTH LATIN CAPITAL LETTER A..FULLWIDTH LATIN CAPITAL LETTER Z
        "\uFF3B",  # ; Wide # Ps       FULLWIDTH LEFT SQUARE BRACKET
        "\uFF3C",  # ; Wide # Po       FULLWIDTH REVERSE SOLIDUS
        "\uFF3D",  # ; Wide # Pe       FULLWIDTH RIGHT SQUARE BRACKET
        "\uFF3E",  # ; Wide # Sk       FULLWIDTH CIRCUMFLEX ACCENT
        "\uFF3F",  # ; Wide # Pc       FULLWIDTH LOW LINE
        "\uFF40",  # ; Wide # Sk       FULLWIDTH GRAVE ACCENT
        "\uff41","\uff42","\uff43","\uff44","\uff45","\uff46","\uff47","\uff48","\uff49","\uff4a","\uff4b","\uff4c","\uff4d","\uff4e","\uff4f","\uff50","\uff51","\uff52","\uff53","\uff54","\uff55","\uff56","\uff57","\uff58","\uff59","\uff5a",  # ; Wide # L&  [26] FULLWIDTH LATIN SMALL LETTER A..FULLWIDTH LATIN SMALL LETTER Z
        "\uFF5B",  # ; Wide # Ps       FULLWIDTH LEFT CURLY BRACKET
        "\uFF5C",  # ; Wide # Sm       FULLWIDTH VERTICAL LINE
        "\uFF5D",  # ; Wide # Pe       FULLWIDTH RIGHT CURLY BRACKET
        "\uFF5E",  # ; Wide # Sm       FULLWIDTH TILDE
        "\uFF5F",  # ; Wide # Ps       FULLWIDTH LEFT WHITE PARENTHESIS
        "\uFF60",  # ; Wide # Pe       FULLWIDTH RIGHT WHITE PARENTHESIS
        "\uffe0","\uffe1",  # ; Wide # Sc   [2] FULLWIDTH CENT SIGN..FULLWIDTH POUND SIGN
        "\uFFE2",  # ; Wide # Sm       FULLWIDTH NOT SIGN
        "\uFFE3",  # ; Wide # Sk       FULLWIDTH MACRON
        "\uFFE4",  # ; Wide # So       FULLWIDTH BROKEN BAR
        "\uffe5","\uffe6",  # ; Wide # Sc   [2] FULLWIDTH YEN SIGN..FULLWIDTH WON SIGN
        "\uFF61",  # ; Narrow # Po       HALFWIDTH IDEOGRAPHIC FULL STOP
        "\uFF62",  # ; Narrow # Ps       HALFWIDTH LEFT CORNER BRACKET
        "\uFF63",  # ; Narrow # Pe       HALFWIDTH RIGHT CORNER BRACKET
        "\uff64","\uff65",  # ; Narrow # Po   [2] HALFWIDTH IDEOGRAPHIC COMMA..HALFWIDTH KATAKANA MIDDLE DOT
        "\uff66","\uff67","\uff68","\uff69","\uff6a","\uff6b","\uff6c","\uff6d","\uff6e","\uff6f",  # ; Narrow # Lo  [10] HALFWIDTH KATAKANA LETTER WO..HALFWIDTH KATAKANA LETTER SMALL TU
        "\uFF70",  # ; Narrow # Lm       HALFWIDTH KATAKANA-HIRAGANA PROLONGED SOUND MARK
        "\uff71","\uff72","\uff73","\uff74","\uff75","\uff76","\uff77","\uff78","\uff79","\uff7a","\uff7b","\uff7c","\uff7d","\uff7e","\uff7f","\uff80","\uff81","\uff82","\uff83","\uff84","\uff85","\uff86","\uff87","\uff88","\uff89","\uff8a","\uff8b","\uff8c","\uff8d","\uff8e","\uff8f","\uff90","\uff91","\uff92","\uff93","\uff94","\uff95","\uff96","\uff97","\uff98","\uff99","\uff9a","\uff9b","\uff9c","\uff9d",  # ; Narrow # Lo  [45] HALFWIDTH KATAKANA LETTER A..HALFWIDTH KATAKANA LETTER N
        "\uff9e","\uff9f",  # ; Narrow # Lm   [2] HALFWIDTH KATAKANA VOICED SOUND MARK..HALFWIDTH KATAKANA SEMI-VOICED SOUND MARK
        "\uffa0","\uffa1","\uffa2","\uffa3","\uffa4","\uffa5","\uffa6","\uffa7","\uffa8","\uffa9","\uffaa","\uffab","\uffac","\uffad","\uffae","\uffaf","\uffb0","\uffb1","\uffb2","\uffb3","\uffb4","\uffb5","\uffb6","\uffb7","\uffb8","\uffb9","\uffba","\uffbb","\uffbc","\uffbd","\uffbe",  # ; Narrow # Lo  [31] HALFWIDTH HANGUL FILLER..HALFWIDTH HANGUL LETTER HIEUH
        "\uffc2","\uffc3","\uffc4","\uffc5","\uffc6","\uffc7",  # ; Narrow # Lo   [6] HALFWIDTH HANGUL LETTER A..HALFWIDTH HANGUL LETTER E
        "\uffca","\uffcb","\uffcc","\uffcd","\uffce","\uffcf",  # ; Narrow # Lo   [6] HALFWIDTH HANGUL LETTER YEO..HALFWIDTH HANGUL LETTER OE
        "\uffd2","\uffd3","\uffd4","\uffd5","\uffd6","\uffd7",  # ; Narrow # Lo   [6] HALFWIDTH HANGUL LETTER YO..HALFWIDTH HANGUL LETTER YU
        "\uffda","\uffdb","\uffdc",  # ; Narrow # Lo   [3] HALFWIDTH HANGUL LETTER EU..HALFWIDTH HANGUL LETTER I
        "\uFFE8",  # ; Narrow # So       HALFWIDTH FORMS LIGHT VERTICAL
        "\uffe9","\uffea","\uffeb","\uffec",  # ; Narrow # Sm   [4] HALFWIDTH LEFTWARDS ARROW..HALFWIDTH DOWNWARDS ARROW
        "\uffed","\uffee",  # ; Narrow # So   [2] HALFWIDTH BLACK SQUARE..HALFWIDTH WHITE CIRCLE
        "\ufe50","\ufe51","\ufe52",  # ; Small # Po   [3] SMALL COMMA..SMALL FULL STOP
        "\ufe54","\ufe55","\ufe56","\ufe57",  # ; Small # Po   [4] SMALL SEMICOLON..SMALL EXCLAMATION MARK
        "\uFE58",  # ; Small # Pd       SMALL EM DASH
        "\uFE59",  # ; Small # Ps       SMALL LEFT PARENTHESIS
        "\uFE5A",  # ; Small # Pe       SMALL RIGHT PARENTHESIS
        "\uFE5B",  # ; Small # Ps       SMALL LEFT CURLY BRACKET
        "\uFE5C",  # ; Small # Pe       SMALL RIGHT CURLY BRACKET
        "\uFE5D",  # ; Small # Ps       SMALL LEFT TORTOISE SHELL BRACKET
        "\uFE5E",  # ; Small # Pe       SMALL RIGHT TORTOISE SHELL BRACKET
        "\ufe5f","\ufe60","\ufe61",  # ; Small # Po   [3] SMALL NUMBER SIGN..SMALL ASTERISK
        "\uFE62",  # ; Small # Sm       SMALL PLUS SIGN
        "\uFE63",  # ; Small # Pd       SMALL HYPHEN-MINUS
        "\ufe64","\ufe65","\ufe66",  # ; Small # Sm   [3] SMALL LESS-THAN SIGN..SMALL EQUALS SIGN
        "\uFE68",  # ; Small # Po       SMALL REVERSE SOLIDUS
        "\uFE69",  # ; Small # Sc       SMALL DOLLAR SIGN
        "\ufe6a","\ufe6b",  # ; Small # Po   [2] SMALL PERCENT SIGN..SMALL COMMERCIAL AT
        "\u3250",  # ; Square # So       PARTNERSHIP SIGN
        "\u32cc","\u32cd","\u32ce","\u32cf",  # ; Square # So   [4] SQUARE HG..LIMITED LIABILITY SIGN
        "\u3300","\u3301","\u3302","\u3303","\u3304","\u3305","\u3306","\u3307","\u3308","\u3309","\u330a","\u330b","\u330c","\u330d","\u330e","\u330f","\u3310","\u3311","\u3312","\u3313","\u3314","\u3315","\u3316","\u3317","\u3318","\u3319","\u331a","\u331b","\u331c","\u331d","\u331e","\u331f","\u3320","\u3321","\u3322","\u3323","\u3324","\u3325","\u3326","\u3327","\u3328","\u3329","\u332a","\u332b","\u332c","\u332d","\u332e","\u332f","\u3330","\u3331","\u3332","\u3333","\u3334","\u3335","\u3336","\u3337","\u3338","\u3339","\u333a","\u333b","\u333c","\u333d","\u333e","\u333f","\u3340","\u3341","\u3342","\u3343","\u3344","\u3345","\u3346","\u3347","\u3348","\u3349","\u334a","\u334b","\u334c","\u334d","\u334e","\u334f","\u3350","\u3351","\u3352","\u3353","\u3354","\u3355","\u3356","\u3357",  # ; Square # So  [88] SQUARE APAATO..SQUARE WATTO
        "\u3371","\u3372","\u3373","\u3374","\u3375","\u3376","\u3377","\u3378","\u3379","\u337a","\u337b","\u337c","\u337d","\u337e","\u337f","\u3380","\u3381","\u3382","\u3383","\u3384","\u3385","\u3386","\u3387","\u3388","\u3389","\u338a","\u338b","\u338c","\u338d","\u338e","\u338f","\u3390","\u3391","\u3392","\u3393","\u3394","\u3395","\u3396","\u3397","\u3398","\u3399","\u339a","\u339b","\u339c","\u339d","\u339e","\u339f","\u33a0","\u33a1","\u33a2","\u33a3","\u33a4","\u33a5","\u33a6","\u33a7","\u33a8","\u33a9","\u33aa","\u33ab","\u33ac","\u33ad","\u33ae","\u33af","\u33b0","\u33b1","\u33b2","\u33b3","\u33b4","\u33b5","\u33b6","\u33b7","\u33b8","\u33b9","\u33ba","\u33bb","\u33bc","\u33bd","\u33be","\u33bf","\u33c0","\u33c1","\u33c2","\u33c3","\u33c4","\u33c5","\u33c6","\u33c7","\u33c8","\u33c9","\u33ca","\u33cb","\u33cc","\u33cd","\u33ce","\u33cf","\u33d0","\u33d1","\u33d2","\u33d3","\u33d4","\u33d5","\u33d6","\u33d7","\u33d8","\u33d9","\u33da","\u33db","\u33dc","\u33dd","\u33de","\u33df",  # ; Square # So [111] SQUARE HPA..SQUARE A OVER M
        "\u33FF",  # ; Square # So       SQUARE GAL
        "\u1f130","\u1f131","\u1f132","\u1f133","\u1f134","\u1f135","\u1f136","\u1f137","\u1f138","\u1f139","\u1f13a","\u1f13b","\u1f13c","\u1f13d","\u1f13e","\u1f13f","\u1f140","\u1f141","\u1f142","\u1f143","\u1f144","\u1f145","\u1f146","\u1f147","\u1f148","\u1f149","\u1f14a","\u1f14b","\u1f14c","\u1f14d","\u1f14e","\u1f14f",  # ; Square # So  [32] SQUARED LATIN CAPITAL LETTER A..SQUARED WC
        "\u1F190",  # ; Square # So       SQUARE DJ
        "\u1f200","\u1f201","\u1f202",  # ; Square # So   [3] SQUARE HIRAGANA HOKA..SQUARED KATAKANA SA
        "\u1f210","\u1f211","\u1f212","\u1f213","\u1f214","\u1f215","\u1f216","\u1f217","\u1f218","\u1f219","\u1f21a","\u1f21b","\u1f21c","\u1f21d","\u1f21e","\u1f21f","\u1f220","\u1f221","\u1f222","\u1f223","\u1f224","\u1f225","\u1f226","\u1f227","\u1f228","\u1f229","\u1f22a","\u1f22b","\u1f22c","\u1f22d","\u1f22e","\u1f22f","\u1f230","\u1f231","\u1f232","\u1f233","\u1f234","\u1f235","\u1f236","\u1f237","\u1f238","\u1f239","\u1f23a","\u1f23b",  # ; Square # So  [44] SQUARED CJK UNIFIED IDEOGRAPH-624B..SQUARED CJK UNIFIED IDEOGRAPH-914D
        "\u00bc","\u00bd","\u00be",  # ; Fraction # No   [3] VULGAR FRACTION ONE QUARTER..VULGAR FRACTION THREE QUARTERS
        "\u2150","\u2151","\u2152","\u2153","\u2154","\u2155","\u2156","\u2157","\u2158","\u2159","\u215a","\u215b","\u215c","\u215d","\u215e","\u215f",  # ; Fraction # No  [16] VULGAR FRACTION ONE SEVENTH..FRACTION NUMERATOR ONE
        "\u2189",  # ; Fraction # No       VULGAR FRACTION ZERO THIRDS
    ]
    test_data.each do |string|
      assert @validator.valid_encoding?(string), "U10_DerivedDecompositionType: #{string}"
      assert string.force_encoding("UTF-8").valid_encoding?, "U10_DerivedDecompositionType: #{string}" if @vercheck
    end
  end

end
