# encoding: utf-8
#
# This file is machine generated.  DO NOT EDIT!
#
if Kernel.respond_to?(:require_relative)
  require_relative("./helper")
else
  $:.unshift(File.dirname(__FILE__))
  require 'helper'
end
#
# == Purpose
#
# Tests for the #{UTF8::Validator} implementation.
#
# Test data pulled and generated from:
#
# https://www.unicode.org/Public/10.0.0/ucd/
#
class TestUnicode10DerivedName < Test::Unit::TestCase
  #
  def setup
    @validator = UTF8::Validator.new
    @vercheck = ((RUBY_VERSION =~ /1.9/) or (RUBY_VERSION =~ /2./)) ? true : false
  end

  #
  def teardown
    @validator = nil
  end

  def test_unicode10_DerivedName
    test_data = [
        "\u0020",  # ; SPACE
        "\u0021",  # ; EXCLAMATION MARK
        "\u0022",  # ; QUOTATION MARK
        "\u0023",  # ; NUMBER SIGN
        "\u0024",  # ; DOLLAR SIGN
        "\u0025",  # ; PERCENT SIGN
        "\u0026",  # ; AMPERSAND
        "\u0027",  # ; APOSTROPHE
        "\u0028",  # ; LEFT PARENTHESIS
        "\u0029",  # ; RIGHT PARENTHESIS
        "\u002A",  # ; ASTERISK
        "\u002B",  # ; PLUS SIGN
        "\u002C",  # ; COMMA
        "\u002D",  # ; HYPHEN-MINUS
        "\u002E",  # ; FULL STOP
        "\u002F",  # ; SOLIDUS
        "\u0030",  # ; DIGIT ZERO
        "\u0031",  # ; DIGIT ONE
        "\u0032",  # ; DIGIT TWO
        "\u0033",  # ; DIGIT THREE
        "\u0034",  # ; DIGIT FOUR
        "\u0035",  # ; DIGIT FIVE
        "\u0036",  # ; DIGIT SIX
        "\u0037",  # ; DIGIT SEVEN
        "\u0038",  # ; DIGIT EIGHT
        "\u0039",  # ; DIGIT NINE
        "\u003A",  # ; COLON
        "\u003B",  # ; SEMICOLON
        "\u003C",  # ; LESS-THAN SIGN
        "\u003D",  # ; EQUALS SIGN
        "\u003E",  # ; GREATER-THAN SIGN
        "\u003F",  # ; QUESTION MARK
        "\u0040",  # ; COMMERCIAL AT
        "\u0041",  # ; LATIN CAPITAL LETTER A
        "\u0042",  # ; LATIN CAPITAL LETTER B
        "\u0043",  # ; LATIN CAPITAL LETTER C
        "\u0044",  # ; LATIN CAPITAL LETTER D
        "\u0045",  # ; LATIN CAPITAL LETTER E
        "\u0046",  # ; LATIN CAPITAL LETTER F
        "\u0047",  # ; LATIN CAPITAL LETTER G
        "\u0048",  # ; LATIN CAPITAL LETTER H
        "\u0049",  # ; LATIN CAPITAL LETTER I
        "\u004A",  # ; LATIN CAPITAL LETTER J
        "\u004B",  # ; LATIN CAPITAL LETTER K
        "\u004C",  # ; LATIN CAPITAL LETTER L
        "\u004D",  # ; LATIN CAPITAL LETTER M
        "\u004E",  # ; LATIN CAPITAL LETTER N
        "\u004F",  # ; LATIN CAPITAL LETTER O
        "\u0050",  # ; LATIN CAPITAL LETTER P
        "\u0051",  # ; LATIN CAPITAL LETTER Q
        "\u0052",  # ; LATIN CAPITAL LETTER R
        "\u0053",  # ; LATIN CAPITAL LETTER S
        "\u0054",  # ; LATIN CAPITAL LETTER T
        "\u0055",  # ; LATIN CAPITAL LETTER U
        "\u0056",  # ; LATIN CAPITAL LETTER V
        "\u0057",  # ; LATIN CAPITAL LETTER W
        "\u0058",  # ; LATIN CAPITAL LETTER X
        "\u0059",  # ; LATIN CAPITAL LETTER Y
        "\u005A",  # ; LATIN CAPITAL LETTER Z
        "\u005B",  # ; LEFT SQUARE BRACKET
        "\u005C",  # ; REVERSE SOLIDUS
        "\u005D",  # ; RIGHT SQUARE BRACKET
        "\u005E",  # ; CIRCUMFLEX ACCENT
        "\u005F",  # ; LOW LINE
        "\u0060",  # ; GRAVE ACCENT
        "\u0061",  # ; LATIN SMALL LETTER A
        "\u0062",  # ; LATIN SMALL LETTER B
        "\u0063",  # ; LATIN SMALL LETTER C
        "\u0064",  # ; LATIN SMALL LETTER D
        "\u0065",  # ; LATIN SMALL LETTER E
        "\u0066",  # ; LATIN SMALL LETTER F
        "\u0067",  # ; LATIN SMALL LETTER G
        "\u0068",  # ; LATIN SMALL LETTER H
        "\u0069",  # ; LATIN SMALL LETTER I
        "\u006A",  # ; LATIN SMALL LETTER J
        "\u006B",  # ; LATIN SMALL LETTER K
        "\u006C",  # ; LATIN SMALL LETTER L
        "\u006D",  # ; LATIN SMALL LETTER M
        "\u006E",  # ; LATIN SMALL LETTER N
        "\u006F",  # ; LATIN SMALL LETTER O
        "\u0070",  # ; LATIN SMALL LETTER P
        "\u0071",  # ; LATIN SMALL LETTER Q
        "\u0072",  # ; LATIN SMALL LETTER R
        "\u0073",  # ; LATIN SMALL LETTER S
        "\u0074",  # ; LATIN SMALL LETTER T
        "\u0075",  # ; LATIN SMALL LETTER U
        "\u0076",  # ; LATIN SMALL LETTER V
        "\u0077",  # ; LATIN SMALL LETTER W
        "\u0078",  # ; LATIN SMALL LETTER X
        "\u0079",  # ; LATIN SMALL LETTER Y
        "\u007A",  # ; LATIN SMALL LETTER Z
        "\u007B",  # ; LEFT CURLY BRACKET
        "\u007C",  # ; VERTICAL LINE
        "\u007D",  # ; RIGHT CURLY BRACKET
        "\u007E",  # ; TILDE
        "\u00A0",  # ; NO-BREAK SPACE
        "\u00A1",  # ; INVERTED EXCLAMATION MARK
        "\u00A2",  # ; CENT SIGN
        "\u00A3",  # ; POUND SIGN
        "\u00A4",  # ; CURRENCY SIGN
        "\u00A5",  # ; YEN SIGN
        "\u00A6",  # ; BROKEN BAR
        "\u00A7",  # ; SECTION SIGN
        "\u00A8",  # ; DIAERESIS
        "\u00A9",  # ; COPYRIGHT SIGN
        "\u00AA",  # ; FEMININE ORDINAL INDICATOR
        "\u00AB",  # ; LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
        "\u00AC",  # ; NOT SIGN
        "\u00AD",  # ; SOFT HYPHEN
        "\u00AE",  # ; REGISTERED SIGN
        "\u00AF",  # ; MACRON
        "\u00B0",  # ; DEGREE SIGN
        "\u00B1",  # ; PLUS-MINUS SIGN
        "\u00B2",  # ; SUPERSCRIPT TWO
        "\u00B3",  # ; SUPERSCRIPT THREE
        "\u00B4",  # ; ACUTE ACCENT
        "\u00B5",  # ; MICRO SIGN
        "\u00B6",  # ; PILCROW SIGN
        "\u00B7",  # ; MIDDLE DOT
        "\u00B8",  # ; CEDILLA
        "\u00B9",  # ; SUPERSCRIPT ONE
        "\u00BA",  # ; MASCULINE ORDINAL INDICATOR
        "\u00BB",  # ; RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
        "\u00BC",  # ; VULGAR FRACTION ONE QUARTER
        "\u00BD",  # ; VULGAR FRACTION ONE HALF
        "\u00BE",  # ; VULGAR FRACTION THREE QUARTERS
        "\u00BF",  # ; INVERTED QUESTION MARK
        "\u00C0",  # ; LATIN CAPITAL LETTER A WITH GRAVE
        "\u00C1",  # ; LATIN CAPITAL LETTER A WITH ACUTE
        "\u00C2",  # ; LATIN CAPITAL LETTER A WITH CIRCUMFLEX
        "\u00C3",  # ; LATIN CAPITAL LETTER A WITH TILDE
        "\u00C4",  # ; LATIN CAPITAL LETTER A WITH DIAERESIS
        "\u00C5",  # ; LATIN CAPITAL LETTER A WITH RING ABOVE
        "\u00C6",  # ; LATIN CAPITAL LETTER AE
        "\u00C7",  # ; LATIN CAPITAL LETTER C WITH CEDILLA
        "\u00C8",  # ; LATIN CAPITAL LETTER E WITH GRAVE
        "\u00C9",  # ; LATIN CAPITAL LETTER E WITH ACUTE
        "\u00CA",  # ; LATIN CAPITAL LETTER E WITH CIRCUMFLEX
        "\u00CB",  # ; LATIN CAPITAL LETTER E WITH DIAERESIS
        "\u00CC",  # ; LATIN CAPITAL LETTER I WITH GRAVE
        "\u00CD",  # ; LATIN CAPITAL LETTER I WITH ACUTE
        "\u00CE",  # ; LATIN CAPITAL LETTER I WITH CIRCUMFLEX
        "\u00CF",  # ; LATIN CAPITAL LETTER I WITH DIAERESIS
        "\u00D0",  # ; LATIN CAPITAL LETTER ETH
        "\u00D1",  # ; LATIN CAPITAL LETTER N WITH TILDE
        "\u00D2",  # ; LATIN CAPITAL LETTER O WITH GRAVE
        "\u00D3",  # ; LATIN CAPITAL LETTER O WITH ACUTE
        "\u00D4",  # ; LATIN CAPITAL LETTER O WITH CIRCUMFLEX
        "\u00D5",  # ; LATIN CAPITAL LETTER O WITH TILDE
        "\u00D6",  # ; LATIN CAPITAL LETTER O WITH DIAERESIS
        "\u00D7",  # ; MULTIPLICATION SIGN
        "\u00D8",  # ; LATIN CAPITAL LETTER O WITH STROKE
        "\u00D9",  # ; LATIN CAPITAL LETTER U WITH GRAVE
        "\u00DA",  # ; LATIN CAPITAL LETTER U WITH ACUTE
        "\u00DB",  # ; LATIN CAPITAL LETTER U WITH CIRCUMFLEX
        "\u00DC",  # ; LATIN CAPITAL LETTER U WITH DIAERESIS
        "\u00DD",  # ; LATIN CAPITAL LETTER Y WITH ACUTE
        "\u00DE",  # ; LATIN CAPITAL LETTER THORN
        "\u00DF",  # ; LATIN SMALL LETTER SHARP S
        "\u00E0",  # ; LATIN SMALL LETTER A WITH GRAVE
        "\u00E1",  # ; LATIN SMALL LETTER A WITH ACUTE
        "\u00E2",  # ; LATIN SMALL LETTER A WITH CIRCUMFLEX
        "\u00E3",  # ; LATIN SMALL LETTER A WITH TILDE
        "\u00E4",  # ; LATIN SMALL LETTER A WITH DIAERESIS
        "\u00E5",  # ; LATIN SMALL LETTER A WITH RING ABOVE
        "\u00E6",  # ; LATIN SMALL LETTER AE
        "\u00E7",  # ; LATIN SMALL LETTER C WITH CEDILLA
        "\u00E8",  # ; LATIN SMALL LETTER E WITH GRAVE
        "\u00E9",  # ; LATIN SMALL LETTER E WITH ACUTE
        "\u00EA",  # ; LATIN SMALL LETTER E WITH CIRCUMFLEX
        "\u00EB",  # ; LATIN SMALL LETTER E WITH DIAERESIS
        "\u00EC",  # ; LATIN SMALL LETTER I WITH GRAVE
        "\u00ED",  # ; LATIN SMALL LETTER I WITH ACUTE
        "\u00EE",  # ; LATIN SMALL LETTER I WITH CIRCUMFLEX
        "\u00EF",  # ; LATIN SMALL LETTER I WITH DIAERESIS
        "\u00F0",  # ; LATIN SMALL LETTER ETH
        "\u00F1",  # ; LATIN SMALL LETTER N WITH TILDE
        "\u00F2",  # ; LATIN SMALL LETTER O WITH GRAVE
        "\u00F3",  # ; LATIN SMALL LETTER O WITH ACUTE
        "\u00F4",  # ; LATIN SMALL LETTER O WITH CIRCUMFLEX
        "\u00F5",  # ; LATIN SMALL LETTER O WITH TILDE
        "\u00F6",  # ; LATIN SMALL LETTER O WITH DIAERESIS
        "\u00F7",  # ; DIVISION SIGN
        "\u00F8",  # ; LATIN SMALL LETTER O WITH STROKE
        "\u00F9",  # ; LATIN SMALL LETTER U WITH GRAVE
        "\u00FA",  # ; LATIN SMALL LETTER U WITH ACUTE
        "\u00FB",  # ; LATIN SMALL LETTER U WITH CIRCUMFLEX
        "\u00FC",  # ; LATIN SMALL LETTER U WITH DIAERESIS
        "\u00FD",  # ; LATIN SMALL LETTER Y WITH ACUTE
        "\u00FE",  # ; LATIN SMALL LETTER THORN
        "\u00FF",  # ; LATIN SMALL LETTER Y WITH DIAERESIS
        "\u0100",  # ; LATIN CAPITAL LETTER A WITH MACRON
        "\u0101",  # ; LATIN SMALL LETTER A WITH MACRON
        "\u0102",  # ; LATIN CAPITAL LETTER A WITH BREVE
        "\u0103",  # ; LATIN SMALL LETTER A WITH BREVE
        "\u0104",  # ; LATIN CAPITAL LETTER A WITH OGONEK
        "\u0105",  # ; LATIN SMALL LETTER A WITH OGONEK
        "\u0106",  # ; LATIN CAPITAL LETTER C WITH ACUTE
        "\u0107",  # ; LATIN SMALL LETTER C WITH ACUTE
        "\u0108",  # ; LATIN CAPITAL LETTER C WITH CIRCUMFLEX
        "\u0109",  # ; LATIN SMALL LETTER C WITH CIRCUMFLEX
        "\u010A",  # ; LATIN CAPITAL LETTER C WITH DOT ABOVE
        "\u010B",  # ; LATIN SMALL LETTER C WITH DOT ABOVE
        "\u010C",  # ; LATIN CAPITAL LETTER C WITH CARON
        "\u010D",  # ; LATIN SMALL LETTER C WITH CARON
        "\u010E",  # ; LATIN CAPITAL LETTER D WITH CARON
        "\u010F",  # ; LATIN SMALL LETTER D WITH CARON
        "\u0110",  # ; LATIN CAPITAL LETTER D WITH STROKE
        "\u0111",  # ; LATIN SMALL LETTER D WITH STROKE
        "\u0112",  # ; LATIN CAPITAL LETTER E WITH MACRON
        "\u0113",  # ; LATIN SMALL LETTER E WITH MACRON
        "\u0114",  # ; LATIN CAPITAL LETTER E WITH BREVE
        "\u0115",  # ; LATIN SMALL LETTER E WITH BREVE
        "\u0116",  # ; LATIN CAPITAL LETTER E WITH DOT ABOVE
        "\u0117",  # ; LATIN SMALL LETTER E WITH DOT ABOVE
        "\u0118",  # ; LATIN CAPITAL LETTER E WITH OGONEK
        "\u0119",  # ; LATIN SMALL LETTER E WITH OGONEK
        "\u011A",  # ; LATIN CAPITAL LETTER E WITH CARON
        "\u011B",  # ; LATIN SMALL LETTER E WITH CARON
        "\u011C",  # ; LATIN CAPITAL LETTER G WITH CIRCUMFLEX
        "\u011D",  # ; LATIN SMALL LETTER G WITH CIRCUMFLEX
        "\u011E",  # ; LATIN CAPITAL LETTER G WITH BREVE
        "\u011F",  # ; LATIN SMALL LETTER G WITH BREVE
        "\u0120",  # ; LATIN CAPITAL LETTER G WITH DOT ABOVE
        "\u0121",  # ; LATIN SMALL LETTER G WITH DOT ABOVE
        "\u0122",  # ; LATIN CAPITAL LETTER G WITH CEDILLA
        "\u0123",  # ; LATIN SMALL LETTER G WITH CEDILLA
        "\u0124",  # ; LATIN CAPITAL LETTER H WITH CIRCUMFLEX
        "\u0125",  # ; LATIN SMALL LETTER H WITH CIRCUMFLEX
        "\u0126",  # ; LATIN CAPITAL LETTER H WITH STROKE
        "\u0127",  # ; LATIN SMALL LETTER H WITH STROKE
        "\u0128",  # ; LATIN CAPITAL LETTER I WITH TILDE
        "\u0129",  # ; LATIN SMALL LETTER I WITH TILDE
        "\u012A",  # ; LATIN CAPITAL LETTER I WITH MACRON
        "\u012B",  # ; LATIN SMALL LETTER I WITH MACRON
        "\u012C",  # ; LATIN CAPITAL LETTER I WITH BREVE
        "\u012D",  # ; LATIN SMALL LETTER I WITH BREVE
        "\u012E",  # ; LATIN CAPITAL LETTER I WITH OGONEK
        "\u012F",  # ; LATIN SMALL LETTER I WITH OGONEK
        "\u0130",  # ; LATIN CAPITAL LETTER I WITH DOT ABOVE
        "\u0131",  # ; LATIN SMALL LETTER DOTLESS I
        "\u0132",  # ; LATIN CAPITAL LIGATURE IJ
        "\u0133",  # ; LATIN SMALL LIGATURE IJ
        "\u0134",  # ; LATIN CAPITAL LETTER J WITH CIRCUMFLEX
        "\u0135",  # ; LATIN SMALL LETTER J WITH CIRCUMFLEX
        "\u0136",  # ; LATIN CAPITAL LETTER K WITH CEDILLA
        "\u0137",  # ; LATIN SMALL LETTER K WITH CEDILLA
        "\u0138",  # ; LATIN SMALL LETTER KRA
        "\u0139",  # ; LATIN CAPITAL LETTER L WITH ACUTE
        "\u013A",  # ; LATIN SMALL LETTER L WITH ACUTE
        "\u013B",  # ; LATIN CAPITAL LETTER L WITH CEDILLA
        "\u013C",  # ; LATIN SMALL LETTER L WITH CEDILLA
        "\u013D",  # ; LATIN CAPITAL LETTER L WITH CARON
        "\u013E",  # ; LATIN SMALL LETTER L WITH CARON
        "\u013F",  # ; LATIN CAPITAL LETTER L WITH MIDDLE DOT
        "\u0140",  # ; LATIN SMALL LETTER L WITH MIDDLE DOT
        "\u0141",  # ; LATIN CAPITAL LETTER L WITH STROKE
        "\u0142",  # ; LATIN SMALL LETTER L WITH STROKE
        "\u0143",  # ; LATIN CAPITAL LETTER N WITH ACUTE
        "\u0144",  # ; LATIN SMALL LETTER N WITH ACUTE
        "\u0145",  # ; LATIN CAPITAL LETTER N WITH CEDILLA
        "\u0146",  # ; LATIN SMALL LETTER N WITH CEDILLA
        "\u0147",  # ; LATIN CAPITAL LETTER N WITH CARON
        "\u0148",  # ; LATIN SMALL LETTER N WITH CARON
        "\u0149",  # ; LATIN SMALL LETTER N PRECEDED BY APOSTROPHE
        "\u014A",  # ; LATIN CAPITAL LETTER ENG
        "\u014B",  # ; LATIN SMALL LETTER ENG
        "\u014C",  # ; LATIN CAPITAL LETTER O WITH MACRON
        "\u014D",  # ; LATIN SMALL LETTER O WITH MACRON
        "\u014E",  # ; LATIN CAPITAL LETTER O WITH BREVE
        "\u014F",  # ; LATIN SMALL LETTER O WITH BREVE
        "\u0150",  # ; LATIN CAPITAL LETTER O WITH DOUBLE ACUTE
        "\u0151",  # ; LATIN SMALL LETTER O WITH DOUBLE ACUTE
        "\u0152",  # ; LATIN CAPITAL LIGATURE OE
        "\u0153",  # ; LATIN SMALL LIGATURE OE
        "\u0154",  # ; LATIN CAPITAL LETTER R WITH ACUTE
        "\u0155",  # ; LATIN SMALL LETTER R WITH ACUTE
        "\u0156",  # ; LATIN CAPITAL LETTER R WITH CEDILLA
        "\u0157",  # ; LATIN SMALL LETTER R WITH CEDILLA
        "\u0158",  # ; LATIN CAPITAL LETTER R WITH CARON
        "\u0159",  # ; LATIN SMALL LETTER R WITH CARON
        "\u015A",  # ; LATIN CAPITAL LETTER S WITH ACUTE
        "\u015B",  # ; LATIN SMALL LETTER S WITH ACUTE
        "\u015C",  # ; LATIN CAPITAL LETTER S WITH CIRCUMFLEX
        "\u015D",  # ; LATIN SMALL LETTER S WITH CIRCUMFLEX
        "\u015E",  # ; LATIN CAPITAL LETTER S WITH CEDILLA
        "\u015F",  # ; LATIN SMALL LETTER S WITH CEDILLA
        "\u0160",  # ; LATIN CAPITAL LETTER S WITH CARON
        "\u0161",  # ; LATIN SMALL LETTER S WITH CARON
        "\u0162",  # ; LATIN CAPITAL LETTER T WITH CEDILLA
        "\u0163",  # ; LATIN SMALL LETTER T WITH CEDILLA
        "\u0164",  # ; LATIN CAPITAL LETTER T WITH CARON
        "\u0165",  # ; LATIN SMALL LETTER T WITH CARON
        "\u0166",  # ; LATIN CAPITAL LETTER T WITH STROKE
        "\u0167",  # ; LATIN SMALL LETTER T WITH STROKE
        "\u0168",  # ; LATIN CAPITAL LETTER U WITH TILDE
        "\u0169",  # ; LATIN SMALL LETTER U WITH TILDE
        "\u016A",  # ; LATIN CAPITAL LETTER U WITH MACRON
        "\u016B",  # ; LATIN SMALL LETTER U WITH MACRON
        "\u016C",  # ; LATIN CAPITAL LETTER U WITH BREVE
        "\u016D",  # ; LATIN SMALL LETTER U WITH BREVE
        "\u016E",  # ; LATIN CAPITAL LETTER U WITH RING ABOVE
        "\u016F",  # ; LATIN SMALL LETTER U WITH RING ABOVE
        "\u0170",  # ; LATIN CAPITAL LETTER U WITH DOUBLE ACUTE
        "\u0171",  # ; LATIN SMALL LETTER U WITH DOUBLE ACUTE
        "\u0172",  # ; LATIN CAPITAL LETTER U WITH OGONEK
        "\u0173",  # ; LATIN SMALL LETTER U WITH OGONEK
        "\u0174",  # ; LATIN CAPITAL LETTER W WITH CIRCUMFLEX
        "\u0175",  # ; LATIN SMALL LETTER W WITH CIRCUMFLEX
        "\u0176",  # ; LATIN CAPITAL LETTER Y WITH CIRCUMFLEX
        "\u0177",  # ; LATIN SMALL LETTER Y WITH CIRCUMFLEX
        "\u0178",  # ; LATIN CAPITAL LETTER Y WITH DIAERESIS
        "\u0179",  # ; LATIN CAPITAL LETTER Z WITH ACUTE
        "\u017A",  # ; LATIN SMALL LETTER Z WITH ACUTE
        "\u017B",  # ; LATIN CAPITAL LETTER Z WITH DOT ABOVE
        "\u017C",  # ; LATIN SMALL LETTER Z WITH DOT ABOVE
        "\u017D",  # ; LATIN CAPITAL LETTER Z WITH CARON
        "\u017E",  # ; LATIN SMALL LETTER Z WITH CARON
        "\u017F",  # ; LATIN SMALL LETTER LONG S
        "\u0180",  # ; LATIN SMALL LETTER B WITH STROKE
        "\u0181",  # ; LATIN CAPITAL LETTER B WITH HOOK
        "\u0182",  # ; LATIN CAPITAL LETTER B WITH TOPBAR
        "\u0183",  # ; LATIN SMALL LETTER B WITH TOPBAR
        "\u0184",  # ; LATIN CAPITAL LETTER TONE SIX
        "\u0185",  # ; LATIN SMALL LETTER TONE SIX
        "\u0186",  # ; LATIN CAPITAL LETTER OPEN O
        "\u0187",  # ; LATIN CAPITAL LETTER C WITH HOOK
        "\u0188",  # ; LATIN SMALL LETTER C WITH HOOK
        "\u0189",  # ; LATIN CAPITAL LETTER AFRICAN D
        "\u018A",  # ; LATIN CAPITAL LETTER D WITH HOOK
        "\u018B",  # ; LATIN CAPITAL LETTER D WITH TOPBAR
        "\u018C",  # ; LATIN SMALL LETTER D WITH TOPBAR
        "\u018D",  # ; LATIN SMALL LETTER TURNED DELTA
        "\u018E",  # ; LATIN CAPITAL LETTER REVERSED E
        "\u018F",  # ; LATIN CAPITAL LETTER SCHWA
        "\u0190",  # ; LATIN CAPITAL LETTER OPEN E
        "\u0191",  # ; LATIN CAPITAL LETTER F WITH HOOK
        "\u0192",  # ; LATIN SMALL LETTER F WITH HOOK
        "\u0193",  # ; LATIN CAPITAL LETTER G WITH HOOK
        "\u0194",  # ; LATIN CAPITAL LETTER GAMMA
        "\u0195",  # ; LATIN SMALL LETTER HV
        "\u0196",  # ; LATIN CAPITAL LETTER IOTA
        "\u0197",  # ; LATIN CAPITAL LETTER I WITH STROKE
        "\u0198",  # ; LATIN CAPITAL LETTER K WITH HOOK
        "\u0199",  # ; LATIN SMALL LETTER K WITH HOOK
        "\u019A",  # ; LATIN SMALL LETTER L WITH BAR
        "\u019B",  # ; LATIN SMALL LETTER LAMBDA WITH STROKE
        "\u019C",  # ; LATIN CAPITAL LETTER TURNED M
        "\u019D",  # ; LATIN CAPITAL LETTER N WITH LEFT HOOK
        "\u019E",  # ; LATIN SMALL LETTER N WITH LONG RIGHT LEG
        "\u019F",  # ; LATIN CAPITAL LETTER O WITH MIDDLE TILDE
        "\u01A0",  # ; LATIN CAPITAL LETTER O WITH HORN
        "\u01A1",  # ; LATIN SMALL LETTER O WITH HORN
        "\u01A2",  # ; LATIN CAPITAL LETTER OI
        "\u01A3",  # ; LATIN SMALL LETTER OI
        "\u01A4",  # ; LATIN CAPITAL LETTER P WITH HOOK
        "\u01A5",  # ; LATIN SMALL LETTER P WITH HOOK
        "\u01A6",  # ; LATIN LETTER YR
        "\u01A7",  # ; LATIN CAPITAL LETTER TONE TWO
        "\u01A8",  # ; LATIN SMALL LETTER TONE TWO
        "\u01A9",  # ; LATIN CAPITAL LETTER ESH
        "\u01AA",  # ; LATIN LETTER REVERSED ESH LOOP
        "\u01AB",  # ; LATIN SMALL LETTER T WITH PALATAL HOOK
        "\u01AC",  # ; LATIN CAPITAL LETTER T WITH HOOK
        "\u01AD",  # ; LATIN SMALL LETTER T WITH HOOK
        "\u01AE",  # ; LATIN CAPITAL LETTER T WITH RETROFLEX HOOK
        "\u01AF",  # ; LATIN CAPITAL LETTER U WITH HORN
        "\u01B0",  # ; LATIN SMALL LETTER U WITH HORN
        "\u01B1",  # ; LATIN CAPITAL LETTER UPSILON
        "\u01B2",  # ; LATIN CAPITAL LETTER V WITH HOOK
        "\u01B3",  # ; LATIN CAPITAL LETTER Y WITH HOOK
        "\u01B4",  # ; LATIN SMALL LETTER Y WITH HOOK
        "\u01B5",  # ; LATIN CAPITAL LETTER Z WITH STROKE
        "\u01B6",  # ; LATIN SMALL LETTER Z WITH STROKE
        "\u01B7",  # ; LATIN CAPITAL LETTER EZH
        "\u01B8",  # ; LATIN CAPITAL LETTER EZH REVERSED
        "\u01B9",  # ; LATIN SMALL LETTER EZH REVERSED
        "\u01BA",  # ; LATIN SMALL LETTER EZH WITH TAIL
        "\u01BB",  # ; LATIN LETTER TWO WITH STROKE
        "\u01BC",  # ; LATIN CAPITAL LETTER TONE FIVE
        "\u01BD",  # ; LATIN SMALL LETTER TONE FIVE
        "\u01BE",  # ; LATIN LETTER INVERTED GLOTTAL STOP WITH STROKE
        "\u01BF",  # ; LATIN LETTER WYNN
        "\u01C0",  # ; LATIN LETTER DENTAL CLICK
        "\u01C1",  # ; LATIN LETTER LATERAL CLICK
        "\u01C2",  # ; LATIN LETTER ALVEOLAR CLICK
        "\u01C3",  # ; LATIN LETTER RETROFLEX CLICK
        "\u01C4",  # ; LATIN CAPITAL LETTER DZ WITH CARON
        "\u01C5",  # ; LATIN CAPITAL LETTER D WITH SMALL LETTER Z WITH CARON
        "\u01C6",  # ; LATIN SMALL LETTER DZ WITH CARON
        "\u01C7",  # ; LATIN CAPITAL LETTER LJ
        "\u01C8",  # ; LATIN CAPITAL LETTER L WITH SMALL LETTER J
        "\u01C9",  # ; LATIN SMALL LETTER LJ
        "\u01CA",  # ; LATIN CAPITAL LETTER NJ
        "\u01CB",  # ; LATIN CAPITAL LETTER N WITH SMALL LETTER J
        "\u01CC",  # ; LATIN SMALL LETTER NJ
        "\u01CD",  # ; LATIN CAPITAL LETTER A WITH CARON
        "\u01CE",  # ; LATIN SMALL LETTER A WITH CARON
        "\u01CF",  # ; LATIN CAPITAL LETTER I WITH CARON
        "\u01D0",  # ; LATIN SMALL LETTER I WITH CARON
        "\u01D1",  # ; LATIN CAPITAL LETTER O WITH CARON
        "\u01D2",  # ; LATIN SMALL LETTER O WITH CARON
        "\u01D3",  # ; LATIN CAPITAL LETTER U WITH CARON
        "\u01D4",  # ; LATIN SMALL LETTER U WITH CARON
        "\u01D5",  # ; LATIN CAPITAL LETTER U WITH DIAERESIS AND MACRON
        "\u01D6",  # ; LATIN SMALL LETTER U WITH DIAERESIS AND MACRON
        "\u01D7",  # ; LATIN CAPITAL LETTER U WITH DIAERESIS AND ACUTE
        "\u01D8",  # ; LATIN SMALL LETTER U WITH DIAERESIS AND ACUTE
        "\u01D9",  # ; LATIN CAPITAL LETTER U WITH DIAERESIS AND CARON
        "\u01DA",  # ; LATIN SMALL LETTER U WITH DIAERESIS AND CARON
        "\u01DB",  # ; LATIN CAPITAL LETTER U WITH DIAERESIS AND GRAVE
        "\u01DC",  # ; LATIN SMALL LETTER U WITH DIAERESIS AND GRAVE
        "\u01DD",  # ; LATIN SMALL LETTER TURNED E
        "\u01DE",  # ; LATIN CAPITAL LETTER A WITH DIAERESIS AND MACRON
        "\u01DF",  # ; LATIN SMALL LETTER A WITH DIAERESIS AND MACRON
        "\u01E0",  # ; LATIN CAPITAL LETTER A WITH DOT ABOVE AND MACRON
        "\u01E1",  # ; LATIN SMALL LETTER A WITH DOT ABOVE AND MACRON
        "\u01E2",  # ; LATIN CAPITAL LETTER AE WITH MACRON
        "\u01E3",  # ; LATIN SMALL LETTER AE WITH MACRON
        "\u01E4",  # ; LATIN CAPITAL LETTER G WITH STROKE
        "\u01E5",  # ; LATIN SMALL LETTER G WITH STROKE
        "\u01E6",  # ; LATIN CAPITAL LETTER G WITH CARON
        "\u01E7",  # ; LATIN SMALL LETTER G WITH CARON
        "\u01E8",  # ; LATIN CAPITAL LETTER K WITH CARON
        "\u01E9",  # ; LATIN SMALL LETTER K WITH CARON
        "\u01EA",  # ; LATIN CAPITAL LETTER O WITH OGONEK
        "\u01EB",  # ; LATIN SMALL LETTER O WITH OGONEK
        "\u01EC",  # ; LATIN CAPITAL LETTER O WITH OGONEK AND MACRON
        "\u01ED",  # ; LATIN SMALL LETTER O WITH OGONEK AND MACRON
        "\u01EE",  # ; LATIN CAPITAL LETTER EZH WITH CARON
        "\u01EF",  # ; LATIN SMALL LETTER EZH WITH CARON
        "\u01F0",  # ; LATIN SMALL LETTER J WITH CARON
        "\u01F1",  # ; LATIN CAPITAL LETTER DZ
        "\u01F2",  # ; LATIN CAPITAL LETTER D WITH SMALL LETTER Z
        "\u01F3",  # ; LATIN SMALL LETTER DZ
        "\u01F4",  # ; LATIN CAPITAL LETTER G WITH ACUTE
        "\u01F5",  # ; LATIN SMALL LETTER G WITH ACUTE
        "\u01F6",  # ; LATIN CAPITAL LETTER HWAIR
        "\u01F7",  # ; LATIN CAPITAL LETTER WYNN
        "\u01F8",  # ; LATIN CAPITAL LETTER N WITH GRAVE
        "\u01F9",  # ; LATIN SMALL LETTER N WITH GRAVE
        "\u01FA",  # ; LATIN CAPITAL LETTER A WITH RING ABOVE AND ACUTE
        "\u01FB",  # ; LATIN SMALL LETTER A WITH RING ABOVE AND ACUTE
        "\u01FC",  # ; LATIN CAPITAL LETTER AE WITH ACUTE
        "\u01FD",  # ; LATIN SMALL LETTER AE WITH ACUTE
        "\u01FE",  # ; LATIN CAPITAL LETTER O WITH STROKE AND ACUTE
        "\u01FF",  # ; LATIN SMALL LETTER O WITH STROKE AND ACUTE
        "\u0200",  # ; LATIN CAPITAL LETTER A WITH DOUBLE GRAVE
        "\u0201",  # ; LATIN SMALL LETTER A WITH DOUBLE GRAVE
        "\u0202",  # ; LATIN CAPITAL LETTER A WITH INVERTED BREVE
        "\u0203",  # ; LATIN SMALL LETTER A WITH INVERTED BREVE
        "\u0204",  # ; LATIN CAPITAL LETTER E WITH DOUBLE GRAVE
        "\u0205",  # ; LATIN SMALL LETTER E WITH DOUBLE GRAVE
        "\u0206",  # ; LATIN CAPITAL LETTER E WITH INVERTED BREVE
        "\u0207",  # ; LATIN SMALL LETTER E WITH INVERTED BREVE
        "\u0208",  # ; LATIN CAPITAL LETTER I WITH DOUBLE GRAVE
        "\u0209",  # ; LATIN SMALL LETTER I WITH DOUBLE GRAVE
        "\u020A",  # ; LATIN CAPITAL LETTER I WITH INVERTED BREVE
        "\u020B",  # ; LATIN SMALL LETTER I WITH INVERTED BREVE
        "\u020C",  # ; LATIN CAPITAL LETTER O WITH DOUBLE GRAVE
        "\u020D",  # ; LATIN SMALL LETTER O WITH DOUBLE GRAVE
        "\u020E",  # ; LATIN CAPITAL LETTER O WITH INVERTED BREVE
        "\u020F",  # ; LATIN SMALL LETTER O WITH INVERTED BREVE
        "\u0210",  # ; LATIN CAPITAL LETTER R WITH DOUBLE GRAVE
        "\u0211",  # ; LATIN SMALL LETTER R WITH DOUBLE GRAVE
        "\u0212",  # ; LATIN CAPITAL LETTER R WITH INVERTED BREVE
        "\u0213",  # ; LATIN SMALL LETTER R WITH INVERTED BREVE
        "\u0214",  # ; LATIN CAPITAL LETTER U WITH DOUBLE GRAVE
        "\u0215",  # ; LATIN SMALL LETTER U WITH DOUBLE GRAVE
        "\u0216",  # ; LATIN CAPITAL LETTER U WITH INVERTED BREVE
        "\u0217",  # ; LATIN SMALL LETTER U WITH INVERTED BREVE
        "\u0218",  # ; LATIN CAPITAL LETTER S WITH COMMA BELOW
        "\u0219",  # ; LATIN SMALL LETTER S WITH COMMA BELOW
        "\u021A",  # ; LATIN CAPITAL LETTER T WITH COMMA BELOW
        "\u021B",  # ; LATIN SMALL LETTER T WITH COMMA BELOW
        "\u021C",  # ; LATIN CAPITAL LETTER YOGH
        "\u021D",  # ; LATIN SMALL LETTER YOGH
        "\u021E",  # ; LATIN CAPITAL LETTER H WITH CARON
        "\u021F",  # ; LATIN SMALL LETTER H WITH CARON
        "\u0220",  # ; LATIN CAPITAL LETTER N WITH LONG RIGHT LEG
        "\u0221",  # ; LATIN SMALL LETTER D WITH CURL
        "\u0222",  # ; LATIN CAPITAL LETTER OU
        "\u0223",  # ; LATIN SMALL LETTER OU
        "\u0224",  # ; LATIN CAPITAL LETTER Z WITH HOOK
        "\u0225",  # ; LATIN SMALL LETTER Z WITH HOOK
        "\u0226",  # ; LATIN CAPITAL LETTER A WITH DOT ABOVE
        "\u0227",  # ; LATIN SMALL LETTER A WITH DOT ABOVE
        "\u0228",  # ; LATIN CAPITAL LETTER E WITH CEDILLA
        "\u0229",  # ; LATIN SMALL LETTER E WITH CEDILLA
        "\u022A",  # ; LATIN CAPITAL LETTER O WITH DIAERESIS AND MACRON
        "\u022B",  # ; LATIN SMALL LETTER O WITH DIAERESIS AND MACRON
        "\u022C",  # ; LATIN CAPITAL LETTER O WITH TILDE AND MACRON
        "\u022D",  # ; LATIN SMALL LETTER O WITH TILDE AND MACRON
        "\u022E",  # ; LATIN CAPITAL LETTER O WITH DOT ABOVE
        "\u022F",  # ; LATIN SMALL LETTER O WITH DOT ABOVE
        "\u0230",  # ; LATIN CAPITAL LETTER O WITH DOT ABOVE AND MACRON
        "\u0231",  # ; LATIN SMALL LETTER O WITH DOT ABOVE AND MACRON
        "\u0232",  # ; LATIN CAPITAL LETTER Y WITH MACRON
        "\u0233",  # ; LATIN SMALL LETTER Y WITH MACRON
        "\u0234",  # ; LATIN SMALL LETTER L WITH CURL
        "\u0235",  # ; LATIN SMALL LETTER N WITH CURL
        "\u0236",  # ; LATIN SMALL LETTER T WITH CURL
        "\u0237",  # ; LATIN SMALL LETTER DOTLESS J
        "\u0238",  # ; LATIN SMALL LETTER DB DIGRAPH
        "\u0239",  # ; LATIN SMALL LETTER QP DIGRAPH
        "\u023A",  # ; LATIN CAPITAL LETTER A WITH STROKE
        "\u023B",  # ; LATIN CAPITAL LETTER C WITH STROKE
        "\u023C",  # ; LATIN SMALL LETTER C WITH STROKE
        "\u023D",  # ; LATIN CAPITAL LETTER L WITH BAR
        "\u023E",  # ; LATIN CAPITAL LETTER T WITH DIAGONAL STROKE
        "\u023F",  # ; LATIN SMALL LETTER S WITH SWASH TAIL
        "\u0240",  # ; LATIN SMALL LETTER Z WITH SWASH TAIL
        "\u0241",  # ; LATIN CAPITAL LETTER GLOTTAL STOP
        "\u0242",  # ; LATIN SMALL LETTER GLOTTAL STOP
        "\u0243",  # ; LATIN CAPITAL LETTER B WITH STROKE
        "\u0244",  # ; LATIN CAPITAL LETTER U BAR
        "\u0245",  # ; LATIN CAPITAL LETTER TURNED V
        "\u0246",  # ; LATIN CAPITAL LETTER E WITH STROKE
        "\u0247",  # ; LATIN SMALL LETTER E WITH STROKE
        "\u0248",  # ; LATIN CAPITAL LETTER J WITH STROKE
        "\u0249",  # ; LATIN SMALL LETTER J WITH STROKE
        "\u024A",  # ; LATIN CAPITAL LETTER SMALL Q WITH HOOK TAIL
        "\u024B",  # ; LATIN SMALL LETTER Q WITH HOOK TAIL
        "\u024C",  # ; LATIN CAPITAL LETTER R WITH STROKE
        "\u024D",  # ; LATIN SMALL LETTER R WITH STROKE
        "\u024E",  # ; LATIN CAPITAL LETTER Y WITH STROKE
        "\u024F",  # ; LATIN SMALL LETTER Y WITH STROKE
        "\u0250",  # ; LATIN SMALL LETTER TURNED A
        "\u0251",  # ; LATIN SMALL LETTER ALPHA
        "\u0252",  # ; LATIN SMALL LETTER TURNED ALPHA
        "\u0253",  # ; LATIN SMALL LETTER B WITH HOOK
        "\u0254",  # ; LATIN SMALL LETTER OPEN O
        "\u0255",  # ; LATIN SMALL LETTER C WITH CURL
        "\u0256",  # ; LATIN SMALL LETTER D WITH TAIL
        "\u0257",  # ; LATIN SMALL LETTER D WITH HOOK
        "\u0258",  # ; LATIN SMALL LETTER REVERSED E
        "\u0259",  # ; LATIN SMALL LETTER SCHWA
        "\u025A",  # ; LATIN SMALL LETTER SCHWA WITH HOOK
        "\u025B",  # ; LATIN SMALL LETTER OPEN E
        "\u025C",  # ; LATIN SMALL LETTER REVERSED OPEN E
        "\u025D",  # ; LATIN SMALL LETTER REVERSED OPEN E WITH HOOK
        "\u025E",  # ; LATIN SMALL LETTER CLOSED REVERSED OPEN E
        "\u025F",  # ; LATIN SMALL LETTER DOTLESS J WITH STROKE
        "\u0260",  # ; LATIN SMALL LETTER G WITH HOOK
        "\u0261",  # ; LATIN SMALL LETTER SCRIPT G
        "\u0262",  # ; LATIN LETTER SMALL CAPITAL G
        "\u0263",  # ; LATIN SMALL LETTER GAMMA
        "\u0264",  # ; LATIN SMALL LETTER RAMS HORN
        "\u0265",  # ; LATIN SMALL LETTER TURNED H
        "\u0266",  # ; LATIN SMALL LETTER H WITH HOOK
        "\u0267",  # ; LATIN SMALL LETTER HENG WITH HOOK
        "\u0268",  # ; LATIN SMALL LETTER I WITH STROKE
        "\u0269",  # ; LATIN SMALL LETTER IOTA
        "\u026A",  # ; LATIN LETTER SMALL CAPITAL I
        "\u026B",  # ; LATIN SMALL LETTER L WITH MIDDLE TILDE
        "\u026C",  # ; LATIN SMALL LETTER L WITH BELT
        "\u026D",  # ; LATIN SMALL LETTER L WITH RETROFLEX HOOK
        "\u026E",  # ; LATIN SMALL LETTER LEZH
        "\u026F",  # ; LATIN SMALL LETTER TURNED M
        "\u0270",  # ; LATIN SMALL LETTER TURNED M WITH LONG LEG
        "\u0271",  # ; LATIN SMALL LETTER M WITH HOOK
        "\u0272",  # ; LATIN SMALL LETTER N WITH LEFT HOOK
        "\u0273",  # ; LATIN SMALL LETTER N WITH RETROFLEX HOOK
        "\u0274",  # ; LATIN LETTER SMALL CAPITAL N
        "\u0275",  # ; LATIN SMALL LETTER BARRED O
        "\u0276",  # ; LATIN LETTER SMALL CAPITAL OE
        "\u0277",  # ; LATIN SMALL LETTER CLOSED OMEGA
        "\u0278",  # ; LATIN SMALL LETTER PHI
        "\u0279",  # ; LATIN SMALL LETTER TURNED R
        "\u027A",  # ; LATIN SMALL LETTER TURNED R WITH LONG LEG
        "\u027B",  # ; LATIN SMALL LETTER TURNED R WITH HOOK
        "\u027C",  # ; LATIN SMALL LETTER R WITH LONG LEG
        "\u027D",  # ; LATIN SMALL LETTER R WITH TAIL
        "\u027E",  # ; LATIN SMALL LETTER R WITH FISHHOOK
        "\u027F",  # ; LATIN SMALL LETTER REVERSED R WITH FISHHOOK
        "\u0280",  # ; LATIN LETTER SMALL CAPITAL R
        "\u0281",  # ; LATIN LETTER SMALL CAPITAL INVERTED R
        "\u0282",  # ; LATIN SMALL LETTER S WITH HOOK
        "\u0283",  # ; LATIN SMALL LETTER ESH
        "\u0284",  # ; LATIN SMALL LETTER DOTLESS J WITH STROKE AND HOOK
        "\u0285",  # ; LATIN SMALL LETTER SQUAT REVERSED ESH
        "\u0286",  # ; LATIN SMALL LETTER ESH WITH CURL
        "\u0287",  # ; LATIN SMALL LETTER TURNED T
        "\u0288",  # ; LATIN SMALL LETTER T WITH RETROFLEX HOOK
        "\u0289",  # ; LATIN SMALL LETTER U BAR
        "\u028A",  # ; LATIN SMALL LETTER UPSILON
        "\u028B",  # ; LATIN SMALL LETTER V WITH HOOK
        "\u028C",  # ; LATIN SMALL LETTER TURNED V
        "\u028D",  # ; LATIN SMALL LETTER TURNED W
        "\u028E",  # ; LATIN SMALL LETTER TURNED Y
        "\u028F",  # ; LATIN LETTER SMALL CAPITAL Y
        "\u0290",  # ; LATIN SMALL LETTER Z WITH RETROFLEX HOOK
        "\u0291",  # ; LATIN SMALL LETTER Z WITH CURL
        "\u0292",  # ; LATIN SMALL LETTER EZH
        "\u0293",  # ; LATIN SMALL LETTER EZH WITH CURL
        "\u0294",  # ; LATIN LETTER GLOTTAL STOP
        "\u0295",  # ; LATIN LETTER PHARYNGEAL VOICED FRICATIVE
        "\u0296",  # ; LATIN LETTER INVERTED GLOTTAL STOP
        "\u0297",  # ; LATIN LETTER STRETCHED C
        "\u0298",  # ; LATIN LETTER BILABIAL CLICK
        "\u0299",  # ; LATIN LETTER SMALL CAPITAL B
        "\u029A",  # ; LATIN SMALL LETTER CLOSED OPEN E
        "\u029B",  # ; LATIN LETTER SMALL CAPITAL G WITH HOOK
        "\u029C",  # ; LATIN LETTER SMALL CAPITAL H
        "\u029D",  # ; LATIN SMALL LETTER J WITH CROSSED-TAIL
        "\u029E",  # ; LATIN SMALL LETTER TURNED K
        "\u029F",  # ; LATIN LETTER SMALL CAPITAL L
        "\u02A0",  # ; LATIN SMALL LETTER Q WITH HOOK
        "\u02A1",  # ; LATIN LETTER GLOTTAL STOP WITH STROKE
        "\u02A2",  # ; LATIN LETTER REVERSED GLOTTAL STOP WITH STROKE
        "\u02A3",  # ; LATIN SMALL LETTER DZ DIGRAPH
        "\u02A4",  # ; LATIN SMALL LETTER DEZH DIGRAPH
        "\u02A5",  # ; LATIN SMALL LETTER DZ DIGRAPH WITH CURL
        "\u02A6",  # ; LATIN SMALL LETTER TS DIGRAPH
        "\u02A7",  # ; LATIN SMALL LETTER TESH DIGRAPH
        "\u02A8",  # ; LATIN SMALL LETTER TC DIGRAPH WITH CURL
        "\u02A9",  # ; LATIN SMALL LETTER FENG DIGRAPH
        "\u02AA",  # ; LATIN SMALL LETTER LS DIGRAPH
        "\u02AB",  # ; LATIN SMALL LETTER LZ DIGRAPH
        "\u02AC",  # ; LATIN LETTER BILABIAL PERCUSSIVE
        "\u02AD",  # ; LATIN LETTER BIDENTAL PERCUSSIVE
        "\u02AE",  # ; LATIN SMALL LETTER TURNED H WITH FISHHOOK
        "\u02AF",  # ; LATIN SMALL LETTER TURNED H WITH FISHHOOK AND TAIL
        "\u02B0",  # ; MODIFIER LETTER SMALL H
        "\u02B1",  # ; MODIFIER LETTER SMALL H WITH HOOK
        "\u02B2",  # ; MODIFIER LETTER SMALL J
        "\u02B3",  # ; MODIFIER LETTER SMALL R
        "\u02B4",  # ; MODIFIER LETTER SMALL TURNED R
        "\u02B5",  # ; MODIFIER LETTER SMALL TURNED R WITH HOOK
        "\u02B6",  # ; MODIFIER LETTER SMALL CAPITAL INVERTED R
        "\u02B7",  # ; MODIFIER LETTER SMALL W
        "\u02B8",  # ; MODIFIER LETTER SMALL Y
        "\u02B9",  # ; MODIFIER LETTER PRIME
        "\u02BA",  # ; MODIFIER LETTER DOUBLE PRIME
        "\u02BB",  # ; MODIFIER LETTER TURNED COMMA
        "\u02BC",  # ; MODIFIER LETTER APOSTROPHE
        "\u02BD",  # ; MODIFIER LETTER REVERSED COMMA
        "\u02BE",  # ; MODIFIER LETTER RIGHT HALF RING
        "\u02BF",  # ; MODIFIER LETTER LEFT HALF RING
        "\u02C0",  # ; MODIFIER LETTER GLOTTAL STOP
        "\u02C1",  # ; MODIFIER LETTER REVERSED GLOTTAL STOP
        "\u02C2",  # ; MODIFIER LETTER LEFT ARROWHEAD
        "\u02C3",  # ; MODIFIER LETTER RIGHT ARROWHEAD
        "\u02C4",  # ; MODIFIER LETTER UP ARROWHEAD
        "\u02C5",  # ; MODIFIER LETTER DOWN ARROWHEAD
        "\u02C6",  # ; MODIFIER LETTER CIRCUMFLEX ACCENT
        "\u02C7",  # ; CARON
        "\u02C8",  # ; MODIFIER LETTER VERTICAL LINE
        "\u02C9",  # ; MODIFIER LETTER MACRON
        "\u02CA",  # ; MODIFIER LETTER ACUTE ACCENT
        "\u02CB",  # ; MODIFIER LETTER GRAVE ACCENT
        "\u02CC",  # ; MODIFIER LETTER LOW VERTICAL LINE
        "\u02CD",  # ; MODIFIER LETTER LOW MACRON
        "\u02CE",  # ; MODIFIER LETTER LOW GRAVE ACCENT
        "\u02CF",  # ; MODIFIER LETTER LOW ACUTE ACCENT
        "\u02D0",  # ; MODIFIER LETTER TRIANGULAR COLON
        "\u02D1",  # ; MODIFIER LETTER HALF TRIANGULAR COLON
        "\u02D2",  # ; MODIFIER LETTER CENTRED RIGHT HALF RING
        "\u02D3",  # ; MODIFIER LETTER CENTRED LEFT HALF RING
        "\u02D4",  # ; MODIFIER LETTER UP TACK
        "\u02D5",  # ; MODIFIER LETTER DOWN TACK
        "\u02D6",  # ; MODIFIER LETTER PLUS SIGN
        "\u02D7",  # ; MODIFIER LETTER MINUS SIGN
        "\u02D8",  # ; BREVE
        "\u02D9",  # ; DOT ABOVE
        "\u02DA",  # ; RING ABOVE
        "\u02DB",  # ; OGONEK
        "\u02DC",  # ; SMALL TILDE
        "\u02DD",  # ; DOUBLE ACUTE ACCENT
        "\u02DE",  # ; MODIFIER LETTER RHOTIC HOOK
        "\u02DF",  # ; MODIFIER LETTER CROSS ACCENT
        "\u02E0",  # ; MODIFIER LETTER SMALL GAMMA
        "\u02E1",  # ; MODIFIER LETTER SMALL L
        "\u02E2",  # ; MODIFIER LETTER SMALL S
        "\u02E3",  # ; MODIFIER LETTER SMALL X
        "\u02E4",  # ; MODIFIER LETTER SMALL REVERSED GLOTTAL STOP
        "\u02E5",  # ; MODIFIER LETTER EXTRA-HIGH TONE BAR
        "\u02E6",  # ; MODIFIER LETTER HIGH TONE BAR
        "\u02E7",  # ; MODIFIER LETTER MID TONE BAR
        "\u02E8",  # ; MODIFIER LETTER LOW TONE BAR
        "\u02E9",  # ; MODIFIER LETTER EXTRA-LOW TONE BAR
        "\u02EA",  # ; MODIFIER LETTER YIN DEPARTING TONE MARK
        "\u02EB",  # ; MODIFIER LETTER YANG DEPARTING TONE MARK
        "\u02EC",  # ; MODIFIER LETTER VOICING
        "\u02ED",  # ; MODIFIER LETTER UNASPIRATED
        "\u02EE",  # ; MODIFIER LETTER DOUBLE APOSTROPHE
        "\u02EF",  # ; MODIFIER LETTER LOW DOWN ARROWHEAD
        "\u02F0",  # ; MODIFIER LETTER LOW UP ARROWHEAD
        "\u02F1",  # ; MODIFIER LETTER LOW LEFT ARROWHEAD
        "\u02F2",  # ; MODIFIER LETTER LOW RIGHT ARROWHEAD
        "\u02F3",  # ; MODIFIER LETTER LOW RING
        "\u02F4",  # ; MODIFIER LETTER MIDDLE GRAVE ACCENT
        "\u02F5",  # ; MODIFIER LETTER MIDDLE DOUBLE GRAVE ACCENT
        "\u02F6",  # ; MODIFIER LETTER MIDDLE DOUBLE ACUTE ACCENT
        "\u02F7",  # ; MODIFIER LETTER LOW TILDE
        "\u02F8",  # ; MODIFIER LETTER RAISED COLON
        "\u02F9",  # ; MODIFIER LETTER BEGIN HIGH TONE
        "\u02FA",  # ; MODIFIER LETTER END HIGH TONE
        "\u02FB",  # ; MODIFIER LETTER BEGIN LOW TONE
        "\u02FC",  # ; MODIFIER LETTER END LOW TONE
        "\u02FD",  # ; MODIFIER LETTER SHELF
        "\u02FE",  # ; MODIFIER LETTER OPEN SHELF
        "\u02FF",  # ; MODIFIER LETTER LOW LEFT ARROW
        "\u0300",  # ; COMBINING GRAVE ACCENT
        "\u0301",  # ; COMBINING ACUTE ACCENT
        "\u0302",  # ; COMBINING CIRCUMFLEX ACCENT
        "\u0303",  # ; COMBINING TILDE
        "\u0304",  # ; COMBINING MACRON
        "\u0305",  # ; COMBINING OVERLINE
        "\u0306",  # ; COMBINING BREVE
        "\u0307",  # ; COMBINING DOT ABOVE
        "\u0308",  # ; COMBINING DIAERESIS
        "\u0309",  # ; COMBINING HOOK ABOVE
        "\u030A",  # ; COMBINING RING ABOVE
        "\u030B",  # ; COMBINING DOUBLE ACUTE ACCENT
        "\u030C",  # ; COMBINING CARON
        "\u030D",  # ; COMBINING VERTICAL LINE ABOVE
        "\u030E",  # ; COMBINING DOUBLE VERTICAL LINE ABOVE
        "\u030F",  # ; COMBINING DOUBLE GRAVE ACCENT
        "\u0310",  # ; COMBINING CANDRABINDU
        "\u0311",  # ; COMBINING INVERTED BREVE
        "\u0312",  # ; COMBINING TURNED COMMA ABOVE
        "\u0313",  # ; COMBINING COMMA ABOVE
        "\u0314",  # ; COMBINING REVERSED COMMA ABOVE
        "\u0315",  # ; COMBINING COMMA ABOVE RIGHT
        "\u0316",  # ; COMBINING GRAVE ACCENT BELOW
        "\u0317",  # ; COMBINING ACUTE ACCENT BELOW
        "\u0318",  # ; COMBINING LEFT TACK BELOW
        "\u0319",  # ; COMBINING RIGHT TACK BELOW
        "\u031A",  # ; COMBINING LEFT ANGLE ABOVE
        "\u031B",  # ; COMBINING HORN
        "\u031C",  # ; COMBINING LEFT HALF RING BELOW
        "\u031D",  # ; COMBINING UP TACK BELOW
        "\u031E",  # ; COMBINING DOWN TACK BELOW
        "\u031F",  # ; COMBINING PLUS SIGN BELOW
        "\u0320",  # ; COMBINING MINUS SIGN BELOW
        "\u0321",  # ; COMBINING PALATALIZED HOOK BELOW
        "\u0322",  # ; COMBINING RETROFLEX HOOK BELOW
        "\u0323",  # ; COMBINING DOT BELOW
        "\u0324",  # ; COMBINING DIAERESIS BELOW
        "\u0325",  # ; COMBINING RING BELOW
        "\u0326",  # ; COMBINING COMMA BELOW
        "\u0327",  # ; COMBINING CEDILLA
        "\u0328",  # ; COMBINING OGONEK
        "\u0329",  # ; COMBINING VERTICAL LINE BELOW
        "\u032A",  # ; COMBINING BRIDGE BELOW
        "\u032B",  # ; COMBINING INVERTED DOUBLE ARCH BELOW
        "\u032C",  # ; COMBINING CARON BELOW
        "\u032D",  # ; COMBINING CIRCUMFLEX ACCENT BELOW
        "\u032E",  # ; COMBINING BREVE BELOW
        "\u032F",  # ; COMBINING INVERTED BREVE BELOW
        "\u0330",  # ; COMBINING TILDE BELOW
        "\u0331",  # ; COMBINING MACRON BELOW
        "\u0332",  # ; COMBINING LOW LINE
        "\u0333",  # ; COMBINING DOUBLE LOW LINE
        "\u0335",  # ; COMBINING SHORT STROKE OVERLAY
        "\u0336",  # ; COMBINING LONG STROKE OVERLAY
        "\u0337",  # ; COMBINING SHORT SOLIDUS OVERLAY
        "\u0338",  # ; COMBINING LONG SOLIDUS OVERLAY
        "\u0339",  # ; COMBINING RIGHT HALF RING BELOW
        "\u033A",  # ; COMBINING INVERTED BRIDGE BELOW
        "\u033B",  # ; COMBINING SQUARE BELOW
        "\u033C",  # ; COMBINING SEAGULL BELOW
        "\u033D",  # ; COMBINING X ABOVE
        "\u033E",  # ; COMBINING VERTICAL TILDE
        "\u033F",  # ; COMBINING DOUBLE OVERLINE
        "\u0340",  # ; COMBINING GRAVE TONE MARK
        "\u0341",  # ; COMBINING ACUTE TONE MARK
        "\u0342",  # ; COMBINING GREEK PERISPOMENI
        "\u0343",  # ; COMBINING GREEK KORONIS
        "\u0344",  # ; COMBINING GREEK DIALYTIKA TONOS
        "\u0345",  # ; COMBINING GREEK YPOGEGRAMMENI
        "\u0346",  # ; COMBINING BRIDGE ABOVE
        "\u0347",  # ; COMBINING EQUALS SIGN BELOW
        "\u0348",  # ; COMBINING DOUBLE VERTICAL LINE BELOW
        "\u0349",  # ; COMBINING LEFT ANGLE BELOW
        "\u034A",  # ; COMBINING NOT TILDE ABOVE
        "\u034B",  # ; COMBINING HOMOTHETIC ABOVE
        "\u034C",  # ; COMBINING ALMOST EQUAL TO ABOVE
        "\u034D",  # ; COMBINING LEFT RIGHT ARROW BELOW
        "\u034E",  # ; COMBINING UPWARDS ARROW BELOW
        "\u034F",  # ; COMBINING GRAPHEME JOINER
        "\u0350",  # ; COMBINING RIGHT ARROWHEAD ABOVE
        "\u0351",  # ; COMBINING LEFT HALF RING ABOVE
        "\u0352",  # ; COMBINING FERMATA
        "\u0353",  # ; COMBINING X BELOW
        "\u0354",  # ; COMBINING LEFT ARROWHEAD BELOW
        "\u0355",  # ; COMBINING RIGHT ARROWHEAD BELOW
        "\u0356",  # ; COMBINING RIGHT ARROWHEAD AND UP ARROWHEAD BELOW
        "\u0357",  # ; COMBINING RIGHT HALF RING ABOVE
        "\u0358",  # ; COMBINING DOT ABOVE RIGHT
        "\u0359",  # ; COMBINING ASTERISK BELOW
        "\u035A",  # ; COMBINING DOUBLE RING BELOW
        "\u035B",  # ; COMBINING ZIGZAG ABOVE
        "\u035C",  # ; COMBINING DOUBLE BREVE BELOW
        "\u035D",  # ; COMBINING DOUBLE BREVE
        "\u035E",  # ; COMBINING DOUBLE MACRON
        "\u035F",  # ; COMBINING DOUBLE MACRON BELOW
        "\u0360",  # ; COMBINING DOUBLE TILDE
        "\u0361",  # ; COMBINING DOUBLE INVERTED BREVE
        "\u0362",  # ; COMBINING DOUBLE RIGHTWARDS ARROW BELOW
        "\u0363",  # ; COMBINING LATIN SMALL LETTER A
        "\u0364",  # ; COMBINING LATIN SMALL LETTER E
        "\u0365",  # ; COMBINING LATIN SMALL LETTER I
        "\u0366",  # ; COMBINING LATIN SMALL LETTER O
        "\u0367",  # ; COMBINING LATIN SMALL LETTER U
        "\u0368",  # ; COMBINING LATIN SMALL LETTER C
        "\u0369",  # ; COMBINING LATIN SMALL LETTER D
        "\u036A",  # ; COMBINING LATIN SMALL LETTER H
        "\u036B",  # ; COMBINING LATIN SMALL LETTER M
        "\u036C",  # ; COMBINING LATIN SMALL LETTER R
        "\u036D",  # ; COMBINING LATIN SMALL LETTER T
        "\u036E",  # ; COMBINING LATIN SMALL LETTER V
        "\u036F",  # ; COMBINING LATIN SMALL LETTER X
        "\u0370",  # ; GREEK CAPITAL LETTER HETA
        "\u0371",  # ; GREEK SMALL LETTER HETA
        "\u0372",  # ; GREEK CAPITAL LETTER ARCHAIC SAMPI
        "\u0373",  # ; GREEK SMALL LETTER ARCHAIC SAMPI
        "\u0374",  # ; GREEK NUMERAL SIGN
        "\u0375",  # ; GREEK LOWER NUMERAL SIGN
        "\u0376",  # ; GREEK CAPITAL LETTER PAMPHYLIAN DIGAMMA
        "\u0377",  # ; GREEK SMALL LETTER PAMPHYLIAN DIGAMMA
        "\u037A",  # ; GREEK YPOGEGRAMMENI
        "\u037B",  # ; GREEK SMALL REVERSED LUNATE SIGMA SYMBOL
        "\u037C",  # ; GREEK SMALL DOTTED LUNATE SIGMA SYMBOL
        "\u037D",  # ; GREEK SMALL REVERSED DOTTED LUNATE SIGMA SYMBOL
        "\u037E",  # ; GREEK QUESTION MARK
        "\u037F",  # ; GREEK CAPITAL LETTER YOT
        "\u0384",  # ; GREEK TONOS
        "\u0385",  # ; GREEK DIALYTIKA TONOS
        "\u0386",  # ; GREEK CAPITAL LETTER ALPHA WITH TONOS
        "\u0387",  # ; GREEK ANO TELEIA
        "\u0388",  # ; GREEK CAPITAL LETTER EPSILON WITH TONOS
        "\u0389",  # ; GREEK CAPITAL LETTER ETA WITH TONOS
        "\u038A",  # ; GREEK CAPITAL LETTER IOTA WITH TONOS
        "\u038C",  # ; GREEK CAPITAL LETTER OMICRON WITH TONOS
        "\u038E",  # ; GREEK CAPITAL LETTER UPSILON WITH TONOS
        "\u038F",  # ; GREEK CAPITAL LETTER OMEGA WITH TONOS
        "\u0390",  # ; GREEK SMALL LETTER IOTA WITH DIALYTIKA AND TONOS
        "\u0391",  # ; GREEK CAPITAL LETTER ALPHA
        "\u0392",  # ; GREEK CAPITAL LETTER BETA
        "\u0393",  # ; GREEK CAPITAL LETTER GAMMA
        "\u0394",  # ; GREEK CAPITAL LETTER DELTA
        "\u0395",  # ; GREEK CAPITAL LETTER EPSILON
        "\u0396",  # ; GREEK CAPITAL LETTER ZETA
        "\u0397",  # ; GREEK CAPITAL LETTER ETA
        "\u0398",  # ; GREEK CAPITAL LETTER THETA
        "\u0399",  # ; GREEK CAPITAL LETTER IOTA
        "\u039A",  # ; GREEK CAPITAL LETTER KAPPA
        "\u039B",  # ; GREEK CAPITAL LETTER LAMDA
        "\u039C",  # ; GREEK CAPITAL LETTER MU
        "\u039D",  # ; GREEK CAPITAL LETTER NU
        "\u039E",  # ; GREEK CAPITAL LETTER XI
        "\u039F",  # ; GREEK CAPITAL LETTER OMICRON
        "\u03A0",  # ; GREEK CAPITAL LETTER PI
        "\u03A1",  # ; GREEK CAPITAL LETTER RHO
        "\u03A3",  # ; GREEK CAPITAL LETTER SIGMA
        "\u03A4",  # ; GREEK CAPITAL LETTER TAU
        "\u03A5",  # ; GREEK CAPITAL LETTER UPSILON
        "\u03A6",  # ; GREEK CAPITAL LETTER PHI
        "\u03A7",  # ; GREEK CAPITAL LETTER CHI
        "\u03A8",  # ; GREEK CAPITAL LETTER PSI
        "\u03A9",  # ; GREEK CAPITAL LETTER OMEGA
        "\u03AA",  # ; GREEK CAPITAL LETTER IOTA WITH DIALYTIKA
        "\u03AB",  # ; GREEK CAPITAL LETTER UPSILON WITH DIALYTIKA
        "\u03AC",  # ; GREEK SMALL LETTER ALPHA WITH TONOS
        "\u03AD",  # ; GREEK SMALL LETTER EPSILON WITH TONOS
        "\u03AE",  # ; GREEK SMALL LETTER ETA WITH TONOS
        "\u03AF",  # ; GREEK SMALL LETTER IOTA WITH TONOS
        "\u03B0",  # ; GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND TONOS
        "\u03B1",  # ; GREEK SMALL LETTER ALPHA
        "\u03B2",  # ; GREEK SMALL LETTER BETA
        "\u03B3",  # ; GREEK SMALL LETTER GAMMA
        "\u03B4",  # ; GREEK SMALL LETTER DELTA
        "\u03B5",  # ; GREEK SMALL LETTER EPSILON
        "\u03B6",  # ; GREEK SMALL LETTER ZETA
        "\u03B7",  # ; GREEK SMALL LETTER ETA
        "\u03B8",  # ; GREEK SMALL LETTER THETA
        "\u03B9",  # ; GREEK SMALL LETTER IOTA
        "\u03BA",  # ; GREEK SMALL LETTER KAPPA
        "\u03BB",  # ; GREEK SMALL LETTER LAMDA
        "\u03BC",  # ; GREEK SMALL LETTER MU
        "\u03BD",  # ; GREEK SMALL LETTER NU
        "\u03BE",  # ; GREEK SMALL LETTER XI
        "\u03BF",  # ; GREEK SMALL LETTER OMICRON
        "\u03C0",  # ; GREEK SMALL LETTER PI
        "\u03C1",  # ; GREEK SMALL LETTER RHO
        "\u03C2",  # ; GREEK SMALL LETTER FINAL SIGMA
        "\u03C3",  # ; GREEK SMALL LETTER SIGMA
        "\u03C4",  # ; GREEK SMALL LETTER TAU
        "\u03C5",  # ; GREEK SMALL LETTER UPSILON
        "\u03C6",  # ; GREEK SMALL LETTER PHI
        "\u03C7",  # ; GREEK SMALL LETTER CHI
        "\u03C8",  # ; GREEK SMALL LETTER PSI
        "\u03C9",  # ; GREEK SMALL LETTER OMEGA
        "\u03CA",  # ; GREEK SMALL LETTER IOTA WITH DIALYTIKA
        "\u03CB",  # ; GREEK SMALL LETTER UPSILON WITH DIALYTIKA
        "\u03CC",  # ; GREEK SMALL LETTER OMICRON WITH TONOS
        "\u03CD",  # ; GREEK SMALL LETTER UPSILON WITH TONOS
        "\u03CE",  # ; GREEK SMALL LETTER OMEGA WITH TONOS
        "\u03CF",  # ; GREEK CAPITAL KAI SYMBOL
        "\u03D0",  # ; GREEK BETA SYMBOL
        "\u03D1",  # ; GREEK THETA SYMBOL
        "\u03D2",  # ; GREEK UPSILON WITH HOOK SYMBOL
        "\u03D3",  # ; GREEK UPSILON WITH ACUTE AND HOOK SYMBOL
        "\u03D4",  # ; GREEK UPSILON WITH DIAERESIS AND HOOK SYMBOL
        "\u03D5",  # ; GREEK PHI SYMBOL
        "\u03D6",  # ; GREEK PI SYMBOL
        "\u03D7",  # ; GREEK KAI SYMBOL
        "\u03D8",  # ; GREEK LETTER ARCHAIC KOPPA
        "\u03D9",  # ; GREEK SMALL LETTER ARCHAIC KOPPA
        "\u03DA",  # ; GREEK LETTER STIGMA
        "\u03DB",  # ; GREEK SMALL LETTER STIGMA
        "\u03DC",  # ; GREEK LETTER DIGAMMA
        "\u03DD",  # ; GREEK SMALL LETTER DIGAMMA
        "\u03DE",  # ; GREEK LETTER KOPPA
        "\u03DF",  # ; GREEK SMALL LETTER KOPPA
        "\u03E0",  # ; GREEK LETTER SAMPI
        "\u03E1",  # ; GREEK SMALL LETTER SAMPI
        "\u03E2",  # ; COPTIC CAPITAL LETTER SHEI
        "\u03E3",  # ; COPTIC SMALL LETTER SHEI
        "\u03E4",  # ; COPTIC CAPITAL LETTER FEI
        "\u03E5",  # ; COPTIC SMALL LETTER FEI
        "\u03E6",  # ; COPTIC CAPITAL LETTER KHEI
        "\u03E7",  # ; COPTIC SMALL LETTER KHEI
        "\u03E8",  # ; COPTIC CAPITAL LETTER HORI
        "\u03E9",  # ; COPTIC SMALL LETTER HORI
        "\u03EA",  # ; COPTIC CAPITAL LETTER GANGIA
        "\u03EB",  # ; COPTIC SMALL LETTER GANGIA
        "\u03EC",  # ; COPTIC CAPITAL LETTER SHIMA
        "\u03ED",  # ; COPTIC SMALL LETTER SHIMA
        "\u03EE",  # ; COPTIC CAPITAL LETTER DEI
        "\u03EF",  # ; COPTIC SMALL LETTER DEI
        "\u03F0",  # ; GREEK KAPPA SYMBOL
        "\u03F1",  # ; GREEK RHO SYMBOL
        "\u03F2",  # ; GREEK LUNATE SIGMA SYMBOL
        "\u03F3",  # ; GREEK LETTER YOT
        "\u03F4",  # ; GREEK CAPITAL THETA SYMBOL
        "\u03F5",  # ; GREEK LUNATE EPSILON SYMBOL
        "\u03F6",  # ; GREEK REVERSED LUNATE EPSILON SYMBOL
        "\u03F7",  # ; GREEK CAPITAL LETTER SHO
        "\u03F8",  # ; GREEK SMALL LETTER SHO
        "\u03F9",  # ; GREEK CAPITAL LUNATE SIGMA SYMBOL
        "\u03FA",  # ; GREEK CAPITAL LETTER SAN
        "\u03FB",  # ; GREEK SMALL LETTER SAN
        "\u03FC",  # ; GREEK RHO WITH STROKE SYMBOL
        "\u03FD",  # ; GREEK CAPITAL REVERSED LUNATE SIGMA SYMBOL
        "\u03FE",  # ; GREEK CAPITAL DOTTED LUNATE SIGMA SYMBOL
        "\u03FF",  # ; GREEK CAPITAL REVERSED DOTTED LUNATE SIGMA SYMBOL
        "\u0400",  # ; CYRILLIC CAPITAL LETTER IE WITH GRAVE
        "\u0401",  # ; CYRILLIC CAPITAL LETTER IO
        "\u0402",  # ; CYRILLIC CAPITAL LETTER DJE
        "\u0403",  # ; CYRILLIC CAPITAL LETTER GJE
        "\u0404",  # ; CYRILLIC CAPITAL LETTER UKRAINIAN IE
        "\u0405",  # ; CYRILLIC CAPITAL LETTER DZE
        "\u0406",  # ; CYRILLIC CAPITAL LETTER BYELORUSSIAN-UKRAINIAN I
        "\u0407",  # ; CYRILLIC CAPITAL LETTER YI
        "\u0408",  # ; CYRILLIC CAPITAL LETTER JE
        "\u0409",  # ; CYRILLIC CAPITAL LETTER LJE
        "\u040A",  # ; CYRILLIC CAPITAL LETTER NJE
        "\u040B",  # ; CYRILLIC CAPITAL LETTER TSHE
        "\u040C",  # ; CYRILLIC CAPITAL LETTER KJE
        "\u040D",  # ; CYRILLIC CAPITAL LETTER I WITH GRAVE
        "\u040E",  # ; CYRILLIC CAPITAL LETTER SHORT U
        "\u040F",  # ; CYRILLIC CAPITAL LETTER DZHE
        "\u0410",  # ; CYRILLIC CAPITAL LETTER A
        "\u0411",  # ; CYRILLIC CAPITAL LETTER BE
        "\u0412",  # ; CYRILLIC CAPITAL LETTER VE
        "\u0413",  # ; CYRILLIC CAPITAL LETTER GHE
        "\u0414",  # ; CYRILLIC CAPITAL LETTER DE
        "\u0415",  # ; CYRILLIC CAPITAL LETTER IE
        "\u0416",  # ; CYRILLIC CAPITAL LETTER ZHE
        "\u0417",  # ; CYRILLIC CAPITAL LETTER ZE
        "\u0418",  # ; CYRILLIC CAPITAL LETTER I
        "\u0419",  # ; CYRILLIC CAPITAL LETTER SHORT I
        "\u041A",  # ; CYRILLIC CAPITAL LETTER KA
        "\u041B",  # ; CYRILLIC CAPITAL LETTER EL
        "\u041C",  # ; CYRILLIC CAPITAL LETTER EM
        "\u041D",  # ; CYRILLIC CAPITAL LETTER EN
        "\u041E",  # ; CYRILLIC CAPITAL LETTER O
        "\u041F",  # ; CYRILLIC CAPITAL LETTER PE
        "\u0420",  # ; CYRILLIC CAPITAL LETTER ER
        "\u0421",  # ; CYRILLIC CAPITAL LETTER ES
        "\u0422",  # ; CYRILLIC CAPITAL LETTER TE
        "\u0423",  # ; CYRILLIC CAPITAL LETTER U
        "\u0424",  # ; CYRILLIC CAPITAL LETTER EF
        "\u0425",  # ; CYRILLIC CAPITAL LETTER HA
        "\u0426",  # ; CYRILLIC CAPITAL LETTER TSE
        "\u0427",  # ; CYRILLIC CAPITAL LETTER CHE
        "\u0428",  # ; CYRILLIC CAPITAL LETTER SHA
        "\u0429",  # ; CYRILLIC CAPITAL LETTER SHCHA
        "\u042A",  # ; CYRILLIC CAPITAL LETTER HARD SIGN
        "\u042B",  # ; CYRILLIC CAPITAL LETTER YERU
        "\u042C",  # ; CYRILLIC CAPITAL LETTER SOFT SIGN
        "\u042D",  # ; CYRILLIC CAPITAL LETTER E
        "\u042E",  # ; CYRILLIC CAPITAL LETTER YU
        "\u042F",  # ; CYRILLIC CAPITAL LETTER YA
        "\u0430",  # ; CYRILLIC SMALL LETTER A
        "\u0431",  # ; CYRILLIC SMALL LETTER BE
        "\u0432",  # ; CYRILLIC SMALL LETTER VE
        "\u0433",  # ; CYRILLIC SMALL LETTER GHE
        "\u0434",  # ; CYRILLIC SMALL LETTER DE
        "\u0435",  # ; CYRILLIC SMALL LETTER IE
        "\u0436",  # ; CYRILLIC SMALL LETTER ZHE
        "\u0437",  # ; CYRILLIC SMALL LETTER ZE
        "\u0438",  # ; CYRILLIC SMALL LETTER I
        "\u0439",  # ; CYRILLIC SMALL LETTER SHORT I
        "\u043A",  # ; CYRILLIC SMALL LETTER KA
        "\u043B",  # ; CYRILLIC SMALL LETTER EL
        "\u043C",  # ; CYRILLIC SMALL LETTER EM
        "\u043D",  # ; CYRILLIC SMALL LETTER EN
        "\u043E",  # ; CYRILLIC SMALL LETTER O
        "\u043F",  # ; CYRILLIC SMALL LETTER PE
        "\u0440",  # ; CYRILLIC SMALL LETTER ER
        "\u0441",  # ; CYRILLIC SMALL LETTER ES
        "\u0442",  # ; CYRILLIC SMALL LETTER TE
        "\u0443",  # ; CYRILLIC SMALL LETTER U
        "\u0444",  # ; CYRILLIC SMALL LETTER EF
        "\u0445",  # ; CYRILLIC SMALL LETTER HA
        "\u0446",  # ; CYRILLIC SMALL LETTER TSE
        "\u0447",  # ; CYRILLIC SMALL LETTER CHE
        "\u0448",  # ; CYRILLIC SMALL LETTER SHA
        "\u0449",  # ; CYRILLIC SMALL LETTER SHCHA
        "\u044A",  # ; CYRILLIC SMALL LETTER HARD SIGN
        "\u044B",  # ; CYRILLIC SMALL LETTER YERU
        "\u044C",  # ; CYRILLIC SMALL LETTER SOFT SIGN
        "\u044D",  # ; CYRILLIC SMALL LETTER E
        "\u044E",  # ; CYRILLIC SMALL LETTER YU
        "\u044F",  # ; CYRILLIC SMALL LETTER YA
        "\u0450",  # ; CYRILLIC SMALL LETTER IE WITH GRAVE
        "\u0451",  # ; CYRILLIC SMALL LETTER IO
        "\u0452",  # ; CYRILLIC SMALL LETTER DJE
        "\u0453",  # ; CYRILLIC SMALL LETTER GJE
        "\u0454",  # ; CYRILLIC SMALL LETTER UKRAINIAN IE
        "\u0455",  # ; CYRILLIC SMALL LETTER DZE
        "\u0456",  # ; CYRILLIC SMALL LETTER BYELORUSSIAN-UKRAINIAN I
        "\u0457",  # ; CYRILLIC SMALL LETTER YI
        "\u0458",  # ; CYRILLIC SMALL LETTER JE
        "\u0459",  # ; CYRILLIC SMALL LETTER LJE
        "\u045A",  # ; CYRILLIC SMALL LETTER NJE
        "\u045B",  # ; CYRILLIC SMALL LETTER TSHE
        "\u045C",  # ; CYRILLIC SMALL LETTER KJE
        "\u045D",  # ; CYRILLIC SMALL LETTER I WITH GRAVE
        "\u045E",  # ; CYRILLIC SMALL LETTER SHORT U
        "\u045F",  # ; CYRILLIC SMALL LETTER DZHE
        "\u0460",  # ; CYRILLIC CAPITAL LETTER OMEGA
        "\u0461",  # ; CYRILLIC SMALL LETTER OMEGA
        "\u0462",  # ; CYRILLIC CAPITAL LETTER YAT
        "\u0463",  # ; CYRILLIC SMALL LETTER YAT
        "\u0464",  # ; CYRILLIC CAPITAL LETTER IOTIFIED E
        "\u0465",  # ; CYRILLIC SMALL LETTER IOTIFIED E
        "\u0466",  # ; CYRILLIC CAPITAL LETTER LITTLE YUS
        "\u0467",  # ; CYRILLIC SMALL LETTER LITTLE YUS
        "\u0468",  # ; CYRILLIC CAPITAL LETTER IOTIFIED LITTLE YUS
        "\u0469",  # ; CYRILLIC SMALL LETTER IOTIFIED LITTLE YUS
        "\u046A",  # ; CYRILLIC CAPITAL LETTER BIG YUS
        "\u046B",  # ; CYRILLIC SMALL LETTER BIG YUS
        "\u046C",  # ; CYRILLIC CAPITAL LETTER IOTIFIED BIG YUS
        "\u046D",  # ; CYRILLIC SMALL LETTER IOTIFIED BIG YUS
        "\u046E",  # ; CYRILLIC CAPITAL LETTER KSI
        "\u046F",  # ; CYRILLIC SMALL LETTER KSI
        "\u0470",  # ; CYRILLIC CAPITAL LETTER PSI
        "\u0471",  # ; CYRILLIC SMALL LETTER PSI
        "\u0472",  # ; CYRILLIC CAPITAL LETTER FITA
        "\u0473",  # ; CYRILLIC SMALL LETTER FITA
        "\u0474",  # ; CYRILLIC CAPITAL LETTER IZHITSA
        "\u0475",  # ; CYRILLIC SMALL LETTER IZHITSA
        "\u0476",  # ; CYRILLIC CAPITAL LETTER IZHITSA WITH DOUBLE GRAVE ACCENT
        "\u0477",  # ; CYRILLIC SMALL LETTER IZHITSA WITH DOUBLE GRAVE ACCENT
        "\u0478",  # ; CYRILLIC CAPITAL LETTER UK
        "\u0479",  # ; CYRILLIC SMALL LETTER UK
        "\u047A",  # ; CYRILLIC CAPITAL LETTER ROUND OMEGA
        "\u047B",  # ; CYRILLIC SMALL LETTER ROUND OMEGA
        "\u047C",  # ; CYRILLIC CAPITAL LETTER OMEGA WITH TITLO
        "\u047D",  # ; CYRILLIC SMALL LETTER OMEGA WITH TITLO
        "\u047E",  # ; CYRILLIC CAPITAL LETTER OT
        "\u047F",  # ; CYRILLIC SMALL LETTER OT
        "\u0480",  # ; CYRILLIC CAPITAL LETTER KOPPA
        "\u0481",  # ; CYRILLIC SMALL LETTER KOPPA
        "\u0482",  # ; CYRILLIC THOUSANDS SIGN
        "\u0483",  # ; COMBINING CYRILLIC TITLO
        "\u0484",  # ; COMBINING CYRILLIC PALATALIZATION
        "\u0485",  # ; COMBINING CYRILLIC DASIA PNEUMATA
        "\u0486",  # ; COMBINING CYRILLIC PSILI PNEUMATA
        "\u0487",  # ; COMBINING CYRILLIC POKRYTIE
        "\u0488",  # ; COMBINING CYRILLIC HUNDRED THOUSANDS SIGN
        "\u0489",  # ; COMBINING CYRILLIC MILLIONS SIGN
        "\u048A",  # ; CYRILLIC CAPITAL LETTER SHORT I WITH TAIL
        "\u048B",  # ; CYRILLIC SMALL LETTER SHORT I WITH TAIL
        "\u048C",  # ; CYRILLIC CAPITAL LETTER SEMISOFT SIGN
        "\u048D",  # ; CYRILLIC SMALL LETTER SEMISOFT SIGN
        "\u048E",  # ; CYRILLIC CAPITAL LETTER ER WITH TICK
        "\u048F",  # ; CYRILLIC SMALL LETTER ER WITH TICK
        "\u0490",  # ; CYRILLIC CAPITAL LETTER GHE WITH UPTURN
        "\u0491",  # ; CYRILLIC SMALL LETTER GHE WITH UPTURN
        "\u0492",  # ; CYRILLIC CAPITAL LETTER GHE WITH STROKE
        "\u0493",  # ; CYRILLIC SMALL LETTER GHE WITH STROKE
        "\u0494",  # ; CYRILLIC CAPITAL LETTER GHE WITH MIDDLE HOOK
        "\u0495",  # ; CYRILLIC SMALL LETTER GHE WITH MIDDLE HOOK
        "\u0496",  # ; CYRILLIC CAPITAL LETTER ZHE WITH DESCENDER
        "\u0497",  # ; CYRILLIC SMALL LETTER ZHE WITH DESCENDER
        "\u0498",  # ; CYRILLIC CAPITAL LETTER ZE WITH DESCENDER
        "\u0499",  # ; CYRILLIC SMALL LETTER ZE WITH DESCENDER
        "\u049A",  # ; CYRILLIC CAPITAL LETTER KA WITH DESCENDER
        "\u049B",  # ; CYRILLIC SMALL LETTER KA WITH DESCENDER
        "\u049C",  # ; CYRILLIC CAPITAL LETTER KA WITH VERTICAL STROKE
        "\u049D",  # ; CYRILLIC SMALL LETTER KA WITH VERTICAL STROKE
        "\u049E",  # ; CYRILLIC CAPITAL LETTER KA WITH STROKE
        "\u049F",  # ; CYRILLIC SMALL LETTER KA WITH STROKE
        "\u04A0",  # ; CYRILLIC CAPITAL LETTER BASHKIR KA
        "\u04A1",  # ; CYRILLIC SMALL LETTER BASHKIR KA
        "\u04A2",  # ; CYRILLIC CAPITAL LETTER EN WITH DESCENDER
        "\u04A3",  # ; CYRILLIC SMALL LETTER EN WITH DESCENDER
        "\u04A4",  # ; CYRILLIC CAPITAL LIGATURE EN GHE
        "\u04A5",  # ; CYRILLIC SMALL LIGATURE EN GHE
        "\u04A6",  # ; CYRILLIC CAPITAL LETTER PE WITH MIDDLE HOOK
        "\u04A7",  # ; CYRILLIC SMALL LETTER PE WITH MIDDLE HOOK
        "\u04A8",  # ; CYRILLIC CAPITAL LETTER ABKHASIAN HA
        "\u04A9",  # ; CYRILLIC SMALL LETTER ABKHASIAN HA
        "\u04AA",  # ; CYRILLIC CAPITAL LETTER ES WITH DESCENDER
        "\u04AB",  # ; CYRILLIC SMALL LETTER ES WITH DESCENDER
        "\u04AC",  # ; CYRILLIC CAPITAL LETTER TE WITH DESCENDER
        "\u04AD",  # ; CYRILLIC SMALL LETTER TE WITH DESCENDER
        "\u04AE",  # ; CYRILLIC CAPITAL LETTER STRAIGHT U
        "\u04AF",  # ; CYRILLIC SMALL LETTER STRAIGHT U
        "\u04B0",  # ; CYRILLIC CAPITAL LETTER STRAIGHT U WITH STROKE
        "\u04B1",  # ; CYRILLIC SMALL LETTER STRAIGHT U WITH STROKE
        "\u04B2",  # ; CYRILLIC CAPITAL LETTER HA WITH DESCENDER
        "\u04B3",  # ; CYRILLIC SMALL LETTER HA WITH DESCENDER
        "\u04B4",  # ; CYRILLIC CAPITAL LIGATURE TE TSE
        "\u04B5",  # ; CYRILLIC SMALL LIGATURE TE TSE
        "\u04B6",  # ; CYRILLIC CAPITAL LETTER CHE WITH DESCENDER
        "\u04B7",  # ; CYRILLIC SMALL LETTER CHE WITH DESCENDER
        "\u04B8",  # ; CYRILLIC CAPITAL LETTER CHE WITH VERTICAL STROKE
        "\u04B9",  # ; CYRILLIC SMALL LETTER CHE WITH VERTICAL STROKE
        "\u04BA",  # ; CYRILLIC CAPITAL LETTER SHHA
        "\u04BB",  # ; CYRILLIC SMALL LETTER SHHA
        "\u04BC",  # ; CYRILLIC CAPITAL LETTER ABKHASIAN CHE
        "\u04BD",  # ; CYRILLIC SMALL LETTER ABKHASIAN CHE
        "\u04BE",  # ; CYRILLIC CAPITAL LETTER ABKHASIAN CHE WITH DESCENDER
        "\u04BF",  # ; CYRILLIC SMALL LETTER ABKHASIAN CHE WITH DESCENDER
        "\u04C0",  # ; CYRILLIC LETTER PALOCHKA
        "\u04C1",  # ; CYRILLIC CAPITAL LETTER ZHE WITH BREVE
        "\u04C2",  # ; CYRILLIC SMALL LETTER ZHE WITH BREVE
        "\u04C3",  # ; CYRILLIC CAPITAL LETTER KA WITH HOOK
        "\u04C4",  # ; CYRILLIC SMALL LETTER KA WITH HOOK
        "\u04C5",  # ; CYRILLIC CAPITAL LETTER EL WITH TAIL
        "\u04C6",  # ; CYRILLIC SMALL LETTER EL WITH TAIL
        "\u04C7",  # ; CYRILLIC CAPITAL LETTER EN WITH HOOK
        "\u04C8",  # ; CYRILLIC SMALL LETTER EN WITH HOOK
        "\u04C9",  # ; CYRILLIC CAPITAL LETTER EN WITH TAIL
        "\u04CA",  # ; CYRILLIC SMALL LETTER EN WITH TAIL
        "\u04CB",  # ; CYRILLIC CAPITAL LETTER KHAKASSIAN CHE
        "\u04CC",  # ; CYRILLIC SMALL LETTER KHAKASSIAN CHE
        "\u04CD",  # ; CYRILLIC CAPITAL LETTER EM WITH TAIL
        "\u04CE",  # ; CYRILLIC SMALL LETTER EM WITH TAIL
        "\u04CF",  # ; CYRILLIC SMALL LETTER PALOCHKA
        "\u04D0",  # ; CYRILLIC CAPITAL LETTER A WITH BREVE
        "\u04D1",  # ; CYRILLIC SMALL LETTER A WITH BREVE
        "\u04D2",  # ; CYRILLIC CAPITAL LETTER A WITH DIAERESIS
        "\u04D3",  # ; CYRILLIC SMALL LETTER A WITH DIAERESIS
        "\u04D4",  # ; CYRILLIC CAPITAL LIGATURE A IE
        "\u04D5",  # ; CYRILLIC SMALL LIGATURE A IE
        "\u04D6",  # ; CYRILLIC CAPITAL LETTER IE WITH BREVE
        "\u04D7",  # ; CYRILLIC SMALL LETTER IE WITH BREVE
        "\u04D8",  # ; CYRILLIC CAPITAL LETTER SCHWA
        "\u04D9",  # ; CYRILLIC SMALL LETTER SCHWA
        "\u04DA",  # ; CYRILLIC CAPITAL LETTER SCHWA WITH DIAERESIS
        "\u04DB",  # ; CYRILLIC SMALL LETTER SCHWA WITH DIAERESIS
        "\u04DC",  # ; CYRILLIC CAPITAL LETTER ZHE WITH DIAERESIS
        "\u04DD",  # ; CYRILLIC SMALL LETTER ZHE WITH DIAERESIS
        "\u04DE",  # ; CYRILLIC CAPITAL LETTER ZE WITH DIAERESIS
        "\u04DF",  # ; CYRILLIC SMALL LETTER ZE WITH DIAERESIS
        "\u04E0",  # ; CYRILLIC CAPITAL LETTER ABKHASIAN DZE
        "\u04E1",  # ; CYRILLIC SMALL LETTER ABKHASIAN DZE
        "\u04E2",  # ; CYRILLIC CAPITAL LETTER I WITH MACRON
        "\u04E3",  # ; CYRILLIC SMALL LETTER I WITH MACRON
        "\u04E4",  # ; CYRILLIC CAPITAL LETTER I WITH DIAERESIS
        "\u04E5",  # ; CYRILLIC SMALL LETTER I WITH DIAERESIS
        "\u04E6",  # ; CYRILLIC CAPITAL LETTER O WITH DIAERESIS
        "\u04E7",  # ; CYRILLIC SMALL LETTER O WITH DIAERESIS
        "\u04E8",  # ; CYRILLIC CAPITAL LETTER BARRED O
        "\u04E9",  # ; CYRILLIC SMALL LETTER BARRED O
        "\u04EA",  # ; CYRILLIC CAPITAL LETTER BARRED O WITH DIAERESIS
        "\u04EB",  # ; CYRILLIC SMALL LETTER BARRED O WITH DIAERESIS
        "\u04EC",  # ; CYRILLIC CAPITAL LETTER E WITH DIAERESIS
        "\u04ED",  # ; CYRILLIC SMALL LETTER E WITH DIAERESIS
        "\u04EE",  # ; CYRILLIC CAPITAL LETTER U WITH MACRON
        "\u04EF",  # ; CYRILLIC SMALL LETTER U WITH MACRON
        "\u04F0",  # ; CYRILLIC CAPITAL LETTER U WITH DIAERESIS
        "\u04F1",  # ; CYRILLIC SMALL LETTER U WITH DIAERESIS
        "\u04F2",  # ; CYRILLIC CAPITAL LETTER U WITH DOUBLE ACUTE
        "\u04F3",  # ; CYRILLIC SMALL LETTER U WITH DOUBLE ACUTE
        "\u04F4",  # ; CYRILLIC CAPITAL LETTER CHE WITH DIAERESIS
        "\u04F5",  # ; CYRILLIC SMALL LETTER CHE WITH DIAERESIS
        "\u04F6",  # ; CYRILLIC CAPITAL LETTER GHE WITH DESCENDER
        "\u04F7",  # ; CYRILLIC SMALL LETTER GHE WITH DESCENDER
        "\u04F8",  # ; CYRILLIC CAPITAL LETTER YERU WITH DIAERESIS
        "\u04F9",  # ; CYRILLIC SMALL LETTER YERU WITH DIAERESIS
        "\u04FA",  # ; CYRILLIC CAPITAL LETTER GHE WITH STROKE AND HOOK
        "\u04FB",  # ; CYRILLIC SMALL LETTER GHE WITH STROKE AND HOOK
        "\u04FC",  # ; CYRILLIC CAPITAL LETTER HA WITH HOOK
        "\u04FD",  # ; CYRILLIC SMALL LETTER HA WITH HOOK
        "\u04FE",  # ; CYRILLIC CAPITAL LETTER HA WITH STROKE
        "\u04FF",  # ; CYRILLIC SMALL LETTER HA WITH STROKE
        "\u0500",  # ; CYRILLIC CAPITAL LETTER KOMI DE
        "\u0501",  # ; CYRILLIC SMALL LETTER KOMI DE
        "\u0502",  # ; CYRILLIC CAPITAL LETTER KOMI DJE
        "\u0503",  # ; CYRILLIC SMALL LETTER KOMI DJE
        "\u0504",  # ; CYRILLIC CAPITAL LETTER KOMI ZJE
        "\u0505",  # ; CYRILLIC SMALL LETTER KOMI ZJE
        "\u0506",  # ; CYRILLIC CAPITAL LETTER KOMI DZJE
        "\u0507",  # ; CYRILLIC SMALL LETTER KOMI DZJE
        "\u0508",  # ; CYRILLIC CAPITAL LETTER KOMI LJE
        "\u0509",  # ; CYRILLIC SMALL LETTER KOMI LJE
        "\u050A",  # ; CYRILLIC CAPITAL LETTER KOMI NJE
        "\u050B",  # ; CYRILLIC SMALL LETTER KOMI NJE
        "\u050C",  # ; CYRILLIC CAPITAL LETTER KOMI SJE
        "\u050D",  # ; CYRILLIC SMALL LETTER KOMI SJE
        "\u050E",  # ; CYRILLIC CAPITAL LETTER KOMI TJE
        "\u050F",  # ; CYRILLIC SMALL LETTER KOMI TJE
        "\u0510",  # ; CYRILLIC CAPITAL LETTER REVERSED ZE
        "\u0511",  # ; CYRILLIC SMALL LETTER REVERSED ZE
        "\u0512",  # ; CYRILLIC CAPITAL LETTER EL WITH HOOK
        "\u0513",  # ; CYRILLIC SMALL LETTER EL WITH HOOK
        "\u0514",  # ; CYRILLIC CAPITAL LETTER LHA
        "\u0515",  # ; CYRILLIC SMALL LETTER LHA
        "\u0516",  # ; CYRILLIC CAPITAL LETTER RHA
        "\u0517",  # ; CYRILLIC SMALL LETTER RHA
        "\u0518",  # ; CYRILLIC CAPITAL LETTER YAE
        "\u0519",  # ; CYRILLIC SMALL LETTER YAE
        "\u051A",  # ; CYRILLIC CAPITAL LETTER QA
        "\u051B",  # ; CYRILLIC SMALL LETTER QA
        "\u051C",  # ; CYRILLIC CAPITAL LETTER WE
        "\u051D",  # ; CYRILLIC SMALL LETTER WE
        "\u051E",  # ; CYRILLIC CAPITAL LETTER ALEUT KA
        "\u051F",  # ; CYRILLIC SMALL LETTER ALEUT KA
        "\u0520",  # ; CYRILLIC CAPITAL LETTER EL WITH MIDDLE HOOK
        "\u0521",  # ; CYRILLIC SMALL LETTER EL WITH MIDDLE HOOK
        "\u0522",  # ; CYRILLIC CAPITAL LETTER EN WITH MIDDLE HOOK
        "\u0523",  # ; CYRILLIC SMALL LETTER EN WITH MIDDLE HOOK
        "\u0524",  # ; CYRILLIC CAPITAL LETTER PE WITH DESCENDER
        "\u0525",  # ; CYRILLIC SMALL LETTER PE WITH DESCENDER
        "\u0526",  # ; CYRILLIC CAPITAL LETTER SHHA WITH DESCENDER
        "\u0527",  # ; CYRILLIC SMALL LETTER SHHA WITH DESCENDER
        "\u0528",  # ; CYRILLIC CAPITAL LETTER EN WITH LEFT HOOK
        "\u0529",  # ; CYRILLIC SMALL LETTER EN WITH LEFT HOOK
        "\u052A",  # ; CYRILLIC CAPITAL LETTER DZZHE
        "\u052B",  # ; CYRILLIC SMALL LETTER DZZHE
        "\u052C",  # ; CYRILLIC CAPITAL LETTER DCHE
        "\u052D",  # ; CYRILLIC SMALL LETTER DCHE
        "\u052E",  # ; CYRILLIC CAPITAL LETTER EL WITH DESCENDER
        "\u052F",  # ; CYRILLIC SMALL LETTER EL WITH DESCENDER
        "\u0531",  # ; ARMENIAN CAPITAL LETTER AYB
        "\u0532",  # ; ARMENIAN CAPITAL LETTER BEN
        "\u0533",  # ; ARMENIAN CAPITAL LETTER GIM
        "\u0534",  # ; ARMENIAN CAPITAL LETTER DA
        "\u0535",  # ; ARMENIAN CAPITAL LETTER ECH
        "\u0536",  # ; ARMENIAN CAPITAL LETTER ZA
        "\u0537",  # ; ARMENIAN CAPITAL LETTER EH
        "\u0538",  # ; ARMENIAN CAPITAL LETTER ET
        "\u0539",  # ; ARMENIAN CAPITAL LETTER TO
        "\u053A",  # ; ARMENIAN CAPITAL LETTER ZHE
        "\u053B",  # ; ARMENIAN CAPITAL LETTER INI
        "\u053C",  # ; ARMENIAN CAPITAL LETTER LIWN
        "\u053D",  # ; ARMENIAN CAPITAL LETTER XEH
        "\u053E",  # ; ARMENIAN CAPITAL LETTER CA
        "\u053F",  # ; ARMENIAN CAPITAL LETTER KEN
        "\u0540",  # ; ARMENIAN CAPITAL LETTER HO
        "\u0541",  # ; ARMENIAN CAPITAL LETTER JA
        "\u0542",  # ; ARMENIAN CAPITAL LETTER GHAD
        "\u0543",  # ; ARMENIAN CAPITAL LETTER CHEH
        "\u0544",  # ; ARMENIAN CAPITAL LETTER MEN
        "\u0545",  # ; ARMENIAN CAPITAL LETTER YI
        "\u0546",  # ; ARMENIAN CAPITAL LETTER NOW
        "\u0547",  # ; ARMENIAN CAPITAL LETTER SHA
        "\u0548",  # ; ARMENIAN CAPITAL LETTER VO
        "\u0549",  # ; ARMENIAN CAPITAL LETTER CHA
        "\u054A",  # ; ARMENIAN CAPITAL LETTER PEH
        "\u054B",  # ; ARMENIAN CAPITAL LETTER JHEH
        "\u054C",  # ; ARMENIAN CAPITAL LETTER RA
        "\u054D",  # ; ARMENIAN CAPITAL LETTER SEH
        "\u054E",  # ; ARMENIAN CAPITAL LETTER VEW
        "\u054F",  # ; ARMENIAN CAPITAL LETTER TIWN
        "\u0550",  # ; ARMENIAN CAPITAL LETTER REH
        "\u0551",  # ; ARMENIAN CAPITAL LETTER CO
        "\u0552",  # ; ARMENIAN CAPITAL LETTER YIWN
        "\u0553",  # ; ARMENIAN CAPITAL LETTER PIWR
        "\u0554",  # ; ARMENIAN CAPITAL LETTER KEH
        "\u0555",  # ; ARMENIAN CAPITAL LETTER OH
        "\u0556",  # ; ARMENIAN CAPITAL LETTER FEH
        "\u0559",  # ; ARMENIAN MODIFIER LETTER LEFT HALF RING
        "\u055A",  # ; ARMENIAN APOSTROPHE
        "\u055B",  # ; ARMENIAN EMPHASIS MARK
        "\u055C",  # ; ARMENIAN EXCLAMATION MARK
        "\u055D",  # ; ARMENIAN COMMA
        "\u055E",  # ; ARMENIAN QUESTION MARK
        "\u055F",  # ; ARMENIAN ABBREVIATION MARK
        "\u0561",  # ; ARMENIAN SMALL LETTER AYB
        "\u0562",  # ; ARMENIAN SMALL LETTER BEN
        "\u0563",  # ; ARMENIAN SMALL LETTER GIM
        "\u0564",  # ; ARMENIAN SMALL LETTER DA
        "\u0565",  # ; ARMENIAN SMALL LETTER ECH
        "\u0566",  # ; ARMENIAN SMALL LETTER ZA
        "\u0567",  # ; ARMENIAN SMALL LETTER EH
        "\u0568",  # ; ARMENIAN SMALL LETTER ET
        "\u0569",  # ; ARMENIAN SMALL LETTER TO
        "\u056A",  # ; ARMENIAN SMALL LETTER ZHE
        "\u056B",  # ; ARMENIAN SMALL LETTER INI
        "\u056C",  # ; ARMENIAN SMALL LETTER LIWN
        "\u056D",  # ; ARMENIAN SMALL LETTER XEH
        "\u056E",  # ; ARMENIAN SMALL LETTER CA
        "\u056F",  # ; ARMENIAN SMALL LETTER KEN
        "\u0570",  # ; ARMENIAN SMALL LETTER HO
        "\u0571",  # ; ARMENIAN SMALL LETTER JA
        "\u0572",  # ; ARMENIAN SMALL LETTER GHAD
        "\u0573",  # ; ARMENIAN SMALL LETTER CHEH
        "\u0574",  # ; ARMENIAN SMALL LETTER MEN
        "\u0575",  # ; ARMENIAN SMALL LETTER YI
        "\u0576",  # ; ARMENIAN SMALL LETTER NOW
        "\u0577",  # ; ARMENIAN SMALL LETTER SHA
        "\u0578",  # ; ARMENIAN SMALL LETTER VO
        "\u0579",  # ; ARMENIAN SMALL LETTER CHA
        "\u057A",  # ; ARMENIAN SMALL LETTER PEH
        "\u057B",  # ; ARMENIAN SMALL LETTER JHEH
        "\u057C",  # ; ARMENIAN SMALL LETTER RA
        "\u057D",  # ; ARMENIAN SMALL LETTER SEH
        "\u057E",  # ; ARMENIAN SMALL LETTER VEW
        "\u057F",  # ; ARMENIAN SMALL LETTER TIWN
        "\u0580",  # ; ARMENIAN SMALL LETTER REH
        "\u0581",  # ; ARMENIAN SMALL LETTER CO
        "\u0582",  # ; ARMENIAN SMALL LETTER YIWN
        "\u0583",  # ; ARMENIAN SMALL LETTER PIWR
        "\u0584",  # ; ARMENIAN SMALL LETTER KEH
        "\u0585",  # ; ARMENIAN SMALL LETTER OH
        "\u0586",  # ; ARMENIAN SMALL LETTER FEH
        "\u0587",  # ; ARMENIAN SMALL LIGATURE ECH YIWN
        "\u0589",  # ; ARMENIAN FULL STOP
        "\u058A",  # ; ARMENIAN HYPHEN
        "\u058D",  # ; RIGHT-FACING ARMENIAN ETERNITY SIGN
        "\u058E",  # ; LEFT-FACING ARMENIAN ETERNITY SIGN
        "\u058F",  # ; ARMENIAN DRAM SIGN
        "\u0591",  # ; HEBREW ACCENT ETNAHTA
        "\u0592",  # ; HEBREW ACCENT SEGOL
        "\u0593",  # ; HEBREW ACCENT SHALSHELET
        "\u0594",  # ; HEBREW ACCENT ZAQEF QATAN
        "\u0595",  # ; HEBREW ACCENT ZAQEF GADOL
        "\u0596",  # ; HEBREW ACCENT TIPEHA
        "\u0597",  # ; HEBREW ACCENT REVIA
        "\u0598",  # ; HEBREW ACCENT ZARQA
        "\u0599",  # ; HEBREW ACCENT PASHTA
        "\u059A",  # ; HEBREW ACCENT YETIV
        "\u059B",  # ; HEBREW ACCENT TEVIR
        "\u059C",  # ; HEBREW ACCENT GERESH
        "\u059D",  # ; HEBREW ACCENT GERESH MUQDAM
        "\u059E",  # ; HEBREW ACCENT GERSHAYIM
        "\u059F",  # ; HEBREW ACCENT QARNEY PARA
        "\u05A0",  # ; HEBREW ACCENT TELISHA GEDOLA
        "\u05A1",  # ; HEBREW ACCENT PAZER
        "\u05A2",  # ; HEBREW ACCENT ATNAH HAFUKH
        "\u05A3",  # ; HEBREW ACCENT MUNAH
        "\u05A4",  # ; HEBREW ACCENT MAHAPAKH
        "\u05A5",  # ; HEBREW ACCENT MERKHA
        "\u05A6",  # ; HEBREW ACCENT MERKHA KEFULA
        "\u05A7",  # ; HEBREW ACCENT DARGA
        "\u05A8",  # ; HEBREW ACCENT QADMA
        "\u05A9",  # ; HEBREW ACCENT TELISHA QETANA
        "\u05AA",  # ; HEBREW ACCENT YERAH BEN YOMO
        "\u05AB",  # ; HEBREW ACCENT OLE
        "\u05AC",  # ; HEBREW ACCENT ILUY
        "\u05AD",  # ; HEBREW ACCENT DEHI
        "\u05AE",  # ; HEBREW ACCENT ZINOR
        "\u05AF",  # ; HEBREW MARK MASORA CIRCLE
        "\u05B0",  # ; HEBREW POINT SHEVA
        "\u05B1",  # ; HEBREW POINT HATAF SEGOL
        "\u05B2",  # ; HEBREW POINT HATAF PATAH
        "\u05B3",  # ; HEBREW POINT HATAF QAMATS
        "\u05B4",  # ; HEBREW POINT HIRIQ
        "\u05B5",  # ; HEBREW POINT TSERE
        "\u05B6",  # ; HEBREW POINT SEGOL
        "\u05B7",  # ; HEBREW POINT PATAH
        "\u05B8",  # ; HEBREW POINT QAMATS
        "\u05B9",  # ; HEBREW POINT HOLAM
        "\u05BA",  # ; HEBREW POINT HOLAM HASER FOR VAV
        "\u05BB",  # ; HEBREW POINT QUBUTS
        "\u05BC",  # ; HEBREW POINT DAGESH OR MAPIQ
        "\u05BD",  # ; HEBREW POINT METEG
        "\u05BE",  # ; HEBREW PUNCTUATION MAQAF
        "\u05BF",  # ; HEBREW POINT RAFE
        "\u05C0",  # ; HEBREW PUNCTUATION PASEQ
        "\u05C1",  # ; HEBREW POINT SHIN DOT
        "\u05C2",  # ; HEBREW POINT SIN DOT
        "\u05C3",  # ; HEBREW PUNCTUATION SOF PASUQ
        "\u05C4",  # ; HEBREW MARK UPPER DOT
        "\u05C5",  # ; HEBREW MARK LOWER DOT
        "\u05C6",  # ; HEBREW PUNCTUATION NUN HAFUKHA
        "\u05C7",  # ; HEBREW POINT QAMATS QATAN
        "\u05D0",  # ; HEBREW LETTER ALEF
        "\u05D1",  # ; HEBREW LETTER BET
        "\u05D2",  # ; HEBREW LETTER GIMEL
        "\u05D3",  # ; HEBREW LETTER DALET
        "\u05D4",  # ; HEBREW LETTER HE
        "\u05D5",  # ; HEBREW LETTER VAV
        "\u05D6",  # ; HEBREW LETTER ZAYIN
        "\u05D7",  # ; HEBREW LETTER HET
        "\u05D8",  # ; HEBREW LETTER TET
        "\u05D9",  # ; HEBREW LETTER YOD
        "\u05DA",  # ; HEBREW LETTER FINAL KAF
        "\u05DB",  # ; HEBREW LETTER KAF
        "\u05DC",  # ; HEBREW LETTER LAMED
        "\u05DD",  # ; HEBREW LETTER FINAL MEM
        "\u05DE",  # ; HEBREW LETTER MEM
        "\u05DF",  # ; HEBREW LETTER FINAL NUN
        "\u05E0",  # ; HEBREW LETTER NUN
        "\u05E1",  # ; HEBREW LETTER SAMEKH
        "\u05E2",  # ; HEBREW LETTER AYIN
        "\u05E3",  # ; HEBREW LETTER FINAL PE
        "\u05E4",  # ; HEBREW LETTER PE
        "\u05E5",  # ; HEBREW LETTER FINAL TSADI
        "\u05E6",  # ; HEBREW LETTER TSADI
        "\u05E7",  # ; HEBREW LETTER QOF
        "\u05E8",  # ; HEBREW LETTER RESH
        "\u05E9",  # ; HEBREW LETTER SHIN
        "\u05EA",  # ; HEBREW LETTER TAV
        "\u05F0",  # ; HEBREW LIGATURE YIDDISH DOUBLE VAV
        "\u05F1",  # ; HEBREW LIGATURE YIDDISH VAV YOD
        "\u05F2",  # ; HEBREW LIGATURE YIDDISH DOUBLE YOD
        "\u05F3",  # ; HEBREW PUNCTUATION GERESH
        "\u05F4",  # ; HEBREW PUNCTUATION GERSHAYIM
        "\u0600",  # ; ARABIC NUMBER SIGN
        "\u0601",  # ; ARABIC SIGN SANAH
        "\u0602",  # ; ARABIC FOOTNOTE MARKER
        "\u0603",  # ; ARABIC SIGN SAFHA
        "\u0604",  # ; ARABIC SIGN SAMVAT
        "\u0605",  # ; ARABIC NUMBER MARK ABOVE
        "\u0606",  # ; ARABIC-INDIC CUBE ROOT
        "\u0607",  # ; ARABIC-INDIC FOURTH ROOT
        "\u0608",  # ; ARABIC RAY
        "\u0609",  # ; ARABIC-INDIC PER MILLE SIGN
        "\u060A",  # ; ARABIC-INDIC PER TEN THOUSAND SIGN
        "\u060B",  # ; AFGHANI SIGN
        "\u060C",  # ; ARABIC COMMA
        "\u060D",  # ; ARABIC DATE SEPARATOR
        "\u060E",  # ; ARABIC POETIC VERSE SIGN
        "\u060F",  # ; ARABIC SIGN MISRA
        "\u0610",  # ; ARABIC SIGN SALLALLAHOU ALAYHE WASSALLAM
        "\u0611",  # ; ARABIC SIGN ALAYHE ASSALLAM
        "\u0612",  # ; ARABIC SIGN RAHMATULLAH ALAYHE
        "\u0613",  # ; ARABIC SIGN RADI ALLAHOU ANHU
        "\u0614",  # ; ARABIC SIGN TAKHALLUS
        "\u0615",  # ; ARABIC SMALL HIGH TAH
        "\u0616",  # ; ARABIC SMALL HIGH LIGATURE ALEF WITH LAM WITH YEH
        "\u0617",  # ; ARABIC SMALL HIGH ZAIN
        "\u0618",  # ; ARABIC SMALL FATHA
        "\u0619",  # ; ARABIC SMALL DAMMA
        "\u061A",  # ; ARABIC SMALL KASRA
        "\u061B",  # ; ARABIC SEMICOLON
        "\u061C",  # ; ARABIC LETTER MARK
        "\u061E",  # ; ARABIC TRIPLE DOT PUNCTUATION MARK
        "\u061F",  # ; ARABIC QUESTION MARK
        "\u0620",  # ; ARABIC LETTER KASHMIRI YEH
        "\u0621",  # ; ARABIC LETTER HAMZA
        "\u0622",  # ; ARABIC LETTER ALEF WITH MADDA ABOVE
        "\u0623",  # ; ARABIC LETTER ALEF WITH HAMZA ABOVE
        "\u0624",  # ; ARABIC LETTER WAW WITH HAMZA ABOVE
        "\u0625",  # ; ARABIC LETTER ALEF WITH HAMZA BELOW
        "\u0626",  # ; ARABIC LETTER YEH WITH HAMZA ABOVE
        "\u0627",  # ; ARABIC LETTER ALEF
        "\u0628",  # ; ARABIC LETTER BEH
        "\u0629",  # ; ARABIC LETTER TEH MARBUTA
        "\u062A",  # ; ARABIC LETTER TEH
        "\u062B",  # ; ARABIC LETTER THEH
        "\u062C",  # ; ARABIC LETTER JEEM
        "\u062D",  # ; ARABIC LETTER HAH
        "\u062E",  # ; ARABIC LETTER KHAH
        "\u062F",  # ; ARABIC LETTER DAL
        "\u0630",  # ; ARABIC LETTER THAL
        "\u0631",  # ; ARABIC LETTER REH
        "\u0632",  # ; ARABIC LETTER ZAIN
        "\u0633",  # ; ARABIC LETTER SEEN
        "\u0634",  # ; ARABIC LETTER SHEEN
        "\u0635",  # ; ARABIC LETTER SAD
        "\u0636",  # ; ARABIC LETTER DAD
        "\u0637",  # ; ARABIC LETTER TAH
        "\u0638",  # ; ARABIC LETTER ZAH
        "\u0639",  # ; ARABIC LETTER AIN
        "\u063A",  # ; ARABIC LETTER GHAIN
        "\u063B",  # ; ARABIC LETTER KEHEH WITH TWO DOTS ABOVE
        "\u063C",  # ; ARABIC LETTER KEHEH WITH THREE DOTS BELOW
        "\u063D",  # ; ARABIC LETTER FARSI YEH WITH INVERTED V
        "\u063E",  # ; ARABIC LETTER FARSI YEH WITH TWO DOTS ABOVE
        "\u063F",  # ; ARABIC LETTER FARSI YEH WITH THREE DOTS ABOVE
        "\u0640",  # ; ARABIC TATWEEL
        "\u0641",  # ; ARABIC LETTER FEH
        "\u0642",  # ; ARABIC LETTER QAF
        "\u0643",  # ; ARABIC LETTER KAF
        "\u0644",  # ; ARABIC LETTER LAM
        "\u0645",  # ; ARABIC LETTER MEEM
        "\u0646",  # ; ARABIC LETTER NOON
        "\u0647",  # ; ARABIC LETTER HEH
        "\u0648",  # ; ARABIC LETTER WAW
        "\u0649",  # ; ARABIC LETTER ALEF MAKSURA
        "\u064A",  # ; ARABIC LETTER YEH
        "\u064B",  # ; ARABIC FATHATAN
        "\u064C",  # ; ARABIC DAMMATAN
        "\u064D",  # ; ARABIC KASRATAN
        "\u064E",  # ; ARABIC FATHA
        "\u064F",  # ; ARABIC DAMMA
        "\u0650",  # ; ARABIC KASRA
        "\u0651",  # ; ARABIC SHADDA
        "\u0652",  # ; ARABIC SUKUN
        "\u0653",  # ; ARABIC MADDAH ABOVE
        "\u0654",  # ; ARABIC HAMZA ABOVE
        "\u0655",  # ; ARABIC HAMZA BELOW
        "\u0656",  # ; ARABIC SUBSCRIPT ALEF
        "\u0657",  # ; ARABIC INVERTED DAMMA
        "\u0658",  # ; ARABIC MARK NOON GHUNNA
        "\u0659",  # ; ARABIC ZWARAKAY
        "\u065A",  # ; ARABIC VOWEL SIGN SMALL V ABOVE
        "\u065B",  # ; ARABIC VOWEL SIGN INVERTED SMALL V ABOVE
        "\u065C",  # ; ARABIC VOWEL SIGN DOT BELOW
        "\u065D",  # ; ARABIC REVERSED DAMMA
        "\u065E",  # ; ARABIC FATHA WITH TWO DOTS
        "\u065F",  # ; ARABIC WAVY HAMZA BELOW
        "\u0660",  # ; ARABIC-INDIC DIGIT ZERO
        "\u0661",  # ; ARABIC-INDIC DIGIT ONE
        "\u0662",  # ; ARABIC-INDIC DIGIT TWO
        "\u0663",  # ; ARABIC-INDIC DIGIT THREE
        "\u0664",  # ; ARABIC-INDIC DIGIT FOUR
        "\u0665",  # ; ARABIC-INDIC DIGIT FIVE
        "\u0666",  # ; ARABIC-INDIC DIGIT SIX
        "\u0667",  # ; ARABIC-INDIC DIGIT SEVEN
        "\u0668",  # ; ARABIC-INDIC DIGIT EIGHT
        "\u0669",  # ; ARABIC-INDIC DIGIT NINE
        "\u066A",  # ; ARABIC PERCENT SIGN
        "\u066B",  # ; ARABIC DECIMAL SEPARATOR
        "\u066C",  # ; ARABIC THOUSANDS SEPARATOR
        "\u066D",  # ; ARABIC FIVE POINTED STAR
        "\u066E",  # ; ARABIC LETTER DOTLESS BEH
        "\u066F",  # ; ARABIC LETTER DOTLESS QAF
        "\u0670",  # ; ARABIC LETTER SUPERSCRIPT ALEF
        "\u0671",  # ; ARABIC LETTER ALEF WASLA
        "\u0672",  # ; ARABIC LETTER ALEF WITH WAVY HAMZA ABOVE
        "\u0673",  # ; ARABIC LETTER ALEF WITH WAVY HAMZA BELOW
        "\u0674",  # ; ARABIC LETTER HIGH HAMZA
        "\u0675",  # ; ARABIC LETTER HIGH HAMZA ALEF
        "\u0676",  # ; ARABIC LETTER HIGH HAMZA WAW
        "\u0677",  # ; ARABIC LETTER U WITH HAMZA ABOVE
        "\u0678",  # ; ARABIC LETTER HIGH HAMZA YEH
        "\u0679",  # ; ARABIC LETTER TTEH
        "\u067A",  # ; ARABIC LETTER TTEHEH
        "\u067B",  # ; ARABIC LETTER BEEH
        "\u067C",  # ; ARABIC LETTER TEH WITH RING
        "\u067D",  # ; ARABIC LETTER TEH WITH THREE DOTS ABOVE DOWNWARDS
        "\u067E",  # ; ARABIC LETTER PEH
        "\u067F",  # ; ARABIC LETTER TEHEH
        "\u0680",  # ; ARABIC LETTER BEHEH
        "\u0681",  # ; ARABIC LETTER HAH WITH HAMZA ABOVE
        "\u0682",  # ; ARABIC LETTER HAH WITH TWO DOTS VERTICAL ABOVE
        "\u0683",  # ; ARABIC LETTER NYEH
        "\u0684",  # ; ARABIC LETTER DYEH
        "\u0685",  # ; ARABIC LETTER HAH WITH THREE DOTS ABOVE
        "\u0686",  # ; ARABIC LETTER TCHEH
        "\u0687",  # ; ARABIC LETTER TCHEHEH
        "\u0688",  # ; ARABIC LETTER DDAL
        "\u0689",  # ; ARABIC LETTER DAL WITH RING
        "\u068A",  # ; ARABIC LETTER DAL WITH DOT BELOW
        "\u068B",  # ; ARABIC LETTER DAL WITH DOT BELOW AND SMALL TAH
        "\u068C",  # ; ARABIC LETTER DAHAL
        "\u068D",  # ; ARABIC LETTER DDAHAL
        "\u068E",  # ; ARABIC LETTER DUL
        "\u068F",  # ; ARABIC LETTER DAL WITH THREE DOTS ABOVE DOWNWARDS
        "\u0690",  # ; ARABIC LETTER DAL WITH FOUR DOTS ABOVE
        "\u0691",  # ; ARABIC LETTER RREH
        "\u0692",  # ; ARABIC LETTER REH WITH SMALL V
        "\u0693",  # ; ARABIC LETTER REH WITH RING
        "\u0694",  # ; ARABIC LETTER REH WITH DOT BELOW
        "\u0695",  # ; ARABIC LETTER REH WITH SMALL V BELOW
        "\u0696",  # ; ARABIC LETTER REH WITH DOT BELOW AND DOT ABOVE
        "\u0697",  # ; ARABIC LETTER REH WITH TWO DOTS ABOVE
        "\u0698",  # ; ARABIC LETTER JEH
        "\u0699",  # ; ARABIC LETTER REH WITH FOUR DOTS ABOVE
        "\u069A",  # ; ARABIC LETTER SEEN WITH DOT BELOW AND DOT ABOVE
        "\u069B",  # ; ARABIC LETTER SEEN WITH THREE DOTS BELOW
        "\u069C",  # ; ARABIC LETTER SEEN WITH THREE DOTS BELOW AND THREE DOTS ABOVE
        "\u069D",  # ; ARABIC LETTER SAD WITH TWO DOTS BELOW
        "\u069E",  # ; ARABIC LETTER SAD WITH THREE DOTS ABOVE
        "\u069F",  # ; ARABIC LETTER TAH WITH THREE DOTS ABOVE
        "\u06A0",  # ; ARABIC LETTER AIN WITH THREE DOTS ABOVE
        "\u06A1",  # ; ARABIC LETTER DOTLESS FEH
        "\u06A2",  # ; ARABIC LETTER FEH WITH DOT MOVED BELOW
        "\u06A3",  # ; ARABIC LETTER FEH WITH DOT BELOW
        "\u06A4",  # ; ARABIC LETTER VEH
        "\u06A5",  # ; ARABIC LETTER FEH WITH THREE DOTS BELOW
        "\u06A6",  # ; ARABIC LETTER PEHEH
        "\u06A7",  # ; ARABIC LETTER QAF WITH DOT ABOVE
        "\u06A8",  # ; ARABIC LETTER QAF WITH THREE DOTS ABOVE
        "\u06A9",  # ; ARABIC LETTER KEHEH
        "\u06AA",  # ; ARABIC LETTER SWASH KAF
        "\u06AB",  # ; ARABIC LETTER KAF WITH RING
        "\u06AC",  # ; ARABIC LETTER KAF WITH DOT ABOVE
        "\u06AD",  # ; ARABIC LETTER NG
        "\u06AE",  # ; ARABIC LETTER KAF WITH THREE DOTS BELOW
        "\u06AF",  # ; ARABIC LETTER GAF
        "\u06B0",  # ; ARABIC LETTER GAF WITH RING
        "\u06B1",  # ; ARABIC LETTER NGOEH
        "\u06B2",  # ; ARABIC LETTER GAF WITH TWO DOTS BELOW
        "\u06B3",  # ; ARABIC LETTER GUEH
        "\u06B4",  # ; ARABIC LETTER GAF WITH THREE DOTS ABOVE
        "\u06B5",  # ; ARABIC LETTER LAM WITH SMALL V
        "\u06B6",  # ; ARABIC LETTER LAM WITH DOT ABOVE
        "\u06B7",  # ; ARABIC LETTER LAM WITH THREE DOTS ABOVE
        "\u06B8",  # ; ARABIC LETTER LAM WITH THREE DOTS BELOW
        "\u06B9",  # ; ARABIC LETTER NOON WITH DOT BELOW
        "\u06BA",  # ; ARABIC LETTER NOON GHUNNA
        "\u06BB",  # ; ARABIC LETTER RNOON
        "\u06BC",  # ; ARABIC LETTER NOON WITH RING
        "\u06BD",  # ; ARABIC LETTER NOON WITH THREE DOTS ABOVE
        "\u06BE",  # ; ARABIC LETTER HEH DOACHASHMEE
        "\u06BF",  # ; ARABIC LETTER TCHEH WITH DOT ABOVE
        "\u06C0",  # ; ARABIC LETTER HEH WITH YEH ABOVE
        "\u06C1",  # ; ARABIC LETTER HEH GOAL
        "\u06C2",  # ; ARABIC LETTER HEH GOAL WITH HAMZA ABOVE
        "\u06C3",  # ; ARABIC LETTER TEH MARBUTA GOAL
        "\u06C4",  # ; ARABIC LETTER WAW WITH RING
        "\u06C5",  # ; ARABIC LETTER KIRGHIZ OE
        "\u06C6",  # ; ARABIC LETTER OE
        "\u06C7",  # ; ARABIC LETTER U
        "\u06C8",  # ; ARABIC LETTER YU
        "\u06C9",  # ; ARABIC LETTER KIRGHIZ YU
        "\u06CA",  # ; ARABIC LETTER WAW WITH TWO DOTS ABOVE
        "\u06CB",  # ; ARABIC LETTER VE
        "\u06CC",  # ; ARABIC LETTER FARSI YEH
        "\u06CD",  # ; ARABIC LETTER YEH WITH TAIL
        "\u06CE",  # ; ARABIC LETTER YEH WITH SMALL V
        "\u06CF",  # ; ARABIC LETTER WAW WITH DOT ABOVE
        "\u06D0",  # ; ARABIC LETTER E
        "\u06D1",  # ; ARABIC LETTER YEH WITH THREE DOTS BELOW
        "\u06D2",  # ; ARABIC LETTER YEH BARREE
        "\u06D3",  # ; ARABIC LETTER YEH BARREE WITH HAMZA ABOVE
        "\u06D4",  # ; ARABIC FULL STOP
        "\u06D5",  # ; ARABIC LETTER AE
        "\u06D6",  # ; ARABIC SMALL HIGH LIGATURE SAD WITH LAM WITH ALEF MAKSURA
        "\u06D7",  # ; ARABIC SMALL HIGH LIGATURE QAF WITH LAM WITH ALEF MAKSURA
        "\u06D8",  # ; ARABIC SMALL HIGH MEEM INITIAL FORM
        "\u06D9",  # ; ARABIC SMALL HIGH LAM ALEF
        "\u06DA",  # ; ARABIC SMALL HIGH JEEM
        "\u06DB",  # ; ARABIC SMALL HIGH THREE DOTS
        "\u06DC",  # ; ARABIC SMALL HIGH SEEN
        "\u06DD",  # ; ARABIC END OF AYAH
        "\u06DE",  # ; ARABIC START OF RUB EL HIZB
        "\u06DF",  # ; ARABIC SMALL HIGH ROUNDED ZERO
        "\u06E0",  # ; ARABIC SMALL HIGH UPRIGHT RECTANGULAR ZERO
        "\u06E1",  # ; ARABIC SMALL HIGH DOTLESS HEAD OF KHAH
        "\u06E2",  # ; ARABIC SMALL HIGH MEEM ISOLATED FORM
        "\u06E3",  # ; ARABIC SMALL LOW SEEN
        "\u06E4",  # ; ARABIC SMALL HIGH MADDA
        "\u06E5",  # ; ARABIC SMALL WAW
        "\u06E6",  # ; ARABIC SMALL YEH
        "\u06E7",  # ; ARABIC SMALL HIGH YEH
        "\u06E8",  # ; ARABIC SMALL HIGH NOON
        "\u06E9",  # ; ARABIC PLACE OF SAJDAH
        "\u06EA",  # ; ARABIC EMPTY CENTRE LOW STOP
        "\u06EB",  # ; ARABIC EMPTY CENTRE HIGH STOP
        "\u06EC",  # ; ARABIC ROUNDED HIGH STOP WITH FILLED CENTRE
        "\u06ED",  # ; ARABIC SMALL LOW MEEM
        "\u06EE",  # ; ARABIC LETTER DAL WITH INVERTED V
        "\u06EF",  # ; ARABIC LETTER REH WITH INVERTED V
        "\u06F0",  # ; EXTENDED ARABIC-INDIC DIGIT ZERO
        "\u06F1",  # ; EXTENDED ARABIC-INDIC DIGIT ONE
        "\u06F2",  # ; EXTENDED ARABIC-INDIC DIGIT TWO
        "\u06F3",  # ; EXTENDED ARABIC-INDIC DIGIT THREE
        "\u06F4",  # ; EXTENDED ARABIC-INDIC DIGIT FOUR
        "\u06F5",  # ; EXTENDED ARABIC-INDIC DIGIT FIVE
        "\u06F6",  # ; EXTENDED ARABIC-INDIC DIGIT SIX
        "\u06F7",  # ; EXTENDED ARABIC-INDIC DIGIT SEVEN
        "\u06F8",  # ; EXTENDED ARABIC-INDIC DIGIT EIGHT
        "\u06F9",  # ; EXTENDED ARABIC-INDIC DIGIT NINE
        "\u06FA",  # ; ARABIC LETTER SHEEN WITH DOT BELOW
        "\u06FB",  # ; ARABIC LETTER DAD WITH DOT BELOW
        "\u06FC",  # ; ARABIC LETTER GHAIN WITH DOT BELOW
        "\u06FD",  # ; ARABIC SIGN SINDHI AMPERSAND
        "\u06FE",  # ; ARABIC SIGN SINDHI POSTPOSITION MEN
        "\u06FF",  # ; ARABIC LETTER HEH WITH INVERTED V
        "\u0700",  # ; SYRIAC END OF PARAGRAPH
        "\u0701",  # ; SYRIAC SUPRALINEAR FULL STOP
        "\u0702",  # ; SYRIAC SUBLINEAR FULL STOP
        "\u0703",  # ; SYRIAC SUPRALINEAR COLON
        "\u0704",  # ; SYRIAC SUBLINEAR COLON
        "\u0705",  # ; SYRIAC HORIZONTAL COLON
        "\u0706",  # ; SYRIAC COLON SKEWED LEFT
        "\u0707",  # ; SYRIAC COLON SKEWED RIGHT
        "\u0708",  # ; SYRIAC SUPRALINEAR COLON SKEWED LEFT
        "\u0709",  # ; SYRIAC SUBLINEAR COLON SKEWED RIGHT
        "\u070A",  # ; SYRIAC CONTRACTION
        "\u070B",  # ; SYRIAC HARKLEAN OBELUS
        "\u070C",  # ; SYRIAC HARKLEAN METOBELUS
        "\u070D",  # ; SYRIAC HARKLEAN ASTERISCUS
        "\u070F",  # ; SYRIAC ABBREVIATION MARK
        "\u0710",  # ; SYRIAC LETTER ALAPH
        "\u0711",  # ; SYRIAC LETTER SUPERSCRIPT ALAPH
        "\u0712",  # ; SYRIAC LETTER BETH
        "\u0713",  # ; SYRIAC LETTER GAMAL
        "\u0714",  # ; SYRIAC LETTER GAMAL GARSHUNI
        "\u0715",  # ; SYRIAC LETTER DALATH
        "\u0716",  # ; SYRIAC LETTER DOTLESS DALATH RISH
        "\u0717",  # ; SYRIAC LETTER HE
        "\u0718",  # ; SYRIAC LETTER WAW
        "\u0719",  # ; SYRIAC LETTER ZAIN
        "\u071A",  # ; SYRIAC LETTER HETH
        "\u071B",  # ; SYRIAC LETTER TETH
        "\u071C",  # ; SYRIAC LETTER TETH GARSHUNI
        "\u071D",  # ; SYRIAC LETTER YUDH
        "\u071E",  # ; SYRIAC LETTER YUDH HE
        "\u071F",  # ; SYRIAC LETTER KAPH
        "\u0720",  # ; SYRIAC LETTER LAMADH
        "\u0721",  # ; SYRIAC LETTER MIM
        "\u0722",  # ; SYRIAC LETTER NUN
        "\u0723",  # ; SYRIAC LETTER SEMKATH
        "\u0724",  # ; SYRIAC LETTER FINAL SEMKATH
        "\u0725",  # ; SYRIAC LETTER E
        "\u0726",  # ; SYRIAC LETTER PE
        "\u0727",  # ; SYRIAC LETTER REVERSED PE
        "\u0728",  # ; SYRIAC LETTER SADHE
        "\u0729",  # ; SYRIAC LETTER QAPH
        "\u072A",  # ; SYRIAC LETTER RISH
        "\u072B",  # ; SYRIAC LETTER SHIN
        "\u072C",  # ; SYRIAC LETTER TAW
        "\u072D",  # ; SYRIAC LETTER PERSIAN BHETH
        "\u072E",  # ; SYRIAC LETTER PERSIAN GHAMAL
        "\u072F",  # ; SYRIAC LETTER PERSIAN DHALATH
        "\u0730",  # ; SYRIAC PTHAHA ABOVE
        "\u0731",  # ; SYRIAC PTHAHA BELOW
        "\u0732",  # ; SYRIAC PTHAHA DOTTED
        "\u0733",  # ; SYRIAC ZQAPHA ABOVE
        "\u0734",  # ; SYRIAC ZQAPHA BELOW
        "\u0735",  # ; SYRIAC ZQAPHA DOTTED
        "\u0736",  # ; SYRIAC RBASA ABOVE
        "\u0737",  # ; SYRIAC RBASA BELOW
        "\u0738",  # ; SYRIAC DOTTED ZLAMA HORIZONTAL
        "\u0739",  # ; SYRIAC DOTTED ZLAMA ANGULAR
        "\u073A",  # ; SYRIAC HBASA ABOVE
        "\u073B",  # ; SYRIAC HBASA BELOW
        "\u073C",  # ; SYRIAC HBASA-ESASA DOTTED
        "\u073D",  # ; SYRIAC ESASA ABOVE
        "\u073E",  # ; SYRIAC ESASA BELOW
        "\u073F",  # ; SYRIAC RWAHA
        "\u0740",  # ; SYRIAC FEMININE DOT
        "\u0741",  # ; SYRIAC QUSHSHAYA
        "\u0742",  # ; SYRIAC RUKKAKHA
        "\u0743",  # ; SYRIAC TWO VERTICAL DOTS ABOVE
        "\u0744",  # ; SYRIAC TWO VERTICAL DOTS BELOW
        "\u0745",  # ; SYRIAC THREE DOTS ABOVE
        "\u0746",  # ; SYRIAC THREE DOTS BELOW
        "\u0747",  # ; SYRIAC OBLIQUE LINE ABOVE
        "\u0748",  # ; SYRIAC OBLIQUE LINE BELOW
        "\u0749",  # ; SYRIAC MUSIC
        "\u074A",  # ; SYRIAC BARREKH
        "\u074D",  # ; SYRIAC LETTER SOGDIAN ZHAIN
        "\u074E",  # ; SYRIAC LETTER SOGDIAN KHAPH
        "\u074F",  # ; SYRIAC LETTER SOGDIAN FE
        "\u0750",  # ; ARABIC LETTER BEH WITH THREE DOTS HORIZONTALLY BELOW
        "\u0751",  # ; ARABIC LETTER BEH WITH DOT BELOW AND THREE DOTS ABOVE
        "\u0752",  # ; ARABIC LETTER BEH WITH THREE DOTS POINTING UPWARDS BELOW
        "\u0753",  # ; ARABIC LETTER BEH WITH THREE DOTS POINTING UPWARDS BELOW AND TWO DOTS ABOVE
        "\u0754",  # ; ARABIC LETTER BEH WITH TWO DOTS BELOW AND DOT ABOVE
        "\u0755",  # ; ARABIC LETTER BEH WITH INVERTED SMALL V BELOW
        "\u0756",  # ; ARABIC LETTER BEH WITH SMALL V
        "\u0757",  # ; ARABIC LETTER HAH WITH TWO DOTS ABOVE
        "\u0758",  # ; ARABIC LETTER HAH WITH THREE DOTS POINTING UPWARDS BELOW
        "\u0759",  # ; ARABIC LETTER DAL WITH TWO DOTS VERTICALLY BELOW AND SMALL TAH
        "\u075A",  # ; ARABIC LETTER DAL WITH INVERTED SMALL V BELOW
        "\u075B",  # ; ARABIC LETTER REH WITH STROKE
        "\u075C",  # ; ARABIC LETTER SEEN WITH FOUR DOTS ABOVE
        "\u075D",  # ; ARABIC LETTER AIN WITH TWO DOTS ABOVE
        "\u075E",  # ; ARABIC LETTER AIN WITH THREE DOTS POINTING DOWNWARDS ABOVE
        "\u075F",  # ; ARABIC LETTER AIN WITH TWO DOTS VERTICALLY ABOVE
        "\u0760",  # ; ARABIC LETTER FEH WITH TWO DOTS BELOW
        "\u0761",  # ; ARABIC LETTER FEH WITH THREE DOTS POINTING UPWARDS BELOW
        "\u0762",  # ; ARABIC LETTER KEHEH WITH DOT ABOVE
        "\u0763",  # ; ARABIC LETTER KEHEH WITH THREE DOTS ABOVE
        "\u0764",  # ; ARABIC LETTER KEHEH WITH THREE DOTS POINTING UPWARDS BELOW
        "\u0765",  # ; ARABIC LETTER MEEM WITH DOT ABOVE
        "\u0766",  # ; ARABIC LETTER MEEM WITH DOT BELOW
        "\u0767",  # ; ARABIC LETTER NOON WITH TWO DOTS BELOW
        "\u0768",  # ; ARABIC LETTER NOON WITH SMALL TAH
        "\u0769",  # ; ARABIC LETTER NOON WITH SMALL V
        "\u076A",  # ; ARABIC LETTER LAM WITH BAR
        "\u076B",  # ; ARABIC LETTER REH WITH TWO DOTS VERTICALLY ABOVE
        "\u076C",  # ; ARABIC LETTER REH WITH HAMZA ABOVE
        "\u076D",  # ; ARABIC LETTER SEEN WITH TWO DOTS VERTICALLY ABOVE
        "\u076E",  # ; ARABIC LETTER HAH WITH SMALL ARABIC LETTER TAH BELOW
        "\u076F",  # ; ARABIC LETTER HAH WITH SMALL ARABIC LETTER TAH AND TWO DOTS
        "\u0770",  # ; ARABIC LETTER SEEN WITH SMALL ARABIC LETTER TAH AND TWO DOTS
        "\u0771",  # ; ARABIC LETTER REH WITH SMALL ARABIC LETTER TAH AND TWO DOTS
        "\u0772",  # ; ARABIC LETTER HAH WITH SMALL ARABIC LETTER TAH ABOVE
        "\u0773",  # ; ARABIC LETTER ALEF WITH EXTENDED ARABIC-INDIC DIGIT TWO ABOVE
        "\u0774",  # ; ARABIC LETTER ALEF WITH EXTENDED ARABIC-INDIC DIGIT THREE ABOVE
        "\u0775",  # ; ARABIC LETTER FARSI YEH WITH EXTENDED ARABIC-INDIC DIGIT TWO ABOVE
        "\u0776",  # ; ARABIC LETTER FARSI YEH WITH EXTENDED ARABIC-INDIC DIGIT THREE ABOVE
        "\u0777",  # ; ARABIC LETTER FARSI YEH WITH EXTENDED ARABIC-INDIC DIGIT FOUR BELOW
        "\u0778",  # ; ARABIC LETTER WAW WITH EXTENDED ARABIC-INDIC DIGIT TWO ABOVE
        "\u0779",  # ; ARABIC LETTER WAW WITH EXTENDED ARABIC-INDIC DIGIT THREE ABOVE
        "\u077A",  # ; ARABIC LETTER YEH BARREE WITH EXTENDED ARABIC-INDIC DIGIT TWO ABOVE
        "\u077B",  # ; ARABIC LETTER YEH BARREE WITH EXTENDED ARABIC-INDIC DIGIT THREE ABOVE
        "\u077C",  # ; ARABIC LETTER HAH WITH EXTENDED ARABIC-INDIC DIGIT FOUR BELOW
        "\u077D",  # ; ARABIC LETTER SEEN WITH EXTENDED ARABIC-INDIC DIGIT FOUR ABOVE
        "\u077E",  # ; ARABIC LETTER SEEN WITH INVERTED V
        "\u077F",  # ; ARABIC LETTER KAF WITH TWO DOTS ABOVE
        "\u0780",  # ; THAANA LETTER HAA
        "\u0781",  # ; THAANA LETTER SHAVIYANI
        "\u0782",  # ; THAANA LETTER NOONU
        "\u0783",  # ; THAANA LETTER RAA
        "\u0784",  # ; THAANA LETTER BAA
        "\u0785",  # ; THAANA LETTER LHAVIYANI
        "\u0786",  # ; THAANA LETTER KAAFU
        "\u0787",  # ; THAANA LETTER ALIFU
        "\u0788",  # ; THAANA LETTER VAAVU
        "\u0789",  # ; THAANA LETTER MEEMU
        "\u078A",  # ; THAANA LETTER FAAFU
        "\u078B",  # ; THAANA LETTER DHAALU
        "\u078C",  # ; THAANA LETTER THAA
        "\u078D",  # ; THAANA LETTER LAAMU
        "\u078E",  # ; THAANA LETTER GAAFU
        "\u078F",  # ; THAANA LETTER GNAVIYANI
        "\u0790",  # ; THAANA LETTER SEENU
        "\u0791",  # ; THAANA LETTER DAVIYANI
        "\u0792",  # ; THAANA LETTER ZAVIYANI
        "\u0793",  # ; THAANA LETTER TAVIYANI
        "\u0794",  # ; THAANA LETTER YAA
        "\u0795",  # ; THAANA LETTER PAVIYANI
        "\u0796",  # ; THAANA LETTER JAVIYANI
        "\u0797",  # ; THAANA LETTER CHAVIYANI
        "\u0798",  # ; THAANA LETTER TTAA
        "\u0799",  # ; THAANA LETTER HHAA
        "\u079A",  # ; THAANA LETTER KHAA
        "\u079B",  # ; THAANA LETTER THAALU
        "\u079C",  # ; THAANA LETTER ZAA
        "\u079D",  # ; THAANA LETTER SHEENU
        "\u079E",  # ; THAANA LETTER SAADHU
        "\u079F",  # ; THAANA LETTER DAADHU
        "\u07A0",  # ; THAANA LETTER TO
        "\u07A1",  # ; THAANA LETTER ZO
        "\u07A2",  # ; THAANA LETTER AINU
        "\u07A3",  # ; THAANA LETTER GHAINU
        "\u07A4",  # ; THAANA LETTER QAAFU
        "\u07A5",  # ; THAANA LETTER WAAVU
        "\u07A6",  # ; THAANA ABAFILI
        "\u07A7",  # ; THAANA AABAAFILI
        "\u07A8",  # ; THAANA IBIFILI
        "\u07A9",  # ; THAANA EEBEEFILI
        "\u07AA",  # ; THAANA UBUFILI
        "\u07AB",  # ; THAANA OOBOOFILI
        "\u07AC",  # ; THAANA EBEFILI
        "\u07AD",  # ; THAANA EYBEYFILI
        "\u07AE",  # ; THAANA OBOFILI
        "\u07AF",  # ; THAANA OABOAFILI
        "\u07B0",  # ; THAANA SUKUN
        "\u07B1",  # ; THAANA LETTER NAA
        "\u07C0",  # ; NKO DIGIT ZERO
        "\u07C1",  # ; NKO DIGIT ONE
        "\u07C2",  # ; NKO DIGIT TWO
        "\u07C3",  # ; NKO DIGIT THREE
        "\u07C4",  # ; NKO DIGIT FOUR
        "\u07C5",  # ; NKO DIGIT FIVE
        "\u07C6",  # ; NKO DIGIT SIX
        "\u07C7",  # ; NKO DIGIT SEVEN
        "\u07C8",  # ; NKO DIGIT EIGHT
        "\u07C9",  # ; NKO DIGIT NINE
        "\u07CA",  # ; NKO LETTER A
        "\u07CB",  # ; NKO LETTER EE
        "\u07CC",  # ; NKO LETTER I
        "\u07CD",  # ; NKO LETTER E
        "\u07CE",  # ; NKO LETTER U
        "\u07CF",  # ; NKO LETTER OO
        "\u07D0",  # ; NKO LETTER O
        "\u07D1",  # ; NKO LETTER DAGBASINNA
        "\u07D2",  # ; NKO LETTER N
        "\u07D3",  # ; NKO LETTER BA
        "\u07D4",  # ; NKO LETTER PA
        "\u07D5",  # ; NKO LETTER TA
        "\u07D6",  # ; NKO LETTER JA
        "\u07D7",  # ; NKO LETTER CHA
        "\u07D8",  # ; NKO LETTER DA
        "\u07D9",  # ; NKO LETTER RA
        "\u07DA",  # ; NKO LETTER RRA
        "\u07DB",  # ; NKO LETTER SA
        "\u07DC",  # ; NKO LETTER GBA
        "\u07DD",  # ; NKO LETTER FA
        "\u07DE",  # ; NKO LETTER KA
        "\u07DF",  # ; NKO LETTER LA
        "\u07E0",  # ; NKO LETTER NA WOLOSO
        "\u07E1",  # ; NKO LETTER MA
        "\u07E2",  # ; NKO LETTER NYA
        "\u07E3",  # ; NKO LETTER NA
        "\u07E4",  # ; NKO LETTER HA
        "\u07E5",  # ; NKO LETTER WA
        "\u07E6",  # ; NKO LETTER YA
        "\u07E7",  # ; NKO LETTER NYA WOLOSO
        "\u07E8",  # ; NKO LETTER JONA JA
        "\u07E9",  # ; NKO LETTER JONA CHA
        "\u07EA",  # ; NKO LETTER JONA RA
        "\u07EB",  # ; NKO COMBINING SHORT HIGH TONE
        "\u07EC",  # ; NKO COMBINING SHORT LOW TONE
        "\u07ED",  # ; NKO COMBINING SHORT RISING TONE
        "\u07EE",  # ; NKO COMBINING LONG DESCENDING TONE
        "\u07EF",  # ; NKO COMBINING LONG HIGH TONE
        "\u07F0",  # ; NKO COMBINING LONG LOW TONE
        "\u07F1",  # ; NKO COMBINING LONG RISING TONE
        "\u07F2",  # ; NKO COMBINING NASALIZATION MARK
        "\u07F3",  # ; NKO COMBINING DOUBLE DOT ABOVE
        "\u07F4",  # ; NKO HIGH TONE APOSTROPHE
        "\u07F5",  # ; NKO LOW TONE APOSTROPHE
        "\u07F6",  # ; NKO SYMBOL OO DENNEN
        "\u07F7",  # ; NKO SYMBOL GBAKURUNEN
        "\u07F8",  # ; NKO COMMA
        "\u07F9",  # ; NKO EXCLAMATION MARK
        "\u07FA",  # ; NKO LAJANYALAN
        "\u0800",  # ; SAMARITAN LETTER ALAF
        "\u0801",  # ; SAMARITAN LETTER BIT
        "\u0802",  # ; SAMARITAN LETTER GAMAN
        "\u0803",  # ; SAMARITAN LETTER DALAT
        "\u0804",  # ; SAMARITAN LETTER IY
        "\u0805",  # ; SAMARITAN LETTER BAA
        "\u0806",  # ; SAMARITAN LETTER ZEN
        "\u0807",  # ; SAMARITAN LETTER IT
        "\u0808",  # ; SAMARITAN LETTER TIT
        "\u0809",  # ; SAMARITAN LETTER YUT
        "\u080A",  # ; SAMARITAN LETTER KAAF
        "\u080B",  # ; SAMARITAN LETTER LABAT
        "\u080C",  # ; SAMARITAN LETTER MIM
        "\u080D",  # ; SAMARITAN LETTER NUN
        "\u080E",  # ; SAMARITAN LETTER SINGAAT
        "\u080F",  # ; SAMARITAN LETTER IN
        "\u0810",  # ; SAMARITAN LETTER FI
        "\u0811",  # ; SAMARITAN LETTER TSAADIY
        "\u0812",  # ; SAMARITAN LETTER QUF
        "\u0813",  # ; SAMARITAN LETTER RISH
        "\u0814",  # ; SAMARITAN LETTER SHAN
        "\u0815",  # ; SAMARITAN LETTER TAAF
        "\u0816",  # ; SAMARITAN MARK IN
        "\u0817",  # ; SAMARITAN MARK IN-ALAF
        "\u0818",  # ; SAMARITAN MARK OCCLUSION
        "\u0819",  # ; SAMARITAN MARK DAGESH
        "\u081A",  # ; SAMARITAN MODIFIER LETTER EPENTHETIC YUT
        "\u081B",  # ; SAMARITAN MARK EPENTHETIC YUT
        "\u081C",  # ; SAMARITAN VOWEL SIGN LONG E
        "\u081D",  # ; SAMARITAN VOWEL SIGN E
        "\u081E",  # ; SAMARITAN VOWEL SIGN OVERLONG AA
        "\u081F",  # ; SAMARITAN VOWEL SIGN LONG AA
        "\u0820",  # ; SAMARITAN VOWEL SIGN AA
        "\u0821",  # ; SAMARITAN VOWEL SIGN OVERLONG A
        "\u0822",  # ; SAMARITAN VOWEL SIGN LONG A
        "\u0823",  # ; SAMARITAN VOWEL SIGN A
        "\u0824",  # ; SAMARITAN MODIFIER LETTER SHORT A
        "\u0825",  # ; SAMARITAN VOWEL SIGN SHORT A
        "\u0826",  # ; SAMARITAN VOWEL SIGN LONG U
        "\u0827",  # ; SAMARITAN VOWEL SIGN U
        "\u0828",  # ; SAMARITAN MODIFIER LETTER I
        "\u0829",  # ; SAMARITAN VOWEL SIGN LONG I
        "\u082A",  # ; SAMARITAN VOWEL SIGN I
        "\u082B",  # ; SAMARITAN VOWEL SIGN O
        "\u082C",  # ; SAMARITAN VOWEL SIGN SUKUN
        "\u082D",  # ; SAMARITAN MARK NEQUDAA
        "\u0830",  # ; SAMARITAN PUNCTUATION NEQUDAA
        "\u0831",  # ; SAMARITAN PUNCTUATION AFSAAQ
        "\u0832",  # ; SAMARITAN PUNCTUATION ANGED
        "\u0833",  # ; SAMARITAN PUNCTUATION BAU
        "\u0834",  # ; SAMARITAN PUNCTUATION ATMAAU
        "\u0835",  # ; SAMARITAN PUNCTUATION SHIYYAALAA
        "\u0836",  # ; SAMARITAN ABBREVIATION MARK
        "\u0837",  # ; SAMARITAN PUNCTUATION MELODIC QITSA
        "\u0838",  # ; SAMARITAN PUNCTUATION ZIQAA
        "\u0839",  # ; SAMARITAN PUNCTUATION QITSA
        "\u083A",  # ; SAMARITAN PUNCTUATION ZAEF
        "\u083B",  # ; SAMARITAN PUNCTUATION TURU
        "\u083C",  # ; SAMARITAN PUNCTUATION ARKAANU
        "\u083D",  # ; SAMARITAN PUNCTUATION SOF MASHFAAT
        "\u083E",  # ; SAMARITAN PUNCTUATION ANNAAU
        "\u0840",  # ; MANDAIC LETTER HALQA
        "\u0841",  # ; MANDAIC LETTER AB
        "\u0842",  # ; MANDAIC LETTER AG
        "\u0843",  # ; MANDAIC LETTER AD
        "\u0844",  # ; MANDAIC LETTER AH
        "\u0845",  # ; MANDAIC LETTER USHENNA
        "\u0846",  # ; MANDAIC LETTER AZ
        "\u0847",  # ; MANDAIC LETTER IT
        "\u0848",  # ; MANDAIC LETTER ATT
        "\u0849",  # ; MANDAIC LETTER AKSA
        "\u084A",  # ; MANDAIC LETTER AK
        "\u084B",  # ; MANDAIC LETTER AL
        "\u084C",  # ; MANDAIC LETTER AM
        "\u084D",  # ; MANDAIC LETTER AN
        "\u084E",  # ; MANDAIC LETTER AS
        "\u084F",  # ; MANDAIC LETTER IN
        "\u0850",  # ; MANDAIC LETTER AP
        "\u0851",  # ; MANDAIC LETTER ASZ
        "\u0852",  # ; MANDAIC LETTER AQ
        "\u0853",  # ; MANDAIC LETTER AR
        "\u0854",  # ; MANDAIC LETTER ASH
        "\u0855",  # ; MANDAIC LETTER AT
        "\u0856",  # ; MANDAIC LETTER DUSHENNA
        "\u0857",  # ; MANDAIC LETTER KAD
        "\u0858",  # ; MANDAIC LETTER AIN
        "\u0859",  # ; MANDAIC AFFRICATION MARK
        "\u085A",  # ; MANDAIC VOCALIZATION MARK
        "\u085B",  # ; MANDAIC GEMINATION MARK
        "\u085E",  # ; MANDAIC PUNCTUATION
        "\u0860",  # ; SYRIAC LETTER MALAYALAM NGA
        "\u0861",  # ; SYRIAC LETTER MALAYALAM JA
        "\u0862",  # ; SYRIAC LETTER MALAYALAM NYA
        "\u0863",  # ; SYRIAC LETTER MALAYALAM TTA
        "\u0864",  # ; SYRIAC LETTER MALAYALAM NNA
        "\u0865",  # ; SYRIAC LETTER MALAYALAM NNNA
        "\u0866",  # ; SYRIAC LETTER MALAYALAM BHA
        "\u0867",  # ; SYRIAC LETTER MALAYALAM RA
        "\u0868",  # ; SYRIAC LETTER MALAYALAM LLA
        "\u0869",  # ; SYRIAC LETTER MALAYALAM LLLA
        "\u086A",  # ; SYRIAC LETTER MALAYALAM SSA
        "\u08A0",  # ; ARABIC LETTER BEH WITH SMALL V BELOW
        "\u08A1",  # ; ARABIC LETTER BEH WITH HAMZA ABOVE
        "\u08A2",  # ; ARABIC LETTER JEEM WITH TWO DOTS ABOVE
        "\u08A3",  # ; ARABIC LETTER TAH WITH TWO DOTS ABOVE
        "\u08A4",  # ; ARABIC LETTER FEH WITH DOT BELOW AND THREE DOTS ABOVE
        "\u08A5",  # ; ARABIC LETTER QAF WITH DOT BELOW
        "\u08A6",  # ; ARABIC LETTER LAM WITH DOUBLE BAR
        "\u08A7",  # ; ARABIC LETTER MEEM WITH THREE DOTS ABOVE
        "\u08A8",  # ; ARABIC LETTER YEH WITH TWO DOTS BELOW AND HAMZA ABOVE
        "\u08A9",  # ; ARABIC LETTER YEH WITH TWO DOTS BELOW AND DOT ABOVE
        "\u08AA",  # ; ARABIC LETTER REH WITH LOOP
        "\u08AB",  # ; ARABIC LETTER WAW WITH DOT WITHIN
        "\u08AC",  # ; ARABIC LETTER ROHINGYA YEH
        "\u08AD",  # ; ARABIC LETTER LOW ALEF
        "\u08AE",  # ; ARABIC LETTER DAL WITH THREE DOTS BELOW
        "\u08AF",  # ; ARABIC LETTER SAD WITH THREE DOTS BELOW
        "\u08B0",  # ; ARABIC LETTER GAF WITH INVERTED STROKE
        "\u08B1",  # ; ARABIC LETTER STRAIGHT WAW
        "\u08B2",  # ; ARABIC LETTER ZAIN WITH INVERTED V ABOVE
        "\u08B3",  # ; ARABIC LETTER AIN WITH THREE DOTS BELOW
        "\u08B4",  # ; ARABIC LETTER KAF WITH DOT BELOW
        "\u08B6",  # ; ARABIC LETTER BEH WITH SMALL MEEM ABOVE
        "\u08B7",  # ; ARABIC LETTER PEH WITH SMALL MEEM ABOVE
        "\u08B8",  # ; ARABIC LETTER TEH WITH SMALL TEH ABOVE
        "\u08B9",  # ; ARABIC LETTER REH WITH SMALL NOON ABOVE
        "\u08BA",  # ; ARABIC LETTER YEH WITH TWO DOTS BELOW AND SMALL NOON ABOVE
        "\u08BB",  # ; ARABIC LETTER AFRICAN FEH
        "\u08BC",  # ; ARABIC LETTER AFRICAN QAF
        "\u08BD",  # ; ARABIC LETTER AFRICAN NOON
        "\u08D4",  # ; ARABIC SMALL HIGH WORD AR-RUB
        "\u08D5",  # ; ARABIC SMALL HIGH SAD
        "\u08D6",  # ; ARABIC SMALL HIGH AIN
        "\u08D7",  # ; ARABIC SMALL HIGH QAF
        "\u08D8",  # ; ARABIC SMALL HIGH NOON WITH KASRA
        "\u08D9",  # ; ARABIC SMALL LOW NOON WITH KASRA
        "\u08DA",  # ; ARABIC SMALL HIGH WORD ATH-THALATHA
        "\u08DB",  # ; ARABIC SMALL HIGH WORD AS-SAJDA
        "\u08DC",  # ; ARABIC SMALL HIGH WORD AN-NISF
        "\u08DD",  # ; ARABIC SMALL HIGH WORD SAKTA
        "\u08DE",  # ; ARABIC SMALL HIGH WORD QIF
        "\u08DF",  # ; ARABIC SMALL HIGH WORD WAQFA
        "\u08E0",  # ; ARABIC SMALL HIGH FOOTNOTE MARKER
        "\u08E1",  # ; ARABIC SMALL HIGH SIGN SAFHA
        "\u08E2",  # ; ARABIC DISPUTED END OF AYAH
        "\u08E3",  # ; ARABIC TURNED DAMMA BELOW
        "\u08E4",  # ; ARABIC CURLY FATHA
        "\u08E5",  # ; ARABIC CURLY DAMMA
        "\u08E6",  # ; ARABIC CURLY KASRA
        "\u08E7",  # ; ARABIC CURLY FATHATAN
        "\u08E8",  # ; ARABIC CURLY DAMMATAN
        "\u08E9",  # ; ARABIC CURLY KASRATAN
        "\u08EA",  # ; ARABIC TONE ONE DOT ABOVE
        "\u08EB",  # ; ARABIC TONE TWO DOTS ABOVE
        "\u08EC",  # ; ARABIC TONE LOOP ABOVE
        "\u08ED",  # ; ARABIC TONE ONE DOT BELOW
        "\u08EE",  # ; ARABIC TONE TWO DOTS BELOW
        "\u08EF",  # ; ARABIC TONE LOOP BELOW
        "\u08F0",  # ; ARABIC OPEN FATHATAN
        "\u08F1",  # ; ARABIC OPEN DAMMATAN
        "\u08F2",  # ; ARABIC OPEN KASRATAN
        "\u08F3",  # ; ARABIC SMALL HIGH WAW
        "\u08F4",  # ; ARABIC FATHA WITH RING
        "\u08F5",  # ; ARABIC FATHA WITH DOT ABOVE
        "\u08F6",  # ; ARABIC KASRA WITH DOT BELOW
        "\u08F7",  # ; ARABIC LEFT ARROWHEAD ABOVE
        "\u08F8",  # ; ARABIC RIGHT ARROWHEAD ABOVE
        "\u08F9",  # ; ARABIC LEFT ARROWHEAD BELOW
        "\u08FA",  # ; ARABIC RIGHT ARROWHEAD BELOW
        "\u08FB",  # ; ARABIC DOUBLE RIGHT ARROWHEAD ABOVE
        "\u08FC",  # ; ARABIC DOUBLE RIGHT ARROWHEAD ABOVE WITH DOT
        "\u08FD",  # ; ARABIC RIGHT ARROWHEAD ABOVE WITH DOT
        "\u08FE",  # ; ARABIC DAMMA WITH DOT
        "\u08FF",  # ; ARABIC MARK SIDEWAYS NOON GHUNNA
        "\u0900",  # ; DEVANAGARI SIGN INVERTED CANDRABINDU
        "\u0901",  # ; DEVANAGARI SIGN CANDRABINDU
        "\u0902",  # ; DEVANAGARI SIGN ANUSVARA
        "\u0903",  # ; DEVANAGARI SIGN VISARGA
        "\u0904",  # ; DEVANAGARI LETTER SHORT A
        "\u0905",  # ; DEVANAGARI LETTER A
        "\u0906",  # ; DEVANAGARI LETTER AA
        "\u0907",  # ; DEVANAGARI LETTER I
        "\u0908",  # ; DEVANAGARI LETTER II
        "\u0909",  # ; DEVANAGARI LETTER U
        "\u090A",  # ; DEVANAGARI LETTER UU
        "\u090B",  # ; DEVANAGARI LETTER VOCALIC R
        "\u090C",  # ; DEVANAGARI LETTER VOCALIC L
        "\u090D",  # ; DEVANAGARI LETTER CANDRA E
        "\u090E",  # ; DEVANAGARI LETTER SHORT E
        "\u090F",  # ; DEVANAGARI LETTER E
        "\u0910",  # ; DEVANAGARI LETTER AI
        "\u0911",  # ; DEVANAGARI LETTER CANDRA O
        "\u0912",  # ; DEVANAGARI LETTER SHORT O
        "\u0913",  # ; DEVANAGARI LETTER O
        "\u0914",  # ; DEVANAGARI LETTER AU
        "\u0915",  # ; DEVANAGARI LETTER KA
        "\u0916",  # ; DEVANAGARI LETTER KHA
        "\u0917",  # ; DEVANAGARI LETTER GA
        "\u0918",  # ; DEVANAGARI LETTER GHA
        "\u0919",  # ; DEVANAGARI LETTER NGA
        "\u091A",  # ; DEVANAGARI LETTER CA
        "\u091B",  # ; DEVANAGARI LETTER CHA
        "\u091C",  # ; DEVANAGARI LETTER JA
        "\u091D",  # ; DEVANAGARI LETTER JHA
        "\u091E",  # ; DEVANAGARI LETTER NYA
        "\u091F",  # ; DEVANAGARI LETTER TTA
        "\u0920",  # ; DEVANAGARI LETTER TTHA
        "\u0921",  # ; DEVANAGARI LETTER DDA
        "\u0922",  # ; DEVANAGARI LETTER DDHA
        "\u0923",  # ; DEVANAGARI LETTER NNA
        "\u0924",  # ; DEVANAGARI LETTER TA
        "\u0925",  # ; DEVANAGARI LETTER THA
        "\u0926",  # ; DEVANAGARI LETTER DA
        "\u0927",  # ; DEVANAGARI LETTER DHA
        "\u0928",  # ; DEVANAGARI LETTER NA
        "\u0929",  # ; DEVANAGARI LETTER NNNA
        "\u092A",  # ; DEVANAGARI LETTER PA
        "\u092B",  # ; DEVANAGARI LETTER PHA
        "\u092C",  # ; DEVANAGARI LETTER BA
        "\u092D",  # ; DEVANAGARI LETTER BHA
        "\u092E",  # ; DEVANAGARI LETTER MA
        "\u092F",  # ; DEVANAGARI LETTER YA
        "\u0930",  # ; DEVANAGARI LETTER RA
        "\u0931",  # ; DEVANAGARI LETTER RRA
        "\u0932",  # ; DEVANAGARI LETTER LA
        "\u0933",  # ; DEVANAGARI LETTER LLA
        "\u0934",  # ; DEVANAGARI LETTER LLLA
        "\u0935",  # ; DEVANAGARI LETTER VA
        "\u0936",  # ; DEVANAGARI LETTER SHA
        "\u0937",  # ; DEVANAGARI LETTER SSA
        "\u0938",  # ; DEVANAGARI LETTER SA
        "\u0939",  # ; DEVANAGARI LETTER HA
        "\u093A",  # ; DEVANAGARI VOWEL SIGN OE
        "\u093B",  # ; DEVANAGARI VOWEL SIGN OOE
        "\u093C",  # ; DEVANAGARI SIGN NUKTA
        "\u093D",  # ; DEVANAGARI SIGN AVAGRAHA
        "\u093E",  # ; DEVANAGARI VOWEL SIGN AA
        "\u093F",  # ; DEVANAGARI VOWEL SIGN I
        "\u0940",  # ; DEVANAGARI VOWEL SIGN II
        "\u0941",  # ; DEVANAGARI VOWEL SIGN U
        "\u0942",  # ; DEVANAGARI VOWEL SIGN UU
        "\u0943",  # ; DEVANAGARI VOWEL SIGN VOCALIC R
        "\u0944",  # ; DEVANAGARI VOWEL SIGN VOCALIC RR
        "\u0945",  # ; DEVANAGARI VOWEL SIGN CANDRA E
        "\u0946",  # ; DEVANAGARI VOWEL SIGN SHORT E
        "\u0947",  # ; DEVANAGARI VOWEL SIGN E
        "\u0948",  # ; DEVANAGARI VOWEL SIGN AI
        "\u0949",  # ; DEVANAGARI VOWEL SIGN CANDRA O
        "\u094A",  # ; DEVANAGARI VOWEL SIGN SHORT O
        "\u094B",  # ; DEVANAGARI VOWEL SIGN O
        "\u094C",  # ; DEVANAGARI VOWEL SIGN AU
        "\u094D",  # ; DEVANAGARI SIGN VIRAMA
        "\u094E",  # ; DEVANAGARI VOWEL SIGN PRISHTHAMATRA E
        "\u094F",  # ; DEVANAGARI VOWEL SIGN AW
        "\u0950",  # ; DEVANAGARI OM
        "\u0951",  # ; DEVANAGARI STRESS SIGN UDATTA
        "\u0952",  # ; DEVANAGARI STRESS SIGN ANUDATTA
        "\u0953",  # ; DEVANAGARI GRAVE ACCENT
        "\u0954",  # ; DEVANAGARI ACUTE ACCENT
        "\u0955",  # ; DEVANAGARI VOWEL SIGN CANDRA LONG E
        "\u0956",  # ; DEVANAGARI VOWEL SIGN UE
        "\u0957",  # ; DEVANAGARI VOWEL SIGN UUE
        "\u0958",  # ; DEVANAGARI LETTER QA
        "\u0959",  # ; DEVANAGARI LETTER KHHA
        "\u095A",  # ; DEVANAGARI LETTER GHHA
        "\u095B",  # ; DEVANAGARI LETTER ZA
        "\u095C",  # ; DEVANAGARI LETTER DDDHA
        "\u095D",  # ; DEVANAGARI LETTER RHA
        "\u095E",  # ; DEVANAGARI LETTER FA
        "\u095F",  # ; DEVANAGARI LETTER YYA
        "\u0960",  # ; DEVANAGARI LETTER VOCALIC RR
        "\u0961",  # ; DEVANAGARI LETTER VOCALIC LL
        "\u0962",  # ; DEVANAGARI VOWEL SIGN VOCALIC L
        "\u0963",  # ; DEVANAGARI VOWEL SIGN VOCALIC LL
        "\u0964",  # ; DEVANAGARI DANDA
        "\u0965",  # ; DEVANAGARI DOUBLE DANDA
        "\u0966",  # ; DEVANAGARI DIGIT ZERO
        "\u0967",  # ; DEVANAGARI DIGIT ONE
        "\u0968",  # ; DEVANAGARI DIGIT TWO
        "\u0969",  # ; DEVANAGARI DIGIT THREE
        "\u096A",  # ; DEVANAGARI DIGIT FOUR
        "\u096B",  # ; DEVANAGARI DIGIT FIVE
        "\u096C",  # ; DEVANAGARI DIGIT SIX
        "\u096D",  # ; DEVANAGARI DIGIT SEVEN
        "\u096E",  # ; DEVANAGARI DIGIT EIGHT
        "\u096F",  # ; DEVANAGARI DIGIT NINE
        "\u0970",  # ; DEVANAGARI ABBREVIATION SIGN
        "\u0971",  # ; DEVANAGARI SIGN HIGH SPACING DOT
        "\u0972",  # ; DEVANAGARI LETTER CANDRA A
        "\u0973",  # ; DEVANAGARI LETTER OE
        "\u0974",  # ; DEVANAGARI LETTER OOE
        "\u0975",  # ; DEVANAGARI LETTER AW
        "\u0976",  # ; DEVANAGARI LETTER UE
        "\u0977",  # ; DEVANAGARI LETTER UUE
        "\u0978",  # ; DEVANAGARI LETTER MARWARI DDA
        "\u0979",  # ; DEVANAGARI LETTER ZHA
        "\u097A",  # ; DEVANAGARI LETTER HEAVY YA
        "\u097B",  # ; DEVANAGARI LETTER GGA
        "\u097C",  # ; DEVANAGARI LETTER JJA
        "\u097D",  # ; DEVANAGARI LETTER GLOTTAL STOP
        "\u097E",  # ; DEVANAGARI LETTER DDDA
        "\u097F",  # ; DEVANAGARI LETTER BBA
        "\u0980",  # ; BENGALI ANJI
        "\u0981",  # ; BENGALI SIGN CANDRABINDU
        "\u0982",  # ; BENGALI SIGN ANUSVARA
        "\u0983",  # ; BENGALI SIGN VISARGA
        "\u0985",  # ; BENGALI LETTER A
        "\u0986",  # ; BENGALI LETTER AA
        "\u0987",  # ; BENGALI LETTER I
        "\u0988",  # ; BENGALI LETTER II
        "\u0989",  # ; BENGALI LETTER U
        "\u098A",  # ; BENGALI LETTER UU
        "\u098B",  # ; BENGALI LETTER VOCALIC R
        "\u098C",  # ; BENGALI LETTER VOCALIC L
        "\u098F",  # ; BENGALI LETTER E
        "\u0990",  # ; BENGALI LETTER AI
        "\u0993",  # ; BENGALI LETTER O
        "\u0994",  # ; BENGALI LETTER AU
        "\u0995",  # ; BENGALI LETTER KA
        "\u0996",  # ; BENGALI LETTER KHA
        "\u0997",  # ; BENGALI LETTER GA
        "\u0998",  # ; BENGALI LETTER GHA
        "\u0999",  # ; BENGALI LETTER NGA
        "\u099A",  # ; BENGALI LETTER CA
        "\u099B",  # ; BENGALI LETTER CHA
        "\u099C",  # ; BENGALI LETTER JA
        "\u099D",  # ; BENGALI LETTER JHA
        "\u099E",  # ; BENGALI LETTER NYA
        "\u099F",  # ; BENGALI LETTER TTA
        "\u09A0",  # ; BENGALI LETTER TTHA
        "\u09A1",  # ; BENGALI LETTER DDA
        "\u09A2",  # ; BENGALI LETTER DDHA
        "\u09A3",  # ; BENGALI LETTER NNA
        "\u09A4",  # ; BENGALI LETTER TA
        "\u09A5",  # ; BENGALI LETTER THA
        "\u09A6",  # ; BENGALI LETTER DA
        "\u09A7",  # ; BENGALI LETTER DHA
        "\u09A8",  # ; BENGALI LETTER NA
        "\u09AA",  # ; BENGALI LETTER PA
        "\u09AB",  # ; BENGALI LETTER PHA
        "\u09AC",  # ; BENGALI LETTER BA
        "\u09AD",  # ; BENGALI LETTER BHA
        "\u09AE",  # ; BENGALI LETTER MA
        "\u09AF",  # ; BENGALI LETTER YA
        "\u09B0",  # ; BENGALI LETTER RA
        "\u09B2",  # ; BENGALI LETTER LA
        "\u09B6",  # ; BENGALI LETTER SHA
        "\u09B7",  # ; BENGALI LETTER SSA
        "\u09B8",  # ; BENGALI LETTER SA
        "\u09B9",  # ; BENGALI LETTER HA
        "\u09BC",  # ; BENGALI SIGN NUKTA
        "\u09BD",  # ; BENGALI SIGN AVAGRAHA
        "\u09BE",  # ; BENGALI VOWEL SIGN AA
        "\u09BF",  # ; BENGALI VOWEL SIGN I
        "\u09C0",  # ; BENGALI VOWEL SIGN II
        "\u09C1",  # ; BENGALI VOWEL SIGN U
        "\u09C2",  # ; BENGALI VOWEL SIGN UU
        "\u09C3",  # ; BENGALI VOWEL SIGN VOCALIC R
        "\u09C4",  # ; BENGALI VOWEL SIGN VOCALIC RR
        "\u09C7",  # ; BENGALI VOWEL SIGN E
        "\u09C8",  # ; BENGALI VOWEL SIGN AI
        "\u09CB",  # ; BENGALI VOWEL SIGN O
        "\u09CC",  # ; BENGALI VOWEL SIGN AU
        "\u09CD",  # ; BENGALI SIGN VIRAMA
        "\u09CE",  # ; BENGALI LETTER KHANDA TA
        "\u09D7",  # ; BENGALI AU LENGTH MARK
        "\u09DC",  # ; BENGALI LETTER RRA
        "\u09DD",  # ; BENGALI LETTER RHA
        "\u09DF",  # ; BENGALI LETTER YYA
        "\u09E0",  # ; BENGALI LETTER VOCALIC RR
        "\u09E1",  # ; BENGALI LETTER VOCALIC LL
        "\u09E2",  # ; BENGALI VOWEL SIGN VOCALIC L
        "\u09E3",  # ; BENGALI VOWEL SIGN VOCALIC LL
        "\u09E6",  # ; BENGALI DIGIT ZERO
        "\u09E7",  # ; BENGALI DIGIT ONE
        "\u09E8",  # ; BENGALI DIGIT TWO
        "\u09E9",  # ; BENGALI DIGIT THREE
        "\u09EA",  # ; BENGALI DIGIT FOUR
        "\u09EB",  # ; BENGALI DIGIT FIVE
        "\u09EC",  # ; BENGALI DIGIT SIX
        "\u09ED",  # ; BENGALI DIGIT SEVEN
        "\u09EE",  # ; BENGALI DIGIT EIGHT
        "\u09EF",  # ; BENGALI DIGIT NINE
        "\u09F0",  # ; BENGALI LETTER RA WITH MIDDLE DIAGONAL
        "\u09F1",  # ; BENGALI LETTER RA WITH LOWER DIAGONAL
        "\u09F2",  # ; BENGALI RUPEE MARK
        "\u09F3",  # ; BENGALI RUPEE SIGN
        "\u09F4",  # ; BENGALI CURRENCY NUMERATOR ONE
        "\u09F5",  # ; BENGALI CURRENCY NUMERATOR TWO
        "\u09F6",  # ; BENGALI CURRENCY NUMERATOR THREE
        "\u09F7",  # ; BENGALI CURRENCY NUMERATOR FOUR
        "\u09F8",  # ; BENGALI CURRENCY NUMERATOR ONE LESS THAN THE DENOMINATOR
        "\u09F9",  # ; BENGALI CURRENCY DENOMINATOR SIXTEEN
        "\u09FA",  # ; BENGALI ISSHAR
        "\u09FB",  # ; BENGALI GANDA MARK
        "\u09FC",  # ; BENGALI LETTER VEDIC ANUSVARA
        "\u09FD",  # ; BENGALI ABBREVIATION SIGN
        "\u0A01",  # ; GURMUKHI SIGN ADAK BINDI
        "\u0A02",  # ; GURMUKHI SIGN BINDI
        "\u0A03",  # ; GURMUKHI SIGN VISARGA
        "\u0A05",  # ; GURMUKHI LETTER A
        "\u0A06",  # ; GURMUKHI LETTER AA
        "\u0A07",  # ; GURMUKHI LETTER I
        "\u0A08",  # ; GURMUKHI LETTER II
        "\u0A09",  # ; GURMUKHI LETTER U
        "\u0A0A",  # ; GURMUKHI LETTER UU
        "\u0A0F",  # ; GURMUKHI LETTER EE
        "\u0A10",  # ; GURMUKHI LETTER AI
        "\u0A13",  # ; GURMUKHI LETTER OO
        "\u0A14",  # ; GURMUKHI LETTER AU
        "\u0A15",  # ; GURMUKHI LETTER KA
        "\u0A16",  # ; GURMUKHI LETTER KHA
        "\u0A17",  # ; GURMUKHI LETTER GA
        "\u0A18",  # ; GURMUKHI LETTER GHA
        "\u0A19",  # ; GURMUKHI LETTER NGA
        "\u0A1A",  # ; GURMUKHI LETTER CA
        "\u0A1B",  # ; GURMUKHI LETTER CHA
        "\u0A1C",  # ; GURMUKHI LETTER JA
        "\u0A1D",  # ; GURMUKHI LETTER JHA
        "\u0A1E",  # ; GURMUKHI LETTER NYA
        "\u0A1F",  # ; GURMUKHI LETTER TTA
        "\u0A20",  # ; GURMUKHI LETTER TTHA
        "\u0A21",  # ; GURMUKHI LETTER DDA
        "\u0A22",  # ; GURMUKHI LETTER DDHA
        "\u0A23",  # ; GURMUKHI LETTER NNA
        "\u0A24",  # ; GURMUKHI LETTER TA
        "\u0A25",  # ; GURMUKHI LETTER THA
        "\u0A26",  # ; GURMUKHI LETTER DA
        "\u0A27",  # ; GURMUKHI LETTER DHA
        "\u0A28",  # ; GURMUKHI LETTER NA
        "\u0A2A",  # ; GURMUKHI LETTER PA
        "\u0A2B",  # ; GURMUKHI LETTER PHA
        "\u0A2C",  # ; GURMUKHI LETTER BA
        "\u0A2D",  # ; GURMUKHI LETTER BHA
        "\u0A2E",  # ; GURMUKHI LETTER MA
        "\u0A2F",  # ; GURMUKHI LETTER YA
        "\u0A30",  # ; GURMUKHI LETTER RA
        "\u0A32",  # ; GURMUKHI LETTER LA
        "\u0A33",  # ; GURMUKHI LETTER LLA
        "\u0A35",  # ; GURMUKHI LETTER VA
        "\u0A36",  # ; GURMUKHI LETTER SHA
        "\u0A38",  # ; GURMUKHI LETTER SA
        "\u0A39",  # ; GURMUKHI LETTER HA
        "\u0A3C",  # ; GURMUKHI SIGN NUKTA
        "\u0A3E",  # ; GURMUKHI VOWEL SIGN AA
        "\u0A3F",  # ; GURMUKHI VOWEL SIGN I
        "\u0A40",  # ; GURMUKHI VOWEL SIGN II
        "\u0A41",  # ; GURMUKHI VOWEL SIGN U
        "\u0A42",  # ; GURMUKHI VOWEL SIGN UU
        "\u0A47",  # ; GURMUKHI VOWEL SIGN EE
        "\u0A48",  # ; GURMUKHI VOWEL SIGN AI
        "\u0A4B",  # ; GURMUKHI VOWEL SIGN OO
        "\u0A4C",  # ; GURMUKHI VOWEL SIGN AU
        "\u0A4D",  # ; GURMUKHI SIGN VIRAMA
        "\u0A51",  # ; GURMUKHI SIGN UDAAT
        "\u0A59",  # ; GURMUKHI LETTER KHHA
        "\u0A5A",  # ; GURMUKHI LETTER GHHA
        "\u0A5B",  # ; GURMUKHI LETTER ZA
        "\u0A5C",  # ; GURMUKHI LETTER RRA
        "\u0A5E",  # ; GURMUKHI LETTER FA
        "\u0A66",  # ; GURMUKHI DIGIT ZERO
        "\u0A67",  # ; GURMUKHI DIGIT ONE
        "\u0A68",  # ; GURMUKHI DIGIT TWO
        "\u0A69",  # ; GURMUKHI DIGIT THREE
        "\u0A6A",  # ; GURMUKHI DIGIT FOUR
        "\u0A6B",  # ; GURMUKHI DIGIT FIVE
        "\u0A6C",  # ; GURMUKHI DIGIT SIX
        "\u0A6D",  # ; GURMUKHI DIGIT SEVEN
        "\u0A6E",  # ; GURMUKHI DIGIT EIGHT
        "\u0A6F",  # ; GURMUKHI DIGIT NINE
        "\u0A70",  # ; GURMUKHI TIPPI
        "\u0A71",  # ; GURMUKHI ADDAK
        "\u0A72",  # ; GURMUKHI IRI
        "\u0A73",  # ; GURMUKHI URA
        "\u0A74",  # ; GURMUKHI EK ONKAR
        "\u0A75",  # ; GURMUKHI SIGN YAKASH
        "\u0A81",  # ; GUJARATI SIGN CANDRABINDU
        "\u0A82",  # ; GUJARATI SIGN ANUSVARA
        "\u0A83",  # ; GUJARATI SIGN VISARGA
        "\u0A85",  # ; GUJARATI LETTER A
        "\u0A86",  # ; GUJARATI LETTER AA
        "\u0A87",  # ; GUJARATI LETTER I
        "\u0A88",  # ; GUJARATI LETTER II
        "\u0A89",  # ; GUJARATI LETTER U
        "\u0A8A",  # ; GUJARATI LETTER UU
        "\u0A8B",  # ; GUJARATI LETTER VOCALIC R
        "\u0A8C",  # ; GUJARATI LETTER VOCALIC L
        "\u0A8D",  # ; GUJARATI VOWEL CANDRA E
        "\u0A8F",  # ; GUJARATI LETTER E
        "\u0A90",  # ; GUJARATI LETTER AI
        "\u0A91",  # ; GUJARATI VOWEL CANDRA O
        "\u0A93",  # ; GUJARATI LETTER O
        "\u0A94",  # ; GUJARATI LETTER AU
        "\u0A95",  # ; GUJARATI LETTER KA
        "\u0A96",  # ; GUJARATI LETTER KHA
        "\u0A97",  # ; GUJARATI LETTER GA
        "\u0A98",  # ; GUJARATI LETTER GHA
        "\u0A99",  # ; GUJARATI LETTER NGA
        "\u0A9A",  # ; GUJARATI LETTER CA
        "\u0A9B",  # ; GUJARATI LETTER CHA
        "\u0A9C",  # ; GUJARATI LETTER JA
        "\u0A9D",  # ; GUJARATI LETTER JHA
        "\u0A9E",  # ; GUJARATI LETTER NYA
        "\u0A9F",  # ; GUJARATI LETTER TTA
        "\u0AA0",  # ; GUJARATI LETTER TTHA
        "\u0AA1",  # ; GUJARATI LETTER DDA
        "\u0AA2",  # ; GUJARATI LETTER DDHA
        "\u0AA3",  # ; GUJARATI LETTER NNA
        "\u0AA4",  # ; GUJARATI LETTER TA
        "\u0AA5",  # ; GUJARATI LETTER THA
        "\u0AA6",  # ; GUJARATI LETTER DA
        "\u0AA7",  # ; GUJARATI LETTER DHA
        "\u0AA8",  # ; GUJARATI LETTER NA
        "\u0AAA",  # ; GUJARATI LETTER PA
        "\u0AAB",  # ; GUJARATI LETTER PHA
        "\u0AAC",  # ; GUJARATI LETTER BA
        "\u0AAD",  # ; GUJARATI LETTER BHA
        "\u0AAE",  # ; GUJARATI LETTER MA
        "\u0AAF",  # ; GUJARATI LETTER YA
        "\u0AB0",  # ; GUJARATI LETTER RA
        "\u0AB2",  # ; GUJARATI LETTER LA
        "\u0AB3",  # ; GUJARATI LETTER LLA
        "\u0AB5",  # ; GUJARATI LETTER VA
        "\u0AB6",  # ; GUJARATI LETTER SHA
        "\u0AB7",  # ; GUJARATI LETTER SSA
        "\u0AB8",  # ; GUJARATI LETTER SA
        "\u0AB9",  # ; GUJARATI LETTER HA
        "\u0ABC",  # ; GUJARATI SIGN NUKTA
        "\u0ABD",  # ; GUJARATI SIGN AVAGRAHA
        "\u0ABE",  # ; GUJARATI VOWEL SIGN AA
        "\u0ABF",  # ; GUJARATI VOWEL SIGN I
        "\u0AC0",  # ; GUJARATI VOWEL SIGN II
        "\u0AC1",  # ; GUJARATI VOWEL SIGN U
        "\u0AC2",  # ; GUJARATI VOWEL SIGN UU
        "\u0AC3",  # ; GUJARATI VOWEL SIGN VOCALIC R
        "\u0AC4",  # ; GUJARATI VOWEL SIGN VOCALIC RR
        "\u0AC5",  # ; GUJARATI VOWEL SIGN CANDRA E
        "\u0AC7",  # ; GUJARATI VOWEL SIGN E
        "\u0AC8",  # ; GUJARATI VOWEL SIGN AI
        "\u0AC9",  # ; GUJARATI VOWEL SIGN CANDRA O
        "\u0ACB",  # ; GUJARATI VOWEL SIGN O
        "\u0ACC",  # ; GUJARATI VOWEL SIGN AU
        "\u0ACD",  # ; GUJARATI SIGN VIRAMA
        "\u0AD0",  # ; GUJARATI OM
        "\u0AE0",  # ; GUJARATI LETTER VOCALIC RR
        "\u0AE1",  # ; GUJARATI LETTER VOCALIC LL
        "\u0AE2",  # ; GUJARATI VOWEL SIGN VOCALIC L
        "\u0AE3",  # ; GUJARATI VOWEL SIGN VOCALIC LL
        "\u0AE6",  # ; GUJARATI DIGIT ZERO
        "\u0AE7",  # ; GUJARATI DIGIT ONE
        "\u0AE8",  # ; GUJARATI DIGIT TWO
        "\u0AE9",  # ; GUJARATI DIGIT THREE
        "\u0AEA",  # ; GUJARATI DIGIT FOUR
        "\u0AEB",  # ; GUJARATI DIGIT FIVE
        "\u0AEC",  # ; GUJARATI DIGIT SIX
        "\u0AED",  # ; GUJARATI DIGIT SEVEN
        "\u0AEE",  # ; GUJARATI DIGIT EIGHT
        "\u0AEF",  # ; GUJARATI DIGIT NINE
        "\u0AF0",  # ; GUJARATI ABBREVIATION SIGN
        "\u0AF1",  # ; GUJARATI RUPEE SIGN
        "\u0AF9",  # ; GUJARATI LETTER ZHA
        "\u0AFA",  # ; GUJARATI SIGN SUKUN
        "\u0AFB",  # ; GUJARATI SIGN SHADDA
        "\u0AFC",  # ; GUJARATI SIGN MADDAH
        "\u0AFD",  # ; GUJARATI SIGN THREE-DOT NUKTA ABOVE
        "\u0AFE",  # ; GUJARATI SIGN CIRCLE NUKTA ABOVE
        "\u0AFF",  # ; GUJARATI SIGN TWO-CIRCLE NUKTA ABOVE
        "\u0B01",  # ; ORIYA SIGN CANDRABINDU
        "\u0B02",  # ; ORIYA SIGN ANUSVARA
        "\u0B03",  # ; ORIYA SIGN VISARGA
        "\u0B05",  # ; ORIYA LETTER A
        "\u0B06",  # ; ORIYA LETTER AA
        "\u0B07",  # ; ORIYA LETTER I
        "\u0B08",  # ; ORIYA LETTER II
        "\u0B09",  # ; ORIYA LETTER U
        "\u0B0A",  # ; ORIYA LETTER UU
        "\u0B0B",  # ; ORIYA LETTER VOCALIC R
        "\u0B0C",  # ; ORIYA LETTER VOCALIC L
        "\u0B0F",  # ; ORIYA LETTER E
        "\u0B10",  # ; ORIYA LETTER AI
        "\u0B13",  # ; ORIYA LETTER O
        "\u0B14",  # ; ORIYA LETTER AU
        "\u0B15",  # ; ORIYA LETTER KA
        "\u0B16",  # ; ORIYA LETTER KHA
        "\u0B17",  # ; ORIYA LETTER GA
        "\u0B18",  # ; ORIYA LETTER GHA
        "\u0B19",  # ; ORIYA LETTER NGA
        "\u0B1A",  # ; ORIYA LETTER CA
        "\u0B1B",  # ; ORIYA LETTER CHA
        "\u0B1C",  # ; ORIYA LETTER JA
        "\u0B1D",  # ; ORIYA LETTER JHA
        "\u0B1E",  # ; ORIYA LETTER NYA
        "\u0B1F",  # ; ORIYA LETTER TTA
        "\u0B20",  # ; ORIYA LETTER TTHA
        "\u0B21",  # ; ORIYA LETTER DDA
        "\u0B22",  # ; ORIYA LETTER DDHA
        "\u0B23",  # ; ORIYA LETTER NNA
        "\u0B24",  # ; ORIYA LETTER TA
        "\u0B25",  # ; ORIYA LETTER THA
        "\u0B26",  # ; ORIYA LETTER DA
        "\u0B27",  # ; ORIYA LETTER DHA
        "\u0B28",  # ; ORIYA LETTER NA
        "\u0B2A",  # ; ORIYA LETTER PA
        "\u0B2B",  # ; ORIYA LETTER PHA
        "\u0B2C",  # ; ORIYA LETTER BA
        "\u0B2D",  # ; ORIYA LETTER BHA
        "\u0B2E",  # ; ORIYA LETTER MA
        "\u0B2F",  # ; ORIYA LETTER YA
        "\u0B30",  # ; ORIYA LETTER RA
        "\u0B32",  # ; ORIYA LETTER LA
        "\u0B33",  # ; ORIYA LETTER LLA
        "\u0B35",  # ; ORIYA LETTER VA
        "\u0B36",  # ; ORIYA LETTER SHA
        "\u0B37",  # ; ORIYA LETTER SSA
        "\u0B38",  # ; ORIYA LETTER SA
        "\u0B39",  # ; ORIYA LETTER HA
        "\u0B3C",  # ; ORIYA SIGN NUKTA
        "\u0B3D",  # ; ORIYA SIGN AVAGRAHA
        "\u0B3E",  # ; ORIYA VOWEL SIGN AA
        "\u0B3F",  # ; ORIYA VOWEL SIGN I
        "\u0B40",  # ; ORIYA VOWEL SIGN II
        "\u0B41",  # ; ORIYA VOWEL SIGN U
        "\u0B42",  # ; ORIYA VOWEL SIGN UU
        "\u0B43",  # ; ORIYA VOWEL SIGN VOCALIC R
        "\u0B44",  # ; ORIYA VOWEL SIGN VOCALIC RR
        "\u0B47",  # ; ORIYA VOWEL SIGN E
        "\u0B48",  # ; ORIYA VOWEL SIGN AI
        "\u0B4B",  # ; ORIYA VOWEL SIGN O
        "\u0B4C",  # ; ORIYA VOWEL SIGN AU
        "\u0B4D",  # ; ORIYA SIGN VIRAMA
        "\u0B56",  # ; ORIYA AI LENGTH MARK
        "\u0B57",  # ; ORIYA AU LENGTH MARK
        "\u0B5C",  # ; ORIYA LETTER RRA
        "\u0B5D",  # ; ORIYA LETTER RHA
        "\u0B5F",  # ; ORIYA LETTER YYA
        "\u0B60",  # ; ORIYA LETTER VOCALIC RR
        "\u0B61",  # ; ORIYA LETTER VOCALIC LL
        "\u0B62",  # ; ORIYA VOWEL SIGN VOCALIC L
        "\u0B63",  # ; ORIYA VOWEL SIGN VOCALIC LL
        "\u0B66",  # ; ORIYA DIGIT ZERO
        "\u0B67",  # ; ORIYA DIGIT ONE
        "\u0B68",  # ; ORIYA DIGIT TWO
        "\u0B69",  # ; ORIYA DIGIT THREE
        "\u0B6A",  # ; ORIYA DIGIT FOUR
        "\u0B6B",  # ; ORIYA DIGIT FIVE
        "\u0B6C",  # ; ORIYA DIGIT SIX
        "\u0B6D",  # ; ORIYA DIGIT SEVEN
        "\u0B6E",  # ; ORIYA DIGIT EIGHT
        "\u0B6F",  # ; ORIYA DIGIT NINE
        "\u0B70",  # ; ORIYA ISSHAR
        "\u0B71",  # ; ORIYA LETTER WA
        "\u0B72",  # ; ORIYA FRACTION ONE QUARTER
        "\u0B73",  # ; ORIYA FRACTION ONE HALF
        "\u0B74",  # ; ORIYA FRACTION THREE QUARTERS
        "\u0B75",  # ; ORIYA FRACTION ONE SIXTEENTH
        "\u0B76",  # ; ORIYA FRACTION ONE EIGHTH
        "\u0B77",  # ; ORIYA FRACTION THREE SIXTEENTHS
        "\u0B82",  # ; TAMIL SIGN ANUSVARA
        "\u0B83",  # ; TAMIL SIGN VISARGA
        "\u0B85",  # ; TAMIL LETTER A
        "\u0B86",  # ; TAMIL LETTER AA
        "\u0B87",  # ; TAMIL LETTER I
        "\u0B88",  # ; TAMIL LETTER II
        "\u0B89",  # ; TAMIL LETTER U
        "\u0B8A",  # ; TAMIL LETTER UU
        "\u0B8E",  # ; TAMIL LETTER E
        "\u0B8F",  # ; TAMIL LETTER EE
        "\u0B90",  # ; TAMIL LETTER AI
        "\u0B92",  # ; TAMIL LETTER O
        "\u0B93",  # ; TAMIL LETTER OO
        "\u0B94",  # ; TAMIL LETTER AU
        "\u0B95",  # ; TAMIL LETTER KA
        "\u0B99",  # ; TAMIL LETTER NGA
        "\u0B9A",  # ; TAMIL LETTER CA
        "\u0B9C",  # ; TAMIL LETTER JA
        "\u0B9E",  # ; TAMIL LETTER NYA
        "\u0B9F",  # ; TAMIL LETTER TTA
        "\u0BA3",  # ; TAMIL LETTER NNA
        "\u0BA4",  # ; TAMIL LETTER TA
        "\u0BA8",  # ; TAMIL LETTER NA
        "\u0BA9",  # ; TAMIL LETTER NNNA
        "\u0BAA",  # ; TAMIL LETTER PA
        "\u0BAE",  # ; TAMIL LETTER MA
        "\u0BAF",  # ; TAMIL LETTER YA
        "\u0BB0",  # ; TAMIL LETTER RA
        "\u0BB1",  # ; TAMIL LETTER RRA
        "\u0BB2",  # ; TAMIL LETTER LA
        "\u0BB3",  # ; TAMIL LETTER LLA
        "\u0BB4",  # ; TAMIL LETTER LLLA
        "\u0BB5",  # ; TAMIL LETTER VA
        "\u0BB6",  # ; TAMIL LETTER SHA
        "\u0BB7",  # ; TAMIL LETTER SSA
        "\u0BB8",  # ; TAMIL LETTER SA
        "\u0BB9",  # ; TAMIL LETTER HA
        "\u0BBE",  # ; TAMIL VOWEL SIGN AA
        "\u0BBF",  # ; TAMIL VOWEL SIGN I
        "\u0BC0",  # ; TAMIL VOWEL SIGN II
        "\u0BC1",  # ; TAMIL VOWEL SIGN U
        "\u0BC2",  # ; TAMIL VOWEL SIGN UU
        "\u0BC6",  # ; TAMIL VOWEL SIGN E
        "\u0BC7",  # ; TAMIL VOWEL SIGN EE
        "\u0BC8",  # ; TAMIL VOWEL SIGN AI
        "\u0BCA",  # ; TAMIL VOWEL SIGN O
        "\u0BCB",  # ; TAMIL VOWEL SIGN OO
        "\u0BCC",  # ; TAMIL VOWEL SIGN AU
        "\u0BCD",  # ; TAMIL SIGN VIRAMA
        "\u0BD0",  # ; TAMIL OM
        "\u0BD7",  # ; TAMIL AU LENGTH MARK
        "\u0BE6",  # ; TAMIL DIGIT ZERO
        "\u0BE7",  # ; TAMIL DIGIT ONE
        "\u0BE8",  # ; TAMIL DIGIT TWO
        "\u0BE9",  # ; TAMIL DIGIT THREE
        "\u0BEA",  # ; TAMIL DIGIT FOUR
        "\u0BEB",  # ; TAMIL DIGIT FIVE
        "\u0BEC",  # ; TAMIL DIGIT SIX
        "\u0BED",  # ; TAMIL DIGIT SEVEN
        "\u0BEE",  # ; TAMIL DIGIT EIGHT
        "\u0BEF",  # ; TAMIL DIGIT NINE
        "\u0BF0",  # ; TAMIL NUMBER TEN
        "\u0BF1",  # ; TAMIL NUMBER ONE HUNDRED
        "\u0BF2",  # ; TAMIL NUMBER ONE THOUSAND
        "\u0BF3",  # ; TAMIL DAY SIGN
        "\u0BF4",  # ; TAMIL MONTH SIGN
        "\u0BF5",  # ; TAMIL YEAR SIGN
        "\u0BF6",  # ; TAMIL DEBIT SIGN
        "\u0BF7",  # ; TAMIL CREDIT SIGN
        "\u0BF8",  # ; TAMIL AS ABOVE SIGN
        "\u0BF9",  # ; TAMIL RUPEE SIGN
        "\u0BFA",  # ; TAMIL NUMBER SIGN
        "\u0C00",  # ; TELUGU SIGN COMBINING CANDRABINDU ABOVE
        "\u0C01",  # ; TELUGU SIGN CANDRABINDU
        "\u0C02",  # ; TELUGU SIGN ANUSVARA
        "\u0C03",  # ; TELUGU SIGN VISARGA
        "\u0C05",  # ; TELUGU LETTER A
        "\u0C06",  # ; TELUGU LETTER AA
        "\u0C07",  # ; TELUGU LETTER I
        "\u0C08",  # ; TELUGU LETTER II
        "\u0C09",  # ; TELUGU LETTER U
        "\u0C0A",  # ; TELUGU LETTER UU
        "\u0C0B",  # ; TELUGU LETTER VOCALIC R
        "\u0C0C",  # ; TELUGU LETTER VOCALIC L
        "\u0C0E",  # ; TELUGU LETTER E
        "\u0C0F",  # ; TELUGU LETTER EE
        "\u0C10",  # ; TELUGU LETTER AI
        "\u0C12",  # ; TELUGU LETTER O
        "\u0C13",  # ; TELUGU LETTER OO
        "\u0C14",  # ; TELUGU LETTER AU
        "\u0C15",  # ; TELUGU LETTER KA
        "\u0C16",  # ; TELUGU LETTER KHA
        "\u0C17",  # ; TELUGU LETTER GA
        "\u0C18",  # ; TELUGU LETTER GHA
        "\u0C19",  # ; TELUGU LETTER NGA
        "\u0C1A",  # ; TELUGU LETTER CA
        "\u0C1B",  # ; TELUGU LETTER CHA
        "\u0C1C",  # ; TELUGU LETTER JA
        "\u0C1D",  # ; TELUGU LETTER JHA
        "\u0C1E",  # ; TELUGU LETTER NYA
        "\u0C1F",  # ; TELUGU LETTER TTA
        "\u0C20",  # ; TELUGU LETTER TTHA
        "\u0C21",  # ; TELUGU LETTER DDA
        "\u0C22",  # ; TELUGU LETTER DDHA
        "\u0C23",  # ; TELUGU LETTER NNA
        "\u0C24",  # ; TELUGU LETTER TA
        "\u0C25",  # ; TELUGU LETTER THA
        "\u0C26",  # ; TELUGU LETTER DA
        "\u0C27",  # ; TELUGU LETTER DHA
        "\u0C28",  # ; TELUGU LETTER NA
        "\u0C2A",  # ; TELUGU LETTER PA
        "\u0C2B",  # ; TELUGU LETTER PHA
        "\u0C2C",  # ; TELUGU LETTER BA
        "\u0C2D",  # ; TELUGU LETTER BHA
        "\u0C2E",  # ; TELUGU LETTER MA
        "\u0C2F",  # ; TELUGU LETTER YA
        "\u0C30",  # ; TELUGU LETTER RA
        "\u0C31",  # ; TELUGU LETTER RRA
        "\u0C32",  # ; TELUGU LETTER LA
        "\u0C33",  # ; TELUGU LETTER LLA
        "\u0C34",  # ; TELUGU LETTER LLLA
        "\u0C35",  # ; TELUGU LETTER VA
        "\u0C36",  # ; TELUGU LETTER SHA
        "\u0C37",  # ; TELUGU LETTER SSA
        "\u0C38",  # ; TELUGU LETTER SA
        "\u0C39",  # ; TELUGU LETTER HA
        "\u0C3D",  # ; TELUGU SIGN AVAGRAHA
        "\u0C3E",  # ; TELUGU VOWEL SIGN AA
        "\u0C3F",  # ; TELUGU VOWEL SIGN I
        "\u0C40",  # ; TELUGU VOWEL SIGN II
        "\u0C41",  # ; TELUGU VOWEL SIGN U
        "\u0C42",  # ; TELUGU VOWEL SIGN UU
        "\u0C43",  # ; TELUGU VOWEL SIGN VOCALIC R
        "\u0C44",  # ; TELUGU VOWEL SIGN VOCALIC RR
        "\u0C46",  # ; TELUGU VOWEL SIGN E
        "\u0C47",  # ; TELUGU VOWEL SIGN EE
        "\u0C48",  # ; TELUGU VOWEL SIGN AI
        "\u0C4A",  # ; TELUGU VOWEL SIGN O
        "\u0C4B",  # ; TELUGU VOWEL SIGN OO
        "\u0C4C",  # ; TELUGU VOWEL SIGN AU
        "\u0C4D",  # ; TELUGU SIGN VIRAMA
        "\u0C55",  # ; TELUGU LENGTH MARK
        "\u0C56",  # ; TELUGU AI LENGTH MARK
        "\u0C58",  # ; TELUGU LETTER TSA
        "\u0C59",  # ; TELUGU LETTER DZA
        "\u0C5A",  # ; TELUGU LETTER RRRA
        "\u0C60",  # ; TELUGU LETTER VOCALIC RR
        "\u0C61",  # ; TELUGU LETTER VOCALIC LL
        "\u0C62",  # ; TELUGU VOWEL SIGN VOCALIC L
        "\u0C63",  # ; TELUGU VOWEL SIGN VOCALIC LL
        "\u0C66",  # ; TELUGU DIGIT ZERO
        "\u0C67",  # ; TELUGU DIGIT ONE
        "\u0C68",  # ; TELUGU DIGIT TWO
        "\u0C69",  # ; TELUGU DIGIT THREE
        "\u0C6A",  # ; TELUGU DIGIT FOUR
        "\u0C6B",  # ; TELUGU DIGIT FIVE
        "\u0C6C",  # ; TELUGU DIGIT SIX
        "\u0C6D",  # ; TELUGU DIGIT SEVEN
        "\u0C6E",  # ; TELUGU DIGIT EIGHT
        "\u0C6F",  # ; TELUGU DIGIT NINE
        "\u0C78",  # ; TELUGU FRACTION DIGIT ZERO FOR ODD POWERS OF FOUR
        "\u0C79",  # ; TELUGU FRACTION DIGIT ONE FOR ODD POWERS OF FOUR
        "\u0C7A",  # ; TELUGU FRACTION DIGIT TWO FOR ODD POWERS OF FOUR
        "\u0C7B",  # ; TELUGU FRACTION DIGIT THREE FOR ODD POWERS OF FOUR
        "\u0C7C",  # ; TELUGU FRACTION DIGIT ONE FOR EVEN POWERS OF FOUR
        "\u0C7D",  # ; TELUGU FRACTION DIGIT TWO FOR EVEN POWERS OF FOUR
        "\u0C7E",  # ; TELUGU FRACTION DIGIT THREE FOR EVEN POWERS OF FOUR
        "\u0C7F",  # ; TELUGU SIGN TUUMU
        "\u0C80",  # ; KANNADA SIGN SPACING CANDRABINDU
        "\u0C81",  # ; KANNADA SIGN CANDRABINDU
        "\u0C82",  # ; KANNADA SIGN ANUSVARA
        "\u0C83",  # ; KANNADA SIGN VISARGA
        "\u0C85",  # ; KANNADA LETTER A
        "\u0C86",  # ; KANNADA LETTER AA
        "\u0C87",  # ; KANNADA LETTER I
        "\u0C88",  # ; KANNADA LETTER II
        "\u0C89",  # ; KANNADA LETTER U
        "\u0C8A",  # ; KANNADA LETTER UU
        "\u0C8B",  # ; KANNADA LETTER VOCALIC R
        "\u0C8C",  # ; KANNADA LETTER VOCALIC L
        "\u0C8E",  # ; KANNADA LETTER E
        "\u0C8F",  # ; KANNADA LETTER EE
        "\u0C90",  # ; KANNADA LETTER AI
        "\u0C92",  # ; KANNADA LETTER O
        "\u0C93",  # ; KANNADA LETTER OO
        "\u0C94",  # ; KANNADA LETTER AU
        "\u0C95",  # ; KANNADA LETTER KA
        "\u0C96",  # ; KANNADA LETTER KHA
        "\u0C97",  # ; KANNADA LETTER GA
        "\u0C98",  # ; KANNADA LETTER GHA
        "\u0C99",  # ; KANNADA LETTER NGA
        "\u0C9A",  # ; KANNADA LETTER CA
        "\u0C9B",  # ; KANNADA LETTER CHA
        "\u0C9C",  # ; KANNADA LETTER JA
        "\u0C9D",  # ; KANNADA LETTER JHA
        "\u0C9E",  # ; KANNADA LETTER NYA
        "\u0C9F",  # ; KANNADA LETTER TTA
        "\u0CA0",  # ; KANNADA LETTER TTHA
        "\u0CA1",  # ; KANNADA LETTER DDA
        "\u0CA2",  # ; KANNADA LETTER DDHA
        "\u0CA3",  # ; KANNADA LETTER NNA
        "\u0CA4",  # ; KANNADA LETTER TA
        "\u0CA5",  # ; KANNADA LETTER THA
        "\u0CA6",  # ; KANNADA LETTER DA
        "\u0CA7",  # ; KANNADA LETTER DHA
        "\u0CA8",  # ; KANNADA LETTER NA
        "\u0CAA",  # ; KANNADA LETTER PA
        "\u0CAB",  # ; KANNADA LETTER PHA
        "\u0CAC",  # ; KANNADA LETTER BA
        "\u0CAD",  # ; KANNADA LETTER BHA
        "\u0CAE",  # ; KANNADA LETTER MA
        "\u0CAF",  # ; KANNADA LETTER YA
        "\u0CB0",  # ; KANNADA LETTER RA
        "\u0CB1",  # ; KANNADA LETTER RRA
        "\u0CB2",  # ; KANNADA LETTER LA
        "\u0CB3",  # ; KANNADA LETTER LLA
        "\u0CB5",  # ; KANNADA LETTER VA
        "\u0CB6",  # ; KANNADA LETTER SHA
        "\u0CB7",  # ; KANNADA LETTER SSA
        "\u0CB8",  # ; KANNADA LETTER SA
        "\u0CB9",  # ; KANNADA LETTER HA
        "\u0CBC",  # ; KANNADA SIGN NUKTA
        "\u0CBD",  # ; KANNADA SIGN AVAGRAHA
        "\u0CBE",  # ; KANNADA VOWEL SIGN AA
        "\u0CBF",  # ; KANNADA VOWEL SIGN I
        "\u0CC0",  # ; KANNADA VOWEL SIGN II
        "\u0CC1",  # ; KANNADA VOWEL SIGN U
        "\u0CC2",  # ; KANNADA VOWEL SIGN UU
        "\u0CC3",  # ; KANNADA VOWEL SIGN VOCALIC R
        "\u0CC4",  # ; KANNADA VOWEL SIGN VOCALIC RR
        "\u0CC6",  # ; KANNADA VOWEL SIGN E
        "\u0CC7",  # ; KANNADA VOWEL SIGN EE
        "\u0CC8",  # ; KANNADA VOWEL SIGN AI
        "\u0CCA",  # ; KANNADA VOWEL SIGN O
        "\u0CCB",  # ; KANNADA VOWEL SIGN OO
        "\u0CCC",  # ; KANNADA VOWEL SIGN AU
        "\u0CCD",  # ; KANNADA SIGN VIRAMA
        "\u0CD5",  # ; KANNADA LENGTH MARK
        "\u0CD6",  # ; KANNADA AI LENGTH MARK
        "\u0CDE",  # ; KANNADA LETTER FA
        "\u0CE0",  # ; KANNADA LETTER VOCALIC RR
        "\u0CE1",  # ; KANNADA LETTER VOCALIC LL
        "\u0CE2",  # ; KANNADA VOWEL SIGN VOCALIC L
        "\u0CE3",  # ; KANNADA VOWEL SIGN VOCALIC LL
        "\u0CE6",  # ; KANNADA DIGIT ZERO
        "\u0CE7",  # ; KANNADA DIGIT ONE
        "\u0CE8",  # ; KANNADA DIGIT TWO
        "\u0CE9",  # ; KANNADA DIGIT THREE
        "\u0CEA",  # ; KANNADA DIGIT FOUR
        "\u0CEB",  # ; KANNADA DIGIT FIVE
        "\u0CEC",  # ; KANNADA DIGIT SIX
        "\u0CED",  # ; KANNADA DIGIT SEVEN
        "\u0CEE",  # ; KANNADA DIGIT EIGHT
        "\u0CEF",  # ; KANNADA DIGIT NINE
        "\u0CF1",  # ; KANNADA SIGN JIHVAMULIYA
        "\u0CF2",  # ; KANNADA SIGN UPADHMANIYA
        "\u0D00",  # ; MALAYALAM SIGN COMBINING ANUSVARA ABOVE
        "\u0D01",  # ; MALAYALAM SIGN CANDRABINDU
        "\u0D02",  # ; MALAYALAM SIGN ANUSVARA
        "\u0D03",  # ; MALAYALAM SIGN VISARGA
        "\u0D05",  # ; MALAYALAM LETTER A
        "\u0D06",  # ; MALAYALAM LETTER AA
        "\u0D07",  # ; MALAYALAM LETTER I
        "\u0D08",  # ; MALAYALAM LETTER II
        "\u0D09",  # ; MALAYALAM LETTER U
        "\u0D0A",  # ; MALAYALAM LETTER UU
        "\u0D0B",  # ; MALAYALAM LETTER VOCALIC R
        "\u0D0C",  # ; MALAYALAM LETTER VOCALIC L
        "\u0D0E",  # ; MALAYALAM LETTER E
        "\u0D0F",  # ; MALAYALAM LETTER EE
        "\u0D10",  # ; MALAYALAM LETTER AI
        "\u0D12",  # ; MALAYALAM LETTER O
        "\u0D13",  # ; MALAYALAM LETTER OO
        "\u0D14",  # ; MALAYALAM LETTER AU
        "\u0D15",  # ; MALAYALAM LETTER KA
        "\u0D16",  # ; MALAYALAM LETTER KHA
        "\u0D17",  # ; MALAYALAM LETTER GA
        "\u0D18",  # ; MALAYALAM LETTER GHA
        "\u0D19",  # ; MALAYALAM LETTER NGA
        "\u0D1A",  # ; MALAYALAM LETTER CA
        "\u0D1B",  # ; MALAYALAM LETTER CHA
        "\u0D1C",  # ; MALAYALAM LETTER JA
        "\u0D1D",  # ; MALAYALAM LETTER JHA
        "\u0D1E",  # ; MALAYALAM LETTER NYA
        "\u0D1F",  # ; MALAYALAM LETTER TTA
        "\u0D20",  # ; MALAYALAM LETTER TTHA
        "\u0D21",  # ; MALAYALAM LETTER DDA
        "\u0D22",  # ; MALAYALAM LETTER DDHA
        "\u0D23",  # ; MALAYALAM LETTER NNA
        "\u0D24",  # ; MALAYALAM LETTER TA
        "\u0D25",  # ; MALAYALAM LETTER THA
        "\u0D26",  # ; MALAYALAM LETTER DA
        "\u0D27",  # ; MALAYALAM LETTER DHA
        "\u0D28",  # ; MALAYALAM LETTER NA
        "\u0D29",  # ; MALAYALAM LETTER NNNA
        "\u0D2A",  # ; MALAYALAM LETTER PA
        "\u0D2B",  # ; MALAYALAM LETTER PHA
        "\u0D2C",  # ; MALAYALAM LETTER BA
        "\u0D2D",  # ; MALAYALAM LETTER BHA
        "\u0D2E",  # ; MALAYALAM LETTER MA
        "\u0D2F",  # ; MALAYALAM LETTER YA
        "\u0D30",  # ; MALAYALAM LETTER RA
        "\u0D31",  # ; MALAYALAM LETTER RRA
        "\u0D32",  # ; MALAYALAM LETTER LA
        "\u0D33",  # ; MALAYALAM LETTER LLA
        "\u0D34",  # ; MALAYALAM LETTER LLLA
        "\u0D35",  # ; MALAYALAM LETTER VA
        "\u0D36",  # ; MALAYALAM LETTER SHA
        "\u0D37",  # ; MALAYALAM LETTER SSA
        "\u0D38",  # ; MALAYALAM LETTER SA
        "\u0D39",  # ; MALAYALAM LETTER HA
        "\u0D3A",  # ; MALAYALAM LETTER TTTA
        "\u0D3B",  # ; MALAYALAM SIGN VERTICAL BAR VIRAMA
        "\u0D3C",  # ; MALAYALAM SIGN CIRCULAR VIRAMA
        "\u0D3D",  # ; MALAYALAM SIGN AVAGRAHA
        "\u0D3E",  # ; MALAYALAM VOWEL SIGN AA
        "\u0D3F",  # ; MALAYALAM VOWEL SIGN I
        "\u0D40",  # ; MALAYALAM VOWEL SIGN II
        "\u0D41",  # ; MALAYALAM VOWEL SIGN U
        "\u0D42",  # ; MALAYALAM VOWEL SIGN UU
        "\u0D43",  # ; MALAYALAM VOWEL SIGN VOCALIC R
        "\u0D44",  # ; MALAYALAM VOWEL SIGN VOCALIC RR
        "\u0D46",  # ; MALAYALAM VOWEL SIGN E
        "\u0D47",  # ; MALAYALAM VOWEL SIGN EE
        "\u0D48",  # ; MALAYALAM VOWEL SIGN AI
        "\u0D4A",  # ; MALAYALAM VOWEL SIGN O
        "\u0D4B",  # ; MALAYALAM VOWEL SIGN OO
        "\u0D4C",  # ; MALAYALAM VOWEL SIGN AU
        "\u0D4D",  # ; MALAYALAM SIGN VIRAMA
        "\u0D4E",  # ; MALAYALAM LETTER DOT REPH
        "\u0D4F",  # ; MALAYALAM SIGN PARA
        "\u0D54",  # ; MALAYALAM LETTER CHILLU M
        "\u0D55",  # ; MALAYALAM LETTER CHILLU Y
        "\u0D56",  # ; MALAYALAM LETTER CHILLU LLL
        "\u0D57",  # ; MALAYALAM AU LENGTH MARK
        "\u0D58",  # ; MALAYALAM FRACTION ONE ONE-HUNDRED-AND-SIXTIETH
        "\u0D59",  # ; MALAYALAM FRACTION ONE FORTIETH
        "\u0D5A",  # ; MALAYALAM FRACTION THREE EIGHTIETHS
        "\u0D5B",  # ; MALAYALAM FRACTION ONE TWENTIETH
        "\u0D5C",  # ; MALAYALAM FRACTION ONE TENTH
        "\u0D5D",  # ; MALAYALAM FRACTION THREE TWENTIETHS
        "\u0D5E",  # ; MALAYALAM FRACTION ONE FIFTH
        "\u0D5F",  # ; MALAYALAM LETTER ARCHAIC II
        "\u0D60",  # ; MALAYALAM LETTER VOCALIC RR
        "\u0D61",  # ; MALAYALAM LETTER VOCALIC LL
        "\u0D62",  # ; MALAYALAM VOWEL SIGN VOCALIC L
        "\u0D63",  # ; MALAYALAM VOWEL SIGN VOCALIC LL
        "\u0D66",  # ; MALAYALAM DIGIT ZERO
        "\u0D67",  # ; MALAYALAM DIGIT ONE
        "\u0D68",  # ; MALAYALAM DIGIT TWO
        "\u0D69",  # ; MALAYALAM DIGIT THREE
        "\u0D6A",  # ; MALAYALAM DIGIT FOUR
        "\u0D6B",  # ; MALAYALAM DIGIT FIVE
        "\u0D6C",  # ; MALAYALAM DIGIT SIX
        "\u0D6D",  # ; MALAYALAM DIGIT SEVEN
        "\u0D6E",  # ; MALAYALAM DIGIT EIGHT
        "\u0D6F",  # ; MALAYALAM DIGIT NINE
        "\u0D70",  # ; MALAYALAM NUMBER TEN
        "\u0D71",  # ; MALAYALAM NUMBER ONE HUNDRED
        "\u0D72",  # ; MALAYALAM NUMBER ONE THOUSAND
        "\u0D73",  # ; MALAYALAM FRACTION ONE QUARTER
        "\u0D74",  # ; MALAYALAM FRACTION ONE HALF
        "\u0D75",  # ; MALAYALAM FRACTION THREE QUARTERS
        "\u0D76",  # ; MALAYALAM FRACTION ONE SIXTEENTH
        "\u0D77",  # ; MALAYALAM FRACTION ONE EIGHTH
        "\u0D78",  # ; MALAYALAM FRACTION THREE SIXTEENTHS
        "\u0D79",  # ; MALAYALAM DATE MARK
        "\u0D7A",  # ; MALAYALAM LETTER CHILLU NN
        "\u0D7B",  # ; MALAYALAM LETTER CHILLU N
        "\u0D7C",  # ; MALAYALAM LETTER CHILLU RR
        "\u0D7D",  # ; MALAYALAM LETTER CHILLU L
        "\u0D7E",  # ; MALAYALAM LETTER CHILLU LL
        "\u0D7F",  # ; MALAYALAM LETTER CHILLU K
        "\u0D82",  # ; SINHALA SIGN ANUSVARAYA
        "\u0D83",  # ; SINHALA SIGN VISARGAYA
        "\u0D85",  # ; SINHALA LETTER AYANNA
        "\u0D86",  # ; SINHALA LETTER AAYANNA
        "\u0D87",  # ; SINHALA LETTER AEYANNA
        "\u0D88",  # ; SINHALA LETTER AEEYANNA
        "\u0D89",  # ; SINHALA LETTER IYANNA
        "\u0D8A",  # ; SINHALA LETTER IIYANNA
        "\u0D8B",  # ; SINHALA LETTER UYANNA
        "\u0D8C",  # ; SINHALA LETTER UUYANNA
        "\u0D8D",  # ; SINHALA LETTER IRUYANNA
        "\u0D8E",  # ; SINHALA LETTER IRUUYANNA
        "\u0D8F",  # ; SINHALA LETTER ILUYANNA
        "\u0D90",  # ; SINHALA LETTER ILUUYANNA
        "\u0D91",  # ; SINHALA LETTER EYANNA
        "\u0D92",  # ; SINHALA LETTER EEYANNA
        "\u0D93",  # ; SINHALA LETTER AIYANNA
        "\u0D94",  # ; SINHALA LETTER OYANNA
        "\u0D95",  # ; SINHALA LETTER OOYANNA
        "\u0D96",  # ; SINHALA LETTER AUYANNA
        "\u0D9A",  # ; SINHALA LETTER ALPAPRAANA KAYANNA
        "\u0D9B",  # ; SINHALA LETTER MAHAAPRAANA KAYANNA
        "\u0D9C",  # ; SINHALA LETTER ALPAPRAANA GAYANNA
        "\u0D9D",  # ; SINHALA LETTER MAHAAPRAANA GAYANNA
        "\u0D9E",  # ; SINHALA LETTER KANTAJA NAASIKYAYA
        "\u0D9F",  # ; SINHALA LETTER SANYAKA GAYANNA
        "\u0DA0",  # ; SINHALA LETTER ALPAPRAANA CAYANNA
        "\u0DA1",  # ; SINHALA LETTER MAHAAPRAANA CAYANNA
        "\u0DA2",  # ; SINHALA LETTER ALPAPRAANA JAYANNA
        "\u0DA3",  # ; SINHALA LETTER MAHAAPRAANA JAYANNA
        "\u0DA4",  # ; SINHALA LETTER TAALUJA NAASIKYAYA
        "\u0DA5",  # ; SINHALA LETTER TAALUJA SANYOOGA NAAKSIKYAYA
        "\u0DA6",  # ; SINHALA LETTER SANYAKA JAYANNA
        "\u0DA7",  # ; SINHALA LETTER ALPAPRAANA TTAYANNA
        "\u0DA8",  # ; SINHALA LETTER MAHAAPRAANA TTAYANNA
        "\u0DA9",  # ; SINHALA LETTER ALPAPRAANA DDAYANNA
        "\u0DAA",  # ; SINHALA LETTER MAHAAPRAANA DDAYANNA
        "\u0DAB",  # ; SINHALA LETTER MUURDHAJA NAYANNA
        "\u0DAC",  # ; SINHALA LETTER SANYAKA DDAYANNA
        "\u0DAD",  # ; SINHALA LETTER ALPAPRAANA TAYANNA
        "\u0DAE",  # ; SINHALA LETTER MAHAAPRAANA TAYANNA
        "\u0DAF",  # ; SINHALA LETTER ALPAPRAANA DAYANNA
        "\u0DB0",  # ; SINHALA LETTER MAHAAPRAANA DAYANNA
        "\u0DB1",  # ; SINHALA LETTER DANTAJA NAYANNA
        "\u0DB3",  # ; SINHALA LETTER SANYAKA DAYANNA
        "\u0DB4",  # ; SINHALA LETTER ALPAPRAANA PAYANNA
        "\u0DB5",  # ; SINHALA LETTER MAHAAPRAANA PAYANNA
        "\u0DB6",  # ; SINHALA LETTER ALPAPRAANA BAYANNA
        "\u0DB7",  # ; SINHALA LETTER MAHAAPRAANA BAYANNA
        "\u0DB8",  # ; SINHALA LETTER MAYANNA
        "\u0DB9",  # ; SINHALA LETTER AMBA BAYANNA
        "\u0DBA",  # ; SINHALA LETTER YAYANNA
        "\u0DBB",  # ; SINHALA LETTER RAYANNA
        "\u0DBD",  # ; SINHALA LETTER DANTAJA LAYANNA
        "\u0DC0",  # ; SINHALA LETTER VAYANNA
        "\u0DC1",  # ; SINHALA LETTER TAALUJA SAYANNA
        "\u0DC2",  # ; SINHALA LETTER MUURDHAJA SAYANNA
        "\u0DC3",  # ; SINHALA LETTER DANTAJA SAYANNA
        "\u0DC4",  # ; SINHALA LETTER HAYANNA
        "\u0DC5",  # ; SINHALA LETTER MUURDHAJA LAYANNA
        "\u0DC6",  # ; SINHALA LETTER FAYANNA
        "\u0DCA",  # ; SINHALA SIGN AL-LAKUNA
        "\u0DCF",  # ; SINHALA VOWEL SIGN AELA-PILLA
        "\u0DD0",  # ; SINHALA VOWEL SIGN KETTI AEDA-PILLA
        "\u0DD1",  # ; SINHALA VOWEL SIGN DIGA AEDA-PILLA
        "\u0DD2",  # ; SINHALA VOWEL SIGN KETTI IS-PILLA
        "\u0DD3",  # ; SINHALA VOWEL SIGN DIGA IS-PILLA
        "\u0DD4",  # ; SINHALA VOWEL SIGN KETTI PAA-PILLA
        "\u0DD6",  # ; SINHALA VOWEL SIGN DIGA PAA-PILLA
        "\u0DD8",  # ; SINHALA VOWEL SIGN GAETTA-PILLA
        "\u0DD9",  # ; SINHALA VOWEL SIGN KOMBUVA
        "\u0DDA",  # ; SINHALA VOWEL SIGN DIGA KOMBUVA
        "\u0DDB",  # ; SINHALA VOWEL SIGN KOMBU DEKA
        "\u0DDC",  # ; SINHALA VOWEL SIGN KOMBUVA HAA AELA-PILLA
        "\u0DDD",  # ; SINHALA VOWEL SIGN KOMBUVA HAA DIGA AELA-PILLA
        "\u0DDE",  # ; SINHALA VOWEL SIGN KOMBUVA HAA GAYANUKITTA
        "\u0DDF",  # ; SINHALA VOWEL SIGN GAYANUKITTA
        "\u0DE6",  # ; SINHALA LITH DIGIT ZERO
        "\u0DE7",  # ; SINHALA LITH DIGIT ONE
        "\u0DE8",  # ; SINHALA LITH DIGIT TWO
        "\u0DE9",  # ; SINHALA LITH DIGIT THREE
        "\u0DEA",  # ; SINHALA LITH DIGIT FOUR
        "\u0DEB",  # ; SINHALA LITH DIGIT FIVE
        "\u0DEC",  # ; SINHALA LITH DIGIT SIX
        "\u0DED",  # ; SINHALA LITH DIGIT SEVEN
        "\u0DEE",  # ; SINHALA LITH DIGIT EIGHT
        "\u0DEF",  # ; SINHALA LITH DIGIT NINE
        "\u0DF2",  # ; SINHALA VOWEL SIGN DIGA GAETTA-PILLA
        "\u0DF3",  # ; SINHALA VOWEL SIGN DIGA GAYANUKITTA
        "\u0DF4",  # ; SINHALA PUNCTUATION KUNDDALIYA
        "\u0E01",  # ; THAI CHARACTER KO KAI
        "\u0E02",  # ; THAI CHARACTER KHO KHAI
        "\u0E03",  # ; THAI CHARACTER KHO KHUAT
        "\u0E04",  # ; THAI CHARACTER KHO KHWAI
        "\u0E05",  # ; THAI CHARACTER KHO KHON
        "\u0E06",  # ; THAI CHARACTER KHO RAKHANG
        "\u0E07",  # ; THAI CHARACTER NGO NGU
        "\u0E08",  # ; THAI CHARACTER CHO CHAN
        "\u0E09",  # ; THAI CHARACTER CHO CHING
        "\u0E0A",  # ; THAI CHARACTER CHO CHANG
        "\u0E0B",  # ; THAI CHARACTER SO SO
        "\u0E0C",  # ; THAI CHARACTER CHO CHOE
        "\u0E0D",  # ; THAI CHARACTER YO YING
        "\u0E0E",  # ; THAI CHARACTER DO CHADA
        "\u0E0F",  # ; THAI CHARACTER TO PATAK
        "\u0E10",  # ; THAI CHARACTER THO THAN
        "\u0E11",  # ; THAI CHARACTER THO NANGMONTHO
        "\u0E12",  # ; THAI CHARACTER THO PHUTHAO
        "\u0E13",  # ; THAI CHARACTER NO NEN
        "\u0E14",  # ; THAI CHARACTER DO DEK
        "\u0E15",  # ; THAI CHARACTER TO TAO
        "\u0E16",  # ; THAI CHARACTER THO THUNG
        "\u0E17",  # ; THAI CHARACTER THO THAHAN
        "\u0E18",  # ; THAI CHARACTER THO THONG
        "\u0E19",  # ; THAI CHARACTER NO NU
        "\u0E1A",  # ; THAI CHARACTER BO BAIMAI
        "\u0E1B",  # ; THAI CHARACTER PO PLA
        "\u0E1C",  # ; THAI CHARACTER PHO PHUNG
        "\u0E1D",  # ; THAI CHARACTER FO FA
        "\u0E1E",  # ; THAI CHARACTER PHO PHAN
        "\u0E1F",  # ; THAI CHARACTER FO FAN
        "\u0E20",  # ; THAI CHARACTER PHO SAMPHAO
        "\u0E21",  # ; THAI CHARACTER MO MA
        "\u0E22",  # ; THAI CHARACTER YO YAK
        "\u0E23",  # ; THAI CHARACTER RO RUA
        "\u0E24",  # ; THAI CHARACTER RU
        "\u0E25",  # ; THAI CHARACTER LO LING
        "\u0E26",  # ; THAI CHARACTER LU
        "\u0E27",  # ; THAI CHARACTER WO WAEN
        "\u0E28",  # ; THAI CHARACTER SO SALA
        "\u0E29",  # ; THAI CHARACTER SO RUSI
        "\u0E2A",  # ; THAI CHARACTER SO SUA
        "\u0E2B",  # ; THAI CHARACTER HO HIP
        "\u0E2C",  # ; THAI CHARACTER LO CHULA
        "\u0E2D",  # ; THAI CHARACTER O ANG
        "\u0E2E",  # ; THAI CHARACTER HO NOKHUK
        "\u0E2F",  # ; THAI CHARACTER PAIYANNOI
        "\u0E30",  # ; THAI CHARACTER SARA A
        "\u0E31",  # ; THAI CHARACTER MAI HAN-AKAT
        "\u0E32",  # ; THAI CHARACTER SARA AA
        "\u0E33",  # ; THAI CHARACTER SARA AM
        "\u0E34",  # ; THAI CHARACTER SARA I
        "\u0E35",  # ; THAI CHARACTER SARA II
        "\u0E36",  # ; THAI CHARACTER SARA UE
        "\u0E37",  # ; THAI CHARACTER SARA UEE
        "\u0E38",  # ; THAI CHARACTER SARA U
        "\u0E39",  # ; THAI CHARACTER SARA UU
        "\u0E3A",  # ; THAI CHARACTER PHINTHU
        "\u0E3F",  # ; THAI CURRENCY SYMBOL BAHT
        "\u0E40",  # ; THAI CHARACTER SARA E
        "\u0E41",  # ; THAI CHARACTER SARA AE
        "\u0E42",  # ; THAI CHARACTER SARA O
        "\u0E43",  # ; THAI CHARACTER SARA AI MAIMUAN
        "\u0E44",  # ; THAI CHARACTER SARA AI MAIMALAI
        "\u0E45",  # ; THAI CHARACTER LAKKHANGYAO
        "\u0E46",  # ; THAI CHARACTER MAIYAMOK
        "\u0E47",  # ; THAI CHARACTER MAITAIKHU
        "\u0E48",  # ; THAI CHARACTER MAI EK
        "\u0E49",  # ; THAI CHARACTER MAI THO
        "\u0E4A",  # ; THAI CHARACTER MAI TRI
        "\u0E4B",  # ; THAI CHARACTER MAI CHATTAWA
        "\u0E4C",  # ; THAI CHARACTER THANTHAKHAT
        "\u0E4D",  # ; THAI CHARACTER NIKHAHIT
        "\u0E4E",  # ; THAI CHARACTER YAMAKKAN
        "\u0E4F",  # ; THAI CHARACTER FONGMAN
        "\u0E50",  # ; THAI DIGIT ZERO
        "\u0E51",  # ; THAI DIGIT ONE
        "\u0E52",  # ; THAI DIGIT TWO
        "\u0E53",  # ; THAI DIGIT THREE
        "\u0E54",  # ; THAI DIGIT FOUR
        "\u0E55",  # ; THAI DIGIT FIVE
        "\u0E56",  # ; THAI DIGIT SIX
        "\u0E57",  # ; THAI DIGIT SEVEN
        "\u0E58",  # ; THAI DIGIT EIGHT
        "\u0E59",  # ; THAI DIGIT NINE
        "\u0E5A",  # ; THAI CHARACTER ANGKHANKHU
        "\u0E5B",  # ; THAI CHARACTER KHOMUT
        "\u0E81",  # ; LAO LETTER KO
        "\u0E82",  # ; LAO LETTER KHO SUNG
        "\u0E84",  # ; LAO LETTER KHO TAM
        "\u0E87",  # ; LAO LETTER NGO
        "\u0E88",  # ; LAO LETTER CO
        "\u0E8A",  # ; LAO LETTER SO TAM
        "\u0E8D",  # ; LAO LETTER NYO
        "\u0E94",  # ; LAO LETTER DO
        "\u0E95",  # ; LAO LETTER TO
        "\u0E96",  # ; LAO LETTER THO SUNG
        "\u0E97",  # ; LAO LETTER THO TAM
        "\u0E99",  # ; LAO LETTER NO
        "\u0E9A",  # ; LAO LETTER BO
        "\u0E9B",  # ; LAO LETTER PO
        "\u0E9C",  # ; LAO LETTER PHO SUNG
        "\u0E9D",  # ; LAO LETTER FO TAM
        "\u0E9E",  # ; LAO LETTER PHO TAM
        "\u0E9F",  # ; LAO LETTER FO SUNG
        "\u0EA1",  # ; LAO LETTER MO
        "\u0EA2",  # ; LAO LETTER YO
        "\u0EA3",  # ; LAO LETTER LO LING
        "\u0EA5",  # ; LAO LETTER LO LOOT
        "\u0EA7",  # ; LAO LETTER WO
        "\u0EAA",  # ; LAO LETTER SO SUNG
        "\u0EAB",  # ; LAO LETTER HO SUNG
        "\u0EAD",  # ; LAO LETTER O
        "\u0EAE",  # ; LAO LETTER HO TAM
        "\u0EAF",  # ; LAO ELLIPSIS
        "\u0EB0",  # ; LAO VOWEL SIGN A
        "\u0EB1",  # ; LAO VOWEL SIGN MAI KAN
        "\u0EB2",  # ; LAO VOWEL SIGN AA
        "\u0EB3",  # ; LAO VOWEL SIGN AM
        "\u0EB4",  # ; LAO VOWEL SIGN I
        "\u0EB5",  # ; LAO VOWEL SIGN II
        "\u0EB6",  # ; LAO VOWEL SIGN Y
        "\u0EB7",  # ; LAO VOWEL SIGN YY
        "\u0EB8",  # ; LAO VOWEL SIGN U
        "\u0EB9",  # ; LAO VOWEL SIGN UU
        "\u0EBB",  # ; LAO VOWEL SIGN MAI KON
        "\u0EBC",  # ; LAO SEMIVOWEL SIGN LO
        "\u0EBD",  # ; LAO SEMIVOWEL SIGN NYO
        "\u0EC0",  # ; LAO VOWEL SIGN E
        "\u0EC1",  # ; LAO VOWEL SIGN EI
        "\u0EC2",  # ; LAO VOWEL SIGN O
        "\u0EC3",  # ; LAO VOWEL SIGN AY
        "\u0EC4",  # ; LAO VOWEL SIGN AI
        "\u0EC6",  # ; LAO KO LA
        "\u0EC8",  # ; LAO TONE MAI EK
        "\u0EC9",  # ; LAO TONE MAI THO
        "\u0ECA",  # ; LAO TONE MAI TI
        "\u0ECB",  # ; LAO TONE MAI CATAWA
        "\u0ECC",  # ; LAO CANCELLATION MARK
        "\u0ECD",  # ; LAO NIGGAHITA
        "\u0ED0",  # ; LAO DIGIT ZERO
        "\u0ED1",  # ; LAO DIGIT ONE
        "\u0ED2",  # ; LAO DIGIT TWO
        "\u0ED3",  # ; LAO DIGIT THREE
        "\u0ED4",  # ; LAO DIGIT FOUR
        "\u0ED5",  # ; LAO DIGIT FIVE
        "\u0ED6",  # ; LAO DIGIT SIX
        "\u0ED7",  # ; LAO DIGIT SEVEN
        "\u0ED8",  # ; LAO DIGIT EIGHT
        "\u0ED9",  # ; LAO DIGIT NINE
        "\u0EDC",  # ; LAO HO NO
        "\u0EDD",  # ; LAO HO MO
        "\u0EDE",  # ; LAO LETTER KHMU GO
        "\u0EDF",  # ; LAO LETTER KHMU NYO
        "\u0F00",  # ; TIBETAN SYLLABLE OM
        "\u0F01",  # ; TIBETAN MARK GTER YIG MGO TRUNCATED A
        "\u0F02",  # ; TIBETAN MARK GTER YIG MGO -UM RNAM BCAD MA
        "\u0F03",  # ; TIBETAN MARK GTER YIG MGO -UM GTER TSHEG MA
        "\u0F04",  # ; TIBETAN MARK INITIAL YIG MGO MDUN MA
        "\u0F05",  # ; TIBETAN MARK CLOSING YIG MGO SGAB MA
        "\u0F06",  # ; TIBETAN MARK CARET YIG MGO PHUR SHAD MA
        "\u0F07",  # ; TIBETAN MARK YIG MGO TSHEG SHAD MA
        "\u0F08",  # ; TIBETAN MARK SBRUL SHAD
        "\u0F09",  # ; TIBETAN MARK BSKUR YIG MGO
        "\u0F0A",  # ; TIBETAN MARK BKA- SHOG YIG MGO
        "\u0F0B",  # ; TIBETAN MARK INTERSYLLABIC TSHEG
        "\u0F0C",  # ; TIBETAN MARK DELIMITER TSHEG BSTAR
        "\u0F0D",  # ; TIBETAN MARK SHAD
        "\u0F0E",  # ; TIBETAN MARK NYIS SHAD
        "\u0F0F",  # ; TIBETAN MARK TSHEG SHAD
        "\u0F10",  # ; TIBETAN MARK NYIS TSHEG SHAD
        "\u0F11",  # ; TIBETAN MARK RIN CHEN SPUNGS SHAD
        "\u0F12",  # ; TIBETAN MARK RGYA GRAM SHAD
        "\u0F13",  # ; TIBETAN MARK CARET -DZUD RTAGS ME LONG CAN
        "\u0F14",  # ; TIBETAN MARK GTER TSHEG
        "\u0F15",  # ; TIBETAN LOGOTYPE SIGN CHAD RTAGS
        "\u0F16",  # ; TIBETAN LOGOTYPE SIGN LHAG RTAGS
        "\u0F17",  # ; TIBETAN ASTROLOGICAL SIGN SGRA GCAN -CHAR RTAGS
        "\u0F18",  # ; TIBETAN ASTROLOGICAL SIGN -KHYUD PA
        "\u0F19",  # ; TIBETAN ASTROLOGICAL SIGN SDONG TSHUGS
        "\u0F1A",  # ; TIBETAN SIGN RDEL DKAR GCIG
        "\u0F1B",  # ; TIBETAN SIGN RDEL DKAR GNYIS
        "\u0F1C",  # ; TIBETAN SIGN RDEL DKAR GSUM
        "\u0F1D",  # ; TIBETAN SIGN RDEL NAG GCIG
        "\u0F1E",  # ; TIBETAN SIGN RDEL NAG GNYIS
        "\u0F1F",  # ; TIBETAN SIGN RDEL DKAR RDEL NAG
        "\u0F20",  # ; TIBETAN DIGIT ZERO
        "\u0F21",  # ; TIBETAN DIGIT ONE
        "\u0F22",  # ; TIBETAN DIGIT TWO
        "\u0F23",  # ; TIBETAN DIGIT THREE
        "\u0F24",  # ; TIBETAN DIGIT FOUR
        "\u0F25",  # ; TIBETAN DIGIT FIVE
        "\u0F26",  # ; TIBETAN DIGIT SIX
        "\u0F27",  # ; TIBETAN DIGIT SEVEN
        "\u0F28",  # ; TIBETAN DIGIT EIGHT
        "\u0F29",  # ; TIBETAN DIGIT NINE
        "\u0F2A",  # ; TIBETAN DIGIT HALF ONE
        "\u0F2B",  # ; TIBETAN DIGIT HALF TWO
        "\u0F2C",  # ; TIBETAN DIGIT HALF THREE
        "\u0F2D",  # ; TIBETAN DIGIT HALF FOUR
        "\u0F2E",  # ; TIBETAN DIGIT HALF FIVE
        "\u0F2F",  # ; TIBETAN DIGIT HALF SIX
        "\u0F30",  # ; TIBETAN DIGIT HALF SEVEN
        "\u0F31",  # ; TIBETAN DIGIT HALF EIGHT
        "\u0F32",  # ; TIBETAN DIGIT HALF NINE
        "\u0F33",  # ; TIBETAN DIGIT HALF ZERO
        "\u0F34",  # ; TIBETAN MARK BSDUS RTAGS
        "\u0F35",  # ; TIBETAN MARK NGAS BZUNG NYI ZLA
        "\u0F36",  # ; TIBETAN MARK CARET -DZUD RTAGS BZHI MIG CAN
        "\u0F37",  # ; TIBETAN MARK NGAS BZUNG SGOR RTAGS
        "\u0F38",  # ; TIBETAN MARK CHE MGO
        "\u0F39",  # ; TIBETAN MARK TSA -PHRU
        "\u0F3A",  # ; TIBETAN MARK GUG RTAGS GYON
        "\u0F3B",  # ; TIBETAN MARK GUG RTAGS GYAS
        "\u0F3C",  # ; TIBETAN MARK ANG KHANG GYON
        "\u0F3D",  # ; TIBETAN MARK ANG KHANG GYAS
        "\u0F3E",  # ; TIBETAN SIGN YAR TSHES
        "\u0F3F",  # ; TIBETAN SIGN MAR TSHES
        "\u0F40",  # ; TIBETAN LETTER KA
        "\u0F41",  # ; TIBETAN LETTER KHA
        "\u0F42",  # ; TIBETAN LETTER GA
        "\u0F43",  # ; TIBETAN LETTER GHA
        "\u0F44",  # ; TIBETAN LETTER NGA
        "\u0F45",  # ; TIBETAN LETTER CA
        "\u0F46",  # ; TIBETAN LETTER CHA
        "\u0F47",  # ; TIBETAN LETTER JA
        "\u0F49",  # ; TIBETAN LETTER NYA
        "\u0F4A",  # ; TIBETAN LETTER TTA
        "\u0F4B",  # ; TIBETAN LETTER TTHA
        "\u0F4C",  # ; TIBETAN LETTER DDA
        "\u0F4D",  # ; TIBETAN LETTER DDHA
        "\u0F4E",  # ; TIBETAN LETTER NNA
        "\u0F4F",  # ; TIBETAN LETTER TA
        "\u0F50",  # ; TIBETAN LETTER THA
        "\u0F51",  # ; TIBETAN LETTER DA
        "\u0F52",  # ; TIBETAN LETTER DHA
        "\u0F53",  # ; TIBETAN LETTER NA
        "\u0F54",  # ; TIBETAN LETTER PA
        "\u0F55",  # ; TIBETAN LETTER PHA
        "\u0F56",  # ; TIBETAN LETTER BA
        "\u0F57",  # ; TIBETAN LETTER BHA
        "\u0F58",  # ; TIBETAN LETTER MA
        "\u0F59",  # ; TIBETAN LETTER TSA
        "\u0F5A",  # ; TIBETAN LETTER TSHA
        "\u0F5B",  # ; TIBETAN LETTER DZA
        "\u0F5C",  # ; TIBETAN LETTER DZHA
        "\u0F5D",  # ; TIBETAN LETTER WA
        "\u0F5E",  # ; TIBETAN LETTER ZHA
        "\u0F5F",  # ; TIBETAN LETTER ZA
        "\u0F60",  # ; TIBETAN LETTER -A
        "\u0F61",  # ; TIBETAN LETTER YA
        "\u0F62",  # ; TIBETAN LETTER RA
        "\u0F63",  # ; TIBETAN LETTER LA
        "\u0F64",  # ; TIBETAN LETTER SHA
        "\u0F65",  # ; TIBETAN LETTER SSA
        "\u0F66",  # ; TIBETAN LETTER SA
        "\u0F67",  # ; TIBETAN LETTER HA
        "\u0F68",  # ; TIBETAN LETTER A
        "\u0F69",  # ; TIBETAN LETTER KSSA
        "\u0F6A",  # ; TIBETAN LETTER FIXED-FORM RA
        "\u0F6B",  # ; TIBETAN LETTER KKA
        "\u0F6C",  # ; TIBETAN LETTER RRA
        "\u0F71",  # ; TIBETAN VOWEL SIGN AA
        "\u0F72",  # ; TIBETAN VOWEL SIGN I
        "\u0F73",  # ; TIBETAN VOWEL SIGN II
        "\u0F74",  # ; TIBETAN VOWEL SIGN U
        "\u0F75",  # ; TIBETAN VOWEL SIGN UU
        "\u0F76",  # ; TIBETAN VOWEL SIGN VOCALIC R
        "\u0F77",  # ; TIBETAN VOWEL SIGN VOCALIC RR
        "\u0F78",  # ; TIBETAN VOWEL SIGN VOCALIC L
        "\u0F79",  # ; TIBETAN VOWEL SIGN VOCALIC LL
        "\u0F7A",  # ; TIBETAN VOWEL SIGN E
        "\u0F7B",  # ; TIBETAN VOWEL SIGN EE
        "\u0F7C",  # ; TIBETAN VOWEL SIGN O
        "\u0F7D",  # ; TIBETAN VOWEL SIGN OO
        "\u0F7E",  # ; TIBETAN SIGN RJES SU NGA RO
        "\u0F7F",  # ; TIBETAN SIGN RNAM BCAD
        "\u0F80",  # ; TIBETAN VOWEL SIGN REVERSED I
        "\u0F81",  # ; TIBETAN VOWEL SIGN REVERSED II
        "\u0F82",  # ; TIBETAN SIGN NYI ZLA NAA DA
        "\u0F83",  # ; TIBETAN SIGN SNA LDAN
        "\u0F84",  # ; TIBETAN MARK HALANTA
        "\u0F85",  # ; TIBETAN MARK PALUTA
        "\u0F86",  # ; TIBETAN SIGN LCI RTAGS
        "\u0F87",  # ; TIBETAN SIGN YANG RTAGS
        "\u0F88",  # ; TIBETAN SIGN LCE TSA CAN
        "\u0F89",  # ; TIBETAN SIGN MCHU CAN
        "\u0F8A",  # ; TIBETAN SIGN GRU CAN RGYINGS
        "\u0F8B",  # ; TIBETAN SIGN GRU MED RGYINGS
        "\u0F8C",  # ; TIBETAN SIGN INVERTED MCHU CAN
        "\u0F8D",  # ; TIBETAN SUBJOINED SIGN LCE TSA CAN
        "\u0F8E",  # ; TIBETAN SUBJOINED SIGN MCHU CAN
        "\u0F8F",  # ; TIBETAN SUBJOINED SIGN INVERTED MCHU CAN
        "\u0F90",  # ; TIBETAN SUBJOINED LETTER KA
        "\u0F91",  # ; TIBETAN SUBJOINED LETTER KHA
        "\u0F92",  # ; TIBETAN SUBJOINED LETTER GA
        "\u0F93",  # ; TIBETAN SUBJOINED LETTER GHA
        "\u0F94",  # ; TIBETAN SUBJOINED LETTER NGA
        "\u0F95",  # ; TIBETAN SUBJOINED LETTER CA
        "\u0F96",  # ; TIBETAN SUBJOINED LETTER CHA
        "\u0F97",  # ; TIBETAN SUBJOINED LETTER JA
        "\u0F99",  # ; TIBETAN SUBJOINED LETTER NYA
        "\u0F9A",  # ; TIBETAN SUBJOINED LETTER TTA
        "\u0F9B",  # ; TIBETAN SUBJOINED LETTER TTHA
        "\u0F9C",  # ; TIBETAN SUBJOINED LETTER DDA
        "\u0F9D",  # ; TIBETAN SUBJOINED LETTER DDHA
        "\u0F9E",  # ; TIBETAN SUBJOINED LETTER NNA
        "\u0F9F",  # ; TIBETAN SUBJOINED LETTER TA
        "\u0FA0",  # ; TIBETAN SUBJOINED LETTER THA
        "\u0FA1",  # ; TIBETAN SUBJOINED LETTER DA
        "\u0FA2",  # ; TIBETAN SUBJOINED LETTER DHA
        "\u0FA3",  # ; TIBETAN SUBJOINED LETTER NA
        "\u0FA4",  # ; TIBETAN SUBJOINED LETTER PA
        "\u0FA5",  # ; TIBETAN SUBJOINED LETTER PHA
        "\u0FA6",  # ; TIBETAN SUBJOINED LETTER BA
        "\u0FA7",  # ; TIBETAN SUBJOINED LETTER BHA
        "\u0FA8",  # ; TIBETAN SUBJOINED LETTER MA
        "\u0FA9",  # ; TIBETAN SUBJOINED LETTER TSA
        "\u0FAA",  # ; TIBETAN SUBJOINED LETTER TSHA
        "\u0FAB",  # ; TIBETAN SUBJOINED LETTER DZA
        "\u0FAC",  # ; TIBETAN SUBJOINED LETTER DZHA
        "\u0FAD",  # ; TIBETAN SUBJOINED LETTER WA
        "\u0FAE",  # ; TIBETAN SUBJOINED LETTER ZHA
        "\u0FAF",  # ; TIBETAN SUBJOINED LETTER ZA
        "\u0FB0",  # ; TIBETAN SUBJOINED LETTER -A
        "\u0FB1",  # ; TIBETAN SUBJOINED LETTER YA
        "\u0FB2",  # ; TIBETAN SUBJOINED LETTER RA
        "\u0FB3",  # ; TIBETAN SUBJOINED LETTER LA
        "\u0FB4",  # ; TIBETAN SUBJOINED LETTER SHA
        "\u0FB5",  # ; TIBETAN SUBJOINED LETTER SSA
        "\u0FB6",  # ; TIBETAN SUBJOINED LETTER SA
        "\u0FB7",  # ; TIBETAN SUBJOINED LETTER HA
        "\u0FB8",  # ; TIBETAN SUBJOINED LETTER A
        "\u0FB9",  # ; TIBETAN SUBJOINED LETTER KSSA
        "\u0FBA",  # ; TIBETAN SUBJOINED LETTER FIXED-FORM WA
        "\u0FBB",  # ; TIBETAN SUBJOINED LETTER FIXED-FORM YA
        "\u0FBC",  # ; TIBETAN SUBJOINED LETTER FIXED-FORM RA
        "\u0FBE",  # ; TIBETAN KU RU KHA
        "\u0FBF",  # ; TIBETAN KU RU KHA BZHI MIG CAN
        "\u0FC0",  # ; TIBETAN CANTILLATION SIGN HEAVY BEAT
        "\u0FC1",  # ; TIBETAN CANTILLATION SIGN LIGHT BEAT
        "\u0FC2",  # ; TIBETAN CANTILLATION SIGN CANG TE-U
        "\u0FC3",  # ; TIBETAN CANTILLATION SIGN SBUB -CHAL
        "\u0FC4",  # ; TIBETAN SYMBOL DRIL BU
        "\u0FC5",  # ; TIBETAN SYMBOL RDO RJE
        "\u0FC6",  # ; TIBETAN SYMBOL PADMA GDAN
        "\u0FC7",  # ; TIBETAN SYMBOL RDO RJE RGYA GRAM
        "\u0FC8",  # ; TIBETAN SYMBOL PHUR PA
        "\u0FC9",  # ; TIBETAN SYMBOL NOR BU
        "\u0FCA",  # ; TIBETAN SYMBOL NOR BU NYIS -KHYIL
        "\u0FCB",  # ; TIBETAN SYMBOL NOR BU GSUM -KHYIL
        "\u0FCC",  # ; TIBETAN SYMBOL NOR BU BZHI -KHYIL
        "\u0FCE",  # ; TIBETAN SIGN RDEL NAG RDEL DKAR
        "\u0FCF",  # ; TIBETAN SIGN RDEL NAG GSUM
        "\u0FD0",  # ; TIBETAN MARK BSKA- SHOG GI MGO RGYAN
        "\u0FD1",  # ; TIBETAN MARK MNYAM YIG GI MGO RGYAN
        "\u0FD2",  # ; TIBETAN MARK NYIS TSHEG
        "\u0FD3",  # ; TIBETAN MARK INITIAL BRDA RNYING YIG MGO MDUN MA
        "\u0FD4",  # ; TIBETAN MARK CLOSING BRDA RNYING YIG MGO SGAB MA
        "\u0FD5",  # ; RIGHT-FACING SVASTI SIGN
        "\u0FD6",  # ; LEFT-FACING SVASTI SIGN
        "\u0FD7",  # ; RIGHT-FACING SVASTI SIGN WITH DOTS
        "\u0FD8",  # ; LEFT-FACING SVASTI SIGN WITH DOTS
        "\u0FD9",  # ; TIBETAN MARK LEADING MCHAN RTAGS
        "\u0FDA",  # ; TIBETAN MARK TRAILING MCHAN RTAGS
        "\u1000",  # ; MYANMAR LETTER KA
        "\u1001",  # ; MYANMAR LETTER KHA
        "\u1002",  # ; MYANMAR LETTER GA
        "\u1003",  # ; MYANMAR LETTER GHA
        "\u1004",  # ; MYANMAR LETTER NGA
        "\u1005",  # ; MYANMAR LETTER CA
        "\u1006",  # ; MYANMAR LETTER CHA
        "\u1007",  # ; MYANMAR LETTER JA
        "\u1008",  # ; MYANMAR LETTER JHA
        "\u1009",  # ; MYANMAR LETTER NYA
        "\u100A",  # ; MYANMAR LETTER NNYA
        "\u100B",  # ; MYANMAR LETTER TTA
        "\u100C",  # ; MYANMAR LETTER TTHA
        "\u100D",  # ; MYANMAR LETTER DDA
        "\u100E",  # ; MYANMAR LETTER DDHA
        "\u100F",  # ; MYANMAR LETTER NNA
        "\u1010",  # ; MYANMAR LETTER TA
        "\u1011",  # ; MYANMAR LETTER THA
        "\u1012",  # ; MYANMAR LETTER DA
        "\u1013",  # ; MYANMAR LETTER DHA
        "\u1014",  # ; MYANMAR LETTER NA
        "\u1015",  # ; MYANMAR LETTER PA
        "\u1016",  # ; MYANMAR LETTER PHA
        "\u1017",  # ; MYANMAR LETTER BA
        "\u1018",  # ; MYANMAR LETTER BHA
        "\u1019",  # ; MYANMAR LETTER MA
        "\u101A",  # ; MYANMAR LETTER YA
        "\u101B",  # ; MYANMAR LETTER RA
        "\u101C",  # ; MYANMAR LETTER LA
        "\u101D",  # ; MYANMAR LETTER WA
        "\u101E",  # ; MYANMAR LETTER SA
        "\u101F",  # ; MYANMAR LETTER HA
        "\u1020",  # ; MYANMAR LETTER LLA
        "\u1021",  # ; MYANMAR LETTER A
        "\u1022",  # ; MYANMAR LETTER SHAN A
        "\u1023",  # ; MYANMAR LETTER I
        "\u1024",  # ; MYANMAR LETTER II
        "\u1025",  # ; MYANMAR LETTER U
        "\u1026",  # ; MYANMAR LETTER UU
        "\u1027",  # ; MYANMAR LETTER E
        "\u1028",  # ; MYANMAR LETTER MON E
        "\u1029",  # ; MYANMAR LETTER O
        "\u102A",  # ; MYANMAR LETTER AU
        "\u102B",  # ; MYANMAR VOWEL SIGN TALL AA
        "\u102C",  # ; MYANMAR VOWEL SIGN AA
        "\u102D",  # ; MYANMAR VOWEL SIGN I
        "\u102E",  # ; MYANMAR VOWEL SIGN II
        "\u102F",  # ; MYANMAR VOWEL SIGN U
        "\u1030",  # ; MYANMAR VOWEL SIGN UU
        "\u1031",  # ; MYANMAR VOWEL SIGN E
        "\u1032",  # ; MYANMAR VOWEL SIGN AI
        "\u1033",  # ; MYANMAR VOWEL SIGN MON II
        "\u1034",  # ; MYANMAR VOWEL SIGN MON O
        "\u1035",  # ; MYANMAR VOWEL SIGN E ABOVE
        "\u1036",  # ; MYANMAR SIGN ANUSVARA
        "\u1037",  # ; MYANMAR SIGN DOT BELOW
        "\u1038",  # ; MYANMAR SIGN VISARGA
        "\u1039",  # ; MYANMAR SIGN VIRAMA
        "\u103A",  # ; MYANMAR SIGN ASAT
        "\u103B",  # ; MYANMAR CONSONANT SIGN MEDIAL YA
        "\u103C",  # ; MYANMAR CONSONANT SIGN MEDIAL RA
        "\u103D",  # ; MYANMAR CONSONANT SIGN MEDIAL WA
        "\u103E",  # ; MYANMAR CONSONANT SIGN MEDIAL HA
        "\u103F",  # ; MYANMAR LETTER GREAT SA
        "\u1040",  # ; MYANMAR DIGIT ZERO
        "\u1041",  # ; MYANMAR DIGIT ONE
        "\u1042",  # ; MYANMAR DIGIT TWO
        "\u1043",  # ; MYANMAR DIGIT THREE
        "\u1044",  # ; MYANMAR DIGIT FOUR
        "\u1045",  # ; MYANMAR DIGIT FIVE
        "\u1046",  # ; MYANMAR DIGIT SIX
        "\u1047",  # ; MYANMAR DIGIT SEVEN
        "\u1048",  # ; MYANMAR DIGIT EIGHT
        "\u1049",  # ; MYANMAR DIGIT NINE
        "\u104A",  # ; MYANMAR SIGN LITTLE SECTION
        "\u104B",  # ; MYANMAR SIGN SECTION
        "\u104C",  # ; MYANMAR SYMBOL LOCATIVE
        "\u104D",  # ; MYANMAR SYMBOL COMPLETED
        "\u104E",  # ; MYANMAR SYMBOL AFOREMENTIONED
        "\u104F",  # ; MYANMAR SYMBOL GENITIVE
        "\u1050",  # ; MYANMAR LETTER SHA
        "\u1051",  # ; MYANMAR LETTER SSA
        "\u1052",  # ; MYANMAR LETTER VOCALIC R
        "\u1053",  # ; MYANMAR LETTER VOCALIC RR
        "\u1054",  # ; MYANMAR LETTER VOCALIC L
        "\u1055",  # ; MYANMAR LETTER VOCALIC LL
        "\u1056",  # ; MYANMAR VOWEL SIGN VOCALIC R
        "\u1057",  # ; MYANMAR VOWEL SIGN VOCALIC RR
        "\u1058",  # ; MYANMAR VOWEL SIGN VOCALIC L
        "\u1059",  # ; MYANMAR VOWEL SIGN VOCALIC LL
        "\u105A",  # ; MYANMAR LETTER MON NGA
        "\u105B",  # ; MYANMAR LETTER MON JHA
        "\u105C",  # ; MYANMAR LETTER MON BBA
        "\u105D",  # ; MYANMAR LETTER MON BBE
        "\u105E",  # ; MYANMAR CONSONANT SIGN MON MEDIAL NA
        "\u105F",  # ; MYANMAR CONSONANT SIGN MON MEDIAL MA
        "\u1060",  # ; MYANMAR CONSONANT SIGN MON MEDIAL LA
        "\u1061",  # ; MYANMAR LETTER SGAW KAREN SHA
        "\u1062",  # ; MYANMAR VOWEL SIGN SGAW KAREN EU
        "\u1063",  # ; MYANMAR TONE MARK SGAW KAREN HATHI
        "\u1064",  # ; MYANMAR TONE MARK SGAW KAREN KE PHO
        "\u1065",  # ; MYANMAR LETTER WESTERN PWO KAREN THA
        "\u1066",  # ; MYANMAR LETTER WESTERN PWO KAREN PWA
        "\u1067",  # ; MYANMAR VOWEL SIGN WESTERN PWO KAREN EU
        "\u1068",  # ; MYANMAR VOWEL SIGN WESTERN PWO KAREN UE
        "\u1069",  # ; MYANMAR SIGN WESTERN PWO KAREN TONE-1
        "\u106A",  # ; MYANMAR SIGN WESTERN PWO KAREN TONE-2
        "\u106B",  # ; MYANMAR SIGN WESTERN PWO KAREN TONE-3
        "\u106C",  # ; MYANMAR SIGN WESTERN PWO KAREN TONE-4
        "\u106D",  # ; MYANMAR SIGN WESTERN PWO KAREN TONE-5
        "\u106E",  # ; MYANMAR LETTER EASTERN PWO KAREN NNA
        "\u106F",  # ; MYANMAR LETTER EASTERN PWO KAREN YWA
        "\u1070",  # ; MYANMAR LETTER EASTERN PWO KAREN GHWA
        "\u1071",  # ; MYANMAR VOWEL SIGN GEBA KAREN I
        "\u1072",  # ; MYANMAR VOWEL SIGN KAYAH OE
        "\u1073",  # ; MYANMAR VOWEL SIGN KAYAH U
        "\u1074",  # ; MYANMAR VOWEL SIGN KAYAH EE
        "\u1075",  # ; MYANMAR LETTER SHAN KA
        "\u1076",  # ; MYANMAR LETTER SHAN KHA
        "\u1077",  # ; MYANMAR LETTER SHAN GA
        "\u1078",  # ; MYANMAR LETTER SHAN CA
        "\u1079",  # ; MYANMAR LETTER SHAN ZA
        "\u107A",  # ; MYANMAR LETTER SHAN NYA
        "\u107B",  # ; MYANMAR LETTER SHAN DA
        "\u107C",  # ; MYANMAR LETTER SHAN NA
        "\u107D",  # ; MYANMAR LETTER SHAN PHA
        "\u107E",  # ; MYANMAR LETTER SHAN FA
        "\u107F",  # ; MYANMAR LETTER SHAN BA
        "\u1080",  # ; MYANMAR LETTER SHAN THA
        "\u1081",  # ; MYANMAR LETTER SHAN HA
        "\u1082",  # ; MYANMAR CONSONANT SIGN SHAN MEDIAL WA
        "\u1083",  # ; MYANMAR VOWEL SIGN SHAN AA
        "\u1084",  # ; MYANMAR VOWEL SIGN SHAN E
        "\u1085",  # ; MYANMAR VOWEL SIGN SHAN E ABOVE
        "\u1086",  # ; MYANMAR VOWEL SIGN SHAN FINAL Y
        "\u1087",  # ; MYANMAR SIGN SHAN TONE-2
        "\u1088",  # ; MYANMAR SIGN SHAN TONE-3
        "\u1089",  # ; MYANMAR SIGN SHAN TONE-5
        "\u108A",  # ; MYANMAR SIGN SHAN TONE-6
        "\u108B",  # ; MYANMAR SIGN SHAN COUNCIL TONE-2
        "\u108C",  # ; MYANMAR SIGN SHAN COUNCIL TONE-3
        "\u108D",  # ; MYANMAR SIGN SHAN COUNCIL EMPHATIC TONE
        "\u108E",  # ; MYANMAR LETTER RUMAI PALAUNG FA
        "\u108F",  # ; MYANMAR SIGN RUMAI PALAUNG TONE-5
        "\u1090",  # ; MYANMAR SHAN DIGIT ZERO
        "\u1091",  # ; MYANMAR SHAN DIGIT ONE
        "\u1092",  # ; MYANMAR SHAN DIGIT TWO
        "\u1093",  # ; MYANMAR SHAN DIGIT THREE
        "\u1094",  # ; MYANMAR SHAN DIGIT FOUR
        "\u1095",  # ; MYANMAR SHAN DIGIT FIVE
        "\u1096",  # ; MYANMAR SHAN DIGIT SIX
        "\u1097",  # ; MYANMAR SHAN DIGIT SEVEN
        "\u1098",  # ; MYANMAR SHAN DIGIT EIGHT
        "\u1099",  # ; MYANMAR SHAN DIGIT NINE
        "\u109A",  # ; MYANMAR SIGN KHAMTI TONE-1
        "\u109B",  # ; MYANMAR SIGN KHAMTI TONE-3
        "\u109C",  # ; MYANMAR VOWEL SIGN AITON A
        "\u109D",  # ; MYANMAR VOWEL SIGN AITON AI
        "\u109E",  # ; MYANMAR SYMBOL SHAN ONE
        "\u109F",  # ; MYANMAR SYMBOL SHAN EXCLAMATION
        "\u10A0",  # ; GEORGIAN CAPITAL LETTER AN
        "\u10A1",  # ; GEORGIAN CAPITAL LETTER BAN
        "\u10A2",  # ; GEORGIAN CAPITAL LETTER GAN
        "\u10A3",  # ; GEORGIAN CAPITAL LETTER DON
        "\u10A4",  # ; GEORGIAN CAPITAL LETTER EN
        "\u10A5",  # ; GEORGIAN CAPITAL LETTER VIN
        "\u10A6",  # ; GEORGIAN CAPITAL LETTER ZEN
        "\u10A7",  # ; GEORGIAN CAPITAL LETTER TAN
        "\u10A8",  # ; GEORGIAN CAPITAL LETTER IN
        "\u10A9",  # ; GEORGIAN CAPITAL LETTER KAN
        "\u10AA",  # ; GEORGIAN CAPITAL LETTER LAS
        "\u10AB",  # ; GEORGIAN CAPITAL LETTER MAN
        "\u10AC",  # ; GEORGIAN CAPITAL LETTER NAR
        "\u10AD",  # ; GEORGIAN CAPITAL LETTER ON
        "\u10AE",  # ; GEORGIAN CAPITAL LETTER PAR
        "\u10AF",  # ; GEORGIAN CAPITAL LETTER ZHAR
        "\u10B0",  # ; GEORGIAN CAPITAL LETTER RAE
        "\u10B1",  # ; GEORGIAN CAPITAL LETTER SAN
        "\u10B2",  # ; GEORGIAN CAPITAL LETTER TAR
        "\u10B3",  # ; GEORGIAN CAPITAL LETTER UN
        "\u10B4",  # ; GEORGIAN CAPITAL LETTER PHAR
        "\u10B5",  # ; GEORGIAN CAPITAL LETTER KHAR
        "\u10B6",  # ; GEORGIAN CAPITAL LETTER GHAN
        "\u10B7",  # ; GEORGIAN CAPITAL LETTER QAR
        "\u10B8",  # ; GEORGIAN CAPITAL LETTER SHIN
        "\u10B9",  # ; GEORGIAN CAPITAL LETTER CHIN
        "\u10BA",  # ; GEORGIAN CAPITAL LETTER CAN
        "\u10BB",  # ; GEORGIAN CAPITAL LETTER JIL
        "\u10BC",  # ; GEORGIAN CAPITAL LETTER CIL
        "\u10BD",  # ; GEORGIAN CAPITAL LETTER CHAR
        "\u10BE",  # ; GEORGIAN CAPITAL LETTER XAN
        "\u10BF",  # ; GEORGIAN CAPITAL LETTER JHAN
        "\u10C0",  # ; GEORGIAN CAPITAL LETTER HAE
        "\u10C1",  # ; GEORGIAN CAPITAL LETTER HE
        "\u10C2",  # ; GEORGIAN CAPITAL LETTER HIE
        "\u10C3",  # ; GEORGIAN CAPITAL LETTER WE
        "\u10C4",  # ; GEORGIAN CAPITAL LETTER HAR
        "\u10C5",  # ; GEORGIAN CAPITAL LETTER HOE
        "\u10C7",  # ; GEORGIAN CAPITAL LETTER YN
        "\u10CD",  # ; GEORGIAN CAPITAL LETTER AEN
        "\u10D0",  # ; GEORGIAN LETTER AN
        "\u10D1",  # ; GEORGIAN LETTER BAN
        "\u10D2",  # ; GEORGIAN LETTER GAN
        "\u10D3",  # ; GEORGIAN LETTER DON
        "\u10D4",  # ; GEORGIAN LETTER EN
        "\u10D5",  # ; GEORGIAN LETTER VIN
        "\u10D6",  # ; GEORGIAN LETTER ZEN
        "\u10D7",  # ; GEORGIAN LETTER TAN
        "\u10D8",  # ; GEORGIAN LETTER IN
        "\u10D9",  # ; GEORGIAN LETTER KAN
        "\u10DA",  # ; GEORGIAN LETTER LAS
        "\u10DB",  # ; GEORGIAN LETTER MAN
        "\u10DC",  # ; GEORGIAN LETTER NAR
        "\u10DD",  # ; GEORGIAN LETTER ON
        "\u10DE",  # ; GEORGIAN LETTER PAR
        "\u10DF",  # ; GEORGIAN LETTER ZHAR
        "\u10E0",  # ; GEORGIAN LETTER RAE
        "\u10E1",  # ; GEORGIAN LETTER SAN
        "\u10E2",  # ; GEORGIAN LETTER TAR
        "\u10E3",  # ; GEORGIAN LETTER UN
        "\u10E4",  # ; GEORGIAN LETTER PHAR
        "\u10E5",  # ; GEORGIAN LETTER KHAR
        "\u10E6",  # ; GEORGIAN LETTER GHAN
        "\u10E7",  # ; GEORGIAN LETTER QAR
        "\u10E8",  # ; GEORGIAN LETTER SHIN
        "\u10E9",  # ; GEORGIAN LETTER CHIN
        "\u10EA",  # ; GEORGIAN LETTER CAN
        "\u10EB",  # ; GEORGIAN LETTER JIL
        "\u10EC",  # ; GEORGIAN LETTER CIL
        "\u10ED",  # ; GEORGIAN LETTER CHAR
        "\u10EE",  # ; GEORGIAN LETTER XAN
        "\u10EF",  # ; GEORGIAN LETTER JHAN
        "\u10F0",  # ; GEORGIAN LETTER HAE
        "\u10F1",  # ; GEORGIAN LETTER HE
        "\u10F2",  # ; GEORGIAN LETTER HIE
        "\u10F3",  # ; GEORGIAN LETTER WE
        "\u10F4",  # ; GEORGIAN LETTER HAR
        "\u10F5",  # ; GEORGIAN LETTER HOE
        "\u10F6",  # ; GEORGIAN LETTER FI
        "\u10F7",  # ; GEORGIAN LETTER YN
        "\u10F8",  # ; GEORGIAN LETTER ELIFI
        "\u10F9",  # ; GEORGIAN LETTER TURNED GAN
        "\u10FA",  # ; GEORGIAN LETTER AIN
        "\u10FB",  # ; GEORGIAN PARAGRAPH SEPARATOR
        "\u10FC",  # ; MODIFIER LETTER GEORGIAN NAR
        "\u10FD",  # ; GEORGIAN LETTER AEN
        "\u10FE",  # ; GEORGIAN LETTER HARD SIGN
        "\u10FF",  # ; GEORGIAN LETTER LABIAL SIGN
        "\u1100",  # ; HANGUL CHOSEONG KIYEOK
        "\u1101",  # ; HANGUL CHOSEONG SSANGKIYEOK
        "\u1102",  # ; HANGUL CHOSEONG NIEUN
        "\u1103",  # ; HANGUL CHOSEONG TIKEUT
        "\u1104",  # ; HANGUL CHOSEONG SSANGTIKEUT
        "\u1105",  # ; HANGUL CHOSEONG RIEUL
        "\u1106",  # ; HANGUL CHOSEONG MIEUM
        "\u1107",  # ; HANGUL CHOSEONG PIEUP
        "\u1108",  # ; HANGUL CHOSEONG SSANGPIEUP
        "\u1109",  # ; HANGUL CHOSEONG SIOS
        "\u110A",  # ; HANGUL CHOSEONG SSANGSIOS
        "\u110B",  # ; HANGUL CHOSEONG IEUNG
        "\u110C",  # ; HANGUL CHOSEONG CIEUC
        "\u110D",  # ; HANGUL CHOSEONG SSANGCIEUC
        "\u110E",  # ; HANGUL CHOSEONG CHIEUCH
        "\u110F",  # ; HANGUL CHOSEONG KHIEUKH
        "\u1110",  # ; HANGUL CHOSEONG THIEUTH
        "\u1111",  # ; HANGUL CHOSEONG PHIEUPH
        "\u1112",  # ; HANGUL CHOSEONG HIEUH
        "\u1113",  # ; HANGUL CHOSEONG NIEUN-KIYEOK
        "\u1114",  # ; HANGUL CHOSEONG SSANGNIEUN
        "\u1115",  # ; HANGUL CHOSEONG NIEUN-TIKEUT
        "\u1116",  # ; HANGUL CHOSEONG NIEUN-PIEUP
        "\u1117",  # ; HANGUL CHOSEONG TIKEUT-KIYEOK
        "\u1118",  # ; HANGUL CHOSEONG RIEUL-NIEUN
        "\u1119",  # ; HANGUL CHOSEONG SSANGRIEUL
        "\u111A",  # ; HANGUL CHOSEONG RIEUL-HIEUH
        "\u111B",  # ; HANGUL CHOSEONG KAPYEOUNRIEUL
        "\u111C",  # ; HANGUL CHOSEONG MIEUM-PIEUP
        "\u111D",  # ; HANGUL CHOSEONG KAPYEOUNMIEUM
        "\u111E",  # ; HANGUL CHOSEONG PIEUP-KIYEOK
        "\u111F",  # ; HANGUL CHOSEONG PIEUP-NIEUN
        "\u1120",  # ; HANGUL CHOSEONG PIEUP-TIKEUT
        "\u1121",  # ; HANGUL CHOSEONG PIEUP-SIOS
        "\u1122",  # ; HANGUL CHOSEONG PIEUP-SIOS-KIYEOK
        "\u1123",  # ; HANGUL CHOSEONG PIEUP-SIOS-TIKEUT
        "\u1124",  # ; HANGUL CHOSEONG PIEUP-SIOS-PIEUP
        "\u1125",  # ; HANGUL CHOSEONG PIEUP-SSANGSIOS
        "\u1126",  # ; HANGUL CHOSEONG PIEUP-SIOS-CIEUC
        "\u1127",  # ; HANGUL CHOSEONG PIEUP-CIEUC
        "\u1128",  # ; HANGUL CHOSEONG PIEUP-CHIEUCH
        "\u1129",  # ; HANGUL CHOSEONG PIEUP-THIEUTH
        "\u112A",  # ; HANGUL CHOSEONG PIEUP-PHIEUPH
        "\u112B",  # ; HANGUL CHOSEONG KAPYEOUNPIEUP
        "\u112C",  # ; HANGUL CHOSEONG KAPYEOUNSSANGPIEUP
        "\u112D",  # ; HANGUL CHOSEONG SIOS-KIYEOK
        "\u112E",  # ; HANGUL CHOSEONG SIOS-NIEUN
        "\u112F",  # ; HANGUL CHOSEONG SIOS-TIKEUT
        "\u1130",  # ; HANGUL CHOSEONG SIOS-RIEUL
        "\u1131",  # ; HANGUL CHOSEONG SIOS-MIEUM
        "\u1132",  # ; HANGUL CHOSEONG SIOS-PIEUP
        "\u1133",  # ; HANGUL CHOSEONG SIOS-PIEUP-KIYEOK
        "\u1134",  # ; HANGUL CHOSEONG SIOS-SSANGSIOS
        "\u1135",  # ; HANGUL CHOSEONG SIOS-IEUNG
        "\u1136",  # ; HANGUL CHOSEONG SIOS-CIEUC
        "\u1137",  # ; HANGUL CHOSEONG SIOS-CHIEUCH
        "\u1138",  # ; HANGUL CHOSEONG SIOS-KHIEUKH
        "\u1139",  # ; HANGUL CHOSEONG SIOS-THIEUTH
        "\u113A",  # ; HANGUL CHOSEONG SIOS-PHIEUPH
        "\u113B",  # ; HANGUL CHOSEONG SIOS-HIEUH
        "\u113C",  # ; HANGUL CHOSEONG CHITUEUMSIOS
        "\u113D",  # ; HANGUL CHOSEONG CHITUEUMSSANGSIOS
        "\u113E",  # ; HANGUL CHOSEONG CEONGCHIEUMSIOS
        "\u113F",  # ; HANGUL CHOSEONG CEONGCHIEUMSSANGSIOS
        "\u1140",  # ; HANGUL CHOSEONG PANSIOS
        "\u1141",  # ; HANGUL CHOSEONG IEUNG-KIYEOK
        "\u1142",  # ; HANGUL CHOSEONG IEUNG-TIKEUT
        "\u1143",  # ; HANGUL CHOSEONG IEUNG-MIEUM
        "\u1144",  # ; HANGUL CHOSEONG IEUNG-PIEUP
        "\u1145",  # ; HANGUL CHOSEONG IEUNG-SIOS
        "\u1146",  # ; HANGUL CHOSEONG IEUNG-PANSIOS
        "\u1147",  # ; HANGUL CHOSEONG SSANGIEUNG
        "\u1148",  # ; HANGUL CHOSEONG IEUNG-CIEUC
        "\u1149",  # ; HANGUL CHOSEONG IEUNG-CHIEUCH
        "\u114A",  # ; HANGUL CHOSEONG IEUNG-THIEUTH
        "\u114B",  # ; HANGUL CHOSEONG IEUNG-PHIEUPH
        "\u114C",  # ; HANGUL CHOSEONG YESIEUNG
        "\u114D",  # ; HANGUL CHOSEONG CIEUC-IEUNG
        "\u114E",  # ; HANGUL CHOSEONG CHITUEUMCIEUC
        "\u114F",  # ; HANGUL CHOSEONG CHITUEUMSSANGCIEUC
        "\u1150",  # ; HANGUL CHOSEONG CEONGCHIEUMCIEUC
        "\u1151",  # ; HANGUL CHOSEONG CEONGCHIEUMSSANGCIEUC
        "\u1152",  # ; HANGUL CHOSEONG CHIEUCH-KHIEUKH
        "\u1153",  # ; HANGUL CHOSEONG CHIEUCH-HIEUH
        "\u1154",  # ; HANGUL CHOSEONG CHITUEUMCHIEUCH
        "\u1155",  # ; HANGUL CHOSEONG CEONGCHIEUMCHIEUCH
        "\u1156",  # ; HANGUL CHOSEONG PHIEUPH-PIEUP
        "\u1157",  # ; HANGUL CHOSEONG KAPYEOUNPHIEUPH
        "\u1158",  # ; HANGUL CHOSEONG SSANGHIEUH
        "\u1159",  # ; HANGUL CHOSEONG YEORINHIEUH
        "\u115A",  # ; HANGUL CHOSEONG KIYEOK-TIKEUT
        "\u115B",  # ; HANGUL CHOSEONG NIEUN-SIOS
        "\u115C",  # ; HANGUL CHOSEONG NIEUN-CIEUC
        "\u115D",  # ; HANGUL CHOSEONG NIEUN-HIEUH
        "\u115E",  # ; HANGUL CHOSEONG TIKEUT-RIEUL
        "\u115F",  # ; HANGUL CHOSEONG FILLER
        "\u1160",  # ; HANGUL JUNGSEONG FILLER
        "\u1161",  # ; HANGUL JUNGSEONG A
        "\u1162",  # ; HANGUL JUNGSEONG AE
        "\u1163",  # ; HANGUL JUNGSEONG YA
        "\u1164",  # ; HANGUL JUNGSEONG YAE
        "\u1165",  # ; HANGUL JUNGSEONG EO
        "\u1166",  # ; HANGUL JUNGSEONG E
        "\u1167",  # ; HANGUL JUNGSEONG YEO
        "\u1168",  # ; HANGUL JUNGSEONG YE
        "\u1169",  # ; HANGUL JUNGSEONG O
        "\u116A",  # ; HANGUL JUNGSEONG WA
        "\u116B",  # ; HANGUL JUNGSEONG WAE
        "\u116C",  # ; HANGUL JUNGSEONG OE
        "\u116D",  # ; HANGUL JUNGSEONG YO
        "\u116E",  # ; HANGUL JUNGSEONG U
        "\u116F",  # ; HANGUL JUNGSEONG WEO
        "\u1170",  # ; HANGUL JUNGSEONG WE
        "\u1171",  # ; HANGUL JUNGSEONG WI
        "\u1172",  # ; HANGUL JUNGSEONG YU
        "\u1173",  # ; HANGUL JUNGSEONG EU
        "\u1174",  # ; HANGUL JUNGSEONG YI
        "\u1175",  # ; HANGUL JUNGSEONG I
        "\u1176",  # ; HANGUL JUNGSEONG A-O
        "\u1177",  # ; HANGUL JUNGSEONG A-U
        "\u1178",  # ; HANGUL JUNGSEONG YA-O
        "\u1179",  # ; HANGUL JUNGSEONG YA-YO
        "\u117A",  # ; HANGUL JUNGSEONG EO-O
        "\u117B",  # ; HANGUL JUNGSEONG EO-U
        "\u117C",  # ; HANGUL JUNGSEONG EO-EU
        "\u117D",  # ; HANGUL JUNGSEONG YEO-O
        "\u117E",  # ; HANGUL JUNGSEONG YEO-U
        "\u117F",  # ; HANGUL JUNGSEONG O-EO
        "\u1180",  # ; HANGUL JUNGSEONG O-E
        "\u1181",  # ; HANGUL JUNGSEONG O-YE
        "\u1182",  # ; HANGUL JUNGSEONG O-O
        "\u1183",  # ; HANGUL JUNGSEONG O-U
        "\u1184",  # ; HANGUL JUNGSEONG YO-YA
        "\u1185",  # ; HANGUL JUNGSEONG YO-YAE
        "\u1186",  # ; HANGUL JUNGSEONG YO-YEO
        "\u1187",  # ; HANGUL JUNGSEONG YO-O
        "\u1188",  # ; HANGUL JUNGSEONG YO-I
        "\u1189",  # ; HANGUL JUNGSEONG U-A
        "\u118A",  # ; HANGUL JUNGSEONG U-AE
        "\u118B",  # ; HANGUL JUNGSEONG U-EO-EU
        "\u118C",  # ; HANGUL JUNGSEONG U-YE
        "\u118D",  # ; HANGUL JUNGSEONG U-U
        "\u118E",  # ; HANGUL JUNGSEONG YU-A
        "\u118F",  # ; HANGUL JUNGSEONG YU-EO
        "\u1190",  # ; HANGUL JUNGSEONG YU-E
        "\u1191",  # ; HANGUL JUNGSEONG YU-YEO
        "\u1192",  # ; HANGUL JUNGSEONG YU-YE
        "\u1193",  # ; HANGUL JUNGSEONG YU-U
        "\u1194",  # ; HANGUL JUNGSEONG YU-I
        "\u1195",  # ; HANGUL JUNGSEONG EU-U
        "\u1196",  # ; HANGUL JUNGSEONG EU-EU
        "\u1197",  # ; HANGUL JUNGSEONG YI-U
        "\u1198",  # ; HANGUL JUNGSEONG I-A
        "\u1199",  # ; HANGUL JUNGSEONG I-YA
        "\u119A",  # ; HANGUL JUNGSEONG I-O
        "\u119B",  # ; HANGUL JUNGSEONG I-U
        "\u119C",  # ; HANGUL JUNGSEONG I-EU
        "\u119D",  # ; HANGUL JUNGSEONG I-ARAEA
        "\u119E",  # ; HANGUL JUNGSEONG ARAEA
        "\u119F",  # ; HANGUL JUNGSEONG ARAEA-EO
        "\u11A0",  # ; HANGUL JUNGSEONG ARAEA-U
        "\u11A1",  # ; HANGUL JUNGSEONG ARAEA-I
        "\u11A2",  # ; HANGUL JUNGSEONG SSANGARAEA
        "\u11A3",  # ; HANGUL JUNGSEONG A-EU
        "\u11A4",  # ; HANGUL JUNGSEONG YA-U
        "\u11A5",  # ; HANGUL JUNGSEONG YEO-YA
        "\u11A6",  # ; HANGUL JUNGSEONG O-YA
        "\u11A7",  # ; HANGUL JUNGSEONG O-YAE
        "\u11A8",  # ; HANGUL JONGSEONG KIYEOK
        "\u11A9",  # ; HANGUL JONGSEONG SSANGKIYEOK
        "\u11AA",  # ; HANGUL JONGSEONG KIYEOK-SIOS
        "\u11AB",  # ; HANGUL JONGSEONG NIEUN
        "\u11AC",  # ; HANGUL JONGSEONG NIEUN-CIEUC
        "\u11AD",  # ; HANGUL JONGSEONG NIEUN-HIEUH
        "\u11AE",  # ; HANGUL JONGSEONG TIKEUT
        "\u11AF",  # ; HANGUL JONGSEONG RIEUL
        "\u11B0",  # ; HANGUL JONGSEONG RIEUL-KIYEOK
        "\u11B1",  # ; HANGUL JONGSEONG RIEUL-MIEUM
        "\u11B2",  # ; HANGUL JONGSEONG RIEUL-PIEUP
        "\u11B3",  # ; HANGUL JONGSEONG RIEUL-SIOS
        "\u11B4",  # ; HANGUL JONGSEONG RIEUL-THIEUTH
        "\u11B5",  # ; HANGUL JONGSEONG RIEUL-PHIEUPH
        "\u11B6",  # ; HANGUL JONGSEONG RIEUL-HIEUH
        "\u11B7",  # ; HANGUL JONGSEONG MIEUM
        "\u11B8",  # ; HANGUL JONGSEONG PIEUP
        "\u11B9",  # ; HANGUL JONGSEONG PIEUP-SIOS
        "\u11BA",  # ; HANGUL JONGSEONG SIOS
        "\u11BB",  # ; HANGUL JONGSEONG SSANGSIOS
        "\u11BC",  # ; HANGUL JONGSEONG IEUNG
        "\u11BD",  # ; HANGUL JONGSEONG CIEUC
        "\u11BE",  # ; HANGUL JONGSEONG CHIEUCH
        "\u11BF",  # ; HANGUL JONGSEONG KHIEUKH
        "\u11C0",  # ; HANGUL JONGSEONG THIEUTH
        "\u11C1",  # ; HANGUL JONGSEONG PHIEUPH
        "\u11C2",  # ; HANGUL JONGSEONG HIEUH
        "\u11C3",  # ; HANGUL JONGSEONG KIYEOK-RIEUL
        "\u11C4",  # ; HANGUL JONGSEONG KIYEOK-SIOS-KIYEOK
        "\u11C5",  # ; HANGUL JONGSEONG NIEUN-KIYEOK
        "\u11C6",  # ; HANGUL JONGSEONG NIEUN-TIKEUT
        "\u11C7",  # ; HANGUL JONGSEONG NIEUN-SIOS
        "\u11C8",  # ; HANGUL JONGSEONG NIEUN-PANSIOS
        "\u11C9",  # ; HANGUL JONGSEONG NIEUN-THIEUTH
        "\u11CA",  # ; HANGUL JONGSEONG TIKEUT-KIYEOK
        "\u11CB",  # ; HANGUL JONGSEONG TIKEUT-RIEUL
        "\u11CC",  # ; HANGUL JONGSEONG RIEUL-KIYEOK-SIOS
        "\u11CD",  # ; HANGUL JONGSEONG RIEUL-NIEUN
        "\u11CE",  # ; HANGUL JONGSEONG RIEUL-TIKEUT
        "\u11CF",  # ; HANGUL JONGSEONG RIEUL-TIKEUT-HIEUH
        "\u11D0",  # ; HANGUL JONGSEONG SSANGRIEUL
        "\u11D1",  # ; HANGUL JONGSEONG RIEUL-MIEUM-KIYEOK
        "\u11D2",  # ; HANGUL JONGSEONG RIEUL-MIEUM-SIOS
        "\u11D3",  # ; HANGUL JONGSEONG RIEUL-PIEUP-SIOS
        "\u11D4",  # ; HANGUL JONGSEONG RIEUL-PIEUP-HIEUH
        "\u11D5",  # ; HANGUL JONGSEONG RIEUL-KAPYEOUNPIEUP
        "\u11D6",  # ; HANGUL JONGSEONG RIEUL-SSANGSIOS
        "\u11D7",  # ; HANGUL JONGSEONG RIEUL-PANSIOS
        "\u11D8",  # ; HANGUL JONGSEONG RIEUL-KHIEUKH
        "\u11D9",  # ; HANGUL JONGSEONG RIEUL-YEORINHIEUH
        "\u11DA",  # ; HANGUL JONGSEONG MIEUM-KIYEOK
        "\u11DB",  # ; HANGUL JONGSEONG MIEUM-RIEUL
        "\u11DC",  # ; HANGUL JONGSEONG MIEUM-PIEUP
        "\u11DD",  # ; HANGUL JONGSEONG MIEUM-SIOS
        "\u11DE",  # ; HANGUL JONGSEONG MIEUM-SSANGSIOS
        "\u11DF",  # ; HANGUL JONGSEONG MIEUM-PANSIOS
        "\u11E0",  # ; HANGUL JONGSEONG MIEUM-CHIEUCH
        "\u11E1",  # ; HANGUL JONGSEONG MIEUM-HIEUH
        "\u11E2",  # ; HANGUL JONGSEONG KAPYEOUNMIEUM
        "\u11E3",  # ; HANGUL JONGSEONG PIEUP-RIEUL
        "\u11E4",  # ; HANGUL JONGSEONG PIEUP-PHIEUPH
        "\u11E5",  # ; HANGUL JONGSEONG PIEUP-HIEUH
        "\u11E6",  # ; HANGUL JONGSEONG KAPYEOUNPIEUP
        "\u11E7",  # ; HANGUL JONGSEONG SIOS-KIYEOK
        "\u11E8",  # ; HANGUL JONGSEONG SIOS-TIKEUT
        "\u11E9",  # ; HANGUL JONGSEONG SIOS-RIEUL
        "\u11EA",  # ; HANGUL JONGSEONG SIOS-PIEUP
        "\u11EB",  # ; HANGUL JONGSEONG PANSIOS
        "\u11EC",  # ; HANGUL JONGSEONG IEUNG-KIYEOK
        "\u11ED",  # ; HANGUL JONGSEONG IEUNG-SSANGKIYEOK
        "\u11EE",  # ; HANGUL JONGSEONG SSANGIEUNG
        "\u11EF",  # ; HANGUL JONGSEONG IEUNG-KHIEUKH
        "\u11F0",  # ; HANGUL JONGSEONG YESIEUNG
        "\u11F1",  # ; HANGUL JONGSEONG YESIEUNG-SIOS
        "\u11F2",  # ; HANGUL JONGSEONG YESIEUNG-PANSIOS
        "\u11F3",  # ; HANGUL JONGSEONG PHIEUPH-PIEUP
        "\u11F4",  # ; HANGUL JONGSEONG KAPYEOUNPHIEUPH
        "\u11F5",  # ; HANGUL JONGSEONG HIEUH-NIEUN
        "\u11F6",  # ; HANGUL JONGSEONG HIEUH-RIEUL
        "\u11F7",  # ; HANGUL JONGSEONG HIEUH-MIEUM
        "\u11F8",  # ; HANGUL JONGSEONG HIEUH-PIEUP
        "\u11F9",  # ; HANGUL JONGSEONG YEORINHIEUH
        "\u11FA",  # ; HANGUL JONGSEONG KIYEOK-NIEUN
        "\u11FB",  # ; HANGUL JONGSEONG KIYEOK-PIEUP
        "\u11FC",  # ; HANGUL JONGSEONG KIYEOK-CHIEUCH
        "\u11FD",  # ; HANGUL JONGSEONG KIYEOK-KHIEUKH
        "\u11FE",  # ; HANGUL JONGSEONG KIYEOK-HIEUH
        "\u11FF",  # ; HANGUL JONGSEONG SSANGNIEUN
        "\u1200",  # ; ETHIOPIC SYLLABLE HA
        "\u1201",  # ; ETHIOPIC SYLLABLE HU
        "\u1202",  # ; ETHIOPIC SYLLABLE HI
        "\u1203",  # ; ETHIOPIC SYLLABLE HAA
        "\u1204",  # ; ETHIOPIC SYLLABLE HEE
        "\u1205",  # ; ETHIOPIC SYLLABLE HE
        "\u1206",  # ; ETHIOPIC SYLLABLE HO
        "\u1207",  # ; ETHIOPIC SYLLABLE HOA
        "\u1208",  # ; ETHIOPIC SYLLABLE LA
        "\u1209",  # ; ETHIOPIC SYLLABLE LU
        "\u120A",  # ; ETHIOPIC SYLLABLE LI
        "\u120B",  # ; ETHIOPIC SYLLABLE LAA
        "\u120C",  # ; ETHIOPIC SYLLABLE LEE
        "\u120D",  # ; ETHIOPIC SYLLABLE LE
        "\u120E",  # ; ETHIOPIC SYLLABLE LO
        "\u120F",  # ; ETHIOPIC SYLLABLE LWA
        "\u1210",  # ; ETHIOPIC SYLLABLE HHA
        "\u1211",  # ; ETHIOPIC SYLLABLE HHU
        "\u1212",  # ; ETHIOPIC SYLLABLE HHI
        "\u1213",  # ; ETHIOPIC SYLLABLE HHAA
        "\u1214",  # ; ETHIOPIC SYLLABLE HHEE
        "\u1215",  # ; ETHIOPIC SYLLABLE HHE
        "\u1216",  # ; ETHIOPIC SYLLABLE HHO
        "\u1217",  # ; ETHIOPIC SYLLABLE HHWA
        "\u1218",  # ; ETHIOPIC SYLLABLE MA
        "\u1219",  # ; ETHIOPIC SYLLABLE MU
        "\u121A",  # ; ETHIOPIC SYLLABLE MI
        "\u121B",  # ; ETHIOPIC SYLLABLE MAA
        "\u121C",  # ; ETHIOPIC SYLLABLE MEE
        "\u121D",  # ; ETHIOPIC SYLLABLE ME
        "\u121E",  # ; ETHIOPIC SYLLABLE MO
        "\u121F",  # ; ETHIOPIC SYLLABLE MWA
        "\u1220",  # ; ETHIOPIC SYLLABLE SZA
        "\u1221",  # ; ETHIOPIC SYLLABLE SZU
        "\u1222",  # ; ETHIOPIC SYLLABLE SZI
        "\u1223",  # ; ETHIOPIC SYLLABLE SZAA
        "\u1224",  # ; ETHIOPIC SYLLABLE SZEE
        "\u1225",  # ; ETHIOPIC SYLLABLE SZE
        "\u1226",  # ; ETHIOPIC SYLLABLE SZO
        "\u1227",  # ; ETHIOPIC SYLLABLE SZWA
        "\u1228",  # ; ETHIOPIC SYLLABLE RA
        "\u1229",  # ; ETHIOPIC SYLLABLE RU
        "\u122A",  # ; ETHIOPIC SYLLABLE RI
        "\u122B",  # ; ETHIOPIC SYLLABLE RAA
        "\u122C",  # ; ETHIOPIC SYLLABLE REE
        "\u122D",  # ; ETHIOPIC SYLLABLE RE
        "\u122E",  # ; ETHIOPIC SYLLABLE RO
        "\u122F",  # ; ETHIOPIC SYLLABLE RWA
        "\u1230",  # ; ETHIOPIC SYLLABLE SA
        "\u1231",  # ; ETHIOPIC SYLLABLE SU
        "\u1232",  # ; ETHIOPIC SYLLABLE SI
        "\u1233",  # ; ETHIOPIC SYLLABLE SAA
        "\u1234",  # ; ETHIOPIC SYLLABLE SEE
        "\u1235",  # ; ETHIOPIC SYLLABLE SE
        "\u1236",  # ; ETHIOPIC SYLLABLE SO
        "\u1237",  # ; ETHIOPIC SYLLABLE SWA
        "\u1238",  # ; ETHIOPIC SYLLABLE SHA
        "\u1239",  # ; ETHIOPIC SYLLABLE SHU
        "\u123A",  # ; ETHIOPIC SYLLABLE SHI
        "\u123B",  # ; ETHIOPIC SYLLABLE SHAA
        "\u123C",  # ; ETHIOPIC SYLLABLE SHEE
        "\u123D",  # ; ETHIOPIC SYLLABLE SHE
        "\u123E",  # ; ETHIOPIC SYLLABLE SHO
        "\u123F",  # ; ETHIOPIC SYLLABLE SHWA
        "\u1240",  # ; ETHIOPIC SYLLABLE QA
        "\u1241",  # ; ETHIOPIC SYLLABLE QU
        "\u1242",  # ; ETHIOPIC SYLLABLE QI
        "\u1243",  # ; ETHIOPIC SYLLABLE QAA
        "\u1244",  # ; ETHIOPIC SYLLABLE QEE
        "\u1245",  # ; ETHIOPIC SYLLABLE QE
        "\u1246",  # ; ETHIOPIC SYLLABLE QO
        "\u1247",  # ; ETHIOPIC SYLLABLE QOA
        "\u1248",  # ; ETHIOPIC SYLLABLE QWA
        "\u124A",  # ; ETHIOPIC SYLLABLE QWI
        "\u124B",  # ; ETHIOPIC SYLLABLE QWAA
        "\u124C",  # ; ETHIOPIC SYLLABLE QWEE
        "\u124D",  # ; ETHIOPIC SYLLABLE QWE
        "\u1250",  # ; ETHIOPIC SYLLABLE QHA
        "\u1251",  # ; ETHIOPIC SYLLABLE QHU
        "\u1252",  # ; ETHIOPIC SYLLABLE QHI
        "\u1253",  # ; ETHIOPIC SYLLABLE QHAA
        "\u1254",  # ; ETHIOPIC SYLLABLE QHEE
        "\u1255",  # ; ETHIOPIC SYLLABLE QHE
        "\u1256",  # ; ETHIOPIC SYLLABLE QHO
        "\u1258",  # ; ETHIOPIC SYLLABLE QHWA
        "\u125A",  # ; ETHIOPIC SYLLABLE QHWI
        "\u125B",  # ; ETHIOPIC SYLLABLE QHWAA
        "\u125C",  # ; ETHIOPIC SYLLABLE QHWEE
        "\u125D",  # ; ETHIOPIC SYLLABLE QHWE
        "\u1260",  # ; ETHIOPIC SYLLABLE BA
        "\u1261",  # ; ETHIOPIC SYLLABLE BU
        "\u1262",  # ; ETHIOPIC SYLLABLE BI
        "\u1263",  # ; ETHIOPIC SYLLABLE BAA
        "\u1264",  # ; ETHIOPIC SYLLABLE BEE
        "\u1265",  # ; ETHIOPIC SYLLABLE BE
        "\u1266",  # ; ETHIOPIC SYLLABLE BO
        "\u1267",  # ; ETHIOPIC SYLLABLE BWA
        "\u1268",  # ; ETHIOPIC SYLLABLE VA
        "\u1269",  # ; ETHIOPIC SYLLABLE VU
        "\u126A",  # ; ETHIOPIC SYLLABLE VI
        "\u126B",  # ; ETHIOPIC SYLLABLE VAA
        "\u126C",  # ; ETHIOPIC SYLLABLE VEE
        "\u126D",  # ; ETHIOPIC SYLLABLE VE
        "\u126E",  # ; ETHIOPIC SYLLABLE VO
        "\u126F",  # ; ETHIOPIC SYLLABLE VWA
        "\u1270",  # ; ETHIOPIC SYLLABLE TA
        "\u1271",  # ; ETHIOPIC SYLLABLE TU
        "\u1272",  # ; ETHIOPIC SYLLABLE TI
        "\u1273",  # ; ETHIOPIC SYLLABLE TAA
        "\u1274",  # ; ETHIOPIC SYLLABLE TEE
        "\u1275",  # ; ETHIOPIC SYLLABLE TE
        "\u1276",  # ; ETHIOPIC SYLLABLE TO
        "\u1277",  # ; ETHIOPIC SYLLABLE TWA
        "\u1278",  # ; ETHIOPIC SYLLABLE CA
        "\u1279",  # ; ETHIOPIC SYLLABLE CU
        "\u127A",  # ; ETHIOPIC SYLLABLE CI
        "\u127B",  # ; ETHIOPIC SYLLABLE CAA
        "\u127C",  # ; ETHIOPIC SYLLABLE CEE
        "\u127D",  # ; ETHIOPIC SYLLABLE CE
        "\u127E",  # ; ETHIOPIC SYLLABLE CO
        "\u127F",  # ; ETHIOPIC SYLLABLE CWA
        "\u1280",  # ; ETHIOPIC SYLLABLE XA
        "\u1281",  # ; ETHIOPIC SYLLABLE XU
        "\u1282",  # ; ETHIOPIC SYLLABLE XI
        "\u1283",  # ; ETHIOPIC SYLLABLE XAA
        "\u1284",  # ; ETHIOPIC SYLLABLE XEE
        "\u1285",  # ; ETHIOPIC SYLLABLE XE
        "\u1286",  # ; ETHIOPIC SYLLABLE XO
        "\u1287",  # ; ETHIOPIC SYLLABLE XOA
        "\u1288",  # ; ETHIOPIC SYLLABLE XWA
        "\u128A",  # ; ETHIOPIC SYLLABLE XWI
        "\u128B",  # ; ETHIOPIC SYLLABLE XWAA
        "\u128C",  # ; ETHIOPIC SYLLABLE XWEE
        "\u128D",  # ; ETHIOPIC SYLLABLE XWE
        "\u1290",  # ; ETHIOPIC SYLLABLE NA
        "\u1291",  # ; ETHIOPIC SYLLABLE NU
        "\u1292",  # ; ETHIOPIC SYLLABLE NI
        "\u1293",  # ; ETHIOPIC SYLLABLE NAA
        "\u1294",  # ; ETHIOPIC SYLLABLE NEE
        "\u1295",  # ; ETHIOPIC SYLLABLE NE
        "\u1296",  # ; ETHIOPIC SYLLABLE NO
        "\u1297",  # ; ETHIOPIC SYLLABLE NWA
        "\u1298",  # ; ETHIOPIC SYLLABLE NYA
        "\u1299",  # ; ETHIOPIC SYLLABLE NYU
        "\u129A",  # ; ETHIOPIC SYLLABLE NYI
        "\u129B",  # ; ETHIOPIC SYLLABLE NYAA
        "\u129C",  # ; ETHIOPIC SYLLABLE NYEE
        "\u129D",  # ; ETHIOPIC SYLLABLE NYE
        "\u129E",  # ; ETHIOPIC SYLLABLE NYO
        "\u129F",  # ; ETHIOPIC SYLLABLE NYWA
        "\u12A0",  # ; ETHIOPIC SYLLABLE GLOTTAL A
        "\u12A1",  # ; ETHIOPIC SYLLABLE GLOTTAL U
        "\u12A2",  # ; ETHIOPIC SYLLABLE GLOTTAL I
        "\u12A3",  # ; ETHIOPIC SYLLABLE GLOTTAL AA
        "\u12A4",  # ; ETHIOPIC SYLLABLE GLOTTAL EE
        "\u12A5",  # ; ETHIOPIC SYLLABLE GLOTTAL E
        "\u12A6",  # ; ETHIOPIC SYLLABLE GLOTTAL O
        "\u12A7",  # ; ETHIOPIC SYLLABLE GLOTTAL WA
        "\u12A8",  # ; ETHIOPIC SYLLABLE KA
        "\u12A9",  # ; ETHIOPIC SYLLABLE KU
        "\u12AA",  # ; ETHIOPIC SYLLABLE KI
        "\u12AB",  # ; ETHIOPIC SYLLABLE KAA
        "\u12AC",  # ; ETHIOPIC SYLLABLE KEE
        "\u12AD",  # ; ETHIOPIC SYLLABLE KE
        "\u12AE",  # ; ETHIOPIC SYLLABLE KO
        "\u12AF",  # ; ETHIOPIC SYLLABLE KOA
        "\u12B0",  # ; ETHIOPIC SYLLABLE KWA
        "\u12B2",  # ; ETHIOPIC SYLLABLE KWI
        "\u12B3",  # ; ETHIOPIC SYLLABLE KWAA
        "\u12B4",  # ; ETHIOPIC SYLLABLE KWEE
        "\u12B5",  # ; ETHIOPIC SYLLABLE KWE
        "\u12B8",  # ; ETHIOPIC SYLLABLE KXA
        "\u12B9",  # ; ETHIOPIC SYLLABLE KXU
        "\u12BA",  # ; ETHIOPIC SYLLABLE KXI
        "\u12BB",  # ; ETHIOPIC SYLLABLE KXAA
        "\u12BC",  # ; ETHIOPIC SYLLABLE KXEE
        "\u12BD",  # ; ETHIOPIC SYLLABLE KXE
        "\u12BE",  # ; ETHIOPIC SYLLABLE KXO
        "\u12C0",  # ; ETHIOPIC SYLLABLE KXWA
        "\u12C2",  # ; ETHIOPIC SYLLABLE KXWI
        "\u12C3",  # ; ETHIOPIC SYLLABLE KXWAA
        "\u12C4",  # ; ETHIOPIC SYLLABLE KXWEE
        "\u12C5",  # ; ETHIOPIC SYLLABLE KXWE
        "\u12C8",  # ; ETHIOPIC SYLLABLE WA
        "\u12C9",  # ; ETHIOPIC SYLLABLE WU
        "\u12CA",  # ; ETHIOPIC SYLLABLE WI
        "\u12CB",  # ; ETHIOPIC SYLLABLE WAA
        "\u12CC",  # ; ETHIOPIC SYLLABLE WEE
        "\u12CD",  # ; ETHIOPIC SYLLABLE WE
        "\u12CE",  # ; ETHIOPIC SYLLABLE WO
        "\u12CF",  # ; ETHIOPIC SYLLABLE WOA
        "\u12D0",  # ; ETHIOPIC SYLLABLE PHARYNGEAL A
        "\u12D1",  # ; ETHIOPIC SYLLABLE PHARYNGEAL U
        "\u12D2",  # ; ETHIOPIC SYLLABLE PHARYNGEAL I
        "\u12D3",  # ; ETHIOPIC SYLLABLE PHARYNGEAL AA
        "\u12D4",  # ; ETHIOPIC SYLLABLE PHARYNGEAL EE
        "\u12D5",  # ; ETHIOPIC SYLLABLE PHARYNGEAL E
        "\u12D6",  # ; ETHIOPIC SYLLABLE PHARYNGEAL O
        "\u12D8",  # ; ETHIOPIC SYLLABLE ZA
        "\u12D9",  # ; ETHIOPIC SYLLABLE ZU
        "\u12DA",  # ; ETHIOPIC SYLLABLE ZI
        "\u12DB",  # ; ETHIOPIC SYLLABLE ZAA
        "\u12DC",  # ; ETHIOPIC SYLLABLE ZEE
        "\u12DD",  # ; ETHIOPIC SYLLABLE ZE
        "\u12DE",  # ; ETHIOPIC SYLLABLE ZO
        "\u12DF",  # ; ETHIOPIC SYLLABLE ZWA
        "\u12E0",  # ; ETHIOPIC SYLLABLE ZHA
        "\u12E1",  # ; ETHIOPIC SYLLABLE ZHU
        "\u12E2",  # ; ETHIOPIC SYLLABLE ZHI
        "\u12E3",  # ; ETHIOPIC SYLLABLE ZHAA
        "\u12E4",  # ; ETHIOPIC SYLLABLE ZHEE
        "\u12E5",  # ; ETHIOPIC SYLLABLE ZHE
        "\u12E6",  # ; ETHIOPIC SYLLABLE ZHO
        "\u12E7",  # ; ETHIOPIC SYLLABLE ZHWA
        "\u12E8",  # ; ETHIOPIC SYLLABLE YA
        "\u12E9",  # ; ETHIOPIC SYLLABLE YU
        "\u12EA",  # ; ETHIOPIC SYLLABLE YI
        "\u12EB",  # ; ETHIOPIC SYLLABLE YAA
        "\u12EC",  # ; ETHIOPIC SYLLABLE YEE
        "\u12ED",  # ; ETHIOPIC SYLLABLE YE
        "\u12EE",  # ; ETHIOPIC SYLLABLE YO
        "\u12EF",  # ; ETHIOPIC SYLLABLE YOA
        "\u12F0",  # ; ETHIOPIC SYLLABLE DA
        "\u12F1",  # ; ETHIOPIC SYLLABLE DU
        "\u12F2",  # ; ETHIOPIC SYLLABLE DI
        "\u12F3",  # ; ETHIOPIC SYLLABLE DAA
        "\u12F4",  # ; ETHIOPIC SYLLABLE DEE
        "\u12F5",  # ; ETHIOPIC SYLLABLE DE
        "\u12F6",  # ; ETHIOPIC SYLLABLE DO
        "\u12F7",  # ; ETHIOPIC SYLLABLE DWA
        "\u12F8",  # ; ETHIOPIC SYLLABLE DDA
        "\u12F9",  # ; ETHIOPIC SYLLABLE DDU
        "\u12FA",  # ; ETHIOPIC SYLLABLE DDI
        "\u12FB",  # ; ETHIOPIC SYLLABLE DDAA
        "\u12FC",  # ; ETHIOPIC SYLLABLE DDEE
        "\u12FD",  # ; ETHIOPIC SYLLABLE DDE
        "\u12FE",  # ; ETHIOPIC SYLLABLE DDO
        "\u12FF",  # ; ETHIOPIC SYLLABLE DDWA
        "\u1300",  # ; ETHIOPIC SYLLABLE JA
        "\u1301",  # ; ETHIOPIC SYLLABLE JU
        "\u1302",  # ; ETHIOPIC SYLLABLE JI
        "\u1303",  # ; ETHIOPIC SYLLABLE JAA
        "\u1304",  # ; ETHIOPIC SYLLABLE JEE
        "\u1305",  # ; ETHIOPIC SYLLABLE JE
        "\u1306",  # ; ETHIOPIC SYLLABLE JO
        "\u1307",  # ; ETHIOPIC SYLLABLE JWA
        "\u1308",  # ; ETHIOPIC SYLLABLE GA
        "\u1309",  # ; ETHIOPIC SYLLABLE GU
        "\u130A",  # ; ETHIOPIC SYLLABLE GI
        "\u130B",  # ; ETHIOPIC SYLLABLE GAA
        "\u130C",  # ; ETHIOPIC SYLLABLE GEE
        "\u130D",  # ; ETHIOPIC SYLLABLE GE
        "\u130E",  # ; ETHIOPIC SYLLABLE GO
        "\u130F",  # ; ETHIOPIC SYLLABLE GOA
        "\u1310",  # ; ETHIOPIC SYLLABLE GWA
        "\u1312",  # ; ETHIOPIC SYLLABLE GWI
        "\u1313",  # ; ETHIOPIC SYLLABLE GWAA
        "\u1314",  # ; ETHIOPIC SYLLABLE GWEE
        "\u1315",  # ; ETHIOPIC SYLLABLE GWE
        "\u1318",  # ; ETHIOPIC SYLLABLE GGA
        "\u1319",  # ; ETHIOPIC SYLLABLE GGU
        "\u131A",  # ; ETHIOPIC SYLLABLE GGI
        "\u131B",  # ; ETHIOPIC SYLLABLE GGAA
        "\u131C",  # ; ETHIOPIC SYLLABLE GGEE
        "\u131D",  # ; ETHIOPIC SYLLABLE GGE
        "\u131E",  # ; ETHIOPIC SYLLABLE GGO
        "\u131F",  # ; ETHIOPIC SYLLABLE GGWAA
        "\u1320",  # ; ETHIOPIC SYLLABLE THA
        "\u1321",  # ; ETHIOPIC SYLLABLE THU
        "\u1322",  # ; ETHIOPIC SYLLABLE THI
        "\u1323",  # ; ETHIOPIC SYLLABLE THAA
        "\u1324",  # ; ETHIOPIC SYLLABLE THEE
        "\u1325",  # ; ETHIOPIC SYLLABLE THE
        "\u1326",  # ; ETHIOPIC SYLLABLE THO
        "\u1327",  # ; ETHIOPIC SYLLABLE THWA
        "\u1328",  # ; ETHIOPIC SYLLABLE CHA
        "\u1329",  # ; ETHIOPIC SYLLABLE CHU
        "\u132A",  # ; ETHIOPIC SYLLABLE CHI
        "\u132B",  # ; ETHIOPIC SYLLABLE CHAA
        "\u132C",  # ; ETHIOPIC SYLLABLE CHEE
        "\u132D",  # ; ETHIOPIC SYLLABLE CHE
        "\u132E",  # ; ETHIOPIC SYLLABLE CHO
        "\u132F",  # ; ETHIOPIC SYLLABLE CHWA
        "\u1330",  # ; ETHIOPIC SYLLABLE PHA
        "\u1331",  # ; ETHIOPIC SYLLABLE PHU
        "\u1332",  # ; ETHIOPIC SYLLABLE PHI
        "\u1333",  # ; ETHIOPIC SYLLABLE PHAA
        "\u1334",  # ; ETHIOPIC SYLLABLE PHEE
        "\u1335",  # ; ETHIOPIC SYLLABLE PHE
        "\u1336",  # ; ETHIOPIC SYLLABLE PHO
        "\u1337",  # ; ETHIOPIC SYLLABLE PHWA
        "\u1338",  # ; ETHIOPIC SYLLABLE TSA
        "\u1339",  # ; ETHIOPIC SYLLABLE TSU
        "\u133A",  # ; ETHIOPIC SYLLABLE TSI
        "\u133B",  # ; ETHIOPIC SYLLABLE TSAA
        "\u133C",  # ; ETHIOPIC SYLLABLE TSEE
        "\u133D",  # ; ETHIOPIC SYLLABLE TSE
        "\u133E",  # ; ETHIOPIC SYLLABLE TSO
        "\u133F",  # ; ETHIOPIC SYLLABLE TSWA
        "\u1340",  # ; ETHIOPIC SYLLABLE TZA
        "\u1341",  # ; ETHIOPIC SYLLABLE TZU
        "\u1342",  # ; ETHIOPIC SYLLABLE TZI
        "\u1343",  # ; ETHIOPIC SYLLABLE TZAA
        "\u1344",  # ; ETHIOPIC SYLLABLE TZEE
        "\u1345",  # ; ETHIOPIC SYLLABLE TZE
        "\u1346",  # ; ETHIOPIC SYLLABLE TZO
        "\u1347",  # ; ETHIOPIC SYLLABLE TZOA
        "\u1348",  # ; ETHIOPIC SYLLABLE FA
        "\u1349",  # ; ETHIOPIC SYLLABLE FU
        "\u134A",  # ; ETHIOPIC SYLLABLE FI
        "\u134B",  # ; ETHIOPIC SYLLABLE FAA
        "\u134C",  # ; ETHIOPIC SYLLABLE FEE
        "\u134D",  # ; ETHIOPIC SYLLABLE FE
        "\u134E",  # ; ETHIOPIC SYLLABLE FO
        "\u134F",  # ; ETHIOPIC SYLLABLE FWA
        "\u1350",  # ; ETHIOPIC SYLLABLE PA
        "\u1351",  # ; ETHIOPIC SYLLABLE PU
        "\u1352",  # ; ETHIOPIC SYLLABLE PI
        "\u1353",  # ; ETHIOPIC SYLLABLE PAA
        "\u1354",  # ; ETHIOPIC SYLLABLE PEE
        "\u1355",  # ; ETHIOPIC SYLLABLE PE
        "\u1356",  # ; ETHIOPIC SYLLABLE PO
        "\u1357",  # ; ETHIOPIC SYLLABLE PWA
        "\u1358",  # ; ETHIOPIC SYLLABLE RYA
        "\u1359",  # ; ETHIOPIC SYLLABLE MYA
        "\u135A",  # ; ETHIOPIC SYLLABLE FYA
        "\u135D",  # ; ETHIOPIC COMBINING GEMINATION AND VOWEL LENGTH MARK
        "\u135E",  # ; ETHIOPIC COMBINING VOWEL LENGTH MARK
        "\u135F",  # ; ETHIOPIC COMBINING GEMINATION MARK
        "\u1360",  # ; ETHIOPIC SECTION MARK
        "\u1361",  # ; ETHIOPIC WORDSPACE
        "\u1362",  # ; ETHIOPIC FULL STOP
        "\u1363",  # ; ETHIOPIC COMMA
        "\u1364",  # ; ETHIOPIC SEMICOLON
        "\u1365",  # ; ETHIOPIC COLON
        "\u1366",  # ; ETHIOPIC PREFACE COLON
        "\u1367",  # ; ETHIOPIC QUESTION MARK
        "\u1368",  # ; ETHIOPIC PARAGRAPH SEPARATOR
        "\u1369",  # ; ETHIOPIC DIGIT ONE
        "\u136A",  # ; ETHIOPIC DIGIT TWO
        "\u136B",  # ; ETHIOPIC DIGIT THREE
        "\u136C",  # ; ETHIOPIC DIGIT FOUR
        "\u136D",  # ; ETHIOPIC DIGIT FIVE
        "\u136E",  # ; ETHIOPIC DIGIT SIX
        "\u136F",  # ; ETHIOPIC DIGIT SEVEN
        "\u1370",  # ; ETHIOPIC DIGIT EIGHT
        "\u1371",  # ; ETHIOPIC DIGIT NINE
        "\u1372",  # ; ETHIOPIC NUMBER TEN
        "\u1373",  # ; ETHIOPIC NUMBER TWENTY
        "\u1374",  # ; ETHIOPIC NUMBER THIRTY
        "\u1375",  # ; ETHIOPIC NUMBER FORTY
        "\u1376",  # ; ETHIOPIC NUMBER FIFTY
        "\u1377",  # ; ETHIOPIC NUMBER SIXTY
        "\u1378",  # ; ETHIOPIC NUMBER SEVENTY
        "\u1379",  # ; ETHIOPIC NUMBER EIGHTY
        "\u137A",  # ; ETHIOPIC NUMBER NINETY
        "\u137B",  # ; ETHIOPIC NUMBER HUNDRED
        "\u137C",  # ; ETHIOPIC NUMBER TEN THOUSAND
        "\u1380",  # ; ETHIOPIC SYLLABLE SEBATBEIT MWA
        "\u1381",  # ; ETHIOPIC SYLLABLE MWI
        "\u1382",  # ; ETHIOPIC SYLLABLE MWEE
        "\u1383",  # ; ETHIOPIC SYLLABLE MWE
        "\u1384",  # ; ETHIOPIC SYLLABLE SEBATBEIT BWA
        "\u1385",  # ; ETHIOPIC SYLLABLE BWI
        "\u1386",  # ; ETHIOPIC SYLLABLE BWEE
        "\u1387",  # ; ETHIOPIC SYLLABLE BWE
        "\u1388",  # ; ETHIOPIC SYLLABLE SEBATBEIT FWA
        "\u1389",  # ; ETHIOPIC SYLLABLE FWI
        "\u138A",  # ; ETHIOPIC SYLLABLE FWEE
        "\u138B",  # ; ETHIOPIC SYLLABLE FWE
        "\u138C",  # ; ETHIOPIC SYLLABLE SEBATBEIT PWA
        "\u138D",  # ; ETHIOPIC SYLLABLE PWI
        "\u138E",  # ; ETHIOPIC SYLLABLE PWEE
        "\u138F",  # ; ETHIOPIC SYLLABLE PWE
        "\u1390",  # ; ETHIOPIC TONAL MARK YIZET
        "\u1391",  # ; ETHIOPIC TONAL MARK DERET
        "\u1392",  # ; ETHIOPIC TONAL MARK RIKRIK
        "\u1393",  # ; ETHIOPIC TONAL MARK SHORT RIKRIK
        "\u1394",  # ; ETHIOPIC TONAL MARK DIFAT
        "\u1395",  # ; ETHIOPIC TONAL MARK KENAT
        "\u1396",  # ; ETHIOPIC TONAL MARK CHIRET
        "\u1397",  # ; ETHIOPIC TONAL MARK HIDET
        "\u1398",  # ; ETHIOPIC TONAL MARK DERET-HIDET
        "\u1399",  # ; ETHIOPIC TONAL MARK KURT
        "\u13A0",  # ; CHEROKEE LETTER A
        "\u13A1",  # ; CHEROKEE LETTER E
        "\u13A2",  # ; CHEROKEE LETTER I
        "\u13A3",  # ; CHEROKEE LETTER O
        "\u13A4",  # ; CHEROKEE LETTER U
        "\u13A5",  # ; CHEROKEE LETTER V
        "\u13A6",  # ; CHEROKEE LETTER GA
        "\u13A7",  # ; CHEROKEE LETTER KA
        "\u13A8",  # ; CHEROKEE LETTER GE
        "\u13A9",  # ; CHEROKEE LETTER GI
        "\u13AA",  # ; CHEROKEE LETTER GO
        "\u13AB",  # ; CHEROKEE LETTER GU
        "\u13AC",  # ; CHEROKEE LETTER GV
        "\u13AD",  # ; CHEROKEE LETTER HA
        "\u13AE",  # ; CHEROKEE LETTER HE
        "\u13AF",  # ; CHEROKEE LETTER HI
        "\u13B0",  # ; CHEROKEE LETTER HO
        "\u13B1",  # ; CHEROKEE LETTER HU
        "\u13B2",  # ; CHEROKEE LETTER HV
        "\u13B3",  # ; CHEROKEE LETTER LA
        "\u13B4",  # ; CHEROKEE LETTER LE
        "\u13B5",  # ; CHEROKEE LETTER LI
        "\u13B6",  # ; CHEROKEE LETTER LO
        "\u13B7",  # ; CHEROKEE LETTER LU
        "\u13B8",  # ; CHEROKEE LETTER LV
        "\u13B9",  # ; CHEROKEE LETTER MA
        "\u13BA",  # ; CHEROKEE LETTER ME
        "\u13BB",  # ; CHEROKEE LETTER MI
        "\u13BC",  # ; CHEROKEE LETTER MO
        "\u13BD",  # ; CHEROKEE LETTER MU
        "\u13BE",  # ; CHEROKEE LETTER NA
        "\u13BF",  # ; CHEROKEE LETTER HNA
        "\u13C0",  # ; CHEROKEE LETTER NAH
        "\u13C1",  # ; CHEROKEE LETTER NE
        "\u13C2",  # ; CHEROKEE LETTER NI
        "\u13C3",  # ; CHEROKEE LETTER NO
        "\u13C4",  # ; CHEROKEE LETTER NU
        "\u13C5",  # ; CHEROKEE LETTER NV
        "\u13C6",  # ; CHEROKEE LETTER QUA
        "\u13C7",  # ; CHEROKEE LETTER QUE
        "\u13C8",  # ; CHEROKEE LETTER QUI
        "\u13C9",  # ; CHEROKEE LETTER QUO
        "\u13CA",  # ; CHEROKEE LETTER QUU
        "\u13CB",  # ; CHEROKEE LETTER QUV
        "\u13CC",  # ; CHEROKEE LETTER SA
        "\u13CD",  # ; CHEROKEE LETTER S
        "\u13CE",  # ; CHEROKEE LETTER SE
        "\u13CF",  # ; CHEROKEE LETTER SI
        "\u13D0",  # ; CHEROKEE LETTER SO
        "\u13D1",  # ; CHEROKEE LETTER SU
        "\u13D2",  # ; CHEROKEE LETTER SV
        "\u13D3",  # ; CHEROKEE LETTER DA
        "\u13D4",  # ; CHEROKEE LETTER TA
        "\u13D5",  # ; CHEROKEE LETTER DE
        "\u13D6",  # ; CHEROKEE LETTER TE
        "\u13D7",  # ; CHEROKEE LETTER DI
        "\u13D8",  # ; CHEROKEE LETTER TI
        "\u13D9",  # ; CHEROKEE LETTER DO
        "\u13DA",  # ; CHEROKEE LETTER DU
        "\u13DB",  # ; CHEROKEE LETTER DV
        "\u13DC",  # ; CHEROKEE LETTER DLA
        "\u13DD",  # ; CHEROKEE LETTER TLA
        "\u13DE",  # ; CHEROKEE LETTER TLE
        "\u13DF",  # ; CHEROKEE LETTER TLI
        "\u13E0",  # ; CHEROKEE LETTER TLO
        "\u13E1",  # ; CHEROKEE LETTER TLU
        "\u13E2",  # ; CHEROKEE LETTER TLV
        "\u13E3",  # ; CHEROKEE LETTER TSA
        "\u13E4",  # ; CHEROKEE LETTER TSE
        "\u13E5",  # ; CHEROKEE LETTER TSI
        "\u13E6",  # ; CHEROKEE LETTER TSO
        "\u13E7",  # ; CHEROKEE LETTER TSU
        "\u13E8",  # ; CHEROKEE LETTER TSV
        "\u13E9",  # ; CHEROKEE LETTER WA
        "\u13EA",  # ; CHEROKEE LETTER WE
        "\u13EB",  # ; CHEROKEE LETTER WI
        "\u13EC",  # ; CHEROKEE LETTER WO
        "\u13ED",  # ; CHEROKEE LETTER WU
        "\u13EE",  # ; CHEROKEE LETTER WV
        "\u13EF",  # ; CHEROKEE LETTER YA
        "\u13F0",  # ; CHEROKEE LETTER YE
        "\u13F1",  # ; CHEROKEE LETTER YI
        "\u13F2",  # ; CHEROKEE LETTER YO
        "\u13F3",  # ; CHEROKEE LETTER YU
        "\u13F4",  # ; CHEROKEE LETTER YV
        "\u13F5",  # ; CHEROKEE LETTER MV
        "\u13F8",  # ; CHEROKEE SMALL LETTER YE
        "\u13F9",  # ; CHEROKEE SMALL LETTER YI
        "\u13FA",  # ; CHEROKEE SMALL LETTER YO
        "\u13FB",  # ; CHEROKEE SMALL LETTER YU
        "\u13FC",  # ; CHEROKEE SMALL LETTER YV
        "\u13FD",  # ; CHEROKEE SMALL LETTER MV
        "\u1400",  # ; CANADIAN SYLLABICS HYPHEN
        "\u1401",  # ; CANADIAN SYLLABICS E
        "\u1402",  # ; CANADIAN SYLLABICS AAI
        "\u1403",  # ; CANADIAN SYLLABICS I
        "\u1404",  # ; CANADIAN SYLLABICS II
        "\u1405",  # ; CANADIAN SYLLABICS O
        "\u1406",  # ; CANADIAN SYLLABICS OO
        "\u1407",  # ; CANADIAN SYLLABICS Y-CREE OO
        "\u1408",  # ; CANADIAN SYLLABICS CARRIER EE
        "\u1409",  # ; CANADIAN SYLLABICS CARRIER I
        "\u140A",  # ; CANADIAN SYLLABICS A
        "\u140B",  # ; CANADIAN SYLLABICS AA
        "\u140C",  # ; CANADIAN SYLLABICS WE
        "\u140D",  # ; CANADIAN SYLLABICS WEST-CREE WE
        "\u140E",  # ; CANADIAN SYLLABICS WI
        "\u140F",  # ; CANADIAN SYLLABICS WEST-CREE WI
        "\u1410",  # ; CANADIAN SYLLABICS WII
        "\u1411",  # ; CANADIAN SYLLABICS WEST-CREE WII
        "\u1412",  # ; CANADIAN SYLLABICS WO
        "\u1413",  # ; CANADIAN SYLLABICS WEST-CREE WO
        "\u1414",  # ; CANADIAN SYLLABICS WOO
        "\u1415",  # ; CANADIAN SYLLABICS WEST-CREE WOO
        "\u1416",  # ; CANADIAN SYLLABICS NASKAPI WOO
        "\u1417",  # ; CANADIAN SYLLABICS WA
        "\u1418",  # ; CANADIAN SYLLABICS WEST-CREE WA
        "\u1419",  # ; CANADIAN SYLLABICS WAA
        "\u141A",  # ; CANADIAN SYLLABICS WEST-CREE WAA
        "\u141B",  # ; CANADIAN SYLLABICS NASKAPI WAA
        "\u141C",  # ; CANADIAN SYLLABICS AI
        "\u141D",  # ; CANADIAN SYLLABICS Y-CREE W
        "\u141E",  # ; CANADIAN SYLLABICS GLOTTAL STOP
        "\u141F",  # ; CANADIAN SYLLABICS FINAL ACUTE
        "\u1420",  # ; CANADIAN SYLLABICS FINAL GRAVE
        "\u1421",  # ; CANADIAN SYLLABICS FINAL BOTTOM HALF RING
        "\u1422",  # ; CANADIAN SYLLABICS FINAL TOP HALF RING
        "\u1423",  # ; CANADIAN SYLLABICS FINAL RIGHT HALF RING
        "\u1424",  # ; CANADIAN SYLLABICS FINAL RING
        "\u1425",  # ; CANADIAN SYLLABICS FINAL DOUBLE ACUTE
        "\u1426",  # ; CANADIAN SYLLABICS FINAL DOUBLE SHORT VERTICAL STROKES
        "\u1427",  # ; CANADIAN SYLLABICS FINAL MIDDLE DOT
        "\u1428",  # ; CANADIAN SYLLABICS FINAL SHORT HORIZONTAL STROKE
        "\u1429",  # ; CANADIAN SYLLABICS FINAL PLUS
        "\u142A",  # ; CANADIAN SYLLABICS FINAL DOWN TACK
        "\u142B",  # ; CANADIAN SYLLABICS EN
        "\u142C",  # ; CANADIAN SYLLABICS IN
        "\u142D",  # ; CANADIAN SYLLABICS ON
        "\u142E",  # ; CANADIAN SYLLABICS AN
        "\u142F",  # ; CANADIAN SYLLABICS PE
        "\u1430",  # ; CANADIAN SYLLABICS PAAI
        "\u1431",  # ; CANADIAN SYLLABICS PI
        "\u1432",  # ; CANADIAN SYLLABICS PII
        "\u1433",  # ; CANADIAN SYLLABICS PO
        "\u1434",  # ; CANADIAN SYLLABICS POO
        "\u1435",  # ; CANADIAN SYLLABICS Y-CREE POO
        "\u1436",  # ; CANADIAN SYLLABICS CARRIER HEE
        "\u1437",  # ; CANADIAN SYLLABICS CARRIER HI
        "\u1438",  # ; CANADIAN SYLLABICS PA
        "\u1439",  # ; CANADIAN SYLLABICS PAA
        "\u143A",  # ; CANADIAN SYLLABICS PWE
        "\u143B",  # ; CANADIAN SYLLABICS WEST-CREE PWE
        "\u143C",  # ; CANADIAN SYLLABICS PWI
        "\u143D",  # ; CANADIAN SYLLABICS WEST-CREE PWI
        "\u143E",  # ; CANADIAN SYLLABICS PWII
        "\u143F",  # ; CANADIAN SYLLABICS WEST-CREE PWII
        "\u1440",  # ; CANADIAN SYLLABICS PWO
        "\u1441",  # ; CANADIAN SYLLABICS WEST-CREE PWO
        "\u1442",  # ; CANADIAN SYLLABICS PWOO
        "\u1443",  # ; CANADIAN SYLLABICS WEST-CREE PWOO
        "\u1444",  # ; CANADIAN SYLLABICS PWA
        "\u1445",  # ; CANADIAN SYLLABICS WEST-CREE PWA
        "\u1446",  # ; CANADIAN SYLLABICS PWAA
        "\u1447",  # ; CANADIAN SYLLABICS WEST-CREE PWAA
        "\u1448",  # ; CANADIAN SYLLABICS Y-CREE PWAA
        "\u1449",  # ; CANADIAN SYLLABICS P
        "\u144A",  # ; CANADIAN SYLLABICS WEST-CREE P
        "\u144B",  # ; CANADIAN SYLLABICS CARRIER H
        "\u144C",  # ; CANADIAN SYLLABICS TE
        "\u144D",  # ; CANADIAN SYLLABICS TAAI
        "\u144E",  # ; CANADIAN SYLLABICS TI
        "\u144F",  # ; CANADIAN SYLLABICS TII
        "\u1450",  # ; CANADIAN SYLLABICS TO
        "\u1451",  # ; CANADIAN SYLLABICS TOO
        "\u1452",  # ; CANADIAN SYLLABICS Y-CREE TOO
        "\u1453",  # ; CANADIAN SYLLABICS CARRIER DEE
        "\u1454",  # ; CANADIAN SYLLABICS CARRIER DI
        "\u1455",  # ; CANADIAN SYLLABICS TA
        "\u1456",  # ; CANADIAN SYLLABICS TAA
        "\u1457",  # ; CANADIAN SYLLABICS TWE
        "\u1458",  # ; CANADIAN SYLLABICS WEST-CREE TWE
        "\u1459",  # ; CANADIAN SYLLABICS TWI
        "\u145A",  # ; CANADIAN SYLLABICS WEST-CREE TWI
        "\u145B",  # ; CANADIAN SYLLABICS TWII
        "\u145C",  # ; CANADIAN SYLLABICS WEST-CREE TWII
        "\u145D",  # ; CANADIAN SYLLABICS TWO
        "\u145E",  # ; CANADIAN SYLLABICS WEST-CREE TWO
        "\u145F",  # ; CANADIAN SYLLABICS TWOO
        "\u1460",  # ; CANADIAN SYLLABICS WEST-CREE TWOO
        "\u1461",  # ; CANADIAN SYLLABICS TWA
        "\u1462",  # ; CANADIAN SYLLABICS WEST-CREE TWA
        "\u1463",  # ; CANADIAN SYLLABICS TWAA
        "\u1464",  # ; CANADIAN SYLLABICS WEST-CREE TWAA
        "\u1465",  # ; CANADIAN SYLLABICS NASKAPI TWAA
        "\u1466",  # ; CANADIAN SYLLABICS T
        "\u1467",  # ; CANADIAN SYLLABICS TTE
        "\u1468",  # ; CANADIAN SYLLABICS TTI
        "\u1469",  # ; CANADIAN SYLLABICS TTO
        "\u146A",  # ; CANADIAN SYLLABICS TTA
        "\u146B",  # ; CANADIAN SYLLABICS KE
        "\u146C",  # ; CANADIAN SYLLABICS KAAI
        "\u146D",  # ; CANADIAN SYLLABICS KI
        "\u146E",  # ; CANADIAN SYLLABICS KII
        "\u146F",  # ; CANADIAN SYLLABICS KO
        "\u1470",  # ; CANADIAN SYLLABICS KOO
        "\u1471",  # ; CANADIAN SYLLABICS Y-CREE KOO
        "\u1472",  # ; CANADIAN SYLLABICS KA
        "\u1473",  # ; CANADIAN SYLLABICS KAA
        "\u1474",  # ; CANADIAN SYLLABICS KWE
        "\u1475",  # ; CANADIAN SYLLABICS WEST-CREE KWE
        "\u1476",  # ; CANADIAN SYLLABICS KWI
        "\u1477",  # ; CANADIAN SYLLABICS WEST-CREE KWI
        "\u1478",  # ; CANADIAN SYLLABICS KWII
        "\u1479",  # ; CANADIAN SYLLABICS WEST-CREE KWII
        "\u147A",  # ; CANADIAN SYLLABICS KWO
        "\u147B",  # ; CANADIAN SYLLABICS WEST-CREE KWO
        "\u147C",  # ; CANADIAN SYLLABICS KWOO
        "\u147D",  # ; CANADIAN SYLLABICS WEST-CREE KWOO
        "\u147E",  # ; CANADIAN SYLLABICS KWA
        "\u147F",  # ; CANADIAN SYLLABICS WEST-CREE KWA
        "\u1480",  # ; CANADIAN SYLLABICS KWAA
        "\u1481",  # ; CANADIAN SYLLABICS WEST-CREE KWAA
        "\u1482",  # ; CANADIAN SYLLABICS NASKAPI KWAA
        "\u1483",  # ; CANADIAN SYLLABICS K
        "\u1484",  # ; CANADIAN SYLLABICS KW
        "\u1485",  # ; CANADIAN SYLLABICS SOUTH-SLAVEY KEH
        "\u1486",  # ; CANADIAN SYLLABICS SOUTH-SLAVEY KIH
        "\u1487",  # ; CANADIAN SYLLABICS SOUTH-SLAVEY KOH
        "\u1488",  # ; CANADIAN SYLLABICS SOUTH-SLAVEY KAH
        "\u1489",  # ; CANADIAN SYLLABICS CE
        "\u148A",  # ; CANADIAN SYLLABICS CAAI
        "\u148B",  # ; CANADIAN SYLLABICS CI
        "\u148C",  # ; CANADIAN SYLLABICS CII
        "\u148D",  # ; CANADIAN SYLLABICS CO
        "\u148E",  # ; CANADIAN SYLLABICS COO
        "\u148F",  # ; CANADIAN SYLLABICS Y-CREE COO
        "\u1490",  # ; CANADIAN SYLLABICS CA
        "\u1491",  # ; CANADIAN SYLLABICS CAA
        "\u1492",  # ; CANADIAN SYLLABICS CWE
        "\u1493",  # ; CANADIAN SYLLABICS WEST-CREE CWE
        "\u1494",  # ; CANADIAN SYLLABICS CWI
        "\u1495",  # ; CANADIAN SYLLABICS WEST-CREE CWI
        "\u1496",  # ; CANADIAN SYLLABICS CWII
        "\u1497",  # ; CANADIAN SYLLABICS WEST-CREE CWII
        "\u1498",  # ; CANADIAN SYLLABICS CWO
        "\u1499",  # ; CANADIAN SYLLABICS WEST-CREE CWO
        "\u149A",  # ; CANADIAN SYLLABICS CWOO
        "\u149B",  # ; CANADIAN SYLLABICS WEST-CREE CWOO
        "\u149C",  # ; CANADIAN SYLLABICS CWA
        "\u149D",  # ; CANADIAN SYLLABICS WEST-CREE CWA
        "\u149E",  # ; CANADIAN SYLLABICS CWAA
        "\u149F",  # ; CANADIAN SYLLABICS WEST-CREE CWAA
        "\u14A0",  # ; CANADIAN SYLLABICS NASKAPI CWAA
        "\u14A1",  # ; CANADIAN SYLLABICS C
        "\u14A2",  # ; CANADIAN SYLLABICS SAYISI TH
        "\u14A3",  # ; CANADIAN SYLLABICS ME
        "\u14A4",  # ; CANADIAN SYLLABICS MAAI
        "\u14A5",  # ; CANADIAN SYLLABICS MI
        "\u14A6",  # ; CANADIAN SYLLABICS MII
        "\u14A7",  # ; CANADIAN SYLLABICS MO
        "\u14A8",  # ; CANADIAN SYLLABICS MOO
        "\u14A9",  # ; CANADIAN SYLLABICS Y-CREE MOO
        "\u14AA",  # ; CANADIAN SYLLABICS MA
        "\u14AB",  # ; CANADIAN SYLLABICS MAA
        "\u14AC",  # ; CANADIAN SYLLABICS MWE
        "\u14AD",  # ; CANADIAN SYLLABICS WEST-CREE MWE
        "\u14AE",  # ; CANADIAN SYLLABICS MWI
        "\u14AF",  # ; CANADIAN SYLLABICS WEST-CREE MWI
        "\u14B0",  # ; CANADIAN SYLLABICS MWII
        "\u14B1",  # ; CANADIAN SYLLABICS WEST-CREE MWII
        "\u14B2",  # ; CANADIAN SYLLABICS MWO
        "\u14B3",  # ; CANADIAN SYLLABICS WEST-CREE MWO
        "\u14B4",  # ; CANADIAN SYLLABICS MWOO
        "\u14B5",  # ; CANADIAN SYLLABICS WEST-CREE MWOO
        "\u14B6",  # ; CANADIAN SYLLABICS MWA
        "\u14B7",  # ; CANADIAN SYLLABICS WEST-CREE MWA
        "\u14B8",  # ; CANADIAN SYLLABICS MWAA
        "\u14B9",  # ; CANADIAN SYLLABICS WEST-CREE MWAA
        "\u14BA",  # ; CANADIAN SYLLABICS NASKAPI MWAA
        "\u14BB",  # ; CANADIAN SYLLABICS M
        "\u14BC",  # ; CANADIAN SYLLABICS WEST-CREE M
        "\u14BD",  # ; CANADIAN SYLLABICS MH
        "\u14BE",  # ; CANADIAN SYLLABICS ATHAPASCAN M
        "\u14BF",  # ; CANADIAN SYLLABICS SAYISI M
        "\u14C0",  # ; CANADIAN SYLLABICS NE
        "\u14C1",  # ; CANADIAN SYLLABICS NAAI
        "\u14C2",  # ; CANADIAN SYLLABICS NI
        "\u14C3",  # ; CANADIAN SYLLABICS NII
        "\u14C4",  # ; CANADIAN SYLLABICS NO
        "\u14C5",  # ; CANADIAN SYLLABICS NOO
        "\u14C6",  # ; CANADIAN SYLLABICS Y-CREE NOO
        "\u14C7",  # ; CANADIAN SYLLABICS NA
        "\u14C8",  # ; CANADIAN SYLLABICS NAA
        "\u14C9",  # ; CANADIAN SYLLABICS NWE
        "\u14CA",  # ; CANADIAN SYLLABICS WEST-CREE NWE
        "\u14CB",  # ; CANADIAN SYLLABICS NWA
        "\u14CC",  # ; CANADIAN SYLLABICS WEST-CREE NWA
        "\u14CD",  # ; CANADIAN SYLLABICS NWAA
        "\u14CE",  # ; CANADIAN SYLLABICS WEST-CREE NWAA
        "\u14CF",  # ; CANADIAN SYLLABICS NASKAPI NWAA
        "\u14D0",  # ; CANADIAN SYLLABICS N
        "\u14D1",  # ; CANADIAN SYLLABICS CARRIER NG
        "\u14D2",  # ; CANADIAN SYLLABICS NH
        "\u14D3",  # ; CANADIAN SYLLABICS LE
        "\u14D4",  # ; CANADIAN SYLLABICS LAAI
        "\u14D5",  # ; CANADIAN SYLLABICS LI
        "\u14D6",  # ; CANADIAN SYLLABICS LII
        "\u14D7",  # ; CANADIAN SYLLABICS LO
        "\u14D8",  # ; CANADIAN SYLLABICS LOO
        "\u14D9",  # ; CANADIAN SYLLABICS Y-CREE LOO
        "\u14DA",  # ; CANADIAN SYLLABICS LA
        "\u14DB",  # ; CANADIAN SYLLABICS LAA
        "\u14DC",  # ; CANADIAN SYLLABICS LWE
        "\u14DD",  # ; CANADIAN SYLLABICS WEST-CREE LWE
        "\u14DE",  # ; CANADIAN SYLLABICS LWI
        "\u14DF",  # ; CANADIAN SYLLABICS WEST-CREE LWI
        "\u14E0",  # ; CANADIAN SYLLABICS LWII
        "\u14E1",  # ; CANADIAN SYLLABICS WEST-CREE LWII
        "\u14E2",  # ; CANADIAN SYLLABICS LWO
        "\u14E3",  # ; CANADIAN SYLLABICS WEST-CREE LWO
        "\u14E4",  # ; CANADIAN SYLLABICS LWOO
        "\u14E5",  # ; CANADIAN SYLLABICS WEST-CREE LWOO
        "\u14E6",  # ; CANADIAN SYLLABICS LWA
        "\u14E7",  # ; CANADIAN SYLLABICS WEST-CREE LWA
        "\u14E8",  # ; CANADIAN SYLLABICS LWAA
        "\u14E9",  # ; CANADIAN SYLLABICS WEST-CREE LWAA
        "\u14EA",  # ; CANADIAN SYLLABICS L
        "\u14EB",  # ; CANADIAN SYLLABICS WEST-CREE L
        "\u14EC",  # ; CANADIAN SYLLABICS MEDIAL L
        "\u14ED",  # ; CANADIAN SYLLABICS SE
        "\u14EE",  # ; CANADIAN SYLLABICS SAAI
        "\u14EF",  # ; CANADIAN SYLLABICS SI
        "\u14F0",  # ; CANADIAN SYLLABICS SII
        "\u14F1",  # ; CANADIAN SYLLABICS SO
        "\u14F2",  # ; CANADIAN SYLLABICS SOO
        "\u14F3",  # ; CANADIAN SYLLABICS Y-CREE SOO
        "\u14F4",  # ; CANADIAN SYLLABICS SA
        "\u14F5",  # ; CANADIAN SYLLABICS SAA
        "\u14F6",  # ; CANADIAN SYLLABICS SWE
        "\u14F7",  # ; CANADIAN SYLLABICS WEST-CREE SWE
        "\u14F8",  # ; CANADIAN SYLLABICS SWI
        "\u14F9",  # ; CANADIAN SYLLABICS WEST-CREE SWI
        "\u14FA",  # ; CANADIAN SYLLABICS SWII
        "\u14FB",  # ; CANADIAN SYLLABICS WEST-CREE SWII
        "\u14FC",  # ; CANADIAN SYLLABICS SWO
        "\u14FD",  # ; CANADIAN SYLLABICS WEST-CREE SWO
        "\u14FE",  # ; CANADIAN SYLLABICS SWOO
        "\u14FF",  # ; CANADIAN SYLLABICS WEST-CREE SWOO
        "\u1500",  # ; CANADIAN SYLLABICS SWA
        "\u1501",  # ; CANADIAN SYLLABICS WEST-CREE SWA
        "\u1502",  # ; CANADIAN SYLLABICS SWAA
        "\u1503",  # ; CANADIAN SYLLABICS WEST-CREE SWAA
        "\u1504",  # ; CANADIAN SYLLABICS NASKAPI SWAA
        "\u1505",  # ; CANADIAN SYLLABICS S
        "\u1506",  # ; CANADIAN SYLLABICS ATHAPASCAN S
        "\u1507",  # ; CANADIAN SYLLABICS SW
        "\u1508",  # ; CANADIAN SYLLABICS BLACKFOOT S
        "\u1509",  # ; CANADIAN SYLLABICS MOOSE-CREE SK
        "\u150A",  # ; CANADIAN SYLLABICS NASKAPI SKW
        "\u150B",  # ; CANADIAN SYLLABICS NASKAPI S-W
        "\u150C",  # ; CANADIAN SYLLABICS NASKAPI SPWA
        "\u150D",  # ; CANADIAN SYLLABICS NASKAPI STWA
        "\u150E",  # ; CANADIAN SYLLABICS NASKAPI SKWA
        "\u150F",  # ; CANADIAN SYLLABICS NASKAPI SCWA
        "\u1510",  # ; CANADIAN SYLLABICS SHE
        "\u1511",  # ; CANADIAN SYLLABICS SHI
        "\u1512",  # ; CANADIAN SYLLABICS SHII
        "\u1513",  # ; CANADIAN SYLLABICS SHO
        "\u1514",  # ; CANADIAN SYLLABICS SHOO
        "\u1515",  # ; CANADIAN SYLLABICS SHA
        "\u1516",  # ; CANADIAN SYLLABICS SHAA
        "\u1517",  # ; CANADIAN SYLLABICS SHWE
        "\u1518",  # ; CANADIAN SYLLABICS WEST-CREE SHWE
        "\u1519",  # ; CANADIAN SYLLABICS SHWI
        "\u151A",  # ; CANADIAN SYLLABICS WEST-CREE SHWI
        "\u151B",  # ; CANADIAN SYLLABICS SHWII
        "\u151C",  # ; CANADIAN SYLLABICS WEST-CREE SHWII
        "\u151D",  # ; CANADIAN SYLLABICS SHWO
        "\u151E",  # ; CANADIAN SYLLABICS WEST-CREE SHWO
        "\u151F",  # ; CANADIAN SYLLABICS SHWOO
        "\u1520",  # ; CANADIAN SYLLABICS WEST-CREE SHWOO
        "\u1521",  # ; CANADIAN SYLLABICS SHWA
        "\u1522",  # ; CANADIAN SYLLABICS WEST-CREE SHWA
        "\u1523",  # ; CANADIAN SYLLABICS SHWAA
        "\u1524",  # ; CANADIAN SYLLABICS WEST-CREE SHWAA
        "\u1525",  # ; CANADIAN SYLLABICS SH
        "\u1526",  # ; CANADIAN SYLLABICS YE
        "\u1527",  # ; CANADIAN SYLLABICS YAAI
        "\u1528",  # ; CANADIAN SYLLABICS YI
        "\u1529",  # ; CANADIAN SYLLABICS YII
        "\u152A",  # ; CANADIAN SYLLABICS YO
        "\u152B",  # ; CANADIAN SYLLABICS YOO
        "\u152C",  # ; CANADIAN SYLLABICS Y-CREE YOO
        "\u152D",  # ; CANADIAN SYLLABICS YA
        "\u152E",  # ; CANADIAN SYLLABICS YAA
        "\u152F",  # ; CANADIAN SYLLABICS YWE
        "\u1530",  # ; CANADIAN SYLLABICS WEST-CREE YWE
        "\u1531",  # ; CANADIAN SYLLABICS YWI
        "\u1532",  # ; CANADIAN SYLLABICS WEST-CREE YWI
        "\u1533",  # ; CANADIAN SYLLABICS YWII
        "\u1534",  # ; CANADIAN SYLLABICS WEST-CREE YWII
        "\u1535",  # ; CANADIAN SYLLABICS YWO
        "\u1536",  # ; CANADIAN SYLLABICS WEST-CREE YWO
        "\u1537",  # ; CANADIAN SYLLABICS YWOO
        "\u1538",  # ; CANADIAN SYLLABICS WEST-CREE YWOO
        "\u1539",  # ; CANADIAN SYLLABICS YWA
        "\u153A",  # ; CANADIAN SYLLABICS WEST-CREE YWA
        "\u153B",  # ; CANADIAN SYLLABICS YWAA
        "\u153C",  # ; CANADIAN SYLLABICS WEST-CREE YWAA
        "\u153D",  # ; CANADIAN SYLLABICS NASKAPI YWAA
        "\u153E",  # ; CANADIAN SYLLABICS Y
        "\u153F",  # ; CANADIAN SYLLABICS BIBLE-CREE Y
        "\u1540",  # ; CANADIAN SYLLABICS WEST-CREE Y
        "\u1541",  # ; CANADIAN SYLLABICS SAYISI YI
        "\u1542",  # ; CANADIAN SYLLABICS RE
        "\u1543",  # ; CANADIAN SYLLABICS R-CREE RE
        "\u1544",  # ; CANADIAN SYLLABICS WEST-CREE LE
        "\u1545",  # ; CANADIAN SYLLABICS RAAI
        "\u1546",  # ; CANADIAN SYLLABICS RI
        "\u1547",  # ; CANADIAN SYLLABICS RII
        "\u1548",  # ; CANADIAN SYLLABICS RO
        "\u1549",  # ; CANADIAN SYLLABICS ROO
        "\u154A",  # ; CANADIAN SYLLABICS WEST-CREE LO
        "\u154B",  # ; CANADIAN SYLLABICS RA
        "\u154C",  # ; CANADIAN SYLLABICS RAA
        "\u154D",  # ; CANADIAN SYLLABICS WEST-CREE LA
        "\u154E",  # ; CANADIAN SYLLABICS RWAA
        "\u154F",  # ; CANADIAN SYLLABICS WEST-CREE RWAA
        "\u1550",  # ; CANADIAN SYLLABICS R
        "\u1551",  # ; CANADIAN SYLLABICS WEST-CREE R
        "\u1552",  # ; CANADIAN SYLLABICS MEDIAL R
        "\u1553",  # ; CANADIAN SYLLABICS FE
        "\u1554",  # ; CANADIAN SYLLABICS FAAI
        "\u1555",  # ; CANADIAN SYLLABICS FI
        "\u1556",  # ; CANADIAN SYLLABICS FII
        "\u1557",  # ; CANADIAN SYLLABICS FO
        "\u1558",  # ; CANADIAN SYLLABICS FOO
        "\u1559",  # ; CANADIAN SYLLABICS FA
        "\u155A",  # ; CANADIAN SYLLABICS FAA
        "\u155B",  # ; CANADIAN SYLLABICS FWAA
        "\u155C",  # ; CANADIAN SYLLABICS WEST-CREE FWAA
        "\u155D",  # ; CANADIAN SYLLABICS F
        "\u155E",  # ; CANADIAN SYLLABICS THE
        "\u155F",  # ; CANADIAN SYLLABICS N-CREE THE
        "\u1560",  # ; CANADIAN SYLLABICS THI
        "\u1561",  # ; CANADIAN SYLLABICS N-CREE THI
        "\u1562",  # ; CANADIAN SYLLABICS THII
        "\u1563",  # ; CANADIAN SYLLABICS N-CREE THII
        "\u1564",  # ; CANADIAN SYLLABICS THO
        "\u1565",  # ; CANADIAN SYLLABICS THOO
        "\u1566",  # ; CANADIAN SYLLABICS THA
        "\u1567",  # ; CANADIAN SYLLABICS THAA
        "\u1568",  # ; CANADIAN SYLLABICS THWAA
        "\u1569",  # ; CANADIAN SYLLABICS WEST-CREE THWAA
        "\u156A",  # ; CANADIAN SYLLABICS TH
        "\u156B",  # ; CANADIAN SYLLABICS TTHE
        "\u156C",  # ; CANADIAN SYLLABICS TTHI
        "\u156D",  # ; CANADIAN SYLLABICS TTHO
        "\u156E",  # ; CANADIAN SYLLABICS TTHA
        "\u156F",  # ; CANADIAN SYLLABICS TTH
        "\u1570",  # ; CANADIAN SYLLABICS TYE
        "\u1571",  # ; CANADIAN SYLLABICS TYI
        "\u1572",  # ; CANADIAN SYLLABICS TYO
        "\u1573",  # ; CANADIAN SYLLABICS TYA
        "\u1574",  # ; CANADIAN SYLLABICS NUNAVIK HE
        "\u1575",  # ; CANADIAN SYLLABICS NUNAVIK HI
        "\u1576",  # ; CANADIAN SYLLABICS NUNAVIK HII
        "\u1577",  # ; CANADIAN SYLLABICS NUNAVIK HO
        "\u1578",  # ; CANADIAN SYLLABICS NUNAVIK HOO
        "\u1579",  # ; CANADIAN SYLLABICS NUNAVIK HA
        "\u157A",  # ; CANADIAN SYLLABICS NUNAVIK HAA
        "\u157B",  # ; CANADIAN SYLLABICS NUNAVIK H
        "\u157C",  # ; CANADIAN SYLLABICS NUNAVUT H
        "\u157D",  # ; CANADIAN SYLLABICS HK
        "\u157E",  # ; CANADIAN SYLLABICS QAAI
        "\u157F",  # ; CANADIAN SYLLABICS QI
        "\u1580",  # ; CANADIAN SYLLABICS QII
        "\u1581",  # ; CANADIAN SYLLABICS QO
        "\u1582",  # ; CANADIAN SYLLABICS QOO
        "\u1583",  # ; CANADIAN SYLLABICS QA
        "\u1584",  # ; CANADIAN SYLLABICS QAA
        "\u1585",  # ; CANADIAN SYLLABICS Q
        "\u1586",  # ; CANADIAN SYLLABICS TLHE
        "\u1587",  # ; CANADIAN SYLLABICS TLHI
        "\u1588",  # ; CANADIAN SYLLABICS TLHO
        "\u1589",  # ; CANADIAN SYLLABICS TLHA
        "\u158A",  # ; CANADIAN SYLLABICS WEST-CREE RE
        "\u158B",  # ; CANADIAN SYLLABICS WEST-CREE RI
        "\u158C",  # ; CANADIAN SYLLABICS WEST-CREE RO
        "\u158D",  # ; CANADIAN SYLLABICS WEST-CREE RA
        "\u158E",  # ; CANADIAN SYLLABICS NGAAI
        "\u158F",  # ; CANADIAN SYLLABICS NGI
        "\u1590",  # ; CANADIAN SYLLABICS NGII
        "\u1591",  # ; CANADIAN SYLLABICS NGO
        "\u1592",  # ; CANADIAN SYLLABICS NGOO
        "\u1593",  # ; CANADIAN SYLLABICS NGA
        "\u1594",  # ; CANADIAN SYLLABICS NGAA
        "\u1595",  # ; CANADIAN SYLLABICS NG
        "\u1596",  # ; CANADIAN SYLLABICS NNG
        "\u1597",  # ; CANADIAN SYLLABICS SAYISI SHE
        "\u1598",  # ; CANADIAN SYLLABICS SAYISI SHI
        "\u1599",  # ; CANADIAN SYLLABICS SAYISI SHO
        "\u159A",  # ; CANADIAN SYLLABICS SAYISI SHA
        "\u159B",  # ; CANADIAN SYLLABICS WOODS-CREE THE
        "\u159C",  # ; CANADIAN SYLLABICS WOODS-CREE THI
        "\u159D",  # ; CANADIAN SYLLABICS WOODS-CREE THO
        "\u159E",  # ; CANADIAN SYLLABICS WOODS-CREE THA
        "\u159F",  # ; CANADIAN SYLLABICS WOODS-CREE TH
        "\u15A0",  # ; CANADIAN SYLLABICS LHI
        "\u15A1",  # ; CANADIAN SYLLABICS LHII
        "\u15A2",  # ; CANADIAN SYLLABICS LHO
        "\u15A3",  # ; CANADIAN SYLLABICS LHOO
        "\u15A4",  # ; CANADIAN SYLLABICS LHA
        "\u15A5",  # ; CANADIAN SYLLABICS LHAA
        "\u15A6",  # ; CANADIAN SYLLABICS LH
        "\u15A7",  # ; CANADIAN SYLLABICS TH-CREE THE
        "\u15A8",  # ; CANADIAN SYLLABICS TH-CREE THI
        "\u15A9",  # ; CANADIAN SYLLABICS TH-CREE THII
        "\u15AA",  # ; CANADIAN SYLLABICS TH-CREE THO
        "\u15AB",  # ; CANADIAN SYLLABICS TH-CREE THOO
        "\u15AC",  # ; CANADIAN SYLLABICS TH-CREE THA
        "\u15AD",  # ; CANADIAN SYLLABICS TH-CREE THAA
        "\u15AE",  # ; CANADIAN SYLLABICS TH-CREE TH
        "\u15AF",  # ; CANADIAN SYLLABICS AIVILIK B
        "\u15B0",  # ; CANADIAN SYLLABICS BLACKFOOT E
        "\u15B1",  # ; CANADIAN SYLLABICS BLACKFOOT I
        "\u15B2",  # ; CANADIAN SYLLABICS BLACKFOOT O
        "\u15B3",  # ; CANADIAN SYLLABICS BLACKFOOT A
        "\u15B4",  # ; CANADIAN SYLLABICS BLACKFOOT WE
        "\u15B5",  # ; CANADIAN SYLLABICS BLACKFOOT WI
        "\u15B6",  # ; CANADIAN SYLLABICS BLACKFOOT WO
        "\u15B7",  # ; CANADIAN SYLLABICS BLACKFOOT WA
        "\u15B8",  # ; CANADIAN SYLLABICS BLACKFOOT NE
        "\u15B9",  # ; CANADIAN SYLLABICS BLACKFOOT NI
        "\u15BA",  # ; CANADIAN SYLLABICS BLACKFOOT NO
        "\u15BB",  # ; CANADIAN SYLLABICS BLACKFOOT NA
        "\u15BC",  # ; CANADIAN SYLLABICS BLACKFOOT KE
        "\u15BD",  # ; CANADIAN SYLLABICS BLACKFOOT KI
        "\u15BE",  # ; CANADIAN SYLLABICS BLACKFOOT KO
        "\u15BF",  # ; CANADIAN SYLLABICS BLACKFOOT KA
        "\u15C0",  # ; CANADIAN SYLLABICS SAYISI HE
        "\u15C1",  # ; CANADIAN SYLLABICS SAYISI HI
        "\u15C2",  # ; CANADIAN SYLLABICS SAYISI HO
        "\u15C3",  # ; CANADIAN SYLLABICS SAYISI HA
        "\u15C4",  # ; CANADIAN SYLLABICS CARRIER GHU
        "\u15C5",  # ; CANADIAN SYLLABICS CARRIER GHO
        "\u15C6",  # ; CANADIAN SYLLABICS CARRIER GHE
        "\u15C7",  # ; CANADIAN SYLLABICS CARRIER GHEE
        "\u15C8",  # ; CANADIAN SYLLABICS CARRIER GHI
        "\u15C9",  # ; CANADIAN SYLLABICS CARRIER GHA
        "\u15CA",  # ; CANADIAN SYLLABICS CARRIER RU
        "\u15CB",  # ; CANADIAN SYLLABICS CARRIER RO
        "\u15CC",  # ; CANADIAN SYLLABICS CARRIER RE
        "\u15CD",  # ; CANADIAN SYLLABICS CARRIER REE
        "\u15CE",  # ; CANADIAN SYLLABICS CARRIER RI
        "\u15CF",  # ; CANADIAN SYLLABICS CARRIER RA
        "\u15D0",  # ; CANADIAN SYLLABICS CARRIER WU
        "\u15D1",  # ; CANADIAN SYLLABICS CARRIER WO
        "\u15D2",  # ; CANADIAN SYLLABICS CARRIER WE
        "\u15D3",  # ; CANADIAN SYLLABICS CARRIER WEE
        "\u15D4",  # ; CANADIAN SYLLABICS CARRIER WI
        "\u15D5",  # ; CANADIAN SYLLABICS CARRIER WA
        "\u15D6",  # ; CANADIAN SYLLABICS CARRIER HWU
        "\u15D7",  # ; CANADIAN SYLLABICS CARRIER HWO
        "\u15D8",  # ; CANADIAN SYLLABICS CARRIER HWE
        "\u15D9",  # ; CANADIAN SYLLABICS CARRIER HWEE
        "\u15DA",  # ; CANADIAN SYLLABICS CARRIER HWI
        "\u15DB",  # ; CANADIAN SYLLABICS CARRIER HWA
        "\u15DC",  # ; CANADIAN SYLLABICS CARRIER THU
        "\u15DD",  # ; CANADIAN SYLLABICS CARRIER THO
        "\u15DE",  # ; CANADIAN SYLLABICS CARRIER THE
        "\u15DF",  # ; CANADIAN SYLLABICS CARRIER THEE
        "\u15E0",  # ; CANADIAN SYLLABICS CARRIER THI
        "\u15E1",  # ; CANADIAN SYLLABICS CARRIER THA
        "\u15E2",  # ; CANADIAN SYLLABICS CARRIER TTU
        "\u15E3",  # ; CANADIAN SYLLABICS CARRIER TTO
        "\u15E4",  # ; CANADIAN SYLLABICS CARRIER TTE
        "\u15E5",  # ; CANADIAN SYLLABICS CARRIER TTEE
        "\u15E6",  # ; CANADIAN SYLLABICS CARRIER TTI
        "\u15E7",  # ; CANADIAN SYLLABICS CARRIER TTA
        "\u15E8",  # ; CANADIAN SYLLABICS CARRIER PU
        "\u15E9",  # ; CANADIAN SYLLABICS CARRIER PO
        "\u15EA",  # ; CANADIAN SYLLABICS CARRIER PE
        "\u15EB",  # ; CANADIAN SYLLABICS CARRIER PEE
        "\u15EC",  # ; CANADIAN SYLLABICS CARRIER PI
        "\u15ED",  # ; CANADIAN SYLLABICS CARRIER PA
        "\u15EE",  # ; CANADIAN SYLLABICS CARRIER P
        "\u15EF",  # ; CANADIAN SYLLABICS CARRIER GU
        "\u15F0",  # ; CANADIAN SYLLABICS CARRIER GO
        "\u15F1",  # ; CANADIAN SYLLABICS CARRIER GE
        "\u15F2",  # ; CANADIAN SYLLABICS CARRIER GEE
        "\u15F3",  # ; CANADIAN SYLLABICS CARRIER GI
        "\u15F4",  # ; CANADIAN SYLLABICS CARRIER GA
        "\u15F5",  # ; CANADIAN SYLLABICS CARRIER KHU
        "\u15F6",  # ; CANADIAN SYLLABICS CARRIER KHO
        "\u15F7",  # ; CANADIAN SYLLABICS CARRIER KHE
        "\u15F8",  # ; CANADIAN SYLLABICS CARRIER KHEE
        "\u15F9",  # ; CANADIAN SYLLABICS CARRIER KHI
        "\u15FA",  # ; CANADIAN SYLLABICS CARRIER KHA
        "\u15FB",  # ; CANADIAN SYLLABICS CARRIER KKU
        "\u15FC",  # ; CANADIAN SYLLABICS CARRIER KKO
        "\u15FD",  # ; CANADIAN SYLLABICS CARRIER KKE
        "\u15FE",  # ; CANADIAN SYLLABICS CARRIER KKEE
        "\u15FF",  # ; CANADIAN SYLLABICS CARRIER KKI
        "\u1600",  # ; CANADIAN SYLLABICS CARRIER KKA
        "\u1601",  # ; CANADIAN SYLLABICS CARRIER KK
        "\u1602",  # ; CANADIAN SYLLABICS CARRIER NU
        "\u1603",  # ; CANADIAN SYLLABICS CARRIER NO
        "\u1604",  # ; CANADIAN SYLLABICS CARRIER NE
        "\u1605",  # ; CANADIAN SYLLABICS CARRIER NEE
        "\u1606",  # ; CANADIAN SYLLABICS CARRIER NI
        "\u1607",  # ; CANADIAN SYLLABICS CARRIER NA
        "\u1608",  # ; CANADIAN SYLLABICS CARRIER MU
        "\u1609",  # ; CANADIAN SYLLABICS CARRIER MO
        "\u160A",  # ; CANADIAN SYLLABICS CARRIER ME
        "\u160B",  # ; CANADIAN SYLLABICS CARRIER MEE
        "\u160C",  # ; CANADIAN SYLLABICS CARRIER MI
        "\u160D",  # ; CANADIAN SYLLABICS CARRIER MA
        "\u160E",  # ; CANADIAN SYLLABICS CARRIER YU
        "\u160F",  # ; CANADIAN SYLLABICS CARRIER YO
        "\u1610",  # ; CANADIAN SYLLABICS CARRIER YE
        "\u1611",  # ; CANADIAN SYLLABICS CARRIER YEE
        "\u1612",  # ; CANADIAN SYLLABICS CARRIER YI
        "\u1613",  # ; CANADIAN SYLLABICS CARRIER YA
        "\u1614",  # ; CANADIAN SYLLABICS CARRIER JU
        "\u1615",  # ; CANADIAN SYLLABICS SAYISI JU
        "\u1616",  # ; CANADIAN SYLLABICS CARRIER JO
        "\u1617",  # ; CANADIAN SYLLABICS CARRIER JE
        "\u1618",  # ; CANADIAN SYLLABICS CARRIER JEE
        "\u1619",  # ; CANADIAN SYLLABICS CARRIER JI
        "\u161A",  # ; CANADIAN SYLLABICS SAYISI JI
        "\u161B",  # ; CANADIAN SYLLABICS CARRIER JA
        "\u161C",  # ; CANADIAN SYLLABICS CARRIER JJU
        "\u161D",  # ; CANADIAN SYLLABICS CARRIER JJO
        "\u161E",  # ; CANADIAN SYLLABICS CARRIER JJE
        "\u161F",  # ; CANADIAN SYLLABICS CARRIER JJEE
        "\u1620",  # ; CANADIAN SYLLABICS CARRIER JJI
        "\u1621",  # ; CANADIAN SYLLABICS CARRIER JJA
        "\u1622",  # ; CANADIAN SYLLABICS CARRIER LU
        "\u1623",  # ; CANADIAN SYLLABICS CARRIER LO
        "\u1624",  # ; CANADIAN SYLLABICS CARRIER LE
        "\u1625",  # ; CANADIAN SYLLABICS CARRIER LEE
        "\u1626",  # ; CANADIAN SYLLABICS CARRIER LI
        "\u1627",  # ; CANADIAN SYLLABICS CARRIER LA
        "\u1628",  # ; CANADIAN SYLLABICS CARRIER DLU
        "\u1629",  # ; CANADIAN SYLLABICS CARRIER DLO
        "\u162A",  # ; CANADIAN SYLLABICS CARRIER DLE
        "\u162B",  # ; CANADIAN SYLLABICS CARRIER DLEE
        "\u162C",  # ; CANADIAN SYLLABICS CARRIER DLI
        "\u162D",  # ; CANADIAN SYLLABICS CARRIER DLA
        "\u162E",  # ; CANADIAN SYLLABICS CARRIER LHU
        "\u162F",  # ; CANADIAN SYLLABICS CARRIER LHO
        "\u1630",  # ; CANADIAN SYLLABICS CARRIER LHE
        "\u1631",  # ; CANADIAN SYLLABICS CARRIER LHEE
        "\u1632",  # ; CANADIAN SYLLABICS CARRIER LHI
        "\u1633",  # ; CANADIAN SYLLABICS CARRIER LHA
        "\u1634",  # ; CANADIAN SYLLABICS CARRIER TLHU
        "\u1635",  # ; CANADIAN SYLLABICS CARRIER TLHO
        "\u1636",  # ; CANADIAN SYLLABICS CARRIER TLHE
        "\u1637",  # ; CANADIAN SYLLABICS CARRIER TLHEE
        "\u1638",  # ; CANADIAN SYLLABICS CARRIER TLHI
        "\u1639",  # ; CANADIAN SYLLABICS CARRIER TLHA
        "\u163A",  # ; CANADIAN SYLLABICS CARRIER TLU
        "\u163B",  # ; CANADIAN SYLLABICS CARRIER TLO
        "\u163C",  # ; CANADIAN SYLLABICS CARRIER TLE
        "\u163D",  # ; CANADIAN SYLLABICS CARRIER TLEE
        "\u163E",  # ; CANADIAN SYLLABICS CARRIER TLI
        "\u163F",  # ; CANADIAN SYLLABICS CARRIER TLA
        "\u1640",  # ; CANADIAN SYLLABICS CARRIER ZU
        "\u1641",  # ; CANADIAN SYLLABICS CARRIER ZO
        "\u1642",  # ; CANADIAN SYLLABICS CARRIER ZE
        "\u1643",  # ; CANADIAN SYLLABICS CARRIER ZEE
        "\u1644",  # ; CANADIAN SYLLABICS CARRIER ZI
        "\u1645",  # ; CANADIAN SYLLABICS CARRIER ZA
        "\u1646",  # ; CANADIAN SYLLABICS CARRIER Z
        "\u1647",  # ; CANADIAN SYLLABICS CARRIER INITIAL Z
        "\u1648",  # ; CANADIAN SYLLABICS CARRIER DZU
        "\u1649",  # ; CANADIAN SYLLABICS CARRIER DZO
        "\u164A",  # ; CANADIAN SYLLABICS CARRIER DZE
        "\u164B",  # ; CANADIAN SYLLABICS CARRIER DZEE
        "\u164C",  # ; CANADIAN SYLLABICS CARRIER DZI
        "\u164D",  # ; CANADIAN SYLLABICS CARRIER DZA
        "\u164E",  # ; CANADIAN SYLLABICS CARRIER SU
        "\u164F",  # ; CANADIAN SYLLABICS CARRIER SO
        "\u1650",  # ; CANADIAN SYLLABICS CARRIER SE
        "\u1651",  # ; CANADIAN SYLLABICS CARRIER SEE
        "\u1652",  # ; CANADIAN SYLLABICS CARRIER SI
        "\u1653",  # ; CANADIAN SYLLABICS CARRIER SA
        "\u1654",  # ; CANADIAN SYLLABICS CARRIER SHU
        "\u1655",  # ; CANADIAN SYLLABICS CARRIER SHO
        "\u1656",  # ; CANADIAN SYLLABICS CARRIER SHE
        "\u1657",  # ; CANADIAN SYLLABICS CARRIER SHEE
        "\u1658",  # ; CANADIAN SYLLABICS CARRIER SHI
        "\u1659",  # ; CANADIAN SYLLABICS CARRIER SHA
        "\u165A",  # ; CANADIAN SYLLABICS CARRIER SH
        "\u165B",  # ; CANADIAN SYLLABICS CARRIER TSU
        "\u165C",  # ; CANADIAN SYLLABICS CARRIER TSO
        "\u165D",  # ; CANADIAN SYLLABICS CARRIER TSE
        "\u165E",  # ; CANADIAN SYLLABICS CARRIER TSEE
        "\u165F",  # ; CANADIAN SYLLABICS CARRIER TSI
        "\u1660",  # ; CANADIAN SYLLABICS CARRIER TSA
        "\u1661",  # ; CANADIAN SYLLABICS CARRIER CHU
        "\u1662",  # ; CANADIAN SYLLABICS CARRIER CHO
        "\u1663",  # ; CANADIAN SYLLABICS CARRIER CHE
        "\u1664",  # ; CANADIAN SYLLABICS CARRIER CHEE
        "\u1665",  # ; CANADIAN SYLLABICS CARRIER CHI
        "\u1666",  # ; CANADIAN SYLLABICS CARRIER CHA
        "\u1667",  # ; CANADIAN SYLLABICS CARRIER TTSU
        "\u1668",  # ; CANADIAN SYLLABICS CARRIER TTSO
        "\u1669",  # ; CANADIAN SYLLABICS CARRIER TTSE
        "\u166A",  # ; CANADIAN SYLLABICS CARRIER TTSEE
        "\u166B",  # ; CANADIAN SYLLABICS CARRIER TTSI
        "\u166C",  # ; CANADIAN SYLLABICS CARRIER TTSA
        "\u166D",  # ; CANADIAN SYLLABICS CHI SIGN
        "\u166E",  # ; CANADIAN SYLLABICS FULL STOP
        "\u166F",  # ; CANADIAN SYLLABICS QAI
        "\u1670",  # ; CANADIAN SYLLABICS NGAI
        "\u1671",  # ; CANADIAN SYLLABICS NNGI
        "\u1672",  # ; CANADIAN SYLLABICS NNGII
        "\u1673",  # ; CANADIAN SYLLABICS NNGO
        "\u1674",  # ; CANADIAN SYLLABICS NNGOO
        "\u1675",  # ; CANADIAN SYLLABICS NNGA
        "\u1676",  # ; CANADIAN SYLLABICS NNGAA
        "\u1677",  # ; CANADIAN SYLLABICS WOODS-CREE THWEE
        "\u1678",  # ; CANADIAN SYLLABICS WOODS-CREE THWI
        "\u1679",  # ; CANADIAN SYLLABICS WOODS-CREE THWII
        "\u167A",  # ; CANADIAN SYLLABICS WOODS-CREE THWO
        "\u167B",  # ; CANADIAN SYLLABICS WOODS-CREE THWOO
        "\u167C",  # ; CANADIAN SYLLABICS WOODS-CREE THWA
        "\u167D",  # ; CANADIAN SYLLABICS WOODS-CREE THWAA
        "\u167E",  # ; CANADIAN SYLLABICS WOODS-CREE FINAL TH
        "\u167F",  # ; CANADIAN SYLLABICS BLACKFOOT W
        "\u1680",  # ; OGHAM SPACE MARK
        "\u1681",  # ; OGHAM LETTER BEITH
        "\u1682",  # ; OGHAM LETTER LUIS
        "\u1683",  # ; OGHAM LETTER FEARN
        "\u1684",  # ; OGHAM LETTER SAIL
        "\u1685",  # ; OGHAM LETTER NION
        "\u1686",  # ; OGHAM LETTER UATH
        "\u1687",  # ; OGHAM LETTER DAIR
        "\u1688",  # ; OGHAM LETTER TINNE
        "\u1689",  # ; OGHAM LETTER COLL
        "\u168A",  # ; OGHAM LETTER CEIRT
        "\u168B",  # ; OGHAM LETTER MUIN
        "\u168C",  # ; OGHAM LETTER GORT
        "\u168D",  # ; OGHAM LETTER NGEADAL
        "\u168E",  # ; OGHAM LETTER STRAIF
        "\u168F",  # ; OGHAM LETTER RUIS
        "\u1690",  # ; OGHAM LETTER AILM
        "\u1691",  # ; OGHAM LETTER ONN
        "\u1692",  # ; OGHAM LETTER UR
        "\u1693",  # ; OGHAM LETTER EADHADH
        "\u1694",  # ; OGHAM LETTER IODHADH
        "\u1695",  # ; OGHAM LETTER EABHADH
        "\u1696",  # ; OGHAM LETTER OR
        "\u1697",  # ; OGHAM LETTER UILLEANN
        "\u1698",  # ; OGHAM LETTER IFIN
        "\u1699",  # ; OGHAM LETTER EAMHANCHOLL
        "\u169A",  # ; OGHAM LETTER PEITH
        "\u169B",  # ; OGHAM FEATHER MARK
        "\u169C",  # ; OGHAM REVERSED FEATHER MARK
        "\u16A0",  # ; RUNIC LETTER FEHU FEOH FE F
        "\u16A1",  # ; RUNIC LETTER V
        "\u16A2",  # ; RUNIC LETTER URUZ UR U
        "\u16A3",  # ; RUNIC LETTER YR
        "\u16A4",  # ; RUNIC LETTER Y
        "\u16A5",  # ; RUNIC LETTER W
        "\u16A6",  # ; RUNIC LETTER THURISAZ THURS THORN
        "\u16A7",  # ; RUNIC LETTER ETH
        "\u16A8",  # ; RUNIC LETTER ANSUZ A
        "\u16A9",  # ; RUNIC LETTER OS O
        "\u16AA",  # ; RUNIC LETTER AC A
        "\u16AB",  # ; RUNIC LETTER AESC
        "\u16AC",  # ; RUNIC LETTER LONG-BRANCH-OSS O
        "\u16AD",  # ; RUNIC LETTER SHORT-TWIG-OSS O
        "\u16AE",  # ; RUNIC LETTER O
        "\u16AF",  # ; RUNIC LETTER OE
        "\u16B0",  # ; RUNIC LETTER ON
        "\u16B1",  # ; RUNIC LETTER RAIDO RAD REID R
        "\u16B2",  # ; RUNIC LETTER KAUNA
        "\u16B3",  # ; RUNIC LETTER CEN
        "\u16B4",  # ; RUNIC LETTER KAUN K
        "\u16B5",  # ; RUNIC LETTER G
        "\u16B6",  # ; RUNIC LETTER ENG
        "\u16B7",  # ; RUNIC LETTER GEBO GYFU G
        "\u16B8",  # ; RUNIC LETTER GAR
        "\u16B9",  # ; RUNIC LETTER WUNJO WYNN W
        "\u16BA",  # ; RUNIC LETTER HAGLAZ H
        "\u16BB",  # ; RUNIC LETTER HAEGL H
        "\u16BC",  # ; RUNIC LETTER LONG-BRANCH-HAGALL H
        "\u16BD",  # ; RUNIC LETTER SHORT-TWIG-HAGALL H
        "\u16BE",  # ; RUNIC LETTER NAUDIZ NYD NAUD N
        "\u16BF",  # ; RUNIC LETTER SHORT-TWIG-NAUD N
        "\u16C0",  # ; RUNIC LETTER DOTTED-N
        "\u16C1",  # ; RUNIC LETTER ISAZ IS ISS I
        "\u16C2",  # ; RUNIC LETTER E
        "\u16C3",  # ; RUNIC LETTER JERAN J
        "\u16C4",  # ; RUNIC LETTER GER
        "\u16C5",  # ; RUNIC LETTER LONG-BRANCH-AR AE
        "\u16C6",  # ; RUNIC LETTER SHORT-TWIG-AR A
        "\u16C7",  # ; RUNIC LETTER IWAZ EOH
        "\u16C8",  # ; RUNIC LETTER PERTHO PEORTH P
        "\u16C9",  # ; RUNIC LETTER ALGIZ EOLHX
        "\u16CA",  # ; RUNIC LETTER SOWILO S
        "\u16CB",  # ; RUNIC LETTER SIGEL LONG-BRANCH-SOL S
        "\u16CC",  # ; RUNIC LETTER SHORT-TWIG-SOL S
        "\u16CD",  # ; RUNIC LETTER C
        "\u16CE",  # ; RUNIC LETTER Z
        "\u16CF",  # ; RUNIC LETTER TIWAZ TIR TYR T
        "\u16D0",  # ; RUNIC LETTER SHORT-TWIG-TYR T
        "\u16D1",  # ; RUNIC LETTER D
        "\u16D2",  # ; RUNIC LETTER BERKANAN BEORC BJARKAN B
        "\u16D3",  # ; RUNIC LETTER SHORT-TWIG-BJARKAN B
        "\u16D4",  # ; RUNIC LETTER DOTTED-P
        "\u16D5",  # ; RUNIC LETTER OPEN-P
        "\u16D6",  # ; RUNIC LETTER EHWAZ EH E
        "\u16D7",  # ; RUNIC LETTER MANNAZ MAN M
        "\u16D8",  # ; RUNIC LETTER LONG-BRANCH-MADR M
        "\u16D9",  # ; RUNIC LETTER SHORT-TWIG-MADR M
        "\u16DA",  # ; RUNIC LETTER LAUKAZ LAGU LOGR L
        "\u16DB",  # ; RUNIC LETTER DOTTED-L
        "\u16DC",  # ; RUNIC LETTER INGWAZ
        "\u16DD",  # ; RUNIC LETTER ING
        "\u16DE",  # ; RUNIC LETTER DAGAZ DAEG D
        "\u16DF",  # ; RUNIC LETTER OTHALAN ETHEL O
        "\u16E0",  # ; RUNIC LETTER EAR
        "\u16E1",  # ; RUNIC LETTER IOR
        "\u16E2",  # ; RUNIC LETTER CWEORTH
        "\u16E3",  # ; RUNIC LETTER CALC
        "\u16E4",  # ; RUNIC LETTER CEALC
        "\u16E5",  # ; RUNIC LETTER STAN
        "\u16E6",  # ; RUNIC LETTER LONG-BRANCH-YR
        "\u16E7",  # ; RUNIC LETTER SHORT-TWIG-YR
        "\u16E8",  # ; RUNIC LETTER ICELANDIC-YR
        "\u16E9",  # ; RUNIC LETTER Q
        "\u16EA",  # ; RUNIC LETTER X
        "\u16EB",  # ; RUNIC SINGLE PUNCTUATION
        "\u16EC",  # ; RUNIC MULTIPLE PUNCTUATION
        "\u16ED",  # ; RUNIC CROSS PUNCTUATION
        "\u16EE",  # ; RUNIC ARLAUG SYMBOL
        "\u16EF",  # ; RUNIC TVIMADUR SYMBOL
        "\u16F0",  # ; RUNIC BELGTHOR SYMBOL
        "\u16F1",  # ; RUNIC LETTER K
        "\u16F2",  # ; RUNIC LETTER SH
        "\u16F3",  # ; RUNIC LETTER OO
        "\u16F4",  # ; RUNIC LETTER FRANKS CASKET OS
        "\u16F5",  # ; RUNIC LETTER FRANKS CASKET IS
        "\u16F6",  # ; RUNIC LETTER FRANKS CASKET EH
        "\u16F7",  # ; RUNIC LETTER FRANKS CASKET AC
        "\u16F8",  # ; RUNIC LETTER FRANKS CASKET AESC
        "\u1700",  # ; TAGALOG LETTER A
        "\u1701",  # ; TAGALOG LETTER I
        "\u1702",  # ; TAGALOG LETTER U
        "\u1703",  # ; TAGALOG LETTER KA
        "\u1704",  # ; TAGALOG LETTER GA
        "\u1705",  # ; TAGALOG LETTER NGA
        "\u1706",  # ; TAGALOG LETTER TA
        "\u1707",  # ; TAGALOG LETTER DA
        "\u1708",  # ; TAGALOG LETTER NA
        "\u1709",  # ; TAGALOG LETTER PA
        "\u170A",  # ; TAGALOG LETTER BA
        "\u170B",  # ; TAGALOG LETTER MA
        "\u170C",  # ; TAGALOG LETTER YA
        "\u170E",  # ; TAGALOG LETTER LA
        "\u170F",  # ; TAGALOG LETTER WA
        "\u1710",  # ; TAGALOG LETTER SA
        "\u1711",  # ; TAGALOG LETTER HA
        "\u1712",  # ; TAGALOG VOWEL SIGN I
        "\u1713",  # ; TAGALOG VOWEL SIGN U
        "\u1714",  # ; TAGALOG SIGN VIRAMA
        "\u1720",  # ; HANUNOO LETTER A
        "\u1721",  # ; HANUNOO LETTER I
        "\u1722",  # ; HANUNOO LETTER U
        "\u1723",  # ; HANUNOO LETTER KA
        "\u1724",  # ; HANUNOO LETTER GA
        "\u1725",  # ; HANUNOO LETTER NGA
        "\u1726",  # ; HANUNOO LETTER TA
        "\u1727",  # ; HANUNOO LETTER DA
        "\u1728",  # ; HANUNOO LETTER NA
        "\u1729",  # ; HANUNOO LETTER PA
        "\u172A",  # ; HANUNOO LETTER BA
        "\u172B",  # ; HANUNOO LETTER MA
        "\u172C",  # ; HANUNOO LETTER YA
        "\u172D",  # ; HANUNOO LETTER RA
        "\u172E",  # ; HANUNOO LETTER LA
        "\u172F",  # ; HANUNOO LETTER WA
        "\u1730",  # ; HANUNOO LETTER SA
        "\u1731",  # ; HANUNOO LETTER HA
        "\u1732",  # ; HANUNOO VOWEL SIGN I
        "\u1733",  # ; HANUNOO VOWEL SIGN U
        "\u1734",  # ; HANUNOO SIGN PAMUDPOD
        "\u1735",  # ; PHILIPPINE SINGLE PUNCTUATION
        "\u1736",  # ; PHILIPPINE DOUBLE PUNCTUATION
        "\u1740",  # ; BUHID LETTER A
        "\u1741",  # ; BUHID LETTER I
        "\u1742",  # ; BUHID LETTER U
        "\u1743",  # ; BUHID LETTER KA
        "\u1744",  # ; BUHID LETTER GA
        "\u1745",  # ; BUHID LETTER NGA
        "\u1746",  # ; BUHID LETTER TA
        "\u1747",  # ; BUHID LETTER DA
        "\u1748",  # ; BUHID LETTER NA
        "\u1749",  # ; BUHID LETTER PA
        "\u174A",  # ; BUHID LETTER BA
        "\u174B",  # ; BUHID LETTER MA
        "\u174C",  # ; BUHID LETTER YA
        "\u174D",  # ; BUHID LETTER RA
        "\u174E",  # ; BUHID LETTER LA
        "\u174F",  # ; BUHID LETTER WA
        "\u1750",  # ; BUHID LETTER SA
        "\u1751",  # ; BUHID LETTER HA
        "\u1752",  # ; BUHID VOWEL SIGN I
        "\u1753",  # ; BUHID VOWEL SIGN U
        "\u1760",  # ; TAGBANWA LETTER A
        "\u1761",  # ; TAGBANWA LETTER I
        "\u1762",  # ; TAGBANWA LETTER U
        "\u1763",  # ; TAGBANWA LETTER KA
        "\u1764",  # ; TAGBANWA LETTER GA
        "\u1765",  # ; TAGBANWA LETTER NGA
        "\u1766",  # ; TAGBANWA LETTER TA
        "\u1767",  # ; TAGBANWA LETTER DA
        "\u1768",  # ; TAGBANWA LETTER NA
        "\u1769",  # ; TAGBANWA LETTER PA
        "\u176A",  # ; TAGBANWA LETTER BA
        "\u176B",  # ; TAGBANWA LETTER MA
        "\u176C",  # ; TAGBANWA LETTER YA
        "\u176E",  # ; TAGBANWA LETTER LA
        "\u176F",  # ; TAGBANWA LETTER WA
        "\u1770",  # ; TAGBANWA LETTER SA
        "\u1772",  # ; TAGBANWA VOWEL SIGN I
        "\u1773",  # ; TAGBANWA VOWEL SIGN U
        "\u1780",  # ; KHMER LETTER KA
        "\u1781",  # ; KHMER LETTER KHA
        "\u1782",  # ; KHMER LETTER KO
        "\u1783",  # ; KHMER LETTER KHO
        "\u1784",  # ; KHMER LETTER NGO
        "\u1785",  # ; KHMER LETTER CA
        "\u1786",  # ; KHMER LETTER CHA
        "\u1787",  # ; KHMER LETTER CO
        "\u1788",  # ; KHMER LETTER CHO
        "\u1789",  # ; KHMER LETTER NYO
        "\u178A",  # ; KHMER LETTER DA
        "\u178B",  # ; KHMER LETTER TTHA
        "\u178C",  # ; KHMER LETTER DO
        "\u178D",  # ; KHMER LETTER TTHO
        "\u178E",  # ; KHMER LETTER NNO
        "\u178F",  # ; KHMER LETTER TA
        "\u1790",  # ; KHMER LETTER THA
        "\u1791",  # ; KHMER LETTER TO
        "\u1792",  # ; KHMER LETTER THO
        "\u1793",  # ; KHMER LETTER NO
        "\u1794",  # ; KHMER LETTER BA
        "\u1795",  # ; KHMER LETTER PHA
        "\u1796",  # ; KHMER LETTER PO
        "\u1797",  # ; KHMER LETTER PHO
        "\u1798",  # ; KHMER LETTER MO
        "\u1799",  # ; KHMER LETTER YO
        "\u179A",  # ; KHMER LETTER RO
        "\u179B",  # ; KHMER LETTER LO
        "\u179C",  # ; KHMER LETTER VO
        "\u179D",  # ; KHMER LETTER SHA
        "\u179E",  # ; KHMER LETTER SSO
        "\u179F",  # ; KHMER LETTER SA
        "\u17A0",  # ; KHMER LETTER HA
        "\u17A1",  # ; KHMER LETTER LA
        "\u17A2",  # ; KHMER LETTER QA
        "\u17A3",  # ; KHMER INDEPENDENT VOWEL QAQ
        "\u17A4",  # ; KHMER INDEPENDENT VOWEL QAA
        "\u17A5",  # ; KHMER INDEPENDENT VOWEL QI
        "\u17A6",  # ; KHMER INDEPENDENT VOWEL QII
        "\u17A7",  # ; KHMER INDEPENDENT VOWEL QU
        "\u17A8",  # ; KHMER INDEPENDENT VOWEL QUK
        "\u17A9",  # ; KHMER INDEPENDENT VOWEL QUU
        "\u17AA",  # ; KHMER INDEPENDENT VOWEL QUUV
        "\u17AB",  # ; KHMER INDEPENDENT VOWEL RY
        "\u17AC",  # ; KHMER INDEPENDENT VOWEL RYY
        "\u17AD",  # ; KHMER INDEPENDENT VOWEL LY
        "\u17AE",  # ; KHMER INDEPENDENT VOWEL LYY
        "\u17AF",  # ; KHMER INDEPENDENT VOWEL QE
        "\u17B0",  # ; KHMER INDEPENDENT VOWEL QAI
        "\u17B1",  # ; KHMER INDEPENDENT VOWEL QOO TYPE ONE
        "\u17B2",  # ; KHMER INDEPENDENT VOWEL QOO TYPE TWO
        "\u17B3",  # ; KHMER INDEPENDENT VOWEL QAU
        "\u17B4",  # ; KHMER VOWEL INHERENT AQ
        "\u17B5",  # ; KHMER VOWEL INHERENT AA
        "\u17B6",  # ; KHMER VOWEL SIGN AA
        "\u17B7",  # ; KHMER VOWEL SIGN I
        "\u17B8",  # ; KHMER VOWEL SIGN II
        "\u17B9",  # ; KHMER VOWEL SIGN Y
        "\u17BA",  # ; KHMER VOWEL SIGN YY
        "\u17BB",  # ; KHMER VOWEL SIGN U
        "\u17BC",  # ; KHMER VOWEL SIGN UU
        "\u17BD",  # ; KHMER VOWEL SIGN UA
        "\u17BE",  # ; KHMER VOWEL SIGN OE
        "\u17BF",  # ; KHMER VOWEL SIGN YA
        "\u17C0",  # ; KHMER VOWEL SIGN IE
        "\u17C1",  # ; KHMER VOWEL SIGN E
        "\u17C2",  # ; KHMER VOWEL SIGN AE
        "\u17C3",  # ; KHMER VOWEL SIGN AI
        "\u17C4",  # ; KHMER VOWEL SIGN OO
        "\u17C5",  # ; KHMER VOWEL SIGN AU
        "\u17C6",  # ; KHMER SIGN NIKAHIT
        "\u17C7",  # ; KHMER SIGN REAHMUK
        "\u17C8",  # ; KHMER SIGN YUUKALEAPINTU
        "\u17C9",  # ; KHMER SIGN MUUSIKATOAN
        "\u17CA",  # ; KHMER SIGN TRIISAP
        "\u17CB",  # ; KHMER SIGN BANTOC
        "\u17CC",  # ; KHMER SIGN ROBAT
        "\u17CD",  # ; KHMER SIGN TOANDAKHIAT
        "\u17CE",  # ; KHMER SIGN KAKABAT
        "\u17CF",  # ; KHMER SIGN AHSDA
        "\u17D0",  # ; KHMER SIGN SAMYOK SANNYA
        "\u17D1",  # ; KHMER SIGN VIRIAM
        "\u17D2",  # ; KHMER SIGN COENG
        "\u17D3",  # ; KHMER SIGN BATHAMASAT
        "\u17D4",  # ; KHMER SIGN KHAN
        "\u17D5",  # ; KHMER SIGN BARIYOOSAN
        "\u17D6",  # ; KHMER SIGN CAMNUC PII KUUH
        "\u17D7",  # ; KHMER SIGN LEK TOO
        "\u17D8",  # ; KHMER SIGN BEYYAL
        "\u17D9",  # ; KHMER SIGN PHNAEK MUAN
        "\u17DA",  # ; KHMER SIGN KOOMUUT
        "\u17DB",  # ; KHMER CURRENCY SYMBOL RIEL
        "\u17DC",  # ; KHMER SIGN AVAKRAHASANYA
        "\u17DD",  # ; KHMER SIGN ATTHACAN
        "\u17E0",  # ; KHMER DIGIT ZERO
        "\u17E1",  # ; KHMER DIGIT ONE
        "\u17E2",  # ; KHMER DIGIT TWO
        "\u17E3",  # ; KHMER DIGIT THREE
        "\u17E4",  # ; KHMER DIGIT FOUR
        "\u17E5",  # ; KHMER DIGIT FIVE
        "\u17E6",  # ; KHMER DIGIT SIX
        "\u17E7",  # ; KHMER DIGIT SEVEN
        "\u17E8",  # ; KHMER DIGIT EIGHT
        "\u17E9",  # ; KHMER DIGIT NINE
        "\u17F0",  # ; KHMER SYMBOL LEK ATTAK SON
        "\u17F1",  # ; KHMER SYMBOL LEK ATTAK MUOY
        "\u17F2",  # ; KHMER SYMBOL LEK ATTAK PII
        "\u17F3",  # ; KHMER SYMBOL LEK ATTAK BEI
        "\u17F4",  # ; KHMER SYMBOL LEK ATTAK BUON
        "\u17F5",  # ; KHMER SYMBOL LEK ATTAK PRAM
        "\u17F6",  # ; KHMER SYMBOL LEK ATTAK PRAM-MUOY
        "\u17F7",  # ; KHMER SYMBOL LEK ATTAK PRAM-PII
        "\u17F8",  # ; KHMER SYMBOL LEK ATTAK PRAM-BEI
        "\u17F9",  # ; KHMER SYMBOL LEK ATTAK PRAM-BUON
        "\u1800",  # ; MONGOLIAN BIRGA
        "\u1801",  # ; MONGOLIAN ELLIPSIS
        "\u1802",  # ; MONGOLIAN COMMA
        "\u1803",  # ; MONGOLIAN FULL STOP
        "\u1804",  # ; MONGOLIAN COLON
        "\u1805",  # ; MONGOLIAN FOUR DOTS
        "\u1806",  # ; MONGOLIAN TODO SOFT HYPHEN
        "\u1807",  # ; MONGOLIAN SIBE SYLLABLE BOUNDARY MARKER
        "\u1808",  # ; MONGOLIAN MANCHU COMMA
        "\u1809",  # ; MONGOLIAN MANCHU FULL STOP
        "\u180A",  # ; MONGOLIAN NIRUGU
        "\u180B",  # ; MONGOLIAN FREE VARIATION SELECTOR ONE
        "\u180C",  # ; MONGOLIAN FREE VARIATION SELECTOR TWO
        "\u180D",  # ; MONGOLIAN FREE VARIATION SELECTOR THREE
        "\u180E",  # ; MONGOLIAN VOWEL SEPARATOR
        "\u1810",  # ; MONGOLIAN DIGIT ZERO
        "\u1811",  # ; MONGOLIAN DIGIT ONE
        "\u1812",  # ; MONGOLIAN DIGIT TWO
        "\u1813",  # ; MONGOLIAN DIGIT THREE
        "\u1814",  # ; MONGOLIAN DIGIT FOUR
        "\u1815",  # ; MONGOLIAN DIGIT FIVE
        "\u1816",  # ; MONGOLIAN DIGIT SIX
        "\u1817",  # ; MONGOLIAN DIGIT SEVEN
        "\u1818",  # ; MONGOLIAN DIGIT EIGHT
        "\u1819",  # ; MONGOLIAN DIGIT NINE
        "\u1820",  # ; MONGOLIAN LETTER A
        "\u1821",  # ; MONGOLIAN LETTER E
        "\u1822",  # ; MONGOLIAN LETTER I
        "\u1823",  # ; MONGOLIAN LETTER O
        "\u1824",  # ; MONGOLIAN LETTER U
        "\u1825",  # ; MONGOLIAN LETTER OE
        "\u1826",  # ; MONGOLIAN LETTER UE
        "\u1827",  # ; MONGOLIAN LETTER EE
        "\u1828",  # ; MONGOLIAN LETTER NA
        "\u1829",  # ; MONGOLIAN LETTER ANG
        "\u182A",  # ; MONGOLIAN LETTER BA
        "\u182B",  # ; MONGOLIAN LETTER PA
        "\u182C",  # ; MONGOLIAN LETTER QA
        "\u182D",  # ; MONGOLIAN LETTER GA
        "\u182E",  # ; MONGOLIAN LETTER MA
        "\u182F",  # ; MONGOLIAN LETTER LA
        "\u1830",  # ; MONGOLIAN LETTER SA
        "\u1831",  # ; MONGOLIAN LETTER SHA
        "\u1832",  # ; MONGOLIAN LETTER TA
        "\u1833",  # ; MONGOLIAN LETTER DA
        "\u1834",  # ; MONGOLIAN LETTER CHA
        "\u1835",  # ; MONGOLIAN LETTER JA
        "\u1836",  # ; MONGOLIAN LETTER YA
        "\u1837",  # ; MONGOLIAN LETTER RA
        "\u1838",  # ; MONGOLIAN LETTER WA
        "\u1839",  # ; MONGOLIAN LETTER FA
        "\u183A",  # ; MONGOLIAN LETTER KA
        "\u183B",  # ; MONGOLIAN LETTER KHA
        "\u183C",  # ; MONGOLIAN LETTER TSA
        "\u183D",  # ; MONGOLIAN LETTER ZA
        "\u183E",  # ; MONGOLIAN LETTER HAA
        "\u183F",  # ; MONGOLIAN LETTER ZRA
        "\u1840",  # ; MONGOLIAN LETTER LHA
        "\u1841",  # ; MONGOLIAN LETTER ZHI
        "\u1842",  # ; MONGOLIAN LETTER CHI
        "\u1843",  # ; MONGOLIAN LETTER TODO LONG VOWEL SIGN
        "\u1844",  # ; MONGOLIAN LETTER TODO E
        "\u1845",  # ; MONGOLIAN LETTER TODO I
        "\u1846",  # ; MONGOLIAN LETTER TODO O
        "\u1847",  # ; MONGOLIAN LETTER TODO U
        "\u1848",  # ; MONGOLIAN LETTER TODO OE
        "\u1849",  # ; MONGOLIAN LETTER TODO UE
        "\u184A",  # ; MONGOLIAN LETTER TODO ANG
        "\u184B",  # ; MONGOLIAN LETTER TODO BA
        "\u184C",  # ; MONGOLIAN LETTER TODO PA
        "\u184D",  # ; MONGOLIAN LETTER TODO QA
        "\u184E",  # ; MONGOLIAN LETTER TODO GA
        "\u184F",  # ; MONGOLIAN LETTER TODO MA
        "\u1850",  # ; MONGOLIAN LETTER TODO TA
        "\u1851",  # ; MONGOLIAN LETTER TODO DA
        "\u1852",  # ; MONGOLIAN LETTER TODO CHA
        "\u1853",  # ; MONGOLIAN LETTER TODO JA
        "\u1854",  # ; MONGOLIAN LETTER TODO TSA
        "\u1855",  # ; MONGOLIAN LETTER TODO YA
        "\u1856",  # ; MONGOLIAN LETTER TODO WA
        "\u1857",  # ; MONGOLIAN LETTER TODO KA
        "\u1858",  # ; MONGOLIAN LETTER TODO GAA
        "\u1859",  # ; MONGOLIAN LETTER TODO HAA
        "\u185A",  # ; MONGOLIAN LETTER TODO JIA
        "\u185B",  # ; MONGOLIAN LETTER TODO NIA
        "\u185C",  # ; MONGOLIAN LETTER TODO DZA
        "\u185D",  # ; MONGOLIAN LETTER SIBE E
        "\u185E",  # ; MONGOLIAN LETTER SIBE I
        "\u185F",  # ; MONGOLIAN LETTER SIBE IY
        "\u1860",  # ; MONGOLIAN LETTER SIBE UE
        "\u1861",  # ; MONGOLIAN LETTER SIBE U
        "\u1862",  # ; MONGOLIAN LETTER SIBE ANG
        "\u1863",  # ; MONGOLIAN LETTER SIBE KA
        "\u1864",  # ; MONGOLIAN LETTER SIBE GA
        "\u1865",  # ; MONGOLIAN LETTER SIBE HA
        "\u1866",  # ; MONGOLIAN LETTER SIBE PA
        "\u1867",  # ; MONGOLIAN LETTER SIBE SHA
        "\u1868",  # ; MONGOLIAN LETTER SIBE TA
        "\u1869",  # ; MONGOLIAN LETTER SIBE DA
        "\u186A",  # ; MONGOLIAN LETTER SIBE JA
        "\u186B",  # ; MONGOLIAN LETTER SIBE FA
        "\u186C",  # ; MONGOLIAN LETTER SIBE GAA
        "\u186D",  # ; MONGOLIAN LETTER SIBE HAA
        "\u186E",  # ; MONGOLIAN LETTER SIBE TSA
        "\u186F",  # ; MONGOLIAN LETTER SIBE ZA
        "\u1870",  # ; MONGOLIAN LETTER SIBE RAA
        "\u1871",  # ; MONGOLIAN LETTER SIBE CHA
        "\u1872",  # ; MONGOLIAN LETTER SIBE ZHA
        "\u1873",  # ; MONGOLIAN LETTER MANCHU I
        "\u1874",  # ; MONGOLIAN LETTER MANCHU KA
        "\u1875",  # ; MONGOLIAN LETTER MANCHU RA
        "\u1876",  # ; MONGOLIAN LETTER MANCHU FA
        "\u1877",  # ; MONGOLIAN LETTER MANCHU ZHA
        "\u1880",  # ; MONGOLIAN LETTER ALI GALI ANUSVARA ONE
        "\u1881",  # ; MONGOLIAN LETTER ALI GALI VISARGA ONE
        "\u1882",  # ; MONGOLIAN LETTER ALI GALI DAMARU
        "\u1883",  # ; MONGOLIAN LETTER ALI GALI UBADAMA
        "\u1884",  # ; MONGOLIAN LETTER ALI GALI INVERTED UBADAMA
        "\u1885",  # ; MONGOLIAN LETTER ALI GALI BALUDA
        "\u1886",  # ; MONGOLIAN LETTER ALI GALI THREE BALUDA
        "\u1887",  # ; MONGOLIAN LETTER ALI GALI A
        "\u1888",  # ; MONGOLIAN LETTER ALI GALI I
        "\u1889",  # ; MONGOLIAN LETTER ALI GALI KA
        "\u188A",  # ; MONGOLIAN LETTER ALI GALI NGA
        "\u188B",  # ; MONGOLIAN LETTER ALI GALI CA
        "\u188C",  # ; MONGOLIAN LETTER ALI GALI TTA
        "\u188D",  # ; MONGOLIAN LETTER ALI GALI TTHA
        "\u188E",  # ; MONGOLIAN LETTER ALI GALI DDA
        "\u188F",  # ; MONGOLIAN LETTER ALI GALI NNA
        "\u1890",  # ; MONGOLIAN LETTER ALI GALI TA
        "\u1891",  # ; MONGOLIAN LETTER ALI GALI DA
        "\u1892",  # ; MONGOLIAN LETTER ALI GALI PA
        "\u1893",  # ; MONGOLIAN LETTER ALI GALI PHA
        "\u1894",  # ; MONGOLIAN LETTER ALI GALI SSA
        "\u1895",  # ; MONGOLIAN LETTER ALI GALI ZHA
        "\u1896",  # ; MONGOLIAN LETTER ALI GALI ZA
        "\u1897",  # ; MONGOLIAN LETTER ALI GALI AH
        "\u1898",  # ; MONGOLIAN LETTER TODO ALI GALI TA
        "\u1899",  # ; MONGOLIAN LETTER TODO ALI GALI ZHA
        "\u189A",  # ; MONGOLIAN LETTER MANCHU ALI GALI GHA
        "\u189B",  # ; MONGOLIAN LETTER MANCHU ALI GALI NGA
        "\u189C",  # ; MONGOLIAN LETTER MANCHU ALI GALI CA
        "\u189D",  # ; MONGOLIAN LETTER MANCHU ALI GALI JHA
        "\u189E",  # ; MONGOLIAN LETTER MANCHU ALI GALI TTA
        "\u189F",  # ; MONGOLIAN LETTER MANCHU ALI GALI DDHA
        "\u18A0",  # ; MONGOLIAN LETTER MANCHU ALI GALI TA
        "\u18A1",  # ; MONGOLIAN LETTER MANCHU ALI GALI DHA
        "\u18A2",  # ; MONGOLIAN LETTER MANCHU ALI GALI SSA
        "\u18A3",  # ; MONGOLIAN LETTER MANCHU ALI GALI CYA
        "\u18A4",  # ; MONGOLIAN LETTER MANCHU ALI GALI ZHA
        "\u18A5",  # ; MONGOLIAN LETTER MANCHU ALI GALI ZA
        "\u18A6",  # ; MONGOLIAN LETTER ALI GALI HALF U
        "\u18A7",  # ; MONGOLIAN LETTER ALI GALI HALF YA
        "\u18A8",  # ; MONGOLIAN LETTER MANCHU ALI GALI BHA
        "\u18A9",  # ; MONGOLIAN LETTER ALI GALI DAGALGA
        "\u18AA",  # ; MONGOLIAN LETTER MANCHU ALI GALI LHA
        "\u18B0",  # ; CANADIAN SYLLABICS OY
        "\u18B1",  # ; CANADIAN SYLLABICS AY
        "\u18B2",  # ; CANADIAN SYLLABICS AAY
        "\u18B3",  # ; CANADIAN SYLLABICS WAY
        "\u18B4",  # ; CANADIAN SYLLABICS POY
        "\u18B5",  # ; CANADIAN SYLLABICS PAY
        "\u18B6",  # ; CANADIAN SYLLABICS PWOY
        "\u18B7",  # ; CANADIAN SYLLABICS TAY
        "\u18B8",  # ; CANADIAN SYLLABICS KAY
        "\u18B9",  # ; CANADIAN SYLLABICS KWAY
        "\u18BA",  # ; CANADIAN SYLLABICS MAY
        "\u18BB",  # ; CANADIAN SYLLABICS NOY
        "\u18BC",  # ; CANADIAN SYLLABICS NAY
        "\u18BD",  # ; CANADIAN SYLLABICS LAY
        "\u18BE",  # ; CANADIAN SYLLABICS SOY
        "\u18BF",  # ; CANADIAN SYLLABICS SAY
        "\u18C0",  # ; CANADIAN SYLLABICS SHOY
        "\u18C1",  # ; CANADIAN SYLLABICS SHAY
        "\u18C2",  # ; CANADIAN SYLLABICS SHWOY
        "\u18C3",  # ; CANADIAN SYLLABICS YOY
        "\u18C4",  # ; CANADIAN SYLLABICS YAY
        "\u18C5",  # ; CANADIAN SYLLABICS RAY
        "\u18C6",  # ; CANADIAN SYLLABICS NWI
        "\u18C7",  # ; CANADIAN SYLLABICS OJIBWAY NWI
        "\u18C8",  # ; CANADIAN SYLLABICS NWII
        "\u18C9",  # ; CANADIAN SYLLABICS OJIBWAY NWII
        "\u18CA",  # ; CANADIAN SYLLABICS NWO
        "\u18CB",  # ; CANADIAN SYLLABICS OJIBWAY NWO
        "\u18CC",  # ; CANADIAN SYLLABICS NWOO
        "\u18CD",  # ; CANADIAN SYLLABICS OJIBWAY NWOO
        "\u18CE",  # ; CANADIAN SYLLABICS RWEE
        "\u18CF",  # ; CANADIAN SYLLABICS RWI
        "\u18D0",  # ; CANADIAN SYLLABICS RWII
        "\u18D1",  # ; CANADIAN SYLLABICS RWO
        "\u18D2",  # ; CANADIAN SYLLABICS RWOO
        "\u18D3",  # ; CANADIAN SYLLABICS RWA
        "\u18D4",  # ; CANADIAN SYLLABICS OJIBWAY P
        "\u18D5",  # ; CANADIAN SYLLABICS OJIBWAY T
        "\u18D6",  # ; CANADIAN SYLLABICS OJIBWAY K
        "\u18D7",  # ; CANADIAN SYLLABICS OJIBWAY C
        "\u18D8",  # ; CANADIAN SYLLABICS OJIBWAY M
        "\u18D9",  # ; CANADIAN SYLLABICS OJIBWAY N
        "\u18DA",  # ; CANADIAN SYLLABICS OJIBWAY S
        "\u18DB",  # ; CANADIAN SYLLABICS OJIBWAY SH
        "\u18DC",  # ; CANADIAN SYLLABICS EASTERN W
        "\u18DD",  # ; CANADIAN SYLLABICS WESTERN W
        "\u18DE",  # ; CANADIAN SYLLABICS FINAL SMALL RING
        "\u18DF",  # ; CANADIAN SYLLABICS FINAL RAISED DOT
        "\u18E0",  # ; CANADIAN SYLLABICS R-CREE RWE
        "\u18E1",  # ; CANADIAN SYLLABICS WEST-CREE LOO
        "\u18E2",  # ; CANADIAN SYLLABICS WEST-CREE LAA
        "\u18E3",  # ; CANADIAN SYLLABICS THWE
        "\u18E4",  # ; CANADIAN SYLLABICS THWA
        "\u18E5",  # ; CANADIAN SYLLABICS TTHWE
        "\u18E6",  # ; CANADIAN SYLLABICS TTHOO
        "\u18E7",  # ; CANADIAN SYLLABICS TTHAA
        "\u18E8",  # ; CANADIAN SYLLABICS TLHWE
        "\u18E9",  # ; CANADIAN SYLLABICS TLHOO
        "\u18EA",  # ; CANADIAN SYLLABICS SAYISI SHWE
        "\u18EB",  # ; CANADIAN SYLLABICS SAYISI SHOO
        "\u18EC",  # ; CANADIAN SYLLABICS SAYISI HOO
        "\u18ED",  # ; CANADIAN SYLLABICS CARRIER GWU
        "\u18EE",  # ; CANADIAN SYLLABICS CARRIER DENE GEE
        "\u18EF",  # ; CANADIAN SYLLABICS CARRIER GAA
        "\u18F0",  # ; CANADIAN SYLLABICS CARRIER GWA
        "\u18F1",  # ; CANADIAN SYLLABICS SAYISI JUU
        "\u18F2",  # ; CANADIAN SYLLABICS CARRIER JWA
        "\u18F3",  # ; CANADIAN SYLLABICS BEAVER DENE L
        "\u18F4",  # ; CANADIAN SYLLABICS BEAVER DENE R
        "\u18F5",  # ; CANADIAN SYLLABICS CARRIER DENTAL S
        "\u1900",  # ; LIMBU VOWEL-CARRIER LETTER
        "\u1901",  # ; LIMBU LETTER KA
        "\u1902",  # ; LIMBU LETTER KHA
        "\u1903",  # ; LIMBU LETTER GA
        "\u1904",  # ; LIMBU LETTER GHA
        "\u1905",  # ; LIMBU LETTER NGA
        "\u1906",  # ; LIMBU LETTER CA
        "\u1907",  # ; LIMBU LETTER CHA
        "\u1908",  # ; LIMBU LETTER JA
        "\u1909",  # ; LIMBU LETTER JHA
        "\u190A",  # ; LIMBU LETTER YAN
        "\u190B",  # ; LIMBU LETTER TA
        "\u190C",  # ; LIMBU LETTER THA
        "\u190D",  # ; LIMBU LETTER DA
        "\u190E",  # ; LIMBU LETTER DHA
        "\u190F",  # ; LIMBU LETTER NA
        "\u1910",  # ; LIMBU LETTER PA
        "\u1911",  # ; LIMBU LETTER PHA
        "\u1912",  # ; LIMBU LETTER BA
        "\u1913",  # ; LIMBU LETTER BHA
        "\u1914",  # ; LIMBU LETTER MA
        "\u1915",  # ; LIMBU LETTER YA
        "\u1916",  # ; LIMBU LETTER RA
        "\u1917",  # ; LIMBU LETTER LA
        "\u1918",  # ; LIMBU LETTER WA
        "\u1919",  # ; LIMBU LETTER SHA
        "\u191A",  # ; LIMBU LETTER SSA
        "\u191B",  # ; LIMBU LETTER SA
        "\u191C",  # ; LIMBU LETTER HA
        "\u191D",  # ; LIMBU LETTER GYAN
        "\u191E",  # ; LIMBU LETTER TRA
        "\u1920",  # ; LIMBU VOWEL SIGN A
        "\u1921",  # ; LIMBU VOWEL SIGN I
        "\u1922",  # ; LIMBU VOWEL SIGN U
        "\u1923",  # ; LIMBU VOWEL SIGN EE
        "\u1924",  # ; LIMBU VOWEL SIGN AI
        "\u1925",  # ; LIMBU VOWEL SIGN OO
        "\u1926",  # ; LIMBU VOWEL SIGN AU
        "\u1927",  # ; LIMBU VOWEL SIGN E
        "\u1928",  # ; LIMBU VOWEL SIGN O
        "\u1929",  # ; LIMBU SUBJOINED LETTER YA
        "\u192A",  # ; LIMBU SUBJOINED LETTER RA
        "\u192B",  # ; LIMBU SUBJOINED LETTER WA
        "\u1930",  # ; LIMBU SMALL LETTER KA
        "\u1931",  # ; LIMBU SMALL LETTER NGA
        "\u1932",  # ; LIMBU SMALL LETTER ANUSVARA
        "\u1933",  # ; LIMBU SMALL LETTER TA
        "\u1934",  # ; LIMBU SMALL LETTER NA
        "\u1935",  # ; LIMBU SMALL LETTER PA
        "\u1936",  # ; LIMBU SMALL LETTER MA
        "\u1937",  # ; LIMBU SMALL LETTER RA
        "\u1938",  # ; LIMBU SMALL LETTER LA
        "\u1939",  # ; LIMBU SIGN MUKPHRENG
        "\u193A",  # ; LIMBU SIGN KEMPHRENG
        "\u193B",  # ; LIMBU SIGN SA-I
        "\u1940",  # ; LIMBU SIGN LOO
        "\u1944",  # ; LIMBU EXCLAMATION MARK
        "\u1945",  # ; LIMBU QUESTION MARK
        "\u1946",  # ; LIMBU DIGIT ZERO
        "\u1947",  # ; LIMBU DIGIT ONE
        "\u1948",  # ; LIMBU DIGIT TWO
        "\u1949",  # ; LIMBU DIGIT THREE
        "\u194A",  # ; LIMBU DIGIT FOUR
        "\u194B",  # ; LIMBU DIGIT FIVE
        "\u194C",  # ; LIMBU DIGIT SIX
        "\u194D",  # ; LIMBU DIGIT SEVEN
        "\u194E",  # ; LIMBU DIGIT EIGHT
        "\u194F",  # ; LIMBU DIGIT NINE
        "\u1950",  # ; TAI LE LETTER KA
        "\u1951",  # ; TAI LE LETTER XA
        "\u1952",  # ; TAI LE LETTER NGA
        "\u1953",  # ; TAI LE LETTER TSA
        "\u1954",  # ; TAI LE LETTER SA
        "\u1955",  # ; TAI LE LETTER YA
        "\u1956",  # ; TAI LE LETTER TA
        "\u1957",  # ; TAI LE LETTER THA
        "\u1958",  # ; TAI LE LETTER LA
        "\u1959",  # ; TAI LE LETTER PA
        "\u195A",  # ; TAI LE LETTER PHA
        "\u195B",  # ; TAI LE LETTER MA
        "\u195C",  # ; TAI LE LETTER FA
        "\u195D",  # ; TAI LE LETTER VA
        "\u195E",  # ; TAI LE LETTER HA
        "\u195F",  # ; TAI LE LETTER QA
        "\u1960",  # ; TAI LE LETTER KHA
        "\u1961",  # ; TAI LE LETTER TSHA
        "\u1962",  # ; TAI LE LETTER NA
        "\u1963",  # ; TAI LE LETTER A
        "\u1964",  # ; TAI LE LETTER I
        "\u1965",  # ; TAI LE LETTER EE
        "\u1966",  # ; TAI LE LETTER EH
        "\u1967",  # ; TAI LE LETTER U
        "\u1968",  # ; TAI LE LETTER OO
        "\u1969",  # ; TAI LE LETTER O
        "\u196A",  # ; TAI LE LETTER UE
        "\u196B",  # ; TAI LE LETTER E
        "\u196C",  # ; TAI LE LETTER AUE
        "\u196D",  # ; TAI LE LETTER AI
        "\u1970",  # ; TAI LE LETTER TONE-2
        "\u1971",  # ; TAI LE LETTER TONE-3
        "\u1972",  # ; TAI LE LETTER TONE-4
        "\u1973",  # ; TAI LE LETTER TONE-5
        "\u1974",  # ; TAI LE LETTER TONE-6
        "\u1980",  # ; NEW TAI LUE LETTER HIGH QA
        "\u1981",  # ; NEW TAI LUE LETTER LOW QA
        "\u1982",  # ; NEW TAI LUE LETTER HIGH KA
        "\u1983",  # ; NEW TAI LUE LETTER HIGH XA
        "\u1984",  # ; NEW TAI LUE LETTER HIGH NGA
        "\u1985",  # ; NEW TAI LUE LETTER LOW KA
        "\u1986",  # ; NEW TAI LUE LETTER LOW XA
        "\u1987",  # ; NEW TAI LUE LETTER LOW NGA
        "\u1988",  # ; NEW TAI LUE LETTER HIGH TSA
        "\u1989",  # ; NEW TAI LUE LETTER HIGH SA
        "\u198A",  # ; NEW TAI LUE LETTER HIGH YA
        "\u198B",  # ; NEW TAI LUE LETTER LOW TSA
        "\u198C",  # ; NEW TAI LUE LETTER LOW SA
        "\u198D",  # ; NEW TAI LUE LETTER LOW YA
        "\u198E",  # ; NEW TAI LUE LETTER HIGH TA
        "\u198F",  # ; NEW TAI LUE LETTER HIGH THA
        "\u1990",  # ; NEW TAI LUE LETTER HIGH NA
        "\u1991",  # ; NEW TAI LUE LETTER LOW TA
        "\u1992",  # ; NEW TAI LUE LETTER LOW THA
        "\u1993",  # ; NEW TAI LUE LETTER LOW NA
        "\u1994",  # ; NEW TAI LUE LETTER HIGH PA
        "\u1995",  # ; NEW TAI LUE LETTER HIGH PHA
        "\u1996",  # ; NEW TAI LUE LETTER HIGH MA
        "\u1997",  # ; NEW TAI LUE LETTER LOW PA
        "\u1998",  # ; NEW TAI LUE LETTER LOW PHA
        "\u1999",  # ; NEW TAI LUE LETTER LOW MA
        "\u199A",  # ; NEW TAI LUE LETTER HIGH FA
        "\u199B",  # ; NEW TAI LUE LETTER HIGH VA
        "\u199C",  # ; NEW TAI LUE LETTER HIGH LA
        "\u199D",  # ; NEW TAI LUE LETTER LOW FA
        "\u199E",  # ; NEW TAI LUE LETTER LOW VA
        "\u199F",  # ; NEW TAI LUE LETTER LOW LA
        "\u19A0",  # ; NEW TAI LUE LETTER HIGH HA
        "\u19A1",  # ; NEW TAI LUE LETTER HIGH DA
        "\u19A2",  # ; NEW TAI LUE LETTER HIGH BA
        "\u19A3",  # ; NEW TAI LUE LETTER LOW HA
        "\u19A4",  # ; NEW TAI LUE LETTER LOW DA
        "\u19A5",  # ; NEW TAI LUE LETTER LOW BA
        "\u19A6",  # ; NEW TAI LUE LETTER HIGH KVA
        "\u19A7",  # ; NEW TAI LUE LETTER HIGH XVA
        "\u19A8",  # ; NEW TAI LUE LETTER LOW KVA
        "\u19A9",  # ; NEW TAI LUE LETTER LOW XVA
        "\u19AA",  # ; NEW TAI LUE LETTER HIGH SUA
        "\u19AB",  # ; NEW TAI LUE LETTER LOW SUA
        "\u19B0",  # ; NEW TAI LUE VOWEL SIGN VOWEL SHORTENER
        "\u19B1",  # ; NEW TAI LUE VOWEL SIGN AA
        "\u19B2",  # ; NEW TAI LUE VOWEL SIGN II
        "\u19B3",  # ; NEW TAI LUE VOWEL SIGN U
        "\u19B4",  # ; NEW TAI LUE VOWEL SIGN UU
        "\u19B5",  # ; NEW TAI LUE VOWEL SIGN E
        "\u19B6",  # ; NEW TAI LUE VOWEL SIGN AE
        "\u19B7",  # ; NEW TAI LUE VOWEL SIGN O
        "\u19B8",  # ; NEW TAI LUE VOWEL SIGN OA
        "\u19B9",  # ; NEW TAI LUE VOWEL SIGN UE
        "\u19BA",  # ; NEW TAI LUE VOWEL SIGN AY
        "\u19BB",  # ; NEW TAI LUE VOWEL SIGN AAY
        "\u19BC",  # ; NEW TAI LUE VOWEL SIGN UY
        "\u19BD",  # ; NEW TAI LUE VOWEL SIGN OY
        "\u19BE",  # ; NEW TAI LUE VOWEL SIGN OAY
        "\u19BF",  # ; NEW TAI LUE VOWEL SIGN UEY
        "\u19C0",  # ; NEW TAI LUE VOWEL SIGN IY
        "\u19C1",  # ; NEW TAI LUE LETTER FINAL V
        "\u19C2",  # ; NEW TAI LUE LETTER FINAL NG
        "\u19C3",  # ; NEW TAI LUE LETTER FINAL N
        "\u19C4",  # ; NEW TAI LUE LETTER FINAL M
        "\u19C5",  # ; NEW TAI LUE LETTER FINAL K
        "\u19C6",  # ; NEW TAI LUE LETTER FINAL D
        "\u19C7",  # ; NEW TAI LUE LETTER FINAL B
        "\u19C8",  # ; NEW TAI LUE TONE MARK-1
        "\u19C9",  # ; NEW TAI LUE TONE MARK-2
        "\u19D0",  # ; NEW TAI LUE DIGIT ZERO
        "\u19D1",  # ; NEW TAI LUE DIGIT ONE
        "\u19D2",  # ; NEW TAI LUE DIGIT TWO
        "\u19D3",  # ; NEW TAI LUE DIGIT THREE
        "\u19D4",  # ; NEW TAI LUE DIGIT FOUR
        "\u19D5",  # ; NEW TAI LUE DIGIT FIVE
        "\u19D6",  # ; NEW TAI LUE DIGIT SIX
        "\u19D7",  # ; NEW TAI LUE DIGIT SEVEN
        "\u19D8",  # ; NEW TAI LUE DIGIT EIGHT
        "\u19D9",  # ; NEW TAI LUE DIGIT NINE
        "\u19DA",  # ; NEW TAI LUE THAM DIGIT ONE
        "\u19DE",  # ; NEW TAI LUE SIGN LAE
        "\u19DF",  # ; NEW TAI LUE SIGN LAEV
        "\u19E0",  # ; KHMER SYMBOL PATHAMASAT
        "\u19E1",  # ; KHMER SYMBOL MUOY KOET
        "\u19E2",  # ; KHMER SYMBOL PII KOET
        "\u19E3",  # ; KHMER SYMBOL BEI KOET
        "\u19E4",  # ; KHMER SYMBOL BUON KOET
        "\u19E5",  # ; KHMER SYMBOL PRAM KOET
        "\u19E6",  # ; KHMER SYMBOL PRAM-MUOY KOET
        "\u19E7",  # ; KHMER SYMBOL PRAM-PII KOET
        "\u19E8",  # ; KHMER SYMBOL PRAM-BEI KOET
        "\u19E9",  # ; KHMER SYMBOL PRAM-BUON KOET
        "\u19EA",  # ; KHMER SYMBOL DAP KOET
        "\u19EB",  # ; KHMER SYMBOL DAP-MUOY KOET
        "\u19EC",  # ; KHMER SYMBOL DAP-PII KOET
        "\u19ED",  # ; KHMER SYMBOL DAP-BEI KOET
        "\u19EE",  # ; KHMER SYMBOL DAP-BUON KOET
        "\u19EF",  # ; KHMER SYMBOL DAP-PRAM KOET
        "\u19F0",  # ; KHMER SYMBOL TUTEYASAT
        "\u19F1",  # ; KHMER SYMBOL MUOY ROC
        "\u19F2",  # ; KHMER SYMBOL PII ROC
        "\u19F3",  # ; KHMER SYMBOL BEI ROC
        "\u19F4",  # ; KHMER SYMBOL BUON ROC
        "\u19F5",  # ; KHMER SYMBOL PRAM ROC
        "\u19F6",  # ; KHMER SYMBOL PRAM-MUOY ROC
        "\u19F7",  # ; KHMER SYMBOL PRAM-PII ROC
        "\u19F8",  # ; KHMER SYMBOL PRAM-BEI ROC
        "\u19F9",  # ; KHMER SYMBOL PRAM-BUON ROC
        "\u19FA",  # ; KHMER SYMBOL DAP ROC
        "\u19FB",  # ; KHMER SYMBOL DAP-MUOY ROC
        "\u19FC",  # ; KHMER SYMBOL DAP-PII ROC
        "\u19FD",  # ; KHMER SYMBOL DAP-BEI ROC
        "\u19FE",  # ; KHMER SYMBOL DAP-BUON ROC
        "\u19FF",  # ; KHMER SYMBOL DAP-PRAM ROC
        "\u1A00",  # ; BUGINESE LETTER KA
        "\u1A01",  # ; BUGINESE LETTER GA
        "\u1A02",  # ; BUGINESE LETTER NGA
        "\u1A03",  # ; BUGINESE LETTER NGKA
        "\u1A04",  # ; BUGINESE LETTER PA
        "\u1A05",  # ; BUGINESE LETTER BA
        "\u1A06",  # ; BUGINESE LETTER MA
        "\u1A07",  # ; BUGINESE LETTER MPA
        "\u1A08",  # ; BUGINESE LETTER TA
        "\u1A09",  # ; BUGINESE LETTER DA
        "\u1A0A",  # ; BUGINESE LETTER NA
        "\u1A0B",  # ; BUGINESE LETTER NRA
        "\u1A0C",  # ; BUGINESE LETTER CA
        "\u1A0D",  # ; BUGINESE LETTER JA
        "\u1A0E",  # ; BUGINESE LETTER NYA
        "\u1A0F",  # ; BUGINESE LETTER NYCA
        "\u1A10",  # ; BUGINESE LETTER YA
        "\u1A11",  # ; BUGINESE LETTER RA
        "\u1A12",  # ; BUGINESE LETTER LA
        "\u1A13",  # ; BUGINESE LETTER VA
        "\u1A14",  # ; BUGINESE LETTER SA
        "\u1A15",  # ; BUGINESE LETTER A
        "\u1A16",  # ; BUGINESE LETTER HA
        "\u1A17",  # ; BUGINESE VOWEL SIGN I
        "\u1A18",  # ; BUGINESE VOWEL SIGN U
        "\u1A19",  # ; BUGINESE VOWEL SIGN E
        "\u1A1A",  # ; BUGINESE VOWEL SIGN O
        "\u1A1B",  # ; BUGINESE VOWEL SIGN AE
        "\u1A1E",  # ; BUGINESE PALLAWA
        "\u1A1F",  # ; BUGINESE END OF SECTION
        "\u1A20",  # ; TAI THAM LETTER HIGH KA
        "\u1A21",  # ; TAI THAM LETTER HIGH KHA
        "\u1A22",  # ; TAI THAM LETTER HIGH KXA
        "\u1A23",  # ; TAI THAM LETTER LOW KA
        "\u1A24",  # ; TAI THAM LETTER LOW KXA
        "\u1A25",  # ; TAI THAM LETTER LOW KHA
        "\u1A26",  # ; TAI THAM LETTER NGA
        "\u1A27",  # ; TAI THAM LETTER HIGH CA
        "\u1A28",  # ; TAI THAM LETTER HIGH CHA
        "\u1A29",  # ; TAI THAM LETTER LOW CA
        "\u1A2A",  # ; TAI THAM LETTER LOW SA
        "\u1A2B",  # ; TAI THAM LETTER LOW CHA
        "\u1A2C",  # ; TAI THAM LETTER NYA
        "\u1A2D",  # ; TAI THAM LETTER RATA
        "\u1A2E",  # ; TAI THAM LETTER HIGH RATHA
        "\u1A2F",  # ; TAI THAM LETTER DA
        "\u1A30",  # ; TAI THAM LETTER LOW RATHA
        "\u1A31",  # ; TAI THAM LETTER RANA
        "\u1A32",  # ; TAI THAM LETTER HIGH TA
        "\u1A33",  # ; TAI THAM LETTER HIGH THA
        "\u1A34",  # ; TAI THAM LETTER LOW TA
        "\u1A35",  # ; TAI THAM LETTER LOW THA
        "\u1A36",  # ; TAI THAM LETTER NA
        "\u1A37",  # ; TAI THAM LETTER BA
        "\u1A38",  # ; TAI THAM LETTER HIGH PA
        "\u1A39",  # ; TAI THAM LETTER HIGH PHA
        "\u1A3A",  # ; TAI THAM LETTER HIGH FA
        "\u1A3B",  # ; TAI THAM LETTER LOW PA
        "\u1A3C",  # ; TAI THAM LETTER LOW FA
        "\u1A3D",  # ; TAI THAM LETTER LOW PHA
        "\u1A3E",  # ; TAI THAM LETTER MA
        "\u1A3F",  # ; TAI THAM LETTER LOW YA
        "\u1A40",  # ; TAI THAM LETTER HIGH YA
        "\u1A41",  # ; TAI THAM LETTER RA
        "\u1A42",  # ; TAI THAM LETTER RUE
        "\u1A43",  # ; TAI THAM LETTER LA
        "\u1A44",  # ; TAI THAM LETTER LUE
        "\u1A45",  # ; TAI THAM LETTER WA
        "\u1A46",  # ; TAI THAM LETTER HIGH SHA
        "\u1A47",  # ; TAI THAM LETTER HIGH SSA
        "\u1A48",  # ; TAI THAM LETTER HIGH SA
        "\u1A49",  # ; TAI THAM LETTER HIGH HA
        "\u1A4A",  # ; TAI THAM LETTER LLA
        "\u1A4B",  # ; TAI THAM LETTER A
        "\u1A4C",  # ; TAI THAM LETTER LOW HA
        "\u1A4D",  # ; TAI THAM LETTER I
        "\u1A4E",  # ; TAI THAM LETTER II
        "\u1A4F",  # ; TAI THAM LETTER U
        "\u1A50",  # ; TAI THAM LETTER UU
        "\u1A51",  # ; TAI THAM LETTER EE
        "\u1A52",  # ; TAI THAM LETTER OO
        "\u1A53",  # ; TAI THAM LETTER LAE
        "\u1A54",  # ; TAI THAM LETTER GREAT SA
        "\u1A55",  # ; TAI THAM CONSONANT SIGN MEDIAL RA
        "\u1A56",  # ; TAI THAM CONSONANT SIGN MEDIAL LA
        "\u1A57",  # ; TAI THAM CONSONANT SIGN LA TANG LAI
        "\u1A58",  # ; TAI THAM SIGN MAI KANG LAI
        "\u1A59",  # ; TAI THAM CONSONANT SIGN FINAL NGA
        "\u1A5A",  # ; TAI THAM CONSONANT SIGN LOW PA
        "\u1A5B",  # ; TAI THAM CONSONANT SIGN HIGH RATHA OR LOW PA
        "\u1A5C",  # ; TAI THAM CONSONANT SIGN MA
        "\u1A5D",  # ; TAI THAM CONSONANT SIGN BA
        "\u1A5E",  # ; TAI THAM CONSONANT SIGN SA
        "\u1A60",  # ; TAI THAM SIGN SAKOT
        "\u1A61",  # ; TAI THAM VOWEL SIGN A
        "\u1A62",  # ; TAI THAM VOWEL SIGN MAI SAT
        "\u1A63",  # ; TAI THAM VOWEL SIGN AA
        "\u1A64",  # ; TAI THAM VOWEL SIGN TALL AA
        "\u1A65",  # ; TAI THAM VOWEL SIGN I
        "\u1A66",  # ; TAI THAM VOWEL SIGN II
        "\u1A67",  # ; TAI THAM VOWEL SIGN UE
        "\u1A68",  # ; TAI THAM VOWEL SIGN UUE
        "\u1A69",  # ; TAI THAM VOWEL SIGN U
        "\u1A6A",  # ; TAI THAM VOWEL SIGN UU
        "\u1A6B",  # ; TAI THAM VOWEL SIGN O
        "\u1A6C",  # ; TAI THAM VOWEL SIGN OA BELOW
        "\u1A6D",  # ; TAI THAM VOWEL SIGN OY
        "\u1A6E",  # ; TAI THAM VOWEL SIGN E
        "\u1A6F",  # ; TAI THAM VOWEL SIGN AE
        "\u1A70",  # ; TAI THAM VOWEL SIGN OO
        "\u1A71",  # ; TAI THAM VOWEL SIGN AI
        "\u1A72",  # ; TAI THAM VOWEL SIGN THAM AI
        "\u1A73",  # ; TAI THAM VOWEL SIGN OA ABOVE
        "\u1A74",  # ; TAI THAM SIGN MAI KANG
        "\u1A75",  # ; TAI THAM SIGN TONE-1
        "\u1A76",  # ; TAI THAM SIGN TONE-2
        "\u1A77",  # ; TAI THAM SIGN KHUEN TONE-3
        "\u1A78",  # ; TAI THAM SIGN KHUEN TONE-4
        "\u1A79",  # ; TAI THAM SIGN KHUEN TONE-5
        "\u1A7A",  # ; TAI THAM SIGN RA HAAM
        "\u1A7B",  # ; TAI THAM SIGN MAI SAM
        "\u1A7C",  # ; TAI THAM SIGN KHUEN-LUE KARAN
        "\u1A7F",  # ; TAI THAM COMBINING CRYPTOGRAMMIC DOT
        "\u1A80",  # ; TAI THAM HORA DIGIT ZERO
        "\u1A81",  # ; TAI THAM HORA DIGIT ONE
        "\u1A82",  # ; TAI THAM HORA DIGIT TWO
        "\u1A83",  # ; TAI THAM HORA DIGIT THREE
        "\u1A84",  # ; TAI THAM HORA DIGIT FOUR
        "\u1A85",  # ; TAI THAM HORA DIGIT FIVE
        "\u1A86",  # ; TAI THAM HORA DIGIT SIX
        "\u1A87",  # ; TAI THAM HORA DIGIT SEVEN
        "\u1A88",  # ; TAI THAM HORA DIGIT EIGHT
        "\u1A89",  # ; TAI THAM HORA DIGIT NINE
        "\u1A90",  # ; TAI THAM THAM DIGIT ZERO
        "\u1A91",  # ; TAI THAM THAM DIGIT ONE
        "\u1A92",  # ; TAI THAM THAM DIGIT TWO
        "\u1A93",  # ; TAI THAM THAM DIGIT THREE
        "\u1A94",  # ; TAI THAM THAM DIGIT FOUR
        "\u1A95",  # ; TAI THAM THAM DIGIT FIVE
        "\u1A96",  # ; TAI THAM THAM DIGIT SIX
        "\u1A97",  # ; TAI THAM THAM DIGIT SEVEN
        "\u1A98",  # ; TAI THAM THAM DIGIT EIGHT
        "\u1A99",  # ; TAI THAM THAM DIGIT NINE
        "\u1AA0",  # ; TAI THAM SIGN WIANG
        "\u1AA1",  # ; TAI THAM SIGN WIANGWAAK
        "\u1AA2",  # ; TAI THAM SIGN SAWAN
        "\u1AA3",  # ; TAI THAM SIGN KEOW
        "\u1AA4",  # ; TAI THAM SIGN HOY
        "\u1AA5",  # ; TAI THAM SIGN DOKMAI
        "\u1AA6",  # ; TAI THAM SIGN REVERSED ROTATED RANA
        "\u1AA7",  # ; TAI THAM SIGN MAI YAMOK
        "\u1AA8",  # ; TAI THAM SIGN KAAN
        "\u1AA9",  # ; TAI THAM SIGN KAANKUU
        "\u1AAA",  # ; TAI THAM SIGN SATKAAN
        "\u1AAB",  # ; TAI THAM SIGN SATKAANKUU
        "\u1AAC",  # ; TAI THAM SIGN HANG
        "\u1AAD",  # ; TAI THAM SIGN CAANG
        "\u1AB0",  # ; COMBINING DOUBLED CIRCUMFLEX ACCENT
        "\u1AB1",  # ; COMBINING DIAERESIS-RING
        "\u1AB2",  # ; COMBINING INFINITY
        "\u1AB3",  # ; COMBINING DOWNWARDS ARROW
        "\u1AB4",  # ; COMBINING TRIPLE DOT
        "\u1AB5",  # ; COMBINING X-X BELOW
        "\u1AB6",  # ; COMBINING WIGGLY LINE BELOW
        "\u1AB7",  # ; COMBINING OPEN MARK BELOW
        "\u1AB8",  # ; COMBINING DOUBLE OPEN MARK BELOW
        "\u1AB9",  # ; COMBINING LIGHT CENTRALIZATION STROKE BELOW
        "\u1ABA",  # ; COMBINING STRONG CENTRALIZATION STROKE BELOW
        "\u1ABB",  # ; COMBINING PARENTHESES ABOVE
        "\u1ABC",  # ; COMBINING DOUBLE PARENTHESES ABOVE
        "\u1ABD",  # ; COMBINING PARENTHESES BELOW
        "\u1ABE",  # ; COMBINING PARENTHESES OVERLAY
        "\u1B00",  # ; BALINESE SIGN ULU RICEM
        "\u1B01",  # ; BALINESE SIGN ULU CANDRA
        "\u1B02",  # ; BALINESE SIGN CECEK
        "\u1B03",  # ; BALINESE SIGN SURANG
        "\u1B04",  # ; BALINESE SIGN BISAH
        "\u1B05",  # ; BALINESE LETTER AKARA
        "\u1B06",  # ; BALINESE LETTER AKARA TEDUNG
        "\u1B07",  # ; BALINESE LETTER IKARA
        "\u1B08",  # ; BALINESE LETTER IKARA TEDUNG
        "\u1B09",  # ; BALINESE LETTER UKARA
        "\u1B0A",  # ; BALINESE LETTER UKARA TEDUNG
        "\u1B0B",  # ; BALINESE LETTER RA REPA
        "\u1B0C",  # ; BALINESE LETTER RA REPA TEDUNG
        "\u1B0D",  # ; BALINESE LETTER LA LENGA
        "\u1B0E",  # ; BALINESE LETTER LA LENGA TEDUNG
        "\u1B0F",  # ; BALINESE LETTER EKARA
        "\u1B10",  # ; BALINESE LETTER AIKARA
        "\u1B11",  # ; BALINESE LETTER OKARA
        "\u1B12",  # ; BALINESE LETTER OKARA TEDUNG
        "\u1B13",  # ; BALINESE LETTER KA
        "\u1B14",  # ; BALINESE LETTER KA MAHAPRANA
        "\u1B15",  # ; BALINESE LETTER GA
        "\u1B16",  # ; BALINESE LETTER GA GORA
        "\u1B17",  # ; BALINESE LETTER NGA
        "\u1B18",  # ; BALINESE LETTER CA
        "\u1B19",  # ; BALINESE LETTER CA LACA
        "\u1B1A",  # ; BALINESE LETTER JA
        "\u1B1B",  # ; BALINESE LETTER JA JERA
        "\u1B1C",  # ; BALINESE LETTER NYA
        "\u1B1D",  # ; BALINESE LETTER TA LATIK
        "\u1B1E",  # ; BALINESE LETTER TA MURDA MAHAPRANA
        "\u1B1F",  # ; BALINESE LETTER DA MURDA ALPAPRANA
        "\u1B20",  # ; BALINESE LETTER DA MURDA MAHAPRANA
        "\u1B21",  # ; BALINESE LETTER NA RAMBAT
        "\u1B22",  # ; BALINESE LETTER TA
        "\u1B23",  # ; BALINESE LETTER TA TAWA
        "\u1B24",  # ; BALINESE LETTER DA
        "\u1B25",  # ; BALINESE LETTER DA MADU
        "\u1B26",  # ; BALINESE LETTER NA
        "\u1B27",  # ; BALINESE LETTER PA
        "\u1B28",  # ; BALINESE LETTER PA KAPAL
        "\u1B29",  # ; BALINESE LETTER BA
        "\u1B2A",  # ; BALINESE LETTER BA KEMBANG
        "\u1B2B",  # ; BALINESE LETTER MA
        "\u1B2C",  # ; BALINESE LETTER YA
        "\u1B2D",  # ; BALINESE LETTER RA
        "\u1B2E",  # ; BALINESE LETTER LA
        "\u1B2F",  # ; BALINESE LETTER WA
        "\u1B30",  # ; BALINESE LETTER SA SAGA
        "\u1B31",  # ; BALINESE LETTER SA SAPA
        "\u1B32",  # ; BALINESE LETTER SA
        "\u1B33",  # ; BALINESE LETTER HA
        "\u1B34",  # ; BALINESE SIGN REREKAN
        "\u1B35",  # ; BALINESE VOWEL SIGN TEDUNG
        "\u1B36",  # ; BALINESE VOWEL SIGN ULU
        "\u1B37",  # ; BALINESE VOWEL SIGN ULU SARI
        "\u1B38",  # ; BALINESE VOWEL SIGN SUKU
        "\u1B39",  # ; BALINESE VOWEL SIGN SUKU ILUT
        "\u1B3A",  # ; BALINESE VOWEL SIGN RA REPA
        "\u1B3B",  # ; BALINESE VOWEL SIGN RA REPA TEDUNG
        "\u1B3C",  # ; BALINESE VOWEL SIGN LA LENGA
        "\u1B3D",  # ; BALINESE VOWEL SIGN LA LENGA TEDUNG
        "\u1B3E",  # ; BALINESE VOWEL SIGN TALING
        "\u1B3F",  # ; BALINESE VOWEL SIGN TALING REPA
        "\u1B40",  # ; BALINESE VOWEL SIGN TALING TEDUNG
        "\u1B41",  # ; BALINESE VOWEL SIGN TALING REPA TEDUNG
        "\u1B42",  # ; BALINESE VOWEL SIGN PEPET
        "\u1B43",  # ; BALINESE VOWEL SIGN PEPET TEDUNG
        "\u1B44",  # ; BALINESE ADEG ADEG
        "\u1B45",  # ; BALINESE LETTER KAF SASAK
        "\u1B46",  # ; BALINESE LETTER KHOT SASAK
        "\u1B47",  # ; BALINESE LETTER TZIR SASAK
        "\u1B48",  # ; BALINESE LETTER EF SASAK
        "\u1B49",  # ; BALINESE LETTER VE SASAK
        "\u1B4A",  # ; BALINESE LETTER ZAL SASAK
        "\u1B4B",  # ; BALINESE LETTER ASYURA SASAK
        "\u1B50",  # ; BALINESE DIGIT ZERO
        "\u1B51",  # ; BALINESE DIGIT ONE
        "\u1B52",  # ; BALINESE DIGIT TWO
        "\u1B53",  # ; BALINESE DIGIT THREE
        "\u1B54",  # ; BALINESE DIGIT FOUR
        "\u1B55",  # ; BALINESE DIGIT FIVE
        "\u1B56",  # ; BALINESE DIGIT SIX
        "\u1B57",  # ; BALINESE DIGIT SEVEN
        "\u1B58",  # ; BALINESE DIGIT EIGHT
        "\u1B59",  # ; BALINESE DIGIT NINE
        "\u1B5A",  # ; BALINESE PANTI
        "\u1B5B",  # ; BALINESE PAMADA
        "\u1B5C",  # ; BALINESE WINDU
        "\u1B5D",  # ; BALINESE CARIK PAMUNGKAH
        "\u1B5E",  # ; BALINESE CARIK SIKI
        "\u1B5F",  # ; BALINESE CARIK PAREREN
        "\u1B60",  # ; BALINESE PAMENENG
        "\u1B61",  # ; BALINESE MUSICAL SYMBOL DONG
        "\u1B62",  # ; BALINESE MUSICAL SYMBOL DENG
        "\u1B63",  # ; BALINESE MUSICAL SYMBOL DUNG
        "\u1B64",  # ; BALINESE MUSICAL SYMBOL DANG
        "\u1B65",  # ; BALINESE MUSICAL SYMBOL DANG SURANG
        "\u1B66",  # ; BALINESE MUSICAL SYMBOL DING
        "\u1B67",  # ; BALINESE MUSICAL SYMBOL DAENG
        "\u1B68",  # ; BALINESE MUSICAL SYMBOL DEUNG
        "\u1B69",  # ; BALINESE MUSICAL SYMBOL DAING
        "\u1B6A",  # ; BALINESE MUSICAL SYMBOL DANG GEDE
        "\u1B6B",  # ; BALINESE MUSICAL SYMBOL COMBINING TEGEH
        "\u1B6C",  # ; BALINESE MUSICAL SYMBOL COMBINING ENDEP
        "\u1B6D",  # ; BALINESE MUSICAL SYMBOL COMBINING KEMPUL
        "\u1B6E",  # ; BALINESE MUSICAL SYMBOL COMBINING KEMPLI
        "\u1B6F",  # ; BALINESE MUSICAL SYMBOL COMBINING JEGOGAN
        "\u1B70",  # ; BALINESE MUSICAL SYMBOL COMBINING KEMPUL WITH JEGOGAN
        "\u1B71",  # ; BALINESE MUSICAL SYMBOL COMBINING KEMPLI WITH JEGOGAN
        "\u1B72",  # ; BALINESE MUSICAL SYMBOL COMBINING BENDE
        "\u1B73",  # ; BALINESE MUSICAL SYMBOL COMBINING GONG
        "\u1B74",  # ; BALINESE MUSICAL SYMBOL RIGHT-HAND OPEN DUG
        "\u1B75",  # ; BALINESE MUSICAL SYMBOL RIGHT-HAND OPEN DAG
        "\u1B76",  # ; BALINESE MUSICAL SYMBOL RIGHT-HAND CLOSED TUK
        "\u1B77",  # ; BALINESE MUSICAL SYMBOL RIGHT-HAND CLOSED TAK
        "\u1B78",  # ; BALINESE MUSICAL SYMBOL LEFT-HAND OPEN PANG
        "\u1B79",  # ; BALINESE MUSICAL SYMBOL LEFT-HAND OPEN PUNG
        "\u1B7A",  # ; BALINESE MUSICAL SYMBOL LEFT-HAND CLOSED PLAK
        "\u1B7B",  # ; BALINESE MUSICAL SYMBOL LEFT-HAND CLOSED PLUK
        "\u1B7C",  # ; BALINESE MUSICAL SYMBOL LEFT-HAND OPEN PING
        "\u1B80",  # ; SUNDANESE SIGN PANYECEK
        "\u1B81",  # ; SUNDANESE SIGN PANGLAYAR
        "\u1B82",  # ; SUNDANESE SIGN PANGWISAD
        "\u1B83",  # ; SUNDANESE LETTER A
        "\u1B84",  # ; SUNDANESE LETTER I
        "\u1B85",  # ; SUNDANESE LETTER U
        "\u1B86",  # ; SUNDANESE LETTER AE
        "\u1B87",  # ; SUNDANESE LETTER O
        "\u1B88",  # ; SUNDANESE LETTER E
        "\u1B89",  # ; SUNDANESE LETTER EU
        "\u1B8A",  # ; SUNDANESE LETTER KA
        "\u1B8B",  # ; SUNDANESE LETTER QA
        "\u1B8C",  # ; SUNDANESE LETTER GA
        "\u1B8D",  # ; SUNDANESE LETTER NGA
        "\u1B8E",  # ; SUNDANESE LETTER CA
        "\u1B8F",  # ; SUNDANESE LETTER JA
        "\u1B90",  # ; SUNDANESE LETTER ZA
        "\u1B91",  # ; SUNDANESE LETTER NYA
        "\u1B92",  # ; SUNDANESE LETTER TA
        "\u1B93",  # ; SUNDANESE LETTER DA
        "\u1B94",  # ; SUNDANESE LETTER NA
        "\u1B95",  # ; SUNDANESE LETTER PA
        "\u1B96",  # ; SUNDANESE LETTER FA
        "\u1B97",  # ; SUNDANESE LETTER VA
        "\u1B98",  # ; SUNDANESE LETTER BA
        "\u1B99",  # ; SUNDANESE LETTER MA
        "\u1B9A",  # ; SUNDANESE LETTER YA
        "\u1B9B",  # ; SUNDANESE LETTER RA
        "\u1B9C",  # ; SUNDANESE LETTER LA
        "\u1B9D",  # ; SUNDANESE LETTER WA
        "\u1B9E",  # ; SUNDANESE LETTER SA
        "\u1B9F",  # ; SUNDANESE LETTER XA
        "\u1BA0",  # ; SUNDANESE LETTER HA
        "\u1BA1",  # ; SUNDANESE CONSONANT SIGN PAMINGKAL
        "\u1BA2",  # ; SUNDANESE CONSONANT SIGN PANYAKRA
        "\u1BA3",  # ; SUNDANESE CONSONANT SIGN PANYIKU
        "\u1BA4",  # ; SUNDANESE VOWEL SIGN PANGHULU
        "\u1BA5",  # ; SUNDANESE VOWEL SIGN PANYUKU
        "\u1BA6",  # ; SUNDANESE VOWEL SIGN PANAELAENG
        "\u1BA7",  # ; SUNDANESE VOWEL SIGN PANOLONG
        "\u1BA8",  # ; SUNDANESE VOWEL SIGN PAMEPET
        "\u1BA9",  # ; SUNDANESE VOWEL SIGN PANEULEUNG
        "\u1BAA",  # ; SUNDANESE SIGN PAMAAEH
        "\u1BAB",  # ; SUNDANESE SIGN VIRAMA
        "\u1BAC",  # ; SUNDANESE CONSONANT SIGN PASANGAN MA
        "\u1BAD",  # ; SUNDANESE CONSONANT SIGN PASANGAN WA
        "\u1BAE",  # ; SUNDANESE LETTER KHA
        "\u1BAF",  # ; SUNDANESE LETTER SYA
        "\u1BB0",  # ; SUNDANESE DIGIT ZERO
        "\u1BB1",  # ; SUNDANESE DIGIT ONE
        "\u1BB2",  # ; SUNDANESE DIGIT TWO
        "\u1BB3",  # ; SUNDANESE DIGIT THREE
        "\u1BB4",  # ; SUNDANESE DIGIT FOUR
        "\u1BB5",  # ; SUNDANESE DIGIT FIVE
        "\u1BB6",  # ; SUNDANESE DIGIT SIX
        "\u1BB7",  # ; SUNDANESE DIGIT SEVEN
        "\u1BB8",  # ; SUNDANESE DIGIT EIGHT
        "\u1BB9",  # ; SUNDANESE DIGIT NINE
        "\u1BBA",  # ; SUNDANESE AVAGRAHA
        "\u1BBB",  # ; SUNDANESE LETTER REU
        "\u1BBC",  # ; SUNDANESE LETTER LEU
        "\u1BBD",  # ; SUNDANESE LETTER BHA
        "\u1BBE",  # ; SUNDANESE LETTER FINAL K
        "\u1BBF",  # ; SUNDANESE LETTER FINAL M
        "\u1BC0",  # ; BATAK LETTER A
        "\u1BC1",  # ; BATAK LETTER SIMALUNGUN A
        "\u1BC2",  # ; BATAK LETTER HA
        "\u1BC3",  # ; BATAK LETTER SIMALUNGUN HA
        "\u1BC4",  # ; BATAK LETTER MANDAILING HA
        "\u1BC5",  # ; BATAK LETTER BA
        "\u1BC6",  # ; BATAK LETTER KARO BA
        "\u1BC7",  # ; BATAK LETTER PA
        "\u1BC8",  # ; BATAK LETTER SIMALUNGUN PA
        "\u1BC9",  # ; BATAK LETTER NA
        "\u1BCA",  # ; BATAK LETTER MANDAILING NA
        "\u1BCB",  # ; BATAK LETTER WA
        "\u1BCC",  # ; BATAK LETTER SIMALUNGUN WA
        "\u1BCD",  # ; BATAK LETTER PAKPAK WA
        "\u1BCE",  # ; BATAK LETTER GA
        "\u1BCF",  # ; BATAK LETTER SIMALUNGUN GA
        "\u1BD0",  # ; BATAK LETTER JA
        "\u1BD1",  # ; BATAK LETTER DA
        "\u1BD2",  # ; BATAK LETTER RA
        "\u1BD3",  # ; BATAK LETTER SIMALUNGUN RA
        "\u1BD4",  # ; BATAK LETTER MA
        "\u1BD5",  # ; BATAK LETTER SIMALUNGUN MA
        "\u1BD6",  # ; BATAK LETTER SOUTHERN TA
        "\u1BD7",  # ; BATAK LETTER NORTHERN TA
        "\u1BD8",  # ; BATAK LETTER SA
        "\u1BD9",  # ; BATAK LETTER SIMALUNGUN SA
        "\u1BDA",  # ; BATAK LETTER MANDAILING SA
        "\u1BDB",  # ; BATAK LETTER YA
        "\u1BDC",  # ; BATAK LETTER SIMALUNGUN YA
        "\u1BDD",  # ; BATAK LETTER NGA
        "\u1BDE",  # ; BATAK LETTER LA
        "\u1BDF",  # ; BATAK LETTER SIMALUNGUN LA
        "\u1BE0",  # ; BATAK LETTER NYA
        "\u1BE1",  # ; BATAK LETTER CA
        "\u1BE2",  # ; BATAK LETTER NDA
        "\u1BE3",  # ; BATAK LETTER MBA
        "\u1BE4",  # ; BATAK LETTER I
        "\u1BE5",  # ; BATAK LETTER U
        "\u1BE6",  # ; BATAK SIGN TOMPI
        "\u1BE7",  # ; BATAK VOWEL SIGN E
        "\u1BE8",  # ; BATAK VOWEL SIGN PAKPAK E
        "\u1BE9",  # ; BATAK VOWEL SIGN EE
        "\u1BEA",  # ; BATAK VOWEL SIGN I
        "\u1BEB",  # ; BATAK VOWEL SIGN KARO I
        "\u1BEC",  # ; BATAK VOWEL SIGN O
        "\u1BED",  # ; BATAK VOWEL SIGN KARO O
        "\u1BEE",  # ; BATAK VOWEL SIGN U
        "\u1BEF",  # ; BATAK VOWEL SIGN U FOR SIMALUNGUN SA
        "\u1BF0",  # ; BATAK CONSONANT SIGN NG
        "\u1BF1",  # ; BATAK CONSONANT SIGN H
        "\u1BF2",  # ; BATAK PANGOLAT
        "\u1BF3",  # ; BATAK PANONGONAN
        "\u1BFC",  # ; BATAK SYMBOL BINDU NA METEK
        "\u1BFD",  # ; BATAK SYMBOL BINDU PINARBORAS
        "\u1BFE",  # ; BATAK SYMBOL BINDU JUDUL
        "\u1BFF",  # ; BATAK SYMBOL BINDU PANGOLAT
        "\u1C00",  # ; LEPCHA LETTER KA
        "\u1C01",  # ; LEPCHA LETTER KLA
        "\u1C02",  # ; LEPCHA LETTER KHA
        "\u1C03",  # ; LEPCHA LETTER GA
        "\u1C04",  # ; LEPCHA LETTER GLA
        "\u1C05",  # ; LEPCHA LETTER NGA
        "\u1C06",  # ; LEPCHA LETTER CA
        "\u1C07",  # ; LEPCHA LETTER CHA
        "\u1C08",  # ; LEPCHA LETTER JA
        "\u1C09",  # ; LEPCHA LETTER NYA
        "\u1C0A",  # ; LEPCHA LETTER TA
        "\u1C0B",  # ; LEPCHA LETTER THA
        "\u1C0C",  # ; LEPCHA LETTER DA
        "\u1C0D",  # ; LEPCHA LETTER NA
        "\u1C0E",  # ; LEPCHA LETTER PA
        "\u1C0F",  # ; LEPCHA LETTER PLA
        "\u1C10",  # ; LEPCHA LETTER PHA
        "\u1C11",  # ; LEPCHA LETTER FA
        "\u1C12",  # ; LEPCHA LETTER FLA
        "\u1C13",  # ; LEPCHA LETTER BA
        "\u1C14",  # ; LEPCHA LETTER BLA
        "\u1C15",  # ; LEPCHA LETTER MA
        "\u1C16",  # ; LEPCHA LETTER MLA
        "\u1C17",  # ; LEPCHA LETTER TSA
        "\u1C18",  # ; LEPCHA LETTER TSHA
        "\u1C19",  # ; LEPCHA LETTER DZA
        "\u1C1A",  # ; LEPCHA LETTER YA
        "\u1C1B",  # ; LEPCHA LETTER RA
        "\u1C1C",  # ; LEPCHA LETTER LA
        "\u1C1D",  # ; LEPCHA LETTER HA
        "\u1C1E",  # ; LEPCHA LETTER HLA
        "\u1C1F",  # ; LEPCHA LETTER VA
        "\u1C20",  # ; LEPCHA LETTER SA
        "\u1C21",  # ; LEPCHA LETTER SHA
        "\u1C22",  # ; LEPCHA LETTER WA
        "\u1C23",  # ; LEPCHA LETTER A
        "\u1C24",  # ; LEPCHA SUBJOINED LETTER YA
        "\u1C25",  # ; LEPCHA SUBJOINED LETTER RA
        "\u1C26",  # ; LEPCHA VOWEL SIGN AA
        "\u1C27",  # ; LEPCHA VOWEL SIGN I
        "\u1C28",  # ; LEPCHA VOWEL SIGN O
        "\u1C29",  # ; LEPCHA VOWEL SIGN OO
        "\u1C2A",  # ; LEPCHA VOWEL SIGN U
        "\u1C2B",  # ; LEPCHA VOWEL SIGN UU
        "\u1C2C",  # ; LEPCHA VOWEL SIGN E
        "\u1C2D",  # ; LEPCHA CONSONANT SIGN K
        "\u1C2E",  # ; LEPCHA CONSONANT SIGN M
        "\u1C2F",  # ; LEPCHA CONSONANT SIGN L
        "\u1C30",  # ; LEPCHA CONSONANT SIGN N
        "\u1C31",  # ; LEPCHA CONSONANT SIGN P
        "\u1C32",  # ; LEPCHA CONSONANT SIGN R
        "\u1C33",  # ; LEPCHA CONSONANT SIGN T
        "\u1C34",  # ; LEPCHA CONSONANT SIGN NYIN-DO
        "\u1C35",  # ; LEPCHA CONSONANT SIGN KANG
        "\u1C36",  # ; LEPCHA SIGN RAN
        "\u1C37",  # ; LEPCHA SIGN NUKTA
        "\u1C3B",  # ; LEPCHA PUNCTUATION TA-ROL
        "\u1C3C",  # ; LEPCHA PUNCTUATION NYET THYOOM TA-ROL
        "\u1C3D",  # ; LEPCHA PUNCTUATION CER-WA
        "\u1C3E",  # ; LEPCHA PUNCTUATION TSHOOK CER-WA
        "\u1C3F",  # ; LEPCHA PUNCTUATION TSHOOK
        "\u1C40",  # ; LEPCHA DIGIT ZERO
        "\u1C41",  # ; LEPCHA DIGIT ONE
        "\u1C42",  # ; LEPCHA DIGIT TWO
        "\u1C43",  # ; LEPCHA DIGIT THREE
        "\u1C44",  # ; LEPCHA DIGIT FOUR
        "\u1C45",  # ; LEPCHA DIGIT FIVE
        "\u1C46",  # ; LEPCHA DIGIT SIX
        "\u1C47",  # ; LEPCHA DIGIT SEVEN
        "\u1C48",  # ; LEPCHA DIGIT EIGHT
        "\u1C49",  # ; LEPCHA DIGIT NINE
        "\u1C4D",  # ; LEPCHA LETTER TTA
        "\u1C4E",  # ; LEPCHA LETTER TTHA
        "\u1C4F",  # ; LEPCHA LETTER DDA
        "\u1C50",  # ; OL CHIKI DIGIT ZERO
        "\u1C51",  # ; OL CHIKI DIGIT ONE
        "\u1C52",  # ; OL CHIKI DIGIT TWO
        "\u1C53",  # ; OL CHIKI DIGIT THREE
        "\u1C54",  # ; OL CHIKI DIGIT FOUR
        "\u1C55",  # ; OL CHIKI DIGIT FIVE
        "\u1C56",  # ; OL CHIKI DIGIT SIX
        "\u1C57",  # ; OL CHIKI DIGIT SEVEN
        "\u1C58",  # ; OL CHIKI DIGIT EIGHT
        "\u1C59",  # ; OL CHIKI DIGIT NINE
        "\u1C5A",  # ; OL CHIKI LETTER LA
        "\u1C5B",  # ; OL CHIKI LETTER AT
        "\u1C5C",  # ; OL CHIKI LETTER AG
        "\u1C5D",  # ; OL CHIKI LETTER ANG
        "\u1C5E",  # ; OL CHIKI LETTER AL
        "\u1C5F",  # ; OL CHIKI LETTER LAA
        "\u1C60",  # ; OL CHIKI LETTER AAK
        "\u1C61",  # ; OL CHIKI LETTER AAJ
        "\u1C62",  # ; OL CHIKI LETTER AAM
        "\u1C63",  # ; OL CHIKI LETTER AAW
        "\u1C64",  # ; OL CHIKI LETTER LI
        "\u1C65",  # ; OL CHIKI LETTER IS
        "\u1C66",  # ; OL CHIKI LETTER IH
        "\u1C67",  # ; OL CHIKI LETTER INY
        "\u1C68",  # ; OL CHIKI LETTER IR
        "\u1C69",  # ; OL CHIKI LETTER LU
        "\u1C6A",  # ; OL CHIKI LETTER UC
        "\u1C6B",  # ; OL CHIKI LETTER UD
        "\u1C6C",  # ; OL CHIKI LETTER UNN
        "\u1C6D",  # ; OL CHIKI LETTER UY
        "\u1C6E",  # ; OL CHIKI LETTER LE
        "\u1C6F",  # ; OL CHIKI LETTER EP
        "\u1C70",  # ; OL CHIKI LETTER EDD
        "\u1C71",  # ; OL CHIKI LETTER EN
        "\u1C72",  # ; OL CHIKI LETTER ERR
        "\u1C73",  # ; OL CHIKI LETTER LO
        "\u1C74",  # ; OL CHIKI LETTER OTT
        "\u1C75",  # ; OL CHIKI LETTER OB
        "\u1C76",  # ; OL CHIKI LETTER OV
        "\u1C77",  # ; OL CHIKI LETTER OH
        "\u1C78",  # ; OL CHIKI MU TTUDDAG
        "\u1C79",  # ; OL CHIKI GAAHLAA TTUDDAAG
        "\u1C7A",  # ; OL CHIKI MU-GAAHLAA TTUDDAAG
        "\u1C7B",  # ; OL CHIKI RELAA
        "\u1C7C",  # ; OL CHIKI PHAARKAA
        "\u1C7D",  # ; OL CHIKI AHAD
        "\u1C7E",  # ; OL CHIKI PUNCTUATION MUCAAD
        "\u1C7F",  # ; OL CHIKI PUNCTUATION DOUBLE MUCAAD
        "\u1C80",  # ; CYRILLIC SMALL LETTER ROUNDED VE
        "\u1C81",  # ; CYRILLIC SMALL LETTER LONG-LEGGED DE
        "\u1C82",  # ; CYRILLIC SMALL LETTER NARROW O
        "\u1C83",  # ; CYRILLIC SMALL LETTER WIDE ES
        "\u1C84",  # ; CYRILLIC SMALL LETTER TALL TE
        "\u1C85",  # ; CYRILLIC SMALL LETTER THREE-LEGGED TE
        "\u1C86",  # ; CYRILLIC SMALL LETTER TALL HARD SIGN
        "\u1C87",  # ; CYRILLIC SMALL LETTER TALL YAT
        "\u1C88",  # ; CYRILLIC SMALL LETTER UNBLENDED UK
        "\u1CC0",  # ; SUNDANESE PUNCTUATION BINDU SURYA
        "\u1CC1",  # ; SUNDANESE PUNCTUATION BINDU PANGLONG
        "\u1CC2",  # ; SUNDANESE PUNCTUATION BINDU PURNAMA
        "\u1CC3",  # ; SUNDANESE PUNCTUATION BINDU CAKRA
        "\u1CC4",  # ; SUNDANESE PUNCTUATION BINDU LEU SATANGA
        "\u1CC5",  # ; SUNDANESE PUNCTUATION BINDU KA SATANGA
        "\u1CC6",  # ; SUNDANESE PUNCTUATION BINDU DA SATANGA
        "\u1CC7",  # ; SUNDANESE PUNCTUATION BINDU BA SATANGA
        "\u1CD0",  # ; VEDIC TONE KARSHANA
        "\u1CD1",  # ; VEDIC TONE SHARA
        "\u1CD2",  # ; VEDIC TONE PRENKHA
        "\u1CD3",  # ; VEDIC SIGN NIHSHVASA
        "\u1CD4",  # ; VEDIC SIGN YAJURVEDIC MIDLINE SVARITA
        "\u1CD5",  # ; VEDIC TONE YAJURVEDIC AGGRAVATED INDEPENDENT SVARITA
        "\u1CD6",  # ; VEDIC TONE YAJURVEDIC INDEPENDENT SVARITA
        "\u1CD7",  # ; VEDIC TONE YAJURVEDIC KATHAKA INDEPENDENT SVARITA
        "\u1CD8",  # ; VEDIC TONE CANDRA BELOW
        "\u1CD9",  # ; VEDIC TONE YAJURVEDIC KATHAKA INDEPENDENT SVARITA SCHROEDER
        "\u1CDA",  # ; VEDIC TONE DOUBLE SVARITA
        "\u1CDB",  # ; VEDIC TONE TRIPLE SVARITA
        "\u1CDC",  # ; VEDIC TONE KATHAKA ANUDATTA
        "\u1CDD",  # ; VEDIC TONE DOT BELOW
        "\u1CDE",  # ; VEDIC TONE TWO DOTS BELOW
        "\u1CDF",  # ; VEDIC TONE THREE DOTS BELOW
        "\u1CE0",  # ; VEDIC TONE RIGVEDIC KASHMIRI INDEPENDENT SVARITA
        "\u1CE1",  # ; VEDIC TONE ATHARVAVEDIC INDEPENDENT SVARITA
        "\u1CE2",  # ; VEDIC SIGN VISARGA SVARITA
        "\u1CE3",  # ; VEDIC SIGN VISARGA UDATTA
        "\u1CE4",  # ; VEDIC SIGN REVERSED VISARGA UDATTA
        "\u1CE5",  # ; VEDIC SIGN VISARGA ANUDATTA
        "\u1CE6",  # ; VEDIC SIGN REVERSED VISARGA ANUDATTA
        "\u1CE7",  # ; VEDIC SIGN VISARGA UDATTA WITH TAIL
        "\u1CE8",  # ; VEDIC SIGN VISARGA ANUDATTA WITH TAIL
        "\u1CE9",  # ; VEDIC SIGN ANUSVARA ANTARGOMUKHA
        "\u1CEA",  # ; VEDIC SIGN ANUSVARA BAHIRGOMUKHA
        "\u1CEB",  # ; VEDIC SIGN ANUSVARA VAMAGOMUKHA
        "\u1CEC",  # ; VEDIC SIGN ANUSVARA VAMAGOMUKHA WITH TAIL
        "\u1CED",  # ; VEDIC SIGN TIRYAK
        "\u1CEE",  # ; VEDIC SIGN HEXIFORM LONG ANUSVARA
        "\u1CEF",  # ; VEDIC SIGN LONG ANUSVARA
        "\u1CF0",  # ; VEDIC SIGN RTHANG LONG ANUSVARA
        "\u1CF1",  # ; VEDIC SIGN ANUSVARA UBHAYATO MUKHA
        "\u1CF2",  # ; VEDIC SIGN ARDHAVISARGA
        "\u1CF3",  # ; VEDIC SIGN ROTATED ARDHAVISARGA
        "\u1CF4",  # ; VEDIC TONE CANDRA ABOVE
        "\u1CF5",  # ; VEDIC SIGN JIHVAMULIYA
        "\u1CF6",  # ; VEDIC SIGN UPADHMANIYA
        "\u1CF7",  # ; VEDIC SIGN ATIKRAMA
        "\u1CF8",  # ; VEDIC TONE RING ABOVE
        "\u1CF9",  # ; VEDIC TONE DOUBLE RING ABOVE
        "\u1D00",  # ; LATIN LETTER SMALL CAPITAL A
        "\u1D01",  # ; LATIN LETTER SMALL CAPITAL AE
        "\u1D02",  # ; LATIN SMALL LETTER TURNED AE
        "\u1D03",  # ; LATIN LETTER SMALL CAPITAL BARRED B
        "\u1D04",  # ; LATIN LETTER SMALL CAPITAL C
        "\u1D05",  # ; LATIN LETTER SMALL CAPITAL D
        "\u1D06",  # ; LATIN LETTER SMALL CAPITAL ETH
        "\u1D07",  # ; LATIN LETTER SMALL CAPITAL E
        "\u1D08",  # ; LATIN SMALL LETTER TURNED OPEN E
        "\u1D09",  # ; LATIN SMALL LETTER TURNED I
        "\u1D0A",  # ; LATIN LETTER SMALL CAPITAL J
        "\u1D0B",  # ; LATIN LETTER SMALL CAPITAL K
        "\u1D0C",  # ; LATIN LETTER SMALL CAPITAL L WITH STROKE
        "\u1D0D",  # ; LATIN LETTER SMALL CAPITAL M
        "\u1D0E",  # ; LATIN LETTER SMALL CAPITAL REVERSED N
        "\u1D0F",  # ; LATIN LETTER SMALL CAPITAL O
        "\u1D10",  # ; LATIN LETTER SMALL CAPITAL OPEN O
        "\u1D11",  # ; LATIN SMALL LETTER SIDEWAYS O
        "\u1D12",  # ; LATIN SMALL LETTER SIDEWAYS OPEN O
        "\u1D13",  # ; LATIN SMALL LETTER SIDEWAYS O WITH STROKE
        "\u1D14",  # ; LATIN SMALL LETTER TURNED OE
        "\u1D15",  # ; LATIN LETTER SMALL CAPITAL OU
        "\u1D16",  # ; LATIN SMALL LETTER TOP HALF O
        "\u1D17",  # ; LATIN SMALL LETTER BOTTOM HALF O
        "\u1D18",  # ; LATIN LETTER SMALL CAPITAL P
        "\u1D19",  # ; LATIN LETTER SMALL CAPITAL REVERSED R
        "\u1D1A",  # ; LATIN LETTER SMALL CAPITAL TURNED R
        "\u1D1B",  # ; LATIN LETTER SMALL CAPITAL T
        "\u1D1C",  # ; LATIN LETTER SMALL CAPITAL U
        "\u1D1D",  # ; LATIN SMALL LETTER SIDEWAYS U
        "\u1D1E",  # ; LATIN SMALL LETTER SIDEWAYS DIAERESIZED U
        "\u1D1F",  # ; LATIN SMALL LETTER SIDEWAYS TURNED M
        "\u1D20",  # ; LATIN LETTER SMALL CAPITAL V
        "\u1D21",  # ; LATIN LETTER SMALL CAPITAL W
        "\u1D22",  # ; LATIN LETTER SMALL CAPITAL Z
        "\u1D23",  # ; LATIN LETTER SMALL CAPITAL EZH
        "\u1D24",  # ; LATIN LETTER VOICED LARYNGEAL SPIRANT
        "\u1D25",  # ; LATIN LETTER AIN
        "\u1D26",  # ; GREEK LETTER SMALL CAPITAL GAMMA
        "\u1D27",  # ; GREEK LETTER SMALL CAPITAL LAMDA
        "\u1D28",  # ; GREEK LETTER SMALL CAPITAL PI
        "\u1D29",  # ; GREEK LETTER SMALL CAPITAL RHO
        "\u1D2A",  # ; GREEK LETTER SMALL CAPITAL PSI
        "\u1D2B",  # ; CYRILLIC LETTER SMALL CAPITAL EL
        "\u1D2C",  # ; MODIFIER LETTER CAPITAL A
        "\u1D2D",  # ; MODIFIER LETTER CAPITAL AE
        "\u1D2E",  # ; MODIFIER LETTER CAPITAL B
        "\u1D2F",  # ; MODIFIER LETTER CAPITAL BARRED B
        "\u1D30",  # ; MODIFIER LETTER CAPITAL D
        "\u1D31",  # ; MODIFIER LETTER CAPITAL E
        "\u1D32",  # ; MODIFIER LETTER CAPITAL REVERSED E
        "\u1D33",  # ; MODIFIER LETTER CAPITAL G
        "\u1D34",  # ; MODIFIER LETTER CAPITAL H
        "\u1D35",  # ; MODIFIER LETTER CAPITAL I
        "\u1D36",  # ; MODIFIER LETTER CAPITAL J
        "\u1D37",  # ; MODIFIER LETTER CAPITAL K
        "\u1D38",  # ; MODIFIER LETTER CAPITAL L
        "\u1D39",  # ; MODIFIER LETTER CAPITAL M
        "\u1D3A",  # ; MODIFIER LETTER CAPITAL N
        "\u1D3B",  # ; MODIFIER LETTER CAPITAL REVERSED N
        "\u1D3C",  # ; MODIFIER LETTER CAPITAL O
        "\u1D3D",  # ; MODIFIER LETTER CAPITAL OU
        "\u1D3E",  # ; MODIFIER LETTER CAPITAL P
        "\u1D3F",  # ; MODIFIER LETTER CAPITAL R
        "\u1D40",  # ; MODIFIER LETTER CAPITAL T
        "\u1D41",  # ; MODIFIER LETTER CAPITAL U
        "\u1D42",  # ; MODIFIER LETTER CAPITAL W
        "\u1D43",  # ; MODIFIER LETTER SMALL A
        "\u1D44",  # ; MODIFIER LETTER SMALL TURNED A
        "\u1D45",  # ; MODIFIER LETTER SMALL ALPHA
        "\u1D46",  # ; MODIFIER LETTER SMALL TURNED AE
        "\u1D47",  # ; MODIFIER LETTER SMALL B
        "\u1D48",  # ; MODIFIER LETTER SMALL D
        "\u1D49",  # ; MODIFIER LETTER SMALL E
        "\u1D4A",  # ; MODIFIER LETTER SMALL SCHWA
        "\u1D4B",  # ; MODIFIER LETTER SMALL OPEN E
        "\u1D4C",  # ; MODIFIER LETTER SMALL TURNED OPEN E
        "\u1D4D",  # ; MODIFIER LETTER SMALL G
        "\u1D4E",  # ; MODIFIER LETTER SMALL TURNED I
        "\u1D4F",  # ; MODIFIER LETTER SMALL K
        "\u1D50",  # ; MODIFIER LETTER SMALL M
        "\u1D51",  # ; MODIFIER LETTER SMALL ENG
        "\u1D52",  # ; MODIFIER LETTER SMALL O
        "\u1D53",  # ; MODIFIER LETTER SMALL OPEN O
        "\u1D54",  # ; MODIFIER LETTER SMALL TOP HALF O
        "\u1D55",  # ; MODIFIER LETTER SMALL BOTTOM HALF O
        "\u1D56",  # ; MODIFIER LETTER SMALL P
        "\u1D57",  # ; MODIFIER LETTER SMALL T
        "\u1D58",  # ; MODIFIER LETTER SMALL U
        "\u1D59",  # ; MODIFIER LETTER SMALL SIDEWAYS U
        "\u1D5A",  # ; MODIFIER LETTER SMALL TURNED M
        "\u1D5B",  # ; MODIFIER LETTER SMALL V
        "\u1D5C",  # ; MODIFIER LETTER SMALL AIN
        "\u1D5D",  # ; MODIFIER LETTER SMALL BETA
        "\u1D5E",  # ; MODIFIER LETTER SMALL GREEK GAMMA
        "\u1D5F",  # ; MODIFIER LETTER SMALL DELTA
        "\u1D60",  # ; MODIFIER LETTER SMALL GREEK PHI
        "\u1D61",  # ; MODIFIER LETTER SMALL CHI
        "\u1D62",  # ; LATIN SUBSCRIPT SMALL LETTER I
        "\u1D63",  # ; LATIN SUBSCRIPT SMALL LETTER R
        "\u1D64",  # ; LATIN SUBSCRIPT SMALL LETTER U
        "\u1D65",  # ; LATIN SUBSCRIPT SMALL LETTER V
        "\u1D66",  # ; GREEK SUBSCRIPT SMALL LETTER BETA
        "\u1D67",  # ; GREEK SUBSCRIPT SMALL LETTER GAMMA
        "\u1D68",  # ; GREEK SUBSCRIPT SMALL LETTER RHO
        "\u1D69",  # ; GREEK SUBSCRIPT SMALL LETTER PHI
        "\u1D6A",  # ; GREEK SUBSCRIPT SMALL LETTER CHI
        "\u1D6B",  # ; LATIN SMALL LETTER UE
        "\u1D6C",  # ; LATIN SMALL LETTER B WITH MIDDLE TILDE
        "\u1D6D",  # ; LATIN SMALL LETTER D WITH MIDDLE TILDE
        "\u1D6E",  # ; LATIN SMALL LETTER F WITH MIDDLE TILDE
        "\u1D6F",  # ; LATIN SMALL LETTER M WITH MIDDLE TILDE
        "\u1D70",  # ; LATIN SMALL LETTER N WITH MIDDLE TILDE
        "\u1D71",  # ; LATIN SMALL LETTER P WITH MIDDLE TILDE
        "\u1D72",  # ; LATIN SMALL LETTER R WITH MIDDLE TILDE
        "\u1D73",  # ; LATIN SMALL LETTER R WITH FISHHOOK AND MIDDLE TILDE
        "\u1D74",  # ; LATIN SMALL LETTER S WITH MIDDLE TILDE
        "\u1D75",  # ; LATIN SMALL LETTER T WITH MIDDLE TILDE
        "\u1D76",  # ; LATIN SMALL LETTER Z WITH MIDDLE TILDE
        "\u1D77",  # ; LATIN SMALL LETTER TURNED G
        "\u1D78",  # ; MODIFIER LETTER CYRILLIC EN
        "\u1D79",  # ; LATIN SMALL LETTER INSULAR G
        "\u1D7A",  # ; LATIN SMALL LETTER TH WITH STRIKETHROUGH
        "\u1D7B",  # ; LATIN SMALL CAPITAL LETTER I WITH STROKE
        "\u1D7C",  # ; LATIN SMALL LETTER IOTA WITH STROKE
        "\u1D7D",  # ; LATIN SMALL LETTER P WITH STROKE
        "\u1D7E",  # ; LATIN SMALL CAPITAL LETTER U WITH STROKE
        "\u1D7F",  # ; LATIN SMALL LETTER UPSILON WITH STROKE
        "\u1D80",  # ; LATIN SMALL LETTER B WITH PALATAL HOOK
        "\u1D81",  # ; LATIN SMALL LETTER D WITH PALATAL HOOK
        "\u1D82",  # ; LATIN SMALL LETTER F WITH PALATAL HOOK
        "\u1D83",  # ; LATIN SMALL LETTER G WITH PALATAL HOOK
        "\u1D84",  # ; LATIN SMALL LETTER K WITH PALATAL HOOK
        "\u1D85",  # ; LATIN SMALL LETTER L WITH PALATAL HOOK
        "\u1D86",  # ; LATIN SMALL LETTER M WITH PALATAL HOOK
        "\u1D87",  # ; LATIN SMALL LETTER N WITH PALATAL HOOK
        "\u1D88",  # ; LATIN SMALL LETTER P WITH PALATAL HOOK
        "\u1D89",  # ; LATIN SMALL LETTER R WITH PALATAL HOOK
        "\u1D8A",  # ; LATIN SMALL LETTER S WITH PALATAL HOOK
        "\u1D8B",  # ; LATIN SMALL LETTER ESH WITH PALATAL HOOK
        "\u1D8C",  # ; LATIN SMALL LETTER V WITH PALATAL HOOK
        "\u1D8D",  # ; LATIN SMALL LETTER X WITH PALATAL HOOK
        "\u1D8E",  # ; LATIN SMALL LETTER Z WITH PALATAL HOOK
        "\u1D8F",  # ; LATIN SMALL LETTER A WITH RETROFLEX HOOK
        "\u1D90",  # ; LATIN SMALL LETTER ALPHA WITH RETROFLEX HOOK
        "\u1D91",  # ; LATIN SMALL LETTER D WITH HOOK AND TAIL
        "\u1D92",  # ; LATIN SMALL LETTER E WITH RETROFLEX HOOK
        "\u1D93",  # ; LATIN SMALL LETTER OPEN E WITH RETROFLEX HOOK
        "\u1D94",  # ; LATIN SMALL LETTER REVERSED OPEN E WITH RETROFLEX HOOK
        "\u1D95",  # ; LATIN SMALL LETTER SCHWA WITH RETROFLEX HOOK
        "\u1D96",  # ; LATIN SMALL LETTER I WITH RETROFLEX HOOK
        "\u1D97",  # ; LATIN SMALL LETTER OPEN O WITH RETROFLEX HOOK
        "\u1D98",  # ; LATIN SMALL LETTER ESH WITH RETROFLEX HOOK
        "\u1D99",  # ; LATIN SMALL LETTER U WITH RETROFLEX HOOK
        "\u1D9A",  # ; LATIN SMALL LETTER EZH WITH RETROFLEX HOOK
        "\u1D9B",  # ; MODIFIER LETTER SMALL TURNED ALPHA
        "\u1D9C",  # ; MODIFIER LETTER SMALL C
        "\u1D9D",  # ; MODIFIER LETTER SMALL C WITH CURL
        "\u1D9E",  # ; MODIFIER LETTER SMALL ETH
        "\u1D9F",  # ; MODIFIER LETTER SMALL REVERSED OPEN E
        "\u1DA0",  # ; MODIFIER LETTER SMALL F
        "\u1DA1",  # ; MODIFIER LETTER SMALL DOTLESS J WITH STROKE
        "\u1DA2",  # ; MODIFIER LETTER SMALL SCRIPT G
        "\u1DA3",  # ; MODIFIER LETTER SMALL TURNED H
        "\u1DA4",  # ; MODIFIER LETTER SMALL I WITH STROKE
        "\u1DA5",  # ; MODIFIER LETTER SMALL IOTA
        "\u1DA6",  # ; MODIFIER LETTER SMALL CAPITAL I
        "\u1DA7",  # ; MODIFIER LETTER SMALL CAPITAL I WITH STROKE
        "\u1DA8",  # ; MODIFIER LETTER SMALL J WITH CROSSED-TAIL
        "\u1DA9",  # ; MODIFIER LETTER SMALL L WITH RETROFLEX HOOK
        "\u1DAA",  # ; MODIFIER LETTER SMALL L WITH PALATAL HOOK
        "\u1DAB",  # ; MODIFIER LETTER SMALL CAPITAL L
        "\u1DAC",  # ; MODIFIER LETTER SMALL M WITH HOOK
        "\u1DAD",  # ; MODIFIER LETTER SMALL TURNED M WITH LONG LEG
        "\u1DAE",  # ; MODIFIER LETTER SMALL N WITH LEFT HOOK
        "\u1DAF",  # ; MODIFIER LETTER SMALL N WITH RETROFLEX HOOK
        "\u1DB0",  # ; MODIFIER LETTER SMALL CAPITAL N
        "\u1DB1",  # ; MODIFIER LETTER SMALL BARRED O
        "\u1DB2",  # ; MODIFIER LETTER SMALL PHI
        "\u1DB3",  # ; MODIFIER LETTER SMALL S WITH HOOK
        "\u1DB4",  # ; MODIFIER LETTER SMALL ESH
        "\u1DB5",  # ; MODIFIER LETTER SMALL T WITH PALATAL HOOK
        "\u1DB6",  # ; MODIFIER LETTER SMALL U BAR
        "\u1DB7",  # ; MODIFIER LETTER SMALL UPSILON
        "\u1DB8",  # ; MODIFIER LETTER SMALL CAPITAL U
        "\u1DB9",  # ; MODIFIER LETTER SMALL V WITH HOOK
        "\u1DBA",  # ; MODIFIER LETTER SMALL TURNED V
        "\u1DBB",  # ; MODIFIER LETTER SMALL Z
        "\u1DBC",  # ; MODIFIER LETTER SMALL Z WITH RETROFLEX HOOK
        "\u1DBD",  # ; MODIFIER LETTER SMALL Z WITH CURL
        "\u1DBE",  # ; MODIFIER LETTER SMALL EZH
        "\u1DBF",  # ; MODIFIER LETTER SMALL THETA
        "\u1DC0",  # ; COMBINING DOTTED GRAVE ACCENT
        "\u1DC1",  # ; COMBINING DOTTED ACUTE ACCENT
        "\u1DC2",  # ; COMBINING SNAKE BELOW
        "\u1DC3",  # ; COMBINING SUSPENSION MARK
        "\u1DC4",  # ; COMBINING MACRON-ACUTE
        "\u1DC5",  # ; COMBINING GRAVE-MACRON
        "\u1DC6",  # ; COMBINING MACRON-GRAVE
        "\u1DC7",  # ; COMBINING ACUTE-MACRON
        "\u1DC8",  # ; COMBINING GRAVE-ACUTE-GRAVE
        "\u1DC9",  # ; COMBINING ACUTE-GRAVE-ACUTE
        "\u1DCA",  # ; COMBINING LATIN SMALL LETTER R BELOW
        "\u1DCB",  # ; COMBINING BREVE-MACRON
        "\u1DCC",  # ; COMBINING MACRON-BREVE
        "\u1DCD",  # ; COMBINING DOUBLE CIRCUMFLEX ABOVE
        "\u1DCE",  # ; COMBINING OGONEK ABOVE
        "\u1DCF",  # ; COMBINING ZIGZAG BELOW
        "\u1DD0",  # ; COMBINING IS BELOW
        "\u1DD1",  # ; COMBINING UR ABOVE
        "\u1DD2",  # ; COMBINING US ABOVE
        "\u1DD3",  # ; COMBINING LATIN SMALL LETTER FLATTENED OPEN A ABOVE
        "\u1DD4",  # ; COMBINING LATIN SMALL LETTER AE
        "\u1DD5",  # ; COMBINING LATIN SMALL LETTER AO
        "\u1DD6",  # ; COMBINING LATIN SMALL LETTER AV
        "\u1DD7",  # ; COMBINING LATIN SMALL LETTER C CEDILLA
        "\u1DD8",  # ; COMBINING LATIN SMALL LETTER INSULAR D
        "\u1DD9",  # ; COMBINING LATIN SMALL LETTER ETH
        "\u1DDA",  # ; COMBINING LATIN SMALL LETTER G
        "\u1DDB",  # ; COMBINING LATIN LETTER SMALL CAPITAL G
        "\u1DDC",  # ; COMBINING LATIN SMALL LETTER K
        "\u1DDD",  # ; COMBINING LATIN SMALL LETTER L
        "\u1DDE",  # ; COMBINING LATIN LETTER SMALL CAPITAL L
        "\u1DDF",  # ; COMBINING LATIN LETTER SMALL CAPITAL M
        "\u1DE0",  # ; COMBINING LATIN SMALL LETTER N
        "\u1DE1",  # ; COMBINING LATIN LETTER SMALL CAPITAL N
        "\u1DE2",  # ; COMBINING LATIN LETTER SMALL CAPITAL R
        "\u1DE3",  # ; COMBINING LATIN SMALL LETTER R ROTUNDA
        "\u1DE4",  # ; COMBINING LATIN SMALL LETTER S
        "\u1DE5",  # ; COMBINING LATIN SMALL LETTER LONG S
        "\u1DE6",  # ; COMBINING LATIN SMALL LETTER Z
        "\u1DE7",  # ; COMBINING LATIN SMALL LETTER ALPHA
        "\u1DE8",  # ; COMBINING LATIN SMALL LETTER B
        "\u1DE9",  # ; COMBINING LATIN SMALL LETTER BETA
        "\u1DEA",  # ; COMBINING LATIN SMALL LETTER SCHWA
        "\u1DEB",  # ; COMBINING LATIN SMALL LETTER F
        "\u1DEC",  # ; COMBINING LATIN SMALL LETTER L WITH DOUBLE MIDDLE TILDE
        "\u1DED",  # ; COMBINING LATIN SMALL LETTER O WITH LIGHT CENTRALIZATION STROKE
        "\u1DEE",  # ; COMBINING LATIN SMALL LETTER P
        "\u1DEF",  # ; COMBINING LATIN SMALL LETTER ESH
        "\u1DF0",  # ; COMBINING LATIN SMALL LETTER U WITH LIGHT CENTRALIZATION STROKE
        "\u1DF1",  # ; COMBINING LATIN SMALL LETTER W
        "\u1DF2",  # ; COMBINING LATIN SMALL LETTER A WITH DIAERESIS
        "\u1DF3",  # ; COMBINING LATIN SMALL LETTER O WITH DIAERESIS
        "\u1DF4",  # ; COMBINING LATIN SMALL LETTER U WITH DIAERESIS
        "\u1DF5",  # ; COMBINING UP TACK ABOVE
        "\u1DF6",  # ; COMBINING KAVYKA ABOVE RIGHT
        "\u1DF7",  # ; COMBINING KAVYKA ABOVE LEFT
        "\u1DF8",  # ; COMBINING DOT ABOVE LEFT
        "\u1DF9",  # ; COMBINING WIDE INVERTED BRIDGE BELOW
        "\u1DFB",  # ; COMBINING DELETION MARK
        "\u1DFC",  # ; COMBINING DOUBLE INVERTED BREVE BELOW
        "\u1DFD",  # ; COMBINING ALMOST EQUAL TO BELOW
        "\u1DFE",  # ; COMBINING LEFT ARROWHEAD ABOVE
        "\u1DFF",  # ; COMBINING RIGHT ARROWHEAD AND DOWN ARROWHEAD BELOW
        "\u1E00",  # ; LATIN CAPITAL LETTER A WITH RING BELOW
        "\u1E01",  # ; LATIN SMALL LETTER A WITH RING BELOW
        "\u1E02",  # ; LATIN CAPITAL LETTER B WITH DOT ABOVE
        "\u1E03",  # ; LATIN SMALL LETTER B WITH DOT ABOVE
        "\u1E04",  # ; LATIN CAPITAL LETTER B WITH DOT BELOW
        "\u1E05",  # ; LATIN SMALL LETTER B WITH DOT BELOW
        "\u1E06",  # ; LATIN CAPITAL LETTER B WITH LINE BELOW
        "\u1E07",  # ; LATIN SMALL LETTER B WITH LINE BELOW
        "\u1E08",  # ; LATIN CAPITAL LETTER C WITH CEDILLA AND ACUTE
        "\u1E09",  # ; LATIN SMALL LETTER C WITH CEDILLA AND ACUTE
        "\u1E0A",  # ; LATIN CAPITAL LETTER D WITH DOT ABOVE
        "\u1E0B",  # ; LATIN SMALL LETTER D WITH DOT ABOVE
        "\u1E0C",  # ; LATIN CAPITAL LETTER D WITH DOT BELOW
        "\u1E0D",  # ; LATIN SMALL LETTER D WITH DOT BELOW
        "\u1E0E",  # ; LATIN CAPITAL LETTER D WITH LINE BELOW
        "\u1E0F",  # ; LATIN SMALL LETTER D WITH LINE BELOW
        "\u1E10",  # ; LATIN CAPITAL LETTER D WITH CEDILLA
        "\u1E11",  # ; LATIN SMALL LETTER D WITH CEDILLA
        "\u1E12",  # ; LATIN CAPITAL LETTER D WITH CIRCUMFLEX BELOW
        "\u1E13",  # ; LATIN SMALL LETTER D WITH CIRCUMFLEX BELOW
        "\u1E14",  # ; LATIN CAPITAL LETTER E WITH MACRON AND GRAVE
        "\u1E15",  # ; LATIN SMALL LETTER E WITH MACRON AND GRAVE
        "\u1E16",  # ; LATIN CAPITAL LETTER E WITH MACRON AND ACUTE
        "\u1E17",  # ; LATIN SMALL LETTER E WITH MACRON AND ACUTE
        "\u1E18",  # ; LATIN CAPITAL LETTER E WITH CIRCUMFLEX BELOW
        "\u1E19",  # ; LATIN SMALL LETTER E WITH CIRCUMFLEX BELOW
        "\u1E1A",  # ; LATIN CAPITAL LETTER E WITH TILDE BELOW
        "\u1E1B",  # ; LATIN SMALL LETTER E WITH TILDE BELOW
        "\u1E1C",  # ; LATIN CAPITAL LETTER E WITH CEDILLA AND BREVE
        "\u1E1D",  # ; LATIN SMALL LETTER E WITH CEDILLA AND BREVE
        "\u1E1E",  # ; LATIN CAPITAL LETTER F WITH DOT ABOVE
        "\u1E1F",  # ; LATIN SMALL LETTER F WITH DOT ABOVE
        "\u1E20",  # ; LATIN CAPITAL LETTER G WITH MACRON
        "\u1E21",  # ; LATIN SMALL LETTER G WITH MACRON
        "\u1E22",  # ; LATIN CAPITAL LETTER H WITH DOT ABOVE
        "\u1E23",  # ; LATIN SMALL LETTER H WITH DOT ABOVE
        "\u1E24",  # ; LATIN CAPITAL LETTER H WITH DOT BELOW
        "\u1E25",  # ; LATIN SMALL LETTER H WITH DOT BELOW
        "\u1E26",  # ; LATIN CAPITAL LETTER H WITH DIAERESIS
        "\u1E27",  # ; LATIN SMALL LETTER H WITH DIAERESIS
        "\u1E28",  # ; LATIN CAPITAL LETTER H WITH CEDILLA
        "\u1E29",  # ; LATIN SMALL LETTER H WITH CEDILLA
        "\u1E2A",  # ; LATIN CAPITAL LETTER H WITH BREVE BELOW
        "\u1E2B",  # ; LATIN SMALL LETTER H WITH BREVE BELOW
        "\u1E2C",  # ; LATIN CAPITAL LETTER I WITH TILDE BELOW
        "\u1E2D",  # ; LATIN SMALL LETTER I WITH TILDE BELOW
        "\u1E2E",  # ; LATIN CAPITAL LETTER I WITH DIAERESIS AND ACUTE
        "\u1E2F",  # ; LATIN SMALL LETTER I WITH DIAERESIS AND ACUTE
        "\u1E30",  # ; LATIN CAPITAL LETTER K WITH ACUTE
        "\u1E31",  # ; LATIN SMALL LETTER K WITH ACUTE
        "\u1E32",  # ; LATIN CAPITAL LETTER K WITH DOT BELOW
        "\u1E33",  # ; LATIN SMALL LETTER K WITH DOT BELOW
        "\u1E34",  # ; LATIN CAPITAL LETTER K WITH LINE BELOW
        "\u1E35",  # ; LATIN SMALL LETTER K WITH LINE BELOW
        "\u1E36",  # ; LATIN CAPITAL LETTER L WITH DOT BELOW
        "\u1E37",  # ; LATIN SMALL LETTER L WITH DOT BELOW
        "\u1E38",  # ; LATIN CAPITAL LETTER L WITH DOT BELOW AND MACRON
        "\u1E39",  # ; LATIN SMALL LETTER L WITH DOT BELOW AND MACRON
        "\u1E3A",  # ; LATIN CAPITAL LETTER L WITH LINE BELOW
        "\u1E3B",  # ; LATIN SMALL LETTER L WITH LINE BELOW
        "\u1E3C",  # ; LATIN CAPITAL LETTER L WITH CIRCUMFLEX BELOW
        "\u1E3D",  # ; LATIN SMALL LETTER L WITH CIRCUMFLEX BELOW
        "\u1E3E",  # ; LATIN CAPITAL LETTER M WITH ACUTE
        "\u1E3F",  # ; LATIN SMALL LETTER M WITH ACUTE
        "\u1E40",  # ; LATIN CAPITAL LETTER M WITH DOT ABOVE
        "\u1E41",  # ; LATIN SMALL LETTER M WITH DOT ABOVE
        "\u1E42",  # ; LATIN CAPITAL LETTER M WITH DOT BELOW
        "\u1E43",  # ; LATIN SMALL LETTER M WITH DOT BELOW
        "\u1E44",  # ; LATIN CAPITAL LETTER N WITH DOT ABOVE
        "\u1E45",  # ; LATIN SMALL LETTER N WITH DOT ABOVE
        "\u1E46",  # ; LATIN CAPITAL LETTER N WITH DOT BELOW
        "\u1E47",  # ; LATIN SMALL LETTER N WITH DOT BELOW
        "\u1E48",  # ; LATIN CAPITAL LETTER N WITH LINE BELOW
        "\u1E49",  # ; LATIN SMALL LETTER N WITH LINE BELOW
        "\u1E4A",  # ; LATIN CAPITAL LETTER N WITH CIRCUMFLEX BELOW
        "\u1E4B",  # ; LATIN SMALL LETTER N WITH CIRCUMFLEX BELOW
        "\u1E4C",  # ; LATIN CAPITAL LETTER O WITH TILDE AND ACUTE
        "\u1E4D",  # ; LATIN SMALL LETTER O WITH TILDE AND ACUTE
        "\u1E4E",  # ; LATIN CAPITAL LETTER O WITH TILDE AND DIAERESIS
        "\u1E4F",  # ; LATIN SMALL LETTER O WITH TILDE AND DIAERESIS
        "\u1E50",  # ; LATIN CAPITAL LETTER O WITH MACRON AND GRAVE
        "\u1E51",  # ; LATIN SMALL LETTER O WITH MACRON AND GRAVE
        "\u1E52",  # ; LATIN CAPITAL LETTER O WITH MACRON AND ACUTE
        "\u1E53",  # ; LATIN SMALL LETTER O WITH MACRON AND ACUTE
        "\u1E54",  # ; LATIN CAPITAL LETTER P WITH ACUTE
        "\u1E55",  # ; LATIN SMALL LETTER P WITH ACUTE
        "\u1E56",  # ; LATIN CAPITAL LETTER P WITH DOT ABOVE
        "\u1E57",  # ; LATIN SMALL LETTER P WITH DOT ABOVE
        "\u1E58",  # ; LATIN CAPITAL LETTER R WITH DOT ABOVE
        "\u1E59",  # ; LATIN SMALL LETTER R WITH DOT ABOVE
        "\u1E5A",  # ; LATIN CAPITAL LETTER R WITH DOT BELOW
        "\u1E5B",  # ; LATIN SMALL LETTER R WITH DOT BELOW
        "\u1E5C",  # ; LATIN CAPITAL LETTER R WITH DOT BELOW AND MACRON
        "\u1E5D",  # ; LATIN SMALL LETTER R WITH DOT BELOW AND MACRON
        "\u1E5E",  # ; LATIN CAPITAL LETTER R WITH LINE BELOW
        "\u1E5F",  # ; LATIN SMALL LETTER R WITH LINE BELOW
        "\u1E60",  # ; LATIN CAPITAL LETTER S WITH DOT ABOVE
        "\u1E61",  # ; LATIN SMALL LETTER S WITH DOT ABOVE
        "\u1E62",  # ; LATIN CAPITAL LETTER S WITH DOT BELOW
        "\u1E63",  # ; LATIN SMALL LETTER S WITH DOT BELOW
        "\u1E64",  # ; LATIN CAPITAL LETTER S WITH ACUTE AND DOT ABOVE
        "\u1E65",  # ; LATIN SMALL LETTER S WITH ACUTE AND DOT ABOVE
        "\u1E66",  # ; LATIN CAPITAL LETTER S WITH CARON AND DOT ABOVE
        "\u1E67",  # ; LATIN SMALL LETTER S WITH CARON AND DOT ABOVE
        "\u1E68",  # ; LATIN CAPITAL LETTER S WITH DOT BELOW AND DOT ABOVE
        "\u1E69",  # ; LATIN SMALL LETTER S WITH DOT BELOW AND DOT ABOVE
        "\u1E6A",  # ; LATIN CAPITAL LETTER T WITH DOT ABOVE
        "\u1E6B",  # ; LATIN SMALL LETTER T WITH DOT ABOVE
        "\u1E6C",  # ; LATIN CAPITAL LETTER T WITH DOT BELOW
        "\u1E6D",  # ; LATIN SMALL LETTER T WITH DOT BELOW
        "\u1E6E",  # ; LATIN CAPITAL LETTER T WITH LINE BELOW
        "\u1E6F",  # ; LATIN SMALL LETTER T WITH LINE BELOW
        "\u1E70",  # ; LATIN CAPITAL LETTER T WITH CIRCUMFLEX BELOW
        "\u1E71",  # ; LATIN SMALL LETTER T WITH CIRCUMFLEX BELOW
        "\u1E72",  # ; LATIN CAPITAL LETTER U WITH DIAERESIS BELOW
        "\u1E73",  # ; LATIN SMALL LETTER U WITH DIAERESIS BELOW
        "\u1E74",  # ; LATIN CAPITAL LETTER U WITH TILDE BELOW
        "\u1E75",  # ; LATIN SMALL LETTER U WITH TILDE BELOW
        "\u1E76",  # ; LATIN CAPITAL LETTER U WITH CIRCUMFLEX BELOW
        "\u1E77",  # ; LATIN SMALL LETTER U WITH CIRCUMFLEX BELOW
        "\u1E78",  # ; LATIN CAPITAL LETTER U WITH TILDE AND ACUTE
        "\u1E79",  # ; LATIN SMALL LETTER U WITH TILDE AND ACUTE
        "\u1E7A",  # ; LATIN CAPITAL LETTER U WITH MACRON AND DIAERESIS
        "\u1E7B",  # ; LATIN SMALL LETTER U WITH MACRON AND DIAERESIS
        "\u1E7C",  # ; LATIN CAPITAL LETTER V WITH TILDE
        "\u1E7D",  # ; LATIN SMALL LETTER V WITH TILDE
        "\u1E7E",  # ; LATIN CAPITAL LETTER V WITH DOT BELOW
        "\u1E7F",  # ; LATIN SMALL LETTER V WITH DOT BELOW
        "\u1E80",  # ; LATIN CAPITAL LETTER W WITH GRAVE
        "\u1E81",  # ; LATIN SMALL LETTER W WITH GRAVE
        "\u1E82",  # ; LATIN CAPITAL LETTER W WITH ACUTE
        "\u1E83",  # ; LATIN SMALL LETTER W WITH ACUTE
        "\u1E84",  # ; LATIN CAPITAL LETTER W WITH DIAERESIS
        "\u1E85",  # ; LATIN SMALL LETTER W WITH DIAERESIS
        "\u1E86",  # ; LATIN CAPITAL LETTER W WITH DOT ABOVE
        "\u1E87",  # ; LATIN SMALL LETTER W WITH DOT ABOVE
        "\u1E88",  # ; LATIN CAPITAL LETTER W WITH DOT BELOW
        "\u1E89",  # ; LATIN SMALL LETTER W WITH DOT BELOW
        "\u1E8A",  # ; LATIN CAPITAL LETTER X WITH DOT ABOVE
        "\u1E8B",  # ; LATIN SMALL LETTER X WITH DOT ABOVE
        "\u1E8C",  # ; LATIN CAPITAL LETTER X WITH DIAERESIS
        "\u1E8D",  # ; LATIN SMALL LETTER X WITH DIAERESIS
        "\u1E8E",  # ; LATIN CAPITAL LETTER Y WITH DOT ABOVE
        "\u1E8F",  # ; LATIN SMALL LETTER Y WITH DOT ABOVE
        "\u1E90",  # ; LATIN CAPITAL LETTER Z WITH CIRCUMFLEX
        "\u1E91",  # ; LATIN SMALL LETTER Z WITH CIRCUMFLEX
        "\u1E92",  # ; LATIN CAPITAL LETTER Z WITH DOT BELOW
        "\u1E93",  # ; LATIN SMALL LETTER Z WITH DOT BELOW
        "\u1E94",  # ; LATIN CAPITAL LETTER Z WITH LINE BELOW
        "\u1E95",  # ; LATIN SMALL LETTER Z WITH LINE BELOW
        "\u1E96",  # ; LATIN SMALL LETTER H WITH LINE BELOW
        "\u1E97",  # ; LATIN SMALL LETTER T WITH DIAERESIS
        "\u1E98",  # ; LATIN SMALL LETTER W WITH RING ABOVE
        "\u1E99",  # ; LATIN SMALL LETTER Y WITH RING ABOVE
        "\u1E9A",  # ; LATIN SMALL LETTER A WITH RIGHT HALF RING
        "\u1E9B",  # ; LATIN SMALL LETTER LONG S WITH DOT ABOVE
        "\u1E9C",  # ; LATIN SMALL LETTER LONG S WITH DIAGONAL STROKE
        "\u1E9D",  # ; LATIN SMALL LETTER LONG S WITH HIGH STROKE
        "\u1E9E",  # ; LATIN CAPITAL LETTER SHARP S
        "\u1E9F",  # ; LATIN SMALL LETTER DELTA
        "\u1EA0",  # ; LATIN CAPITAL LETTER A WITH DOT BELOW
        "\u1EA1",  # ; LATIN SMALL LETTER A WITH DOT BELOW
        "\u1EA2",  # ; LATIN CAPITAL LETTER A WITH HOOK ABOVE
        "\u1EA3",  # ; LATIN SMALL LETTER A WITH HOOK ABOVE
        "\u1EA4",  # ; LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND ACUTE
        "\u1EA5",  # ; LATIN SMALL LETTER A WITH CIRCUMFLEX AND ACUTE
        "\u1EA6",  # ; LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND GRAVE
        "\u1EA7",  # ; LATIN SMALL LETTER A WITH CIRCUMFLEX AND GRAVE
        "\u1EA8",  # ; LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE
        "\u1EA9",  # ; LATIN SMALL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE
        "\u1EAA",  # ; LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND TILDE
        "\u1EAB",  # ; LATIN SMALL LETTER A WITH CIRCUMFLEX AND TILDE
        "\u1EAC",  # ; LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND DOT BELOW
        "\u1EAD",  # ; LATIN SMALL LETTER A WITH CIRCUMFLEX AND DOT BELOW
        "\u1EAE",  # ; LATIN CAPITAL LETTER A WITH BREVE AND ACUTE
        "\u1EAF",  # ; LATIN SMALL LETTER A WITH BREVE AND ACUTE
        "\u1EB0",  # ; LATIN CAPITAL LETTER A WITH BREVE AND GRAVE
        "\u1EB1",  # ; LATIN SMALL LETTER A WITH BREVE AND GRAVE
        "\u1EB2",  # ; LATIN CAPITAL LETTER A WITH BREVE AND HOOK ABOVE
        "\u1EB3",  # ; LATIN SMALL LETTER A WITH BREVE AND HOOK ABOVE
        "\u1EB4",  # ; LATIN CAPITAL LETTER A WITH BREVE AND TILDE
        "\u1EB5",  # ; LATIN SMALL LETTER A WITH BREVE AND TILDE
        "\u1EB6",  # ; LATIN CAPITAL LETTER A WITH BREVE AND DOT BELOW
        "\u1EB7",  # ; LATIN SMALL LETTER A WITH BREVE AND DOT BELOW
        "\u1EB8",  # ; LATIN CAPITAL LETTER E WITH DOT BELOW
        "\u1EB9",  # ; LATIN SMALL LETTER E WITH DOT BELOW
        "\u1EBA",  # ; LATIN CAPITAL LETTER E WITH HOOK ABOVE
        "\u1EBB",  # ; LATIN SMALL LETTER E WITH HOOK ABOVE
        "\u1EBC",  # ; LATIN CAPITAL LETTER E WITH TILDE
        "\u1EBD",  # ; LATIN SMALL LETTER E WITH TILDE
        "\u1EBE",  # ; LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND ACUTE
        "\u1EBF",  # ; LATIN SMALL LETTER E WITH CIRCUMFLEX AND ACUTE
        "\u1EC0",  # ; LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND GRAVE
        "\u1EC1",  # ; LATIN SMALL LETTER E WITH CIRCUMFLEX AND GRAVE
        "\u1EC2",  # ; LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE
        "\u1EC3",  # ; LATIN SMALL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE
        "\u1EC4",  # ; LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND TILDE
        "\u1EC5",  # ; LATIN SMALL LETTER E WITH CIRCUMFLEX AND TILDE
        "\u1EC6",  # ; LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND DOT BELOW
        "\u1EC7",  # ; LATIN SMALL LETTER E WITH CIRCUMFLEX AND DOT BELOW
        "\u1EC8",  # ; LATIN CAPITAL LETTER I WITH HOOK ABOVE
        "\u1EC9",  # ; LATIN SMALL LETTER I WITH HOOK ABOVE
        "\u1ECA",  # ; LATIN CAPITAL LETTER I WITH DOT BELOW
        "\u1ECB",  # ; LATIN SMALL LETTER I WITH DOT BELOW
        "\u1ECC",  # ; LATIN CAPITAL LETTER O WITH DOT BELOW
        "\u1ECD",  # ; LATIN SMALL LETTER O WITH DOT BELOW
        "\u1ECE",  # ; LATIN CAPITAL LETTER O WITH HOOK ABOVE
        "\u1ECF",  # ; LATIN SMALL LETTER O WITH HOOK ABOVE
        "\u1ED0",  # ; LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND ACUTE
        "\u1ED1",  # ; LATIN SMALL LETTER O WITH CIRCUMFLEX AND ACUTE
        "\u1ED2",  # ; LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND GRAVE
        "\u1ED3",  # ; LATIN SMALL LETTER O WITH CIRCUMFLEX AND GRAVE
        "\u1ED4",  # ; LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE
        "\u1ED5",  # ; LATIN SMALL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE
        "\u1ED6",  # ; LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND TILDE
        "\u1ED7",  # ; LATIN SMALL LETTER O WITH CIRCUMFLEX AND TILDE
        "\u1ED8",  # ; LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND DOT BELOW
        "\u1ED9",  # ; LATIN SMALL LETTER O WITH CIRCUMFLEX AND DOT BELOW
        "\u1EDA",  # ; LATIN CAPITAL LETTER O WITH HORN AND ACUTE
        "\u1EDB",  # ; LATIN SMALL LETTER O WITH HORN AND ACUTE
        "\u1EDC",  # ; LATIN CAPITAL LETTER O WITH HORN AND GRAVE
        "\u1EDD",  # ; LATIN SMALL LETTER O WITH HORN AND GRAVE
        "\u1EDE",  # ; LATIN CAPITAL LETTER O WITH HORN AND HOOK ABOVE
        "\u1EDF",  # ; LATIN SMALL LETTER O WITH HORN AND HOOK ABOVE
        "\u1EE0",  # ; LATIN CAPITAL LETTER O WITH HORN AND TILDE
        "\u1EE1",  # ; LATIN SMALL LETTER O WITH HORN AND TILDE
        "\u1EE2",  # ; LATIN CAPITAL LETTER O WITH HORN AND DOT BELOW
        "\u1EE3",  # ; LATIN SMALL LETTER O WITH HORN AND DOT BELOW
        "\u1EE4",  # ; LATIN CAPITAL LETTER U WITH DOT BELOW
        "\u1EE5",  # ; LATIN SMALL LETTER U WITH DOT BELOW
        "\u1EE6",  # ; LATIN CAPITAL LETTER U WITH HOOK ABOVE
        "\u1EE7",  # ; LATIN SMALL LETTER U WITH HOOK ABOVE
        "\u1EE8",  # ; LATIN CAPITAL LETTER U WITH HORN AND ACUTE
        "\u1EE9",  # ; LATIN SMALL LETTER U WITH HORN AND ACUTE
        "\u1EEA",  # ; LATIN CAPITAL LETTER U WITH HORN AND GRAVE
        "\u1EEB",  # ; LATIN SMALL LETTER U WITH HORN AND GRAVE
        "\u1EEC",  # ; LATIN CAPITAL LETTER U WITH HORN AND HOOK ABOVE
        "\u1EED",  # ; LATIN SMALL LETTER U WITH HORN AND HOOK ABOVE
        "\u1EEE",  # ; LATIN CAPITAL LETTER U WITH HORN AND TILDE
        "\u1EEF",  # ; LATIN SMALL LETTER U WITH HORN AND TILDE
        "\u1EF0",  # ; LATIN CAPITAL LETTER U WITH HORN AND DOT BELOW
        "\u1EF1",  # ; LATIN SMALL LETTER U WITH HORN AND DOT BELOW
        "\u1EF2",  # ; LATIN CAPITAL LETTER Y WITH GRAVE
        "\u1EF3",  # ; LATIN SMALL LETTER Y WITH GRAVE
        "\u1EF4",  # ; LATIN CAPITAL LETTER Y WITH DOT BELOW
        "\u1EF5",  # ; LATIN SMALL LETTER Y WITH DOT BELOW
        "\u1EF6",  # ; LATIN CAPITAL LETTER Y WITH HOOK ABOVE
        "\u1EF7",  # ; LATIN SMALL LETTER Y WITH HOOK ABOVE
        "\u1EF8",  # ; LATIN CAPITAL LETTER Y WITH TILDE
        "\u1EF9",  # ; LATIN SMALL LETTER Y WITH TILDE
        "\u1EFA",  # ; LATIN CAPITAL LETTER MIDDLE-WELSH LL
        "\u1EFB",  # ; LATIN SMALL LETTER MIDDLE-WELSH LL
        "\u1EFC",  # ; LATIN CAPITAL LETTER MIDDLE-WELSH V
        "\u1EFD",  # ; LATIN SMALL LETTER MIDDLE-WELSH V
        "\u1EFE",  # ; LATIN CAPITAL LETTER Y WITH LOOP
        "\u1EFF",  # ; LATIN SMALL LETTER Y WITH LOOP
        "\u1F00",  # ; GREEK SMALL LETTER ALPHA WITH PSILI
        "\u1F01",  # ; GREEK SMALL LETTER ALPHA WITH DASIA
        "\u1F02",  # ; GREEK SMALL LETTER ALPHA WITH PSILI AND VARIA
        "\u1F03",  # ; GREEK SMALL LETTER ALPHA WITH DASIA AND VARIA
        "\u1F04",  # ; GREEK SMALL LETTER ALPHA WITH PSILI AND OXIA
        "\u1F05",  # ; GREEK SMALL LETTER ALPHA WITH DASIA AND OXIA
        "\u1F06",  # ; GREEK SMALL LETTER ALPHA WITH PSILI AND PERISPOMENI
        "\u1F07",  # ; GREEK SMALL LETTER ALPHA WITH DASIA AND PERISPOMENI
        "\u1F08",  # ; GREEK CAPITAL LETTER ALPHA WITH PSILI
        "\u1F09",  # ; GREEK CAPITAL LETTER ALPHA WITH DASIA
        "\u1F0A",  # ; GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA
        "\u1F0B",  # ; GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA
        "\u1F0C",  # ; GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA
        "\u1F0D",  # ; GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA
        "\u1F0E",  # ; GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI
        "\u1F0F",  # ; GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI
        "\u1F10",  # ; GREEK SMALL LETTER EPSILON WITH PSILI
        "\u1F11",  # ; GREEK SMALL LETTER EPSILON WITH DASIA
        "\u1F12",  # ; GREEK SMALL LETTER EPSILON WITH PSILI AND VARIA
        "\u1F13",  # ; GREEK SMALL LETTER EPSILON WITH DASIA AND VARIA
        "\u1F14",  # ; GREEK SMALL LETTER EPSILON WITH PSILI AND OXIA
        "\u1F15",  # ; GREEK SMALL LETTER EPSILON WITH DASIA AND OXIA
        "\u1F18",  # ; GREEK CAPITAL LETTER EPSILON WITH PSILI
        "\u1F19",  # ; GREEK CAPITAL LETTER EPSILON WITH DASIA
        "\u1F1A",  # ; GREEK CAPITAL LETTER EPSILON WITH PSILI AND VARIA
        "\u1F1B",  # ; GREEK CAPITAL LETTER EPSILON WITH DASIA AND VARIA
        "\u1F1C",  # ; GREEK CAPITAL LETTER EPSILON WITH PSILI AND OXIA
        "\u1F1D",  # ; GREEK CAPITAL LETTER EPSILON WITH DASIA AND OXIA
        "\u1F20",  # ; GREEK SMALL LETTER ETA WITH PSILI
        "\u1F21",  # ; GREEK SMALL LETTER ETA WITH DASIA
        "\u1F22",  # ; GREEK SMALL LETTER ETA WITH PSILI AND VARIA
        "\u1F23",  # ; GREEK SMALL LETTER ETA WITH DASIA AND VARIA
        "\u1F24",  # ; GREEK SMALL LETTER ETA WITH PSILI AND OXIA
        "\u1F25",  # ; GREEK SMALL LETTER ETA WITH DASIA AND OXIA
        "\u1F26",  # ; GREEK SMALL LETTER ETA WITH PSILI AND PERISPOMENI
        "\u1F27",  # ; GREEK SMALL LETTER ETA WITH DASIA AND PERISPOMENI
        "\u1F28",  # ; GREEK CAPITAL LETTER ETA WITH PSILI
        "\u1F29",  # ; GREEK CAPITAL LETTER ETA WITH DASIA
        "\u1F2A",  # ; GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA
        "\u1F2B",  # ; GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA
        "\u1F2C",  # ; GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA
        "\u1F2D",  # ; GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA
        "\u1F2E",  # ; GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI
        "\u1F2F",  # ; GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI
        "\u1F30",  # ; GREEK SMALL LETTER IOTA WITH PSILI
        "\u1F31",  # ; GREEK SMALL LETTER IOTA WITH DASIA
        "\u1F32",  # ; GREEK SMALL LETTER IOTA WITH PSILI AND VARIA
        "\u1F33",  # ; GREEK SMALL LETTER IOTA WITH DASIA AND VARIA
        "\u1F34",  # ; GREEK SMALL LETTER IOTA WITH PSILI AND OXIA
        "\u1F35",  # ; GREEK SMALL LETTER IOTA WITH DASIA AND OXIA
        "\u1F36",  # ; GREEK SMALL LETTER IOTA WITH PSILI AND PERISPOMENI
        "\u1F37",  # ; GREEK SMALL LETTER IOTA WITH DASIA AND PERISPOMENI
        "\u1F38",  # ; GREEK CAPITAL LETTER IOTA WITH PSILI
        "\u1F39",  # ; GREEK CAPITAL LETTER IOTA WITH DASIA
        "\u1F3A",  # ; GREEK CAPITAL LETTER IOTA WITH PSILI AND VARIA
        "\u1F3B",  # ; GREEK CAPITAL LETTER IOTA WITH DASIA AND VARIA
        "\u1F3C",  # ; GREEK CAPITAL LETTER IOTA WITH PSILI AND OXIA
        "\u1F3D",  # ; GREEK CAPITAL LETTER IOTA WITH DASIA AND OXIA
        "\u1F3E",  # ; GREEK CAPITAL LETTER IOTA WITH PSILI AND PERISPOMENI
        "\u1F3F",  # ; GREEK CAPITAL LETTER IOTA WITH DASIA AND PERISPOMENI
        "\u1F40",  # ; GREEK SMALL LETTER OMICRON WITH PSILI
        "\u1F41",  # ; GREEK SMALL LETTER OMICRON WITH DASIA
        "\u1F42",  # ; GREEK SMALL LETTER OMICRON WITH PSILI AND VARIA
        "\u1F43",  # ; GREEK SMALL LETTER OMICRON WITH DASIA AND VARIA
        "\u1F44",  # ; GREEK SMALL LETTER OMICRON WITH PSILI AND OXIA
        "\u1F45",  # ; GREEK SMALL LETTER OMICRON WITH DASIA AND OXIA
        "\u1F48",  # ; GREEK CAPITAL LETTER OMICRON WITH PSILI
        "\u1F49",  # ; GREEK CAPITAL LETTER OMICRON WITH DASIA
        "\u1F4A",  # ; GREEK CAPITAL LETTER OMICRON WITH PSILI AND VARIA
        "\u1F4B",  # ; GREEK CAPITAL LETTER OMICRON WITH DASIA AND VARIA
        "\u1F4C",  # ; GREEK CAPITAL LETTER OMICRON WITH PSILI AND OXIA
        "\u1F4D",  # ; GREEK CAPITAL LETTER OMICRON WITH DASIA AND OXIA
        "\u1F50",  # ; GREEK SMALL LETTER UPSILON WITH PSILI
        "\u1F51",  # ; GREEK SMALL LETTER UPSILON WITH DASIA
        "\u1F52",  # ; GREEK SMALL LETTER UPSILON WITH PSILI AND VARIA
        "\u1F53",  # ; GREEK SMALL LETTER UPSILON WITH DASIA AND VARIA
        "\u1F54",  # ; GREEK SMALL LETTER UPSILON WITH PSILI AND OXIA
        "\u1F55",  # ; GREEK SMALL LETTER UPSILON WITH DASIA AND OXIA
        "\u1F56",  # ; GREEK SMALL LETTER UPSILON WITH PSILI AND PERISPOMENI
        "\u1F57",  # ; GREEK SMALL LETTER UPSILON WITH DASIA AND PERISPOMENI
        "\u1F59",  # ; GREEK CAPITAL LETTER UPSILON WITH DASIA
        "\u1F5B",  # ; GREEK CAPITAL LETTER UPSILON WITH DASIA AND VARIA
        "\u1F5D",  # ; GREEK CAPITAL LETTER UPSILON WITH DASIA AND OXIA
        "\u1F5F",  # ; GREEK CAPITAL LETTER UPSILON WITH DASIA AND PERISPOMENI
        "\u1F60",  # ; GREEK SMALL LETTER OMEGA WITH PSILI
        "\u1F61",  # ; GREEK SMALL LETTER OMEGA WITH DASIA
        "\u1F62",  # ; GREEK SMALL LETTER OMEGA WITH PSILI AND VARIA
        "\u1F63",  # ; GREEK SMALL LETTER OMEGA WITH DASIA AND VARIA
        "\u1F64",  # ; GREEK SMALL LETTER OMEGA WITH PSILI AND OXIA
        "\u1F65",  # ; GREEK SMALL LETTER OMEGA WITH DASIA AND OXIA
        "\u1F66",  # ; GREEK SMALL LETTER OMEGA WITH PSILI AND PERISPOMENI
        "\u1F67",  # ; GREEK SMALL LETTER OMEGA WITH DASIA AND PERISPOMENI
        "\u1F68",  # ; GREEK CAPITAL LETTER OMEGA WITH PSILI
        "\u1F69",  # ; GREEK CAPITAL LETTER OMEGA WITH DASIA
        "\u1F6A",  # ; GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA
        "\u1F6B",  # ; GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA
        "\u1F6C",  # ; GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA
        "\u1F6D",  # ; GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA
        "\u1F6E",  # ; GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI
        "\u1F6F",  # ; GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI
        "\u1F70",  # ; GREEK SMALL LETTER ALPHA WITH VARIA
        "\u1F71",  # ; GREEK SMALL LETTER ALPHA WITH OXIA
        "\u1F72",  # ; GREEK SMALL LETTER EPSILON WITH VARIA
        "\u1F73",  # ; GREEK SMALL LETTER EPSILON WITH OXIA
        "\u1F74",  # ; GREEK SMALL LETTER ETA WITH VARIA
        "\u1F75",  # ; GREEK SMALL LETTER ETA WITH OXIA
        "\u1F76",  # ; GREEK SMALL LETTER IOTA WITH VARIA
        "\u1F77",  # ; GREEK SMALL LETTER IOTA WITH OXIA
        "\u1F78",  # ; GREEK SMALL LETTER OMICRON WITH VARIA
        "\u1F79",  # ; GREEK SMALL LETTER OMICRON WITH OXIA
        "\u1F7A",  # ; GREEK SMALL LETTER UPSILON WITH VARIA
        "\u1F7B",  # ; GREEK SMALL LETTER UPSILON WITH OXIA
        "\u1F7C",  # ; GREEK SMALL LETTER OMEGA WITH VARIA
        "\u1F7D",  # ; GREEK SMALL LETTER OMEGA WITH OXIA
        "\u1F80",  # ; GREEK SMALL LETTER ALPHA WITH PSILI AND YPOGEGRAMMENI
        "\u1F81",  # ; GREEK SMALL LETTER ALPHA WITH DASIA AND YPOGEGRAMMENI
        "\u1F82",  # ; GREEK SMALL LETTER ALPHA WITH PSILI AND VARIA AND YPOGEGRAMMENI
        "\u1F83",  # ; GREEK SMALL LETTER ALPHA WITH DASIA AND VARIA AND YPOGEGRAMMENI
        "\u1F84",  # ; GREEK SMALL LETTER ALPHA WITH PSILI AND OXIA AND YPOGEGRAMMENI
        "\u1F85",  # ; GREEK SMALL LETTER ALPHA WITH DASIA AND OXIA AND YPOGEGRAMMENI
        "\u1F86",  # ; GREEK SMALL LETTER ALPHA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI
        "\u1F87",  # ; GREEK SMALL LETTER ALPHA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI
        "\u1F88",  # ; GREEK CAPITAL LETTER ALPHA WITH PSILI AND PROSGEGRAMMENI
        "\u1F89",  # ; GREEK CAPITAL LETTER ALPHA WITH DASIA AND PROSGEGRAMMENI
        "\u1F8A",  # ; GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA AND PROSGEGRAMMENI
        "\u1F8B",  # ; GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA AND PROSGEGRAMMENI
        "\u1F8C",  # ; GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA AND PROSGEGRAMMENI
        "\u1F8D",  # ; GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA AND PROSGEGRAMMENI
        "\u1F8E",  # ; GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI
        "\u1F8F",  # ; GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI
        "\u1F90",  # ; GREEK SMALL LETTER ETA WITH PSILI AND YPOGEGRAMMENI
        "\u1F91",  # ; GREEK SMALL LETTER ETA WITH DASIA AND YPOGEGRAMMENI
        "\u1F92",  # ; GREEK SMALL LETTER ETA WITH PSILI AND VARIA AND YPOGEGRAMMENI
        "\u1F93",  # ; GREEK SMALL LETTER ETA WITH DASIA AND VARIA AND YPOGEGRAMMENI
        "\u1F94",  # ; GREEK SMALL LETTER ETA WITH PSILI AND OXIA AND YPOGEGRAMMENI
        "\u1F95",  # ; GREEK SMALL LETTER ETA WITH DASIA AND OXIA AND YPOGEGRAMMENI
        "\u1F96",  # ; GREEK SMALL LETTER ETA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI
        "\u1F97",  # ; GREEK SMALL LETTER ETA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI
        "\u1F98",  # ; GREEK CAPITAL LETTER ETA WITH PSILI AND PROSGEGRAMMENI
        "\u1F99",  # ; GREEK CAPITAL LETTER ETA WITH DASIA AND PROSGEGRAMMENI
        "\u1F9A",  # ; GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI
        "\u1F9B",  # ; GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI
        "\u1F9C",  # ; GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI
        "\u1F9D",  # ; GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI
        "\u1F9E",  # ; GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI
        "\u1F9F",  # ; GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI
        "\u1FA0",  # ; GREEK SMALL LETTER OMEGA WITH PSILI AND YPOGEGRAMMENI
        "\u1FA1",  # ; GREEK SMALL LETTER OMEGA WITH DASIA AND YPOGEGRAMMENI
        "\u1FA2",  # ; GREEK SMALL LETTER OMEGA WITH PSILI AND VARIA AND YPOGEGRAMMENI
        "\u1FA3",  # ; GREEK SMALL LETTER OMEGA WITH DASIA AND VARIA AND YPOGEGRAMMENI
        "\u1FA4",  # ; GREEK SMALL LETTER OMEGA WITH PSILI AND OXIA AND YPOGEGRAMMENI
        "\u1FA5",  # ; GREEK SMALL LETTER OMEGA WITH DASIA AND OXIA AND YPOGEGRAMMENI
        "\u1FA6",  # ; GREEK SMALL LETTER OMEGA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI
        "\u1FA7",  # ; GREEK SMALL LETTER OMEGA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI
        "\u1FA8",  # ; GREEK CAPITAL LETTER OMEGA WITH PSILI AND PROSGEGRAMMENI
        "\u1FA9",  # ; GREEK CAPITAL LETTER OMEGA WITH DASIA AND PROSGEGRAMMENI
        "\u1FAA",  # ; GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA AND PROSGEGRAMMENI
        "\u1FAB",  # ; GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA AND PROSGEGRAMMENI
        "\u1FAC",  # ; GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA AND PROSGEGRAMMENI
        "\u1FAD",  # ; GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA AND PROSGEGRAMMENI
        "\u1FAE",  # ; GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI
        "\u1FAF",  # ; GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI
        "\u1FB0",  # ; GREEK SMALL LETTER ALPHA WITH VRACHY
        "\u1FB1",  # ; GREEK SMALL LETTER ALPHA WITH MACRON
        "\u1FB2",  # ; GREEK SMALL LETTER ALPHA WITH VARIA AND YPOGEGRAMMENI
        "\u1FB3",  # ; GREEK SMALL LETTER ALPHA WITH YPOGEGRAMMENI
        "\u1FB4",  # ; GREEK SMALL LETTER ALPHA WITH OXIA AND YPOGEGRAMMENI
        "\u1FB6",  # ; GREEK SMALL LETTER ALPHA WITH PERISPOMENI
        "\u1FB7",  # ; GREEK SMALL LETTER ALPHA WITH PERISPOMENI AND YPOGEGRAMMENI
        "\u1FB8",  # ; GREEK CAPITAL LETTER ALPHA WITH VRACHY
        "\u1FB9",  # ; GREEK CAPITAL LETTER ALPHA WITH MACRON
        "\u1FBA",  # ; GREEK CAPITAL LETTER ALPHA WITH VARIA
        "\u1FBB",  # ; GREEK CAPITAL LETTER ALPHA WITH OXIA
        "\u1FBC",  # ; GREEK CAPITAL LETTER ALPHA WITH PROSGEGRAMMENI
        "\u1FBD",  # ; GREEK KORONIS
        "\u1FBE",  # ; GREEK PROSGEGRAMMENI
        "\u1FBF",  # ; GREEK PSILI
        "\u1FC0",  # ; GREEK PERISPOMENI
        "\u1FC1",  # ; GREEK DIALYTIKA AND PERISPOMENI
        "\u1FC2",  # ; GREEK SMALL LETTER ETA WITH VARIA AND YPOGEGRAMMENI
        "\u1FC3",  # ; GREEK SMALL LETTER ETA WITH YPOGEGRAMMENI
        "\u1FC4",  # ; GREEK SMALL LETTER ETA WITH OXIA AND YPOGEGRAMMENI
        "\u1FC6",  # ; GREEK SMALL LETTER ETA WITH PERISPOMENI
        "\u1FC7",  # ; GREEK SMALL LETTER ETA WITH PERISPOMENI AND YPOGEGRAMMENI
        "\u1FC8",  # ; GREEK CAPITAL LETTER EPSILON WITH VARIA
        "\u1FC9",  # ; GREEK CAPITAL LETTER EPSILON WITH OXIA
        "\u1FCA",  # ; GREEK CAPITAL LETTER ETA WITH VARIA
        "\u1FCB",  # ; GREEK CAPITAL LETTER ETA WITH OXIA
        "\u1FCC",  # ; GREEK CAPITAL LETTER ETA WITH PROSGEGRAMMENI
        "\u1FCD",  # ; GREEK PSILI AND VARIA
        "\u1FCE",  # ; GREEK PSILI AND OXIA
        "\u1FCF",  # ; GREEK PSILI AND PERISPOMENI
        "\u1FD0",  # ; GREEK SMALL LETTER IOTA WITH VRACHY
        "\u1FD1",  # ; GREEK SMALL LETTER IOTA WITH MACRON
        "\u1FD2",  # ; GREEK SMALL LETTER IOTA WITH DIALYTIKA AND VARIA
        "\u1FD3",  # ; GREEK SMALL LETTER IOTA WITH DIALYTIKA AND OXIA
        "\u1FD6",  # ; GREEK SMALL LETTER IOTA WITH PERISPOMENI
        "\u1FD7",  # ; GREEK SMALL LETTER IOTA WITH DIALYTIKA AND PERISPOMENI
        "\u1FD8",  # ; GREEK CAPITAL LETTER IOTA WITH VRACHY
        "\u1FD9",  # ; GREEK CAPITAL LETTER IOTA WITH MACRON
        "\u1FDA",  # ; GREEK CAPITAL LETTER IOTA WITH VARIA
        "\u1FDB",  # ; GREEK CAPITAL LETTER IOTA WITH OXIA
        "\u1FDD",  # ; GREEK DASIA AND VARIA
        "\u1FDE",  # ; GREEK DASIA AND OXIA
        "\u1FDF",  # ; GREEK DASIA AND PERISPOMENI
        "\u1FE0",  # ; GREEK SMALL LETTER UPSILON WITH VRACHY
        "\u1FE1",  # ; GREEK SMALL LETTER UPSILON WITH MACRON
        "\u1FE2",  # ; GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND VARIA
        "\u1FE3",  # ; GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND OXIA
        "\u1FE4",  # ; GREEK SMALL LETTER RHO WITH PSILI
        "\u1FE5",  # ; GREEK SMALL LETTER RHO WITH DASIA
        "\u1FE6",  # ; GREEK SMALL LETTER UPSILON WITH PERISPOMENI
        "\u1FE7",  # ; GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND PERISPOMENI
        "\u1FE8",  # ; GREEK CAPITAL LETTER UPSILON WITH VRACHY
        "\u1FE9",  # ; GREEK CAPITAL LETTER UPSILON WITH MACRON
        "\u1FEA",  # ; GREEK CAPITAL LETTER UPSILON WITH VARIA
        "\u1FEB",  # ; GREEK CAPITAL LETTER UPSILON WITH OXIA
        "\u1FEC",  # ; GREEK CAPITAL LETTER RHO WITH DASIA
        "\u1FED",  # ; GREEK DIALYTIKA AND VARIA
        "\u1FEE",  # ; GREEK DIALYTIKA AND OXIA
        "\u1FEF",  # ; GREEK VARIA
        "\u1FF2",  # ; GREEK SMALL LETTER OMEGA WITH VARIA AND YPOGEGRAMMENI
        "\u1FF3",  # ; GREEK SMALL LETTER OMEGA WITH YPOGEGRAMMENI
        "\u1FF4",  # ; GREEK SMALL LETTER OMEGA WITH OXIA AND YPOGEGRAMMENI
        "\u1FF6",  # ; GREEK SMALL LETTER OMEGA WITH PERISPOMENI
        "\u1FF7",  # ; GREEK SMALL LETTER OMEGA WITH PERISPOMENI AND YPOGEGRAMMENI
        "\u1FF8",  # ; GREEK CAPITAL LETTER OMICRON WITH VARIA
        "\u1FF9",  # ; GREEK CAPITAL LETTER OMICRON WITH OXIA
        "\u1FFA",  # ; GREEK CAPITAL LETTER OMEGA WITH VARIA
        "\u1FFB",  # ; GREEK CAPITAL LETTER OMEGA WITH OXIA
        "\u1FFC",  # ; GREEK CAPITAL LETTER OMEGA WITH PROSGEGRAMMENI
        "\u1FFD",  # ; GREEK OXIA
        "\u1FFE",  # ; GREEK DASIA
        "\u2000",  # ; EN QUAD
        "\u2001",  # ; EM QUAD
        "\u2002",  # ; EN SPACE
        "\u2003",  # ; EM SPACE
        "\u2004",  # ; THREE-PER-EM SPACE
        "\u2005",  # ; FOUR-PER-EM SPACE
        "\u2006",  # ; SIX-PER-EM SPACE
        "\u2007",  # ; FIGURE SPACE
        "\u2008",  # ; PUNCTUATION SPACE
        "\u2009",  # ; THIN SPACE
        "\u200A",  # ; HAIR SPACE
        "\u200B",  # ; ZERO WIDTH SPACE
        "\u200C",  # ; ZERO WIDTH NON-JOINER
        "\u200D",  # ; ZERO WIDTH JOINER
        "\u200E",  # ; LEFT-TO-RIGHT MARK
        "\u200F",  # ; RIGHT-TO-LEFT MARK
        "\u2010",  # ; HYPHEN
        "\u2011",  # ; NON-BREAKING HYPHEN
        "\u2012",  # ; FIGURE DASH
        "\u2013",  # ; EN DASH
        "\u2014",  # ; EM DASH
        "\u2015",  # ; HORIZONTAL BAR
        "\u2016",  # ; DOUBLE VERTICAL LINE
        "\u2017",  # ; DOUBLE LOW LINE
        "\u2018",  # ; LEFT SINGLE QUOTATION MARK
        "\u2019",  # ; RIGHT SINGLE QUOTATION MARK
        "\u201A",  # ; SINGLE LOW-9 QUOTATION MARK
        "\u201B",  # ; SINGLE HIGH-REVERSED-9 QUOTATION MARK
        "\u201C",  # ; LEFT DOUBLE QUOTATION MARK
        "\u201D",  # ; RIGHT DOUBLE QUOTATION MARK
        "\u201E",  # ; DOUBLE LOW-9 QUOTATION MARK
        "\u201F",  # ; DOUBLE HIGH-REVERSED-9 QUOTATION MARK
        "\u2020",  # ; DAGGER
        "\u2021",  # ; DOUBLE DAGGER
        "\u2022",  # ; BULLET
        "\u2023",  # ; TRIANGULAR BULLET
        "\u2024",  # ; ONE DOT LEADER
        "\u2025",  # ; TWO DOT LEADER
        "\u2026",  # ; HORIZONTAL ELLIPSIS
        "\u2027",  # ; HYPHENATION POINT
        "\u2028",  # ; LINE SEPARATOR
        "\u2029",  # ; PARAGRAPH SEPARATOR
        "\u202A",  # ; LEFT-TO-RIGHT EMBEDDING
        "\u202B",  # ; RIGHT-TO-LEFT EMBEDDING
        "\u202C",  # ; POP DIRECTIONAL FORMATTING
        "\u202D",  # ; LEFT-TO-RIGHT OVERRIDE
        "\u202E",  # ; RIGHT-TO-LEFT OVERRIDE
        "\u202F",  # ; NARROW NO-BREAK SPACE
        "\u2030",  # ; PER MILLE SIGN
        "\u2031",  # ; PER TEN THOUSAND SIGN
        "\u2032",  # ; PRIME
        "\u2033",  # ; DOUBLE PRIME
        "\u2034",  # ; TRIPLE PRIME
        "\u2035",  # ; REVERSED PRIME
        "\u2036",  # ; REVERSED DOUBLE PRIME
        "\u2037",  # ; REVERSED TRIPLE PRIME
        "\u2038",  # ; CARET
        "\u2039",  # ; SINGLE LEFT-POINTING ANGLE QUOTATION MARK
        "\u203A",  # ; SINGLE RIGHT-POINTING ANGLE QUOTATION MARK
        "\u203B",  # ; REFERENCE MARK
        "\u203C",  # ; DOUBLE EXCLAMATION MARK
        "\u203D",  # ; INTERROBANG
        "\u203E",  # ; OVERLINE
        "\u203F",  # ; UNDERTIE
        "\u2040",  # ; CHARACTER TIE
        "\u2041",  # ; CARET INSERTION POINT
        "\u2042",  # ; ASTERISM
        "\u2043",  # ; HYPHEN BULLET
        "\u2044",  # ; FRACTION SLASH
        "\u2045",  # ; LEFT SQUARE BRACKET WITH QUILL
        "\u2046",  # ; RIGHT SQUARE BRACKET WITH QUILL
        "\u2047",  # ; DOUBLE QUESTION MARK
        "\u2048",  # ; QUESTION EXCLAMATION MARK
        "\u2049",  # ; EXCLAMATION QUESTION MARK
        "\u204A",  # ; TIRONIAN SIGN ET
        "\u204B",  # ; REVERSED PILCROW SIGN
        "\u204C",  # ; BLACK LEFTWARDS BULLET
        "\u204D",  # ; BLACK RIGHTWARDS BULLET
        "\u204E",  # ; LOW ASTERISK
        "\u204F",  # ; REVERSED SEMICOLON
        "\u2050",  # ; CLOSE UP
        "\u2051",  # ; TWO ASTERISKS ALIGNED VERTICALLY
        "\u2052",  # ; COMMERCIAL MINUS SIGN
        "\u2053",  # ; SWUNG DASH
        "\u2054",  # ; INVERTED UNDERTIE
        "\u2055",  # ; FLOWER PUNCTUATION MARK
        "\u2056",  # ; THREE DOT PUNCTUATION
        "\u2057",  # ; QUADRUPLE PRIME
        "\u2058",  # ; FOUR DOT PUNCTUATION
        "\u2059",  # ; FIVE DOT PUNCTUATION
        "\u205A",  # ; TWO DOT PUNCTUATION
        "\u205B",  # ; FOUR DOT MARK
        "\u205C",  # ; DOTTED CROSS
        "\u205D",  # ; TRICOLON
        "\u205E",  # ; VERTICAL FOUR DOTS
        "\u205F",  # ; MEDIUM MATHEMATICAL SPACE
        "\u2060",  # ; WORD JOINER
        "\u2061",  # ; FUNCTION APPLICATION
        "\u2062",  # ; INVISIBLE TIMES
        "\u2063",  # ; INVISIBLE SEPARATOR
        "\u2064",  # ; INVISIBLE PLUS
        "\u2066",  # ; LEFT-TO-RIGHT ISOLATE
        "\u2067",  # ; RIGHT-TO-LEFT ISOLATE
        "\u2068",  # ; FIRST STRONG ISOLATE
        "\u2069",  # ; POP DIRECTIONAL ISOLATE
        "\u206A",  # ; INHIBIT SYMMETRIC SWAPPING
        "\u206B",  # ; ACTIVATE SYMMETRIC SWAPPING
        "\u206C",  # ; INHIBIT ARABIC FORM SHAPING
        "\u206D",  # ; ACTIVATE ARABIC FORM SHAPING
        "\u206E",  # ; NATIONAL DIGIT SHAPES
        "\u206F",  # ; NOMINAL DIGIT SHAPES
        "\u2070",  # ; SUPERSCRIPT ZERO
        "\u2071",  # ; SUPERSCRIPT LATIN SMALL LETTER I
        "\u2074",  # ; SUPERSCRIPT FOUR
        "\u2075",  # ; SUPERSCRIPT FIVE
        "\u2076",  # ; SUPERSCRIPT SIX
        "\u2077",  # ; SUPERSCRIPT SEVEN
        "\u2078",  # ; SUPERSCRIPT EIGHT
        "\u2079",  # ; SUPERSCRIPT NINE
        "\u207A",  # ; SUPERSCRIPT PLUS SIGN
        "\u207B",  # ; SUPERSCRIPT MINUS
        "\u207C",  # ; SUPERSCRIPT EQUALS SIGN
        "\u207D",  # ; SUPERSCRIPT LEFT PARENTHESIS
        "\u207E",  # ; SUPERSCRIPT RIGHT PARENTHESIS
        "\u207F",  # ; SUPERSCRIPT LATIN SMALL LETTER N
        "\u2080",  # ; SUBSCRIPT ZERO
        "\u2081",  # ; SUBSCRIPT ONE
        "\u2082",  # ; SUBSCRIPT TWO
        "\u2083",  # ; SUBSCRIPT THREE
        "\u2084",  # ; SUBSCRIPT FOUR
        "\u2085",  # ; SUBSCRIPT FIVE
        "\u2086",  # ; SUBSCRIPT SIX
        "\u2087",  # ; SUBSCRIPT SEVEN
        "\u2088",  # ; SUBSCRIPT EIGHT
        "\u2089",  # ; SUBSCRIPT NINE
        "\u208A",  # ; SUBSCRIPT PLUS SIGN
        "\u208B",  # ; SUBSCRIPT MINUS
        "\u208C",  # ; SUBSCRIPT EQUALS SIGN
        "\u208D",  # ; SUBSCRIPT LEFT PARENTHESIS
        "\u208E",  # ; SUBSCRIPT RIGHT PARENTHESIS
        "\u2090",  # ; LATIN SUBSCRIPT SMALL LETTER A
        "\u2091",  # ; LATIN SUBSCRIPT SMALL LETTER E
        "\u2092",  # ; LATIN SUBSCRIPT SMALL LETTER O
        "\u2093",  # ; LATIN SUBSCRIPT SMALL LETTER X
        "\u2094",  # ; LATIN SUBSCRIPT SMALL LETTER SCHWA
        "\u2095",  # ; LATIN SUBSCRIPT SMALL LETTER H
        "\u2096",  # ; LATIN SUBSCRIPT SMALL LETTER K
        "\u2097",  # ; LATIN SUBSCRIPT SMALL LETTER L
        "\u2098",  # ; LATIN SUBSCRIPT SMALL LETTER M
        "\u2099",  # ; LATIN SUBSCRIPT SMALL LETTER N
        "\u209A",  # ; LATIN SUBSCRIPT SMALL LETTER P
        "\u209B",  # ; LATIN SUBSCRIPT SMALL LETTER S
        "\u209C",  # ; LATIN SUBSCRIPT SMALL LETTER T
        "\u20A0",  # ; EURO-CURRENCY SIGN
        "\u20A1",  # ; COLON SIGN
        "\u20A2",  # ; CRUZEIRO SIGN
        "\u20A3",  # ; FRENCH FRANC SIGN
        "\u20A4",  # ; LIRA SIGN
        "\u20A5",  # ; MILL SIGN
        "\u20A6",  # ; NAIRA SIGN
        "\u20A7",  # ; PESETA SIGN
        "\u20A8",  # ; RUPEE SIGN
        "\u20A9",  # ; WON SIGN
        "\u20AA",  # ; NEW SHEQEL SIGN
        "\u20AB",  # ; DONG SIGN
        "\u20AC",  # ; EURO SIGN
        "\u20AD",  # ; KIP SIGN
        "\u20AE",  # ; TUGRIK SIGN
        "\u20AF",  # ; DRACHMA SIGN
        "\u20B0",  # ; GERMAN PENNY SIGN
        "\u20B1",  # ; PESO SIGN
        "\u20B2",  # ; GUARANI SIGN
        "\u20B3",  # ; AUSTRAL SIGN
        "\u20B4",  # ; HRYVNIA SIGN
        "\u20B5",  # ; CEDI SIGN
        "\u20B6",  # ; LIVRE TOURNOIS SIGN
        "\u20B7",  # ; SPESMILO SIGN
        "\u20B8",  # ; TENGE SIGN
        "\u20B9",  # ; INDIAN RUPEE SIGN
        "\u20BA",  # ; TURKISH LIRA SIGN
        "\u20BB",  # ; NORDIC MARK SIGN
        "\u20BC",  # ; MANAT SIGN
        "\u20BD",  # ; RUBLE SIGN
        "\u20BE",  # ; LARI SIGN
        "\u20BF",  # ; BITCOIN SIGN
        "\u20D0",  # ; COMBINING LEFT HARPOON ABOVE
        "\u20D1",  # ; COMBINING RIGHT HARPOON ABOVE
        "\u20D2",  # ; COMBINING LONG VERTICAL LINE OVERLAY
        "\u20D3",  # ; COMBINING SHORT VERTICAL LINE OVERLAY
        "\u20D4",  # ; COMBINING ANTICLOCKWISE ARROW ABOVE
        "\u20D5",  # ; COMBINING CLOCKWISE ARROW ABOVE
        "\u20D6",  # ; COMBINING LEFT ARROW ABOVE
        "\u20D7",  # ; COMBINING RIGHT ARROW ABOVE
        "\u20D8",  # ; COMBINING RING OVERLAY
        "\u20D9",  # ; COMBINING CLOCKWISE RING OVERLAY
        "\u20DA",  # ; COMBINING ANTICLOCKWISE RING OVERLAY
        "\u20DB",  # ; COMBINING THREE DOTS ABOVE
        "\u20DC",  # ; COMBINING FOUR DOTS ABOVE
        "\u20DD",  # ; COMBINING ENCLOSING CIRCLE
        "\u20DE",  # ; COMBINING ENCLOSING SQUARE
        "\u20DF",  # ; COMBINING ENCLOSING DIAMOND
        "\u20E0",  # ; COMBINING ENCLOSING CIRCLE BACKSLASH
        "\u20E1",  # ; COMBINING LEFT RIGHT ARROW ABOVE
        "\u20E2",  # ; COMBINING ENCLOSING SCREEN
        "\u20E3",  # ; COMBINING ENCLOSING KEYCAP
        "\u20E4",  # ; COMBINING ENCLOSING UPWARD POINTING TRIANGLE
        "\u20E5",  # ; COMBINING REVERSE SOLIDUS OVERLAY
        "\u20E6",  # ; COMBINING DOUBLE VERTICAL STROKE OVERLAY
        "\u20E7",  # ; COMBINING ANNUITY SYMBOL
        "\u20E8",  # ; COMBINING TRIPLE UNDERDOT
        "\u20E9",  # ; COMBINING WIDE BRIDGE ABOVE
        "\u20EA",  # ; COMBINING LEFTWARDS ARROW OVERLAY
        "\u20EB",  # ; COMBINING LONG DOUBLE SOLIDUS OVERLAY
        "\u20EC",  # ; COMBINING RIGHTWARDS HARPOON WITH BARB DOWNWARDS
        "\u20ED",  # ; COMBINING LEFTWARDS HARPOON WITH BARB DOWNWARDS
        "\u20EE",  # ; COMBINING LEFT ARROW BELOW
        "\u20EF",  # ; COMBINING RIGHT ARROW BELOW
        "\u20F0",  # ; COMBINING ASTERISK ABOVE
        "\u2100",  # ; ACCOUNT OF
        "\u2101",  # ; ADDRESSED TO THE SUBJECT
        "\u2102",  # ; DOUBLE-STRUCK CAPITAL C
        "\u2103",  # ; DEGREE CELSIUS
        "\u2104",  # ; CENTRE LINE SYMBOL
        "\u2105",  # ; CARE OF
        "\u2106",  # ; CADA UNA
        "\u2107",  # ; EULER CONSTANT
        "\u2108",  # ; SCRUPLE
        "\u2109",  # ; DEGREE FAHRENHEIT
        "\u210A",  # ; SCRIPT SMALL G
        "\u210B",  # ; SCRIPT CAPITAL H
        "\u210C",  # ; BLACK-LETTER CAPITAL H
        "\u210D",  # ; DOUBLE-STRUCK CAPITAL H
        "\u210E",  # ; PLANCK CONSTANT
        "\u210F",  # ; PLANCK CONSTANT OVER TWO PI
        "\u2110",  # ; SCRIPT CAPITAL I
        "\u2111",  # ; BLACK-LETTER CAPITAL I
        "\u2112",  # ; SCRIPT CAPITAL L
        "\u2113",  # ; SCRIPT SMALL L
        "\u2114",  # ; L B BAR SYMBOL
        "\u2115",  # ; DOUBLE-STRUCK CAPITAL N
        "\u2116",  # ; NUMERO SIGN
        "\u2117",  # ; SOUND RECORDING COPYRIGHT
        "\u2118",  # ; SCRIPT CAPITAL P
        "\u2119",  # ; DOUBLE-STRUCK CAPITAL P
        "\u211A",  # ; DOUBLE-STRUCK CAPITAL Q
        "\u211B",  # ; SCRIPT CAPITAL R
        "\u211C",  # ; BLACK-LETTER CAPITAL R
        "\u211D",  # ; DOUBLE-STRUCK CAPITAL R
        "\u211E",  # ; PRESCRIPTION TAKE
        "\u211F",  # ; RESPONSE
        "\u2120",  # ; SERVICE MARK
        "\u2121",  # ; TELEPHONE SIGN
        "\u2122",  # ; TRADE MARK SIGN
        "\u2123",  # ; VERSICLE
        "\u2124",  # ; DOUBLE-STRUCK CAPITAL Z
        "\u2125",  # ; OUNCE SIGN
        "\u2126",  # ; OHM SIGN
        "\u2127",  # ; INVERTED OHM SIGN
        "\u2128",  # ; BLACK-LETTER CAPITAL Z
        "\u2129",  # ; TURNED GREEK SMALL LETTER IOTA
        "\u212A",  # ; KELVIN SIGN
        "\u212B",  # ; ANGSTROM SIGN
        "\u212C",  # ; SCRIPT CAPITAL B
        "\u212D",  # ; BLACK-LETTER CAPITAL C
        "\u212E",  # ; ESTIMATED SYMBOL
        "\u212F",  # ; SCRIPT SMALL E
        "\u2130",  # ; SCRIPT CAPITAL E
        "\u2131",  # ; SCRIPT CAPITAL F
        "\u2132",  # ; TURNED CAPITAL F
        "\u2133",  # ; SCRIPT CAPITAL M
        "\u2134",  # ; SCRIPT SMALL O
        "\u2135",  # ; ALEF SYMBOL
        "\u2136",  # ; BET SYMBOL
        "\u2137",  # ; GIMEL SYMBOL
        "\u2138",  # ; DALET SYMBOL
        "\u2139",  # ; INFORMATION SOURCE
        "\u213A",  # ; ROTATED CAPITAL Q
        "\u213B",  # ; FACSIMILE SIGN
        "\u213C",  # ; DOUBLE-STRUCK SMALL PI
        "\u213D",  # ; DOUBLE-STRUCK SMALL GAMMA
        "\u213E",  # ; DOUBLE-STRUCK CAPITAL GAMMA
        "\u213F",  # ; DOUBLE-STRUCK CAPITAL PI
        "\u2140",  # ; DOUBLE-STRUCK N-ARY SUMMATION
        "\u2141",  # ; TURNED SANS-SERIF CAPITAL G
        "\u2142",  # ; TURNED SANS-SERIF CAPITAL L
        "\u2143",  # ; REVERSED SANS-SERIF CAPITAL L
        "\u2144",  # ; TURNED SANS-SERIF CAPITAL Y
        "\u2145",  # ; DOUBLE-STRUCK ITALIC CAPITAL D
        "\u2146",  # ; DOUBLE-STRUCK ITALIC SMALL D
        "\u2147",  # ; DOUBLE-STRUCK ITALIC SMALL E
        "\u2148",  # ; DOUBLE-STRUCK ITALIC SMALL I
        "\u2149",  # ; DOUBLE-STRUCK ITALIC SMALL J
        "\u214A",  # ; PROPERTY LINE
        "\u214B",  # ; TURNED AMPERSAND
        "\u214C",  # ; PER SIGN
        "\u214D",  # ; AKTIESELSKAB
        "\u214E",  # ; TURNED SMALL F
        "\u214F",  # ; SYMBOL FOR SAMARITAN SOURCE
        "\u2150",  # ; VULGAR FRACTION ONE SEVENTH
        "\u2151",  # ; VULGAR FRACTION ONE NINTH
        "\u2152",  # ; VULGAR FRACTION ONE TENTH
        "\u2153",  # ; VULGAR FRACTION ONE THIRD
        "\u2154",  # ; VULGAR FRACTION TWO THIRDS
        "\u2155",  # ; VULGAR FRACTION ONE FIFTH
        "\u2156",  # ; VULGAR FRACTION TWO FIFTHS
        "\u2157",  # ; VULGAR FRACTION THREE FIFTHS
        "\u2158",  # ; VULGAR FRACTION FOUR FIFTHS
        "\u2159",  # ; VULGAR FRACTION ONE SIXTH
        "\u215A",  # ; VULGAR FRACTION FIVE SIXTHS
        "\u215B",  # ; VULGAR FRACTION ONE EIGHTH
        "\u215C",  # ; VULGAR FRACTION THREE EIGHTHS
        "\u215D",  # ; VULGAR FRACTION FIVE EIGHTHS
        "\u215E",  # ; VULGAR FRACTION SEVEN EIGHTHS
        "\u215F",  # ; FRACTION NUMERATOR ONE
        "\u2160",  # ; ROMAN NUMERAL ONE
        "\u2161",  # ; ROMAN NUMERAL TWO
        "\u2162",  # ; ROMAN NUMERAL THREE
        "\u2163",  # ; ROMAN NUMERAL FOUR
        "\u2164",  # ; ROMAN NUMERAL FIVE
        "\u2165",  # ; ROMAN NUMERAL SIX
        "\u2166",  # ; ROMAN NUMERAL SEVEN
        "\u2167",  # ; ROMAN NUMERAL EIGHT
        "\u2168",  # ; ROMAN NUMERAL NINE
        "\u2169",  # ; ROMAN NUMERAL TEN
        "\u216A",  # ; ROMAN NUMERAL ELEVEN
        "\u216B",  # ; ROMAN NUMERAL TWELVE
        "\u216C",  # ; ROMAN NUMERAL FIFTY
        "\u216D",  # ; ROMAN NUMERAL ONE HUNDRED
        "\u216E",  # ; ROMAN NUMERAL FIVE HUNDRED
        "\u216F",  # ; ROMAN NUMERAL ONE THOUSAND
        "\u2170",  # ; SMALL ROMAN NUMERAL ONE
        "\u2171",  # ; SMALL ROMAN NUMERAL TWO
        "\u2172",  # ; SMALL ROMAN NUMERAL THREE
        "\u2173",  # ; SMALL ROMAN NUMERAL FOUR
        "\u2174",  # ; SMALL ROMAN NUMERAL FIVE
        "\u2175",  # ; SMALL ROMAN NUMERAL SIX
        "\u2176",  # ; SMALL ROMAN NUMERAL SEVEN
        "\u2177",  # ; SMALL ROMAN NUMERAL EIGHT
        "\u2178",  # ; SMALL ROMAN NUMERAL NINE
        "\u2179",  # ; SMALL ROMAN NUMERAL TEN
        "\u217A",  # ; SMALL ROMAN NUMERAL ELEVEN
        "\u217B",  # ; SMALL ROMAN NUMERAL TWELVE
        "\u217C",  # ; SMALL ROMAN NUMERAL FIFTY
        "\u217D",  # ; SMALL ROMAN NUMERAL ONE HUNDRED
        "\u217E",  # ; SMALL ROMAN NUMERAL FIVE HUNDRED
        "\u217F",  # ; SMALL ROMAN NUMERAL ONE THOUSAND
        "\u2180",  # ; ROMAN NUMERAL ONE THOUSAND C D
        "\u2181",  # ; ROMAN NUMERAL FIVE THOUSAND
        "\u2182",  # ; ROMAN NUMERAL TEN THOUSAND
        "\u2183",  # ; ROMAN NUMERAL REVERSED ONE HUNDRED
        "\u2184",  # ; LATIN SMALL LETTER REVERSED C
        "\u2185",  # ; ROMAN NUMERAL SIX LATE FORM
        "\u2186",  # ; ROMAN NUMERAL FIFTY EARLY FORM
        "\u2187",  # ; ROMAN NUMERAL FIFTY THOUSAND
        "\u2188",  # ; ROMAN NUMERAL ONE HUNDRED THOUSAND
        "\u2189",  # ; VULGAR FRACTION ZERO THIRDS
        "\u218A",  # ; TURNED DIGIT TWO
        "\u218B",  # ; TURNED DIGIT THREE
        "\u2190",  # ; LEFTWARDS ARROW
        "\u2191",  # ; UPWARDS ARROW
        "\u2192",  # ; RIGHTWARDS ARROW
        "\u2193",  # ; DOWNWARDS ARROW
        "\u2194",  # ; LEFT RIGHT ARROW
        "\u2195",  # ; UP DOWN ARROW
        "\u2196",  # ; NORTH WEST ARROW
        "\u2197",  # ; NORTH EAST ARROW
        "\u2198",  # ; SOUTH EAST ARROW
        "\u2199",  # ; SOUTH WEST ARROW
        "\u219A",  # ; LEFTWARDS ARROW WITH STROKE
        "\u219B",  # ; RIGHTWARDS ARROW WITH STROKE
        "\u219C",  # ; LEFTWARDS WAVE ARROW
        "\u219D",  # ; RIGHTWARDS WAVE ARROW
        "\u219E",  # ; LEFTWARDS TWO HEADED ARROW
        "\u219F",  # ; UPWARDS TWO HEADED ARROW
        "\u21A0",  # ; RIGHTWARDS TWO HEADED ARROW
        "\u21A1",  # ; DOWNWARDS TWO HEADED ARROW
        "\u21A2",  # ; LEFTWARDS ARROW WITH TAIL
        "\u21A3",  # ; RIGHTWARDS ARROW WITH TAIL
        "\u21A4",  # ; LEFTWARDS ARROW FROM BAR
        "\u21A5",  # ; UPWARDS ARROW FROM BAR
        "\u21A6",  # ; RIGHTWARDS ARROW FROM BAR
        "\u21A7",  # ; DOWNWARDS ARROW FROM BAR
        "\u21A8",  # ; UP DOWN ARROW WITH BASE
        "\u21A9",  # ; LEFTWARDS ARROW WITH HOOK
        "\u21AA",  # ; RIGHTWARDS ARROW WITH HOOK
        "\u21AB",  # ; LEFTWARDS ARROW WITH LOOP
        "\u21AC",  # ; RIGHTWARDS ARROW WITH LOOP
        "\u21AD",  # ; LEFT RIGHT WAVE ARROW
        "\u21AE",  # ; LEFT RIGHT ARROW WITH STROKE
        "\u21AF",  # ; DOWNWARDS ZIGZAG ARROW
        "\u21B0",  # ; UPWARDS ARROW WITH TIP LEFTWARDS
        "\u21B1",  # ; UPWARDS ARROW WITH TIP RIGHTWARDS
        "\u21B2",  # ; DOWNWARDS ARROW WITH TIP LEFTWARDS
        "\u21B3",  # ; DOWNWARDS ARROW WITH TIP RIGHTWARDS
        "\u21B4",  # ; RIGHTWARDS ARROW WITH CORNER DOWNWARDS
        "\u21B5",  # ; DOWNWARDS ARROW WITH CORNER LEFTWARDS
        "\u21B6",  # ; ANTICLOCKWISE TOP SEMICIRCLE ARROW
        "\u21B7",  # ; CLOCKWISE TOP SEMICIRCLE ARROW
        "\u21B8",  # ; NORTH WEST ARROW TO LONG BAR
        "\u21B9",  # ; LEFTWARDS ARROW TO BAR OVER RIGHTWARDS ARROW TO BAR
        "\u21BA",  # ; ANTICLOCKWISE OPEN CIRCLE ARROW
        "\u21BB",  # ; CLOCKWISE OPEN CIRCLE ARROW
        "\u21BC",  # ; LEFTWARDS HARPOON WITH BARB UPWARDS
        "\u21BD",  # ; LEFTWARDS HARPOON WITH BARB DOWNWARDS
        "\u21BE",  # ; UPWARDS HARPOON WITH BARB RIGHTWARDS
        "\u21BF",  # ; UPWARDS HARPOON WITH BARB LEFTWARDS
        "\u21C0",  # ; RIGHTWARDS HARPOON WITH BARB UPWARDS
        "\u21C1",  # ; RIGHTWARDS HARPOON WITH BARB DOWNWARDS
        "\u21C2",  # ; DOWNWARDS HARPOON WITH BARB RIGHTWARDS
        "\u21C3",  # ; DOWNWARDS HARPOON WITH BARB LEFTWARDS
        "\u21C4",  # ; RIGHTWARDS ARROW OVER LEFTWARDS ARROW
        "\u21C5",  # ; UPWARDS ARROW LEFTWARDS OF DOWNWARDS ARROW
        "\u21C6",  # ; LEFTWARDS ARROW OVER RIGHTWARDS ARROW
        "\u21C7",  # ; LEFTWARDS PAIRED ARROWS
        "\u21C8",  # ; UPWARDS PAIRED ARROWS
        "\u21C9",  # ; RIGHTWARDS PAIRED ARROWS
        "\u21CA",  # ; DOWNWARDS PAIRED ARROWS
        "\u21CB",  # ; LEFTWARDS HARPOON OVER RIGHTWARDS HARPOON
        "\u21CC",  # ; RIGHTWARDS HARPOON OVER LEFTWARDS HARPOON
        "\u21CD",  # ; LEFTWARDS DOUBLE ARROW WITH STROKE
        "\u21CE",  # ; LEFT RIGHT DOUBLE ARROW WITH STROKE
        "\u21CF",  # ; RIGHTWARDS DOUBLE ARROW WITH STROKE
        "\u21D0",  # ; LEFTWARDS DOUBLE ARROW
        "\u21D1",  # ; UPWARDS DOUBLE ARROW
        "\u21D2",  # ; RIGHTWARDS DOUBLE ARROW
        "\u21D3",  # ; DOWNWARDS DOUBLE ARROW
        "\u21D4",  # ; LEFT RIGHT DOUBLE ARROW
        "\u21D5",  # ; UP DOWN DOUBLE ARROW
        "\u21D6",  # ; NORTH WEST DOUBLE ARROW
        "\u21D7",  # ; NORTH EAST DOUBLE ARROW
        "\u21D8",  # ; SOUTH EAST DOUBLE ARROW
        "\u21D9",  # ; SOUTH WEST DOUBLE ARROW
        "\u21DA",  # ; LEFTWARDS TRIPLE ARROW
        "\u21DB",  # ; RIGHTWARDS TRIPLE ARROW
        "\u21DC",  # ; LEFTWARDS SQUIGGLE ARROW
        "\u21DD",  # ; RIGHTWARDS SQUIGGLE ARROW
        "\u21DE",  # ; UPWARDS ARROW WITH DOUBLE STROKE
        "\u21DF",  # ; DOWNWARDS ARROW WITH DOUBLE STROKE
        "\u21E0",  # ; LEFTWARDS DASHED ARROW
        "\u21E1",  # ; UPWARDS DASHED ARROW
        "\u21E2",  # ; RIGHTWARDS DASHED ARROW
        "\u21E3",  # ; DOWNWARDS DASHED ARROW
        "\u21E4",  # ; LEFTWARDS ARROW TO BAR
        "\u21E5",  # ; RIGHTWARDS ARROW TO BAR
        "\u21E6",  # ; LEFTWARDS WHITE ARROW
        "\u21E7",  # ; UPWARDS WHITE ARROW
        "\u21E8",  # ; RIGHTWARDS WHITE ARROW
        "\u21E9",  # ; DOWNWARDS WHITE ARROW
        "\u21EA",  # ; UPWARDS WHITE ARROW FROM BAR
        "\u21EB",  # ; UPWARDS WHITE ARROW ON PEDESTAL
        "\u21EC",  # ; UPWARDS WHITE ARROW ON PEDESTAL WITH HORIZONTAL BAR
        "\u21ED",  # ; UPWARDS WHITE ARROW ON PEDESTAL WITH VERTICAL BAR
        "\u21EE",  # ; UPWARDS WHITE DOUBLE ARROW
        "\u21EF",  # ; UPWARDS WHITE DOUBLE ARROW ON PEDESTAL
        "\u21F0",  # ; RIGHTWARDS WHITE ARROW FROM WALL
        "\u21F1",  # ; NORTH WEST ARROW TO CORNER
        "\u21F2",  # ; SOUTH EAST ARROW TO CORNER
        "\u21F3",  # ; UP DOWN WHITE ARROW
        "\u21F4",  # ; RIGHT ARROW WITH SMALL CIRCLE
        "\u21F5",  # ; DOWNWARDS ARROW LEFTWARDS OF UPWARDS ARROW
        "\u21F6",  # ; THREE RIGHTWARDS ARROWS
        "\u21F7",  # ; LEFTWARDS ARROW WITH VERTICAL STROKE
        "\u21F8",  # ; RIGHTWARDS ARROW WITH VERTICAL STROKE
        "\u21F9",  # ; LEFT RIGHT ARROW WITH VERTICAL STROKE
        "\u21FA",  # ; LEFTWARDS ARROW WITH DOUBLE VERTICAL STROKE
        "\u21FB",  # ; RIGHTWARDS ARROW WITH DOUBLE VERTICAL STROKE
        "\u21FC",  # ; LEFT RIGHT ARROW WITH DOUBLE VERTICAL STROKE
        "\u21FD",  # ; LEFTWARDS OPEN-HEADED ARROW
        "\u21FE",  # ; RIGHTWARDS OPEN-HEADED ARROW
        "\u21FF",  # ; LEFT RIGHT OPEN-HEADED ARROW
        "\u2200",  # ; FOR ALL
        "\u2201",  # ; COMPLEMENT
        "\u2202",  # ; PARTIAL DIFFERENTIAL
        "\u2203",  # ; THERE EXISTS
        "\u2204",  # ; THERE DOES NOT EXIST
        "\u2205",  # ; EMPTY SET
        "\u2206",  # ; INCREMENT
        "\u2207",  # ; NABLA
        "\u2208",  # ; ELEMENT OF
        "\u2209",  # ; NOT AN ELEMENT OF
        "\u220A",  # ; SMALL ELEMENT OF
        "\u220B",  # ; CONTAINS AS MEMBER
        "\u220C",  # ; DOES NOT CONTAIN AS MEMBER
        "\u220D",  # ; SMALL CONTAINS AS MEMBER
        "\u220E",  # ; END OF PROOF
        "\u220F",  # ; N-ARY PRODUCT
        "\u2210",  # ; N-ARY COPRODUCT
        "\u2211",  # ; N-ARY SUMMATION
        "\u2212",  # ; MINUS SIGN
        "\u2213",  # ; MINUS-OR-PLUS SIGN
        "\u2214",  # ; DOT PLUS
        "\u2215",  # ; DIVISION SLASH
        "\u2216",  # ; SET MINUS
        "\u2217",  # ; ASTERISK OPERATOR
        "\u2218",  # ; RING OPERATOR
        "\u2219",  # ; BULLET OPERATOR
        "\u221A",  # ; SQUARE ROOT
        "\u221B",  # ; CUBE ROOT
        "\u221C",  # ; FOURTH ROOT
        "\u221D",  # ; PROPORTIONAL TO
        "\u221E",  # ; INFINITY
        "\u221F",  # ; RIGHT ANGLE
        "\u2220",  # ; ANGLE
        "\u2221",  # ; MEASURED ANGLE
        "\u2222",  # ; SPHERICAL ANGLE
        "\u2223",  # ; DIVIDES
        "\u2224",  # ; DOES NOT DIVIDE
        "\u2225",  # ; PARALLEL TO
        "\u2226",  # ; NOT PARALLEL TO
        "\u2227",  # ; LOGICAL AND
        "\u2228",  # ; LOGICAL OR
        "\u2229",  # ; INTERSECTION
        "\u222A",  # ; UNION
        "\u222B",  # ; INTEGRAL
        "\u222C",  # ; DOUBLE INTEGRAL
        "\u222D",  # ; TRIPLE INTEGRAL
        "\u222E",  # ; CONTOUR INTEGRAL
        "\u222F",  # ; SURFACE INTEGRAL
        "\u2230",  # ; VOLUME INTEGRAL
        "\u2231",  # ; CLOCKWISE INTEGRAL
        "\u2232",  # ; CLOCKWISE CONTOUR INTEGRAL
        "\u2233",  # ; ANTICLOCKWISE CONTOUR INTEGRAL
        "\u2234",  # ; THEREFORE
        "\u2235",  # ; BECAUSE
        "\u2236",  # ; RATIO
        "\u2237",  # ; PROPORTION
        "\u2238",  # ; DOT MINUS
        "\u2239",  # ; EXCESS
        "\u223A",  # ; GEOMETRIC PROPORTION
        "\u223B",  # ; HOMOTHETIC
        "\u223C",  # ; TILDE OPERATOR
        "\u223D",  # ; REVERSED TILDE
        "\u223E",  # ; INVERTED LAZY S
        "\u223F",  # ; SINE WAVE
        "\u2240",  # ; WREATH PRODUCT
        "\u2241",  # ; NOT TILDE
        "\u2242",  # ; MINUS TILDE
        "\u2243",  # ; ASYMPTOTICALLY EQUAL TO
        "\u2244",  # ; NOT ASYMPTOTICALLY EQUAL TO
        "\u2245",  # ; APPROXIMATELY EQUAL TO
        "\u2246",  # ; APPROXIMATELY BUT NOT ACTUALLY EQUAL TO
        "\u2247",  # ; NEITHER APPROXIMATELY NOR ACTUALLY EQUAL TO
        "\u2248",  # ; ALMOST EQUAL TO
        "\u2249",  # ; NOT ALMOST EQUAL TO
        "\u224A",  # ; ALMOST EQUAL OR EQUAL TO
        "\u224B",  # ; TRIPLE TILDE
        "\u224C",  # ; ALL EQUAL TO
        "\u224D",  # ; EQUIVALENT TO
        "\u224E",  # ; GEOMETRICALLY EQUIVALENT TO
        "\u224F",  # ; DIFFERENCE BETWEEN
        "\u2250",  # ; APPROACHES THE LIMIT
        "\u2251",  # ; GEOMETRICALLY EQUAL TO
        "\u2252",  # ; APPROXIMATELY EQUAL TO OR THE IMAGE OF
        "\u2253",  # ; IMAGE OF OR APPROXIMATELY EQUAL TO
        "\u2254",  # ; COLON EQUALS
        "\u2255",  # ; EQUALS COLON
        "\u2256",  # ; RING IN EQUAL TO
        "\u2257",  # ; RING EQUAL TO
        "\u2258",  # ; CORRESPONDS TO
        "\u2259",  # ; ESTIMATES
        "\u225A",  # ; EQUIANGULAR TO
        "\u225B",  # ; STAR EQUALS
        "\u225C",  # ; DELTA EQUAL TO
        "\u225D",  # ; EQUAL TO BY DEFINITION
        "\u225E",  # ; MEASURED BY
        "\u225F",  # ; QUESTIONED EQUAL TO
        "\u2260",  # ; NOT EQUAL TO
        "\u2261",  # ; IDENTICAL TO
        "\u2262",  # ; NOT IDENTICAL TO
        "\u2263",  # ; STRICTLY EQUIVALENT TO
        "\u2264",  # ; LESS-THAN OR EQUAL TO
        "\u2265",  # ; GREATER-THAN OR EQUAL TO
        "\u2266",  # ; LESS-THAN OVER EQUAL TO
        "\u2267",  # ; GREATER-THAN OVER EQUAL TO
        "\u2268",  # ; LESS-THAN BUT NOT EQUAL TO
        "\u2269",  # ; GREATER-THAN BUT NOT EQUAL TO
        "\u226A",  # ; MUCH LESS-THAN
        "\u226B",  # ; MUCH GREATER-THAN
        "\u226C",  # ; BETWEEN
        "\u226D",  # ; NOT EQUIVALENT TO
        "\u226E",  # ; NOT LESS-THAN
        "\u226F",  # ; NOT GREATER-THAN
        "\u2270",  # ; NEITHER LESS-THAN NOR EQUAL TO
        "\u2271",  # ; NEITHER GREATER-THAN NOR EQUAL TO
        "\u2272",  # ; LESS-THAN OR EQUIVALENT TO
        "\u2273",  # ; GREATER-THAN OR EQUIVALENT TO
        "\u2274",  # ; NEITHER LESS-THAN NOR EQUIVALENT TO
        "\u2275",  # ; NEITHER GREATER-THAN NOR EQUIVALENT TO
        "\u2276",  # ; LESS-THAN OR GREATER-THAN
        "\u2277",  # ; GREATER-THAN OR LESS-THAN
        "\u2278",  # ; NEITHER LESS-THAN NOR GREATER-THAN
        "\u2279",  # ; NEITHER GREATER-THAN NOR LESS-THAN
        "\u227A",  # ; PRECEDES
        "\u227B",  # ; SUCCEEDS
        "\u227C",  # ; PRECEDES OR EQUAL TO
        "\u227D",  # ; SUCCEEDS OR EQUAL TO
        "\u227E",  # ; PRECEDES OR EQUIVALENT TO
        "\u227F",  # ; SUCCEEDS OR EQUIVALENT TO
        "\u2280",  # ; DOES NOT PRECEDE
        "\u2281",  # ; DOES NOT SUCCEED
        "\u2282",  # ; SUBSET OF
        "\u2283",  # ; SUPERSET OF
        "\u2284",  # ; NOT A SUBSET OF
        "\u2285",  # ; NOT A SUPERSET OF
        "\u2286",  # ; SUBSET OF OR EQUAL TO
        "\u2287",  # ; SUPERSET OF OR EQUAL TO
        "\u2288",  # ; NEITHER A SUBSET OF NOR EQUAL TO
        "\u2289",  # ; NEITHER A SUPERSET OF NOR EQUAL TO
        "\u228A",  # ; SUBSET OF WITH NOT EQUAL TO
        "\u228B",  # ; SUPERSET OF WITH NOT EQUAL TO
        "\u228C",  # ; MULTISET
        "\u228D",  # ; MULTISET MULTIPLICATION
        "\u228E",  # ; MULTISET UNION
        "\u228F",  # ; SQUARE IMAGE OF
        "\u2290",  # ; SQUARE ORIGINAL OF
        "\u2291",  # ; SQUARE IMAGE OF OR EQUAL TO
        "\u2292",  # ; SQUARE ORIGINAL OF OR EQUAL TO
        "\u2293",  # ; SQUARE CAP
        "\u2294",  # ; SQUARE CUP
        "\u2295",  # ; CIRCLED PLUS
        "\u2296",  # ; CIRCLED MINUS
        "\u2297",  # ; CIRCLED TIMES
        "\u2298",  # ; CIRCLED DIVISION SLASH
        "\u2299",  # ; CIRCLED DOT OPERATOR
        "\u229A",  # ; CIRCLED RING OPERATOR
        "\u229B",  # ; CIRCLED ASTERISK OPERATOR
        "\u229C",  # ; CIRCLED EQUALS
        "\u229D",  # ; CIRCLED DASH
        "\u229E",  # ; SQUARED PLUS
        "\u229F",  # ; SQUARED MINUS
        "\u22A0",  # ; SQUARED TIMES
        "\u22A1",  # ; SQUARED DOT OPERATOR
        "\u22A2",  # ; RIGHT TACK
        "\u22A3",  # ; LEFT TACK
        "\u22A4",  # ; DOWN TACK
        "\u22A5",  # ; UP TACK
        "\u22A6",  # ; ASSERTION
        "\u22A7",  # ; MODELS
        "\u22A8",  # ; TRUE
        "\u22A9",  # ; FORCES
        "\u22AA",  # ; TRIPLE VERTICAL BAR RIGHT TURNSTILE
        "\u22AB",  # ; DOUBLE VERTICAL BAR DOUBLE RIGHT TURNSTILE
        "\u22AC",  # ; DOES NOT PROVE
        "\u22AD",  # ; NOT TRUE
        "\u22AE",  # ; DOES NOT FORCE
        "\u22AF",  # ; NEGATED DOUBLE VERTICAL BAR DOUBLE RIGHT TURNSTILE
        "\u22B0",  # ; PRECEDES UNDER RELATION
        "\u22B1",  # ; SUCCEEDS UNDER RELATION
        "\u22B2",  # ; NORMAL SUBGROUP OF
        "\u22B3",  # ; CONTAINS AS NORMAL SUBGROUP
        "\u22B4",  # ; NORMAL SUBGROUP OF OR EQUAL TO
        "\u22B5",  # ; CONTAINS AS NORMAL SUBGROUP OR EQUAL TO
        "\u22B6",  # ; ORIGINAL OF
        "\u22B7",  # ; IMAGE OF
        "\u22B8",  # ; MULTIMAP
        "\u22B9",  # ; HERMITIAN CONJUGATE MATRIX
        "\u22BA",  # ; INTERCALATE
        "\u22BB",  # ; XOR
        "\u22BC",  # ; NAND
        "\u22BD",  # ; NOR
        "\u22BE",  # ; RIGHT ANGLE WITH ARC
        "\u22BF",  # ; RIGHT TRIANGLE
        "\u22C0",  # ; N-ARY LOGICAL AND
        "\u22C1",  # ; N-ARY LOGICAL OR
        "\u22C2",  # ; N-ARY INTERSECTION
        "\u22C3",  # ; N-ARY UNION
        "\u22C4",  # ; DIAMOND OPERATOR
        "\u22C5",  # ; DOT OPERATOR
        "\u22C6",  # ; STAR OPERATOR
        "\u22C7",  # ; DIVISION TIMES
        "\u22C8",  # ; BOWTIE
        "\u22C9",  # ; LEFT NORMAL FACTOR SEMIDIRECT PRODUCT
        "\u22CA",  # ; RIGHT NORMAL FACTOR SEMIDIRECT PRODUCT
        "\u22CB",  # ; LEFT SEMIDIRECT PRODUCT
        "\u22CC",  # ; RIGHT SEMIDIRECT PRODUCT
        "\u22CD",  # ; REVERSED TILDE EQUALS
        "\u22CE",  # ; CURLY LOGICAL OR
        "\u22CF",  # ; CURLY LOGICAL AND
        "\u22D0",  # ; DOUBLE SUBSET
        "\u22D1",  # ; DOUBLE SUPERSET
        "\u22D2",  # ; DOUBLE INTERSECTION
        "\u22D3",  # ; DOUBLE UNION
        "\u22D4",  # ; PITCHFORK
        "\u22D5",  # ; EQUAL AND PARALLEL TO
        "\u22D6",  # ; LESS-THAN WITH DOT
        "\u22D7",  # ; GREATER-THAN WITH DOT
        "\u22D8",  # ; VERY MUCH LESS-THAN
        "\u22D9",  # ; VERY MUCH GREATER-THAN
        "\u22DA",  # ; LESS-THAN EQUAL TO OR GREATER-THAN
        "\u22DB",  # ; GREATER-THAN EQUAL TO OR LESS-THAN
        "\u22DC",  # ; EQUAL TO OR LESS-THAN
        "\u22DD",  # ; EQUAL TO OR GREATER-THAN
        "\u22DE",  # ; EQUAL TO OR PRECEDES
        "\u22DF",  # ; EQUAL TO OR SUCCEEDS
        "\u22E0",  # ; DOES NOT PRECEDE OR EQUAL
        "\u22E1",  # ; DOES NOT SUCCEED OR EQUAL
        "\u22E2",  # ; NOT SQUARE IMAGE OF OR EQUAL TO
        "\u22E3",  # ; NOT SQUARE ORIGINAL OF OR EQUAL TO
        "\u22E4",  # ; SQUARE IMAGE OF OR NOT EQUAL TO
        "\u22E5",  # ; SQUARE ORIGINAL OF OR NOT EQUAL TO
        "\u22E6",  # ; LESS-THAN BUT NOT EQUIVALENT TO
        "\u22E7",  # ; GREATER-THAN BUT NOT EQUIVALENT TO
        "\u22E8",  # ; PRECEDES BUT NOT EQUIVALENT TO
        "\u22E9",  # ; SUCCEEDS BUT NOT EQUIVALENT TO
        "\u22EA",  # ; NOT NORMAL SUBGROUP OF
        "\u22EB",  # ; DOES NOT CONTAIN AS NORMAL SUBGROUP
        "\u22EC",  # ; NOT NORMAL SUBGROUP OF OR EQUAL TO
        "\u22ED",  # ; DOES NOT CONTAIN AS NORMAL SUBGROUP OR EQUAL
        "\u22EE",  # ; VERTICAL ELLIPSIS
        "\u22EF",  # ; MIDLINE HORIZONTAL ELLIPSIS
        "\u22F0",  # ; UP RIGHT DIAGONAL ELLIPSIS
        "\u22F1",  # ; DOWN RIGHT DIAGONAL ELLIPSIS
        "\u22F2",  # ; ELEMENT OF WITH LONG HORIZONTAL STROKE
        "\u22F3",  # ; ELEMENT OF WITH VERTICAL BAR AT END OF HORIZONTAL STROKE
        "\u22F4",  # ; SMALL ELEMENT OF WITH VERTICAL BAR AT END OF HORIZONTAL STROKE
        "\u22F5",  # ; ELEMENT OF WITH DOT ABOVE
        "\u22F6",  # ; ELEMENT OF WITH OVERBAR
        "\u22F7",  # ; SMALL ELEMENT OF WITH OVERBAR
        "\u22F8",  # ; ELEMENT OF WITH UNDERBAR
        "\u22F9",  # ; ELEMENT OF WITH TWO HORIZONTAL STROKES
        "\u22FA",  # ; CONTAINS WITH LONG HORIZONTAL STROKE
        "\u22FB",  # ; CONTAINS WITH VERTICAL BAR AT END OF HORIZONTAL STROKE
        "\u22FC",  # ; SMALL CONTAINS WITH VERTICAL BAR AT END OF HORIZONTAL STROKE
        "\u22FD",  # ; CONTAINS WITH OVERBAR
        "\u22FE",  # ; SMALL CONTAINS WITH OVERBAR
        "\u22FF",  # ; Z NOTATION BAG MEMBERSHIP
        "\u2300",  # ; DIAMETER SIGN
        "\u2301",  # ; ELECTRIC ARROW
        "\u2302",  # ; HOUSE
        "\u2303",  # ; UP ARROWHEAD
        "\u2304",  # ; DOWN ARROWHEAD
        "\u2305",  # ; PROJECTIVE
        "\u2306",  # ; PERSPECTIVE
        "\u2307",  # ; WAVY LINE
        "\u2308",  # ; LEFT CEILING
        "\u2309",  # ; RIGHT CEILING
        "\u230A",  # ; LEFT FLOOR
        "\u230B",  # ; RIGHT FLOOR
        "\u230C",  # ; BOTTOM RIGHT CROP
        "\u230D",  # ; BOTTOM LEFT CROP
        "\u230E",  # ; TOP RIGHT CROP
        "\u230F",  # ; TOP LEFT CROP
        "\u2310",  # ; REVERSED NOT SIGN
        "\u2311",  # ; SQUARE LOZENGE
        "\u2312",  # ; ARC
        "\u2313",  # ; SEGMENT
        "\u2314",  # ; SECTOR
        "\u2315",  # ; TELEPHONE RECORDER
        "\u2316",  # ; POSITION INDICATOR
        "\u2317",  # ; VIEWDATA SQUARE
        "\u2318",  # ; PLACE OF INTEREST SIGN
        "\u2319",  # ; TURNED NOT SIGN
        "\u231A",  # ; WATCH
        "\u231B",  # ; HOURGLASS
        "\u231C",  # ; TOP LEFT CORNER
        "\u231D",  # ; TOP RIGHT CORNER
        "\u231E",  # ; BOTTOM LEFT CORNER
        "\u231F",  # ; BOTTOM RIGHT CORNER
        "\u2320",  # ; TOP HALF INTEGRAL
        "\u2321",  # ; BOTTOM HALF INTEGRAL
        "\u2322",  # ; FROWN
        "\u2323",  # ; SMILE
        "\u2324",  # ; UP ARROWHEAD BETWEEN TWO HORIZONTAL BARS
        "\u2325",  # ; OPTION KEY
        "\u2326",  # ; ERASE TO THE RIGHT
        "\u2327",  # ; X IN A RECTANGLE BOX
        "\u2328",  # ; KEYBOARD
        "\u2329",  # ; LEFT-POINTING ANGLE BRACKET
        "\u232A",  # ; RIGHT-POINTING ANGLE BRACKET
        "\u232B",  # ; ERASE TO THE LEFT
        "\u232C",  # ; BENZENE RING
        "\u232D",  # ; CYLINDRICITY
        "\u232E",  # ; ALL AROUND-PROFILE
        "\u232F",  # ; SYMMETRY
        "\u2330",  # ; TOTAL RUNOUT
        "\u2331",  # ; DIMENSION ORIGIN
        "\u2332",  # ; CONICAL TAPER
        "\u2333",  # ; SLOPE
        "\u2334",  # ; COUNTERBORE
        "\u2335",  # ; COUNTERSINK
        "\u2336",  # ; APL FUNCTIONAL SYMBOL I-BEAM
        "\u2337",  # ; APL FUNCTIONAL SYMBOL SQUISH QUAD
        "\u2338",  # ; APL FUNCTIONAL SYMBOL QUAD EQUAL
        "\u2339",  # ; APL FUNCTIONAL SYMBOL QUAD DIVIDE
        "\u233A",  # ; APL FUNCTIONAL SYMBOL QUAD DIAMOND
        "\u233B",  # ; APL FUNCTIONAL SYMBOL QUAD JOT
        "\u233C",  # ; APL FUNCTIONAL SYMBOL QUAD CIRCLE
        "\u233D",  # ; APL FUNCTIONAL SYMBOL CIRCLE STILE
        "\u233E",  # ; APL FUNCTIONAL SYMBOL CIRCLE JOT
        "\u233F",  # ; APL FUNCTIONAL SYMBOL SLASH BAR
        "\u2340",  # ; APL FUNCTIONAL SYMBOL BACKSLASH BAR
        "\u2341",  # ; APL FUNCTIONAL SYMBOL QUAD SLASH
        "\u2342",  # ; APL FUNCTIONAL SYMBOL QUAD BACKSLASH
        "\u2343",  # ; APL FUNCTIONAL SYMBOL QUAD LESS-THAN
        "\u2344",  # ; APL FUNCTIONAL SYMBOL QUAD GREATER-THAN
        "\u2345",  # ; APL FUNCTIONAL SYMBOL LEFTWARDS VANE
        "\u2346",  # ; APL FUNCTIONAL SYMBOL RIGHTWARDS VANE
        "\u2347",  # ; APL FUNCTIONAL SYMBOL QUAD LEFTWARDS ARROW
        "\u2348",  # ; APL FUNCTIONAL SYMBOL QUAD RIGHTWARDS ARROW
        "\u2349",  # ; APL FUNCTIONAL SYMBOL CIRCLE BACKSLASH
        "\u234A",  # ; APL FUNCTIONAL SYMBOL DOWN TACK UNDERBAR
        "\u234B",  # ; APL FUNCTIONAL SYMBOL DELTA STILE
        "\u234C",  # ; APL FUNCTIONAL SYMBOL QUAD DOWN CARET
        "\u234D",  # ; APL FUNCTIONAL SYMBOL QUAD DELTA
        "\u234E",  # ; APL FUNCTIONAL SYMBOL DOWN TACK JOT
        "\u234F",  # ; APL FUNCTIONAL SYMBOL UPWARDS VANE
        "\u2350",  # ; APL FUNCTIONAL SYMBOL QUAD UPWARDS ARROW
        "\u2351",  # ; APL FUNCTIONAL SYMBOL UP TACK OVERBAR
        "\u2352",  # ; APL FUNCTIONAL SYMBOL DEL STILE
        "\u2353",  # ; APL FUNCTIONAL SYMBOL QUAD UP CARET
        "\u2354",  # ; APL FUNCTIONAL SYMBOL QUAD DEL
        "\u2355",  # ; APL FUNCTIONAL SYMBOL UP TACK JOT
        "\u2356",  # ; APL FUNCTIONAL SYMBOL DOWNWARDS VANE
        "\u2357",  # ; APL FUNCTIONAL SYMBOL QUAD DOWNWARDS ARROW
        "\u2358",  # ; APL FUNCTIONAL SYMBOL QUOTE UNDERBAR
        "\u2359",  # ; APL FUNCTIONAL SYMBOL DELTA UNDERBAR
        "\u235A",  # ; APL FUNCTIONAL SYMBOL DIAMOND UNDERBAR
        "\u235B",  # ; APL FUNCTIONAL SYMBOL JOT UNDERBAR
        "\u235C",  # ; APL FUNCTIONAL SYMBOL CIRCLE UNDERBAR
        "\u235D",  # ; APL FUNCTIONAL SYMBOL UP SHOE JOT
        "\u235E",  # ; APL FUNCTIONAL SYMBOL QUOTE QUAD
        "\u235F",  # ; APL FUNCTIONAL SYMBOL CIRCLE STAR
        "\u2360",  # ; APL FUNCTIONAL SYMBOL QUAD COLON
        "\u2361",  # ; APL FUNCTIONAL SYMBOL UP TACK DIAERESIS
        "\u2362",  # ; APL FUNCTIONAL SYMBOL DEL DIAERESIS
        "\u2363",  # ; APL FUNCTIONAL SYMBOL STAR DIAERESIS
        "\u2364",  # ; APL FUNCTIONAL SYMBOL JOT DIAERESIS
        "\u2365",  # ; APL FUNCTIONAL SYMBOL CIRCLE DIAERESIS
        "\u2366",  # ; APL FUNCTIONAL SYMBOL DOWN SHOE STILE
        "\u2367",  # ; APL FUNCTIONAL SYMBOL LEFT SHOE STILE
        "\u2368",  # ; APL FUNCTIONAL SYMBOL TILDE DIAERESIS
        "\u2369",  # ; APL FUNCTIONAL SYMBOL GREATER-THAN DIAERESIS
        "\u236A",  # ; APL FUNCTIONAL SYMBOL COMMA BAR
        "\u236B",  # ; APL FUNCTIONAL SYMBOL DEL TILDE
        "\u236C",  # ; APL FUNCTIONAL SYMBOL ZILDE
        "\u236D",  # ; APL FUNCTIONAL SYMBOL STILE TILDE
        "\u236E",  # ; APL FUNCTIONAL SYMBOL SEMICOLON UNDERBAR
        "\u236F",  # ; APL FUNCTIONAL SYMBOL QUAD NOT EQUAL
        "\u2370",  # ; APL FUNCTIONAL SYMBOL QUAD QUESTION
        "\u2371",  # ; APL FUNCTIONAL SYMBOL DOWN CARET TILDE
        "\u2372",  # ; APL FUNCTIONAL SYMBOL UP CARET TILDE
        "\u2373",  # ; APL FUNCTIONAL SYMBOL IOTA
        "\u2374",  # ; APL FUNCTIONAL SYMBOL RHO
        "\u2375",  # ; APL FUNCTIONAL SYMBOL OMEGA
        "\u2376",  # ; APL FUNCTIONAL SYMBOL ALPHA UNDERBAR
        "\u2377",  # ; APL FUNCTIONAL SYMBOL EPSILON UNDERBAR
        "\u2378",  # ; APL FUNCTIONAL SYMBOL IOTA UNDERBAR
        "\u2379",  # ; APL FUNCTIONAL SYMBOL OMEGA UNDERBAR
        "\u237A",  # ; APL FUNCTIONAL SYMBOL ALPHA
        "\u237B",  # ; NOT CHECK MARK
        "\u237C",  # ; RIGHT ANGLE WITH DOWNWARDS ZIGZAG ARROW
        "\u237D",  # ; SHOULDERED OPEN BOX
        "\u237E",  # ; BELL SYMBOL
        "\u237F",  # ; VERTICAL LINE WITH MIDDLE DOT
        "\u2380",  # ; INSERTION SYMBOL
        "\u2381",  # ; CONTINUOUS UNDERLINE SYMBOL
        "\u2382",  # ; DISCONTINUOUS UNDERLINE SYMBOL
        "\u2383",  # ; EMPHASIS SYMBOL
        "\u2384",  # ; COMPOSITION SYMBOL
        "\u2385",  # ; WHITE SQUARE WITH CENTRE VERTICAL LINE
        "\u2386",  # ; ENTER SYMBOL
        "\u2387",  # ; ALTERNATIVE KEY SYMBOL
        "\u2388",  # ; HELM SYMBOL
        "\u2389",  # ; CIRCLED HORIZONTAL BAR WITH NOTCH
        "\u238A",  # ; CIRCLED TRIANGLE DOWN
        "\u238B",  # ; BROKEN CIRCLE WITH NORTHWEST ARROW
        "\u238C",  # ; UNDO SYMBOL
        "\u238D",  # ; MONOSTABLE SYMBOL
        "\u238E",  # ; HYSTERESIS SYMBOL
        "\u238F",  # ; OPEN-CIRCUIT-OUTPUT H-TYPE SYMBOL
        "\u2390",  # ; OPEN-CIRCUIT-OUTPUT L-TYPE SYMBOL
        "\u2391",  # ; PASSIVE-PULL-DOWN-OUTPUT SYMBOL
        "\u2392",  # ; PASSIVE-PULL-UP-OUTPUT SYMBOL
        "\u2393",  # ; DIRECT CURRENT SYMBOL FORM TWO
        "\u2394",  # ; SOFTWARE-FUNCTION SYMBOL
        "\u2395",  # ; APL FUNCTIONAL SYMBOL QUAD
        "\u2396",  # ; DECIMAL SEPARATOR KEY SYMBOL
        "\u2397",  # ; PREVIOUS PAGE
        "\u2398",  # ; NEXT PAGE
        "\u2399",  # ; PRINT SCREEN SYMBOL
        "\u239A",  # ; CLEAR SCREEN SYMBOL
        "\u239B",  # ; LEFT PARENTHESIS UPPER HOOK
        "\u239C",  # ; LEFT PARENTHESIS EXTENSION
        "\u239D",  # ; LEFT PARENTHESIS LOWER HOOK
        "\u239E",  # ; RIGHT PARENTHESIS UPPER HOOK
        "\u239F",  # ; RIGHT PARENTHESIS EXTENSION
        "\u23A0",  # ; RIGHT PARENTHESIS LOWER HOOK
        "\u23A1",  # ; LEFT SQUARE BRACKET UPPER CORNER
        "\u23A2",  # ; LEFT SQUARE BRACKET EXTENSION
        "\u23A3",  # ; LEFT SQUARE BRACKET LOWER CORNER
        "\u23A4",  # ; RIGHT SQUARE BRACKET UPPER CORNER
        "\u23A5",  # ; RIGHT SQUARE BRACKET EXTENSION
        "\u23A6",  # ; RIGHT SQUARE BRACKET LOWER CORNER
        "\u23A7",  # ; LEFT CURLY BRACKET UPPER HOOK
        "\u23A8",  # ; LEFT CURLY BRACKET MIDDLE PIECE
        "\u23A9",  # ; LEFT CURLY BRACKET LOWER HOOK
        "\u23AA",  # ; CURLY BRACKET EXTENSION
        "\u23AB",  # ; RIGHT CURLY BRACKET UPPER HOOK
        "\u23AC",  # ; RIGHT CURLY BRACKET MIDDLE PIECE
        "\u23AD",  # ; RIGHT CURLY BRACKET LOWER HOOK
        "\u23AE",  # ; INTEGRAL EXTENSION
        "\u23AF",  # ; HORIZONTAL LINE EXTENSION
        "\u23B0",  # ; UPPER LEFT OR LOWER RIGHT CURLY BRACKET SECTION
        "\u23B1",  # ; UPPER RIGHT OR LOWER LEFT CURLY BRACKET SECTION
        "\u23B2",  # ; SUMMATION TOP
        "\u23B3",  # ; SUMMATION BOTTOM
        "\u23B4",  # ; TOP SQUARE BRACKET
        "\u23B5",  # ; BOTTOM SQUARE BRACKET
        "\u23B6",  # ; BOTTOM SQUARE BRACKET OVER TOP SQUARE BRACKET
        "\u23B7",  # ; RADICAL SYMBOL BOTTOM
        "\u23B8",  # ; LEFT VERTICAL BOX LINE
        "\u23B9",  # ; RIGHT VERTICAL BOX LINE
        "\u23BA",  # ; HORIZONTAL SCAN LINE-1
        "\u23BB",  # ; HORIZONTAL SCAN LINE-3
        "\u23BC",  # ; HORIZONTAL SCAN LINE-7
        "\u23BD",  # ; HORIZONTAL SCAN LINE-9
        "\u23BE",  # ; DENTISTRY SYMBOL LIGHT VERTICAL AND TOP RIGHT
        "\u23BF",  # ; DENTISTRY SYMBOL LIGHT VERTICAL AND BOTTOM RIGHT
        "\u23C0",  # ; DENTISTRY SYMBOL LIGHT VERTICAL WITH CIRCLE
        "\u23C1",  # ; DENTISTRY SYMBOL LIGHT DOWN AND HORIZONTAL WITH CIRCLE
        "\u23C2",  # ; DENTISTRY SYMBOL LIGHT UP AND HORIZONTAL WITH CIRCLE
        "\u23C3",  # ; DENTISTRY SYMBOL LIGHT VERTICAL WITH TRIANGLE
        "\u23C4",  # ; DENTISTRY SYMBOL LIGHT DOWN AND HORIZONTAL WITH TRIANGLE
        "\u23C5",  # ; DENTISTRY SYMBOL LIGHT UP AND HORIZONTAL WITH TRIANGLE
        "\u23C6",  # ; DENTISTRY SYMBOL LIGHT VERTICAL AND WAVE
        "\u23C7",  # ; DENTISTRY SYMBOL LIGHT DOWN AND HORIZONTAL WITH WAVE
        "\u23C8",  # ; DENTISTRY SYMBOL LIGHT UP AND HORIZONTAL WITH WAVE
        "\u23C9",  # ; DENTISTRY SYMBOL LIGHT DOWN AND HORIZONTAL
        "\u23CA",  # ; DENTISTRY SYMBOL LIGHT UP AND HORIZONTAL
        "\u23CB",  # ; DENTISTRY SYMBOL LIGHT VERTICAL AND TOP LEFT
        "\u23CC",  # ; DENTISTRY SYMBOL LIGHT VERTICAL AND BOTTOM LEFT
        "\u23CD",  # ; SQUARE FOOT
        "\u23CE",  # ; RETURN SYMBOL
        "\u23CF",  # ; EJECT SYMBOL
        "\u23D0",  # ; VERTICAL LINE EXTENSION
        "\u23D1",  # ; METRICAL BREVE
        "\u23D2",  # ; METRICAL LONG OVER SHORT
        "\u23D3",  # ; METRICAL SHORT OVER LONG
        "\u23D4",  # ; METRICAL LONG OVER TWO SHORTS
        "\u23D5",  # ; METRICAL TWO SHORTS OVER LONG
        "\u23D6",  # ; METRICAL TWO SHORTS JOINED
        "\u23D7",  # ; METRICAL TRISEME
        "\u23D8",  # ; METRICAL TETRASEME
        "\u23D9",  # ; METRICAL PENTASEME
        "\u23DA",  # ; EARTH GROUND
        "\u23DB",  # ; FUSE
        "\u23DC",  # ; TOP PARENTHESIS
        "\u23DD",  # ; BOTTOM PARENTHESIS
        "\u23DE",  # ; TOP CURLY BRACKET
        "\u23DF",  # ; BOTTOM CURLY BRACKET
        "\u23E0",  # ; TOP TORTOISE SHELL BRACKET
        "\u23E1",  # ; BOTTOM TORTOISE SHELL BRACKET
        "\u23E2",  # ; WHITE TRAPEZIUM
        "\u23E3",  # ; BENZENE RING WITH CIRCLE
        "\u23E4",  # ; STRAIGHTNESS
        "\u23E5",  # ; FLATNESS
        "\u23E6",  # ; AC CURRENT
        "\u23E7",  # ; ELECTRICAL INTERSECTION
        "\u23E8",  # ; DECIMAL EXPONENT SYMBOL
        "\u23E9",  # ; BLACK RIGHT-POINTING DOUBLE TRIANGLE
        "\u23EA",  # ; BLACK LEFT-POINTING DOUBLE TRIANGLE
        "\u23EB",  # ; BLACK UP-POINTING DOUBLE TRIANGLE
        "\u23EC",  # ; BLACK DOWN-POINTING DOUBLE TRIANGLE
        "\u23ED",  # ; BLACK RIGHT-POINTING DOUBLE TRIANGLE WITH VERTICAL BAR
        "\u23EE",  # ; BLACK LEFT-POINTING DOUBLE TRIANGLE WITH VERTICAL BAR
        "\u23EF",  # ; BLACK RIGHT-POINTING TRIANGLE WITH DOUBLE VERTICAL BAR
        "\u23F0",  # ; ALARM CLOCK
        "\u23F1",  # ; STOPWATCH
        "\u23F2",  # ; TIMER CLOCK
        "\u23F3",  # ; HOURGLASS WITH FLOWING SAND
        "\u23F4",  # ; BLACK MEDIUM LEFT-POINTING TRIANGLE
        "\u23F5",  # ; BLACK MEDIUM RIGHT-POINTING TRIANGLE
        "\u23F6",  # ; BLACK MEDIUM UP-POINTING TRIANGLE
        "\u23F7",  # ; BLACK MEDIUM DOWN-POINTING TRIANGLE
        "\u23F8",  # ; DOUBLE VERTICAL BAR
        "\u23F9",  # ; BLACK SQUARE FOR STOP
        "\u23FA",  # ; BLACK CIRCLE FOR RECORD
        "\u23FB",  # ; POWER SYMBOL
        "\u23FC",  # ; POWER ON-OFF SYMBOL
        "\u23FD",  # ; POWER ON SYMBOL
        "\u23FE",  # ; POWER SLEEP SYMBOL
        "\u23FF",  # ; OBSERVER EYE SYMBOL
        "\u2400",  # ; SYMBOL FOR NULL
        "\u2401",  # ; SYMBOL FOR START OF HEADING
        "\u2402",  # ; SYMBOL FOR START OF TEXT
        "\u2403",  # ; SYMBOL FOR END OF TEXT
        "\u2404",  # ; SYMBOL FOR END OF TRANSMISSION
        "\u2405",  # ; SYMBOL FOR ENQUIRY
        "\u2406",  # ; SYMBOL FOR ACKNOWLEDGE
        "\u2407",  # ; SYMBOL FOR BELL
        "\u2408",  # ; SYMBOL FOR BACKSPACE
        "\u2409",  # ; SYMBOL FOR HORIZONTAL TABULATION
        "\u240A",  # ; SYMBOL FOR LINE FEED
        "\u240B",  # ; SYMBOL FOR VERTICAL TABULATION
        "\u240C",  # ; SYMBOL FOR FORM FEED
        "\u240D",  # ; SYMBOL FOR CARRIAGE RETURN
        "\u240E",  # ; SYMBOL FOR SHIFT OUT
        "\u240F",  # ; SYMBOL FOR SHIFT IN
        "\u2410",  # ; SYMBOL FOR DATA LINK ESCAPE
        "\u2411",  # ; SYMBOL FOR DEVICE CONTROL ONE
        "\u2412",  # ; SYMBOL FOR DEVICE CONTROL TWO
        "\u2413",  # ; SYMBOL FOR DEVICE CONTROL THREE
        "\u2414",  # ; SYMBOL FOR DEVICE CONTROL FOUR
        "\u2415",  # ; SYMBOL FOR NEGATIVE ACKNOWLEDGE
        "\u2416",  # ; SYMBOL FOR SYNCHRONOUS IDLE
        "\u2417",  # ; SYMBOL FOR END OF TRANSMISSION BLOCK
        "\u2418",  # ; SYMBOL FOR CANCEL
        "\u2419",  # ; SYMBOL FOR END OF MEDIUM
        "\u241A",  # ; SYMBOL FOR SUBSTITUTE
        "\u241B",  # ; SYMBOL FOR ESCAPE
        "\u241C",  # ; SYMBOL FOR FILE SEPARATOR
        "\u241D",  # ; SYMBOL FOR GROUP SEPARATOR
        "\u241E",  # ; SYMBOL FOR RECORD SEPARATOR
        "\u241F",  # ; SYMBOL FOR UNIT SEPARATOR
        "\u2420",  # ; SYMBOL FOR SPACE
        "\u2421",  # ; SYMBOL FOR DELETE
        "\u2422",  # ; BLANK SYMBOL
        "\u2423",  # ; OPEN BOX
        "\u2424",  # ; SYMBOL FOR NEWLINE
        "\u2425",  # ; SYMBOL FOR DELETE FORM TWO
        "\u2426",  # ; SYMBOL FOR SUBSTITUTE FORM TWO
        "\u2440",  # ; OCR HOOK
        "\u2441",  # ; OCR CHAIR
        "\u2442",  # ; OCR FORK
        "\u2443",  # ; OCR INVERTED FORK
        "\u2444",  # ; OCR BELT BUCKLE
        "\u2445",  # ; OCR BOW TIE
        "\u2446",  # ; OCR BRANCH BANK IDENTIFICATION
        "\u2447",  # ; OCR AMOUNT OF CHECK
        "\u2448",  # ; OCR DASH
        "\u2449",  # ; OCR CUSTOMER ACCOUNT NUMBER
        "\u244A",  # ; OCR DOUBLE BACKSLASH
        "\u2460",  # ; CIRCLED DIGIT ONE
        "\u2461",  # ; CIRCLED DIGIT TWO
        "\u2462",  # ; CIRCLED DIGIT THREE
        "\u2463",  # ; CIRCLED DIGIT FOUR
        "\u2464",  # ; CIRCLED DIGIT FIVE
        "\u2465",  # ; CIRCLED DIGIT SIX
        "\u2466",  # ; CIRCLED DIGIT SEVEN
        "\u2467",  # ; CIRCLED DIGIT EIGHT
        "\u2468",  # ; CIRCLED DIGIT NINE
        "\u2469",  # ; CIRCLED NUMBER TEN
        "\u246A",  # ; CIRCLED NUMBER ELEVEN
        "\u246B",  # ; CIRCLED NUMBER TWELVE
        "\u246C",  # ; CIRCLED NUMBER THIRTEEN
        "\u246D",  # ; CIRCLED NUMBER FOURTEEN
        "\u246E",  # ; CIRCLED NUMBER FIFTEEN
        "\u246F",  # ; CIRCLED NUMBER SIXTEEN
        "\u2470",  # ; CIRCLED NUMBER SEVENTEEN
        "\u2471",  # ; CIRCLED NUMBER EIGHTEEN
        "\u2472",  # ; CIRCLED NUMBER NINETEEN
        "\u2473",  # ; CIRCLED NUMBER TWENTY
        "\u2474",  # ; PARENTHESIZED DIGIT ONE
        "\u2475",  # ; PARENTHESIZED DIGIT TWO
        "\u2476",  # ; PARENTHESIZED DIGIT THREE
        "\u2477",  # ; PARENTHESIZED DIGIT FOUR
        "\u2478",  # ; PARENTHESIZED DIGIT FIVE
        "\u2479",  # ; PARENTHESIZED DIGIT SIX
        "\u247A",  # ; PARENTHESIZED DIGIT SEVEN
        "\u247B",  # ; PARENTHESIZED DIGIT EIGHT
        "\u247C",  # ; PARENTHESIZED DIGIT NINE
        "\u247D",  # ; PARENTHESIZED NUMBER TEN
        "\u247E",  # ; PARENTHESIZED NUMBER ELEVEN
        "\u247F",  # ; PARENTHESIZED NUMBER TWELVE
        "\u2480",  # ; PARENTHESIZED NUMBER THIRTEEN
        "\u2481",  # ; PARENTHESIZED NUMBER FOURTEEN
        "\u2482",  # ; PARENTHESIZED NUMBER FIFTEEN
        "\u2483",  # ; PARENTHESIZED NUMBER SIXTEEN
        "\u2484",  # ; PARENTHESIZED NUMBER SEVENTEEN
        "\u2485",  # ; PARENTHESIZED NUMBER EIGHTEEN
        "\u2486",  # ; PARENTHESIZED NUMBER NINETEEN
        "\u2487",  # ; PARENTHESIZED NUMBER TWENTY
        "\u2488",  # ; DIGIT ONE FULL STOP
        "\u2489",  # ; DIGIT TWO FULL STOP
        "\u248A",  # ; DIGIT THREE FULL STOP
        "\u248B",  # ; DIGIT FOUR FULL STOP
        "\u248C",  # ; DIGIT FIVE FULL STOP
        "\u248D",  # ; DIGIT SIX FULL STOP
        "\u248E",  # ; DIGIT SEVEN FULL STOP
        "\u248F",  # ; DIGIT EIGHT FULL STOP
        "\u2490",  # ; DIGIT NINE FULL STOP
        "\u2491",  # ; NUMBER TEN FULL STOP
        "\u2492",  # ; NUMBER ELEVEN FULL STOP
        "\u2493",  # ; NUMBER TWELVE FULL STOP
        "\u2494",  # ; NUMBER THIRTEEN FULL STOP
        "\u2495",  # ; NUMBER FOURTEEN FULL STOP
        "\u2496",  # ; NUMBER FIFTEEN FULL STOP
        "\u2497",  # ; NUMBER SIXTEEN FULL STOP
        "\u2498",  # ; NUMBER SEVENTEEN FULL STOP
        "\u2499",  # ; NUMBER EIGHTEEN FULL STOP
        "\u249A",  # ; NUMBER NINETEEN FULL STOP
        "\u249B",  # ; NUMBER TWENTY FULL STOP
        "\u249C",  # ; PARENTHESIZED LATIN SMALL LETTER A
        "\u249D",  # ; PARENTHESIZED LATIN SMALL LETTER B
        "\u249E",  # ; PARENTHESIZED LATIN SMALL LETTER C
        "\u249F",  # ; PARENTHESIZED LATIN SMALL LETTER D
        "\u24A0",  # ; PARENTHESIZED LATIN SMALL LETTER E
        "\u24A1",  # ; PARENTHESIZED LATIN SMALL LETTER F
        "\u24A2",  # ; PARENTHESIZED LATIN SMALL LETTER G
        "\u24A3",  # ; PARENTHESIZED LATIN SMALL LETTER H
        "\u24A4",  # ; PARENTHESIZED LATIN SMALL LETTER I
        "\u24A5",  # ; PARENTHESIZED LATIN SMALL LETTER J
        "\u24A6",  # ; PARENTHESIZED LATIN SMALL LETTER K
        "\u24A7",  # ; PARENTHESIZED LATIN SMALL LETTER L
        "\u24A8",  # ; PARENTHESIZED LATIN SMALL LETTER M
        "\u24A9",  # ; PARENTHESIZED LATIN SMALL LETTER N
        "\u24AA",  # ; PARENTHESIZED LATIN SMALL LETTER O
        "\u24AB",  # ; PARENTHESIZED LATIN SMALL LETTER P
        "\u24AC",  # ; PARENTHESIZED LATIN SMALL LETTER Q
        "\u24AD",  # ; PARENTHESIZED LATIN SMALL LETTER R
        "\u24AE",  # ; PARENTHESIZED LATIN SMALL LETTER S
        "\u24AF",  # ; PARENTHESIZED LATIN SMALL LETTER T
        "\u24B0",  # ; PARENTHESIZED LATIN SMALL LETTER U
        "\u24B1",  # ; PARENTHESIZED LATIN SMALL LETTER V
        "\u24B2",  # ; PARENTHESIZED LATIN SMALL LETTER W
        "\u24B3",  # ; PARENTHESIZED LATIN SMALL LETTER X
        "\u24B4",  # ; PARENTHESIZED LATIN SMALL LETTER Y
        "\u24B5",  # ; PARENTHESIZED LATIN SMALL LETTER Z
        "\u24B6",  # ; CIRCLED LATIN CAPITAL LETTER A
        "\u24B7",  # ; CIRCLED LATIN CAPITAL LETTER B
        "\u24B8",  # ; CIRCLED LATIN CAPITAL LETTER C
        "\u24B9",  # ; CIRCLED LATIN CAPITAL LETTER D
        "\u24BA",  # ; CIRCLED LATIN CAPITAL LETTER E
        "\u24BB",  # ; CIRCLED LATIN CAPITAL LETTER F
        "\u24BC",  # ; CIRCLED LATIN CAPITAL LETTER G
        "\u24BD",  # ; CIRCLED LATIN CAPITAL LETTER H
        "\u24BE",  # ; CIRCLED LATIN CAPITAL LETTER I
        "\u24BF",  # ; CIRCLED LATIN CAPITAL LETTER J
        "\u24C0",  # ; CIRCLED LATIN CAPITAL LETTER K
        "\u24C1",  # ; CIRCLED LATIN CAPITAL LETTER L
        "\u24C2",  # ; CIRCLED LATIN CAPITAL LETTER M
        "\u24C3",  # ; CIRCLED LATIN CAPITAL LETTER N
        "\u24C4",  # ; CIRCLED LATIN CAPITAL LETTER O
        "\u24C5",  # ; CIRCLED LATIN CAPITAL LETTER P
        "\u24C6",  # ; CIRCLED LATIN CAPITAL LETTER Q
        "\u24C7",  # ; CIRCLED LATIN CAPITAL LETTER R
        "\u24C8",  # ; CIRCLED LATIN CAPITAL LETTER S
        "\u24C9",  # ; CIRCLED LATIN CAPITAL LETTER T
        "\u24CA",  # ; CIRCLED LATIN CAPITAL LETTER U
        "\u24CB",  # ; CIRCLED LATIN CAPITAL LETTER V
        "\u24CC",  # ; CIRCLED LATIN CAPITAL LETTER W
        "\u24CD",  # ; CIRCLED LATIN CAPITAL LETTER X
        "\u24CE",  # ; CIRCLED LATIN CAPITAL LETTER Y
        "\u24CF",  # ; CIRCLED LATIN CAPITAL LETTER Z
        "\u24D0",  # ; CIRCLED LATIN SMALL LETTER A
        "\u24D1",  # ; CIRCLED LATIN SMALL LETTER B
        "\u24D2",  # ; CIRCLED LATIN SMALL LETTER C
        "\u24D3",  # ; CIRCLED LATIN SMALL LETTER D
        "\u24D4",  # ; CIRCLED LATIN SMALL LETTER E
        "\u24D5",  # ; CIRCLED LATIN SMALL LETTER F
        "\u24D6",  # ; CIRCLED LATIN SMALL LETTER G
        "\u24D7",  # ; CIRCLED LATIN SMALL LETTER H
        "\u24D8",  # ; CIRCLED LATIN SMALL LETTER I
        "\u24D9",  # ; CIRCLED LATIN SMALL LETTER J
        "\u24DA",  # ; CIRCLED LATIN SMALL LETTER K
        "\u24DB",  # ; CIRCLED LATIN SMALL LETTER L
        "\u24DC",  # ; CIRCLED LATIN SMALL LETTER M
        "\u24DD",  # ; CIRCLED LATIN SMALL LETTER N
        "\u24DE",  # ; CIRCLED LATIN SMALL LETTER O
        "\u24DF",  # ; CIRCLED LATIN SMALL LETTER P
        "\u24E0",  # ; CIRCLED LATIN SMALL LETTER Q
        "\u24E1",  # ; CIRCLED LATIN SMALL LETTER R
        "\u24E2",  # ; CIRCLED LATIN SMALL LETTER S
        "\u24E3",  # ; CIRCLED LATIN SMALL LETTER T
        "\u24E4",  # ; CIRCLED LATIN SMALL LETTER U
        "\u24E5",  # ; CIRCLED LATIN SMALL LETTER V
        "\u24E6",  # ; CIRCLED LATIN SMALL LETTER W
        "\u24E7",  # ; CIRCLED LATIN SMALL LETTER X
        "\u24E8",  # ; CIRCLED LATIN SMALL LETTER Y
        "\u24E9",  # ; CIRCLED LATIN SMALL LETTER Z
        "\u24EA",  # ; CIRCLED DIGIT ZERO
        "\u24EB",  # ; NEGATIVE CIRCLED NUMBER ELEVEN
        "\u24EC",  # ; NEGATIVE CIRCLED NUMBER TWELVE
        "\u24ED",  # ; NEGATIVE CIRCLED NUMBER THIRTEEN
        "\u24EE",  # ; NEGATIVE CIRCLED NUMBER FOURTEEN
        "\u24EF",  # ; NEGATIVE CIRCLED NUMBER FIFTEEN
        "\u24F0",  # ; NEGATIVE CIRCLED NUMBER SIXTEEN
        "\u24F1",  # ; NEGATIVE CIRCLED NUMBER SEVENTEEN
        "\u24F2",  # ; NEGATIVE CIRCLED NUMBER EIGHTEEN
        "\u24F3",  # ; NEGATIVE CIRCLED NUMBER NINETEEN
        "\u24F4",  # ; NEGATIVE CIRCLED NUMBER TWENTY
        "\u24F5",  # ; DOUBLE CIRCLED DIGIT ONE
        "\u24F6",  # ; DOUBLE CIRCLED DIGIT TWO
        "\u24F7",  # ; DOUBLE CIRCLED DIGIT THREE
        "\u24F8",  # ; DOUBLE CIRCLED DIGIT FOUR
        "\u24F9",  # ; DOUBLE CIRCLED DIGIT FIVE
        "\u24FA",  # ; DOUBLE CIRCLED DIGIT SIX
        "\u24FB",  # ; DOUBLE CIRCLED DIGIT SEVEN
        "\u24FC",  # ; DOUBLE CIRCLED DIGIT EIGHT
        "\u24FD",  # ; DOUBLE CIRCLED DIGIT NINE
        "\u24FE",  # ; DOUBLE CIRCLED NUMBER TEN
        "\u24FF",  # ; NEGATIVE CIRCLED DIGIT ZERO
        "\u2500",  # ; BOX DRAWINGS LIGHT HORIZONTAL
        "\u2501",  # ; BOX DRAWINGS HEAVY HORIZONTAL
        "\u2502",  # ; BOX DRAWINGS LIGHT VERTICAL
        "\u2503",  # ; BOX DRAWINGS HEAVY VERTICAL
        "\u2504",  # ; BOX DRAWINGS LIGHT TRIPLE DASH HORIZONTAL
        "\u2505",  # ; BOX DRAWINGS HEAVY TRIPLE DASH HORIZONTAL
        "\u2506",  # ; BOX DRAWINGS LIGHT TRIPLE DASH VERTICAL
        "\u2507",  # ; BOX DRAWINGS HEAVY TRIPLE DASH VERTICAL
        "\u2508",  # ; BOX DRAWINGS LIGHT QUADRUPLE DASH HORIZONTAL
        "\u2509",  # ; BOX DRAWINGS HEAVY QUADRUPLE DASH HORIZONTAL
        "\u250A",  # ; BOX DRAWINGS LIGHT QUADRUPLE DASH VERTICAL
        "\u250B",  # ; BOX DRAWINGS HEAVY QUADRUPLE DASH VERTICAL
        "\u250C",  # ; BOX DRAWINGS LIGHT DOWN AND RIGHT
        "\u250D",  # ; BOX DRAWINGS DOWN LIGHT AND RIGHT HEAVY
        "\u250E",  # ; BOX DRAWINGS DOWN HEAVY AND RIGHT LIGHT
        "\u250F",  # ; BOX DRAWINGS HEAVY DOWN AND RIGHT
        "\u2510",  # ; BOX DRAWINGS LIGHT DOWN AND LEFT
        "\u2511",  # ; BOX DRAWINGS DOWN LIGHT AND LEFT HEAVY
        "\u2512",  # ; BOX DRAWINGS DOWN HEAVY AND LEFT LIGHT
        "\u2513",  # ; BOX DRAWINGS HEAVY DOWN AND LEFT
        "\u2514",  # ; BOX DRAWINGS LIGHT UP AND RIGHT
        "\u2515",  # ; BOX DRAWINGS UP LIGHT AND RIGHT HEAVY
        "\u2516",  # ; BOX DRAWINGS UP HEAVY AND RIGHT LIGHT
        "\u2517",  # ; BOX DRAWINGS HEAVY UP AND RIGHT
        "\u2518",  # ; BOX DRAWINGS LIGHT UP AND LEFT
        "\u2519",  # ; BOX DRAWINGS UP LIGHT AND LEFT HEAVY
        "\u251A",  # ; BOX DRAWINGS UP HEAVY AND LEFT LIGHT
        "\u251B",  # ; BOX DRAWINGS HEAVY UP AND LEFT
        "\u251C",  # ; BOX DRAWINGS LIGHT VERTICAL AND RIGHT
        "\u251D",  # ; BOX DRAWINGS VERTICAL LIGHT AND RIGHT HEAVY
        "\u251E",  # ; BOX DRAWINGS UP HEAVY AND RIGHT DOWN LIGHT
        "\u251F",  # ; BOX DRAWINGS DOWN HEAVY AND RIGHT UP LIGHT
        "\u2520",  # ; BOX DRAWINGS VERTICAL HEAVY AND RIGHT LIGHT
        "\u2521",  # ; BOX DRAWINGS DOWN LIGHT AND RIGHT UP HEAVY
        "\u2522",  # ; BOX DRAWINGS UP LIGHT AND RIGHT DOWN HEAVY
        "\u2523",  # ; BOX DRAWINGS HEAVY VERTICAL AND RIGHT
        "\u2524",  # ; BOX DRAWINGS LIGHT VERTICAL AND LEFT
        "\u2525",  # ; BOX DRAWINGS VERTICAL LIGHT AND LEFT HEAVY
        "\u2526",  # ; BOX DRAWINGS UP HEAVY AND LEFT DOWN LIGHT
        "\u2527",  # ; BOX DRAWINGS DOWN HEAVY AND LEFT UP LIGHT
        "\u2528",  # ; BOX DRAWINGS VERTICAL HEAVY AND LEFT LIGHT
        "\u2529",  # ; BOX DRAWINGS DOWN LIGHT AND LEFT UP HEAVY
        "\u252A",  # ; BOX DRAWINGS UP LIGHT AND LEFT DOWN HEAVY
        "\u252B",  # ; BOX DRAWINGS HEAVY VERTICAL AND LEFT
        "\u252C",  # ; BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
        "\u252D",  # ; BOX DRAWINGS LEFT HEAVY AND RIGHT DOWN LIGHT
        "\u252E",  # ; BOX DRAWINGS RIGHT HEAVY AND LEFT DOWN LIGHT
        "\u252F",  # ; BOX DRAWINGS DOWN LIGHT AND HORIZONTAL HEAVY
        "\u2530",  # ; BOX DRAWINGS DOWN HEAVY AND HORIZONTAL LIGHT
        "\u2531",  # ; BOX DRAWINGS RIGHT LIGHT AND LEFT DOWN HEAVY
        "\u2532",  # ; BOX DRAWINGS LEFT LIGHT AND RIGHT DOWN HEAVY
        "\u2533",  # ; BOX DRAWINGS HEAVY DOWN AND HORIZONTAL
        "\u2534",  # ; BOX DRAWINGS LIGHT UP AND HORIZONTAL
        "\u2535",  # ; BOX DRAWINGS LEFT HEAVY AND RIGHT UP LIGHT
        "\u2536",  # ; BOX DRAWINGS RIGHT HEAVY AND LEFT UP LIGHT
        "\u2537",  # ; BOX DRAWINGS UP LIGHT AND HORIZONTAL HEAVY
        "\u2538",  # ; BOX DRAWINGS UP HEAVY AND HORIZONTAL LIGHT
        "\u2539",  # ; BOX DRAWINGS RIGHT LIGHT AND LEFT UP HEAVY
        "\u253A",  # ; BOX DRAWINGS LEFT LIGHT AND RIGHT UP HEAVY
        "\u253B",  # ; BOX DRAWINGS HEAVY UP AND HORIZONTAL
        "\u253C",  # ; BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
        "\u253D",  # ; BOX DRAWINGS LEFT HEAVY AND RIGHT VERTICAL LIGHT
        "\u253E",  # ; BOX DRAWINGS RIGHT HEAVY AND LEFT VERTICAL LIGHT
        "\u253F",  # ; BOX DRAWINGS VERTICAL LIGHT AND HORIZONTAL HEAVY
        "\u2540",  # ; BOX DRAWINGS UP HEAVY AND DOWN HORIZONTAL LIGHT
        "\u2541",  # ; BOX DRAWINGS DOWN HEAVY AND UP HORIZONTAL LIGHT
        "\u2542",  # ; BOX DRAWINGS VERTICAL HEAVY AND HORIZONTAL LIGHT
        "\u2543",  # ; BOX DRAWINGS LEFT UP HEAVY AND RIGHT DOWN LIGHT
        "\u2544",  # ; BOX DRAWINGS RIGHT UP HEAVY AND LEFT DOWN LIGHT
        "\u2545",  # ; BOX DRAWINGS LEFT DOWN HEAVY AND RIGHT UP LIGHT
        "\u2546",  # ; BOX DRAWINGS RIGHT DOWN HEAVY AND LEFT UP LIGHT
        "\u2547",  # ; BOX DRAWINGS DOWN LIGHT AND UP HORIZONTAL HEAVY
        "\u2548",  # ; BOX DRAWINGS UP LIGHT AND DOWN HORIZONTAL HEAVY
        "\u2549",  # ; BOX DRAWINGS RIGHT LIGHT AND LEFT VERTICAL HEAVY
        "\u254A",  # ; BOX DRAWINGS LEFT LIGHT AND RIGHT VERTICAL HEAVY
        "\u254B",  # ; BOX DRAWINGS HEAVY VERTICAL AND HORIZONTAL
        "\u254C",  # ; BOX DRAWINGS LIGHT DOUBLE DASH HORIZONTAL
        "\u254D",  # ; BOX DRAWINGS HEAVY DOUBLE DASH HORIZONTAL
        "\u254E",  # ; BOX DRAWINGS LIGHT DOUBLE DASH VERTICAL
        "\u254F",  # ; BOX DRAWINGS HEAVY DOUBLE DASH VERTICAL
        "\u2550",  # ; BOX DRAWINGS DOUBLE HORIZONTAL
        "\u2551",  # ; BOX DRAWINGS DOUBLE VERTICAL
        "\u2552",  # ; BOX DRAWINGS DOWN SINGLE AND RIGHT DOUBLE
        "\u2553",  # ; BOX DRAWINGS DOWN DOUBLE AND RIGHT SINGLE
        "\u2554",  # ; BOX DRAWINGS DOUBLE DOWN AND RIGHT
        "\u2555",  # ; BOX DRAWINGS DOWN SINGLE AND LEFT DOUBLE
        "\u2556",  # ; BOX DRAWINGS DOWN DOUBLE AND LEFT SINGLE
        "\u2557",  # ; BOX DRAWINGS DOUBLE DOWN AND LEFT
        "\u2558",  # ; BOX DRAWINGS UP SINGLE AND RIGHT DOUBLE
        "\u2559",  # ; BOX DRAWINGS UP DOUBLE AND RIGHT SINGLE
        "\u255A",  # ; BOX DRAWINGS DOUBLE UP AND RIGHT
        "\u255B",  # ; BOX DRAWINGS UP SINGLE AND LEFT DOUBLE
        "\u255C",  # ; BOX DRAWINGS UP DOUBLE AND LEFT SINGLE
        "\u255D",  # ; BOX DRAWINGS DOUBLE UP AND LEFT
        "\u255E",  # ; BOX DRAWINGS VERTICAL SINGLE AND RIGHT DOUBLE
        "\u255F",  # ; BOX DRAWINGS VERTICAL DOUBLE AND RIGHT SINGLE
        "\u2560",  # ; BOX DRAWINGS DOUBLE VERTICAL AND RIGHT
        "\u2561",  # ; BOX DRAWINGS VERTICAL SINGLE AND LEFT DOUBLE
        "\u2562",  # ; BOX DRAWINGS VERTICAL DOUBLE AND LEFT SINGLE
        "\u2563",  # ; BOX DRAWINGS DOUBLE VERTICAL AND LEFT
        "\u2564",  # ; BOX DRAWINGS DOWN SINGLE AND HORIZONTAL DOUBLE
        "\u2565",  # ; BOX DRAWINGS DOWN DOUBLE AND HORIZONTAL SINGLE
        "\u2566",  # ; BOX DRAWINGS DOUBLE DOWN AND HORIZONTAL
        "\u2567",  # ; BOX DRAWINGS UP SINGLE AND HORIZONTAL DOUBLE
        "\u2568",  # ; BOX DRAWINGS UP DOUBLE AND HORIZONTAL SINGLE
        "\u2569",  # ; BOX DRAWINGS DOUBLE UP AND HORIZONTAL
        "\u256A",  # ; BOX DRAWINGS VERTICAL SINGLE AND HORIZONTAL DOUBLE
        "\u256B",  # ; BOX DRAWINGS VERTICAL DOUBLE AND HORIZONTAL SINGLE
        "\u256C",  # ; BOX DRAWINGS DOUBLE VERTICAL AND HORIZONTAL
        "\u256D",  # ; BOX DRAWINGS LIGHT ARC DOWN AND RIGHT
        "\u256E",  # ; BOX DRAWINGS LIGHT ARC DOWN AND LEFT
        "\u256F",  # ; BOX DRAWINGS LIGHT ARC UP AND LEFT
        "\u2570",  # ; BOX DRAWINGS LIGHT ARC UP AND RIGHT
        "\u2571",  # ; BOX DRAWINGS LIGHT DIAGONAL UPPER RIGHT TO LOWER LEFT
        "\u2572",  # ; BOX DRAWINGS LIGHT DIAGONAL UPPER LEFT TO LOWER RIGHT
        "\u2573",  # ; BOX DRAWINGS LIGHT DIAGONAL CROSS
        "\u2574",  # ; BOX DRAWINGS LIGHT LEFT
        "\u2575",  # ; BOX DRAWINGS LIGHT UP
        "\u2576",  # ; BOX DRAWINGS LIGHT RIGHT
        "\u2577",  # ; BOX DRAWINGS LIGHT DOWN
        "\u2578",  # ; BOX DRAWINGS HEAVY LEFT
        "\u2579",  # ; BOX DRAWINGS HEAVY UP
        "\u257A",  # ; BOX DRAWINGS HEAVY RIGHT
        "\u257B",  # ; BOX DRAWINGS HEAVY DOWN
        "\u257C",  # ; BOX DRAWINGS LIGHT LEFT AND HEAVY RIGHT
        "\u257D",  # ; BOX DRAWINGS LIGHT UP AND HEAVY DOWN
        "\u257E",  # ; BOX DRAWINGS HEAVY LEFT AND LIGHT RIGHT
        "\u257F",  # ; BOX DRAWINGS HEAVY UP AND LIGHT DOWN
        "\u2580",  # ; UPPER HALF BLOCK
        "\u2581",  # ; LOWER ONE EIGHTH BLOCK
        "\u2582",  # ; LOWER ONE QUARTER BLOCK
        "\u2583",  # ; LOWER THREE EIGHTHS BLOCK
        "\u2584",  # ; LOWER HALF BLOCK
        "\u2585",  # ; LOWER FIVE EIGHTHS BLOCK
        "\u2586",  # ; LOWER THREE QUARTERS BLOCK
        "\u2587",  # ; LOWER SEVEN EIGHTHS BLOCK
        "\u2588",  # ; FULL BLOCK
        "\u2589",  # ; LEFT SEVEN EIGHTHS BLOCK
        "\u258A",  # ; LEFT THREE QUARTERS BLOCK
        "\u258B",  # ; LEFT FIVE EIGHTHS BLOCK
        "\u258C",  # ; LEFT HALF BLOCK
        "\u258D",  # ; LEFT THREE EIGHTHS BLOCK
        "\u258E",  # ; LEFT ONE QUARTER BLOCK
        "\u258F",  # ; LEFT ONE EIGHTH BLOCK
        "\u2590",  # ; RIGHT HALF BLOCK
        "\u2591",  # ; LIGHT SHADE
        "\u2592",  # ; MEDIUM SHADE
        "\u2593",  # ; DARK SHADE
        "\u2594",  # ; UPPER ONE EIGHTH BLOCK
        "\u2595",  # ; RIGHT ONE EIGHTH BLOCK
        "\u2596",  # ; QUADRANT LOWER LEFT
        "\u2597",  # ; QUADRANT LOWER RIGHT
        "\u2598",  # ; QUADRANT UPPER LEFT
        "\u2599",  # ; QUADRANT UPPER LEFT AND LOWER LEFT AND LOWER RIGHT
        "\u259A",  # ; QUADRANT UPPER LEFT AND LOWER RIGHT
        "\u259B",  # ; QUADRANT UPPER LEFT AND UPPER RIGHT AND LOWER LEFT
        "\u259C",  # ; QUADRANT UPPER LEFT AND UPPER RIGHT AND LOWER RIGHT
        "\u259D",  # ; QUADRANT UPPER RIGHT
        "\u259E",  # ; QUADRANT UPPER RIGHT AND LOWER LEFT
        "\u259F",  # ; QUADRANT UPPER RIGHT AND LOWER LEFT AND LOWER RIGHT
        "\u25A0",  # ; BLACK SQUARE
        "\u25A1",  # ; WHITE SQUARE
        "\u25A2",  # ; WHITE SQUARE WITH ROUNDED CORNERS
        "\u25A3",  # ; WHITE SQUARE CONTAINING BLACK SMALL SQUARE
        "\u25A4",  # ; SQUARE WITH HORIZONTAL FILL
        "\u25A5",  # ; SQUARE WITH VERTICAL FILL
        "\u25A6",  # ; SQUARE WITH ORTHOGONAL CROSSHATCH FILL
        "\u25A7",  # ; SQUARE WITH UPPER LEFT TO LOWER RIGHT FILL
        "\u25A8",  # ; SQUARE WITH UPPER RIGHT TO LOWER LEFT FILL
        "\u25A9",  # ; SQUARE WITH DIAGONAL CROSSHATCH FILL
        "\u25AA",  # ; BLACK SMALL SQUARE
        "\u25AB",  # ; WHITE SMALL SQUARE
        "\u25AC",  # ; BLACK RECTANGLE
        "\u25AD",  # ; WHITE RECTANGLE
        "\u25AE",  # ; BLACK VERTICAL RECTANGLE
        "\u25AF",  # ; WHITE VERTICAL RECTANGLE
        "\u25B0",  # ; BLACK PARALLELOGRAM
        "\u25B1",  # ; WHITE PARALLELOGRAM
        "\u25B2",  # ; BLACK UP-POINTING TRIANGLE
        "\u25B3",  # ; WHITE UP-POINTING TRIANGLE
        "\u25B4",  # ; BLACK UP-POINTING SMALL TRIANGLE
        "\u25B5",  # ; WHITE UP-POINTING SMALL TRIANGLE
        "\u25B6",  # ; BLACK RIGHT-POINTING TRIANGLE
        "\u25B7",  # ; WHITE RIGHT-POINTING TRIANGLE
        "\u25B8",  # ; BLACK RIGHT-POINTING SMALL TRIANGLE
        "\u25B9",  # ; WHITE RIGHT-POINTING SMALL TRIANGLE
        "\u25BA",  # ; BLACK RIGHT-POINTING POINTER
        "\u25BB",  # ; WHITE RIGHT-POINTING POINTER
        "\u25BC",  # ; BLACK DOWN-POINTING TRIANGLE
        "\u25BD",  # ; WHITE DOWN-POINTING TRIANGLE
        "\u25BE",  # ; BLACK DOWN-POINTING SMALL TRIANGLE
        "\u25BF",  # ; WHITE DOWN-POINTING SMALL TRIANGLE
        "\u25C0",  # ; BLACK LEFT-POINTING TRIANGLE
        "\u25C1",  # ; WHITE LEFT-POINTING TRIANGLE
        "\u25C2",  # ; BLACK LEFT-POINTING SMALL TRIANGLE
        "\u25C3",  # ; WHITE LEFT-POINTING SMALL TRIANGLE
        "\u25C4",  # ; BLACK LEFT-POINTING POINTER
        "\u25C5",  # ; WHITE LEFT-POINTING POINTER
        "\u25C6",  # ; BLACK DIAMOND
        "\u25C7",  # ; WHITE DIAMOND
        "\u25C8",  # ; WHITE DIAMOND CONTAINING BLACK SMALL DIAMOND
        "\u25C9",  # ; FISHEYE
        "\u25CA",  # ; LOZENGE
        "\u25CB",  # ; WHITE CIRCLE
        "\u25CC",  # ; DOTTED CIRCLE
        "\u25CD",  # ; CIRCLE WITH VERTICAL FILL
        "\u25CE",  # ; BULLSEYE
        "\u25CF",  # ; BLACK CIRCLE
        "\u25D0",  # ; CIRCLE WITH LEFT HALF BLACK
        "\u25D1",  # ; CIRCLE WITH RIGHT HALF BLACK
        "\u25D2",  # ; CIRCLE WITH LOWER HALF BLACK
        "\u25D3",  # ; CIRCLE WITH UPPER HALF BLACK
        "\u25D4",  # ; CIRCLE WITH UPPER RIGHT QUADRANT BLACK
        "\u25D5",  # ; CIRCLE WITH ALL BUT UPPER LEFT QUADRANT BLACK
        "\u25D6",  # ; LEFT HALF BLACK CIRCLE
        "\u25D7",  # ; RIGHT HALF BLACK CIRCLE
        "\u25D8",  # ; INVERSE BULLET
        "\u25D9",  # ; INVERSE WHITE CIRCLE
        "\u25DA",  # ; UPPER HALF INVERSE WHITE CIRCLE
        "\u25DB",  # ; LOWER HALF INVERSE WHITE CIRCLE
        "\u25DC",  # ; UPPER LEFT QUADRANT CIRCULAR ARC
        "\u25DD",  # ; UPPER RIGHT QUADRANT CIRCULAR ARC
        "\u25DE",  # ; LOWER RIGHT QUADRANT CIRCULAR ARC
        "\u25DF",  # ; LOWER LEFT QUADRANT CIRCULAR ARC
        "\u25E0",  # ; UPPER HALF CIRCLE
        "\u25E1",  # ; LOWER HALF CIRCLE
        "\u25E2",  # ; BLACK LOWER RIGHT TRIANGLE
        "\u25E3",  # ; BLACK LOWER LEFT TRIANGLE
        "\u25E4",  # ; BLACK UPPER LEFT TRIANGLE
        "\u25E5",  # ; BLACK UPPER RIGHT TRIANGLE
        "\u25E6",  # ; WHITE BULLET
        "\u25E7",  # ; SQUARE WITH LEFT HALF BLACK
        "\u25E8",  # ; SQUARE WITH RIGHT HALF BLACK
        "\u25E9",  # ; SQUARE WITH UPPER LEFT DIAGONAL HALF BLACK
        "\u25EA",  # ; SQUARE WITH LOWER RIGHT DIAGONAL HALF BLACK
        "\u25EB",  # ; WHITE SQUARE WITH VERTICAL BISECTING LINE
        "\u25EC",  # ; WHITE UP-POINTING TRIANGLE WITH DOT
        "\u25ED",  # ; UP-POINTING TRIANGLE WITH LEFT HALF BLACK
        "\u25EE",  # ; UP-POINTING TRIANGLE WITH RIGHT HALF BLACK
        "\u25EF",  # ; LARGE CIRCLE
        "\u25F0",  # ; WHITE SQUARE WITH UPPER LEFT QUADRANT
        "\u25F1",  # ; WHITE SQUARE WITH LOWER LEFT QUADRANT
        "\u25F2",  # ; WHITE SQUARE WITH LOWER RIGHT QUADRANT
        "\u25F3",  # ; WHITE SQUARE WITH UPPER RIGHT QUADRANT
        "\u25F4",  # ; WHITE CIRCLE WITH UPPER LEFT QUADRANT
        "\u25F5",  # ; WHITE CIRCLE WITH LOWER LEFT QUADRANT
        "\u25F6",  # ; WHITE CIRCLE WITH LOWER RIGHT QUADRANT
        "\u25F7",  # ; WHITE CIRCLE WITH UPPER RIGHT QUADRANT
        "\u25F8",  # ; UPPER LEFT TRIANGLE
        "\u25F9",  # ; UPPER RIGHT TRIANGLE
        "\u25FA",  # ; LOWER LEFT TRIANGLE
        "\u25FB",  # ; WHITE MEDIUM SQUARE
        "\u25FC",  # ; BLACK MEDIUM SQUARE
        "\u25FD",  # ; WHITE MEDIUM SMALL SQUARE
        "\u25FE",  # ; BLACK MEDIUM SMALL SQUARE
        "\u25FF",  # ; LOWER RIGHT TRIANGLE
        "\u2600",  # ; BLACK SUN WITH RAYS
        "\u2601",  # ; CLOUD
        "\u2602",  # ; UMBRELLA
        "\u2603",  # ; SNOWMAN
        "\u2604",  # ; COMET
        "\u2605",  # ; BLACK STAR
        "\u2606",  # ; WHITE STAR
        "\u2607",  # ; LIGHTNING
        "\u2608",  # ; THUNDERSTORM
        "\u2609",  # ; SUN
        "\u260A",  # ; ASCENDING NODE
        "\u260B",  # ; DESCENDING NODE
        "\u260C",  # ; CONJUNCTION
        "\u260D",  # ; OPPOSITION
        "\u260E",  # ; BLACK TELEPHONE
        "\u260F",  # ; WHITE TELEPHONE
        "\u2610",  # ; BALLOT BOX
        "\u2611",  # ; BALLOT BOX WITH CHECK
        "\u2612",  # ; BALLOT BOX WITH X
        "\u2613",  # ; SALTIRE
        "\u2614",  # ; UMBRELLA WITH RAIN DROPS
        "\u2615",  # ; HOT BEVERAGE
        "\u2616",  # ; WHITE SHOGI PIECE
        "\u2617",  # ; BLACK SHOGI PIECE
        "\u2618",  # ; SHAMROCK
        "\u2619",  # ; REVERSED ROTATED FLORAL HEART BULLET
        "\u261A",  # ; BLACK LEFT POINTING INDEX
        "\u261B",  # ; BLACK RIGHT POINTING INDEX
        "\u261C",  # ; WHITE LEFT POINTING INDEX
        "\u261D",  # ; WHITE UP POINTING INDEX
        "\u261E",  # ; WHITE RIGHT POINTING INDEX
        "\u261F",  # ; WHITE DOWN POINTING INDEX
        "\u2620",  # ; SKULL AND CROSSBONES
        "\u2621",  # ; CAUTION SIGN
        "\u2622",  # ; RADIOACTIVE SIGN
        "\u2623",  # ; BIOHAZARD SIGN
        "\u2624",  # ; CADUCEUS
        "\u2625",  # ; ANKH
        "\u2626",  # ; ORTHODOX CROSS
        "\u2627",  # ; CHI RHO
        "\u2628",  # ; CROSS OF LORRAINE
        "\u2629",  # ; CROSS OF JERUSALEM
        "\u262A",  # ; STAR AND CRESCENT
        "\u262B",  # ; FARSI SYMBOL
        "\u262C",  # ; ADI SHAKTI
        "\u262D",  # ; HAMMER AND SICKLE
        "\u262E",  # ; PEACE SYMBOL
        "\u262F",  # ; YIN YANG
        "\u2630",  # ; TRIGRAM FOR HEAVEN
        "\u2631",  # ; TRIGRAM FOR LAKE
        "\u2632",  # ; TRIGRAM FOR FIRE
        "\u2633",  # ; TRIGRAM FOR THUNDER
        "\u2634",  # ; TRIGRAM FOR WIND
        "\u2635",  # ; TRIGRAM FOR WATER
        "\u2636",  # ; TRIGRAM FOR MOUNTAIN
        "\u2637",  # ; TRIGRAM FOR EARTH
        "\u2638",  # ; WHEEL OF DHARMA
        "\u2639",  # ; WHITE FROWNING FACE
        "\u263A",  # ; WHITE SMILING FACE
        "\u263B",  # ; BLACK SMILING FACE
        "\u263C",  # ; WHITE SUN WITH RAYS
        "\u263D",  # ; FIRST QUARTER MOON
        "\u263E",  # ; LAST QUARTER MOON
        "\u263F",  # ; MERCURY
        "\u2640",  # ; FEMALE SIGN
        "\u2641",  # ; EARTH
        "\u2642",  # ; MALE SIGN
        "\u2643",  # ; JUPITER
        "\u2644",  # ; SATURN
        "\u2645",  # ; URANUS
        "\u2646",  # ; NEPTUNE
        "\u2647",  # ; PLUTO
        "\u2648",  # ; ARIES
        "\u2649",  # ; TAURUS
        "\u264A",  # ; GEMINI
        "\u264B",  # ; CANCER
        "\u264C",  # ; LEO
        "\u264D",  # ; VIRGO
        "\u264E",  # ; LIBRA
        "\u264F",  # ; SCORPIUS
        "\u2650",  # ; SAGITTARIUS
        "\u2651",  # ; CAPRICORN
        "\u2652",  # ; AQUARIUS
        "\u2653",  # ; PISCES
        "\u2654",  # ; WHITE CHESS KING
        "\u2655",  # ; WHITE CHESS QUEEN
        "\u2656",  # ; WHITE CHESS ROOK
        "\u2657",  # ; WHITE CHESS BISHOP
        "\u2658",  # ; WHITE CHESS KNIGHT
        "\u2659",  # ; WHITE CHESS PAWN
        "\u265A",  # ; BLACK CHESS KING
        "\u265B",  # ; BLACK CHESS QUEEN
        "\u265C",  # ; BLACK CHESS ROOK
        "\u265D",  # ; BLACK CHESS BISHOP
        "\u265E",  # ; BLACK CHESS KNIGHT
        "\u265F",  # ; BLACK CHESS PAWN
        "\u2660",  # ; BLACK SPADE SUIT
        "\u2661",  # ; WHITE HEART SUIT
        "\u2662",  # ; WHITE DIAMOND SUIT
        "\u2663",  # ; BLACK CLUB SUIT
        "\u2664",  # ; WHITE SPADE SUIT
        "\u2665",  # ; BLACK HEART SUIT
        "\u2666",  # ; BLACK DIAMOND SUIT
        "\u2667",  # ; WHITE CLUB SUIT
        "\u2668",  # ; HOT SPRINGS
        "\u2669",  # ; QUARTER NOTE
        "\u266A",  # ; EIGHTH NOTE
        "\u266B",  # ; BEAMED EIGHTH NOTES
        "\u266C",  # ; BEAMED SIXTEENTH NOTES
        "\u266D",  # ; MUSIC FLAT SIGN
        "\u266E",  # ; MUSIC NATURAL SIGN
        "\u266F",  # ; MUSIC SHARP SIGN
        "\u2670",  # ; WEST SYRIAC CROSS
        "\u2671",  # ; EAST SYRIAC CROSS
        "\u2672",  # ; UNIVERSAL RECYCLING SYMBOL
        "\u2673",  # ; RECYCLING SYMBOL FOR TYPE-1 PLASTICS
        "\u2674",  # ; RECYCLING SYMBOL FOR TYPE-2 PLASTICS
        "\u2675",  # ; RECYCLING SYMBOL FOR TYPE-3 PLASTICS
        "\u2676",  # ; RECYCLING SYMBOL FOR TYPE-4 PLASTICS
        "\u2677",  # ; RECYCLING SYMBOL FOR TYPE-5 PLASTICS
        "\u2678",  # ; RECYCLING SYMBOL FOR TYPE-6 PLASTICS
        "\u2679",  # ; RECYCLING SYMBOL FOR TYPE-7 PLASTICS
        "\u267A",  # ; RECYCLING SYMBOL FOR GENERIC MATERIALS
        "\u267B",  # ; BLACK UNIVERSAL RECYCLING SYMBOL
        "\u267C",  # ; RECYCLED PAPER SYMBOL
        "\u267D",  # ; PARTIALLY-RECYCLED PAPER SYMBOL
        "\u267E",  # ; PERMANENT PAPER SIGN
        "\u267F",  # ; WHEELCHAIR SYMBOL
        "\u2680",  # ; DIE FACE-1
        "\u2681",  # ; DIE FACE-2
        "\u2682",  # ; DIE FACE-3
        "\u2683",  # ; DIE FACE-4
        "\u2684",  # ; DIE FACE-5
        "\u2685",  # ; DIE FACE-6
        "\u2686",  # ; WHITE CIRCLE WITH DOT RIGHT
        "\u2687",  # ; WHITE CIRCLE WITH TWO DOTS
        "\u2688",  # ; BLACK CIRCLE WITH WHITE DOT RIGHT
        "\u2689",  # ; BLACK CIRCLE WITH TWO WHITE DOTS
        "\u268A",  # ; MONOGRAM FOR YANG
        "\u268B",  # ; MONOGRAM FOR YIN
        "\u268C",  # ; DIGRAM FOR GREATER YANG
        "\u268D",  # ; DIGRAM FOR LESSER YIN
        "\u268E",  # ; DIGRAM FOR LESSER YANG
        "\u268F",  # ; DIGRAM FOR GREATER YIN
        "\u2690",  # ; WHITE FLAG
        "\u2691",  # ; BLACK FLAG
        "\u2692",  # ; HAMMER AND PICK
        "\u2693",  # ; ANCHOR
        "\u2694",  # ; CROSSED SWORDS
        "\u2695",  # ; STAFF OF AESCULAPIUS
        "\u2696",  # ; SCALES
        "\u2697",  # ; ALEMBIC
        "\u2698",  # ; FLOWER
        "\u2699",  # ; GEAR
        "\u269A",  # ; STAFF OF HERMES
        "\u269B",  # ; ATOM SYMBOL
        "\u269C",  # ; FLEUR-DE-LIS
        "\u269D",  # ; OUTLINED WHITE STAR
        "\u269E",  # ; THREE LINES CONVERGING RIGHT
        "\u269F",  # ; THREE LINES CONVERGING LEFT
        "\u26A0",  # ; WARNING SIGN
        "\u26A1",  # ; HIGH VOLTAGE SIGN
        "\u26A2",  # ; DOUBLED FEMALE SIGN
        "\u26A3",  # ; DOUBLED MALE SIGN
        "\u26A4",  # ; INTERLOCKED FEMALE AND MALE SIGN
        "\u26A5",  # ; MALE AND FEMALE SIGN
        "\u26A6",  # ; MALE WITH STROKE SIGN
        "\u26A7",  # ; MALE WITH STROKE AND MALE AND FEMALE SIGN
        "\u26A8",  # ; VERTICAL MALE WITH STROKE SIGN
        "\u26A9",  # ; HORIZONTAL MALE WITH STROKE SIGN
        "\u26AA",  # ; MEDIUM WHITE CIRCLE
        "\u26AB",  # ; MEDIUM BLACK CIRCLE
        "\u26AC",  # ; MEDIUM SMALL WHITE CIRCLE
        "\u26AD",  # ; MARRIAGE SYMBOL
        "\u26AE",  # ; DIVORCE SYMBOL
        "\u26AF",  # ; UNMARRIED PARTNERSHIP SYMBOL
        "\u26B0",  # ; COFFIN
        "\u26B1",  # ; FUNERAL URN
        "\u26B2",  # ; NEUTER
        "\u26B3",  # ; CERES
        "\u26B4",  # ; PALLAS
        "\u26B5",  # ; JUNO
        "\u26B6",  # ; VESTA
        "\u26B7",  # ; CHIRON
        "\u26B8",  # ; BLACK MOON LILITH
        "\u26B9",  # ; SEXTILE
        "\u26BA",  # ; SEMISEXTILE
        "\u26BB",  # ; QUINCUNX
        "\u26BC",  # ; SESQUIQUADRATE
        "\u26BD",  # ; SOCCER BALL
        "\u26BE",  # ; BASEBALL
        "\u26BF",  # ; SQUARED KEY
        "\u26C0",  # ; WHITE DRAUGHTS MAN
        "\u26C1",  # ; WHITE DRAUGHTS KING
        "\u26C2",  # ; BLACK DRAUGHTS MAN
        "\u26C3",  # ; BLACK DRAUGHTS KING
        "\u26C4",  # ; SNOWMAN WITHOUT SNOW
        "\u26C5",  # ; SUN BEHIND CLOUD
        "\u26C6",  # ; RAIN
        "\u26C7",  # ; BLACK SNOWMAN
        "\u26C8",  # ; THUNDER CLOUD AND RAIN
        "\u26C9",  # ; TURNED WHITE SHOGI PIECE
        "\u26CA",  # ; TURNED BLACK SHOGI PIECE
        "\u26CB",  # ; WHITE DIAMOND IN SQUARE
        "\u26CC",  # ; CROSSING LANES
        "\u26CD",  # ; DISABLED CAR
        "\u26CE",  # ; OPHIUCHUS
        "\u26CF",  # ; PICK
        "\u26D0",  # ; CAR SLIDING
        "\u26D1",  # ; HELMET WITH WHITE CROSS
        "\u26D2",  # ; CIRCLED CROSSING LANES
        "\u26D3",  # ; CHAINS
        "\u26D4",  # ; NO ENTRY
        "\u26D5",  # ; ALTERNATE ONE-WAY LEFT WAY TRAFFIC
        "\u26D6",  # ; BLACK TWO-WAY LEFT WAY TRAFFIC
        "\u26D7",  # ; WHITE TWO-WAY LEFT WAY TRAFFIC
        "\u26D8",  # ; BLACK LEFT LANE MERGE
        "\u26D9",  # ; WHITE LEFT LANE MERGE
        "\u26DA",  # ; DRIVE SLOW SIGN
        "\u26DB",  # ; HEAVY WHITE DOWN-POINTING TRIANGLE
        "\u26DC",  # ; LEFT CLOSED ENTRY
        "\u26DD",  # ; SQUARED SALTIRE
        "\u26DE",  # ; FALLING DIAGONAL IN WHITE CIRCLE IN BLACK SQUARE
        "\u26DF",  # ; BLACK TRUCK
        "\u26E0",  # ; RESTRICTED LEFT ENTRY-1
        "\u26E1",  # ; RESTRICTED LEFT ENTRY-2
        "\u26E2",  # ; ASTRONOMICAL SYMBOL FOR URANUS
        "\u26E3",  # ; HEAVY CIRCLE WITH STROKE AND TWO DOTS ABOVE
        "\u26E4",  # ; PENTAGRAM
        "\u26E5",  # ; RIGHT-HANDED INTERLACED PENTAGRAM
        "\u26E6",  # ; LEFT-HANDED INTERLACED PENTAGRAM
        "\u26E7",  # ; INVERTED PENTAGRAM
        "\u26E8",  # ; BLACK CROSS ON SHIELD
        "\u26E9",  # ; SHINTO SHRINE
        "\u26EA",  # ; CHURCH
        "\u26EB",  # ; CASTLE
        "\u26EC",  # ; HISTORIC SITE
        "\u26ED",  # ; GEAR WITHOUT HUB
        "\u26EE",  # ; GEAR WITH HANDLES
        "\u26EF",  # ; MAP SYMBOL FOR LIGHTHOUSE
        "\u26F0",  # ; MOUNTAIN
        "\u26F1",  # ; UMBRELLA ON GROUND
        "\u26F2",  # ; FOUNTAIN
        "\u26F3",  # ; FLAG IN HOLE
        "\u26F4",  # ; FERRY
        "\u26F5",  # ; SAILBOAT
        "\u26F6",  # ; SQUARE FOUR CORNERS
        "\u26F7",  # ; SKIER
        "\u26F8",  # ; ICE SKATE
        "\u26F9",  # ; PERSON WITH BALL
        "\u26FA",  # ; TENT
        "\u26FB",  # ; JAPANESE BANK SYMBOL
        "\u26FC",  # ; HEADSTONE GRAVEYARD SYMBOL
        "\u26FD",  # ; FUEL PUMP
        "\u26FE",  # ; CUP ON BLACK SQUARE
        "\u26FF",  # ; WHITE FLAG WITH HORIZONTAL MIDDLE BLACK STRIPE
        "\u2700",  # ; BLACK SAFETY SCISSORS
        "\u2701",  # ; UPPER BLADE SCISSORS
        "\u2702",  # ; BLACK SCISSORS
        "\u2703",  # ; LOWER BLADE SCISSORS
        "\u2704",  # ; WHITE SCISSORS
        "\u2705",  # ; WHITE HEAVY CHECK MARK
        "\u2706",  # ; TELEPHONE LOCATION SIGN
        "\u2707",  # ; TAPE DRIVE
        "\u2708",  # ; AIRPLANE
        "\u2709",  # ; ENVELOPE
        "\u270A",  # ; RAISED FIST
        "\u270B",  # ; RAISED HAND
        "\u270C",  # ; VICTORY HAND
        "\u270D",  # ; WRITING HAND
        "\u270E",  # ; LOWER RIGHT PENCIL
        "\u270F",  # ; PENCIL
        "\u2710",  # ; UPPER RIGHT PENCIL
        "\u2711",  # ; WHITE NIB
        "\u2712",  # ; BLACK NIB
        "\u2713",  # ; CHECK MARK
        "\u2714",  # ; HEAVY CHECK MARK
        "\u2715",  # ; MULTIPLICATION X
        "\u2716",  # ; HEAVY MULTIPLICATION X
        "\u2717",  # ; BALLOT X
        "\u2718",  # ; HEAVY BALLOT X
        "\u2719",  # ; OUTLINED GREEK CROSS
        "\u271A",  # ; HEAVY GREEK CROSS
        "\u271B",  # ; OPEN CENTRE CROSS
        "\u271C",  # ; HEAVY OPEN CENTRE CROSS
        "\u271D",  # ; LATIN CROSS
        "\u271E",  # ; SHADOWED WHITE LATIN CROSS
        "\u271F",  # ; OUTLINED LATIN CROSS
        "\u2720",  # ; MALTESE CROSS
        "\u2721",  # ; STAR OF DAVID
        "\u2722",  # ; FOUR TEARDROP-SPOKED ASTERISK
        "\u2723",  # ; FOUR BALLOON-SPOKED ASTERISK
        "\u2724",  # ; HEAVY FOUR BALLOON-SPOKED ASTERISK
        "\u2725",  # ; FOUR CLUB-SPOKED ASTERISK
        "\u2726",  # ; BLACK FOUR POINTED STAR
        "\u2727",  # ; WHITE FOUR POINTED STAR
        "\u2728",  # ; SPARKLES
        "\u2729",  # ; STRESS OUTLINED WHITE STAR
        "\u272A",  # ; CIRCLED WHITE STAR
        "\u272B",  # ; OPEN CENTRE BLACK STAR
        "\u272C",  # ; BLACK CENTRE WHITE STAR
        "\u272D",  # ; OUTLINED BLACK STAR
        "\u272E",  # ; HEAVY OUTLINED BLACK STAR
        "\u272F",  # ; PINWHEEL STAR
        "\u2730",  # ; SHADOWED WHITE STAR
        "\u2731",  # ; HEAVY ASTERISK
        "\u2732",  # ; OPEN CENTRE ASTERISK
        "\u2733",  # ; EIGHT SPOKED ASTERISK
        "\u2734",  # ; EIGHT POINTED BLACK STAR
        "\u2735",  # ; EIGHT POINTED PINWHEEL STAR
        "\u2736",  # ; SIX POINTED BLACK STAR
        "\u2737",  # ; EIGHT POINTED RECTILINEAR BLACK STAR
        "\u2738",  # ; HEAVY EIGHT POINTED RECTILINEAR BLACK STAR
        "\u2739",  # ; TWELVE POINTED BLACK STAR
        "\u273A",  # ; SIXTEEN POINTED ASTERISK
        "\u273B",  # ; TEARDROP-SPOKED ASTERISK
        "\u273C",  # ; OPEN CENTRE TEARDROP-SPOKED ASTERISK
        "\u273D",  # ; HEAVY TEARDROP-SPOKED ASTERISK
        "\u273E",  # ; SIX PETALLED BLACK AND WHITE FLORETTE
        "\u273F",  # ; BLACK FLORETTE
        "\u2740",  # ; WHITE FLORETTE
        "\u2741",  # ; EIGHT PETALLED OUTLINED BLACK FLORETTE
        "\u2742",  # ; CIRCLED OPEN CENTRE EIGHT POINTED STAR
        "\u2743",  # ; HEAVY TEARDROP-SPOKED PINWHEEL ASTERISK
        "\u2744",  # ; SNOWFLAKE
        "\u2745",  # ; TIGHT TRIFOLIATE SNOWFLAKE
        "\u2746",  # ; HEAVY CHEVRON SNOWFLAKE
        "\u2747",  # ; SPARKLE
        "\u2748",  # ; HEAVY SPARKLE
        "\u2749",  # ; BALLOON-SPOKED ASTERISK
        "\u274A",  # ; EIGHT TEARDROP-SPOKED PROPELLER ASTERISK
        "\u274B",  # ; HEAVY EIGHT TEARDROP-SPOKED PROPELLER ASTERISK
        "\u274C",  # ; CROSS MARK
        "\u274D",  # ; SHADOWED WHITE CIRCLE
        "\u274E",  # ; NEGATIVE SQUARED CROSS MARK
        "\u274F",  # ; LOWER RIGHT DROP-SHADOWED WHITE SQUARE
        "\u2750",  # ; UPPER RIGHT DROP-SHADOWED WHITE SQUARE
        "\u2751",  # ; LOWER RIGHT SHADOWED WHITE SQUARE
        "\u2752",  # ; UPPER RIGHT SHADOWED WHITE SQUARE
        "\u2753",  # ; BLACK QUESTION MARK ORNAMENT
        "\u2754",  # ; WHITE QUESTION MARK ORNAMENT
        "\u2755",  # ; WHITE EXCLAMATION MARK ORNAMENT
        "\u2756",  # ; BLACK DIAMOND MINUS WHITE X
        "\u2757",  # ; HEAVY EXCLAMATION MARK SYMBOL
        "\u2758",  # ; LIGHT VERTICAL BAR
        "\u2759",  # ; MEDIUM VERTICAL BAR
        "\u275A",  # ; HEAVY VERTICAL BAR
        "\u275B",  # ; HEAVY SINGLE TURNED COMMA QUOTATION MARK ORNAMENT
        "\u275C",  # ; HEAVY SINGLE COMMA QUOTATION MARK ORNAMENT
        "\u275D",  # ; HEAVY DOUBLE TURNED COMMA QUOTATION MARK ORNAMENT
        "\u275E",  # ; HEAVY DOUBLE COMMA QUOTATION MARK ORNAMENT
        "\u275F",  # ; HEAVY LOW SINGLE COMMA QUOTATION MARK ORNAMENT
        "\u2760",  # ; HEAVY LOW DOUBLE COMMA QUOTATION MARK ORNAMENT
        "\u2761",  # ; CURVED STEM PARAGRAPH SIGN ORNAMENT
        "\u2762",  # ; HEAVY EXCLAMATION MARK ORNAMENT
        "\u2763",  # ; HEAVY HEART EXCLAMATION MARK ORNAMENT
        "\u2764",  # ; HEAVY BLACK HEART
        "\u2765",  # ; ROTATED HEAVY BLACK HEART BULLET
        "\u2766",  # ; FLORAL HEART
        "\u2767",  # ; ROTATED FLORAL HEART BULLET
        "\u2768",  # ; MEDIUM LEFT PARENTHESIS ORNAMENT
        "\u2769",  # ; MEDIUM RIGHT PARENTHESIS ORNAMENT
        "\u276A",  # ; MEDIUM FLATTENED LEFT PARENTHESIS ORNAMENT
        "\u276B",  # ; MEDIUM FLATTENED RIGHT PARENTHESIS ORNAMENT
        "\u276C",  # ; MEDIUM LEFT-POINTING ANGLE BRACKET ORNAMENT
        "\u276D",  # ; MEDIUM RIGHT-POINTING ANGLE BRACKET ORNAMENT
        "\u276E",  # ; HEAVY LEFT-POINTING ANGLE QUOTATION MARK ORNAMENT
        "\u276F",  # ; HEAVY RIGHT-POINTING ANGLE QUOTATION MARK ORNAMENT
        "\u2770",  # ; HEAVY LEFT-POINTING ANGLE BRACKET ORNAMENT
        "\u2771",  # ; HEAVY RIGHT-POINTING ANGLE BRACKET ORNAMENT
        "\u2772",  # ; LIGHT LEFT TORTOISE SHELL BRACKET ORNAMENT
        "\u2773",  # ; LIGHT RIGHT TORTOISE SHELL BRACKET ORNAMENT
        "\u2774",  # ; MEDIUM LEFT CURLY BRACKET ORNAMENT
        "\u2775",  # ; MEDIUM RIGHT CURLY BRACKET ORNAMENT
        "\u2776",  # ; DINGBAT NEGATIVE CIRCLED DIGIT ONE
        "\u2777",  # ; DINGBAT NEGATIVE CIRCLED DIGIT TWO
        "\u2778",  # ; DINGBAT NEGATIVE CIRCLED DIGIT THREE
        "\u2779",  # ; DINGBAT NEGATIVE CIRCLED DIGIT FOUR
        "\u277A",  # ; DINGBAT NEGATIVE CIRCLED DIGIT FIVE
        "\u277B",  # ; DINGBAT NEGATIVE CIRCLED DIGIT SIX
        "\u277C",  # ; DINGBAT NEGATIVE CIRCLED DIGIT SEVEN
        "\u277D",  # ; DINGBAT NEGATIVE CIRCLED DIGIT EIGHT
        "\u277E",  # ; DINGBAT NEGATIVE CIRCLED DIGIT NINE
        "\u277F",  # ; DINGBAT NEGATIVE CIRCLED NUMBER TEN
        "\u2780",  # ; DINGBAT CIRCLED SANS-SERIF DIGIT ONE
        "\u2781",  # ; DINGBAT CIRCLED SANS-SERIF DIGIT TWO
        "\u2782",  # ; DINGBAT CIRCLED SANS-SERIF DIGIT THREE
        "\u2783",  # ; DINGBAT CIRCLED SANS-SERIF DIGIT FOUR
        "\u2784",  # ; DINGBAT CIRCLED SANS-SERIF DIGIT FIVE
        "\u2785",  # ; DINGBAT CIRCLED SANS-SERIF DIGIT SIX
        "\u2786",  # ; DINGBAT CIRCLED SANS-SERIF DIGIT SEVEN
        "\u2787",  # ; DINGBAT CIRCLED SANS-SERIF DIGIT EIGHT
        "\u2788",  # ; DINGBAT CIRCLED SANS-SERIF DIGIT NINE
        "\u2789",  # ; DINGBAT CIRCLED SANS-SERIF NUMBER TEN
        "\u278A",  # ; DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT ONE
        "\u278B",  # ; DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT TWO
        "\u278C",  # ; DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT THREE
        "\u278D",  # ; DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT FOUR
        "\u278E",  # ; DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT FIVE
        "\u278F",  # ; DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT SIX
        "\u2790",  # ; DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT SEVEN
        "\u2791",  # ; DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT EIGHT
        "\u2792",  # ; DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT NINE
        "\u2793",  # ; DINGBAT NEGATIVE CIRCLED SANS-SERIF NUMBER TEN
        "\u2794",  # ; HEAVY WIDE-HEADED RIGHTWARDS ARROW
        "\u2795",  # ; HEAVY PLUS SIGN
        "\u2796",  # ; HEAVY MINUS SIGN
        "\u2797",  # ; HEAVY DIVISION SIGN
        "\u2798",  # ; HEAVY SOUTH EAST ARROW
        "\u2799",  # ; HEAVY RIGHTWARDS ARROW
        "\u279A",  # ; HEAVY NORTH EAST ARROW
        "\u279B",  # ; DRAFTING POINT RIGHTWARDS ARROW
        "\u279C",  # ; HEAVY ROUND-TIPPED RIGHTWARDS ARROW
        "\u279D",  # ; TRIANGLE-HEADED RIGHTWARDS ARROW
        "\u279E",  # ; HEAVY TRIANGLE-HEADED RIGHTWARDS ARROW
        "\u279F",  # ; DASHED TRIANGLE-HEADED RIGHTWARDS ARROW
        "\u27A0",  # ; HEAVY DASHED TRIANGLE-HEADED RIGHTWARDS ARROW
        "\u27A1",  # ; BLACK RIGHTWARDS ARROW
        "\u27A2",  # ; THREE-D TOP-LIGHTED RIGHTWARDS ARROWHEAD
        "\u27A3",  # ; THREE-D BOTTOM-LIGHTED RIGHTWARDS ARROWHEAD
        "\u27A4",  # ; BLACK RIGHTWARDS ARROWHEAD
        "\u27A5",  # ; HEAVY BLACK CURVED DOWNWARDS AND RIGHTWARDS ARROW
        "\u27A6",  # ; HEAVY BLACK CURVED UPWARDS AND RIGHTWARDS ARROW
        "\u27A7",  # ; SQUAT BLACK RIGHTWARDS ARROW
        "\u27A8",  # ; HEAVY CONCAVE-POINTED BLACK RIGHTWARDS ARROW
        "\u27A9",  # ; RIGHT-SHADED WHITE RIGHTWARDS ARROW
        "\u27AA",  # ; LEFT-SHADED WHITE RIGHTWARDS ARROW
        "\u27AB",  # ; BACK-TILTED SHADOWED WHITE RIGHTWARDS ARROW
        "\u27AC",  # ; FRONT-TILTED SHADOWED WHITE RIGHTWARDS ARROW
        "\u27AD",  # ; HEAVY LOWER RIGHT-SHADOWED WHITE RIGHTWARDS ARROW
        "\u27AE",  # ; HEAVY UPPER RIGHT-SHADOWED WHITE RIGHTWARDS ARROW
        "\u27AF",  # ; NOTCHED LOWER RIGHT-SHADOWED WHITE RIGHTWARDS ARROW
        "\u27B0",  # ; CURLY LOOP
        "\u27B1",  # ; NOTCHED UPPER RIGHT-SHADOWED WHITE RIGHTWARDS ARROW
        "\u27B2",  # ; CIRCLED HEAVY WHITE RIGHTWARDS ARROW
        "\u27B3",  # ; WHITE-FEATHERED RIGHTWARDS ARROW
        "\u27B4",  # ; BLACK-FEATHERED SOUTH EAST ARROW
        "\u27B5",  # ; BLACK-FEATHERED RIGHTWARDS ARROW
        "\u27B6",  # ; BLACK-FEATHERED NORTH EAST ARROW
        "\u27B7",  # ; HEAVY BLACK-FEATHERED SOUTH EAST ARROW
        "\u27B8",  # ; HEAVY BLACK-FEATHERED RIGHTWARDS ARROW
        "\u27B9",  # ; HEAVY BLACK-FEATHERED NORTH EAST ARROW
        "\u27BA",  # ; TEARDROP-BARBED RIGHTWARDS ARROW
        "\u27BB",  # ; HEAVY TEARDROP-SHANKED RIGHTWARDS ARROW
        "\u27BC",  # ; WEDGE-TAILED RIGHTWARDS ARROW
        "\u27BD",  # ; HEAVY WEDGE-TAILED RIGHTWARDS ARROW
        "\u27BE",  # ; OPEN-OUTLINED RIGHTWARDS ARROW
        "\u27BF",  # ; DOUBLE CURLY LOOP
        "\u27C0",  # ; THREE DIMENSIONAL ANGLE
        "\u27C1",  # ; WHITE TRIANGLE CONTAINING SMALL WHITE TRIANGLE
        "\u27C2",  # ; PERPENDICULAR
        "\u27C3",  # ; OPEN SUBSET
        "\u27C4",  # ; OPEN SUPERSET
        "\u27C5",  # ; LEFT S-SHAPED BAG DELIMITER
        "\u27C6",  # ; RIGHT S-SHAPED BAG DELIMITER
        "\u27C7",  # ; OR WITH DOT INSIDE
        "\u27C8",  # ; REVERSE SOLIDUS PRECEDING SUBSET
        "\u27C9",  # ; SUPERSET PRECEDING SOLIDUS
        "\u27CA",  # ; VERTICAL BAR WITH HORIZONTAL STROKE
        "\u27CB",  # ; MATHEMATICAL RISING DIAGONAL
        "\u27CC",  # ; LONG DIVISION
        "\u27CD",  # ; MATHEMATICAL FALLING DIAGONAL
        "\u27CE",  # ; SQUARED LOGICAL AND
        "\u27CF",  # ; SQUARED LOGICAL OR
        "\u27D0",  # ; WHITE DIAMOND WITH CENTRED DOT
        "\u27D1",  # ; AND WITH DOT
        "\u27D2",  # ; ELEMENT OF OPENING UPWARDS
        "\u27D3",  # ; LOWER RIGHT CORNER WITH DOT
        "\u27D4",  # ; UPPER LEFT CORNER WITH DOT
        "\u27D5",  # ; LEFT OUTER JOIN
        "\u27D6",  # ; RIGHT OUTER JOIN
        "\u27D7",  # ; FULL OUTER JOIN
        "\u27D8",  # ; LARGE UP TACK
        "\u27D9",  # ; LARGE DOWN TACK
        "\u27DA",  # ; LEFT AND RIGHT DOUBLE TURNSTILE
        "\u27DB",  # ; LEFT AND RIGHT TACK
        "\u27DC",  # ; LEFT MULTIMAP
        "\u27DD",  # ; LONG RIGHT TACK
        "\u27DE",  # ; LONG LEFT TACK
        "\u27DF",  # ; UP TACK WITH CIRCLE ABOVE
        "\u27E0",  # ; LOZENGE DIVIDED BY HORIZONTAL RULE
        "\u27E1",  # ; WHITE CONCAVE-SIDED DIAMOND
        "\u27E2",  # ; WHITE CONCAVE-SIDED DIAMOND WITH LEFTWARDS TICK
        "\u27E3",  # ; WHITE CONCAVE-SIDED DIAMOND WITH RIGHTWARDS TICK
        "\u27E4",  # ; WHITE SQUARE WITH LEFTWARDS TICK
        "\u27E5",  # ; WHITE SQUARE WITH RIGHTWARDS TICK
        "\u27E6",  # ; MATHEMATICAL LEFT WHITE SQUARE BRACKET
        "\u27E7",  # ; MATHEMATICAL RIGHT WHITE SQUARE BRACKET
        "\u27E8",  # ; MATHEMATICAL LEFT ANGLE BRACKET
        "\u27E9",  # ; MATHEMATICAL RIGHT ANGLE BRACKET
        "\u27EA",  # ; MATHEMATICAL LEFT DOUBLE ANGLE BRACKET
        "\u27EB",  # ; MATHEMATICAL RIGHT DOUBLE ANGLE BRACKET
        "\u27EC",  # ; MATHEMATICAL LEFT WHITE TORTOISE SHELL BRACKET
        "\u27ED",  # ; MATHEMATICAL RIGHT WHITE TORTOISE SHELL BRACKET
        "\u27EE",  # ; MATHEMATICAL LEFT FLATTENED PARENTHESIS
        "\u27EF",  # ; MATHEMATICAL RIGHT FLATTENED PARENTHESIS
        "\u27F0",  # ; UPWARDS QUADRUPLE ARROW
        "\u27F1",  # ; DOWNWARDS QUADRUPLE ARROW
        "\u27F2",  # ; ANTICLOCKWISE GAPPED CIRCLE ARROW
        "\u27F3",  # ; CLOCKWISE GAPPED CIRCLE ARROW
        "\u27F4",  # ; RIGHT ARROW WITH CIRCLED PLUS
        "\u27F5",  # ; LONG LEFTWARDS ARROW
        "\u27F6",  # ; LONG RIGHTWARDS ARROW
        "\u27F7",  # ; LONG LEFT RIGHT ARROW
        "\u27F8",  # ; LONG LEFTWARDS DOUBLE ARROW
        "\u27F9",  # ; LONG RIGHTWARDS DOUBLE ARROW
        "\u27FA",  # ; LONG LEFT RIGHT DOUBLE ARROW
        "\u27FB",  # ; LONG LEFTWARDS ARROW FROM BAR
        "\u27FC",  # ; LONG RIGHTWARDS ARROW FROM BAR
        "\u27FD",  # ; LONG LEFTWARDS DOUBLE ARROW FROM BAR
        "\u27FE",  # ; LONG RIGHTWARDS DOUBLE ARROW FROM BAR
        "\u27FF",  # ; LONG RIGHTWARDS SQUIGGLE ARROW
        "\u2800",  # ; BRAILLE PATTERN BLANK
        "\u2801",  # ; BRAILLE PATTERN DOTS-1
        "\u2802",  # ; BRAILLE PATTERN DOTS-2
        "\u2803",  # ; BRAILLE PATTERN DOTS-12
        "\u2804",  # ; BRAILLE PATTERN DOTS-3
        "\u2805",  # ; BRAILLE PATTERN DOTS-13
        "\u2806",  # ; BRAILLE PATTERN DOTS-23
        "\u2807",  # ; BRAILLE PATTERN DOTS-123
        "\u2808",  # ; BRAILLE PATTERN DOTS-4
        "\u2809",  # ; BRAILLE PATTERN DOTS-14
        "\u280A",  # ; BRAILLE PATTERN DOTS-24
        "\u280B",  # ; BRAILLE PATTERN DOTS-124
        "\u280C",  # ; BRAILLE PATTERN DOTS-34
        "\u280D",  # ; BRAILLE PATTERN DOTS-134
        "\u280E",  # ; BRAILLE PATTERN DOTS-234
        "\u280F",  # ; BRAILLE PATTERN DOTS-1234
        "\u2810",  # ; BRAILLE PATTERN DOTS-5
        "\u2811",  # ; BRAILLE PATTERN DOTS-15
        "\u2812",  # ; BRAILLE PATTERN DOTS-25
        "\u2813",  # ; BRAILLE PATTERN DOTS-125
        "\u2814",  # ; BRAILLE PATTERN DOTS-35
        "\u2815",  # ; BRAILLE PATTERN DOTS-135
        "\u2816",  # ; BRAILLE PATTERN DOTS-235
        "\u2817",  # ; BRAILLE PATTERN DOTS-1235
        "\u2818",  # ; BRAILLE PATTERN DOTS-45
        "\u2819",  # ; BRAILLE PATTERN DOTS-145
        "\u281A",  # ; BRAILLE PATTERN DOTS-245
        "\u281B",  # ; BRAILLE PATTERN DOTS-1245
        "\u281C",  # ; BRAILLE PATTERN DOTS-345
        "\u281D",  # ; BRAILLE PATTERN DOTS-1345
        "\u281E",  # ; BRAILLE PATTERN DOTS-2345
        "\u281F",  # ; BRAILLE PATTERN DOTS-12345
        "\u2820",  # ; BRAILLE PATTERN DOTS-6
        "\u2821",  # ; BRAILLE PATTERN DOTS-16
        "\u2822",  # ; BRAILLE PATTERN DOTS-26
        "\u2823",  # ; BRAILLE PATTERN DOTS-126
        "\u2824",  # ; BRAILLE PATTERN DOTS-36
        "\u2825",  # ; BRAILLE PATTERN DOTS-136
        "\u2826",  # ; BRAILLE PATTERN DOTS-236
        "\u2827",  # ; BRAILLE PATTERN DOTS-1236
        "\u2828",  # ; BRAILLE PATTERN DOTS-46
        "\u2829",  # ; BRAILLE PATTERN DOTS-146
        "\u282A",  # ; BRAILLE PATTERN DOTS-246
        "\u282B",  # ; BRAILLE PATTERN DOTS-1246
        "\u282C",  # ; BRAILLE PATTERN DOTS-346
        "\u282D",  # ; BRAILLE PATTERN DOTS-1346
        "\u282E",  # ; BRAILLE PATTERN DOTS-2346
        "\u282F",  # ; BRAILLE PATTERN DOTS-12346
        "\u2830",  # ; BRAILLE PATTERN DOTS-56
        "\u2831",  # ; BRAILLE PATTERN DOTS-156
        "\u2832",  # ; BRAILLE PATTERN DOTS-256
        "\u2833",  # ; BRAILLE PATTERN DOTS-1256
        "\u2834",  # ; BRAILLE PATTERN DOTS-356
        "\u2835",  # ; BRAILLE PATTERN DOTS-1356
        "\u2836",  # ; BRAILLE PATTERN DOTS-2356
        "\u2837",  # ; BRAILLE PATTERN DOTS-12356
        "\u2838",  # ; BRAILLE PATTERN DOTS-456
        "\u2839",  # ; BRAILLE PATTERN DOTS-1456
        "\u283A",  # ; BRAILLE PATTERN DOTS-2456
        "\u283B",  # ; BRAILLE PATTERN DOTS-12456
        "\u283C",  # ; BRAILLE PATTERN DOTS-3456
        "\u283D",  # ; BRAILLE PATTERN DOTS-13456
        "\u283E",  # ; BRAILLE PATTERN DOTS-23456
        "\u283F",  # ; BRAILLE PATTERN DOTS-123456
        "\u2840",  # ; BRAILLE PATTERN DOTS-7
        "\u2841",  # ; BRAILLE PATTERN DOTS-17
        "\u2842",  # ; BRAILLE PATTERN DOTS-27
        "\u2843",  # ; BRAILLE PATTERN DOTS-127
        "\u2844",  # ; BRAILLE PATTERN DOTS-37
        "\u2845",  # ; BRAILLE PATTERN DOTS-137
        "\u2846",  # ; BRAILLE PATTERN DOTS-237
        "\u2847",  # ; BRAILLE PATTERN DOTS-1237
        "\u2848",  # ; BRAILLE PATTERN DOTS-47
        "\u2849",  # ; BRAILLE PATTERN DOTS-147
        "\u284A",  # ; BRAILLE PATTERN DOTS-247
        "\u284B",  # ; BRAILLE PATTERN DOTS-1247
        "\u284C",  # ; BRAILLE PATTERN DOTS-347
        "\u284D",  # ; BRAILLE PATTERN DOTS-1347
        "\u284E",  # ; BRAILLE PATTERN DOTS-2347
        "\u284F",  # ; BRAILLE PATTERN DOTS-12347
        "\u2850",  # ; BRAILLE PATTERN DOTS-57
        "\u2851",  # ; BRAILLE PATTERN DOTS-157
        "\u2852",  # ; BRAILLE PATTERN DOTS-257
        "\u2853",  # ; BRAILLE PATTERN DOTS-1257
        "\u2854",  # ; BRAILLE PATTERN DOTS-357
        "\u2855",  # ; BRAILLE PATTERN DOTS-1357
        "\u2856",  # ; BRAILLE PATTERN DOTS-2357
        "\u2857",  # ; BRAILLE PATTERN DOTS-12357
        "\u2858",  # ; BRAILLE PATTERN DOTS-457
        "\u2859",  # ; BRAILLE PATTERN DOTS-1457
        "\u285A",  # ; BRAILLE PATTERN DOTS-2457
        "\u285B",  # ; BRAILLE PATTERN DOTS-12457
        "\u285C",  # ; BRAILLE PATTERN DOTS-3457
        "\u285D",  # ; BRAILLE PATTERN DOTS-13457
        "\u285E",  # ; BRAILLE PATTERN DOTS-23457
        "\u285F",  # ; BRAILLE PATTERN DOTS-123457
        "\u2860",  # ; BRAILLE PATTERN DOTS-67
        "\u2861",  # ; BRAILLE PATTERN DOTS-167
        "\u2862",  # ; BRAILLE PATTERN DOTS-267
        "\u2863",  # ; BRAILLE PATTERN DOTS-1267
        "\u2864",  # ; BRAILLE PATTERN DOTS-367
        "\u2865",  # ; BRAILLE PATTERN DOTS-1367
        "\u2866",  # ; BRAILLE PATTERN DOTS-2367
        "\u2867",  # ; BRAILLE PATTERN DOTS-12367
        "\u2868",  # ; BRAILLE PATTERN DOTS-467
        "\u2869",  # ; BRAILLE PATTERN DOTS-1467
        "\u286A",  # ; BRAILLE PATTERN DOTS-2467
        "\u286B",  # ; BRAILLE PATTERN DOTS-12467
        "\u286C",  # ; BRAILLE PATTERN DOTS-3467
        "\u286D",  # ; BRAILLE PATTERN DOTS-13467
        "\u286E",  # ; BRAILLE PATTERN DOTS-23467
        "\u286F",  # ; BRAILLE PATTERN DOTS-123467
        "\u2870",  # ; BRAILLE PATTERN DOTS-567
        "\u2871",  # ; BRAILLE PATTERN DOTS-1567
        "\u2872",  # ; BRAILLE PATTERN DOTS-2567
        "\u2873",  # ; BRAILLE PATTERN DOTS-12567
        "\u2874",  # ; BRAILLE PATTERN DOTS-3567
        "\u2875",  # ; BRAILLE PATTERN DOTS-13567
        "\u2876",  # ; BRAILLE PATTERN DOTS-23567
        "\u2877",  # ; BRAILLE PATTERN DOTS-123567
        "\u2878",  # ; BRAILLE PATTERN DOTS-4567
        "\u2879",  # ; BRAILLE PATTERN DOTS-14567
        "\u287A",  # ; BRAILLE PATTERN DOTS-24567
        "\u287B",  # ; BRAILLE PATTERN DOTS-124567
        "\u287C",  # ; BRAILLE PATTERN DOTS-34567
        "\u287D",  # ; BRAILLE PATTERN DOTS-134567
        "\u287E",  # ; BRAILLE PATTERN DOTS-234567
        "\u287F",  # ; BRAILLE PATTERN DOTS-1234567
        "\u2880",  # ; BRAILLE PATTERN DOTS-8
        "\u2881",  # ; BRAILLE PATTERN DOTS-18
        "\u2882",  # ; BRAILLE PATTERN DOTS-28
        "\u2883",  # ; BRAILLE PATTERN DOTS-128
        "\u2884",  # ; BRAILLE PATTERN DOTS-38
        "\u2885",  # ; BRAILLE PATTERN DOTS-138
        "\u2886",  # ; BRAILLE PATTERN DOTS-238
        "\u2887",  # ; BRAILLE PATTERN DOTS-1238
        "\u2888",  # ; BRAILLE PATTERN DOTS-48
        "\u2889",  # ; BRAILLE PATTERN DOTS-148
        "\u288A",  # ; BRAILLE PATTERN DOTS-248
        "\u288B",  # ; BRAILLE PATTERN DOTS-1248
        "\u288C",  # ; BRAILLE PATTERN DOTS-348
        "\u288D",  # ; BRAILLE PATTERN DOTS-1348
        "\u288E",  # ; BRAILLE PATTERN DOTS-2348
        "\u288F",  # ; BRAILLE PATTERN DOTS-12348
        "\u2890",  # ; BRAILLE PATTERN DOTS-58
        "\u2891",  # ; BRAILLE PATTERN DOTS-158
        "\u2892",  # ; BRAILLE PATTERN DOTS-258
        "\u2893",  # ; BRAILLE PATTERN DOTS-1258
        "\u2894",  # ; BRAILLE PATTERN DOTS-358
        "\u2895",  # ; BRAILLE PATTERN DOTS-1358
        "\u2896",  # ; BRAILLE PATTERN DOTS-2358
        "\u2897",  # ; BRAILLE PATTERN DOTS-12358
        "\u2898",  # ; BRAILLE PATTERN DOTS-458
        "\u2899",  # ; BRAILLE PATTERN DOTS-1458
        "\u289A",  # ; BRAILLE PATTERN DOTS-2458
        "\u289B",  # ; BRAILLE PATTERN DOTS-12458
        "\u289C",  # ; BRAILLE PATTERN DOTS-3458
        "\u289D",  # ; BRAILLE PATTERN DOTS-13458
        "\u289E",  # ; BRAILLE PATTERN DOTS-23458
        "\u289F",  # ; BRAILLE PATTERN DOTS-123458
        "\u28A0",  # ; BRAILLE PATTERN DOTS-68
        "\u28A1",  # ; BRAILLE PATTERN DOTS-168
        "\u28A2",  # ; BRAILLE PATTERN DOTS-268
        "\u28A3",  # ; BRAILLE PATTERN DOTS-1268
        "\u28A4",  # ; BRAILLE PATTERN DOTS-368
        "\u28A5",  # ; BRAILLE PATTERN DOTS-1368
        "\u28A6",  # ; BRAILLE PATTERN DOTS-2368
        "\u28A7",  # ; BRAILLE PATTERN DOTS-12368
        "\u28A8",  # ; BRAILLE PATTERN DOTS-468
        "\u28A9",  # ; BRAILLE PATTERN DOTS-1468
        "\u28AA",  # ; BRAILLE PATTERN DOTS-2468
        "\u28AB",  # ; BRAILLE PATTERN DOTS-12468
        "\u28AC",  # ; BRAILLE PATTERN DOTS-3468
        "\u28AD",  # ; BRAILLE PATTERN DOTS-13468
        "\u28AE",  # ; BRAILLE PATTERN DOTS-23468
        "\u28AF",  # ; BRAILLE PATTERN DOTS-123468
        "\u28B0",  # ; BRAILLE PATTERN DOTS-568
        "\u28B1",  # ; BRAILLE PATTERN DOTS-1568
        "\u28B2",  # ; BRAILLE PATTERN DOTS-2568
        "\u28B3",  # ; BRAILLE PATTERN DOTS-12568
        "\u28B4",  # ; BRAILLE PATTERN DOTS-3568
        "\u28B5",  # ; BRAILLE PATTERN DOTS-13568
        "\u28B6",  # ; BRAILLE PATTERN DOTS-23568
        "\u28B7",  # ; BRAILLE PATTERN DOTS-123568
        "\u28B8",  # ; BRAILLE PATTERN DOTS-4568
        "\u28B9",  # ; BRAILLE PATTERN DOTS-14568
        "\u28BA",  # ; BRAILLE PATTERN DOTS-24568
        "\u28BB",  # ; BRAILLE PATTERN DOTS-124568
        "\u28BC",  # ; BRAILLE PATTERN DOTS-34568
        "\u28BD",  # ; BRAILLE PATTERN DOTS-134568
        "\u28BE",  # ; BRAILLE PATTERN DOTS-234568
        "\u28BF",  # ; BRAILLE PATTERN DOTS-1234568
        "\u28C0",  # ; BRAILLE PATTERN DOTS-78
        "\u28C1",  # ; BRAILLE PATTERN DOTS-178
        "\u28C2",  # ; BRAILLE PATTERN DOTS-278
        "\u28C3",  # ; BRAILLE PATTERN DOTS-1278
        "\u28C4",  # ; BRAILLE PATTERN DOTS-378
        "\u28C5",  # ; BRAILLE PATTERN DOTS-1378
        "\u28C6",  # ; BRAILLE PATTERN DOTS-2378
        "\u28C7",  # ; BRAILLE PATTERN DOTS-12378
        "\u28C8",  # ; BRAILLE PATTERN DOTS-478
        "\u28C9",  # ; BRAILLE PATTERN DOTS-1478
        "\u28CA",  # ; BRAILLE PATTERN DOTS-2478
        "\u28CB",  # ; BRAILLE PATTERN DOTS-12478
        "\u28CC",  # ; BRAILLE PATTERN DOTS-3478
        "\u28CD",  # ; BRAILLE PATTERN DOTS-13478
        "\u28CE",  # ; BRAILLE PATTERN DOTS-23478
        "\u28CF",  # ; BRAILLE PATTERN DOTS-123478
        "\u28D0",  # ; BRAILLE PATTERN DOTS-578
        "\u28D1",  # ; BRAILLE PATTERN DOTS-1578
        "\u28D2",  # ; BRAILLE PATTERN DOTS-2578
        "\u28D3",  # ; BRAILLE PATTERN DOTS-12578
        "\u28D4",  # ; BRAILLE PATTERN DOTS-3578
        "\u28D5",  # ; BRAILLE PATTERN DOTS-13578
        "\u28D6",  # ; BRAILLE PATTERN DOTS-23578
        "\u28D7",  # ; BRAILLE PATTERN DOTS-123578
        "\u28D8",  # ; BRAILLE PATTERN DOTS-4578
        "\u28D9",  # ; BRAILLE PATTERN DOTS-14578
        "\u28DA",  # ; BRAILLE PATTERN DOTS-24578
        "\u28DB",  # ; BRAILLE PATTERN DOTS-124578
        "\u28DC",  # ; BRAILLE PATTERN DOTS-34578
        "\u28DD",  # ; BRAILLE PATTERN DOTS-134578
        "\u28DE",  # ; BRAILLE PATTERN DOTS-234578
        "\u28DF",  # ; BRAILLE PATTERN DOTS-1234578
        "\u28E0",  # ; BRAILLE PATTERN DOTS-678
        "\u28E1",  # ; BRAILLE PATTERN DOTS-1678
        "\u28E2",  # ; BRAILLE PATTERN DOTS-2678
        "\u28E3",  # ; BRAILLE PATTERN DOTS-12678
        "\u28E4",  # ; BRAILLE PATTERN DOTS-3678
        "\u28E5",  # ; BRAILLE PATTERN DOTS-13678
        "\u28E6",  # ; BRAILLE PATTERN DOTS-23678
        "\u28E7",  # ; BRAILLE PATTERN DOTS-123678
        "\u28E8",  # ; BRAILLE PATTERN DOTS-4678
        "\u28E9",  # ; BRAILLE PATTERN DOTS-14678
        "\u28EA",  # ; BRAILLE PATTERN DOTS-24678
        "\u28EB",  # ; BRAILLE PATTERN DOTS-124678
        "\u28EC",  # ; BRAILLE PATTERN DOTS-34678
        "\u28ED",  # ; BRAILLE PATTERN DOTS-134678
        "\u28EE",  # ; BRAILLE PATTERN DOTS-234678
        "\u28EF",  # ; BRAILLE PATTERN DOTS-1234678
        "\u28F0",  # ; BRAILLE PATTERN DOTS-5678
        "\u28F1",  # ; BRAILLE PATTERN DOTS-15678
        "\u28F2",  # ; BRAILLE PATTERN DOTS-25678
        "\u28F3",  # ; BRAILLE PATTERN DOTS-125678
        "\u28F4",  # ; BRAILLE PATTERN DOTS-35678
        "\u28F5",  # ; BRAILLE PATTERN DOTS-135678
        "\u28F6",  # ; BRAILLE PATTERN DOTS-235678
        "\u28F7",  # ; BRAILLE PATTERN DOTS-1235678
        "\u28F8",  # ; BRAILLE PATTERN DOTS-45678
        "\u28F9",  # ; BRAILLE PATTERN DOTS-145678
        "\u28FA",  # ; BRAILLE PATTERN DOTS-245678
        "\u28FB",  # ; BRAILLE PATTERN DOTS-1245678
        "\u28FC",  # ; BRAILLE PATTERN DOTS-345678
        "\u28FD",  # ; BRAILLE PATTERN DOTS-1345678
        "\u28FE",  # ; BRAILLE PATTERN DOTS-2345678
        "\u28FF",  # ; BRAILLE PATTERN DOTS-12345678
        "\u2900",  # ; RIGHTWARDS TWO-HEADED ARROW WITH VERTICAL STROKE
        "\u2901",  # ; RIGHTWARDS TWO-HEADED ARROW WITH DOUBLE VERTICAL STROKE
        "\u2902",  # ; LEFTWARDS DOUBLE ARROW WITH VERTICAL STROKE
        "\u2903",  # ; RIGHTWARDS DOUBLE ARROW WITH VERTICAL STROKE
        "\u2904",  # ; LEFT RIGHT DOUBLE ARROW WITH VERTICAL STROKE
        "\u2905",  # ; RIGHTWARDS TWO-HEADED ARROW FROM BAR
        "\u2906",  # ; LEFTWARDS DOUBLE ARROW FROM BAR
        "\u2907",  # ; RIGHTWARDS DOUBLE ARROW FROM BAR
        "\u2908",  # ; DOWNWARDS ARROW WITH HORIZONTAL STROKE
        "\u2909",  # ; UPWARDS ARROW WITH HORIZONTAL STROKE
        "\u290A",  # ; UPWARDS TRIPLE ARROW
        "\u290B",  # ; DOWNWARDS TRIPLE ARROW
        "\u290C",  # ; LEFTWARDS DOUBLE DASH ARROW
        "\u290D",  # ; RIGHTWARDS DOUBLE DASH ARROW
        "\u290E",  # ; LEFTWARDS TRIPLE DASH ARROW
        "\u290F",  # ; RIGHTWARDS TRIPLE DASH ARROW
        "\u2910",  # ; RIGHTWARDS TWO-HEADED TRIPLE DASH ARROW
        "\u2911",  # ; RIGHTWARDS ARROW WITH DOTTED STEM
        "\u2912",  # ; UPWARDS ARROW TO BAR
        "\u2913",  # ; DOWNWARDS ARROW TO BAR
        "\u2914",  # ; RIGHTWARDS ARROW WITH TAIL WITH VERTICAL STROKE
        "\u2915",  # ; RIGHTWARDS ARROW WITH TAIL WITH DOUBLE VERTICAL STROKE
        "\u2916",  # ; RIGHTWARDS TWO-HEADED ARROW WITH TAIL
        "\u2917",  # ; RIGHTWARDS TWO-HEADED ARROW WITH TAIL WITH VERTICAL STROKE
        "\u2918",  # ; RIGHTWARDS TWO-HEADED ARROW WITH TAIL WITH DOUBLE VERTICAL STROKE
        "\u2919",  # ; LEFTWARDS ARROW-TAIL
        "\u291A",  # ; RIGHTWARDS ARROW-TAIL
        "\u291B",  # ; LEFTWARDS DOUBLE ARROW-TAIL
        "\u291C",  # ; RIGHTWARDS DOUBLE ARROW-TAIL
        "\u291D",  # ; LEFTWARDS ARROW TO BLACK DIAMOND
        "\u291E",  # ; RIGHTWARDS ARROW TO BLACK DIAMOND
        "\u291F",  # ; LEFTWARDS ARROW FROM BAR TO BLACK DIAMOND
        "\u2920",  # ; RIGHTWARDS ARROW FROM BAR TO BLACK DIAMOND
        "\u2921",  # ; NORTH WEST AND SOUTH EAST ARROW
        "\u2922",  # ; NORTH EAST AND SOUTH WEST ARROW
        "\u2923",  # ; NORTH WEST ARROW WITH HOOK
        "\u2924",  # ; NORTH EAST ARROW WITH HOOK
        "\u2925",  # ; SOUTH EAST ARROW WITH HOOK
        "\u2926",  # ; SOUTH WEST ARROW WITH HOOK
        "\u2927",  # ; NORTH WEST ARROW AND NORTH EAST ARROW
        "\u2928",  # ; NORTH EAST ARROW AND SOUTH EAST ARROW
        "\u2929",  # ; SOUTH EAST ARROW AND SOUTH WEST ARROW
        "\u292A",  # ; SOUTH WEST ARROW AND NORTH WEST ARROW
        "\u292B",  # ; RISING DIAGONAL CROSSING FALLING DIAGONAL
        "\u292C",  # ; FALLING DIAGONAL CROSSING RISING DIAGONAL
        "\u292D",  # ; SOUTH EAST ARROW CROSSING NORTH EAST ARROW
        "\u292E",  # ; NORTH EAST ARROW CROSSING SOUTH EAST ARROW
        "\u292F",  # ; FALLING DIAGONAL CROSSING NORTH EAST ARROW
        "\u2930",  # ; RISING DIAGONAL CROSSING SOUTH EAST ARROW
        "\u2931",  # ; NORTH EAST ARROW CROSSING NORTH WEST ARROW
        "\u2932",  # ; NORTH WEST ARROW CROSSING NORTH EAST ARROW
        "\u2933",  # ; WAVE ARROW POINTING DIRECTLY RIGHT
        "\u2934",  # ; ARROW POINTING RIGHTWARDS THEN CURVING UPWARDS
        "\u2935",  # ; ARROW POINTING RIGHTWARDS THEN CURVING DOWNWARDS
        "\u2936",  # ; ARROW POINTING DOWNWARDS THEN CURVING LEFTWARDS
        "\u2937",  # ; ARROW POINTING DOWNWARDS THEN CURVING RIGHTWARDS
        "\u2938",  # ; RIGHT-SIDE ARC CLOCKWISE ARROW
        "\u2939",  # ; LEFT-SIDE ARC ANTICLOCKWISE ARROW
        "\u293A",  # ; TOP ARC ANTICLOCKWISE ARROW
        "\u293B",  # ; BOTTOM ARC ANTICLOCKWISE ARROW
        "\u293C",  # ; TOP ARC CLOCKWISE ARROW WITH MINUS
        "\u293D",  # ; TOP ARC ANTICLOCKWISE ARROW WITH PLUS
        "\u293E",  # ; LOWER RIGHT SEMICIRCULAR CLOCKWISE ARROW
        "\u293F",  # ; LOWER LEFT SEMICIRCULAR ANTICLOCKWISE ARROW
        "\u2940",  # ; ANTICLOCKWISE CLOSED CIRCLE ARROW
        "\u2941",  # ; CLOCKWISE CLOSED CIRCLE ARROW
        "\u2942",  # ; RIGHTWARDS ARROW ABOVE SHORT LEFTWARDS ARROW
        "\u2943",  # ; LEFTWARDS ARROW ABOVE SHORT RIGHTWARDS ARROW
        "\u2944",  # ; SHORT RIGHTWARDS ARROW ABOVE LEFTWARDS ARROW
        "\u2945",  # ; RIGHTWARDS ARROW WITH PLUS BELOW
        "\u2946",  # ; LEFTWARDS ARROW WITH PLUS BELOW
        "\u2947",  # ; RIGHTWARDS ARROW THROUGH X
        "\u2948",  # ; LEFT RIGHT ARROW THROUGH SMALL CIRCLE
        "\u2949",  # ; UPWARDS TWO-HEADED ARROW FROM SMALL CIRCLE
        "\u294A",  # ; LEFT BARB UP RIGHT BARB DOWN HARPOON
        "\u294B",  # ; LEFT BARB DOWN RIGHT BARB UP HARPOON
        "\u294C",  # ; UP BARB RIGHT DOWN BARB LEFT HARPOON
        "\u294D",  # ; UP BARB LEFT DOWN BARB RIGHT HARPOON
        "\u294E",  # ; LEFT BARB UP RIGHT BARB UP HARPOON
        "\u294F",  # ; UP BARB RIGHT DOWN BARB RIGHT HARPOON
        "\u2950",  # ; LEFT BARB DOWN RIGHT BARB DOWN HARPOON
        "\u2951",  # ; UP BARB LEFT DOWN BARB LEFT HARPOON
        "\u2952",  # ; LEFTWARDS HARPOON WITH BARB UP TO BAR
        "\u2953",  # ; RIGHTWARDS HARPOON WITH BARB UP TO BAR
        "\u2954",  # ; UPWARDS HARPOON WITH BARB RIGHT TO BAR
        "\u2955",  # ; DOWNWARDS HARPOON WITH BARB RIGHT TO BAR
        "\u2956",  # ; LEFTWARDS HARPOON WITH BARB DOWN TO BAR
        "\u2957",  # ; RIGHTWARDS HARPOON WITH BARB DOWN TO BAR
        "\u2958",  # ; UPWARDS HARPOON WITH BARB LEFT TO BAR
        "\u2959",  # ; DOWNWARDS HARPOON WITH BARB LEFT TO BAR
        "\u295A",  # ; LEFTWARDS HARPOON WITH BARB UP FROM BAR
        "\u295B",  # ; RIGHTWARDS HARPOON WITH BARB UP FROM BAR
        "\u295C",  # ; UPWARDS HARPOON WITH BARB RIGHT FROM BAR
        "\u295D",  # ; DOWNWARDS HARPOON WITH BARB RIGHT FROM BAR
        "\u295E",  # ; LEFTWARDS HARPOON WITH BARB DOWN FROM BAR
        "\u295F",  # ; RIGHTWARDS HARPOON WITH BARB DOWN FROM BAR
        "\u2960",  # ; UPWARDS HARPOON WITH BARB LEFT FROM BAR
        "\u2961",  # ; DOWNWARDS HARPOON WITH BARB LEFT FROM BAR
        "\u2962",  # ; LEFTWARDS HARPOON WITH BARB UP ABOVE LEFTWARDS HARPOON WITH BARB DOWN
        "\u2963",  # ; UPWARDS HARPOON WITH BARB LEFT BESIDE UPWARDS HARPOON WITH BARB RIGHT
        "\u2964",  # ; RIGHTWARDS HARPOON WITH BARB UP ABOVE RIGHTWARDS HARPOON WITH BARB DOWN
        "\u2965",  # ; DOWNWARDS HARPOON WITH BARB LEFT BESIDE DOWNWARDS HARPOON WITH BARB RIGHT
        "\u2966",  # ; LEFTWARDS HARPOON WITH BARB UP ABOVE RIGHTWARDS HARPOON WITH BARB UP
        "\u2967",  # ; LEFTWARDS HARPOON WITH BARB DOWN ABOVE RIGHTWARDS HARPOON WITH BARB DOWN
        "\u2968",  # ; RIGHTWARDS HARPOON WITH BARB UP ABOVE LEFTWARDS HARPOON WITH BARB UP
        "\u2969",  # ; RIGHTWARDS HARPOON WITH BARB DOWN ABOVE LEFTWARDS HARPOON WITH BARB DOWN
        "\u296A",  # ; LEFTWARDS HARPOON WITH BARB UP ABOVE LONG DASH
        "\u296B",  # ; LEFTWARDS HARPOON WITH BARB DOWN BELOW LONG DASH
        "\u296C",  # ; RIGHTWARDS HARPOON WITH BARB UP ABOVE LONG DASH
        "\u296D",  # ; RIGHTWARDS HARPOON WITH BARB DOWN BELOW LONG DASH
        "\u296E",  # ; UPWARDS HARPOON WITH BARB LEFT BESIDE DOWNWARDS HARPOON WITH BARB RIGHT
        "\u296F",  # ; DOWNWARDS HARPOON WITH BARB LEFT BESIDE UPWARDS HARPOON WITH BARB RIGHT
        "\u2970",  # ; RIGHT DOUBLE ARROW WITH ROUNDED HEAD
        "\u2971",  # ; EQUALS SIGN ABOVE RIGHTWARDS ARROW
        "\u2972",  # ; TILDE OPERATOR ABOVE RIGHTWARDS ARROW
        "\u2973",  # ; LEFTWARDS ARROW ABOVE TILDE OPERATOR
        "\u2974",  # ; RIGHTWARDS ARROW ABOVE TILDE OPERATOR
        "\u2975",  # ; RIGHTWARDS ARROW ABOVE ALMOST EQUAL TO
        "\u2976",  # ; LESS-THAN ABOVE LEFTWARDS ARROW
        "\u2977",  # ; LEFTWARDS ARROW THROUGH LESS-THAN
        "\u2978",  # ; GREATER-THAN ABOVE RIGHTWARDS ARROW
        "\u2979",  # ; SUBSET ABOVE RIGHTWARDS ARROW
        "\u297A",  # ; LEFTWARDS ARROW THROUGH SUBSET
        "\u297B",  # ; SUPERSET ABOVE LEFTWARDS ARROW
        "\u297C",  # ; LEFT FISH TAIL
        "\u297D",  # ; RIGHT FISH TAIL
        "\u297E",  # ; UP FISH TAIL
        "\u297F",  # ; DOWN FISH TAIL
        "\u2980",  # ; TRIPLE VERTICAL BAR DELIMITER
        "\u2981",  # ; Z NOTATION SPOT
        "\u2982",  # ; Z NOTATION TYPE COLON
        "\u2983",  # ; LEFT WHITE CURLY BRACKET
        "\u2984",  # ; RIGHT WHITE CURLY BRACKET
        "\u2985",  # ; LEFT WHITE PARENTHESIS
        "\u2986",  # ; RIGHT WHITE PARENTHESIS
        "\u2987",  # ; Z NOTATION LEFT IMAGE BRACKET
        "\u2988",  # ; Z NOTATION RIGHT IMAGE BRACKET
        "\u2989",  # ; Z NOTATION LEFT BINDING BRACKET
        "\u298A",  # ; Z NOTATION RIGHT BINDING BRACKET
        "\u298B",  # ; LEFT SQUARE BRACKET WITH UNDERBAR
        "\u298C",  # ; RIGHT SQUARE BRACKET WITH UNDERBAR
        "\u298D",  # ; LEFT SQUARE BRACKET WITH TICK IN TOP CORNER
        "\u298E",  # ; RIGHT SQUARE BRACKET WITH TICK IN BOTTOM CORNER
        "\u298F",  # ; LEFT SQUARE BRACKET WITH TICK IN BOTTOM CORNER
        "\u2990",  # ; RIGHT SQUARE BRACKET WITH TICK IN TOP CORNER
        "\u2991",  # ; LEFT ANGLE BRACKET WITH DOT
        "\u2992",  # ; RIGHT ANGLE BRACKET WITH DOT
        "\u2993",  # ; LEFT ARC LESS-THAN BRACKET
        "\u2994",  # ; RIGHT ARC GREATER-THAN BRACKET
        "\u2995",  # ; DOUBLE LEFT ARC GREATER-THAN BRACKET
        "\u2996",  # ; DOUBLE RIGHT ARC LESS-THAN BRACKET
        "\u2997",  # ; LEFT BLACK TORTOISE SHELL BRACKET
        "\u2998",  # ; RIGHT BLACK TORTOISE SHELL BRACKET
        "\u2999",  # ; DOTTED FENCE
        "\u299A",  # ; VERTICAL ZIGZAG LINE
        "\u299B",  # ; MEASURED ANGLE OPENING LEFT
        "\u299C",  # ; RIGHT ANGLE VARIANT WITH SQUARE
        "\u299D",  # ; MEASURED RIGHT ANGLE WITH DOT
        "\u299E",  # ; ANGLE WITH S INSIDE
        "\u299F",  # ; ACUTE ANGLE
        "\u29A0",  # ; SPHERICAL ANGLE OPENING LEFT
        "\u29A1",  # ; SPHERICAL ANGLE OPENING UP
        "\u29A2",  # ; TURNED ANGLE
        "\u29A3",  # ; REVERSED ANGLE
        "\u29A4",  # ; ANGLE WITH UNDERBAR
        "\u29A5",  # ; REVERSED ANGLE WITH UNDERBAR
        "\u29A6",  # ; OBLIQUE ANGLE OPENING UP
        "\u29A7",  # ; OBLIQUE ANGLE OPENING DOWN
        "\u29A8",  # ; MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING UP AND RIGHT
        "\u29A9",  # ; MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING UP AND LEFT
        "\u29AA",  # ; MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING DOWN AND RIGHT
        "\u29AB",  # ; MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING DOWN AND LEFT
        "\u29AC",  # ; MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING RIGHT AND UP
        "\u29AD",  # ; MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING LEFT AND UP
        "\u29AE",  # ; MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING RIGHT AND DOWN
        "\u29AF",  # ; MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING LEFT AND DOWN
        "\u29B0",  # ; REVERSED EMPTY SET
        "\u29B1",  # ; EMPTY SET WITH OVERBAR
        "\u29B2",  # ; EMPTY SET WITH SMALL CIRCLE ABOVE
        "\u29B3",  # ; EMPTY SET WITH RIGHT ARROW ABOVE
        "\u29B4",  # ; EMPTY SET WITH LEFT ARROW ABOVE
        "\u29B5",  # ; CIRCLE WITH HORIZONTAL BAR
        "\u29B6",  # ; CIRCLED VERTICAL BAR
        "\u29B7",  # ; CIRCLED PARALLEL
        "\u29B8",  # ; CIRCLED REVERSE SOLIDUS
        "\u29B9",  # ; CIRCLED PERPENDICULAR
        "\u29BA",  # ; CIRCLE DIVIDED BY HORIZONTAL BAR AND TOP HALF DIVIDED BY VERTICAL BAR
        "\u29BB",  # ; CIRCLE WITH SUPERIMPOSED X
        "\u29BC",  # ; CIRCLED ANTICLOCKWISE-ROTATED DIVISION SIGN
        "\u29BD",  # ; UP ARROW THROUGH CIRCLE
        "\u29BE",  # ; CIRCLED WHITE BULLET
        "\u29BF",  # ; CIRCLED BULLET
        "\u29C0",  # ; CIRCLED LESS-THAN
        "\u29C1",  # ; CIRCLED GREATER-THAN
        "\u29C2",  # ; CIRCLE WITH SMALL CIRCLE TO THE RIGHT
        "\u29C3",  # ; CIRCLE WITH TWO HORIZONTAL STROKES TO THE RIGHT
        "\u29C4",  # ; SQUARED RISING DIAGONAL SLASH
        "\u29C5",  # ; SQUARED FALLING DIAGONAL SLASH
        "\u29C6",  # ; SQUARED ASTERISK
        "\u29C7",  # ; SQUARED SMALL CIRCLE
        "\u29C8",  # ; SQUARED SQUARE
        "\u29C9",  # ; TWO JOINED SQUARES
        "\u29CA",  # ; TRIANGLE WITH DOT ABOVE
        "\u29CB",  # ; TRIANGLE WITH UNDERBAR
        "\u29CC",  # ; S IN TRIANGLE
        "\u29CD",  # ; TRIANGLE WITH SERIFS AT BOTTOM
        "\u29CE",  # ; RIGHT TRIANGLE ABOVE LEFT TRIANGLE
        "\u29CF",  # ; LEFT TRIANGLE BESIDE VERTICAL BAR
        "\u29D0",  # ; VERTICAL BAR BESIDE RIGHT TRIANGLE
        "\u29D1",  # ; BOWTIE WITH LEFT HALF BLACK
        "\u29D2",  # ; BOWTIE WITH RIGHT HALF BLACK
        "\u29D3",  # ; BLACK BOWTIE
        "\u29D4",  # ; TIMES WITH LEFT HALF BLACK
        "\u29D5",  # ; TIMES WITH RIGHT HALF BLACK
        "\u29D6",  # ; WHITE HOURGLASS
        "\u29D7",  # ; BLACK HOURGLASS
        "\u29D8",  # ; LEFT WIGGLY FENCE
        "\u29D9",  # ; RIGHT WIGGLY FENCE
        "\u29DA",  # ; LEFT DOUBLE WIGGLY FENCE
        "\u29DB",  # ; RIGHT DOUBLE WIGGLY FENCE
        "\u29DC",  # ; INCOMPLETE INFINITY
        "\u29DD",  # ; TIE OVER INFINITY
        "\u29DE",  # ; INFINITY NEGATED WITH VERTICAL BAR
        "\u29DF",  # ; DOUBLE-ENDED MULTIMAP
        "\u29E0",  # ; SQUARE WITH CONTOURED OUTLINE
        "\u29E1",  # ; INCREASES AS
        "\u29E2",  # ; SHUFFLE PRODUCT
        "\u29E3",  # ; EQUALS SIGN AND SLANTED PARALLEL
        "\u29E4",  # ; EQUALS SIGN AND SLANTED PARALLEL WITH TILDE ABOVE
        "\u29E5",  # ; IDENTICAL TO AND SLANTED PARALLEL
        "\u29E6",  # ; GLEICH STARK
        "\u29E7",  # ; THERMODYNAMIC
        "\u29E8",  # ; DOWN-POINTING TRIANGLE WITH LEFT HALF BLACK
        "\u29E9",  # ; DOWN-POINTING TRIANGLE WITH RIGHT HALF BLACK
        "\u29EA",  # ; BLACK DIAMOND WITH DOWN ARROW
        "\u29EB",  # ; BLACK LOZENGE
        "\u29EC",  # ; WHITE CIRCLE WITH DOWN ARROW
        "\u29ED",  # ; BLACK CIRCLE WITH DOWN ARROW
        "\u29EE",  # ; ERROR-BARRED WHITE SQUARE
        "\u29EF",  # ; ERROR-BARRED BLACK SQUARE
        "\u29F0",  # ; ERROR-BARRED WHITE DIAMOND
        "\u29F1",  # ; ERROR-BARRED BLACK DIAMOND
        "\u29F2",  # ; ERROR-BARRED WHITE CIRCLE
        "\u29F3",  # ; ERROR-BARRED BLACK CIRCLE
        "\u29F4",  # ; RULE-DELAYED
        "\u29F5",  # ; REVERSE SOLIDUS OPERATOR
        "\u29F6",  # ; SOLIDUS WITH OVERBAR
        "\u29F7",  # ; REVERSE SOLIDUS WITH HORIZONTAL STROKE
        "\u29F8",  # ; BIG SOLIDUS
        "\u29F9",  # ; BIG REVERSE SOLIDUS
        "\u29FA",  # ; DOUBLE PLUS
        "\u29FB",  # ; TRIPLE PLUS
        "\u29FC",  # ; LEFT-POINTING CURVED ANGLE BRACKET
        "\u29FD",  # ; RIGHT-POINTING CURVED ANGLE BRACKET
        "\u29FE",  # ; TINY
        "\u29FF",  # ; MINY
        "\u2A00",  # ; N-ARY CIRCLED DOT OPERATOR
        "\u2A01",  # ; N-ARY CIRCLED PLUS OPERATOR
        "\u2A02",  # ; N-ARY CIRCLED TIMES OPERATOR
        "\u2A03",  # ; N-ARY UNION OPERATOR WITH DOT
        "\u2A04",  # ; N-ARY UNION OPERATOR WITH PLUS
        "\u2A05",  # ; N-ARY SQUARE INTERSECTION OPERATOR
        "\u2A06",  # ; N-ARY SQUARE UNION OPERATOR
        "\u2A07",  # ; TWO LOGICAL AND OPERATOR
        "\u2A08",  # ; TWO LOGICAL OR OPERATOR
        "\u2A09",  # ; N-ARY TIMES OPERATOR
        "\u2A0A",  # ; MODULO TWO SUM
        "\u2A0B",  # ; SUMMATION WITH INTEGRAL
        "\u2A0C",  # ; QUADRUPLE INTEGRAL OPERATOR
        "\u2A0D",  # ; FINITE PART INTEGRAL
        "\u2A0E",  # ; INTEGRAL WITH DOUBLE STROKE
        "\u2A0F",  # ; INTEGRAL AVERAGE WITH SLASH
        "\u2A10",  # ; CIRCULATION FUNCTION
        "\u2A11",  # ; ANTICLOCKWISE INTEGRATION
        "\u2A12",  # ; LINE INTEGRATION WITH RECTANGULAR PATH AROUND POLE
        "\u2A13",  # ; LINE INTEGRATION WITH SEMICIRCULAR PATH AROUND POLE
        "\u2A14",  # ; LINE INTEGRATION NOT INCLUDING THE POLE
        "\u2A15",  # ; INTEGRAL AROUND A POINT OPERATOR
        "\u2A16",  # ; QUATERNION INTEGRAL OPERATOR
        "\u2A17",  # ; INTEGRAL WITH LEFTWARDS ARROW WITH HOOK
        "\u2A18",  # ; INTEGRAL WITH TIMES SIGN
        "\u2A19",  # ; INTEGRAL WITH INTERSECTION
        "\u2A1A",  # ; INTEGRAL WITH UNION
        "\u2A1B",  # ; INTEGRAL WITH OVERBAR
        "\u2A1C",  # ; INTEGRAL WITH UNDERBAR
        "\u2A1D",  # ; JOIN
        "\u2A1E",  # ; LARGE LEFT TRIANGLE OPERATOR
        "\u2A1F",  # ; Z NOTATION SCHEMA COMPOSITION
        "\u2A20",  # ; Z NOTATION SCHEMA PIPING
        "\u2A21",  # ; Z NOTATION SCHEMA PROJECTION
        "\u2A22",  # ; PLUS SIGN WITH SMALL CIRCLE ABOVE
        "\u2A23",  # ; PLUS SIGN WITH CIRCUMFLEX ACCENT ABOVE
        "\u2A24",  # ; PLUS SIGN WITH TILDE ABOVE
        "\u2A25",  # ; PLUS SIGN WITH DOT BELOW
        "\u2A26",  # ; PLUS SIGN WITH TILDE BELOW
        "\u2A27",  # ; PLUS SIGN WITH SUBSCRIPT TWO
        "\u2A28",  # ; PLUS SIGN WITH BLACK TRIANGLE
        "\u2A29",  # ; MINUS SIGN WITH COMMA ABOVE
        "\u2A2A",  # ; MINUS SIGN WITH DOT BELOW
        "\u2A2B",  # ; MINUS SIGN WITH FALLING DOTS
        "\u2A2C",  # ; MINUS SIGN WITH RISING DOTS
        "\u2A2D",  # ; PLUS SIGN IN LEFT HALF CIRCLE
        "\u2A2E",  # ; PLUS SIGN IN RIGHT HALF CIRCLE
        "\u2A2F",  # ; VECTOR OR CROSS PRODUCT
        "\u2A30",  # ; MULTIPLICATION SIGN WITH DOT ABOVE
        "\u2A31",  # ; MULTIPLICATION SIGN WITH UNDERBAR
        "\u2A32",  # ; SEMIDIRECT PRODUCT WITH BOTTOM CLOSED
        "\u2A33",  # ; SMASH PRODUCT
        "\u2A34",  # ; MULTIPLICATION SIGN IN LEFT HALF CIRCLE
        "\u2A35",  # ; MULTIPLICATION SIGN IN RIGHT HALF CIRCLE
        "\u2A36",  # ; CIRCLED MULTIPLICATION SIGN WITH CIRCUMFLEX ACCENT
        "\u2A37",  # ; MULTIPLICATION SIGN IN DOUBLE CIRCLE
        "\u2A38",  # ; CIRCLED DIVISION SIGN
        "\u2A39",  # ; PLUS SIGN IN TRIANGLE
        "\u2A3A",  # ; MINUS SIGN IN TRIANGLE
        "\u2A3B",  # ; MULTIPLICATION SIGN IN TRIANGLE
        "\u2A3C",  # ; INTERIOR PRODUCT
        "\u2A3D",  # ; RIGHTHAND INTERIOR PRODUCT
        "\u2A3E",  # ; Z NOTATION RELATIONAL COMPOSITION
        "\u2A3F",  # ; AMALGAMATION OR COPRODUCT
        "\u2A40",  # ; INTERSECTION WITH DOT
        "\u2A41",  # ; UNION WITH MINUS SIGN
        "\u2A42",  # ; UNION WITH OVERBAR
        "\u2A43",  # ; INTERSECTION WITH OVERBAR
        "\u2A44",  # ; INTERSECTION WITH LOGICAL AND
        "\u2A45",  # ; UNION WITH LOGICAL OR
        "\u2A46",  # ; UNION ABOVE INTERSECTION
        "\u2A47",  # ; INTERSECTION ABOVE UNION
        "\u2A48",  # ; UNION ABOVE BAR ABOVE INTERSECTION
        "\u2A49",  # ; INTERSECTION ABOVE BAR ABOVE UNION
        "\u2A4A",  # ; UNION BESIDE AND JOINED WITH UNION
        "\u2A4B",  # ; INTERSECTION BESIDE AND JOINED WITH INTERSECTION
        "\u2A4C",  # ; CLOSED UNION WITH SERIFS
        "\u2A4D",  # ; CLOSED INTERSECTION WITH SERIFS
        "\u2A4E",  # ; DOUBLE SQUARE INTERSECTION
        "\u2A4F",  # ; DOUBLE SQUARE UNION
        "\u2A50",  # ; CLOSED UNION WITH SERIFS AND SMASH PRODUCT
        "\u2A51",  # ; LOGICAL AND WITH DOT ABOVE
        "\u2A52",  # ; LOGICAL OR WITH DOT ABOVE
        "\u2A53",  # ; DOUBLE LOGICAL AND
        "\u2A54",  # ; DOUBLE LOGICAL OR
        "\u2A55",  # ; TWO INTERSECTING LOGICAL AND
        "\u2A56",  # ; TWO INTERSECTING LOGICAL OR
        "\u2A57",  # ; SLOPING LARGE OR
        "\u2A58",  # ; SLOPING LARGE AND
        "\u2A59",  # ; LOGICAL OR OVERLAPPING LOGICAL AND
        "\u2A5A",  # ; LOGICAL AND WITH MIDDLE STEM
        "\u2A5B",  # ; LOGICAL OR WITH MIDDLE STEM
        "\u2A5C",  # ; LOGICAL AND WITH HORIZONTAL DASH
        "\u2A5D",  # ; LOGICAL OR WITH HORIZONTAL DASH
        "\u2A5E",  # ; LOGICAL AND WITH DOUBLE OVERBAR
        "\u2A5F",  # ; LOGICAL AND WITH UNDERBAR
        "\u2A60",  # ; LOGICAL AND WITH DOUBLE UNDERBAR
        "\u2A61",  # ; SMALL VEE WITH UNDERBAR
        "\u2A62",  # ; LOGICAL OR WITH DOUBLE OVERBAR
        "\u2A63",  # ; LOGICAL OR WITH DOUBLE UNDERBAR
        "\u2A64",  # ; Z NOTATION DOMAIN ANTIRESTRICTION
        "\u2A65",  # ; Z NOTATION RANGE ANTIRESTRICTION
        "\u2A66",  # ; EQUALS SIGN WITH DOT BELOW
        "\u2A67",  # ; IDENTICAL WITH DOT ABOVE
        "\u2A68",  # ; TRIPLE HORIZONTAL BAR WITH DOUBLE VERTICAL STROKE
        "\u2A69",  # ; TRIPLE HORIZONTAL BAR WITH TRIPLE VERTICAL STROKE
        "\u2A6A",  # ; TILDE OPERATOR WITH DOT ABOVE
        "\u2A6B",  # ; TILDE OPERATOR WITH RISING DOTS
        "\u2A6C",  # ; SIMILAR MINUS SIMILAR
        "\u2A6D",  # ; CONGRUENT WITH DOT ABOVE
        "\u2A6E",  # ; EQUALS WITH ASTERISK
        "\u2A6F",  # ; ALMOST EQUAL TO WITH CIRCUMFLEX ACCENT
        "\u2A70",  # ; APPROXIMATELY EQUAL OR EQUAL TO
        "\u2A71",  # ; EQUALS SIGN ABOVE PLUS SIGN
        "\u2A72",  # ; PLUS SIGN ABOVE EQUALS SIGN
        "\u2A73",  # ; EQUALS SIGN ABOVE TILDE OPERATOR
        "\u2A74",  # ; DOUBLE COLON EQUAL
        "\u2A75",  # ; TWO CONSECUTIVE EQUALS SIGNS
        "\u2A76",  # ; THREE CONSECUTIVE EQUALS SIGNS
        "\u2A77",  # ; EQUALS SIGN WITH TWO DOTS ABOVE AND TWO DOTS BELOW
        "\u2A78",  # ; EQUIVALENT WITH FOUR DOTS ABOVE
        "\u2A79",  # ; LESS-THAN WITH CIRCLE INSIDE
        "\u2A7A",  # ; GREATER-THAN WITH CIRCLE INSIDE
        "\u2A7B",  # ; LESS-THAN WITH QUESTION MARK ABOVE
        "\u2A7C",  # ; GREATER-THAN WITH QUESTION MARK ABOVE
        "\u2A7D",  # ; LESS-THAN OR SLANTED EQUAL TO
        "\u2A7E",  # ; GREATER-THAN OR SLANTED EQUAL TO
        "\u2A7F",  # ; LESS-THAN OR SLANTED EQUAL TO WITH DOT INSIDE
        "\u2A80",  # ; GREATER-THAN OR SLANTED EQUAL TO WITH DOT INSIDE
        "\u2A81",  # ; LESS-THAN OR SLANTED EQUAL TO WITH DOT ABOVE
        "\u2A82",  # ; GREATER-THAN OR SLANTED EQUAL TO WITH DOT ABOVE
        "\u2A83",  # ; LESS-THAN OR SLANTED EQUAL TO WITH DOT ABOVE RIGHT
        "\u2A84",  # ; GREATER-THAN OR SLANTED EQUAL TO WITH DOT ABOVE LEFT
        "\u2A85",  # ; LESS-THAN OR APPROXIMATE
        "\u2A86",  # ; GREATER-THAN OR APPROXIMATE
        "\u2A87",  # ; LESS-THAN AND SINGLE-LINE NOT EQUAL TO
        "\u2A88",  # ; GREATER-THAN AND SINGLE-LINE NOT EQUAL TO
        "\u2A89",  # ; LESS-THAN AND NOT APPROXIMATE
        "\u2A8A",  # ; GREATER-THAN AND NOT APPROXIMATE
        "\u2A8B",  # ; LESS-THAN ABOVE DOUBLE-LINE EQUAL ABOVE GREATER-THAN
        "\u2A8C",  # ; GREATER-THAN ABOVE DOUBLE-LINE EQUAL ABOVE LESS-THAN
        "\u2A8D",  # ; LESS-THAN ABOVE SIMILAR OR EQUAL
        "\u2A8E",  # ; GREATER-THAN ABOVE SIMILAR OR EQUAL
        "\u2A8F",  # ; LESS-THAN ABOVE SIMILAR ABOVE GREATER-THAN
        "\u2A90",  # ; GREATER-THAN ABOVE SIMILAR ABOVE LESS-THAN
        "\u2A91",  # ; LESS-THAN ABOVE GREATER-THAN ABOVE DOUBLE-LINE EQUAL
        "\u2A92",  # ; GREATER-THAN ABOVE LESS-THAN ABOVE DOUBLE-LINE EQUAL
        "\u2A93",  # ; LESS-THAN ABOVE SLANTED EQUAL ABOVE GREATER-THAN ABOVE SLANTED EQUAL
        "\u2A94",  # ; GREATER-THAN ABOVE SLANTED EQUAL ABOVE LESS-THAN ABOVE SLANTED EQUAL
        "\u2A95",  # ; SLANTED EQUAL TO OR LESS-THAN
        "\u2A96",  # ; SLANTED EQUAL TO OR GREATER-THAN
        "\u2A97",  # ; SLANTED EQUAL TO OR LESS-THAN WITH DOT INSIDE
        "\u2A98",  # ; SLANTED EQUAL TO OR GREATER-THAN WITH DOT INSIDE
        "\u2A99",  # ; DOUBLE-LINE EQUAL TO OR LESS-THAN
        "\u2A9A",  # ; DOUBLE-LINE EQUAL TO OR GREATER-THAN
        "\u2A9B",  # ; DOUBLE-LINE SLANTED EQUAL TO OR LESS-THAN
        "\u2A9C",  # ; DOUBLE-LINE SLANTED EQUAL TO OR GREATER-THAN
        "\u2A9D",  # ; SIMILAR OR LESS-THAN
        "\u2A9E",  # ; SIMILAR OR GREATER-THAN
        "\u2A9F",  # ; SIMILAR ABOVE LESS-THAN ABOVE EQUALS SIGN
        "\u2AA0",  # ; SIMILAR ABOVE GREATER-THAN ABOVE EQUALS SIGN
        "\u2AA1",  # ; DOUBLE NESTED LESS-THAN
        "\u2AA2",  # ; DOUBLE NESTED GREATER-THAN
        "\u2AA3",  # ; DOUBLE NESTED LESS-THAN WITH UNDERBAR
        "\u2AA4",  # ; GREATER-THAN OVERLAPPING LESS-THAN
        "\u2AA5",  # ; GREATER-THAN BESIDE LESS-THAN
        "\u2AA6",  # ; LESS-THAN CLOSED BY CURVE
        "\u2AA7",  # ; GREATER-THAN CLOSED BY CURVE
        "\u2AA8",  # ; LESS-THAN CLOSED BY CURVE ABOVE SLANTED EQUAL
        "\u2AA9",  # ; GREATER-THAN CLOSED BY CURVE ABOVE SLANTED EQUAL
        "\u2AAA",  # ; SMALLER THAN
        "\u2AAB",  # ; LARGER THAN
        "\u2AAC",  # ; SMALLER THAN OR EQUAL TO
        "\u2AAD",  # ; LARGER THAN OR EQUAL TO
        "\u2AAE",  # ; EQUALS SIGN WITH BUMPY ABOVE
        "\u2AAF",  # ; PRECEDES ABOVE SINGLE-LINE EQUALS SIGN
        "\u2AB0",  # ; SUCCEEDS ABOVE SINGLE-LINE EQUALS SIGN
        "\u2AB1",  # ; PRECEDES ABOVE SINGLE-LINE NOT EQUAL TO
        "\u2AB2",  # ; SUCCEEDS ABOVE SINGLE-LINE NOT EQUAL TO
        "\u2AB3",  # ; PRECEDES ABOVE EQUALS SIGN
        "\u2AB4",  # ; SUCCEEDS ABOVE EQUALS SIGN
        "\u2AB5",  # ; PRECEDES ABOVE NOT EQUAL TO
        "\u2AB6",  # ; SUCCEEDS ABOVE NOT EQUAL TO
        "\u2AB7",  # ; PRECEDES ABOVE ALMOST EQUAL TO
        "\u2AB8",  # ; SUCCEEDS ABOVE ALMOST EQUAL TO
        "\u2AB9",  # ; PRECEDES ABOVE NOT ALMOST EQUAL TO
        "\u2ABA",  # ; SUCCEEDS ABOVE NOT ALMOST EQUAL TO
        "\u2ABB",  # ; DOUBLE PRECEDES
        "\u2ABC",  # ; DOUBLE SUCCEEDS
        "\u2ABD",  # ; SUBSET WITH DOT
        "\u2ABE",  # ; SUPERSET WITH DOT
        "\u2ABF",  # ; SUBSET WITH PLUS SIGN BELOW
        "\u2AC0",  # ; SUPERSET WITH PLUS SIGN BELOW
        "\u2AC1",  # ; SUBSET WITH MULTIPLICATION SIGN BELOW
        "\u2AC2",  # ; SUPERSET WITH MULTIPLICATION SIGN BELOW
        "\u2AC3",  # ; SUBSET OF OR EQUAL TO WITH DOT ABOVE
        "\u2AC4",  # ; SUPERSET OF OR EQUAL TO WITH DOT ABOVE
        "\u2AC5",  # ; SUBSET OF ABOVE EQUALS SIGN
        "\u2AC6",  # ; SUPERSET OF ABOVE EQUALS SIGN
        "\u2AC7",  # ; SUBSET OF ABOVE TILDE OPERATOR
        "\u2AC8",  # ; SUPERSET OF ABOVE TILDE OPERATOR
        "\u2AC9",  # ; SUBSET OF ABOVE ALMOST EQUAL TO
        "\u2ACA",  # ; SUPERSET OF ABOVE ALMOST EQUAL TO
        "\u2ACB",  # ; SUBSET OF ABOVE NOT EQUAL TO
        "\u2ACC",  # ; SUPERSET OF ABOVE NOT EQUAL TO
        "\u2ACD",  # ; SQUARE LEFT OPEN BOX OPERATOR
        "\u2ACE",  # ; SQUARE RIGHT OPEN BOX OPERATOR
        "\u2ACF",  # ; CLOSED SUBSET
        "\u2AD0",  # ; CLOSED SUPERSET
        "\u2AD1",  # ; CLOSED SUBSET OR EQUAL TO
        "\u2AD2",  # ; CLOSED SUPERSET OR EQUAL TO
        "\u2AD3",  # ; SUBSET ABOVE SUPERSET
        "\u2AD4",  # ; SUPERSET ABOVE SUBSET
        "\u2AD5",  # ; SUBSET ABOVE SUBSET
        "\u2AD6",  # ; SUPERSET ABOVE SUPERSET
        "\u2AD7",  # ; SUPERSET BESIDE SUBSET
        "\u2AD8",  # ; SUPERSET BESIDE AND JOINED BY DASH WITH SUBSET
        "\u2AD9",  # ; ELEMENT OF OPENING DOWNWARDS
        "\u2ADA",  # ; PITCHFORK WITH TEE TOP
        "\u2ADB",  # ; TRANSVERSAL INTERSECTION
        "\u2ADC",  # ; FORKING
        "\u2ADD",  # ; NONFORKING
        "\u2ADE",  # ; SHORT LEFT TACK
        "\u2ADF",  # ; SHORT DOWN TACK
        "\u2AE0",  # ; SHORT UP TACK
        "\u2AE1",  # ; PERPENDICULAR WITH S
        "\u2AE2",  # ; VERTICAL BAR TRIPLE RIGHT TURNSTILE
        "\u2AE3",  # ; DOUBLE VERTICAL BAR LEFT TURNSTILE
        "\u2AE4",  # ; VERTICAL BAR DOUBLE LEFT TURNSTILE
        "\u2AE5",  # ; DOUBLE VERTICAL BAR DOUBLE LEFT TURNSTILE
        "\u2AE6",  # ; LONG DASH FROM LEFT MEMBER OF DOUBLE VERTICAL
        "\u2AE7",  # ; SHORT DOWN TACK WITH OVERBAR
        "\u2AE8",  # ; SHORT UP TACK WITH UNDERBAR
        "\u2AE9",  # ; SHORT UP TACK ABOVE SHORT DOWN TACK
        "\u2AEA",  # ; DOUBLE DOWN TACK
        "\u2AEB",  # ; DOUBLE UP TACK
        "\u2AEC",  # ; DOUBLE STROKE NOT SIGN
        "\u2AED",  # ; REVERSED DOUBLE STROKE NOT SIGN
        "\u2AEE",  # ; DOES NOT DIVIDE WITH REVERSED NEGATION SLASH
        "\u2AEF",  # ; VERTICAL LINE WITH CIRCLE ABOVE
        "\u2AF0",  # ; VERTICAL LINE WITH CIRCLE BELOW
        "\u2AF1",  # ; DOWN TACK WITH CIRCLE BELOW
        "\u2AF2",  # ; PARALLEL WITH HORIZONTAL STROKE
        "\u2AF3",  # ; PARALLEL WITH TILDE OPERATOR
        "\u2AF4",  # ; TRIPLE VERTICAL BAR BINARY RELATION
        "\u2AF5",  # ; TRIPLE VERTICAL BAR WITH HORIZONTAL STROKE
        "\u2AF6",  # ; TRIPLE COLON OPERATOR
        "\u2AF7",  # ; TRIPLE NESTED LESS-THAN
        "\u2AF8",  # ; TRIPLE NESTED GREATER-THAN
        "\u2AF9",  # ; DOUBLE-LINE SLANTED LESS-THAN OR EQUAL TO
        "\u2AFA",  # ; DOUBLE-LINE SLANTED GREATER-THAN OR EQUAL TO
        "\u2AFB",  # ; TRIPLE SOLIDUS BINARY RELATION
        "\u2AFC",  # ; LARGE TRIPLE VERTICAL BAR OPERATOR
        "\u2AFD",  # ; DOUBLE SOLIDUS OPERATOR
        "\u2AFE",  # ; WHITE VERTICAL BAR
        "\u2AFF",  # ; N-ARY WHITE VERTICAL BAR
        "\u2B00",  # ; NORTH EAST WHITE ARROW
        "\u2B01",  # ; NORTH WEST WHITE ARROW
        "\u2B02",  # ; SOUTH EAST WHITE ARROW
        "\u2B03",  # ; SOUTH WEST WHITE ARROW
        "\u2B04",  # ; LEFT RIGHT WHITE ARROW
        "\u2B05",  # ; LEFTWARDS BLACK ARROW
        "\u2B06",  # ; UPWARDS BLACK ARROW
        "\u2B07",  # ; DOWNWARDS BLACK ARROW
        "\u2B08",  # ; NORTH EAST BLACK ARROW
        "\u2B09",  # ; NORTH WEST BLACK ARROW
        "\u2B0A",  # ; SOUTH EAST BLACK ARROW
        "\u2B0B",  # ; SOUTH WEST BLACK ARROW
        "\u2B0C",  # ; LEFT RIGHT BLACK ARROW
        "\u2B0D",  # ; UP DOWN BLACK ARROW
        "\u2B0E",  # ; RIGHTWARDS ARROW WITH TIP DOWNWARDS
        "\u2B0F",  # ; RIGHTWARDS ARROW WITH TIP UPWARDS
        "\u2B10",  # ; LEFTWARDS ARROW WITH TIP DOWNWARDS
        "\u2B11",  # ; LEFTWARDS ARROW WITH TIP UPWARDS
        "\u2B12",  # ; SQUARE WITH TOP HALF BLACK
        "\u2B13",  # ; SQUARE WITH BOTTOM HALF BLACK
        "\u2B14",  # ; SQUARE WITH UPPER RIGHT DIAGONAL HALF BLACK
        "\u2B15",  # ; SQUARE WITH LOWER LEFT DIAGONAL HALF BLACK
        "\u2B16",  # ; DIAMOND WITH LEFT HALF BLACK
        "\u2B17",  # ; DIAMOND WITH RIGHT HALF BLACK
        "\u2B18",  # ; DIAMOND WITH TOP HALF BLACK
        "\u2B19",  # ; DIAMOND WITH BOTTOM HALF BLACK
        "\u2B1A",  # ; DOTTED SQUARE
        "\u2B1B",  # ; BLACK LARGE SQUARE
        "\u2B1C",  # ; WHITE LARGE SQUARE
        "\u2B1D",  # ; BLACK VERY SMALL SQUARE
        "\u2B1E",  # ; WHITE VERY SMALL SQUARE
        "\u2B1F",  # ; BLACK PENTAGON
        "\u2B20",  # ; WHITE PENTAGON
        "\u2B21",  # ; WHITE HEXAGON
        "\u2B22",  # ; BLACK HEXAGON
        "\u2B23",  # ; HORIZONTAL BLACK HEXAGON
        "\u2B24",  # ; BLACK LARGE CIRCLE
        "\u2B25",  # ; BLACK MEDIUM DIAMOND
        "\u2B26",  # ; WHITE MEDIUM DIAMOND
        "\u2B27",  # ; BLACK MEDIUM LOZENGE
        "\u2B28",  # ; WHITE MEDIUM LOZENGE
        "\u2B29",  # ; BLACK SMALL DIAMOND
        "\u2B2A",  # ; BLACK SMALL LOZENGE
        "\u2B2B",  # ; WHITE SMALL LOZENGE
        "\u2B2C",  # ; BLACK HORIZONTAL ELLIPSE
        "\u2B2D",  # ; WHITE HORIZONTAL ELLIPSE
        "\u2B2E",  # ; BLACK VERTICAL ELLIPSE
        "\u2B2F",  # ; WHITE VERTICAL ELLIPSE
        "\u2B30",  # ; LEFT ARROW WITH SMALL CIRCLE
        "\u2B31",  # ; THREE LEFTWARDS ARROWS
        "\u2B32",  # ; LEFT ARROW WITH CIRCLED PLUS
        "\u2B33",  # ; LONG LEFTWARDS SQUIGGLE ARROW
        "\u2B34",  # ; LEFTWARDS TWO-HEADED ARROW WITH VERTICAL STROKE
        "\u2B35",  # ; LEFTWARDS TWO-HEADED ARROW WITH DOUBLE VERTICAL STROKE
        "\u2B36",  # ; LEFTWARDS TWO-HEADED ARROW FROM BAR
        "\u2B37",  # ; LEFTWARDS TWO-HEADED TRIPLE DASH ARROW
        "\u2B38",  # ; LEFTWARDS ARROW WITH DOTTED STEM
        "\u2B39",  # ; LEFTWARDS ARROW WITH TAIL WITH VERTICAL STROKE
        "\u2B3A",  # ; LEFTWARDS ARROW WITH TAIL WITH DOUBLE VERTICAL STROKE
        "\u2B3B",  # ; LEFTWARDS TWO-HEADED ARROW WITH TAIL
        "\u2B3C",  # ; LEFTWARDS TWO-HEADED ARROW WITH TAIL WITH VERTICAL STROKE
        "\u2B3D",  # ; LEFTWARDS TWO-HEADED ARROW WITH TAIL WITH DOUBLE VERTICAL STROKE
        "\u2B3E",  # ; LEFTWARDS ARROW THROUGH X
        "\u2B3F",  # ; WAVE ARROW POINTING DIRECTLY LEFT
        "\u2B40",  # ; EQUALS SIGN ABOVE LEFTWARDS ARROW
        "\u2B41",  # ; REVERSE TILDE OPERATOR ABOVE LEFTWARDS ARROW
        "\u2B42",  # ; LEFTWARDS ARROW ABOVE REVERSE ALMOST EQUAL TO
        "\u2B43",  # ; RIGHTWARDS ARROW THROUGH GREATER-THAN
        "\u2B44",  # ; RIGHTWARDS ARROW THROUGH SUPERSET
        "\u2B45",  # ; LEFTWARDS QUADRUPLE ARROW
        "\u2B46",  # ; RIGHTWARDS QUADRUPLE ARROW
        "\u2B47",  # ; REVERSE TILDE OPERATOR ABOVE RIGHTWARDS ARROW
        "\u2B48",  # ; RIGHTWARDS ARROW ABOVE REVERSE ALMOST EQUAL TO
        "\u2B49",  # ; TILDE OPERATOR ABOVE LEFTWARDS ARROW
        "\u2B4A",  # ; LEFTWARDS ARROW ABOVE ALMOST EQUAL TO
        "\u2B4B",  # ; LEFTWARDS ARROW ABOVE REVERSE TILDE OPERATOR
        "\u2B4C",  # ; RIGHTWARDS ARROW ABOVE REVERSE TILDE OPERATOR
        "\u2B4D",  # ; DOWNWARDS TRIANGLE-HEADED ZIGZAG ARROW
        "\u2B4E",  # ; SHORT SLANTED NORTH ARROW
        "\u2B4F",  # ; SHORT BACKSLANTED SOUTH ARROW
        "\u2B50",  # ; WHITE MEDIUM STAR
        "\u2B51",  # ; BLACK SMALL STAR
        "\u2B52",  # ; WHITE SMALL STAR
        "\u2B53",  # ; BLACK RIGHT-POINTING PENTAGON
        "\u2B54",  # ; WHITE RIGHT-POINTING PENTAGON
        "\u2B55",  # ; HEAVY LARGE CIRCLE
        "\u2B56",  # ; HEAVY OVAL WITH OVAL INSIDE
        "\u2B57",  # ; HEAVY CIRCLE WITH CIRCLE INSIDE
        "\u2B58",  # ; HEAVY CIRCLE
        "\u2B59",  # ; HEAVY CIRCLED SALTIRE
        "\u2B5A",  # ; SLANTED NORTH ARROW WITH HOOKED HEAD
        "\u2B5B",  # ; BACKSLANTED SOUTH ARROW WITH HOOKED TAIL
        "\u2B5C",  # ; SLANTED NORTH ARROW WITH HORIZONTAL TAIL
        "\u2B5D",  # ; BACKSLANTED SOUTH ARROW WITH HORIZONTAL TAIL
        "\u2B5E",  # ; BENT ARROW POINTING DOWNWARDS THEN NORTH EAST
        "\u2B5F",  # ; SHORT BENT ARROW POINTING DOWNWARDS THEN NORTH EAST
        "\u2B60",  # ; LEFTWARDS TRIANGLE-HEADED ARROW
        "\u2B61",  # ; UPWARDS TRIANGLE-HEADED ARROW
        "\u2B62",  # ; RIGHTWARDS TRIANGLE-HEADED ARROW
        "\u2B63",  # ; DOWNWARDS TRIANGLE-HEADED ARROW
        "\u2B64",  # ; LEFT RIGHT TRIANGLE-HEADED ARROW
        "\u2B65",  # ; UP DOWN TRIANGLE-HEADED ARROW
        "\u2B66",  # ; NORTH WEST TRIANGLE-HEADED ARROW
        "\u2B67",  # ; NORTH EAST TRIANGLE-HEADED ARROW
        "\u2B68",  # ; SOUTH EAST TRIANGLE-HEADED ARROW
        "\u2B69",  # ; SOUTH WEST TRIANGLE-HEADED ARROW
        "\u2B6A",  # ; LEFTWARDS TRIANGLE-HEADED DASHED ARROW
        "\u2B6B",  # ; UPWARDS TRIANGLE-HEADED DASHED ARROW
        "\u2B6C",  # ; RIGHTWARDS TRIANGLE-HEADED DASHED ARROW
        "\u2B6D",  # ; DOWNWARDS TRIANGLE-HEADED DASHED ARROW
        "\u2B6E",  # ; CLOCKWISE TRIANGLE-HEADED OPEN CIRCLE ARROW
        "\u2B6F",  # ; ANTICLOCKWISE TRIANGLE-HEADED OPEN CIRCLE ARROW
        "\u2B70",  # ; LEFTWARDS TRIANGLE-HEADED ARROW TO BAR
        "\u2B71",  # ; UPWARDS TRIANGLE-HEADED ARROW TO BAR
        "\u2B72",  # ; RIGHTWARDS TRIANGLE-HEADED ARROW TO BAR
        "\u2B73",  # ; DOWNWARDS TRIANGLE-HEADED ARROW TO BAR
        "\u2B76",  # ; NORTH WEST TRIANGLE-HEADED ARROW TO BAR
        "\u2B77",  # ; NORTH EAST TRIANGLE-HEADED ARROW TO BAR
        "\u2B78",  # ; SOUTH EAST TRIANGLE-HEADED ARROW TO BAR
        "\u2B79",  # ; SOUTH WEST TRIANGLE-HEADED ARROW TO BAR
        "\u2B7A",  # ; LEFTWARDS TRIANGLE-HEADED ARROW WITH DOUBLE HORIZONTAL STROKE
        "\u2B7B",  # ; UPWARDS TRIANGLE-HEADED ARROW WITH DOUBLE HORIZONTAL STROKE
        "\u2B7C",  # ; RIGHTWARDS TRIANGLE-HEADED ARROW WITH DOUBLE HORIZONTAL STROKE
        "\u2B7D",  # ; DOWNWARDS TRIANGLE-HEADED ARROW WITH DOUBLE HORIZONTAL STROKE
        "\u2B7E",  # ; HORIZONTAL TAB KEY
        "\u2B7F",  # ; VERTICAL TAB KEY
        "\u2B80",  # ; LEFTWARDS TRIANGLE-HEADED ARROW OVER RIGHTWARDS TRIANGLE-HEADED ARROW
        "\u2B81",  # ; UPWARDS TRIANGLE-HEADED ARROW LEFTWARDS OF DOWNWARDS TRIANGLE-HEADED ARROW
        "\u2B82",  # ; RIGHTWARDS TRIANGLE-HEADED ARROW OVER LEFTWARDS TRIANGLE-HEADED ARROW
        "\u2B83",  # ; DOWNWARDS TRIANGLE-HEADED ARROW LEFTWARDS OF UPWARDS TRIANGLE-HEADED ARROW
        "\u2B84",  # ; LEFTWARDS TRIANGLE-HEADED PAIRED ARROWS
        "\u2B85",  # ; UPWARDS TRIANGLE-HEADED PAIRED ARROWS
        "\u2B86",  # ; RIGHTWARDS TRIANGLE-HEADED PAIRED ARROWS
        "\u2B87",  # ; DOWNWARDS TRIANGLE-HEADED PAIRED ARROWS
        "\u2B88",  # ; LEFTWARDS BLACK CIRCLED WHITE ARROW
        "\u2B89",  # ; UPWARDS BLACK CIRCLED WHITE ARROW
        "\u2B8A",  # ; RIGHTWARDS BLACK CIRCLED WHITE ARROW
        "\u2B8B",  # ; DOWNWARDS BLACK CIRCLED WHITE ARROW
        "\u2B8C",  # ; ANTICLOCKWISE TRIANGLE-HEADED RIGHT U-SHAPED ARROW
        "\u2B8D",  # ; ANTICLOCKWISE TRIANGLE-HEADED BOTTOM U-SHAPED ARROW
        "\u2B8E",  # ; ANTICLOCKWISE TRIANGLE-HEADED LEFT U-SHAPED ARROW
        "\u2B8F",  # ; ANTICLOCKWISE TRIANGLE-HEADED TOP U-SHAPED ARROW
        "\u2B90",  # ; RETURN LEFT
        "\u2B91",  # ; RETURN RIGHT
        "\u2B92",  # ; NEWLINE LEFT
        "\u2B93",  # ; NEWLINE RIGHT
        "\u2B94",  # ; FOUR CORNER ARROWS CIRCLING ANTICLOCKWISE
        "\u2B95",  # ; RIGHTWARDS BLACK ARROW
        "\u2B98",  # ; THREE-D TOP-LIGHTED LEFTWARDS EQUILATERAL ARROWHEAD
        "\u2B99",  # ; THREE-D RIGHT-LIGHTED UPWARDS EQUILATERAL ARROWHEAD
        "\u2B9A",  # ; THREE-D TOP-LIGHTED RIGHTWARDS EQUILATERAL ARROWHEAD
        "\u2B9B",  # ; THREE-D LEFT-LIGHTED DOWNWARDS EQUILATERAL ARROWHEAD
        "\u2B9C",  # ; BLACK LEFTWARDS EQUILATERAL ARROWHEAD
        "\u2B9D",  # ; BLACK UPWARDS EQUILATERAL ARROWHEAD
        "\u2B9E",  # ; BLACK RIGHTWARDS EQUILATERAL ARROWHEAD
        "\u2B9F",  # ; BLACK DOWNWARDS EQUILATERAL ARROWHEAD
        "\u2BA0",  # ; DOWNWARDS TRIANGLE-HEADED ARROW WITH LONG TIP LEFTWARDS
        "\u2BA1",  # ; DOWNWARDS TRIANGLE-HEADED ARROW WITH LONG TIP RIGHTWARDS
        "\u2BA2",  # ; UPWARDS TRIANGLE-HEADED ARROW WITH LONG TIP LEFTWARDS
        "\u2BA3",  # ; UPWARDS TRIANGLE-HEADED ARROW WITH LONG TIP RIGHTWARDS
        "\u2BA4",  # ; LEFTWARDS TRIANGLE-HEADED ARROW WITH LONG TIP UPWARDS
        "\u2BA5",  # ; RIGHTWARDS TRIANGLE-HEADED ARROW WITH LONG TIP UPWARDS
        "\u2BA6",  # ; LEFTWARDS TRIANGLE-HEADED ARROW WITH LONG TIP DOWNWARDS
        "\u2BA7",  # ; RIGHTWARDS TRIANGLE-HEADED ARROW WITH LONG TIP DOWNWARDS
        "\u2BA8",  # ; BLACK CURVED DOWNWARDS AND LEFTWARDS ARROW
        "\u2BA9",  # ; BLACK CURVED DOWNWARDS AND RIGHTWARDS ARROW
        "\u2BAA",  # ; BLACK CURVED UPWARDS AND LEFTWARDS ARROW
        "\u2BAB",  # ; BLACK CURVED UPWARDS AND RIGHTWARDS ARROW
        "\u2BAC",  # ; BLACK CURVED LEFTWARDS AND UPWARDS ARROW
        "\u2BAD",  # ; BLACK CURVED RIGHTWARDS AND UPWARDS ARROW
        "\u2BAE",  # ; BLACK CURVED LEFTWARDS AND DOWNWARDS ARROW
        "\u2BAF",  # ; BLACK CURVED RIGHTWARDS AND DOWNWARDS ARROW
        "\u2BB0",  # ; RIBBON ARROW DOWN LEFT
        "\u2BB1",  # ; RIBBON ARROW DOWN RIGHT
        "\u2BB2",  # ; RIBBON ARROW UP LEFT
        "\u2BB3",  # ; RIBBON ARROW UP RIGHT
        "\u2BB4",  # ; RIBBON ARROW LEFT UP
        "\u2BB5",  # ; RIBBON ARROW RIGHT UP
        "\u2BB6",  # ; RIBBON ARROW LEFT DOWN
        "\u2BB7",  # ; RIBBON ARROW RIGHT DOWN
        "\u2BB8",  # ; UPWARDS WHITE ARROW FROM BAR WITH HORIZONTAL BAR
        "\u2BB9",  # ; UP ARROWHEAD IN A RECTANGLE BOX
        "\u2BBD",  # ; BALLOT BOX WITH LIGHT X
        "\u2BBE",  # ; CIRCLED X
        "\u2BBF",  # ; CIRCLED BOLD X
        "\u2BC0",  # ; BLACK SQUARE CENTRED
        "\u2BC1",  # ; BLACK DIAMOND CENTRED
        "\u2BC2",  # ; TURNED BLACK PENTAGON
        "\u2BC3",  # ; HORIZONTAL BLACK OCTAGON
        "\u2BC4",  # ; BLACK OCTAGON
        "\u2BC5",  # ; BLACK MEDIUM UP-POINTING TRIANGLE CENTRED
        "\u2BC6",  # ; BLACK MEDIUM DOWN-POINTING TRIANGLE CENTRED
        "\u2BC7",  # ; BLACK MEDIUM LEFT-POINTING TRIANGLE CENTRED
        "\u2BC8",  # ; BLACK MEDIUM RIGHT-POINTING TRIANGLE CENTRED
        "\u2BCA",  # ; TOP HALF BLACK CIRCLE
        "\u2BCB",  # ; BOTTOM HALF BLACK CIRCLE
        "\u2BCC",  # ; LIGHT FOUR POINTED BLACK CUSP
        "\u2BCD",  # ; ROTATED LIGHT FOUR POINTED BLACK CUSP
        "\u2BCE",  # ; WHITE FOUR POINTED CUSP
        "\u2BCF",  # ; ROTATED WHITE FOUR POINTED CUSP
        "\u2BD0",  # ; SQUARE POSITION INDICATOR
        "\u2BD1",  # ; UNCERTAINTY SIGN
        "\u2BD2",  # ; GROUP MARK
        "\u2BEC",  # ; LEFTWARDS TWO-HEADED ARROW WITH TRIANGLE ARROWHEADS
        "\u2BED",  # ; UPWARDS TWO-HEADED ARROW WITH TRIANGLE ARROWHEADS
        "\u2BEE",  # ; RIGHTWARDS TWO-HEADED ARROW WITH TRIANGLE ARROWHEADS
        "\u2BEF",  # ; DOWNWARDS TWO-HEADED ARROW WITH TRIANGLE ARROWHEADS
        "\u2C00",  # ; GLAGOLITIC CAPITAL LETTER AZU
        "\u2C01",  # ; GLAGOLITIC CAPITAL LETTER BUKY
        "\u2C02",  # ; GLAGOLITIC CAPITAL LETTER VEDE
        "\u2C03",  # ; GLAGOLITIC CAPITAL LETTER GLAGOLI
        "\u2C04",  # ; GLAGOLITIC CAPITAL LETTER DOBRO
        "\u2C05",  # ; GLAGOLITIC CAPITAL LETTER YESTU
        "\u2C06",  # ; GLAGOLITIC CAPITAL LETTER ZHIVETE
        "\u2C07",  # ; GLAGOLITIC CAPITAL LETTER DZELO
        "\u2C08",  # ; GLAGOLITIC CAPITAL LETTER ZEMLJA
        "\u2C09",  # ; GLAGOLITIC CAPITAL LETTER IZHE
        "\u2C0A",  # ; GLAGOLITIC CAPITAL LETTER INITIAL IZHE
        "\u2C0B",  # ; GLAGOLITIC CAPITAL LETTER I
        "\u2C0C",  # ; GLAGOLITIC CAPITAL LETTER DJERVI
        "\u2C0D",  # ; GLAGOLITIC CAPITAL LETTER KAKO
        "\u2C0E",  # ; GLAGOLITIC CAPITAL LETTER LJUDIJE
        "\u2C0F",  # ; GLAGOLITIC CAPITAL LETTER MYSLITE
        "\u2C10",  # ; GLAGOLITIC CAPITAL LETTER NASHI
        "\u2C11",  # ; GLAGOLITIC CAPITAL LETTER ONU
        "\u2C12",  # ; GLAGOLITIC CAPITAL LETTER POKOJI
        "\u2C13",  # ; GLAGOLITIC CAPITAL LETTER RITSI
        "\u2C14",  # ; GLAGOLITIC CAPITAL LETTER SLOVO
        "\u2C15",  # ; GLAGOLITIC CAPITAL LETTER TVRIDO
        "\u2C16",  # ; GLAGOLITIC CAPITAL LETTER UKU
        "\u2C17",  # ; GLAGOLITIC CAPITAL LETTER FRITU
        "\u2C18",  # ; GLAGOLITIC CAPITAL LETTER HERU
        "\u2C19",  # ; GLAGOLITIC CAPITAL LETTER OTU
        "\u2C1A",  # ; GLAGOLITIC CAPITAL LETTER PE
        "\u2C1B",  # ; GLAGOLITIC CAPITAL LETTER SHTA
        "\u2C1C",  # ; GLAGOLITIC CAPITAL LETTER TSI
        "\u2C1D",  # ; GLAGOLITIC CAPITAL LETTER CHRIVI
        "\u2C1E",  # ; GLAGOLITIC CAPITAL LETTER SHA
        "\u2C1F",  # ; GLAGOLITIC CAPITAL LETTER YERU
        "\u2C20",  # ; GLAGOLITIC CAPITAL LETTER YERI
        "\u2C21",  # ; GLAGOLITIC CAPITAL LETTER YATI
        "\u2C22",  # ; GLAGOLITIC CAPITAL LETTER SPIDERY HA
        "\u2C23",  # ; GLAGOLITIC CAPITAL LETTER YU
        "\u2C24",  # ; GLAGOLITIC CAPITAL LETTER SMALL YUS
        "\u2C25",  # ; GLAGOLITIC CAPITAL LETTER SMALL YUS WITH TAIL
        "\u2C26",  # ; GLAGOLITIC CAPITAL LETTER YO
        "\u2C27",  # ; GLAGOLITIC CAPITAL LETTER IOTATED SMALL YUS
        "\u2C28",  # ; GLAGOLITIC CAPITAL LETTER BIG YUS
        "\u2C29",  # ; GLAGOLITIC CAPITAL LETTER IOTATED BIG YUS
        "\u2C2A",  # ; GLAGOLITIC CAPITAL LETTER FITA
        "\u2C2B",  # ; GLAGOLITIC CAPITAL LETTER IZHITSA
        "\u2C2C",  # ; GLAGOLITIC CAPITAL LETTER SHTAPIC
        "\u2C2D",  # ; GLAGOLITIC CAPITAL LETTER TROKUTASTI A
        "\u2C2E",  # ; GLAGOLITIC CAPITAL LETTER LATINATE MYSLITE
        "\u2C30",  # ; GLAGOLITIC SMALL LETTER AZU
        "\u2C31",  # ; GLAGOLITIC SMALL LETTER BUKY
        "\u2C32",  # ; GLAGOLITIC SMALL LETTER VEDE
        "\u2C33",  # ; GLAGOLITIC SMALL LETTER GLAGOLI
        "\u2C34",  # ; GLAGOLITIC SMALL LETTER DOBRO
        "\u2C35",  # ; GLAGOLITIC SMALL LETTER YESTU
        "\u2C36",  # ; GLAGOLITIC SMALL LETTER ZHIVETE
        "\u2C37",  # ; GLAGOLITIC SMALL LETTER DZELO
        "\u2C38",  # ; GLAGOLITIC SMALL LETTER ZEMLJA
        "\u2C39",  # ; GLAGOLITIC SMALL LETTER IZHE
        "\u2C3A",  # ; GLAGOLITIC SMALL LETTER INITIAL IZHE
        "\u2C3B",  # ; GLAGOLITIC SMALL LETTER I
        "\u2C3C",  # ; GLAGOLITIC SMALL LETTER DJERVI
        "\u2C3D",  # ; GLAGOLITIC SMALL LETTER KAKO
        "\u2C3E",  # ; GLAGOLITIC SMALL LETTER LJUDIJE
        "\u2C3F",  # ; GLAGOLITIC SMALL LETTER MYSLITE
        "\u2C40",  # ; GLAGOLITIC SMALL LETTER NASHI
        "\u2C41",  # ; GLAGOLITIC SMALL LETTER ONU
        "\u2C42",  # ; GLAGOLITIC SMALL LETTER POKOJI
        "\u2C43",  # ; GLAGOLITIC SMALL LETTER RITSI
        "\u2C44",  # ; GLAGOLITIC SMALL LETTER SLOVO
        "\u2C45",  # ; GLAGOLITIC SMALL LETTER TVRIDO
        "\u2C46",  # ; GLAGOLITIC SMALL LETTER UKU
        "\u2C47",  # ; GLAGOLITIC SMALL LETTER FRITU
        "\u2C48",  # ; GLAGOLITIC SMALL LETTER HERU
        "\u2C49",  # ; GLAGOLITIC SMALL LETTER OTU
        "\u2C4A",  # ; GLAGOLITIC SMALL LETTER PE
        "\u2C4B",  # ; GLAGOLITIC SMALL LETTER SHTA
        "\u2C4C",  # ; GLAGOLITIC SMALL LETTER TSI
        "\u2C4D",  # ; GLAGOLITIC SMALL LETTER CHRIVI
        "\u2C4E",  # ; GLAGOLITIC SMALL LETTER SHA
        "\u2C4F",  # ; GLAGOLITIC SMALL LETTER YERU
        "\u2C50",  # ; GLAGOLITIC SMALL LETTER YERI
        "\u2C51",  # ; GLAGOLITIC SMALL LETTER YATI
        "\u2C52",  # ; GLAGOLITIC SMALL LETTER SPIDERY HA
        "\u2C53",  # ; GLAGOLITIC SMALL LETTER YU
        "\u2C54",  # ; GLAGOLITIC SMALL LETTER SMALL YUS
        "\u2C55",  # ; GLAGOLITIC SMALL LETTER SMALL YUS WITH TAIL
        "\u2C56",  # ; GLAGOLITIC SMALL LETTER YO
        "\u2C57",  # ; GLAGOLITIC SMALL LETTER IOTATED SMALL YUS
        "\u2C58",  # ; GLAGOLITIC SMALL LETTER BIG YUS
        "\u2C59",  # ; GLAGOLITIC SMALL LETTER IOTATED BIG YUS
        "\u2C5A",  # ; GLAGOLITIC SMALL LETTER FITA
        "\u2C5B",  # ; GLAGOLITIC SMALL LETTER IZHITSA
        "\u2C5C",  # ; GLAGOLITIC SMALL LETTER SHTAPIC
        "\u2C5D",  # ; GLAGOLITIC SMALL LETTER TROKUTASTI A
        "\u2C5E",  # ; GLAGOLITIC SMALL LETTER LATINATE MYSLITE
        "\u2C60",  # ; LATIN CAPITAL LETTER L WITH DOUBLE BAR
        "\u2C61",  # ; LATIN SMALL LETTER L WITH DOUBLE BAR
        "\u2C62",  # ; LATIN CAPITAL LETTER L WITH MIDDLE TILDE
        "\u2C63",  # ; LATIN CAPITAL LETTER P WITH STROKE
        "\u2C64",  # ; LATIN CAPITAL LETTER R WITH TAIL
        "\u2C65",  # ; LATIN SMALL LETTER A WITH STROKE
        "\u2C66",  # ; LATIN SMALL LETTER T WITH DIAGONAL STROKE
        "\u2C67",  # ; LATIN CAPITAL LETTER H WITH DESCENDER
        "\u2C68",  # ; LATIN SMALL LETTER H WITH DESCENDER
        "\u2C69",  # ; LATIN CAPITAL LETTER K WITH DESCENDER
        "\u2C6A",  # ; LATIN SMALL LETTER K WITH DESCENDER
        "\u2C6B",  # ; LATIN CAPITAL LETTER Z WITH DESCENDER
        "\u2C6C",  # ; LATIN SMALL LETTER Z WITH DESCENDER
        "\u2C6D",  # ; LATIN CAPITAL LETTER ALPHA
        "\u2C6E",  # ; LATIN CAPITAL LETTER M WITH HOOK
        "\u2C6F",  # ; LATIN CAPITAL LETTER TURNED A
        "\u2C70",  # ; LATIN CAPITAL LETTER TURNED ALPHA
        "\u2C71",  # ; LATIN SMALL LETTER V WITH RIGHT HOOK
        "\u2C72",  # ; LATIN CAPITAL LETTER W WITH HOOK
        "\u2C73",  # ; LATIN SMALL LETTER W WITH HOOK
        "\u2C74",  # ; LATIN SMALL LETTER V WITH CURL
        "\u2C75",  # ; LATIN CAPITAL LETTER HALF H
        "\u2C76",  # ; LATIN SMALL LETTER HALF H
        "\u2C77",  # ; LATIN SMALL LETTER TAILLESS PHI
        "\u2C78",  # ; LATIN SMALL LETTER E WITH NOTCH
        "\u2C79",  # ; LATIN SMALL LETTER TURNED R WITH TAIL
        "\u2C7A",  # ; LATIN SMALL LETTER O WITH LOW RING INSIDE
        "\u2C7B",  # ; LATIN LETTER SMALL CAPITAL TURNED E
        "\u2C7C",  # ; LATIN SUBSCRIPT SMALL LETTER J
        "\u2C7D",  # ; MODIFIER LETTER CAPITAL V
        "\u2C7E",  # ; LATIN CAPITAL LETTER S WITH SWASH TAIL
        "\u2C7F",  # ; LATIN CAPITAL LETTER Z WITH SWASH TAIL
        "\u2C80",  # ; COPTIC CAPITAL LETTER ALFA
        "\u2C81",  # ; COPTIC SMALL LETTER ALFA
        "\u2C82",  # ; COPTIC CAPITAL LETTER VIDA
        "\u2C83",  # ; COPTIC SMALL LETTER VIDA
        "\u2C84",  # ; COPTIC CAPITAL LETTER GAMMA
        "\u2C85",  # ; COPTIC SMALL LETTER GAMMA
        "\u2C86",  # ; COPTIC CAPITAL LETTER DALDA
        "\u2C87",  # ; COPTIC SMALL LETTER DALDA
        "\u2C88",  # ; COPTIC CAPITAL LETTER EIE
        "\u2C89",  # ; COPTIC SMALL LETTER EIE
        "\u2C8A",  # ; COPTIC CAPITAL LETTER SOU
        "\u2C8B",  # ; COPTIC SMALL LETTER SOU
        "\u2C8C",  # ; COPTIC CAPITAL LETTER ZATA
        "\u2C8D",  # ; COPTIC SMALL LETTER ZATA
        "\u2C8E",  # ; COPTIC CAPITAL LETTER HATE
        "\u2C8F",  # ; COPTIC SMALL LETTER HATE
        "\u2C90",  # ; COPTIC CAPITAL LETTER THETHE
        "\u2C91",  # ; COPTIC SMALL LETTER THETHE
        "\u2C92",  # ; COPTIC CAPITAL LETTER IAUDA
        "\u2C93",  # ; COPTIC SMALL LETTER IAUDA
        "\u2C94",  # ; COPTIC CAPITAL LETTER KAPA
        "\u2C95",  # ; COPTIC SMALL LETTER KAPA
        "\u2C96",  # ; COPTIC CAPITAL LETTER LAULA
        "\u2C97",  # ; COPTIC SMALL LETTER LAULA
        "\u2C98",  # ; COPTIC CAPITAL LETTER MI
        "\u2C99",  # ; COPTIC SMALL LETTER MI
        "\u2C9A",  # ; COPTIC CAPITAL LETTER NI
        "\u2C9B",  # ; COPTIC SMALL LETTER NI
        "\u2C9C",  # ; COPTIC CAPITAL LETTER KSI
        "\u2C9D",  # ; COPTIC SMALL LETTER KSI
        "\u2C9E",  # ; COPTIC CAPITAL LETTER O
        "\u2C9F",  # ; COPTIC SMALL LETTER O
        "\u2CA0",  # ; COPTIC CAPITAL LETTER PI
        "\u2CA1",  # ; COPTIC SMALL LETTER PI
        "\u2CA2",  # ; COPTIC CAPITAL LETTER RO
        "\u2CA3",  # ; COPTIC SMALL LETTER RO
        "\u2CA4",  # ; COPTIC CAPITAL LETTER SIMA
        "\u2CA5",  # ; COPTIC SMALL LETTER SIMA
        "\u2CA6",  # ; COPTIC CAPITAL LETTER TAU
        "\u2CA7",  # ; COPTIC SMALL LETTER TAU
        "\u2CA8",  # ; COPTIC CAPITAL LETTER UA
        "\u2CA9",  # ; COPTIC SMALL LETTER UA
        "\u2CAA",  # ; COPTIC CAPITAL LETTER FI
        "\u2CAB",  # ; COPTIC SMALL LETTER FI
        "\u2CAC",  # ; COPTIC CAPITAL LETTER KHI
        "\u2CAD",  # ; COPTIC SMALL LETTER KHI
        "\u2CAE",  # ; COPTIC CAPITAL LETTER PSI
        "\u2CAF",  # ; COPTIC SMALL LETTER PSI
        "\u2CB0",  # ; COPTIC CAPITAL LETTER OOU
        "\u2CB1",  # ; COPTIC SMALL LETTER OOU
        "\u2CB2",  # ; COPTIC CAPITAL LETTER DIALECT-P ALEF
        "\u2CB3",  # ; COPTIC SMALL LETTER DIALECT-P ALEF
        "\u2CB4",  # ; COPTIC CAPITAL LETTER OLD COPTIC AIN
        "\u2CB5",  # ; COPTIC SMALL LETTER OLD COPTIC AIN
        "\u2CB6",  # ; COPTIC CAPITAL LETTER CRYPTOGRAMMIC EIE
        "\u2CB7",  # ; COPTIC SMALL LETTER CRYPTOGRAMMIC EIE
        "\u2CB8",  # ; COPTIC CAPITAL LETTER DIALECT-P KAPA
        "\u2CB9",  # ; COPTIC SMALL LETTER DIALECT-P KAPA
        "\u2CBA",  # ; COPTIC CAPITAL LETTER DIALECT-P NI
        "\u2CBB",  # ; COPTIC SMALL LETTER DIALECT-P NI
        "\u2CBC",  # ; COPTIC CAPITAL LETTER CRYPTOGRAMMIC NI
        "\u2CBD",  # ; COPTIC SMALL LETTER CRYPTOGRAMMIC NI
        "\u2CBE",  # ; COPTIC CAPITAL LETTER OLD COPTIC OOU
        "\u2CBF",  # ; COPTIC SMALL LETTER OLD COPTIC OOU
        "\u2CC0",  # ; COPTIC CAPITAL LETTER SAMPI
        "\u2CC1",  # ; COPTIC SMALL LETTER SAMPI
        "\u2CC2",  # ; COPTIC CAPITAL LETTER CROSSED SHEI
        "\u2CC3",  # ; COPTIC SMALL LETTER CROSSED SHEI
        "\u2CC4",  # ; COPTIC CAPITAL LETTER OLD COPTIC SHEI
        "\u2CC5",  # ; COPTIC SMALL LETTER OLD COPTIC SHEI
        "\u2CC6",  # ; COPTIC CAPITAL LETTER OLD COPTIC ESH
        "\u2CC7",  # ; COPTIC SMALL LETTER OLD COPTIC ESH
        "\u2CC8",  # ; COPTIC CAPITAL LETTER AKHMIMIC KHEI
        "\u2CC9",  # ; COPTIC SMALL LETTER AKHMIMIC KHEI
        "\u2CCA",  # ; COPTIC CAPITAL LETTER DIALECT-P HORI
        "\u2CCB",  # ; COPTIC SMALL LETTER DIALECT-P HORI
        "\u2CCC",  # ; COPTIC CAPITAL LETTER OLD COPTIC HORI
        "\u2CCD",  # ; COPTIC SMALL LETTER OLD COPTIC HORI
        "\u2CCE",  # ; COPTIC CAPITAL LETTER OLD COPTIC HA
        "\u2CCF",  # ; COPTIC SMALL LETTER OLD COPTIC HA
        "\u2CD0",  # ; COPTIC CAPITAL LETTER L-SHAPED HA
        "\u2CD1",  # ; COPTIC SMALL LETTER L-SHAPED HA
        "\u2CD2",  # ; COPTIC CAPITAL LETTER OLD COPTIC HEI
        "\u2CD3",  # ; COPTIC SMALL LETTER OLD COPTIC HEI
        "\u2CD4",  # ; COPTIC CAPITAL LETTER OLD COPTIC HAT
        "\u2CD5",  # ; COPTIC SMALL LETTER OLD COPTIC HAT
        "\u2CD6",  # ; COPTIC CAPITAL LETTER OLD COPTIC GANGIA
        "\u2CD7",  # ; COPTIC SMALL LETTER OLD COPTIC GANGIA
        "\u2CD8",  # ; COPTIC CAPITAL LETTER OLD COPTIC DJA
        "\u2CD9",  # ; COPTIC SMALL LETTER OLD COPTIC DJA
        "\u2CDA",  # ; COPTIC CAPITAL LETTER OLD COPTIC SHIMA
        "\u2CDB",  # ; COPTIC SMALL LETTER OLD COPTIC SHIMA
        "\u2CDC",  # ; COPTIC CAPITAL LETTER OLD NUBIAN SHIMA
        "\u2CDD",  # ; COPTIC SMALL LETTER OLD NUBIAN SHIMA
        "\u2CDE",  # ; COPTIC CAPITAL LETTER OLD NUBIAN NGI
        "\u2CDF",  # ; COPTIC SMALL LETTER OLD NUBIAN NGI
        "\u2CE0",  # ; COPTIC CAPITAL LETTER OLD NUBIAN NYI
        "\u2CE1",  # ; COPTIC SMALL LETTER OLD NUBIAN NYI
        "\u2CE2",  # ; COPTIC CAPITAL LETTER OLD NUBIAN WAU
        "\u2CE3",  # ; COPTIC SMALL LETTER OLD NUBIAN WAU
        "\u2CE4",  # ; COPTIC SYMBOL KAI
        "\u2CE5",  # ; COPTIC SYMBOL MI RO
        "\u2CE6",  # ; COPTIC SYMBOL PI RO
        "\u2CE7",  # ; COPTIC SYMBOL STAUROS
        "\u2CE8",  # ; COPTIC SYMBOL TAU RO
        "\u2CE9",  # ; COPTIC SYMBOL KHI RO
        "\u2CEA",  # ; COPTIC SYMBOL SHIMA SIMA
        "\u2CEB",  # ; COPTIC CAPITAL LETTER CRYPTOGRAMMIC SHEI
        "\u2CEC",  # ; COPTIC SMALL LETTER CRYPTOGRAMMIC SHEI
        "\u2CED",  # ; COPTIC CAPITAL LETTER CRYPTOGRAMMIC GANGIA
        "\u2CEE",  # ; COPTIC SMALL LETTER CRYPTOGRAMMIC GANGIA
        "\u2CEF",  # ; COPTIC COMBINING NI ABOVE
        "\u2CF0",  # ; COPTIC COMBINING SPIRITUS ASPER
        "\u2CF1",  # ; COPTIC COMBINING SPIRITUS LENIS
        "\u2CF2",  # ; COPTIC CAPITAL LETTER BOHAIRIC KHEI
        "\u2CF3",  # ; COPTIC SMALL LETTER BOHAIRIC KHEI
        "\u2CF9",  # ; COPTIC OLD NUBIAN FULL STOP
        "\u2CFA",  # ; COPTIC OLD NUBIAN DIRECT QUESTION MARK
        "\u2CFB",  # ; COPTIC OLD NUBIAN INDIRECT QUESTION MARK
        "\u2CFC",  # ; COPTIC OLD NUBIAN VERSE DIVIDER
        "\u2CFD",  # ; COPTIC FRACTION ONE HALF
        "\u2CFE",  # ; COPTIC FULL STOP
        "\u2CFF",  # ; COPTIC MORPHOLOGICAL DIVIDER
        "\u2D00",  # ; GEORGIAN SMALL LETTER AN
        "\u2D01",  # ; GEORGIAN SMALL LETTER BAN
        "\u2D02",  # ; GEORGIAN SMALL LETTER GAN
        "\u2D03",  # ; GEORGIAN SMALL LETTER DON
        "\u2D04",  # ; GEORGIAN SMALL LETTER EN
        "\u2D05",  # ; GEORGIAN SMALL LETTER VIN
        "\u2D06",  # ; GEORGIAN SMALL LETTER ZEN
        "\u2D07",  # ; GEORGIAN SMALL LETTER TAN
        "\u2D08",  # ; GEORGIAN SMALL LETTER IN
        "\u2D09",  # ; GEORGIAN SMALL LETTER KAN
        "\u2D0A",  # ; GEORGIAN SMALL LETTER LAS
        "\u2D0B",  # ; GEORGIAN SMALL LETTER MAN
        "\u2D0C",  # ; GEORGIAN SMALL LETTER NAR
        "\u2D0D",  # ; GEORGIAN SMALL LETTER ON
        "\u2D0E",  # ; GEORGIAN SMALL LETTER PAR
        "\u2D0F",  # ; GEORGIAN SMALL LETTER ZHAR
        "\u2D10",  # ; GEORGIAN SMALL LETTER RAE
        "\u2D11",  # ; GEORGIAN SMALL LETTER SAN
        "\u2D12",  # ; GEORGIAN SMALL LETTER TAR
        "\u2D13",  # ; GEORGIAN SMALL LETTER UN
        "\u2D14",  # ; GEORGIAN SMALL LETTER PHAR
        "\u2D15",  # ; GEORGIAN SMALL LETTER KHAR
        "\u2D16",  # ; GEORGIAN SMALL LETTER GHAN
        "\u2D17",  # ; GEORGIAN SMALL LETTER QAR
        "\u2D18",  # ; GEORGIAN SMALL LETTER SHIN
        "\u2D19",  # ; GEORGIAN SMALL LETTER CHIN
        "\u2D1A",  # ; GEORGIAN SMALL LETTER CAN
        "\u2D1B",  # ; GEORGIAN SMALL LETTER JIL
        "\u2D1C",  # ; GEORGIAN SMALL LETTER CIL
        "\u2D1D",  # ; GEORGIAN SMALL LETTER CHAR
        "\u2D1E",  # ; GEORGIAN SMALL LETTER XAN
        "\u2D1F",  # ; GEORGIAN SMALL LETTER JHAN
        "\u2D20",  # ; GEORGIAN SMALL LETTER HAE
        "\u2D21",  # ; GEORGIAN SMALL LETTER HE
        "\u2D22",  # ; GEORGIAN SMALL LETTER HIE
        "\u2D23",  # ; GEORGIAN SMALL LETTER WE
        "\u2D24",  # ; GEORGIAN SMALL LETTER HAR
        "\u2D25",  # ; GEORGIAN SMALL LETTER HOE
        "\u2D27",  # ; GEORGIAN SMALL LETTER YN
        "\u2D2D",  # ; GEORGIAN SMALL LETTER AEN
        "\u2D30",  # ; TIFINAGH LETTER YA
        "\u2D31",  # ; TIFINAGH LETTER YAB
        "\u2D32",  # ; TIFINAGH LETTER YABH
        "\u2D33",  # ; TIFINAGH LETTER YAG
        "\u2D34",  # ; TIFINAGH LETTER YAGHH
        "\u2D35",  # ; TIFINAGH LETTER BERBER ACADEMY YAJ
        "\u2D36",  # ; TIFINAGH LETTER YAJ
        "\u2D37",  # ; TIFINAGH LETTER YAD
        "\u2D38",  # ; TIFINAGH LETTER YADH
        "\u2D39",  # ; TIFINAGH LETTER YADD
        "\u2D3A",  # ; TIFINAGH LETTER YADDH
        "\u2D3B",  # ; TIFINAGH LETTER YEY
        "\u2D3C",  # ; TIFINAGH LETTER YAF
        "\u2D3D",  # ; TIFINAGH LETTER YAK
        "\u2D3E",  # ; TIFINAGH LETTER TUAREG YAK
        "\u2D3F",  # ; TIFINAGH LETTER YAKHH
        "\u2D40",  # ; TIFINAGH LETTER YAH
        "\u2D41",  # ; TIFINAGH LETTER BERBER ACADEMY YAH
        "\u2D42",  # ; TIFINAGH LETTER TUAREG YAH
        "\u2D43",  # ; TIFINAGH LETTER YAHH
        "\u2D44",  # ; TIFINAGH LETTER YAA
        "\u2D45",  # ; TIFINAGH LETTER YAKH
        "\u2D46",  # ; TIFINAGH LETTER TUAREG YAKH
        "\u2D47",  # ; TIFINAGH LETTER YAQ
        "\u2D48",  # ; TIFINAGH LETTER TUAREG YAQ
        "\u2D49",  # ; TIFINAGH LETTER YI
        "\u2D4A",  # ; TIFINAGH LETTER YAZH
        "\u2D4B",  # ; TIFINAGH LETTER AHAGGAR YAZH
        "\u2D4C",  # ; TIFINAGH LETTER TUAREG YAZH
        "\u2D4D",  # ; TIFINAGH LETTER YAL
        "\u2D4E",  # ; TIFINAGH LETTER YAM
        "\u2D4F",  # ; TIFINAGH LETTER YAN
        "\u2D50",  # ; TIFINAGH LETTER TUAREG YAGN
        "\u2D51",  # ; TIFINAGH LETTER TUAREG YANG
        "\u2D52",  # ; TIFINAGH LETTER YAP
        "\u2D53",  # ; TIFINAGH LETTER YU
        "\u2D54",  # ; TIFINAGH LETTER YAR
        "\u2D55",  # ; TIFINAGH LETTER YARR
        "\u2D56",  # ; TIFINAGH LETTER YAGH
        "\u2D57",  # ; TIFINAGH LETTER TUAREG YAGH
        "\u2D58",  # ; TIFINAGH LETTER AYER YAGH
        "\u2D59",  # ; TIFINAGH LETTER YAS
        "\u2D5A",  # ; TIFINAGH LETTER YASS
        "\u2D5B",  # ; TIFINAGH LETTER YASH
        "\u2D5C",  # ; TIFINAGH LETTER YAT
        "\u2D5D",  # ; TIFINAGH LETTER YATH
        "\u2D5E",  # ; TIFINAGH LETTER YACH
        "\u2D5F",  # ; TIFINAGH LETTER YATT
        "\u2D60",  # ; TIFINAGH LETTER YAV
        "\u2D61",  # ; TIFINAGH LETTER YAW
        "\u2D62",  # ; TIFINAGH LETTER YAY
        "\u2D63",  # ; TIFINAGH LETTER YAZ
        "\u2D64",  # ; TIFINAGH LETTER TAWELLEMET YAZ
        "\u2D65",  # ; TIFINAGH LETTER YAZZ
        "\u2D66",  # ; TIFINAGH LETTER YE
        "\u2D67",  # ; TIFINAGH LETTER YO
        "\u2D6F",  # ; TIFINAGH MODIFIER LETTER LABIALIZATION MARK
        "\u2D70",  # ; TIFINAGH SEPARATOR MARK
        "\u2D7F",  # ; TIFINAGH CONSONANT JOINER
        "\u2D80",  # ; ETHIOPIC SYLLABLE LOA
        "\u2D81",  # ; ETHIOPIC SYLLABLE MOA
        "\u2D82",  # ; ETHIOPIC SYLLABLE ROA
        "\u2D83",  # ; ETHIOPIC SYLLABLE SOA
        "\u2D84",  # ; ETHIOPIC SYLLABLE SHOA
        "\u2D85",  # ; ETHIOPIC SYLLABLE BOA
        "\u2D86",  # ; ETHIOPIC SYLLABLE TOA
        "\u2D87",  # ; ETHIOPIC SYLLABLE COA
        "\u2D88",  # ; ETHIOPIC SYLLABLE NOA
        "\u2D89",  # ; ETHIOPIC SYLLABLE NYOA
        "\u2D8A",  # ; ETHIOPIC SYLLABLE GLOTTAL OA
        "\u2D8B",  # ; ETHIOPIC SYLLABLE ZOA
        "\u2D8C",  # ; ETHIOPIC SYLLABLE DOA
        "\u2D8D",  # ; ETHIOPIC SYLLABLE DDOA
        "\u2D8E",  # ; ETHIOPIC SYLLABLE JOA
        "\u2D8F",  # ; ETHIOPIC SYLLABLE THOA
        "\u2D90",  # ; ETHIOPIC SYLLABLE CHOA
        "\u2D91",  # ; ETHIOPIC SYLLABLE PHOA
        "\u2D92",  # ; ETHIOPIC SYLLABLE POA
        "\u2D93",  # ; ETHIOPIC SYLLABLE GGWA
        "\u2D94",  # ; ETHIOPIC SYLLABLE GGWI
        "\u2D95",  # ; ETHIOPIC SYLLABLE GGWEE
        "\u2D96",  # ; ETHIOPIC SYLLABLE GGWE
        "\u2DA0",  # ; ETHIOPIC SYLLABLE SSA
        "\u2DA1",  # ; ETHIOPIC SYLLABLE SSU
        "\u2DA2",  # ; ETHIOPIC SYLLABLE SSI
        "\u2DA3",  # ; ETHIOPIC SYLLABLE SSAA
        "\u2DA4",  # ; ETHIOPIC SYLLABLE SSEE
        "\u2DA5",  # ; ETHIOPIC SYLLABLE SSE
        "\u2DA6",  # ; ETHIOPIC SYLLABLE SSO
        "\u2DA8",  # ; ETHIOPIC SYLLABLE CCA
        "\u2DA9",  # ; ETHIOPIC SYLLABLE CCU
        "\u2DAA",  # ; ETHIOPIC SYLLABLE CCI
        "\u2DAB",  # ; ETHIOPIC SYLLABLE CCAA
        "\u2DAC",  # ; ETHIOPIC SYLLABLE CCEE
        "\u2DAD",  # ; ETHIOPIC SYLLABLE CCE
        "\u2DAE",  # ; ETHIOPIC SYLLABLE CCO
        "\u2DB0",  # ; ETHIOPIC SYLLABLE ZZA
        "\u2DB1",  # ; ETHIOPIC SYLLABLE ZZU
        "\u2DB2",  # ; ETHIOPIC SYLLABLE ZZI
        "\u2DB3",  # ; ETHIOPIC SYLLABLE ZZAA
        "\u2DB4",  # ; ETHIOPIC SYLLABLE ZZEE
        "\u2DB5",  # ; ETHIOPIC SYLLABLE ZZE
        "\u2DB6",  # ; ETHIOPIC SYLLABLE ZZO
        "\u2DB8",  # ; ETHIOPIC SYLLABLE CCHA
        "\u2DB9",  # ; ETHIOPIC SYLLABLE CCHU
        "\u2DBA",  # ; ETHIOPIC SYLLABLE CCHI
        "\u2DBB",  # ; ETHIOPIC SYLLABLE CCHAA
        "\u2DBC",  # ; ETHIOPIC SYLLABLE CCHEE
        "\u2DBD",  # ; ETHIOPIC SYLLABLE CCHE
        "\u2DBE",  # ; ETHIOPIC SYLLABLE CCHO
        "\u2DC0",  # ; ETHIOPIC SYLLABLE QYA
        "\u2DC1",  # ; ETHIOPIC SYLLABLE QYU
        "\u2DC2",  # ; ETHIOPIC SYLLABLE QYI
        "\u2DC3",  # ; ETHIOPIC SYLLABLE QYAA
        "\u2DC4",  # ; ETHIOPIC SYLLABLE QYEE
        "\u2DC5",  # ; ETHIOPIC SYLLABLE QYE
        "\u2DC6",  # ; ETHIOPIC SYLLABLE QYO
        "\u2DC8",  # ; ETHIOPIC SYLLABLE KYA
        "\u2DC9",  # ; ETHIOPIC SYLLABLE KYU
        "\u2DCA",  # ; ETHIOPIC SYLLABLE KYI
        "\u2DCB",  # ; ETHIOPIC SYLLABLE KYAA
        "\u2DCC",  # ; ETHIOPIC SYLLABLE KYEE
        "\u2DCD",  # ; ETHIOPIC SYLLABLE KYE
        "\u2DCE",  # ; ETHIOPIC SYLLABLE KYO
        "\u2DD0",  # ; ETHIOPIC SYLLABLE XYA
        "\u2DD1",  # ; ETHIOPIC SYLLABLE XYU
        "\u2DD2",  # ; ETHIOPIC SYLLABLE XYI
        "\u2DD3",  # ; ETHIOPIC SYLLABLE XYAA
        "\u2DD4",  # ; ETHIOPIC SYLLABLE XYEE
        "\u2DD5",  # ; ETHIOPIC SYLLABLE XYE
        "\u2DD6",  # ; ETHIOPIC SYLLABLE XYO
        "\u2DD8",  # ; ETHIOPIC SYLLABLE GYA
        "\u2DD9",  # ; ETHIOPIC SYLLABLE GYU
        "\u2DDA",  # ; ETHIOPIC SYLLABLE GYI
        "\u2DDB",  # ; ETHIOPIC SYLLABLE GYAA
        "\u2DDC",  # ; ETHIOPIC SYLLABLE GYEE
        "\u2DDD",  # ; ETHIOPIC SYLLABLE GYE
        "\u2DDE",  # ; ETHIOPIC SYLLABLE GYO
        "\u2DE0",  # ; COMBINING CYRILLIC LETTER BE
        "\u2DE1",  # ; COMBINING CYRILLIC LETTER VE
        "\u2DE2",  # ; COMBINING CYRILLIC LETTER GHE
        "\u2DE3",  # ; COMBINING CYRILLIC LETTER DE
        "\u2DE4",  # ; COMBINING CYRILLIC LETTER ZHE
        "\u2DE5",  # ; COMBINING CYRILLIC LETTER ZE
        "\u2DE6",  # ; COMBINING CYRILLIC LETTER KA
        "\u2DE7",  # ; COMBINING CYRILLIC LETTER EL
        "\u2DE8",  # ; COMBINING CYRILLIC LETTER EM
        "\u2DE9",  # ; COMBINING CYRILLIC LETTER EN
        "\u2DEA",  # ; COMBINING CYRILLIC LETTER O
        "\u2DEB",  # ; COMBINING CYRILLIC LETTER PE
        "\u2DEC",  # ; COMBINING CYRILLIC LETTER ER
        "\u2DED",  # ; COMBINING CYRILLIC LETTER ES
        "\u2DEE",  # ; COMBINING CYRILLIC LETTER TE
        "\u2DEF",  # ; COMBINING CYRILLIC LETTER HA
        "\u2DF0",  # ; COMBINING CYRILLIC LETTER TSE
        "\u2DF1",  # ; COMBINING CYRILLIC LETTER CHE
        "\u2DF2",  # ; COMBINING CYRILLIC LETTER SHA
        "\u2DF3",  # ; COMBINING CYRILLIC LETTER SHCHA
        "\u2DF4",  # ; COMBINING CYRILLIC LETTER FITA
        "\u2DF5",  # ; COMBINING CYRILLIC LETTER ES-TE
        "\u2DF6",  # ; COMBINING CYRILLIC LETTER A
        "\u2DF7",  # ; COMBINING CYRILLIC LETTER IE
        "\u2DF8",  # ; COMBINING CYRILLIC LETTER DJERV
        "\u2DF9",  # ; COMBINING CYRILLIC LETTER MONOGRAPH UK
        "\u2DFA",  # ; COMBINING CYRILLIC LETTER YAT
        "\u2DFB",  # ; COMBINING CYRILLIC LETTER YU
        "\u2DFC",  # ; COMBINING CYRILLIC LETTER IOTIFIED A
        "\u2DFD",  # ; COMBINING CYRILLIC LETTER LITTLE YUS
        "\u2DFE",  # ; COMBINING CYRILLIC LETTER BIG YUS
        "\u2DFF",  # ; COMBINING CYRILLIC LETTER IOTIFIED BIG YUS
        "\u2E00",  # ; RIGHT ANGLE SUBSTITUTION MARKER
        "\u2E01",  # ; RIGHT ANGLE DOTTED SUBSTITUTION MARKER
        "\u2E02",  # ; LEFT SUBSTITUTION BRACKET
        "\u2E03",  # ; RIGHT SUBSTITUTION BRACKET
        "\u2E04",  # ; LEFT DOTTED SUBSTITUTION BRACKET
        "\u2E05",  # ; RIGHT DOTTED SUBSTITUTION BRACKET
        "\u2E06",  # ; RAISED INTERPOLATION MARKER
        "\u2E07",  # ; RAISED DOTTED INTERPOLATION MARKER
        "\u2E08",  # ; DOTTED TRANSPOSITION MARKER
        "\u2E09",  # ; LEFT TRANSPOSITION BRACKET
        "\u2E0A",  # ; RIGHT TRANSPOSITION BRACKET
        "\u2E0B",  # ; RAISED SQUARE
        "\u2E0C",  # ; LEFT RAISED OMISSION BRACKET
        "\u2E0D",  # ; RIGHT RAISED OMISSION BRACKET
        "\u2E0E",  # ; EDITORIAL CORONIS
        "\u2E0F",  # ; PARAGRAPHOS
        "\u2E10",  # ; FORKED PARAGRAPHOS
        "\u2E11",  # ; REVERSED FORKED PARAGRAPHOS
        "\u2E12",  # ; HYPODIASTOLE
        "\u2E13",  # ; DOTTED OBELOS
        "\u2E14",  # ; DOWNWARDS ANCORA
        "\u2E15",  # ; UPWARDS ANCORA
        "\u2E16",  # ; DOTTED RIGHT-POINTING ANGLE
        "\u2E17",  # ; DOUBLE OBLIQUE HYPHEN
        "\u2E18",  # ; INVERTED INTERROBANG
        "\u2E19",  # ; PALM BRANCH
        "\u2E1A",  # ; HYPHEN WITH DIAERESIS
        "\u2E1B",  # ; TILDE WITH RING ABOVE
        "\u2E1C",  # ; LEFT LOW PARAPHRASE BRACKET
        "\u2E1D",  # ; RIGHT LOW PARAPHRASE BRACKET
        "\u2E1E",  # ; TILDE WITH DOT ABOVE
        "\u2E1F",  # ; TILDE WITH DOT BELOW
        "\u2E20",  # ; LEFT VERTICAL BAR WITH QUILL
        "\u2E21",  # ; RIGHT VERTICAL BAR WITH QUILL
        "\u2E22",  # ; TOP LEFT HALF BRACKET
        "\u2E23",  # ; TOP RIGHT HALF BRACKET
        "\u2E24",  # ; BOTTOM LEFT HALF BRACKET
        "\u2E25",  # ; BOTTOM RIGHT HALF BRACKET
        "\u2E26",  # ; LEFT SIDEWAYS U BRACKET
        "\u2E27",  # ; RIGHT SIDEWAYS U BRACKET
        "\u2E28",  # ; LEFT DOUBLE PARENTHESIS
        "\u2E29",  # ; RIGHT DOUBLE PARENTHESIS
        "\u2E2A",  # ; TWO DOTS OVER ONE DOT PUNCTUATION
        "\u2E2B",  # ; ONE DOT OVER TWO DOTS PUNCTUATION
        "\u2E2C",  # ; SQUARED FOUR DOT PUNCTUATION
        "\u2E2D",  # ; FIVE DOT MARK
        "\u2E2E",  # ; REVERSED QUESTION MARK
        "\u2E2F",  # ; VERTICAL TILDE
        "\u2E30",  # ; RING POINT
        "\u2E31",  # ; WORD SEPARATOR MIDDLE DOT
        "\u2E32",  # ; TURNED COMMA
        "\u2E33",  # ; RAISED DOT
        "\u2E34",  # ; RAISED COMMA
        "\u2E35",  # ; TURNED SEMICOLON
        "\u2E36",  # ; DAGGER WITH LEFT GUARD
        "\u2E37",  # ; DAGGER WITH RIGHT GUARD
        "\u2E38",  # ; TURNED DAGGER
        "\u2E39",  # ; TOP HALF SECTION SIGN
        "\u2E3A",  # ; TWO-EM DASH
        "\u2E3B",  # ; THREE-EM DASH
        "\u2E3C",  # ; STENOGRAPHIC FULL STOP
        "\u2E3D",  # ; VERTICAL SIX DOTS
        "\u2E3E",  # ; WIGGLY VERTICAL LINE
        "\u2E3F",  # ; CAPITULUM
        "\u2E40",  # ; DOUBLE HYPHEN
        "\u2E41",  # ; REVERSED COMMA
        "\u2E42",  # ; DOUBLE LOW-REVERSED-9 QUOTATION MARK
        "\u2E43",  # ; DASH WITH LEFT UPTURN
        "\u2E44",  # ; DOUBLE SUSPENSION MARK
        "\u2E45",  # ; INVERTED LOW KAVYKA
        "\u2E46",  # ; INVERTED LOW KAVYKA WITH KAVYKA ABOVE
        "\u2E47",  # ; LOW KAVYKA
        "\u2E48",  # ; LOW KAVYKA WITH DOT
        "\u2E49",  # ; DOUBLE STACKED COMMA
        "\u2E80",  # ; CJK RADICAL REPEAT
        "\u2E81",  # ; CJK RADICAL CLIFF
        "\u2E82",  # ; CJK RADICAL SECOND ONE
        "\u2E83",  # ; CJK RADICAL SECOND TWO
        "\u2E84",  # ; CJK RADICAL SECOND THREE
        "\u2E85",  # ; CJK RADICAL PERSON
        "\u2E86",  # ; CJK RADICAL BOX
        "\u2E87",  # ; CJK RADICAL TABLE
        "\u2E88",  # ; CJK RADICAL KNIFE ONE
        "\u2E89",  # ; CJK RADICAL KNIFE TWO
        "\u2E8A",  # ; CJK RADICAL DIVINATION
        "\u2E8B",  # ; CJK RADICAL SEAL
        "\u2E8C",  # ; CJK RADICAL SMALL ONE
        "\u2E8D",  # ; CJK RADICAL SMALL TWO
        "\u2E8E",  # ; CJK RADICAL LAME ONE
        "\u2E8F",  # ; CJK RADICAL LAME TWO
        "\u2E90",  # ; CJK RADICAL LAME THREE
        "\u2E91",  # ; CJK RADICAL LAME FOUR
        "\u2E92",  # ; CJK RADICAL SNAKE
        "\u2E93",  # ; CJK RADICAL THREAD
        "\u2E94",  # ; CJK RADICAL SNOUT ONE
        "\u2E95",  # ; CJK RADICAL SNOUT TWO
        "\u2E96",  # ; CJK RADICAL HEART ONE
        "\u2E97",  # ; CJK RADICAL HEART TWO
        "\u2E98",  # ; CJK RADICAL HAND
        "\u2E99",  # ; CJK RADICAL RAP
        "\u2E9B",  # ; CJK RADICAL CHOKE
        "\u2E9C",  # ; CJK RADICAL SUN
        "\u2E9D",  # ; CJK RADICAL MOON
        "\u2E9E",  # ; CJK RADICAL DEATH
        "\u2E9F",  # ; CJK RADICAL MOTHER
        "\u2EA0",  # ; CJK RADICAL CIVILIAN
        "\u2EA1",  # ; CJK RADICAL WATER ONE
        "\u2EA2",  # ; CJK RADICAL WATER TWO
        "\u2EA3",  # ; CJK RADICAL FIRE
        "\u2EA4",  # ; CJK RADICAL PAW ONE
        "\u2EA5",  # ; CJK RADICAL PAW TWO
        "\u2EA6",  # ; CJK RADICAL SIMPLIFIED HALF TREE TRUNK
        "\u2EA7",  # ; CJK RADICAL COW
        "\u2EA8",  # ; CJK RADICAL DOG
        "\u2EA9",  # ; CJK RADICAL JADE
        "\u2EAA",  # ; CJK RADICAL BOLT OF CLOTH
        "\u2EAB",  # ; CJK RADICAL EYE
        "\u2EAC",  # ; CJK RADICAL SPIRIT ONE
        "\u2EAD",  # ; CJK RADICAL SPIRIT TWO
        "\u2EAE",  # ; CJK RADICAL BAMBOO
        "\u2EAF",  # ; CJK RADICAL SILK
        "\u2EB0",  # ; CJK RADICAL C-SIMPLIFIED SILK
        "\u2EB1",  # ; CJK RADICAL NET ONE
        "\u2EB2",  # ; CJK RADICAL NET TWO
        "\u2EB3",  # ; CJK RADICAL NET THREE
        "\u2EB4",  # ; CJK RADICAL NET FOUR
        "\u2EB5",  # ; CJK RADICAL MESH
        "\u2EB6",  # ; CJK RADICAL SHEEP
        "\u2EB7",  # ; CJK RADICAL RAM
        "\u2EB8",  # ; CJK RADICAL EWE
        "\u2EB9",  # ; CJK RADICAL OLD
        "\u2EBA",  # ; CJK RADICAL BRUSH ONE
        "\u2EBB",  # ; CJK RADICAL BRUSH TWO
        "\u2EBC",  # ; CJK RADICAL MEAT
        "\u2EBD",  # ; CJK RADICAL MORTAR
        "\u2EBE",  # ; CJK RADICAL GRASS ONE
        "\u2EBF",  # ; CJK RADICAL GRASS TWO
        "\u2EC0",  # ; CJK RADICAL GRASS THREE
        "\u2EC1",  # ; CJK RADICAL TIGER
        "\u2EC2",  # ; CJK RADICAL CLOTHES
        "\u2EC3",  # ; CJK RADICAL WEST ONE
        "\u2EC4",  # ; CJK RADICAL WEST TWO
        "\u2EC5",  # ; CJK RADICAL C-SIMPLIFIED SEE
        "\u2EC6",  # ; CJK RADICAL SIMPLIFIED HORN
        "\u2EC7",  # ; CJK RADICAL HORN
        "\u2EC8",  # ; CJK RADICAL C-SIMPLIFIED SPEECH
        "\u2EC9",  # ; CJK RADICAL C-SIMPLIFIED SHELL
        "\u2ECA",  # ; CJK RADICAL FOOT
        "\u2ECB",  # ; CJK RADICAL C-SIMPLIFIED CART
        "\u2ECC",  # ; CJK RADICAL SIMPLIFIED WALK
        "\u2ECD",  # ; CJK RADICAL WALK ONE
        "\u2ECE",  # ; CJK RADICAL WALK TWO
        "\u2ECF",  # ; CJK RADICAL CITY
        "\u2ED0",  # ; CJK RADICAL C-SIMPLIFIED GOLD
        "\u2ED1",  # ; CJK RADICAL LONG ONE
        "\u2ED2",  # ; CJK RADICAL LONG TWO
        "\u2ED3",  # ; CJK RADICAL C-SIMPLIFIED LONG
        "\u2ED4",  # ; CJK RADICAL C-SIMPLIFIED GATE
        "\u2ED5",  # ; CJK RADICAL MOUND ONE
        "\u2ED6",  # ; CJK RADICAL MOUND TWO
        "\u2ED7",  # ; CJK RADICAL RAIN
        "\u2ED8",  # ; CJK RADICAL BLUE
        "\u2ED9",  # ; CJK RADICAL C-SIMPLIFIED TANNED LEATHER
        "\u2EDA",  # ; CJK RADICAL C-SIMPLIFIED LEAF
        "\u2EDB",  # ; CJK RADICAL C-SIMPLIFIED WIND
        "\u2EDC",  # ; CJK RADICAL C-SIMPLIFIED FLY
        "\u2EDD",  # ; CJK RADICAL EAT ONE
        "\u2EDE",  # ; CJK RADICAL EAT TWO
        "\u2EDF",  # ; CJK RADICAL EAT THREE
        "\u2EE0",  # ; CJK RADICAL C-SIMPLIFIED EAT
        "\u2EE1",  # ; CJK RADICAL HEAD
        "\u2EE2",  # ; CJK RADICAL C-SIMPLIFIED HORSE
        "\u2EE3",  # ; CJK RADICAL BONE
        "\u2EE4",  # ; CJK RADICAL GHOST
        "\u2EE5",  # ; CJK RADICAL C-SIMPLIFIED FISH
        "\u2EE6",  # ; CJK RADICAL C-SIMPLIFIED BIRD
        "\u2EE7",  # ; CJK RADICAL C-SIMPLIFIED SALT
        "\u2EE8",  # ; CJK RADICAL SIMPLIFIED WHEAT
        "\u2EE9",  # ; CJK RADICAL SIMPLIFIED YELLOW
        "\u2EEA",  # ; CJK RADICAL C-SIMPLIFIED FROG
        "\u2EEB",  # ; CJK RADICAL J-SIMPLIFIED EVEN
        "\u2EEC",  # ; CJK RADICAL C-SIMPLIFIED EVEN
        "\u2EED",  # ; CJK RADICAL J-SIMPLIFIED TOOTH
        "\u2EEE",  # ; CJK RADICAL C-SIMPLIFIED TOOTH
        "\u2EEF",  # ; CJK RADICAL J-SIMPLIFIED DRAGON
        "\u2EF0",  # ; CJK RADICAL C-SIMPLIFIED DRAGON
        "\u2EF1",  # ; CJK RADICAL TURTLE
        "\u2EF2",  # ; CJK RADICAL J-SIMPLIFIED TURTLE
        "\u2EF3",  # ; CJK RADICAL C-SIMPLIFIED TURTLE
        "\u2F00",  # ; KANGXI RADICAL ONE
        "\u2F01",  # ; KANGXI RADICAL LINE
        "\u2F02",  # ; KANGXI RADICAL DOT
        "\u2F03",  # ; KANGXI RADICAL SLASH
        "\u2F04",  # ; KANGXI RADICAL SECOND
        "\u2F05",  # ; KANGXI RADICAL HOOK
        "\u2F06",  # ; KANGXI RADICAL TWO
        "\u2F07",  # ; KANGXI RADICAL LID
        "\u2F08",  # ; KANGXI RADICAL MAN
        "\u2F09",  # ; KANGXI RADICAL LEGS
        "\u2F0A",  # ; KANGXI RADICAL ENTER
        "\u2F0B",  # ; KANGXI RADICAL EIGHT
        "\u2F0C",  # ; KANGXI RADICAL DOWN BOX
        "\u2F0D",  # ; KANGXI RADICAL COVER
        "\u2F0E",  # ; KANGXI RADICAL ICE
        "\u2F0F",  # ; KANGXI RADICAL TABLE
        "\u2F10",  # ; KANGXI RADICAL OPEN BOX
        "\u2F11",  # ; KANGXI RADICAL KNIFE
        "\u2F12",  # ; KANGXI RADICAL POWER
        "\u2F13",  # ; KANGXI RADICAL WRAP
        "\u2F14",  # ; KANGXI RADICAL SPOON
        "\u2F15",  # ; KANGXI RADICAL RIGHT OPEN BOX
        "\u2F16",  # ; KANGXI RADICAL HIDING ENCLOSURE
        "\u2F17",  # ; KANGXI RADICAL TEN
        "\u2F18",  # ; KANGXI RADICAL DIVINATION
        "\u2F19",  # ; KANGXI RADICAL SEAL
        "\u2F1A",  # ; KANGXI RADICAL CLIFF
        "\u2F1B",  # ; KANGXI RADICAL PRIVATE
        "\u2F1C",  # ; KANGXI RADICAL AGAIN
        "\u2F1D",  # ; KANGXI RADICAL MOUTH
        "\u2F1E",  # ; KANGXI RADICAL ENCLOSURE
        "\u2F1F",  # ; KANGXI RADICAL EARTH
        "\u2F20",  # ; KANGXI RADICAL SCHOLAR
        "\u2F21",  # ; KANGXI RADICAL GO
        "\u2F22",  # ; KANGXI RADICAL GO SLOWLY
        "\u2F23",  # ; KANGXI RADICAL EVENING
        "\u2F24",  # ; KANGXI RADICAL BIG
        "\u2F25",  # ; KANGXI RADICAL WOMAN
        "\u2F26",  # ; KANGXI RADICAL CHILD
        "\u2F27",  # ; KANGXI RADICAL ROOF
        "\u2F28",  # ; KANGXI RADICAL INCH
        "\u2F29",  # ; KANGXI RADICAL SMALL
        "\u2F2A",  # ; KANGXI RADICAL LAME
        "\u2F2B",  # ; KANGXI RADICAL CORPSE
        "\u2F2C",  # ; KANGXI RADICAL SPROUT
        "\u2F2D",  # ; KANGXI RADICAL MOUNTAIN
        "\u2F2E",  # ; KANGXI RADICAL RIVER
        "\u2F2F",  # ; KANGXI RADICAL WORK
        "\u2F30",  # ; KANGXI RADICAL ONESELF
        "\u2F31",  # ; KANGXI RADICAL TURBAN
        "\u2F32",  # ; KANGXI RADICAL DRY
        "\u2F33",  # ; KANGXI RADICAL SHORT THREAD
        "\u2F34",  # ; KANGXI RADICAL DOTTED CLIFF
        "\u2F35",  # ; KANGXI RADICAL LONG STRIDE
        "\u2F36",  # ; KANGXI RADICAL TWO HANDS
        "\u2F37",  # ; KANGXI RADICAL SHOOT
        "\u2F38",  # ; KANGXI RADICAL BOW
        "\u2F39",  # ; KANGXI RADICAL SNOUT
        "\u2F3A",  # ; KANGXI RADICAL BRISTLE
        "\u2F3B",  # ; KANGXI RADICAL STEP
        "\u2F3C",  # ; KANGXI RADICAL HEART
        "\u2F3D",  # ; KANGXI RADICAL HALBERD
        "\u2F3E",  # ; KANGXI RADICAL DOOR
        "\u2F3F",  # ; KANGXI RADICAL HAND
        "\u2F40",  # ; KANGXI RADICAL BRANCH
        "\u2F41",  # ; KANGXI RADICAL RAP
        "\u2F42",  # ; KANGXI RADICAL SCRIPT
        "\u2F43",  # ; KANGXI RADICAL DIPPER
        "\u2F44",  # ; KANGXI RADICAL AXE
        "\u2F45",  # ; KANGXI RADICAL SQUARE
        "\u2F46",  # ; KANGXI RADICAL NOT
        "\u2F47",  # ; KANGXI RADICAL SUN
        "\u2F48",  # ; KANGXI RADICAL SAY
        "\u2F49",  # ; KANGXI RADICAL MOON
        "\u2F4A",  # ; KANGXI RADICAL TREE
        "\u2F4B",  # ; KANGXI RADICAL LACK
        "\u2F4C",  # ; KANGXI RADICAL STOP
        "\u2F4D",  # ; KANGXI RADICAL DEATH
        "\u2F4E",  # ; KANGXI RADICAL WEAPON
        "\u2F4F",  # ; KANGXI RADICAL DO NOT
        "\u2F50",  # ; KANGXI RADICAL COMPARE
        "\u2F51",  # ; KANGXI RADICAL FUR
        "\u2F52",  # ; KANGXI RADICAL CLAN
        "\u2F53",  # ; KANGXI RADICAL STEAM
        "\u2F54",  # ; KANGXI RADICAL WATER
        "\u2F55",  # ; KANGXI RADICAL FIRE
        "\u2F56",  # ; KANGXI RADICAL CLAW
        "\u2F57",  # ; KANGXI RADICAL FATHER
        "\u2F58",  # ; KANGXI RADICAL DOUBLE X
        "\u2F59",  # ; KANGXI RADICAL HALF TREE TRUNK
        "\u2F5A",  # ; KANGXI RADICAL SLICE
        "\u2F5B",  # ; KANGXI RADICAL FANG
        "\u2F5C",  # ; KANGXI RADICAL COW
        "\u2F5D",  # ; KANGXI RADICAL DOG
        "\u2F5E",  # ; KANGXI RADICAL PROFOUND
        "\u2F5F",  # ; KANGXI RADICAL JADE
        "\u2F60",  # ; KANGXI RADICAL MELON
        "\u2F61",  # ; KANGXI RADICAL TILE
        "\u2F62",  # ; KANGXI RADICAL SWEET
        "\u2F63",  # ; KANGXI RADICAL LIFE
        "\u2F64",  # ; KANGXI RADICAL USE
        "\u2F65",  # ; KANGXI RADICAL FIELD
        "\u2F66",  # ; KANGXI RADICAL BOLT OF CLOTH
        "\u2F67",  # ; KANGXI RADICAL SICKNESS
        "\u2F68",  # ; KANGXI RADICAL DOTTED TENT
        "\u2F69",  # ; KANGXI RADICAL WHITE
        "\u2F6A",  # ; KANGXI RADICAL SKIN
        "\u2F6B",  # ; KANGXI RADICAL DISH
        "\u2F6C",  # ; KANGXI RADICAL EYE
        "\u2F6D",  # ; KANGXI RADICAL SPEAR
        "\u2F6E",  # ; KANGXI RADICAL ARROW
        "\u2F6F",  # ; KANGXI RADICAL STONE
        "\u2F70",  # ; KANGXI RADICAL SPIRIT
        "\u2F71",  # ; KANGXI RADICAL TRACK
        "\u2F72",  # ; KANGXI RADICAL GRAIN
        "\u2F73",  # ; KANGXI RADICAL CAVE
        "\u2F74",  # ; KANGXI RADICAL STAND
        "\u2F75",  # ; KANGXI RADICAL BAMBOO
        "\u2F76",  # ; KANGXI RADICAL RICE
        "\u2F77",  # ; KANGXI RADICAL SILK
        "\u2F78",  # ; KANGXI RADICAL JAR
        "\u2F79",  # ; KANGXI RADICAL NET
        "\u2F7A",  # ; KANGXI RADICAL SHEEP
        "\u2F7B",  # ; KANGXI RADICAL FEATHER
        "\u2F7C",  # ; KANGXI RADICAL OLD
        "\u2F7D",  # ; KANGXI RADICAL AND
        "\u2F7E",  # ; KANGXI RADICAL PLOW
        "\u2F7F",  # ; KANGXI RADICAL EAR
        "\u2F80",  # ; KANGXI RADICAL BRUSH
        "\u2F81",  # ; KANGXI RADICAL MEAT
        "\u2F82",  # ; KANGXI RADICAL MINISTER
        "\u2F83",  # ; KANGXI RADICAL SELF
        "\u2F84",  # ; KANGXI RADICAL ARRIVE
        "\u2F85",  # ; KANGXI RADICAL MORTAR
        "\u2F86",  # ; KANGXI RADICAL TONGUE
        "\u2F87",  # ; KANGXI RADICAL OPPOSE
        "\u2F88",  # ; KANGXI RADICAL BOAT
        "\u2F89",  # ; KANGXI RADICAL STOPPING
        "\u2F8A",  # ; KANGXI RADICAL COLOR
        "\u2F8B",  # ; KANGXI RADICAL GRASS
        "\u2F8C",  # ; KANGXI RADICAL TIGER
        "\u2F8D",  # ; KANGXI RADICAL INSECT
        "\u2F8E",  # ; KANGXI RADICAL BLOOD
        "\u2F8F",  # ; KANGXI RADICAL WALK ENCLOSURE
        "\u2F90",  # ; KANGXI RADICAL CLOTHES
        "\u2F91",  # ; KANGXI RADICAL WEST
        "\u2F92",  # ; KANGXI RADICAL SEE
        "\u2F93",  # ; KANGXI RADICAL HORN
        "\u2F94",  # ; KANGXI RADICAL SPEECH
        "\u2F95",  # ; KANGXI RADICAL VALLEY
        "\u2F96",  # ; KANGXI RADICAL BEAN
        "\u2F97",  # ; KANGXI RADICAL PIG
        "\u2F98",  # ; KANGXI RADICAL BADGER
        "\u2F99",  # ; KANGXI RADICAL SHELL
        "\u2F9A",  # ; KANGXI RADICAL RED
        "\u2F9B",  # ; KANGXI RADICAL RUN
        "\u2F9C",  # ; KANGXI RADICAL FOOT
        "\u2F9D",  # ; KANGXI RADICAL BODY
        "\u2F9E",  # ; KANGXI RADICAL CART
        "\u2F9F",  # ; KANGXI RADICAL BITTER
        "\u2FA0",  # ; KANGXI RADICAL MORNING
        "\u2FA1",  # ; KANGXI RADICAL WALK
        "\u2FA2",  # ; KANGXI RADICAL CITY
        "\u2FA3",  # ; KANGXI RADICAL WINE
        "\u2FA4",  # ; KANGXI RADICAL DISTINGUISH
        "\u2FA5",  # ; KANGXI RADICAL VILLAGE
        "\u2FA6",  # ; KANGXI RADICAL GOLD
        "\u2FA7",  # ; KANGXI RADICAL LONG
        "\u2FA8",  # ; KANGXI RADICAL GATE
        "\u2FA9",  # ; KANGXI RADICAL MOUND
        "\u2FAA",  # ; KANGXI RADICAL SLAVE
        "\u2FAB",  # ; KANGXI RADICAL SHORT TAILED BIRD
        "\u2FAC",  # ; KANGXI RADICAL RAIN
        "\u2FAD",  # ; KANGXI RADICAL BLUE
        "\u2FAE",  # ; KANGXI RADICAL WRONG
        "\u2FAF",  # ; KANGXI RADICAL FACE
        "\u2FB0",  # ; KANGXI RADICAL LEATHER
        "\u2FB1",  # ; KANGXI RADICAL TANNED LEATHER
        "\u2FB2",  # ; KANGXI RADICAL LEEK
        "\u2FB3",  # ; KANGXI RADICAL SOUND
        "\u2FB4",  # ; KANGXI RADICAL LEAF
        "\u2FB5",  # ; KANGXI RADICAL WIND
        "\u2FB6",  # ; KANGXI RADICAL FLY
        "\u2FB7",  # ; KANGXI RADICAL EAT
        "\u2FB8",  # ; KANGXI RADICAL HEAD
        "\u2FB9",  # ; KANGXI RADICAL FRAGRANT
        "\u2FBA",  # ; KANGXI RADICAL HORSE
        "\u2FBB",  # ; KANGXI RADICAL BONE
        "\u2FBC",  # ; KANGXI RADICAL TALL
        "\u2FBD",  # ; KANGXI RADICAL HAIR
        "\u2FBE",  # ; KANGXI RADICAL FIGHT
        "\u2FBF",  # ; KANGXI RADICAL SACRIFICIAL WINE
        "\u2FC0",  # ; KANGXI RADICAL CAULDRON
        "\u2FC1",  # ; KANGXI RADICAL GHOST
        "\u2FC2",  # ; KANGXI RADICAL FISH
        "\u2FC3",  # ; KANGXI RADICAL BIRD
        "\u2FC4",  # ; KANGXI RADICAL SALT
        "\u2FC5",  # ; KANGXI RADICAL DEER
        "\u2FC6",  # ; KANGXI RADICAL WHEAT
        "\u2FC7",  # ; KANGXI RADICAL HEMP
        "\u2FC8",  # ; KANGXI RADICAL YELLOW
        "\u2FC9",  # ; KANGXI RADICAL MILLET
        "\u2FCA",  # ; KANGXI RADICAL BLACK
        "\u2FCB",  # ; KANGXI RADICAL EMBROIDERY
        "\u2FCC",  # ; KANGXI RADICAL FROG
        "\u2FCD",  # ; KANGXI RADICAL TRIPOD
        "\u2FCE",  # ; KANGXI RADICAL DRUM
        "\u2FCF",  # ; KANGXI RADICAL RAT
        "\u2FD0",  # ; KANGXI RADICAL NOSE
        "\u2FD1",  # ; KANGXI RADICAL EVEN
        "\u2FD2",  # ; KANGXI RADICAL TOOTH
        "\u2FD3",  # ; KANGXI RADICAL DRAGON
        "\u2FD4",  # ; KANGXI RADICAL TURTLE
        "\u2FD5",  # ; KANGXI RADICAL FLUTE
        "\u2FF0",  # ; IDEOGRAPHIC DESCRIPTION CHARACTER LEFT TO RIGHT
        "\u2FF1",  # ; IDEOGRAPHIC DESCRIPTION CHARACTER ABOVE TO BELOW
        "\u2FF2",  # ; IDEOGRAPHIC DESCRIPTION CHARACTER LEFT TO MIDDLE AND RIGHT
        "\u2FF3",  # ; IDEOGRAPHIC DESCRIPTION CHARACTER ABOVE TO MIDDLE AND BELOW
        "\u2FF4",  # ; IDEOGRAPHIC DESCRIPTION CHARACTER FULL SURROUND
        "\u2FF5",  # ; IDEOGRAPHIC DESCRIPTION CHARACTER SURROUND FROM ABOVE
        "\u2FF6",  # ; IDEOGRAPHIC DESCRIPTION CHARACTER SURROUND FROM BELOW
        "\u2FF7",  # ; IDEOGRAPHIC DESCRIPTION CHARACTER SURROUND FROM LEFT
        "\u2FF8",  # ; IDEOGRAPHIC DESCRIPTION CHARACTER SURROUND FROM UPPER LEFT
        "\u2FF9",  # ; IDEOGRAPHIC DESCRIPTION CHARACTER SURROUND FROM UPPER RIGHT
        "\u2FFA",  # ; IDEOGRAPHIC DESCRIPTION CHARACTER SURROUND FROM LOWER LEFT
        "\u2FFB",  # ; IDEOGRAPHIC DESCRIPTION CHARACTER OVERLAID
        "\u3000",  # ; IDEOGRAPHIC SPACE
        "\u3001",  # ; IDEOGRAPHIC COMMA
        "\u3002",  # ; IDEOGRAPHIC FULL STOP
        "\u3003",  # ; DITTO MARK
        "\u3004",  # ; JAPANESE INDUSTRIAL STANDARD SYMBOL
        "\u3005",  # ; IDEOGRAPHIC ITERATION MARK
        "\u3006",  # ; IDEOGRAPHIC CLOSING MARK
        "\u3007",  # ; IDEOGRAPHIC NUMBER ZERO
        "\u3008",  # ; LEFT ANGLE BRACKET
        "\u3009",  # ; RIGHT ANGLE BRACKET
        "\u300A",  # ; LEFT DOUBLE ANGLE BRACKET
        "\u300B",  # ; RIGHT DOUBLE ANGLE BRACKET
        "\u300C",  # ; LEFT CORNER BRACKET
        "\u300D",  # ; RIGHT CORNER BRACKET
        "\u300E",  # ; LEFT WHITE CORNER BRACKET
        "\u300F",  # ; RIGHT WHITE CORNER BRACKET
        "\u3010",  # ; LEFT BLACK LENTICULAR BRACKET
        "\u3011",  # ; RIGHT BLACK LENTICULAR BRACKET
        "\u3012",  # ; POSTAL MARK
        "\u3013",  # ; GETA MARK
        "\u3014",  # ; LEFT TORTOISE SHELL BRACKET
        "\u3015",  # ; RIGHT TORTOISE SHELL BRACKET
        "\u3016",  # ; LEFT WHITE LENTICULAR BRACKET
        "\u3017",  # ; RIGHT WHITE LENTICULAR BRACKET
        "\u3018",  # ; LEFT WHITE TORTOISE SHELL BRACKET
        "\u3019",  # ; RIGHT WHITE TORTOISE SHELL BRACKET
        "\u301A",  # ; LEFT WHITE SQUARE BRACKET
        "\u301B",  # ; RIGHT WHITE SQUARE BRACKET
        "\u301C",  # ; WAVE DASH
        "\u301D",  # ; REVERSED DOUBLE PRIME QUOTATION MARK
        "\u301E",  # ; DOUBLE PRIME QUOTATION MARK
        "\u301F",  # ; LOW DOUBLE PRIME QUOTATION MARK
        "\u3020",  # ; POSTAL MARK FACE
        "\u3021",  # ; HANGZHOU NUMERAL ONE
        "\u3022",  # ; HANGZHOU NUMERAL TWO
        "\u3023",  # ; HANGZHOU NUMERAL THREE
        "\u3024",  # ; HANGZHOU NUMERAL FOUR
        "\u3025",  # ; HANGZHOU NUMERAL FIVE
        "\u3026",  # ; HANGZHOU NUMERAL SIX
        "\u3027",  # ; HANGZHOU NUMERAL SEVEN
        "\u3028",  # ; HANGZHOU NUMERAL EIGHT
        "\u3029",  # ; HANGZHOU NUMERAL NINE
        "\u302A",  # ; IDEOGRAPHIC LEVEL TONE MARK
        "\u302B",  # ; IDEOGRAPHIC RISING TONE MARK
        "\u302C",  # ; IDEOGRAPHIC DEPARTING TONE MARK
        "\u302D",  # ; IDEOGRAPHIC ENTERING TONE MARK
        "\u302E",  # ; HANGUL SINGLE DOT TONE MARK
        "\u302F",  # ; HANGUL DOUBLE DOT TONE MARK
        "\u3030",  # ; WAVY DASH
        "\u3031",  # ; VERTICAL KANA REPEAT MARK
        "\u3032",  # ; VERTICAL KANA REPEAT WITH VOICED SOUND MARK
        "\u3033",  # ; VERTICAL KANA REPEAT MARK UPPER HALF
        "\u3034",  # ; VERTICAL KANA REPEAT WITH VOICED SOUND MARK UPPER HALF
        "\u3035",  # ; VERTICAL KANA REPEAT MARK LOWER HALF
        "\u3036",  # ; CIRCLED POSTAL MARK
        "\u3037",  # ; IDEOGRAPHIC TELEGRAPH LINE FEED SEPARATOR SYMBOL
        "\u3038",  # ; HANGZHOU NUMERAL TEN
        "\u3039",  # ; HANGZHOU NUMERAL TWENTY
        "\u303A",  # ; HANGZHOU NUMERAL THIRTY
        "\u303B",  # ; VERTICAL IDEOGRAPHIC ITERATION MARK
        "\u303C",  # ; MASU MARK
        "\u303D",  # ; PART ALTERNATION MARK
        "\u303E",  # ; IDEOGRAPHIC VARIATION INDICATOR
        "\u303F",  # ; IDEOGRAPHIC HALF FILL SPACE
        "\u3041",  # ; HIRAGANA LETTER SMALL A
        "\u3042",  # ; HIRAGANA LETTER A
        "\u3043",  # ; HIRAGANA LETTER SMALL I
        "\u3044",  # ; HIRAGANA LETTER I
        "\u3045",  # ; HIRAGANA LETTER SMALL U
        "\u3046",  # ; HIRAGANA LETTER U
        "\u3047",  # ; HIRAGANA LETTER SMALL E
        "\u3048",  # ; HIRAGANA LETTER E
        "\u3049",  # ; HIRAGANA LETTER SMALL O
        "\u304A",  # ; HIRAGANA LETTER O
        "\u304B",  # ; HIRAGANA LETTER KA
        "\u304C",  # ; HIRAGANA LETTER GA
        "\u304D",  # ; HIRAGANA LETTER KI
        "\u304E",  # ; HIRAGANA LETTER GI
        "\u304F",  # ; HIRAGANA LETTER KU
        "\u3050",  # ; HIRAGANA LETTER GU
        "\u3051",  # ; HIRAGANA LETTER KE
        "\u3052",  # ; HIRAGANA LETTER GE
        "\u3053",  # ; HIRAGANA LETTER KO
        "\u3054",  # ; HIRAGANA LETTER GO
        "\u3055",  # ; HIRAGANA LETTER SA
        "\u3056",  # ; HIRAGANA LETTER ZA
        "\u3057",  # ; HIRAGANA LETTER SI
        "\u3058",  # ; HIRAGANA LETTER ZI
        "\u3059",  # ; HIRAGANA LETTER SU
        "\u305A",  # ; HIRAGANA LETTER ZU
        "\u305B",  # ; HIRAGANA LETTER SE
        "\u305C",  # ; HIRAGANA LETTER ZE
        "\u305D",  # ; HIRAGANA LETTER SO
        "\u305E",  # ; HIRAGANA LETTER ZO
        "\u305F",  # ; HIRAGANA LETTER TA
        "\u3060",  # ; HIRAGANA LETTER DA
        "\u3061",  # ; HIRAGANA LETTER TI
        "\u3062",  # ; HIRAGANA LETTER DI
        "\u3063",  # ; HIRAGANA LETTER SMALL TU
        "\u3064",  # ; HIRAGANA LETTER TU
        "\u3065",  # ; HIRAGANA LETTER DU
        "\u3066",  # ; HIRAGANA LETTER TE
        "\u3067",  # ; HIRAGANA LETTER DE
        "\u3068",  # ; HIRAGANA LETTER TO
        "\u3069",  # ; HIRAGANA LETTER DO
        "\u306A",  # ; HIRAGANA LETTER NA
        "\u306B",  # ; HIRAGANA LETTER NI
        "\u306C",  # ; HIRAGANA LETTER NU
        "\u306D",  # ; HIRAGANA LETTER NE
        "\u306E",  # ; HIRAGANA LETTER NO
        "\u306F",  # ; HIRAGANA LETTER HA
        "\u3070",  # ; HIRAGANA LETTER BA
        "\u3071",  # ; HIRAGANA LETTER PA
        "\u3072",  # ; HIRAGANA LETTER HI
        "\u3073",  # ; HIRAGANA LETTER BI
        "\u3074",  # ; HIRAGANA LETTER PI
        "\u3075",  # ; HIRAGANA LETTER HU
        "\u3076",  # ; HIRAGANA LETTER BU
        "\u3077",  # ; HIRAGANA LETTER PU
        "\u3078",  # ; HIRAGANA LETTER HE
        "\u3079",  # ; HIRAGANA LETTER BE
        "\u307A",  # ; HIRAGANA LETTER PE
        "\u307B",  # ; HIRAGANA LETTER HO
        "\u307C",  # ; HIRAGANA LETTER BO
        "\u307D",  # ; HIRAGANA LETTER PO
        "\u307E",  # ; HIRAGANA LETTER MA
        "\u307F",  # ; HIRAGANA LETTER MI
        "\u3080",  # ; HIRAGANA LETTER MU
        "\u3081",  # ; HIRAGANA LETTER ME
        "\u3082",  # ; HIRAGANA LETTER MO
        "\u3083",  # ; HIRAGANA LETTER SMALL YA
        "\u3084",  # ; HIRAGANA LETTER YA
        "\u3085",  # ; HIRAGANA LETTER SMALL YU
        "\u3086",  # ; HIRAGANA LETTER YU
        "\u3087",  # ; HIRAGANA LETTER SMALL YO
        "\u3088",  # ; HIRAGANA LETTER YO
        "\u3089",  # ; HIRAGANA LETTER RA
        "\u308A",  # ; HIRAGANA LETTER RI
        "\u308B",  # ; HIRAGANA LETTER RU
        "\u308C",  # ; HIRAGANA LETTER RE
        "\u308D",  # ; HIRAGANA LETTER RO
        "\u308E",  # ; HIRAGANA LETTER SMALL WA
        "\u308F",  # ; HIRAGANA LETTER WA
        "\u3090",  # ; HIRAGANA LETTER WI
        "\u3091",  # ; HIRAGANA LETTER WE
        "\u3092",  # ; HIRAGANA LETTER WO
        "\u3093",  # ; HIRAGANA LETTER N
        "\u3094",  # ; HIRAGANA LETTER VU
        "\u3095",  # ; HIRAGANA LETTER SMALL KA
        "\u3096",  # ; HIRAGANA LETTER SMALL KE
        "\u3099",  # ; COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK
        "\u309A",  # ; COMBINING KATAKANA-HIRAGANA SEMI-VOICED SOUND MARK
        "\u309B",  # ; KATAKANA-HIRAGANA VOICED SOUND MARK
        "\u309C",  # ; KATAKANA-HIRAGANA SEMI-VOICED SOUND MARK
        "\u309D",  # ; HIRAGANA ITERATION MARK
        "\u309E",  # ; HIRAGANA VOICED ITERATION MARK
        "\u309F",  # ; HIRAGANA DIGRAPH YORI
        "\u30A0",  # ; KATAKANA-HIRAGANA DOUBLE HYPHEN
        "\u30A1",  # ; KATAKANA LETTER SMALL A
        "\u30A2",  # ; KATAKANA LETTER A
        "\u30A3",  # ; KATAKANA LETTER SMALL I
        "\u30A4",  # ; KATAKANA LETTER I
        "\u30A5",  # ; KATAKANA LETTER SMALL U
        "\u30A6",  # ; KATAKANA LETTER U
        "\u30A7",  # ; KATAKANA LETTER SMALL E
        "\u30A8",  # ; KATAKANA LETTER E
        "\u30A9",  # ; KATAKANA LETTER SMALL O
        "\u30AA",  # ; KATAKANA LETTER O
        "\u30AB",  # ; KATAKANA LETTER KA
        "\u30AC",  # ; KATAKANA LETTER GA
        "\u30AD",  # ; KATAKANA LETTER KI
        "\u30AE",  # ; KATAKANA LETTER GI
        "\u30AF",  # ; KATAKANA LETTER KU
        "\u30B0",  # ; KATAKANA LETTER GU
        "\u30B1",  # ; KATAKANA LETTER KE
        "\u30B2",  # ; KATAKANA LETTER GE
        "\u30B3",  # ; KATAKANA LETTER KO
        "\u30B4",  # ; KATAKANA LETTER GO
        "\u30B5",  # ; KATAKANA LETTER SA
        "\u30B6",  # ; KATAKANA LETTER ZA
        "\u30B7",  # ; KATAKANA LETTER SI
        "\u30B8",  # ; KATAKANA LETTER ZI
        "\u30B9",  # ; KATAKANA LETTER SU
        "\u30BA",  # ; KATAKANA LETTER ZU
        "\u30BB",  # ; KATAKANA LETTER SE
        "\u30BC",  # ; KATAKANA LETTER ZE
        "\u30BD",  # ; KATAKANA LETTER SO
        "\u30BE",  # ; KATAKANA LETTER ZO
        "\u30BF",  # ; KATAKANA LETTER TA
        "\u30C0",  # ; KATAKANA LETTER DA
        "\u30C1",  # ; KATAKANA LETTER TI
        "\u30C2",  # ; KATAKANA LETTER DI
        "\u30C3",  # ; KATAKANA LETTER SMALL TU
        "\u30C4",  # ; KATAKANA LETTER TU
        "\u30C5",  # ; KATAKANA LETTER DU
        "\u30C6",  # ; KATAKANA LETTER TE
        "\u30C7",  # ; KATAKANA LETTER DE
        "\u30C8",  # ; KATAKANA LETTER TO
        "\u30C9",  # ; KATAKANA LETTER DO
        "\u30CA",  # ; KATAKANA LETTER NA
        "\u30CB",  # ; KATAKANA LETTER NI
        "\u30CC",  # ; KATAKANA LETTER NU
        "\u30CD",  # ; KATAKANA LETTER NE
        "\u30CE",  # ; KATAKANA LETTER NO
        "\u30CF",  # ; KATAKANA LETTER HA
        "\u30D0",  # ; KATAKANA LETTER BA
        "\u30D1",  # ; KATAKANA LETTER PA
        "\u30D2",  # ; KATAKANA LETTER HI
        "\u30D3",  # ; KATAKANA LETTER BI
        "\u30D4",  # ; KATAKANA LETTER PI
        "\u30D5",  # ; KATAKANA LETTER HU
        "\u30D6",  # ; KATAKANA LETTER BU
        "\u30D7",  # ; KATAKANA LETTER PU
        "\u30D8",  # ; KATAKANA LETTER HE
        "\u30D9",  # ; KATAKANA LETTER BE
        "\u30DA",  # ; KATAKANA LETTER PE
        "\u30DB",  # ; KATAKANA LETTER HO
        "\u30DC",  # ; KATAKANA LETTER BO
        "\u30DD",  # ; KATAKANA LETTER PO
        "\u30DE",  # ; KATAKANA LETTER MA
        "\u30DF",  # ; KATAKANA LETTER MI
        "\u30E0",  # ; KATAKANA LETTER MU
        "\u30E1",  # ; KATAKANA LETTER ME
        "\u30E2",  # ; KATAKANA LETTER MO
        "\u30E3",  # ; KATAKANA LETTER SMALL YA
        "\u30E4",  # ; KATAKANA LETTER YA
        "\u30E5",  # ; KATAKANA LETTER SMALL YU
        "\u30E6",  # ; KATAKANA LETTER YU
        "\u30E7",  # ; KATAKANA LETTER SMALL YO
        "\u30E8",  # ; KATAKANA LETTER YO
        "\u30E9",  # ; KATAKANA LETTER RA
        "\u30EA",  # ; KATAKANA LETTER RI
        "\u30EB",  # ; KATAKANA LETTER RU
        "\u30EC",  # ; KATAKANA LETTER RE
        "\u30ED",  # ; KATAKANA LETTER RO
        "\u30EE",  # ; KATAKANA LETTER SMALL WA
        "\u30EF",  # ; KATAKANA LETTER WA
        "\u30F0",  # ; KATAKANA LETTER WI
        "\u30F1",  # ; KATAKANA LETTER WE
        "\u30F2",  # ; KATAKANA LETTER WO
        "\u30F3",  # ; KATAKANA LETTER N
        "\u30F4",  # ; KATAKANA LETTER VU
        "\u30F5",  # ; KATAKANA LETTER SMALL KA
        "\u30F6",  # ; KATAKANA LETTER SMALL KE
        "\u30F7",  # ; KATAKANA LETTER VA
        "\u30F8",  # ; KATAKANA LETTER VI
        "\u30F9",  # ; KATAKANA LETTER VE
        "\u30FA",  # ; KATAKANA LETTER VO
        "\u30FB",  # ; KATAKANA MIDDLE DOT
        "\u30FC",  # ; KATAKANA-HIRAGANA PROLONGED SOUND MARK
        "\u30FD",  # ; KATAKANA ITERATION MARK
        "\u30FE",  # ; KATAKANA VOICED ITERATION MARK
        "\u30FF",  # ; KATAKANA DIGRAPH KOTO
        "\u3105",  # ; BOPOMOFO LETTER B
        "\u3106",  # ; BOPOMOFO LETTER P
        "\u3107",  # ; BOPOMOFO LETTER M
        "\u3108",  # ; BOPOMOFO LETTER F
        "\u3109",  # ; BOPOMOFO LETTER D
        "\u310A",  # ; BOPOMOFO LETTER T
        "\u310B",  # ; BOPOMOFO LETTER N
        "\u310C",  # ; BOPOMOFO LETTER L
        "\u310D",  # ; BOPOMOFO LETTER G
        "\u310E",  # ; BOPOMOFO LETTER K
        "\u310F",  # ; BOPOMOFO LETTER H
        "\u3110",  # ; BOPOMOFO LETTER J
        "\u3111",  # ; BOPOMOFO LETTER Q
        "\u3112",  # ; BOPOMOFO LETTER X
        "\u3113",  # ; BOPOMOFO LETTER ZH
        "\u3114",  # ; BOPOMOFO LETTER CH
        "\u3115",  # ; BOPOMOFO LETTER SH
        "\u3116",  # ; BOPOMOFO LETTER R
        "\u3117",  # ; BOPOMOFO LETTER Z
        "\u3118",  # ; BOPOMOFO LETTER C
        "\u3119",  # ; BOPOMOFO LETTER S
        "\u311A",  # ; BOPOMOFO LETTER A
        "\u311B",  # ; BOPOMOFO LETTER O
        "\u311C",  # ; BOPOMOFO LETTER E
        "\u311D",  # ; BOPOMOFO LETTER EH
        "\u311E",  # ; BOPOMOFO LETTER AI
        "\u311F",  # ; BOPOMOFO LETTER EI
        "\u3120",  # ; BOPOMOFO LETTER AU
        "\u3121",  # ; BOPOMOFO LETTER OU
        "\u3122",  # ; BOPOMOFO LETTER AN
        "\u3123",  # ; BOPOMOFO LETTER EN
        "\u3124",  # ; BOPOMOFO LETTER ANG
        "\u3125",  # ; BOPOMOFO LETTER ENG
        "\u3126",  # ; BOPOMOFO LETTER ER
        "\u3127",  # ; BOPOMOFO LETTER I
        "\u3128",  # ; BOPOMOFO LETTER U
        "\u3129",  # ; BOPOMOFO LETTER IU
        "\u312A",  # ; BOPOMOFO LETTER V
        "\u312B",  # ; BOPOMOFO LETTER NG
        "\u312C",  # ; BOPOMOFO LETTER GN
        "\u312D",  # ; BOPOMOFO LETTER IH
        "\u312E",  # ; BOPOMOFO LETTER O WITH DOT ABOVE
        "\u3131",  # ; HANGUL LETTER KIYEOK
        "\u3132",  # ; HANGUL LETTER SSANGKIYEOK
        "\u3133",  # ; HANGUL LETTER KIYEOK-SIOS
        "\u3134",  # ; HANGUL LETTER NIEUN
        "\u3135",  # ; HANGUL LETTER NIEUN-CIEUC
        "\u3136",  # ; HANGUL LETTER NIEUN-HIEUH
        "\u3137",  # ; HANGUL LETTER TIKEUT
        "\u3138",  # ; HANGUL LETTER SSANGTIKEUT
        "\u3139",  # ; HANGUL LETTER RIEUL
        "\u313A",  # ; HANGUL LETTER RIEUL-KIYEOK
        "\u313B",  # ; HANGUL LETTER RIEUL-MIEUM
        "\u313C",  # ; HANGUL LETTER RIEUL-PIEUP
        "\u313D",  # ; HANGUL LETTER RIEUL-SIOS
        "\u313E",  # ; HANGUL LETTER RIEUL-THIEUTH
        "\u313F",  # ; HANGUL LETTER RIEUL-PHIEUPH
        "\u3140",  # ; HANGUL LETTER RIEUL-HIEUH
        "\u3141",  # ; HANGUL LETTER MIEUM
        "\u3142",  # ; HANGUL LETTER PIEUP
        "\u3143",  # ; HANGUL LETTER SSANGPIEUP
        "\u3144",  # ; HANGUL LETTER PIEUP-SIOS
        "\u3145",  # ; HANGUL LETTER SIOS
        "\u3146",  # ; HANGUL LETTER SSANGSIOS
        "\u3147",  # ; HANGUL LETTER IEUNG
        "\u3148",  # ; HANGUL LETTER CIEUC
        "\u3149",  # ; HANGUL LETTER SSANGCIEUC
        "\u314A",  # ; HANGUL LETTER CHIEUCH
        "\u314B",  # ; HANGUL LETTER KHIEUKH
        "\u314C",  # ; HANGUL LETTER THIEUTH
        "\u314D",  # ; HANGUL LETTER PHIEUPH
        "\u314E",  # ; HANGUL LETTER HIEUH
        "\u314F",  # ; HANGUL LETTER A
        "\u3150",  # ; HANGUL LETTER AE
        "\u3151",  # ; HANGUL LETTER YA
        "\u3152",  # ; HANGUL LETTER YAE
        "\u3153",  # ; HANGUL LETTER EO
        "\u3154",  # ; HANGUL LETTER E
        "\u3155",  # ; HANGUL LETTER YEO
        "\u3156",  # ; HANGUL LETTER YE
        "\u3157",  # ; HANGUL LETTER O
        "\u3158",  # ; HANGUL LETTER WA
        "\u3159",  # ; HANGUL LETTER WAE
        "\u315A",  # ; HANGUL LETTER OE
        "\u315B",  # ; HANGUL LETTER YO
        "\u315C",  # ; HANGUL LETTER U
        "\u315D",  # ; HANGUL LETTER WEO
        "\u315E",  # ; HANGUL LETTER WE
        "\u315F",  # ; HANGUL LETTER WI
        "\u3160",  # ; HANGUL LETTER YU
        "\u3161",  # ; HANGUL LETTER EU
        "\u3162",  # ; HANGUL LETTER YI
        "\u3163",  # ; HANGUL LETTER I
        "\u3164",  # ; HANGUL FILLER
        "\u3165",  # ; HANGUL LETTER SSANGNIEUN
        "\u3166",  # ; HANGUL LETTER NIEUN-TIKEUT
        "\u3167",  # ; HANGUL LETTER NIEUN-SIOS
        "\u3168",  # ; HANGUL LETTER NIEUN-PANSIOS
        "\u3169",  # ; HANGUL LETTER RIEUL-KIYEOK-SIOS
        "\u316A",  # ; HANGUL LETTER RIEUL-TIKEUT
        "\u316B",  # ; HANGUL LETTER RIEUL-PIEUP-SIOS
        "\u316C",  # ; HANGUL LETTER RIEUL-PANSIOS
        "\u316D",  # ; HANGUL LETTER RIEUL-YEORINHIEUH
        "\u316E",  # ; HANGUL LETTER MIEUM-PIEUP
        "\u316F",  # ; HANGUL LETTER MIEUM-SIOS
        "\u3170",  # ; HANGUL LETTER MIEUM-PANSIOS
        "\u3171",  # ; HANGUL LETTER KAPYEOUNMIEUM
        "\u3172",  # ; HANGUL LETTER PIEUP-KIYEOK
        "\u3173",  # ; HANGUL LETTER PIEUP-TIKEUT
        "\u3174",  # ; HANGUL LETTER PIEUP-SIOS-KIYEOK
        "\u3175",  # ; HANGUL LETTER PIEUP-SIOS-TIKEUT
        "\u3176",  # ; HANGUL LETTER PIEUP-CIEUC
        "\u3177",  # ; HANGUL LETTER PIEUP-THIEUTH
        "\u3178",  # ; HANGUL LETTER KAPYEOUNPIEUP
        "\u3179",  # ; HANGUL LETTER KAPYEOUNSSANGPIEUP
        "\u317A",  # ; HANGUL LETTER SIOS-KIYEOK
        "\u317B",  # ; HANGUL LETTER SIOS-NIEUN
        "\u317C",  # ; HANGUL LETTER SIOS-TIKEUT
        "\u317D",  # ; HANGUL LETTER SIOS-PIEUP
        "\u317E",  # ; HANGUL LETTER SIOS-CIEUC
        "\u317F",  # ; HANGUL LETTER PANSIOS
        "\u3180",  # ; HANGUL LETTER SSANGIEUNG
        "\u3181",  # ; HANGUL LETTER YESIEUNG
        "\u3182",  # ; HANGUL LETTER YESIEUNG-SIOS
        "\u3183",  # ; HANGUL LETTER YESIEUNG-PANSIOS
        "\u3184",  # ; HANGUL LETTER KAPYEOUNPHIEUPH
        "\u3185",  # ; HANGUL LETTER SSANGHIEUH
        "\u3186",  # ; HANGUL LETTER YEORINHIEUH
        "\u3187",  # ; HANGUL LETTER YO-YA
        "\u3188",  # ; HANGUL LETTER YO-YAE
        "\u3189",  # ; HANGUL LETTER YO-I
        "\u318A",  # ; HANGUL LETTER YU-YEO
        "\u318B",  # ; HANGUL LETTER YU-YE
        "\u318C",  # ; HANGUL LETTER YU-I
        "\u318D",  # ; HANGUL LETTER ARAEA
        "\u318E",  # ; HANGUL LETTER ARAEAE
        "\u3190",  # ; IDEOGRAPHIC ANNOTATION LINKING MARK
        "\u3191",  # ; IDEOGRAPHIC ANNOTATION REVERSE MARK
        "\u3192",  # ; IDEOGRAPHIC ANNOTATION ONE MARK
        "\u3193",  # ; IDEOGRAPHIC ANNOTATION TWO MARK
        "\u3194",  # ; IDEOGRAPHIC ANNOTATION THREE MARK
        "\u3195",  # ; IDEOGRAPHIC ANNOTATION FOUR MARK
        "\u3196",  # ; IDEOGRAPHIC ANNOTATION TOP MARK
        "\u3197",  # ; IDEOGRAPHIC ANNOTATION MIDDLE MARK
        "\u3198",  # ; IDEOGRAPHIC ANNOTATION BOTTOM MARK
        "\u3199",  # ; IDEOGRAPHIC ANNOTATION FIRST MARK
        "\u319A",  # ; IDEOGRAPHIC ANNOTATION SECOND MARK
        "\u319B",  # ; IDEOGRAPHIC ANNOTATION THIRD MARK
        "\u319C",  # ; IDEOGRAPHIC ANNOTATION FOURTH MARK
        "\u319D",  # ; IDEOGRAPHIC ANNOTATION HEAVEN MARK
        "\u319E",  # ; IDEOGRAPHIC ANNOTATION EARTH MARK
        "\u319F",  # ; IDEOGRAPHIC ANNOTATION MAN MARK
        "\u31A0",  # ; BOPOMOFO LETTER BU
        "\u31A1",  # ; BOPOMOFO LETTER ZI
        "\u31A2",  # ; BOPOMOFO LETTER JI
        "\u31A3",  # ; BOPOMOFO LETTER GU
        "\u31A4",  # ; BOPOMOFO LETTER EE
        "\u31A5",  # ; BOPOMOFO LETTER ENN
        "\u31A6",  # ; BOPOMOFO LETTER OO
        "\u31A7",  # ; BOPOMOFO LETTER ONN
        "\u31A8",  # ; BOPOMOFO LETTER IR
        "\u31A9",  # ; BOPOMOFO LETTER ANN
        "\u31AA",  # ; BOPOMOFO LETTER INN
        "\u31AB",  # ; BOPOMOFO LETTER UNN
        "\u31AC",  # ; BOPOMOFO LETTER IM
        "\u31AD",  # ; BOPOMOFO LETTER NGG
        "\u31AE",  # ; BOPOMOFO LETTER AINN
        "\u31AF",  # ; BOPOMOFO LETTER AUNN
        "\u31B0",  # ; BOPOMOFO LETTER AM
        "\u31B1",  # ; BOPOMOFO LETTER OM
        "\u31B2",  # ; BOPOMOFO LETTER ONG
        "\u31B3",  # ; BOPOMOFO LETTER INNN
        "\u31B4",  # ; BOPOMOFO FINAL LETTER P
        "\u31B5",  # ; BOPOMOFO FINAL LETTER T
        "\u31B6",  # ; BOPOMOFO FINAL LETTER K
        "\u31B7",  # ; BOPOMOFO FINAL LETTER H
        "\u31B8",  # ; BOPOMOFO LETTER GH
        "\u31B9",  # ; BOPOMOFO LETTER LH
        "\u31BA",  # ; BOPOMOFO LETTER ZY
        "\u31C0",  # ; CJK STROKE T
        "\u31C1",  # ; CJK STROKE WG
        "\u31C2",  # ; CJK STROKE XG
        "\u31C3",  # ; CJK STROKE BXG
        "\u31C4",  # ; CJK STROKE SW
        "\u31C5",  # ; CJK STROKE HZZ
        "\u31C6",  # ; CJK STROKE HZG
        "\u31C7",  # ; CJK STROKE HP
        "\u31C8",  # ; CJK STROKE HZWG
        "\u31C9",  # ; CJK STROKE SZWG
        "\u31CA",  # ; CJK STROKE HZT
        "\u31CB",  # ; CJK STROKE HZZP
        "\u31CC",  # ; CJK STROKE HPWG
        "\u31CD",  # ; CJK STROKE HZW
        "\u31CE",  # ; CJK STROKE HZZZ
        "\u31CF",  # ; CJK STROKE N
        "\u31D0",  # ; CJK STROKE H
        "\u31D1",  # ; CJK STROKE S
        "\u31D2",  # ; CJK STROKE P
        "\u31D3",  # ; CJK STROKE SP
        "\u31D4",  # ; CJK STROKE D
        "\u31D5",  # ; CJK STROKE HZ
        "\u31D6",  # ; CJK STROKE HG
        "\u31D7",  # ; CJK STROKE SZ
        "\u31D8",  # ; CJK STROKE SWZ
        "\u31D9",  # ; CJK STROKE ST
        "\u31DA",  # ; CJK STROKE SG
        "\u31DB",  # ; CJK STROKE PD
        "\u31DC",  # ; CJK STROKE PZ
        "\u31DD",  # ; CJK STROKE TN
        "\u31DE",  # ; CJK STROKE SZZ
        "\u31DF",  # ; CJK STROKE SWG
        "\u31E0",  # ; CJK STROKE HXWG
        "\u31E1",  # ; CJK STROKE HZZZG
        "\u31E2",  # ; CJK STROKE PG
        "\u31E3",  # ; CJK STROKE Q
        "\u31F0",  # ; KATAKANA LETTER SMALL KU
        "\u31F1",  # ; KATAKANA LETTER SMALL SI
        "\u31F2",  # ; KATAKANA LETTER SMALL SU
        "\u31F3",  # ; KATAKANA LETTER SMALL TO
        "\u31F4",  # ; KATAKANA LETTER SMALL NU
        "\u31F5",  # ; KATAKANA LETTER SMALL HA
        "\u31F6",  # ; KATAKANA LETTER SMALL HI
        "\u31F7",  # ; KATAKANA LETTER SMALL HU
        "\u31F8",  # ; KATAKANA LETTER SMALL HE
        "\u31F9",  # ; KATAKANA LETTER SMALL HO
        "\u31FA",  # ; KATAKANA LETTER SMALL MU
        "\u31FB",  # ; KATAKANA LETTER SMALL RA
        "\u31FC",  # ; KATAKANA LETTER SMALL RI
        "\u31FD",  # ; KATAKANA LETTER SMALL RU
        "\u31FE",  # ; KATAKANA LETTER SMALL RE
        "\u31FF",  # ; KATAKANA LETTER SMALL RO
        "\u3200",  # ; PARENTHESIZED HANGUL KIYEOK
        "\u3201",  # ; PARENTHESIZED HANGUL NIEUN
        "\u3202",  # ; PARENTHESIZED HANGUL TIKEUT
        "\u3203",  # ; PARENTHESIZED HANGUL RIEUL
        "\u3204",  # ; PARENTHESIZED HANGUL MIEUM
        "\u3205",  # ; PARENTHESIZED HANGUL PIEUP
        "\u3206",  # ; PARENTHESIZED HANGUL SIOS
        "\u3207",  # ; PARENTHESIZED HANGUL IEUNG
        "\u3208",  # ; PARENTHESIZED HANGUL CIEUC
        "\u3209",  # ; PARENTHESIZED HANGUL CHIEUCH
        "\u320A",  # ; PARENTHESIZED HANGUL KHIEUKH
        "\u320B",  # ; PARENTHESIZED HANGUL THIEUTH
        "\u320C",  # ; PARENTHESIZED HANGUL PHIEUPH
        "\u320D",  # ; PARENTHESIZED HANGUL HIEUH
        "\u320E",  # ; PARENTHESIZED HANGUL KIYEOK A
        "\u320F",  # ; PARENTHESIZED HANGUL NIEUN A
        "\u3210",  # ; PARENTHESIZED HANGUL TIKEUT A
        "\u3211",  # ; PARENTHESIZED HANGUL RIEUL A
        "\u3212",  # ; PARENTHESIZED HANGUL MIEUM A
        "\u3213",  # ; PARENTHESIZED HANGUL PIEUP A
        "\u3214",  # ; PARENTHESIZED HANGUL SIOS A
        "\u3215",  # ; PARENTHESIZED HANGUL IEUNG A
        "\u3216",  # ; PARENTHESIZED HANGUL CIEUC A
        "\u3217",  # ; PARENTHESIZED HANGUL CHIEUCH A
        "\u3218",  # ; PARENTHESIZED HANGUL KHIEUKH A
        "\u3219",  # ; PARENTHESIZED HANGUL THIEUTH A
        "\u321A",  # ; PARENTHESIZED HANGUL PHIEUPH A
        "\u321B",  # ; PARENTHESIZED HANGUL HIEUH A
        "\u321C",  # ; PARENTHESIZED HANGUL CIEUC U
        "\u321D",  # ; PARENTHESIZED KOREAN CHARACTER OJEON
        "\u321E",  # ; PARENTHESIZED KOREAN CHARACTER O HU
        "\u3220",  # ; PARENTHESIZED IDEOGRAPH ONE
        "\u3221",  # ; PARENTHESIZED IDEOGRAPH TWO
        "\u3222",  # ; PARENTHESIZED IDEOGRAPH THREE
        "\u3223",  # ; PARENTHESIZED IDEOGRAPH FOUR
        "\u3224",  # ; PARENTHESIZED IDEOGRAPH FIVE
        "\u3225",  # ; PARENTHESIZED IDEOGRAPH SIX
        "\u3226",  # ; PARENTHESIZED IDEOGRAPH SEVEN
        "\u3227",  # ; PARENTHESIZED IDEOGRAPH EIGHT
        "\u3228",  # ; PARENTHESIZED IDEOGRAPH NINE
        "\u3229",  # ; PARENTHESIZED IDEOGRAPH TEN
        "\u322A",  # ; PARENTHESIZED IDEOGRAPH MOON
        "\u322B",  # ; PARENTHESIZED IDEOGRAPH FIRE
        "\u322C",  # ; PARENTHESIZED IDEOGRAPH WATER
        "\u322D",  # ; PARENTHESIZED IDEOGRAPH WOOD
        "\u322E",  # ; PARENTHESIZED IDEOGRAPH METAL
        "\u322F",  # ; PARENTHESIZED IDEOGRAPH EARTH
        "\u3230",  # ; PARENTHESIZED IDEOGRAPH SUN
        "\u3231",  # ; PARENTHESIZED IDEOGRAPH STOCK
        "\u3232",  # ; PARENTHESIZED IDEOGRAPH HAVE
        "\u3233",  # ; PARENTHESIZED IDEOGRAPH SOCIETY
        "\u3234",  # ; PARENTHESIZED IDEOGRAPH NAME
        "\u3235",  # ; PARENTHESIZED IDEOGRAPH SPECIAL
        "\u3236",  # ; PARENTHESIZED IDEOGRAPH FINANCIAL
        "\u3237",  # ; PARENTHESIZED IDEOGRAPH CONGRATULATION
        "\u3238",  # ; PARENTHESIZED IDEOGRAPH LABOR
        "\u3239",  # ; PARENTHESIZED IDEOGRAPH REPRESENT
        "\u323A",  # ; PARENTHESIZED IDEOGRAPH CALL
        "\u323B",  # ; PARENTHESIZED IDEOGRAPH STUDY
        "\u323C",  # ; PARENTHESIZED IDEOGRAPH SUPERVISE
        "\u323D",  # ; PARENTHESIZED IDEOGRAPH ENTERPRISE
        "\u323E",  # ; PARENTHESIZED IDEOGRAPH RESOURCE
        "\u323F",  # ; PARENTHESIZED IDEOGRAPH ALLIANCE
        "\u3240",  # ; PARENTHESIZED IDEOGRAPH FESTIVAL
        "\u3241",  # ; PARENTHESIZED IDEOGRAPH REST
        "\u3242",  # ; PARENTHESIZED IDEOGRAPH SELF
        "\u3243",  # ; PARENTHESIZED IDEOGRAPH REACH
        "\u3244",  # ; CIRCLED IDEOGRAPH QUESTION
        "\u3245",  # ; CIRCLED IDEOGRAPH KINDERGARTEN
        "\u3246",  # ; CIRCLED IDEOGRAPH SCHOOL
        "\u3247",  # ; CIRCLED IDEOGRAPH KOTO
        "\u3248",  # ; CIRCLED NUMBER TEN ON BLACK SQUARE
        "\u3249",  # ; CIRCLED NUMBER TWENTY ON BLACK SQUARE
        "\u324A",  # ; CIRCLED NUMBER THIRTY ON BLACK SQUARE
        "\u324B",  # ; CIRCLED NUMBER FORTY ON BLACK SQUARE
        "\u324C",  # ; CIRCLED NUMBER FIFTY ON BLACK SQUARE
        "\u324D",  # ; CIRCLED NUMBER SIXTY ON BLACK SQUARE
        "\u324E",  # ; CIRCLED NUMBER SEVENTY ON BLACK SQUARE
        "\u324F",  # ; CIRCLED NUMBER EIGHTY ON BLACK SQUARE
        "\u3250",  # ; PARTNERSHIP SIGN
        "\u3251",  # ; CIRCLED NUMBER TWENTY ONE
        "\u3252",  # ; CIRCLED NUMBER TWENTY TWO
        "\u3253",  # ; CIRCLED NUMBER TWENTY THREE
        "\u3254",  # ; CIRCLED NUMBER TWENTY FOUR
        "\u3255",  # ; CIRCLED NUMBER TWENTY FIVE
        "\u3256",  # ; CIRCLED NUMBER TWENTY SIX
        "\u3257",  # ; CIRCLED NUMBER TWENTY SEVEN
        "\u3258",  # ; CIRCLED NUMBER TWENTY EIGHT
        "\u3259",  # ; CIRCLED NUMBER TWENTY NINE
        "\u325A",  # ; CIRCLED NUMBER THIRTY
        "\u325B",  # ; CIRCLED NUMBER THIRTY ONE
        "\u325C",  # ; CIRCLED NUMBER THIRTY TWO
        "\u325D",  # ; CIRCLED NUMBER THIRTY THREE
        "\u325E",  # ; CIRCLED NUMBER THIRTY FOUR
        "\u325F",  # ; CIRCLED NUMBER THIRTY FIVE
        "\u3260",  # ; CIRCLED HANGUL KIYEOK
        "\u3261",  # ; CIRCLED HANGUL NIEUN
        "\u3262",  # ; CIRCLED HANGUL TIKEUT
        "\u3263",  # ; CIRCLED HANGUL RIEUL
        "\u3264",  # ; CIRCLED HANGUL MIEUM
        "\u3265",  # ; CIRCLED HANGUL PIEUP
        "\u3266",  # ; CIRCLED HANGUL SIOS
        "\u3267",  # ; CIRCLED HANGUL IEUNG
        "\u3268",  # ; CIRCLED HANGUL CIEUC
        "\u3269",  # ; CIRCLED HANGUL CHIEUCH
        "\u326A",  # ; CIRCLED HANGUL KHIEUKH
        "\u326B",  # ; CIRCLED HANGUL THIEUTH
        "\u326C",  # ; CIRCLED HANGUL PHIEUPH
        "\u326D",  # ; CIRCLED HANGUL HIEUH
        "\u326E",  # ; CIRCLED HANGUL KIYEOK A
        "\u326F",  # ; CIRCLED HANGUL NIEUN A
        "\u3270",  # ; CIRCLED HANGUL TIKEUT A
        "\u3271",  # ; CIRCLED HANGUL RIEUL A
        "\u3272",  # ; CIRCLED HANGUL MIEUM A
        "\u3273",  # ; CIRCLED HANGUL PIEUP A
        "\u3274",  # ; CIRCLED HANGUL SIOS A
        "\u3275",  # ; CIRCLED HANGUL IEUNG A
        "\u3276",  # ; CIRCLED HANGUL CIEUC A
        "\u3277",  # ; CIRCLED HANGUL CHIEUCH A
        "\u3278",  # ; CIRCLED HANGUL KHIEUKH A
        "\u3279",  # ; CIRCLED HANGUL THIEUTH A
        "\u327A",  # ; CIRCLED HANGUL PHIEUPH A
        "\u327B",  # ; CIRCLED HANGUL HIEUH A
        "\u327C",  # ; CIRCLED KOREAN CHARACTER CHAMKO
        "\u327D",  # ; CIRCLED KOREAN CHARACTER JUEUI
        "\u327E",  # ; CIRCLED HANGUL IEUNG U
        "\u327F",  # ; KOREAN STANDARD SYMBOL
        "\u3280",  # ; CIRCLED IDEOGRAPH ONE
        "\u3281",  # ; CIRCLED IDEOGRAPH TWO
        "\u3282",  # ; CIRCLED IDEOGRAPH THREE
        "\u3283",  # ; CIRCLED IDEOGRAPH FOUR
        "\u3284",  # ; CIRCLED IDEOGRAPH FIVE
        "\u3285",  # ; CIRCLED IDEOGRAPH SIX
        "\u3286",  # ; CIRCLED IDEOGRAPH SEVEN
        "\u3287",  # ; CIRCLED IDEOGRAPH EIGHT
        "\u3288",  # ; CIRCLED IDEOGRAPH NINE
        "\u3289",  # ; CIRCLED IDEOGRAPH TEN
        "\u328A",  # ; CIRCLED IDEOGRAPH MOON
        "\u328B",  # ; CIRCLED IDEOGRAPH FIRE
        "\u328C",  # ; CIRCLED IDEOGRAPH WATER
        "\u328D",  # ; CIRCLED IDEOGRAPH WOOD
        "\u328E",  # ; CIRCLED IDEOGRAPH METAL
        "\u328F",  # ; CIRCLED IDEOGRAPH EARTH
        "\u3290",  # ; CIRCLED IDEOGRAPH SUN
        "\u3291",  # ; CIRCLED IDEOGRAPH STOCK
        "\u3292",  # ; CIRCLED IDEOGRAPH HAVE
        "\u3293",  # ; CIRCLED IDEOGRAPH SOCIETY
        "\u3294",  # ; CIRCLED IDEOGRAPH NAME
        "\u3295",  # ; CIRCLED IDEOGRAPH SPECIAL
        "\u3296",  # ; CIRCLED IDEOGRAPH FINANCIAL
        "\u3297",  # ; CIRCLED IDEOGRAPH CONGRATULATION
        "\u3298",  # ; CIRCLED IDEOGRAPH LABOR
        "\u3299",  # ; CIRCLED IDEOGRAPH SECRET
        "\u329A",  # ; CIRCLED IDEOGRAPH MALE
        "\u329B",  # ; CIRCLED IDEOGRAPH FEMALE
        "\u329C",  # ; CIRCLED IDEOGRAPH SUITABLE
        "\u329D",  # ; CIRCLED IDEOGRAPH EXCELLENT
        "\u329E",  # ; CIRCLED IDEOGRAPH PRINT
        "\u329F",  # ; CIRCLED IDEOGRAPH ATTENTION
        "\u32A0",  # ; CIRCLED IDEOGRAPH ITEM
        "\u32A1",  # ; CIRCLED IDEOGRAPH REST
        "\u32A2",  # ; CIRCLED IDEOGRAPH COPY
        "\u32A3",  # ; CIRCLED IDEOGRAPH CORRECT
        "\u32A4",  # ; CIRCLED IDEOGRAPH HIGH
        "\u32A5",  # ; CIRCLED IDEOGRAPH CENTRE
        "\u32A6",  # ; CIRCLED IDEOGRAPH LOW
        "\u32A7",  # ; CIRCLED IDEOGRAPH LEFT
        "\u32A8",  # ; CIRCLED IDEOGRAPH RIGHT
        "\u32A9",  # ; CIRCLED IDEOGRAPH MEDICINE
        "\u32AA",  # ; CIRCLED IDEOGRAPH RELIGION
        "\u32AB",  # ; CIRCLED IDEOGRAPH STUDY
        "\u32AC",  # ; CIRCLED IDEOGRAPH SUPERVISE
        "\u32AD",  # ; CIRCLED IDEOGRAPH ENTERPRISE
        "\u32AE",  # ; CIRCLED IDEOGRAPH RESOURCE
        "\u32AF",  # ; CIRCLED IDEOGRAPH ALLIANCE
        "\u32B0",  # ; CIRCLED IDEOGRAPH NIGHT
        "\u32B1",  # ; CIRCLED NUMBER THIRTY SIX
        "\u32B2",  # ; CIRCLED NUMBER THIRTY SEVEN
        "\u32B3",  # ; CIRCLED NUMBER THIRTY EIGHT
        "\u32B4",  # ; CIRCLED NUMBER THIRTY NINE
        "\u32B5",  # ; CIRCLED NUMBER FORTY
        "\u32B6",  # ; CIRCLED NUMBER FORTY ONE
        "\u32B7",  # ; CIRCLED NUMBER FORTY TWO
        "\u32B8",  # ; CIRCLED NUMBER FORTY THREE
        "\u32B9",  # ; CIRCLED NUMBER FORTY FOUR
        "\u32BA",  # ; CIRCLED NUMBER FORTY FIVE
        "\u32BB",  # ; CIRCLED NUMBER FORTY SIX
        "\u32BC",  # ; CIRCLED NUMBER FORTY SEVEN
        "\u32BD",  # ; CIRCLED NUMBER FORTY EIGHT
        "\u32BE",  # ; CIRCLED NUMBER FORTY NINE
        "\u32BF",  # ; CIRCLED NUMBER FIFTY
        "\u32C0",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR JANUARY
        "\u32C1",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR FEBRUARY
        "\u32C2",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR MARCH
        "\u32C3",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR APRIL
        "\u32C4",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR MAY
        "\u32C5",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR JUNE
        "\u32C6",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR JULY
        "\u32C7",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR AUGUST
        "\u32C8",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR SEPTEMBER
        "\u32C9",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR OCTOBER
        "\u32CA",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR NOVEMBER
        "\u32CB",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DECEMBER
        "\u32CC",  # ; SQUARE HG
        "\u32CD",  # ; SQUARE ERG
        "\u32CE",  # ; SQUARE EV
        "\u32CF",  # ; LIMITED LIABILITY SIGN
        "\u32D0",  # ; CIRCLED KATAKANA A
        "\u32D1",  # ; CIRCLED KATAKANA I
        "\u32D2",  # ; CIRCLED KATAKANA U
        "\u32D3",  # ; CIRCLED KATAKANA E
        "\u32D4",  # ; CIRCLED KATAKANA O
        "\u32D5",  # ; CIRCLED KATAKANA KA
        "\u32D6",  # ; CIRCLED KATAKANA KI
        "\u32D7",  # ; CIRCLED KATAKANA KU
        "\u32D8",  # ; CIRCLED KATAKANA KE
        "\u32D9",  # ; CIRCLED KATAKANA KO
        "\u32DA",  # ; CIRCLED KATAKANA SA
        "\u32DB",  # ; CIRCLED KATAKANA SI
        "\u32DC",  # ; CIRCLED KATAKANA SU
        "\u32DD",  # ; CIRCLED KATAKANA SE
        "\u32DE",  # ; CIRCLED KATAKANA SO
        "\u32DF",  # ; CIRCLED KATAKANA TA
        "\u32E0",  # ; CIRCLED KATAKANA TI
        "\u32E1",  # ; CIRCLED KATAKANA TU
        "\u32E2",  # ; CIRCLED KATAKANA TE
        "\u32E3",  # ; CIRCLED KATAKANA TO
        "\u32E4",  # ; CIRCLED KATAKANA NA
        "\u32E5",  # ; CIRCLED KATAKANA NI
        "\u32E6",  # ; CIRCLED KATAKANA NU
        "\u32E7",  # ; CIRCLED KATAKANA NE
        "\u32E8",  # ; CIRCLED KATAKANA NO
        "\u32E9",  # ; CIRCLED KATAKANA HA
        "\u32EA",  # ; CIRCLED KATAKANA HI
        "\u32EB",  # ; CIRCLED KATAKANA HU
        "\u32EC",  # ; CIRCLED KATAKANA HE
        "\u32ED",  # ; CIRCLED KATAKANA HO
        "\u32EE",  # ; CIRCLED KATAKANA MA
        "\u32EF",  # ; CIRCLED KATAKANA MI
        "\u32F0",  # ; CIRCLED KATAKANA MU
        "\u32F1",  # ; CIRCLED KATAKANA ME
        "\u32F2",  # ; CIRCLED KATAKANA MO
        "\u32F3",  # ; CIRCLED KATAKANA YA
        "\u32F4",  # ; CIRCLED KATAKANA YU
        "\u32F5",  # ; CIRCLED KATAKANA YO
        "\u32F6",  # ; CIRCLED KATAKANA RA
        "\u32F7",  # ; CIRCLED KATAKANA RI
        "\u32F8",  # ; CIRCLED KATAKANA RU
        "\u32F9",  # ; CIRCLED KATAKANA RE
        "\u32FA",  # ; CIRCLED KATAKANA RO
        "\u32FB",  # ; CIRCLED KATAKANA WA
        "\u32FC",  # ; CIRCLED KATAKANA WI
        "\u32FD",  # ; CIRCLED KATAKANA WE
        "\u32FE",  # ; CIRCLED KATAKANA WO
        "\u3300",  # ; SQUARE APAATO
        "\u3301",  # ; SQUARE ARUHUA
        "\u3302",  # ; SQUARE ANPEA
        "\u3303",  # ; SQUARE AARU
        "\u3304",  # ; SQUARE ININGU
        "\u3305",  # ; SQUARE INTI
        "\u3306",  # ; SQUARE UON
        "\u3307",  # ; SQUARE ESUKUUDO
        "\u3308",  # ; SQUARE EEKAA
        "\u3309",  # ; SQUARE ONSU
        "\u330A",  # ; SQUARE OOMU
        "\u330B",  # ; SQUARE KAIRI
        "\u330C",  # ; SQUARE KARATTO
        "\u330D",  # ; SQUARE KARORII
        "\u330E",  # ; SQUARE GARON
        "\u330F",  # ; SQUARE GANMA
        "\u3310",  # ; SQUARE GIGA
        "\u3311",  # ; SQUARE GINII
        "\u3312",  # ; SQUARE KYURII
        "\u3313",  # ; SQUARE GIRUDAA
        "\u3314",  # ; SQUARE KIRO
        "\u3315",  # ; SQUARE KIROGURAMU
        "\u3316",  # ; SQUARE KIROMEETORU
        "\u3317",  # ; SQUARE KIROWATTO
        "\u3318",  # ; SQUARE GURAMU
        "\u3319",  # ; SQUARE GURAMUTON
        "\u331A",  # ; SQUARE KURUZEIRO
        "\u331B",  # ; SQUARE KUROONE
        "\u331C",  # ; SQUARE KEESU
        "\u331D",  # ; SQUARE KORUNA
        "\u331E",  # ; SQUARE KOOPO
        "\u331F",  # ; SQUARE SAIKURU
        "\u3320",  # ; SQUARE SANTIIMU
        "\u3321",  # ; SQUARE SIRINGU
        "\u3322",  # ; SQUARE SENTI
        "\u3323",  # ; SQUARE SENTO
        "\u3324",  # ; SQUARE DAASU
        "\u3325",  # ; SQUARE DESI
        "\u3326",  # ; SQUARE DORU
        "\u3327",  # ; SQUARE TON
        "\u3328",  # ; SQUARE NANO
        "\u3329",  # ; SQUARE NOTTO
        "\u332A",  # ; SQUARE HAITU
        "\u332B",  # ; SQUARE PAASENTO
        "\u332C",  # ; SQUARE PAATU
        "\u332D",  # ; SQUARE BAARERU
        "\u332E",  # ; SQUARE PIASUTORU
        "\u332F",  # ; SQUARE PIKURU
        "\u3330",  # ; SQUARE PIKO
        "\u3331",  # ; SQUARE BIRU
        "\u3332",  # ; SQUARE HUARADDO
        "\u3333",  # ; SQUARE HUIITO
        "\u3334",  # ; SQUARE BUSSYERU
        "\u3335",  # ; SQUARE HURAN
        "\u3336",  # ; SQUARE HEKUTAARU
        "\u3337",  # ; SQUARE PESO
        "\u3338",  # ; SQUARE PENIHI
        "\u3339",  # ; SQUARE HERUTU
        "\u333A",  # ; SQUARE PENSU
        "\u333B",  # ; SQUARE PEEZI
        "\u333C",  # ; SQUARE BEETA
        "\u333D",  # ; SQUARE POINTO
        "\u333E",  # ; SQUARE BORUTO
        "\u333F",  # ; SQUARE HON
        "\u3340",  # ; SQUARE PONDO
        "\u3341",  # ; SQUARE HOORU
        "\u3342",  # ; SQUARE HOON
        "\u3343",  # ; SQUARE MAIKURO
        "\u3344",  # ; SQUARE MAIRU
        "\u3345",  # ; SQUARE MAHHA
        "\u3346",  # ; SQUARE MARUKU
        "\u3347",  # ; SQUARE MANSYON
        "\u3348",  # ; SQUARE MIKURON
        "\u3349",  # ; SQUARE MIRI
        "\u334A",  # ; SQUARE MIRIBAARU
        "\u334B",  # ; SQUARE MEGA
        "\u334C",  # ; SQUARE MEGATON
        "\u334D",  # ; SQUARE MEETORU
        "\u334E",  # ; SQUARE YAADO
        "\u334F",  # ; SQUARE YAARU
        "\u3350",  # ; SQUARE YUAN
        "\u3351",  # ; SQUARE RITTORU
        "\u3352",  # ; SQUARE RIRA
        "\u3353",  # ; SQUARE RUPII
        "\u3354",  # ; SQUARE RUUBURU
        "\u3355",  # ; SQUARE REMU
        "\u3356",  # ; SQUARE RENTOGEN
        "\u3357",  # ; SQUARE WATTO
        "\u3358",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR ZERO
        "\u3359",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR ONE
        "\u335A",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWO
        "\u335B",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR THREE
        "\u335C",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR FOUR
        "\u335D",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR FIVE
        "\u335E",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR SIX
        "\u335F",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR SEVEN
        "\u3360",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR EIGHT
        "\u3361",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR NINE
        "\u3362",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TEN
        "\u3363",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR ELEVEN
        "\u3364",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWELVE
        "\u3365",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR THIRTEEN
        "\u3366",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR FOURTEEN
        "\u3367",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR FIFTEEN
        "\u3368",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR SIXTEEN
        "\u3369",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR SEVENTEEN
        "\u336A",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR EIGHTEEN
        "\u336B",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR NINETEEN
        "\u336C",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY
        "\u336D",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY-ONE
        "\u336E",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY-TWO
        "\u336F",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY-THREE
        "\u3370",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY-FOUR
        "\u3371",  # ; SQUARE HPA
        "\u3372",  # ; SQUARE DA
        "\u3373",  # ; SQUARE AU
        "\u3374",  # ; SQUARE BAR
        "\u3375",  # ; SQUARE OV
        "\u3376",  # ; SQUARE PC
        "\u3377",  # ; SQUARE DM
        "\u3378",  # ; SQUARE DM SQUARED
        "\u3379",  # ; SQUARE DM CUBED
        "\u337A",  # ; SQUARE IU
        "\u337B",  # ; SQUARE ERA NAME HEISEI
        "\u337C",  # ; SQUARE ERA NAME SYOUWA
        "\u337D",  # ; SQUARE ERA NAME TAISYOU
        "\u337E",  # ; SQUARE ERA NAME MEIZI
        "\u337F",  # ; SQUARE CORPORATION
        "\u3380",  # ; SQUARE PA AMPS
        "\u3381",  # ; SQUARE NA
        "\u3382",  # ; SQUARE MU A
        "\u3383",  # ; SQUARE MA
        "\u3384",  # ; SQUARE KA
        "\u3385",  # ; SQUARE KB
        "\u3386",  # ; SQUARE MB
        "\u3387",  # ; SQUARE GB
        "\u3388",  # ; SQUARE CAL
        "\u3389",  # ; SQUARE KCAL
        "\u338A",  # ; SQUARE PF
        "\u338B",  # ; SQUARE NF
        "\u338C",  # ; SQUARE MU F
        "\u338D",  # ; SQUARE MU G
        "\u338E",  # ; SQUARE MG
        "\u338F",  # ; SQUARE KG
        "\u3390",  # ; SQUARE HZ
        "\u3391",  # ; SQUARE KHZ
        "\u3392",  # ; SQUARE MHZ
        "\u3393",  # ; SQUARE GHZ
        "\u3394",  # ; SQUARE THZ
        "\u3395",  # ; SQUARE MU L
        "\u3396",  # ; SQUARE ML
        "\u3397",  # ; SQUARE DL
        "\u3398",  # ; SQUARE KL
        "\u3399",  # ; SQUARE FM
        "\u339A",  # ; SQUARE NM
        "\u339B",  # ; SQUARE MU M
        "\u339C",  # ; SQUARE MM
        "\u339D",  # ; SQUARE CM
        "\u339E",  # ; SQUARE KM
        "\u339F",  # ; SQUARE MM SQUARED
        "\u33A0",  # ; SQUARE CM SQUARED
        "\u33A1",  # ; SQUARE M SQUARED
        "\u33A2",  # ; SQUARE KM SQUARED
        "\u33A3",  # ; SQUARE MM CUBED
        "\u33A4",  # ; SQUARE CM CUBED
        "\u33A5",  # ; SQUARE M CUBED
        "\u33A6",  # ; SQUARE KM CUBED
        "\u33A7",  # ; SQUARE M OVER S
        "\u33A8",  # ; SQUARE M OVER S SQUARED
        "\u33A9",  # ; SQUARE PA
        "\u33AA",  # ; SQUARE KPA
        "\u33AB",  # ; SQUARE MPA
        "\u33AC",  # ; SQUARE GPA
        "\u33AD",  # ; SQUARE RAD
        "\u33AE",  # ; SQUARE RAD OVER S
        "\u33AF",  # ; SQUARE RAD OVER S SQUARED
        "\u33B0",  # ; SQUARE PS
        "\u33B1",  # ; SQUARE NS
        "\u33B2",  # ; SQUARE MU S
        "\u33B3",  # ; SQUARE MS
        "\u33B4",  # ; SQUARE PV
        "\u33B5",  # ; SQUARE NV
        "\u33B6",  # ; SQUARE MU V
        "\u33B7",  # ; SQUARE MV
        "\u33B8",  # ; SQUARE KV
        "\u33B9",  # ; SQUARE MV MEGA
        "\u33BA",  # ; SQUARE PW
        "\u33BB",  # ; SQUARE NW
        "\u33BC",  # ; SQUARE MU W
        "\u33BD",  # ; SQUARE MW
        "\u33BE",  # ; SQUARE KW
        "\u33BF",  # ; SQUARE MW MEGA
        "\u33C0",  # ; SQUARE K OHM
        "\u33C1",  # ; SQUARE M OHM
        "\u33C2",  # ; SQUARE AM
        "\u33C3",  # ; SQUARE BQ
        "\u33C4",  # ; SQUARE CC
        "\u33C5",  # ; SQUARE CD
        "\u33C6",  # ; SQUARE C OVER KG
        "\u33C7",  # ; SQUARE CO
        "\u33C8",  # ; SQUARE DB
        "\u33C9",  # ; SQUARE GY
        "\u33CA",  # ; SQUARE HA
        "\u33CB",  # ; SQUARE HP
        "\u33CC",  # ; SQUARE IN
        "\u33CD",  # ; SQUARE KK
        "\u33CE",  # ; SQUARE KM CAPITAL
        "\u33CF",  # ; SQUARE KT
        "\u33D0",  # ; SQUARE LM
        "\u33D1",  # ; SQUARE LN
        "\u33D2",  # ; SQUARE LOG
        "\u33D3",  # ; SQUARE LX
        "\u33D4",  # ; SQUARE MB SMALL
        "\u33D5",  # ; SQUARE MIL
        "\u33D6",  # ; SQUARE MOL
        "\u33D7",  # ; SQUARE PH
        "\u33D8",  # ; SQUARE PM
        "\u33D9",  # ; SQUARE PPM
        "\u33DA",  # ; SQUARE PR
        "\u33DB",  # ; SQUARE SR
        "\u33DC",  # ; SQUARE SV
        "\u33DD",  # ; SQUARE WB
        "\u33DE",  # ; SQUARE V OVER M
        "\u33DF",  # ; SQUARE A OVER M
        "\u33E0",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY ONE
        "\u33E1",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWO
        "\u33E2",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY THREE
        "\u33E3",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY FOUR
        "\u33E4",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY FIVE
        "\u33E5",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY SIX
        "\u33E6",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY SEVEN
        "\u33E7",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY EIGHT
        "\u33E8",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY NINE
        "\u33E9",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TEN
        "\u33EA",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY ELEVEN
        "\u33EB",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWELVE
        "\u33EC",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY THIRTEEN
        "\u33ED",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY FOURTEEN
        "\u33EE",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY FIFTEEN
        "\u33EF",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY SIXTEEN
        "\u33F0",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY SEVENTEEN
        "\u33F1",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY EIGHTEEN
        "\u33F2",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY NINETEEN
        "\u33F3",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY
        "\u33F4",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-ONE
        "\u33F5",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-TWO
        "\u33F6",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-THREE
        "\u33F7",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-FOUR
        "\u33F8",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-FIVE
        "\u33F9",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-SIX
        "\u33FA",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-SEVEN
        "\u33FB",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-EIGHT
        "\u33FC",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-NINE
        "\u33FD",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY THIRTY
        "\u33FE",  # ; IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY THIRTY-ONE
        "\u33FF",  # ; SQUARE GAL
        "\u3400","\u3401","\u3402","\u3403","\u3404","\u3405","\u3406","\u3407","\u3408","\u3409","\u340a","\u340b","\u340c","\u340d","\u340e","\u340f","\u3410","\u3411","\u3412","\u3413","\u3414","\u3415","\u3416","\u3417","\u3418","\u3419","\u341a","\u341b","\u341c","\u341d","\u341e","\u341f","\u3420","\u3421","\u3422","\u3423","\u3424","\u3425","\u3426","\u3427","\u3428","\u3429","\u342a","\u342b","\u342c","\u342d","\u342e","\u342f","\u3430","\u3431","\u3432","\u3433","\u3434","\u3435","\u3436","\u3437","\u3438","\u3439","\u343a","\u343b","\u343c","\u343d","\u343e","\u343f","\u3440","\u3441","\u3442","\u3443","\u3444","\u3445","\u3446","\u3447","\u3448","\u3449","\u344a","\u344b","\u344c","\u344d","\u344e","\u344f","\u3450","\u3451","\u3452","\u3453","\u3454","\u3455","\u3456","\u3457","\u3458","\u3459","\u345a","\u345b","\u345c","\u345d","\u345e","\u345f","\u3460","\u3461","\u3462","\u3463","\u3464","\u3465","\u3466","\u3467","\u3468","\u3469","\u346a","\u346b","\u346c","\u346d","\u346e","\u346f","\u3470","\u3471","\u3472","\u3473","\u3474","\u3475","\u3476","\u3477","\u3478","\u3479","\u347a","\u347b","\u347c","\u347d","\u347e","\u347f","\u3480","\u3481","\u3482","\u3483","\u3484","\u3485","\u3486","\u3487","\u3488","\u3489","\u348a","\u348b","\u348c","\u348d","\u348e","\u348f","\u3490","\u3491","\u3492","\u3493","\u3494","\u3495","\u3496","\u3497","\u3498","\u3499","\u349a","\u349b","\u349c","\u349d","\u349e","\u349f","\u34a0","\u34a1","\u34a2","\u34a3","\u34a4","\u34a5","\u34a6","\u34a7","\u34a8","\u34a9","\u34aa","\u34ab","\u34ac","\u34ad","\u34ae","\u34af","\u34b0","\u34b1","\u34b2","\u34b3","\u34b4","\u34b5","\u34b6","\u34b7","\u34b8","\u34b9","\u34ba","\u34bb","\u34bc","\u34bd","\u34be","\u34bf","\u34c0","\u34c1","\u34c2","\u34c3","\u34c4","\u34c5","\u34c6","\u34c7","\u34c8","\u34c9","\u34ca","\u34cb","\u34cc","\u34cd","\u34ce","\u34cf","\u34d0","\u34d1","\u34d2","\u34d3","\u34d4","\u34d5","\u34d6","\u34d7","\u34d8","\u34d9","\u34da","\u34db","\u34dc","\u34dd","\u34de","\u34df","\u34e0","\u34e1","\u34e2","\u34e3","\u34e4","\u34e5","\u34e6","\u34e7","\u34e8","\u34e9","\u34ea","\u34eb","\u34ec","\u34ed","\u34ee","\u34ef","\u34f0","\u34f1","\u34f2","\u34f3","\u34f4","\u34f5","\u34f6","\u34f7","\u34f8","\u34f9","\u34fa","\u34fb","\u34fc","\u34fd","\u34fe","\u34ff","\u3500","\u3501","\u3502","\u3503","\u3504","\u3505","\u3506","\u3507","\u3508","\u3509","\u350a","\u350b","\u350c","\u350d","\u350e","\u350f","\u3510","\u3511","\u3512","\u3513","\u3514","\u3515","\u3516","\u3517","\u3518","\u3519","\u351a","\u351b","\u351c","\u351d","\u351e","\u351f","\u3520","\u3521","\u3522","\u3523","\u3524","\u3525","\u3526","\u3527","\u3528","\u3529","\u352a","\u352b","\u352c","\u352d","\u352e","\u352f","\u3530","\u3531","\u3532","\u3533","\u3534","\u3535","\u3536","\u3537","\u3538","\u3539","\u353a","\u353b","\u353c","\u353d","\u353e","\u353f","\u3540","\u3541","\u3542","\u3543","\u3544","\u3545","\u3546","\u3547","\u3548","\u3549","\u354a","\u354b","\u354c","\u354d","\u354e","\u354f","\u3550","\u3551","\u3552","\u3553","\u3554","\u3555","\u3556","\u3557","\u3558","\u3559","\u355a","\u355b","\u355c","\u355d","\u355e","\u355f","\u3560","\u3561","\u3562","\u3563","\u3564","\u3565","\u3566","\u3567","\u3568","\u3569","\u356a","\u356b","\u356c","\u356d","\u356e","\u356f","\u3570","\u3571","\u3572","\u3573","\u3574","\u3575","\u3576","\u3577","\u3578","\u3579","\u357a","\u357b","\u357c","\u357d","\u357e","\u357f","\u3580","\u3581","\u3582","\u3583","\u3584","\u3585","\u3586","\u3587","\u3588","\u3589","\u358a","\u358b","\u358c","\u358d","\u358e","\u358f","\u3590","\u3591","\u3592","\u3593","\u3594","\u3595","\u3596","\u3597","\u3598","\u3599","\u359a","\u359b","\u359c","\u359d","\u359e","\u359f","\u35a0","\u35a1","\u35a2","\u35a3","\u35a4","\u35a5","\u35a6","\u35a7","\u35a8","\u35a9","\u35aa","\u35ab","\u35ac","\u35ad","\u35ae","\u35af","\u35b0","\u35b1","\u35b2","\u35b3","\u35b4","\u35b5","\u35b6","\u35b7","\u35b8","\u35b9","\u35ba","\u35bb","\u35bc","\u35bd","\u35be","\u35bf","\u35c0","\u35c1","\u35c2","\u35c3","\u35c4","\u35c5","\u35c6","\u35c7","\u35c8","\u35c9","\u35ca","\u35cb","\u35cc","\u35cd","\u35ce","\u35cf","\u35d0","\u35d1","\u35d2","\u35d3","\u35d4","\u35d5","\u35d6","\u35d7","\u35d8","\u35d9","\u35da","\u35db","\u35dc","\u35dd","\u35de","\u35df","\u35e0","\u35e1","\u35e2","\u35e3","\u35e4","\u35e5","\u35e6","\u35e7","\u35e8","\u35e9","\u35ea","\u35eb","\u35ec","\u35ed","\u35ee","\u35ef","\u35f0","\u35f1","\u35f2","\u35f3","\u35f4","\u35f5","\u35f6","\u35f7","\u35f8","\u35f9","\u35fa","\u35fb","\u35fc","\u35fd","\u35fe","\u35ff","\u3600","\u3601","\u3602","\u3603","\u3604","\u3605","\u3606","\u3607","\u3608","\u3609","\u360a","\u360b","\u360c","\u360d","\u360e","\u360f","\u3610","\u3611","\u3612","\u3613","\u3614","\u3615","\u3616","\u3617","\u3618","\u3619","\u361a","\u361b","\u361c","\u361d","\u361e","\u361f","\u3620","\u3621","\u3622","\u3623","\u3624","\u3625","\u3626","\u3627","\u3628","\u3629","\u362a","\u362b","\u362c","\u362d","\u362e","\u362f","\u3630","\u3631","\u3632","\u3633","\u3634","\u3635","\u3636","\u3637","\u3638","\u3639","\u363a","\u363b","\u363c","\u363d","\u363e","\u363f","\u3640","\u3641","\u3642","\u3643","\u3644","\u3645","\u3646","\u3647","\u3648","\u3649","\u364a","\u364b","\u364c","\u364d","\u364e","\u364f","\u3650","\u3651","\u3652","\u3653","\u3654","\u3655","\u3656","\u3657","\u3658","\u3659","\u365a","\u365b","\u365c","\u365d","\u365e","\u365f","\u3660","\u3661","\u3662","\u3663","\u3664","\u3665","\u3666","\u3667","\u3668","\u3669","\u366a","\u366b","\u366c","\u366d","\u366e","\u366f","\u3670","\u3671","\u3672","\u3673","\u3674","\u3675","\u3676","\u3677","\u3678","\u3679","\u367a","\u367b","\u367c","\u367d","\u367e","\u367f","\u3680","\u3681","\u3682","\u3683","\u3684","\u3685","\u3686","\u3687","\u3688","\u3689","\u368a","\u368b","\u368c","\u368d","\u368e","\u368f","\u3690","\u3691","\u3692","\u3693","\u3694","\u3695","\u3696","\u3697","\u3698","\u3699","\u369a","\u369b","\u369c","\u369d","\u369e","\u369f","\u36a0","\u36a1","\u36a2","\u36a3","\u36a4","\u36a5","\u36a6","\u36a7","\u36a8","\u36a9","\u36aa","\u36ab","\u36ac","\u36ad","\u36ae","\u36af","\u36b0","\u36b1","\u36b2","\u36b3","\u36b4","\u36b5","\u36b6","\u36b7","\u36b8","\u36b9","\u36ba","\u36bb","\u36bc","\u36bd","\u36be","\u36bf","\u36c0","\u36c1","\u36c2","\u36c3","\u36c4","\u36c5","\u36c6","\u36c7","\u36c8","\u36c9","\u36ca","\u36cb","\u36cc","\u36cd","\u36ce","\u36cf","\u36d0","\u36d1","\u36d2","\u36d3","\u36d4","\u36d5","\u36d6","\u36d7","\u36d8","\u36d9","\u36da","\u36db","\u36dc","\u36dd","\u36de","\u36df","\u36e0","\u36e1","\u36e2","\u36e3","\u36e4","\u36e5","\u36e6","\u36e7","\u36e8","\u36e9","\u36ea","\u36eb","\u36ec","\u36ed","\u36ee","\u36ef","\u36f0","\u36f1","\u36f2","\u36f3","\u36f4","\u36f5","\u36f6","\u36f7","\u36f8","\u36f9","\u36fa","\u36fb","\u36fc","\u36fd","\u36fe","\u36ff","\u3700","\u3701","\u3702","\u3703","\u3704","\u3705","\u3706","\u3707","\u3708","\u3709","\u370a","\u370b","\u370c","\u370d","\u370e","\u370f","\u3710","\u3711","\u3712","\u3713","\u3714","\u3715","\u3716","\u3717","\u3718","\u3719","\u371a","\u371b","\u371c","\u371d","\u371e","\u371f","\u3720","\u3721","\u3722","\u3723","\u3724","\u3725","\u3726","\u3727","\u3728","\u3729","\u372a","\u372b","\u372c","\u372d","\u372e","\u372f","\u3730","\u3731","\u3732","\u3733","\u3734","\u3735","\u3736","\u3737","\u3738","\u3739","\u373a","\u373b","\u373c","\u373d","\u373e","\u373f","\u3740","\u3741","\u3742","\u3743","\u3744","\u3745","\u3746","\u3747","\u3748","\u3749","\u374a","\u374b","\u374c","\u374d","\u374e","\u374f","\u3750","\u3751","\u3752","\u3753","\u3754","\u3755","\u3756","\u3757","\u3758","\u3759","\u375a","\u375b","\u375c","\u375d","\u375e","\u375f","\u3760","\u3761","\u3762","\u3763","\u3764","\u3765","\u3766","\u3767","\u3768","\u3769","\u376a","\u376b","\u376c","\u376d","\u376e","\u376f","\u3770","\u3771","\u3772","\u3773","\u3774","\u3775","\u3776","\u3777","\u3778","\u3779","\u377a","\u377b","\u377c","\u377d","\u377e","\u377f","\u3780","\u3781","\u3782","\u3783","\u3784","\u3785","\u3786","\u3787","\u3788","\u3789","\u378a","\u378b","\u378c","\u378d","\u378e","\u378f","\u3790","\u3791","\u3792","\u3793","\u3794","\u3795","\u3796","\u3797","\u3798","\u3799","\u379a","\u379b","\u379c","\u379d","\u379e","\u379f","\u37a0","\u37a1","\u37a2","\u37a3","\u37a4","\u37a5","\u37a6","\u37a7","\u37a8","\u37a9","\u37aa","\u37ab","\u37ac","\u37ad","\u37ae","\u37af","\u37b0","\u37b1","\u37b2","\u37b3","\u37b4","\u37b5","\u37b6","\u37b7","\u37b8","\u37b9","\u37ba","\u37bb","\u37bc","\u37bd","\u37be","\u37bf","\u37c0","\u37c1","\u37c2","\u37c3","\u37c4","\u37c5","\u37c6","\u37c7","\u37c8","\u37c9","\u37ca","\u37cb","\u37cc","\u37cd","\u37ce","\u37cf","\u37d0","\u37d1","\u37d2","\u37d3","\u37d4","\u37d5","\u37d6","\u37d7","\u37d8","\u37d9","\u37da","\u37db","\u37dc","\u37dd","\u37de","\u37df","\u37e0","\u37e1","\u37e2","\u37e3","\u37e4","\u37e5","\u37e6","\u37e7","\u37e8","\u37e9","\u37ea","\u37eb","\u37ec","\u37ed","\u37ee","\u37ef","\u37f0","\u37f1","\u37f2","\u37f3","\u37f4","\u37f5","\u37f6","\u37f7","\u37f8","\u37f9","\u37fa","\u37fb","\u37fc","\u37fd","\u37fe","\u37ff","\u3800","\u3801","\u3802","\u3803","\u3804","\u3805","\u3806","\u3807","\u3808","\u3809","\u380a","\u380b","\u380c","\u380d","\u380e","\u380f","\u3810","\u3811","\u3812","\u3813","\u3814","\u3815","\u3816","\u3817","\u3818","\u3819","\u381a","\u381b","\u381c","\u381d","\u381e","\u381f","\u3820","\u3821","\u3822","\u3823","\u3824","\u3825","\u3826","\u3827","\u3828","\u3829","\u382a","\u382b","\u382c","\u382d","\u382e","\u382f","\u3830","\u3831","\u3832","\u3833","\u3834","\u3835","\u3836","\u3837","\u3838","\u3839","\u383a","\u383b","\u383c","\u383d","\u383e","\u383f","\u3840","\u3841","\u3842","\u3843","\u3844","\u3845","\u3846","\u3847","\u3848","\u3849","\u384a","\u384b","\u384c","\u384d","\u384e","\u384f","\u3850","\u3851","\u3852","\u3853","\u3854","\u3855","\u3856","\u3857","\u3858","\u3859","\u385a","\u385b","\u385c","\u385d","\u385e","\u385f","\u3860","\u3861","\u3862","\u3863","\u3864","\u3865","\u3866","\u3867","\u3868","\u3869","\u386a","\u386b","\u386c","\u386d","\u386e","\u386f","\u3870","\u3871","\u3872","\u3873","\u3874","\u3875","\u3876","\u3877","\u3878","\u3879","\u387a","\u387b","\u387c","\u387d","\u387e","\u387f","\u3880","\u3881","\u3882","\u3883","\u3884","\u3885","\u3886","\u3887","\u3888","\u3889","\u388a","\u388b","\u388c","\u388d","\u388e","\u388f","\u3890","\u3891","\u3892","\u3893","\u3894","\u3895","\u3896","\u3897","\u3898","\u3899","\u389a","\u389b","\u389c","\u389d","\u389e","\u389f","\u38a0","\u38a1","\u38a2","\u38a3","\u38a4","\u38a5","\u38a6","\u38a7","\u38a8","\u38a9","\u38aa","\u38ab","\u38ac","\u38ad","\u38ae","\u38af","\u38b0","\u38b1","\u38b2","\u38b3","\u38b4","\u38b5","\u38b6","\u38b7","\u38b8","\u38b9","\u38ba","\u38bb","\u38bc","\u38bd","\u38be","\u38bf","\u38c0","\u38c1","\u38c2","\u38c3","\u38c4","\u38c5","\u38c6","\u38c7","\u38c8","\u38c9","\u38ca","\u38cb","\u38cc","\u38cd","\u38ce","\u38cf","\u38d0","\u38d1","\u38d2","\u38d3","\u38d4","\u38d5","\u38d6","\u38d7","\u38d8","\u38d9","\u38da","\u38db","\u38dc","\u38dd","\u38de","\u38df","\u38e0","\u38e1","\u38e2","\u38e3","\u38e4","\u38e5","\u38e6","\u38e7","\u38e8","\u38e9","\u38ea","\u38eb","\u38ec","\u38ed","\u38ee","\u38ef","\u38f0","\u38f1","\u38f2","\u38f3","\u38f4","\u38f5","\u38f6","\u38f7","\u38f8","\u38f9","\u38fa","\u38fb","\u38fc","\u38fd","\u38fe","\u38ff","\u3900","\u3901","\u3902","\u3903","\u3904","\u3905","\u3906","\u3907","\u3908","\u3909","\u390a","\u390b","\u390c","\u390d","\u390e","\u390f","\u3910","\u3911","\u3912","\u3913","\u3914","\u3915","\u3916","\u3917","\u3918","\u3919","\u391a","\u391b","\u391c","\u391d","\u391e","\u391f","\u3920","\u3921","\u3922","\u3923","\u3924","\u3925","\u3926","\u3927","\u3928","\u3929","\u392a","\u392b","\u392c","\u392d","\u392e","\u392f","\u3930","\u3931","\u3932","\u3933","\u3934","\u3935","\u3936","\u3937","\u3938","\u3939","\u393a","\u393b","\u393c","\u393d","\u393e","\u393f","\u3940","\u3941","\u3942","\u3943","\u3944","\u3945","\u3946","\u3947","\u3948","\u3949","\u394a","\u394b","\u394c","\u394d","\u394e","\u394f","\u3950","\u3951","\u3952","\u3953","\u3954","\u3955","\u3956","\u3957","\u3958","\u3959","\u395a","\u395b","\u395c","\u395d","\u395e","\u395f","\u3960","\u3961","\u3962","\u3963","\u3964","\u3965","\u3966","\u3967","\u3968","\u3969","\u396a","\u396b","\u396c","\u396d","\u396e","\u396f","\u3970","\u3971","\u3972","\u3973","\u3974","\u3975","\u3976","\u3977","\u3978","\u3979","\u397a","\u397b","\u397c","\u397d","\u397e","\u397f","\u3980","\u3981","\u3982","\u3983","\u3984","\u3985","\u3986","\u3987","\u3988","\u3989","\u398a","\u398b","\u398c","\u398d","\u398e","\u398f","\u3990","\u3991","\u3992","\u3993","\u3994","\u3995","\u3996","\u3997","\u3998","\u3999","\u399a","\u399b","\u399c","\u399d","\u399e","\u399f","\u39a0","\u39a1","\u39a2","\u39a3","\u39a4","\u39a5","\u39a6","\u39a7","\u39a8","\u39a9","\u39aa","\u39ab","\u39ac","\u39ad","\u39ae","\u39af","\u39b0","\u39b1","\u39b2","\u39b3","\u39b4","\u39b5","\u39b6","\u39b7","\u39b8","\u39b9","\u39ba","\u39bb","\u39bc","\u39bd","\u39be","\u39bf","\u39c0","\u39c1","\u39c2","\u39c3","\u39c4","\u39c5","\u39c6","\u39c7","\u39c8","\u39c9","\u39ca","\u39cb","\u39cc","\u39cd","\u39ce","\u39cf","\u39d0","\u39d1","\u39d2","\u39d3","\u39d4","\u39d5","\u39d6","\u39d7","\u39d8","\u39d9","\u39da","\u39db","\u39dc","\u39dd","\u39de","\u39df","\u39e0","\u39e1","\u39e2","\u39e3","\u39e4","\u39e5","\u39e6","\u39e7","\u39e8","\u39e9","\u39ea","\u39eb","\u39ec","\u39ed","\u39ee","\u39ef","\u39f0","\u39f1","\u39f2","\u39f3","\u39f4","\u39f5","\u39f6","\u39f7","\u39f8","\u39f9","\u39fa","\u39fb","\u39fc","\u39fd","\u39fe","\u39ff","\u3a00","\u3a01","\u3a02","\u3a03","\u3a04","\u3a05","\u3a06","\u3a07","\u3a08","\u3a09","\u3a0a","\u3a0b","\u3a0c","\u3a0d","\u3a0e","\u3a0f","\u3a10","\u3a11","\u3a12","\u3a13","\u3a14","\u3a15","\u3a16","\u3a17","\u3a18","\u3a19","\u3a1a","\u3a1b","\u3a1c","\u3a1d","\u3a1e","\u3a1f","\u3a20","\u3a21","\u3a22","\u3a23","\u3a24","\u3a25","\u3a26","\u3a27","\u3a28","\u3a29","\u3a2a","\u3a2b","\u3a2c","\u3a2d","\u3a2e","\u3a2f","\u3a30","\u3a31","\u3a32","\u3a33","\u3a34","\u3a35","\u3a36","\u3a37","\u3a38","\u3a39","\u3a3a","\u3a3b","\u3a3c","\u3a3d","\u3a3e","\u3a3f","\u3a40","\u3a41","\u3a42","\u3a43","\u3a44","\u3a45","\u3a46","\u3a47","\u3a48","\u3a49","\u3a4a","\u3a4b","\u3a4c","\u3a4d","\u3a4e","\u3a4f","\u3a50","\u3a51","\u3a52","\u3a53","\u3a54","\u3a55","\u3a56","\u3a57","\u3a58","\u3a59","\u3a5a","\u3a5b","\u3a5c","\u3a5d","\u3a5e","\u3a5f","\u3a60","\u3a61","\u3a62","\u3a63","\u3a64","\u3a65","\u3a66","\u3a67","\u3a68","\u3a69","\u3a6a","\u3a6b","\u3a6c","\u3a6d","\u3a6e","\u3a6f","\u3a70","\u3a71","\u3a72","\u3a73","\u3a74","\u3a75","\u3a76","\u3a77","\u3a78","\u3a79","\u3a7a","\u3a7b","\u3a7c","\u3a7d","\u3a7e","\u3a7f","\u3a80","\u3a81","\u3a82","\u3a83","\u3a84","\u3a85","\u3a86","\u3a87","\u3a88","\u3a89","\u3a8a","\u3a8b","\u3a8c","\u3a8d","\u3a8e","\u3a8f","\u3a90","\u3a91","\u3a92","\u3a93","\u3a94","\u3a95","\u3a96","\u3a97","\u3a98","\u3a99","\u3a9a","\u3a9b","\u3a9c","\u3a9d","\u3a9e","\u3a9f","\u3aa0","\u3aa1","\u3aa2","\u3aa3","\u3aa4","\u3aa5","\u3aa6","\u3aa7","\u3aa8","\u3aa9","\u3aaa","\u3aab","\u3aac","\u3aad","\u3aae","\u3aaf","\u3ab0","\u3ab1","\u3ab2","\u3ab3","\u3ab4","\u3ab5","\u3ab6","\u3ab7","\u3ab8","\u3ab9","\u3aba","\u3abb","\u3abc","\u3abd","\u3abe","\u3abf","\u3ac0","\u3ac1","\u3ac2","\u3ac3","\u3ac4","\u3ac5","\u3ac6","\u3ac7","\u3ac8","\u3ac9","\u3aca","\u3acb","\u3acc","\u3acd","\u3ace","\u3acf","\u3ad0","\u3ad1","\u3ad2","\u3ad3","\u3ad4","\u3ad5","\u3ad6","\u3ad7","\u3ad8","\u3ad9","\u3ada","\u3adb","\u3adc","\u3add","\u3ade","\u3adf","\u3ae0","\u3ae1","\u3ae2","\u3ae3","\u3ae4","\u3ae5","\u3ae6","\u3ae7","\u3ae8","\u3ae9","\u3aea","\u3aeb","\u3aec","\u3aed","\u3aee","\u3aef","\u3af0","\u3af1","\u3af2","\u3af3","\u3af4","\u3af5","\u3af6","\u3af7","\u3af8","\u3af9","\u3afa","\u3afb","\u3afc","\u3afd","\u3afe","\u3aff","\u3b00","\u3b01","\u3b02","\u3b03","\u3b04","\u3b05","\u3b06","\u3b07","\u3b08","\u3b09","\u3b0a","\u3b0b","\u3b0c","\u3b0d","\u3b0e","\u3b0f","\u3b10","\u3b11","\u3b12","\u3b13","\u3b14","\u3b15","\u3b16","\u3b17","\u3b18","\u3b19","\u3b1a","\u3b1b","\u3b1c","\u3b1d","\u3b1e","\u3b1f","\u3b20","\u3b21","\u3b22","\u3b23","\u3b24","\u3b25","\u3b26","\u3b27","\u3b28","\u3b29","\u3b2a","\u3b2b","\u3b2c","\u3b2d","\u3b2e","\u3b2f","\u3b30","\u3b31","\u3b32","\u3b33","\u3b34","\u3b35","\u3b36","\u3b37","\u3b38","\u3b39","\u3b3a","\u3b3b","\u3b3c","\u3b3d","\u3b3e","\u3b3f","\u3b40","\u3b41","\u3b42","\u3b43","\u3b44","\u3b45","\u3b46","\u3b47","\u3b48","\u3b49","\u3b4a","\u3b4b","\u3b4c","\u3b4d","\u3b4e","\u3b4f","\u3b50","\u3b51","\u3b52","\u3b53","\u3b54","\u3b55","\u3b56","\u3b57","\u3b58","\u3b59","\u3b5a","\u3b5b","\u3b5c","\u3b5d","\u3b5e","\u3b5f","\u3b60","\u3b61","\u3b62","\u3b63","\u3b64","\u3b65","\u3b66","\u3b67","\u3b68","\u3b69","\u3b6a","\u3b6b","\u3b6c","\u3b6d","\u3b6e","\u3b6f","\u3b70","\u3b71","\u3b72","\u3b73","\u3b74","\u3b75","\u3b76","\u3b77","\u3b78","\u3b79","\u3b7a","\u3b7b","\u3b7c","\u3b7d","\u3b7e","\u3b7f","\u3b80","\u3b81","\u3b82","\u3b83","\u3b84","\u3b85","\u3b86","\u3b87","\u3b88","\u3b89","\u3b8a","\u3b8b","\u3b8c","\u3b8d","\u3b8e","\u3b8f","\u3b90","\u3b91","\u3b92","\u3b93","\u3b94","\u3b95","\u3b96","\u3b97","\u3b98","\u3b99","\u3b9a","\u3b9b","\u3b9c","\u3b9d","\u3b9e","\u3b9f","\u3ba0","\u3ba1","\u3ba2","\u3ba3","\u3ba4","\u3ba5","\u3ba6","\u3ba7","\u3ba8","\u3ba9","\u3baa","\u3bab","\u3bac","\u3bad","\u3bae","\u3baf","\u3bb0","\u3bb1","\u3bb2","\u3bb3","\u3bb4","\u3bb5","\u3bb6","\u3bb7","\u3bb8","\u3bb9","\u3bba","\u3bbb","\u3bbc","\u3bbd","\u3bbe","\u3bbf","\u3bc0","\u3bc1","\u3bc2","\u3bc3","\u3bc4","\u3bc5","\u3bc6","\u3bc7","\u3bc8","\u3bc9","\u3bca","\u3bcb","\u3bcc","\u3bcd","\u3bce","\u3bcf","\u3bd0","\u3bd1","\u3bd2","\u3bd3","\u3bd4","\u3bd5","\u3bd6","\u3bd7","\u3bd8","\u3bd9","\u3bda","\u3bdb","\u3bdc","\u3bdd","\u3bde","\u3bdf","\u3be0","\u3be1","\u3be2","\u3be3","\u3be4","\u3be5","\u3be6","\u3be7","\u3be8","\u3be9","\u3bea","\u3beb","\u3bec","\u3bed","\u3bee","\u3bef","\u3bf0","\u3bf1","\u3bf2","\u3bf3","\u3bf4","\u3bf5","\u3bf6","\u3bf7","\u3bf8","\u3bf9","\u3bfa","\u3bfb","\u3bfc","\u3bfd","\u3bfe","\u3bff","\u3c00","\u3c01","\u3c02","\u3c03","\u3c04","\u3c05","\u3c06","\u3c07","\u3c08","\u3c09","\u3c0a","\u3c0b","\u3c0c","\u3c0d","\u3c0e","\u3c0f","\u3c10","\u3c11","\u3c12","\u3c13","\u3c14","\u3c15","\u3c16","\u3c17","\u3c18","\u3c19","\u3c1a","\u3c1b","\u3c1c","\u3c1d","\u3c1e","\u3c1f","\u3c20","\u3c21","\u3c22","\u3c23","\u3c24","\u3c25","\u3c26","\u3c27","\u3c28","\u3c29","\u3c2a","\u3c2b","\u3c2c","\u3c2d","\u3c2e","\u3c2f","\u3c30","\u3c31","\u3c32","\u3c33","\u3c34","\u3c35","\u3c36","\u3c37","\u3c38","\u3c39","\u3c3a","\u3c3b","\u3c3c","\u3c3d","\u3c3e","\u3c3f","\u3c40","\u3c41","\u3c42","\u3c43","\u3c44","\u3c45","\u3c46","\u3c47","\u3c48","\u3c49","\u3c4a","\u3c4b","\u3c4c","\u3c4d","\u3c4e","\u3c4f","\u3c50","\u3c51","\u3c52","\u3c53","\u3c54","\u3c55","\u3c56","\u3c57","\u3c58","\u3c59","\u3c5a","\u3c5b","\u3c5c","\u3c5d","\u3c5e","\u3c5f","\u3c60","\u3c61","\u3c62","\u3c63","\u3c64","\u3c65","\u3c66","\u3c67","\u3c68","\u3c69","\u3c6a","\u3c6b","\u3c6c","\u3c6d","\u3c6e","\u3c6f","\u3c70","\u3c71","\u3c72","\u3c73","\u3c74","\u3c75","\u3c76","\u3c77","\u3c78","\u3c79","\u3c7a","\u3c7b","\u3c7c","\u3c7d","\u3c7e","\u3c7f","\u3c80","\u3c81","\u3c82","\u3c83","\u3c84","\u3c85","\u3c86","\u3c87","\u3c88","\u3c89","\u3c8a","\u3c8b","\u3c8c","\u3c8d","\u3c8e","\u3c8f","\u3c90","\u3c91","\u3c92","\u3c93","\u3c94","\u3c95","\u3c96","\u3c97","\u3c98","\u3c99","\u3c9a","\u3c9b","\u3c9c","\u3c9d","\u3c9e","\u3c9f","\u3ca0","\u3ca1","\u3ca2","\u3ca3","\u3ca4","\u3ca5","\u3ca6","\u3ca7","\u3ca8","\u3ca9","\u3caa","\u3cab","\u3cac","\u3cad","\u3cae","\u3caf","\u3cb0","\u3cb1","\u3cb2","\u3cb3","\u3cb4","\u3cb5","\u3cb6","\u3cb7","\u3cb8","\u3cb9","\u3cba","\u3cbb","\u3cbc","\u3cbd","\u3cbe","\u3cbf","\u3cc0","\u3cc1","\u3cc2","\u3cc3","\u3cc4","\u3cc5","\u3cc6","\u3cc7","\u3cc8","\u3cc9","\u3cca","\u3ccb","\u3ccc","\u3ccd","\u3cce","\u3ccf","\u3cd0","\u3cd1","\u3cd2","\u3cd3","\u3cd4","\u3cd5","\u3cd6","\u3cd7","\u3cd8","\u3cd9","\u3cda","\u3cdb","\u3cdc","\u3cdd","\u3cde","\u3cdf","\u3ce0","\u3ce1","\u3ce2","\u3ce3","\u3ce4","\u3ce5","\u3ce6","\u3ce7","\u3ce8","\u3ce9","\u3cea","\u3ceb","\u3cec","\u3ced","\u3cee","\u3cef","\u3cf0","\u3cf1","\u3cf2","\u3cf3","\u3cf4","\u3cf5","\u3cf6","\u3cf7","\u3cf8","\u3cf9","\u3cfa","\u3cfb","\u3cfc","\u3cfd","\u3cfe","\u3cff","\u3d00","\u3d01","\u3d02","\u3d03","\u3d04","\u3d05","\u3d06","\u3d07","\u3d08","\u3d09","\u3d0a","\u3d0b","\u3d0c","\u3d0d","\u3d0e","\u3d0f","\u3d10","\u3d11","\u3d12","\u3d13","\u3d14","\u3d15","\u3d16","\u3d17","\u3d18","\u3d19","\u3d1a","\u3d1b","\u3d1c","\u3d1d","\u3d1e","\u3d1f","\u3d20","\u3d21","\u3d22","\u3d23","\u3d24","\u3d25","\u3d26","\u3d27","\u3d28","\u3d29","\u3d2a","\u3d2b","\u3d2c","\u3d2d","\u3d2e","\u3d2f","\u3d30","\u3d31","\u3d32","\u3d33","\u3d34","\u3d35","\u3d36","\u3d37","\u3d38","\u3d39","\u3d3a","\u3d3b","\u3d3c","\u3d3d","\u3d3e","\u3d3f","\u3d40","\u3d41","\u3d42","\u3d43","\u3d44","\u3d45","\u3d46","\u3d47","\u3d48","\u3d49","\u3d4a","\u3d4b","\u3d4c","\u3d4d","\u3d4e","\u3d4f","\u3d50","\u3d51","\u3d52","\u3d53","\u3d54","\u3d55","\u3d56","\u3d57","\u3d58","\u3d59","\u3d5a","\u3d5b","\u3d5c","\u3d5d","\u3d5e","\u3d5f","\u3d60","\u3d61","\u3d62","\u3d63","\u3d64","\u3d65","\u3d66","\u3d67","\u3d68","\u3d69","\u3d6a","\u3d6b","\u3d6c","\u3d6d","\u3d6e","\u3d6f","\u3d70","\u3d71","\u3d72","\u3d73","\u3d74","\u3d75","\u3d76","\u3d77","\u3d78","\u3d79","\u3d7a","\u3d7b","\u3d7c","\u3d7d","\u3d7e","\u3d7f","\u3d80","\u3d81","\u3d82","\u3d83","\u3d84","\u3d85","\u3d86","\u3d87","\u3d88","\u3d89","\u3d8a","\u3d8b","\u3d8c","\u3d8d","\u3d8e","\u3d8f","\u3d90","\u3d91","\u3d92","\u3d93","\u3d94","\u3d95","\u3d96","\u3d97","\u3d98","\u3d99","\u3d9a","\u3d9b","\u3d9c","\u3d9d","\u3d9e","\u3d9f","\u3da0","\u3da1","\u3da2","\u3da3","\u3da4","\u3da5","\u3da6","\u3da7","\u3da8","\u3da9","\u3daa","\u3dab","\u3dac","\u3dad","\u3dae","\u3daf","\u3db0","\u3db1","\u3db2","\u3db3","\u3db4","\u3db5","\u3db6","\u3db7","\u3db8","\u3db9","\u3dba","\u3dbb","\u3dbc","\u3dbd","\u3dbe","\u3dbf","\u3dc0","\u3dc1","\u3dc2","\u3dc3","\u3dc4","\u3dc5","\u3dc6","\u3dc7","\u3dc8","\u3dc9","\u3dca","\u3dcb","\u3dcc","\u3dcd","\u3dce","\u3dcf","\u3dd0","\u3dd1","\u3dd2","\u3dd3","\u3dd4","\u3dd5","\u3dd6","\u3dd7","\u3dd8","\u3dd9","\u3dda","\u3ddb","\u3ddc","\u3ddd","\u3dde","\u3ddf","\u3de0","\u3de1","\u3de2","\u3de3","\u3de4","\u3de5","\u3de6","\u3de7","\u3de8","\u3de9","\u3dea","\u3deb","\u3dec","\u3ded","\u3dee","\u3def","\u3df0","\u3df1","\u3df2","\u3df3","\u3df4","\u3df5","\u3df6","\u3df7","\u3df8","\u3df9","\u3dfa","\u3dfb","\u3dfc","\u3dfd","\u3dfe","\u3dff","\u3e00","\u3e01","\u3e02","\u3e03","\u3e04","\u3e05","\u3e06","\u3e07","\u3e08","\u3e09","\u3e0a","\u3e0b","\u3e0c","\u3e0d","\u3e0e","\u3e0f","\u3e10","\u3e11","\u3e12","\u3e13","\u3e14","\u3e15","\u3e16","\u3e17","\u3e18","\u3e19","\u3e1a","\u3e1b","\u3e1c","\u3e1d","\u3e1e","\u3e1f","\u3e20","\u3e21","\u3e22","\u3e23","\u3e24","\u3e25","\u3e26","\u3e27","\u3e28","\u3e29","\u3e2a","\u3e2b","\u3e2c","\u3e2d","\u3e2e","\u3e2f","\u3e30","\u3e31","\u3e32","\u3e33","\u3e34","\u3e35","\u3e36","\u3e37","\u3e38","\u3e39","\u3e3a","\u3e3b","\u3e3c","\u3e3d","\u3e3e","\u3e3f","\u3e40","\u3e41","\u3e42","\u3e43","\u3e44","\u3e45","\u3e46","\u3e47","\u3e48","\u3e49","\u3e4a","\u3e4b","\u3e4c","\u3e4d","\u3e4e","\u3e4f","\u3e50","\u3e51","\u3e52","\u3e53","\u3e54","\u3e55","\u3e56","\u3e57","\u3e58","\u3e59","\u3e5a","\u3e5b","\u3e5c","\u3e5d","\u3e5e","\u3e5f","\u3e60","\u3e61","\u3e62","\u3e63","\u3e64","\u3e65","\u3e66","\u3e67","\u3e68","\u3e69","\u3e6a","\u3e6b","\u3e6c","\u3e6d","\u3e6e","\u3e6f","\u3e70","\u3e71","\u3e72","\u3e73","\u3e74","\u3e75","\u3e76","\u3e77","\u3e78","\u3e79","\u3e7a","\u3e7b","\u3e7c","\u3e7d","\u3e7e","\u3e7f","\u3e80","\u3e81","\u3e82","\u3e83","\u3e84","\u3e85","\u3e86","\u3e87","\u3e88","\u3e89","\u3e8a","\u3e8b","\u3e8c","\u3e8d","\u3e8e","\u3e8f","\u3e90","\u3e91","\u3e92","\u3e93","\u3e94","\u3e95","\u3e96","\u3e97","\u3e98","\u3e99","\u3e9a","\u3e9b","\u3e9c","\u3e9d","\u3e9e","\u3e9f","\u3ea0","\u3ea1","\u3ea2","\u3ea3","\u3ea4","\u3ea5","\u3ea6","\u3ea7","\u3ea8","\u3ea9","\u3eaa","\u3eab","\u3eac","\u3ead","\u3eae","\u3eaf","\u3eb0","\u3eb1","\u3eb2","\u3eb3","\u3eb4","\u3eb5","\u3eb6","\u3eb7","\u3eb8","\u3eb9","\u3eba","\u3ebb","\u3ebc","\u3ebd","\u3ebe","\u3ebf","\u3ec0","\u3ec1","\u3ec2","\u3ec3","\u3ec4","\u3ec5","\u3ec6","\u3ec7","\u3ec8","\u3ec9","\u3eca","\u3ecb","\u3ecc","\u3ecd","\u3ece","\u3ecf","\u3ed0","\u3ed1","\u3ed2","\u3ed3","\u3ed4","\u3ed5","\u3ed6","\u3ed7","\u3ed8","\u3ed9","\u3eda","\u3edb","\u3edc","\u3edd","\u3ede","\u3edf","\u3ee0","\u3ee1","\u3ee2","\u3ee3","\u3ee4","\u3ee5","\u3ee6","\u3ee7","\u3ee8","\u3ee9","\u3eea","\u3eeb","\u3eec","\u3eed","\u3eee","\u3eef","\u3ef0","\u3ef1","\u3ef2","\u3ef3","\u3ef4","\u3ef5","\u3ef6","\u3ef7","\u3ef8","\u3ef9","\u3efa","\u3efb","\u3efc","\u3efd","\u3efe","\u3eff","\u3f00","\u3f01","\u3f02","\u3f03","\u3f04","\u3f05","\u3f06","\u3f07","\u3f08","\u3f09","\u3f0a","\u3f0b","\u3f0c","\u3f0d","\u3f0e","\u3f0f","\u3f10","\u3f11","\u3f12","\u3f13","\u3f14","\u3f15","\u3f16","\u3f17","\u3f18","\u3f19","\u3f1a","\u3f1b","\u3f1c","\u3f1d","\u3f1e","\u3f1f","\u3f20","\u3f21","\u3f22","\u3f23","\u3f24","\u3f25","\u3f26","\u3f27","\u3f28","\u3f29","\u3f2a","\u3f2b","\u3f2c","\u3f2d","\u3f2e","\u3f2f","\u3f30","\u3f31","\u3f32","\u3f33","\u3f34","\u3f35","\u3f36","\u3f37","\u3f38","\u3f39","\u3f3a","\u3f3b","\u3f3c","\u3f3d","\u3f3e","\u3f3f","\u3f40","\u3f41","\u3f42","\u3f43","\u3f44","\u3f45","\u3f46","\u3f47","\u3f48","\u3f49","\u3f4a","\u3f4b","\u3f4c","\u3f4d","\u3f4e","\u3f4f","\u3f50","\u3f51","\u3f52","\u3f53","\u3f54","\u3f55","\u3f56","\u3f57","\u3f58","\u3f59","\u3f5a","\u3f5b","\u3f5c","\u3f5d","\u3f5e","\u3f5f","\u3f60","\u3f61","\u3f62","\u3f63","\u3f64","\u3f65","\u3f66","\u3f67","\u3f68","\u3f69","\u3f6a","\u3f6b","\u3f6c","\u3f6d","\u3f6e","\u3f6f","\u3f70","\u3f71","\u3f72","\u3f73","\u3f74","\u3f75","\u3f76","\u3f77","\u3f78","\u3f79","\u3f7a","\u3f7b","\u3f7c","\u3f7d","\u3f7e","\u3f7f","\u3f80","\u3f81","\u3f82","\u3f83","\u3f84","\u3f85","\u3f86","\u3f87","\u3f88","\u3f89","\u3f8a","\u3f8b","\u3f8c","\u3f8d","\u3f8e","\u3f8f","\u3f90","\u3f91","\u3f92","\u3f93","\u3f94","\u3f95","\u3f96","\u3f97","\u3f98","\u3f99","\u3f9a","\u3f9b","\u3f9c","\u3f9d","\u3f9e","\u3f9f","\u3fa0","\u3fa1","\u3fa2","\u3fa3","\u3fa4","\u3fa5","\u3fa6","\u3fa7","\u3fa8","\u3fa9","\u3faa","\u3fab","\u3fac","\u3fad","\u3fae","\u3faf","\u3fb0","\u3fb1","\u3fb2","\u3fb3","\u3fb4","\u3fb5","\u3fb6","\u3fb7","\u3fb8","\u3fb9","\u3fba","\u3fbb","\u3fbc","\u3fbd","\u3fbe","\u3fbf","\u3fc0","\u3fc1","\u3fc2","\u3fc3","\u3fc4","\u3fc5","\u3fc6","\u3fc7","\u3fc8","\u3fc9","\u3fca","\u3fcb","\u3fcc","\u3fcd","\u3fce","\u3fcf","\u3fd0","\u3fd1","\u3fd2","\u3fd3","\u3fd4","\u3fd5","\u3fd6","\u3fd7","\u3fd8","\u3fd9","\u3fda","\u3fdb","\u3fdc","\u3fdd","\u3fde","\u3fdf","\u3fe0","\u3fe1","\u3fe2","\u3fe3","\u3fe4","\u3fe5","\u3fe6","\u3fe7","\u3fe8","\u3fe9","\u3fea","\u3feb","\u3fec","\u3fed","\u3fee","\u3fef","\u3ff0","\u3ff1","\u3ff2","\u3ff3","\u3ff4","\u3ff5","\u3ff6","\u3ff7","\u3ff8","\u3ff9","\u3ffa","\u3ffb","\u3ffc","\u3ffd","\u3ffe","\u3fff","\u4000","\u4001","\u4002","\u4003","\u4004","\u4005","\u4006","\u4007","\u4008","\u4009","\u400a","\u400b","\u400c","\u400d","\u400e","\u400f","\u4010","\u4011","\u4012","\u4013","\u4014","\u4015","\u4016","\u4017","\u4018","\u4019","\u401a","\u401b","\u401c","\u401d","\u401e","\u401f","\u4020","\u4021","\u4022","\u4023","\u4024","\u4025","\u4026","\u4027","\u4028","\u4029","\u402a","\u402b","\u402c","\u402d","\u402e","\u402f","\u4030","\u4031","\u4032","\u4033","\u4034","\u4035","\u4036","\u4037","\u4038","\u4039","\u403a","\u403b","\u403c","\u403d","\u403e","\u403f","\u4040","\u4041","\u4042","\u4043","\u4044","\u4045","\u4046","\u4047","\u4048","\u4049","\u404a","\u404b","\u404c","\u404d","\u404e","\u404f","\u4050","\u4051","\u4052","\u4053","\u4054","\u4055","\u4056","\u4057","\u4058","\u4059","\u405a","\u405b","\u405c","\u405d","\u405e","\u405f","\u4060","\u4061","\u4062","\u4063","\u4064","\u4065","\u4066","\u4067","\u4068","\u4069","\u406a","\u406b","\u406c","\u406d","\u406e","\u406f","\u4070","\u4071","\u4072","\u4073","\u4074","\u4075","\u4076","\u4077","\u4078","\u4079","\u407a","\u407b","\u407c","\u407d","\u407e","\u407f","\u4080","\u4081","\u4082","\u4083","\u4084","\u4085","\u4086","\u4087","\u4088","\u4089","\u408a","\u408b","\u408c","\u408d","\u408e","\u408f","\u4090","\u4091","\u4092","\u4093","\u4094","\u4095","\u4096","\u4097","\u4098","\u4099","\u409a","\u409b","\u409c","\u409d","\u409e","\u409f","\u40a0","\u40a1","\u40a2","\u40a3","\u40a4","\u40a5","\u40a6","\u40a7","\u40a8","\u40a9","\u40aa","\u40ab","\u40ac","\u40ad","\u40ae","\u40af","\u40b0","\u40b1","\u40b2","\u40b3","\u40b4","\u40b5","\u40b6","\u40b7","\u40b8","\u40b9","\u40ba","\u40bb","\u40bc","\u40bd","\u40be","\u40bf","\u40c0","\u40c1","\u40c2","\u40c3","\u40c4","\u40c5","\u40c6","\u40c7","\u40c8","\u40c9","\u40ca","\u40cb","\u40cc","\u40cd","\u40ce","\u40cf","\u40d0","\u40d1","\u40d2","\u40d3","\u40d4","\u40d5","\u40d6","\u40d7","\u40d8","\u40d9","\u40da","\u40db","\u40dc","\u40dd","\u40de","\u40df","\u40e0","\u40e1","\u40e2","\u40e3","\u40e4","\u40e5","\u40e6","\u40e7","\u40e8","\u40e9","\u40ea","\u40eb","\u40ec","\u40ed","\u40ee","\u40ef","\u40f0","\u40f1","\u40f2","\u40f3","\u40f4","\u40f5","\u40f6","\u40f7","\u40f8","\u40f9","\u40fa","\u40fb","\u40fc","\u40fd","\u40fe","\u40ff","\u4100","\u4101","\u4102","\u4103","\u4104","\u4105","\u4106","\u4107","\u4108","\u4109","\u410a","\u410b","\u410c","\u410d","\u410e","\u410f","\u4110","\u4111","\u4112","\u4113","\u4114","\u4115","\u4116","\u4117","\u4118","\u4119","\u411a","\u411b","\u411c","\u411d","\u411e","\u411f","\u4120","\u4121","\u4122","\u4123","\u4124","\u4125","\u4126","\u4127","\u4128","\u4129","\u412a","\u412b","\u412c","\u412d","\u412e","\u412f","\u4130","\u4131","\u4132","\u4133","\u4134","\u4135","\u4136","\u4137","\u4138","\u4139","\u413a","\u413b","\u413c","\u413d","\u413e","\u413f","\u4140","\u4141","\u4142","\u4143","\u4144","\u4145","\u4146","\u4147","\u4148","\u4149","\u414a","\u414b","\u414c","\u414d","\u414e","\u414f","\u4150","\u4151","\u4152","\u4153","\u4154","\u4155","\u4156","\u4157","\u4158","\u4159","\u415a","\u415b","\u415c","\u415d","\u415e","\u415f","\u4160","\u4161","\u4162","\u4163","\u4164","\u4165","\u4166","\u4167","\u4168","\u4169","\u416a","\u416b","\u416c","\u416d","\u416e","\u416f","\u4170","\u4171","\u4172","\u4173","\u4174","\u4175","\u4176","\u4177","\u4178","\u4179","\u417a","\u417b","\u417c","\u417d","\u417e","\u417f","\u4180","\u4181","\u4182","\u4183","\u4184","\u4185","\u4186","\u4187","\u4188","\u4189","\u418a","\u418b","\u418c","\u418d","\u418e","\u418f","\u4190","\u4191","\u4192","\u4193","\u4194","\u4195","\u4196","\u4197","\u4198","\u4199","\u419a","\u419b","\u419c","\u419d","\u419e","\u419f","\u41a0","\u41a1","\u41a2","\u41a3","\u41a4","\u41a5","\u41a6","\u41a7","\u41a8","\u41a9","\u41aa","\u41ab","\u41ac","\u41ad","\u41ae","\u41af","\u41b0","\u41b1","\u41b2","\u41b3","\u41b4","\u41b5","\u41b6","\u41b7","\u41b8","\u41b9","\u41ba","\u41bb","\u41bc","\u41bd","\u41be","\u41bf","\u41c0","\u41c1","\u41c2","\u41c3","\u41c4","\u41c5","\u41c6","\u41c7","\u41c8","\u41c9","\u41ca","\u41cb","\u41cc","\u41cd","\u41ce","\u41cf","\u41d0","\u41d1","\u41d2","\u41d3","\u41d4","\u41d5","\u41d6","\u41d7","\u41d8","\u41d9","\u41da","\u41db","\u41dc","\u41dd","\u41de","\u41df","\u41e0","\u41e1","\u41e2","\u41e3","\u41e4","\u41e5","\u41e6","\u41e7","\u41e8","\u41e9","\u41ea","\u41eb","\u41ec","\u41ed","\u41ee","\u41ef","\u41f0","\u41f1","\u41f2","\u41f3","\u41f4","\u41f5","\u41f6","\u41f7","\u41f8","\u41f9","\u41fa","\u41fb","\u41fc","\u41fd","\u41fe","\u41ff","\u4200","\u4201","\u4202","\u4203","\u4204","\u4205","\u4206","\u4207","\u4208","\u4209","\u420a","\u420b","\u420c","\u420d","\u420e","\u420f","\u4210","\u4211","\u4212","\u4213","\u4214","\u4215","\u4216","\u4217","\u4218","\u4219","\u421a","\u421b","\u421c","\u421d","\u421e","\u421f","\u4220","\u4221","\u4222","\u4223","\u4224","\u4225","\u4226","\u4227","\u4228","\u4229","\u422a","\u422b","\u422c","\u422d","\u422e","\u422f","\u4230","\u4231","\u4232","\u4233","\u4234","\u4235","\u4236","\u4237","\u4238","\u4239","\u423a","\u423b","\u423c","\u423d","\u423e","\u423f","\u4240","\u4241","\u4242","\u4243","\u4244","\u4245","\u4246","\u4247","\u4248","\u4249","\u424a","\u424b","\u424c","\u424d","\u424e","\u424f","\u4250","\u4251","\u4252","\u4253","\u4254","\u4255","\u4256","\u4257","\u4258","\u4259","\u425a","\u425b","\u425c","\u425d","\u425e","\u425f","\u4260","\u4261","\u4262","\u4263","\u4264","\u4265","\u4266","\u4267","\u4268","\u4269","\u426a","\u426b","\u426c","\u426d","\u426e","\u426f","\u4270","\u4271","\u4272","\u4273","\u4274","\u4275","\u4276","\u4277","\u4278","\u4279","\u427a","\u427b","\u427c","\u427d","\u427e","\u427f","\u4280","\u4281","\u4282","\u4283","\u4284","\u4285","\u4286","\u4287","\u4288","\u4289","\u428a","\u428b","\u428c","\u428d","\u428e","\u428f","\u4290","\u4291","\u4292","\u4293","\u4294","\u4295","\u4296","\u4297","\u4298","\u4299","\u429a","\u429b","\u429c","\u429d","\u429e","\u429f","\u42a0","\u42a1","\u42a2","\u42a3","\u42a4","\u42a5","\u42a6","\u42a7","\u42a8","\u42a9","\u42aa","\u42ab","\u42ac","\u42ad","\u42ae","\u42af","\u42b0","\u42b1","\u42b2","\u42b3","\u42b4","\u42b5","\u42b6","\u42b7","\u42b8","\u42b9","\u42ba","\u42bb","\u42bc","\u42bd","\u42be","\u42bf","\u42c0","\u42c1","\u42c2","\u42c3","\u42c4","\u42c5","\u42c6","\u42c7","\u42c8","\u42c9","\u42ca","\u42cb","\u42cc","\u42cd","\u42ce","\u42cf","\u42d0","\u42d1","\u42d2","\u42d3","\u42d4","\u42d5","\u42d6","\u42d7","\u42d8","\u42d9","\u42da","\u42db","\u42dc","\u42dd","\u42de","\u42df","\u42e0","\u42e1","\u42e2","\u42e3","\u42e4","\u42e5","\u42e6","\u42e7","\u42e8","\u42e9","\u42ea","\u42eb","\u42ec","\u42ed","\u42ee","\u42ef","\u42f0","\u42f1","\u42f2","\u42f3","\u42f4","\u42f5","\u42f6","\u42f7","\u42f8","\u42f9","\u42fa","\u42fb","\u42fc","\u42fd","\u42fe","\u42ff","\u4300","\u4301","\u4302","\u4303","\u4304","\u4305","\u4306","\u4307","\u4308","\u4309","\u430a","\u430b","\u430c","\u430d","\u430e","\u430f","\u4310","\u4311","\u4312","\u4313","\u4314","\u4315","\u4316","\u4317","\u4318","\u4319","\u431a","\u431b","\u431c","\u431d","\u431e","\u431f","\u4320","\u4321","\u4322","\u4323","\u4324","\u4325","\u4326","\u4327","\u4328","\u4329","\u432a","\u432b","\u432c","\u432d","\u432e","\u432f","\u4330","\u4331","\u4332","\u4333","\u4334","\u4335","\u4336","\u4337","\u4338","\u4339","\u433a","\u433b","\u433c","\u433d","\u433e","\u433f","\u4340","\u4341","\u4342","\u4343","\u4344","\u4345","\u4346","\u4347","\u4348","\u4349","\u434a","\u434b","\u434c","\u434d","\u434e","\u434f","\u4350","\u4351","\u4352","\u4353","\u4354","\u4355","\u4356","\u4357","\u4358","\u4359","\u435a","\u435b","\u435c","\u435d","\u435e","\u435f","\u4360","\u4361","\u4362","\u4363","\u4364","\u4365","\u4366","\u4367","\u4368","\u4369","\u436a","\u436b","\u436c","\u436d","\u436e","\u436f","\u4370","\u4371","\u4372","\u4373","\u4374","\u4375","\u4376","\u4377","\u4378","\u4379","\u437a","\u437b","\u437c","\u437d","\u437e","\u437f","\u4380","\u4381","\u4382","\u4383","\u4384","\u4385","\u4386","\u4387","\u4388","\u4389","\u438a","\u438b","\u438c","\u438d","\u438e","\u438f","\u4390","\u4391","\u4392","\u4393","\u4394","\u4395","\u4396","\u4397","\u4398","\u4399","\u439a","\u439b","\u439c","\u439d","\u439e","\u439f","\u43a0","\u43a1","\u43a2","\u43a3","\u43a4","\u43a5","\u43a6","\u43a7","\u43a8","\u43a9","\u43aa","\u43ab","\u43ac","\u43ad","\u43ae","\u43af","\u43b0","\u43b1","\u43b2","\u43b3","\u43b4","\u43b5","\u43b6","\u43b7","\u43b8","\u43b9","\u43ba","\u43bb","\u43bc","\u43bd","\u43be","\u43bf","\u43c0","\u43c1","\u43c2","\u43c3","\u43c4","\u43c5","\u43c6","\u43c7","\u43c8","\u43c9","\u43ca","\u43cb","\u43cc","\u43cd","\u43ce","\u43cf","\u43d0","\u43d1","\u43d2","\u43d3","\u43d4","\u43d5","\u43d6","\u43d7","\u43d8","\u43d9","\u43da","\u43db","\u43dc","\u43dd","\u43de","\u43df","\u43e0","\u43e1","\u43e2","\u43e3","\u43e4","\u43e5","\u43e6","\u43e7","\u43e8","\u43e9","\u43ea","\u43eb","\u43ec","\u43ed","\u43ee","\u43ef","\u43f0","\u43f1","\u43f2","\u43f3","\u43f4","\u43f5","\u43f6","\u43f7","\u43f8","\u43f9","\u43fa","\u43fb","\u43fc","\u43fd","\u43fe","\u43ff","\u4400","\u4401","\u4402","\u4403","\u4404","\u4405","\u4406","\u4407","\u4408","\u4409","\u440a","\u440b","\u440c","\u440d","\u440e","\u440f","\u4410","\u4411","\u4412","\u4413","\u4414","\u4415","\u4416","\u4417","\u4418","\u4419","\u441a","\u441b","\u441c","\u441d","\u441e","\u441f","\u4420","\u4421","\u4422","\u4423","\u4424","\u4425","\u4426","\u4427","\u4428","\u4429","\u442a","\u442b","\u442c","\u442d","\u442e","\u442f","\u4430","\u4431","\u4432","\u4433","\u4434","\u4435","\u4436","\u4437","\u4438","\u4439","\u443a","\u443b","\u443c","\u443d","\u443e","\u443f","\u4440","\u4441","\u4442","\u4443","\u4444","\u4445","\u4446","\u4447","\u4448","\u4449","\u444a","\u444b","\u444c","\u444d","\u444e","\u444f","\u4450","\u4451","\u4452","\u4453","\u4454","\u4455","\u4456","\u4457","\u4458","\u4459","\u445a","\u445b","\u445c","\u445d","\u445e","\u445f","\u4460","\u4461","\u4462","\u4463","\u4464","\u4465","\u4466","\u4467","\u4468","\u4469","\u446a","\u446b","\u446c","\u446d","\u446e","\u446f","\u4470","\u4471","\u4472","\u4473","\u4474","\u4475","\u4476","\u4477","\u4478","\u4479","\u447a","\u447b","\u447c","\u447d","\u447e","\u447f","\u4480","\u4481","\u4482","\u4483","\u4484","\u4485","\u4486","\u4487","\u4488","\u4489","\u448a","\u448b","\u448c","\u448d","\u448e","\u448f","\u4490","\u4491","\u4492","\u4493","\u4494","\u4495","\u4496","\u4497","\u4498","\u4499","\u449a","\u449b","\u449c","\u449d","\u449e","\u449f","\u44a0","\u44a1","\u44a2","\u44a3","\u44a4","\u44a5","\u44a6","\u44a7","\u44a8","\u44a9","\u44aa","\u44ab","\u44ac","\u44ad","\u44ae","\u44af","\u44b0","\u44b1","\u44b2","\u44b3","\u44b4","\u44b5","\u44b6","\u44b7","\u44b8","\u44b9","\u44ba","\u44bb","\u44bc","\u44bd","\u44be","\u44bf","\u44c0","\u44c1","\u44c2","\u44c3","\u44c4","\u44c5","\u44c6","\u44c7","\u44c8","\u44c9","\u44ca","\u44cb","\u44cc","\u44cd","\u44ce","\u44cf","\u44d0","\u44d1","\u44d2","\u44d3","\u44d4","\u44d5","\u44d6","\u44d7","\u44d8","\u44d9","\u44da","\u44db","\u44dc","\u44dd","\u44de","\u44df","\u44e0","\u44e1","\u44e2","\u44e3","\u44e4","\u44e5","\u44e6","\u44e7","\u44e8","\u44e9","\u44ea","\u44eb","\u44ec","\u44ed","\u44ee","\u44ef","\u44f0","\u44f1","\u44f2","\u44f3","\u44f4","\u44f5","\u44f6","\u44f7","\u44f8","\u44f9","\u44fa","\u44fb","\u44fc","\u44fd","\u44fe","\u44ff","\u4500","\u4501","\u4502","\u4503","\u4504","\u4505","\u4506","\u4507","\u4508","\u4509","\u450a","\u450b","\u450c","\u450d","\u450e","\u450f","\u4510","\u4511","\u4512","\u4513","\u4514","\u4515","\u4516","\u4517","\u4518","\u4519","\u451a","\u451b","\u451c","\u451d","\u451e","\u451f","\u4520","\u4521","\u4522","\u4523","\u4524","\u4525","\u4526","\u4527","\u4528","\u4529","\u452a","\u452b","\u452c","\u452d","\u452e","\u452f","\u4530","\u4531","\u4532","\u4533","\u4534","\u4535","\u4536","\u4537","\u4538","\u4539","\u453a","\u453b","\u453c","\u453d","\u453e","\u453f","\u4540","\u4541","\u4542","\u4543","\u4544","\u4545","\u4546","\u4547","\u4548","\u4549","\u454a","\u454b","\u454c","\u454d","\u454e","\u454f","\u4550","\u4551","\u4552","\u4553","\u4554","\u4555","\u4556","\u4557","\u4558","\u4559","\u455a","\u455b","\u455c","\u455d","\u455e","\u455f","\u4560","\u4561","\u4562","\u4563","\u4564","\u4565","\u4566","\u4567","\u4568","\u4569","\u456a","\u456b","\u456c","\u456d","\u456e","\u456f","\u4570","\u4571","\u4572","\u4573","\u4574","\u4575","\u4576","\u4577","\u4578","\u4579","\u457a","\u457b","\u457c","\u457d","\u457e","\u457f","\u4580","\u4581","\u4582","\u4583","\u4584","\u4585","\u4586","\u4587","\u4588","\u4589","\u458a","\u458b","\u458c","\u458d","\u458e","\u458f","\u4590","\u4591","\u4592","\u4593","\u4594","\u4595","\u4596","\u4597","\u4598","\u4599","\u459a","\u459b","\u459c","\u459d","\u459e","\u459f","\u45a0","\u45a1","\u45a2","\u45a3","\u45a4","\u45a5","\u45a6","\u45a7","\u45a8","\u45a9","\u45aa","\u45ab","\u45ac","\u45ad","\u45ae","\u45af","\u45b0","\u45b1","\u45b2","\u45b3","\u45b4","\u45b5","\u45b6","\u45b7","\u45b8","\u45b9","\u45ba","\u45bb","\u45bc","\u45bd","\u45be","\u45bf","\u45c0","\u45c1","\u45c2","\u45c3","\u45c4","\u45c5","\u45c6","\u45c7","\u45c8","\u45c9","\u45ca","\u45cb","\u45cc","\u45cd","\u45ce","\u45cf","\u45d0","\u45d1","\u45d2","\u45d3","\u45d4","\u45d5","\u45d6","\u45d7","\u45d8","\u45d9","\u45da","\u45db","\u45dc","\u45dd","\u45de","\u45df","\u45e0","\u45e1","\u45e2","\u45e3","\u45e4","\u45e5","\u45e6","\u45e7","\u45e8","\u45e9","\u45ea","\u45eb","\u45ec","\u45ed","\u45ee","\u45ef","\u45f0","\u45f1","\u45f2","\u45f3","\u45f4","\u45f5","\u45f6","\u45f7","\u45f8","\u45f9","\u45fa","\u45fb","\u45fc","\u45fd","\u45fe","\u45ff","\u4600","\u4601","\u4602","\u4603","\u4604","\u4605","\u4606","\u4607","\u4608","\u4609","\u460a","\u460b","\u460c","\u460d","\u460e","\u460f","\u4610","\u4611","\u4612","\u4613","\u4614","\u4615","\u4616","\u4617","\u4618","\u4619","\u461a","\u461b","\u461c","\u461d","\u461e","\u461f","\u4620","\u4621","\u4622","\u4623","\u4624","\u4625","\u4626","\u4627","\u4628","\u4629","\u462a","\u462b","\u462c","\u462d","\u462e","\u462f","\u4630","\u4631","\u4632","\u4633","\u4634","\u4635","\u4636","\u4637","\u4638","\u4639","\u463a","\u463b","\u463c","\u463d","\u463e","\u463f","\u4640","\u4641","\u4642","\u4643","\u4644","\u4645","\u4646","\u4647","\u4648","\u4649","\u464a","\u464b","\u464c","\u464d","\u464e","\u464f","\u4650","\u4651","\u4652","\u4653","\u4654","\u4655","\u4656","\u4657","\u4658","\u4659","\u465a","\u465b","\u465c","\u465d","\u465e","\u465f","\u4660","\u4661","\u4662","\u4663","\u4664","\u4665","\u4666","\u4667","\u4668","\u4669","\u466a","\u466b","\u466c","\u466d","\u466e","\u466f","\u4670","\u4671","\u4672","\u4673","\u4674","\u4675","\u4676","\u4677","\u4678","\u4679","\u467a","\u467b","\u467c","\u467d","\u467e","\u467f","\u4680","\u4681","\u4682","\u4683","\u4684","\u4685","\u4686","\u4687","\u4688","\u4689","\u468a","\u468b","\u468c","\u468d","\u468e","\u468f","\u4690","\u4691","\u4692","\u4693","\u4694","\u4695","\u4696","\u4697","\u4698","\u4699","\u469a","\u469b","\u469c","\u469d","\u469e","\u469f","\u46a0","\u46a1","\u46a2","\u46a3","\u46a4","\u46a5","\u46a6","\u46a7","\u46a8","\u46a9","\u46aa","\u46ab","\u46ac","\u46ad","\u46ae","\u46af","\u46b0","\u46b1","\u46b2","\u46b3","\u46b4","\u46b5","\u46b6","\u46b7","\u46b8","\u46b9","\u46ba","\u46bb","\u46bc","\u46bd","\u46be","\u46bf","\u46c0","\u46c1","\u46c2","\u46c3","\u46c4","\u46c5","\u46c6","\u46c7","\u46c8","\u46c9","\u46ca","\u46cb","\u46cc","\u46cd","\u46ce","\u46cf","\u46d0","\u46d1","\u46d2","\u46d3","\u46d4","\u46d5","\u46d6","\u46d7","\u46d8","\u46d9","\u46da","\u46db","\u46dc","\u46dd","\u46de","\u46df","\u46e0","\u46e1","\u46e2","\u46e3","\u46e4","\u46e5","\u46e6","\u46e7","\u46e8","\u46e9","\u46ea","\u46eb","\u46ec","\u46ed","\u46ee","\u46ef","\u46f0","\u46f1","\u46f2","\u46f3","\u46f4","\u46f5","\u46f6","\u46f7","\u46f8","\u46f9","\u46fa","\u46fb","\u46fc","\u46fd","\u46fe","\u46ff","\u4700","\u4701","\u4702","\u4703","\u4704","\u4705","\u4706","\u4707","\u4708","\u4709","\u470a","\u470b","\u470c","\u470d","\u470e","\u470f","\u4710","\u4711","\u4712","\u4713","\u4714","\u4715","\u4716","\u4717","\u4718","\u4719","\u471a","\u471b","\u471c","\u471d","\u471e","\u471f","\u4720","\u4721","\u4722","\u4723","\u4724","\u4725","\u4726","\u4727","\u4728","\u4729","\u472a","\u472b","\u472c","\u472d","\u472e","\u472f","\u4730","\u4731","\u4732","\u4733","\u4734","\u4735","\u4736","\u4737","\u4738","\u4739","\u473a","\u473b","\u473c","\u473d","\u473e","\u473f","\u4740","\u4741","\u4742","\u4743","\u4744","\u4745","\u4746","\u4747","\u4748","\u4749","\u474a","\u474b","\u474c","\u474d","\u474e","\u474f","\u4750","\u4751","\u4752","\u4753","\u4754","\u4755","\u4756","\u4757","\u4758","\u4759","\u475a","\u475b","\u475c","\u475d","\u475e","\u475f","\u4760","\u4761","\u4762","\u4763","\u4764","\u4765","\u4766","\u4767","\u4768","\u4769","\u476a","\u476b","\u476c","\u476d","\u476e","\u476f","\u4770","\u4771","\u4772","\u4773","\u4774","\u4775","\u4776","\u4777","\u4778","\u4779","\u477a","\u477b","\u477c","\u477d","\u477e","\u477f","\u4780","\u4781","\u4782","\u4783","\u4784","\u4785","\u4786","\u4787","\u4788","\u4789","\u478a","\u478b","\u478c","\u478d","\u478e","\u478f","\u4790","\u4791","\u4792","\u4793","\u4794","\u4795","\u4796","\u4797","\u4798","\u4799","\u479a","\u479b","\u479c","\u479d","\u479e","\u479f","\u47a0","\u47a1","\u47a2","\u47a3","\u47a4","\u47a5","\u47a6","\u47a7","\u47a8","\u47a9","\u47aa","\u47ab","\u47ac","\u47ad","\u47ae","\u47af","\u47b0","\u47b1","\u47b2","\u47b3","\u47b4","\u47b5","\u47b6","\u47b7","\u47b8","\u47b9","\u47ba","\u47bb","\u47bc","\u47bd","\u47be","\u47bf","\u47c0","\u47c1","\u47c2","\u47c3","\u47c4","\u47c5","\u47c6","\u47c7","\u47c8","\u47c9","\u47ca","\u47cb","\u47cc","\u47cd","\u47ce","\u47cf","\u47d0","\u47d1","\u47d2","\u47d3","\u47d4","\u47d5","\u47d6","\u47d7","\u47d8","\u47d9","\u47da","\u47db","\u47dc","\u47dd","\u47de","\u47df","\u47e0","\u47e1","\u47e2","\u47e3","\u47e4","\u47e5","\u47e6","\u47e7","\u47e8","\u47e9","\u47ea","\u47eb","\u47ec","\u47ed","\u47ee","\u47ef","\u47f0","\u47f1","\u47f2","\u47f3","\u47f4","\u47f5","\u47f6","\u47f7","\u47f8","\u47f9","\u47fa","\u47fb","\u47fc","\u47fd","\u47fe","\u47ff","\u4800","\u4801","\u4802","\u4803","\u4804","\u4805","\u4806","\u4807","\u4808","\u4809","\u480a","\u480b","\u480c","\u480d","\u480e","\u480f","\u4810","\u4811","\u4812","\u4813","\u4814","\u4815","\u4816","\u4817","\u4818","\u4819","\u481a","\u481b","\u481c","\u481d","\u481e","\u481f","\u4820","\u4821","\u4822","\u4823","\u4824","\u4825","\u4826","\u4827","\u4828","\u4829","\u482a","\u482b","\u482c","\u482d","\u482e","\u482f","\u4830","\u4831","\u4832","\u4833","\u4834","\u4835","\u4836","\u4837","\u4838","\u4839","\u483a","\u483b","\u483c","\u483d","\u483e","\u483f","\u4840","\u4841","\u4842","\u4843","\u4844","\u4845","\u4846","\u4847","\u4848","\u4849","\u484a","\u484b","\u484c","\u484d","\u484e","\u484f","\u4850","\u4851","\u4852","\u4853","\u4854","\u4855","\u4856","\u4857","\u4858","\u4859","\u485a","\u485b","\u485c","\u485d","\u485e","\u485f","\u4860","\u4861","\u4862","\u4863","\u4864","\u4865","\u4866","\u4867","\u4868","\u4869","\u486a","\u486b","\u486c","\u486d","\u486e","\u486f","\u4870","\u4871","\u4872","\u4873","\u4874","\u4875","\u4876","\u4877","\u4878","\u4879","\u487a","\u487b","\u487c","\u487d","\u487e","\u487f","\u4880","\u4881","\u4882","\u4883","\u4884","\u4885","\u4886","\u4887","\u4888","\u4889","\u488a","\u488b","\u488c","\u488d","\u488e","\u488f","\u4890","\u4891","\u4892","\u4893","\u4894","\u4895","\u4896","\u4897","\u4898","\u4899","\u489a","\u489b","\u489c","\u489d","\u489e","\u489f","\u48a0","\u48a1","\u48a2","\u48a3","\u48a4","\u48a5","\u48a6","\u48a7","\u48a8","\u48a9","\u48aa","\u48ab","\u48ac","\u48ad","\u48ae","\u48af","\u48b0","\u48b1","\u48b2","\u48b3","\u48b4","\u48b5","\u48b6","\u48b7","\u48b8","\u48b9","\u48ba","\u48bb","\u48bc","\u48bd","\u48be","\u48bf","\u48c0","\u48c1","\u48c2","\u48c3","\u48c4","\u48c5","\u48c6","\u48c7","\u48c8","\u48c9","\u48ca","\u48cb","\u48cc","\u48cd","\u48ce","\u48cf","\u48d0","\u48d1","\u48d2","\u48d3","\u48d4","\u48d5","\u48d6","\u48d7","\u48d8","\u48d9","\u48da","\u48db","\u48dc","\u48dd","\u48de","\u48df","\u48e0","\u48e1","\u48e2","\u48e3","\u48e4","\u48e5","\u48e6","\u48e7","\u48e8","\u48e9","\u48ea","\u48eb","\u48ec","\u48ed","\u48ee","\u48ef","\u48f0","\u48f1","\u48f2","\u48f3","\u48f4","\u48f5","\u48f6","\u48f7","\u48f8","\u48f9","\u48fa","\u48fb","\u48fc","\u48fd","\u48fe","\u48ff","\u4900","\u4901","\u4902","\u4903","\u4904","\u4905","\u4906","\u4907","\u4908","\u4909","\u490a","\u490b","\u490c","\u490d","\u490e","\u490f","\u4910","\u4911","\u4912","\u4913","\u4914","\u4915","\u4916","\u4917","\u4918","\u4919","\u491a","\u491b","\u491c","\u491d","\u491e","\u491f","\u4920","\u4921","\u4922","\u4923","\u4924","\u4925","\u4926","\u4927","\u4928","\u4929","\u492a","\u492b","\u492c","\u492d","\u492e","\u492f","\u4930","\u4931","\u4932","\u4933","\u4934","\u4935","\u4936","\u4937","\u4938","\u4939","\u493a","\u493b","\u493c","\u493d","\u493e","\u493f","\u4940","\u4941","\u4942","\u4943","\u4944","\u4945","\u4946","\u4947","\u4948","\u4949","\u494a","\u494b","\u494c","\u494d","\u494e","\u494f","\u4950","\u4951","\u4952","\u4953","\u4954","\u4955","\u4956","\u4957","\u4958","\u4959","\u495a","\u495b","\u495c","\u495d","\u495e","\u495f","\u4960","\u4961","\u4962","\u4963","\u4964","\u4965","\u4966","\u4967","\u4968","\u4969","\u496a","\u496b","\u496c","\u496d","\u496e","\u496f","\u4970","\u4971","\u4972","\u4973","\u4974","\u4975","\u4976","\u4977","\u4978","\u4979","\u497a","\u497b","\u497c","\u497d","\u497e","\u497f","\u4980","\u4981","\u4982","\u4983","\u4984","\u4985","\u4986","\u4987","\u4988","\u4989","\u498a","\u498b","\u498c","\u498d","\u498e","\u498f","\u4990","\u4991","\u4992","\u4993","\u4994","\u4995","\u4996","\u4997","\u4998","\u4999","\u499a","\u499b","\u499c","\u499d","\u499e","\u499f","\u49a0","\u49a1","\u49a2","\u49a3","\u49a4","\u49a5","\u49a6","\u49a7","\u49a8","\u49a9","\u49aa","\u49ab","\u49ac","\u49ad","\u49ae","\u49af","\u49b0","\u49b1","\u49b2","\u49b3","\u49b4","\u49b5","\u49b6","\u49b7","\u49b8","\u49b9","\u49ba","\u49bb","\u49bc","\u49bd","\u49be","\u49bf","\u49c0","\u49c1","\u49c2","\u49c3","\u49c4","\u49c5","\u49c6","\u49c7","\u49c8","\u49c9","\u49ca","\u49cb","\u49cc","\u49cd","\u49ce","\u49cf","\u49d0","\u49d1","\u49d2","\u49d3","\u49d4","\u49d5","\u49d6","\u49d7","\u49d8","\u49d9","\u49da","\u49db","\u49dc","\u49dd","\u49de","\u49df","\u49e0","\u49e1","\u49e2","\u49e3","\u49e4","\u49e5","\u49e6","\u49e7","\u49e8","\u49e9","\u49ea","\u49eb","\u49ec","\u49ed","\u49ee","\u49ef","\u49f0","\u49f1","\u49f2","\u49f3","\u49f4","\u49f5","\u49f6","\u49f7","\u49f8","\u49f9","\u49fa","\u49fb","\u49fc","\u49fd","\u49fe","\u49ff","\u4a00","\u4a01","\u4a02","\u4a03","\u4a04","\u4a05","\u4a06","\u4a07","\u4a08","\u4a09","\u4a0a","\u4a0b","\u4a0c","\u4a0d","\u4a0e","\u4a0f","\u4a10","\u4a11","\u4a12","\u4a13","\u4a14","\u4a15","\u4a16","\u4a17","\u4a18","\u4a19","\u4a1a","\u4a1b","\u4a1c","\u4a1d","\u4a1e","\u4a1f","\u4a20","\u4a21","\u4a22","\u4a23","\u4a24","\u4a25","\u4a26","\u4a27","\u4a28","\u4a29","\u4a2a","\u4a2b","\u4a2c","\u4a2d","\u4a2e","\u4a2f","\u4a30","\u4a31","\u4a32","\u4a33","\u4a34","\u4a35","\u4a36","\u4a37","\u4a38","\u4a39","\u4a3a","\u4a3b","\u4a3c","\u4a3d","\u4a3e","\u4a3f","\u4a40","\u4a41","\u4a42","\u4a43","\u4a44","\u4a45","\u4a46","\u4a47","\u4a48","\u4a49","\u4a4a","\u4a4b","\u4a4c","\u4a4d","\u4a4e","\u4a4f","\u4a50","\u4a51","\u4a52","\u4a53","\u4a54","\u4a55","\u4a56","\u4a57","\u4a58","\u4a59","\u4a5a","\u4a5b","\u4a5c","\u4a5d","\u4a5e","\u4a5f","\u4a60","\u4a61","\u4a62","\u4a63","\u4a64","\u4a65","\u4a66","\u4a67","\u4a68","\u4a69","\u4a6a","\u4a6b","\u4a6c","\u4a6d","\u4a6e","\u4a6f","\u4a70","\u4a71","\u4a72","\u4a73","\u4a74","\u4a75","\u4a76","\u4a77","\u4a78","\u4a79","\u4a7a","\u4a7b","\u4a7c","\u4a7d","\u4a7e","\u4a7f","\u4a80","\u4a81","\u4a82","\u4a83","\u4a84","\u4a85","\u4a86","\u4a87","\u4a88","\u4a89","\u4a8a","\u4a8b","\u4a8c","\u4a8d","\u4a8e","\u4a8f","\u4a90","\u4a91","\u4a92","\u4a93","\u4a94","\u4a95","\u4a96","\u4a97","\u4a98","\u4a99","\u4a9a","\u4a9b","\u4a9c","\u4a9d","\u4a9e","\u4a9f","\u4aa0","\u4aa1","\u4aa2","\u4aa3","\u4aa4","\u4aa5","\u4aa6","\u4aa7","\u4aa8","\u4aa9","\u4aaa","\u4aab","\u4aac","\u4aad","\u4aae","\u4aaf","\u4ab0","\u4ab1","\u4ab2","\u4ab3","\u4ab4","\u4ab5","\u4ab6","\u4ab7","\u4ab8","\u4ab9","\u4aba","\u4abb","\u4abc","\u4abd","\u4abe","\u4abf","\u4ac0","\u4ac1","\u4ac2","\u4ac3","\u4ac4","\u4ac5","\u4ac6","\u4ac7","\u4ac8","\u4ac9","\u4aca","\u4acb","\u4acc","\u4acd","\u4ace","\u4acf","\u4ad0","\u4ad1","\u4ad2","\u4ad3","\u4ad4","\u4ad5","\u4ad6","\u4ad7","\u4ad8","\u4ad9","\u4ada","\u4adb","\u4adc","\u4add","\u4ade","\u4adf","\u4ae0","\u4ae1","\u4ae2","\u4ae3","\u4ae4","\u4ae5","\u4ae6","\u4ae7","\u4ae8","\u4ae9","\u4aea","\u4aeb","\u4aec","\u4aed","\u4aee","\u4aef","\u4af0","\u4af1","\u4af2","\u4af3","\u4af4","\u4af5","\u4af6","\u4af7","\u4af8","\u4af9","\u4afa","\u4afb","\u4afc","\u4afd","\u4afe","\u4aff","\u4b00","\u4b01","\u4b02","\u4b03","\u4b04","\u4b05","\u4b06","\u4b07","\u4b08","\u4b09","\u4b0a","\u4b0b","\u4b0c","\u4b0d","\u4b0e","\u4b0f","\u4b10","\u4b11","\u4b12","\u4b13","\u4b14","\u4b15","\u4b16","\u4b17","\u4b18","\u4b19","\u4b1a","\u4b1b","\u4b1c","\u4b1d","\u4b1e","\u4b1f","\u4b20","\u4b21","\u4b22","\u4b23","\u4b24","\u4b25","\u4b26","\u4b27","\u4b28","\u4b29","\u4b2a","\u4b2b","\u4b2c","\u4b2d","\u4b2e","\u4b2f","\u4b30","\u4b31","\u4b32","\u4b33","\u4b34","\u4b35","\u4b36","\u4b37","\u4b38","\u4b39","\u4b3a","\u4b3b","\u4b3c","\u4b3d","\u4b3e","\u4b3f","\u4b40","\u4b41","\u4b42","\u4b43","\u4b44","\u4b45","\u4b46","\u4b47","\u4b48","\u4b49","\u4b4a","\u4b4b","\u4b4c","\u4b4d","\u4b4e","\u4b4f","\u4b50","\u4b51","\u4b52","\u4b53","\u4b54","\u4b55","\u4b56","\u4b57","\u4b58","\u4b59","\u4b5a","\u4b5b","\u4b5c","\u4b5d","\u4b5e","\u4b5f","\u4b60","\u4b61","\u4b62","\u4b63","\u4b64","\u4b65","\u4b66","\u4b67","\u4b68","\u4b69","\u4b6a","\u4b6b","\u4b6c","\u4b6d","\u4b6e","\u4b6f","\u4b70","\u4b71","\u4b72","\u4b73","\u4b74","\u4b75","\u4b76","\u4b77","\u4b78","\u4b79","\u4b7a","\u4b7b","\u4b7c","\u4b7d","\u4b7e","\u4b7f","\u4b80","\u4b81","\u4b82","\u4b83","\u4b84","\u4b85","\u4b86","\u4b87","\u4b88","\u4b89","\u4b8a","\u4b8b","\u4b8c","\u4b8d","\u4b8e","\u4b8f","\u4b90","\u4b91","\u4b92","\u4b93","\u4b94","\u4b95","\u4b96","\u4b97","\u4b98","\u4b99","\u4b9a","\u4b9b","\u4b9c","\u4b9d","\u4b9e","\u4b9f","\u4ba0","\u4ba1","\u4ba2","\u4ba3","\u4ba4","\u4ba5","\u4ba6","\u4ba7","\u4ba8","\u4ba9","\u4baa","\u4bab","\u4bac","\u4bad","\u4bae","\u4baf","\u4bb0","\u4bb1","\u4bb2","\u4bb3","\u4bb4","\u4bb5","\u4bb6","\u4bb7","\u4bb8","\u4bb9","\u4bba","\u4bbb","\u4bbc","\u4bbd","\u4bbe","\u4bbf","\u4bc0","\u4bc1","\u4bc2","\u4bc3","\u4bc4","\u4bc5","\u4bc6","\u4bc7","\u4bc8","\u4bc9","\u4bca","\u4bcb","\u4bcc","\u4bcd","\u4bce","\u4bcf","\u4bd0","\u4bd1","\u4bd2","\u4bd3","\u4bd4","\u4bd5","\u4bd6","\u4bd7","\u4bd8","\u4bd9","\u4bda","\u4bdb","\u4bdc","\u4bdd","\u4bde","\u4bdf","\u4be0","\u4be1","\u4be2","\u4be3","\u4be4","\u4be5","\u4be6","\u4be7","\u4be8","\u4be9","\u4bea","\u4beb","\u4bec","\u4bed","\u4bee","\u4bef","\u4bf0","\u4bf1","\u4bf2","\u4bf3","\u4bf4","\u4bf5","\u4bf6","\u4bf7","\u4bf8","\u4bf9","\u4bfa","\u4bfb","\u4bfc","\u4bfd","\u4bfe","\u4bff","\u4c00","\u4c01","\u4c02","\u4c03","\u4c04","\u4c05","\u4c06","\u4c07","\u4c08","\u4c09","\u4c0a","\u4c0b","\u4c0c","\u4c0d","\u4c0e","\u4c0f","\u4c10","\u4c11","\u4c12","\u4c13","\u4c14","\u4c15","\u4c16","\u4c17","\u4c18","\u4c19","\u4c1a","\u4c1b","\u4c1c","\u4c1d","\u4c1e","\u4c1f","\u4c20","\u4c21","\u4c22","\u4c23","\u4c24","\u4c25","\u4c26","\u4c27","\u4c28","\u4c29","\u4c2a","\u4c2b","\u4c2c","\u4c2d","\u4c2e","\u4c2f","\u4c30","\u4c31","\u4c32","\u4c33","\u4c34","\u4c35","\u4c36","\u4c37","\u4c38","\u4c39","\u4c3a","\u4c3b","\u4c3c","\u4c3d","\u4c3e","\u4c3f","\u4c40","\u4c41","\u4c42","\u4c43","\u4c44","\u4c45","\u4c46","\u4c47","\u4c48","\u4c49","\u4c4a","\u4c4b","\u4c4c","\u4c4d","\u4c4e","\u4c4f","\u4c50","\u4c51","\u4c52","\u4c53","\u4c54","\u4c55","\u4c56","\u4c57","\u4c58","\u4c59","\u4c5a","\u4c5b","\u4c5c","\u4c5d","\u4c5e","\u4c5f","\u4c60","\u4c61","\u4c62","\u4c63","\u4c64","\u4c65","\u4c66","\u4c67","\u4c68","\u4c69","\u4c6a","\u4c6b","\u4c6c","\u4c6d","\u4c6e","\u4c6f","\u4c70","\u4c71","\u4c72","\u4c73","\u4c74","\u4c75","\u4c76","\u4c77","\u4c78","\u4c79","\u4c7a","\u4c7b","\u4c7c","\u4c7d","\u4c7e","\u4c7f","\u4c80","\u4c81","\u4c82","\u4c83","\u4c84","\u4c85","\u4c86","\u4c87","\u4c88","\u4c89","\u4c8a","\u4c8b","\u4c8c","\u4c8d","\u4c8e","\u4c8f","\u4c90","\u4c91","\u4c92","\u4c93","\u4c94","\u4c95","\u4c96","\u4c97","\u4c98","\u4c99","\u4c9a","\u4c9b","\u4c9c","\u4c9d","\u4c9e","\u4c9f","\u4ca0","\u4ca1","\u4ca2","\u4ca3","\u4ca4","\u4ca5","\u4ca6","\u4ca7","\u4ca8","\u4ca9","\u4caa","\u4cab","\u4cac","\u4cad","\u4cae","\u4caf","\u4cb0","\u4cb1","\u4cb2","\u4cb3","\u4cb4","\u4cb5","\u4cb6","\u4cb7","\u4cb8","\u4cb9","\u4cba","\u4cbb","\u4cbc","\u4cbd","\u4cbe","\u4cbf","\u4cc0","\u4cc1","\u4cc2","\u4cc3","\u4cc4","\u4cc5","\u4cc6","\u4cc7","\u4cc8","\u4cc9","\u4cca","\u4ccb","\u4ccc","\u4ccd","\u4cce","\u4ccf","\u4cd0","\u4cd1","\u4cd2","\u4cd3","\u4cd4","\u4cd5","\u4cd6","\u4cd7","\u4cd8","\u4cd9","\u4cda","\u4cdb","\u4cdc","\u4cdd","\u4cde","\u4cdf","\u4ce0","\u4ce1","\u4ce2","\u4ce3","\u4ce4","\u4ce5","\u4ce6","\u4ce7","\u4ce8","\u4ce9","\u4cea","\u4ceb","\u4cec","\u4ced","\u4cee","\u4cef","\u4cf0","\u4cf1","\u4cf2","\u4cf3","\u4cf4","\u4cf5","\u4cf6","\u4cf7","\u4cf8","\u4cf9","\u4cfa","\u4cfb","\u4cfc","\u4cfd","\u4cfe","\u4cff","\u4d00","\u4d01","\u4d02","\u4d03","\u4d04","\u4d05","\u4d06","\u4d07","\u4d08","\u4d09","\u4d0a","\u4d0b","\u4d0c","\u4d0d","\u4d0e","\u4d0f","\u4d10","\u4d11","\u4d12","\u4d13","\u4d14","\u4d15","\u4d16","\u4d17","\u4d18","\u4d19","\u4d1a","\u4d1b","\u4d1c","\u4d1d","\u4d1e","\u4d1f","\u4d20","\u4d21","\u4d22","\u4d23","\u4d24","\u4d25","\u4d26","\u4d27","\u4d28","\u4d29","\u4d2a","\u4d2b","\u4d2c","\u4d2d","\u4d2e","\u4d2f","\u4d30","\u4d31","\u4d32","\u4d33","\u4d34","\u4d35","\u4d36","\u4d37","\u4d38","\u4d39","\u4d3a","\u4d3b","\u4d3c","\u4d3d","\u4d3e","\u4d3f","\u4d40","\u4d41","\u4d42","\u4d43","\u4d44","\u4d45","\u4d46","\u4d47","\u4d48","\u4d49","\u4d4a","\u4d4b","\u4d4c","\u4d4d","\u4d4e","\u4d4f","\u4d50","\u4d51","\u4d52","\u4d53","\u4d54","\u4d55","\u4d56","\u4d57","\u4d58","\u4d59","\u4d5a","\u4d5b","\u4d5c","\u4d5d","\u4d5e","\u4d5f","\u4d60","\u4d61","\u4d62","\u4d63","\u4d64","\u4d65","\u4d66","\u4d67","\u4d68","\u4d69","\u4d6a","\u4d6b","\u4d6c","\u4d6d","\u4d6e","\u4d6f","\u4d70","\u4d71","\u4d72","\u4d73","\u4d74","\u4d75","\u4d76","\u4d77","\u4d78","\u4d79","\u4d7a","\u4d7b","\u4d7c","\u4d7d","\u4d7e","\u4d7f","\u4d80","\u4d81","\u4d82","\u4d83","\u4d84","\u4d85","\u4d86","\u4d87","\u4d88","\u4d89","\u4d8a","\u4d8b","\u4d8c","\u4d8d","\u4d8e","\u4d8f","\u4d90","\u4d91","\u4d92","\u4d93","\u4d94","\u4d95","\u4d96","\u4d97","\u4d98","\u4d99","\u4d9a","\u4d9b","\u4d9c","\u4d9d","\u4d9e","\u4d9f","\u4da0","\u4da1","\u4da2","\u4da3","\u4da4","\u4da5","\u4da6","\u4da7","\u4da8","\u4da9","\u4daa","\u4dab","\u4dac","\u4dad","\u4dae","\u4daf","\u4db0","\u4db1","\u4db2","\u4db3","\u4db4","\u4db5",  # ; CJK UNIFIED IDEOGRAPH-*
        "\u4DC0",  # ; HEXAGRAM FOR THE CREATIVE HEAVEN
        "\u4DC1",  # ; HEXAGRAM FOR THE RECEPTIVE EARTH
        "\u4DC2",  # ; HEXAGRAM FOR DIFFICULTY AT THE BEGINNING
        "\u4DC3",  # ; HEXAGRAM FOR YOUTHFUL FOLLY
        "\u4DC4",  # ; HEXAGRAM FOR WAITING
        "\u4DC5",  # ; HEXAGRAM FOR CONFLICT
        "\u4DC6",  # ; HEXAGRAM FOR THE ARMY
        "\u4DC7",  # ; HEXAGRAM FOR HOLDING TOGETHER
        "\u4DC8",  # ; HEXAGRAM FOR SMALL TAMING
        "\u4DC9",  # ; HEXAGRAM FOR TREADING
        "\u4DCA",  # ; HEXAGRAM FOR PEACE
        "\u4DCB",  # ; HEXAGRAM FOR STANDSTILL
        "\u4DCC",  # ; HEXAGRAM FOR FELLOWSHIP
        "\u4DCD",  # ; HEXAGRAM FOR GREAT POSSESSION
        "\u4DCE",  # ; HEXAGRAM FOR MODESTY
        "\u4DCF",  # ; HEXAGRAM FOR ENTHUSIASM
        "\u4DD0",  # ; HEXAGRAM FOR FOLLOWING
        "\u4DD1",  # ; HEXAGRAM FOR WORK ON THE DECAYED
        "\u4DD2",  # ; HEXAGRAM FOR APPROACH
        "\u4DD3",  # ; HEXAGRAM FOR CONTEMPLATION
        "\u4DD4",  # ; HEXAGRAM FOR BITING THROUGH
        "\u4DD5",  # ; HEXAGRAM FOR GRACE
        "\u4DD6",  # ; HEXAGRAM FOR SPLITTING APART
        "\u4DD7",  # ; HEXAGRAM FOR RETURN
        "\u4DD8",  # ; HEXAGRAM FOR INNOCENCE
        "\u4DD9",  # ; HEXAGRAM FOR GREAT TAMING
        "\u4DDA",  # ; HEXAGRAM FOR MOUTH CORNERS
        "\u4DDB",  # ; HEXAGRAM FOR GREAT PREPONDERANCE
        "\u4DDC",  # ; HEXAGRAM FOR THE ABYSMAL WATER
        "\u4DDD",  # ; HEXAGRAM FOR THE CLINGING FIRE
        "\u4DDE",  # ; HEXAGRAM FOR INFLUENCE
        "\u4DDF",  # ; HEXAGRAM FOR DURATION
        "\u4DE0",  # ; HEXAGRAM FOR RETREAT
        "\u4DE1",  # ; HEXAGRAM FOR GREAT POWER
        "\u4DE2",  # ; HEXAGRAM FOR PROGRESS
        "\u4DE3",  # ; HEXAGRAM FOR DARKENING OF THE LIGHT
        "\u4DE4",  # ; HEXAGRAM FOR THE FAMILY
        "\u4DE5",  # ; HEXAGRAM FOR OPPOSITION
        "\u4DE6",  # ; HEXAGRAM FOR OBSTRUCTION
        "\u4DE7",  # ; HEXAGRAM FOR DELIVERANCE
        "\u4DE8",  # ; HEXAGRAM FOR DECREASE
        "\u4DE9",  # ; HEXAGRAM FOR INCREASE
        "\u4DEA",  # ; HEXAGRAM FOR BREAKTHROUGH
        "\u4DEB",  # ; HEXAGRAM FOR COMING TO MEET
        "\u4DEC",  # ; HEXAGRAM FOR GATHERING TOGETHER
        "\u4DED",  # ; HEXAGRAM FOR PUSHING UPWARD
        "\u4DEE",  # ; HEXAGRAM FOR OPPRESSION
        "\u4DEF",  # ; HEXAGRAM FOR THE WELL
        "\u4DF0",  # ; HEXAGRAM FOR REVOLUTION
        "\u4DF1",  # ; HEXAGRAM FOR THE CAULDRON
        "\u4DF2",  # ; HEXAGRAM FOR THE AROUSING THUNDER
        "\u4DF3",  # ; HEXAGRAM FOR THE KEEPING STILL MOUNTAIN
        "\u4DF4",  # ; HEXAGRAM FOR DEVELOPMENT
        "\u4DF5",  # ; HEXAGRAM FOR THE MARRYING MAIDEN
        "\u4DF6",  # ; HEXAGRAM FOR ABUNDANCE
        "\u4DF7",  # ; HEXAGRAM FOR THE WANDERER
        "\u4DF8",  # ; HEXAGRAM FOR THE GENTLE WIND
        "\u4DF9",  # ; HEXAGRAM FOR THE JOYOUS LAKE
        "\u4DFA",  # ; HEXAGRAM FOR DISPERSION
        "\u4DFB",  # ; HEXAGRAM FOR LIMITATION
        "\u4DFC",  # ; HEXAGRAM FOR INNER TRUTH
        "\u4DFD",  # ; HEXAGRAM FOR SMALL PREPONDERANCE
        "\u4DFE",  # ; HEXAGRAM FOR AFTER COMPLETION
        "\u4DFF",  # ; HEXAGRAM FOR BEFORE COMPLETION
        "\u4e00","\u4e01","\u4e02","\u4e03","\u4e04","\u4e05","\u4e06","\u4e07","\u4e08","\u4e09","\u4e0a","\u4e0b","\u4e0c","\u4e0d","\u4e0e","\u4e0f","\u4e10","\u4e11","\u4e12","\u4e13","\u4e14","\u4e15","\u4e16","\u4e17","\u4e18","\u4e19","\u4e1a","\u4e1b","\u4e1c","\u4e1d","\u4e1e","\u4e1f","\u4e20","\u4e21","\u4e22","\u4e23","\u4e24","\u4e25","\u4e26","\u4e27","\u4e28","\u4e29","\u4e2a","\u4e2b","\u4e2c","\u4e2d","\u4e2e","\u4e2f","\u4e30","\u4e31","\u4e32","\u4e33","\u4e34","\u4e35","\u4e36","\u4e37","\u4e38","\u4e39","\u4e3a","\u4e3b","\u4e3c","\u4e3d","\u4e3e","\u4e3f","\u4e40","\u4e41","\u4e42","\u4e43","\u4e44","\u4e45","\u4e46","\u4e47","\u4e48","\u4e49","\u4e4a","\u4e4b","\u4e4c","\u4e4d","\u4e4e","\u4e4f","\u4e50","\u4e51","\u4e52","\u4e53","\u4e54","\u4e55","\u4e56","\u4e57","\u4e58","\u4e59","\u4e5a","\u4e5b","\u4e5c","\u4e5d","\u4e5e","\u4e5f","\u4e60","\u4e61","\u4e62","\u4e63","\u4e64","\u4e65","\u4e66","\u4e67","\u4e68","\u4e69","\u4e6a","\u4e6b","\u4e6c","\u4e6d","\u4e6e","\u4e6f","\u4e70","\u4e71","\u4e72","\u4e73","\u4e74","\u4e75","\u4e76","\u4e77","\u4e78","\u4e79","\u4e7a","\u4e7b","\u4e7c","\u4e7d","\u4e7e","\u4e7f","\u4e80","\u4e81","\u4e82","\u4e83","\u4e84","\u4e85","\u4e86","\u4e87","\u4e88","\u4e89","\u4e8a","\u4e8b","\u4e8c","\u4e8d","\u4e8e","\u4e8f","\u4e90","\u4e91","\u4e92","\u4e93","\u4e94","\u4e95","\u4e96","\u4e97","\u4e98","\u4e99","\u4e9a","\u4e9b","\u4e9c","\u4e9d","\u4e9e","\u4e9f","\u4ea0","\u4ea1","\u4ea2","\u4ea3","\u4ea4","\u4ea5","\u4ea6","\u4ea7","\u4ea8","\u4ea9","\u4eaa","\u4eab","\u4eac","\u4ead","\u4eae","\u4eaf","\u4eb0","\u4eb1","\u4eb2","\u4eb3","\u4eb4","\u4eb5","\u4eb6","\u4eb7","\u4eb8","\u4eb9","\u4eba","\u4ebb","\u4ebc","\u4ebd","\u4ebe","\u4ebf","\u4ec0","\u4ec1","\u4ec2","\u4ec3","\u4ec4","\u4ec5","\u4ec6","\u4ec7","\u4ec8","\u4ec9","\u4eca","\u4ecb","\u4ecc","\u4ecd","\u4ece","\u4ecf","\u4ed0","\u4ed1","\u4ed2","\u4ed3","\u4ed4","\u4ed5","\u4ed6","\u4ed7","\u4ed8","\u4ed9","\u4eda","\u4edb","\u4edc","\u4edd","\u4ede","\u4edf","\u4ee0","\u4ee1","\u4ee2","\u4ee3","\u4ee4","\u4ee5","\u4ee6","\u4ee7","\u4ee8","\u4ee9","\u4eea","\u4eeb","\u4eec","\u4eed","\u4eee","\u4eef","\u4ef0","\u4ef1","\u4ef2","\u4ef3","\u4ef4","\u4ef5","\u4ef6","\u4ef7","\u4ef8","\u4ef9","\u4efa","\u4efb","\u4efc","\u4efd","\u4efe","\u4eff","\u4f00","\u4f01","\u4f02","\u4f03","\u4f04","\u4f05","\u4f06","\u4f07","\u4f08","\u4f09","\u4f0a","\u4f0b","\u4f0c","\u4f0d","\u4f0e","\u4f0f","\u4f10","\u4f11","\u4f12","\u4f13","\u4f14","\u4f15","\u4f16","\u4f17","\u4f18","\u4f19","\u4f1a","\u4f1b","\u4f1c","\u4f1d","\u4f1e","\u4f1f","\u4f20","\u4f21","\u4f22","\u4f23","\u4f24","\u4f25","\u4f26","\u4f27","\u4f28","\u4f29","\u4f2a","\u4f2b","\u4f2c","\u4f2d","\u4f2e","\u4f2f","\u4f30","\u4f31","\u4f32","\u4f33","\u4f34","\u4f35","\u4f36","\u4f37","\u4f38","\u4f39","\u4f3a","\u4f3b","\u4f3c","\u4f3d","\u4f3e","\u4f3f","\u4f40","\u4f41","\u4f42","\u4f43","\u4f44","\u4f45","\u4f46","\u4f47","\u4f48","\u4f49","\u4f4a","\u4f4b","\u4f4c","\u4f4d","\u4f4e","\u4f4f","\u4f50","\u4f51","\u4f52","\u4f53","\u4f54","\u4f55","\u4f56","\u4f57","\u4f58","\u4f59","\u4f5a","\u4f5b","\u4f5c","\u4f5d","\u4f5e","\u4f5f","\u4f60","\u4f61","\u4f62","\u4f63","\u4f64","\u4f65","\u4f66","\u4f67","\u4f68","\u4f69","\u4f6a","\u4f6b","\u4f6c","\u4f6d","\u4f6e","\u4f6f","\u4f70","\u4f71","\u4f72","\u4f73","\u4f74","\u4f75","\u4f76","\u4f77","\u4f78","\u4f79","\u4f7a","\u4f7b","\u4f7c","\u4f7d","\u4f7e","\u4f7f","\u4f80","\u4f81","\u4f82","\u4f83","\u4f84","\u4f85","\u4f86","\u4f87","\u4f88","\u4f89","\u4f8a","\u4f8b","\u4f8c","\u4f8d","\u4f8e","\u4f8f","\u4f90","\u4f91","\u4f92","\u4f93","\u4f94","\u4f95","\u4f96","\u4f97","\u4f98","\u4f99","\u4f9a","\u4f9b","\u4f9c","\u4f9d","\u4f9e","\u4f9f","\u4fa0","\u4fa1","\u4fa2","\u4fa3","\u4fa4","\u4fa5","\u4fa6","\u4fa7","\u4fa8","\u4fa9","\u4faa","\u4fab","\u4fac","\u4fad","\u4fae","\u4faf","\u4fb0","\u4fb1","\u4fb2","\u4fb3","\u4fb4","\u4fb5","\u4fb6","\u4fb7","\u4fb8","\u4fb9","\u4fba","\u4fbb","\u4fbc","\u4fbd","\u4fbe","\u4fbf","\u4fc0","\u4fc1","\u4fc2","\u4fc3","\u4fc4","\u4fc5","\u4fc6","\u4fc7","\u4fc8","\u4fc9","\u4fca","\u4fcb","\u4fcc","\u4fcd","\u4fce","\u4fcf","\u4fd0","\u4fd1","\u4fd2","\u4fd3","\u4fd4","\u4fd5","\u4fd6","\u4fd7","\u4fd8","\u4fd9","\u4fda","\u4fdb","\u4fdc","\u4fdd","\u4fde","\u4fdf","\u4fe0","\u4fe1","\u4fe2","\u4fe3","\u4fe4","\u4fe5","\u4fe6","\u4fe7","\u4fe8","\u4fe9","\u4fea","\u4feb","\u4fec","\u4fed","\u4fee","\u4fef","\u4ff0","\u4ff1","\u4ff2","\u4ff3","\u4ff4","\u4ff5","\u4ff6","\u4ff7","\u4ff8","\u4ff9","\u4ffa","\u4ffb","\u4ffc","\u4ffd","\u4ffe","\u4fff","\u5000","\u5001","\u5002","\u5003","\u5004","\u5005","\u5006","\u5007","\u5008","\u5009","\u500a","\u500b","\u500c","\u500d","\u500e","\u500f","\u5010","\u5011","\u5012","\u5013","\u5014","\u5015","\u5016","\u5017","\u5018","\u5019","\u501a","\u501b","\u501c","\u501d","\u501e","\u501f","\u5020","\u5021","\u5022","\u5023","\u5024","\u5025","\u5026","\u5027","\u5028","\u5029","\u502a","\u502b","\u502c","\u502d","\u502e","\u502f","\u5030","\u5031","\u5032","\u5033","\u5034","\u5035","\u5036","\u5037","\u5038","\u5039","\u503a","\u503b","\u503c","\u503d","\u503e","\u503f","\u5040","\u5041","\u5042","\u5043","\u5044","\u5045","\u5046","\u5047","\u5048","\u5049","\u504a","\u504b","\u504c","\u504d","\u504e","\u504f","\u5050","\u5051","\u5052","\u5053","\u5054","\u5055","\u5056","\u5057","\u5058","\u5059","\u505a","\u505b","\u505c","\u505d","\u505e","\u505f","\u5060","\u5061","\u5062","\u5063","\u5064","\u5065","\u5066","\u5067","\u5068","\u5069","\u506a","\u506b","\u506c","\u506d","\u506e","\u506f","\u5070","\u5071","\u5072","\u5073","\u5074","\u5075","\u5076","\u5077","\u5078","\u5079","\u507a","\u507b","\u507c","\u507d","\u507e","\u507f","\u5080","\u5081","\u5082","\u5083","\u5084","\u5085","\u5086","\u5087","\u5088","\u5089","\u508a","\u508b","\u508c","\u508d","\u508e","\u508f","\u5090","\u5091","\u5092","\u5093","\u5094","\u5095","\u5096","\u5097","\u5098","\u5099","\u509a","\u509b","\u509c","\u509d","\u509e","\u509f","\u50a0","\u50a1","\u50a2","\u50a3","\u50a4","\u50a5","\u50a6","\u50a7","\u50a8","\u50a9","\u50aa","\u50ab","\u50ac","\u50ad","\u50ae","\u50af","\u50b0","\u50b1","\u50b2","\u50b3","\u50b4","\u50b5","\u50b6","\u50b7","\u50b8","\u50b9","\u50ba","\u50bb","\u50bc","\u50bd","\u50be","\u50bf","\u50c0","\u50c1","\u50c2","\u50c3","\u50c4","\u50c5","\u50c6","\u50c7","\u50c8","\u50c9","\u50ca","\u50cb","\u50cc","\u50cd","\u50ce","\u50cf","\u50d0","\u50d1","\u50d2","\u50d3","\u50d4","\u50d5","\u50d6","\u50d7","\u50d8","\u50d9","\u50da","\u50db","\u50dc","\u50dd","\u50de","\u50df","\u50e0","\u50e1","\u50e2","\u50e3","\u50e4","\u50e5","\u50e6","\u50e7","\u50e8","\u50e9","\u50ea","\u50eb","\u50ec","\u50ed","\u50ee","\u50ef","\u50f0","\u50f1","\u50f2","\u50f3","\u50f4","\u50f5","\u50f6","\u50f7","\u50f8","\u50f9","\u50fa","\u50fb","\u50fc","\u50fd","\u50fe","\u50ff","\u5100","\u5101","\u5102","\u5103","\u5104","\u5105","\u5106","\u5107","\u5108","\u5109","\u510a","\u510b","\u510c","\u510d","\u510e","\u510f","\u5110","\u5111","\u5112","\u5113","\u5114","\u5115","\u5116","\u5117","\u5118","\u5119","\u511a","\u511b","\u511c","\u511d","\u511e","\u511f","\u5120","\u5121","\u5122","\u5123","\u5124","\u5125","\u5126","\u5127","\u5128","\u5129","\u512a","\u512b","\u512c","\u512d","\u512e","\u512f","\u5130","\u5131","\u5132","\u5133","\u5134","\u5135","\u5136","\u5137","\u5138","\u5139","\u513a","\u513b","\u513c","\u513d","\u513e","\u513f","\u5140","\u5141","\u5142","\u5143","\u5144","\u5145","\u5146","\u5147","\u5148","\u5149","\u514a","\u514b","\u514c","\u514d","\u514e","\u514f","\u5150","\u5151","\u5152","\u5153","\u5154","\u5155","\u5156","\u5157","\u5158","\u5159","\u515a","\u515b","\u515c","\u515d","\u515e","\u515f","\u5160","\u5161","\u5162","\u5163","\u5164","\u5165","\u5166","\u5167","\u5168","\u5169","\u516a","\u516b","\u516c","\u516d","\u516e","\u516f","\u5170","\u5171","\u5172","\u5173","\u5174","\u5175","\u5176","\u5177","\u5178","\u5179","\u517a","\u517b","\u517c","\u517d","\u517e","\u517f","\u5180","\u5181","\u5182","\u5183","\u5184","\u5185","\u5186","\u5187","\u5188","\u5189","\u518a","\u518b","\u518c","\u518d","\u518e","\u518f","\u5190","\u5191","\u5192","\u5193","\u5194","\u5195","\u5196","\u5197","\u5198","\u5199","\u519a","\u519b","\u519c","\u519d","\u519e","\u519f","\u51a0","\u51a1","\u51a2","\u51a3","\u51a4","\u51a5","\u51a6","\u51a7","\u51a8","\u51a9","\u51aa","\u51ab","\u51ac","\u51ad","\u51ae","\u51af","\u51b0","\u51b1","\u51b2","\u51b3","\u51b4","\u51b5","\u51b6","\u51b7","\u51b8","\u51b9","\u51ba","\u51bb","\u51bc","\u51bd","\u51be","\u51bf","\u51c0","\u51c1","\u51c2","\u51c3","\u51c4","\u51c5","\u51c6","\u51c7","\u51c8","\u51c9","\u51ca","\u51cb","\u51cc","\u51cd","\u51ce","\u51cf","\u51d0","\u51d1","\u51d2","\u51d3","\u51d4","\u51d5","\u51d6","\u51d7","\u51d8","\u51d9","\u51da","\u51db","\u51dc","\u51dd","\u51de","\u51df","\u51e0","\u51e1","\u51e2","\u51e3","\u51e4","\u51e5","\u51e6","\u51e7","\u51e8","\u51e9","\u51ea","\u51eb","\u51ec","\u51ed","\u51ee","\u51ef","\u51f0","\u51f1","\u51f2","\u51f3","\u51f4","\u51f5","\u51f6","\u51f7","\u51f8","\u51f9","\u51fa","\u51fb","\u51fc","\u51fd","\u51fe","\u51ff","\u5200","\u5201","\u5202","\u5203","\u5204","\u5205","\u5206","\u5207","\u5208","\u5209","\u520a","\u520b","\u520c","\u520d","\u520e","\u520f","\u5210","\u5211","\u5212","\u5213","\u5214","\u5215","\u5216","\u5217","\u5218","\u5219","\u521a","\u521b","\u521c","\u521d","\u521e","\u521f","\u5220","\u5221","\u5222","\u5223","\u5224","\u5225","\u5226","\u5227","\u5228","\u5229","\u522a","\u522b","\u522c","\u522d","\u522e","\u522f","\u5230","\u5231","\u5232","\u5233","\u5234","\u5235","\u5236","\u5237","\u5238","\u5239","\u523a","\u523b","\u523c","\u523d","\u523e","\u523f","\u5240","\u5241","\u5242","\u5243","\u5244","\u5245","\u5246","\u5247","\u5248","\u5249","\u524a","\u524b","\u524c","\u524d","\u524e","\u524f","\u5250","\u5251","\u5252","\u5253","\u5254","\u5255","\u5256","\u5257","\u5258","\u5259","\u525a","\u525b","\u525c","\u525d","\u525e","\u525f","\u5260","\u5261","\u5262","\u5263","\u5264","\u5265","\u5266","\u5267","\u5268","\u5269","\u526a","\u526b","\u526c","\u526d","\u526e","\u526f","\u5270","\u5271","\u5272","\u5273","\u5274","\u5275","\u5276","\u5277","\u5278","\u5279","\u527a","\u527b","\u527c","\u527d","\u527e","\u527f","\u5280","\u5281","\u5282","\u5283","\u5284","\u5285","\u5286","\u5287","\u5288","\u5289","\u528a","\u528b","\u528c","\u528d","\u528e","\u528f","\u5290","\u5291","\u5292","\u5293","\u5294","\u5295","\u5296","\u5297","\u5298","\u5299","\u529a","\u529b","\u529c","\u529d","\u529e","\u529f","\u52a0","\u52a1","\u52a2","\u52a3","\u52a4","\u52a5","\u52a6","\u52a7","\u52a8","\u52a9","\u52aa","\u52ab","\u52ac","\u52ad","\u52ae","\u52af","\u52b0","\u52b1","\u52b2","\u52b3","\u52b4","\u52b5","\u52b6","\u52b7","\u52b8","\u52b9","\u52ba","\u52bb","\u52bc","\u52bd","\u52be","\u52bf","\u52c0","\u52c1","\u52c2","\u52c3","\u52c4","\u52c5","\u52c6","\u52c7","\u52c8","\u52c9","\u52ca","\u52cb","\u52cc","\u52cd","\u52ce","\u52cf","\u52d0","\u52d1","\u52d2","\u52d3","\u52d4","\u52d5","\u52d6","\u52d7","\u52d8","\u52d9","\u52da","\u52db","\u52dc","\u52dd","\u52de","\u52df","\u52e0","\u52e1","\u52e2","\u52e3","\u52e4","\u52e5","\u52e6","\u52e7","\u52e8","\u52e9","\u52ea","\u52eb","\u52ec","\u52ed","\u52ee","\u52ef","\u52f0","\u52f1","\u52f2","\u52f3","\u52f4","\u52f5","\u52f6","\u52f7","\u52f8","\u52f9","\u52fa","\u52fb","\u52fc","\u52fd","\u52fe","\u52ff","\u5300","\u5301","\u5302","\u5303","\u5304","\u5305","\u5306","\u5307","\u5308","\u5309","\u530a","\u530b","\u530c","\u530d","\u530e","\u530f","\u5310","\u5311","\u5312","\u5313","\u5314","\u5315","\u5316","\u5317","\u5318","\u5319","\u531a","\u531b","\u531c","\u531d","\u531e","\u531f","\u5320","\u5321","\u5322","\u5323","\u5324","\u5325","\u5326","\u5327","\u5328","\u5329","\u532a","\u532b","\u532c","\u532d","\u532e","\u532f","\u5330","\u5331","\u5332","\u5333","\u5334","\u5335","\u5336","\u5337","\u5338","\u5339","\u533a","\u533b","\u533c","\u533d","\u533e","\u533f","\u5340","\u5341","\u5342","\u5343","\u5344","\u5345","\u5346","\u5347","\u5348","\u5349","\u534a","\u534b","\u534c","\u534d","\u534e","\u534f","\u5350","\u5351","\u5352","\u5353","\u5354","\u5355","\u5356","\u5357","\u5358","\u5359","\u535a","\u535b","\u535c","\u535d","\u535e","\u535f","\u5360","\u5361","\u5362","\u5363","\u5364","\u5365","\u5366","\u5367","\u5368","\u5369","\u536a","\u536b","\u536c","\u536d","\u536e","\u536f","\u5370","\u5371","\u5372","\u5373","\u5374","\u5375","\u5376","\u5377","\u5378","\u5379","\u537a","\u537b","\u537c","\u537d","\u537e","\u537f","\u5380","\u5381","\u5382","\u5383","\u5384","\u5385","\u5386","\u5387","\u5388","\u5389","\u538a","\u538b","\u538c","\u538d","\u538e","\u538f","\u5390","\u5391","\u5392","\u5393","\u5394","\u5395","\u5396","\u5397","\u5398","\u5399","\u539a","\u539b","\u539c","\u539d","\u539e","\u539f","\u53a0","\u53a1","\u53a2","\u53a3","\u53a4","\u53a5","\u53a6","\u53a7","\u53a8","\u53a9","\u53aa","\u53ab","\u53ac","\u53ad","\u53ae","\u53af","\u53b0","\u53b1","\u53b2","\u53b3","\u53b4","\u53b5","\u53b6","\u53b7","\u53b8","\u53b9","\u53ba","\u53bb","\u53bc","\u53bd","\u53be","\u53bf","\u53c0","\u53c1","\u53c2","\u53c3","\u53c4","\u53c5","\u53c6","\u53c7","\u53c8","\u53c9","\u53ca","\u53cb","\u53cc","\u53cd","\u53ce","\u53cf","\u53d0","\u53d1","\u53d2","\u53d3","\u53d4","\u53d5","\u53d6","\u53d7","\u53d8","\u53d9","\u53da","\u53db","\u53dc","\u53dd","\u53de","\u53df","\u53e0","\u53e1","\u53e2","\u53e3","\u53e4","\u53e5","\u53e6","\u53e7","\u53e8","\u53e9","\u53ea","\u53eb","\u53ec","\u53ed","\u53ee","\u53ef","\u53f0","\u53f1","\u53f2","\u53f3","\u53f4","\u53f5","\u53f6","\u53f7","\u53f8","\u53f9","\u53fa","\u53fb","\u53fc","\u53fd","\u53fe","\u53ff","\u5400","\u5401","\u5402","\u5403","\u5404","\u5405","\u5406","\u5407","\u5408","\u5409","\u540a","\u540b","\u540c","\u540d","\u540e","\u540f","\u5410","\u5411","\u5412","\u5413","\u5414","\u5415","\u5416","\u5417","\u5418","\u5419","\u541a","\u541b","\u541c","\u541d","\u541e","\u541f","\u5420","\u5421","\u5422","\u5423","\u5424","\u5425","\u5426","\u5427","\u5428","\u5429","\u542a","\u542b","\u542c","\u542d","\u542e","\u542f","\u5430","\u5431","\u5432","\u5433","\u5434","\u5435","\u5436","\u5437","\u5438","\u5439","\u543a","\u543b","\u543c","\u543d","\u543e","\u543f","\u5440","\u5441","\u5442","\u5443","\u5444","\u5445","\u5446","\u5447","\u5448","\u5449","\u544a","\u544b","\u544c","\u544d","\u544e","\u544f","\u5450","\u5451","\u5452","\u5453","\u5454","\u5455","\u5456","\u5457","\u5458","\u5459","\u545a","\u545b","\u545c","\u545d","\u545e","\u545f","\u5460","\u5461","\u5462","\u5463","\u5464","\u5465","\u5466","\u5467","\u5468","\u5469","\u546a","\u546b","\u546c","\u546d","\u546e","\u546f","\u5470","\u5471","\u5472","\u5473","\u5474","\u5475","\u5476","\u5477","\u5478","\u5479","\u547a","\u547b","\u547c","\u547d","\u547e","\u547f","\u5480","\u5481","\u5482","\u5483","\u5484","\u5485","\u5486","\u5487","\u5488","\u5489","\u548a","\u548b","\u548c","\u548d","\u548e","\u548f","\u5490","\u5491","\u5492","\u5493","\u5494","\u5495","\u5496","\u5497","\u5498","\u5499","\u549a","\u549b","\u549c","\u549d","\u549e","\u549f","\u54a0","\u54a1","\u54a2","\u54a3","\u54a4","\u54a5","\u54a6","\u54a7","\u54a8","\u54a9","\u54aa","\u54ab","\u54ac","\u54ad","\u54ae","\u54af","\u54b0","\u54b1","\u54b2","\u54b3","\u54b4","\u54b5","\u54b6","\u54b7","\u54b8","\u54b9","\u54ba","\u54bb","\u54bc","\u54bd","\u54be","\u54bf","\u54c0","\u54c1","\u54c2","\u54c3","\u54c4","\u54c5","\u54c6","\u54c7","\u54c8","\u54c9","\u54ca","\u54cb","\u54cc","\u54cd","\u54ce","\u54cf","\u54d0","\u54d1","\u54d2","\u54d3","\u54d4","\u54d5","\u54d6","\u54d7","\u54d8","\u54d9","\u54da","\u54db","\u54dc","\u54dd","\u54de","\u54df","\u54e0","\u54e1","\u54e2","\u54e3","\u54e4","\u54e5","\u54e6","\u54e7","\u54e8","\u54e9","\u54ea","\u54eb","\u54ec","\u54ed","\u54ee","\u54ef","\u54f0","\u54f1","\u54f2","\u54f3","\u54f4","\u54f5","\u54f6","\u54f7","\u54f8","\u54f9","\u54fa","\u54fb","\u54fc","\u54fd","\u54fe","\u54ff","\u5500","\u5501","\u5502","\u5503","\u5504","\u5505","\u5506","\u5507","\u5508","\u5509","\u550a","\u550b","\u550c","\u550d","\u550e","\u550f","\u5510","\u5511","\u5512","\u5513","\u5514","\u5515","\u5516","\u5517","\u5518","\u5519","\u551a","\u551b","\u551c","\u551d","\u551e","\u551f","\u5520","\u5521","\u5522","\u5523","\u5524","\u5525","\u5526","\u5527","\u5528","\u5529","\u552a","\u552b","\u552c","\u552d","\u552e","\u552f","\u5530","\u5531","\u5532","\u5533","\u5534","\u5535","\u5536","\u5537","\u5538","\u5539","\u553a","\u553b","\u553c","\u553d","\u553e","\u553f","\u5540","\u5541","\u5542","\u5543","\u5544","\u5545","\u5546","\u5547","\u5548","\u5549","\u554a","\u554b","\u554c","\u554d","\u554e","\u554f","\u5550","\u5551","\u5552","\u5553","\u5554","\u5555","\u5556","\u5557","\u5558","\u5559","\u555a","\u555b","\u555c","\u555d","\u555e","\u555f","\u5560","\u5561","\u5562","\u5563","\u5564","\u5565","\u5566","\u5567","\u5568","\u5569","\u556a","\u556b","\u556c","\u556d","\u556e","\u556f","\u5570","\u5571","\u5572","\u5573","\u5574","\u5575","\u5576","\u5577","\u5578","\u5579","\u557a","\u557b","\u557c","\u557d","\u557e","\u557f","\u5580","\u5581","\u5582","\u5583","\u5584","\u5585","\u5586","\u5587","\u5588","\u5589","\u558a","\u558b","\u558c","\u558d","\u558e","\u558f","\u5590","\u5591","\u5592","\u5593","\u5594","\u5595","\u5596","\u5597","\u5598","\u5599","\u559a","\u559b","\u559c","\u559d","\u559e","\u559f","\u55a0","\u55a1","\u55a2","\u55a3","\u55a4","\u55a5","\u55a6","\u55a7","\u55a8","\u55a9","\u55aa","\u55ab","\u55ac","\u55ad","\u55ae","\u55af","\u55b0","\u55b1","\u55b2","\u55b3","\u55b4","\u55b5","\u55b6","\u55b7","\u55b8","\u55b9","\u55ba","\u55bb","\u55bc","\u55bd","\u55be","\u55bf","\u55c0","\u55c1","\u55c2","\u55c3","\u55c4","\u55c5","\u55c6","\u55c7","\u55c8","\u55c9","\u55ca","\u55cb","\u55cc","\u55cd","\u55ce","\u55cf","\u55d0","\u55d1","\u55d2","\u55d3","\u55d4","\u55d5","\u55d6","\u55d7","\u55d8","\u55d9","\u55da","\u55db","\u55dc","\u55dd","\u55de","\u55df","\u55e0","\u55e1","\u55e2","\u55e3","\u55e4","\u55e5","\u55e6","\u55e7","\u55e8","\u55e9","\u55ea","\u55eb","\u55ec","\u55ed","\u55ee","\u55ef","\u55f0","\u55f1","\u55f2","\u55f3","\u55f4","\u55f5","\u55f6","\u55f7","\u55f8","\u55f9","\u55fa","\u55fb","\u55fc","\u55fd","\u55fe","\u55ff","\u5600","\u5601","\u5602","\u5603","\u5604","\u5605","\u5606","\u5607","\u5608","\u5609","\u560a","\u560b","\u560c","\u560d","\u560e","\u560f","\u5610","\u5611","\u5612","\u5613","\u5614","\u5615","\u5616","\u5617","\u5618","\u5619","\u561a","\u561b","\u561c","\u561d","\u561e","\u561f","\u5620","\u5621","\u5622","\u5623","\u5624","\u5625","\u5626","\u5627","\u5628","\u5629","\u562a","\u562b","\u562c","\u562d","\u562e","\u562f","\u5630","\u5631","\u5632","\u5633","\u5634","\u5635","\u5636","\u5637","\u5638","\u5639","\u563a","\u563b","\u563c","\u563d","\u563e","\u563f","\u5640","\u5641","\u5642","\u5643","\u5644","\u5645","\u5646","\u5647","\u5648","\u5649","\u564a","\u564b","\u564c","\u564d","\u564e","\u564f","\u5650","\u5651","\u5652","\u5653","\u5654","\u5655","\u5656","\u5657","\u5658","\u5659","\u565a","\u565b","\u565c","\u565d","\u565e","\u565f","\u5660","\u5661","\u5662","\u5663","\u5664","\u5665","\u5666","\u5667","\u5668","\u5669","\u566a","\u566b","\u566c","\u566d","\u566e","\u566f","\u5670","\u5671","\u5672","\u5673","\u5674","\u5675","\u5676","\u5677","\u5678","\u5679","\u567a","\u567b","\u567c","\u567d","\u567e","\u567f","\u5680","\u5681","\u5682","\u5683","\u5684","\u5685","\u5686","\u5687","\u5688","\u5689","\u568a","\u568b","\u568c","\u568d","\u568e","\u568f","\u5690","\u5691","\u5692","\u5693","\u5694","\u5695","\u5696","\u5697","\u5698","\u5699","\u569a","\u569b","\u569c","\u569d","\u569e","\u569f","\u56a0","\u56a1","\u56a2","\u56a3","\u56a4","\u56a5","\u56a6","\u56a7","\u56a8","\u56a9","\u56aa","\u56ab","\u56ac","\u56ad","\u56ae","\u56af","\u56b0","\u56b1","\u56b2","\u56b3","\u56b4","\u56b5","\u56b6","\u56b7","\u56b8","\u56b9","\u56ba","\u56bb","\u56bc","\u56bd","\u56be","\u56bf","\u56c0","\u56c1","\u56c2","\u56c3","\u56c4","\u56c5","\u56c6","\u56c7","\u56c8","\u56c9","\u56ca","\u56cb","\u56cc","\u56cd","\u56ce","\u56cf","\u56d0","\u56d1","\u56d2","\u56d3","\u56d4","\u56d5","\u56d6","\u56d7","\u56d8","\u56d9","\u56da","\u56db","\u56dc","\u56dd","\u56de","\u56df","\u56e0","\u56e1","\u56e2","\u56e3","\u56e4","\u56e5","\u56e6","\u56e7","\u56e8","\u56e9","\u56ea","\u56eb","\u56ec","\u56ed","\u56ee","\u56ef","\u56f0","\u56f1","\u56f2","\u56f3","\u56f4","\u56f5","\u56f6","\u56f7","\u56f8","\u56f9","\u56fa","\u56fb","\u56fc","\u56fd","\u56fe","\u56ff","\u5700","\u5701","\u5702","\u5703","\u5704","\u5705","\u5706","\u5707","\u5708","\u5709","\u570a","\u570b","\u570c","\u570d","\u570e","\u570f","\u5710","\u5711","\u5712","\u5713","\u5714","\u5715","\u5716","\u5717","\u5718","\u5719","\u571a","\u571b","\u571c","\u571d","\u571e","\u571f","\u5720","\u5721","\u5722","\u5723","\u5724","\u5725","\u5726","\u5727","\u5728","\u5729","\u572a","\u572b","\u572c","\u572d","\u572e","\u572f","\u5730","\u5731","\u5732","\u5733","\u5734","\u5735","\u5736","\u5737","\u5738","\u5739","\u573a","\u573b","\u573c","\u573d","\u573e","\u573f","\u5740","\u5741","\u5742","\u5743","\u5744","\u5745","\u5746","\u5747","\u5748","\u5749","\u574a","\u574b","\u574c","\u574d","\u574e","\u574f","\u5750","\u5751","\u5752","\u5753","\u5754","\u5755","\u5756","\u5757","\u5758","\u5759","\u575a","\u575b","\u575c","\u575d","\u575e","\u575f","\u5760","\u5761","\u5762","\u5763","\u5764","\u5765","\u5766","\u5767","\u5768","\u5769","\u576a","\u576b","\u576c","\u576d","\u576e","\u576f","\u5770","\u5771","\u5772","\u5773","\u5774","\u5775","\u5776","\u5777","\u5778","\u5779","\u577a","\u577b","\u577c","\u577d","\u577e","\u577f","\u5780","\u5781","\u5782","\u5783","\u5784","\u5785","\u5786","\u5787","\u5788","\u5789","\u578a","\u578b","\u578c","\u578d","\u578e","\u578f","\u5790","\u5791","\u5792","\u5793","\u5794","\u5795","\u5796","\u5797","\u5798","\u5799","\u579a","\u579b","\u579c","\u579d","\u579e","\u579f","\u57a0","\u57a1","\u57a2","\u57a3","\u57a4","\u57a5","\u57a6","\u57a7","\u57a8","\u57a9","\u57aa","\u57ab","\u57ac","\u57ad","\u57ae","\u57af","\u57b0","\u57b1","\u57b2","\u57b3","\u57b4","\u57b5","\u57b6","\u57b7","\u57b8","\u57b9","\u57ba","\u57bb","\u57bc","\u57bd","\u57be","\u57bf","\u57c0","\u57c1","\u57c2","\u57c3","\u57c4","\u57c5","\u57c6","\u57c7","\u57c8","\u57c9","\u57ca","\u57cb","\u57cc","\u57cd","\u57ce","\u57cf","\u57d0","\u57d1","\u57d2","\u57d3","\u57d4","\u57d5","\u57d6","\u57d7","\u57d8","\u57d9","\u57da","\u57db","\u57dc","\u57dd","\u57de","\u57df","\u57e0","\u57e1","\u57e2","\u57e3","\u57e4","\u57e5","\u57e6","\u57e7","\u57e8","\u57e9","\u57ea","\u57eb","\u57ec","\u57ed","\u57ee","\u57ef","\u57f0","\u57f1","\u57f2","\u57f3","\u57f4","\u57f5","\u57f6","\u57f7","\u57f8","\u57f9","\u57fa","\u57fb","\u57fc","\u57fd","\u57fe","\u57ff","\u5800","\u5801","\u5802","\u5803","\u5804","\u5805","\u5806","\u5807","\u5808","\u5809","\u580a","\u580b","\u580c","\u580d","\u580e","\u580f","\u5810","\u5811","\u5812","\u5813","\u5814","\u5815","\u5816","\u5817","\u5818","\u5819","\u581a","\u581b","\u581c","\u581d","\u581e","\u581f","\u5820","\u5821","\u5822","\u5823","\u5824","\u5825","\u5826","\u5827","\u5828","\u5829","\u582a","\u582b","\u582c","\u582d","\u582e","\u582f","\u5830","\u5831","\u5832","\u5833","\u5834","\u5835","\u5836","\u5837","\u5838","\u5839","\u583a","\u583b","\u583c","\u583d","\u583e","\u583f","\u5840","\u5841","\u5842","\u5843","\u5844","\u5845","\u5846","\u5847","\u5848","\u5849","\u584a","\u584b","\u584c","\u584d","\u584e","\u584f","\u5850","\u5851","\u5852","\u5853","\u5854","\u5855","\u5856","\u5857","\u5858","\u5859","\u585a","\u585b","\u585c","\u585d","\u585e","\u585f","\u5860","\u5861","\u5862","\u5863","\u5864","\u5865","\u5866","\u5867","\u5868","\u5869","\u586a","\u586b","\u586c","\u586d","\u586e","\u586f","\u5870","\u5871","\u5872","\u5873","\u5874","\u5875","\u5876","\u5877","\u5878","\u5879","\u587a","\u587b","\u587c","\u587d","\u587e","\u587f","\u5880","\u5881","\u5882","\u5883","\u5884","\u5885","\u5886","\u5887","\u5888","\u5889","\u588a","\u588b","\u588c","\u588d","\u588e","\u588f","\u5890","\u5891","\u5892","\u5893","\u5894","\u5895","\u5896","\u5897","\u5898","\u5899","\u589a","\u589b","\u589c","\u589d","\u589e","\u589f","\u58a0","\u58a1","\u58a2","\u58a3","\u58a4","\u58a5","\u58a6","\u58a7","\u58a8","\u58a9","\u58aa","\u58ab","\u58ac","\u58ad","\u58ae","\u58af","\u58b0","\u58b1","\u58b2","\u58b3","\u58b4","\u58b5","\u58b6","\u58b7","\u58b8","\u58b9","\u58ba","\u58bb","\u58bc","\u58bd","\u58be","\u58bf","\u58c0","\u58c1","\u58c2","\u58c3","\u58c4","\u58c5","\u58c6","\u58c7","\u58c8","\u58c9","\u58ca","\u58cb","\u58cc","\u58cd","\u58ce","\u58cf","\u58d0","\u58d1","\u58d2","\u58d3","\u58d4","\u58d5","\u58d6","\u58d7","\u58d8","\u58d9","\u58da","\u58db","\u58dc","\u58dd","\u58de","\u58df","\u58e0","\u58e1","\u58e2","\u58e3","\u58e4","\u58e5","\u58e6","\u58e7","\u58e8","\u58e9","\u58ea","\u58eb","\u58ec","\u58ed","\u58ee","\u58ef","\u58f0","\u58f1","\u58f2","\u58f3","\u58f4","\u58f5","\u58f6","\u58f7","\u58f8","\u58f9","\u58fa","\u58fb","\u58fc","\u58fd","\u58fe","\u58ff","\u5900","\u5901","\u5902","\u5903","\u5904","\u5905","\u5906","\u5907","\u5908","\u5909","\u590a","\u590b","\u590c","\u590d","\u590e","\u590f","\u5910","\u5911","\u5912","\u5913","\u5914","\u5915","\u5916","\u5917","\u5918","\u5919","\u591a","\u591b","\u591c","\u591d","\u591e","\u591f","\u5920","\u5921","\u5922","\u5923","\u5924","\u5925","\u5926","\u5927","\u5928","\u5929","\u592a","\u592b","\u592c","\u592d","\u592e","\u592f","\u5930","\u5931","\u5932","\u5933","\u5934","\u5935","\u5936","\u5937","\u5938","\u5939","\u593a","\u593b","\u593c","\u593d","\u593e","\u593f","\u5940","\u5941","\u5942","\u5943","\u5944","\u5945","\u5946","\u5947","\u5948","\u5949","\u594a","\u594b","\u594c","\u594d","\u594e","\u594f","\u5950","\u5951","\u5952","\u5953","\u5954","\u5955","\u5956","\u5957","\u5958","\u5959","\u595a","\u595b","\u595c","\u595d","\u595e","\u595f","\u5960","\u5961","\u5962","\u5963","\u5964","\u5965","\u5966","\u5967","\u5968","\u5969","\u596a","\u596b","\u596c","\u596d","\u596e","\u596f","\u5970","\u5971","\u5972","\u5973","\u5974","\u5975","\u5976","\u5977","\u5978","\u5979","\u597a","\u597b","\u597c","\u597d","\u597e","\u597f","\u5980","\u5981","\u5982","\u5983","\u5984","\u5985","\u5986","\u5987","\u5988","\u5989","\u598a","\u598b","\u598c","\u598d","\u598e","\u598f","\u5990","\u5991","\u5992","\u5993","\u5994","\u5995","\u5996","\u5997","\u5998","\u5999","\u599a","\u599b","\u599c","\u599d","\u599e","\u599f","\u59a0","\u59a1","\u59a2","\u59a3","\u59a4","\u59a5","\u59a6","\u59a7","\u59a8","\u59a9","\u59aa","\u59ab","\u59ac","\u59ad","\u59ae","\u59af","\u59b0","\u59b1","\u59b2","\u59b3","\u59b4","\u59b5","\u59b6","\u59b7","\u59b8","\u59b9","\u59ba","\u59bb","\u59bc","\u59bd","\u59be","\u59bf","\u59c0","\u59c1","\u59c2","\u59c3","\u59c4","\u59c5","\u59c6","\u59c7","\u59c8","\u59c9","\u59ca","\u59cb","\u59cc","\u59cd","\u59ce","\u59cf","\u59d0","\u59d1","\u59d2","\u59d3","\u59d4","\u59d5","\u59d6","\u59d7","\u59d8","\u59d9","\u59da","\u59db","\u59dc","\u59dd","\u59de","\u59df","\u59e0","\u59e1","\u59e2","\u59e3","\u59e4","\u59e5","\u59e6","\u59e7","\u59e8","\u59e9","\u59ea","\u59eb","\u59ec","\u59ed","\u59ee","\u59ef","\u59f0","\u59f1","\u59f2","\u59f3","\u59f4","\u59f5","\u59f6","\u59f7","\u59f8","\u59f9","\u59fa","\u59fb","\u59fc","\u59fd","\u59fe","\u59ff","\u5a00","\u5a01","\u5a02","\u5a03","\u5a04","\u5a05","\u5a06","\u5a07","\u5a08","\u5a09","\u5a0a","\u5a0b","\u5a0c","\u5a0d","\u5a0e","\u5a0f","\u5a10","\u5a11","\u5a12","\u5a13","\u5a14","\u5a15","\u5a16","\u5a17","\u5a18","\u5a19","\u5a1a","\u5a1b","\u5a1c","\u5a1d","\u5a1e","\u5a1f","\u5a20","\u5a21","\u5a22","\u5a23","\u5a24","\u5a25","\u5a26","\u5a27","\u5a28","\u5a29","\u5a2a","\u5a2b","\u5a2c","\u5a2d","\u5a2e","\u5a2f","\u5a30","\u5a31","\u5a32","\u5a33","\u5a34","\u5a35","\u5a36","\u5a37","\u5a38","\u5a39","\u5a3a","\u5a3b","\u5a3c","\u5a3d","\u5a3e","\u5a3f","\u5a40","\u5a41","\u5a42","\u5a43","\u5a44","\u5a45","\u5a46","\u5a47","\u5a48","\u5a49","\u5a4a","\u5a4b","\u5a4c","\u5a4d","\u5a4e","\u5a4f","\u5a50","\u5a51","\u5a52","\u5a53","\u5a54","\u5a55","\u5a56","\u5a57","\u5a58","\u5a59","\u5a5a","\u5a5b","\u5a5c","\u5a5d","\u5a5e","\u5a5f","\u5a60","\u5a61","\u5a62","\u5a63","\u5a64","\u5a65","\u5a66","\u5a67","\u5a68","\u5a69","\u5a6a","\u5a6b","\u5a6c","\u5a6d","\u5a6e","\u5a6f","\u5a70","\u5a71","\u5a72","\u5a73","\u5a74","\u5a75","\u5a76","\u5a77","\u5a78","\u5a79","\u5a7a","\u5a7b","\u5a7c","\u5a7d","\u5a7e","\u5a7f","\u5a80","\u5a81","\u5a82","\u5a83","\u5a84","\u5a85","\u5a86","\u5a87","\u5a88","\u5a89","\u5a8a","\u5a8b","\u5a8c","\u5a8d","\u5a8e","\u5a8f","\u5a90","\u5a91","\u5a92","\u5a93","\u5a94","\u5a95","\u5a96","\u5a97","\u5a98","\u5a99","\u5a9a","\u5a9b","\u5a9c","\u5a9d","\u5a9e","\u5a9f","\u5aa0","\u5aa1","\u5aa2","\u5aa3","\u5aa4","\u5aa5","\u5aa6","\u5aa7","\u5aa8","\u5aa9","\u5aaa","\u5aab","\u5aac","\u5aad","\u5aae","\u5aaf","\u5ab0","\u5ab1","\u5ab2","\u5ab3","\u5ab4","\u5ab5","\u5ab6","\u5ab7","\u5ab8","\u5ab9","\u5aba","\u5abb","\u5abc","\u5abd","\u5abe","\u5abf","\u5ac0","\u5ac1","\u5ac2","\u5ac3","\u5ac4","\u5ac5","\u5ac6","\u5ac7","\u5ac8","\u5ac9","\u5aca","\u5acb","\u5acc","\u5acd","\u5ace","\u5acf","\u5ad0","\u5ad1","\u5ad2","\u5ad3","\u5ad4","\u5ad5","\u5ad6","\u5ad7","\u5ad8","\u5ad9","\u5ada","\u5adb","\u5adc","\u5add","\u5ade","\u5adf","\u5ae0","\u5ae1","\u5ae2","\u5ae3","\u5ae4","\u5ae5","\u5ae6","\u5ae7","\u5ae8","\u5ae9","\u5aea","\u5aeb","\u5aec","\u5aed","\u5aee","\u5aef","\u5af0","\u5af1","\u5af2","\u5af3","\u5af4","\u5af5","\u5af6","\u5af7","\u5af8","\u5af9","\u5afa","\u5afb","\u5afc","\u5afd","\u5afe","\u5aff","\u5b00","\u5b01","\u5b02","\u5b03","\u5b04","\u5b05","\u5b06","\u5b07","\u5b08","\u5b09","\u5b0a","\u5b0b","\u5b0c","\u5b0d","\u5b0e","\u5b0f","\u5b10","\u5b11","\u5b12","\u5b13","\u5b14","\u5b15","\u5b16","\u5b17","\u5b18","\u5b19","\u5b1a","\u5b1b","\u5b1c","\u5b1d","\u5b1e","\u5b1f","\u5b20","\u5b21","\u5b22","\u5b23","\u5b24","\u5b25","\u5b26","\u5b27","\u5b28","\u5b29","\u5b2a","\u5b2b","\u5b2c","\u5b2d","\u5b2e","\u5b2f","\u5b30","\u5b31","\u5b32","\u5b33","\u5b34","\u5b35","\u5b36","\u5b37","\u5b38","\u5b39","\u5b3a","\u5b3b","\u5b3c","\u5b3d","\u5b3e","\u5b3f","\u5b40","\u5b41","\u5b42","\u5b43","\u5b44","\u5b45","\u5b46","\u5b47","\u5b48","\u5b49","\u5b4a","\u5b4b","\u5b4c","\u5b4d","\u5b4e","\u5b4f","\u5b50","\u5b51","\u5b52","\u5b53","\u5b54","\u5b55","\u5b56","\u5b57","\u5b58","\u5b59","\u5b5a","\u5b5b","\u5b5c","\u5b5d","\u5b5e","\u5b5f","\u5b60","\u5b61","\u5b62","\u5b63","\u5b64","\u5b65","\u5b66","\u5b67","\u5b68","\u5b69","\u5b6a","\u5b6b","\u5b6c","\u5b6d","\u5b6e","\u5b6f","\u5b70","\u5b71","\u5b72","\u5b73","\u5b74","\u5b75","\u5b76","\u5b77","\u5b78","\u5b79","\u5b7a","\u5b7b","\u5b7c","\u5b7d","\u5b7e","\u5b7f","\u5b80","\u5b81","\u5b82","\u5b83","\u5b84","\u5b85","\u5b86","\u5b87","\u5b88","\u5b89","\u5b8a","\u5b8b","\u5b8c","\u5b8d","\u5b8e","\u5b8f","\u5b90","\u5b91","\u5b92","\u5b93","\u5b94","\u5b95","\u5b96","\u5b97","\u5b98","\u5b99","\u5b9a","\u5b9b","\u5b9c","\u5b9d","\u5b9e","\u5b9f","\u5ba0","\u5ba1","\u5ba2","\u5ba3","\u5ba4","\u5ba5","\u5ba6","\u5ba7","\u5ba8","\u5ba9","\u5baa","\u5bab","\u5bac","\u5bad","\u5bae","\u5baf","\u5bb0","\u5bb1","\u5bb2","\u5bb3","\u5bb4","\u5bb5","\u5bb6","\u5bb7","\u5bb8","\u5bb9","\u5bba","\u5bbb","\u5bbc","\u5bbd","\u5bbe","\u5bbf","\u5bc0","\u5bc1","\u5bc2","\u5bc3","\u5bc4","\u5bc5","\u5bc6","\u5bc7","\u5bc8","\u5bc9","\u5bca","\u5bcb","\u5bcc","\u5bcd","\u5bce","\u5bcf","\u5bd0","\u5bd1","\u5bd2","\u5bd3","\u5bd4","\u5bd5","\u5bd6","\u5bd7","\u5bd8","\u5bd9","\u5bda","\u5bdb","\u5bdc","\u5bdd","\u5bde","\u5bdf","\u5be0","\u5be1","\u5be2","\u5be3","\u5be4","\u5be5","\u5be6","\u5be7","\u5be8","\u5be9","\u5bea","\u5beb","\u5bec","\u5bed","\u5bee","\u5bef","\u5bf0","\u5bf1","\u5bf2","\u5bf3","\u5bf4","\u5bf5","\u5bf6","\u5bf7","\u5bf8","\u5bf9","\u5bfa","\u5bfb","\u5bfc","\u5bfd","\u5bfe","\u5bff","\u5c00","\u5c01","\u5c02","\u5c03","\u5c04","\u5c05","\u5c06","\u5c07","\u5c08","\u5c09","\u5c0a","\u5c0b","\u5c0c","\u5c0d","\u5c0e","\u5c0f","\u5c10","\u5c11","\u5c12","\u5c13","\u5c14","\u5c15","\u5c16","\u5c17","\u5c18","\u5c19","\u5c1a","\u5c1b","\u5c1c","\u5c1d","\u5c1e","\u5c1f","\u5c20","\u5c21","\u5c22","\u5c23","\u5c24","\u5c25","\u5c26","\u5c27","\u5c28","\u5c29","\u5c2a","\u5c2b","\u5c2c","\u5c2d","\u5c2e","\u5c2f","\u5c30","\u5c31","\u5c32","\u5c33","\u5c34","\u5c35","\u5c36","\u5c37","\u5c38","\u5c39","\u5c3a","\u5c3b","\u5c3c","\u5c3d","\u5c3e","\u5c3f","\u5c40","\u5c41","\u5c42","\u5c43","\u5c44","\u5c45","\u5c46","\u5c47","\u5c48","\u5c49","\u5c4a","\u5c4b","\u5c4c","\u5c4d","\u5c4e","\u5c4f","\u5c50","\u5c51","\u5c52","\u5c53","\u5c54","\u5c55","\u5c56","\u5c57","\u5c58","\u5c59","\u5c5a","\u5c5b","\u5c5c","\u5c5d","\u5c5e","\u5c5f","\u5c60","\u5c61","\u5c62","\u5c63","\u5c64","\u5c65","\u5c66","\u5c67","\u5c68","\u5c69","\u5c6a","\u5c6b","\u5c6c","\u5c6d","\u5c6e","\u5c6f","\u5c70","\u5c71","\u5c72","\u5c73","\u5c74","\u5c75","\u5c76","\u5c77","\u5c78","\u5c79","\u5c7a","\u5c7b","\u5c7c","\u5c7d","\u5c7e","\u5c7f","\u5c80","\u5c81","\u5c82","\u5c83","\u5c84","\u5c85","\u5c86","\u5c87","\u5c88","\u5c89","\u5c8a","\u5c8b","\u5c8c","\u5c8d","\u5c8e","\u5c8f","\u5c90","\u5c91","\u5c92","\u5c93","\u5c94","\u5c95","\u5c96","\u5c97","\u5c98","\u5c99","\u5c9a","\u5c9b","\u5c9c","\u5c9d","\u5c9e","\u5c9f","\u5ca0","\u5ca1","\u5ca2","\u5ca3","\u5ca4","\u5ca5","\u5ca6","\u5ca7","\u5ca8","\u5ca9","\u5caa","\u5cab","\u5cac","\u5cad","\u5cae","\u5caf","\u5cb0","\u5cb1","\u5cb2","\u5cb3","\u5cb4","\u5cb5","\u5cb6","\u5cb7","\u5cb8","\u5cb9","\u5cba","\u5cbb","\u5cbc","\u5cbd","\u5cbe","\u5cbf","\u5cc0","\u5cc1","\u5cc2","\u5cc3","\u5cc4","\u5cc5","\u5cc6","\u5cc7","\u5cc8","\u5cc9","\u5cca","\u5ccb","\u5ccc","\u5ccd","\u5cce","\u5ccf","\u5cd0","\u5cd1","\u5cd2","\u5cd3","\u5cd4","\u5cd5","\u5cd6","\u5cd7","\u5cd8","\u5cd9","\u5cda","\u5cdb","\u5cdc","\u5cdd","\u5cde","\u5cdf","\u5ce0","\u5ce1","\u5ce2","\u5ce3","\u5ce4","\u5ce5","\u5ce6","\u5ce7","\u5ce8","\u5ce9","\u5cea","\u5ceb","\u5cec","\u5ced","\u5cee","\u5cef","\u5cf0","\u5cf1","\u5cf2","\u5cf3","\u5cf4","\u5cf5","\u5cf6","\u5cf7","\u5cf8","\u5cf9","\u5cfa","\u5cfb","\u5cfc","\u5cfd","\u5cfe","\u5cff","\u5d00","\u5d01","\u5d02","\u5d03","\u5d04","\u5d05","\u5d06","\u5d07","\u5d08","\u5d09","\u5d0a","\u5d0b","\u5d0c","\u5d0d","\u5d0e","\u5d0f","\u5d10","\u5d11","\u5d12","\u5d13","\u5d14","\u5d15","\u5d16","\u5d17","\u5d18","\u5d19","\u5d1a","\u5d1b","\u5d1c","\u5d1d","\u5d1e","\u5d1f","\u5d20","\u5d21","\u5d22","\u5d23","\u5d24","\u5d25","\u5d26","\u5d27","\u5d28","\u5d29","\u5d2a","\u5d2b","\u5d2c","\u5d2d","\u5d2e","\u5d2f","\u5d30","\u5d31","\u5d32","\u5d33","\u5d34","\u5d35","\u5d36","\u5d37","\u5d38","\u5d39","\u5d3a","\u5d3b","\u5d3c","\u5d3d","\u5d3e","\u5d3f","\u5d40","\u5d41","\u5d42","\u5d43","\u5d44","\u5d45","\u5d46","\u5d47","\u5d48","\u5d49","\u5d4a","\u5d4b","\u5d4c","\u5d4d","\u5d4e","\u5d4f","\u5d50","\u5d51","\u5d52","\u5d53","\u5d54","\u5d55","\u5d56","\u5d57","\u5d58","\u5d59","\u5d5a","\u5d5b","\u5d5c","\u5d5d","\u5d5e","\u5d5f","\u5d60","\u5d61","\u5d62","\u5d63","\u5d64","\u5d65","\u5d66","\u5d67","\u5d68","\u5d69","\u5d6a","\u5d6b","\u5d6c","\u5d6d","\u5d6e","\u5d6f","\u5d70","\u5d71","\u5d72","\u5d73","\u5d74","\u5d75","\u5d76","\u5d77","\u5d78","\u5d79","\u5d7a","\u5d7b","\u5d7c","\u5d7d","\u5d7e","\u5d7f","\u5d80","\u5d81","\u5d82","\u5d83","\u5d84","\u5d85","\u5d86","\u5d87","\u5d88","\u5d89","\u5d8a","\u5d8b","\u5d8c","\u5d8d","\u5d8e","\u5d8f","\u5d90","\u5d91","\u5d92","\u5d93","\u5d94","\u5d95","\u5d96","\u5d97","\u5d98","\u5d99","\u5d9a","\u5d9b","\u5d9c","\u5d9d","\u5d9e","\u5d9f","\u5da0","\u5da1","\u5da2","\u5da3","\u5da4","\u5da5","\u5da6","\u5da7","\u5da8","\u5da9","\u5daa","\u5dab","\u5dac","\u5dad","\u5dae","\u5daf","\u5db0","\u5db1","\u5db2","\u5db3","\u5db4","\u5db5","\u5db6","\u5db7","\u5db8","\u5db9","\u5dba","\u5dbb","\u5dbc","\u5dbd","\u5dbe","\u5dbf","\u5dc0","\u5dc1","\u5dc2","\u5dc3","\u5dc4","\u5dc5","\u5dc6","\u5dc7","\u5dc8","\u5dc9","\u5dca","\u5dcb","\u5dcc","\u5dcd","\u5dce","\u5dcf","\u5dd0","\u5dd1","\u5dd2","\u5dd3","\u5dd4","\u5dd5","\u5dd6","\u5dd7","\u5dd8","\u5dd9","\u5dda","\u5ddb","\u5ddc","\u5ddd","\u5dde","\u5ddf","\u5de0","\u5de1","\u5de2","\u5de3","\u5de4","\u5de5","\u5de6","\u5de7","\u5de8","\u5de9","\u5dea","\u5deb","\u5dec","\u5ded","\u5dee","\u5def","\u5df0","\u5df1","\u5df2","\u5df3","\u5df4","\u5df5","\u5df6","\u5df7","\u5df8","\u5df9","\u5dfa","\u5dfb","\u5dfc","\u5dfd","\u5dfe","\u5dff","\u5e00","\u5e01","\u5e02","\u5e03","\u5e04","\u5e05","\u5e06","\u5e07","\u5e08","\u5e09","\u5e0a","\u5e0b","\u5e0c","\u5e0d","\u5e0e","\u5e0f","\u5e10","\u5e11","\u5e12","\u5e13","\u5e14","\u5e15","\u5e16","\u5e17","\u5e18","\u5e19","\u5e1a","\u5e1b","\u5e1c","\u5e1d","\u5e1e","\u5e1f","\u5e20","\u5e21","\u5e22","\u5e23","\u5e24","\u5e25","\u5e26","\u5e27","\u5e28","\u5e29","\u5e2a","\u5e2b","\u5e2c","\u5e2d","\u5e2e","\u5e2f","\u5e30","\u5e31","\u5e32","\u5e33","\u5e34","\u5e35","\u5e36","\u5e37","\u5e38","\u5e39","\u5e3a","\u5e3b","\u5e3c","\u5e3d","\u5e3e","\u5e3f","\u5e40","\u5e41","\u5e42","\u5e43","\u5e44","\u5e45","\u5e46","\u5e47","\u5e48","\u5e49","\u5e4a","\u5e4b","\u5e4c","\u5e4d","\u5e4e","\u5e4f","\u5e50","\u5e51","\u5e52","\u5e53","\u5e54","\u5e55","\u5e56","\u5e57","\u5e58","\u5e59","\u5e5a","\u5e5b","\u5e5c","\u5e5d","\u5e5e","\u5e5f","\u5e60","\u5e61","\u5e62","\u5e63","\u5e64","\u5e65","\u5e66","\u5e67","\u5e68","\u5e69","\u5e6a","\u5e6b","\u5e6c","\u5e6d","\u5e6e","\u5e6f","\u5e70","\u5e71","\u5e72","\u5e73","\u5e74","\u5e75","\u5e76","\u5e77","\u5e78","\u5e79","\u5e7a","\u5e7b","\u5e7c","\u5e7d","\u5e7e","\u5e7f","\u5e80","\u5e81","\u5e82","\u5e83","\u5e84","\u5e85","\u5e86","\u5e87","\u5e88","\u5e89","\u5e8a","\u5e8b","\u5e8c","\u5e8d","\u5e8e","\u5e8f","\u5e90","\u5e91","\u5e92","\u5e93","\u5e94","\u5e95","\u5e96","\u5e97","\u5e98","\u5e99","\u5e9a","\u5e9b","\u5e9c","\u5e9d","\u5e9e","\u5e9f","\u5ea0","\u5ea1","\u5ea2","\u5ea3","\u5ea4","\u5ea5","\u5ea6","\u5ea7","\u5ea8","\u5ea9","\u5eaa","\u5eab","\u5eac","\u5ead","\u5eae","\u5eaf","\u5eb0","\u5eb1","\u5eb2","\u5eb3","\u5eb4","\u5eb5","\u5eb6","\u5eb7","\u5eb8","\u5eb9","\u5eba","\u5ebb","\u5ebc","\u5ebd","\u5ebe","\u5ebf","\u5ec0","\u5ec1","\u5ec2","\u5ec3","\u5ec4","\u5ec5","\u5ec6","\u5ec7","\u5ec8","\u5ec9","\u5eca","\u5ecb","\u5ecc","\u5ecd","\u5ece","\u5ecf","\u5ed0","\u5ed1","\u5ed2","\u5ed3","\u5ed4","\u5ed5","\u5ed6","\u5ed7","\u5ed8","\u5ed9","\u5eda","\u5edb","\u5edc","\u5edd","\u5ede","\u5edf","\u5ee0","\u5ee1","\u5ee2","\u5ee3","\u5ee4","\u5ee5","\u5ee6","\u5ee7","\u5ee8","\u5ee9","\u5eea","\u5eeb","\u5eec","\u5eed","\u5eee","\u5eef","\u5ef0","\u5ef1","\u5ef2","\u5ef3","\u5ef4","\u5ef5","\u5ef6","\u5ef7","\u5ef8","\u5ef9","\u5efa","\u5efb","\u5efc","\u5efd","\u5efe","\u5eff","\u5f00","\u5f01","\u5f02","\u5f03","\u5f04","\u5f05","\u5f06","\u5f07","\u5f08","\u5f09","\u5f0a","\u5f0b","\u5f0c","\u5f0d","\u5f0e","\u5f0f","\u5f10","\u5f11","\u5f12","\u5f13","\u5f14","\u5f15","\u5f16","\u5f17","\u5f18","\u5f19","\u5f1a","\u5f1b","\u5f1c","\u5f1d","\u5f1e","\u5f1f","\u5f20","\u5f21","\u5f22","\u5f23","\u5f24","\u5f25","\u5f26","\u5f27","\u5f28","\u5f29","\u5f2a","\u5f2b","\u5f2c","\u5f2d","\u5f2e","\u5f2f","\u5f30","\u5f31","\u5f32","\u5f33","\u5f34","\u5f35","\u5f36","\u5f37","\u5f38","\u5f39","\u5f3a","\u5f3b","\u5f3c","\u5f3d","\u5f3e","\u5f3f","\u5f40","\u5f41","\u5f42","\u5f43","\u5f44","\u5f45","\u5f46","\u5f47","\u5f48","\u5f49","\u5f4a","\u5f4b","\u5f4c","\u5f4d","\u5f4e","\u5f4f","\u5f50","\u5f51","\u5f52","\u5f53","\u5f54","\u5f55","\u5f56","\u5f57","\u5f58","\u5f59","\u5f5a","\u5f5b","\u5f5c","\u5f5d","\u5f5e","\u5f5f","\u5f60","\u5f61","\u5f62","\u5f63","\u5f64","\u5f65","\u5f66","\u5f67","\u5f68","\u5f69","\u5f6a","\u5f6b","\u5f6c","\u5f6d","\u5f6e","\u5f6f","\u5f70","\u5f71","\u5f72","\u5f73","\u5f74","\u5f75","\u5f76","\u5f77","\u5f78","\u5f79","\u5f7a","\u5f7b","\u5f7c","\u5f7d","\u5f7e","\u5f7f","\u5f80","\u5f81","\u5f82","\u5f83","\u5f84","\u5f85","\u5f86","\u5f87","\u5f88","\u5f89","\u5f8a","\u5f8b","\u5f8c","\u5f8d","\u5f8e","\u5f8f","\u5f90","\u5f91","\u5f92","\u5f93","\u5f94","\u5f95","\u5f96","\u5f97","\u5f98","\u5f99","\u5f9a","\u5f9b","\u5f9c","\u5f9d","\u5f9e","\u5f9f","\u5fa0","\u5fa1","\u5fa2","\u5fa3","\u5fa4","\u5fa5","\u5fa6","\u5fa7","\u5fa8","\u5fa9","\u5faa","\u5fab","\u5fac","\u5fad","\u5fae","\u5faf","\u5fb0","\u5fb1","\u5fb2","\u5fb3","\u5fb4","\u5fb5","\u5fb6","\u5fb7","\u5fb8","\u5fb9","\u5fba","\u5fbb","\u5fbc","\u5fbd","\u5fbe","\u5fbf","\u5fc0","\u5fc1","\u5fc2","\u5fc3","\u5fc4","\u5fc5","\u5fc6","\u5fc7","\u5fc8","\u5fc9","\u5fca","\u5fcb","\u5fcc","\u5fcd","\u5fce","\u5fcf","\u5fd0","\u5fd1","\u5fd2","\u5fd3","\u5fd4","\u5fd5","\u5fd6","\u5fd7","\u5fd8","\u5fd9","\u5fda","\u5fdb","\u5fdc","\u5fdd","\u5fde","\u5fdf","\u5fe0","\u5fe1","\u5fe2","\u5fe3","\u5fe4","\u5fe5","\u5fe6","\u5fe7","\u5fe8","\u5fe9","\u5fea","\u5feb","\u5fec","\u5fed","\u5fee","\u5fef","\u5ff0","\u5ff1","\u5ff2","\u5ff3","\u5ff4","\u5ff5","\u5ff6","\u5ff7","\u5ff8","\u5ff9","\u5ffa","\u5ffb","\u5ffc","\u5ffd","\u5ffe","\u5fff","\u6000","\u6001","\u6002","\u6003","\u6004","\u6005","\u6006","\u6007","\u6008","\u6009","\u600a","\u600b","\u600c","\u600d","\u600e","\u600f","\u6010","\u6011","\u6012","\u6013","\u6014","\u6015","\u6016","\u6017","\u6018","\u6019","\u601a","\u601b","\u601c","\u601d","\u601e","\u601f","\u6020","\u6021","\u6022","\u6023","\u6024","\u6025","\u6026","\u6027","\u6028","\u6029","\u602a","\u602b","\u602c","\u602d","\u602e","\u602f","\u6030","\u6031","\u6032","\u6033","\u6034","\u6035","\u6036","\u6037","\u6038","\u6039","\u603a","\u603b","\u603c","\u603d","\u603e","\u603f","\u6040","\u6041","\u6042","\u6043","\u6044","\u6045","\u6046","\u6047","\u6048","\u6049","\u604a","\u604b","\u604c","\u604d","\u604e","\u604f","\u6050","\u6051","\u6052","\u6053","\u6054","\u6055","\u6056","\u6057","\u6058","\u6059","\u605a","\u605b","\u605c","\u605d","\u605e","\u605f","\u6060","\u6061","\u6062","\u6063","\u6064","\u6065","\u6066","\u6067","\u6068","\u6069","\u606a","\u606b","\u606c","\u606d","\u606e","\u606f","\u6070","\u6071","\u6072","\u6073","\u6074","\u6075","\u6076","\u6077","\u6078","\u6079","\u607a","\u607b","\u607c","\u607d","\u607e","\u607f","\u6080","\u6081","\u6082","\u6083","\u6084","\u6085","\u6086","\u6087","\u6088","\u6089","\u608a","\u608b","\u608c","\u608d","\u608e","\u608f","\u6090","\u6091","\u6092","\u6093","\u6094","\u6095","\u6096","\u6097","\u6098","\u6099","\u609a","\u609b","\u609c","\u609d","\u609e","\u609f","\u60a0","\u60a1","\u60a2","\u60a3","\u60a4","\u60a5","\u60a6","\u60a7","\u60a8","\u60a9","\u60aa","\u60ab","\u60ac","\u60ad","\u60ae","\u60af","\u60b0","\u60b1","\u60b2","\u60b3","\u60b4","\u60b5","\u60b6","\u60b7","\u60b8","\u60b9","\u60ba","\u60bb","\u60bc","\u60bd","\u60be","\u60bf","\u60c0","\u60c1","\u60c2","\u60c3","\u60c4","\u60c5","\u60c6","\u60c7","\u60c8","\u60c9","\u60ca","\u60cb","\u60cc","\u60cd","\u60ce","\u60cf","\u60d0","\u60d1","\u60d2","\u60d3","\u60d4","\u60d5","\u60d6","\u60d7","\u60d8","\u60d9","\u60da","\u60db","\u60dc","\u60dd","\u60de","\u60df","\u60e0","\u60e1","\u60e2","\u60e3","\u60e4","\u60e5","\u60e6","\u60e7","\u60e8","\u60e9","\u60ea","\u60eb","\u60ec","\u60ed","\u60ee","\u60ef","\u60f0","\u60f1","\u60f2","\u60f3","\u60f4","\u60f5","\u60f6","\u60f7","\u60f8","\u60f9","\u60fa","\u60fb","\u60fc","\u60fd","\u60fe","\u60ff","\u6100","\u6101","\u6102","\u6103","\u6104","\u6105","\u6106","\u6107","\u6108","\u6109","\u610a","\u610b","\u610c","\u610d","\u610e","\u610f","\u6110","\u6111","\u6112","\u6113","\u6114","\u6115","\u6116","\u6117","\u6118","\u6119","\u611a","\u611b","\u611c","\u611d","\u611e","\u611f","\u6120","\u6121","\u6122","\u6123","\u6124","\u6125","\u6126","\u6127","\u6128","\u6129","\u612a","\u612b","\u612c","\u612d","\u612e","\u612f","\u6130","\u6131","\u6132","\u6133","\u6134","\u6135","\u6136","\u6137","\u6138","\u6139","\u613a","\u613b","\u613c","\u613d","\u613e","\u613f","\u6140","\u6141","\u6142","\u6143","\u6144","\u6145","\u6146","\u6147","\u6148","\u6149","\u614a","\u614b","\u614c","\u614d","\u614e","\u614f","\u6150","\u6151","\u6152","\u6153","\u6154","\u6155","\u6156","\u6157","\u6158","\u6159","\u615a","\u615b","\u615c","\u615d","\u615e","\u615f","\u6160","\u6161","\u6162","\u6163","\u6164","\u6165","\u6166","\u6167","\u6168","\u6169","\u616a","\u616b","\u616c","\u616d","\u616e","\u616f","\u6170","\u6171","\u6172","\u6173","\u6174","\u6175","\u6176","\u6177","\u6178","\u6179","\u617a","\u617b","\u617c","\u617d","\u617e","\u617f","\u6180","\u6181","\u6182","\u6183","\u6184","\u6185","\u6186","\u6187","\u6188","\u6189","\u618a","\u618b","\u618c","\u618d","\u618e","\u618f","\u6190","\u6191","\u6192","\u6193","\u6194","\u6195","\u6196","\u6197","\u6198","\u6199","\u619a","\u619b","\u619c","\u619d","\u619e","\u619f","\u61a0","\u61a1","\u61a2","\u61a3","\u61a4","\u61a5","\u61a6","\u61a7","\u61a8","\u61a9","\u61aa","\u61ab","\u61ac","\u61ad","\u61ae","\u61af","\u61b0","\u61b1","\u61b2","\u61b3","\u61b4","\u61b5","\u61b6","\u61b7","\u61b8","\u61b9","\u61ba","\u61bb","\u61bc","\u61bd","\u61be","\u61bf","\u61c0","\u61c1","\u61c2","\u61c3","\u61c4","\u61c5","\u61c6","\u61c7","\u61c8","\u61c9","\u61ca","\u61cb","\u61cc","\u61cd","\u61ce","\u61cf","\u61d0","\u61d1","\u61d2","\u61d3","\u61d4","\u61d5","\u61d6","\u61d7","\u61d8","\u61d9","\u61da","\u61db","\u61dc","\u61dd","\u61de","\u61df","\u61e0","\u61e1","\u61e2","\u61e3","\u61e4","\u61e5","\u61e6","\u61e7","\u61e8","\u61e9","\u61ea","\u61eb","\u61ec","\u61ed","\u61ee","\u61ef","\u61f0","\u61f1","\u61f2","\u61f3","\u61f4","\u61f5","\u61f6","\u61f7","\u61f8","\u61f9","\u61fa","\u61fb","\u61fc","\u61fd","\u61fe","\u61ff","\u6200","\u6201","\u6202","\u6203","\u6204","\u6205","\u6206","\u6207","\u6208","\u6209","\u620a","\u620b","\u620c","\u620d","\u620e","\u620f","\u6210","\u6211","\u6212","\u6213","\u6214","\u6215","\u6216","\u6217","\u6218","\u6219","\u621a","\u621b","\u621c","\u621d","\u621e","\u621f","\u6220","\u6221","\u6222","\u6223","\u6224","\u6225","\u6226","\u6227","\u6228","\u6229","\u622a","\u622b","\u622c","\u622d","\u622e","\u622f","\u6230","\u6231","\u6232","\u6233","\u6234","\u6235","\u6236","\u6237","\u6238","\u6239","\u623a","\u623b","\u623c","\u623d","\u623e","\u623f","\u6240","\u6241","\u6242","\u6243","\u6244","\u6245","\u6246","\u6247","\u6248","\u6249","\u624a","\u624b","\u624c","\u624d","\u624e","\u624f","\u6250","\u6251","\u6252","\u6253","\u6254","\u6255","\u6256","\u6257","\u6258","\u6259","\u625a","\u625b","\u625c","\u625d","\u625e","\u625f","\u6260","\u6261","\u6262","\u6263","\u6264","\u6265","\u6266","\u6267","\u6268","\u6269","\u626a","\u626b","\u626c","\u626d","\u626e","\u626f","\u6270","\u6271","\u6272","\u6273","\u6274","\u6275","\u6276","\u6277","\u6278","\u6279","\u627a","\u627b","\u627c","\u627d","\u627e","\u627f","\u6280","\u6281","\u6282","\u6283","\u6284","\u6285","\u6286","\u6287","\u6288","\u6289","\u628a","\u628b","\u628c","\u628d","\u628e","\u628f","\u6290","\u6291","\u6292","\u6293","\u6294","\u6295","\u6296","\u6297","\u6298","\u6299","\u629a","\u629b","\u629c","\u629d","\u629e","\u629f","\u62a0","\u62a1","\u62a2","\u62a3","\u62a4","\u62a5","\u62a6","\u62a7","\u62a8","\u62a9","\u62aa","\u62ab","\u62ac","\u62ad","\u62ae","\u62af","\u62b0","\u62b1","\u62b2","\u62b3","\u62b4","\u62b5","\u62b6","\u62b7","\u62b8","\u62b9","\u62ba","\u62bb","\u62bc","\u62bd","\u62be","\u62bf","\u62c0","\u62c1","\u62c2","\u62c3","\u62c4","\u62c5","\u62c6","\u62c7","\u62c8","\u62c9","\u62ca","\u62cb","\u62cc","\u62cd","\u62ce","\u62cf","\u62d0","\u62d1","\u62d2","\u62d3","\u62d4","\u62d5","\u62d6","\u62d7","\u62d8","\u62d9","\u62da","\u62db","\u62dc","\u62dd","\u62de","\u62df","\u62e0","\u62e1","\u62e2","\u62e3","\u62e4","\u62e5","\u62e6","\u62e7","\u62e8","\u62e9","\u62ea","\u62eb","\u62ec","\u62ed","\u62ee","\u62ef","\u62f0","\u62f1","\u62f2","\u62f3","\u62f4","\u62f5","\u62f6","\u62f7","\u62f8","\u62f9","\u62fa","\u62fb","\u62fc","\u62fd","\u62fe","\u62ff","\u6300","\u6301","\u6302","\u6303","\u6304","\u6305","\u6306","\u6307","\u6308","\u6309","\u630a","\u630b","\u630c","\u630d","\u630e","\u630f","\u6310","\u6311","\u6312","\u6313","\u6314","\u6315","\u6316","\u6317","\u6318","\u6319","\u631a","\u631b","\u631c","\u631d","\u631e","\u631f","\u6320","\u6321","\u6322","\u6323","\u6324","\u6325","\u6326","\u6327","\u6328","\u6329","\u632a","\u632b","\u632c","\u632d","\u632e","\u632f","\u6330","\u6331","\u6332","\u6333","\u6334","\u6335","\u6336","\u6337","\u6338","\u6339","\u633a","\u633b","\u633c","\u633d","\u633e","\u633f","\u6340","\u6341","\u6342","\u6343","\u6344","\u6345","\u6346","\u6347","\u6348","\u6349","\u634a","\u634b","\u634c","\u634d","\u634e","\u634f","\u6350","\u6351","\u6352","\u6353","\u6354","\u6355","\u6356","\u6357","\u6358","\u6359","\u635a","\u635b","\u635c","\u635d","\u635e","\u635f","\u6360","\u6361","\u6362","\u6363","\u6364","\u6365","\u6366","\u6367","\u6368","\u6369","\u636a","\u636b","\u636c","\u636d","\u636e","\u636f","\u6370","\u6371","\u6372","\u6373","\u6374","\u6375","\u6376","\u6377","\u6378","\u6379","\u637a","\u637b","\u637c","\u637d","\u637e","\u637f","\u6380","\u6381","\u6382","\u6383","\u6384","\u6385","\u6386","\u6387","\u6388","\u6389","\u638a","\u638b","\u638c","\u638d","\u638e","\u638f","\u6390","\u6391","\u6392","\u6393","\u6394","\u6395","\u6396","\u6397","\u6398","\u6399","\u639a","\u639b","\u639c","\u639d","\u639e","\u639f","\u63a0","\u63a1","\u63a2","\u63a3","\u63a4","\u63a5","\u63a6","\u63a7","\u63a8","\u63a9","\u63aa","\u63ab","\u63ac","\u63ad","\u63ae","\u63af","\u63b0","\u63b1","\u63b2","\u63b3","\u63b4","\u63b5","\u63b6","\u63b7","\u63b8","\u63b9","\u63ba","\u63bb","\u63bc","\u63bd","\u63be","\u63bf","\u63c0","\u63c1","\u63c2","\u63c3","\u63c4","\u63c5","\u63c6","\u63c7","\u63c8","\u63c9","\u63ca","\u63cb","\u63cc","\u63cd","\u63ce","\u63cf","\u63d0","\u63d1","\u63d2","\u63d3","\u63d4","\u63d5","\u63d6","\u63d7","\u63d8","\u63d9","\u63da","\u63db","\u63dc","\u63dd","\u63de","\u63df","\u63e0","\u63e1","\u63e2","\u63e3","\u63e4","\u63e5","\u63e6","\u63e7","\u63e8","\u63e9","\u63ea","\u63eb","\u63ec","\u63ed","\u63ee","\u63ef","\u63f0","\u63f1","\u63f2","\u63f3","\u63f4","\u63f5","\u63f6","\u63f7","\u63f8","\u63f9","\u63fa","\u63fb","\u63fc","\u63fd","\u63fe","\u63ff","\u6400","\u6401","\u6402","\u6403","\u6404","\u6405","\u6406","\u6407","\u6408","\u6409","\u640a","\u640b","\u640c","\u640d","\u640e","\u640f","\u6410","\u6411","\u6412","\u6413","\u6414","\u6415","\u6416","\u6417","\u6418","\u6419","\u641a","\u641b","\u641c","\u641d","\u641e","\u641f","\u6420","\u6421","\u6422","\u6423","\u6424","\u6425","\u6426","\u6427","\u6428","\u6429","\u642a","\u642b","\u642c","\u642d","\u642e","\u642f","\u6430","\u6431","\u6432","\u6433","\u6434","\u6435","\u6436","\u6437","\u6438","\u6439","\u643a","\u643b","\u643c","\u643d","\u643e","\u643f","\u6440","\u6441","\u6442","\u6443","\u6444","\u6445","\u6446","\u6447","\u6448","\u6449","\u644a","\u644b","\u644c","\u644d","\u644e","\u644f","\u6450","\u6451","\u6452","\u6453","\u6454","\u6455","\u6456","\u6457","\u6458","\u6459","\u645a","\u645b","\u645c","\u645d","\u645e","\u645f","\u6460","\u6461","\u6462","\u6463","\u6464","\u6465","\u6466","\u6467","\u6468","\u6469","\u646a","\u646b","\u646c","\u646d","\u646e","\u646f","\u6470","\u6471","\u6472","\u6473","\u6474","\u6475","\u6476","\u6477","\u6478","\u6479","\u647a","\u647b","\u647c","\u647d","\u647e","\u647f","\u6480","\u6481","\u6482","\u6483","\u6484","\u6485","\u6486","\u6487","\u6488","\u6489","\u648a","\u648b","\u648c","\u648d","\u648e","\u648f","\u6490","\u6491","\u6492","\u6493","\u6494","\u6495","\u6496","\u6497","\u6498","\u6499","\u649a","\u649b","\u649c","\u649d","\u649e","\u649f","\u64a0","\u64a1","\u64a2","\u64a3","\u64a4","\u64a5","\u64a6","\u64a7","\u64a8","\u64a9","\u64aa","\u64ab","\u64ac","\u64ad","\u64ae","\u64af","\u64b0","\u64b1","\u64b2","\u64b3","\u64b4","\u64b5","\u64b6","\u64b7","\u64b8","\u64b9","\u64ba","\u64bb","\u64bc","\u64bd","\u64be","\u64bf","\u64c0","\u64c1","\u64c2","\u64c3","\u64c4","\u64c5","\u64c6","\u64c7","\u64c8","\u64c9","\u64ca","\u64cb","\u64cc","\u64cd","\u64ce","\u64cf","\u64d0","\u64d1","\u64d2","\u64d3","\u64d4","\u64d5","\u64d6","\u64d7","\u64d8","\u64d9","\u64da","\u64db","\u64dc","\u64dd","\u64de","\u64df","\u64e0","\u64e1","\u64e2","\u64e3","\u64e4","\u64e5","\u64e6","\u64e7","\u64e8","\u64e9","\u64ea","\u64eb","\u64ec","\u64ed","\u64ee","\u64ef","\u64f0","\u64f1","\u64f2","\u64f3","\u64f4","\u64f5","\u64f6","\u64f7","\u64f8","\u64f9","\u64fa","\u64fb","\u64fc","\u64fd","\u64fe","\u64ff","\u6500","\u6501","\u6502","\u6503","\u6504","\u6505","\u6506","\u6507","\u6508","\u6509","\u650a","\u650b","\u650c","\u650d","\u650e","\u650f","\u6510","\u6511","\u6512","\u6513","\u6514","\u6515","\u6516","\u6517","\u6518","\u6519","\u651a","\u651b","\u651c","\u651d","\u651e","\u651f","\u6520","\u6521","\u6522","\u6523","\u6524","\u6525","\u6526","\u6527","\u6528","\u6529","\u652a","\u652b","\u652c","\u652d","\u652e","\u652f","\u6530","\u6531","\u6532","\u6533","\u6534","\u6535","\u6536","\u6537","\u6538","\u6539","\u653a","\u653b","\u653c","\u653d","\u653e","\u653f","\u6540","\u6541","\u6542","\u6543","\u6544","\u6545","\u6546","\u6547","\u6548","\u6549","\u654a","\u654b","\u654c","\u654d","\u654e","\u654f","\u6550","\u6551","\u6552","\u6553","\u6554","\u6555","\u6556","\u6557","\u6558","\u6559","\u655a","\u655b","\u655c","\u655d","\u655e","\u655f","\u6560","\u6561","\u6562","\u6563","\u6564","\u6565","\u6566","\u6567","\u6568","\u6569","\u656a","\u656b","\u656c","\u656d","\u656e","\u656f","\u6570","\u6571","\u6572","\u6573","\u6574","\u6575","\u6576","\u6577","\u6578","\u6579","\u657a","\u657b","\u657c","\u657d","\u657e","\u657f","\u6580","\u6581","\u6582","\u6583","\u6584","\u6585","\u6586","\u6587","\u6588","\u6589","\u658a","\u658b","\u658c","\u658d","\u658e","\u658f","\u6590","\u6591","\u6592","\u6593","\u6594","\u6595","\u6596","\u6597","\u6598","\u6599","\u659a","\u659b","\u659c","\u659d","\u659e","\u659f","\u65a0","\u65a1","\u65a2","\u65a3","\u65a4","\u65a5","\u65a6","\u65a7","\u65a8","\u65a9","\u65aa","\u65ab","\u65ac","\u65ad","\u65ae","\u65af","\u65b0","\u65b1","\u65b2","\u65b3","\u65b4","\u65b5","\u65b6","\u65b7","\u65b8","\u65b9","\u65ba","\u65bb","\u65bc","\u65bd","\u65be","\u65bf","\u65c0","\u65c1","\u65c2","\u65c3","\u65c4","\u65c5","\u65c6","\u65c7","\u65c8","\u65c9","\u65ca","\u65cb","\u65cc","\u65cd","\u65ce","\u65cf","\u65d0","\u65d1","\u65d2","\u65d3","\u65d4","\u65d5","\u65d6","\u65d7","\u65d8","\u65d9","\u65da","\u65db","\u65dc","\u65dd","\u65de","\u65df","\u65e0","\u65e1","\u65e2","\u65e3","\u65e4","\u65e5","\u65e6","\u65e7","\u65e8","\u65e9","\u65ea","\u65eb","\u65ec","\u65ed","\u65ee","\u65ef","\u65f0","\u65f1","\u65f2","\u65f3","\u65f4","\u65f5","\u65f6","\u65f7","\u65f8","\u65f9","\u65fa","\u65fb","\u65fc","\u65fd","\u65fe","\u65ff","\u6600","\u6601","\u6602","\u6603","\u6604","\u6605","\u6606","\u6607","\u6608","\u6609","\u660a","\u660b","\u660c","\u660d","\u660e","\u660f","\u6610","\u6611","\u6612","\u6613","\u6614","\u6615","\u6616","\u6617","\u6618","\u6619","\u661a","\u661b","\u661c","\u661d","\u661e","\u661f","\u6620","\u6621","\u6622","\u6623","\u6624","\u6625","\u6626","\u6627","\u6628","\u6629","\u662a","\u662b","\u662c","\u662d","\u662e","\u662f","\u6630","\u6631","\u6632","\u6633","\u6634","\u6635","\u6636","\u6637","\u6638","\u6639","\u663a","\u663b","\u663c","\u663d","\u663e","\u663f","\u6640","\u6641","\u6642","\u6643","\u6644","\u6645","\u6646","\u6647","\u6648","\u6649","\u664a","\u664b","\u664c","\u664d","\u664e","\u664f","\u6650","\u6651","\u6652","\u6653","\u6654","\u6655","\u6656","\u6657","\u6658","\u6659","\u665a","\u665b","\u665c","\u665d","\u665e","\u665f","\u6660","\u6661","\u6662","\u6663","\u6664","\u6665","\u6666","\u6667","\u6668","\u6669","\u666a","\u666b","\u666c","\u666d","\u666e","\u666f","\u6670","\u6671","\u6672","\u6673","\u6674","\u6675","\u6676","\u6677","\u6678","\u6679","\u667a","\u667b","\u667c","\u667d","\u667e","\u667f","\u6680","\u6681","\u6682","\u6683","\u6684","\u6685","\u6686","\u6687","\u6688","\u6689","\u668a","\u668b","\u668c","\u668d","\u668e","\u668f","\u6690","\u6691","\u6692","\u6693","\u6694","\u6695","\u6696","\u6697","\u6698","\u6699","\u669a","\u669b","\u669c","\u669d","\u669e","\u669f","\u66a0","\u66a1","\u66a2","\u66a3","\u66a4","\u66a5","\u66a6","\u66a7","\u66a8","\u66a9","\u66aa","\u66ab","\u66ac","\u66ad","\u66ae","\u66af","\u66b0","\u66b1","\u66b2","\u66b3","\u66b4","\u66b5","\u66b6","\u66b7","\u66b8","\u66b9","\u66ba","\u66bb","\u66bc","\u66bd","\u66be","\u66bf","\u66c0","\u66c1","\u66c2","\u66c3","\u66c4","\u66c5","\u66c6","\u66c7","\u66c8","\u66c9","\u66ca","\u66cb","\u66cc","\u66cd","\u66ce","\u66cf","\u66d0","\u66d1","\u66d2","\u66d3","\u66d4","\u66d5","\u66d6","\u66d7","\u66d8","\u66d9","\u66da","\u66db","\u66dc","\u66dd","\u66de","\u66df","\u66e0","\u66e1","\u66e2","\u66e3","\u66e4","\u66e5","\u66e6","\u66e7","\u66e8","\u66e9","\u66ea","\u66eb","\u66ec","\u66ed","\u66ee","\u66ef","\u66f0","\u66f1","\u66f2","\u66f3","\u66f4","\u66f5","\u66f6","\u66f7","\u66f8","\u66f9","\u66fa","\u66fb","\u66fc","\u66fd","\u66fe","\u66ff","\u6700","\u6701","\u6702","\u6703","\u6704","\u6705","\u6706","\u6707","\u6708","\u6709","\u670a","\u670b","\u670c","\u670d","\u670e","\u670f","\u6710","\u6711","\u6712","\u6713","\u6714","\u6715","\u6716","\u6717","\u6718","\u6719","\u671a","\u671b","\u671c","\u671d","\u671e","\u671f","\u6720","\u6721","\u6722","\u6723","\u6724","\u6725","\u6726","\u6727","\u6728","\u6729","\u672a","\u672b","\u672c","\u672d","\u672e","\u672f","\u6730","\u6731","\u6732","\u6733","\u6734","\u6735","\u6736","\u6737","\u6738","\u6739","\u673a","\u673b","\u673c","\u673d","\u673e","\u673f","\u6740","\u6741","\u6742","\u6743","\u6744","\u6745","\u6746","\u6747","\u6748","\u6749","\u674a","\u674b","\u674c","\u674d","\u674e","\u674f","\u6750","\u6751","\u6752","\u6753","\u6754","\u6755","\u6756","\u6757","\u6758","\u6759","\u675a","\u675b","\u675c","\u675d","\u675e","\u675f","\u6760","\u6761","\u6762","\u6763","\u6764","\u6765","\u6766","\u6767","\u6768","\u6769","\u676a","\u676b","\u676c","\u676d","\u676e","\u676f","\u6770","\u6771","\u6772","\u6773","\u6774","\u6775","\u6776","\u6777","\u6778","\u6779","\u677a","\u677b","\u677c","\u677d","\u677e","\u677f","\u6780","\u6781","\u6782","\u6783","\u6784","\u6785","\u6786","\u6787","\u6788","\u6789","\u678a","\u678b","\u678c","\u678d","\u678e","\u678f","\u6790","\u6791","\u6792","\u6793","\u6794","\u6795","\u6796","\u6797","\u6798","\u6799","\u679a","\u679b","\u679c","\u679d","\u679e","\u679f","\u67a0","\u67a1","\u67a2","\u67a3","\u67a4","\u67a5","\u67a6","\u67a7","\u67a8","\u67a9","\u67aa","\u67ab","\u67ac","\u67ad","\u67ae","\u67af","\u67b0","\u67b1","\u67b2","\u67b3","\u67b4","\u67b5","\u67b6","\u67b7","\u67b8","\u67b9","\u67ba","\u67bb","\u67bc","\u67bd","\u67be","\u67bf","\u67c0","\u67c1","\u67c2","\u67c3","\u67c4","\u67c5","\u67c6","\u67c7","\u67c8","\u67c9","\u67ca","\u67cb","\u67cc","\u67cd","\u67ce","\u67cf","\u67d0","\u67d1","\u67d2","\u67d3","\u67d4","\u67d5","\u67d6","\u67d7","\u67d8","\u67d9","\u67da","\u67db","\u67dc","\u67dd","\u67de","\u67df","\u67e0","\u67e1","\u67e2","\u67e3","\u67e4","\u67e5","\u67e6","\u67e7","\u67e8","\u67e9","\u67ea","\u67eb","\u67ec","\u67ed","\u67ee","\u67ef","\u67f0","\u67f1","\u67f2","\u67f3","\u67f4","\u67f5","\u67f6","\u67f7","\u67f8","\u67f9","\u67fa","\u67fb","\u67fc","\u67fd","\u67fe","\u67ff","\u6800","\u6801","\u6802","\u6803","\u6804","\u6805","\u6806","\u6807","\u6808","\u6809","\u680a","\u680b","\u680c","\u680d","\u680e","\u680f","\u6810","\u6811","\u6812","\u6813","\u6814","\u6815","\u6816","\u6817","\u6818","\u6819","\u681a","\u681b","\u681c","\u681d","\u681e","\u681f","\u6820","\u6821","\u6822","\u6823","\u6824","\u6825","\u6826","\u6827","\u6828","\u6829","\u682a","\u682b","\u682c","\u682d","\u682e","\u682f","\u6830","\u6831","\u6832","\u6833","\u6834","\u6835","\u6836","\u6837","\u6838","\u6839","\u683a","\u683b","\u683c","\u683d","\u683e","\u683f","\u6840","\u6841","\u6842","\u6843","\u6844","\u6845","\u6846","\u6847","\u6848","\u6849","\u684a","\u684b","\u684c","\u684d","\u684e","\u684f","\u6850","\u6851","\u6852","\u6853","\u6854","\u6855","\u6856","\u6857","\u6858","\u6859","\u685a","\u685b","\u685c","\u685d","\u685e","\u685f","\u6860","\u6861","\u6862","\u6863","\u6864","\u6865","\u6866","\u6867","\u6868","\u6869","\u686a","\u686b","\u686c","\u686d","\u686e","\u686f","\u6870","\u6871","\u6872","\u6873","\u6874","\u6875","\u6876","\u6877","\u6878","\u6879","\u687a","\u687b","\u687c","\u687d","\u687e","\u687f","\u6880","\u6881","\u6882","\u6883","\u6884","\u6885","\u6886","\u6887","\u6888","\u6889","\u688a","\u688b","\u688c","\u688d","\u688e","\u688f","\u6890","\u6891","\u6892","\u6893","\u6894","\u6895","\u6896","\u6897","\u6898","\u6899","\u689a","\u689b","\u689c","\u689d","\u689e","\u689f","\u68a0","\u68a1","\u68a2","\u68a3","\u68a4","\u68a5","\u68a6","\u68a7","\u68a8","\u68a9","\u68aa","\u68ab","\u68ac","\u68ad","\u68ae","\u68af","\u68b0","\u68b1","\u68b2","\u68b3","\u68b4","\u68b5","\u68b6","\u68b7","\u68b8","\u68b9","\u68ba","\u68bb","\u68bc","\u68bd","\u68be","\u68bf","\u68c0","\u68c1","\u68c2","\u68c3","\u68c4","\u68c5","\u68c6","\u68c7","\u68c8","\u68c9","\u68ca","\u68cb","\u68cc","\u68cd","\u68ce","\u68cf","\u68d0","\u68d1","\u68d2","\u68d3","\u68d4","\u68d5","\u68d6","\u68d7","\u68d8","\u68d9","\u68da","\u68db","\u68dc","\u68dd","\u68de","\u68df","\u68e0","\u68e1","\u68e2","\u68e3","\u68e4","\u68e5","\u68e6","\u68e7","\u68e8","\u68e9","\u68ea","\u68eb","\u68ec","\u68ed","\u68ee","\u68ef","\u68f0","\u68f1","\u68f2","\u68f3","\u68f4","\u68f5","\u68f6","\u68f7","\u68f8","\u68f9","\u68fa","\u68fb","\u68fc","\u68fd","\u68fe","\u68ff","\u6900","\u6901","\u6902","\u6903","\u6904","\u6905","\u6906","\u6907","\u6908","\u6909","\u690a","\u690b","\u690c","\u690d","\u690e","\u690f","\u6910","\u6911","\u6912","\u6913","\u6914","\u6915","\u6916","\u6917","\u6918","\u6919","\u691a","\u691b","\u691c","\u691d","\u691e","\u691f","\u6920","\u6921","\u6922","\u6923","\u6924","\u6925","\u6926","\u6927","\u6928","\u6929","\u692a","\u692b","\u692c","\u692d","\u692e","\u692f","\u6930","\u6931","\u6932","\u6933","\u6934","\u6935","\u6936","\u6937","\u6938","\u6939","\u693a","\u693b","\u693c","\u693d","\u693e","\u693f","\u6940","\u6941","\u6942","\u6943","\u6944","\u6945","\u6946","\u6947","\u6948","\u6949","\u694a","\u694b","\u694c","\u694d","\u694e","\u694f","\u6950","\u6951","\u6952","\u6953","\u6954","\u6955","\u6956","\u6957","\u6958","\u6959","\u695a","\u695b","\u695c","\u695d","\u695e","\u695f","\u6960","\u6961","\u6962","\u6963","\u6964","\u6965","\u6966","\u6967","\u6968","\u6969","\u696a","\u696b","\u696c","\u696d","\u696e","\u696f","\u6970","\u6971","\u6972","\u6973","\u6974","\u6975","\u6976","\u6977","\u6978","\u6979","\u697a","\u697b","\u697c","\u697d","\u697e","\u697f","\u6980","\u6981","\u6982","\u6983","\u6984","\u6985","\u6986","\u6987","\u6988","\u6989","\u698a","\u698b","\u698c","\u698d","\u698e","\u698f","\u6990","\u6991","\u6992","\u6993","\u6994","\u6995","\u6996","\u6997","\u6998","\u6999","\u699a","\u699b","\u699c","\u699d","\u699e","\u699f","\u69a0","\u69a1","\u69a2","\u69a3","\u69a4","\u69a5","\u69a6","\u69a7","\u69a8","\u69a9","\u69aa","\u69ab","\u69ac","\u69ad","\u69ae","\u69af","\u69b0","\u69b1","\u69b2","\u69b3","\u69b4","\u69b5","\u69b6","\u69b7","\u69b8","\u69b9","\u69ba","\u69bb","\u69bc","\u69bd","\u69be","\u69bf","\u69c0","\u69c1","\u69c2","\u69c3","\u69c4","\u69c5","\u69c6","\u69c7","\u69c8","\u69c9","\u69ca","\u69cb","\u69cc","\u69cd","\u69ce","\u69cf","\u69d0","\u69d1","\u69d2","\u69d3","\u69d4","\u69d5","\u69d6","\u69d7","\u69d8","\u69d9","\u69da","\u69db","\u69dc","\u69dd","\u69de","\u69df","\u69e0","\u69e1","\u69e2","\u69e3","\u69e4","\u69e5","\u69e6","\u69e7","\u69e8","\u69e9","\u69ea","\u69eb","\u69ec","\u69ed","\u69ee","\u69ef","\u69f0","\u69f1","\u69f2","\u69f3","\u69f4","\u69f5","\u69f6","\u69f7","\u69f8","\u69f9","\u69fa","\u69fb","\u69fc","\u69fd","\u69fe","\u69ff","\u6a00","\u6a01","\u6a02","\u6a03","\u6a04","\u6a05","\u6a06","\u6a07","\u6a08","\u6a09","\u6a0a","\u6a0b","\u6a0c","\u6a0d","\u6a0e","\u6a0f","\u6a10","\u6a11","\u6a12","\u6a13","\u6a14","\u6a15","\u6a16","\u6a17","\u6a18","\u6a19","\u6a1a","\u6a1b","\u6a1c","\u6a1d","\u6a1e","\u6a1f","\u6a20","\u6a21","\u6a22","\u6a23","\u6a24","\u6a25","\u6a26","\u6a27","\u6a28","\u6a29","\u6a2a","\u6a2b","\u6a2c","\u6a2d","\u6a2e","\u6a2f","\u6a30","\u6a31","\u6a32","\u6a33","\u6a34","\u6a35","\u6a36","\u6a37","\u6a38","\u6a39","\u6a3a","\u6a3b","\u6a3c","\u6a3d","\u6a3e","\u6a3f","\u6a40","\u6a41","\u6a42","\u6a43","\u6a44","\u6a45","\u6a46","\u6a47","\u6a48","\u6a49","\u6a4a","\u6a4b","\u6a4c","\u6a4d","\u6a4e","\u6a4f","\u6a50","\u6a51","\u6a52","\u6a53","\u6a54","\u6a55","\u6a56","\u6a57","\u6a58","\u6a59","\u6a5a","\u6a5b","\u6a5c","\u6a5d","\u6a5e","\u6a5f","\u6a60","\u6a61","\u6a62","\u6a63","\u6a64","\u6a65","\u6a66","\u6a67","\u6a68","\u6a69","\u6a6a","\u6a6b","\u6a6c","\u6a6d","\u6a6e","\u6a6f","\u6a70","\u6a71","\u6a72","\u6a73","\u6a74","\u6a75","\u6a76","\u6a77","\u6a78","\u6a79","\u6a7a","\u6a7b","\u6a7c","\u6a7d","\u6a7e","\u6a7f","\u6a80","\u6a81","\u6a82","\u6a83","\u6a84","\u6a85","\u6a86","\u6a87","\u6a88","\u6a89","\u6a8a","\u6a8b","\u6a8c","\u6a8d","\u6a8e","\u6a8f","\u6a90","\u6a91","\u6a92","\u6a93","\u6a94","\u6a95","\u6a96","\u6a97","\u6a98","\u6a99","\u6a9a","\u6a9b","\u6a9c","\u6a9d","\u6a9e","\u6a9f","\u6aa0","\u6aa1","\u6aa2","\u6aa3","\u6aa4","\u6aa5","\u6aa6","\u6aa7","\u6aa8","\u6aa9","\u6aaa","\u6aab","\u6aac","\u6aad","\u6aae","\u6aaf","\u6ab0","\u6ab1","\u6ab2","\u6ab3","\u6ab4","\u6ab5","\u6ab6","\u6ab7","\u6ab8","\u6ab9","\u6aba","\u6abb","\u6abc","\u6abd","\u6abe","\u6abf","\u6ac0","\u6ac1","\u6ac2","\u6ac3","\u6ac4","\u6ac5","\u6ac6","\u6ac7","\u6ac8","\u6ac9","\u6aca","\u6acb","\u6acc","\u6acd","\u6ace","\u6acf","\u6ad0","\u6ad1","\u6ad2","\u6ad3","\u6ad4","\u6ad5","\u6ad6","\u6ad7","\u6ad8","\u6ad9","\u6ada","\u6adb","\u6adc","\u6add","\u6ade","\u6adf","\u6ae0","\u6ae1","\u6ae2","\u6ae3","\u6ae4","\u6ae5","\u6ae6","\u6ae7","\u6ae8","\u6ae9","\u6aea","\u6aeb","\u6aec","\u6aed","\u6aee","\u6aef","\u6af0","\u6af1","\u6af2","\u6af3","\u6af4","\u6af5","\u6af6","\u6af7","\u6af8","\u6af9","\u6afa","\u6afb","\u6afc","\u6afd","\u6afe","\u6aff","\u6b00","\u6b01","\u6b02","\u6b03","\u6b04","\u6b05","\u6b06","\u6b07","\u6b08","\u6b09","\u6b0a","\u6b0b","\u6b0c","\u6b0d","\u6b0e","\u6b0f","\u6b10","\u6b11","\u6b12","\u6b13","\u6b14","\u6b15","\u6b16","\u6b17","\u6b18","\u6b19","\u6b1a","\u6b1b","\u6b1c","\u6b1d","\u6b1e","\u6b1f","\u6b20","\u6b21","\u6b22","\u6b23","\u6b24","\u6b25","\u6b26","\u6b27","\u6b28","\u6b29","\u6b2a","\u6b2b","\u6b2c","\u6b2d","\u6b2e","\u6b2f","\u6b30","\u6b31","\u6b32","\u6b33","\u6b34","\u6b35","\u6b36","\u6b37","\u6b38","\u6b39","\u6b3a","\u6b3b","\u6b3c","\u6b3d","\u6b3e","\u6b3f","\u6b40","\u6b41","\u6b42","\u6b43","\u6b44","\u6b45","\u6b46","\u6b47","\u6b48","\u6b49","\u6b4a","\u6b4b","\u6b4c","\u6b4d","\u6b4e","\u6b4f","\u6b50","\u6b51","\u6b52","\u6b53","\u6b54","\u6b55","\u6b56","\u6b57","\u6b58","\u6b59","\u6b5a","\u6b5b","\u6b5c","\u6b5d","\u6b5e","\u6b5f","\u6b60","\u6b61","\u6b62","\u6b63","\u6b64","\u6b65","\u6b66","\u6b67","\u6b68","\u6b69","\u6b6a","\u6b6b","\u6b6c","\u6b6d","\u6b6e","\u6b6f","\u6b70","\u6b71","\u6b72","\u6b73","\u6b74","\u6b75","\u6b76","\u6b77","\u6b78","\u6b79","\u6b7a","\u6b7b","\u6b7c","\u6b7d","\u6b7e","\u6b7f","\u6b80","\u6b81","\u6b82","\u6b83","\u6b84","\u6b85","\u6b86","\u6b87","\u6b88","\u6b89","\u6b8a","\u6b8b","\u6b8c","\u6b8d","\u6b8e","\u6b8f","\u6b90","\u6b91","\u6b92","\u6b93","\u6b94","\u6b95","\u6b96","\u6b97","\u6b98","\u6b99","\u6b9a","\u6b9b","\u6b9c","\u6b9d","\u6b9e","\u6b9f","\u6ba0","\u6ba1","\u6ba2","\u6ba3","\u6ba4","\u6ba5","\u6ba6","\u6ba7","\u6ba8","\u6ba9","\u6baa","\u6bab","\u6bac","\u6bad","\u6bae","\u6baf","\u6bb0","\u6bb1","\u6bb2","\u6bb3","\u6bb4","\u6bb5","\u6bb6","\u6bb7","\u6bb8","\u6bb9","\u6bba","\u6bbb","\u6bbc","\u6bbd","\u6bbe","\u6bbf","\u6bc0","\u6bc1","\u6bc2","\u6bc3","\u6bc4","\u6bc5","\u6bc6","\u6bc7","\u6bc8","\u6bc9","\u6bca","\u6bcb","\u6bcc","\u6bcd","\u6bce","\u6bcf","\u6bd0","\u6bd1","\u6bd2","\u6bd3","\u6bd4","\u6bd5","\u6bd6","\u6bd7","\u6bd8","\u6bd9","\u6bda","\u6bdb","\u6bdc","\u6bdd","\u6bde","\u6bdf","\u6be0","\u6be1","\u6be2","\u6be3","\u6be4","\u6be5","\u6be6","\u6be7","\u6be8","\u6be9","\u6bea","\u6beb","\u6bec","\u6bed","\u6bee","\u6bef","\u6bf0","\u6bf1","\u6bf2","\u6bf3","\u6bf4","\u6bf5","\u6bf6","\u6bf7","\u6bf8","\u6bf9","\u6bfa","\u6bfb","\u6bfc","\u6bfd","\u6bfe","\u6bff","\u6c00","\u6c01","\u6c02","\u6c03","\u6c04","\u6c05","\u6c06","\u6c07","\u6c08","\u6c09","\u6c0a","\u6c0b","\u6c0c","\u6c0d","\u6c0e","\u6c0f","\u6c10","\u6c11","\u6c12","\u6c13","\u6c14","\u6c15","\u6c16","\u6c17","\u6c18","\u6c19","\u6c1a","\u6c1b","\u6c1c","\u6c1d","\u6c1e","\u6c1f","\u6c20","\u6c21","\u6c22","\u6c23","\u6c24","\u6c25","\u6c26","\u6c27","\u6c28","\u6c29","\u6c2a","\u6c2b","\u6c2c","\u6c2d","\u6c2e","\u6c2f","\u6c30","\u6c31","\u6c32","\u6c33","\u6c34","\u6c35","\u6c36","\u6c37","\u6c38","\u6c39","\u6c3a","\u6c3b","\u6c3c","\u6c3d","\u6c3e","\u6c3f","\u6c40","\u6c41","\u6c42","\u6c43","\u6c44","\u6c45","\u6c46","\u6c47","\u6c48","\u6c49","\u6c4a","\u6c4b","\u6c4c","\u6c4d","\u6c4e","\u6c4f","\u6c50","\u6c51","\u6c52","\u6c53","\u6c54","\u6c55","\u6c56","\u6c57","\u6c58","\u6c59","\u6c5a","\u6c5b","\u6c5c","\u6c5d","\u6c5e","\u6c5f","\u6c60","\u6c61","\u6c62","\u6c63","\u6c64","\u6c65","\u6c66","\u6c67","\u6c68","\u6c69","\u6c6a","\u6c6b","\u6c6c","\u6c6d","\u6c6e","\u6c6f","\u6c70","\u6c71","\u6c72","\u6c73","\u6c74","\u6c75","\u6c76","\u6c77","\u6c78","\u6c79","\u6c7a","\u6c7b","\u6c7c","\u6c7d","\u6c7e","\u6c7f","\u6c80","\u6c81","\u6c82","\u6c83","\u6c84","\u6c85","\u6c86","\u6c87","\u6c88","\u6c89","\u6c8a","\u6c8b","\u6c8c","\u6c8d","\u6c8e","\u6c8f","\u6c90","\u6c91","\u6c92","\u6c93","\u6c94","\u6c95","\u6c96","\u6c97","\u6c98","\u6c99","\u6c9a","\u6c9b","\u6c9c","\u6c9d","\u6c9e","\u6c9f","\u6ca0","\u6ca1","\u6ca2","\u6ca3","\u6ca4","\u6ca5","\u6ca6","\u6ca7","\u6ca8","\u6ca9","\u6caa","\u6cab","\u6cac","\u6cad","\u6cae","\u6caf","\u6cb0","\u6cb1","\u6cb2","\u6cb3","\u6cb4","\u6cb5","\u6cb6","\u6cb7","\u6cb8","\u6cb9","\u6cba","\u6cbb","\u6cbc","\u6cbd","\u6cbe","\u6cbf","\u6cc0","\u6cc1","\u6cc2","\u6cc3","\u6cc4","\u6cc5","\u6cc6","\u6cc7","\u6cc8","\u6cc9","\u6cca","\u6ccb","\u6ccc","\u6ccd","\u6cce","\u6ccf","\u6cd0","\u6cd1","\u6cd2","\u6cd3","\u6cd4","\u6cd5","\u6cd6","\u6cd7","\u6cd8","\u6cd9","\u6cda","\u6cdb","\u6cdc","\u6cdd","\u6cde","\u6cdf","\u6ce0","\u6ce1","\u6ce2","\u6ce3","\u6ce4","\u6ce5","\u6ce6","\u6ce7","\u6ce8","\u6ce9","\u6cea","\u6ceb","\u6cec","\u6ced","\u6cee","\u6cef","\u6cf0","\u6cf1","\u6cf2","\u6cf3","\u6cf4","\u6cf5","\u6cf6","\u6cf7","\u6cf8","\u6cf9","\u6cfa","\u6cfb","\u6cfc","\u6cfd","\u6cfe","\u6cff","\u6d00","\u6d01","\u6d02","\u6d03","\u6d04","\u6d05","\u6d06","\u6d07","\u6d08","\u6d09","\u6d0a","\u6d0b","\u6d0c","\u6d0d","\u6d0e","\u6d0f","\u6d10","\u6d11","\u6d12","\u6d13","\u6d14","\u6d15","\u6d16","\u6d17","\u6d18","\u6d19","\u6d1a","\u6d1b","\u6d1c","\u6d1d","\u6d1e","\u6d1f","\u6d20","\u6d21","\u6d22","\u6d23","\u6d24","\u6d25","\u6d26","\u6d27","\u6d28","\u6d29","\u6d2a","\u6d2b","\u6d2c","\u6d2d","\u6d2e","\u6d2f","\u6d30","\u6d31","\u6d32","\u6d33","\u6d34","\u6d35","\u6d36","\u6d37","\u6d38","\u6d39","\u6d3a","\u6d3b","\u6d3c","\u6d3d","\u6d3e","\u6d3f","\u6d40","\u6d41","\u6d42","\u6d43","\u6d44","\u6d45","\u6d46","\u6d47","\u6d48","\u6d49","\u6d4a","\u6d4b","\u6d4c","\u6d4d","\u6d4e","\u6d4f","\u6d50","\u6d51","\u6d52","\u6d53","\u6d54","\u6d55","\u6d56","\u6d57","\u6d58","\u6d59","\u6d5a","\u6d5b","\u6d5c","\u6d5d","\u6d5e","\u6d5f","\u6d60","\u6d61","\u6d62","\u6d63","\u6d64","\u6d65","\u6d66","\u6d67","\u6d68","\u6d69","\u6d6a","\u6d6b","\u6d6c","\u6d6d","\u6d6e","\u6d6f","\u6d70","\u6d71","\u6d72","\u6d73","\u6d74","\u6d75","\u6d76","\u6d77","\u6d78","\u6d79","\u6d7a","\u6d7b","\u6d7c","\u6d7d","\u6d7e","\u6d7f","\u6d80","\u6d81","\u6d82","\u6d83","\u6d84","\u6d85","\u6d86","\u6d87","\u6d88","\u6d89","\u6d8a","\u6d8b","\u6d8c","\u6d8d","\u6d8e","\u6d8f","\u6d90","\u6d91","\u6d92","\u6d93","\u6d94","\u6d95","\u6d96","\u6d97","\u6d98","\u6d99","\u6d9a","\u6d9b","\u6d9c","\u6d9d","\u6d9e","\u6d9f","\u6da0","\u6da1","\u6da2","\u6da3","\u6da4","\u6da5","\u6da6","\u6da7","\u6da8","\u6da9","\u6daa","\u6dab","\u6dac","\u6dad","\u6dae","\u6daf","\u6db0","\u6db1","\u6db2","\u6db3","\u6db4","\u6db5","\u6db6","\u6db7","\u6db8","\u6db9","\u6dba","\u6dbb","\u6dbc","\u6dbd","\u6dbe","\u6dbf","\u6dc0","\u6dc1","\u6dc2","\u6dc3","\u6dc4","\u6dc5","\u6dc6","\u6dc7","\u6dc8","\u6dc9","\u6dca","\u6dcb","\u6dcc","\u6dcd","\u6dce","\u6dcf","\u6dd0","\u6dd1","\u6dd2","\u6dd3","\u6dd4","\u6dd5","\u6dd6","\u6dd7","\u6dd8","\u6dd9","\u6dda","\u6ddb","\u6ddc","\u6ddd","\u6dde","\u6ddf","\u6de0","\u6de1","\u6de2","\u6de3","\u6de4","\u6de5","\u6de6","\u6de7","\u6de8","\u6de9","\u6dea","\u6deb","\u6dec","\u6ded","\u6dee","\u6def","\u6df0","\u6df1","\u6df2","\u6df3","\u6df4","\u6df5","\u6df6","\u6df7","\u6df8","\u6df9","\u6dfa","\u6dfb","\u6dfc","\u6dfd","\u6dfe","\u6dff","\u6e00","\u6e01","\u6e02","\u6e03","\u6e04","\u6e05","\u6e06","\u6e07","\u6e08","\u6e09","\u6e0a","\u6e0b","\u6e0c","\u6e0d","\u6e0e","\u6e0f","\u6e10","\u6e11","\u6e12","\u6e13","\u6e14","\u6e15","\u6e16","\u6e17","\u6e18","\u6e19","\u6e1a","\u6e1b","\u6e1c","\u6e1d","\u6e1e","\u6e1f","\u6e20","\u6e21","\u6e22","\u6e23","\u6e24","\u6e25","\u6e26","\u6e27","\u6e28","\u6e29","\u6e2a","\u6e2b","\u6e2c","\u6e2d","\u6e2e","\u6e2f","\u6e30","\u6e31","\u6e32","\u6e33","\u6e34","\u6e35","\u6e36","\u6e37","\u6e38","\u6e39","\u6e3a","\u6e3b","\u6e3c","\u6e3d","\u6e3e","\u6e3f","\u6e40","\u6e41","\u6e42","\u6e43","\u6e44","\u6e45","\u6e46","\u6e47","\u6e48","\u6e49","\u6e4a","\u6e4b","\u6e4c","\u6e4d","\u6e4e","\u6e4f","\u6e50","\u6e51","\u6e52","\u6e53","\u6e54","\u6e55","\u6e56","\u6e57","\u6e58","\u6e59","\u6e5a","\u6e5b","\u6e5c","\u6e5d","\u6e5e","\u6e5f","\u6e60","\u6e61","\u6e62","\u6e63","\u6e64","\u6e65","\u6e66","\u6e67","\u6e68","\u6e69","\u6e6a","\u6e6b","\u6e6c","\u6e6d","\u6e6e","\u6e6f","\u6e70","\u6e71","\u6e72","\u6e73","\u6e74","\u6e75","\u6e76","\u6e77","\u6e78","\u6e79","\u6e7a","\u6e7b","\u6e7c","\u6e7d","\u6e7e","\u6e7f","\u6e80","\u6e81","\u6e82","\u6e83","\u6e84","\u6e85","\u6e86","\u6e87","\u6e88","\u6e89","\u6e8a","\u6e8b","\u6e8c","\u6e8d","\u6e8e","\u6e8f","\u6e90","\u6e91","\u6e92","\u6e93","\u6e94","\u6e95","\u6e96","\u6e97","\u6e98","\u6e99","\u6e9a","\u6e9b","\u6e9c","\u6e9d","\u6e9e","\u6e9f","\u6ea0","\u6ea1","\u6ea2","\u6ea3","\u6ea4","\u6ea5","\u6ea6","\u6ea7","\u6ea8","\u6ea9","\u6eaa","\u6eab","\u6eac","\u6ead","\u6eae","\u6eaf","\u6eb0","\u6eb1","\u6eb2","\u6eb3","\u6eb4","\u6eb5","\u6eb6","\u6eb7","\u6eb8","\u6eb9","\u6eba","\u6ebb","\u6ebc","\u6ebd","\u6ebe","\u6ebf","\u6ec0","\u6ec1","\u6ec2","\u6ec3","\u6ec4","\u6ec5","\u6ec6","\u6ec7","\u6ec8","\u6ec9","\u6eca","\u6ecb","\u6ecc","\u6ecd","\u6ece","\u6ecf","\u6ed0","\u6ed1","\u6ed2","\u6ed3","\u6ed4","\u6ed5","\u6ed6","\u6ed7","\u6ed8","\u6ed9","\u6eda","\u6edb","\u6edc","\u6edd","\u6ede","\u6edf","\u6ee0","\u6ee1","\u6ee2","\u6ee3","\u6ee4","\u6ee5","\u6ee6","\u6ee7","\u6ee8","\u6ee9","\u6eea","\u6eeb","\u6eec","\u6eed","\u6eee","\u6eef","\u6ef0","\u6ef1","\u6ef2","\u6ef3","\u6ef4","\u6ef5","\u6ef6","\u6ef7","\u6ef8","\u6ef9","\u6efa","\u6efb","\u6efc","\u6efd","\u6efe","\u6eff","\u6f00","\u6f01","\u6f02","\u6f03","\u6f04","\u6f05","\u6f06","\u6f07","\u6f08","\u6f09","\u6f0a","\u6f0b","\u6f0c","\u6f0d","\u6f0e","\u6f0f","\u6f10","\u6f11","\u6f12","\u6f13","\u6f14","\u6f15","\u6f16","\u6f17","\u6f18","\u6f19","\u6f1a","\u6f1b","\u6f1c","\u6f1d","\u6f1e","\u6f1f","\u6f20","\u6f21","\u6f22","\u6f23","\u6f24","\u6f25","\u6f26","\u6f27","\u6f28","\u6f29","\u6f2a","\u6f2b","\u6f2c","\u6f2d","\u6f2e","\u6f2f","\u6f30","\u6f31","\u6f32","\u6f33","\u6f34","\u6f35","\u6f36","\u6f37","\u6f38","\u6f39","\u6f3a","\u6f3b","\u6f3c","\u6f3d","\u6f3e","\u6f3f","\u6f40","\u6f41","\u6f42","\u6f43","\u6f44","\u6f45","\u6f46","\u6f47","\u6f48","\u6f49","\u6f4a","\u6f4b","\u6f4c","\u6f4d","\u6f4e","\u6f4f","\u6f50","\u6f51","\u6f52","\u6f53","\u6f54","\u6f55","\u6f56","\u6f57","\u6f58","\u6f59","\u6f5a","\u6f5b","\u6f5c","\u6f5d","\u6f5e","\u6f5f","\u6f60","\u6f61","\u6f62","\u6f63","\u6f64","\u6f65","\u6f66","\u6f67","\u6f68","\u6f69","\u6f6a","\u6f6b","\u6f6c","\u6f6d","\u6f6e","\u6f6f","\u6f70","\u6f71","\u6f72","\u6f73","\u6f74","\u6f75","\u6f76","\u6f77","\u6f78","\u6f79","\u6f7a","\u6f7b","\u6f7c","\u6f7d","\u6f7e","\u6f7f","\u6f80","\u6f81","\u6f82","\u6f83","\u6f84","\u6f85","\u6f86","\u6f87","\u6f88","\u6f89","\u6f8a","\u6f8b","\u6f8c","\u6f8d","\u6f8e","\u6f8f","\u6f90","\u6f91","\u6f92","\u6f93","\u6f94","\u6f95","\u6f96","\u6f97","\u6f98","\u6f99","\u6f9a","\u6f9b","\u6f9c","\u6f9d","\u6f9e","\u6f9f","\u6fa0","\u6fa1","\u6fa2","\u6fa3","\u6fa4","\u6fa5","\u6fa6","\u6fa7","\u6fa8","\u6fa9","\u6faa","\u6fab","\u6fac","\u6fad","\u6fae","\u6faf","\u6fb0","\u6fb1","\u6fb2","\u6fb3","\u6fb4","\u6fb5","\u6fb6","\u6fb7","\u6fb8","\u6fb9","\u6fba","\u6fbb","\u6fbc","\u6fbd","\u6fbe","\u6fbf","\u6fc0","\u6fc1","\u6fc2","\u6fc3","\u6fc4","\u6fc5","\u6fc6","\u6fc7","\u6fc8","\u6fc9","\u6fca","\u6fcb","\u6fcc","\u6fcd","\u6fce","\u6fcf","\u6fd0","\u6fd1","\u6fd2","\u6fd3","\u6fd4","\u6fd5","\u6fd6","\u6fd7","\u6fd8","\u6fd9","\u6fda","\u6fdb","\u6fdc","\u6fdd","\u6fde","\u6fdf","\u6fe0","\u6fe1","\u6fe2","\u6fe3","\u6fe4","\u6fe5","\u6fe6","\u6fe7","\u6fe8","\u6fe9","\u6fea","\u6feb","\u6fec","\u6fed","\u6fee","\u6fef","\u6ff0","\u6ff1","\u6ff2","\u6ff3","\u6ff4","\u6ff5","\u6ff6","\u6ff7","\u6ff8","\u6ff9","\u6ffa","\u6ffb","\u6ffc","\u6ffd","\u6ffe","\u6fff","\u7000","\u7001","\u7002","\u7003","\u7004","\u7005","\u7006","\u7007","\u7008","\u7009","\u700a","\u700b","\u700c","\u700d","\u700e","\u700f","\u7010","\u7011","\u7012","\u7013","\u7014","\u7015","\u7016","\u7017","\u7018","\u7019","\u701a","\u701b","\u701c","\u701d","\u701e","\u701f","\u7020","\u7021","\u7022","\u7023","\u7024","\u7025","\u7026","\u7027","\u7028","\u7029","\u702a","\u702b","\u702c","\u702d","\u702e","\u702f","\u7030","\u7031","\u7032","\u7033","\u7034","\u7035","\u7036","\u7037","\u7038","\u7039","\u703a","\u703b","\u703c","\u703d","\u703e","\u703f","\u7040","\u7041","\u7042","\u7043","\u7044","\u7045","\u7046","\u7047","\u7048","\u7049","\u704a","\u704b","\u704c","\u704d","\u704e","\u704f","\u7050","\u7051","\u7052","\u7053","\u7054","\u7055","\u7056","\u7057","\u7058","\u7059","\u705a","\u705b","\u705c","\u705d","\u705e","\u705f","\u7060","\u7061","\u7062","\u7063","\u7064","\u7065","\u7066","\u7067","\u7068","\u7069","\u706a","\u706b","\u706c","\u706d","\u706e","\u706f","\u7070","\u7071","\u7072","\u7073","\u7074","\u7075","\u7076","\u7077","\u7078","\u7079","\u707a","\u707b","\u707c","\u707d","\u707e","\u707f","\u7080","\u7081","\u7082","\u7083","\u7084","\u7085","\u7086","\u7087","\u7088","\u7089","\u708a","\u708b","\u708c","\u708d","\u708e","\u708f","\u7090","\u7091","\u7092","\u7093","\u7094","\u7095","\u7096","\u7097","\u7098","\u7099","\u709a","\u709b","\u709c","\u709d","\u709e","\u709f","\u70a0","\u70a1","\u70a2","\u70a3","\u70a4","\u70a5","\u70a6","\u70a7","\u70a8","\u70a9","\u70aa","\u70ab","\u70ac","\u70ad","\u70ae","\u70af","\u70b0","\u70b1","\u70b2","\u70b3","\u70b4","\u70b5","\u70b6","\u70b7","\u70b8","\u70b9","\u70ba","\u70bb","\u70bc","\u70bd","\u70be","\u70bf","\u70c0","\u70c1","\u70c2","\u70c3","\u70c4","\u70c5","\u70c6","\u70c7","\u70c8","\u70c9","\u70ca","\u70cb","\u70cc","\u70cd","\u70ce","\u70cf","\u70d0","\u70d1","\u70d2","\u70d3","\u70d4","\u70d5","\u70d6","\u70d7","\u70d8","\u70d9","\u70da","\u70db","\u70dc","\u70dd","\u70de","\u70df","\u70e0","\u70e1","\u70e2","\u70e3","\u70e4","\u70e5","\u70e6","\u70e7","\u70e8","\u70e9","\u70ea","\u70eb","\u70ec","\u70ed","\u70ee","\u70ef","\u70f0","\u70f1","\u70f2","\u70f3","\u70f4","\u70f5","\u70f6","\u70f7","\u70f8","\u70f9","\u70fa","\u70fb","\u70fc","\u70fd","\u70fe","\u70ff","\u7100","\u7101","\u7102","\u7103","\u7104","\u7105","\u7106","\u7107","\u7108","\u7109","\u710a","\u710b","\u710c","\u710d","\u710e","\u710f","\u7110","\u7111","\u7112","\u7113","\u7114","\u7115","\u7116","\u7117","\u7118","\u7119","\u711a","\u711b","\u711c","\u711d","\u711e","\u711f","\u7120","\u7121","\u7122","\u7123","\u7124","\u7125","\u7126","\u7127","\u7128","\u7129","\u712a","\u712b","\u712c","\u712d","\u712e","\u712f","\u7130","\u7131","\u7132","\u7133","\u7134","\u7135","\u7136","\u7137","\u7138","\u7139","\u713a","\u713b","\u713c","\u713d","\u713e","\u713f","\u7140","\u7141","\u7142","\u7143","\u7144","\u7145","\u7146","\u7147","\u7148","\u7149","\u714a","\u714b","\u714c","\u714d","\u714e","\u714f","\u7150","\u7151","\u7152","\u7153","\u7154","\u7155","\u7156","\u7157","\u7158","\u7159","\u715a","\u715b","\u715c","\u715d","\u715e","\u715f","\u7160","\u7161","\u7162","\u7163","\u7164","\u7165","\u7166","\u7167","\u7168","\u7169","\u716a","\u716b","\u716c","\u716d","\u716e","\u716f","\u7170","\u7171","\u7172","\u7173","\u7174","\u7175","\u7176","\u7177","\u7178","\u7179","\u717a","\u717b","\u717c","\u717d","\u717e","\u717f","\u7180","\u7181","\u7182","\u7183","\u7184","\u7185","\u7186","\u7187","\u7188","\u7189","\u718a","\u718b","\u718c","\u718d","\u718e","\u718f","\u7190","\u7191","\u7192","\u7193","\u7194","\u7195","\u7196","\u7197","\u7198","\u7199","\u719a","\u719b","\u719c","\u719d","\u719e","\u719f","\u71a0","\u71a1","\u71a2","\u71a3","\u71a4","\u71a5","\u71a6","\u71a7","\u71a8","\u71a9","\u71aa","\u71ab","\u71ac","\u71ad","\u71ae","\u71af","\u71b0","\u71b1","\u71b2","\u71b3","\u71b4","\u71b5","\u71b6","\u71b7","\u71b8","\u71b9","\u71ba","\u71bb","\u71bc","\u71bd","\u71be","\u71bf","\u71c0","\u71c1","\u71c2","\u71c3","\u71c4","\u71c5","\u71c6","\u71c7","\u71c8","\u71c9","\u71ca","\u71cb","\u71cc","\u71cd","\u71ce","\u71cf","\u71d0","\u71d1","\u71d2","\u71d3","\u71d4","\u71d5","\u71d6","\u71d7","\u71d8","\u71d9","\u71da","\u71db","\u71dc","\u71dd","\u71de","\u71df","\u71e0","\u71e1","\u71e2","\u71e3","\u71e4","\u71e5","\u71e6","\u71e7","\u71e8","\u71e9","\u71ea","\u71eb","\u71ec","\u71ed","\u71ee","\u71ef","\u71f0","\u71f1","\u71f2","\u71f3","\u71f4","\u71f5","\u71f6","\u71f7","\u71f8","\u71f9","\u71fa","\u71fb","\u71fc","\u71fd","\u71fe","\u71ff","\u7200","\u7201","\u7202","\u7203","\u7204","\u7205","\u7206","\u7207","\u7208","\u7209","\u720a","\u720b","\u720c","\u720d","\u720e","\u720f","\u7210","\u7211","\u7212","\u7213","\u7214","\u7215","\u7216","\u7217","\u7218","\u7219","\u721a","\u721b","\u721c","\u721d","\u721e","\u721f","\u7220","\u7221","\u7222","\u7223","\u7224","\u7225","\u7226","\u7227","\u7228","\u7229","\u722a","\u722b","\u722c","\u722d","\u722e","\u722f","\u7230","\u7231","\u7232","\u7233","\u7234","\u7235","\u7236","\u7237","\u7238","\u7239","\u723a","\u723b","\u723c","\u723d","\u723e","\u723f","\u7240","\u7241","\u7242","\u7243","\u7244","\u7245","\u7246","\u7247","\u7248","\u7249","\u724a","\u724b","\u724c","\u724d","\u724e","\u724f","\u7250","\u7251","\u7252","\u7253","\u7254","\u7255","\u7256","\u7257","\u7258","\u7259","\u725a","\u725b","\u725c","\u725d","\u725e","\u725f","\u7260","\u7261","\u7262","\u7263","\u7264","\u7265","\u7266","\u7267","\u7268","\u7269","\u726a","\u726b","\u726c","\u726d","\u726e","\u726f","\u7270","\u7271","\u7272","\u7273","\u7274","\u7275","\u7276","\u7277","\u7278","\u7279","\u727a","\u727b","\u727c","\u727d","\u727e","\u727f","\u7280","\u7281","\u7282","\u7283","\u7284","\u7285","\u7286","\u7287","\u7288","\u7289","\u728a","\u728b","\u728c","\u728d","\u728e","\u728f","\u7290","\u7291","\u7292","\u7293","\u7294","\u7295","\u7296","\u7297","\u7298","\u7299","\u729a","\u729b","\u729c","\u729d","\u729e","\u729f","\u72a0","\u72a1","\u72a2","\u72a3","\u72a4","\u72a5","\u72a6","\u72a7","\u72a8","\u72a9","\u72aa","\u72ab","\u72ac","\u72ad","\u72ae","\u72af","\u72b0","\u72b1","\u72b2","\u72b3","\u72b4","\u72b5","\u72b6","\u72b7","\u72b8","\u72b9","\u72ba","\u72bb","\u72bc","\u72bd","\u72be","\u72bf","\u72c0","\u72c1","\u72c2","\u72c3","\u72c4","\u72c5","\u72c6","\u72c7","\u72c8","\u72c9","\u72ca","\u72cb","\u72cc","\u72cd","\u72ce","\u72cf","\u72d0","\u72d1","\u72d2","\u72d3","\u72d4","\u72d5","\u72d6","\u72d7","\u72d8","\u72d9","\u72da","\u72db","\u72dc","\u72dd","\u72de","\u72df","\u72e0","\u72e1","\u72e2","\u72e3","\u72e4","\u72e5","\u72e6","\u72e7","\u72e8","\u72e9","\u72ea","\u72eb","\u72ec","\u72ed","\u72ee","\u72ef","\u72f0","\u72f1","\u72f2","\u72f3","\u72f4","\u72f5","\u72f6","\u72f7","\u72f8","\u72f9","\u72fa","\u72fb","\u72fc","\u72fd","\u72fe","\u72ff","\u7300","\u7301","\u7302","\u7303","\u7304","\u7305","\u7306","\u7307","\u7308","\u7309","\u730a","\u730b","\u730c","\u730d","\u730e","\u730f","\u7310","\u7311","\u7312","\u7313","\u7314","\u7315","\u7316","\u7317","\u7318","\u7319","\u731a","\u731b","\u731c","\u731d","\u731e","\u731f","\u7320","\u7321","\u7322","\u7323","\u7324","\u7325","\u7326","\u7327","\u7328","\u7329","\u732a","\u732b","\u732c","\u732d","\u732e","\u732f","\u7330","\u7331","\u7332","\u7333","\u7334","\u7335","\u7336","\u7337","\u7338","\u7339","\u733a","\u733b","\u733c","\u733d","\u733e","\u733f","\u7340","\u7341","\u7342","\u7343","\u7344","\u7345","\u7346","\u7347","\u7348","\u7349","\u734a","\u734b","\u734c","\u734d","\u734e","\u734f","\u7350","\u7351","\u7352","\u7353","\u7354","\u7355","\u7356","\u7357","\u7358","\u7359","\u735a","\u735b","\u735c","\u735d","\u735e","\u735f","\u7360","\u7361","\u7362","\u7363","\u7364","\u7365","\u7366","\u7367","\u7368","\u7369","\u736a","\u736b","\u736c","\u736d","\u736e","\u736f","\u7370","\u7371","\u7372","\u7373","\u7374","\u7375","\u7376","\u7377","\u7378","\u7379","\u737a","\u737b","\u737c","\u737d","\u737e","\u737f","\u7380","\u7381","\u7382","\u7383","\u7384","\u7385","\u7386","\u7387","\u7388","\u7389","\u738a","\u738b","\u738c","\u738d","\u738e","\u738f","\u7390","\u7391","\u7392","\u7393","\u7394","\u7395","\u7396","\u7397","\u7398","\u7399","\u739a","\u739b","\u739c","\u739d","\u739e","\u739f","\u73a0","\u73a1","\u73a2","\u73a3","\u73a4","\u73a5","\u73a6","\u73a7","\u73a8","\u73a9","\u73aa","\u73ab","\u73ac","\u73ad","\u73ae","\u73af","\u73b0","\u73b1","\u73b2","\u73b3","\u73b4","\u73b5","\u73b6","\u73b7","\u73b8","\u73b9","\u73ba","\u73bb","\u73bc","\u73bd","\u73be","\u73bf","\u73c0","\u73c1","\u73c2","\u73c3","\u73c4","\u73c5","\u73c6","\u73c7","\u73c8","\u73c9","\u73ca","\u73cb","\u73cc","\u73cd","\u73ce","\u73cf","\u73d0","\u73d1","\u73d2","\u73d3","\u73d4","\u73d5","\u73d6","\u73d7","\u73d8","\u73d9","\u73da","\u73db","\u73dc","\u73dd","\u73de","\u73df","\u73e0","\u73e1","\u73e2","\u73e3","\u73e4","\u73e5","\u73e6","\u73e7","\u73e8","\u73e9","\u73ea","\u73eb","\u73ec","\u73ed","\u73ee","\u73ef","\u73f0","\u73f1","\u73f2","\u73f3","\u73f4","\u73f5","\u73f6","\u73f7","\u73f8","\u73f9","\u73fa","\u73fb","\u73fc","\u73fd","\u73fe","\u73ff","\u7400","\u7401","\u7402","\u7403","\u7404","\u7405","\u7406","\u7407","\u7408","\u7409","\u740a","\u740b","\u740c","\u740d","\u740e","\u740f","\u7410","\u7411","\u7412","\u7413","\u7414","\u7415","\u7416","\u7417","\u7418","\u7419","\u741a","\u741b","\u741c","\u741d","\u741e","\u741f","\u7420","\u7421","\u7422","\u7423","\u7424","\u7425","\u7426","\u7427","\u7428","\u7429","\u742a","\u742b","\u742c","\u742d","\u742e","\u742f","\u7430","\u7431","\u7432","\u7433","\u7434","\u7435","\u7436","\u7437","\u7438","\u7439","\u743a","\u743b","\u743c","\u743d","\u743e","\u743f","\u7440","\u7441","\u7442","\u7443","\u7444","\u7445","\u7446","\u7447","\u7448","\u7449","\u744a","\u744b","\u744c","\u744d","\u744e","\u744f","\u7450","\u7451","\u7452","\u7453","\u7454","\u7455","\u7456","\u7457","\u7458","\u7459","\u745a","\u745b","\u745c","\u745d","\u745e","\u745f","\u7460","\u7461","\u7462","\u7463","\u7464","\u7465","\u7466","\u7467","\u7468","\u7469","\u746a","\u746b","\u746c","\u746d","\u746e","\u746f","\u7470","\u7471","\u7472","\u7473","\u7474","\u7475","\u7476","\u7477","\u7478","\u7479","\u747a","\u747b","\u747c","\u747d","\u747e","\u747f","\u7480","\u7481","\u7482","\u7483","\u7484","\u7485","\u7486","\u7487","\u7488","\u7489","\u748a","\u748b","\u748c","\u748d","\u748e","\u748f","\u7490","\u7491","\u7492","\u7493","\u7494","\u7495","\u7496","\u7497","\u7498","\u7499","\u749a","\u749b","\u749c","\u749d","\u749e","\u749f","\u74a0","\u74a1","\u74a2","\u74a3","\u74a4","\u74a5","\u74a6","\u74a7","\u74a8","\u74a9","\u74aa","\u74ab","\u74ac","\u74ad","\u74ae","\u74af","\u74b0","\u74b1","\u74b2","\u74b3","\u74b4","\u74b5","\u74b6","\u74b7","\u74b8","\u74b9","\u74ba","\u74bb","\u74bc","\u74bd","\u74be","\u74bf","\u74c0","\u74c1","\u74c2","\u74c3","\u74c4","\u74c5","\u74c6","\u74c7","\u74c8","\u74c9","\u74ca","\u74cb","\u74cc","\u74cd","\u74ce","\u74cf","\u74d0","\u74d1","\u74d2","\u74d3","\u74d4","\u74d5","\u74d6","\u74d7","\u74d8","\u74d9","\u74da","\u74db","\u74dc","\u74dd","\u74de","\u74df","\u74e0","\u74e1","\u74e2","\u74e3","\u74e4","\u74e5","\u74e6","\u74e7","\u74e8","\u74e9","\u74ea","\u74eb","\u74ec","\u74ed","\u74ee","\u74ef","\u74f0","\u74f1","\u74f2","\u74f3","\u74f4","\u74f5","\u74f6","\u74f7","\u74f8","\u74f9","\u74fa","\u74fb","\u74fc","\u74fd","\u74fe","\u74ff","\u7500","\u7501","\u7502","\u7503","\u7504","\u7505","\u7506","\u7507","\u7508","\u7509","\u750a","\u750b","\u750c","\u750d","\u750e","\u750f","\u7510","\u7511","\u7512","\u7513","\u7514","\u7515","\u7516","\u7517","\u7518","\u7519","\u751a","\u751b","\u751c","\u751d","\u751e","\u751f","\u7520","\u7521","\u7522","\u7523","\u7524","\u7525","\u7526","\u7527","\u7528","\u7529","\u752a","\u752b","\u752c","\u752d","\u752e","\u752f","\u7530","\u7531","\u7532","\u7533","\u7534","\u7535","\u7536","\u7537","\u7538","\u7539","\u753a","\u753b","\u753c","\u753d","\u753e","\u753f","\u7540","\u7541","\u7542","\u7543","\u7544","\u7545","\u7546","\u7547","\u7548","\u7549","\u754a","\u754b","\u754c","\u754d","\u754e","\u754f","\u7550","\u7551","\u7552","\u7553","\u7554","\u7555","\u7556","\u7557","\u7558","\u7559","\u755a","\u755b","\u755c","\u755d","\u755e","\u755f","\u7560","\u7561","\u7562","\u7563","\u7564","\u7565","\u7566","\u7567","\u7568","\u7569","\u756a","\u756b","\u756c","\u756d","\u756e","\u756f","\u7570","\u7571","\u7572","\u7573","\u7574","\u7575","\u7576","\u7577","\u7578","\u7579","\u757a","\u757b","\u757c","\u757d","\u757e","\u757f","\u7580","\u7581","\u7582","\u7583","\u7584","\u7585","\u7586","\u7587","\u7588","\u7589","\u758a","\u758b","\u758c","\u758d","\u758e","\u758f","\u7590","\u7591","\u7592","\u7593","\u7594","\u7595","\u7596","\u7597","\u7598","\u7599","\u759a","\u759b","\u759c","\u759d","\u759e","\u759f","\u75a0","\u75a1","\u75a2","\u75a3","\u75a4","\u75a5","\u75a6","\u75a7","\u75a8","\u75a9","\u75aa","\u75ab","\u75ac","\u75ad","\u75ae","\u75af","\u75b0","\u75b1","\u75b2","\u75b3","\u75b4","\u75b5","\u75b6","\u75b7","\u75b8","\u75b9","\u75ba","\u75bb","\u75bc","\u75bd","\u75be","\u75bf","\u75c0","\u75c1","\u75c2","\u75c3","\u75c4","\u75c5","\u75c6","\u75c7","\u75c8","\u75c9","\u75ca","\u75cb","\u75cc","\u75cd","\u75ce","\u75cf","\u75d0","\u75d1","\u75d2","\u75d3","\u75d4","\u75d5","\u75d6","\u75d7","\u75d8","\u75d9","\u75da","\u75db","\u75dc","\u75dd","\u75de","\u75df","\u75e0","\u75e1","\u75e2","\u75e3","\u75e4","\u75e5","\u75e6","\u75e7","\u75e8","\u75e9","\u75ea","\u75eb","\u75ec","\u75ed","\u75ee","\u75ef","\u75f0","\u75f1","\u75f2","\u75f3","\u75f4","\u75f5","\u75f6","\u75f7","\u75f8","\u75f9","\u75fa","\u75fb","\u75fc","\u75fd","\u75fe","\u75ff","\u7600","\u7601","\u7602","\u7603","\u7604","\u7605","\u7606","\u7607","\u7608","\u7609","\u760a","\u760b","\u760c","\u760d","\u760e","\u760f","\u7610","\u7611","\u7612","\u7613","\u7614","\u7615","\u7616","\u7617","\u7618","\u7619","\u761a","\u761b","\u761c","\u761d","\u761e","\u761f","\u7620","\u7621","\u7622","\u7623","\u7624","\u7625","\u7626","\u7627","\u7628","\u7629","\u762a","\u762b","\u762c","\u762d","\u762e","\u762f","\u7630","\u7631","\u7632","\u7633","\u7634","\u7635","\u7636","\u7637","\u7638","\u7639","\u763a","\u763b","\u763c","\u763d","\u763e","\u763f","\u7640","\u7641","\u7642","\u7643","\u7644","\u7645","\u7646","\u7647","\u7648","\u7649","\u764a","\u764b","\u764c","\u764d","\u764e","\u764f","\u7650","\u7651","\u7652","\u7653","\u7654","\u7655","\u7656","\u7657","\u7658","\u7659","\u765a","\u765b","\u765c","\u765d","\u765e","\u765f","\u7660","\u7661","\u7662","\u7663","\u7664","\u7665","\u7666","\u7667","\u7668","\u7669","\u766a","\u766b","\u766c","\u766d","\u766e","\u766f","\u7670","\u7671","\u7672","\u7673","\u7674","\u7675","\u7676","\u7677","\u7678","\u7679","\u767a","\u767b","\u767c","\u767d","\u767e","\u767f","\u7680","\u7681","\u7682","\u7683","\u7684","\u7685","\u7686","\u7687","\u7688","\u7689","\u768a","\u768b","\u768c","\u768d","\u768e","\u768f","\u7690","\u7691","\u7692","\u7693","\u7694","\u7695","\u7696","\u7697","\u7698","\u7699","\u769a","\u769b","\u769c","\u769d","\u769e","\u769f","\u76a0","\u76a1","\u76a2","\u76a3","\u76a4","\u76a5","\u76a6","\u76a7","\u76a8","\u76a9","\u76aa","\u76ab","\u76ac","\u76ad","\u76ae","\u76af","\u76b0","\u76b1","\u76b2","\u76b3","\u76b4","\u76b5","\u76b6","\u76b7","\u76b8","\u76b9","\u76ba","\u76bb","\u76bc","\u76bd","\u76be","\u76bf","\u76c0","\u76c1","\u76c2","\u76c3","\u76c4","\u76c5","\u76c6","\u76c7","\u76c8","\u76c9","\u76ca","\u76cb","\u76cc","\u76cd","\u76ce","\u76cf","\u76d0","\u76d1","\u76d2","\u76d3","\u76d4","\u76d5","\u76d6","\u76d7","\u76d8","\u76d9","\u76da","\u76db","\u76dc","\u76dd","\u76de","\u76df","\u76e0","\u76e1","\u76e2","\u76e3","\u76e4","\u76e5","\u76e6","\u76e7","\u76e8","\u76e9","\u76ea","\u76eb","\u76ec","\u76ed","\u76ee","\u76ef","\u76f0","\u76f1","\u76f2","\u76f3","\u76f4","\u76f5","\u76f6","\u76f7","\u76f8","\u76f9","\u76fa","\u76fb","\u76fc","\u76fd","\u76fe","\u76ff","\u7700","\u7701","\u7702","\u7703","\u7704","\u7705","\u7706","\u7707","\u7708","\u7709","\u770a","\u770b","\u770c","\u770d","\u770e","\u770f","\u7710","\u7711","\u7712","\u7713","\u7714","\u7715","\u7716","\u7717","\u7718","\u7719","\u771a","\u771b","\u771c","\u771d","\u771e","\u771f","\u7720","\u7721","\u7722","\u7723","\u7724","\u7725","\u7726","\u7727","\u7728","\u7729","\u772a","\u772b","\u772c","\u772d","\u772e","\u772f","\u7730","\u7731","\u7732","\u7733","\u7734","\u7735","\u7736","\u7737","\u7738","\u7739","\u773a","\u773b","\u773c","\u773d","\u773e","\u773f","\u7740","\u7741","\u7742","\u7743","\u7744","\u7745","\u7746","\u7747","\u7748","\u7749","\u774a","\u774b","\u774c","\u774d","\u774e","\u774f","\u7750","\u7751","\u7752","\u7753","\u7754","\u7755","\u7756","\u7757","\u7758","\u7759","\u775a","\u775b","\u775c","\u775d","\u775e","\u775f","\u7760","\u7761","\u7762","\u7763","\u7764","\u7765","\u7766","\u7767","\u7768","\u7769","\u776a","\u776b","\u776c","\u776d","\u776e","\u776f","\u7770","\u7771","\u7772","\u7773","\u7774","\u7775","\u7776","\u7777","\u7778","\u7779","\u777a","\u777b","\u777c","\u777d","\u777e","\u777f","\u7780","\u7781","\u7782","\u7783","\u7784","\u7785","\u7786","\u7787","\u7788","\u7789","\u778a","\u778b","\u778c","\u778d","\u778e","\u778f","\u7790","\u7791","\u7792","\u7793","\u7794","\u7795","\u7796","\u7797","\u7798","\u7799","\u779a","\u779b","\u779c","\u779d","\u779e","\u779f","\u77a0","\u77a1","\u77a2","\u77a3","\u77a4","\u77a5","\u77a6","\u77a7","\u77a8","\u77a9","\u77aa","\u77ab","\u77ac","\u77ad","\u77ae","\u77af","\u77b0","\u77b1","\u77b2","\u77b3","\u77b4","\u77b5","\u77b6","\u77b7","\u77b8","\u77b9","\u77ba","\u77bb","\u77bc","\u77bd","\u77be","\u77bf","\u77c0","\u77c1","\u77c2","\u77c3","\u77c4","\u77c5","\u77c6","\u77c7","\u77c8","\u77c9","\u77ca","\u77cb","\u77cc","\u77cd","\u77ce","\u77cf","\u77d0","\u77d1","\u77d2","\u77d3","\u77d4","\u77d5","\u77d6","\u77d7","\u77d8","\u77d9","\u77da","\u77db","\u77dc","\u77dd","\u77de","\u77df","\u77e0","\u77e1","\u77e2","\u77e3","\u77e4","\u77e5","\u77e6","\u77e7","\u77e8","\u77e9","\u77ea","\u77eb","\u77ec","\u77ed","\u77ee","\u77ef","\u77f0","\u77f1","\u77f2","\u77f3","\u77f4","\u77f5","\u77f6","\u77f7","\u77f8","\u77f9","\u77fa","\u77fb","\u77fc","\u77fd","\u77fe","\u77ff","\u7800","\u7801","\u7802","\u7803","\u7804","\u7805","\u7806","\u7807","\u7808","\u7809","\u780a","\u780b","\u780c","\u780d","\u780e","\u780f","\u7810","\u7811","\u7812","\u7813","\u7814","\u7815","\u7816","\u7817","\u7818","\u7819","\u781a","\u781b","\u781c","\u781d","\u781e","\u781f","\u7820","\u7821","\u7822","\u7823","\u7824","\u7825","\u7826","\u7827","\u7828","\u7829","\u782a","\u782b","\u782c","\u782d","\u782e","\u782f","\u7830","\u7831","\u7832","\u7833","\u7834","\u7835","\u7836","\u7837","\u7838","\u7839","\u783a","\u783b","\u783c","\u783d","\u783e","\u783f","\u7840","\u7841","\u7842","\u7843","\u7844","\u7845","\u7846","\u7847","\u7848","\u7849","\u784a","\u784b","\u784c","\u784d","\u784e","\u784f","\u7850","\u7851","\u7852","\u7853","\u7854","\u7855","\u7856","\u7857","\u7858","\u7859","\u785a","\u785b","\u785c","\u785d","\u785e","\u785f","\u7860","\u7861","\u7862","\u7863","\u7864","\u7865","\u7866","\u7867","\u7868","\u7869","\u786a","\u786b","\u786c","\u786d","\u786e","\u786f","\u7870","\u7871","\u7872","\u7873","\u7874","\u7875","\u7876","\u7877","\u7878","\u7879","\u787a","\u787b","\u787c","\u787d","\u787e","\u787f","\u7880","\u7881","\u7882","\u7883","\u7884","\u7885","\u7886","\u7887","\u7888","\u7889","\u788a","\u788b","\u788c","\u788d","\u788e","\u788f","\u7890","\u7891","\u7892","\u7893","\u7894","\u7895","\u7896","\u7897","\u7898","\u7899","\u789a","\u789b","\u789c","\u789d","\u789e","\u789f","\u78a0","\u78a1","\u78a2","\u78a3","\u78a4","\u78a5","\u78a6","\u78a7","\u78a8","\u78a9","\u78aa","\u78ab","\u78ac","\u78ad","\u78ae","\u78af","\u78b0","\u78b1","\u78b2","\u78b3","\u78b4","\u78b5","\u78b6","\u78b7","\u78b8","\u78b9","\u78ba","\u78bb","\u78bc","\u78bd","\u78be","\u78bf","\u78c0","\u78c1","\u78c2","\u78c3","\u78c4","\u78c5","\u78c6","\u78c7","\u78c8","\u78c9","\u78ca","\u78cb","\u78cc","\u78cd","\u78ce","\u78cf","\u78d0","\u78d1","\u78d2","\u78d3","\u78d4","\u78d5","\u78d6","\u78d7","\u78d8","\u78d9","\u78da","\u78db","\u78dc","\u78dd","\u78de","\u78df","\u78e0","\u78e1","\u78e2","\u78e3","\u78e4","\u78e5","\u78e6","\u78e7","\u78e8","\u78e9","\u78ea","\u78eb","\u78ec","\u78ed","\u78ee","\u78ef","\u78f0","\u78f1","\u78f2","\u78f3","\u78f4","\u78f5","\u78f6","\u78f7","\u78f8","\u78f9","\u78fa","\u78fb","\u78fc","\u78fd","\u78fe","\u78ff","\u7900","\u7901","\u7902","\u7903","\u7904","\u7905","\u7906","\u7907","\u7908","\u7909","\u790a","\u790b","\u790c","\u790d","\u790e","\u790f","\u7910","\u7911","\u7912","\u7913","\u7914","\u7915","\u7916","\u7917","\u7918","\u7919","\u791a","\u791b","\u791c","\u791d","\u791e","\u791f","\u7920","\u7921","\u7922","\u7923","\u7924","\u7925","\u7926","\u7927","\u7928","\u7929","\u792a","\u792b","\u792c","\u792d","\u792e","\u792f","\u7930","\u7931","\u7932","\u7933","\u7934","\u7935","\u7936","\u7937","\u7938","\u7939","\u793a","\u793b","\u793c","\u793d","\u793e","\u793f","\u7940","\u7941","\u7942","\u7943","\u7944","\u7945","\u7946","\u7947","\u7948","\u7949","\u794a","\u794b","\u794c","\u794d","\u794e","\u794f","\u7950","\u7951","\u7952","\u7953","\u7954","\u7955","\u7956","\u7957","\u7958","\u7959","\u795a","\u795b","\u795c","\u795d","\u795e","\u795f","\u7960","\u7961","\u7962","\u7963","\u7964","\u7965","\u7966","\u7967","\u7968","\u7969","\u796a","\u796b","\u796c","\u796d","\u796e","\u796f","\u7970","\u7971","\u7972","\u7973","\u7974","\u7975","\u7976","\u7977","\u7978","\u7979","\u797a","\u797b","\u797c","\u797d","\u797e","\u797f","\u7980","\u7981","\u7982","\u7983","\u7984","\u7985","\u7986","\u7987","\u7988","\u7989","\u798a","\u798b","\u798c","\u798d","\u798e","\u798f","\u7990","\u7991","\u7992","\u7993","\u7994","\u7995","\u7996","\u7997","\u7998","\u7999","\u799a","\u799b","\u799c","\u799d","\u799e","\u799f","\u79a0","\u79a1","\u79a2","\u79a3","\u79a4","\u79a5","\u79a6","\u79a7","\u79a8","\u79a9","\u79aa","\u79ab","\u79ac","\u79ad","\u79ae","\u79af","\u79b0","\u79b1","\u79b2","\u79b3","\u79b4","\u79b5","\u79b6","\u79b7","\u79b8","\u79b9","\u79ba","\u79bb","\u79bc","\u79bd","\u79be","\u79bf","\u79c0","\u79c1","\u79c2","\u79c3","\u79c4","\u79c5","\u79c6","\u79c7","\u79c8","\u79c9","\u79ca","\u79cb","\u79cc","\u79cd","\u79ce","\u79cf","\u79d0","\u79d1","\u79d2","\u79d3","\u79d4","\u79d5","\u79d6","\u79d7","\u79d8","\u79d9","\u79da","\u79db","\u79dc","\u79dd","\u79de","\u79df","\u79e0","\u79e1","\u79e2","\u79e3","\u79e4","\u79e5","\u79e6","\u79e7","\u79e8","\u79e9","\u79ea","\u79eb","\u79ec","\u79ed","\u79ee","\u79ef","\u79f0","\u79f1","\u79f2","\u79f3","\u79f4","\u79f5","\u79f6","\u79f7","\u79f8","\u79f9","\u79fa","\u79fb","\u79fc","\u79fd","\u79fe","\u79ff","\u7a00","\u7a01","\u7a02","\u7a03","\u7a04","\u7a05","\u7a06","\u7a07","\u7a08","\u7a09","\u7a0a","\u7a0b","\u7a0c","\u7a0d","\u7a0e","\u7a0f","\u7a10","\u7a11","\u7a12","\u7a13","\u7a14","\u7a15","\u7a16","\u7a17","\u7a18","\u7a19","\u7a1a","\u7a1b","\u7a1c","\u7a1d","\u7a1e","\u7a1f","\u7a20","\u7a21","\u7a22","\u7a23","\u7a24","\u7a25","\u7a26","\u7a27","\u7a28","\u7a29","\u7a2a","\u7a2b","\u7a2c","\u7a2d","\u7a2e","\u7a2f","\u7a30","\u7a31","\u7a32","\u7a33","\u7a34","\u7a35","\u7a36","\u7a37","\u7a38","\u7a39","\u7a3a","\u7a3b","\u7a3c","\u7a3d","\u7a3e","\u7a3f","\u7a40","\u7a41","\u7a42","\u7a43","\u7a44","\u7a45","\u7a46","\u7a47","\u7a48","\u7a49","\u7a4a","\u7a4b","\u7a4c","\u7a4d","\u7a4e","\u7a4f","\u7a50","\u7a51","\u7a52","\u7a53","\u7a54","\u7a55","\u7a56","\u7a57","\u7a58","\u7a59","\u7a5a","\u7a5b","\u7a5c","\u7a5d","\u7a5e","\u7a5f","\u7a60","\u7a61","\u7a62","\u7a63","\u7a64","\u7a65","\u7a66","\u7a67","\u7a68","\u7a69","\u7a6a","\u7a6b","\u7a6c","\u7a6d","\u7a6e","\u7a6f","\u7a70","\u7a71","\u7a72","\u7a73","\u7a74","\u7a75","\u7a76","\u7a77","\u7a78","\u7a79","\u7a7a","\u7a7b","\u7a7c","\u7a7d","\u7a7e","\u7a7f","\u7a80","\u7a81","\u7a82","\u7a83","\u7a84","\u7a85","\u7a86","\u7a87","\u7a88","\u7a89","\u7a8a","\u7a8b","\u7a8c","\u7a8d","\u7a8e","\u7a8f","\u7a90","\u7a91","\u7a92","\u7a93","\u7a94","\u7a95","\u7a96","\u7a97","\u7a98","\u7a99","\u7a9a","\u7a9b","\u7a9c","\u7a9d","\u7a9e","\u7a9f","\u7aa0","\u7aa1","\u7aa2","\u7aa3","\u7aa4","\u7aa5","\u7aa6","\u7aa7","\u7aa8","\u7aa9","\u7aaa","\u7aab","\u7aac","\u7aad","\u7aae","\u7aaf","\u7ab0","\u7ab1","\u7ab2","\u7ab3","\u7ab4","\u7ab5","\u7ab6","\u7ab7","\u7ab8","\u7ab9","\u7aba","\u7abb","\u7abc","\u7abd","\u7abe","\u7abf","\u7ac0","\u7ac1","\u7ac2","\u7ac3","\u7ac4","\u7ac5","\u7ac6","\u7ac7","\u7ac8","\u7ac9","\u7aca","\u7acb","\u7acc","\u7acd","\u7ace","\u7acf","\u7ad0","\u7ad1","\u7ad2","\u7ad3","\u7ad4","\u7ad5","\u7ad6","\u7ad7","\u7ad8","\u7ad9","\u7ada","\u7adb","\u7adc","\u7add","\u7ade","\u7adf","\u7ae0","\u7ae1","\u7ae2","\u7ae3","\u7ae4","\u7ae5","\u7ae6","\u7ae7","\u7ae8","\u7ae9","\u7aea","\u7aeb","\u7aec","\u7aed","\u7aee","\u7aef","\u7af0","\u7af1","\u7af2","\u7af3","\u7af4","\u7af5","\u7af6","\u7af7","\u7af8","\u7af9","\u7afa","\u7afb","\u7afc","\u7afd","\u7afe","\u7aff","\u7b00","\u7b01","\u7b02","\u7b03","\u7b04","\u7b05","\u7b06","\u7b07","\u7b08","\u7b09","\u7b0a","\u7b0b","\u7b0c","\u7b0d","\u7b0e","\u7b0f","\u7b10","\u7b11","\u7b12","\u7b13","\u7b14","\u7b15","\u7b16","\u7b17","\u7b18","\u7b19","\u7b1a","\u7b1b","\u7b1c","\u7b1d","\u7b1e","\u7b1f","\u7b20","\u7b21","\u7b22","\u7b23","\u7b24","\u7b25","\u7b26","\u7b27","\u7b28","\u7b29","\u7b2a","\u7b2b","\u7b2c","\u7b2d","\u7b2e","\u7b2f","\u7b30","\u7b31","\u7b32","\u7b33","\u7b34","\u7b35","\u7b36","\u7b37","\u7b38","\u7b39","\u7b3a","\u7b3b","\u7b3c","\u7b3d","\u7b3e","\u7b3f","\u7b40","\u7b41","\u7b42","\u7b43","\u7b44","\u7b45","\u7b46","\u7b47","\u7b48","\u7b49","\u7b4a","\u7b4b","\u7b4c","\u7b4d","\u7b4e","\u7b4f","\u7b50","\u7b51","\u7b52","\u7b53","\u7b54","\u7b55","\u7b56","\u7b57","\u7b58","\u7b59","\u7b5a","\u7b5b","\u7b5c","\u7b5d","\u7b5e","\u7b5f","\u7b60","\u7b61","\u7b62","\u7b63","\u7b64","\u7b65","\u7b66","\u7b67","\u7b68","\u7b69","\u7b6a","\u7b6b","\u7b6c","\u7b6d","\u7b6e","\u7b6f","\u7b70","\u7b71","\u7b72","\u7b73","\u7b74","\u7b75","\u7b76","\u7b77","\u7b78","\u7b79","\u7b7a","\u7b7b","\u7b7c","\u7b7d","\u7b7e","\u7b7f","\u7b80","\u7b81","\u7b82","\u7b83","\u7b84","\u7b85","\u7b86","\u7b87","\u7b88","\u7b89","\u7b8a","\u7b8b","\u7b8c","\u7b8d","\u7b8e","\u7b8f","\u7b90","\u7b91","\u7b92","\u7b93","\u7b94","\u7b95","\u7b96","\u7b97","\u7b98","\u7b99","\u7b9a","\u7b9b","\u7b9c","\u7b9d","\u7b9e","\u7b9f","\u7ba0","\u7ba1","\u7ba2","\u7ba3","\u7ba4","\u7ba5","\u7ba6","\u7ba7","\u7ba8","\u7ba9","\u7baa","\u7bab","\u7bac","\u7bad","\u7bae","\u7baf","\u7bb0","\u7bb1","\u7bb2","\u7bb3","\u7bb4","\u7bb5","\u7bb6","\u7bb7","\u7bb8","\u7bb9","\u7bba","\u7bbb","\u7bbc","\u7bbd","\u7bbe","\u7bbf","\u7bc0","\u7bc1","\u7bc2","\u7bc3","\u7bc4","\u7bc5","\u7bc6","\u7bc7","\u7bc8","\u7bc9","\u7bca","\u7bcb","\u7bcc","\u7bcd","\u7bce","\u7bcf","\u7bd0","\u7bd1","\u7bd2","\u7bd3","\u7bd4","\u7bd5","\u7bd6","\u7bd7","\u7bd8","\u7bd9","\u7bda","\u7bdb","\u7bdc","\u7bdd","\u7bde","\u7bdf","\u7be0","\u7be1","\u7be2","\u7be3","\u7be4","\u7be5","\u7be6","\u7be7","\u7be8","\u7be9","\u7bea","\u7beb","\u7bec","\u7bed","\u7bee","\u7bef","\u7bf0","\u7bf1","\u7bf2","\u7bf3","\u7bf4","\u7bf5","\u7bf6","\u7bf7","\u7bf8","\u7bf9","\u7bfa","\u7bfb","\u7bfc","\u7bfd","\u7bfe","\u7bff","\u7c00","\u7c01","\u7c02","\u7c03","\u7c04","\u7c05","\u7c06","\u7c07","\u7c08","\u7c09","\u7c0a","\u7c0b","\u7c0c","\u7c0d","\u7c0e","\u7c0f","\u7c10","\u7c11","\u7c12","\u7c13","\u7c14","\u7c15","\u7c16","\u7c17","\u7c18","\u7c19","\u7c1a","\u7c1b","\u7c1c","\u7c1d","\u7c1e","\u7c1f","\u7c20","\u7c21","\u7c22","\u7c23","\u7c24","\u7c25","\u7c26","\u7c27","\u7c28","\u7c29","\u7c2a","\u7c2b","\u7c2c","\u7c2d","\u7c2e","\u7c2f","\u7c30","\u7c31","\u7c32","\u7c33","\u7c34","\u7c35","\u7c36","\u7c37","\u7c38","\u7c39","\u7c3a","\u7c3b","\u7c3c","\u7c3d","\u7c3e","\u7c3f","\u7c40","\u7c41","\u7c42","\u7c43","\u7c44","\u7c45","\u7c46","\u7c47","\u7c48","\u7c49","\u7c4a","\u7c4b","\u7c4c","\u7c4d","\u7c4e","\u7c4f","\u7c50","\u7c51","\u7c52","\u7c53","\u7c54","\u7c55","\u7c56","\u7c57","\u7c58","\u7c59","\u7c5a","\u7c5b","\u7c5c","\u7c5d","\u7c5e","\u7c5f","\u7c60","\u7c61","\u7c62","\u7c63","\u7c64","\u7c65","\u7c66","\u7c67","\u7c68","\u7c69","\u7c6a","\u7c6b","\u7c6c","\u7c6d","\u7c6e","\u7c6f","\u7c70","\u7c71","\u7c72","\u7c73","\u7c74","\u7c75","\u7c76","\u7c77","\u7c78","\u7c79","\u7c7a","\u7c7b","\u7c7c","\u7c7d","\u7c7e","\u7c7f","\u7c80","\u7c81","\u7c82","\u7c83","\u7c84","\u7c85","\u7c86","\u7c87","\u7c88","\u7c89","\u7c8a","\u7c8b","\u7c8c","\u7c8d","\u7c8e","\u7c8f","\u7c90","\u7c91","\u7c92","\u7c93","\u7c94","\u7c95","\u7c96","\u7c97","\u7c98","\u7c99","\u7c9a","\u7c9b","\u7c9c","\u7c9d","\u7c9e","\u7c9f","\u7ca0","\u7ca1","\u7ca2","\u7ca3","\u7ca4","\u7ca5","\u7ca6","\u7ca7","\u7ca8","\u7ca9","\u7caa","\u7cab","\u7cac","\u7cad","\u7cae","\u7caf","\u7cb0","\u7cb1","\u7cb2","\u7cb3","\u7cb4","\u7cb5","\u7cb6","\u7cb7","\u7cb8","\u7cb9","\u7cba","\u7cbb","\u7cbc","\u7cbd","\u7cbe","\u7cbf","\u7cc0","\u7cc1","\u7cc2","\u7cc3","\u7cc4","\u7cc5","\u7cc6","\u7cc7","\u7cc8","\u7cc9","\u7cca","\u7ccb","\u7ccc","\u7ccd","\u7cce","\u7ccf","\u7cd0","\u7cd1","\u7cd2","\u7cd3","\u7cd4","\u7cd5","\u7cd6","\u7cd7","\u7cd8","\u7cd9","\u7cda","\u7cdb","\u7cdc","\u7cdd","\u7cde","\u7cdf","\u7ce0","\u7ce1","\u7ce2","\u7ce3","\u7ce4","\u7ce5","\u7ce6","\u7ce7","\u7ce8","\u7ce9","\u7cea","\u7ceb","\u7cec","\u7ced","\u7cee","\u7cef","\u7cf0","\u7cf1","\u7cf2","\u7cf3","\u7cf4","\u7cf5","\u7cf6","\u7cf7","\u7cf8","\u7cf9","\u7cfa","\u7cfb","\u7cfc","\u7cfd","\u7cfe","\u7cff","\u7d00","\u7d01","\u7d02","\u7d03","\u7d04","\u7d05","\u7d06","\u7d07","\u7d08","\u7d09","\u7d0a","\u7d0b","\u7d0c","\u7d0d","\u7d0e","\u7d0f","\u7d10","\u7d11","\u7d12","\u7d13","\u7d14","\u7d15","\u7d16","\u7d17","\u7d18","\u7d19","\u7d1a","\u7d1b","\u7d1c","\u7d1d","\u7d1e","\u7d1f","\u7d20","\u7d21","\u7d22","\u7d23","\u7d24","\u7d25","\u7d26","\u7d27","\u7d28","\u7d29","\u7d2a","\u7d2b","\u7d2c","\u7d2d","\u7d2e","\u7d2f","\u7d30","\u7d31","\u7d32","\u7d33","\u7d34","\u7d35","\u7d36","\u7d37","\u7d38","\u7d39","\u7d3a","\u7d3b","\u7d3c","\u7d3d","\u7d3e","\u7d3f","\u7d40","\u7d41","\u7d42","\u7d43","\u7d44","\u7d45","\u7d46","\u7d47","\u7d48","\u7d49","\u7d4a","\u7d4b","\u7d4c","\u7d4d","\u7d4e","\u7d4f","\u7d50","\u7d51","\u7d52","\u7d53","\u7d54","\u7d55","\u7d56","\u7d57","\u7d58","\u7d59","\u7d5a","\u7d5b","\u7d5c","\u7d5d","\u7d5e","\u7d5f","\u7d60","\u7d61","\u7d62","\u7d63","\u7d64","\u7d65","\u7d66","\u7d67","\u7d68","\u7d69","\u7d6a","\u7d6b","\u7d6c","\u7d6d","\u7d6e","\u7d6f","\u7d70","\u7d71","\u7d72","\u7d73","\u7d74","\u7d75","\u7d76","\u7d77","\u7d78","\u7d79","\u7d7a","\u7d7b","\u7d7c","\u7d7d","\u7d7e","\u7d7f","\u7d80","\u7d81","\u7d82","\u7d83","\u7d84","\u7d85","\u7d86","\u7d87","\u7d88","\u7d89","\u7d8a","\u7d8b","\u7d8c","\u7d8d","\u7d8e","\u7d8f","\u7d90","\u7d91","\u7d92","\u7d93","\u7d94","\u7d95","\u7d96","\u7d97","\u7d98","\u7d99","\u7d9a","\u7d9b","\u7d9c","\u7d9d","\u7d9e","\u7d9f","\u7da0","\u7da1","\u7da2","\u7da3","\u7da4","\u7da5","\u7da6","\u7da7","\u7da8","\u7da9","\u7daa","\u7dab","\u7dac","\u7dad","\u7dae","\u7daf","\u7db0","\u7db1","\u7db2","\u7db3","\u7db4","\u7db5","\u7db6","\u7db7","\u7db8","\u7db9","\u7dba","\u7dbb","\u7dbc","\u7dbd","\u7dbe","\u7dbf","\u7dc0","\u7dc1","\u7dc2","\u7dc3","\u7dc4","\u7dc5","\u7dc6","\u7dc7","\u7dc8","\u7dc9","\u7dca","\u7dcb","\u7dcc","\u7dcd","\u7dce","\u7dcf","\u7dd0","\u7dd1","\u7dd2","\u7dd3","\u7dd4","\u7dd5","\u7dd6","\u7dd7","\u7dd8","\u7dd9","\u7dda","\u7ddb","\u7ddc","\u7ddd","\u7dde","\u7ddf","\u7de0","\u7de1","\u7de2","\u7de3","\u7de4","\u7de5","\u7de6","\u7de7","\u7de8","\u7de9","\u7dea","\u7deb","\u7dec","\u7ded","\u7dee","\u7def","\u7df0","\u7df1","\u7df2","\u7df3","\u7df4","\u7df5","\u7df6","\u7df7","\u7df8","\u7df9","\u7dfa","\u7dfb","\u7dfc","\u7dfd","\u7dfe","\u7dff","\u7e00","\u7e01","\u7e02","\u7e03","\u7e04","\u7e05","\u7e06","\u7e07","\u7e08","\u7e09","\u7e0a","\u7e0b","\u7e0c","\u7e0d","\u7e0e","\u7e0f","\u7e10","\u7e11","\u7e12","\u7e13","\u7e14","\u7e15","\u7e16","\u7e17","\u7e18","\u7e19","\u7e1a","\u7e1b","\u7e1c","\u7e1d","\u7e1e","\u7e1f","\u7e20","\u7e21","\u7e22","\u7e23","\u7e24","\u7e25","\u7e26","\u7e27","\u7e28","\u7e29","\u7e2a","\u7e2b","\u7e2c","\u7e2d","\u7e2e","\u7e2f","\u7e30","\u7e31","\u7e32","\u7e33","\u7e34","\u7e35","\u7e36","\u7e37","\u7e38","\u7e39","\u7e3a","\u7e3b","\u7e3c","\u7e3d","\u7e3e","\u7e3f","\u7e40","\u7e41","\u7e42","\u7e43","\u7e44","\u7e45","\u7e46","\u7e47","\u7e48","\u7e49","\u7e4a","\u7e4b","\u7e4c","\u7e4d","\u7e4e","\u7e4f","\u7e50","\u7e51","\u7e52","\u7e53","\u7e54","\u7e55","\u7e56","\u7e57","\u7e58","\u7e59","\u7e5a","\u7e5b","\u7e5c","\u7e5d","\u7e5e","\u7e5f","\u7e60","\u7e61","\u7e62","\u7e63","\u7e64","\u7e65","\u7e66","\u7e67","\u7e68","\u7e69","\u7e6a","\u7e6b","\u7e6c","\u7e6d","\u7e6e","\u7e6f","\u7e70","\u7e71","\u7e72","\u7e73","\u7e74","\u7e75","\u7e76","\u7e77","\u7e78","\u7e79","\u7e7a","\u7e7b","\u7e7c","\u7e7d","\u7e7e","\u7e7f","\u7e80","\u7e81","\u7e82","\u7e83","\u7e84","\u7e85","\u7e86","\u7e87","\u7e88","\u7e89","\u7e8a","\u7e8b","\u7e8c","\u7e8d","\u7e8e","\u7e8f","\u7e90","\u7e91","\u7e92","\u7e93","\u7e94","\u7e95","\u7e96","\u7e97","\u7e98","\u7e99","\u7e9a","\u7e9b","\u7e9c","\u7e9d","\u7e9e","\u7e9f","\u7ea0","\u7ea1","\u7ea2","\u7ea3","\u7ea4","\u7ea5","\u7ea6","\u7ea7","\u7ea8","\u7ea9","\u7eaa","\u7eab","\u7eac","\u7ead","\u7eae","\u7eaf","\u7eb0","\u7eb1","\u7eb2","\u7eb3","\u7eb4","\u7eb5","\u7eb6","\u7eb7","\u7eb8","\u7eb9","\u7eba","\u7ebb","\u7ebc","\u7ebd","\u7ebe","\u7ebf","\u7ec0","\u7ec1","\u7ec2","\u7ec3","\u7ec4","\u7ec5","\u7ec6","\u7ec7","\u7ec8","\u7ec9","\u7eca","\u7ecb","\u7ecc","\u7ecd","\u7ece","\u7ecf","\u7ed0","\u7ed1","\u7ed2","\u7ed3","\u7ed4","\u7ed5","\u7ed6","\u7ed7","\u7ed8","\u7ed9","\u7eda","\u7edb","\u7edc","\u7edd","\u7ede","\u7edf","\u7ee0","\u7ee1","\u7ee2","\u7ee3","\u7ee4","\u7ee5","\u7ee6","\u7ee7","\u7ee8","\u7ee9","\u7eea","\u7eeb","\u7eec","\u7eed","\u7eee","\u7eef","\u7ef0","\u7ef1","\u7ef2","\u7ef3","\u7ef4","\u7ef5","\u7ef6","\u7ef7","\u7ef8","\u7ef9","\u7efa","\u7efb","\u7efc","\u7efd","\u7efe","\u7eff","\u7f00","\u7f01","\u7f02","\u7f03","\u7f04","\u7f05","\u7f06","\u7f07","\u7f08","\u7f09","\u7f0a","\u7f0b","\u7f0c","\u7f0d","\u7f0e","\u7f0f","\u7f10","\u7f11","\u7f12","\u7f13","\u7f14","\u7f15","\u7f16","\u7f17","\u7f18","\u7f19","\u7f1a","\u7f1b","\u7f1c","\u7f1d","\u7f1e","\u7f1f","\u7f20","\u7f21","\u7f22","\u7f23","\u7f24","\u7f25","\u7f26","\u7f27","\u7f28","\u7f29","\u7f2a","\u7f2b","\u7f2c","\u7f2d","\u7f2e","\u7f2f","\u7f30","\u7f31","\u7f32","\u7f33","\u7f34","\u7f35","\u7f36","\u7f37","\u7f38","\u7f39","\u7f3a","\u7f3b","\u7f3c","\u7f3d","\u7f3e","\u7f3f","\u7f40","\u7f41","\u7f42","\u7f43","\u7f44","\u7f45","\u7f46","\u7f47","\u7f48","\u7f49","\u7f4a","\u7f4b","\u7f4c","\u7f4d","\u7f4e","\u7f4f","\u7f50","\u7f51","\u7f52","\u7f53","\u7f54","\u7f55","\u7f56","\u7f57","\u7f58","\u7f59","\u7f5a","\u7f5b","\u7f5c","\u7f5d","\u7f5e","\u7f5f","\u7f60","\u7f61","\u7f62","\u7f63","\u7f64","\u7f65","\u7f66","\u7f67","\u7f68","\u7f69","\u7f6a","\u7f6b","\u7f6c","\u7f6d","\u7f6e","\u7f6f","\u7f70","\u7f71","\u7f72","\u7f73","\u7f74","\u7f75","\u7f76","\u7f77","\u7f78","\u7f79","\u7f7a","\u7f7b","\u7f7c","\u7f7d","\u7f7e","\u7f7f","\u7f80","\u7f81","\u7f82","\u7f83","\u7f84","\u7f85","\u7f86","\u7f87","\u7f88","\u7f89","\u7f8a","\u7f8b","\u7f8c","\u7f8d","\u7f8e","\u7f8f","\u7f90","\u7f91","\u7f92","\u7f93","\u7f94","\u7f95","\u7f96","\u7f97","\u7f98","\u7f99","\u7f9a","\u7f9b","\u7f9c","\u7f9d","\u7f9e","\u7f9f","\u7fa0","\u7fa1","\u7fa2","\u7fa3","\u7fa4","\u7fa5","\u7fa6","\u7fa7","\u7fa8","\u7fa9","\u7faa","\u7fab","\u7fac","\u7fad","\u7fae","\u7faf","\u7fb0","\u7fb1","\u7fb2","\u7fb3","\u7fb4","\u7fb5","\u7fb6","\u7fb7","\u7fb8","\u7fb9","\u7fba","\u7fbb","\u7fbc","\u7fbd","\u7fbe","\u7fbf","\u7fc0","\u7fc1","\u7fc2","\u7fc3","\u7fc4","\u7fc5","\u7fc6","\u7fc7","\u7fc8","\u7fc9","\u7fca","\u7fcb","\u7fcc","\u7fcd","\u7fce","\u7fcf","\u7fd0","\u7fd1","\u7fd2","\u7fd3","\u7fd4","\u7fd5","\u7fd6","\u7fd7","\u7fd8","\u7fd9","\u7fda","\u7fdb","\u7fdc","\u7fdd","\u7fde","\u7fdf","\u7fe0","\u7fe1","\u7fe2","\u7fe3","\u7fe4","\u7fe5","\u7fe6","\u7fe7","\u7fe8","\u7fe9","\u7fea","\u7feb","\u7fec","\u7fed","\u7fee","\u7fef","\u7ff0","\u7ff1","\u7ff2","\u7ff3","\u7ff4","\u7ff5","\u7ff6","\u7ff7","\u7ff8","\u7ff9","\u7ffa","\u7ffb","\u7ffc","\u7ffd","\u7ffe","\u7fff","\u8000","\u8001","\u8002","\u8003","\u8004","\u8005","\u8006","\u8007","\u8008","\u8009","\u800a","\u800b","\u800c","\u800d","\u800e","\u800f","\u8010","\u8011","\u8012","\u8013","\u8014","\u8015","\u8016","\u8017","\u8018","\u8019","\u801a","\u801b","\u801c","\u801d","\u801e","\u801f","\u8020","\u8021","\u8022","\u8023","\u8024","\u8025","\u8026","\u8027","\u8028","\u8029","\u802a","\u802b","\u802c","\u802d","\u802e","\u802f","\u8030","\u8031","\u8032","\u8033","\u8034","\u8035","\u8036","\u8037","\u8038","\u8039","\u803a","\u803b","\u803c","\u803d","\u803e","\u803f","\u8040","\u8041","\u8042","\u8043","\u8044","\u8045","\u8046","\u8047","\u8048","\u8049","\u804a","\u804b","\u804c","\u804d","\u804e","\u804f","\u8050","\u8051","\u8052","\u8053","\u8054","\u8055","\u8056","\u8057","\u8058","\u8059","\u805a","\u805b","\u805c","\u805d","\u805e","\u805f","\u8060","\u8061","\u8062","\u8063","\u8064","\u8065","\u8066","\u8067","\u8068","\u8069","\u806a","\u806b","\u806c","\u806d","\u806e","\u806f","\u8070","\u8071","\u8072","\u8073","\u8074","\u8075","\u8076","\u8077","\u8078","\u8079","\u807a","\u807b","\u807c","\u807d","\u807e","\u807f","\u8080","\u8081","\u8082","\u8083","\u8084","\u8085","\u8086","\u8087","\u8088","\u8089","\u808a","\u808b","\u808c","\u808d","\u808e","\u808f","\u8090","\u8091","\u8092","\u8093","\u8094","\u8095","\u8096","\u8097","\u8098","\u8099","\u809a","\u809b","\u809c","\u809d","\u809e","\u809f","\u80a0","\u80a1","\u80a2","\u80a3","\u80a4","\u80a5","\u80a6","\u80a7","\u80a8","\u80a9","\u80aa","\u80ab","\u80ac","\u80ad","\u80ae","\u80af","\u80b0","\u80b1","\u80b2","\u80b3","\u80b4","\u80b5","\u80b6","\u80b7","\u80b8","\u80b9","\u80ba","\u80bb","\u80bc","\u80bd","\u80be","\u80bf","\u80c0","\u80c1","\u80c2","\u80c3","\u80c4","\u80c5","\u80c6","\u80c7","\u80c8","\u80c9","\u80ca","\u80cb","\u80cc","\u80cd","\u80ce","\u80cf","\u80d0","\u80d1","\u80d2","\u80d3","\u80d4","\u80d5","\u80d6","\u80d7","\u80d8","\u80d9","\u80da","\u80db","\u80dc","\u80dd","\u80de","\u80df","\u80e0","\u80e1","\u80e2","\u80e3","\u80e4","\u80e5","\u80e6","\u80e7","\u80e8","\u80e9","\u80ea","\u80eb","\u80ec","\u80ed","\u80ee","\u80ef","\u80f0","\u80f1","\u80f2","\u80f3","\u80f4","\u80f5","\u80f6","\u80f7","\u80f8","\u80f9","\u80fa","\u80fb","\u80fc","\u80fd","\u80fe","\u80ff","\u8100","\u8101","\u8102","\u8103","\u8104","\u8105","\u8106","\u8107","\u8108","\u8109","\u810a","\u810b","\u810c","\u810d","\u810e","\u810f","\u8110","\u8111","\u8112","\u8113","\u8114","\u8115","\u8116","\u8117","\u8118","\u8119","\u811a","\u811b","\u811c","\u811d","\u811e","\u811f","\u8120","\u8121","\u8122","\u8123","\u8124","\u8125","\u8126","\u8127","\u8128","\u8129","\u812a","\u812b","\u812c","\u812d","\u812e","\u812f","\u8130","\u8131","\u8132","\u8133","\u8134","\u8135","\u8136","\u8137","\u8138","\u8139","\u813a","\u813b","\u813c","\u813d","\u813e","\u813f","\u8140","\u8141","\u8142","\u8143","\u8144","\u8145","\u8146","\u8147","\u8148","\u8149","\u814a","\u814b","\u814c","\u814d","\u814e","\u814f","\u8150","\u8151","\u8152","\u8153","\u8154","\u8155","\u8156","\u8157","\u8158","\u8159","\u815a","\u815b","\u815c","\u815d","\u815e","\u815f","\u8160","\u8161","\u8162","\u8163","\u8164","\u8165","\u8166","\u8167","\u8168","\u8169","\u816a","\u816b","\u816c","\u816d","\u816e","\u816f","\u8170","\u8171","\u8172","\u8173","\u8174","\u8175","\u8176","\u8177","\u8178","\u8179","\u817a","\u817b","\u817c","\u817d","\u817e","\u817f","\u8180","\u8181","\u8182","\u8183","\u8184","\u8185","\u8186","\u8187","\u8188","\u8189","\u818a","\u818b","\u818c","\u818d","\u818e","\u818f","\u8190","\u8191","\u8192","\u8193","\u8194","\u8195","\u8196","\u8197","\u8198","\u8199","\u819a","\u819b","\u819c","\u819d","\u819e","\u819f","\u81a0","\u81a1","\u81a2","\u81a3","\u81a4","\u81a5","\u81a6","\u81a7","\u81a8","\u81a9","\u81aa","\u81ab","\u81ac","\u81ad","\u81ae","\u81af","\u81b0","\u81b1","\u81b2","\u81b3","\u81b4","\u81b5","\u81b6","\u81b7","\u81b8","\u81b9","\u81ba","\u81bb","\u81bc","\u81bd","\u81be","\u81bf","\u81c0","\u81c1","\u81c2","\u81c3","\u81c4","\u81c5","\u81c6","\u81c7","\u81c8","\u81c9","\u81ca","\u81cb","\u81cc","\u81cd","\u81ce","\u81cf","\u81d0","\u81d1","\u81d2","\u81d3","\u81d4","\u81d5","\u81d6","\u81d7","\u81d8","\u81d9","\u81da","\u81db","\u81dc","\u81dd","\u81de","\u81df","\u81e0","\u81e1","\u81e2","\u81e3","\u81e4","\u81e5","\u81e6","\u81e7","\u81e8","\u81e9","\u81ea","\u81eb","\u81ec","\u81ed","\u81ee","\u81ef","\u81f0","\u81f1","\u81f2","\u81f3","\u81f4","\u81f5","\u81f6","\u81f7","\u81f8","\u81f9","\u81fa","\u81fb","\u81fc","\u81fd","\u81fe","\u81ff","\u8200","\u8201","\u8202","\u8203","\u8204","\u8205","\u8206","\u8207","\u8208","\u8209","\u820a","\u820b","\u820c","\u820d","\u820e","\u820f","\u8210","\u8211","\u8212","\u8213","\u8214","\u8215","\u8216","\u8217","\u8218","\u8219","\u821a","\u821b","\u821c","\u821d","\u821e","\u821f","\u8220","\u8221","\u8222","\u8223","\u8224","\u8225","\u8226","\u8227","\u8228","\u8229","\u822a","\u822b","\u822c","\u822d","\u822e","\u822f","\u8230","\u8231","\u8232","\u8233","\u8234","\u8235","\u8236","\u8237","\u8238","\u8239","\u823a","\u823b","\u823c","\u823d","\u823e","\u823f","\u8240","\u8241","\u8242","\u8243","\u8244","\u8245","\u8246","\u8247","\u8248","\u8249","\u824a","\u824b","\u824c","\u824d","\u824e","\u824f","\u8250","\u8251","\u8252","\u8253","\u8254","\u8255","\u8256","\u8257","\u8258","\u8259","\u825a","\u825b","\u825c","\u825d","\u825e","\u825f","\u8260","\u8261","\u8262","\u8263","\u8264","\u8265","\u8266","\u8267","\u8268","\u8269","\u826a","\u826b","\u826c","\u826d","\u826e","\u826f","\u8270","\u8271","\u8272","\u8273","\u8274","\u8275","\u8276","\u8277","\u8278","\u8279","\u827a","\u827b","\u827c","\u827d","\u827e","\u827f","\u8280","\u8281","\u8282","\u8283","\u8284","\u8285","\u8286","\u8287","\u8288","\u8289","\u828a","\u828b","\u828c","\u828d","\u828e","\u828f","\u8290","\u8291","\u8292","\u8293","\u8294","\u8295","\u8296","\u8297","\u8298","\u8299","\u829a","\u829b","\u829c","\u829d","\u829e","\u829f","\u82a0","\u82a1","\u82a2","\u82a3","\u82a4","\u82a5","\u82a6","\u82a7","\u82a8","\u82a9","\u82aa","\u82ab","\u82ac","\u82ad","\u82ae","\u82af","\u82b0","\u82b1","\u82b2","\u82b3","\u82b4","\u82b5","\u82b6","\u82b7","\u82b8","\u82b9","\u82ba","\u82bb","\u82bc","\u82bd","\u82be","\u82bf","\u82c0","\u82c1","\u82c2","\u82c3","\u82c4","\u82c5","\u82c6","\u82c7","\u82c8","\u82c9","\u82ca","\u82cb","\u82cc","\u82cd","\u82ce","\u82cf","\u82d0","\u82d1","\u82d2","\u82d3","\u82d4","\u82d5","\u82d6","\u82d7","\u82d8","\u82d9","\u82da","\u82db","\u82dc","\u82dd","\u82de","\u82df","\u82e0","\u82e1","\u82e2","\u82e3","\u82e4","\u82e5","\u82e6","\u82e7","\u82e8","\u82e9","\u82ea","\u82eb","\u82ec","\u82ed","\u82ee","\u82ef","\u82f0","\u82f1","\u82f2","\u82f3","\u82f4","\u82f5","\u82f6","\u82f7","\u82f8","\u82f9","\u82fa","\u82fb","\u82fc","\u82fd","\u82fe","\u82ff","\u8300","\u8301","\u8302","\u8303","\u8304","\u8305","\u8306","\u8307","\u8308","\u8309","\u830a","\u830b","\u830c","\u830d","\u830e","\u830f","\u8310","\u8311","\u8312","\u8313","\u8314","\u8315","\u8316","\u8317","\u8318","\u8319","\u831a","\u831b","\u831c","\u831d","\u831e","\u831f","\u8320","\u8321","\u8322","\u8323","\u8324","\u8325","\u8326","\u8327","\u8328","\u8329","\u832a","\u832b","\u832c","\u832d","\u832e","\u832f","\u8330","\u8331","\u8332","\u8333","\u8334","\u8335","\u8336","\u8337","\u8338","\u8339","\u833a","\u833b","\u833c","\u833d","\u833e","\u833f","\u8340","\u8341","\u8342","\u8343","\u8344","\u8345","\u8346","\u8347","\u8348","\u8349","\u834a","\u834b","\u834c","\u834d","\u834e","\u834f","\u8350","\u8351","\u8352","\u8353","\u8354","\u8355","\u8356","\u8357","\u8358","\u8359","\u835a","\u835b","\u835c","\u835d","\u835e","\u835f","\u8360","\u8361","\u8362","\u8363","\u8364","\u8365","\u8366","\u8367","\u8368","\u8369","\u836a","\u836b","\u836c","\u836d","\u836e","\u836f","\u8370","\u8371","\u8372","\u8373","\u8374","\u8375","\u8376","\u8377","\u8378","\u8379","\u837a","\u837b","\u837c","\u837d","\u837e","\u837f","\u8380","\u8381","\u8382","\u8383","\u8384","\u8385","\u8386","\u8387","\u8388","\u8389","\u838a","\u838b","\u838c","\u838d","\u838e","\u838f","\u8390","\u8391","\u8392","\u8393","\u8394","\u8395","\u8396","\u8397","\u8398","\u8399","\u839a","\u839b","\u839c","\u839d","\u839e","\u839f","\u83a0","\u83a1","\u83a2","\u83a3","\u83a4","\u83a5","\u83a6","\u83a7","\u83a8","\u83a9","\u83aa","\u83ab","\u83ac","\u83ad","\u83ae","\u83af","\u83b0","\u83b1","\u83b2","\u83b3","\u83b4","\u83b5","\u83b6","\u83b7","\u83b8","\u83b9","\u83ba","\u83bb","\u83bc","\u83bd","\u83be","\u83bf","\u83c0","\u83c1","\u83c2","\u83c3","\u83c4","\u83c5","\u83c6","\u83c7","\u83c8","\u83c9","\u83ca","\u83cb","\u83cc","\u83cd","\u83ce","\u83cf","\u83d0","\u83d1","\u83d2","\u83d3","\u83d4","\u83d5","\u83d6","\u83d7","\u83d8","\u83d9","\u83da","\u83db","\u83dc","\u83dd","\u83de","\u83df","\u83e0","\u83e1","\u83e2","\u83e3","\u83e4","\u83e5","\u83e6","\u83e7","\u83e8","\u83e9","\u83ea","\u83eb","\u83ec","\u83ed","\u83ee","\u83ef","\u83f0","\u83f1","\u83f2","\u83f3","\u83f4","\u83f5","\u83f6","\u83f7","\u83f8","\u83f9","\u83fa","\u83fb","\u83fc","\u83fd","\u83fe","\u83ff","\u8400","\u8401","\u8402","\u8403","\u8404","\u8405","\u8406","\u8407","\u8408","\u8409","\u840a","\u840b","\u840c","\u840d","\u840e","\u840f","\u8410","\u8411","\u8412","\u8413","\u8414","\u8415","\u8416","\u8417","\u8418","\u8419","\u841a","\u841b","\u841c","\u841d","\u841e","\u841f","\u8420","\u8421","\u8422","\u8423","\u8424","\u8425","\u8426","\u8427","\u8428","\u8429","\u842a","\u842b","\u842c","\u842d","\u842e","\u842f","\u8430","\u8431","\u8432","\u8433","\u8434","\u8435","\u8436","\u8437","\u8438","\u8439","\u843a","\u843b","\u843c","\u843d","\u843e","\u843f","\u8440","\u8441","\u8442","\u8443","\u8444","\u8445","\u8446","\u8447","\u8448","\u8449","\u844a","\u844b","\u844c","\u844d","\u844e","\u844f","\u8450","\u8451","\u8452","\u8453","\u8454","\u8455","\u8456","\u8457","\u8458","\u8459","\u845a","\u845b","\u845c","\u845d","\u845e","\u845f","\u8460","\u8461","\u8462","\u8463","\u8464","\u8465","\u8466","\u8467","\u8468","\u8469","\u846a","\u846b","\u846c","\u846d","\u846e","\u846f","\u8470","\u8471","\u8472","\u8473","\u8474","\u8475","\u8476","\u8477","\u8478","\u8479","\u847a","\u847b","\u847c","\u847d","\u847e","\u847f","\u8480","\u8481","\u8482","\u8483","\u8484","\u8485","\u8486","\u8487","\u8488","\u8489","\u848a","\u848b","\u848c","\u848d","\u848e","\u848f","\u8490","\u8491","\u8492","\u8493","\u8494","\u8495","\u8496","\u8497","\u8498","\u8499","\u849a","\u849b","\u849c","\u849d","\u849e","\u849f","\u84a0","\u84a1","\u84a2","\u84a3","\u84a4","\u84a5","\u84a6","\u84a7","\u84a8","\u84a9","\u84aa","\u84ab","\u84ac","\u84ad","\u84ae","\u84af","\u84b0","\u84b1","\u84b2","\u84b3","\u84b4","\u84b5","\u84b6","\u84b7","\u84b8","\u84b9","\u84ba","\u84bb","\u84bc","\u84bd","\u84be","\u84bf","\u84c0","\u84c1","\u84c2","\u84c3","\u84c4","\u84c5","\u84c6","\u84c7","\u84c8","\u84c9","\u84ca","\u84cb","\u84cc","\u84cd","\u84ce","\u84cf","\u84d0","\u84d1","\u84d2","\u84d3","\u84d4","\u84d5","\u84d6","\u84d7","\u84d8","\u84d9","\u84da","\u84db","\u84dc","\u84dd","\u84de","\u84df","\u84e0","\u84e1","\u84e2","\u84e3","\u84e4","\u84e5","\u84e6","\u84e7","\u84e8","\u84e9","\u84ea","\u84eb","\u84ec","\u84ed","\u84ee","\u84ef","\u84f0","\u84f1","\u84f2","\u84f3","\u84f4","\u84f5","\u84f6","\u84f7","\u84f8","\u84f9","\u84fa","\u84fb","\u84fc","\u84fd","\u84fe","\u84ff","\u8500","\u8501","\u8502","\u8503","\u8504","\u8505","\u8506","\u8507","\u8508","\u8509","\u850a","\u850b","\u850c","\u850d","\u850e","\u850f","\u8510","\u8511","\u8512","\u8513","\u8514","\u8515","\u8516","\u8517","\u8518","\u8519","\u851a","\u851b","\u851c","\u851d","\u851e","\u851f","\u8520","\u8521","\u8522","\u8523","\u8524","\u8525","\u8526","\u8527","\u8528","\u8529","\u852a","\u852b","\u852c","\u852d","\u852e","\u852f","\u8530","\u8531","\u8532","\u8533","\u8534","\u8535","\u8536","\u8537","\u8538","\u8539","\u853a","\u853b","\u853c","\u853d","\u853e","\u853f","\u8540","\u8541","\u8542","\u8543","\u8544","\u8545","\u8546","\u8547","\u8548","\u8549","\u854a","\u854b","\u854c","\u854d","\u854e","\u854f","\u8550","\u8551","\u8552","\u8553","\u8554","\u8555","\u8556","\u8557","\u8558","\u8559","\u855a","\u855b","\u855c","\u855d","\u855e","\u855f","\u8560","\u8561","\u8562","\u8563","\u8564","\u8565","\u8566","\u8567","\u8568","\u8569","\u856a","\u856b","\u856c","\u856d","\u856e","\u856f","\u8570","\u8571","\u8572","\u8573","\u8574","\u8575","\u8576","\u8577","\u8578","\u8579","\u857a","\u857b","\u857c","\u857d","\u857e","\u857f","\u8580","\u8581","\u8582","\u8583","\u8584","\u8585","\u8586","\u8587","\u8588","\u8589","\u858a","\u858b","\u858c","\u858d","\u858e","\u858f","\u8590","\u8591","\u8592","\u8593","\u8594","\u8595","\u8596","\u8597","\u8598","\u8599","\u859a","\u859b","\u859c","\u859d","\u859e","\u859f","\u85a0","\u85a1","\u85a2","\u85a3","\u85a4","\u85a5","\u85a6","\u85a7","\u85a8","\u85a9","\u85aa","\u85ab","\u85ac","\u85ad","\u85ae","\u85af","\u85b0","\u85b1","\u85b2","\u85b3","\u85b4","\u85b5","\u85b6","\u85b7","\u85b8","\u85b9","\u85ba","\u85bb","\u85bc","\u85bd","\u85be","\u85bf","\u85c0","\u85c1","\u85c2","\u85c3","\u85c4","\u85c5","\u85c6","\u85c7","\u85c8","\u85c9","\u85ca","\u85cb","\u85cc","\u85cd","\u85ce","\u85cf","\u85d0","\u85d1","\u85d2","\u85d3","\u85d4","\u85d5","\u85d6","\u85d7","\u85d8","\u85d9","\u85da","\u85db","\u85dc","\u85dd","\u85de","\u85df","\u85e0","\u85e1","\u85e2","\u85e3","\u85e4","\u85e5","\u85e6","\u85e7","\u85e8","\u85e9","\u85ea","\u85eb","\u85ec","\u85ed","\u85ee","\u85ef","\u85f0","\u85f1","\u85f2","\u85f3","\u85f4","\u85f5","\u85f6","\u85f7","\u85f8","\u85f9","\u85fa","\u85fb","\u85fc","\u85fd","\u85fe","\u85ff","\u8600","\u8601","\u8602","\u8603","\u8604","\u8605","\u8606","\u8607","\u8608","\u8609","\u860a","\u860b","\u860c","\u860d","\u860e","\u860f","\u8610","\u8611","\u8612","\u8613","\u8614","\u8615","\u8616","\u8617","\u8618","\u8619","\u861a","\u861b","\u861c","\u861d","\u861e","\u861f","\u8620","\u8621","\u8622","\u8623","\u8624","\u8625","\u8626","\u8627","\u8628","\u8629","\u862a","\u862b","\u862c","\u862d","\u862e","\u862f","\u8630","\u8631","\u8632","\u8633","\u8634","\u8635","\u8636","\u8637","\u8638","\u8639","\u863a","\u863b","\u863c","\u863d","\u863e","\u863f","\u8640","\u8641","\u8642","\u8643","\u8644","\u8645","\u8646","\u8647","\u8648","\u8649","\u864a","\u864b","\u864c","\u864d","\u864e","\u864f","\u8650","\u8651","\u8652","\u8653","\u8654","\u8655","\u8656","\u8657","\u8658","\u8659","\u865a","\u865b","\u865c","\u865d","\u865e","\u865f","\u8660","\u8661","\u8662","\u8663","\u8664","\u8665","\u8666","\u8667","\u8668","\u8669","\u866a","\u866b","\u866c","\u866d","\u866e","\u866f","\u8670","\u8671","\u8672","\u8673","\u8674","\u8675","\u8676","\u8677","\u8678","\u8679","\u867a","\u867b","\u867c","\u867d","\u867e","\u867f","\u8680","\u8681","\u8682","\u8683","\u8684","\u8685","\u8686","\u8687","\u8688","\u8689","\u868a","\u868b","\u868c","\u868d","\u868e","\u868f","\u8690","\u8691","\u8692","\u8693","\u8694","\u8695","\u8696","\u8697","\u8698","\u8699","\u869a","\u869b","\u869c","\u869d","\u869e","\u869f","\u86a0","\u86a1","\u86a2","\u86a3","\u86a4","\u86a5","\u86a6","\u86a7","\u86a8","\u86a9","\u86aa","\u86ab","\u86ac","\u86ad","\u86ae","\u86af","\u86b0","\u86b1","\u86b2","\u86b3","\u86b4","\u86b5","\u86b6","\u86b7","\u86b8","\u86b9","\u86ba","\u86bb","\u86bc","\u86bd","\u86be","\u86bf","\u86c0","\u86c1","\u86c2","\u86c3","\u86c4","\u86c5","\u86c6","\u86c7","\u86c8","\u86c9","\u86ca","\u86cb","\u86cc","\u86cd","\u86ce","\u86cf","\u86d0","\u86d1","\u86d2","\u86d3","\u86d4","\u86d5","\u86d6","\u86d7","\u86d8","\u86d9","\u86da","\u86db","\u86dc","\u86dd","\u86de","\u86df","\u86e0","\u86e1","\u86e2","\u86e3","\u86e4","\u86e5","\u86e6","\u86e7","\u86e8","\u86e9","\u86ea","\u86eb","\u86ec","\u86ed","\u86ee","\u86ef","\u86f0","\u86f1","\u86f2","\u86f3","\u86f4","\u86f5","\u86f6","\u86f7","\u86f8","\u86f9","\u86fa","\u86fb","\u86fc","\u86fd","\u86fe","\u86ff","\u8700","\u8701","\u8702","\u8703","\u8704","\u8705","\u8706","\u8707","\u8708","\u8709","\u870a","\u870b","\u870c","\u870d","\u870e","\u870f","\u8710","\u8711","\u8712","\u8713","\u8714","\u8715","\u8716","\u8717","\u8718","\u8719","\u871a","\u871b","\u871c","\u871d","\u871e","\u871f","\u8720","\u8721","\u8722","\u8723","\u8724","\u8725","\u8726","\u8727","\u8728","\u8729","\u872a","\u872b","\u872c","\u872d","\u872e","\u872f","\u8730","\u8731","\u8732","\u8733","\u8734","\u8735","\u8736","\u8737","\u8738","\u8739","\u873a","\u873b","\u873c","\u873d","\u873e","\u873f","\u8740","\u8741","\u8742","\u8743","\u8744","\u8745","\u8746","\u8747","\u8748","\u8749","\u874a","\u874b","\u874c","\u874d","\u874e","\u874f","\u8750","\u8751","\u8752","\u8753","\u8754","\u8755","\u8756","\u8757","\u8758","\u8759","\u875a","\u875b","\u875c","\u875d","\u875e","\u875f","\u8760","\u8761","\u8762","\u8763","\u8764","\u8765","\u8766","\u8767","\u8768","\u8769","\u876a","\u876b","\u876c","\u876d","\u876e","\u876f","\u8770","\u8771","\u8772","\u8773","\u8774","\u8775","\u8776","\u8777","\u8778","\u8779","\u877a","\u877b","\u877c","\u877d","\u877e","\u877f","\u8780","\u8781","\u8782","\u8783","\u8784","\u8785","\u8786","\u8787","\u8788","\u8789","\u878a","\u878b","\u878c","\u878d","\u878e","\u878f","\u8790","\u8791","\u8792","\u8793","\u8794","\u8795","\u8796","\u8797","\u8798","\u8799","\u879a","\u879b","\u879c","\u879d","\u879e","\u879f","\u87a0","\u87a1","\u87a2","\u87a3","\u87a4","\u87a5","\u87a6","\u87a7","\u87a8","\u87a9","\u87aa","\u87ab","\u87ac","\u87ad","\u87ae","\u87af","\u87b0","\u87b1","\u87b2","\u87b3","\u87b4","\u87b5","\u87b6","\u87b7","\u87b8","\u87b9","\u87ba","\u87bb","\u87bc","\u87bd","\u87be","\u87bf","\u87c0","\u87c1","\u87c2","\u87c3","\u87c4","\u87c5","\u87c6","\u87c7","\u87c8","\u87c9","\u87ca","\u87cb","\u87cc","\u87cd","\u87ce","\u87cf","\u87d0","\u87d1","\u87d2","\u87d3","\u87d4","\u87d5","\u87d6","\u87d7","\u87d8","\u87d9","\u87da","\u87db","\u87dc","\u87dd","\u87de","\u87df","\u87e0","\u87e1","\u87e2","\u87e3","\u87e4","\u87e5","\u87e6","\u87e7","\u87e8","\u87e9","\u87ea","\u87eb","\u87ec","\u87ed","\u87ee","\u87ef","\u87f0","\u87f1","\u87f2","\u87f3","\u87f4","\u87f5","\u87f6","\u87f7","\u87f8","\u87f9","\u87fa","\u87fb","\u87fc","\u87fd","\u87fe","\u87ff","\u8800","\u8801","\u8802","\u8803","\u8804","\u8805","\u8806","\u8807","\u8808","\u8809","\u880a","\u880b","\u880c","\u880d","\u880e","\u880f","\u8810","\u8811","\u8812","\u8813","\u8814","\u8815","\u8816","\u8817","\u8818","\u8819","\u881a","\u881b","\u881c","\u881d","\u881e","\u881f","\u8820","\u8821","\u8822","\u8823","\u8824","\u8825","\u8826","\u8827","\u8828","\u8829","\u882a","\u882b","\u882c","\u882d","\u882e","\u882f","\u8830","\u8831","\u8832","\u8833","\u8834","\u8835","\u8836","\u8837","\u8838","\u8839","\u883a","\u883b","\u883c","\u883d","\u883e","\u883f","\u8840","\u8841","\u8842","\u8843","\u8844","\u8845","\u8846","\u8847","\u8848","\u8849","\u884a","\u884b","\u884c","\u884d","\u884e","\u884f","\u8850","\u8851","\u8852","\u8853","\u8854","\u8855","\u8856","\u8857","\u8858","\u8859","\u885a","\u885b","\u885c","\u885d","\u885e","\u885f","\u8860","\u8861","\u8862","\u8863","\u8864","\u8865","\u8866","\u8867","\u8868","\u8869","\u886a","\u886b","\u886c","\u886d","\u886e","\u886f","\u8870","\u8871","\u8872","\u8873","\u8874","\u8875","\u8876","\u8877","\u8878","\u8879","\u887a","\u887b","\u887c","\u887d","\u887e","\u887f","\u8880","\u8881","\u8882","\u8883","\u8884","\u8885","\u8886","\u8887","\u8888","\u8889","\u888a","\u888b","\u888c","\u888d","\u888e","\u888f","\u8890","\u8891","\u8892","\u8893","\u8894","\u8895","\u8896","\u8897","\u8898","\u8899","\u889a","\u889b","\u889c","\u889d","\u889e","\u889f","\u88a0","\u88a1","\u88a2","\u88a3","\u88a4","\u88a5","\u88a6","\u88a7","\u88a8","\u88a9","\u88aa","\u88ab","\u88ac","\u88ad","\u88ae","\u88af","\u88b0","\u88b1","\u88b2","\u88b3","\u88b4","\u88b5","\u88b6","\u88b7","\u88b8","\u88b9","\u88ba","\u88bb","\u88bc","\u88bd","\u88be","\u88bf","\u88c0","\u88c1","\u88c2","\u88c3","\u88c4","\u88c5","\u88c6","\u88c7","\u88c8","\u88c9","\u88ca","\u88cb","\u88cc","\u88cd","\u88ce","\u88cf","\u88d0","\u88d1","\u88d2","\u88d3","\u88d4","\u88d5","\u88d6","\u88d7","\u88d8","\u88d9","\u88da","\u88db","\u88dc","\u88dd","\u88de","\u88df","\u88e0","\u88e1","\u88e2","\u88e3","\u88e4","\u88e5","\u88e6","\u88e7","\u88e8","\u88e9","\u88ea","\u88eb","\u88ec","\u88ed","\u88ee","\u88ef","\u88f0","\u88f1","\u88f2","\u88f3","\u88f4","\u88f5","\u88f6","\u88f7","\u88f8","\u88f9","\u88fa","\u88fb","\u88fc","\u88fd","\u88fe","\u88ff","\u8900","\u8901","\u8902","\u8903","\u8904","\u8905","\u8906","\u8907","\u8908","\u8909","\u890a","\u890b","\u890c","\u890d","\u890e","\u890f","\u8910","\u8911","\u8912","\u8913","\u8914","\u8915","\u8916","\u8917","\u8918","\u8919","\u891a","\u891b","\u891c","\u891d","\u891e","\u891f","\u8920","\u8921","\u8922","\u8923","\u8924","\u8925","\u8926","\u8927","\u8928","\u8929","\u892a","\u892b","\u892c","\u892d","\u892e","\u892f","\u8930","\u8931","\u8932","\u8933","\u8934","\u8935","\u8936","\u8937","\u8938","\u8939","\u893a","\u893b","\u893c","\u893d","\u893e","\u893f","\u8940","\u8941","\u8942","\u8943","\u8944","\u8945","\u8946","\u8947","\u8948","\u8949","\u894a","\u894b","\u894c","\u894d","\u894e","\u894f","\u8950","\u8951","\u8952","\u8953","\u8954","\u8955","\u8956","\u8957","\u8958","\u8959","\u895a","\u895b","\u895c","\u895d","\u895e","\u895f","\u8960","\u8961","\u8962","\u8963","\u8964","\u8965","\u8966","\u8967","\u8968","\u8969","\u896a","\u896b","\u896c","\u896d","\u896e","\u896f","\u8970","\u8971","\u8972","\u8973","\u8974","\u8975","\u8976","\u8977","\u8978","\u8979","\u897a","\u897b","\u897c","\u897d","\u897e","\u897f","\u8980","\u8981","\u8982","\u8983","\u8984","\u8985","\u8986","\u8987","\u8988","\u8989","\u898a","\u898b","\u898c","\u898d","\u898e","\u898f","\u8990","\u8991","\u8992","\u8993","\u8994","\u8995","\u8996","\u8997","\u8998","\u8999","\u899a","\u899b","\u899c","\u899d","\u899e","\u899f","\u89a0","\u89a1","\u89a2","\u89a3","\u89a4","\u89a5","\u89a6","\u89a7","\u89a8","\u89a9","\u89aa","\u89ab","\u89ac","\u89ad","\u89ae","\u89af","\u89b0","\u89b1","\u89b2","\u89b3","\u89b4","\u89b5","\u89b6","\u89b7","\u89b8","\u89b9","\u89ba","\u89bb","\u89bc","\u89bd","\u89be","\u89bf","\u89c0","\u89c1","\u89c2","\u89c3","\u89c4","\u89c5","\u89c6","\u89c7","\u89c8","\u89c9","\u89ca","\u89cb","\u89cc","\u89cd","\u89ce","\u89cf","\u89d0","\u89d1","\u89d2","\u89d3","\u89d4","\u89d5","\u89d6","\u89d7","\u89d8","\u89d9","\u89da","\u89db","\u89dc","\u89dd","\u89de","\u89df","\u89e0","\u89e1","\u89e2","\u89e3","\u89e4","\u89e5","\u89e6","\u89e7","\u89e8","\u89e9","\u89ea","\u89eb","\u89ec","\u89ed","\u89ee","\u89ef","\u89f0","\u89f1","\u89f2","\u89f3","\u89f4","\u89f5","\u89f6","\u89f7","\u89f8","\u89f9","\u89fa","\u89fb","\u89fc","\u89fd","\u89fe","\u89ff","\u8a00","\u8a01","\u8a02","\u8a03","\u8a04","\u8a05","\u8a06","\u8a07","\u8a08","\u8a09","\u8a0a","\u8a0b","\u8a0c","\u8a0d","\u8a0e","\u8a0f","\u8a10","\u8a11","\u8a12","\u8a13","\u8a14","\u8a15","\u8a16","\u8a17","\u8a18","\u8a19","\u8a1a","\u8a1b","\u8a1c","\u8a1d","\u8a1e","\u8a1f","\u8a20","\u8a21","\u8a22","\u8a23","\u8a24","\u8a25","\u8a26","\u8a27","\u8a28","\u8a29","\u8a2a","\u8a2b","\u8a2c","\u8a2d","\u8a2e","\u8a2f","\u8a30","\u8a31","\u8a32","\u8a33","\u8a34","\u8a35","\u8a36","\u8a37","\u8a38","\u8a39","\u8a3a","\u8a3b","\u8a3c","\u8a3d","\u8a3e","\u8a3f","\u8a40","\u8a41","\u8a42","\u8a43","\u8a44","\u8a45","\u8a46","\u8a47","\u8a48","\u8a49","\u8a4a","\u8a4b","\u8a4c","\u8a4d","\u8a4e","\u8a4f","\u8a50","\u8a51","\u8a52","\u8a53","\u8a54","\u8a55","\u8a56","\u8a57","\u8a58","\u8a59","\u8a5a","\u8a5b","\u8a5c","\u8a5d","\u8a5e","\u8a5f","\u8a60","\u8a61","\u8a62","\u8a63","\u8a64","\u8a65","\u8a66","\u8a67","\u8a68","\u8a69","\u8a6a","\u8a6b","\u8a6c","\u8a6d","\u8a6e","\u8a6f","\u8a70","\u8a71","\u8a72","\u8a73","\u8a74","\u8a75","\u8a76","\u8a77","\u8a78","\u8a79","\u8a7a","\u8a7b","\u8a7c","\u8a7d","\u8a7e","\u8a7f","\u8a80","\u8a81","\u8a82","\u8a83","\u8a84","\u8a85","\u8a86","\u8a87","\u8a88","\u8a89","\u8a8a","\u8a8b","\u8a8c","\u8a8d","\u8a8e","\u8a8f","\u8a90","\u8a91","\u8a92","\u8a93","\u8a94","\u8a95","\u8a96","\u8a97","\u8a98","\u8a99","\u8a9a","\u8a9b","\u8a9c","\u8a9d","\u8a9e","\u8a9f","\u8aa0","\u8aa1","\u8aa2","\u8aa3","\u8aa4","\u8aa5","\u8aa6","\u8aa7","\u8aa8","\u8aa9","\u8aaa","\u8aab","\u8aac","\u8aad","\u8aae","\u8aaf","\u8ab0","\u8ab1","\u8ab2","\u8ab3","\u8ab4","\u8ab5","\u8ab6","\u8ab7","\u8ab8","\u8ab9","\u8aba","\u8abb","\u8abc","\u8abd","\u8abe","\u8abf","\u8ac0","\u8ac1","\u8ac2","\u8ac3","\u8ac4","\u8ac5","\u8ac6","\u8ac7","\u8ac8","\u8ac9","\u8aca","\u8acb","\u8acc","\u8acd","\u8ace","\u8acf","\u8ad0","\u8ad1","\u8ad2","\u8ad3","\u8ad4","\u8ad5","\u8ad6","\u8ad7","\u8ad8","\u8ad9","\u8ada","\u8adb","\u8adc","\u8add","\u8ade","\u8adf","\u8ae0","\u8ae1","\u8ae2","\u8ae3","\u8ae4","\u8ae5","\u8ae6","\u8ae7","\u8ae8","\u8ae9","\u8aea","\u8aeb","\u8aec","\u8aed","\u8aee","\u8aef","\u8af0","\u8af1","\u8af2","\u8af3","\u8af4","\u8af5","\u8af6","\u8af7","\u8af8","\u8af9","\u8afa","\u8afb","\u8afc","\u8afd","\u8afe","\u8aff","\u8b00","\u8b01","\u8b02","\u8b03","\u8b04","\u8b05","\u8b06","\u8b07","\u8b08","\u8b09","\u8b0a","\u8b0b","\u8b0c","\u8b0d","\u8b0e","\u8b0f","\u8b10","\u8b11","\u8b12","\u8b13","\u8b14","\u8b15","\u8b16","\u8b17","\u8b18","\u8b19","\u8b1a","\u8b1b","\u8b1c","\u8b1d","\u8b1e","\u8b1f","\u8b20","\u8b21","\u8b22","\u8b23","\u8b24","\u8b25","\u8b26","\u8b27","\u8b28","\u8b29","\u8b2a","\u8b2b","\u8b2c","\u8b2d","\u8b2e","\u8b2f","\u8b30","\u8b31","\u8b32","\u8b33","\u8b34","\u8b35","\u8b36","\u8b37","\u8b38","\u8b39","\u8b3a","\u8b3b","\u8b3c","\u8b3d","\u8b3e","\u8b3f","\u8b40","\u8b41","\u8b42","\u8b43","\u8b44","\u8b45","\u8b46","\u8b47","\u8b48","\u8b49","\u8b4a","\u8b4b","\u8b4c","\u8b4d","\u8b4e","\u8b4f","\u8b50","\u8b51","\u8b52","\u8b53","\u8b54","\u8b55","\u8b56","\u8b57","\u8b58","\u8b59","\u8b5a","\u8b5b","\u8b5c","\u8b5d","\u8b5e","\u8b5f","\u8b60","\u8b61","\u8b62","\u8b63","\u8b64","\u8b65","\u8b66","\u8b67","\u8b68","\u8b69","\u8b6a","\u8b6b","\u8b6c","\u8b6d","\u8b6e","\u8b6f","\u8b70","\u8b71","\u8b72","\u8b73","\u8b74","\u8b75","\u8b76","\u8b77","\u8b78","\u8b79","\u8b7a","\u8b7b","\u8b7c","\u8b7d","\u8b7e","\u8b7f","\u8b80","\u8b81","\u8b82","\u8b83","\u8b84","\u8b85","\u8b86","\u8b87","\u8b88","\u8b89","\u8b8a","\u8b8b","\u8b8c","\u8b8d","\u8b8e","\u8b8f","\u8b90","\u8b91","\u8b92","\u8b93","\u8b94","\u8b95","\u8b96","\u8b97","\u8b98","\u8b99","\u8b9a","\u8b9b","\u8b9c","\u8b9d","\u8b9e","\u8b9f","\u8ba0","\u8ba1","\u8ba2","\u8ba3","\u8ba4","\u8ba5","\u8ba6","\u8ba7","\u8ba8","\u8ba9","\u8baa","\u8bab","\u8bac","\u8bad","\u8bae","\u8baf","\u8bb0","\u8bb1","\u8bb2","\u8bb3","\u8bb4","\u8bb5","\u8bb6","\u8bb7","\u8bb8","\u8bb9","\u8bba","\u8bbb","\u8bbc","\u8bbd","\u8bbe","\u8bbf","\u8bc0","\u8bc1","\u8bc2","\u8bc3","\u8bc4","\u8bc5","\u8bc6","\u8bc7","\u8bc8","\u8bc9","\u8bca","\u8bcb","\u8bcc","\u8bcd","\u8bce","\u8bcf","\u8bd0","\u8bd1","\u8bd2","\u8bd3","\u8bd4","\u8bd5","\u8bd6","\u8bd7","\u8bd8","\u8bd9","\u8bda","\u8bdb","\u8bdc","\u8bdd","\u8bde","\u8bdf","\u8be0","\u8be1","\u8be2","\u8be3","\u8be4","\u8be5","\u8be6","\u8be7","\u8be8","\u8be9","\u8bea","\u8beb","\u8bec","\u8bed","\u8bee","\u8bef","\u8bf0","\u8bf1","\u8bf2","\u8bf3","\u8bf4","\u8bf5","\u8bf6","\u8bf7","\u8bf8","\u8bf9","\u8bfa","\u8bfb","\u8bfc","\u8bfd","\u8bfe","\u8bff","\u8c00","\u8c01","\u8c02","\u8c03","\u8c04","\u8c05","\u8c06","\u8c07","\u8c08","\u8c09","\u8c0a","\u8c0b","\u8c0c","\u8c0d","\u8c0e","\u8c0f","\u8c10","\u8c11","\u8c12","\u8c13","\u8c14","\u8c15","\u8c16","\u8c17","\u8c18","\u8c19","\u8c1a","\u8c1b","\u8c1c","\u8c1d","\u8c1e","\u8c1f","\u8c20","\u8c21","\u8c22","\u8c23","\u8c24","\u8c25","\u8c26","\u8c27","\u8c28","\u8c29","\u8c2a","\u8c2b","\u8c2c","\u8c2d","\u8c2e","\u8c2f","\u8c30","\u8c31","\u8c32","\u8c33","\u8c34","\u8c35","\u8c36","\u8c37","\u8c38","\u8c39","\u8c3a","\u8c3b","\u8c3c","\u8c3d","\u8c3e","\u8c3f","\u8c40","\u8c41","\u8c42","\u8c43","\u8c44","\u8c45","\u8c46","\u8c47","\u8c48","\u8c49","\u8c4a","\u8c4b","\u8c4c","\u8c4d","\u8c4e","\u8c4f","\u8c50","\u8c51","\u8c52","\u8c53","\u8c54","\u8c55","\u8c56","\u8c57","\u8c58","\u8c59","\u8c5a","\u8c5b","\u8c5c","\u8c5d","\u8c5e","\u8c5f","\u8c60","\u8c61","\u8c62","\u8c63","\u8c64","\u8c65","\u8c66","\u8c67","\u8c68","\u8c69","\u8c6a","\u8c6b","\u8c6c","\u8c6d","\u8c6e","\u8c6f","\u8c70","\u8c71","\u8c72","\u8c73","\u8c74","\u8c75","\u8c76","\u8c77","\u8c78","\u8c79","\u8c7a","\u8c7b","\u8c7c","\u8c7d","\u8c7e","\u8c7f","\u8c80","\u8c81","\u8c82","\u8c83","\u8c84","\u8c85","\u8c86","\u8c87","\u8c88","\u8c89","\u8c8a","\u8c8b","\u8c8c","\u8c8d","\u8c8e","\u8c8f","\u8c90","\u8c91","\u8c92","\u8c93","\u8c94","\u8c95","\u8c96","\u8c97","\u8c98","\u8c99","\u8c9a","\u8c9b","\u8c9c","\u8c9d","\u8c9e","\u8c9f","\u8ca0","\u8ca1","\u8ca2","\u8ca3","\u8ca4","\u8ca5","\u8ca6","\u8ca7","\u8ca8","\u8ca9","\u8caa","\u8cab","\u8cac","\u8cad","\u8cae","\u8caf","\u8cb0","\u8cb1","\u8cb2","\u8cb3","\u8cb4","\u8cb5","\u8cb6","\u8cb7","\u8cb8","\u8cb9","\u8cba","\u8cbb","\u8cbc","\u8cbd","\u8cbe","\u8cbf","\u8cc0","\u8cc1","\u8cc2","\u8cc3","\u8cc4","\u8cc5","\u8cc6","\u8cc7","\u8cc8","\u8cc9","\u8cca","\u8ccb","\u8ccc","\u8ccd","\u8cce","\u8ccf","\u8cd0","\u8cd1","\u8cd2","\u8cd3","\u8cd4","\u8cd5","\u8cd6","\u8cd7","\u8cd8","\u8cd9","\u8cda","\u8cdb","\u8cdc","\u8cdd","\u8cde","\u8cdf","\u8ce0","\u8ce1","\u8ce2","\u8ce3","\u8ce4","\u8ce5","\u8ce6","\u8ce7","\u8ce8","\u8ce9","\u8cea","\u8ceb","\u8cec","\u8ced","\u8cee","\u8cef","\u8cf0","\u8cf1","\u8cf2","\u8cf3","\u8cf4","\u8cf5","\u8cf6","\u8cf7","\u8cf8","\u8cf9","\u8cfa","\u8cfb","\u8cfc","\u8cfd","\u8cfe","\u8cff","\u8d00","\u8d01","\u8d02","\u8d03","\u8d04","\u8d05","\u8d06","\u8d07","\u8d08","\u8d09","\u8d0a","\u8d0b","\u8d0c","\u8d0d","\u8d0e","\u8d0f","\u8d10","\u8d11","\u8d12","\u8d13","\u8d14","\u8d15","\u8d16","\u8d17","\u8d18","\u8d19","\u8d1a","\u8d1b","\u8d1c","\u8d1d","\u8d1e","\u8d1f","\u8d20","\u8d21","\u8d22","\u8d23","\u8d24","\u8d25","\u8d26","\u8d27","\u8d28","\u8d29","\u8d2a","\u8d2b","\u8d2c","\u8d2d","\u8d2e","\u8d2f","\u8d30","\u8d31","\u8d32","\u8d33","\u8d34","\u8d35","\u8d36","\u8d37","\u8d38","\u8d39","\u8d3a","\u8d3b","\u8d3c","\u8d3d","\u8d3e","\u8d3f","\u8d40","\u8d41","\u8d42","\u8d43","\u8d44","\u8d45","\u8d46","\u8d47","\u8d48","\u8d49","\u8d4a","\u8d4b","\u8d4c","\u8d4d","\u8d4e","\u8d4f","\u8d50","\u8d51","\u8d52","\u8d53","\u8d54","\u8d55","\u8d56","\u8d57","\u8d58","\u8d59","\u8d5a","\u8d5b","\u8d5c","\u8d5d","\u8d5e","\u8d5f","\u8d60","\u8d61","\u8d62","\u8d63","\u8d64","\u8d65","\u8d66","\u8d67","\u8d68","\u8d69","\u8d6a","\u8d6b","\u8d6c","\u8d6d","\u8d6e","\u8d6f","\u8d70","\u8d71","\u8d72","\u8d73","\u8d74","\u8d75","\u8d76","\u8d77","\u8d78","\u8d79","\u8d7a","\u8d7b","\u8d7c","\u8d7d","\u8d7e","\u8d7f","\u8d80","\u8d81","\u8d82","\u8d83","\u8d84","\u8d85","\u8d86","\u8d87","\u8d88","\u8d89","\u8d8a","\u8d8b","\u8d8c","\u8d8d","\u8d8e","\u8d8f","\u8d90","\u8d91","\u8d92","\u8d93","\u8d94","\u8d95","\u8d96","\u8d97","\u8d98","\u8d99","\u8d9a","\u8d9b","\u8d9c","\u8d9d","\u8d9e","\u8d9f","\u8da0","\u8da1","\u8da2","\u8da3","\u8da4","\u8da5","\u8da6","\u8da7","\u8da8","\u8da9","\u8daa","\u8dab","\u8dac","\u8dad","\u8dae","\u8daf","\u8db0","\u8db1","\u8db2","\u8db3","\u8db4","\u8db5","\u8db6","\u8db7","\u8db8","\u8db9","\u8dba","\u8dbb","\u8dbc","\u8dbd","\u8dbe","\u8dbf","\u8dc0","\u8dc1","\u8dc2","\u8dc3","\u8dc4","\u8dc5","\u8dc6","\u8dc7","\u8dc8","\u8dc9","\u8dca","\u8dcb","\u8dcc","\u8dcd","\u8dce","\u8dcf","\u8dd0","\u8dd1","\u8dd2","\u8dd3","\u8dd4","\u8dd5","\u8dd6","\u8dd7","\u8dd8","\u8dd9","\u8dda","\u8ddb","\u8ddc","\u8ddd","\u8dde","\u8ddf","\u8de0","\u8de1","\u8de2","\u8de3","\u8de4","\u8de5","\u8de6","\u8de7","\u8de8","\u8de9","\u8dea","\u8deb","\u8dec","\u8ded","\u8dee","\u8def","\u8df0","\u8df1","\u8df2","\u8df3","\u8df4","\u8df5","\u8df6","\u8df7","\u8df8","\u8df9","\u8dfa","\u8dfb","\u8dfc","\u8dfd","\u8dfe","\u8dff","\u8e00","\u8e01","\u8e02","\u8e03","\u8e04","\u8e05","\u8e06","\u8e07","\u8e08","\u8e09","\u8e0a","\u8e0b","\u8e0c","\u8e0d","\u8e0e","\u8e0f","\u8e10","\u8e11","\u8e12","\u8e13","\u8e14","\u8e15","\u8e16","\u8e17","\u8e18","\u8e19","\u8e1a","\u8e1b","\u8e1c","\u8e1d","\u8e1e","\u8e1f","\u8e20","\u8e21","\u8e22","\u8e23","\u8e24","\u8e25","\u8e26","\u8e27","\u8e28","\u8e29","\u8e2a","\u8e2b","\u8e2c","\u8e2d","\u8e2e","\u8e2f","\u8e30","\u8e31","\u8e32","\u8e33","\u8e34","\u8e35","\u8e36","\u8e37","\u8e38","\u8e39","\u8e3a","\u8e3b","\u8e3c","\u8e3d","\u8e3e","\u8e3f","\u8e40","\u8e41","\u8e42","\u8e43","\u8e44","\u8e45","\u8e46","\u8e47","\u8e48","\u8e49","\u8e4a","\u8e4b","\u8e4c","\u8e4d","\u8e4e","\u8e4f","\u8e50","\u8e51","\u8e52","\u8e53","\u8e54","\u8e55","\u8e56","\u8e57","\u8e58","\u8e59","\u8e5a","\u8e5b","\u8e5c","\u8e5d","\u8e5e","\u8e5f","\u8e60","\u8e61","\u8e62","\u8e63","\u8e64","\u8e65","\u8e66","\u8e67","\u8e68","\u8e69","\u8e6a","\u8e6b","\u8e6c","\u8e6d","\u8e6e","\u8e6f","\u8e70","\u8e71","\u8e72","\u8e73","\u8e74","\u8e75","\u8e76","\u8e77","\u8e78","\u8e79","\u8e7a","\u8e7b","\u8e7c","\u8e7d","\u8e7e","\u8e7f","\u8e80","\u8e81","\u8e82","\u8e83","\u8e84","\u8e85","\u8e86","\u8e87","\u8e88","\u8e89","\u8e8a","\u8e8b","\u8e8c","\u8e8d","\u8e8e","\u8e8f","\u8e90","\u8e91","\u8e92","\u8e93","\u8e94","\u8e95","\u8e96","\u8e97","\u8e98","\u8e99","\u8e9a","\u8e9b","\u8e9c","\u8e9d","\u8e9e","\u8e9f","\u8ea0","\u8ea1","\u8ea2","\u8ea3","\u8ea4","\u8ea5","\u8ea6","\u8ea7","\u8ea8","\u8ea9","\u8eaa","\u8eab","\u8eac","\u8ead","\u8eae","\u8eaf","\u8eb0","\u8eb1","\u8eb2","\u8eb3","\u8eb4","\u8eb5","\u8eb6","\u8eb7","\u8eb8","\u8eb9","\u8eba","\u8ebb","\u8ebc","\u8ebd","\u8ebe","\u8ebf","\u8ec0","\u8ec1","\u8ec2","\u8ec3","\u8ec4","\u8ec5","\u8ec6","\u8ec7","\u8ec8","\u8ec9","\u8eca","\u8ecb","\u8ecc","\u8ecd","\u8ece","\u8ecf","\u8ed0","\u8ed1","\u8ed2","\u8ed3","\u8ed4","\u8ed5","\u8ed6","\u8ed7","\u8ed8","\u8ed9","\u8eda","\u8edb","\u8edc","\u8edd","\u8ede","\u8edf","\u8ee0","\u8ee1","\u8ee2","\u8ee3","\u8ee4","\u8ee5","\u8ee6","\u8ee7","\u8ee8","\u8ee9","\u8eea","\u8eeb","\u8eec","\u8eed","\u8eee","\u8eef","\u8ef0","\u8ef1","\u8ef2","\u8ef3","\u8ef4","\u8ef5","\u8ef6","\u8ef7","\u8ef8","\u8ef9","\u8efa","\u8efb","\u8efc","\u8efd","\u8efe","\u8eff","\u8f00","\u8f01","\u8f02","\u8f03","\u8f04","\u8f05","\u8f06","\u8f07","\u8f08","\u8f09","\u8f0a","\u8f0b","\u8f0c","\u8f0d","\u8f0e","\u8f0f","\u8f10","\u8f11","\u8f12","\u8f13","\u8f14","\u8f15","\u8f16","\u8f17","\u8f18","\u8f19","\u8f1a","\u8f1b","\u8f1c","\u8f1d","\u8f1e","\u8f1f","\u8f20","\u8f21","\u8f22","\u8f23","\u8f24","\u8f25","\u8f26","\u8f27","\u8f28","\u8f29","\u8f2a","\u8f2b","\u8f2c","\u8f2d","\u8f2e","\u8f2f","\u8f30","\u8f31","\u8f32","\u8f33","\u8f34","\u8f35","\u8f36","\u8f37","\u8f38","\u8f39","\u8f3a","\u8f3b","\u8f3c","\u8f3d","\u8f3e","\u8f3f","\u8f40","\u8f41","\u8f42","\u8f43","\u8f44","\u8f45","\u8f46","\u8f47","\u8f48","\u8f49","\u8f4a","\u8f4b","\u8f4c","\u8f4d","\u8f4e","\u8f4f","\u8f50","\u8f51","\u8f52","\u8f53","\u8f54","\u8f55","\u8f56","\u8f57","\u8f58","\u8f59","\u8f5a","\u8f5b","\u8f5c","\u8f5d","\u8f5e","\u8f5f","\u8f60","\u8f61","\u8f62","\u8f63","\u8f64","\u8f65","\u8f66","\u8f67","\u8f68","\u8f69","\u8f6a","\u8f6b","\u8f6c","\u8f6d","\u8f6e","\u8f6f","\u8f70","\u8f71","\u8f72","\u8f73","\u8f74","\u8f75","\u8f76","\u8f77","\u8f78","\u8f79","\u8f7a","\u8f7b","\u8f7c","\u8f7d","\u8f7e","\u8f7f","\u8f80","\u8f81","\u8f82","\u8f83","\u8f84","\u8f85","\u8f86","\u8f87","\u8f88","\u8f89","\u8f8a","\u8f8b","\u8f8c","\u8f8d","\u8f8e","\u8f8f","\u8f90","\u8f91","\u8f92","\u8f93","\u8f94","\u8f95","\u8f96","\u8f97","\u8f98","\u8f99","\u8f9a","\u8f9b","\u8f9c","\u8f9d","\u8f9e","\u8f9f","\u8fa0","\u8fa1","\u8fa2","\u8fa3","\u8fa4","\u8fa5","\u8fa6","\u8fa7","\u8fa8","\u8fa9","\u8faa","\u8fab","\u8fac","\u8fad","\u8fae","\u8faf","\u8fb0","\u8fb1","\u8fb2","\u8fb3","\u8fb4","\u8fb5","\u8fb6","\u8fb7","\u8fb8","\u8fb9","\u8fba","\u8fbb","\u8fbc","\u8fbd","\u8fbe","\u8fbf","\u8fc0","\u8fc1","\u8fc2","\u8fc3","\u8fc4","\u8fc5","\u8fc6","\u8fc7","\u8fc8","\u8fc9","\u8fca","\u8fcb","\u8fcc","\u8fcd","\u8fce","\u8fcf","\u8fd0","\u8fd1","\u8fd2","\u8fd3","\u8fd4","\u8fd5","\u8fd6","\u8fd7","\u8fd8","\u8fd9","\u8fda","\u8fdb","\u8fdc","\u8fdd","\u8fde","\u8fdf","\u8fe0","\u8fe1","\u8fe2","\u8fe3","\u8fe4","\u8fe5","\u8fe6","\u8fe7","\u8fe8","\u8fe9","\u8fea","\u8feb","\u8fec","\u8fed","\u8fee","\u8fef","\u8ff0","\u8ff1","\u8ff2","\u8ff3","\u8ff4","\u8ff5","\u8ff6","\u8ff7","\u8ff8","\u8ff9","\u8ffa","\u8ffb","\u8ffc","\u8ffd","\u8ffe","\u8fff","\u9000","\u9001","\u9002","\u9003","\u9004","\u9005","\u9006","\u9007","\u9008","\u9009","\u900a","\u900b","\u900c","\u900d","\u900e","\u900f","\u9010","\u9011","\u9012","\u9013","\u9014","\u9015","\u9016","\u9017","\u9018","\u9019","\u901a","\u901b","\u901c","\u901d","\u901e","\u901f","\u9020","\u9021","\u9022","\u9023","\u9024","\u9025","\u9026","\u9027","\u9028","\u9029","\u902a","\u902b","\u902c","\u902d","\u902e","\u902f","\u9030","\u9031","\u9032","\u9033","\u9034","\u9035","\u9036","\u9037","\u9038","\u9039","\u903a","\u903b","\u903c","\u903d","\u903e","\u903f","\u9040","\u9041","\u9042","\u9043","\u9044","\u9045","\u9046","\u9047","\u9048","\u9049","\u904a","\u904b","\u904c","\u904d","\u904e","\u904f","\u9050","\u9051","\u9052","\u9053","\u9054","\u9055","\u9056","\u9057","\u9058","\u9059","\u905a","\u905b","\u905c","\u905d","\u905e","\u905f","\u9060","\u9061","\u9062","\u9063","\u9064","\u9065","\u9066","\u9067","\u9068","\u9069","\u906a","\u906b","\u906c","\u906d","\u906e","\u906f","\u9070","\u9071","\u9072","\u9073","\u9074","\u9075","\u9076","\u9077","\u9078","\u9079","\u907a","\u907b","\u907c","\u907d","\u907e","\u907f","\u9080","\u9081","\u9082","\u9083","\u9084","\u9085","\u9086","\u9087","\u9088","\u9089","\u908a","\u908b","\u908c","\u908d","\u908e","\u908f","\u9090","\u9091","\u9092","\u9093","\u9094","\u9095","\u9096","\u9097","\u9098","\u9099","\u909a","\u909b","\u909c","\u909d","\u909e","\u909f","\u90a0","\u90a1","\u90a2","\u90a3","\u90a4","\u90a5","\u90a6","\u90a7","\u90a8","\u90a9","\u90aa","\u90ab","\u90ac","\u90ad","\u90ae","\u90af","\u90b0","\u90b1","\u90b2","\u90b3","\u90b4","\u90b5","\u90b6","\u90b7","\u90b8","\u90b9","\u90ba","\u90bb","\u90bc","\u90bd","\u90be","\u90bf","\u90c0","\u90c1","\u90c2","\u90c3","\u90c4","\u90c5","\u90c6","\u90c7","\u90c8","\u90c9","\u90ca","\u90cb","\u90cc","\u90cd","\u90ce","\u90cf","\u90d0","\u90d1","\u90d2","\u90d3","\u90d4","\u90d5","\u90d6","\u90d7","\u90d8","\u90d9","\u90da","\u90db","\u90dc","\u90dd","\u90de","\u90df","\u90e0","\u90e1","\u90e2","\u90e3","\u90e4","\u90e5","\u90e6","\u90e7","\u90e8","\u90e9","\u90ea","\u90eb","\u90ec","\u90ed","\u90ee","\u90ef","\u90f0","\u90f1","\u90f2","\u90f3","\u90f4","\u90f5","\u90f6","\u90f7","\u90f8","\u90f9","\u90fa","\u90fb","\u90fc","\u90fd","\u90fe","\u90ff","\u9100","\u9101","\u9102","\u9103","\u9104","\u9105","\u9106","\u9107","\u9108","\u9109","\u910a","\u910b","\u910c","\u910d","\u910e","\u910f","\u9110","\u9111","\u9112","\u9113","\u9114","\u9115","\u9116","\u9117","\u9118","\u9119","\u911a","\u911b","\u911c","\u911d","\u911e","\u911f","\u9120","\u9121","\u9122","\u9123","\u9124","\u9125","\u9126","\u9127","\u9128","\u9129","\u912a","\u912b","\u912c","\u912d","\u912e","\u912f","\u9130","\u9131","\u9132","\u9133","\u9134","\u9135","\u9136","\u9137","\u9138","\u9139","\u913a","\u913b","\u913c","\u913d","\u913e","\u913f","\u9140","\u9141","\u9142","\u9143","\u9144","\u9145","\u9146","\u9147","\u9148","\u9149","\u914a","\u914b","\u914c","\u914d","\u914e","\u914f","\u9150","\u9151","\u9152","\u9153","\u9154","\u9155","\u9156","\u9157","\u9158","\u9159","\u915a","\u915b","\u915c","\u915d","\u915e","\u915f","\u9160","\u9161","\u9162","\u9163","\u9164","\u9165","\u9166","\u9167","\u9168","\u9169","\u916a","\u916b","\u916c","\u916d","\u916e","\u916f","\u9170","\u9171","\u9172","\u9173","\u9174","\u9175","\u9176","\u9177","\u9178","\u9179","\u917a","\u917b","\u917c","\u917d","\u917e","\u917f","\u9180","\u9181","\u9182","\u9183","\u9184","\u9185","\u9186","\u9187","\u9188","\u9189","\u918a","\u918b","\u918c","\u918d","\u918e","\u918f","\u9190","\u9191","\u9192","\u9193","\u9194","\u9195","\u9196","\u9197","\u9198","\u9199","\u919a","\u919b","\u919c","\u919d","\u919e","\u919f","\u91a0","\u91a1","\u91a2","\u91a3","\u91a4","\u91a5","\u91a6","\u91a7","\u91a8","\u91a9","\u91aa","\u91ab","\u91ac","\u91ad","\u91ae","\u91af","\u91b0","\u91b1","\u91b2","\u91b3","\u91b4","\u91b5","\u91b6","\u91b7","\u91b8","\u91b9","\u91ba","\u91bb","\u91bc","\u91bd","\u91be","\u91bf","\u91c0","\u91c1","\u91c2","\u91c3","\u91c4","\u91c5","\u91c6","\u91c7","\u91c8","\u91c9","\u91ca","\u91cb","\u91cc","\u91cd","\u91ce","\u91cf","\u91d0","\u91d1","\u91d2","\u91d3","\u91d4","\u91d5","\u91d6","\u91d7","\u91d8","\u91d9","\u91da","\u91db","\u91dc","\u91dd","\u91de","\u91df","\u91e0","\u91e1","\u91e2","\u91e3","\u91e4","\u91e5","\u91e6","\u91e7","\u91e8","\u91e9","\u91ea","\u91eb","\u91ec","\u91ed","\u91ee","\u91ef","\u91f0","\u91f1","\u91f2","\u91f3","\u91f4","\u91f5","\u91f6","\u91f7","\u91f8","\u91f9","\u91fa","\u91fb","\u91fc","\u91fd","\u91fe","\u91ff","\u9200","\u9201","\u9202","\u9203","\u9204","\u9205","\u9206","\u9207","\u9208","\u9209","\u920a","\u920b","\u920c","\u920d","\u920e","\u920f","\u9210","\u9211","\u9212","\u9213","\u9214","\u9215","\u9216","\u9217","\u9218","\u9219","\u921a","\u921b","\u921c","\u921d","\u921e","\u921f","\u9220","\u9221","\u9222","\u9223","\u9224","\u9225","\u9226","\u9227","\u9228","\u9229","\u922a","\u922b","\u922c","\u922d","\u922e","\u922f","\u9230","\u9231","\u9232","\u9233","\u9234","\u9235","\u9236","\u9237","\u9238","\u9239","\u923a","\u923b","\u923c","\u923d","\u923e","\u923f","\u9240","\u9241","\u9242","\u9243","\u9244","\u9245","\u9246","\u9247","\u9248","\u9249","\u924a","\u924b","\u924c","\u924d","\u924e","\u924f","\u9250","\u9251","\u9252","\u9253","\u9254","\u9255","\u9256","\u9257","\u9258","\u9259","\u925a","\u925b","\u925c","\u925d","\u925e","\u925f","\u9260","\u9261","\u9262","\u9263","\u9264","\u9265","\u9266","\u9267","\u9268","\u9269","\u926a","\u926b","\u926c","\u926d","\u926e","\u926f","\u9270","\u9271","\u9272","\u9273","\u9274","\u9275","\u9276","\u9277","\u9278","\u9279","\u927a","\u927b","\u927c","\u927d","\u927e","\u927f","\u9280","\u9281","\u9282","\u9283","\u9284","\u9285","\u9286","\u9287","\u9288","\u9289","\u928a","\u928b","\u928c","\u928d","\u928e","\u928f","\u9290","\u9291","\u9292","\u9293","\u9294","\u9295","\u9296","\u9297","\u9298","\u9299","\u929a","\u929b","\u929c","\u929d","\u929e","\u929f","\u92a0","\u92a1","\u92a2","\u92a3","\u92a4","\u92a5","\u92a6","\u92a7","\u92a8","\u92a9","\u92aa","\u92ab","\u92ac","\u92ad","\u92ae","\u92af","\u92b0","\u92b1","\u92b2","\u92b3","\u92b4","\u92b5","\u92b6","\u92b7","\u92b8","\u92b9","\u92ba","\u92bb","\u92bc","\u92bd","\u92be","\u92bf","\u92c0","\u92c1","\u92c2","\u92c3","\u92c4","\u92c5","\u92c6","\u92c7","\u92c8","\u92c9","\u92ca","\u92cb","\u92cc","\u92cd","\u92ce","\u92cf","\u92d0","\u92d1","\u92d2","\u92d3","\u92d4","\u92d5","\u92d6","\u92d7","\u92d8","\u92d9","\u92da","\u92db","\u92dc","\u92dd","\u92de","\u92df","\u92e0","\u92e1","\u92e2","\u92e3","\u92e4","\u92e5","\u92e6","\u92e7","\u92e8","\u92e9","\u92ea","\u92eb","\u92ec","\u92ed","\u92ee","\u92ef","\u92f0","\u92f1","\u92f2","\u92f3","\u92f4","\u92f5","\u92f6","\u92f7","\u92f8","\u92f9","\u92fa","\u92fb","\u92fc","\u92fd","\u92fe","\u92ff","\u9300","\u9301","\u9302","\u9303","\u9304","\u9305","\u9306","\u9307","\u9308","\u9309","\u930a","\u930b","\u930c","\u930d","\u930e","\u930f","\u9310","\u9311","\u9312","\u9313","\u9314","\u9315","\u9316","\u9317","\u9318","\u9319","\u931a","\u931b","\u931c","\u931d","\u931e","\u931f","\u9320","\u9321","\u9322","\u9323","\u9324","\u9325","\u9326","\u9327","\u9328","\u9329","\u932a","\u932b","\u932c","\u932d","\u932e","\u932f","\u9330","\u9331","\u9332","\u9333","\u9334","\u9335","\u9336","\u9337","\u9338","\u9339","\u933a","\u933b","\u933c","\u933d","\u933e","\u933f","\u9340","\u9341","\u9342","\u9343","\u9344","\u9345","\u9346","\u9347","\u9348","\u9349","\u934a","\u934b","\u934c","\u934d","\u934e","\u934f","\u9350","\u9351","\u9352","\u9353","\u9354","\u9355","\u9356","\u9357","\u9358","\u9359","\u935a","\u935b","\u935c","\u935d","\u935e","\u935f","\u9360","\u9361","\u9362","\u9363","\u9364","\u9365","\u9366","\u9367","\u9368","\u9369","\u936a","\u936b","\u936c","\u936d","\u936e","\u936f","\u9370","\u9371","\u9372","\u9373","\u9374","\u9375","\u9376","\u9377","\u9378","\u9379","\u937a","\u937b","\u937c","\u937d","\u937e","\u937f","\u9380","\u9381","\u9382","\u9383","\u9384","\u9385","\u9386","\u9387","\u9388","\u9389","\u938a","\u938b","\u938c","\u938d","\u938e","\u938f","\u9390","\u9391","\u9392","\u9393","\u9394","\u9395","\u9396","\u9397","\u9398","\u9399","\u939a","\u939b","\u939c","\u939d","\u939e","\u939f","\u93a0","\u93a1","\u93a2","\u93a3","\u93a4","\u93a5","\u93a6","\u93a7","\u93a8","\u93a9","\u93aa","\u93ab","\u93ac","\u93ad","\u93ae","\u93af","\u93b0","\u93b1","\u93b2","\u93b3","\u93b4","\u93b5","\u93b6","\u93b7","\u93b8","\u93b9","\u93ba","\u93bb","\u93bc","\u93bd","\u93be","\u93bf","\u93c0","\u93c1","\u93c2","\u93c3","\u93c4","\u93c5","\u93c6","\u93c7","\u93c8","\u93c9","\u93ca","\u93cb","\u93cc","\u93cd","\u93ce","\u93cf","\u93d0","\u93d1","\u93d2","\u93d3","\u93d4","\u93d5","\u93d6","\u93d7","\u93d8","\u93d9","\u93da","\u93db","\u93dc","\u93dd","\u93de","\u93df","\u93e0","\u93e1","\u93e2","\u93e3","\u93e4","\u93e5","\u93e6","\u93e7","\u93e8","\u93e9","\u93ea","\u93eb","\u93ec","\u93ed","\u93ee","\u93ef","\u93f0","\u93f1","\u93f2","\u93f3","\u93f4","\u93f5","\u93f6","\u93f7","\u93f8","\u93f9","\u93fa","\u93fb","\u93fc","\u93fd","\u93fe","\u93ff","\u9400","\u9401","\u9402","\u9403","\u9404","\u9405","\u9406","\u9407","\u9408","\u9409","\u940a","\u940b","\u940c","\u940d","\u940e","\u940f","\u9410","\u9411","\u9412","\u9413","\u9414","\u9415","\u9416","\u9417","\u9418","\u9419","\u941a","\u941b","\u941c","\u941d","\u941e","\u941f","\u9420","\u9421","\u9422","\u9423","\u9424","\u9425","\u9426","\u9427","\u9428","\u9429","\u942a","\u942b","\u942c","\u942d","\u942e","\u942f","\u9430","\u9431","\u9432","\u9433","\u9434","\u9435","\u9436","\u9437","\u9438","\u9439","\u943a","\u943b","\u943c","\u943d","\u943e","\u943f","\u9440","\u9441","\u9442","\u9443","\u9444","\u9445","\u9446","\u9447","\u9448","\u9449","\u944a","\u944b","\u944c","\u944d","\u944e","\u944f","\u9450","\u9451","\u9452","\u9453","\u9454","\u9455","\u9456","\u9457","\u9458","\u9459","\u945a","\u945b","\u945c","\u945d","\u945e","\u945f","\u9460","\u9461","\u9462","\u9463","\u9464","\u9465","\u9466","\u9467","\u9468","\u9469","\u946a","\u946b","\u946c","\u946d","\u946e","\u946f","\u9470","\u9471","\u9472","\u9473","\u9474","\u9475","\u9476","\u9477","\u9478","\u9479","\u947a","\u947b","\u947c","\u947d","\u947e","\u947f","\u9480","\u9481","\u9482","\u9483","\u9484","\u9485","\u9486","\u9487","\u9488","\u9489","\u948a","\u948b","\u948c","\u948d","\u948e","\u948f","\u9490","\u9491","\u9492","\u9493","\u9494","\u9495","\u9496","\u9497","\u9498","\u9499","\u949a","\u949b","\u949c","\u949d","\u949e","\u949f","\u94a0","\u94a1","\u94a2","\u94a3","\u94a4","\u94a5","\u94a6","\u94a7","\u94a8","\u94a9","\u94aa","\u94ab","\u94ac","\u94ad","\u94ae","\u94af","\u94b0","\u94b1","\u94b2","\u94b3","\u94b4","\u94b5","\u94b6","\u94b7","\u94b8","\u94b9","\u94ba","\u94bb","\u94bc","\u94bd","\u94be","\u94bf","\u94c0","\u94c1","\u94c2","\u94c3","\u94c4","\u94c5","\u94c6","\u94c7","\u94c8","\u94c9","\u94ca","\u94cb","\u94cc","\u94cd","\u94ce","\u94cf","\u94d0","\u94d1","\u94d2","\u94d3","\u94d4","\u94d5","\u94d6","\u94d7","\u94d8","\u94d9","\u94da","\u94db","\u94dc","\u94dd","\u94de","\u94df","\u94e0","\u94e1","\u94e2","\u94e3","\u94e4","\u94e5","\u94e6","\u94e7","\u94e8","\u94e9","\u94ea","\u94eb","\u94ec","\u94ed","\u94ee","\u94ef","\u94f0","\u94f1","\u94f2","\u94f3","\u94f4","\u94f5","\u94f6","\u94f7","\u94f8","\u94f9","\u94fa","\u94fb","\u94fc","\u94fd","\u94fe","\u94ff","\u9500","\u9501","\u9502","\u9503","\u9504","\u9505","\u9506","\u9507","\u9508","\u9509","\u950a","\u950b","\u950c","\u950d","\u950e","\u950f","\u9510","\u9511","\u9512","\u9513","\u9514","\u9515","\u9516","\u9517","\u9518","\u9519","\u951a","\u951b","\u951c","\u951d","\u951e","\u951f","\u9520","\u9521","\u9522","\u9523","\u9524","\u9525","\u9526","\u9527","\u9528","\u9529","\u952a","\u952b","\u952c","\u952d","\u952e","\u952f","\u9530","\u9531","\u9532","\u9533","\u9534","\u9535","\u9536","\u9537","\u9538","\u9539","\u953a","\u953b","\u953c","\u953d","\u953e","\u953f","\u9540","\u9541","\u9542","\u9543","\u9544","\u9545","\u9546","\u9547","\u9548","\u9549","\u954a","\u954b","\u954c","\u954d","\u954e","\u954f","\u9550","\u9551","\u9552","\u9553","\u9554","\u9555","\u9556","\u9557","\u9558","\u9559","\u955a","\u955b","\u955c","\u955d","\u955e","\u955f","\u9560","\u9561","\u9562","\u9563","\u9564","\u9565","\u9566","\u9567","\u9568","\u9569","\u956a","\u956b","\u956c","\u956d","\u956e","\u956f","\u9570","\u9571","\u9572","\u9573","\u9574","\u9575","\u9576","\u9577","\u9578","\u9579","\u957a","\u957b","\u957c","\u957d","\u957e","\u957f","\u9580","\u9581","\u9582","\u9583","\u9584","\u9585","\u9586","\u9587","\u9588","\u9589","\u958a","\u958b","\u958c","\u958d","\u958e","\u958f","\u9590","\u9591","\u9592","\u9593","\u9594","\u9595","\u9596","\u9597","\u9598","\u9599","\u959a","\u959b","\u959c","\u959d","\u959e","\u959f","\u95a0","\u95a1","\u95a2","\u95a3","\u95a4","\u95a5","\u95a6","\u95a7","\u95a8","\u95a9","\u95aa","\u95ab","\u95ac","\u95ad","\u95ae","\u95af","\u95b0","\u95b1","\u95b2","\u95b3","\u95b4","\u95b5","\u95b6","\u95b7","\u95b8","\u95b9","\u95ba","\u95bb","\u95bc","\u95bd","\u95be","\u95bf","\u95c0","\u95c1","\u95c2","\u95c3","\u95c4","\u95c5","\u95c6","\u95c7","\u95c8","\u95c9","\u95ca","\u95cb","\u95cc","\u95cd","\u95ce","\u95cf","\u95d0","\u95d1","\u95d2","\u95d3","\u95d4","\u95d5","\u95d6","\u95d7","\u95d8","\u95d9","\u95da","\u95db","\u95dc","\u95dd","\u95de","\u95df","\u95e0","\u95e1","\u95e2","\u95e3","\u95e4","\u95e5","\u95e6","\u95e7","\u95e8","\u95e9","\u95ea","\u95eb","\u95ec","\u95ed","\u95ee","\u95ef","\u95f0","\u95f1","\u95f2","\u95f3","\u95f4","\u95f5","\u95f6","\u95f7","\u95f8","\u95f9","\u95fa","\u95fb","\u95fc","\u95fd","\u95fe","\u95ff","\u9600","\u9601","\u9602","\u9603","\u9604","\u9605","\u9606","\u9607","\u9608","\u9609","\u960a","\u960b","\u960c","\u960d","\u960e","\u960f","\u9610","\u9611","\u9612","\u9613","\u9614","\u9615","\u9616","\u9617","\u9618","\u9619","\u961a","\u961b","\u961c","\u961d","\u961e","\u961f","\u9620","\u9621","\u9622","\u9623","\u9624","\u9625","\u9626","\u9627","\u9628","\u9629","\u962a","\u962b","\u962c","\u962d","\u962e","\u962f","\u9630","\u9631","\u9632","\u9633","\u9634","\u9635","\u9636","\u9637","\u9638","\u9639","\u963a","\u963b","\u963c","\u963d","\u963e","\u963f","\u9640","\u9641","\u9642","\u9643","\u9644","\u9645","\u9646","\u9647","\u9648","\u9649","\u964a","\u964b","\u964c","\u964d","\u964e","\u964f","\u9650","\u9651","\u9652","\u9653","\u9654","\u9655","\u9656","\u9657","\u9658","\u9659","\u965a","\u965b","\u965c","\u965d","\u965e","\u965f","\u9660","\u9661","\u9662","\u9663","\u9664","\u9665","\u9666","\u9667","\u9668","\u9669","\u966a","\u966b","\u966c","\u966d","\u966e","\u966f","\u9670","\u9671","\u9672","\u9673","\u9674","\u9675","\u9676","\u9677","\u9678","\u9679","\u967a","\u967b","\u967c","\u967d","\u967e","\u967f","\u9680","\u9681","\u9682","\u9683","\u9684","\u9685","\u9686","\u9687","\u9688","\u9689","\u968a","\u968b","\u968c","\u968d","\u968e","\u968f","\u9690","\u9691","\u9692","\u9693","\u9694","\u9695","\u9696","\u9697","\u9698","\u9699","\u969a","\u969b","\u969c","\u969d","\u969e","\u969f","\u96a0","\u96a1","\u96a2","\u96a3","\u96a4","\u96a5","\u96a6","\u96a7","\u96a8","\u96a9","\u96aa","\u96ab","\u96ac","\u96ad","\u96ae","\u96af","\u96b0","\u96b1","\u96b2","\u96b3","\u96b4","\u96b5","\u96b6","\u96b7","\u96b8","\u96b9","\u96ba","\u96bb","\u96bc","\u96bd","\u96be","\u96bf","\u96c0","\u96c1","\u96c2","\u96c3","\u96c4","\u96c5","\u96c6","\u96c7","\u96c8","\u96c9","\u96ca","\u96cb","\u96cc","\u96cd","\u96ce","\u96cf","\u96d0","\u96d1","\u96d2","\u96d3","\u96d4","\u96d5","\u96d6","\u96d7","\u96d8","\u96d9","\u96da","\u96db","\u96dc","\u96dd","\u96de","\u96df","\u96e0","\u96e1","\u96e2","\u96e3","\u96e4","\u96e5","\u96e6","\u96e7","\u96e8","\u96e9","\u96ea","\u96eb","\u96ec","\u96ed","\u96ee","\u96ef","\u96f0","\u96f1","\u96f2","\u96f3","\u96f4","\u96f5","\u96f6","\u96f7","\u96f8","\u96f9","\u96fa","\u96fb","\u96fc","\u96fd","\u96fe","\u96ff","\u9700","\u9701","\u9702","\u9703","\u9704","\u9705","\u9706","\u9707","\u9708","\u9709","\u970a","\u970b","\u970c","\u970d","\u970e","\u970f","\u9710","\u9711","\u9712","\u9713","\u9714","\u9715","\u9716","\u9717","\u9718","\u9719","\u971a","\u971b","\u971c","\u971d","\u971e","\u971f","\u9720","\u9721","\u9722","\u9723","\u9724","\u9725","\u9726","\u9727","\u9728","\u9729","\u972a","\u972b","\u972c","\u972d","\u972e","\u972f","\u9730","\u9731","\u9732","\u9733","\u9734","\u9735","\u9736","\u9737","\u9738","\u9739","\u973a","\u973b","\u973c","\u973d","\u973e","\u973f","\u9740","\u9741","\u9742","\u9743","\u9744","\u9745","\u9746","\u9747","\u9748","\u9749","\u974a","\u974b","\u974c","\u974d","\u974e","\u974f","\u9750","\u9751","\u9752","\u9753","\u9754","\u9755","\u9756","\u9757","\u9758","\u9759","\u975a","\u975b","\u975c","\u975d","\u975e","\u975f","\u9760","\u9761","\u9762","\u9763","\u9764","\u9765","\u9766","\u9767","\u9768","\u9769","\u976a","\u976b","\u976c","\u976d","\u976e","\u976f","\u9770","\u9771","\u9772","\u9773","\u9774","\u9775","\u9776","\u9777","\u9778","\u9779","\u977a","\u977b","\u977c","\u977d","\u977e","\u977f","\u9780","\u9781","\u9782","\u9783","\u9784","\u9785","\u9786","\u9787","\u9788","\u9789","\u978a","\u978b","\u978c","\u978d","\u978e","\u978f","\u9790","\u9791","\u9792","\u9793","\u9794","\u9795","\u9796","\u9797","\u9798","\u9799","\u979a","\u979b","\u979c","\u979d","\u979e","\u979f","\u97a0","\u97a1","\u97a2","\u97a3","\u97a4","\u97a5","\u97a6","\u97a7","\u97a8","\u97a9","\u97aa","\u97ab","\u97ac","\u97ad","\u97ae","\u97af","\u97b0","\u97b1","\u97b2","\u97b3","\u97b4","\u97b5","\u97b6","\u97b7","\u97b8","\u97b9","\u97ba","\u97bb","\u97bc","\u97bd","\u97be","\u97bf","\u97c0","\u97c1","\u97c2","\u97c3","\u97c4","\u97c5","\u97c6","\u97c7","\u97c8","\u97c9","\u97ca","\u97cb","\u97cc","\u97cd","\u97ce","\u97cf","\u97d0","\u97d1","\u97d2","\u97d3","\u97d4","\u97d5","\u97d6","\u97d7","\u97d8","\u97d9","\u97da","\u97db","\u97dc","\u97dd","\u97de","\u97df","\u97e0","\u97e1","\u97e2","\u97e3","\u97e4","\u97e5","\u97e6","\u97e7","\u97e8","\u97e9","\u97ea","\u97eb","\u97ec","\u97ed","\u97ee","\u97ef","\u97f0","\u97f1","\u97f2","\u97f3","\u97f4","\u97f5","\u97f6","\u97f7","\u97f8","\u97f9","\u97fa","\u97fb","\u97fc","\u97fd","\u97fe","\u97ff","\u9800","\u9801","\u9802","\u9803","\u9804","\u9805","\u9806","\u9807","\u9808","\u9809","\u980a","\u980b","\u980c","\u980d","\u980e","\u980f","\u9810","\u9811","\u9812","\u9813","\u9814","\u9815","\u9816","\u9817","\u9818","\u9819","\u981a","\u981b","\u981c","\u981d","\u981e","\u981f","\u9820","\u9821","\u9822","\u9823","\u9824","\u9825","\u9826","\u9827","\u9828","\u9829","\u982a","\u982b","\u982c","\u982d","\u982e","\u982f","\u9830","\u9831","\u9832","\u9833","\u9834","\u9835","\u9836","\u9837","\u9838","\u9839","\u983a","\u983b","\u983c","\u983d","\u983e","\u983f","\u9840","\u9841","\u9842","\u9843","\u9844","\u9845","\u9846","\u9847","\u9848","\u9849","\u984a","\u984b","\u984c","\u984d","\u984e","\u984f","\u9850","\u9851","\u9852","\u9853","\u9854","\u9855","\u9856","\u9857","\u9858","\u9859","\u985a","\u985b","\u985c","\u985d","\u985e","\u985f","\u9860","\u9861","\u9862","\u9863","\u9864","\u9865","\u9866","\u9867","\u9868","\u9869","\u986a","\u986b","\u986c","\u986d","\u986e","\u986f","\u9870","\u9871","\u9872","\u9873","\u9874","\u9875","\u9876","\u9877","\u9878","\u9879","\u987a","\u987b","\u987c","\u987d","\u987e","\u987f","\u9880","\u9881","\u9882","\u9883","\u9884","\u9885","\u9886","\u9887","\u9888","\u9889","\u988a","\u988b","\u988c","\u988d","\u988e","\u988f","\u9890","\u9891","\u9892","\u9893","\u9894","\u9895","\u9896","\u9897","\u9898","\u9899","\u989a","\u989b","\u989c","\u989d","\u989e","\u989f","\u98a0","\u98a1","\u98a2","\u98a3","\u98a4","\u98a5","\u98a6","\u98a7","\u98a8","\u98a9","\u98aa","\u98ab","\u98ac","\u98ad","\u98ae","\u98af","\u98b0","\u98b1","\u98b2","\u98b3","\u98b4","\u98b5","\u98b6","\u98b7","\u98b8","\u98b9","\u98ba","\u98bb","\u98bc","\u98bd","\u98be","\u98bf","\u98c0","\u98c1","\u98c2","\u98c3","\u98c4","\u98c5","\u98c6","\u98c7","\u98c8","\u98c9","\u98ca","\u98cb","\u98cc","\u98cd","\u98ce","\u98cf","\u98d0","\u98d1","\u98d2","\u98d3","\u98d4","\u98d5","\u98d6","\u98d7","\u98d8","\u98d9","\u98da","\u98db","\u98dc","\u98dd","\u98de","\u98df","\u98e0","\u98e1","\u98e2","\u98e3","\u98e4","\u98e5","\u98e6","\u98e7","\u98e8","\u98e9","\u98ea","\u98eb","\u98ec","\u98ed","\u98ee","\u98ef","\u98f0","\u98f1","\u98f2","\u98f3","\u98f4","\u98f5","\u98f6","\u98f7","\u98f8","\u98f9","\u98fa","\u98fb","\u98fc","\u98fd","\u98fe","\u98ff","\u9900","\u9901","\u9902","\u9903","\u9904","\u9905","\u9906","\u9907","\u9908","\u9909","\u990a","\u990b","\u990c","\u990d","\u990e","\u990f","\u9910","\u9911","\u9912","\u9913","\u9914","\u9915","\u9916","\u9917","\u9918","\u9919","\u991a","\u991b","\u991c","\u991d","\u991e","\u991f","\u9920","\u9921","\u9922","\u9923","\u9924","\u9925","\u9926","\u9927","\u9928","\u9929","\u992a","\u992b","\u992c","\u992d","\u992e","\u992f","\u9930","\u9931","\u9932","\u9933","\u9934","\u9935","\u9936","\u9937","\u9938","\u9939","\u993a","\u993b","\u993c","\u993d","\u993e","\u993f","\u9940","\u9941","\u9942","\u9943","\u9944","\u9945","\u9946","\u9947","\u9948","\u9949","\u994a","\u994b","\u994c","\u994d","\u994e","\u994f","\u9950","\u9951","\u9952","\u9953","\u9954","\u9955","\u9956","\u9957","\u9958","\u9959","\u995a","\u995b","\u995c","\u995d","\u995e","\u995f","\u9960","\u9961","\u9962","\u9963","\u9964","\u9965","\u9966","\u9967","\u9968","\u9969","\u996a","\u996b","\u996c","\u996d","\u996e","\u996f","\u9970","\u9971","\u9972","\u9973","\u9974","\u9975","\u9976","\u9977","\u9978","\u9979","\u997a","\u997b","\u997c","\u997d","\u997e","\u997f","\u9980","\u9981","\u9982","\u9983","\u9984","\u9985","\u9986","\u9987","\u9988","\u9989","\u998a","\u998b","\u998c","\u998d","\u998e","\u998f","\u9990","\u9991","\u9992","\u9993","\u9994","\u9995","\u9996","\u9997","\u9998","\u9999","\u999a","\u999b","\u999c","\u999d","\u999e","\u999f","\u99a0","\u99a1","\u99a2","\u99a3","\u99a4","\u99a5","\u99a6","\u99a7","\u99a8","\u99a9","\u99aa","\u99ab","\u99ac","\u99ad","\u99ae","\u99af","\u99b0","\u99b1","\u99b2","\u99b3","\u99b4","\u99b5","\u99b6","\u99b7","\u99b8","\u99b9","\u99ba","\u99bb","\u99bc","\u99bd","\u99be","\u99bf","\u99c0","\u99c1","\u99c2","\u99c3","\u99c4","\u99c5","\u99c6","\u99c7","\u99c8","\u99c9","\u99ca","\u99cb","\u99cc","\u99cd","\u99ce","\u99cf","\u99d0","\u99d1","\u99d2","\u99d3","\u99d4","\u99d5","\u99d6","\u99d7","\u99d8","\u99d9","\u99da","\u99db","\u99dc","\u99dd","\u99de","\u99df","\u99e0","\u99e1","\u99e2","\u99e3","\u99e4","\u99e5","\u99e6","\u99e7","\u99e8","\u99e9","\u99ea","\u99eb","\u99ec","\u99ed","\u99ee","\u99ef","\u99f0","\u99f1","\u99f2","\u99f3","\u99f4","\u99f5","\u99f6","\u99f7","\u99f8","\u99f9","\u99fa","\u99fb","\u99fc","\u99fd","\u99fe","\u99ff","\u9a00","\u9a01","\u9a02","\u9a03","\u9a04","\u9a05","\u9a06","\u9a07","\u9a08","\u9a09","\u9a0a","\u9a0b","\u9a0c","\u9a0d","\u9a0e","\u9a0f","\u9a10","\u9a11","\u9a12","\u9a13","\u9a14","\u9a15","\u9a16","\u9a17","\u9a18","\u9a19","\u9a1a","\u9a1b","\u9a1c","\u9a1d","\u9a1e","\u9a1f","\u9a20","\u9a21","\u9a22","\u9a23","\u9a24","\u9a25","\u9a26","\u9a27","\u9a28","\u9a29","\u9a2a","\u9a2b","\u9a2c","\u9a2d","\u9a2e","\u9a2f","\u9a30","\u9a31","\u9a32","\u9a33","\u9a34","\u9a35","\u9a36","\u9a37","\u9a38","\u9a39","\u9a3a","\u9a3b","\u9a3c","\u9a3d","\u9a3e","\u9a3f","\u9a40","\u9a41","\u9a42","\u9a43","\u9a44","\u9a45","\u9a46","\u9a47","\u9a48","\u9a49","\u9a4a","\u9a4b","\u9a4c","\u9a4d","\u9a4e","\u9a4f","\u9a50","\u9a51","\u9a52","\u9a53","\u9a54","\u9a55","\u9a56","\u9a57","\u9a58","\u9a59","\u9a5a","\u9a5b","\u9a5c","\u9a5d","\u9a5e","\u9a5f","\u9a60","\u9a61","\u9a62","\u9a63","\u9a64","\u9a65","\u9a66","\u9a67","\u9a68","\u9a69","\u9a6a","\u9a6b","\u9a6c","\u9a6d","\u9a6e","\u9a6f","\u9a70","\u9a71","\u9a72","\u9a73","\u9a74","\u9a75","\u9a76","\u9a77","\u9a78","\u9a79","\u9a7a","\u9a7b","\u9a7c","\u9a7d","\u9a7e","\u9a7f","\u9a80","\u9a81","\u9a82","\u9a83","\u9a84","\u9a85","\u9a86","\u9a87","\u9a88","\u9a89","\u9a8a","\u9a8b","\u9a8c","\u9a8d","\u9a8e","\u9a8f","\u9a90","\u9a91","\u9a92","\u9a93","\u9a94","\u9a95","\u9a96","\u9a97","\u9a98","\u9a99","\u9a9a","\u9a9b","\u9a9c","\u9a9d","\u9a9e","\u9a9f","\u9aa0","\u9aa1","\u9aa2","\u9aa3","\u9aa4","\u9aa5","\u9aa6","\u9aa7","\u9aa8","\u9aa9","\u9aaa","\u9aab","\u9aac","\u9aad","\u9aae","\u9aaf","\u9ab0","\u9ab1","\u9ab2","\u9ab3","\u9ab4","\u9ab5","\u9ab6","\u9ab7","\u9ab8","\u9ab9","\u9aba","\u9abb","\u9abc","\u9abd","\u9abe","\u9abf","\u9ac0","\u9ac1","\u9ac2","\u9ac3","\u9ac4","\u9ac5","\u9ac6","\u9ac7","\u9ac8","\u9ac9","\u9aca","\u9acb","\u9acc","\u9acd","\u9ace","\u9acf","\u9ad0","\u9ad1","\u9ad2","\u9ad3","\u9ad4","\u9ad5","\u9ad6","\u9ad7","\u9ad8","\u9ad9","\u9ada","\u9adb","\u9adc","\u9add","\u9ade","\u9adf","\u9ae0","\u9ae1","\u9ae2","\u9ae3","\u9ae4","\u9ae5","\u9ae6","\u9ae7","\u9ae8","\u9ae9","\u9aea","\u9aeb","\u9aec","\u9aed","\u9aee","\u9aef","\u9af0","\u9af1","\u9af2","\u9af3","\u9af4","\u9af5","\u9af6","\u9af7","\u9af8","\u9af9","\u9afa","\u9afb","\u9afc","\u9afd","\u9afe","\u9aff","\u9b00","\u9b01","\u9b02","\u9b03","\u9b04","\u9b05","\u9b06","\u9b07","\u9b08","\u9b09","\u9b0a","\u9b0b","\u9b0c","\u9b0d","\u9b0e","\u9b0f","\u9b10","\u9b11","\u9b12","\u9b13","\u9b14","\u9b15","\u9b16","\u9b17","\u9b18","\u9b19","\u9b1a","\u9b1b","\u9b1c","\u9b1d","\u9b1e","\u9b1f","\u9b20","\u9b21","\u9b22","\u9b23","\u9b24","\u9b25","\u9b26","\u9b27","\u9b28","\u9b29","\u9b2a","\u9b2b","\u9b2c","\u9b2d","\u9b2e","\u9b2f","\u9b30","\u9b31","\u9b32","\u9b33","\u9b34","\u9b35","\u9b36","\u9b37","\u9b38","\u9b39","\u9b3a","\u9b3b","\u9b3c","\u9b3d","\u9b3e","\u9b3f","\u9b40","\u9b41","\u9b42","\u9b43","\u9b44","\u9b45","\u9b46","\u9b47","\u9b48","\u9b49","\u9b4a","\u9b4b","\u9b4c","\u9b4d","\u9b4e","\u9b4f","\u9b50","\u9b51","\u9b52","\u9b53","\u9b54","\u9b55","\u9b56","\u9b57","\u9b58","\u9b59","\u9b5a","\u9b5b","\u9b5c","\u9b5d","\u9b5e","\u9b5f","\u9b60","\u9b61","\u9b62","\u9b63","\u9b64","\u9b65","\u9b66","\u9b67","\u9b68","\u9b69","\u9b6a","\u9b6b","\u9b6c","\u9b6d","\u9b6e","\u9b6f","\u9b70","\u9b71","\u9b72","\u9b73","\u9b74","\u9b75","\u9b76","\u9b77","\u9b78","\u9b79","\u9b7a","\u9b7b","\u9b7c","\u9b7d","\u9b7e","\u9b7f","\u9b80","\u9b81","\u9b82","\u9b83","\u9b84","\u9b85","\u9b86","\u9b87","\u9b88","\u9b89","\u9b8a","\u9b8b","\u9b8c","\u9b8d","\u9b8e","\u9b8f","\u9b90","\u9b91","\u9b92","\u9b93","\u9b94","\u9b95","\u9b96","\u9b97","\u9b98","\u9b99","\u9b9a","\u9b9b","\u9b9c","\u9b9d","\u9b9e","\u9b9f","\u9ba0","\u9ba1","\u9ba2","\u9ba3","\u9ba4","\u9ba5","\u9ba6","\u9ba7","\u9ba8","\u9ba9","\u9baa","\u9bab","\u9bac","\u9bad","\u9bae","\u9baf","\u9bb0","\u9bb1","\u9bb2","\u9bb3","\u9bb4","\u9bb5","\u9bb6","\u9bb7","\u9bb8","\u9bb9","\u9bba","\u9bbb","\u9bbc","\u9bbd","\u9bbe","\u9bbf","\u9bc0","\u9bc1","\u9bc2","\u9bc3","\u9bc4","\u9bc5","\u9bc6","\u9bc7","\u9bc8","\u9bc9","\u9bca","\u9bcb","\u9bcc","\u9bcd","\u9bce","\u9bcf","\u9bd0","\u9bd1","\u9bd2","\u9bd3","\u9bd4","\u9bd5","\u9bd6","\u9bd7","\u9bd8","\u9bd9","\u9bda","\u9bdb","\u9bdc","\u9bdd","\u9bde","\u9bdf","\u9be0","\u9be1","\u9be2","\u9be3","\u9be4","\u9be5","\u9be6","\u9be7","\u9be8","\u9be9","\u9bea","\u9beb","\u9bec","\u9bed","\u9bee","\u9bef","\u9bf0","\u9bf1","\u9bf2","\u9bf3","\u9bf4","\u9bf5","\u9bf6","\u9bf7","\u9bf8","\u9bf9","\u9bfa","\u9bfb","\u9bfc","\u9bfd","\u9bfe","\u9bff","\u9c00","\u9c01","\u9c02","\u9c03","\u9c04","\u9c05","\u9c06","\u9c07","\u9c08","\u9c09","\u9c0a","\u9c0b","\u9c0c","\u9c0d","\u9c0e","\u9c0f","\u9c10","\u9c11","\u9c12","\u9c13","\u9c14","\u9c15","\u9c16","\u9c17","\u9c18","\u9c19","\u9c1a","\u9c1b","\u9c1c","\u9c1d","\u9c1e","\u9c1f","\u9c20","\u9c21","\u9c22","\u9c23","\u9c24","\u9c25","\u9c26","\u9c27","\u9c28","\u9c29","\u9c2a","\u9c2b","\u9c2c","\u9c2d","\u9c2e","\u9c2f","\u9c30","\u9c31","\u9c32","\u9c33","\u9c34","\u9c35","\u9c36","\u9c37","\u9c38","\u9c39","\u9c3a","\u9c3b","\u9c3c","\u9c3d","\u9c3e","\u9c3f","\u9c40","\u9c41","\u9c42","\u9c43","\u9c44","\u9c45","\u9c46","\u9c47","\u9c48","\u9c49","\u9c4a","\u9c4b","\u9c4c","\u9c4d","\u9c4e","\u9c4f","\u9c50","\u9c51","\u9c52","\u9c53","\u9c54","\u9c55","\u9c56","\u9c57","\u9c58","\u9c59","\u9c5a","\u9c5b","\u9c5c","\u9c5d","\u9c5e","\u9c5f","\u9c60","\u9c61","\u9c62","\u9c63","\u9c64","\u9c65","\u9c66","\u9c67","\u9c68","\u9c69","\u9c6a","\u9c6b","\u9c6c","\u9c6d","\u9c6e","\u9c6f","\u9c70","\u9c71","\u9c72","\u9c73","\u9c74","\u9c75","\u9c76","\u9c77","\u9c78","\u9c79","\u9c7a","\u9c7b","\u9c7c","\u9c7d","\u9c7e","\u9c7f","\u9c80","\u9c81","\u9c82","\u9c83","\u9c84","\u9c85","\u9c86","\u9c87","\u9c88","\u9c89","\u9c8a","\u9c8b","\u9c8c","\u9c8d","\u9c8e","\u9c8f","\u9c90","\u9c91","\u9c92","\u9c93","\u9c94","\u9c95","\u9c96","\u9c97","\u9c98","\u9c99","\u9c9a","\u9c9b","\u9c9c","\u9c9d","\u9c9e","\u9c9f","\u9ca0","\u9ca1","\u9ca2","\u9ca3","\u9ca4","\u9ca5","\u9ca6","\u9ca7","\u9ca8","\u9ca9","\u9caa","\u9cab","\u9cac","\u9cad","\u9cae","\u9caf","\u9cb0","\u9cb1","\u9cb2","\u9cb3","\u9cb4","\u9cb5","\u9cb6","\u9cb7","\u9cb8","\u9cb9","\u9cba","\u9cbb","\u9cbc","\u9cbd","\u9cbe","\u9cbf","\u9cc0","\u9cc1","\u9cc2","\u9cc3","\u9cc4","\u9cc5","\u9cc6","\u9cc7","\u9cc8","\u9cc9","\u9cca","\u9ccb","\u9ccc","\u9ccd","\u9cce","\u9ccf","\u9cd0","\u9cd1","\u9cd2","\u9cd3","\u9cd4","\u9cd5","\u9cd6","\u9cd7","\u9cd8","\u9cd9","\u9cda","\u9cdb","\u9cdc","\u9cdd","\u9cde","\u9cdf","\u9ce0","\u9ce1","\u9ce2","\u9ce3","\u9ce4","\u9ce5","\u9ce6","\u9ce7","\u9ce8","\u9ce9","\u9cea","\u9ceb","\u9cec","\u9ced","\u9cee","\u9cef","\u9cf0","\u9cf1","\u9cf2","\u9cf3","\u9cf4","\u9cf5","\u9cf6","\u9cf7","\u9cf8","\u9cf9","\u9cfa","\u9cfb","\u9cfc","\u9cfd","\u9cfe","\u9cff","\u9d00","\u9d01","\u9d02","\u9d03","\u9d04","\u9d05","\u9d06","\u9d07","\u9d08","\u9d09","\u9d0a","\u9d0b","\u9d0c","\u9d0d","\u9d0e","\u9d0f","\u9d10","\u9d11","\u9d12","\u9d13","\u9d14","\u9d15","\u9d16","\u9d17","\u9d18","\u9d19","\u9d1a","\u9d1b","\u9d1c","\u9d1d","\u9d1e","\u9d1f","\u9d20","\u9d21","\u9d22","\u9d23","\u9d24","\u9d25","\u9d26","\u9d27","\u9d28","\u9d29","\u9d2a","\u9d2b","\u9d2c","\u9d2d","\u9d2e","\u9d2f","\u9d30","\u9d31","\u9d32","\u9d33","\u9d34","\u9d35","\u9d36","\u9d37","\u9d38","\u9d39","\u9d3a","\u9d3b","\u9d3c","\u9d3d","\u9d3e","\u9d3f","\u9d40","\u9d41","\u9d42","\u9d43","\u9d44","\u9d45","\u9d46","\u9d47","\u9d48","\u9d49","\u9d4a","\u9d4b","\u9d4c","\u9d4d","\u9d4e","\u9d4f","\u9d50","\u9d51","\u9d52","\u9d53","\u9d54","\u9d55","\u9d56","\u9d57","\u9d58","\u9d59","\u9d5a","\u9d5b","\u9d5c","\u9d5d","\u9d5e","\u9d5f","\u9d60","\u9d61","\u9d62","\u9d63","\u9d64","\u9d65","\u9d66","\u9d67","\u9d68","\u9d69","\u9d6a","\u9d6b","\u9d6c","\u9d6d","\u9d6e","\u9d6f","\u9d70","\u9d71","\u9d72","\u9d73","\u9d74","\u9d75","\u9d76","\u9d77","\u9d78","\u9d79","\u9d7a","\u9d7b","\u9d7c","\u9d7d","\u9d7e","\u9d7f","\u9d80","\u9d81","\u9d82","\u9d83","\u9d84","\u9d85","\u9d86","\u9d87","\u9d88","\u9d89","\u9d8a","\u9d8b","\u9d8c","\u9d8d","\u9d8e","\u9d8f","\u9d90","\u9d91","\u9d92","\u9d93","\u9d94","\u9d95","\u9d96","\u9d97","\u9d98","\u9d99","\u9d9a","\u9d9b","\u9d9c","\u9d9d","\u9d9e","\u9d9f","\u9da0","\u9da1","\u9da2","\u9da3","\u9da4","\u9da5","\u9da6","\u9da7","\u9da8","\u9da9","\u9daa","\u9dab","\u9dac","\u9dad","\u9dae","\u9daf","\u9db0","\u9db1","\u9db2","\u9db3","\u9db4","\u9db5","\u9db6","\u9db7","\u9db8","\u9db9","\u9dba","\u9dbb","\u9dbc","\u9dbd","\u9dbe","\u9dbf","\u9dc0","\u9dc1","\u9dc2","\u9dc3","\u9dc4","\u9dc5","\u9dc6","\u9dc7","\u9dc8","\u9dc9","\u9dca","\u9dcb","\u9dcc","\u9dcd","\u9dce","\u9dcf","\u9dd0","\u9dd1","\u9dd2","\u9dd3","\u9dd4","\u9dd5","\u9dd6","\u9dd7","\u9dd8","\u9dd9","\u9dda","\u9ddb","\u9ddc","\u9ddd","\u9dde","\u9ddf","\u9de0","\u9de1","\u9de2","\u9de3","\u9de4","\u9de5","\u9de6","\u9de7","\u9de8","\u9de9","\u9dea","\u9deb","\u9dec","\u9ded","\u9dee","\u9def","\u9df0","\u9df1","\u9df2","\u9df3","\u9df4","\u9df5","\u9df6","\u9df7","\u9df8","\u9df9","\u9dfa","\u9dfb","\u9dfc","\u9dfd","\u9dfe","\u9dff","\u9e00","\u9e01","\u9e02","\u9e03","\u9e04","\u9e05","\u9e06","\u9e07","\u9e08","\u9e09","\u9e0a","\u9e0b","\u9e0c","\u9e0d","\u9e0e","\u9e0f","\u9e10","\u9e11","\u9e12","\u9e13","\u9e14","\u9e15","\u9e16","\u9e17","\u9e18","\u9e19","\u9e1a","\u9e1b","\u9e1c","\u9e1d","\u9e1e","\u9e1f","\u9e20","\u9e21","\u9e22","\u9e23","\u9e24","\u9e25","\u9e26","\u9e27","\u9e28","\u9e29","\u9e2a","\u9e2b","\u9e2c","\u9e2d","\u9e2e","\u9e2f","\u9e30","\u9e31","\u9e32","\u9e33","\u9e34","\u9e35","\u9e36","\u9e37","\u9e38","\u9e39","\u9e3a","\u9e3b","\u9e3c","\u9e3d","\u9e3e","\u9e3f","\u9e40","\u9e41","\u9e42","\u9e43","\u9e44","\u9e45","\u9e46","\u9e47","\u9e48","\u9e49","\u9e4a","\u9e4b","\u9e4c","\u9e4d","\u9e4e","\u9e4f","\u9e50","\u9e51","\u9e52","\u9e53","\u9e54","\u9e55","\u9e56","\u9e57","\u9e58","\u9e59","\u9e5a","\u9e5b","\u9e5c","\u9e5d","\u9e5e","\u9e5f","\u9e60","\u9e61","\u9e62","\u9e63","\u9e64","\u9e65","\u9e66","\u9e67","\u9e68","\u9e69","\u9e6a","\u9e6b","\u9e6c","\u9e6d","\u9e6e","\u9e6f","\u9e70","\u9e71","\u9e72","\u9e73","\u9e74","\u9e75","\u9e76","\u9e77","\u9e78","\u9e79","\u9e7a","\u9e7b","\u9e7c","\u9e7d","\u9e7e","\u9e7f","\u9e80","\u9e81","\u9e82","\u9e83","\u9e84","\u9e85","\u9e86","\u9e87","\u9e88","\u9e89","\u9e8a","\u9e8b","\u9e8c","\u9e8d","\u9e8e","\u9e8f","\u9e90","\u9e91","\u9e92","\u9e93","\u9e94","\u9e95","\u9e96","\u9e97","\u9e98","\u9e99","\u9e9a","\u9e9b","\u9e9c","\u9e9d","\u9e9e","\u9e9f","\u9ea0","\u9ea1","\u9ea2","\u9ea3","\u9ea4","\u9ea5","\u9ea6","\u9ea7","\u9ea8","\u9ea9","\u9eaa","\u9eab","\u9eac","\u9ead","\u9eae","\u9eaf","\u9eb0","\u9eb1","\u9eb2","\u9eb3","\u9eb4","\u9eb5","\u9eb6","\u9eb7","\u9eb8","\u9eb9","\u9eba","\u9ebb","\u9ebc","\u9ebd","\u9ebe","\u9ebf","\u9ec0","\u9ec1","\u9ec2","\u9ec3","\u9ec4","\u9ec5","\u9ec6","\u9ec7","\u9ec8","\u9ec9","\u9eca","\u9ecb","\u9ecc","\u9ecd","\u9ece","\u9ecf","\u9ed0","\u9ed1","\u9ed2","\u9ed3","\u9ed4","\u9ed5","\u9ed6","\u9ed7","\u9ed8","\u9ed9","\u9eda","\u9edb","\u9edc","\u9edd","\u9ede","\u9edf","\u9ee0","\u9ee1","\u9ee2","\u9ee3","\u9ee4","\u9ee5","\u9ee6","\u9ee7","\u9ee8","\u9ee9","\u9eea","\u9eeb","\u9eec","\u9eed","\u9eee","\u9eef","\u9ef0","\u9ef1","\u9ef2","\u9ef3","\u9ef4","\u9ef5","\u9ef6","\u9ef7","\u9ef8","\u9ef9","\u9efa","\u9efb","\u9efc","\u9efd","\u9efe","\u9eff","\u9f00","\u9f01","\u9f02","\u9f03","\u9f04","\u9f05","\u9f06","\u9f07","\u9f08","\u9f09","\u9f0a","\u9f0b","\u9f0c","\u9f0d","\u9f0e","\u9f0f","\u9f10","\u9f11","\u9f12","\u9f13","\u9f14","\u9f15","\u9f16","\u9f17","\u9f18","\u9f19","\u9f1a","\u9f1b","\u9f1c","\u9f1d","\u9f1e","\u9f1f","\u9f20","\u9f21","\u9f22","\u9f23","\u9f24","\u9f25","\u9f26","\u9f27","\u9f28","\u9f29","\u9f2a","\u9f2b","\u9f2c","\u9f2d","\u9f2e","\u9f2f","\u9f30","\u9f31","\u9f32","\u9f33","\u9f34","\u9f35","\u9f36","\u9f37","\u9f38","\u9f39","\u9f3a","\u9f3b","\u9f3c","\u9f3d","\u9f3e","\u9f3f","\u9f40","\u9f41","\u9f42","\u9f43","\u9f44","\u9f45","\u9f46","\u9f47","\u9f48","\u9f49","\u9f4a","\u9f4b","\u9f4c","\u9f4d","\u9f4e","\u9f4f","\u9f50","\u9f51","\u9f52","\u9f53","\u9f54","\u9f55","\u9f56","\u9f57","\u9f58","\u9f59","\u9f5a","\u9f5b","\u9f5c","\u9f5d","\u9f5e","\u9f5f","\u9f60","\u9f61","\u9f62","\u9f63","\u9f64","\u9f65","\u9f66","\u9f67","\u9f68","\u9f69","\u9f6a","\u9f6b","\u9f6c","\u9f6d","\u9f6e","\u9f6f","\u9f70","\u9f71","\u9f72","\u9f73","\u9f74","\u9f75","\u9f76","\u9f77","\u9f78","\u9f79","\u9f7a","\u9f7b","\u9f7c","\u9f7d","\u9f7e","\u9f7f","\u9f80","\u9f81","\u9f82","\u9f83","\u9f84","\u9f85","\u9f86","\u9f87","\u9f88","\u9f89","\u9f8a","\u9f8b","\u9f8c","\u9f8d","\u9f8e","\u9f8f","\u9f90","\u9f91","\u9f92","\u9f93","\u9f94","\u9f95","\u9f96","\u9f97","\u9f98","\u9f99","\u9f9a","\u9f9b","\u9f9c","\u9f9d","\u9f9e","\u9f9f","\u9fa0","\u9fa1","\u9fa2","\u9fa3","\u9fa4","\u9fa5","\u9fa6","\u9fa7","\u9fa8","\u9fa9","\u9faa","\u9fab","\u9fac","\u9fad","\u9fae","\u9faf","\u9fb0","\u9fb1","\u9fb2","\u9fb3","\u9fb4","\u9fb5","\u9fb6","\u9fb7","\u9fb8","\u9fb9","\u9fba","\u9fbb","\u9fbc","\u9fbd","\u9fbe","\u9fbf","\u9fc0","\u9fc1","\u9fc2","\u9fc3","\u9fc4","\u9fc5","\u9fc6","\u9fc7","\u9fc8","\u9fc9","\u9fca","\u9fcb","\u9fcc","\u9fcd","\u9fce","\u9fcf","\u9fd0","\u9fd1","\u9fd2","\u9fd3","\u9fd4","\u9fd5","\u9fd6","\u9fd7","\u9fd8","\u9fd9","\u9fda","\u9fdb","\u9fdc","\u9fdd","\u9fde","\u9fdf","\u9fe0","\u9fe1","\u9fe2","\u9fe3","\u9fe4","\u9fe5","\u9fe6","\u9fe7","\u9fe8","\u9fe9","\u9fea",  # ; CJK UNIFIED IDEOGRAPH-*
        "\uA000",  # ; YI SYLLABLE IT
        "\uA001",  # ; YI SYLLABLE IX
        "\uA002",  # ; YI SYLLABLE I
        "\uA003",  # ; YI SYLLABLE IP
        "\uA004",  # ; YI SYLLABLE IET
        "\uA005",  # ; YI SYLLABLE IEX
        "\uA006",  # ; YI SYLLABLE IE
        "\uA007",  # ; YI SYLLABLE IEP
        "\uA008",  # ; YI SYLLABLE AT
        "\uA009",  # ; YI SYLLABLE AX
        "\uA00A",  # ; YI SYLLABLE A
        "\uA00B",  # ; YI SYLLABLE AP
        "\uA00C",  # ; YI SYLLABLE UOX
        "\uA00D",  # ; YI SYLLABLE UO
        "\uA00E",  # ; YI SYLLABLE UOP
        "\uA00F",  # ; YI SYLLABLE OT
        "\uA010",  # ; YI SYLLABLE OX
        "\uA011",  # ; YI SYLLABLE O
        "\uA012",  # ; YI SYLLABLE OP
        "\uA013",  # ; YI SYLLABLE EX
        "\uA014",  # ; YI SYLLABLE E
        "\uA015",  # ; YI SYLLABLE WU
        "\uA016",  # ; YI SYLLABLE BIT
        "\uA017",  # ; YI SYLLABLE BIX
        "\uA018",  # ; YI SYLLABLE BI
        "\uA019",  # ; YI SYLLABLE BIP
        "\uA01A",  # ; YI SYLLABLE BIET
        "\uA01B",  # ; YI SYLLABLE BIEX
        "\uA01C",  # ; YI SYLLABLE BIE
        "\uA01D",  # ; YI SYLLABLE BIEP
        "\uA01E",  # ; YI SYLLABLE BAT
        "\uA01F",  # ; YI SYLLABLE BAX
        "\uA020",  # ; YI SYLLABLE BA
        "\uA021",  # ; YI SYLLABLE BAP
        "\uA022",  # ; YI SYLLABLE BUOX
        "\uA023",  # ; YI SYLLABLE BUO
        "\uA024",  # ; YI SYLLABLE BUOP
        "\uA025",  # ; YI SYLLABLE BOT
        "\uA026",  # ; YI SYLLABLE BOX
        "\uA027",  # ; YI SYLLABLE BO
        "\uA028",  # ; YI SYLLABLE BOP
        "\uA029",  # ; YI SYLLABLE BEX
        "\uA02A",  # ; YI SYLLABLE BE
        "\uA02B",  # ; YI SYLLABLE BEP
        "\uA02C",  # ; YI SYLLABLE BUT
        "\uA02D",  # ; YI SYLLABLE BUX
        "\uA02E",  # ; YI SYLLABLE BU
        "\uA02F",  # ; YI SYLLABLE BUP
        "\uA030",  # ; YI SYLLABLE BURX
        "\uA031",  # ; YI SYLLABLE BUR
        "\uA032",  # ; YI SYLLABLE BYT
        "\uA033",  # ; YI SYLLABLE BYX
        "\uA034",  # ; YI SYLLABLE BY
        "\uA035",  # ; YI SYLLABLE BYP
        "\uA036",  # ; YI SYLLABLE BYRX
        "\uA037",  # ; YI SYLLABLE BYR
        "\uA038",  # ; YI SYLLABLE PIT
        "\uA039",  # ; YI SYLLABLE PIX
        "\uA03A",  # ; YI SYLLABLE PI
        "\uA03B",  # ; YI SYLLABLE PIP
        "\uA03C",  # ; YI SYLLABLE PIEX
        "\uA03D",  # ; YI SYLLABLE PIE
        "\uA03E",  # ; YI SYLLABLE PIEP
        "\uA03F",  # ; YI SYLLABLE PAT
        "\uA040",  # ; YI SYLLABLE PAX
        "\uA041",  # ; YI SYLLABLE PA
        "\uA042",  # ; YI SYLLABLE PAP
        "\uA043",  # ; YI SYLLABLE PUOX
        "\uA044",  # ; YI SYLLABLE PUO
        "\uA045",  # ; YI SYLLABLE PUOP
        "\uA046",  # ; YI SYLLABLE POT
        "\uA047",  # ; YI SYLLABLE POX
        "\uA048",  # ; YI SYLLABLE PO
        "\uA049",  # ; YI SYLLABLE POP
        "\uA04A",  # ; YI SYLLABLE PUT
        "\uA04B",  # ; YI SYLLABLE PUX
        "\uA04C",  # ; YI SYLLABLE PU
        "\uA04D",  # ; YI SYLLABLE PUP
        "\uA04E",  # ; YI SYLLABLE PURX
        "\uA04F",  # ; YI SYLLABLE PUR
        "\uA050",  # ; YI SYLLABLE PYT
        "\uA051",  # ; YI SYLLABLE PYX
        "\uA052",  # ; YI SYLLABLE PY
        "\uA053",  # ; YI SYLLABLE PYP
        "\uA054",  # ; YI SYLLABLE PYRX
        "\uA055",  # ; YI SYLLABLE PYR
        "\uA056",  # ; YI SYLLABLE BBIT
        "\uA057",  # ; YI SYLLABLE BBIX
        "\uA058",  # ; YI SYLLABLE BBI
        "\uA059",  # ; YI SYLLABLE BBIP
        "\uA05A",  # ; YI SYLLABLE BBIET
        "\uA05B",  # ; YI SYLLABLE BBIEX
        "\uA05C",  # ; YI SYLLABLE BBIE
        "\uA05D",  # ; YI SYLLABLE BBIEP
        "\uA05E",  # ; YI SYLLABLE BBAT
        "\uA05F",  # ; YI SYLLABLE BBAX
        "\uA060",  # ; YI SYLLABLE BBA
        "\uA061",  # ; YI SYLLABLE BBAP
        "\uA062",  # ; YI SYLLABLE BBUOX
        "\uA063",  # ; YI SYLLABLE BBUO
        "\uA064",  # ; YI SYLLABLE BBUOP
        "\uA065",  # ; YI SYLLABLE BBOT
        "\uA066",  # ; YI SYLLABLE BBOX
        "\uA067",  # ; YI SYLLABLE BBO
        "\uA068",  # ; YI SYLLABLE BBOP
        "\uA069",  # ; YI SYLLABLE BBEX
        "\uA06A",  # ; YI SYLLABLE BBE
        "\uA06B",  # ; YI SYLLABLE BBEP
        "\uA06C",  # ; YI SYLLABLE BBUT
        "\uA06D",  # ; YI SYLLABLE BBUX
        "\uA06E",  # ; YI SYLLABLE BBU
        "\uA06F",  # ; YI SYLLABLE BBUP
        "\uA070",  # ; YI SYLLABLE BBURX
        "\uA071",  # ; YI SYLLABLE BBUR
        "\uA072",  # ; YI SYLLABLE BBYT
        "\uA073",  # ; YI SYLLABLE BBYX
        "\uA074",  # ; YI SYLLABLE BBY
        "\uA075",  # ; YI SYLLABLE BBYP
        "\uA076",  # ; YI SYLLABLE NBIT
        "\uA077",  # ; YI SYLLABLE NBIX
        "\uA078",  # ; YI SYLLABLE NBI
        "\uA079",  # ; YI SYLLABLE NBIP
        "\uA07A",  # ; YI SYLLABLE NBIEX
        "\uA07B",  # ; YI SYLLABLE NBIE
        "\uA07C",  # ; YI SYLLABLE NBIEP
        "\uA07D",  # ; YI SYLLABLE NBAT
        "\uA07E",  # ; YI SYLLABLE NBAX
        "\uA07F",  # ; YI SYLLABLE NBA
        "\uA080",  # ; YI SYLLABLE NBAP
        "\uA081",  # ; YI SYLLABLE NBOT
        "\uA082",  # ; YI SYLLABLE NBOX
        "\uA083",  # ; YI SYLLABLE NBO
        "\uA084",  # ; YI SYLLABLE NBOP
        "\uA085",  # ; YI SYLLABLE NBUT
        "\uA086",  # ; YI SYLLABLE NBUX
        "\uA087",  # ; YI SYLLABLE NBU
        "\uA088",  # ; YI SYLLABLE NBUP
        "\uA089",  # ; YI SYLLABLE NBURX
        "\uA08A",  # ; YI SYLLABLE NBUR
        "\uA08B",  # ; YI SYLLABLE NBYT
        "\uA08C",  # ; YI SYLLABLE NBYX
        "\uA08D",  # ; YI SYLLABLE NBY
        "\uA08E",  # ; YI SYLLABLE NBYP
        "\uA08F",  # ; YI SYLLABLE NBYRX
        "\uA090",  # ; YI SYLLABLE NBYR
        "\uA091",  # ; YI SYLLABLE HMIT
        "\uA092",  # ; YI SYLLABLE HMIX
        "\uA093",  # ; YI SYLLABLE HMI
        "\uA094",  # ; YI SYLLABLE HMIP
        "\uA095",  # ; YI SYLLABLE HMIEX
        "\uA096",  # ; YI SYLLABLE HMIE
        "\uA097",  # ; YI SYLLABLE HMIEP
        "\uA098",  # ; YI SYLLABLE HMAT
        "\uA099",  # ; YI SYLLABLE HMAX
        "\uA09A",  # ; YI SYLLABLE HMA
        "\uA09B",  # ; YI SYLLABLE HMAP
        "\uA09C",  # ; YI SYLLABLE HMUOX
        "\uA09D",  # ; YI SYLLABLE HMUO
        "\uA09E",  # ; YI SYLLABLE HMUOP
        "\uA09F",  # ; YI SYLLABLE HMOT
        "\uA0A0",  # ; YI SYLLABLE HMOX
        "\uA0A1",  # ; YI SYLLABLE HMO
        "\uA0A2",  # ; YI SYLLABLE HMOP
        "\uA0A3",  # ; YI SYLLABLE HMUT
        "\uA0A4",  # ; YI SYLLABLE HMUX
        "\uA0A5",  # ; YI SYLLABLE HMU
        "\uA0A6",  # ; YI SYLLABLE HMUP
        "\uA0A7",  # ; YI SYLLABLE HMURX
        "\uA0A8",  # ; YI SYLLABLE HMUR
        "\uA0A9",  # ; YI SYLLABLE HMYX
        "\uA0AA",  # ; YI SYLLABLE HMY
        "\uA0AB",  # ; YI SYLLABLE HMYP
        "\uA0AC",  # ; YI SYLLABLE HMYRX
        "\uA0AD",  # ; YI SYLLABLE HMYR
        "\uA0AE",  # ; YI SYLLABLE MIT
        "\uA0AF",  # ; YI SYLLABLE MIX
        "\uA0B0",  # ; YI SYLLABLE MI
        "\uA0B1",  # ; YI SYLLABLE MIP
        "\uA0B2",  # ; YI SYLLABLE MIEX
        "\uA0B3",  # ; YI SYLLABLE MIE
        "\uA0B4",  # ; YI SYLLABLE MIEP
        "\uA0B5",  # ; YI SYLLABLE MAT
        "\uA0B6",  # ; YI SYLLABLE MAX
        "\uA0B7",  # ; YI SYLLABLE MA
        "\uA0B8",  # ; YI SYLLABLE MAP
        "\uA0B9",  # ; YI SYLLABLE MUOT
        "\uA0BA",  # ; YI SYLLABLE MUOX
        "\uA0BB",  # ; YI SYLLABLE MUO
        "\uA0BC",  # ; YI SYLLABLE MUOP
        "\uA0BD",  # ; YI SYLLABLE MOT
        "\uA0BE",  # ; YI SYLLABLE MOX
        "\uA0BF",  # ; YI SYLLABLE MO
        "\uA0C0",  # ; YI SYLLABLE MOP
        "\uA0C1",  # ; YI SYLLABLE MEX
        "\uA0C2",  # ; YI SYLLABLE ME
        "\uA0C3",  # ; YI SYLLABLE MUT
        "\uA0C4",  # ; YI SYLLABLE MUX
        "\uA0C5",  # ; YI SYLLABLE MU
        "\uA0C6",  # ; YI SYLLABLE MUP
        "\uA0C7",  # ; YI SYLLABLE MURX
        "\uA0C8",  # ; YI SYLLABLE MUR
        "\uA0C9",  # ; YI SYLLABLE MYT
        "\uA0CA",  # ; YI SYLLABLE MYX
        "\uA0CB",  # ; YI SYLLABLE MY
        "\uA0CC",  # ; YI SYLLABLE MYP
        "\uA0CD",  # ; YI SYLLABLE FIT
        "\uA0CE",  # ; YI SYLLABLE FIX
        "\uA0CF",  # ; YI SYLLABLE FI
        "\uA0D0",  # ; YI SYLLABLE FIP
        "\uA0D1",  # ; YI SYLLABLE FAT
        "\uA0D2",  # ; YI SYLLABLE FAX
        "\uA0D3",  # ; YI SYLLABLE FA
        "\uA0D4",  # ; YI SYLLABLE FAP
        "\uA0D5",  # ; YI SYLLABLE FOX
        "\uA0D6",  # ; YI SYLLABLE FO
        "\uA0D7",  # ; YI SYLLABLE FOP
        "\uA0D8",  # ; YI SYLLABLE FUT
        "\uA0D9",  # ; YI SYLLABLE FUX
        "\uA0DA",  # ; YI SYLLABLE FU
        "\uA0DB",  # ; YI SYLLABLE FUP
        "\uA0DC",  # ; YI SYLLABLE FURX
        "\uA0DD",  # ; YI SYLLABLE FUR
        "\uA0DE",  # ; YI SYLLABLE FYT
        "\uA0DF",  # ; YI SYLLABLE FYX
        "\uA0E0",  # ; YI SYLLABLE FY
        "\uA0E1",  # ; YI SYLLABLE FYP
        "\uA0E2",  # ; YI SYLLABLE VIT
        "\uA0E3",  # ; YI SYLLABLE VIX
        "\uA0E4",  # ; YI SYLLABLE VI
        "\uA0E5",  # ; YI SYLLABLE VIP
        "\uA0E6",  # ; YI SYLLABLE VIET
        "\uA0E7",  # ; YI SYLLABLE VIEX
        "\uA0E8",  # ; YI SYLLABLE VIE
        "\uA0E9",  # ; YI SYLLABLE VIEP
        "\uA0EA",  # ; YI SYLLABLE VAT
        "\uA0EB",  # ; YI SYLLABLE VAX
        "\uA0EC",  # ; YI SYLLABLE VA
        "\uA0ED",  # ; YI SYLLABLE VAP
        "\uA0EE",  # ; YI SYLLABLE VOT
        "\uA0EF",  # ; YI SYLLABLE VOX
        "\uA0F0",  # ; YI SYLLABLE VO
        "\uA0F1",  # ; YI SYLLABLE VOP
        "\uA0F2",  # ; YI SYLLABLE VEX
        "\uA0F3",  # ; YI SYLLABLE VEP
        "\uA0F4",  # ; YI SYLLABLE VUT
        "\uA0F5",  # ; YI SYLLABLE VUX
        "\uA0F6",  # ; YI SYLLABLE VU
        "\uA0F7",  # ; YI SYLLABLE VUP
        "\uA0F8",  # ; YI SYLLABLE VURX
        "\uA0F9",  # ; YI SYLLABLE VUR
        "\uA0FA",  # ; YI SYLLABLE VYT
        "\uA0FB",  # ; YI SYLLABLE VYX
        "\uA0FC",  # ; YI SYLLABLE VY
        "\uA0FD",  # ; YI SYLLABLE VYP
        "\uA0FE",  # ; YI SYLLABLE VYRX
        "\uA0FF",  # ; YI SYLLABLE VYR
        "\uA100",  # ; YI SYLLABLE DIT
        "\uA101",  # ; YI SYLLABLE DIX
        "\uA102",  # ; YI SYLLABLE DI
        "\uA103",  # ; YI SYLLABLE DIP
        "\uA104",  # ; YI SYLLABLE DIEX
        "\uA105",  # ; YI SYLLABLE DIE
        "\uA106",  # ; YI SYLLABLE DIEP
        "\uA107",  # ; YI SYLLABLE DAT
        "\uA108",  # ; YI SYLLABLE DAX
        "\uA109",  # ; YI SYLLABLE DA
        "\uA10A",  # ; YI SYLLABLE DAP
        "\uA10B",  # ; YI SYLLABLE DUOX
        "\uA10C",  # ; YI SYLLABLE DUO
        "\uA10D",  # ; YI SYLLABLE DOT
        "\uA10E",  # ; YI SYLLABLE DOX
        "\uA10F",  # ; YI SYLLABLE DO
        "\uA110",  # ; YI SYLLABLE DOP
        "\uA111",  # ; YI SYLLABLE DEX
        "\uA112",  # ; YI SYLLABLE DE
        "\uA113",  # ; YI SYLLABLE DEP
        "\uA114",  # ; YI SYLLABLE DUT
        "\uA115",  # ; YI SYLLABLE DUX
        "\uA116",  # ; YI SYLLABLE DU
        "\uA117",  # ; YI SYLLABLE DUP
        "\uA118",  # ; YI SYLLABLE DURX
        "\uA119",  # ; YI SYLLABLE DUR
        "\uA11A",  # ; YI SYLLABLE TIT
        "\uA11B",  # ; YI SYLLABLE TIX
        "\uA11C",  # ; YI SYLLABLE TI
        "\uA11D",  # ; YI SYLLABLE TIP
        "\uA11E",  # ; YI SYLLABLE TIEX
        "\uA11F",  # ; YI SYLLABLE TIE
        "\uA120",  # ; YI SYLLABLE TIEP
        "\uA121",  # ; YI SYLLABLE TAT
        "\uA122",  # ; YI SYLLABLE TAX
        "\uA123",  # ; YI SYLLABLE TA
        "\uA124",  # ; YI SYLLABLE TAP
        "\uA125",  # ; YI SYLLABLE TUOT
        "\uA126",  # ; YI SYLLABLE TUOX
        "\uA127",  # ; YI SYLLABLE TUO
        "\uA128",  # ; YI SYLLABLE TUOP
        "\uA129",  # ; YI SYLLABLE TOT
        "\uA12A",  # ; YI SYLLABLE TOX
        "\uA12B",  # ; YI SYLLABLE TO
        "\uA12C",  # ; YI SYLLABLE TOP
        "\uA12D",  # ; YI SYLLABLE TEX
        "\uA12E",  # ; YI SYLLABLE TE
        "\uA12F",  # ; YI SYLLABLE TEP
        "\uA130",  # ; YI SYLLABLE TUT
        "\uA131",  # ; YI SYLLABLE TUX
        "\uA132",  # ; YI SYLLABLE TU
        "\uA133",  # ; YI SYLLABLE TUP
        "\uA134",  # ; YI SYLLABLE TURX
        "\uA135",  # ; YI SYLLABLE TUR
        "\uA136",  # ; YI SYLLABLE DDIT
        "\uA137",  # ; YI SYLLABLE DDIX
        "\uA138",  # ; YI SYLLABLE DDI
        "\uA139",  # ; YI SYLLABLE DDIP
        "\uA13A",  # ; YI SYLLABLE DDIEX
        "\uA13B",  # ; YI SYLLABLE DDIE
        "\uA13C",  # ; YI SYLLABLE DDIEP
        "\uA13D",  # ; YI SYLLABLE DDAT
        "\uA13E",  # ; YI SYLLABLE DDAX
        "\uA13F",  # ; YI SYLLABLE DDA
        "\uA140",  # ; YI SYLLABLE DDAP
        "\uA141",  # ; YI SYLLABLE DDUOX
        "\uA142",  # ; YI SYLLABLE DDUO
        "\uA143",  # ; YI SYLLABLE DDUOP
        "\uA144",  # ; YI SYLLABLE DDOT
        "\uA145",  # ; YI SYLLABLE DDOX
        "\uA146",  # ; YI SYLLABLE DDO
        "\uA147",  # ; YI SYLLABLE DDOP
        "\uA148",  # ; YI SYLLABLE DDEX
        "\uA149",  # ; YI SYLLABLE DDE
        "\uA14A",  # ; YI SYLLABLE DDEP
        "\uA14B",  # ; YI SYLLABLE DDUT
        "\uA14C",  # ; YI SYLLABLE DDUX
        "\uA14D",  # ; YI SYLLABLE DDU
        "\uA14E",  # ; YI SYLLABLE DDUP
        "\uA14F",  # ; YI SYLLABLE DDURX
        "\uA150",  # ; YI SYLLABLE DDUR
        "\uA151",  # ; YI SYLLABLE NDIT
        "\uA152",  # ; YI SYLLABLE NDIX
        "\uA153",  # ; YI SYLLABLE NDI
        "\uA154",  # ; YI SYLLABLE NDIP
        "\uA155",  # ; YI SYLLABLE NDIEX
        "\uA156",  # ; YI SYLLABLE NDIE
        "\uA157",  # ; YI SYLLABLE NDAT
        "\uA158",  # ; YI SYLLABLE NDAX
        "\uA159",  # ; YI SYLLABLE NDA
        "\uA15A",  # ; YI SYLLABLE NDAP
        "\uA15B",  # ; YI SYLLABLE NDOT
        "\uA15C",  # ; YI SYLLABLE NDOX
        "\uA15D",  # ; YI SYLLABLE NDO
        "\uA15E",  # ; YI SYLLABLE NDOP
        "\uA15F",  # ; YI SYLLABLE NDEX
        "\uA160",  # ; YI SYLLABLE NDE
        "\uA161",  # ; YI SYLLABLE NDEP
        "\uA162",  # ; YI SYLLABLE NDUT
        "\uA163",  # ; YI SYLLABLE NDUX
        "\uA164",  # ; YI SYLLABLE NDU
        "\uA165",  # ; YI SYLLABLE NDUP
        "\uA166",  # ; YI SYLLABLE NDURX
        "\uA167",  # ; YI SYLLABLE NDUR
        "\uA168",  # ; YI SYLLABLE HNIT
        "\uA169",  # ; YI SYLLABLE HNIX
        "\uA16A",  # ; YI SYLLABLE HNI
        "\uA16B",  # ; YI SYLLABLE HNIP
        "\uA16C",  # ; YI SYLLABLE HNIET
        "\uA16D",  # ; YI SYLLABLE HNIEX
        "\uA16E",  # ; YI SYLLABLE HNIE
        "\uA16F",  # ; YI SYLLABLE HNIEP
        "\uA170",  # ; YI SYLLABLE HNAT
        "\uA171",  # ; YI SYLLABLE HNAX
        "\uA172",  # ; YI SYLLABLE HNA
        "\uA173",  # ; YI SYLLABLE HNAP
        "\uA174",  # ; YI SYLLABLE HNUOX
        "\uA175",  # ; YI SYLLABLE HNUO
        "\uA176",  # ; YI SYLLABLE HNOT
        "\uA177",  # ; YI SYLLABLE HNOX
        "\uA178",  # ; YI SYLLABLE HNOP
        "\uA179",  # ; YI SYLLABLE HNEX
        "\uA17A",  # ; YI SYLLABLE HNE
        "\uA17B",  # ; YI SYLLABLE HNEP
        "\uA17C",  # ; YI SYLLABLE HNUT
        "\uA17D",  # ; YI SYLLABLE NIT
        "\uA17E",  # ; YI SYLLABLE NIX
        "\uA17F",  # ; YI SYLLABLE NI
        "\uA180",  # ; YI SYLLABLE NIP
        "\uA181",  # ; YI SYLLABLE NIEX
        "\uA182",  # ; YI SYLLABLE NIE
        "\uA183",  # ; YI SYLLABLE NIEP
        "\uA184",  # ; YI SYLLABLE NAX
        "\uA185",  # ; YI SYLLABLE NA
        "\uA186",  # ; YI SYLLABLE NAP
        "\uA187",  # ; YI SYLLABLE NUOX
        "\uA188",  # ; YI SYLLABLE NUO
        "\uA189",  # ; YI SYLLABLE NUOP
        "\uA18A",  # ; YI SYLLABLE NOT
        "\uA18B",  # ; YI SYLLABLE NOX
        "\uA18C",  # ; YI SYLLABLE NO
        "\uA18D",  # ; YI SYLLABLE NOP
        "\uA18E",  # ; YI SYLLABLE NEX
        "\uA18F",  # ; YI SYLLABLE NE
        "\uA190",  # ; YI SYLLABLE NEP
        "\uA191",  # ; YI SYLLABLE NUT
        "\uA192",  # ; YI SYLLABLE NUX
        "\uA193",  # ; YI SYLLABLE NU
        "\uA194",  # ; YI SYLLABLE NUP
        "\uA195",  # ; YI SYLLABLE NURX
        "\uA196",  # ; YI SYLLABLE NUR
        "\uA197",  # ; YI SYLLABLE HLIT
        "\uA198",  # ; YI SYLLABLE HLIX
        "\uA199",  # ; YI SYLLABLE HLI
        "\uA19A",  # ; YI SYLLABLE HLIP
        "\uA19B",  # ; YI SYLLABLE HLIEX
        "\uA19C",  # ; YI SYLLABLE HLIE
        "\uA19D",  # ; YI SYLLABLE HLIEP
        "\uA19E",  # ; YI SYLLABLE HLAT
        "\uA19F",  # ; YI SYLLABLE HLAX
        "\uA1A0",  # ; YI SYLLABLE HLA
        "\uA1A1",  # ; YI SYLLABLE HLAP
        "\uA1A2",  # ; YI SYLLABLE HLUOX
        "\uA1A3",  # ; YI SYLLABLE HLUO
        "\uA1A4",  # ; YI SYLLABLE HLUOP
        "\uA1A5",  # ; YI SYLLABLE HLOX
        "\uA1A6",  # ; YI SYLLABLE HLO
        "\uA1A7",  # ; YI SYLLABLE HLOP
        "\uA1A8",  # ; YI SYLLABLE HLEX
        "\uA1A9",  # ; YI SYLLABLE HLE
        "\uA1AA",  # ; YI SYLLABLE HLEP
        "\uA1AB",  # ; YI SYLLABLE HLUT
        "\uA1AC",  # ; YI SYLLABLE HLUX
        "\uA1AD",  # ; YI SYLLABLE HLU
        "\uA1AE",  # ; YI SYLLABLE HLUP
        "\uA1AF",  # ; YI SYLLABLE HLURX
        "\uA1B0",  # ; YI SYLLABLE HLUR
        "\uA1B1",  # ; YI SYLLABLE HLYT
        "\uA1B2",  # ; YI SYLLABLE HLYX
        "\uA1B3",  # ; YI SYLLABLE HLY
        "\uA1B4",  # ; YI SYLLABLE HLYP
        "\uA1B5",  # ; YI SYLLABLE HLYRX
        "\uA1B6",  # ; YI SYLLABLE HLYR
        "\uA1B7",  # ; YI SYLLABLE LIT
        "\uA1B8",  # ; YI SYLLABLE LIX
        "\uA1B9",  # ; YI SYLLABLE LI
        "\uA1BA",  # ; YI SYLLABLE LIP
        "\uA1BB",  # ; YI SYLLABLE LIET
        "\uA1BC",  # ; YI SYLLABLE LIEX
        "\uA1BD",  # ; YI SYLLABLE LIE
        "\uA1BE",  # ; YI SYLLABLE LIEP
        "\uA1BF",  # ; YI SYLLABLE LAT
        "\uA1C0",  # ; YI SYLLABLE LAX
        "\uA1C1",  # ; YI SYLLABLE LA
        "\uA1C2",  # ; YI SYLLABLE LAP
        "\uA1C3",  # ; YI SYLLABLE LUOT
        "\uA1C4",  # ; YI SYLLABLE LUOX
        "\uA1C5",  # ; YI SYLLABLE LUO
        "\uA1C6",  # ; YI SYLLABLE LUOP
        "\uA1C7",  # ; YI SYLLABLE LOT
        "\uA1C8",  # ; YI SYLLABLE LOX
        "\uA1C9",  # ; YI SYLLABLE LO
        "\uA1CA",  # ; YI SYLLABLE LOP
        "\uA1CB",  # ; YI SYLLABLE LEX
        "\uA1CC",  # ; YI SYLLABLE LE
        "\uA1CD",  # ; YI SYLLABLE LEP
        "\uA1CE",  # ; YI SYLLABLE LUT
        "\uA1CF",  # ; YI SYLLABLE LUX
        "\uA1D0",  # ; YI SYLLABLE LU
        "\uA1D1",  # ; YI SYLLABLE LUP
        "\uA1D2",  # ; YI SYLLABLE LURX
        "\uA1D3",  # ; YI SYLLABLE LUR
        "\uA1D4",  # ; YI SYLLABLE LYT
        "\uA1D5",  # ; YI SYLLABLE LYX
        "\uA1D6",  # ; YI SYLLABLE LY
        "\uA1D7",  # ; YI SYLLABLE LYP
        "\uA1D8",  # ; YI SYLLABLE LYRX
        "\uA1D9",  # ; YI SYLLABLE LYR
        "\uA1DA",  # ; YI SYLLABLE GIT
        "\uA1DB",  # ; YI SYLLABLE GIX
        "\uA1DC",  # ; YI SYLLABLE GI
        "\uA1DD",  # ; YI SYLLABLE GIP
        "\uA1DE",  # ; YI SYLLABLE GIET
        "\uA1DF",  # ; YI SYLLABLE GIEX
        "\uA1E0",  # ; YI SYLLABLE GIE
        "\uA1E1",  # ; YI SYLLABLE GIEP
        "\uA1E2",  # ; YI SYLLABLE GAT
        "\uA1E3",  # ; YI SYLLABLE GAX
        "\uA1E4",  # ; YI SYLLABLE GA
        "\uA1E5",  # ; YI SYLLABLE GAP
        "\uA1E6",  # ; YI SYLLABLE GUOT
        "\uA1E7",  # ; YI SYLLABLE GUOX
        "\uA1E8",  # ; YI SYLLABLE GUO
        "\uA1E9",  # ; YI SYLLABLE GUOP
        "\uA1EA",  # ; YI SYLLABLE GOT
        "\uA1EB",  # ; YI SYLLABLE GOX
        "\uA1EC",  # ; YI SYLLABLE GO
        "\uA1ED",  # ; YI SYLLABLE GOP
        "\uA1EE",  # ; YI SYLLABLE GET
        "\uA1EF",  # ; YI SYLLABLE GEX
        "\uA1F0",  # ; YI SYLLABLE GE
        "\uA1F1",  # ; YI SYLLABLE GEP
        "\uA1F2",  # ; YI SYLLABLE GUT
        "\uA1F3",  # ; YI SYLLABLE GUX
        "\uA1F4",  # ; YI SYLLABLE GU
        "\uA1F5",  # ; YI SYLLABLE GUP
        "\uA1F6",  # ; YI SYLLABLE GURX
        "\uA1F7",  # ; YI SYLLABLE GUR
        "\uA1F8",  # ; YI SYLLABLE KIT
        "\uA1F9",  # ; YI SYLLABLE KIX
        "\uA1FA",  # ; YI SYLLABLE KI
        "\uA1FB",  # ; YI SYLLABLE KIP
        "\uA1FC",  # ; YI SYLLABLE KIEX
        "\uA1FD",  # ; YI SYLLABLE KIE
        "\uA1FE",  # ; YI SYLLABLE KIEP
        "\uA1FF",  # ; YI SYLLABLE KAT
        "\uA200",  # ; YI SYLLABLE KAX
        "\uA201",  # ; YI SYLLABLE KA
        "\uA202",  # ; YI SYLLABLE KAP
        "\uA203",  # ; YI SYLLABLE KUOX
        "\uA204",  # ; YI SYLLABLE KUO
        "\uA205",  # ; YI SYLLABLE KUOP
        "\uA206",  # ; YI SYLLABLE KOT
        "\uA207",  # ; YI SYLLABLE KOX
        "\uA208",  # ; YI SYLLABLE KO
        "\uA209",  # ; YI SYLLABLE KOP
        "\uA20A",  # ; YI SYLLABLE KET
        "\uA20B",  # ; YI SYLLABLE KEX
        "\uA20C",  # ; YI SYLLABLE KE
        "\uA20D",  # ; YI SYLLABLE KEP
        "\uA20E",  # ; YI SYLLABLE KUT
        "\uA20F",  # ; YI SYLLABLE KUX
        "\uA210",  # ; YI SYLLABLE KU
        "\uA211",  # ; YI SYLLABLE KUP
        "\uA212",  # ; YI SYLLABLE KURX
        "\uA213",  # ; YI SYLLABLE KUR
        "\uA214",  # ; YI SYLLABLE GGIT
        "\uA215",  # ; YI SYLLABLE GGIX
        "\uA216",  # ; YI SYLLABLE GGI
        "\uA217",  # ; YI SYLLABLE GGIEX
        "\uA218",  # ; YI SYLLABLE GGIE
        "\uA219",  # ; YI SYLLABLE GGIEP
        "\uA21A",  # ; YI SYLLABLE GGAT
        "\uA21B",  # ; YI SYLLABLE GGAX
        "\uA21C",  # ; YI SYLLABLE GGA
        "\uA21D",  # ; YI SYLLABLE GGAP
        "\uA21E",  # ; YI SYLLABLE GGUOT
        "\uA21F",  # ; YI SYLLABLE GGUOX
        "\uA220",  # ; YI SYLLABLE GGUO
        "\uA221",  # ; YI SYLLABLE GGUOP
        "\uA222",  # ; YI SYLLABLE GGOT
        "\uA223",  # ; YI SYLLABLE GGOX
        "\uA224",  # ; YI SYLLABLE GGO
        "\uA225",  # ; YI SYLLABLE GGOP
        "\uA226",  # ; YI SYLLABLE GGET
        "\uA227",  # ; YI SYLLABLE GGEX
        "\uA228",  # ; YI SYLLABLE GGE
        "\uA229",  # ; YI SYLLABLE GGEP
        "\uA22A",  # ; YI SYLLABLE GGUT
        "\uA22B",  # ; YI SYLLABLE GGUX
        "\uA22C",  # ; YI SYLLABLE GGU
        "\uA22D",  # ; YI SYLLABLE GGUP
        "\uA22E",  # ; YI SYLLABLE GGURX
        "\uA22F",  # ; YI SYLLABLE GGUR
        "\uA230",  # ; YI SYLLABLE MGIEX
        "\uA231",  # ; YI SYLLABLE MGIE
        "\uA232",  # ; YI SYLLABLE MGAT
        "\uA233",  # ; YI SYLLABLE MGAX
        "\uA234",  # ; YI SYLLABLE MGA
        "\uA235",  # ; YI SYLLABLE MGAP
        "\uA236",  # ; YI SYLLABLE MGUOX
        "\uA237",  # ; YI SYLLABLE MGUO
        "\uA238",  # ; YI SYLLABLE MGUOP
        "\uA239",  # ; YI SYLLABLE MGOT
        "\uA23A",  # ; YI SYLLABLE MGOX
        "\uA23B",  # ; YI SYLLABLE MGO
        "\uA23C",  # ; YI SYLLABLE MGOP
        "\uA23D",  # ; YI SYLLABLE MGEX
        "\uA23E",  # ; YI SYLLABLE MGE
        "\uA23F",  # ; YI SYLLABLE MGEP
        "\uA240",  # ; YI SYLLABLE MGUT
        "\uA241",  # ; YI SYLLABLE MGUX
        "\uA242",  # ; YI SYLLABLE MGU
        "\uA243",  # ; YI SYLLABLE MGUP
        "\uA244",  # ; YI SYLLABLE MGURX
        "\uA245",  # ; YI SYLLABLE MGUR
        "\uA246",  # ; YI SYLLABLE HXIT
        "\uA247",  # ; YI SYLLABLE HXIX
        "\uA248",  # ; YI SYLLABLE HXI
        "\uA249",  # ; YI SYLLABLE HXIP
        "\uA24A",  # ; YI SYLLABLE HXIET
        "\uA24B",  # ; YI SYLLABLE HXIEX
        "\uA24C",  # ; YI SYLLABLE HXIE
        "\uA24D",  # ; YI SYLLABLE HXIEP
        "\uA24E",  # ; YI SYLLABLE HXAT
        "\uA24F",  # ; YI SYLLABLE HXAX
        "\uA250",  # ; YI SYLLABLE HXA
        "\uA251",  # ; YI SYLLABLE HXAP
        "\uA252",  # ; YI SYLLABLE HXUOT
        "\uA253",  # ; YI SYLLABLE HXUOX
        "\uA254",  # ; YI SYLLABLE HXUO
        "\uA255",  # ; YI SYLLABLE HXUOP
        "\uA256",  # ; YI SYLLABLE HXOT
        "\uA257",  # ; YI SYLLABLE HXOX
        "\uA258",  # ; YI SYLLABLE HXO
        "\uA259",  # ; YI SYLLABLE HXOP
        "\uA25A",  # ; YI SYLLABLE HXEX
        "\uA25B",  # ; YI SYLLABLE HXE
        "\uA25C",  # ; YI SYLLABLE HXEP
        "\uA25D",  # ; YI SYLLABLE NGIEX
        "\uA25E",  # ; YI SYLLABLE NGIE
        "\uA25F",  # ; YI SYLLABLE NGIEP
        "\uA260",  # ; YI SYLLABLE NGAT
        "\uA261",  # ; YI SYLLABLE NGAX
        "\uA262",  # ; YI SYLLABLE NGA
        "\uA263",  # ; YI SYLLABLE NGAP
        "\uA264",  # ; YI SYLLABLE NGUOT
        "\uA265",  # ; YI SYLLABLE NGUOX
        "\uA266",  # ; YI SYLLABLE NGUO
        "\uA267",  # ; YI SYLLABLE NGOT
        "\uA268",  # ; YI SYLLABLE NGOX
        "\uA269",  # ; YI SYLLABLE NGO
        "\uA26A",  # ; YI SYLLABLE NGOP
        "\uA26B",  # ; YI SYLLABLE NGEX
        "\uA26C",  # ; YI SYLLABLE NGE
        "\uA26D",  # ; YI SYLLABLE NGEP
        "\uA26E",  # ; YI SYLLABLE HIT
        "\uA26F",  # ; YI SYLLABLE HIEX
        "\uA270",  # ; YI SYLLABLE HIE
        "\uA271",  # ; YI SYLLABLE HAT
        "\uA272",  # ; YI SYLLABLE HAX
        "\uA273",  # ; YI SYLLABLE HA
        "\uA274",  # ; YI SYLLABLE HAP
        "\uA275",  # ; YI SYLLABLE HUOT
        "\uA276",  # ; YI SYLLABLE HUOX
        "\uA277",  # ; YI SYLLABLE HUO
        "\uA278",  # ; YI SYLLABLE HUOP
        "\uA279",  # ; YI SYLLABLE HOT
        "\uA27A",  # ; YI SYLLABLE HOX
        "\uA27B",  # ; YI SYLLABLE HO
        "\uA27C",  # ; YI SYLLABLE HOP
        "\uA27D",  # ; YI SYLLABLE HEX
        "\uA27E",  # ; YI SYLLABLE HE
        "\uA27F",  # ; YI SYLLABLE HEP
        "\uA280",  # ; YI SYLLABLE WAT
        "\uA281",  # ; YI SYLLABLE WAX
        "\uA282",  # ; YI SYLLABLE WA
        "\uA283",  # ; YI SYLLABLE WAP
        "\uA284",  # ; YI SYLLABLE WUOX
        "\uA285",  # ; YI SYLLABLE WUO
        "\uA286",  # ; YI SYLLABLE WUOP
        "\uA287",  # ; YI SYLLABLE WOX
        "\uA288",  # ; YI SYLLABLE WO
        "\uA289",  # ; YI SYLLABLE WOP
        "\uA28A",  # ; YI SYLLABLE WEX
        "\uA28B",  # ; YI SYLLABLE WE
        "\uA28C",  # ; YI SYLLABLE WEP
        "\uA28D",  # ; YI SYLLABLE ZIT
        "\uA28E",  # ; YI SYLLABLE ZIX
        "\uA28F",  # ; YI SYLLABLE ZI
        "\uA290",  # ; YI SYLLABLE ZIP
        "\uA291",  # ; YI SYLLABLE ZIEX
        "\uA292",  # ; YI SYLLABLE ZIE
        "\uA293",  # ; YI SYLLABLE ZIEP
        "\uA294",  # ; YI SYLLABLE ZAT
        "\uA295",  # ; YI SYLLABLE ZAX
        "\uA296",  # ; YI SYLLABLE ZA
        "\uA297",  # ; YI SYLLABLE ZAP
        "\uA298",  # ; YI SYLLABLE ZUOX
        "\uA299",  # ; YI SYLLABLE ZUO
        "\uA29A",  # ; YI SYLLABLE ZUOP
        "\uA29B",  # ; YI SYLLABLE ZOT
        "\uA29C",  # ; YI SYLLABLE ZOX
        "\uA29D",  # ; YI SYLLABLE ZO
        "\uA29E",  # ; YI SYLLABLE ZOP
        "\uA29F",  # ; YI SYLLABLE ZEX
        "\uA2A0",  # ; YI SYLLABLE ZE
        "\uA2A1",  # ; YI SYLLABLE ZEP
        "\uA2A2",  # ; YI SYLLABLE ZUT
        "\uA2A3",  # ; YI SYLLABLE ZUX
        "\uA2A4",  # ; YI SYLLABLE ZU
        "\uA2A5",  # ; YI SYLLABLE ZUP
        "\uA2A6",  # ; YI SYLLABLE ZURX
        "\uA2A7",  # ; YI SYLLABLE ZUR
        "\uA2A8",  # ; YI SYLLABLE ZYT
        "\uA2A9",  # ; YI SYLLABLE ZYX
        "\uA2AA",  # ; YI SYLLABLE ZY
        "\uA2AB",  # ; YI SYLLABLE ZYP
        "\uA2AC",  # ; YI SYLLABLE ZYRX
        "\uA2AD",  # ; YI SYLLABLE ZYR
        "\uA2AE",  # ; YI SYLLABLE CIT
        "\uA2AF",  # ; YI SYLLABLE CIX
        "\uA2B0",  # ; YI SYLLABLE CI
        "\uA2B1",  # ; YI SYLLABLE CIP
        "\uA2B2",  # ; YI SYLLABLE CIET
        "\uA2B3",  # ; YI SYLLABLE CIEX
        "\uA2B4",  # ; YI SYLLABLE CIE
        "\uA2B5",  # ; YI SYLLABLE CIEP
        "\uA2B6",  # ; YI SYLLABLE CAT
        "\uA2B7",  # ; YI SYLLABLE CAX
        "\uA2B8",  # ; YI SYLLABLE CA
        "\uA2B9",  # ; YI SYLLABLE CAP
        "\uA2BA",  # ; YI SYLLABLE CUOX
        "\uA2BB",  # ; YI SYLLABLE CUO
        "\uA2BC",  # ; YI SYLLABLE CUOP
        "\uA2BD",  # ; YI SYLLABLE COT
        "\uA2BE",  # ; YI SYLLABLE COX
        "\uA2BF",  # ; YI SYLLABLE CO
        "\uA2C0",  # ; YI SYLLABLE COP
        "\uA2C1",  # ; YI SYLLABLE CEX
        "\uA2C2",  # ; YI SYLLABLE CE
        "\uA2C3",  # ; YI SYLLABLE CEP
        "\uA2C4",  # ; YI SYLLABLE CUT
        "\uA2C5",  # ; YI SYLLABLE CUX
        "\uA2C6",  # ; YI SYLLABLE CU
        "\uA2C7",  # ; YI SYLLABLE CUP
        "\uA2C8",  # ; YI SYLLABLE CURX
        "\uA2C9",  # ; YI SYLLABLE CUR
        "\uA2CA",  # ; YI SYLLABLE CYT
        "\uA2CB",  # ; YI SYLLABLE CYX
        "\uA2CC",  # ; YI SYLLABLE CY
        "\uA2CD",  # ; YI SYLLABLE CYP
        "\uA2CE",  # ; YI SYLLABLE CYRX
        "\uA2CF",  # ; YI SYLLABLE CYR
        "\uA2D0",  # ; YI SYLLABLE ZZIT
        "\uA2D1",  # ; YI SYLLABLE ZZIX
        "\uA2D2",  # ; YI SYLLABLE ZZI
        "\uA2D3",  # ; YI SYLLABLE ZZIP
        "\uA2D4",  # ; YI SYLLABLE ZZIET
        "\uA2D5",  # ; YI SYLLABLE ZZIEX
        "\uA2D6",  # ; YI SYLLABLE ZZIE
        "\uA2D7",  # ; YI SYLLABLE ZZIEP
        "\uA2D8",  # ; YI SYLLABLE ZZAT
        "\uA2D9",  # ; YI SYLLABLE ZZAX
        "\uA2DA",  # ; YI SYLLABLE ZZA
        "\uA2DB",  # ; YI SYLLABLE ZZAP
        "\uA2DC",  # ; YI SYLLABLE ZZOX
        "\uA2DD",  # ; YI SYLLABLE ZZO
        "\uA2DE",  # ; YI SYLLABLE ZZOP
        "\uA2DF",  # ; YI SYLLABLE ZZEX
        "\uA2E0",  # ; YI SYLLABLE ZZE
        "\uA2E1",  # ; YI SYLLABLE ZZEP
        "\uA2E2",  # ; YI SYLLABLE ZZUX
        "\uA2E3",  # ; YI SYLLABLE ZZU
        "\uA2E4",  # ; YI SYLLABLE ZZUP
        "\uA2E5",  # ; YI SYLLABLE ZZURX
        "\uA2E6",  # ; YI SYLLABLE ZZUR
        "\uA2E7",  # ; YI SYLLABLE ZZYT
        "\uA2E8",  # ; YI SYLLABLE ZZYX
        "\uA2E9",  # ; YI SYLLABLE ZZY
        "\uA2EA",  # ; YI SYLLABLE ZZYP
        "\uA2EB",  # ; YI SYLLABLE ZZYRX
        "\uA2EC",  # ; YI SYLLABLE ZZYR
        "\uA2ED",  # ; YI SYLLABLE NZIT
        "\uA2EE",  # ; YI SYLLABLE NZIX
        "\uA2EF",  # ; YI SYLLABLE NZI
        "\uA2F0",  # ; YI SYLLABLE NZIP
        "\uA2F1",  # ; YI SYLLABLE NZIEX
        "\uA2F2",  # ; YI SYLLABLE NZIE
        "\uA2F3",  # ; YI SYLLABLE NZIEP
        "\uA2F4",  # ; YI SYLLABLE NZAT
        "\uA2F5",  # ; YI SYLLABLE NZAX
        "\uA2F6",  # ; YI SYLLABLE NZA
        "\uA2F7",  # ; YI SYLLABLE NZAP
        "\uA2F8",  # ; YI SYLLABLE NZUOX
        "\uA2F9",  # ; YI SYLLABLE NZUO
        "\uA2FA",  # ; YI SYLLABLE NZOX
        "\uA2FB",  # ; YI SYLLABLE NZOP
        "\uA2FC",  # ; YI SYLLABLE NZEX
        "\uA2FD",  # ; YI SYLLABLE NZE
        "\uA2FE",  # ; YI SYLLABLE NZUX
        "\uA2FF",  # ; YI SYLLABLE NZU
        "\uA300",  # ; YI SYLLABLE NZUP
        "\uA301",  # ; YI SYLLABLE NZURX
        "\uA302",  # ; YI SYLLABLE NZUR
        "\uA303",  # ; YI SYLLABLE NZYT
        "\uA304",  # ; YI SYLLABLE NZYX
        "\uA305",  # ; YI SYLLABLE NZY
        "\uA306",  # ; YI SYLLABLE NZYP
        "\uA307",  # ; YI SYLLABLE NZYRX
        "\uA308",  # ; YI SYLLABLE NZYR
        "\uA309",  # ; YI SYLLABLE SIT
        "\uA30A",  # ; YI SYLLABLE SIX
        "\uA30B",  # ; YI SYLLABLE SI
        "\uA30C",  # ; YI SYLLABLE SIP
        "\uA30D",  # ; YI SYLLABLE SIEX
        "\uA30E",  # ; YI SYLLABLE SIE
        "\uA30F",  # ; YI SYLLABLE SIEP
        "\uA310",  # ; YI SYLLABLE SAT
        "\uA311",  # ; YI SYLLABLE SAX
        "\uA312",  # ; YI SYLLABLE SA
        "\uA313",  # ; YI SYLLABLE SAP
        "\uA314",  # ; YI SYLLABLE SUOX
        "\uA315",  # ; YI SYLLABLE SUO
        "\uA316",  # ; YI SYLLABLE SUOP
        "\uA317",  # ; YI SYLLABLE SOT
        "\uA318",  # ; YI SYLLABLE SOX
        "\uA319",  # ; YI SYLLABLE SO
        "\uA31A",  # ; YI SYLLABLE SOP
        "\uA31B",  # ; YI SYLLABLE SEX
        "\uA31C",  # ; YI SYLLABLE SE
        "\uA31D",  # ; YI SYLLABLE SEP
        "\uA31E",  # ; YI SYLLABLE SUT
        "\uA31F",  # ; YI SYLLABLE SUX
        "\uA320",  # ; YI SYLLABLE SU
        "\uA321",  # ; YI SYLLABLE SUP
        "\uA322",  # ; YI SYLLABLE SURX
        "\uA323",  # ; YI SYLLABLE SUR
        "\uA324",  # ; YI SYLLABLE SYT
        "\uA325",  # ; YI SYLLABLE SYX
        "\uA326",  # ; YI SYLLABLE SY
        "\uA327",  # ; YI SYLLABLE SYP
        "\uA328",  # ; YI SYLLABLE SYRX
        "\uA329",  # ; YI SYLLABLE SYR
        "\uA32A",  # ; YI SYLLABLE SSIT
        "\uA32B",  # ; YI SYLLABLE SSIX
        "\uA32C",  # ; YI SYLLABLE SSI
        "\uA32D",  # ; YI SYLLABLE SSIP
        "\uA32E",  # ; YI SYLLABLE SSIEX
        "\uA32F",  # ; YI SYLLABLE SSIE
        "\uA330",  # ; YI SYLLABLE SSIEP
        "\uA331",  # ; YI SYLLABLE SSAT
        "\uA332",  # ; YI SYLLABLE SSAX
        "\uA333",  # ; YI SYLLABLE SSA
        "\uA334",  # ; YI SYLLABLE SSAP
        "\uA335",  # ; YI SYLLABLE SSOT
        "\uA336",  # ; YI SYLLABLE SSOX
        "\uA337",  # ; YI SYLLABLE SSO
        "\uA338",  # ; YI SYLLABLE SSOP
        "\uA339",  # ; YI SYLLABLE SSEX
        "\uA33A",  # ; YI SYLLABLE SSE
        "\uA33B",  # ; YI SYLLABLE SSEP
        "\uA33C",  # ; YI SYLLABLE SSUT
        "\uA33D",  # ; YI SYLLABLE SSUX
        "\uA33E",  # ; YI SYLLABLE SSU
        "\uA33F",  # ; YI SYLLABLE SSUP
        "\uA340",  # ; YI SYLLABLE SSYT
        "\uA341",  # ; YI SYLLABLE SSYX
        "\uA342",  # ; YI SYLLABLE SSY
        "\uA343",  # ; YI SYLLABLE SSYP
        "\uA344",  # ; YI SYLLABLE SSYRX
        "\uA345",  # ; YI SYLLABLE SSYR
        "\uA346",  # ; YI SYLLABLE ZHAT
        "\uA347",  # ; YI SYLLABLE ZHAX
        "\uA348",  # ; YI SYLLABLE ZHA
        "\uA349",  # ; YI SYLLABLE ZHAP
        "\uA34A",  # ; YI SYLLABLE ZHUOX
        "\uA34B",  # ; YI SYLLABLE ZHUO
        "\uA34C",  # ; YI SYLLABLE ZHUOP
        "\uA34D",  # ; YI SYLLABLE ZHOT
        "\uA34E",  # ; YI SYLLABLE ZHOX
        "\uA34F",  # ; YI SYLLABLE ZHO
        "\uA350",  # ; YI SYLLABLE ZHOP
        "\uA351",  # ; YI SYLLABLE ZHET
        "\uA352",  # ; YI SYLLABLE ZHEX
        "\uA353",  # ; YI SYLLABLE ZHE
        "\uA354",  # ; YI SYLLABLE ZHEP
        "\uA355",  # ; YI SYLLABLE ZHUT
        "\uA356",  # ; YI SYLLABLE ZHUX
        "\uA357",  # ; YI SYLLABLE ZHU
        "\uA358",  # ; YI SYLLABLE ZHUP
        "\uA359",  # ; YI SYLLABLE ZHURX
        "\uA35A",  # ; YI SYLLABLE ZHUR
        "\uA35B",  # ; YI SYLLABLE ZHYT
        "\uA35C",  # ; YI SYLLABLE ZHYX
        "\uA35D",  # ; YI SYLLABLE ZHY
        "\uA35E",  # ; YI SYLLABLE ZHYP
        "\uA35F",  # ; YI SYLLABLE ZHYRX
        "\uA360",  # ; YI SYLLABLE ZHYR
        "\uA361",  # ; YI SYLLABLE CHAT
        "\uA362",  # ; YI SYLLABLE CHAX
        "\uA363",  # ; YI SYLLABLE CHA
        "\uA364",  # ; YI SYLLABLE CHAP
        "\uA365",  # ; YI SYLLABLE CHUOT
        "\uA366",  # ; YI SYLLABLE CHUOX
        "\uA367",  # ; YI SYLLABLE CHUO
        "\uA368",  # ; YI SYLLABLE CHUOP
        "\uA369",  # ; YI SYLLABLE CHOT
        "\uA36A",  # ; YI SYLLABLE CHOX
        "\uA36B",  # ; YI SYLLABLE CHO
        "\uA36C",  # ; YI SYLLABLE CHOP
        "\uA36D",  # ; YI SYLLABLE CHET
        "\uA36E",  # ; YI SYLLABLE CHEX
        "\uA36F",  # ; YI SYLLABLE CHE
        "\uA370",  # ; YI SYLLABLE CHEP
        "\uA371",  # ; YI SYLLABLE CHUX
        "\uA372",  # ; YI SYLLABLE CHU
        "\uA373",  # ; YI SYLLABLE CHUP
        "\uA374",  # ; YI SYLLABLE CHURX
        "\uA375",  # ; YI SYLLABLE CHUR
        "\uA376",  # ; YI SYLLABLE CHYT
        "\uA377",  # ; YI SYLLABLE CHYX
        "\uA378",  # ; YI SYLLABLE CHY
        "\uA379",  # ; YI SYLLABLE CHYP
        "\uA37A",  # ; YI SYLLABLE CHYRX
        "\uA37B",  # ; YI SYLLABLE CHYR
        "\uA37C",  # ; YI SYLLABLE RRAX
        "\uA37D",  # ; YI SYLLABLE RRA
        "\uA37E",  # ; YI SYLLABLE RRUOX
        "\uA37F",  # ; YI SYLLABLE RRUO
        "\uA380",  # ; YI SYLLABLE RROT
        "\uA381",  # ; YI SYLLABLE RROX
        "\uA382",  # ; YI SYLLABLE RRO
        "\uA383",  # ; YI SYLLABLE RROP
        "\uA384",  # ; YI SYLLABLE RRET
        "\uA385",  # ; YI SYLLABLE RREX
        "\uA386",  # ; YI SYLLABLE RRE
        "\uA387",  # ; YI SYLLABLE RREP
        "\uA388",  # ; YI SYLLABLE RRUT
        "\uA389",  # ; YI SYLLABLE RRUX
        "\uA38A",  # ; YI SYLLABLE RRU
        "\uA38B",  # ; YI SYLLABLE RRUP
        "\uA38C",  # ; YI SYLLABLE RRURX
        "\uA38D",  # ; YI SYLLABLE RRUR
        "\uA38E",  # ; YI SYLLABLE RRYT
        "\uA38F",  # ; YI SYLLABLE RRYX
        "\uA390",  # ; YI SYLLABLE RRY
        "\uA391",  # ; YI SYLLABLE RRYP
        "\uA392",  # ; YI SYLLABLE RRYRX
        "\uA393",  # ; YI SYLLABLE RRYR
        "\uA394",  # ; YI SYLLABLE NRAT
        "\uA395",  # ; YI SYLLABLE NRAX
        "\uA396",  # ; YI SYLLABLE NRA
        "\uA397",  # ; YI SYLLABLE NRAP
        "\uA398",  # ; YI SYLLABLE NROX
        "\uA399",  # ; YI SYLLABLE NRO
        "\uA39A",  # ; YI SYLLABLE NROP
        "\uA39B",  # ; YI SYLLABLE NRET
        "\uA39C",  # ; YI SYLLABLE NREX
        "\uA39D",  # ; YI SYLLABLE NRE
        "\uA39E",  # ; YI SYLLABLE NREP
        "\uA39F",  # ; YI SYLLABLE NRUT
        "\uA3A0",  # ; YI SYLLABLE NRUX
        "\uA3A1",  # ; YI SYLLABLE NRU
        "\uA3A2",  # ; YI SYLLABLE NRUP
        "\uA3A3",  # ; YI SYLLABLE NRURX
        "\uA3A4",  # ; YI SYLLABLE NRUR
        "\uA3A5",  # ; YI SYLLABLE NRYT
        "\uA3A6",  # ; YI SYLLABLE NRYX
        "\uA3A7",  # ; YI SYLLABLE NRY
        "\uA3A8",  # ; YI SYLLABLE NRYP
        "\uA3A9",  # ; YI SYLLABLE NRYRX
        "\uA3AA",  # ; YI SYLLABLE NRYR
        "\uA3AB",  # ; YI SYLLABLE SHAT
        "\uA3AC",  # ; YI SYLLABLE SHAX
        "\uA3AD",  # ; YI SYLLABLE SHA
        "\uA3AE",  # ; YI SYLLABLE SHAP
        "\uA3AF",  # ; YI SYLLABLE SHUOX
        "\uA3B0",  # ; YI SYLLABLE SHUO
        "\uA3B1",  # ; YI SYLLABLE SHUOP
        "\uA3B2",  # ; YI SYLLABLE SHOT
        "\uA3B3",  # ; YI SYLLABLE SHOX
        "\uA3B4",  # ; YI SYLLABLE SHO
        "\uA3B5",  # ; YI SYLLABLE SHOP
        "\uA3B6",  # ; YI SYLLABLE SHET
        "\uA3B7",  # ; YI SYLLABLE SHEX
        "\uA3B8",  # ; YI SYLLABLE SHE
        "\uA3B9",  # ; YI SYLLABLE SHEP
        "\uA3BA",  # ; YI SYLLABLE SHUT
        "\uA3BB",  # ; YI SYLLABLE SHUX
        "\uA3BC",  # ; YI SYLLABLE SHU
        "\uA3BD",  # ; YI SYLLABLE SHUP
        "\uA3BE",  # ; YI SYLLABLE SHURX
        "\uA3BF",  # ; YI SYLLABLE SHUR
        "\uA3C0",  # ; YI SYLLABLE SHYT
        "\uA3C1",  # ; YI SYLLABLE SHYX
        "\uA3C2",  # ; YI SYLLABLE SHY
        "\uA3C3",  # ; YI SYLLABLE SHYP
        "\uA3C4",  # ; YI SYLLABLE SHYRX
        "\uA3C5",  # ; YI SYLLABLE SHYR
        "\uA3C6",  # ; YI SYLLABLE RAT
        "\uA3C7",  # ; YI SYLLABLE RAX
        "\uA3C8",  # ; YI SYLLABLE RA
        "\uA3C9",  # ; YI SYLLABLE RAP
        "\uA3CA",  # ; YI SYLLABLE RUOX
        "\uA3CB",  # ; YI SYLLABLE RUO
        "\uA3CC",  # ; YI SYLLABLE RUOP
        "\uA3CD",  # ; YI SYLLABLE ROT
        "\uA3CE",  # ; YI SYLLABLE ROX
        "\uA3CF",  # ; YI SYLLABLE RO
        "\uA3D0",  # ; YI SYLLABLE ROP
        "\uA3D1",  # ; YI SYLLABLE REX
        "\uA3D2",  # ; YI SYLLABLE RE
        "\uA3D3",  # ; YI SYLLABLE REP
        "\uA3D4",  # ; YI SYLLABLE RUT
        "\uA3D5",  # ; YI SYLLABLE RUX
        "\uA3D6",  # ; YI SYLLABLE RU
        "\uA3D7",  # ; YI SYLLABLE RUP
        "\uA3D8",  # ; YI SYLLABLE RURX
        "\uA3D9",  # ; YI SYLLABLE RUR
        "\uA3DA",  # ; YI SYLLABLE RYT
        "\uA3DB",  # ; YI SYLLABLE RYX
        "\uA3DC",  # ; YI SYLLABLE RY
        "\uA3DD",  # ; YI SYLLABLE RYP
        "\uA3DE",  # ; YI SYLLABLE RYRX
        "\uA3DF",  # ; YI SYLLABLE RYR
        "\uA3E0",  # ; YI SYLLABLE JIT
        "\uA3E1",  # ; YI SYLLABLE JIX
        "\uA3E2",  # ; YI SYLLABLE JI
        "\uA3E3",  # ; YI SYLLABLE JIP
        "\uA3E4",  # ; YI SYLLABLE JIET
        "\uA3E5",  # ; YI SYLLABLE JIEX
        "\uA3E6",  # ; YI SYLLABLE JIE
        "\uA3E7",  # ; YI SYLLABLE JIEP
        "\uA3E8",  # ; YI SYLLABLE JUOT
        "\uA3E9",  # ; YI SYLLABLE JUOX
        "\uA3EA",  # ; YI SYLLABLE JUO
        "\uA3EB",  # ; YI SYLLABLE JUOP
        "\uA3EC",  # ; YI SYLLABLE JOT
        "\uA3ED",  # ; YI SYLLABLE JOX
        "\uA3EE",  # ; YI SYLLABLE JO
        "\uA3EF",  # ; YI SYLLABLE JOP
        "\uA3F0",  # ; YI SYLLABLE JUT
        "\uA3F1",  # ; YI SYLLABLE JUX
        "\uA3F2",  # ; YI SYLLABLE JU
        "\uA3F3",  # ; YI SYLLABLE JUP
        "\uA3F4",  # ; YI SYLLABLE JURX
        "\uA3F5",  # ; YI SYLLABLE JUR
        "\uA3F6",  # ; YI SYLLABLE JYT
        "\uA3F7",  # ; YI SYLLABLE JYX
        "\uA3F8",  # ; YI SYLLABLE JY
        "\uA3F9",  # ; YI SYLLABLE JYP
        "\uA3FA",  # ; YI SYLLABLE JYRX
        "\uA3FB",  # ; YI SYLLABLE JYR
        "\uA3FC",  # ; YI SYLLABLE QIT
        "\uA3FD",  # ; YI SYLLABLE QIX
        "\uA3FE",  # ; YI SYLLABLE QI
        "\uA3FF",  # ; YI SYLLABLE QIP
        "\uA400",  # ; YI SYLLABLE QIET
        "\uA401",  # ; YI SYLLABLE QIEX
        "\uA402",  # ; YI SYLLABLE QIE
        "\uA403",  # ; YI SYLLABLE QIEP
        "\uA404",  # ; YI SYLLABLE QUOT
        "\uA405",  # ; YI SYLLABLE QUOX
        "\uA406",  # ; YI SYLLABLE QUO
        "\uA407",  # ; YI SYLLABLE QUOP
        "\uA408",  # ; YI SYLLABLE QOT
        "\uA409",  # ; YI SYLLABLE QOX
        "\uA40A",  # ; YI SYLLABLE QO
        "\uA40B",  # ; YI SYLLABLE QOP
        "\uA40C",  # ; YI SYLLABLE QUT
        "\uA40D",  # ; YI SYLLABLE QUX
        "\uA40E",  # ; YI SYLLABLE QU
        "\uA40F",  # ; YI SYLLABLE QUP
        "\uA410",  # ; YI SYLLABLE QURX
        "\uA411",  # ; YI SYLLABLE QUR
        "\uA412",  # ; YI SYLLABLE QYT
        "\uA413",  # ; YI SYLLABLE QYX
        "\uA414",  # ; YI SYLLABLE QY
        "\uA415",  # ; YI SYLLABLE QYP
        "\uA416",  # ; YI SYLLABLE QYRX
        "\uA417",  # ; YI SYLLABLE QYR
        "\uA418",  # ; YI SYLLABLE JJIT
        "\uA419",  # ; YI SYLLABLE JJIX
        "\uA41A",  # ; YI SYLLABLE JJI
        "\uA41B",  # ; YI SYLLABLE JJIP
        "\uA41C",  # ; YI SYLLABLE JJIET
        "\uA41D",  # ; YI SYLLABLE JJIEX
        "\uA41E",  # ; YI SYLLABLE JJIE
        "\uA41F",  # ; YI SYLLABLE JJIEP
        "\uA420",  # ; YI SYLLABLE JJUOX
        "\uA421",  # ; YI SYLLABLE JJUO
        "\uA422",  # ; YI SYLLABLE JJUOP
        "\uA423",  # ; YI SYLLABLE JJOT
        "\uA424",  # ; YI SYLLABLE JJOX
        "\uA425",  # ; YI SYLLABLE JJO
        "\uA426",  # ; YI SYLLABLE JJOP
        "\uA427",  # ; YI SYLLABLE JJUT
        "\uA428",  # ; YI SYLLABLE JJUX
        "\uA429",  # ; YI SYLLABLE JJU
        "\uA42A",  # ; YI SYLLABLE JJUP
        "\uA42B",  # ; YI SYLLABLE JJURX
        "\uA42C",  # ; YI SYLLABLE JJUR
        "\uA42D",  # ; YI SYLLABLE JJYT
        "\uA42E",  # ; YI SYLLABLE JJYX
        "\uA42F",  # ; YI SYLLABLE JJY
        "\uA430",  # ; YI SYLLABLE JJYP
        "\uA431",  # ; YI SYLLABLE NJIT
        "\uA432",  # ; YI SYLLABLE NJIX
        "\uA433",  # ; YI SYLLABLE NJI
        "\uA434",  # ; YI SYLLABLE NJIP
        "\uA435",  # ; YI SYLLABLE NJIET
        "\uA436",  # ; YI SYLLABLE NJIEX
        "\uA437",  # ; YI SYLLABLE NJIE
        "\uA438",  # ; YI SYLLABLE NJIEP
        "\uA439",  # ; YI SYLLABLE NJUOX
        "\uA43A",  # ; YI SYLLABLE NJUO
        "\uA43B",  # ; YI SYLLABLE NJOT
        "\uA43C",  # ; YI SYLLABLE NJOX
        "\uA43D",  # ; YI SYLLABLE NJO
        "\uA43E",  # ; YI SYLLABLE NJOP
        "\uA43F",  # ; YI SYLLABLE NJUX
        "\uA440",  # ; YI SYLLABLE NJU
        "\uA441",  # ; YI SYLLABLE NJUP
        "\uA442",  # ; YI SYLLABLE NJURX
        "\uA443",  # ; YI SYLLABLE NJUR
        "\uA444",  # ; YI SYLLABLE NJYT
        "\uA445",  # ; YI SYLLABLE NJYX
        "\uA446",  # ; YI SYLLABLE NJY
        "\uA447",  # ; YI SYLLABLE NJYP
        "\uA448",  # ; YI SYLLABLE NJYRX
        "\uA449",  # ; YI SYLLABLE NJYR
        "\uA44A",  # ; YI SYLLABLE NYIT
        "\uA44B",  # ; YI SYLLABLE NYIX
        "\uA44C",  # ; YI SYLLABLE NYI
        "\uA44D",  # ; YI SYLLABLE NYIP
        "\uA44E",  # ; YI SYLLABLE NYIET
        "\uA44F",  # ; YI SYLLABLE NYIEX
        "\uA450",  # ; YI SYLLABLE NYIE
        "\uA451",  # ; YI SYLLABLE NYIEP
        "\uA452",  # ; YI SYLLABLE NYUOX
        "\uA453",  # ; YI SYLLABLE NYUO
        "\uA454",  # ; YI SYLLABLE NYUOP
        "\uA455",  # ; YI SYLLABLE NYOT
        "\uA456",  # ; YI SYLLABLE NYOX
        "\uA457",  # ; YI SYLLABLE NYO
        "\uA458",  # ; YI SYLLABLE NYOP
        "\uA459",  # ; YI SYLLABLE NYUT
        "\uA45A",  # ; YI SYLLABLE NYUX
        "\uA45B",  # ; YI SYLLABLE NYU
        "\uA45C",  # ; YI SYLLABLE NYUP
        "\uA45D",  # ; YI SYLLABLE XIT
        "\uA45E",  # ; YI SYLLABLE XIX
        "\uA45F",  # ; YI SYLLABLE XI
        "\uA460",  # ; YI SYLLABLE XIP
        "\uA461",  # ; YI SYLLABLE XIET
        "\uA462",  # ; YI SYLLABLE XIEX
        "\uA463",  # ; YI SYLLABLE XIE
        "\uA464",  # ; YI SYLLABLE XIEP
        "\uA465",  # ; YI SYLLABLE XUOX
        "\uA466",  # ; YI SYLLABLE XUO
        "\uA467",  # ; YI SYLLABLE XOT
        "\uA468",  # ; YI SYLLABLE XOX
        "\uA469",  # ; YI SYLLABLE XO
        "\uA46A",  # ; YI SYLLABLE XOP
        "\uA46B",  # ; YI SYLLABLE XYT
        "\uA46C",  # ; YI SYLLABLE XYX
        "\uA46D",  # ; YI SYLLABLE XY
        "\uA46E",  # ; YI SYLLABLE XYP
        "\uA46F",  # ; YI SYLLABLE XYRX
        "\uA470",  # ; YI SYLLABLE XYR
        "\uA471",  # ; YI SYLLABLE YIT
        "\uA472",  # ; YI SYLLABLE YIX
        "\uA473",  # ; YI SYLLABLE YI
        "\uA474",  # ; YI SYLLABLE YIP
        "\uA475",  # ; YI SYLLABLE YIET
        "\uA476",  # ; YI SYLLABLE YIEX
        "\uA477",  # ; YI SYLLABLE YIE
        "\uA478",  # ; YI SYLLABLE YIEP
        "\uA479",  # ; YI SYLLABLE YUOT
        "\uA47A",  # ; YI SYLLABLE YUOX
        "\uA47B",  # ; YI SYLLABLE YUO
        "\uA47C",  # ; YI SYLLABLE YUOP
        "\uA47D",  # ; YI SYLLABLE YOT
        "\uA47E",  # ; YI SYLLABLE YOX
        "\uA47F",  # ; YI SYLLABLE YO
        "\uA480",  # ; YI SYLLABLE YOP
        "\uA481",  # ; YI SYLLABLE YUT
        "\uA482",  # ; YI SYLLABLE YUX
        "\uA483",  # ; YI SYLLABLE YU
        "\uA484",  # ; YI SYLLABLE YUP
        "\uA485",  # ; YI SYLLABLE YURX
        "\uA486",  # ; YI SYLLABLE YUR
        "\uA487",  # ; YI SYLLABLE YYT
        "\uA488",  # ; YI SYLLABLE YYX
        "\uA489",  # ; YI SYLLABLE YY
        "\uA48A",  # ; YI SYLLABLE YYP
        "\uA48B",  # ; YI SYLLABLE YYRX
        "\uA48C",  # ; YI SYLLABLE YYR
        "\uA490",  # ; YI RADICAL QOT
        "\uA491",  # ; YI RADICAL LI
        "\uA492",  # ; YI RADICAL KIT
        "\uA493",  # ; YI RADICAL NYIP
        "\uA494",  # ; YI RADICAL CYP
        "\uA495",  # ; YI RADICAL SSI
        "\uA496",  # ; YI RADICAL GGOP
        "\uA497",  # ; YI RADICAL GEP
        "\uA498",  # ; YI RADICAL MI
        "\uA499",  # ; YI RADICAL HXIT
        "\uA49A",  # ; YI RADICAL LYR
        "\uA49B",  # ; YI RADICAL BBUT
        "\uA49C",  # ; YI RADICAL MOP
        "\uA49D",  # ; YI RADICAL YO
        "\uA49E",  # ; YI RADICAL PUT
        "\uA49F",  # ; YI RADICAL HXUO
        "\uA4A0",  # ; YI RADICAL TAT
        "\uA4A1",  # ; YI RADICAL GA
        "\uA4A2",  # ; YI RADICAL ZUP
        "\uA4A3",  # ; YI RADICAL CYT
        "\uA4A4",  # ; YI RADICAL DDUR
        "\uA4A5",  # ; YI RADICAL BUR
        "\uA4A6",  # ; YI RADICAL GGUO
        "\uA4A7",  # ; YI RADICAL NYOP
        "\uA4A8",  # ; YI RADICAL TU
        "\uA4A9",  # ; YI RADICAL OP
        "\uA4AA",  # ; YI RADICAL JJUT
        "\uA4AB",  # ; YI RADICAL ZOT
        "\uA4AC",  # ; YI RADICAL PYT
        "\uA4AD",  # ; YI RADICAL HMO
        "\uA4AE",  # ; YI RADICAL YIT
        "\uA4AF",  # ; YI RADICAL VUR
        "\uA4B0",  # ; YI RADICAL SHY
        "\uA4B1",  # ; YI RADICAL VEP
        "\uA4B2",  # ; YI RADICAL ZA
        "\uA4B3",  # ; YI RADICAL JO
        "\uA4B4",  # ; YI RADICAL NZUP
        "\uA4B5",  # ; YI RADICAL JJY
        "\uA4B6",  # ; YI RADICAL GOT
        "\uA4B7",  # ; YI RADICAL JJIE
        "\uA4B8",  # ; YI RADICAL WO
        "\uA4B9",  # ; YI RADICAL DU
        "\uA4BA",  # ; YI RADICAL SHUR
        "\uA4BB",  # ; YI RADICAL LIE
        "\uA4BC",  # ; YI RADICAL CY
        "\uA4BD",  # ; YI RADICAL CUOP
        "\uA4BE",  # ; YI RADICAL CIP
        "\uA4BF",  # ; YI RADICAL HXOP
        "\uA4C0",  # ; YI RADICAL SHAT
        "\uA4C1",  # ; YI RADICAL ZUR
        "\uA4C2",  # ; YI RADICAL SHOP
        "\uA4C3",  # ; YI RADICAL CHE
        "\uA4C4",  # ; YI RADICAL ZZIET
        "\uA4C5",  # ; YI RADICAL NBIE
        "\uA4C6",  # ; YI RADICAL KE
        "\uA4D0",  # ; LISU LETTER BA
        "\uA4D1",  # ; LISU LETTER PA
        "\uA4D2",  # ; LISU LETTER PHA
        "\uA4D3",  # ; LISU LETTER DA
        "\uA4D4",  # ; LISU LETTER TA
        "\uA4D5",  # ; LISU LETTER THA
        "\uA4D6",  # ; LISU LETTER GA
        "\uA4D7",  # ; LISU LETTER KA
        "\uA4D8",  # ; LISU LETTER KHA
        "\uA4D9",  # ; LISU LETTER JA
        "\uA4DA",  # ; LISU LETTER CA
        "\uA4DB",  # ; LISU LETTER CHA
        "\uA4DC",  # ; LISU LETTER DZA
        "\uA4DD",  # ; LISU LETTER TSA
        "\uA4DE",  # ; LISU LETTER TSHA
        "\uA4DF",  # ; LISU LETTER MA
        "\uA4E0",  # ; LISU LETTER NA
        "\uA4E1",  # ; LISU LETTER LA
        "\uA4E2",  # ; LISU LETTER SA
        "\uA4E3",  # ; LISU LETTER ZHA
        "\uA4E4",  # ; LISU LETTER ZA
        "\uA4E5",  # ; LISU LETTER NGA
        "\uA4E6",  # ; LISU LETTER HA
        "\uA4E7",  # ; LISU LETTER XA
        "\uA4E8",  # ; LISU LETTER HHA
        "\uA4E9",  # ; LISU LETTER FA
        "\uA4EA",  # ; LISU LETTER WA
        "\uA4EB",  # ; LISU LETTER SHA
        "\uA4EC",  # ; LISU LETTER YA
        "\uA4ED",  # ; LISU LETTER GHA
        "\uA4EE",  # ; LISU LETTER A
        "\uA4EF",  # ; LISU LETTER AE
        "\uA4F0",  # ; LISU LETTER E
        "\uA4F1",  # ; LISU LETTER EU
        "\uA4F2",  # ; LISU LETTER I
        "\uA4F3",  # ; LISU LETTER O
        "\uA4F4",  # ; LISU LETTER U
        "\uA4F5",  # ; LISU LETTER UE
        "\uA4F6",  # ; LISU LETTER UH
        "\uA4F7",  # ; LISU LETTER OE
        "\uA4F8",  # ; LISU LETTER TONE MYA TI
        "\uA4F9",  # ; LISU LETTER TONE NA PO
        "\uA4FA",  # ; LISU LETTER TONE MYA CYA
        "\uA4FB",  # ; LISU LETTER TONE MYA BO
        "\uA4FC",  # ; LISU LETTER TONE MYA NA
        "\uA4FD",  # ; LISU LETTER TONE MYA JEU
        "\uA4FE",  # ; LISU PUNCTUATION COMMA
        "\uA4FF",  # ; LISU PUNCTUATION FULL STOP
        "\uA500",  # ; VAI SYLLABLE EE
        "\uA501",  # ; VAI SYLLABLE EEN
        "\uA502",  # ; VAI SYLLABLE HEE
        "\uA503",  # ; VAI SYLLABLE WEE
        "\uA504",  # ; VAI SYLLABLE WEEN
        "\uA505",  # ; VAI SYLLABLE PEE
        "\uA506",  # ; VAI SYLLABLE BHEE
        "\uA507",  # ; VAI SYLLABLE BEE
        "\uA508",  # ; VAI SYLLABLE MBEE
        "\uA509",  # ; VAI SYLLABLE KPEE
        "\uA50A",  # ; VAI SYLLABLE MGBEE
        "\uA50B",  # ; VAI SYLLABLE GBEE
        "\uA50C",  # ; VAI SYLLABLE FEE
        "\uA50D",  # ; VAI SYLLABLE VEE
        "\uA50E",  # ; VAI SYLLABLE TEE
        "\uA50F",  # ; VAI SYLLABLE THEE
        "\uA510",  # ; VAI SYLLABLE DHEE
        "\uA511",  # ; VAI SYLLABLE DHHEE
        "\uA512",  # ; VAI SYLLABLE LEE
        "\uA513",  # ; VAI SYLLABLE REE
        "\uA514",  # ; VAI SYLLABLE DEE
        "\uA515",  # ; VAI SYLLABLE NDEE
        "\uA516",  # ; VAI SYLLABLE SEE
        "\uA517",  # ; VAI SYLLABLE SHEE
        "\uA518",  # ; VAI SYLLABLE ZEE
        "\uA519",  # ; VAI SYLLABLE ZHEE
        "\uA51A",  # ; VAI SYLLABLE CEE
        "\uA51B",  # ; VAI SYLLABLE JEE
        "\uA51C",  # ; VAI SYLLABLE NJEE
        "\uA51D",  # ; VAI SYLLABLE YEE
        "\uA51E",  # ; VAI SYLLABLE KEE
        "\uA51F",  # ; VAI SYLLABLE NGGEE
        "\uA520",  # ; VAI SYLLABLE GEE
        "\uA521",  # ; VAI SYLLABLE MEE
        "\uA522",  # ; VAI SYLLABLE NEE
        "\uA523",  # ; VAI SYLLABLE NYEE
        "\uA524",  # ; VAI SYLLABLE I
        "\uA525",  # ; VAI SYLLABLE IN
        "\uA526",  # ; VAI SYLLABLE HI
        "\uA527",  # ; VAI SYLLABLE HIN
        "\uA528",  # ; VAI SYLLABLE WI
        "\uA529",  # ; VAI SYLLABLE WIN
        "\uA52A",  # ; VAI SYLLABLE PI
        "\uA52B",  # ; VAI SYLLABLE BHI
        "\uA52C",  # ; VAI SYLLABLE BI
        "\uA52D",  # ; VAI SYLLABLE MBI
        "\uA52E",  # ; VAI SYLLABLE KPI
        "\uA52F",  # ; VAI SYLLABLE MGBI
        "\uA530",  # ; VAI SYLLABLE GBI
        "\uA531",  # ; VAI SYLLABLE FI
        "\uA532",  # ; VAI SYLLABLE VI
        "\uA533",  # ; VAI SYLLABLE TI
        "\uA534",  # ; VAI SYLLABLE THI
        "\uA535",  # ; VAI SYLLABLE DHI
        "\uA536",  # ; VAI SYLLABLE DHHI
        "\uA537",  # ; VAI SYLLABLE LI
        "\uA538",  # ; VAI SYLLABLE RI
        "\uA539",  # ; VAI SYLLABLE DI
        "\uA53A",  # ; VAI SYLLABLE NDI
        "\uA53B",  # ; VAI SYLLABLE SI
        "\uA53C",  # ; VAI SYLLABLE SHI
        "\uA53D",  # ; VAI SYLLABLE ZI
        "\uA53E",  # ; VAI SYLLABLE ZHI
        "\uA53F",  # ; VAI SYLLABLE CI
        "\uA540",  # ; VAI SYLLABLE JI
        "\uA541",  # ; VAI SYLLABLE NJI
        "\uA542",  # ; VAI SYLLABLE YI
        "\uA543",  # ; VAI SYLLABLE KI
        "\uA544",  # ; VAI SYLLABLE NGGI
        "\uA545",  # ; VAI SYLLABLE GI
        "\uA546",  # ; VAI SYLLABLE MI
        "\uA547",  # ; VAI SYLLABLE NI
        "\uA548",  # ; VAI SYLLABLE NYI
        "\uA549",  # ; VAI SYLLABLE A
        "\uA54A",  # ; VAI SYLLABLE AN
        "\uA54B",  # ; VAI SYLLABLE NGAN
        "\uA54C",  # ; VAI SYLLABLE HA
        "\uA54D",  # ; VAI SYLLABLE HAN
        "\uA54E",  # ; VAI SYLLABLE WA
        "\uA54F",  # ; VAI SYLLABLE WAN
        "\uA550",  # ; VAI SYLLABLE PA
        "\uA551",  # ; VAI SYLLABLE BHA
        "\uA552",  # ; VAI SYLLABLE BA
        "\uA553",  # ; VAI SYLLABLE MBA
        "\uA554",  # ; VAI SYLLABLE KPA
        "\uA555",  # ; VAI SYLLABLE KPAN
        "\uA556",  # ; VAI SYLLABLE MGBA
        "\uA557",  # ; VAI SYLLABLE GBA
        "\uA558",  # ; VAI SYLLABLE FA
        "\uA559",  # ; VAI SYLLABLE VA
        "\uA55A",  # ; VAI SYLLABLE TA
        "\uA55B",  # ; VAI SYLLABLE THA
        "\uA55C",  # ; VAI SYLLABLE DHA
        "\uA55D",  # ; VAI SYLLABLE DHHA
        "\uA55E",  # ; VAI SYLLABLE LA
        "\uA55F",  # ; VAI SYLLABLE RA
        "\uA560",  # ; VAI SYLLABLE DA
        "\uA561",  # ; VAI SYLLABLE NDA
        "\uA562",  # ; VAI SYLLABLE SA
        "\uA563",  # ; VAI SYLLABLE SHA
        "\uA564",  # ; VAI SYLLABLE ZA
        "\uA565",  # ; VAI SYLLABLE ZHA
        "\uA566",  # ; VAI SYLLABLE CA
        "\uA567",  # ; VAI SYLLABLE JA
        "\uA568",  # ; VAI SYLLABLE NJA
        "\uA569",  # ; VAI SYLLABLE YA
        "\uA56A",  # ; VAI SYLLABLE KA
        "\uA56B",  # ; VAI SYLLABLE KAN
        "\uA56C",  # ; VAI SYLLABLE NGGA
        "\uA56D",  # ; VAI SYLLABLE GA
        "\uA56E",  # ; VAI SYLLABLE MA
        "\uA56F",  # ; VAI SYLLABLE NA
        "\uA570",  # ; VAI SYLLABLE NYA
        "\uA571",  # ; VAI SYLLABLE OO
        "\uA572",  # ; VAI SYLLABLE OON
        "\uA573",  # ; VAI SYLLABLE HOO
        "\uA574",  # ; VAI SYLLABLE WOO
        "\uA575",  # ; VAI SYLLABLE WOON
        "\uA576",  # ; VAI SYLLABLE POO
        "\uA577",  # ; VAI SYLLABLE BHOO
        "\uA578",  # ; VAI SYLLABLE BOO
        "\uA579",  # ; VAI SYLLABLE MBOO
        "\uA57A",  # ; VAI SYLLABLE KPOO
        "\uA57B",  # ; VAI SYLLABLE MGBOO
        "\uA57C",  # ; VAI SYLLABLE GBOO
        "\uA57D",  # ; VAI SYLLABLE FOO
        "\uA57E",  # ; VAI SYLLABLE VOO
        "\uA57F",  # ; VAI SYLLABLE TOO
        "\uA580",  # ; VAI SYLLABLE THOO
        "\uA581",  # ; VAI SYLLABLE DHOO
        "\uA582",  # ; VAI SYLLABLE DHHOO
        "\uA583",  # ; VAI SYLLABLE LOO
        "\uA584",  # ; VAI SYLLABLE ROO
        "\uA585",  # ; VAI SYLLABLE DOO
        "\uA586",  # ; VAI SYLLABLE NDOO
        "\uA587",  # ; VAI SYLLABLE SOO
        "\uA588",  # ; VAI SYLLABLE SHOO
        "\uA589",  # ; VAI SYLLABLE ZOO
        "\uA58A",  # ; VAI SYLLABLE ZHOO
        "\uA58B",  # ; VAI SYLLABLE COO
        "\uA58C",  # ; VAI SYLLABLE JOO
        "\uA58D",  # ; VAI SYLLABLE NJOO
        "\uA58E",  # ; VAI SYLLABLE YOO
        "\uA58F",  # ; VAI SYLLABLE KOO
        "\uA590",  # ; VAI SYLLABLE NGGOO
        "\uA591",  # ; VAI SYLLABLE GOO
        "\uA592",  # ; VAI SYLLABLE MOO
        "\uA593",  # ; VAI SYLLABLE NOO
        "\uA594",  # ; VAI SYLLABLE NYOO
        "\uA595",  # ; VAI SYLLABLE U
        "\uA596",  # ; VAI SYLLABLE UN
        "\uA597",  # ; VAI SYLLABLE HU
        "\uA598",  # ; VAI SYLLABLE HUN
        "\uA599",  # ; VAI SYLLABLE WU
        "\uA59A",  # ; VAI SYLLABLE WUN
        "\uA59B",  # ; VAI SYLLABLE PU
        "\uA59C",  # ; VAI SYLLABLE BHU
        "\uA59D",  # ; VAI SYLLABLE BU
        "\uA59E",  # ; VAI SYLLABLE MBU
        "\uA59F",  # ; VAI SYLLABLE KPU
        "\uA5A0",  # ; VAI SYLLABLE MGBU
        "\uA5A1",  # ; VAI SYLLABLE GBU
        "\uA5A2",  # ; VAI SYLLABLE FU
        "\uA5A3",  # ; VAI SYLLABLE VU
        "\uA5A4",  # ; VAI SYLLABLE TU
        "\uA5A5",  # ; VAI SYLLABLE THU
        "\uA5A6",  # ; VAI SYLLABLE DHU
        "\uA5A7",  # ; VAI SYLLABLE DHHU
        "\uA5A8",  # ; VAI SYLLABLE LU
        "\uA5A9",  # ; VAI SYLLABLE RU
        "\uA5AA",  # ; VAI SYLLABLE DU
        "\uA5AB",  # ; VAI SYLLABLE NDU
        "\uA5AC",  # ; VAI SYLLABLE SU
        "\uA5AD",  # ; VAI SYLLABLE SHU
        "\uA5AE",  # ; VAI SYLLABLE ZU
        "\uA5AF",  # ; VAI SYLLABLE ZHU
        "\uA5B0",  # ; VAI SYLLABLE CU
        "\uA5B1",  # ; VAI SYLLABLE JU
        "\uA5B2",  # ; VAI SYLLABLE NJU
        "\uA5B3",  # ; VAI SYLLABLE YU
        "\uA5B4",  # ; VAI SYLLABLE KU
        "\uA5B5",  # ; VAI SYLLABLE NGGU
        "\uA5B6",  # ; VAI SYLLABLE GU
        "\uA5B7",  # ; VAI SYLLABLE MU
        "\uA5B8",  # ; VAI SYLLABLE NU
        "\uA5B9",  # ; VAI SYLLABLE NYU
        "\uA5BA",  # ; VAI SYLLABLE O
        "\uA5BB",  # ; VAI SYLLABLE ON
        "\uA5BC",  # ; VAI SYLLABLE NGON
        "\uA5BD",  # ; VAI SYLLABLE HO
        "\uA5BE",  # ; VAI SYLLABLE HON
        "\uA5BF",  # ; VAI SYLLABLE WO
        "\uA5C0",  # ; VAI SYLLABLE WON
        "\uA5C1",  # ; VAI SYLLABLE PO
        "\uA5C2",  # ; VAI SYLLABLE BHO
        "\uA5C3",  # ; VAI SYLLABLE BO
        "\uA5C4",  # ; VAI SYLLABLE MBO
        "\uA5C5",  # ; VAI SYLLABLE KPO
        "\uA5C6",  # ; VAI SYLLABLE MGBO
        "\uA5C7",  # ; VAI SYLLABLE GBO
        "\uA5C8",  # ; VAI SYLLABLE GBON
        "\uA5C9",  # ; VAI SYLLABLE FO
        "\uA5CA",  # ; VAI SYLLABLE VO
        "\uA5CB",  # ; VAI SYLLABLE TO
        "\uA5CC",  # ; VAI SYLLABLE THO
        "\uA5CD",  # ; VAI SYLLABLE DHO
        "\uA5CE",  # ; VAI SYLLABLE DHHO
        "\uA5CF",  # ; VAI SYLLABLE LO
        "\uA5D0",  # ; VAI SYLLABLE RO
        "\uA5D1",  # ; VAI SYLLABLE DO
        "\uA5D2",  # ; VAI SYLLABLE NDO
        "\uA5D3",  # ; VAI SYLLABLE SO
        "\uA5D4",  # ; VAI SYLLABLE SHO
        "\uA5D5",  # ; VAI SYLLABLE ZO
        "\uA5D6",  # ; VAI SYLLABLE ZHO
        "\uA5D7",  # ; VAI SYLLABLE CO
        "\uA5D8",  # ; VAI SYLLABLE JO
        "\uA5D9",  # ; VAI SYLLABLE NJO
        "\uA5DA",  # ; VAI SYLLABLE YO
        "\uA5DB",  # ; VAI SYLLABLE KO
        "\uA5DC",  # ; VAI SYLLABLE NGGO
        "\uA5DD",  # ; VAI SYLLABLE GO
        "\uA5DE",  # ; VAI SYLLABLE MO
        "\uA5DF",  # ; VAI SYLLABLE NO
        "\uA5E0",  # ; VAI SYLLABLE NYO
        "\uA5E1",  # ; VAI SYLLABLE E
        "\uA5E2",  # ; VAI SYLLABLE EN
        "\uA5E3",  # ; VAI SYLLABLE NGEN
        "\uA5E4",  # ; VAI SYLLABLE HE
        "\uA5E5",  # ; VAI SYLLABLE HEN
        "\uA5E6",  # ; VAI SYLLABLE WE
        "\uA5E7",  # ; VAI SYLLABLE WEN
        "\uA5E8",  # ; VAI SYLLABLE PE
        "\uA5E9",  # ; VAI SYLLABLE BHE
        "\uA5EA",  # ; VAI SYLLABLE BE
        "\uA5EB",  # ; VAI SYLLABLE MBE
        "\uA5EC",  # ; VAI SYLLABLE KPE
        "\uA5ED",  # ; VAI SYLLABLE KPEN
        "\uA5EE",  # ; VAI SYLLABLE MGBE
        "\uA5EF",  # ; VAI SYLLABLE GBE
        "\uA5F0",  # ; VAI SYLLABLE GBEN
        "\uA5F1",  # ; VAI SYLLABLE FE
        "\uA5F2",  # ; VAI SYLLABLE VE
        "\uA5F3",  # ; VAI SYLLABLE TE
        "\uA5F4",  # ; VAI SYLLABLE THE
        "\uA5F5",  # ; VAI SYLLABLE DHE
        "\uA5F6",  # ; VAI SYLLABLE DHHE
        "\uA5F7",  # ; VAI SYLLABLE LE
        "\uA5F8",  # ; VAI SYLLABLE RE
        "\uA5F9",  # ; VAI SYLLABLE DE
        "\uA5FA",  # ; VAI SYLLABLE NDE
        "\uA5FB",  # ; VAI SYLLABLE SE
        "\uA5FC",  # ; VAI SYLLABLE SHE
        "\uA5FD",  # ; VAI SYLLABLE ZE
        "\uA5FE",  # ; VAI SYLLABLE ZHE
        "\uA5FF",  # ; VAI SYLLABLE CE
        "\uA600",  # ; VAI SYLLABLE JE
        "\uA601",  # ; VAI SYLLABLE NJE
        "\uA602",  # ; VAI SYLLABLE YE
        "\uA603",  # ; VAI SYLLABLE KE
        "\uA604",  # ; VAI SYLLABLE NGGE
        "\uA605",  # ; VAI SYLLABLE NGGEN
        "\uA606",  # ; VAI SYLLABLE GE
        "\uA607",  # ; VAI SYLLABLE GEN
        "\uA608",  # ; VAI SYLLABLE ME
        "\uA609",  # ; VAI SYLLABLE NE
        "\uA60A",  # ; VAI SYLLABLE NYE
        "\uA60B",  # ; VAI SYLLABLE NG
        "\uA60C",  # ; VAI SYLLABLE LENGTHENER
        "\uA60D",  # ; VAI COMMA
        "\uA60E",  # ; VAI FULL STOP
        "\uA60F",  # ; VAI QUESTION MARK
        "\uA610",  # ; VAI SYLLABLE NDOLE FA
        "\uA611",  # ; VAI SYLLABLE NDOLE KA
        "\uA612",  # ; VAI SYLLABLE NDOLE SOO
        "\uA613",  # ; VAI SYMBOL FEENG
        "\uA614",  # ; VAI SYMBOL KEENG
        "\uA615",  # ; VAI SYMBOL TING
        "\uA616",  # ; VAI SYMBOL NII
        "\uA617",  # ; VAI SYMBOL BANG
        "\uA618",  # ; VAI SYMBOL FAA
        "\uA619",  # ; VAI SYMBOL TAA
        "\uA61A",  # ; VAI SYMBOL DANG
        "\uA61B",  # ; VAI SYMBOL DOONG
        "\uA61C",  # ; VAI SYMBOL KUNG
        "\uA61D",  # ; VAI SYMBOL TONG
        "\uA61E",  # ; VAI SYMBOL DO-O
        "\uA61F",  # ; VAI SYMBOL JONG
        "\uA620",  # ; VAI DIGIT ZERO
        "\uA621",  # ; VAI DIGIT ONE
        "\uA622",  # ; VAI DIGIT TWO
        "\uA623",  # ; VAI DIGIT THREE
        "\uA624",  # ; VAI DIGIT FOUR
        "\uA625",  # ; VAI DIGIT FIVE
        "\uA626",  # ; VAI DIGIT SIX
        "\uA627",  # ; VAI DIGIT SEVEN
        "\uA628",  # ; VAI DIGIT EIGHT
        "\uA629",  # ; VAI DIGIT NINE
        "\uA62A",  # ; VAI SYLLABLE NDOLE MA
        "\uA62B",  # ; VAI SYLLABLE NDOLE DO
        "\uA640",  # ; CYRILLIC CAPITAL LETTER ZEMLYA
        "\uA641",  # ; CYRILLIC SMALL LETTER ZEMLYA
        "\uA642",  # ; CYRILLIC CAPITAL LETTER DZELO
        "\uA643",  # ; CYRILLIC SMALL LETTER DZELO
        "\uA644",  # ; CYRILLIC CAPITAL LETTER REVERSED DZE
        "\uA645",  # ; CYRILLIC SMALL LETTER REVERSED DZE
        "\uA646",  # ; CYRILLIC CAPITAL LETTER IOTA
        "\uA647",  # ; CYRILLIC SMALL LETTER IOTA
        "\uA648",  # ; CYRILLIC CAPITAL LETTER DJERV
        "\uA649",  # ; CYRILLIC SMALL LETTER DJERV
        "\uA64A",  # ; CYRILLIC CAPITAL LETTER MONOGRAPH UK
        "\uA64B",  # ; CYRILLIC SMALL LETTER MONOGRAPH UK
        "\uA64C",  # ; CYRILLIC CAPITAL LETTER BROAD OMEGA
        "\uA64D",  # ; CYRILLIC SMALL LETTER BROAD OMEGA
        "\uA64E",  # ; CYRILLIC CAPITAL LETTER NEUTRAL YER
        "\uA64F",  # ; CYRILLIC SMALL LETTER NEUTRAL YER
        "\uA650",  # ; CYRILLIC CAPITAL LETTER YERU WITH BACK YER
        "\uA651",  # ; CYRILLIC SMALL LETTER YERU WITH BACK YER
        "\uA652",  # ; CYRILLIC CAPITAL LETTER IOTIFIED YAT
        "\uA653",  # ; CYRILLIC SMALL LETTER IOTIFIED YAT
        "\uA654",  # ; CYRILLIC CAPITAL LETTER REVERSED YU
        "\uA655",  # ; CYRILLIC SMALL LETTER REVERSED YU
        "\uA656",  # ; CYRILLIC CAPITAL LETTER IOTIFIED A
        "\uA657",  # ; CYRILLIC SMALL LETTER IOTIFIED A
        "\uA658",  # ; CYRILLIC CAPITAL LETTER CLOSED LITTLE YUS
        "\uA659",  # ; CYRILLIC SMALL LETTER CLOSED LITTLE YUS
        "\uA65A",  # ; CYRILLIC CAPITAL LETTER BLENDED YUS
        "\uA65B",  # ; CYRILLIC SMALL LETTER BLENDED YUS
        "\uA65C",  # ; CYRILLIC CAPITAL LETTER IOTIFIED CLOSED LITTLE YUS
        "\uA65D",  # ; CYRILLIC SMALL LETTER IOTIFIED CLOSED LITTLE YUS
        "\uA65E",  # ; CYRILLIC CAPITAL LETTER YN
        "\uA65F",  # ; CYRILLIC SMALL LETTER YN
        "\uA660",  # ; CYRILLIC CAPITAL LETTER REVERSED TSE
        "\uA661",  # ; CYRILLIC SMALL LETTER REVERSED TSE
        "\uA662",  # ; CYRILLIC CAPITAL LETTER SOFT DE
        "\uA663",  # ; CYRILLIC SMALL LETTER SOFT DE
        "\uA664",  # ; CYRILLIC CAPITAL LETTER SOFT EL
        "\uA665",  # ; CYRILLIC SMALL LETTER SOFT EL
        "\uA666",  # ; CYRILLIC CAPITAL LETTER SOFT EM
        "\uA667",  # ; CYRILLIC SMALL LETTER SOFT EM
        "\uA668",  # ; CYRILLIC CAPITAL LETTER MONOCULAR O
        "\uA669",  # ; CYRILLIC SMALL LETTER MONOCULAR O
        "\uA66A",  # ; CYRILLIC CAPITAL LETTER BINOCULAR O
        "\uA66B",  # ; CYRILLIC SMALL LETTER BINOCULAR O
        "\uA66C",  # ; CYRILLIC CAPITAL LETTER DOUBLE MONOCULAR O
        "\uA66D",  # ; CYRILLIC SMALL LETTER DOUBLE MONOCULAR O
        "\uA66E",  # ; CYRILLIC LETTER MULTIOCULAR O
        "\uA66F",  # ; COMBINING CYRILLIC VZMET
        "\uA670",  # ; COMBINING CYRILLIC TEN MILLIONS SIGN
        "\uA671",  # ; COMBINING CYRILLIC HUNDRED MILLIONS SIGN
        "\uA672",  # ; COMBINING CYRILLIC THOUSAND MILLIONS SIGN
        "\uA673",  # ; SLAVONIC ASTERISK
        "\uA674",  # ; COMBINING CYRILLIC LETTER UKRAINIAN IE
        "\uA675",  # ; COMBINING CYRILLIC LETTER I
        "\uA676",  # ; COMBINING CYRILLIC LETTER YI
        "\uA677",  # ; COMBINING CYRILLIC LETTER U
        "\uA678",  # ; COMBINING CYRILLIC LETTER HARD SIGN
        "\uA679",  # ; COMBINING CYRILLIC LETTER YERU
        "\uA67A",  # ; COMBINING CYRILLIC LETTER SOFT SIGN
        "\uA67B",  # ; COMBINING CYRILLIC LETTER OMEGA
        "\uA67C",  # ; COMBINING CYRILLIC KAVYKA
        "\uA67D",  # ; COMBINING CYRILLIC PAYEROK
        "\uA67E",  # ; CYRILLIC KAVYKA
        "\uA67F",  # ; CYRILLIC PAYEROK
        "\uA680",  # ; CYRILLIC CAPITAL LETTER DWE
        "\uA681",  # ; CYRILLIC SMALL LETTER DWE
        "\uA682",  # ; CYRILLIC CAPITAL LETTER DZWE
        "\uA683",  # ; CYRILLIC SMALL LETTER DZWE
        "\uA684",  # ; CYRILLIC CAPITAL LETTER ZHWE
        "\uA685",  # ; CYRILLIC SMALL LETTER ZHWE
        "\uA686",  # ; CYRILLIC CAPITAL LETTER CCHE
        "\uA687",  # ; CYRILLIC SMALL LETTER CCHE
        "\uA688",  # ; CYRILLIC CAPITAL LETTER DZZE
        "\uA689",  # ; CYRILLIC SMALL LETTER DZZE
        "\uA68A",  # ; CYRILLIC CAPITAL LETTER TE WITH MIDDLE HOOK
        "\uA68B",  # ; CYRILLIC SMALL LETTER TE WITH MIDDLE HOOK
        "\uA68C",  # ; CYRILLIC CAPITAL LETTER TWE
        "\uA68D",  # ; CYRILLIC SMALL LETTER TWE
        "\uA68E",  # ; CYRILLIC CAPITAL LETTER TSWE
        "\uA68F",  # ; CYRILLIC SMALL LETTER TSWE
        "\uA690",  # ; CYRILLIC CAPITAL LETTER TSSE
        "\uA691",  # ; CYRILLIC SMALL LETTER TSSE
        "\uA692",  # ; CYRILLIC CAPITAL LETTER TCHE
        "\uA693",  # ; CYRILLIC SMALL LETTER TCHE
        "\uA694",  # ; CYRILLIC CAPITAL LETTER HWE
        "\uA695",  # ; CYRILLIC SMALL LETTER HWE
        "\uA696",  # ; CYRILLIC CAPITAL LETTER SHWE
        "\uA697",  # ; CYRILLIC SMALL LETTER SHWE
        "\uA698",  # ; CYRILLIC CAPITAL LETTER DOUBLE O
        "\uA699",  # ; CYRILLIC SMALL LETTER DOUBLE O
        "\uA69A",  # ; CYRILLIC CAPITAL LETTER CROSSED O
        "\uA69B",  # ; CYRILLIC SMALL LETTER CROSSED O
        "\uA69C",  # ; MODIFIER LETTER CYRILLIC HARD SIGN
        "\uA69D",  # ; MODIFIER LETTER CYRILLIC SOFT SIGN
        "\uA69E",  # ; COMBINING CYRILLIC LETTER EF
        "\uA69F",  # ; COMBINING CYRILLIC LETTER IOTIFIED E
        "\uA6A0",  # ; BAMUM LETTER A
        "\uA6A1",  # ; BAMUM LETTER KA
        "\uA6A2",  # ; BAMUM LETTER U
        "\uA6A3",  # ; BAMUM LETTER KU
        "\uA6A4",  # ; BAMUM LETTER EE
        "\uA6A5",  # ; BAMUM LETTER REE
        "\uA6A6",  # ; BAMUM LETTER TAE
        "\uA6A7",  # ; BAMUM LETTER O
        "\uA6A8",  # ; BAMUM LETTER NYI
        "\uA6A9",  # ; BAMUM LETTER I
        "\uA6AA",  # ; BAMUM LETTER LA
        "\uA6AB",  # ; BAMUM LETTER PA
        "\uA6AC",  # ; BAMUM LETTER RII
        "\uA6AD",  # ; BAMUM LETTER RIEE
        "\uA6AE",  # ; BAMUM LETTER LEEEE
        "\uA6AF",  # ; BAMUM LETTER MEEEE
        "\uA6B0",  # ; BAMUM LETTER TAA
        "\uA6B1",  # ; BAMUM LETTER NDAA
        "\uA6B2",  # ; BAMUM LETTER NJAEM
        "\uA6B3",  # ; BAMUM LETTER M
        "\uA6B4",  # ; BAMUM LETTER SUU
        "\uA6B5",  # ; BAMUM LETTER MU
        "\uA6B6",  # ; BAMUM LETTER SHII
        "\uA6B7",  # ; BAMUM LETTER SI
        "\uA6B8",  # ; BAMUM LETTER SHEUX
        "\uA6B9",  # ; BAMUM LETTER SEUX
        "\uA6BA",  # ; BAMUM LETTER KYEE
        "\uA6BB",  # ; BAMUM LETTER KET
        "\uA6BC",  # ; BAMUM LETTER NUAE
        "\uA6BD",  # ; BAMUM LETTER NU
        "\uA6BE",  # ; BAMUM LETTER NJUAE
        "\uA6BF",  # ; BAMUM LETTER YOQ
        "\uA6C0",  # ; BAMUM LETTER SHU
        "\uA6C1",  # ; BAMUM LETTER YUQ
        "\uA6C2",  # ; BAMUM LETTER YA
        "\uA6C3",  # ; BAMUM LETTER NSHA
        "\uA6C4",  # ; BAMUM LETTER KEUX
        "\uA6C5",  # ; BAMUM LETTER PEUX
        "\uA6C6",  # ; BAMUM LETTER NJEE
        "\uA6C7",  # ; BAMUM LETTER NTEE
        "\uA6C8",  # ; BAMUM LETTER PUE
        "\uA6C9",  # ; BAMUM LETTER WUE
        "\uA6CA",  # ; BAMUM LETTER PEE
        "\uA6CB",  # ; BAMUM LETTER FEE
        "\uA6CC",  # ; BAMUM LETTER RU
        "\uA6CD",  # ; BAMUM LETTER LU
        "\uA6CE",  # ; BAMUM LETTER MI
        "\uA6CF",  # ; BAMUM LETTER NI
        "\uA6D0",  # ; BAMUM LETTER REUX
        "\uA6D1",  # ; BAMUM LETTER RAE
        "\uA6D2",  # ; BAMUM LETTER KEN
        "\uA6D3",  # ; BAMUM LETTER NGKWAEN
        "\uA6D4",  # ; BAMUM LETTER NGGA
        "\uA6D5",  # ; BAMUM LETTER NGA
        "\uA6D6",  # ; BAMUM LETTER SHO
        "\uA6D7",  # ; BAMUM LETTER PUAE
        "\uA6D8",  # ; BAMUM LETTER FU
        "\uA6D9",  # ; BAMUM LETTER FOM
        "\uA6DA",  # ; BAMUM LETTER WA
        "\uA6DB",  # ; BAMUM LETTER NA
        "\uA6DC",  # ; BAMUM LETTER LI
        "\uA6DD",  # ; BAMUM LETTER PI
        "\uA6DE",  # ; BAMUM LETTER LOQ
        "\uA6DF",  # ; BAMUM LETTER KO
        "\uA6E0",  # ; BAMUM LETTER MBEN
        "\uA6E1",  # ; BAMUM LETTER REN
        "\uA6E2",  # ; BAMUM LETTER MEN
        "\uA6E3",  # ; BAMUM LETTER MA
        "\uA6E4",  # ; BAMUM LETTER TI
        "\uA6E5",  # ; BAMUM LETTER KI
        "\uA6E6",  # ; BAMUM LETTER MO
        "\uA6E7",  # ; BAMUM LETTER MBAA
        "\uA6E8",  # ; BAMUM LETTER TET
        "\uA6E9",  # ; BAMUM LETTER KPA
        "\uA6EA",  # ; BAMUM LETTER TEN
        "\uA6EB",  # ; BAMUM LETTER NTUU
        "\uA6EC",  # ; BAMUM LETTER SAMBA
        "\uA6ED",  # ; BAMUM LETTER FAAMAE
        "\uA6EE",  # ; BAMUM LETTER KOVUU
        "\uA6EF",  # ; BAMUM LETTER KOGHOM
        "\uA6F0",  # ; BAMUM COMBINING MARK KOQNDON
        "\uA6F1",  # ; BAMUM COMBINING MARK TUKWENTIS
        "\uA6F2",  # ; BAMUM NJAEMLI
        "\uA6F3",  # ; BAMUM FULL STOP
        "\uA6F4",  # ; BAMUM COLON
        "\uA6F5",  # ; BAMUM COMMA
        "\uA6F6",  # ; BAMUM SEMICOLON
        "\uA6F7",  # ; BAMUM QUESTION MARK
        "\uA700",  # ; MODIFIER LETTER CHINESE TONE YIN PING
        "\uA701",  # ; MODIFIER LETTER CHINESE TONE YANG PING
        "\uA702",  # ; MODIFIER LETTER CHINESE TONE YIN SHANG
        "\uA703",  # ; MODIFIER LETTER CHINESE TONE YANG SHANG
        "\uA704",  # ; MODIFIER LETTER CHINESE TONE YIN QU
        "\uA705",  # ; MODIFIER LETTER CHINESE TONE YANG QU
        "\uA706",  # ; MODIFIER LETTER CHINESE TONE YIN RU
        "\uA707",  # ; MODIFIER LETTER CHINESE TONE YANG RU
        "\uA708",  # ; MODIFIER LETTER EXTRA-HIGH DOTTED TONE BAR
        "\uA709",  # ; MODIFIER LETTER HIGH DOTTED TONE BAR
        "\uA70A",  # ; MODIFIER LETTER MID DOTTED TONE BAR
        "\uA70B",  # ; MODIFIER LETTER LOW DOTTED TONE BAR
        "\uA70C",  # ; MODIFIER LETTER EXTRA-LOW DOTTED TONE BAR
        "\uA70D",  # ; MODIFIER LETTER EXTRA-HIGH DOTTED LEFT-STEM TONE BAR
        "\uA70E",  # ; MODIFIER LETTER HIGH DOTTED LEFT-STEM TONE BAR
        "\uA70F",  # ; MODIFIER LETTER MID DOTTED LEFT-STEM TONE BAR
        "\uA710",  # ; MODIFIER LETTER LOW DOTTED LEFT-STEM TONE BAR
        "\uA711",  # ; MODIFIER LETTER EXTRA-LOW DOTTED LEFT-STEM TONE BAR
        "\uA712",  # ; MODIFIER LETTER EXTRA-HIGH LEFT-STEM TONE BAR
        "\uA713",  # ; MODIFIER LETTER HIGH LEFT-STEM TONE BAR
        "\uA714",  # ; MODIFIER LETTER MID LEFT-STEM TONE BAR
        "\uA715",  # ; MODIFIER LETTER LOW LEFT-STEM TONE BAR
        "\uA716",  # ; MODIFIER LETTER EXTRA-LOW LEFT-STEM TONE BAR
        "\uA717",  # ; MODIFIER LETTER DOT VERTICAL BAR
        "\uA718",  # ; MODIFIER LETTER DOT SLASH
        "\uA719",  # ; MODIFIER LETTER DOT HORIZONTAL BAR
        "\uA71A",  # ; MODIFIER LETTER LOWER RIGHT CORNER ANGLE
        "\uA71B",  # ; MODIFIER LETTER RAISED UP ARROW
        "\uA71C",  # ; MODIFIER LETTER RAISED DOWN ARROW
        "\uA71D",  # ; MODIFIER LETTER RAISED EXCLAMATION MARK
        "\uA71E",  # ; MODIFIER LETTER RAISED INVERTED EXCLAMATION MARK
        "\uA71F",  # ; MODIFIER LETTER LOW INVERTED EXCLAMATION MARK
        "\uA720",  # ; MODIFIER LETTER STRESS AND HIGH TONE
        "\uA721",  # ; MODIFIER LETTER STRESS AND LOW TONE
        "\uA722",  # ; LATIN CAPITAL LETTER EGYPTOLOGICAL ALEF
        "\uA723",  # ; LATIN SMALL LETTER EGYPTOLOGICAL ALEF
        "\uA724",  # ; LATIN CAPITAL LETTER EGYPTOLOGICAL AIN
        "\uA725",  # ; LATIN SMALL LETTER EGYPTOLOGICAL AIN
        "\uA726",  # ; LATIN CAPITAL LETTER HENG
        "\uA727",  # ; LATIN SMALL LETTER HENG
        "\uA728",  # ; LATIN CAPITAL LETTER TZ
        "\uA729",  # ; LATIN SMALL LETTER TZ
        "\uA72A",  # ; LATIN CAPITAL LETTER TRESILLO
        "\uA72B",  # ; LATIN SMALL LETTER TRESILLO
        "\uA72C",  # ; LATIN CAPITAL LETTER CUATRILLO
        "\uA72D",  # ; LATIN SMALL LETTER CUATRILLO
        "\uA72E",  # ; LATIN CAPITAL LETTER CUATRILLO WITH COMMA
        "\uA72F",  # ; LATIN SMALL LETTER CUATRILLO WITH COMMA
        "\uA730",  # ; LATIN LETTER SMALL CAPITAL F
        "\uA731",  # ; LATIN LETTER SMALL CAPITAL S
        "\uA732",  # ; LATIN CAPITAL LETTER AA
        "\uA733",  # ; LATIN SMALL LETTER AA
        "\uA734",  # ; LATIN CAPITAL LETTER AO
        "\uA735",  # ; LATIN SMALL LETTER AO
        "\uA736",  # ; LATIN CAPITAL LETTER AU
        "\uA737",  # ; LATIN SMALL LETTER AU
        "\uA738",  # ; LATIN CAPITAL LETTER AV
        "\uA739",  # ; LATIN SMALL LETTER AV
        "\uA73A",  # ; LATIN CAPITAL LETTER AV WITH HORIZONTAL BAR
        "\uA73B",  # ; LATIN SMALL LETTER AV WITH HORIZONTAL BAR
        "\uA73C",  # ; LATIN CAPITAL LETTER AY
        "\uA73D",  # ; LATIN SMALL LETTER AY
        "\uA73E",  # ; LATIN CAPITAL LETTER REVERSED C WITH DOT
        "\uA73F",  # ; LATIN SMALL LETTER REVERSED C WITH DOT
        "\uA740",  # ; LATIN CAPITAL LETTER K WITH STROKE
        "\uA741",  # ; LATIN SMALL LETTER K WITH STROKE
        "\uA742",  # ; LATIN CAPITAL LETTER K WITH DIAGONAL STROKE
        "\uA743",  # ; LATIN SMALL LETTER K WITH DIAGONAL STROKE
        "\uA744",  # ; LATIN CAPITAL LETTER K WITH STROKE AND DIAGONAL STROKE
        "\uA745",  # ; LATIN SMALL LETTER K WITH STROKE AND DIAGONAL STROKE
        "\uA746",  # ; LATIN CAPITAL LETTER BROKEN L
        "\uA747",  # ; LATIN SMALL LETTER BROKEN L
        "\uA748",  # ; LATIN CAPITAL LETTER L WITH HIGH STROKE
        "\uA749",  # ; LATIN SMALL LETTER L WITH HIGH STROKE
        "\uA74A",  # ; LATIN CAPITAL LETTER O WITH LONG STROKE OVERLAY
        "\uA74B",  # ; LATIN SMALL LETTER O WITH LONG STROKE OVERLAY
        "\uA74C",  # ; LATIN CAPITAL LETTER O WITH LOOP
        "\uA74D",  # ; LATIN SMALL LETTER O WITH LOOP
        "\uA74E",  # ; LATIN CAPITAL LETTER OO
        "\uA74F",  # ; LATIN SMALL LETTER OO
        "\uA750",  # ; LATIN CAPITAL LETTER P WITH STROKE THROUGH DESCENDER
        "\uA751",  # ; LATIN SMALL LETTER P WITH STROKE THROUGH DESCENDER
        "\uA752",  # ; LATIN CAPITAL LETTER P WITH FLOURISH
        "\uA753",  # ; LATIN SMALL LETTER P WITH FLOURISH
        "\uA754",  # ; LATIN CAPITAL LETTER P WITH SQUIRREL TAIL
        "\uA755",  # ; LATIN SMALL LETTER P WITH SQUIRREL TAIL
        "\uA756",  # ; LATIN CAPITAL LETTER Q WITH STROKE THROUGH DESCENDER
        "\uA757",  # ; LATIN SMALL LETTER Q WITH STROKE THROUGH DESCENDER
        "\uA758",  # ; LATIN CAPITAL LETTER Q WITH DIAGONAL STROKE
        "\uA759",  # ; LATIN SMALL LETTER Q WITH DIAGONAL STROKE
        "\uA75A",  # ; LATIN CAPITAL LETTER R ROTUNDA
        "\uA75B",  # ; LATIN SMALL LETTER R ROTUNDA
        "\uA75C",  # ; LATIN CAPITAL LETTER RUM ROTUNDA
        "\uA75D",  # ; LATIN SMALL LETTER RUM ROTUNDA
        "\uA75E",  # ; LATIN CAPITAL LETTER V WITH DIAGONAL STROKE
        "\uA75F",  # ; LATIN SMALL LETTER V WITH DIAGONAL STROKE
        "\uA760",  # ; LATIN CAPITAL LETTER VY
        "\uA761",  # ; LATIN SMALL LETTER VY
        "\uA762",  # ; LATIN CAPITAL LETTER VISIGOTHIC Z
        "\uA763",  # ; LATIN SMALL LETTER VISIGOTHIC Z
        "\uA764",  # ; LATIN CAPITAL LETTER THORN WITH STROKE
        "\uA765",  # ; LATIN SMALL LETTER THORN WITH STROKE
        "\uA766",  # ; LATIN CAPITAL LETTER THORN WITH STROKE THROUGH DESCENDER
        "\uA767",  # ; LATIN SMALL LETTER THORN WITH STROKE THROUGH DESCENDER
        "\uA768",  # ; LATIN CAPITAL LETTER VEND
        "\uA769",  # ; LATIN SMALL LETTER VEND
        "\uA76A",  # ; LATIN CAPITAL LETTER ET
        "\uA76B",  # ; LATIN SMALL LETTER ET
        "\uA76C",  # ; LATIN CAPITAL LETTER IS
        "\uA76D",  # ; LATIN SMALL LETTER IS
        "\uA76E",  # ; LATIN CAPITAL LETTER CON
        "\uA76F",  # ; LATIN SMALL LETTER CON
        "\uA770",  # ; MODIFIER LETTER US
        "\uA771",  # ; LATIN SMALL LETTER DUM
        "\uA772",  # ; LATIN SMALL LETTER LUM
        "\uA773",  # ; LATIN SMALL LETTER MUM
        "\uA774",  # ; LATIN SMALL LETTER NUM
        "\uA775",  # ; LATIN SMALL LETTER RUM
        "\uA776",  # ; LATIN LETTER SMALL CAPITAL RUM
        "\uA777",  # ; LATIN SMALL LETTER TUM
        "\uA778",  # ; LATIN SMALL LETTER UM
        "\uA779",  # ; LATIN CAPITAL LETTER INSULAR D
        "\uA77A",  # ; LATIN SMALL LETTER INSULAR D
        "\uA77B",  # ; LATIN CAPITAL LETTER INSULAR F
        "\uA77C",  # ; LATIN SMALL LETTER INSULAR F
        "\uA77D",  # ; LATIN CAPITAL LETTER INSULAR G
        "\uA77E",  # ; LATIN CAPITAL LETTER TURNED INSULAR G
        "\uA77F",  # ; LATIN SMALL LETTER TURNED INSULAR G
        "\uA780",  # ; LATIN CAPITAL LETTER TURNED L
        "\uA781",  # ; LATIN SMALL LETTER TURNED L
        "\uA782",  # ; LATIN CAPITAL LETTER INSULAR R
        "\uA783",  # ; LATIN SMALL LETTER INSULAR R
        "\uA784",  # ; LATIN CAPITAL LETTER INSULAR S
        "\uA785",  # ; LATIN SMALL LETTER INSULAR S
        "\uA786",  # ; LATIN CAPITAL LETTER INSULAR T
        "\uA787",  # ; LATIN SMALL LETTER INSULAR T
        "\uA788",  # ; MODIFIER LETTER LOW CIRCUMFLEX ACCENT
        "\uA789",  # ; MODIFIER LETTER COLON
        "\uA78A",  # ; MODIFIER LETTER SHORT EQUALS SIGN
        "\uA78B",  # ; LATIN CAPITAL LETTER SALTILLO
        "\uA78C",  # ; LATIN SMALL LETTER SALTILLO
        "\uA78D",  # ; LATIN CAPITAL LETTER TURNED H
        "\uA78E",  # ; LATIN SMALL LETTER L WITH RETROFLEX HOOK AND BELT
        "\uA78F",  # ; LATIN LETTER SINOLOGICAL DOT
        "\uA790",  # ; LATIN CAPITAL LETTER N WITH DESCENDER
        "\uA791",  # ; LATIN SMALL LETTER N WITH DESCENDER
        "\uA792",  # ; LATIN CAPITAL LETTER C WITH BAR
        "\uA793",  # ; LATIN SMALL LETTER C WITH BAR
        "\uA794",  # ; LATIN SMALL LETTER C WITH PALATAL HOOK
        "\uA795",  # ; LATIN SMALL LETTER H WITH PALATAL HOOK
        "\uA796",  # ; LATIN CAPITAL LETTER B WITH FLOURISH
        "\uA797",  # ; LATIN SMALL LETTER B WITH FLOURISH
        "\uA798",  # ; LATIN CAPITAL LETTER F WITH STROKE
        "\uA799",  # ; LATIN SMALL LETTER F WITH STROKE
        "\uA79A",  # ; LATIN CAPITAL LETTER VOLAPUK AE
        "\uA79B",  # ; LATIN SMALL LETTER VOLAPUK AE
        "\uA79C",  # ; LATIN CAPITAL LETTER VOLAPUK OE
        "\uA79D",  # ; LATIN SMALL LETTER VOLAPUK OE
        "\uA79E",  # ; LATIN CAPITAL LETTER VOLAPUK UE
        "\uA79F",  # ; LATIN SMALL LETTER VOLAPUK UE
        "\uA7A0",  # ; LATIN CAPITAL LETTER G WITH OBLIQUE STROKE
        "\uA7A1",  # ; LATIN SMALL LETTER G WITH OBLIQUE STROKE
        "\uA7A2",  # ; LATIN CAPITAL LETTER K WITH OBLIQUE STROKE
        "\uA7A3",  # ; LATIN SMALL LETTER K WITH OBLIQUE STROKE
        "\uA7A4",  # ; LATIN CAPITAL LETTER N WITH OBLIQUE STROKE
        "\uA7A5",  # ; LATIN SMALL LETTER N WITH OBLIQUE STROKE
        "\uA7A6",  # ; LATIN CAPITAL LETTER R WITH OBLIQUE STROKE
        "\uA7A7",  # ; LATIN SMALL LETTER R WITH OBLIQUE STROKE
        "\uA7A8",  # ; LATIN CAPITAL LETTER S WITH OBLIQUE STROKE
        "\uA7A9",  # ; LATIN SMALL LETTER S WITH OBLIQUE STROKE
        "\uA7AA",  # ; LATIN CAPITAL LETTER H WITH HOOK
        "\uA7AB",  # ; LATIN CAPITAL LETTER REVERSED OPEN E
        "\uA7AC",  # ; LATIN CAPITAL LETTER SCRIPT G
        "\uA7AD",  # ; LATIN CAPITAL LETTER L WITH BELT
        "\uA7AE",  # ; LATIN CAPITAL LETTER SMALL CAPITAL I
        "\uA7B0",  # ; LATIN CAPITAL LETTER TURNED K
        "\uA7B1",  # ; LATIN CAPITAL LETTER TURNED T
        "\uA7B2",  # ; LATIN CAPITAL LETTER J WITH CROSSED-TAIL
        "\uA7B3",  # ; LATIN CAPITAL LETTER CHI
        "\uA7B4",  # ; LATIN CAPITAL LETTER BETA
        "\uA7B5",  # ; LATIN SMALL LETTER BETA
        "\uA7B6",  # ; LATIN CAPITAL LETTER OMEGA
        "\uA7B7",  # ; LATIN SMALL LETTER OMEGA
        "\uA7F7",  # ; LATIN EPIGRAPHIC LETTER SIDEWAYS I
        "\uA7F8",  # ; MODIFIER LETTER CAPITAL H WITH STROKE
        "\uA7F9",  # ; MODIFIER LETTER SMALL LIGATURE OE
        "\uA7FA",  # ; LATIN LETTER SMALL CAPITAL TURNED M
        "\uA7FB",  # ; LATIN EPIGRAPHIC LETTER REVERSED F
        "\uA7FC",  # ; LATIN EPIGRAPHIC LETTER REVERSED P
        "\uA7FD",  # ; LATIN EPIGRAPHIC LETTER INVERTED M
        "\uA7FE",  # ; LATIN EPIGRAPHIC LETTER I LONGA
        "\uA7FF",  # ; LATIN EPIGRAPHIC LETTER ARCHAIC M
        "\uA800",  # ; SYLOTI NAGRI LETTER A
        "\uA801",  # ; SYLOTI NAGRI LETTER I
        "\uA802",  # ; SYLOTI NAGRI SIGN DVISVARA
        "\uA803",  # ; SYLOTI NAGRI LETTER U
        "\uA804",  # ; SYLOTI NAGRI LETTER E
        "\uA805",  # ; SYLOTI NAGRI LETTER O
        "\uA806",  # ; SYLOTI NAGRI SIGN HASANTA
        "\uA807",  # ; SYLOTI NAGRI LETTER KO
        "\uA808",  # ; SYLOTI NAGRI LETTER KHO
        "\uA809",  # ; SYLOTI NAGRI LETTER GO
        "\uA80A",  # ; SYLOTI NAGRI LETTER GHO
        "\uA80B",  # ; SYLOTI NAGRI SIGN ANUSVARA
        "\uA80C",  # ; SYLOTI NAGRI LETTER CO
        "\uA80D",  # ; SYLOTI NAGRI LETTER CHO
        "\uA80E",  # ; SYLOTI NAGRI LETTER JO
        "\uA80F",  # ; SYLOTI NAGRI LETTER JHO
        "\uA810",  # ; SYLOTI NAGRI LETTER TTO
        "\uA811",  # ; SYLOTI NAGRI LETTER TTHO
        "\uA812",  # ; SYLOTI NAGRI LETTER DDO
        "\uA813",  # ; SYLOTI NAGRI LETTER DDHO
        "\uA814",  # ; SYLOTI NAGRI LETTER TO
        "\uA815",  # ; SYLOTI NAGRI LETTER THO
        "\uA816",  # ; SYLOTI NAGRI LETTER DO
        "\uA817",  # ; SYLOTI NAGRI LETTER DHO
        "\uA818",  # ; SYLOTI NAGRI LETTER NO
        "\uA819",  # ; SYLOTI NAGRI LETTER PO
        "\uA81A",  # ; SYLOTI NAGRI LETTER PHO
        "\uA81B",  # ; SYLOTI NAGRI LETTER BO
        "\uA81C",  # ; SYLOTI NAGRI LETTER BHO
        "\uA81D",  # ; SYLOTI NAGRI LETTER MO
        "\uA81E",  # ; SYLOTI NAGRI LETTER RO
        "\uA81F",  # ; SYLOTI NAGRI LETTER LO
        "\uA820",  # ; SYLOTI NAGRI LETTER RRO
        "\uA821",  # ; SYLOTI NAGRI LETTER SO
        "\uA822",  # ; SYLOTI NAGRI LETTER HO
        "\uA823",  # ; SYLOTI NAGRI VOWEL SIGN A
        "\uA824",  # ; SYLOTI NAGRI VOWEL SIGN I
        "\uA825",  # ; SYLOTI NAGRI VOWEL SIGN U
        "\uA826",  # ; SYLOTI NAGRI VOWEL SIGN E
        "\uA827",  # ; SYLOTI NAGRI VOWEL SIGN OO
        "\uA828",  # ; SYLOTI NAGRI POETRY MARK-1
        "\uA829",  # ; SYLOTI NAGRI POETRY MARK-2
        "\uA82A",  # ; SYLOTI NAGRI POETRY MARK-3
        "\uA82B",  # ; SYLOTI NAGRI POETRY MARK-4
        "\uA830",  # ; NORTH INDIC FRACTION ONE QUARTER
        "\uA831",  # ; NORTH INDIC FRACTION ONE HALF
        "\uA832",  # ; NORTH INDIC FRACTION THREE QUARTERS
        "\uA833",  # ; NORTH INDIC FRACTION ONE SIXTEENTH
        "\uA834",  # ; NORTH INDIC FRACTION ONE EIGHTH
        "\uA835",  # ; NORTH INDIC FRACTION THREE SIXTEENTHS
        "\uA836",  # ; NORTH INDIC QUARTER MARK
        "\uA837",  # ; NORTH INDIC PLACEHOLDER MARK
        "\uA838",  # ; NORTH INDIC RUPEE MARK
        "\uA839",  # ; NORTH INDIC QUANTITY MARK
        "\uA840",  # ; PHAGS-PA LETTER KA
        "\uA841",  # ; PHAGS-PA LETTER KHA
        "\uA842",  # ; PHAGS-PA LETTER GA
        "\uA843",  # ; PHAGS-PA LETTER NGA
        "\uA844",  # ; PHAGS-PA LETTER CA
        "\uA845",  # ; PHAGS-PA LETTER CHA
        "\uA846",  # ; PHAGS-PA LETTER JA
        "\uA847",  # ; PHAGS-PA LETTER NYA
        "\uA848",  # ; PHAGS-PA LETTER TA
        "\uA849",  # ; PHAGS-PA LETTER THA
        "\uA84A",  # ; PHAGS-PA LETTER DA
        "\uA84B",  # ; PHAGS-PA LETTER NA
        "\uA84C",  # ; PHAGS-PA LETTER PA
        "\uA84D",  # ; PHAGS-PA LETTER PHA
        "\uA84E",  # ; PHAGS-PA LETTER BA
        "\uA84F",  # ; PHAGS-PA LETTER MA
        "\uA850",  # ; PHAGS-PA LETTER TSA
        "\uA851",  # ; PHAGS-PA LETTER TSHA
        "\uA852",  # ; PHAGS-PA LETTER DZA
        "\uA853",  # ; PHAGS-PA LETTER WA
        "\uA854",  # ; PHAGS-PA LETTER ZHA
        "\uA855",  # ; PHAGS-PA LETTER ZA
        "\uA856",  # ; PHAGS-PA LETTER SMALL A
        "\uA857",  # ; PHAGS-PA LETTER YA
        "\uA858",  # ; PHAGS-PA LETTER RA
        "\uA859",  # ; PHAGS-PA LETTER LA
        "\uA85A",  # ; PHAGS-PA LETTER SHA
        "\uA85B",  # ; PHAGS-PA LETTER SA
        "\uA85C",  # ; PHAGS-PA LETTER HA
        "\uA85D",  # ; PHAGS-PA LETTER A
        "\uA85E",  # ; PHAGS-PA LETTER I
        "\uA85F",  # ; PHAGS-PA LETTER U
        "\uA860",  # ; PHAGS-PA LETTER E
        "\uA861",  # ; PHAGS-PA LETTER O
        "\uA862",  # ; PHAGS-PA LETTER QA
        "\uA863",  # ; PHAGS-PA LETTER XA
        "\uA864",  # ; PHAGS-PA LETTER FA
        "\uA865",  # ; PHAGS-PA LETTER GGA
        "\uA866",  # ; PHAGS-PA LETTER EE
        "\uA867",  # ; PHAGS-PA SUBJOINED LETTER WA
        "\uA868",  # ; PHAGS-PA SUBJOINED LETTER YA
        "\uA869",  # ; PHAGS-PA LETTER TTA
        "\uA86A",  # ; PHAGS-PA LETTER TTHA
        "\uA86B",  # ; PHAGS-PA LETTER DDA
        "\uA86C",  # ; PHAGS-PA LETTER NNA
        "\uA86D",  # ; PHAGS-PA LETTER ALTERNATE YA
        "\uA86E",  # ; PHAGS-PA LETTER VOICELESS SHA
        "\uA86F",  # ; PHAGS-PA LETTER VOICED HA
        "\uA870",  # ; PHAGS-PA LETTER ASPIRATED FA
        "\uA871",  # ; PHAGS-PA SUBJOINED LETTER RA
        "\uA872",  # ; PHAGS-PA SUPERFIXED LETTER RA
        "\uA873",  # ; PHAGS-PA LETTER CANDRABINDU
        "\uA874",  # ; PHAGS-PA SINGLE HEAD MARK
        "\uA875",  # ; PHAGS-PA DOUBLE HEAD MARK
        "\uA876",  # ; PHAGS-PA MARK SHAD
        "\uA877",  # ; PHAGS-PA MARK DOUBLE SHAD
        "\uA880",  # ; SAURASHTRA SIGN ANUSVARA
        "\uA881",  # ; SAURASHTRA SIGN VISARGA
        "\uA882",  # ; SAURASHTRA LETTER A
        "\uA883",  # ; SAURASHTRA LETTER AA
        "\uA884",  # ; SAURASHTRA LETTER I
        "\uA885",  # ; SAURASHTRA LETTER II
        "\uA886",  # ; SAURASHTRA LETTER U
        "\uA887",  # ; SAURASHTRA LETTER UU
        "\uA888",  # ; SAURASHTRA LETTER VOCALIC R
        "\uA889",  # ; SAURASHTRA LETTER VOCALIC RR
        "\uA88A",  # ; SAURASHTRA LETTER VOCALIC L
        "\uA88B",  # ; SAURASHTRA LETTER VOCALIC LL
        "\uA88C",  # ; SAURASHTRA LETTER E
        "\uA88D",  # ; SAURASHTRA LETTER EE
        "\uA88E",  # ; SAURASHTRA LETTER AI
        "\uA88F",  # ; SAURASHTRA LETTER O
        "\uA890",  # ; SAURASHTRA LETTER OO
        "\uA891",  # ; SAURASHTRA LETTER AU
        "\uA892",  # ; SAURASHTRA LETTER KA
        "\uA893",  # ; SAURASHTRA LETTER KHA
        "\uA894",  # ; SAURASHTRA LETTER GA
        "\uA895",  # ; SAURASHTRA LETTER GHA
        "\uA896",  # ; SAURASHTRA LETTER NGA
        "\uA897",  # ; SAURASHTRA LETTER CA
        "\uA898",  # ; SAURASHTRA LETTER CHA
        "\uA899",  # ; SAURASHTRA LETTER JA
        "\uA89A",  # ; SAURASHTRA LETTER JHA
        "\uA89B",  # ; SAURASHTRA LETTER NYA
        "\uA89C",  # ; SAURASHTRA LETTER TTA
        "\uA89D",  # ; SAURASHTRA LETTER TTHA
        "\uA89E",  # ; SAURASHTRA LETTER DDA
        "\uA89F",  # ; SAURASHTRA LETTER DDHA
        "\uA8A0",  # ; SAURASHTRA LETTER NNA
        "\uA8A1",  # ; SAURASHTRA LETTER TA
        "\uA8A2",  # ; SAURASHTRA LETTER THA
        "\uA8A3",  # ; SAURASHTRA LETTER DA
        "\uA8A4",  # ; SAURASHTRA LETTER DHA
        "\uA8A5",  # ; SAURASHTRA LETTER NA
        "\uA8A6",  # ; SAURASHTRA LETTER PA
        "\uA8A7",  # ; SAURASHTRA LETTER PHA
        "\uA8A8",  # ; SAURASHTRA LETTER BA
        "\uA8A9",  # ; SAURASHTRA LETTER BHA
        "\uA8AA",  # ; SAURASHTRA LETTER MA
        "\uA8AB",  # ; SAURASHTRA LETTER YA
        "\uA8AC",  # ; SAURASHTRA LETTER RA
        "\uA8AD",  # ; SAURASHTRA LETTER LA
        "\uA8AE",  # ; SAURASHTRA LETTER VA
        "\uA8AF",  # ; SAURASHTRA LETTER SHA
        "\uA8B0",  # ; SAURASHTRA LETTER SSA
        "\uA8B1",  # ; SAURASHTRA LETTER SA
        "\uA8B2",  # ; SAURASHTRA LETTER HA
        "\uA8B3",  # ; SAURASHTRA LETTER LLA
        "\uA8B4",  # ; SAURASHTRA CONSONANT SIGN HAARU
        "\uA8B5",  # ; SAURASHTRA VOWEL SIGN AA
        "\uA8B6",  # ; SAURASHTRA VOWEL SIGN I
        "\uA8B7",  # ; SAURASHTRA VOWEL SIGN II
        "\uA8B8",  # ; SAURASHTRA VOWEL SIGN U
        "\uA8B9",  # ; SAURASHTRA VOWEL SIGN UU
        "\uA8BA",  # ; SAURASHTRA VOWEL SIGN VOCALIC R
        "\uA8BB",  # ; SAURASHTRA VOWEL SIGN VOCALIC RR
        "\uA8BC",  # ; SAURASHTRA VOWEL SIGN VOCALIC L
        "\uA8BD",  # ; SAURASHTRA VOWEL SIGN VOCALIC LL
        "\uA8BE",  # ; SAURASHTRA VOWEL SIGN E
        "\uA8BF",  # ; SAURASHTRA VOWEL SIGN EE
        "\uA8C0",  # ; SAURASHTRA VOWEL SIGN AI
        "\uA8C1",  # ; SAURASHTRA VOWEL SIGN O
        "\uA8C2",  # ; SAURASHTRA VOWEL SIGN OO
        "\uA8C3",  # ; SAURASHTRA VOWEL SIGN AU
        "\uA8C4",  # ; SAURASHTRA SIGN VIRAMA
        "\uA8C5",  # ; SAURASHTRA SIGN CANDRABINDU
        "\uA8CE",  # ; SAURASHTRA DANDA
        "\uA8CF",  # ; SAURASHTRA DOUBLE DANDA
        "\uA8D0",  # ; SAURASHTRA DIGIT ZERO
        "\uA8D1",  # ; SAURASHTRA DIGIT ONE
        "\uA8D2",  # ; SAURASHTRA DIGIT TWO
        "\uA8D3",  # ; SAURASHTRA DIGIT THREE
        "\uA8D4",  # ; SAURASHTRA DIGIT FOUR
        "\uA8D5",  # ; SAURASHTRA DIGIT FIVE
        "\uA8D6",  # ; SAURASHTRA DIGIT SIX
        "\uA8D7",  # ; SAURASHTRA DIGIT SEVEN
        "\uA8D8",  # ; SAURASHTRA DIGIT EIGHT
        "\uA8D9",  # ; SAURASHTRA DIGIT NINE
        "\uA8E0",  # ; COMBINING DEVANAGARI DIGIT ZERO
        "\uA8E1",  # ; COMBINING DEVANAGARI DIGIT ONE
        "\uA8E2",  # ; COMBINING DEVANAGARI DIGIT TWO
        "\uA8E3",  # ; COMBINING DEVANAGARI DIGIT THREE
        "\uA8E4",  # ; COMBINING DEVANAGARI DIGIT FOUR
        "\uA8E5",  # ; COMBINING DEVANAGARI DIGIT FIVE
        "\uA8E6",  # ; COMBINING DEVANAGARI DIGIT SIX
        "\uA8E7",  # ; COMBINING DEVANAGARI DIGIT SEVEN
        "\uA8E8",  # ; COMBINING DEVANAGARI DIGIT EIGHT
        "\uA8E9",  # ; COMBINING DEVANAGARI DIGIT NINE
        "\uA8EA",  # ; COMBINING DEVANAGARI LETTER A
        "\uA8EB",  # ; COMBINING DEVANAGARI LETTER U
        "\uA8EC",  # ; COMBINING DEVANAGARI LETTER KA
        "\uA8ED",  # ; COMBINING DEVANAGARI LETTER NA
        "\uA8EE",  # ; COMBINING DEVANAGARI LETTER PA
        "\uA8EF",  # ; COMBINING DEVANAGARI LETTER RA
        "\uA8F0",  # ; COMBINING DEVANAGARI LETTER VI
        "\uA8F1",  # ; COMBINING DEVANAGARI SIGN AVAGRAHA
        "\uA8F2",  # ; DEVANAGARI SIGN SPACING CANDRABINDU
        "\uA8F3",  # ; DEVANAGARI SIGN CANDRABINDU VIRAMA
        "\uA8F4",  # ; DEVANAGARI SIGN DOUBLE CANDRABINDU VIRAMA
        "\uA8F5",  # ; DEVANAGARI SIGN CANDRABINDU TWO
        "\uA8F6",  # ; DEVANAGARI SIGN CANDRABINDU THREE
        "\uA8F7",  # ; DEVANAGARI SIGN CANDRABINDU AVAGRAHA
        "\uA8F8",  # ; DEVANAGARI SIGN PUSHPIKA
        "\uA8F9",  # ; DEVANAGARI GAP FILLER
        "\uA8FA",  # ; DEVANAGARI CARET
        "\uA8FB",  # ; DEVANAGARI HEADSTROKE
        "\uA8FC",  # ; DEVANAGARI SIGN SIDDHAM
        "\uA8FD",  # ; DEVANAGARI JAIN OM
        "\uA900",  # ; KAYAH LI DIGIT ZERO
        "\uA901",  # ; KAYAH LI DIGIT ONE
        "\uA902",  # ; KAYAH LI DIGIT TWO
        "\uA903",  # ; KAYAH LI DIGIT THREE
        "\uA904",  # ; KAYAH LI DIGIT FOUR
        "\uA905",  # ; KAYAH LI DIGIT FIVE
        "\uA906",  # ; KAYAH LI DIGIT SIX
        "\uA907",  # ; KAYAH LI DIGIT SEVEN
        "\uA908",  # ; KAYAH LI DIGIT EIGHT
        "\uA909",  # ; KAYAH LI DIGIT NINE
        "\uA90A",  # ; KAYAH LI LETTER KA
        "\uA90B",  # ; KAYAH LI LETTER KHA
        "\uA90C",  # ; KAYAH LI LETTER GA
        "\uA90D",  # ; KAYAH LI LETTER NGA
        "\uA90E",  # ; KAYAH LI LETTER SA
        "\uA90F",  # ; KAYAH LI LETTER SHA
        "\uA910",  # ; KAYAH LI LETTER ZA
        "\uA911",  # ; KAYAH LI LETTER NYA
        "\uA912",  # ; KAYAH LI LETTER TA
        "\uA913",  # ; KAYAH LI LETTER HTA
        "\uA914",  # ; KAYAH LI LETTER NA
        "\uA915",  # ; KAYAH LI LETTER PA
        "\uA916",  # ; KAYAH LI LETTER PHA
        "\uA917",  # ; KAYAH LI LETTER MA
        "\uA918",  # ; KAYAH LI LETTER DA
        "\uA919",  # ; KAYAH LI LETTER BA
        "\uA91A",  # ; KAYAH LI LETTER RA
        "\uA91B",  # ; KAYAH LI LETTER YA
        "\uA91C",  # ; KAYAH LI LETTER LA
        "\uA91D",  # ; KAYAH LI LETTER WA
        "\uA91E",  # ; KAYAH LI LETTER THA
        "\uA91F",  # ; KAYAH LI LETTER HA
        "\uA920",  # ; KAYAH LI LETTER VA
        "\uA921",  # ; KAYAH LI LETTER CA
        "\uA922",  # ; KAYAH LI LETTER A
        "\uA923",  # ; KAYAH LI LETTER OE
        "\uA924",  # ; KAYAH LI LETTER I
        "\uA925",  # ; KAYAH LI LETTER OO
        "\uA926",  # ; KAYAH LI VOWEL UE
        "\uA927",  # ; KAYAH LI VOWEL E
        "\uA928",  # ; KAYAH LI VOWEL U
        "\uA929",  # ; KAYAH LI VOWEL EE
        "\uA92A",  # ; KAYAH LI VOWEL O
        "\uA92B",  # ; KAYAH LI TONE PLOPHU
        "\uA92C",  # ; KAYAH LI TONE CALYA
        "\uA92D",  # ; KAYAH LI TONE CALYA PLOPHU
        "\uA92E",  # ; KAYAH LI SIGN CWI
        "\uA92F",  # ; KAYAH LI SIGN SHYA
        "\uA930",  # ; REJANG LETTER KA
        "\uA931",  # ; REJANG LETTER GA
        "\uA932",  # ; REJANG LETTER NGA
        "\uA933",  # ; REJANG LETTER TA
        "\uA934",  # ; REJANG LETTER DA
        "\uA935",  # ; REJANG LETTER NA
        "\uA936",  # ; REJANG LETTER PA
        "\uA937",  # ; REJANG LETTER BA
        "\uA938",  # ; REJANG LETTER MA
        "\uA939",  # ; REJANG LETTER CA
        "\uA93A",  # ; REJANG LETTER JA
        "\uA93B",  # ; REJANG LETTER NYA
        "\uA93C",  # ; REJANG LETTER SA
        "\uA93D",  # ; REJANG LETTER RA
        "\uA93E",  # ; REJANG LETTER LA
        "\uA93F",  # ; REJANG LETTER YA
        "\uA940",  # ; REJANG LETTER WA
        "\uA941",  # ; REJANG LETTER HA
        "\uA942",  # ; REJANG LETTER MBA
        "\uA943",  # ; REJANG LETTER NGGA
        "\uA944",  # ; REJANG LETTER NDA
        "\uA945",  # ; REJANG LETTER NYJA
        "\uA946",  # ; REJANG LETTER A
        "\uA947",  # ; REJANG VOWEL SIGN I
        "\uA948",  # ; REJANG VOWEL SIGN U
        "\uA949",  # ; REJANG VOWEL SIGN E
        "\uA94A",  # ; REJANG VOWEL SIGN AI
        "\uA94B",  # ; REJANG VOWEL SIGN O
        "\uA94C",  # ; REJANG VOWEL SIGN AU
        "\uA94D",  # ; REJANG VOWEL SIGN EU
        "\uA94E",  # ; REJANG VOWEL SIGN EA
        "\uA94F",  # ; REJANG CONSONANT SIGN NG
        "\uA950",  # ; REJANG CONSONANT SIGN N
        "\uA951",  # ; REJANG CONSONANT SIGN R
        "\uA952",  # ; REJANG CONSONANT SIGN H
        "\uA953",  # ; REJANG VIRAMA
        "\uA95F",  # ; REJANG SECTION MARK
        "\uA960",  # ; HANGUL CHOSEONG TIKEUT-MIEUM
        "\uA961",  # ; HANGUL CHOSEONG TIKEUT-PIEUP
        "\uA962",  # ; HANGUL CHOSEONG TIKEUT-SIOS
        "\uA963",  # ; HANGUL CHOSEONG TIKEUT-CIEUC
        "\uA964",  # ; HANGUL CHOSEONG RIEUL-KIYEOK
        "\uA965",  # ; HANGUL CHOSEONG RIEUL-SSANGKIYEOK
        "\uA966",  # ; HANGUL CHOSEONG RIEUL-TIKEUT
        "\uA967",  # ; HANGUL CHOSEONG RIEUL-SSANGTIKEUT
        "\uA968",  # ; HANGUL CHOSEONG RIEUL-MIEUM
        "\uA969",  # ; HANGUL CHOSEONG RIEUL-PIEUP
        "\uA96A",  # ; HANGUL CHOSEONG RIEUL-SSANGPIEUP
        "\uA96B",  # ; HANGUL CHOSEONG RIEUL-KAPYEOUNPIEUP
        "\uA96C",  # ; HANGUL CHOSEONG RIEUL-SIOS
        "\uA96D",  # ; HANGUL CHOSEONG RIEUL-CIEUC
        "\uA96E",  # ; HANGUL CHOSEONG RIEUL-KHIEUKH
        "\uA96F",  # ; HANGUL CHOSEONG MIEUM-KIYEOK
        "\uA970",  # ; HANGUL CHOSEONG MIEUM-TIKEUT
        "\uA971",  # ; HANGUL CHOSEONG MIEUM-SIOS
        "\uA972",  # ; HANGUL CHOSEONG PIEUP-SIOS-THIEUTH
        "\uA973",  # ; HANGUL CHOSEONG PIEUP-KHIEUKH
        "\uA974",  # ; HANGUL CHOSEONG PIEUP-HIEUH
        "\uA975",  # ; HANGUL CHOSEONG SSANGSIOS-PIEUP
        "\uA976",  # ; HANGUL CHOSEONG IEUNG-RIEUL
        "\uA977",  # ; HANGUL CHOSEONG IEUNG-HIEUH
        "\uA978",  # ; HANGUL CHOSEONG SSANGCIEUC-HIEUH
        "\uA979",  # ; HANGUL CHOSEONG SSANGTHIEUTH
        "\uA97A",  # ; HANGUL CHOSEONG PHIEUPH-HIEUH
        "\uA97B",  # ; HANGUL CHOSEONG HIEUH-SIOS
        "\uA97C",  # ; HANGUL CHOSEONG SSANGYEORINHIEUH
        "\uA980",  # ; JAVANESE SIGN PANYANGGA
        "\uA981",  # ; JAVANESE SIGN CECAK
        "\uA982",  # ; JAVANESE SIGN LAYAR
        "\uA983",  # ; JAVANESE SIGN WIGNYAN
        "\uA984",  # ; JAVANESE LETTER A
        "\uA985",  # ; JAVANESE LETTER I KAWI
        "\uA986",  # ; JAVANESE LETTER I
        "\uA987",  # ; JAVANESE LETTER II
        "\uA988",  # ; JAVANESE LETTER U
        "\uA989",  # ; JAVANESE LETTER PA CEREK
        "\uA98A",  # ; JAVANESE LETTER NGA LELET
        "\uA98B",  # ; JAVANESE LETTER NGA LELET RASWADI
        "\uA98C",  # ; JAVANESE LETTER E
        "\uA98D",  # ; JAVANESE LETTER AI
        "\uA98E",  # ; JAVANESE LETTER O
        "\uA98F",  # ; JAVANESE LETTER KA
        "\uA990",  # ; JAVANESE LETTER KA SASAK
        "\uA991",  # ; JAVANESE LETTER KA MURDA
        "\uA992",  # ; JAVANESE LETTER GA
        "\uA993",  # ; JAVANESE LETTER GA MURDA
        "\uA994",  # ; JAVANESE LETTER NGA
        "\uA995",  # ; JAVANESE LETTER CA
        "\uA996",  # ; JAVANESE LETTER CA MURDA
        "\uA997",  # ; JAVANESE LETTER JA
        "\uA998",  # ; JAVANESE LETTER NYA MURDA
        "\uA999",  # ; JAVANESE LETTER JA MAHAPRANA
        "\uA99A",  # ; JAVANESE LETTER NYA
        "\uA99B",  # ; JAVANESE LETTER TTA
        "\uA99C",  # ; JAVANESE LETTER TTA MAHAPRANA
        "\uA99D",  # ; JAVANESE LETTER DDA
        "\uA99E",  # ; JAVANESE LETTER DDA MAHAPRANA
        "\uA99F",  # ; JAVANESE LETTER NA MURDA
        "\uA9A0",  # ; JAVANESE LETTER TA
        "\uA9A1",  # ; JAVANESE LETTER TA MURDA
        "\uA9A2",  # ; JAVANESE LETTER DA
        "\uA9A3",  # ; JAVANESE LETTER DA MAHAPRANA
        "\uA9A4",  # ; JAVANESE LETTER NA
        "\uA9A5",  # ; JAVANESE LETTER PA
        "\uA9A6",  # ; JAVANESE LETTER PA MURDA
        "\uA9A7",  # ; JAVANESE LETTER BA
        "\uA9A8",  # ; JAVANESE LETTER BA MURDA
        "\uA9A9",  # ; JAVANESE LETTER MA
        "\uA9AA",  # ; JAVANESE LETTER YA
        "\uA9AB",  # ; JAVANESE LETTER RA
        "\uA9AC",  # ; JAVANESE LETTER RA AGUNG
        "\uA9AD",  # ; JAVANESE LETTER LA
        "\uA9AE",  # ; JAVANESE LETTER WA
        "\uA9AF",  # ; JAVANESE LETTER SA MURDA
        "\uA9B0",  # ; JAVANESE LETTER SA MAHAPRANA
        "\uA9B1",  # ; JAVANESE LETTER SA
        "\uA9B2",  # ; JAVANESE LETTER HA
        "\uA9B3",  # ; JAVANESE SIGN CECAK TELU
        "\uA9B4",  # ; JAVANESE VOWEL SIGN TARUNG
        "\uA9B5",  # ; JAVANESE VOWEL SIGN TOLONG
        "\uA9B6",  # ; JAVANESE VOWEL SIGN WULU
        "\uA9B7",  # ; JAVANESE VOWEL SIGN WULU MELIK
        "\uA9B8",  # ; JAVANESE VOWEL SIGN SUKU
        "\uA9B9",  # ; JAVANESE VOWEL SIGN SUKU MENDUT
        "\uA9BA",  # ; JAVANESE VOWEL SIGN TALING
        "\uA9BB",  # ; JAVANESE VOWEL SIGN DIRGA MURE
        "\uA9BC",  # ; JAVANESE VOWEL SIGN PEPET
        "\uA9BD",  # ; JAVANESE CONSONANT SIGN KERET
        "\uA9BE",  # ; JAVANESE CONSONANT SIGN PENGKAL
        "\uA9BF",  # ; JAVANESE CONSONANT SIGN CAKRA
        "\uA9C0",  # ; JAVANESE PANGKON
        "\uA9C1",  # ; JAVANESE LEFT RERENGGAN
        "\uA9C2",  # ; JAVANESE RIGHT RERENGGAN
        "\uA9C3",  # ; JAVANESE PADA ANDAP
        "\uA9C4",  # ; JAVANESE PADA MADYA
        "\uA9C5",  # ; JAVANESE PADA LUHUR
        "\uA9C6",  # ; JAVANESE PADA WINDU
        "\uA9C7",  # ; JAVANESE PADA PANGKAT
        "\uA9C8",  # ; JAVANESE PADA LINGSA
        "\uA9C9",  # ; JAVANESE PADA LUNGSI
        "\uA9CA",  # ; JAVANESE PADA ADEG
        "\uA9CB",  # ; JAVANESE PADA ADEG ADEG
        "\uA9CC",  # ; JAVANESE PADA PISELEH
        "\uA9CD",  # ; JAVANESE TURNED PADA PISELEH
        "\uA9CF",  # ; JAVANESE PANGRANGKEP
        "\uA9D0",  # ; JAVANESE DIGIT ZERO
        "\uA9D1",  # ; JAVANESE DIGIT ONE
        "\uA9D2",  # ; JAVANESE DIGIT TWO
        "\uA9D3",  # ; JAVANESE DIGIT THREE
        "\uA9D4",  # ; JAVANESE DIGIT FOUR
        "\uA9D5",  # ; JAVANESE DIGIT FIVE
        "\uA9D6",  # ; JAVANESE DIGIT SIX
        "\uA9D7",  # ; JAVANESE DIGIT SEVEN
        "\uA9D8",  # ; JAVANESE DIGIT EIGHT
        "\uA9D9",  # ; JAVANESE DIGIT NINE
        "\uA9DE",  # ; JAVANESE PADA TIRTA TUMETES
        "\uA9DF",  # ; JAVANESE PADA ISEN-ISEN
        "\uA9E0",  # ; MYANMAR LETTER SHAN GHA
        "\uA9E1",  # ; MYANMAR LETTER SHAN CHA
        "\uA9E2",  # ; MYANMAR LETTER SHAN JHA
        "\uA9E3",  # ; MYANMAR LETTER SHAN NNA
        "\uA9E4",  # ; MYANMAR LETTER SHAN BHA
        "\uA9E5",  # ; MYANMAR SIGN SHAN SAW
        "\uA9E6",  # ; MYANMAR MODIFIER LETTER SHAN REDUPLICATION
        "\uA9E7",  # ; MYANMAR LETTER TAI LAING NYA
        "\uA9E8",  # ; MYANMAR LETTER TAI LAING FA
        "\uA9E9",  # ; MYANMAR LETTER TAI LAING GA
        "\uA9EA",  # ; MYANMAR LETTER TAI LAING GHA
        "\uA9EB",  # ; MYANMAR LETTER TAI LAING JA
        "\uA9EC",  # ; MYANMAR LETTER TAI LAING JHA
        "\uA9ED",  # ; MYANMAR LETTER TAI LAING DDA
        "\uA9EE",  # ; MYANMAR LETTER TAI LAING DDHA
        "\uA9EF",  # ; MYANMAR LETTER TAI LAING NNA
        "\uA9F0",  # ; MYANMAR TAI LAING DIGIT ZERO
        "\uA9F1",  # ; MYANMAR TAI LAING DIGIT ONE
        "\uA9F2",  # ; MYANMAR TAI LAING DIGIT TWO
        "\uA9F3",  # ; MYANMAR TAI LAING DIGIT THREE
        "\uA9F4",  # ; MYANMAR TAI LAING DIGIT FOUR
        "\uA9F5",  # ; MYANMAR TAI LAING DIGIT FIVE
        "\uA9F6",  # ; MYANMAR TAI LAING DIGIT SIX
        "\uA9F7",  # ; MYANMAR TAI LAING DIGIT SEVEN
        "\uA9F8",  # ; MYANMAR TAI LAING DIGIT EIGHT
        "\uA9F9",  # ; MYANMAR TAI LAING DIGIT NINE
        "\uA9FA",  # ; MYANMAR LETTER TAI LAING LLA
        "\uA9FB",  # ; MYANMAR LETTER TAI LAING DA
        "\uA9FC",  # ; MYANMAR LETTER TAI LAING DHA
        "\uA9FD",  # ; MYANMAR LETTER TAI LAING BA
        "\uA9FE",  # ; MYANMAR LETTER TAI LAING BHA
        "\uAA00",  # ; CHAM LETTER A
        "\uAA01",  # ; CHAM LETTER I
        "\uAA02",  # ; CHAM LETTER U
        "\uAA03",  # ; CHAM LETTER E
        "\uAA04",  # ; CHAM LETTER AI
        "\uAA05",  # ; CHAM LETTER O
        "\uAA06",  # ; CHAM LETTER KA
        "\uAA07",  # ; CHAM LETTER KHA
        "\uAA08",  # ; CHAM LETTER GA
        "\uAA09",  # ; CHAM LETTER GHA
        "\uAA0A",  # ; CHAM LETTER NGUE
        "\uAA0B",  # ; CHAM LETTER NGA
        "\uAA0C",  # ; CHAM LETTER CHA
        "\uAA0D",  # ; CHAM LETTER CHHA
        "\uAA0E",  # ; CHAM LETTER JA
        "\uAA0F",  # ; CHAM LETTER JHA
        "\uAA10",  # ; CHAM LETTER NHUE
        "\uAA11",  # ; CHAM LETTER NHA
        "\uAA12",  # ; CHAM LETTER NHJA
        "\uAA13",  # ; CHAM LETTER TA
        "\uAA14",  # ; CHAM LETTER THA
        "\uAA15",  # ; CHAM LETTER DA
        "\uAA16",  # ; CHAM LETTER DHA
        "\uAA17",  # ; CHAM LETTER NUE
        "\uAA18",  # ; CHAM LETTER NA
        "\uAA19",  # ; CHAM LETTER DDA
        "\uAA1A",  # ; CHAM LETTER PA
        "\uAA1B",  # ; CHAM LETTER PPA
        "\uAA1C",  # ; CHAM LETTER PHA
        "\uAA1D",  # ; CHAM LETTER BA
        "\uAA1E",  # ; CHAM LETTER BHA
        "\uAA1F",  # ; CHAM LETTER MUE
        "\uAA20",  # ; CHAM LETTER MA
        "\uAA21",  # ; CHAM LETTER BBA
        "\uAA22",  # ; CHAM LETTER YA
        "\uAA23",  # ; CHAM LETTER RA
        "\uAA24",  # ; CHAM LETTER LA
        "\uAA25",  # ; CHAM LETTER VA
        "\uAA26",  # ; CHAM LETTER SSA
        "\uAA27",  # ; CHAM LETTER SA
        "\uAA28",  # ; CHAM LETTER HA
        "\uAA29",  # ; CHAM VOWEL SIGN AA
        "\uAA2A",  # ; CHAM VOWEL SIGN I
        "\uAA2B",  # ; CHAM VOWEL SIGN II
        "\uAA2C",  # ; CHAM VOWEL SIGN EI
        "\uAA2D",  # ; CHAM VOWEL SIGN U
        "\uAA2E",  # ; CHAM VOWEL SIGN OE
        "\uAA2F",  # ; CHAM VOWEL SIGN O
        "\uAA30",  # ; CHAM VOWEL SIGN AI
        "\uAA31",  # ; CHAM VOWEL SIGN AU
        "\uAA32",  # ; CHAM VOWEL SIGN UE
        "\uAA33",  # ; CHAM CONSONANT SIGN YA
        "\uAA34",  # ; CHAM CONSONANT SIGN RA
        "\uAA35",  # ; CHAM CONSONANT SIGN LA
        "\uAA36",  # ; CHAM CONSONANT SIGN WA
        "\uAA40",  # ; CHAM LETTER FINAL K
        "\uAA41",  # ; CHAM LETTER FINAL G
        "\uAA42",  # ; CHAM LETTER FINAL NG
        "\uAA43",  # ; CHAM CONSONANT SIGN FINAL NG
        "\uAA44",  # ; CHAM LETTER FINAL CH
        "\uAA45",  # ; CHAM LETTER FINAL T
        "\uAA46",  # ; CHAM LETTER FINAL N
        "\uAA47",  # ; CHAM LETTER FINAL P
        "\uAA48",  # ; CHAM LETTER FINAL Y
        "\uAA49",  # ; CHAM LETTER FINAL R
        "\uAA4A",  # ; CHAM LETTER FINAL L
        "\uAA4B",  # ; CHAM LETTER FINAL SS
        "\uAA4C",  # ; CHAM CONSONANT SIGN FINAL M
        "\uAA4D",  # ; CHAM CONSONANT SIGN FINAL H
        "\uAA50",  # ; CHAM DIGIT ZERO
        "\uAA51",  # ; CHAM DIGIT ONE
        "\uAA52",  # ; CHAM DIGIT TWO
        "\uAA53",  # ; CHAM DIGIT THREE
        "\uAA54",  # ; CHAM DIGIT FOUR
        "\uAA55",  # ; CHAM DIGIT FIVE
        "\uAA56",  # ; CHAM DIGIT SIX
        "\uAA57",  # ; CHAM DIGIT SEVEN
        "\uAA58",  # ; CHAM DIGIT EIGHT
        "\uAA59",  # ; CHAM DIGIT NINE
        "\uAA5C",  # ; CHAM PUNCTUATION SPIRAL
        "\uAA5D",  # ; CHAM PUNCTUATION DANDA
        "\uAA5E",  # ; CHAM PUNCTUATION DOUBLE DANDA
        "\uAA5F",  # ; CHAM PUNCTUATION TRIPLE DANDA
        "\uAA60",  # ; MYANMAR LETTER KHAMTI GA
        "\uAA61",  # ; MYANMAR LETTER KHAMTI CA
        "\uAA62",  # ; MYANMAR LETTER KHAMTI CHA
        "\uAA63",  # ; MYANMAR LETTER KHAMTI JA
        "\uAA64",  # ; MYANMAR LETTER KHAMTI JHA
        "\uAA65",  # ; MYANMAR LETTER KHAMTI NYA
        "\uAA66",  # ; MYANMAR LETTER KHAMTI TTA
        "\uAA67",  # ; MYANMAR LETTER KHAMTI TTHA
        "\uAA68",  # ; MYANMAR LETTER KHAMTI DDA
        "\uAA69",  # ; MYANMAR LETTER KHAMTI DDHA
        "\uAA6A",  # ; MYANMAR LETTER KHAMTI DHA
        "\uAA6B",  # ; MYANMAR LETTER KHAMTI NA
        "\uAA6C",  # ; MYANMAR LETTER KHAMTI SA
        "\uAA6D",  # ; MYANMAR LETTER KHAMTI HA
        "\uAA6E",  # ; MYANMAR LETTER KHAMTI HHA
        "\uAA6F",  # ; MYANMAR LETTER KHAMTI FA
        "\uAA70",  # ; MYANMAR MODIFIER LETTER KHAMTI REDUPLICATION
        "\uAA71",  # ; MYANMAR LETTER KHAMTI XA
        "\uAA72",  # ; MYANMAR LETTER KHAMTI ZA
        "\uAA73",  # ; MYANMAR LETTER KHAMTI RA
        "\uAA74",  # ; MYANMAR LOGOGRAM KHAMTI OAY
        "\uAA75",  # ; MYANMAR LOGOGRAM KHAMTI QN
        "\uAA76",  # ; MYANMAR LOGOGRAM KHAMTI HM
        "\uAA77",  # ; MYANMAR SYMBOL AITON EXCLAMATION
        "\uAA78",  # ; MYANMAR SYMBOL AITON ONE
        "\uAA79",  # ; MYANMAR SYMBOL AITON TWO
        "\uAA7A",  # ; MYANMAR LETTER AITON RA
        "\uAA7B",  # ; MYANMAR SIGN PAO KAREN TONE
        "\uAA7C",  # ; MYANMAR SIGN TAI LAING TONE-2
        "\uAA7D",  # ; MYANMAR SIGN TAI LAING TONE-5
        "\uAA7E",  # ; MYANMAR LETTER SHWE PALAUNG CHA
        "\uAA7F",  # ; MYANMAR LETTER SHWE PALAUNG SHA
        "\uAA80",  # ; TAI VIET LETTER LOW KO
        "\uAA81",  # ; TAI VIET LETTER HIGH KO
        "\uAA82",  # ; TAI VIET LETTER LOW KHO
        "\uAA83",  # ; TAI VIET LETTER HIGH KHO
        "\uAA84",  # ; TAI VIET LETTER LOW KHHO
        "\uAA85",  # ; TAI VIET LETTER HIGH KHHO
        "\uAA86",  # ; TAI VIET LETTER LOW GO
        "\uAA87",  # ; TAI VIET LETTER HIGH GO
        "\uAA88",  # ; TAI VIET LETTER LOW NGO
        "\uAA89",  # ; TAI VIET LETTER HIGH NGO
        "\uAA8A",  # ; TAI VIET LETTER LOW CO
        "\uAA8B",  # ; TAI VIET LETTER HIGH CO
        "\uAA8C",  # ; TAI VIET LETTER LOW CHO
        "\uAA8D",  # ; TAI VIET LETTER HIGH CHO
        "\uAA8E",  # ; TAI VIET LETTER LOW SO
        "\uAA8F",  # ; TAI VIET LETTER HIGH SO
        "\uAA90",  # ; TAI VIET LETTER LOW NYO
        "\uAA91",  # ; TAI VIET LETTER HIGH NYO
        "\uAA92",  # ; TAI VIET LETTER LOW DO
        "\uAA93",  # ; TAI VIET LETTER HIGH DO
        "\uAA94",  # ; TAI VIET LETTER LOW TO
        "\uAA95",  # ; TAI VIET LETTER HIGH TO
        "\uAA96",  # ; TAI VIET LETTER LOW THO
        "\uAA97",  # ; TAI VIET LETTER HIGH THO
        "\uAA98",  # ; TAI VIET LETTER LOW NO
        "\uAA99",  # ; TAI VIET LETTER HIGH NO
        "\uAA9A",  # ; TAI VIET LETTER LOW BO
        "\uAA9B",  # ; TAI VIET LETTER HIGH BO
        "\uAA9C",  # ; TAI VIET LETTER LOW PO
        "\uAA9D",  # ; TAI VIET LETTER HIGH PO
        "\uAA9E",  # ; TAI VIET LETTER LOW PHO
        "\uAA9F",  # ; TAI VIET LETTER HIGH PHO
        "\uAAA0",  # ; TAI VIET LETTER LOW FO
        "\uAAA1",  # ; TAI VIET LETTER HIGH FO
        "\uAAA2",  # ; TAI VIET LETTER LOW MO
        "\uAAA3",  # ; TAI VIET LETTER HIGH MO
        "\uAAA4",  # ; TAI VIET LETTER LOW YO
        "\uAAA5",  # ; TAI VIET LETTER HIGH YO
        "\uAAA6",  # ; TAI VIET LETTER LOW RO
        "\uAAA7",  # ; TAI VIET LETTER HIGH RO
        "\uAAA8",  # ; TAI VIET LETTER LOW LO
        "\uAAA9",  # ; TAI VIET LETTER HIGH LO
        "\uAAAA",  # ; TAI VIET LETTER LOW VO
        "\uAAAB",  # ; TAI VIET LETTER HIGH VO
        "\uAAAC",  # ; TAI VIET LETTER LOW HO
        "\uAAAD",  # ; TAI VIET LETTER HIGH HO
        "\uAAAE",  # ; TAI VIET LETTER LOW O
        "\uAAAF",  # ; TAI VIET LETTER HIGH O
        "\uAAB0",  # ; TAI VIET MAI KANG
        "\uAAB1",  # ; TAI VIET VOWEL AA
        "\uAAB2",  # ; TAI VIET VOWEL I
        "\uAAB3",  # ; TAI VIET VOWEL UE
        "\uAAB4",  # ; TAI VIET VOWEL U
        "\uAAB5",  # ; TAI VIET VOWEL E
        "\uAAB6",  # ; TAI VIET VOWEL O
        "\uAAB7",  # ; TAI VIET MAI KHIT
        "\uAAB8",  # ; TAI VIET VOWEL IA
        "\uAAB9",  # ; TAI VIET VOWEL UEA
        "\uAABA",  # ; TAI VIET VOWEL UA
        "\uAABB",  # ; TAI VIET VOWEL AUE
        "\uAABC",  # ; TAI VIET VOWEL AY
        "\uAABD",  # ; TAI VIET VOWEL AN
        "\uAABE",  # ; TAI VIET VOWEL AM
        "\uAABF",  # ; TAI VIET TONE MAI EK
        "\uAAC0",  # ; TAI VIET TONE MAI NUENG
        "\uAAC1",  # ; TAI VIET TONE MAI THO
        "\uAAC2",  # ; TAI VIET TONE MAI SONG
        "\uAADB",  # ; TAI VIET SYMBOL KON
        "\uAADC",  # ; TAI VIET SYMBOL NUENG
        "\uAADD",  # ; TAI VIET SYMBOL SAM
        "\uAADE",  # ; TAI VIET SYMBOL HO HOI
        "\uAADF",  # ; TAI VIET SYMBOL KOI KOI
        "\uAAE0",  # ; MEETEI MAYEK LETTER E
        "\uAAE1",  # ; MEETEI MAYEK LETTER O
        "\uAAE2",  # ; MEETEI MAYEK LETTER CHA
        "\uAAE3",  # ; MEETEI MAYEK LETTER NYA
        "\uAAE4",  # ; MEETEI MAYEK LETTER TTA
        "\uAAE5",  # ; MEETEI MAYEK LETTER TTHA
        "\uAAE6",  # ; MEETEI MAYEK LETTER DDA
        "\uAAE7",  # ; MEETEI MAYEK LETTER DDHA
        "\uAAE8",  # ; MEETEI MAYEK LETTER NNA
        "\uAAE9",  # ; MEETEI MAYEK LETTER SHA
        "\uAAEA",  # ; MEETEI MAYEK LETTER SSA
        "\uAAEB",  # ; MEETEI MAYEK VOWEL SIGN II
        "\uAAEC",  # ; MEETEI MAYEK VOWEL SIGN UU
        "\uAAED",  # ; MEETEI MAYEK VOWEL SIGN AAI
        "\uAAEE",  # ; MEETEI MAYEK VOWEL SIGN AU
        "\uAAEF",  # ; MEETEI MAYEK VOWEL SIGN AAU
        "\uAAF0",  # ; MEETEI MAYEK CHEIKHAN
        "\uAAF1",  # ; MEETEI MAYEK AHANG KHUDAM
        "\uAAF2",  # ; MEETEI MAYEK ANJI
        "\uAAF3",  # ; MEETEI MAYEK SYLLABLE REPETITION MARK
        "\uAAF4",  # ; MEETEI MAYEK WORD REPETITION MARK
        "\uAAF5",  # ; MEETEI MAYEK VOWEL SIGN VISARGA
        "\uAAF6",  # ; MEETEI MAYEK VIRAMA
        "\uAB01",  # ; ETHIOPIC SYLLABLE TTHU
        "\uAB02",  # ; ETHIOPIC SYLLABLE TTHI
        "\uAB03",  # ; ETHIOPIC SYLLABLE TTHAA
        "\uAB04",  # ; ETHIOPIC SYLLABLE TTHEE
        "\uAB05",  # ; ETHIOPIC SYLLABLE TTHE
        "\uAB06",  # ; ETHIOPIC SYLLABLE TTHO
        "\uAB09",  # ; ETHIOPIC SYLLABLE DDHU
        "\uAB0A",  # ; ETHIOPIC SYLLABLE DDHI
        "\uAB0B",  # ; ETHIOPIC SYLLABLE DDHAA
        "\uAB0C",  # ; ETHIOPIC SYLLABLE DDHEE
        "\uAB0D",  # ; ETHIOPIC SYLLABLE DDHE
        "\uAB0E",  # ; ETHIOPIC SYLLABLE DDHO
        "\uAB11",  # ; ETHIOPIC SYLLABLE DZU
        "\uAB12",  # ; ETHIOPIC SYLLABLE DZI
        "\uAB13",  # ; ETHIOPIC SYLLABLE DZAA
        "\uAB14",  # ; ETHIOPIC SYLLABLE DZEE
        "\uAB15",  # ; ETHIOPIC SYLLABLE DZE
        "\uAB16",  # ; ETHIOPIC SYLLABLE DZO
        "\uAB20",  # ; ETHIOPIC SYLLABLE CCHHA
        "\uAB21",  # ; ETHIOPIC SYLLABLE CCHHU
        "\uAB22",  # ; ETHIOPIC SYLLABLE CCHHI
        "\uAB23",  # ; ETHIOPIC SYLLABLE CCHHAA
        "\uAB24",  # ; ETHIOPIC SYLLABLE CCHHEE
        "\uAB25",  # ; ETHIOPIC SYLLABLE CCHHE
        "\uAB26",  # ; ETHIOPIC SYLLABLE CCHHO
        "\uAB28",  # ; ETHIOPIC SYLLABLE BBA
        "\uAB29",  # ; ETHIOPIC SYLLABLE BBU
        "\uAB2A",  # ; ETHIOPIC SYLLABLE BBI
        "\uAB2B",  # ; ETHIOPIC SYLLABLE BBAA
        "\uAB2C",  # ; ETHIOPIC SYLLABLE BBEE
        "\uAB2D",  # ; ETHIOPIC SYLLABLE BBE
        "\uAB2E",  # ; ETHIOPIC SYLLABLE BBO
        "\uAB30",  # ; LATIN SMALL LETTER BARRED ALPHA
        "\uAB31",  # ; LATIN SMALL LETTER A REVERSED-SCHWA
        "\uAB32",  # ; LATIN SMALL LETTER BLACKLETTER E
        "\uAB33",  # ; LATIN SMALL LETTER BARRED E
        "\uAB34",  # ; LATIN SMALL LETTER E WITH FLOURISH
        "\uAB35",  # ; LATIN SMALL LETTER LENIS F
        "\uAB36",  # ; LATIN SMALL LETTER SCRIPT G WITH CROSSED-TAIL
        "\uAB37",  # ; LATIN SMALL LETTER L WITH INVERTED LAZY S
        "\uAB38",  # ; LATIN SMALL LETTER L WITH DOUBLE MIDDLE TILDE
        "\uAB39",  # ; LATIN SMALL LETTER L WITH MIDDLE RING
        "\uAB3A",  # ; LATIN SMALL LETTER M WITH CROSSED-TAIL
        "\uAB3B",  # ; LATIN SMALL LETTER N WITH CROSSED-TAIL
        "\uAB3C",  # ; LATIN SMALL LETTER ENG WITH CROSSED-TAIL
        "\uAB3D",  # ; LATIN SMALL LETTER BLACKLETTER O
        "\uAB3E",  # ; LATIN SMALL LETTER BLACKLETTER O WITH STROKE
        "\uAB3F",  # ; LATIN SMALL LETTER OPEN O WITH STROKE
        "\uAB40",  # ; LATIN SMALL LETTER INVERTED OE
        "\uAB41",  # ; LATIN SMALL LETTER TURNED OE WITH STROKE
        "\uAB42",  # ; LATIN SMALL LETTER TURNED OE WITH HORIZONTAL STROKE
        "\uAB43",  # ; LATIN SMALL LETTER TURNED O OPEN-O
        "\uAB44",  # ; LATIN SMALL LETTER TURNED O OPEN-O WITH STROKE
        "\uAB45",  # ; LATIN SMALL LETTER STIRRUP R
        "\uAB46",  # ; LATIN LETTER SMALL CAPITAL R WITH RIGHT LEG
        "\uAB47",  # ; LATIN SMALL LETTER R WITHOUT HANDLE
        "\uAB48",  # ; LATIN SMALL LETTER DOUBLE R
        "\uAB49",  # ; LATIN SMALL LETTER R WITH CROSSED-TAIL
        "\uAB4A",  # ; LATIN SMALL LETTER DOUBLE R WITH CROSSED-TAIL
        "\uAB4B",  # ; LATIN SMALL LETTER SCRIPT R
        "\uAB4C",  # ; LATIN SMALL LETTER SCRIPT R WITH RING
        "\uAB4D",  # ; LATIN SMALL LETTER BASELINE ESH
        "\uAB4E",  # ; LATIN SMALL LETTER U WITH SHORT RIGHT LEG
        "\uAB4F",  # ; LATIN SMALL LETTER U BAR WITH SHORT RIGHT LEG
        "\uAB50",  # ; LATIN SMALL LETTER UI
        "\uAB51",  # ; LATIN SMALL LETTER TURNED UI
        "\uAB52",  # ; LATIN SMALL LETTER U WITH LEFT HOOK
        "\uAB53",  # ; LATIN SMALL LETTER CHI
        "\uAB54",  # ; LATIN SMALL LETTER CHI WITH LOW RIGHT RING
        "\uAB55",  # ; LATIN SMALL LETTER CHI WITH LOW LEFT SERIF
        "\uAB56",  # ; LATIN SMALL LETTER X WITH LOW RIGHT RING
        "\uAB57",  # ; LATIN SMALL LETTER X WITH LONG LEFT LEG
        "\uAB58",  # ; LATIN SMALL LETTER X WITH LONG LEFT LEG AND LOW RIGHT RING
        "\uAB59",  # ; LATIN SMALL LETTER X WITH LONG LEFT LEG WITH SERIF
        "\uAB5A",  # ; LATIN SMALL LETTER Y WITH SHORT RIGHT LEG
        "\uAB5B",  # ; MODIFIER BREVE WITH INVERTED BREVE
        "\uAB5C",  # ; MODIFIER LETTER SMALL HENG
        "\uAB5D",  # ; MODIFIER LETTER SMALL L WITH INVERTED LAZY S
        "\uAB5E",  # ; MODIFIER LETTER SMALL L WITH MIDDLE TILDE
        "\uAB5F",  # ; MODIFIER LETTER SMALL U WITH LEFT HOOK
        "\uAB60",  # ; LATIN SMALL LETTER SAKHA YAT
        "\uAB61",  # ; LATIN SMALL LETTER IOTIFIED E
        "\uAB62",  # ; LATIN SMALL LETTER OPEN OE
        "\uAB63",  # ; LATIN SMALL LETTER UO
        "\uAB64",  # ; LATIN SMALL LETTER INVERTED ALPHA
        "\uAB65",  # ; GREEK LETTER SMALL CAPITAL OMEGA
        "\uAB70",  # ; CHEROKEE SMALL LETTER A
        "\uAB71",  # ; CHEROKEE SMALL LETTER E
        "\uAB72",  # ; CHEROKEE SMALL LETTER I
        "\uAB73",  # ; CHEROKEE SMALL LETTER O
        "\uAB74",  # ; CHEROKEE SMALL LETTER U
        "\uAB75",  # ; CHEROKEE SMALL LETTER V
        "\uAB76",  # ; CHEROKEE SMALL LETTER GA
        "\uAB77",  # ; CHEROKEE SMALL LETTER KA
        "\uAB78",  # ; CHEROKEE SMALL LETTER GE
        "\uAB79",  # ; CHEROKEE SMALL LETTER GI
        "\uAB7A",  # ; CHEROKEE SMALL LETTER GO
        "\uAB7B",  # ; CHEROKEE SMALL LETTER GU
        "\uAB7C",  # ; CHEROKEE SMALL LETTER GV
        "\uAB7D",  # ; CHEROKEE SMALL LETTER HA
        "\uAB7E",  # ; CHEROKEE SMALL LETTER HE
        "\uAB7F",  # ; CHEROKEE SMALL LETTER HI
        "\uAB80",  # ; CHEROKEE SMALL LETTER HO
        "\uAB81",  # ; CHEROKEE SMALL LETTER HU
        "\uAB82",  # ; CHEROKEE SMALL LETTER HV
        "\uAB83",  # ; CHEROKEE SMALL LETTER LA
        "\uAB84",  # ; CHEROKEE SMALL LETTER LE
        "\uAB85",  # ; CHEROKEE SMALL LETTER LI
        "\uAB86",  # ; CHEROKEE SMALL LETTER LO
        "\uAB87",  # ; CHEROKEE SMALL LETTER LU
        "\uAB88",  # ; CHEROKEE SMALL LETTER LV
        "\uAB89",  # ; CHEROKEE SMALL LETTER MA
        "\uAB8A",  # ; CHEROKEE SMALL LETTER ME
        "\uAB8B",  # ; CHEROKEE SMALL LETTER MI
        "\uAB8C",  # ; CHEROKEE SMALL LETTER MO
        "\uAB8D",  # ; CHEROKEE SMALL LETTER MU
        "\uAB8E",  # ; CHEROKEE SMALL LETTER NA
        "\uAB8F",  # ; CHEROKEE SMALL LETTER HNA
        "\uAB90",  # ; CHEROKEE SMALL LETTER NAH
        "\uAB91",  # ; CHEROKEE SMALL LETTER NE
        "\uAB92",  # ; CHEROKEE SMALL LETTER NI
        "\uAB93",  # ; CHEROKEE SMALL LETTER NO
        "\uAB94",  # ; CHEROKEE SMALL LETTER NU
        "\uAB95",  # ; CHEROKEE SMALL LETTER NV
        "\uAB96",  # ; CHEROKEE SMALL LETTER QUA
        "\uAB97",  # ; CHEROKEE SMALL LETTER QUE
        "\uAB98",  # ; CHEROKEE SMALL LETTER QUI
        "\uAB99",  # ; CHEROKEE SMALL LETTER QUO
        "\uAB9A",  # ; CHEROKEE SMALL LETTER QUU
        "\uAB9B",  # ; CHEROKEE SMALL LETTER QUV
        "\uAB9C",  # ; CHEROKEE SMALL LETTER SA
        "\uAB9D",  # ; CHEROKEE SMALL LETTER S
        "\uAB9E",  # ; CHEROKEE SMALL LETTER SE
        "\uAB9F",  # ; CHEROKEE SMALL LETTER SI
        "\uABA0",  # ; CHEROKEE SMALL LETTER SO
        "\uABA1",  # ; CHEROKEE SMALL LETTER SU
        "\uABA2",  # ; CHEROKEE SMALL LETTER SV
        "\uABA3",  # ; CHEROKEE SMALL LETTER DA
        "\uABA4",  # ; CHEROKEE SMALL LETTER TA
        "\uABA5",  # ; CHEROKEE SMALL LETTER DE
        "\uABA6",  # ; CHEROKEE SMALL LETTER TE
        "\uABA7",  # ; CHEROKEE SMALL LETTER DI
        "\uABA8",  # ; CHEROKEE SMALL LETTER TI
        "\uABA9",  # ; CHEROKEE SMALL LETTER DO
        "\uABAA",  # ; CHEROKEE SMALL LETTER DU
        "\uABAB",  # ; CHEROKEE SMALL LETTER DV
        "\uABAC",  # ; CHEROKEE SMALL LETTER DLA
        "\uABAD",  # ; CHEROKEE SMALL LETTER TLA
        "\uABAE",  # ; CHEROKEE SMALL LETTER TLE
        "\uABAF",  # ; CHEROKEE SMALL LETTER TLI
        "\uABB0",  # ; CHEROKEE SMALL LETTER TLO
        "\uABB1",  # ; CHEROKEE SMALL LETTER TLU
        "\uABB2",  # ; CHEROKEE SMALL LETTER TLV
        "\uABB3",  # ; CHEROKEE SMALL LETTER TSA
        "\uABB4",  # ; CHEROKEE SMALL LETTER TSE
        "\uABB5",  # ; CHEROKEE SMALL LETTER TSI
        "\uABB6",  # ; CHEROKEE SMALL LETTER TSO
        "\uABB7",  # ; CHEROKEE SMALL LETTER TSU
        "\uABB8",  # ; CHEROKEE SMALL LETTER TSV
        "\uABB9",  # ; CHEROKEE SMALL LETTER WA
        "\uABBA",  # ; CHEROKEE SMALL LETTER WE
        "\uABBB",  # ; CHEROKEE SMALL LETTER WI
        "\uABBC",  # ; CHEROKEE SMALL LETTER WO
        "\uABBD",  # ; CHEROKEE SMALL LETTER WU
        "\uABBE",  # ; CHEROKEE SMALL LETTER WV
        "\uABBF",  # ; CHEROKEE SMALL LETTER YA
        "\uABC0",  # ; MEETEI MAYEK LETTER KOK
        "\uABC1",  # ; MEETEI MAYEK LETTER SAM
        "\uABC2",  # ; MEETEI MAYEK LETTER LAI
        "\uABC3",  # ; MEETEI MAYEK LETTER MIT
        "\uABC4",  # ; MEETEI MAYEK LETTER PA
        "\uABC5",  # ; MEETEI MAYEK LETTER NA
        "\uABC6",  # ; MEETEI MAYEK LETTER CHIL
        "\uABC7",  # ; MEETEI MAYEK LETTER TIL
        "\uABC8",  # ; MEETEI MAYEK LETTER KHOU
        "\uABC9",  # ; MEETEI MAYEK LETTER NGOU
        "\uABCA",  # ; MEETEI MAYEK LETTER THOU
        "\uABCB",  # ; MEETEI MAYEK LETTER WAI
        "\uABCC",  # ; MEETEI MAYEK LETTER YANG
        "\uABCD",  # ; MEETEI MAYEK LETTER HUK
        "\uABCE",  # ; MEETEI MAYEK LETTER UN
        "\uABCF",  # ; MEETEI MAYEK LETTER I
        "\uABD0",  # ; MEETEI MAYEK LETTER PHAM
        "\uABD1",  # ; MEETEI MAYEK LETTER ATIYA
        "\uABD2",  # ; MEETEI MAYEK LETTER GOK
        "\uABD3",  # ; MEETEI MAYEK LETTER JHAM
        "\uABD4",  # ; MEETEI MAYEK LETTER RAI
        "\uABD5",  # ; MEETEI MAYEK LETTER BA
        "\uABD6",  # ; MEETEI MAYEK LETTER JIL
        "\uABD7",  # ; MEETEI MAYEK LETTER DIL
        "\uABD8",  # ; MEETEI MAYEK LETTER GHOU
        "\uABD9",  # ; MEETEI MAYEK LETTER DHOU
        "\uABDA",  # ; MEETEI MAYEK LETTER BHAM
        "\uABDB",  # ; MEETEI MAYEK LETTER KOK LONSUM
        "\uABDC",  # ; MEETEI MAYEK LETTER LAI LONSUM
        "\uABDD",  # ; MEETEI MAYEK LETTER MIT LONSUM
        "\uABDE",  # ; MEETEI MAYEK LETTER PA LONSUM
        "\uABDF",  # ; MEETEI MAYEK LETTER NA LONSUM
        "\uABE0",  # ; MEETEI MAYEK LETTER TIL LONSUM
        "\uABE1",  # ; MEETEI MAYEK LETTER NGOU LONSUM
        "\uABE2",  # ; MEETEI MAYEK LETTER I LONSUM
        "\uABE3",  # ; MEETEI MAYEK VOWEL SIGN ONAP
        "\uABE4",  # ; MEETEI MAYEK VOWEL SIGN INAP
        "\uABE5",  # ; MEETEI MAYEK VOWEL SIGN ANAP
        "\uABE6",  # ; MEETEI MAYEK VOWEL SIGN YENAP
        "\uABE7",  # ; MEETEI MAYEK VOWEL SIGN SOUNAP
        "\uABE8",  # ; MEETEI MAYEK VOWEL SIGN UNAP
        "\uABE9",  # ; MEETEI MAYEK VOWEL SIGN CHEINAP
        "\uABEA",  # ; MEETEI MAYEK VOWEL SIGN NUNG
        "\uABEB",  # ; MEETEI MAYEK CHEIKHEI
        "\uABEC",  # ; MEETEI MAYEK LUM IYEK
        "\uABED",  # ; MEETEI MAYEK APUN IYEK
        "\uABF0",  # ; MEETEI MAYEK DIGIT ZERO
        "\uABF1",  # ; MEETEI MAYEK DIGIT ONE
        "\uABF2",  # ; MEETEI MAYEK DIGIT TWO
        "\uABF3",  # ; MEETEI MAYEK DIGIT THREE
        "\uABF4",  # ; MEETEI MAYEK DIGIT FOUR
        "\uABF5",  # ; MEETEI MAYEK DIGIT FIVE
        "\uABF6",  # ; MEETEI MAYEK DIGIT SIX
        "\uABF7",  # ; MEETEI MAYEK DIGIT SEVEN
        "\uABF8",  # ; MEETEI MAYEK DIGIT EIGHT
        "\uABF9",  # ; MEETEI MAYEK DIGIT NINE
        "\uAC00",  # ; HANGUL SYLLABLE GA
        "\uAC01",  # ; HANGUL SYLLABLE GAG
        "\uAC02",  # ; HANGUL SYLLABLE GAGG
        "\uAC03",  # ; HANGUL SYLLABLE GAGS
        "\uAC04",  # ; HANGUL SYLLABLE GAN
        "\uAC05",  # ; HANGUL SYLLABLE GANJ
        "\uAC06",  # ; HANGUL SYLLABLE GANH
        "\uAC07",  # ; HANGUL SYLLABLE GAD
        "\uAC08",  # ; HANGUL SYLLABLE GAL
        "\uAC09",  # ; HANGUL SYLLABLE GALG
        "\uAC0A",  # ; HANGUL SYLLABLE GALM
        "\uAC0B",  # ; HANGUL SYLLABLE GALB
        "\uAC0C",  # ; HANGUL SYLLABLE GALS
        "\uAC0D",  # ; HANGUL SYLLABLE GALT
        "\uAC0E",  # ; HANGUL SYLLABLE GALP
        "\uAC0F",  # ; HANGUL SYLLABLE GALH
        "\uAC10",  # ; HANGUL SYLLABLE GAM
        "\uAC11",  # ; HANGUL SYLLABLE GAB
        "\uAC12",  # ; HANGUL SYLLABLE GABS
        "\uAC13",  # ; HANGUL SYLLABLE GAS
        "\uAC14",  # ; HANGUL SYLLABLE GASS
        "\uAC15",  # ; HANGUL SYLLABLE GANG
        "\uAC16",  # ; HANGUL SYLLABLE GAJ
        "\uAC17",  # ; HANGUL SYLLABLE GAC
        "\uAC18",  # ; HANGUL SYLLABLE GAK
        "\uAC19",  # ; HANGUL SYLLABLE GAT
        "\uAC1A",  # ; HANGUL SYLLABLE GAP
        "\uAC1B",  # ; HANGUL SYLLABLE GAH
        "\uAC1C",  # ; HANGUL SYLLABLE GAE
        "\uAC1D",  # ; HANGUL SYLLABLE GAEG
        "\uAC1E",  # ; HANGUL SYLLABLE GAEGG
        "\uAC1F",  # ; HANGUL SYLLABLE GAEGS
        "\uAC20",  # ; HANGUL SYLLABLE GAEN
        "\uAC21",  # ; HANGUL SYLLABLE GAENJ
        "\uAC22",  # ; HANGUL SYLLABLE GAENH
        "\uAC23",  # ; HANGUL SYLLABLE GAED
        "\uAC24",  # ; HANGUL SYLLABLE GAEL
        "\uAC25",  # ; HANGUL SYLLABLE GAELG
        "\uAC26",  # ; HANGUL SYLLABLE GAELM
        "\uAC27",  # ; HANGUL SYLLABLE GAELB
        "\uAC28",  # ; HANGUL SYLLABLE GAELS
        "\uAC29",  # ; HANGUL SYLLABLE GAELT
        "\uAC2A",  # ; HANGUL SYLLABLE GAELP
        "\uAC2B",  # ; HANGUL SYLLABLE GAELH
        "\uAC2C",  # ; HANGUL SYLLABLE GAEM
        "\uAC2D",  # ; HANGUL SYLLABLE GAEB
        "\uAC2E",  # ; HANGUL SYLLABLE GAEBS
        "\uAC2F",  # ; HANGUL SYLLABLE GAES
        "\uAC30",  # ; HANGUL SYLLABLE GAESS
        "\uAC31",  # ; HANGUL SYLLABLE GAENG
        "\uAC32",  # ; HANGUL SYLLABLE GAEJ
        "\uAC33",  # ; HANGUL SYLLABLE GAEC
        "\uAC34",  # ; HANGUL SYLLABLE GAEK
        "\uAC35",  # ; HANGUL SYLLABLE GAET
        "\uAC36",  # ; HANGUL SYLLABLE GAEP
        "\uAC37",  # ; HANGUL SYLLABLE GAEH
        "\uAC38",  # ; HANGUL SYLLABLE GYA
        "\uAC39",  # ; HANGUL SYLLABLE GYAG
        "\uAC3A",  # ; HANGUL SYLLABLE GYAGG
        "\uAC3B",  # ; HANGUL SYLLABLE GYAGS
        "\uAC3C",  # ; HANGUL SYLLABLE GYAN
        "\uAC3D",  # ; HANGUL SYLLABLE GYANJ
        "\uAC3E",  # ; HANGUL SYLLABLE GYANH
        "\uAC3F",  # ; HANGUL SYLLABLE GYAD
        "\uAC40",  # ; HANGUL SYLLABLE GYAL
        "\uAC41",  # ; HANGUL SYLLABLE GYALG
        "\uAC42",  # ; HANGUL SYLLABLE GYALM
        "\uAC43",  # ; HANGUL SYLLABLE GYALB
        "\uAC44",  # ; HANGUL SYLLABLE GYALS
        "\uAC45",  # ; HANGUL SYLLABLE GYALT
        "\uAC46",  # ; HANGUL SYLLABLE GYALP
        "\uAC47",  # ; HANGUL SYLLABLE GYALH
        "\uAC48",  # ; HANGUL SYLLABLE GYAM
        "\uAC49",  # ; HANGUL SYLLABLE GYAB
        "\uAC4A",  # ; HANGUL SYLLABLE GYABS
        "\uAC4B",  # ; HANGUL SYLLABLE GYAS
        "\uAC4C",  # ; HANGUL SYLLABLE GYASS
        "\uAC4D",  # ; HANGUL SYLLABLE GYANG
        "\uAC4E",  # ; HANGUL SYLLABLE GYAJ
        "\uAC4F",  # ; HANGUL SYLLABLE GYAC
        "\uAC50",  # ; HANGUL SYLLABLE GYAK
        "\uAC51",  # ; HANGUL SYLLABLE GYAT
        "\uAC52",  # ; HANGUL SYLLABLE GYAP
        "\uAC53",  # ; HANGUL SYLLABLE GYAH
        "\uAC54",  # ; HANGUL SYLLABLE GYAE
        "\uAC55",  # ; HANGUL SYLLABLE GYAEG
        "\uAC56",  # ; HANGUL SYLLABLE GYAEGG
        "\uAC57",  # ; HANGUL SYLLABLE GYAEGS
        "\uAC58",  # ; HANGUL SYLLABLE GYAEN
        "\uAC59",  # ; HANGUL SYLLABLE GYAENJ
        "\uAC5A",  # ; HANGUL SYLLABLE GYAENH
        "\uAC5B",  # ; HANGUL SYLLABLE GYAED
        "\uAC5C",  # ; HANGUL SYLLABLE GYAEL
        "\uAC5D",  # ; HANGUL SYLLABLE GYAELG
        "\uAC5E",  # ; HANGUL SYLLABLE GYAELM
        "\uAC5F",  # ; HANGUL SYLLABLE GYAELB
        "\uAC60",  # ; HANGUL SYLLABLE GYAELS
        "\uAC61",  # ; HANGUL SYLLABLE GYAELT
        "\uAC62",  # ; HANGUL SYLLABLE GYAELP
        "\uAC63",  # ; HANGUL SYLLABLE GYAELH
        "\uAC64",  # ; HANGUL SYLLABLE GYAEM
        "\uAC65",  # ; HANGUL SYLLABLE GYAEB
        "\uAC66",  # ; HANGUL SYLLABLE GYAEBS
        "\uAC67",  # ; HANGUL SYLLABLE GYAES
        "\uAC68",  # ; HANGUL SYLLABLE GYAESS
        "\uAC69",  # ; HANGUL SYLLABLE GYAENG
        "\uAC6A",  # ; HANGUL SYLLABLE GYAEJ
        "\uAC6B",  # ; HANGUL SYLLABLE GYAEC
        "\uAC6C",  # ; HANGUL SYLLABLE GYAEK
        "\uAC6D",  # ; HANGUL SYLLABLE GYAET
        "\uAC6E",  # ; HANGUL SYLLABLE GYAEP
        "\uAC6F",  # ; HANGUL SYLLABLE GYAEH
        "\uAC70",  # ; HANGUL SYLLABLE GEO
        "\uAC71",  # ; HANGUL SYLLABLE GEOG
        "\uAC72",  # ; HANGUL SYLLABLE GEOGG
        "\uAC73",  # ; HANGUL SYLLABLE GEOGS
        "\uAC74",  # ; HANGUL SYLLABLE GEON
        "\uAC75",  # ; HANGUL SYLLABLE GEONJ
        "\uAC76",  # ; HANGUL SYLLABLE GEONH
        "\uAC77",  # ; HANGUL SYLLABLE GEOD
        "\uAC78",  # ; HANGUL SYLLABLE GEOL
        "\uAC79",  # ; HANGUL SYLLABLE GEOLG
        "\uAC7A",  # ; HANGUL SYLLABLE GEOLM
        "\uAC7B",  # ; HANGUL SYLLABLE GEOLB
        "\uAC7C",  # ; HANGUL SYLLABLE GEOLS
        "\uAC7D",  # ; HANGUL SYLLABLE GEOLT
        "\uAC7E",  # ; HANGUL SYLLABLE GEOLP
        "\uAC7F",  # ; HANGUL SYLLABLE GEOLH
        "\uAC80",  # ; HANGUL SYLLABLE GEOM
        "\uAC81",  # ; HANGUL SYLLABLE GEOB
        "\uAC82",  # ; HANGUL SYLLABLE GEOBS
        "\uAC83",  # ; HANGUL SYLLABLE GEOS
        "\uAC84",  # ; HANGUL SYLLABLE GEOSS
        "\uAC85",  # ; HANGUL SYLLABLE GEONG
        "\uAC86",  # ; HANGUL SYLLABLE GEOJ
        "\uAC87",  # ; HANGUL SYLLABLE GEOC
        "\uAC88",  # ; HANGUL SYLLABLE GEOK
        "\uAC89",  # ; HANGUL SYLLABLE GEOT
        "\uAC8A",  # ; HANGUL SYLLABLE GEOP
        "\uAC8B",  # ; HANGUL SYLLABLE GEOH
        "\uAC8C",  # ; HANGUL SYLLABLE GE
        "\uAC8D",  # ; HANGUL SYLLABLE GEG
        "\uAC8E",  # ; HANGUL SYLLABLE GEGG
        "\uAC8F",  # ; HANGUL SYLLABLE GEGS
        "\uAC90",  # ; HANGUL SYLLABLE GEN
        "\uAC91",  # ; HANGUL SYLLABLE GENJ
        "\uAC92",  # ; HANGUL SYLLABLE GENH
        "\uAC93",  # ; HANGUL SYLLABLE GED
        "\uAC94",  # ; HANGUL SYLLABLE GEL
        "\uAC95",  # ; HANGUL SYLLABLE GELG
        "\uAC96",  # ; HANGUL SYLLABLE GELM
        "\uAC97",  # ; HANGUL SYLLABLE GELB
        "\uAC98",  # ; HANGUL SYLLABLE GELS
        "\uAC99",  # ; HANGUL SYLLABLE GELT
        "\uAC9A",  # ; HANGUL SYLLABLE GELP
        "\uAC9B",  # ; HANGUL SYLLABLE GELH
        "\uAC9C",  # ; HANGUL SYLLABLE GEM
        "\uAC9D",  # ; HANGUL SYLLABLE GEB
        "\uAC9E",  # ; HANGUL SYLLABLE GEBS
        "\uAC9F",  # ; HANGUL SYLLABLE GES
        "\uACA0",  # ; HANGUL SYLLABLE GESS
        "\uACA1",  # ; HANGUL SYLLABLE GENG
        "\uACA2",  # ; HANGUL SYLLABLE GEJ
        "\uACA3",  # ; HANGUL SYLLABLE GEC
        "\uACA4",  # ; HANGUL SYLLABLE GEK
        "\uACA5",  # ; HANGUL SYLLABLE GET
        "\uACA6",  # ; HANGUL SYLLABLE GEP
        "\uACA7",  # ; HANGUL SYLLABLE GEH
        "\uACA8",  # ; HANGUL SYLLABLE GYEO
        "\uACA9",  # ; HANGUL SYLLABLE GYEOG
        "\uACAA",  # ; HANGUL SYLLABLE GYEOGG
        "\uACAB",  # ; HANGUL SYLLABLE GYEOGS
        "\uACAC",  # ; HANGUL SYLLABLE GYEON
        "\uACAD",  # ; HANGUL SYLLABLE GYEONJ
        "\uACAE",  # ; HANGUL SYLLABLE GYEONH
        "\uACAF",  # ; HANGUL SYLLABLE GYEOD
        "\uACB0",  # ; HANGUL SYLLABLE GYEOL
        "\uACB1",  # ; HANGUL SYLLABLE GYEOLG
        "\uACB2",  # ; HANGUL SYLLABLE GYEOLM
        "\uACB3",  # ; HANGUL SYLLABLE GYEOLB
        "\uACB4",  # ; HANGUL SYLLABLE GYEOLS
        "\uACB5",  # ; HANGUL SYLLABLE GYEOLT
        "\uACB6",  # ; HANGUL SYLLABLE GYEOLP
        "\uACB7",  # ; HANGUL SYLLABLE GYEOLH
        "\uACB8",  # ; HANGUL SYLLABLE GYEOM
        "\uACB9",  # ; HANGUL SYLLABLE GYEOB
        "\uACBA",  # ; HANGUL SYLLABLE GYEOBS
        "\uACBB",  # ; HANGUL SYLLABLE GYEOS
        "\uACBC",  # ; HANGUL SYLLABLE GYEOSS
        "\uACBD",  # ; HANGUL SYLLABLE GYEONG
        "\uACBE",  # ; HANGUL SYLLABLE GYEOJ
        "\uACBF",  # ; HANGUL SYLLABLE GYEOC
        "\uACC0",  # ; HANGUL SYLLABLE GYEOK
        "\uACC1",  # ; HANGUL SYLLABLE GYEOT
        "\uACC2",  # ; HANGUL SYLLABLE GYEOP
        "\uACC3",  # ; HANGUL SYLLABLE GYEOH
        "\uACC4",  # ; HANGUL SYLLABLE GYE
        "\uACC5",  # ; HANGUL SYLLABLE GYEG
        "\uACC6",  # ; HANGUL SYLLABLE GYEGG
        "\uACC7",  # ; HANGUL SYLLABLE GYEGS
        "\uACC8",  # ; HANGUL SYLLABLE GYEN
        "\uACC9",  # ; HANGUL SYLLABLE GYENJ
        "\uACCA",  # ; HANGUL SYLLABLE GYENH
        "\uACCB",  # ; HANGUL SYLLABLE GYED
        "\uACCC",  # ; HANGUL SYLLABLE GYEL
        "\uACCD",  # ; HANGUL SYLLABLE GYELG
        "\uACCE",  # ; HANGUL SYLLABLE GYELM
        "\uACCF",  # ; HANGUL SYLLABLE GYELB
        "\uACD0",  # ; HANGUL SYLLABLE GYELS
        "\uACD1",  # ; HANGUL SYLLABLE GYELT
        "\uACD2",  # ; HANGUL SYLLABLE GYELP
        "\uACD3",  # ; HANGUL SYLLABLE GYELH
        "\uACD4",  # ; HANGUL SYLLABLE GYEM
        "\uACD5",  # ; HANGUL SYLLABLE GYEB
        "\uACD6",  # ; HANGUL SYLLABLE GYEBS
        "\uACD7",  # ; HANGUL SYLLABLE GYES
        "\uACD8",  # ; HANGUL SYLLABLE GYESS
        "\uACD9",  # ; HANGUL SYLLABLE GYENG
        "\uACDA",  # ; HANGUL SYLLABLE GYEJ
        "\uACDB",  # ; HANGUL SYLLABLE GYEC
        "\uACDC",  # ; HANGUL SYLLABLE GYEK
        "\uACDD",  # ; HANGUL SYLLABLE GYET
        "\uACDE",  # ; HANGUL SYLLABLE GYEP
        "\uACDF",  # ; HANGUL SYLLABLE GYEH
        "\uACE0",  # ; HANGUL SYLLABLE GO
        "\uACE1",  # ; HANGUL SYLLABLE GOG
        "\uACE2",  # ; HANGUL SYLLABLE GOGG
        "\uACE3",  # ; HANGUL SYLLABLE GOGS
        "\uACE4",  # ; HANGUL SYLLABLE GON
        "\uACE5",  # ; HANGUL SYLLABLE GONJ
        "\uACE6",  # ; HANGUL SYLLABLE GONH
        "\uACE7",  # ; HANGUL SYLLABLE GOD
        "\uACE8",  # ; HANGUL SYLLABLE GOL
        "\uACE9",  # ; HANGUL SYLLABLE GOLG
        "\uACEA",  # ; HANGUL SYLLABLE GOLM
        "\uACEB",  # ; HANGUL SYLLABLE GOLB
        "\uACEC",  # ; HANGUL SYLLABLE GOLS
        "\uACED",  # ; HANGUL SYLLABLE GOLT
        "\uACEE",  # ; HANGUL SYLLABLE GOLP
        "\uACEF",  # ; HANGUL SYLLABLE GOLH
        "\uACF0",  # ; HANGUL SYLLABLE GOM
        "\uACF1",  # ; HANGUL SYLLABLE GOB
        "\uACF2",  # ; HANGUL SYLLABLE GOBS
        "\uACF3",  # ; HANGUL SYLLABLE GOS
        "\uACF4",  # ; HANGUL SYLLABLE GOSS
        "\uACF5",  # ; HANGUL SYLLABLE GONG
        "\uACF6",  # ; HANGUL SYLLABLE GOJ
        "\uACF7",  # ; HANGUL SYLLABLE GOC
        "\uACF8",  # ; HANGUL SYLLABLE GOK
        "\uACF9",  # ; HANGUL SYLLABLE GOT
        "\uACFA",  # ; HANGUL SYLLABLE GOP
        "\uACFB",  # ; HANGUL SYLLABLE GOH
        "\uACFC",  # ; HANGUL SYLLABLE GWA
        "\uACFD",  # ; HANGUL SYLLABLE GWAG
        "\uACFE",  # ; HANGUL SYLLABLE GWAGG
        "\uACFF",  # ; HANGUL SYLLABLE GWAGS
        "\uAD00",  # ; HANGUL SYLLABLE GWAN
        "\uAD01",  # ; HANGUL SYLLABLE GWANJ
        "\uAD02",  # ; HANGUL SYLLABLE GWANH
        "\uAD03",  # ; HANGUL SYLLABLE GWAD
        "\uAD04",  # ; HANGUL SYLLABLE GWAL
        "\uAD05",  # ; HANGUL SYLLABLE GWALG
        "\uAD06",  # ; HANGUL SYLLABLE GWALM
        "\uAD07",  # ; HANGUL SYLLABLE GWALB
        "\uAD08",  # ; HANGUL SYLLABLE GWALS
        "\uAD09",  # ; HANGUL SYLLABLE GWALT
        "\uAD0A",  # ; HANGUL SYLLABLE GWALP
        "\uAD0B",  # ; HANGUL SYLLABLE GWALH
        "\uAD0C",  # ; HANGUL SYLLABLE GWAM
        "\uAD0D",  # ; HANGUL SYLLABLE GWAB
        "\uAD0E",  # ; HANGUL SYLLABLE GWABS
        "\uAD0F",  # ; HANGUL SYLLABLE GWAS
        "\uAD10",  # ; HANGUL SYLLABLE GWASS
        "\uAD11",  # ; HANGUL SYLLABLE GWANG
        "\uAD12",  # ; HANGUL SYLLABLE GWAJ
        "\uAD13",  # ; HANGUL SYLLABLE GWAC
        "\uAD14",  # ; HANGUL SYLLABLE GWAK
        "\uAD15",  # ; HANGUL SYLLABLE GWAT
        "\uAD16",  # ; HANGUL SYLLABLE GWAP
        "\uAD17",  # ; HANGUL SYLLABLE GWAH
        "\uAD18",  # ; HANGUL SYLLABLE GWAE
        "\uAD19",  # ; HANGUL SYLLABLE GWAEG
        "\uAD1A",  # ; HANGUL SYLLABLE GWAEGG
        "\uAD1B",  # ; HANGUL SYLLABLE GWAEGS
        "\uAD1C",  # ; HANGUL SYLLABLE GWAEN
        "\uAD1D",  # ; HANGUL SYLLABLE GWAENJ
        "\uAD1E",  # ; HANGUL SYLLABLE GWAENH
        "\uAD1F",  # ; HANGUL SYLLABLE GWAED
        "\uAD20",  # ; HANGUL SYLLABLE GWAEL
        "\uAD21",  # ; HANGUL SYLLABLE GWAELG
        "\uAD22",  # ; HANGUL SYLLABLE GWAELM
        "\uAD23",  # ; HANGUL SYLLABLE GWAELB
        "\uAD24",  # ; HANGUL SYLLABLE GWAELS
        "\uAD25",  # ; HANGUL SYLLABLE GWAELT
        "\uAD26",  # ; HANGUL SYLLABLE GWAELP
        "\uAD27",  # ; HANGUL SYLLABLE GWAELH
        "\uAD28",  # ; HANGUL SYLLABLE GWAEM
        "\uAD29",  # ; HANGUL SYLLABLE GWAEB
        "\uAD2A",  # ; HANGUL SYLLABLE GWAEBS
        "\uAD2B",  # ; HANGUL SYLLABLE GWAES
        "\uAD2C",  # ; HANGUL SYLLABLE GWAESS
        "\uAD2D",  # ; HANGUL SYLLABLE GWAENG
        "\uAD2E",  # ; HANGUL SYLLABLE GWAEJ
        "\uAD2F",  # ; HANGUL SYLLABLE GWAEC
        "\uAD30",  # ; HANGUL SYLLABLE GWAEK
        "\uAD31",  # ; HANGUL SYLLABLE GWAET
        "\uAD32",  # ; HANGUL SYLLABLE GWAEP
        "\uAD33",  # ; HANGUL SYLLABLE GWAEH
        "\uAD34",  # ; HANGUL SYLLABLE GOE
        "\uAD35",  # ; HANGUL SYLLABLE GOEG
        "\uAD36",  # ; HANGUL SYLLABLE GOEGG
        "\uAD37",  # ; HANGUL SYLLABLE GOEGS
        "\uAD38",  # ; HANGUL SYLLABLE GOEN
        "\uAD39",  # ; HANGUL SYLLABLE GOENJ
        "\uAD3A",  # ; HANGUL SYLLABLE GOENH
        "\uAD3B",  # ; HANGUL SYLLABLE GOED
        "\uAD3C",  # ; HANGUL SYLLABLE GOEL
        "\uAD3D",  # ; HANGUL SYLLABLE GOELG
        "\uAD3E",  # ; HANGUL SYLLABLE GOELM
        "\uAD3F",  # ; HANGUL SYLLABLE GOELB
        "\uAD40",  # ; HANGUL SYLLABLE GOELS
        "\uAD41",  # ; HANGUL SYLLABLE GOELT
        "\uAD42",  # ; HANGUL SYLLABLE GOELP
        "\uAD43",  # ; HANGUL SYLLABLE GOELH
        "\uAD44",  # ; HANGUL SYLLABLE GOEM
        "\uAD45",  # ; HANGUL SYLLABLE GOEB
        "\uAD46",  # ; HANGUL SYLLABLE GOEBS
        "\uAD47",  # ; HANGUL SYLLABLE GOES
        "\uAD48",  # ; HANGUL SYLLABLE GOESS
        "\uAD49",  # ; HANGUL SYLLABLE GOENG
        "\uAD4A",  # ; HANGUL SYLLABLE GOEJ
        "\uAD4B",  # ; HANGUL SYLLABLE GOEC
        "\uAD4C",  # ; HANGUL SYLLABLE GOEK
        "\uAD4D",  # ; HANGUL SYLLABLE GOET
        "\uAD4E",  # ; HANGUL SYLLABLE GOEP
        "\uAD4F",  # ; HANGUL SYLLABLE GOEH
        "\uAD50",  # ; HANGUL SYLLABLE GYO
        "\uAD51",  # ; HANGUL SYLLABLE GYOG
        "\uAD52",  # ; HANGUL SYLLABLE GYOGG
        "\uAD53",  # ; HANGUL SYLLABLE GYOGS
        "\uAD54",  # ; HANGUL SYLLABLE GYON
        "\uAD55",  # ; HANGUL SYLLABLE GYONJ
        "\uAD56",  # ; HANGUL SYLLABLE GYONH
        "\uAD57",  # ; HANGUL SYLLABLE GYOD
        "\uAD58",  # ; HANGUL SYLLABLE GYOL
        "\uAD59",  # ; HANGUL SYLLABLE GYOLG
        "\uAD5A",  # ; HANGUL SYLLABLE GYOLM
        "\uAD5B",  # ; HANGUL SYLLABLE GYOLB
        "\uAD5C",  # ; HANGUL SYLLABLE GYOLS
        "\uAD5D",  # ; HANGUL SYLLABLE GYOLT
        "\uAD5E",  # ; HANGUL SYLLABLE GYOLP
        "\uAD5F",  # ; HANGUL SYLLABLE GYOLH
        "\uAD60",  # ; HANGUL SYLLABLE GYOM
        "\uAD61",  # ; HANGUL SYLLABLE GYOB
        "\uAD62",  # ; HANGUL SYLLABLE GYOBS
        "\uAD63",  # ; HANGUL SYLLABLE GYOS
        "\uAD64",  # ; HANGUL SYLLABLE GYOSS
        "\uAD65",  # ; HANGUL SYLLABLE GYONG
        "\uAD66",  # ; HANGUL SYLLABLE GYOJ
        "\uAD67",  # ; HANGUL SYLLABLE GYOC
        "\uAD68",  # ; HANGUL SYLLABLE GYOK
        "\uAD69",  # ; HANGUL SYLLABLE GYOT
        "\uAD6A",  # ; HANGUL SYLLABLE GYOP
        "\uAD6B",  # ; HANGUL SYLLABLE GYOH
        "\uAD6C",  # ; HANGUL SYLLABLE GU
        "\uAD6D",  # ; HANGUL SYLLABLE GUG
        "\uAD6E",  # ; HANGUL SYLLABLE GUGG
        "\uAD6F",  # ; HANGUL SYLLABLE GUGS
        "\uAD70",  # ; HANGUL SYLLABLE GUN
        "\uAD71",  # ; HANGUL SYLLABLE GUNJ
        "\uAD72",  # ; HANGUL SYLLABLE GUNH
        "\uAD73",  # ; HANGUL SYLLABLE GUD
        "\uAD74",  # ; HANGUL SYLLABLE GUL
        "\uAD75",  # ; HANGUL SYLLABLE GULG
        "\uAD76",  # ; HANGUL SYLLABLE GULM
        "\uAD77",  # ; HANGUL SYLLABLE GULB
        "\uAD78",  # ; HANGUL SYLLABLE GULS
        "\uAD79",  # ; HANGUL SYLLABLE GULT
        "\uAD7A",  # ; HANGUL SYLLABLE GULP
        "\uAD7B",  # ; HANGUL SYLLABLE GULH
        "\uAD7C",  # ; HANGUL SYLLABLE GUM
        "\uAD7D",  # ; HANGUL SYLLABLE GUB
        "\uAD7E",  # ; HANGUL SYLLABLE GUBS
        "\uAD7F",  # ; HANGUL SYLLABLE GUS
        "\uAD80",  # ; HANGUL SYLLABLE GUSS
        "\uAD81",  # ; HANGUL SYLLABLE GUNG
        "\uAD82",  # ; HANGUL SYLLABLE GUJ
        "\uAD83",  # ; HANGUL SYLLABLE GUC
        "\uAD84",  # ; HANGUL SYLLABLE GUK
        "\uAD85",  # ; HANGUL SYLLABLE GUT
        "\uAD86",  # ; HANGUL SYLLABLE GUP
        "\uAD87",  # ; HANGUL SYLLABLE GUH
        "\uAD88",  # ; HANGUL SYLLABLE GWEO
        "\uAD89",  # ; HANGUL SYLLABLE GWEOG
        "\uAD8A",  # ; HANGUL SYLLABLE GWEOGG
        "\uAD8B",  # ; HANGUL SYLLABLE GWEOGS
        "\uAD8C",  # ; HANGUL SYLLABLE GWEON
        "\uAD8D",  # ; HANGUL SYLLABLE GWEONJ
        "\uAD8E",  # ; HANGUL SYLLABLE GWEONH
        "\uAD8F",  # ; HANGUL SYLLABLE GWEOD
        "\uAD90",  # ; HANGUL SYLLABLE GWEOL
        "\uAD91",  # ; HANGUL SYLLABLE GWEOLG
        "\uAD92",  # ; HANGUL SYLLABLE GWEOLM
        "\uAD93",  # ; HANGUL SYLLABLE GWEOLB
        "\uAD94",  # ; HANGUL SYLLABLE GWEOLS
        "\uAD95",  # ; HANGUL SYLLABLE GWEOLT
        "\uAD96",  # ; HANGUL SYLLABLE GWEOLP
        "\uAD97",  # ; HANGUL SYLLABLE GWEOLH
        "\uAD98",  # ; HANGUL SYLLABLE GWEOM
        "\uAD99",  # ; HANGUL SYLLABLE GWEOB
        "\uAD9A",  # ; HANGUL SYLLABLE GWEOBS
        "\uAD9B",  # ; HANGUL SYLLABLE GWEOS
        "\uAD9C",  # ; HANGUL SYLLABLE GWEOSS
        "\uAD9D",  # ; HANGUL SYLLABLE GWEONG
        "\uAD9E",  # ; HANGUL SYLLABLE GWEOJ
        "\uAD9F",  # ; HANGUL SYLLABLE GWEOC
        "\uADA0",  # ; HANGUL SYLLABLE GWEOK
        "\uADA1",  # ; HANGUL SYLLABLE GWEOT
        "\uADA2",  # ; HANGUL SYLLABLE GWEOP
        "\uADA3",  # ; HANGUL SYLLABLE GWEOH
        "\uADA4",  # ; HANGUL SYLLABLE GWE
        "\uADA5",  # ; HANGUL SYLLABLE GWEG
        "\uADA6",  # ; HANGUL SYLLABLE GWEGG
        "\uADA7",  # ; HANGUL SYLLABLE GWEGS
        "\uADA8",  # ; HANGUL SYLLABLE GWEN
        "\uADA9",  # ; HANGUL SYLLABLE GWENJ
        "\uADAA",  # ; HANGUL SYLLABLE GWENH
        "\uADAB",  # ; HANGUL SYLLABLE GWED
        "\uADAC",  # ; HANGUL SYLLABLE GWEL
        "\uADAD",  # ; HANGUL SYLLABLE GWELG
        "\uADAE",  # ; HANGUL SYLLABLE GWELM
        "\uADAF",  # ; HANGUL SYLLABLE GWELB
        "\uADB0",  # ; HANGUL SYLLABLE GWELS
        "\uADB1",  # ; HANGUL SYLLABLE GWELT
        "\uADB2",  # ; HANGUL SYLLABLE GWELP
        "\uADB3",  # ; HANGUL SYLLABLE GWELH
        "\uADB4",  # ; HANGUL SYLLABLE GWEM
        "\uADB5",  # ; HANGUL SYLLABLE GWEB
        "\uADB6",  # ; HANGUL SYLLABLE GWEBS
        "\uADB7",  # ; HANGUL SYLLABLE GWES
        "\uADB8",  # ; HANGUL SYLLABLE GWESS
        "\uADB9",  # ; HANGUL SYLLABLE GWENG
        "\uADBA",  # ; HANGUL SYLLABLE GWEJ
        "\uADBB",  # ; HANGUL SYLLABLE GWEC
        "\uADBC",  # ; HANGUL SYLLABLE GWEK
        "\uADBD",  # ; HANGUL SYLLABLE GWET
        "\uADBE",  # ; HANGUL SYLLABLE GWEP
        "\uADBF",  # ; HANGUL SYLLABLE GWEH
        "\uADC0",  # ; HANGUL SYLLABLE GWI
        "\uADC1",  # ; HANGUL SYLLABLE GWIG
        "\uADC2",  # ; HANGUL SYLLABLE GWIGG
        "\uADC3",  # ; HANGUL SYLLABLE GWIGS
        "\uADC4",  # ; HANGUL SYLLABLE GWIN
        "\uADC5",  # ; HANGUL SYLLABLE GWINJ
        "\uADC6",  # ; HANGUL SYLLABLE GWINH
        "\uADC7",  # ; HANGUL SYLLABLE GWID
        "\uADC8",  # ; HANGUL SYLLABLE GWIL
        "\uADC9",  # ; HANGUL SYLLABLE GWILG
        "\uADCA",  # ; HANGUL SYLLABLE GWILM
        "\uADCB",  # ; HANGUL SYLLABLE GWILB
        "\uADCC",  # ; HANGUL SYLLABLE GWILS
        "\uADCD",  # ; HANGUL SYLLABLE GWILT
        "\uADCE",  # ; HANGUL SYLLABLE GWILP
        "\uADCF",  # ; HANGUL SYLLABLE GWILH
        "\uADD0",  # ; HANGUL SYLLABLE GWIM
        "\uADD1",  # ; HANGUL SYLLABLE GWIB
        "\uADD2",  # ; HANGUL SYLLABLE GWIBS
        "\uADD3",  # ; HANGUL SYLLABLE GWIS
        "\uADD4",  # ; HANGUL SYLLABLE GWISS
        "\uADD5",  # ; HANGUL SYLLABLE GWING
        "\uADD6",  # ; HANGUL SYLLABLE GWIJ
        "\uADD7",  # ; HANGUL SYLLABLE GWIC
        "\uADD8",  # ; HANGUL SYLLABLE GWIK
        "\uADD9",  # ; HANGUL SYLLABLE GWIT
        "\uADDA",  # ; HANGUL SYLLABLE GWIP
        "\uADDB",  # ; HANGUL SYLLABLE GWIH
        "\uADDC",  # ; HANGUL SYLLABLE GYU
        "\uADDD",  # ; HANGUL SYLLABLE GYUG
        "\uADDE",  # ; HANGUL SYLLABLE GYUGG
        "\uADDF",  # ; HANGUL SYLLABLE GYUGS
        "\uADE0",  # ; HANGUL SYLLABLE GYUN
        "\uADE1",  # ; HANGUL SYLLABLE GYUNJ
        "\uADE2",  # ; HANGUL SYLLABLE GYUNH
        "\uADE3",  # ; HANGUL SYLLABLE GYUD
        "\uADE4",  # ; HANGUL SYLLABLE GYUL
        "\uADE5",  # ; HANGUL SYLLABLE GYULG
        "\uADE6",  # ; HANGUL SYLLABLE GYULM
        "\uADE7",  # ; HANGUL SYLLABLE GYULB
        "\uADE8",  # ; HANGUL SYLLABLE GYULS
        "\uADE9",  # ; HANGUL SYLLABLE GYULT
        "\uADEA",  # ; HANGUL SYLLABLE GYULP
        "\uADEB",  # ; HANGUL SYLLABLE GYULH
        "\uADEC",  # ; HANGUL SYLLABLE GYUM
        "\uADED",  # ; HANGUL SYLLABLE GYUB
        "\uADEE",  # ; HANGUL SYLLABLE GYUBS
        "\uADEF",  # ; HANGUL SYLLABLE GYUS
        "\uADF0",  # ; HANGUL SYLLABLE GYUSS
        "\uADF1",  # ; HANGUL SYLLABLE GYUNG
        "\uADF2",  # ; HANGUL SYLLABLE GYUJ
        "\uADF3",  # ; HANGUL SYLLABLE GYUC
        "\uADF4",  # ; HANGUL SYLLABLE GYUK
        "\uADF5",  # ; HANGUL SYLLABLE GYUT
        "\uADF6",  # ; HANGUL SYLLABLE GYUP
        "\uADF7",  # ; HANGUL SYLLABLE GYUH
        "\uADF8",  # ; HANGUL SYLLABLE GEU
        "\uADF9",  # ; HANGUL SYLLABLE GEUG
        "\uADFA",  # ; HANGUL SYLLABLE GEUGG
        "\uADFB",  # ; HANGUL SYLLABLE GEUGS
        "\uADFC",  # ; HANGUL SYLLABLE GEUN
        "\uADFD",  # ; HANGUL SYLLABLE GEUNJ
        "\uADFE",  # ; HANGUL SYLLABLE GEUNH
        "\uADFF",  # ; HANGUL SYLLABLE GEUD
        "\uAE00",  # ; HANGUL SYLLABLE GEUL
        "\uAE01",  # ; HANGUL SYLLABLE GEULG
        "\uAE02",  # ; HANGUL SYLLABLE GEULM
        "\uAE03",  # ; HANGUL SYLLABLE GEULB
        "\uAE04",  # ; HANGUL SYLLABLE GEULS
        "\uAE05",  # ; HANGUL SYLLABLE GEULT
        "\uAE06",  # ; HANGUL SYLLABLE GEULP
        "\uAE07",  # ; HANGUL SYLLABLE GEULH
        "\uAE08",  # ; HANGUL SYLLABLE GEUM
        "\uAE09",  # ; HANGUL SYLLABLE GEUB
        "\uAE0A",  # ; HANGUL SYLLABLE GEUBS
        "\uAE0B",  # ; HANGUL SYLLABLE GEUS
        "\uAE0C",  # ; HANGUL SYLLABLE GEUSS
        "\uAE0D",  # ; HANGUL SYLLABLE GEUNG
        "\uAE0E",  # ; HANGUL SYLLABLE GEUJ
        "\uAE0F",  # ; HANGUL SYLLABLE GEUC
        "\uAE10",  # ; HANGUL SYLLABLE GEUK
        "\uAE11",  # ; HANGUL SYLLABLE GEUT
        "\uAE12",  # ; HANGUL SYLLABLE GEUP
        "\uAE13",  # ; HANGUL SYLLABLE GEUH
        "\uAE14",  # ; HANGUL SYLLABLE GYI
        "\uAE15",  # ; HANGUL SYLLABLE GYIG
        "\uAE16",  # ; HANGUL SYLLABLE GYIGG
        "\uAE17",  # ; HANGUL SYLLABLE GYIGS
        "\uAE18",  # ; HANGUL SYLLABLE GYIN
        "\uAE19",  # ; HANGUL SYLLABLE GYINJ
        "\uAE1A",  # ; HANGUL SYLLABLE GYINH
        "\uAE1B",  # ; HANGUL SYLLABLE GYID
        "\uAE1C",  # ; HANGUL SYLLABLE GYIL
        "\uAE1D",  # ; HANGUL SYLLABLE GYILG
        "\uAE1E",  # ; HANGUL SYLLABLE GYILM
        "\uAE1F",  # ; HANGUL SYLLABLE GYILB
        "\uAE20",  # ; HANGUL SYLLABLE GYILS
        "\uAE21",  # ; HANGUL SYLLABLE GYILT
        "\uAE22",  # ; HANGUL SYLLABLE GYILP
        "\uAE23",  # ; HANGUL SYLLABLE GYILH
        "\uAE24",  # ; HANGUL SYLLABLE GYIM
        "\uAE25",  # ; HANGUL SYLLABLE GYIB
        "\uAE26",  # ; HANGUL SYLLABLE GYIBS
        "\uAE27",  # ; HANGUL SYLLABLE GYIS
        "\uAE28",  # ; HANGUL SYLLABLE GYISS
        "\uAE29",  # ; HANGUL SYLLABLE GYING
        "\uAE2A",  # ; HANGUL SYLLABLE GYIJ
        "\uAE2B",  # ; HANGUL SYLLABLE GYIC
        "\uAE2C",  # ; HANGUL SYLLABLE GYIK
        "\uAE2D",  # ; HANGUL SYLLABLE GYIT
        "\uAE2E",  # ; HANGUL SYLLABLE GYIP
        "\uAE2F",  # ; HANGUL SYLLABLE GYIH
        "\uAE30",  # ; HANGUL SYLLABLE GI
        "\uAE31",  # ; HANGUL SYLLABLE GIG
        "\uAE32",  # ; HANGUL SYLLABLE GIGG
        "\uAE33",  # ; HANGUL SYLLABLE GIGS
        "\uAE34",  # ; HANGUL SYLLABLE GIN
        "\uAE35",  # ; HANGUL SYLLABLE GINJ
        "\uAE36",  # ; HANGUL SYLLABLE GINH
        "\uAE37",  # ; HANGUL SYLLABLE GID
        "\uAE38",  # ; HANGUL SYLLABLE GIL
        "\uAE39",  # ; HANGUL SYLLABLE GILG
        "\uAE3A",  # ; HANGUL SYLLABLE GILM
        "\uAE3B",  # ; HANGUL SYLLABLE GILB
        "\uAE3C",  # ; HANGUL SYLLABLE GILS
        "\uAE3D",  # ; HANGUL SYLLABLE GILT
        "\uAE3E",  # ; HANGUL SYLLABLE GILP
        "\uAE3F",  # ; HANGUL SYLLABLE GILH
        "\uAE40",  # ; HANGUL SYLLABLE GIM
        "\uAE41",  # ; HANGUL SYLLABLE GIB
        "\uAE42",  # ; HANGUL SYLLABLE GIBS
        "\uAE43",  # ; HANGUL SYLLABLE GIS
        "\uAE44",  # ; HANGUL SYLLABLE GISS
        "\uAE45",  # ; HANGUL SYLLABLE GING
        "\uAE46",  # ; HANGUL SYLLABLE GIJ
        "\uAE47",  # ; HANGUL SYLLABLE GIC
        "\uAE48",  # ; HANGUL SYLLABLE GIK
        "\uAE49",  # ; HANGUL SYLLABLE GIT
        "\uAE4A",  # ; HANGUL SYLLABLE GIP
        "\uAE4B",  # ; HANGUL SYLLABLE GIH
        "\uAE4C",  # ; HANGUL SYLLABLE GGA
        "\uAE4D",  # ; HANGUL SYLLABLE GGAG
        "\uAE4E",  # ; HANGUL SYLLABLE GGAGG
        "\uAE4F",  # ; HANGUL SYLLABLE GGAGS
        "\uAE50",  # ; HANGUL SYLLABLE GGAN
        "\uAE51",  # ; HANGUL SYLLABLE GGANJ
        "\uAE52",  # ; HANGUL SYLLABLE GGANH
        "\uAE53",  # ; HANGUL SYLLABLE GGAD
        "\uAE54",  # ; HANGUL SYLLABLE GGAL
        "\uAE55",  # ; HANGUL SYLLABLE GGALG
        "\uAE56",  # ; HANGUL SYLLABLE GGALM
        "\uAE57",  # ; HANGUL SYLLABLE GGALB
        "\uAE58",  # ; HANGUL SYLLABLE GGALS
        "\uAE59",  # ; HANGUL SYLLABLE GGALT
        "\uAE5A",  # ; HANGUL SYLLABLE GGALP
        "\uAE5B",  # ; HANGUL SYLLABLE GGALH
        "\uAE5C",  # ; HANGUL SYLLABLE GGAM
        "\uAE5D",  # ; HANGUL SYLLABLE GGAB
        "\uAE5E",  # ; HANGUL SYLLABLE GGABS
        "\uAE5F",  # ; HANGUL SYLLABLE GGAS
        "\uAE60",  # ; HANGUL SYLLABLE GGASS
        "\uAE61",  # ; HANGUL SYLLABLE GGANG
        "\uAE62",  # ; HANGUL SYLLABLE GGAJ
        "\uAE63",  # ; HANGUL SYLLABLE GGAC
        "\uAE64",  # ; HANGUL SYLLABLE GGAK
        "\uAE65",  # ; HANGUL SYLLABLE GGAT
        "\uAE66",  # ; HANGUL SYLLABLE GGAP
        "\uAE67",  # ; HANGUL SYLLABLE GGAH
        "\uAE68",  # ; HANGUL SYLLABLE GGAE
        "\uAE69",  # ; HANGUL SYLLABLE GGAEG
        "\uAE6A",  # ; HANGUL SYLLABLE GGAEGG
        "\uAE6B",  # ; HANGUL SYLLABLE GGAEGS
        "\uAE6C",  # ; HANGUL SYLLABLE GGAEN
        "\uAE6D",  # ; HANGUL SYLLABLE GGAENJ
        "\uAE6E",  # ; HANGUL SYLLABLE GGAENH
        "\uAE6F",  # ; HANGUL SYLLABLE GGAED
        "\uAE70",  # ; HANGUL SYLLABLE GGAEL
        "\uAE71",  # ; HANGUL SYLLABLE GGAELG
        "\uAE72",  # ; HANGUL SYLLABLE GGAELM
        "\uAE73",  # ; HANGUL SYLLABLE GGAELB
        "\uAE74",  # ; HANGUL SYLLABLE GGAELS
        "\uAE75",  # ; HANGUL SYLLABLE GGAELT
        "\uAE76",  # ; HANGUL SYLLABLE GGAELP
        "\uAE77",  # ; HANGUL SYLLABLE GGAELH
        "\uAE78",  # ; HANGUL SYLLABLE GGAEM
        "\uAE79",  # ; HANGUL SYLLABLE GGAEB
        "\uAE7A",  # ; HANGUL SYLLABLE GGAEBS
        "\uAE7B",  # ; HANGUL SYLLABLE GGAES
        "\uAE7C",  # ; HANGUL SYLLABLE GGAESS
        "\uAE7D",  # ; HANGUL SYLLABLE GGAENG
        "\uAE7E",  # ; HANGUL SYLLABLE GGAEJ
        "\uAE7F",  # ; HANGUL SYLLABLE GGAEC
        "\uAE80",  # ; HANGUL SYLLABLE GGAEK
        "\uAE81",  # ; HANGUL SYLLABLE GGAET
        "\uAE82",  # ; HANGUL SYLLABLE GGAEP
        "\uAE83",  # ; HANGUL SYLLABLE GGAEH
        "\uAE84",  # ; HANGUL SYLLABLE GGYA
        "\uAE85",  # ; HANGUL SYLLABLE GGYAG
        "\uAE86",  # ; HANGUL SYLLABLE GGYAGG
        "\uAE87",  # ; HANGUL SYLLABLE GGYAGS
        "\uAE88",  # ; HANGUL SYLLABLE GGYAN
        "\uAE89",  # ; HANGUL SYLLABLE GGYANJ
        "\uAE8A",  # ; HANGUL SYLLABLE GGYANH
        "\uAE8B",  # ; HANGUL SYLLABLE GGYAD
        "\uAE8C",  # ; HANGUL SYLLABLE GGYAL
        "\uAE8D",  # ; HANGUL SYLLABLE GGYALG
        "\uAE8E",  # ; HANGUL SYLLABLE GGYALM
        "\uAE8F",  # ; HANGUL SYLLABLE GGYALB
        "\uAE90",  # ; HANGUL SYLLABLE GGYALS
        "\uAE91",  # ; HANGUL SYLLABLE GGYALT
        "\uAE92",  # ; HANGUL SYLLABLE GGYALP
        "\uAE93",  # ; HANGUL SYLLABLE GGYALH
        "\uAE94",  # ; HANGUL SYLLABLE GGYAM
        "\uAE95",  # ; HANGUL SYLLABLE GGYAB
        "\uAE96",  # ; HANGUL SYLLABLE GGYABS
        "\uAE97",  # ; HANGUL SYLLABLE GGYAS
        "\uAE98",  # ; HANGUL SYLLABLE GGYASS
        "\uAE99",  # ; HANGUL SYLLABLE GGYANG
        "\uAE9A",  # ; HANGUL SYLLABLE GGYAJ
        "\uAE9B",  # ; HANGUL SYLLABLE GGYAC
        "\uAE9C",  # ; HANGUL SYLLABLE GGYAK
        "\uAE9D",  # ; HANGUL SYLLABLE GGYAT
        "\uAE9E",  # ; HANGUL SYLLABLE GGYAP
        "\uAE9F",  # ; HANGUL SYLLABLE GGYAH
        "\uAEA0",  # ; HANGUL SYLLABLE GGYAE
        "\uAEA1",  # ; HANGUL SYLLABLE GGYAEG
        "\uAEA2",  # ; HANGUL SYLLABLE GGYAEGG
        "\uAEA3",  # ; HANGUL SYLLABLE GGYAEGS
        "\uAEA4",  # ; HANGUL SYLLABLE GGYAEN
        "\uAEA5",  # ; HANGUL SYLLABLE GGYAENJ
        "\uAEA6",  # ; HANGUL SYLLABLE GGYAENH
        "\uAEA7",  # ; HANGUL SYLLABLE GGYAED
        "\uAEA8",  # ; HANGUL SYLLABLE GGYAEL
        "\uAEA9",  # ; HANGUL SYLLABLE GGYAELG
        "\uAEAA",  # ; HANGUL SYLLABLE GGYAELM
        "\uAEAB",  # ; HANGUL SYLLABLE GGYAELB
        "\uAEAC",  # ; HANGUL SYLLABLE GGYAELS
        "\uAEAD",  # ; HANGUL SYLLABLE GGYAELT
        "\uAEAE",  # ; HANGUL SYLLABLE GGYAELP
        "\uAEAF",  # ; HANGUL SYLLABLE GGYAELH
        "\uAEB0",  # ; HANGUL SYLLABLE GGYAEM
        "\uAEB1",  # ; HANGUL SYLLABLE GGYAEB
        "\uAEB2",  # ; HANGUL SYLLABLE GGYAEBS
        "\uAEB3",  # ; HANGUL SYLLABLE GGYAES
        "\uAEB4",  # ; HANGUL SYLLABLE GGYAESS
        "\uAEB5",  # ; HANGUL SYLLABLE GGYAENG
        "\uAEB6",  # ; HANGUL SYLLABLE GGYAEJ
        "\uAEB7",  # ; HANGUL SYLLABLE GGYAEC
        "\uAEB8",  # ; HANGUL SYLLABLE GGYAEK
        "\uAEB9",  # ; HANGUL SYLLABLE GGYAET
        "\uAEBA",  # ; HANGUL SYLLABLE GGYAEP
        "\uAEBB",  # ; HANGUL SYLLABLE GGYAEH
        "\uAEBC",  # ; HANGUL SYLLABLE GGEO
        "\uAEBD",  # ; HANGUL SYLLABLE GGEOG
        "\uAEBE",  # ; HANGUL SYLLABLE GGEOGG
        "\uAEBF",  # ; HANGUL SYLLABLE GGEOGS
        "\uAEC0",  # ; HANGUL SYLLABLE GGEON
        "\uAEC1",  # ; HANGUL SYLLABLE GGEONJ
        "\uAEC2",  # ; HANGUL SYLLABLE GGEONH
        "\uAEC3",  # ; HANGUL SYLLABLE GGEOD
        "\uAEC4",  # ; HANGUL SYLLABLE GGEOL
        "\uAEC5",  # ; HANGUL SYLLABLE GGEOLG
        "\uAEC6",  # ; HANGUL SYLLABLE GGEOLM
        "\uAEC7",  # ; HANGUL SYLLABLE GGEOLB
        "\uAEC8",  # ; HANGUL SYLLABLE GGEOLS
        "\uAEC9",  # ; HANGUL SYLLABLE GGEOLT
        "\uAECA",  # ; HANGUL SYLLABLE GGEOLP
        "\uAECB",  # ; HANGUL SYLLABLE GGEOLH
        "\uAECC",  # ; HANGUL SYLLABLE GGEOM
        "\uAECD",  # ; HANGUL SYLLABLE GGEOB
        "\uAECE",  # ; HANGUL SYLLABLE GGEOBS
        "\uAECF",  # ; HANGUL SYLLABLE GGEOS
        "\uAED0",  # ; HANGUL SYLLABLE GGEOSS
        "\uAED1",  # ; HANGUL SYLLABLE GGEONG
        "\uAED2",  # ; HANGUL SYLLABLE GGEOJ
        "\uAED3",  # ; HANGUL SYLLABLE GGEOC
        "\uAED4",  # ; HANGUL SYLLABLE GGEOK
        "\uAED5",  # ; HANGUL SYLLABLE GGEOT
        "\uAED6",  # ; HANGUL SYLLABLE GGEOP
        "\uAED7",  # ; HANGUL SYLLABLE GGEOH
        "\uAED8",  # ; HANGUL SYLLABLE GGE
        "\uAED9",  # ; HANGUL SYLLABLE GGEG
        "\uAEDA",  # ; HANGUL SYLLABLE GGEGG
        "\uAEDB",  # ; HANGUL SYLLABLE GGEGS
        "\uAEDC",  # ; HANGUL SYLLABLE GGEN
        "\uAEDD",  # ; HANGUL SYLLABLE GGENJ
        "\uAEDE",  # ; HANGUL SYLLABLE GGENH
        "\uAEDF",  # ; HANGUL SYLLABLE GGED
        "\uAEE0",  # ; HANGUL SYLLABLE GGEL
        "\uAEE1",  # ; HANGUL SYLLABLE GGELG
        "\uAEE2",  # ; HANGUL SYLLABLE GGELM
        "\uAEE3",  # ; HANGUL SYLLABLE GGELB
        "\uAEE4",  # ; HANGUL SYLLABLE GGELS
        "\uAEE5",  # ; HANGUL SYLLABLE GGELT
        "\uAEE6",  # ; HANGUL SYLLABLE GGELP
        "\uAEE7",  # ; HANGUL SYLLABLE GGELH
        "\uAEE8",  # ; HANGUL SYLLABLE GGEM
        "\uAEE9",  # ; HANGUL SYLLABLE GGEB
        "\uAEEA",  # ; HANGUL SYLLABLE GGEBS
        "\uAEEB",  # ; HANGUL SYLLABLE GGES
        "\uAEEC",  # ; HANGUL SYLLABLE GGESS
        "\uAEED",  # ; HANGUL SYLLABLE GGENG
        "\uAEEE",  # ; HANGUL SYLLABLE GGEJ
        "\uAEEF",  # ; HANGUL SYLLABLE GGEC
        "\uAEF0",  # ; HANGUL SYLLABLE GGEK
        "\uAEF1",  # ; HANGUL SYLLABLE GGET
        "\uAEF2",  # ; HANGUL SYLLABLE GGEP
        "\uAEF3",  # ; HANGUL SYLLABLE GGEH
        "\uAEF4",  # ; HANGUL SYLLABLE GGYEO
        "\uAEF5",  # ; HANGUL SYLLABLE GGYEOG
        "\uAEF6",  # ; HANGUL SYLLABLE GGYEOGG
        "\uAEF7",  # ; HANGUL SYLLABLE GGYEOGS
        "\uAEF8",  # ; HANGUL SYLLABLE GGYEON
        "\uAEF9",  # ; HANGUL SYLLABLE GGYEONJ
        "\uAEFA",  # ; HANGUL SYLLABLE GGYEONH
        "\uAEFB",  # ; HANGUL SYLLABLE GGYEOD
        "\uAEFC",  # ; HANGUL SYLLABLE GGYEOL
        "\uAEFD",  # ; HANGUL SYLLABLE GGYEOLG
        "\uAEFE",  # ; HANGUL SYLLABLE GGYEOLM
        "\uAEFF",  # ; HANGUL SYLLABLE GGYEOLB
        "\uAF00",  # ; HANGUL SYLLABLE GGYEOLS
        "\uAF01",  # ; HANGUL SYLLABLE GGYEOLT
        "\uAF02",  # ; HANGUL SYLLABLE GGYEOLP
        "\uAF03",  # ; HANGUL SYLLABLE GGYEOLH
        "\uAF04",  # ; HANGUL SYLLABLE GGYEOM
        "\uAF05",  # ; HANGUL SYLLABLE GGYEOB
        "\uAF06",  # ; HANGUL SYLLABLE GGYEOBS
        "\uAF07",  # ; HANGUL SYLLABLE GGYEOS
        "\uAF08",  # ; HANGUL SYLLABLE GGYEOSS
        "\uAF09",  # ; HANGUL SYLLABLE GGYEONG
        "\uAF0A",  # ; HANGUL SYLLABLE GGYEOJ
        "\uAF0B",  # ; HANGUL SYLLABLE GGYEOC
        "\uAF0C",  # ; HANGUL SYLLABLE GGYEOK
        "\uAF0D",  # ; HANGUL SYLLABLE GGYEOT
        "\uAF0E",  # ; HANGUL SYLLABLE GGYEOP
        "\uAF0F",  # ; HANGUL SYLLABLE GGYEOH
        "\uAF10",  # ; HANGUL SYLLABLE GGYE
        "\uAF11",  # ; HANGUL SYLLABLE GGYEG
        "\uAF12",  # ; HANGUL SYLLABLE GGYEGG
        "\uAF13",  # ; HANGUL SYLLABLE GGYEGS
        "\uAF14",  # ; HANGUL SYLLABLE GGYEN
        "\uAF15",  # ; HANGUL SYLLABLE GGYENJ
        "\uAF16",  # ; HANGUL SYLLABLE GGYENH
        "\uAF17",  # ; HANGUL SYLLABLE GGYED
        "\uAF18",  # ; HANGUL SYLLABLE GGYEL
        "\uAF19",  # ; HANGUL SYLLABLE GGYELG
        "\uAF1A",  # ; HANGUL SYLLABLE GGYELM
        "\uAF1B",  # ; HANGUL SYLLABLE GGYELB
        "\uAF1C",  # ; HANGUL SYLLABLE GGYELS
        "\uAF1D",  # ; HANGUL SYLLABLE GGYELT
        "\uAF1E",  # ; HANGUL SYLLABLE GGYELP
        "\uAF1F",  # ; HANGUL SYLLABLE GGYELH
        "\uAF20",  # ; HANGUL SYLLABLE GGYEM
        "\uAF21",  # ; HANGUL SYLLABLE GGYEB
        "\uAF22",  # ; HANGUL SYLLABLE GGYEBS
        "\uAF23",  # ; HANGUL SYLLABLE GGYES
        "\uAF24",  # ; HANGUL SYLLABLE GGYESS
        "\uAF25",  # ; HANGUL SYLLABLE GGYENG
        "\uAF26",  # ; HANGUL SYLLABLE GGYEJ
        "\uAF27",  # ; HANGUL SYLLABLE GGYEC
        "\uAF28",  # ; HANGUL SYLLABLE GGYEK
        "\uAF29",  # ; HANGUL SYLLABLE GGYET
        "\uAF2A",  # ; HANGUL SYLLABLE GGYEP
        "\uAF2B",  # ; HANGUL SYLLABLE GGYEH
        "\uAF2C",  # ; HANGUL SYLLABLE GGO
        "\uAF2D",  # ; HANGUL SYLLABLE GGOG
        "\uAF2E",  # ; HANGUL SYLLABLE GGOGG
        "\uAF2F",  # ; HANGUL SYLLABLE GGOGS
        "\uAF30",  # ; HANGUL SYLLABLE GGON
        "\uAF31",  # ; HANGUL SYLLABLE GGONJ
        "\uAF32",  # ; HANGUL SYLLABLE GGONH
        "\uAF33",  # ; HANGUL SYLLABLE GGOD
        "\uAF34",  # ; HANGUL SYLLABLE GGOL
        "\uAF35",  # ; HANGUL SYLLABLE GGOLG
        "\uAF36",  # ; HANGUL SYLLABLE GGOLM
        "\uAF37",  # ; HANGUL SYLLABLE GGOLB
        "\uAF38",  # ; HANGUL SYLLABLE GGOLS
        "\uAF39",  # ; HANGUL SYLLABLE GGOLT
        "\uAF3A",  # ; HANGUL SYLLABLE GGOLP
        "\uAF3B",  # ; HANGUL SYLLABLE GGOLH
        "\uAF3C",  # ; HANGUL SYLLABLE GGOM
        "\uAF3D",  # ; HANGUL SYLLABLE GGOB
        "\uAF3E",  # ; HANGUL SYLLABLE GGOBS
        "\uAF3F",  # ; HANGUL SYLLABLE GGOS
        "\uAF40",  # ; HANGUL SYLLABLE GGOSS
        "\uAF41",  # ; HANGUL SYLLABLE GGONG
        "\uAF42",  # ; HANGUL SYLLABLE GGOJ
        "\uAF43",  # ; HANGUL SYLLABLE GGOC
        "\uAF44",  # ; HANGUL SYLLABLE GGOK
        "\uAF45",  # ; HANGUL SYLLABLE GGOT
        "\uAF46",  # ; HANGUL SYLLABLE GGOP
        "\uAF47",  # ; HANGUL SYLLABLE GGOH
        "\uAF48",  # ; HANGUL SYLLABLE GGWA
        "\uAF49",  # ; HANGUL SYLLABLE GGWAG
        "\uAF4A",  # ; HANGUL SYLLABLE GGWAGG
        "\uAF4B",  # ; HANGUL SYLLABLE GGWAGS
        "\uAF4C",  # ; HANGUL SYLLABLE GGWAN
        "\uAF4D",  # ; HANGUL SYLLABLE GGWANJ
        "\uAF4E",  # ; HANGUL SYLLABLE GGWANH
        "\uAF4F",  # ; HANGUL SYLLABLE GGWAD
        "\uAF50",  # ; HANGUL SYLLABLE GGWAL
        "\uAF51",  # ; HANGUL SYLLABLE GGWALG
        "\uAF52",  # ; HANGUL SYLLABLE GGWALM
        "\uAF53",  # ; HANGUL SYLLABLE GGWALB
        "\uAF54",  # ; HANGUL SYLLABLE GGWALS
        "\uAF55",  # ; HANGUL SYLLABLE GGWALT
        "\uAF56",  # ; HANGUL SYLLABLE GGWALP
        "\uAF57",  # ; HANGUL SYLLABLE GGWALH
        "\uAF58",  # ; HANGUL SYLLABLE GGWAM
        "\uAF59",  # ; HANGUL SYLLABLE GGWAB
        "\uAF5A",  # ; HANGUL SYLLABLE GGWABS
        "\uAF5B",  # ; HANGUL SYLLABLE GGWAS
        "\uAF5C",  # ; HANGUL SYLLABLE GGWASS
        "\uAF5D",  # ; HANGUL SYLLABLE GGWANG
        "\uAF5E",  # ; HANGUL SYLLABLE GGWAJ
        "\uAF5F",  # ; HANGUL SYLLABLE GGWAC
        "\uAF60",  # ; HANGUL SYLLABLE GGWAK
        "\uAF61",  # ; HANGUL SYLLABLE GGWAT
        "\uAF62",  # ; HANGUL SYLLABLE GGWAP
        "\uAF63",  # ; HANGUL SYLLABLE GGWAH
        "\uAF64",  # ; HANGUL SYLLABLE GGWAE
        "\uAF65",  # ; HANGUL SYLLABLE GGWAEG
        "\uAF66",  # ; HANGUL SYLLABLE GGWAEGG
        "\uAF67",  # ; HANGUL SYLLABLE GGWAEGS
        "\uAF68",  # ; HANGUL SYLLABLE GGWAEN
        "\uAF69",  # ; HANGUL SYLLABLE GGWAENJ
        "\uAF6A",  # ; HANGUL SYLLABLE GGWAENH
        "\uAF6B",  # ; HANGUL SYLLABLE GGWAED
        "\uAF6C",  # ; HANGUL SYLLABLE GGWAEL
        "\uAF6D",  # ; HANGUL SYLLABLE GGWAELG
        "\uAF6E",  # ; HANGUL SYLLABLE GGWAELM
        "\uAF6F",  # ; HANGUL SYLLABLE GGWAELB
        "\uAF70",  # ; HANGUL SYLLABLE GGWAELS
        "\uAF71",  # ; HANGUL SYLLABLE GGWAELT
        "\uAF72",  # ; HANGUL SYLLABLE GGWAELP
        "\uAF73",  # ; HANGUL SYLLABLE GGWAELH
        "\uAF74",  # ; HANGUL SYLLABLE GGWAEM
        "\uAF75",  # ; HANGUL SYLLABLE GGWAEB
        "\uAF76",  # ; HANGUL SYLLABLE GGWAEBS
        "\uAF77",  # ; HANGUL SYLLABLE GGWAES
        "\uAF78",  # ; HANGUL SYLLABLE GGWAESS
        "\uAF79",  # ; HANGUL SYLLABLE GGWAENG
        "\uAF7A",  # ; HANGUL SYLLABLE GGWAEJ
        "\uAF7B",  # ; HANGUL SYLLABLE GGWAEC
        "\uAF7C",  # ; HANGUL SYLLABLE GGWAEK
        "\uAF7D",  # ; HANGUL SYLLABLE GGWAET
        "\uAF7E",  # ; HANGUL SYLLABLE GGWAEP
        "\uAF7F",  # ; HANGUL SYLLABLE GGWAEH
        "\uAF80",  # ; HANGUL SYLLABLE GGOE
        "\uAF81",  # ; HANGUL SYLLABLE GGOEG
        "\uAF82",  # ; HANGUL SYLLABLE GGOEGG
        "\uAF83",  # ; HANGUL SYLLABLE GGOEGS
        "\uAF84",  # ; HANGUL SYLLABLE GGOEN
        "\uAF85",  # ; HANGUL SYLLABLE GGOENJ
        "\uAF86",  # ; HANGUL SYLLABLE GGOENH
        "\uAF87",  # ; HANGUL SYLLABLE GGOED
        "\uAF88",  # ; HANGUL SYLLABLE GGOEL
        "\uAF89",  # ; HANGUL SYLLABLE GGOELG
        "\uAF8A",  # ; HANGUL SYLLABLE GGOELM
        "\uAF8B",  # ; HANGUL SYLLABLE GGOELB
        "\uAF8C",  # ; HANGUL SYLLABLE GGOELS
        "\uAF8D",  # ; HANGUL SYLLABLE GGOELT
        "\uAF8E",  # ; HANGUL SYLLABLE GGOELP
        "\uAF8F",  # ; HANGUL SYLLABLE GGOELH
        "\uAF90",  # ; HANGUL SYLLABLE GGOEM
        "\uAF91",  # ; HANGUL SYLLABLE GGOEB
        "\uAF92",  # ; HANGUL SYLLABLE GGOEBS
        "\uAF93",  # ; HANGUL SYLLABLE GGOES
        "\uAF94",  # ; HANGUL SYLLABLE GGOESS
        "\uAF95",  # ; HANGUL SYLLABLE GGOENG
        "\uAF96",  # ; HANGUL SYLLABLE GGOEJ
        "\uAF97",  # ; HANGUL SYLLABLE GGOEC
        "\uAF98",  # ; HANGUL SYLLABLE GGOEK
        "\uAF99",  # ; HANGUL SYLLABLE GGOET
        "\uAF9A",  # ; HANGUL SYLLABLE GGOEP
        "\uAF9B",  # ; HANGUL SYLLABLE GGOEH
        "\uAF9C",  # ; HANGUL SYLLABLE GGYO
        "\uAF9D",  # ; HANGUL SYLLABLE GGYOG
        "\uAF9E",  # ; HANGUL SYLLABLE GGYOGG
        "\uAF9F",  # ; HANGUL SYLLABLE GGYOGS
        "\uAFA0",  # ; HANGUL SYLLABLE GGYON
        "\uAFA1",  # ; HANGUL SYLLABLE GGYONJ
        "\uAFA2",  # ; HANGUL SYLLABLE GGYONH
        "\uAFA3",  # ; HANGUL SYLLABLE GGYOD
        "\uAFA4",  # ; HANGUL SYLLABLE GGYOL
        "\uAFA5",  # ; HANGUL SYLLABLE GGYOLG
        "\uAFA6",  # ; HANGUL SYLLABLE GGYOLM
        "\uAFA7",  # ; HANGUL SYLLABLE GGYOLB
        "\uAFA8",  # ; HANGUL SYLLABLE GGYOLS
        "\uAFA9",  # ; HANGUL SYLLABLE GGYOLT
        "\uAFAA",  # ; HANGUL SYLLABLE GGYOLP
        "\uAFAB",  # ; HANGUL SYLLABLE GGYOLH
        "\uAFAC",  # ; HANGUL SYLLABLE GGYOM
        "\uAFAD",  # ; HANGUL SYLLABLE GGYOB
        "\uAFAE",  # ; HANGUL SYLLABLE GGYOBS
        "\uAFAF",  # ; HANGUL SYLLABLE GGYOS
        "\uAFB0",  # ; HANGUL SYLLABLE GGYOSS
        "\uAFB1",  # ; HANGUL SYLLABLE GGYONG
        "\uAFB2",  # ; HANGUL SYLLABLE GGYOJ
        "\uAFB3",  # ; HANGUL SYLLABLE GGYOC
        "\uAFB4",  # ; HANGUL SYLLABLE GGYOK
        "\uAFB5",  # ; HANGUL SYLLABLE GGYOT
        "\uAFB6",  # ; HANGUL SYLLABLE GGYOP
        "\uAFB7",  # ; HANGUL SYLLABLE GGYOH
        "\uAFB8",  # ; HANGUL SYLLABLE GGU
        "\uAFB9",  # ; HANGUL SYLLABLE GGUG
        "\uAFBA",  # ; HANGUL SYLLABLE GGUGG
        "\uAFBB",  # ; HANGUL SYLLABLE GGUGS
        "\uAFBC",  # ; HANGUL SYLLABLE GGUN
        "\uAFBD",  # ; HANGUL SYLLABLE GGUNJ
        "\uAFBE",  # ; HANGUL SYLLABLE GGUNH
        "\uAFBF",  # ; HANGUL SYLLABLE GGUD
        "\uAFC0",  # ; HANGUL SYLLABLE GGUL
        "\uAFC1",  # ; HANGUL SYLLABLE GGULG
        "\uAFC2",  # ; HANGUL SYLLABLE GGULM
        "\uAFC3",  # ; HANGUL SYLLABLE GGULB
        "\uAFC4",  # ; HANGUL SYLLABLE GGULS
        "\uAFC5",  # ; HANGUL SYLLABLE GGULT
        "\uAFC6",  # ; HANGUL SYLLABLE GGULP
        "\uAFC7",  # ; HANGUL SYLLABLE GGULH
        "\uAFC8",  # ; HANGUL SYLLABLE GGUM
        "\uAFC9",  # ; HANGUL SYLLABLE GGUB
        "\uAFCA",  # ; HANGUL SYLLABLE GGUBS
        "\uAFCB",  # ; HANGUL SYLLABLE GGUS
        "\uAFCC",  # ; HANGUL SYLLABLE GGUSS
        "\uAFCD",  # ; HANGUL SYLLABLE GGUNG
        "\uAFCE",  # ; HANGUL SYLLABLE GGUJ
        "\uAFCF",  # ; HANGUL SYLLABLE GGUC
        "\uAFD0",  # ; HANGUL SYLLABLE GGUK
        "\uAFD1",  # ; HANGUL SYLLABLE GGUT
        "\uAFD2",  # ; HANGUL SYLLABLE GGUP
        "\uAFD3",  # ; HANGUL SYLLABLE GGUH
        "\uAFD4",  # ; HANGUL SYLLABLE GGWEO
        "\uAFD5",  # ; HANGUL SYLLABLE GGWEOG
        "\uAFD6",  # ; HANGUL SYLLABLE GGWEOGG
        "\uAFD7",  # ; HANGUL SYLLABLE GGWEOGS
        "\uAFD8",  # ; HANGUL SYLLABLE GGWEON
        "\uAFD9",  # ; HANGUL SYLLABLE GGWEONJ
        "\uAFDA",  # ; HANGUL SYLLABLE GGWEONH
        "\uAFDB",  # ; HANGUL SYLLABLE GGWEOD
        "\uAFDC",  # ; HANGUL SYLLABLE GGWEOL
        "\uAFDD",  # ; HANGUL SYLLABLE GGWEOLG
        "\uAFDE",  # ; HANGUL SYLLABLE GGWEOLM
        "\uAFDF",  # ; HANGUL SYLLABLE GGWEOLB
        "\uAFE0",  # ; HANGUL SYLLABLE GGWEOLS
        "\uAFE1",  # ; HANGUL SYLLABLE GGWEOLT
        "\uAFE2",  # ; HANGUL SYLLABLE GGWEOLP
        "\uAFE3",  # ; HANGUL SYLLABLE GGWEOLH
        "\uAFE4",  # ; HANGUL SYLLABLE GGWEOM
        "\uAFE5",  # ; HANGUL SYLLABLE GGWEOB
        "\uAFE6",  # ; HANGUL SYLLABLE GGWEOBS
        "\uAFE7",  # ; HANGUL SYLLABLE GGWEOS
        "\uAFE8",  # ; HANGUL SYLLABLE GGWEOSS
        "\uAFE9",  # ; HANGUL SYLLABLE GGWEONG
        "\uAFEA",  # ; HANGUL SYLLABLE GGWEOJ
        "\uAFEB",  # ; HANGUL SYLLABLE GGWEOC
        "\uAFEC",  # ; HANGUL SYLLABLE GGWEOK
        "\uAFED",  # ; HANGUL SYLLABLE GGWEOT
        "\uAFEE",  # ; HANGUL SYLLABLE GGWEOP
        "\uAFEF",  # ; HANGUL SYLLABLE GGWEOH
        "\uAFF0",  # ; HANGUL SYLLABLE GGWE
        "\uAFF1",  # ; HANGUL SYLLABLE GGWEG
        "\uAFF2",  # ; HANGUL SYLLABLE GGWEGG
        "\uAFF3",  # ; HANGUL SYLLABLE GGWEGS
        "\uAFF4",  # ; HANGUL SYLLABLE GGWEN
        "\uAFF5",  # ; HANGUL SYLLABLE GGWENJ
        "\uAFF6",  # ; HANGUL SYLLABLE GGWENH
        "\uAFF7",  # ; HANGUL SYLLABLE GGWED
        "\uAFF8",  # ; HANGUL SYLLABLE GGWEL
        "\uAFF9",  # ; HANGUL SYLLABLE GGWELG
        "\uAFFA",  # ; HANGUL SYLLABLE GGWELM
        "\uAFFB",  # ; HANGUL SYLLABLE GGWELB
        "\uAFFC",  # ; HANGUL SYLLABLE GGWELS
        "\uAFFD",  # ; HANGUL SYLLABLE GGWELT
        "\uAFFE",  # ; HANGUL SYLLABLE GGWELP
        "\uAFFF",  # ; HANGUL SYLLABLE GGWELH
        "\uB000",  # ; HANGUL SYLLABLE GGWEM
        "\uB001",  # ; HANGUL SYLLABLE GGWEB
        "\uB002",  # ; HANGUL SYLLABLE GGWEBS
        "\uB003",  # ; HANGUL SYLLABLE GGWES
        "\uB004",  # ; HANGUL SYLLABLE GGWESS
        "\uB005",  # ; HANGUL SYLLABLE GGWENG
        "\uB006",  # ; HANGUL SYLLABLE GGWEJ
        "\uB007",  # ; HANGUL SYLLABLE GGWEC
        "\uB008",  # ; HANGUL SYLLABLE GGWEK
        "\uB009",  # ; HANGUL SYLLABLE GGWET
        "\uB00A",  # ; HANGUL SYLLABLE GGWEP
        "\uB00B",  # ; HANGUL SYLLABLE GGWEH
        "\uB00C",  # ; HANGUL SYLLABLE GGWI
        "\uB00D",  # ; HANGUL SYLLABLE GGWIG
        "\uB00E",  # ; HANGUL SYLLABLE GGWIGG
        "\uB00F",  # ; HANGUL SYLLABLE GGWIGS
        "\uB010",  # ; HANGUL SYLLABLE GGWIN
        "\uB011",  # ; HANGUL SYLLABLE GGWINJ
        "\uB012",  # ; HANGUL SYLLABLE GGWINH
        "\uB013",  # ; HANGUL SYLLABLE GGWID
        "\uB014",  # ; HANGUL SYLLABLE GGWIL
        "\uB015",  # ; HANGUL SYLLABLE GGWILG
        "\uB016",  # ; HANGUL SYLLABLE GGWILM
        "\uB017",  # ; HANGUL SYLLABLE GGWILB
        "\uB018",  # ; HANGUL SYLLABLE GGWILS
        "\uB019",  # ; HANGUL SYLLABLE GGWILT
        "\uB01A",  # ; HANGUL SYLLABLE GGWILP
        "\uB01B",  # ; HANGUL SYLLABLE GGWILH
        "\uB01C",  # ; HANGUL SYLLABLE GGWIM
        "\uB01D",  # ; HANGUL SYLLABLE GGWIB
        "\uB01E",  # ; HANGUL SYLLABLE GGWIBS
        "\uB01F",  # ; HANGUL SYLLABLE GGWIS
        "\uB020",  # ; HANGUL SYLLABLE GGWISS
        "\uB021",  # ; HANGUL SYLLABLE GGWING
        "\uB022",  # ; HANGUL SYLLABLE GGWIJ
        "\uB023",  # ; HANGUL SYLLABLE GGWIC
        "\uB024",  # ; HANGUL SYLLABLE GGWIK
        "\uB025",  # ; HANGUL SYLLABLE GGWIT
        "\uB026",  # ; HANGUL SYLLABLE GGWIP
        "\uB027",  # ; HANGUL SYLLABLE GGWIH
        "\uB028",  # ; HANGUL SYLLABLE GGYU
        "\uB029",  # ; HANGUL SYLLABLE GGYUG
        "\uB02A",  # ; HANGUL SYLLABLE GGYUGG
        "\uB02B",  # ; HANGUL SYLLABLE GGYUGS
        "\uB02C",  # ; HANGUL SYLLABLE GGYUN
        "\uB02D",  # ; HANGUL SYLLABLE GGYUNJ
        "\uB02E",  # ; HANGUL SYLLABLE GGYUNH
        "\uB02F",  # ; HANGUL SYLLABLE GGYUD
        "\uB030",  # ; HANGUL SYLLABLE GGYUL
        "\uB031",  # ; HANGUL SYLLABLE GGYULG
        "\uB032",  # ; HANGUL SYLLABLE GGYULM
        "\uB033",  # ; HANGUL SYLLABLE GGYULB
        "\uB034",  # ; HANGUL SYLLABLE GGYULS
        "\uB035",  # ; HANGUL SYLLABLE GGYULT
        "\uB036",  # ; HANGUL SYLLABLE GGYULP
        "\uB037",  # ; HANGUL SYLLABLE GGYULH
        "\uB038",  # ; HANGUL SYLLABLE GGYUM
        "\uB039",  # ; HANGUL SYLLABLE GGYUB
        "\uB03A",  # ; HANGUL SYLLABLE GGYUBS
        "\uB03B",  # ; HANGUL SYLLABLE GGYUS
        "\uB03C",  # ; HANGUL SYLLABLE GGYUSS
        "\uB03D",  # ; HANGUL SYLLABLE GGYUNG
        "\uB03E",  # ; HANGUL SYLLABLE GGYUJ
        "\uB03F",  # ; HANGUL SYLLABLE GGYUC
        "\uB040",  # ; HANGUL SYLLABLE GGYUK
        "\uB041",  # ; HANGUL SYLLABLE GGYUT
        "\uB042",  # ; HANGUL SYLLABLE GGYUP
        "\uB043",  # ; HANGUL SYLLABLE GGYUH
        "\uB044",  # ; HANGUL SYLLABLE GGEU
        "\uB045",  # ; HANGUL SYLLABLE GGEUG
        "\uB046",  # ; HANGUL SYLLABLE GGEUGG
        "\uB047",  # ; HANGUL SYLLABLE GGEUGS
        "\uB048",  # ; HANGUL SYLLABLE GGEUN
        "\uB049",  # ; HANGUL SYLLABLE GGEUNJ
        "\uB04A",  # ; HANGUL SYLLABLE GGEUNH
        "\uB04B",  # ; HANGUL SYLLABLE GGEUD
        "\uB04C",  # ; HANGUL SYLLABLE GGEUL
        "\uB04D",  # ; HANGUL SYLLABLE GGEULG
        "\uB04E",  # ; HANGUL SYLLABLE GGEULM
        "\uB04F",  # ; HANGUL SYLLABLE GGEULB
        "\uB050",  # ; HANGUL SYLLABLE GGEULS
        "\uB051",  # ; HANGUL SYLLABLE GGEULT
        "\uB052",  # ; HANGUL SYLLABLE GGEULP
        "\uB053",  # ; HANGUL SYLLABLE GGEULH
        "\uB054",  # ; HANGUL SYLLABLE GGEUM
        "\uB055",  # ; HANGUL SYLLABLE GGEUB
        "\uB056",  # ; HANGUL SYLLABLE GGEUBS
        "\uB057",  # ; HANGUL SYLLABLE GGEUS
        "\uB058",  # ; HANGUL SYLLABLE GGEUSS
        "\uB059",  # ; HANGUL SYLLABLE GGEUNG
        "\uB05A",  # ; HANGUL SYLLABLE GGEUJ
        "\uB05B",  # ; HANGUL SYLLABLE GGEUC
        "\uB05C",  # ; HANGUL SYLLABLE GGEUK
        "\uB05D",  # ; HANGUL SYLLABLE GGEUT
        "\uB05E",  # ; HANGUL SYLLABLE GGEUP
        "\uB05F",  # ; HANGUL SYLLABLE GGEUH
        "\uB060",  # ; HANGUL SYLLABLE GGYI
        "\uB061",  # ; HANGUL SYLLABLE GGYIG
        "\uB062",  # ; HANGUL SYLLABLE GGYIGG
        "\uB063",  # ; HANGUL SYLLABLE GGYIGS
        "\uB064",  # ; HANGUL SYLLABLE GGYIN
        "\uB065",  # ; HANGUL SYLLABLE GGYINJ
        "\uB066",  # ; HANGUL SYLLABLE GGYINH
        "\uB067",  # ; HANGUL SYLLABLE GGYID
        "\uB068",  # ; HANGUL SYLLABLE GGYIL
        "\uB069",  # ; HANGUL SYLLABLE GGYILG
        "\uB06A",  # ; HANGUL SYLLABLE GGYILM
        "\uB06B",  # ; HANGUL SYLLABLE GGYILB
        "\uB06C",  # ; HANGUL SYLLABLE GGYILS
        "\uB06D",  # ; HANGUL SYLLABLE GGYILT
        "\uB06E",  # ; HANGUL SYLLABLE GGYILP
        "\uB06F",  # ; HANGUL SYLLABLE GGYILH
        "\uB070",  # ; HANGUL SYLLABLE GGYIM
        "\uB071",  # ; HANGUL SYLLABLE GGYIB
        "\uB072",  # ; HANGUL SYLLABLE GGYIBS
        "\uB073",  # ; HANGUL SYLLABLE GGYIS
        "\uB074",  # ; HANGUL SYLLABLE GGYISS
        "\uB075",  # ; HANGUL SYLLABLE GGYING
        "\uB076",  # ; HANGUL SYLLABLE GGYIJ
        "\uB077",  # ; HANGUL SYLLABLE GGYIC
        "\uB078",  # ; HANGUL SYLLABLE GGYIK
        "\uB079",  # ; HANGUL SYLLABLE GGYIT
        "\uB07A",  # ; HANGUL SYLLABLE GGYIP
        "\uB07B",  # ; HANGUL SYLLABLE GGYIH
        "\uB07C",  # ; HANGUL SYLLABLE GGI
        "\uB07D",  # ; HANGUL SYLLABLE GGIG
        "\uB07E",  # ; HANGUL SYLLABLE GGIGG
        "\uB07F",  # ; HANGUL SYLLABLE GGIGS
        "\uB080",  # ; HANGUL SYLLABLE GGIN
        "\uB081",  # ; HANGUL SYLLABLE GGINJ
        "\uB082",  # ; HANGUL SYLLABLE GGINH
        "\uB083",  # ; HANGUL SYLLABLE GGID
        "\uB084",  # ; HANGUL SYLLABLE GGIL
        "\uB085",  # ; HANGUL SYLLABLE GGILG
        "\uB086",  # ; HANGUL SYLLABLE GGILM
        "\uB087",  # ; HANGUL SYLLABLE GGILB
        "\uB088",  # ; HANGUL SYLLABLE GGILS
        "\uB089",  # ; HANGUL SYLLABLE GGILT
        "\uB08A",  # ; HANGUL SYLLABLE GGILP
        "\uB08B",  # ; HANGUL SYLLABLE GGILH
        "\uB08C",  # ; HANGUL SYLLABLE GGIM
        "\uB08D",  # ; HANGUL SYLLABLE GGIB
        "\uB08E",  # ; HANGUL SYLLABLE GGIBS
        "\uB08F",  # ; HANGUL SYLLABLE GGIS
        "\uB090",  # ; HANGUL SYLLABLE GGISS
        "\uB091",  # ; HANGUL SYLLABLE GGING
        "\uB092",  # ; HANGUL SYLLABLE GGIJ
        "\uB093",  # ; HANGUL SYLLABLE GGIC
        "\uB094",  # ; HANGUL SYLLABLE GGIK
        "\uB095",  # ; HANGUL SYLLABLE GGIT
        "\uB096",  # ; HANGUL SYLLABLE GGIP
        "\uB097",  # ; HANGUL SYLLABLE GGIH
        "\uB098",  # ; HANGUL SYLLABLE NA
        "\uB099",  # ; HANGUL SYLLABLE NAG
        "\uB09A",  # ; HANGUL SYLLABLE NAGG
        "\uB09B",  # ; HANGUL SYLLABLE NAGS
        "\uB09C",  # ; HANGUL SYLLABLE NAN
        "\uB09D",  # ; HANGUL SYLLABLE NANJ
        "\uB09E",  # ; HANGUL SYLLABLE NANH
        "\uB09F",  # ; HANGUL SYLLABLE NAD
        "\uB0A0",  # ; HANGUL SYLLABLE NAL
        "\uB0A1",  # ; HANGUL SYLLABLE NALG
        "\uB0A2",  # ; HANGUL SYLLABLE NALM
        "\uB0A3",  # ; HANGUL SYLLABLE NALB
        "\uB0A4",  # ; HANGUL SYLLABLE NALS
        "\uB0A5",  # ; HANGUL SYLLABLE NALT
        "\uB0A6",  # ; HANGUL SYLLABLE NALP
        "\uB0A7",  # ; HANGUL SYLLABLE NALH
        "\uB0A8",  # ; HANGUL SYLLABLE NAM
        "\uB0A9",  # ; HANGUL SYLLABLE NAB
        "\uB0AA",  # ; HANGUL SYLLABLE NABS
        "\uB0AB",  # ; HANGUL SYLLABLE NAS
        "\uB0AC",  # ; HANGUL SYLLABLE NASS
        "\uB0AD",  # ; HANGUL SYLLABLE NANG
        "\uB0AE",  # ; HANGUL SYLLABLE NAJ
        "\uB0AF",  # ; HANGUL SYLLABLE NAC
        "\uB0B0",  # ; HANGUL SYLLABLE NAK
        "\uB0B1",  # ; HANGUL SYLLABLE NAT
        "\uB0B2",  # ; HANGUL SYLLABLE NAP
        "\uB0B3",  # ; HANGUL SYLLABLE NAH
        "\uB0B4",  # ; HANGUL SYLLABLE NAE
        "\uB0B5",  # ; HANGUL SYLLABLE NAEG
        "\uB0B6",  # ; HANGUL SYLLABLE NAEGG
        "\uB0B7",  # ; HANGUL SYLLABLE NAEGS
        "\uB0B8",  # ; HANGUL SYLLABLE NAEN
        "\uB0B9",  # ; HANGUL SYLLABLE NAENJ
        "\uB0BA",  # ; HANGUL SYLLABLE NAENH
        "\uB0BB",  # ; HANGUL SYLLABLE NAED
        "\uB0BC",  # ; HANGUL SYLLABLE NAEL
        "\uB0BD",  # ; HANGUL SYLLABLE NAELG
        "\uB0BE",  # ; HANGUL SYLLABLE NAELM
        "\uB0BF",  # ; HANGUL SYLLABLE NAELB
        "\uB0C0",  # ; HANGUL SYLLABLE NAELS
        "\uB0C1",  # ; HANGUL SYLLABLE NAELT
        "\uB0C2",  # ; HANGUL SYLLABLE NAELP
        "\uB0C3",  # ; HANGUL SYLLABLE NAELH
        "\uB0C4",  # ; HANGUL SYLLABLE NAEM
        "\uB0C5",  # ; HANGUL SYLLABLE NAEB
        "\uB0C6",  # ; HANGUL SYLLABLE NAEBS
        "\uB0C7",  # ; HANGUL SYLLABLE NAES
        "\uB0C8",  # ; HANGUL SYLLABLE NAESS
        "\uB0C9",  # ; HANGUL SYLLABLE NAENG
        "\uB0CA",  # ; HANGUL SYLLABLE NAEJ
        "\uB0CB",  # ; HANGUL SYLLABLE NAEC
        "\uB0CC",  # ; HANGUL SYLLABLE NAEK
        "\uB0CD",  # ; HANGUL SYLLABLE NAET
        "\uB0CE",  # ; HANGUL SYLLABLE NAEP
        "\uB0CF",  # ; HANGUL SYLLABLE NAEH
        "\uB0D0",  # ; HANGUL SYLLABLE NYA
        "\uB0D1",  # ; HANGUL SYLLABLE NYAG
        "\uB0D2",  # ; HANGUL SYLLABLE NYAGG
        "\uB0D3",  # ; HANGUL SYLLABLE NYAGS
        "\uB0D4",  # ; HANGUL SYLLABLE NYAN
        "\uB0D5",  # ; HANGUL SYLLABLE NYANJ
        "\uB0D6",  # ; HANGUL SYLLABLE NYANH
        "\uB0D7",  # ; HANGUL SYLLABLE NYAD
        "\uB0D8",  # ; HANGUL SYLLABLE NYAL
        "\uB0D9",  # ; HANGUL SYLLABLE NYALG
        "\uB0DA",  # ; HANGUL SYLLABLE NYALM
        "\uB0DB",  # ; HANGUL SYLLABLE NYALB
        "\uB0DC",  # ; HANGUL SYLLABLE NYALS
        "\uB0DD",  # ; HANGUL SYLLABLE NYALT
        "\uB0DE",  # ; HANGUL SYLLABLE NYALP
        "\uB0DF",  # ; HANGUL SYLLABLE NYALH
        "\uB0E0",  # ; HANGUL SYLLABLE NYAM
        "\uB0E1",  # ; HANGUL SYLLABLE NYAB
        "\uB0E2",  # ; HANGUL SYLLABLE NYABS
        "\uB0E3",  # ; HANGUL SYLLABLE NYAS
        "\uB0E4",  # ; HANGUL SYLLABLE NYASS
        "\uB0E5",  # ; HANGUL SYLLABLE NYANG
        "\uB0E6",  # ; HANGUL SYLLABLE NYAJ
        "\uB0E7",  # ; HANGUL SYLLABLE NYAC
        "\uB0E8",  # ; HANGUL SYLLABLE NYAK
        "\uB0E9",  # ; HANGUL SYLLABLE NYAT
        "\uB0EA",  # ; HANGUL SYLLABLE NYAP
        "\uB0EB",  # ; HANGUL SYLLABLE NYAH
        "\uB0EC",  # ; HANGUL SYLLABLE NYAE
        "\uB0ED",  # ; HANGUL SYLLABLE NYAEG
        "\uB0EE",  # ; HANGUL SYLLABLE NYAEGG
        "\uB0EF",  # ; HANGUL SYLLABLE NYAEGS
        "\uB0F0",  # ; HANGUL SYLLABLE NYAEN
        "\uB0F1",  # ; HANGUL SYLLABLE NYAENJ
        "\uB0F2",  # ; HANGUL SYLLABLE NYAENH
        "\uB0F3",  # ; HANGUL SYLLABLE NYAED
        "\uB0F4",  # ; HANGUL SYLLABLE NYAEL
        "\uB0F5",  # ; HANGUL SYLLABLE NYAELG
        "\uB0F6",  # ; HANGUL SYLLABLE NYAELM
        "\uB0F7",  # ; HANGUL SYLLABLE NYAELB
        "\uB0F8",  # ; HANGUL SYLLABLE NYAELS
        "\uB0F9",  # ; HANGUL SYLLABLE NYAELT
        "\uB0FA",  # ; HANGUL SYLLABLE NYAELP
        "\uB0FB",  # ; HANGUL SYLLABLE NYAELH
        "\uB0FC",  # ; HANGUL SYLLABLE NYAEM
        "\uB0FD",  # ; HANGUL SYLLABLE NYAEB
        "\uB0FE",  # ; HANGUL SYLLABLE NYAEBS
        "\uB0FF",  # ; HANGUL SYLLABLE NYAES
        "\uB100",  # ; HANGUL SYLLABLE NYAESS
        "\uB101",  # ; HANGUL SYLLABLE NYAENG
        "\uB102",  # ; HANGUL SYLLABLE NYAEJ
        "\uB103",  # ; HANGUL SYLLABLE NYAEC
        "\uB104",  # ; HANGUL SYLLABLE NYAEK
        "\uB105",  # ; HANGUL SYLLABLE NYAET
        "\uB106",  # ; HANGUL SYLLABLE NYAEP
        "\uB107",  # ; HANGUL SYLLABLE NYAEH
        "\uB108",  # ; HANGUL SYLLABLE NEO
        "\uB109",  # ; HANGUL SYLLABLE NEOG
        "\uB10A",  # ; HANGUL SYLLABLE NEOGG
        "\uB10B",  # ; HANGUL SYLLABLE NEOGS
        "\uB10C",  # ; HANGUL SYLLABLE NEON
        "\uB10D",  # ; HANGUL SYLLABLE NEONJ
        "\uB10E",  # ; HANGUL SYLLABLE NEONH
        "\uB10F",  # ; HANGUL SYLLABLE NEOD
        "\uB110",  # ; HANGUL SYLLABLE NEOL
        "\uB111",  # ; HANGUL SYLLABLE NEOLG
        "\uB112",  # ; HANGUL SYLLABLE NEOLM
        "\uB113",  # ; HANGUL SYLLABLE NEOLB
        "\uB114",  # ; HANGUL SYLLABLE NEOLS
        "\uB115",  # ; HANGUL SYLLABLE NEOLT
        "\uB116",  # ; HANGUL SYLLABLE NEOLP
        "\uB117",  # ; HANGUL SYLLABLE NEOLH
        "\uB118",  # ; HANGUL SYLLABLE NEOM
        "\uB119",  # ; HANGUL SYLLABLE NEOB
        "\uB11A",  # ; HANGUL SYLLABLE NEOBS
        "\uB11B",  # ; HANGUL SYLLABLE NEOS
        "\uB11C",  # ; HANGUL SYLLABLE NEOSS
        "\uB11D",  # ; HANGUL SYLLABLE NEONG
        "\uB11E",  # ; HANGUL SYLLABLE NEOJ
        "\uB11F",  # ; HANGUL SYLLABLE NEOC
        "\uB120",  # ; HANGUL SYLLABLE NEOK
        "\uB121",  # ; HANGUL SYLLABLE NEOT
        "\uB122",  # ; HANGUL SYLLABLE NEOP
        "\uB123",  # ; HANGUL SYLLABLE NEOH
        "\uB124",  # ; HANGUL SYLLABLE NE
        "\uB125",  # ; HANGUL SYLLABLE NEG
        "\uB126",  # ; HANGUL SYLLABLE NEGG
        "\uB127",  # ; HANGUL SYLLABLE NEGS
        "\uB128",  # ; HANGUL SYLLABLE NEN
        "\uB129",  # ; HANGUL SYLLABLE NENJ
        "\uB12A",  # ; HANGUL SYLLABLE NENH
        "\uB12B",  # ; HANGUL SYLLABLE NED
        "\uB12C",  # ; HANGUL SYLLABLE NEL
        "\uB12D",  # ; HANGUL SYLLABLE NELG
        "\uB12E",  # ; HANGUL SYLLABLE NELM
        "\uB12F",  # ; HANGUL SYLLABLE NELB
        "\uB130",  # ; HANGUL SYLLABLE NELS
        "\uB131",  # ; HANGUL SYLLABLE NELT
        "\uB132",  # ; HANGUL SYLLABLE NELP
        "\uB133",  # ; HANGUL SYLLABLE NELH
        "\uB134",  # ; HANGUL SYLLABLE NEM
        "\uB135",  # ; HANGUL SYLLABLE NEB
        "\uB136",  # ; HANGUL SYLLABLE NEBS
        "\uB137",  # ; HANGUL SYLLABLE NES
        "\uB138",  # ; HANGUL SYLLABLE NESS
        "\uB139",  # ; HANGUL SYLLABLE NENG
        "\uB13A",  # ; HANGUL SYLLABLE NEJ
        "\uB13B",  # ; HANGUL SYLLABLE NEC
        "\uB13C",  # ; HANGUL SYLLABLE NEK
        "\uB13D",  # ; HANGUL SYLLABLE NET
        "\uB13E",  # ; HANGUL SYLLABLE NEP
        "\uB13F",  # ; HANGUL SYLLABLE NEH
        "\uB140",  # ; HANGUL SYLLABLE NYEO
        "\uB141",  # ; HANGUL SYLLABLE NYEOG
        "\uB142",  # ; HANGUL SYLLABLE NYEOGG
        "\uB143",  # ; HANGUL SYLLABLE NYEOGS
        "\uB144",  # ; HANGUL SYLLABLE NYEON
        "\uB145",  # ; HANGUL SYLLABLE NYEONJ
        "\uB146",  # ; HANGUL SYLLABLE NYEONH
        "\uB147",  # ; HANGUL SYLLABLE NYEOD
        "\uB148",  # ; HANGUL SYLLABLE NYEOL
        "\uB149",  # ; HANGUL SYLLABLE NYEOLG
        "\uB14A",  # ; HANGUL SYLLABLE NYEOLM
        "\uB14B",  # ; HANGUL SYLLABLE NYEOLB
        "\uB14C",  # ; HANGUL SYLLABLE NYEOLS
        "\uB14D",  # ; HANGUL SYLLABLE NYEOLT
        "\uB14E",  # ; HANGUL SYLLABLE NYEOLP
        "\uB14F",  # ; HANGUL SYLLABLE NYEOLH
        "\uB150",  # ; HANGUL SYLLABLE NYEOM
        "\uB151",  # ; HANGUL SYLLABLE NYEOB
        "\uB152",  # ; HANGUL SYLLABLE NYEOBS
        "\uB153",  # ; HANGUL SYLLABLE NYEOS
        "\uB154",  # ; HANGUL SYLLABLE NYEOSS
        "\uB155",  # ; HANGUL SYLLABLE NYEONG
        "\uB156",  # ; HANGUL SYLLABLE NYEOJ
        "\uB157",  # ; HANGUL SYLLABLE NYEOC
        "\uB158",  # ; HANGUL SYLLABLE NYEOK
        "\uB159",  # ; HANGUL SYLLABLE NYEOT
        "\uB15A",  # ; HANGUL SYLLABLE NYEOP
        "\uB15B",  # ; HANGUL SYLLABLE NYEOH
        "\uB15C",  # ; HANGUL SYLLABLE NYE
        "\uB15D",  # ; HANGUL SYLLABLE NYEG
        "\uB15E",  # ; HANGUL SYLLABLE NYEGG
        "\uB15F",  # ; HANGUL SYLLABLE NYEGS
        "\uB160",  # ; HANGUL SYLLABLE NYEN
        "\uB161",  # ; HANGUL SYLLABLE NYENJ
        "\uB162",  # ; HANGUL SYLLABLE NYENH
        "\uB163",  # ; HANGUL SYLLABLE NYED
        "\uB164",  # ; HANGUL SYLLABLE NYEL
        "\uB165",  # ; HANGUL SYLLABLE NYELG
        "\uB166",  # ; HANGUL SYLLABLE NYELM
        "\uB167",  # ; HANGUL SYLLABLE NYELB
        "\uB168",  # ; HANGUL SYLLABLE NYELS
        "\uB169",  # ; HANGUL SYLLABLE NYELT
        "\uB16A",  # ; HANGUL SYLLABLE NYELP
        "\uB16B",  # ; HANGUL SYLLABLE NYELH
        "\uB16C",  # ; HANGUL SYLLABLE NYEM
        "\uB16D",  # ; HANGUL SYLLABLE NYEB
        "\uB16E",  # ; HANGUL SYLLABLE NYEBS
        "\uB16F",  # ; HANGUL SYLLABLE NYES
        "\uB170",  # ; HANGUL SYLLABLE NYESS
        "\uB171",  # ; HANGUL SYLLABLE NYENG
        "\uB172",  # ; HANGUL SYLLABLE NYEJ
        "\uB173",  # ; HANGUL SYLLABLE NYEC
        "\uB174",  # ; HANGUL SYLLABLE NYEK
        "\uB175",  # ; HANGUL SYLLABLE NYET
        "\uB176",  # ; HANGUL SYLLABLE NYEP
        "\uB177",  # ; HANGUL SYLLABLE NYEH
        "\uB178",  # ; HANGUL SYLLABLE NO
        "\uB179",  # ; HANGUL SYLLABLE NOG
        "\uB17A",  # ; HANGUL SYLLABLE NOGG
        "\uB17B",  # ; HANGUL SYLLABLE NOGS
        "\uB17C",  # ; HANGUL SYLLABLE NON
        "\uB17D",  # ; HANGUL SYLLABLE NONJ
        "\uB17E",  # ; HANGUL SYLLABLE NONH
        "\uB17F",  # ; HANGUL SYLLABLE NOD
        "\uB180",  # ; HANGUL SYLLABLE NOL
        "\uB181",  # ; HANGUL SYLLABLE NOLG
        "\uB182",  # ; HANGUL SYLLABLE NOLM
        "\uB183",  # ; HANGUL SYLLABLE NOLB
        "\uB184",  # ; HANGUL SYLLABLE NOLS
        "\uB185",  # ; HANGUL SYLLABLE NOLT
        "\uB186",  # ; HANGUL SYLLABLE NOLP
        "\uB187",  # ; HANGUL SYLLABLE NOLH
        "\uB188",  # ; HANGUL SYLLABLE NOM
        "\uB189",  # ; HANGUL SYLLABLE NOB
        "\uB18A",  # ; HANGUL SYLLABLE NOBS
        "\uB18B",  # ; HANGUL SYLLABLE NOS
        "\uB18C",  # ; HANGUL SYLLABLE NOSS
        "\uB18D",  # ; HANGUL SYLLABLE NONG
        "\uB18E",  # ; HANGUL SYLLABLE NOJ
        "\uB18F",  # ; HANGUL SYLLABLE NOC
        "\uB190",  # ; HANGUL SYLLABLE NOK
        "\uB191",  # ; HANGUL SYLLABLE NOT
        "\uB192",  # ; HANGUL SYLLABLE NOP
        "\uB193",  # ; HANGUL SYLLABLE NOH
        "\uB194",  # ; HANGUL SYLLABLE NWA
        "\uB195",  # ; HANGUL SYLLABLE NWAG
        "\uB196",  # ; HANGUL SYLLABLE NWAGG
        "\uB197",  # ; HANGUL SYLLABLE NWAGS
        "\uB198",  # ; HANGUL SYLLABLE NWAN
        "\uB199",  # ; HANGUL SYLLABLE NWANJ
        "\uB19A",  # ; HANGUL SYLLABLE NWANH
        "\uB19B",  # ; HANGUL SYLLABLE NWAD
        "\uB19C",  # ; HANGUL SYLLABLE NWAL
        "\uB19D",  # ; HANGUL SYLLABLE NWALG
        "\uB19E",  # ; HANGUL SYLLABLE NWALM
        "\uB19F",  # ; HANGUL SYLLABLE NWALB
        "\uB1A0",  # ; HANGUL SYLLABLE NWALS
        "\uB1A1",  # ; HANGUL SYLLABLE NWALT
        "\uB1A2",  # ; HANGUL SYLLABLE NWALP
        "\uB1A3",  # ; HANGUL SYLLABLE NWALH
        "\uB1A4",  # ; HANGUL SYLLABLE NWAM
        "\uB1A5",  # ; HANGUL SYLLABLE NWAB
        "\uB1A6",  # ; HANGUL SYLLABLE NWABS
        "\uB1A7",  # ; HANGUL SYLLABLE NWAS
        "\uB1A8",  # ; HANGUL SYLLABLE NWASS
        "\uB1A9",  # ; HANGUL SYLLABLE NWANG
        "\uB1AA",  # ; HANGUL SYLLABLE NWAJ
        "\uB1AB",  # ; HANGUL SYLLABLE NWAC
        "\uB1AC",  # ; HANGUL SYLLABLE NWAK
        "\uB1AD",  # ; HANGUL SYLLABLE NWAT
        "\uB1AE",  # ; HANGUL SYLLABLE NWAP
        "\uB1AF",  # ; HANGUL SYLLABLE NWAH
        "\uB1B0",  # ; HANGUL SYLLABLE NWAE
        "\uB1B1",  # ; HANGUL SYLLABLE NWAEG
        "\uB1B2",  # ; HANGUL SYLLABLE NWAEGG
        "\uB1B3",  # ; HANGUL SYLLABLE NWAEGS
        "\uB1B4",  # ; HANGUL SYLLABLE NWAEN
        "\uB1B5",  # ; HANGUL SYLLABLE NWAENJ
        "\uB1B6",  # ; HANGUL SYLLABLE NWAENH
        "\uB1B7",  # ; HANGUL SYLLABLE NWAED
        "\uB1B8",  # ; HANGUL SYLLABLE NWAEL
        "\uB1B9",  # ; HANGUL SYLLABLE NWAELG
        "\uB1BA",  # ; HANGUL SYLLABLE NWAELM
        "\uB1BB",  # ; HANGUL SYLLABLE NWAELB
        "\uB1BC",  # ; HANGUL SYLLABLE NWAELS
        "\uB1BD",  # ; HANGUL SYLLABLE NWAELT
        "\uB1BE",  # ; HANGUL SYLLABLE NWAELP
        "\uB1BF",  # ; HANGUL SYLLABLE NWAELH
        "\uB1C0",  # ; HANGUL SYLLABLE NWAEM
        "\uB1C1",  # ; HANGUL SYLLABLE NWAEB
        "\uB1C2",  # ; HANGUL SYLLABLE NWAEBS
        "\uB1C3",  # ; HANGUL SYLLABLE NWAES
        "\uB1C4",  # ; HANGUL SYLLABLE NWAESS
        "\uB1C5",  # ; HANGUL SYLLABLE NWAENG
        "\uB1C6",  # ; HANGUL SYLLABLE NWAEJ
        "\uB1C7",  # ; HANGUL SYLLABLE NWAEC
        "\uB1C8",  # ; HANGUL SYLLABLE NWAEK
        "\uB1C9",  # ; HANGUL SYLLABLE NWAET
        "\uB1CA",  # ; HANGUL SYLLABLE NWAEP
        "\uB1CB",  # ; HANGUL SYLLABLE NWAEH
        "\uB1CC",  # ; HANGUL SYLLABLE NOE
        "\uB1CD",  # ; HANGUL SYLLABLE NOEG
        "\uB1CE",  # ; HANGUL SYLLABLE NOEGG
        "\uB1CF",  # ; HANGUL SYLLABLE NOEGS
        "\uB1D0",  # ; HANGUL SYLLABLE NOEN
        "\uB1D1",  # ; HANGUL SYLLABLE NOENJ
        "\uB1D2",  # ; HANGUL SYLLABLE NOENH
        "\uB1D3",  # ; HANGUL SYLLABLE NOED
        "\uB1D4",  # ; HANGUL SYLLABLE NOEL
        "\uB1D5",  # ; HANGUL SYLLABLE NOELG
        "\uB1D6",  # ; HANGUL SYLLABLE NOELM
        "\uB1D7",  # ; HANGUL SYLLABLE NOELB
        "\uB1D8",  # ; HANGUL SYLLABLE NOELS
        "\uB1D9",  # ; HANGUL SYLLABLE NOELT
        "\uB1DA",  # ; HANGUL SYLLABLE NOELP
        "\uB1DB",  # ; HANGUL SYLLABLE NOELH
        "\uB1DC",  # ; HANGUL SYLLABLE NOEM
        "\uB1DD",  # ; HANGUL SYLLABLE NOEB
        "\uB1DE",  # ; HANGUL SYLLABLE NOEBS
        "\uB1DF",  # ; HANGUL SYLLABLE NOES
        "\uB1E0",  # ; HANGUL SYLLABLE NOESS
        "\uB1E1",  # ; HANGUL SYLLABLE NOENG
        "\uB1E2",  # ; HANGUL SYLLABLE NOEJ
        "\uB1E3",  # ; HANGUL SYLLABLE NOEC
        "\uB1E4",  # ; HANGUL SYLLABLE NOEK
        "\uB1E5",  # ; HANGUL SYLLABLE NOET
        "\uB1E6",  # ; HANGUL SYLLABLE NOEP
        "\uB1E7",  # ; HANGUL SYLLABLE NOEH
        "\uB1E8",  # ; HANGUL SYLLABLE NYO
        "\uB1E9",  # ; HANGUL SYLLABLE NYOG
        "\uB1EA",  # ; HANGUL SYLLABLE NYOGG
        "\uB1EB",  # ; HANGUL SYLLABLE NYOGS
        "\uB1EC",  # ; HANGUL SYLLABLE NYON
        "\uB1ED",  # ; HANGUL SYLLABLE NYONJ
        "\uB1EE",  # ; HANGUL SYLLABLE NYONH
        "\uB1EF",  # ; HANGUL SYLLABLE NYOD
        "\uB1F0",  # ; HANGUL SYLLABLE NYOL
        "\uB1F1",  # ; HANGUL SYLLABLE NYOLG
        "\uB1F2",  # ; HANGUL SYLLABLE NYOLM
        "\uB1F3",  # ; HANGUL SYLLABLE NYOLB
        "\uB1F4",  # ; HANGUL SYLLABLE NYOLS
        "\uB1F5",  # ; HANGUL SYLLABLE NYOLT
        "\uB1F6",  # ; HANGUL SYLLABLE NYOLP
        "\uB1F7",  # ; HANGUL SYLLABLE NYOLH
        "\uB1F8",  # ; HANGUL SYLLABLE NYOM
        "\uB1F9",  # ; HANGUL SYLLABLE NYOB
        "\uB1FA",  # ; HANGUL SYLLABLE NYOBS
        "\uB1FB",  # ; HANGUL SYLLABLE NYOS
        "\uB1FC",  # ; HANGUL SYLLABLE NYOSS
        "\uB1FD",  # ; HANGUL SYLLABLE NYONG
        "\uB1FE",  # ; HANGUL SYLLABLE NYOJ
        "\uB1FF",  # ; HANGUL SYLLABLE NYOC
        "\uB200",  # ; HANGUL SYLLABLE NYOK
        "\uB201",  # ; HANGUL SYLLABLE NYOT
        "\uB202",  # ; HANGUL SYLLABLE NYOP
        "\uB203",  # ; HANGUL SYLLABLE NYOH
        "\uB204",  # ; HANGUL SYLLABLE NU
        "\uB205",  # ; HANGUL SYLLABLE NUG
        "\uB206",  # ; HANGUL SYLLABLE NUGG
        "\uB207",  # ; HANGUL SYLLABLE NUGS
        "\uB208",  # ; HANGUL SYLLABLE NUN
        "\uB209",  # ; HANGUL SYLLABLE NUNJ
        "\uB20A",  # ; HANGUL SYLLABLE NUNH
        "\uB20B",  # ; HANGUL SYLLABLE NUD
        "\uB20C",  # ; HANGUL SYLLABLE NUL
        "\uB20D",  # ; HANGUL SYLLABLE NULG
        "\uB20E",  # ; HANGUL SYLLABLE NULM
        "\uB20F",  # ; HANGUL SYLLABLE NULB
        "\uB210",  # ; HANGUL SYLLABLE NULS
        "\uB211",  # ; HANGUL SYLLABLE NULT
        "\uB212",  # ; HANGUL SYLLABLE NULP
        "\uB213",  # ; HANGUL SYLLABLE NULH
        "\uB214",  # ; HANGUL SYLLABLE NUM
        "\uB215",  # ; HANGUL SYLLABLE NUB
        "\uB216",  # ; HANGUL SYLLABLE NUBS
        "\uB217",  # ; HANGUL SYLLABLE NUS
        "\uB218",  # ; HANGUL SYLLABLE NUSS
        "\uB219",  # ; HANGUL SYLLABLE NUNG
        "\uB21A",  # ; HANGUL SYLLABLE NUJ
        "\uB21B",  # ; HANGUL SYLLABLE NUC
        "\uB21C",  # ; HANGUL SYLLABLE NUK
        "\uB21D",  # ; HANGUL SYLLABLE NUT
        "\uB21E",  # ; HANGUL SYLLABLE NUP
        "\uB21F",  # ; HANGUL SYLLABLE NUH
        "\uB220",  # ; HANGUL SYLLABLE NWEO
        "\uB221",  # ; HANGUL SYLLABLE NWEOG
        "\uB222",  # ; HANGUL SYLLABLE NWEOGG
        "\uB223",  # ; HANGUL SYLLABLE NWEOGS
        "\uB224",  # ; HANGUL SYLLABLE NWEON
        "\uB225",  # ; HANGUL SYLLABLE NWEONJ
        "\uB226",  # ; HANGUL SYLLABLE NWEONH
        "\uB227",  # ; HANGUL SYLLABLE NWEOD
        "\uB228",  # ; HANGUL SYLLABLE NWEOL
        "\uB229",  # ; HANGUL SYLLABLE NWEOLG
        "\uB22A",  # ; HANGUL SYLLABLE NWEOLM
        "\uB22B",  # ; HANGUL SYLLABLE NWEOLB
        "\uB22C",  # ; HANGUL SYLLABLE NWEOLS
        "\uB22D",  # ; HANGUL SYLLABLE NWEOLT
        "\uB22E",  # ; HANGUL SYLLABLE NWEOLP
        "\uB22F",  # ; HANGUL SYLLABLE NWEOLH
        "\uB230",  # ; HANGUL SYLLABLE NWEOM
        "\uB231",  # ; HANGUL SYLLABLE NWEOB
        "\uB232",  # ; HANGUL SYLLABLE NWEOBS
        "\uB233",  # ; HANGUL SYLLABLE NWEOS
        "\uB234",  # ; HANGUL SYLLABLE NWEOSS
        "\uB235",  # ; HANGUL SYLLABLE NWEONG
        "\uB236",  # ; HANGUL SYLLABLE NWEOJ
        "\uB237",  # ; HANGUL SYLLABLE NWEOC
        "\uB238",  # ; HANGUL SYLLABLE NWEOK
        "\uB239",  # ; HANGUL SYLLABLE NWEOT
        "\uB23A",  # ; HANGUL SYLLABLE NWEOP
        "\uB23B",  # ; HANGUL SYLLABLE NWEOH
        "\uB23C",  # ; HANGUL SYLLABLE NWE
        "\uB23D",  # ; HANGUL SYLLABLE NWEG
        "\uB23E",  # ; HANGUL SYLLABLE NWEGG
        "\uB23F",  # ; HANGUL SYLLABLE NWEGS
        "\uB240",  # ; HANGUL SYLLABLE NWEN
        "\uB241",  # ; HANGUL SYLLABLE NWENJ
        "\uB242",  # ; HANGUL SYLLABLE NWENH
        "\uB243",  # ; HANGUL SYLLABLE NWED
        "\uB244",  # ; HANGUL SYLLABLE NWEL
        "\uB245",  # ; HANGUL SYLLABLE NWELG
        "\uB246",  # ; HANGUL SYLLABLE NWELM
        "\uB247",  # ; HANGUL SYLLABLE NWELB
        "\uB248",  # ; HANGUL SYLLABLE NWELS
        "\uB249",  # ; HANGUL SYLLABLE NWELT
        "\uB24A",  # ; HANGUL SYLLABLE NWELP
        "\uB24B",  # ; HANGUL SYLLABLE NWELH
        "\uB24C",  # ; HANGUL SYLLABLE NWEM
        "\uB24D",  # ; HANGUL SYLLABLE NWEB
        "\uB24E",  # ; HANGUL SYLLABLE NWEBS
        "\uB24F",  # ; HANGUL SYLLABLE NWES
        "\uB250",  # ; HANGUL SYLLABLE NWESS
        "\uB251",  # ; HANGUL SYLLABLE NWENG
        "\uB252",  # ; HANGUL SYLLABLE NWEJ
        "\uB253",  # ; HANGUL SYLLABLE NWEC
        "\uB254",  # ; HANGUL SYLLABLE NWEK
        "\uB255",  # ; HANGUL SYLLABLE NWET
        "\uB256",  # ; HANGUL SYLLABLE NWEP
        "\uB257",  # ; HANGUL SYLLABLE NWEH
        "\uB258",  # ; HANGUL SYLLABLE NWI
        "\uB259",  # ; HANGUL SYLLABLE NWIG
        "\uB25A",  # ; HANGUL SYLLABLE NWIGG
        "\uB25B",  # ; HANGUL SYLLABLE NWIGS
        "\uB25C",  # ; HANGUL SYLLABLE NWIN
        "\uB25D",  # ; HANGUL SYLLABLE NWINJ
        "\uB25E",  # ; HANGUL SYLLABLE NWINH
        "\uB25F",  # ; HANGUL SYLLABLE NWID
        "\uB260",  # ; HANGUL SYLLABLE NWIL
        "\uB261",  # ; HANGUL SYLLABLE NWILG
        "\uB262",  # ; HANGUL SYLLABLE NWILM
        "\uB263",  # ; HANGUL SYLLABLE NWILB
        "\uB264",  # ; HANGUL SYLLABLE NWILS
        "\uB265",  # ; HANGUL SYLLABLE NWILT
        "\uB266",  # ; HANGUL SYLLABLE NWILP
        "\uB267",  # ; HANGUL SYLLABLE NWILH
        "\uB268",  # ; HANGUL SYLLABLE NWIM
        "\uB269",  # ; HANGUL SYLLABLE NWIB
        "\uB26A",  # ; HANGUL SYLLABLE NWIBS
        "\uB26B",  # ; HANGUL SYLLABLE NWIS
        "\uB26C",  # ; HANGUL SYLLABLE NWISS
        "\uB26D",  # ; HANGUL SYLLABLE NWING
        "\uB26E",  # ; HANGUL SYLLABLE NWIJ
        "\uB26F",  # ; HANGUL SYLLABLE NWIC
        "\uB270",  # ; HANGUL SYLLABLE NWIK
        "\uB271",  # ; HANGUL SYLLABLE NWIT
        "\uB272",  # ; HANGUL SYLLABLE NWIP
        "\uB273",  # ; HANGUL SYLLABLE NWIH
        "\uB274",  # ; HANGUL SYLLABLE NYU
        "\uB275",  # ; HANGUL SYLLABLE NYUG
        "\uB276",  # ; HANGUL SYLLABLE NYUGG
        "\uB277",  # ; HANGUL SYLLABLE NYUGS
        "\uB278",  # ; HANGUL SYLLABLE NYUN
        "\uB279",  # ; HANGUL SYLLABLE NYUNJ
        "\uB27A",  # ; HANGUL SYLLABLE NYUNH
        "\uB27B",  # ; HANGUL SYLLABLE NYUD
        "\uB27C",  # ; HANGUL SYLLABLE NYUL
        "\uB27D",  # ; HANGUL SYLLABLE NYULG
        "\uB27E",  # ; HANGUL SYLLABLE NYULM
        "\uB27F",  # ; HANGUL SYLLABLE NYULB
        "\uB280",  # ; HANGUL SYLLABLE NYULS
        "\uB281",  # ; HANGUL SYLLABLE NYULT
        "\uB282",  # ; HANGUL SYLLABLE NYULP
        "\uB283",  # ; HANGUL SYLLABLE NYULH
        "\uB284",  # ; HANGUL SYLLABLE NYUM
        "\uB285",  # ; HANGUL SYLLABLE NYUB
        "\uB286",  # ; HANGUL SYLLABLE NYUBS
        "\uB287",  # ; HANGUL SYLLABLE NYUS
        "\uB288",  # ; HANGUL SYLLABLE NYUSS
        "\uB289",  # ; HANGUL SYLLABLE NYUNG
        "\uB28A",  # ; HANGUL SYLLABLE NYUJ
        "\uB28B",  # ; HANGUL SYLLABLE NYUC
        "\uB28C",  # ; HANGUL SYLLABLE NYUK
        "\uB28D",  # ; HANGUL SYLLABLE NYUT
        "\uB28E",  # ; HANGUL SYLLABLE NYUP
        "\uB28F",  # ; HANGUL SYLLABLE NYUH
        "\uB290",  # ; HANGUL SYLLABLE NEU
        "\uB291",  # ; HANGUL SYLLABLE NEUG
        "\uB292",  # ; HANGUL SYLLABLE NEUGG
        "\uB293",  # ; HANGUL SYLLABLE NEUGS
        "\uB294",  # ; HANGUL SYLLABLE NEUN
        "\uB295",  # ; HANGUL SYLLABLE NEUNJ
        "\uB296",  # ; HANGUL SYLLABLE NEUNH
        "\uB297",  # ; HANGUL SYLLABLE NEUD
        "\uB298",  # ; HANGUL SYLLABLE NEUL
        "\uB299",  # ; HANGUL SYLLABLE NEULG
        "\uB29A",  # ; HANGUL SYLLABLE NEULM
        "\uB29B",  # ; HANGUL SYLLABLE NEULB
        "\uB29C",  # ; HANGUL SYLLABLE NEULS
        "\uB29D",  # ; HANGUL SYLLABLE NEULT
        "\uB29E",  # ; HANGUL SYLLABLE NEULP
        "\uB29F",  # ; HANGUL SYLLABLE NEULH
        "\uB2A0",  # ; HANGUL SYLLABLE NEUM
        "\uB2A1",  # ; HANGUL SYLLABLE NEUB
        "\uB2A2",  # ; HANGUL SYLLABLE NEUBS
        "\uB2A3",  # ; HANGUL SYLLABLE NEUS
        "\uB2A4",  # ; HANGUL SYLLABLE NEUSS
        "\uB2A5",  # ; HANGUL SYLLABLE NEUNG
        "\uB2A6",  # ; HANGUL SYLLABLE NEUJ
        "\uB2A7",  # ; HANGUL SYLLABLE NEUC
        "\uB2A8",  # ; HANGUL SYLLABLE NEUK
        "\uB2A9",  # ; HANGUL SYLLABLE NEUT
        "\uB2AA",  # ; HANGUL SYLLABLE NEUP
        "\uB2AB",  # ; HANGUL SYLLABLE NEUH
        "\uB2AC",  # ; HANGUL SYLLABLE NYI
        "\uB2AD",  # ; HANGUL SYLLABLE NYIG
        "\uB2AE",  # ; HANGUL SYLLABLE NYIGG
        "\uB2AF",  # ; HANGUL SYLLABLE NYIGS
        "\uB2B0",  # ; HANGUL SYLLABLE NYIN
        "\uB2B1",  # ; HANGUL SYLLABLE NYINJ
        "\uB2B2",  # ; HANGUL SYLLABLE NYINH
        "\uB2B3",  # ; HANGUL SYLLABLE NYID
        "\uB2B4",  # ; HANGUL SYLLABLE NYIL
        "\uB2B5",  # ; HANGUL SYLLABLE NYILG
        "\uB2B6",  # ; HANGUL SYLLABLE NYILM
        "\uB2B7",  # ; HANGUL SYLLABLE NYILB
        "\uB2B8",  # ; HANGUL SYLLABLE NYILS
        "\uB2B9",  # ; HANGUL SYLLABLE NYILT
        "\uB2BA",  # ; HANGUL SYLLABLE NYILP
        "\uB2BB",  # ; HANGUL SYLLABLE NYILH
        "\uB2BC",  # ; HANGUL SYLLABLE NYIM
        "\uB2BD",  # ; HANGUL SYLLABLE NYIB
        "\uB2BE",  # ; HANGUL SYLLABLE NYIBS
        "\uB2BF",  # ; HANGUL SYLLABLE NYIS
        "\uB2C0",  # ; HANGUL SYLLABLE NYISS
        "\uB2C1",  # ; HANGUL SYLLABLE NYING
        "\uB2C2",  # ; HANGUL SYLLABLE NYIJ
        "\uB2C3",  # ; HANGUL SYLLABLE NYIC
        "\uB2C4",  # ; HANGUL SYLLABLE NYIK
        "\uB2C5",  # ; HANGUL SYLLABLE NYIT
        "\uB2C6",  # ; HANGUL SYLLABLE NYIP
        "\uB2C7",  # ; HANGUL SYLLABLE NYIH
        "\uB2C8",  # ; HANGUL SYLLABLE NI
        "\uB2C9",  # ; HANGUL SYLLABLE NIG
        "\uB2CA",  # ; HANGUL SYLLABLE NIGG
        "\uB2CB",  # ; HANGUL SYLLABLE NIGS
        "\uB2CC",  # ; HANGUL SYLLABLE NIN
        "\uB2CD",  # ; HANGUL SYLLABLE NINJ
        "\uB2CE",  # ; HANGUL SYLLABLE NINH
        "\uB2CF",  # ; HANGUL SYLLABLE NID
        "\uB2D0",  # ; HANGUL SYLLABLE NIL
        "\uB2D1",  # ; HANGUL SYLLABLE NILG
        "\uB2D2",  # ; HANGUL SYLLABLE NILM
        "\uB2D3",  # ; HANGUL SYLLABLE NILB
        "\uB2D4",  # ; HANGUL SYLLABLE NILS
        "\uB2D5",  # ; HANGUL SYLLABLE NILT
        "\uB2D6",  # ; HANGUL SYLLABLE NILP
        "\uB2D7",  # ; HANGUL SYLLABLE NILH
        "\uB2D8",  # ; HANGUL SYLLABLE NIM
        "\uB2D9",  # ; HANGUL SYLLABLE NIB
        "\uB2DA",  # ; HANGUL SYLLABLE NIBS
        "\uB2DB",  # ; HANGUL SYLLABLE NIS
        "\uB2DC",  # ; HANGUL SYLLABLE NISS
        "\uB2DD",  # ; HANGUL SYLLABLE NING
        "\uB2DE",  # ; HANGUL SYLLABLE NIJ
        "\uB2DF",  # ; HANGUL SYLLABLE NIC
        "\uB2E0",  # ; HANGUL SYLLABLE NIK
        "\uB2E1",  # ; HANGUL SYLLABLE NIT
        "\uB2E2",  # ; HANGUL SYLLABLE NIP
        "\uB2E3",  # ; HANGUL SYLLABLE NIH
        "\uB2E4",  # ; HANGUL SYLLABLE DA
        "\uB2E5",  # ; HANGUL SYLLABLE DAG
        "\uB2E6",  # ; HANGUL SYLLABLE DAGG
        "\uB2E7",  # ; HANGUL SYLLABLE DAGS
        "\uB2E8",  # ; HANGUL SYLLABLE DAN
        "\uB2E9",  # ; HANGUL SYLLABLE DANJ
        "\uB2EA",  # ; HANGUL SYLLABLE DANH
        "\uB2EB",  # ; HANGUL SYLLABLE DAD
        "\uB2EC",  # ; HANGUL SYLLABLE DAL
        "\uB2ED",  # ; HANGUL SYLLABLE DALG
        "\uB2EE",  # ; HANGUL SYLLABLE DALM
        "\uB2EF",  # ; HANGUL SYLLABLE DALB
        "\uB2F0",  # ; HANGUL SYLLABLE DALS
        "\uB2F1",  # ; HANGUL SYLLABLE DALT
        "\uB2F2",  # ; HANGUL SYLLABLE DALP
        "\uB2F3",  # ; HANGUL SYLLABLE DALH
        "\uB2F4",  # ; HANGUL SYLLABLE DAM
        "\uB2F5",  # ; HANGUL SYLLABLE DAB
        "\uB2F6",  # ; HANGUL SYLLABLE DABS
        "\uB2F7",  # ; HANGUL SYLLABLE DAS
        "\uB2F8",  # ; HANGUL SYLLABLE DASS
        "\uB2F9",  # ; HANGUL SYLLABLE DANG
        "\uB2FA",  # ; HANGUL SYLLABLE DAJ
        "\uB2FB",  # ; HANGUL SYLLABLE DAC
        "\uB2FC",  # ; HANGUL SYLLABLE DAK
        "\uB2FD",  # ; HANGUL SYLLABLE DAT
        "\uB2FE",  # ; HANGUL SYLLABLE DAP
        "\uB2FF",  # ; HANGUL SYLLABLE DAH
        "\uB300",  # ; HANGUL SYLLABLE DAE
        "\uB301",  # ; HANGUL SYLLABLE DAEG
        "\uB302",  # ; HANGUL SYLLABLE DAEGG
        "\uB303",  # ; HANGUL SYLLABLE DAEGS
        "\uB304",  # ; HANGUL SYLLABLE DAEN
        "\uB305",  # ; HANGUL SYLLABLE DAENJ
        "\uB306",  # ; HANGUL SYLLABLE DAENH
        "\uB307",  # ; HANGUL SYLLABLE DAED
        "\uB308",  # ; HANGUL SYLLABLE DAEL
        "\uB309",  # ; HANGUL SYLLABLE DAELG
        "\uB30A",  # ; HANGUL SYLLABLE DAELM
        "\uB30B",  # ; HANGUL SYLLABLE DAELB
        "\uB30C",  # ; HANGUL SYLLABLE DAELS
        "\uB30D",  # ; HANGUL SYLLABLE DAELT
        "\uB30E",  # ; HANGUL SYLLABLE DAELP
        "\uB30F",  # ; HANGUL SYLLABLE DAELH
        "\uB310",  # ; HANGUL SYLLABLE DAEM
        "\uB311",  # ; HANGUL SYLLABLE DAEB
        "\uB312",  # ; HANGUL SYLLABLE DAEBS
        "\uB313",  # ; HANGUL SYLLABLE DAES
        "\uB314",  # ; HANGUL SYLLABLE DAESS
        "\uB315",  # ; HANGUL SYLLABLE DAENG
        "\uB316",  # ; HANGUL SYLLABLE DAEJ
        "\uB317",  # ; HANGUL SYLLABLE DAEC
        "\uB318",  # ; HANGUL SYLLABLE DAEK
        "\uB319",  # ; HANGUL SYLLABLE DAET
        "\uB31A",  # ; HANGUL SYLLABLE DAEP
        "\uB31B",  # ; HANGUL SYLLABLE DAEH
        "\uB31C",  # ; HANGUL SYLLABLE DYA
        "\uB31D",  # ; HANGUL SYLLABLE DYAG
        "\uB31E",  # ; HANGUL SYLLABLE DYAGG
        "\uB31F",  # ; HANGUL SYLLABLE DYAGS
        "\uB320",  # ; HANGUL SYLLABLE DYAN
        "\uB321",  # ; HANGUL SYLLABLE DYANJ
        "\uB322",  # ; HANGUL SYLLABLE DYANH
        "\uB323",  # ; HANGUL SYLLABLE DYAD
        "\uB324",  # ; HANGUL SYLLABLE DYAL
        "\uB325",  # ; HANGUL SYLLABLE DYALG
        "\uB326",  # ; HANGUL SYLLABLE DYALM
        "\uB327",  # ; HANGUL SYLLABLE DYALB
        "\uB328",  # ; HANGUL SYLLABLE DYALS
        "\uB329",  # ; HANGUL SYLLABLE DYALT
        "\uB32A",  # ; HANGUL SYLLABLE DYALP
        "\uB32B",  # ; HANGUL SYLLABLE DYALH
        "\uB32C",  # ; HANGUL SYLLABLE DYAM
        "\uB32D",  # ; HANGUL SYLLABLE DYAB
        "\uB32E",  # ; HANGUL SYLLABLE DYABS
        "\uB32F",  # ; HANGUL SYLLABLE DYAS
        "\uB330",  # ; HANGUL SYLLABLE DYASS
        "\uB331",  # ; HANGUL SYLLABLE DYANG
        "\uB332",  # ; HANGUL SYLLABLE DYAJ
        "\uB333",  # ; HANGUL SYLLABLE DYAC
        "\uB334",  # ; HANGUL SYLLABLE DYAK
        "\uB335",  # ; HANGUL SYLLABLE DYAT
        "\uB336",  # ; HANGUL SYLLABLE DYAP
        "\uB337",  # ; HANGUL SYLLABLE DYAH
        "\uB338",  # ; HANGUL SYLLABLE DYAE
        "\uB339",  # ; HANGUL SYLLABLE DYAEG
        "\uB33A",  # ; HANGUL SYLLABLE DYAEGG
        "\uB33B",  # ; HANGUL SYLLABLE DYAEGS
        "\uB33C",  # ; HANGUL SYLLABLE DYAEN
        "\uB33D",  # ; HANGUL SYLLABLE DYAENJ
        "\uB33E",  # ; HANGUL SYLLABLE DYAENH
        "\uB33F",  # ; HANGUL SYLLABLE DYAED
        "\uB340",  # ; HANGUL SYLLABLE DYAEL
        "\uB341",  # ; HANGUL SYLLABLE DYAELG
        "\uB342",  # ; HANGUL SYLLABLE DYAELM
        "\uB343",  # ; HANGUL SYLLABLE DYAELB
        "\uB344",  # ; HANGUL SYLLABLE DYAELS
        "\uB345",  # ; HANGUL SYLLABLE DYAELT
        "\uB346",  # ; HANGUL SYLLABLE DYAELP
        "\uB347",  # ; HANGUL SYLLABLE DYAELH
        "\uB348",  # ; HANGUL SYLLABLE DYAEM
        "\uB349",  # ; HANGUL SYLLABLE DYAEB
        "\uB34A",  # ; HANGUL SYLLABLE DYAEBS
        "\uB34B",  # ; HANGUL SYLLABLE DYAES
        "\uB34C",  # ; HANGUL SYLLABLE DYAESS
        "\uB34D",  # ; HANGUL SYLLABLE DYAENG
        "\uB34E",  # ; HANGUL SYLLABLE DYAEJ
        "\uB34F",  # ; HANGUL SYLLABLE DYAEC
        "\uB350",  # ; HANGUL SYLLABLE DYAEK
        "\uB351",  # ; HANGUL SYLLABLE DYAET
        "\uB352",  # ; HANGUL SYLLABLE DYAEP
        "\uB353",  # ; HANGUL SYLLABLE DYAEH
        "\uB354",  # ; HANGUL SYLLABLE DEO
        "\uB355",  # ; HANGUL SYLLABLE DEOG
        "\uB356",  # ; HANGUL SYLLABLE DEOGG
        "\uB357",  # ; HANGUL SYLLABLE DEOGS
        "\uB358",  # ; HANGUL SYLLABLE DEON
        "\uB359",  # ; HANGUL SYLLABLE DEONJ
        "\uB35A",  # ; HANGUL SYLLABLE DEONH
        "\uB35B",  # ; HANGUL SYLLABLE DEOD
        "\uB35C",  # ; HANGUL SYLLABLE DEOL
        "\uB35D",  # ; HANGUL SYLLABLE DEOLG
        "\uB35E",  # ; HANGUL SYLLABLE DEOLM
        "\uB35F",  # ; HANGUL SYLLABLE DEOLB
        "\uB360",  # ; HANGUL SYLLABLE DEOLS
        "\uB361",  # ; HANGUL SYLLABLE DEOLT
        "\uB362",  # ; HANGUL SYLLABLE DEOLP
        "\uB363",  # ; HANGUL SYLLABLE DEOLH
        "\uB364",  # ; HANGUL SYLLABLE DEOM
        "\uB365",  # ; HANGUL SYLLABLE DEOB
        "\uB366",  # ; HANGUL SYLLABLE DEOBS
        "\uB367",  # ; HANGUL SYLLABLE DEOS
        "\uB368",  # ; HANGUL SYLLABLE DEOSS
        "\uB369",  # ; HANGUL SYLLABLE DEONG
        "\uB36A",  # ; HANGUL SYLLABLE DEOJ
        "\uB36B",  # ; HANGUL SYLLABLE DEOC
        "\uB36C",  # ; HANGUL SYLLABLE DEOK
        "\uB36D",  # ; HANGUL SYLLABLE DEOT
        "\uB36E",  # ; HANGUL SYLLABLE DEOP
        "\uB36F",  # ; HANGUL SYLLABLE DEOH
        "\uB370",  # ; HANGUL SYLLABLE DE
        "\uB371",  # ; HANGUL SYLLABLE DEG
        "\uB372",  # ; HANGUL SYLLABLE DEGG
        "\uB373",  # ; HANGUL SYLLABLE DEGS
        "\uB374",  # ; HANGUL SYLLABLE DEN
        "\uB375",  # ; HANGUL SYLLABLE DENJ
        "\uB376",  # ; HANGUL SYLLABLE DENH
        "\uB377",  # ; HANGUL SYLLABLE DED
        "\uB378",  # ; HANGUL SYLLABLE DEL
        "\uB379",  # ; HANGUL SYLLABLE DELG
        "\uB37A",  # ; HANGUL SYLLABLE DELM
        "\uB37B",  # ; HANGUL SYLLABLE DELB
        "\uB37C",  # ; HANGUL SYLLABLE DELS
        "\uB37D",  # ; HANGUL SYLLABLE DELT
        "\uB37E",  # ; HANGUL SYLLABLE DELP
        "\uB37F",  # ; HANGUL SYLLABLE DELH
        "\uB380",  # ; HANGUL SYLLABLE DEM
        "\uB381",  # ; HANGUL SYLLABLE DEB
        "\uB382",  # ; HANGUL SYLLABLE DEBS
        "\uB383",  # ; HANGUL SYLLABLE DES
        "\uB384",  # ; HANGUL SYLLABLE DESS
        "\uB385",  # ; HANGUL SYLLABLE DENG
        "\uB386",  # ; HANGUL SYLLABLE DEJ
        "\uB387",  # ; HANGUL SYLLABLE DEC
        "\uB388",  # ; HANGUL SYLLABLE DEK
        "\uB389",  # ; HANGUL SYLLABLE DET
        "\uB38A",  # ; HANGUL SYLLABLE DEP
        "\uB38B",  # ; HANGUL SYLLABLE DEH
        "\uB38C",  # ; HANGUL SYLLABLE DYEO
        "\uB38D",  # ; HANGUL SYLLABLE DYEOG
        "\uB38E",  # ; HANGUL SYLLABLE DYEOGG
        "\uB38F",  # ; HANGUL SYLLABLE DYEOGS
        "\uB390",  # ; HANGUL SYLLABLE DYEON
        "\uB391",  # ; HANGUL SYLLABLE DYEONJ
        "\uB392",  # ; HANGUL SYLLABLE DYEONH
        "\uB393",  # ; HANGUL SYLLABLE DYEOD
        "\uB394",  # ; HANGUL SYLLABLE DYEOL
        "\uB395",  # ; HANGUL SYLLABLE DYEOLG
        "\uB396",  # ; HANGUL SYLLABLE DYEOLM
        "\uB397",  # ; HANGUL SYLLABLE DYEOLB
        "\uB398",  # ; HANGUL SYLLABLE DYEOLS
        "\uB399",  # ; HANGUL SYLLABLE DYEOLT
        "\uB39A",  # ; HANGUL SYLLABLE DYEOLP
        "\uB39B",  # ; HANGUL SYLLABLE DYEOLH
        "\uB39C",  # ; HANGUL SYLLABLE DYEOM
        "\uB39D",  # ; HANGUL SYLLABLE DYEOB
        "\uB39E",  # ; HANGUL SYLLABLE DYEOBS
        "\uB39F",  # ; HANGUL SYLLABLE DYEOS
        "\uB3A0",  # ; HANGUL SYLLABLE DYEOSS
        "\uB3A1",  # ; HANGUL SYLLABLE DYEONG
        "\uB3A2",  # ; HANGUL SYLLABLE DYEOJ
        "\uB3A3",  # ; HANGUL SYLLABLE DYEOC
        "\uB3A4",  # ; HANGUL SYLLABLE DYEOK
        "\uB3A5",  # ; HANGUL SYLLABLE DYEOT
        "\uB3A6",  # ; HANGUL SYLLABLE DYEOP
        "\uB3A7",  # ; HANGUL SYLLABLE DYEOH
        "\uB3A8",  # ; HANGUL SYLLABLE DYE
        "\uB3A9",  # ; HANGUL SYLLABLE DYEG
        "\uB3AA",  # ; HANGUL SYLLABLE DYEGG
        "\uB3AB",  # ; HANGUL SYLLABLE DYEGS
        "\uB3AC",  # ; HANGUL SYLLABLE DYEN
        "\uB3AD",  # ; HANGUL SYLLABLE DYENJ
        "\uB3AE",  # ; HANGUL SYLLABLE DYENH
        "\uB3AF",  # ; HANGUL SYLLABLE DYED
        "\uB3B0",  # ; HANGUL SYLLABLE DYEL
        "\uB3B1",  # ; HANGUL SYLLABLE DYELG
        "\uB3B2",  # ; HANGUL SYLLABLE DYELM
        "\uB3B3",  # ; HANGUL SYLLABLE DYELB
        "\uB3B4",  # ; HANGUL SYLLABLE DYELS
        "\uB3B5",  # ; HANGUL SYLLABLE DYELT
        "\uB3B6",  # ; HANGUL SYLLABLE DYELP
        "\uB3B7",  # ; HANGUL SYLLABLE DYELH
        "\uB3B8",  # ; HANGUL SYLLABLE DYEM
        "\uB3B9",  # ; HANGUL SYLLABLE DYEB
        "\uB3BA",  # ; HANGUL SYLLABLE DYEBS
        "\uB3BB",  # ; HANGUL SYLLABLE DYES
        "\uB3BC",  # ; HANGUL SYLLABLE DYESS
        "\uB3BD",  # ; HANGUL SYLLABLE DYENG
        "\uB3BE",  # ; HANGUL SYLLABLE DYEJ
        "\uB3BF",  # ; HANGUL SYLLABLE DYEC
        "\uB3C0",  # ; HANGUL SYLLABLE DYEK
        "\uB3C1",  # ; HANGUL SYLLABLE DYET
        "\uB3C2",  # ; HANGUL SYLLABLE DYEP
        "\uB3C3",  # ; HANGUL SYLLABLE DYEH
        "\uB3C4",  # ; HANGUL SYLLABLE DO
        "\uB3C5",  # ; HANGUL SYLLABLE DOG
        "\uB3C6",  # ; HANGUL SYLLABLE DOGG
        "\uB3C7",  # ; HANGUL SYLLABLE DOGS
        "\uB3C8",  # ; HANGUL SYLLABLE DON
        "\uB3C9",  # ; HANGUL SYLLABLE DONJ
        "\uB3CA",  # ; HANGUL SYLLABLE DONH
        "\uB3CB",  # ; HANGUL SYLLABLE DOD
        "\uB3CC",  # ; HANGUL SYLLABLE DOL
        "\uB3CD",  # ; HANGUL SYLLABLE DOLG
        "\uB3CE",  # ; HANGUL SYLLABLE DOLM
        "\uB3CF",  # ; HANGUL SYLLABLE DOLB
        "\uB3D0",  # ; HANGUL SYLLABLE DOLS
        "\uB3D1",  # ; HANGUL SYLLABLE DOLT
        "\uB3D2",  # ; HANGUL SYLLABLE DOLP
        "\uB3D3",  # ; HANGUL SYLLABLE DOLH
        "\uB3D4",  # ; HANGUL SYLLABLE DOM
        "\uB3D5",  # ; HANGUL SYLLABLE DOB
        "\uB3D6",  # ; HANGUL SYLLABLE DOBS
        "\uB3D7",  # ; HANGUL SYLLABLE DOS
        "\uB3D8",  # ; HANGUL SYLLABLE DOSS
        "\uB3D9",  # ; HANGUL SYLLABLE DONG
        "\uB3DA",  # ; HANGUL SYLLABLE DOJ
        "\uB3DB",  # ; HANGUL SYLLABLE DOC
        "\uB3DC",  # ; HANGUL SYLLABLE DOK
        "\uB3DD",  # ; HANGUL SYLLABLE DOT
        "\uB3DE",  # ; HANGUL SYLLABLE DOP
        "\uB3DF",  # ; HANGUL SYLLABLE DOH
        "\uB3E0",  # ; HANGUL SYLLABLE DWA
        "\uB3E1",  # ; HANGUL SYLLABLE DWAG
        "\uB3E2",  # ; HANGUL SYLLABLE DWAGG
        "\uB3E3",  # ; HANGUL SYLLABLE DWAGS
        "\uB3E4",  # ; HANGUL SYLLABLE DWAN
        "\uB3E5",  # ; HANGUL SYLLABLE DWANJ
        "\uB3E6",  # ; HANGUL SYLLABLE DWANH
        "\uB3E7",  # ; HANGUL SYLLABLE DWAD
        "\uB3E8",  # ; HANGUL SYLLABLE DWAL
        "\uB3E9",  # ; HANGUL SYLLABLE DWALG
        "\uB3EA",  # ; HANGUL SYLLABLE DWALM
        "\uB3EB",  # ; HANGUL SYLLABLE DWALB
        "\uB3EC",  # ; HANGUL SYLLABLE DWALS
        "\uB3ED",  # ; HANGUL SYLLABLE DWALT
        "\uB3EE",  # ; HANGUL SYLLABLE DWALP
        "\uB3EF",  # ; HANGUL SYLLABLE DWALH
        "\uB3F0",  # ; HANGUL SYLLABLE DWAM
        "\uB3F1",  # ; HANGUL SYLLABLE DWAB
        "\uB3F2",  # ; HANGUL SYLLABLE DWABS
        "\uB3F3",  # ; HANGUL SYLLABLE DWAS
        "\uB3F4",  # ; HANGUL SYLLABLE DWASS
        "\uB3F5",  # ; HANGUL SYLLABLE DWANG
        "\uB3F6",  # ; HANGUL SYLLABLE DWAJ
        "\uB3F7",  # ; HANGUL SYLLABLE DWAC
        "\uB3F8",  # ; HANGUL SYLLABLE DWAK
        "\uB3F9",  # ; HANGUL SYLLABLE DWAT
        "\uB3FA",  # ; HANGUL SYLLABLE DWAP
        "\uB3FB",  # ; HANGUL SYLLABLE DWAH
        "\uB3FC",  # ; HANGUL SYLLABLE DWAE
        "\uB3FD",  # ; HANGUL SYLLABLE DWAEG
        "\uB3FE",  # ; HANGUL SYLLABLE DWAEGG
        "\uB3FF",  # ; HANGUL SYLLABLE DWAEGS
        "\uB400",  # ; HANGUL SYLLABLE DWAEN
        "\uB401",  # ; HANGUL SYLLABLE DWAENJ
        "\uB402",  # ; HANGUL SYLLABLE DWAENH
        "\uB403",  # ; HANGUL SYLLABLE DWAED
        "\uB404",  # ; HANGUL SYLLABLE DWAEL
        "\uB405",  # ; HANGUL SYLLABLE DWAELG
        "\uB406",  # ; HANGUL SYLLABLE DWAELM
        "\uB407",  # ; HANGUL SYLLABLE DWAELB
        "\uB408",  # ; HANGUL SYLLABLE DWAELS
        "\uB409",  # ; HANGUL SYLLABLE DWAELT
        "\uB40A",  # ; HANGUL SYLLABLE DWAELP
        "\uB40B",  # ; HANGUL SYLLABLE DWAELH
        "\uB40C",  # ; HANGUL SYLLABLE DWAEM
        "\uB40D",  # ; HANGUL SYLLABLE DWAEB
        "\uB40E",  # ; HANGUL SYLLABLE DWAEBS
        "\uB40F",  # ; HANGUL SYLLABLE DWAES
        "\uB410",  # ; HANGUL SYLLABLE DWAESS
        "\uB411",  # ; HANGUL SYLLABLE DWAENG
        "\uB412",  # ; HANGUL SYLLABLE DWAEJ
        "\uB413",  # ; HANGUL SYLLABLE DWAEC
        "\uB414",  # ; HANGUL SYLLABLE DWAEK
        "\uB415",  # ; HANGUL SYLLABLE DWAET
        "\uB416",  # ; HANGUL SYLLABLE DWAEP
        "\uB417",  # ; HANGUL SYLLABLE DWAEH
        "\uB418",  # ; HANGUL SYLLABLE DOE
        "\uB419",  # ; HANGUL SYLLABLE DOEG
        "\uB41A",  # ; HANGUL SYLLABLE DOEGG
        "\uB41B",  # ; HANGUL SYLLABLE DOEGS
        "\uB41C",  # ; HANGUL SYLLABLE DOEN
        "\uB41D",  # ; HANGUL SYLLABLE DOENJ
        "\uB41E",  # ; HANGUL SYLLABLE DOENH
        "\uB41F",  # ; HANGUL SYLLABLE DOED
        "\uB420",  # ; HANGUL SYLLABLE DOEL
        "\uB421",  # ; HANGUL SYLLABLE DOELG
        "\uB422",  # ; HANGUL SYLLABLE DOELM
        "\uB423",  # ; HANGUL SYLLABLE DOELB
        "\uB424",  # ; HANGUL SYLLABLE DOELS
        "\uB425",  # ; HANGUL SYLLABLE DOELT
        "\uB426",  # ; HANGUL SYLLABLE DOELP
        "\uB427",  # ; HANGUL SYLLABLE DOELH
        "\uB428",  # ; HANGUL SYLLABLE DOEM
        "\uB429",  # ; HANGUL SYLLABLE DOEB
        "\uB42A",  # ; HANGUL SYLLABLE DOEBS
        "\uB42B",  # ; HANGUL SYLLABLE DOES
        "\uB42C",  # ; HANGUL SYLLABLE DOESS
        "\uB42D",  # ; HANGUL SYLLABLE DOENG
        "\uB42E",  # ; HANGUL SYLLABLE DOEJ
        "\uB42F",  # ; HANGUL SYLLABLE DOEC
        "\uB430",  # ; HANGUL SYLLABLE DOEK
        "\uB431",  # ; HANGUL SYLLABLE DOET
        "\uB432",  # ; HANGUL SYLLABLE DOEP
        "\uB433",  # ; HANGUL SYLLABLE DOEH
        "\uB434",  # ; HANGUL SYLLABLE DYO
        "\uB435",  # ; HANGUL SYLLABLE DYOG
        "\uB436",  # ; HANGUL SYLLABLE DYOGG
        "\uB437",  # ; HANGUL SYLLABLE DYOGS
        "\uB438",  # ; HANGUL SYLLABLE DYON
        "\uB439",  # ; HANGUL SYLLABLE DYONJ
        "\uB43A",  # ; HANGUL SYLLABLE DYONH
        "\uB43B",  # ; HANGUL SYLLABLE DYOD
        "\uB43C",  # ; HANGUL SYLLABLE DYOL
        "\uB43D",  # ; HANGUL SYLLABLE DYOLG
        "\uB43E",  # ; HANGUL SYLLABLE DYOLM
        "\uB43F",  # ; HANGUL SYLLABLE DYOLB
        "\uB440",  # ; HANGUL SYLLABLE DYOLS
        "\uB441",  # ; HANGUL SYLLABLE DYOLT
        "\uB442",  # ; HANGUL SYLLABLE DYOLP
        "\uB443",  # ; HANGUL SYLLABLE DYOLH
        "\uB444",  # ; HANGUL SYLLABLE DYOM
        "\uB445",  # ; HANGUL SYLLABLE DYOB
        "\uB446",  # ; HANGUL SYLLABLE DYOBS
        "\uB447",  # ; HANGUL SYLLABLE DYOS
        "\uB448",  # ; HANGUL SYLLABLE DYOSS
        "\uB449",  # ; HANGUL SYLLABLE DYONG
        "\uB44A",  # ; HANGUL SYLLABLE DYOJ
        "\uB44B",  # ; HANGUL SYLLABLE DYOC
        "\uB44C",  # ; HANGUL SYLLABLE DYOK
        "\uB44D",  # ; HANGUL SYLLABLE DYOT
        "\uB44E",  # ; HANGUL SYLLABLE DYOP
        "\uB44F",  # ; HANGUL SYLLABLE DYOH
        "\uB450",  # ; HANGUL SYLLABLE DU
        "\uB451",  # ; HANGUL SYLLABLE DUG
        "\uB452",  # ; HANGUL SYLLABLE DUGG
        "\uB453",  # ; HANGUL SYLLABLE DUGS
        "\uB454",  # ; HANGUL SYLLABLE DUN
        "\uB455",  # ; HANGUL SYLLABLE DUNJ
        "\uB456",  # ; HANGUL SYLLABLE DUNH
        "\uB457",  # ; HANGUL SYLLABLE DUD
        "\uB458",  # ; HANGUL SYLLABLE DUL
        "\uB459",  # ; HANGUL SYLLABLE DULG
        "\uB45A",  # ; HANGUL SYLLABLE DULM
        "\uB45B",  # ; HANGUL SYLLABLE DULB
        "\uB45C",  # ; HANGUL SYLLABLE DULS
        "\uB45D",  # ; HANGUL SYLLABLE DULT
        "\uB45E",  # ; HANGUL SYLLABLE DULP
        "\uB45F",  # ; HANGUL SYLLABLE DULH
        "\uB460",  # ; HANGUL SYLLABLE DUM
        "\uB461",  # ; HANGUL SYLLABLE DUB
        "\uB462",  # ; HANGUL SYLLABLE DUBS
        "\uB463",  # ; HANGUL SYLLABLE DUS
        "\uB464",  # ; HANGUL SYLLABLE DUSS
        "\uB465",  # ; HANGUL SYLLABLE DUNG
        "\uB466",  # ; HANGUL SYLLABLE DUJ
        "\uB467",  # ; HANGUL SYLLABLE DUC
        "\uB468",  # ; HANGUL SYLLABLE DUK
        "\uB469",  # ; HANGUL SYLLABLE DUT
        "\uB46A",  # ; HANGUL SYLLABLE DUP
        "\uB46B",  # ; HANGUL SYLLABLE DUH
        "\uB46C",  # ; HANGUL SYLLABLE DWEO
        "\uB46D",  # ; HANGUL SYLLABLE DWEOG
        "\uB46E",  # ; HANGUL SYLLABLE DWEOGG
        "\uB46F",  # ; HANGUL SYLLABLE DWEOGS
        "\uB470",  # ; HANGUL SYLLABLE DWEON
        "\uB471",  # ; HANGUL SYLLABLE DWEONJ
        "\uB472",  # ; HANGUL SYLLABLE DWEONH
        "\uB473",  # ; HANGUL SYLLABLE DWEOD
        "\uB474",  # ; HANGUL SYLLABLE DWEOL
        "\uB475",  # ; HANGUL SYLLABLE DWEOLG
        "\uB476",  # ; HANGUL SYLLABLE DWEOLM
        "\uB477",  # ; HANGUL SYLLABLE DWEOLB
        "\uB478",  # ; HANGUL SYLLABLE DWEOLS
        "\uB479",  # ; HANGUL SYLLABLE DWEOLT
        "\uB47A",  # ; HANGUL SYLLABLE DWEOLP
        "\uB47B",  # ; HANGUL SYLLABLE DWEOLH
        "\uB47C",  # ; HANGUL SYLLABLE DWEOM
        "\uB47D",  # ; HANGUL SYLLABLE DWEOB
        "\uB47E",  # ; HANGUL SYLLABLE DWEOBS
        "\uB47F",  # ; HANGUL SYLLABLE DWEOS
        "\uB480",  # ; HANGUL SYLLABLE DWEOSS
        "\uB481",  # ; HANGUL SYLLABLE DWEONG
        "\uB482",  # ; HANGUL SYLLABLE DWEOJ
        "\uB483",  # ; HANGUL SYLLABLE DWEOC
        "\uB484",  # ; HANGUL SYLLABLE DWEOK
        "\uB485",  # ; HANGUL SYLLABLE DWEOT
        "\uB486",  # ; HANGUL SYLLABLE DWEOP
        "\uB487",  # ; HANGUL SYLLABLE DWEOH
        "\uB488",  # ; HANGUL SYLLABLE DWE
        "\uB489",  # ; HANGUL SYLLABLE DWEG
        "\uB48A",  # ; HANGUL SYLLABLE DWEGG
        "\uB48B",  # ; HANGUL SYLLABLE DWEGS
        "\uB48C",  # ; HANGUL SYLLABLE DWEN
        "\uB48D",  # ; HANGUL SYLLABLE DWENJ
        "\uB48E",  # ; HANGUL SYLLABLE DWENH
        "\uB48F",  # ; HANGUL SYLLABLE DWED
        "\uB490",  # ; HANGUL SYLLABLE DWEL
        "\uB491",  # ; HANGUL SYLLABLE DWELG
        "\uB492",  # ; HANGUL SYLLABLE DWELM
        "\uB493",  # ; HANGUL SYLLABLE DWELB
        "\uB494",  # ; HANGUL SYLLABLE DWELS
        "\uB495",  # ; HANGUL SYLLABLE DWELT
        "\uB496",  # ; HANGUL SYLLABLE DWELP
        "\uB497",  # ; HANGUL SYLLABLE DWELH
        "\uB498",  # ; HANGUL SYLLABLE DWEM
        "\uB499",  # ; HANGUL SYLLABLE DWEB
        "\uB49A",  # ; HANGUL SYLLABLE DWEBS
        "\uB49B",  # ; HANGUL SYLLABLE DWES
        "\uB49C",  # ; HANGUL SYLLABLE DWESS
        "\uB49D",  # ; HANGUL SYLLABLE DWENG
        "\uB49E",  # ; HANGUL SYLLABLE DWEJ
        "\uB49F",  # ; HANGUL SYLLABLE DWEC
        "\uB4A0",  # ; HANGUL SYLLABLE DWEK
        "\uB4A1",  # ; HANGUL SYLLABLE DWET
        "\uB4A2",  # ; HANGUL SYLLABLE DWEP
        "\uB4A3",  # ; HANGUL SYLLABLE DWEH
        "\uB4A4",  # ; HANGUL SYLLABLE DWI
        "\uB4A5",  # ; HANGUL SYLLABLE DWIG
        "\uB4A6",  # ; HANGUL SYLLABLE DWIGG
        "\uB4A7",  # ; HANGUL SYLLABLE DWIGS
        "\uB4A8",  # ; HANGUL SYLLABLE DWIN
        "\uB4A9",  # ; HANGUL SYLLABLE DWINJ
        "\uB4AA",  # ; HANGUL SYLLABLE DWINH
        "\uB4AB",  # ; HANGUL SYLLABLE DWID
        "\uB4AC",  # ; HANGUL SYLLABLE DWIL
        "\uB4AD",  # ; HANGUL SYLLABLE DWILG
        "\uB4AE",  # ; HANGUL SYLLABLE DWILM
        "\uB4AF",  # ; HANGUL SYLLABLE DWILB
        "\uB4B0",  # ; HANGUL SYLLABLE DWILS
        "\uB4B1",  # ; HANGUL SYLLABLE DWILT
        "\uB4B2",  # ; HANGUL SYLLABLE DWILP
        "\uB4B3",  # ; HANGUL SYLLABLE DWILH
        "\uB4B4",  # ; HANGUL SYLLABLE DWIM
        "\uB4B5",  # ; HANGUL SYLLABLE DWIB
        "\uB4B6",  # ; HANGUL SYLLABLE DWIBS
        "\uB4B7",  # ; HANGUL SYLLABLE DWIS
        "\uB4B8",  # ; HANGUL SYLLABLE DWISS
        "\uB4B9",  # ; HANGUL SYLLABLE DWING
        "\uB4BA",  # ; HANGUL SYLLABLE DWIJ
        "\uB4BB",  # ; HANGUL SYLLABLE DWIC
        "\uB4BC",  # ; HANGUL SYLLABLE DWIK
        "\uB4BD",  # ; HANGUL SYLLABLE DWIT
        "\uB4BE",  # ; HANGUL SYLLABLE DWIP
        "\uB4BF",  # ; HANGUL SYLLABLE DWIH
        "\uB4C0",  # ; HANGUL SYLLABLE DYU
        "\uB4C1",  # ; HANGUL SYLLABLE DYUG
        "\uB4C2",  # ; HANGUL SYLLABLE DYUGG
        "\uB4C3",  # ; HANGUL SYLLABLE DYUGS
        "\uB4C4",  # ; HANGUL SYLLABLE DYUN
        "\uB4C5",  # ; HANGUL SYLLABLE DYUNJ
        "\uB4C6",  # ; HANGUL SYLLABLE DYUNH
        "\uB4C7",  # ; HANGUL SYLLABLE DYUD
        "\uB4C8",  # ; HANGUL SYLLABLE DYUL
        "\uB4C9",  # ; HANGUL SYLLABLE DYULG
        "\uB4CA",  # ; HANGUL SYLLABLE DYULM
        "\uB4CB",  # ; HANGUL SYLLABLE DYULB
        "\uB4CC",  # ; HANGUL SYLLABLE DYULS
        "\uB4CD",  # ; HANGUL SYLLABLE DYULT
        "\uB4CE",  # ; HANGUL SYLLABLE DYULP
        "\uB4CF",  # ; HANGUL SYLLABLE DYULH
        "\uB4D0",  # ; HANGUL SYLLABLE DYUM
        "\uB4D1",  # ; HANGUL SYLLABLE DYUB
        "\uB4D2",  # ; HANGUL SYLLABLE DYUBS
        "\uB4D3",  # ; HANGUL SYLLABLE DYUS
        "\uB4D4",  # ; HANGUL SYLLABLE DYUSS
        "\uB4D5",  # ; HANGUL SYLLABLE DYUNG
        "\uB4D6",  # ; HANGUL SYLLABLE DYUJ
        "\uB4D7",  # ; HANGUL SYLLABLE DYUC
        "\uB4D8",  # ; HANGUL SYLLABLE DYUK
        "\uB4D9",  # ; HANGUL SYLLABLE DYUT
        "\uB4DA",  # ; HANGUL SYLLABLE DYUP
        "\uB4DB",  # ; HANGUL SYLLABLE DYUH
        "\uB4DC",  # ; HANGUL SYLLABLE DEU
        "\uB4DD",  # ; HANGUL SYLLABLE DEUG
        "\uB4DE",  # ; HANGUL SYLLABLE DEUGG
        "\uB4DF",  # ; HANGUL SYLLABLE DEUGS
        "\uB4E0",  # ; HANGUL SYLLABLE DEUN
        "\uB4E1",  # ; HANGUL SYLLABLE DEUNJ
        "\uB4E2",  # ; HANGUL SYLLABLE DEUNH
        "\uB4E3",  # ; HANGUL SYLLABLE DEUD
        "\uB4E4",  # ; HANGUL SYLLABLE DEUL
        "\uB4E5",  # ; HANGUL SYLLABLE DEULG
        "\uB4E6",  # ; HANGUL SYLLABLE DEULM
        "\uB4E7",  # ; HANGUL SYLLABLE DEULB
        "\uB4E8",  # ; HANGUL SYLLABLE DEULS
        "\uB4E9",  # ; HANGUL SYLLABLE DEULT
        "\uB4EA",  # ; HANGUL SYLLABLE DEULP
        "\uB4EB",  # ; HANGUL SYLLABLE DEULH
        "\uB4EC",  # ; HANGUL SYLLABLE DEUM
        "\uB4ED",  # ; HANGUL SYLLABLE DEUB
        "\uB4EE",  # ; HANGUL SYLLABLE DEUBS
        "\uB4EF",  # ; HANGUL SYLLABLE DEUS
        "\uB4F0",  # ; HANGUL SYLLABLE DEUSS
        "\uB4F1",  # ; HANGUL SYLLABLE DEUNG
        "\uB4F2",  # ; HANGUL SYLLABLE DEUJ
        "\uB4F3",  # ; HANGUL SYLLABLE DEUC
        "\uB4F4",  # ; HANGUL SYLLABLE DEUK
        "\uB4F5",  # ; HANGUL SYLLABLE DEUT
        "\uB4F6",  # ; HANGUL SYLLABLE DEUP
        "\uB4F7",  # ; HANGUL SYLLABLE DEUH
        "\uB4F8",  # ; HANGUL SYLLABLE DYI
        "\uB4F9",  # ; HANGUL SYLLABLE DYIG
        "\uB4FA",  # ; HANGUL SYLLABLE DYIGG
        "\uB4FB",  # ; HANGUL SYLLABLE DYIGS
        "\uB4FC",  # ; HANGUL SYLLABLE DYIN
        "\uB4FD",  # ; HANGUL SYLLABLE DYINJ
        "\uB4FE",  # ; HANGUL SYLLABLE DYINH
        "\uB4FF",  # ; HANGUL SYLLABLE DYID
        "\uB500",  # ; HANGUL SYLLABLE DYIL
        "\uB501",  # ; HANGUL SYLLABLE DYILG
        "\uB502",  # ; HANGUL SYLLABLE DYILM
        "\uB503",  # ; HANGUL SYLLABLE DYILB
        "\uB504",  # ; HANGUL SYLLABLE DYILS
        "\uB505",  # ; HANGUL SYLLABLE DYILT
        "\uB506",  # ; HANGUL SYLLABLE DYILP
        "\uB507",  # ; HANGUL SYLLABLE DYILH
        "\uB508",  # ; HANGUL SYLLABLE DYIM
        "\uB509",  # ; HANGUL SYLLABLE DYIB
        "\uB50A",  # ; HANGUL SYLLABLE DYIBS
        "\uB50B",  # ; HANGUL SYLLABLE DYIS
        "\uB50C",  # ; HANGUL SYLLABLE DYISS
        "\uB50D",  # ; HANGUL SYLLABLE DYING
        "\uB50E",  # ; HANGUL SYLLABLE DYIJ
        "\uB50F",  # ; HANGUL SYLLABLE DYIC
        "\uB510",  # ; HANGUL SYLLABLE DYIK
        "\uB511",  # ; HANGUL SYLLABLE DYIT
        "\uB512",  # ; HANGUL SYLLABLE DYIP
        "\uB513",  # ; HANGUL SYLLABLE DYIH
        "\uB514",  # ; HANGUL SYLLABLE DI
        "\uB515",  # ; HANGUL SYLLABLE DIG
        "\uB516",  # ; HANGUL SYLLABLE DIGG
        "\uB517",  # ; HANGUL SYLLABLE DIGS
        "\uB518",  # ; HANGUL SYLLABLE DIN
        "\uB519",  # ; HANGUL SYLLABLE DINJ
        "\uB51A",  # ; HANGUL SYLLABLE DINH
        "\uB51B",  # ; HANGUL SYLLABLE DID
        "\uB51C",  # ; HANGUL SYLLABLE DIL
        "\uB51D",  # ; HANGUL SYLLABLE DILG
        "\uB51E",  # ; HANGUL SYLLABLE DILM
        "\uB51F",  # ; HANGUL SYLLABLE DILB
        "\uB520",  # ; HANGUL SYLLABLE DILS
        "\uB521",  # ; HANGUL SYLLABLE DILT
        "\uB522",  # ; HANGUL SYLLABLE DILP
        "\uB523",  # ; HANGUL SYLLABLE DILH
        "\uB524",  # ; HANGUL SYLLABLE DIM
        "\uB525",  # ; HANGUL SYLLABLE DIB
        "\uB526",  # ; HANGUL SYLLABLE DIBS
        "\uB527",  # ; HANGUL SYLLABLE DIS
        "\uB528",  # ; HANGUL SYLLABLE DISS
        "\uB529",  # ; HANGUL SYLLABLE DING
        "\uB52A",  # ; HANGUL SYLLABLE DIJ
        "\uB52B",  # ; HANGUL SYLLABLE DIC
        "\uB52C",  # ; HANGUL SYLLABLE DIK
        "\uB52D",  # ; HANGUL SYLLABLE DIT
        "\uB52E",  # ; HANGUL SYLLABLE DIP
        "\uB52F",  # ; HANGUL SYLLABLE DIH
        "\uB530",  # ; HANGUL SYLLABLE DDA
        "\uB531",  # ; HANGUL SYLLABLE DDAG
        "\uB532",  # ; HANGUL SYLLABLE DDAGG
        "\uB533",  # ; HANGUL SYLLABLE DDAGS
        "\uB534",  # ; HANGUL SYLLABLE DDAN
        "\uB535",  # ; HANGUL SYLLABLE DDANJ
        "\uB536",  # ; HANGUL SYLLABLE DDANH
        "\uB537",  # ; HANGUL SYLLABLE DDAD
        "\uB538",  # ; HANGUL SYLLABLE DDAL
        "\uB539",  # ; HANGUL SYLLABLE DDALG
        "\uB53A",  # ; HANGUL SYLLABLE DDALM
        "\uB53B",  # ; HANGUL SYLLABLE DDALB
        "\uB53C",  # ; HANGUL SYLLABLE DDALS
        "\uB53D",  # ; HANGUL SYLLABLE DDALT
        "\uB53E",  # ; HANGUL SYLLABLE DDALP
        "\uB53F",  # ; HANGUL SYLLABLE DDALH
        "\uB540",  # ; HANGUL SYLLABLE DDAM
        "\uB541",  # ; HANGUL SYLLABLE DDAB
        "\uB542",  # ; HANGUL SYLLABLE DDABS
        "\uB543",  # ; HANGUL SYLLABLE DDAS
        "\uB544",  # ; HANGUL SYLLABLE DDASS
        "\uB545",  # ; HANGUL SYLLABLE DDANG
        "\uB546",  # ; HANGUL SYLLABLE DDAJ
        "\uB547",  # ; HANGUL SYLLABLE DDAC
        "\uB548",  # ; HANGUL SYLLABLE DDAK
        "\uB549",  # ; HANGUL SYLLABLE DDAT
        "\uB54A",  # ; HANGUL SYLLABLE DDAP
        "\uB54B",  # ; HANGUL SYLLABLE DDAH
        "\uB54C",  # ; HANGUL SYLLABLE DDAE
        "\uB54D",  # ; HANGUL SYLLABLE DDAEG
        "\uB54E",  # ; HANGUL SYLLABLE DDAEGG
        "\uB54F",  # ; HANGUL SYLLABLE DDAEGS
        "\uB550",  # ; HANGUL SYLLABLE DDAEN
        "\uB551",  # ; HANGUL SYLLABLE DDAENJ
        "\uB552",  # ; HANGUL SYLLABLE DDAENH
        "\uB553",  # ; HANGUL SYLLABLE DDAED
        "\uB554",  # ; HANGUL SYLLABLE DDAEL
        "\uB555",  # ; HANGUL SYLLABLE DDAELG
        "\uB556",  # ; HANGUL SYLLABLE DDAELM
        "\uB557",  # ; HANGUL SYLLABLE DDAELB
        "\uB558",  # ; HANGUL SYLLABLE DDAELS
        "\uB559",  # ; HANGUL SYLLABLE DDAELT
        "\uB55A",  # ; HANGUL SYLLABLE DDAELP
        "\uB55B",  # ; HANGUL SYLLABLE DDAELH
        "\uB55C",  # ; HANGUL SYLLABLE DDAEM
        "\uB55D",  # ; HANGUL SYLLABLE DDAEB
        "\uB55E",  # ; HANGUL SYLLABLE DDAEBS
        "\uB55F",  # ; HANGUL SYLLABLE DDAES
        "\uB560",  # ; HANGUL SYLLABLE DDAESS
        "\uB561",  # ; HANGUL SYLLABLE DDAENG
        "\uB562",  # ; HANGUL SYLLABLE DDAEJ
        "\uB563",  # ; HANGUL SYLLABLE DDAEC
        "\uB564",  # ; HANGUL SYLLABLE DDAEK
        "\uB565",  # ; HANGUL SYLLABLE DDAET
        "\uB566",  # ; HANGUL SYLLABLE DDAEP
        "\uB567",  # ; HANGUL SYLLABLE DDAEH
        "\uB568",  # ; HANGUL SYLLABLE DDYA
        "\uB569",  # ; HANGUL SYLLABLE DDYAG
        "\uB56A",  # ; HANGUL SYLLABLE DDYAGG
        "\uB56B",  # ; HANGUL SYLLABLE DDYAGS
        "\uB56C",  # ; HANGUL SYLLABLE DDYAN
        "\uB56D",  # ; HANGUL SYLLABLE DDYANJ
        "\uB56E",  # ; HANGUL SYLLABLE DDYANH
        "\uB56F",  # ; HANGUL SYLLABLE DDYAD
        "\uB570",  # ; HANGUL SYLLABLE DDYAL
        "\uB571",  # ; HANGUL SYLLABLE DDYALG
        "\uB572",  # ; HANGUL SYLLABLE DDYALM
        "\uB573",  # ; HANGUL SYLLABLE DDYALB
        "\uB574",  # ; HANGUL SYLLABLE DDYALS
        "\uB575",  # ; HANGUL SYLLABLE DDYALT
        "\uB576",  # ; HANGUL SYLLABLE DDYALP
        "\uB577",  # ; HANGUL SYLLABLE DDYALH
        "\uB578",  # ; HANGUL SYLLABLE DDYAM
        "\uB579",  # ; HANGUL SYLLABLE DDYAB
        "\uB57A",  # ; HANGUL SYLLABLE DDYABS
        "\uB57B",  # ; HANGUL SYLLABLE DDYAS
        "\uB57C",  # ; HANGUL SYLLABLE DDYASS
        "\uB57D",  # ; HANGUL SYLLABLE DDYANG
        "\uB57E",  # ; HANGUL SYLLABLE DDYAJ
        "\uB57F",  # ; HANGUL SYLLABLE DDYAC
        "\uB580",  # ; HANGUL SYLLABLE DDYAK
        "\uB581",  # ; HANGUL SYLLABLE DDYAT
        "\uB582",  # ; HANGUL SYLLABLE DDYAP
        "\uB583",  # ; HANGUL SYLLABLE DDYAH
        "\uB584",  # ; HANGUL SYLLABLE DDYAE
        "\uB585",  # ; HANGUL SYLLABLE DDYAEG
        "\uB586",  # ; HANGUL SYLLABLE DDYAEGG
        "\uB587",  # ; HANGUL SYLLABLE DDYAEGS
        "\uB588",  # ; HANGUL SYLLABLE DDYAEN
        "\uB589",  # ; HANGUL SYLLABLE DDYAENJ
        "\uB58A",  # ; HANGUL SYLLABLE DDYAENH
        "\uB58B",  # ; HANGUL SYLLABLE DDYAED
        "\uB58C",  # ; HANGUL SYLLABLE DDYAEL
        "\uB58D",  # ; HANGUL SYLLABLE DDYAELG
        "\uB58E",  # ; HANGUL SYLLABLE DDYAELM
        "\uB58F",  # ; HANGUL SYLLABLE DDYAELB
        "\uB590",  # ; HANGUL SYLLABLE DDYAELS
        "\uB591",  # ; HANGUL SYLLABLE DDYAELT
        "\uB592",  # ; HANGUL SYLLABLE DDYAELP
        "\uB593",  # ; HANGUL SYLLABLE DDYAELH
        "\uB594",  # ; HANGUL SYLLABLE DDYAEM
        "\uB595",  # ; HANGUL SYLLABLE DDYAEB
        "\uB596",  # ; HANGUL SYLLABLE DDYAEBS
        "\uB597",  # ; HANGUL SYLLABLE DDYAES
        "\uB598",  # ; HANGUL SYLLABLE DDYAESS
        "\uB599",  # ; HANGUL SYLLABLE DDYAENG
        "\uB59A",  # ; HANGUL SYLLABLE DDYAEJ
        "\uB59B",  # ; HANGUL SYLLABLE DDYAEC
        "\uB59C",  # ; HANGUL SYLLABLE DDYAEK
        "\uB59D",  # ; HANGUL SYLLABLE DDYAET
        "\uB59E",  # ; HANGUL SYLLABLE DDYAEP
        "\uB59F",  # ; HANGUL SYLLABLE DDYAEH
        "\uB5A0",  # ; HANGUL SYLLABLE DDEO
        "\uB5A1",  # ; HANGUL SYLLABLE DDEOG
        "\uB5A2",  # ; HANGUL SYLLABLE DDEOGG
        "\uB5A3",  # ; HANGUL SYLLABLE DDEOGS
        "\uB5A4",  # ; HANGUL SYLLABLE DDEON
        "\uB5A5",  # ; HANGUL SYLLABLE DDEONJ
        "\uB5A6",  # ; HANGUL SYLLABLE DDEONH
        "\uB5A7",  # ; HANGUL SYLLABLE DDEOD
        "\uB5A8",  # ; HANGUL SYLLABLE DDEOL
        "\uB5A9",  # ; HANGUL SYLLABLE DDEOLG
        "\uB5AA",  # ; HANGUL SYLLABLE DDEOLM
        "\uB5AB",  # ; HANGUL SYLLABLE DDEOLB
        "\uB5AC",  # ; HANGUL SYLLABLE DDEOLS
        "\uB5AD",  # ; HANGUL SYLLABLE DDEOLT
        "\uB5AE",  # ; HANGUL SYLLABLE DDEOLP
        "\uB5AF",  # ; HANGUL SYLLABLE DDEOLH
        "\uB5B0",  # ; HANGUL SYLLABLE DDEOM
        "\uB5B1",  # ; HANGUL SYLLABLE DDEOB
        "\uB5B2",  # ; HANGUL SYLLABLE DDEOBS
        "\uB5B3",  # ; HANGUL SYLLABLE DDEOS
        "\uB5B4",  # ; HANGUL SYLLABLE DDEOSS
        "\uB5B5",  # ; HANGUL SYLLABLE DDEONG
        "\uB5B6",  # ; HANGUL SYLLABLE DDEOJ
        "\uB5B7",  # ; HANGUL SYLLABLE DDEOC
        "\uB5B8",  # ; HANGUL SYLLABLE DDEOK
        "\uB5B9",  # ; HANGUL SYLLABLE DDEOT
        "\uB5BA",  # ; HANGUL SYLLABLE DDEOP
        "\uB5BB",  # ; HANGUL SYLLABLE DDEOH
        "\uB5BC",  # ; HANGUL SYLLABLE DDE
        "\uB5BD",  # ; HANGUL SYLLABLE DDEG
        "\uB5BE",  # ; HANGUL SYLLABLE DDEGG
        "\uB5BF",  # ; HANGUL SYLLABLE DDEGS
        "\uB5C0",  # ; HANGUL SYLLABLE DDEN
        "\uB5C1",  # ; HANGUL SYLLABLE DDENJ
        "\uB5C2",  # ; HANGUL SYLLABLE DDENH
        "\uB5C3",  # ; HANGUL SYLLABLE DDED
        "\uB5C4",  # ; HANGUL SYLLABLE DDEL
        "\uB5C5",  # ; HANGUL SYLLABLE DDELG
        "\uB5C6",  # ; HANGUL SYLLABLE DDELM
        "\uB5C7",  # ; HANGUL SYLLABLE DDELB
        "\uB5C8",  # ; HANGUL SYLLABLE DDELS
        "\uB5C9",  # ; HANGUL SYLLABLE DDELT
        "\uB5CA",  # ; HANGUL SYLLABLE DDELP
        "\uB5CB",  # ; HANGUL SYLLABLE DDELH
        "\uB5CC",  # ; HANGUL SYLLABLE DDEM
        "\uB5CD",  # ; HANGUL SYLLABLE DDEB
        "\uB5CE",  # ; HANGUL SYLLABLE DDEBS
        "\uB5CF",  # ; HANGUL SYLLABLE DDES
        "\uB5D0",  # ; HANGUL SYLLABLE DDESS
        "\uB5D1",  # ; HANGUL SYLLABLE DDENG
        "\uB5D2",  # ; HANGUL SYLLABLE DDEJ
        "\uB5D3",  # ; HANGUL SYLLABLE DDEC
        "\uB5D4",  # ; HANGUL SYLLABLE DDEK
        "\uB5D5",  # ; HANGUL SYLLABLE DDET
        "\uB5D6",  # ; HANGUL SYLLABLE DDEP
        "\uB5D7",  # ; HANGUL SYLLABLE DDEH
        "\uB5D8",  # ; HANGUL SYLLABLE DDYEO
        "\uB5D9",  # ; HANGUL SYLLABLE DDYEOG
        "\uB5DA",  # ; HANGUL SYLLABLE DDYEOGG
        "\uB5DB",  # ; HANGUL SYLLABLE DDYEOGS
        "\uB5DC",  # ; HANGUL SYLLABLE DDYEON
        "\uB5DD",  # ; HANGUL SYLLABLE DDYEONJ
        "\uB5DE",  # ; HANGUL SYLLABLE DDYEONH
        "\uB5DF",  # ; HANGUL SYLLABLE DDYEOD
        "\uB5E0",  # ; HANGUL SYLLABLE DDYEOL
        "\uB5E1",  # ; HANGUL SYLLABLE DDYEOLG
        "\uB5E2",  # ; HANGUL SYLLABLE DDYEOLM
        "\uB5E3",  # ; HANGUL SYLLABLE DDYEOLB
        "\uB5E4",  # ; HANGUL SYLLABLE DDYEOLS
        "\uB5E5",  # ; HANGUL SYLLABLE DDYEOLT
        "\uB5E6",  # ; HANGUL SYLLABLE DDYEOLP
        "\uB5E7",  # ; HANGUL SYLLABLE DDYEOLH
        "\uB5E8",  # ; HANGUL SYLLABLE DDYEOM
        "\uB5E9",  # ; HANGUL SYLLABLE DDYEOB
        "\uB5EA",  # ; HANGUL SYLLABLE DDYEOBS
        "\uB5EB",  # ; HANGUL SYLLABLE DDYEOS
        "\uB5EC",  # ; HANGUL SYLLABLE DDYEOSS
        "\uB5ED",  # ; HANGUL SYLLABLE DDYEONG
        "\uB5EE",  # ; HANGUL SYLLABLE DDYEOJ
        "\uB5EF",  # ; HANGUL SYLLABLE DDYEOC
        "\uB5F0",  # ; HANGUL SYLLABLE DDYEOK
        "\uB5F1",  # ; HANGUL SYLLABLE DDYEOT
        "\uB5F2",  # ; HANGUL SYLLABLE DDYEOP
        "\uB5F3",  # ; HANGUL SYLLABLE DDYEOH
        "\uB5F4",  # ; HANGUL SYLLABLE DDYE
        "\uB5F5",  # ; HANGUL SYLLABLE DDYEG
        "\uB5F6",  # ; HANGUL SYLLABLE DDYEGG
        "\uB5F7",  # ; HANGUL SYLLABLE DDYEGS
        "\uB5F8",  # ; HANGUL SYLLABLE DDYEN
        "\uB5F9",  # ; HANGUL SYLLABLE DDYENJ
        "\uB5FA",  # ; HANGUL SYLLABLE DDYENH
        "\uB5FB",  # ; HANGUL SYLLABLE DDYED
        "\uB5FC",  # ; HANGUL SYLLABLE DDYEL
        "\uB5FD",  # ; HANGUL SYLLABLE DDYELG
        "\uB5FE",  # ; HANGUL SYLLABLE DDYELM
        "\uB5FF",  # ; HANGUL SYLLABLE DDYELB
        "\uB600",  # ; HANGUL SYLLABLE DDYELS
        "\uB601",  # ; HANGUL SYLLABLE DDYELT
        "\uB602",  # ; HANGUL SYLLABLE DDYELP
        "\uB603",  # ; HANGUL SYLLABLE DDYELH
        "\uB604",  # ; HANGUL SYLLABLE DDYEM
        "\uB605",  # ; HANGUL SYLLABLE DDYEB
        "\uB606",  # ; HANGUL SYLLABLE DDYEBS
        "\uB607",  # ; HANGUL SYLLABLE DDYES
        "\uB608",  # ; HANGUL SYLLABLE DDYESS
        "\uB609",  # ; HANGUL SYLLABLE DDYENG
        "\uB60A",  # ; HANGUL SYLLABLE DDYEJ
        "\uB60B",  # ; HANGUL SYLLABLE DDYEC
        "\uB60C",  # ; HANGUL SYLLABLE DDYEK
        "\uB60D",  # ; HANGUL SYLLABLE DDYET
        "\uB60E",  # ; HANGUL SYLLABLE DDYEP
        "\uB60F",  # ; HANGUL SYLLABLE DDYEH
        "\uB610",  # ; HANGUL SYLLABLE DDO
        "\uB611",  # ; HANGUL SYLLABLE DDOG
        "\uB612",  # ; HANGUL SYLLABLE DDOGG
        "\uB613",  # ; HANGUL SYLLABLE DDOGS
        "\uB614",  # ; HANGUL SYLLABLE DDON
        "\uB615",  # ; HANGUL SYLLABLE DDONJ
        "\uB616",  # ; HANGUL SYLLABLE DDONH
        "\uB617",  # ; HANGUL SYLLABLE DDOD
        "\uB618",  # ; HANGUL SYLLABLE DDOL
        "\uB619",  # ; HANGUL SYLLABLE DDOLG
        "\uB61A",  # ; HANGUL SYLLABLE DDOLM
        "\uB61B",  # ; HANGUL SYLLABLE DDOLB
        "\uB61C",  # ; HANGUL SYLLABLE DDOLS
        "\uB61D",  # ; HANGUL SYLLABLE DDOLT
        "\uB61E",  # ; HANGUL SYLLABLE DDOLP
        "\uB61F",  # ; HANGUL SYLLABLE DDOLH
        "\uB620",  # ; HANGUL SYLLABLE DDOM
        "\uB621",  # ; HANGUL SYLLABLE DDOB
        "\uB622",  # ; HANGUL SYLLABLE DDOBS
        "\uB623",  # ; HANGUL SYLLABLE DDOS
        "\uB624",  # ; HANGUL SYLLABLE DDOSS
        "\uB625",  # ; HANGUL SYLLABLE DDONG
        "\uB626",  # ; HANGUL SYLLABLE DDOJ
        "\uB627",  # ; HANGUL SYLLABLE DDOC
        "\uB628",  # ; HANGUL SYLLABLE DDOK
        "\uB629",  # ; HANGUL SYLLABLE DDOT
        "\uB62A",  # ; HANGUL SYLLABLE DDOP
        "\uB62B",  # ; HANGUL SYLLABLE DDOH
        "\uB62C",  # ; HANGUL SYLLABLE DDWA
        "\uB62D",  # ; HANGUL SYLLABLE DDWAG
        "\uB62E",  # ; HANGUL SYLLABLE DDWAGG
        "\uB62F",  # ; HANGUL SYLLABLE DDWAGS
        "\uB630",  # ; HANGUL SYLLABLE DDWAN
        "\uB631",  # ; HANGUL SYLLABLE DDWANJ
        "\uB632",  # ; HANGUL SYLLABLE DDWANH
        "\uB633",  # ; HANGUL SYLLABLE DDWAD
        "\uB634",  # ; HANGUL SYLLABLE DDWAL
        "\uB635",  # ; HANGUL SYLLABLE DDWALG
        "\uB636",  # ; HANGUL SYLLABLE DDWALM
        "\uB637",  # ; HANGUL SYLLABLE DDWALB
        "\uB638",  # ; HANGUL SYLLABLE DDWALS
        "\uB639",  # ; HANGUL SYLLABLE DDWALT
        "\uB63A",  # ; HANGUL SYLLABLE DDWALP
        "\uB63B",  # ; HANGUL SYLLABLE DDWALH
        "\uB63C",  # ; HANGUL SYLLABLE DDWAM
        "\uB63D",  # ; HANGUL SYLLABLE DDWAB
        "\uB63E",  # ; HANGUL SYLLABLE DDWABS
        "\uB63F",  # ; HANGUL SYLLABLE DDWAS
        "\uB640",  # ; HANGUL SYLLABLE DDWASS
        "\uB641",  # ; HANGUL SYLLABLE DDWANG
        "\uB642",  # ; HANGUL SYLLABLE DDWAJ
        "\uB643",  # ; HANGUL SYLLABLE DDWAC
        "\uB644",  # ; HANGUL SYLLABLE DDWAK
        "\uB645",  # ; HANGUL SYLLABLE DDWAT
        "\uB646",  # ; HANGUL SYLLABLE DDWAP
        "\uB647",  # ; HANGUL SYLLABLE DDWAH
        "\uB648",  # ; HANGUL SYLLABLE DDWAE
        "\uB649",  # ; HANGUL SYLLABLE DDWAEG
        "\uB64A",  # ; HANGUL SYLLABLE DDWAEGG
        "\uB64B",  # ; HANGUL SYLLABLE DDWAEGS
        "\uB64C",  # ; HANGUL SYLLABLE DDWAEN
        "\uB64D",  # ; HANGUL SYLLABLE DDWAENJ
        "\uB64E",  # ; HANGUL SYLLABLE DDWAENH
        "\uB64F",  # ; HANGUL SYLLABLE DDWAED
        "\uB650",  # ; HANGUL SYLLABLE DDWAEL
        "\uB651",  # ; HANGUL SYLLABLE DDWAELG
        "\uB652",  # ; HANGUL SYLLABLE DDWAELM
        "\uB653",  # ; HANGUL SYLLABLE DDWAELB
        "\uB654",  # ; HANGUL SYLLABLE DDWAELS
        "\uB655",  # ; HANGUL SYLLABLE DDWAELT
        "\uB656",  # ; HANGUL SYLLABLE DDWAELP
        "\uB657",  # ; HANGUL SYLLABLE DDWAELH
        "\uB658",  # ; HANGUL SYLLABLE DDWAEM
        "\uB659",  # ; HANGUL SYLLABLE DDWAEB
        "\uB65A",  # ; HANGUL SYLLABLE DDWAEBS
        "\uB65B",  # ; HANGUL SYLLABLE DDWAES
        "\uB65C",  # ; HANGUL SYLLABLE DDWAESS
        "\uB65D",  # ; HANGUL SYLLABLE DDWAENG
        "\uB65E",  # ; HANGUL SYLLABLE DDWAEJ
        "\uB65F",  # ; HANGUL SYLLABLE DDWAEC
        "\uB660",  # ; HANGUL SYLLABLE DDWAEK
        "\uB661",  # ; HANGUL SYLLABLE DDWAET
        "\uB662",  # ; HANGUL SYLLABLE DDWAEP
        "\uB663",  # ; HANGUL SYLLABLE DDWAEH
        "\uB664",  # ; HANGUL SYLLABLE DDOE
        "\uB665",  # ; HANGUL SYLLABLE DDOEG
        "\uB666",  # ; HANGUL SYLLABLE DDOEGG
        "\uB667",  # ; HANGUL SYLLABLE DDOEGS
        "\uB668",  # ; HANGUL SYLLABLE DDOEN
        "\uB669",  # ; HANGUL SYLLABLE DDOENJ
        "\uB66A",  # ; HANGUL SYLLABLE DDOENH
        "\uB66B",  # ; HANGUL SYLLABLE DDOED
        "\uB66C",  # ; HANGUL SYLLABLE DDOEL
        "\uB66D",  # ; HANGUL SYLLABLE DDOELG
        "\uB66E",  # ; HANGUL SYLLABLE DDOELM
        "\uB66F",  # ; HANGUL SYLLABLE DDOELB
        "\uB670",  # ; HANGUL SYLLABLE DDOELS
        "\uB671",  # ; HANGUL SYLLABLE DDOELT
        "\uB672",  # ; HANGUL SYLLABLE DDOELP
        "\uB673",  # ; HANGUL SYLLABLE DDOELH
        "\uB674",  # ; HANGUL SYLLABLE DDOEM
        "\uB675",  # ; HANGUL SYLLABLE DDOEB
        "\uB676",  # ; HANGUL SYLLABLE DDOEBS
        "\uB677",  # ; HANGUL SYLLABLE DDOES
        "\uB678",  # ; HANGUL SYLLABLE DDOESS
        "\uB679",  # ; HANGUL SYLLABLE DDOENG
        "\uB67A",  # ; HANGUL SYLLABLE DDOEJ
        "\uB67B",  # ; HANGUL SYLLABLE DDOEC
        "\uB67C",  # ; HANGUL SYLLABLE DDOEK
        "\uB67D",  # ; HANGUL SYLLABLE DDOET
        "\uB67E",  # ; HANGUL SYLLABLE DDOEP
        "\uB67F",  # ; HANGUL SYLLABLE DDOEH
        "\uB680",  # ; HANGUL SYLLABLE DDYO
        "\uB681",  # ; HANGUL SYLLABLE DDYOG
        "\uB682",  # ; HANGUL SYLLABLE DDYOGG
        "\uB683",  # ; HANGUL SYLLABLE DDYOGS
        "\uB684",  # ; HANGUL SYLLABLE DDYON
        "\uB685",  # ; HANGUL SYLLABLE DDYONJ
        "\uB686",  # ; HANGUL SYLLABLE DDYONH
        "\uB687",  # ; HANGUL SYLLABLE DDYOD
        "\uB688",  # ; HANGUL SYLLABLE DDYOL
        "\uB689",  # ; HANGUL SYLLABLE DDYOLG
        "\uB68A",  # ; HANGUL SYLLABLE DDYOLM
        "\uB68B",  # ; HANGUL SYLLABLE DDYOLB
        "\uB68C",  # ; HANGUL SYLLABLE DDYOLS
        "\uB68D",  # ; HANGUL SYLLABLE DDYOLT
        "\uB68E",  # ; HANGUL SYLLABLE DDYOLP
        "\uB68F",  # ; HANGUL SYLLABLE DDYOLH
        "\uB690",  # ; HANGUL SYLLABLE DDYOM
        "\uB691",  # ; HANGUL SYLLABLE DDYOB
        "\uB692",  # ; HANGUL SYLLABLE DDYOBS
        "\uB693",  # ; HANGUL SYLLABLE DDYOS
        "\uB694",  # ; HANGUL SYLLABLE DDYOSS
        "\uB695",  # ; HANGUL SYLLABLE DDYONG
        "\uB696",  # ; HANGUL SYLLABLE DDYOJ
        "\uB697",  # ; HANGUL SYLLABLE DDYOC
        "\uB698",  # ; HANGUL SYLLABLE DDYOK
        "\uB699",  # ; HANGUL SYLLABLE DDYOT
        "\uB69A",  # ; HANGUL SYLLABLE DDYOP
        "\uB69B",  # ; HANGUL SYLLABLE DDYOH
        "\uB69C",  # ; HANGUL SYLLABLE DDU
        "\uB69D",  # ; HANGUL SYLLABLE DDUG
        "\uB69E",  # ; HANGUL SYLLABLE DDUGG
        "\uB69F",  # ; HANGUL SYLLABLE DDUGS
        "\uB6A0",  # ; HANGUL SYLLABLE DDUN
        "\uB6A1",  # ; HANGUL SYLLABLE DDUNJ
        "\uB6A2",  # ; HANGUL SYLLABLE DDUNH
        "\uB6A3",  # ; HANGUL SYLLABLE DDUD
        "\uB6A4",  # ; HANGUL SYLLABLE DDUL
        "\uB6A5",  # ; HANGUL SYLLABLE DDULG
        "\uB6A6",  # ; HANGUL SYLLABLE DDULM
        "\uB6A7",  # ; HANGUL SYLLABLE DDULB
        "\uB6A8",  # ; HANGUL SYLLABLE DDULS
        "\uB6A9",  # ; HANGUL SYLLABLE DDULT
        "\uB6AA",  # ; HANGUL SYLLABLE DDULP
        "\uB6AB",  # ; HANGUL SYLLABLE DDULH
        "\uB6AC",  # ; HANGUL SYLLABLE DDUM
        "\uB6AD",  # ; HANGUL SYLLABLE DDUB
        "\uB6AE",  # ; HANGUL SYLLABLE DDUBS
        "\uB6AF",  # ; HANGUL SYLLABLE DDUS
        "\uB6B0",  # ; HANGUL SYLLABLE DDUSS
        "\uB6B1",  # ; HANGUL SYLLABLE DDUNG
        "\uB6B2",  # ; HANGUL SYLLABLE DDUJ
        "\uB6B3",  # ; HANGUL SYLLABLE DDUC
        "\uB6B4",  # ; HANGUL SYLLABLE DDUK
        "\uB6B5",  # ; HANGUL SYLLABLE DDUT
        "\uB6B6",  # ; HANGUL SYLLABLE DDUP
        "\uB6B7",  # ; HANGUL SYLLABLE DDUH
        "\uB6B8",  # ; HANGUL SYLLABLE DDWEO
        "\uB6B9",  # ; HANGUL SYLLABLE DDWEOG
        "\uB6BA",  # ; HANGUL SYLLABLE DDWEOGG
        "\uB6BB",  # ; HANGUL SYLLABLE DDWEOGS
        "\uB6BC",  # ; HANGUL SYLLABLE DDWEON
        "\uB6BD",  # ; HANGUL SYLLABLE DDWEONJ
        "\uB6BE",  # ; HANGUL SYLLABLE DDWEONH
        "\uB6BF",  # ; HANGUL SYLLABLE DDWEOD
        "\uB6C0",  # ; HANGUL SYLLABLE DDWEOL
        "\uB6C1",  # ; HANGUL SYLLABLE DDWEOLG
        "\uB6C2",  # ; HANGUL SYLLABLE DDWEOLM
        "\uB6C3",  # ; HANGUL SYLLABLE DDWEOLB
        "\uB6C4",  # ; HANGUL SYLLABLE DDWEOLS
        "\uB6C5",  # ; HANGUL SYLLABLE DDWEOLT
        "\uB6C6",  # ; HANGUL SYLLABLE DDWEOLP
        "\uB6C7",  # ; HANGUL SYLLABLE DDWEOLH
        "\uB6C8",  # ; HANGUL SYLLABLE DDWEOM
        "\uB6C9",  # ; HANGUL SYLLABLE DDWEOB
        "\uB6CA",  # ; HANGUL SYLLABLE DDWEOBS
        "\uB6CB",  # ; HANGUL SYLLABLE DDWEOS
        "\uB6CC",  # ; HANGUL SYLLABLE DDWEOSS
        "\uB6CD",  # ; HANGUL SYLLABLE DDWEONG
        "\uB6CE",  # ; HANGUL SYLLABLE DDWEOJ
        "\uB6CF",  # ; HANGUL SYLLABLE DDWEOC
        "\uB6D0",  # ; HANGUL SYLLABLE DDWEOK
        "\uB6D1",  # ; HANGUL SYLLABLE DDWEOT
        "\uB6D2",  # ; HANGUL SYLLABLE DDWEOP
        "\uB6D3",  # ; HANGUL SYLLABLE DDWEOH
        "\uB6D4",  # ; HANGUL SYLLABLE DDWE
        "\uB6D5",  # ; HANGUL SYLLABLE DDWEG
        "\uB6D6",  # ; HANGUL SYLLABLE DDWEGG
        "\uB6D7",  # ; HANGUL SYLLABLE DDWEGS
        "\uB6D8",  # ; HANGUL SYLLABLE DDWEN
        "\uB6D9",  # ; HANGUL SYLLABLE DDWENJ
        "\uB6DA",  # ; HANGUL SYLLABLE DDWENH
        "\uB6DB",  # ; HANGUL SYLLABLE DDWED
        "\uB6DC",  # ; HANGUL SYLLABLE DDWEL
        "\uB6DD",  # ; HANGUL SYLLABLE DDWELG
        "\uB6DE",  # ; HANGUL SYLLABLE DDWELM
        "\uB6DF",  # ; HANGUL SYLLABLE DDWELB
        "\uB6E0",  # ; HANGUL SYLLABLE DDWELS
        "\uB6E1",  # ; HANGUL SYLLABLE DDWELT
        "\uB6E2",  # ; HANGUL SYLLABLE DDWELP
        "\uB6E3",  # ; HANGUL SYLLABLE DDWELH
        "\uB6E4",  # ; HANGUL SYLLABLE DDWEM
        "\uB6E5",  # ; HANGUL SYLLABLE DDWEB
        "\uB6E6",  # ; HANGUL SYLLABLE DDWEBS
        "\uB6E7",  # ; HANGUL SYLLABLE DDWES
        "\uB6E8",  # ; HANGUL SYLLABLE DDWESS
        "\uB6E9",  # ; HANGUL SYLLABLE DDWENG
        "\uB6EA",  # ; HANGUL SYLLABLE DDWEJ
        "\uB6EB",  # ; HANGUL SYLLABLE DDWEC
        "\uB6EC",  # ; HANGUL SYLLABLE DDWEK
        "\uB6ED",  # ; HANGUL SYLLABLE DDWET
        "\uB6EE",  # ; HANGUL SYLLABLE DDWEP
        "\uB6EF",  # ; HANGUL SYLLABLE DDWEH
        "\uB6F0",  # ; HANGUL SYLLABLE DDWI
        "\uB6F1",  # ; HANGUL SYLLABLE DDWIG
        "\uB6F2",  # ; HANGUL SYLLABLE DDWIGG
        "\uB6F3",  # ; HANGUL SYLLABLE DDWIGS
        "\uB6F4",  # ; HANGUL SYLLABLE DDWIN
        "\uB6F5",  # ; HANGUL SYLLABLE DDWINJ
        "\uB6F6",  # ; HANGUL SYLLABLE DDWINH
        "\uB6F7",  # ; HANGUL SYLLABLE DDWID
        "\uB6F8",  # ; HANGUL SYLLABLE DDWIL
        "\uB6F9",  # ; HANGUL SYLLABLE DDWILG
        "\uB6FA",  # ; HANGUL SYLLABLE DDWILM
        "\uB6FB",  # ; HANGUL SYLLABLE DDWILB
        "\uB6FC",  # ; HANGUL SYLLABLE DDWILS
        "\uB6FD",  # ; HANGUL SYLLABLE DDWILT
        "\uB6FE",  # ; HANGUL SYLLABLE DDWILP
        "\uB6FF",  # ; HANGUL SYLLABLE DDWILH
        "\uB700",  # ; HANGUL SYLLABLE DDWIM
        "\uB701",  # ; HANGUL SYLLABLE DDWIB
        "\uB702",  # ; HANGUL SYLLABLE DDWIBS
        "\uB703",  # ; HANGUL SYLLABLE DDWIS
        "\uB704",  # ; HANGUL SYLLABLE DDWISS
        "\uB705",  # ; HANGUL SYLLABLE DDWING
        "\uB706",  # ; HANGUL SYLLABLE DDWIJ
        "\uB707",  # ; HANGUL SYLLABLE DDWIC
        "\uB708",  # ; HANGUL SYLLABLE DDWIK
        "\uB709",  # ; HANGUL SYLLABLE DDWIT
        "\uB70A",  # ; HANGUL SYLLABLE DDWIP
        "\uB70B",  # ; HANGUL SYLLABLE DDWIH
        "\uB70C",  # ; HANGUL SYLLABLE DDYU
        "\uB70D",  # ; HANGUL SYLLABLE DDYUG
        "\uB70E",  # ; HANGUL SYLLABLE DDYUGG
        "\uB70F",  # ; HANGUL SYLLABLE DDYUGS
        "\uB710",  # ; HANGUL SYLLABLE DDYUN
        "\uB711",  # ; HANGUL SYLLABLE DDYUNJ
        "\uB712",  # ; HANGUL SYLLABLE DDYUNH
        "\uB713",  # ; HANGUL SYLLABLE DDYUD
        "\uB714",  # ; HANGUL SYLLABLE DDYUL
        "\uB715",  # ; HANGUL SYLLABLE DDYULG
        "\uB716",  # ; HANGUL SYLLABLE DDYULM
        "\uB717",  # ; HANGUL SYLLABLE DDYULB
        "\uB718",  # ; HANGUL SYLLABLE DDYULS
        "\uB719",  # ; HANGUL SYLLABLE DDYULT
        "\uB71A",  # ; HANGUL SYLLABLE DDYULP
        "\uB71B",  # ; HANGUL SYLLABLE DDYULH
        "\uB71C",  # ; HANGUL SYLLABLE DDYUM
        "\uB71D",  # ; HANGUL SYLLABLE DDYUB
        "\uB71E",  # ; HANGUL SYLLABLE DDYUBS
        "\uB71F",  # ; HANGUL SYLLABLE DDYUS
        "\uB720",  # ; HANGUL SYLLABLE DDYUSS
        "\uB721",  # ; HANGUL SYLLABLE DDYUNG
        "\uB722",  # ; HANGUL SYLLABLE DDYUJ
        "\uB723",  # ; HANGUL SYLLABLE DDYUC
        "\uB724",  # ; HANGUL SYLLABLE DDYUK
        "\uB725",  # ; HANGUL SYLLABLE DDYUT
        "\uB726",  # ; HANGUL SYLLABLE DDYUP
        "\uB727",  # ; HANGUL SYLLABLE DDYUH
        "\uB728",  # ; HANGUL SYLLABLE DDEU
        "\uB729",  # ; HANGUL SYLLABLE DDEUG
        "\uB72A",  # ; HANGUL SYLLABLE DDEUGG
        "\uB72B",  # ; HANGUL SYLLABLE DDEUGS
        "\uB72C",  # ; HANGUL SYLLABLE DDEUN
        "\uB72D",  # ; HANGUL SYLLABLE DDEUNJ
        "\uB72E",  # ; HANGUL SYLLABLE DDEUNH
        "\uB72F",  # ; HANGUL SYLLABLE DDEUD
        "\uB730",  # ; HANGUL SYLLABLE DDEUL
        "\uB731",  # ; HANGUL SYLLABLE DDEULG
        "\uB732",  # ; HANGUL SYLLABLE DDEULM
        "\uB733",  # ; HANGUL SYLLABLE DDEULB
        "\uB734",  # ; HANGUL SYLLABLE DDEULS
        "\uB735",  # ; HANGUL SYLLABLE DDEULT
        "\uB736",  # ; HANGUL SYLLABLE DDEULP
        "\uB737",  # ; HANGUL SYLLABLE DDEULH
        "\uB738",  # ; HANGUL SYLLABLE DDEUM
        "\uB739",  # ; HANGUL SYLLABLE DDEUB
        "\uB73A",  # ; HANGUL SYLLABLE DDEUBS
        "\uB73B",  # ; HANGUL SYLLABLE DDEUS
        "\uB73C",  # ; HANGUL SYLLABLE DDEUSS
        "\uB73D",  # ; HANGUL SYLLABLE DDEUNG
        "\uB73E",  # ; HANGUL SYLLABLE DDEUJ
        "\uB73F",  # ; HANGUL SYLLABLE DDEUC
        "\uB740",  # ; HANGUL SYLLABLE DDEUK
        "\uB741",  # ; HANGUL SYLLABLE DDEUT
        "\uB742",  # ; HANGUL SYLLABLE DDEUP
        "\uB743",  # ; HANGUL SYLLABLE DDEUH
        "\uB744",  # ; HANGUL SYLLABLE DDYI
        "\uB745",  # ; HANGUL SYLLABLE DDYIG
        "\uB746",  # ; HANGUL SYLLABLE DDYIGG
        "\uB747",  # ; HANGUL SYLLABLE DDYIGS
        "\uB748",  # ; HANGUL SYLLABLE DDYIN
        "\uB749",  # ; HANGUL SYLLABLE DDYINJ
        "\uB74A",  # ; HANGUL SYLLABLE DDYINH
        "\uB74B",  # ; HANGUL SYLLABLE DDYID
        "\uB74C",  # ; HANGUL SYLLABLE DDYIL
        "\uB74D",  # ; HANGUL SYLLABLE DDYILG
        "\uB74E",  # ; HANGUL SYLLABLE DDYILM
        "\uB74F",  # ; HANGUL SYLLABLE DDYILB
        "\uB750",  # ; HANGUL SYLLABLE DDYILS
        "\uB751",  # ; HANGUL SYLLABLE DDYILT
        "\uB752",  # ; HANGUL SYLLABLE DDYILP
        "\uB753",  # ; HANGUL SYLLABLE DDYILH
        "\uB754",  # ; HANGUL SYLLABLE DDYIM
        "\uB755",  # ; HANGUL SYLLABLE DDYIB
        "\uB756",  # ; HANGUL SYLLABLE DDYIBS
        "\uB757",  # ; HANGUL SYLLABLE DDYIS
        "\uB758",  # ; HANGUL SYLLABLE DDYISS
        "\uB759",  # ; HANGUL SYLLABLE DDYING
        "\uB75A",  # ; HANGUL SYLLABLE DDYIJ
        "\uB75B",  # ; HANGUL SYLLABLE DDYIC
        "\uB75C",  # ; HANGUL SYLLABLE DDYIK
        "\uB75D",  # ; HANGUL SYLLABLE DDYIT
        "\uB75E",  # ; HANGUL SYLLABLE DDYIP
        "\uB75F",  # ; HANGUL SYLLABLE DDYIH
        "\uB760",  # ; HANGUL SYLLABLE DDI
        "\uB761",  # ; HANGUL SYLLABLE DDIG
        "\uB762",  # ; HANGUL SYLLABLE DDIGG
        "\uB763",  # ; HANGUL SYLLABLE DDIGS
        "\uB764",  # ; HANGUL SYLLABLE DDIN
        "\uB765",  # ; HANGUL SYLLABLE DDINJ
        "\uB766",  # ; HANGUL SYLLABLE DDINH
        "\uB767",  # ; HANGUL SYLLABLE DDID
        "\uB768",  # ; HANGUL SYLLABLE DDIL
        "\uB769",  # ; HANGUL SYLLABLE DDILG
        "\uB76A",  # ; HANGUL SYLLABLE DDILM
        "\uB76B",  # ; HANGUL SYLLABLE DDILB
        "\uB76C",  # ; HANGUL SYLLABLE DDILS
        "\uB76D",  # ; HANGUL SYLLABLE DDILT
        "\uB76E",  # ; HANGUL SYLLABLE DDILP
        "\uB76F",  # ; HANGUL SYLLABLE DDILH
        "\uB770",  # ; HANGUL SYLLABLE DDIM
        "\uB771",  # ; HANGUL SYLLABLE DDIB
        "\uB772",  # ; HANGUL SYLLABLE DDIBS
        "\uB773",  # ; HANGUL SYLLABLE DDIS
        "\uB774",  # ; HANGUL SYLLABLE DDISS
        "\uB775",  # ; HANGUL SYLLABLE DDING
        "\uB776",  # ; HANGUL SYLLABLE DDIJ
        "\uB777",  # ; HANGUL SYLLABLE DDIC
        "\uB778",  # ; HANGUL SYLLABLE DDIK
        "\uB779",  # ; HANGUL SYLLABLE DDIT
        "\uB77A",  # ; HANGUL SYLLABLE DDIP
        "\uB77B",  # ; HANGUL SYLLABLE DDIH
        "\uB77C",  # ; HANGUL SYLLABLE RA
        "\uB77D",  # ; HANGUL SYLLABLE RAG
        "\uB77E",  # ; HANGUL SYLLABLE RAGG
        "\uB77F",  # ; HANGUL SYLLABLE RAGS
        "\uB780",  # ; HANGUL SYLLABLE RAN
        "\uB781",  # ; HANGUL SYLLABLE RANJ
        "\uB782",  # ; HANGUL SYLLABLE RANH
        "\uB783",  # ; HANGUL SYLLABLE RAD
        "\uB784",  # ; HANGUL SYLLABLE RAL
        "\uB785",  # ; HANGUL SYLLABLE RALG
        "\uB786",  # ; HANGUL SYLLABLE RALM
        "\uB787",  # ; HANGUL SYLLABLE RALB
        "\uB788",  # ; HANGUL SYLLABLE RALS
        "\uB789",  # ; HANGUL SYLLABLE RALT
        "\uB78A",  # ; HANGUL SYLLABLE RALP
        "\uB78B",  # ; HANGUL SYLLABLE RALH
        "\uB78C",  # ; HANGUL SYLLABLE RAM
        "\uB78D",  # ; HANGUL SYLLABLE RAB
        "\uB78E",  # ; HANGUL SYLLABLE RABS
        "\uB78F",  # ; HANGUL SYLLABLE RAS
        "\uB790",  # ; HANGUL SYLLABLE RASS
        "\uB791",  # ; HANGUL SYLLABLE RANG
        "\uB792",  # ; HANGUL SYLLABLE RAJ
        "\uB793",  # ; HANGUL SYLLABLE RAC
        "\uB794",  # ; HANGUL SYLLABLE RAK
        "\uB795",  # ; HANGUL SYLLABLE RAT
        "\uB796",  # ; HANGUL SYLLABLE RAP
        "\uB797",  # ; HANGUL SYLLABLE RAH
        "\uB798",  # ; HANGUL SYLLABLE RAE
        "\uB799",  # ; HANGUL SYLLABLE RAEG
        "\uB79A",  # ; HANGUL SYLLABLE RAEGG
        "\uB79B",  # ; HANGUL SYLLABLE RAEGS
        "\uB79C",  # ; HANGUL SYLLABLE RAEN
        "\uB79D",  # ; HANGUL SYLLABLE RAENJ
        "\uB79E",  # ; HANGUL SYLLABLE RAENH
        "\uB79F",  # ; HANGUL SYLLABLE RAED
        "\uB7A0",  # ; HANGUL SYLLABLE RAEL
        "\uB7A1",  # ; HANGUL SYLLABLE RAELG
        "\uB7A2",  # ; HANGUL SYLLABLE RAELM
        "\uB7A3",  # ; HANGUL SYLLABLE RAELB
        "\uB7A4",  # ; HANGUL SYLLABLE RAELS
        "\uB7A5",  # ; HANGUL SYLLABLE RAELT
        "\uB7A6",  # ; HANGUL SYLLABLE RAELP
        "\uB7A7",  # ; HANGUL SYLLABLE RAELH
        "\uB7A8",  # ; HANGUL SYLLABLE RAEM
        "\uB7A9",  # ; HANGUL SYLLABLE RAEB
        "\uB7AA",  # ; HANGUL SYLLABLE RAEBS
        "\uB7AB",  # ; HANGUL SYLLABLE RAES
        "\uB7AC",  # ; HANGUL SYLLABLE RAESS
        "\uB7AD",  # ; HANGUL SYLLABLE RAENG
        "\uB7AE",  # ; HANGUL SYLLABLE RAEJ
        "\uB7AF",  # ; HANGUL SYLLABLE RAEC
        "\uB7B0",  # ; HANGUL SYLLABLE RAEK
        "\uB7B1",  # ; HANGUL SYLLABLE RAET
        "\uB7B2",  # ; HANGUL SYLLABLE RAEP
        "\uB7B3",  # ; HANGUL SYLLABLE RAEH
        "\uB7B4",  # ; HANGUL SYLLABLE RYA
        "\uB7B5",  # ; HANGUL SYLLABLE RYAG
        "\uB7B6",  # ; HANGUL SYLLABLE RYAGG
        "\uB7B7",  # ; HANGUL SYLLABLE RYAGS
        "\uB7B8",  # ; HANGUL SYLLABLE RYAN
        "\uB7B9",  # ; HANGUL SYLLABLE RYANJ
        "\uB7BA",  # ; HANGUL SYLLABLE RYANH
        "\uB7BB",  # ; HANGUL SYLLABLE RYAD
        "\uB7BC",  # ; HANGUL SYLLABLE RYAL
        "\uB7BD",  # ; HANGUL SYLLABLE RYALG
        "\uB7BE",  # ; HANGUL SYLLABLE RYALM
        "\uB7BF",  # ; HANGUL SYLLABLE RYALB
        "\uB7C0",  # ; HANGUL SYLLABLE RYALS
        "\uB7C1",  # ; HANGUL SYLLABLE RYALT
        "\uB7C2",  # ; HANGUL SYLLABLE RYALP
        "\uB7C3",  # ; HANGUL SYLLABLE RYALH
        "\uB7C4",  # ; HANGUL SYLLABLE RYAM
        "\uB7C5",  # ; HANGUL SYLLABLE RYAB
        "\uB7C6",  # ; HANGUL SYLLABLE RYABS
        "\uB7C7",  # ; HANGUL SYLLABLE RYAS
        "\uB7C8",  # ; HANGUL SYLLABLE RYASS
        "\uB7C9",  # ; HANGUL SYLLABLE RYANG
        "\uB7CA",  # ; HANGUL SYLLABLE RYAJ
        "\uB7CB",  # ; HANGUL SYLLABLE RYAC
        "\uB7CC",  # ; HANGUL SYLLABLE RYAK
        "\uB7CD",  # ; HANGUL SYLLABLE RYAT
        "\uB7CE",  # ; HANGUL SYLLABLE RYAP
        "\uB7CF",  # ; HANGUL SYLLABLE RYAH
        "\uB7D0",  # ; HANGUL SYLLABLE RYAE
        "\uB7D1",  # ; HANGUL SYLLABLE RYAEG
        "\uB7D2",  # ; HANGUL SYLLABLE RYAEGG
        "\uB7D3",  # ; HANGUL SYLLABLE RYAEGS
        "\uB7D4",  # ; HANGUL SYLLABLE RYAEN
        "\uB7D5",  # ; HANGUL SYLLABLE RYAENJ
        "\uB7D6",  # ; HANGUL SYLLABLE RYAENH
        "\uB7D7",  # ; HANGUL SYLLABLE RYAED
        "\uB7D8",  # ; HANGUL SYLLABLE RYAEL
        "\uB7D9",  # ; HANGUL SYLLABLE RYAELG
        "\uB7DA",  # ; HANGUL SYLLABLE RYAELM
        "\uB7DB",  # ; HANGUL SYLLABLE RYAELB
        "\uB7DC",  # ; HANGUL SYLLABLE RYAELS
        "\uB7DD",  # ; HANGUL SYLLABLE RYAELT
        "\uB7DE",  # ; HANGUL SYLLABLE RYAELP
        "\uB7DF",  # ; HANGUL SYLLABLE RYAELH
        "\uB7E0",  # ; HANGUL SYLLABLE RYAEM
        "\uB7E1",  # ; HANGUL SYLLABLE RYAEB
        "\uB7E2",  # ; HANGUL SYLLABLE RYAEBS
        "\uB7E3",  # ; HANGUL SYLLABLE RYAES
        "\uB7E4",  # ; HANGUL SYLLABLE RYAESS
        "\uB7E5",  # ; HANGUL SYLLABLE RYAENG
        "\uB7E6",  # ; HANGUL SYLLABLE RYAEJ
        "\uB7E7",  # ; HANGUL SYLLABLE RYAEC
        "\uB7E8",  # ; HANGUL SYLLABLE RYAEK
        "\uB7E9",  # ; HANGUL SYLLABLE RYAET
        "\uB7EA",  # ; HANGUL SYLLABLE RYAEP
        "\uB7EB",  # ; HANGUL SYLLABLE RYAEH
        "\uB7EC",  # ; HANGUL SYLLABLE REO
        "\uB7ED",  # ; HANGUL SYLLABLE REOG
        "\uB7EE",  # ; HANGUL SYLLABLE REOGG
        "\uB7EF",  # ; HANGUL SYLLABLE REOGS
        "\uB7F0",  # ; HANGUL SYLLABLE REON
        "\uB7F1",  # ; HANGUL SYLLABLE REONJ
        "\uB7F2",  # ; HANGUL SYLLABLE REONH
        "\uB7F3",  # ; HANGUL SYLLABLE REOD
        "\uB7F4",  # ; HANGUL SYLLABLE REOL
        "\uB7F5",  # ; HANGUL SYLLABLE REOLG
        "\uB7F6",  # ; HANGUL SYLLABLE REOLM
        "\uB7F7",  # ; HANGUL SYLLABLE REOLB
        "\uB7F8",  # ; HANGUL SYLLABLE REOLS
        "\uB7F9",  # ; HANGUL SYLLABLE REOLT
        "\uB7FA",  # ; HANGUL SYLLABLE REOLP
        "\uB7FB",  # ; HANGUL SYLLABLE REOLH
        "\uB7FC",  # ; HANGUL SYLLABLE REOM
        "\uB7FD",  # ; HANGUL SYLLABLE REOB
        "\uB7FE",  # ; HANGUL SYLLABLE REOBS
        "\uB7FF",  # ; HANGUL SYLLABLE REOS
        "\uB800",  # ; HANGUL SYLLABLE REOSS
        "\uB801",  # ; HANGUL SYLLABLE REONG
        "\uB802",  # ; HANGUL SYLLABLE REOJ
        "\uB803",  # ; HANGUL SYLLABLE REOC
        "\uB804",  # ; HANGUL SYLLABLE REOK
        "\uB805",  # ; HANGUL SYLLABLE REOT
        "\uB806",  # ; HANGUL SYLLABLE REOP
        "\uB807",  # ; HANGUL SYLLABLE REOH
        "\uB808",  # ; HANGUL SYLLABLE RE
        "\uB809",  # ; HANGUL SYLLABLE REG
        "\uB80A",  # ; HANGUL SYLLABLE REGG
        "\uB80B",  # ; HANGUL SYLLABLE REGS
        "\uB80C",  # ; HANGUL SYLLABLE REN
        "\uB80D",  # ; HANGUL SYLLABLE RENJ
        "\uB80E",  # ; HANGUL SYLLABLE RENH
        "\uB80F",  # ; HANGUL SYLLABLE RED
        "\uB810",  # ; HANGUL SYLLABLE REL
        "\uB811",  # ; HANGUL SYLLABLE RELG
        "\uB812",  # ; HANGUL SYLLABLE RELM
        "\uB813",  # ; HANGUL SYLLABLE RELB
        "\uB814",  # ; HANGUL SYLLABLE RELS
        "\uB815",  # ; HANGUL SYLLABLE RELT
        "\uB816",  # ; HANGUL SYLLABLE RELP
        "\uB817",  # ; HANGUL SYLLABLE RELH
        "\uB818",  # ; HANGUL SYLLABLE REM
        "\uB819",  # ; HANGUL SYLLABLE REB
        "\uB81A",  # ; HANGUL SYLLABLE REBS
        "\uB81B",  # ; HANGUL SYLLABLE RES
        "\uB81C",  # ; HANGUL SYLLABLE RESS
        "\uB81D",  # ; HANGUL SYLLABLE RENG
        "\uB81E",  # ; HANGUL SYLLABLE REJ
        "\uB81F",  # ; HANGUL SYLLABLE REC
        "\uB820",  # ; HANGUL SYLLABLE REK
        "\uB821",  # ; HANGUL SYLLABLE RET
        "\uB822",  # ; HANGUL SYLLABLE REP
        "\uB823",  # ; HANGUL SYLLABLE REH
        "\uB824",  # ; HANGUL SYLLABLE RYEO
        "\uB825",  # ; HANGUL SYLLABLE RYEOG
        "\uB826",  # ; HANGUL SYLLABLE RYEOGG
        "\uB827",  # ; HANGUL SYLLABLE RYEOGS
        "\uB828",  # ; HANGUL SYLLABLE RYEON
        "\uB829",  # ; HANGUL SYLLABLE RYEONJ
        "\uB82A",  # ; HANGUL SYLLABLE RYEONH
        "\uB82B",  # ; HANGUL SYLLABLE RYEOD
        "\uB82C",  # ; HANGUL SYLLABLE RYEOL
        "\uB82D",  # ; HANGUL SYLLABLE RYEOLG
        "\uB82E",  # ; HANGUL SYLLABLE RYEOLM
        "\uB82F",  # ; HANGUL SYLLABLE RYEOLB
        "\uB830",  # ; HANGUL SYLLABLE RYEOLS
        "\uB831",  # ; HANGUL SYLLABLE RYEOLT
        "\uB832",  # ; HANGUL SYLLABLE RYEOLP
        "\uB833",  # ; HANGUL SYLLABLE RYEOLH
        "\uB834",  # ; HANGUL SYLLABLE RYEOM
        "\uB835",  # ; HANGUL SYLLABLE RYEOB
        "\uB836",  # ; HANGUL SYLLABLE RYEOBS
        "\uB837",  # ; HANGUL SYLLABLE RYEOS
        "\uB838",  # ; HANGUL SYLLABLE RYEOSS
        "\uB839",  # ; HANGUL SYLLABLE RYEONG
        "\uB83A",  # ; HANGUL SYLLABLE RYEOJ
        "\uB83B",  # ; HANGUL SYLLABLE RYEOC
        "\uB83C",  # ; HANGUL SYLLABLE RYEOK
        "\uB83D",  # ; HANGUL SYLLABLE RYEOT
        "\uB83E",  # ; HANGUL SYLLABLE RYEOP
        "\uB83F",  # ; HANGUL SYLLABLE RYEOH
        "\uB840",  # ; HANGUL SYLLABLE RYE
        "\uB841",  # ; HANGUL SYLLABLE RYEG
        "\uB842",  # ; HANGUL SYLLABLE RYEGG
        "\uB843",  # ; HANGUL SYLLABLE RYEGS
        "\uB844",  # ; HANGUL SYLLABLE RYEN
        "\uB845",  # ; HANGUL SYLLABLE RYENJ
        "\uB846",  # ; HANGUL SYLLABLE RYENH
        "\uB847",  # ; HANGUL SYLLABLE RYED
        "\uB848",  # ; HANGUL SYLLABLE RYEL
        "\uB849",  # ; HANGUL SYLLABLE RYELG
        "\uB84A",  # ; HANGUL SYLLABLE RYELM
        "\uB84B",  # ; HANGUL SYLLABLE RYELB
        "\uB84C",  # ; HANGUL SYLLABLE RYELS
        "\uB84D",  # ; HANGUL SYLLABLE RYELT
        "\uB84E",  # ; HANGUL SYLLABLE RYELP
        "\uB84F",  # ; HANGUL SYLLABLE RYELH
        "\uB850",  # ; HANGUL SYLLABLE RYEM
        "\uB851",  # ; HANGUL SYLLABLE RYEB
        "\uB852",  # ; HANGUL SYLLABLE RYEBS
        "\uB853",  # ; HANGUL SYLLABLE RYES
        "\uB854",  # ; HANGUL SYLLABLE RYESS
        "\uB855",  # ; HANGUL SYLLABLE RYENG
        "\uB856",  # ; HANGUL SYLLABLE RYEJ
        "\uB857",  # ; HANGUL SYLLABLE RYEC
        "\uB858",  # ; HANGUL SYLLABLE RYEK
        "\uB859",  # ; HANGUL SYLLABLE RYET
        "\uB85A",  # ; HANGUL SYLLABLE RYEP
        "\uB85B",  # ; HANGUL SYLLABLE RYEH
        "\uB85C",  # ; HANGUL SYLLABLE RO
        "\uB85D",  # ; HANGUL SYLLABLE ROG
        "\uB85E",  # ; HANGUL SYLLABLE ROGG
        "\uB85F",  # ; HANGUL SYLLABLE ROGS
        "\uB860",  # ; HANGUL SYLLABLE RON
        "\uB861",  # ; HANGUL SYLLABLE RONJ
        "\uB862",  # ; HANGUL SYLLABLE RONH
        "\uB863",  # ; HANGUL SYLLABLE ROD
        "\uB864",  # ; HANGUL SYLLABLE ROL
        "\uB865",  # ; HANGUL SYLLABLE ROLG
        "\uB866",  # ; HANGUL SYLLABLE ROLM
        "\uB867",  # ; HANGUL SYLLABLE ROLB
        "\uB868",  # ; HANGUL SYLLABLE ROLS
        "\uB869",  # ; HANGUL SYLLABLE ROLT
        "\uB86A",  # ; HANGUL SYLLABLE ROLP
        "\uB86B",  # ; HANGUL SYLLABLE ROLH
        "\uB86C",  # ; HANGUL SYLLABLE ROM
        "\uB86D",  # ; HANGUL SYLLABLE ROB
        "\uB86E",  # ; HANGUL SYLLABLE ROBS
        "\uB86F",  # ; HANGUL SYLLABLE ROS
        "\uB870",  # ; HANGUL SYLLABLE ROSS
        "\uB871",  # ; HANGUL SYLLABLE RONG
        "\uB872",  # ; HANGUL SYLLABLE ROJ
        "\uB873",  # ; HANGUL SYLLABLE ROC
        "\uB874",  # ; HANGUL SYLLABLE ROK
        "\uB875",  # ; HANGUL SYLLABLE ROT
        "\uB876",  # ; HANGUL SYLLABLE ROP
        "\uB877",  # ; HANGUL SYLLABLE ROH
        "\uB878",  # ; HANGUL SYLLABLE RWA
        "\uB879",  # ; HANGUL SYLLABLE RWAG
        "\uB87A",  # ; HANGUL SYLLABLE RWAGG
        "\uB87B",  # ; HANGUL SYLLABLE RWAGS
        "\uB87C",  # ; HANGUL SYLLABLE RWAN
        "\uB87D",  # ; HANGUL SYLLABLE RWANJ
        "\uB87E",  # ; HANGUL SYLLABLE RWANH
        "\uB87F",  # ; HANGUL SYLLABLE RWAD
        "\uB880",  # ; HANGUL SYLLABLE RWAL
        "\uB881",  # ; HANGUL SYLLABLE RWALG
        "\uB882",  # ; HANGUL SYLLABLE RWALM
        "\uB883",  # ; HANGUL SYLLABLE RWALB
        "\uB884",  # ; HANGUL SYLLABLE RWALS
        "\uB885",  # ; HANGUL SYLLABLE RWALT
        "\uB886",  # ; HANGUL SYLLABLE RWALP
        "\uB887",  # ; HANGUL SYLLABLE RWALH
        "\uB888",  # ; HANGUL SYLLABLE RWAM
        "\uB889",  # ; HANGUL SYLLABLE RWAB
        "\uB88A",  # ; HANGUL SYLLABLE RWABS
        "\uB88B",  # ; HANGUL SYLLABLE RWAS
        "\uB88C",  # ; HANGUL SYLLABLE RWASS
        "\uB88D",  # ; HANGUL SYLLABLE RWANG
        "\uB88E",  # ; HANGUL SYLLABLE RWAJ
        "\uB88F",  # ; HANGUL SYLLABLE RWAC
        "\uB890",  # ; HANGUL SYLLABLE RWAK
        "\uB891",  # ; HANGUL SYLLABLE RWAT
        "\uB892",  # ; HANGUL SYLLABLE RWAP
        "\uB893",  # ; HANGUL SYLLABLE RWAH
        "\uB894",  # ; HANGUL SYLLABLE RWAE
        "\uB895",  # ; HANGUL SYLLABLE RWAEG
        "\uB896",  # ; HANGUL SYLLABLE RWAEGG
        "\uB897",  # ; HANGUL SYLLABLE RWAEGS
        "\uB898",  # ; HANGUL SYLLABLE RWAEN
        "\uB899",  # ; HANGUL SYLLABLE RWAENJ
        "\uB89A",  # ; HANGUL SYLLABLE RWAENH
        "\uB89B",  # ; HANGUL SYLLABLE RWAED
        "\uB89C",  # ; HANGUL SYLLABLE RWAEL
        "\uB89D",  # ; HANGUL SYLLABLE RWAELG
        "\uB89E",  # ; HANGUL SYLLABLE RWAELM
        "\uB89F",  # ; HANGUL SYLLABLE RWAELB
        "\uB8A0",  # ; HANGUL SYLLABLE RWAELS
        "\uB8A1",  # ; HANGUL SYLLABLE RWAELT
        "\uB8A2",  # ; HANGUL SYLLABLE RWAELP
        "\uB8A3",  # ; HANGUL SYLLABLE RWAELH
        "\uB8A4",  # ; HANGUL SYLLABLE RWAEM
        "\uB8A5",  # ; HANGUL SYLLABLE RWAEB
        "\uB8A6",  # ; HANGUL SYLLABLE RWAEBS
        "\uB8A7",  # ; HANGUL SYLLABLE RWAES
        "\uB8A8",  # ; HANGUL SYLLABLE RWAESS
        "\uB8A9",  # ; HANGUL SYLLABLE RWAENG
        "\uB8AA",  # ; HANGUL SYLLABLE RWAEJ
        "\uB8AB",  # ; HANGUL SYLLABLE RWAEC
        "\uB8AC",  # ; HANGUL SYLLABLE RWAEK
        "\uB8AD",  # ; HANGUL SYLLABLE RWAET
        "\uB8AE",  # ; HANGUL SYLLABLE RWAEP
        "\uB8AF",  # ; HANGUL SYLLABLE RWAEH
        "\uB8B0",  # ; HANGUL SYLLABLE ROE
        "\uB8B1",  # ; HANGUL SYLLABLE ROEG
        "\uB8B2",  # ; HANGUL SYLLABLE ROEGG
        "\uB8B3",  # ; HANGUL SYLLABLE ROEGS
        "\uB8B4",  # ; HANGUL SYLLABLE ROEN
        "\uB8B5",  # ; HANGUL SYLLABLE ROENJ
        "\uB8B6",  # ; HANGUL SYLLABLE ROENH
        "\uB8B7",  # ; HANGUL SYLLABLE ROED
        "\uB8B8",  # ; HANGUL SYLLABLE ROEL
        "\uB8B9",  # ; HANGUL SYLLABLE ROELG
        "\uB8BA",  # ; HANGUL SYLLABLE ROELM
        "\uB8BB",  # ; HANGUL SYLLABLE ROELB
        "\uB8BC",  # ; HANGUL SYLLABLE ROELS
        "\uB8BD",  # ; HANGUL SYLLABLE ROELT
        "\uB8BE",  # ; HANGUL SYLLABLE ROELP
        "\uB8BF",  # ; HANGUL SYLLABLE ROELH
        "\uB8C0",  # ; HANGUL SYLLABLE ROEM
        "\uB8C1",  # ; HANGUL SYLLABLE ROEB
        "\uB8C2",  # ; HANGUL SYLLABLE ROEBS
        "\uB8C3",  # ; HANGUL SYLLABLE ROES
        "\uB8C4",  # ; HANGUL SYLLABLE ROESS
        "\uB8C5",  # ; HANGUL SYLLABLE ROENG
        "\uB8C6",  # ; HANGUL SYLLABLE ROEJ
        "\uB8C7",  # ; HANGUL SYLLABLE ROEC
        "\uB8C8",  # ; HANGUL SYLLABLE ROEK
        "\uB8C9",  # ; HANGUL SYLLABLE ROET
        "\uB8CA",  # ; HANGUL SYLLABLE ROEP
        "\uB8CB",  # ; HANGUL SYLLABLE ROEH
        "\uB8CC",  # ; HANGUL SYLLABLE RYO
        "\uB8CD",  # ; HANGUL SYLLABLE RYOG
        "\uB8CE",  # ; HANGUL SYLLABLE RYOGG
        "\uB8CF",  # ; HANGUL SYLLABLE RYOGS
        "\uB8D0",  # ; HANGUL SYLLABLE RYON
        "\uB8D1",  # ; HANGUL SYLLABLE RYONJ
        "\uB8D2",  # ; HANGUL SYLLABLE RYONH
        "\uB8D3",  # ; HANGUL SYLLABLE RYOD
        "\uB8D4",  # ; HANGUL SYLLABLE RYOL
        "\uB8D5",  # ; HANGUL SYLLABLE RYOLG
        "\uB8D6",  # ; HANGUL SYLLABLE RYOLM
        "\uB8D7",  # ; HANGUL SYLLABLE RYOLB
        "\uB8D8",  # ; HANGUL SYLLABLE RYOLS
        "\uB8D9",  # ; HANGUL SYLLABLE RYOLT
        "\uB8DA",  # ; HANGUL SYLLABLE RYOLP
        "\uB8DB",  # ; HANGUL SYLLABLE RYOLH
        "\uB8DC",  # ; HANGUL SYLLABLE RYOM
        "\uB8DD",  # ; HANGUL SYLLABLE RYOB
        "\uB8DE",  # ; HANGUL SYLLABLE RYOBS
        "\uB8DF",  # ; HANGUL SYLLABLE RYOS
        "\uB8E0",  # ; HANGUL SYLLABLE RYOSS
        "\uB8E1",  # ; HANGUL SYLLABLE RYONG
        "\uB8E2",  # ; HANGUL SYLLABLE RYOJ
        "\uB8E3",  # ; HANGUL SYLLABLE RYOC
        "\uB8E4",  # ; HANGUL SYLLABLE RYOK
        "\uB8E5",  # ; HANGUL SYLLABLE RYOT
        "\uB8E6",  # ; HANGUL SYLLABLE RYOP
        "\uB8E7",  # ; HANGUL SYLLABLE RYOH
        "\uB8E8",  # ; HANGUL SYLLABLE RU
        "\uB8E9",  # ; HANGUL SYLLABLE RUG
        "\uB8EA",  # ; HANGUL SYLLABLE RUGG
        "\uB8EB",  # ; HANGUL SYLLABLE RUGS
        "\uB8EC",  # ; HANGUL SYLLABLE RUN
        "\uB8ED",  # ; HANGUL SYLLABLE RUNJ
        "\uB8EE",  # ; HANGUL SYLLABLE RUNH
        "\uB8EF",  # ; HANGUL SYLLABLE RUD
        "\uB8F0",  # ; HANGUL SYLLABLE RUL
        "\uB8F1",  # ; HANGUL SYLLABLE RULG
        "\uB8F2",  # ; HANGUL SYLLABLE RULM
        "\uB8F3",  # ; HANGUL SYLLABLE RULB
        "\uB8F4",  # ; HANGUL SYLLABLE RULS
        "\uB8F5",  # ; HANGUL SYLLABLE RULT
        "\uB8F6",  # ; HANGUL SYLLABLE RULP
        "\uB8F7",  # ; HANGUL SYLLABLE RULH
        "\uB8F8",  # ; HANGUL SYLLABLE RUM
        "\uB8F9",  # ; HANGUL SYLLABLE RUB
        "\uB8FA",  # ; HANGUL SYLLABLE RUBS
        "\uB8FB",  # ; HANGUL SYLLABLE RUS
        "\uB8FC",  # ; HANGUL SYLLABLE RUSS
        "\uB8FD",  # ; HANGUL SYLLABLE RUNG
        "\uB8FE",  # ; HANGUL SYLLABLE RUJ
        "\uB8FF",  # ; HANGUL SYLLABLE RUC
        "\uB900",  # ; HANGUL SYLLABLE RUK
        "\uB901",  # ; HANGUL SYLLABLE RUT
        "\uB902",  # ; HANGUL SYLLABLE RUP
        "\uB903",  # ; HANGUL SYLLABLE RUH
        "\uB904",  # ; HANGUL SYLLABLE RWEO
        "\uB905",  # ; HANGUL SYLLABLE RWEOG
        "\uB906",  # ; HANGUL SYLLABLE RWEOGG
        "\uB907",  # ; HANGUL SYLLABLE RWEOGS
        "\uB908",  # ; HANGUL SYLLABLE RWEON
        "\uB909",  # ; HANGUL SYLLABLE RWEONJ
        "\uB90A",  # ; HANGUL SYLLABLE RWEONH
        "\uB90B",  # ; HANGUL SYLLABLE RWEOD
        "\uB90C",  # ; HANGUL SYLLABLE RWEOL
        "\uB90D",  # ; HANGUL SYLLABLE RWEOLG
        "\uB90E",  # ; HANGUL SYLLABLE RWEOLM
        "\uB90F",  # ; HANGUL SYLLABLE RWEOLB
        "\uB910",  # ; HANGUL SYLLABLE RWEOLS
        "\uB911",  # ; HANGUL SYLLABLE RWEOLT
        "\uB912",  # ; HANGUL SYLLABLE RWEOLP
        "\uB913",  # ; HANGUL SYLLABLE RWEOLH
        "\uB914",  # ; HANGUL SYLLABLE RWEOM
        "\uB915",  # ; HANGUL SYLLABLE RWEOB
        "\uB916",  # ; HANGUL SYLLABLE RWEOBS
        "\uB917",  # ; HANGUL SYLLABLE RWEOS
        "\uB918",  # ; HANGUL SYLLABLE RWEOSS
        "\uB919",  # ; HANGUL SYLLABLE RWEONG
        "\uB91A",  # ; HANGUL SYLLABLE RWEOJ
        "\uB91B",  # ; HANGUL SYLLABLE RWEOC
        "\uB91C",  # ; HANGUL SYLLABLE RWEOK
        "\uB91D",  # ; HANGUL SYLLABLE RWEOT
        "\uB91E",  # ; HANGUL SYLLABLE RWEOP
        "\uB91F",  # ; HANGUL SYLLABLE RWEOH
        "\uB920",  # ; HANGUL SYLLABLE RWE
        "\uB921",  # ; HANGUL SYLLABLE RWEG
        "\uB922",  # ; HANGUL SYLLABLE RWEGG
        "\uB923",  # ; HANGUL SYLLABLE RWEGS
        "\uB924",  # ; HANGUL SYLLABLE RWEN
        "\uB925",  # ; HANGUL SYLLABLE RWENJ
        "\uB926",  # ; HANGUL SYLLABLE RWENH
        "\uB927",  # ; HANGUL SYLLABLE RWED
        "\uB928",  # ; HANGUL SYLLABLE RWEL
        "\uB929",  # ; HANGUL SYLLABLE RWELG
        "\uB92A",  # ; HANGUL SYLLABLE RWELM
        "\uB92B",  # ; HANGUL SYLLABLE RWELB
        "\uB92C",  # ; HANGUL SYLLABLE RWELS
        "\uB92D",  # ; HANGUL SYLLABLE RWELT
        "\uB92E",  # ; HANGUL SYLLABLE RWELP
        "\uB92F",  # ; HANGUL SYLLABLE RWELH
        "\uB930",  # ; HANGUL SYLLABLE RWEM
        "\uB931",  # ; HANGUL SYLLABLE RWEB
        "\uB932",  # ; HANGUL SYLLABLE RWEBS
        "\uB933",  # ; HANGUL SYLLABLE RWES
        "\uB934",  # ; HANGUL SYLLABLE RWESS
        "\uB935",  # ; HANGUL SYLLABLE RWENG
        "\uB936",  # ; HANGUL SYLLABLE RWEJ
        "\uB937",  # ; HANGUL SYLLABLE RWEC
        "\uB938",  # ; HANGUL SYLLABLE RWEK
        "\uB939",  # ; HANGUL SYLLABLE RWET
        "\uB93A",  # ; HANGUL SYLLABLE RWEP
        "\uB93B",  # ; HANGUL SYLLABLE RWEH
        "\uB93C",  # ; HANGUL SYLLABLE RWI
        "\uB93D",  # ; HANGUL SYLLABLE RWIG
        "\uB93E",  # ; HANGUL SYLLABLE RWIGG
        "\uB93F",  # ; HANGUL SYLLABLE RWIGS
        "\uB940",  # ; HANGUL SYLLABLE RWIN
        "\uB941",  # ; HANGUL SYLLABLE RWINJ
        "\uB942",  # ; HANGUL SYLLABLE RWINH
        "\uB943",  # ; HANGUL SYLLABLE RWID
        "\uB944",  # ; HANGUL SYLLABLE RWIL
        "\uB945",  # ; HANGUL SYLLABLE RWILG
        "\uB946",  # ; HANGUL SYLLABLE RWILM
        "\uB947",  # ; HANGUL SYLLABLE RWILB
        "\uB948",  # ; HANGUL SYLLABLE RWILS
        "\uB949",  # ; HANGUL SYLLABLE RWILT
        "\uB94A",  # ; HANGUL SYLLABLE RWILP
        "\uB94B",  # ; HANGUL SYLLABLE RWILH
        "\uB94C",  # ; HANGUL SYLLABLE RWIM
        "\uB94D",  # ; HANGUL SYLLABLE RWIB
        "\uB94E",  # ; HANGUL SYLLABLE RWIBS
        "\uB94F",  # ; HANGUL SYLLABLE RWIS
        "\uB950",  # ; HANGUL SYLLABLE RWISS
        "\uB951",  # ; HANGUL SYLLABLE RWING
        "\uB952",  # ; HANGUL SYLLABLE RWIJ
        "\uB953",  # ; HANGUL SYLLABLE RWIC
        "\uB954",  # ; HANGUL SYLLABLE RWIK
        "\uB955",  # ; HANGUL SYLLABLE RWIT
        "\uB956",  # ; HANGUL SYLLABLE RWIP
        "\uB957",  # ; HANGUL SYLLABLE RWIH
        "\uB958",  # ; HANGUL SYLLABLE RYU
        "\uB959",  # ; HANGUL SYLLABLE RYUG
        "\uB95A",  # ; HANGUL SYLLABLE RYUGG
        "\uB95B",  # ; HANGUL SYLLABLE RYUGS
        "\uB95C",  # ; HANGUL SYLLABLE RYUN
        "\uB95D",  # ; HANGUL SYLLABLE RYUNJ
        "\uB95E",  # ; HANGUL SYLLABLE RYUNH
        "\uB95F",  # ; HANGUL SYLLABLE RYUD
        "\uB960",  # ; HANGUL SYLLABLE RYUL
        "\uB961",  # ; HANGUL SYLLABLE RYULG
        "\uB962",  # ; HANGUL SYLLABLE RYULM
        "\uB963",  # ; HANGUL SYLLABLE RYULB
        "\uB964",  # ; HANGUL SYLLABLE RYULS
        "\uB965",  # ; HANGUL SYLLABLE RYULT
        "\uB966",  # ; HANGUL SYLLABLE RYULP
        "\uB967",  # ; HANGUL SYLLABLE RYULH
        "\uB968",  # ; HANGUL SYLLABLE RYUM
        "\uB969",  # ; HANGUL SYLLABLE RYUB
        "\uB96A",  # ; HANGUL SYLLABLE RYUBS
        "\uB96B",  # ; HANGUL SYLLABLE RYUS
        "\uB96C",  # ; HANGUL SYLLABLE RYUSS
        "\uB96D",  # ; HANGUL SYLLABLE RYUNG
        "\uB96E",  # ; HANGUL SYLLABLE RYUJ
        "\uB96F",  # ; HANGUL SYLLABLE RYUC
        "\uB970",  # ; HANGUL SYLLABLE RYUK
        "\uB971",  # ; HANGUL SYLLABLE RYUT
        "\uB972",  # ; HANGUL SYLLABLE RYUP
        "\uB973",  # ; HANGUL SYLLABLE RYUH
        "\uB974",  # ; HANGUL SYLLABLE REU
        "\uB975",  # ; HANGUL SYLLABLE REUG
        "\uB976",  # ; HANGUL SYLLABLE REUGG
        "\uB977",  # ; HANGUL SYLLABLE REUGS
        "\uB978",  # ; HANGUL SYLLABLE REUN
        "\uB979",  # ; HANGUL SYLLABLE REUNJ
        "\uB97A",  # ; HANGUL SYLLABLE REUNH
        "\uB97B",  # ; HANGUL SYLLABLE REUD
        "\uB97C",  # ; HANGUL SYLLABLE REUL
        "\uB97D",  # ; HANGUL SYLLABLE REULG
        "\uB97E",  # ; HANGUL SYLLABLE REULM
        "\uB97F",  # ; HANGUL SYLLABLE REULB
        "\uB980",  # ; HANGUL SYLLABLE REULS
        "\uB981",  # ; HANGUL SYLLABLE REULT
        "\uB982",  # ; HANGUL SYLLABLE REULP
        "\uB983",  # ; HANGUL SYLLABLE REULH
        "\uB984",  # ; HANGUL SYLLABLE REUM
        "\uB985",  # ; HANGUL SYLLABLE REUB
        "\uB986",  # ; HANGUL SYLLABLE REUBS
        "\uB987",  # ; HANGUL SYLLABLE REUS
        "\uB988",  # ; HANGUL SYLLABLE REUSS
        "\uB989",  # ; HANGUL SYLLABLE REUNG
        "\uB98A",  # ; HANGUL SYLLABLE REUJ
        "\uB98B",  # ; HANGUL SYLLABLE REUC
        "\uB98C",  # ; HANGUL SYLLABLE REUK
        "\uB98D",  # ; HANGUL SYLLABLE REUT
        "\uB98E",  # ; HANGUL SYLLABLE REUP
        "\uB98F",  # ; HANGUL SYLLABLE REUH
        "\uB990",  # ; HANGUL SYLLABLE RYI
        "\uB991",  # ; HANGUL SYLLABLE RYIG
        "\uB992",  # ; HANGUL SYLLABLE RYIGG
        "\uB993",  # ; HANGUL SYLLABLE RYIGS
        "\uB994",  # ; HANGUL SYLLABLE RYIN
        "\uB995",  # ; HANGUL SYLLABLE RYINJ
        "\uB996",  # ; HANGUL SYLLABLE RYINH
        "\uB997",  # ; HANGUL SYLLABLE RYID
        "\uB998",  # ; HANGUL SYLLABLE RYIL
        "\uB999",  # ; HANGUL SYLLABLE RYILG
        "\uB99A",  # ; HANGUL SYLLABLE RYILM
        "\uB99B",  # ; HANGUL SYLLABLE RYILB
        "\uB99C",  # ; HANGUL SYLLABLE RYILS
        "\uB99D",  # ; HANGUL SYLLABLE RYILT
        "\uB99E",  # ; HANGUL SYLLABLE RYILP
        "\uB99F",  # ; HANGUL SYLLABLE RYILH
        "\uB9A0",  # ; HANGUL SYLLABLE RYIM
        "\uB9A1",  # ; HANGUL SYLLABLE RYIB
        "\uB9A2",  # ; HANGUL SYLLABLE RYIBS
        "\uB9A3",  # ; HANGUL SYLLABLE RYIS
        "\uB9A4",  # ; HANGUL SYLLABLE RYISS
        "\uB9A5",  # ; HANGUL SYLLABLE RYING
        "\uB9A6",  # ; HANGUL SYLLABLE RYIJ
        "\uB9A7",  # ; HANGUL SYLLABLE RYIC
        "\uB9A8",  # ; HANGUL SYLLABLE RYIK
        "\uB9A9",  # ; HANGUL SYLLABLE RYIT
        "\uB9AA",  # ; HANGUL SYLLABLE RYIP
        "\uB9AB",  # ; HANGUL SYLLABLE RYIH
        "\uB9AC",  # ; HANGUL SYLLABLE RI
        "\uB9AD",  # ; HANGUL SYLLABLE RIG
        "\uB9AE",  # ; HANGUL SYLLABLE RIGG
        "\uB9AF",  # ; HANGUL SYLLABLE RIGS
        "\uB9B0",  # ; HANGUL SYLLABLE RIN
        "\uB9B1",  # ; HANGUL SYLLABLE RINJ
        "\uB9B2",  # ; HANGUL SYLLABLE RINH
        "\uB9B3",  # ; HANGUL SYLLABLE RID
        "\uB9B4",  # ; HANGUL SYLLABLE RIL
        "\uB9B5",  # ; HANGUL SYLLABLE RILG
        "\uB9B6",  # ; HANGUL SYLLABLE RILM
        "\uB9B7",  # ; HANGUL SYLLABLE RILB
        "\uB9B8",  # ; HANGUL SYLLABLE RILS
        "\uB9B9",  # ; HANGUL SYLLABLE RILT
        "\uB9BA",  # ; HANGUL SYLLABLE RILP
        "\uB9BB",  # ; HANGUL SYLLABLE RILH
        "\uB9BC",  # ; HANGUL SYLLABLE RIM
        "\uB9BD",  # ; HANGUL SYLLABLE RIB
        "\uB9BE",  # ; HANGUL SYLLABLE RIBS
        "\uB9BF",  # ; HANGUL SYLLABLE RIS
        "\uB9C0",  # ; HANGUL SYLLABLE RISS
        "\uB9C1",  # ; HANGUL SYLLABLE RING
        "\uB9C2",  # ; HANGUL SYLLABLE RIJ
        "\uB9C3",  # ; HANGUL SYLLABLE RIC
        "\uB9C4",  # ; HANGUL SYLLABLE RIK
        "\uB9C5",  # ; HANGUL SYLLABLE RIT
        "\uB9C6",  # ; HANGUL SYLLABLE RIP
        "\uB9C7",  # ; HANGUL SYLLABLE RIH
        "\uB9C8",  # ; HANGUL SYLLABLE MA
        "\uB9C9",  # ; HANGUL SYLLABLE MAG
        "\uB9CA",  # ; HANGUL SYLLABLE MAGG
        "\uB9CB",  # ; HANGUL SYLLABLE MAGS
        "\uB9CC",  # ; HANGUL SYLLABLE MAN
        "\uB9CD",  # ; HANGUL SYLLABLE MANJ
        "\uB9CE",  # ; HANGUL SYLLABLE MANH
        "\uB9CF",  # ; HANGUL SYLLABLE MAD
        "\uB9D0",  # ; HANGUL SYLLABLE MAL
        "\uB9D1",  # ; HANGUL SYLLABLE MALG
        "\uB9D2",  # ; HANGUL SYLLABLE MALM
        "\uB9D3",  # ; HANGUL SYLLABLE MALB
        "\uB9D4",  # ; HANGUL SYLLABLE MALS
        "\uB9D5",  # ; HANGUL SYLLABLE MALT
        "\uB9D6",  # ; HANGUL SYLLABLE MALP
        "\uB9D7",  # ; HANGUL SYLLABLE MALH
        "\uB9D8",  # ; HANGUL SYLLABLE MAM
        "\uB9D9",  # ; HANGUL SYLLABLE MAB
        "\uB9DA",  # ; HANGUL SYLLABLE MABS
        "\uB9DB",  # ; HANGUL SYLLABLE MAS
        "\uB9DC",  # ; HANGUL SYLLABLE MASS
        "\uB9DD",  # ; HANGUL SYLLABLE MANG
        "\uB9DE",  # ; HANGUL SYLLABLE MAJ
        "\uB9DF",  # ; HANGUL SYLLABLE MAC
        "\uB9E0",  # ; HANGUL SYLLABLE MAK
        "\uB9E1",  # ; HANGUL SYLLABLE MAT
        "\uB9E2",  # ; HANGUL SYLLABLE MAP
        "\uB9E3",  # ; HANGUL SYLLABLE MAH
        "\uB9E4",  # ; HANGUL SYLLABLE MAE
        "\uB9E5",  # ; HANGUL SYLLABLE MAEG
        "\uB9E6",  # ; HANGUL SYLLABLE MAEGG
        "\uB9E7",  # ; HANGUL SYLLABLE MAEGS
        "\uB9E8",  # ; HANGUL SYLLABLE MAEN
        "\uB9E9",  # ; HANGUL SYLLABLE MAENJ
        "\uB9EA",  # ; HANGUL SYLLABLE MAENH
        "\uB9EB",  # ; HANGUL SYLLABLE MAED
        "\uB9EC",  # ; HANGUL SYLLABLE MAEL
        "\uB9ED",  # ; HANGUL SYLLABLE MAELG
        "\uB9EE",  # ; HANGUL SYLLABLE MAELM
        "\uB9EF",  # ; HANGUL SYLLABLE MAELB
        "\uB9F0",  # ; HANGUL SYLLABLE MAELS
        "\uB9F1",  # ; HANGUL SYLLABLE MAELT
        "\uB9F2",  # ; HANGUL SYLLABLE MAELP
        "\uB9F3",  # ; HANGUL SYLLABLE MAELH
        "\uB9F4",  # ; HANGUL SYLLABLE MAEM
        "\uB9F5",  # ; HANGUL SYLLABLE MAEB
        "\uB9F6",  # ; HANGUL SYLLABLE MAEBS
        "\uB9F7",  # ; HANGUL SYLLABLE MAES
        "\uB9F8",  # ; HANGUL SYLLABLE MAESS
        "\uB9F9",  # ; HANGUL SYLLABLE MAENG
        "\uB9FA",  # ; HANGUL SYLLABLE MAEJ
        "\uB9FB",  # ; HANGUL SYLLABLE MAEC
        "\uB9FC",  # ; HANGUL SYLLABLE MAEK
        "\uB9FD",  # ; HANGUL SYLLABLE MAET
        "\uB9FE",  # ; HANGUL SYLLABLE MAEP
        "\uB9FF",  # ; HANGUL SYLLABLE MAEH
        "\uBA00",  # ; HANGUL SYLLABLE MYA
        "\uBA01",  # ; HANGUL SYLLABLE MYAG
        "\uBA02",  # ; HANGUL SYLLABLE MYAGG
        "\uBA03",  # ; HANGUL SYLLABLE MYAGS
        "\uBA04",  # ; HANGUL SYLLABLE MYAN
        "\uBA05",  # ; HANGUL SYLLABLE MYANJ
        "\uBA06",  # ; HANGUL SYLLABLE MYANH
        "\uBA07",  # ; HANGUL SYLLABLE MYAD
        "\uBA08",  # ; HANGUL SYLLABLE MYAL
        "\uBA09",  # ; HANGUL SYLLABLE MYALG
        "\uBA0A",  # ; HANGUL SYLLABLE MYALM
        "\uBA0B",  # ; HANGUL SYLLABLE MYALB
        "\uBA0C",  # ; HANGUL SYLLABLE MYALS
        "\uBA0D",  # ; HANGUL SYLLABLE MYALT
        "\uBA0E",  # ; HANGUL SYLLABLE MYALP
        "\uBA0F",  # ; HANGUL SYLLABLE MYALH
        "\uBA10",  # ; HANGUL SYLLABLE MYAM
        "\uBA11",  # ; HANGUL SYLLABLE MYAB
        "\uBA12",  # ; HANGUL SYLLABLE MYABS
        "\uBA13",  # ; HANGUL SYLLABLE MYAS
        "\uBA14",  # ; HANGUL SYLLABLE MYASS
        "\uBA15",  # ; HANGUL SYLLABLE MYANG
        "\uBA16",  # ; HANGUL SYLLABLE MYAJ
        "\uBA17",  # ; HANGUL SYLLABLE MYAC
        "\uBA18",  # ; HANGUL SYLLABLE MYAK
        "\uBA19",  # ; HANGUL SYLLABLE MYAT
        "\uBA1A",  # ; HANGUL SYLLABLE MYAP
        "\uBA1B",  # ; HANGUL SYLLABLE MYAH
        "\uBA1C",  # ; HANGUL SYLLABLE MYAE
        "\uBA1D",  # ; HANGUL SYLLABLE MYAEG
        "\uBA1E",  # ; HANGUL SYLLABLE MYAEGG
        "\uBA1F",  # ; HANGUL SYLLABLE MYAEGS
        "\uBA20",  # ; HANGUL SYLLABLE MYAEN
        "\uBA21",  # ; HANGUL SYLLABLE MYAENJ
        "\uBA22",  # ; HANGUL SYLLABLE MYAENH
        "\uBA23",  # ; HANGUL SYLLABLE MYAED
        "\uBA24",  # ; HANGUL SYLLABLE MYAEL
        "\uBA25",  # ; HANGUL SYLLABLE MYAELG
        "\uBA26",  # ; HANGUL SYLLABLE MYAELM
        "\uBA27",  # ; HANGUL SYLLABLE MYAELB
        "\uBA28",  # ; HANGUL SYLLABLE MYAELS
        "\uBA29",  # ; HANGUL SYLLABLE MYAELT
        "\uBA2A",  # ; HANGUL SYLLABLE MYAELP
        "\uBA2B",  # ; HANGUL SYLLABLE MYAELH
        "\uBA2C",  # ; HANGUL SYLLABLE MYAEM
        "\uBA2D",  # ; HANGUL SYLLABLE MYAEB
        "\uBA2E",  # ; HANGUL SYLLABLE MYAEBS
        "\uBA2F",  # ; HANGUL SYLLABLE MYAES
        "\uBA30",  # ; HANGUL SYLLABLE MYAESS
        "\uBA31",  # ; HANGUL SYLLABLE MYAENG
        "\uBA32",  # ; HANGUL SYLLABLE MYAEJ
        "\uBA33",  # ; HANGUL SYLLABLE MYAEC
        "\uBA34",  # ; HANGUL SYLLABLE MYAEK
        "\uBA35",  # ; HANGUL SYLLABLE MYAET
        "\uBA36",  # ; HANGUL SYLLABLE MYAEP
        "\uBA37",  # ; HANGUL SYLLABLE MYAEH
        "\uBA38",  # ; HANGUL SYLLABLE MEO
        "\uBA39",  # ; HANGUL SYLLABLE MEOG
        "\uBA3A",  # ; HANGUL SYLLABLE MEOGG
        "\uBA3B",  # ; HANGUL SYLLABLE MEOGS
        "\uBA3C",  # ; HANGUL SYLLABLE MEON
        "\uBA3D",  # ; HANGUL SYLLABLE MEONJ
        "\uBA3E",  # ; HANGUL SYLLABLE MEONH
        "\uBA3F",  # ; HANGUL SYLLABLE MEOD
        "\uBA40",  # ; HANGUL SYLLABLE MEOL
        "\uBA41",  # ; HANGUL SYLLABLE MEOLG
        "\uBA42",  # ; HANGUL SYLLABLE MEOLM
        "\uBA43",  # ; HANGUL SYLLABLE MEOLB
        "\uBA44",  # ; HANGUL SYLLABLE MEOLS
        "\uBA45",  # ; HANGUL SYLLABLE MEOLT
        "\uBA46",  # ; HANGUL SYLLABLE MEOLP
        "\uBA47",  # ; HANGUL SYLLABLE MEOLH
        "\uBA48",  # ; HANGUL SYLLABLE MEOM
        "\uBA49",  # ; HANGUL SYLLABLE MEOB
        "\uBA4A",  # ; HANGUL SYLLABLE MEOBS
        "\uBA4B",  # ; HANGUL SYLLABLE MEOS
        "\uBA4C",  # ; HANGUL SYLLABLE MEOSS
        "\uBA4D",  # ; HANGUL SYLLABLE MEONG
        "\uBA4E",  # ; HANGUL SYLLABLE MEOJ
        "\uBA4F",  # ; HANGUL SYLLABLE MEOC
        "\uBA50",  # ; HANGUL SYLLABLE MEOK
        "\uBA51",  # ; HANGUL SYLLABLE MEOT
        "\uBA52",  # ; HANGUL SYLLABLE MEOP
        "\uBA53",  # ; HANGUL SYLLABLE MEOH
        "\uBA54",  # ; HANGUL SYLLABLE ME
        "\uBA55",  # ; HANGUL SYLLABLE MEG
        "\uBA56",  # ; HANGUL SYLLABLE MEGG
        "\uBA57",  # ; HANGUL SYLLABLE MEGS
        "\uBA58",  # ; HANGUL SYLLABLE MEN
        "\uBA59",  # ; HANGUL SYLLABLE MENJ
        "\uBA5A",  # ; HANGUL SYLLABLE MENH
        "\uBA5B",  # ; HANGUL SYLLABLE MED
        "\uBA5C",  # ; HANGUL SYLLABLE MEL
        "\uBA5D",  # ; HANGUL SYLLABLE MELG
        "\uBA5E",  # ; HANGUL SYLLABLE MELM
        "\uBA5F",  # ; HANGUL SYLLABLE MELB
        "\uBA60",  # ; HANGUL SYLLABLE MELS
        "\uBA61",  # ; HANGUL SYLLABLE MELT
        "\uBA62",  # ; HANGUL SYLLABLE MELP
        "\uBA63",  # ; HANGUL SYLLABLE MELH
        "\uBA64",  # ; HANGUL SYLLABLE MEM
        "\uBA65",  # ; HANGUL SYLLABLE MEB
        "\uBA66",  # ; HANGUL SYLLABLE MEBS
        "\uBA67",  # ; HANGUL SYLLABLE MES
        "\uBA68",  # ; HANGUL SYLLABLE MESS
        "\uBA69",  # ; HANGUL SYLLABLE MENG
        "\uBA6A",  # ; HANGUL SYLLABLE MEJ
        "\uBA6B",  # ; HANGUL SYLLABLE MEC
        "\uBA6C",  # ; HANGUL SYLLABLE MEK
        "\uBA6D",  # ; HANGUL SYLLABLE MET
        "\uBA6E",  # ; HANGUL SYLLABLE MEP
        "\uBA6F",  # ; HANGUL SYLLABLE MEH
        "\uBA70",  # ; HANGUL SYLLABLE MYEO
        "\uBA71",  # ; HANGUL SYLLABLE MYEOG
        "\uBA72",  # ; HANGUL SYLLABLE MYEOGG
        "\uBA73",  # ; HANGUL SYLLABLE MYEOGS
        "\uBA74",  # ; HANGUL SYLLABLE MYEON
        "\uBA75",  # ; HANGUL SYLLABLE MYEONJ
        "\uBA76",  # ; HANGUL SYLLABLE MYEONH
        "\uBA77",  # ; HANGUL SYLLABLE MYEOD
        "\uBA78",  # ; HANGUL SYLLABLE MYEOL
        "\uBA79",  # ; HANGUL SYLLABLE MYEOLG
        "\uBA7A",  # ; HANGUL SYLLABLE MYEOLM
        "\uBA7B",  # ; HANGUL SYLLABLE MYEOLB
        "\uBA7C",  # ; HANGUL SYLLABLE MYEOLS
        "\uBA7D",  # ; HANGUL SYLLABLE MYEOLT
        "\uBA7E",  # ; HANGUL SYLLABLE MYEOLP
        "\uBA7F",  # ; HANGUL SYLLABLE MYEOLH
        "\uBA80",  # ; HANGUL SYLLABLE MYEOM
        "\uBA81",  # ; HANGUL SYLLABLE MYEOB
        "\uBA82",  # ; HANGUL SYLLABLE MYEOBS
        "\uBA83",  # ; HANGUL SYLLABLE MYEOS
        "\uBA84",  # ; HANGUL SYLLABLE MYEOSS
        "\uBA85",  # ; HANGUL SYLLABLE MYEONG
        "\uBA86",  # ; HANGUL SYLLABLE MYEOJ
        "\uBA87",  # ; HANGUL SYLLABLE MYEOC
        "\uBA88",  # ; HANGUL SYLLABLE MYEOK
        "\uBA89",  # ; HANGUL SYLLABLE MYEOT
        "\uBA8A",  # ; HANGUL SYLLABLE MYEOP
        "\uBA8B",  # ; HANGUL SYLLABLE MYEOH
        "\uBA8C",  # ; HANGUL SYLLABLE MYE
        "\uBA8D",  # ; HANGUL SYLLABLE MYEG
        "\uBA8E",  # ; HANGUL SYLLABLE MYEGG
        "\uBA8F",  # ; HANGUL SYLLABLE MYEGS
        "\uBA90",  # ; HANGUL SYLLABLE MYEN
        "\uBA91",  # ; HANGUL SYLLABLE MYENJ
        "\uBA92",  # ; HANGUL SYLLABLE MYENH
        "\uBA93",  # ; HANGUL SYLLABLE MYED
        "\uBA94",  # ; HANGUL SYLLABLE MYEL
        "\uBA95",  # ; HANGUL SYLLABLE MYELG
        "\uBA96",  # ; HANGUL SYLLABLE MYELM
        "\uBA97",  # ; HANGUL SYLLABLE MYELB
        "\uBA98",  # ; HANGUL SYLLABLE MYELS
        "\uBA99",  # ; HANGUL SYLLABLE MYELT
        "\uBA9A",  # ; HANGUL SYLLABLE MYELP
        "\uBA9B",  # ; HANGUL SYLLABLE MYELH
        "\uBA9C",  # ; HANGUL SYLLABLE MYEM
        "\uBA9D",  # ; HANGUL SYLLABLE MYEB
        "\uBA9E",  # ; HANGUL SYLLABLE MYEBS
        "\uBA9F",  # ; HANGUL SYLLABLE MYES
        "\uBAA0",  # ; HANGUL SYLLABLE MYESS
        "\uBAA1",  # ; HANGUL SYLLABLE MYENG
        "\uBAA2",  # ; HANGUL SYLLABLE MYEJ
        "\uBAA3",  # ; HANGUL SYLLABLE MYEC
        "\uBAA4",  # ; HANGUL SYLLABLE MYEK
        "\uBAA5",  # ; HANGUL SYLLABLE MYET
        "\uBAA6",  # ; HANGUL SYLLABLE MYEP
        "\uBAA7",  # ; HANGUL SYLLABLE MYEH
        "\uBAA8",  # ; HANGUL SYLLABLE MO
        "\uBAA9",  # ; HANGUL SYLLABLE MOG
        "\uBAAA",  # ; HANGUL SYLLABLE MOGG
        "\uBAAB",  # ; HANGUL SYLLABLE MOGS
        "\uBAAC",  # ; HANGUL SYLLABLE MON
        "\uBAAD",  # ; HANGUL SYLLABLE MONJ
        "\uBAAE",  # ; HANGUL SYLLABLE MONH
        "\uBAAF",  # ; HANGUL SYLLABLE MOD
        "\uBAB0",  # ; HANGUL SYLLABLE MOL
        "\uBAB1",  # ; HANGUL SYLLABLE MOLG
        "\uBAB2",  # ; HANGUL SYLLABLE MOLM
        "\uBAB3",  # ; HANGUL SYLLABLE MOLB
        "\uBAB4",  # ; HANGUL SYLLABLE MOLS
        "\uBAB5",  # ; HANGUL SYLLABLE MOLT
        "\uBAB6",  # ; HANGUL SYLLABLE MOLP
        "\uBAB7",  # ; HANGUL SYLLABLE MOLH
        "\uBAB8",  # ; HANGUL SYLLABLE MOM
        "\uBAB9",  # ; HANGUL SYLLABLE MOB
        "\uBABA",  # ; HANGUL SYLLABLE MOBS
        "\uBABB",  # ; HANGUL SYLLABLE MOS
        "\uBABC",  # ; HANGUL SYLLABLE MOSS
        "\uBABD",  # ; HANGUL SYLLABLE MONG
        "\uBABE",  # ; HANGUL SYLLABLE MOJ
        "\uBABF",  # ; HANGUL SYLLABLE MOC
        "\uBAC0",  # ; HANGUL SYLLABLE MOK
        "\uBAC1",  # ; HANGUL SYLLABLE MOT
        "\uBAC2",  # ; HANGUL SYLLABLE MOP
        "\uBAC3",  # ; HANGUL SYLLABLE MOH
        "\uBAC4",  # ; HANGUL SYLLABLE MWA
        "\uBAC5",  # ; HANGUL SYLLABLE MWAG
        "\uBAC6",  # ; HANGUL SYLLABLE MWAGG
        "\uBAC7",  # ; HANGUL SYLLABLE MWAGS
        "\uBAC8",  # ; HANGUL SYLLABLE MWAN
        "\uBAC9",  # ; HANGUL SYLLABLE MWANJ
        "\uBACA",  # ; HANGUL SYLLABLE MWANH
        "\uBACB",  # ; HANGUL SYLLABLE MWAD
        "\uBACC",  # ; HANGUL SYLLABLE MWAL
        "\uBACD",  # ; HANGUL SYLLABLE MWALG
        "\uBACE",  # ; HANGUL SYLLABLE MWALM
        "\uBACF",  # ; HANGUL SYLLABLE MWALB
        "\uBAD0",  # ; HANGUL SYLLABLE MWALS
        "\uBAD1",  # ; HANGUL SYLLABLE MWALT
        "\uBAD2",  # ; HANGUL SYLLABLE MWALP
        "\uBAD3",  # ; HANGUL SYLLABLE MWALH
        "\uBAD4",  # ; HANGUL SYLLABLE MWAM
        "\uBAD5",  # ; HANGUL SYLLABLE MWAB
        "\uBAD6",  # ; HANGUL SYLLABLE MWABS
        "\uBAD7",  # ; HANGUL SYLLABLE MWAS
        "\uBAD8",  # ; HANGUL SYLLABLE MWASS
        "\uBAD9",  # ; HANGUL SYLLABLE MWANG
        "\uBADA",  # ; HANGUL SYLLABLE MWAJ
        "\uBADB",  # ; HANGUL SYLLABLE MWAC
        "\uBADC",  # ; HANGUL SYLLABLE MWAK
        "\uBADD",  # ; HANGUL SYLLABLE MWAT
        "\uBADE",  # ; HANGUL SYLLABLE MWAP
        "\uBADF",  # ; HANGUL SYLLABLE MWAH
        "\uBAE0",  # ; HANGUL SYLLABLE MWAE
        "\uBAE1",  # ; HANGUL SYLLABLE MWAEG
        "\uBAE2",  # ; HANGUL SYLLABLE MWAEGG
        "\uBAE3",  # ; HANGUL SYLLABLE MWAEGS
        "\uBAE4",  # ; HANGUL SYLLABLE MWAEN
        "\uBAE5",  # ; HANGUL SYLLABLE MWAENJ
        "\uBAE6",  # ; HANGUL SYLLABLE MWAENH
        "\uBAE7",  # ; HANGUL SYLLABLE MWAED
        "\uBAE8",  # ; HANGUL SYLLABLE MWAEL
        "\uBAE9",  # ; HANGUL SYLLABLE MWAELG
        "\uBAEA",  # ; HANGUL SYLLABLE MWAELM
        "\uBAEB",  # ; HANGUL SYLLABLE MWAELB
        "\uBAEC",  # ; HANGUL SYLLABLE MWAELS
        "\uBAED",  # ; HANGUL SYLLABLE MWAELT
        "\uBAEE",  # ; HANGUL SYLLABLE MWAELP
        "\uBAEF",  # ; HANGUL SYLLABLE MWAELH
        "\uBAF0",  # ; HANGUL SYLLABLE MWAEM
        "\uBAF1",  # ; HANGUL SYLLABLE MWAEB
        "\uBAF2",  # ; HANGUL SYLLABLE MWAEBS
        "\uBAF3",  # ; HANGUL SYLLABLE MWAES
        "\uBAF4",  # ; HANGUL SYLLABLE MWAESS
        "\uBAF5",  # ; HANGUL SYLLABLE MWAENG
        "\uBAF6",  # ; HANGUL SYLLABLE MWAEJ
        "\uBAF7",  # ; HANGUL SYLLABLE MWAEC
        "\uBAF8",  # ; HANGUL SYLLABLE MWAEK
        "\uBAF9",  # ; HANGUL SYLLABLE MWAET
        "\uBAFA",  # ; HANGUL SYLLABLE MWAEP
        "\uBAFB",  # ; HANGUL SYLLABLE MWAEH
        "\uBAFC",  # ; HANGUL SYLLABLE MOE
        "\uBAFD",  # ; HANGUL SYLLABLE MOEG
        "\uBAFE",  # ; HANGUL SYLLABLE MOEGG
        "\uBAFF",  # ; HANGUL SYLLABLE MOEGS
        "\uBB00",  # ; HANGUL SYLLABLE MOEN
        "\uBB01",  # ; HANGUL SYLLABLE MOENJ
        "\uBB02",  # ; HANGUL SYLLABLE MOENH
        "\uBB03",  # ; HANGUL SYLLABLE MOED
        "\uBB04",  # ; HANGUL SYLLABLE MOEL
        "\uBB05",  # ; HANGUL SYLLABLE MOELG
        "\uBB06",  # ; HANGUL SYLLABLE MOELM
        "\uBB07",  # ; HANGUL SYLLABLE MOELB
        "\uBB08",  # ; HANGUL SYLLABLE MOELS
        "\uBB09",  # ; HANGUL SYLLABLE MOELT
        "\uBB0A",  # ; HANGUL SYLLABLE MOELP
        "\uBB0B",  # ; HANGUL SYLLABLE MOELH
        "\uBB0C",  # ; HANGUL SYLLABLE MOEM
        "\uBB0D",  # ; HANGUL SYLLABLE MOEB
        "\uBB0E",  # ; HANGUL SYLLABLE MOEBS
        "\uBB0F",  # ; HANGUL SYLLABLE MOES
        "\uBB10",  # ; HANGUL SYLLABLE MOESS
        "\uBB11",  # ; HANGUL SYLLABLE MOENG
        "\uBB12",  # ; HANGUL SYLLABLE MOEJ
        "\uBB13",  # ; HANGUL SYLLABLE MOEC
        "\uBB14",  # ; HANGUL SYLLABLE MOEK
        "\uBB15",  # ; HANGUL SYLLABLE MOET
        "\uBB16",  # ; HANGUL SYLLABLE MOEP
        "\uBB17",  # ; HANGUL SYLLABLE MOEH
        "\uBB18",  # ; HANGUL SYLLABLE MYO
        "\uBB19",  # ; HANGUL SYLLABLE MYOG
        "\uBB1A",  # ; HANGUL SYLLABLE MYOGG
        "\uBB1B",  # ; HANGUL SYLLABLE MYOGS
        "\uBB1C",  # ; HANGUL SYLLABLE MYON
        "\uBB1D",  # ; HANGUL SYLLABLE MYONJ
        "\uBB1E",  # ; HANGUL SYLLABLE MYONH
        "\uBB1F",  # ; HANGUL SYLLABLE MYOD
        "\uBB20",  # ; HANGUL SYLLABLE MYOL
        "\uBB21",  # ; HANGUL SYLLABLE MYOLG
        "\uBB22",  # ; HANGUL SYLLABLE MYOLM
        "\uBB23",  # ; HANGUL SYLLABLE MYOLB
        "\uBB24",  # ; HANGUL SYLLABLE MYOLS
        "\uBB25",  # ; HANGUL SYLLABLE MYOLT
        "\uBB26",  # ; HANGUL SYLLABLE MYOLP
        "\uBB27",  # ; HANGUL SYLLABLE MYOLH
        "\uBB28",  # ; HANGUL SYLLABLE MYOM
        "\uBB29",  # ; HANGUL SYLLABLE MYOB
        "\uBB2A",  # ; HANGUL SYLLABLE MYOBS
        "\uBB2B",  # ; HANGUL SYLLABLE MYOS
        "\uBB2C",  # ; HANGUL SYLLABLE MYOSS
        "\uBB2D",  # ; HANGUL SYLLABLE MYONG
        "\uBB2E",  # ; HANGUL SYLLABLE MYOJ
        "\uBB2F",  # ; HANGUL SYLLABLE MYOC
        "\uBB30",  # ; HANGUL SYLLABLE MYOK
        "\uBB31",  # ; HANGUL SYLLABLE MYOT
        "\uBB32",  # ; HANGUL SYLLABLE MYOP
        "\uBB33",  # ; HANGUL SYLLABLE MYOH
        "\uBB34",  # ; HANGUL SYLLABLE MU
        "\uBB35",  # ; HANGUL SYLLABLE MUG
        "\uBB36",  # ; HANGUL SYLLABLE MUGG
        "\uBB37",  # ; HANGUL SYLLABLE MUGS
        "\uBB38",  # ; HANGUL SYLLABLE MUN
        "\uBB39",  # ; HANGUL SYLLABLE MUNJ
        "\uBB3A",  # ; HANGUL SYLLABLE MUNH
        "\uBB3B",  # ; HANGUL SYLLABLE MUD
        "\uBB3C",  # ; HANGUL SYLLABLE MUL
        "\uBB3D",  # ; HANGUL SYLLABLE MULG
        "\uBB3E",  # ; HANGUL SYLLABLE MULM
        "\uBB3F",  # ; HANGUL SYLLABLE MULB
        "\uBB40",  # ; HANGUL SYLLABLE MULS
        "\uBB41",  # ; HANGUL SYLLABLE MULT
        "\uBB42",  # ; HANGUL SYLLABLE MULP
        "\uBB43",  # ; HANGUL SYLLABLE MULH
        "\uBB44",  # ; HANGUL SYLLABLE MUM
        "\uBB45",  # ; HANGUL SYLLABLE MUB
        "\uBB46",  # ; HANGUL SYLLABLE MUBS
        "\uBB47",  # ; HANGUL SYLLABLE MUS
        "\uBB48",  # ; HANGUL SYLLABLE MUSS
        "\uBB49",  # ; HANGUL SYLLABLE MUNG
        "\uBB4A",  # ; HANGUL SYLLABLE MUJ
        "\uBB4B",  # ; HANGUL SYLLABLE MUC
        "\uBB4C",  # ; HANGUL SYLLABLE MUK
        "\uBB4D",  # ; HANGUL SYLLABLE MUT
        "\uBB4E",  # ; HANGUL SYLLABLE MUP
        "\uBB4F",  # ; HANGUL SYLLABLE MUH
        "\uBB50",  # ; HANGUL SYLLABLE MWEO
        "\uBB51",  # ; HANGUL SYLLABLE MWEOG
        "\uBB52",  # ; HANGUL SYLLABLE MWEOGG
        "\uBB53",  # ; HANGUL SYLLABLE MWEOGS
        "\uBB54",  # ; HANGUL SYLLABLE MWEON
        "\uBB55",  # ; HANGUL SYLLABLE MWEONJ
        "\uBB56",  # ; HANGUL SYLLABLE MWEONH
        "\uBB57",  # ; HANGUL SYLLABLE MWEOD
        "\uBB58",  # ; HANGUL SYLLABLE MWEOL
        "\uBB59",  # ; HANGUL SYLLABLE MWEOLG
        "\uBB5A",  # ; HANGUL SYLLABLE MWEOLM
        "\uBB5B",  # ; HANGUL SYLLABLE MWEOLB
        "\uBB5C",  # ; HANGUL SYLLABLE MWEOLS
        "\uBB5D",  # ; HANGUL SYLLABLE MWEOLT
        "\uBB5E",  # ; HANGUL SYLLABLE MWEOLP
        "\uBB5F",  # ; HANGUL SYLLABLE MWEOLH
        "\uBB60",  # ; HANGUL SYLLABLE MWEOM
        "\uBB61",  # ; HANGUL SYLLABLE MWEOB
        "\uBB62",  # ; HANGUL SYLLABLE MWEOBS
        "\uBB63",  # ; HANGUL SYLLABLE MWEOS
        "\uBB64",  # ; HANGUL SYLLABLE MWEOSS
        "\uBB65",  # ; HANGUL SYLLABLE MWEONG
        "\uBB66",  # ; HANGUL SYLLABLE MWEOJ
        "\uBB67",  # ; HANGUL SYLLABLE MWEOC
        "\uBB68",  # ; HANGUL SYLLABLE MWEOK
        "\uBB69",  # ; HANGUL SYLLABLE MWEOT
        "\uBB6A",  # ; HANGUL SYLLABLE MWEOP
        "\uBB6B",  # ; HANGUL SYLLABLE MWEOH
        "\uBB6C",  # ; HANGUL SYLLABLE MWE
        "\uBB6D",  # ; HANGUL SYLLABLE MWEG
        "\uBB6E",  # ; HANGUL SYLLABLE MWEGG
        "\uBB6F",  # ; HANGUL SYLLABLE MWEGS
        "\uBB70",  # ; HANGUL SYLLABLE MWEN
        "\uBB71",  # ; HANGUL SYLLABLE MWENJ
        "\uBB72",  # ; HANGUL SYLLABLE MWENH
        "\uBB73",  # ; HANGUL SYLLABLE MWED
        "\uBB74",  # ; HANGUL SYLLABLE MWEL
        "\uBB75",  # ; HANGUL SYLLABLE MWELG
        "\uBB76",  # ; HANGUL SYLLABLE MWELM
        "\uBB77",  # ; HANGUL SYLLABLE MWELB
        "\uBB78",  # ; HANGUL SYLLABLE MWELS
        "\uBB79",  # ; HANGUL SYLLABLE MWELT
        "\uBB7A",  # ; HANGUL SYLLABLE MWELP
        "\uBB7B",  # ; HANGUL SYLLABLE MWELH
        "\uBB7C",  # ; HANGUL SYLLABLE MWEM
        "\uBB7D",  # ; HANGUL SYLLABLE MWEB
        "\uBB7E",  # ; HANGUL SYLLABLE MWEBS
        "\uBB7F",  # ; HANGUL SYLLABLE MWES
        "\uBB80",  # ; HANGUL SYLLABLE MWESS
        "\uBB81",  # ; HANGUL SYLLABLE MWENG
        "\uBB82",  # ; HANGUL SYLLABLE MWEJ
        "\uBB83",  # ; HANGUL SYLLABLE MWEC
        "\uBB84",  # ; HANGUL SYLLABLE MWEK
        "\uBB85",  # ; HANGUL SYLLABLE MWET
        "\uBB86",  # ; HANGUL SYLLABLE MWEP
        "\uBB87",  # ; HANGUL SYLLABLE MWEH
        "\uBB88",  # ; HANGUL SYLLABLE MWI
        "\uBB89",  # ; HANGUL SYLLABLE MWIG
        "\uBB8A",  # ; HANGUL SYLLABLE MWIGG
        "\uBB8B",  # ; HANGUL SYLLABLE MWIGS
        "\uBB8C",  # ; HANGUL SYLLABLE MWIN
        "\uBB8D",  # ; HANGUL SYLLABLE MWINJ
        "\uBB8E",  # ; HANGUL SYLLABLE MWINH
        "\uBB8F",  # ; HANGUL SYLLABLE MWID
        "\uBB90",  # ; HANGUL SYLLABLE MWIL
        "\uBB91",  # ; HANGUL SYLLABLE MWILG
        "\uBB92",  # ; HANGUL SYLLABLE MWILM
        "\uBB93",  # ; HANGUL SYLLABLE MWILB
        "\uBB94",  # ; HANGUL SYLLABLE MWILS
        "\uBB95",  # ; HANGUL SYLLABLE MWILT
        "\uBB96",  # ; HANGUL SYLLABLE MWILP
        "\uBB97",  # ; HANGUL SYLLABLE MWILH
        "\uBB98",  # ; HANGUL SYLLABLE MWIM
        "\uBB99",  # ; HANGUL SYLLABLE MWIB
        "\uBB9A",  # ; HANGUL SYLLABLE MWIBS
        "\uBB9B",  # ; HANGUL SYLLABLE MWIS
        "\uBB9C",  # ; HANGUL SYLLABLE MWISS
        "\uBB9D",  # ; HANGUL SYLLABLE MWING
        "\uBB9E",  # ; HANGUL SYLLABLE MWIJ
        "\uBB9F",  # ; HANGUL SYLLABLE MWIC
        "\uBBA0",  # ; HANGUL SYLLABLE MWIK
        "\uBBA1",  # ; HANGUL SYLLABLE MWIT
        "\uBBA2",  # ; HANGUL SYLLABLE MWIP
        "\uBBA3",  # ; HANGUL SYLLABLE MWIH
        "\uBBA4",  # ; HANGUL SYLLABLE MYU
        "\uBBA5",  # ; HANGUL SYLLABLE MYUG
        "\uBBA6",  # ; HANGUL SYLLABLE MYUGG
        "\uBBA7",  # ; HANGUL SYLLABLE MYUGS
        "\uBBA8",  # ; HANGUL SYLLABLE MYUN
        "\uBBA9",  # ; HANGUL SYLLABLE MYUNJ
        "\uBBAA",  # ; HANGUL SYLLABLE MYUNH
        "\uBBAB",  # ; HANGUL SYLLABLE MYUD
        "\uBBAC",  # ; HANGUL SYLLABLE MYUL
        "\uBBAD",  # ; HANGUL SYLLABLE MYULG
        "\uBBAE",  # ; HANGUL SYLLABLE MYULM
        "\uBBAF",  # ; HANGUL SYLLABLE MYULB
        "\uBBB0",  # ; HANGUL SYLLABLE MYULS
        "\uBBB1",  # ; HANGUL SYLLABLE MYULT
        "\uBBB2",  # ; HANGUL SYLLABLE MYULP
        "\uBBB3",  # ; HANGUL SYLLABLE MYULH
        "\uBBB4",  # ; HANGUL SYLLABLE MYUM
        "\uBBB5",  # ; HANGUL SYLLABLE MYUB
        "\uBBB6",  # ; HANGUL SYLLABLE MYUBS
        "\uBBB7",  # ; HANGUL SYLLABLE MYUS
        "\uBBB8",  # ; HANGUL SYLLABLE MYUSS
        "\uBBB9",  # ; HANGUL SYLLABLE MYUNG
        "\uBBBA",  # ; HANGUL SYLLABLE MYUJ
        "\uBBBB",  # ; HANGUL SYLLABLE MYUC
        "\uBBBC",  # ; HANGUL SYLLABLE MYUK
        "\uBBBD",  # ; HANGUL SYLLABLE MYUT
        "\uBBBE",  # ; HANGUL SYLLABLE MYUP
        "\uBBBF",  # ; HANGUL SYLLABLE MYUH
        "\uBBC0",  # ; HANGUL SYLLABLE MEU
        "\uBBC1",  # ; HANGUL SYLLABLE MEUG
        "\uBBC2",  # ; HANGUL SYLLABLE MEUGG
        "\uBBC3",  # ; HANGUL SYLLABLE MEUGS
        "\uBBC4",  # ; HANGUL SYLLABLE MEUN
        "\uBBC5",  # ; HANGUL SYLLABLE MEUNJ
        "\uBBC6",  # ; HANGUL SYLLABLE MEUNH
        "\uBBC7",  # ; HANGUL SYLLABLE MEUD
        "\uBBC8",  # ; HANGUL SYLLABLE MEUL
        "\uBBC9",  # ; HANGUL SYLLABLE MEULG
        "\uBBCA",  # ; HANGUL SYLLABLE MEULM
        "\uBBCB",  # ; HANGUL SYLLABLE MEULB
        "\uBBCC",  # ; HANGUL SYLLABLE MEULS
        "\uBBCD",  # ; HANGUL SYLLABLE MEULT
        "\uBBCE",  # ; HANGUL SYLLABLE MEULP
        "\uBBCF",  # ; HANGUL SYLLABLE MEULH
        "\uBBD0",  # ; HANGUL SYLLABLE MEUM
        "\uBBD1",  # ; HANGUL SYLLABLE MEUB
        "\uBBD2",  # ; HANGUL SYLLABLE MEUBS
        "\uBBD3",  # ; HANGUL SYLLABLE MEUS
        "\uBBD4",  # ; HANGUL SYLLABLE MEUSS
        "\uBBD5",  # ; HANGUL SYLLABLE MEUNG
        "\uBBD6",  # ; HANGUL SYLLABLE MEUJ
        "\uBBD7",  # ; HANGUL SYLLABLE MEUC
        "\uBBD8",  # ; HANGUL SYLLABLE MEUK
        "\uBBD9",  # ; HANGUL SYLLABLE MEUT
        "\uBBDA",  # ; HANGUL SYLLABLE MEUP
        "\uBBDB",  # ; HANGUL SYLLABLE MEUH
        "\uBBDC",  # ; HANGUL SYLLABLE MYI
        "\uBBDD",  # ; HANGUL SYLLABLE MYIG
        "\uBBDE",  # ; HANGUL SYLLABLE MYIGG
        "\uBBDF",  # ; HANGUL SYLLABLE MYIGS
        "\uBBE0",  # ; HANGUL SYLLABLE MYIN
        "\uBBE1",  # ; HANGUL SYLLABLE MYINJ
        "\uBBE2",  # ; HANGUL SYLLABLE MYINH
        "\uBBE3",  # ; HANGUL SYLLABLE MYID
        "\uBBE4",  # ; HANGUL SYLLABLE MYIL
        "\uBBE5",  # ; HANGUL SYLLABLE MYILG
        "\uBBE6",  # ; HANGUL SYLLABLE MYILM
        "\uBBE7",  # ; HANGUL SYLLABLE MYILB
        "\uBBE8",  # ; HANGUL SYLLABLE MYILS
        "\uBBE9",  # ; HANGUL SYLLABLE MYILT
        "\uBBEA",  # ; HANGUL SYLLABLE MYILP
        "\uBBEB",  # ; HANGUL SYLLABLE MYILH
        "\uBBEC",  # ; HANGUL SYLLABLE MYIM
        "\uBBED",  # ; HANGUL SYLLABLE MYIB
        "\uBBEE",  # ; HANGUL SYLLABLE MYIBS
        "\uBBEF",  # ; HANGUL SYLLABLE MYIS
        "\uBBF0",  # ; HANGUL SYLLABLE MYISS
        "\uBBF1",  # ; HANGUL SYLLABLE MYING
        "\uBBF2",  # ; HANGUL SYLLABLE MYIJ
        "\uBBF3",  # ; HANGUL SYLLABLE MYIC
        "\uBBF4",  # ; HANGUL SYLLABLE MYIK
        "\uBBF5",  # ; HANGUL SYLLABLE MYIT
        "\uBBF6",  # ; HANGUL SYLLABLE MYIP
        "\uBBF7",  # ; HANGUL SYLLABLE MYIH
        "\uBBF8",  # ; HANGUL SYLLABLE MI
        "\uBBF9",  # ; HANGUL SYLLABLE MIG
        "\uBBFA",  # ; HANGUL SYLLABLE MIGG
        "\uBBFB",  # ; HANGUL SYLLABLE MIGS
        "\uBBFC",  # ; HANGUL SYLLABLE MIN
        "\uBBFD",  # ; HANGUL SYLLABLE MINJ
        "\uBBFE",  # ; HANGUL SYLLABLE MINH
        "\uBBFF",  # ; HANGUL SYLLABLE MID
        "\uBC00",  # ; HANGUL SYLLABLE MIL
        "\uBC01",  # ; HANGUL SYLLABLE MILG
        "\uBC02",  # ; HANGUL SYLLABLE MILM
        "\uBC03",  # ; HANGUL SYLLABLE MILB
        "\uBC04",  # ; HANGUL SYLLABLE MILS
        "\uBC05",  # ; HANGUL SYLLABLE MILT
        "\uBC06",  # ; HANGUL SYLLABLE MILP
        "\uBC07",  # ; HANGUL SYLLABLE MILH
        "\uBC08",  # ; HANGUL SYLLABLE MIM
        "\uBC09",  # ; HANGUL SYLLABLE MIB
        "\uBC0A",  # ; HANGUL SYLLABLE MIBS
        "\uBC0B",  # ; HANGUL SYLLABLE MIS
        "\uBC0C",  # ; HANGUL SYLLABLE MISS
        "\uBC0D",  # ; HANGUL SYLLABLE MING
        "\uBC0E",  # ; HANGUL SYLLABLE MIJ
        "\uBC0F",  # ; HANGUL SYLLABLE MIC
        "\uBC10",  # ; HANGUL SYLLABLE MIK
        "\uBC11",  # ; HANGUL SYLLABLE MIT
        "\uBC12",  # ; HANGUL SYLLABLE MIP
        "\uBC13",  # ; HANGUL SYLLABLE MIH
        "\uBC14",  # ; HANGUL SYLLABLE BA
        "\uBC15",  # ; HANGUL SYLLABLE BAG
        "\uBC16",  # ; HANGUL SYLLABLE BAGG
        "\uBC17",  # ; HANGUL SYLLABLE BAGS
        "\uBC18",  # ; HANGUL SYLLABLE BAN
        "\uBC19",  # ; HANGUL SYLLABLE BANJ
        "\uBC1A",  # ; HANGUL SYLLABLE BANH
        "\uBC1B",  # ; HANGUL SYLLABLE BAD
        "\uBC1C",  # ; HANGUL SYLLABLE BAL
        "\uBC1D",  # ; HANGUL SYLLABLE BALG
        "\uBC1E",  # ; HANGUL SYLLABLE BALM
        "\uBC1F",  # ; HANGUL SYLLABLE BALB
        "\uBC20",  # ; HANGUL SYLLABLE BALS
        "\uBC21",  # ; HANGUL SYLLABLE BALT
        "\uBC22",  # ; HANGUL SYLLABLE BALP
        "\uBC23",  # ; HANGUL SYLLABLE BALH
        "\uBC24",  # ; HANGUL SYLLABLE BAM
        "\uBC25",  # ; HANGUL SYLLABLE BAB
        "\uBC26",  # ; HANGUL SYLLABLE BABS
        "\uBC27",  # ; HANGUL SYLLABLE BAS
        "\uBC28",  # ; HANGUL SYLLABLE BASS
        "\uBC29",  # ; HANGUL SYLLABLE BANG
        "\uBC2A",  # ; HANGUL SYLLABLE BAJ
        "\uBC2B",  # ; HANGUL SYLLABLE BAC
        "\uBC2C",  # ; HANGUL SYLLABLE BAK
        "\uBC2D",  # ; HANGUL SYLLABLE BAT
        "\uBC2E",  # ; HANGUL SYLLABLE BAP
        "\uBC2F",  # ; HANGUL SYLLABLE BAH
        "\uBC30",  # ; HANGUL SYLLABLE BAE
        "\uBC31",  # ; HANGUL SYLLABLE BAEG
        "\uBC32",  # ; HANGUL SYLLABLE BAEGG
        "\uBC33",  # ; HANGUL SYLLABLE BAEGS
        "\uBC34",  # ; HANGUL SYLLABLE BAEN
        "\uBC35",  # ; HANGUL SYLLABLE BAENJ
        "\uBC36",  # ; HANGUL SYLLABLE BAENH
        "\uBC37",  # ; HANGUL SYLLABLE BAED
        "\uBC38",  # ; HANGUL SYLLABLE BAEL
        "\uBC39",  # ; HANGUL SYLLABLE BAELG
        "\uBC3A",  # ; HANGUL SYLLABLE BAELM
        "\uBC3B",  # ; HANGUL SYLLABLE BAELB
        "\uBC3C",  # ; HANGUL SYLLABLE BAELS
        "\uBC3D",  # ; HANGUL SYLLABLE BAELT
        "\uBC3E",  # ; HANGUL SYLLABLE BAELP
        "\uBC3F",  # ; HANGUL SYLLABLE BAELH
        "\uBC40",  # ; HANGUL SYLLABLE BAEM
        "\uBC41",  # ; HANGUL SYLLABLE BAEB
        "\uBC42",  # ; HANGUL SYLLABLE BAEBS
        "\uBC43",  # ; HANGUL SYLLABLE BAES
        "\uBC44",  # ; HANGUL SYLLABLE BAESS
        "\uBC45",  # ; HANGUL SYLLABLE BAENG
        "\uBC46",  # ; HANGUL SYLLABLE BAEJ
        "\uBC47",  # ; HANGUL SYLLABLE BAEC
        "\uBC48",  # ; HANGUL SYLLABLE BAEK
        "\uBC49",  # ; HANGUL SYLLABLE BAET
        "\uBC4A",  # ; HANGUL SYLLABLE BAEP
        "\uBC4B",  # ; HANGUL SYLLABLE BAEH
        "\uBC4C",  # ; HANGUL SYLLABLE BYA
        "\uBC4D",  # ; HANGUL SYLLABLE BYAG
        "\uBC4E",  # ; HANGUL SYLLABLE BYAGG
        "\uBC4F",  # ; HANGUL SYLLABLE BYAGS
        "\uBC50",  # ; HANGUL SYLLABLE BYAN
        "\uBC51",  # ; HANGUL SYLLABLE BYANJ
        "\uBC52",  # ; HANGUL SYLLABLE BYANH
        "\uBC53",  # ; HANGUL SYLLABLE BYAD
        "\uBC54",  # ; HANGUL SYLLABLE BYAL
        "\uBC55",  # ; HANGUL SYLLABLE BYALG
        "\uBC56",  # ; HANGUL SYLLABLE BYALM
        "\uBC57",  # ; HANGUL SYLLABLE BYALB
        "\uBC58",  # ; HANGUL SYLLABLE BYALS
        "\uBC59",  # ; HANGUL SYLLABLE BYALT
        "\uBC5A",  # ; HANGUL SYLLABLE BYALP
        "\uBC5B",  # ; HANGUL SYLLABLE BYALH
        "\uBC5C",  # ; HANGUL SYLLABLE BYAM
        "\uBC5D",  # ; HANGUL SYLLABLE BYAB
        "\uBC5E",  # ; HANGUL SYLLABLE BYABS
        "\uBC5F",  # ; HANGUL SYLLABLE BYAS
        "\uBC60",  # ; HANGUL SYLLABLE BYASS
        "\uBC61",  # ; HANGUL SYLLABLE BYANG
        "\uBC62",  # ; HANGUL SYLLABLE BYAJ
        "\uBC63",  # ; HANGUL SYLLABLE BYAC
        "\uBC64",  # ; HANGUL SYLLABLE BYAK
        "\uBC65",  # ; HANGUL SYLLABLE BYAT
        "\uBC66",  # ; HANGUL SYLLABLE BYAP
        "\uBC67",  # ; HANGUL SYLLABLE BYAH
        "\uBC68",  # ; HANGUL SYLLABLE BYAE
        "\uBC69",  # ; HANGUL SYLLABLE BYAEG
        "\uBC6A",  # ; HANGUL SYLLABLE BYAEGG
        "\uBC6B",  # ; HANGUL SYLLABLE BYAEGS
        "\uBC6C",  # ; HANGUL SYLLABLE BYAEN
        "\uBC6D",  # ; HANGUL SYLLABLE BYAENJ
        "\uBC6E",  # ; HANGUL SYLLABLE BYAENH
        "\uBC6F",  # ; HANGUL SYLLABLE BYAED
        "\uBC70",  # ; HANGUL SYLLABLE BYAEL
        "\uBC71",  # ; HANGUL SYLLABLE BYAELG
        "\uBC72",  # ; HANGUL SYLLABLE BYAELM
        "\uBC73",  # ; HANGUL SYLLABLE BYAELB
        "\uBC74",  # ; HANGUL SYLLABLE BYAELS
        "\uBC75",  # ; HANGUL SYLLABLE BYAELT
        "\uBC76",  # ; HANGUL SYLLABLE BYAELP
        "\uBC77",  # ; HANGUL SYLLABLE BYAELH
        "\uBC78",  # ; HANGUL SYLLABLE BYAEM
        "\uBC79",  # ; HANGUL SYLLABLE BYAEB
        "\uBC7A",  # ; HANGUL SYLLABLE BYAEBS
        "\uBC7B",  # ; HANGUL SYLLABLE BYAES
        "\uBC7C",  # ; HANGUL SYLLABLE BYAESS
        "\uBC7D",  # ; HANGUL SYLLABLE BYAENG
        "\uBC7E",  # ; HANGUL SYLLABLE BYAEJ
        "\uBC7F",  # ; HANGUL SYLLABLE BYAEC
        "\uBC80",  # ; HANGUL SYLLABLE BYAEK
        "\uBC81",  # ; HANGUL SYLLABLE BYAET
        "\uBC82",  # ; HANGUL SYLLABLE BYAEP
        "\uBC83",  # ; HANGUL SYLLABLE BYAEH
        "\uBC84",  # ; HANGUL SYLLABLE BEO
        "\uBC85",  # ; HANGUL SYLLABLE BEOG
        "\uBC86",  # ; HANGUL SYLLABLE BEOGG
        "\uBC87",  # ; HANGUL SYLLABLE BEOGS
        "\uBC88",  # ; HANGUL SYLLABLE BEON
        "\uBC89",  # ; HANGUL SYLLABLE BEONJ
        "\uBC8A",  # ; HANGUL SYLLABLE BEONH
        "\uBC8B",  # ; HANGUL SYLLABLE BEOD
        "\uBC8C",  # ; HANGUL SYLLABLE BEOL
        "\uBC8D",  # ; HANGUL SYLLABLE BEOLG
        "\uBC8E",  # ; HANGUL SYLLABLE BEOLM
        "\uBC8F",  # ; HANGUL SYLLABLE BEOLB
        "\uBC90",  # ; HANGUL SYLLABLE BEOLS
        "\uBC91",  # ; HANGUL SYLLABLE BEOLT
        "\uBC92",  # ; HANGUL SYLLABLE BEOLP
        "\uBC93",  # ; HANGUL SYLLABLE BEOLH
        "\uBC94",  # ; HANGUL SYLLABLE BEOM
        "\uBC95",  # ; HANGUL SYLLABLE BEOB
        "\uBC96",  # ; HANGUL SYLLABLE BEOBS
        "\uBC97",  # ; HANGUL SYLLABLE BEOS
        "\uBC98",  # ; HANGUL SYLLABLE BEOSS
        "\uBC99",  # ; HANGUL SYLLABLE BEONG
        "\uBC9A",  # ; HANGUL SYLLABLE BEOJ
        "\uBC9B",  # ; HANGUL SYLLABLE BEOC
        "\uBC9C",  # ; HANGUL SYLLABLE BEOK
        "\uBC9D",  # ; HANGUL SYLLABLE BEOT
        "\uBC9E",  # ; HANGUL SYLLABLE BEOP
        "\uBC9F",  # ; HANGUL SYLLABLE BEOH
        "\uBCA0",  # ; HANGUL SYLLABLE BE
        "\uBCA1",  # ; HANGUL SYLLABLE BEG
        "\uBCA2",  # ; HANGUL SYLLABLE BEGG
        "\uBCA3",  # ; HANGUL SYLLABLE BEGS
        "\uBCA4",  # ; HANGUL SYLLABLE BEN
        "\uBCA5",  # ; HANGUL SYLLABLE BENJ
        "\uBCA6",  # ; HANGUL SYLLABLE BENH
        "\uBCA7",  # ; HANGUL SYLLABLE BED
        "\uBCA8",  # ; HANGUL SYLLABLE BEL
        "\uBCA9",  # ; HANGUL SYLLABLE BELG
        "\uBCAA",  # ; HANGUL SYLLABLE BELM
        "\uBCAB",  # ; HANGUL SYLLABLE BELB
        "\uBCAC",  # ; HANGUL SYLLABLE BELS
        "\uBCAD",  # ; HANGUL SYLLABLE BELT
        "\uBCAE",  # ; HANGUL SYLLABLE BELP
        "\uBCAF",  # ; HANGUL SYLLABLE BELH
        "\uBCB0",  # ; HANGUL SYLLABLE BEM
        "\uBCB1",  # ; HANGUL SYLLABLE BEB
        "\uBCB2",  # ; HANGUL SYLLABLE BEBS
        "\uBCB3",  # ; HANGUL SYLLABLE BES
        "\uBCB4",  # ; HANGUL SYLLABLE BESS
        "\uBCB5",  # ; HANGUL SYLLABLE BENG
        "\uBCB6",  # ; HANGUL SYLLABLE BEJ
        "\uBCB7",  # ; HANGUL SYLLABLE BEC
        "\uBCB8",  # ; HANGUL SYLLABLE BEK
        "\uBCB9",  # ; HANGUL SYLLABLE BET
        "\uBCBA",  # ; HANGUL SYLLABLE BEP
        "\uBCBB",  # ; HANGUL SYLLABLE BEH
        "\uBCBC",  # ; HANGUL SYLLABLE BYEO
        "\uBCBD",  # ; HANGUL SYLLABLE BYEOG
        "\uBCBE",  # ; HANGUL SYLLABLE BYEOGG
        "\uBCBF",  # ; HANGUL SYLLABLE BYEOGS
        "\uBCC0",  # ; HANGUL SYLLABLE BYEON
        "\uBCC1",  # ; HANGUL SYLLABLE BYEONJ
        "\uBCC2",  # ; HANGUL SYLLABLE BYEONH
        "\uBCC3",  # ; HANGUL SYLLABLE BYEOD
        "\uBCC4",  # ; HANGUL SYLLABLE BYEOL
        "\uBCC5",  # ; HANGUL SYLLABLE BYEOLG
        "\uBCC6",  # ; HANGUL SYLLABLE BYEOLM
        "\uBCC7",  # ; HANGUL SYLLABLE BYEOLB
        "\uBCC8",  # ; HANGUL SYLLABLE BYEOLS
        "\uBCC9",  # ; HANGUL SYLLABLE BYEOLT
        "\uBCCA",  # ; HANGUL SYLLABLE BYEOLP
        "\uBCCB",  # ; HANGUL SYLLABLE BYEOLH
        "\uBCCC",  # ; HANGUL SYLLABLE BYEOM
        "\uBCCD",  # ; HANGUL SYLLABLE BYEOB
        "\uBCCE",  # ; HANGUL SYLLABLE BYEOBS
        "\uBCCF",  # ; HANGUL SYLLABLE BYEOS
        "\uBCD0",  # ; HANGUL SYLLABLE BYEOSS
        "\uBCD1",  # ; HANGUL SYLLABLE BYEONG
        "\uBCD2",  # ; HANGUL SYLLABLE BYEOJ
        "\uBCD3",  # ; HANGUL SYLLABLE BYEOC
        "\uBCD4",  # ; HANGUL SYLLABLE BYEOK
        "\uBCD5",  # ; HANGUL SYLLABLE BYEOT
        "\uBCD6",  # ; HANGUL SYLLABLE BYEOP
        "\uBCD7",  # ; HANGUL SYLLABLE BYEOH
        "\uBCD8",  # ; HANGUL SYLLABLE BYE
        "\uBCD9",  # ; HANGUL SYLLABLE BYEG
        "\uBCDA",  # ; HANGUL SYLLABLE BYEGG
        "\uBCDB",  # ; HANGUL SYLLABLE BYEGS
        "\uBCDC",  # ; HANGUL SYLLABLE BYEN
        "\uBCDD",  # ; HANGUL SYLLABLE BYENJ
        "\uBCDE",  # ; HANGUL SYLLABLE BYENH
        "\uBCDF",  # ; HANGUL SYLLABLE BYED
        "\uBCE0",  # ; HANGUL SYLLABLE BYEL
        "\uBCE1",  # ; HANGUL SYLLABLE BYELG
        "\uBCE2",  # ; HANGUL SYLLABLE BYELM
        "\uBCE3",  # ; HANGUL SYLLABLE BYELB
        "\uBCE4",  # ; HANGUL SYLLABLE BYELS
        "\uBCE5",  # ; HANGUL SYLLABLE BYELT
        "\uBCE6",  # ; HANGUL SYLLABLE BYELP
        "\uBCE7",  # ; HANGUL SYLLABLE BYELH
        "\uBCE8",  # ; HANGUL SYLLABLE BYEM
        "\uBCE9",  # ; HANGUL SYLLABLE BYEB
        "\uBCEA",  # ; HANGUL SYLLABLE BYEBS
        "\uBCEB",  # ; HANGUL SYLLABLE BYES
        "\uBCEC",  # ; HANGUL SYLLABLE BYESS
        "\uBCED",  # ; HANGUL SYLLABLE BYENG
        "\uBCEE",  # ; HANGUL SYLLABLE BYEJ
        "\uBCEF",  # ; HANGUL SYLLABLE BYEC
        "\uBCF0",  # ; HANGUL SYLLABLE BYEK
        "\uBCF1",  # ; HANGUL SYLLABLE BYET
        "\uBCF2",  # ; HANGUL SYLLABLE BYEP
        "\uBCF3",  # ; HANGUL SYLLABLE BYEH
        "\uBCF4",  # ; HANGUL SYLLABLE BO
        "\uBCF5",  # ; HANGUL SYLLABLE BOG
        "\uBCF6",  # ; HANGUL SYLLABLE BOGG
        "\uBCF7",  # ; HANGUL SYLLABLE BOGS
        "\uBCF8",  # ; HANGUL SYLLABLE BON
        "\uBCF9",  # ; HANGUL SYLLABLE BONJ
        "\uBCFA",  # ; HANGUL SYLLABLE BONH
        "\uBCFB",  # ; HANGUL SYLLABLE BOD
        "\uBCFC",  # ; HANGUL SYLLABLE BOL
        "\uBCFD",  # ; HANGUL SYLLABLE BOLG
        "\uBCFE",  # ; HANGUL SYLLABLE BOLM
        "\uBCFF",  # ; HANGUL SYLLABLE BOLB
        "\uBD00",  # ; HANGUL SYLLABLE BOLS
        "\uBD01",  # ; HANGUL SYLLABLE BOLT
        "\uBD02",  # ; HANGUL SYLLABLE BOLP
        "\uBD03",  # ; HANGUL SYLLABLE BOLH
        "\uBD04",  # ; HANGUL SYLLABLE BOM
        "\uBD05",  # ; HANGUL SYLLABLE BOB
        "\uBD06",  # ; HANGUL SYLLABLE BOBS
        "\uBD07",  # ; HANGUL SYLLABLE BOS
        "\uBD08",  # ; HANGUL SYLLABLE BOSS
        "\uBD09",  # ; HANGUL SYLLABLE BONG
        "\uBD0A",  # ; HANGUL SYLLABLE BOJ
        "\uBD0B",  # ; HANGUL SYLLABLE BOC
        "\uBD0C",  # ; HANGUL SYLLABLE BOK
        "\uBD0D",  # ; HANGUL SYLLABLE BOT
        "\uBD0E",  # ; HANGUL SYLLABLE BOP
        "\uBD0F",  # ; HANGUL SYLLABLE BOH
        "\uBD10",  # ; HANGUL SYLLABLE BWA
        "\uBD11",  # ; HANGUL SYLLABLE BWAG
        "\uBD12",  # ; HANGUL SYLLABLE BWAGG
        "\uBD13",  # ; HANGUL SYLLABLE BWAGS
        "\uBD14",  # ; HANGUL SYLLABLE BWAN
        "\uBD15",  # ; HANGUL SYLLABLE BWANJ
        "\uBD16",  # ; HANGUL SYLLABLE BWANH
        "\uBD17",  # ; HANGUL SYLLABLE BWAD
        "\uBD18",  # ; HANGUL SYLLABLE BWAL
        "\uBD19",  # ; HANGUL SYLLABLE BWALG
        "\uBD1A",  # ; HANGUL SYLLABLE BWALM
        "\uBD1B",  # ; HANGUL SYLLABLE BWALB
        "\uBD1C",  # ; HANGUL SYLLABLE BWALS
        "\uBD1D",  # ; HANGUL SYLLABLE BWALT
        "\uBD1E",  # ; HANGUL SYLLABLE BWALP
        "\uBD1F",  # ; HANGUL SYLLABLE BWALH
        "\uBD20",  # ; HANGUL SYLLABLE BWAM
        "\uBD21",  # ; HANGUL SYLLABLE BWAB
        "\uBD22",  # ; HANGUL SYLLABLE BWABS
        "\uBD23",  # ; HANGUL SYLLABLE BWAS
        "\uBD24",  # ; HANGUL SYLLABLE BWASS
        "\uBD25",  # ; HANGUL SYLLABLE BWANG
        "\uBD26",  # ; HANGUL SYLLABLE BWAJ
        "\uBD27",  # ; HANGUL SYLLABLE BWAC
        "\uBD28",  # ; HANGUL SYLLABLE BWAK
        "\uBD29",  # ; HANGUL SYLLABLE BWAT
        "\uBD2A",  # ; HANGUL SYLLABLE BWAP
        "\uBD2B",  # ; HANGUL SYLLABLE BWAH
        "\uBD2C",  # ; HANGUL SYLLABLE BWAE
        "\uBD2D",  # ; HANGUL SYLLABLE BWAEG
        "\uBD2E",  # ; HANGUL SYLLABLE BWAEGG
        "\uBD2F",  # ; HANGUL SYLLABLE BWAEGS
        "\uBD30",  # ; HANGUL SYLLABLE BWAEN
        "\uBD31",  # ; HANGUL SYLLABLE BWAENJ
        "\uBD32",  # ; HANGUL SYLLABLE BWAENH
        "\uBD33",  # ; HANGUL SYLLABLE BWAED
        "\uBD34",  # ; HANGUL SYLLABLE BWAEL
        "\uBD35",  # ; HANGUL SYLLABLE BWAELG
        "\uBD36",  # ; HANGUL SYLLABLE BWAELM
        "\uBD37",  # ; HANGUL SYLLABLE BWAELB
        "\uBD38",  # ; HANGUL SYLLABLE BWAELS
        "\uBD39",  # ; HANGUL SYLLABLE BWAELT
        "\uBD3A",  # ; HANGUL SYLLABLE BWAELP
        "\uBD3B",  # ; HANGUL SYLLABLE BWAELH
        "\uBD3C",  # ; HANGUL SYLLABLE BWAEM
        "\uBD3D",  # ; HANGUL SYLLABLE BWAEB
        "\uBD3E",  # ; HANGUL SYLLABLE BWAEBS
        "\uBD3F",  # ; HANGUL SYLLABLE BWAES
        "\uBD40",  # ; HANGUL SYLLABLE BWAESS
        "\uBD41",  # ; HANGUL SYLLABLE BWAENG
        "\uBD42",  # ; HANGUL SYLLABLE BWAEJ
        "\uBD43",  # ; HANGUL SYLLABLE BWAEC
        "\uBD44",  # ; HANGUL SYLLABLE BWAEK
        "\uBD45",  # ; HANGUL SYLLABLE BWAET
        "\uBD46",  # ; HANGUL SYLLABLE BWAEP
        "\uBD47",  # ; HANGUL SYLLABLE BWAEH
        "\uBD48",  # ; HANGUL SYLLABLE BOE
        "\uBD49",  # ; HANGUL SYLLABLE BOEG
        "\uBD4A",  # ; HANGUL SYLLABLE BOEGG
        "\uBD4B",  # ; HANGUL SYLLABLE BOEGS
        "\uBD4C",  # ; HANGUL SYLLABLE BOEN
        "\uBD4D",  # ; HANGUL SYLLABLE BOENJ
        "\uBD4E",  # ; HANGUL SYLLABLE BOENH
        "\uBD4F",  # ; HANGUL SYLLABLE BOED
        "\uBD50",  # ; HANGUL SYLLABLE BOEL
        "\uBD51",  # ; HANGUL SYLLABLE BOELG
        "\uBD52",  # ; HANGUL SYLLABLE BOELM
        "\uBD53",  # ; HANGUL SYLLABLE BOELB
        "\uBD54",  # ; HANGUL SYLLABLE BOELS
        "\uBD55",  # ; HANGUL SYLLABLE BOELT
        "\uBD56",  # ; HANGUL SYLLABLE BOELP
        "\uBD57",  # ; HANGUL SYLLABLE BOELH
        "\uBD58",  # ; HANGUL SYLLABLE BOEM
        "\uBD59",  # ; HANGUL SYLLABLE BOEB
        "\uBD5A",  # ; HANGUL SYLLABLE BOEBS
        "\uBD5B",  # ; HANGUL SYLLABLE BOES
        "\uBD5C",  # ; HANGUL SYLLABLE BOESS
        "\uBD5D",  # ; HANGUL SYLLABLE BOENG
        "\uBD5E",  # ; HANGUL SYLLABLE BOEJ
        "\uBD5F",  # ; HANGUL SYLLABLE BOEC
        "\uBD60",  # ; HANGUL SYLLABLE BOEK
        "\uBD61",  # ; HANGUL SYLLABLE BOET
        "\uBD62",  # ; HANGUL SYLLABLE BOEP
        "\uBD63",  # ; HANGUL SYLLABLE BOEH
        "\uBD64",  # ; HANGUL SYLLABLE BYO
        "\uBD65",  # ; HANGUL SYLLABLE BYOG
        "\uBD66",  # ; HANGUL SYLLABLE BYOGG
        "\uBD67",  # ; HANGUL SYLLABLE BYOGS
        "\uBD68",  # ; HANGUL SYLLABLE BYON
        "\uBD69",  # ; HANGUL SYLLABLE BYONJ
        "\uBD6A",  # ; HANGUL SYLLABLE BYONH
        "\uBD6B",  # ; HANGUL SYLLABLE BYOD
        "\uBD6C",  # ; HANGUL SYLLABLE BYOL
        "\uBD6D",  # ; HANGUL SYLLABLE BYOLG
        "\uBD6E",  # ; HANGUL SYLLABLE BYOLM
        "\uBD6F",  # ; HANGUL SYLLABLE BYOLB
        "\uBD70",  # ; HANGUL SYLLABLE BYOLS
        "\uBD71",  # ; HANGUL SYLLABLE BYOLT
        "\uBD72",  # ; HANGUL SYLLABLE BYOLP
        "\uBD73",  # ; HANGUL SYLLABLE BYOLH
        "\uBD74",  # ; HANGUL SYLLABLE BYOM
        "\uBD75",  # ; HANGUL SYLLABLE BYOB
        "\uBD76",  # ; HANGUL SYLLABLE BYOBS
        "\uBD77",  # ; HANGUL SYLLABLE BYOS
        "\uBD78",  # ; HANGUL SYLLABLE BYOSS
        "\uBD79",  # ; HANGUL SYLLABLE BYONG
        "\uBD7A",  # ; HANGUL SYLLABLE BYOJ
        "\uBD7B",  # ; HANGUL SYLLABLE BYOC
        "\uBD7C",  # ; HANGUL SYLLABLE BYOK
        "\uBD7D",  # ; HANGUL SYLLABLE BYOT
        "\uBD7E",  # ; HANGUL SYLLABLE BYOP
        "\uBD7F",  # ; HANGUL SYLLABLE BYOH
        "\uBD80",  # ; HANGUL SYLLABLE BU
        "\uBD81",  # ; HANGUL SYLLABLE BUG
        "\uBD82",  # ; HANGUL SYLLABLE BUGG
        "\uBD83",  # ; HANGUL SYLLABLE BUGS
        "\uBD84",  # ; HANGUL SYLLABLE BUN
        "\uBD85",  # ; HANGUL SYLLABLE BUNJ
        "\uBD86",  # ; HANGUL SYLLABLE BUNH
        "\uBD87",  # ; HANGUL SYLLABLE BUD
        "\uBD88",  # ; HANGUL SYLLABLE BUL
        "\uBD89",  # ; HANGUL SYLLABLE BULG
        "\uBD8A",  # ; HANGUL SYLLABLE BULM
        "\uBD8B",  # ; HANGUL SYLLABLE BULB
        "\uBD8C",  # ; HANGUL SYLLABLE BULS
        "\uBD8D",  # ; HANGUL SYLLABLE BULT
        "\uBD8E",  # ; HANGUL SYLLABLE BULP
        "\uBD8F",  # ; HANGUL SYLLABLE BULH
        "\uBD90",  # ; HANGUL SYLLABLE BUM
        "\uBD91",  # ; HANGUL SYLLABLE BUB
        "\uBD92",  # ; HANGUL SYLLABLE BUBS
        "\uBD93",  # ; HANGUL SYLLABLE BUS
        "\uBD94",  # ; HANGUL SYLLABLE BUSS
        "\uBD95",  # ; HANGUL SYLLABLE BUNG
        "\uBD96",  # ; HANGUL SYLLABLE BUJ
        "\uBD97",  # ; HANGUL SYLLABLE BUC
        "\uBD98",  # ; HANGUL SYLLABLE BUK
        "\uBD99",  # ; HANGUL SYLLABLE BUT
        "\uBD9A",  # ; HANGUL SYLLABLE BUP
        "\uBD9B",  # ; HANGUL SYLLABLE BUH
        "\uBD9C",  # ; HANGUL SYLLABLE BWEO
        "\uBD9D",  # ; HANGUL SYLLABLE BWEOG
        "\uBD9E",  # ; HANGUL SYLLABLE BWEOGG
        "\uBD9F",  # ; HANGUL SYLLABLE BWEOGS
        "\uBDA0",  # ; HANGUL SYLLABLE BWEON
        "\uBDA1",  # ; HANGUL SYLLABLE BWEONJ
        "\uBDA2",  # ; HANGUL SYLLABLE BWEONH
        "\uBDA3",  # ; HANGUL SYLLABLE BWEOD
        "\uBDA4",  # ; HANGUL SYLLABLE BWEOL
        "\uBDA5",  # ; HANGUL SYLLABLE BWEOLG
        "\uBDA6",  # ; HANGUL SYLLABLE BWEOLM
        "\uBDA7",  # ; HANGUL SYLLABLE BWEOLB
        "\uBDA8",  # ; HANGUL SYLLABLE BWEOLS
        "\uBDA9",  # ; HANGUL SYLLABLE BWEOLT
        "\uBDAA",  # ; HANGUL SYLLABLE BWEOLP
        "\uBDAB",  # ; HANGUL SYLLABLE BWEOLH
        "\uBDAC",  # ; HANGUL SYLLABLE BWEOM
        "\uBDAD",  # ; HANGUL SYLLABLE BWEOB
        "\uBDAE",  # ; HANGUL SYLLABLE BWEOBS
        "\uBDAF",  # ; HANGUL SYLLABLE BWEOS
        "\uBDB0",  # ; HANGUL SYLLABLE BWEOSS
        "\uBDB1",  # ; HANGUL SYLLABLE BWEONG
        "\uBDB2",  # ; HANGUL SYLLABLE BWEOJ
        "\uBDB3",  # ; HANGUL SYLLABLE BWEOC
        "\uBDB4",  # ; HANGUL SYLLABLE BWEOK
        "\uBDB5",  # ; HANGUL SYLLABLE BWEOT
        "\uBDB6",  # ; HANGUL SYLLABLE BWEOP
        "\uBDB7",  # ; HANGUL SYLLABLE BWEOH
        "\uBDB8",  # ; HANGUL SYLLABLE BWE
        "\uBDB9",  # ; HANGUL SYLLABLE BWEG
        "\uBDBA",  # ; HANGUL SYLLABLE BWEGG
        "\uBDBB",  # ; HANGUL SYLLABLE BWEGS
        "\uBDBC",  # ; HANGUL SYLLABLE BWEN
        "\uBDBD",  # ; HANGUL SYLLABLE BWENJ
        "\uBDBE",  # ; HANGUL SYLLABLE BWENH
        "\uBDBF",  # ; HANGUL SYLLABLE BWED
        "\uBDC0",  # ; HANGUL SYLLABLE BWEL
        "\uBDC1",  # ; HANGUL SYLLABLE BWELG
        "\uBDC2",  # ; HANGUL SYLLABLE BWELM
        "\uBDC3",  # ; HANGUL SYLLABLE BWELB
        "\uBDC4",  # ; HANGUL SYLLABLE BWELS
        "\uBDC5",  # ; HANGUL SYLLABLE BWELT
        "\uBDC6",  # ; HANGUL SYLLABLE BWELP
        "\uBDC7",  # ; HANGUL SYLLABLE BWELH
        "\uBDC8",  # ; HANGUL SYLLABLE BWEM
        "\uBDC9",  # ; HANGUL SYLLABLE BWEB
        "\uBDCA",  # ; HANGUL SYLLABLE BWEBS
        "\uBDCB",  # ; HANGUL SYLLABLE BWES
        "\uBDCC",  # ; HANGUL SYLLABLE BWESS
        "\uBDCD",  # ; HANGUL SYLLABLE BWENG
        "\uBDCE",  # ; HANGUL SYLLABLE BWEJ
        "\uBDCF",  # ; HANGUL SYLLABLE BWEC
        "\uBDD0",  # ; HANGUL SYLLABLE BWEK
        "\uBDD1",  # ; HANGUL SYLLABLE BWET
        "\uBDD2",  # ; HANGUL SYLLABLE BWEP
        "\uBDD3",  # ; HANGUL SYLLABLE BWEH
        "\uBDD4",  # ; HANGUL SYLLABLE BWI
        "\uBDD5",  # ; HANGUL SYLLABLE BWIG
        "\uBDD6",  # ; HANGUL SYLLABLE BWIGG
        "\uBDD7",  # ; HANGUL SYLLABLE BWIGS
        "\uBDD8",  # ; HANGUL SYLLABLE BWIN
        "\uBDD9",  # ; HANGUL SYLLABLE BWINJ
        "\uBDDA",  # ; HANGUL SYLLABLE BWINH
        "\uBDDB",  # ; HANGUL SYLLABLE BWID
        "\uBDDC",  # ; HANGUL SYLLABLE BWIL
        "\uBDDD",  # ; HANGUL SYLLABLE BWILG
        "\uBDDE",  # ; HANGUL SYLLABLE BWILM
        "\uBDDF",  # ; HANGUL SYLLABLE BWILB
        "\uBDE0",  # ; HANGUL SYLLABLE BWILS
        "\uBDE1",  # ; HANGUL SYLLABLE BWILT
        "\uBDE2",  # ; HANGUL SYLLABLE BWILP
        "\uBDE3",  # ; HANGUL SYLLABLE BWILH
        "\uBDE4",  # ; HANGUL SYLLABLE BWIM
        "\uBDE5",  # ; HANGUL SYLLABLE BWIB
        "\uBDE6",  # ; HANGUL SYLLABLE BWIBS
        "\uBDE7",  # ; HANGUL SYLLABLE BWIS
        "\uBDE8",  # ; HANGUL SYLLABLE BWISS
        "\uBDE9",  # ; HANGUL SYLLABLE BWING
        "\uBDEA",  # ; HANGUL SYLLABLE BWIJ
        "\uBDEB",  # ; HANGUL SYLLABLE BWIC
        "\uBDEC",  # ; HANGUL SYLLABLE BWIK
        "\uBDED",  # ; HANGUL SYLLABLE BWIT
        "\uBDEE",  # ; HANGUL SYLLABLE BWIP
        "\uBDEF",  # ; HANGUL SYLLABLE BWIH
        "\uBDF0",  # ; HANGUL SYLLABLE BYU
        "\uBDF1",  # ; HANGUL SYLLABLE BYUG
        "\uBDF2",  # ; HANGUL SYLLABLE BYUGG
        "\uBDF3",  # ; HANGUL SYLLABLE BYUGS
        "\uBDF4",  # ; HANGUL SYLLABLE BYUN
        "\uBDF5",  # ; HANGUL SYLLABLE BYUNJ
        "\uBDF6",  # ; HANGUL SYLLABLE BYUNH
        "\uBDF7",  # ; HANGUL SYLLABLE BYUD
        "\uBDF8",  # ; HANGUL SYLLABLE BYUL
        "\uBDF9",  # ; HANGUL SYLLABLE BYULG
        "\uBDFA",  # ; HANGUL SYLLABLE BYULM
        "\uBDFB",  # ; HANGUL SYLLABLE BYULB
        "\uBDFC",  # ; HANGUL SYLLABLE BYULS
        "\uBDFD",  # ; HANGUL SYLLABLE BYULT
        "\uBDFE",  # ; HANGUL SYLLABLE BYULP
        "\uBDFF",  # ; HANGUL SYLLABLE BYULH
        "\uBE00",  # ; HANGUL SYLLABLE BYUM
        "\uBE01",  # ; HANGUL SYLLABLE BYUB
        "\uBE02",  # ; HANGUL SYLLABLE BYUBS
        "\uBE03",  # ; HANGUL SYLLABLE BYUS
        "\uBE04",  # ; HANGUL SYLLABLE BYUSS
        "\uBE05",  # ; HANGUL SYLLABLE BYUNG
        "\uBE06",  # ; HANGUL SYLLABLE BYUJ
        "\uBE07",  # ; HANGUL SYLLABLE BYUC
        "\uBE08",  # ; HANGUL SYLLABLE BYUK
        "\uBE09",  # ; HANGUL SYLLABLE BYUT
        "\uBE0A",  # ; HANGUL SYLLABLE BYUP
        "\uBE0B",  # ; HANGUL SYLLABLE BYUH
        "\uBE0C",  # ; HANGUL SYLLABLE BEU
        "\uBE0D",  # ; HANGUL SYLLABLE BEUG
        "\uBE0E",  # ; HANGUL SYLLABLE BEUGG
        "\uBE0F",  # ; HANGUL SYLLABLE BEUGS
        "\uBE10",  # ; HANGUL SYLLABLE BEUN
        "\uBE11",  # ; HANGUL SYLLABLE BEUNJ
        "\uBE12",  # ; HANGUL SYLLABLE BEUNH
        "\uBE13",  # ; HANGUL SYLLABLE BEUD
        "\uBE14",  # ; HANGUL SYLLABLE BEUL
        "\uBE15",  # ; HANGUL SYLLABLE BEULG
        "\uBE16",  # ; HANGUL SYLLABLE BEULM
        "\uBE17",  # ; HANGUL SYLLABLE BEULB
        "\uBE18",  # ; HANGUL SYLLABLE BEULS
        "\uBE19",  # ; HANGUL SYLLABLE BEULT
        "\uBE1A",  # ; HANGUL SYLLABLE BEULP
        "\uBE1B",  # ; HANGUL SYLLABLE BEULH
        "\uBE1C",  # ; HANGUL SYLLABLE BEUM
        "\uBE1D",  # ; HANGUL SYLLABLE BEUB
        "\uBE1E",  # ; HANGUL SYLLABLE BEUBS
        "\uBE1F",  # ; HANGUL SYLLABLE BEUS
        "\uBE20",  # ; HANGUL SYLLABLE BEUSS
        "\uBE21",  # ; HANGUL SYLLABLE BEUNG
        "\uBE22",  # ; HANGUL SYLLABLE BEUJ
        "\uBE23",  # ; HANGUL SYLLABLE BEUC
        "\uBE24",  # ; HANGUL SYLLABLE BEUK
        "\uBE25",  # ; HANGUL SYLLABLE BEUT
        "\uBE26",  # ; HANGUL SYLLABLE BEUP
        "\uBE27",  # ; HANGUL SYLLABLE BEUH
        "\uBE28",  # ; HANGUL SYLLABLE BYI
        "\uBE29",  # ; HANGUL SYLLABLE BYIG
        "\uBE2A",  # ; HANGUL SYLLABLE BYIGG
        "\uBE2B",  # ; HANGUL SYLLABLE BYIGS
        "\uBE2C",  # ; HANGUL SYLLABLE BYIN
        "\uBE2D",  # ; HANGUL SYLLABLE BYINJ
        "\uBE2E",  # ; HANGUL SYLLABLE BYINH
        "\uBE2F",  # ; HANGUL SYLLABLE BYID
        "\uBE30",  # ; HANGUL SYLLABLE BYIL
        "\uBE31",  # ; HANGUL SYLLABLE BYILG
        "\uBE32",  # ; HANGUL SYLLABLE BYILM
        "\uBE33",  # ; HANGUL SYLLABLE BYILB
        "\uBE34",  # ; HANGUL SYLLABLE BYILS
        "\uBE35",  # ; HANGUL SYLLABLE BYILT
        "\uBE36",  # ; HANGUL SYLLABLE BYILP
        "\uBE37",  # ; HANGUL SYLLABLE BYILH
        "\uBE38",  # ; HANGUL SYLLABLE BYIM
        "\uBE39",  # ; HANGUL SYLLABLE BYIB
        "\uBE3A",  # ; HANGUL SYLLABLE BYIBS
        "\uBE3B",  # ; HANGUL SYLLABLE BYIS
        "\uBE3C",  # ; HANGUL SYLLABLE BYISS
        "\uBE3D",  # ; HANGUL SYLLABLE BYING
        "\uBE3E",  # ; HANGUL SYLLABLE BYIJ
        "\uBE3F",  # ; HANGUL SYLLABLE BYIC
        "\uBE40",  # ; HANGUL SYLLABLE BYIK
        "\uBE41",  # ; HANGUL SYLLABLE BYIT
        "\uBE42",  # ; HANGUL SYLLABLE BYIP
        "\uBE43",  # ; HANGUL SYLLABLE BYIH
        "\uBE44",  # ; HANGUL SYLLABLE BI
        "\uBE45",  # ; HANGUL SYLLABLE BIG
        "\uBE46",  # ; HANGUL SYLLABLE BIGG
        "\uBE47",  # ; HANGUL SYLLABLE BIGS
        "\uBE48",  # ; HANGUL SYLLABLE BIN
        "\uBE49",  # ; HANGUL SYLLABLE BINJ
        "\uBE4A",  # ; HANGUL SYLLABLE BINH
        "\uBE4B",  # ; HANGUL SYLLABLE BID
        "\uBE4C",  # ; HANGUL SYLLABLE BIL
        "\uBE4D",  # ; HANGUL SYLLABLE BILG
        "\uBE4E",  # ; HANGUL SYLLABLE BILM
        "\uBE4F",  # ; HANGUL SYLLABLE BILB
        "\uBE50",  # ; HANGUL SYLLABLE BILS
        "\uBE51",  # ; HANGUL SYLLABLE BILT
        "\uBE52",  # ; HANGUL SYLLABLE BILP
        "\uBE53",  # ; HANGUL SYLLABLE BILH
        "\uBE54",  # ; HANGUL SYLLABLE BIM
        "\uBE55",  # ; HANGUL SYLLABLE BIB
        "\uBE56",  # ; HANGUL SYLLABLE BIBS
        "\uBE57",  # ; HANGUL SYLLABLE BIS
        "\uBE58",  # ; HANGUL SYLLABLE BISS
        "\uBE59",  # ; HANGUL SYLLABLE BING
        "\uBE5A",  # ; HANGUL SYLLABLE BIJ
        "\uBE5B",  # ; HANGUL SYLLABLE BIC
        "\uBE5C",  # ; HANGUL SYLLABLE BIK
        "\uBE5D",  # ; HANGUL SYLLABLE BIT
        "\uBE5E",  # ; HANGUL SYLLABLE BIP
        "\uBE5F",  # ; HANGUL SYLLABLE BIH
        "\uBE60",  # ; HANGUL SYLLABLE BBA
        "\uBE61",  # ; HANGUL SYLLABLE BBAG
        "\uBE62",  # ; HANGUL SYLLABLE BBAGG
        "\uBE63",  # ; HANGUL SYLLABLE BBAGS
        "\uBE64",  # ; HANGUL SYLLABLE BBAN
        "\uBE65",  # ; HANGUL SYLLABLE BBANJ
        "\uBE66",  # ; HANGUL SYLLABLE BBANH
        "\uBE67",  # ; HANGUL SYLLABLE BBAD
        "\uBE68",  # ; HANGUL SYLLABLE BBAL
        "\uBE69",  # ; HANGUL SYLLABLE BBALG
        "\uBE6A",  # ; HANGUL SYLLABLE BBALM
        "\uBE6B",  # ; HANGUL SYLLABLE BBALB
        "\uBE6C",  # ; HANGUL SYLLABLE BBALS
        "\uBE6D",  # ; HANGUL SYLLABLE BBALT
        "\uBE6E",  # ; HANGUL SYLLABLE BBALP
        "\uBE6F",  # ; HANGUL SYLLABLE BBALH
        "\uBE70",  # ; HANGUL SYLLABLE BBAM
        "\uBE71",  # ; HANGUL SYLLABLE BBAB
        "\uBE72",  # ; HANGUL SYLLABLE BBABS
        "\uBE73",  # ; HANGUL SYLLABLE BBAS
        "\uBE74",  # ; HANGUL SYLLABLE BBASS
        "\uBE75",  # ; HANGUL SYLLABLE BBANG
        "\uBE76",  # ; HANGUL SYLLABLE BBAJ
        "\uBE77",  # ; HANGUL SYLLABLE BBAC
        "\uBE78",  # ; HANGUL SYLLABLE BBAK
        "\uBE79",  # ; HANGUL SYLLABLE BBAT
        "\uBE7A",  # ; HANGUL SYLLABLE BBAP
        "\uBE7B",  # ; HANGUL SYLLABLE BBAH
        "\uBE7C",  # ; HANGUL SYLLABLE BBAE
        "\uBE7D",  # ; HANGUL SYLLABLE BBAEG
        "\uBE7E",  # ; HANGUL SYLLABLE BBAEGG
        "\uBE7F",  # ; HANGUL SYLLABLE BBAEGS
        "\uBE80",  # ; HANGUL SYLLABLE BBAEN
        "\uBE81",  # ; HANGUL SYLLABLE BBAENJ
        "\uBE82",  # ; HANGUL SYLLABLE BBAENH
        "\uBE83",  # ; HANGUL SYLLABLE BBAED
        "\uBE84",  # ; HANGUL SYLLABLE BBAEL
        "\uBE85",  # ; HANGUL SYLLABLE BBAELG
        "\uBE86",  # ; HANGUL SYLLABLE BBAELM
        "\uBE87",  # ; HANGUL SYLLABLE BBAELB
        "\uBE88",  # ; HANGUL SYLLABLE BBAELS
        "\uBE89",  # ; HANGUL SYLLABLE BBAELT
        "\uBE8A",  # ; HANGUL SYLLABLE BBAELP
        "\uBE8B",  # ; HANGUL SYLLABLE BBAELH
        "\uBE8C",  # ; HANGUL SYLLABLE BBAEM
        "\uBE8D",  # ; HANGUL SYLLABLE BBAEB
        "\uBE8E",  # ; HANGUL SYLLABLE BBAEBS
        "\uBE8F",  # ; HANGUL SYLLABLE BBAES
        "\uBE90",  # ; HANGUL SYLLABLE BBAESS
        "\uBE91",  # ; HANGUL SYLLABLE BBAENG
        "\uBE92",  # ; HANGUL SYLLABLE BBAEJ
        "\uBE93",  # ; HANGUL SYLLABLE BBAEC
        "\uBE94",  # ; HANGUL SYLLABLE BBAEK
        "\uBE95",  # ; HANGUL SYLLABLE BBAET
        "\uBE96",  # ; HANGUL SYLLABLE BBAEP
        "\uBE97",  # ; HANGUL SYLLABLE BBAEH
        "\uBE98",  # ; HANGUL SYLLABLE BBYA
        "\uBE99",  # ; HANGUL SYLLABLE BBYAG
        "\uBE9A",  # ; HANGUL SYLLABLE BBYAGG
        "\uBE9B",  # ; HANGUL SYLLABLE BBYAGS
        "\uBE9C",  # ; HANGUL SYLLABLE BBYAN
        "\uBE9D",  # ; HANGUL SYLLABLE BBYANJ
        "\uBE9E",  # ; HANGUL SYLLABLE BBYANH
        "\uBE9F",  # ; HANGUL SYLLABLE BBYAD
        "\uBEA0",  # ; HANGUL SYLLABLE BBYAL
        "\uBEA1",  # ; HANGUL SYLLABLE BBYALG
        "\uBEA2",  # ; HANGUL SYLLABLE BBYALM
        "\uBEA3",  # ; HANGUL SYLLABLE BBYALB
        "\uBEA4",  # ; HANGUL SYLLABLE BBYALS
        "\uBEA5",  # ; HANGUL SYLLABLE BBYALT
        "\uBEA6",  # ; HANGUL SYLLABLE BBYALP
        "\uBEA7",  # ; HANGUL SYLLABLE BBYALH
        "\uBEA8",  # ; HANGUL SYLLABLE BBYAM
        "\uBEA9",  # ; HANGUL SYLLABLE BBYAB
        "\uBEAA",  # ; HANGUL SYLLABLE BBYABS
        "\uBEAB",  # ; HANGUL SYLLABLE BBYAS
        "\uBEAC",  # ; HANGUL SYLLABLE BBYASS
        "\uBEAD",  # ; HANGUL SYLLABLE BBYANG
        "\uBEAE",  # ; HANGUL SYLLABLE BBYAJ
        "\uBEAF",  # ; HANGUL SYLLABLE BBYAC
        "\uBEB0",  # ; HANGUL SYLLABLE BBYAK
        "\uBEB1",  # ; HANGUL SYLLABLE BBYAT
        "\uBEB2",  # ; HANGUL SYLLABLE BBYAP
        "\uBEB3",  # ; HANGUL SYLLABLE BBYAH
        "\uBEB4",  # ; HANGUL SYLLABLE BBYAE
        "\uBEB5",  # ; HANGUL SYLLABLE BBYAEG
        "\uBEB6",  # ; HANGUL SYLLABLE BBYAEGG
        "\uBEB7",  # ; HANGUL SYLLABLE BBYAEGS
        "\uBEB8",  # ; HANGUL SYLLABLE BBYAEN
        "\uBEB9",  # ; HANGUL SYLLABLE BBYAENJ
        "\uBEBA",  # ; HANGUL SYLLABLE BBYAENH
        "\uBEBB",  # ; HANGUL SYLLABLE BBYAED
        "\uBEBC",  # ; HANGUL SYLLABLE BBYAEL
        "\uBEBD",  # ; HANGUL SYLLABLE BBYAELG
        "\uBEBE",  # ; HANGUL SYLLABLE BBYAELM
        "\uBEBF",  # ; HANGUL SYLLABLE BBYAELB
        "\uBEC0",  # ; HANGUL SYLLABLE BBYAELS
        "\uBEC1",  # ; HANGUL SYLLABLE BBYAELT
        "\uBEC2",  # ; HANGUL SYLLABLE BBYAELP
        "\uBEC3",  # ; HANGUL SYLLABLE BBYAELH
        "\uBEC4",  # ; HANGUL SYLLABLE BBYAEM
        "\uBEC5",  # ; HANGUL SYLLABLE BBYAEB
        "\uBEC6",  # ; HANGUL SYLLABLE BBYAEBS
        "\uBEC7",  # ; HANGUL SYLLABLE BBYAES
        "\uBEC8",  # ; HANGUL SYLLABLE BBYAESS
        "\uBEC9",  # ; HANGUL SYLLABLE BBYAENG
        "\uBECA",  # ; HANGUL SYLLABLE BBYAEJ
        "\uBECB",  # ; HANGUL SYLLABLE BBYAEC
        "\uBECC",  # ; HANGUL SYLLABLE BBYAEK
        "\uBECD",  # ; HANGUL SYLLABLE BBYAET
        "\uBECE",  # ; HANGUL SYLLABLE BBYAEP
        "\uBECF",  # ; HANGUL SYLLABLE BBYAEH
        "\uBED0",  # ; HANGUL SYLLABLE BBEO
        "\uBED1",  # ; HANGUL SYLLABLE BBEOG
        "\uBED2",  # ; HANGUL SYLLABLE BBEOGG
        "\uBED3",  # ; HANGUL SYLLABLE BBEOGS
        "\uBED4",  # ; HANGUL SYLLABLE BBEON
        "\uBED5",  # ; HANGUL SYLLABLE BBEONJ
        "\uBED6",  # ; HANGUL SYLLABLE BBEONH
        "\uBED7",  # ; HANGUL SYLLABLE BBEOD
        "\uBED8",  # ; HANGUL SYLLABLE BBEOL
        "\uBED9",  # ; HANGUL SYLLABLE BBEOLG
        "\uBEDA",  # ; HANGUL SYLLABLE BBEOLM
        "\uBEDB",  # ; HANGUL SYLLABLE BBEOLB
        "\uBEDC",  # ; HANGUL SYLLABLE BBEOLS
        "\uBEDD",  # ; HANGUL SYLLABLE BBEOLT
        "\uBEDE",  # ; HANGUL SYLLABLE BBEOLP
        "\uBEDF",  # ; HANGUL SYLLABLE BBEOLH
        "\uBEE0",  # ; HANGUL SYLLABLE BBEOM
        "\uBEE1",  # ; HANGUL SYLLABLE BBEOB
        "\uBEE2",  # ; HANGUL SYLLABLE BBEOBS
        "\uBEE3",  # ; HANGUL SYLLABLE BBEOS
        "\uBEE4",  # ; HANGUL SYLLABLE BBEOSS
        "\uBEE5",  # ; HANGUL SYLLABLE BBEONG
        "\uBEE6",  # ; HANGUL SYLLABLE BBEOJ
        "\uBEE7",  # ; HANGUL SYLLABLE BBEOC
        "\uBEE8",  # ; HANGUL SYLLABLE BBEOK
        "\uBEE9",  # ; HANGUL SYLLABLE BBEOT
        "\uBEEA",  # ; HANGUL SYLLABLE BBEOP
        "\uBEEB",  # ; HANGUL SYLLABLE BBEOH
        "\uBEEC",  # ; HANGUL SYLLABLE BBE
        "\uBEED",  # ; HANGUL SYLLABLE BBEG
        "\uBEEE",  # ; HANGUL SYLLABLE BBEGG
        "\uBEEF",  # ; HANGUL SYLLABLE BBEGS
        "\uBEF0",  # ; HANGUL SYLLABLE BBEN
        "\uBEF1",  # ; HANGUL SYLLABLE BBENJ
        "\uBEF2",  # ; HANGUL SYLLABLE BBENH
        "\uBEF3",  # ; HANGUL SYLLABLE BBED
        "\uBEF4",  # ; HANGUL SYLLABLE BBEL
        "\uBEF5",  # ; HANGUL SYLLABLE BBELG
        "\uBEF6",  # ; HANGUL SYLLABLE BBELM
        "\uBEF7",  # ; HANGUL SYLLABLE BBELB
        "\uBEF8",  # ; HANGUL SYLLABLE BBELS
        "\uBEF9",  # ; HANGUL SYLLABLE BBELT
        "\uBEFA",  # ; HANGUL SYLLABLE BBELP
        "\uBEFB",  # ; HANGUL SYLLABLE BBELH
        "\uBEFC",  # ; HANGUL SYLLABLE BBEM
        "\uBEFD",  # ; HANGUL SYLLABLE BBEB
        "\uBEFE",  # ; HANGUL SYLLABLE BBEBS
        "\uBEFF",  # ; HANGUL SYLLABLE BBES
        "\uBF00",  # ; HANGUL SYLLABLE BBESS
        "\uBF01",  # ; HANGUL SYLLABLE BBENG
        "\uBF02",  # ; HANGUL SYLLABLE BBEJ
        "\uBF03",  # ; HANGUL SYLLABLE BBEC
        "\uBF04",  # ; HANGUL SYLLABLE BBEK
        "\uBF05",  # ; HANGUL SYLLABLE BBET
        "\uBF06",  # ; HANGUL SYLLABLE BBEP
        "\uBF07",  # ; HANGUL SYLLABLE BBEH
        "\uBF08",  # ; HANGUL SYLLABLE BBYEO
        "\uBF09",  # ; HANGUL SYLLABLE BBYEOG
        "\uBF0A",  # ; HANGUL SYLLABLE BBYEOGG
        "\uBF0B",  # ; HANGUL SYLLABLE BBYEOGS
        "\uBF0C",  # ; HANGUL SYLLABLE BBYEON
        "\uBF0D",  # ; HANGUL SYLLABLE BBYEONJ
        "\uBF0E",  # ; HANGUL SYLLABLE BBYEONH
        "\uBF0F",  # ; HANGUL SYLLABLE BBYEOD
        "\uBF10",  # ; HANGUL SYLLABLE BBYEOL
        "\uBF11",  # ; HANGUL SYLLABLE BBYEOLG
        "\uBF12",  # ; HANGUL SYLLABLE BBYEOLM
        "\uBF13",  # ; HANGUL SYLLABLE BBYEOLB
        "\uBF14",  # ; HANGUL SYLLABLE BBYEOLS
        "\uBF15",  # ; HANGUL SYLLABLE BBYEOLT
        "\uBF16",  # ; HANGUL SYLLABLE BBYEOLP
        "\uBF17",  # ; HANGUL SYLLABLE BBYEOLH
        "\uBF18",  # ; HANGUL SYLLABLE BBYEOM
        "\uBF19",  # ; HANGUL SYLLABLE BBYEOB
        "\uBF1A",  # ; HANGUL SYLLABLE BBYEOBS
        "\uBF1B",  # ; HANGUL SYLLABLE BBYEOS
        "\uBF1C",  # ; HANGUL SYLLABLE BBYEOSS
        "\uBF1D",  # ; HANGUL SYLLABLE BBYEONG
        "\uBF1E",  # ; HANGUL SYLLABLE BBYEOJ
        "\uBF1F",  # ; HANGUL SYLLABLE BBYEOC
        "\uBF20",  # ; HANGUL SYLLABLE BBYEOK
        "\uBF21",  # ; HANGUL SYLLABLE BBYEOT
        "\uBF22",  # ; HANGUL SYLLABLE BBYEOP
        "\uBF23",  # ; HANGUL SYLLABLE BBYEOH
        "\uBF24",  # ; HANGUL SYLLABLE BBYE
        "\uBF25",  # ; HANGUL SYLLABLE BBYEG
        "\uBF26",  # ; HANGUL SYLLABLE BBYEGG
        "\uBF27",  # ; HANGUL SYLLABLE BBYEGS
        "\uBF28",  # ; HANGUL SYLLABLE BBYEN
        "\uBF29",  # ; HANGUL SYLLABLE BBYENJ
        "\uBF2A",  # ; HANGUL SYLLABLE BBYENH
        "\uBF2B",  # ; HANGUL SYLLABLE BBYED
        "\uBF2C",  # ; HANGUL SYLLABLE BBYEL
        "\uBF2D",  # ; HANGUL SYLLABLE BBYELG
        "\uBF2E",  # ; HANGUL SYLLABLE BBYELM
        "\uBF2F",  # ; HANGUL SYLLABLE BBYELB
        "\uBF30",  # ; HANGUL SYLLABLE BBYELS
        "\uBF31",  # ; HANGUL SYLLABLE BBYELT
        "\uBF32",  # ; HANGUL SYLLABLE BBYELP
        "\uBF33",  # ; HANGUL SYLLABLE BBYELH
        "\uBF34",  # ; HANGUL SYLLABLE BBYEM
        "\uBF35",  # ; HANGUL SYLLABLE BBYEB
        "\uBF36",  # ; HANGUL SYLLABLE BBYEBS
        "\uBF37",  # ; HANGUL SYLLABLE BBYES
        "\uBF38",  # ; HANGUL SYLLABLE BBYESS
        "\uBF39",  # ; HANGUL SYLLABLE BBYENG
        "\uBF3A",  # ; HANGUL SYLLABLE BBYEJ
        "\uBF3B",  # ; HANGUL SYLLABLE BBYEC
        "\uBF3C",  # ; HANGUL SYLLABLE BBYEK
        "\uBF3D",  # ; HANGUL SYLLABLE BBYET
        "\uBF3E",  # ; HANGUL SYLLABLE BBYEP
        "\uBF3F",  # ; HANGUL SYLLABLE BBYEH
        "\uBF40",  # ; HANGUL SYLLABLE BBO
        "\uBF41",  # ; HANGUL SYLLABLE BBOG
        "\uBF42",  # ; HANGUL SYLLABLE BBOGG
        "\uBF43",  # ; HANGUL SYLLABLE BBOGS
        "\uBF44",  # ; HANGUL SYLLABLE BBON
        "\uBF45",  # ; HANGUL SYLLABLE BBONJ
        "\uBF46",  # ; HANGUL SYLLABLE BBONH
        "\uBF47",  # ; HANGUL SYLLABLE BBOD
        "\uBF48",  # ; HANGUL SYLLABLE BBOL
        "\uBF49",  # ; HANGUL SYLLABLE BBOLG
        "\uBF4A",  # ; HANGUL SYLLABLE BBOLM
        "\uBF4B",  # ; HANGUL SYLLABLE BBOLB
        "\uBF4C",  # ; HANGUL SYLLABLE BBOLS
        "\uBF4D",  # ; HANGUL SYLLABLE BBOLT
        "\uBF4E",  # ; HANGUL SYLLABLE BBOLP
        "\uBF4F",  # ; HANGUL SYLLABLE BBOLH
        "\uBF50",  # ; HANGUL SYLLABLE BBOM
        "\uBF51",  # ; HANGUL SYLLABLE BBOB
        "\uBF52",  # ; HANGUL SYLLABLE BBOBS
        "\uBF53",  # ; HANGUL SYLLABLE BBOS
        "\uBF54",  # ; HANGUL SYLLABLE BBOSS
        "\uBF55",  # ; HANGUL SYLLABLE BBONG
        "\uBF56",  # ; HANGUL SYLLABLE BBOJ
        "\uBF57",  # ; HANGUL SYLLABLE BBOC
        "\uBF58",  # ; HANGUL SYLLABLE BBOK
        "\uBF59",  # ; HANGUL SYLLABLE BBOT
        "\uBF5A",  # ; HANGUL SYLLABLE BBOP
        "\uBF5B",  # ; HANGUL SYLLABLE BBOH
        "\uBF5C",  # ; HANGUL SYLLABLE BBWA
        "\uBF5D",  # ; HANGUL SYLLABLE BBWAG
        "\uBF5E",  # ; HANGUL SYLLABLE BBWAGG
        "\uBF5F",  # ; HANGUL SYLLABLE BBWAGS
        "\uBF60",  # ; HANGUL SYLLABLE BBWAN
        "\uBF61",  # ; HANGUL SYLLABLE BBWANJ
        "\uBF62",  # ; HANGUL SYLLABLE BBWANH
        "\uBF63",  # ; HANGUL SYLLABLE BBWAD
        "\uBF64",  # ; HANGUL SYLLABLE BBWAL
        "\uBF65",  # ; HANGUL SYLLABLE BBWALG
        "\uBF66",  # ; HANGUL SYLLABLE BBWALM
        "\uBF67",  # ; HANGUL SYLLABLE BBWALB
        "\uBF68",  # ; HANGUL SYLLABLE BBWALS
        "\uBF69",  # ; HANGUL SYLLABLE BBWALT
        "\uBF6A",  # ; HANGUL SYLLABLE BBWALP
        "\uBF6B",  # ; HANGUL SYLLABLE BBWALH
        "\uBF6C",  # ; HANGUL SYLLABLE BBWAM
        "\uBF6D",  # ; HANGUL SYLLABLE BBWAB
        "\uBF6E",  # ; HANGUL SYLLABLE BBWABS
        "\uBF6F",  # ; HANGUL SYLLABLE BBWAS
        "\uBF70",  # ; HANGUL SYLLABLE BBWASS
        "\uBF71",  # ; HANGUL SYLLABLE BBWANG
        "\uBF72",  # ; HANGUL SYLLABLE BBWAJ
        "\uBF73",  # ; HANGUL SYLLABLE BBWAC
        "\uBF74",  # ; HANGUL SYLLABLE BBWAK
        "\uBF75",  # ; HANGUL SYLLABLE BBWAT
        "\uBF76",  # ; HANGUL SYLLABLE BBWAP
        "\uBF77",  # ; HANGUL SYLLABLE BBWAH
        "\uBF78",  # ; HANGUL SYLLABLE BBWAE
        "\uBF79",  # ; HANGUL SYLLABLE BBWAEG
        "\uBF7A",  # ; HANGUL SYLLABLE BBWAEGG
        "\uBF7B",  # ; HANGUL SYLLABLE BBWAEGS
        "\uBF7C",  # ; HANGUL SYLLABLE BBWAEN
        "\uBF7D",  # ; HANGUL SYLLABLE BBWAENJ
        "\uBF7E",  # ; HANGUL SYLLABLE BBWAENH
        "\uBF7F",  # ; HANGUL SYLLABLE BBWAED
        "\uBF80",  # ; HANGUL SYLLABLE BBWAEL
        "\uBF81",  # ; HANGUL SYLLABLE BBWAELG
        "\uBF82",  # ; HANGUL SYLLABLE BBWAELM
        "\uBF83",  # ; HANGUL SYLLABLE BBWAELB
        "\uBF84",  # ; HANGUL SYLLABLE BBWAELS
        "\uBF85",  # ; HANGUL SYLLABLE BBWAELT
        "\uBF86",  # ; HANGUL SYLLABLE BBWAELP
        "\uBF87",  # ; HANGUL SYLLABLE BBWAELH
        "\uBF88",  # ; HANGUL SYLLABLE BBWAEM
        "\uBF89",  # ; HANGUL SYLLABLE BBWAEB
        "\uBF8A",  # ; HANGUL SYLLABLE BBWAEBS
        "\uBF8B",  # ; HANGUL SYLLABLE BBWAES
        "\uBF8C",  # ; HANGUL SYLLABLE BBWAESS
        "\uBF8D",  # ; HANGUL SYLLABLE BBWAENG
        "\uBF8E",  # ; HANGUL SYLLABLE BBWAEJ
        "\uBF8F",  # ; HANGUL SYLLABLE BBWAEC
        "\uBF90",  # ; HANGUL SYLLABLE BBWAEK
        "\uBF91",  # ; HANGUL SYLLABLE BBWAET
        "\uBF92",  # ; HANGUL SYLLABLE BBWAEP
        "\uBF93",  # ; HANGUL SYLLABLE BBWAEH
        "\uBF94",  # ; HANGUL SYLLABLE BBOE
        "\uBF95",  # ; HANGUL SYLLABLE BBOEG
        "\uBF96",  # ; HANGUL SYLLABLE BBOEGG
        "\uBF97",  # ; HANGUL SYLLABLE BBOEGS
        "\uBF98",  # ; HANGUL SYLLABLE BBOEN
        "\uBF99",  # ; HANGUL SYLLABLE BBOENJ
        "\uBF9A",  # ; HANGUL SYLLABLE BBOENH
        "\uBF9B",  # ; HANGUL SYLLABLE BBOED
        "\uBF9C",  # ; HANGUL SYLLABLE BBOEL
        "\uBF9D",  # ; HANGUL SYLLABLE BBOELG
        "\uBF9E",  # ; HANGUL SYLLABLE BBOELM
        "\uBF9F",  # ; HANGUL SYLLABLE BBOELB
        "\uBFA0",  # ; HANGUL SYLLABLE BBOELS
        "\uBFA1",  # ; HANGUL SYLLABLE BBOELT
        "\uBFA2",  # ; HANGUL SYLLABLE BBOELP
        "\uBFA3",  # ; HANGUL SYLLABLE BBOELH
        "\uBFA4",  # ; HANGUL SYLLABLE BBOEM
        "\uBFA5",  # ; HANGUL SYLLABLE BBOEB
        "\uBFA6",  # ; HANGUL SYLLABLE BBOEBS
        "\uBFA7",  # ; HANGUL SYLLABLE BBOES
        "\uBFA8",  # ; HANGUL SYLLABLE BBOESS
        "\uBFA9",  # ; HANGUL SYLLABLE BBOENG
        "\uBFAA",  # ; HANGUL SYLLABLE BBOEJ
        "\uBFAB",  # ; HANGUL SYLLABLE BBOEC
        "\uBFAC",  # ; HANGUL SYLLABLE BBOEK
        "\uBFAD",  # ; HANGUL SYLLABLE BBOET
        "\uBFAE",  # ; HANGUL SYLLABLE BBOEP
        "\uBFAF",  # ; HANGUL SYLLABLE BBOEH
        "\uBFB0",  # ; HANGUL SYLLABLE BBYO
        "\uBFB1",  # ; HANGUL SYLLABLE BBYOG
        "\uBFB2",  # ; HANGUL SYLLABLE BBYOGG
        "\uBFB3",  # ; HANGUL SYLLABLE BBYOGS
        "\uBFB4",  # ; HANGUL SYLLABLE BBYON
        "\uBFB5",  # ; HANGUL SYLLABLE BBYONJ
        "\uBFB6",  # ; HANGUL SYLLABLE BBYONH
        "\uBFB7",  # ; HANGUL SYLLABLE BBYOD
        "\uBFB8",  # ; HANGUL SYLLABLE BBYOL
        "\uBFB9",  # ; HANGUL SYLLABLE BBYOLG
        "\uBFBA",  # ; HANGUL SYLLABLE BBYOLM
        "\uBFBB",  # ; HANGUL SYLLABLE BBYOLB
        "\uBFBC",  # ; HANGUL SYLLABLE BBYOLS
        "\uBFBD",  # ; HANGUL SYLLABLE BBYOLT
        "\uBFBE",  # ; HANGUL SYLLABLE BBYOLP
        "\uBFBF",  # ; HANGUL SYLLABLE BBYOLH
        "\uBFC0",  # ; HANGUL SYLLABLE BBYOM
        "\uBFC1",  # ; HANGUL SYLLABLE BBYOB
        "\uBFC2",  # ; HANGUL SYLLABLE BBYOBS
        "\uBFC3",  # ; HANGUL SYLLABLE BBYOS
        "\uBFC4",  # ; HANGUL SYLLABLE BBYOSS
        "\uBFC5",  # ; HANGUL SYLLABLE BBYONG
        "\uBFC6",  # ; HANGUL SYLLABLE BBYOJ
        "\uBFC7",  # ; HANGUL SYLLABLE BBYOC
        "\uBFC8",  # ; HANGUL SYLLABLE BBYOK
        "\uBFC9",  # ; HANGUL SYLLABLE BBYOT
        "\uBFCA",  # ; HANGUL SYLLABLE BBYOP
        "\uBFCB",  # ; HANGUL SYLLABLE BBYOH
        "\uBFCC",  # ; HANGUL SYLLABLE BBU
        "\uBFCD",  # ; HANGUL SYLLABLE BBUG
        "\uBFCE",  # ; HANGUL SYLLABLE BBUGG
        "\uBFCF",  # ; HANGUL SYLLABLE BBUGS
        "\uBFD0",  # ; HANGUL SYLLABLE BBUN
        "\uBFD1",  # ; HANGUL SYLLABLE BBUNJ
        "\uBFD2",  # ; HANGUL SYLLABLE BBUNH
        "\uBFD3",  # ; HANGUL SYLLABLE BBUD
        "\uBFD4",  # ; HANGUL SYLLABLE BBUL
        "\uBFD5",  # ; HANGUL SYLLABLE BBULG
        "\uBFD6",  # ; HANGUL SYLLABLE BBULM
        "\uBFD7",  # ; HANGUL SYLLABLE BBULB
        "\uBFD8",  # ; HANGUL SYLLABLE BBULS
        "\uBFD9",  # ; HANGUL SYLLABLE BBULT
        "\uBFDA",  # ; HANGUL SYLLABLE BBULP
        "\uBFDB",  # ; HANGUL SYLLABLE BBULH
        "\uBFDC",  # ; HANGUL SYLLABLE BBUM
        "\uBFDD",  # ; HANGUL SYLLABLE BBUB
        "\uBFDE",  # ; HANGUL SYLLABLE BBUBS
        "\uBFDF",  # ; HANGUL SYLLABLE BBUS
        "\uBFE0",  # ; HANGUL SYLLABLE BBUSS
        "\uBFE1",  # ; HANGUL SYLLABLE BBUNG
        "\uBFE2",  # ; HANGUL SYLLABLE BBUJ
        "\uBFE3",  # ; HANGUL SYLLABLE BBUC
        "\uBFE4",  # ; HANGUL SYLLABLE BBUK
        "\uBFE5",  # ; HANGUL SYLLABLE BBUT
        "\uBFE6",  # ; HANGUL SYLLABLE BBUP
        "\uBFE7",  # ; HANGUL SYLLABLE BBUH
        "\uBFE8",  # ; HANGUL SYLLABLE BBWEO
        "\uBFE9",  # ; HANGUL SYLLABLE BBWEOG
        "\uBFEA",  # ; HANGUL SYLLABLE BBWEOGG
        "\uBFEB",  # ; HANGUL SYLLABLE BBWEOGS
        "\uBFEC",  # ; HANGUL SYLLABLE BBWEON
        "\uBFED",  # ; HANGUL SYLLABLE BBWEONJ
        "\uBFEE",  # ; HANGUL SYLLABLE BBWEONH
        "\uBFEF",  # ; HANGUL SYLLABLE BBWEOD
        "\uBFF0",  # ; HANGUL SYLLABLE BBWEOL
        "\uBFF1",  # ; HANGUL SYLLABLE BBWEOLG
        "\uBFF2",  # ; HANGUL SYLLABLE BBWEOLM
        "\uBFF3",  # ; HANGUL SYLLABLE BBWEOLB
        "\uBFF4",  # ; HANGUL SYLLABLE BBWEOLS
        "\uBFF5",  # ; HANGUL SYLLABLE BBWEOLT
        "\uBFF6",  # ; HANGUL SYLLABLE BBWEOLP
        "\uBFF7",  # ; HANGUL SYLLABLE BBWEOLH
        "\uBFF8",  # ; HANGUL SYLLABLE BBWEOM
        "\uBFF9",  # ; HANGUL SYLLABLE BBWEOB
        "\uBFFA",  # ; HANGUL SYLLABLE BBWEOBS
        "\uBFFB",  # ; HANGUL SYLLABLE BBWEOS
        "\uBFFC",  # ; HANGUL SYLLABLE BBWEOSS
        "\uBFFD",  # ; HANGUL SYLLABLE BBWEONG
        "\uBFFE",  # ; HANGUL SYLLABLE BBWEOJ
        "\uBFFF",  # ; HANGUL SYLLABLE BBWEOC
        "\uC000",  # ; HANGUL SYLLABLE BBWEOK
        "\uC001",  # ; HANGUL SYLLABLE BBWEOT
        "\uC002",  # ; HANGUL SYLLABLE BBWEOP
        "\uC003",  # ; HANGUL SYLLABLE BBWEOH
        "\uC004",  # ; HANGUL SYLLABLE BBWE
        "\uC005",  # ; HANGUL SYLLABLE BBWEG
        "\uC006",  # ; HANGUL SYLLABLE BBWEGG
        "\uC007",  # ; HANGUL SYLLABLE BBWEGS
        "\uC008",  # ; HANGUL SYLLABLE BBWEN
        "\uC009",  # ; HANGUL SYLLABLE BBWENJ
        "\uC00A",  # ; HANGUL SYLLABLE BBWENH
        "\uC00B",  # ; HANGUL SYLLABLE BBWED
        "\uC00C",  # ; HANGUL SYLLABLE BBWEL
        "\uC00D",  # ; HANGUL SYLLABLE BBWELG
        "\uC00E",  # ; HANGUL SYLLABLE BBWELM
        "\uC00F",  # ; HANGUL SYLLABLE BBWELB
        "\uC010",  # ; HANGUL SYLLABLE BBWELS
        "\uC011",  # ; HANGUL SYLLABLE BBWELT
        "\uC012",  # ; HANGUL SYLLABLE BBWELP
        "\uC013",  # ; HANGUL SYLLABLE BBWELH
        "\uC014",  # ; HANGUL SYLLABLE BBWEM
        "\uC015",  # ; HANGUL SYLLABLE BBWEB
        "\uC016",  # ; HANGUL SYLLABLE BBWEBS
        "\uC017",  # ; HANGUL SYLLABLE BBWES
        "\uC018",  # ; HANGUL SYLLABLE BBWESS
        "\uC019",  # ; HANGUL SYLLABLE BBWENG
        "\uC01A",  # ; HANGUL SYLLABLE BBWEJ
        "\uC01B",  # ; HANGUL SYLLABLE BBWEC
        "\uC01C",  # ; HANGUL SYLLABLE BBWEK
        "\uC01D",  # ; HANGUL SYLLABLE BBWET
        "\uC01E",  # ; HANGUL SYLLABLE BBWEP
        "\uC01F",  # ; HANGUL SYLLABLE BBWEH
        "\uC020",  # ; HANGUL SYLLABLE BBWI
        "\uC021",  # ; HANGUL SYLLABLE BBWIG
        "\uC022",  # ; HANGUL SYLLABLE BBWIGG
        "\uC023",  # ; HANGUL SYLLABLE BBWIGS
        "\uC024",  # ; HANGUL SYLLABLE BBWIN
        "\uC025",  # ; HANGUL SYLLABLE BBWINJ
        "\uC026",  # ; HANGUL SYLLABLE BBWINH
        "\uC027",  # ; HANGUL SYLLABLE BBWID
        "\uC028",  # ; HANGUL SYLLABLE BBWIL
        "\uC029",  # ; HANGUL SYLLABLE BBWILG
        "\uC02A",  # ; HANGUL SYLLABLE BBWILM
        "\uC02B",  # ; HANGUL SYLLABLE BBWILB
        "\uC02C",  # ; HANGUL SYLLABLE BBWILS
        "\uC02D",  # ; HANGUL SYLLABLE BBWILT
        "\uC02E",  # ; HANGUL SYLLABLE BBWILP
        "\uC02F",  # ; HANGUL SYLLABLE BBWILH
        "\uC030",  # ; HANGUL SYLLABLE BBWIM
        "\uC031",  # ; HANGUL SYLLABLE BBWIB
        "\uC032",  # ; HANGUL SYLLABLE BBWIBS
        "\uC033",  # ; HANGUL SYLLABLE BBWIS
        "\uC034",  # ; HANGUL SYLLABLE BBWISS
        "\uC035",  # ; HANGUL SYLLABLE BBWING
        "\uC036",  # ; HANGUL SYLLABLE BBWIJ
        "\uC037",  # ; HANGUL SYLLABLE BBWIC
        "\uC038",  # ; HANGUL SYLLABLE BBWIK
        "\uC039",  # ; HANGUL SYLLABLE BBWIT
        "\uC03A",  # ; HANGUL SYLLABLE BBWIP
        "\uC03B",  # ; HANGUL SYLLABLE BBWIH
        "\uC03C",  # ; HANGUL SYLLABLE BBYU
        "\uC03D",  # ; HANGUL SYLLABLE BBYUG
        "\uC03E",  # ; HANGUL SYLLABLE BBYUGG
        "\uC03F",  # ; HANGUL SYLLABLE BBYUGS
        "\uC040",  # ; HANGUL SYLLABLE BBYUN
        "\uC041",  # ; HANGUL SYLLABLE BBYUNJ
        "\uC042",  # ; HANGUL SYLLABLE BBYUNH
        "\uC043",  # ; HANGUL SYLLABLE BBYUD
        "\uC044",  # ; HANGUL SYLLABLE BBYUL
        "\uC045",  # ; HANGUL SYLLABLE BBYULG
        "\uC046",  # ; HANGUL SYLLABLE BBYULM
        "\uC047",  # ; HANGUL SYLLABLE BBYULB
        "\uC048",  # ; HANGUL SYLLABLE BBYULS
        "\uC049",  # ; HANGUL SYLLABLE BBYULT
        "\uC04A",  # ; HANGUL SYLLABLE BBYULP
        "\uC04B",  # ; HANGUL SYLLABLE BBYULH
        "\uC04C",  # ; HANGUL SYLLABLE BBYUM
        "\uC04D",  # ; HANGUL SYLLABLE BBYUB
        "\uC04E",  # ; HANGUL SYLLABLE BBYUBS
        "\uC04F",  # ; HANGUL SYLLABLE BBYUS
        "\uC050",  # ; HANGUL SYLLABLE BBYUSS
        "\uC051",  # ; HANGUL SYLLABLE BBYUNG
        "\uC052",  # ; HANGUL SYLLABLE BBYUJ
        "\uC053",  # ; HANGUL SYLLABLE BBYUC
        "\uC054",  # ; HANGUL SYLLABLE BBYUK
        "\uC055",  # ; HANGUL SYLLABLE BBYUT
        "\uC056",  # ; HANGUL SYLLABLE BBYUP
        "\uC057",  # ; HANGUL SYLLABLE BBYUH
        "\uC058",  # ; HANGUL SYLLABLE BBEU
        "\uC059",  # ; HANGUL SYLLABLE BBEUG
        "\uC05A",  # ; HANGUL SYLLABLE BBEUGG
        "\uC05B",  # ; HANGUL SYLLABLE BBEUGS
        "\uC05C",  # ; HANGUL SYLLABLE BBEUN
        "\uC05D",  # ; HANGUL SYLLABLE BBEUNJ
        "\uC05E",  # ; HANGUL SYLLABLE BBEUNH
        "\uC05F",  # ; HANGUL SYLLABLE BBEUD
        "\uC060",  # ; HANGUL SYLLABLE BBEUL
        "\uC061",  # ; HANGUL SYLLABLE BBEULG
        "\uC062",  # ; HANGUL SYLLABLE BBEULM
        "\uC063",  # ; HANGUL SYLLABLE BBEULB
        "\uC064",  # ; HANGUL SYLLABLE BBEULS
        "\uC065",  # ; HANGUL SYLLABLE BBEULT
        "\uC066",  # ; HANGUL SYLLABLE BBEULP
        "\uC067",  # ; HANGUL SYLLABLE BBEULH
        "\uC068",  # ; HANGUL SYLLABLE BBEUM
        "\uC069",  # ; HANGUL SYLLABLE BBEUB
        "\uC06A",  # ; HANGUL SYLLABLE BBEUBS
        "\uC06B",  # ; HANGUL SYLLABLE BBEUS
        "\uC06C",  # ; HANGUL SYLLABLE BBEUSS
        "\uC06D",  # ; HANGUL SYLLABLE BBEUNG
        "\uC06E",  # ; HANGUL SYLLABLE BBEUJ
        "\uC06F",  # ; HANGUL SYLLABLE BBEUC
        "\uC070",  # ; HANGUL SYLLABLE BBEUK
        "\uC071",  # ; HANGUL SYLLABLE BBEUT
        "\uC072",  # ; HANGUL SYLLABLE BBEUP
        "\uC073",  # ; HANGUL SYLLABLE BBEUH
        "\uC074",  # ; HANGUL SYLLABLE BBYI
        "\uC075",  # ; HANGUL SYLLABLE BBYIG
        "\uC076",  # ; HANGUL SYLLABLE BBYIGG
        "\uC077",  # ; HANGUL SYLLABLE BBYIGS
        "\uC078",  # ; HANGUL SYLLABLE BBYIN
        "\uC079",  # ; HANGUL SYLLABLE BBYINJ
        "\uC07A",  # ; HANGUL SYLLABLE BBYINH
        "\uC07B",  # ; HANGUL SYLLABLE BBYID
        "\uC07C",  # ; HANGUL SYLLABLE BBYIL
        "\uC07D",  # ; HANGUL SYLLABLE BBYILG
        "\uC07E",  # ; HANGUL SYLLABLE BBYILM
        "\uC07F",  # ; HANGUL SYLLABLE BBYILB
        "\uC080",  # ; HANGUL SYLLABLE BBYILS
        "\uC081",  # ; HANGUL SYLLABLE BBYILT
        "\uC082",  # ; HANGUL SYLLABLE BBYILP
        "\uC083",  # ; HANGUL SYLLABLE BBYILH
        "\uC084",  # ; HANGUL SYLLABLE BBYIM
        "\uC085",  # ; HANGUL SYLLABLE BBYIB
        "\uC086",  # ; HANGUL SYLLABLE BBYIBS
        "\uC087",  # ; HANGUL SYLLABLE BBYIS
        "\uC088",  # ; HANGUL SYLLABLE BBYISS
        "\uC089",  # ; HANGUL SYLLABLE BBYING
        "\uC08A",  # ; HANGUL SYLLABLE BBYIJ
        "\uC08B",  # ; HANGUL SYLLABLE BBYIC
        "\uC08C",  # ; HANGUL SYLLABLE BBYIK
        "\uC08D",  # ; HANGUL SYLLABLE BBYIT
        "\uC08E",  # ; HANGUL SYLLABLE BBYIP
        "\uC08F",  # ; HANGUL SYLLABLE BBYIH
        "\uC090",  # ; HANGUL SYLLABLE BBI
        "\uC091",  # ; HANGUL SYLLABLE BBIG
        "\uC092",  # ; HANGUL SYLLABLE BBIGG
        "\uC093",  # ; HANGUL SYLLABLE BBIGS
        "\uC094",  # ; HANGUL SYLLABLE BBIN
        "\uC095",  # ; HANGUL SYLLABLE BBINJ
        "\uC096",  # ; HANGUL SYLLABLE BBINH
        "\uC097",  # ; HANGUL SYLLABLE BBID
        "\uC098",  # ; HANGUL SYLLABLE BBIL
        "\uC099",  # ; HANGUL SYLLABLE BBILG
        "\uC09A",  # ; HANGUL SYLLABLE BBILM
        "\uC09B",  # ; HANGUL SYLLABLE BBILB
        "\uC09C",  # ; HANGUL SYLLABLE BBILS
        "\uC09D",  # ; HANGUL SYLLABLE BBILT
        "\uC09E",  # ; HANGUL SYLLABLE BBILP
        "\uC09F",  # ; HANGUL SYLLABLE BBILH
        "\uC0A0",  # ; HANGUL SYLLABLE BBIM
        "\uC0A1",  # ; HANGUL SYLLABLE BBIB
        "\uC0A2",  # ; HANGUL SYLLABLE BBIBS
        "\uC0A3",  # ; HANGUL SYLLABLE BBIS
        "\uC0A4",  # ; HANGUL SYLLABLE BBISS
        "\uC0A5",  # ; HANGUL SYLLABLE BBING
        "\uC0A6",  # ; HANGUL SYLLABLE BBIJ
        "\uC0A7",  # ; HANGUL SYLLABLE BBIC
        "\uC0A8",  # ; HANGUL SYLLABLE BBIK
        "\uC0A9",  # ; HANGUL SYLLABLE BBIT
        "\uC0AA",  # ; HANGUL SYLLABLE BBIP
        "\uC0AB",  # ; HANGUL SYLLABLE BBIH
        "\uC0AC",  # ; HANGUL SYLLABLE SA
        "\uC0AD",  # ; HANGUL SYLLABLE SAG
        "\uC0AE",  # ; HANGUL SYLLABLE SAGG
        "\uC0AF",  # ; HANGUL SYLLABLE SAGS
        "\uC0B0",  # ; HANGUL SYLLABLE SAN
        "\uC0B1",  # ; HANGUL SYLLABLE SANJ
        "\uC0B2",  # ; HANGUL SYLLABLE SANH
        "\uC0B3",  # ; HANGUL SYLLABLE SAD
        "\uC0B4",  # ; HANGUL SYLLABLE SAL
        "\uC0B5",  # ; HANGUL SYLLABLE SALG
        "\uC0B6",  # ; HANGUL SYLLABLE SALM
        "\uC0B7",  # ; HANGUL SYLLABLE SALB
        "\uC0B8",  # ; HANGUL SYLLABLE SALS
        "\uC0B9",  # ; HANGUL SYLLABLE SALT
        "\uC0BA",  # ; HANGUL SYLLABLE SALP
        "\uC0BB",  # ; HANGUL SYLLABLE SALH
        "\uC0BC",  # ; HANGUL SYLLABLE SAM
        "\uC0BD",  # ; HANGUL SYLLABLE SAB
        "\uC0BE",  # ; HANGUL SYLLABLE SABS
        "\uC0BF",  # ; HANGUL SYLLABLE SAS
        "\uC0C0",  # ; HANGUL SYLLABLE SASS
        "\uC0C1",  # ; HANGUL SYLLABLE SANG
        "\uC0C2",  # ; HANGUL SYLLABLE SAJ
        "\uC0C3",  # ; HANGUL SYLLABLE SAC
        "\uC0C4",  # ; HANGUL SYLLABLE SAK
        "\uC0C5",  # ; HANGUL SYLLABLE SAT
        "\uC0C6",  # ; HANGUL SYLLABLE SAP
        "\uC0C7",  # ; HANGUL SYLLABLE SAH
        "\uC0C8",  # ; HANGUL SYLLABLE SAE
        "\uC0C9",  # ; HANGUL SYLLABLE SAEG
        "\uC0CA",  # ; HANGUL SYLLABLE SAEGG
        "\uC0CB",  # ; HANGUL SYLLABLE SAEGS
        "\uC0CC",  # ; HANGUL SYLLABLE SAEN
        "\uC0CD",  # ; HANGUL SYLLABLE SAENJ
        "\uC0CE",  # ; HANGUL SYLLABLE SAENH
        "\uC0CF",  # ; HANGUL SYLLABLE SAED
        "\uC0D0",  # ; HANGUL SYLLABLE SAEL
        "\uC0D1",  # ; HANGUL SYLLABLE SAELG
        "\uC0D2",  # ; HANGUL SYLLABLE SAELM
        "\uC0D3",  # ; HANGUL SYLLABLE SAELB
        "\uC0D4",  # ; HANGUL SYLLABLE SAELS
        "\uC0D5",  # ; HANGUL SYLLABLE SAELT
        "\uC0D6",  # ; HANGUL SYLLABLE SAELP
        "\uC0D7",  # ; HANGUL SYLLABLE SAELH
        "\uC0D8",  # ; HANGUL SYLLABLE SAEM
        "\uC0D9",  # ; HANGUL SYLLABLE SAEB
        "\uC0DA",  # ; HANGUL SYLLABLE SAEBS
        "\uC0DB",  # ; HANGUL SYLLABLE SAES
        "\uC0DC",  # ; HANGUL SYLLABLE SAESS
        "\uC0DD",  # ; HANGUL SYLLABLE SAENG
        "\uC0DE",  # ; HANGUL SYLLABLE SAEJ
        "\uC0DF",  # ; HANGUL SYLLABLE SAEC
        "\uC0E0",  # ; HANGUL SYLLABLE SAEK
        "\uC0E1",  # ; HANGUL SYLLABLE SAET
        "\uC0E2",  # ; HANGUL SYLLABLE SAEP
        "\uC0E3",  # ; HANGUL SYLLABLE SAEH
        "\uC0E4",  # ; HANGUL SYLLABLE SYA
        "\uC0E5",  # ; HANGUL SYLLABLE SYAG
        "\uC0E6",  # ; HANGUL SYLLABLE SYAGG
        "\uC0E7",  # ; HANGUL SYLLABLE SYAGS
        "\uC0E8",  # ; HANGUL SYLLABLE SYAN
        "\uC0E9",  # ; HANGUL SYLLABLE SYANJ
        "\uC0EA",  # ; HANGUL SYLLABLE SYANH
        "\uC0EB",  # ; HANGUL SYLLABLE SYAD
        "\uC0EC",  # ; HANGUL SYLLABLE SYAL
        "\uC0ED",  # ; HANGUL SYLLABLE SYALG
        "\uC0EE",  # ; HANGUL SYLLABLE SYALM
        "\uC0EF",  # ; HANGUL SYLLABLE SYALB
        "\uC0F0",  # ; HANGUL SYLLABLE SYALS
        "\uC0F1",  # ; HANGUL SYLLABLE SYALT
        "\uC0F2",  # ; HANGUL SYLLABLE SYALP
        "\uC0F3",  # ; HANGUL SYLLABLE SYALH
        "\uC0F4",  # ; HANGUL SYLLABLE SYAM
        "\uC0F5",  # ; HANGUL SYLLABLE SYAB
        "\uC0F6",  # ; HANGUL SYLLABLE SYABS
        "\uC0F7",  # ; HANGUL SYLLABLE SYAS
        "\uC0F8",  # ; HANGUL SYLLABLE SYASS
        "\uC0F9",  # ; HANGUL SYLLABLE SYANG
        "\uC0FA",  # ; HANGUL SYLLABLE SYAJ
        "\uC0FB",  # ; HANGUL SYLLABLE SYAC
        "\uC0FC",  # ; HANGUL SYLLABLE SYAK
        "\uC0FD",  # ; HANGUL SYLLABLE SYAT
        "\uC0FE",  # ; HANGUL SYLLABLE SYAP
        "\uC0FF",  # ; HANGUL SYLLABLE SYAH
        "\uC100",  # ; HANGUL SYLLABLE SYAE
        "\uC101",  # ; HANGUL SYLLABLE SYAEG
        "\uC102",  # ; HANGUL SYLLABLE SYAEGG
        "\uC103",  # ; HANGUL SYLLABLE SYAEGS
        "\uC104",  # ; HANGUL SYLLABLE SYAEN
        "\uC105",  # ; HANGUL SYLLABLE SYAENJ
        "\uC106",  # ; HANGUL SYLLABLE SYAENH
        "\uC107",  # ; HANGUL SYLLABLE SYAED
        "\uC108",  # ; HANGUL SYLLABLE SYAEL
        "\uC109",  # ; HANGUL SYLLABLE SYAELG
        "\uC10A",  # ; HANGUL SYLLABLE SYAELM
        "\uC10B",  # ; HANGUL SYLLABLE SYAELB
        "\uC10C",  # ; HANGUL SYLLABLE SYAELS
        "\uC10D",  # ; HANGUL SYLLABLE SYAELT
        "\uC10E",  # ; HANGUL SYLLABLE SYAELP
        "\uC10F",  # ; HANGUL SYLLABLE SYAELH
        "\uC110",  # ; HANGUL SYLLABLE SYAEM
        "\uC111",  # ; HANGUL SYLLABLE SYAEB
        "\uC112",  # ; HANGUL SYLLABLE SYAEBS
        "\uC113",  # ; HANGUL SYLLABLE SYAES
        "\uC114",  # ; HANGUL SYLLABLE SYAESS
        "\uC115",  # ; HANGUL SYLLABLE SYAENG
        "\uC116",  # ; HANGUL SYLLABLE SYAEJ
        "\uC117",  # ; HANGUL SYLLABLE SYAEC
        "\uC118",  # ; HANGUL SYLLABLE SYAEK
        "\uC119",  # ; HANGUL SYLLABLE SYAET
        "\uC11A",  # ; HANGUL SYLLABLE SYAEP
        "\uC11B",  # ; HANGUL SYLLABLE SYAEH
        "\uC11C",  # ; HANGUL SYLLABLE SEO
        "\uC11D",  # ; HANGUL SYLLABLE SEOG
        "\uC11E",  # ; HANGUL SYLLABLE SEOGG
        "\uC11F",  # ; HANGUL SYLLABLE SEOGS
        "\uC120",  # ; HANGUL SYLLABLE SEON
        "\uC121",  # ; HANGUL SYLLABLE SEONJ
        "\uC122",  # ; HANGUL SYLLABLE SEONH
        "\uC123",  # ; HANGUL SYLLABLE SEOD
        "\uC124",  # ; HANGUL SYLLABLE SEOL
        "\uC125",  # ; HANGUL SYLLABLE SEOLG
        "\uC126",  # ; HANGUL SYLLABLE SEOLM
        "\uC127",  # ; HANGUL SYLLABLE SEOLB
        "\uC128",  # ; HANGUL SYLLABLE SEOLS
        "\uC129",  # ; HANGUL SYLLABLE SEOLT
        "\uC12A",  # ; HANGUL SYLLABLE SEOLP
        "\uC12B",  # ; HANGUL SYLLABLE SEOLH
        "\uC12C",  # ; HANGUL SYLLABLE SEOM
        "\uC12D",  # ; HANGUL SYLLABLE SEOB
        "\uC12E",  # ; HANGUL SYLLABLE SEOBS
        "\uC12F",  # ; HANGUL SYLLABLE SEOS
        "\uC130",  # ; HANGUL SYLLABLE SEOSS
        "\uC131",  # ; HANGUL SYLLABLE SEONG
        "\uC132",  # ; HANGUL SYLLABLE SEOJ
        "\uC133",  # ; HANGUL SYLLABLE SEOC
        "\uC134",  # ; HANGUL SYLLABLE SEOK
        "\uC135",  # ; HANGUL SYLLABLE SEOT
        "\uC136",  # ; HANGUL SYLLABLE SEOP
        "\uC137",  # ; HANGUL SYLLABLE SEOH
        "\uC138",  # ; HANGUL SYLLABLE SE
        "\uC139",  # ; HANGUL SYLLABLE SEG
        "\uC13A",  # ; HANGUL SYLLABLE SEGG
        "\uC13B",  # ; HANGUL SYLLABLE SEGS
        "\uC13C",  # ; HANGUL SYLLABLE SEN
        "\uC13D",  # ; HANGUL SYLLABLE SENJ
        "\uC13E",  # ; HANGUL SYLLABLE SENH
        "\uC13F",  # ; HANGUL SYLLABLE SED
        "\uC140",  # ; HANGUL SYLLABLE SEL
        "\uC141",  # ; HANGUL SYLLABLE SELG
        "\uC142",  # ; HANGUL SYLLABLE SELM
        "\uC143",  # ; HANGUL SYLLABLE SELB
        "\uC144",  # ; HANGUL SYLLABLE SELS
        "\uC145",  # ; HANGUL SYLLABLE SELT
        "\uC146",  # ; HANGUL SYLLABLE SELP
        "\uC147",  # ; HANGUL SYLLABLE SELH
        "\uC148",  # ; HANGUL SYLLABLE SEM
        "\uC149",  # ; HANGUL SYLLABLE SEB
        "\uC14A",  # ; HANGUL SYLLABLE SEBS
        "\uC14B",  # ; HANGUL SYLLABLE SES
        "\uC14C",  # ; HANGUL SYLLABLE SESS
        "\uC14D",  # ; HANGUL SYLLABLE SENG
        "\uC14E",  # ; HANGUL SYLLABLE SEJ
        "\uC14F",  # ; HANGUL SYLLABLE SEC
        "\uC150",  # ; HANGUL SYLLABLE SEK
        "\uC151",  # ; HANGUL SYLLABLE SET
        "\uC152",  # ; HANGUL SYLLABLE SEP
        "\uC153",  # ; HANGUL SYLLABLE SEH
        "\uC154",  # ; HANGUL SYLLABLE SYEO
        "\uC155",  # ; HANGUL SYLLABLE SYEOG
        "\uC156",  # ; HANGUL SYLLABLE SYEOGG
        "\uC157",  # ; HANGUL SYLLABLE SYEOGS
        "\uC158",  # ; HANGUL SYLLABLE SYEON
        "\uC159",  # ; HANGUL SYLLABLE SYEONJ
        "\uC15A",  # ; HANGUL SYLLABLE SYEONH
        "\uC15B",  # ; HANGUL SYLLABLE SYEOD
        "\uC15C",  # ; HANGUL SYLLABLE SYEOL
        "\uC15D",  # ; HANGUL SYLLABLE SYEOLG
        "\uC15E",  # ; HANGUL SYLLABLE SYEOLM
        "\uC15F",  # ; HANGUL SYLLABLE SYEOLB
        "\uC160",  # ; HANGUL SYLLABLE SYEOLS
        "\uC161",  # ; HANGUL SYLLABLE SYEOLT
        "\uC162",  # ; HANGUL SYLLABLE SYEOLP
        "\uC163",  # ; HANGUL SYLLABLE SYEOLH
        "\uC164",  # ; HANGUL SYLLABLE SYEOM
        "\uC165",  # ; HANGUL SYLLABLE SYEOB
        "\uC166",  # ; HANGUL SYLLABLE SYEOBS
        "\uC167",  # ; HANGUL SYLLABLE SYEOS
        "\uC168",  # ; HANGUL SYLLABLE SYEOSS
        "\uC169",  # ; HANGUL SYLLABLE SYEONG
        "\uC16A",  # ; HANGUL SYLLABLE SYEOJ
        "\uC16B",  # ; HANGUL SYLLABLE SYEOC
        "\uC16C",  # ; HANGUL SYLLABLE SYEOK
        "\uC16D",  # ; HANGUL SYLLABLE SYEOT
        "\uC16E",  # ; HANGUL SYLLABLE SYEOP
        "\uC16F",  # ; HANGUL SYLLABLE SYEOH
        "\uC170",  # ; HANGUL SYLLABLE SYE
        "\uC171",  # ; HANGUL SYLLABLE SYEG
        "\uC172",  # ; HANGUL SYLLABLE SYEGG
        "\uC173",  # ; HANGUL SYLLABLE SYEGS
        "\uC174",  # ; HANGUL SYLLABLE SYEN
        "\uC175",  # ; HANGUL SYLLABLE SYENJ
        "\uC176",  # ; HANGUL SYLLABLE SYENH
        "\uC177",  # ; HANGUL SYLLABLE SYED
        "\uC178",  # ; HANGUL SYLLABLE SYEL
        "\uC179",  # ; HANGUL SYLLABLE SYELG
        "\uC17A",  # ; HANGUL SYLLABLE SYELM
        "\uC17B",  # ; HANGUL SYLLABLE SYELB
        "\uC17C",  # ; HANGUL SYLLABLE SYELS
        "\uC17D",  # ; HANGUL SYLLABLE SYELT
        "\uC17E",  # ; HANGUL SYLLABLE SYELP
        "\uC17F",  # ; HANGUL SYLLABLE SYELH
        "\uC180",  # ; HANGUL SYLLABLE SYEM
        "\uC181",  # ; HANGUL SYLLABLE SYEB
        "\uC182",  # ; HANGUL SYLLABLE SYEBS
        "\uC183",  # ; HANGUL SYLLABLE SYES
        "\uC184",  # ; HANGUL SYLLABLE SYESS
        "\uC185",  # ; HANGUL SYLLABLE SYENG
        "\uC186",  # ; HANGUL SYLLABLE SYEJ
        "\uC187",  # ; HANGUL SYLLABLE SYEC
        "\uC188",  # ; HANGUL SYLLABLE SYEK
        "\uC189",  # ; HANGUL SYLLABLE SYET
        "\uC18A",  # ; HANGUL SYLLABLE SYEP
        "\uC18B",  # ; HANGUL SYLLABLE SYEH
        "\uC18C",  # ; HANGUL SYLLABLE SO
        "\uC18D",  # ; HANGUL SYLLABLE SOG
        "\uC18E",  # ; HANGUL SYLLABLE SOGG
        "\uC18F",  # ; HANGUL SYLLABLE SOGS
        "\uC190",  # ; HANGUL SYLLABLE SON
        "\uC191",  # ; HANGUL SYLLABLE SONJ
        "\uC192",  # ; HANGUL SYLLABLE SONH
        "\uC193",  # ; HANGUL SYLLABLE SOD
        "\uC194",  # ; HANGUL SYLLABLE SOL
        "\uC195",  # ; HANGUL SYLLABLE SOLG
        "\uC196",  # ; HANGUL SYLLABLE SOLM
        "\uC197",  # ; HANGUL SYLLABLE SOLB
        "\uC198",  # ; HANGUL SYLLABLE SOLS
        "\uC199",  # ; HANGUL SYLLABLE SOLT
        "\uC19A",  # ; HANGUL SYLLABLE SOLP
        "\uC19B",  # ; HANGUL SYLLABLE SOLH
        "\uC19C",  # ; HANGUL SYLLABLE SOM
        "\uC19D",  # ; HANGUL SYLLABLE SOB
        "\uC19E",  # ; HANGUL SYLLABLE SOBS
        "\uC19F",  # ; HANGUL SYLLABLE SOS
        "\uC1A0",  # ; HANGUL SYLLABLE SOSS
        "\uC1A1",  # ; HANGUL SYLLABLE SONG
        "\uC1A2",  # ; HANGUL SYLLABLE SOJ
        "\uC1A3",  # ; HANGUL SYLLABLE SOC
        "\uC1A4",  # ; HANGUL SYLLABLE SOK
        "\uC1A5",  # ; HANGUL SYLLABLE SOT
        "\uC1A6",  # ; HANGUL SYLLABLE SOP
        "\uC1A7",  # ; HANGUL SYLLABLE SOH
        "\uC1A8",  # ; HANGUL SYLLABLE SWA
        "\uC1A9",  # ; HANGUL SYLLABLE SWAG
        "\uC1AA",  # ; HANGUL SYLLABLE SWAGG
        "\uC1AB",  # ; HANGUL SYLLABLE SWAGS
        "\uC1AC",  # ; HANGUL SYLLABLE SWAN
        "\uC1AD",  # ; HANGUL SYLLABLE SWANJ
        "\uC1AE",  # ; HANGUL SYLLABLE SWANH
        "\uC1AF",  # ; HANGUL SYLLABLE SWAD
        "\uC1B0",  # ; HANGUL SYLLABLE SWAL
        "\uC1B1",  # ; HANGUL SYLLABLE SWALG
        "\uC1B2",  # ; HANGUL SYLLABLE SWALM
        "\uC1B3",  # ; HANGUL SYLLABLE SWALB
        "\uC1B4",  # ; HANGUL SYLLABLE SWALS
        "\uC1B5",  # ; HANGUL SYLLABLE SWALT
        "\uC1B6",  # ; HANGUL SYLLABLE SWALP
        "\uC1B7",  # ; HANGUL SYLLABLE SWALH
        "\uC1B8",  # ; HANGUL SYLLABLE SWAM
        "\uC1B9",  # ; HANGUL SYLLABLE SWAB
        "\uC1BA",  # ; HANGUL SYLLABLE SWABS
        "\uC1BB",  # ; HANGUL SYLLABLE SWAS
        "\uC1BC",  # ; HANGUL SYLLABLE SWASS
        "\uC1BD",  # ; HANGUL SYLLABLE SWANG
        "\uC1BE",  # ; HANGUL SYLLABLE SWAJ
        "\uC1BF",  # ; HANGUL SYLLABLE SWAC
        "\uC1C0",  # ; HANGUL SYLLABLE SWAK
        "\uC1C1",  # ; HANGUL SYLLABLE SWAT
        "\uC1C2",  # ; HANGUL SYLLABLE SWAP
        "\uC1C3",  # ; HANGUL SYLLABLE SWAH
        "\uC1C4",  # ; HANGUL SYLLABLE SWAE
        "\uC1C5",  # ; HANGUL SYLLABLE SWAEG
        "\uC1C6",  # ; HANGUL SYLLABLE SWAEGG
        "\uC1C7",  # ; HANGUL SYLLABLE SWAEGS
        "\uC1C8",  # ; HANGUL SYLLABLE SWAEN
        "\uC1C9",  # ; HANGUL SYLLABLE SWAENJ
        "\uC1CA",  # ; HANGUL SYLLABLE SWAENH
        "\uC1CB",  # ; HANGUL SYLLABLE SWAED
        "\uC1CC",  # ; HANGUL SYLLABLE SWAEL
        "\uC1CD",  # ; HANGUL SYLLABLE SWAELG
        "\uC1CE",  # ; HANGUL SYLLABLE SWAELM
        "\uC1CF",  # ; HANGUL SYLLABLE SWAELB
        "\uC1D0",  # ; HANGUL SYLLABLE SWAELS
        "\uC1D1",  # ; HANGUL SYLLABLE SWAELT
        "\uC1D2",  # ; HANGUL SYLLABLE SWAELP
        "\uC1D3",  # ; HANGUL SYLLABLE SWAELH
        "\uC1D4",  # ; HANGUL SYLLABLE SWAEM
        "\uC1D5",  # ; HANGUL SYLLABLE SWAEB
        "\uC1D6",  # ; HANGUL SYLLABLE SWAEBS
        "\uC1D7",  # ; HANGUL SYLLABLE SWAES
        "\uC1D8",  # ; HANGUL SYLLABLE SWAESS
        "\uC1D9",  # ; HANGUL SYLLABLE SWAENG
        "\uC1DA",  # ; HANGUL SYLLABLE SWAEJ
        "\uC1DB",  # ; HANGUL SYLLABLE SWAEC
        "\uC1DC",  # ; HANGUL SYLLABLE SWAEK
        "\uC1DD",  # ; HANGUL SYLLABLE SWAET
        "\uC1DE",  # ; HANGUL SYLLABLE SWAEP
        "\uC1DF",  # ; HANGUL SYLLABLE SWAEH
        "\uC1E0",  # ; HANGUL SYLLABLE SOE
        "\uC1E1",  # ; HANGUL SYLLABLE SOEG
        "\uC1E2",  # ; HANGUL SYLLABLE SOEGG
        "\uC1E3",  # ; HANGUL SYLLABLE SOEGS
        "\uC1E4",  # ; HANGUL SYLLABLE SOEN
        "\uC1E5",  # ; HANGUL SYLLABLE SOENJ
        "\uC1E6",  # ; HANGUL SYLLABLE SOENH
        "\uC1E7",  # ; HANGUL SYLLABLE SOED
        "\uC1E8",  # ; HANGUL SYLLABLE SOEL
        "\uC1E9",  # ; HANGUL SYLLABLE SOELG
        "\uC1EA",  # ; HANGUL SYLLABLE SOELM
        "\uC1EB",  # ; HANGUL SYLLABLE SOELB
        "\uC1EC",  # ; HANGUL SYLLABLE SOELS
        "\uC1ED",  # ; HANGUL SYLLABLE SOELT
        "\uC1EE",  # ; HANGUL SYLLABLE SOELP
        "\uC1EF",  # ; HANGUL SYLLABLE SOELH
        "\uC1F0",  # ; HANGUL SYLLABLE SOEM
        "\uC1F1",  # ; HANGUL SYLLABLE SOEB
        "\uC1F2",  # ; HANGUL SYLLABLE SOEBS
        "\uC1F3",  # ; HANGUL SYLLABLE SOES
        "\uC1F4",  # ; HANGUL SYLLABLE SOESS
        "\uC1F5",  # ; HANGUL SYLLABLE SOENG
        "\uC1F6",  # ; HANGUL SYLLABLE SOEJ
        "\uC1F7",  # ; HANGUL SYLLABLE SOEC
        "\uC1F8",  # ; HANGUL SYLLABLE SOEK
        "\uC1F9",  # ; HANGUL SYLLABLE SOET
        "\uC1FA",  # ; HANGUL SYLLABLE SOEP
        "\uC1FB",  # ; HANGUL SYLLABLE SOEH
        "\uC1FC",  # ; HANGUL SYLLABLE SYO
        "\uC1FD",  # ; HANGUL SYLLABLE SYOG
        "\uC1FE",  # ; HANGUL SYLLABLE SYOGG
        "\uC1FF",  # ; HANGUL SYLLABLE SYOGS
        "\uC200",  # ; HANGUL SYLLABLE SYON
        "\uC201",  # ; HANGUL SYLLABLE SYONJ
        "\uC202",  # ; HANGUL SYLLABLE SYONH
        "\uC203",  # ; HANGUL SYLLABLE SYOD
        "\uC204",  # ; HANGUL SYLLABLE SYOL
        "\uC205",  # ; HANGUL SYLLABLE SYOLG
        "\uC206",  # ; HANGUL SYLLABLE SYOLM
        "\uC207",  # ; HANGUL SYLLABLE SYOLB
        "\uC208",  # ; HANGUL SYLLABLE SYOLS
        "\uC209",  # ; HANGUL SYLLABLE SYOLT
        "\uC20A",  # ; HANGUL SYLLABLE SYOLP
        "\uC20B",  # ; HANGUL SYLLABLE SYOLH
        "\uC20C",  # ; HANGUL SYLLABLE SYOM
        "\uC20D",  # ; HANGUL SYLLABLE SYOB
        "\uC20E",  # ; HANGUL SYLLABLE SYOBS
        "\uC20F",  # ; HANGUL SYLLABLE SYOS
        "\uC210",  # ; HANGUL SYLLABLE SYOSS
        "\uC211",  # ; HANGUL SYLLABLE SYONG
        "\uC212",  # ; HANGUL SYLLABLE SYOJ
        "\uC213",  # ; HANGUL SYLLABLE SYOC
        "\uC214",  # ; HANGUL SYLLABLE SYOK
        "\uC215",  # ; HANGUL SYLLABLE SYOT
        "\uC216",  # ; HANGUL SYLLABLE SYOP
        "\uC217",  # ; HANGUL SYLLABLE SYOH
        "\uC218",  # ; HANGUL SYLLABLE SU
        "\uC219",  # ; HANGUL SYLLABLE SUG
        "\uC21A",  # ; HANGUL SYLLABLE SUGG
        "\uC21B",  # ; HANGUL SYLLABLE SUGS
        "\uC21C",  # ; HANGUL SYLLABLE SUN
        "\uC21D",  # ; HANGUL SYLLABLE SUNJ
        "\uC21E",  # ; HANGUL SYLLABLE SUNH
        "\uC21F",  # ; HANGUL SYLLABLE SUD
        "\uC220",  # ; HANGUL SYLLABLE SUL
        "\uC221",  # ; HANGUL SYLLABLE SULG
        "\uC222",  # ; HANGUL SYLLABLE SULM
        "\uC223",  # ; HANGUL SYLLABLE SULB
        "\uC224",  # ; HANGUL SYLLABLE SULS
        "\uC225",  # ; HANGUL SYLLABLE SULT
        "\uC226",  # ; HANGUL SYLLABLE SULP
        "\uC227",  # ; HANGUL SYLLABLE SULH
        "\uC228",  # ; HANGUL SYLLABLE SUM
        "\uC229",  # ; HANGUL SYLLABLE SUB
        "\uC22A",  # ; HANGUL SYLLABLE SUBS
        "\uC22B",  # ; HANGUL SYLLABLE SUS
        "\uC22C",  # ; HANGUL SYLLABLE SUSS
        "\uC22D",  # ; HANGUL SYLLABLE SUNG
        "\uC22E",  # ; HANGUL SYLLABLE SUJ
        "\uC22F",  # ; HANGUL SYLLABLE SUC
        "\uC230",  # ; HANGUL SYLLABLE SUK
        "\uC231",  # ; HANGUL SYLLABLE SUT
        "\uC232",  # ; HANGUL SYLLABLE SUP
        "\uC233",  # ; HANGUL SYLLABLE SUH
        "\uC234",  # ; HANGUL SYLLABLE SWEO
        "\uC235",  # ; HANGUL SYLLABLE SWEOG
        "\uC236",  # ; HANGUL SYLLABLE SWEOGG
        "\uC237",  # ; HANGUL SYLLABLE SWEOGS
        "\uC238",  # ; HANGUL SYLLABLE SWEON
        "\uC239",  # ; HANGUL SYLLABLE SWEONJ
        "\uC23A",  # ; HANGUL SYLLABLE SWEONH
        "\uC23B",  # ; HANGUL SYLLABLE SWEOD
        "\uC23C",  # ; HANGUL SYLLABLE SWEOL
        "\uC23D",  # ; HANGUL SYLLABLE SWEOLG
        "\uC23E",  # ; HANGUL SYLLABLE SWEOLM
        "\uC23F",  # ; HANGUL SYLLABLE SWEOLB
        "\uC240",  # ; HANGUL SYLLABLE SWEOLS
        "\uC241",  # ; HANGUL SYLLABLE SWEOLT
        "\uC242",  # ; HANGUL SYLLABLE SWEOLP
        "\uC243",  # ; HANGUL SYLLABLE SWEOLH
        "\uC244",  # ; HANGUL SYLLABLE SWEOM
        "\uC245",  # ; HANGUL SYLLABLE SWEOB
        "\uC246",  # ; HANGUL SYLLABLE SWEOBS
        "\uC247",  # ; HANGUL SYLLABLE SWEOS
        "\uC248",  # ; HANGUL SYLLABLE SWEOSS
        "\uC249",  # ; HANGUL SYLLABLE SWEONG
        "\uC24A",  # ; HANGUL SYLLABLE SWEOJ
        "\uC24B",  # ; HANGUL SYLLABLE SWEOC
        "\uC24C",  # ; HANGUL SYLLABLE SWEOK
        "\uC24D",  # ; HANGUL SYLLABLE SWEOT
        "\uC24E",  # ; HANGUL SYLLABLE SWEOP
        "\uC24F",  # ; HANGUL SYLLABLE SWEOH
        "\uC250",  # ; HANGUL SYLLABLE SWE
        "\uC251",  # ; HANGUL SYLLABLE SWEG
        "\uC252",  # ; HANGUL SYLLABLE SWEGG
        "\uC253",  # ; HANGUL SYLLABLE SWEGS
        "\uC254",  # ; HANGUL SYLLABLE SWEN
        "\uC255",  # ; HANGUL SYLLABLE SWENJ
        "\uC256",  # ; HANGUL SYLLABLE SWENH
        "\uC257",  # ; HANGUL SYLLABLE SWED
        "\uC258",  # ; HANGUL SYLLABLE SWEL
        "\uC259",  # ; HANGUL SYLLABLE SWELG
        "\uC25A",  # ; HANGUL SYLLABLE SWELM
        "\uC25B",  # ; HANGUL SYLLABLE SWELB
        "\uC25C",  # ; HANGUL SYLLABLE SWELS
        "\uC25D",  # ; HANGUL SYLLABLE SWELT
        "\uC25E",  # ; HANGUL SYLLABLE SWELP
        "\uC25F",  # ; HANGUL SYLLABLE SWELH
        "\uC260",  # ; HANGUL SYLLABLE SWEM
        "\uC261",  # ; HANGUL SYLLABLE SWEB
        "\uC262",  # ; HANGUL SYLLABLE SWEBS
        "\uC263",  # ; HANGUL SYLLABLE SWES
        "\uC264",  # ; HANGUL SYLLABLE SWESS
        "\uC265",  # ; HANGUL SYLLABLE SWENG
        "\uC266",  # ; HANGUL SYLLABLE SWEJ
        "\uC267",  # ; HANGUL SYLLABLE SWEC
        "\uC268",  # ; HANGUL SYLLABLE SWEK
        "\uC269",  # ; HANGUL SYLLABLE SWET
        "\uC26A",  # ; HANGUL SYLLABLE SWEP
        "\uC26B",  # ; HANGUL SYLLABLE SWEH
        "\uC26C",  # ; HANGUL SYLLABLE SWI
        "\uC26D",  # ; HANGUL SYLLABLE SWIG
        "\uC26E",  # ; HANGUL SYLLABLE SWIGG
        "\uC26F",  # ; HANGUL SYLLABLE SWIGS
        "\uC270",  # ; HANGUL SYLLABLE SWIN
        "\uC271",  # ; HANGUL SYLLABLE SWINJ
        "\uC272",  # ; HANGUL SYLLABLE SWINH
        "\uC273",  # ; HANGUL SYLLABLE SWID
        "\uC274",  # ; HANGUL SYLLABLE SWIL
        "\uC275",  # ; HANGUL SYLLABLE SWILG
        "\uC276",  # ; HANGUL SYLLABLE SWILM
        "\uC277",  # ; HANGUL SYLLABLE SWILB
        "\uC278",  # ; HANGUL SYLLABLE SWILS
        "\uC279",  # ; HANGUL SYLLABLE SWILT
        "\uC27A",  # ; HANGUL SYLLABLE SWILP
        "\uC27B",  # ; HANGUL SYLLABLE SWILH
        "\uC27C",  # ; HANGUL SYLLABLE SWIM
        "\uC27D",  # ; HANGUL SYLLABLE SWIB
        "\uC27E",  # ; HANGUL SYLLABLE SWIBS
        "\uC27F",  # ; HANGUL SYLLABLE SWIS
        "\uC280",  # ; HANGUL SYLLABLE SWISS
        "\uC281",  # ; HANGUL SYLLABLE SWING
        "\uC282",  # ; HANGUL SYLLABLE SWIJ
        "\uC283",  # ; HANGUL SYLLABLE SWIC
        "\uC284",  # ; HANGUL SYLLABLE SWIK
        "\uC285",  # ; HANGUL SYLLABLE SWIT
        "\uC286",  # ; HANGUL SYLLABLE SWIP
        "\uC287",  # ; HANGUL SYLLABLE SWIH
        "\uC288",  # ; HANGUL SYLLABLE SYU
        "\uC289",  # ; HANGUL SYLLABLE SYUG
        "\uC28A",  # ; HANGUL SYLLABLE SYUGG
        "\uC28B",  # ; HANGUL SYLLABLE SYUGS
        "\uC28C",  # ; HANGUL SYLLABLE SYUN
        "\uC28D",  # ; HANGUL SYLLABLE SYUNJ
        "\uC28E",  # ; HANGUL SYLLABLE SYUNH
        "\uC28F",  # ; HANGUL SYLLABLE SYUD
        "\uC290",  # ; HANGUL SYLLABLE SYUL
        "\uC291",  # ; HANGUL SYLLABLE SYULG
        "\uC292",  # ; HANGUL SYLLABLE SYULM
        "\uC293",  # ; HANGUL SYLLABLE SYULB
        "\uC294",  # ; HANGUL SYLLABLE SYULS
        "\uC295",  # ; HANGUL SYLLABLE SYULT
        "\uC296",  # ; HANGUL SYLLABLE SYULP
        "\uC297",  # ; HANGUL SYLLABLE SYULH
        "\uC298",  # ; HANGUL SYLLABLE SYUM
        "\uC299",  # ; HANGUL SYLLABLE SYUB
        "\uC29A",  # ; HANGUL SYLLABLE SYUBS
        "\uC29B",  # ; HANGUL SYLLABLE SYUS
        "\uC29C",  # ; HANGUL SYLLABLE SYUSS
        "\uC29D",  # ; HANGUL SYLLABLE SYUNG
        "\uC29E",  # ; HANGUL SYLLABLE SYUJ
        "\uC29F",  # ; HANGUL SYLLABLE SYUC
        "\uC2A0",  # ; HANGUL SYLLABLE SYUK
        "\uC2A1",  # ; HANGUL SYLLABLE SYUT
        "\uC2A2",  # ; HANGUL SYLLABLE SYUP
        "\uC2A3",  # ; HANGUL SYLLABLE SYUH
        "\uC2A4",  # ; HANGUL SYLLABLE SEU
        "\uC2A5",  # ; HANGUL SYLLABLE SEUG
        "\uC2A6",  # ; HANGUL SYLLABLE SEUGG
        "\uC2A7",  # ; HANGUL SYLLABLE SEUGS
        "\uC2A8",  # ; HANGUL SYLLABLE SEUN
        "\uC2A9",  # ; HANGUL SYLLABLE SEUNJ
        "\uC2AA",  # ; HANGUL SYLLABLE SEUNH
        "\uC2AB",  # ; HANGUL SYLLABLE SEUD
        "\uC2AC",  # ; HANGUL SYLLABLE SEUL
        "\uC2AD",  # ; HANGUL SYLLABLE SEULG
        "\uC2AE",  # ; HANGUL SYLLABLE SEULM
        "\uC2AF",  # ; HANGUL SYLLABLE SEULB
        "\uC2B0",  # ; HANGUL SYLLABLE SEULS
        "\uC2B1",  # ; HANGUL SYLLABLE SEULT
        "\uC2B2",  # ; HANGUL SYLLABLE SEULP
        "\uC2B3",  # ; HANGUL SYLLABLE SEULH
        "\uC2B4",  # ; HANGUL SYLLABLE SEUM
        "\uC2B5",  # ; HANGUL SYLLABLE SEUB
        "\uC2B6",  # ; HANGUL SYLLABLE SEUBS
        "\uC2B7",  # ; HANGUL SYLLABLE SEUS
        "\uC2B8",  # ; HANGUL SYLLABLE SEUSS
        "\uC2B9",  # ; HANGUL SYLLABLE SEUNG
        "\uC2BA",  # ; HANGUL SYLLABLE SEUJ
        "\uC2BB",  # ; HANGUL SYLLABLE SEUC
        "\uC2BC",  # ; HANGUL SYLLABLE SEUK
        "\uC2BD",  # ; HANGUL SYLLABLE SEUT
        "\uC2BE",  # ; HANGUL SYLLABLE SEUP
        "\uC2BF",  # ; HANGUL SYLLABLE SEUH
        "\uC2C0",  # ; HANGUL SYLLABLE SYI
        "\uC2C1",  # ; HANGUL SYLLABLE SYIG
        "\uC2C2",  # ; HANGUL SYLLABLE SYIGG
        "\uC2C3",  # ; HANGUL SYLLABLE SYIGS
        "\uC2C4",  # ; HANGUL SYLLABLE SYIN
        "\uC2C5",  # ; HANGUL SYLLABLE SYINJ
        "\uC2C6",  # ; HANGUL SYLLABLE SYINH
        "\uC2C7",  # ; HANGUL SYLLABLE SYID
        "\uC2C8",  # ; HANGUL SYLLABLE SYIL
        "\uC2C9",  # ; HANGUL SYLLABLE SYILG
        "\uC2CA",  # ; HANGUL SYLLABLE SYILM
        "\uC2CB",  # ; HANGUL SYLLABLE SYILB
        "\uC2CC",  # ; HANGUL SYLLABLE SYILS
        "\uC2CD",  # ; HANGUL SYLLABLE SYILT
        "\uC2CE",  # ; HANGUL SYLLABLE SYILP
        "\uC2CF",  # ; HANGUL SYLLABLE SYILH
        "\uC2D0",  # ; HANGUL SYLLABLE SYIM
        "\uC2D1",  # ; HANGUL SYLLABLE SYIB
        "\uC2D2",  # ; HANGUL SYLLABLE SYIBS
        "\uC2D3",  # ; HANGUL SYLLABLE SYIS
        "\uC2D4",  # ; HANGUL SYLLABLE SYISS
        "\uC2D5",  # ; HANGUL SYLLABLE SYING
        "\uC2D6",  # ; HANGUL SYLLABLE SYIJ
        "\uC2D7",  # ; HANGUL SYLLABLE SYIC
        "\uC2D8",  # ; HANGUL SYLLABLE SYIK
        "\uC2D9",  # ; HANGUL SYLLABLE SYIT
        "\uC2DA",  # ; HANGUL SYLLABLE SYIP
        "\uC2DB",  # ; HANGUL SYLLABLE SYIH
        "\uC2DC",  # ; HANGUL SYLLABLE SI
        "\uC2DD",  # ; HANGUL SYLLABLE SIG
        "\uC2DE",  # ; HANGUL SYLLABLE SIGG
        "\uC2DF",  # ; HANGUL SYLLABLE SIGS
        "\uC2E0",  # ; HANGUL SYLLABLE SIN
        "\uC2E1",  # ; HANGUL SYLLABLE SINJ
        "\uC2E2",  # ; HANGUL SYLLABLE SINH
        "\uC2E3",  # ; HANGUL SYLLABLE SID
        "\uC2E4",  # ; HANGUL SYLLABLE SIL
        "\uC2E5",  # ; HANGUL SYLLABLE SILG
        "\uC2E6",  # ; HANGUL SYLLABLE SILM
        "\uC2E7",  # ; HANGUL SYLLABLE SILB
        "\uC2E8",  # ; HANGUL SYLLABLE SILS
        "\uC2E9",  # ; HANGUL SYLLABLE SILT
        "\uC2EA",  # ; HANGUL SYLLABLE SILP
        "\uC2EB",  # ; HANGUL SYLLABLE SILH
        "\uC2EC",  # ; HANGUL SYLLABLE SIM
        "\uC2ED",  # ; HANGUL SYLLABLE SIB
        "\uC2EE",  # ; HANGUL SYLLABLE SIBS
        "\uC2EF",  # ; HANGUL SYLLABLE SIS
        "\uC2F0",  # ; HANGUL SYLLABLE SISS
        "\uC2F1",  # ; HANGUL SYLLABLE SING
        "\uC2F2",  # ; HANGUL SYLLABLE SIJ
        "\uC2F3",  # ; HANGUL SYLLABLE SIC
        "\uC2F4",  # ; HANGUL SYLLABLE SIK
        "\uC2F5",  # ; HANGUL SYLLABLE SIT
        "\uC2F6",  # ; HANGUL SYLLABLE SIP
        "\uC2F7",  # ; HANGUL SYLLABLE SIH
        "\uC2F8",  # ; HANGUL SYLLABLE SSA
        "\uC2F9",  # ; HANGUL SYLLABLE SSAG
        "\uC2FA",  # ; HANGUL SYLLABLE SSAGG
        "\uC2FB",  # ; HANGUL SYLLABLE SSAGS
        "\uC2FC",  # ; HANGUL SYLLABLE SSAN
        "\uC2FD",  # ; HANGUL SYLLABLE SSANJ
        "\uC2FE",  # ; HANGUL SYLLABLE SSANH
        "\uC2FF",  # ; HANGUL SYLLABLE SSAD
        "\uC300",  # ; HANGUL SYLLABLE SSAL
        "\uC301",  # ; HANGUL SYLLABLE SSALG
        "\uC302",  # ; HANGUL SYLLABLE SSALM
        "\uC303",  # ; HANGUL SYLLABLE SSALB
        "\uC304",  # ; HANGUL SYLLABLE SSALS
        "\uC305",  # ; HANGUL SYLLABLE SSALT
        "\uC306",  # ; HANGUL SYLLABLE SSALP
        "\uC307",  # ; HANGUL SYLLABLE SSALH
        "\uC308",  # ; HANGUL SYLLABLE SSAM
        "\uC309",  # ; HANGUL SYLLABLE SSAB
        "\uC30A",  # ; HANGUL SYLLABLE SSABS
        "\uC30B",  # ; HANGUL SYLLABLE SSAS
        "\uC30C",  # ; HANGUL SYLLABLE SSASS
        "\uC30D",  # ; HANGUL SYLLABLE SSANG
        "\uC30E",  # ; HANGUL SYLLABLE SSAJ
        "\uC30F",  # ; HANGUL SYLLABLE SSAC
        "\uC310",  # ; HANGUL SYLLABLE SSAK
        "\uC311",  # ; HANGUL SYLLABLE SSAT
        "\uC312",  # ; HANGUL SYLLABLE SSAP
        "\uC313",  # ; HANGUL SYLLABLE SSAH
        "\uC314",  # ; HANGUL SYLLABLE SSAE
        "\uC315",  # ; HANGUL SYLLABLE SSAEG
        "\uC316",  # ; HANGUL SYLLABLE SSAEGG
        "\uC317",  # ; HANGUL SYLLABLE SSAEGS
        "\uC318",  # ; HANGUL SYLLABLE SSAEN
        "\uC319",  # ; HANGUL SYLLABLE SSAENJ
        "\uC31A",  # ; HANGUL SYLLABLE SSAENH
        "\uC31B",  # ; HANGUL SYLLABLE SSAED
        "\uC31C",  # ; HANGUL SYLLABLE SSAEL
        "\uC31D",  # ; HANGUL SYLLABLE SSAELG
        "\uC31E",  # ; HANGUL SYLLABLE SSAELM
        "\uC31F",  # ; HANGUL SYLLABLE SSAELB
        "\uC320",  # ; HANGUL SYLLABLE SSAELS
        "\uC321",  # ; HANGUL SYLLABLE SSAELT
        "\uC322",  # ; HANGUL SYLLABLE SSAELP
        "\uC323",  # ; HANGUL SYLLABLE SSAELH
        "\uC324",  # ; HANGUL SYLLABLE SSAEM
        "\uC325",  # ; HANGUL SYLLABLE SSAEB
        "\uC326",  # ; HANGUL SYLLABLE SSAEBS
        "\uC327",  # ; HANGUL SYLLABLE SSAES
        "\uC328",  # ; HANGUL SYLLABLE SSAESS
        "\uC329",  # ; HANGUL SYLLABLE SSAENG
        "\uC32A",  # ; HANGUL SYLLABLE SSAEJ
        "\uC32B",  # ; HANGUL SYLLABLE SSAEC
        "\uC32C",  # ; HANGUL SYLLABLE SSAEK
        "\uC32D",  # ; HANGUL SYLLABLE SSAET
        "\uC32E",  # ; HANGUL SYLLABLE SSAEP
        "\uC32F",  # ; HANGUL SYLLABLE SSAEH
        "\uC330",  # ; HANGUL SYLLABLE SSYA
        "\uC331",  # ; HANGUL SYLLABLE SSYAG
        "\uC332",  # ; HANGUL SYLLABLE SSYAGG
        "\uC333",  # ; HANGUL SYLLABLE SSYAGS
        "\uC334",  # ; HANGUL SYLLABLE SSYAN
        "\uC335",  # ; HANGUL SYLLABLE SSYANJ
        "\uC336",  # ; HANGUL SYLLABLE SSYANH
        "\uC337",  # ; HANGUL SYLLABLE SSYAD
        "\uC338",  # ; HANGUL SYLLABLE SSYAL
        "\uC339",  # ; HANGUL SYLLABLE SSYALG
        "\uC33A",  # ; HANGUL SYLLABLE SSYALM
        "\uC33B",  # ; HANGUL SYLLABLE SSYALB
        "\uC33C",  # ; HANGUL SYLLABLE SSYALS
        "\uC33D",  # ; HANGUL SYLLABLE SSYALT
        "\uC33E",  # ; HANGUL SYLLABLE SSYALP
        "\uC33F",  # ; HANGUL SYLLABLE SSYALH
        "\uC340",  # ; HANGUL SYLLABLE SSYAM
        "\uC341",  # ; HANGUL SYLLABLE SSYAB
        "\uC342",  # ; HANGUL SYLLABLE SSYABS
        "\uC343",  # ; HANGUL SYLLABLE SSYAS
        "\uC344",  # ; HANGUL SYLLABLE SSYASS
        "\uC345",  # ; HANGUL SYLLABLE SSYANG
        "\uC346",  # ; HANGUL SYLLABLE SSYAJ
        "\uC347",  # ; HANGUL SYLLABLE SSYAC
        "\uC348",  # ; HANGUL SYLLABLE SSYAK
        "\uC349",  # ; HANGUL SYLLABLE SSYAT
        "\uC34A",  # ; HANGUL SYLLABLE SSYAP
        "\uC34B",  # ; HANGUL SYLLABLE SSYAH
        "\uC34C",  # ; HANGUL SYLLABLE SSYAE
        "\uC34D",  # ; HANGUL SYLLABLE SSYAEG
        "\uC34E",  # ; HANGUL SYLLABLE SSYAEGG
        "\uC34F",  # ; HANGUL SYLLABLE SSYAEGS
        "\uC350",  # ; HANGUL SYLLABLE SSYAEN
        "\uC351",  # ; HANGUL SYLLABLE SSYAENJ
        "\uC352",  # ; HANGUL SYLLABLE SSYAENH
        "\uC353",  # ; HANGUL SYLLABLE SSYAED
        "\uC354",  # ; HANGUL SYLLABLE SSYAEL
        "\uC355",  # ; HANGUL SYLLABLE SSYAELG
        "\uC356",  # ; HANGUL SYLLABLE SSYAELM
        "\uC357",  # ; HANGUL SYLLABLE SSYAELB
        "\uC358",  # ; HANGUL SYLLABLE SSYAELS
        "\uC359",  # ; HANGUL SYLLABLE SSYAELT
        "\uC35A",  # ; HANGUL SYLLABLE SSYAELP
        "\uC35B",  # ; HANGUL SYLLABLE SSYAELH
        "\uC35C",  # ; HANGUL SYLLABLE SSYAEM
        "\uC35D",  # ; HANGUL SYLLABLE SSYAEB
        "\uC35E",  # ; HANGUL SYLLABLE SSYAEBS
        "\uC35F",  # ; HANGUL SYLLABLE SSYAES
        "\uC360",  # ; HANGUL SYLLABLE SSYAESS
        "\uC361",  # ; HANGUL SYLLABLE SSYAENG
        "\uC362",  # ; HANGUL SYLLABLE SSYAEJ
        "\uC363",  # ; HANGUL SYLLABLE SSYAEC
        "\uC364",  # ; HANGUL SYLLABLE SSYAEK
        "\uC365",  # ; HANGUL SYLLABLE SSYAET
        "\uC366",  # ; HANGUL SYLLABLE SSYAEP
        "\uC367",  # ; HANGUL SYLLABLE SSYAEH
        "\uC368",  # ; HANGUL SYLLABLE SSEO
        "\uC369",  # ; HANGUL SYLLABLE SSEOG
        "\uC36A",  # ; HANGUL SYLLABLE SSEOGG
        "\uC36B",  # ; HANGUL SYLLABLE SSEOGS
        "\uC36C",  # ; HANGUL SYLLABLE SSEON
        "\uC36D",  # ; HANGUL SYLLABLE SSEONJ
        "\uC36E",  # ; HANGUL SYLLABLE SSEONH
        "\uC36F",  # ; HANGUL SYLLABLE SSEOD
        "\uC370",  # ; HANGUL SYLLABLE SSEOL
        "\uC371",  # ; HANGUL SYLLABLE SSEOLG
        "\uC372",  # ; HANGUL SYLLABLE SSEOLM
        "\uC373",  # ; HANGUL SYLLABLE SSEOLB
        "\uC374",  # ; HANGUL SYLLABLE SSEOLS
        "\uC375",  # ; HANGUL SYLLABLE SSEOLT
        "\uC376",  # ; HANGUL SYLLABLE SSEOLP
        "\uC377",  # ; HANGUL SYLLABLE SSEOLH
        "\uC378",  # ; HANGUL SYLLABLE SSEOM
        "\uC379",  # ; HANGUL SYLLABLE SSEOB
        "\uC37A",  # ; HANGUL SYLLABLE SSEOBS
        "\uC37B",  # ; HANGUL SYLLABLE SSEOS
        "\uC37C",  # ; HANGUL SYLLABLE SSEOSS
        "\uC37D",  # ; HANGUL SYLLABLE SSEONG
        "\uC37E",  # ; HANGUL SYLLABLE SSEOJ
        "\uC37F",  # ; HANGUL SYLLABLE SSEOC
        "\uC380",  # ; HANGUL SYLLABLE SSEOK
        "\uC381",  # ; HANGUL SYLLABLE SSEOT
        "\uC382",  # ; HANGUL SYLLABLE SSEOP
        "\uC383",  # ; HANGUL SYLLABLE SSEOH
        "\uC384",  # ; HANGUL SYLLABLE SSE
        "\uC385",  # ; HANGUL SYLLABLE SSEG
        "\uC386",  # ; HANGUL SYLLABLE SSEGG
        "\uC387",  # ; HANGUL SYLLABLE SSEGS
        "\uC388",  # ; HANGUL SYLLABLE SSEN
        "\uC389",  # ; HANGUL SYLLABLE SSENJ
        "\uC38A",  # ; HANGUL SYLLABLE SSENH
        "\uC38B",  # ; HANGUL SYLLABLE SSED
        "\uC38C",  # ; HANGUL SYLLABLE SSEL
        "\uC38D",  # ; HANGUL SYLLABLE SSELG
        "\uC38E",  # ; HANGUL SYLLABLE SSELM
        "\uC38F",  # ; HANGUL SYLLABLE SSELB
        "\uC390",  # ; HANGUL SYLLABLE SSELS
        "\uC391",  # ; HANGUL SYLLABLE SSELT
        "\uC392",  # ; HANGUL SYLLABLE SSELP
        "\uC393",  # ; HANGUL SYLLABLE SSELH
        "\uC394",  # ; HANGUL SYLLABLE SSEM
        "\uC395",  # ; HANGUL SYLLABLE SSEB
        "\uC396",  # ; HANGUL SYLLABLE SSEBS
        "\uC397",  # ; HANGUL SYLLABLE SSES
        "\uC398",  # ; HANGUL SYLLABLE SSESS
        "\uC399",  # ; HANGUL SYLLABLE SSENG
        "\uC39A",  # ; HANGUL SYLLABLE SSEJ
        "\uC39B",  # ; HANGUL SYLLABLE SSEC
        "\uC39C",  # ; HANGUL SYLLABLE SSEK
        "\uC39D",  # ; HANGUL SYLLABLE SSET
        "\uC39E",  # ; HANGUL SYLLABLE SSEP
        "\uC39F",  # ; HANGUL SYLLABLE SSEH
        "\uC3A0",  # ; HANGUL SYLLABLE SSYEO
        "\uC3A1",  # ; HANGUL SYLLABLE SSYEOG
        "\uC3A2",  # ; HANGUL SYLLABLE SSYEOGG
        "\uC3A3",  # ; HANGUL SYLLABLE SSYEOGS
        "\uC3A4",  # ; HANGUL SYLLABLE SSYEON
        "\uC3A5",  # ; HANGUL SYLLABLE SSYEONJ
        "\uC3A6",  # ; HANGUL SYLLABLE SSYEONH
        "\uC3A7",  # ; HANGUL SYLLABLE SSYEOD
        "\uC3A8",  # ; HANGUL SYLLABLE SSYEOL
        "\uC3A9",  # ; HANGUL SYLLABLE SSYEOLG
        "\uC3AA",  # ; HANGUL SYLLABLE SSYEOLM
        "\uC3AB",  # ; HANGUL SYLLABLE SSYEOLB
        "\uC3AC",  # ; HANGUL SYLLABLE SSYEOLS
        "\uC3AD",  # ; HANGUL SYLLABLE SSYEOLT
        "\uC3AE",  # ; HANGUL SYLLABLE SSYEOLP
        "\uC3AF",  # ; HANGUL SYLLABLE SSYEOLH
        "\uC3B0",  # ; HANGUL SYLLABLE SSYEOM
        "\uC3B1",  # ; HANGUL SYLLABLE SSYEOB
        "\uC3B2",  # ; HANGUL SYLLABLE SSYEOBS
        "\uC3B3",  # ; HANGUL SYLLABLE SSYEOS
        "\uC3B4",  # ; HANGUL SYLLABLE SSYEOSS
        "\uC3B5",  # ; HANGUL SYLLABLE SSYEONG
        "\uC3B6",  # ; HANGUL SYLLABLE SSYEOJ
        "\uC3B7",  # ; HANGUL SYLLABLE SSYEOC
        "\uC3B8",  # ; HANGUL SYLLABLE SSYEOK
        "\uC3B9",  # ; HANGUL SYLLABLE SSYEOT
        "\uC3BA",  # ; HANGUL SYLLABLE SSYEOP
        "\uC3BB",  # ; HANGUL SYLLABLE SSYEOH
        "\uC3BC",  # ; HANGUL SYLLABLE SSYE
        "\uC3BD",  # ; HANGUL SYLLABLE SSYEG
        "\uC3BE",  # ; HANGUL SYLLABLE SSYEGG
        "\uC3BF",  # ; HANGUL SYLLABLE SSYEGS
        "\uC3C0",  # ; HANGUL SYLLABLE SSYEN
        "\uC3C1",  # ; HANGUL SYLLABLE SSYENJ
        "\uC3C2",  # ; HANGUL SYLLABLE SSYENH
        "\uC3C3",  # ; HANGUL SYLLABLE SSYED
        "\uC3C4",  # ; HANGUL SYLLABLE SSYEL
        "\uC3C5",  # ; HANGUL SYLLABLE SSYELG
        "\uC3C6",  # ; HANGUL SYLLABLE SSYELM
        "\uC3C7",  # ; HANGUL SYLLABLE SSYELB
        "\uC3C8",  # ; HANGUL SYLLABLE SSYELS
        "\uC3C9",  # ; HANGUL SYLLABLE SSYELT
        "\uC3CA",  # ; HANGUL SYLLABLE SSYELP
        "\uC3CB",  # ; HANGUL SYLLABLE SSYELH
        "\uC3CC",  # ; HANGUL SYLLABLE SSYEM
        "\uC3CD",  # ; HANGUL SYLLABLE SSYEB
        "\uC3CE",  # ; HANGUL SYLLABLE SSYEBS
        "\uC3CF",  # ; HANGUL SYLLABLE SSYES
        "\uC3D0",  # ; HANGUL SYLLABLE SSYESS
        "\uC3D1",  # ; HANGUL SYLLABLE SSYENG
        "\uC3D2",  # ; HANGUL SYLLABLE SSYEJ
        "\uC3D3",  # ; HANGUL SYLLABLE SSYEC
        "\uC3D4",  # ; HANGUL SYLLABLE SSYEK
        "\uC3D5",  # ; HANGUL SYLLABLE SSYET
        "\uC3D6",  # ; HANGUL SYLLABLE SSYEP
        "\uC3D7",  # ; HANGUL SYLLABLE SSYEH
        "\uC3D8",  # ; HANGUL SYLLABLE SSO
        "\uC3D9",  # ; HANGUL SYLLABLE SSOG
        "\uC3DA",  # ; HANGUL SYLLABLE SSOGG
        "\uC3DB",  # ; HANGUL SYLLABLE SSOGS
        "\uC3DC",  # ; HANGUL SYLLABLE SSON
        "\uC3DD",  # ; HANGUL SYLLABLE SSONJ
        "\uC3DE",  # ; HANGUL SYLLABLE SSONH
        "\uC3DF",  # ; HANGUL SYLLABLE SSOD
        "\uC3E0",  # ; HANGUL SYLLABLE SSOL
        "\uC3E1",  # ; HANGUL SYLLABLE SSOLG
        "\uC3E2",  # ; HANGUL SYLLABLE SSOLM
        "\uC3E3",  # ; HANGUL SYLLABLE SSOLB
        "\uC3E4",  # ; HANGUL SYLLABLE SSOLS
        "\uC3E5",  # ; HANGUL SYLLABLE SSOLT
        "\uC3E6",  # ; HANGUL SYLLABLE SSOLP
        "\uC3E7",  # ; HANGUL SYLLABLE SSOLH
        "\uC3E8",  # ; HANGUL SYLLABLE SSOM
        "\uC3E9",  # ; HANGUL SYLLABLE SSOB
        "\uC3EA",  # ; HANGUL SYLLABLE SSOBS
        "\uC3EB",  # ; HANGUL SYLLABLE SSOS
        "\uC3EC",  # ; HANGUL SYLLABLE SSOSS
        "\uC3ED",  # ; HANGUL SYLLABLE SSONG
        "\uC3EE",  # ; HANGUL SYLLABLE SSOJ
        "\uC3EF",  # ; HANGUL SYLLABLE SSOC
        "\uC3F0",  # ; HANGUL SYLLABLE SSOK
        "\uC3F1",  # ; HANGUL SYLLABLE SSOT
        "\uC3F2",  # ; HANGUL SYLLABLE SSOP
        "\uC3F3",  # ; HANGUL SYLLABLE SSOH
        "\uC3F4",  # ; HANGUL SYLLABLE SSWA
        "\uC3F5",  # ; HANGUL SYLLABLE SSWAG
        "\uC3F6",  # ; HANGUL SYLLABLE SSWAGG
        "\uC3F7",  # ; HANGUL SYLLABLE SSWAGS
        "\uC3F8",  # ; HANGUL SYLLABLE SSWAN
        "\uC3F9",  # ; HANGUL SYLLABLE SSWANJ
        "\uC3FA",  # ; HANGUL SYLLABLE SSWANH
        "\uC3FB",  # ; HANGUL SYLLABLE SSWAD
        "\uC3FC",  # ; HANGUL SYLLABLE SSWAL
        "\uC3FD",  # ; HANGUL SYLLABLE SSWALG
        "\uC3FE",  # ; HANGUL SYLLABLE SSWALM
        "\uC3FF",  # ; HANGUL SYLLABLE SSWALB
        "\uC400",  # ; HANGUL SYLLABLE SSWALS
        "\uC401",  # ; HANGUL SYLLABLE SSWALT
        "\uC402",  # ; HANGUL SYLLABLE SSWALP
        "\uC403",  # ; HANGUL SYLLABLE SSWALH
        "\uC404",  # ; HANGUL SYLLABLE SSWAM
        "\uC405",  # ; HANGUL SYLLABLE SSWAB
        "\uC406",  # ; HANGUL SYLLABLE SSWABS
        "\uC407",  # ; HANGUL SYLLABLE SSWAS
        "\uC408",  # ; HANGUL SYLLABLE SSWASS
        "\uC409",  # ; HANGUL SYLLABLE SSWANG
        "\uC40A",  # ; HANGUL SYLLABLE SSWAJ
        "\uC40B",  # ; HANGUL SYLLABLE SSWAC
        "\uC40C",  # ; HANGUL SYLLABLE SSWAK
        "\uC40D",  # ; HANGUL SYLLABLE SSWAT
        "\uC40E",  # ; HANGUL SYLLABLE SSWAP
        "\uC40F",  # ; HANGUL SYLLABLE SSWAH
        "\uC410",  # ; HANGUL SYLLABLE SSWAE
        "\uC411",  # ; HANGUL SYLLABLE SSWAEG
        "\uC412",  # ; HANGUL SYLLABLE SSWAEGG
        "\uC413",  # ; HANGUL SYLLABLE SSWAEGS
        "\uC414",  # ; HANGUL SYLLABLE SSWAEN
        "\uC415",  # ; HANGUL SYLLABLE SSWAENJ
        "\uC416",  # ; HANGUL SYLLABLE SSWAENH
        "\uC417",  # ; HANGUL SYLLABLE SSWAED
        "\uC418",  # ; HANGUL SYLLABLE SSWAEL
        "\uC419",  # ; HANGUL SYLLABLE SSWAELG
        "\uC41A",  # ; HANGUL SYLLABLE SSWAELM
        "\uC41B",  # ; HANGUL SYLLABLE SSWAELB
        "\uC41C",  # ; HANGUL SYLLABLE SSWAELS
        "\uC41D",  # ; HANGUL SYLLABLE SSWAELT
        "\uC41E",  # ; HANGUL SYLLABLE SSWAELP
        "\uC41F",  # ; HANGUL SYLLABLE SSWAELH
        "\uC420",  # ; HANGUL SYLLABLE SSWAEM
        "\uC421",  # ; HANGUL SYLLABLE SSWAEB
        "\uC422",  # ; HANGUL SYLLABLE SSWAEBS
        "\uC423",  # ; HANGUL SYLLABLE SSWAES
        "\uC424",  # ; HANGUL SYLLABLE SSWAESS
        "\uC425",  # ; HANGUL SYLLABLE SSWAENG
        "\uC426",  # ; HANGUL SYLLABLE SSWAEJ
        "\uC427",  # ; HANGUL SYLLABLE SSWAEC
        "\uC428",  # ; HANGUL SYLLABLE SSWAEK
        "\uC429",  # ; HANGUL SYLLABLE SSWAET
        "\uC42A",  # ; HANGUL SYLLABLE SSWAEP
        "\uC42B",  # ; HANGUL SYLLABLE SSWAEH
        "\uC42C",  # ; HANGUL SYLLABLE SSOE
        "\uC42D",  # ; HANGUL SYLLABLE SSOEG
        "\uC42E",  # ; HANGUL SYLLABLE SSOEGG
        "\uC42F",  # ; HANGUL SYLLABLE SSOEGS
        "\uC430",  # ; HANGUL SYLLABLE SSOEN
        "\uC431",  # ; HANGUL SYLLABLE SSOENJ
        "\uC432",  # ; HANGUL SYLLABLE SSOENH
        "\uC433",  # ; HANGUL SYLLABLE SSOED
        "\uC434",  # ; HANGUL SYLLABLE SSOEL
        "\uC435",  # ; HANGUL SYLLABLE SSOELG
        "\uC436",  # ; HANGUL SYLLABLE SSOELM
        "\uC437",  # ; HANGUL SYLLABLE SSOELB
        "\uC438",  # ; HANGUL SYLLABLE SSOELS
        "\uC439",  # ; HANGUL SYLLABLE SSOELT
        "\uC43A",  # ; HANGUL SYLLABLE SSOELP
        "\uC43B",  # ; HANGUL SYLLABLE SSOELH
        "\uC43C",  # ; HANGUL SYLLABLE SSOEM
        "\uC43D",  # ; HANGUL SYLLABLE SSOEB
        "\uC43E",  # ; HANGUL SYLLABLE SSOEBS
        "\uC43F",  # ; HANGUL SYLLABLE SSOES
        "\uC440",  # ; HANGUL SYLLABLE SSOESS
        "\uC441",  # ; HANGUL SYLLABLE SSOENG
        "\uC442",  # ; HANGUL SYLLABLE SSOEJ
        "\uC443",  # ; HANGUL SYLLABLE SSOEC
        "\uC444",  # ; HANGUL SYLLABLE SSOEK
        "\uC445",  # ; HANGUL SYLLABLE SSOET
        "\uC446",  # ; HANGUL SYLLABLE SSOEP
        "\uC447",  # ; HANGUL SYLLABLE SSOEH
        "\uC448",  # ; HANGUL SYLLABLE SSYO
        "\uC449",  # ; HANGUL SYLLABLE SSYOG
        "\uC44A",  # ; HANGUL SYLLABLE SSYOGG
        "\uC44B",  # ; HANGUL SYLLABLE SSYOGS
        "\uC44C",  # ; HANGUL SYLLABLE SSYON
        "\uC44D",  # ; HANGUL SYLLABLE SSYONJ
        "\uC44E",  # ; HANGUL SYLLABLE SSYONH
        "\uC44F",  # ; HANGUL SYLLABLE SSYOD
        "\uC450",  # ; HANGUL SYLLABLE SSYOL
        "\uC451",  # ; HANGUL SYLLABLE SSYOLG
        "\uC452",  # ; HANGUL SYLLABLE SSYOLM
        "\uC453",  # ; HANGUL SYLLABLE SSYOLB
        "\uC454",  # ; HANGUL SYLLABLE SSYOLS
        "\uC455",  # ; HANGUL SYLLABLE SSYOLT
        "\uC456",  # ; HANGUL SYLLABLE SSYOLP
        "\uC457",  # ; HANGUL SYLLABLE SSYOLH
        "\uC458",  # ; HANGUL SYLLABLE SSYOM
        "\uC459",  # ; HANGUL SYLLABLE SSYOB
        "\uC45A",  # ; HANGUL SYLLABLE SSYOBS
        "\uC45B",  # ; HANGUL SYLLABLE SSYOS
        "\uC45C",  # ; HANGUL SYLLABLE SSYOSS
        "\uC45D",  # ; HANGUL SYLLABLE SSYONG
        "\uC45E",  # ; HANGUL SYLLABLE SSYOJ
        "\uC45F",  # ; HANGUL SYLLABLE SSYOC
        "\uC460",  # ; HANGUL SYLLABLE SSYOK
        "\uC461",  # ; HANGUL SYLLABLE SSYOT
        "\uC462",  # ; HANGUL SYLLABLE SSYOP
        "\uC463",  # ; HANGUL SYLLABLE SSYOH
        "\uC464",  # ; HANGUL SYLLABLE SSU
        "\uC465",  # ; HANGUL SYLLABLE SSUG
        "\uC466",  # ; HANGUL SYLLABLE SSUGG
        "\uC467",  # ; HANGUL SYLLABLE SSUGS
        "\uC468",  # ; HANGUL SYLLABLE SSUN
        "\uC469",  # ; HANGUL SYLLABLE SSUNJ
        "\uC46A",  # ; HANGUL SYLLABLE SSUNH
        "\uC46B",  # ; HANGUL SYLLABLE SSUD
        "\uC46C",  # ; HANGUL SYLLABLE SSUL
        "\uC46D",  # ; HANGUL SYLLABLE SSULG
        "\uC46E",  # ; HANGUL SYLLABLE SSULM
        "\uC46F",  # ; HANGUL SYLLABLE SSULB
        "\uC470",  # ; HANGUL SYLLABLE SSULS
        "\uC471",  # ; HANGUL SYLLABLE SSULT
        "\uC472",  # ; HANGUL SYLLABLE SSULP
        "\uC473",  # ; HANGUL SYLLABLE SSULH
        "\uC474",  # ; HANGUL SYLLABLE SSUM
        "\uC475",  # ; HANGUL SYLLABLE SSUB
        "\uC476",  # ; HANGUL SYLLABLE SSUBS
        "\uC477",  # ; HANGUL SYLLABLE SSUS
        "\uC478",  # ; HANGUL SYLLABLE SSUSS
        "\uC479",  # ; HANGUL SYLLABLE SSUNG
        "\uC47A",  # ; HANGUL SYLLABLE SSUJ
        "\uC47B",  # ; HANGUL SYLLABLE SSUC
        "\uC47C",  # ; HANGUL SYLLABLE SSUK
        "\uC47D",  # ; HANGUL SYLLABLE SSUT
        "\uC47E",  # ; HANGUL SYLLABLE SSUP
        "\uC47F",  # ; HANGUL SYLLABLE SSUH
        "\uC480",  # ; HANGUL SYLLABLE SSWEO
        "\uC481",  # ; HANGUL SYLLABLE SSWEOG
        "\uC482",  # ; HANGUL SYLLABLE SSWEOGG
        "\uC483",  # ; HANGUL SYLLABLE SSWEOGS
        "\uC484",  # ; HANGUL SYLLABLE SSWEON
        "\uC485",  # ; HANGUL SYLLABLE SSWEONJ
        "\uC486",  # ; HANGUL SYLLABLE SSWEONH
        "\uC487",  # ; HANGUL SYLLABLE SSWEOD
        "\uC488",  # ; HANGUL SYLLABLE SSWEOL
        "\uC489",  # ; HANGUL SYLLABLE SSWEOLG
        "\uC48A",  # ; HANGUL SYLLABLE SSWEOLM
        "\uC48B",  # ; HANGUL SYLLABLE SSWEOLB
        "\uC48C",  # ; HANGUL SYLLABLE SSWEOLS
        "\uC48D",  # ; HANGUL SYLLABLE SSWEOLT
        "\uC48E",  # ; HANGUL SYLLABLE SSWEOLP
        "\uC48F",  # ; HANGUL SYLLABLE SSWEOLH
        "\uC490",  # ; HANGUL SYLLABLE SSWEOM
        "\uC491",  # ; HANGUL SYLLABLE SSWEOB
        "\uC492",  # ; HANGUL SYLLABLE SSWEOBS
        "\uC493",  # ; HANGUL SYLLABLE SSWEOS
        "\uC494",  # ; HANGUL SYLLABLE SSWEOSS
        "\uC495",  # ; HANGUL SYLLABLE SSWEONG
        "\uC496",  # ; HANGUL SYLLABLE SSWEOJ
        "\uC497",  # ; HANGUL SYLLABLE SSWEOC
        "\uC498",  # ; HANGUL SYLLABLE SSWEOK
        "\uC499",  # ; HANGUL SYLLABLE SSWEOT
        "\uC49A",  # ; HANGUL SYLLABLE SSWEOP
        "\uC49B",  # ; HANGUL SYLLABLE SSWEOH
        "\uC49C",  # ; HANGUL SYLLABLE SSWE
        "\uC49D",  # ; HANGUL SYLLABLE SSWEG
        "\uC49E",  # ; HANGUL SYLLABLE SSWEGG
        "\uC49F",  # ; HANGUL SYLLABLE SSWEGS
        "\uC4A0",  # ; HANGUL SYLLABLE SSWEN
        "\uC4A1",  # ; HANGUL SYLLABLE SSWENJ
        "\uC4A2",  # ; HANGUL SYLLABLE SSWENH
        "\uC4A3",  # ; HANGUL SYLLABLE SSWED
        "\uC4A4",  # ; HANGUL SYLLABLE SSWEL
        "\uC4A5",  # ; HANGUL SYLLABLE SSWELG
        "\uC4A6",  # ; HANGUL SYLLABLE SSWELM
        "\uC4A7",  # ; HANGUL SYLLABLE SSWELB
        "\uC4A8",  # ; HANGUL SYLLABLE SSWELS
        "\uC4A9",  # ; HANGUL SYLLABLE SSWELT
        "\uC4AA",  # ; HANGUL SYLLABLE SSWELP
        "\uC4AB",  # ; HANGUL SYLLABLE SSWELH
        "\uC4AC",  # ; HANGUL SYLLABLE SSWEM
        "\uC4AD",  # ; HANGUL SYLLABLE SSWEB
        "\uC4AE",  # ; HANGUL SYLLABLE SSWEBS
        "\uC4AF",  # ; HANGUL SYLLABLE SSWES
        "\uC4B0",  # ; HANGUL SYLLABLE SSWESS
        "\uC4B1",  # ; HANGUL SYLLABLE SSWENG
        "\uC4B2",  # ; HANGUL SYLLABLE SSWEJ
        "\uC4B3",  # ; HANGUL SYLLABLE SSWEC
        "\uC4B4",  # ; HANGUL SYLLABLE SSWEK
        "\uC4B5",  # ; HANGUL SYLLABLE SSWET
        "\uC4B6",  # ; HANGUL SYLLABLE SSWEP
        "\uC4B7",  # ; HANGUL SYLLABLE SSWEH
        "\uC4B8",  # ; HANGUL SYLLABLE SSWI
        "\uC4B9",  # ; HANGUL SYLLABLE SSWIG
        "\uC4BA",  # ; HANGUL SYLLABLE SSWIGG
        "\uC4BB",  # ; HANGUL SYLLABLE SSWIGS
        "\uC4BC",  # ; HANGUL SYLLABLE SSWIN
        "\uC4BD",  # ; HANGUL SYLLABLE SSWINJ
        "\uC4BE",  # ; HANGUL SYLLABLE SSWINH
        "\uC4BF",  # ; HANGUL SYLLABLE SSWID
        "\uC4C0",  # ; HANGUL SYLLABLE SSWIL
        "\uC4C1",  # ; HANGUL SYLLABLE SSWILG
        "\uC4C2",  # ; HANGUL SYLLABLE SSWILM
        "\uC4C3",  # ; HANGUL SYLLABLE SSWILB
        "\uC4C4",  # ; HANGUL SYLLABLE SSWILS
        "\uC4C5",  # ; HANGUL SYLLABLE SSWILT
        "\uC4C6",  # ; HANGUL SYLLABLE SSWILP
        "\uC4C7",  # ; HANGUL SYLLABLE SSWILH
        "\uC4C8",  # ; HANGUL SYLLABLE SSWIM
        "\uC4C9",  # ; HANGUL SYLLABLE SSWIB
        "\uC4CA",  # ; HANGUL SYLLABLE SSWIBS
        "\uC4CB",  # ; HANGUL SYLLABLE SSWIS
        "\uC4CC",  # ; HANGUL SYLLABLE SSWISS
        "\uC4CD",  # ; HANGUL SYLLABLE SSWING
        "\uC4CE",  # ; HANGUL SYLLABLE SSWIJ
        "\uC4CF",  # ; HANGUL SYLLABLE SSWIC
        "\uC4D0",  # ; HANGUL SYLLABLE SSWIK
        "\uC4D1",  # ; HANGUL SYLLABLE SSWIT
        "\uC4D2",  # ; HANGUL SYLLABLE SSWIP
        "\uC4D3",  # ; HANGUL SYLLABLE SSWIH
        "\uC4D4",  # ; HANGUL SYLLABLE SSYU
        "\uC4D5",  # ; HANGUL SYLLABLE SSYUG
        "\uC4D6",  # ; HANGUL SYLLABLE SSYUGG
        "\uC4D7",  # ; HANGUL SYLLABLE SSYUGS
        "\uC4D8",  # ; HANGUL SYLLABLE SSYUN
        "\uC4D9",  # ; HANGUL SYLLABLE SSYUNJ
        "\uC4DA",  # ; HANGUL SYLLABLE SSYUNH
        "\uC4DB",  # ; HANGUL SYLLABLE SSYUD
        "\uC4DC",  # ; HANGUL SYLLABLE SSYUL
        "\uC4DD",  # ; HANGUL SYLLABLE SSYULG
        "\uC4DE",  # ; HANGUL SYLLABLE SSYULM
        "\uC4DF",  # ; HANGUL SYLLABLE SSYULB
        "\uC4E0",  # ; HANGUL SYLLABLE SSYULS
        "\uC4E1",  # ; HANGUL SYLLABLE SSYULT
        "\uC4E2",  # ; HANGUL SYLLABLE SSYULP
        "\uC4E3",  # ; HANGUL SYLLABLE SSYULH
        "\uC4E4",  # ; HANGUL SYLLABLE SSYUM
        "\uC4E5",  # ; HANGUL SYLLABLE SSYUB
        "\uC4E6",  # ; HANGUL SYLLABLE SSYUBS
        "\uC4E7",  # ; HANGUL SYLLABLE SSYUS
        "\uC4E8",  # ; HANGUL SYLLABLE SSYUSS
        "\uC4E9",  # ; HANGUL SYLLABLE SSYUNG
        "\uC4EA",  # ; HANGUL SYLLABLE SSYUJ
        "\uC4EB",  # ; HANGUL SYLLABLE SSYUC
        "\uC4EC",  # ; HANGUL SYLLABLE SSYUK
        "\uC4ED",  # ; HANGUL SYLLABLE SSYUT
        "\uC4EE",  # ; HANGUL SYLLABLE SSYUP
        "\uC4EF",  # ; HANGUL SYLLABLE SSYUH
        "\uC4F0",  # ; HANGUL SYLLABLE SSEU
        "\uC4F1",  # ; HANGUL SYLLABLE SSEUG
        "\uC4F2",  # ; HANGUL SYLLABLE SSEUGG
        "\uC4F3",  # ; HANGUL SYLLABLE SSEUGS
        "\uC4F4",  # ; HANGUL SYLLABLE SSEUN
        "\uC4F5",  # ; HANGUL SYLLABLE SSEUNJ
        "\uC4F6",  # ; HANGUL SYLLABLE SSEUNH
        "\uC4F7",  # ; HANGUL SYLLABLE SSEUD
        "\uC4F8",  # ; HANGUL SYLLABLE SSEUL
        "\uC4F9",  # ; HANGUL SYLLABLE SSEULG
        "\uC4FA",  # ; HANGUL SYLLABLE SSEULM
        "\uC4FB",  # ; HANGUL SYLLABLE SSEULB
        "\uC4FC",  # ; HANGUL SYLLABLE SSEULS
        "\uC4FD",  # ; HANGUL SYLLABLE SSEULT
        "\uC4FE",  # ; HANGUL SYLLABLE SSEULP
        "\uC4FF",  # ; HANGUL SYLLABLE SSEULH
        "\uC500",  # ; HANGUL SYLLABLE SSEUM
        "\uC501",  # ; HANGUL SYLLABLE SSEUB
        "\uC502",  # ; HANGUL SYLLABLE SSEUBS
        "\uC503",  # ; HANGUL SYLLABLE SSEUS
        "\uC504",  # ; HANGUL SYLLABLE SSEUSS
        "\uC505",  # ; HANGUL SYLLABLE SSEUNG
        "\uC506",  # ; HANGUL SYLLABLE SSEUJ
        "\uC507",  # ; HANGUL SYLLABLE SSEUC
        "\uC508",  # ; HANGUL SYLLABLE SSEUK
        "\uC509",  # ; HANGUL SYLLABLE SSEUT
        "\uC50A",  # ; HANGUL SYLLABLE SSEUP
        "\uC50B",  # ; HANGUL SYLLABLE SSEUH
        "\uC50C",  # ; HANGUL SYLLABLE SSYI
        "\uC50D",  # ; HANGUL SYLLABLE SSYIG
        "\uC50E",  # ; HANGUL SYLLABLE SSYIGG
        "\uC50F",  # ; HANGUL SYLLABLE SSYIGS
        "\uC510",  # ; HANGUL SYLLABLE SSYIN
        "\uC511",  # ; HANGUL SYLLABLE SSYINJ
        "\uC512",  # ; HANGUL SYLLABLE SSYINH
        "\uC513",  # ; HANGUL SYLLABLE SSYID
        "\uC514",  # ; HANGUL SYLLABLE SSYIL
        "\uC515",  # ; HANGUL SYLLABLE SSYILG
        "\uC516",  # ; HANGUL SYLLABLE SSYILM
        "\uC517",  # ; HANGUL SYLLABLE SSYILB
        "\uC518",  # ; HANGUL SYLLABLE SSYILS
        "\uC519",  # ; HANGUL SYLLABLE SSYILT
        "\uC51A",  # ; HANGUL SYLLABLE SSYILP
        "\uC51B",  # ; HANGUL SYLLABLE SSYILH
        "\uC51C",  # ; HANGUL SYLLABLE SSYIM
        "\uC51D",  # ; HANGUL SYLLABLE SSYIB
        "\uC51E",  # ; HANGUL SYLLABLE SSYIBS
        "\uC51F",  # ; HANGUL SYLLABLE SSYIS
        "\uC520",  # ; HANGUL SYLLABLE SSYISS
        "\uC521",  # ; HANGUL SYLLABLE SSYING
        "\uC522",  # ; HANGUL SYLLABLE SSYIJ
        "\uC523",  # ; HANGUL SYLLABLE SSYIC
        "\uC524",  # ; HANGUL SYLLABLE SSYIK
        "\uC525",  # ; HANGUL SYLLABLE SSYIT
        "\uC526",  # ; HANGUL SYLLABLE SSYIP
        "\uC527",  # ; HANGUL SYLLABLE SSYIH
        "\uC528",  # ; HANGUL SYLLABLE SSI
        "\uC529",  # ; HANGUL SYLLABLE SSIG
        "\uC52A",  # ; HANGUL SYLLABLE SSIGG
        "\uC52B",  # ; HANGUL SYLLABLE SSIGS
        "\uC52C",  # ; HANGUL SYLLABLE SSIN
        "\uC52D",  # ; HANGUL SYLLABLE SSINJ
        "\uC52E",  # ; HANGUL SYLLABLE SSINH
        "\uC52F",  # ; HANGUL SYLLABLE SSID
        "\uC530",  # ; HANGUL SYLLABLE SSIL
        "\uC531",  # ; HANGUL SYLLABLE SSILG
        "\uC532",  # ; HANGUL SYLLABLE SSILM
        "\uC533",  # ; HANGUL SYLLABLE SSILB
        "\uC534",  # ; HANGUL SYLLABLE SSILS
        "\uC535",  # ; HANGUL SYLLABLE SSILT
        "\uC536",  # ; HANGUL SYLLABLE SSILP
        "\uC537",  # ; HANGUL SYLLABLE SSILH
        "\uC538",  # ; HANGUL SYLLABLE SSIM
        "\uC539",  # ; HANGUL SYLLABLE SSIB
        "\uC53A",  # ; HANGUL SYLLABLE SSIBS
        "\uC53B",  # ; HANGUL SYLLABLE SSIS
        "\uC53C",  # ; HANGUL SYLLABLE SSISS
        "\uC53D",  # ; HANGUL SYLLABLE SSING
        "\uC53E",  # ; HANGUL SYLLABLE SSIJ
        "\uC53F",  # ; HANGUL SYLLABLE SSIC
        "\uC540",  # ; HANGUL SYLLABLE SSIK
        "\uC541",  # ; HANGUL SYLLABLE SSIT
        "\uC542",  # ; HANGUL SYLLABLE SSIP
        "\uC543",  # ; HANGUL SYLLABLE SSIH
        "\uC544",  # ; HANGUL SYLLABLE A
        "\uC545",  # ; HANGUL SYLLABLE AG
        "\uC546",  # ; HANGUL SYLLABLE AGG
        "\uC547",  # ; HANGUL SYLLABLE AGS
        "\uC548",  # ; HANGUL SYLLABLE AN
        "\uC549",  # ; HANGUL SYLLABLE ANJ
        "\uC54A",  # ; HANGUL SYLLABLE ANH
        "\uC54B",  # ; HANGUL SYLLABLE AD
        "\uC54C",  # ; HANGUL SYLLABLE AL
        "\uC54D",  # ; HANGUL SYLLABLE ALG
        "\uC54E",  # ; HANGUL SYLLABLE ALM
        "\uC54F",  # ; HANGUL SYLLABLE ALB
        "\uC550",  # ; HANGUL SYLLABLE ALS
        "\uC551",  # ; HANGUL SYLLABLE ALT
        "\uC552",  # ; HANGUL SYLLABLE ALP
        "\uC553",  # ; HANGUL SYLLABLE ALH
        "\uC554",  # ; HANGUL SYLLABLE AM
        "\uC555",  # ; HANGUL SYLLABLE AB
        "\uC556",  # ; HANGUL SYLLABLE ABS
        "\uC557",  # ; HANGUL SYLLABLE AS
        "\uC558",  # ; HANGUL SYLLABLE ASS
        "\uC559",  # ; HANGUL SYLLABLE ANG
        "\uC55A",  # ; HANGUL SYLLABLE AJ
        "\uC55B",  # ; HANGUL SYLLABLE AC
        "\uC55C",  # ; HANGUL SYLLABLE AK
        "\uC55D",  # ; HANGUL SYLLABLE AT
        "\uC55E",  # ; HANGUL SYLLABLE AP
        "\uC55F",  # ; HANGUL SYLLABLE AH
        "\uC560",  # ; HANGUL SYLLABLE AE
        "\uC561",  # ; HANGUL SYLLABLE AEG
        "\uC562",  # ; HANGUL SYLLABLE AEGG
        "\uC563",  # ; HANGUL SYLLABLE AEGS
        "\uC564",  # ; HANGUL SYLLABLE AEN
        "\uC565",  # ; HANGUL SYLLABLE AENJ
        "\uC566",  # ; HANGUL SYLLABLE AENH
        "\uC567",  # ; HANGUL SYLLABLE AED
        "\uC568",  # ; HANGUL SYLLABLE AEL
        "\uC569",  # ; HANGUL SYLLABLE AELG
        "\uC56A",  # ; HANGUL SYLLABLE AELM
        "\uC56B",  # ; HANGUL SYLLABLE AELB
        "\uC56C",  # ; HANGUL SYLLABLE AELS
        "\uC56D",  # ; HANGUL SYLLABLE AELT
        "\uC56E",  # ; HANGUL SYLLABLE AELP
        "\uC56F",  # ; HANGUL SYLLABLE AELH
        "\uC570",  # ; HANGUL SYLLABLE AEM
        "\uC571",  # ; HANGUL SYLLABLE AEB
        "\uC572",  # ; HANGUL SYLLABLE AEBS
        "\uC573",  # ; HANGUL SYLLABLE AES
        "\uC574",  # ; HANGUL SYLLABLE AESS
        "\uC575",  # ; HANGUL SYLLABLE AENG
        "\uC576",  # ; HANGUL SYLLABLE AEJ
        "\uC577",  # ; HANGUL SYLLABLE AEC
        "\uC578",  # ; HANGUL SYLLABLE AEK
        "\uC579",  # ; HANGUL SYLLABLE AET
        "\uC57A",  # ; HANGUL SYLLABLE AEP
        "\uC57B",  # ; HANGUL SYLLABLE AEH
        "\uC57C",  # ; HANGUL SYLLABLE YA
        "\uC57D",  # ; HANGUL SYLLABLE YAG
        "\uC57E",  # ; HANGUL SYLLABLE YAGG
        "\uC57F",  # ; HANGUL SYLLABLE YAGS
        "\uC580",  # ; HANGUL SYLLABLE YAN
        "\uC581",  # ; HANGUL SYLLABLE YANJ
        "\uC582",  # ; HANGUL SYLLABLE YANH
        "\uC583",  # ; HANGUL SYLLABLE YAD
        "\uC584",  # ; HANGUL SYLLABLE YAL
        "\uC585",  # ; HANGUL SYLLABLE YALG
        "\uC586",  # ; HANGUL SYLLABLE YALM
        "\uC587",  # ; HANGUL SYLLABLE YALB
        "\uC588",  # ; HANGUL SYLLABLE YALS
        "\uC589",  # ; HANGUL SYLLABLE YALT
        "\uC58A",  # ; HANGUL SYLLABLE YALP
        "\uC58B",  # ; HANGUL SYLLABLE YALH
        "\uC58C",  # ; HANGUL SYLLABLE YAM
        "\uC58D",  # ; HANGUL SYLLABLE YAB
        "\uC58E",  # ; HANGUL SYLLABLE YABS
        "\uC58F",  # ; HANGUL SYLLABLE YAS
        "\uC590",  # ; HANGUL SYLLABLE YASS
        "\uC591",  # ; HANGUL SYLLABLE YANG
        "\uC592",  # ; HANGUL SYLLABLE YAJ
        "\uC593",  # ; HANGUL SYLLABLE YAC
        "\uC594",  # ; HANGUL SYLLABLE YAK
        "\uC595",  # ; HANGUL SYLLABLE YAT
        "\uC596",  # ; HANGUL SYLLABLE YAP
        "\uC597",  # ; HANGUL SYLLABLE YAH
        "\uC598",  # ; HANGUL SYLLABLE YAE
        "\uC599",  # ; HANGUL SYLLABLE YAEG
        "\uC59A",  # ; HANGUL SYLLABLE YAEGG
        "\uC59B",  # ; HANGUL SYLLABLE YAEGS
        "\uC59C",  # ; HANGUL SYLLABLE YAEN
        "\uC59D",  # ; HANGUL SYLLABLE YAENJ
        "\uC59E",  # ; HANGUL SYLLABLE YAENH
        "\uC59F",  # ; HANGUL SYLLABLE YAED
        "\uC5A0",  # ; HANGUL SYLLABLE YAEL
        "\uC5A1",  # ; HANGUL SYLLABLE YAELG
        "\uC5A2",  # ; HANGUL SYLLABLE YAELM
        "\uC5A3",  # ; HANGUL SYLLABLE YAELB
        "\uC5A4",  # ; HANGUL SYLLABLE YAELS
        "\uC5A5",  # ; HANGUL SYLLABLE YAELT
        "\uC5A6",  # ; HANGUL SYLLABLE YAELP
        "\uC5A7",  # ; HANGUL SYLLABLE YAELH
        "\uC5A8",  # ; HANGUL SYLLABLE YAEM
        "\uC5A9",  # ; HANGUL SYLLABLE YAEB
        "\uC5AA",  # ; HANGUL SYLLABLE YAEBS
        "\uC5AB",  # ; HANGUL SYLLABLE YAES
        "\uC5AC",  # ; HANGUL SYLLABLE YAESS
        "\uC5AD",  # ; HANGUL SYLLABLE YAENG
        "\uC5AE",  # ; HANGUL SYLLABLE YAEJ
        "\uC5AF",  # ; HANGUL SYLLABLE YAEC
        "\uC5B0",  # ; HANGUL SYLLABLE YAEK
        "\uC5B1",  # ; HANGUL SYLLABLE YAET
        "\uC5B2",  # ; HANGUL SYLLABLE YAEP
        "\uC5B3",  # ; HANGUL SYLLABLE YAEH
        "\uC5B4",  # ; HANGUL SYLLABLE EO
        "\uC5B5",  # ; HANGUL SYLLABLE EOG
        "\uC5B6",  # ; HANGUL SYLLABLE EOGG
        "\uC5B7",  # ; HANGUL SYLLABLE EOGS
        "\uC5B8",  # ; HANGUL SYLLABLE EON
        "\uC5B9",  # ; HANGUL SYLLABLE EONJ
        "\uC5BA",  # ; HANGUL SYLLABLE EONH
        "\uC5BB",  # ; HANGUL SYLLABLE EOD
        "\uC5BC",  # ; HANGUL SYLLABLE EOL
        "\uC5BD",  # ; HANGUL SYLLABLE EOLG
        "\uC5BE",  # ; HANGUL SYLLABLE EOLM
        "\uC5BF",  # ; HANGUL SYLLABLE EOLB
        "\uC5C0",  # ; HANGUL SYLLABLE EOLS
        "\uC5C1",  # ; HANGUL SYLLABLE EOLT
        "\uC5C2",  # ; HANGUL SYLLABLE EOLP
        "\uC5C3",  # ; HANGUL SYLLABLE EOLH
        "\uC5C4",  # ; HANGUL SYLLABLE EOM
        "\uC5C5",  # ; HANGUL SYLLABLE EOB
        "\uC5C6",  # ; HANGUL SYLLABLE EOBS
        "\uC5C7",  # ; HANGUL SYLLABLE EOS
        "\uC5C8",  # ; HANGUL SYLLABLE EOSS
        "\uC5C9",  # ; HANGUL SYLLABLE EONG
        "\uC5CA",  # ; HANGUL SYLLABLE EOJ
        "\uC5CB",  # ; HANGUL SYLLABLE EOC
        "\uC5CC",  # ; HANGUL SYLLABLE EOK
        "\uC5CD",  # ; HANGUL SYLLABLE EOT
        "\uC5CE",  # ; HANGUL SYLLABLE EOP
        "\uC5CF",  # ; HANGUL SYLLABLE EOH
        "\uC5D0",  # ; HANGUL SYLLABLE E
        "\uC5D1",  # ; HANGUL SYLLABLE EG
        "\uC5D2",  # ; HANGUL SYLLABLE EGG
        "\uC5D3",  # ; HANGUL SYLLABLE EGS
        "\uC5D4",  # ; HANGUL SYLLABLE EN
        "\uC5D5",  # ; HANGUL SYLLABLE ENJ
        "\uC5D6",  # ; HANGUL SYLLABLE ENH
        "\uC5D7",  # ; HANGUL SYLLABLE ED
        "\uC5D8",  # ; HANGUL SYLLABLE EL
        "\uC5D9",  # ; HANGUL SYLLABLE ELG
        "\uC5DA",  # ; HANGUL SYLLABLE ELM
        "\uC5DB",  # ; HANGUL SYLLABLE ELB
        "\uC5DC",  # ; HANGUL SYLLABLE ELS
        "\uC5DD",  # ; HANGUL SYLLABLE ELT
        "\uC5DE",  # ; HANGUL SYLLABLE ELP
        "\uC5DF",  # ; HANGUL SYLLABLE ELH
        "\uC5E0",  # ; HANGUL SYLLABLE EM
        "\uC5E1",  # ; HANGUL SYLLABLE EB
        "\uC5E2",  # ; HANGUL SYLLABLE EBS
        "\uC5E3",  # ; HANGUL SYLLABLE ES
        "\uC5E4",  # ; HANGUL SYLLABLE ESS
        "\uC5E5",  # ; HANGUL SYLLABLE ENG
        "\uC5E6",  # ; HANGUL SYLLABLE EJ
        "\uC5E7",  # ; HANGUL SYLLABLE EC
        "\uC5E8",  # ; HANGUL SYLLABLE EK
        "\uC5E9",  # ; HANGUL SYLLABLE ET
        "\uC5EA",  # ; HANGUL SYLLABLE EP
        "\uC5EB",  # ; HANGUL SYLLABLE EH
        "\uC5EC",  # ; HANGUL SYLLABLE YEO
        "\uC5ED",  # ; HANGUL SYLLABLE YEOG
        "\uC5EE",  # ; HANGUL SYLLABLE YEOGG
        "\uC5EF",  # ; HANGUL SYLLABLE YEOGS
        "\uC5F0",  # ; HANGUL SYLLABLE YEON
        "\uC5F1",  # ; HANGUL SYLLABLE YEONJ
        "\uC5F2",  # ; HANGUL SYLLABLE YEONH
        "\uC5F3",  # ; HANGUL SYLLABLE YEOD
        "\uC5F4",  # ; HANGUL SYLLABLE YEOL
        "\uC5F5",  # ; HANGUL SYLLABLE YEOLG
        "\uC5F6",  # ; HANGUL SYLLABLE YEOLM
        "\uC5F7",  # ; HANGUL SYLLABLE YEOLB
        "\uC5F8",  # ; HANGUL SYLLABLE YEOLS
        "\uC5F9",  # ; HANGUL SYLLABLE YEOLT
        "\uC5FA",  # ; HANGUL SYLLABLE YEOLP
        "\uC5FB",  # ; HANGUL SYLLABLE YEOLH
        "\uC5FC",  # ; HANGUL SYLLABLE YEOM
        "\uC5FD",  # ; HANGUL SYLLABLE YEOB
        "\uC5FE",  # ; HANGUL SYLLABLE YEOBS
        "\uC5FF",  # ; HANGUL SYLLABLE YEOS
        "\uC600",  # ; HANGUL SYLLABLE YEOSS
        "\uC601",  # ; HANGUL SYLLABLE YEONG
        "\uC602",  # ; HANGUL SYLLABLE YEOJ
        "\uC603",  # ; HANGUL SYLLABLE YEOC
        "\uC604",  # ; HANGUL SYLLABLE YEOK
        "\uC605",  # ; HANGUL SYLLABLE YEOT
        "\uC606",  # ; HANGUL SYLLABLE YEOP
        "\uC607",  # ; HANGUL SYLLABLE YEOH
        "\uC608",  # ; HANGUL SYLLABLE YE
        "\uC609",  # ; HANGUL SYLLABLE YEG
        "\uC60A",  # ; HANGUL SYLLABLE YEGG
        "\uC60B",  # ; HANGUL SYLLABLE YEGS
        "\uC60C",  # ; HANGUL SYLLABLE YEN
        "\uC60D",  # ; HANGUL SYLLABLE YENJ
        "\uC60E",  # ; HANGUL SYLLABLE YENH
        "\uC60F",  # ; HANGUL SYLLABLE YED
        "\uC610",  # ; HANGUL SYLLABLE YEL
        "\uC611",  # ; HANGUL SYLLABLE YELG
        "\uC612",  # ; HANGUL SYLLABLE YELM
        "\uC613",  # ; HANGUL SYLLABLE YELB
        "\uC614",  # ; HANGUL SYLLABLE YELS
        "\uC615",  # ; HANGUL SYLLABLE YELT
        "\uC616",  # ; HANGUL SYLLABLE YELP
        "\uC617",  # ; HANGUL SYLLABLE YELH
        "\uC618",  # ; HANGUL SYLLABLE YEM
        "\uC619",  # ; HANGUL SYLLABLE YEB
        "\uC61A",  # ; HANGUL SYLLABLE YEBS
        "\uC61B",  # ; HANGUL SYLLABLE YES
        "\uC61C",  # ; HANGUL SYLLABLE YESS
        "\uC61D",  # ; HANGUL SYLLABLE YENG
        "\uC61E",  # ; HANGUL SYLLABLE YEJ
        "\uC61F",  # ; HANGUL SYLLABLE YEC
        "\uC620",  # ; HANGUL SYLLABLE YEK
        "\uC621",  # ; HANGUL SYLLABLE YET
        "\uC622",  # ; HANGUL SYLLABLE YEP
        "\uC623",  # ; HANGUL SYLLABLE YEH
        "\uC624",  # ; HANGUL SYLLABLE O
        "\uC625",  # ; HANGUL SYLLABLE OG
        "\uC626",  # ; HANGUL SYLLABLE OGG
        "\uC627",  # ; HANGUL SYLLABLE OGS
        "\uC628",  # ; HANGUL SYLLABLE ON
        "\uC629",  # ; HANGUL SYLLABLE ONJ
        "\uC62A",  # ; HANGUL SYLLABLE ONH
        "\uC62B",  # ; HANGUL SYLLABLE OD
        "\uC62C",  # ; HANGUL SYLLABLE OL
        "\uC62D",  # ; HANGUL SYLLABLE OLG
        "\uC62E",  # ; HANGUL SYLLABLE OLM
        "\uC62F",  # ; HANGUL SYLLABLE OLB
        "\uC630",  # ; HANGUL SYLLABLE OLS
        "\uC631",  # ; HANGUL SYLLABLE OLT
        "\uC632",  # ; HANGUL SYLLABLE OLP
        "\uC633",  # ; HANGUL SYLLABLE OLH
        "\uC634",  # ; HANGUL SYLLABLE OM
        "\uC635",  # ; HANGUL SYLLABLE OB
        "\uC636",  # ; HANGUL SYLLABLE OBS
        "\uC637",  # ; HANGUL SYLLABLE OS
        "\uC638",  # ; HANGUL SYLLABLE OSS
        "\uC639",  # ; HANGUL SYLLABLE ONG
        "\uC63A",  # ; HANGUL SYLLABLE OJ
        "\uC63B",  # ; HANGUL SYLLABLE OC
        "\uC63C",  # ; HANGUL SYLLABLE OK
        "\uC63D",  # ; HANGUL SYLLABLE OT
        "\uC63E",  # ; HANGUL SYLLABLE OP
        "\uC63F",  # ; HANGUL SYLLABLE OH
        "\uC640",  # ; HANGUL SYLLABLE WA
        "\uC641",  # ; HANGUL SYLLABLE WAG
        "\uC642",  # ; HANGUL SYLLABLE WAGG
        "\uC643",  # ; HANGUL SYLLABLE WAGS
        "\uC644",  # ; HANGUL SYLLABLE WAN
        "\uC645",  # ; HANGUL SYLLABLE WANJ
        "\uC646",  # ; HANGUL SYLLABLE WANH
        "\uC647",  # ; HANGUL SYLLABLE WAD
        "\uC648",  # ; HANGUL SYLLABLE WAL
        "\uC649",  # ; HANGUL SYLLABLE WALG
        "\uC64A",  # ; HANGUL SYLLABLE WALM
        "\uC64B",  # ; HANGUL SYLLABLE WALB
        "\uC64C",  # ; HANGUL SYLLABLE WALS
        "\uC64D",  # ; HANGUL SYLLABLE WALT
        "\uC64E",  # ; HANGUL SYLLABLE WALP
        "\uC64F",  # ; HANGUL SYLLABLE WALH
        "\uC650",  # ; HANGUL SYLLABLE WAM
        "\uC651",  # ; HANGUL SYLLABLE WAB
        "\uC652",  # ; HANGUL SYLLABLE WABS
        "\uC653",  # ; HANGUL SYLLABLE WAS
        "\uC654",  # ; HANGUL SYLLABLE WASS
        "\uC655",  # ; HANGUL SYLLABLE WANG
        "\uC656",  # ; HANGUL SYLLABLE WAJ
        "\uC657",  # ; HANGUL SYLLABLE WAC
        "\uC658",  # ; HANGUL SYLLABLE WAK
        "\uC659",  # ; HANGUL SYLLABLE WAT
        "\uC65A",  # ; HANGUL SYLLABLE WAP
        "\uC65B",  # ; HANGUL SYLLABLE WAH
        "\uC65C",  # ; HANGUL SYLLABLE WAE
        "\uC65D",  # ; HANGUL SYLLABLE WAEG
        "\uC65E",  # ; HANGUL SYLLABLE WAEGG
        "\uC65F",  # ; HANGUL SYLLABLE WAEGS
        "\uC660",  # ; HANGUL SYLLABLE WAEN
        "\uC661",  # ; HANGUL SYLLABLE WAENJ
        "\uC662",  # ; HANGUL SYLLABLE WAENH
        "\uC663",  # ; HANGUL SYLLABLE WAED
        "\uC664",  # ; HANGUL SYLLABLE WAEL
        "\uC665",  # ; HANGUL SYLLABLE WAELG
        "\uC666",  # ; HANGUL SYLLABLE WAELM
        "\uC667",  # ; HANGUL SYLLABLE WAELB
        "\uC668",  # ; HANGUL SYLLABLE WAELS
        "\uC669",  # ; HANGUL SYLLABLE WAELT
        "\uC66A",  # ; HANGUL SYLLABLE WAELP
        "\uC66B",  # ; HANGUL SYLLABLE WAELH
        "\uC66C",  # ; HANGUL SYLLABLE WAEM
        "\uC66D",  # ; HANGUL SYLLABLE WAEB
        "\uC66E",  # ; HANGUL SYLLABLE WAEBS
        "\uC66F",  # ; HANGUL SYLLABLE WAES
        "\uC670",  # ; HANGUL SYLLABLE WAESS
        "\uC671",  # ; HANGUL SYLLABLE WAENG
        "\uC672",  # ; HANGUL SYLLABLE WAEJ
        "\uC673",  # ; HANGUL SYLLABLE WAEC
        "\uC674",  # ; HANGUL SYLLABLE WAEK
        "\uC675",  # ; HANGUL SYLLABLE WAET
        "\uC676",  # ; HANGUL SYLLABLE WAEP
        "\uC677",  # ; HANGUL SYLLABLE WAEH
        "\uC678",  # ; HANGUL SYLLABLE OE
        "\uC679",  # ; HANGUL SYLLABLE OEG
        "\uC67A",  # ; HANGUL SYLLABLE OEGG
        "\uC67B",  # ; HANGUL SYLLABLE OEGS
        "\uC67C",  # ; HANGUL SYLLABLE OEN
        "\uC67D",  # ; HANGUL SYLLABLE OENJ
        "\uC67E",  # ; HANGUL SYLLABLE OENH
        "\uC67F",  # ; HANGUL SYLLABLE OED
        "\uC680",  # ; HANGUL SYLLABLE OEL
        "\uC681",  # ; HANGUL SYLLABLE OELG
        "\uC682",  # ; HANGUL SYLLABLE OELM
        "\uC683",  # ; HANGUL SYLLABLE OELB
        "\uC684",  # ; HANGUL SYLLABLE OELS
        "\uC685",  # ; HANGUL SYLLABLE OELT
        "\uC686",  # ; HANGUL SYLLABLE OELP
        "\uC687",  # ; HANGUL SYLLABLE OELH
        "\uC688",  # ; HANGUL SYLLABLE OEM
        "\uC689",  # ; HANGUL SYLLABLE OEB
        "\uC68A",  # ; HANGUL SYLLABLE OEBS
        "\uC68B",  # ; HANGUL SYLLABLE OES
        "\uC68C",  # ; HANGUL SYLLABLE OESS
        "\uC68D",  # ; HANGUL SYLLABLE OENG
        "\uC68E",  # ; HANGUL SYLLABLE OEJ
        "\uC68F",  # ; HANGUL SYLLABLE OEC
        "\uC690",  # ; HANGUL SYLLABLE OEK
        "\uC691",  # ; HANGUL SYLLABLE OET
        "\uC692",  # ; HANGUL SYLLABLE OEP
        "\uC693",  # ; HANGUL SYLLABLE OEH
        "\uC694",  # ; HANGUL SYLLABLE YO
        "\uC695",  # ; HANGUL SYLLABLE YOG
        "\uC696",  # ; HANGUL SYLLABLE YOGG
        "\uC697",  # ; HANGUL SYLLABLE YOGS
        "\uC698",  # ; HANGUL SYLLABLE YON
        "\uC699",  # ; HANGUL SYLLABLE YONJ
        "\uC69A",  # ; HANGUL SYLLABLE YONH
        "\uC69B",  # ; HANGUL SYLLABLE YOD
        "\uC69C",  # ; HANGUL SYLLABLE YOL
        "\uC69D",  # ; HANGUL SYLLABLE YOLG
        "\uC69E",  # ; HANGUL SYLLABLE YOLM
        "\uC69F",  # ; HANGUL SYLLABLE YOLB
        "\uC6A0",  # ; HANGUL SYLLABLE YOLS
        "\uC6A1",  # ; HANGUL SYLLABLE YOLT
        "\uC6A2",  # ; HANGUL SYLLABLE YOLP
        "\uC6A3",  # ; HANGUL SYLLABLE YOLH
        "\uC6A4",  # ; HANGUL SYLLABLE YOM
        "\uC6A5",  # ; HANGUL SYLLABLE YOB
        "\uC6A6",  # ; HANGUL SYLLABLE YOBS
        "\uC6A7",  # ; HANGUL SYLLABLE YOS
        "\uC6A8",  # ; HANGUL SYLLABLE YOSS
        "\uC6A9",  # ; HANGUL SYLLABLE YONG
        "\uC6AA",  # ; HANGUL SYLLABLE YOJ
        "\uC6AB",  # ; HANGUL SYLLABLE YOC
        "\uC6AC",  # ; HANGUL SYLLABLE YOK
        "\uC6AD",  # ; HANGUL SYLLABLE YOT
        "\uC6AE",  # ; HANGUL SYLLABLE YOP
        "\uC6AF",  # ; HANGUL SYLLABLE YOH
        "\uC6B0",  # ; HANGUL SYLLABLE U
        "\uC6B1",  # ; HANGUL SYLLABLE UG
        "\uC6B2",  # ; HANGUL SYLLABLE UGG
        "\uC6B3",  # ; HANGUL SYLLABLE UGS
        "\uC6B4",  # ; HANGUL SYLLABLE UN
        "\uC6B5",  # ; HANGUL SYLLABLE UNJ
        "\uC6B6",  # ; HANGUL SYLLABLE UNH
        "\uC6B7",  # ; HANGUL SYLLABLE UD
        "\uC6B8",  # ; HANGUL SYLLABLE UL
        "\uC6B9",  # ; HANGUL SYLLABLE ULG
        "\uC6BA",  # ; HANGUL SYLLABLE ULM
        "\uC6BB",  # ; HANGUL SYLLABLE ULB
        "\uC6BC",  # ; HANGUL SYLLABLE ULS
        "\uC6BD",  # ; HANGUL SYLLABLE ULT
        "\uC6BE",  # ; HANGUL SYLLABLE ULP
        "\uC6BF",  # ; HANGUL SYLLABLE ULH
        "\uC6C0",  # ; HANGUL SYLLABLE UM
        "\uC6C1",  # ; HANGUL SYLLABLE UB
        "\uC6C2",  # ; HANGUL SYLLABLE UBS
        "\uC6C3",  # ; HANGUL SYLLABLE US
        "\uC6C4",  # ; HANGUL SYLLABLE USS
        "\uC6C5",  # ; HANGUL SYLLABLE UNG
        "\uC6C6",  # ; HANGUL SYLLABLE UJ
        "\uC6C7",  # ; HANGUL SYLLABLE UC
        "\uC6C8",  # ; HANGUL SYLLABLE UK
        "\uC6C9",  # ; HANGUL SYLLABLE UT
        "\uC6CA",  # ; HANGUL SYLLABLE UP
        "\uC6CB",  # ; HANGUL SYLLABLE UH
        "\uC6CC",  # ; HANGUL SYLLABLE WEO
        "\uC6CD",  # ; HANGUL SYLLABLE WEOG
        "\uC6CE",  # ; HANGUL SYLLABLE WEOGG
        "\uC6CF",  # ; HANGUL SYLLABLE WEOGS
        "\uC6D0",  # ; HANGUL SYLLABLE WEON
        "\uC6D1",  # ; HANGUL SYLLABLE WEONJ
        "\uC6D2",  # ; HANGUL SYLLABLE WEONH
        "\uC6D3",  # ; HANGUL SYLLABLE WEOD
        "\uC6D4",  # ; HANGUL SYLLABLE WEOL
        "\uC6D5",  # ; HANGUL SYLLABLE WEOLG
        "\uC6D6",  # ; HANGUL SYLLABLE WEOLM
        "\uC6D7",  # ; HANGUL SYLLABLE WEOLB
        "\uC6D8",  # ; HANGUL SYLLABLE WEOLS
        "\uC6D9",  # ; HANGUL SYLLABLE WEOLT
        "\uC6DA",  # ; HANGUL SYLLABLE WEOLP
        "\uC6DB",  # ; HANGUL SYLLABLE WEOLH
        "\uC6DC",  # ; HANGUL SYLLABLE WEOM
        "\uC6DD",  # ; HANGUL SYLLABLE WEOB
        "\uC6DE",  # ; HANGUL SYLLABLE WEOBS
        "\uC6DF",  # ; HANGUL SYLLABLE WEOS
        "\uC6E0",  # ; HANGUL SYLLABLE WEOSS
        "\uC6E1",  # ; HANGUL SYLLABLE WEONG
        "\uC6E2",  # ; HANGUL SYLLABLE WEOJ
        "\uC6E3",  # ; HANGUL SYLLABLE WEOC
        "\uC6E4",  # ; HANGUL SYLLABLE WEOK
        "\uC6E5",  # ; HANGUL SYLLABLE WEOT
        "\uC6E6",  # ; HANGUL SYLLABLE WEOP
        "\uC6E7",  # ; HANGUL SYLLABLE WEOH
        "\uC6E8",  # ; HANGUL SYLLABLE WE
        "\uC6E9",  # ; HANGUL SYLLABLE WEG
        "\uC6EA",  # ; HANGUL SYLLABLE WEGG
        "\uC6EB",  # ; HANGUL SYLLABLE WEGS
        "\uC6EC",  # ; HANGUL SYLLABLE WEN
        "\uC6ED",  # ; HANGUL SYLLABLE WENJ
        "\uC6EE",  # ; HANGUL SYLLABLE WENH
        "\uC6EF",  # ; HANGUL SYLLABLE WED
        "\uC6F0",  # ; HANGUL SYLLABLE WEL
        "\uC6F1",  # ; HANGUL SYLLABLE WELG
        "\uC6F2",  # ; HANGUL SYLLABLE WELM
        "\uC6F3",  # ; HANGUL SYLLABLE WELB
        "\uC6F4",  # ; HANGUL SYLLABLE WELS
        "\uC6F5",  # ; HANGUL SYLLABLE WELT
        "\uC6F6",  # ; HANGUL SYLLABLE WELP
        "\uC6F7",  # ; HANGUL SYLLABLE WELH
        "\uC6F8",  # ; HANGUL SYLLABLE WEM
        "\uC6F9",  # ; HANGUL SYLLABLE WEB
        "\uC6FA",  # ; HANGUL SYLLABLE WEBS
        "\uC6FB",  # ; HANGUL SYLLABLE WES
        "\uC6FC",  # ; HANGUL SYLLABLE WESS
        "\uC6FD",  # ; HANGUL SYLLABLE WENG
        "\uC6FE",  # ; HANGUL SYLLABLE WEJ
        "\uC6FF",  # ; HANGUL SYLLABLE WEC
        "\uC700",  # ; HANGUL SYLLABLE WEK
        "\uC701",  # ; HANGUL SYLLABLE WET
        "\uC702",  # ; HANGUL SYLLABLE WEP
        "\uC703",  # ; HANGUL SYLLABLE WEH
        "\uC704",  # ; HANGUL SYLLABLE WI
        "\uC705",  # ; HANGUL SYLLABLE WIG
        "\uC706",  # ; HANGUL SYLLABLE WIGG
        "\uC707",  # ; HANGUL SYLLABLE WIGS
        "\uC708",  # ; HANGUL SYLLABLE WIN
        "\uC709",  # ; HANGUL SYLLABLE WINJ
        "\uC70A",  # ; HANGUL SYLLABLE WINH
        "\uC70B",  # ; HANGUL SYLLABLE WID
        "\uC70C",  # ; HANGUL SYLLABLE WIL
        "\uC70D",  # ; HANGUL SYLLABLE WILG
        "\uC70E",  # ; HANGUL SYLLABLE WILM
        "\uC70F",  # ; HANGUL SYLLABLE WILB
        "\uC710",  # ; HANGUL SYLLABLE WILS
        "\uC711",  # ; HANGUL SYLLABLE WILT
        "\uC712",  # ; HANGUL SYLLABLE WILP
        "\uC713",  # ; HANGUL SYLLABLE WILH
        "\uC714",  # ; HANGUL SYLLABLE WIM
        "\uC715",  # ; HANGUL SYLLABLE WIB
        "\uC716",  # ; HANGUL SYLLABLE WIBS
        "\uC717",  # ; HANGUL SYLLABLE WIS
        "\uC718",  # ; HANGUL SYLLABLE WISS
        "\uC719",  # ; HANGUL SYLLABLE WING
        "\uC71A",  # ; HANGUL SYLLABLE WIJ
        "\uC71B",  # ; HANGUL SYLLABLE WIC
        "\uC71C",  # ; HANGUL SYLLABLE WIK
        "\uC71D",  # ; HANGUL SYLLABLE WIT
        "\uC71E",  # ; HANGUL SYLLABLE WIP
        "\uC71F",  # ; HANGUL SYLLABLE WIH
        "\uC720",  # ; HANGUL SYLLABLE YU
        "\uC721",  # ; HANGUL SYLLABLE YUG
        "\uC722",  # ; HANGUL SYLLABLE YUGG
        "\uC723",  # ; HANGUL SYLLABLE YUGS
        "\uC724",  # ; HANGUL SYLLABLE YUN
        "\uC725",  # ; HANGUL SYLLABLE YUNJ
        "\uC726",  # ; HANGUL SYLLABLE YUNH
        "\uC727",  # ; HANGUL SYLLABLE YUD
        "\uC728",  # ; HANGUL SYLLABLE YUL
        "\uC729",  # ; HANGUL SYLLABLE YULG
        "\uC72A",  # ; HANGUL SYLLABLE YULM
        "\uC72B",  # ; HANGUL SYLLABLE YULB
        "\uC72C",  # ; HANGUL SYLLABLE YULS
        "\uC72D",  # ; HANGUL SYLLABLE YULT
        "\uC72E",  # ; HANGUL SYLLABLE YULP
        "\uC72F",  # ; HANGUL SYLLABLE YULH
        "\uC730",  # ; HANGUL SYLLABLE YUM
        "\uC731",  # ; HANGUL SYLLABLE YUB
        "\uC732",  # ; HANGUL SYLLABLE YUBS
        "\uC733",  # ; HANGUL SYLLABLE YUS
        "\uC734",  # ; HANGUL SYLLABLE YUSS
        "\uC735",  # ; HANGUL SYLLABLE YUNG
        "\uC736",  # ; HANGUL SYLLABLE YUJ
        "\uC737",  # ; HANGUL SYLLABLE YUC
        "\uC738",  # ; HANGUL SYLLABLE YUK
        "\uC739",  # ; HANGUL SYLLABLE YUT
        "\uC73A",  # ; HANGUL SYLLABLE YUP
        "\uC73B",  # ; HANGUL SYLLABLE YUH
        "\uC73C",  # ; HANGUL SYLLABLE EU
        "\uC73D",  # ; HANGUL SYLLABLE EUG
        "\uC73E",  # ; HANGUL SYLLABLE EUGG
        "\uC73F",  # ; HANGUL SYLLABLE EUGS
        "\uC740",  # ; HANGUL SYLLABLE EUN
        "\uC741",  # ; HANGUL SYLLABLE EUNJ
        "\uC742",  # ; HANGUL SYLLABLE EUNH
        "\uC743",  # ; HANGUL SYLLABLE EUD
        "\uC744",  # ; HANGUL SYLLABLE EUL
        "\uC745",  # ; HANGUL SYLLABLE EULG
        "\uC746",  # ; HANGUL SYLLABLE EULM
        "\uC747",  # ; HANGUL SYLLABLE EULB
        "\uC748",  # ; HANGUL SYLLABLE EULS
        "\uC749",  # ; HANGUL SYLLABLE EULT
        "\uC74A",  # ; HANGUL SYLLABLE EULP
        "\uC74B",  # ; HANGUL SYLLABLE EULH
        "\uC74C",  # ; HANGUL SYLLABLE EUM
        "\uC74D",  # ; HANGUL SYLLABLE EUB
        "\uC74E",  # ; HANGUL SYLLABLE EUBS
        "\uC74F",  # ; HANGUL SYLLABLE EUS
        "\uC750",  # ; HANGUL SYLLABLE EUSS
        "\uC751",  # ; HANGUL SYLLABLE EUNG
        "\uC752",  # ; HANGUL SYLLABLE EUJ
        "\uC753",  # ; HANGUL SYLLABLE EUC
        "\uC754",  # ; HANGUL SYLLABLE EUK
        "\uC755",  # ; HANGUL SYLLABLE EUT
        "\uC756",  # ; HANGUL SYLLABLE EUP
        "\uC757",  # ; HANGUL SYLLABLE EUH
        "\uC758",  # ; HANGUL SYLLABLE YI
        "\uC759",  # ; HANGUL SYLLABLE YIG
        "\uC75A",  # ; HANGUL SYLLABLE YIGG
        "\uC75B",  # ; HANGUL SYLLABLE YIGS
        "\uC75C",  # ; HANGUL SYLLABLE YIN
        "\uC75D",  # ; HANGUL SYLLABLE YINJ
        "\uC75E",  # ; HANGUL SYLLABLE YINH
        "\uC75F",  # ; HANGUL SYLLABLE YID
        "\uC760",  # ; HANGUL SYLLABLE YIL
        "\uC761",  # ; HANGUL SYLLABLE YILG
        "\uC762",  # ; HANGUL SYLLABLE YILM
        "\uC763",  # ; HANGUL SYLLABLE YILB
        "\uC764",  # ; HANGUL SYLLABLE YILS
        "\uC765",  # ; HANGUL SYLLABLE YILT
        "\uC766",  # ; HANGUL SYLLABLE YILP
        "\uC767",  # ; HANGUL SYLLABLE YILH
        "\uC768",  # ; HANGUL SYLLABLE YIM
        "\uC769",  # ; HANGUL SYLLABLE YIB
        "\uC76A",  # ; HANGUL SYLLABLE YIBS
        "\uC76B",  # ; HANGUL SYLLABLE YIS
        "\uC76C",  # ; HANGUL SYLLABLE YISS
        "\uC76D",  # ; HANGUL SYLLABLE YING
        "\uC76E",  # ; HANGUL SYLLABLE YIJ
        "\uC76F",  # ; HANGUL SYLLABLE YIC
        "\uC770",  # ; HANGUL SYLLABLE YIK
        "\uC771",  # ; HANGUL SYLLABLE YIT
        "\uC772",  # ; HANGUL SYLLABLE YIP
        "\uC773",  # ; HANGUL SYLLABLE YIH
        "\uC774",  # ; HANGUL SYLLABLE I
        "\uC775",  # ; HANGUL SYLLABLE IG
        "\uC776",  # ; HANGUL SYLLABLE IGG
        "\uC777",  # ; HANGUL SYLLABLE IGS
        "\uC778",  # ; HANGUL SYLLABLE IN
        "\uC779",  # ; HANGUL SYLLABLE INJ
        "\uC77A",  # ; HANGUL SYLLABLE INH
        "\uC77B",  # ; HANGUL SYLLABLE ID
        "\uC77C",  # ; HANGUL SYLLABLE IL
        "\uC77D",  # ; HANGUL SYLLABLE ILG
        "\uC77E",  # ; HANGUL SYLLABLE ILM
        "\uC77F",  # ; HANGUL SYLLABLE ILB
        "\uC780",  # ; HANGUL SYLLABLE ILS
        "\uC781",  # ; HANGUL SYLLABLE ILT
        "\uC782",  # ; HANGUL SYLLABLE ILP
        "\uC783",  # ; HANGUL SYLLABLE ILH
        "\uC784",  # ; HANGUL SYLLABLE IM
        "\uC785",  # ; HANGUL SYLLABLE IB
        "\uC786",  # ; HANGUL SYLLABLE IBS
        "\uC787",  # ; HANGUL SYLLABLE IS
        "\uC788",  # ; HANGUL SYLLABLE ISS
        "\uC789",  # ; HANGUL SYLLABLE ING
        "\uC78A",  # ; HANGUL SYLLABLE IJ
        "\uC78B",  # ; HANGUL SYLLABLE IC
        "\uC78C",  # ; HANGUL SYLLABLE IK
        "\uC78D",  # ; HANGUL SYLLABLE IT
        "\uC78E",  # ; HANGUL SYLLABLE IP
        "\uC78F",  # ; HANGUL SYLLABLE IH
        "\uC790",  # ; HANGUL SYLLABLE JA
        "\uC791",  # ; HANGUL SYLLABLE JAG
        "\uC792",  # ; HANGUL SYLLABLE JAGG
        "\uC793",  # ; HANGUL SYLLABLE JAGS
        "\uC794",  # ; HANGUL SYLLABLE JAN
        "\uC795",  # ; HANGUL SYLLABLE JANJ
        "\uC796",  # ; HANGUL SYLLABLE JANH
        "\uC797",  # ; HANGUL SYLLABLE JAD
        "\uC798",  # ; HANGUL SYLLABLE JAL
        "\uC799",  # ; HANGUL SYLLABLE JALG
        "\uC79A",  # ; HANGUL SYLLABLE JALM
        "\uC79B",  # ; HANGUL SYLLABLE JALB
        "\uC79C",  # ; HANGUL SYLLABLE JALS
        "\uC79D",  # ; HANGUL SYLLABLE JALT
        "\uC79E",  # ; HANGUL SYLLABLE JALP
        "\uC79F",  # ; HANGUL SYLLABLE JALH
        "\uC7A0",  # ; HANGUL SYLLABLE JAM
        "\uC7A1",  # ; HANGUL SYLLABLE JAB
        "\uC7A2",  # ; HANGUL SYLLABLE JABS
        "\uC7A3",  # ; HANGUL SYLLABLE JAS
        "\uC7A4",  # ; HANGUL SYLLABLE JASS
        "\uC7A5",  # ; HANGUL SYLLABLE JANG
        "\uC7A6",  # ; HANGUL SYLLABLE JAJ
        "\uC7A7",  # ; HANGUL SYLLABLE JAC
        "\uC7A8",  # ; HANGUL SYLLABLE JAK
        "\uC7A9",  # ; HANGUL SYLLABLE JAT
        "\uC7AA",  # ; HANGUL SYLLABLE JAP
        "\uC7AB",  # ; HANGUL SYLLABLE JAH
        "\uC7AC",  # ; HANGUL SYLLABLE JAE
        "\uC7AD",  # ; HANGUL SYLLABLE JAEG
        "\uC7AE",  # ; HANGUL SYLLABLE JAEGG
        "\uC7AF",  # ; HANGUL SYLLABLE JAEGS
        "\uC7B0",  # ; HANGUL SYLLABLE JAEN
        "\uC7B1",  # ; HANGUL SYLLABLE JAENJ
        "\uC7B2",  # ; HANGUL SYLLABLE JAENH
        "\uC7B3",  # ; HANGUL SYLLABLE JAED
        "\uC7B4",  # ; HANGUL SYLLABLE JAEL
        "\uC7B5",  # ; HANGUL SYLLABLE JAELG
        "\uC7B6",  # ; HANGUL SYLLABLE JAELM
        "\uC7B7",  # ; HANGUL SYLLABLE JAELB
        "\uC7B8",  # ; HANGUL SYLLABLE JAELS
        "\uC7B9",  # ; HANGUL SYLLABLE JAELT
        "\uC7BA",  # ; HANGUL SYLLABLE JAELP
        "\uC7BB",  # ; HANGUL SYLLABLE JAELH
        "\uC7BC",  # ; HANGUL SYLLABLE JAEM
        "\uC7BD",  # ; HANGUL SYLLABLE JAEB
        "\uC7BE",  # ; HANGUL SYLLABLE JAEBS
        "\uC7BF",  # ; HANGUL SYLLABLE JAES
        "\uC7C0",  # ; HANGUL SYLLABLE JAESS
        "\uC7C1",  # ; HANGUL SYLLABLE JAENG
        "\uC7C2",  # ; HANGUL SYLLABLE JAEJ
        "\uC7C3",  # ; HANGUL SYLLABLE JAEC
        "\uC7C4",  # ; HANGUL SYLLABLE JAEK
        "\uC7C5",  # ; HANGUL SYLLABLE JAET
        "\uC7C6",  # ; HANGUL SYLLABLE JAEP
        "\uC7C7",  # ; HANGUL SYLLABLE JAEH
        "\uC7C8",  # ; HANGUL SYLLABLE JYA
        "\uC7C9",  # ; HANGUL SYLLABLE JYAG
        "\uC7CA",  # ; HANGUL SYLLABLE JYAGG
        "\uC7CB",  # ; HANGUL SYLLABLE JYAGS
        "\uC7CC",  # ; HANGUL SYLLABLE JYAN
        "\uC7CD",  # ; HANGUL SYLLABLE JYANJ
        "\uC7CE",  # ; HANGUL SYLLABLE JYANH
        "\uC7CF",  # ; HANGUL SYLLABLE JYAD
        "\uC7D0",  # ; HANGUL SYLLABLE JYAL
        "\uC7D1",  # ; HANGUL SYLLABLE JYALG
        "\uC7D2",  # ; HANGUL SYLLABLE JYALM
        "\uC7D3",  # ; HANGUL SYLLABLE JYALB
        "\uC7D4",  # ; HANGUL SYLLABLE JYALS
        "\uC7D5",  # ; HANGUL SYLLABLE JYALT
        "\uC7D6",  # ; HANGUL SYLLABLE JYALP
        "\uC7D7",  # ; HANGUL SYLLABLE JYALH
        "\uC7D8",  # ; HANGUL SYLLABLE JYAM
        "\uC7D9",  # ; HANGUL SYLLABLE JYAB
        "\uC7DA",  # ; HANGUL SYLLABLE JYABS
        "\uC7DB",  # ; HANGUL SYLLABLE JYAS
        "\uC7DC",  # ; HANGUL SYLLABLE JYASS
        "\uC7DD",  # ; HANGUL SYLLABLE JYANG
        "\uC7DE",  # ; HANGUL SYLLABLE JYAJ
        "\uC7DF",  # ; HANGUL SYLLABLE JYAC
        "\uC7E0",  # ; HANGUL SYLLABLE JYAK
        "\uC7E1",  # ; HANGUL SYLLABLE JYAT
        "\uC7E2",  # ; HANGUL SYLLABLE JYAP
        "\uC7E3",  # ; HANGUL SYLLABLE JYAH
        "\uC7E4",  # ; HANGUL SYLLABLE JYAE
        "\uC7E5",  # ; HANGUL SYLLABLE JYAEG
        "\uC7E6",  # ; HANGUL SYLLABLE JYAEGG
        "\uC7E7",  # ; HANGUL SYLLABLE JYAEGS
        "\uC7E8",  # ; HANGUL SYLLABLE JYAEN
        "\uC7E9",  # ; HANGUL SYLLABLE JYAENJ
        "\uC7EA",  # ; HANGUL SYLLABLE JYAENH
        "\uC7EB",  # ; HANGUL SYLLABLE JYAED
        "\uC7EC",  # ; HANGUL SYLLABLE JYAEL
        "\uC7ED",  # ; HANGUL SYLLABLE JYAELG
        "\uC7EE",  # ; HANGUL SYLLABLE JYAELM
        "\uC7EF",  # ; HANGUL SYLLABLE JYAELB
        "\uC7F0",  # ; HANGUL SYLLABLE JYAELS
        "\uC7F1",  # ; HANGUL SYLLABLE JYAELT
        "\uC7F2",  # ; HANGUL SYLLABLE JYAELP
        "\uC7F3",  # ; HANGUL SYLLABLE JYAELH
        "\uC7F4",  # ; HANGUL SYLLABLE JYAEM
        "\uC7F5",  # ; HANGUL SYLLABLE JYAEB
        "\uC7F6",  # ; HANGUL SYLLABLE JYAEBS
        "\uC7F7",  # ; HANGUL SYLLABLE JYAES
        "\uC7F8",  # ; HANGUL SYLLABLE JYAESS
        "\uC7F9",  # ; HANGUL SYLLABLE JYAENG
        "\uC7FA",  # ; HANGUL SYLLABLE JYAEJ
        "\uC7FB",  # ; HANGUL SYLLABLE JYAEC
        "\uC7FC",  # ; HANGUL SYLLABLE JYAEK
        "\uC7FD",  # ; HANGUL SYLLABLE JYAET
        "\uC7FE",  # ; HANGUL SYLLABLE JYAEP
        "\uC7FF",  # ; HANGUL SYLLABLE JYAEH
        "\uC800",  # ; HANGUL SYLLABLE JEO
        "\uC801",  # ; HANGUL SYLLABLE JEOG
        "\uC802",  # ; HANGUL SYLLABLE JEOGG
        "\uC803",  # ; HANGUL SYLLABLE JEOGS
        "\uC804",  # ; HANGUL SYLLABLE JEON
        "\uC805",  # ; HANGUL SYLLABLE JEONJ
        "\uC806",  # ; HANGUL SYLLABLE JEONH
        "\uC807",  # ; HANGUL SYLLABLE JEOD
        "\uC808",  # ; HANGUL SYLLABLE JEOL
        "\uC809",  # ; HANGUL SYLLABLE JEOLG
        "\uC80A",  # ; HANGUL SYLLABLE JEOLM
        "\uC80B",  # ; HANGUL SYLLABLE JEOLB
        "\uC80C",  # ; HANGUL SYLLABLE JEOLS
        "\uC80D",  # ; HANGUL SYLLABLE JEOLT
        "\uC80E",  # ; HANGUL SYLLABLE JEOLP
        "\uC80F",  # ; HANGUL SYLLABLE JEOLH
        "\uC810",  # ; HANGUL SYLLABLE JEOM
        "\uC811",  # ; HANGUL SYLLABLE JEOB
        "\uC812",  # ; HANGUL SYLLABLE JEOBS
        "\uC813",  # ; HANGUL SYLLABLE JEOS
        "\uC814",  # ; HANGUL SYLLABLE JEOSS
        "\uC815",  # ; HANGUL SYLLABLE JEONG
        "\uC816",  # ; HANGUL SYLLABLE JEOJ
        "\uC817",  # ; HANGUL SYLLABLE JEOC
        "\uC818",  # ; HANGUL SYLLABLE JEOK
        "\uC819",  # ; HANGUL SYLLABLE JEOT
        "\uC81A",  # ; HANGUL SYLLABLE JEOP
        "\uC81B",  # ; HANGUL SYLLABLE JEOH
        "\uC81C",  # ; HANGUL SYLLABLE JE
        "\uC81D",  # ; HANGUL SYLLABLE JEG
        "\uC81E",  # ; HANGUL SYLLABLE JEGG
        "\uC81F",  # ; HANGUL SYLLABLE JEGS
        "\uC820",  # ; HANGUL SYLLABLE JEN
        "\uC821",  # ; HANGUL SYLLABLE JENJ
        "\uC822",  # ; HANGUL SYLLABLE JENH
        "\uC823",  # ; HANGUL SYLLABLE JED
        "\uC824",  # ; HANGUL SYLLABLE JEL
        "\uC825",  # ; HANGUL SYLLABLE JELG
        "\uC826",  # ; HANGUL SYLLABLE JELM
        "\uC827",  # ; HANGUL SYLLABLE JELB
        "\uC828",  # ; HANGUL SYLLABLE JELS
        "\uC829",  # ; HANGUL SYLLABLE JELT
        "\uC82A",  # ; HANGUL SYLLABLE JELP
        "\uC82B",  # ; HANGUL SYLLABLE JELH
        "\uC82C",  # ; HANGUL SYLLABLE JEM
        "\uC82D",  # ; HANGUL SYLLABLE JEB
        "\uC82E",  # ; HANGUL SYLLABLE JEBS
        "\uC82F",  # ; HANGUL SYLLABLE JES
        "\uC830",  # ; HANGUL SYLLABLE JESS
        "\uC831",  # ; HANGUL SYLLABLE JENG
        "\uC832",  # ; HANGUL SYLLABLE JEJ
        "\uC833",  # ; HANGUL SYLLABLE JEC
        "\uC834",  # ; HANGUL SYLLABLE JEK
        "\uC835",  # ; HANGUL SYLLABLE JET
        "\uC836",  # ; HANGUL SYLLABLE JEP
        "\uC837",  # ; HANGUL SYLLABLE JEH
        "\uC838",  # ; HANGUL SYLLABLE JYEO
        "\uC839",  # ; HANGUL SYLLABLE JYEOG
        "\uC83A",  # ; HANGUL SYLLABLE JYEOGG
        "\uC83B",  # ; HANGUL SYLLABLE JYEOGS
        "\uC83C",  # ; HANGUL SYLLABLE JYEON
        "\uC83D",  # ; HANGUL SYLLABLE JYEONJ
        "\uC83E",  # ; HANGUL SYLLABLE JYEONH
        "\uC83F",  # ; HANGUL SYLLABLE JYEOD
        "\uC840",  # ; HANGUL SYLLABLE JYEOL
        "\uC841",  # ; HANGUL SYLLABLE JYEOLG
        "\uC842",  # ; HANGUL SYLLABLE JYEOLM
        "\uC843",  # ; HANGUL SYLLABLE JYEOLB
        "\uC844",  # ; HANGUL SYLLABLE JYEOLS
        "\uC845",  # ; HANGUL SYLLABLE JYEOLT
        "\uC846",  # ; HANGUL SYLLABLE JYEOLP
        "\uC847",  # ; HANGUL SYLLABLE JYEOLH
        "\uC848",  # ; HANGUL SYLLABLE JYEOM
        "\uC849",  # ; HANGUL SYLLABLE JYEOB
        "\uC84A",  # ; HANGUL SYLLABLE JYEOBS
        "\uC84B",  # ; HANGUL SYLLABLE JYEOS
        "\uC84C",  # ; HANGUL SYLLABLE JYEOSS
        "\uC84D",  # ; HANGUL SYLLABLE JYEONG
        "\uC84E",  # ; HANGUL SYLLABLE JYEOJ
        "\uC84F",  # ; HANGUL SYLLABLE JYEOC
        "\uC850",  # ; HANGUL SYLLABLE JYEOK
        "\uC851",  # ; HANGUL SYLLABLE JYEOT
        "\uC852",  # ; HANGUL SYLLABLE JYEOP
        "\uC853",  # ; HANGUL SYLLABLE JYEOH
        "\uC854",  # ; HANGUL SYLLABLE JYE
        "\uC855",  # ; HANGUL SYLLABLE JYEG
        "\uC856",  # ; HANGUL SYLLABLE JYEGG
        "\uC857",  # ; HANGUL SYLLABLE JYEGS
        "\uC858",  # ; HANGUL SYLLABLE JYEN
        "\uC859",  # ; HANGUL SYLLABLE JYENJ
        "\uC85A",  # ; HANGUL SYLLABLE JYENH
        "\uC85B",  # ; HANGUL SYLLABLE JYED
        "\uC85C",  # ; HANGUL SYLLABLE JYEL
        "\uC85D",  # ; HANGUL SYLLABLE JYELG
        "\uC85E",  # ; HANGUL SYLLABLE JYELM
        "\uC85F",  # ; HANGUL SYLLABLE JYELB
        "\uC860",  # ; HANGUL SYLLABLE JYELS
        "\uC861",  # ; HANGUL SYLLABLE JYELT
        "\uC862",  # ; HANGUL SYLLABLE JYELP
        "\uC863",  # ; HANGUL SYLLABLE JYELH
        "\uC864",  # ; HANGUL SYLLABLE JYEM
        "\uC865",  # ; HANGUL SYLLABLE JYEB
        "\uC866",  # ; HANGUL SYLLABLE JYEBS
        "\uC867",  # ; HANGUL SYLLABLE JYES
        "\uC868",  # ; HANGUL SYLLABLE JYESS
        "\uC869",  # ; HANGUL SYLLABLE JYENG
        "\uC86A",  # ; HANGUL SYLLABLE JYEJ
        "\uC86B",  # ; HANGUL SYLLABLE JYEC
        "\uC86C",  # ; HANGUL SYLLABLE JYEK
        "\uC86D",  # ; HANGUL SYLLABLE JYET
        "\uC86E",  # ; HANGUL SYLLABLE JYEP
        "\uC86F",  # ; HANGUL SYLLABLE JYEH
        "\uC870",  # ; HANGUL SYLLABLE JO
        "\uC871",  # ; HANGUL SYLLABLE JOG
        "\uC872",  # ; HANGUL SYLLABLE JOGG
        "\uC873",  # ; HANGUL SYLLABLE JOGS
        "\uC874",  # ; HANGUL SYLLABLE JON
        "\uC875",  # ; HANGUL SYLLABLE JONJ
        "\uC876",  # ; HANGUL SYLLABLE JONH
        "\uC877",  # ; HANGUL SYLLABLE JOD
        "\uC878",  # ; HANGUL SYLLABLE JOL
        "\uC879",  # ; HANGUL SYLLABLE JOLG
        "\uC87A",  # ; HANGUL SYLLABLE JOLM
        "\uC87B",  # ; HANGUL SYLLABLE JOLB
        "\uC87C",  # ; HANGUL SYLLABLE JOLS
        "\uC87D",  # ; HANGUL SYLLABLE JOLT
        "\uC87E",  # ; HANGUL SYLLABLE JOLP
        "\uC87F",  # ; HANGUL SYLLABLE JOLH
        "\uC880",  # ; HANGUL SYLLABLE JOM
        "\uC881",  # ; HANGUL SYLLABLE JOB
        "\uC882",  # ; HANGUL SYLLABLE JOBS
        "\uC883",  # ; HANGUL SYLLABLE JOS
        "\uC884",  # ; HANGUL SYLLABLE JOSS
        "\uC885",  # ; HANGUL SYLLABLE JONG
        "\uC886",  # ; HANGUL SYLLABLE JOJ
        "\uC887",  # ; HANGUL SYLLABLE JOC
        "\uC888",  # ; HANGUL SYLLABLE JOK
        "\uC889",  # ; HANGUL SYLLABLE JOT
        "\uC88A",  # ; HANGUL SYLLABLE JOP
        "\uC88B",  # ; HANGUL SYLLABLE JOH
        "\uC88C",  # ; HANGUL SYLLABLE JWA
        "\uC88D",  # ; HANGUL SYLLABLE JWAG
        "\uC88E",  # ; HANGUL SYLLABLE JWAGG
        "\uC88F",  # ; HANGUL SYLLABLE JWAGS
        "\uC890",  # ; HANGUL SYLLABLE JWAN
        "\uC891",  # ; HANGUL SYLLABLE JWANJ
        "\uC892",  # ; HANGUL SYLLABLE JWANH
        "\uC893",  # ; HANGUL SYLLABLE JWAD
        "\uC894",  # ; HANGUL SYLLABLE JWAL
        "\uC895",  # ; HANGUL SYLLABLE JWALG
        "\uC896",  # ; HANGUL SYLLABLE JWALM
        "\uC897",  # ; HANGUL SYLLABLE JWALB
        "\uC898",  # ; HANGUL SYLLABLE JWALS
        "\uC899",  # ; HANGUL SYLLABLE JWALT
        "\uC89A",  # ; HANGUL SYLLABLE JWALP
        "\uC89B",  # ; HANGUL SYLLABLE JWALH
        "\uC89C",  # ; HANGUL SYLLABLE JWAM
        "\uC89D",  # ; HANGUL SYLLABLE JWAB
        "\uC89E",  # ; HANGUL SYLLABLE JWABS
        "\uC89F",  # ; HANGUL SYLLABLE JWAS
        "\uC8A0",  # ; HANGUL SYLLABLE JWASS
        "\uC8A1",  # ; HANGUL SYLLABLE JWANG
        "\uC8A2",  # ; HANGUL SYLLABLE JWAJ
        "\uC8A3",  # ; HANGUL SYLLABLE JWAC
        "\uC8A4",  # ; HANGUL SYLLABLE JWAK
        "\uC8A5",  # ; HANGUL SYLLABLE JWAT
        "\uC8A6",  # ; HANGUL SYLLABLE JWAP
        "\uC8A7",  # ; HANGUL SYLLABLE JWAH
        "\uC8A8",  # ; HANGUL SYLLABLE JWAE
        "\uC8A9",  # ; HANGUL SYLLABLE JWAEG
        "\uC8AA",  # ; HANGUL SYLLABLE JWAEGG
        "\uC8AB",  # ; HANGUL SYLLABLE JWAEGS
        "\uC8AC",  # ; HANGUL SYLLABLE JWAEN
        "\uC8AD",  # ; HANGUL SYLLABLE JWAENJ
        "\uC8AE",  # ; HANGUL SYLLABLE JWAENH
        "\uC8AF",  # ; HANGUL SYLLABLE JWAED
        "\uC8B0",  # ; HANGUL SYLLABLE JWAEL
        "\uC8B1",  # ; HANGUL SYLLABLE JWAELG
        "\uC8B2",  # ; HANGUL SYLLABLE JWAELM
        "\uC8B3",  # ; HANGUL SYLLABLE JWAELB
        "\uC8B4",  # ; HANGUL SYLLABLE JWAELS
        "\uC8B5",  # ; HANGUL SYLLABLE JWAELT
        "\uC8B6",  # ; HANGUL SYLLABLE JWAELP
        "\uC8B7",  # ; HANGUL SYLLABLE JWAELH
        "\uC8B8",  # ; HANGUL SYLLABLE JWAEM
        "\uC8B9",  # ; HANGUL SYLLABLE JWAEB
        "\uC8BA",  # ; HANGUL SYLLABLE JWAEBS
        "\uC8BB",  # ; HANGUL SYLLABLE JWAES
        "\uC8BC",  # ; HANGUL SYLLABLE JWAESS
        "\uC8BD",  # ; HANGUL SYLLABLE JWAENG
        "\uC8BE",  # ; HANGUL SYLLABLE JWAEJ
        "\uC8BF",  # ; HANGUL SYLLABLE JWAEC
        "\uC8C0",  # ; HANGUL SYLLABLE JWAEK
        "\uC8C1",  # ; HANGUL SYLLABLE JWAET
        "\uC8C2",  # ; HANGUL SYLLABLE JWAEP
        "\uC8C3",  # ; HANGUL SYLLABLE JWAEH
        "\uC8C4",  # ; HANGUL SYLLABLE JOE
        "\uC8C5",  # ; HANGUL SYLLABLE JOEG
        "\uC8C6",  # ; HANGUL SYLLABLE JOEGG
        "\uC8C7",  # ; HANGUL SYLLABLE JOEGS
        "\uC8C8",  # ; HANGUL SYLLABLE JOEN
        "\uC8C9",  # ; HANGUL SYLLABLE JOENJ
        "\uC8CA",  # ; HANGUL SYLLABLE JOENH
        "\uC8CB",  # ; HANGUL SYLLABLE JOED
        "\uC8CC",  # ; HANGUL SYLLABLE JOEL
        "\uC8CD",  # ; HANGUL SYLLABLE JOELG
        "\uC8CE",  # ; HANGUL SYLLABLE JOELM
        "\uC8CF",  # ; HANGUL SYLLABLE JOELB
        "\uC8D0",  # ; HANGUL SYLLABLE JOELS
        "\uC8D1",  # ; HANGUL SYLLABLE JOELT
        "\uC8D2",  # ; HANGUL SYLLABLE JOELP
        "\uC8D3",  # ; HANGUL SYLLABLE JOELH
        "\uC8D4",  # ; HANGUL SYLLABLE JOEM
        "\uC8D5",  # ; HANGUL SYLLABLE JOEB
        "\uC8D6",  # ; HANGUL SYLLABLE JOEBS
        "\uC8D7",  # ; HANGUL SYLLABLE JOES
        "\uC8D8",  # ; HANGUL SYLLABLE JOESS
        "\uC8D9",  # ; HANGUL SYLLABLE JOENG
        "\uC8DA",  # ; HANGUL SYLLABLE JOEJ
        "\uC8DB",  # ; HANGUL SYLLABLE JOEC
        "\uC8DC",  # ; HANGUL SYLLABLE JOEK
        "\uC8DD",  # ; HANGUL SYLLABLE JOET
        "\uC8DE",  # ; HANGUL SYLLABLE JOEP
        "\uC8DF",  # ; HANGUL SYLLABLE JOEH
        "\uC8E0",  # ; HANGUL SYLLABLE JYO
        "\uC8E1",  # ; HANGUL SYLLABLE JYOG
        "\uC8E2",  # ; HANGUL SYLLABLE JYOGG
        "\uC8E3",  # ; HANGUL SYLLABLE JYOGS
        "\uC8E4",  # ; HANGUL SYLLABLE JYON
        "\uC8E5",  # ; HANGUL SYLLABLE JYONJ
        "\uC8E6",  # ; HANGUL SYLLABLE JYONH
        "\uC8E7",  # ; HANGUL SYLLABLE JYOD
        "\uC8E8",  # ; HANGUL SYLLABLE JYOL
        "\uC8E9",  # ; HANGUL SYLLABLE JYOLG
        "\uC8EA",  # ; HANGUL SYLLABLE JYOLM
        "\uC8EB",  # ; HANGUL SYLLABLE JYOLB
        "\uC8EC",  # ; HANGUL SYLLABLE JYOLS
        "\uC8ED",  # ; HANGUL SYLLABLE JYOLT
        "\uC8EE",  # ; HANGUL SYLLABLE JYOLP
        "\uC8EF",  # ; HANGUL SYLLABLE JYOLH
        "\uC8F0",  # ; HANGUL SYLLABLE JYOM
        "\uC8F1",  # ; HANGUL SYLLABLE JYOB
        "\uC8F2",  # ; HANGUL SYLLABLE JYOBS
        "\uC8F3",  # ; HANGUL SYLLABLE JYOS
        "\uC8F4",  # ; HANGUL SYLLABLE JYOSS
        "\uC8F5",  # ; HANGUL SYLLABLE JYONG
        "\uC8F6",  # ; HANGUL SYLLABLE JYOJ
        "\uC8F7",  # ; HANGUL SYLLABLE JYOC
        "\uC8F8",  # ; HANGUL SYLLABLE JYOK
        "\uC8F9",  # ; HANGUL SYLLABLE JYOT
        "\uC8FA",  # ; HANGUL SYLLABLE JYOP
        "\uC8FB",  # ; HANGUL SYLLABLE JYOH
        "\uC8FC",  # ; HANGUL SYLLABLE JU
        "\uC8FD",  # ; HANGUL SYLLABLE JUG
        "\uC8FE",  # ; HANGUL SYLLABLE JUGG
        "\uC8FF",  # ; HANGUL SYLLABLE JUGS
        "\uC900",  # ; HANGUL SYLLABLE JUN
        "\uC901",  # ; HANGUL SYLLABLE JUNJ
        "\uC902",  # ; HANGUL SYLLABLE JUNH
        "\uC903",  # ; HANGUL SYLLABLE JUD
        "\uC904",  # ; HANGUL SYLLABLE JUL
        "\uC905",  # ; HANGUL SYLLABLE JULG
        "\uC906",  # ; HANGUL SYLLABLE JULM
        "\uC907",  # ; HANGUL SYLLABLE JULB
        "\uC908",  # ; HANGUL SYLLABLE JULS
        "\uC909",  # ; HANGUL SYLLABLE JULT
        "\uC90A",  # ; HANGUL SYLLABLE JULP
        "\uC90B",  # ; HANGUL SYLLABLE JULH
        "\uC90C",  # ; HANGUL SYLLABLE JUM
        "\uC90D",  # ; HANGUL SYLLABLE JUB
        "\uC90E",  # ; HANGUL SYLLABLE JUBS
        "\uC90F",  # ; HANGUL SYLLABLE JUS
        "\uC910",  # ; HANGUL SYLLABLE JUSS
        "\uC911",  # ; HANGUL SYLLABLE JUNG
        "\uC912",  # ; HANGUL SYLLABLE JUJ
        "\uC913",  # ; HANGUL SYLLABLE JUC
        "\uC914",  # ; HANGUL SYLLABLE JUK
        "\uC915",  # ; HANGUL SYLLABLE JUT
        "\uC916",  # ; HANGUL SYLLABLE JUP
        "\uC917",  # ; HANGUL SYLLABLE JUH
        "\uC918",  # ; HANGUL SYLLABLE JWEO
        "\uC919",  # ; HANGUL SYLLABLE JWEOG
        "\uC91A",  # ; HANGUL SYLLABLE JWEOGG
        "\uC91B",  # ; HANGUL SYLLABLE JWEOGS
        "\uC91C",  # ; HANGUL SYLLABLE JWEON
        "\uC91D",  # ; HANGUL SYLLABLE JWEONJ
        "\uC91E",  # ; HANGUL SYLLABLE JWEONH
        "\uC91F",  # ; HANGUL SYLLABLE JWEOD
        "\uC920",  # ; HANGUL SYLLABLE JWEOL
        "\uC921",  # ; HANGUL SYLLABLE JWEOLG
        "\uC922",  # ; HANGUL SYLLABLE JWEOLM
        "\uC923",  # ; HANGUL SYLLABLE JWEOLB
        "\uC924",  # ; HANGUL SYLLABLE JWEOLS
        "\uC925",  # ; HANGUL SYLLABLE JWEOLT
        "\uC926",  # ; HANGUL SYLLABLE JWEOLP
        "\uC927",  # ; HANGUL SYLLABLE JWEOLH
        "\uC928",  # ; HANGUL SYLLABLE JWEOM
        "\uC929",  # ; HANGUL SYLLABLE JWEOB
        "\uC92A",  # ; HANGUL SYLLABLE JWEOBS
        "\uC92B",  # ; HANGUL SYLLABLE JWEOS
        "\uC92C",  # ; HANGUL SYLLABLE JWEOSS
        "\uC92D",  # ; HANGUL SYLLABLE JWEONG
        "\uC92E",  # ; HANGUL SYLLABLE JWEOJ
        "\uC92F",  # ; HANGUL SYLLABLE JWEOC
        "\uC930",  # ; HANGUL SYLLABLE JWEOK
        "\uC931",  # ; HANGUL SYLLABLE JWEOT
        "\uC932",  # ; HANGUL SYLLABLE JWEOP
        "\uC933",  # ; HANGUL SYLLABLE JWEOH
        "\uC934",  # ; HANGUL SYLLABLE JWE
        "\uC935",  # ; HANGUL SYLLABLE JWEG
        "\uC936",  # ; HANGUL SYLLABLE JWEGG
        "\uC937",  # ; HANGUL SYLLABLE JWEGS
        "\uC938",  # ; HANGUL SYLLABLE JWEN
        "\uC939",  # ; HANGUL SYLLABLE JWENJ
        "\uC93A",  # ; HANGUL SYLLABLE JWENH
        "\uC93B",  # ; HANGUL SYLLABLE JWED
        "\uC93C",  # ; HANGUL SYLLABLE JWEL
        "\uC93D",  # ; HANGUL SYLLABLE JWELG
        "\uC93E",  # ; HANGUL SYLLABLE JWELM
        "\uC93F",  # ; HANGUL SYLLABLE JWELB
        "\uC940",  # ; HANGUL SYLLABLE JWELS
        "\uC941",  # ; HANGUL SYLLABLE JWELT
        "\uC942",  # ; HANGUL SYLLABLE JWELP
        "\uC943",  # ; HANGUL SYLLABLE JWELH
        "\uC944",  # ; HANGUL SYLLABLE JWEM
        "\uC945",  # ; HANGUL SYLLABLE JWEB
        "\uC946",  # ; HANGUL SYLLABLE JWEBS
        "\uC947",  # ; HANGUL SYLLABLE JWES
        "\uC948",  # ; HANGUL SYLLABLE JWESS
        "\uC949",  # ; HANGUL SYLLABLE JWENG
        "\uC94A",  # ; HANGUL SYLLABLE JWEJ
        "\uC94B",  # ; HANGUL SYLLABLE JWEC
        "\uC94C",  # ; HANGUL SYLLABLE JWEK
        "\uC94D",  # ; HANGUL SYLLABLE JWET
        "\uC94E",  # ; HANGUL SYLLABLE JWEP
        "\uC94F",  # ; HANGUL SYLLABLE JWEH
        "\uC950",  # ; HANGUL SYLLABLE JWI
        "\uC951",  # ; HANGUL SYLLABLE JWIG
        "\uC952",  # ; HANGUL SYLLABLE JWIGG
        "\uC953",  # ; HANGUL SYLLABLE JWIGS
        "\uC954",  # ; HANGUL SYLLABLE JWIN
        "\uC955",  # ; HANGUL SYLLABLE JWINJ
        "\uC956",  # ; HANGUL SYLLABLE JWINH
        "\uC957",  # ; HANGUL SYLLABLE JWID
        "\uC958",  # ; HANGUL SYLLABLE JWIL
        "\uC959",  # ; HANGUL SYLLABLE JWILG
        "\uC95A",  # ; HANGUL SYLLABLE JWILM
        "\uC95B",  # ; HANGUL SYLLABLE JWILB
        "\uC95C",  # ; HANGUL SYLLABLE JWILS
        "\uC95D",  # ; HANGUL SYLLABLE JWILT
        "\uC95E",  # ; HANGUL SYLLABLE JWILP
        "\uC95F",  # ; HANGUL SYLLABLE JWILH
        "\uC960",  # ; HANGUL SYLLABLE JWIM
        "\uC961",  # ; HANGUL SYLLABLE JWIB
        "\uC962",  # ; HANGUL SYLLABLE JWIBS
        "\uC963",  # ; HANGUL SYLLABLE JWIS
        "\uC964",  # ; HANGUL SYLLABLE JWISS
        "\uC965",  # ; HANGUL SYLLABLE JWING
        "\uC966",  # ; HANGUL SYLLABLE JWIJ
        "\uC967",  # ; HANGUL SYLLABLE JWIC
        "\uC968",  # ; HANGUL SYLLABLE JWIK
        "\uC969",  # ; HANGUL SYLLABLE JWIT
        "\uC96A",  # ; HANGUL SYLLABLE JWIP
        "\uC96B",  # ; HANGUL SYLLABLE JWIH
        "\uC96C",  # ; HANGUL SYLLABLE JYU
        "\uC96D",  # ; HANGUL SYLLABLE JYUG
        "\uC96E",  # ; HANGUL SYLLABLE JYUGG
        "\uC96F",  # ; HANGUL SYLLABLE JYUGS
        "\uC970",  # ; HANGUL SYLLABLE JYUN
        "\uC971",  # ; HANGUL SYLLABLE JYUNJ
        "\uC972",  # ; HANGUL SYLLABLE JYUNH
        "\uC973",  # ; HANGUL SYLLABLE JYUD
        "\uC974",  # ; HANGUL SYLLABLE JYUL
        "\uC975",  # ; HANGUL SYLLABLE JYULG
        "\uC976",  # ; HANGUL SYLLABLE JYULM
        "\uC977",  # ; HANGUL SYLLABLE JYULB
        "\uC978",  # ; HANGUL SYLLABLE JYULS
        "\uC979",  # ; HANGUL SYLLABLE JYULT
        "\uC97A",  # ; HANGUL SYLLABLE JYULP
        "\uC97B",  # ; HANGUL SYLLABLE JYULH
        "\uC97C",  # ; HANGUL SYLLABLE JYUM
        "\uC97D",  # ; HANGUL SYLLABLE JYUB
        "\uC97E",  # ; HANGUL SYLLABLE JYUBS
        "\uC97F",  # ; HANGUL SYLLABLE JYUS
        "\uC980",  # ; HANGUL SYLLABLE JYUSS
        "\uC981",  # ; HANGUL SYLLABLE JYUNG
        "\uC982",  # ; HANGUL SYLLABLE JYUJ
        "\uC983",  # ; HANGUL SYLLABLE JYUC
        "\uC984",  # ; HANGUL SYLLABLE JYUK
        "\uC985",  # ; HANGUL SYLLABLE JYUT
        "\uC986",  # ; HANGUL SYLLABLE JYUP
        "\uC987",  # ; HANGUL SYLLABLE JYUH
        "\uC988",  # ; HANGUL SYLLABLE JEU
        "\uC989",  # ; HANGUL SYLLABLE JEUG
        "\uC98A",  # ; HANGUL SYLLABLE JEUGG
        "\uC98B",  # ; HANGUL SYLLABLE JEUGS
        "\uC98C",  # ; HANGUL SYLLABLE JEUN
        "\uC98D",  # ; HANGUL SYLLABLE JEUNJ
        "\uC98E",  # ; HANGUL SYLLABLE JEUNH
        "\uC98F",  # ; HANGUL SYLLABLE JEUD
        "\uC990",  # ; HANGUL SYLLABLE JEUL
        "\uC991",  # ; HANGUL SYLLABLE JEULG
        "\uC992",  # ; HANGUL SYLLABLE JEULM
        "\uC993",  # ; HANGUL SYLLABLE JEULB
        "\uC994",  # ; HANGUL SYLLABLE JEULS
        "\uC995",  # ; HANGUL SYLLABLE JEULT
        "\uC996",  # ; HANGUL SYLLABLE JEULP
        "\uC997",  # ; HANGUL SYLLABLE JEULH
        "\uC998",  # ; HANGUL SYLLABLE JEUM
        "\uC999",  # ; HANGUL SYLLABLE JEUB
        "\uC99A",  # ; HANGUL SYLLABLE JEUBS
        "\uC99B",  # ; HANGUL SYLLABLE JEUS
        "\uC99C",  # ; HANGUL SYLLABLE JEUSS
        "\uC99D",  # ; HANGUL SYLLABLE JEUNG
        "\uC99E",  # ; HANGUL SYLLABLE JEUJ
        "\uC99F",  # ; HANGUL SYLLABLE JEUC
        "\uC9A0",  # ; HANGUL SYLLABLE JEUK
        "\uC9A1",  # ; HANGUL SYLLABLE JEUT
        "\uC9A2",  # ; HANGUL SYLLABLE JEUP
        "\uC9A3",  # ; HANGUL SYLLABLE JEUH
        "\uC9A4",  # ; HANGUL SYLLABLE JYI
        "\uC9A5",  # ; HANGUL SYLLABLE JYIG
        "\uC9A6",  # ; HANGUL SYLLABLE JYIGG
        "\uC9A7",  # ; HANGUL SYLLABLE JYIGS
        "\uC9A8",  # ; HANGUL SYLLABLE JYIN
        "\uC9A9",  # ; HANGUL SYLLABLE JYINJ
        "\uC9AA",  # ; HANGUL SYLLABLE JYINH
        "\uC9AB",  # ; HANGUL SYLLABLE JYID
        "\uC9AC",  # ; HANGUL SYLLABLE JYIL
        "\uC9AD",  # ; HANGUL SYLLABLE JYILG
        "\uC9AE",  # ; HANGUL SYLLABLE JYILM
        "\uC9AF",  # ; HANGUL SYLLABLE JYILB
        "\uC9B0",  # ; HANGUL SYLLABLE JYILS
        "\uC9B1",  # ; HANGUL SYLLABLE JYILT
        "\uC9B2",  # ; HANGUL SYLLABLE JYILP
        "\uC9B3",  # ; HANGUL SYLLABLE JYILH
        "\uC9B4",  # ; HANGUL SYLLABLE JYIM
        "\uC9B5",  # ; HANGUL SYLLABLE JYIB
        "\uC9B6",  # ; HANGUL SYLLABLE JYIBS
        "\uC9B7",  # ; HANGUL SYLLABLE JYIS
        "\uC9B8",  # ; HANGUL SYLLABLE JYISS
        "\uC9B9",  # ; HANGUL SYLLABLE JYING
        "\uC9BA",  # ; HANGUL SYLLABLE JYIJ
        "\uC9BB",  # ; HANGUL SYLLABLE JYIC
        "\uC9BC",  # ; HANGUL SYLLABLE JYIK
        "\uC9BD",  # ; HANGUL SYLLABLE JYIT
        "\uC9BE",  # ; HANGUL SYLLABLE JYIP
        "\uC9BF",  # ; HANGUL SYLLABLE JYIH
        "\uC9C0",  # ; HANGUL SYLLABLE JI
        "\uC9C1",  # ; HANGUL SYLLABLE JIG
        "\uC9C2",  # ; HANGUL SYLLABLE JIGG
        "\uC9C3",  # ; HANGUL SYLLABLE JIGS
        "\uC9C4",  # ; HANGUL SYLLABLE JIN
        "\uC9C5",  # ; HANGUL SYLLABLE JINJ
        "\uC9C6",  # ; HANGUL SYLLABLE JINH
        "\uC9C7",  # ; HANGUL SYLLABLE JID
        "\uC9C8",  # ; HANGUL SYLLABLE JIL
        "\uC9C9",  # ; HANGUL SYLLABLE JILG
        "\uC9CA",  # ; HANGUL SYLLABLE JILM
        "\uC9CB",  # ; HANGUL SYLLABLE JILB
        "\uC9CC",  # ; HANGUL SYLLABLE JILS
        "\uC9CD",  # ; HANGUL SYLLABLE JILT
        "\uC9CE",  # ; HANGUL SYLLABLE JILP
        "\uC9CF",  # ; HANGUL SYLLABLE JILH
        "\uC9D0",  # ; HANGUL SYLLABLE JIM
        "\uC9D1",  # ; HANGUL SYLLABLE JIB
        "\uC9D2",  # ; HANGUL SYLLABLE JIBS
        "\uC9D3",  # ; HANGUL SYLLABLE JIS
        "\uC9D4",  # ; HANGUL SYLLABLE JISS
        "\uC9D5",  # ; HANGUL SYLLABLE JING
        "\uC9D6",  # ; HANGUL SYLLABLE JIJ
        "\uC9D7",  # ; HANGUL SYLLABLE JIC
        "\uC9D8",  # ; HANGUL SYLLABLE JIK
        "\uC9D9",  # ; HANGUL SYLLABLE JIT
        "\uC9DA",  # ; HANGUL SYLLABLE JIP
        "\uC9DB",  # ; HANGUL SYLLABLE JIH
        "\uC9DC",  # ; HANGUL SYLLABLE JJA
        "\uC9DD",  # ; HANGUL SYLLABLE JJAG
        "\uC9DE",  # ; HANGUL SYLLABLE JJAGG
        "\uC9DF",  # ; HANGUL SYLLABLE JJAGS
        "\uC9E0",  # ; HANGUL SYLLABLE JJAN
        "\uC9E1",  # ; HANGUL SYLLABLE JJANJ
        "\uC9E2",  # ; HANGUL SYLLABLE JJANH
        "\uC9E3",  # ; HANGUL SYLLABLE JJAD
        "\uC9E4",  # ; HANGUL SYLLABLE JJAL
        "\uC9E5",  # ; HANGUL SYLLABLE JJALG
        "\uC9E6",  # ; HANGUL SYLLABLE JJALM
        "\uC9E7",  # ; HANGUL SYLLABLE JJALB
        "\uC9E8",  # ; HANGUL SYLLABLE JJALS
        "\uC9E9",  # ; HANGUL SYLLABLE JJALT
        "\uC9EA",  # ; HANGUL SYLLABLE JJALP
        "\uC9EB",  # ; HANGUL SYLLABLE JJALH
        "\uC9EC",  # ; HANGUL SYLLABLE JJAM
        "\uC9ED",  # ; HANGUL SYLLABLE JJAB
        "\uC9EE",  # ; HANGUL SYLLABLE JJABS
        "\uC9EF",  # ; HANGUL SYLLABLE JJAS
        "\uC9F0",  # ; HANGUL SYLLABLE JJASS
        "\uC9F1",  # ; HANGUL SYLLABLE JJANG
        "\uC9F2",  # ; HANGUL SYLLABLE JJAJ
        "\uC9F3",  # ; HANGUL SYLLABLE JJAC
        "\uC9F4",  # ; HANGUL SYLLABLE JJAK
        "\uC9F5",  # ; HANGUL SYLLABLE JJAT
        "\uC9F6",  # ; HANGUL SYLLABLE JJAP
        "\uC9F7",  # ; HANGUL SYLLABLE JJAH
        "\uC9F8",  # ; HANGUL SYLLABLE JJAE
        "\uC9F9",  # ; HANGUL SYLLABLE JJAEG
        "\uC9FA",  # ; HANGUL SYLLABLE JJAEGG
        "\uC9FB",  # ; HANGUL SYLLABLE JJAEGS
        "\uC9FC",  # ; HANGUL SYLLABLE JJAEN
        "\uC9FD",  # ; HANGUL SYLLABLE JJAENJ
        "\uC9FE",  # ; HANGUL SYLLABLE JJAENH
        "\uC9FF",  # ; HANGUL SYLLABLE JJAED
        "\uCA00",  # ; HANGUL SYLLABLE JJAEL
        "\uCA01",  # ; HANGUL SYLLABLE JJAELG
        "\uCA02",  # ; HANGUL SYLLABLE JJAELM
        "\uCA03",  # ; HANGUL SYLLABLE JJAELB
        "\uCA04",  # ; HANGUL SYLLABLE JJAELS
        "\uCA05",  # ; HANGUL SYLLABLE JJAELT
        "\uCA06",  # ; HANGUL SYLLABLE JJAELP
        "\uCA07",  # ; HANGUL SYLLABLE JJAELH
        "\uCA08",  # ; HANGUL SYLLABLE JJAEM
        "\uCA09",  # ; HANGUL SYLLABLE JJAEB
        "\uCA0A",  # ; HANGUL SYLLABLE JJAEBS
        "\uCA0B",  # ; HANGUL SYLLABLE JJAES
        "\uCA0C",  # ; HANGUL SYLLABLE JJAESS
        "\uCA0D",  # ; HANGUL SYLLABLE JJAENG
        "\uCA0E",  # ; HANGUL SYLLABLE JJAEJ
        "\uCA0F",  # ; HANGUL SYLLABLE JJAEC
        "\uCA10",  # ; HANGUL SYLLABLE JJAEK
        "\uCA11",  # ; HANGUL SYLLABLE JJAET
        "\uCA12",  # ; HANGUL SYLLABLE JJAEP
        "\uCA13",  # ; HANGUL SYLLABLE JJAEH
        "\uCA14",  # ; HANGUL SYLLABLE JJYA
        "\uCA15",  # ; HANGUL SYLLABLE JJYAG
        "\uCA16",  # ; HANGUL SYLLABLE JJYAGG
        "\uCA17",  # ; HANGUL SYLLABLE JJYAGS
        "\uCA18",  # ; HANGUL SYLLABLE JJYAN
        "\uCA19",  # ; HANGUL SYLLABLE JJYANJ
        "\uCA1A",  # ; HANGUL SYLLABLE JJYANH
        "\uCA1B",  # ; HANGUL SYLLABLE JJYAD
        "\uCA1C",  # ; HANGUL SYLLABLE JJYAL
        "\uCA1D",  # ; HANGUL SYLLABLE JJYALG
        "\uCA1E",  # ; HANGUL SYLLABLE JJYALM
        "\uCA1F",  # ; HANGUL SYLLABLE JJYALB
        "\uCA20",  # ; HANGUL SYLLABLE JJYALS
        "\uCA21",  # ; HANGUL SYLLABLE JJYALT
        "\uCA22",  # ; HANGUL SYLLABLE JJYALP
        "\uCA23",  # ; HANGUL SYLLABLE JJYALH
        "\uCA24",  # ; HANGUL SYLLABLE JJYAM
        "\uCA25",  # ; HANGUL SYLLABLE JJYAB
        "\uCA26",  # ; HANGUL SYLLABLE JJYABS
        "\uCA27",  # ; HANGUL SYLLABLE JJYAS
        "\uCA28",  # ; HANGUL SYLLABLE JJYASS
        "\uCA29",  # ; HANGUL SYLLABLE JJYANG
        "\uCA2A",  # ; HANGUL SYLLABLE JJYAJ
        "\uCA2B",  # ; HANGUL SYLLABLE JJYAC
        "\uCA2C",  # ; HANGUL SYLLABLE JJYAK
        "\uCA2D",  # ; HANGUL SYLLABLE JJYAT
        "\uCA2E",  # ; HANGUL SYLLABLE JJYAP
        "\uCA2F",  # ; HANGUL SYLLABLE JJYAH
        "\uCA30",  # ; HANGUL SYLLABLE JJYAE
        "\uCA31",  # ; HANGUL SYLLABLE JJYAEG
        "\uCA32",  # ; HANGUL SYLLABLE JJYAEGG
        "\uCA33",  # ; HANGUL SYLLABLE JJYAEGS
        "\uCA34",  # ; HANGUL SYLLABLE JJYAEN
        "\uCA35",  # ; HANGUL SYLLABLE JJYAENJ
        "\uCA36",  # ; HANGUL SYLLABLE JJYAENH
        "\uCA37",  # ; HANGUL SYLLABLE JJYAED
        "\uCA38",  # ; HANGUL SYLLABLE JJYAEL
        "\uCA39",  # ; HANGUL SYLLABLE JJYAELG
        "\uCA3A",  # ; HANGUL SYLLABLE JJYAELM
        "\uCA3B",  # ; HANGUL SYLLABLE JJYAELB
        "\uCA3C",  # ; HANGUL SYLLABLE JJYAELS
        "\uCA3D",  # ; HANGUL SYLLABLE JJYAELT
        "\uCA3E",  # ; HANGUL SYLLABLE JJYAELP
        "\uCA3F",  # ; HANGUL SYLLABLE JJYAELH
        "\uCA40",  # ; HANGUL SYLLABLE JJYAEM
        "\uCA41",  # ; HANGUL SYLLABLE JJYAEB
        "\uCA42",  # ; HANGUL SYLLABLE JJYAEBS
        "\uCA43",  # ; HANGUL SYLLABLE JJYAES
        "\uCA44",  # ; HANGUL SYLLABLE JJYAESS
        "\uCA45",  # ; HANGUL SYLLABLE JJYAENG
        "\uCA46",  # ; HANGUL SYLLABLE JJYAEJ
        "\uCA47",  # ; HANGUL SYLLABLE JJYAEC
        "\uCA48",  # ; HANGUL SYLLABLE JJYAEK
        "\uCA49",  # ; HANGUL SYLLABLE JJYAET
        "\uCA4A",  # ; HANGUL SYLLABLE JJYAEP
        "\uCA4B",  # ; HANGUL SYLLABLE JJYAEH
        "\uCA4C",  # ; HANGUL SYLLABLE JJEO
        "\uCA4D",  # ; HANGUL SYLLABLE JJEOG
        "\uCA4E",  # ; HANGUL SYLLABLE JJEOGG
        "\uCA4F",  # ; HANGUL SYLLABLE JJEOGS
        "\uCA50",  # ; HANGUL SYLLABLE JJEON
        "\uCA51",  # ; HANGUL SYLLABLE JJEONJ
        "\uCA52",  # ; HANGUL SYLLABLE JJEONH
        "\uCA53",  # ; HANGUL SYLLABLE JJEOD
        "\uCA54",  # ; HANGUL SYLLABLE JJEOL
        "\uCA55",  # ; HANGUL SYLLABLE JJEOLG
        "\uCA56",  # ; HANGUL SYLLABLE JJEOLM
        "\uCA57",  # ; HANGUL SYLLABLE JJEOLB
        "\uCA58",  # ; HANGUL SYLLABLE JJEOLS
        "\uCA59",  # ; HANGUL SYLLABLE JJEOLT
        "\uCA5A",  # ; HANGUL SYLLABLE JJEOLP
        "\uCA5B",  # ; HANGUL SYLLABLE JJEOLH
        "\uCA5C",  # ; HANGUL SYLLABLE JJEOM
        "\uCA5D",  # ; HANGUL SYLLABLE JJEOB
        "\uCA5E",  # ; HANGUL SYLLABLE JJEOBS
        "\uCA5F",  # ; HANGUL SYLLABLE JJEOS
        "\uCA60",  # ; HANGUL SYLLABLE JJEOSS
        "\uCA61",  # ; HANGUL SYLLABLE JJEONG
        "\uCA62",  # ; HANGUL SYLLABLE JJEOJ
        "\uCA63",  # ; HANGUL SYLLABLE JJEOC
        "\uCA64",  # ; HANGUL SYLLABLE JJEOK
        "\uCA65",  # ; HANGUL SYLLABLE JJEOT
        "\uCA66",  # ; HANGUL SYLLABLE JJEOP
        "\uCA67",  # ; HANGUL SYLLABLE JJEOH
        "\uCA68",  # ; HANGUL SYLLABLE JJE
        "\uCA69",  # ; HANGUL SYLLABLE JJEG
        "\uCA6A",  # ; HANGUL SYLLABLE JJEGG
        "\uCA6B",  # ; HANGUL SYLLABLE JJEGS
        "\uCA6C",  # ; HANGUL SYLLABLE JJEN
        "\uCA6D",  # ; HANGUL SYLLABLE JJENJ
        "\uCA6E",  # ; HANGUL SYLLABLE JJENH
        "\uCA6F",  # ; HANGUL SYLLABLE JJED
        "\uCA70",  # ; HANGUL SYLLABLE JJEL
        "\uCA71",  # ; HANGUL SYLLABLE JJELG
        "\uCA72",  # ; HANGUL SYLLABLE JJELM
        "\uCA73",  # ; HANGUL SYLLABLE JJELB
        "\uCA74",  # ; HANGUL SYLLABLE JJELS
        "\uCA75",  # ; HANGUL SYLLABLE JJELT
        "\uCA76",  # ; HANGUL SYLLABLE JJELP
        "\uCA77",  # ; HANGUL SYLLABLE JJELH
        "\uCA78",  # ; HANGUL SYLLABLE JJEM
        "\uCA79",  # ; HANGUL SYLLABLE JJEB
        "\uCA7A",  # ; HANGUL SYLLABLE JJEBS
        "\uCA7B",  # ; HANGUL SYLLABLE JJES
        "\uCA7C",  # ; HANGUL SYLLABLE JJESS
        "\uCA7D",  # ; HANGUL SYLLABLE JJENG
        "\uCA7E",  # ; HANGUL SYLLABLE JJEJ
        "\uCA7F",  # ; HANGUL SYLLABLE JJEC
        "\uCA80",  # ; HANGUL SYLLABLE JJEK
        "\uCA81",  # ; HANGUL SYLLABLE JJET
        "\uCA82",  # ; HANGUL SYLLABLE JJEP
        "\uCA83",  # ; HANGUL SYLLABLE JJEH
        "\uCA84",  # ; HANGUL SYLLABLE JJYEO
        "\uCA85",  # ; HANGUL SYLLABLE JJYEOG
        "\uCA86",  # ; HANGUL SYLLABLE JJYEOGG
        "\uCA87",  # ; HANGUL SYLLABLE JJYEOGS
        "\uCA88",  # ; HANGUL SYLLABLE JJYEON
        "\uCA89",  # ; HANGUL SYLLABLE JJYEONJ
        "\uCA8A",  # ; HANGUL SYLLABLE JJYEONH
        "\uCA8B",  # ; HANGUL SYLLABLE JJYEOD
        "\uCA8C",  # ; HANGUL SYLLABLE JJYEOL
        "\uCA8D",  # ; HANGUL SYLLABLE JJYEOLG
        "\uCA8E",  # ; HANGUL SYLLABLE JJYEOLM
        "\uCA8F",  # ; HANGUL SYLLABLE JJYEOLB
        "\uCA90",  # ; HANGUL SYLLABLE JJYEOLS
        "\uCA91",  # ; HANGUL SYLLABLE JJYEOLT
        "\uCA92",  # ; HANGUL SYLLABLE JJYEOLP
        "\uCA93",  # ; HANGUL SYLLABLE JJYEOLH
        "\uCA94",  # ; HANGUL SYLLABLE JJYEOM
        "\uCA95",  # ; HANGUL SYLLABLE JJYEOB
        "\uCA96",  # ; HANGUL SYLLABLE JJYEOBS
        "\uCA97",  # ; HANGUL SYLLABLE JJYEOS
        "\uCA98",  # ; HANGUL SYLLABLE JJYEOSS
        "\uCA99",  # ; HANGUL SYLLABLE JJYEONG
        "\uCA9A",  # ; HANGUL SYLLABLE JJYEOJ
        "\uCA9B",  # ; HANGUL SYLLABLE JJYEOC
        "\uCA9C",  # ; HANGUL SYLLABLE JJYEOK
        "\uCA9D",  # ; HANGUL SYLLABLE JJYEOT
        "\uCA9E",  # ; HANGUL SYLLABLE JJYEOP
        "\uCA9F",  # ; HANGUL SYLLABLE JJYEOH
        "\uCAA0",  # ; HANGUL SYLLABLE JJYE
        "\uCAA1",  # ; HANGUL SYLLABLE JJYEG
        "\uCAA2",  # ; HANGUL SYLLABLE JJYEGG
        "\uCAA3",  # ; HANGUL SYLLABLE JJYEGS
        "\uCAA4",  # ; HANGUL SYLLABLE JJYEN
        "\uCAA5",  # ; HANGUL SYLLABLE JJYENJ
        "\uCAA6",  # ; HANGUL SYLLABLE JJYENH
        "\uCAA7",  # ; HANGUL SYLLABLE JJYED
        "\uCAA8",  # ; HANGUL SYLLABLE JJYEL
        "\uCAA9",  # ; HANGUL SYLLABLE JJYELG
        "\uCAAA",  # ; HANGUL SYLLABLE JJYELM
        "\uCAAB",  # ; HANGUL SYLLABLE JJYELB
        "\uCAAC",  # ; HANGUL SYLLABLE JJYELS
        "\uCAAD",  # ; HANGUL SYLLABLE JJYELT
        "\uCAAE",  # ; HANGUL SYLLABLE JJYELP
        "\uCAAF",  # ; HANGUL SYLLABLE JJYELH
        "\uCAB0",  # ; HANGUL SYLLABLE JJYEM
        "\uCAB1",  # ; HANGUL SYLLABLE JJYEB
        "\uCAB2",  # ; HANGUL SYLLABLE JJYEBS
        "\uCAB3",  # ; HANGUL SYLLABLE JJYES
        "\uCAB4",  # ; HANGUL SYLLABLE JJYESS
        "\uCAB5",  # ; HANGUL SYLLABLE JJYENG
        "\uCAB6",  # ; HANGUL SYLLABLE JJYEJ
        "\uCAB7",  # ; HANGUL SYLLABLE JJYEC
        "\uCAB8",  # ; HANGUL SYLLABLE JJYEK
        "\uCAB9",  # ; HANGUL SYLLABLE JJYET
        "\uCABA",  # ; HANGUL SYLLABLE JJYEP
        "\uCABB",  # ; HANGUL SYLLABLE JJYEH
        "\uCABC",  # ; HANGUL SYLLABLE JJO
        "\uCABD",  # ; HANGUL SYLLABLE JJOG
        "\uCABE",  # ; HANGUL SYLLABLE JJOGG
        "\uCABF",  # ; HANGUL SYLLABLE JJOGS
        "\uCAC0",  # ; HANGUL SYLLABLE JJON
        "\uCAC1",  # ; HANGUL SYLLABLE JJONJ
        "\uCAC2",  # ; HANGUL SYLLABLE JJONH
        "\uCAC3",  # ; HANGUL SYLLABLE JJOD
        "\uCAC4",  # ; HANGUL SYLLABLE JJOL
        "\uCAC5",  # ; HANGUL SYLLABLE JJOLG
        "\uCAC6",  # ; HANGUL SYLLABLE JJOLM
        "\uCAC7",  # ; HANGUL SYLLABLE JJOLB
        "\uCAC8",  # ; HANGUL SYLLABLE JJOLS
        "\uCAC9",  # ; HANGUL SYLLABLE JJOLT
        "\uCACA",  # ; HANGUL SYLLABLE JJOLP
        "\uCACB",  # ; HANGUL SYLLABLE JJOLH
        "\uCACC",  # ; HANGUL SYLLABLE JJOM
        "\uCACD",  # ; HANGUL SYLLABLE JJOB
        "\uCACE",  # ; HANGUL SYLLABLE JJOBS
        "\uCACF",  # ; HANGUL SYLLABLE JJOS
        "\uCAD0",  # ; HANGUL SYLLABLE JJOSS
        "\uCAD1",  # ; HANGUL SYLLABLE JJONG
        "\uCAD2",  # ; HANGUL SYLLABLE JJOJ
        "\uCAD3",  # ; HANGUL SYLLABLE JJOC
        "\uCAD4",  # ; HANGUL SYLLABLE JJOK
        "\uCAD5",  # ; HANGUL SYLLABLE JJOT
        "\uCAD6",  # ; HANGUL SYLLABLE JJOP
        "\uCAD7",  # ; HANGUL SYLLABLE JJOH
        "\uCAD8",  # ; HANGUL SYLLABLE JJWA
        "\uCAD9",  # ; HANGUL SYLLABLE JJWAG
        "\uCADA",  # ; HANGUL SYLLABLE JJWAGG
        "\uCADB",  # ; HANGUL SYLLABLE JJWAGS
        "\uCADC",  # ; HANGUL SYLLABLE JJWAN
        "\uCADD",  # ; HANGUL SYLLABLE JJWANJ
        "\uCADE",  # ; HANGUL SYLLABLE JJWANH
        "\uCADF",  # ; HANGUL SYLLABLE JJWAD
        "\uCAE0",  # ; HANGUL SYLLABLE JJWAL
        "\uCAE1",  # ; HANGUL SYLLABLE JJWALG
        "\uCAE2",  # ; HANGUL SYLLABLE JJWALM
        "\uCAE3",  # ; HANGUL SYLLABLE JJWALB
        "\uCAE4",  # ; HANGUL SYLLABLE JJWALS
        "\uCAE5",  # ; HANGUL SYLLABLE JJWALT
        "\uCAE6",  # ; HANGUL SYLLABLE JJWALP
        "\uCAE7",  # ; HANGUL SYLLABLE JJWALH
        "\uCAE8",  # ; HANGUL SYLLABLE JJWAM
        "\uCAE9",  # ; HANGUL SYLLABLE JJWAB
        "\uCAEA",  # ; HANGUL SYLLABLE JJWABS
        "\uCAEB",  # ; HANGUL SYLLABLE JJWAS
        "\uCAEC",  # ; HANGUL SYLLABLE JJWASS
        "\uCAED",  # ; HANGUL SYLLABLE JJWANG
        "\uCAEE",  # ; HANGUL SYLLABLE JJWAJ
        "\uCAEF",  # ; HANGUL SYLLABLE JJWAC
        "\uCAF0",  # ; HANGUL SYLLABLE JJWAK
        "\uCAF1",  # ; HANGUL SYLLABLE JJWAT
        "\uCAF2",  # ; HANGUL SYLLABLE JJWAP
        "\uCAF3",  # ; HANGUL SYLLABLE JJWAH
        "\uCAF4",  # ; HANGUL SYLLABLE JJWAE
        "\uCAF5",  # ; HANGUL SYLLABLE JJWAEG
        "\uCAF6",  # ; HANGUL SYLLABLE JJWAEGG
        "\uCAF7",  # ; HANGUL SYLLABLE JJWAEGS
        "\uCAF8",  # ; HANGUL SYLLABLE JJWAEN
        "\uCAF9",  # ; HANGUL SYLLABLE JJWAENJ
        "\uCAFA",  # ; HANGUL SYLLABLE JJWAENH
        "\uCAFB",  # ; HANGUL SYLLABLE JJWAED
        "\uCAFC",  # ; HANGUL SYLLABLE JJWAEL
        "\uCAFD",  # ; HANGUL SYLLABLE JJWAELG
        "\uCAFE",  # ; HANGUL SYLLABLE JJWAELM
        "\uCAFF",  # ; HANGUL SYLLABLE JJWAELB
        "\uCB00",  # ; HANGUL SYLLABLE JJWAELS
        "\uCB01",  # ; HANGUL SYLLABLE JJWAELT
        "\uCB02",  # ; HANGUL SYLLABLE JJWAELP
        "\uCB03",  # ; HANGUL SYLLABLE JJWAELH
        "\uCB04",  # ; HANGUL SYLLABLE JJWAEM
        "\uCB05",  # ; HANGUL SYLLABLE JJWAEB
        "\uCB06",  # ; HANGUL SYLLABLE JJWAEBS
        "\uCB07",  # ; HANGUL SYLLABLE JJWAES
        "\uCB08",  # ; HANGUL SYLLABLE JJWAESS
        "\uCB09",  # ; HANGUL SYLLABLE JJWAENG
        "\uCB0A",  # ; HANGUL SYLLABLE JJWAEJ
        "\uCB0B",  # ; HANGUL SYLLABLE JJWAEC
        "\uCB0C",  # ; HANGUL SYLLABLE JJWAEK
        "\uCB0D",  # ; HANGUL SYLLABLE JJWAET
        "\uCB0E",  # ; HANGUL SYLLABLE JJWAEP
        "\uCB0F",  # ; HANGUL SYLLABLE JJWAEH
        "\uCB10",  # ; HANGUL SYLLABLE JJOE
        "\uCB11",  # ; HANGUL SYLLABLE JJOEG
        "\uCB12",  # ; HANGUL SYLLABLE JJOEGG
        "\uCB13",  # ; HANGUL SYLLABLE JJOEGS
        "\uCB14",  # ; HANGUL SYLLABLE JJOEN
        "\uCB15",  # ; HANGUL SYLLABLE JJOENJ
        "\uCB16",  # ; HANGUL SYLLABLE JJOENH
        "\uCB17",  # ; HANGUL SYLLABLE JJOED
        "\uCB18",  # ; HANGUL SYLLABLE JJOEL
        "\uCB19",  # ; HANGUL SYLLABLE JJOELG
        "\uCB1A",  # ; HANGUL SYLLABLE JJOELM
        "\uCB1B",  # ; HANGUL SYLLABLE JJOELB
        "\uCB1C",  # ; HANGUL SYLLABLE JJOELS
        "\uCB1D",  # ; HANGUL SYLLABLE JJOELT
        "\uCB1E",  # ; HANGUL SYLLABLE JJOELP
        "\uCB1F",  # ; HANGUL SYLLABLE JJOELH
        "\uCB20",  # ; HANGUL SYLLABLE JJOEM
        "\uCB21",  # ; HANGUL SYLLABLE JJOEB
        "\uCB22",  # ; HANGUL SYLLABLE JJOEBS
        "\uCB23",  # ; HANGUL SYLLABLE JJOES
        "\uCB24",  # ; HANGUL SYLLABLE JJOESS
        "\uCB25",  # ; HANGUL SYLLABLE JJOENG
        "\uCB26",  # ; HANGUL SYLLABLE JJOEJ
        "\uCB27",  # ; HANGUL SYLLABLE JJOEC
        "\uCB28",  # ; HANGUL SYLLABLE JJOEK
        "\uCB29",  # ; HANGUL SYLLABLE JJOET
        "\uCB2A",  # ; HANGUL SYLLABLE JJOEP
        "\uCB2B",  # ; HANGUL SYLLABLE JJOEH
        "\uCB2C",  # ; HANGUL SYLLABLE JJYO
        "\uCB2D",  # ; HANGUL SYLLABLE JJYOG
        "\uCB2E",  # ; HANGUL SYLLABLE JJYOGG
        "\uCB2F",  # ; HANGUL SYLLABLE JJYOGS
        "\uCB30",  # ; HANGUL SYLLABLE JJYON
        "\uCB31",  # ; HANGUL SYLLABLE JJYONJ
        "\uCB32",  # ; HANGUL SYLLABLE JJYONH
        "\uCB33",  # ; HANGUL SYLLABLE JJYOD
        "\uCB34",  # ; HANGUL SYLLABLE JJYOL
        "\uCB35",  # ; HANGUL SYLLABLE JJYOLG
        "\uCB36",  # ; HANGUL SYLLABLE JJYOLM
        "\uCB37",  # ; HANGUL SYLLABLE JJYOLB
        "\uCB38",  # ; HANGUL SYLLABLE JJYOLS
        "\uCB39",  # ; HANGUL SYLLABLE JJYOLT
        "\uCB3A",  # ; HANGUL SYLLABLE JJYOLP
        "\uCB3B",  # ; HANGUL SYLLABLE JJYOLH
        "\uCB3C",  # ; HANGUL SYLLABLE JJYOM
        "\uCB3D",  # ; HANGUL SYLLABLE JJYOB
        "\uCB3E",  # ; HANGUL SYLLABLE JJYOBS
        "\uCB3F",  # ; HANGUL SYLLABLE JJYOS
        "\uCB40",  # ; HANGUL SYLLABLE JJYOSS
        "\uCB41",  # ; HANGUL SYLLABLE JJYONG
        "\uCB42",  # ; HANGUL SYLLABLE JJYOJ
        "\uCB43",  # ; HANGUL SYLLABLE JJYOC
        "\uCB44",  # ; HANGUL SYLLABLE JJYOK
        "\uCB45",  # ; HANGUL SYLLABLE JJYOT
        "\uCB46",  # ; HANGUL SYLLABLE JJYOP
        "\uCB47",  # ; HANGUL SYLLABLE JJYOH
        "\uCB48",  # ; HANGUL SYLLABLE JJU
        "\uCB49",  # ; HANGUL SYLLABLE JJUG
        "\uCB4A",  # ; HANGUL SYLLABLE JJUGG
        "\uCB4B",  # ; HANGUL SYLLABLE JJUGS
        "\uCB4C",  # ; HANGUL SYLLABLE JJUN
        "\uCB4D",  # ; HANGUL SYLLABLE JJUNJ
        "\uCB4E",  # ; HANGUL SYLLABLE JJUNH
        "\uCB4F",  # ; HANGUL SYLLABLE JJUD
        "\uCB50",  # ; HANGUL SYLLABLE JJUL
        "\uCB51",  # ; HANGUL SYLLABLE JJULG
        "\uCB52",  # ; HANGUL SYLLABLE JJULM
        "\uCB53",  # ; HANGUL SYLLABLE JJULB
        "\uCB54",  # ; HANGUL SYLLABLE JJULS
        "\uCB55",  # ; HANGUL SYLLABLE JJULT
        "\uCB56",  # ; HANGUL SYLLABLE JJULP
        "\uCB57",  # ; HANGUL SYLLABLE JJULH
        "\uCB58",  # ; HANGUL SYLLABLE JJUM
        "\uCB59",  # ; HANGUL SYLLABLE JJUB
        "\uCB5A",  # ; HANGUL SYLLABLE JJUBS
        "\uCB5B",  # ; HANGUL SYLLABLE JJUS
        "\uCB5C",  # ; HANGUL SYLLABLE JJUSS
        "\uCB5D",  # ; HANGUL SYLLABLE JJUNG
        "\uCB5E",  # ; HANGUL SYLLABLE JJUJ
        "\uCB5F",  # ; HANGUL SYLLABLE JJUC
        "\uCB60",  # ; HANGUL SYLLABLE JJUK
        "\uCB61",  # ; HANGUL SYLLABLE JJUT
        "\uCB62",  # ; HANGUL SYLLABLE JJUP
        "\uCB63",  # ; HANGUL SYLLABLE JJUH
        "\uCB64",  # ; HANGUL SYLLABLE JJWEO
        "\uCB65",  # ; HANGUL SYLLABLE JJWEOG
        "\uCB66",  # ; HANGUL SYLLABLE JJWEOGG
        "\uCB67",  # ; HANGUL SYLLABLE JJWEOGS
        "\uCB68",  # ; HANGUL SYLLABLE JJWEON
        "\uCB69",  # ; HANGUL SYLLABLE JJWEONJ
        "\uCB6A",  # ; HANGUL SYLLABLE JJWEONH
        "\uCB6B",  # ; HANGUL SYLLABLE JJWEOD
        "\uCB6C",  # ; HANGUL SYLLABLE JJWEOL
        "\uCB6D",  # ; HANGUL SYLLABLE JJWEOLG
        "\uCB6E",  # ; HANGUL SYLLABLE JJWEOLM
        "\uCB6F",  # ; HANGUL SYLLABLE JJWEOLB
        "\uCB70",  # ; HANGUL SYLLABLE JJWEOLS
        "\uCB71",  # ; HANGUL SYLLABLE JJWEOLT
        "\uCB72",  # ; HANGUL SYLLABLE JJWEOLP
        "\uCB73",  # ; HANGUL SYLLABLE JJWEOLH
        "\uCB74",  # ; HANGUL SYLLABLE JJWEOM
        "\uCB75",  # ; HANGUL SYLLABLE JJWEOB
        "\uCB76",  # ; HANGUL SYLLABLE JJWEOBS
        "\uCB77",  # ; HANGUL SYLLABLE JJWEOS
        "\uCB78",  # ; HANGUL SYLLABLE JJWEOSS
        "\uCB79",  # ; HANGUL SYLLABLE JJWEONG
        "\uCB7A",  # ; HANGUL SYLLABLE JJWEOJ
        "\uCB7B",  # ; HANGUL SYLLABLE JJWEOC
        "\uCB7C",  # ; HANGUL SYLLABLE JJWEOK
        "\uCB7D",  # ; HANGUL SYLLABLE JJWEOT
        "\uCB7E",  # ; HANGUL SYLLABLE JJWEOP
        "\uCB7F",  # ; HANGUL SYLLABLE JJWEOH
        "\uCB80",  # ; HANGUL SYLLABLE JJWE
        "\uCB81",  # ; HANGUL SYLLABLE JJWEG
        "\uCB82",  # ; HANGUL SYLLABLE JJWEGG
        "\uCB83",  # ; HANGUL SYLLABLE JJWEGS
        "\uCB84",  # ; HANGUL SYLLABLE JJWEN
        "\uCB85",  # ; HANGUL SYLLABLE JJWENJ
        "\uCB86",  # ; HANGUL SYLLABLE JJWENH
        "\uCB87",  # ; HANGUL SYLLABLE JJWED
        "\uCB88",  # ; HANGUL SYLLABLE JJWEL
        "\uCB89",  # ; HANGUL SYLLABLE JJWELG
        "\uCB8A",  # ; HANGUL SYLLABLE JJWELM
        "\uCB8B",  # ; HANGUL SYLLABLE JJWELB
        "\uCB8C",  # ; HANGUL SYLLABLE JJWELS
        "\uCB8D",  # ; HANGUL SYLLABLE JJWELT
        "\uCB8E",  # ; HANGUL SYLLABLE JJWELP
        "\uCB8F",  # ; HANGUL SYLLABLE JJWELH
        "\uCB90",  # ; HANGUL SYLLABLE JJWEM
        "\uCB91",  # ; HANGUL SYLLABLE JJWEB
        "\uCB92",  # ; HANGUL SYLLABLE JJWEBS
        "\uCB93",  # ; HANGUL SYLLABLE JJWES
        "\uCB94",  # ; HANGUL SYLLABLE JJWESS
        "\uCB95",  # ; HANGUL SYLLABLE JJWENG
        "\uCB96",  # ; HANGUL SYLLABLE JJWEJ
        "\uCB97",  # ; HANGUL SYLLABLE JJWEC
        "\uCB98",  # ; HANGUL SYLLABLE JJWEK
        "\uCB99",  # ; HANGUL SYLLABLE JJWET
        "\uCB9A",  # ; HANGUL SYLLABLE JJWEP
        "\uCB9B",  # ; HANGUL SYLLABLE JJWEH
        "\uCB9C",  # ; HANGUL SYLLABLE JJWI
        "\uCB9D",  # ; HANGUL SYLLABLE JJWIG
        "\uCB9E",  # ; HANGUL SYLLABLE JJWIGG
        "\uCB9F",  # ; HANGUL SYLLABLE JJWIGS
        "\uCBA0",  # ; HANGUL SYLLABLE JJWIN
        "\uCBA1",  # ; HANGUL SYLLABLE JJWINJ
        "\uCBA2",  # ; HANGUL SYLLABLE JJWINH
        "\uCBA3",  # ; HANGUL SYLLABLE JJWID
        "\uCBA4",  # ; HANGUL SYLLABLE JJWIL
        "\uCBA5",  # ; HANGUL SYLLABLE JJWILG
        "\uCBA6",  # ; HANGUL SYLLABLE JJWILM
        "\uCBA7",  # ; HANGUL SYLLABLE JJWILB
        "\uCBA8",  # ; HANGUL SYLLABLE JJWILS
        "\uCBA9",  # ; HANGUL SYLLABLE JJWILT
        "\uCBAA",  # ; HANGUL SYLLABLE JJWILP
        "\uCBAB",  # ; HANGUL SYLLABLE JJWILH
        "\uCBAC",  # ; HANGUL SYLLABLE JJWIM
        "\uCBAD",  # ; HANGUL SYLLABLE JJWIB
        "\uCBAE",  # ; HANGUL SYLLABLE JJWIBS
        "\uCBAF",  # ; HANGUL SYLLABLE JJWIS
        "\uCBB0",  # ; HANGUL SYLLABLE JJWISS
        "\uCBB1",  # ; HANGUL SYLLABLE JJWING
        "\uCBB2",  # ; HANGUL SYLLABLE JJWIJ
        "\uCBB3",  # ; HANGUL SYLLABLE JJWIC
        "\uCBB4",  # ; HANGUL SYLLABLE JJWIK
        "\uCBB5",  # ; HANGUL SYLLABLE JJWIT
        "\uCBB6",  # ; HANGUL SYLLABLE JJWIP
        "\uCBB7",  # ; HANGUL SYLLABLE JJWIH
        "\uCBB8",  # ; HANGUL SYLLABLE JJYU
        "\uCBB9",  # ; HANGUL SYLLABLE JJYUG
        "\uCBBA",  # ; HANGUL SYLLABLE JJYUGG
        "\uCBBB",  # ; HANGUL SYLLABLE JJYUGS
        "\uCBBC",  # ; HANGUL SYLLABLE JJYUN
        "\uCBBD",  # ; HANGUL SYLLABLE JJYUNJ
        "\uCBBE",  # ; HANGUL SYLLABLE JJYUNH
        "\uCBBF",  # ; HANGUL SYLLABLE JJYUD
        "\uCBC0",  # ; HANGUL SYLLABLE JJYUL
        "\uCBC1",  # ; HANGUL SYLLABLE JJYULG
        "\uCBC2",  # ; HANGUL SYLLABLE JJYULM
        "\uCBC3",  # ; HANGUL SYLLABLE JJYULB
        "\uCBC4",  # ; HANGUL SYLLABLE JJYULS
        "\uCBC5",  # ; HANGUL SYLLABLE JJYULT
        "\uCBC6",  # ; HANGUL SYLLABLE JJYULP
        "\uCBC7",  # ; HANGUL SYLLABLE JJYULH
        "\uCBC8",  # ; HANGUL SYLLABLE JJYUM
        "\uCBC9",  # ; HANGUL SYLLABLE JJYUB
        "\uCBCA",  # ; HANGUL SYLLABLE JJYUBS
        "\uCBCB",  # ; HANGUL SYLLABLE JJYUS
        "\uCBCC",  # ; HANGUL SYLLABLE JJYUSS
        "\uCBCD",  # ; HANGUL SYLLABLE JJYUNG
        "\uCBCE",  # ; HANGUL SYLLABLE JJYUJ
        "\uCBCF",  # ; HANGUL SYLLABLE JJYUC
        "\uCBD0",  # ; HANGUL SYLLABLE JJYUK
        "\uCBD1",  # ; HANGUL SYLLABLE JJYUT
        "\uCBD2",  # ; HANGUL SYLLABLE JJYUP
        "\uCBD3",  # ; HANGUL SYLLABLE JJYUH
        "\uCBD4",  # ; HANGUL SYLLABLE JJEU
        "\uCBD5",  # ; HANGUL SYLLABLE JJEUG
        "\uCBD6",  # ; HANGUL SYLLABLE JJEUGG
        "\uCBD7",  # ; HANGUL SYLLABLE JJEUGS
        "\uCBD8",  # ; HANGUL SYLLABLE JJEUN
        "\uCBD9",  # ; HANGUL SYLLABLE JJEUNJ
        "\uCBDA",  # ; HANGUL SYLLABLE JJEUNH
        "\uCBDB",  # ; HANGUL SYLLABLE JJEUD
        "\uCBDC",  # ; HANGUL SYLLABLE JJEUL
        "\uCBDD",  # ; HANGUL SYLLABLE JJEULG
        "\uCBDE",  # ; HANGUL SYLLABLE JJEULM
        "\uCBDF",  # ; HANGUL SYLLABLE JJEULB
        "\uCBE0",  # ; HANGUL SYLLABLE JJEULS
        "\uCBE1",  # ; HANGUL SYLLABLE JJEULT
        "\uCBE2",  # ; HANGUL SYLLABLE JJEULP
        "\uCBE3",  # ; HANGUL SYLLABLE JJEULH
        "\uCBE4",  # ; HANGUL SYLLABLE JJEUM
        "\uCBE5",  # ; HANGUL SYLLABLE JJEUB
        "\uCBE6",  # ; HANGUL SYLLABLE JJEUBS
        "\uCBE7",  # ; HANGUL SYLLABLE JJEUS
        "\uCBE8",  # ; HANGUL SYLLABLE JJEUSS
        "\uCBE9",  # ; HANGUL SYLLABLE JJEUNG
        "\uCBEA",  # ; HANGUL SYLLABLE JJEUJ
        "\uCBEB",  # ; HANGUL SYLLABLE JJEUC
        "\uCBEC",  # ; HANGUL SYLLABLE JJEUK
        "\uCBED",  # ; HANGUL SYLLABLE JJEUT
        "\uCBEE",  # ; HANGUL SYLLABLE JJEUP
        "\uCBEF",  # ; HANGUL SYLLABLE JJEUH
        "\uCBF0",  # ; HANGUL SYLLABLE JJYI
        "\uCBF1",  # ; HANGUL SYLLABLE JJYIG
        "\uCBF2",  # ; HANGUL SYLLABLE JJYIGG
        "\uCBF3",  # ; HANGUL SYLLABLE JJYIGS
        "\uCBF4",  # ; HANGUL SYLLABLE JJYIN
        "\uCBF5",  # ; HANGUL SYLLABLE JJYINJ
        "\uCBF6",  # ; HANGUL SYLLABLE JJYINH
        "\uCBF7",  # ; HANGUL SYLLABLE JJYID
        "\uCBF8",  # ; HANGUL SYLLABLE JJYIL
        "\uCBF9",  # ; HANGUL SYLLABLE JJYILG
        "\uCBFA",  # ; HANGUL SYLLABLE JJYILM
        "\uCBFB",  # ; HANGUL SYLLABLE JJYILB
        "\uCBFC",  # ; HANGUL SYLLABLE JJYILS
        "\uCBFD",  # ; HANGUL SYLLABLE JJYILT
        "\uCBFE",  # ; HANGUL SYLLABLE JJYILP
        "\uCBFF",  # ; HANGUL SYLLABLE JJYILH
        "\uCC00",  # ; HANGUL SYLLABLE JJYIM
        "\uCC01",  # ; HANGUL SYLLABLE JJYIB
        "\uCC02",  # ; HANGUL SYLLABLE JJYIBS
        "\uCC03",  # ; HANGUL SYLLABLE JJYIS
        "\uCC04",  # ; HANGUL SYLLABLE JJYISS
        "\uCC05",  # ; HANGUL SYLLABLE JJYING
        "\uCC06",  # ; HANGUL SYLLABLE JJYIJ
        "\uCC07",  # ; HANGUL SYLLABLE JJYIC
        "\uCC08",  # ; HANGUL SYLLABLE JJYIK
        "\uCC09",  # ; HANGUL SYLLABLE JJYIT
        "\uCC0A",  # ; HANGUL SYLLABLE JJYIP
        "\uCC0B",  # ; HANGUL SYLLABLE JJYIH
        "\uCC0C",  # ; HANGUL SYLLABLE JJI
        "\uCC0D",  # ; HANGUL SYLLABLE JJIG
        "\uCC0E",  # ; HANGUL SYLLABLE JJIGG
        "\uCC0F",  # ; HANGUL SYLLABLE JJIGS
        "\uCC10",  # ; HANGUL SYLLABLE JJIN
        "\uCC11",  # ; HANGUL SYLLABLE JJINJ
        "\uCC12",  # ; HANGUL SYLLABLE JJINH
        "\uCC13",  # ; HANGUL SYLLABLE JJID
        "\uCC14",  # ; HANGUL SYLLABLE JJIL
        "\uCC15",  # ; HANGUL SYLLABLE JJILG
        "\uCC16",  # ; HANGUL SYLLABLE JJILM
        "\uCC17",  # ; HANGUL SYLLABLE JJILB
        "\uCC18",  # ; HANGUL SYLLABLE JJILS
        "\uCC19",  # ; HANGUL SYLLABLE JJILT
        "\uCC1A",  # ; HANGUL SYLLABLE JJILP
        "\uCC1B",  # ; HANGUL SYLLABLE JJILH
        "\uCC1C",  # ; HANGUL SYLLABLE JJIM
        "\uCC1D",  # ; HANGUL SYLLABLE JJIB
        "\uCC1E",  # ; HANGUL SYLLABLE JJIBS
        "\uCC1F",  # ; HANGUL SYLLABLE JJIS
        "\uCC20",  # ; HANGUL SYLLABLE JJISS
        "\uCC21",  # ; HANGUL SYLLABLE JJING
        "\uCC22",  # ; HANGUL SYLLABLE JJIJ
        "\uCC23",  # ; HANGUL SYLLABLE JJIC
        "\uCC24",  # ; HANGUL SYLLABLE JJIK
        "\uCC25",  # ; HANGUL SYLLABLE JJIT
        "\uCC26",  # ; HANGUL SYLLABLE JJIP
        "\uCC27",  # ; HANGUL SYLLABLE JJIH
        "\uCC28",  # ; HANGUL SYLLABLE CA
        "\uCC29",  # ; HANGUL SYLLABLE CAG
        "\uCC2A",  # ; HANGUL SYLLABLE CAGG
        "\uCC2B",  # ; HANGUL SYLLABLE CAGS
        "\uCC2C",  # ; HANGUL SYLLABLE CAN
        "\uCC2D",  # ; HANGUL SYLLABLE CANJ
        "\uCC2E",  # ; HANGUL SYLLABLE CANH
        "\uCC2F",  # ; HANGUL SYLLABLE CAD
        "\uCC30",  # ; HANGUL SYLLABLE CAL
        "\uCC31",  # ; HANGUL SYLLABLE CALG
        "\uCC32",  # ; HANGUL SYLLABLE CALM
        "\uCC33",  # ; HANGUL SYLLABLE CALB
        "\uCC34",  # ; HANGUL SYLLABLE CALS
        "\uCC35",  # ; HANGUL SYLLABLE CALT
        "\uCC36",  # ; HANGUL SYLLABLE CALP
        "\uCC37",  # ; HANGUL SYLLABLE CALH
        "\uCC38",  # ; HANGUL SYLLABLE CAM
        "\uCC39",  # ; HANGUL SYLLABLE CAB
        "\uCC3A",  # ; HANGUL SYLLABLE CABS
        "\uCC3B",  # ; HANGUL SYLLABLE CAS
        "\uCC3C",  # ; HANGUL SYLLABLE CASS
        "\uCC3D",  # ; HANGUL SYLLABLE CANG
        "\uCC3E",  # ; HANGUL SYLLABLE CAJ
        "\uCC3F",  # ; HANGUL SYLLABLE CAC
        "\uCC40",  # ; HANGUL SYLLABLE CAK
        "\uCC41",  # ; HANGUL SYLLABLE CAT
        "\uCC42",  # ; HANGUL SYLLABLE CAP
        "\uCC43",  # ; HANGUL SYLLABLE CAH
        "\uCC44",  # ; HANGUL SYLLABLE CAE
        "\uCC45",  # ; HANGUL SYLLABLE CAEG
        "\uCC46",  # ; HANGUL SYLLABLE CAEGG
        "\uCC47",  # ; HANGUL SYLLABLE CAEGS
        "\uCC48",  # ; HANGUL SYLLABLE CAEN
        "\uCC49",  # ; HANGUL SYLLABLE CAENJ
        "\uCC4A",  # ; HANGUL SYLLABLE CAENH
        "\uCC4B",  # ; HANGUL SYLLABLE CAED
        "\uCC4C",  # ; HANGUL SYLLABLE CAEL
        "\uCC4D",  # ; HANGUL SYLLABLE CAELG
        "\uCC4E",  # ; HANGUL SYLLABLE CAELM
        "\uCC4F",  # ; HANGUL SYLLABLE CAELB
        "\uCC50",  # ; HANGUL SYLLABLE CAELS
        "\uCC51",  # ; HANGUL SYLLABLE CAELT
        "\uCC52",  # ; HANGUL SYLLABLE CAELP
        "\uCC53",  # ; HANGUL SYLLABLE CAELH
        "\uCC54",  # ; HANGUL SYLLABLE CAEM
        "\uCC55",  # ; HANGUL SYLLABLE CAEB
        "\uCC56",  # ; HANGUL SYLLABLE CAEBS
        "\uCC57",  # ; HANGUL SYLLABLE CAES
        "\uCC58",  # ; HANGUL SYLLABLE CAESS
        "\uCC59",  # ; HANGUL SYLLABLE CAENG
        "\uCC5A",  # ; HANGUL SYLLABLE CAEJ
        "\uCC5B",  # ; HANGUL SYLLABLE CAEC
        "\uCC5C",  # ; HANGUL SYLLABLE CAEK
        "\uCC5D",  # ; HANGUL SYLLABLE CAET
        "\uCC5E",  # ; HANGUL SYLLABLE CAEP
        "\uCC5F",  # ; HANGUL SYLLABLE CAEH
        "\uCC60",  # ; HANGUL SYLLABLE CYA
        "\uCC61",  # ; HANGUL SYLLABLE CYAG
        "\uCC62",  # ; HANGUL SYLLABLE CYAGG
        "\uCC63",  # ; HANGUL SYLLABLE CYAGS
        "\uCC64",  # ; HANGUL SYLLABLE CYAN
        "\uCC65",  # ; HANGUL SYLLABLE CYANJ
        "\uCC66",  # ; HANGUL SYLLABLE CYANH
        "\uCC67",  # ; HANGUL SYLLABLE CYAD
        "\uCC68",  # ; HANGUL SYLLABLE CYAL
        "\uCC69",  # ; HANGUL SYLLABLE CYALG
        "\uCC6A",  # ; HANGUL SYLLABLE CYALM
        "\uCC6B",  # ; HANGUL SYLLABLE CYALB
        "\uCC6C",  # ; HANGUL SYLLABLE CYALS
        "\uCC6D",  # ; HANGUL SYLLABLE CYALT
        "\uCC6E",  # ; HANGUL SYLLABLE CYALP
        "\uCC6F",  # ; HANGUL SYLLABLE CYALH
        "\uCC70",  # ; HANGUL SYLLABLE CYAM
        "\uCC71",  # ; HANGUL SYLLABLE CYAB
        "\uCC72",  # ; HANGUL SYLLABLE CYABS
        "\uCC73",  # ; HANGUL SYLLABLE CYAS
        "\uCC74",  # ; HANGUL SYLLABLE CYASS
        "\uCC75",  # ; HANGUL SYLLABLE CYANG
        "\uCC76",  # ; HANGUL SYLLABLE CYAJ
        "\uCC77",  # ; HANGUL SYLLABLE CYAC
        "\uCC78",  # ; HANGUL SYLLABLE CYAK
        "\uCC79",  # ; HANGUL SYLLABLE CYAT
        "\uCC7A",  # ; HANGUL SYLLABLE CYAP
        "\uCC7B",  # ; HANGUL SYLLABLE CYAH
        "\uCC7C",  # ; HANGUL SYLLABLE CYAE
        "\uCC7D",  # ; HANGUL SYLLABLE CYAEG
        "\uCC7E",  # ; HANGUL SYLLABLE CYAEGG
        "\uCC7F",  # ; HANGUL SYLLABLE CYAEGS
        "\uCC80",  # ; HANGUL SYLLABLE CYAEN
        "\uCC81",  # ; HANGUL SYLLABLE CYAENJ
        "\uCC82",  # ; HANGUL SYLLABLE CYAENH
        "\uCC83",  # ; HANGUL SYLLABLE CYAED
        "\uCC84",  # ; HANGUL SYLLABLE CYAEL
        "\uCC85",  # ; HANGUL SYLLABLE CYAELG
        "\uCC86",  # ; HANGUL SYLLABLE CYAELM
        "\uCC87",  # ; HANGUL SYLLABLE CYAELB
        "\uCC88",  # ; HANGUL SYLLABLE CYAELS
        "\uCC89",  # ; HANGUL SYLLABLE CYAELT
        "\uCC8A",  # ; HANGUL SYLLABLE CYAELP
        "\uCC8B",  # ; HANGUL SYLLABLE CYAELH
        "\uCC8C",  # ; HANGUL SYLLABLE CYAEM
        "\uCC8D",  # ; HANGUL SYLLABLE CYAEB
        "\uCC8E",  # ; HANGUL SYLLABLE CYAEBS
        "\uCC8F",  # ; HANGUL SYLLABLE CYAES
        "\uCC90",  # ; HANGUL SYLLABLE CYAESS
        "\uCC91",  # ; HANGUL SYLLABLE CYAENG
        "\uCC92",  # ; HANGUL SYLLABLE CYAEJ
        "\uCC93",  # ; HANGUL SYLLABLE CYAEC
        "\uCC94",  # ; HANGUL SYLLABLE CYAEK
        "\uCC95",  # ; HANGUL SYLLABLE CYAET
        "\uCC96",  # ; HANGUL SYLLABLE CYAEP
        "\uCC97",  # ; HANGUL SYLLABLE CYAEH
        "\uCC98",  # ; HANGUL SYLLABLE CEO
        "\uCC99",  # ; HANGUL SYLLABLE CEOG
        "\uCC9A",  # ; HANGUL SYLLABLE CEOGG
        "\uCC9B",  # ; HANGUL SYLLABLE CEOGS
        "\uCC9C",  # ; HANGUL SYLLABLE CEON
        "\uCC9D",  # ; HANGUL SYLLABLE CEONJ
        "\uCC9E",  # ; HANGUL SYLLABLE CEONH
        "\uCC9F",  # ; HANGUL SYLLABLE CEOD
        "\uCCA0",  # ; HANGUL SYLLABLE CEOL
        "\uCCA1",  # ; HANGUL SYLLABLE CEOLG
        "\uCCA2",  # ; HANGUL SYLLABLE CEOLM
        "\uCCA3",  # ; HANGUL SYLLABLE CEOLB
        "\uCCA4",  # ; HANGUL SYLLABLE CEOLS
        "\uCCA5",  # ; HANGUL SYLLABLE CEOLT
        "\uCCA6",  # ; HANGUL SYLLABLE CEOLP
        "\uCCA7",  # ; HANGUL SYLLABLE CEOLH
        "\uCCA8",  # ; HANGUL SYLLABLE CEOM
        "\uCCA9",  # ; HANGUL SYLLABLE CEOB
        "\uCCAA",  # ; HANGUL SYLLABLE CEOBS
        "\uCCAB",  # ; HANGUL SYLLABLE CEOS
        "\uCCAC",  # ; HANGUL SYLLABLE CEOSS
        "\uCCAD",  # ; HANGUL SYLLABLE CEONG
        "\uCCAE",  # ; HANGUL SYLLABLE CEOJ
        "\uCCAF",  # ; HANGUL SYLLABLE CEOC
        "\uCCB0",  # ; HANGUL SYLLABLE CEOK
        "\uCCB1",  # ; HANGUL SYLLABLE CEOT
        "\uCCB2",  # ; HANGUL SYLLABLE CEOP
        "\uCCB3",  # ; HANGUL SYLLABLE CEOH
        "\uCCB4",  # ; HANGUL SYLLABLE CE
        "\uCCB5",  # ; HANGUL SYLLABLE CEG
        "\uCCB6",  # ; HANGUL SYLLABLE CEGG
        "\uCCB7",  # ; HANGUL SYLLABLE CEGS
        "\uCCB8",  # ; HANGUL SYLLABLE CEN
        "\uCCB9",  # ; HANGUL SYLLABLE CENJ
        "\uCCBA",  # ; HANGUL SYLLABLE CENH
        "\uCCBB",  # ; HANGUL SYLLABLE CED
        "\uCCBC",  # ; HANGUL SYLLABLE CEL
        "\uCCBD",  # ; HANGUL SYLLABLE CELG
        "\uCCBE",  # ; HANGUL SYLLABLE CELM
        "\uCCBF",  # ; HANGUL SYLLABLE CELB
        "\uCCC0",  # ; HANGUL SYLLABLE CELS
        "\uCCC1",  # ; HANGUL SYLLABLE CELT
        "\uCCC2",  # ; HANGUL SYLLABLE CELP
        "\uCCC3",  # ; HANGUL SYLLABLE CELH
        "\uCCC4",  # ; HANGUL SYLLABLE CEM
        "\uCCC5",  # ; HANGUL SYLLABLE CEB
        "\uCCC6",  # ; HANGUL SYLLABLE CEBS
        "\uCCC7",  # ; HANGUL SYLLABLE CES
        "\uCCC8",  # ; HANGUL SYLLABLE CESS
        "\uCCC9",  # ; HANGUL SYLLABLE CENG
        "\uCCCA",  # ; HANGUL SYLLABLE CEJ
        "\uCCCB",  # ; HANGUL SYLLABLE CEC
        "\uCCCC",  # ; HANGUL SYLLABLE CEK
        "\uCCCD",  # ; HANGUL SYLLABLE CET
        "\uCCCE",  # ; HANGUL SYLLABLE CEP
        "\uCCCF",  # ; HANGUL SYLLABLE CEH
        "\uCCD0",  # ; HANGUL SYLLABLE CYEO
        "\uCCD1",  # ; HANGUL SYLLABLE CYEOG
        "\uCCD2",  # ; HANGUL SYLLABLE CYEOGG
        "\uCCD3",  # ; HANGUL SYLLABLE CYEOGS
        "\uCCD4",  # ; HANGUL SYLLABLE CYEON
        "\uCCD5",  # ; HANGUL SYLLABLE CYEONJ
        "\uCCD6",  # ; HANGUL SYLLABLE CYEONH
        "\uCCD7",  # ; HANGUL SYLLABLE CYEOD
        "\uCCD8",  # ; HANGUL SYLLABLE CYEOL
        "\uCCD9",  # ; HANGUL SYLLABLE CYEOLG
        "\uCCDA",  # ; HANGUL SYLLABLE CYEOLM
        "\uCCDB",  # ; HANGUL SYLLABLE CYEOLB
        "\uCCDC",  # ; HANGUL SYLLABLE CYEOLS
        "\uCCDD",  # ; HANGUL SYLLABLE CYEOLT
        "\uCCDE",  # ; HANGUL SYLLABLE CYEOLP
        "\uCCDF",  # ; HANGUL SYLLABLE CYEOLH
        "\uCCE0",  # ; HANGUL SYLLABLE CYEOM
        "\uCCE1",  # ; HANGUL SYLLABLE CYEOB
        "\uCCE2",  # ; HANGUL SYLLABLE CYEOBS
        "\uCCE3",  # ; HANGUL SYLLABLE CYEOS
        "\uCCE4",  # ; HANGUL SYLLABLE CYEOSS
        "\uCCE5",  # ; HANGUL SYLLABLE CYEONG
        "\uCCE6",  # ; HANGUL SYLLABLE CYEOJ
        "\uCCE7",  # ; HANGUL SYLLABLE CYEOC
        "\uCCE8",  # ; HANGUL SYLLABLE CYEOK
        "\uCCE9",  # ; HANGUL SYLLABLE CYEOT
        "\uCCEA",  # ; HANGUL SYLLABLE CYEOP
        "\uCCEB",  # ; HANGUL SYLLABLE CYEOH
        "\uCCEC",  # ; HANGUL SYLLABLE CYE
        "\uCCED",  # ; HANGUL SYLLABLE CYEG
        "\uCCEE",  # ; HANGUL SYLLABLE CYEGG
        "\uCCEF",  # ; HANGUL SYLLABLE CYEGS
        "\uCCF0",  # ; HANGUL SYLLABLE CYEN
        "\uCCF1",  # ; HANGUL SYLLABLE CYENJ
        "\uCCF2",  # ; HANGUL SYLLABLE CYENH
        "\uCCF3",  # ; HANGUL SYLLABLE CYED
        "\uCCF4",  # ; HANGUL SYLLABLE CYEL
        "\uCCF5",  # ; HANGUL SYLLABLE CYELG
        "\uCCF6",  # ; HANGUL SYLLABLE CYELM
        "\uCCF7",  # ; HANGUL SYLLABLE CYELB
        "\uCCF8",  # ; HANGUL SYLLABLE CYELS
        "\uCCF9",  # ; HANGUL SYLLABLE CYELT
        "\uCCFA",  # ; HANGUL SYLLABLE CYELP
        "\uCCFB",  # ; HANGUL SYLLABLE CYELH
        "\uCCFC",  # ; HANGUL SYLLABLE CYEM
        "\uCCFD",  # ; HANGUL SYLLABLE CYEB
        "\uCCFE",  # ; HANGUL SYLLABLE CYEBS
        "\uCCFF",  # ; HANGUL SYLLABLE CYES
        "\uCD00",  # ; HANGUL SYLLABLE CYESS
        "\uCD01",  # ; HANGUL SYLLABLE CYENG
        "\uCD02",  # ; HANGUL SYLLABLE CYEJ
        "\uCD03",  # ; HANGUL SYLLABLE CYEC
        "\uCD04",  # ; HANGUL SYLLABLE CYEK
        "\uCD05",  # ; HANGUL SYLLABLE CYET
        "\uCD06",  # ; HANGUL SYLLABLE CYEP
        "\uCD07",  # ; HANGUL SYLLABLE CYEH
        "\uCD08",  # ; HANGUL SYLLABLE CO
        "\uCD09",  # ; HANGUL SYLLABLE COG
        "\uCD0A",  # ; HANGUL SYLLABLE COGG
        "\uCD0B",  # ; HANGUL SYLLABLE COGS
        "\uCD0C",  # ; HANGUL SYLLABLE CON
        "\uCD0D",  # ; HANGUL SYLLABLE CONJ
        "\uCD0E",  # ; HANGUL SYLLABLE CONH
        "\uCD0F",  # ; HANGUL SYLLABLE COD
        "\uCD10",  # ; HANGUL SYLLABLE COL
        "\uCD11",  # ; HANGUL SYLLABLE COLG
        "\uCD12",  # ; HANGUL SYLLABLE COLM
        "\uCD13",  # ; HANGUL SYLLABLE COLB
        "\uCD14",  # ; HANGUL SYLLABLE COLS
        "\uCD15",  # ; HANGUL SYLLABLE COLT
        "\uCD16",  # ; HANGUL SYLLABLE COLP
        "\uCD17",  # ; HANGUL SYLLABLE COLH
        "\uCD18",  # ; HANGUL SYLLABLE COM
        "\uCD19",  # ; HANGUL SYLLABLE COB
        "\uCD1A",  # ; HANGUL SYLLABLE COBS
        "\uCD1B",  # ; HANGUL SYLLABLE COS
        "\uCD1C",  # ; HANGUL SYLLABLE COSS
        "\uCD1D",  # ; HANGUL SYLLABLE CONG
        "\uCD1E",  # ; HANGUL SYLLABLE COJ
        "\uCD1F",  # ; HANGUL SYLLABLE COC
        "\uCD20",  # ; HANGUL SYLLABLE COK
        "\uCD21",  # ; HANGUL SYLLABLE COT
        "\uCD22",  # ; HANGUL SYLLABLE COP
        "\uCD23",  # ; HANGUL SYLLABLE COH
        "\uCD24",  # ; HANGUL SYLLABLE CWA
        "\uCD25",  # ; HANGUL SYLLABLE CWAG
        "\uCD26",  # ; HANGUL SYLLABLE CWAGG
        "\uCD27",  # ; HANGUL SYLLABLE CWAGS
        "\uCD28",  # ; HANGUL SYLLABLE CWAN
        "\uCD29",  # ; HANGUL SYLLABLE CWANJ
        "\uCD2A",  # ; HANGUL SYLLABLE CWANH
        "\uCD2B",  # ; HANGUL SYLLABLE CWAD
        "\uCD2C",  # ; HANGUL SYLLABLE CWAL
        "\uCD2D",  # ; HANGUL SYLLABLE CWALG
        "\uCD2E",  # ; HANGUL SYLLABLE CWALM
        "\uCD2F",  # ; HANGUL SYLLABLE CWALB
        "\uCD30",  # ; HANGUL SYLLABLE CWALS
        "\uCD31",  # ; HANGUL SYLLABLE CWALT
        "\uCD32",  # ; HANGUL SYLLABLE CWALP
        "\uCD33",  # ; HANGUL SYLLABLE CWALH
        "\uCD34",  # ; HANGUL SYLLABLE CWAM
        "\uCD35",  # ; HANGUL SYLLABLE CWAB
        "\uCD36",  # ; HANGUL SYLLABLE CWABS
        "\uCD37",  # ; HANGUL SYLLABLE CWAS
        "\uCD38",  # ; HANGUL SYLLABLE CWASS
        "\uCD39",  # ; HANGUL SYLLABLE CWANG
        "\uCD3A",  # ; HANGUL SYLLABLE CWAJ
        "\uCD3B",  # ; HANGUL SYLLABLE CWAC
        "\uCD3C",  # ; HANGUL SYLLABLE CWAK
        "\uCD3D",  # ; HANGUL SYLLABLE CWAT
        "\uCD3E",  # ; HANGUL SYLLABLE CWAP
        "\uCD3F",  # ; HANGUL SYLLABLE CWAH
        "\uCD40",  # ; HANGUL SYLLABLE CWAE
        "\uCD41",  # ; HANGUL SYLLABLE CWAEG
        "\uCD42",  # ; HANGUL SYLLABLE CWAEGG
        "\uCD43",  # ; HANGUL SYLLABLE CWAEGS
        "\uCD44",  # ; HANGUL SYLLABLE CWAEN
        "\uCD45",  # ; HANGUL SYLLABLE CWAENJ
        "\uCD46",  # ; HANGUL SYLLABLE CWAENH
        "\uCD47",  # ; HANGUL SYLLABLE CWAED
        "\uCD48",  # ; HANGUL SYLLABLE CWAEL
        "\uCD49",  # ; HANGUL SYLLABLE CWAELG
        "\uCD4A",  # ; HANGUL SYLLABLE CWAELM
        "\uCD4B",  # ; HANGUL SYLLABLE CWAELB
        "\uCD4C",  # ; HANGUL SYLLABLE CWAELS
        "\uCD4D",  # ; HANGUL SYLLABLE CWAELT
        "\uCD4E",  # ; HANGUL SYLLABLE CWAELP
        "\uCD4F",  # ; HANGUL SYLLABLE CWAELH
        "\uCD50",  # ; HANGUL SYLLABLE CWAEM
        "\uCD51",  # ; HANGUL SYLLABLE CWAEB
        "\uCD52",  # ; HANGUL SYLLABLE CWAEBS
        "\uCD53",  # ; HANGUL SYLLABLE CWAES
        "\uCD54",  # ; HANGUL SYLLABLE CWAESS
        "\uCD55",  # ; HANGUL SYLLABLE CWAENG
        "\uCD56",  # ; HANGUL SYLLABLE CWAEJ
        "\uCD57",  # ; HANGUL SYLLABLE CWAEC
        "\uCD58",  # ; HANGUL SYLLABLE CWAEK
        "\uCD59",  # ; HANGUL SYLLABLE CWAET
        "\uCD5A",  # ; HANGUL SYLLABLE CWAEP
        "\uCD5B",  # ; HANGUL SYLLABLE CWAEH
        "\uCD5C",  # ; HANGUL SYLLABLE COE
        "\uCD5D",  # ; HANGUL SYLLABLE COEG
        "\uCD5E",  # ; HANGUL SYLLABLE COEGG
        "\uCD5F",  # ; HANGUL SYLLABLE COEGS
        "\uCD60",  # ; HANGUL SYLLABLE COEN
        "\uCD61",  # ; HANGUL SYLLABLE COENJ
        "\uCD62",  # ; HANGUL SYLLABLE COENH
        "\uCD63",  # ; HANGUL SYLLABLE COED
        "\uCD64",  # ; HANGUL SYLLABLE COEL
        "\uCD65",  # ; HANGUL SYLLABLE COELG
        "\uCD66",  # ; HANGUL SYLLABLE COELM
        "\uCD67",  # ; HANGUL SYLLABLE COELB
        "\uCD68",  # ; HANGUL SYLLABLE COELS
        "\uCD69",  # ; HANGUL SYLLABLE COELT
        "\uCD6A",  # ; HANGUL SYLLABLE COELP
        "\uCD6B",  # ; HANGUL SYLLABLE COELH
        "\uCD6C",  # ; HANGUL SYLLABLE COEM
        "\uCD6D",  # ; HANGUL SYLLABLE COEB
        "\uCD6E",  # ; HANGUL SYLLABLE COEBS
        "\uCD6F",  # ; HANGUL SYLLABLE COES
        "\uCD70",  # ; HANGUL SYLLABLE COESS
        "\uCD71",  # ; HANGUL SYLLABLE COENG
        "\uCD72",  # ; HANGUL SYLLABLE COEJ
        "\uCD73",  # ; HANGUL SYLLABLE COEC
        "\uCD74",  # ; HANGUL SYLLABLE COEK
        "\uCD75",  # ; HANGUL SYLLABLE COET
        "\uCD76",  # ; HANGUL SYLLABLE COEP
        "\uCD77",  # ; HANGUL SYLLABLE COEH
        "\uCD78",  # ; HANGUL SYLLABLE CYO
        "\uCD79",  # ; HANGUL SYLLABLE CYOG
        "\uCD7A",  # ; HANGUL SYLLABLE CYOGG
        "\uCD7B",  # ; HANGUL SYLLABLE CYOGS
        "\uCD7C",  # ; HANGUL SYLLABLE CYON
        "\uCD7D",  # ; HANGUL SYLLABLE CYONJ
        "\uCD7E",  # ; HANGUL SYLLABLE CYONH
        "\uCD7F",  # ; HANGUL SYLLABLE CYOD
        "\uCD80",  # ; HANGUL SYLLABLE CYOL
        "\uCD81",  # ; HANGUL SYLLABLE CYOLG
        "\uCD82",  # ; HANGUL SYLLABLE CYOLM
        "\uCD83",  # ; HANGUL SYLLABLE CYOLB
        "\uCD84",  # ; HANGUL SYLLABLE CYOLS
        "\uCD85",  # ; HANGUL SYLLABLE CYOLT
        "\uCD86",  # ; HANGUL SYLLABLE CYOLP
        "\uCD87",  # ; HANGUL SYLLABLE CYOLH
        "\uCD88",  # ; HANGUL SYLLABLE CYOM
        "\uCD89",  # ; HANGUL SYLLABLE CYOB
        "\uCD8A",  # ; HANGUL SYLLABLE CYOBS
        "\uCD8B",  # ; HANGUL SYLLABLE CYOS
        "\uCD8C",  # ; HANGUL SYLLABLE CYOSS
        "\uCD8D",  # ; HANGUL SYLLABLE CYONG
        "\uCD8E",  # ; HANGUL SYLLABLE CYOJ
        "\uCD8F",  # ; HANGUL SYLLABLE CYOC
        "\uCD90",  # ; HANGUL SYLLABLE CYOK
        "\uCD91",  # ; HANGUL SYLLABLE CYOT
        "\uCD92",  # ; HANGUL SYLLABLE CYOP
        "\uCD93",  # ; HANGUL SYLLABLE CYOH
        "\uCD94",  # ; HANGUL SYLLABLE CU
        "\uCD95",  # ; HANGUL SYLLABLE CUG
        "\uCD96",  # ; HANGUL SYLLABLE CUGG
        "\uCD97",  # ; HANGUL SYLLABLE CUGS
        "\uCD98",  # ; HANGUL SYLLABLE CUN
        "\uCD99",  # ; HANGUL SYLLABLE CUNJ
        "\uCD9A",  # ; HANGUL SYLLABLE CUNH
        "\uCD9B",  # ; HANGUL SYLLABLE CUD
        "\uCD9C",  # ; HANGUL SYLLABLE CUL
        "\uCD9D",  # ; HANGUL SYLLABLE CULG
        "\uCD9E",  # ; HANGUL SYLLABLE CULM
        "\uCD9F",  # ; HANGUL SYLLABLE CULB
        "\uCDA0",  # ; HANGUL SYLLABLE CULS
        "\uCDA1",  # ; HANGUL SYLLABLE CULT
        "\uCDA2",  # ; HANGUL SYLLABLE CULP
        "\uCDA3",  # ; HANGUL SYLLABLE CULH
        "\uCDA4",  # ; HANGUL SYLLABLE CUM
        "\uCDA5",  # ; HANGUL SYLLABLE CUB
        "\uCDA6",  # ; HANGUL SYLLABLE CUBS
        "\uCDA7",  # ; HANGUL SYLLABLE CUS
        "\uCDA8",  # ; HANGUL SYLLABLE CUSS
        "\uCDA9",  # ; HANGUL SYLLABLE CUNG
        "\uCDAA",  # ; HANGUL SYLLABLE CUJ
        "\uCDAB",  # ; HANGUL SYLLABLE CUC
        "\uCDAC",  # ; HANGUL SYLLABLE CUK
        "\uCDAD",  # ; HANGUL SYLLABLE CUT
        "\uCDAE",  # ; HANGUL SYLLABLE CUP
        "\uCDAF",  # ; HANGUL SYLLABLE CUH
        "\uCDB0",  # ; HANGUL SYLLABLE CWEO
        "\uCDB1",  # ; HANGUL SYLLABLE CWEOG
        "\uCDB2",  # ; HANGUL SYLLABLE CWEOGG
        "\uCDB3",  # ; HANGUL SYLLABLE CWEOGS
        "\uCDB4",  # ; HANGUL SYLLABLE CWEON
        "\uCDB5",  # ; HANGUL SYLLABLE CWEONJ
        "\uCDB6",  # ; HANGUL SYLLABLE CWEONH
        "\uCDB7",  # ; HANGUL SYLLABLE CWEOD
        "\uCDB8",  # ; HANGUL SYLLABLE CWEOL
        "\uCDB9",  # ; HANGUL SYLLABLE CWEOLG
        "\uCDBA",  # ; HANGUL SYLLABLE CWEOLM
        "\uCDBB",  # ; HANGUL SYLLABLE CWEOLB
        "\uCDBC",  # ; HANGUL SYLLABLE CWEOLS
        "\uCDBD",  # ; HANGUL SYLLABLE CWEOLT
        "\uCDBE",  # ; HANGUL SYLLABLE CWEOLP
        "\uCDBF",  # ; HANGUL SYLLABLE CWEOLH
        "\uCDC0",  # ; HANGUL SYLLABLE CWEOM
        "\uCDC1",  # ; HANGUL SYLLABLE CWEOB
        "\uCDC2",  # ; HANGUL SYLLABLE CWEOBS
        "\uCDC3",  # ; HANGUL SYLLABLE CWEOS
        "\uCDC4",  # ; HANGUL SYLLABLE CWEOSS
        "\uCDC5",  # ; HANGUL SYLLABLE CWEONG
        "\uCDC6",  # ; HANGUL SYLLABLE CWEOJ
        "\uCDC7",  # ; HANGUL SYLLABLE CWEOC
        "\uCDC8",  # ; HANGUL SYLLABLE CWEOK
        "\uCDC9",  # ; HANGUL SYLLABLE CWEOT
        "\uCDCA",  # ; HANGUL SYLLABLE CWEOP
        "\uCDCB",  # ; HANGUL SYLLABLE CWEOH
        "\uCDCC",  # ; HANGUL SYLLABLE CWE
        "\uCDCD",  # ; HANGUL SYLLABLE CWEG
        "\uCDCE",  # ; HANGUL SYLLABLE CWEGG
        "\uCDCF",  # ; HANGUL SYLLABLE CWEGS
        "\uCDD0",  # ; HANGUL SYLLABLE CWEN
        "\uCDD1",  # ; HANGUL SYLLABLE CWENJ
        "\uCDD2",  # ; HANGUL SYLLABLE CWENH
        "\uCDD3",  # ; HANGUL SYLLABLE CWED
        "\uCDD4",  # ; HANGUL SYLLABLE CWEL
        "\uCDD5",  # ; HANGUL SYLLABLE CWELG
        "\uCDD6",  # ; HANGUL SYLLABLE CWELM
        "\uCDD7",  # ; HANGUL SYLLABLE CWELB
        "\uCDD8",  # ; HANGUL SYLLABLE CWELS
        "\uCDD9",  # ; HANGUL SYLLABLE CWELT
        "\uCDDA",  # ; HANGUL SYLLABLE CWELP
        "\uCDDB",  # ; HANGUL SYLLABLE CWELH
        "\uCDDC",  # ; HANGUL SYLLABLE CWEM
        "\uCDDD",  # ; HANGUL SYLLABLE CWEB
        "\uCDDE",  # ; HANGUL SYLLABLE CWEBS
        "\uCDDF",  # ; HANGUL SYLLABLE CWES
        "\uCDE0",  # ; HANGUL SYLLABLE CWESS
        "\uCDE1",  # ; HANGUL SYLLABLE CWENG
        "\uCDE2",  # ; HANGUL SYLLABLE CWEJ
        "\uCDE3",  # ; HANGUL SYLLABLE CWEC
        "\uCDE4",  # ; HANGUL SYLLABLE CWEK
        "\uCDE5",  # ; HANGUL SYLLABLE CWET
        "\uCDE6",  # ; HANGUL SYLLABLE CWEP
        "\uCDE7",  # ; HANGUL SYLLABLE CWEH
        "\uCDE8",  # ; HANGUL SYLLABLE CWI
        "\uCDE9",  # ; HANGUL SYLLABLE CWIG
        "\uCDEA",  # ; HANGUL SYLLABLE CWIGG
        "\uCDEB",  # ; HANGUL SYLLABLE CWIGS
        "\uCDEC",  # ; HANGUL SYLLABLE CWIN
        "\uCDED",  # ; HANGUL SYLLABLE CWINJ
        "\uCDEE",  # ; HANGUL SYLLABLE CWINH
        "\uCDEF",  # ; HANGUL SYLLABLE CWID
        "\uCDF0",  # ; HANGUL SYLLABLE CWIL
        "\uCDF1",  # ; HANGUL SYLLABLE CWILG
        "\uCDF2",  # ; HANGUL SYLLABLE CWILM
        "\uCDF3",  # ; HANGUL SYLLABLE CWILB
        "\uCDF4",  # ; HANGUL SYLLABLE CWILS
        "\uCDF5",  # ; HANGUL SYLLABLE CWILT
        "\uCDF6",  # ; HANGUL SYLLABLE CWILP
        "\uCDF7",  # ; HANGUL SYLLABLE CWILH
        "\uCDF8",  # ; HANGUL SYLLABLE CWIM
        "\uCDF9",  # ; HANGUL SYLLABLE CWIB
        "\uCDFA",  # ; HANGUL SYLLABLE CWIBS
        "\uCDFB",  # ; HANGUL SYLLABLE CWIS
        "\uCDFC",  # ; HANGUL SYLLABLE CWISS
        "\uCDFD",  # ; HANGUL SYLLABLE CWING
        "\uCDFE",  # ; HANGUL SYLLABLE CWIJ
        "\uCDFF",  # ; HANGUL SYLLABLE CWIC
        "\uCE00",  # ; HANGUL SYLLABLE CWIK
        "\uCE01",  # ; HANGUL SYLLABLE CWIT
        "\uCE02",  # ; HANGUL SYLLABLE CWIP
        "\uCE03",  # ; HANGUL SYLLABLE CWIH
        "\uCE04",  # ; HANGUL SYLLABLE CYU
        "\uCE05",  # ; HANGUL SYLLABLE CYUG
        "\uCE06",  # ; HANGUL SYLLABLE CYUGG
        "\uCE07",  # ; HANGUL SYLLABLE CYUGS
        "\uCE08",  # ; HANGUL SYLLABLE CYUN
        "\uCE09",  # ; HANGUL SYLLABLE CYUNJ
        "\uCE0A",  # ; HANGUL SYLLABLE CYUNH
        "\uCE0B",  # ; HANGUL SYLLABLE CYUD
        "\uCE0C",  # ; HANGUL SYLLABLE CYUL
        "\uCE0D",  # ; HANGUL SYLLABLE CYULG
        "\uCE0E",  # ; HANGUL SYLLABLE CYULM
        "\uCE0F",  # ; HANGUL SYLLABLE CYULB
        "\uCE10",  # ; HANGUL SYLLABLE CYULS
        "\uCE11",  # ; HANGUL SYLLABLE CYULT
        "\uCE12",  # ; HANGUL SYLLABLE CYULP
        "\uCE13",  # ; HANGUL SYLLABLE CYULH
        "\uCE14",  # ; HANGUL SYLLABLE CYUM
        "\uCE15",  # ; HANGUL SYLLABLE CYUB
        "\uCE16",  # ; HANGUL SYLLABLE CYUBS
        "\uCE17",  # ; HANGUL SYLLABLE CYUS
        "\uCE18",  # ; HANGUL SYLLABLE CYUSS
        "\uCE19",  # ; HANGUL SYLLABLE CYUNG
        "\uCE1A",  # ; HANGUL SYLLABLE CYUJ
        "\uCE1B",  # ; HANGUL SYLLABLE CYUC
        "\uCE1C",  # ; HANGUL SYLLABLE CYUK
        "\uCE1D",  # ; HANGUL SYLLABLE CYUT
        "\uCE1E",  # ; HANGUL SYLLABLE CYUP
        "\uCE1F",  # ; HANGUL SYLLABLE CYUH
        "\uCE20",  # ; HANGUL SYLLABLE CEU
        "\uCE21",  # ; HANGUL SYLLABLE CEUG
        "\uCE22",  # ; HANGUL SYLLABLE CEUGG
        "\uCE23",  # ; HANGUL SYLLABLE CEUGS
        "\uCE24",  # ; HANGUL SYLLABLE CEUN
        "\uCE25",  # ; HANGUL SYLLABLE CEUNJ
        "\uCE26",  # ; HANGUL SYLLABLE CEUNH
        "\uCE27",  # ; HANGUL SYLLABLE CEUD
        "\uCE28",  # ; HANGUL SYLLABLE CEUL
        "\uCE29",  # ; HANGUL SYLLABLE CEULG
        "\uCE2A",  # ; HANGUL SYLLABLE CEULM
        "\uCE2B",  # ; HANGUL SYLLABLE CEULB
        "\uCE2C",  # ; HANGUL SYLLABLE CEULS
        "\uCE2D",  # ; HANGUL SYLLABLE CEULT
        "\uCE2E",  # ; HANGUL SYLLABLE CEULP
        "\uCE2F",  # ; HANGUL SYLLABLE CEULH
        "\uCE30",  # ; HANGUL SYLLABLE CEUM
        "\uCE31",  # ; HANGUL SYLLABLE CEUB
        "\uCE32",  # ; HANGUL SYLLABLE CEUBS
        "\uCE33",  # ; HANGUL SYLLABLE CEUS
        "\uCE34",  # ; HANGUL SYLLABLE CEUSS
        "\uCE35",  # ; HANGUL SYLLABLE CEUNG
        "\uCE36",  # ; HANGUL SYLLABLE CEUJ
        "\uCE37",  # ; HANGUL SYLLABLE CEUC
        "\uCE38",  # ; HANGUL SYLLABLE CEUK
        "\uCE39",  # ; HANGUL SYLLABLE CEUT
        "\uCE3A",  # ; HANGUL SYLLABLE CEUP
        "\uCE3B",  # ; HANGUL SYLLABLE CEUH
        "\uCE3C",  # ; HANGUL SYLLABLE CYI
        "\uCE3D",  # ; HANGUL SYLLABLE CYIG
        "\uCE3E",  # ; HANGUL SYLLABLE CYIGG
        "\uCE3F",  # ; HANGUL SYLLABLE CYIGS
        "\uCE40",  # ; HANGUL SYLLABLE CYIN
        "\uCE41",  # ; HANGUL SYLLABLE CYINJ
        "\uCE42",  # ; HANGUL SYLLABLE CYINH
        "\uCE43",  # ; HANGUL SYLLABLE CYID
        "\uCE44",  # ; HANGUL SYLLABLE CYIL
        "\uCE45",  # ; HANGUL SYLLABLE CYILG
        "\uCE46",  # ; HANGUL SYLLABLE CYILM
        "\uCE47",  # ; HANGUL SYLLABLE CYILB
        "\uCE48",  # ; HANGUL SYLLABLE CYILS
        "\uCE49",  # ; HANGUL SYLLABLE CYILT
        "\uCE4A",  # ; HANGUL SYLLABLE CYILP
        "\uCE4B",  # ; HANGUL SYLLABLE CYILH
        "\uCE4C",  # ; HANGUL SYLLABLE CYIM
        "\uCE4D",  # ; HANGUL SYLLABLE CYIB
        "\uCE4E",  # ; HANGUL SYLLABLE CYIBS
        "\uCE4F",  # ; HANGUL SYLLABLE CYIS
        "\uCE50",  # ; HANGUL SYLLABLE CYISS
        "\uCE51",  # ; HANGUL SYLLABLE CYING
        "\uCE52",  # ; HANGUL SYLLABLE CYIJ
        "\uCE53",  # ; HANGUL SYLLABLE CYIC
        "\uCE54",  # ; HANGUL SYLLABLE CYIK
        "\uCE55",  # ; HANGUL SYLLABLE CYIT
        "\uCE56",  # ; HANGUL SYLLABLE CYIP
        "\uCE57",  # ; HANGUL SYLLABLE CYIH
        "\uCE58",  # ; HANGUL SYLLABLE CI
        "\uCE59",  # ; HANGUL SYLLABLE CIG
        "\uCE5A",  # ; HANGUL SYLLABLE CIGG
        "\uCE5B",  # ; HANGUL SYLLABLE CIGS
        "\uCE5C",  # ; HANGUL SYLLABLE CIN
        "\uCE5D",  # ; HANGUL SYLLABLE CINJ
        "\uCE5E",  # ; HANGUL SYLLABLE CINH
        "\uCE5F",  # ; HANGUL SYLLABLE CID
        "\uCE60",  # ; HANGUL SYLLABLE CIL
        "\uCE61",  # ; HANGUL SYLLABLE CILG
        "\uCE62",  # ; HANGUL SYLLABLE CILM
        "\uCE63",  # ; HANGUL SYLLABLE CILB
        "\uCE64",  # ; HANGUL SYLLABLE CILS
        "\uCE65",  # ; HANGUL SYLLABLE CILT
        "\uCE66",  # ; HANGUL SYLLABLE CILP
        "\uCE67",  # ; HANGUL SYLLABLE CILH
        "\uCE68",  # ; HANGUL SYLLABLE CIM
        "\uCE69",  # ; HANGUL SYLLABLE CIB
        "\uCE6A",  # ; HANGUL SYLLABLE CIBS
        "\uCE6B",  # ; HANGUL SYLLABLE CIS
        "\uCE6C",  # ; HANGUL SYLLABLE CISS
        "\uCE6D",  # ; HANGUL SYLLABLE CING
        "\uCE6E",  # ; HANGUL SYLLABLE CIJ
        "\uCE6F",  # ; HANGUL SYLLABLE CIC
        "\uCE70",  # ; HANGUL SYLLABLE CIK
        "\uCE71",  # ; HANGUL SYLLABLE CIT
        "\uCE72",  # ; HANGUL SYLLABLE CIP
        "\uCE73",  # ; HANGUL SYLLABLE CIH
        "\uCE74",  # ; HANGUL SYLLABLE KA
        "\uCE75",  # ; HANGUL SYLLABLE KAG
        "\uCE76",  # ; HANGUL SYLLABLE KAGG
        "\uCE77",  # ; HANGUL SYLLABLE KAGS
        "\uCE78",  # ; HANGUL SYLLABLE KAN
        "\uCE79",  # ; HANGUL SYLLABLE KANJ
        "\uCE7A",  # ; HANGUL SYLLABLE KANH
        "\uCE7B",  # ; HANGUL SYLLABLE KAD
        "\uCE7C",  # ; HANGUL SYLLABLE KAL
        "\uCE7D",  # ; HANGUL SYLLABLE KALG
        "\uCE7E",  # ; HANGUL SYLLABLE KALM
        "\uCE7F",  # ; HANGUL SYLLABLE KALB
        "\uCE80",  # ; HANGUL SYLLABLE KALS
        "\uCE81",  # ; HANGUL SYLLABLE KALT
        "\uCE82",  # ; HANGUL SYLLABLE KALP
        "\uCE83",  # ; HANGUL SYLLABLE KALH
        "\uCE84",  # ; HANGUL SYLLABLE KAM
        "\uCE85",  # ; HANGUL SYLLABLE KAB
        "\uCE86",  # ; HANGUL SYLLABLE KABS
        "\uCE87",  # ; HANGUL SYLLABLE KAS
        "\uCE88",  # ; HANGUL SYLLABLE KASS
        "\uCE89",  # ; HANGUL SYLLABLE KANG
        "\uCE8A",  # ; HANGUL SYLLABLE KAJ
        "\uCE8B",  # ; HANGUL SYLLABLE KAC
        "\uCE8C",  # ; HANGUL SYLLABLE KAK
        "\uCE8D",  # ; HANGUL SYLLABLE KAT
        "\uCE8E",  # ; HANGUL SYLLABLE KAP
        "\uCE8F",  # ; HANGUL SYLLABLE KAH
        "\uCE90",  # ; HANGUL SYLLABLE KAE
        "\uCE91",  # ; HANGUL SYLLABLE KAEG
        "\uCE92",  # ; HANGUL SYLLABLE KAEGG
        "\uCE93",  # ; HANGUL SYLLABLE KAEGS
        "\uCE94",  # ; HANGUL SYLLABLE KAEN
        "\uCE95",  # ; HANGUL SYLLABLE KAENJ
        "\uCE96",  # ; HANGUL SYLLABLE KAENH
        "\uCE97",  # ; HANGUL SYLLABLE KAED
        "\uCE98",  # ; HANGUL SYLLABLE KAEL
        "\uCE99",  # ; HANGUL SYLLABLE KAELG
        "\uCE9A",  # ; HANGUL SYLLABLE KAELM
        "\uCE9B",  # ; HANGUL SYLLABLE KAELB
        "\uCE9C",  # ; HANGUL SYLLABLE KAELS
        "\uCE9D",  # ; HANGUL SYLLABLE KAELT
        "\uCE9E",  # ; HANGUL SYLLABLE KAELP
        "\uCE9F",  # ; HANGUL SYLLABLE KAELH
        "\uCEA0",  # ; HANGUL SYLLABLE KAEM
        "\uCEA1",  # ; HANGUL SYLLABLE KAEB
        "\uCEA2",  # ; HANGUL SYLLABLE KAEBS
        "\uCEA3",  # ; HANGUL SYLLABLE KAES
        "\uCEA4",  # ; HANGUL SYLLABLE KAESS
        "\uCEA5",  # ; HANGUL SYLLABLE KAENG
        "\uCEA6",  # ; HANGUL SYLLABLE KAEJ
        "\uCEA7",  # ; HANGUL SYLLABLE KAEC
        "\uCEA8",  # ; HANGUL SYLLABLE KAEK
        "\uCEA9",  # ; HANGUL SYLLABLE KAET
        "\uCEAA",  # ; HANGUL SYLLABLE KAEP
        "\uCEAB",  # ; HANGUL SYLLABLE KAEH
        "\uCEAC",  # ; HANGUL SYLLABLE KYA
        "\uCEAD",  # ; HANGUL SYLLABLE KYAG
        "\uCEAE",  # ; HANGUL SYLLABLE KYAGG
        "\uCEAF",  # ; HANGUL SYLLABLE KYAGS
        "\uCEB0",  # ; HANGUL SYLLABLE KYAN
        "\uCEB1",  # ; HANGUL SYLLABLE KYANJ
        "\uCEB2",  # ; HANGUL SYLLABLE KYANH
        "\uCEB3",  # ; HANGUL SYLLABLE KYAD
        "\uCEB4",  # ; HANGUL SYLLABLE KYAL
        "\uCEB5",  # ; HANGUL SYLLABLE KYALG
        "\uCEB6",  # ; HANGUL SYLLABLE KYALM
        "\uCEB7",  # ; HANGUL SYLLABLE KYALB
        "\uCEB8",  # ; HANGUL SYLLABLE KYALS
        "\uCEB9",  # ; HANGUL SYLLABLE KYALT
        "\uCEBA",  # ; HANGUL SYLLABLE KYALP
        "\uCEBB",  # ; HANGUL SYLLABLE KYALH
        "\uCEBC",  # ; HANGUL SYLLABLE KYAM
        "\uCEBD",  # ; HANGUL SYLLABLE KYAB
        "\uCEBE",  # ; HANGUL SYLLABLE KYABS
        "\uCEBF",  # ; HANGUL SYLLABLE KYAS
        "\uCEC0",  # ; HANGUL SYLLABLE KYASS
        "\uCEC1",  # ; HANGUL SYLLABLE KYANG
        "\uCEC2",  # ; HANGUL SYLLABLE KYAJ
        "\uCEC3",  # ; HANGUL SYLLABLE KYAC
        "\uCEC4",  # ; HANGUL SYLLABLE KYAK
        "\uCEC5",  # ; HANGUL SYLLABLE KYAT
        "\uCEC6",  # ; HANGUL SYLLABLE KYAP
        "\uCEC7",  # ; HANGUL SYLLABLE KYAH
        "\uCEC8",  # ; HANGUL SYLLABLE KYAE
        "\uCEC9",  # ; HANGUL SYLLABLE KYAEG
        "\uCECA",  # ; HANGUL SYLLABLE KYAEGG
        "\uCECB",  # ; HANGUL SYLLABLE KYAEGS
        "\uCECC",  # ; HANGUL SYLLABLE KYAEN
        "\uCECD",  # ; HANGUL SYLLABLE KYAENJ
        "\uCECE",  # ; HANGUL SYLLABLE KYAENH
        "\uCECF",  # ; HANGUL SYLLABLE KYAED
        "\uCED0",  # ; HANGUL SYLLABLE KYAEL
        "\uCED1",  # ; HANGUL SYLLABLE KYAELG
        "\uCED2",  # ; HANGUL SYLLABLE KYAELM
        "\uCED3",  # ; HANGUL SYLLABLE KYAELB
        "\uCED4",  # ; HANGUL SYLLABLE KYAELS
        "\uCED5",  # ; HANGUL SYLLABLE KYAELT
        "\uCED6",  # ; HANGUL SYLLABLE KYAELP
        "\uCED7",  # ; HANGUL SYLLABLE KYAELH
        "\uCED8",  # ; HANGUL SYLLABLE KYAEM
        "\uCED9",  # ; HANGUL SYLLABLE KYAEB
        "\uCEDA",  # ; HANGUL SYLLABLE KYAEBS
        "\uCEDB",  # ; HANGUL SYLLABLE KYAES
        "\uCEDC",  # ; HANGUL SYLLABLE KYAESS
        "\uCEDD",  # ; HANGUL SYLLABLE KYAENG
        "\uCEDE",  # ; HANGUL SYLLABLE KYAEJ
        "\uCEDF",  # ; HANGUL SYLLABLE KYAEC
        "\uCEE0",  # ; HANGUL SYLLABLE KYAEK
        "\uCEE1",  # ; HANGUL SYLLABLE KYAET
        "\uCEE2",  # ; HANGUL SYLLABLE KYAEP
        "\uCEE3",  # ; HANGUL SYLLABLE KYAEH
        "\uCEE4",  # ; HANGUL SYLLABLE KEO
        "\uCEE5",  # ; HANGUL SYLLABLE KEOG
        "\uCEE6",  # ; HANGUL SYLLABLE KEOGG
        "\uCEE7",  # ; HANGUL SYLLABLE KEOGS
        "\uCEE8",  # ; HANGUL SYLLABLE KEON
        "\uCEE9",  # ; HANGUL SYLLABLE KEONJ
        "\uCEEA",  # ; HANGUL SYLLABLE KEONH
        "\uCEEB",  # ; HANGUL SYLLABLE KEOD
        "\uCEEC",  # ; HANGUL SYLLABLE KEOL
        "\uCEED",  # ; HANGUL SYLLABLE KEOLG
        "\uCEEE",  # ; HANGUL SYLLABLE KEOLM
        "\uCEEF",  # ; HANGUL SYLLABLE KEOLB
        "\uCEF0",  # ; HANGUL SYLLABLE KEOLS
        "\uCEF1",  # ; HANGUL SYLLABLE KEOLT
        "\uCEF2",  # ; HANGUL SYLLABLE KEOLP
        "\uCEF3",  # ; HANGUL SYLLABLE KEOLH
        "\uCEF4",  # ; HANGUL SYLLABLE KEOM
        "\uCEF5",  # ; HANGUL SYLLABLE KEOB
        "\uCEF6",  # ; HANGUL SYLLABLE KEOBS
        "\uCEF7",  # ; HANGUL SYLLABLE KEOS
        "\uCEF8",  # ; HANGUL SYLLABLE KEOSS
        "\uCEF9",  # ; HANGUL SYLLABLE KEONG
        "\uCEFA",  # ; HANGUL SYLLABLE KEOJ
        "\uCEFB",  # ; HANGUL SYLLABLE KEOC
        "\uCEFC",  # ; HANGUL SYLLABLE KEOK
        "\uCEFD",  # ; HANGUL SYLLABLE KEOT
        "\uCEFE",  # ; HANGUL SYLLABLE KEOP
        "\uCEFF",  # ; HANGUL SYLLABLE KEOH
        "\uCF00",  # ; HANGUL SYLLABLE KE
        "\uCF01",  # ; HANGUL SYLLABLE KEG
        "\uCF02",  # ; HANGUL SYLLABLE KEGG
        "\uCF03",  # ; HANGUL SYLLABLE KEGS
        "\uCF04",  # ; HANGUL SYLLABLE KEN
        "\uCF05",  # ; HANGUL SYLLABLE KENJ
        "\uCF06",  # ; HANGUL SYLLABLE KENH
        "\uCF07",  # ; HANGUL SYLLABLE KED
        "\uCF08",  # ; HANGUL SYLLABLE KEL
        "\uCF09",  # ; HANGUL SYLLABLE KELG
        "\uCF0A",  # ; HANGUL SYLLABLE KELM
        "\uCF0B",  # ; HANGUL SYLLABLE KELB
        "\uCF0C",  # ; HANGUL SYLLABLE KELS
        "\uCF0D",  # ; HANGUL SYLLABLE KELT
        "\uCF0E",  # ; HANGUL SYLLABLE KELP
        "\uCF0F",  # ; HANGUL SYLLABLE KELH
        "\uCF10",  # ; HANGUL SYLLABLE KEM
        "\uCF11",  # ; HANGUL SYLLABLE KEB
        "\uCF12",  # ; HANGUL SYLLABLE KEBS
        "\uCF13",  # ; HANGUL SYLLABLE KES
        "\uCF14",  # ; HANGUL SYLLABLE KESS
        "\uCF15",  # ; HANGUL SYLLABLE KENG
        "\uCF16",  # ; HANGUL SYLLABLE KEJ
        "\uCF17",  # ; HANGUL SYLLABLE KEC
        "\uCF18",  # ; HANGUL SYLLABLE KEK
        "\uCF19",  # ; HANGUL SYLLABLE KET
        "\uCF1A",  # ; HANGUL SYLLABLE KEP
        "\uCF1B",  # ; HANGUL SYLLABLE KEH
        "\uCF1C",  # ; HANGUL SYLLABLE KYEO
        "\uCF1D",  # ; HANGUL SYLLABLE KYEOG
        "\uCF1E",  # ; HANGUL SYLLABLE KYEOGG
        "\uCF1F",  # ; HANGUL SYLLABLE KYEOGS
        "\uCF20",  # ; HANGUL SYLLABLE KYEON
        "\uCF21",  # ; HANGUL SYLLABLE KYEONJ
        "\uCF22",  # ; HANGUL SYLLABLE KYEONH
        "\uCF23",  # ; HANGUL SYLLABLE KYEOD
        "\uCF24",  # ; HANGUL SYLLABLE KYEOL
        "\uCF25",  # ; HANGUL SYLLABLE KYEOLG
        "\uCF26",  # ; HANGUL SYLLABLE KYEOLM
        "\uCF27",  # ; HANGUL SYLLABLE KYEOLB
        "\uCF28",  # ; HANGUL SYLLABLE KYEOLS
        "\uCF29",  # ; HANGUL SYLLABLE KYEOLT
        "\uCF2A",  # ; HANGUL SYLLABLE KYEOLP
        "\uCF2B",  # ; HANGUL SYLLABLE KYEOLH
        "\uCF2C",  # ; HANGUL SYLLABLE KYEOM
        "\uCF2D",  # ; HANGUL SYLLABLE KYEOB
        "\uCF2E",  # ; HANGUL SYLLABLE KYEOBS
        "\uCF2F",  # ; HANGUL SYLLABLE KYEOS
        "\uCF30",  # ; HANGUL SYLLABLE KYEOSS
        "\uCF31",  # ; HANGUL SYLLABLE KYEONG
        "\uCF32",  # ; HANGUL SYLLABLE KYEOJ
        "\uCF33",  # ; HANGUL SYLLABLE KYEOC
        "\uCF34",  # ; HANGUL SYLLABLE KYEOK
        "\uCF35",  # ; HANGUL SYLLABLE KYEOT
        "\uCF36",  # ; HANGUL SYLLABLE KYEOP
        "\uCF37",  # ; HANGUL SYLLABLE KYEOH
        "\uCF38",  # ; HANGUL SYLLABLE KYE
        "\uCF39",  # ; HANGUL SYLLABLE KYEG
        "\uCF3A",  # ; HANGUL SYLLABLE KYEGG
        "\uCF3B",  # ; HANGUL SYLLABLE KYEGS
        "\uCF3C",  # ; HANGUL SYLLABLE KYEN
        "\uCF3D",  # ; HANGUL SYLLABLE KYENJ
        "\uCF3E",  # ; HANGUL SYLLABLE KYENH
        "\uCF3F",  # ; HANGUL SYLLABLE KYED
        "\uCF40",  # ; HANGUL SYLLABLE KYEL
        "\uCF41",  # ; HANGUL SYLLABLE KYELG
        "\uCF42",  # ; HANGUL SYLLABLE KYELM
        "\uCF43",  # ; HANGUL SYLLABLE KYELB
        "\uCF44",  # ; HANGUL SYLLABLE KYELS
        "\uCF45",  # ; HANGUL SYLLABLE KYELT
        "\uCF46",  # ; HANGUL SYLLABLE KYELP
        "\uCF47",  # ; HANGUL SYLLABLE KYELH
        "\uCF48",  # ; HANGUL SYLLABLE KYEM
        "\uCF49",  # ; HANGUL SYLLABLE KYEB
        "\uCF4A",  # ; HANGUL SYLLABLE KYEBS
        "\uCF4B",  # ; HANGUL SYLLABLE KYES
        "\uCF4C",  # ; HANGUL SYLLABLE KYESS
        "\uCF4D",  # ; HANGUL SYLLABLE KYENG
        "\uCF4E",  # ; HANGUL SYLLABLE KYEJ
        "\uCF4F",  # ; HANGUL SYLLABLE KYEC
        "\uCF50",  # ; HANGUL SYLLABLE KYEK
        "\uCF51",  # ; HANGUL SYLLABLE KYET
        "\uCF52",  # ; HANGUL SYLLABLE KYEP
        "\uCF53",  # ; HANGUL SYLLABLE KYEH
        "\uCF54",  # ; HANGUL SYLLABLE KO
        "\uCF55",  # ; HANGUL SYLLABLE KOG
        "\uCF56",  # ; HANGUL SYLLABLE KOGG
        "\uCF57",  # ; HANGUL SYLLABLE KOGS
        "\uCF58",  # ; HANGUL SYLLABLE KON
        "\uCF59",  # ; HANGUL SYLLABLE KONJ
        "\uCF5A",  # ; HANGUL SYLLABLE KONH
        "\uCF5B",  # ; HANGUL SYLLABLE KOD
        "\uCF5C",  # ; HANGUL SYLLABLE KOL
        "\uCF5D",  # ; HANGUL SYLLABLE KOLG
        "\uCF5E",  # ; HANGUL SYLLABLE KOLM
        "\uCF5F",  # ; HANGUL SYLLABLE KOLB
        "\uCF60",  # ; HANGUL SYLLABLE KOLS
        "\uCF61",  # ; HANGUL SYLLABLE KOLT
        "\uCF62",  # ; HANGUL SYLLABLE KOLP
        "\uCF63",  # ; HANGUL SYLLABLE KOLH
        "\uCF64",  # ; HANGUL SYLLABLE KOM
        "\uCF65",  # ; HANGUL SYLLABLE KOB
        "\uCF66",  # ; HANGUL SYLLABLE KOBS
        "\uCF67",  # ; HANGUL SYLLABLE KOS
        "\uCF68",  # ; HANGUL SYLLABLE KOSS
        "\uCF69",  # ; HANGUL SYLLABLE KONG
        "\uCF6A",  # ; HANGUL SYLLABLE KOJ
        "\uCF6B",  # ; HANGUL SYLLABLE KOC
        "\uCF6C",  # ; HANGUL SYLLABLE KOK
        "\uCF6D",  # ; HANGUL SYLLABLE KOT
        "\uCF6E",  # ; HANGUL SYLLABLE KOP
        "\uCF6F",  # ; HANGUL SYLLABLE KOH
        "\uCF70",  # ; HANGUL SYLLABLE KWA
        "\uCF71",  # ; HANGUL SYLLABLE KWAG
        "\uCF72",  # ; HANGUL SYLLABLE KWAGG
        "\uCF73",  # ; HANGUL SYLLABLE KWAGS
        "\uCF74",  # ; HANGUL SYLLABLE KWAN
        "\uCF75",  # ; HANGUL SYLLABLE KWANJ
        "\uCF76",  # ; HANGUL SYLLABLE KWANH
        "\uCF77",  # ; HANGUL SYLLABLE KWAD
        "\uCF78",  # ; HANGUL SYLLABLE KWAL
        "\uCF79",  # ; HANGUL SYLLABLE KWALG
        "\uCF7A",  # ; HANGUL SYLLABLE KWALM
        "\uCF7B",  # ; HANGUL SYLLABLE KWALB
        "\uCF7C",  # ; HANGUL SYLLABLE KWALS
        "\uCF7D",  # ; HANGUL SYLLABLE KWALT
        "\uCF7E",  # ; HANGUL SYLLABLE KWALP
        "\uCF7F",  # ; HANGUL SYLLABLE KWALH
        "\uCF80",  # ; HANGUL SYLLABLE KWAM
        "\uCF81",  # ; HANGUL SYLLABLE KWAB
        "\uCF82",  # ; HANGUL SYLLABLE KWABS
        "\uCF83",  # ; HANGUL SYLLABLE KWAS
        "\uCF84",  # ; HANGUL SYLLABLE KWASS
        "\uCF85",  # ; HANGUL SYLLABLE KWANG
        "\uCF86",  # ; HANGUL SYLLABLE KWAJ
        "\uCF87",  # ; HANGUL SYLLABLE KWAC
        "\uCF88",  # ; HANGUL SYLLABLE KWAK
        "\uCF89",  # ; HANGUL SYLLABLE KWAT
        "\uCF8A",  # ; HANGUL SYLLABLE KWAP
        "\uCF8B",  # ; HANGUL SYLLABLE KWAH
        "\uCF8C",  # ; HANGUL SYLLABLE KWAE
        "\uCF8D",  # ; HANGUL SYLLABLE KWAEG
        "\uCF8E",  # ; HANGUL SYLLABLE KWAEGG
        "\uCF8F",  # ; HANGUL SYLLABLE KWAEGS
        "\uCF90",  # ; HANGUL SYLLABLE KWAEN
        "\uCF91",  # ; HANGUL SYLLABLE KWAENJ
        "\uCF92",  # ; HANGUL SYLLABLE KWAENH
        "\uCF93",  # ; HANGUL SYLLABLE KWAED
        "\uCF94",  # ; HANGUL SYLLABLE KWAEL
        "\uCF95",  # ; HANGUL SYLLABLE KWAELG
        "\uCF96",  # ; HANGUL SYLLABLE KWAELM
        "\uCF97",  # ; HANGUL SYLLABLE KWAELB
        "\uCF98",  # ; HANGUL SYLLABLE KWAELS
        "\uCF99",  # ; HANGUL SYLLABLE KWAELT
        "\uCF9A",  # ; HANGUL SYLLABLE KWAELP
        "\uCF9B",  # ; HANGUL SYLLABLE KWAELH
        "\uCF9C",  # ; HANGUL SYLLABLE KWAEM
        "\uCF9D",  # ; HANGUL SYLLABLE KWAEB
        "\uCF9E",  # ; HANGUL SYLLABLE KWAEBS
        "\uCF9F",  # ; HANGUL SYLLABLE KWAES
        "\uCFA0",  # ; HANGUL SYLLABLE KWAESS
        "\uCFA1",  # ; HANGUL SYLLABLE KWAENG
        "\uCFA2",  # ; HANGUL SYLLABLE KWAEJ
        "\uCFA3",  # ; HANGUL SYLLABLE KWAEC
        "\uCFA4",  # ; HANGUL SYLLABLE KWAEK
        "\uCFA5",  # ; HANGUL SYLLABLE KWAET
        "\uCFA6",  # ; HANGUL SYLLABLE KWAEP
        "\uCFA7",  # ; HANGUL SYLLABLE KWAEH
        "\uCFA8",  # ; HANGUL SYLLABLE KOE
        "\uCFA9",  # ; HANGUL SYLLABLE KOEG
        "\uCFAA",  # ; HANGUL SYLLABLE KOEGG
        "\uCFAB",  # ; HANGUL SYLLABLE KOEGS
        "\uCFAC",  # ; HANGUL SYLLABLE KOEN
        "\uCFAD",  # ; HANGUL SYLLABLE KOENJ
        "\uCFAE",  # ; HANGUL SYLLABLE KOENH
        "\uCFAF",  # ; HANGUL SYLLABLE KOED
        "\uCFB0",  # ; HANGUL SYLLABLE KOEL
        "\uCFB1",  # ; HANGUL SYLLABLE KOELG
        "\uCFB2",  # ; HANGUL SYLLABLE KOELM
        "\uCFB3",  # ; HANGUL SYLLABLE KOELB
        "\uCFB4",  # ; HANGUL SYLLABLE KOELS
        "\uCFB5",  # ; HANGUL SYLLABLE KOELT
        "\uCFB6",  # ; HANGUL SYLLABLE KOELP
        "\uCFB7",  # ; HANGUL SYLLABLE KOELH
        "\uCFB8",  # ; HANGUL SYLLABLE KOEM
        "\uCFB9",  # ; HANGUL SYLLABLE KOEB
        "\uCFBA",  # ; HANGUL SYLLABLE KOEBS
        "\uCFBB",  # ; HANGUL SYLLABLE KOES
        "\uCFBC",  # ; HANGUL SYLLABLE KOESS
        "\uCFBD",  # ; HANGUL SYLLABLE KOENG
        "\uCFBE",  # ; HANGUL SYLLABLE KOEJ
        "\uCFBF",  # ; HANGUL SYLLABLE KOEC
        "\uCFC0",  # ; HANGUL SYLLABLE KOEK
        "\uCFC1",  # ; HANGUL SYLLABLE KOET
        "\uCFC2",  # ; HANGUL SYLLABLE KOEP
        "\uCFC3",  # ; HANGUL SYLLABLE KOEH
        "\uCFC4",  # ; HANGUL SYLLABLE KYO
        "\uCFC5",  # ; HANGUL SYLLABLE KYOG
        "\uCFC6",  # ; HANGUL SYLLABLE KYOGG
        "\uCFC7",  # ; HANGUL SYLLABLE KYOGS
        "\uCFC8",  # ; HANGUL SYLLABLE KYON
        "\uCFC9",  # ; HANGUL SYLLABLE KYONJ
        "\uCFCA",  # ; HANGUL SYLLABLE KYONH
        "\uCFCB",  # ; HANGUL SYLLABLE KYOD
        "\uCFCC",  # ; HANGUL SYLLABLE KYOL
        "\uCFCD",  # ; HANGUL SYLLABLE KYOLG
        "\uCFCE",  # ; HANGUL SYLLABLE KYOLM
        "\uCFCF",  # ; HANGUL SYLLABLE KYOLB
        "\uCFD0",  # ; HANGUL SYLLABLE KYOLS
        "\uCFD1",  # ; HANGUL SYLLABLE KYOLT
        "\uCFD2",  # ; HANGUL SYLLABLE KYOLP
        "\uCFD3",  # ; HANGUL SYLLABLE KYOLH
        "\uCFD4",  # ; HANGUL SYLLABLE KYOM
        "\uCFD5",  # ; HANGUL SYLLABLE KYOB
        "\uCFD6",  # ; HANGUL SYLLABLE KYOBS
        "\uCFD7",  # ; HANGUL SYLLABLE KYOS
        "\uCFD8",  # ; HANGUL SYLLABLE KYOSS
        "\uCFD9",  # ; HANGUL SYLLABLE KYONG
        "\uCFDA",  # ; HANGUL SYLLABLE KYOJ
        "\uCFDB",  # ; HANGUL SYLLABLE KYOC
        "\uCFDC",  # ; HANGUL SYLLABLE KYOK
        "\uCFDD",  # ; HANGUL SYLLABLE KYOT
        "\uCFDE",  # ; HANGUL SYLLABLE KYOP
        "\uCFDF",  # ; HANGUL SYLLABLE KYOH
        "\uCFE0",  # ; HANGUL SYLLABLE KU
        "\uCFE1",  # ; HANGUL SYLLABLE KUG
        "\uCFE2",  # ; HANGUL SYLLABLE KUGG
        "\uCFE3",  # ; HANGUL SYLLABLE KUGS
        "\uCFE4",  # ; HANGUL SYLLABLE KUN
        "\uCFE5",  # ; HANGUL SYLLABLE KUNJ
        "\uCFE6",  # ; HANGUL SYLLABLE KUNH
        "\uCFE7",  # ; HANGUL SYLLABLE KUD
        "\uCFE8",  # ; HANGUL SYLLABLE KUL
        "\uCFE9",  # ; HANGUL SYLLABLE KULG
        "\uCFEA",  # ; HANGUL SYLLABLE KULM
        "\uCFEB",  # ; HANGUL SYLLABLE KULB
        "\uCFEC",  # ; HANGUL SYLLABLE KULS
        "\uCFED",  # ; HANGUL SYLLABLE KULT
        "\uCFEE",  # ; HANGUL SYLLABLE KULP
        "\uCFEF",  # ; HANGUL SYLLABLE KULH
        "\uCFF0",  # ; HANGUL SYLLABLE KUM
        "\uCFF1",  # ; HANGUL SYLLABLE KUB
        "\uCFF2",  # ; HANGUL SYLLABLE KUBS
        "\uCFF3",  # ; HANGUL SYLLABLE KUS
        "\uCFF4",  # ; HANGUL SYLLABLE KUSS
        "\uCFF5",  # ; HANGUL SYLLABLE KUNG
        "\uCFF6",  # ; HANGUL SYLLABLE KUJ
        "\uCFF7",  # ; HANGUL SYLLABLE KUC
        "\uCFF8",  # ; HANGUL SYLLABLE KUK
        "\uCFF9",  # ; HANGUL SYLLABLE KUT
        "\uCFFA",  # ; HANGUL SYLLABLE KUP
        "\uCFFB",  # ; HANGUL SYLLABLE KUH
        "\uCFFC",  # ; HANGUL SYLLABLE KWEO
        "\uCFFD",  # ; HANGUL SYLLABLE KWEOG
        "\uCFFE",  # ; HANGUL SYLLABLE KWEOGG
        "\uCFFF",  # ; HANGUL SYLLABLE KWEOGS
        "\uD000",  # ; HANGUL SYLLABLE KWEON
        "\uD001",  # ; HANGUL SYLLABLE KWEONJ
        "\uD002",  # ; HANGUL SYLLABLE KWEONH
        "\uD003",  # ; HANGUL SYLLABLE KWEOD
        "\uD004",  # ; HANGUL SYLLABLE KWEOL
        "\uD005",  # ; HANGUL SYLLABLE KWEOLG
        "\uD006",  # ; HANGUL SYLLABLE KWEOLM
        "\uD007",  # ; HANGUL SYLLABLE KWEOLB
        "\uD008",  # ; HANGUL SYLLABLE KWEOLS
        "\uD009",  # ; HANGUL SYLLABLE KWEOLT
        "\uD00A",  # ; HANGUL SYLLABLE KWEOLP
        "\uD00B",  # ; HANGUL SYLLABLE KWEOLH
        "\uD00C",  # ; HANGUL SYLLABLE KWEOM
        "\uD00D",  # ; HANGUL SYLLABLE KWEOB
        "\uD00E",  # ; HANGUL SYLLABLE KWEOBS
        "\uD00F",  # ; HANGUL SYLLABLE KWEOS
        "\uD010",  # ; HANGUL SYLLABLE KWEOSS
        "\uD011",  # ; HANGUL SYLLABLE KWEONG
        "\uD012",  # ; HANGUL SYLLABLE KWEOJ
        "\uD013",  # ; HANGUL SYLLABLE KWEOC
        "\uD014",  # ; HANGUL SYLLABLE KWEOK
        "\uD015",  # ; HANGUL SYLLABLE KWEOT
        "\uD016",  # ; HANGUL SYLLABLE KWEOP
        "\uD017",  # ; HANGUL SYLLABLE KWEOH
        "\uD018",  # ; HANGUL SYLLABLE KWE
        "\uD019",  # ; HANGUL SYLLABLE KWEG
        "\uD01A",  # ; HANGUL SYLLABLE KWEGG
        "\uD01B",  # ; HANGUL SYLLABLE KWEGS
        "\uD01C",  # ; HANGUL SYLLABLE KWEN
        "\uD01D",  # ; HANGUL SYLLABLE KWENJ
        "\uD01E",  # ; HANGUL SYLLABLE KWENH
        "\uD01F",  # ; HANGUL SYLLABLE KWED
        "\uD020",  # ; HANGUL SYLLABLE KWEL
        "\uD021",  # ; HANGUL SYLLABLE KWELG
        "\uD022",  # ; HANGUL SYLLABLE KWELM
        "\uD023",  # ; HANGUL SYLLABLE KWELB
        "\uD024",  # ; HANGUL SYLLABLE KWELS
        "\uD025",  # ; HANGUL SYLLABLE KWELT
        "\uD026",  # ; HANGUL SYLLABLE KWELP
        "\uD027",  # ; HANGUL SYLLABLE KWELH
        "\uD028",  # ; HANGUL SYLLABLE KWEM
        "\uD029",  # ; HANGUL SYLLABLE KWEB
        "\uD02A",  # ; HANGUL SYLLABLE KWEBS
        "\uD02B",  # ; HANGUL SYLLABLE KWES
        "\uD02C",  # ; HANGUL SYLLABLE KWESS
        "\uD02D",  # ; HANGUL SYLLABLE KWENG
        "\uD02E",  # ; HANGUL SYLLABLE KWEJ
        "\uD02F",  # ; HANGUL SYLLABLE KWEC
        "\uD030",  # ; HANGUL SYLLABLE KWEK
        "\uD031",  # ; HANGUL SYLLABLE KWET
        "\uD032",  # ; HANGUL SYLLABLE KWEP
        "\uD033",  # ; HANGUL SYLLABLE KWEH
        "\uD034",  # ; HANGUL SYLLABLE KWI
        "\uD035",  # ; HANGUL SYLLABLE KWIG
        "\uD036",  # ; HANGUL SYLLABLE KWIGG
        "\uD037",  # ; HANGUL SYLLABLE KWIGS
        "\uD038",  # ; HANGUL SYLLABLE KWIN
        "\uD039",  # ; HANGUL SYLLABLE KWINJ
        "\uD03A",  # ; HANGUL SYLLABLE KWINH
        "\uD03B",  # ; HANGUL SYLLABLE KWID
        "\uD03C",  # ; HANGUL SYLLABLE KWIL
        "\uD03D",  # ; HANGUL SYLLABLE KWILG
        "\uD03E",  # ; HANGUL SYLLABLE KWILM
        "\uD03F",  # ; HANGUL SYLLABLE KWILB
        "\uD040",  # ; HANGUL SYLLABLE KWILS
        "\uD041",  # ; HANGUL SYLLABLE KWILT
        "\uD042",  # ; HANGUL SYLLABLE KWILP
        "\uD043",  # ; HANGUL SYLLABLE KWILH
        "\uD044",  # ; HANGUL SYLLABLE KWIM
        "\uD045",  # ; HANGUL SYLLABLE KWIB
        "\uD046",  # ; HANGUL SYLLABLE KWIBS
        "\uD047",  # ; HANGUL SYLLABLE KWIS
        "\uD048",  # ; HANGUL SYLLABLE KWISS
        "\uD049",  # ; HANGUL SYLLABLE KWING
        "\uD04A",  # ; HANGUL SYLLABLE KWIJ
        "\uD04B",  # ; HANGUL SYLLABLE KWIC
        "\uD04C",  # ; HANGUL SYLLABLE KWIK
        "\uD04D",  # ; HANGUL SYLLABLE KWIT
        "\uD04E",  # ; HANGUL SYLLABLE KWIP
        "\uD04F",  # ; HANGUL SYLLABLE KWIH
        "\uD050",  # ; HANGUL SYLLABLE KYU
        "\uD051",  # ; HANGUL SYLLABLE KYUG
        "\uD052",  # ; HANGUL SYLLABLE KYUGG
        "\uD053",  # ; HANGUL SYLLABLE KYUGS
        "\uD054",  # ; HANGUL SYLLABLE KYUN
        "\uD055",  # ; HANGUL SYLLABLE KYUNJ
        "\uD056",  # ; HANGUL SYLLABLE KYUNH
        "\uD057",  # ; HANGUL SYLLABLE KYUD
        "\uD058",  # ; HANGUL SYLLABLE KYUL
        "\uD059",  # ; HANGUL SYLLABLE KYULG
        "\uD05A",  # ; HANGUL SYLLABLE KYULM
        "\uD05B",  # ; HANGUL SYLLABLE KYULB
        "\uD05C",  # ; HANGUL SYLLABLE KYULS
        "\uD05D",  # ; HANGUL SYLLABLE KYULT
        "\uD05E",  # ; HANGUL SYLLABLE KYULP
        "\uD05F",  # ; HANGUL SYLLABLE KYULH
        "\uD060",  # ; HANGUL SYLLABLE KYUM
        "\uD061",  # ; HANGUL SYLLABLE KYUB
        "\uD062",  # ; HANGUL SYLLABLE KYUBS
        "\uD063",  # ; HANGUL SYLLABLE KYUS
        "\uD064",  # ; HANGUL SYLLABLE KYUSS
        "\uD065",  # ; HANGUL SYLLABLE KYUNG
        "\uD066",  # ; HANGUL SYLLABLE KYUJ
        "\uD067",  # ; HANGUL SYLLABLE KYUC
        "\uD068",  # ; HANGUL SYLLABLE KYUK
        "\uD069",  # ; HANGUL SYLLABLE KYUT
        "\uD06A",  # ; HANGUL SYLLABLE KYUP
        "\uD06B",  # ; HANGUL SYLLABLE KYUH
        "\uD06C",  # ; HANGUL SYLLABLE KEU
        "\uD06D",  # ; HANGUL SYLLABLE KEUG
        "\uD06E",  # ; HANGUL SYLLABLE KEUGG
        "\uD06F",  # ; HANGUL SYLLABLE KEUGS
        "\uD070",  # ; HANGUL SYLLABLE KEUN
        "\uD071",  # ; HANGUL SYLLABLE KEUNJ
        "\uD072",  # ; HANGUL SYLLABLE KEUNH
        "\uD073",  # ; HANGUL SYLLABLE KEUD
        "\uD074",  # ; HANGUL SYLLABLE KEUL
        "\uD075",  # ; HANGUL SYLLABLE KEULG
        "\uD076",  # ; HANGUL SYLLABLE KEULM
        "\uD077",  # ; HANGUL SYLLABLE KEULB
        "\uD078",  # ; HANGUL SYLLABLE KEULS
        "\uD079",  # ; HANGUL SYLLABLE KEULT
        "\uD07A",  # ; HANGUL SYLLABLE KEULP
        "\uD07B",  # ; HANGUL SYLLABLE KEULH
        "\uD07C",  # ; HANGUL SYLLABLE KEUM
        "\uD07D",  # ; HANGUL SYLLABLE KEUB
        "\uD07E",  # ; HANGUL SYLLABLE KEUBS
        "\uD07F",  # ; HANGUL SYLLABLE KEUS
        "\uD080",  # ; HANGUL SYLLABLE KEUSS
        "\uD081",  # ; HANGUL SYLLABLE KEUNG
        "\uD082",  # ; HANGUL SYLLABLE KEUJ
        "\uD083",  # ; HANGUL SYLLABLE KEUC
        "\uD084",  # ; HANGUL SYLLABLE KEUK
        "\uD085",  # ; HANGUL SYLLABLE KEUT
        "\uD086",  # ; HANGUL SYLLABLE KEUP
        "\uD087",  # ; HANGUL SYLLABLE KEUH
        "\uD088",  # ; HANGUL SYLLABLE KYI
        "\uD089",  # ; HANGUL SYLLABLE KYIG
        "\uD08A",  # ; HANGUL SYLLABLE KYIGG
        "\uD08B",  # ; HANGUL SYLLABLE KYIGS
        "\uD08C",  # ; HANGUL SYLLABLE KYIN
        "\uD08D",  # ; HANGUL SYLLABLE KYINJ
        "\uD08E",  # ; HANGUL SYLLABLE KYINH
        "\uD08F",  # ; HANGUL SYLLABLE KYID
        "\uD090",  # ; HANGUL SYLLABLE KYIL
        "\uD091",  # ; HANGUL SYLLABLE KYILG
        "\uD092",  # ; HANGUL SYLLABLE KYILM
        "\uD093",  # ; HANGUL SYLLABLE KYILB
        "\uD094",  # ; HANGUL SYLLABLE KYILS
        "\uD095",  # ; HANGUL SYLLABLE KYILT
        "\uD096",  # ; HANGUL SYLLABLE KYILP
        "\uD097",  # ; HANGUL SYLLABLE KYILH
        "\uD098",  # ; HANGUL SYLLABLE KYIM
        "\uD099",  # ; HANGUL SYLLABLE KYIB
        "\uD09A",  # ; HANGUL SYLLABLE KYIBS
        "\uD09B",  # ; HANGUL SYLLABLE KYIS
        "\uD09C",  # ; HANGUL SYLLABLE KYISS
        "\uD09D",  # ; HANGUL SYLLABLE KYING
        "\uD09E",  # ; HANGUL SYLLABLE KYIJ
        "\uD09F",  # ; HANGUL SYLLABLE KYIC
        "\uD0A0",  # ; HANGUL SYLLABLE KYIK
        "\uD0A1",  # ; HANGUL SYLLABLE KYIT
        "\uD0A2",  # ; HANGUL SYLLABLE KYIP
        "\uD0A3",  # ; HANGUL SYLLABLE KYIH
        "\uD0A4",  # ; HANGUL SYLLABLE KI
        "\uD0A5",  # ; HANGUL SYLLABLE KIG
        "\uD0A6",  # ; HANGUL SYLLABLE KIGG
        "\uD0A7",  # ; HANGUL SYLLABLE KIGS
        "\uD0A8",  # ; HANGUL SYLLABLE KIN
        "\uD0A9",  # ; HANGUL SYLLABLE KINJ
        "\uD0AA",  # ; HANGUL SYLLABLE KINH
        "\uD0AB",  # ; HANGUL SYLLABLE KID
        "\uD0AC",  # ; HANGUL SYLLABLE KIL
        "\uD0AD",  # ; HANGUL SYLLABLE KILG
        "\uD0AE",  # ; HANGUL SYLLABLE KILM
        "\uD0AF",  # ; HANGUL SYLLABLE KILB
        "\uD0B0",  # ; HANGUL SYLLABLE KILS
        "\uD0B1",  # ; HANGUL SYLLABLE KILT
        "\uD0B2",  # ; HANGUL SYLLABLE KILP
        "\uD0B3",  # ; HANGUL SYLLABLE KILH
        "\uD0B4",  # ; HANGUL SYLLABLE KIM
        "\uD0B5",  # ; HANGUL SYLLABLE KIB
        "\uD0B6",  # ; HANGUL SYLLABLE KIBS
        "\uD0B7",  # ; HANGUL SYLLABLE KIS
        "\uD0B8",  # ; HANGUL SYLLABLE KISS
        "\uD0B9",  # ; HANGUL SYLLABLE KING
        "\uD0BA",  # ; HANGUL SYLLABLE KIJ
        "\uD0BB",  # ; HANGUL SYLLABLE KIC
        "\uD0BC",  # ; HANGUL SYLLABLE KIK
        "\uD0BD",  # ; HANGUL SYLLABLE KIT
        "\uD0BE",  # ; HANGUL SYLLABLE KIP
        "\uD0BF",  # ; HANGUL SYLLABLE KIH
        "\uD0C0",  # ; HANGUL SYLLABLE TA
        "\uD0C1",  # ; HANGUL SYLLABLE TAG
        "\uD0C2",  # ; HANGUL SYLLABLE TAGG
        "\uD0C3",  # ; HANGUL SYLLABLE TAGS
        "\uD0C4",  # ; HANGUL SYLLABLE TAN
        "\uD0C5",  # ; HANGUL SYLLABLE TANJ
        "\uD0C6",  # ; HANGUL SYLLABLE TANH
        "\uD0C7",  # ; HANGUL SYLLABLE TAD
        "\uD0C8",  # ; HANGUL SYLLABLE TAL
        "\uD0C9",  # ; HANGUL SYLLABLE TALG
        "\uD0CA",  # ; HANGUL SYLLABLE TALM
        "\uD0CB",  # ; HANGUL SYLLABLE TALB
        "\uD0CC",  # ; HANGUL SYLLABLE TALS
        "\uD0CD",  # ; HANGUL SYLLABLE TALT
        "\uD0CE",  # ; HANGUL SYLLABLE TALP
        "\uD0CF",  # ; HANGUL SYLLABLE TALH
        "\uD0D0",  # ; HANGUL SYLLABLE TAM
        "\uD0D1",  # ; HANGUL SYLLABLE TAB
        "\uD0D2",  # ; HANGUL SYLLABLE TABS
        "\uD0D3",  # ; HANGUL SYLLABLE TAS
        "\uD0D4",  # ; HANGUL SYLLABLE TASS
        "\uD0D5",  # ; HANGUL SYLLABLE TANG
        "\uD0D6",  # ; HANGUL SYLLABLE TAJ
        "\uD0D7",  # ; HANGUL SYLLABLE TAC
        "\uD0D8",  # ; HANGUL SYLLABLE TAK
        "\uD0D9",  # ; HANGUL SYLLABLE TAT
        "\uD0DA",  # ; HANGUL SYLLABLE TAP
        "\uD0DB",  # ; HANGUL SYLLABLE TAH
        "\uD0DC",  # ; HANGUL SYLLABLE TAE
        "\uD0DD",  # ; HANGUL SYLLABLE TAEG
        "\uD0DE",  # ; HANGUL SYLLABLE TAEGG
        "\uD0DF",  # ; HANGUL SYLLABLE TAEGS
        "\uD0E0",  # ; HANGUL SYLLABLE TAEN
        "\uD0E1",  # ; HANGUL SYLLABLE TAENJ
        "\uD0E2",  # ; HANGUL SYLLABLE TAENH
        "\uD0E3",  # ; HANGUL SYLLABLE TAED
        "\uD0E4",  # ; HANGUL SYLLABLE TAEL
        "\uD0E5",  # ; HANGUL SYLLABLE TAELG
        "\uD0E6",  # ; HANGUL SYLLABLE TAELM
        "\uD0E7",  # ; HANGUL SYLLABLE TAELB
        "\uD0E8",  # ; HANGUL SYLLABLE TAELS
        "\uD0E9",  # ; HANGUL SYLLABLE TAELT
        "\uD0EA",  # ; HANGUL SYLLABLE TAELP
        "\uD0EB",  # ; HANGUL SYLLABLE TAELH
        "\uD0EC",  # ; HANGUL SYLLABLE TAEM
        "\uD0ED",  # ; HANGUL SYLLABLE TAEB
        "\uD0EE",  # ; HANGUL SYLLABLE TAEBS
        "\uD0EF",  # ; HANGUL SYLLABLE TAES
        "\uD0F0",  # ; HANGUL SYLLABLE TAESS
        "\uD0F1",  # ; HANGUL SYLLABLE TAENG
        "\uD0F2",  # ; HANGUL SYLLABLE TAEJ
        "\uD0F3",  # ; HANGUL SYLLABLE TAEC
        "\uD0F4",  # ; HANGUL SYLLABLE TAEK
        "\uD0F5",  # ; HANGUL SYLLABLE TAET
        "\uD0F6",  # ; HANGUL SYLLABLE TAEP
        "\uD0F7",  # ; HANGUL SYLLABLE TAEH
        "\uD0F8",  # ; HANGUL SYLLABLE TYA
        "\uD0F9",  # ; HANGUL SYLLABLE TYAG
        "\uD0FA",  # ; HANGUL SYLLABLE TYAGG
        "\uD0FB",  # ; HANGUL SYLLABLE TYAGS
        "\uD0FC",  # ; HANGUL SYLLABLE TYAN
        "\uD0FD",  # ; HANGUL SYLLABLE TYANJ
        "\uD0FE",  # ; HANGUL SYLLABLE TYANH
        "\uD0FF",  # ; HANGUL SYLLABLE TYAD
        "\uD100",  # ; HANGUL SYLLABLE TYAL
        "\uD101",  # ; HANGUL SYLLABLE TYALG
        "\uD102",  # ; HANGUL SYLLABLE TYALM
        "\uD103",  # ; HANGUL SYLLABLE TYALB
        "\uD104",  # ; HANGUL SYLLABLE TYALS
        "\uD105",  # ; HANGUL SYLLABLE TYALT
        "\uD106",  # ; HANGUL SYLLABLE TYALP
        "\uD107",  # ; HANGUL SYLLABLE TYALH
        "\uD108",  # ; HANGUL SYLLABLE TYAM
        "\uD109",  # ; HANGUL SYLLABLE TYAB
        "\uD10A",  # ; HANGUL SYLLABLE TYABS
        "\uD10B",  # ; HANGUL SYLLABLE TYAS
        "\uD10C",  # ; HANGUL SYLLABLE TYASS
        "\uD10D",  # ; HANGUL SYLLABLE TYANG
        "\uD10E",  # ; HANGUL SYLLABLE TYAJ
        "\uD10F",  # ; HANGUL SYLLABLE TYAC
        "\uD110",  # ; HANGUL SYLLABLE TYAK
        "\uD111",  # ; HANGUL SYLLABLE TYAT
        "\uD112",  # ; HANGUL SYLLABLE TYAP
        "\uD113",  # ; HANGUL SYLLABLE TYAH
        "\uD114",  # ; HANGUL SYLLABLE TYAE
        "\uD115",  # ; HANGUL SYLLABLE TYAEG
        "\uD116",  # ; HANGUL SYLLABLE TYAEGG
        "\uD117",  # ; HANGUL SYLLABLE TYAEGS
        "\uD118",  # ; HANGUL SYLLABLE TYAEN
        "\uD119",  # ; HANGUL SYLLABLE TYAENJ
        "\uD11A",  # ; HANGUL SYLLABLE TYAENH
        "\uD11B",  # ; HANGUL SYLLABLE TYAED
        "\uD11C",  # ; HANGUL SYLLABLE TYAEL
        "\uD11D",  # ; HANGUL SYLLABLE TYAELG
        "\uD11E",  # ; HANGUL SYLLABLE TYAELM
        "\uD11F",  # ; HANGUL SYLLABLE TYAELB
        "\uD120",  # ; HANGUL SYLLABLE TYAELS
        "\uD121",  # ; HANGUL SYLLABLE TYAELT
        "\uD122",  # ; HANGUL SYLLABLE TYAELP
        "\uD123",  # ; HANGUL SYLLABLE TYAELH
        "\uD124",  # ; HANGUL SYLLABLE TYAEM
        "\uD125",  # ; HANGUL SYLLABLE TYAEB
        "\uD126",  # ; HANGUL SYLLABLE TYAEBS
        "\uD127",  # ; HANGUL SYLLABLE TYAES
        "\uD128",  # ; HANGUL SYLLABLE TYAESS
        "\uD129",  # ; HANGUL SYLLABLE TYAENG
        "\uD12A",  # ; HANGUL SYLLABLE TYAEJ
        "\uD12B",  # ; HANGUL SYLLABLE TYAEC
        "\uD12C",  # ; HANGUL SYLLABLE TYAEK
        "\uD12D",  # ; HANGUL SYLLABLE TYAET
        "\uD12E",  # ; HANGUL SYLLABLE TYAEP
        "\uD12F",  # ; HANGUL SYLLABLE TYAEH
        "\uD130",  # ; HANGUL SYLLABLE TEO
        "\uD131",  # ; HANGUL SYLLABLE TEOG
        "\uD132",  # ; HANGUL SYLLABLE TEOGG
        "\uD133",  # ; HANGUL SYLLABLE TEOGS
        "\uD134",  # ; HANGUL SYLLABLE TEON
        "\uD135",  # ; HANGUL SYLLABLE TEONJ
        "\uD136",  # ; HANGUL SYLLABLE TEONH
        "\uD137",  # ; HANGUL SYLLABLE TEOD
        "\uD138",  # ; HANGUL SYLLABLE TEOL
        "\uD139",  # ; HANGUL SYLLABLE TEOLG
        "\uD13A",  # ; HANGUL SYLLABLE TEOLM
        "\uD13B",  # ; HANGUL SYLLABLE TEOLB
        "\uD13C",  # ; HANGUL SYLLABLE TEOLS
        "\uD13D",  # ; HANGUL SYLLABLE TEOLT
        "\uD13E",  # ; HANGUL SYLLABLE TEOLP
        "\uD13F",  # ; HANGUL SYLLABLE TEOLH
        "\uD140",  # ; HANGUL SYLLABLE TEOM
        "\uD141",  # ; HANGUL SYLLABLE TEOB
        "\uD142",  # ; HANGUL SYLLABLE TEOBS
        "\uD143",  # ; HANGUL SYLLABLE TEOS
        "\uD144",  # ; HANGUL SYLLABLE TEOSS
        "\uD145",  # ; HANGUL SYLLABLE TEONG
        "\uD146",  # ; HANGUL SYLLABLE TEOJ
        "\uD147",  # ; HANGUL SYLLABLE TEOC
        "\uD148",  # ; HANGUL SYLLABLE TEOK
        "\uD149",  # ; HANGUL SYLLABLE TEOT
        "\uD14A",  # ; HANGUL SYLLABLE TEOP
        "\uD14B",  # ; HANGUL SYLLABLE TEOH
        "\uD14C",  # ; HANGUL SYLLABLE TE
        "\uD14D",  # ; HANGUL SYLLABLE TEG
        "\uD14E",  # ; HANGUL SYLLABLE TEGG
        "\uD14F",  # ; HANGUL SYLLABLE TEGS
        "\uD150",  # ; HANGUL SYLLABLE TEN
        "\uD151",  # ; HANGUL SYLLABLE TENJ
        "\uD152",  # ; HANGUL SYLLABLE TENH
        "\uD153",  # ; HANGUL SYLLABLE TED
        "\uD154",  # ; HANGUL SYLLABLE TEL
        "\uD155",  # ; HANGUL SYLLABLE TELG
        "\uD156",  # ; HANGUL SYLLABLE TELM
        "\uD157",  # ; HANGUL SYLLABLE TELB
        "\uD158",  # ; HANGUL SYLLABLE TELS
        "\uD159",  # ; HANGUL SYLLABLE TELT
        "\uD15A",  # ; HANGUL SYLLABLE TELP
        "\uD15B",  # ; HANGUL SYLLABLE TELH
        "\uD15C",  # ; HANGUL SYLLABLE TEM
        "\uD15D",  # ; HANGUL SYLLABLE TEB
        "\uD15E",  # ; HANGUL SYLLABLE TEBS
        "\uD15F",  # ; HANGUL SYLLABLE TES
        "\uD160",  # ; HANGUL SYLLABLE TESS
        "\uD161",  # ; HANGUL SYLLABLE TENG
        "\uD162",  # ; HANGUL SYLLABLE TEJ
        "\uD163",  # ; HANGUL SYLLABLE TEC
        "\uD164",  # ; HANGUL SYLLABLE TEK
        "\uD165",  # ; HANGUL SYLLABLE TET
        "\uD166",  # ; HANGUL SYLLABLE TEP
        "\uD167",  # ; HANGUL SYLLABLE TEH
        "\uD168",  # ; HANGUL SYLLABLE TYEO
        "\uD169",  # ; HANGUL SYLLABLE TYEOG
        "\uD16A",  # ; HANGUL SYLLABLE TYEOGG
        "\uD16B",  # ; HANGUL SYLLABLE TYEOGS
        "\uD16C",  # ; HANGUL SYLLABLE TYEON
        "\uD16D",  # ; HANGUL SYLLABLE TYEONJ
        "\uD16E",  # ; HANGUL SYLLABLE TYEONH
        "\uD16F",  # ; HANGUL SYLLABLE TYEOD
        "\uD170",  # ; HANGUL SYLLABLE TYEOL
        "\uD171",  # ; HANGUL SYLLABLE TYEOLG
        "\uD172",  # ; HANGUL SYLLABLE TYEOLM
        "\uD173",  # ; HANGUL SYLLABLE TYEOLB
        "\uD174",  # ; HANGUL SYLLABLE TYEOLS
        "\uD175",  # ; HANGUL SYLLABLE TYEOLT
        "\uD176",  # ; HANGUL SYLLABLE TYEOLP
        "\uD177",  # ; HANGUL SYLLABLE TYEOLH
        "\uD178",  # ; HANGUL SYLLABLE TYEOM
        "\uD179",  # ; HANGUL SYLLABLE TYEOB
        "\uD17A",  # ; HANGUL SYLLABLE TYEOBS
        "\uD17B",  # ; HANGUL SYLLABLE TYEOS
        "\uD17C",  # ; HANGUL SYLLABLE TYEOSS
        "\uD17D",  # ; HANGUL SYLLABLE TYEONG
        "\uD17E",  # ; HANGUL SYLLABLE TYEOJ
        "\uD17F",  # ; HANGUL SYLLABLE TYEOC
        "\uD180",  # ; HANGUL SYLLABLE TYEOK
        "\uD181",  # ; HANGUL SYLLABLE TYEOT
        "\uD182",  # ; HANGUL SYLLABLE TYEOP
        "\uD183",  # ; HANGUL SYLLABLE TYEOH
        "\uD184",  # ; HANGUL SYLLABLE TYE
        "\uD185",  # ; HANGUL SYLLABLE TYEG
        "\uD186",  # ; HANGUL SYLLABLE TYEGG
        "\uD187",  # ; HANGUL SYLLABLE TYEGS
        "\uD188",  # ; HANGUL SYLLABLE TYEN
        "\uD189",  # ; HANGUL SYLLABLE TYENJ
        "\uD18A",  # ; HANGUL SYLLABLE TYENH
        "\uD18B",  # ; HANGUL SYLLABLE TYED
        "\uD18C",  # ; HANGUL SYLLABLE TYEL
        "\uD18D",  # ; HANGUL SYLLABLE TYELG
        "\uD18E",  # ; HANGUL SYLLABLE TYELM
        "\uD18F",  # ; HANGUL SYLLABLE TYELB
        "\uD190",  # ; HANGUL SYLLABLE TYELS
        "\uD191",  # ; HANGUL SYLLABLE TYELT
        "\uD192",  # ; HANGUL SYLLABLE TYELP
        "\uD193",  # ; HANGUL SYLLABLE TYELH
        "\uD194",  # ; HANGUL SYLLABLE TYEM
        "\uD195",  # ; HANGUL SYLLABLE TYEB
        "\uD196",  # ; HANGUL SYLLABLE TYEBS
        "\uD197",  # ; HANGUL SYLLABLE TYES
        "\uD198",  # ; HANGUL SYLLABLE TYESS
        "\uD199",  # ; HANGUL SYLLABLE TYENG
        "\uD19A",  # ; HANGUL SYLLABLE TYEJ
        "\uD19B",  # ; HANGUL SYLLABLE TYEC
        "\uD19C",  # ; HANGUL SYLLABLE TYEK
        "\uD19D",  # ; HANGUL SYLLABLE TYET
        "\uD19E",  # ; HANGUL SYLLABLE TYEP
        "\uD19F",  # ; HANGUL SYLLABLE TYEH
        "\uD1A0",  # ; HANGUL SYLLABLE TO
        "\uD1A1",  # ; HANGUL SYLLABLE TOG
        "\uD1A2",  # ; HANGUL SYLLABLE TOGG
        "\uD1A3",  # ; HANGUL SYLLABLE TOGS
        "\uD1A4",  # ; HANGUL SYLLABLE TON
        "\uD1A5",  # ; HANGUL SYLLABLE TONJ
        "\uD1A6",  # ; HANGUL SYLLABLE TONH
        "\uD1A7",  # ; HANGUL SYLLABLE TOD
        "\uD1A8",  # ; HANGUL SYLLABLE TOL
        "\uD1A9",  # ; HANGUL SYLLABLE TOLG
        "\uD1AA",  # ; HANGUL SYLLABLE TOLM
        "\uD1AB",  # ; HANGUL SYLLABLE TOLB
        "\uD1AC",  # ; HANGUL SYLLABLE TOLS
        "\uD1AD",  # ; HANGUL SYLLABLE TOLT
        "\uD1AE",  # ; HANGUL SYLLABLE TOLP
        "\uD1AF",  # ; HANGUL SYLLABLE TOLH
        "\uD1B0",  # ; HANGUL SYLLABLE TOM
        "\uD1B1",  # ; HANGUL SYLLABLE TOB
        "\uD1B2",  # ; HANGUL SYLLABLE TOBS
        "\uD1B3",  # ; HANGUL SYLLABLE TOS
        "\uD1B4",  # ; HANGUL SYLLABLE TOSS
        "\uD1B5",  # ; HANGUL SYLLABLE TONG
        "\uD1B6",  # ; HANGUL SYLLABLE TOJ
        "\uD1B7",  # ; HANGUL SYLLABLE TOC
        "\uD1B8",  # ; HANGUL SYLLABLE TOK
        "\uD1B9",  # ; HANGUL SYLLABLE TOT
        "\uD1BA",  # ; HANGUL SYLLABLE TOP
        "\uD1BB",  # ; HANGUL SYLLABLE TOH
        "\uD1BC",  # ; HANGUL SYLLABLE TWA
        "\uD1BD",  # ; HANGUL SYLLABLE TWAG
        "\uD1BE",  # ; HANGUL SYLLABLE TWAGG
        "\uD1BF",  # ; HANGUL SYLLABLE TWAGS
        "\uD1C0",  # ; HANGUL SYLLABLE TWAN
        "\uD1C1",  # ; HANGUL SYLLABLE TWANJ
        "\uD1C2",  # ; HANGUL SYLLABLE TWANH
        "\uD1C3",  # ; HANGUL SYLLABLE TWAD
        "\uD1C4",  # ; HANGUL SYLLABLE TWAL
        "\uD1C5",  # ; HANGUL SYLLABLE TWALG
        "\uD1C6",  # ; HANGUL SYLLABLE TWALM
        "\uD1C7",  # ; HANGUL SYLLABLE TWALB
        "\uD1C8",  # ; HANGUL SYLLABLE TWALS
        "\uD1C9",  # ; HANGUL SYLLABLE TWALT
        "\uD1CA",  # ; HANGUL SYLLABLE TWALP
        "\uD1CB",  # ; HANGUL SYLLABLE TWALH
        "\uD1CC",  # ; HANGUL SYLLABLE TWAM
        "\uD1CD",  # ; HANGUL SYLLABLE TWAB
        "\uD1CE",  # ; HANGUL SYLLABLE TWABS
        "\uD1CF",  # ; HANGUL SYLLABLE TWAS
        "\uD1D0",  # ; HANGUL SYLLABLE TWASS
        "\uD1D1",  # ; HANGUL SYLLABLE TWANG
        "\uD1D2",  # ; HANGUL SYLLABLE TWAJ
        "\uD1D3",  # ; HANGUL SYLLABLE TWAC
        "\uD1D4",  # ; HANGUL SYLLABLE TWAK
        "\uD1D5",  # ; HANGUL SYLLABLE TWAT
        "\uD1D6",  # ; HANGUL SYLLABLE TWAP
        "\uD1D7",  # ; HANGUL SYLLABLE TWAH
        "\uD1D8",  # ; HANGUL SYLLABLE TWAE
        "\uD1D9",  # ; HANGUL SYLLABLE TWAEG
        "\uD1DA",  # ; HANGUL SYLLABLE TWAEGG
        "\uD1DB",  # ; HANGUL SYLLABLE TWAEGS
        "\uD1DC",  # ; HANGUL SYLLABLE TWAEN
        "\uD1DD",  # ; HANGUL SYLLABLE TWAENJ
        "\uD1DE",  # ; HANGUL SYLLABLE TWAENH
        "\uD1DF",  # ; HANGUL SYLLABLE TWAED
        "\uD1E0",  # ; HANGUL SYLLABLE TWAEL
        "\uD1E1",  # ; HANGUL SYLLABLE TWAELG
        "\uD1E2",  # ; HANGUL SYLLABLE TWAELM
        "\uD1E3",  # ; HANGUL SYLLABLE TWAELB
        "\uD1E4",  # ; HANGUL SYLLABLE TWAELS
        "\uD1E5",  # ; HANGUL SYLLABLE TWAELT
        "\uD1E6",  # ; HANGUL SYLLABLE TWAELP
        "\uD1E7",  # ; HANGUL SYLLABLE TWAELH
        "\uD1E8",  # ; HANGUL SYLLABLE TWAEM
        "\uD1E9",  # ; HANGUL SYLLABLE TWAEB
        "\uD1EA",  # ; HANGUL SYLLABLE TWAEBS
        "\uD1EB",  # ; HANGUL SYLLABLE TWAES
        "\uD1EC",  # ; HANGUL SYLLABLE TWAESS
        "\uD1ED",  # ; HANGUL SYLLABLE TWAENG
        "\uD1EE",  # ; HANGUL SYLLABLE TWAEJ
        "\uD1EF",  # ; HANGUL SYLLABLE TWAEC
        "\uD1F0",  # ; HANGUL SYLLABLE TWAEK
        "\uD1F1",  # ; HANGUL SYLLABLE TWAET
        "\uD1F2",  # ; HANGUL SYLLABLE TWAEP
        "\uD1F3",  # ; HANGUL SYLLABLE TWAEH
        "\uD1F4",  # ; HANGUL SYLLABLE TOE
        "\uD1F5",  # ; HANGUL SYLLABLE TOEG
        "\uD1F6",  # ; HANGUL SYLLABLE TOEGG
        "\uD1F7",  # ; HANGUL SYLLABLE TOEGS
        "\uD1F8",  # ; HANGUL SYLLABLE TOEN
        "\uD1F9",  # ; HANGUL SYLLABLE TOENJ
        "\uD1FA",  # ; HANGUL SYLLABLE TOENH
        "\uD1FB",  # ; HANGUL SYLLABLE TOED
        "\uD1FC",  # ; HANGUL SYLLABLE TOEL
        "\uD1FD",  # ; HANGUL SYLLABLE TOELG
        "\uD1FE",  # ; HANGUL SYLLABLE TOELM
        "\uD1FF",  # ; HANGUL SYLLABLE TOELB
        "\uD200",  # ; HANGUL SYLLABLE TOELS
        "\uD201",  # ; HANGUL SYLLABLE TOELT
        "\uD202",  # ; HANGUL SYLLABLE TOELP
        "\uD203",  # ; HANGUL SYLLABLE TOELH
        "\uD204",  # ; HANGUL SYLLABLE TOEM
        "\uD205",  # ; HANGUL SYLLABLE TOEB
        "\uD206",  # ; HANGUL SYLLABLE TOEBS
        "\uD207",  # ; HANGUL SYLLABLE TOES
        "\uD208",  # ; HANGUL SYLLABLE TOESS
        "\uD209",  # ; HANGUL SYLLABLE TOENG
        "\uD20A",  # ; HANGUL SYLLABLE TOEJ
        "\uD20B",  # ; HANGUL SYLLABLE TOEC
        "\uD20C",  # ; HANGUL SYLLABLE TOEK
        "\uD20D",  # ; HANGUL SYLLABLE TOET
        "\uD20E",  # ; HANGUL SYLLABLE TOEP
        "\uD20F",  # ; HANGUL SYLLABLE TOEH
        "\uD210",  # ; HANGUL SYLLABLE TYO
        "\uD211",  # ; HANGUL SYLLABLE TYOG
        "\uD212",  # ; HANGUL SYLLABLE TYOGG
        "\uD213",  # ; HANGUL SYLLABLE TYOGS
        "\uD214",  # ; HANGUL SYLLABLE TYON
        "\uD215",  # ; HANGUL SYLLABLE TYONJ
        "\uD216",  # ; HANGUL SYLLABLE TYONH
        "\uD217",  # ; HANGUL SYLLABLE TYOD
        "\uD218",  # ; HANGUL SYLLABLE TYOL
        "\uD219",  # ; HANGUL SYLLABLE TYOLG
        "\uD21A",  # ; HANGUL SYLLABLE TYOLM
        "\uD21B",  # ; HANGUL SYLLABLE TYOLB
        "\uD21C",  # ; HANGUL SYLLABLE TYOLS
        "\uD21D",  # ; HANGUL SYLLABLE TYOLT
        "\uD21E",  # ; HANGUL SYLLABLE TYOLP
        "\uD21F",  # ; HANGUL SYLLABLE TYOLH
        "\uD220",  # ; HANGUL SYLLABLE TYOM
        "\uD221",  # ; HANGUL SYLLABLE TYOB
        "\uD222",  # ; HANGUL SYLLABLE TYOBS
        "\uD223",  # ; HANGUL SYLLABLE TYOS
        "\uD224",  # ; HANGUL SYLLABLE TYOSS
        "\uD225",  # ; HANGUL SYLLABLE TYONG
        "\uD226",  # ; HANGUL SYLLABLE TYOJ
        "\uD227",  # ; HANGUL SYLLABLE TYOC
        "\uD228",  # ; HANGUL SYLLABLE TYOK
        "\uD229",  # ; HANGUL SYLLABLE TYOT
        "\uD22A",  # ; HANGUL SYLLABLE TYOP
        "\uD22B",  # ; HANGUL SYLLABLE TYOH
        "\uD22C",  # ; HANGUL SYLLABLE TU
        "\uD22D",  # ; HANGUL SYLLABLE TUG
        "\uD22E",  # ; HANGUL SYLLABLE TUGG
        "\uD22F",  # ; HANGUL SYLLABLE TUGS
        "\uD230",  # ; HANGUL SYLLABLE TUN
        "\uD231",  # ; HANGUL SYLLABLE TUNJ
        "\uD232",  # ; HANGUL SYLLABLE TUNH
        "\uD233",  # ; HANGUL SYLLABLE TUD
        "\uD234",  # ; HANGUL SYLLABLE TUL
        "\uD235",  # ; HANGUL SYLLABLE TULG
        "\uD236",  # ; HANGUL SYLLABLE TULM
        "\uD237",  # ; HANGUL SYLLABLE TULB
        "\uD238",  # ; HANGUL SYLLABLE TULS
        "\uD239",  # ; HANGUL SYLLABLE TULT
        "\uD23A",  # ; HANGUL SYLLABLE TULP
        "\uD23B",  # ; HANGUL SYLLABLE TULH
        "\uD23C",  # ; HANGUL SYLLABLE TUM
        "\uD23D",  # ; HANGUL SYLLABLE TUB
        "\uD23E",  # ; HANGUL SYLLABLE TUBS
        "\uD23F",  # ; HANGUL SYLLABLE TUS
        "\uD240",  # ; HANGUL SYLLABLE TUSS
        "\uD241",  # ; HANGUL SYLLABLE TUNG
        "\uD242",  # ; HANGUL SYLLABLE TUJ
        "\uD243",  # ; HANGUL SYLLABLE TUC
        "\uD244",  # ; HANGUL SYLLABLE TUK
        "\uD245",  # ; HANGUL SYLLABLE TUT
        "\uD246",  # ; HANGUL SYLLABLE TUP
        "\uD247",  # ; HANGUL SYLLABLE TUH
        "\uD248",  # ; HANGUL SYLLABLE TWEO
        "\uD249",  # ; HANGUL SYLLABLE TWEOG
        "\uD24A",  # ; HANGUL SYLLABLE TWEOGG
        "\uD24B",  # ; HANGUL SYLLABLE TWEOGS
        "\uD24C",  # ; HANGUL SYLLABLE TWEON
        "\uD24D",  # ; HANGUL SYLLABLE TWEONJ
        "\uD24E",  # ; HANGUL SYLLABLE TWEONH
        "\uD24F",  # ; HANGUL SYLLABLE TWEOD
        "\uD250",  # ; HANGUL SYLLABLE TWEOL
        "\uD251",  # ; HANGUL SYLLABLE TWEOLG
        "\uD252",  # ; HANGUL SYLLABLE TWEOLM
        "\uD253",  # ; HANGUL SYLLABLE TWEOLB
        "\uD254",  # ; HANGUL SYLLABLE TWEOLS
        "\uD255",  # ; HANGUL SYLLABLE TWEOLT
        "\uD256",  # ; HANGUL SYLLABLE TWEOLP
        "\uD257",  # ; HANGUL SYLLABLE TWEOLH
        "\uD258",  # ; HANGUL SYLLABLE TWEOM
        "\uD259",  # ; HANGUL SYLLABLE TWEOB
        "\uD25A",  # ; HANGUL SYLLABLE TWEOBS
        "\uD25B",  # ; HANGUL SYLLABLE TWEOS
        "\uD25C",  # ; HANGUL SYLLABLE TWEOSS
        "\uD25D",  # ; HANGUL SYLLABLE TWEONG
        "\uD25E",  # ; HANGUL SYLLABLE TWEOJ
        "\uD25F",  # ; HANGUL SYLLABLE TWEOC
        "\uD260",  # ; HANGUL SYLLABLE TWEOK
        "\uD261",  # ; HANGUL SYLLABLE TWEOT
        "\uD262",  # ; HANGUL SYLLABLE TWEOP
        "\uD263",  # ; HANGUL SYLLABLE TWEOH
        "\uD264",  # ; HANGUL SYLLABLE TWE
        "\uD265",  # ; HANGUL SYLLABLE TWEG
        "\uD266",  # ; HANGUL SYLLABLE TWEGG
        "\uD267",  # ; HANGUL SYLLABLE TWEGS
        "\uD268",  # ; HANGUL SYLLABLE TWEN
        "\uD269",  # ; HANGUL SYLLABLE TWENJ
        "\uD26A",  # ; HANGUL SYLLABLE TWENH
        "\uD26B",  # ; HANGUL SYLLABLE TWED
        "\uD26C",  # ; HANGUL SYLLABLE TWEL
        "\uD26D",  # ; HANGUL SYLLABLE TWELG
        "\uD26E",  # ; HANGUL SYLLABLE TWELM
        "\uD26F",  # ; HANGUL SYLLABLE TWELB
        "\uD270",  # ; HANGUL SYLLABLE TWELS
        "\uD271",  # ; HANGUL SYLLABLE TWELT
        "\uD272",  # ; HANGUL SYLLABLE TWELP
        "\uD273",  # ; HANGUL SYLLABLE TWELH
        "\uD274",  # ; HANGUL SYLLABLE TWEM
        "\uD275",  # ; HANGUL SYLLABLE TWEB
        "\uD276",  # ; HANGUL SYLLABLE TWEBS
        "\uD277",  # ; HANGUL SYLLABLE TWES
        "\uD278",  # ; HANGUL SYLLABLE TWESS
        "\uD279",  # ; HANGUL SYLLABLE TWENG
        "\uD27A",  # ; HANGUL SYLLABLE TWEJ
        "\uD27B",  # ; HANGUL SYLLABLE TWEC
        "\uD27C",  # ; HANGUL SYLLABLE TWEK
        "\uD27D",  # ; HANGUL SYLLABLE TWET
        "\uD27E",  # ; HANGUL SYLLABLE TWEP
        "\uD27F",  # ; HANGUL SYLLABLE TWEH
        "\uD280",  # ; HANGUL SYLLABLE TWI
        "\uD281",  # ; HANGUL SYLLABLE TWIG
        "\uD282",  # ; HANGUL SYLLABLE TWIGG
        "\uD283",  # ; HANGUL SYLLABLE TWIGS
        "\uD284",  # ; HANGUL SYLLABLE TWIN
        "\uD285",  # ; HANGUL SYLLABLE TWINJ
        "\uD286",  # ; HANGUL SYLLABLE TWINH
        "\uD287",  # ; HANGUL SYLLABLE TWID
        "\uD288",  # ; HANGUL SYLLABLE TWIL
        "\uD289",  # ; HANGUL SYLLABLE TWILG
        "\uD28A",  # ; HANGUL SYLLABLE TWILM
        "\uD28B",  # ; HANGUL SYLLABLE TWILB
        "\uD28C",  # ; HANGUL SYLLABLE TWILS
        "\uD28D",  # ; HANGUL SYLLABLE TWILT
        "\uD28E",  # ; HANGUL SYLLABLE TWILP
        "\uD28F",  # ; HANGUL SYLLABLE TWILH
        "\uD290",  # ; HANGUL SYLLABLE TWIM
        "\uD291",  # ; HANGUL SYLLABLE TWIB
        "\uD292",  # ; HANGUL SYLLABLE TWIBS
        "\uD293",  # ; HANGUL SYLLABLE TWIS
        "\uD294",  # ; HANGUL SYLLABLE TWISS
        "\uD295",  # ; HANGUL SYLLABLE TWING
        "\uD296",  # ; HANGUL SYLLABLE TWIJ
        "\uD297",  # ; HANGUL SYLLABLE TWIC
        "\uD298",  # ; HANGUL SYLLABLE TWIK
        "\uD299",  # ; HANGUL SYLLABLE TWIT
        "\uD29A",  # ; HANGUL SYLLABLE TWIP
        "\uD29B",  # ; HANGUL SYLLABLE TWIH
        "\uD29C",  # ; HANGUL SYLLABLE TYU
        "\uD29D",  # ; HANGUL SYLLABLE TYUG
        "\uD29E",  # ; HANGUL SYLLABLE TYUGG
        "\uD29F",  # ; HANGUL SYLLABLE TYUGS
        "\uD2A0",  # ; HANGUL SYLLABLE TYUN
        "\uD2A1",  # ; HANGUL SYLLABLE TYUNJ
        "\uD2A2",  # ; HANGUL SYLLABLE TYUNH
        "\uD2A3",  # ; HANGUL SYLLABLE TYUD
        "\uD2A4",  # ; HANGUL SYLLABLE TYUL
        "\uD2A5",  # ; HANGUL SYLLABLE TYULG
        "\uD2A6",  # ; HANGUL SYLLABLE TYULM
        "\uD2A7",  # ; HANGUL SYLLABLE TYULB
        "\uD2A8",  # ; HANGUL SYLLABLE TYULS
        "\uD2A9",  # ; HANGUL SYLLABLE TYULT
        "\uD2AA",  # ; HANGUL SYLLABLE TYULP
        "\uD2AB",  # ; HANGUL SYLLABLE TYULH
        "\uD2AC",  # ; HANGUL SYLLABLE TYUM
        "\uD2AD",  # ; HANGUL SYLLABLE TYUB
        "\uD2AE",  # ; HANGUL SYLLABLE TYUBS
        "\uD2AF",  # ; HANGUL SYLLABLE TYUS
        "\uD2B0",  # ; HANGUL SYLLABLE TYUSS
        "\uD2B1",  # ; HANGUL SYLLABLE TYUNG
        "\uD2B2",  # ; HANGUL SYLLABLE TYUJ
        "\uD2B3",  # ; HANGUL SYLLABLE TYUC
        "\uD2B4",  # ; HANGUL SYLLABLE TYUK
        "\uD2B5",  # ; HANGUL SYLLABLE TYUT
        "\uD2B6",  # ; HANGUL SYLLABLE TYUP
        "\uD2B7",  # ; HANGUL SYLLABLE TYUH
        "\uD2B8",  # ; HANGUL SYLLABLE TEU
        "\uD2B9",  # ; HANGUL SYLLABLE TEUG
        "\uD2BA",  # ; HANGUL SYLLABLE TEUGG
        "\uD2BB",  # ; HANGUL SYLLABLE TEUGS
        "\uD2BC",  # ; HANGUL SYLLABLE TEUN
        "\uD2BD",  # ; HANGUL SYLLABLE TEUNJ
        "\uD2BE",  # ; HANGUL SYLLABLE TEUNH
        "\uD2BF",  # ; HANGUL SYLLABLE TEUD
        "\uD2C0",  # ; HANGUL SYLLABLE TEUL
        "\uD2C1",  # ; HANGUL SYLLABLE TEULG
        "\uD2C2",  # ; HANGUL SYLLABLE TEULM
        "\uD2C3",  # ; HANGUL SYLLABLE TEULB
        "\uD2C4",  # ; HANGUL SYLLABLE TEULS
        "\uD2C5",  # ; HANGUL SYLLABLE TEULT
        "\uD2C6",  # ; HANGUL SYLLABLE TEULP
        "\uD2C7",  # ; HANGUL SYLLABLE TEULH
        "\uD2C8",  # ; HANGUL SYLLABLE TEUM
        "\uD2C9",  # ; HANGUL SYLLABLE TEUB
        "\uD2CA",  # ; HANGUL SYLLABLE TEUBS
        "\uD2CB",  # ; HANGUL SYLLABLE TEUS
        "\uD2CC",  # ; HANGUL SYLLABLE TEUSS
        "\uD2CD",  # ; HANGUL SYLLABLE TEUNG
        "\uD2CE",  # ; HANGUL SYLLABLE TEUJ
        "\uD2CF",  # ; HANGUL SYLLABLE TEUC
        "\uD2D0",  # ; HANGUL SYLLABLE TEUK
        "\uD2D1",  # ; HANGUL SYLLABLE TEUT
        "\uD2D2",  # ; HANGUL SYLLABLE TEUP
        "\uD2D3",  # ; HANGUL SYLLABLE TEUH
        "\uD2D4",  # ; HANGUL SYLLABLE TYI
        "\uD2D5",  # ; HANGUL SYLLABLE TYIG
        "\uD2D6",  # ; HANGUL SYLLABLE TYIGG
        "\uD2D7",  # ; HANGUL SYLLABLE TYIGS
        "\uD2D8",  # ; HANGUL SYLLABLE TYIN
        "\uD2D9",  # ; HANGUL SYLLABLE TYINJ
        "\uD2DA",  # ; HANGUL SYLLABLE TYINH
        "\uD2DB",  # ; HANGUL SYLLABLE TYID
        "\uD2DC",  # ; HANGUL SYLLABLE TYIL
        "\uD2DD",  # ; HANGUL SYLLABLE TYILG
        "\uD2DE",  # ; HANGUL SYLLABLE TYILM
        "\uD2DF",  # ; HANGUL SYLLABLE TYILB
        "\uD2E0",  # ; HANGUL SYLLABLE TYILS
        "\uD2E1",  # ; HANGUL SYLLABLE TYILT
        "\uD2E2",  # ; HANGUL SYLLABLE TYILP
        "\uD2E3",  # ; HANGUL SYLLABLE TYILH
        "\uD2E4",  # ; HANGUL SYLLABLE TYIM
        "\uD2E5",  # ; HANGUL SYLLABLE TYIB
        "\uD2E6",  # ; HANGUL SYLLABLE TYIBS
        "\uD2E7",  # ; HANGUL SYLLABLE TYIS
        "\uD2E8",  # ; HANGUL SYLLABLE TYISS
        "\uD2E9",  # ; HANGUL SYLLABLE TYING
        "\uD2EA",  # ; HANGUL SYLLABLE TYIJ
        "\uD2EB",  # ; HANGUL SYLLABLE TYIC
        "\uD2EC",  # ; HANGUL SYLLABLE TYIK
        "\uD2ED",  # ; HANGUL SYLLABLE TYIT
        "\uD2EE",  # ; HANGUL SYLLABLE TYIP
        "\uD2EF",  # ; HANGUL SYLLABLE TYIH
        "\uD2F0",  # ; HANGUL SYLLABLE TI
        "\uD2F1",  # ; HANGUL SYLLABLE TIG
        "\uD2F2",  # ; HANGUL SYLLABLE TIGG
        "\uD2F3",  # ; HANGUL SYLLABLE TIGS
        "\uD2F4",  # ; HANGUL SYLLABLE TIN
        "\uD2F5",  # ; HANGUL SYLLABLE TINJ
        "\uD2F6",  # ; HANGUL SYLLABLE TINH
        "\uD2F7",  # ; HANGUL SYLLABLE TID
        "\uD2F8",  # ; HANGUL SYLLABLE TIL
        "\uD2F9",  # ; HANGUL SYLLABLE TILG
        "\uD2FA",  # ; HANGUL SYLLABLE TILM
        "\uD2FB",  # ; HANGUL SYLLABLE TILB
        "\uD2FC",  # ; HANGUL SYLLABLE TILS
        "\uD2FD",  # ; HANGUL SYLLABLE TILT
        "\uD2FE",  # ; HANGUL SYLLABLE TILP
        "\uD2FF",  # ; HANGUL SYLLABLE TILH
        "\uD300",  # ; HANGUL SYLLABLE TIM
        "\uD301",  # ; HANGUL SYLLABLE TIB
        "\uD302",  # ; HANGUL SYLLABLE TIBS
        "\uD303",  # ; HANGUL SYLLABLE TIS
        "\uD304",  # ; HANGUL SYLLABLE TISS
        "\uD305",  # ; HANGUL SYLLABLE TING
        "\uD306",  # ; HANGUL SYLLABLE TIJ
        "\uD307",  # ; HANGUL SYLLABLE TIC
        "\uD308",  # ; HANGUL SYLLABLE TIK
        "\uD309",  # ; HANGUL SYLLABLE TIT
        "\uD30A",  # ; HANGUL SYLLABLE TIP
        "\uD30B",  # ; HANGUL SYLLABLE TIH
        "\uD30C",  # ; HANGUL SYLLABLE PA
        "\uD30D",  # ; HANGUL SYLLABLE PAG
        "\uD30E",  # ; HANGUL SYLLABLE PAGG
        "\uD30F",  # ; HANGUL SYLLABLE PAGS
        "\uD310",  # ; HANGUL SYLLABLE PAN
        "\uD311",  # ; HANGUL SYLLABLE PANJ
        "\uD312",  # ; HANGUL SYLLABLE PANH
        "\uD313",  # ; HANGUL SYLLABLE PAD
        "\uD314",  # ; HANGUL SYLLABLE PAL
        "\uD315",  # ; HANGUL SYLLABLE PALG
        "\uD316",  # ; HANGUL SYLLABLE PALM
        "\uD317",  # ; HANGUL SYLLABLE PALB
        "\uD318",  # ; HANGUL SYLLABLE PALS
        "\uD319",  # ; HANGUL SYLLABLE PALT
        "\uD31A",  # ; HANGUL SYLLABLE PALP
        "\uD31B",  # ; HANGUL SYLLABLE PALH
        "\uD31C",  # ; HANGUL SYLLABLE PAM
        "\uD31D",  # ; HANGUL SYLLABLE PAB
        "\uD31E",  # ; HANGUL SYLLABLE PABS
        "\uD31F",  # ; HANGUL SYLLABLE PAS
        "\uD320",  # ; HANGUL SYLLABLE PASS
        "\uD321",  # ; HANGUL SYLLABLE PANG
        "\uD322",  # ; HANGUL SYLLABLE PAJ
        "\uD323",  # ; HANGUL SYLLABLE PAC
        "\uD324",  # ; HANGUL SYLLABLE PAK
        "\uD325",  # ; HANGUL SYLLABLE PAT
        "\uD326",  # ; HANGUL SYLLABLE PAP
        "\uD327",  # ; HANGUL SYLLABLE PAH
        "\uD328",  # ; HANGUL SYLLABLE PAE
        "\uD329",  # ; HANGUL SYLLABLE PAEG
        "\uD32A",  # ; HANGUL SYLLABLE PAEGG
        "\uD32B",  # ; HANGUL SYLLABLE PAEGS
        "\uD32C",  # ; HANGUL SYLLABLE PAEN
        "\uD32D",  # ; HANGUL SYLLABLE PAENJ
        "\uD32E",  # ; HANGUL SYLLABLE PAENH
        "\uD32F",  # ; HANGUL SYLLABLE PAED
        "\uD330",  # ; HANGUL SYLLABLE PAEL
        "\uD331",  # ; HANGUL SYLLABLE PAELG
        "\uD332",  # ; HANGUL SYLLABLE PAELM
        "\uD333",  # ; HANGUL SYLLABLE PAELB
        "\uD334",  # ; HANGUL SYLLABLE PAELS
        "\uD335",  # ; HANGUL SYLLABLE PAELT
        "\uD336",  # ; HANGUL SYLLABLE PAELP
        "\uD337",  # ; HANGUL SYLLABLE PAELH
        "\uD338",  # ; HANGUL SYLLABLE PAEM
        "\uD339",  # ; HANGUL SYLLABLE PAEB
        "\uD33A",  # ; HANGUL SYLLABLE PAEBS
        "\uD33B",  # ; HANGUL SYLLABLE PAES
        "\uD33C",  # ; HANGUL SYLLABLE PAESS
        "\uD33D",  # ; HANGUL SYLLABLE PAENG
        "\uD33E",  # ; HANGUL SYLLABLE PAEJ
        "\uD33F",  # ; HANGUL SYLLABLE PAEC
        "\uD340",  # ; HANGUL SYLLABLE PAEK
        "\uD341",  # ; HANGUL SYLLABLE PAET
        "\uD342",  # ; HANGUL SYLLABLE PAEP
        "\uD343",  # ; HANGUL SYLLABLE PAEH
        "\uD344",  # ; HANGUL SYLLABLE PYA
        "\uD345",  # ; HANGUL SYLLABLE PYAG
        "\uD346",  # ; HANGUL SYLLABLE PYAGG
        "\uD347",  # ; HANGUL SYLLABLE PYAGS
        "\uD348",  # ; HANGUL SYLLABLE PYAN
        "\uD349",  # ; HANGUL SYLLABLE PYANJ
        "\uD34A",  # ; HANGUL SYLLABLE PYANH
        "\uD34B",  # ; HANGUL SYLLABLE PYAD
        "\uD34C",  # ; HANGUL SYLLABLE PYAL
        "\uD34D",  # ; HANGUL SYLLABLE PYALG
        "\uD34E",  # ; HANGUL SYLLABLE PYALM
        "\uD34F",  # ; HANGUL SYLLABLE PYALB
        "\uD350",  # ; HANGUL SYLLABLE PYALS
        "\uD351",  # ; HANGUL SYLLABLE PYALT
        "\uD352",  # ; HANGUL SYLLABLE PYALP
        "\uD353",  # ; HANGUL SYLLABLE PYALH
        "\uD354",  # ; HANGUL SYLLABLE PYAM
        "\uD355",  # ; HANGUL SYLLABLE PYAB
        "\uD356",  # ; HANGUL SYLLABLE PYABS
        "\uD357",  # ; HANGUL SYLLABLE PYAS
        "\uD358",  # ; HANGUL SYLLABLE PYASS
        "\uD359",  # ; HANGUL SYLLABLE PYANG
        "\uD35A",  # ; HANGUL SYLLABLE PYAJ
        "\uD35B",  # ; HANGUL SYLLABLE PYAC
        "\uD35C",  # ; HANGUL SYLLABLE PYAK
        "\uD35D",  # ; HANGUL SYLLABLE PYAT
        "\uD35E",  # ; HANGUL SYLLABLE PYAP
        "\uD35F",  # ; HANGUL SYLLABLE PYAH
        "\uD360",  # ; HANGUL SYLLABLE PYAE
        "\uD361",  # ; HANGUL SYLLABLE PYAEG
        "\uD362",  # ; HANGUL SYLLABLE PYAEGG
        "\uD363",  # ; HANGUL SYLLABLE PYAEGS
        "\uD364",  # ; HANGUL SYLLABLE PYAEN
        "\uD365",  # ; HANGUL SYLLABLE PYAENJ
        "\uD366",  # ; HANGUL SYLLABLE PYAENH
        "\uD367",  # ; HANGUL SYLLABLE PYAED
        "\uD368",  # ; HANGUL SYLLABLE PYAEL
        "\uD369",  # ; HANGUL SYLLABLE PYAELG
        "\uD36A",  # ; HANGUL SYLLABLE PYAELM
        "\uD36B",  # ; HANGUL SYLLABLE PYAELB
        "\uD36C",  # ; HANGUL SYLLABLE PYAELS
        "\uD36D",  # ; HANGUL SYLLABLE PYAELT
        "\uD36E",  # ; HANGUL SYLLABLE PYAELP
        "\uD36F",  # ; HANGUL SYLLABLE PYAELH
        "\uD370",  # ; HANGUL SYLLABLE PYAEM
        "\uD371",  # ; HANGUL SYLLABLE PYAEB
        "\uD372",  # ; HANGUL SYLLABLE PYAEBS
        "\uD373",  # ; HANGUL SYLLABLE PYAES
        "\uD374",  # ; HANGUL SYLLABLE PYAESS
        "\uD375",  # ; HANGUL SYLLABLE PYAENG
        "\uD376",  # ; HANGUL SYLLABLE PYAEJ
        "\uD377",  # ; HANGUL SYLLABLE PYAEC
        "\uD378",  # ; HANGUL SYLLABLE PYAEK
        "\uD379",  # ; HANGUL SYLLABLE PYAET
        "\uD37A",  # ; HANGUL SYLLABLE PYAEP
        "\uD37B",  # ; HANGUL SYLLABLE PYAEH
        "\uD37C",  # ; HANGUL SYLLABLE PEO
        "\uD37D",  # ; HANGUL SYLLABLE PEOG
        "\uD37E",  # ; HANGUL SYLLABLE PEOGG
        "\uD37F",  # ; HANGUL SYLLABLE PEOGS
        "\uD380",  # ; HANGUL SYLLABLE PEON
        "\uD381",  # ; HANGUL SYLLABLE PEONJ
        "\uD382",  # ; HANGUL SYLLABLE PEONH
        "\uD383",  # ; HANGUL SYLLABLE PEOD
        "\uD384",  # ; HANGUL SYLLABLE PEOL
        "\uD385",  # ; HANGUL SYLLABLE PEOLG
        "\uD386",  # ; HANGUL SYLLABLE PEOLM
        "\uD387",  # ; HANGUL SYLLABLE PEOLB
        "\uD388",  # ; HANGUL SYLLABLE PEOLS
        "\uD389",  # ; HANGUL SYLLABLE PEOLT
        "\uD38A",  # ; HANGUL SYLLABLE PEOLP
        "\uD38B",  # ; HANGUL SYLLABLE PEOLH
        "\uD38C",  # ; HANGUL SYLLABLE PEOM
        "\uD38D",  # ; HANGUL SYLLABLE PEOB
        "\uD38E",  # ; HANGUL SYLLABLE PEOBS
        "\uD38F",  # ; HANGUL SYLLABLE PEOS
        "\uD390",  # ; HANGUL SYLLABLE PEOSS
        "\uD391",  # ; HANGUL SYLLABLE PEONG
        "\uD392",  # ; HANGUL SYLLABLE PEOJ
        "\uD393",  # ; HANGUL SYLLABLE PEOC
        "\uD394",  # ; HANGUL SYLLABLE PEOK
        "\uD395",  # ; HANGUL SYLLABLE PEOT
        "\uD396",  # ; HANGUL SYLLABLE PEOP
        "\uD397",  # ; HANGUL SYLLABLE PEOH
        "\uD398",  # ; HANGUL SYLLABLE PE
        "\uD399",  # ; HANGUL SYLLABLE PEG
        "\uD39A",  # ; HANGUL SYLLABLE PEGG
        "\uD39B",  # ; HANGUL SYLLABLE PEGS
        "\uD39C",  # ; HANGUL SYLLABLE PEN
        "\uD39D",  # ; HANGUL SYLLABLE PENJ
        "\uD39E",  # ; HANGUL SYLLABLE PENH
        "\uD39F",  # ; HANGUL SYLLABLE PED
        "\uD3A0",  # ; HANGUL SYLLABLE PEL
        "\uD3A1",  # ; HANGUL SYLLABLE PELG
        "\uD3A2",  # ; HANGUL SYLLABLE PELM
        "\uD3A3",  # ; HANGUL SYLLABLE PELB
        "\uD3A4",  # ; HANGUL SYLLABLE PELS
        "\uD3A5",  # ; HANGUL SYLLABLE PELT
        "\uD3A6",  # ; HANGUL SYLLABLE PELP
        "\uD3A7",  # ; HANGUL SYLLABLE PELH
        "\uD3A8",  # ; HANGUL SYLLABLE PEM
        "\uD3A9",  # ; HANGUL SYLLABLE PEB
        "\uD3AA",  # ; HANGUL SYLLABLE PEBS
        "\uD3AB",  # ; HANGUL SYLLABLE PES
        "\uD3AC",  # ; HANGUL SYLLABLE PESS
        "\uD3AD",  # ; HANGUL SYLLABLE PENG
        "\uD3AE",  # ; HANGUL SYLLABLE PEJ
        "\uD3AF",  # ; HANGUL SYLLABLE PEC
        "\uD3B0",  # ; HANGUL SYLLABLE PEK
        "\uD3B1",  # ; HANGUL SYLLABLE PET
        "\uD3B2",  # ; HANGUL SYLLABLE PEP
        "\uD3B3",  # ; HANGUL SYLLABLE PEH
        "\uD3B4",  # ; HANGUL SYLLABLE PYEO
        "\uD3B5",  # ; HANGUL SYLLABLE PYEOG
        "\uD3B6",  # ; HANGUL SYLLABLE PYEOGG
        "\uD3B7",  # ; HANGUL SYLLABLE PYEOGS
        "\uD3B8",  # ; HANGUL SYLLABLE PYEON
        "\uD3B9",  # ; HANGUL SYLLABLE PYEONJ
        "\uD3BA",  # ; HANGUL SYLLABLE PYEONH
        "\uD3BB",  # ; HANGUL SYLLABLE PYEOD
        "\uD3BC",  # ; HANGUL SYLLABLE PYEOL
        "\uD3BD",  # ; HANGUL SYLLABLE PYEOLG
        "\uD3BE",  # ; HANGUL SYLLABLE PYEOLM
        "\uD3BF",  # ; HANGUL SYLLABLE PYEOLB
        "\uD3C0",  # ; HANGUL SYLLABLE PYEOLS
        "\uD3C1",  # ; HANGUL SYLLABLE PYEOLT
        "\uD3C2",  # ; HANGUL SYLLABLE PYEOLP
        "\uD3C3",  # ; HANGUL SYLLABLE PYEOLH
        "\uD3C4",  # ; HANGUL SYLLABLE PYEOM
        "\uD3C5",  # ; HANGUL SYLLABLE PYEOB
        "\uD3C6",  # ; HANGUL SYLLABLE PYEOBS
        "\uD3C7",  # ; HANGUL SYLLABLE PYEOS
        "\uD3C8",  # ; HANGUL SYLLABLE PYEOSS
        "\uD3C9",  # ; HANGUL SYLLABLE PYEONG
        "\uD3CA",  # ; HANGUL SYLLABLE PYEOJ
        "\uD3CB",  # ; HANGUL SYLLABLE PYEOC
        "\uD3CC",  # ; HANGUL SYLLABLE PYEOK
        "\uD3CD",  # ; HANGUL SYLLABLE PYEOT
        "\uD3CE",  # ; HANGUL SYLLABLE PYEOP
        "\uD3CF",  # ; HANGUL SYLLABLE PYEOH
        "\uD3D0",  # ; HANGUL SYLLABLE PYE
        "\uD3D1",  # ; HANGUL SYLLABLE PYEG
        "\uD3D2",  # ; HANGUL SYLLABLE PYEGG
        "\uD3D3",  # ; HANGUL SYLLABLE PYEGS
        "\uD3D4",  # ; HANGUL SYLLABLE PYEN
        "\uD3D5",  # ; HANGUL SYLLABLE PYENJ
        "\uD3D6",  # ; HANGUL SYLLABLE PYENH
        "\uD3D7",  # ; HANGUL SYLLABLE PYED
        "\uD3D8",  # ; HANGUL SYLLABLE PYEL
        "\uD3D9",  # ; HANGUL SYLLABLE PYELG
        "\uD3DA",  # ; HANGUL SYLLABLE PYELM
        "\uD3DB",  # ; HANGUL SYLLABLE PYELB
        "\uD3DC",  # ; HANGUL SYLLABLE PYELS
        "\uD3DD",  # ; HANGUL SYLLABLE PYELT
        "\uD3DE",  # ; HANGUL SYLLABLE PYELP
        "\uD3DF",  # ; HANGUL SYLLABLE PYELH
        "\uD3E0",  # ; HANGUL SYLLABLE PYEM
        "\uD3E1",  # ; HANGUL SYLLABLE PYEB
        "\uD3E2",  # ; HANGUL SYLLABLE PYEBS
        "\uD3E3",  # ; HANGUL SYLLABLE PYES
        "\uD3E4",  # ; HANGUL SYLLABLE PYESS
        "\uD3E5",  # ; HANGUL SYLLABLE PYENG
        "\uD3E6",  # ; HANGUL SYLLABLE PYEJ
        "\uD3E7",  # ; HANGUL SYLLABLE PYEC
        "\uD3E8",  # ; HANGUL SYLLABLE PYEK
        "\uD3E9",  # ; HANGUL SYLLABLE PYET
        "\uD3EA",  # ; HANGUL SYLLABLE PYEP
        "\uD3EB",  # ; HANGUL SYLLABLE PYEH
        "\uD3EC",  # ; HANGUL SYLLABLE PO
        "\uD3ED",  # ; HANGUL SYLLABLE POG
        "\uD3EE",  # ; HANGUL SYLLABLE POGG
        "\uD3EF",  # ; HANGUL SYLLABLE POGS
        "\uD3F0",  # ; HANGUL SYLLABLE PON
        "\uD3F1",  # ; HANGUL SYLLABLE PONJ
        "\uD3F2",  # ; HANGUL SYLLABLE PONH
        "\uD3F3",  # ; HANGUL SYLLABLE POD
        "\uD3F4",  # ; HANGUL SYLLABLE POL
        "\uD3F5",  # ; HANGUL SYLLABLE POLG
        "\uD3F6",  # ; HANGUL SYLLABLE POLM
        "\uD3F7",  # ; HANGUL SYLLABLE POLB
        "\uD3F8",  # ; HANGUL SYLLABLE POLS
        "\uD3F9",  # ; HANGUL SYLLABLE POLT
        "\uD3FA",  # ; HANGUL SYLLABLE POLP
        "\uD3FB",  # ; HANGUL SYLLABLE POLH
        "\uD3FC",  # ; HANGUL SYLLABLE POM
        "\uD3FD",  # ; HANGUL SYLLABLE POB
        "\uD3FE",  # ; HANGUL SYLLABLE POBS
        "\uD3FF",  # ; HANGUL SYLLABLE POS
        "\uD400",  # ; HANGUL SYLLABLE POSS
        "\uD401",  # ; HANGUL SYLLABLE PONG
        "\uD402",  # ; HANGUL SYLLABLE POJ
        "\uD403",  # ; HANGUL SYLLABLE POC
        "\uD404",  # ; HANGUL SYLLABLE POK
        "\uD405",  # ; HANGUL SYLLABLE POT
        "\uD406",  # ; HANGUL SYLLABLE POP
        "\uD407",  # ; HANGUL SYLLABLE POH
        "\uD408",  # ; HANGUL SYLLABLE PWA
        "\uD409",  # ; HANGUL SYLLABLE PWAG
        "\uD40A",  # ; HANGUL SYLLABLE PWAGG
        "\uD40B",  # ; HANGUL SYLLABLE PWAGS
        "\uD40C",  # ; HANGUL SYLLABLE PWAN
        "\uD40D",  # ; HANGUL SYLLABLE PWANJ
        "\uD40E",  # ; HANGUL SYLLABLE PWANH
        "\uD40F",  # ; HANGUL SYLLABLE PWAD
        "\uD410",  # ; HANGUL SYLLABLE PWAL
        "\uD411",  # ; HANGUL SYLLABLE PWALG
        "\uD412",  # ; HANGUL SYLLABLE PWALM
        "\uD413",  # ; HANGUL SYLLABLE PWALB
        "\uD414",  # ; HANGUL SYLLABLE PWALS
        "\uD415",  # ; HANGUL SYLLABLE PWALT
        "\uD416",  # ; HANGUL SYLLABLE PWALP
        "\uD417",  # ; HANGUL SYLLABLE PWALH
        "\uD418",  # ; HANGUL SYLLABLE PWAM
        "\uD419",  # ; HANGUL SYLLABLE PWAB
        "\uD41A",  # ; HANGUL SYLLABLE PWABS
        "\uD41B",  # ; HANGUL SYLLABLE PWAS
        "\uD41C",  # ; HANGUL SYLLABLE PWASS
        "\uD41D",  # ; HANGUL SYLLABLE PWANG
        "\uD41E",  # ; HANGUL SYLLABLE PWAJ
        "\uD41F",  # ; HANGUL SYLLABLE PWAC
        "\uD420",  # ; HANGUL SYLLABLE PWAK
        "\uD421",  # ; HANGUL SYLLABLE PWAT
        "\uD422",  # ; HANGUL SYLLABLE PWAP
        "\uD423",  # ; HANGUL SYLLABLE PWAH
        "\uD424",  # ; HANGUL SYLLABLE PWAE
        "\uD425",  # ; HANGUL SYLLABLE PWAEG
        "\uD426",  # ; HANGUL SYLLABLE PWAEGG
        "\uD427",  # ; HANGUL SYLLABLE PWAEGS
        "\uD428",  # ; HANGUL SYLLABLE PWAEN
        "\uD429",  # ; HANGUL SYLLABLE PWAENJ
        "\uD42A",  # ; HANGUL SYLLABLE PWAENH
        "\uD42B",  # ; HANGUL SYLLABLE PWAED
        "\uD42C",  # ; HANGUL SYLLABLE PWAEL
        "\uD42D",  # ; HANGUL SYLLABLE PWAELG
        "\uD42E",  # ; HANGUL SYLLABLE PWAELM
        "\uD42F",  # ; HANGUL SYLLABLE PWAELB
        "\uD430",  # ; HANGUL SYLLABLE PWAELS
        "\uD431",  # ; HANGUL SYLLABLE PWAELT
        "\uD432",  # ; HANGUL SYLLABLE PWAELP
        "\uD433",  # ; HANGUL SYLLABLE PWAELH
        "\uD434",  # ; HANGUL SYLLABLE PWAEM
        "\uD435",  # ; HANGUL SYLLABLE PWAEB
        "\uD436",  # ; HANGUL SYLLABLE PWAEBS
        "\uD437",  # ; HANGUL SYLLABLE PWAES
        "\uD438",  # ; HANGUL SYLLABLE PWAESS
        "\uD439",  # ; HANGUL SYLLABLE PWAENG
        "\uD43A",  # ; HANGUL SYLLABLE PWAEJ
        "\uD43B",  # ; HANGUL SYLLABLE PWAEC
        "\uD43C",  # ; HANGUL SYLLABLE PWAEK
        "\uD43D",  # ; HANGUL SYLLABLE PWAET
        "\uD43E",  # ; HANGUL SYLLABLE PWAEP
        "\uD43F",  # ; HANGUL SYLLABLE PWAEH
        "\uD440",  # ; HANGUL SYLLABLE POE
        "\uD441",  # ; HANGUL SYLLABLE POEG
        "\uD442",  # ; HANGUL SYLLABLE POEGG
        "\uD443",  # ; HANGUL SYLLABLE POEGS
        "\uD444",  # ; HANGUL SYLLABLE POEN
        "\uD445",  # ; HANGUL SYLLABLE POENJ
        "\uD446",  # ; HANGUL SYLLABLE POENH
        "\uD447",  # ; HANGUL SYLLABLE POED
        "\uD448",  # ; HANGUL SYLLABLE POEL
        "\uD449",  # ; HANGUL SYLLABLE POELG
        "\uD44A",  # ; HANGUL SYLLABLE POELM
        "\uD44B",  # ; HANGUL SYLLABLE POELB
        "\uD44C",  # ; HANGUL SYLLABLE POELS
        "\uD44D",  # ; HANGUL SYLLABLE POELT
        "\uD44E",  # ; HANGUL SYLLABLE POELP
        "\uD44F",  # ; HANGUL SYLLABLE POELH
        "\uD450",  # ; HANGUL SYLLABLE POEM
        "\uD451",  # ; HANGUL SYLLABLE POEB
        "\uD452",  # ; HANGUL SYLLABLE POEBS
        "\uD453",  # ; HANGUL SYLLABLE POES
        "\uD454",  # ; HANGUL SYLLABLE POESS
        "\uD455",  # ; HANGUL SYLLABLE POENG
        "\uD456",  # ; HANGUL SYLLABLE POEJ
        "\uD457",  # ; HANGUL SYLLABLE POEC
        "\uD458",  # ; HANGUL SYLLABLE POEK
        "\uD459",  # ; HANGUL SYLLABLE POET
        "\uD45A",  # ; HANGUL SYLLABLE POEP
        "\uD45B",  # ; HANGUL SYLLABLE POEH
        "\uD45C",  # ; HANGUL SYLLABLE PYO
        "\uD45D",  # ; HANGUL SYLLABLE PYOG
        "\uD45E",  # ; HANGUL SYLLABLE PYOGG
        "\uD45F",  # ; HANGUL SYLLABLE PYOGS
        "\uD460",  # ; HANGUL SYLLABLE PYON
        "\uD461",  # ; HANGUL SYLLABLE PYONJ
        "\uD462",  # ; HANGUL SYLLABLE PYONH
        "\uD463",  # ; HANGUL SYLLABLE PYOD
        "\uD464",  # ; HANGUL SYLLABLE PYOL
        "\uD465",  # ; HANGUL SYLLABLE PYOLG
        "\uD466",  # ; HANGUL SYLLABLE PYOLM
        "\uD467",  # ; HANGUL SYLLABLE PYOLB
        "\uD468",  # ; HANGUL SYLLABLE PYOLS
        "\uD469",  # ; HANGUL SYLLABLE PYOLT
        "\uD46A",  # ; HANGUL SYLLABLE PYOLP
        "\uD46B",  # ; HANGUL SYLLABLE PYOLH
        "\uD46C",  # ; HANGUL SYLLABLE PYOM
        "\uD46D",  # ; HANGUL SYLLABLE PYOB
        "\uD46E",  # ; HANGUL SYLLABLE PYOBS
        "\uD46F",  # ; HANGUL SYLLABLE PYOS
        "\uD470",  # ; HANGUL SYLLABLE PYOSS
        "\uD471",  # ; HANGUL SYLLABLE PYONG
        "\uD472",  # ; HANGUL SYLLABLE PYOJ
        "\uD473",  # ; HANGUL SYLLABLE PYOC
        "\uD474",  # ; HANGUL SYLLABLE PYOK
        "\uD475",  # ; HANGUL SYLLABLE PYOT
        "\uD476",  # ; HANGUL SYLLABLE PYOP
        "\uD477",  # ; HANGUL SYLLABLE PYOH
        "\uD478",  # ; HANGUL SYLLABLE PU
        "\uD479",  # ; HANGUL SYLLABLE PUG
        "\uD47A",  # ; HANGUL SYLLABLE PUGG
        "\uD47B",  # ; HANGUL SYLLABLE PUGS
        "\uD47C",  # ; HANGUL SYLLABLE PUN
        "\uD47D",  # ; HANGUL SYLLABLE PUNJ
        "\uD47E",  # ; HANGUL SYLLABLE PUNH
        "\uD47F",  # ; HANGUL SYLLABLE PUD
        "\uD480",  # ; HANGUL SYLLABLE PUL
        "\uD481",  # ; HANGUL SYLLABLE PULG
        "\uD482",  # ; HANGUL SYLLABLE PULM
        "\uD483",  # ; HANGUL SYLLABLE PULB
        "\uD484",  # ; HANGUL SYLLABLE PULS
        "\uD485",  # ; HANGUL SYLLABLE PULT
        "\uD486",  # ; HANGUL SYLLABLE PULP
        "\uD487",  # ; HANGUL SYLLABLE PULH
        "\uD488",  # ; HANGUL SYLLABLE PUM
        "\uD489",  # ; HANGUL SYLLABLE PUB
        "\uD48A",  # ; HANGUL SYLLABLE PUBS
        "\uD48B",  # ; HANGUL SYLLABLE PUS
        "\uD48C",  # ; HANGUL SYLLABLE PUSS
        "\uD48D",  # ; HANGUL SYLLABLE PUNG
        "\uD48E",  # ; HANGUL SYLLABLE PUJ
        "\uD48F",  # ; HANGUL SYLLABLE PUC
        "\uD490",  # ; HANGUL SYLLABLE PUK
        "\uD491",  # ; HANGUL SYLLABLE PUT
        "\uD492",  # ; HANGUL SYLLABLE PUP
        "\uD493",  # ; HANGUL SYLLABLE PUH
        "\uD494",  # ; HANGUL SYLLABLE PWEO
        "\uD495",  # ; HANGUL SYLLABLE PWEOG
        "\uD496",  # ; HANGUL SYLLABLE PWEOGG
        "\uD497",  # ; HANGUL SYLLABLE PWEOGS
        "\uD498",  # ; HANGUL SYLLABLE PWEON
        "\uD499",  # ; HANGUL SYLLABLE PWEONJ
        "\uD49A",  # ; HANGUL SYLLABLE PWEONH
        "\uD49B",  # ; HANGUL SYLLABLE PWEOD
        "\uD49C",  # ; HANGUL SYLLABLE PWEOL
        "\uD49D",  # ; HANGUL SYLLABLE PWEOLG
        "\uD49E",  # ; HANGUL SYLLABLE PWEOLM
        "\uD49F",  # ; HANGUL SYLLABLE PWEOLB
        "\uD4A0",  # ; HANGUL SYLLABLE PWEOLS
        "\uD4A1",  # ; HANGUL SYLLABLE PWEOLT
        "\uD4A2",  # ; HANGUL SYLLABLE PWEOLP
        "\uD4A3",  # ; HANGUL SYLLABLE PWEOLH
        "\uD4A4",  # ; HANGUL SYLLABLE PWEOM
        "\uD4A5",  # ; HANGUL SYLLABLE PWEOB
        "\uD4A6",  # ; HANGUL SYLLABLE PWEOBS
        "\uD4A7",  # ; HANGUL SYLLABLE PWEOS
        "\uD4A8",  # ; HANGUL SYLLABLE PWEOSS
        "\uD4A9",  # ; HANGUL SYLLABLE PWEONG
        "\uD4AA",  # ; HANGUL SYLLABLE PWEOJ
        "\uD4AB",  # ; HANGUL SYLLABLE PWEOC
        "\uD4AC",  # ; HANGUL SYLLABLE PWEOK
        "\uD4AD",  # ; HANGUL SYLLABLE PWEOT
        "\uD4AE",  # ; HANGUL SYLLABLE PWEOP
        "\uD4AF",  # ; HANGUL SYLLABLE PWEOH
        "\uD4B0",  # ; HANGUL SYLLABLE PWE
        "\uD4B1",  # ; HANGUL SYLLABLE PWEG
        "\uD4B2",  # ; HANGUL SYLLABLE PWEGG
        "\uD4B3",  # ; HANGUL SYLLABLE PWEGS
        "\uD4B4",  # ; HANGUL SYLLABLE PWEN
        "\uD4B5",  # ; HANGUL SYLLABLE PWENJ
        "\uD4B6",  # ; HANGUL SYLLABLE PWENH
        "\uD4B7",  # ; HANGUL SYLLABLE PWED
        "\uD4B8",  # ; HANGUL SYLLABLE PWEL
        "\uD4B9",  # ; HANGUL SYLLABLE PWELG
        "\uD4BA",  # ; HANGUL SYLLABLE PWELM
        "\uD4BB",  # ; HANGUL SYLLABLE PWELB
        "\uD4BC",  # ; HANGUL SYLLABLE PWELS
        "\uD4BD",  # ; HANGUL SYLLABLE PWELT
        "\uD4BE",  # ; HANGUL SYLLABLE PWELP
        "\uD4BF",  # ; HANGUL SYLLABLE PWELH
        "\uD4C0",  # ; HANGUL SYLLABLE PWEM
        "\uD4C1",  # ; HANGUL SYLLABLE PWEB
        "\uD4C2",  # ; HANGUL SYLLABLE PWEBS
        "\uD4C3",  # ; HANGUL SYLLABLE PWES
        "\uD4C4",  # ; HANGUL SYLLABLE PWESS
        "\uD4C5",  # ; HANGUL SYLLABLE PWENG
        "\uD4C6",  # ; HANGUL SYLLABLE PWEJ
        "\uD4C7",  # ; HANGUL SYLLABLE PWEC
        "\uD4C8",  # ; HANGUL SYLLABLE PWEK
        "\uD4C9",  # ; HANGUL SYLLABLE PWET
        "\uD4CA",  # ; HANGUL SYLLABLE PWEP
        "\uD4CB",  # ; HANGUL SYLLABLE PWEH
        "\uD4CC",  # ; HANGUL SYLLABLE PWI
        "\uD4CD",  # ; HANGUL SYLLABLE PWIG
        "\uD4CE",  # ; HANGUL SYLLABLE PWIGG
        "\uD4CF",  # ; HANGUL SYLLABLE PWIGS
        "\uD4D0",  # ; HANGUL SYLLABLE PWIN
        "\uD4D1",  # ; HANGUL SYLLABLE PWINJ
        "\uD4D2",  # ; HANGUL SYLLABLE PWINH
        "\uD4D3",  # ; HANGUL SYLLABLE PWID
        "\uD4D4",  # ; HANGUL SYLLABLE PWIL
        "\uD4D5",  # ; HANGUL SYLLABLE PWILG
        "\uD4D6",  # ; HANGUL SYLLABLE PWILM
        "\uD4D7",  # ; HANGUL SYLLABLE PWILB
        "\uD4D8",  # ; HANGUL SYLLABLE PWILS
        "\uD4D9",  # ; HANGUL SYLLABLE PWILT
        "\uD4DA",  # ; HANGUL SYLLABLE PWILP
        "\uD4DB",  # ; HANGUL SYLLABLE PWILH
        "\uD4DC",  # ; HANGUL SYLLABLE PWIM
        "\uD4DD",  # ; HANGUL SYLLABLE PWIB
        "\uD4DE",  # ; HANGUL SYLLABLE PWIBS
        "\uD4DF",  # ; HANGUL SYLLABLE PWIS
        "\uD4E0",  # ; HANGUL SYLLABLE PWISS
        "\uD4E1",  # ; HANGUL SYLLABLE PWING
        "\uD4E2",  # ; HANGUL SYLLABLE PWIJ
        "\uD4E3",  # ; HANGUL SYLLABLE PWIC
        "\uD4E4",  # ; HANGUL SYLLABLE PWIK
        "\uD4E5",  # ; HANGUL SYLLABLE PWIT
        "\uD4E6",  # ; HANGUL SYLLABLE PWIP
        "\uD4E7",  # ; HANGUL SYLLABLE PWIH
        "\uD4E8",  # ; HANGUL SYLLABLE PYU
        "\uD4E9",  # ; HANGUL SYLLABLE PYUG
        "\uD4EA",  # ; HANGUL SYLLABLE PYUGG
        "\uD4EB",  # ; HANGUL SYLLABLE PYUGS
        "\uD4EC",  # ; HANGUL SYLLABLE PYUN
        "\uD4ED",  # ; HANGUL SYLLABLE PYUNJ
        "\uD4EE",  # ; HANGUL SYLLABLE PYUNH
        "\uD4EF",  # ; HANGUL SYLLABLE PYUD
        "\uD4F0",  # ; HANGUL SYLLABLE PYUL
        "\uD4F1",  # ; HANGUL SYLLABLE PYULG
        "\uD4F2",  # ; HANGUL SYLLABLE PYULM
        "\uD4F3",  # ; HANGUL SYLLABLE PYULB
        "\uD4F4",  # ; HANGUL SYLLABLE PYULS
        "\uD4F5",  # ; HANGUL SYLLABLE PYULT
        "\uD4F6",  # ; HANGUL SYLLABLE PYULP
        "\uD4F7",  # ; HANGUL SYLLABLE PYULH
        "\uD4F8",  # ; HANGUL SYLLABLE PYUM
        "\uD4F9",  # ; HANGUL SYLLABLE PYUB
        "\uD4FA",  # ; HANGUL SYLLABLE PYUBS
        "\uD4FB",  # ; HANGUL SYLLABLE PYUS
        "\uD4FC",  # ; HANGUL SYLLABLE PYUSS
        "\uD4FD",  # ; HANGUL SYLLABLE PYUNG
        "\uD4FE",  # ; HANGUL SYLLABLE PYUJ
        "\uD4FF",  # ; HANGUL SYLLABLE PYUC
        "\uD500",  # ; HANGUL SYLLABLE PYUK
        "\uD501",  # ; HANGUL SYLLABLE PYUT
        "\uD502",  # ; HANGUL SYLLABLE PYUP
        "\uD503",  # ; HANGUL SYLLABLE PYUH
        "\uD504",  # ; HANGUL SYLLABLE PEU
        "\uD505",  # ; HANGUL SYLLABLE PEUG
        "\uD506",  # ; HANGUL SYLLABLE PEUGG
        "\uD507",  # ; HANGUL SYLLABLE PEUGS
        "\uD508",  # ; HANGUL SYLLABLE PEUN
        "\uD509",  # ; HANGUL SYLLABLE PEUNJ
        "\uD50A",  # ; HANGUL SYLLABLE PEUNH
        "\uD50B",  # ; HANGUL SYLLABLE PEUD
        "\uD50C",  # ; HANGUL SYLLABLE PEUL
        "\uD50D",  # ; HANGUL SYLLABLE PEULG
        "\uD50E",  # ; HANGUL SYLLABLE PEULM
        "\uD50F",  # ; HANGUL SYLLABLE PEULB
        "\uD510",  # ; HANGUL SYLLABLE PEULS
        "\uD511",  # ; HANGUL SYLLABLE PEULT
        "\uD512",  # ; HANGUL SYLLABLE PEULP
        "\uD513",  # ; HANGUL SYLLABLE PEULH
        "\uD514",  # ; HANGUL SYLLABLE PEUM
        "\uD515",  # ; HANGUL SYLLABLE PEUB
        "\uD516",  # ; HANGUL SYLLABLE PEUBS
        "\uD517",  # ; HANGUL SYLLABLE PEUS
        "\uD518",  # ; HANGUL SYLLABLE PEUSS
        "\uD519",  # ; HANGUL SYLLABLE PEUNG
        "\uD51A",  # ; HANGUL SYLLABLE PEUJ
        "\uD51B",  # ; HANGUL SYLLABLE PEUC
        "\uD51C",  # ; HANGUL SYLLABLE PEUK
        "\uD51D",  # ; HANGUL SYLLABLE PEUT
        "\uD51E",  # ; HANGUL SYLLABLE PEUP
        "\uD51F",  # ; HANGUL SYLLABLE PEUH
        "\uD520",  # ; HANGUL SYLLABLE PYI
        "\uD521",  # ; HANGUL SYLLABLE PYIG
        "\uD522",  # ; HANGUL SYLLABLE PYIGG
        "\uD523",  # ; HANGUL SYLLABLE PYIGS
        "\uD524",  # ; HANGUL SYLLABLE PYIN
        "\uD525",  # ; HANGUL SYLLABLE PYINJ
        "\uD526",  # ; HANGUL SYLLABLE PYINH
        "\uD527",  # ; HANGUL SYLLABLE PYID
        "\uD528",  # ; HANGUL SYLLABLE PYIL
        "\uD529",  # ; HANGUL SYLLABLE PYILG
        "\uD52A",  # ; HANGUL SYLLABLE PYILM
        "\uD52B",  # ; HANGUL SYLLABLE PYILB
        "\uD52C",  # ; HANGUL SYLLABLE PYILS
        "\uD52D",  # ; HANGUL SYLLABLE PYILT
        "\uD52E",  # ; HANGUL SYLLABLE PYILP
        "\uD52F",  # ; HANGUL SYLLABLE PYILH
        "\uD530",  # ; HANGUL SYLLABLE PYIM
        "\uD531",  # ; HANGUL SYLLABLE PYIB
        "\uD532",  # ; HANGUL SYLLABLE PYIBS
        "\uD533",  # ; HANGUL SYLLABLE PYIS
        "\uD534",  # ; HANGUL SYLLABLE PYISS
        "\uD535",  # ; HANGUL SYLLABLE PYING
        "\uD536",  # ; HANGUL SYLLABLE PYIJ
        "\uD537",  # ; HANGUL SYLLABLE PYIC
        "\uD538",  # ; HANGUL SYLLABLE PYIK
        "\uD539",  # ; HANGUL SYLLABLE PYIT
        "\uD53A",  # ; HANGUL SYLLABLE PYIP
        "\uD53B",  # ; HANGUL SYLLABLE PYIH
        "\uD53C",  # ; HANGUL SYLLABLE PI
        "\uD53D",  # ; HANGUL SYLLABLE PIG
        "\uD53E",  # ; HANGUL SYLLABLE PIGG
        "\uD53F",  # ; HANGUL SYLLABLE PIGS
        "\uD540",  # ; HANGUL SYLLABLE PIN
        "\uD541",  # ; HANGUL SYLLABLE PINJ
        "\uD542",  # ; HANGUL SYLLABLE PINH
        "\uD543",  # ; HANGUL SYLLABLE PID
        "\uD544",  # ; HANGUL SYLLABLE PIL
        "\uD545",  # ; HANGUL SYLLABLE PILG
        "\uD546",  # ; HANGUL SYLLABLE PILM
        "\uD547",  # ; HANGUL SYLLABLE PILB
        "\uD548",  # ; HANGUL SYLLABLE PILS
        "\uD549",  # ; HANGUL SYLLABLE PILT
        "\uD54A",  # ; HANGUL SYLLABLE PILP
        "\uD54B",  # ; HANGUL SYLLABLE PILH
        "\uD54C",  # ; HANGUL SYLLABLE PIM
        "\uD54D",  # ; HANGUL SYLLABLE PIB
        "\uD54E",  # ; HANGUL SYLLABLE PIBS
        "\uD54F",  # ; HANGUL SYLLABLE PIS
        "\uD550",  # ; HANGUL SYLLABLE PISS
        "\uD551",  # ; HANGUL SYLLABLE PING
        "\uD552",  # ; HANGUL SYLLABLE PIJ
        "\uD553",  # ; HANGUL SYLLABLE PIC
        "\uD554",  # ; HANGUL SYLLABLE PIK
        "\uD555",  # ; HANGUL SYLLABLE PIT
        "\uD556",  # ; HANGUL SYLLABLE PIP
        "\uD557",  # ; HANGUL SYLLABLE PIH
        "\uD558",  # ; HANGUL SYLLABLE HA
        "\uD559",  # ; HANGUL SYLLABLE HAG
        "\uD55A",  # ; HANGUL SYLLABLE HAGG
        "\uD55B",  # ; HANGUL SYLLABLE HAGS
        "\uD55C",  # ; HANGUL SYLLABLE HAN
        "\uD55D",  # ; HANGUL SYLLABLE HANJ
        "\uD55E",  # ; HANGUL SYLLABLE HANH
        "\uD55F",  # ; HANGUL SYLLABLE HAD
        "\uD560",  # ; HANGUL SYLLABLE HAL
        "\uD561",  # ; HANGUL SYLLABLE HALG
        "\uD562",  # ; HANGUL SYLLABLE HALM
        "\uD563",  # ; HANGUL SYLLABLE HALB
        "\uD564",  # ; HANGUL SYLLABLE HALS
        "\uD565",  # ; HANGUL SYLLABLE HALT
        "\uD566",  # ; HANGUL SYLLABLE HALP
        "\uD567",  # ; HANGUL SYLLABLE HALH
        "\uD568",  # ; HANGUL SYLLABLE HAM
        "\uD569",  # ; HANGUL SYLLABLE HAB
        "\uD56A",  # ; HANGUL SYLLABLE HABS
        "\uD56B",  # ; HANGUL SYLLABLE HAS
        "\uD56C",  # ; HANGUL SYLLABLE HASS
        "\uD56D",  # ; HANGUL SYLLABLE HANG
        "\uD56E",  # ; HANGUL SYLLABLE HAJ
        "\uD56F",  # ; HANGUL SYLLABLE HAC
        "\uD570",  # ; HANGUL SYLLABLE HAK
        "\uD571",  # ; HANGUL SYLLABLE HAT
        "\uD572",  # ; HANGUL SYLLABLE HAP
        "\uD573",  # ; HANGUL SYLLABLE HAH
        "\uD574",  # ; HANGUL SYLLABLE HAE
        "\uD575",  # ; HANGUL SYLLABLE HAEG
        "\uD576",  # ; HANGUL SYLLABLE HAEGG
        "\uD577",  # ; HANGUL SYLLABLE HAEGS
        "\uD578",  # ; HANGUL SYLLABLE HAEN
        "\uD579",  # ; HANGUL SYLLABLE HAENJ
        "\uD57A",  # ; HANGUL SYLLABLE HAENH
        "\uD57B",  # ; HANGUL SYLLABLE HAED
        "\uD57C",  # ; HANGUL SYLLABLE HAEL
        "\uD57D",  # ; HANGUL SYLLABLE HAELG
        "\uD57E",  # ; HANGUL SYLLABLE HAELM
        "\uD57F",  # ; HANGUL SYLLABLE HAELB
        "\uD580",  # ; HANGUL SYLLABLE HAELS
        "\uD581",  # ; HANGUL SYLLABLE HAELT
        "\uD582",  # ; HANGUL SYLLABLE HAELP
        "\uD583",  # ; HANGUL SYLLABLE HAELH
        "\uD584",  # ; HANGUL SYLLABLE HAEM
        "\uD585",  # ; HANGUL SYLLABLE HAEB
        "\uD586",  # ; HANGUL SYLLABLE HAEBS
        "\uD587",  # ; HANGUL SYLLABLE HAES
        "\uD588",  # ; HANGUL SYLLABLE HAESS
        "\uD589",  # ; HANGUL SYLLABLE HAENG
        "\uD58A",  # ; HANGUL SYLLABLE HAEJ
        "\uD58B",  # ; HANGUL SYLLABLE HAEC
        "\uD58C",  # ; HANGUL SYLLABLE HAEK
        "\uD58D",  # ; HANGUL SYLLABLE HAET
        "\uD58E",  # ; HANGUL SYLLABLE HAEP
        "\uD58F",  # ; HANGUL SYLLABLE HAEH
        "\uD590",  # ; HANGUL SYLLABLE HYA
        "\uD591",  # ; HANGUL SYLLABLE HYAG
        "\uD592",  # ; HANGUL SYLLABLE HYAGG
        "\uD593",  # ; HANGUL SYLLABLE HYAGS
        "\uD594",  # ; HANGUL SYLLABLE HYAN
        "\uD595",  # ; HANGUL SYLLABLE HYANJ
        "\uD596",  # ; HANGUL SYLLABLE HYANH
        "\uD597",  # ; HANGUL SYLLABLE HYAD
        "\uD598",  # ; HANGUL SYLLABLE HYAL
        "\uD599",  # ; HANGUL SYLLABLE HYALG
        "\uD59A",  # ; HANGUL SYLLABLE HYALM
        "\uD59B",  # ; HANGUL SYLLABLE HYALB
        "\uD59C",  # ; HANGUL SYLLABLE HYALS
        "\uD59D",  # ; HANGUL SYLLABLE HYALT
        "\uD59E",  # ; HANGUL SYLLABLE HYALP
        "\uD59F",  # ; HANGUL SYLLABLE HYALH
        "\uD5A0",  # ; HANGUL SYLLABLE HYAM
        "\uD5A1",  # ; HANGUL SYLLABLE HYAB
        "\uD5A2",  # ; HANGUL SYLLABLE HYABS
        "\uD5A3",  # ; HANGUL SYLLABLE HYAS
        "\uD5A4",  # ; HANGUL SYLLABLE HYASS
        "\uD5A5",  # ; HANGUL SYLLABLE HYANG
        "\uD5A6",  # ; HANGUL SYLLABLE HYAJ
        "\uD5A7",  # ; HANGUL SYLLABLE HYAC
        "\uD5A8",  # ; HANGUL SYLLABLE HYAK
        "\uD5A9",  # ; HANGUL SYLLABLE HYAT
        "\uD5AA",  # ; HANGUL SYLLABLE HYAP
        "\uD5AB",  # ; HANGUL SYLLABLE HYAH
        "\uD5AC",  # ; HANGUL SYLLABLE HYAE
        "\uD5AD",  # ; HANGUL SYLLABLE HYAEG
        "\uD5AE",  # ; HANGUL SYLLABLE HYAEGG
        "\uD5AF",  # ; HANGUL SYLLABLE HYAEGS
        "\uD5B0",  # ; HANGUL SYLLABLE HYAEN
        "\uD5B1",  # ; HANGUL SYLLABLE HYAENJ
        "\uD5B2",  # ; HANGUL SYLLABLE HYAENH
        "\uD5B3",  # ; HANGUL SYLLABLE HYAED
        "\uD5B4",  # ; HANGUL SYLLABLE HYAEL
        "\uD5B5",  # ; HANGUL SYLLABLE HYAELG
        "\uD5B6",  # ; HANGUL SYLLABLE HYAELM
        "\uD5B7",  # ; HANGUL SYLLABLE HYAELB
        "\uD5B8",  # ; HANGUL SYLLABLE HYAELS
        "\uD5B9",  # ; HANGUL SYLLABLE HYAELT
        "\uD5BA",  # ; HANGUL SYLLABLE HYAELP
        "\uD5BB",  # ; HANGUL SYLLABLE HYAELH
        "\uD5BC",  # ; HANGUL SYLLABLE HYAEM
        "\uD5BD",  # ; HANGUL SYLLABLE HYAEB
        "\uD5BE",  # ; HANGUL SYLLABLE HYAEBS
        "\uD5BF",  # ; HANGUL SYLLABLE HYAES
        "\uD5C0",  # ; HANGUL SYLLABLE HYAESS
        "\uD5C1",  # ; HANGUL SYLLABLE HYAENG
        "\uD5C2",  # ; HANGUL SYLLABLE HYAEJ
        "\uD5C3",  # ; HANGUL SYLLABLE HYAEC
        "\uD5C4",  # ; HANGUL SYLLABLE HYAEK
        "\uD5C5",  # ; HANGUL SYLLABLE HYAET
        "\uD5C6",  # ; HANGUL SYLLABLE HYAEP
        "\uD5C7",  # ; HANGUL SYLLABLE HYAEH
        "\uD5C8",  # ; HANGUL SYLLABLE HEO
        "\uD5C9",  # ; HANGUL SYLLABLE HEOG
        "\uD5CA",  # ; HANGUL SYLLABLE HEOGG
        "\uD5CB",  # ; HANGUL SYLLABLE HEOGS
        "\uD5CC",  # ; HANGUL SYLLABLE HEON
        "\uD5CD",  # ; HANGUL SYLLABLE HEONJ
        "\uD5CE",  # ; HANGUL SYLLABLE HEONH
        "\uD5CF",  # ; HANGUL SYLLABLE HEOD
        "\uD5D0",  # ; HANGUL SYLLABLE HEOL
        "\uD5D1",  # ; HANGUL SYLLABLE HEOLG
        "\uD5D2",  # ; HANGUL SYLLABLE HEOLM
        "\uD5D3",  # ; HANGUL SYLLABLE HEOLB
        "\uD5D4",  # ; HANGUL SYLLABLE HEOLS
        "\uD5D5",  # ; HANGUL SYLLABLE HEOLT
        "\uD5D6",  # ; HANGUL SYLLABLE HEOLP
        "\uD5D7",  # ; HANGUL SYLLABLE HEOLH
        "\uD5D8",  # ; HANGUL SYLLABLE HEOM
        "\uD5D9",  # ; HANGUL SYLLABLE HEOB
        "\uD5DA",  # ; HANGUL SYLLABLE HEOBS
        "\uD5DB",  # ; HANGUL SYLLABLE HEOS
        "\uD5DC",  # ; HANGUL SYLLABLE HEOSS
        "\uD5DD",  # ; HANGUL SYLLABLE HEONG
        "\uD5DE",  # ; HANGUL SYLLABLE HEOJ
        "\uD5DF",  # ; HANGUL SYLLABLE HEOC
        "\uD5E0",  # ; HANGUL SYLLABLE HEOK
        "\uD5E1",  # ; HANGUL SYLLABLE HEOT
        "\uD5E2",  # ; HANGUL SYLLABLE HEOP
        "\uD5E3",  # ; HANGUL SYLLABLE HEOH
        "\uD5E4",  # ; HANGUL SYLLABLE HE
        "\uD5E5",  # ; HANGUL SYLLABLE HEG
        "\uD5E6",  # ; HANGUL SYLLABLE HEGG
        "\uD5E7",  # ; HANGUL SYLLABLE HEGS
        "\uD5E8",  # ; HANGUL SYLLABLE HEN
        "\uD5E9",  # ; HANGUL SYLLABLE HENJ
        "\uD5EA",  # ; HANGUL SYLLABLE HENH
        "\uD5EB",  # ; HANGUL SYLLABLE HED
        "\uD5EC",  # ; HANGUL SYLLABLE HEL
        "\uD5ED",  # ; HANGUL SYLLABLE HELG
        "\uD5EE",  # ; HANGUL SYLLABLE HELM
        "\uD5EF",  # ; HANGUL SYLLABLE HELB
        "\uD5F0",  # ; HANGUL SYLLABLE HELS
        "\uD5F1",  # ; HANGUL SYLLABLE HELT
        "\uD5F2",  # ; HANGUL SYLLABLE HELP
        "\uD5F3",  # ; HANGUL SYLLABLE HELH
        "\uD5F4",  # ; HANGUL SYLLABLE HEM
        "\uD5F5",  # ; HANGUL SYLLABLE HEB
        "\uD5F6",  # ; HANGUL SYLLABLE HEBS
        "\uD5F7",  # ; HANGUL SYLLABLE HES
        "\uD5F8",  # ; HANGUL SYLLABLE HESS
        "\uD5F9",  # ; HANGUL SYLLABLE HENG
        "\uD5FA",  # ; HANGUL SYLLABLE HEJ
        "\uD5FB",  # ; HANGUL SYLLABLE HEC
        "\uD5FC",  # ; HANGUL SYLLABLE HEK
        "\uD5FD",  # ; HANGUL SYLLABLE HET
        "\uD5FE",  # ; HANGUL SYLLABLE HEP
        "\uD5FF",  # ; HANGUL SYLLABLE HEH
        "\uD600",  # ; HANGUL SYLLABLE HYEO
        "\uD601",  # ; HANGUL SYLLABLE HYEOG
        "\uD602",  # ; HANGUL SYLLABLE HYEOGG
        "\uD603",  # ; HANGUL SYLLABLE HYEOGS
        "\uD604",  # ; HANGUL SYLLABLE HYEON
        "\uD605",  # ; HANGUL SYLLABLE HYEONJ
        "\uD606",  # ; HANGUL SYLLABLE HYEONH
        "\uD607",  # ; HANGUL SYLLABLE HYEOD
        "\uD608",  # ; HANGUL SYLLABLE HYEOL
        "\uD609",  # ; HANGUL SYLLABLE HYEOLG
        "\uD60A",  # ; HANGUL SYLLABLE HYEOLM
        "\uD60B",  # ; HANGUL SYLLABLE HYEOLB
        "\uD60C",  # ; HANGUL SYLLABLE HYEOLS
        "\uD60D",  # ; HANGUL SYLLABLE HYEOLT
        "\uD60E",  # ; HANGUL SYLLABLE HYEOLP
        "\uD60F",  # ; HANGUL SYLLABLE HYEOLH
        "\uD610",  # ; HANGUL SYLLABLE HYEOM
        "\uD611",  # ; HANGUL SYLLABLE HYEOB
        "\uD612",  # ; HANGUL SYLLABLE HYEOBS
        "\uD613",  # ; HANGUL SYLLABLE HYEOS
        "\uD614",  # ; HANGUL SYLLABLE HYEOSS
        "\uD615",  # ; HANGUL SYLLABLE HYEONG
        "\uD616",  # ; HANGUL SYLLABLE HYEOJ
        "\uD617",  # ; HANGUL SYLLABLE HYEOC
        "\uD618",  # ; HANGUL SYLLABLE HYEOK
        "\uD619",  # ; HANGUL SYLLABLE HYEOT
        "\uD61A",  # ; HANGUL SYLLABLE HYEOP
        "\uD61B",  # ; HANGUL SYLLABLE HYEOH
        "\uD61C",  # ; HANGUL SYLLABLE HYE
        "\uD61D",  # ; HANGUL SYLLABLE HYEG
        "\uD61E",  # ; HANGUL SYLLABLE HYEGG
        "\uD61F",  # ; HANGUL SYLLABLE HYEGS
        "\uD620",  # ; HANGUL SYLLABLE HYEN
        "\uD621",  # ; HANGUL SYLLABLE HYENJ
        "\uD622",  # ; HANGUL SYLLABLE HYENH
        "\uD623",  # ; HANGUL SYLLABLE HYED
        "\uD624",  # ; HANGUL SYLLABLE HYEL
        "\uD625",  # ; HANGUL SYLLABLE HYELG
        "\uD626",  # ; HANGUL SYLLABLE HYELM
        "\uD627",  # ; HANGUL SYLLABLE HYELB
        "\uD628",  # ; HANGUL SYLLABLE HYELS
        "\uD629",  # ; HANGUL SYLLABLE HYELT
        "\uD62A",  # ; HANGUL SYLLABLE HYELP
        "\uD62B",  # ; HANGUL SYLLABLE HYELH
        "\uD62C",  # ; HANGUL SYLLABLE HYEM
        "\uD62D",  # ; HANGUL SYLLABLE HYEB
        "\uD62E",  # ; HANGUL SYLLABLE HYEBS
        "\uD62F",  # ; HANGUL SYLLABLE HYES
        "\uD630",  # ; HANGUL SYLLABLE HYESS
        "\uD631",  # ; HANGUL SYLLABLE HYENG
        "\uD632",  # ; HANGUL SYLLABLE HYEJ
        "\uD633",  # ; HANGUL SYLLABLE HYEC
        "\uD634",  # ; HANGUL SYLLABLE HYEK
        "\uD635",  # ; HANGUL SYLLABLE HYET
        "\uD636",  # ; HANGUL SYLLABLE HYEP
        "\uD637",  # ; HANGUL SYLLABLE HYEH
        "\uD638",  # ; HANGUL SYLLABLE HO
        "\uD639",  # ; HANGUL SYLLABLE HOG
        "\uD63A",  # ; HANGUL SYLLABLE HOGG
        "\uD63B",  # ; HANGUL SYLLABLE HOGS
        "\uD63C",  # ; HANGUL SYLLABLE HON
        "\uD63D",  # ; HANGUL SYLLABLE HONJ
        "\uD63E",  # ; HANGUL SYLLABLE HONH
        "\uD63F",  # ; HANGUL SYLLABLE HOD
        "\uD640",  # ; HANGUL SYLLABLE HOL
        "\uD641",  # ; HANGUL SYLLABLE HOLG
        "\uD642",  # ; HANGUL SYLLABLE HOLM
        "\uD643",  # ; HANGUL SYLLABLE HOLB
        "\uD644",  # ; HANGUL SYLLABLE HOLS
        "\uD645",  # ; HANGUL SYLLABLE HOLT
        "\uD646",  # ; HANGUL SYLLABLE HOLP
        "\uD647",  # ; HANGUL SYLLABLE HOLH
        "\uD648",  # ; HANGUL SYLLABLE HOM
        "\uD649",  # ; HANGUL SYLLABLE HOB
        "\uD64A",  # ; HANGUL SYLLABLE HOBS
        "\uD64B",  # ; HANGUL SYLLABLE HOS
        "\uD64C",  # ; HANGUL SYLLABLE HOSS
        "\uD64D",  # ; HANGUL SYLLABLE HONG
        "\uD64E",  # ; HANGUL SYLLABLE HOJ
        "\uD64F",  # ; HANGUL SYLLABLE HOC
        "\uD650",  # ; HANGUL SYLLABLE HOK
        "\uD651",  # ; HANGUL SYLLABLE HOT
        "\uD652",  # ; HANGUL SYLLABLE HOP
        "\uD653",  # ; HANGUL SYLLABLE HOH
        "\uD654",  # ; HANGUL SYLLABLE HWA
        "\uD655",  # ; HANGUL SYLLABLE HWAG
        "\uD656",  # ; HANGUL SYLLABLE HWAGG
        "\uD657",  # ; HANGUL SYLLABLE HWAGS
        "\uD658",  # ; HANGUL SYLLABLE HWAN
        "\uD659",  # ; HANGUL SYLLABLE HWANJ
        "\uD65A",  # ; HANGUL SYLLABLE HWANH
        "\uD65B",  # ; HANGUL SYLLABLE HWAD
        "\uD65C",  # ; HANGUL SYLLABLE HWAL
        "\uD65D",  # ; HANGUL SYLLABLE HWALG
        "\uD65E",  # ; HANGUL SYLLABLE HWALM
        "\uD65F",  # ; HANGUL SYLLABLE HWALB
        "\uD660",  # ; HANGUL SYLLABLE HWALS
        "\uD661",  # ; HANGUL SYLLABLE HWALT
        "\uD662",  # ; HANGUL SYLLABLE HWALP
        "\uD663",  # ; HANGUL SYLLABLE HWALH
        "\uD664",  # ; HANGUL SYLLABLE HWAM
        "\uD665",  # ; HANGUL SYLLABLE HWAB
        "\uD666",  # ; HANGUL SYLLABLE HWABS
        "\uD667",  # ; HANGUL SYLLABLE HWAS
        "\uD668",  # ; HANGUL SYLLABLE HWASS
        "\uD669",  # ; HANGUL SYLLABLE HWANG
        "\uD66A",  # ; HANGUL SYLLABLE HWAJ
        "\uD66B",  # ; HANGUL SYLLABLE HWAC
        "\uD66C",  # ; HANGUL SYLLABLE HWAK
        "\uD66D",  # ; HANGUL SYLLABLE HWAT
        "\uD66E",  # ; HANGUL SYLLABLE HWAP
        "\uD66F",  # ; HANGUL SYLLABLE HWAH
        "\uD670",  # ; HANGUL SYLLABLE HWAE
        "\uD671",  # ; HANGUL SYLLABLE HWAEG
        "\uD672",  # ; HANGUL SYLLABLE HWAEGG
        "\uD673",  # ; HANGUL SYLLABLE HWAEGS
        "\uD674",  # ; HANGUL SYLLABLE HWAEN
        "\uD675",  # ; HANGUL SYLLABLE HWAENJ
        "\uD676",  # ; HANGUL SYLLABLE HWAENH
        "\uD677",  # ; HANGUL SYLLABLE HWAED
        "\uD678",  # ; HANGUL SYLLABLE HWAEL
        "\uD679",  # ; HANGUL SYLLABLE HWAELG
        "\uD67A",  # ; HANGUL SYLLABLE HWAELM
        "\uD67B",  # ; HANGUL SYLLABLE HWAELB
        "\uD67C",  # ; HANGUL SYLLABLE HWAELS
        "\uD67D",  # ; HANGUL SYLLABLE HWAELT
        "\uD67E",  # ; HANGUL SYLLABLE HWAELP
        "\uD67F",  # ; HANGUL SYLLABLE HWAELH
        "\uD680",  # ; HANGUL SYLLABLE HWAEM
        "\uD681",  # ; HANGUL SYLLABLE HWAEB
        "\uD682",  # ; HANGUL SYLLABLE HWAEBS
        "\uD683",  # ; HANGUL SYLLABLE HWAES
        "\uD684",  # ; HANGUL SYLLABLE HWAESS
        "\uD685",  # ; HANGUL SYLLABLE HWAENG
        "\uD686",  # ; HANGUL SYLLABLE HWAEJ
        "\uD687",  # ; HANGUL SYLLABLE HWAEC
        "\uD688",  # ; HANGUL SYLLABLE HWAEK
        "\uD689",  # ; HANGUL SYLLABLE HWAET
        "\uD68A",  # ; HANGUL SYLLABLE HWAEP
        "\uD68B",  # ; HANGUL SYLLABLE HWAEH
        "\uD68C",  # ; HANGUL SYLLABLE HOE
        "\uD68D",  # ; HANGUL SYLLABLE HOEG
        "\uD68E",  # ; HANGUL SYLLABLE HOEGG
        "\uD68F",  # ; HANGUL SYLLABLE HOEGS
        "\uD690",  # ; HANGUL SYLLABLE HOEN
        "\uD691",  # ; HANGUL SYLLABLE HOENJ
        "\uD692",  # ; HANGUL SYLLABLE HOENH
        "\uD693",  # ; HANGUL SYLLABLE HOED
        "\uD694",  # ; HANGUL SYLLABLE HOEL
        "\uD695",  # ; HANGUL SYLLABLE HOELG
        "\uD696",  # ; HANGUL SYLLABLE HOELM
        "\uD697",  # ; HANGUL SYLLABLE HOELB
        "\uD698",  # ; HANGUL SYLLABLE HOELS
        "\uD699",  # ; HANGUL SYLLABLE HOELT
        "\uD69A",  # ; HANGUL SYLLABLE HOELP
        "\uD69B",  # ; HANGUL SYLLABLE HOELH
        "\uD69C",  # ; HANGUL SYLLABLE HOEM
        "\uD69D",  # ; HANGUL SYLLABLE HOEB
        "\uD69E",  # ; HANGUL SYLLABLE HOEBS
        "\uD69F",  # ; HANGUL SYLLABLE HOES
        "\uD6A0",  # ; HANGUL SYLLABLE HOESS
        "\uD6A1",  # ; HANGUL SYLLABLE HOENG
        "\uD6A2",  # ; HANGUL SYLLABLE HOEJ
        "\uD6A3",  # ; HANGUL SYLLABLE HOEC
        "\uD6A4",  # ; HANGUL SYLLABLE HOEK
        "\uD6A5",  # ; HANGUL SYLLABLE HOET
        "\uD6A6",  # ; HANGUL SYLLABLE HOEP
        "\uD6A7",  # ; HANGUL SYLLABLE HOEH
        "\uD6A8",  # ; HANGUL SYLLABLE HYO
        "\uD6A9",  # ; HANGUL SYLLABLE HYOG
        "\uD6AA",  # ; HANGUL SYLLABLE HYOGG
        "\uD6AB",  # ; HANGUL SYLLABLE HYOGS
        "\uD6AC",  # ; HANGUL SYLLABLE HYON
        "\uD6AD",  # ; HANGUL SYLLABLE HYONJ
        "\uD6AE",  # ; HANGUL SYLLABLE HYONH
        "\uD6AF",  # ; HANGUL SYLLABLE HYOD
        "\uD6B0",  # ; HANGUL SYLLABLE HYOL
        "\uD6B1",  # ; HANGUL SYLLABLE HYOLG
        "\uD6B2",  # ; HANGUL SYLLABLE HYOLM
        "\uD6B3",  # ; HANGUL SYLLABLE HYOLB
        "\uD6B4",  # ; HANGUL SYLLABLE HYOLS
        "\uD6B5",  # ; HANGUL SYLLABLE HYOLT
        "\uD6B6",  # ; HANGUL SYLLABLE HYOLP
        "\uD6B7",  # ; HANGUL SYLLABLE HYOLH
        "\uD6B8",  # ; HANGUL SYLLABLE HYOM
        "\uD6B9",  # ; HANGUL SYLLABLE HYOB
        "\uD6BA",  # ; HANGUL SYLLABLE HYOBS
        "\uD6BB",  # ; HANGUL SYLLABLE HYOS
        "\uD6BC",  # ; HANGUL SYLLABLE HYOSS
        "\uD6BD",  # ; HANGUL SYLLABLE HYONG
        "\uD6BE",  # ; HANGUL SYLLABLE HYOJ
        "\uD6BF",  # ; HANGUL SYLLABLE HYOC
        "\uD6C0",  # ; HANGUL SYLLABLE HYOK
        "\uD6C1",  # ; HANGUL SYLLABLE HYOT
        "\uD6C2",  # ; HANGUL SYLLABLE HYOP
        "\uD6C3",  # ; HANGUL SYLLABLE HYOH
        "\uD6C4",  # ; HANGUL SYLLABLE HU
        "\uD6C5",  # ; HANGUL SYLLABLE HUG
        "\uD6C6",  # ; HANGUL SYLLABLE HUGG
        "\uD6C7",  # ; HANGUL SYLLABLE HUGS
        "\uD6C8",  # ; HANGUL SYLLABLE HUN
        "\uD6C9",  # ; HANGUL SYLLABLE HUNJ
        "\uD6CA",  # ; HANGUL SYLLABLE HUNH
        "\uD6CB",  # ; HANGUL SYLLABLE HUD
        "\uD6CC",  # ; HANGUL SYLLABLE HUL
        "\uD6CD",  # ; HANGUL SYLLABLE HULG
        "\uD6CE",  # ; HANGUL SYLLABLE HULM
        "\uD6CF",  # ; HANGUL SYLLABLE HULB
        "\uD6D0",  # ; HANGUL SYLLABLE HULS
        "\uD6D1",  # ; HANGUL SYLLABLE HULT
        "\uD6D2",  # ; HANGUL SYLLABLE HULP
        "\uD6D3",  # ; HANGUL SYLLABLE HULH
        "\uD6D4",  # ; HANGUL SYLLABLE HUM
        "\uD6D5",  # ; HANGUL SYLLABLE HUB
        "\uD6D6",  # ; HANGUL SYLLABLE HUBS
        "\uD6D7",  # ; HANGUL SYLLABLE HUS
        "\uD6D8",  # ; HANGUL SYLLABLE HUSS
        "\uD6D9",  # ; HANGUL SYLLABLE HUNG
        "\uD6DA",  # ; HANGUL SYLLABLE HUJ
        "\uD6DB",  # ; HANGUL SYLLABLE HUC
        "\uD6DC",  # ; HANGUL SYLLABLE HUK
        "\uD6DD",  # ; HANGUL SYLLABLE HUT
        "\uD6DE",  # ; HANGUL SYLLABLE HUP
        "\uD6DF",  # ; HANGUL SYLLABLE HUH
        "\uD6E0",  # ; HANGUL SYLLABLE HWEO
        "\uD6E1",  # ; HANGUL SYLLABLE HWEOG
        "\uD6E2",  # ; HANGUL SYLLABLE HWEOGG
        "\uD6E3",  # ; HANGUL SYLLABLE HWEOGS
        "\uD6E4",  # ; HANGUL SYLLABLE HWEON
        "\uD6E5",  # ; HANGUL SYLLABLE HWEONJ
        "\uD6E6",  # ; HANGUL SYLLABLE HWEONH
        "\uD6E7",  # ; HANGUL SYLLABLE HWEOD
        "\uD6E8",  # ; HANGUL SYLLABLE HWEOL
        "\uD6E9",  # ; HANGUL SYLLABLE HWEOLG
        "\uD6EA",  # ; HANGUL SYLLABLE HWEOLM
        "\uD6EB",  # ; HANGUL SYLLABLE HWEOLB
        "\uD6EC",  # ; HANGUL SYLLABLE HWEOLS
        "\uD6ED",  # ; HANGUL SYLLABLE HWEOLT
        "\uD6EE",  # ; HANGUL SYLLABLE HWEOLP
        "\uD6EF",  # ; HANGUL SYLLABLE HWEOLH
        "\uD6F0",  # ; HANGUL SYLLABLE HWEOM
        "\uD6F1",  # ; HANGUL SYLLABLE HWEOB
        "\uD6F2",  # ; HANGUL SYLLABLE HWEOBS
        "\uD6F3",  # ; HANGUL SYLLABLE HWEOS
        "\uD6F4",  # ; HANGUL SYLLABLE HWEOSS
        "\uD6F5",  # ; HANGUL SYLLABLE HWEONG
        "\uD6F6",  # ; HANGUL SYLLABLE HWEOJ
        "\uD6F7",  # ; HANGUL SYLLABLE HWEOC
        "\uD6F8",  # ; HANGUL SYLLABLE HWEOK
        "\uD6F9",  # ; HANGUL SYLLABLE HWEOT
        "\uD6FA",  # ; HANGUL SYLLABLE HWEOP
        "\uD6FB",  # ; HANGUL SYLLABLE HWEOH
        "\uD6FC",  # ; HANGUL SYLLABLE HWE
        "\uD6FD",  # ; HANGUL SYLLABLE HWEG
        "\uD6FE",  # ; HANGUL SYLLABLE HWEGG
        "\uD6FF",  # ; HANGUL SYLLABLE HWEGS
        "\uD700",  # ; HANGUL SYLLABLE HWEN
        "\uD701",  # ; HANGUL SYLLABLE HWENJ
        "\uD702",  # ; HANGUL SYLLABLE HWENH
        "\uD703",  # ; HANGUL SYLLABLE HWED
        "\uD704",  # ; HANGUL SYLLABLE HWEL
        "\uD705",  # ; HANGUL SYLLABLE HWELG
        "\uD706",  # ; HANGUL SYLLABLE HWELM
        "\uD707",  # ; HANGUL SYLLABLE HWELB
        "\uD708",  # ; HANGUL SYLLABLE HWELS
        "\uD709",  # ; HANGUL SYLLABLE HWELT
        "\uD70A",  # ; HANGUL SYLLABLE HWELP
        "\uD70B",  # ; HANGUL SYLLABLE HWELH
        "\uD70C",  # ; HANGUL SYLLABLE HWEM
        "\uD70D",  # ; HANGUL SYLLABLE HWEB
        "\uD70E",  # ; HANGUL SYLLABLE HWEBS
        "\uD70F",  # ; HANGUL SYLLABLE HWES
        "\uD710",  # ; HANGUL SYLLABLE HWESS
        "\uD711",  # ; HANGUL SYLLABLE HWENG
        "\uD712",  # ; HANGUL SYLLABLE HWEJ
        "\uD713",  # ; HANGUL SYLLABLE HWEC
        "\uD714",  # ; HANGUL SYLLABLE HWEK
        "\uD715",  # ; HANGUL SYLLABLE HWET
        "\uD716",  # ; HANGUL SYLLABLE HWEP
        "\uD717",  # ; HANGUL SYLLABLE HWEH
        "\uD718",  # ; HANGUL SYLLABLE HWI
        "\uD719",  # ; HANGUL SYLLABLE HWIG
        "\uD71A",  # ; HANGUL SYLLABLE HWIGG
        "\uD71B",  # ; HANGUL SYLLABLE HWIGS
        "\uD71C",  # ; HANGUL SYLLABLE HWIN
        "\uD71D",  # ; HANGUL SYLLABLE HWINJ
        "\uD71E",  # ; HANGUL SYLLABLE HWINH
        "\uD71F",  # ; HANGUL SYLLABLE HWID
        "\uD720",  # ; HANGUL SYLLABLE HWIL
        "\uD721",  # ; HANGUL SYLLABLE HWILG
        "\uD722",  # ; HANGUL SYLLABLE HWILM
        "\uD723",  # ; HANGUL SYLLABLE HWILB
        "\uD724",  # ; HANGUL SYLLABLE HWILS
        "\uD725",  # ; HANGUL SYLLABLE HWILT
        "\uD726",  # ; HANGUL SYLLABLE HWILP
        "\uD727",  # ; HANGUL SYLLABLE HWILH
        "\uD728",  # ; HANGUL SYLLABLE HWIM
        "\uD729",  # ; HANGUL SYLLABLE HWIB
        "\uD72A",  # ; HANGUL SYLLABLE HWIBS
        "\uD72B",  # ; HANGUL SYLLABLE HWIS
        "\uD72C",  # ; HANGUL SYLLABLE HWISS
        "\uD72D",  # ; HANGUL SYLLABLE HWING
        "\uD72E",  # ; HANGUL SYLLABLE HWIJ
        "\uD72F",  # ; HANGUL SYLLABLE HWIC
        "\uD730",  # ; HANGUL SYLLABLE HWIK
        "\uD731",  # ; HANGUL SYLLABLE HWIT
        "\uD732",  # ; HANGUL SYLLABLE HWIP
        "\uD733",  # ; HANGUL SYLLABLE HWIH
        "\uD734",  # ; HANGUL SYLLABLE HYU
        "\uD735",  # ; HANGUL SYLLABLE HYUG
        "\uD736",  # ; HANGUL SYLLABLE HYUGG
        "\uD737",  # ; HANGUL SYLLABLE HYUGS
        "\uD738",  # ; HANGUL SYLLABLE HYUN
        "\uD739",  # ; HANGUL SYLLABLE HYUNJ
        "\uD73A",  # ; HANGUL SYLLABLE HYUNH
        "\uD73B",  # ; HANGUL SYLLABLE HYUD
        "\uD73C",  # ; HANGUL SYLLABLE HYUL
        "\uD73D",  # ; HANGUL SYLLABLE HYULG
        "\uD73E",  # ; HANGUL SYLLABLE HYULM
        "\uD73F",  # ; HANGUL SYLLABLE HYULB
        "\uD740",  # ; HANGUL SYLLABLE HYULS
        "\uD741",  # ; HANGUL SYLLABLE HYULT
        "\uD742",  # ; HANGUL SYLLABLE HYULP
        "\uD743",  # ; HANGUL SYLLABLE HYULH
        "\uD744",  # ; HANGUL SYLLABLE HYUM
        "\uD745",  # ; HANGUL SYLLABLE HYUB
        "\uD746",  # ; HANGUL SYLLABLE HYUBS
        "\uD747",  # ; HANGUL SYLLABLE HYUS
        "\uD748",  # ; HANGUL SYLLABLE HYUSS
        "\uD749",  # ; HANGUL SYLLABLE HYUNG
        "\uD74A",  # ; HANGUL SYLLABLE HYUJ
        "\uD74B",  # ; HANGUL SYLLABLE HYUC
        "\uD74C",  # ; HANGUL SYLLABLE HYUK
        "\uD74D",  # ; HANGUL SYLLABLE HYUT
        "\uD74E",  # ; HANGUL SYLLABLE HYUP
        "\uD74F",  # ; HANGUL SYLLABLE HYUH
        "\uD750",  # ; HANGUL SYLLABLE HEU
        "\uD751",  # ; HANGUL SYLLABLE HEUG
        "\uD752",  # ; HANGUL SYLLABLE HEUGG
        "\uD753",  # ; HANGUL SYLLABLE HEUGS
        "\uD754",  # ; HANGUL SYLLABLE HEUN
        "\uD755",  # ; HANGUL SYLLABLE HEUNJ
        "\uD756",  # ; HANGUL SYLLABLE HEUNH
        "\uD757",  # ; HANGUL SYLLABLE HEUD
        "\uD758",  # ; HANGUL SYLLABLE HEUL
        "\uD759",  # ; HANGUL SYLLABLE HEULG
        "\uD75A",  # ; HANGUL SYLLABLE HEULM
        "\uD75B",  # ; HANGUL SYLLABLE HEULB
        "\uD75C",  # ; HANGUL SYLLABLE HEULS
        "\uD75D",  # ; HANGUL SYLLABLE HEULT
        "\uD75E",  # ; HANGUL SYLLABLE HEULP
        "\uD75F",  # ; HANGUL SYLLABLE HEULH
        "\uD760",  # ; HANGUL SYLLABLE HEUM
        "\uD761",  # ; HANGUL SYLLABLE HEUB
        "\uD762",  # ; HANGUL SYLLABLE HEUBS
        "\uD763",  # ; HANGUL SYLLABLE HEUS
        "\uD764",  # ; HANGUL SYLLABLE HEUSS
        "\uD765",  # ; HANGUL SYLLABLE HEUNG
        "\uD766",  # ; HANGUL SYLLABLE HEUJ
        "\uD767",  # ; HANGUL SYLLABLE HEUC
        "\uD768",  # ; HANGUL SYLLABLE HEUK
        "\uD769",  # ; HANGUL SYLLABLE HEUT
        "\uD76A",  # ; HANGUL SYLLABLE HEUP
        "\uD76B",  # ; HANGUL SYLLABLE HEUH
        "\uD76C",  # ; HANGUL SYLLABLE HYI
        "\uD76D",  # ; HANGUL SYLLABLE HYIG
        "\uD76E",  # ; HANGUL SYLLABLE HYIGG
        "\uD76F",  # ; HANGUL SYLLABLE HYIGS
        "\uD770",  # ; HANGUL SYLLABLE HYIN
        "\uD771",  # ; HANGUL SYLLABLE HYINJ
        "\uD772",  # ; HANGUL SYLLABLE HYINH
        "\uD773",  # ; HANGUL SYLLABLE HYID
        "\uD774",  # ; HANGUL SYLLABLE HYIL
        "\uD775",  # ; HANGUL SYLLABLE HYILG
        "\uD776",  # ; HANGUL SYLLABLE HYILM
        "\uD777",  # ; HANGUL SYLLABLE HYILB
        "\uD778",  # ; HANGUL SYLLABLE HYILS
        "\uD779",  # ; HANGUL SYLLABLE HYILT
        "\uD77A",  # ; HANGUL SYLLABLE HYILP
        "\uD77B",  # ; HANGUL SYLLABLE HYILH
        "\uD77C",  # ; HANGUL SYLLABLE HYIM
        "\uD77D",  # ; HANGUL SYLLABLE HYIB
        "\uD77E",  # ; HANGUL SYLLABLE HYIBS
        "\uD77F",  # ; HANGUL SYLLABLE HYIS
        "\uD780",  # ; HANGUL SYLLABLE HYISS
        "\uD781",  # ; HANGUL SYLLABLE HYING
        "\uD782",  # ; HANGUL SYLLABLE HYIJ
        "\uD783",  # ; HANGUL SYLLABLE HYIC
        "\uD784",  # ; HANGUL SYLLABLE HYIK
        "\uD785",  # ; HANGUL SYLLABLE HYIT
        "\uD786",  # ; HANGUL SYLLABLE HYIP
        "\uD787",  # ; HANGUL SYLLABLE HYIH
        "\uD788",  # ; HANGUL SYLLABLE HI
        "\uD789",  # ; HANGUL SYLLABLE HIG
        "\uD78A",  # ; HANGUL SYLLABLE HIGG
        "\uD78B",  # ; HANGUL SYLLABLE HIGS
        "\uD78C",  # ; HANGUL SYLLABLE HIN
        "\uD78D",  # ; HANGUL SYLLABLE HINJ
        "\uD78E",  # ; HANGUL SYLLABLE HINH
        "\uD78F",  # ; HANGUL SYLLABLE HID
        "\uD790",  # ; HANGUL SYLLABLE HIL
        "\uD791",  # ; HANGUL SYLLABLE HILG
        "\uD792",  # ; HANGUL SYLLABLE HILM
        "\uD793",  # ; HANGUL SYLLABLE HILB
        "\uD794",  # ; HANGUL SYLLABLE HILS
        "\uD795",  # ; HANGUL SYLLABLE HILT
        "\uD796",  # ; HANGUL SYLLABLE HILP
        "\uD797",  # ; HANGUL SYLLABLE HILH
        "\uD798",  # ; HANGUL SYLLABLE HIM
        "\uD799",  # ; HANGUL SYLLABLE HIB
        "\uD79A",  # ; HANGUL SYLLABLE HIBS
        "\uD79B",  # ; HANGUL SYLLABLE HIS
        "\uD79C",  # ; HANGUL SYLLABLE HISS
        "\uD79D",  # ; HANGUL SYLLABLE HING
        "\uD79E",  # ; HANGUL SYLLABLE HIJ
        "\uD79F",  # ; HANGUL SYLLABLE HIC
        "\uD7A0",  # ; HANGUL SYLLABLE HIK
        "\uD7A1",  # ; HANGUL SYLLABLE HIT
        "\uD7A2",  # ; HANGUL SYLLABLE HIP
        "\uD7A3",  # ; HANGUL SYLLABLE HIH
        "\uD7B0",  # ; HANGUL JUNGSEONG O-YEO
        "\uD7B1",  # ; HANGUL JUNGSEONG O-O-I
        "\uD7B2",  # ; HANGUL JUNGSEONG YO-A
        "\uD7B3",  # ; HANGUL JUNGSEONG YO-AE
        "\uD7B4",  # ; HANGUL JUNGSEONG YO-EO
        "\uD7B5",  # ; HANGUL JUNGSEONG U-YEO
        "\uD7B6",  # ; HANGUL JUNGSEONG U-I-I
        "\uD7B7",  # ; HANGUL JUNGSEONG YU-AE
        "\uD7B8",  # ; HANGUL JUNGSEONG YU-O
        "\uD7B9",  # ; HANGUL JUNGSEONG EU-A
        "\uD7BA",  # ; HANGUL JUNGSEONG EU-EO
        "\uD7BB",  # ; HANGUL JUNGSEONG EU-E
        "\uD7BC",  # ; HANGUL JUNGSEONG EU-O
        "\uD7BD",  # ; HANGUL JUNGSEONG I-YA-O
        "\uD7BE",  # ; HANGUL JUNGSEONG I-YAE
        "\uD7BF",  # ; HANGUL JUNGSEONG I-YEO
        "\uD7C0",  # ; HANGUL JUNGSEONG I-YE
        "\uD7C1",  # ; HANGUL JUNGSEONG I-O-I
        "\uD7C2",  # ; HANGUL JUNGSEONG I-YO
        "\uD7C3",  # ; HANGUL JUNGSEONG I-YU
        "\uD7C4",  # ; HANGUL JUNGSEONG I-I
        "\uD7C5",  # ; HANGUL JUNGSEONG ARAEA-A
        "\uD7C6",  # ; HANGUL JUNGSEONG ARAEA-E
        "\uD7CB",  # ; HANGUL JONGSEONG NIEUN-RIEUL
        "\uD7CC",  # ; HANGUL JONGSEONG NIEUN-CHIEUCH
        "\uD7CD",  # ; HANGUL JONGSEONG SSANGTIKEUT
        "\uD7CE",  # ; HANGUL JONGSEONG SSANGTIKEUT-PIEUP
        "\uD7CF",  # ; HANGUL JONGSEONG TIKEUT-PIEUP
        "\uD7D0",  # ; HANGUL JONGSEONG TIKEUT-SIOS
        "\uD7D1",  # ; HANGUL JONGSEONG TIKEUT-SIOS-KIYEOK
        "\uD7D2",  # ; HANGUL JONGSEONG TIKEUT-CIEUC
        "\uD7D3",  # ; HANGUL JONGSEONG TIKEUT-CHIEUCH
        "\uD7D4",  # ; HANGUL JONGSEONG TIKEUT-THIEUTH
        "\uD7D5",  # ; HANGUL JONGSEONG RIEUL-SSANGKIYEOK
        "\uD7D6",  # ; HANGUL JONGSEONG RIEUL-KIYEOK-HIEUH
        "\uD7D7",  # ; HANGUL JONGSEONG SSANGRIEUL-KHIEUKH
        "\uD7D8",  # ; HANGUL JONGSEONG RIEUL-MIEUM-HIEUH
        "\uD7D9",  # ; HANGUL JONGSEONG RIEUL-PIEUP-TIKEUT
        "\uD7DA",  # ; HANGUL JONGSEONG RIEUL-PIEUP-PHIEUPH
        "\uD7DB",  # ; HANGUL JONGSEONG RIEUL-YESIEUNG
        "\uD7DC",  # ; HANGUL JONGSEONG RIEUL-YEORINHIEUH-HIEUH
        "\uD7DD",  # ; HANGUL JONGSEONG KAPYEOUNRIEUL
        "\uD7DE",  # ; HANGUL JONGSEONG MIEUM-NIEUN
        "\uD7DF",  # ; HANGUL JONGSEONG MIEUM-SSANGNIEUN
        "\uD7E0",  # ; HANGUL JONGSEONG SSANGMIEUM
        "\uD7E1",  # ; HANGUL JONGSEONG MIEUM-PIEUP-SIOS
        "\uD7E2",  # ; HANGUL JONGSEONG MIEUM-CIEUC
        "\uD7E3",  # ; HANGUL JONGSEONG PIEUP-TIKEUT
        "\uD7E4",  # ; HANGUL JONGSEONG PIEUP-RIEUL-PHIEUPH
        "\uD7E5",  # ; HANGUL JONGSEONG PIEUP-MIEUM
        "\uD7E6",  # ; HANGUL JONGSEONG SSANGPIEUP
        "\uD7E7",  # ; HANGUL JONGSEONG PIEUP-SIOS-TIKEUT
        "\uD7E8",  # ; HANGUL JONGSEONG PIEUP-CIEUC
        "\uD7E9",  # ; HANGUL JONGSEONG PIEUP-CHIEUCH
        "\uD7EA",  # ; HANGUL JONGSEONG SIOS-MIEUM
        "\uD7EB",  # ; HANGUL JONGSEONG SIOS-KAPYEOUNPIEUP
        "\uD7EC",  # ; HANGUL JONGSEONG SSANGSIOS-KIYEOK
        "\uD7ED",  # ; HANGUL JONGSEONG SSANGSIOS-TIKEUT
        "\uD7EE",  # ; HANGUL JONGSEONG SIOS-PANSIOS
        "\uD7EF",  # ; HANGUL JONGSEONG SIOS-CIEUC
        "\uD7F0",  # ; HANGUL JONGSEONG SIOS-CHIEUCH
        "\uD7F1",  # ; HANGUL JONGSEONG SIOS-THIEUTH
        "\uD7F2",  # ; HANGUL JONGSEONG SIOS-HIEUH
        "\uD7F3",  # ; HANGUL JONGSEONG PANSIOS-PIEUP
        "\uD7F4",  # ; HANGUL JONGSEONG PANSIOS-KAPYEOUNPIEUP
        "\uD7F5",  # ; HANGUL JONGSEONG YESIEUNG-MIEUM
        "\uD7F6",  # ; HANGUL JONGSEONG YESIEUNG-HIEUH
        "\uD7F7",  # ; HANGUL JONGSEONG CIEUC-PIEUP
        "\uD7F8",  # ; HANGUL JONGSEONG CIEUC-SSANGPIEUP
        "\uD7F9",  # ; HANGUL JONGSEONG SSANGCIEUC
        "\uD7FA",  # ; HANGUL JONGSEONG PHIEUPH-SIOS
        "\uD7FB",  # ; HANGUL JONGSEONG PHIEUPH-THIEUTH
        "\uf900","\uf901","\uf902","\uf903","\uf904","\uf905","\uf906","\uf907","\uf908","\uf909","\uf90a","\uf90b","\uf90c","\uf90d","\uf90e","\uf90f","\uf910","\uf911","\uf912","\uf913","\uf914","\uf915","\uf916","\uf917","\uf918","\uf919","\uf91a","\uf91b","\uf91c","\uf91d","\uf91e","\uf91f","\uf920","\uf921","\uf922","\uf923","\uf924","\uf925","\uf926","\uf927","\uf928","\uf929","\uf92a","\uf92b","\uf92c","\uf92d","\uf92e","\uf92f","\uf930","\uf931","\uf932","\uf933","\uf934","\uf935","\uf936","\uf937","\uf938","\uf939","\uf93a","\uf93b","\uf93c","\uf93d","\uf93e","\uf93f","\uf940","\uf941","\uf942","\uf943","\uf944","\uf945","\uf946","\uf947","\uf948","\uf949","\uf94a","\uf94b","\uf94c","\uf94d","\uf94e","\uf94f","\uf950","\uf951","\uf952","\uf953","\uf954","\uf955","\uf956","\uf957","\uf958","\uf959","\uf95a","\uf95b","\uf95c","\uf95d","\uf95e","\uf95f","\uf960","\uf961","\uf962","\uf963","\uf964","\uf965","\uf966","\uf967","\uf968","\uf969","\uf96a","\uf96b","\uf96c","\uf96d","\uf96e","\uf96f","\uf970","\uf971","\uf972","\uf973","\uf974","\uf975","\uf976","\uf977","\uf978","\uf979","\uf97a","\uf97b","\uf97c","\uf97d","\uf97e","\uf97f","\uf980","\uf981","\uf982","\uf983","\uf984","\uf985","\uf986","\uf987","\uf988","\uf989","\uf98a","\uf98b","\uf98c","\uf98d","\uf98e","\uf98f","\uf990","\uf991","\uf992","\uf993","\uf994","\uf995","\uf996","\uf997","\uf998","\uf999","\uf99a","\uf99b","\uf99c","\uf99d","\uf99e","\uf99f","\uf9a0","\uf9a1","\uf9a2","\uf9a3","\uf9a4","\uf9a5","\uf9a6","\uf9a7","\uf9a8","\uf9a9","\uf9aa","\uf9ab","\uf9ac","\uf9ad","\uf9ae","\uf9af","\uf9b0","\uf9b1","\uf9b2","\uf9b3","\uf9b4","\uf9b5","\uf9b6","\uf9b7","\uf9b8","\uf9b9","\uf9ba","\uf9bb","\uf9bc","\uf9bd","\uf9be","\uf9bf","\uf9c0","\uf9c1","\uf9c2","\uf9c3","\uf9c4","\uf9c5","\uf9c6","\uf9c7","\uf9c8","\uf9c9","\uf9ca","\uf9cb","\uf9cc","\uf9cd","\uf9ce","\uf9cf","\uf9d0","\uf9d1","\uf9d2","\uf9d3","\uf9d4","\uf9d5","\uf9d6","\uf9d7","\uf9d8","\uf9d9","\uf9da","\uf9db","\uf9dc","\uf9dd","\uf9de","\uf9df","\uf9e0","\uf9e1","\uf9e2","\uf9e3","\uf9e4","\uf9e5","\uf9e6","\uf9e7","\uf9e8","\uf9e9","\uf9ea","\uf9eb","\uf9ec","\uf9ed","\uf9ee","\uf9ef","\uf9f0","\uf9f1","\uf9f2","\uf9f3","\uf9f4","\uf9f5","\uf9f6","\uf9f7","\uf9f8","\uf9f9","\uf9fa","\uf9fb","\uf9fc","\uf9fd","\uf9fe","\uf9ff","\ufa00","\ufa01","\ufa02","\ufa03","\ufa04","\ufa05","\ufa06","\ufa07","\ufa08","\ufa09","\ufa0a","\ufa0b","\ufa0c","\ufa0d","\ufa0e","\ufa0f","\ufa10","\ufa11","\ufa12","\ufa13","\ufa14","\ufa15","\ufa16","\ufa17","\ufa18","\ufa19","\ufa1a","\ufa1b","\ufa1c","\ufa1d","\ufa1e","\ufa1f","\ufa20","\ufa21","\ufa22","\ufa23","\ufa24","\ufa25","\ufa26","\ufa27","\ufa28","\ufa29","\ufa2a","\ufa2b","\ufa2c","\ufa2d","\ufa2e","\ufa2f","\ufa30","\ufa31","\ufa32","\ufa33","\ufa34","\ufa35","\ufa36","\ufa37","\ufa38","\ufa39","\ufa3a","\ufa3b","\ufa3c","\ufa3d","\ufa3e","\ufa3f","\ufa40","\ufa41","\ufa42","\ufa43","\ufa44","\ufa45","\ufa46","\ufa47","\ufa48","\ufa49","\ufa4a","\ufa4b","\ufa4c","\ufa4d","\ufa4e","\ufa4f","\ufa50","\ufa51","\ufa52","\ufa53","\ufa54","\ufa55","\ufa56","\ufa57","\ufa58","\ufa59","\ufa5a","\ufa5b","\ufa5c","\ufa5d","\ufa5e","\ufa5f","\ufa60","\ufa61","\ufa62","\ufa63","\ufa64","\ufa65","\ufa66","\ufa67","\ufa68","\ufa69","\ufa6a","\ufa6b","\ufa6c","\ufa6d",  # ; CJK COMPATIBILITY IDEOGRAPH-*
        "\ufa70","\ufa71","\ufa72","\ufa73","\ufa74","\ufa75","\ufa76","\ufa77","\ufa78","\ufa79","\ufa7a","\ufa7b","\ufa7c","\ufa7d","\ufa7e","\ufa7f","\ufa80","\ufa81","\ufa82","\ufa83","\ufa84","\ufa85","\ufa86","\ufa87","\ufa88","\ufa89","\ufa8a","\ufa8b","\ufa8c","\ufa8d","\ufa8e","\ufa8f","\ufa90","\ufa91","\ufa92","\ufa93","\ufa94","\ufa95","\ufa96","\ufa97","\ufa98","\ufa99","\ufa9a","\ufa9b","\ufa9c","\ufa9d","\ufa9e","\ufa9f","\ufaa0","\ufaa1","\ufaa2","\ufaa3","\ufaa4","\ufaa5","\ufaa6","\ufaa7","\ufaa8","\ufaa9","\ufaaa","\ufaab","\ufaac","\ufaad","\ufaae","\ufaaf","\ufab0","\ufab1","\ufab2","\ufab3","\ufab4","\ufab5","\ufab6","\ufab7","\ufab8","\ufab9","\ufaba","\ufabb","\ufabc","\ufabd","\ufabe","\ufabf","\ufac0","\ufac1","\ufac2","\ufac3","\ufac4","\ufac5","\ufac6","\ufac7","\ufac8","\ufac9","\ufaca","\ufacb","\ufacc","\ufacd","\uface","\ufacf","\ufad0","\ufad1","\ufad2","\ufad3","\ufad4","\ufad5","\ufad6","\ufad7","\ufad8","\ufad9",  # ; CJK COMPATIBILITY IDEOGRAPH-*
        "\uFB00",  # ; LATIN SMALL LIGATURE FF
        "\uFB01",  # ; LATIN SMALL LIGATURE FI
        "\uFB02",  # ; LATIN SMALL LIGATURE FL
        "\uFB03",  # ; LATIN SMALL LIGATURE FFI
        "\uFB04",  # ; LATIN SMALL LIGATURE FFL
        "\uFB05",  # ; LATIN SMALL LIGATURE LONG S T
        "\uFB06",  # ; LATIN SMALL LIGATURE ST
        "\uFB13",  # ; ARMENIAN SMALL LIGATURE MEN NOW
        "\uFB14",  # ; ARMENIAN SMALL LIGATURE MEN ECH
        "\uFB15",  # ; ARMENIAN SMALL LIGATURE MEN INI
        "\uFB16",  # ; ARMENIAN SMALL LIGATURE VEW NOW
        "\uFB17",  # ; ARMENIAN SMALL LIGATURE MEN XEH
        "\uFB1D",  # ; HEBREW LETTER YOD WITH HIRIQ
        "\uFB1E",  # ; HEBREW POINT JUDEO-SPANISH VARIKA
        "\uFB1F",  # ; HEBREW LIGATURE YIDDISH YOD YOD PATAH
        "\uFB20",  # ; HEBREW LETTER ALTERNATIVE AYIN
        "\uFB21",  # ; HEBREW LETTER WIDE ALEF
        "\uFB22",  # ; HEBREW LETTER WIDE DALET
        "\uFB23",  # ; HEBREW LETTER WIDE HE
        "\uFB24",  # ; HEBREW LETTER WIDE KAF
        "\uFB25",  # ; HEBREW LETTER WIDE LAMED
        "\uFB26",  # ; HEBREW LETTER WIDE FINAL MEM
        "\uFB27",  # ; HEBREW LETTER WIDE RESH
        "\uFB28",  # ; HEBREW LETTER WIDE TAV
        "\uFB29",  # ; HEBREW LETTER ALTERNATIVE PLUS SIGN
        "\uFB2A",  # ; HEBREW LETTER SHIN WITH SHIN DOT
        "\uFB2B",  # ; HEBREW LETTER SHIN WITH SIN DOT
        "\uFB2C",  # ; HEBREW LETTER SHIN WITH DAGESH AND SHIN DOT
        "\uFB2D",  # ; HEBREW LETTER SHIN WITH DAGESH AND SIN DOT
        "\uFB2E",  # ; HEBREW LETTER ALEF WITH PATAH
        "\uFB2F",  # ; HEBREW LETTER ALEF WITH QAMATS
        "\uFB30",  # ; HEBREW LETTER ALEF WITH MAPIQ
        "\uFB31",  # ; HEBREW LETTER BET WITH DAGESH
        "\uFB32",  # ; HEBREW LETTER GIMEL WITH DAGESH
        "\uFB33",  # ; HEBREW LETTER DALET WITH DAGESH
        "\uFB34",  # ; HEBREW LETTER HE WITH MAPIQ
        "\uFB35",  # ; HEBREW LETTER VAV WITH DAGESH
        "\uFB36",  # ; HEBREW LETTER ZAYIN WITH DAGESH
        "\uFB38",  # ; HEBREW LETTER TET WITH DAGESH
        "\uFB39",  # ; HEBREW LETTER YOD WITH DAGESH
        "\uFB3A",  # ; HEBREW LETTER FINAL KAF WITH DAGESH
        "\uFB3B",  # ; HEBREW LETTER KAF WITH DAGESH
        "\uFB3C",  # ; HEBREW LETTER LAMED WITH DAGESH
        "\uFB3E",  # ; HEBREW LETTER MEM WITH DAGESH
        "\uFB40",  # ; HEBREW LETTER NUN WITH DAGESH
        "\uFB41",  # ; HEBREW LETTER SAMEKH WITH DAGESH
        "\uFB43",  # ; HEBREW LETTER FINAL PE WITH DAGESH
        "\uFB44",  # ; HEBREW LETTER PE WITH DAGESH
        "\uFB46",  # ; HEBREW LETTER TSADI WITH DAGESH
        "\uFB47",  # ; HEBREW LETTER QOF WITH DAGESH
        "\uFB48",  # ; HEBREW LETTER RESH WITH DAGESH
        "\uFB49",  # ; HEBREW LETTER SHIN WITH DAGESH
        "\uFB4A",  # ; HEBREW LETTER TAV WITH DAGESH
        "\uFB4B",  # ; HEBREW LETTER VAV WITH HOLAM
        "\uFB4C",  # ; HEBREW LETTER BET WITH RAFE
        "\uFB4D",  # ; HEBREW LETTER KAF WITH RAFE
        "\uFB4E",  # ; HEBREW LETTER PE WITH RAFE
        "\uFB4F",  # ; HEBREW LIGATURE ALEF LAMED
        "\uFB50",  # ; ARABIC LETTER ALEF WASLA ISOLATED FORM
        "\uFB51",  # ; ARABIC LETTER ALEF WASLA FINAL FORM
        "\uFB52",  # ; ARABIC LETTER BEEH ISOLATED FORM
        "\uFB53",  # ; ARABIC LETTER BEEH FINAL FORM
        "\uFB54",  # ; ARABIC LETTER BEEH INITIAL FORM
        "\uFB55",  # ; ARABIC LETTER BEEH MEDIAL FORM
        "\uFB56",  # ; ARABIC LETTER PEH ISOLATED FORM
        "\uFB57",  # ; ARABIC LETTER PEH FINAL FORM
        "\uFB58",  # ; ARABIC LETTER PEH INITIAL FORM
        "\uFB59",  # ; ARABIC LETTER PEH MEDIAL FORM
        "\uFB5A",  # ; ARABIC LETTER BEHEH ISOLATED FORM
        "\uFB5B",  # ; ARABIC LETTER BEHEH FINAL FORM
        "\uFB5C",  # ; ARABIC LETTER BEHEH INITIAL FORM
        "\uFB5D",  # ; ARABIC LETTER BEHEH MEDIAL FORM
        "\uFB5E",  # ; ARABIC LETTER TTEHEH ISOLATED FORM
        "\uFB5F",  # ; ARABIC LETTER TTEHEH FINAL FORM
        "\uFB60",  # ; ARABIC LETTER TTEHEH INITIAL FORM
        "\uFB61",  # ; ARABIC LETTER TTEHEH MEDIAL FORM
        "\uFB62",  # ; ARABIC LETTER TEHEH ISOLATED FORM
        "\uFB63",  # ; ARABIC LETTER TEHEH FINAL FORM
        "\uFB64",  # ; ARABIC LETTER TEHEH INITIAL FORM
        "\uFB65",  # ; ARABIC LETTER TEHEH MEDIAL FORM
        "\uFB66",  # ; ARABIC LETTER TTEH ISOLATED FORM
        "\uFB67",  # ; ARABIC LETTER TTEH FINAL FORM
        "\uFB68",  # ; ARABIC LETTER TTEH INITIAL FORM
        "\uFB69",  # ; ARABIC LETTER TTEH MEDIAL FORM
        "\uFB6A",  # ; ARABIC LETTER VEH ISOLATED FORM
        "\uFB6B",  # ; ARABIC LETTER VEH FINAL FORM
        "\uFB6C",  # ; ARABIC LETTER VEH INITIAL FORM
        "\uFB6D",  # ; ARABIC LETTER VEH MEDIAL FORM
        "\uFB6E",  # ; ARABIC LETTER PEHEH ISOLATED FORM
        "\uFB6F",  # ; ARABIC LETTER PEHEH FINAL FORM
        "\uFB70",  # ; ARABIC LETTER PEHEH INITIAL FORM
        "\uFB71",  # ; ARABIC LETTER PEHEH MEDIAL FORM
        "\uFB72",  # ; ARABIC LETTER DYEH ISOLATED FORM
        "\uFB73",  # ; ARABIC LETTER DYEH FINAL FORM
        "\uFB74",  # ; ARABIC LETTER DYEH INITIAL FORM
        "\uFB75",  # ; ARABIC LETTER DYEH MEDIAL FORM
        "\uFB76",  # ; ARABIC LETTER NYEH ISOLATED FORM
        "\uFB77",  # ; ARABIC LETTER NYEH FINAL FORM
        "\uFB78",  # ; ARABIC LETTER NYEH INITIAL FORM
        "\uFB79",  # ; ARABIC LETTER NYEH MEDIAL FORM
        "\uFB7A",  # ; ARABIC LETTER TCHEH ISOLATED FORM
        "\uFB7B",  # ; ARABIC LETTER TCHEH FINAL FORM
        "\uFB7C",  # ; ARABIC LETTER TCHEH INITIAL FORM
        "\uFB7D",  # ; ARABIC LETTER TCHEH MEDIAL FORM
        "\uFB7E",  # ; ARABIC LETTER TCHEHEH ISOLATED FORM
        "\uFB7F",  # ; ARABIC LETTER TCHEHEH FINAL FORM
        "\uFB80",  # ; ARABIC LETTER TCHEHEH INITIAL FORM
        "\uFB81",  # ; ARABIC LETTER TCHEHEH MEDIAL FORM
        "\uFB82",  # ; ARABIC LETTER DDAHAL ISOLATED FORM
        "\uFB83",  # ; ARABIC LETTER DDAHAL FINAL FORM
        "\uFB84",  # ; ARABIC LETTER DAHAL ISOLATED FORM
        "\uFB85",  # ; ARABIC LETTER DAHAL FINAL FORM
        "\uFB86",  # ; ARABIC LETTER DUL ISOLATED FORM
        "\uFB87",  # ; ARABIC LETTER DUL FINAL FORM
        "\uFB88",  # ; ARABIC LETTER DDAL ISOLATED FORM
        "\uFB89",  # ; ARABIC LETTER DDAL FINAL FORM
        "\uFB8A",  # ; ARABIC LETTER JEH ISOLATED FORM
        "\uFB8B",  # ; ARABIC LETTER JEH FINAL FORM
        "\uFB8C",  # ; ARABIC LETTER RREH ISOLATED FORM
        "\uFB8D",  # ; ARABIC LETTER RREH FINAL FORM
        "\uFB8E",  # ; ARABIC LETTER KEHEH ISOLATED FORM
        "\uFB8F",  # ; ARABIC LETTER KEHEH FINAL FORM
        "\uFB90",  # ; ARABIC LETTER KEHEH INITIAL FORM
        "\uFB91",  # ; ARABIC LETTER KEHEH MEDIAL FORM
        "\uFB92",  # ; ARABIC LETTER GAF ISOLATED FORM
        "\uFB93",  # ; ARABIC LETTER GAF FINAL FORM
        "\uFB94",  # ; ARABIC LETTER GAF INITIAL FORM
        "\uFB95",  # ; ARABIC LETTER GAF MEDIAL FORM
        "\uFB96",  # ; ARABIC LETTER GUEH ISOLATED FORM
        "\uFB97",  # ; ARABIC LETTER GUEH FINAL FORM
        "\uFB98",  # ; ARABIC LETTER GUEH INITIAL FORM
        "\uFB99",  # ; ARABIC LETTER GUEH MEDIAL FORM
        "\uFB9A",  # ; ARABIC LETTER NGOEH ISOLATED FORM
        "\uFB9B",  # ; ARABIC LETTER NGOEH FINAL FORM
        "\uFB9C",  # ; ARABIC LETTER NGOEH INITIAL FORM
        "\uFB9D",  # ; ARABIC LETTER NGOEH MEDIAL FORM
        "\uFB9E",  # ; ARABIC LETTER NOON GHUNNA ISOLATED FORM
        "\uFB9F",  # ; ARABIC LETTER NOON GHUNNA FINAL FORM
        "\uFBA0",  # ; ARABIC LETTER RNOON ISOLATED FORM
        "\uFBA1",  # ; ARABIC LETTER RNOON FINAL FORM
        "\uFBA2",  # ; ARABIC LETTER RNOON INITIAL FORM
        "\uFBA3",  # ; ARABIC LETTER RNOON MEDIAL FORM
        "\uFBA4",  # ; ARABIC LETTER HEH WITH YEH ABOVE ISOLATED FORM
        "\uFBA5",  # ; ARABIC LETTER HEH WITH YEH ABOVE FINAL FORM
        "\uFBA6",  # ; ARABIC LETTER HEH GOAL ISOLATED FORM
        "\uFBA7",  # ; ARABIC LETTER HEH GOAL FINAL FORM
        "\uFBA8",  # ; ARABIC LETTER HEH GOAL INITIAL FORM
        "\uFBA9",  # ; ARABIC LETTER HEH GOAL MEDIAL FORM
        "\uFBAA",  # ; ARABIC LETTER HEH DOACHASHMEE ISOLATED FORM
        "\uFBAB",  # ; ARABIC LETTER HEH DOACHASHMEE FINAL FORM
        "\uFBAC",  # ; ARABIC LETTER HEH DOACHASHMEE INITIAL FORM
        "\uFBAD",  # ; ARABIC LETTER HEH DOACHASHMEE MEDIAL FORM
        "\uFBAE",  # ; ARABIC LETTER YEH BARREE ISOLATED FORM
        "\uFBAF",  # ; ARABIC LETTER YEH BARREE FINAL FORM
        "\uFBB0",  # ; ARABIC LETTER YEH BARREE WITH HAMZA ABOVE ISOLATED FORM
        "\uFBB1",  # ; ARABIC LETTER YEH BARREE WITH HAMZA ABOVE FINAL FORM
        "\uFBB2",  # ; ARABIC SYMBOL DOT ABOVE
        "\uFBB3",  # ; ARABIC SYMBOL DOT BELOW
        "\uFBB4",  # ; ARABIC SYMBOL TWO DOTS ABOVE
        "\uFBB5",  # ; ARABIC SYMBOL TWO DOTS BELOW
        "\uFBB6",  # ; ARABIC SYMBOL THREE DOTS ABOVE
        "\uFBB7",  # ; ARABIC SYMBOL THREE DOTS BELOW
        "\uFBB8",  # ; ARABIC SYMBOL THREE DOTS POINTING DOWNWARDS ABOVE
        "\uFBB9",  # ; ARABIC SYMBOL THREE DOTS POINTING DOWNWARDS BELOW
        "\uFBBA",  # ; ARABIC SYMBOL FOUR DOTS ABOVE
        "\uFBBB",  # ; ARABIC SYMBOL FOUR DOTS BELOW
        "\uFBBC",  # ; ARABIC SYMBOL DOUBLE VERTICAL BAR BELOW
        "\uFBBD",  # ; ARABIC SYMBOL TWO DOTS VERTICALLY ABOVE
        "\uFBBE",  # ; ARABIC SYMBOL TWO DOTS VERTICALLY BELOW
        "\uFBBF",  # ; ARABIC SYMBOL RING
        "\uFBC0",  # ; ARABIC SYMBOL SMALL TAH ABOVE
        "\uFBC1",  # ; ARABIC SYMBOL SMALL TAH BELOW
        "\uFBD3",  # ; ARABIC LETTER NG ISOLATED FORM
        "\uFBD4",  # ; ARABIC LETTER NG FINAL FORM
        "\uFBD5",  # ; ARABIC LETTER NG INITIAL FORM
        "\uFBD6",  # ; ARABIC LETTER NG MEDIAL FORM
        "\uFBD7",  # ; ARABIC LETTER U ISOLATED FORM
        "\uFBD8",  # ; ARABIC LETTER U FINAL FORM
        "\uFBD9",  # ; ARABIC LETTER OE ISOLATED FORM
        "\uFBDA",  # ; ARABIC LETTER OE FINAL FORM
        "\uFBDB",  # ; ARABIC LETTER YU ISOLATED FORM
        "\uFBDC",  # ; ARABIC LETTER YU FINAL FORM
        "\uFBDD",  # ; ARABIC LETTER U WITH HAMZA ABOVE ISOLATED FORM
        "\uFBDE",  # ; ARABIC LETTER VE ISOLATED FORM
        "\uFBDF",  # ; ARABIC LETTER VE FINAL FORM
        "\uFBE0",  # ; ARABIC LETTER KIRGHIZ OE ISOLATED FORM
        "\uFBE1",  # ; ARABIC LETTER KIRGHIZ OE FINAL FORM
        "\uFBE2",  # ; ARABIC LETTER KIRGHIZ YU ISOLATED FORM
        "\uFBE3",  # ; ARABIC LETTER KIRGHIZ YU FINAL FORM
        "\uFBE4",  # ; ARABIC LETTER E ISOLATED FORM
        "\uFBE5",  # ; ARABIC LETTER E FINAL FORM
        "\uFBE6",  # ; ARABIC LETTER E INITIAL FORM
        "\uFBE7",  # ; ARABIC LETTER E MEDIAL FORM
        "\uFBE8",  # ; ARABIC LETTER UIGHUR KAZAKH KIRGHIZ ALEF MAKSURA INITIAL FORM
        "\uFBE9",  # ; ARABIC LETTER UIGHUR KAZAKH KIRGHIZ ALEF MAKSURA MEDIAL FORM
        "\uFBEA",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ALEF ISOLATED FORM
        "\uFBEB",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ALEF FINAL FORM
        "\uFBEC",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH AE ISOLATED FORM
        "\uFBED",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH AE FINAL FORM
        "\uFBEE",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH WAW ISOLATED FORM
        "\uFBEF",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH WAW FINAL FORM
        "\uFBF0",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH U ISOLATED FORM
        "\uFBF1",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH U FINAL FORM
        "\uFBF2",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH OE ISOLATED FORM
        "\uFBF3",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH OE FINAL FORM
        "\uFBF4",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH YU ISOLATED FORM
        "\uFBF5",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH YU FINAL FORM
        "\uFBF6",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH E ISOLATED FORM
        "\uFBF7",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH E FINAL FORM
        "\uFBF8",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH E INITIAL FORM
        "\uFBF9",  # ; ARABIC LIGATURE UIGHUR KIRGHIZ YEH WITH HAMZA ABOVE WITH ALEF MAKSURA ISOLATED FORM
        "\uFBFA",  # ; ARABIC LIGATURE UIGHUR KIRGHIZ YEH WITH HAMZA ABOVE WITH ALEF MAKSURA FINAL FORM
        "\uFBFB",  # ; ARABIC LIGATURE UIGHUR KIRGHIZ YEH WITH HAMZA ABOVE WITH ALEF MAKSURA INITIAL FORM
        "\uFBFC",  # ; ARABIC LETTER FARSI YEH ISOLATED FORM
        "\uFBFD",  # ; ARABIC LETTER FARSI YEH FINAL FORM
        "\uFBFE",  # ; ARABIC LETTER FARSI YEH INITIAL FORM
        "\uFBFF",  # ; ARABIC LETTER FARSI YEH MEDIAL FORM
        "\uFC00",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH JEEM ISOLATED FORM
        "\uFC01",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH HAH ISOLATED FORM
        "\uFC02",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH MEEM ISOLATED FORM
        "\uFC03",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ALEF MAKSURA ISOLATED FORM
        "\uFC04",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH YEH ISOLATED FORM
        "\uFC05",  # ; ARABIC LIGATURE BEH WITH JEEM ISOLATED FORM
        "\uFC06",  # ; ARABIC LIGATURE BEH WITH HAH ISOLATED FORM
        "\uFC07",  # ; ARABIC LIGATURE BEH WITH KHAH ISOLATED FORM
        "\uFC08",  # ; ARABIC LIGATURE BEH WITH MEEM ISOLATED FORM
        "\uFC09",  # ; ARABIC LIGATURE BEH WITH ALEF MAKSURA ISOLATED FORM
        "\uFC0A",  # ; ARABIC LIGATURE BEH WITH YEH ISOLATED FORM
        "\uFC0B",  # ; ARABIC LIGATURE TEH WITH JEEM ISOLATED FORM
        "\uFC0C",  # ; ARABIC LIGATURE TEH WITH HAH ISOLATED FORM
        "\uFC0D",  # ; ARABIC LIGATURE TEH WITH KHAH ISOLATED FORM
        "\uFC0E",  # ; ARABIC LIGATURE TEH WITH MEEM ISOLATED FORM
        "\uFC0F",  # ; ARABIC LIGATURE TEH WITH ALEF MAKSURA ISOLATED FORM
        "\uFC10",  # ; ARABIC LIGATURE TEH WITH YEH ISOLATED FORM
        "\uFC11",  # ; ARABIC LIGATURE THEH WITH JEEM ISOLATED FORM
        "\uFC12",  # ; ARABIC LIGATURE THEH WITH MEEM ISOLATED FORM
        "\uFC13",  # ; ARABIC LIGATURE THEH WITH ALEF MAKSURA ISOLATED FORM
        "\uFC14",  # ; ARABIC LIGATURE THEH WITH YEH ISOLATED FORM
        "\uFC15",  # ; ARABIC LIGATURE JEEM WITH HAH ISOLATED FORM
        "\uFC16",  # ; ARABIC LIGATURE JEEM WITH MEEM ISOLATED FORM
        "\uFC17",  # ; ARABIC LIGATURE HAH WITH JEEM ISOLATED FORM
        "\uFC18",  # ; ARABIC LIGATURE HAH WITH MEEM ISOLATED FORM
        "\uFC19",  # ; ARABIC LIGATURE KHAH WITH JEEM ISOLATED FORM
        "\uFC1A",  # ; ARABIC LIGATURE KHAH WITH HAH ISOLATED FORM
        "\uFC1B",  # ; ARABIC LIGATURE KHAH WITH MEEM ISOLATED FORM
        "\uFC1C",  # ; ARABIC LIGATURE SEEN WITH JEEM ISOLATED FORM
        "\uFC1D",  # ; ARABIC LIGATURE SEEN WITH HAH ISOLATED FORM
        "\uFC1E",  # ; ARABIC LIGATURE SEEN WITH KHAH ISOLATED FORM
        "\uFC1F",  # ; ARABIC LIGATURE SEEN WITH MEEM ISOLATED FORM
        "\uFC20",  # ; ARABIC LIGATURE SAD WITH HAH ISOLATED FORM
        "\uFC21",  # ; ARABIC LIGATURE SAD WITH MEEM ISOLATED FORM
        "\uFC22",  # ; ARABIC LIGATURE DAD WITH JEEM ISOLATED FORM
        "\uFC23",  # ; ARABIC LIGATURE DAD WITH HAH ISOLATED FORM
        "\uFC24",  # ; ARABIC LIGATURE DAD WITH KHAH ISOLATED FORM
        "\uFC25",  # ; ARABIC LIGATURE DAD WITH MEEM ISOLATED FORM
        "\uFC26",  # ; ARABIC LIGATURE TAH WITH HAH ISOLATED FORM
        "\uFC27",  # ; ARABIC LIGATURE TAH WITH MEEM ISOLATED FORM
        "\uFC28",  # ; ARABIC LIGATURE ZAH WITH MEEM ISOLATED FORM
        "\uFC29",  # ; ARABIC LIGATURE AIN WITH JEEM ISOLATED FORM
        "\uFC2A",  # ; ARABIC LIGATURE AIN WITH MEEM ISOLATED FORM
        "\uFC2B",  # ; ARABIC LIGATURE GHAIN WITH JEEM ISOLATED FORM
        "\uFC2C",  # ; ARABIC LIGATURE GHAIN WITH MEEM ISOLATED FORM
        "\uFC2D",  # ; ARABIC LIGATURE FEH WITH JEEM ISOLATED FORM
        "\uFC2E",  # ; ARABIC LIGATURE FEH WITH HAH ISOLATED FORM
        "\uFC2F",  # ; ARABIC LIGATURE FEH WITH KHAH ISOLATED FORM
        "\uFC30",  # ; ARABIC LIGATURE FEH WITH MEEM ISOLATED FORM
        "\uFC31",  # ; ARABIC LIGATURE FEH WITH ALEF MAKSURA ISOLATED FORM
        "\uFC32",  # ; ARABIC LIGATURE FEH WITH YEH ISOLATED FORM
        "\uFC33",  # ; ARABIC LIGATURE QAF WITH HAH ISOLATED FORM
        "\uFC34",  # ; ARABIC LIGATURE QAF WITH MEEM ISOLATED FORM
        "\uFC35",  # ; ARABIC LIGATURE QAF WITH ALEF MAKSURA ISOLATED FORM
        "\uFC36",  # ; ARABIC LIGATURE QAF WITH YEH ISOLATED FORM
        "\uFC37",  # ; ARABIC LIGATURE KAF WITH ALEF ISOLATED FORM
        "\uFC38",  # ; ARABIC LIGATURE KAF WITH JEEM ISOLATED FORM
        "\uFC39",  # ; ARABIC LIGATURE KAF WITH HAH ISOLATED FORM
        "\uFC3A",  # ; ARABIC LIGATURE KAF WITH KHAH ISOLATED FORM
        "\uFC3B",  # ; ARABIC LIGATURE KAF WITH LAM ISOLATED FORM
        "\uFC3C",  # ; ARABIC LIGATURE KAF WITH MEEM ISOLATED FORM
        "\uFC3D",  # ; ARABIC LIGATURE KAF WITH ALEF MAKSURA ISOLATED FORM
        "\uFC3E",  # ; ARABIC LIGATURE KAF WITH YEH ISOLATED FORM
        "\uFC3F",  # ; ARABIC LIGATURE LAM WITH JEEM ISOLATED FORM
        "\uFC40",  # ; ARABIC LIGATURE LAM WITH HAH ISOLATED FORM
        "\uFC41",  # ; ARABIC LIGATURE LAM WITH KHAH ISOLATED FORM
        "\uFC42",  # ; ARABIC LIGATURE LAM WITH MEEM ISOLATED FORM
        "\uFC43",  # ; ARABIC LIGATURE LAM WITH ALEF MAKSURA ISOLATED FORM
        "\uFC44",  # ; ARABIC LIGATURE LAM WITH YEH ISOLATED FORM
        "\uFC45",  # ; ARABIC LIGATURE MEEM WITH JEEM ISOLATED FORM
        "\uFC46",  # ; ARABIC LIGATURE MEEM WITH HAH ISOLATED FORM
        "\uFC47",  # ; ARABIC LIGATURE MEEM WITH KHAH ISOLATED FORM
        "\uFC48",  # ; ARABIC LIGATURE MEEM WITH MEEM ISOLATED FORM
        "\uFC49",  # ; ARABIC LIGATURE MEEM WITH ALEF MAKSURA ISOLATED FORM
        "\uFC4A",  # ; ARABIC LIGATURE MEEM WITH YEH ISOLATED FORM
        "\uFC4B",  # ; ARABIC LIGATURE NOON WITH JEEM ISOLATED FORM
        "\uFC4C",  # ; ARABIC LIGATURE NOON WITH HAH ISOLATED FORM
        "\uFC4D",  # ; ARABIC LIGATURE NOON WITH KHAH ISOLATED FORM
        "\uFC4E",  # ; ARABIC LIGATURE NOON WITH MEEM ISOLATED FORM
        "\uFC4F",  # ; ARABIC LIGATURE NOON WITH ALEF MAKSURA ISOLATED FORM
        "\uFC50",  # ; ARABIC LIGATURE NOON WITH YEH ISOLATED FORM
        "\uFC51",  # ; ARABIC LIGATURE HEH WITH JEEM ISOLATED FORM
        "\uFC52",  # ; ARABIC LIGATURE HEH WITH MEEM ISOLATED FORM
        "\uFC53",  # ; ARABIC LIGATURE HEH WITH ALEF MAKSURA ISOLATED FORM
        "\uFC54",  # ; ARABIC LIGATURE HEH WITH YEH ISOLATED FORM
        "\uFC55",  # ; ARABIC LIGATURE YEH WITH JEEM ISOLATED FORM
        "\uFC56",  # ; ARABIC LIGATURE YEH WITH HAH ISOLATED FORM
        "\uFC57",  # ; ARABIC LIGATURE YEH WITH KHAH ISOLATED FORM
        "\uFC58",  # ; ARABIC LIGATURE YEH WITH MEEM ISOLATED FORM
        "\uFC59",  # ; ARABIC LIGATURE YEH WITH ALEF MAKSURA ISOLATED FORM
        "\uFC5A",  # ; ARABIC LIGATURE YEH WITH YEH ISOLATED FORM
        "\uFC5B",  # ; ARABIC LIGATURE THAL WITH SUPERSCRIPT ALEF ISOLATED FORM
        "\uFC5C",  # ; ARABIC LIGATURE REH WITH SUPERSCRIPT ALEF ISOLATED FORM
        "\uFC5D",  # ; ARABIC LIGATURE ALEF MAKSURA WITH SUPERSCRIPT ALEF ISOLATED FORM
        "\uFC5E",  # ; ARABIC LIGATURE SHADDA WITH DAMMATAN ISOLATED FORM
        "\uFC5F",  # ; ARABIC LIGATURE SHADDA WITH KASRATAN ISOLATED FORM
        "\uFC60",  # ; ARABIC LIGATURE SHADDA WITH FATHA ISOLATED FORM
        "\uFC61",  # ; ARABIC LIGATURE SHADDA WITH DAMMA ISOLATED FORM
        "\uFC62",  # ; ARABIC LIGATURE SHADDA WITH KASRA ISOLATED FORM
        "\uFC63",  # ; ARABIC LIGATURE SHADDA WITH SUPERSCRIPT ALEF ISOLATED FORM
        "\uFC64",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH REH FINAL FORM
        "\uFC65",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ZAIN FINAL FORM
        "\uFC66",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH MEEM FINAL FORM
        "\uFC67",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH NOON FINAL FORM
        "\uFC68",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ALEF MAKSURA FINAL FORM
        "\uFC69",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH YEH FINAL FORM
        "\uFC6A",  # ; ARABIC LIGATURE BEH WITH REH FINAL FORM
        "\uFC6B",  # ; ARABIC LIGATURE BEH WITH ZAIN FINAL FORM
        "\uFC6C",  # ; ARABIC LIGATURE BEH WITH MEEM FINAL FORM
        "\uFC6D",  # ; ARABIC LIGATURE BEH WITH NOON FINAL FORM
        "\uFC6E",  # ; ARABIC LIGATURE BEH WITH ALEF MAKSURA FINAL FORM
        "\uFC6F",  # ; ARABIC LIGATURE BEH WITH YEH FINAL FORM
        "\uFC70",  # ; ARABIC LIGATURE TEH WITH REH FINAL FORM
        "\uFC71",  # ; ARABIC LIGATURE TEH WITH ZAIN FINAL FORM
        "\uFC72",  # ; ARABIC LIGATURE TEH WITH MEEM FINAL FORM
        "\uFC73",  # ; ARABIC LIGATURE TEH WITH NOON FINAL FORM
        "\uFC74",  # ; ARABIC LIGATURE TEH WITH ALEF MAKSURA FINAL FORM
        "\uFC75",  # ; ARABIC LIGATURE TEH WITH YEH FINAL FORM
        "\uFC76",  # ; ARABIC LIGATURE THEH WITH REH FINAL FORM
        "\uFC77",  # ; ARABIC LIGATURE THEH WITH ZAIN FINAL FORM
        "\uFC78",  # ; ARABIC LIGATURE THEH WITH MEEM FINAL FORM
        "\uFC79",  # ; ARABIC LIGATURE THEH WITH NOON FINAL FORM
        "\uFC7A",  # ; ARABIC LIGATURE THEH WITH ALEF MAKSURA FINAL FORM
        "\uFC7B",  # ; ARABIC LIGATURE THEH WITH YEH FINAL FORM
        "\uFC7C",  # ; ARABIC LIGATURE FEH WITH ALEF MAKSURA FINAL FORM
        "\uFC7D",  # ; ARABIC LIGATURE FEH WITH YEH FINAL FORM
        "\uFC7E",  # ; ARABIC LIGATURE QAF WITH ALEF MAKSURA FINAL FORM
        "\uFC7F",  # ; ARABIC LIGATURE QAF WITH YEH FINAL FORM
        "\uFC80",  # ; ARABIC LIGATURE KAF WITH ALEF FINAL FORM
        "\uFC81",  # ; ARABIC LIGATURE KAF WITH LAM FINAL FORM
        "\uFC82",  # ; ARABIC LIGATURE KAF WITH MEEM FINAL FORM
        "\uFC83",  # ; ARABIC LIGATURE KAF WITH ALEF MAKSURA FINAL FORM
        "\uFC84",  # ; ARABIC LIGATURE KAF WITH YEH FINAL FORM
        "\uFC85",  # ; ARABIC LIGATURE LAM WITH MEEM FINAL FORM
        "\uFC86",  # ; ARABIC LIGATURE LAM WITH ALEF MAKSURA FINAL FORM
        "\uFC87",  # ; ARABIC LIGATURE LAM WITH YEH FINAL FORM
        "\uFC88",  # ; ARABIC LIGATURE MEEM WITH ALEF FINAL FORM
        "\uFC89",  # ; ARABIC LIGATURE MEEM WITH MEEM FINAL FORM
        "\uFC8A",  # ; ARABIC LIGATURE NOON WITH REH FINAL FORM
        "\uFC8B",  # ; ARABIC LIGATURE NOON WITH ZAIN FINAL FORM
        "\uFC8C",  # ; ARABIC LIGATURE NOON WITH MEEM FINAL FORM
        "\uFC8D",  # ; ARABIC LIGATURE NOON WITH NOON FINAL FORM
        "\uFC8E",  # ; ARABIC LIGATURE NOON WITH ALEF MAKSURA FINAL FORM
        "\uFC8F",  # ; ARABIC LIGATURE NOON WITH YEH FINAL FORM
        "\uFC90",  # ; ARABIC LIGATURE ALEF MAKSURA WITH SUPERSCRIPT ALEF FINAL FORM
        "\uFC91",  # ; ARABIC LIGATURE YEH WITH REH FINAL FORM
        "\uFC92",  # ; ARABIC LIGATURE YEH WITH ZAIN FINAL FORM
        "\uFC93",  # ; ARABIC LIGATURE YEH WITH MEEM FINAL FORM
        "\uFC94",  # ; ARABIC LIGATURE YEH WITH NOON FINAL FORM
        "\uFC95",  # ; ARABIC LIGATURE YEH WITH ALEF MAKSURA FINAL FORM
        "\uFC96",  # ; ARABIC LIGATURE YEH WITH YEH FINAL FORM
        "\uFC97",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH JEEM INITIAL FORM
        "\uFC98",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH HAH INITIAL FORM
        "\uFC99",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH KHAH INITIAL FORM
        "\uFC9A",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH MEEM INITIAL FORM
        "\uFC9B",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH HEH INITIAL FORM
        "\uFC9C",  # ; ARABIC LIGATURE BEH WITH JEEM INITIAL FORM
        "\uFC9D",  # ; ARABIC LIGATURE BEH WITH HAH INITIAL FORM
        "\uFC9E",  # ; ARABIC LIGATURE BEH WITH KHAH INITIAL FORM
        "\uFC9F",  # ; ARABIC LIGATURE BEH WITH MEEM INITIAL FORM
        "\uFCA0",  # ; ARABIC LIGATURE BEH WITH HEH INITIAL FORM
        "\uFCA1",  # ; ARABIC LIGATURE TEH WITH JEEM INITIAL FORM
        "\uFCA2",  # ; ARABIC LIGATURE TEH WITH HAH INITIAL FORM
        "\uFCA3",  # ; ARABIC LIGATURE TEH WITH KHAH INITIAL FORM
        "\uFCA4",  # ; ARABIC LIGATURE TEH WITH MEEM INITIAL FORM
        "\uFCA5",  # ; ARABIC LIGATURE TEH WITH HEH INITIAL FORM
        "\uFCA6",  # ; ARABIC LIGATURE THEH WITH MEEM INITIAL FORM
        "\uFCA7",  # ; ARABIC LIGATURE JEEM WITH HAH INITIAL FORM
        "\uFCA8",  # ; ARABIC LIGATURE JEEM WITH MEEM INITIAL FORM
        "\uFCA9",  # ; ARABIC LIGATURE HAH WITH JEEM INITIAL FORM
        "\uFCAA",  # ; ARABIC LIGATURE HAH WITH MEEM INITIAL FORM
        "\uFCAB",  # ; ARABIC LIGATURE KHAH WITH JEEM INITIAL FORM
        "\uFCAC",  # ; ARABIC LIGATURE KHAH WITH MEEM INITIAL FORM
        "\uFCAD",  # ; ARABIC LIGATURE SEEN WITH JEEM INITIAL FORM
        "\uFCAE",  # ; ARABIC LIGATURE SEEN WITH HAH INITIAL FORM
        "\uFCAF",  # ; ARABIC LIGATURE SEEN WITH KHAH INITIAL FORM
        "\uFCB0",  # ; ARABIC LIGATURE SEEN WITH MEEM INITIAL FORM
        "\uFCB1",  # ; ARABIC LIGATURE SAD WITH HAH INITIAL FORM
        "\uFCB2",  # ; ARABIC LIGATURE SAD WITH KHAH INITIAL FORM
        "\uFCB3",  # ; ARABIC LIGATURE SAD WITH MEEM INITIAL FORM
        "\uFCB4",  # ; ARABIC LIGATURE DAD WITH JEEM INITIAL FORM
        "\uFCB5",  # ; ARABIC LIGATURE DAD WITH HAH INITIAL FORM
        "\uFCB6",  # ; ARABIC LIGATURE DAD WITH KHAH INITIAL FORM
        "\uFCB7",  # ; ARABIC LIGATURE DAD WITH MEEM INITIAL FORM
        "\uFCB8",  # ; ARABIC LIGATURE TAH WITH HAH INITIAL FORM
        "\uFCB9",  # ; ARABIC LIGATURE ZAH WITH MEEM INITIAL FORM
        "\uFCBA",  # ; ARABIC LIGATURE AIN WITH JEEM INITIAL FORM
        "\uFCBB",  # ; ARABIC LIGATURE AIN WITH MEEM INITIAL FORM
        "\uFCBC",  # ; ARABIC LIGATURE GHAIN WITH JEEM INITIAL FORM
        "\uFCBD",  # ; ARABIC LIGATURE GHAIN WITH MEEM INITIAL FORM
        "\uFCBE",  # ; ARABIC LIGATURE FEH WITH JEEM INITIAL FORM
        "\uFCBF",  # ; ARABIC LIGATURE FEH WITH HAH INITIAL FORM
        "\uFCC0",  # ; ARABIC LIGATURE FEH WITH KHAH INITIAL FORM
        "\uFCC1",  # ; ARABIC LIGATURE FEH WITH MEEM INITIAL FORM
        "\uFCC2",  # ; ARABIC LIGATURE QAF WITH HAH INITIAL FORM
        "\uFCC3",  # ; ARABIC LIGATURE QAF WITH MEEM INITIAL FORM
        "\uFCC4",  # ; ARABIC LIGATURE KAF WITH JEEM INITIAL FORM
        "\uFCC5",  # ; ARABIC LIGATURE KAF WITH HAH INITIAL FORM
        "\uFCC6",  # ; ARABIC LIGATURE KAF WITH KHAH INITIAL FORM
        "\uFCC7",  # ; ARABIC LIGATURE KAF WITH LAM INITIAL FORM
        "\uFCC8",  # ; ARABIC LIGATURE KAF WITH MEEM INITIAL FORM
        "\uFCC9",  # ; ARABIC LIGATURE LAM WITH JEEM INITIAL FORM
        "\uFCCA",  # ; ARABIC LIGATURE LAM WITH HAH INITIAL FORM
        "\uFCCB",  # ; ARABIC LIGATURE LAM WITH KHAH INITIAL FORM
        "\uFCCC",  # ; ARABIC LIGATURE LAM WITH MEEM INITIAL FORM
        "\uFCCD",  # ; ARABIC LIGATURE LAM WITH HEH INITIAL FORM
        "\uFCCE",  # ; ARABIC LIGATURE MEEM WITH JEEM INITIAL FORM
        "\uFCCF",  # ; ARABIC LIGATURE MEEM WITH HAH INITIAL FORM
        "\uFCD0",  # ; ARABIC LIGATURE MEEM WITH KHAH INITIAL FORM
        "\uFCD1",  # ; ARABIC LIGATURE MEEM WITH MEEM INITIAL FORM
        "\uFCD2",  # ; ARABIC LIGATURE NOON WITH JEEM INITIAL FORM
        "\uFCD3",  # ; ARABIC LIGATURE NOON WITH HAH INITIAL FORM
        "\uFCD4",  # ; ARABIC LIGATURE NOON WITH KHAH INITIAL FORM
        "\uFCD5",  # ; ARABIC LIGATURE NOON WITH MEEM INITIAL FORM
        "\uFCD6",  # ; ARABIC LIGATURE NOON WITH HEH INITIAL FORM
        "\uFCD7",  # ; ARABIC LIGATURE HEH WITH JEEM INITIAL FORM
        "\uFCD8",  # ; ARABIC LIGATURE HEH WITH MEEM INITIAL FORM
        "\uFCD9",  # ; ARABIC LIGATURE HEH WITH SUPERSCRIPT ALEF INITIAL FORM
        "\uFCDA",  # ; ARABIC LIGATURE YEH WITH JEEM INITIAL FORM
        "\uFCDB",  # ; ARABIC LIGATURE YEH WITH HAH INITIAL FORM
        "\uFCDC",  # ; ARABIC LIGATURE YEH WITH KHAH INITIAL FORM
        "\uFCDD",  # ; ARABIC LIGATURE YEH WITH MEEM INITIAL FORM
        "\uFCDE",  # ; ARABIC LIGATURE YEH WITH HEH INITIAL FORM
        "\uFCDF",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH MEEM MEDIAL FORM
        "\uFCE0",  # ; ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH HEH MEDIAL FORM
        "\uFCE1",  # ; ARABIC LIGATURE BEH WITH MEEM MEDIAL FORM
        "\uFCE2",  # ; ARABIC LIGATURE BEH WITH HEH MEDIAL FORM
        "\uFCE3",  # ; ARABIC LIGATURE TEH WITH MEEM MEDIAL FORM
        "\uFCE4",  # ; ARABIC LIGATURE TEH WITH HEH MEDIAL FORM
        "\uFCE5",  # ; ARABIC LIGATURE THEH WITH MEEM MEDIAL FORM
        "\uFCE6",  # ; ARABIC LIGATURE THEH WITH HEH MEDIAL FORM
        "\uFCE7",  # ; ARABIC LIGATURE SEEN WITH MEEM MEDIAL FORM
        "\uFCE8",  # ; ARABIC LIGATURE SEEN WITH HEH MEDIAL FORM
        "\uFCE9",  # ; ARABIC LIGATURE SHEEN WITH MEEM MEDIAL FORM
        "\uFCEA",  # ; ARABIC LIGATURE SHEEN WITH HEH MEDIAL FORM
        "\uFCEB",  # ; ARABIC LIGATURE KAF WITH LAM MEDIAL FORM
        "\uFCEC",  # ; ARABIC LIGATURE KAF WITH MEEM MEDIAL FORM
        "\uFCED",  # ; ARABIC LIGATURE LAM WITH MEEM MEDIAL FORM
        "\uFCEE",  # ; ARABIC LIGATURE NOON WITH MEEM MEDIAL FORM
        "\uFCEF",  # ; ARABIC LIGATURE NOON WITH HEH MEDIAL FORM
        "\uFCF0",  # ; ARABIC LIGATURE YEH WITH MEEM MEDIAL FORM
        "\uFCF1",  # ; ARABIC LIGATURE YEH WITH HEH MEDIAL FORM
        "\uFCF2",  # ; ARABIC LIGATURE SHADDA WITH FATHA MEDIAL FORM
        "\uFCF3",  # ; ARABIC LIGATURE SHADDA WITH DAMMA MEDIAL FORM
        "\uFCF4",  # ; ARABIC LIGATURE SHADDA WITH KASRA MEDIAL FORM
        "\uFCF5",  # ; ARABIC LIGATURE TAH WITH ALEF MAKSURA ISOLATED FORM
        "\uFCF6",  # ; ARABIC LIGATURE TAH WITH YEH ISOLATED FORM
        "\uFCF7",  # ; ARABIC LIGATURE AIN WITH ALEF MAKSURA ISOLATED FORM
        "\uFCF8",  # ; ARABIC LIGATURE AIN WITH YEH ISOLATED FORM
        "\uFCF9",  # ; ARABIC LIGATURE GHAIN WITH ALEF MAKSURA ISOLATED FORM
        "\uFCFA",  # ; ARABIC LIGATURE GHAIN WITH YEH ISOLATED FORM
        "\uFCFB",  # ; ARABIC LIGATURE SEEN WITH ALEF MAKSURA ISOLATED FORM
        "\uFCFC",  # ; ARABIC LIGATURE SEEN WITH YEH ISOLATED FORM
        "\uFCFD",  # ; ARABIC LIGATURE SHEEN WITH ALEF MAKSURA ISOLATED FORM
        "\uFCFE",  # ; ARABIC LIGATURE SHEEN WITH YEH ISOLATED FORM
        "\uFCFF",  # ; ARABIC LIGATURE HAH WITH ALEF MAKSURA ISOLATED FORM
        "\uFD00",  # ; ARABIC LIGATURE HAH WITH YEH ISOLATED FORM
        "\uFD01",  # ; ARABIC LIGATURE JEEM WITH ALEF MAKSURA ISOLATED FORM
        "\uFD02",  # ; ARABIC LIGATURE JEEM WITH YEH ISOLATED FORM
        "\uFD03",  # ; ARABIC LIGATURE KHAH WITH ALEF MAKSURA ISOLATED FORM
        "\uFD04",  # ; ARABIC LIGATURE KHAH WITH YEH ISOLATED FORM
        "\uFD05",  # ; ARABIC LIGATURE SAD WITH ALEF MAKSURA ISOLATED FORM
        "\uFD06",  # ; ARABIC LIGATURE SAD WITH YEH ISOLATED FORM
        "\uFD07",  # ; ARABIC LIGATURE DAD WITH ALEF MAKSURA ISOLATED FORM
        "\uFD08",  # ; ARABIC LIGATURE DAD WITH YEH ISOLATED FORM
        "\uFD09",  # ; ARABIC LIGATURE SHEEN WITH JEEM ISOLATED FORM
        "\uFD0A",  # ; ARABIC LIGATURE SHEEN WITH HAH ISOLATED FORM
        "\uFD0B",  # ; ARABIC LIGATURE SHEEN WITH KHAH ISOLATED FORM
        "\uFD0C",  # ; ARABIC LIGATURE SHEEN WITH MEEM ISOLATED FORM
        "\uFD0D",  # ; ARABIC LIGATURE SHEEN WITH REH ISOLATED FORM
        "\uFD0E",  # ; ARABIC LIGATURE SEEN WITH REH ISOLATED FORM
        "\uFD0F",  # ; ARABIC LIGATURE SAD WITH REH ISOLATED FORM
        "\uFD10",  # ; ARABIC LIGATURE DAD WITH REH ISOLATED FORM
        "\uFD11",  # ; ARABIC LIGATURE TAH WITH ALEF MAKSURA FINAL FORM
        "\uFD12",  # ; ARABIC LIGATURE TAH WITH YEH FINAL FORM
        "\uFD13",  # ; ARABIC LIGATURE AIN WITH ALEF MAKSURA FINAL FORM
        "\uFD14",  # ; ARABIC LIGATURE AIN WITH YEH FINAL FORM
        "\uFD15",  # ; ARABIC LIGATURE GHAIN WITH ALEF MAKSURA FINAL FORM
        "\uFD16",  # ; ARABIC LIGATURE GHAIN WITH YEH FINAL FORM
        "\uFD17",  # ; ARABIC LIGATURE SEEN WITH ALEF MAKSURA FINAL FORM
        "\uFD18",  # ; ARABIC LIGATURE SEEN WITH YEH FINAL FORM
        "\uFD19",  # ; ARABIC LIGATURE SHEEN WITH ALEF MAKSURA FINAL FORM
        "\uFD1A",  # ; ARABIC LIGATURE SHEEN WITH YEH FINAL FORM
        "\uFD1B",  # ; ARABIC LIGATURE HAH WITH ALEF MAKSURA FINAL FORM
        "\uFD1C",  # ; ARABIC LIGATURE HAH WITH YEH FINAL FORM
        "\uFD1D",  # ; ARABIC LIGATURE JEEM WITH ALEF MAKSURA FINAL FORM
        "\uFD1E",  # ; ARABIC LIGATURE JEEM WITH YEH FINAL FORM
        "\uFD1F",  # ; ARABIC LIGATURE KHAH WITH ALEF MAKSURA FINAL FORM
        "\uFD20",  # ; ARABIC LIGATURE KHAH WITH YEH FINAL FORM
        "\uFD21",  # ; ARABIC LIGATURE SAD WITH ALEF MAKSURA FINAL FORM
        "\uFD22",  # ; ARABIC LIGATURE SAD WITH YEH FINAL FORM
        "\uFD23",  # ; ARABIC LIGATURE DAD WITH ALEF MAKSURA FINAL FORM
        "\uFD24",  # ; ARABIC LIGATURE DAD WITH YEH FINAL FORM
        "\uFD25",  # ; ARABIC LIGATURE SHEEN WITH JEEM FINAL FORM
        "\uFD26",  # ; ARABIC LIGATURE SHEEN WITH HAH FINAL FORM
        "\uFD27",  # ; ARABIC LIGATURE SHEEN WITH KHAH FINAL FORM
        "\uFD28",  # ; ARABIC LIGATURE SHEEN WITH MEEM FINAL FORM
        "\uFD29",  # ; ARABIC LIGATURE SHEEN WITH REH FINAL FORM
        "\uFD2A",  # ; ARABIC LIGATURE SEEN WITH REH FINAL FORM
        "\uFD2B",  # ; ARABIC LIGATURE SAD WITH REH FINAL FORM
        "\uFD2C",  # ; ARABIC LIGATURE DAD WITH REH FINAL FORM
        "\uFD2D",  # ; ARABIC LIGATURE SHEEN WITH JEEM INITIAL FORM
        "\uFD2E",  # ; ARABIC LIGATURE SHEEN WITH HAH INITIAL FORM
        "\uFD2F",  # ; ARABIC LIGATURE SHEEN WITH KHAH INITIAL FORM
        "\uFD30",  # ; ARABIC LIGATURE SHEEN WITH MEEM INITIAL FORM
        "\uFD31",  # ; ARABIC LIGATURE SEEN WITH HEH INITIAL FORM
        "\uFD32",  # ; ARABIC LIGATURE SHEEN WITH HEH INITIAL FORM
        "\uFD33",  # ; ARABIC LIGATURE TAH WITH MEEM INITIAL FORM
        "\uFD34",  # ; ARABIC LIGATURE SEEN WITH JEEM MEDIAL FORM
        "\uFD35",  # ; ARABIC LIGATURE SEEN WITH HAH MEDIAL FORM
        "\uFD36",  # ; ARABIC LIGATURE SEEN WITH KHAH MEDIAL FORM
        "\uFD37",  # ; ARABIC LIGATURE SHEEN WITH JEEM MEDIAL FORM
        "\uFD38",  # ; ARABIC LIGATURE SHEEN WITH HAH MEDIAL FORM
        "\uFD39",  # ; ARABIC LIGATURE SHEEN WITH KHAH MEDIAL FORM
        "\uFD3A",  # ; ARABIC LIGATURE TAH WITH MEEM MEDIAL FORM
        "\uFD3B",  # ; ARABIC LIGATURE ZAH WITH MEEM MEDIAL FORM
        "\uFD3C",  # ; ARABIC LIGATURE ALEF WITH FATHATAN FINAL FORM
        "\uFD3D",  # ; ARABIC LIGATURE ALEF WITH FATHATAN ISOLATED FORM
        "\uFD3E",  # ; ORNATE LEFT PARENTHESIS
        "\uFD3F",  # ; ORNATE RIGHT PARENTHESIS
        "\uFD50",  # ; ARABIC LIGATURE TEH WITH JEEM WITH MEEM INITIAL FORM
        "\uFD51",  # ; ARABIC LIGATURE TEH WITH HAH WITH JEEM FINAL FORM
        "\uFD52",  # ; ARABIC LIGATURE TEH WITH HAH WITH JEEM INITIAL FORM
        "\uFD53",  # ; ARABIC LIGATURE TEH WITH HAH WITH MEEM INITIAL FORM
        "\uFD54",  # ; ARABIC LIGATURE TEH WITH KHAH WITH MEEM INITIAL FORM
        "\uFD55",  # ; ARABIC LIGATURE TEH WITH MEEM WITH JEEM INITIAL FORM
        "\uFD56",  # ; ARABIC LIGATURE TEH WITH MEEM WITH HAH INITIAL FORM
        "\uFD57",  # ; ARABIC LIGATURE TEH WITH MEEM WITH KHAH INITIAL FORM
        "\uFD58",  # ; ARABIC LIGATURE JEEM WITH MEEM WITH HAH FINAL FORM
        "\uFD59",  # ; ARABIC LIGATURE JEEM WITH MEEM WITH HAH INITIAL FORM
        "\uFD5A",  # ; ARABIC LIGATURE HAH WITH MEEM WITH YEH FINAL FORM
        "\uFD5B",  # ; ARABIC LIGATURE HAH WITH MEEM WITH ALEF MAKSURA FINAL FORM
        "\uFD5C",  # ; ARABIC LIGATURE SEEN WITH HAH WITH JEEM INITIAL FORM
        "\uFD5D",  # ; ARABIC LIGATURE SEEN WITH JEEM WITH HAH INITIAL FORM
        "\uFD5E",  # ; ARABIC LIGATURE SEEN WITH JEEM WITH ALEF MAKSURA FINAL FORM
        "\uFD5F",  # ; ARABIC LIGATURE SEEN WITH MEEM WITH HAH FINAL FORM
        "\uFD60",  # ; ARABIC LIGATURE SEEN WITH MEEM WITH HAH INITIAL FORM
        "\uFD61",  # ; ARABIC LIGATURE SEEN WITH MEEM WITH JEEM INITIAL FORM
        "\uFD62",  # ; ARABIC LIGATURE SEEN WITH MEEM WITH MEEM FINAL FORM
        "\uFD63",  # ; ARABIC LIGATURE SEEN WITH MEEM WITH MEEM INITIAL FORM
        "\uFD64",  # ; ARABIC LIGATURE SAD WITH HAH WITH HAH FINAL FORM
        "\uFD65",  # ; ARABIC LIGATURE SAD WITH HAH WITH HAH INITIAL FORM
        "\uFD66",  # ; ARABIC LIGATURE SAD WITH MEEM WITH MEEM FINAL FORM
        "\uFD67",  # ; ARABIC LIGATURE SHEEN WITH HAH WITH MEEM FINAL FORM
        "\uFD68",  # ; ARABIC LIGATURE SHEEN WITH HAH WITH MEEM INITIAL FORM
        "\uFD69",  # ; ARABIC LIGATURE SHEEN WITH JEEM WITH YEH FINAL FORM
        "\uFD6A",  # ; ARABIC LIGATURE SHEEN WITH MEEM WITH KHAH FINAL FORM
        "\uFD6B",  # ; ARABIC LIGATURE SHEEN WITH MEEM WITH KHAH INITIAL FORM
        "\uFD6C",  # ; ARABIC LIGATURE SHEEN WITH MEEM WITH MEEM FINAL FORM
        "\uFD6D",  # ; ARABIC LIGATURE SHEEN WITH MEEM WITH MEEM INITIAL FORM
        "\uFD6E",  # ; ARABIC LIGATURE DAD WITH HAH WITH ALEF MAKSURA FINAL FORM
        "\uFD6F",  # ; ARABIC LIGATURE DAD WITH KHAH WITH MEEM FINAL FORM
        "\uFD70",  # ; ARABIC LIGATURE DAD WITH KHAH WITH MEEM INITIAL FORM
        "\uFD71",  # ; ARABIC LIGATURE TAH WITH MEEM WITH HAH FINAL FORM
        "\uFD72",  # ; ARABIC LIGATURE TAH WITH MEEM WITH HAH INITIAL FORM
        "\uFD73",  # ; ARABIC LIGATURE TAH WITH MEEM WITH MEEM INITIAL FORM
        "\uFD74",  # ; ARABIC LIGATURE TAH WITH MEEM WITH YEH FINAL FORM
        "\uFD75",  # ; ARABIC LIGATURE AIN WITH JEEM WITH MEEM FINAL FORM
        "\uFD76",  # ; ARABIC LIGATURE AIN WITH MEEM WITH MEEM FINAL FORM
        "\uFD77",  # ; ARABIC LIGATURE AIN WITH MEEM WITH MEEM INITIAL FORM
        "\uFD78",  # ; ARABIC LIGATURE AIN WITH MEEM WITH ALEF MAKSURA FINAL FORM
        "\uFD79",  # ; ARABIC LIGATURE GHAIN WITH MEEM WITH MEEM FINAL FORM
        "\uFD7A",  # ; ARABIC LIGATURE GHAIN WITH MEEM WITH YEH FINAL FORM
        "\uFD7B",  # ; ARABIC LIGATURE GHAIN WITH MEEM WITH ALEF MAKSURA FINAL FORM
        "\uFD7C",  # ; ARABIC LIGATURE FEH WITH KHAH WITH MEEM FINAL FORM
        "\uFD7D",  # ; ARABIC LIGATURE FEH WITH KHAH WITH MEEM INITIAL FORM
        "\uFD7E",  # ; ARABIC LIGATURE QAF WITH MEEM WITH HAH FINAL FORM
        "\uFD7F",  # ; ARABIC LIGATURE QAF WITH MEEM WITH MEEM FINAL FORM
        "\uFD80",  # ; ARABIC LIGATURE LAM WITH HAH WITH MEEM FINAL FORM
        "\uFD81",  # ; ARABIC LIGATURE LAM WITH HAH WITH YEH FINAL FORM
        "\uFD82",  # ; ARABIC LIGATURE LAM WITH HAH WITH ALEF MAKSURA FINAL FORM
        "\uFD83",  # ; ARABIC LIGATURE LAM WITH JEEM WITH JEEM INITIAL FORM
        "\uFD84",  # ; ARABIC LIGATURE LAM WITH JEEM WITH JEEM FINAL FORM
        "\uFD85",  # ; ARABIC LIGATURE LAM WITH KHAH WITH MEEM FINAL FORM
        "\uFD86",  # ; ARABIC LIGATURE LAM WITH KHAH WITH MEEM INITIAL FORM
        "\uFD87",  # ; ARABIC LIGATURE LAM WITH MEEM WITH HAH FINAL FORM
        "\uFD88",  # ; ARABIC LIGATURE LAM WITH MEEM WITH HAH INITIAL FORM
        "\uFD89",  # ; ARABIC LIGATURE MEEM WITH HAH WITH JEEM INITIAL FORM
        "\uFD8A",  # ; ARABIC LIGATURE MEEM WITH HAH WITH MEEM INITIAL FORM
        "\uFD8B",  # ; ARABIC LIGATURE MEEM WITH HAH WITH YEH FINAL FORM
        "\uFD8C",  # ; ARABIC LIGATURE MEEM WITH JEEM WITH HAH INITIAL FORM
        "\uFD8D",  # ; ARABIC LIGATURE MEEM WITH JEEM WITH MEEM INITIAL FORM
        "\uFD8E",  # ; ARABIC LIGATURE MEEM WITH KHAH WITH JEEM INITIAL FORM
        "\uFD8F",  # ; ARABIC LIGATURE MEEM WITH KHAH WITH MEEM INITIAL FORM
        "\uFD92",  # ; ARABIC LIGATURE MEEM WITH JEEM WITH KHAH INITIAL FORM
        "\uFD93",  # ; ARABIC LIGATURE HEH WITH MEEM WITH JEEM INITIAL FORM
        "\uFD94",  # ; ARABIC LIGATURE HEH WITH MEEM WITH MEEM INITIAL FORM
        "\uFD95",  # ; ARABIC LIGATURE NOON WITH HAH WITH MEEM INITIAL FORM
        "\uFD96",  # ; ARABIC LIGATURE NOON WITH HAH WITH ALEF MAKSURA FINAL FORM
        "\uFD97",  # ; ARABIC LIGATURE NOON WITH JEEM WITH MEEM FINAL FORM
        "\uFD98",  # ; ARABIC LIGATURE NOON WITH JEEM WITH MEEM INITIAL FORM
        "\uFD99",  # ; ARABIC LIGATURE NOON WITH JEEM WITH ALEF MAKSURA FINAL FORM
        "\uFD9A",  # ; ARABIC LIGATURE NOON WITH MEEM WITH YEH FINAL FORM
        "\uFD9B",  # ; ARABIC LIGATURE NOON WITH MEEM WITH ALEF MAKSURA FINAL FORM
        "\uFD9C",  # ; ARABIC LIGATURE YEH WITH MEEM WITH MEEM FINAL FORM
        "\uFD9D",  # ; ARABIC LIGATURE YEH WITH MEEM WITH MEEM INITIAL FORM
        "\uFD9E",  # ; ARABIC LIGATURE BEH WITH KHAH WITH YEH FINAL FORM
        "\uFD9F",  # ; ARABIC LIGATURE TEH WITH JEEM WITH YEH FINAL FORM
        "\uFDA0",  # ; ARABIC LIGATURE TEH WITH JEEM WITH ALEF MAKSURA FINAL FORM
        "\uFDA1",  # ; ARABIC LIGATURE TEH WITH KHAH WITH YEH FINAL FORM
        "\uFDA2",  # ; ARABIC LIGATURE TEH WITH KHAH WITH ALEF MAKSURA FINAL FORM
        "\uFDA3",  # ; ARABIC LIGATURE TEH WITH MEEM WITH YEH FINAL FORM
        "\uFDA4",  # ; ARABIC LIGATURE TEH WITH MEEM WITH ALEF MAKSURA FINAL FORM
        "\uFDA5",  # ; ARABIC LIGATURE JEEM WITH MEEM WITH YEH FINAL FORM
        "\uFDA6",  # ; ARABIC LIGATURE JEEM WITH HAH WITH ALEF MAKSURA FINAL FORM
        "\uFDA7",  # ; ARABIC LIGATURE JEEM WITH MEEM WITH ALEF MAKSURA FINAL FORM
        "\uFDA8",  # ; ARABIC LIGATURE SEEN WITH KHAH WITH ALEF MAKSURA FINAL FORM
        "\uFDA9",  # ; ARABIC LIGATURE SAD WITH HAH WITH YEH FINAL FORM
        "\uFDAA",  # ; ARABIC LIGATURE SHEEN WITH HAH WITH YEH FINAL FORM
        "\uFDAB",  # ; ARABIC LIGATURE DAD WITH HAH WITH YEH FINAL FORM
        "\uFDAC",  # ; ARABIC LIGATURE LAM WITH JEEM WITH YEH FINAL FORM
        "\uFDAD",  # ; ARABIC LIGATURE LAM WITH MEEM WITH YEH FINAL FORM
        "\uFDAE",  # ; ARABIC LIGATURE YEH WITH HAH WITH YEH FINAL FORM
        "\uFDAF",  # ; ARABIC LIGATURE YEH WITH JEEM WITH YEH FINAL FORM
        "\uFDB0",  # ; ARABIC LIGATURE YEH WITH MEEM WITH YEH FINAL FORM
        "\uFDB1",  # ; ARABIC LIGATURE MEEM WITH MEEM WITH YEH FINAL FORM
        "\uFDB2",  # ; ARABIC LIGATURE QAF WITH MEEM WITH YEH FINAL FORM
        "\uFDB3",  # ; ARABIC LIGATURE NOON WITH HAH WITH YEH FINAL FORM
        "\uFDB4",  # ; ARABIC LIGATURE QAF WITH MEEM WITH HAH INITIAL FORM
        "\uFDB5",  # ; ARABIC LIGATURE LAM WITH HAH WITH MEEM INITIAL FORM
        "\uFDB6",  # ; ARABIC LIGATURE AIN WITH MEEM WITH YEH FINAL FORM
        "\uFDB7",  # ; ARABIC LIGATURE KAF WITH MEEM WITH YEH FINAL FORM
        "\uFDB8",  # ; ARABIC LIGATURE NOON WITH JEEM WITH HAH INITIAL FORM
        "\uFDB9",  # ; ARABIC LIGATURE MEEM WITH KHAH WITH YEH FINAL FORM
        "\uFDBA",  # ; ARABIC LIGATURE LAM WITH JEEM WITH MEEM INITIAL FORM
        "\uFDBB",  # ; ARABIC LIGATURE KAF WITH MEEM WITH MEEM FINAL FORM
        "\uFDBC",  # ; ARABIC LIGATURE LAM WITH JEEM WITH MEEM FINAL FORM
        "\uFDBD",  # ; ARABIC LIGATURE NOON WITH JEEM WITH HAH FINAL FORM
        "\uFDBE",  # ; ARABIC LIGATURE JEEM WITH HAH WITH YEH FINAL FORM
        "\uFDBF",  # ; ARABIC LIGATURE HAH WITH JEEM WITH YEH FINAL FORM
        "\uFDC0",  # ; ARABIC LIGATURE MEEM WITH JEEM WITH YEH FINAL FORM
        "\uFDC1",  # ; ARABIC LIGATURE FEH WITH MEEM WITH YEH FINAL FORM
        "\uFDC2",  # ; ARABIC LIGATURE BEH WITH HAH WITH YEH FINAL FORM
        "\uFDC3",  # ; ARABIC LIGATURE KAF WITH MEEM WITH MEEM INITIAL FORM
        "\uFDC4",  # ; ARABIC LIGATURE AIN WITH JEEM WITH MEEM INITIAL FORM
        "\uFDC5",  # ; ARABIC LIGATURE SAD WITH MEEM WITH MEEM INITIAL FORM
        "\uFDC6",  # ; ARABIC LIGATURE SEEN WITH KHAH WITH YEH FINAL FORM
        "\uFDC7",  # ; ARABIC LIGATURE NOON WITH JEEM WITH YEH FINAL FORM
        "\uFDF0",  # ; ARABIC LIGATURE SALLA USED AS KORANIC STOP SIGN ISOLATED FORM
        "\uFDF1",  # ; ARABIC LIGATURE QALA USED AS KORANIC STOP SIGN ISOLATED FORM
        "\uFDF2",  # ; ARABIC LIGATURE ALLAH ISOLATED FORM
        "\uFDF3",  # ; ARABIC LIGATURE AKBAR ISOLATED FORM
        "\uFDF4",  # ; ARABIC LIGATURE MOHAMMAD ISOLATED FORM
        "\uFDF5",  # ; ARABIC LIGATURE SALAM ISOLATED FORM
        "\uFDF6",  # ; ARABIC LIGATURE RASOUL ISOLATED FORM
        "\uFDF7",  # ; ARABIC LIGATURE ALAYHE ISOLATED FORM
        "\uFDF8",  # ; ARABIC LIGATURE WASALLAM ISOLATED FORM
        "\uFDF9",  # ; ARABIC LIGATURE SALLA ISOLATED FORM
        "\uFDFA",  # ; ARABIC LIGATURE SALLALLAHOU ALAYHE WASALLAM
        "\uFDFB",  # ; ARABIC LIGATURE JALLAJALALOUHOU
        "\uFDFC",  # ; RIAL SIGN
        "\uFDFD",  # ; ARABIC LIGATURE BISMILLAH AR-RAHMAN AR-RAHEEM
        "\uFE00",  # ; VARIATION SELECTOR-1
        "\uFE01",  # ; VARIATION SELECTOR-2
        "\uFE02",  # ; VARIATION SELECTOR-3
        "\uFE03",  # ; VARIATION SELECTOR-4
        "\uFE04",  # ; VARIATION SELECTOR-5
        "\uFE05",  # ; VARIATION SELECTOR-6
        "\uFE06",  # ; VARIATION SELECTOR-7
        "\uFE07",  # ; VARIATION SELECTOR-8
        "\uFE08",  # ; VARIATION SELECTOR-9
        "\uFE09",  # ; VARIATION SELECTOR-10
        "\uFE0A",  # ; VARIATION SELECTOR-11
        "\uFE0B",  # ; VARIATION SELECTOR-12
        "\uFE0C",  # ; VARIATION SELECTOR-13
        "\uFE0D",  # ; VARIATION SELECTOR-14
        "\uFE0E",  # ; VARIATION SELECTOR-15
        "\uFE0F",  # ; VARIATION SELECTOR-16
        "\uFE10",  # ; PRESENTATION FORM FOR VERTICAL COMMA
        "\uFE11",  # ; PRESENTATION FORM FOR VERTICAL IDEOGRAPHIC COMMA
        "\uFE12",  # ; PRESENTATION FORM FOR VERTICAL IDEOGRAPHIC FULL STOP
        "\uFE13",  # ; PRESENTATION FORM FOR VERTICAL COLON
        "\uFE14",  # ; PRESENTATION FORM FOR VERTICAL SEMICOLON
        "\uFE15",  # ; PRESENTATION FORM FOR VERTICAL EXCLAMATION MARK
        "\uFE16",  # ; PRESENTATION FORM FOR VERTICAL QUESTION MARK
        "\uFE17",  # ; PRESENTATION FORM FOR VERTICAL LEFT WHITE LENTICULAR BRACKET
        "\uFE18",  # ; PRESENTATION FORM FOR VERTICAL RIGHT WHITE LENTICULAR BRAKCET
        "\uFE19",  # ; PRESENTATION FORM FOR VERTICAL HORIZONTAL ELLIPSIS
        "\uFE20",  # ; COMBINING LIGATURE LEFT HALF
        "\uFE21",  # ; COMBINING LIGATURE RIGHT HALF
        "\uFE22",  # ; COMBINING DOUBLE TILDE LEFT HALF
        "\uFE23",  # ; COMBINING DOUBLE TILDE RIGHT HALF
        "\uFE24",  # ; COMBINING MACRON LEFT HALF
        "\uFE25",  # ; COMBINING MACRON RIGHT HALF
        "\uFE26",  # ; COMBINING CONJOINING MACRON
        "\uFE27",  # ; COMBINING LIGATURE LEFT HALF BELOW
        "\uFE28",  # ; COMBINING LIGATURE RIGHT HALF BELOW
        "\uFE29",  # ; COMBINING TILDE LEFT HALF BELOW
        "\uFE2A",  # ; COMBINING TILDE RIGHT HALF BELOW
        "\uFE2B",  # ; COMBINING MACRON LEFT HALF BELOW
        "\uFE2C",  # ; COMBINING MACRON RIGHT HALF BELOW
        "\uFE2D",  # ; COMBINING CONJOINING MACRON BELOW
        "\uFE2E",  # ; COMBINING CYRILLIC TITLO LEFT HALF
        "\uFE2F",  # ; COMBINING CYRILLIC TITLO RIGHT HALF
        "\uFE30",  # ; PRESENTATION FORM FOR VERTICAL TWO DOT LEADER
        "\uFE31",  # ; PRESENTATION FORM FOR VERTICAL EM DASH
        "\uFE32",  # ; PRESENTATION FORM FOR VERTICAL EN DASH
        "\uFE33",  # ; PRESENTATION FORM FOR VERTICAL LOW LINE
        "\uFE34",  # ; PRESENTATION FORM FOR VERTICAL WAVY LOW LINE
        "\uFE35",  # ; PRESENTATION FORM FOR VERTICAL LEFT PARENTHESIS
        "\uFE36",  # ; PRESENTATION FORM FOR VERTICAL RIGHT PARENTHESIS
        "\uFE37",  # ; PRESENTATION FORM FOR VERTICAL LEFT CURLY BRACKET
        "\uFE38",  # ; PRESENTATION FORM FOR VERTICAL RIGHT CURLY BRACKET
        "\uFE39",  # ; PRESENTATION FORM FOR VERTICAL LEFT TORTOISE SHELL BRACKET
        "\uFE3A",  # ; PRESENTATION FORM FOR VERTICAL RIGHT TORTOISE SHELL BRACKET
        "\uFE3B",  # ; PRESENTATION FORM FOR VERTICAL LEFT BLACK LENTICULAR BRACKET
        "\uFE3C",  # ; PRESENTATION FORM FOR VERTICAL RIGHT BLACK LENTICULAR BRACKET
        "\uFE3D",  # ; PRESENTATION FORM FOR VERTICAL LEFT DOUBLE ANGLE BRACKET
        "\uFE3E",  # ; PRESENTATION FORM FOR VERTICAL RIGHT DOUBLE ANGLE BRACKET
        "\uFE3F",  # ; PRESENTATION FORM FOR VERTICAL LEFT ANGLE BRACKET
        "\uFE40",  # ; PRESENTATION FORM FOR VERTICAL RIGHT ANGLE BRACKET
        "\uFE41",  # ; PRESENTATION FORM FOR VERTICAL LEFT CORNER BRACKET
        "\uFE42",  # ; PRESENTATION FORM FOR VERTICAL RIGHT CORNER BRACKET
        "\uFE43",  # ; PRESENTATION FORM FOR VERTICAL LEFT WHITE CORNER BRACKET
        "\uFE44",  # ; PRESENTATION FORM FOR VERTICAL RIGHT WHITE CORNER BRACKET
        "\uFE45",  # ; SESAME DOT
        "\uFE46",  # ; WHITE SESAME DOT
        "\uFE47",  # ; PRESENTATION FORM FOR VERTICAL LEFT SQUARE BRACKET
        "\uFE48",  # ; PRESENTATION FORM FOR VERTICAL RIGHT SQUARE BRACKET
        "\uFE49",  # ; DASHED OVERLINE
        "\uFE4A",  # ; CENTRELINE OVERLINE
        "\uFE4B",  # ; WAVY OVERLINE
        "\uFE4C",  # ; DOUBLE WAVY OVERLINE
        "\uFE4D",  # ; DASHED LOW LINE
        "\uFE4E",  # ; CENTRELINE LOW LINE
        "\uFE4F",  # ; WAVY LOW LINE
        "\uFE50",  # ; SMALL COMMA
        "\uFE51",  # ; SMALL IDEOGRAPHIC COMMA
        "\uFE52",  # ; SMALL FULL STOP
        "\uFE54",  # ; SMALL SEMICOLON
        "\uFE55",  # ; SMALL COLON
        "\uFE56",  # ; SMALL QUESTION MARK
        "\uFE57",  # ; SMALL EXCLAMATION MARK
        "\uFE58",  # ; SMALL EM DASH
        "\uFE59",  # ; SMALL LEFT PARENTHESIS
        "\uFE5A",  # ; SMALL RIGHT PARENTHESIS
        "\uFE5B",  # ; SMALL LEFT CURLY BRACKET
        "\uFE5C",  # ; SMALL RIGHT CURLY BRACKET
        "\uFE5D",  # ; SMALL LEFT TORTOISE SHELL BRACKET
        "\uFE5E",  # ; SMALL RIGHT TORTOISE SHELL BRACKET
        "\uFE5F",  # ; SMALL NUMBER SIGN
        "\uFE60",  # ; SMALL AMPERSAND
        "\uFE61",  # ; SMALL ASTERISK
        "\uFE62",  # ; SMALL PLUS SIGN
        "\uFE63",  # ; SMALL HYPHEN-MINUS
        "\uFE64",  # ; SMALL LESS-THAN SIGN
        "\uFE65",  # ; SMALL GREATER-THAN SIGN
        "\uFE66",  # ; SMALL EQUALS SIGN
        "\uFE68",  # ; SMALL REVERSE SOLIDUS
        "\uFE69",  # ; SMALL DOLLAR SIGN
        "\uFE6A",  # ; SMALL PERCENT SIGN
        "\uFE6B",  # ; SMALL COMMERCIAL AT
        "\uFE70",  # ; ARABIC FATHATAN ISOLATED FORM
        "\uFE71",  # ; ARABIC TATWEEL WITH FATHATAN ABOVE
        "\uFE72",  # ; ARABIC DAMMATAN ISOLATED FORM
        "\uFE73",  # ; ARABIC TAIL FRAGMENT
        "\uFE74",  # ; ARABIC KASRATAN ISOLATED FORM
        "\uFE76",  # ; ARABIC FATHA ISOLATED FORM
        "\uFE77",  # ; ARABIC FATHA MEDIAL FORM
        "\uFE78",  # ; ARABIC DAMMA ISOLATED FORM
        "\uFE79",  # ; ARABIC DAMMA MEDIAL FORM
        "\uFE7A",  # ; ARABIC KASRA ISOLATED FORM
        "\uFE7B",  # ; ARABIC KASRA MEDIAL FORM
        "\uFE7C",  # ; ARABIC SHADDA ISOLATED FORM
        "\uFE7D",  # ; ARABIC SHADDA MEDIAL FORM
        "\uFE7E",  # ; ARABIC SUKUN ISOLATED FORM
        "\uFE7F",  # ; ARABIC SUKUN MEDIAL FORM
        "\uFE80",  # ; ARABIC LETTER HAMZA ISOLATED FORM
        "\uFE81",  # ; ARABIC LETTER ALEF WITH MADDA ABOVE ISOLATED FORM
        "\uFE82",  # ; ARABIC LETTER ALEF WITH MADDA ABOVE FINAL FORM
        "\uFE83",  # ; ARABIC LETTER ALEF WITH HAMZA ABOVE ISOLATED FORM
        "\uFE84",  # ; ARABIC LETTER ALEF WITH HAMZA ABOVE FINAL FORM
        "\uFE85",  # ; ARABIC LETTER WAW WITH HAMZA ABOVE ISOLATED FORM
        "\uFE86",  # ; ARABIC LETTER WAW WITH HAMZA ABOVE FINAL FORM
        "\uFE87",  # ; ARABIC LETTER ALEF WITH HAMZA BELOW ISOLATED FORM
        "\uFE88",  # ; ARABIC LETTER ALEF WITH HAMZA BELOW FINAL FORM
        "\uFE89",  # ; ARABIC LETTER YEH WITH HAMZA ABOVE ISOLATED FORM
        "\uFE8A",  # ; ARABIC LETTER YEH WITH HAMZA ABOVE FINAL FORM
        "\uFE8B",  # ; ARABIC LETTER YEH WITH HAMZA ABOVE INITIAL FORM
        "\uFE8C",  # ; ARABIC LETTER YEH WITH HAMZA ABOVE MEDIAL FORM
        "\uFE8D",  # ; ARABIC LETTER ALEF ISOLATED FORM
        "\uFE8E",  # ; ARABIC LETTER ALEF FINAL FORM
        "\uFE8F",  # ; ARABIC LETTER BEH ISOLATED FORM
        "\uFE90",  # ; ARABIC LETTER BEH FINAL FORM
        "\uFE91",  # ; ARABIC LETTER BEH INITIAL FORM
        "\uFE92",  # ; ARABIC LETTER BEH MEDIAL FORM
        "\uFE93",  # ; ARABIC LETTER TEH MARBUTA ISOLATED FORM
        "\uFE94",  # ; ARABIC LETTER TEH MARBUTA FINAL FORM
        "\uFE95",  # ; ARABIC LETTER TEH ISOLATED FORM
        "\uFE96",  # ; ARABIC LETTER TEH FINAL FORM
        "\uFE97",  # ; ARABIC LETTER TEH INITIAL FORM
        "\uFE98",  # ; ARABIC LETTER TEH MEDIAL FORM
        "\uFE99",  # ; ARABIC LETTER THEH ISOLATED FORM
        "\uFE9A",  # ; ARABIC LETTER THEH FINAL FORM
        "\uFE9B",  # ; ARABIC LETTER THEH INITIAL FORM
        "\uFE9C",  # ; ARABIC LETTER THEH MEDIAL FORM
        "\uFE9D",  # ; ARABIC LETTER JEEM ISOLATED FORM
        "\uFE9E",  # ; ARABIC LETTER JEEM FINAL FORM
        "\uFE9F",  # ; ARABIC LETTER JEEM INITIAL FORM
        "\uFEA0",  # ; ARABIC LETTER JEEM MEDIAL FORM
        "\uFEA1",  # ; ARABIC LETTER HAH ISOLATED FORM
        "\uFEA2",  # ; ARABIC LETTER HAH FINAL FORM
        "\uFEA3",  # ; ARABIC LETTER HAH INITIAL FORM
        "\uFEA4",  # ; ARABIC LETTER HAH MEDIAL FORM
        "\uFEA5",  # ; ARABIC LETTER KHAH ISOLATED FORM
        "\uFEA6",  # ; ARABIC LETTER KHAH FINAL FORM
        "\uFEA7",  # ; ARABIC LETTER KHAH INITIAL FORM
        "\uFEA8",  # ; ARABIC LETTER KHAH MEDIAL FORM
        "\uFEA9",  # ; ARABIC LETTER DAL ISOLATED FORM
        "\uFEAA",  # ; ARABIC LETTER DAL FINAL FORM
        "\uFEAB",  # ; ARABIC LETTER THAL ISOLATED FORM
        "\uFEAC",  # ; ARABIC LETTER THAL FINAL FORM
        "\uFEAD",  # ; ARABIC LETTER REH ISOLATED FORM
        "\uFEAE",  # ; ARABIC LETTER REH FINAL FORM
        "\uFEAF",  # ; ARABIC LETTER ZAIN ISOLATED FORM
        "\uFEB0",  # ; ARABIC LETTER ZAIN FINAL FORM
        "\uFEB1",  # ; ARABIC LETTER SEEN ISOLATED FORM
        "\uFEB2",  # ; ARABIC LETTER SEEN FINAL FORM
        "\uFEB3",  # ; ARABIC LETTER SEEN INITIAL FORM
        "\uFEB4",  # ; ARABIC LETTER SEEN MEDIAL FORM
        "\uFEB5",  # ; ARABIC LETTER SHEEN ISOLATED FORM
        "\uFEB6",  # ; ARABIC LETTER SHEEN FINAL FORM
        "\uFEB7",  # ; ARABIC LETTER SHEEN INITIAL FORM
        "\uFEB8",  # ; ARABIC LETTER SHEEN MEDIAL FORM
        "\uFEB9",  # ; ARABIC LETTER SAD ISOLATED FORM
        "\uFEBA",  # ; ARABIC LETTER SAD FINAL FORM
        "\uFEBB",  # ; ARABIC LETTER SAD INITIAL FORM
        "\uFEBC",  # ; ARABIC LETTER SAD MEDIAL FORM
        "\uFEBD",  # ; ARABIC LETTER DAD ISOLATED FORM
        "\uFEBE",  # ; ARABIC LETTER DAD FINAL FORM
        "\uFEBF",  # ; ARABIC LETTER DAD INITIAL FORM
        "\uFEC0",  # ; ARABIC LETTER DAD MEDIAL FORM
        "\uFEC1",  # ; ARABIC LETTER TAH ISOLATED FORM
        "\uFEC2",  # ; ARABIC LETTER TAH FINAL FORM
        "\uFEC3",  # ; ARABIC LETTER TAH INITIAL FORM
        "\uFEC4",  # ; ARABIC LETTER TAH MEDIAL FORM
        "\uFEC5",  # ; ARABIC LETTER ZAH ISOLATED FORM
        "\uFEC6",  # ; ARABIC LETTER ZAH FINAL FORM
        "\uFEC7",  # ; ARABIC LETTER ZAH INITIAL FORM
        "\uFEC8",  # ; ARABIC LETTER ZAH MEDIAL FORM
        "\uFEC9",  # ; ARABIC LETTER AIN ISOLATED FORM
        "\uFECA",  # ; ARABIC LETTER AIN FINAL FORM
        "\uFECB",  # ; ARABIC LETTER AIN INITIAL FORM
        "\uFECC",  # ; ARABIC LETTER AIN MEDIAL FORM
        "\uFECD",  # ; ARABIC LETTER GHAIN ISOLATED FORM
        "\uFECE",  # ; ARABIC LETTER GHAIN FINAL FORM
        "\uFECF",  # ; ARABIC LETTER GHAIN INITIAL FORM
        "\uFED0",  # ; ARABIC LETTER GHAIN MEDIAL FORM
        "\uFED1",  # ; ARABIC LETTER FEH ISOLATED FORM
        "\uFED2",  # ; ARABIC LETTER FEH FINAL FORM
        "\uFED3",  # ; ARABIC LETTER FEH INITIAL FORM
        "\uFED4",  # ; ARABIC LETTER FEH MEDIAL FORM
        "\uFED5",  # ; ARABIC LETTER QAF ISOLATED FORM
        "\uFED6",  # ; ARABIC LETTER QAF FINAL FORM
        "\uFED7",  # ; ARABIC LETTER QAF INITIAL FORM
        "\uFED8",  # ; ARABIC LETTER QAF MEDIAL FORM
        "\uFED9",  # ; ARABIC LETTER KAF ISOLATED FORM
        "\uFEDA",  # ; ARABIC LETTER KAF FINAL FORM
        "\uFEDB",  # ; ARABIC LETTER KAF INITIAL FORM
        "\uFEDC",  # ; ARABIC LETTER KAF MEDIAL FORM
        "\uFEDD",  # ; ARABIC LETTER LAM ISOLATED FORM
        "\uFEDE",  # ; ARABIC LETTER LAM FINAL FORM
        "\uFEDF",  # ; ARABIC LETTER LAM INITIAL FORM
        "\uFEE0",  # ; ARABIC LETTER LAM MEDIAL FORM
        "\uFEE1",  # ; ARABIC LETTER MEEM ISOLATED FORM
        "\uFEE2",  # ; ARABIC LETTER MEEM FINAL FORM
        "\uFEE3",  # ; ARABIC LETTER MEEM INITIAL FORM
        "\uFEE4",  # ; ARABIC LETTER MEEM MEDIAL FORM
        "\uFEE5",  # ; ARABIC LETTER NOON ISOLATED FORM
        "\uFEE6",  # ; ARABIC LETTER NOON FINAL FORM
        "\uFEE7",  # ; ARABIC LETTER NOON INITIAL FORM
        "\uFEE8",  # ; ARABIC LETTER NOON MEDIAL FORM
        "\uFEE9",  # ; ARABIC LETTER HEH ISOLATED FORM
        "\uFEEA",  # ; ARABIC LETTER HEH FINAL FORM
        "\uFEEB",  # ; ARABIC LETTER HEH INITIAL FORM
        "\uFEEC",  # ; ARABIC LETTER HEH MEDIAL FORM
        "\uFEED",  # ; ARABIC LETTER WAW ISOLATED FORM
        "\uFEEE",  # ; ARABIC LETTER WAW FINAL FORM
        "\uFEEF",  # ; ARABIC LETTER ALEF MAKSURA ISOLATED FORM
        "\uFEF0",  # ; ARABIC LETTER ALEF MAKSURA FINAL FORM
        "\uFEF1",  # ; ARABIC LETTER YEH ISOLATED FORM
        "\uFEF2",  # ; ARABIC LETTER YEH FINAL FORM
        "\uFEF3",  # ; ARABIC LETTER YEH INITIAL FORM
        "\uFEF4",  # ; ARABIC LETTER YEH MEDIAL FORM
        "\uFEF5",  # ; ARABIC LIGATURE LAM WITH ALEF WITH MADDA ABOVE ISOLATED FORM
        "\uFEF6",  # ; ARABIC LIGATURE LAM WITH ALEF WITH MADDA ABOVE FINAL FORM
        "\uFEF7",  # ; ARABIC LIGATURE LAM WITH ALEF WITH HAMZA ABOVE ISOLATED FORM
        "\uFEF8",  # ; ARABIC LIGATURE LAM WITH ALEF WITH HAMZA ABOVE FINAL FORM
        "\uFEF9",  # ; ARABIC LIGATURE LAM WITH ALEF WITH HAMZA BELOW ISOLATED FORM
        "\uFEFA",  # ; ARABIC LIGATURE LAM WITH ALEF WITH HAMZA BELOW FINAL FORM
        "\uFEFB",  # ; ARABIC LIGATURE LAM WITH ALEF ISOLATED FORM
        "\uFEFC",  # ; ARABIC LIGATURE LAM WITH ALEF FINAL FORM
        "\uFEFF",  # ; ZERO WIDTH NO-BREAK SPACE
        "\uFF01",  # ; FULLWIDTH EXCLAMATION MARK
        "\uFF02",  # ; FULLWIDTH QUOTATION MARK
        "\uFF03",  # ; FULLWIDTH NUMBER SIGN
        "\uFF04",  # ; FULLWIDTH DOLLAR SIGN
        "\uFF05",  # ; FULLWIDTH PERCENT SIGN
        "\uFF06",  # ; FULLWIDTH AMPERSAND
        "\uFF07",  # ; FULLWIDTH APOSTROPHE
        "\uFF08",  # ; FULLWIDTH LEFT PARENTHESIS
        "\uFF09",  # ; FULLWIDTH RIGHT PARENTHESIS
        "\uFF0A",  # ; FULLWIDTH ASTERISK
        "\uFF0B",  # ; FULLWIDTH PLUS SIGN
        "\uFF0C",  # ; FULLWIDTH COMMA
        "\uFF0D",  # ; FULLWIDTH HYPHEN-MINUS
        "\uFF0E",  # ; FULLWIDTH FULL STOP
        "\uFF0F",  # ; FULLWIDTH SOLIDUS
        "\uFF10",  # ; FULLWIDTH DIGIT ZERO
        "\uFF11",  # ; FULLWIDTH DIGIT ONE
        "\uFF12",  # ; FULLWIDTH DIGIT TWO
        "\uFF13",  # ; FULLWIDTH DIGIT THREE
        "\uFF14",  # ; FULLWIDTH DIGIT FOUR
        "\uFF15",  # ; FULLWIDTH DIGIT FIVE
        "\uFF16",  # ; FULLWIDTH DIGIT SIX
        "\uFF17",  # ; FULLWIDTH DIGIT SEVEN
        "\uFF18",  # ; FULLWIDTH DIGIT EIGHT
        "\uFF19",  # ; FULLWIDTH DIGIT NINE
        "\uFF1A",  # ; FULLWIDTH COLON
        "\uFF1B",  # ; FULLWIDTH SEMICOLON
        "\uFF1C",  # ; FULLWIDTH LESS-THAN SIGN
        "\uFF1D",  # ; FULLWIDTH EQUALS SIGN
        "\uFF1E",  # ; FULLWIDTH GREATER-THAN SIGN
        "\uFF1F",  # ; FULLWIDTH QUESTION MARK
        "\uFF20",  # ; FULLWIDTH COMMERCIAL AT
        "\uFF21",  # ; FULLWIDTH LATIN CAPITAL LETTER A
        "\uFF22",  # ; FULLWIDTH LATIN CAPITAL LETTER B
        "\uFF23",  # ; FULLWIDTH LATIN CAPITAL LETTER C
        "\uFF24",  # ; FULLWIDTH LATIN CAPITAL LETTER D
        "\uFF25",  # ; FULLWIDTH LATIN CAPITAL LETTER E
        "\uFF26",  # ; FULLWIDTH LATIN CAPITAL LETTER F
        "\uFF27",  # ; FULLWIDTH LATIN CAPITAL LETTER G
        "\uFF28",  # ; FULLWIDTH LATIN CAPITAL LETTER H
        "\uFF29",  # ; FULLWIDTH LATIN CAPITAL LETTER I
        "\uFF2A",  # ; FULLWIDTH LATIN CAPITAL LETTER J
        "\uFF2B",  # ; FULLWIDTH LATIN CAPITAL LETTER K
        "\uFF2C",  # ; FULLWIDTH LATIN CAPITAL LETTER L
        "\uFF2D",  # ; FULLWIDTH LATIN CAPITAL LETTER M
        "\uFF2E",  # ; FULLWIDTH LATIN CAPITAL LETTER N
        "\uFF2F",  # ; FULLWIDTH LATIN CAPITAL LETTER O
        "\uFF30",  # ; FULLWIDTH LATIN CAPITAL LETTER P
        "\uFF31",  # ; FULLWIDTH LATIN CAPITAL LETTER Q
        "\uFF32",  # ; FULLWIDTH LATIN CAPITAL LETTER R
        "\uFF33",  # ; FULLWIDTH LATIN CAPITAL LETTER S
        "\uFF34",  # ; FULLWIDTH LATIN CAPITAL LETTER T
        "\uFF35",  # ; FULLWIDTH LATIN CAPITAL LETTER U
        "\uFF36",  # ; FULLWIDTH LATIN CAPITAL LETTER V
        "\uFF37",  # ; FULLWIDTH LATIN CAPITAL LETTER W
        "\uFF38",  # ; FULLWIDTH LATIN CAPITAL LETTER X
        "\uFF39",  # ; FULLWIDTH LATIN CAPITAL LETTER Y
        "\uFF3A",  # ; FULLWIDTH LATIN CAPITAL LETTER Z
        "\uFF3B",  # ; FULLWIDTH LEFT SQUARE BRACKET
        "\uFF3C",  # ; FULLWIDTH REVERSE SOLIDUS
        "\uFF3D",  # ; FULLWIDTH RIGHT SQUARE BRACKET
        "\uFF3E",  # ; FULLWIDTH CIRCUMFLEX ACCENT
        "\uFF3F",  # ; FULLWIDTH LOW LINE
        "\uFF40",  # ; FULLWIDTH GRAVE ACCENT
        "\uFF41",  # ; FULLWIDTH LATIN SMALL LETTER A
        "\uFF42",  # ; FULLWIDTH LATIN SMALL LETTER B
        "\uFF43",  # ; FULLWIDTH LATIN SMALL LETTER C
        "\uFF44",  # ; FULLWIDTH LATIN SMALL LETTER D
        "\uFF45",  # ; FULLWIDTH LATIN SMALL LETTER E
        "\uFF46",  # ; FULLWIDTH LATIN SMALL LETTER F
        "\uFF47",  # ; FULLWIDTH LATIN SMALL LETTER G
        "\uFF48",  # ; FULLWIDTH LATIN SMALL LETTER H
        "\uFF49",  # ; FULLWIDTH LATIN SMALL LETTER I
        "\uFF4A",  # ; FULLWIDTH LATIN SMALL LETTER J
        "\uFF4B",  # ; FULLWIDTH LATIN SMALL LETTER K
        "\uFF4C",  # ; FULLWIDTH LATIN SMALL LETTER L
        "\uFF4D",  # ; FULLWIDTH LATIN SMALL LETTER M
        "\uFF4E",  # ; FULLWIDTH LATIN SMALL LETTER N
        "\uFF4F",  # ; FULLWIDTH LATIN SMALL LETTER O
        "\uFF50",  # ; FULLWIDTH LATIN SMALL LETTER P
        "\uFF51",  # ; FULLWIDTH LATIN SMALL LETTER Q
        "\uFF52",  # ; FULLWIDTH LATIN SMALL LETTER R
        "\uFF53",  # ; FULLWIDTH LATIN SMALL LETTER S
        "\uFF54",  # ; FULLWIDTH LATIN SMALL LETTER T
        "\uFF55",  # ; FULLWIDTH LATIN SMALL LETTER U
        "\uFF56",  # ; FULLWIDTH LATIN SMALL LETTER V
        "\uFF57",  # ; FULLWIDTH LATIN SMALL LETTER W
        "\uFF58",  # ; FULLWIDTH LATIN SMALL LETTER X
        "\uFF59",  # ; FULLWIDTH LATIN SMALL LETTER Y
        "\uFF5A",  # ; FULLWIDTH LATIN SMALL LETTER Z
        "\uFF5B",  # ; FULLWIDTH LEFT CURLY BRACKET
        "\uFF5C",  # ; FULLWIDTH VERTICAL LINE
        "\uFF5D",  # ; FULLWIDTH RIGHT CURLY BRACKET
        "\uFF5E",  # ; FULLWIDTH TILDE
        "\uFF5F",  # ; FULLWIDTH LEFT WHITE PARENTHESIS
        "\uFF60",  # ; FULLWIDTH RIGHT WHITE PARENTHESIS
        "\uFF61",  # ; HALFWIDTH IDEOGRAPHIC FULL STOP
        "\uFF62",  # ; HALFWIDTH LEFT CORNER BRACKET
        "\uFF63",  # ; HALFWIDTH RIGHT CORNER BRACKET
        "\uFF64",  # ; HALFWIDTH IDEOGRAPHIC COMMA
        "\uFF65",  # ; HALFWIDTH KATAKANA MIDDLE DOT
        "\uFF66",  # ; HALFWIDTH KATAKANA LETTER WO
        "\uFF67",  # ; HALFWIDTH KATAKANA LETTER SMALL A
        "\uFF68",  # ; HALFWIDTH KATAKANA LETTER SMALL I
        "\uFF69",  # ; HALFWIDTH KATAKANA LETTER SMALL U
        "\uFF6A",  # ; HALFWIDTH KATAKANA LETTER SMALL E
        "\uFF6B",  # ; HALFWIDTH KATAKANA LETTER SMALL O
        "\uFF6C",  # ; HALFWIDTH KATAKANA LETTER SMALL YA
        "\uFF6D",  # ; HALFWIDTH KATAKANA LETTER SMALL YU
        "\uFF6E",  # ; HALFWIDTH KATAKANA LETTER SMALL YO
        "\uFF6F",  # ; HALFWIDTH KATAKANA LETTER SMALL TU
        "\uFF70",  # ; HALFWIDTH KATAKANA-HIRAGANA PROLONGED SOUND MARK
        "\uFF71",  # ; HALFWIDTH KATAKANA LETTER A
        "\uFF72",  # ; HALFWIDTH KATAKANA LETTER I
        "\uFF73",  # ; HALFWIDTH KATAKANA LETTER U
        "\uFF74",  # ; HALFWIDTH KATAKANA LETTER E
        "\uFF75",  # ; HALFWIDTH KATAKANA LETTER O
        "\uFF76",  # ; HALFWIDTH KATAKANA LETTER KA
        "\uFF77",  # ; HALFWIDTH KATAKANA LETTER KI
        "\uFF78",  # ; HALFWIDTH KATAKANA LETTER KU
        "\uFF79",  # ; HALFWIDTH KATAKANA LETTER KE
        "\uFF7A",  # ; HALFWIDTH KATAKANA LETTER KO
        "\uFF7B",  # ; HALFWIDTH KATAKANA LETTER SA
        "\uFF7C",  # ; HALFWIDTH KATAKANA LETTER SI
        "\uFF7D",  # ; HALFWIDTH KATAKANA LETTER SU
        "\uFF7E",  # ; HALFWIDTH KATAKANA LETTER SE
        "\uFF7F",  # ; HALFWIDTH KATAKANA LETTER SO
        "\uFF80",  # ; HALFWIDTH KATAKANA LETTER TA
        "\uFF81",  # ; HALFWIDTH KATAKANA LETTER TI
        "\uFF82",  # ; HALFWIDTH KATAKANA LETTER TU
        "\uFF83",  # ; HALFWIDTH KATAKANA LETTER TE
        "\uFF84",  # ; HALFWIDTH KATAKANA LETTER TO
        "\uFF85",  # ; HALFWIDTH KATAKANA LETTER NA
        "\uFF86",  # ; HALFWIDTH KATAKANA LETTER NI
        "\uFF87",  # ; HALFWIDTH KATAKANA LETTER NU
        "\uFF88",  # ; HALFWIDTH KATAKANA LETTER NE
        "\uFF89",  # ; HALFWIDTH KATAKANA LETTER NO
        "\uFF8A",  # ; HALFWIDTH KATAKANA LETTER HA
        "\uFF8B",  # ; HALFWIDTH KATAKANA LETTER HI
        "\uFF8C",  # ; HALFWIDTH KATAKANA LETTER HU
        "\uFF8D",  # ; HALFWIDTH KATAKANA LETTER HE
        "\uFF8E",  # ; HALFWIDTH KATAKANA LETTER HO
        "\uFF8F",  # ; HALFWIDTH KATAKANA LETTER MA
        "\uFF90",  # ; HALFWIDTH KATAKANA LETTER MI
        "\uFF91",  # ; HALFWIDTH KATAKANA LETTER MU
        "\uFF92",  # ; HALFWIDTH KATAKANA LETTER ME
        "\uFF93",  # ; HALFWIDTH KATAKANA LETTER MO
        "\uFF94",  # ; HALFWIDTH KATAKANA LETTER YA
        "\uFF95",  # ; HALFWIDTH KATAKANA LETTER YU
        "\uFF96",  # ; HALFWIDTH KATAKANA LETTER YO
        "\uFF97",  # ; HALFWIDTH KATAKANA LETTER RA
        "\uFF98",  # ; HALFWIDTH KATAKANA LETTER RI
        "\uFF99",  # ; HALFWIDTH KATAKANA LETTER RU
        "\uFF9A",  # ; HALFWIDTH KATAKANA LETTER RE
        "\uFF9B",  # ; HALFWIDTH KATAKANA LETTER RO
        "\uFF9C",  # ; HALFWIDTH KATAKANA LETTER WA
        "\uFF9D",  # ; HALFWIDTH KATAKANA LETTER N
        "\uFF9E",  # ; HALFWIDTH KATAKANA VOICED SOUND MARK
        "\uFF9F",  # ; HALFWIDTH KATAKANA SEMI-VOICED SOUND MARK
        "\uFFA0",  # ; HALFWIDTH HANGUL FILLER
        "\uFFA1",  # ; HALFWIDTH HANGUL LETTER KIYEOK
        "\uFFA2",  # ; HALFWIDTH HANGUL LETTER SSANGKIYEOK
        "\uFFA3",  # ; HALFWIDTH HANGUL LETTER KIYEOK-SIOS
        "\uFFA4",  # ; HALFWIDTH HANGUL LETTER NIEUN
        "\uFFA5",  # ; HALFWIDTH HANGUL LETTER NIEUN-CIEUC
        "\uFFA6",  # ; HALFWIDTH HANGUL LETTER NIEUN-HIEUH
        "\uFFA7",  # ; HALFWIDTH HANGUL LETTER TIKEUT
        "\uFFA8",  # ; HALFWIDTH HANGUL LETTER SSANGTIKEUT
        "\uFFA9",  # ; HALFWIDTH HANGUL LETTER RIEUL
        "\uFFAA",  # ; HALFWIDTH HANGUL LETTER RIEUL-KIYEOK
        "\uFFAB",  # ; HALFWIDTH HANGUL LETTER RIEUL-MIEUM
        "\uFFAC",  # ; HALFWIDTH HANGUL LETTER RIEUL-PIEUP
        "\uFFAD",  # ; HALFWIDTH HANGUL LETTER RIEUL-SIOS
        "\uFFAE",  # ; HALFWIDTH HANGUL LETTER RIEUL-THIEUTH
        "\uFFAF",  # ; HALFWIDTH HANGUL LETTER RIEUL-PHIEUPH
        "\uFFB0",  # ; HALFWIDTH HANGUL LETTER RIEUL-HIEUH
        "\uFFB1",  # ; HALFWIDTH HANGUL LETTER MIEUM
        "\uFFB2",  # ; HALFWIDTH HANGUL LETTER PIEUP
        "\uFFB3",  # ; HALFWIDTH HANGUL LETTER SSANGPIEUP
        "\uFFB4",  # ; HALFWIDTH HANGUL LETTER PIEUP-SIOS
        "\uFFB5",  # ; HALFWIDTH HANGUL LETTER SIOS
        "\uFFB6",  # ; HALFWIDTH HANGUL LETTER SSANGSIOS
        "\uFFB7",  # ; HALFWIDTH HANGUL LETTER IEUNG
        "\uFFB8",  # ; HALFWIDTH HANGUL LETTER CIEUC
        "\uFFB9",  # ; HALFWIDTH HANGUL LETTER SSANGCIEUC
        "\uFFBA",  # ; HALFWIDTH HANGUL LETTER CHIEUCH
        "\uFFBB",  # ; HALFWIDTH HANGUL LETTER KHIEUKH
        "\uFFBC",  # ; HALFWIDTH HANGUL LETTER THIEUTH
        "\uFFBD",  # ; HALFWIDTH HANGUL LETTER PHIEUPH
        "\uFFBE",  # ; HALFWIDTH HANGUL LETTER HIEUH
        "\uFFC2",  # ; HALFWIDTH HANGUL LETTER A
        "\uFFC3",  # ; HALFWIDTH HANGUL LETTER AE
        "\uFFC4",  # ; HALFWIDTH HANGUL LETTER YA
        "\uFFC5",  # ; HALFWIDTH HANGUL LETTER YAE
        "\uFFC6",  # ; HALFWIDTH HANGUL LETTER EO
        "\uFFC7",  # ; HALFWIDTH HANGUL LETTER E
        "\uFFCA",  # ; HALFWIDTH HANGUL LETTER YEO
        "\uFFCB",  # ; HALFWIDTH HANGUL LETTER YE
        "\uFFCC",  # ; HALFWIDTH HANGUL LETTER O
        "\uFFCD",  # ; HALFWIDTH HANGUL LETTER WA
        "\uFFCE",  # ; HALFWIDTH HANGUL LETTER WAE
        "\uFFCF",  # ; HALFWIDTH HANGUL LETTER OE
        "\uFFD2",  # ; HALFWIDTH HANGUL LETTER YO
        "\uFFD3",  # ; HALFWIDTH HANGUL LETTER U
        "\uFFD4",  # ; HALFWIDTH HANGUL LETTER WEO
        "\uFFD5",  # ; HALFWIDTH HANGUL LETTER WE
        "\uFFD6",  # ; HALFWIDTH HANGUL LETTER WI
        "\uFFD7",  # ; HALFWIDTH HANGUL LETTER YU
        "\uFFDA",  # ; HALFWIDTH HANGUL LETTER EU
        "\uFFDB",  # ; HALFWIDTH HANGUL LETTER YI
        "\uFFDC",  # ; HALFWIDTH HANGUL LETTER I
        "\uFFE0",  # ; FULLWIDTH CENT SIGN
        "\uFFE1",  # ; FULLWIDTH POUND SIGN
        "\uFFE2",  # ; FULLWIDTH NOT SIGN
        "\uFFE3",  # ; FULLWIDTH MACRON
        "\uFFE4",  # ; FULLWIDTH BROKEN BAR
        "\uFFE5",  # ; FULLWIDTH YEN SIGN
        "\uFFE6",  # ; FULLWIDTH WON SIGN
        "\uFFE8",  # ; HALFWIDTH FORMS LIGHT VERTICAL
        "\uFFE9",  # ; HALFWIDTH LEFTWARDS ARROW
        "\uFFEA",  # ; HALFWIDTH UPWARDS ARROW
        "\uFFEB",  # ; HALFWIDTH RIGHTWARDS ARROW
        "\uFFEC",  # ; HALFWIDTH DOWNWARDS ARROW
        "\uFFED",  # ; HALFWIDTH BLACK SQUARE
        "\uFFEE",  # ; HALFWIDTH WHITE CIRCLE
        "\uFFF9",  # ; INTERLINEAR ANNOTATION ANCHOR
        "\uFFFA",  # ; INTERLINEAR ANNOTATION SEPARATOR
        "\uFFFB",  # ; INTERLINEAR ANNOTATION TERMINATOR
        "\uFFFC",  # ; OBJECT REPLACEMENT CHARACTER
        "\uFFFD",  # ; REPLACEMENT CHARACTER
        "\u10000",  # ; LINEAR B SYLLABLE B008 A
        "\u10001",  # ; LINEAR B SYLLABLE B038 E
        "\u10002",  # ; LINEAR B SYLLABLE B028 I
        "\u10003",  # ; LINEAR B SYLLABLE B061 O
        "\u10004",  # ; LINEAR B SYLLABLE B010 U
        "\u10005",  # ; LINEAR B SYLLABLE B001 DA
        "\u10006",  # ; LINEAR B SYLLABLE B045 DE
        "\u10007",  # ; LINEAR B SYLLABLE B007 DI
        "\u10008",  # ; LINEAR B SYLLABLE B014 DO
        "\u10009",  # ; LINEAR B SYLLABLE B051 DU
        "\u1000A",  # ; LINEAR B SYLLABLE B057 JA
        "\u1000B",  # ; LINEAR B SYLLABLE B046 JE
        "\u1000D",  # ; LINEAR B SYLLABLE B036 JO
        "\u1000E",  # ; LINEAR B SYLLABLE B065 JU
        "\u1000F",  # ; LINEAR B SYLLABLE B077 KA
        "\u10010",  # ; LINEAR B SYLLABLE B044 KE
        "\u10011",  # ; LINEAR B SYLLABLE B067 KI
        "\u10012",  # ; LINEAR B SYLLABLE B070 KO
        "\u10013",  # ; LINEAR B SYLLABLE B081 KU
        "\u10014",  # ; LINEAR B SYLLABLE B080 MA
        "\u10015",  # ; LINEAR B SYLLABLE B013 ME
        "\u10016",  # ; LINEAR B SYLLABLE B073 MI
        "\u10017",  # ; LINEAR B SYLLABLE B015 MO
        "\u10018",  # ; LINEAR B SYLLABLE B023 MU
        "\u10019",  # ; LINEAR B SYLLABLE B006 NA
        "\u1001A",  # ; LINEAR B SYLLABLE B024 NE
        "\u1001B",  # ; LINEAR B SYLLABLE B030 NI
        "\u1001C",  # ; LINEAR B SYLLABLE B052 NO
        "\u1001D",  # ; LINEAR B SYLLABLE B055 NU
        "\u1001E",  # ; LINEAR B SYLLABLE B003 PA
        "\u1001F",  # ; LINEAR B SYLLABLE B072 PE
        "\u10020",  # ; LINEAR B SYLLABLE B039 PI
        "\u10021",  # ; LINEAR B SYLLABLE B011 PO
        "\u10022",  # ; LINEAR B SYLLABLE B050 PU
        "\u10023",  # ; LINEAR B SYLLABLE B016 QA
        "\u10024",  # ; LINEAR B SYLLABLE B078 QE
        "\u10025",  # ; LINEAR B SYLLABLE B021 QI
        "\u10026",  # ; LINEAR B SYLLABLE B032 QO
        "\u10028",  # ; LINEAR B SYLLABLE B060 RA
        "\u10029",  # ; LINEAR B SYLLABLE B027 RE
        "\u1002A",  # ; LINEAR B SYLLABLE B053 RI
        "\u1002B",  # ; LINEAR B SYLLABLE B002 RO
        "\u1002C",  # ; LINEAR B SYLLABLE B026 RU
        "\u1002D",  # ; LINEAR B SYLLABLE B031 SA
        "\u1002E",  # ; LINEAR B SYLLABLE B009 SE
        "\u1002F",  # ; LINEAR B SYLLABLE B041 SI
        "\u10030",  # ; LINEAR B SYLLABLE B012 SO
        "\u10031",  # ; LINEAR B SYLLABLE B058 SU
        "\u10032",  # ; LINEAR B SYLLABLE B059 TA
        "\u10033",  # ; LINEAR B SYLLABLE B004 TE
        "\u10034",  # ; LINEAR B SYLLABLE B037 TI
        "\u10035",  # ; LINEAR B SYLLABLE B005 TO
        "\u10036",  # ; LINEAR B SYLLABLE B069 TU
        "\u10037",  # ; LINEAR B SYLLABLE B054 WA
        "\u10038",  # ; LINEAR B SYLLABLE B075 WE
        "\u10039",  # ; LINEAR B SYLLABLE B040 WI
        "\u1003A",  # ; LINEAR B SYLLABLE B042 WO
        "\u1003C",  # ; LINEAR B SYLLABLE B017 ZA
        "\u1003D",  # ; LINEAR B SYLLABLE B074 ZE
        "\u1003F",  # ; LINEAR B SYLLABLE B020 ZO
        "\u10040",  # ; LINEAR B SYLLABLE B025 A2
        "\u10041",  # ; LINEAR B SYLLABLE B043 A3
        "\u10042",  # ; LINEAR B SYLLABLE B085 AU
        "\u10043",  # ; LINEAR B SYLLABLE B071 DWE
        "\u10044",  # ; LINEAR B SYLLABLE B090 DWO
        "\u10045",  # ; LINEAR B SYLLABLE B048 NWA
        "\u10046",  # ; LINEAR B SYLLABLE B029 PU2
        "\u10047",  # ; LINEAR B SYLLABLE B062 PTE
        "\u10048",  # ; LINEAR B SYLLABLE B076 RA2
        "\u10049",  # ; LINEAR B SYLLABLE B033 RA3
        "\u1004A",  # ; LINEAR B SYLLABLE B068 RO2
        "\u1004B",  # ; LINEAR B SYLLABLE B066 TA2
        "\u1004C",  # ; LINEAR B SYLLABLE B087 TWE
        "\u1004D",  # ; LINEAR B SYLLABLE B091 TWO
        "\u10050",  # ; LINEAR B SYMBOL B018
        "\u10051",  # ; LINEAR B SYMBOL B019
        "\u10052",  # ; LINEAR B SYMBOL B022
        "\u10053",  # ; LINEAR B SYMBOL B034
        "\u10054",  # ; LINEAR B SYMBOL B047
        "\u10055",  # ; LINEAR B SYMBOL B049
        "\u10056",  # ; LINEAR B SYMBOL B056
        "\u10057",  # ; LINEAR B SYMBOL B063
        "\u10058",  # ; LINEAR B SYMBOL B064
        "\u10059",  # ; LINEAR B SYMBOL B079
        "\u1005A",  # ; LINEAR B SYMBOL B082
        "\u1005B",  # ; LINEAR B SYMBOL B083
        "\u1005C",  # ; LINEAR B SYMBOL B086
        "\u1005D",  # ; LINEAR B SYMBOL B089
        "\u10080",  # ; LINEAR B IDEOGRAM B100 MAN
        "\u10081",  # ; LINEAR B IDEOGRAM B102 WOMAN
        "\u10082",  # ; LINEAR B IDEOGRAM B104 DEER
        "\u10083",  # ; LINEAR B IDEOGRAM B105 EQUID
        "\u10084",  # ; LINEAR B IDEOGRAM B105F MARE
        "\u10085",  # ; LINEAR B IDEOGRAM B105M STALLION
        "\u10086",  # ; LINEAR B IDEOGRAM B106F EWE
        "\u10087",  # ; LINEAR B IDEOGRAM B106M RAM
        "\u10088",  # ; LINEAR B IDEOGRAM B107F SHE-GOAT
        "\u10089",  # ; LINEAR B IDEOGRAM B107M HE-GOAT
        "\u1008A",  # ; LINEAR B IDEOGRAM B108F SOW
        "\u1008B",  # ; LINEAR B IDEOGRAM B108M BOAR
        "\u1008C",  # ; LINEAR B IDEOGRAM B109F COW
        "\u1008D",  # ; LINEAR B IDEOGRAM B109M BULL
        "\u1008E",  # ; LINEAR B IDEOGRAM B120 WHEAT
        "\u1008F",  # ; LINEAR B IDEOGRAM B121 BARLEY
        "\u10090",  # ; LINEAR B IDEOGRAM B122 OLIVE
        "\u10091",  # ; LINEAR B IDEOGRAM B123 SPICE
        "\u10092",  # ; LINEAR B IDEOGRAM B125 CYPERUS
        "\u10093",  # ; LINEAR B MONOGRAM B127 KAPO
        "\u10094",  # ; LINEAR B MONOGRAM B128 KANAKO
        "\u10095",  # ; LINEAR B IDEOGRAM B130 OIL
        "\u10096",  # ; LINEAR B IDEOGRAM B131 WINE
        "\u10097",  # ; LINEAR B IDEOGRAM B132
        "\u10098",  # ; LINEAR B MONOGRAM B133 AREPA
        "\u10099",  # ; LINEAR B MONOGRAM B135 MERI
        "\u1009A",  # ; LINEAR B IDEOGRAM B140 BRONZE
        "\u1009B",  # ; LINEAR B IDEOGRAM B141 GOLD
        "\u1009C",  # ; LINEAR B IDEOGRAM B142
        "\u1009D",  # ; LINEAR B IDEOGRAM B145 WOOL
        "\u1009E",  # ; LINEAR B IDEOGRAM B146
        "\u1009F",  # ; LINEAR B IDEOGRAM B150
        "\u100A0",  # ; LINEAR B IDEOGRAM B151 HORN
        "\u100A1",  # ; LINEAR B IDEOGRAM B152
        "\u100A2",  # ; LINEAR B IDEOGRAM B153
        "\u100A3",  # ; LINEAR B IDEOGRAM B154
        "\u100A4",  # ; LINEAR B MONOGRAM B156 TURO2
        "\u100A5",  # ; LINEAR B IDEOGRAM B157
        "\u100A6",  # ; LINEAR B IDEOGRAM B158
        "\u100A7",  # ; LINEAR B IDEOGRAM B159 CLOTH
        "\u100A8",  # ; LINEAR B IDEOGRAM B160
        "\u100A9",  # ; LINEAR B IDEOGRAM B161
        "\u100AA",  # ; LINEAR B IDEOGRAM B162 GARMENT
        "\u100AB",  # ; LINEAR B IDEOGRAM B163 ARMOUR
        "\u100AC",  # ; LINEAR B IDEOGRAM B164
        "\u100AD",  # ; LINEAR B IDEOGRAM B165
        "\u100AE",  # ; LINEAR B IDEOGRAM B166
        "\u100AF",  # ; LINEAR B IDEOGRAM B167
        "\u100B0",  # ; LINEAR B IDEOGRAM B168
        "\u100B1",  # ; LINEAR B IDEOGRAM B169
        "\u100B2",  # ; LINEAR B IDEOGRAM B170
        "\u100B3",  # ; LINEAR B IDEOGRAM B171
        "\u100B4",  # ; LINEAR B IDEOGRAM B172
        "\u100B5",  # ; LINEAR B IDEOGRAM B173 MONTH
        "\u100B6",  # ; LINEAR B IDEOGRAM B174
        "\u100B7",  # ; LINEAR B IDEOGRAM B176 TREE
        "\u100B8",  # ; LINEAR B IDEOGRAM B177
        "\u100B9",  # ; LINEAR B IDEOGRAM B178
        "\u100BA",  # ; LINEAR B IDEOGRAM B179
        "\u100BB",  # ; LINEAR B IDEOGRAM B180
        "\u100BC",  # ; LINEAR B IDEOGRAM B181
        "\u100BD",  # ; LINEAR B IDEOGRAM B182
        "\u100BE",  # ; LINEAR B IDEOGRAM B183
        "\u100BF",  # ; LINEAR B IDEOGRAM B184
        "\u100C0",  # ; LINEAR B IDEOGRAM B185
        "\u100C1",  # ; LINEAR B IDEOGRAM B189
        "\u100C2",  # ; LINEAR B IDEOGRAM B190
        "\u100C3",  # ; LINEAR B IDEOGRAM B191 HELMET
        "\u100C4",  # ; LINEAR B IDEOGRAM B220 FOOTSTOOL
        "\u100C5",  # ; LINEAR B IDEOGRAM B225 BATHTUB
        "\u100C6",  # ; LINEAR B IDEOGRAM B230 SPEAR
        "\u100C7",  # ; LINEAR B IDEOGRAM B231 ARROW
        "\u100C8",  # ; LINEAR B IDEOGRAM B232
        "\u100C9",  # ; LINEAR B IDEOGRAM B233 SWORD
        "\u100CA",  # ; LINEAR B IDEOGRAM B234
        "\u100CB",  # ; LINEAR B IDEOGRAM B236
        "\u100CC",  # ; LINEAR B IDEOGRAM B240 WHEELED CHARIOT
        "\u100CD",  # ; LINEAR B IDEOGRAM B241 CHARIOT
        "\u100CE",  # ; LINEAR B IDEOGRAM B242 CHARIOT FRAME
        "\u100CF",  # ; LINEAR B IDEOGRAM B243 WHEEL
        "\u100D0",  # ; LINEAR B IDEOGRAM B245
        "\u100D1",  # ; LINEAR B IDEOGRAM B246
        "\u100D2",  # ; LINEAR B MONOGRAM B247 DIPTE
        "\u100D3",  # ; LINEAR B IDEOGRAM B248
        "\u100D4",  # ; LINEAR B IDEOGRAM B249
        "\u100D5",  # ; LINEAR B IDEOGRAM B251
        "\u100D6",  # ; LINEAR B IDEOGRAM B252
        "\u100D7",  # ; LINEAR B IDEOGRAM B253
        "\u100D8",  # ; LINEAR B IDEOGRAM B254 DART
        "\u100D9",  # ; LINEAR B IDEOGRAM B255
        "\u100DA",  # ; LINEAR B IDEOGRAM B256
        "\u100DB",  # ; LINEAR B IDEOGRAM B257
        "\u100DC",  # ; LINEAR B IDEOGRAM B258
        "\u100DD",  # ; LINEAR B IDEOGRAM B259
        "\u100DE",  # ; LINEAR B IDEOGRAM VESSEL B155
        "\u100DF",  # ; LINEAR B IDEOGRAM VESSEL B200
        "\u100E0",  # ; LINEAR B IDEOGRAM VESSEL B201
        "\u100E1",  # ; LINEAR B IDEOGRAM VESSEL B202
        "\u100E2",  # ; LINEAR B IDEOGRAM VESSEL B203
        "\u100E3",  # ; LINEAR B IDEOGRAM VESSEL B204
        "\u100E4",  # ; LINEAR B IDEOGRAM VESSEL B205
        "\u100E5",  # ; LINEAR B IDEOGRAM VESSEL B206
        "\u100E6",  # ; LINEAR B IDEOGRAM VESSEL B207
        "\u100E7",  # ; LINEAR B IDEOGRAM VESSEL B208
        "\u100E8",  # ; LINEAR B IDEOGRAM VESSEL B209
        "\u100E9",  # ; LINEAR B IDEOGRAM VESSEL B210
        "\u100EA",  # ; LINEAR B IDEOGRAM VESSEL B211
        "\u100EB",  # ; LINEAR B IDEOGRAM VESSEL B212
        "\u100EC",  # ; LINEAR B IDEOGRAM VESSEL B213
        "\u100ED",  # ; LINEAR B IDEOGRAM VESSEL B214
        "\u100EE",  # ; LINEAR B IDEOGRAM VESSEL B215
        "\u100EF",  # ; LINEAR B IDEOGRAM VESSEL B216
        "\u100F0",  # ; LINEAR B IDEOGRAM VESSEL B217
        "\u100F1",  # ; LINEAR B IDEOGRAM VESSEL B218
        "\u100F2",  # ; LINEAR B IDEOGRAM VESSEL B219
        "\u100F3",  # ; LINEAR B IDEOGRAM VESSEL B221
        "\u100F4",  # ; LINEAR B IDEOGRAM VESSEL B222
        "\u100F5",  # ; LINEAR B IDEOGRAM VESSEL B226
        "\u100F6",  # ; LINEAR B IDEOGRAM VESSEL B227
        "\u100F7",  # ; LINEAR B IDEOGRAM VESSEL B228
        "\u100F8",  # ; LINEAR B IDEOGRAM VESSEL B229
        "\u100F9",  # ; LINEAR B IDEOGRAM VESSEL B250
        "\u100FA",  # ; LINEAR B IDEOGRAM VESSEL B305
        "\u10100",  # ; AEGEAN WORD SEPARATOR LINE
        "\u10101",  # ; AEGEAN WORD SEPARATOR DOT
        "\u10102",  # ; AEGEAN CHECK MARK
        "\u10107",  # ; AEGEAN NUMBER ONE
        "\u10108",  # ; AEGEAN NUMBER TWO
        "\u10109",  # ; AEGEAN NUMBER THREE
        "\u1010A",  # ; AEGEAN NUMBER FOUR
        "\u1010B",  # ; AEGEAN NUMBER FIVE
        "\u1010C",  # ; AEGEAN NUMBER SIX
        "\u1010D",  # ; AEGEAN NUMBER SEVEN
        "\u1010E",  # ; AEGEAN NUMBER EIGHT
        "\u1010F",  # ; AEGEAN NUMBER NINE
        "\u10110",  # ; AEGEAN NUMBER TEN
        "\u10111",  # ; AEGEAN NUMBER TWENTY
        "\u10112",  # ; AEGEAN NUMBER THIRTY
        "\u10113",  # ; AEGEAN NUMBER FORTY
        "\u10114",  # ; AEGEAN NUMBER FIFTY
        "\u10115",  # ; AEGEAN NUMBER SIXTY
        "\u10116",  # ; AEGEAN NUMBER SEVENTY
        "\u10117",  # ; AEGEAN NUMBER EIGHTY
        "\u10118",  # ; AEGEAN NUMBER NINETY
        "\u10119",  # ; AEGEAN NUMBER ONE HUNDRED
        "\u1011A",  # ; AEGEAN NUMBER TWO HUNDRED
        "\u1011B",  # ; AEGEAN NUMBER THREE HUNDRED
        "\u1011C",  # ; AEGEAN NUMBER FOUR HUNDRED
        "\u1011D",  # ; AEGEAN NUMBER FIVE HUNDRED
        "\u1011E",  # ; AEGEAN NUMBER SIX HUNDRED
        "\u1011F",  # ; AEGEAN NUMBER SEVEN HUNDRED
        "\u10120",  # ; AEGEAN NUMBER EIGHT HUNDRED
        "\u10121",  # ; AEGEAN NUMBER NINE HUNDRED
        "\u10122",  # ; AEGEAN NUMBER ONE THOUSAND
        "\u10123",  # ; AEGEAN NUMBER TWO THOUSAND
        "\u10124",  # ; AEGEAN NUMBER THREE THOUSAND
        "\u10125",  # ; AEGEAN NUMBER FOUR THOUSAND
        "\u10126",  # ; AEGEAN NUMBER FIVE THOUSAND
        "\u10127",  # ; AEGEAN NUMBER SIX THOUSAND
        "\u10128",  # ; AEGEAN NUMBER SEVEN THOUSAND
        "\u10129",  # ; AEGEAN NUMBER EIGHT THOUSAND
        "\u1012A",  # ; AEGEAN NUMBER NINE THOUSAND
        "\u1012B",  # ; AEGEAN NUMBER TEN THOUSAND
        "\u1012C",  # ; AEGEAN NUMBER TWENTY THOUSAND
        "\u1012D",  # ; AEGEAN NUMBER THIRTY THOUSAND
        "\u1012E",  # ; AEGEAN NUMBER FORTY THOUSAND
        "\u1012F",  # ; AEGEAN NUMBER FIFTY THOUSAND
        "\u10130",  # ; AEGEAN NUMBER SIXTY THOUSAND
        "\u10131",  # ; AEGEAN NUMBER SEVENTY THOUSAND
        "\u10132",  # ; AEGEAN NUMBER EIGHTY THOUSAND
        "\u10133",  # ; AEGEAN NUMBER NINETY THOUSAND
        "\u10137",  # ; AEGEAN WEIGHT BASE UNIT
        "\u10138",  # ; AEGEAN WEIGHT FIRST SUBUNIT
        "\u10139",  # ; AEGEAN WEIGHT SECOND SUBUNIT
        "\u1013A",  # ; AEGEAN WEIGHT THIRD SUBUNIT
        "\u1013B",  # ; AEGEAN WEIGHT FOURTH SUBUNIT
        "\u1013C",  # ; AEGEAN DRY MEASURE FIRST SUBUNIT
        "\u1013D",  # ; AEGEAN LIQUID MEASURE FIRST SUBUNIT
        "\u1013E",  # ; AEGEAN MEASURE SECOND SUBUNIT
        "\u1013F",  # ; AEGEAN MEASURE THIRD SUBUNIT
        "\u10140",  # ; GREEK ACROPHONIC ATTIC ONE QUARTER
        "\u10141",  # ; GREEK ACROPHONIC ATTIC ONE HALF
        "\u10142",  # ; GREEK ACROPHONIC ATTIC ONE DRACHMA
        "\u10143",  # ; GREEK ACROPHONIC ATTIC FIVE
        "\u10144",  # ; GREEK ACROPHONIC ATTIC FIFTY
        "\u10145",  # ; GREEK ACROPHONIC ATTIC FIVE HUNDRED
        "\u10146",  # ; GREEK ACROPHONIC ATTIC FIVE THOUSAND
        "\u10147",  # ; GREEK ACROPHONIC ATTIC FIFTY THOUSAND
        "\u10148",  # ; GREEK ACROPHONIC ATTIC FIVE TALENTS
        "\u10149",  # ; GREEK ACROPHONIC ATTIC TEN TALENTS
        "\u1014A",  # ; GREEK ACROPHONIC ATTIC FIFTY TALENTS
        "\u1014B",  # ; GREEK ACROPHONIC ATTIC ONE HUNDRED TALENTS
        "\u1014C",  # ; GREEK ACROPHONIC ATTIC FIVE HUNDRED TALENTS
        "\u1014D",  # ; GREEK ACROPHONIC ATTIC ONE THOUSAND TALENTS
        "\u1014E",  # ; GREEK ACROPHONIC ATTIC FIVE THOUSAND TALENTS
        "\u1014F",  # ; GREEK ACROPHONIC ATTIC FIVE STATERS
        "\u10150",  # ; GREEK ACROPHONIC ATTIC TEN STATERS
        "\u10151",  # ; GREEK ACROPHONIC ATTIC FIFTY STATERS
        "\u10152",  # ; GREEK ACROPHONIC ATTIC ONE HUNDRED STATERS
        "\u10153",  # ; GREEK ACROPHONIC ATTIC FIVE HUNDRED STATERS
        "\u10154",  # ; GREEK ACROPHONIC ATTIC ONE THOUSAND STATERS
        "\u10155",  # ; GREEK ACROPHONIC ATTIC TEN THOUSAND STATERS
        "\u10156",  # ; GREEK ACROPHONIC ATTIC FIFTY THOUSAND STATERS
        "\u10157",  # ; GREEK ACROPHONIC ATTIC TEN MNAS
        "\u10158",  # ; GREEK ACROPHONIC HERAEUM ONE PLETHRON
        "\u10159",  # ; GREEK ACROPHONIC THESPIAN ONE
        "\u1015A",  # ; GREEK ACROPHONIC HERMIONIAN ONE
        "\u1015B",  # ; GREEK ACROPHONIC EPIDAUREAN TWO
        "\u1015C",  # ; GREEK ACROPHONIC THESPIAN TWO
        "\u1015D",  # ; GREEK ACROPHONIC CYRENAIC TWO DRACHMAS
        "\u1015E",  # ; GREEK ACROPHONIC EPIDAUREAN TWO DRACHMAS
        "\u1015F",  # ; GREEK ACROPHONIC TROEZENIAN FIVE
        "\u10160",  # ; GREEK ACROPHONIC TROEZENIAN TEN
        "\u10161",  # ; GREEK ACROPHONIC TROEZENIAN TEN ALTERNATE FORM
        "\u10162",  # ; GREEK ACROPHONIC HERMIONIAN TEN
        "\u10163",  # ; GREEK ACROPHONIC MESSENIAN TEN
        "\u10164",  # ; GREEK ACROPHONIC THESPIAN TEN
        "\u10165",  # ; GREEK ACROPHONIC THESPIAN THIRTY
        "\u10166",  # ; GREEK ACROPHONIC TROEZENIAN FIFTY
        "\u10167",  # ; GREEK ACROPHONIC TROEZENIAN FIFTY ALTERNATE FORM
        "\u10168",  # ; GREEK ACROPHONIC HERMIONIAN FIFTY
        "\u10169",  # ; GREEK ACROPHONIC THESPIAN FIFTY
        "\u1016A",  # ; GREEK ACROPHONIC THESPIAN ONE HUNDRED
        "\u1016B",  # ; GREEK ACROPHONIC THESPIAN THREE HUNDRED
        "\u1016C",  # ; GREEK ACROPHONIC EPIDAUREAN FIVE HUNDRED
        "\u1016D",  # ; GREEK ACROPHONIC TROEZENIAN FIVE HUNDRED
        "\u1016E",  # ; GREEK ACROPHONIC THESPIAN FIVE HUNDRED
        "\u1016F",  # ; GREEK ACROPHONIC CARYSTIAN FIVE HUNDRED
        "\u10170",  # ; GREEK ACROPHONIC NAXIAN FIVE HUNDRED
        "\u10171",  # ; GREEK ACROPHONIC THESPIAN ONE THOUSAND
        "\u10172",  # ; GREEK ACROPHONIC THESPIAN FIVE THOUSAND
        "\u10173",  # ; GREEK ACROPHONIC DELPHIC FIVE MNAS
        "\u10174",  # ; GREEK ACROPHONIC STRATIAN FIFTY MNAS
        "\u10175",  # ; GREEK ONE HALF SIGN
        "\u10176",  # ; GREEK ONE HALF SIGN ALTERNATE FORM
        "\u10177",  # ; GREEK TWO THIRDS SIGN
        "\u10178",  # ; GREEK THREE QUARTERS SIGN
        "\u10179",  # ; GREEK YEAR SIGN
        "\u1017A",  # ; GREEK TALENT SIGN
        "\u1017B",  # ; GREEK DRACHMA SIGN
        "\u1017C",  # ; GREEK OBOL SIGN
        "\u1017D",  # ; GREEK TWO OBOLS SIGN
        "\u1017E",  # ; GREEK THREE OBOLS SIGN
        "\u1017F",  # ; GREEK FOUR OBOLS SIGN
        "\u10180",  # ; GREEK FIVE OBOLS SIGN
        "\u10181",  # ; GREEK METRETES SIGN
        "\u10182",  # ; GREEK KYATHOS BASE SIGN
        "\u10183",  # ; GREEK LITRA SIGN
        "\u10184",  # ; GREEK OUNKIA SIGN
        "\u10185",  # ; GREEK XESTES SIGN
        "\u10186",  # ; GREEK ARTABE SIGN
        "\u10187",  # ; GREEK AROURA SIGN
        "\u10188",  # ; GREEK GRAMMA SIGN
        "\u10189",  # ; GREEK TRYBLION BASE SIGN
        "\u1018A",  # ; GREEK ZERO SIGN
        "\u1018B",  # ; GREEK ONE QUARTER SIGN
        "\u1018C",  # ; GREEK SINUSOID SIGN
        "\u1018D",  # ; GREEK INDICTION SIGN
        "\u1018E",  # ; NOMISMA SIGN
        "\u10190",  # ; ROMAN SEXTANS SIGN
        "\u10191",  # ; ROMAN UNCIA SIGN
        "\u10192",  # ; ROMAN SEMUNCIA SIGN
        "\u10193",  # ; ROMAN SEXTULA SIGN
        "\u10194",  # ; ROMAN DIMIDIA SEXTULA SIGN
        "\u10195",  # ; ROMAN SILIQUA SIGN
        "\u10196",  # ; ROMAN DENARIUS SIGN
        "\u10197",  # ; ROMAN QUINARIUS SIGN
        "\u10198",  # ; ROMAN SESTERTIUS SIGN
        "\u10199",  # ; ROMAN DUPONDIUS SIGN
        "\u1019A",  # ; ROMAN AS SIGN
        "\u1019B",  # ; ROMAN CENTURIAL SIGN
        "\u101A0",  # ; GREEK SYMBOL TAU RHO
        "\u101D0",  # ; PHAISTOS DISC SIGN PEDESTRIAN
        "\u101D1",  # ; PHAISTOS DISC SIGN PLUMED HEAD
        "\u101D2",  # ; PHAISTOS DISC SIGN TATTOOED HEAD
        "\u101D3",  # ; PHAISTOS DISC SIGN CAPTIVE
        "\u101D4",  # ; PHAISTOS DISC SIGN CHILD
        "\u101D5",  # ; PHAISTOS DISC SIGN WOMAN
        "\u101D6",  # ; PHAISTOS DISC SIGN HELMET
        "\u101D7",  # ; PHAISTOS DISC SIGN GAUNTLET
        "\u101D8",  # ; PHAISTOS DISC SIGN TIARA
        "\u101D9",  # ; PHAISTOS DISC SIGN ARROW
        "\u101DA",  # ; PHAISTOS DISC SIGN BOW
        "\u101DB",  # ; PHAISTOS DISC SIGN SHIELD
        "\u101DC",  # ; PHAISTOS DISC SIGN CLUB
        "\u101DD",  # ; PHAISTOS DISC SIGN MANACLES
        "\u101DE",  # ; PHAISTOS DISC SIGN MATTOCK
        "\u101DF",  # ; PHAISTOS DISC SIGN SAW
        "\u101E0",  # ; PHAISTOS DISC SIGN LID
        "\u101E1",  # ; PHAISTOS DISC SIGN BOOMERANG
        "\u101E2",  # ; PHAISTOS DISC SIGN CARPENTRY PLANE
        "\u101E3",  # ; PHAISTOS DISC SIGN DOLIUM
        "\u101E4",  # ; PHAISTOS DISC SIGN COMB
        "\u101E5",  # ; PHAISTOS DISC SIGN SLING
        "\u101E6",  # ; PHAISTOS DISC SIGN COLUMN
        "\u101E7",  # ; PHAISTOS DISC SIGN BEEHIVE
        "\u101E8",  # ; PHAISTOS DISC SIGN SHIP
        "\u101E9",  # ; PHAISTOS DISC SIGN HORN
        "\u101EA",  # ; PHAISTOS DISC SIGN HIDE
        "\u101EB",  # ; PHAISTOS DISC SIGN BULLS LEG
        "\u101EC",  # ; PHAISTOS DISC SIGN CAT
        "\u101ED",  # ; PHAISTOS DISC SIGN RAM
        "\u101EE",  # ; PHAISTOS DISC SIGN EAGLE
        "\u101EF",  # ; PHAISTOS DISC SIGN DOVE
        "\u101F0",  # ; PHAISTOS DISC SIGN TUNNY
        "\u101F1",  # ; PHAISTOS DISC SIGN BEE
        "\u101F2",  # ; PHAISTOS DISC SIGN PLANE TREE
        "\u101F3",  # ; PHAISTOS DISC SIGN VINE
        "\u101F4",  # ; PHAISTOS DISC SIGN PAPYRUS
        "\u101F5",  # ; PHAISTOS DISC SIGN ROSETTE
        "\u101F6",  # ; PHAISTOS DISC SIGN LILY
        "\u101F7",  # ; PHAISTOS DISC SIGN OX BACK
        "\u101F8",  # ; PHAISTOS DISC SIGN FLUTE
        "\u101F9",  # ; PHAISTOS DISC SIGN GRATER
        "\u101FA",  # ; PHAISTOS DISC SIGN STRAINER
        "\u101FB",  # ; PHAISTOS DISC SIGN SMALL AXE
        "\u101FC",  # ; PHAISTOS DISC SIGN WAVY BAND
        "\u101FD",  # ; PHAISTOS DISC SIGN COMBINING OBLIQUE STROKE
        "\u10280",  # ; LYCIAN LETTER A
        "\u10281",  # ; LYCIAN LETTER E
        "\u10282",  # ; LYCIAN LETTER B
        "\u10283",  # ; LYCIAN LETTER BH
        "\u10284",  # ; LYCIAN LETTER G
        "\u10285",  # ; LYCIAN LETTER D
        "\u10286",  # ; LYCIAN LETTER I
        "\u10287",  # ; LYCIAN LETTER W
        "\u10288",  # ; LYCIAN LETTER Z
        "\u10289",  # ; LYCIAN LETTER TH
        "\u1028A",  # ; LYCIAN LETTER J
        "\u1028B",  # ; LYCIAN LETTER K
        "\u1028C",  # ; LYCIAN LETTER Q
        "\u1028D",  # ; LYCIAN LETTER L
        "\u1028E",  # ; LYCIAN LETTER M
        "\u1028F",  # ; LYCIAN LETTER N
        "\u10290",  # ; LYCIAN LETTER MM
        "\u10291",  # ; LYCIAN LETTER NN
        "\u10292",  # ; LYCIAN LETTER U
        "\u10293",  # ; LYCIAN LETTER P
        "\u10294",  # ; LYCIAN LETTER KK
        "\u10295",  # ; LYCIAN LETTER R
        "\u10296",  # ; LYCIAN LETTER S
        "\u10297",  # ; LYCIAN LETTER T
        "\u10298",  # ; LYCIAN LETTER TT
        "\u10299",  # ; LYCIAN LETTER AN
        "\u1029A",  # ; LYCIAN LETTER EN
        "\u1029B",  # ; LYCIAN LETTER H
        "\u1029C",  # ; LYCIAN LETTER X
        "\u102A0",  # ; CARIAN LETTER A
        "\u102A1",  # ; CARIAN LETTER P2
        "\u102A2",  # ; CARIAN LETTER D
        "\u102A3",  # ; CARIAN LETTER L
        "\u102A4",  # ; CARIAN LETTER UUU
        "\u102A5",  # ; CARIAN LETTER R
        "\u102A6",  # ; CARIAN LETTER LD
        "\u102A7",  # ; CARIAN LETTER A2
        "\u102A8",  # ; CARIAN LETTER Q
        "\u102A9",  # ; CARIAN LETTER B
        "\u102AA",  # ; CARIAN LETTER M
        "\u102AB",  # ; CARIAN LETTER O
        "\u102AC",  # ; CARIAN LETTER D2
        "\u102AD",  # ; CARIAN LETTER T
        "\u102AE",  # ; CARIAN LETTER SH
        "\u102AF",  # ; CARIAN LETTER SH2
        "\u102B0",  # ; CARIAN LETTER S
        "\u102B1",  # ; CARIAN LETTER C-18
        "\u102B2",  # ; CARIAN LETTER U
        "\u102B3",  # ; CARIAN LETTER NN
        "\u102B4",  # ; CARIAN LETTER X
        "\u102B5",  # ; CARIAN LETTER N
        "\u102B6",  # ; CARIAN LETTER TT2
        "\u102B7",  # ; CARIAN LETTER P
        "\u102B8",  # ; CARIAN LETTER SS
        "\u102B9",  # ; CARIAN LETTER I
        "\u102BA",  # ; CARIAN LETTER E
        "\u102BB",  # ; CARIAN LETTER UUUU
        "\u102BC",  # ; CARIAN LETTER K
        "\u102BD",  # ; CARIAN LETTER K2
        "\u102BE",  # ; CARIAN LETTER ND
        "\u102BF",  # ; CARIAN LETTER UU
        "\u102C0",  # ; CARIAN LETTER G
        "\u102C1",  # ; CARIAN LETTER G2
        "\u102C2",  # ; CARIAN LETTER ST
        "\u102C3",  # ; CARIAN LETTER ST2
        "\u102C4",  # ; CARIAN LETTER NG
        "\u102C5",  # ; CARIAN LETTER II
        "\u102C6",  # ; CARIAN LETTER C-39
        "\u102C7",  # ; CARIAN LETTER TT
        "\u102C8",  # ; CARIAN LETTER UUU2
        "\u102C9",  # ; CARIAN LETTER RR
        "\u102CA",  # ; CARIAN LETTER MB
        "\u102CB",  # ; CARIAN LETTER MB2
        "\u102CC",  # ; CARIAN LETTER MB3
        "\u102CD",  # ; CARIAN LETTER MB4
        "\u102CE",  # ; CARIAN LETTER LD2
        "\u102CF",  # ; CARIAN LETTER E2
        "\u102D0",  # ; CARIAN LETTER UUU3
        "\u102E0",  # ; COPTIC EPACT THOUSANDS MARK
        "\u102E1",  # ; COPTIC EPACT DIGIT ONE
        "\u102E2",  # ; COPTIC EPACT DIGIT TWO
        "\u102E3",  # ; COPTIC EPACT DIGIT THREE
        "\u102E4",  # ; COPTIC EPACT DIGIT FOUR
        "\u102E5",  # ; COPTIC EPACT DIGIT FIVE
        "\u102E6",  # ; COPTIC EPACT DIGIT SIX
        "\u102E7",  # ; COPTIC EPACT DIGIT SEVEN
        "\u102E8",  # ; COPTIC EPACT DIGIT EIGHT
        "\u102E9",  # ; COPTIC EPACT DIGIT NINE
        "\u102EA",  # ; COPTIC EPACT NUMBER TEN
        "\u102EB",  # ; COPTIC EPACT NUMBER TWENTY
        "\u102EC",  # ; COPTIC EPACT NUMBER THIRTY
        "\u102ED",  # ; COPTIC EPACT NUMBER FORTY
        "\u102EE",  # ; COPTIC EPACT NUMBER FIFTY
        "\u102EF",  # ; COPTIC EPACT NUMBER SIXTY
        "\u102F0",  # ; COPTIC EPACT NUMBER SEVENTY
        "\u102F1",  # ; COPTIC EPACT NUMBER EIGHTY
        "\u102F2",  # ; COPTIC EPACT NUMBER NINETY
        "\u102F3",  # ; COPTIC EPACT NUMBER ONE HUNDRED
        "\u102F4",  # ; COPTIC EPACT NUMBER TWO HUNDRED
        "\u102F5",  # ; COPTIC EPACT NUMBER THREE HUNDRED
        "\u102F6",  # ; COPTIC EPACT NUMBER FOUR HUNDRED
        "\u102F7",  # ; COPTIC EPACT NUMBER FIVE HUNDRED
        "\u102F8",  # ; COPTIC EPACT NUMBER SIX HUNDRED
        "\u102F9",  # ; COPTIC EPACT NUMBER SEVEN HUNDRED
        "\u102FA",  # ; COPTIC EPACT NUMBER EIGHT HUNDRED
        "\u102FB",  # ; COPTIC EPACT NUMBER NINE HUNDRED
        "\u10300",  # ; OLD ITALIC LETTER A
        "\u10301",  # ; OLD ITALIC LETTER BE
        "\u10302",  # ; OLD ITALIC LETTER KE
        "\u10303",  # ; OLD ITALIC LETTER DE
        "\u10304",  # ; OLD ITALIC LETTER E
        "\u10305",  # ; OLD ITALIC LETTER VE
        "\u10306",  # ; OLD ITALIC LETTER ZE
        "\u10307",  # ; OLD ITALIC LETTER HE
        "\u10308",  # ; OLD ITALIC LETTER THE
        "\u10309",  # ; OLD ITALIC LETTER I
        "\u1030A",  # ; OLD ITALIC LETTER KA
        "\u1030B",  # ; OLD ITALIC LETTER EL
        "\u1030C",  # ; OLD ITALIC LETTER EM
        "\u1030D",  # ; OLD ITALIC LETTER EN
        "\u1030E",  # ; OLD ITALIC LETTER ESH
        "\u1030F",  # ; OLD ITALIC LETTER O
        "\u10310",  # ; OLD ITALIC LETTER PE
        "\u10311",  # ; OLD ITALIC LETTER SHE
        "\u10312",  # ; OLD ITALIC LETTER KU
        "\u10313",  # ; OLD ITALIC LETTER ER
        "\u10314",  # ; OLD ITALIC LETTER ES
        "\u10315",  # ; OLD ITALIC LETTER TE
        "\u10316",  # ; OLD ITALIC LETTER U
        "\u10317",  # ; OLD ITALIC LETTER EKS
        "\u10318",  # ; OLD ITALIC LETTER PHE
        "\u10319",  # ; OLD ITALIC LETTER KHE
        "\u1031A",  # ; OLD ITALIC LETTER EF
        "\u1031B",  # ; OLD ITALIC LETTER ERS
        "\u1031C",  # ; OLD ITALIC LETTER CHE
        "\u1031D",  # ; OLD ITALIC LETTER II
        "\u1031E",  # ; OLD ITALIC LETTER UU
        "\u1031F",  # ; OLD ITALIC LETTER ESS
        "\u10320",  # ; OLD ITALIC NUMERAL ONE
        "\u10321",  # ; OLD ITALIC NUMERAL FIVE
        "\u10322",  # ; OLD ITALIC NUMERAL TEN
        "\u10323",  # ; OLD ITALIC NUMERAL FIFTY
        "\u1032D",  # ; OLD ITALIC LETTER YE
        "\u1032E",  # ; OLD ITALIC LETTER NORTHERN TSE
        "\u1032F",  # ; OLD ITALIC LETTER SOUTHERN TSE
        "\u10330",  # ; GOTHIC LETTER AHSA
        "\u10331",  # ; GOTHIC LETTER BAIRKAN
        "\u10332",  # ; GOTHIC LETTER GIBA
        "\u10333",  # ; GOTHIC LETTER DAGS
        "\u10334",  # ; GOTHIC LETTER AIHVUS
        "\u10335",  # ; GOTHIC LETTER QAIRTHRA
        "\u10336",  # ; GOTHIC LETTER IUJA
        "\u10337",  # ; GOTHIC LETTER HAGL
        "\u10338",  # ; GOTHIC LETTER THIUTH
        "\u10339",  # ; GOTHIC LETTER EIS
        "\u1033A",  # ; GOTHIC LETTER KUSMA
        "\u1033B",  # ; GOTHIC LETTER LAGUS
        "\u1033C",  # ; GOTHIC LETTER MANNA
        "\u1033D",  # ; GOTHIC LETTER NAUTHS
        "\u1033E",  # ; GOTHIC LETTER JER
        "\u1033F",  # ; GOTHIC LETTER URUS
        "\u10340",  # ; GOTHIC LETTER PAIRTHRA
        "\u10341",  # ; GOTHIC LETTER NINETY
        "\u10342",  # ; GOTHIC LETTER RAIDA
        "\u10343",  # ; GOTHIC LETTER SAUIL
        "\u10344",  # ; GOTHIC LETTER TEIWS
        "\u10345",  # ; GOTHIC LETTER WINJA
        "\u10346",  # ; GOTHIC LETTER FAIHU
        "\u10347",  # ; GOTHIC LETTER IGGWS
        "\u10348",  # ; GOTHIC LETTER HWAIR
        "\u10349",  # ; GOTHIC LETTER OTHAL
        "\u1034A",  # ; GOTHIC LETTER NINE HUNDRED
        "\u10350",  # ; OLD PERMIC LETTER AN
        "\u10351",  # ; OLD PERMIC LETTER BUR
        "\u10352",  # ; OLD PERMIC LETTER GAI
        "\u10353",  # ; OLD PERMIC LETTER DOI
        "\u10354",  # ; OLD PERMIC LETTER E
        "\u10355",  # ; OLD PERMIC LETTER ZHOI
        "\u10356",  # ; OLD PERMIC LETTER DZHOI
        "\u10357",  # ; OLD PERMIC LETTER ZATA
        "\u10358",  # ; OLD PERMIC LETTER DZITA
        "\u10359",  # ; OLD PERMIC LETTER I
        "\u1035A",  # ; OLD PERMIC LETTER KOKE
        "\u1035B",  # ; OLD PERMIC LETTER LEI
        "\u1035C",  # ; OLD PERMIC LETTER MENOE
        "\u1035D",  # ; OLD PERMIC LETTER NENOE
        "\u1035E",  # ; OLD PERMIC LETTER VOOI
        "\u1035F",  # ; OLD PERMIC LETTER PEEI
        "\u10360",  # ; OLD PERMIC LETTER REI
        "\u10361",  # ; OLD PERMIC LETTER SII
        "\u10362",  # ; OLD PERMIC LETTER TAI
        "\u10363",  # ; OLD PERMIC LETTER U
        "\u10364",  # ; OLD PERMIC LETTER CHERY
        "\u10365",  # ; OLD PERMIC LETTER SHOOI
        "\u10366",  # ; OLD PERMIC LETTER SHCHOOI
        "\u10367",  # ; OLD PERMIC LETTER YRY
        "\u10368",  # ; OLD PERMIC LETTER YERU
        "\u10369",  # ; OLD PERMIC LETTER O
        "\u1036A",  # ; OLD PERMIC LETTER OO
        "\u1036B",  # ; OLD PERMIC LETTER EF
        "\u1036C",  # ; OLD PERMIC LETTER HA
        "\u1036D",  # ; OLD PERMIC LETTER TSIU
        "\u1036E",  # ; OLD PERMIC LETTER VER
        "\u1036F",  # ; OLD PERMIC LETTER YER
        "\u10370",  # ; OLD PERMIC LETTER YERI
        "\u10371",  # ; OLD PERMIC LETTER YAT
        "\u10372",  # ; OLD PERMIC LETTER IE
        "\u10373",  # ; OLD PERMIC LETTER YU
        "\u10374",  # ; OLD PERMIC LETTER YA
        "\u10375",  # ; OLD PERMIC LETTER IA
        "\u10376",  # ; COMBINING OLD PERMIC LETTER AN
        "\u10377",  # ; COMBINING OLD PERMIC LETTER DOI
        "\u10378",  # ; COMBINING OLD PERMIC LETTER ZATA
        "\u10379",  # ; COMBINING OLD PERMIC LETTER NENOE
        "\u1037A",  # ; COMBINING OLD PERMIC LETTER SII
        "\u10380",  # ; UGARITIC LETTER ALPA
        "\u10381",  # ; UGARITIC LETTER BETA
        "\u10382",  # ; UGARITIC LETTER GAMLA
        "\u10383",  # ; UGARITIC LETTER KHA
        "\u10384",  # ; UGARITIC LETTER DELTA
        "\u10385",  # ; UGARITIC LETTER HO
        "\u10386",  # ; UGARITIC LETTER WO
        "\u10387",  # ; UGARITIC LETTER ZETA
        "\u10388",  # ; UGARITIC LETTER HOTA
        "\u10389",  # ; UGARITIC LETTER TET
        "\u1038A",  # ; UGARITIC LETTER YOD
        "\u1038B",  # ; UGARITIC LETTER KAF
        "\u1038C",  # ; UGARITIC LETTER SHIN
        "\u1038D",  # ; UGARITIC LETTER LAMDA
        "\u1038E",  # ; UGARITIC LETTER MEM
        "\u1038F",  # ; UGARITIC LETTER DHAL
        "\u10390",  # ; UGARITIC LETTER NUN
        "\u10391",  # ; UGARITIC LETTER ZU
        "\u10392",  # ; UGARITIC LETTER SAMKA
        "\u10393",  # ; UGARITIC LETTER AIN
        "\u10394",  # ; UGARITIC LETTER PU
        "\u10395",  # ; UGARITIC LETTER SADE
        "\u10396",  # ; UGARITIC LETTER QOPA
        "\u10397",  # ; UGARITIC LETTER RASHA
        "\u10398",  # ; UGARITIC LETTER THANNA
        "\u10399",  # ; UGARITIC LETTER GHAIN
        "\u1039A",  # ; UGARITIC LETTER TO
        "\u1039B",  # ; UGARITIC LETTER I
        "\u1039C",  # ; UGARITIC LETTER U
        "\u1039D",  # ; UGARITIC LETTER SSU
        "\u1039F",  # ; UGARITIC WORD DIVIDER
        "\u103A0",  # ; OLD PERSIAN SIGN A
        "\u103A1",  # ; OLD PERSIAN SIGN I
        "\u103A2",  # ; OLD PERSIAN SIGN U
        "\u103A3",  # ; OLD PERSIAN SIGN KA
        "\u103A4",  # ; OLD PERSIAN SIGN KU
        "\u103A5",  # ; OLD PERSIAN SIGN GA
        "\u103A6",  # ; OLD PERSIAN SIGN GU
        "\u103A7",  # ; OLD PERSIAN SIGN XA
        "\u103A8",  # ; OLD PERSIAN SIGN CA
        "\u103A9",  # ; OLD PERSIAN SIGN JA
        "\u103AA",  # ; OLD PERSIAN SIGN JI
        "\u103AB",  # ; OLD PERSIAN SIGN TA
        "\u103AC",  # ; OLD PERSIAN SIGN TU
        "\u103AD",  # ; OLD PERSIAN SIGN DA
        "\u103AE",  # ; OLD PERSIAN SIGN DI
        "\u103AF",  # ; OLD PERSIAN SIGN DU
        "\u103B0",  # ; OLD PERSIAN SIGN THA
        "\u103B1",  # ; OLD PERSIAN SIGN PA
        "\u103B2",  # ; OLD PERSIAN SIGN BA
        "\u103B3",  # ; OLD PERSIAN SIGN FA
        "\u103B4",  # ; OLD PERSIAN SIGN NA
        "\u103B5",  # ; OLD PERSIAN SIGN NU
        "\u103B6",  # ; OLD PERSIAN SIGN MA
        "\u103B7",  # ; OLD PERSIAN SIGN MI
        "\u103B8",  # ; OLD PERSIAN SIGN MU
        "\u103B9",  # ; OLD PERSIAN SIGN YA
        "\u103BA",  # ; OLD PERSIAN SIGN VA
        "\u103BB",  # ; OLD PERSIAN SIGN VI
        "\u103BC",  # ; OLD PERSIAN SIGN RA
        "\u103BD",  # ; OLD PERSIAN SIGN RU
        "\u103BE",  # ; OLD PERSIAN SIGN LA
        "\u103BF",  # ; OLD PERSIAN SIGN SA
        "\u103C0",  # ; OLD PERSIAN SIGN ZA
        "\u103C1",  # ; OLD PERSIAN SIGN SHA
        "\u103C2",  # ; OLD PERSIAN SIGN SSA
        "\u103C3",  # ; OLD PERSIAN SIGN HA
        "\u103C8",  # ; OLD PERSIAN SIGN AURAMAZDAA
        "\u103C9",  # ; OLD PERSIAN SIGN AURAMAZDAA-2
        "\u103CA",  # ; OLD PERSIAN SIGN AURAMAZDAAHA
        "\u103CB",  # ; OLD PERSIAN SIGN XSHAAYATHIYA
        "\u103CC",  # ; OLD PERSIAN SIGN DAHYAAUSH
        "\u103CD",  # ; OLD PERSIAN SIGN DAHYAAUSH-2
        "\u103CE",  # ; OLD PERSIAN SIGN BAGA
        "\u103CF",  # ; OLD PERSIAN SIGN BUUMISH
        "\u103D0",  # ; OLD PERSIAN WORD DIVIDER
        "\u103D1",  # ; OLD PERSIAN NUMBER ONE
        "\u103D2",  # ; OLD PERSIAN NUMBER TWO
        "\u103D3",  # ; OLD PERSIAN NUMBER TEN
        "\u103D4",  # ; OLD PERSIAN NUMBER TWENTY
        "\u103D5",  # ; OLD PERSIAN NUMBER HUNDRED
        "\u10400",  # ; DESERET CAPITAL LETTER LONG I
        "\u10401",  # ; DESERET CAPITAL LETTER LONG E
        "\u10402",  # ; DESERET CAPITAL LETTER LONG A
        "\u10403",  # ; DESERET CAPITAL LETTER LONG AH
        "\u10404",  # ; DESERET CAPITAL LETTER LONG O
        "\u10405",  # ; DESERET CAPITAL LETTER LONG OO
        "\u10406",  # ; DESERET CAPITAL LETTER SHORT I
        "\u10407",  # ; DESERET CAPITAL LETTER SHORT E
        "\u10408",  # ; DESERET CAPITAL LETTER SHORT A
        "\u10409",  # ; DESERET CAPITAL LETTER SHORT AH
        "\u1040A",  # ; DESERET CAPITAL LETTER SHORT O
        "\u1040B",  # ; DESERET CAPITAL LETTER SHORT OO
        "\u1040C",  # ; DESERET CAPITAL LETTER AY
        "\u1040D",  # ; DESERET CAPITAL LETTER OW
        "\u1040E",  # ; DESERET CAPITAL LETTER WU
        "\u1040F",  # ; DESERET CAPITAL LETTER YEE
        "\u10410",  # ; DESERET CAPITAL LETTER H
        "\u10411",  # ; DESERET CAPITAL LETTER PEE
        "\u10412",  # ; DESERET CAPITAL LETTER BEE
        "\u10413",  # ; DESERET CAPITAL LETTER TEE
        "\u10414",  # ; DESERET CAPITAL LETTER DEE
        "\u10415",  # ; DESERET CAPITAL LETTER CHEE
        "\u10416",  # ; DESERET CAPITAL LETTER JEE
        "\u10417",  # ; DESERET CAPITAL LETTER KAY
        "\u10418",  # ; DESERET CAPITAL LETTER GAY
        "\u10419",  # ; DESERET CAPITAL LETTER EF
        "\u1041A",  # ; DESERET CAPITAL LETTER VEE
        "\u1041B",  # ; DESERET CAPITAL LETTER ETH
        "\u1041C",  # ; DESERET CAPITAL LETTER THEE
        "\u1041D",  # ; DESERET CAPITAL LETTER ES
        "\u1041E",  # ; DESERET CAPITAL LETTER ZEE
        "\u1041F",  # ; DESERET CAPITAL LETTER ESH
        "\u10420",  # ; DESERET CAPITAL LETTER ZHEE
        "\u10421",  # ; DESERET CAPITAL LETTER ER
        "\u10422",  # ; DESERET CAPITAL LETTER EL
        "\u10423",  # ; DESERET CAPITAL LETTER EM
        "\u10424",  # ; DESERET CAPITAL LETTER EN
        "\u10425",  # ; DESERET CAPITAL LETTER ENG
        "\u10426",  # ; DESERET CAPITAL LETTER OI
        "\u10427",  # ; DESERET CAPITAL LETTER EW
        "\u10428",  # ; DESERET SMALL LETTER LONG I
        "\u10429",  # ; DESERET SMALL LETTER LONG E
        "\u1042A",  # ; DESERET SMALL LETTER LONG A
        "\u1042B",  # ; DESERET SMALL LETTER LONG AH
        "\u1042C",  # ; DESERET SMALL LETTER LONG O
        "\u1042D",  # ; DESERET SMALL LETTER LONG OO
        "\u1042E",  # ; DESERET SMALL LETTER SHORT I
        "\u1042F",  # ; DESERET SMALL LETTER SHORT E
        "\u10430",  # ; DESERET SMALL LETTER SHORT A
        "\u10431",  # ; DESERET SMALL LETTER SHORT AH
        "\u10432",  # ; DESERET SMALL LETTER SHORT O
        "\u10433",  # ; DESERET SMALL LETTER SHORT OO
        "\u10434",  # ; DESERET SMALL LETTER AY
        "\u10435",  # ; DESERET SMALL LETTER OW
        "\u10436",  # ; DESERET SMALL LETTER WU
        "\u10437",  # ; DESERET SMALL LETTER YEE
        "\u10438",  # ; DESERET SMALL LETTER H
        "\u10439",  # ; DESERET SMALL LETTER PEE
        "\u1043A",  # ; DESERET SMALL LETTER BEE
        "\u1043B",  # ; DESERET SMALL LETTER TEE
        "\u1043C",  # ; DESERET SMALL LETTER DEE
        "\u1043D",  # ; DESERET SMALL LETTER CHEE
        "\u1043E",  # ; DESERET SMALL LETTER JEE
        "\u1043F",  # ; DESERET SMALL LETTER KAY
        "\u10440",  # ; DESERET SMALL LETTER GAY
        "\u10441",  # ; DESERET SMALL LETTER EF
        "\u10442",  # ; DESERET SMALL LETTER VEE
        "\u10443",  # ; DESERET SMALL LETTER ETH
        "\u10444",  # ; DESERET SMALL LETTER THEE
        "\u10445",  # ; DESERET SMALL LETTER ES
        "\u10446",  # ; DESERET SMALL LETTER ZEE
        "\u10447",  # ; DESERET SMALL LETTER ESH
        "\u10448",  # ; DESERET SMALL LETTER ZHEE
        "\u10449",  # ; DESERET SMALL LETTER ER
        "\u1044A",  # ; DESERET SMALL LETTER EL
        "\u1044B",  # ; DESERET SMALL LETTER EM
        "\u1044C",  # ; DESERET SMALL LETTER EN
        "\u1044D",  # ; DESERET SMALL LETTER ENG
        "\u1044E",  # ; DESERET SMALL LETTER OI
        "\u1044F",  # ; DESERET SMALL LETTER EW
        "\u10450",  # ; SHAVIAN LETTER PEEP
        "\u10451",  # ; SHAVIAN LETTER TOT
        "\u10452",  # ; SHAVIAN LETTER KICK
        "\u10453",  # ; SHAVIAN LETTER FEE
        "\u10454",  # ; SHAVIAN LETTER THIGH
        "\u10455",  # ; SHAVIAN LETTER SO
        "\u10456",  # ; SHAVIAN LETTER SURE
        "\u10457",  # ; SHAVIAN LETTER CHURCH
        "\u10458",  # ; SHAVIAN LETTER YEA
        "\u10459",  # ; SHAVIAN LETTER HUNG
        "\u1045A",  # ; SHAVIAN LETTER BIB
        "\u1045B",  # ; SHAVIAN LETTER DEAD
        "\u1045C",  # ; SHAVIAN LETTER GAG
        "\u1045D",  # ; SHAVIAN LETTER VOW
        "\u1045E",  # ; SHAVIAN LETTER THEY
        "\u1045F",  # ; SHAVIAN LETTER ZOO
        "\u10460",  # ; SHAVIAN LETTER MEASURE
        "\u10461",  # ; SHAVIAN LETTER JUDGE
        "\u10462",  # ; SHAVIAN LETTER WOE
        "\u10463",  # ; SHAVIAN LETTER HA-HA
        "\u10464",  # ; SHAVIAN LETTER LOLL
        "\u10465",  # ; SHAVIAN LETTER MIME
        "\u10466",  # ; SHAVIAN LETTER IF
        "\u10467",  # ; SHAVIAN LETTER EGG
        "\u10468",  # ; SHAVIAN LETTER ASH
        "\u10469",  # ; SHAVIAN LETTER ADO
        "\u1046A",  # ; SHAVIAN LETTER ON
        "\u1046B",  # ; SHAVIAN LETTER WOOL
        "\u1046C",  # ; SHAVIAN LETTER OUT
        "\u1046D",  # ; SHAVIAN LETTER AH
        "\u1046E",  # ; SHAVIAN LETTER ROAR
        "\u1046F",  # ; SHAVIAN LETTER NUN
        "\u10470",  # ; SHAVIAN LETTER EAT
        "\u10471",  # ; SHAVIAN LETTER AGE
        "\u10472",  # ; SHAVIAN LETTER ICE
        "\u10473",  # ; SHAVIAN LETTER UP
        "\u10474",  # ; SHAVIAN LETTER OAK
        "\u10475",  # ; SHAVIAN LETTER OOZE
        "\u10476",  # ; SHAVIAN LETTER OIL
        "\u10477",  # ; SHAVIAN LETTER AWE
        "\u10478",  # ; SHAVIAN LETTER ARE
        "\u10479",  # ; SHAVIAN LETTER OR
        "\u1047A",  # ; SHAVIAN LETTER AIR
        "\u1047B",  # ; SHAVIAN LETTER ERR
        "\u1047C",  # ; SHAVIAN LETTER ARRAY
        "\u1047D",  # ; SHAVIAN LETTER EAR
        "\u1047E",  # ; SHAVIAN LETTER IAN
        "\u1047F",  # ; SHAVIAN LETTER YEW
        "\u10480",  # ; OSMANYA LETTER ALEF
        "\u10481",  # ; OSMANYA LETTER BA
        "\u10482",  # ; OSMANYA LETTER TA
        "\u10483",  # ; OSMANYA LETTER JA
        "\u10484",  # ; OSMANYA LETTER XA
        "\u10485",  # ; OSMANYA LETTER KHA
        "\u10486",  # ; OSMANYA LETTER DEEL
        "\u10487",  # ; OSMANYA LETTER RA
        "\u10488",  # ; OSMANYA LETTER SA
        "\u10489",  # ; OSMANYA LETTER SHIIN
        "\u1048A",  # ; OSMANYA LETTER DHA
        "\u1048B",  # ; OSMANYA LETTER CAYN
        "\u1048C",  # ; OSMANYA LETTER GA
        "\u1048D",  # ; OSMANYA LETTER FA
        "\u1048E",  # ; OSMANYA LETTER QAAF
        "\u1048F",  # ; OSMANYA LETTER KAAF
        "\u10490",  # ; OSMANYA LETTER LAAN
        "\u10491",  # ; OSMANYA LETTER MIIN
        "\u10492",  # ; OSMANYA LETTER NUUN
        "\u10493",  # ; OSMANYA LETTER WAW
        "\u10494",  # ; OSMANYA LETTER HA
        "\u10495",  # ; OSMANYA LETTER YA
        "\u10496",  # ; OSMANYA LETTER A
        "\u10497",  # ; OSMANYA LETTER E
        "\u10498",  # ; OSMANYA LETTER I
        "\u10499",  # ; OSMANYA LETTER O
        "\u1049A",  # ; OSMANYA LETTER U
        "\u1049B",  # ; OSMANYA LETTER AA
        "\u1049C",  # ; OSMANYA LETTER EE
        "\u1049D",  # ; OSMANYA LETTER OO
        "\u104A0",  # ; OSMANYA DIGIT ZERO
        "\u104A1",  # ; OSMANYA DIGIT ONE
        "\u104A2",  # ; OSMANYA DIGIT TWO
        "\u104A3",  # ; OSMANYA DIGIT THREE
        "\u104A4",  # ; OSMANYA DIGIT FOUR
        "\u104A5",  # ; OSMANYA DIGIT FIVE
        "\u104A6",  # ; OSMANYA DIGIT SIX
        "\u104A7",  # ; OSMANYA DIGIT SEVEN
        "\u104A8",  # ; OSMANYA DIGIT EIGHT
        "\u104A9",  # ; OSMANYA DIGIT NINE
        "\u104B0",  # ; OSAGE CAPITAL LETTER A
        "\u104B1",  # ; OSAGE CAPITAL LETTER AI
        "\u104B2",  # ; OSAGE CAPITAL LETTER AIN
        "\u104B3",  # ; OSAGE CAPITAL LETTER AH
        "\u104B4",  # ; OSAGE CAPITAL LETTER BRA
        "\u104B5",  # ; OSAGE CAPITAL LETTER CHA
        "\u104B6",  # ; OSAGE CAPITAL LETTER EHCHA
        "\u104B7",  # ; OSAGE CAPITAL LETTER E
        "\u104B8",  # ; OSAGE CAPITAL LETTER EIN
        "\u104B9",  # ; OSAGE CAPITAL LETTER HA
        "\u104BA",  # ; OSAGE CAPITAL LETTER HYA
        "\u104BB",  # ; OSAGE CAPITAL LETTER I
        "\u104BC",  # ; OSAGE CAPITAL LETTER KA
        "\u104BD",  # ; OSAGE CAPITAL LETTER EHKA
        "\u104BE",  # ; OSAGE CAPITAL LETTER KYA
        "\u104BF",  # ; OSAGE CAPITAL LETTER LA
        "\u104C0",  # ; OSAGE CAPITAL LETTER MA
        "\u104C1",  # ; OSAGE CAPITAL LETTER NA
        "\u104C2",  # ; OSAGE CAPITAL LETTER O
        "\u104C3",  # ; OSAGE CAPITAL LETTER OIN
        "\u104C4",  # ; OSAGE CAPITAL LETTER PA
        "\u104C5",  # ; OSAGE CAPITAL LETTER EHPA
        "\u104C6",  # ; OSAGE CAPITAL LETTER SA
        "\u104C7",  # ; OSAGE CAPITAL LETTER SHA
        "\u104C8",  # ; OSAGE CAPITAL LETTER TA
        "\u104C9",  # ; OSAGE CAPITAL LETTER EHTA
        "\u104CA",  # ; OSAGE CAPITAL LETTER TSA
        "\u104CB",  # ; OSAGE CAPITAL LETTER EHTSA
        "\u104CC",  # ; OSAGE CAPITAL LETTER TSHA
        "\u104CD",  # ; OSAGE CAPITAL LETTER DHA
        "\u104CE",  # ; OSAGE CAPITAL LETTER U
        "\u104CF",  # ; OSAGE CAPITAL LETTER WA
        "\u104D0",  # ; OSAGE CAPITAL LETTER KHA
        "\u104D1",  # ; OSAGE CAPITAL LETTER GHA
        "\u104D2",  # ; OSAGE CAPITAL LETTER ZA
        "\u104D3",  # ; OSAGE CAPITAL LETTER ZHA
        "\u104D8",  # ; OSAGE SMALL LETTER A
        "\u104D9",  # ; OSAGE SMALL LETTER AI
        "\u104DA",  # ; OSAGE SMALL LETTER AIN
        "\u104DB",  # ; OSAGE SMALL LETTER AH
        "\u104DC",  # ; OSAGE SMALL LETTER BRA
        "\u104DD",  # ; OSAGE SMALL LETTER CHA
        "\u104DE",  # ; OSAGE SMALL LETTER EHCHA
        "\u104DF",  # ; OSAGE SMALL LETTER E
        "\u104E0",  # ; OSAGE SMALL LETTER EIN
        "\u104E1",  # ; OSAGE SMALL LETTER HA
        "\u104E2",  # ; OSAGE SMALL LETTER HYA
        "\u104E3",  # ; OSAGE SMALL LETTER I
        "\u104E4",  # ; OSAGE SMALL LETTER KA
        "\u104E5",  # ; OSAGE SMALL LETTER EHKA
        "\u104E6",  # ; OSAGE SMALL LETTER KYA
        "\u104E7",  # ; OSAGE SMALL LETTER LA
        "\u104E8",  # ; OSAGE SMALL LETTER MA
        "\u104E9",  # ; OSAGE SMALL LETTER NA
        "\u104EA",  # ; OSAGE SMALL LETTER O
        "\u104EB",  # ; OSAGE SMALL LETTER OIN
        "\u104EC",  # ; OSAGE SMALL LETTER PA
        "\u104ED",  # ; OSAGE SMALL LETTER EHPA
        "\u104EE",  # ; OSAGE SMALL LETTER SA
        "\u104EF",  # ; OSAGE SMALL LETTER SHA
        "\u104F0",  # ; OSAGE SMALL LETTER TA
        "\u104F1",  # ; OSAGE SMALL LETTER EHTA
        "\u104F2",  # ; OSAGE SMALL LETTER TSA
        "\u104F3",  # ; OSAGE SMALL LETTER EHTSA
        "\u104F4",  # ; OSAGE SMALL LETTER TSHA
        "\u104F5",  # ; OSAGE SMALL LETTER DHA
        "\u104F6",  # ; OSAGE SMALL LETTER U
        "\u104F7",  # ; OSAGE SMALL LETTER WA
        "\u104F8",  # ; OSAGE SMALL LETTER KHA
        "\u104F9",  # ; OSAGE SMALL LETTER GHA
        "\u104FA",  # ; OSAGE SMALL LETTER ZA
        "\u104FB",  # ; OSAGE SMALL LETTER ZHA
        "\u10500",  # ; ELBASAN LETTER A
        "\u10501",  # ; ELBASAN LETTER BE
        "\u10502",  # ; ELBASAN LETTER CE
        "\u10503",  # ; ELBASAN LETTER CHE
        "\u10504",  # ; ELBASAN LETTER DE
        "\u10505",  # ; ELBASAN LETTER NDE
        "\u10506",  # ; ELBASAN LETTER DHE
        "\u10507",  # ; ELBASAN LETTER EI
        "\u10508",  # ; ELBASAN LETTER E
        "\u10509",  # ; ELBASAN LETTER FE
        "\u1050A",  # ; ELBASAN LETTER GE
        "\u1050B",  # ; ELBASAN LETTER GJE
        "\u1050C",  # ; ELBASAN LETTER HE
        "\u1050D",  # ; ELBASAN LETTER I
        "\u1050E",  # ; ELBASAN LETTER JE
        "\u1050F",  # ; ELBASAN LETTER KE
        "\u10510",  # ; ELBASAN LETTER LE
        "\u10511",  # ; ELBASAN LETTER LLE
        "\u10512",  # ; ELBASAN LETTER ME
        "\u10513",  # ; ELBASAN LETTER NE
        "\u10514",  # ; ELBASAN LETTER NA
        "\u10515",  # ; ELBASAN LETTER NJE
        "\u10516",  # ; ELBASAN LETTER O
        "\u10517",  # ; ELBASAN LETTER PE
        "\u10518",  # ; ELBASAN LETTER QE
        "\u10519",  # ; ELBASAN LETTER RE
        "\u1051A",  # ; ELBASAN LETTER RRE
        "\u1051B",  # ; ELBASAN LETTER SE
        "\u1051C",  # ; ELBASAN LETTER SHE
        "\u1051D",  # ; ELBASAN LETTER TE
        "\u1051E",  # ; ELBASAN LETTER THE
        "\u1051F",  # ; ELBASAN LETTER U
        "\u10520",  # ; ELBASAN LETTER VE
        "\u10521",  # ; ELBASAN LETTER XE
        "\u10522",  # ; ELBASAN LETTER Y
        "\u10523",  # ; ELBASAN LETTER ZE
        "\u10524",  # ; ELBASAN LETTER ZHE
        "\u10525",  # ; ELBASAN LETTER GHE
        "\u10526",  # ; ELBASAN LETTER GHAMMA
        "\u10527",  # ; ELBASAN LETTER KHE
        "\u10530",  # ; CAUCASIAN ALBANIAN LETTER ALT
        "\u10531",  # ; CAUCASIAN ALBANIAN LETTER BET
        "\u10532",  # ; CAUCASIAN ALBANIAN LETTER GIM
        "\u10533",  # ; CAUCASIAN ALBANIAN LETTER DAT
        "\u10534",  # ; CAUCASIAN ALBANIAN LETTER EB
        "\u10535",  # ; CAUCASIAN ALBANIAN LETTER ZARL
        "\u10536",  # ; CAUCASIAN ALBANIAN LETTER EYN
        "\u10537",  # ; CAUCASIAN ALBANIAN LETTER ZHIL
        "\u10538",  # ; CAUCASIAN ALBANIAN LETTER TAS
        "\u10539",  # ; CAUCASIAN ALBANIAN LETTER CHA
        "\u1053A",  # ; CAUCASIAN ALBANIAN LETTER YOWD
        "\u1053B",  # ; CAUCASIAN ALBANIAN LETTER ZHA
        "\u1053C",  # ; CAUCASIAN ALBANIAN LETTER IRB
        "\u1053D",  # ; CAUCASIAN ALBANIAN LETTER SHA
        "\u1053E",  # ; CAUCASIAN ALBANIAN LETTER LAN
        "\u1053F",  # ; CAUCASIAN ALBANIAN LETTER INYA
        "\u10540",  # ; CAUCASIAN ALBANIAN LETTER XEYN
        "\u10541",  # ; CAUCASIAN ALBANIAN LETTER DYAN
        "\u10542",  # ; CAUCASIAN ALBANIAN LETTER CAR
        "\u10543",  # ; CAUCASIAN ALBANIAN LETTER JHOX
        "\u10544",  # ; CAUCASIAN ALBANIAN LETTER KAR
        "\u10545",  # ; CAUCASIAN ALBANIAN LETTER LYIT
        "\u10546",  # ; CAUCASIAN ALBANIAN LETTER HEYT
        "\u10547",  # ; CAUCASIAN ALBANIAN LETTER QAY
        "\u10548",  # ; CAUCASIAN ALBANIAN LETTER AOR
        "\u10549",  # ; CAUCASIAN ALBANIAN LETTER CHOY
        "\u1054A",  # ; CAUCASIAN ALBANIAN LETTER CHI
        "\u1054B",  # ; CAUCASIAN ALBANIAN LETTER CYAY
        "\u1054C",  # ; CAUCASIAN ALBANIAN LETTER MAQ
        "\u1054D",  # ; CAUCASIAN ALBANIAN LETTER QAR
        "\u1054E",  # ; CAUCASIAN ALBANIAN LETTER NOWC
        "\u1054F",  # ; CAUCASIAN ALBANIAN LETTER DZYAY
        "\u10550",  # ; CAUCASIAN ALBANIAN LETTER SHAK
        "\u10551",  # ; CAUCASIAN ALBANIAN LETTER JAYN
        "\u10552",  # ; CAUCASIAN ALBANIAN LETTER ON
        "\u10553",  # ; CAUCASIAN ALBANIAN LETTER TYAY
        "\u10554",  # ; CAUCASIAN ALBANIAN LETTER FAM
        "\u10555",  # ; CAUCASIAN ALBANIAN LETTER DZAY
        "\u10556",  # ; CAUCASIAN ALBANIAN LETTER CHAT
        "\u10557",  # ; CAUCASIAN ALBANIAN LETTER PEN
        "\u10558",  # ; CAUCASIAN ALBANIAN LETTER GHEYS
        "\u10559",  # ; CAUCASIAN ALBANIAN LETTER RAT
        "\u1055A",  # ; CAUCASIAN ALBANIAN LETTER SEYK
        "\u1055B",  # ; CAUCASIAN ALBANIAN LETTER VEYZ
        "\u1055C",  # ; CAUCASIAN ALBANIAN LETTER TIWR
        "\u1055D",  # ; CAUCASIAN ALBANIAN LETTER SHOY
        "\u1055E",  # ; CAUCASIAN ALBANIAN LETTER IWN
        "\u1055F",  # ; CAUCASIAN ALBANIAN LETTER CYAW
        "\u10560",  # ; CAUCASIAN ALBANIAN LETTER CAYN
        "\u10561",  # ; CAUCASIAN ALBANIAN LETTER YAYD
        "\u10562",  # ; CAUCASIAN ALBANIAN LETTER PIWR
        "\u10563",  # ; CAUCASIAN ALBANIAN LETTER KIW
        "\u1056F",  # ; CAUCASIAN ALBANIAN CITATION MARK
        "\u10600",  # ; LINEAR A SIGN AB001
        "\u10601",  # ; LINEAR A SIGN AB002
        "\u10602",  # ; LINEAR A SIGN AB003
        "\u10603",  # ; LINEAR A SIGN AB004
        "\u10604",  # ; LINEAR A SIGN AB005
        "\u10605",  # ; LINEAR A SIGN AB006
        "\u10606",  # ; LINEAR A SIGN AB007
        "\u10607",  # ; LINEAR A SIGN AB008
        "\u10608",  # ; LINEAR A SIGN AB009
        "\u10609",  # ; LINEAR A SIGN AB010
        "\u1060A",  # ; LINEAR A SIGN AB011
        "\u1060B",  # ; LINEAR A SIGN AB013
        "\u1060C",  # ; LINEAR A SIGN AB016
        "\u1060D",  # ; LINEAR A SIGN AB017
        "\u1060E",  # ; LINEAR A SIGN AB020
        "\u1060F",  # ; LINEAR A SIGN AB021
        "\u10610",  # ; LINEAR A SIGN AB021F
        "\u10611",  # ; LINEAR A SIGN AB021M
        "\u10612",  # ; LINEAR A SIGN AB022
        "\u10613",  # ; LINEAR A SIGN AB022F
        "\u10614",  # ; LINEAR A SIGN AB022M
        "\u10615",  # ; LINEAR A SIGN AB023
        "\u10616",  # ; LINEAR A SIGN AB023M
        "\u10617",  # ; LINEAR A SIGN AB024
        "\u10618",  # ; LINEAR A SIGN AB026
        "\u10619",  # ; LINEAR A SIGN AB027
        "\u1061A",  # ; LINEAR A SIGN AB028
        "\u1061B",  # ; LINEAR A SIGN A028B
        "\u1061C",  # ; LINEAR A SIGN AB029
        "\u1061D",  # ; LINEAR A SIGN AB030
        "\u1061E",  # ; LINEAR A SIGN AB031
        "\u1061F",  # ; LINEAR A SIGN AB034
        "\u10620",  # ; LINEAR A SIGN AB037
        "\u10621",  # ; LINEAR A SIGN AB038
        "\u10622",  # ; LINEAR A SIGN AB039
        "\u10623",  # ; LINEAR A SIGN AB040
        "\u10624",  # ; LINEAR A SIGN AB041
        "\u10625",  # ; LINEAR A SIGN AB044
        "\u10626",  # ; LINEAR A SIGN AB045
        "\u10627",  # ; LINEAR A SIGN AB046
        "\u10628",  # ; LINEAR A SIGN AB047
        "\u10629",  # ; LINEAR A SIGN AB048
        "\u1062A",  # ; LINEAR A SIGN AB049
        "\u1062B",  # ; LINEAR A SIGN AB050
        "\u1062C",  # ; LINEAR A SIGN AB051
        "\u1062D",  # ; LINEAR A SIGN AB053
        "\u1062E",  # ; LINEAR A SIGN AB054
        "\u1062F",  # ; LINEAR A SIGN AB055
        "\u10630",  # ; LINEAR A SIGN AB056
        "\u10631",  # ; LINEAR A SIGN AB057
        "\u10632",  # ; LINEAR A SIGN AB058
        "\u10633",  # ; LINEAR A SIGN AB059
        "\u10634",  # ; LINEAR A SIGN AB060
        "\u10635",  # ; LINEAR A SIGN AB061
        "\u10636",  # ; LINEAR A SIGN AB065
        "\u10637",  # ; LINEAR A SIGN AB066
        "\u10638",  # ; LINEAR A SIGN AB067
        "\u10639",  # ; LINEAR A SIGN AB069
        "\u1063A",  # ; LINEAR A SIGN AB070
        "\u1063B",  # ; LINEAR A SIGN AB073
        "\u1063C",  # ; LINEAR A SIGN AB074
        "\u1063D",  # ; LINEAR A SIGN AB076
        "\u1063E",  # ; LINEAR A SIGN AB077
        "\u1063F",  # ; LINEAR A SIGN AB078
        "\u10640",  # ; LINEAR A SIGN AB079
        "\u10641",  # ; LINEAR A SIGN AB080
        "\u10642",  # ; LINEAR A SIGN AB081
        "\u10643",  # ; LINEAR A SIGN AB082
        "\u10644",  # ; LINEAR A SIGN AB085
        "\u10645",  # ; LINEAR A SIGN AB086
        "\u10646",  # ; LINEAR A SIGN AB087
        "\u10647",  # ; LINEAR A SIGN A100-102
        "\u10648",  # ; LINEAR A SIGN AB118
        "\u10649",  # ; LINEAR A SIGN AB120
        "\u1064A",  # ; LINEAR A SIGN A120B
        "\u1064B",  # ; LINEAR A SIGN AB122
        "\u1064C",  # ; LINEAR A SIGN AB123
        "\u1064D",  # ; LINEAR A SIGN AB131A
        "\u1064E",  # ; LINEAR A SIGN AB131B
        "\u1064F",  # ; LINEAR A SIGN A131C
        "\u10650",  # ; LINEAR A SIGN AB164
        "\u10651",  # ; LINEAR A SIGN AB171
        "\u10652",  # ; LINEAR A SIGN AB180
        "\u10653",  # ; LINEAR A SIGN AB188
        "\u10654",  # ; LINEAR A SIGN AB191
        "\u10655",  # ; LINEAR A SIGN A301
        "\u10656",  # ; LINEAR A SIGN A302
        "\u10657",  # ; LINEAR A SIGN A303
        "\u10658",  # ; LINEAR A SIGN A304
        "\u10659",  # ; LINEAR A SIGN A305
        "\u1065A",  # ; LINEAR A SIGN A306
        "\u1065B",  # ; LINEAR A SIGN A307
        "\u1065C",  # ; LINEAR A SIGN A308
        "\u1065D",  # ; LINEAR A SIGN A309A
        "\u1065E",  # ; LINEAR A SIGN A309B
        "\u1065F",  # ; LINEAR A SIGN A309C
        "\u10660",  # ; LINEAR A SIGN A310
        "\u10661",  # ; LINEAR A SIGN A311
        "\u10662",  # ; LINEAR A SIGN A312
        "\u10663",  # ; LINEAR A SIGN A313A
        "\u10664",  # ; LINEAR A SIGN A313B
        "\u10665",  # ; LINEAR A SIGN A313C
        "\u10666",  # ; LINEAR A SIGN A314
        "\u10667",  # ; LINEAR A SIGN A315
        "\u10668",  # ; LINEAR A SIGN A316
        "\u10669",  # ; LINEAR A SIGN A317
        "\u1066A",  # ; LINEAR A SIGN A318
        "\u1066B",  # ; LINEAR A SIGN A319
        "\u1066C",  # ; LINEAR A SIGN A320
        "\u1066D",  # ; LINEAR A SIGN A321
        "\u1066E",  # ; LINEAR A SIGN A322
        "\u1066F",  # ; LINEAR A SIGN A323
        "\u10670",  # ; LINEAR A SIGN A324
        "\u10671",  # ; LINEAR A SIGN A325
        "\u10672",  # ; LINEAR A SIGN A326
        "\u10673",  # ; LINEAR A SIGN A327
        "\u10674",  # ; LINEAR A SIGN A328
        "\u10675",  # ; LINEAR A SIGN A329
        "\u10676",  # ; LINEAR A SIGN A330
        "\u10677",  # ; LINEAR A SIGN A331
        "\u10678",  # ; LINEAR A SIGN A332
        "\u10679",  # ; LINEAR A SIGN A333
        "\u1067A",  # ; LINEAR A SIGN A334
        "\u1067B",  # ; LINEAR A SIGN A335
        "\u1067C",  # ; LINEAR A SIGN A336
        "\u1067D",  # ; LINEAR A SIGN A337
        "\u1067E",  # ; LINEAR A SIGN A338
        "\u1067F",  # ; LINEAR A SIGN A339
        "\u10680",  # ; LINEAR A SIGN A340
        "\u10681",  # ; LINEAR A SIGN A341
        "\u10682",  # ; LINEAR A SIGN A342
        "\u10683",  # ; LINEAR A SIGN A343
        "\u10684",  # ; LINEAR A SIGN A344
        "\u10685",  # ; LINEAR A SIGN A345
        "\u10686",  # ; LINEAR A SIGN A346
        "\u10687",  # ; LINEAR A SIGN A347
        "\u10688",  # ; LINEAR A SIGN A348
        "\u10689",  # ; LINEAR A SIGN A349
        "\u1068A",  # ; LINEAR A SIGN A350
        "\u1068B",  # ; LINEAR A SIGN A351
        "\u1068C",  # ; LINEAR A SIGN A352
        "\u1068D",  # ; LINEAR A SIGN A353
        "\u1068E",  # ; LINEAR A SIGN A354
        "\u1068F",  # ; LINEAR A SIGN A355
        "\u10690",  # ; LINEAR A SIGN A356
        "\u10691",  # ; LINEAR A SIGN A357
        "\u10692",  # ; LINEAR A SIGN A358
        "\u10693",  # ; LINEAR A SIGN A359
        "\u10694",  # ; LINEAR A SIGN A360
        "\u10695",  # ; LINEAR A SIGN A361
        "\u10696",  # ; LINEAR A SIGN A362
        "\u10697",  # ; LINEAR A SIGN A363
        "\u10698",  # ; LINEAR A SIGN A364
        "\u10699",  # ; LINEAR A SIGN A365
        "\u1069A",  # ; LINEAR A SIGN A366
        "\u1069B",  # ; LINEAR A SIGN A367
        "\u1069C",  # ; LINEAR A SIGN A368
        "\u1069D",  # ; LINEAR A SIGN A369
        "\u1069E",  # ; LINEAR A SIGN A370
        "\u1069F",  # ; LINEAR A SIGN A371
        "\u106A0",  # ; LINEAR A SIGN A400-VAS
        "\u106A1",  # ; LINEAR A SIGN A401-VAS
        "\u106A2",  # ; LINEAR A SIGN A402-VAS
        "\u106A3",  # ; LINEAR A SIGN A403-VAS
        "\u106A4",  # ; LINEAR A SIGN A404-VAS
        "\u106A5",  # ; LINEAR A SIGN A405-VAS
        "\u106A6",  # ; LINEAR A SIGN A406-VAS
        "\u106A7",  # ; LINEAR A SIGN A407-VAS
        "\u106A8",  # ; LINEAR A SIGN A408-VAS
        "\u106A9",  # ; LINEAR A SIGN A409-VAS
        "\u106AA",  # ; LINEAR A SIGN A410-VAS
        "\u106AB",  # ; LINEAR A SIGN A411-VAS
        "\u106AC",  # ; LINEAR A SIGN A412-VAS
        "\u106AD",  # ; LINEAR A SIGN A413-VAS
        "\u106AE",  # ; LINEAR A SIGN A414-VAS
        "\u106AF",  # ; LINEAR A SIGN A415-VAS
        "\u106B0",  # ; LINEAR A SIGN A416-VAS
        "\u106B1",  # ; LINEAR A SIGN A417-VAS
        "\u106B2",  # ; LINEAR A SIGN A418-VAS
        "\u106B3",  # ; LINEAR A SIGN A501
        "\u106B4",  # ; LINEAR A SIGN A502
        "\u106B5",  # ; LINEAR A SIGN A503
        "\u106B6",  # ; LINEAR A SIGN A504
        "\u106B7",  # ; LINEAR A SIGN A505
        "\u106B8",  # ; LINEAR A SIGN A506
        "\u106B9",  # ; LINEAR A SIGN A508
        "\u106BA",  # ; LINEAR A SIGN A509
        "\u106BB",  # ; LINEAR A SIGN A510
        "\u106BC",  # ; LINEAR A SIGN A511
        "\u106BD",  # ; LINEAR A SIGN A512
        "\u106BE",  # ; LINEAR A SIGN A513
        "\u106BF",  # ; LINEAR A SIGN A515
        "\u106C0",  # ; LINEAR A SIGN A516
        "\u106C1",  # ; LINEAR A SIGN A520
        "\u106C2",  # ; LINEAR A SIGN A521
        "\u106C3",  # ; LINEAR A SIGN A523
        "\u106C4",  # ; LINEAR A SIGN A524
        "\u106C5",  # ; LINEAR A SIGN A525
        "\u106C6",  # ; LINEAR A SIGN A526
        "\u106C7",  # ; LINEAR A SIGN A527
        "\u106C8",  # ; LINEAR A SIGN A528
        "\u106C9",  # ; LINEAR A SIGN A529
        "\u106CA",  # ; LINEAR A SIGN A530
        "\u106CB",  # ; LINEAR A SIGN A531
        "\u106CC",  # ; LINEAR A SIGN A532
        "\u106CD",  # ; LINEAR A SIGN A534
        "\u106CE",  # ; LINEAR A SIGN A535
        "\u106CF",  # ; LINEAR A SIGN A536
        "\u106D0",  # ; LINEAR A SIGN A537
        "\u106D1",  # ; LINEAR A SIGN A538
        "\u106D2",  # ; LINEAR A SIGN A539
        "\u106D3",  # ; LINEAR A SIGN A540
        "\u106D4",  # ; LINEAR A SIGN A541
        "\u106D5",  # ; LINEAR A SIGN A542
        "\u106D6",  # ; LINEAR A SIGN A545
        "\u106D7",  # ; LINEAR A SIGN A547
        "\u106D8",  # ; LINEAR A SIGN A548
        "\u106D9",  # ; LINEAR A SIGN A549
        "\u106DA",  # ; LINEAR A SIGN A550
        "\u106DB",  # ; LINEAR A SIGN A551
        "\u106DC",  # ; LINEAR A SIGN A552
        "\u106DD",  # ; LINEAR A SIGN A553
        "\u106DE",  # ; LINEAR A SIGN A554
        "\u106DF",  # ; LINEAR A SIGN A555
        "\u106E0",  # ; LINEAR A SIGN A556
        "\u106E1",  # ; LINEAR A SIGN A557
        "\u106E2",  # ; LINEAR A SIGN A559
        "\u106E3",  # ; LINEAR A SIGN A563
        "\u106E4",  # ; LINEAR A SIGN A564
        "\u106E5",  # ; LINEAR A SIGN A565
        "\u106E6",  # ; LINEAR A SIGN A566
        "\u106E7",  # ; LINEAR A SIGN A568
        "\u106E8",  # ; LINEAR A SIGN A569
        "\u106E9",  # ; LINEAR A SIGN A570
        "\u106EA",  # ; LINEAR A SIGN A571
        "\u106EB",  # ; LINEAR A SIGN A572
        "\u106EC",  # ; LINEAR A SIGN A573
        "\u106ED",  # ; LINEAR A SIGN A574
        "\u106EE",  # ; LINEAR A SIGN A575
        "\u106EF",  # ; LINEAR A SIGN A576
        "\u106F0",  # ; LINEAR A SIGN A577
        "\u106F1",  # ; LINEAR A SIGN A578
        "\u106F2",  # ; LINEAR A SIGN A579
        "\u106F3",  # ; LINEAR A SIGN A580
        "\u106F4",  # ; LINEAR A SIGN A581
        "\u106F5",  # ; LINEAR A SIGN A582
        "\u106F6",  # ; LINEAR A SIGN A583
        "\u106F7",  # ; LINEAR A SIGN A584
        "\u106F8",  # ; LINEAR A SIGN A585
        "\u106F9",  # ; LINEAR A SIGN A586
        "\u106FA",  # ; LINEAR A SIGN A587
        "\u106FB",  # ; LINEAR A SIGN A588
        "\u106FC",  # ; LINEAR A SIGN A589
        "\u106FD",  # ; LINEAR A SIGN A591
        "\u106FE",  # ; LINEAR A SIGN A592
        "\u106FF",  # ; LINEAR A SIGN A594
        "\u10700",  # ; LINEAR A SIGN A595
        "\u10701",  # ; LINEAR A SIGN A596
        "\u10702",  # ; LINEAR A SIGN A598
        "\u10703",  # ; LINEAR A SIGN A600
        "\u10704",  # ; LINEAR A SIGN A601
        "\u10705",  # ; LINEAR A SIGN A602
        "\u10706",  # ; LINEAR A SIGN A603
        "\u10707",  # ; LINEAR A SIGN A604
        "\u10708",  # ; LINEAR A SIGN A606
        "\u10709",  # ; LINEAR A SIGN A608
        "\u1070A",  # ; LINEAR A SIGN A609
        "\u1070B",  # ; LINEAR A SIGN A610
        "\u1070C",  # ; LINEAR A SIGN A611
        "\u1070D",  # ; LINEAR A SIGN A612
        "\u1070E",  # ; LINEAR A SIGN A613
        "\u1070F",  # ; LINEAR A SIGN A614
        "\u10710",  # ; LINEAR A SIGN A615
        "\u10711",  # ; LINEAR A SIGN A616
        "\u10712",  # ; LINEAR A SIGN A617
        "\u10713",  # ; LINEAR A SIGN A618
        "\u10714",  # ; LINEAR A SIGN A619
        "\u10715",  # ; LINEAR A SIGN A620
        "\u10716",  # ; LINEAR A SIGN A621
        "\u10717",  # ; LINEAR A SIGN A622
        "\u10718",  # ; LINEAR A SIGN A623
        "\u10719",  # ; LINEAR A SIGN A624
        "\u1071A",  # ; LINEAR A SIGN A626
        "\u1071B",  # ; LINEAR A SIGN A627
        "\u1071C",  # ; LINEAR A SIGN A628
        "\u1071D",  # ; LINEAR A SIGN A629
        "\u1071E",  # ; LINEAR A SIGN A634
        "\u1071F",  # ; LINEAR A SIGN A637
        "\u10720",  # ; LINEAR A SIGN A638
        "\u10721",  # ; LINEAR A SIGN A640
        "\u10722",  # ; LINEAR A SIGN A642
        "\u10723",  # ; LINEAR A SIGN A643
        "\u10724",  # ; LINEAR A SIGN A644
        "\u10725",  # ; LINEAR A SIGN A645
        "\u10726",  # ; LINEAR A SIGN A646
        "\u10727",  # ; LINEAR A SIGN A648
        "\u10728",  # ; LINEAR A SIGN A649
        "\u10729",  # ; LINEAR A SIGN A651
        "\u1072A",  # ; LINEAR A SIGN A652
        "\u1072B",  # ; LINEAR A SIGN A653
        "\u1072C",  # ; LINEAR A SIGN A654
        "\u1072D",  # ; LINEAR A SIGN A655
        "\u1072E",  # ; LINEAR A SIGN A656
        "\u1072F",  # ; LINEAR A SIGN A657
        "\u10730",  # ; LINEAR A SIGN A658
        "\u10731",  # ; LINEAR A SIGN A659
        "\u10732",  # ; LINEAR A SIGN A660
        "\u10733",  # ; LINEAR A SIGN A661
        "\u10734",  # ; LINEAR A SIGN A662
        "\u10735",  # ; LINEAR A SIGN A663
        "\u10736",  # ; LINEAR A SIGN A664
        "\u10740",  # ; LINEAR A SIGN A701 A
        "\u10741",  # ; LINEAR A SIGN A702 B
        "\u10742",  # ; LINEAR A SIGN A703 D
        "\u10743",  # ; LINEAR A SIGN A704 E
        "\u10744",  # ; LINEAR A SIGN A705 F
        "\u10745",  # ; LINEAR A SIGN A706 H
        "\u10746",  # ; LINEAR A SIGN A707 J
        "\u10747",  # ; LINEAR A SIGN A708 K
        "\u10748",  # ; LINEAR A SIGN A709 L
        "\u10749",  # ; LINEAR A SIGN A709-2 L2
        "\u1074A",  # ; LINEAR A SIGN A709-3 L3
        "\u1074B",  # ; LINEAR A SIGN A709-4 L4
        "\u1074C",  # ; LINEAR A SIGN A709-6 L6
        "\u1074D",  # ; LINEAR A SIGN A710 W
        "\u1074E",  # ; LINEAR A SIGN A711 X
        "\u1074F",  # ; LINEAR A SIGN A712 Y
        "\u10750",  # ; LINEAR A SIGN A713 OMEGA
        "\u10751",  # ; LINEAR A SIGN A714 ABB
        "\u10752",  # ; LINEAR A SIGN A715 BB
        "\u10753",  # ; LINEAR A SIGN A717 DD
        "\u10754",  # ; LINEAR A SIGN A726 EYYY
        "\u10755",  # ; LINEAR A SIGN A732 JE
        "\u10760",  # ; LINEAR A SIGN A800
        "\u10761",  # ; LINEAR A SIGN A801
        "\u10762",  # ; LINEAR A SIGN A802
        "\u10763",  # ; LINEAR A SIGN A803
        "\u10764",  # ; LINEAR A SIGN A804
        "\u10765",  # ; LINEAR A SIGN A805
        "\u10766",  # ; LINEAR A SIGN A806
        "\u10767",  # ; LINEAR A SIGN A807
        "\u10800",  # ; CYPRIOT SYLLABLE A
        "\u10801",  # ; CYPRIOT SYLLABLE E
        "\u10802",  # ; CYPRIOT SYLLABLE I
        "\u10803",  # ; CYPRIOT SYLLABLE O
        "\u10804",  # ; CYPRIOT SYLLABLE U
        "\u10805",  # ; CYPRIOT SYLLABLE JA
        "\u10808",  # ; CYPRIOT SYLLABLE JO
        "\u1080A",  # ; CYPRIOT SYLLABLE KA
        "\u1080B",  # ; CYPRIOT SYLLABLE KE
        "\u1080C",  # ; CYPRIOT SYLLABLE KI
        "\u1080D",  # ; CYPRIOT SYLLABLE KO
        "\u1080E",  # ; CYPRIOT SYLLABLE KU
        "\u1080F",  # ; CYPRIOT SYLLABLE LA
        "\u10810",  # ; CYPRIOT SYLLABLE LE
        "\u10811",  # ; CYPRIOT SYLLABLE LI
        "\u10812",  # ; CYPRIOT SYLLABLE LO
        "\u10813",  # ; CYPRIOT SYLLABLE LU
        "\u10814",  # ; CYPRIOT SYLLABLE MA
        "\u10815",  # ; CYPRIOT SYLLABLE ME
        "\u10816",  # ; CYPRIOT SYLLABLE MI
        "\u10817",  # ; CYPRIOT SYLLABLE MO
        "\u10818",  # ; CYPRIOT SYLLABLE MU
        "\u10819",  # ; CYPRIOT SYLLABLE NA
        "\u1081A",  # ; CYPRIOT SYLLABLE NE
        "\u1081B",  # ; CYPRIOT SYLLABLE NI
        "\u1081C",  # ; CYPRIOT SYLLABLE NO
        "\u1081D",  # ; CYPRIOT SYLLABLE NU
        "\u1081E",  # ; CYPRIOT SYLLABLE PA
        "\u1081F",  # ; CYPRIOT SYLLABLE PE
        "\u10820",  # ; CYPRIOT SYLLABLE PI
        "\u10821",  # ; CYPRIOT SYLLABLE PO
        "\u10822",  # ; CYPRIOT SYLLABLE PU
        "\u10823",  # ; CYPRIOT SYLLABLE RA
        "\u10824",  # ; CYPRIOT SYLLABLE RE
        "\u10825",  # ; CYPRIOT SYLLABLE RI
        "\u10826",  # ; CYPRIOT SYLLABLE RO
        "\u10827",  # ; CYPRIOT SYLLABLE RU
        "\u10828",  # ; CYPRIOT SYLLABLE SA
        "\u10829",  # ; CYPRIOT SYLLABLE SE
        "\u1082A",  # ; CYPRIOT SYLLABLE SI
        "\u1082B",  # ; CYPRIOT SYLLABLE SO
        "\u1082C",  # ; CYPRIOT SYLLABLE SU
        "\u1082D",  # ; CYPRIOT SYLLABLE TA
        "\u1082E",  # ; CYPRIOT SYLLABLE TE
        "\u1082F",  # ; CYPRIOT SYLLABLE TI
        "\u10830",  # ; CYPRIOT SYLLABLE TO
        "\u10831",  # ; CYPRIOT SYLLABLE TU
        "\u10832",  # ; CYPRIOT SYLLABLE WA
        "\u10833",  # ; CYPRIOT SYLLABLE WE
        "\u10834",  # ; CYPRIOT SYLLABLE WI
        "\u10835",  # ; CYPRIOT SYLLABLE WO
        "\u10837",  # ; CYPRIOT SYLLABLE XA
        "\u10838",  # ; CYPRIOT SYLLABLE XE
        "\u1083C",  # ; CYPRIOT SYLLABLE ZA
        "\u1083F",  # ; CYPRIOT SYLLABLE ZO
        "\u10840",  # ; IMPERIAL ARAMAIC LETTER ALEPH
        "\u10841",  # ; IMPERIAL ARAMAIC LETTER BETH
        "\u10842",  # ; IMPERIAL ARAMAIC LETTER GIMEL
        "\u10843",  # ; IMPERIAL ARAMAIC LETTER DALETH
        "\u10844",  # ; IMPERIAL ARAMAIC LETTER HE
        "\u10845",  # ; IMPERIAL ARAMAIC LETTER WAW
        "\u10846",  # ; IMPERIAL ARAMAIC LETTER ZAYIN
        "\u10847",  # ; IMPERIAL ARAMAIC LETTER HETH
        "\u10848",  # ; IMPERIAL ARAMAIC LETTER TETH
        "\u10849",  # ; IMPERIAL ARAMAIC LETTER YODH
        "\u1084A",  # ; IMPERIAL ARAMAIC LETTER KAPH
        "\u1084B",  # ; IMPERIAL ARAMAIC LETTER LAMEDH
        "\u1084C",  # ; IMPERIAL ARAMAIC LETTER MEM
        "\u1084D",  # ; IMPERIAL ARAMAIC LETTER NUN
        "\u1084E",  # ; IMPERIAL ARAMAIC LETTER SAMEKH
        "\u1084F",  # ; IMPERIAL ARAMAIC LETTER AYIN
        "\u10850",  # ; IMPERIAL ARAMAIC LETTER PE
        "\u10851",  # ; IMPERIAL ARAMAIC LETTER SADHE
        "\u10852",  # ; IMPERIAL ARAMAIC LETTER QOPH
        "\u10853",  # ; IMPERIAL ARAMAIC LETTER RESH
        "\u10854",  # ; IMPERIAL ARAMAIC LETTER SHIN
        "\u10855",  # ; IMPERIAL ARAMAIC LETTER TAW
        "\u10857",  # ; IMPERIAL ARAMAIC SECTION SIGN
        "\u10858",  # ; IMPERIAL ARAMAIC NUMBER ONE
        "\u10859",  # ; IMPERIAL ARAMAIC NUMBER TWO
        "\u1085A",  # ; IMPERIAL ARAMAIC NUMBER THREE
        "\u1085B",  # ; IMPERIAL ARAMAIC NUMBER TEN
        "\u1085C",  # ; IMPERIAL ARAMAIC NUMBER TWENTY
        "\u1085D",  # ; IMPERIAL ARAMAIC NUMBER ONE HUNDRED
        "\u1085E",  # ; IMPERIAL ARAMAIC NUMBER ONE THOUSAND
        "\u1085F",  # ; IMPERIAL ARAMAIC NUMBER TEN THOUSAND
        "\u10860",  # ; PALMYRENE LETTER ALEPH
        "\u10861",  # ; PALMYRENE LETTER BETH
        "\u10862",  # ; PALMYRENE LETTER GIMEL
        "\u10863",  # ; PALMYRENE LETTER DALETH
        "\u10864",  # ; PALMYRENE LETTER HE
        "\u10865",  # ; PALMYRENE LETTER WAW
        "\u10866",  # ; PALMYRENE LETTER ZAYIN
        "\u10867",  # ; PALMYRENE LETTER HETH
        "\u10868",  # ; PALMYRENE LETTER TETH
        "\u10869",  # ; PALMYRENE LETTER YODH
        "\u1086A",  # ; PALMYRENE LETTER KAPH
        "\u1086B",  # ; PALMYRENE LETTER LAMEDH
        "\u1086C",  # ; PALMYRENE LETTER MEM
        "\u1086D",  # ; PALMYRENE LETTER FINAL NUN
        "\u1086E",  # ; PALMYRENE LETTER NUN
        "\u1086F",  # ; PALMYRENE LETTER SAMEKH
        "\u10870",  # ; PALMYRENE LETTER AYIN
        "\u10871",  # ; PALMYRENE LETTER PE
        "\u10872",  # ; PALMYRENE LETTER SADHE
        "\u10873",  # ; PALMYRENE LETTER QOPH
        "\u10874",  # ; PALMYRENE LETTER RESH
        "\u10875",  # ; PALMYRENE LETTER SHIN
        "\u10876",  # ; PALMYRENE LETTER TAW
        "\u10877",  # ; PALMYRENE LEFT-POINTING FLEURON
        "\u10878",  # ; PALMYRENE RIGHT-POINTING FLEURON
        "\u10879",  # ; PALMYRENE NUMBER ONE
        "\u1087A",  # ; PALMYRENE NUMBER TWO
        "\u1087B",  # ; PALMYRENE NUMBER THREE
        "\u1087C",  # ; PALMYRENE NUMBER FOUR
        "\u1087D",  # ; PALMYRENE NUMBER FIVE
        "\u1087E",  # ; PALMYRENE NUMBER TEN
        "\u1087F",  # ; PALMYRENE NUMBER TWENTY
        "\u10880",  # ; NABATAEAN LETTER FINAL ALEPH
        "\u10881",  # ; NABATAEAN LETTER ALEPH
        "\u10882",  # ; NABATAEAN LETTER FINAL BETH
        "\u10883",  # ; NABATAEAN LETTER BETH
        "\u10884",  # ; NABATAEAN LETTER GIMEL
        "\u10885",  # ; NABATAEAN LETTER DALETH
        "\u10886",  # ; NABATAEAN LETTER FINAL HE
        "\u10887",  # ; NABATAEAN LETTER HE
        "\u10888",  # ; NABATAEAN LETTER WAW
        "\u10889",  # ; NABATAEAN LETTER ZAYIN
        "\u1088A",  # ; NABATAEAN LETTER HETH
        "\u1088B",  # ; NABATAEAN LETTER TETH
        "\u1088C",  # ; NABATAEAN LETTER FINAL YODH
        "\u1088D",  # ; NABATAEAN LETTER YODH
        "\u1088E",  # ; NABATAEAN LETTER FINAL KAPH
        "\u1088F",  # ; NABATAEAN LETTER KAPH
        "\u10890",  # ; NABATAEAN LETTER FINAL LAMEDH
        "\u10891",  # ; NABATAEAN LETTER LAMEDH
        "\u10892",  # ; NABATAEAN LETTER FINAL MEM
        "\u10893",  # ; NABATAEAN LETTER MEM
        "\u10894",  # ; NABATAEAN LETTER FINAL NUN
        "\u10895",  # ; NABATAEAN LETTER NUN
        "\u10896",  # ; NABATAEAN LETTER SAMEKH
        "\u10897",  # ; NABATAEAN LETTER AYIN
        "\u10898",  # ; NABATAEAN LETTER PE
        "\u10899",  # ; NABATAEAN LETTER SADHE
        "\u1089A",  # ; NABATAEAN LETTER QOPH
        "\u1089B",  # ; NABATAEAN LETTER RESH
        "\u1089C",  # ; NABATAEAN LETTER FINAL SHIN
        "\u1089D",  # ; NABATAEAN LETTER SHIN
        "\u1089E",  # ; NABATAEAN LETTER TAW
        "\u108A7",  # ; NABATAEAN NUMBER ONE
        "\u108A8",  # ; NABATAEAN NUMBER TWO
        "\u108A9",  # ; NABATAEAN NUMBER THREE
        "\u108AA",  # ; NABATAEAN NUMBER FOUR
        "\u108AB",  # ; NABATAEAN CRUCIFORM NUMBER FOUR
        "\u108AC",  # ; NABATAEAN NUMBER FIVE
        "\u108AD",  # ; NABATAEAN NUMBER TEN
        "\u108AE",  # ; NABATAEAN NUMBER TWENTY
        "\u108AF",  # ; NABATAEAN NUMBER ONE HUNDRED
        "\u108E0",  # ; HATRAN LETTER ALEPH
        "\u108E1",  # ; HATRAN LETTER BETH
        "\u108E2",  # ; HATRAN LETTER GIMEL
        "\u108E3",  # ; HATRAN LETTER DALETH-RESH
        "\u108E4",  # ; HATRAN LETTER HE
        "\u108E5",  # ; HATRAN LETTER WAW
        "\u108E6",  # ; HATRAN LETTER ZAYN
        "\u108E7",  # ; HATRAN LETTER HETH
        "\u108E8",  # ; HATRAN LETTER TETH
        "\u108E9",  # ; HATRAN LETTER YODH
        "\u108EA",  # ; HATRAN LETTER KAPH
        "\u108EB",  # ; HATRAN LETTER LAMEDH
        "\u108EC",  # ; HATRAN LETTER MEM
        "\u108ED",  # ; HATRAN LETTER NUN
        "\u108EE",  # ; HATRAN LETTER SAMEKH
        "\u108EF",  # ; HATRAN LETTER AYN
        "\u108F0",  # ; HATRAN LETTER PE
        "\u108F1",  # ; HATRAN LETTER SADHE
        "\u108F2",  # ; HATRAN LETTER QOPH
        "\u108F4",  # ; HATRAN LETTER SHIN
        "\u108F5",  # ; HATRAN LETTER TAW
        "\u108FB",  # ; HATRAN NUMBER ONE
        "\u108FC",  # ; HATRAN NUMBER FIVE
        "\u108FD",  # ; HATRAN NUMBER TEN
        "\u108FE",  # ; HATRAN NUMBER TWENTY
        "\u108FF",  # ; HATRAN NUMBER ONE HUNDRED
        "\u10900",  # ; PHOENICIAN LETTER ALF
        "\u10901",  # ; PHOENICIAN LETTER BET
        "\u10902",  # ; PHOENICIAN LETTER GAML
        "\u10903",  # ; PHOENICIAN LETTER DELT
        "\u10904",  # ; PHOENICIAN LETTER HE
        "\u10905",  # ; PHOENICIAN LETTER WAU
        "\u10906",  # ; PHOENICIAN LETTER ZAI
        "\u10907",  # ; PHOENICIAN LETTER HET
        "\u10908",  # ; PHOENICIAN LETTER TET
        "\u10909",  # ; PHOENICIAN LETTER YOD
        "\u1090A",  # ; PHOENICIAN LETTER KAF
        "\u1090B",  # ; PHOENICIAN LETTER LAMD
        "\u1090C",  # ; PHOENICIAN LETTER MEM
        "\u1090D",  # ; PHOENICIAN LETTER NUN
        "\u1090E",  # ; PHOENICIAN LETTER SEMK
        "\u1090F",  # ; PHOENICIAN LETTER AIN
        "\u10910",  # ; PHOENICIAN LETTER PE
        "\u10911",  # ; PHOENICIAN LETTER SADE
        "\u10912",  # ; PHOENICIAN LETTER QOF
        "\u10913",  # ; PHOENICIAN LETTER ROSH
        "\u10914",  # ; PHOENICIAN LETTER SHIN
        "\u10915",  # ; PHOENICIAN LETTER TAU
        "\u10916",  # ; PHOENICIAN NUMBER ONE
        "\u10917",  # ; PHOENICIAN NUMBER TEN
        "\u10918",  # ; PHOENICIAN NUMBER TWENTY
        "\u10919",  # ; PHOENICIAN NUMBER ONE HUNDRED
        "\u1091A",  # ; PHOENICIAN NUMBER TWO
        "\u1091B",  # ; PHOENICIAN NUMBER THREE
        "\u1091F",  # ; PHOENICIAN WORD SEPARATOR
        "\u10920",  # ; LYDIAN LETTER A
        "\u10921",  # ; LYDIAN LETTER B
        "\u10922",  # ; LYDIAN LETTER G
        "\u10923",  # ; LYDIAN LETTER D
        "\u10924",  # ; LYDIAN LETTER E
        "\u10925",  # ; LYDIAN LETTER V
        "\u10926",  # ; LYDIAN LETTER I
        "\u10927",  # ; LYDIAN LETTER Y
        "\u10928",  # ; LYDIAN LETTER K
        "\u10929",  # ; LYDIAN LETTER L
        "\u1092A",  # ; LYDIAN LETTER M
        "\u1092B",  # ; LYDIAN LETTER N
        "\u1092C",  # ; LYDIAN LETTER O
        "\u1092D",  # ; LYDIAN LETTER R
        "\u1092E",  # ; LYDIAN LETTER SS
        "\u1092F",  # ; LYDIAN LETTER T
        "\u10930",  # ; LYDIAN LETTER U
        "\u10931",  # ; LYDIAN LETTER F
        "\u10932",  # ; LYDIAN LETTER Q
        "\u10933",  # ; LYDIAN LETTER S
        "\u10934",  # ; LYDIAN LETTER TT
        "\u10935",  # ; LYDIAN LETTER AN
        "\u10936",  # ; LYDIAN LETTER EN
        "\u10937",  # ; LYDIAN LETTER LY
        "\u10938",  # ; LYDIAN LETTER NN
        "\u10939",  # ; LYDIAN LETTER C
        "\u1093F",  # ; LYDIAN TRIANGULAR MARK
        "\u10980",  # ; MEROITIC HIEROGLYPHIC LETTER A
        "\u10981",  # ; MEROITIC HIEROGLYPHIC LETTER E
        "\u10982",  # ; MEROITIC HIEROGLYPHIC LETTER I
        "\u10983",  # ; MEROITIC HIEROGLYPHIC LETTER O
        "\u10984",  # ; MEROITIC HIEROGLYPHIC LETTER YA
        "\u10985",  # ; MEROITIC HIEROGLYPHIC LETTER WA
        "\u10986",  # ; MEROITIC HIEROGLYPHIC LETTER BA
        "\u10987",  # ; MEROITIC HIEROGLYPHIC LETTER BA-2
        "\u10988",  # ; MEROITIC HIEROGLYPHIC LETTER PA
        "\u10989",  # ; MEROITIC HIEROGLYPHIC LETTER MA
        "\u1098A",  # ; MEROITIC HIEROGLYPHIC LETTER NA
        "\u1098B",  # ; MEROITIC HIEROGLYPHIC LETTER NA-2
        "\u1098C",  # ; MEROITIC HIEROGLYPHIC LETTER NE
        "\u1098D",  # ; MEROITIC HIEROGLYPHIC LETTER NE-2
        "\u1098E",  # ; MEROITIC HIEROGLYPHIC LETTER RA
        "\u1098F",  # ; MEROITIC HIEROGLYPHIC LETTER RA-2
        "\u10990",  # ; MEROITIC HIEROGLYPHIC LETTER LA
        "\u10991",  # ; MEROITIC HIEROGLYPHIC LETTER KHA
        "\u10992",  # ; MEROITIC HIEROGLYPHIC LETTER HHA
        "\u10993",  # ; MEROITIC HIEROGLYPHIC LETTER SA
        "\u10994",  # ; MEROITIC HIEROGLYPHIC LETTER SA-2
        "\u10995",  # ; MEROITIC HIEROGLYPHIC LETTER SE
        "\u10996",  # ; MEROITIC HIEROGLYPHIC LETTER KA
        "\u10997",  # ; MEROITIC HIEROGLYPHIC LETTER QA
        "\u10998",  # ; MEROITIC HIEROGLYPHIC LETTER TA
        "\u10999",  # ; MEROITIC HIEROGLYPHIC LETTER TA-2
        "\u1099A",  # ; MEROITIC HIEROGLYPHIC LETTER TE
        "\u1099B",  # ; MEROITIC HIEROGLYPHIC LETTER TE-2
        "\u1099C",  # ; MEROITIC HIEROGLYPHIC LETTER TO
        "\u1099D",  # ; MEROITIC HIEROGLYPHIC LETTER DA
        "\u1099E",  # ; MEROITIC HIEROGLYPHIC SYMBOL VIDJ
        "\u1099F",  # ; MEROITIC HIEROGLYPHIC SYMBOL VIDJ-2
        "\u109A0",  # ; MEROITIC CURSIVE LETTER A
        "\u109A1",  # ; MEROITIC CURSIVE LETTER E
        "\u109A2",  # ; MEROITIC CURSIVE LETTER I
        "\u109A3",  # ; MEROITIC CURSIVE LETTER O
        "\u109A4",  # ; MEROITIC CURSIVE LETTER YA
        "\u109A5",  # ; MEROITIC CURSIVE LETTER WA
        "\u109A6",  # ; MEROITIC CURSIVE LETTER BA
        "\u109A7",  # ; MEROITIC CURSIVE LETTER PA
        "\u109A8",  # ; MEROITIC CURSIVE LETTER MA
        "\u109A9",  # ; MEROITIC CURSIVE LETTER NA
        "\u109AA",  # ; MEROITIC CURSIVE LETTER NE
        "\u109AB",  # ; MEROITIC CURSIVE LETTER RA
        "\u109AC",  # ; MEROITIC CURSIVE LETTER LA
        "\u109AD",  # ; MEROITIC CURSIVE LETTER KHA
        "\u109AE",  # ; MEROITIC CURSIVE LETTER HHA
        "\u109AF",  # ; MEROITIC CURSIVE LETTER SA
        "\u109B0",  # ; MEROITIC CURSIVE LETTER ARCHAIC SA
        "\u109B1",  # ; MEROITIC CURSIVE LETTER SE
        "\u109B2",  # ; MEROITIC CURSIVE LETTER KA
        "\u109B3",  # ; MEROITIC CURSIVE LETTER QA
        "\u109B4",  # ; MEROITIC CURSIVE LETTER TA
        "\u109B5",  # ; MEROITIC CURSIVE LETTER TE
        "\u109B6",  # ; MEROITIC CURSIVE LETTER TO
        "\u109B7",  # ; MEROITIC CURSIVE LETTER DA
        "\u109BC",  # ; MEROITIC CURSIVE FRACTION ELEVEN TWELFTHS
        "\u109BD",  # ; MEROITIC CURSIVE FRACTION ONE HALF
        "\u109BE",  # ; MEROITIC CURSIVE LOGOGRAM RMT
        "\u109BF",  # ; MEROITIC CURSIVE LOGOGRAM IMN
        "\u109C0",  # ; MEROITIC CURSIVE NUMBER ONE
        "\u109C1",  # ; MEROITIC CURSIVE NUMBER TWO
        "\u109C2",  # ; MEROITIC CURSIVE NUMBER THREE
        "\u109C3",  # ; MEROITIC CURSIVE NUMBER FOUR
        "\u109C4",  # ; MEROITIC CURSIVE NUMBER FIVE
        "\u109C5",  # ; MEROITIC CURSIVE NUMBER SIX
        "\u109C6",  # ; MEROITIC CURSIVE NUMBER SEVEN
        "\u109C7",  # ; MEROITIC CURSIVE NUMBER EIGHT
        "\u109C8",  # ; MEROITIC CURSIVE NUMBER NINE
        "\u109C9",  # ; MEROITIC CURSIVE NUMBER TEN
        "\u109CA",  # ; MEROITIC CURSIVE NUMBER TWENTY
        "\u109CB",  # ; MEROITIC CURSIVE NUMBER THIRTY
        "\u109CC",  # ; MEROITIC CURSIVE NUMBER FORTY
        "\u109CD",  # ; MEROITIC CURSIVE NUMBER FIFTY
        "\u109CE",  # ; MEROITIC CURSIVE NUMBER SIXTY
        "\u109CF",  # ; MEROITIC CURSIVE NUMBER SEVENTY
        "\u109D2",  # ; MEROITIC CURSIVE NUMBER ONE HUNDRED
        "\u109D3",  # ; MEROITIC CURSIVE NUMBER TWO HUNDRED
        "\u109D4",  # ; MEROITIC CURSIVE NUMBER THREE HUNDRED
        "\u109D5",  # ; MEROITIC CURSIVE NUMBER FOUR HUNDRED
        "\u109D6",  # ; MEROITIC CURSIVE NUMBER FIVE HUNDRED
        "\u109D7",  # ; MEROITIC CURSIVE NUMBER SIX HUNDRED
        "\u109D8",  # ; MEROITIC CURSIVE NUMBER SEVEN HUNDRED
        "\u109D9",  # ; MEROITIC CURSIVE NUMBER EIGHT HUNDRED
        "\u109DA",  # ; MEROITIC CURSIVE NUMBER NINE HUNDRED
        "\u109DB",  # ; MEROITIC CURSIVE NUMBER ONE THOUSAND
        "\u109DC",  # ; MEROITIC CURSIVE NUMBER TWO THOUSAND
        "\u109DD",  # ; MEROITIC CURSIVE NUMBER THREE THOUSAND
        "\u109DE",  # ; MEROITIC CURSIVE NUMBER FOUR THOUSAND
        "\u109DF",  # ; MEROITIC CURSIVE NUMBER FIVE THOUSAND
        "\u109E0",  # ; MEROITIC CURSIVE NUMBER SIX THOUSAND
        "\u109E1",  # ; MEROITIC CURSIVE NUMBER SEVEN THOUSAND
        "\u109E2",  # ; MEROITIC CURSIVE NUMBER EIGHT THOUSAND
        "\u109E3",  # ; MEROITIC CURSIVE NUMBER NINE THOUSAND
        "\u109E4",  # ; MEROITIC CURSIVE NUMBER TEN THOUSAND
        "\u109E5",  # ; MEROITIC CURSIVE NUMBER TWENTY THOUSAND
        "\u109E6",  # ; MEROITIC CURSIVE NUMBER THIRTY THOUSAND
        "\u109E7",  # ; MEROITIC CURSIVE NUMBER FORTY THOUSAND
        "\u109E8",  # ; MEROITIC CURSIVE NUMBER FIFTY THOUSAND
        "\u109E9",  # ; MEROITIC CURSIVE NUMBER SIXTY THOUSAND
        "\u109EA",  # ; MEROITIC CURSIVE NUMBER SEVENTY THOUSAND
        "\u109EB",  # ; MEROITIC CURSIVE NUMBER EIGHTY THOUSAND
        "\u109EC",  # ; MEROITIC CURSIVE NUMBER NINETY THOUSAND
        "\u109ED",  # ; MEROITIC CURSIVE NUMBER ONE HUNDRED THOUSAND
        "\u109EE",  # ; MEROITIC CURSIVE NUMBER TWO HUNDRED THOUSAND
        "\u109EF",  # ; MEROITIC CURSIVE NUMBER THREE HUNDRED THOUSAND
        "\u109F0",  # ; MEROITIC CURSIVE NUMBER FOUR HUNDRED THOUSAND
        "\u109F1",  # ; MEROITIC CURSIVE NUMBER FIVE HUNDRED THOUSAND
        "\u109F2",  # ; MEROITIC CURSIVE NUMBER SIX HUNDRED THOUSAND
        "\u109F3",  # ; MEROITIC CURSIVE NUMBER SEVEN HUNDRED THOUSAND
        "\u109F4",  # ; MEROITIC CURSIVE NUMBER EIGHT HUNDRED THOUSAND
        "\u109F5",  # ; MEROITIC CURSIVE NUMBER NINE HUNDRED THOUSAND
        "\u109F6",  # ; MEROITIC CURSIVE FRACTION ONE TWELFTH
        "\u109F7",  # ; MEROITIC CURSIVE FRACTION TWO TWELFTHS
        "\u109F8",  # ; MEROITIC CURSIVE FRACTION THREE TWELFTHS
        "\u109F9",  # ; MEROITIC CURSIVE FRACTION FOUR TWELFTHS
        "\u109FA",  # ; MEROITIC CURSIVE FRACTION FIVE TWELFTHS
        "\u109FB",  # ; MEROITIC CURSIVE FRACTION SIX TWELFTHS
        "\u109FC",  # ; MEROITIC CURSIVE FRACTION SEVEN TWELFTHS
        "\u109FD",  # ; MEROITIC CURSIVE FRACTION EIGHT TWELFTHS
        "\u109FE",  # ; MEROITIC CURSIVE FRACTION NINE TWELFTHS
        "\u109FF",  # ; MEROITIC CURSIVE FRACTION TEN TWELFTHS
        "\u10A00",  # ; KHAROSHTHI LETTER A
        "\u10A01",  # ; KHAROSHTHI VOWEL SIGN I
        "\u10A02",  # ; KHAROSHTHI VOWEL SIGN U
        "\u10A03",  # ; KHAROSHTHI VOWEL SIGN VOCALIC R
        "\u10A05",  # ; KHAROSHTHI VOWEL SIGN E
        "\u10A06",  # ; KHAROSHTHI VOWEL SIGN O
        "\u10A0C",  # ; KHAROSHTHI VOWEL LENGTH MARK
        "\u10A0D",  # ; KHAROSHTHI SIGN DOUBLE RING BELOW
        "\u10A0E",  # ; KHAROSHTHI SIGN ANUSVARA
        "\u10A0F",  # ; KHAROSHTHI SIGN VISARGA
        "\u10A10",  # ; KHAROSHTHI LETTER KA
        "\u10A11",  # ; KHAROSHTHI LETTER KHA
        "\u10A12",  # ; KHAROSHTHI LETTER GA
        "\u10A13",  # ; KHAROSHTHI LETTER GHA
        "\u10A15",  # ; KHAROSHTHI LETTER CA
        "\u10A16",  # ; KHAROSHTHI LETTER CHA
        "\u10A17",  # ; KHAROSHTHI LETTER JA
        "\u10A19",  # ; KHAROSHTHI LETTER NYA
        "\u10A1A",  # ; KHAROSHTHI LETTER TTA
        "\u10A1B",  # ; KHAROSHTHI LETTER TTHA
        "\u10A1C",  # ; KHAROSHTHI LETTER DDA
        "\u10A1D",  # ; KHAROSHTHI LETTER DDHA
        "\u10A1E",  # ; KHAROSHTHI LETTER NNA
        "\u10A1F",  # ; KHAROSHTHI LETTER TA
        "\u10A20",  # ; KHAROSHTHI LETTER THA
        "\u10A21",  # ; KHAROSHTHI LETTER DA
        "\u10A22",  # ; KHAROSHTHI LETTER DHA
        "\u10A23",  # ; KHAROSHTHI LETTER NA
        "\u10A24",  # ; KHAROSHTHI LETTER PA
        "\u10A25",  # ; KHAROSHTHI LETTER PHA
        "\u10A26",  # ; KHAROSHTHI LETTER BA
        "\u10A27",  # ; KHAROSHTHI LETTER BHA
        "\u10A28",  # ; KHAROSHTHI LETTER MA
        "\u10A29",  # ; KHAROSHTHI LETTER YA
        "\u10A2A",  # ; KHAROSHTHI LETTER RA
        "\u10A2B",  # ; KHAROSHTHI LETTER LA
        "\u10A2C",  # ; KHAROSHTHI LETTER VA
        "\u10A2D",  # ; KHAROSHTHI LETTER SHA
        "\u10A2E",  # ; KHAROSHTHI LETTER SSA
        "\u10A2F",  # ; KHAROSHTHI LETTER SA
        "\u10A30",  # ; KHAROSHTHI LETTER ZA
        "\u10A31",  # ; KHAROSHTHI LETTER HA
        "\u10A32",  # ; KHAROSHTHI LETTER KKA
        "\u10A33",  # ; KHAROSHTHI LETTER TTTHA
        "\u10A38",  # ; KHAROSHTHI SIGN BAR ABOVE
        "\u10A39",  # ; KHAROSHTHI SIGN CAUDA
        "\u10A3A",  # ; KHAROSHTHI SIGN DOT BELOW
        "\u10A3F",  # ; KHAROSHTHI VIRAMA
        "\u10A40",  # ; KHAROSHTHI DIGIT ONE
        "\u10A41",  # ; KHAROSHTHI DIGIT TWO
        "\u10A42",  # ; KHAROSHTHI DIGIT THREE
        "\u10A43",  # ; KHAROSHTHI DIGIT FOUR
        "\u10A44",  # ; KHAROSHTHI NUMBER TEN
        "\u10A45",  # ; KHAROSHTHI NUMBER TWENTY
        "\u10A46",  # ; KHAROSHTHI NUMBER ONE HUNDRED
        "\u10A47",  # ; KHAROSHTHI NUMBER ONE THOUSAND
        "\u10A50",  # ; KHAROSHTHI PUNCTUATION DOT
        "\u10A51",  # ; KHAROSHTHI PUNCTUATION SMALL CIRCLE
        "\u10A52",  # ; KHAROSHTHI PUNCTUATION CIRCLE
        "\u10A53",  # ; KHAROSHTHI PUNCTUATION CRESCENT BAR
        "\u10A54",  # ; KHAROSHTHI PUNCTUATION MANGALAM
        "\u10A55",  # ; KHAROSHTHI PUNCTUATION LOTUS
        "\u10A56",  # ; KHAROSHTHI PUNCTUATION DANDA
        "\u10A57",  # ; KHAROSHTHI PUNCTUATION DOUBLE DANDA
        "\u10A58",  # ; KHAROSHTHI PUNCTUATION LINES
        "\u10A60",  # ; OLD SOUTH ARABIAN LETTER HE
        "\u10A61",  # ; OLD SOUTH ARABIAN LETTER LAMEDH
        "\u10A62",  # ; OLD SOUTH ARABIAN LETTER HETH
        "\u10A63",  # ; OLD SOUTH ARABIAN LETTER MEM
        "\u10A64",  # ; OLD SOUTH ARABIAN LETTER QOPH
        "\u10A65",  # ; OLD SOUTH ARABIAN LETTER WAW
        "\u10A66",  # ; OLD SOUTH ARABIAN LETTER SHIN
        "\u10A67",  # ; OLD SOUTH ARABIAN LETTER RESH
        "\u10A68",  # ; OLD SOUTH ARABIAN LETTER BETH
        "\u10A69",  # ; OLD SOUTH ARABIAN LETTER TAW
        "\u10A6A",  # ; OLD SOUTH ARABIAN LETTER SAT
        "\u10A6B",  # ; OLD SOUTH ARABIAN LETTER KAPH
        "\u10A6C",  # ; OLD SOUTH ARABIAN LETTER NUN
        "\u10A6D",  # ; OLD SOUTH ARABIAN LETTER KHETH
        "\u10A6E",  # ; OLD SOUTH ARABIAN LETTER SADHE
        "\u10A6F",  # ; OLD SOUTH ARABIAN LETTER SAMEKH
        "\u10A70",  # ; OLD SOUTH ARABIAN LETTER FE
        "\u10A71",  # ; OLD SOUTH ARABIAN LETTER ALEF
        "\u10A72",  # ; OLD SOUTH ARABIAN LETTER AYN
        "\u10A73",  # ; OLD SOUTH ARABIAN LETTER DHADHE
        "\u10A74",  # ; OLD SOUTH ARABIAN LETTER GIMEL
        "\u10A75",  # ; OLD SOUTH ARABIAN LETTER DALETH
        "\u10A76",  # ; OLD SOUTH ARABIAN LETTER GHAYN
        "\u10A77",  # ; OLD SOUTH ARABIAN LETTER TETH
        "\u10A78",  # ; OLD SOUTH ARABIAN LETTER ZAYN
        "\u10A79",  # ; OLD SOUTH ARABIAN LETTER DHALETH
        "\u10A7A",  # ; OLD SOUTH ARABIAN LETTER YODH
        "\u10A7B",  # ; OLD SOUTH ARABIAN LETTER THAW
        "\u10A7C",  # ; OLD SOUTH ARABIAN LETTER THETH
        "\u10A7D",  # ; OLD SOUTH ARABIAN NUMBER ONE
        "\u10A7E",  # ; OLD SOUTH ARABIAN NUMBER FIFTY
        "\u10A7F",  # ; OLD SOUTH ARABIAN NUMERIC INDICATOR
        "\u10A80",  # ; OLD NORTH ARABIAN LETTER HEH
        "\u10A81",  # ; OLD NORTH ARABIAN LETTER LAM
        "\u10A82",  # ; OLD NORTH ARABIAN LETTER HAH
        "\u10A83",  # ; OLD NORTH ARABIAN LETTER MEEM
        "\u10A84",  # ; OLD NORTH ARABIAN LETTER QAF
        "\u10A85",  # ; OLD NORTH ARABIAN LETTER WAW
        "\u10A86",  # ; OLD NORTH ARABIAN LETTER ES-2
        "\u10A87",  # ; OLD NORTH ARABIAN LETTER REH
        "\u10A88",  # ; OLD NORTH ARABIAN LETTER BEH
        "\u10A89",  # ; OLD NORTH ARABIAN LETTER TEH
        "\u10A8A",  # ; OLD NORTH ARABIAN LETTER ES-1
        "\u10A8B",  # ; OLD NORTH ARABIAN LETTER KAF
        "\u10A8C",  # ; OLD NORTH ARABIAN LETTER NOON
        "\u10A8D",  # ; OLD NORTH ARABIAN LETTER KHAH
        "\u10A8E",  # ; OLD NORTH ARABIAN LETTER SAD
        "\u10A8F",  # ; OLD NORTH ARABIAN LETTER ES-3
        "\u10A90",  # ; OLD NORTH ARABIAN LETTER FEH
        "\u10A91",  # ; OLD NORTH ARABIAN LETTER ALEF
        "\u10A92",  # ; OLD NORTH ARABIAN LETTER AIN
        "\u10A93",  # ; OLD NORTH ARABIAN LETTER DAD
        "\u10A94",  # ; OLD NORTH ARABIAN LETTER GEEM
        "\u10A95",  # ; OLD NORTH ARABIAN LETTER DAL
        "\u10A96",  # ; OLD NORTH ARABIAN LETTER GHAIN
        "\u10A97",  # ; OLD NORTH ARABIAN LETTER TAH
        "\u10A98",  # ; OLD NORTH ARABIAN LETTER ZAIN
        "\u10A99",  # ; OLD NORTH ARABIAN LETTER THAL
        "\u10A9A",  # ; OLD NORTH ARABIAN LETTER YEH
        "\u10A9B",  # ; OLD NORTH ARABIAN LETTER THEH
        "\u10A9C",  # ; OLD NORTH ARABIAN LETTER ZAH
        "\u10A9D",  # ; OLD NORTH ARABIAN NUMBER ONE
        "\u10A9E",  # ; OLD NORTH ARABIAN NUMBER TEN
        "\u10A9F",  # ; OLD NORTH ARABIAN NUMBER TWENTY
        "\u10AC0",  # ; MANICHAEAN LETTER ALEPH
        "\u10AC1",  # ; MANICHAEAN LETTER BETH
        "\u10AC2",  # ; MANICHAEAN LETTER BHETH
        "\u10AC3",  # ; MANICHAEAN LETTER GIMEL
        "\u10AC4",  # ; MANICHAEAN LETTER GHIMEL
        "\u10AC5",  # ; MANICHAEAN LETTER DALETH
        "\u10AC6",  # ; MANICHAEAN LETTER HE
        "\u10AC7",  # ; MANICHAEAN LETTER WAW
        "\u10AC8",  # ; MANICHAEAN SIGN UD
        "\u10AC9",  # ; MANICHAEAN LETTER ZAYIN
        "\u10ACA",  # ; MANICHAEAN LETTER ZHAYIN
        "\u10ACB",  # ; MANICHAEAN LETTER JAYIN
        "\u10ACC",  # ; MANICHAEAN LETTER JHAYIN
        "\u10ACD",  # ; MANICHAEAN LETTER HETH
        "\u10ACE",  # ; MANICHAEAN LETTER TETH
        "\u10ACF",  # ; MANICHAEAN LETTER YODH
        "\u10AD0",  # ; MANICHAEAN LETTER KAPH
        "\u10AD1",  # ; MANICHAEAN LETTER XAPH
        "\u10AD2",  # ; MANICHAEAN LETTER KHAPH
        "\u10AD3",  # ; MANICHAEAN LETTER LAMEDH
        "\u10AD4",  # ; MANICHAEAN LETTER DHAMEDH
        "\u10AD5",  # ; MANICHAEAN LETTER THAMEDH
        "\u10AD6",  # ; MANICHAEAN LETTER MEM
        "\u10AD7",  # ; MANICHAEAN LETTER NUN
        "\u10AD8",  # ; MANICHAEAN LETTER SAMEKH
        "\u10AD9",  # ; MANICHAEAN LETTER AYIN
        "\u10ADA",  # ; MANICHAEAN LETTER AAYIN
        "\u10ADB",  # ; MANICHAEAN LETTER PE
        "\u10ADC",  # ; MANICHAEAN LETTER FE
        "\u10ADD",  # ; MANICHAEAN LETTER SADHE
        "\u10ADE",  # ; MANICHAEAN LETTER QOPH
        "\u10ADF",  # ; MANICHAEAN LETTER XOPH
        "\u10AE0",  # ; MANICHAEAN LETTER QHOPH
        "\u10AE1",  # ; MANICHAEAN LETTER RESH
        "\u10AE2",  # ; MANICHAEAN LETTER SHIN
        "\u10AE3",  # ; MANICHAEAN LETTER SSHIN
        "\u10AE4",  # ; MANICHAEAN LETTER TAW
        "\u10AE5",  # ; MANICHAEAN ABBREVIATION MARK ABOVE
        "\u10AE6",  # ; MANICHAEAN ABBREVIATION MARK BELOW
        "\u10AEB",  # ; MANICHAEAN NUMBER ONE
        "\u10AEC",  # ; MANICHAEAN NUMBER FIVE
        "\u10AED",  # ; MANICHAEAN NUMBER TEN
        "\u10AEE",  # ; MANICHAEAN NUMBER TWENTY
        "\u10AEF",  # ; MANICHAEAN NUMBER ONE HUNDRED
        "\u10AF0",  # ; MANICHAEAN PUNCTUATION STAR
        "\u10AF1",  # ; MANICHAEAN PUNCTUATION FLEURON
        "\u10AF2",  # ; MANICHAEAN PUNCTUATION DOUBLE DOT WITHIN DOT
        "\u10AF3",  # ; MANICHAEAN PUNCTUATION DOT WITHIN DOT
        "\u10AF4",  # ; MANICHAEAN PUNCTUATION DOT
        "\u10AF5",  # ; MANICHAEAN PUNCTUATION TWO DOTS
        "\u10AF6",  # ; MANICHAEAN PUNCTUATION LINE FILLER
        "\u10B00",  # ; AVESTAN LETTER A
        "\u10B01",  # ; AVESTAN LETTER AA
        "\u10B02",  # ; AVESTAN LETTER AO
        "\u10B03",  # ; AVESTAN LETTER AAO
        "\u10B04",  # ; AVESTAN LETTER AN
        "\u10B05",  # ; AVESTAN LETTER AAN
        "\u10B06",  # ; AVESTAN LETTER AE
        "\u10B07",  # ; AVESTAN LETTER AEE
        "\u10B08",  # ; AVESTAN LETTER E
        "\u10B09",  # ; AVESTAN LETTER EE
        "\u10B0A",  # ; AVESTAN LETTER O
        "\u10B0B",  # ; AVESTAN LETTER OO
        "\u10B0C",  # ; AVESTAN LETTER I
        "\u10B0D",  # ; AVESTAN LETTER II
        "\u10B0E",  # ; AVESTAN LETTER U
        "\u10B0F",  # ; AVESTAN LETTER UU
        "\u10B10",  # ; AVESTAN LETTER KE
        "\u10B11",  # ; AVESTAN LETTER XE
        "\u10B12",  # ; AVESTAN LETTER XYE
        "\u10B13",  # ; AVESTAN LETTER XVE
        "\u10B14",  # ; AVESTAN LETTER GE
        "\u10B15",  # ; AVESTAN LETTER GGE
        "\u10B16",  # ; AVESTAN LETTER GHE
        "\u10B17",  # ; AVESTAN LETTER CE
        "\u10B18",  # ; AVESTAN LETTER JE
        "\u10B19",  # ; AVESTAN LETTER TE
        "\u10B1A",  # ; AVESTAN LETTER THE
        "\u10B1B",  # ; AVESTAN LETTER DE
        "\u10B1C",  # ; AVESTAN LETTER DHE
        "\u10B1D",  # ; AVESTAN LETTER TTE
        "\u10B1E",  # ; AVESTAN LETTER PE
        "\u10B1F",  # ; AVESTAN LETTER FE
        "\u10B20",  # ; AVESTAN LETTER BE
        "\u10B21",  # ; AVESTAN LETTER BHE
        "\u10B22",  # ; AVESTAN LETTER NGE
        "\u10B23",  # ; AVESTAN LETTER NGYE
        "\u10B24",  # ; AVESTAN LETTER NGVE
        "\u10B25",  # ; AVESTAN LETTER NE
        "\u10B26",  # ; AVESTAN LETTER NYE
        "\u10B27",  # ; AVESTAN LETTER NNE
        "\u10B28",  # ; AVESTAN LETTER ME
        "\u10B29",  # ; AVESTAN LETTER HME
        "\u10B2A",  # ; AVESTAN LETTER YYE
        "\u10B2B",  # ; AVESTAN LETTER YE
        "\u10B2C",  # ; AVESTAN LETTER VE
        "\u10B2D",  # ; AVESTAN LETTER RE
        "\u10B2E",  # ; AVESTAN LETTER LE
        "\u10B2F",  # ; AVESTAN LETTER SE
        "\u10B30",  # ; AVESTAN LETTER ZE
        "\u10B31",  # ; AVESTAN LETTER SHE
        "\u10B32",  # ; AVESTAN LETTER ZHE
        "\u10B33",  # ; AVESTAN LETTER SHYE
        "\u10B34",  # ; AVESTAN LETTER SSHE
        "\u10B35",  # ; AVESTAN LETTER HE
        "\u10B39",  # ; AVESTAN ABBREVIATION MARK
        "\u10B3A",  # ; TINY TWO DOTS OVER ONE DOT PUNCTUATION
        "\u10B3B",  # ; SMALL TWO DOTS OVER ONE DOT PUNCTUATION
        "\u10B3C",  # ; LARGE TWO DOTS OVER ONE DOT PUNCTUATION
        "\u10B3D",  # ; LARGE ONE DOT OVER TWO DOTS PUNCTUATION
        "\u10B3E",  # ; LARGE TWO RINGS OVER ONE RING PUNCTUATION
        "\u10B3F",  # ; LARGE ONE RING OVER TWO RINGS PUNCTUATION
        "\u10B40",  # ; INSCRIPTIONAL PARTHIAN LETTER ALEPH
        "\u10B41",  # ; INSCRIPTIONAL PARTHIAN LETTER BETH
        "\u10B42",  # ; INSCRIPTIONAL PARTHIAN LETTER GIMEL
        "\u10B43",  # ; INSCRIPTIONAL PARTHIAN LETTER DALETH
        "\u10B44",  # ; INSCRIPTIONAL PARTHIAN LETTER HE
        "\u10B45",  # ; INSCRIPTIONAL PARTHIAN LETTER WAW
        "\u10B46",  # ; INSCRIPTIONAL PARTHIAN LETTER ZAYIN
        "\u10B47",  # ; INSCRIPTIONAL PARTHIAN LETTER HETH
        "\u10B48",  # ; INSCRIPTIONAL PARTHIAN LETTER TETH
        "\u10B49",  # ; INSCRIPTIONAL PARTHIAN LETTER YODH
        "\u10B4A",  # ; INSCRIPTIONAL PARTHIAN LETTER KAPH
        "\u10B4B",  # ; INSCRIPTIONAL PARTHIAN LETTER LAMEDH
        "\u10B4C",  # ; INSCRIPTIONAL PARTHIAN LETTER MEM
        "\u10B4D",  # ; INSCRIPTIONAL PARTHIAN LETTER NUN
        "\u10B4E",  # ; INSCRIPTIONAL PARTHIAN LETTER SAMEKH
        "\u10B4F",  # ; INSCRIPTIONAL PARTHIAN LETTER AYIN
        "\u10B50",  # ; INSCRIPTIONAL PARTHIAN LETTER PE
        "\u10B51",  # ; INSCRIPTIONAL PARTHIAN LETTER SADHE
        "\u10B52",  # ; INSCRIPTIONAL PARTHIAN LETTER QOPH
        "\u10B53",  # ; INSCRIPTIONAL PARTHIAN LETTER RESH
        "\u10B54",  # ; INSCRIPTIONAL PARTHIAN LETTER SHIN
        "\u10B55",  # ; INSCRIPTIONAL PARTHIAN LETTER TAW
        "\u10B58",  # ; INSCRIPTIONAL PARTHIAN NUMBER ONE
        "\u10B59",  # ; INSCRIPTIONAL PARTHIAN NUMBER TWO
        "\u10B5A",  # ; INSCRIPTIONAL PARTHIAN NUMBER THREE
        "\u10B5B",  # ; INSCRIPTIONAL PARTHIAN NUMBER FOUR
        "\u10B5C",  # ; INSCRIPTIONAL PARTHIAN NUMBER TEN
        "\u10B5D",  # ; INSCRIPTIONAL PARTHIAN NUMBER TWENTY
        "\u10B5E",  # ; INSCRIPTIONAL PARTHIAN NUMBER ONE HUNDRED
        "\u10B5F",  # ; INSCRIPTIONAL PARTHIAN NUMBER ONE THOUSAND
        "\u10B60",  # ; INSCRIPTIONAL PAHLAVI LETTER ALEPH
        "\u10B61",  # ; INSCRIPTIONAL PAHLAVI LETTER BETH
        "\u10B62",  # ; INSCRIPTIONAL PAHLAVI LETTER GIMEL
        "\u10B63",  # ; INSCRIPTIONAL PAHLAVI LETTER DALETH
        "\u10B64",  # ; INSCRIPTIONAL PAHLAVI LETTER HE
        "\u10B65",  # ; INSCRIPTIONAL PAHLAVI LETTER WAW-AYIN-RESH
        "\u10B66",  # ; INSCRIPTIONAL PAHLAVI LETTER ZAYIN
        "\u10B67",  # ; INSCRIPTIONAL PAHLAVI LETTER HETH
        "\u10B68",  # ; INSCRIPTIONAL PAHLAVI LETTER TETH
        "\u10B69",  # ; INSCRIPTIONAL PAHLAVI LETTER YODH
        "\u10B6A",  # ; INSCRIPTIONAL PAHLAVI LETTER KAPH
        "\u10B6B",  # ; INSCRIPTIONAL PAHLAVI LETTER LAMEDH
        "\u10B6C",  # ; INSCRIPTIONAL PAHLAVI LETTER MEM-QOPH
        "\u10B6D",  # ; INSCRIPTIONAL PAHLAVI LETTER NUN
        "\u10B6E",  # ; INSCRIPTIONAL PAHLAVI LETTER SAMEKH
        "\u10B6F",  # ; INSCRIPTIONAL PAHLAVI LETTER PE
        "\u10B70",  # ; INSCRIPTIONAL PAHLAVI LETTER SADHE
        "\u10B71",  # ; INSCRIPTIONAL PAHLAVI LETTER SHIN
        "\u10B72",  # ; INSCRIPTIONAL PAHLAVI LETTER TAW
        "\u10B78",  # ; INSCRIPTIONAL PAHLAVI NUMBER ONE
        "\u10B79",  # ; INSCRIPTIONAL PAHLAVI NUMBER TWO
        "\u10B7A",  # ; INSCRIPTIONAL PAHLAVI NUMBER THREE
        "\u10B7B",  # ; INSCRIPTIONAL PAHLAVI NUMBER FOUR
        "\u10B7C",  # ; INSCRIPTIONAL PAHLAVI NUMBER TEN
        "\u10B7D",  # ; INSCRIPTIONAL PAHLAVI NUMBER TWENTY
        "\u10B7E",  # ; INSCRIPTIONAL PAHLAVI NUMBER ONE HUNDRED
        "\u10B7F",  # ; INSCRIPTIONAL PAHLAVI NUMBER ONE THOUSAND
        "\u10B80",  # ; PSALTER PAHLAVI LETTER ALEPH
        "\u10B81",  # ; PSALTER PAHLAVI LETTER BETH
        "\u10B82",  # ; PSALTER PAHLAVI LETTER GIMEL
        "\u10B83",  # ; PSALTER PAHLAVI LETTER DALETH
        "\u10B84",  # ; PSALTER PAHLAVI LETTER HE
        "\u10B85",  # ; PSALTER PAHLAVI LETTER WAW-AYIN-RESH
        "\u10B86",  # ; PSALTER PAHLAVI LETTER ZAYIN
        "\u10B87",  # ; PSALTER PAHLAVI LETTER HETH
        "\u10B88",  # ; PSALTER PAHLAVI LETTER YODH
        "\u10B89",  # ; PSALTER PAHLAVI LETTER KAPH
        "\u10B8A",  # ; PSALTER PAHLAVI LETTER LAMEDH
        "\u10B8B",  # ; PSALTER PAHLAVI LETTER MEM-QOPH
        "\u10B8C",  # ; PSALTER PAHLAVI LETTER NUN
        "\u10B8D",  # ; PSALTER PAHLAVI LETTER SAMEKH
        "\u10B8E",  # ; PSALTER PAHLAVI LETTER PE
        "\u10B8F",  # ; PSALTER PAHLAVI LETTER SADHE
        "\u10B90",  # ; PSALTER PAHLAVI LETTER SHIN
        "\u10B91",  # ; PSALTER PAHLAVI LETTER TAW
        "\u10B99",  # ; PSALTER PAHLAVI SECTION MARK
        "\u10B9A",  # ; PSALTER PAHLAVI TURNED SECTION MARK
        "\u10B9B",  # ; PSALTER PAHLAVI FOUR DOTS WITH CROSS
        "\u10B9C",  # ; PSALTER PAHLAVI FOUR DOTS WITH DOT
        "\u10BA9",  # ; PSALTER PAHLAVI NUMBER ONE
        "\u10BAA",  # ; PSALTER PAHLAVI NUMBER TWO
        "\u10BAB",  # ; PSALTER PAHLAVI NUMBER THREE
        "\u10BAC",  # ; PSALTER PAHLAVI NUMBER FOUR
        "\u10BAD",  # ; PSALTER PAHLAVI NUMBER TEN
        "\u10BAE",  # ; PSALTER PAHLAVI NUMBER TWENTY
        "\u10BAF",  # ; PSALTER PAHLAVI NUMBER ONE HUNDRED
        "\u10C00",  # ; OLD TURKIC LETTER ORKHON A
        "\u10C01",  # ; OLD TURKIC LETTER YENISEI A
        "\u10C02",  # ; OLD TURKIC LETTER YENISEI AE
        "\u10C03",  # ; OLD TURKIC LETTER ORKHON I
        "\u10C04",  # ; OLD TURKIC LETTER YENISEI I
        "\u10C05",  # ; OLD TURKIC LETTER YENISEI E
        "\u10C06",  # ; OLD TURKIC LETTER ORKHON O
        "\u10C07",  # ; OLD TURKIC LETTER ORKHON OE
        "\u10C08",  # ; OLD TURKIC LETTER YENISEI OE
        "\u10C09",  # ; OLD TURKIC LETTER ORKHON AB
        "\u10C0A",  # ; OLD TURKIC LETTER YENISEI AB
        "\u10C0B",  # ; OLD TURKIC LETTER ORKHON AEB
        "\u10C0C",  # ; OLD TURKIC LETTER YENISEI AEB
        "\u10C0D",  # ; OLD TURKIC LETTER ORKHON AG
        "\u10C0E",  # ; OLD TURKIC LETTER YENISEI AG
        "\u10C0F",  # ; OLD TURKIC LETTER ORKHON AEG
        "\u10C10",  # ; OLD TURKIC LETTER YENISEI AEG
        "\u10C11",  # ; OLD TURKIC LETTER ORKHON AD
        "\u10C12",  # ; OLD TURKIC LETTER YENISEI AD
        "\u10C13",  # ; OLD TURKIC LETTER ORKHON AED
        "\u10C14",  # ; OLD TURKIC LETTER ORKHON EZ
        "\u10C15",  # ; OLD TURKIC LETTER YENISEI EZ
        "\u10C16",  # ; OLD TURKIC LETTER ORKHON AY
        "\u10C17",  # ; OLD TURKIC LETTER YENISEI AY
        "\u10C18",  # ; OLD TURKIC LETTER ORKHON AEY
        "\u10C19",  # ; OLD TURKIC LETTER YENISEI AEY
        "\u10C1A",  # ; OLD TURKIC LETTER ORKHON AEK
        "\u10C1B",  # ; OLD TURKIC LETTER YENISEI AEK
        "\u10C1C",  # ; OLD TURKIC LETTER ORKHON OEK
        "\u10C1D",  # ; OLD TURKIC LETTER YENISEI OEK
        "\u10C1E",  # ; OLD TURKIC LETTER ORKHON AL
        "\u10C1F",  # ; OLD TURKIC LETTER YENISEI AL
        "\u10C20",  # ; OLD TURKIC LETTER ORKHON AEL
        "\u10C21",  # ; OLD TURKIC LETTER ORKHON ELT
        "\u10C22",  # ; OLD TURKIC LETTER ORKHON EM
        "\u10C23",  # ; OLD TURKIC LETTER ORKHON AN
        "\u10C24",  # ; OLD TURKIC LETTER ORKHON AEN
        "\u10C25",  # ; OLD TURKIC LETTER YENISEI AEN
        "\u10C26",  # ; OLD TURKIC LETTER ORKHON ENT
        "\u10C27",  # ; OLD TURKIC LETTER YENISEI ENT
        "\u10C28",  # ; OLD TURKIC LETTER ORKHON ENC
        "\u10C29",  # ; OLD TURKIC LETTER YENISEI ENC
        "\u10C2A",  # ; OLD TURKIC LETTER ORKHON ENY
        "\u10C2B",  # ; OLD TURKIC LETTER YENISEI ENY
        "\u10C2C",  # ; OLD TURKIC LETTER YENISEI ANG
        "\u10C2D",  # ; OLD TURKIC LETTER ORKHON ENG
        "\u10C2E",  # ; OLD TURKIC LETTER YENISEI AENG
        "\u10C2F",  # ; OLD TURKIC LETTER ORKHON EP
        "\u10C30",  # ; OLD TURKIC LETTER ORKHON OP
        "\u10C31",  # ; OLD TURKIC LETTER ORKHON IC
        "\u10C32",  # ; OLD TURKIC LETTER ORKHON EC
        "\u10C33",  # ; OLD TURKIC LETTER YENISEI EC
        "\u10C34",  # ; OLD TURKIC LETTER ORKHON AQ
        "\u10C35",  # ; OLD TURKIC LETTER YENISEI AQ
        "\u10C36",  # ; OLD TURKIC LETTER ORKHON IQ
        "\u10C37",  # ; OLD TURKIC LETTER YENISEI IQ
        "\u10C38",  # ; OLD TURKIC LETTER ORKHON OQ
        "\u10C39",  # ; OLD TURKIC LETTER YENISEI OQ
        "\u10C3A",  # ; OLD TURKIC LETTER ORKHON AR
        "\u10C3B",  # ; OLD TURKIC LETTER YENISEI AR
        "\u10C3C",  # ; OLD TURKIC LETTER ORKHON AER
        "\u10C3D",  # ; OLD TURKIC LETTER ORKHON AS
        "\u10C3E",  # ; OLD TURKIC LETTER ORKHON AES
        "\u10C3F",  # ; OLD TURKIC LETTER ORKHON ASH
        "\u10C40",  # ; OLD TURKIC LETTER YENISEI ASH
        "\u10C41",  # ; OLD TURKIC LETTER ORKHON ESH
        "\u10C42",  # ; OLD TURKIC LETTER YENISEI ESH
        "\u10C43",  # ; OLD TURKIC LETTER ORKHON AT
        "\u10C44",  # ; OLD TURKIC LETTER YENISEI AT
        "\u10C45",  # ; OLD TURKIC LETTER ORKHON AET
        "\u10C46",  # ; OLD TURKIC LETTER YENISEI AET
        "\u10C47",  # ; OLD TURKIC LETTER ORKHON OT
        "\u10C48",  # ; OLD TURKIC LETTER ORKHON BASH
        "\u10C80",  # ; OLD HUNGARIAN CAPITAL LETTER A
        "\u10C81",  # ; OLD HUNGARIAN CAPITAL LETTER AA
        "\u10C82",  # ; OLD HUNGARIAN CAPITAL LETTER EB
        "\u10C83",  # ; OLD HUNGARIAN CAPITAL LETTER AMB
        "\u10C84",  # ; OLD HUNGARIAN CAPITAL LETTER EC
        "\u10C85",  # ; OLD HUNGARIAN CAPITAL LETTER ENC
        "\u10C86",  # ; OLD HUNGARIAN CAPITAL LETTER ECS
        "\u10C87",  # ; OLD HUNGARIAN CAPITAL LETTER ED
        "\u10C88",  # ; OLD HUNGARIAN CAPITAL LETTER AND
        "\u10C89",  # ; OLD HUNGARIAN CAPITAL LETTER E
        "\u10C8A",  # ; OLD HUNGARIAN CAPITAL LETTER CLOSE E
        "\u10C8B",  # ; OLD HUNGARIAN CAPITAL LETTER EE
        "\u10C8C",  # ; OLD HUNGARIAN CAPITAL LETTER EF
        "\u10C8D",  # ; OLD HUNGARIAN CAPITAL LETTER EG
        "\u10C8E",  # ; OLD HUNGARIAN CAPITAL LETTER EGY
        "\u10C8F",  # ; OLD HUNGARIAN CAPITAL LETTER EH
        "\u10C90",  # ; OLD HUNGARIAN CAPITAL LETTER I
        "\u10C91",  # ; OLD HUNGARIAN CAPITAL LETTER II
        "\u10C92",  # ; OLD HUNGARIAN CAPITAL LETTER EJ
        "\u10C93",  # ; OLD HUNGARIAN CAPITAL LETTER EK
        "\u10C94",  # ; OLD HUNGARIAN CAPITAL LETTER AK
        "\u10C95",  # ; OLD HUNGARIAN CAPITAL LETTER UNK
        "\u10C96",  # ; OLD HUNGARIAN CAPITAL LETTER EL
        "\u10C97",  # ; OLD HUNGARIAN CAPITAL LETTER ELY
        "\u10C98",  # ; OLD HUNGARIAN CAPITAL LETTER EM
        "\u10C99",  # ; OLD HUNGARIAN CAPITAL LETTER EN
        "\u10C9A",  # ; OLD HUNGARIAN CAPITAL LETTER ENY
        "\u10C9B",  # ; OLD HUNGARIAN CAPITAL LETTER O
        "\u10C9C",  # ; OLD HUNGARIAN CAPITAL LETTER OO
        "\u10C9D",  # ; OLD HUNGARIAN CAPITAL LETTER NIKOLSBURG OE
        "\u10C9E",  # ; OLD HUNGARIAN CAPITAL LETTER RUDIMENTA OE
        "\u10C9F",  # ; OLD HUNGARIAN CAPITAL LETTER OEE
        "\u10CA0",  # ; OLD HUNGARIAN CAPITAL LETTER EP
        "\u10CA1",  # ; OLD HUNGARIAN CAPITAL LETTER EMP
        "\u10CA2",  # ; OLD HUNGARIAN CAPITAL LETTER ER
        "\u10CA3",  # ; OLD HUNGARIAN CAPITAL LETTER SHORT ER
        "\u10CA4",  # ; OLD HUNGARIAN CAPITAL LETTER ES
        "\u10CA5",  # ; OLD HUNGARIAN CAPITAL LETTER ESZ
        "\u10CA6",  # ; OLD HUNGARIAN CAPITAL LETTER ET
        "\u10CA7",  # ; OLD HUNGARIAN CAPITAL LETTER ENT
        "\u10CA8",  # ; OLD HUNGARIAN CAPITAL LETTER ETY
        "\u10CA9",  # ; OLD HUNGARIAN CAPITAL LETTER ECH
        "\u10CAA",  # ; OLD HUNGARIAN CAPITAL LETTER U
        "\u10CAB",  # ; OLD HUNGARIAN CAPITAL LETTER UU
        "\u10CAC",  # ; OLD HUNGARIAN CAPITAL LETTER NIKOLSBURG UE
        "\u10CAD",  # ; OLD HUNGARIAN CAPITAL LETTER RUDIMENTA UE
        "\u10CAE",  # ; OLD HUNGARIAN CAPITAL LETTER EV
        "\u10CAF",  # ; OLD HUNGARIAN CAPITAL LETTER EZ
        "\u10CB0",  # ; OLD HUNGARIAN CAPITAL LETTER EZS
        "\u10CB1",  # ; OLD HUNGARIAN CAPITAL LETTER ENT-SHAPED SIGN
        "\u10CB2",  # ; OLD HUNGARIAN CAPITAL LETTER US
        "\u10CC0",  # ; OLD HUNGARIAN SMALL LETTER A
        "\u10CC1",  # ; OLD HUNGARIAN SMALL LETTER AA
        "\u10CC2",  # ; OLD HUNGARIAN SMALL LETTER EB
        "\u10CC3",  # ; OLD HUNGARIAN SMALL LETTER AMB
        "\u10CC4",  # ; OLD HUNGARIAN SMALL LETTER EC
        "\u10CC5",  # ; OLD HUNGARIAN SMALL LETTER ENC
        "\u10CC6",  # ; OLD HUNGARIAN SMALL LETTER ECS
        "\u10CC7",  # ; OLD HUNGARIAN SMALL LETTER ED
        "\u10CC8",  # ; OLD HUNGARIAN SMALL LETTER AND
        "\u10CC9",  # ; OLD HUNGARIAN SMALL LETTER E
        "\u10CCA",  # ; OLD HUNGARIAN SMALL LETTER CLOSE E
        "\u10CCB",  # ; OLD HUNGARIAN SMALL LETTER EE
        "\u10CCC",  # ; OLD HUNGARIAN SMALL LETTER EF
        "\u10CCD",  # ; OLD HUNGARIAN SMALL LETTER EG
        "\u10CCE",  # ; OLD HUNGARIAN SMALL LETTER EGY
        "\u10CCF",  # ; OLD HUNGARIAN SMALL LETTER EH
        "\u10CD0",  # ; OLD HUNGARIAN SMALL LETTER I
        "\u10CD1",  # ; OLD HUNGARIAN SMALL LETTER II
        "\u10CD2",  # ; OLD HUNGARIAN SMALL LETTER EJ
        "\u10CD3",  # ; OLD HUNGARIAN SMALL LETTER EK
        "\u10CD4",  # ; OLD HUNGARIAN SMALL LETTER AK
        "\u10CD5",  # ; OLD HUNGARIAN SMALL LETTER UNK
        "\u10CD6",  # ; OLD HUNGARIAN SMALL LETTER EL
        "\u10CD7",  # ; OLD HUNGARIAN SMALL LETTER ELY
        "\u10CD8",  # ; OLD HUNGARIAN SMALL LETTER EM
        "\u10CD9",  # ; OLD HUNGARIAN SMALL LETTER EN
        "\u10CDA",  # ; OLD HUNGARIAN SMALL LETTER ENY
        "\u10CDB",  # ; OLD HUNGARIAN SMALL LETTER O
        "\u10CDC",  # ; OLD HUNGARIAN SMALL LETTER OO
        "\u10CDD",  # ; OLD HUNGARIAN SMALL LETTER NIKOLSBURG OE
        "\u10CDE",  # ; OLD HUNGARIAN SMALL LETTER RUDIMENTA OE
        "\u10CDF",  # ; OLD HUNGARIAN SMALL LETTER OEE
        "\u10CE0",  # ; OLD HUNGARIAN SMALL LETTER EP
        "\u10CE1",  # ; OLD HUNGARIAN SMALL LETTER EMP
        "\u10CE2",  # ; OLD HUNGARIAN SMALL LETTER ER
        "\u10CE3",  # ; OLD HUNGARIAN SMALL LETTER SHORT ER
        "\u10CE4",  # ; OLD HUNGARIAN SMALL LETTER ES
        "\u10CE5",  # ; OLD HUNGARIAN SMALL LETTER ESZ
        "\u10CE6",  # ; OLD HUNGARIAN SMALL LETTER ET
        "\u10CE7",  # ; OLD HUNGARIAN SMALL LETTER ENT
        "\u10CE8",  # ; OLD HUNGARIAN SMALL LETTER ETY
        "\u10CE9",  # ; OLD HUNGARIAN SMALL LETTER ECH
        "\u10CEA",  # ; OLD HUNGARIAN SMALL LETTER U
        "\u10CEB",  # ; OLD HUNGARIAN SMALL LETTER UU
        "\u10CEC",  # ; OLD HUNGARIAN SMALL LETTER NIKOLSBURG UE
        "\u10CED",  # ; OLD HUNGARIAN SMALL LETTER RUDIMENTA UE
        "\u10CEE",  # ; OLD HUNGARIAN SMALL LETTER EV
        "\u10CEF",  # ; OLD HUNGARIAN SMALL LETTER EZ
        "\u10CF0",  # ; OLD HUNGARIAN SMALL LETTER EZS
        "\u10CF1",  # ; OLD HUNGARIAN SMALL LETTER ENT-SHAPED SIGN
        "\u10CF2",  # ; OLD HUNGARIAN SMALL LETTER US
        "\u10CFA",  # ; OLD HUNGARIAN NUMBER ONE
        "\u10CFB",  # ; OLD HUNGARIAN NUMBER FIVE
        "\u10CFC",  # ; OLD HUNGARIAN NUMBER TEN
        "\u10CFD",  # ; OLD HUNGARIAN NUMBER FIFTY
        "\u10CFE",  # ; OLD HUNGARIAN NUMBER ONE HUNDRED
        "\u10CFF",  # ; OLD HUNGARIAN NUMBER ONE THOUSAND
        "\u10E60",  # ; RUMI DIGIT ONE
        "\u10E61",  # ; RUMI DIGIT TWO
        "\u10E62",  # ; RUMI DIGIT THREE
        "\u10E63",  # ; RUMI DIGIT FOUR
        "\u10E64",  # ; RUMI DIGIT FIVE
        "\u10E65",  # ; RUMI DIGIT SIX
        "\u10E66",  # ; RUMI DIGIT SEVEN
        "\u10E67",  # ; RUMI DIGIT EIGHT
        "\u10E68",  # ; RUMI DIGIT NINE
        "\u10E69",  # ; RUMI NUMBER TEN
        "\u10E6A",  # ; RUMI NUMBER TWENTY
        "\u10E6B",  # ; RUMI NUMBER THIRTY
        "\u10E6C",  # ; RUMI NUMBER FORTY
        "\u10E6D",  # ; RUMI NUMBER FIFTY
        "\u10E6E",  # ; RUMI NUMBER SIXTY
        "\u10E6F",  # ; RUMI NUMBER SEVENTY
        "\u10E70",  # ; RUMI NUMBER EIGHTY
        "\u10E71",  # ; RUMI NUMBER NINETY
        "\u10E72",  # ; RUMI NUMBER ONE HUNDRED
        "\u10E73",  # ; RUMI NUMBER TWO HUNDRED
        "\u10E74",  # ; RUMI NUMBER THREE HUNDRED
        "\u10E75",  # ; RUMI NUMBER FOUR HUNDRED
        "\u10E76",  # ; RUMI NUMBER FIVE HUNDRED
        "\u10E77",  # ; RUMI NUMBER SIX HUNDRED
        "\u10E78",  # ; RUMI NUMBER SEVEN HUNDRED
        "\u10E79",  # ; RUMI NUMBER EIGHT HUNDRED
        "\u10E7A",  # ; RUMI NUMBER NINE HUNDRED
        "\u10E7B",  # ; RUMI FRACTION ONE HALF
        "\u10E7C",  # ; RUMI FRACTION ONE QUARTER
        "\u10E7D",  # ; RUMI FRACTION ONE THIRD
        "\u10E7E",  # ; RUMI FRACTION TWO THIRDS
        "\u11000",  # ; BRAHMI SIGN CANDRABINDU
        "\u11001",  # ; BRAHMI SIGN ANUSVARA
        "\u11002",  # ; BRAHMI SIGN VISARGA
        "\u11003",  # ; BRAHMI SIGN JIHVAMULIYA
        "\u11004",  # ; BRAHMI SIGN UPADHMANIYA
        "\u11005",  # ; BRAHMI LETTER A
        "\u11006",  # ; BRAHMI LETTER AA
        "\u11007",  # ; BRAHMI LETTER I
        "\u11008",  # ; BRAHMI LETTER II
        "\u11009",  # ; BRAHMI LETTER U
        "\u1100A",  # ; BRAHMI LETTER UU
        "\u1100B",  # ; BRAHMI LETTER VOCALIC R
        "\u1100C",  # ; BRAHMI LETTER VOCALIC RR
        "\u1100D",  # ; BRAHMI LETTER VOCALIC L
        "\u1100E",  # ; BRAHMI LETTER VOCALIC LL
        "\u1100F",  # ; BRAHMI LETTER E
        "\u11010",  # ; BRAHMI LETTER AI
        "\u11011",  # ; BRAHMI LETTER O
        "\u11012",  # ; BRAHMI LETTER AU
        "\u11013",  # ; BRAHMI LETTER KA
        "\u11014",  # ; BRAHMI LETTER KHA
        "\u11015",  # ; BRAHMI LETTER GA
        "\u11016",  # ; BRAHMI LETTER GHA
        "\u11017",  # ; BRAHMI LETTER NGA
        "\u11018",  # ; BRAHMI LETTER CA
        "\u11019",  # ; BRAHMI LETTER CHA
        "\u1101A",  # ; BRAHMI LETTER JA
        "\u1101B",  # ; BRAHMI LETTER JHA
        "\u1101C",  # ; BRAHMI LETTER NYA
        "\u1101D",  # ; BRAHMI LETTER TTA
        "\u1101E",  # ; BRAHMI LETTER TTHA
        "\u1101F",  # ; BRAHMI LETTER DDA
        "\u11020",  # ; BRAHMI LETTER DDHA
        "\u11021",  # ; BRAHMI LETTER NNA
        "\u11022",  # ; BRAHMI LETTER TA
        "\u11023",  # ; BRAHMI LETTER THA
        "\u11024",  # ; BRAHMI LETTER DA
        "\u11025",  # ; BRAHMI LETTER DHA
        "\u11026",  # ; BRAHMI LETTER NA
        "\u11027",  # ; BRAHMI LETTER PA
        "\u11028",  # ; BRAHMI LETTER PHA
        "\u11029",  # ; BRAHMI LETTER BA
        "\u1102A",  # ; BRAHMI LETTER BHA
        "\u1102B",  # ; BRAHMI LETTER MA
        "\u1102C",  # ; BRAHMI LETTER YA
        "\u1102D",  # ; BRAHMI LETTER RA
        "\u1102E",  # ; BRAHMI LETTER LA
        "\u1102F",  # ; BRAHMI LETTER VA
        "\u11030",  # ; BRAHMI LETTER SHA
        "\u11031",  # ; BRAHMI LETTER SSA
        "\u11032",  # ; BRAHMI LETTER SA
        "\u11033",  # ; BRAHMI LETTER HA
        "\u11034",  # ; BRAHMI LETTER LLA
        "\u11035",  # ; BRAHMI LETTER OLD TAMIL LLLA
        "\u11036",  # ; BRAHMI LETTER OLD TAMIL RRA
        "\u11037",  # ; BRAHMI LETTER OLD TAMIL NNNA
        "\u11038",  # ; BRAHMI VOWEL SIGN AA
        "\u11039",  # ; BRAHMI VOWEL SIGN BHATTIPROLU AA
        "\u1103A",  # ; BRAHMI VOWEL SIGN I
        "\u1103B",  # ; BRAHMI VOWEL SIGN II
        "\u1103C",  # ; BRAHMI VOWEL SIGN U
        "\u1103D",  # ; BRAHMI VOWEL SIGN UU
        "\u1103E",  # ; BRAHMI VOWEL SIGN VOCALIC R
        "\u1103F",  # ; BRAHMI VOWEL SIGN VOCALIC RR
        "\u11040",  # ; BRAHMI VOWEL SIGN VOCALIC L
        "\u11041",  # ; BRAHMI VOWEL SIGN VOCALIC LL
        "\u11042",  # ; BRAHMI VOWEL SIGN E
        "\u11043",  # ; BRAHMI VOWEL SIGN AI
        "\u11044",  # ; BRAHMI VOWEL SIGN O
        "\u11045",  # ; BRAHMI VOWEL SIGN AU
        "\u11046",  # ; BRAHMI VIRAMA
        "\u11047",  # ; BRAHMI DANDA
        "\u11048",  # ; BRAHMI DOUBLE DANDA
        "\u11049",  # ; BRAHMI PUNCTUATION DOT
        "\u1104A",  # ; BRAHMI PUNCTUATION DOUBLE DOT
        "\u1104B",  # ; BRAHMI PUNCTUATION LINE
        "\u1104C",  # ; BRAHMI PUNCTUATION CRESCENT BAR
        "\u1104D",  # ; BRAHMI PUNCTUATION LOTUS
        "\u11052",  # ; BRAHMI NUMBER ONE
        "\u11053",  # ; BRAHMI NUMBER TWO
        "\u11054",  # ; BRAHMI NUMBER THREE
        "\u11055",  # ; BRAHMI NUMBER FOUR
        "\u11056",  # ; BRAHMI NUMBER FIVE
        "\u11057",  # ; BRAHMI NUMBER SIX
        "\u11058",  # ; BRAHMI NUMBER SEVEN
        "\u11059",  # ; BRAHMI NUMBER EIGHT
        "\u1105A",  # ; BRAHMI NUMBER NINE
        "\u1105B",  # ; BRAHMI NUMBER TEN
        "\u1105C",  # ; BRAHMI NUMBER TWENTY
        "\u1105D",  # ; BRAHMI NUMBER THIRTY
        "\u1105E",  # ; BRAHMI NUMBER FORTY
        "\u1105F",  # ; BRAHMI NUMBER FIFTY
        "\u11060",  # ; BRAHMI NUMBER SIXTY
        "\u11061",  # ; BRAHMI NUMBER SEVENTY
        "\u11062",  # ; BRAHMI NUMBER EIGHTY
        "\u11063",  # ; BRAHMI NUMBER NINETY
        "\u11064",  # ; BRAHMI NUMBER ONE HUNDRED
        "\u11065",  # ; BRAHMI NUMBER ONE THOUSAND
        "\u11066",  # ; BRAHMI DIGIT ZERO
        "\u11067",  # ; BRAHMI DIGIT ONE
        "\u11068",  # ; BRAHMI DIGIT TWO
        "\u11069",  # ; BRAHMI DIGIT THREE
        "\u1106A",  # ; BRAHMI DIGIT FOUR
        "\u1106B",  # ; BRAHMI DIGIT FIVE
        "\u1106C",  # ; BRAHMI DIGIT SIX
        "\u1106D",  # ; BRAHMI DIGIT SEVEN
        "\u1106E",  # ; BRAHMI DIGIT EIGHT
        "\u1106F",  # ; BRAHMI DIGIT NINE
        "\u1107F",  # ; BRAHMI NUMBER JOINER
        "\u11080",  # ; KAITHI SIGN CANDRABINDU
        "\u11081",  # ; KAITHI SIGN ANUSVARA
        "\u11082",  # ; KAITHI SIGN VISARGA
        "\u11083",  # ; KAITHI LETTER A
        "\u11084",  # ; KAITHI LETTER AA
        "\u11085",  # ; KAITHI LETTER I
        "\u11086",  # ; KAITHI LETTER II
        "\u11087",  # ; KAITHI LETTER U
        "\u11088",  # ; KAITHI LETTER UU
        "\u11089",  # ; KAITHI LETTER E
        "\u1108A",  # ; KAITHI LETTER AI
        "\u1108B",  # ; KAITHI LETTER O
        "\u1108C",  # ; KAITHI LETTER AU
        "\u1108D",  # ; KAITHI LETTER KA
        "\u1108E",  # ; KAITHI LETTER KHA
        "\u1108F",  # ; KAITHI LETTER GA
        "\u11090",  # ; KAITHI LETTER GHA
        "\u11091",  # ; KAITHI LETTER NGA
        "\u11092",  # ; KAITHI LETTER CA
        "\u11093",  # ; KAITHI LETTER CHA
        "\u11094",  # ; KAITHI LETTER JA
        "\u11095",  # ; KAITHI LETTER JHA
        "\u11096",  # ; KAITHI LETTER NYA
        "\u11097",  # ; KAITHI LETTER TTA
        "\u11098",  # ; KAITHI LETTER TTHA
        "\u11099",  # ; KAITHI LETTER DDA
        "\u1109A",  # ; KAITHI LETTER DDDHA
        "\u1109B",  # ; KAITHI LETTER DDHA
        "\u1109C",  # ; KAITHI LETTER RHA
        "\u1109D",  # ; KAITHI LETTER NNA
        "\u1109E",  # ; KAITHI LETTER TA
        "\u1109F",  # ; KAITHI LETTER THA
        "\u110A0",  # ; KAITHI LETTER DA
        "\u110A1",  # ; KAITHI LETTER DHA
        "\u110A2",  # ; KAITHI LETTER NA
        "\u110A3",  # ; KAITHI LETTER PA
        "\u110A4",  # ; KAITHI LETTER PHA
        "\u110A5",  # ; KAITHI LETTER BA
        "\u110A6",  # ; KAITHI LETTER BHA
        "\u110A7",  # ; KAITHI LETTER MA
        "\u110A8",  # ; KAITHI LETTER YA
        "\u110A9",  # ; KAITHI LETTER RA
        "\u110AA",  # ; KAITHI LETTER LA
        "\u110AB",  # ; KAITHI LETTER VA
        "\u110AC",  # ; KAITHI LETTER SHA
        "\u110AD",  # ; KAITHI LETTER SSA
        "\u110AE",  # ; KAITHI LETTER SA
        "\u110AF",  # ; KAITHI LETTER HA
        "\u110B0",  # ; KAITHI VOWEL SIGN AA
        "\u110B1",  # ; KAITHI VOWEL SIGN I
        "\u110B2",  # ; KAITHI VOWEL SIGN II
        "\u110B3",  # ; KAITHI VOWEL SIGN U
        "\u110B4",  # ; KAITHI VOWEL SIGN UU
        "\u110B5",  # ; KAITHI VOWEL SIGN E
        "\u110B6",  # ; KAITHI VOWEL SIGN AI
        "\u110B7",  # ; KAITHI VOWEL SIGN O
        "\u110B8",  # ; KAITHI VOWEL SIGN AU
        "\u110B9",  # ; KAITHI SIGN VIRAMA
        "\u110BA",  # ; KAITHI SIGN NUKTA
        "\u110BB",  # ; KAITHI ABBREVIATION SIGN
        "\u110BC",  # ; KAITHI ENUMERATION SIGN
        "\u110BD",  # ; KAITHI NUMBER SIGN
        "\u110BE",  # ; KAITHI SECTION MARK
        "\u110BF",  # ; KAITHI DOUBLE SECTION MARK
        "\u110C0",  # ; KAITHI DANDA
        "\u110C1",  # ; KAITHI DOUBLE DANDA
        "\u110D0",  # ; SORA SOMPENG LETTER SAH
        "\u110D1",  # ; SORA SOMPENG LETTER TAH
        "\u110D2",  # ; SORA SOMPENG LETTER BAH
        "\u110D3",  # ; SORA SOMPENG LETTER CAH
        "\u110D4",  # ; SORA SOMPENG LETTER DAH
        "\u110D5",  # ; SORA SOMPENG LETTER GAH
        "\u110D6",  # ; SORA SOMPENG LETTER MAH
        "\u110D7",  # ; SORA SOMPENG LETTER NGAH
        "\u110D8",  # ; SORA SOMPENG LETTER LAH
        "\u110D9",  # ; SORA SOMPENG LETTER NAH
        "\u110DA",  # ; SORA SOMPENG LETTER VAH
        "\u110DB",  # ; SORA SOMPENG LETTER PAH
        "\u110DC",  # ; SORA SOMPENG LETTER YAH
        "\u110DD",  # ; SORA SOMPENG LETTER RAH
        "\u110DE",  # ; SORA SOMPENG LETTER HAH
        "\u110DF",  # ; SORA SOMPENG LETTER KAH
        "\u110E0",  # ; SORA SOMPENG LETTER JAH
        "\u110E1",  # ; SORA SOMPENG LETTER NYAH
        "\u110E2",  # ; SORA SOMPENG LETTER AH
        "\u110E3",  # ; SORA SOMPENG LETTER EEH
        "\u110E4",  # ; SORA SOMPENG LETTER IH
        "\u110E5",  # ; SORA SOMPENG LETTER UH
        "\u110E6",  # ; SORA SOMPENG LETTER OH
        "\u110E7",  # ; SORA SOMPENG LETTER EH
        "\u110E8",  # ; SORA SOMPENG LETTER MAE
        "\u110F0",  # ; SORA SOMPENG DIGIT ZERO
        "\u110F1",  # ; SORA SOMPENG DIGIT ONE
        "\u110F2",  # ; SORA SOMPENG DIGIT TWO
        "\u110F3",  # ; SORA SOMPENG DIGIT THREE
        "\u110F4",  # ; SORA SOMPENG DIGIT FOUR
        "\u110F5",  # ; SORA SOMPENG DIGIT FIVE
        "\u110F6",  # ; SORA SOMPENG DIGIT SIX
        "\u110F7",  # ; SORA SOMPENG DIGIT SEVEN
        "\u110F8",  # ; SORA SOMPENG DIGIT EIGHT
        "\u110F9",  # ; SORA SOMPENG DIGIT NINE
        "\u11100",  # ; CHAKMA SIGN CANDRABINDU
        "\u11101",  # ; CHAKMA SIGN ANUSVARA
        "\u11102",  # ; CHAKMA SIGN VISARGA
        "\u11103",  # ; CHAKMA LETTER AA
        "\u11104",  # ; CHAKMA LETTER I
        "\u11105",  # ; CHAKMA LETTER U
        "\u11106",  # ; CHAKMA LETTER E
        "\u11107",  # ; CHAKMA LETTER KAA
        "\u11108",  # ; CHAKMA LETTER KHAA
        "\u11109",  # ; CHAKMA LETTER GAA
        "\u1110A",  # ; CHAKMA LETTER GHAA
        "\u1110B",  # ; CHAKMA LETTER NGAA
        "\u1110C",  # ; CHAKMA LETTER CAA
        "\u1110D",  # ; CHAKMA LETTER CHAA
        "\u1110E",  # ; CHAKMA LETTER JAA
        "\u1110F",  # ; CHAKMA LETTER JHAA
        "\u11110",  # ; CHAKMA LETTER NYAA
        "\u11111",  # ; CHAKMA LETTER TTAA
        "\u11112",  # ; CHAKMA LETTER TTHAA
        "\u11113",  # ; CHAKMA LETTER DDAA
        "\u11114",  # ; CHAKMA LETTER DDHAA
        "\u11115",  # ; CHAKMA LETTER NNAA
        "\u11116",  # ; CHAKMA LETTER TAA
        "\u11117",  # ; CHAKMA LETTER THAA
        "\u11118",  # ; CHAKMA LETTER DAA
        "\u11119",  # ; CHAKMA LETTER DHAA
        "\u1111A",  # ; CHAKMA LETTER NAA
        "\u1111B",  # ; CHAKMA LETTER PAA
        "\u1111C",  # ; CHAKMA LETTER PHAA
        "\u1111D",  # ; CHAKMA LETTER BAA
        "\u1111E",  # ; CHAKMA LETTER BHAA
        "\u1111F",  # ; CHAKMA LETTER MAA
        "\u11120",  # ; CHAKMA LETTER YYAA
        "\u11121",  # ; CHAKMA LETTER YAA
        "\u11122",  # ; CHAKMA LETTER RAA
        "\u11123",  # ; CHAKMA LETTER LAA
        "\u11124",  # ; CHAKMA LETTER WAA
        "\u11125",  # ; CHAKMA LETTER SAA
        "\u11126",  # ; CHAKMA LETTER HAA
        "\u11127",  # ; CHAKMA VOWEL SIGN A
        "\u11128",  # ; CHAKMA VOWEL SIGN I
        "\u11129",  # ; CHAKMA VOWEL SIGN II
        "\u1112A",  # ; CHAKMA VOWEL SIGN U
        "\u1112B",  # ; CHAKMA VOWEL SIGN UU
        "\u1112C",  # ; CHAKMA VOWEL SIGN E
        "\u1112D",  # ; CHAKMA VOWEL SIGN AI
        "\u1112E",  # ; CHAKMA VOWEL SIGN O
        "\u1112F",  # ; CHAKMA VOWEL SIGN AU
        "\u11130",  # ; CHAKMA VOWEL SIGN OI
        "\u11131",  # ; CHAKMA O MARK
        "\u11132",  # ; CHAKMA AU MARK
        "\u11133",  # ; CHAKMA VIRAMA
        "\u11134",  # ; CHAKMA MAAYYAA
        "\u11136",  # ; CHAKMA DIGIT ZERO
        "\u11137",  # ; CHAKMA DIGIT ONE
        "\u11138",  # ; CHAKMA DIGIT TWO
        "\u11139",  # ; CHAKMA DIGIT THREE
        "\u1113A",  # ; CHAKMA DIGIT FOUR
        "\u1113B",  # ; CHAKMA DIGIT FIVE
        "\u1113C",  # ; CHAKMA DIGIT SIX
        "\u1113D",  # ; CHAKMA DIGIT SEVEN
        "\u1113E",  # ; CHAKMA DIGIT EIGHT
        "\u1113F",  # ; CHAKMA DIGIT NINE
        "\u11140",  # ; CHAKMA SECTION MARK
        "\u11141",  # ; CHAKMA DANDA
        "\u11142",  # ; CHAKMA DOUBLE DANDA
        "\u11143",  # ; CHAKMA QUESTION MARK
        "\u11150",  # ; MAHAJANI LETTER A
        "\u11151",  # ; MAHAJANI LETTER I
        "\u11152",  # ; MAHAJANI LETTER U
        "\u11153",  # ; MAHAJANI LETTER E
        "\u11154",  # ; MAHAJANI LETTER O
        "\u11155",  # ; MAHAJANI LETTER KA
        "\u11156",  # ; MAHAJANI LETTER KHA
        "\u11157",  # ; MAHAJANI LETTER GA
        "\u11158",  # ; MAHAJANI LETTER GHA
        "\u11159",  # ; MAHAJANI LETTER CA
        "\u1115A",  # ; MAHAJANI LETTER CHA
        "\u1115B",  # ; MAHAJANI LETTER JA
        "\u1115C",  # ; MAHAJANI LETTER JHA
        "\u1115D",  # ; MAHAJANI LETTER NYA
        "\u1115E",  # ; MAHAJANI LETTER TTA
        "\u1115F",  # ; MAHAJANI LETTER TTHA
        "\u11160",  # ; MAHAJANI LETTER DDA
        "\u11161",  # ; MAHAJANI LETTER DDHA
        "\u11162",  # ; MAHAJANI LETTER NNA
        "\u11163",  # ; MAHAJANI LETTER TA
        "\u11164",  # ; MAHAJANI LETTER THA
        "\u11165",  # ; MAHAJANI LETTER DA
        "\u11166",  # ; MAHAJANI LETTER DHA
        "\u11167",  # ; MAHAJANI LETTER NA
        "\u11168",  # ; MAHAJANI LETTER PA
        "\u11169",  # ; MAHAJANI LETTER PHA
        "\u1116A",  # ; MAHAJANI LETTER BA
        "\u1116B",  # ; MAHAJANI LETTER BHA
        "\u1116C",  # ; MAHAJANI LETTER MA
        "\u1116D",  # ; MAHAJANI LETTER RA
        "\u1116E",  # ; MAHAJANI LETTER LA
        "\u1116F",  # ; MAHAJANI LETTER VA
        "\u11170",  # ; MAHAJANI LETTER SA
        "\u11171",  # ; MAHAJANI LETTER HA
        "\u11172",  # ; MAHAJANI LETTER RRA
        "\u11173",  # ; MAHAJANI SIGN NUKTA
        "\u11174",  # ; MAHAJANI ABBREVIATION SIGN
        "\u11175",  # ; MAHAJANI SECTION MARK
        "\u11176",  # ; MAHAJANI LIGATURE SHRI
        "\u11180",  # ; SHARADA SIGN CANDRABINDU
        "\u11181",  # ; SHARADA SIGN ANUSVARA
        "\u11182",  # ; SHARADA SIGN VISARGA
        "\u11183",  # ; SHARADA LETTER A
        "\u11184",  # ; SHARADA LETTER AA
        "\u11185",  # ; SHARADA LETTER I
        "\u11186",  # ; SHARADA LETTER II
        "\u11187",  # ; SHARADA LETTER U
        "\u11188",  # ; SHARADA LETTER UU
        "\u11189",  # ; SHARADA LETTER VOCALIC R
        "\u1118A",  # ; SHARADA LETTER VOCALIC RR
        "\u1118B",  # ; SHARADA LETTER VOCALIC L
        "\u1118C",  # ; SHARADA LETTER VOCALIC LL
        "\u1118D",  # ; SHARADA LETTER E
        "\u1118E",  # ; SHARADA LETTER AI
        "\u1118F",  # ; SHARADA LETTER O
        "\u11190",  # ; SHARADA LETTER AU
        "\u11191",  # ; SHARADA LETTER KA
        "\u11192",  # ; SHARADA LETTER KHA
        "\u11193",  # ; SHARADA LETTER GA
        "\u11194",  # ; SHARADA LETTER GHA
        "\u11195",  # ; SHARADA LETTER NGA
        "\u11196",  # ; SHARADA LETTER CA
        "\u11197",  # ; SHARADA LETTER CHA
        "\u11198",  # ; SHARADA LETTER JA
        "\u11199",  # ; SHARADA LETTER JHA
        "\u1119A",  # ; SHARADA LETTER NYA
        "\u1119B",  # ; SHARADA LETTER TTA
        "\u1119C",  # ; SHARADA LETTER TTHA
        "\u1119D",  # ; SHARADA LETTER DDA
        "\u1119E",  # ; SHARADA LETTER DDHA
        "\u1119F",  # ; SHARADA LETTER NNA
        "\u111A0",  # ; SHARADA LETTER TA
        "\u111A1",  # ; SHARADA LETTER THA
        "\u111A2",  # ; SHARADA LETTER DA
        "\u111A3",  # ; SHARADA LETTER DHA
        "\u111A4",  # ; SHARADA LETTER NA
        "\u111A5",  # ; SHARADA LETTER PA
        "\u111A6",  # ; SHARADA LETTER PHA
        "\u111A7",  # ; SHARADA LETTER BA
        "\u111A8",  # ; SHARADA LETTER BHA
        "\u111A9",  # ; SHARADA LETTER MA
        "\u111AA",  # ; SHARADA LETTER YA
        "\u111AB",  # ; SHARADA LETTER RA
        "\u111AC",  # ; SHARADA LETTER LA
        "\u111AD",  # ; SHARADA LETTER LLA
        "\u111AE",  # ; SHARADA LETTER VA
        "\u111AF",  # ; SHARADA LETTER SHA
        "\u111B0",  # ; SHARADA LETTER SSA
        "\u111B1",  # ; SHARADA LETTER SA
        "\u111B2",  # ; SHARADA LETTER HA
        "\u111B3",  # ; SHARADA VOWEL SIGN AA
        "\u111B4",  # ; SHARADA VOWEL SIGN I
        "\u111B5",  # ; SHARADA VOWEL SIGN II
        "\u111B6",  # ; SHARADA VOWEL SIGN U
        "\u111B7",  # ; SHARADA VOWEL SIGN UU
        "\u111B8",  # ; SHARADA VOWEL SIGN VOCALIC R
        "\u111B9",  # ; SHARADA VOWEL SIGN VOCALIC RR
        "\u111BA",  # ; SHARADA VOWEL SIGN VOCALIC L
        "\u111BB",  # ; SHARADA VOWEL SIGN VOCALIC LL
        "\u111BC",  # ; SHARADA VOWEL SIGN E
        "\u111BD",  # ; SHARADA VOWEL SIGN AI
        "\u111BE",  # ; SHARADA VOWEL SIGN O
        "\u111BF",  # ; SHARADA VOWEL SIGN AU
        "\u111C0",  # ; SHARADA SIGN VIRAMA
        "\u111C1",  # ; SHARADA SIGN AVAGRAHA
        "\u111C2",  # ; SHARADA SIGN JIHVAMULIYA
        "\u111C3",  # ; SHARADA SIGN UPADHMANIYA
        "\u111C4",  # ; SHARADA OM
        "\u111C5",  # ; SHARADA DANDA
        "\u111C6",  # ; SHARADA DOUBLE DANDA
        "\u111C7",  # ; SHARADA ABBREVIATION SIGN
        "\u111C8",  # ; SHARADA SEPARATOR
        "\u111C9",  # ; SHARADA SANDHI MARK
        "\u111CA",  # ; SHARADA SIGN NUKTA
        "\u111CB",  # ; SHARADA VOWEL MODIFIER MARK
        "\u111CC",  # ; SHARADA EXTRA SHORT VOWEL MARK
        "\u111CD",  # ; SHARADA SUTRA MARK
        "\u111D0",  # ; SHARADA DIGIT ZERO
        "\u111D1",  # ; SHARADA DIGIT ONE
        "\u111D2",  # ; SHARADA DIGIT TWO
        "\u111D3",  # ; SHARADA DIGIT THREE
        "\u111D4",  # ; SHARADA DIGIT FOUR
        "\u111D5",  # ; SHARADA DIGIT FIVE
        "\u111D6",  # ; SHARADA DIGIT SIX
        "\u111D7",  # ; SHARADA DIGIT SEVEN
        "\u111D8",  # ; SHARADA DIGIT EIGHT
        "\u111D9",  # ; SHARADA DIGIT NINE
        "\u111DA",  # ; SHARADA EKAM
        "\u111DB",  # ; SHARADA SIGN SIDDHAM
        "\u111DC",  # ; SHARADA HEADSTROKE
        "\u111DD",  # ; SHARADA CONTINUATION SIGN
        "\u111DE",  # ; SHARADA SECTION MARK-1
        "\u111DF",  # ; SHARADA SECTION MARK-2
        "\u111E1",  # ; SINHALA ARCHAIC DIGIT ONE
        "\u111E2",  # ; SINHALA ARCHAIC DIGIT TWO
        "\u111E3",  # ; SINHALA ARCHAIC DIGIT THREE
        "\u111E4",  # ; SINHALA ARCHAIC DIGIT FOUR
        "\u111E5",  # ; SINHALA ARCHAIC DIGIT FIVE
        "\u111E6",  # ; SINHALA ARCHAIC DIGIT SIX
        "\u111E7",  # ; SINHALA ARCHAIC DIGIT SEVEN
        "\u111E8",  # ; SINHALA ARCHAIC DIGIT EIGHT
        "\u111E9",  # ; SINHALA ARCHAIC DIGIT NINE
        "\u111EA",  # ; SINHALA ARCHAIC NUMBER TEN
        "\u111EB",  # ; SINHALA ARCHAIC NUMBER TWENTY
        "\u111EC",  # ; SINHALA ARCHAIC NUMBER THIRTY
        "\u111ED",  # ; SINHALA ARCHAIC NUMBER FORTY
        "\u111EE",  # ; SINHALA ARCHAIC NUMBER FIFTY
        "\u111EF",  # ; SINHALA ARCHAIC NUMBER SIXTY
        "\u111F0",  # ; SINHALA ARCHAIC NUMBER SEVENTY
        "\u111F1",  # ; SINHALA ARCHAIC NUMBER EIGHTY
        "\u111F2",  # ; SINHALA ARCHAIC NUMBER NINETY
        "\u111F3",  # ; SINHALA ARCHAIC NUMBER ONE HUNDRED
        "\u111F4",  # ; SINHALA ARCHAIC NUMBER ONE THOUSAND
        "\u11200",  # ; KHOJKI LETTER A
        "\u11201",  # ; KHOJKI LETTER AA
        "\u11202",  # ; KHOJKI LETTER I
        "\u11203",  # ; KHOJKI LETTER U
        "\u11204",  # ; KHOJKI LETTER E
        "\u11205",  # ; KHOJKI LETTER AI
        "\u11206",  # ; KHOJKI LETTER O
        "\u11207",  # ; KHOJKI LETTER AU
        "\u11208",  # ; KHOJKI LETTER KA
        "\u11209",  # ; KHOJKI LETTER KHA
        "\u1120A",  # ; KHOJKI LETTER GA
        "\u1120B",  # ; KHOJKI LETTER GGA
        "\u1120C",  # ; KHOJKI LETTER GHA
        "\u1120D",  # ; KHOJKI LETTER NGA
        "\u1120E",  # ; KHOJKI LETTER CA
        "\u1120F",  # ; KHOJKI LETTER CHA
        "\u11210",  # ; KHOJKI LETTER JA
        "\u11211",  # ; KHOJKI LETTER JJA
        "\u11213",  # ; KHOJKI LETTER NYA
        "\u11214",  # ; KHOJKI LETTER TTA
        "\u11215",  # ; KHOJKI LETTER TTHA
        "\u11216",  # ; KHOJKI LETTER DDA
        "\u11217",  # ; KHOJKI LETTER DDHA
        "\u11218",  # ; KHOJKI LETTER NNA
        "\u11219",  # ; KHOJKI LETTER TA
        "\u1121A",  # ; KHOJKI LETTER THA
        "\u1121B",  # ; KHOJKI LETTER DA
        "\u1121C",  # ; KHOJKI LETTER DDDA
        "\u1121D",  # ; KHOJKI LETTER DHA
        "\u1121E",  # ; KHOJKI LETTER NA
        "\u1121F",  # ; KHOJKI LETTER PA
        "\u11220",  # ; KHOJKI LETTER PHA
        "\u11221",  # ; KHOJKI LETTER BA
        "\u11222",  # ; KHOJKI LETTER BBA
        "\u11223",  # ; KHOJKI LETTER BHA
        "\u11224",  # ; KHOJKI LETTER MA
        "\u11225",  # ; KHOJKI LETTER YA
        "\u11226",  # ; KHOJKI LETTER RA
        "\u11227",  # ; KHOJKI LETTER LA
        "\u11228",  # ; KHOJKI LETTER VA
        "\u11229",  # ; KHOJKI LETTER SA
        "\u1122A",  # ; KHOJKI LETTER HA
        "\u1122B",  # ; KHOJKI LETTER LLA
        "\u1122C",  # ; KHOJKI VOWEL SIGN AA
        "\u1122D",  # ; KHOJKI VOWEL SIGN I
        "\u1122E",  # ; KHOJKI VOWEL SIGN II
        "\u1122F",  # ; KHOJKI VOWEL SIGN U
        "\u11230",  # ; KHOJKI VOWEL SIGN E
        "\u11231",  # ; KHOJKI VOWEL SIGN AI
        "\u11232",  # ; KHOJKI VOWEL SIGN O
        "\u11233",  # ; KHOJKI VOWEL SIGN AU
        "\u11234",  # ; KHOJKI SIGN ANUSVARA
        "\u11235",  # ; KHOJKI SIGN VIRAMA
        "\u11236",  # ; KHOJKI SIGN NUKTA
        "\u11237",  # ; KHOJKI SIGN SHADDA
        "\u11238",  # ; KHOJKI DANDA
        "\u11239",  # ; KHOJKI DOUBLE DANDA
        "\u1123A",  # ; KHOJKI WORD SEPARATOR
        "\u1123B",  # ; KHOJKI SECTION MARK
        "\u1123C",  # ; KHOJKI DOUBLE SECTION MARK
        "\u1123D",  # ; KHOJKI ABBREVIATION SIGN
        "\u1123E",  # ; KHOJKI SIGN SUKUN
        "\u11280",  # ; MULTANI LETTER A
        "\u11281",  # ; MULTANI LETTER I
        "\u11282",  # ; MULTANI LETTER U
        "\u11283",  # ; MULTANI LETTER E
        "\u11284",  # ; MULTANI LETTER KA
        "\u11285",  # ; MULTANI LETTER KHA
        "\u11286",  # ; MULTANI LETTER GA
        "\u11288",  # ; MULTANI LETTER GHA
        "\u1128A",  # ; MULTANI LETTER CA
        "\u1128B",  # ; MULTANI LETTER CHA
        "\u1128C",  # ; MULTANI LETTER JA
        "\u1128D",  # ; MULTANI LETTER JJA
        "\u1128F",  # ; MULTANI LETTER NYA
        "\u11290",  # ; MULTANI LETTER TTA
        "\u11291",  # ; MULTANI LETTER TTHA
        "\u11292",  # ; MULTANI LETTER DDA
        "\u11293",  # ; MULTANI LETTER DDDA
        "\u11294",  # ; MULTANI LETTER DDHA
        "\u11295",  # ; MULTANI LETTER NNA
        "\u11296",  # ; MULTANI LETTER TA
        "\u11297",  # ; MULTANI LETTER THA
        "\u11298",  # ; MULTANI LETTER DA
        "\u11299",  # ; MULTANI LETTER DHA
        "\u1129A",  # ; MULTANI LETTER NA
        "\u1129B",  # ; MULTANI LETTER PA
        "\u1129C",  # ; MULTANI LETTER PHA
        "\u1129D",  # ; MULTANI LETTER BA
        "\u1129F",  # ; MULTANI LETTER BHA
        "\u112A0",  # ; MULTANI LETTER MA
        "\u112A1",  # ; MULTANI LETTER YA
        "\u112A2",  # ; MULTANI LETTER RA
        "\u112A3",  # ; MULTANI LETTER LA
        "\u112A4",  # ; MULTANI LETTER VA
        "\u112A5",  # ; MULTANI LETTER SA
        "\u112A6",  # ; MULTANI LETTER HA
        "\u112A7",  # ; MULTANI LETTER RRA
        "\u112A8",  # ; MULTANI LETTER RHA
        "\u112A9",  # ; MULTANI SECTION MARK
        "\u112B0",  # ; KHUDAWADI LETTER A
        "\u112B1",  # ; KHUDAWADI LETTER AA
        "\u112B2",  # ; KHUDAWADI LETTER I
        "\u112B3",  # ; KHUDAWADI LETTER II
        "\u112B4",  # ; KHUDAWADI LETTER U
        "\u112B5",  # ; KHUDAWADI LETTER UU
        "\u112B6",  # ; KHUDAWADI LETTER E
        "\u112B7",  # ; KHUDAWADI LETTER AI
        "\u112B8",  # ; KHUDAWADI LETTER O
        "\u112B9",  # ; KHUDAWADI LETTER AU
        "\u112BA",  # ; KHUDAWADI LETTER KA
        "\u112BB",  # ; KHUDAWADI LETTER KHA
        "\u112BC",  # ; KHUDAWADI LETTER GA
        "\u112BD",  # ; KHUDAWADI LETTER GGA
        "\u112BE",  # ; KHUDAWADI LETTER GHA
        "\u112BF",  # ; KHUDAWADI LETTER NGA
        "\u112C0",  # ; KHUDAWADI LETTER CA
        "\u112C1",  # ; KHUDAWADI LETTER CHA
        "\u112C2",  # ; KHUDAWADI LETTER JA
        "\u112C3",  # ; KHUDAWADI LETTER JJA
        "\u112C4",  # ; KHUDAWADI LETTER JHA
        "\u112C5",  # ; KHUDAWADI LETTER NYA
        "\u112C6",  # ; KHUDAWADI LETTER TTA
        "\u112C7",  # ; KHUDAWADI LETTER TTHA
        "\u112C8",  # ; KHUDAWADI LETTER DDA
        "\u112C9",  # ; KHUDAWADI LETTER DDDA
        "\u112CA",  # ; KHUDAWADI LETTER RRA
        "\u112CB",  # ; KHUDAWADI LETTER DDHA
        "\u112CC",  # ; KHUDAWADI LETTER NNA
        "\u112CD",  # ; KHUDAWADI LETTER TA
        "\u112CE",  # ; KHUDAWADI LETTER THA
        "\u112CF",  # ; KHUDAWADI LETTER DA
        "\u112D0",  # ; KHUDAWADI LETTER DHA
        "\u112D1",  # ; KHUDAWADI LETTER NA
        "\u112D2",  # ; KHUDAWADI LETTER PA
        "\u112D3",  # ; KHUDAWADI LETTER PHA
        "\u112D4",  # ; KHUDAWADI LETTER BA
        "\u112D5",  # ; KHUDAWADI LETTER BBA
        "\u112D6",  # ; KHUDAWADI LETTER BHA
        "\u112D7",  # ; KHUDAWADI LETTER MA
        "\u112D8",  # ; KHUDAWADI LETTER YA
        "\u112D9",  # ; KHUDAWADI LETTER RA
        "\u112DA",  # ; KHUDAWADI LETTER LA
        "\u112DB",  # ; KHUDAWADI LETTER VA
        "\u112DC",  # ; KHUDAWADI LETTER SHA
        "\u112DD",  # ; KHUDAWADI LETTER SA
        "\u112DE",  # ; KHUDAWADI LETTER HA
        "\u112DF",  # ; KHUDAWADI SIGN ANUSVARA
        "\u112E0",  # ; KHUDAWADI VOWEL SIGN AA
        "\u112E1",  # ; KHUDAWADI VOWEL SIGN I
        "\u112E2",  # ; KHUDAWADI VOWEL SIGN II
        "\u112E3",  # ; KHUDAWADI VOWEL SIGN U
        "\u112E4",  # ; KHUDAWADI VOWEL SIGN UU
        "\u112E5",  # ; KHUDAWADI VOWEL SIGN E
        "\u112E6",  # ; KHUDAWADI VOWEL SIGN AI
        "\u112E7",  # ; KHUDAWADI VOWEL SIGN O
        "\u112E8",  # ; KHUDAWADI VOWEL SIGN AU
        "\u112E9",  # ; KHUDAWADI SIGN NUKTA
        "\u112EA",  # ; KHUDAWADI SIGN VIRAMA
        "\u112F0",  # ; KHUDAWADI DIGIT ZERO
        "\u112F1",  # ; KHUDAWADI DIGIT ONE
        "\u112F2",  # ; KHUDAWADI DIGIT TWO
        "\u112F3",  # ; KHUDAWADI DIGIT THREE
        "\u112F4",  # ; KHUDAWADI DIGIT FOUR
        "\u112F5",  # ; KHUDAWADI DIGIT FIVE
        "\u112F6",  # ; KHUDAWADI DIGIT SIX
        "\u112F7",  # ; KHUDAWADI DIGIT SEVEN
        "\u112F8",  # ; KHUDAWADI DIGIT EIGHT
        "\u112F9",  # ; KHUDAWADI DIGIT NINE
        "\u11300",  # ; GRANTHA SIGN COMBINING ANUSVARA ABOVE
        "\u11301",  # ; GRANTHA SIGN CANDRABINDU
        "\u11302",  # ; GRANTHA SIGN ANUSVARA
        "\u11303",  # ; GRANTHA SIGN VISARGA
        "\u11305",  # ; GRANTHA LETTER A
        "\u11306",  # ; GRANTHA LETTER AA
        "\u11307",  # ; GRANTHA LETTER I
        "\u11308",  # ; GRANTHA LETTER II
        "\u11309",  # ; GRANTHA LETTER U
        "\u1130A",  # ; GRANTHA LETTER UU
        "\u1130B",  # ; GRANTHA LETTER VOCALIC R
        "\u1130C",  # ; GRANTHA LETTER VOCALIC L
        "\u1130F",  # ; GRANTHA LETTER EE
        "\u11310",  # ; GRANTHA LETTER AI
        "\u11313",  # ; GRANTHA LETTER OO
        "\u11314",  # ; GRANTHA LETTER AU
        "\u11315",  # ; GRANTHA LETTER KA
        "\u11316",  # ; GRANTHA LETTER KHA
        "\u11317",  # ; GRANTHA LETTER GA
        "\u11318",  # ; GRANTHA LETTER GHA
        "\u11319",  # ; GRANTHA LETTER NGA
        "\u1131A",  # ; GRANTHA LETTER CA
        "\u1131B",  # ; GRANTHA LETTER CHA
        "\u1131C",  # ; GRANTHA LETTER JA
        "\u1131D",  # ; GRANTHA LETTER JHA
        "\u1131E",  # ; GRANTHA LETTER NYA
        "\u1131F",  # ; GRANTHA LETTER TTA
        "\u11320",  # ; GRANTHA LETTER TTHA
        "\u11321",  # ; GRANTHA LETTER DDA
        "\u11322",  # ; GRANTHA LETTER DDHA
        "\u11323",  # ; GRANTHA LETTER NNA
        "\u11324",  # ; GRANTHA LETTER TA
        "\u11325",  # ; GRANTHA LETTER THA
        "\u11326",  # ; GRANTHA LETTER DA
        "\u11327",  # ; GRANTHA LETTER DHA
        "\u11328",  # ; GRANTHA LETTER NA
        "\u1132A",  # ; GRANTHA LETTER PA
        "\u1132B",  # ; GRANTHA LETTER PHA
        "\u1132C",  # ; GRANTHA LETTER BA
        "\u1132D",  # ; GRANTHA LETTER BHA
        "\u1132E",  # ; GRANTHA LETTER MA
        "\u1132F",  # ; GRANTHA LETTER YA
        "\u11330",  # ; GRANTHA LETTER RA
        "\u11332",  # ; GRANTHA LETTER LA
        "\u11333",  # ; GRANTHA LETTER LLA
        "\u11335",  # ; GRANTHA LETTER VA
        "\u11336",  # ; GRANTHA LETTER SHA
        "\u11337",  # ; GRANTHA LETTER SSA
        "\u11338",  # ; GRANTHA LETTER SA
        "\u11339",  # ; GRANTHA LETTER HA
        "\u1133C",  # ; GRANTHA SIGN NUKTA
        "\u1133D",  # ; GRANTHA SIGN AVAGRAHA
        "\u1133E",  # ; GRANTHA VOWEL SIGN AA
        "\u1133F",  # ; GRANTHA VOWEL SIGN I
        "\u11340",  # ; GRANTHA VOWEL SIGN II
        "\u11341",  # ; GRANTHA VOWEL SIGN U
        "\u11342",  # ; GRANTHA VOWEL SIGN UU
        "\u11343",  # ; GRANTHA VOWEL SIGN VOCALIC R
        "\u11344",  # ; GRANTHA VOWEL SIGN VOCALIC RR
        "\u11347",  # ; GRANTHA VOWEL SIGN EE
        "\u11348",  # ; GRANTHA VOWEL SIGN AI
        "\u1134B",  # ; GRANTHA VOWEL SIGN OO
        "\u1134C",  # ; GRANTHA VOWEL SIGN AU
        "\u1134D",  # ; GRANTHA SIGN VIRAMA
        "\u11350",  # ; GRANTHA OM
        "\u11357",  # ; GRANTHA AU LENGTH MARK
        "\u1135D",  # ; GRANTHA SIGN PLUTA
        "\u1135E",  # ; GRANTHA LETTER VEDIC ANUSVARA
        "\u1135F",  # ; GRANTHA LETTER VEDIC DOUBLE ANUSVARA
        "\u11360",  # ; GRANTHA LETTER VOCALIC RR
        "\u11361",  # ; GRANTHA LETTER VOCALIC LL
        "\u11362",  # ; GRANTHA VOWEL SIGN VOCALIC L
        "\u11363",  # ; GRANTHA VOWEL SIGN VOCALIC LL
        "\u11366",  # ; COMBINING GRANTHA DIGIT ZERO
        "\u11367",  # ; COMBINING GRANTHA DIGIT ONE
        "\u11368",  # ; COMBINING GRANTHA DIGIT TWO
        "\u11369",  # ; COMBINING GRANTHA DIGIT THREE
        "\u1136A",  # ; COMBINING GRANTHA DIGIT FOUR
        "\u1136B",  # ; COMBINING GRANTHA DIGIT FIVE
        "\u1136C",  # ; COMBINING GRANTHA DIGIT SIX
        "\u11370",  # ; COMBINING GRANTHA LETTER A
        "\u11371",  # ; COMBINING GRANTHA LETTER KA
        "\u11372",  # ; COMBINING GRANTHA LETTER NA
        "\u11373",  # ; COMBINING GRANTHA LETTER VI
        "\u11374",  # ; COMBINING GRANTHA LETTER PA
        "\u11400",  # ; NEWA LETTER A
        "\u11401",  # ; NEWA LETTER AA
        "\u11402",  # ; NEWA LETTER I
        "\u11403",  # ; NEWA LETTER II
        "\u11404",  # ; NEWA LETTER U
        "\u11405",  # ; NEWA LETTER UU
        "\u11406",  # ; NEWA LETTER VOCALIC R
        "\u11407",  # ; NEWA LETTER VOCALIC RR
        "\u11408",  # ; NEWA LETTER VOCALIC L
        "\u11409",  # ; NEWA LETTER VOCALIC LL
        "\u1140A",  # ; NEWA LETTER E
        "\u1140B",  # ; NEWA LETTER AI
        "\u1140C",  # ; NEWA LETTER O
        "\u1140D",  # ; NEWA LETTER AU
        "\u1140E",  # ; NEWA LETTER KA
        "\u1140F",  # ; NEWA LETTER KHA
        "\u11410",  # ; NEWA LETTER GA
        "\u11411",  # ; NEWA LETTER GHA
        "\u11412",  # ; NEWA LETTER NGA
        "\u11413",  # ; NEWA LETTER NGHA
        "\u11414",  # ; NEWA LETTER CA
        "\u11415",  # ; NEWA LETTER CHA
        "\u11416",  # ; NEWA LETTER JA
        "\u11417",  # ; NEWA LETTER JHA
        "\u11418",  # ; NEWA LETTER NYA
        "\u11419",  # ; NEWA LETTER NYHA
        "\u1141A",  # ; NEWA LETTER TTA
        "\u1141B",  # ; NEWA LETTER TTHA
        "\u1141C",  # ; NEWA LETTER DDA
        "\u1141D",  # ; NEWA LETTER DDHA
        "\u1141E",  # ; NEWA LETTER NNA
        "\u1141F",  # ; NEWA LETTER TA
        "\u11420",  # ; NEWA LETTER THA
        "\u11421",  # ; NEWA LETTER DA
        "\u11422",  # ; NEWA LETTER DHA
        "\u11423",  # ; NEWA LETTER NA
        "\u11424",  # ; NEWA LETTER NHA
        "\u11425",  # ; NEWA LETTER PA
        "\u11426",  # ; NEWA LETTER PHA
        "\u11427",  # ; NEWA LETTER BA
        "\u11428",  # ; NEWA LETTER BHA
        "\u11429",  # ; NEWA LETTER MA
        "\u1142A",  # ; NEWA LETTER MHA
        "\u1142B",  # ; NEWA LETTER YA
        "\u1142C",  # ; NEWA LETTER RA
        "\u1142D",  # ; NEWA LETTER RHA
        "\u1142E",  # ; NEWA LETTER LA
        "\u1142F",  # ; NEWA LETTER LHA
        "\u11430",  # ; NEWA LETTER WA
        "\u11431",  # ; NEWA LETTER SHA
        "\u11432",  # ; NEWA LETTER SSA
        "\u11433",  # ; NEWA LETTER SA
        "\u11434",  # ; NEWA LETTER HA
        "\u11435",  # ; NEWA VOWEL SIGN AA
        "\u11436",  # ; NEWA VOWEL SIGN I
        "\u11437",  # ; NEWA VOWEL SIGN II
        "\u11438",  # ; NEWA VOWEL SIGN U
        "\u11439",  # ; NEWA VOWEL SIGN UU
        "\u1143A",  # ; NEWA VOWEL SIGN VOCALIC R
        "\u1143B",  # ; NEWA VOWEL SIGN VOCALIC RR
        "\u1143C",  # ; NEWA VOWEL SIGN VOCALIC L
        "\u1143D",  # ; NEWA VOWEL SIGN VOCALIC LL
        "\u1143E",  # ; NEWA VOWEL SIGN E
        "\u1143F",  # ; NEWA VOWEL SIGN AI
        "\u11440",  # ; NEWA VOWEL SIGN O
        "\u11441",  # ; NEWA VOWEL SIGN AU
        "\u11442",  # ; NEWA SIGN VIRAMA
        "\u11443",  # ; NEWA SIGN CANDRABINDU
        "\u11444",  # ; NEWA SIGN ANUSVARA
        "\u11445",  # ; NEWA SIGN VISARGA
        "\u11446",  # ; NEWA SIGN NUKTA
        "\u11447",  # ; NEWA SIGN AVAGRAHA
        "\u11448",  # ; NEWA SIGN FINAL ANUSVARA
        "\u11449",  # ; NEWA OM
        "\u1144A",  # ; NEWA SIDDHI
        "\u1144B",  # ; NEWA DANDA
        "\u1144C",  # ; NEWA DOUBLE DANDA
        "\u1144D",  # ; NEWA COMMA
        "\u1144E",  # ; NEWA GAP FILLER
        "\u1144F",  # ; NEWA ABBREVIATION SIGN
        "\u11450",  # ; NEWA DIGIT ZERO
        "\u11451",  # ; NEWA DIGIT ONE
        "\u11452",  # ; NEWA DIGIT TWO
        "\u11453",  # ; NEWA DIGIT THREE
        "\u11454",  # ; NEWA DIGIT FOUR
        "\u11455",  # ; NEWA DIGIT FIVE
        "\u11456",  # ; NEWA DIGIT SIX
        "\u11457",  # ; NEWA DIGIT SEVEN
        "\u11458",  # ; NEWA DIGIT EIGHT
        "\u11459",  # ; NEWA DIGIT NINE
        "\u1145B",  # ; NEWA PLACEHOLDER MARK
        "\u1145D",  # ; NEWA INSERTION SIGN
        "\u11480",  # ; TIRHUTA ANJI
        "\u11481",  # ; TIRHUTA LETTER A
        "\u11482",  # ; TIRHUTA LETTER AA
        "\u11483",  # ; TIRHUTA LETTER I
        "\u11484",  # ; TIRHUTA LETTER II
        "\u11485",  # ; TIRHUTA LETTER U
        "\u11486",  # ; TIRHUTA LETTER UU
        "\u11487",  # ; TIRHUTA LETTER VOCALIC R
        "\u11488",  # ; TIRHUTA LETTER VOCALIC RR
        "\u11489",  # ; TIRHUTA LETTER VOCALIC L
        "\u1148A",  # ; TIRHUTA LETTER VOCALIC LL
        "\u1148B",  # ; TIRHUTA LETTER E
        "\u1148C",  # ; TIRHUTA LETTER AI
        "\u1148D",  # ; TIRHUTA LETTER O
        "\u1148E",  # ; TIRHUTA LETTER AU
        "\u1148F",  # ; TIRHUTA LETTER KA
        "\u11490",  # ; TIRHUTA LETTER KHA
        "\u11491",  # ; TIRHUTA LETTER GA
        "\u11492",  # ; TIRHUTA LETTER GHA
        "\u11493",  # ; TIRHUTA LETTER NGA
        "\u11494",  # ; TIRHUTA LETTER CA
        "\u11495",  # ; TIRHUTA LETTER CHA
        "\u11496",  # ; TIRHUTA LETTER JA
        "\u11497",  # ; TIRHUTA LETTER JHA
        "\u11498",  # ; TIRHUTA LETTER NYA
        "\u11499",  # ; TIRHUTA LETTER TTA
        "\u1149A",  # ; TIRHUTA LETTER TTHA
        "\u1149B",  # ; TIRHUTA LETTER DDA
        "\u1149C",  # ; TIRHUTA LETTER DDHA
        "\u1149D",  # ; TIRHUTA LETTER NNA
        "\u1149E",  # ; TIRHUTA LETTER TA
        "\u1149F",  # ; TIRHUTA LETTER THA
        "\u114A0",  # ; TIRHUTA LETTER DA
        "\u114A1",  # ; TIRHUTA LETTER DHA
        "\u114A2",  # ; TIRHUTA LETTER NA
        "\u114A3",  # ; TIRHUTA LETTER PA
        "\u114A4",  # ; TIRHUTA LETTER PHA
        "\u114A5",  # ; TIRHUTA LETTER BA
        "\u114A6",  # ; TIRHUTA LETTER BHA
        "\u114A7",  # ; TIRHUTA LETTER MA
        "\u114A8",  # ; TIRHUTA LETTER YA
        "\u114A9",  # ; TIRHUTA LETTER RA
        "\u114AA",  # ; TIRHUTA LETTER LA
        "\u114AB",  # ; TIRHUTA LETTER VA
        "\u114AC",  # ; TIRHUTA LETTER SHA
        "\u114AD",  # ; TIRHUTA LETTER SSA
        "\u114AE",  # ; TIRHUTA LETTER SA
        "\u114AF",  # ; TIRHUTA LETTER HA
        "\u114B0",  # ; TIRHUTA VOWEL SIGN AA
        "\u114B1",  # ; TIRHUTA VOWEL SIGN I
        "\u114B2",  # ; TIRHUTA VOWEL SIGN II
        "\u114B3",  # ; TIRHUTA VOWEL SIGN U
        "\u114B4",  # ; TIRHUTA VOWEL SIGN UU
        "\u114B5",  # ; TIRHUTA VOWEL SIGN VOCALIC R
        "\u114B6",  # ; TIRHUTA VOWEL SIGN VOCALIC RR
        "\u114B7",  # ; TIRHUTA VOWEL SIGN VOCALIC L
        "\u114B8",  # ; TIRHUTA VOWEL SIGN VOCALIC LL
        "\u114B9",  # ; TIRHUTA VOWEL SIGN E
        "\u114BA",  # ; TIRHUTA VOWEL SIGN SHORT E
        "\u114BB",  # ; TIRHUTA VOWEL SIGN AI
        "\u114BC",  # ; TIRHUTA VOWEL SIGN O
        "\u114BD",  # ; TIRHUTA VOWEL SIGN SHORT O
        "\u114BE",  # ; TIRHUTA VOWEL SIGN AU
        "\u114BF",  # ; TIRHUTA SIGN CANDRABINDU
        "\u114C0",  # ; TIRHUTA SIGN ANUSVARA
        "\u114C1",  # ; TIRHUTA SIGN VISARGA
        "\u114C2",  # ; TIRHUTA SIGN VIRAMA
        "\u114C3",  # ; TIRHUTA SIGN NUKTA
        "\u114C4",  # ; TIRHUTA SIGN AVAGRAHA
        "\u114C5",  # ; TIRHUTA GVANG
        "\u114C6",  # ; TIRHUTA ABBREVIATION SIGN
        "\u114C7",  # ; TIRHUTA OM
        "\u114D0",  # ; TIRHUTA DIGIT ZERO
        "\u114D1",  # ; TIRHUTA DIGIT ONE
        "\u114D2",  # ; TIRHUTA DIGIT TWO
        "\u114D3",  # ; TIRHUTA DIGIT THREE
        "\u114D4",  # ; TIRHUTA DIGIT FOUR
        "\u114D5",  # ; TIRHUTA DIGIT FIVE
        "\u114D6",  # ; TIRHUTA DIGIT SIX
        "\u114D7",  # ; TIRHUTA DIGIT SEVEN
        "\u114D8",  # ; TIRHUTA DIGIT EIGHT
        "\u114D9",  # ; TIRHUTA DIGIT NINE
        "\u11580",  # ; SIDDHAM LETTER A
        "\u11581",  # ; SIDDHAM LETTER AA
        "\u11582",  # ; SIDDHAM LETTER I
        "\u11583",  # ; SIDDHAM LETTER II
        "\u11584",  # ; SIDDHAM LETTER U
        "\u11585",  # ; SIDDHAM LETTER UU
        "\u11586",  # ; SIDDHAM LETTER VOCALIC R
        "\u11587",  # ; SIDDHAM LETTER VOCALIC RR
        "\u11588",  # ; SIDDHAM LETTER VOCALIC L
        "\u11589",  # ; SIDDHAM LETTER VOCALIC LL
        "\u1158A",  # ; SIDDHAM LETTER E
        "\u1158B",  # ; SIDDHAM LETTER AI
        "\u1158C",  # ; SIDDHAM LETTER O
        "\u1158D",  # ; SIDDHAM LETTER AU
        "\u1158E",  # ; SIDDHAM LETTER KA
        "\u1158F",  # ; SIDDHAM LETTER KHA
        "\u11590",  # ; SIDDHAM LETTER GA
        "\u11591",  # ; SIDDHAM LETTER GHA
        "\u11592",  # ; SIDDHAM LETTER NGA
        "\u11593",  # ; SIDDHAM LETTER CA
        "\u11594",  # ; SIDDHAM LETTER CHA
        "\u11595",  # ; SIDDHAM LETTER JA
        "\u11596",  # ; SIDDHAM LETTER JHA
        "\u11597",  # ; SIDDHAM LETTER NYA
        "\u11598",  # ; SIDDHAM LETTER TTA
        "\u11599",  # ; SIDDHAM LETTER TTHA
        "\u1159A",  # ; SIDDHAM LETTER DDA
        "\u1159B",  # ; SIDDHAM LETTER DDHA
        "\u1159C",  # ; SIDDHAM LETTER NNA
        "\u1159D",  # ; SIDDHAM LETTER TA
        "\u1159E",  # ; SIDDHAM LETTER THA
        "\u1159F",  # ; SIDDHAM LETTER DA
        "\u115A0",  # ; SIDDHAM LETTER DHA
        "\u115A1",  # ; SIDDHAM LETTER NA
        "\u115A2",  # ; SIDDHAM LETTER PA
        "\u115A3",  # ; SIDDHAM LETTER PHA
        "\u115A4",  # ; SIDDHAM LETTER BA
        "\u115A5",  # ; SIDDHAM LETTER BHA
        "\u115A6",  # ; SIDDHAM LETTER MA
        "\u115A7",  # ; SIDDHAM LETTER YA
        "\u115A8",  # ; SIDDHAM LETTER RA
        "\u115A9",  # ; SIDDHAM LETTER LA
        "\u115AA",  # ; SIDDHAM LETTER VA
        "\u115AB",  # ; SIDDHAM LETTER SHA
        "\u115AC",  # ; SIDDHAM LETTER SSA
        "\u115AD",  # ; SIDDHAM LETTER SA
        "\u115AE",  # ; SIDDHAM LETTER HA
        "\u115AF",  # ; SIDDHAM VOWEL SIGN AA
        "\u115B0",  # ; SIDDHAM VOWEL SIGN I
        "\u115B1",  # ; SIDDHAM VOWEL SIGN II
        "\u115B2",  # ; SIDDHAM VOWEL SIGN U
        "\u115B3",  # ; SIDDHAM VOWEL SIGN UU
        "\u115B4",  # ; SIDDHAM VOWEL SIGN VOCALIC R
        "\u115B5",  # ; SIDDHAM VOWEL SIGN VOCALIC RR
        "\u115B8",  # ; SIDDHAM VOWEL SIGN E
        "\u115B9",  # ; SIDDHAM VOWEL SIGN AI
        "\u115BA",  # ; SIDDHAM VOWEL SIGN O
        "\u115BB",  # ; SIDDHAM VOWEL SIGN AU
        "\u115BC",  # ; SIDDHAM SIGN CANDRABINDU
        "\u115BD",  # ; SIDDHAM SIGN ANUSVARA
        "\u115BE",  # ; SIDDHAM SIGN VISARGA
        "\u115BF",  # ; SIDDHAM SIGN VIRAMA
        "\u115C0",  # ; SIDDHAM SIGN NUKTA
        "\u115C1",  # ; SIDDHAM SIGN SIDDHAM
        "\u115C2",  # ; SIDDHAM DANDA
        "\u115C3",  # ; SIDDHAM DOUBLE DANDA
        "\u115C4",  # ; SIDDHAM SEPARATOR DOT
        "\u115C5",  # ; SIDDHAM SEPARATOR BAR
        "\u115C6",  # ; SIDDHAM REPETITION MARK-1
        "\u115C7",  # ; SIDDHAM REPETITION MARK-2
        "\u115C8",  # ; SIDDHAM REPETITION MARK-3
        "\u115C9",  # ; SIDDHAM END OF TEXT MARK
        "\u115CA",  # ; SIDDHAM SECTION MARK WITH TRIDENT AND U-SHAPED ORNAMENTS
        "\u115CB",  # ; SIDDHAM SECTION MARK WITH TRIDENT AND DOTTED CRESCENTS
        "\u115CC",  # ; SIDDHAM SECTION MARK WITH RAYS AND DOTTED CRESCENTS
        "\u115CD",  # ; SIDDHAM SECTION MARK WITH RAYS AND DOTTED DOUBLE CRESCENTS
        "\u115CE",  # ; SIDDHAM SECTION MARK WITH RAYS AND DOTTED TRIPLE CRESCENTS
        "\u115CF",  # ; SIDDHAM SECTION MARK DOUBLE RING
        "\u115D0",  # ; SIDDHAM SECTION MARK DOUBLE RING WITH RAYS
        "\u115D1",  # ; SIDDHAM SECTION MARK WITH DOUBLE CRESCENTS
        "\u115D2",  # ; SIDDHAM SECTION MARK WITH TRIPLE CRESCENTS
        "\u115D3",  # ; SIDDHAM SECTION MARK WITH QUADRUPLE CRESCENTS
        "\u115D4",  # ; SIDDHAM SECTION MARK WITH SEPTUPLE CRESCENTS
        "\u115D5",  # ; SIDDHAM SECTION MARK WITH CIRCLES AND RAYS
        "\u115D6",  # ; SIDDHAM SECTION MARK WITH CIRCLES AND TWO ENCLOSURES
        "\u115D7",  # ; SIDDHAM SECTION MARK WITH CIRCLES AND FOUR ENCLOSURES
        "\u115D8",  # ; SIDDHAM LETTER THREE-CIRCLE ALTERNATE I
        "\u115D9",  # ; SIDDHAM LETTER TWO-CIRCLE ALTERNATE I
        "\u115DA",  # ; SIDDHAM LETTER TWO-CIRCLE ALTERNATE II
        "\u115DB",  # ; SIDDHAM LETTER ALTERNATE U
        "\u115DC",  # ; SIDDHAM VOWEL SIGN ALTERNATE U
        "\u115DD",  # ; SIDDHAM VOWEL SIGN ALTERNATE UU
        "\u11600",  # ; MODI LETTER A
        "\u11601",  # ; MODI LETTER AA
        "\u11602",  # ; MODI LETTER I
        "\u11603",  # ; MODI LETTER II
        "\u11604",  # ; MODI LETTER U
        "\u11605",  # ; MODI LETTER UU
        "\u11606",  # ; MODI LETTER VOCALIC R
        "\u11607",  # ; MODI LETTER VOCALIC RR
        "\u11608",  # ; MODI LETTER VOCALIC L
        "\u11609",  # ; MODI LETTER VOCALIC LL
        "\u1160A",  # ; MODI LETTER E
        "\u1160B",  # ; MODI LETTER AI
        "\u1160C",  # ; MODI LETTER O
        "\u1160D",  # ; MODI LETTER AU
        "\u1160E",  # ; MODI LETTER KA
        "\u1160F",  # ; MODI LETTER KHA
        "\u11610",  # ; MODI LETTER GA
        "\u11611",  # ; MODI LETTER GHA
        "\u11612",  # ; MODI LETTER NGA
        "\u11613",  # ; MODI LETTER CA
        "\u11614",  # ; MODI LETTER CHA
        "\u11615",  # ; MODI LETTER JA
        "\u11616",  # ; MODI LETTER JHA
        "\u11617",  # ; MODI LETTER NYA
        "\u11618",  # ; MODI LETTER TTA
        "\u11619",  # ; MODI LETTER TTHA
        "\u1161A",  # ; MODI LETTER DDA
        "\u1161B",  # ; MODI LETTER DDHA
        "\u1161C",  # ; MODI LETTER NNA
        "\u1161D",  # ; MODI LETTER TA
        "\u1161E",  # ; MODI LETTER THA
        "\u1161F",  # ; MODI LETTER DA
        "\u11620",  # ; MODI LETTER DHA
        "\u11621",  # ; MODI LETTER NA
        "\u11622",  # ; MODI LETTER PA
        "\u11623",  # ; MODI LETTER PHA
        "\u11624",  # ; MODI LETTER BA
        "\u11625",  # ; MODI LETTER BHA
        "\u11626",  # ; MODI LETTER MA
        "\u11627",  # ; MODI LETTER YA
        "\u11628",  # ; MODI LETTER RA
        "\u11629",  # ; MODI LETTER LA
        "\u1162A",  # ; MODI LETTER VA
        "\u1162B",  # ; MODI LETTER SHA
        "\u1162C",  # ; MODI LETTER SSA
        "\u1162D",  # ; MODI LETTER SA
        "\u1162E",  # ; MODI LETTER HA
        "\u1162F",  # ; MODI LETTER LLA
        "\u11630",  # ; MODI VOWEL SIGN AA
        "\u11631",  # ; MODI VOWEL SIGN I
        "\u11632",  # ; MODI VOWEL SIGN II
        "\u11633",  # ; MODI VOWEL SIGN U
        "\u11634",  # ; MODI VOWEL SIGN UU
        "\u11635",  # ; MODI VOWEL SIGN VOCALIC R
        "\u11636",  # ; MODI VOWEL SIGN VOCALIC RR
        "\u11637",  # ; MODI VOWEL SIGN VOCALIC L
        "\u11638",  # ; MODI VOWEL SIGN VOCALIC LL
        "\u11639",  # ; MODI VOWEL SIGN E
        "\u1163A",  # ; MODI VOWEL SIGN AI
        "\u1163B",  # ; MODI VOWEL SIGN O
        "\u1163C",  # ; MODI VOWEL SIGN AU
        "\u1163D",  # ; MODI SIGN ANUSVARA
        "\u1163E",  # ; MODI SIGN VISARGA
        "\u1163F",  # ; MODI SIGN VIRAMA
        "\u11640",  # ; MODI SIGN ARDHACANDRA
        "\u11641",  # ; MODI DANDA
        "\u11642",  # ; MODI DOUBLE DANDA
        "\u11643",  # ; MODI ABBREVIATION SIGN
        "\u11644",  # ; MODI SIGN HUVA
        "\u11650",  # ; MODI DIGIT ZERO
        "\u11651",  # ; MODI DIGIT ONE
        "\u11652",  # ; MODI DIGIT TWO
        "\u11653",  # ; MODI DIGIT THREE
        "\u11654",  # ; MODI DIGIT FOUR
        "\u11655",  # ; MODI DIGIT FIVE
        "\u11656",  # ; MODI DIGIT SIX
        "\u11657",  # ; MODI DIGIT SEVEN
        "\u11658",  # ; MODI DIGIT EIGHT
        "\u11659",  # ; MODI DIGIT NINE
        "\u11660",  # ; MONGOLIAN BIRGA WITH ORNAMENT
        "\u11661",  # ; MONGOLIAN ROTATED BIRGA
        "\u11662",  # ; MONGOLIAN DOUBLE BIRGA WITH ORNAMENT
        "\u11663",  # ; MONGOLIAN TRIPLE BIRGA WITH ORNAMENT
        "\u11664",  # ; MONGOLIAN BIRGA WITH DOUBLE ORNAMENT
        "\u11665",  # ; MONGOLIAN ROTATED BIRGA WITH ORNAMENT
        "\u11666",  # ; MONGOLIAN ROTATED BIRGA WITH DOUBLE ORNAMENT
        "\u11667",  # ; MONGOLIAN INVERTED BIRGA
        "\u11668",  # ; MONGOLIAN INVERTED BIRGA WITH DOUBLE ORNAMENT
        "\u11669",  # ; MONGOLIAN SWIRL BIRGA
        "\u1166A",  # ; MONGOLIAN SWIRL BIRGA WITH ORNAMENT
        "\u1166B",  # ; MONGOLIAN SWIRL BIRGA WITH DOUBLE ORNAMENT
        "\u1166C",  # ; MONGOLIAN TURNED SWIRL BIRGA WITH DOUBLE ORNAMENT
        "\u11680",  # ; TAKRI LETTER A
        "\u11681",  # ; TAKRI LETTER AA
        "\u11682",  # ; TAKRI LETTER I
        "\u11683",  # ; TAKRI LETTER II
        "\u11684",  # ; TAKRI LETTER U
        "\u11685",  # ; TAKRI LETTER UU
        "\u11686",  # ; TAKRI LETTER E
        "\u11687",  # ; TAKRI LETTER AI
        "\u11688",  # ; TAKRI LETTER O
        "\u11689",  # ; TAKRI LETTER AU
        "\u1168A",  # ; TAKRI LETTER KA
        "\u1168B",  # ; TAKRI LETTER KHA
        "\u1168C",  # ; TAKRI LETTER GA
        "\u1168D",  # ; TAKRI LETTER GHA
        "\u1168E",  # ; TAKRI LETTER NGA
        "\u1168F",  # ; TAKRI LETTER CA
        "\u11690",  # ; TAKRI LETTER CHA
        "\u11691",  # ; TAKRI LETTER JA
        "\u11692",  # ; TAKRI LETTER JHA
        "\u11693",  # ; TAKRI LETTER NYA
        "\u11694",  # ; TAKRI LETTER TTA
        "\u11695",  # ; TAKRI LETTER TTHA
        "\u11696",  # ; TAKRI LETTER DDA
        "\u11697",  # ; TAKRI LETTER DDHA
        "\u11698",  # ; TAKRI LETTER NNA
        "\u11699",  # ; TAKRI LETTER TA
        "\u1169A",  # ; TAKRI LETTER THA
        "\u1169B",  # ; TAKRI LETTER DA
        "\u1169C",  # ; TAKRI LETTER DHA
        "\u1169D",  # ; TAKRI LETTER NA
        "\u1169E",  # ; TAKRI LETTER PA
        "\u1169F",  # ; TAKRI LETTER PHA
        "\u116A0",  # ; TAKRI LETTER BA
        "\u116A1",  # ; TAKRI LETTER BHA
        "\u116A2",  # ; TAKRI LETTER MA
        "\u116A3",  # ; TAKRI LETTER YA
        "\u116A4",  # ; TAKRI LETTER RA
        "\u116A5",  # ; TAKRI LETTER LA
        "\u116A6",  # ; TAKRI LETTER VA
        "\u116A7",  # ; TAKRI LETTER SHA
        "\u116A8",  # ; TAKRI LETTER SA
        "\u116A9",  # ; TAKRI LETTER HA
        "\u116AA",  # ; TAKRI LETTER RRA
        "\u116AB",  # ; TAKRI SIGN ANUSVARA
        "\u116AC",  # ; TAKRI SIGN VISARGA
        "\u116AD",  # ; TAKRI VOWEL SIGN AA
        "\u116AE",  # ; TAKRI VOWEL SIGN I
        "\u116AF",  # ; TAKRI VOWEL SIGN II
        "\u116B0",  # ; TAKRI VOWEL SIGN U
        "\u116B1",  # ; TAKRI VOWEL SIGN UU
        "\u116B2",  # ; TAKRI VOWEL SIGN E
        "\u116B3",  # ; TAKRI VOWEL SIGN AI
        "\u116B4",  # ; TAKRI VOWEL SIGN O
        "\u116B5",  # ; TAKRI VOWEL SIGN AU
        "\u116B6",  # ; TAKRI SIGN VIRAMA
        "\u116B7",  # ; TAKRI SIGN NUKTA
        "\u116C0",  # ; TAKRI DIGIT ZERO
        "\u116C1",  # ; TAKRI DIGIT ONE
        "\u116C2",  # ; TAKRI DIGIT TWO
        "\u116C3",  # ; TAKRI DIGIT THREE
        "\u116C4",  # ; TAKRI DIGIT FOUR
        "\u116C5",  # ; TAKRI DIGIT FIVE
        "\u116C6",  # ; TAKRI DIGIT SIX
        "\u116C7",  # ; TAKRI DIGIT SEVEN
        "\u116C8",  # ; TAKRI DIGIT EIGHT
        "\u116C9",  # ; TAKRI DIGIT NINE
        "\u11700",  # ; AHOM LETTER KA
        "\u11701",  # ; AHOM LETTER KHA
        "\u11702",  # ; AHOM LETTER NGA
        "\u11703",  # ; AHOM LETTER NA
        "\u11704",  # ; AHOM LETTER TA
        "\u11705",  # ; AHOM LETTER ALTERNATE TA
        "\u11706",  # ; AHOM LETTER PA
        "\u11707",  # ; AHOM LETTER PHA
        "\u11708",  # ; AHOM LETTER BA
        "\u11709",  # ; AHOM LETTER MA
        "\u1170A",  # ; AHOM LETTER JA
        "\u1170B",  # ; AHOM LETTER CHA
        "\u1170C",  # ; AHOM LETTER THA
        "\u1170D",  # ; AHOM LETTER RA
        "\u1170E",  # ; AHOM LETTER LA
        "\u1170F",  # ; AHOM LETTER SA
        "\u11710",  # ; AHOM LETTER NYA
        "\u11711",  # ; AHOM LETTER HA
        "\u11712",  # ; AHOM LETTER A
        "\u11713",  # ; AHOM LETTER DA
        "\u11714",  # ; AHOM LETTER DHA
        "\u11715",  # ; AHOM LETTER GA
        "\u11716",  # ; AHOM LETTER ALTERNATE GA
        "\u11717",  # ; AHOM LETTER GHA
        "\u11718",  # ; AHOM LETTER BHA
        "\u11719",  # ; AHOM LETTER JHA
        "\u1171D",  # ; AHOM CONSONANT SIGN MEDIAL LA
        "\u1171E",  # ; AHOM CONSONANT SIGN MEDIAL RA
        "\u1171F",  # ; AHOM CONSONANT SIGN MEDIAL LIGATING RA
        "\u11720",  # ; AHOM VOWEL SIGN A
        "\u11721",  # ; AHOM VOWEL SIGN AA
        "\u11722",  # ; AHOM VOWEL SIGN I
        "\u11723",  # ; AHOM VOWEL SIGN II
        "\u11724",  # ; AHOM VOWEL SIGN U
        "\u11725",  # ; AHOM VOWEL SIGN UU
        "\u11726",  # ; AHOM VOWEL SIGN E
        "\u11727",  # ; AHOM VOWEL SIGN AW
        "\u11728",  # ; AHOM VOWEL SIGN O
        "\u11729",  # ; AHOM VOWEL SIGN AI
        "\u1172A",  # ; AHOM VOWEL SIGN AM
        "\u1172B",  # ; AHOM SIGN KILLER
        "\u11730",  # ; AHOM DIGIT ZERO
        "\u11731",  # ; AHOM DIGIT ONE
        "\u11732",  # ; AHOM DIGIT TWO
        "\u11733",  # ; AHOM DIGIT THREE
        "\u11734",  # ; AHOM DIGIT FOUR
        "\u11735",  # ; AHOM DIGIT FIVE
        "\u11736",  # ; AHOM DIGIT SIX
        "\u11737",  # ; AHOM DIGIT SEVEN
        "\u11738",  # ; AHOM DIGIT EIGHT
        "\u11739",  # ; AHOM DIGIT NINE
        "\u1173A",  # ; AHOM NUMBER TEN
        "\u1173B",  # ; AHOM NUMBER TWENTY
        "\u1173C",  # ; AHOM SIGN SMALL SECTION
        "\u1173D",  # ; AHOM SIGN SECTION
        "\u1173E",  # ; AHOM SIGN RULAI
        "\u1173F",  # ; AHOM SYMBOL VI
        "\u118A0",  # ; WARANG CITI CAPITAL LETTER NGAA
        "\u118A1",  # ; WARANG CITI CAPITAL LETTER A
        "\u118A2",  # ; WARANG CITI CAPITAL LETTER WI
        "\u118A3",  # ; WARANG CITI CAPITAL LETTER YU
        "\u118A4",  # ; WARANG CITI CAPITAL LETTER YA
        "\u118A5",  # ; WARANG CITI CAPITAL LETTER YO
        "\u118A6",  # ; WARANG CITI CAPITAL LETTER II
        "\u118A7",  # ; WARANG CITI CAPITAL LETTER UU
        "\u118A8",  # ; WARANG CITI CAPITAL LETTER E
        "\u118A9",  # ; WARANG CITI CAPITAL LETTER O
        "\u118AA",  # ; WARANG CITI CAPITAL LETTER ANG
        "\u118AB",  # ; WARANG CITI CAPITAL LETTER GA
        "\u118AC",  # ; WARANG CITI CAPITAL LETTER KO
        "\u118AD",  # ; WARANG CITI CAPITAL LETTER ENY
        "\u118AE",  # ; WARANG CITI CAPITAL LETTER YUJ
        "\u118AF",  # ; WARANG CITI CAPITAL LETTER UC
        "\u118B0",  # ; WARANG CITI CAPITAL LETTER ENN
        "\u118B1",  # ; WARANG CITI CAPITAL LETTER ODD
        "\u118B2",  # ; WARANG CITI CAPITAL LETTER TTE
        "\u118B3",  # ; WARANG CITI CAPITAL LETTER NUNG
        "\u118B4",  # ; WARANG CITI CAPITAL LETTER DA
        "\u118B5",  # ; WARANG CITI CAPITAL LETTER AT
        "\u118B6",  # ; WARANG CITI CAPITAL LETTER AM
        "\u118B7",  # ; WARANG CITI CAPITAL LETTER BU
        "\u118B8",  # ; WARANG CITI CAPITAL LETTER PU
        "\u118B9",  # ; WARANG CITI CAPITAL LETTER HIYO
        "\u118BA",  # ; WARANG CITI CAPITAL LETTER HOLO
        "\u118BB",  # ; WARANG CITI CAPITAL LETTER HORR
        "\u118BC",  # ; WARANG CITI CAPITAL LETTER HAR
        "\u118BD",  # ; WARANG CITI CAPITAL LETTER SSUU
        "\u118BE",  # ; WARANG CITI CAPITAL LETTER SII
        "\u118BF",  # ; WARANG CITI CAPITAL LETTER VIYO
        "\u118C0",  # ; WARANG CITI SMALL LETTER NGAA
        "\u118C1",  # ; WARANG CITI SMALL LETTER A
        "\u118C2",  # ; WARANG CITI SMALL LETTER WI
        "\u118C3",  # ; WARANG CITI SMALL LETTER YU
        "\u118C4",  # ; WARANG CITI SMALL LETTER YA
        "\u118C5",  # ; WARANG CITI SMALL LETTER YO
        "\u118C6",  # ; WARANG CITI SMALL LETTER II
        "\u118C7",  # ; WARANG CITI SMALL LETTER UU
        "\u118C8",  # ; WARANG CITI SMALL LETTER E
        "\u118C9",  # ; WARANG CITI SMALL LETTER O
        "\u118CA",  # ; WARANG CITI SMALL LETTER ANG
        "\u118CB",  # ; WARANG CITI SMALL LETTER GA
        "\u118CC",  # ; WARANG CITI SMALL LETTER KO
        "\u118CD",  # ; WARANG CITI SMALL LETTER ENY
        "\u118CE",  # ; WARANG CITI SMALL LETTER YUJ
        "\u118CF",  # ; WARANG CITI SMALL LETTER UC
        "\u118D0",  # ; WARANG CITI SMALL LETTER ENN
        "\u118D1",  # ; WARANG CITI SMALL LETTER ODD
        "\u118D2",  # ; WARANG CITI SMALL LETTER TTE
        "\u118D3",  # ; WARANG CITI SMALL LETTER NUNG
        "\u118D4",  # ; WARANG CITI SMALL LETTER DA
        "\u118D5",  # ; WARANG CITI SMALL LETTER AT
        "\u118D6",  # ; WARANG CITI SMALL LETTER AM
        "\u118D7",  # ; WARANG CITI SMALL LETTER BU
        "\u118D8",  # ; WARANG CITI SMALL LETTER PU
        "\u118D9",  # ; WARANG CITI SMALL LETTER HIYO
        "\u118DA",  # ; WARANG CITI SMALL LETTER HOLO
        "\u118DB",  # ; WARANG CITI SMALL LETTER HORR
        "\u118DC",  # ; WARANG CITI SMALL LETTER HAR
        "\u118DD",  # ; WARANG CITI SMALL LETTER SSUU
        "\u118DE",  # ; WARANG CITI SMALL LETTER SII
        "\u118DF",  # ; WARANG CITI SMALL LETTER VIYO
        "\u118E0",  # ; WARANG CITI DIGIT ZERO
        "\u118E1",  # ; WARANG CITI DIGIT ONE
        "\u118E2",  # ; WARANG CITI DIGIT TWO
        "\u118E3",  # ; WARANG CITI DIGIT THREE
        "\u118E4",  # ; WARANG CITI DIGIT FOUR
        "\u118E5",  # ; WARANG CITI DIGIT FIVE
        "\u118E6",  # ; WARANG CITI DIGIT SIX
        "\u118E7",  # ; WARANG CITI DIGIT SEVEN
        "\u118E8",  # ; WARANG CITI DIGIT EIGHT
        "\u118E9",  # ; WARANG CITI DIGIT NINE
        "\u118EA",  # ; WARANG CITI NUMBER TEN
        "\u118EB",  # ; WARANG CITI NUMBER TWENTY
        "\u118EC",  # ; WARANG CITI NUMBER THIRTY
        "\u118ED",  # ; WARANG CITI NUMBER FORTY
        "\u118EE",  # ; WARANG CITI NUMBER FIFTY
        "\u118EF",  # ; WARANG CITI NUMBER SIXTY
        "\u118F0",  # ; WARANG CITI NUMBER SEVENTY
        "\u118F1",  # ; WARANG CITI NUMBER EIGHTY
        "\u118F2",  # ; WARANG CITI NUMBER NINETY
        "\u118FF",  # ; WARANG CITI OM
        "\u11A00",  # ; ZANABAZAR SQUARE LETTER A
        "\u11A01",  # ; ZANABAZAR SQUARE VOWEL SIGN I
        "\u11A02",  # ; ZANABAZAR SQUARE VOWEL SIGN UE
        "\u11A03",  # ; ZANABAZAR SQUARE VOWEL SIGN U
        "\u11A04",  # ; ZANABAZAR SQUARE VOWEL SIGN E
        "\u11A05",  # ; ZANABAZAR SQUARE VOWEL SIGN OE
        "\u11A06",  # ; ZANABAZAR SQUARE VOWEL SIGN O
        "\u11A07",  # ; ZANABAZAR SQUARE VOWEL SIGN AI
        "\u11A08",  # ; ZANABAZAR SQUARE VOWEL SIGN AU
        "\u11A09",  # ; ZANABAZAR SQUARE VOWEL SIGN REVERSED I
        "\u11A0A",  # ; ZANABAZAR SQUARE VOWEL LENGTH MARK
        "\u11A0B",  # ; ZANABAZAR SQUARE LETTER KA
        "\u11A0C",  # ; ZANABAZAR SQUARE LETTER KHA
        "\u11A0D",  # ; ZANABAZAR SQUARE LETTER GA
        "\u11A0E",  # ; ZANABAZAR SQUARE LETTER GHA
        "\u11A0F",  # ; ZANABAZAR SQUARE LETTER NGA
        "\u11A10",  # ; ZANABAZAR SQUARE LETTER CA
        "\u11A11",  # ; ZANABAZAR SQUARE LETTER CHA
        "\u11A12",  # ; ZANABAZAR SQUARE LETTER JA
        "\u11A13",  # ; ZANABAZAR SQUARE LETTER NYA
        "\u11A14",  # ; ZANABAZAR SQUARE LETTER TTA
        "\u11A15",  # ; ZANABAZAR SQUARE LETTER TTHA
        "\u11A16",  # ; ZANABAZAR SQUARE LETTER DDA
        "\u11A17",  # ; ZANABAZAR SQUARE LETTER DDHA
        "\u11A18",  # ; ZANABAZAR SQUARE LETTER NNA
        "\u11A19",  # ; ZANABAZAR SQUARE LETTER TA
        "\u11A1A",  # ; ZANABAZAR SQUARE LETTER THA
        "\u11A1B",  # ; ZANABAZAR SQUARE LETTER DA
        "\u11A1C",  # ; ZANABAZAR SQUARE LETTER DHA
        "\u11A1D",  # ; ZANABAZAR SQUARE LETTER NA
        "\u11A1E",  # ; ZANABAZAR SQUARE LETTER PA
        "\u11A1F",  # ; ZANABAZAR SQUARE LETTER PHA
        "\u11A20",  # ; ZANABAZAR SQUARE LETTER BA
        "\u11A21",  # ; ZANABAZAR SQUARE LETTER BHA
        "\u11A22",  # ; ZANABAZAR SQUARE LETTER MA
        "\u11A23",  # ; ZANABAZAR SQUARE LETTER TSA
        "\u11A24",  # ; ZANABAZAR SQUARE LETTER TSHA
        "\u11A25",  # ; ZANABAZAR SQUARE LETTER DZA
        "\u11A26",  # ; ZANABAZAR SQUARE LETTER DZHA
        "\u11A27",  # ; ZANABAZAR SQUARE LETTER ZHA
        "\u11A28",  # ; ZANABAZAR SQUARE LETTER ZA
        "\u11A29",  # ; ZANABAZAR SQUARE LETTER -A
        "\u11A2A",  # ; ZANABAZAR SQUARE LETTER YA
        "\u11A2B",  # ; ZANABAZAR SQUARE LETTER RA
        "\u11A2C",  # ; ZANABAZAR SQUARE LETTER LA
        "\u11A2D",  # ; ZANABAZAR SQUARE LETTER VA
        "\u11A2E",  # ; ZANABAZAR SQUARE LETTER SHA
        "\u11A2F",  # ; ZANABAZAR SQUARE LETTER SSA
        "\u11A30",  # ; ZANABAZAR SQUARE LETTER SA
        "\u11A31",  # ; ZANABAZAR SQUARE LETTER HA
        "\u11A32",  # ; ZANABAZAR SQUARE LETTER KSSA
        "\u11A33",  # ; ZANABAZAR SQUARE FINAL CONSONANT MARK
        "\u11A34",  # ; ZANABAZAR SQUARE SIGN VIRAMA
        "\u11A35",  # ; ZANABAZAR SQUARE SIGN CANDRABINDU
        "\u11A36",  # ; ZANABAZAR SQUARE SIGN CANDRABINDU WITH ORNAMENT
        "\u11A37",  # ; ZANABAZAR SQUARE SIGN CANDRA WITH ORNAMENT
        "\u11A38",  # ; ZANABAZAR SQUARE SIGN ANUSVARA
        "\u11A39",  # ; ZANABAZAR SQUARE SIGN VISARGA
        "\u11A3A",  # ; ZANABAZAR SQUARE CLUSTER-INITIAL LETTER RA
        "\u11A3B",  # ; ZANABAZAR SQUARE CLUSTER-FINAL LETTER YA
        "\u11A3C",  # ; ZANABAZAR SQUARE CLUSTER-FINAL LETTER RA
        "\u11A3D",  # ; ZANABAZAR SQUARE CLUSTER-FINAL LETTER LA
        "\u11A3E",  # ; ZANABAZAR SQUARE CLUSTER-FINAL LETTER VA
        "\u11A3F",  # ; ZANABAZAR SQUARE INITIAL HEAD MARK
        "\u11A40",  # ; ZANABAZAR SQUARE CLOSING HEAD MARK
        "\u11A41",  # ; ZANABAZAR SQUARE MARK TSHEG
        "\u11A42",  # ; ZANABAZAR SQUARE MARK SHAD
        "\u11A43",  # ; ZANABAZAR SQUARE MARK DOUBLE SHAD
        "\u11A44",  # ; ZANABAZAR SQUARE MARK LONG TSHEG
        "\u11A45",  # ; ZANABAZAR SQUARE INITIAL DOUBLE-LINED HEAD MARK
        "\u11A46",  # ; ZANABAZAR SQUARE CLOSING DOUBLE-LINED HEAD MARK
        "\u11A47",  # ; ZANABAZAR SQUARE SUBJOINER
        "\u11A50",  # ; SOYOMBO LETTER A
        "\u11A51",  # ; SOYOMBO VOWEL SIGN I
        "\u11A52",  # ; SOYOMBO VOWEL SIGN UE
        "\u11A53",  # ; SOYOMBO VOWEL SIGN U
        "\u11A54",  # ; SOYOMBO VOWEL SIGN E
        "\u11A55",  # ; SOYOMBO VOWEL SIGN O
        "\u11A56",  # ; SOYOMBO VOWEL SIGN OE
        "\u11A57",  # ; SOYOMBO VOWEL SIGN AI
        "\u11A58",  # ; SOYOMBO VOWEL SIGN AU
        "\u11A59",  # ; SOYOMBO VOWEL SIGN VOCALIC R
        "\u11A5A",  # ; SOYOMBO VOWEL SIGN VOCALIC L
        "\u11A5B",  # ; SOYOMBO VOWEL LENGTH MARK
        "\u11A5C",  # ; SOYOMBO LETTER KA
        "\u11A5D",  # ; SOYOMBO LETTER KHA
        "\u11A5E",  # ; SOYOMBO LETTER GA
        "\u11A5F",  # ; SOYOMBO LETTER GHA
        "\u11A60",  # ; SOYOMBO LETTER NGA
        "\u11A61",  # ; SOYOMBO LETTER CA
        "\u11A62",  # ; SOYOMBO LETTER CHA
        "\u11A63",  # ; SOYOMBO LETTER JA
        "\u11A64",  # ; SOYOMBO LETTER JHA
        "\u11A65",  # ; SOYOMBO LETTER NYA
        "\u11A66",  # ; SOYOMBO LETTER TTA
        "\u11A67",  # ; SOYOMBO LETTER TTHA
        "\u11A68",  # ; SOYOMBO LETTER DDA
        "\u11A69",  # ; SOYOMBO LETTER DDHA
        "\u11A6A",  # ; SOYOMBO LETTER NNA
        "\u11A6B",  # ; SOYOMBO LETTER TA
        "\u11A6C",  # ; SOYOMBO LETTER THA
        "\u11A6D",  # ; SOYOMBO LETTER DA
        "\u11A6E",  # ; SOYOMBO LETTER DHA
        "\u11A6F",  # ; SOYOMBO LETTER NA
        "\u11A70",  # ; SOYOMBO LETTER PA
        "\u11A71",  # ; SOYOMBO LETTER PHA
        "\u11A72",  # ; SOYOMBO LETTER BA
        "\u11A73",  # ; SOYOMBO LETTER BHA
        "\u11A74",  # ; SOYOMBO LETTER MA
        "\u11A75",  # ; SOYOMBO LETTER TSA
        "\u11A76",  # ; SOYOMBO LETTER TSHA
        "\u11A77",  # ; SOYOMBO LETTER DZA
        "\u11A78",  # ; SOYOMBO LETTER ZHA
        "\u11A79",  # ; SOYOMBO LETTER ZA
        "\u11A7A",  # ; SOYOMBO LETTER -A
        "\u11A7B",  # ; SOYOMBO LETTER YA
        "\u11A7C",  # ; SOYOMBO LETTER RA
        "\u11A7D",  # ; SOYOMBO LETTER LA
        "\u11A7E",  # ; SOYOMBO LETTER VA
        "\u11A7F",  # ; SOYOMBO LETTER SHA
        "\u11A80",  # ; SOYOMBO LETTER SSA
        "\u11A81",  # ; SOYOMBO LETTER SA
        "\u11A82",  # ; SOYOMBO LETTER HA
        "\u11A83",  # ; SOYOMBO LETTER KSSA
        "\u11A86",  # ; SOYOMBO CLUSTER-INITIAL LETTER RA
        "\u11A87",  # ; SOYOMBO CLUSTER-INITIAL LETTER LA
        "\u11A88",  # ; SOYOMBO CLUSTER-INITIAL LETTER SHA
        "\u11A89",  # ; SOYOMBO CLUSTER-INITIAL LETTER SA
        "\u11A8A",  # ; SOYOMBO FINAL CONSONANT SIGN G
        "\u11A8B",  # ; SOYOMBO FINAL CONSONANT SIGN K
        "\u11A8C",  # ; SOYOMBO FINAL CONSONANT SIGN NG
        "\u11A8D",  # ; SOYOMBO FINAL CONSONANT SIGN D
        "\u11A8E",  # ; SOYOMBO FINAL CONSONANT SIGN N
        "\u11A8F",  # ; SOYOMBO FINAL CONSONANT SIGN B
        "\u11A90",  # ; SOYOMBO FINAL CONSONANT SIGN M
        "\u11A91",  # ; SOYOMBO FINAL CONSONANT SIGN R
        "\u11A92",  # ; SOYOMBO FINAL CONSONANT SIGN L
        "\u11A93",  # ; SOYOMBO FINAL CONSONANT SIGN SH
        "\u11A94",  # ; SOYOMBO FINAL CONSONANT SIGN S
        "\u11A95",  # ; SOYOMBO FINAL CONSONANT SIGN -A
        "\u11A96",  # ; SOYOMBO SIGN ANUSVARA
        "\u11A97",  # ; SOYOMBO SIGN VISARGA
        "\u11A98",  # ; SOYOMBO GEMINATION MARK
        "\u11A99",  # ; SOYOMBO SUBJOINER
        "\u11A9A",  # ; SOYOMBO MARK TSHEG
        "\u11A9B",  # ; SOYOMBO MARK SHAD
        "\u11A9C",  # ; SOYOMBO MARK DOUBLE SHAD
        "\u11A9E",  # ; SOYOMBO HEAD MARK WITH MOON AND SUN AND TRIPLE FLAME
        "\u11A9F",  # ; SOYOMBO HEAD MARK WITH MOON AND SUN AND FLAME
        "\u11AA0",  # ; SOYOMBO HEAD MARK WITH MOON AND SUN
        "\u11AA1",  # ; SOYOMBO TERMINAL MARK-1
        "\u11AA2",  # ; SOYOMBO TERMINAL MARK-2
        "\u11AC0",  # ; PAU CIN HAU LETTER PA
        "\u11AC1",  # ; PAU CIN HAU LETTER KA
        "\u11AC2",  # ; PAU CIN HAU LETTER LA
        "\u11AC3",  # ; PAU CIN HAU LETTER MA
        "\u11AC4",  # ; PAU CIN HAU LETTER DA
        "\u11AC5",  # ; PAU CIN HAU LETTER ZA
        "\u11AC6",  # ; PAU CIN HAU LETTER VA
        "\u11AC7",  # ; PAU CIN HAU LETTER NGA
        "\u11AC8",  # ; PAU CIN HAU LETTER HA
        "\u11AC9",  # ; PAU CIN HAU LETTER GA
        "\u11ACA",  # ; PAU CIN HAU LETTER KHA
        "\u11ACB",  # ; PAU CIN HAU LETTER SA
        "\u11ACC",  # ; PAU CIN HAU LETTER BA
        "\u11ACD",  # ; PAU CIN HAU LETTER CA
        "\u11ACE",  # ; PAU CIN HAU LETTER TA
        "\u11ACF",  # ; PAU CIN HAU LETTER THA
        "\u11AD0",  # ; PAU CIN HAU LETTER NA
        "\u11AD1",  # ; PAU CIN HAU LETTER PHA
        "\u11AD2",  # ; PAU CIN HAU LETTER RA
        "\u11AD3",  # ; PAU CIN HAU LETTER FA
        "\u11AD4",  # ; PAU CIN HAU LETTER CHA
        "\u11AD5",  # ; PAU CIN HAU LETTER A
        "\u11AD6",  # ; PAU CIN HAU LETTER E
        "\u11AD7",  # ; PAU CIN HAU LETTER I
        "\u11AD8",  # ; PAU CIN HAU LETTER O
        "\u11AD9",  # ; PAU CIN HAU LETTER U
        "\u11ADA",  # ; PAU CIN HAU LETTER UA
        "\u11ADB",  # ; PAU CIN HAU LETTER IA
        "\u11ADC",  # ; PAU CIN HAU LETTER FINAL P
        "\u11ADD",  # ; PAU CIN HAU LETTER FINAL K
        "\u11ADE",  # ; PAU CIN HAU LETTER FINAL T
        "\u11ADF",  # ; PAU CIN HAU LETTER FINAL M
        "\u11AE0",  # ; PAU CIN HAU LETTER FINAL N
        "\u11AE1",  # ; PAU CIN HAU LETTER FINAL L
        "\u11AE2",  # ; PAU CIN HAU LETTER FINAL W
        "\u11AE3",  # ; PAU CIN HAU LETTER FINAL NG
        "\u11AE4",  # ; PAU CIN HAU LETTER FINAL Y
        "\u11AE5",  # ; PAU CIN HAU RISING TONE LONG
        "\u11AE6",  # ; PAU CIN HAU RISING TONE
        "\u11AE7",  # ; PAU CIN HAU SANDHI GLOTTAL STOP
        "\u11AE8",  # ; PAU CIN HAU RISING TONE LONG FINAL
        "\u11AE9",  # ; PAU CIN HAU RISING TONE FINAL
        "\u11AEA",  # ; PAU CIN HAU SANDHI GLOTTAL STOP FINAL
        "\u11AEB",  # ; PAU CIN HAU SANDHI TONE LONG
        "\u11AEC",  # ; PAU CIN HAU SANDHI TONE
        "\u11AED",  # ; PAU CIN HAU SANDHI TONE LONG FINAL
        "\u11AEE",  # ; PAU CIN HAU SANDHI TONE FINAL
        "\u11AEF",  # ; PAU CIN HAU MID-LEVEL TONE
        "\u11AF0",  # ; PAU CIN HAU GLOTTAL STOP VARIANT
        "\u11AF1",  # ; PAU CIN HAU MID-LEVEL TONE LONG FINAL
        "\u11AF2",  # ; PAU CIN HAU MID-LEVEL TONE FINAL
        "\u11AF3",  # ; PAU CIN HAU LOW-FALLING TONE LONG
        "\u11AF4",  # ; PAU CIN HAU LOW-FALLING TONE
        "\u11AF5",  # ; PAU CIN HAU GLOTTAL STOP
        "\u11AF6",  # ; PAU CIN HAU LOW-FALLING TONE LONG FINAL
        "\u11AF7",  # ; PAU CIN HAU LOW-FALLING TONE FINAL
        "\u11AF8",  # ; PAU CIN HAU GLOTTAL STOP FINAL
        "\u11C00",  # ; BHAIKSUKI LETTER A
        "\u11C01",  # ; BHAIKSUKI LETTER AA
        "\u11C02",  # ; BHAIKSUKI LETTER I
        "\u11C03",  # ; BHAIKSUKI LETTER II
        "\u11C04",  # ; BHAIKSUKI LETTER U
        "\u11C05",  # ; BHAIKSUKI LETTER UU
        "\u11C06",  # ; BHAIKSUKI LETTER VOCALIC R
        "\u11C07",  # ; BHAIKSUKI LETTER VOCALIC RR
        "\u11C08",  # ; BHAIKSUKI LETTER VOCALIC L
        "\u11C0A",  # ; BHAIKSUKI LETTER E
        "\u11C0B",  # ; BHAIKSUKI LETTER AI
        "\u11C0C",  # ; BHAIKSUKI LETTER O
        "\u11C0D",  # ; BHAIKSUKI LETTER AU
        "\u11C0E",  # ; BHAIKSUKI LETTER KA
        "\u11C0F",  # ; BHAIKSUKI LETTER KHA
        "\u11C10",  # ; BHAIKSUKI LETTER GA
        "\u11C11",  # ; BHAIKSUKI LETTER GHA
        "\u11C12",  # ; BHAIKSUKI LETTER NGA
        "\u11C13",  # ; BHAIKSUKI LETTER CA
        "\u11C14",  # ; BHAIKSUKI LETTER CHA
        "\u11C15",  # ; BHAIKSUKI LETTER JA
        "\u11C16",  # ; BHAIKSUKI LETTER JHA
        "\u11C17",  # ; BHAIKSUKI LETTER NYA
        "\u11C18",  # ; BHAIKSUKI LETTER TTA
        "\u11C19",  # ; BHAIKSUKI LETTER TTHA
        "\u11C1A",  # ; BHAIKSUKI LETTER DDA
        "\u11C1B",  # ; BHAIKSUKI LETTER DDHA
        "\u11C1C",  # ; BHAIKSUKI LETTER NNA
        "\u11C1D",  # ; BHAIKSUKI LETTER TA
        "\u11C1E",  # ; BHAIKSUKI LETTER THA
        "\u11C1F",  # ; BHAIKSUKI LETTER DA
        "\u11C20",  # ; BHAIKSUKI LETTER DHA
        "\u11C21",  # ; BHAIKSUKI LETTER NA
        "\u11C22",  # ; BHAIKSUKI LETTER PA
        "\u11C23",  # ; BHAIKSUKI LETTER PHA
        "\u11C24",  # ; BHAIKSUKI LETTER BA
        "\u11C25",  # ; BHAIKSUKI LETTER BHA
        "\u11C26",  # ; BHAIKSUKI LETTER MA
        "\u11C27",  # ; BHAIKSUKI LETTER YA
        "\u11C28",  # ; BHAIKSUKI LETTER RA
        "\u11C29",  # ; BHAIKSUKI LETTER LA
        "\u11C2A",  # ; BHAIKSUKI LETTER VA
        "\u11C2B",  # ; BHAIKSUKI LETTER SHA
        "\u11C2C",  # ; BHAIKSUKI LETTER SSA
        "\u11C2D",  # ; BHAIKSUKI LETTER SA
        "\u11C2E",  # ; BHAIKSUKI LETTER HA
        "\u11C2F",  # ; BHAIKSUKI VOWEL SIGN AA
        "\u11C30",  # ; BHAIKSUKI VOWEL SIGN I
        "\u11C31",  # ; BHAIKSUKI VOWEL SIGN II
        "\u11C32",  # ; BHAIKSUKI VOWEL SIGN U
        "\u11C33",  # ; BHAIKSUKI VOWEL SIGN UU
        "\u11C34",  # ; BHAIKSUKI VOWEL SIGN VOCALIC R
        "\u11C35",  # ; BHAIKSUKI VOWEL SIGN VOCALIC RR
        "\u11C36",  # ; BHAIKSUKI VOWEL SIGN VOCALIC L
        "\u11C38",  # ; BHAIKSUKI VOWEL SIGN E
        "\u11C39",  # ; BHAIKSUKI VOWEL SIGN AI
        "\u11C3A",  # ; BHAIKSUKI VOWEL SIGN O
        "\u11C3B",  # ; BHAIKSUKI VOWEL SIGN AU
        "\u11C3C",  # ; BHAIKSUKI SIGN CANDRABINDU
        "\u11C3D",  # ; BHAIKSUKI SIGN ANUSVARA
        "\u11C3E",  # ; BHAIKSUKI SIGN VISARGA
        "\u11C3F",  # ; BHAIKSUKI SIGN VIRAMA
        "\u11C40",  # ; BHAIKSUKI SIGN AVAGRAHA
        "\u11C41",  # ; BHAIKSUKI DANDA
        "\u11C42",  # ; BHAIKSUKI DOUBLE DANDA
        "\u11C43",  # ; BHAIKSUKI WORD SEPARATOR
        "\u11C44",  # ; BHAIKSUKI GAP FILLER-1
        "\u11C45",  # ; BHAIKSUKI GAP FILLER-2
        "\u11C50",  # ; BHAIKSUKI DIGIT ZERO
        "\u11C51",  # ; BHAIKSUKI DIGIT ONE
        "\u11C52",  # ; BHAIKSUKI DIGIT TWO
        "\u11C53",  # ; BHAIKSUKI DIGIT THREE
        "\u11C54",  # ; BHAIKSUKI DIGIT FOUR
        "\u11C55",  # ; BHAIKSUKI DIGIT FIVE
        "\u11C56",  # ; BHAIKSUKI DIGIT SIX
        "\u11C57",  # ; BHAIKSUKI DIGIT SEVEN
        "\u11C58",  # ; BHAIKSUKI DIGIT EIGHT
        "\u11C59",  # ; BHAIKSUKI DIGIT NINE
        "\u11C5A",  # ; BHAIKSUKI NUMBER ONE
        "\u11C5B",  # ; BHAIKSUKI NUMBER TWO
        "\u11C5C",  # ; BHAIKSUKI NUMBER THREE
        "\u11C5D",  # ; BHAIKSUKI NUMBER FOUR
        "\u11C5E",  # ; BHAIKSUKI NUMBER FIVE
        "\u11C5F",  # ; BHAIKSUKI NUMBER SIX
        "\u11C60",  # ; BHAIKSUKI NUMBER SEVEN
        "\u11C61",  # ; BHAIKSUKI NUMBER EIGHT
        "\u11C62",  # ; BHAIKSUKI NUMBER NINE
        "\u11C63",  # ; BHAIKSUKI NUMBER TEN
        "\u11C64",  # ; BHAIKSUKI NUMBER TWENTY
        "\u11C65",  # ; BHAIKSUKI NUMBER THIRTY
        "\u11C66",  # ; BHAIKSUKI NUMBER FORTY
        "\u11C67",  # ; BHAIKSUKI NUMBER FIFTY
        "\u11C68",  # ; BHAIKSUKI NUMBER SIXTY
        "\u11C69",  # ; BHAIKSUKI NUMBER SEVENTY
        "\u11C6A",  # ; BHAIKSUKI NUMBER EIGHTY
        "\u11C6B",  # ; BHAIKSUKI NUMBER NINETY
        "\u11C6C",  # ; BHAIKSUKI HUNDREDS UNIT MARK
        "\u11C70",  # ; MARCHEN HEAD MARK
        "\u11C71",  # ; MARCHEN MARK SHAD
        "\u11C72",  # ; MARCHEN LETTER KA
        "\u11C73",  # ; MARCHEN LETTER KHA
        "\u11C74",  # ; MARCHEN LETTER GA
        "\u11C75",  # ; MARCHEN LETTER NGA
        "\u11C76",  # ; MARCHEN LETTER CA
        "\u11C77",  # ; MARCHEN LETTER CHA
        "\u11C78",  # ; MARCHEN LETTER JA
        "\u11C79",  # ; MARCHEN LETTER NYA
        "\u11C7A",  # ; MARCHEN LETTER TA
        "\u11C7B",  # ; MARCHEN LETTER THA
        "\u11C7C",  # ; MARCHEN LETTER DA
        "\u11C7D",  # ; MARCHEN LETTER NA
        "\u11C7E",  # ; MARCHEN LETTER PA
        "\u11C7F",  # ; MARCHEN LETTER PHA
        "\u11C80",  # ; MARCHEN LETTER BA
        "\u11C81",  # ; MARCHEN LETTER MA
        "\u11C82",  # ; MARCHEN LETTER TSA
        "\u11C83",  # ; MARCHEN LETTER TSHA
        "\u11C84",  # ; MARCHEN LETTER DZA
        "\u11C85",  # ; MARCHEN LETTER WA
        "\u11C86",  # ; MARCHEN LETTER ZHA
        "\u11C87",  # ; MARCHEN LETTER ZA
        "\u11C88",  # ; MARCHEN LETTER -A
        "\u11C89",  # ; MARCHEN LETTER YA
        "\u11C8A",  # ; MARCHEN LETTER RA
        "\u11C8B",  # ; MARCHEN LETTER LA
        "\u11C8C",  # ; MARCHEN LETTER SHA
        "\u11C8D",  # ; MARCHEN LETTER SA
        "\u11C8E",  # ; MARCHEN LETTER HA
        "\u11C8F",  # ; MARCHEN LETTER A
        "\u11C92",  # ; MARCHEN SUBJOINED LETTER KA
        "\u11C93",  # ; MARCHEN SUBJOINED LETTER KHA
        "\u11C94",  # ; MARCHEN SUBJOINED LETTER GA
        "\u11C95",  # ; MARCHEN SUBJOINED LETTER NGA
        "\u11C96",  # ; MARCHEN SUBJOINED LETTER CA
        "\u11C97",  # ; MARCHEN SUBJOINED LETTER CHA
        "\u11C98",  # ; MARCHEN SUBJOINED LETTER JA
        "\u11C99",  # ; MARCHEN SUBJOINED LETTER NYA
        "\u11C9A",  # ; MARCHEN SUBJOINED LETTER TA
        "\u11C9B",  # ; MARCHEN SUBJOINED LETTER THA
        "\u11C9C",  # ; MARCHEN SUBJOINED LETTER DA
        "\u11C9D",  # ; MARCHEN SUBJOINED LETTER NA
        "\u11C9E",  # ; MARCHEN SUBJOINED LETTER PA
        "\u11C9F",  # ; MARCHEN SUBJOINED LETTER PHA
        "\u11CA0",  # ; MARCHEN SUBJOINED LETTER BA
        "\u11CA1",  # ; MARCHEN SUBJOINED LETTER MA
        "\u11CA2",  # ; MARCHEN SUBJOINED LETTER TSA
        "\u11CA3",  # ; MARCHEN SUBJOINED LETTER TSHA
        "\u11CA4",  # ; MARCHEN SUBJOINED LETTER DZA
        "\u11CA5",  # ; MARCHEN SUBJOINED LETTER WA
        "\u11CA6",  # ; MARCHEN SUBJOINED LETTER ZHA
        "\u11CA7",  # ; MARCHEN SUBJOINED LETTER ZA
        "\u11CA9",  # ; MARCHEN SUBJOINED LETTER YA
        "\u11CAA",  # ; MARCHEN SUBJOINED LETTER RA
        "\u11CAB",  # ; MARCHEN SUBJOINED LETTER LA
        "\u11CAC",  # ; MARCHEN SUBJOINED LETTER SHA
        "\u11CAD",  # ; MARCHEN SUBJOINED LETTER SA
        "\u11CAE",  # ; MARCHEN SUBJOINED LETTER HA
        "\u11CAF",  # ; MARCHEN SUBJOINED LETTER A
        "\u11CB0",  # ; MARCHEN VOWEL SIGN AA
        "\u11CB1",  # ; MARCHEN VOWEL SIGN I
        "\u11CB2",  # ; MARCHEN VOWEL SIGN U
        "\u11CB3",  # ; MARCHEN VOWEL SIGN E
        "\u11CB4",  # ; MARCHEN VOWEL SIGN O
        "\u11CB5",  # ; MARCHEN SIGN ANUSVARA
        "\u11CB6",  # ; MARCHEN SIGN CANDRABINDU
        "\u11D00",  # ; MASARAM GONDI LETTER A
        "\u11D01",  # ; MASARAM GONDI LETTER AA
        "\u11D02",  # ; MASARAM GONDI LETTER I
        "\u11D03",  # ; MASARAM GONDI LETTER II
        "\u11D04",  # ; MASARAM GONDI LETTER U
        "\u11D05",  # ; MASARAM GONDI LETTER UU
        "\u11D06",  # ; MASARAM GONDI LETTER E
        "\u11D08",  # ; MASARAM GONDI LETTER AI
        "\u11D09",  # ; MASARAM GONDI LETTER O
        "\u11D0B",  # ; MASARAM GONDI LETTER AU
        "\u11D0C",  # ; MASARAM GONDI LETTER KA
        "\u11D0D",  # ; MASARAM GONDI LETTER KHA
        "\u11D0E",  # ; MASARAM GONDI LETTER GA
        "\u11D0F",  # ; MASARAM GONDI LETTER GHA
        "\u11D10",  # ; MASARAM GONDI LETTER NGA
        "\u11D11",  # ; MASARAM GONDI LETTER CA
        "\u11D12",  # ; MASARAM GONDI LETTER CHA
        "\u11D13",  # ; MASARAM GONDI LETTER JA
        "\u11D14",  # ; MASARAM GONDI LETTER JHA
        "\u11D15",  # ; MASARAM GONDI LETTER NYA
        "\u11D16",  # ; MASARAM GONDI LETTER TTA
        "\u11D17",  # ; MASARAM GONDI LETTER TTHA
        "\u11D18",  # ; MASARAM GONDI LETTER DDA
        "\u11D19",  # ; MASARAM GONDI LETTER DDHA
        "\u11D1A",  # ; MASARAM GONDI LETTER NNA
        "\u11D1B",  # ; MASARAM GONDI LETTER TA
        "\u11D1C",  # ; MASARAM GONDI LETTER THA
        "\u11D1D",  # ; MASARAM GONDI LETTER DA
        "\u11D1E",  # ; MASARAM GONDI LETTER DHA
        "\u11D1F",  # ; MASARAM GONDI LETTER NA
        "\u11D20",  # ; MASARAM GONDI LETTER PA
        "\u11D21",  # ; MASARAM GONDI LETTER PHA
        "\u11D22",  # ; MASARAM GONDI LETTER BA
        "\u11D23",  # ; MASARAM GONDI LETTER BHA
        "\u11D24",  # ; MASARAM GONDI LETTER MA
        "\u11D25",  # ; MASARAM GONDI LETTER YA
        "\u11D26",  # ; MASARAM GONDI LETTER RA
        "\u11D27",  # ; MASARAM GONDI LETTER LA
        "\u11D28",  # ; MASARAM GONDI LETTER VA
        "\u11D29",  # ; MASARAM GONDI LETTER SHA
        "\u11D2A",  # ; MASARAM GONDI LETTER SSA
        "\u11D2B",  # ; MASARAM GONDI LETTER SA
        "\u11D2C",  # ; MASARAM GONDI LETTER HA
        "\u11D2D",  # ; MASARAM GONDI LETTER LLA
        "\u11D2E",  # ; MASARAM GONDI LETTER KSSA
        "\u11D2F",  # ; MASARAM GONDI LETTER JNYA
        "\u11D30",  # ; MASARAM GONDI LETTER TRA
        "\u11D31",  # ; MASARAM GONDI VOWEL SIGN AA
        "\u11D32",  # ; MASARAM GONDI VOWEL SIGN I
        "\u11D33",  # ; MASARAM GONDI VOWEL SIGN II
        "\u11D34",  # ; MASARAM GONDI VOWEL SIGN U
        "\u11D35",  # ; MASARAM GONDI VOWEL SIGN UU
        "\u11D36",  # ; MASARAM GONDI VOWEL SIGN VOCALIC R
        "\u11D3A",  # ; MASARAM GONDI VOWEL SIGN E
        "\u11D3C",  # ; MASARAM GONDI VOWEL SIGN AI
        "\u11D3D",  # ; MASARAM GONDI VOWEL SIGN O
        "\u11D3F",  # ; MASARAM GONDI VOWEL SIGN AU
        "\u11D40",  # ; MASARAM GONDI SIGN ANUSVARA
        "\u11D41",  # ; MASARAM GONDI SIGN VISARGA
        "\u11D42",  # ; MASARAM GONDI SIGN NUKTA
        "\u11D43",  # ; MASARAM GONDI SIGN CANDRA
        "\u11D44",  # ; MASARAM GONDI SIGN HALANTA
        "\u11D45",  # ; MASARAM GONDI VIRAMA
        "\u11D46",  # ; MASARAM GONDI REPHA
        "\u11D47",  # ; MASARAM GONDI RA-KARA
        "\u11D50",  # ; MASARAM GONDI DIGIT ZERO
        "\u11D51",  # ; MASARAM GONDI DIGIT ONE
        "\u11D52",  # ; MASARAM GONDI DIGIT TWO
        "\u11D53",  # ; MASARAM GONDI DIGIT THREE
        "\u11D54",  # ; MASARAM GONDI DIGIT FOUR
        "\u11D55",  # ; MASARAM GONDI DIGIT FIVE
        "\u11D56",  # ; MASARAM GONDI DIGIT SIX
        "\u11D57",  # ; MASARAM GONDI DIGIT SEVEN
        "\u11D58",  # ; MASARAM GONDI DIGIT EIGHT
        "\u11D59",  # ; MASARAM GONDI DIGIT NINE
        "\u12000",  # ; CUNEIFORM SIGN A
        "\u12001",  # ; CUNEIFORM SIGN A TIMES A
        "\u12002",  # ; CUNEIFORM SIGN A TIMES BAD
        "\u12003",  # ; CUNEIFORM SIGN A TIMES GAN2 TENU
        "\u12004",  # ; CUNEIFORM SIGN A TIMES HA
        "\u12005",  # ; CUNEIFORM SIGN A TIMES IGI
        "\u12006",  # ; CUNEIFORM SIGN A TIMES LAGAR GUNU
        "\u12007",  # ; CUNEIFORM SIGN A TIMES MUSH
        "\u12008",  # ; CUNEIFORM SIGN A TIMES SAG
        "\u12009",  # ; CUNEIFORM SIGN A2
        "\u1200A",  # ; CUNEIFORM SIGN AB
        "\u1200B",  # ; CUNEIFORM SIGN AB TIMES ASH2
        "\u1200C",  # ; CUNEIFORM SIGN AB TIMES DUN3 GUNU
        "\u1200D",  # ; CUNEIFORM SIGN AB TIMES GAL
        "\u1200E",  # ; CUNEIFORM SIGN AB TIMES GAN2 TENU
        "\u1200F",  # ; CUNEIFORM SIGN AB TIMES HA
        "\u12010",  # ; CUNEIFORM SIGN AB TIMES IGI GUNU
        "\u12011",  # ; CUNEIFORM SIGN AB TIMES IMIN
        "\u12012",  # ; CUNEIFORM SIGN AB TIMES LAGAB
        "\u12013",  # ; CUNEIFORM SIGN AB TIMES SHESH
        "\u12014",  # ; CUNEIFORM SIGN AB TIMES U PLUS U PLUS U
        "\u12015",  # ; CUNEIFORM SIGN AB GUNU
        "\u12016",  # ; CUNEIFORM SIGN AB2
        "\u12017",  # ; CUNEIFORM SIGN AB2 TIMES BALAG
        "\u12018",  # ; CUNEIFORM SIGN AB2 TIMES GAN2 TENU
        "\u12019",  # ; CUNEIFORM SIGN AB2 TIMES ME PLUS EN
        "\u1201A",  # ; CUNEIFORM SIGN AB2 TIMES SHA3
        "\u1201B",  # ; CUNEIFORM SIGN AB2 TIMES TAK4
        "\u1201C",  # ; CUNEIFORM SIGN AD
        "\u1201D",  # ; CUNEIFORM SIGN AK
        "\u1201E",  # ; CUNEIFORM SIGN AK TIMES ERIN2
        "\u1201F",  # ; CUNEIFORM SIGN AK TIMES SHITA PLUS GISH
        "\u12020",  # ; CUNEIFORM SIGN AL
        "\u12021",  # ; CUNEIFORM SIGN AL TIMES AL
        "\u12022",  # ; CUNEIFORM SIGN AL TIMES DIM2
        "\u12023",  # ; CUNEIFORM SIGN AL TIMES GISH
        "\u12024",  # ; CUNEIFORM SIGN AL TIMES HA
        "\u12025",  # ; CUNEIFORM SIGN AL TIMES KAD3
        "\u12026",  # ; CUNEIFORM SIGN AL TIMES KI
        "\u12027",  # ; CUNEIFORM SIGN AL TIMES SHE
        "\u12028",  # ; CUNEIFORM SIGN AL TIMES USH
        "\u12029",  # ; CUNEIFORM SIGN ALAN
        "\u1202A",  # ; CUNEIFORM SIGN ALEPH
        "\u1202B",  # ; CUNEIFORM SIGN AMAR
        "\u1202C",  # ; CUNEIFORM SIGN AMAR TIMES SHE
        "\u1202D",  # ; CUNEIFORM SIGN AN
        "\u1202E",  # ; CUNEIFORM SIGN AN OVER AN
        "\u1202F",  # ; CUNEIFORM SIGN AN THREE TIMES
        "\u12030",  # ; CUNEIFORM SIGN AN PLUS NAGA OPPOSING AN PLUS NAGA
        "\u12031",  # ; CUNEIFORM SIGN AN PLUS NAGA SQUARED
        "\u12032",  # ; CUNEIFORM SIGN ANSHE
        "\u12033",  # ; CUNEIFORM SIGN APIN
        "\u12034",  # ; CUNEIFORM SIGN ARAD
        "\u12035",  # ; CUNEIFORM SIGN ARAD TIMES KUR
        "\u12036",  # ; CUNEIFORM SIGN ARKAB
        "\u12037",  # ; CUNEIFORM SIGN ASAL2
        "\u12038",  # ; CUNEIFORM SIGN ASH
        "\u12039",  # ; CUNEIFORM SIGN ASH ZIDA TENU
        "\u1203A",  # ; CUNEIFORM SIGN ASH KABA TENU
        "\u1203B",  # ; CUNEIFORM SIGN ASH OVER ASH TUG2 OVER TUG2 TUG2 OVER TUG2 PAP
        "\u1203C",  # ; CUNEIFORM SIGN ASH OVER ASH OVER ASH
        "\u1203D",  # ; CUNEIFORM SIGN ASH OVER ASH OVER ASH CROSSING ASH OVER ASH OVER ASH
        "\u1203E",  # ; CUNEIFORM SIGN ASH2
        "\u1203F",  # ; CUNEIFORM SIGN ASHGAB
        "\u12040",  # ; CUNEIFORM SIGN BA
        "\u12041",  # ; CUNEIFORM SIGN BAD
        "\u12042",  # ; CUNEIFORM SIGN BAG3
        "\u12043",  # ; CUNEIFORM SIGN BAHAR2
        "\u12044",  # ; CUNEIFORM SIGN BAL
        "\u12045",  # ; CUNEIFORM SIGN BAL OVER BAL
        "\u12046",  # ; CUNEIFORM SIGN BALAG
        "\u12047",  # ; CUNEIFORM SIGN BAR
        "\u12048",  # ; CUNEIFORM SIGN BARA2
        "\u12049",  # ; CUNEIFORM SIGN BI
        "\u1204A",  # ; CUNEIFORM SIGN BI TIMES A
        "\u1204B",  # ; CUNEIFORM SIGN BI TIMES GAR
        "\u1204C",  # ; CUNEIFORM SIGN BI TIMES IGI GUNU
        "\u1204D",  # ; CUNEIFORM SIGN BU
        "\u1204E",  # ; CUNEIFORM SIGN BU OVER BU AB
        "\u1204F",  # ; CUNEIFORM SIGN BU OVER BU UN
        "\u12050",  # ; CUNEIFORM SIGN BU CROSSING BU
        "\u12051",  # ; CUNEIFORM SIGN BULUG
        "\u12052",  # ; CUNEIFORM SIGN BULUG OVER BULUG
        "\u12053",  # ; CUNEIFORM SIGN BUR
        "\u12054",  # ; CUNEIFORM SIGN BUR2
        "\u12055",  # ; CUNEIFORM SIGN DA
        "\u12056",  # ; CUNEIFORM SIGN DAG
        "\u12057",  # ; CUNEIFORM SIGN DAG KISIM5 TIMES A PLUS MASH
        "\u12058",  # ; CUNEIFORM SIGN DAG KISIM5 TIMES AMAR
        "\u12059",  # ; CUNEIFORM SIGN DAG KISIM5 TIMES BALAG
        "\u1205A",  # ; CUNEIFORM SIGN DAG KISIM5 TIMES BI
        "\u1205B",  # ; CUNEIFORM SIGN DAG KISIM5 TIMES GA
        "\u1205C",  # ; CUNEIFORM SIGN DAG KISIM5 TIMES GA PLUS MASH
        "\u1205D",  # ; CUNEIFORM SIGN DAG KISIM5 TIMES GI
        "\u1205E",  # ; CUNEIFORM SIGN DAG KISIM5 TIMES GIR2
        "\u1205F",  # ; CUNEIFORM SIGN DAG KISIM5 TIMES GUD
        "\u12060",  # ; CUNEIFORM SIGN DAG KISIM5 TIMES HA
        "\u12061",  # ; CUNEIFORM SIGN DAG KISIM5 TIMES IR
        "\u12062",  # ; CUNEIFORM SIGN DAG KISIM5 TIMES IR PLUS LU
        "\u12063",  # ; CUNEIFORM SIGN DAG KISIM5 TIMES KAK
        "\u12064",  # ; CUNEIFORM SIGN DAG KISIM5 TIMES LA
        "\u12065",  # ; CUNEIFORM SIGN DAG KISIM5 TIMES LU
        "\u12066",  # ; CUNEIFORM SIGN DAG KISIM5 TIMES LU PLUS MASH2
        "\u12067",  # ; CUNEIFORM SIGN DAG KISIM5 TIMES LUM
        "\u12068",  # ; CUNEIFORM SIGN DAG KISIM5 TIMES NE
        "\u12069",  # ; CUNEIFORM SIGN DAG KISIM5 TIMES PAP PLUS PAP
        "\u1206A",  # ; CUNEIFORM SIGN DAG KISIM5 TIMES SI
        "\u1206B",  # ; CUNEIFORM SIGN DAG KISIM5 TIMES TAK4
        "\u1206C",  # ; CUNEIFORM SIGN DAG KISIM5 TIMES U2 PLUS GIR2
        "\u1206D",  # ; CUNEIFORM SIGN DAG KISIM5 TIMES USH
        "\u1206E",  # ; CUNEIFORM SIGN DAM
        "\u1206F",  # ; CUNEIFORM SIGN DAR
        "\u12070",  # ; CUNEIFORM SIGN DARA3
        "\u12071",  # ; CUNEIFORM SIGN DARA4
        "\u12072",  # ; CUNEIFORM SIGN DI
        "\u12073",  # ; CUNEIFORM SIGN DIB
        "\u12074",  # ; CUNEIFORM SIGN DIM
        "\u12075",  # ; CUNEIFORM SIGN DIM TIMES SHE
        "\u12076",  # ; CUNEIFORM SIGN DIM2
        "\u12077",  # ; CUNEIFORM SIGN DIN
        "\u12078",  # ; CUNEIFORM SIGN DIN KASKAL U GUNU DISH
        "\u12079",  # ; CUNEIFORM SIGN DISH
        "\u1207A",  # ; CUNEIFORM SIGN DU
        "\u1207B",  # ; CUNEIFORM SIGN DU OVER DU
        "\u1207C",  # ; CUNEIFORM SIGN DU GUNU
        "\u1207D",  # ; CUNEIFORM SIGN DU SHESHIG
        "\u1207E",  # ; CUNEIFORM SIGN DUB
        "\u1207F",  # ; CUNEIFORM SIGN DUB TIMES ESH2
        "\u12080",  # ; CUNEIFORM SIGN DUB2
        "\u12081",  # ; CUNEIFORM SIGN DUG
        "\u12082",  # ; CUNEIFORM SIGN DUGUD
        "\u12083",  # ; CUNEIFORM SIGN DUH
        "\u12084",  # ; CUNEIFORM SIGN DUN
        "\u12085",  # ; CUNEIFORM SIGN DUN3
        "\u12086",  # ; CUNEIFORM SIGN DUN3 GUNU
        "\u12087",  # ; CUNEIFORM SIGN DUN3 GUNU GUNU
        "\u12088",  # ; CUNEIFORM SIGN DUN4
        "\u12089",  # ; CUNEIFORM SIGN DUR2
        "\u1208A",  # ; CUNEIFORM SIGN E
        "\u1208B",  # ; CUNEIFORM SIGN E TIMES PAP
        "\u1208C",  # ; CUNEIFORM SIGN E OVER E NUN OVER NUN
        "\u1208D",  # ; CUNEIFORM SIGN E2
        "\u1208E",  # ; CUNEIFORM SIGN E2 TIMES A PLUS HA PLUS DA
        "\u1208F",  # ; CUNEIFORM SIGN E2 TIMES GAR
        "\u12090",  # ; CUNEIFORM SIGN E2 TIMES MI
        "\u12091",  # ; CUNEIFORM SIGN E2 TIMES SAL
        "\u12092",  # ; CUNEIFORM SIGN E2 TIMES SHE
        "\u12093",  # ; CUNEIFORM SIGN E2 TIMES U
        "\u12094",  # ; CUNEIFORM SIGN EDIN
        "\u12095",  # ; CUNEIFORM SIGN EGIR
        "\u12096",  # ; CUNEIFORM SIGN EL
        "\u12097",  # ; CUNEIFORM SIGN EN
        "\u12098",  # ; CUNEIFORM SIGN EN TIMES GAN2
        "\u12099",  # ; CUNEIFORM SIGN EN TIMES GAN2 TENU
        "\u1209A",  # ; CUNEIFORM SIGN EN TIMES ME
        "\u1209B",  # ; CUNEIFORM SIGN EN CROSSING EN
        "\u1209C",  # ; CUNEIFORM SIGN EN OPPOSING EN
        "\u1209D",  # ; CUNEIFORM SIGN EN SQUARED
        "\u1209E",  # ; CUNEIFORM SIGN EREN
        "\u1209F",  # ; CUNEIFORM SIGN ERIN2
        "\u120A0",  # ; CUNEIFORM SIGN ESH2
        "\u120A1",  # ; CUNEIFORM SIGN EZEN
        "\u120A2",  # ; CUNEIFORM SIGN EZEN TIMES A
        "\u120A3",  # ; CUNEIFORM SIGN EZEN TIMES A PLUS LAL
        "\u120A4",  # ; CUNEIFORM SIGN EZEN TIMES A PLUS LAL TIMES LAL
        "\u120A5",  # ; CUNEIFORM SIGN EZEN TIMES AN
        "\u120A6",  # ; CUNEIFORM SIGN EZEN TIMES BAD
        "\u120A7",  # ; CUNEIFORM SIGN EZEN TIMES DUN3 GUNU
        "\u120A8",  # ; CUNEIFORM SIGN EZEN TIMES DUN3 GUNU GUNU
        "\u120A9",  # ; CUNEIFORM SIGN EZEN TIMES HA
        "\u120AA",  # ; CUNEIFORM SIGN EZEN TIMES HA GUNU
        "\u120AB",  # ; CUNEIFORM SIGN EZEN TIMES IGI GUNU
        "\u120AC",  # ; CUNEIFORM SIGN EZEN TIMES KASKAL
        "\u120AD",  # ; CUNEIFORM SIGN EZEN TIMES KASKAL SQUARED
        "\u120AE",  # ; CUNEIFORM SIGN EZEN TIMES KU3
        "\u120AF",  # ; CUNEIFORM SIGN EZEN TIMES LA
        "\u120B0",  # ; CUNEIFORM SIGN EZEN TIMES LAL TIMES LAL
        "\u120B1",  # ; CUNEIFORM SIGN EZEN TIMES LI
        "\u120B2",  # ; CUNEIFORM SIGN EZEN TIMES LU
        "\u120B3",  # ; CUNEIFORM SIGN EZEN TIMES U2
        "\u120B4",  # ; CUNEIFORM SIGN EZEN TIMES UD
        "\u120B5",  # ; CUNEIFORM SIGN GA
        "\u120B6",  # ; CUNEIFORM SIGN GA GUNU
        "\u120B7",  # ; CUNEIFORM SIGN GA2
        "\u120B8",  # ; CUNEIFORM SIGN GA2 TIMES A PLUS DA PLUS HA
        "\u120B9",  # ; CUNEIFORM SIGN GA2 TIMES A PLUS HA
        "\u120BA",  # ; CUNEIFORM SIGN GA2 TIMES A PLUS IGI
        "\u120BB",  # ; CUNEIFORM SIGN GA2 TIMES AB2 TENU PLUS TAB
        "\u120BC",  # ; CUNEIFORM SIGN GA2 TIMES AN
        "\u120BD",  # ; CUNEIFORM SIGN GA2 TIMES ASH
        "\u120BE",  # ; CUNEIFORM SIGN GA2 TIMES ASH2 PLUS GAL
        "\u120BF",  # ; CUNEIFORM SIGN GA2 TIMES BAD
        "\u120C0",  # ; CUNEIFORM SIGN GA2 TIMES BAR PLUS RA
        "\u120C1",  # ; CUNEIFORM SIGN GA2 TIMES BUR
        "\u120C2",  # ; CUNEIFORM SIGN GA2 TIMES BUR PLUS RA
        "\u120C3",  # ; CUNEIFORM SIGN GA2 TIMES DA
        "\u120C4",  # ; CUNEIFORM SIGN GA2 TIMES DI
        "\u120C5",  # ; CUNEIFORM SIGN GA2 TIMES DIM TIMES SHE
        "\u120C6",  # ; CUNEIFORM SIGN GA2 TIMES DUB
        "\u120C7",  # ; CUNEIFORM SIGN GA2 TIMES EL
        "\u120C8",  # ; CUNEIFORM SIGN GA2 TIMES EL PLUS LA
        "\u120C9",  # ; CUNEIFORM SIGN GA2 TIMES EN
        "\u120CA",  # ; CUNEIFORM SIGN GA2 TIMES EN TIMES GAN2 TENU
        "\u120CB",  # ; CUNEIFORM SIGN GA2 TIMES GAN2 TENU
        "\u120CC",  # ; CUNEIFORM SIGN GA2 TIMES GAR
        "\u120CD",  # ; CUNEIFORM SIGN GA2 TIMES GI
        "\u120CE",  # ; CUNEIFORM SIGN GA2 TIMES GI4
        "\u120CF",  # ; CUNEIFORM SIGN GA2 TIMES GI4 PLUS A
        "\u120D0",  # ; CUNEIFORM SIGN GA2 TIMES GIR2 PLUS SU
        "\u120D1",  # ; CUNEIFORM SIGN GA2 TIMES HA PLUS LU PLUS ESH2
        "\u120D2",  # ; CUNEIFORM SIGN GA2 TIMES HAL
        "\u120D3",  # ; CUNEIFORM SIGN GA2 TIMES HAL PLUS LA
        "\u120D4",  # ; CUNEIFORM SIGN GA2 TIMES HI PLUS LI
        "\u120D5",  # ; CUNEIFORM SIGN GA2 TIMES HUB2
        "\u120D6",  # ; CUNEIFORM SIGN GA2 TIMES IGI GUNU
        "\u120D7",  # ; CUNEIFORM SIGN GA2 TIMES ISH PLUS HU PLUS ASH
        "\u120D8",  # ; CUNEIFORM SIGN GA2 TIMES KAK
        "\u120D9",  # ; CUNEIFORM SIGN GA2 TIMES KASKAL
        "\u120DA",  # ; CUNEIFORM SIGN GA2 TIMES KID
        "\u120DB",  # ; CUNEIFORM SIGN GA2 TIMES KID PLUS LAL
        "\u120DC",  # ; CUNEIFORM SIGN GA2 TIMES KU3 PLUS AN
        "\u120DD",  # ; CUNEIFORM SIGN GA2 TIMES LA
        "\u120DE",  # ; CUNEIFORM SIGN GA2 TIMES ME PLUS EN
        "\u120DF",  # ; CUNEIFORM SIGN GA2 TIMES MI
        "\u120E0",  # ; CUNEIFORM SIGN GA2 TIMES NUN
        "\u120E1",  # ; CUNEIFORM SIGN GA2 TIMES NUN OVER NUN
        "\u120E2",  # ; CUNEIFORM SIGN GA2 TIMES PA
        "\u120E3",  # ; CUNEIFORM SIGN GA2 TIMES SAL
        "\u120E4",  # ; CUNEIFORM SIGN GA2 TIMES SAR
        "\u120E5",  # ; CUNEIFORM SIGN GA2 TIMES SHE
        "\u120E6",  # ; CUNEIFORM SIGN GA2 TIMES SHE PLUS TUR
        "\u120E7",  # ; CUNEIFORM SIGN GA2 TIMES SHID
        "\u120E8",  # ; CUNEIFORM SIGN GA2 TIMES SUM
        "\u120E9",  # ; CUNEIFORM SIGN GA2 TIMES TAK4
        "\u120EA",  # ; CUNEIFORM SIGN GA2 TIMES U
        "\u120EB",  # ; CUNEIFORM SIGN GA2 TIMES UD
        "\u120EC",  # ; CUNEIFORM SIGN GA2 TIMES UD PLUS DU
        "\u120ED",  # ; CUNEIFORM SIGN GA2 OVER GA2
        "\u120EE",  # ; CUNEIFORM SIGN GABA
        "\u120EF",  # ; CUNEIFORM SIGN GABA CROSSING GABA
        "\u120F0",  # ; CUNEIFORM SIGN GAD
        "\u120F1",  # ; CUNEIFORM SIGN GAD OVER GAD GAR OVER GAR
        "\u120F2",  # ; CUNEIFORM SIGN GAL
        "\u120F3",  # ; CUNEIFORM SIGN GAL GAD OVER GAD GAR OVER GAR
        "\u120F4",  # ; CUNEIFORM SIGN GALAM
        "\u120F5",  # ; CUNEIFORM SIGN GAM
        "\u120F6",  # ; CUNEIFORM SIGN GAN
        "\u120F7",  # ; CUNEIFORM SIGN GAN2
        "\u120F8",  # ; CUNEIFORM SIGN GAN2 TENU
        "\u120F9",  # ; CUNEIFORM SIGN GAN2 OVER GAN2
        "\u120FA",  # ; CUNEIFORM SIGN GAN2 CROSSING GAN2
        "\u120FB",  # ; CUNEIFORM SIGN GAR
        "\u120FC",  # ; CUNEIFORM SIGN GAR3
        "\u120FD",  # ; CUNEIFORM SIGN GASHAN
        "\u120FE",  # ; CUNEIFORM SIGN GESHTIN
        "\u120FF",  # ; CUNEIFORM SIGN GESHTIN TIMES KUR
        "\u12100",  # ; CUNEIFORM SIGN GI
        "\u12101",  # ; CUNEIFORM SIGN GI TIMES E
        "\u12102",  # ; CUNEIFORM SIGN GI TIMES U
        "\u12103",  # ; CUNEIFORM SIGN GI CROSSING GI
        "\u12104",  # ; CUNEIFORM SIGN GI4
        "\u12105",  # ; CUNEIFORM SIGN GI4 OVER GI4
        "\u12106",  # ; CUNEIFORM SIGN GI4 CROSSING GI4
        "\u12107",  # ; CUNEIFORM SIGN GIDIM
        "\u12108",  # ; CUNEIFORM SIGN GIR2
        "\u12109",  # ; CUNEIFORM SIGN GIR2 GUNU
        "\u1210A",  # ; CUNEIFORM SIGN GIR3
        "\u1210B",  # ; CUNEIFORM SIGN GIR3 TIMES A PLUS IGI
        "\u1210C",  # ; CUNEIFORM SIGN GIR3 TIMES GAN2 TENU
        "\u1210D",  # ; CUNEIFORM SIGN GIR3 TIMES IGI
        "\u1210E",  # ; CUNEIFORM SIGN GIR3 TIMES LU PLUS IGI
        "\u1210F",  # ; CUNEIFORM SIGN GIR3 TIMES PA
        "\u12110",  # ; CUNEIFORM SIGN GISAL
        "\u12111",  # ; CUNEIFORM SIGN GISH
        "\u12112",  # ; CUNEIFORM SIGN GISH CROSSING GISH
        "\u12113",  # ; CUNEIFORM SIGN GISH TIMES BAD
        "\u12114",  # ; CUNEIFORM SIGN GISH TIMES TAK4
        "\u12115",  # ; CUNEIFORM SIGN GISH TENU
        "\u12116",  # ; CUNEIFORM SIGN GU
        "\u12117",  # ; CUNEIFORM SIGN GU CROSSING GU
        "\u12118",  # ; CUNEIFORM SIGN GU2
        "\u12119",  # ; CUNEIFORM SIGN GU2 TIMES KAK
        "\u1211A",  # ; CUNEIFORM SIGN GU2 TIMES KAK TIMES IGI GUNU
        "\u1211B",  # ; CUNEIFORM SIGN GU2 TIMES NUN
        "\u1211C",  # ; CUNEIFORM SIGN GU2 TIMES SAL PLUS TUG2
        "\u1211D",  # ; CUNEIFORM SIGN GU2 GUNU
        "\u1211E",  # ; CUNEIFORM SIGN GUD
        "\u1211F",  # ; CUNEIFORM SIGN GUD TIMES A PLUS KUR
        "\u12120",  # ; CUNEIFORM SIGN GUD TIMES KUR
        "\u12121",  # ; CUNEIFORM SIGN GUD OVER GUD LUGAL
        "\u12122",  # ; CUNEIFORM SIGN GUL
        "\u12123",  # ; CUNEIFORM SIGN GUM
        "\u12124",  # ; CUNEIFORM SIGN GUM TIMES SHE
        "\u12125",  # ; CUNEIFORM SIGN GUR
        "\u12126",  # ; CUNEIFORM SIGN GUR7
        "\u12127",  # ; CUNEIFORM SIGN GURUN
        "\u12128",  # ; CUNEIFORM SIGN GURUSH
        "\u12129",  # ; CUNEIFORM SIGN HA
        "\u1212A",  # ; CUNEIFORM SIGN HA TENU
        "\u1212B",  # ; CUNEIFORM SIGN HA GUNU
        "\u1212C",  # ; CUNEIFORM SIGN HAL
        "\u1212D",  # ; CUNEIFORM SIGN HI
        "\u1212E",  # ; CUNEIFORM SIGN HI TIMES ASH
        "\u1212F",  # ; CUNEIFORM SIGN HI TIMES ASH2
        "\u12130",  # ; CUNEIFORM SIGN HI TIMES BAD
        "\u12131",  # ; CUNEIFORM SIGN HI TIMES DISH
        "\u12132",  # ; CUNEIFORM SIGN HI TIMES GAD
        "\u12133",  # ; CUNEIFORM SIGN HI TIMES KIN
        "\u12134",  # ; CUNEIFORM SIGN HI TIMES NUN
        "\u12135",  # ; CUNEIFORM SIGN HI TIMES SHE
        "\u12136",  # ; CUNEIFORM SIGN HI TIMES U
        "\u12137",  # ; CUNEIFORM SIGN HU
        "\u12138",  # ; CUNEIFORM SIGN HUB2
        "\u12139",  # ; CUNEIFORM SIGN HUB2 TIMES AN
        "\u1213A",  # ; CUNEIFORM SIGN HUB2 TIMES HAL
        "\u1213B",  # ; CUNEIFORM SIGN HUB2 TIMES KASKAL
        "\u1213C",  # ; CUNEIFORM SIGN HUB2 TIMES LISH
        "\u1213D",  # ; CUNEIFORM SIGN HUB2 TIMES UD
        "\u1213E",  # ; CUNEIFORM SIGN HUL2
        "\u1213F",  # ; CUNEIFORM SIGN I
        "\u12140",  # ; CUNEIFORM SIGN I A
        "\u12141",  # ; CUNEIFORM SIGN IB
        "\u12142",  # ; CUNEIFORM SIGN IDIM
        "\u12143",  # ; CUNEIFORM SIGN IDIM OVER IDIM BUR
        "\u12144",  # ; CUNEIFORM SIGN IDIM OVER IDIM SQUARED
        "\u12145",  # ; CUNEIFORM SIGN IG
        "\u12146",  # ; CUNEIFORM SIGN IGI
        "\u12147",  # ; CUNEIFORM SIGN IGI DIB
        "\u12148",  # ; CUNEIFORM SIGN IGI RI
        "\u12149",  # ; CUNEIFORM SIGN IGI OVER IGI SHIR OVER SHIR UD OVER UD
        "\u1214A",  # ; CUNEIFORM SIGN IGI GUNU
        "\u1214B",  # ; CUNEIFORM SIGN IL
        "\u1214C",  # ; CUNEIFORM SIGN IL TIMES GAN2 TENU
        "\u1214D",  # ; CUNEIFORM SIGN IL2
        "\u1214E",  # ; CUNEIFORM SIGN IM
        "\u1214F",  # ; CUNEIFORM SIGN IM TIMES TAK4
        "\u12150",  # ; CUNEIFORM SIGN IM CROSSING IM
        "\u12151",  # ; CUNEIFORM SIGN IM OPPOSING IM
        "\u12152",  # ; CUNEIFORM SIGN IM SQUARED
        "\u12153",  # ; CUNEIFORM SIGN IMIN
        "\u12154",  # ; CUNEIFORM SIGN IN
        "\u12155",  # ; CUNEIFORM SIGN IR
        "\u12156",  # ; CUNEIFORM SIGN ISH
        "\u12157",  # ; CUNEIFORM SIGN KA
        "\u12158",  # ; CUNEIFORM SIGN KA TIMES A
        "\u12159",  # ; CUNEIFORM SIGN KA TIMES AD
        "\u1215A",  # ; CUNEIFORM SIGN KA TIMES AD PLUS KU3
        "\u1215B",  # ; CUNEIFORM SIGN KA TIMES ASH2
        "\u1215C",  # ; CUNEIFORM SIGN KA TIMES BAD
        "\u1215D",  # ; CUNEIFORM SIGN KA TIMES BALAG
        "\u1215E",  # ; CUNEIFORM SIGN KA TIMES BAR
        "\u1215F",  # ; CUNEIFORM SIGN KA TIMES BI
        "\u12160",  # ; CUNEIFORM SIGN KA TIMES ERIN2
        "\u12161",  # ; CUNEIFORM SIGN KA TIMES ESH2
        "\u12162",  # ; CUNEIFORM SIGN KA TIMES GA
        "\u12163",  # ; CUNEIFORM SIGN KA TIMES GAL
        "\u12164",  # ; CUNEIFORM SIGN KA TIMES GAN2 TENU
        "\u12165",  # ; CUNEIFORM SIGN KA TIMES GAR
        "\u12166",  # ; CUNEIFORM SIGN KA TIMES GAR PLUS SHA3 PLUS A
        "\u12167",  # ; CUNEIFORM SIGN KA TIMES GI
        "\u12168",  # ; CUNEIFORM SIGN KA TIMES GIR2
        "\u12169",  # ; CUNEIFORM SIGN KA TIMES GISH PLUS SAR
        "\u1216A",  # ; CUNEIFORM SIGN KA TIMES GISH CROSSING GISH
        "\u1216B",  # ; CUNEIFORM SIGN KA TIMES GU
        "\u1216C",  # ; CUNEIFORM SIGN KA TIMES GUR7
        "\u1216D",  # ; CUNEIFORM SIGN KA TIMES IGI
        "\u1216E",  # ; CUNEIFORM SIGN KA TIMES IM
        "\u1216F",  # ; CUNEIFORM SIGN KA TIMES KAK
        "\u12170",  # ; CUNEIFORM SIGN KA TIMES KI
        "\u12171",  # ; CUNEIFORM SIGN KA TIMES KID
        "\u12172",  # ; CUNEIFORM SIGN KA TIMES LI
        "\u12173",  # ; CUNEIFORM SIGN KA TIMES LU
        "\u12174",  # ; CUNEIFORM SIGN KA TIMES ME
        "\u12175",  # ; CUNEIFORM SIGN KA TIMES ME PLUS DU
        "\u12176",  # ; CUNEIFORM SIGN KA TIMES ME PLUS GI
        "\u12177",  # ; CUNEIFORM SIGN KA TIMES ME PLUS TE
        "\u12178",  # ; CUNEIFORM SIGN KA TIMES MI
        "\u12179",  # ; CUNEIFORM SIGN KA TIMES MI PLUS NUNUZ
        "\u1217A",  # ; CUNEIFORM SIGN KA TIMES NE
        "\u1217B",  # ; CUNEIFORM SIGN KA TIMES NUN
        "\u1217C",  # ; CUNEIFORM SIGN KA TIMES PI
        "\u1217D",  # ; CUNEIFORM SIGN KA TIMES RU
        "\u1217E",  # ; CUNEIFORM SIGN KA TIMES SA
        "\u1217F",  # ; CUNEIFORM SIGN KA TIMES SAR
        "\u12180",  # ; CUNEIFORM SIGN KA TIMES SHA
        "\u12181",  # ; CUNEIFORM SIGN KA TIMES SHE
        "\u12182",  # ; CUNEIFORM SIGN KA TIMES SHID
        "\u12183",  # ; CUNEIFORM SIGN KA TIMES SHU
        "\u12184",  # ; CUNEIFORM SIGN KA TIMES SIG
        "\u12185",  # ; CUNEIFORM SIGN KA TIMES SUHUR
        "\u12186",  # ; CUNEIFORM SIGN KA TIMES TAR
        "\u12187",  # ; CUNEIFORM SIGN KA TIMES U
        "\u12188",  # ; CUNEIFORM SIGN KA TIMES U2
        "\u12189",  # ; CUNEIFORM SIGN KA TIMES UD
        "\u1218A",  # ; CUNEIFORM SIGN KA TIMES UMUM TIMES PA
        "\u1218B",  # ; CUNEIFORM SIGN KA TIMES USH
        "\u1218C",  # ; CUNEIFORM SIGN KA TIMES ZI
        "\u1218D",  # ; CUNEIFORM SIGN KA2
        "\u1218E",  # ; CUNEIFORM SIGN KA2 CROSSING KA2
        "\u1218F",  # ; CUNEIFORM SIGN KAB
        "\u12190",  # ; CUNEIFORM SIGN KAD2
        "\u12191",  # ; CUNEIFORM SIGN KAD3
        "\u12192",  # ; CUNEIFORM SIGN KAD4
        "\u12193",  # ; CUNEIFORM SIGN KAD5
        "\u12194",  # ; CUNEIFORM SIGN KAD5 OVER KAD5
        "\u12195",  # ; CUNEIFORM SIGN KAK
        "\u12196",  # ; CUNEIFORM SIGN KAK TIMES IGI GUNU
        "\u12197",  # ; CUNEIFORM SIGN KAL
        "\u12198",  # ; CUNEIFORM SIGN KAL TIMES BAD
        "\u12199",  # ; CUNEIFORM SIGN KAL CROSSING KAL
        "\u1219A",  # ; CUNEIFORM SIGN KAM2
        "\u1219B",  # ; CUNEIFORM SIGN KAM4
        "\u1219C",  # ; CUNEIFORM SIGN KASKAL
        "\u1219D",  # ; CUNEIFORM SIGN KASKAL LAGAB TIMES U OVER LAGAB TIMES U
        "\u1219E",  # ; CUNEIFORM SIGN KASKAL OVER KASKAL LAGAB TIMES U OVER LAGAB TIMES U
        "\u1219F",  # ; CUNEIFORM SIGN KESH2
        "\u121A0",  # ; CUNEIFORM SIGN KI
        "\u121A1",  # ; CUNEIFORM SIGN KI TIMES BAD
        "\u121A2",  # ; CUNEIFORM SIGN KI TIMES U
        "\u121A3",  # ; CUNEIFORM SIGN KI TIMES UD
        "\u121A4",  # ; CUNEIFORM SIGN KID
        "\u121A5",  # ; CUNEIFORM SIGN KIN
        "\u121A6",  # ; CUNEIFORM SIGN KISAL
        "\u121A7",  # ; CUNEIFORM SIGN KISH
        "\u121A8",  # ; CUNEIFORM SIGN KISIM5
        "\u121A9",  # ; CUNEIFORM SIGN KISIM5 OVER KISIM5
        "\u121AA",  # ; CUNEIFORM SIGN KU
        "\u121AB",  # ; CUNEIFORM SIGN KU OVER HI TIMES ASH2 KU OVER HI TIMES ASH2
        "\u121AC",  # ; CUNEIFORM SIGN KU3
        "\u121AD",  # ; CUNEIFORM SIGN KU4
        "\u121AE",  # ; CUNEIFORM SIGN KU4 VARIANT FORM
        "\u121AF",  # ; CUNEIFORM SIGN KU7
        "\u121B0",  # ; CUNEIFORM SIGN KUL
        "\u121B1",  # ; CUNEIFORM SIGN KUL GUNU
        "\u121B2",  # ; CUNEIFORM SIGN KUN
        "\u121B3",  # ; CUNEIFORM SIGN KUR
        "\u121B4",  # ; CUNEIFORM SIGN KUR OPPOSING KUR
        "\u121B5",  # ; CUNEIFORM SIGN KUSHU2
        "\u121B6",  # ; CUNEIFORM SIGN KWU318
        "\u121B7",  # ; CUNEIFORM SIGN LA
        "\u121B8",  # ; CUNEIFORM SIGN LAGAB
        "\u121B9",  # ; CUNEIFORM SIGN LAGAB TIMES A
        "\u121BA",  # ; CUNEIFORM SIGN LAGAB TIMES A PLUS DA PLUS HA
        "\u121BB",  # ; CUNEIFORM SIGN LAGAB TIMES A PLUS GAR
        "\u121BC",  # ; CUNEIFORM SIGN LAGAB TIMES A PLUS LAL
        "\u121BD",  # ; CUNEIFORM SIGN LAGAB TIMES AL
        "\u121BE",  # ; CUNEIFORM SIGN LAGAB TIMES AN
        "\u121BF",  # ; CUNEIFORM SIGN LAGAB TIMES ASH ZIDA TENU
        "\u121C0",  # ; CUNEIFORM SIGN LAGAB TIMES BAD
        "\u121C1",  # ; CUNEIFORM SIGN LAGAB TIMES BI
        "\u121C2",  # ; CUNEIFORM SIGN LAGAB TIMES DAR
        "\u121C3",  # ; CUNEIFORM SIGN LAGAB TIMES EN
        "\u121C4",  # ; CUNEIFORM SIGN LAGAB TIMES GA
        "\u121C5",  # ; CUNEIFORM SIGN LAGAB TIMES GAR
        "\u121C6",  # ; CUNEIFORM SIGN LAGAB TIMES GUD
        "\u121C7",  # ; CUNEIFORM SIGN LAGAB TIMES GUD PLUS GUD
        "\u121C8",  # ; CUNEIFORM SIGN LAGAB TIMES HA
        "\u121C9",  # ; CUNEIFORM SIGN LAGAB TIMES HAL
        "\u121CA",  # ; CUNEIFORM SIGN LAGAB TIMES HI TIMES NUN
        "\u121CB",  # ; CUNEIFORM SIGN LAGAB TIMES IGI GUNU
        "\u121CC",  # ; CUNEIFORM SIGN LAGAB TIMES IM
        "\u121CD",  # ; CUNEIFORM SIGN LAGAB TIMES IM PLUS HA
        "\u121CE",  # ; CUNEIFORM SIGN LAGAB TIMES IM PLUS LU
        "\u121CF",  # ; CUNEIFORM SIGN LAGAB TIMES KI
        "\u121D0",  # ; CUNEIFORM SIGN LAGAB TIMES KIN
        "\u121D1",  # ; CUNEIFORM SIGN LAGAB TIMES KU3
        "\u121D2",  # ; CUNEIFORM SIGN LAGAB TIMES KUL
        "\u121D3",  # ; CUNEIFORM SIGN LAGAB TIMES KUL PLUS HI PLUS A
        "\u121D4",  # ; CUNEIFORM SIGN LAGAB TIMES LAGAB
        "\u121D5",  # ; CUNEIFORM SIGN LAGAB TIMES LISH
        "\u121D6",  # ; CUNEIFORM SIGN LAGAB TIMES LU
        "\u121D7",  # ; CUNEIFORM SIGN LAGAB TIMES LUL
        "\u121D8",  # ; CUNEIFORM SIGN LAGAB TIMES ME
        "\u121D9",  # ; CUNEIFORM SIGN LAGAB TIMES ME PLUS EN
        "\u121DA",  # ; CUNEIFORM SIGN LAGAB TIMES MUSH
        "\u121DB",  # ; CUNEIFORM SIGN LAGAB TIMES NE
        "\u121DC",  # ; CUNEIFORM SIGN LAGAB TIMES SHE PLUS SUM
        "\u121DD",  # ; CUNEIFORM SIGN LAGAB TIMES SHITA PLUS GISH PLUS ERIN2
        "\u121DE",  # ; CUNEIFORM SIGN LAGAB TIMES SHITA PLUS GISH TENU
        "\u121DF",  # ; CUNEIFORM SIGN LAGAB TIMES SHU2
        "\u121E0",  # ; CUNEIFORM SIGN LAGAB TIMES SHU2 PLUS SHU2
        "\u121E1",  # ; CUNEIFORM SIGN LAGAB TIMES SUM
        "\u121E2",  # ; CUNEIFORM SIGN LAGAB TIMES TAG
        "\u121E3",  # ; CUNEIFORM SIGN LAGAB TIMES TAK4
        "\u121E4",  # ; CUNEIFORM SIGN LAGAB TIMES TE PLUS A PLUS SU PLUS NA
        "\u121E5",  # ; CUNEIFORM SIGN LAGAB TIMES U
        "\u121E6",  # ; CUNEIFORM SIGN LAGAB TIMES U PLUS A
        "\u121E7",  # ; CUNEIFORM SIGN LAGAB TIMES U PLUS U PLUS U
        "\u121E8",  # ; CUNEIFORM SIGN LAGAB TIMES U2 PLUS ASH
        "\u121E9",  # ; CUNEIFORM SIGN LAGAB TIMES UD
        "\u121EA",  # ; CUNEIFORM SIGN LAGAB TIMES USH
        "\u121EB",  # ; CUNEIFORM SIGN LAGAB SQUARED
        "\u121EC",  # ; CUNEIFORM SIGN LAGAR
        "\u121ED",  # ; CUNEIFORM SIGN LAGAR TIMES SHE
        "\u121EE",  # ; CUNEIFORM SIGN LAGAR TIMES SHE PLUS SUM
        "\u121EF",  # ; CUNEIFORM SIGN LAGAR GUNU
        "\u121F0",  # ; CUNEIFORM SIGN LAGAR GUNU OVER LAGAR GUNU SHE
        "\u121F1",  # ; CUNEIFORM SIGN LAHSHU
        "\u121F2",  # ; CUNEIFORM SIGN LAL
        "\u121F3",  # ; CUNEIFORM SIGN LAL TIMES LAL
        "\u121F4",  # ; CUNEIFORM SIGN LAM
        "\u121F5",  # ; CUNEIFORM SIGN LAM TIMES KUR
        "\u121F6",  # ; CUNEIFORM SIGN LAM TIMES KUR PLUS RU
        "\u121F7",  # ; CUNEIFORM SIGN LI
        "\u121F8",  # ; CUNEIFORM SIGN LIL
        "\u121F9",  # ; CUNEIFORM SIGN LIMMU2
        "\u121FA",  # ; CUNEIFORM SIGN LISH
        "\u121FB",  # ; CUNEIFORM SIGN LU
        "\u121FC",  # ; CUNEIFORM SIGN LU TIMES BAD
        "\u121FD",  # ; CUNEIFORM SIGN LU2
        "\u121FE",  # ; CUNEIFORM SIGN LU2 TIMES AL
        "\u121FF",  # ; CUNEIFORM SIGN LU2 TIMES BAD
        "\u12200",  # ; CUNEIFORM SIGN LU2 TIMES ESH2
        "\u12201",  # ; CUNEIFORM SIGN LU2 TIMES ESH2 TENU
        "\u12202",  # ; CUNEIFORM SIGN LU2 TIMES GAN2 TENU
        "\u12203",  # ; CUNEIFORM SIGN LU2 TIMES HI TIMES BAD
        "\u12204",  # ; CUNEIFORM SIGN LU2 TIMES IM
        "\u12205",  # ; CUNEIFORM SIGN LU2 TIMES KAD2
        "\u12206",  # ; CUNEIFORM SIGN LU2 TIMES KAD3
        "\u12207",  # ; CUNEIFORM SIGN LU2 TIMES KAD3 PLUS ASH
        "\u12208",  # ; CUNEIFORM SIGN LU2 TIMES KI
        "\u12209",  # ; CUNEIFORM SIGN LU2 TIMES LA PLUS ASH
        "\u1220A",  # ; CUNEIFORM SIGN LU2 TIMES LAGAB
        "\u1220B",  # ; CUNEIFORM SIGN LU2 TIMES ME PLUS EN
        "\u1220C",  # ; CUNEIFORM SIGN LU2 TIMES NE
        "\u1220D",  # ; CUNEIFORM SIGN LU2 TIMES NU
        "\u1220E",  # ; CUNEIFORM SIGN LU2 TIMES SI PLUS ASH
        "\u1220F",  # ; CUNEIFORM SIGN LU2 TIMES SIK2 PLUS BU
        "\u12210",  # ; CUNEIFORM SIGN LU2 TIMES TUG2
        "\u12211",  # ; CUNEIFORM SIGN LU2 TENU
        "\u12212",  # ; CUNEIFORM SIGN LU2 CROSSING LU2
        "\u12213",  # ; CUNEIFORM SIGN LU2 OPPOSING LU2
        "\u12214",  # ; CUNEIFORM SIGN LU2 SQUARED
        "\u12215",  # ; CUNEIFORM SIGN LU2 SHESHIG
        "\u12216",  # ; CUNEIFORM SIGN LU3
        "\u12217",  # ; CUNEIFORM SIGN LUGAL
        "\u12218",  # ; CUNEIFORM SIGN LUGAL OVER LUGAL
        "\u12219",  # ; CUNEIFORM SIGN LUGAL OPPOSING LUGAL
        "\u1221A",  # ; CUNEIFORM SIGN LUGAL SHESHIG
        "\u1221B",  # ; CUNEIFORM SIGN LUH
        "\u1221C",  # ; CUNEIFORM SIGN LUL
        "\u1221D",  # ; CUNEIFORM SIGN LUM
        "\u1221E",  # ; CUNEIFORM SIGN LUM OVER LUM
        "\u1221F",  # ; CUNEIFORM SIGN LUM OVER LUM GAR OVER GAR
        "\u12220",  # ; CUNEIFORM SIGN MA
        "\u12221",  # ; CUNEIFORM SIGN MA TIMES TAK4
        "\u12222",  # ; CUNEIFORM SIGN MA GUNU
        "\u12223",  # ; CUNEIFORM SIGN MA2
        "\u12224",  # ; CUNEIFORM SIGN MAH
        "\u12225",  # ; CUNEIFORM SIGN MAR
        "\u12226",  # ; CUNEIFORM SIGN MASH
        "\u12227",  # ; CUNEIFORM SIGN MASH2
        "\u12228",  # ; CUNEIFORM SIGN ME
        "\u12229",  # ; CUNEIFORM SIGN MES
        "\u1222A",  # ; CUNEIFORM SIGN MI
        "\u1222B",  # ; CUNEIFORM SIGN MIN
        "\u1222C",  # ; CUNEIFORM SIGN MU
        "\u1222D",  # ; CUNEIFORM SIGN MU OVER MU
        "\u1222E",  # ; CUNEIFORM SIGN MUG
        "\u1222F",  # ; CUNEIFORM SIGN MUG GUNU
        "\u12230",  # ; CUNEIFORM SIGN MUNSUB
        "\u12231",  # ; CUNEIFORM SIGN MURGU2
        "\u12232",  # ; CUNEIFORM SIGN MUSH
        "\u12233",  # ; CUNEIFORM SIGN MUSH TIMES A
        "\u12234",  # ; CUNEIFORM SIGN MUSH TIMES KUR
        "\u12235",  # ; CUNEIFORM SIGN MUSH TIMES ZA
        "\u12236",  # ; CUNEIFORM SIGN MUSH OVER MUSH
        "\u12237",  # ; CUNEIFORM SIGN MUSH OVER MUSH TIMES A PLUS NA
        "\u12238",  # ; CUNEIFORM SIGN MUSH CROSSING MUSH
        "\u12239",  # ; CUNEIFORM SIGN MUSH3
        "\u1223A",  # ; CUNEIFORM SIGN MUSH3 TIMES A
        "\u1223B",  # ; CUNEIFORM SIGN MUSH3 TIMES A PLUS DI
        "\u1223C",  # ; CUNEIFORM SIGN MUSH3 TIMES DI
        "\u1223D",  # ; CUNEIFORM SIGN MUSH3 GUNU
        "\u1223E",  # ; CUNEIFORM SIGN NA
        "\u1223F",  # ; CUNEIFORM SIGN NA2
        "\u12240",  # ; CUNEIFORM SIGN NAGA
        "\u12241",  # ; CUNEIFORM SIGN NAGA INVERTED
        "\u12242",  # ; CUNEIFORM SIGN NAGA TIMES SHU TENU
        "\u12243",  # ; CUNEIFORM SIGN NAGA OPPOSING NAGA
        "\u12244",  # ; CUNEIFORM SIGN NAGAR
        "\u12245",  # ; CUNEIFORM SIGN NAM NUTILLU
        "\u12246",  # ; CUNEIFORM SIGN NAM
        "\u12247",  # ; CUNEIFORM SIGN NAM2
        "\u12248",  # ; CUNEIFORM SIGN NE
        "\u12249",  # ; CUNEIFORM SIGN NE TIMES A
        "\u1224A",  # ; CUNEIFORM SIGN NE TIMES UD
        "\u1224B",  # ; CUNEIFORM SIGN NE SHESHIG
        "\u1224C",  # ; CUNEIFORM SIGN NI
        "\u1224D",  # ; CUNEIFORM SIGN NI TIMES E
        "\u1224E",  # ; CUNEIFORM SIGN NI2
        "\u1224F",  # ; CUNEIFORM SIGN NIM
        "\u12250",  # ; CUNEIFORM SIGN NIM TIMES GAN2 TENU
        "\u12251",  # ; CUNEIFORM SIGN NIM TIMES GAR PLUS GAN2 TENU
        "\u12252",  # ; CUNEIFORM SIGN NINDA2
        "\u12253",  # ; CUNEIFORM SIGN NINDA2 TIMES AN
        "\u12254",  # ; CUNEIFORM SIGN NINDA2 TIMES ASH
        "\u12255",  # ; CUNEIFORM SIGN NINDA2 TIMES ASH PLUS ASH
        "\u12256",  # ; CUNEIFORM SIGN NINDA2 TIMES GUD
        "\u12257",  # ; CUNEIFORM SIGN NINDA2 TIMES ME PLUS GAN2 TENU
        "\u12258",  # ; CUNEIFORM SIGN NINDA2 TIMES NE
        "\u12259",  # ; CUNEIFORM SIGN NINDA2 TIMES NUN
        "\u1225A",  # ; CUNEIFORM SIGN NINDA2 TIMES SHE
        "\u1225B",  # ; CUNEIFORM SIGN NINDA2 TIMES SHE PLUS A AN
        "\u1225C",  # ; CUNEIFORM SIGN NINDA2 TIMES SHE PLUS ASH
        "\u1225D",  # ; CUNEIFORM SIGN NINDA2 TIMES SHE PLUS ASH PLUS ASH
        "\u1225E",  # ; CUNEIFORM SIGN NINDA2 TIMES U2 PLUS ASH
        "\u1225F",  # ; CUNEIFORM SIGN NINDA2 TIMES USH
        "\u12260",  # ; CUNEIFORM SIGN NISAG
        "\u12261",  # ; CUNEIFORM SIGN NU
        "\u12262",  # ; CUNEIFORM SIGN NU11
        "\u12263",  # ; CUNEIFORM SIGN NUN
        "\u12264",  # ; CUNEIFORM SIGN NUN LAGAR TIMES GAR
        "\u12265",  # ; CUNEIFORM SIGN NUN LAGAR TIMES MASH
        "\u12266",  # ; CUNEIFORM SIGN NUN LAGAR TIMES SAL
        "\u12267",  # ; CUNEIFORM SIGN NUN LAGAR TIMES SAL OVER NUN LAGAR TIMES SAL
        "\u12268",  # ; CUNEIFORM SIGN NUN LAGAR TIMES USH
        "\u12269",  # ; CUNEIFORM SIGN NUN TENU
        "\u1226A",  # ; CUNEIFORM SIGN NUN OVER NUN
        "\u1226B",  # ; CUNEIFORM SIGN NUN CROSSING NUN
        "\u1226C",  # ; CUNEIFORM SIGN NUN CROSSING NUN LAGAR OVER LAGAR
        "\u1226D",  # ; CUNEIFORM SIGN NUNUZ
        "\u1226E",  # ; CUNEIFORM SIGN NUNUZ AB2 TIMES ASHGAB
        "\u1226F",  # ; CUNEIFORM SIGN NUNUZ AB2 TIMES BI
        "\u12270",  # ; CUNEIFORM SIGN NUNUZ AB2 TIMES DUG
        "\u12271",  # ; CUNEIFORM SIGN NUNUZ AB2 TIMES GUD
        "\u12272",  # ; CUNEIFORM SIGN NUNUZ AB2 TIMES IGI GUNU
        "\u12273",  # ; CUNEIFORM SIGN NUNUZ AB2 TIMES KAD3
        "\u12274",  # ; CUNEIFORM SIGN NUNUZ AB2 TIMES LA
        "\u12275",  # ; CUNEIFORM SIGN NUNUZ AB2 TIMES NE
        "\u12276",  # ; CUNEIFORM SIGN NUNUZ AB2 TIMES SILA3
        "\u12277",  # ; CUNEIFORM SIGN NUNUZ AB2 TIMES U2
        "\u12278",  # ; CUNEIFORM SIGN NUNUZ KISIM5 TIMES BI
        "\u12279",  # ; CUNEIFORM SIGN NUNUZ KISIM5 TIMES BI U
        "\u1227A",  # ; CUNEIFORM SIGN PA
        "\u1227B",  # ; CUNEIFORM SIGN PAD
        "\u1227C",  # ; CUNEIFORM SIGN PAN
        "\u1227D",  # ; CUNEIFORM SIGN PAP
        "\u1227E",  # ; CUNEIFORM SIGN PESH2
        "\u1227F",  # ; CUNEIFORM SIGN PI
        "\u12280",  # ; CUNEIFORM SIGN PI TIMES A
        "\u12281",  # ; CUNEIFORM SIGN PI TIMES AB
        "\u12282",  # ; CUNEIFORM SIGN PI TIMES BI
        "\u12283",  # ; CUNEIFORM SIGN PI TIMES BU
        "\u12284",  # ; CUNEIFORM SIGN PI TIMES E
        "\u12285",  # ; CUNEIFORM SIGN PI TIMES I
        "\u12286",  # ; CUNEIFORM SIGN PI TIMES IB
        "\u12287",  # ; CUNEIFORM SIGN PI TIMES U
        "\u12288",  # ; CUNEIFORM SIGN PI TIMES U2
        "\u12289",  # ; CUNEIFORM SIGN PI CROSSING PI
        "\u1228A",  # ; CUNEIFORM SIGN PIRIG
        "\u1228B",  # ; CUNEIFORM SIGN PIRIG TIMES KAL
        "\u1228C",  # ; CUNEIFORM SIGN PIRIG TIMES UD
        "\u1228D",  # ; CUNEIFORM SIGN PIRIG TIMES ZA
        "\u1228E",  # ; CUNEIFORM SIGN PIRIG OPPOSING PIRIG
        "\u1228F",  # ; CUNEIFORM SIGN RA
        "\u12290",  # ; CUNEIFORM SIGN RAB
        "\u12291",  # ; CUNEIFORM SIGN RI
        "\u12292",  # ; CUNEIFORM SIGN RU
        "\u12293",  # ; CUNEIFORM SIGN SA
        "\u12294",  # ; CUNEIFORM SIGN SAG NUTILLU
        "\u12295",  # ; CUNEIFORM SIGN SAG
        "\u12296",  # ; CUNEIFORM SIGN SAG TIMES A
        "\u12297",  # ; CUNEIFORM SIGN SAG TIMES DU
        "\u12298",  # ; CUNEIFORM SIGN SAG TIMES DUB
        "\u12299",  # ; CUNEIFORM SIGN SAG TIMES HA
        "\u1229A",  # ; CUNEIFORM SIGN SAG TIMES KAK
        "\u1229B",  # ; CUNEIFORM SIGN SAG TIMES KUR
        "\u1229C",  # ; CUNEIFORM SIGN SAG TIMES LUM
        "\u1229D",  # ; CUNEIFORM SIGN SAG TIMES MI
        "\u1229E",  # ; CUNEIFORM SIGN SAG TIMES NUN
        "\u1229F",  # ; CUNEIFORM SIGN SAG TIMES SAL
        "\u122A0",  # ; CUNEIFORM SIGN SAG TIMES SHID
        "\u122A1",  # ; CUNEIFORM SIGN SAG TIMES TAB
        "\u122A2",  # ; CUNEIFORM SIGN SAG TIMES U2
        "\u122A3",  # ; CUNEIFORM SIGN SAG TIMES UB
        "\u122A4",  # ; CUNEIFORM SIGN SAG TIMES UM
        "\u122A5",  # ; CUNEIFORM SIGN SAG TIMES UR
        "\u122A6",  # ; CUNEIFORM SIGN SAG TIMES USH
        "\u122A7",  # ; CUNEIFORM SIGN SAG OVER SAG
        "\u122A8",  # ; CUNEIFORM SIGN SAG GUNU
        "\u122A9",  # ; CUNEIFORM SIGN SAL
        "\u122AA",  # ; CUNEIFORM SIGN SAL LAGAB TIMES ASH2
        "\u122AB",  # ; CUNEIFORM SIGN SANGA2
        "\u122AC",  # ; CUNEIFORM SIGN SAR
        "\u122AD",  # ; CUNEIFORM SIGN SHA
        "\u122AE",  # ; CUNEIFORM SIGN SHA3
        "\u122AF",  # ; CUNEIFORM SIGN SHA3 TIMES A
        "\u122B0",  # ; CUNEIFORM SIGN SHA3 TIMES BAD
        "\u122B1",  # ; CUNEIFORM SIGN SHA3 TIMES GISH
        "\u122B2",  # ; CUNEIFORM SIGN SHA3 TIMES NE
        "\u122B3",  # ; CUNEIFORM SIGN SHA3 TIMES SHU2
        "\u122B4",  # ; CUNEIFORM SIGN SHA3 TIMES TUR
        "\u122B5",  # ; CUNEIFORM SIGN SHA3 TIMES U
        "\u122B6",  # ; CUNEIFORM SIGN SHA3 TIMES U PLUS A
        "\u122B7",  # ; CUNEIFORM SIGN SHA6
        "\u122B8",  # ; CUNEIFORM SIGN SHAB6
        "\u122B9",  # ; CUNEIFORM SIGN SHAR2
        "\u122BA",  # ; CUNEIFORM SIGN SHE
        "\u122BB",  # ; CUNEIFORM SIGN SHE HU
        "\u122BC",  # ; CUNEIFORM SIGN SHE OVER SHE GAD OVER GAD GAR OVER GAR
        "\u122BD",  # ; CUNEIFORM SIGN SHE OVER SHE TAB OVER TAB GAR OVER GAR
        "\u122BE",  # ; CUNEIFORM SIGN SHEG9
        "\u122BF",  # ; CUNEIFORM SIGN SHEN
        "\u122C0",  # ; CUNEIFORM SIGN SHESH
        "\u122C1",  # ; CUNEIFORM SIGN SHESH2
        "\u122C2",  # ; CUNEIFORM SIGN SHESHLAM
        "\u122C3",  # ; CUNEIFORM SIGN SHID
        "\u122C4",  # ; CUNEIFORM SIGN SHID TIMES A
        "\u122C5",  # ; CUNEIFORM SIGN SHID TIMES IM
        "\u122C6",  # ; CUNEIFORM SIGN SHIM
        "\u122C7",  # ; CUNEIFORM SIGN SHIM TIMES A
        "\u122C8",  # ; CUNEIFORM SIGN SHIM TIMES BAL
        "\u122C9",  # ; CUNEIFORM SIGN SHIM TIMES BULUG
        "\u122CA",  # ; CUNEIFORM SIGN SHIM TIMES DIN
        "\u122CB",  # ; CUNEIFORM SIGN SHIM TIMES GAR
        "\u122CC",  # ; CUNEIFORM SIGN SHIM TIMES IGI
        "\u122CD",  # ; CUNEIFORM SIGN SHIM TIMES IGI GUNU
        "\u122CE",  # ; CUNEIFORM SIGN SHIM TIMES KUSHU2
        "\u122CF",  # ; CUNEIFORM SIGN SHIM TIMES LUL
        "\u122D0",  # ; CUNEIFORM SIGN SHIM TIMES MUG
        "\u122D1",  # ; CUNEIFORM SIGN SHIM TIMES SAL
        "\u122D2",  # ; CUNEIFORM SIGN SHINIG
        "\u122D3",  # ; CUNEIFORM SIGN SHIR
        "\u122D4",  # ; CUNEIFORM SIGN SHIR TENU
        "\u122D5",  # ; CUNEIFORM SIGN SHIR OVER SHIR BUR OVER BUR
        "\u122D6",  # ; CUNEIFORM SIGN SHITA
        "\u122D7",  # ; CUNEIFORM SIGN SHU
        "\u122D8",  # ; CUNEIFORM SIGN SHU OVER INVERTED SHU
        "\u122D9",  # ; CUNEIFORM SIGN SHU2
        "\u122DA",  # ; CUNEIFORM SIGN SHUBUR
        "\u122DB",  # ; CUNEIFORM SIGN SI
        "\u122DC",  # ; CUNEIFORM SIGN SI GUNU
        "\u122DD",  # ; CUNEIFORM SIGN SIG
        "\u122DE",  # ; CUNEIFORM SIGN SIG4
        "\u122DF",  # ; CUNEIFORM SIGN SIG4 OVER SIG4 SHU2
        "\u122E0",  # ; CUNEIFORM SIGN SIK2
        "\u122E1",  # ; CUNEIFORM SIGN SILA3
        "\u122E2",  # ; CUNEIFORM SIGN SU
        "\u122E3",  # ; CUNEIFORM SIGN SU OVER SU
        "\u122E4",  # ; CUNEIFORM SIGN SUD
        "\u122E5",  # ; CUNEIFORM SIGN SUD2
        "\u122E6",  # ; CUNEIFORM SIGN SUHUR
        "\u122E7",  # ; CUNEIFORM SIGN SUM
        "\u122E8",  # ; CUNEIFORM SIGN SUMASH
        "\u122E9",  # ; CUNEIFORM SIGN SUR
        "\u122EA",  # ; CUNEIFORM SIGN SUR9
        "\u122EB",  # ; CUNEIFORM SIGN TA
        "\u122EC",  # ; CUNEIFORM SIGN TA ASTERISK
        "\u122ED",  # ; CUNEIFORM SIGN TA TIMES HI
        "\u122EE",  # ; CUNEIFORM SIGN TA TIMES MI
        "\u122EF",  # ; CUNEIFORM SIGN TA GUNU
        "\u122F0",  # ; CUNEIFORM SIGN TAB
        "\u122F1",  # ; CUNEIFORM SIGN TAB OVER TAB NI OVER NI DISH OVER DISH
        "\u122F2",  # ; CUNEIFORM SIGN TAB SQUARED
        "\u122F3",  # ; CUNEIFORM SIGN TAG
        "\u122F4",  # ; CUNEIFORM SIGN TAG TIMES BI
        "\u122F5",  # ; CUNEIFORM SIGN TAG TIMES GUD
        "\u122F6",  # ; CUNEIFORM SIGN TAG TIMES SHE
        "\u122F7",  # ; CUNEIFORM SIGN TAG TIMES SHU
        "\u122F8",  # ; CUNEIFORM SIGN TAG TIMES TUG2
        "\u122F9",  # ; CUNEIFORM SIGN TAG TIMES UD
        "\u122FA",  # ; CUNEIFORM SIGN TAK4
        "\u122FB",  # ; CUNEIFORM SIGN TAR
        "\u122FC",  # ; CUNEIFORM SIGN TE
        "\u122FD",  # ; CUNEIFORM SIGN TE GUNU
        "\u122FE",  # ; CUNEIFORM SIGN TI
        "\u122FF",  # ; CUNEIFORM SIGN TI TENU
        "\u12300",  # ; CUNEIFORM SIGN TIL
        "\u12301",  # ; CUNEIFORM SIGN TIR
        "\u12302",  # ; CUNEIFORM SIGN TIR TIMES TAK4
        "\u12303",  # ; CUNEIFORM SIGN TIR OVER TIR
        "\u12304",  # ; CUNEIFORM SIGN TIR OVER TIR GAD OVER GAD GAR OVER GAR
        "\u12305",  # ; CUNEIFORM SIGN TU
        "\u12306",  # ; CUNEIFORM SIGN TUG2
        "\u12307",  # ; CUNEIFORM SIGN TUK
        "\u12308",  # ; CUNEIFORM SIGN TUM
        "\u12309",  # ; CUNEIFORM SIGN TUR
        "\u1230A",  # ; CUNEIFORM SIGN TUR OVER TUR ZA OVER ZA
        "\u1230B",  # ; CUNEIFORM SIGN U
        "\u1230C",  # ; CUNEIFORM SIGN U GUD
        "\u1230D",  # ; CUNEIFORM SIGN U U U
        "\u1230E",  # ; CUNEIFORM SIGN U OVER U PA OVER PA GAR OVER GAR
        "\u1230F",  # ; CUNEIFORM SIGN U OVER U SUR OVER SUR
        "\u12310",  # ; CUNEIFORM SIGN U OVER U U REVERSED OVER U REVERSED
        "\u12311",  # ; CUNEIFORM SIGN U2
        "\u12312",  # ; CUNEIFORM SIGN UB
        "\u12313",  # ; CUNEIFORM SIGN UD
        "\u12314",  # ; CUNEIFORM SIGN UD KUSHU2
        "\u12315",  # ; CUNEIFORM SIGN UD TIMES BAD
        "\u12316",  # ; CUNEIFORM SIGN UD TIMES MI
        "\u12317",  # ; CUNEIFORM SIGN UD TIMES U PLUS U PLUS U
        "\u12318",  # ; CUNEIFORM SIGN UD TIMES U PLUS U PLUS U GUNU
        "\u12319",  # ; CUNEIFORM SIGN UD GUNU
        "\u1231A",  # ; CUNEIFORM SIGN UD SHESHIG
        "\u1231B",  # ; CUNEIFORM SIGN UD SHESHIG TIMES BAD
        "\u1231C",  # ; CUNEIFORM SIGN UDUG
        "\u1231D",  # ; CUNEIFORM SIGN UM
        "\u1231E",  # ; CUNEIFORM SIGN UM TIMES LAGAB
        "\u1231F",  # ; CUNEIFORM SIGN UM TIMES ME PLUS DA
        "\u12320",  # ; CUNEIFORM SIGN UM TIMES SHA3
        "\u12321",  # ; CUNEIFORM SIGN UM TIMES U
        "\u12322",  # ; CUNEIFORM SIGN UMBIN
        "\u12323",  # ; CUNEIFORM SIGN UMUM
        "\u12324",  # ; CUNEIFORM SIGN UMUM TIMES KASKAL
        "\u12325",  # ; CUNEIFORM SIGN UMUM TIMES PA
        "\u12326",  # ; CUNEIFORM SIGN UN
        "\u12327",  # ; CUNEIFORM SIGN UN GUNU
        "\u12328",  # ; CUNEIFORM SIGN UR
        "\u12329",  # ; CUNEIFORM SIGN UR CROSSING UR
        "\u1232A",  # ; CUNEIFORM SIGN UR SHESHIG
        "\u1232B",  # ; CUNEIFORM SIGN UR2
        "\u1232C",  # ; CUNEIFORM SIGN UR2 TIMES A PLUS HA
        "\u1232D",  # ; CUNEIFORM SIGN UR2 TIMES A PLUS NA
        "\u1232E",  # ; CUNEIFORM SIGN UR2 TIMES AL
        "\u1232F",  # ; CUNEIFORM SIGN UR2 TIMES HA
        "\u12330",  # ; CUNEIFORM SIGN UR2 TIMES NUN
        "\u12331",  # ; CUNEIFORM SIGN UR2 TIMES U2
        "\u12332",  # ; CUNEIFORM SIGN UR2 TIMES U2 PLUS ASH
        "\u12333",  # ; CUNEIFORM SIGN UR2 TIMES U2 PLUS BI
        "\u12334",  # ; CUNEIFORM SIGN UR4
        "\u12335",  # ; CUNEIFORM SIGN URI
        "\u12336",  # ; CUNEIFORM SIGN URI3
        "\u12337",  # ; CUNEIFORM SIGN URU
        "\u12338",  # ; CUNEIFORM SIGN URU TIMES A
        "\u12339",  # ; CUNEIFORM SIGN URU TIMES ASHGAB
        "\u1233A",  # ; CUNEIFORM SIGN URU TIMES BAR
        "\u1233B",  # ; CUNEIFORM SIGN URU TIMES DUN
        "\u1233C",  # ; CUNEIFORM SIGN URU TIMES GA
        "\u1233D",  # ; CUNEIFORM SIGN URU TIMES GAL
        "\u1233E",  # ; CUNEIFORM SIGN URU TIMES GAN2 TENU
        "\u1233F",  # ; CUNEIFORM SIGN URU TIMES GAR
        "\u12340",  # ; CUNEIFORM SIGN URU TIMES GU
        "\u12341",  # ; CUNEIFORM SIGN URU TIMES HA
        "\u12342",  # ; CUNEIFORM SIGN URU TIMES IGI
        "\u12343",  # ; CUNEIFORM SIGN URU TIMES IM
        "\u12344",  # ; CUNEIFORM SIGN URU TIMES ISH
        "\u12345",  # ; CUNEIFORM SIGN URU TIMES KI
        "\u12346",  # ; CUNEIFORM SIGN URU TIMES LUM
        "\u12347",  # ; CUNEIFORM SIGN URU TIMES MIN
        "\u12348",  # ; CUNEIFORM SIGN URU TIMES PA
        "\u12349",  # ; CUNEIFORM SIGN URU TIMES SHE
        "\u1234A",  # ; CUNEIFORM SIGN URU TIMES SIG4
        "\u1234B",  # ; CUNEIFORM SIGN URU TIMES TU
        "\u1234C",  # ; CUNEIFORM SIGN URU TIMES U PLUS GUD
        "\u1234D",  # ; CUNEIFORM SIGN URU TIMES UD
        "\u1234E",  # ; CUNEIFORM SIGN URU TIMES URUDA
        "\u1234F",  # ; CUNEIFORM SIGN URUDA
        "\u12350",  # ; CUNEIFORM SIGN URUDA TIMES U
        "\u12351",  # ; CUNEIFORM SIGN USH
        "\u12352",  # ; CUNEIFORM SIGN USH TIMES A
        "\u12353",  # ; CUNEIFORM SIGN USH TIMES KU
        "\u12354",  # ; CUNEIFORM SIGN USH TIMES KUR
        "\u12355",  # ; CUNEIFORM SIGN USH TIMES TAK4
        "\u12356",  # ; CUNEIFORM SIGN USHX
        "\u12357",  # ; CUNEIFORM SIGN USH2
        "\u12358",  # ; CUNEIFORM SIGN USHUMX
        "\u12359",  # ; CUNEIFORM SIGN UTUKI
        "\u1235A",  # ; CUNEIFORM SIGN UZ3
        "\u1235B",  # ; CUNEIFORM SIGN UZ3 TIMES KASKAL
        "\u1235C",  # ; CUNEIFORM SIGN UZU
        "\u1235D",  # ; CUNEIFORM SIGN ZA
        "\u1235E",  # ; CUNEIFORM SIGN ZA TENU
        "\u1235F",  # ; CUNEIFORM SIGN ZA SQUARED TIMES KUR
        "\u12360",  # ; CUNEIFORM SIGN ZAG
        "\u12361",  # ; CUNEIFORM SIGN ZAMX
        "\u12362",  # ; CUNEIFORM SIGN ZE2
        "\u12363",  # ; CUNEIFORM SIGN ZI
        "\u12364",  # ; CUNEIFORM SIGN ZI OVER ZI
        "\u12365",  # ; CUNEIFORM SIGN ZI3
        "\u12366",  # ; CUNEIFORM SIGN ZIB
        "\u12367",  # ; CUNEIFORM SIGN ZIB KABA TENU
        "\u12368",  # ; CUNEIFORM SIGN ZIG
        "\u12369",  # ; CUNEIFORM SIGN ZIZ2
        "\u1236A",  # ; CUNEIFORM SIGN ZU
        "\u1236B",  # ; CUNEIFORM SIGN ZU5
        "\u1236C",  # ; CUNEIFORM SIGN ZU5 TIMES A
        "\u1236D",  # ; CUNEIFORM SIGN ZUBUR
        "\u1236E",  # ; CUNEIFORM SIGN ZUM
        "\u1236F",  # ; CUNEIFORM SIGN KAP ELAMITE
        "\u12370",  # ; CUNEIFORM SIGN AB TIMES NUN
        "\u12371",  # ; CUNEIFORM SIGN AB2 TIMES A
        "\u12372",  # ; CUNEIFORM SIGN AMAR TIMES KUG
        "\u12373",  # ; CUNEIFORM SIGN DAG KISIM5 TIMES U2 PLUS MASH
        "\u12374",  # ; CUNEIFORM SIGN DAG3
        "\u12375",  # ; CUNEIFORM SIGN DISH PLUS SHU
        "\u12376",  # ; CUNEIFORM SIGN DUB TIMES SHE
        "\u12377",  # ; CUNEIFORM SIGN EZEN TIMES GUD
        "\u12378",  # ; CUNEIFORM SIGN EZEN TIMES SHE
        "\u12379",  # ; CUNEIFORM SIGN GA2 TIMES AN PLUS KAK PLUS A
        "\u1237A",  # ; CUNEIFORM SIGN GA2 TIMES ASH2
        "\u1237B",  # ; CUNEIFORM SIGN GE22
        "\u1237C",  # ; CUNEIFORM SIGN GIG
        "\u1237D",  # ; CUNEIFORM SIGN HUSH
        "\u1237E",  # ; CUNEIFORM SIGN KA TIMES ANSHE
        "\u1237F",  # ; CUNEIFORM SIGN KA TIMES ASH3
        "\u12380",  # ; CUNEIFORM SIGN KA TIMES GISH
        "\u12381",  # ; CUNEIFORM SIGN KA TIMES GUD
        "\u12382",  # ; CUNEIFORM SIGN KA TIMES HI TIMES ASH2
        "\u12383",  # ; CUNEIFORM SIGN KA TIMES LUM
        "\u12384",  # ; CUNEIFORM SIGN KA TIMES PA
        "\u12385",  # ; CUNEIFORM SIGN KA TIMES SHUL
        "\u12386",  # ; CUNEIFORM SIGN KA TIMES TU
        "\u12387",  # ; CUNEIFORM SIGN KA TIMES UR2
        "\u12388",  # ; CUNEIFORM SIGN LAGAB TIMES GI
        "\u12389",  # ; CUNEIFORM SIGN LU2 SHESHIG TIMES BAD
        "\u1238A",  # ; CUNEIFORM SIGN LU2 TIMES ESH2 PLUS LAL
        "\u1238B",  # ; CUNEIFORM SIGN LU2 TIMES SHU
        "\u1238C",  # ; CUNEIFORM SIGN MESH
        "\u1238D",  # ; CUNEIFORM SIGN MUSH3 TIMES ZA
        "\u1238E",  # ; CUNEIFORM SIGN NA4
        "\u1238F",  # ; CUNEIFORM SIGN NIN
        "\u12390",  # ; CUNEIFORM SIGN NIN9
        "\u12391",  # ; CUNEIFORM SIGN NINDA2 TIMES BAL
        "\u12392",  # ; CUNEIFORM SIGN NINDA2 TIMES GI
        "\u12393",  # ; CUNEIFORM SIGN NU11 ROTATED NINETY DEGREES
        "\u12394",  # ; CUNEIFORM SIGN PESH2 ASTERISK
        "\u12395",  # ; CUNEIFORM SIGN PIR2
        "\u12396",  # ; CUNEIFORM SIGN SAG TIMES IGI GUNU
        "\u12397",  # ; CUNEIFORM SIGN TI2
        "\u12398",  # ; CUNEIFORM SIGN UM TIMES ME
        "\u12399",  # ; CUNEIFORM SIGN U U
        "\u12400",  # ; CUNEIFORM NUMERIC SIGN TWO ASH
        "\u12401",  # ; CUNEIFORM NUMERIC SIGN THREE ASH
        "\u12402",  # ; CUNEIFORM NUMERIC SIGN FOUR ASH
        "\u12403",  # ; CUNEIFORM NUMERIC SIGN FIVE ASH
        "\u12404",  # ; CUNEIFORM NUMERIC SIGN SIX ASH
        "\u12405",  # ; CUNEIFORM NUMERIC SIGN SEVEN ASH
        "\u12406",  # ; CUNEIFORM NUMERIC SIGN EIGHT ASH
        "\u12407",  # ; CUNEIFORM NUMERIC SIGN NINE ASH
        "\u12408",  # ; CUNEIFORM NUMERIC SIGN THREE DISH
        "\u12409",  # ; CUNEIFORM NUMERIC SIGN FOUR DISH
        "\u1240A",  # ; CUNEIFORM NUMERIC SIGN FIVE DISH
        "\u1240B",  # ; CUNEIFORM NUMERIC SIGN SIX DISH
        "\u1240C",  # ; CUNEIFORM NUMERIC SIGN SEVEN DISH
        "\u1240D",  # ; CUNEIFORM NUMERIC SIGN EIGHT DISH
        "\u1240E",  # ; CUNEIFORM NUMERIC SIGN NINE DISH
        "\u1240F",  # ; CUNEIFORM NUMERIC SIGN FOUR U
        "\u12410",  # ; CUNEIFORM NUMERIC SIGN FIVE U
        "\u12411",  # ; CUNEIFORM NUMERIC SIGN SIX U
        "\u12412",  # ; CUNEIFORM NUMERIC SIGN SEVEN U
        "\u12413",  # ; CUNEIFORM NUMERIC SIGN EIGHT U
        "\u12414",  # ; CUNEIFORM NUMERIC SIGN NINE U
        "\u12415",  # ; CUNEIFORM NUMERIC SIGN ONE GESH2
        "\u12416",  # ; CUNEIFORM NUMERIC SIGN TWO GESH2
        "\u12417",  # ; CUNEIFORM NUMERIC SIGN THREE GESH2
        "\u12418",  # ; CUNEIFORM NUMERIC SIGN FOUR GESH2
        "\u12419",  # ; CUNEIFORM NUMERIC SIGN FIVE GESH2
        "\u1241A",  # ; CUNEIFORM NUMERIC SIGN SIX GESH2
        "\u1241B",  # ; CUNEIFORM NUMERIC SIGN SEVEN GESH2
        "\u1241C",  # ; CUNEIFORM NUMERIC SIGN EIGHT GESH2
        "\u1241D",  # ; CUNEIFORM NUMERIC SIGN NINE GESH2
        "\u1241E",  # ; CUNEIFORM NUMERIC SIGN ONE GESHU
        "\u1241F",  # ; CUNEIFORM NUMERIC SIGN TWO GESHU
        "\u12420",  # ; CUNEIFORM NUMERIC SIGN THREE GESHU
        "\u12421",  # ; CUNEIFORM NUMERIC SIGN FOUR GESHU
        "\u12422",  # ; CUNEIFORM NUMERIC SIGN FIVE GESHU
        "\u12423",  # ; CUNEIFORM NUMERIC SIGN TWO SHAR2
        "\u12424",  # ; CUNEIFORM NUMERIC SIGN THREE SHAR2
        "\u12425",  # ; CUNEIFORM NUMERIC SIGN THREE SHAR2 VARIANT FORM
        "\u12426",  # ; CUNEIFORM NUMERIC SIGN FOUR SHAR2
        "\u12427",  # ; CUNEIFORM NUMERIC SIGN FIVE SHAR2
        "\u12428",  # ; CUNEIFORM NUMERIC SIGN SIX SHAR2
        "\u12429",  # ; CUNEIFORM NUMERIC SIGN SEVEN SHAR2
        "\u1242A",  # ; CUNEIFORM NUMERIC SIGN EIGHT SHAR2
        "\u1242B",  # ; CUNEIFORM NUMERIC SIGN NINE SHAR2
        "\u1242C",  # ; CUNEIFORM NUMERIC SIGN ONE SHARU
        "\u1242D",  # ; CUNEIFORM NUMERIC SIGN TWO SHARU
        "\u1242E",  # ; CUNEIFORM NUMERIC SIGN THREE SHARU
        "\u1242F",  # ; CUNEIFORM NUMERIC SIGN THREE SHARU VARIANT FORM
        "\u12430",  # ; CUNEIFORM NUMERIC SIGN FOUR SHARU
        "\u12431",  # ; CUNEIFORM NUMERIC SIGN FIVE SHARU
        "\u12432",  # ; CUNEIFORM NUMERIC SIGN SHAR2 TIMES GAL PLUS DISH
        "\u12433",  # ; CUNEIFORM NUMERIC SIGN SHAR2 TIMES GAL PLUS MIN
        "\u12434",  # ; CUNEIFORM NUMERIC SIGN ONE BURU
        "\u12435",  # ; CUNEIFORM NUMERIC SIGN TWO BURU
        "\u12436",  # ; CUNEIFORM NUMERIC SIGN THREE BURU
        "\u12437",  # ; CUNEIFORM NUMERIC SIGN THREE BURU VARIANT FORM
        "\u12438",  # ; CUNEIFORM NUMERIC SIGN FOUR BURU
        "\u12439",  # ; CUNEIFORM NUMERIC SIGN FIVE BURU
        "\u1243A",  # ; CUNEIFORM NUMERIC SIGN THREE VARIANT FORM ESH16
        "\u1243B",  # ; CUNEIFORM NUMERIC SIGN THREE VARIANT FORM ESH21
        "\u1243C",  # ; CUNEIFORM NUMERIC SIGN FOUR VARIANT FORM LIMMU
        "\u1243D",  # ; CUNEIFORM NUMERIC SIGN FOUR VARIANT FORM LIMMU4
        "\u1243E",  # ; CUNEIFORM NUMERIC SIGN FOUR VARIANT FORM LIMMU A
        "\u1243F",  # ; CUNEIFORM NUMERIC SIGN FOUR VARIANT FORM LIMMU B
        "\u12440",  # ; CUNEIFORM NUMERIC SIGN SIX VARIANT FORM ASH9
        "\u12441",  # ; CUNEIFORM NUMERIC SIGN SEVEN VARIANT FORM IMIN3
        "\u12442",  # ; CUNEIFORM NUMERIC SIGN SEVEN VARIANT FORM IMIN A
        "\u12443",  # ; CUNEIFORM NUMERIC SIGN SEVEN VARIANT FORM IMIN B
        "\u12444",  # ; CUNEIFORM NUMERIC SIGN EIGHT VARIANT FORM USSU
        "\u12445",  # ; CUNEIFORM NUMERIC SIGN EIGHT VARIANT FORM USSU3
        "\u12446",  # ; CUNEIFORM NUMERIC SIGN NINE VARIANT FORM ILIMMU
        "\u12447",  # ; CUNEIFORM NUMERIC SIGN NINE VARIANT FORM ILIMMU3
        "\u12448",  # ; CUNEIFORM NUMERIC SIGN NINE VARIANT FORM ILIMMU4
        "\u12449",  # ; CUNEIFORM NUMERIC SIGN NINE VARIANT FORM ILIMMU A
        "\u1244A",  # ; CUNEIFORM NUMERIC SIGN TWO ASH TENU
        "\u1244B",  # ; CUNEIFORM NUMERIC SIGN THREE ASH TENU
        "\u1244C",  # ; CUNEIFORM NUMERIC SIGN FOUR ASH TENU
        "\u1244D",  # ; CUNEIFORM NUMERIC SIGN FIVE ASH TENU
        "\u1244E",  # ; CUNEIFORM NUMERIC SIGN SIX ASH TENU
        "\u1244F",  # ; CUNEIFORM NUMERIC SIGN ONE BAN2
        "\u12450",  # ; CUNEIFORM NUMERIC SIGN TWO BAN2
        "\u12451",  # ; CUNEIFORM NUMERIC SIGN THREE BAN2
        "\u12452",  # ; CUNEIFORM NUMERIC SIGN FOUR BAN2
        "\u12453",  # ; CUNEIFORM NUMERIC SIGN FOUR BAN2 VARIANT FORM
        "\u12454",  # ; CUNEIFORM NUMERIC SIGN FIVE BAN2
        "\u12455",  # ; CUNEIFORM NUMERIC SIGN FIVE BAN2 VARIANT FORM
        "\u12456",  # ; CUNEIFORM NUMERIC SIGN NIGIDAMIN
        "\u12457",  # ; CUNEIFORM NUMERIC SIGN NIGIDAESH
        "\u12458",  # ; CUNEIFORM NUMERIC SIGN ONE ESHE3
        "\u12459",  # ; CUNEIFORM NUMERIC SIGN TWO ESHE3
        "\u1245A",  # ; CUNEIFORM NUMERIC SIGN ONE THIRD DISH
        "\u1245B",  # ; CUNEIFORM NUMERIC SIGN TWO THIRDS DISH
        "\u1245C",  # ; CUNEIFORM NUMERIC SIGN FIVE SIXTHS DISH
        "\u1245D",  # ; CUNEIFORM NUMERIC SIGN ONE THIRD VARIANT FORM A
        "\u1245E",  # ; CUNEIFORM NUMERIC SIGN TWO THIRDS VARIANT FORM A
        "\u1245F",  # ; CUNEIFORM NUMERIC SIGN ONE EIGHTH ASH
        "\u12460",  # ; CUNEIFORM NUMERIC SIGN ONE QUARTER ASH
        "\u12461",  # ; CUNEIFORM NUMERIC SIGN OLD ASSYRIAN ONE SIXTH
        "\u12462",  # ; CUNEIFORM NUMERIC SIGN OLD ASSYRIAN ONE QUARTER
        "\u12463",  # ; CUNEIFORM NUMERIC SIGN ONE QUARTER GUR
        "\u12464",  # ; CUNEIFORM NUMERIC SIGN ONE HALF GUR
        "\u12465",  # ; CUNEIFORM NUMERIC SIGN ELAMITE ONE THIRD
        "\u12466",  # ; CUNEIFORM NUMERIC SIGN ELAMITE TWO THIRDS
        "\u12467",  # ; CUNEIFORM NUMERIC SIGN ELAMITE FORTY
        "\u12468",  # ; CUNEIFORM NUMERIC SIGN ELAMITE FIFTY
        "\u12469",  # ; CUNEIFORM NUMERIC SIGN FOUR U VARIANT FORM
        "\u1246A",  # ; CUNEIFORM NUMERIC SIGN FIVE U VARIANT FORM
        "\u1246B",  # ; CUNEIFORM NUMERIC SIGN SIX U VARIANT FORM
        "\u1246C",  # ; CUNEIFORM NUMERIC SIGN SEVEN U VARIANT FORM
        "\u1246D",  # ; CUNEIFORM NUMERIC SIGN EIGHT U VARIANT FORM
        "\u1246E",  # ; CUNEIFORM NUMERIC SIGN NINE U VARIANT FORM
        "\u12470",  # ; CUNEIFORM PUNCTUATION SIGN OLD ASSYRIAN WORD DIVIDER
        "\u12471",  # ; CUNEIFORM PUNCTUATION SIGN VERTICAL COLON
        "\u12472",  # ; CUNEIFORM PUNCTUATION SIGN DIAGONAL COLON
        "\u12473",  # ; CUNEIFORM PUNCTUATION SIGN DIAGONAL TRICOLON
        "\u12474",  # ; CUNEIFORM PUNCTUATION SIGN DIAGONAL QUADCOLON
        "\u12480",  # ; CUNEIFORM SIGN AB TIMES NUN TENU
        "\u12481",  # ; CUNEIFORM SIGN AB TIMES SHU2
        "\u12482",  # ; CUNEIFORM SIGN AD TIMES ESH2
        "\u12483",  # ; CUNEIFORM SIGN BAD TIMES DISH TENU
        "\u12484",  # ; CUNEIFORM SIGN BAHAR2 TIMES AB2
        "\u12485",  # ; CUNEIFORM SIGN BAHAR2 TIMES NI
        "\u12486",  # ; CUNEIFORM SIGN BAHAR2 TIMES ZA
        "\u12487",  # ; CUNEIFORM SIGN BU OVER BU TIMES NA2
        "\u12488",  # ; CUNEIFORM SIGN DA TIMES TAK4
        "\u12489",  # ; CUNEIFORM SIGN DAG TIMES KUR
        "\u1248A",  # ; CUNEIFORM SIGN DIM TIMES IGI
        "\u1248B",  # ; CUNEIFORM SIGN DIM TIMES U U U
        "\u1248C",  # ; CUNEIFORM SIGN DIM2 TIMES UD
        "\u1248D",  # ; CUNEIFORM SIGN DUG TIMES ANSHE
        "\u1248E",  # ; CUNEIFORM SIGN DUG TIMES ASH
        "\u1248F",  # ; CUNEIFORM SIGN DUG TIMES ASH AT LEFT
        "\u12490",  # ; CUNEIFORM SIGN DUG TIMES DIN
        "\u12491",  # ; CUNEIFORM SIGN DUG TIMES DUN
        "\u12492",  # ; CUNEIFORM SIGN DUG TIMES ERIN2
        "\u12493",  # ; CUNEIFORM SIGN DUG TIMES GA
        "\u12494",  # ; CUNEIFORM SIGN DUG TIMES GI
        "\u12495",  # ; CUNEIFORM SIGN DUG TIMES GIR2 GUNU
        "\u12496",  # ; CUNEIFORM SIGN DUG TIMES GISH
        "\u12497",  # ; CUNEIFORM SIGN DUG TIMES HA
        "\u12498",  # ; CUNEIFORM SIGN DUG TIMES HI
        "\u12499",  # ; CUNEIFORM SIGN DUG TIMES IGI GUNU
        "\u1249A",  # ; CUNEIFORM SIGN DUG TIMES KASKAL
        "\u1249B",  # ; CUNEIFORM SIGN DUG TIMES KUR
        "\u1249C",  # ; CUNEIFORM SIGN DUG TIMES KUSHU2
        "\u1249D",  # ; CUNEIFORM SIGN DUG TIMES KUSHU2 PLUS KASKAL
        "\u1249E",  # ; CUNEIFORM SIGN DUG TIMES LAK-020
        "\u1249F",  # ; CUNEIFORM SIGN DUG TIMES LAM
        "\u124A0",  # ; CUNEIFORM SIGN DUG TIMES LAM TIMES KUR
        "\u124A1",  # ; CUNEIFORM SIGN DUG TIMES LUH PLUS GISH
        "\u124A2",  # ; CUNEIFORM SIGN DUG TIMES MASH
        "\u124A3",  # ; CUNEIFORM SIGN DUG TIMES MES
        "\u124A4",  # ; CUNEIFORM SIGN DUG TIMES MI
        "\u124A5",  # ; CUNEIFORM SIGN DUG TIMES NI
        "\u124A6",  # ; CUNEIFORM SIGN DUG TIMES PI
        "\u124A7",  # ; CUNEIFORM SIGN DUG TIMES SHE
        "\u124A8",  # ; CUNEIFORM SIGN DUG TIMES SI GUNU
        "\u124A9",  # ; CUNEIFORM SIGN E2 TIMES KUR
        "\u124AA",  # ; CUNEIFORM SIGN E2 TIMES PAP
        "\u124AB",  # ; CUNEIFORM SIGN ERIN2 X
        "\u124AC",  # ; CUNEIFORM SIGN ESH2 CROSSING ESH2
        "\u124AD",  # ; CUNEIFORM SIGN EZEN SHESHIG TIMES ASH
        "\u124AE",  # ; CUNEIFORM SIGN EZEN SHESHIG TIMES HI
        "\u124AF",  # ; CUNEIFORM SIGN EZEN SHESHIG TIMES IGI GUNU
        "\u124B0",  # ; CUNEIFORM SIGN EZEN SHESHIG TIMES LA
        "\u124B1",  # ; CUNEIFORM SIGN EZEN SHESHIG TIMES LAL
        "\u124B2",  # ; CUNEIFORM SIGN EZEN SHESHIG TIMES ME
        "\u124B3",  # ; CUNEIFORM SIGN EZEN SHESHIG TIMES MES
        "\u124B4",  # ; CUNEIFORM SIGN EZEN SHESHIG TIMES SU
        "\u124B5",  # ; CUNEIFORM SIGN EZEN TIMES SU
        "\u124B6",  # ; CUNEIFORM SIGN GA2 TIMES BAHAR2
        "\u124B7",  # ; CUNEIFORM SIGN GA2 TIMES DIM GUNU
        "\u124B8",  # ; CUNEIFORM SIGN GA2 TIMES DUG TIMES IGI GUNU
        "\u124B9",  # ; CUNEIFORM SIGN GA2 TIMES DUG TIMES KASKAL
        "\u124BA",  # ; CUNEIFORM SIGN GA2 TIMES EREN
        "\u124BB",  # ; CUNEIFORM SIGN GA2 TIMES GA
        "\u124BC",  # ; CUNEIFORM SIGN GA2 TIMES GAR PLUS DI
        "\u124BD",  # ; CUNEIFORM SIGN GA2 TIMES GAR PLUS NE
        "\u124BE",  # ; CUNEIFORM SIGN GA2 TIMES HA PLUS A
        "\u124BF",  # ; CUNEIFORM SIGN GA2 TIMES KUSHU2 PLUS KASKAL
        "\u124C0",  # ; CUNEIFORM SIGN GA2 TIMES LAM
        "\u124C1",  # ; CUNEIFORM SIGN GA2 TIMES LAM TIMES KUR
        "\u124C2",  # ; CUNEIFORM SIGN GA2 TIMES LUH
        "\u124C3",  # ; CUNEIFORM SIGN GA2 TIMES MUSH
        "\u124C4",  # ; CUNEIFORM SIGN GA2 TIMES NE
        "\u124C5",  # ; CUNEIFORM SIGN GA2 TIMES NE PLUS E2
        "\u124C6",  # ; CUNEIFORM SIGN GA2 TIMES NE PLUS GI
        "\u124C7",  # ; CUNEIFORM SIGN GA2 TIMES SHIM
        "\u124C8",  # ; CUNEIFORM SIGN GA2 TIMES ZIZ2
        "\u124C9",  # ; CUNEIFORM SIGN GABA ROTATED NINETY DEGREES
        "\u124CA",  # ; CUNEIFORM SIGN GESHTIN TIMES U
        "\u124CB",  # ; CUNEIFORM SIGN GISH TIMES GISH CROSSING GISH
        "\u124CC",  # ; CUNEIFORM SIGN GU2 TIMES IGI GUNU
        "\u124CD",  # ; CUNEIFORM SIGN GUD PLUS GISH TIMES TAK4
        "\u124CE",  # ; CUNEIFORM SIGN HA TENU GUNU
        "\u124CF",  # ; CUNEIFORM SIGN HI TIMES ASH OVER HI TIMES ASH
        "\u124D0",  # ; CUNEIFORM SIGN KA TIMES BU
        "\u124D1",  # ; CUNEIFORM SIGN KA TIMES KA
        "\u124D2",  # ; CUNEIFORM SIGN KA TIMES U U U
        "\u124D3",  # ; CUNEIFORM SIGN KA TIMES UR
        "\u124D4",  # ; CUNEIFORM SIGN LAGAB TIMES ZU OVER ZU
        "\u124D5",  # ; CUNEIFORM SIGN LAK-003
        "\u124D6",  # ; CUNEIFORM SIGN LAK-021
        "\u124D7",  # ; CUNEIFORM SIGN LAK-025
        "\u124D8",  # ; CUNEIFORM SIGN LAK-030
        "\u124D9",  # ; CUNEIFORM SIGN LAK-050
        "\u124DA",  # ; CUNEIFORM SIGN LAK-051
        "\u124DB",  # ; CUNEIFORM SIGN LAK-062
        "\u124DC",  # ; CUNEIFORM SIGN LAK-079 OVER LAK-079 GUNU
        "\u124DD",  # ; CUNEIFORM SIGN LAK-080
        "\u124DE",  # ; CUNEIFORM SIGN LAK-081 OVER LAK-081
        "\u124DF",  # ; CUNEIFORM SIGN LAK-092
        "\u124E0",  # ; CUNEIFORM SIGN LAK-130
        "\u124E1",  # ; CUNEIFORM SIGN LAK-142
        "\u124E2",  # ; CUNEIFORM SIGN LAK-210
        "\u124E3",  # ; CUNEIFORM SIGN LAK-219
        "\u124E4",  # ; CUNEIFORM SIGN LAK-220
        "\u124E5",  # ; CUNEIFORM SIGN LAK-225
        "\u124E6",  # ; CUNEIFORM SIGN LAK-228
        "\u124E7",  # ; CUNEIFORM SIGN LAK-238
        "\u124E8",  # ; CUNEIFORM SIGN LAK-265
        "\u124E9",  # ; CUNEIFORM SIGN LAK-266
        "\u124EA",  # ; CUNEIFORM SIGN LAK-343
        "\u124EB",  # ; CUNEIFORM SIGN LAK-347
        "\u124EC",  # ; CUNEIFORM SIGN LAK-348
        "\u124ED",  # ; CUNEIFORM SIGN LAK-383
        "\u124EE",  # ; CUNEIFORM SIGN LAK-384
        "\u124EF",  # ; CUNEIFORM SIGN LAK-390
        "\u124F0",  # ; CUNEIFORM SIGN LAK-441
        "\u124F1",  # ; CUNEIFORM SIGN LAK-449
        "\u124F2",  # ; CUNEIFORM SIGN LAK-449 TIMES GU
        "\u124F3",  # ; CUNEIFORM SIGN LAK-449 TIMES IGI
        "\u124F4",  # ; CUNEIFORM SIGN LAK-449 TIMES PAP PLUS LU3
        "\u124F5",  # ; CUNEIFORM SIGN LAK-449 TIMES PAP PLUS PAP PLUS LU3
        "\u124F6",  # ; CUNEIFORM SIGN LAK-449 TIMES U2 PLUS BA
        "\u124F7",  # ; CUNEIFORM SIGN LAK-450
        "\u124F8",  # ; CUNEIFORM SIGN LAK-457
        "\u124F9",  # ; CUNEIFORM SIGN LAK-470
        "\u124FA",  # ; CUNEIFORM SIGN LAK-483
        "\u124FB",  # ; CUNEIFORM SIGN LAK-490
        "\u124FC",  # ; CUNEIFORM SIGN LAK-492
        "\u124FD",  # ; CUNEIFORM SIGN LAK-493
        "\u124FE",  # ; CUNEIFORM SIGN LAK-495
        "\u124FF",  # ; CUNEIFORM SIGN LAK-550
        "\u12500",  # ; CUNEIFORM SIGN LAK-608
        "\u12501",  # ; CUNEIFORM SIGN LAK-617
        "\u12502",  # ; CUNEIFORM SIGN LAK-617 TIMES ASH
        "\u12503",  # ; CUNEIFORM SIGN LAK-617 TIMES BAD
        "\u12504",  # ; CUNEIFORM SIGN LAK-617 TIMES DUN3 GUNU GUNU
        "\u12505",  # ; CUNEIFORM SIGN LAK-617 TIMES KU3
        "\u12506",  # ; CUNEIFORM SIGN LAK-617 TIMES LA
        "\u12507",  # ; CUNEIFORM SIGN LAK-617 TIMES TAR
        "\u12508",  # ; CUNEIFORM SIGN LAK-617 TIMES TE
        "\u12509",  # ; CUNEIFORM SIGN LAK-617 TIMES U2
        "\u1250A",  # ; CUNEIFORM SIGN LAK-617 TIMES UD
        "\u1250B",  # ; CUNEIFORM SIGN LAK-617 TIMES URUDA
        "\u1250C",  # ; CUNEIFORM SIGN LAK-636
        "\u1250D",  # ; CUNEIFORM SIGN LAK-648
        "\u1250E",  # ; CUNEIFORM SIGN LAK-648 TIMES DUB
        "\u1250F",  # ; CUNEIFORM SIGN LAK-648 TIMES GA
        "\u12510",  # ; CUNEIFORM SIGN LAK-648 TIMES IGI
        "\u12511",  # ; CUNEIFORM SIGN LAK-648 TIMES IGI GUNU
        "\u12512",  # ; CUNEIFORM SIGN LAK-648 TIMES NI
        "\u12513",  # ; CUNEIFORM SIGN LAK-648 TIMES PAP PLUS PAP PLUS LU3
        "\u12514",  # ; CUNEIFORM SIGN LAK-648 TIMES SHESH PLUS KI
        "\u12515",  # ; CUNEIFORM SIGN LAK-648 TIMES UD
        "\u12516",  # ; CUNEIFORM SIGN LAK-648 TIMES URUDA
        "\u12517",  # ; CUNEIFORM SIGN LAK-724
        "\u12518",  # ; CUNEIFORM SIGN LAK-749
        "\u12519",  # ; CUNEIFORM SIGN LU2 GUNU TIMES ASH
        "\u1251A",  # ; CUNEIFORM SIGN LU2 TIMES DISH
        "\u1251B",  # ; CUNEIFORM SIGN LU2 TIMES HAL
        "\u1251C",  # ; CUNEIFORM SIGN LU2 TIMES PAP
        "\u1251D",  # ; CUNEIFORM SIGN LU2 TIMES PAP PLUS PAP PLUS LU3
        "\u1251E",  # ; CUNEIFORM SIGN LU2 TIMES TAK4
        "\u1251F",  # ; CUNEIFORM SIGN MI PLUS ZA7
        "\u12520",  # ; CUNEIFORM SIGN MUSH OVER MUSH TIMES GA
        "\u12521",  # ; CUNEIFORM SIGN MUSH OVER MUSH TIMES KAK
        "\u12522",  # ; CUNEIFORM SIGN NINDA2 TIMES DIM GUNU
        "\u12523",  # ; CUNEIFORM SIGN NINDA2 TIMES GISH
        "\u12524",  # ; CUNEIFORM SIGN NINDA2 TIMES GUL
        "\u12525",  # ; CUNEIFORM SIGN NINDA2 TIMES HI
        "\u12526",  # ; CUNEIFORM SIGN NINDA2 TIMES KESH2
        "\u12527",  # ; CUNEIFORM SIGN NINDA2 TIMES LAK-050
        "\u12528",  # ; CUNEIFORM SIGN NINDA2 TIMES MASH
        "\u12529",  # ; CUNEIFORM SIGN NINDA2 TIMES PAP PLUS PAP
        "\u1252A",  # ; CUNEIFORM SIGN NINDA2 TIMES U
        "\u1252B",  # ; CUNEIFORM SIGN NINDA2 TIMES U PLUS U
        "\u1252C",  # ; CUNEIFORM SIGN NINDA2 TIMES URUDA
        "\u1252D",  # ; CUNEIFORM SIGN SAG GUNU TIMES HA
        "\u1252E",  # ; CUNEIFORM SIGN SAG TIMES EN
        "\u1252F",  # ; CUNEIFORM SIGN SAG TIMES SHE AT LEFT
        "\u12530",  # ; CUNEIFORM SIGN SAG TIMES TAK4
        "\u12531",  # ; CUNEIFORM SIGN SHA6 TENU
        "\u12532",  # ; CUNEIFORM SIGN SHE OVER SHE
        "\u12533",  # ; CUNEIFORM SIGN SHE PLUS HUB2
        "\u12534",  # ; CUNEIFORM SIGN SHE PLUS NAM2
        "\u12535",  # ; CUNEIFORM SIGN SHE PLUS SAR
        "\u12536",  # ; CUNEIFORM SIGN SHU2 PLUS DUG TIMES NI
        "\u12537",  # ; CUNEIFORM SIGN SHU2 PLUS E2 TIMES AN
        "\u12538",  # ; CUNEIFORM SIGN SI TIMES TAK4
        "\u12539",  # ; CUNEIFORM SIGN TAK4 PLUS SAG
        "\u1253A",  # ; CUNEIFORM SIGN TUM TIMES GAN2 TENU
        "\u1253B",  # ; CUNEIFORM SIGN TUM TIMES THREE DISH
        "\u1253C",  # ; CUNEIFORM SIGN UR2 INVERTED
        "\u1253D",  # ; CUNEIFORM SIGN UR2 TIMES UD
        "\u1253E",  # ; CUNEIFORM SIGN URU TIMES DARA3
        "\u1253F",  # ; CUNEIFORM SIGN URU TIMES LAK-668
        "\u12540",  # ; CUNEIFORM SIGN URU TIMES LU3
        "\u12541",  # ; CUNEIFORM SIGN ZA7
        "\u12542",  # ; CUNEIFORM SIGN ZU OVER ZU PLUS SAR
        "\u12543",  # ; CUNEIFORM SIGN ZU5 TIMES THREE DISH TENU
        "\u13000",  # ; EGYPTIAN HIEROGLYPH A001
        "\u13001",  # ; EGYPTIAN HIEROGLYPH A002
        "\u13002",  # ; EGYPTIAN HIEROGLYPH A003
        "\u13003",  # ; EGYPTIAN HIEROGLYPH A004
        "\u13004",  # ; EGYPTIAN HIEROGLYPH A005
        "\u13005",  # ; EGYPTIAN HIEROGLYPH A005A
        "\u13006",  # ; EGYPTIAN HIEROGLYPH A006
        "\u13007",  # ; EGYPTIAN HIEROGLYPH A006A
        "\u13008",  # ; EGYPTIAN HIEROGLYPH A006B
        "\u13009",  # ; EGYPTIAN HIEROGLYPH A007
        "\u1300A",  # ; EGYPTIAN HIEROGLYPH A008
        "\u1300B",  # ; EGYPTIAN HIEROGLYPH A009
        "\u1300C",  # ; EGYPTIAN HIEROGLYPH A010
        "\u1300D",  # ; EGYPTIAN HIEROGLYPH A011
        "\u1300E",  # ; EGYPTIAN HIEROGLYPH A012
        "\u1300F",  # ; EGYPTIAN HIEROGLYPH A013
        "\u13010",  # ; EGYPTIAN HIEROGLYPH A014
        "\u13011",  # ; EGYPTIAN HIEROGLYPH A014A
        "\u13012",  # ; EGYPTIAN HIEROGLYPH A015
        "\u13013",  # ; EGYPTIAN HIEROGLYPH A016
        "\u13014",  # ; EGYPTIAN HIEROGLYPH A017
        "\u13015",  # ; EGYPTIAN HIEROGLYPH A017A
        "\u13016",  # ; EGYPTIAN HIEROGLYPH A018
        "\u13017",  # ; EGYPTIAN HIEROGLYPH A019
        "\u13018",  # ; EGYPTIAN HIEROGLYPH A020
        "\u13019",  # ; EGYPTIAN HIEROGLYPH A021
        "\u1301A",  # ; EGYPTIAN HIEROGLYPH A022
        "\u1301B",  # ; EGYPTIAN HIEROGLYPH A023
        "\u1301C",  # ; EGYPTIAN HIEROGLYPH A024
        "\u1301D",  # ; EGYPTIAN HIEROGLYPH A025
        "\u1301E",  # ; EGYPTIAN HIEROGLYPH A026
        "\u1301F",  # ; EGYPTIAN HIEROGLYPH A027
        "\u13020",  # ; EGYPTIAN HIEROGLYPH A028
        "\u13021",  # ; EGYPTIAN HIEROGLYPH A029
        "\u13022",  # ; EGYPTIAN HIEROGLYPH A030
        "\u13023",  # ; EGYPTIAN HIEROGLYPH A031
        "\u13024",  # ; EGYPTIAN HIEROGLYPH A032
        "\u13025",  # ; EGYPTIAN HIEROGLYPH A032A
        "\u13026",  # ; EGYPTIAN HIEROGLYPH A033
        "\u13027",  # ; EGYPTIAN HIEROGLYPH A034
        "\u13028",  # ; EGYPTIAN HIEROGLYPH A035
        "\u13029",  # ; EGYPTIAN HIEROGLYPH A036
        "\u1302A",  # ; EGYPTIAN HIEROGLYPH A037
        "\u1302B",  # ; EGYPTIAN HIEROGLYPH A038
        "\u1302C",  # ; EGYPTIAN HIEROGLYPH A039
        "\u1302D",  # ; EGYPTIAN HIEROGLYPH A040
        "\u1302E",  # ; EGYPTIAN HIEROGLYPH A040A
        "\u1302F",  # ; EGYPTIAN HIEROGLYPH A041
        "\u13030",  # ; EGYPTIAN HIEROGLYPH A042
        "\u13031",  # ; EGYPTIAN HIEROGLYPH A042A
        "\u13032",  # ; EGYPTIAN HIEROGLYPH A043
        "\u13033",  # ; EGYPTIAN HIEROGLYPH A043A
        "\u13034",  # ; EGYPTIAN HIEROGLYPH A044
        "\u13035",  # ; EGYPTIAN HIEROGLYPH A045
        "\u13036",  # ; EGYPTIAN HIEROGLYPH A045A
        "\u13037",  # ; EGYPTIAN HIEROGLYPH A046
        "\u13038",  # ; EGYPTIAN HIEROGLYPH A047
        "\u13039",  # ; EGYPTIAN HIEROGLYPH A048
        "\u1303A",  # ; EGYPTIAN HIEROGLYPH A049
        "\u1303B",  # ; EGYPTIAN HIEROGLYPH A050
        "\u1303C",  # ; EGYPTIAN HIEROGLYPH A051
        "\u1303D",  # ; EGYPTIAN HIEROGLYPH A052
        "\u1303E",  # ; EGYPTIAN HIEROGLYPH A053
        "\u1303F",  # ; EGYPTIAN HIEROGLYPH A054
        "\u13040",  # ; EGYPTIAN HIEROGLYPH A055
        "\u13041",  # ; EGYPTIAN HIEROGLYPH A056
        "\u13042",  # ; EGYPTIAN HIEROGLYPH A057
        "\u13043",  # ; EGYPTIAN HIEROGLYPH A058
        "\u13044",  # ; EGYPTIAN HIEROGLYPH A059
        "\u13045",  # ; EGYPTIAN HIEROGLYPH A060
        "\u13046",  # ; EGYPTIAN HIEROGLYPH A061
        "\u13047",  # ; EGYPTIAN HIEROGLYPH A062
        "\u13048",  # ; EGYPTIAN HIEROGLYPH A063
        "\u13049",  # ; EGYPTIAN HIEROGLYPH A064
        "\u1304A",  # ; EGYPTIAN HIEROGLYPH A065
        "\u1304B",  # ; EGYPTIAN HIEROGLYPH A066
        "\u1304C",  # ; EGYPTIAN HIEROGLYPH A067
        "\u1304D",  # ; EGYPTIAN HIEROGLYPH A068
        "\u1304E",  # ; EGYPTIAN HIEROGLYPH A069
        "\u1304F",  # ; EGYPTIAN HIEROGLYPH A070
        "\u13050",  # ; EGYPTIAN HIEROGLYPH B001
        "\u13051",  # ; EGYPTIAN HIEROGLYPH B002
        "\u13052",  # ; EGYPTIAN HIEROGLYPH B003
        "\u13053",  # ; EGYPTIAN HIEROGLYPH B004
        "\u13054",  # ; EGYPTIAN HIEROGLYPH B005
        "\u13055",  # ; EGYPTIAN HIEROGLYPH B005A
        "\u13056",  # ; EGYPTIAN HIEROGLYPH B006
        "\u13057",  # ; EGYPTIAN HIEROGLYPH B007
        "\u13058",  # ; EGYPTIAN HIEROGLYPH B008
        "\u13059",  # ; EGYPTIAN HIEROGLYPH B009
        "\u1305A",  # ; EGYPTIAN HIEROGLYPH C001
        "\u1305B",  # ; EGYPTIAN HIEROGLYPH C002
        "\u1305C",  # ; EGYPTIAN HIEROGLYPH C002A
        "\u1305D",  # ; EGYPTIAN HIEROGLYPH C002B
        "\u1305E",  # ; EGYPTIAN HIEROGLYPH C002C
        "\u1305F",  # ; EGYPTIAN HIEROGLYPH C003
        "\u13060",  # ; EGYPTIAN HIEROGLYPH C004
        "\u13061",  # ; EGYPTIAN HIEROGLYPH C005
        "\u13062",  # ; EGYPTIAN HIEROGLYPH C006
        "\u13063",  # ; EGYPTIAN HIEROGLYPH C007
        "\u13064",  # ; EGYPTIAN HIEROGLYPH C008
        "\u13065",  # ; EGYPTIAN HIEROGLYPH C009
        "\u13066",  # ; EGYPTIAN HIEROGLYPH C010
        "\u13067",  # ; EGYPTIAN HIEROGLYPH C010A
        "\u13068",  # ; EGYPTIAN HIEROGLYPH C011
        "\u13069",  # ; EGYPTIAN HIEROGLYPH C012
        "\u1306A",  # ; EGYPTIAN HIEROGLYPH C013
        "\u1306B",  # ; EGYPTIAN HIEROGLYPH C014
        "\u1306C",  # ; EGYPTIAN HIEROGLYPH C015
        "\u1306D",  # ; EGYPTIAN HIEROGLYPH C016
        "\u1306E",  # ; EGYPTIAN HIEROGLYPH C017
        "\u1306F",  # ; EGYPTIAN HIEROGLYPH C018
        "\u13070",  # ; EGYPTIAN HIEROGLYPH C019
        "\u13071",  # ; EGYPTIAN HIEROGLYPH C020
        "\u13072",  # ; EGYPTIAN HIEROGLYPH C021
        "\u13073",  # ; EGYPTIAN HIEROGLYPH C022
        "\u13074",  # ; EGYPTIAN HIEROGLYPH C023
        "\u13075",  # ; EGYPTIAN HIEROGLYPH C024
        "\u13076",  # ; EGYPTIAN HIEROGLYPH D001
        "\u13077",  # ; EGYPTIAN HIEROGLYPH D002
        "\u13078",  # ; EGYPTIAN HIEROGLYPH D003
        "\u13079",  # ; EGYPTIAN HIEROGLYPH D004
        "\u1307A",  # ; EGYPTIAN HIEROGLYPH D005
        "\u1307B",  # ; EGYPTIAN HIEROGLYPH D006
        "\u1307C",  # ; EGYPTIAN HIEROGLYPH D007
        "\u1307D",  # ; EGYPTIAN HIEROGLYPH D008
        "\u1307E",  # ; EGYPTIAN HIEROGLYPH D008A
        "\u1307F",  # ; EGYPTIAN HIEROGLYPH D009
        "\u13080",  # ; EGYPTIAN HIEROGLYPH D010
        "\u13081",  # ; EGYPTIAN HIEROGLYPH D011
        "\u13082",  # ; EGYPTIAN HIEROGLYPH D012
        "\u13083",  # ; EGYPTIAN HIEROGLYPH D013
        "\u13084",  # ; EGYPTIAN HIEROGLYPH D014
        "\u13085",  # ; EGYPTIAN HIEROGLYPH D015
        "\u13086",  # ; EGYPTIAN HIEROGLYPH D016
        "\u13087",  # ; EGYPTIAN HIEROGLYPH D017
        "\u13088",  # ; EGYPTIAN HIEROGLYPH D018
        "\u13089",  # ; EGYPTIAN HIEROGLYPH D019
        "\u1308A",  # ; EGYPTIAN HIEROGLYPH D020
        "\u1308B",  # ; EGYPTIAN HIEROGLYPH D021
        "\u1308C",  # ; EGYPTIAN HIEROGLYPH D022
        "\u1308D",  # ; EGYPTIAN HIEROGLYPH D023
        "\u1308E",  # ; EGYPTIAN HIEROGLYPH D024
        "\u1308F",  # ; EGYPTIAN HIEROGLYPH D025
        "\u13090",  # ; EGYPTIAN HIEROGLYPH D026
        "\u13091",  # ; EGYPTIAN HIEROGLYPH D027
        "\u13092",  # ; EGYPTIAN HIEROGLYPH D027A
        "\u13093",  # ; EGYPTIAN HIEROGLYPH D028
        "\u13094",  # ; EGYPTIAN HIEROGLYPH D029
        "\u13095",  # ; EGYPTIAN HIEROGLYPH D030
        "\u13096",  # ; EGYPTIAN HIEROGLYPH D031
        "\u13097",  # ; EGYPTIAN HIEROGLYPH D031A
        "\u13098",  # ; EGYPTIAN HIEROGLYPH D032
        "\u13099",  # ; EGYPTIAN HIEROGLYPH D033
        "\u1309A",  # ; EGYPTIAN HIEROGLYPH D034
        "\u1309B",  # ; EGYPTIAN HIEROGLYPH D034A
        "\u1309C",  # ; EGYPTIAN HIEROGLYPH D035
        "\u1309D",  # ; EGYPTIAN HIEROGLYPH D036
        "\u1309E",  # ; EGYPTIAN HIEROGLYPH D037
        "\u1309F",  # ; EGYPTIAN HIEROGLYPH D038
        "\u130A0",  # ; EGYPTIAN HIEROGLYPH D039
        "\u130A1",  # ; EGYPTIAN HIEROGLYPH D040
        "\u130A2",  # ; EGYPTIAN HIEROGLYPH D041
        "\u130A3",  # ; EGYPTIAN HIEROGLYPH D042
        "\u130A4",  # ; EGYPTIAN HIEROGLYPH D043
        "\u130A5",  # ; EGYPTIAN HIEROGLYPH D044
        "\u130A6",  # ; EGYPTIAN HIEROGLYPH D045
        "\u130A7",  # ; EGYPTIAN HIEROGLYPH D046
        "\u130A8",  # ; EGYPTIAN HIEROGLYPH D046A
        "\u130A9",  # ; EGYPTIAN HIEROGLYPH D047
        "\u130AA",  # ; EGYPTIAN HIEROGLYPH D048
        "\u130AB",  # ; EGYPTIAN HIEROGLYPH D048A
        "\u130AC",  # ; EGYPTIAN HIEROGLYPH D049
        "\u130AD",  # ; EGYPTIAN HIEROGLYPH D050
        "\u130AE",  # ; EGYPTIAN HIEROGLYPH D050A
        "\u130AF",  # ; EGYPTIAN HIEROGLYPH D050B
        "\u130B0",  # ; EGYPTIAN HIEROGLYPH D050C
        "\u130B1",  # ; EGYPTIAN HIEROGLYPH D050D
        "\u130B2",  # ; EGYPTIAN HIEROGLYPH D050E
        "\u130B3",  # ; EGYPTIAN HIEROGLYPH D050F
        "\u130B4",  # ; EGYPTIAN HIEROGLYPH D050G
        "\u130B5",  # ; EGYPTIAN HIEROGLYPH D050H
        "\u130B6",  # ; EGYPTIAN HIEROGLYPH D050I
        "\u130B7",  # ; EGYPTIAN HIEROGLYPH D051
        "\u130B8",  # ; EGYPTIAN HIEROGLYPH D052
        "\u130B9",  # ; EGYPTIAN HIEROGLYPH D052A
        "\u130BA",  # ; EGYPTIAN HIEROGLYPH D053
        "\u130BB",  # ; EGYPTIAN HIEROGLYPH D054
        "\u130BC",  # ; EGYPTIAN HIEROGLYPH D054A
        "\u130BD",  # ; EGYPTIAN HIEROGLYPH D055
        "\u130BE",  # ; EGYPTIAN HIEROGLYPH D056
        "\u130BF",  # ; EGYPTIAN HIEROGLYPH D057
        "\u130C0",  # ; EGYPTIAN HIEROGLYPH D058
        "\u130C1",  # ; EGYPTIAN HIEROGLYPH D059
        "\u130C2",  # ; EGYPTIAN HIEROGLYPH D060
        "\u130C3",  # ; EGYPTIAN HIEROGLYPH D061
        "\u130C4",  # ; EGYPTIAN HIEROGLYPH D062
        "\u130C5",  # ; EGYPTIAN HIEROGLYPH D063
        "\u130C6",  # ; EGYPTIAN HIEROGLYPH D064
        "\u130C7",  # ; EGYPTIAN HIEROGLYPH D065
        "\u130C8",  # ; EGYPTIAN HIEROGLYPH D066
        "\u130C9",  # ; EGYPTIAN HIEROGLYPH D067
        "\u130CA",  # ; EGYPTIAN HIEROGLYPH D067A
        "\u130CB",  # ; EGYPTIAN HIEROGLYPH D067B
        "\u130CC",  # ; EGYPTIAN HIEROGLYPH D067C
        "\u130CD",  # ; EGYPTIAN HIEROGLYPH D067D
        "\u130CE",  # ; EGYPTIAN HIEROGLYPH D067E
        "\u130CF",  # ; EGYPTIAN HIEROGLYPH D067F
        "\u130D0",  # ; EGYPTIAN HIEROGLYPH D067G
        "\u130D1",  # ; EGYPTIAN HIEROGLYPH D067H
        "\u130D2",  # ; EGYPTIAN HIEROGLYPH E001
        "\u130D3",  # ; EGYPTIAN HIEROGLYPH E002
        "\u130D4",  # ; EGYPTIAN HIEROGLYPH E003
        "\u130D5",  # ; EGYPTIAN HIEROGLYPH E004
        "\u130D6",  # ; EGYPTIAN HIEROGLYPH E005
        "\u130D7",  # ; EGYPTIAN HIEROGLYPH E006
        "\u130D8",  # ; EGYPTIAN HIEROGLYPH E007
        "\u130D9",  # ; EGYPTIAN HIEROGLYPH E008
        "\u130DA",  # ; EGYPTIAN HIEROGLYPH E008A
        "\u130DB",  # ; EGYPTIAN HIEROGLYPH E009
        "\u130DC",  # ; EGYPTIAN HIEROGLYPH E009A
        "\u130DD",  # ; EGYPTIAN HIEROGLYPH E010
        "\u130DE",  # ; EGYPTIAN HIEROGLYPH E011
        "\u130DF",  # ; EGYPTIAN HIEROGLYPH E012
        "\u130E0",  # ; EGYPTIAN HIEROGLYPH E013
        "\u130E1",  # ; EGYPTIAN HIEROGLYPH E014
        "\u130E2",  # ; EGYPTIAN HIEROGLYPH E015
        "\u130E3",  # ; EGYPTIAN HIEROGLYPH E016
        "\u130E4",  # ; EGYPTIAN HIEROGLYPH E016A
        "\u130E5",  # ; EGYPTIAN HIEROGLYPH E017
        "\u130E6",  # ; EGYPTIAN HIEROGLYPH E017A
        "\u130E7",  # ; EGYPTIAN HIEROGLYPH E018
        "\u130E8",  # ; EGYPTIAN HIEROGLYPH E019
        "\u130E9",  # ; EGYPTIAN HIEROGLYPH E020
        "\u130EA",  # ; EGYPTIAN HIEROGLYPH E020A
        "\u130EB",  # ; EGYPTIAN HIEROGLYPH E021
        "\u130EC",  # ; EGYPTIAN HIEROGLYPH E022
        "\u130ED",  # ; EGYPTIAN HIEROGLYPH E023
        "\u130EE",  # ; EGYPTIAN HIEROGLYPH E024
        "\u130EF",  # ; EGYPTIAN HIEROGLYPH E025
        "\u130F0",  # ; EGYPTIAN HIEROGLYPH E026
        "\u130F1",  # ; EGYPTIAN HIEROGLYPH E027
        "\u130F2",  # ; EGYPTIAN HIEROGLYPH E028
        "\u130F3",  # ; EGYPTIAN HIEROGLYPH E028A
        "\u130F4",  # ; EGYPTIAN HIEROGLYPH E029
        "\u130F5",  # ; EGYPTIAN HIEROGLYPH E030
        "\u130F6",  # ; EGYPTIAN HIEROGLYPH E031
        "\u130F7",  # ; EGYPTIAN HIEROGLYPH E032
        "\u130F8",  # ; EGYPTIAN HIEROGLYPH E033
        "\u130F9",  # ; EGYPTIAN HIEROGLYPH E034
        "\u130FA",  # ; EGYPTIAN HIEROGLYPH E034A
        "\u130FB",  # ; EGYPTIAN HIEROGLYPH E036
        "\u130FC",  # ; EGYPTIAN HIEROGLYPH E037
        "\u130FD",  # ; EGYPTIAN HIEROGLYPH E038
        "\u130FE",  # ; EGYPTIAN HIEROGLYPH F001
        "\u130FF",  # ; EGYPTIAN HIEROGLYPH F001A
        "\u13100",  # ; EGYPTIAN HIEROGLYPH F002
        "\u13101",  # ; EGYPTIAN HIEROGLYPH F003
        "\u13102",  # ; EGYPTIAN HIEROGLYPH F004
        "\u13103",  # ; EGYPTIAN HIEROGLYPH F005
        "\u13104",  # ; EGYPTIAN HIEROGLYPH F006
        "\u13105",  # ; EGYPTIAN HIEROGLYPH F007
        "\u13106",  # ; EGYPTIAN HIEROGLYPH F008
        "\u13107",  # ; EGYPTIAN HIEROGLYPH F009
        "\u13108",  # ; EGYPTIAN HIEROGLYPH F010
        "\u13109",  # ; EGYPTIAN HIEROGLYPH F011
        "\u1310A",  # ; EGYPTIAN HIEROGLYPH F012
        "\u1310B",  # ; EGYPTIAN HIEROGLYPH F013
        "\u1310C",  # ; EGYPTIAN HIEROGLYPH F013A
        "\u1310D",  # ; EGYPTIAN HIEROGLYPH F014
        "\u1310E",  # ; EGYPTIAN HIEROGLYPH F015
        "\u1310F",  # ; EGYPTIAN HIEROGLYPH F016
        "\u13110",  # ; EGYPTIAN HIEROGLYPH F017
        "\u13111",  # ; EGYPTIAN HIEROGLYPH F018
        "\u13112",  # ; EGYPTIAN HIEROGLYPH F019
        "\u13113",  # ; EGYPTIAN HIEROGLYPH F020
        "\u13114",  # ; EGYPTIAN HIEROGLYPH F021
        "\u13115",  # ; EGYPTIAN HIEROGLYPH F021A
        "\u13116",  # ; EGYPTIAN HIEROGLYPH F022
        "\u13117",  # ; EGYPTIAN HIEROGLYPH F023
        "\u13118",  # ; EGYPTIAN HIEROGLYPH F024
        "\u13119",  # ; EGYPTIAN HIEROGLYPH F025
        "\u1311A",  # ; EGYPTIAN HIEROGLYPH F026
        "\u1311B",  # ; EGYPTIAN HIEROGLYPH F027
        "\u1311C",  # ; EGYPTIAN HIEROGLYPH F028
        "\u1311D",  # ; EGYPTIAN HIEROGLYPH F029
        "\u1311E",  # ; EGYPTIAN HIEROGLYPH F030
        "\u1311F",  # ; EGYPTIAN HIEROGLYPH F031
        "\u13120",  # ; EGYPTIAN HIEROGLYPH F031A
        "\u13121",  # ; EGYPTIAN HIEROGLYPH F032
        "\u13122",  # ; EGYPTIAN HIEROGLYPH F033
        "\u13123",  # ; EGYPTIAN HIEROGLYPH F034
        "\u13124",  # ; EGYPTIAN HIEROGLYPH F035
        "\u13125",  # ; EGYPTIAN HIEROGLYPH F036
        "\u13126",  # ; EGYPTIAN HIEROGLYPH F037
        "\u13127",  # ; EGYPTIAN HIEROGLYPH F037A
        "\u13128",  # ; EGYPTIAN HIEROGLYPH F038
        "\u13129",  # ; EGYPTIAN HIEROGLYPH F038A
        "\u1312A",  # ; EGYPTIAN HIEROGLYPH F039
        "\u1312B",  # ; EGYPTIAN HIEROGLYPH F040
        "\u1312C",  # ; EGYPTIAN HIEROGLYPH F041
        "\u1312D",  # ; EGYPTIAN HIEROGLYPH F042
        "\u1312E",  # ; EGYPTIAN HIEROGLYPH F043
        "\u1312F",  # ; EGYPTIAN HIEROGLYPH F044
        "\u13130",  # ; EGYPTIAN HIEROGLYPH F045
        "\u13131",  # ; EGYPTIAN HIEROGLYPH F045A
        "\u13132",  # ; EGYPTIAN HIEROGLYPH F046
        "\u13133",  # ; EGYPTIAN HIEROGLYPH F046A
        "\u13134",  # ; EGYPTIAN HIEROGLYPH F047
        "\u13135",  # ; EGYPTIAN HIEROGLYPH F047A
        "\u13136",  # ; EGYPTIAN HIEROGLYPH F048
        "\u13137",  # ; EGYPTIAN HIEROGLYPH F049
        "\u13138",  # ; EGYPTIAN HIEROGLYPH F050
        "\u13139",  # ; EGYPTIAN HIEROGLYPH F051
        "\u1313A",  # ; EGYPTIAN HIEROGLYPH F051A
        "\u1313B",  # ; EGYPTIAN HIEROGLYPH F051B
        "\u1313C",  # ; EGYPTIAN HIEROGLYPH F051C
        "\u1313D",  # ; EGYPTIAN HIEROGLYPH F052
        "\u1313E",  # ; EGYPTIAN HIEROGLYPH F053
        "\u1313F",  # ; EGYPTIAN HIEROGLYPH G001
        "\u13140",  # ; EGYPTIAN HIEROGLYPH G002
        "\u13141",  # ; EGYPTIAN HIEROGLYPH G003
        "\u13142",  # ; EGYPTIAN HIEROGLYPH G004
        "\u13143",  # ; EGYPTIAN HIEROGLYPH G005
        "\u13144",  # ; EGYPTIAN HIEROGLYPH G006
        "\u13145",  # ; EGYPTIAN HIEROGLYPH G006A
        "\u13146",  # ; EGYPTIAN HIEROGLYPH G007
        "\u13147",  # ; EGYPTIAN HIEROGLYPH G007A
        "\u13148",  # ; EGYPTIAN HIEROGLYPH G007B
        "\u13149",  # ; EGYPTIAN HIEROGLYPH G008
        "\u1314A",  # ; EGYPTIAN HIEROGLYPH G009
        "\u1314B",  # ; EGYPTIAN HIEROGLYPH G010
        "\u1314C",  # ; EGYPTIAN HIEROGLYPH G011
        "\u1314D",  # ; EGYPTIAN HIEROGLYPH G011A
        "\u1314E",  # ; EGYPTIAN HIEROGLYPH G012
        "\u1314F",  # ; EGYPTIAN HIEROGLYPH G013
        "\u13150",  # ; EGYPTIAN HIEROGLYPH G014
        "\u13151",  # ; EGYPTIAN HIEROGLYPH G015
        "\u13152",  # ; EGYPTIAN HIEROGLYPH G016
        "\u13153",  # ; EGYPTIAN HIEROGLYPH G017
        "\u13154",  # ; EGYPTIAN HIEROGLYPH G018
        "\u13155",  # ; EGYPTIAN HIEROGLYPH G019
        "\u13156",  # ; EGYPTIAN HIEROGLYPH G020
        "\u13157",  # ; EGYPTIAN HIEROGLYPH G020A
        "\u13158",  # ; EGYPTIAN HIEROGLYPH G021
        "\u13159",  # ; EGYPTIAN HIEROGLYPH G022
        "\u1315A",  # ; EGYPTIAN HIEROGLYPH G023
        "\u1315B",  # ; EGYPTIAN HIEROGLYPH G024
        "\u1315C",  # ; EGYPTIAN HIEROGLYPH G025
        "\u1315D",  # ; EGYPTIAN HIEROGLYPH G026
        "\u1315E",  # ; EGYPTIAN HIEROGLYPH G026A
        "\u1315F",  # ; EGYPTIAN HIEROGLYPH G027
        "\u13160",  # ; EGYPTIAN HIEROGLYPH G028
        "\u13161",  # ; EGYPTIAN HIEROGLYPH G029
        "\u13162",  # ; EGYPTIAN HIEROGLYPH G030
        "\u13163",  # ; EGYPTIAN HIEROGLYPH G031
        "\u13164",  # ; EGYPTIAN HIEROGLYPH G032
        "\u13165",  # ; EGYPTIAN HIEROGLYPH G033
        "\u13166",  # ; EGYPTIAN HIEROGLYPH G034
        "\u13167",  # ; EGYPTIAN HIEROGLYPH G035
        "\u13168",  # ; EGYPTIAN HIEROGLYPH G036
        "\u13169",  # ; EGYPTIAN HIEROGLYPH G036A
        "\u1316A",  # ; EGYPTIAN HIEROGLYPH G037
        "\u1316B",  # ; EGYPTIAN HIEROGLYPH G037A
        "\u1316C",  # ; EGYPTIAN HIEROGLYPH G038
        "\u1316D",  # ; EGYPTIAN HIEROGLYPH G039
        "\u1316E",  # ; EGYPTIAN HIEROGLYPH G040
        "\u1316F",  # ; EGYPTIAN HIEROGLYPH G041
        "\u13170",  # ; EGYPTIAN HIEROGLYPH G042
        "\u13171",  # ; EGYPTIAN HIEROGLYPH G043
        "\u13172",  # ; EGYPTIAN HIEROGLYPH G043A
        "\u13173",  # ; EGYPTIAN HIEROGLYPH G044
        "\u13174",  # ; EGYPTIAN HIEROGLYPH G045
        "\u13175",  # ; EGYPTIAN HIEROGLYPH G045A
        "\u13176",  # ; EGYPTIAN HIEROGLYPH G046
        "\u13177",  # ; EGYPTIAN HIEROGLYPH G047
        "\u13178",  # ; EGYPTIAN HIEROGLYPH G048
        "\u13179",  # ; EGYPTIAN HIEROGLYPH G049
        "\u1317A",  # ; EGYPTIAN HIEROGLYPH G050
        "\u1317B",  # ; EGYPTIAN HIEROGLYPH G051
        "\u1317C",  # ; EGYPTIAN HIEROGLYPH G052
        "\u1317D",  # ; EGYPTIAN HIEROGLYPH G053
        "\u1317E",  # ; EGYPTIAN HIEROGLYPH G054
        "\u1317F",  # ; EGYPTIAN HIEROGLYPH H001
        "\u13180",  # ; EGYPTIAN HIEROGLYPH H002
        "\u13181",  # ; EGYPTIAN HIEROGLYPH H003
        "\u13182",  # ; EGYPTIAN HIEROGLYPH H004
        "\u13183",  # ; EGYPTIAN HIEROGLYPH H005
        "\u13184",  # ; EGYPTIAN HIEROGLYPH H006
        "\u13185",  # ; EGYPTIAN HIEROGLYPH H006A
        "\u13186",  # ; EGYPTIAN HIEROGLYPH H007
        "\u13187",  # ; EGYPTIAN HIEROGLYPH H008
        "\u13188",  # ; EGYPTIAN HIEROGLYPH I001
        "\u13189",  # ; EGYPTIAN HIEROGLYPH I002
        "\u1318A",  # ; EGYPTIAN HIEROGLYPH I003
        "\u1318B",  # ; EGYPTIAN HIEROGLYPH I004
        "\u1318C",  # ; EGYPTIAN HIEROGLYPH I005
        "\u1318D",  # ; EGYPTIAN HIEROGLYPH I005A
        "\u1318E",  # ; EGYPTIAN HIEROGLYPH I006
        "\u1318F",  # ; EGYPTIAN HIEROGLYPH I007
        "\u13190",  # ; EGYPTIAN HIEROGLYPH I008
        "\u13191",  # ; EGYPTIAN HIEROGLYPH I009
        "\u13192",  # ; EGYPTIAN HIEROGLYPH I009A
        "\u13193",  # ; EGYPTIAN HIEROGLYPH I010
        "\u13194",  # ; EGYPTIAN HIEROGLYPH I010A
        "\u13195",  # ; EGYPTIAN HIEROGLYPH I011
        "\u13196",  # ; EGYPTIAN HIEROGLYPH I011A
        "\u13197",  # ; EGYPTIAN HIEROGLYPH I012
        "\u13198",  # ; EGYPTIAN HIEROGLYPH I013
        "\u13199",  # ; EGYPTIAN HIEROGLYPH I014
        "\u1319A",  # ; EGYPTIAN HIEROGLYPH I015
        "\u1319B",  # ; EGYPTIAN HIEROGLYPH K001
        "\u1319C",  # ; EGYPTIAN HIEROGLYPH K002
        "\u1319D",  # ; EGYPTIAN HIEROGLYPH K003
        "\u1319E",  # ; EGYPTIAN HIEROGLYPH K004
        "\u1319F",  # ; EGYPTIAN HIEROGLYPH K005
        "\u131A0",  # ; EGYPTIAN HIEROGLYPH K006
        "\u131A1",  # ; EGYPTIAN HIEROGLYPH K007
        "\u131A2",  # ; EGYPTIAN HIEROGLYPH K008
        "\u131A3",  # ; EGYPTIAN HIEROGLYPH L001
        "\u131A4",  # ; EGYPTIAN HIEROGLYPH L002
        "\u131A5",  # ; EGYPTIAN HIEROGLYPH L002A
        "\u131A6",  # ; EGYPTIAN HIEROGLYPH L003
        "\u131A7",  # ; EGYPTIAN HIEROGLYPH L004
        "\u131A8",  # ; EGYPTIAN HIEROGLYPH L005
        "\u131A9",  # ; EGYPTIAN HIEROGLYPH L006
        "\u131AA",  # ; EGYPTIAN HIEROGLYPH L006A
        "\u131AB",  # ; EGYPTIAN HIEROGLYPH L007
        "\u131AC",  # ; EGYPTIAN HIEROGLYPH L008
        "\u131AD",  # ; EGYPTIAN HIEROGLYPH M001
        "\u131AE",  # ; EGYPTIAN HIEROGLYPH M001A
        "\u131AF",  # ; EGYPTIAN HIEROGLYPH M001B
        "\u131B0",  # ; EGYPTIAN HIEROGLYPH M002
        "\u131B1",  # ; EGYPTIAN HIEROGLYPH M003
        "\u131B2",  # ; EGYPTIAN HIEROGLYPH M003A
        "\u131B3",  # ; EGYPTIAN HIEROGLYPH M004
        "\u131B4",  # ; EGYPTIAN HIEROGLYPH M005
        "\u131B5",  # ; EGYPTIAN HIEROGLYPH M006
        "\u131B6",  # ; EGYPTIAN HIEROGLYPH M007
        "\u131B7",  # ; EGYPTIAN HIEROGLYPH M008
        "\u131B8",  # ; EGYPTIAN HIEROGLYPH M009
        "\u131B9",  # ; EGYPTIAN HIEROGLYPH M010
        "\u131BA",  # ; EGYPTIAN HIEROGLYPH M010A
        "\u131BB",  # ; EGYPTIAN HIEROGLYPH M011
        "\u131BC",  # ; EGYPTIAN HIEROGLYPH M012
        "\u131BD",  # ; EGYPTIAN HIEROGLYPH M012A
        "\u131BE",  # ; EGYPTIAN HIEROGLYPH M012B
        "\u131BF",  # ; EGYPTIAN HIEROGLYPH M012C
        "\u131C0",  # ; EGYPTIAN HIEROGLYPH M012D
        "\u131C1",  # ; EGYPTIAN HIEROGLYPH M012E
        "\u131C2",  # ; EGYPTIAN HIEROGLYPH M012F
        "\u131C3",  # ; EGYPTIAN HIEROGLYPH M012G
        "\u131C4",  # ; EGYPTIAN HIEROGLYPH M012H
        "\u131C5",  # ; EGYPTIAN HIEROGLYPH M013
        "\u131C6",  # ; EGYPTIAN HIEROGLYPH M014
        "\u131C7",  # ; EGYPTIAN HIEROGLYPH M015
        "\u131C8",  # ; EGYPTIAN HIEROGLYPH M015A
        "\u131C9",  # ; EGYPTIAN HIEROGLYPH M016
        "\u131CA",  # ; EGYPTIAN HIEROGLYPH M016A
        "\u131CB",  # ; EGYPTIAN HIEROGLYPH M017
        "\u131CC",  # ; EGYPTIAN HIEROGLYPH M017A
        "\u131CD",  # ; EGYPTIAN HIEROGLYPH M018
        "\u131CE",  # ; EGYPTIAN HIEROGLYPH M019
        "\u131CF",  # ; EGYPTIAN HIEROGLYPH M020
        "\u131D0",  # ; EGYPTIAN HIEROGLYPH M021
        "\u131D1",  # ; EGYPTIAN HIEROGLYPH M022
        "\u131D2",  # ; EGYPTIAN HIEROGLYPH M022A
        "\u131D3",  # ; EGYPTIAN HIEROGLYPH M023
        "\u131D4",  # ; EGYPTIAN HIEROGLYPH M024
        "\u131D5",  # ; EGYPTIAN HIEROGLYPH M024A
        "\u131D6",  # ; EGYPTIAN HIEROGLYPH M025
        "\u131D7",  # ; EGYPTIAN HIEROGLYPH M026
        "\u131D8",  # ; EGYPTIAN HIEROGLYPH M027
        "\u131D9",  # ; EGYPTIAN HIEROGLYPH M028
        "\u131DA",  # ; EGYPTIAN HIEROGLYPH M028A
        "\u131DB",  # ; EGYPTIAN HIEROGLYPH M029
        "\u131DC",  # ; EGYPTIAN HIEROGLYPH M030
        "\u131DD",  # ; EGYPTIAN HIEROGLYPH M031
        "\u131DE",  # ; EGYPTIAN HIEROGLYPH M031A
        "\u131DF",  # ; EGYPTIAN HIEROGLYPH M032
        "\u131E0",  # ; EGYPTIAN HIEROGLYPH M033
        "\u131E1",  # ; EGYPTIAN HIEROGLYPH M033A
        "\u131E2",  # ; EGYPTIAN HIEROGLYPH M033B
        "\u131E3",  # ; EGYPTIAN HIEROGLYPH M034
        "\u131E4",  # ; EGYPTIAN HIEROGLYPH M035
        "\u131E5",  # ; EGYPTIAN HIEROGLYPH M036
        "\u131E6",  # ; EGYPTIAN HIEROGLYPH M037
        "\u131E7",  # ; EGYPTIAN HIEROGLYPH M038
        "\u131E8",  # ; EGYPTIAN HIEROGLYPH M039
        "\u131E9",  # ; EGYPTIAN HIEROGLYPH M040
        "\u131EA",  # ; EGYPTIAN HIEROGLYPH M040A
        "\u131EB",  # ; EGYPTIAN HIEROGLYPH M041
        "\u131EC",  # ; EGYPTIAN HIEROGLYPH M042
        "\u131ED",  # ; EGYPTIAN HIEROGLYPH M043
        "\u131EE",  # ; EGYPTIAN HIEROGLYPH M044
        "\u131EF",  # ; EGYPTIAN HIEROGLYPH N001
        "\u131F0",  # ; EGYPTIAN HIEROGLYPH N002
        "\u131F1",  # ; EGYPTIAN HIEROGLYPH N003
        "\u131F2",  # ; EGYPTIAN HIEROGLYPH N004
        "\u131F3",  # ; EGYPTIAN HIEROGLYPH N005
        "\u131F4",  # ; EGYPTIAN HIEROGLYPH N006
        "\u131F5",  # ; EGYPTIAN HIEROGLYPH N007
        "\u131F6",  # ; EGYPTIAN HIEROGLYPH N008
        "\u131F7",  # ; EGYPTIAN HIEROGLYPH N009
        "\u131F8",  # ; EGYPTIAN HIEROGLYPH N010
        "\u131F9",  # ; EGYPTIAN HIEROGLYPH N011
        "\u131FA",  # ; EGYPTIAN HIEROGLYPH N012
        "\u131FB",  # ; EGYPTIAN HIEROGLYPH N013
        "\u131FC",  # ; EGYPTIAN HIEROGLYPH N014
        "\u131FD",  # ; EGYPTIAN HIEROGLYPH N015
        "\u131FE",  # ; EGYPTIAN HIEROGLYPH N016
        "\u131FF",  # ; EGYPTIAN HIEROGLYPH N017
        "\u13200",  # ; EGYPTIAN HIEROGLYPH N018
        "\u13201",  # ; EGYPTIAN HIEROGLYPH N018A
        "\u13202",  # ; EGYPTIAN HIEROGLYPH N018B
        "\u13203",  # ; EGYPTIAN HIEROGLYPH N019
        "\u13204",  # ; EGYPTIAN HIEROGLYPH N020
        "\u13205",  # ; EGYPTIAN HIEROGLYPH N021
        "\u13206",  # ; EGYPTIAN HIEROGLYPH N022
        "\u13207",  # ; EGYPTIAN HIEROGLYPH N023
        "\u13208",  # ; EGYPTIAN HIEROGLYPH N024
        "\u13209",  # ; EGYPTIAN HIEROGLYPH N025
        "\u1320A",  # ; EGYPTIAN HIEROGLYPH N025A
        "\u1320B",  # ; EGYPTIAN HIEROGLYPH N026
        "\u1320C",  # ; EGYPTIAN HIEROGLYPH N027
        "\u1320D",  # ; EGYPTIAN HIEROGLYPH N028
        "\u1320E",  # ; EGYPTIAN HIEROGLYPH N029
        "\u1320F",  # ; EGYPTIAN HIEROGLYPH N030
        "\u13210",  # ; EGYPTIAN HIEROGLYPH N031
        "\u13211",  # ; EGYPTIAN HIEROGLYPH N032
        "\u13212",  # ; EGYPTIAN HIEROGLYPH N033
        "\u13213",  # ; EGYPTIAN HIEROGLYPH N033A
        "\u13214",  # ; EGYPTIAN HIEROGLYPH N034
        "\u13215",  # ; EGYPTIAN HIEROGLYPH N034A
        "\u13216",  # ; EGYPTIAN HIEROGLYPH N035
        "\u13217",  # ; EGYPTIAN HIEROGLYPH N035A
        "\u13218",  # ; EGYPTIAN HIEROGLYPH N036
        "\u13219",  # ; EGYPTIAN HIEROGLYPH N037
        "\u1321A",  # ; EGYPTIAN HIEROGLYPH N037A
        "\u1321B",  # ; EGYPTIAN HIEROGLYPH N038
        "\u1321C",  # ; EGYPTIAN HIEROGLYPH N039
        "\u1321D",  # ; EGYPTIAN HIEROGLYPH N040
        "\u1321E",  # ; EGYPTIAN HIEROGLYPH N041
        "\u1321F",  # ; EGYPTIAN HIEROGLYPH N042
        "\u13220",  # ; EGYPTIAN HIEROGLYPH NL001
        "\u13221",  # ; EGYPTIAN HIEROGLYPH NL002
        "\u13222",  # ; EGYPTIAN HIEROGLYPH NL003
        "\u13223",  # ; EGYPTIAN HIEROGLYPH NL004
        "\u13224",  # ; EGYPTIAN HIEROGLYPH NL005
        "\u13225",  # ; EGYPTIAN HIEROGLYPH NL005A
        "\u13226",  # ; EGYPTIAN HIEROGLYPH NL006
        "\u13227",  # ; EGYPTIAN HIEROGLYPH NL007
        "\u13228",  # ; EGYPTIAN HIEROGLYPH NL008
        "\u13229",  # ; EGYPTIAN HIEROGLYPH NL009
        "\u1322A",  # ; EGYPTIAN HIEROGLYPH NL010
        "\u1322B",  # ; EGYPTIAN HIEROGLYPH NL011
        "\u1322C",  # ; EGYPTIAN HIEROGLYPH NL012
        "\u1322D",  # ; EGYPTIAN HIEROGLYPH NL013
        "\u1322E",  # ; EGYPTIAN HIEROGLYPH NL014
        "\u1322F",  # ; EGYPTIAN HIEROGLYPH NL015
        "\u13230",  # ; EGYPTIAN HIEROGLYPH NL016
        "\u13231",  # ; EGYPTIAN HIEROGLYPH NL017
        "\u13232",  # ; EGYPTIAN HIEROGLYPH NL017A
        "\u13233",  # ; EGYPTIAN HIEROGLYPH NL018
        "\u13234",  # ; EGYPTIAN HIEROGLYPH NL019
        "\u13235",  # ; EGYPTIAN HIEROGLYPH NL020
        "\u13236",  # ; EGYPTIAN HIEROGLYPH NU001
        "\u13237",  # ; EGYPTIAN HIEROGLYPH NU002
        "\u13238",  # ; EGYPTIAN HIEROGLYPH NU003
        "\u13239",  # ; EGYPTIAN HIEROGLYPH NU004
        "\u1323A",  # ; EGYPTIAN HIEROGLYPH NU005
        "\u1323B",  # ; EGYPTIAN HIEROGLYPH NU006
        "\u1323C",  # ; EGYPTIAN HIEROGLYPH NU007
        "\u1323D",  # ; EGYPTIAN HIEROGLYPH NU008
        "\u1323E",  # ; EGYPTIAN HIEROGLYPH NU009
        "\u1323F",  # ; EGYPTIAN HIEROGLYPH NU010
        "\u13240",  # ; EGYPTIAN HIEROGLYPH NU010A
        "\u13241",  # ; EGYPTIAN HIEROGLYPH NU011
        "\u13242",  # ; EGYPTIAN HIEROGLYPH NU011A
        "\u13243",  # ; EGYPTIAN HIEROGLYPH NU012
        "\u13244",  # ; EGYPTIAN HIEROGLYPH NU013
        "\u13245",  # ; EGYPTIAN HIEROGLYPH NU014
        "\u13246",  # ; EGYPTIAN HIEROGLYPH NU015
        "\u13247",  # ; EGYPTIAN HIEROGLYPH NU016
        "\u13248",  # ; EGYPTIAN HIEROGLYPH NU017
        "\u13249",  # ; EGYPTIAN HIEROGLYPH NU018
        "\u1324A",  # ; EGYPTIAN HIEROGLYPH NU018A
        "\u1324B",  # ; EGYPTIAN HIEROGLYPH NU019
        "\u1324C",  # ; EGYPTIAN HIEROGLYPH NU020
        "\u1324D",  # ; EGYPTIAN HIEROGLYPH NU021
        "\u1324E",  # ; EGYPTIAN HIEROGLYPH NU022
        "\u1324F",  # ; EGYPTIAN HIEROGLYPH NU022A
        "\u13250",  # ; EGYPTIAN HIEROGLYPH O001
        "\u13251",  # ; EGYPTIAN HIEROGLYPH O001A
        "\u13252",  # ; EGYPTIAN HIEROGLYPH O002
        "\u13253",  # ; EGYPTIAN HIEROGLYPH O003
        "\u13254",  # ; EGYPTIAN HIEROGLYPH O004
        "\u13255",  # ; EGYPTIAN HIEROGLYPH O005
        "\u13256",  # ; EGYPTIAN HIEROGLYPH O005A
        "\u13257",  # ; EGYPTIAN HIEROGLYPH O006
        "\u13258",  # ; EGYPTIAN HIEROGLYPH O006A
        "\u13259",  # ; EGYPTIAN HIEROGLYPH O006B
        "\u1325A",  # ; EGYPTIAN HIEROGLYPH O006C
        "\u1325B",  # ; EGYPTIAN HIEROGLYPH O006D
        "\u1325C",  # ; EGYPTIAN HIEROGLYPH O006E
        "\u1325D",  # ; EGYPTIAN HIEROGLYPH O006F
        "\u1325E",  # ; EGYPTIAN HIEROGLYPH O007
        "\u1325F",  # ; EGYPTIAN HIEROGLYPH O008
        "\u13260",  # ; EGYPTIAN HIEROGLYPH O009
        "\u13261",  # ; EGYPTIAN HIEROGLYPH O010
        "\u13262",  # ; EGYPTIAN HIEROGLYPH O010A
        "\u13263",  # ; EGYPTIAN HIEROGLYPH O010B
        "\u13264",  # ; EGYPTIAN HIEROGLYPH O010C
        "\u13265",  # ; EGYPTIAN HIEROGLYPH O011
        "\u13266",  # ; EGYPTIAN HIEROGLYPH O012
        "\u13267",  # ; EGYPTIAN HIEROGLYPH O013
        "\u13268",  # ; EGYPTIAN HIEROGLYPH O014
        "\u13269",  # ; EGYPTIAN HIEROGLYPH O015
        "\u1326A",  # ; EGYPTIAN HIEROGLYPH O016
        "\u1326B",  # ; EGYPTIAN HIEROGLYPH O017
        "\u1326C",  # ; EGYPTIAN HIEROGLYPH O018
        "\u1326D",  # ; EGYPTIAN HIEROGLYPH O019
        "\u1326E",  # ; EGYPTIAN HIEROGLYPH O019A
        "\u1326F",  # ; EGYPTIAN HIEROGLYPH O020
        "\u13270",  # ; EGYPTIAN HIEROGLYPH O020A
        "\u13271",  # ; EGYPTIAN HIEROGLYPH O021
        "\u13272",  # ; EGYPTIAN HIEROGLYPH O022
        "\u13273",  # ; EGYPTIAN HIEROGLYPH O023
        "\u13274",  # ; EGYPTIAN HIEROGLYPH O024
        "\u13275",  # ; EGYPTIAN HIEROGLYPH O024A
        "\u13276",  # ; EGYPTIAN HIEROGLYPH O025
        "\u13277",  # ; EGYPTIAN HIEROGLYPH O025A
        "\u13278",  # ; EGYPTIAN HIEROGLYPH O026
        "\u13279",  # ; EGYPTIAN HIEROGLYPH O027
        "\u1327A",  # ; EGYPTIAN HIEROGLYPH O028
        "\u1327B",  # ; EGYPTIAN HIEROGLYPH O029
        "\u1327C",  # ; EGYPTIAN HIEROGLYPH O029A
        "\u1327D",  # ; EGYPTIAN HIEROGLYPH O030
        "\u1327E",  # ; EGYPTIAN HIEROGLYPH O030A
        "\u1327F",  # ; EGYPTIAN HIEROGLYPH O031
        "\u13280",  # ; EGYPTIAN HIEROGLYPH O032
        "\u13281",  # ; EGYPTIAN HIEROGLYPH O033
        "\u13282",  # ; EGYPTIAN HIEROGLYPH O033A
        "\u13283",  # ; EGYPTIAN HIEROGLYPH O034
        "\u13284",  # ; EGYPTIAN HIEROGLYPH O035
        "\u13285",  # ; EGYPTIAN HIEROGLYPH O036
        "\u13286",  # ; EGYPTIAN HIEROGLYPH O036A
        "\u13287",  # ; EGYPTIAN HIEROGLYPH O036B
        "\u13288",  # ; EGYPTIAN HIEROGLYPH O036C
        "\u13289",  # ; EGYPTIAN HIEROGLYPH O036D
        "\u1328A",  # ; EGYPTIAN HIEROGLYPH O037
        "\u1328B",  # ; EGYPTIAN HIEROGLYPH O038
        "\u1328C",  # ; EGYPTIAN HIEROGLYPH O039
        "\u1328D",  # ; EGYPTIAN HIEROGLYPH O040
        "\u1328E",  # ; EGYPTIAN HIEROGLYPH O041
        "\u1328F",  # ; EGYPTIAN HIEROGLYPH O042
        "\u13290",  # ; EGYPTIAN HIEROGLYPH O043
        "\u13291",  # ; EGYPTIAN HIEROGLYPH O044
        "\u13292",  # ; EGYPTIAN HIEROGLYPH O045
        "\u13293",  # ; EGYPTIAN HIEROGLYPH O046
        "\u13294",  # ; EGYPTIAN HIEROGLYPH O047
        "\u13295",  # ; EGYPTIAN HIEROGLYPH O048
        "\u13296",  # ; EGYPTIAN HIEROGLYPH O049
        "\u13297",  # ; EGYPTIAN HIEROGLYPH O050
        "\u13298",  # ; EGYPTIAN HIEROGLYPH O050A
        "\u13299",  # ; EGYPTIAN HIEROGLYPH O050B
        "\u1329A",  # ; EGYPTIAN HIEROGLYPH O051
        "\u1329B",  # ; EGYPTIAN HIEROGLYPH P001
        "\u1329C",  # ; EGYPTIAN HIEROGLYPH P001A
        "\u1329D",  # ; EGYPTIAN HIEROGLYPH P002
        "\u1329E",  # ; EGYPTIAN HIEROGLYPH P003
        "\u1329F",  # ; EGYPTIAN HIEROGLYPH P003A
        "\u132A0",  # ; EGYPTIAN HIEROGLYPH P004
        "\u132A1",  # ; EGYPTIAN HIEROGLYPH P005
        "\u132A2",  # ; EGYPTIAN HIEROGLYPH P006
        "\u132A3",  # ; EGYPTIAN HIEROGLYPH P007
        "\u132A4",  # ; EGYPTIAN HIEROGLYPH P008
        "\u132A5",  # ; EGYPTIAN HIEROGLYPH P009
        "\u132A6",  # ; EGYPTIAN HIEROGLYPH P010
        "\u132A7",  # ; EGYPTIAN HIEROGLYPH P011
        "\u132A8",  # ; EGYPTIAN HIEROGLYPH Q001
        "\u132A9",  # ; EGYPTIAN HIEROGLYPH Q002
        "\u132AA",  # ; EGYPTIAN HIEROGLYPH Q003
        "\u132AB",  # ; EGYPTIAN HIEROGLYPH Q004
        "\u132AC",  # ; EGYPTIAN HIEROGLYPH Q005
        "\u132AD",  # ; EGYPTIAN HIEROGLYPH Q006
        "\u132AE",  # ; EGYPTIAN HIEROGLYPH Q007
        "\u132AF",  # ; EGYPTIAN HIEROGLYPH R001
        "\u132B0",  # ; EGYPTIAN HIEROGLYPH R002
        "\u132B1",  # ; EGYPTIAN HIEROGLYPH R002A
        "\u132B2",  # ; EGYPTIAN HIEROGLYPH R003
        "\u132B3",  # ; EGYPTIAN HIEROGLYPH R003A
        "\u132B4",  # ; EGYPTIAN HIEROGLYPH R003B
        "\u132B5",  # ; EGYPTIAN HIEROGLYPH R004
        "\u132B6",  # ; EGYPTIAN HIEROGLYPH R005
        "\u132B7",  # ; EGYPTIAN HIEROGLYPH R006
        "\u132B8",  # ; EGYPTIAN HIEROGLYPH R007
        "\u132B9",  # ; EGYPTIAN HIEROGLYPH R008
        "\u132BA",  # ; EGYPTIAN HIEROGLYPH R009
        "\u132BB",  # ; EGYPTIAN HIEROGLYPH R010
        "\u132BC",  # ; EGYPTIAN HIEROGLYPH R010A
        "\u132BD",  # ; EGYPTIAN HIEROGLYPH R011
        "\u132BE",  # ; EGYPTIAN HIEROGLYPH R012
        "\u132BF",  # ; EGYPTIAN HIEROGLYPH R013
        "\u132C0",  # ; EGYPTIAN HIEROGLYPH R014
        "\u132C1",  # ; EGYPTIAN HIEROGLYPH R015
        "\u132C2",  # ; EGYPTIAN HIEROGLYPH R016
        "\u132C3",  # ; EGYPTIAN HIEROGLYPH R016A
        "\u132C4",  # ; EGYPTIAN HIEROGLYPH R017
        "\u132C5",  # ; EGYPTIAN HIEROGLYPH R018
        "\u132C6",  # ; EGYPTIAN HIEROGLYPH R019
        "\u132C7",  # ; EGYPTIAN HIEROGLYPH R020
        "\u132C8",  # ; EGYPTIAN HIEROGLYPH R021
        "\u132C9",  # ; EGYPTIAN HIEROGLYPH R022
        "\u132CA",  # ; EGYPTIAN HIEROGLYPH R023
        "\u132CB",  # ; EGYPTIAN HIEROGLYPH R024
        "\u132CC",  # ; EGYPTIAN HIEROGLYPH R025
        "\u132CD",  # ; EGYPTIAN HIEROGLYPH R026
        "\u132CE",  # ; EGYPTIAN HIEROGLYPH R027
        "\u132CF",  # ; EGYPTIAN HIEROGLYPH R028
        "\u132D0",  # ; EGYPTIAN HIEROGLYPH R029
        "\u132D1",  # ; EGYPTIAN HIEROGLYPH S001
        "\u132D2",  # ; EGYPTIAN HIEROGLYPH S002
        "\u132D3",  # ; EGYPTIAN HIEROGLYPH S002A
        "\u132D4",  # ; EGYPTIAN HIEROGLYPH S003
        "\u132D5",  # ; EGYPTIAN HIEROGLYPH S004
        "\u132D6",  # ; EGYPTIAN HIEROGLYPH S005
        "\u132D7",  # ; EGYPTIAN HIEROGLYPH S006
        "\u132D8",  # ; EGYPTIAN HIEROGLYPH S006A
        "\u132D9",  # ; EGYPTIAN HIEROGLYPH S007
        "\u132DA",  # ; EGYPTIAN HIEROGLYPH S008
        "\u132DB",  # ; EGYPTIAN HIEROGLYPH S009
        "\u132DC",  # ; EGYPTIAN HIEROGLYPH S010
        "\u132DD",  # ; EGYPTIAN HIEROGLYPH S011
        "\u132DE",  # ; EGYPTIAN HIEROGLYPH S012
        "\u132DF",  # ; EGYPTIAN HIEROGLYPH S013
        "\u132E0",  # ; EGYPTIAN HIEROGLYPH S014
        "\u132E1",  # ; EGYPTIAN HIEROGLYPH S014A
        "\u132E2",  # ; EGYPTIAN HIEROGLYPH S014B
        "\u132E3",  # ; EGYPTIAN HIEROGLYPH S015
        "\u132E4",  # ; EGYPTIAN HIEROGLYPH S016
        "\u132E5",  # ; EGYPTIAN HIEROGLYPH S017
        "\u132E6",  # ; EGYPTIAN HIEROGLYPH S017A
        "\u132E7",  # ; EGYPTIAN HIEROGLYPH S018
        "\u132E8",  # ; EGYPTIAN HIEROGLYPH S019
        "\u132E9",  # ; EGYPTIAN HIEROGLYPH S020
        "\u132EA",  # ; EGYPTIAN HIEROGLYPH S021
        "\u132EB",  # ; EGYPTIAN HIEROGLYPH S022
        "\u132EC",  # ; EGYPTIAN HIEROGLYPH S023
        "\u132ED",  # ; EGYPTIAN HIEROGLYPH S024
        "\u132EE",  # ; EGYPTIAN HIEROGLYPH S025
        "\u132EF",  # ; EGYPTIAN HIEROGLYPH S026
        "\u132F0",  # ; EGYPTIAN HIEROGLYPH S026A
        "\u132F1",  # ; EGYPTIAN HIEROGLYPH S026B
        "\u132F2",  # ; EGYPTIAN HIEROGLYPH S027
        "\u132F3",  # ; EGYPTIAN HIEROGLYPH S028
        "\u132F4",  # ; EGYPTIAN HIEROGLYPH S029
        "\u132F5",  # ; EGYPTIAN HIEROGLYPH S030
        "\u132F6",  # ; EGYPTIAN HIEROGLYPH S031
        "\u132F7",  # ; EGYPTIAN HIEROGLYPH S032
        "\u132F8",  # ; EGYPTIAN HIEROGLYPH S033
        "\u132F9",  # ; EGYPTIAN HIEROGLYPH S034
        "\u132FA",  # ; EGYPTIAN HIEROGLYPH S035
        "\u132FB",  # ; EGYPTIAN HIEROGLYPH S035A
        "\u132FC",  # ; EGYPTIAN HIEROGLYPH S036
        "\u132FD",  # ; EGYPTIAN HIEROGLYPH S037
        "\u132FE",  # ; EGYPTIAN HIEROGLYPH S038
        "\u132FF",  # ; EGYPTIAN HIEROGLYPH S039
        "\u13300",  # ; EGYPTIAN HIEROGLYPH S040
        "\u13301",  # ; EGYPTIAN HIEROGLYPH S041
        "\u13302",  # ; EGYPTIAN HIEROGLYPH S042
        "\u13303",  # ; EGYPTIAN HIEROGLYPH S043
        "\u13304",  # ; EGYPTIAN HIEROGLYPH S044
        "\u13305",  # ; EGYPTIAN HIEROGLYPH S045
        "\u13306",  # ; EGYPTIAN HIEROGLYPH S046
        "\u13307",  # ; EGYPTIAN HIEROGLYPH T001
        "\u13308",  # ; EGYPTIAN HIEROGLYPH T002
        "\u13309",  # ; EGYPTIAN HIEROGLYPH T003
        "\u1330A",  # ; EGYPTIAN HIEROGLYPH T003A
        "\u1330B",  # ; EGYPTIAN HIEROGLYPH T004
        "\u1330C",  # ; EGYPTIAN HIEROGLYPH T005
        "\u1330D",  # ; EGYPTIAN HIEROGLYPH T006
        "\u1330E",  # ; EGYPTIAN HIEROGLYPH T007
        "\u1330F",  # ; EGYPTIAN HIEROGLYPH T007A
        "\u13310",  # ; EGYPTIAN HIEROGLYPH T008
        "\u13311",  # ; EGYPTIAN HIEROGLYPH T008A
        "\u13312",  # ; EGYPTIAN HIEROGLYPH T009
        "\u13313",  # ; EGYPTIAN HIEROGLYPH T009A
        "\u13314",  # ; EGYPTIAN HIEROGLYPH T010
        "\u13315",  # ; EGYPTIAN HIEROGLYPH T011
        "\u13316",  # ; EGYPTIAN HIEROGLYPH T011A
        "\u13317",  # ; EGYPTIAN HIEROGLYPH T012
        "\u13318",  # ; EGYPTIAN HIEROGLYPH T013
        "\u13319",  # ; EGYPTIAN HIEROGLYPH T014
        "\u1331A",  # ; EGYPTIAN HIEROGLYPH T015
        "\u1331B",  # ; EGYPTIAN HIEROGLYPH T016
        "\u1331C",  # ; EGYPTIAN HIEROGLYPH T016A
        "\u1331D",  # ; EGYPTIAN HIEROGLYPH T017
        "\u1331E",  # ; EGYPTIAN HIEROGLYPH T018
        "\u1331F",  # ; EGYPTIAN HIEROGLYPH T019
        "\u13320",  # ; EGYPTIAN HIEROGLYPH T020
        "\u13321",  # ; EGYPTIAN HIEROGLYPH T021
        "\u13322",  # ; EGYPTIAN HIEROGLYPH T022
        "\u13323",  # ; EGYPTIAN HIEROGLYPH T023
        "\u13324",  # ; EGYPTIAN HIEROGLYPH T024
        "\u13325",  # ; EGYPTIAN HIEROGLYPH T025
        "\u13326",  # ; EGYPTIAN HIEROGLYPH T026
        "\u13327",  # ; EGYPTIAN HIEROGLYPH T027
        "\u13328",  # ; EGYPTIAN HIEROGLYPH T028
        "\u13329",  # ; EGYPTIAN HIEROGLYPH T029
        "\u1332A",  # ; EGYPTIAN HIEROGLYPH T030
        "\u1332B",  # ; EGYPTIAN HIEROGLYPH T031
        "\u1332C",  # ; EGYPTIAN HIEROGLYPH T032
        "\u1332D",  # ; EGYPTIAN HIEROGLYPH T032A
        "\u1332E",  # ; EGYPTIAN HIEROGLYPH T033
        "\u1332F",  # ; EGYPTIAN HIEROGLYPH T033A
        "\u13330",  # ; EGYPTIAN HIEROGLYPH T034
        "\u13331",  # ; EGYPTIAN HIEROGLYPH T035
        "\u13332",  # ; EGYPTIAN HIEROGLYPH T036
        "\u13333",  # ; EGYPTIAN HIEROGLYPH U001
        "\u13334",  # ; EGYPTIAN HIEROGLYPH U002
        "\u13335",  # ; EGYPTIAN HIEROGLYPH U003
        "\u13336",  # ; EGYPTIAN HIEROGLYPH U004
        "\u13337",  # ; EGYPTIAN HIEROGLYPH U005
        "\u13338",  # ; EGYPTIAN HIEROGLYPH U006
        "\u13339",  # ; EGYPTIAN HIEROGLYPH U006A
        "\u1333A",  # ; EGYPTIAN HIEROGLYPH U006B
        "\u1333B",  # ; EGYPTIAN HIEROGLYPH U007
        "\u1333C",  # ; EGYPTIAN HIEROGLYPH U008
        "\u1333D",  # ; EGYPTIAN HIEROGLYPH U009
        "\u1333E",  # ; EGYPTIAN HIEROGLYPH U010
        "\u1333F",  # ; EGYPTIAN HIEROGLYPH U011
        "\u13340",  # ; EGYPTIAN HIEROGLYPH U012
        "\u13341",  # ; EGYPTIAN HIEROGLYPH U013
        "\u13342",  # ; EGYPTIAN HIEROGLYPH U014
        "\u13343",  # ; EGYPTIAN HIEROGLYPH U015
        "\u13344",  # ; EGYPTIAN HIEROGLYPH U016
        "\u13345",  # ; EGYPTIAN HIEROGLYPH U017
        "\u13346",  # ; EGYPTIAN HIEROGLYPH U018
        "\u13347",  # ; EGYPTIAN HIEROGLYPH U019
        "\u13348",  # ; EGYPTIAN HIEROGLYPH U020
        "\u13349",  # ; EGYPTIAN HIEROGLYPH U021
        "\u1334A",  # ; EGYPTIAN HIEROGLYPH U022
        "\u1334B",  # ; EGYPTIAN HIEROGLYPH U023
        "\u1334C",  # ; EGYPTIAN HIEROGLYPH U023A
        "\u1334D",  # ; EGYPTIAN HIEROGLYPH U024
        "\u1334E",  # ; EGYPTIAN HIEROGLYPH U025
        "\u1334F",  # ; EGYPTIAN HIEROGLYPH U026
        "\u13350",  # ; EGYPTIAN HIEROGLYPH U027
        "\u13351",  # ; EGYPTIAN HIEROGLYPH U028
        "\u13352",  # ; EGYPTIAN HIEROGLYPH U029
        "\u13353",  # ; EGYPTIAN HIEROGLYPH U029A
        "\u13354",  # ; EGYPTIAN HIEROGLYPH U030
        "\u13355",  # ; EGYPTIAN HIEROGLYPH U031
        "\u13356",  # ; EGYPTIAN HIEROGLYPH U032
        "\u13357",  # ; EGYPTIAN HIEROGLYPH U032A
        "\u13358",  # ; EGYPTIAN HIEROGLYPH U033
        "\u13359",  # ; EGYPTIAN HIEROGLYPH U034
        "\u1335A",  # ; EGYPTIAN HIEROGLYPH U035
        "\u1335B",  # ; EGYPTIAN HIEROGLYPH U036
        "\u1335C",  # ; EGYPTIAN HIEROGLYPH U037
        "\u1335D",  # ; EGYPTIAN HIEROGLYPH U038
        "\u1335E",  # ; EGYPTIAN HIEROGLYPH U039
        "\u1335F",  # ; EGYPTIAN HIEROGLYPH U040
        "\u13360",  # ; EGYPTIAN HIEROGLYPH U041
        "\u13361",  # ; EGYPTIAN HIEROGLYPH U042
        "\u13362",  # ; EGYPTIAN HIEROGLYPH V001
        "\u13363",  # ; EGYPTIAN HIEROGLYPH V001A
        "\u13364",  # ; EGYPTIAN HIEROGLYPH V001B
        "\u13365",  # ; EGYPTIAN HIEROGLYPH V001C
        "\u13366",  # ; EGYPTIAN HIEROGLYPH V001D
        "\u13367",  # ; EGYPTIAN HIEROGLYPH V001E
        "\u13368",  # ; EGYPTIAN HIEROGLYPH V001F
        "\u13369",  # ; EGYPTIAN HIEROGLYPH V001G
        "\u1336A",  # ; EGYPTIAN HIEROGLYPH V001H
        "\u1336B",  # ; EGYPTIAN HIEROGLYPH V001I
        "\u1336C",  # ; EGYPTIAN HIEROGLYPH V002
        "\u1336D",  # ; EGYPTIAN HIEROGLYPH V002A
        "\u1336E",  # ; EGYPTIAN HIEROGLYPH V003
        "\u1336F",  # ; EGYPTIAN HIEROGLYPH V004
        "\u13370",  # ; EGYPTIAN HIEROGLYPH V005
        "\u13371",  # ; EGYPTIAN HIEROGLYPH V006
        "\u13372",  # ; EGYPTIAN HIEROGLYPH V007
        "\u13373",  # ; EGYPTIAN HIEROGLYPH V007A
        "\u13374",  # ; EGYPTIAN HIEROGLYPH V007B
        "\u13375",  # ; EGYPTIAN HIEROGLYPH V008
        "\u13376",  # ; EGYPTIAN HIEROGLYPH V009
        "\u13377",  # ; EGYPTIAN HIEROGLYPH V010
        "\u13378",  # ; EGYPTIAN HIEROGLYPH V011
        "\u13379",  # ; EGYPTIAN HIEROGLYPH V011A
        "\u1337A",  # ; EGYPTIAN HIEROGLYPH V011B
        "\u1337B",  # ; EGYPTIAN HIEROGLYPH V011C
        "\u1337C",  # ; EGYPTIAN HIEROGLYPH V012
        "\u1337D",  # ; EGYPTIAN HIEROGLYPH V012A
        "\u1337E",  # ; EGYPTIAN HIEROGLYPH V012B
        "\u1337F",  # ; EGYPTIAN HIEROGLYPH V013
        "\u13380",  # ; EGYPTIAN HIEROGLYPH V014
        "\u13381",  # ; EGYPTIAN HIEROGLYPH V015
        "\u13382",  # ; EGYPTIAN HIEROGLYPH V016
        "\u13383",  # ; EGYPTIAN HIEROGLYPH V017
        "\u13384",  # ; EGYPTIAN HIEROGLYPH V018
        "\u13385",  # ; EGYPTIAN HIEROGLYPH V019
        "\u13386",  # ; EGYPTIAN HIEROGLYPH V020
        "\u13387",  # ; EGYPTIAN HIEROGLYPH V020A
        "\u13388",  # ; EGYPTIAN HIEROGLYPH V020B
        "\u13389",  # ; EGYPTIAN HIEROGLYPH V020C
        "\u1338A",  # ; EGYPTIAN HIEROGLYPH V020D
        "\u1338B",  # ; EGYPTIAN HIEROGLYPH V020E
        "\u1338C",  # ; EGYPTIAN HIEROGLYPH V020F
        "\u1338D",  # ; EGYPTIAN HIEROGLYPH V020G
        "\u1338E",  # ; EGYPTIAN HIEROGLYPH V020H
        "\u1338F",  # ; EGYPTIAN HIEROGLYPH V020I
        "\u13390",  # ; EGYPTIAN HIEROGLYPH V020J
        "\u13391",  # ; EGYPTIAN HIEROGLYPH V020K
        "\u13392",  # ; EGYPTIAN HIEROGLYPH V020L
        "\u13393",  # ; EGYPTIAN HIEROGLYPH V021
        "\u13394",  # ; EGYPTIAN HIEROGLYPH V022
        "\u13395",  # ; EGYPTIAN HIEROGLYPH V023
        "\u13396",  # ; EGYPTIAN HIEROGLYPH V023A
        "\u13397",  # ; EGYPTIAN HIEROGLYPH V024
        "\u13398",  # ; EGYPTIAN HIEROGLYPH V025
        "\u13399",  # ; EGYPTIAN HIEROGLYPH V026
        "\u1339A",  # ; EGYPTIAN HIEROGLYPH V027
        "\u1339B",  # ; EGYPTIAN HIEROGLYPH V028
        "\u1339C",  # ; EGYPTIAN HIEROGLYPH V028A
        "\u1339D",  # ; EGYPTIAN HIEROGLYPH V029
        "\u1339E",  # ; EGYPTIAN HIEROGLYPH V029A
        "\u1339F",  # ; EGYPTIAN HIEROGLYPH V030
        "\u133A0",  # ; EGYPTIAN HIEROGLYPH V030A
        "\u133A1",  # ; EGYPTIAN HIEROGLYPH V031
        "\u133A2",  # ; EGYPTIAN HIEROGLYPH V031A
        "\u133A3",  # ; EGYPTIAN HIEROGLYPH V032
        "\u133A4",  # ; EGYPTIAN HIEROGLYPH V033
        "\u133A5",  # ; EGYPTIAN HIEROGLYPH V033A
        "\u133A6",  # ; EGYPTIAN HIEROGLYPH V034
        "\u133A7",  # ; EGYPTIAN HIEROGLYPH V035
        "\u133A8",  # ; EGYPTIAN HIEROGLYPH V036
        "\u133A9",  # ; EGYPTIAN HIEROGLYPH V037
        "\u133AA",  # ; EGYPTIAN HIEROGLYPH V037A
        "\u133AB",  # ; EGYPTIAN HIEROGLYPH V038
        "\u133AC",  # ; EGYPTIAN HIEROGLYPH V039
        "\u133AD",  # ; EGYPTIAN HIEROGLYPH V040
        "\u133AE",  # ; EGYPTIAN HIEROGLYPH V040A
        "\u133AF",  # ; EGYPTIAN HIEROGLYPH W001
        "\u133B0",  # ; EGYPTIAN HIEROGLYPH W002
        "\u133B1",  # ; EGYPTIAN HIEROGLYPH W003
        "\u133B2",  # ; EGYPTIAN HIEROGLYPH W003A
        "\u133B3",  # ; EGYPTIAN HIEROGLYPH W004
        "\u133B4",  # ; EGYPTIAN HIEROGLYPH W005
        "\u133B5",  # ; EGYPTIAN HIEROGLYPH W006
        "\u133B6",  # ; EGYPTIAN HIEROGLYPH W007
        "\u133B7",  # ; EGYPTIAN HIEROGLYPH W008
        "\u133B8",  # ; EGYPTIAN HIEROGLYPH W009
        "\u133B9",  # ; EGYPTIAN HIEROGLYPH W009A
        "\u133BA",  # ; EGYPTIAN HIEROGLYPH W010
        "\u133BB",  # ; EGYPTIAN HIEROGLYPH W010A
        "\u133BC",  # ; EGYPTIAN HIEROGLYPH W011
        "\u133BD",  # ; EGYPTIAN HIEROGLYPH W012
        "\u133BE",  # ; EGYPTIAN HIEROGLYPH W013
        "\u133BF",  # ; EGYPTIAN HIEROGLYPH W014
        "\u133C0",  # ; EGYPTIAN HIEROGLYPH W014A
        "\u133C1",  # ; EGYPTIAN HIEROGLYPH W015
        "\u133C2",  # ; EGYPTIAN HIEROGLYPH W016
        "\u133C3",  # ; EGYPTIAN HIEROGLYPH W017
        "\u133C4",  # ; EGYPTIAN HIEROGLYPH W017A
        "\u133C5",  # ; EGYPTIAN HIEROGLYPH W018
        "\u133C6",  # ; EGYPTIAN HIEROGLYPH W018A
        "\u133C7",  # ; EGYPTIAN HIEROGLYPH W019
        "\u133C8",  # ; EGYPTIAN HIEROGLYPH W020
        "\u133C9",  # ; EGYPTIAN HIEROGLYPH W021
        "\u133CA",  # ; EGYPTIAN HIEROGLYPH W022
        "\u133CB",  # ; EGYPTIAN HIEROGLYPH W023
        "\u133CC",  # ; EGYPTIAN HIEROGLYPH W024
        "\u133CD",  # ; EGYPTIAN HIEROGLYPH W024A
        "\u133CE",  # ; EGYPTIAN HIEROGLYPH W025
        "\u133CF",  # ; EGYPTIAN HIEROGLYPH X001
        "\u133D0",  # ; EGYPTIAN HIEROGLYPH X002
        "\u133D1",  # ; EGYPTIAN HIEROGLYPH X003
        "\u133D2",  # ; EGYPTIAN HIEROGLYPH X004
        "\u133D3",  # ; EGYPTIAN HIEROGLYPH X004A
        "\u133D4",  # ; EGYPTIAN HIEROGLYPH X004B
        "\u133D5",  # ; EGYPTIAN HIEROGLYPH X005
        "\u133D6",  # ; EGYPTIAN HIEROGLYPH X006
        "\u133D7",  # ; EGYPTIAN HIEROGLYPH X006A
        "\u133D8",  # ; EGYPTIAN HIEROGLYPH X007
        "\u133D9",  # ; EGYPTIAN HIEROGLYPH X008
        "\u133DA",  # ; EGYPTIAN HIEROGLYPH X008A
        "\u133DB",  # ; EGYPTIAN HIEROGLYPH Y001
        "\u133DC",  # ; EGYPTIAN HIEROGLYPH Y001A
        "\u133DD",  # ; EGYPTIAN HIEROGLYPH Y002
        "\u133DE",  # ; EGYPTIAN HIEROGLYPH Y003
        "\u133DF",  # ; EGYPTIAN HIEROGLYPH Y004
        "\u133E0",  # ; EGYPTIAN HIEROGLYPH Y005
        "\u133E1",  # ; EGYPTIAN HIEROGLYPH Y006
        "\u133E2",  # ; EGYPTIAN HIEROGLYPH Y007
        "\u133E3",  # ; EGYPTIAN HIEROGLYPH Y008
        "\u133E4",  # ; EGYPTIAN HIEROGLYPH Z001
        "\u133E5",  # ; EGYPTIAN HIEROGLYPH Z002
        "\u133E6",  # ; EGYPTIAN HIEROGLYPH Z002A
        "\u133E7",  # ; EGYPTIAN HIEROGLYPH Z002B
        "\u133E8",  # ; EGYPTIAN HIEROGLYPH Z002C
        "\u133E9",  # ; EGYPTIAN HIEROGLYPH Z002D
        "\u133EA",  # ; EGYPTIAN HIEROGLYPH Z003
        "\u133EB",  # ; EGYPTIAN HIEROGLYPH Z003A
        "\u133EC",  # ; EGYPTIAN HIEROGLYPH Z003B
        "\u133ED",  # ; EGYPTIAN HIEROGLYPH Z004
        "\u133EE",  # ; EGYPTIAN HIEROGLYPH Z004A
        "\u133EF",  # ; EGYPTIAN HIEROGLYPH Z005
        "\u133F0",  # ; EGYPTIAN HIEROGLYPH Z005A
        "\u133F1",  # ; EGYPTIAN HIEROGLYPH Z006
        "\u133F2",  # ; EGYPTIAN HIEROGLYPH Z007
        "\u133F3",  # ; EGYPTIAN HIEROGLYPH Z008
        "\u133F4",  # ; EGYPTIAN HIEROGLYPH Z009
        "\u133F5",  # ; EGYPTIAN HIEROGLYPH Z010
        "\u133F6",  # ; EGYPTIAN HIEROGLYPH Z011
        "\u133F7",  # ; EGYPTIAN HIEROGLYPH Z012
        "\u133F8",  # ; EGYPTIAN HIEROGLYPH Z013
        "\u133F9",  # ; EGYPTIAN HIEROGLYPH Z014
        "\u133FA",  # ; EGYPTIAN HIEROGLYPH Z015
        "\u133FB",  # ; EGYPTIAN HIEROGLYPH Z015A
        "\u133FC",  # ; EGYPTIAN HIEROGLYPH Z015B
        "\u133FD",  # ; EGYPTIAN HIEROGLYPH Z015C
        "\u133FE",  # ; EGYPTIAN HIEROGLYPH Z015D
        "\u133FF",  # ; EGYPTIAN HIEROGLYPH Z015E
        "\u13400",  # ; EGYPTIAN HIEROGLYPH Z015F
        "\u13401",  # ; EGYPTIAN HIEROGLYPH Z015G
        "\u13402",  # ; EGYPTIAN HIEROGLYPH Z015H
        "\u13403",  # ; EGYPTIAN HIEROGLYPH Z015I
        "\u13404",  # ; EGYPTIAN HIEROGLYPH Z016
        "\u13405",  # ; EGYPTIAN HIEROGLYPH Z016A
        "\u13406",  # ; EGYPTIAN HIEROGLYPH Z016B
        "\u13407",  # ; EGYPTIAN HIEROGLYPH Z016C
        "\u13408",  # ; EGYPTIAN HIEROGLYPH Z016D
        "\u13409",  # ; EGYPTIAN HIEROGLYPH Z016E
        "\u1340A",  # ; EGYPTIAN HIEROGLYPH Z016F
        "\u1340B",  # ; EGYPTIAN HIEROGLYPH Z016G
        "\u1340C",  # ; EGYPTIAN HIEROGLYPH Z016H
        "\u1340D",  # ; EGYPTIAN HIEROGLYPH AA001
        "\u1340E",  # ; EGYPTIAN HIEROGLYPH AA002
        "\u1340F",  # ; EGYPTIAN HIEROGLYPH AA003
        "\u13410",  # ; EGYPTIAN HIEROGLYPH AA004
        "\u13411",  # ; EGYPTIAN HIEROGLYPH AA005
        "\u13412",  # ; EGYPTIAN HIEROGLYPH AA006
        "\u13413",  # ; EGYPTIAN HIEROGLYPH AA007
        "\u13414",  # ; EGYPTIAN HIEROGLYPH AA007A
        "\u13415",  # ; EGYPTIAN HIEROGLYPH AA007B
        "\u13416",  # ; EGYPTIAN HIEROGLYPH AA008
        "\u13417",  # ; EGYPTIAN HIEROGLYPH AA009
        "\u13418",  # ; EGYPTIAN HIEROGLYPH AA010
        "\u13419",  # ; EGYPTIAN HIEROGLYPH AA011
        "\u1341A",  # ; EGYPTIAN HIEROGLYPH AA012
        "\u1341B",  # ; EGYPTIAN HIEROGLYPH AA013
        "\u1341C",  # ; EGYPTIAN HIEROGLYPH AA014
        "\u1341D",  # ; EGYPTIAN HIEROGLYPH AA015
        "\u1341E",  # ; EGYPTIAN HIEROGLYPH AA016
        "\u1341F",  # ; EGYPTIAN HIEROGLYPH AA017
        "\u13420",  # ; EGYPTIAN HIEROGLYPH AA018
        "\u13421",  # ; EGYPTIAN HIEROGLYPH AA019
        "\u13422",  # ; EGYPTIAN HIEROGLYPH AA020
        "\u13423",  # ; EGYPTIAN HIEROGLYPH AA021
        "\u13424",  # ; EGYPTIAN HIEROGLYPH AA022
        "\u13425",  # ; EGYPTIAN HIEROGLYPH AA023
        "\u13426",  # ; EGYPTIAN HIEROGLYPH AA024
        "\u13427",  # ; EGYPTIAN HIEROGLYPH AA025
        "\u13428",  # ; EGYPTIAN HIEROGLYPH AA026
        "\u13429",  # ; EGYPTIAN HIEROGLYPH AA027
        "\u1342A",  # ; EGYPTIAN HIEROGLYPH AA028
        "\u1342B",  # ; EGYPTIAN HIEROGLYPH AA029
        "\u1342C",  # ; EGYPTIAN HIEROGLYPH AA030
        "\u1342D",  # ; EGYPTIAN HIEROGLYPH AA031
        "\u1342E",  # ; EGYPTIAN HIEROGLYPH AA032
        "\u14400",  # ; ANATOLIAN HIEROGLYPH A001
        "\u14401",  # ; ANATOLIAN HIEROGLYPH A002
        "\u14402",  # ; ANATOLIAN HIEROGLYPH A003
        "\u14403",  # ; ANATOLIAN HIEROGLYPH A004
        "\u14404",  # ; ANATOLIAN HIEROGLYPH A005
        "\u14405",  # ; ANATOLIAN HIEROGLYPH A006
        "\u14406",  # ; ANATOLIAN HIEROGLYPH A007
        "\u14407",  # ; ANATOLIAN HIEROGLYPH A008
        "\u14408",  # ; ANATOLIAN HIEROGLYPH A009
        "\u14409",  # ; ANATOLIAN HIEROGLYPH A010
        "\u1440A",  # ; ANATOLIAN HIEROGLYPH A010A
        "\u1440B",  # ; ANATOLIAN HIEROGLYPH A011
        "\u1440C",  # ; ANATOLIAN HIEROGLYPH A012
        "\u1440D",  # ; ANATOLIAN HIEROGLYPH A013
        "\u1440E",  # ; ANATOLIAN HIEROGLYPH A014
        "\u1440F",  # ; ANATOLIAN HIEROGLYPH A015
        "\u14410",  # ; ANATOLIAN HIEROGLYPH A016
        "\u14411",  # ; ANATOLIAN HIEROGLYPH A017
        "\u14412",  # ; ANATOLIAN HIEROGLYPH A018
        "\u14413",  # ; ANATOLIAN HIEROGLYPH A019
        "\u14414",  # ; ANATOLIAN HIEROGLYPH A020
        "\u14415",  # ; ANATOLIAN HIEROGLYPH A021
        "\u14416",  # ; ANATOLIAN HIEROGLYPH A022
        "\u14417",  # ; ANATOLIAN HIEROGLYPH A023
        "\u14418",  # ; ANATOLIAN HIEROGLYPH A024
        "\u14419",  # ; ANATOLIAN HIEROGLYPH A025
        "\u1441A",  # ; ANATOLIAN HIEROGLYPH A026
        "\u1441B",  # ; ANATOLIAN HIEROGLYPH A026A
        "\u1441C",  # ; ANATOLIAN HIEROGLYPH A027
        "\u1441D",  # ; ANATOLIAN HIEROGLYPH A028
        "\u1441E",  # ; ANATOLIAN HIEROGLYPH A029
        "\u1441F",  # ; ANATOLIAN HIEROGLYPH A030
        "\u14420",  # ; ANATOLIAN HIEROGLYPH A031
        "\u14421",  # ; ANATOLIAN HIEROGLYPH A032
        "\u14422",  # ; ANATOLIAN HIEROGLYPH A033
        "\u14423",  # ; ANATOLIAN HIEROGLYPH A034
        "\u14424",  # ; ANATOLIAN HIEROGLYPH A035
        "\u14425",  # ; ANATOLIAN HIEROGLYPH A036
        "\u14426",  # ; ANATOLIAN HIEROGLYPH A037
        "\u14427",  # ; ANATOLIAN HIEROGLYPH A038
        "\u14428",  # ; ANATOLIAN HIEROGLYPH A039
        "\u14429",  # ; ANATOLIAN HIEROGLYPH A039A
        "\u1442A",  # ; ANATOLIAN HIEROGLYPH A040
        "\u1442B",  # ; ANATOLIAN HIEROGLYPH A041
        "\u1442C",  # ; ANATOLIAN HIEROGLYPH A041A
        "\u1442D",  # ; ANATOLIAN HIEROGLYPH A042
        "\u1442E",  # ; ANATOLIAN HIEROGLYPH A043
        "\u1442F",  # ; ANATOLIAN HIEROGLYPH A044
        "\u14430",  # ; ANATOLIAN HIEROGLYPH A045
        "\u14431",  # ; ANATOLIAN HIEROGLYPH A045A
        "\u14432",  # ; ANATOLIAN HIEROGLYPH A046
        "\u14433",  # ; ANATOLIAN HIEROGLYPH A046A
        "\u14434",  # ; ANATOLIAN HIEROGLYPH A046B
        "\u14435",  # ; ANATOLIAN HIEROGLYPH A047
        "\u14436",  # ; ANATOLIAN HIEROGLYPH A048
        "\u14437",  # ; ANATOLIAN HIEROGLYPH A049
        "\u14438",  # ; ANATOLIAN HIEROGLYPH A050
        "\u14439",  # ; ANATOLIAN HIEROGLYPH A051
        "\u1443A",  # ; ANATOLIAN HIEROGLYPH A052
        "\u1443B",  # ; ANATOLIAN HIEROGLYPH A053
        "\u1443C",  # ; ANATOLIAN HIEROGLYPH A054
        "\u1443D",  # ; ANATOLIAN HIEROGLYPH A055
        "\u1443E",  # ; ANATOLIAN HIEROGLYPH A056
        "\u1443F",  # ; ANATOLIAN HIEROGLYPH A057
        "\u14440",  # ; ANATOLIAN HIEROGLYPH A058
        "\u14441",  # ; ANATOLIAN HIEROGLYPH A059
        "\u14442",  # ; ANATOLIAN HIEROGLYPH A060
        "\u14443",  # ; ANATOLIAN HIEROGLYPH A061
        "\u14444",  # ; ANATOLIAN HIEROGLYPH A062
        "\u14445",  # ; ANATOLIAN HIEROGLYPH A063
        "\u14446",  # ; ANATOLIAN HIEROGLYPH A064
        "\u14447",  # ; ANATOLIAN HIEROGLYPH A065
        "\u14448",  # ; ANATOLIAN HIEROGLYPH A066
        "\u14449",  # ; ANATOLIAN HIEROGLYPH A066A
        "\u1444A",  # ; ANATOLIAN HIEROGLYPH A066B
        "\u1444B",  # ; ANATOLIAN HIEROGLYPH A066C
        "\u1444C",  # ; ANATOLIAN HIEROGLYPH A067
        "\u1444D",  # ; ANATOLIAN HIEROGLYPH A068
        "\u1444E",  # ; ANATOLIAN HIEROGLYPH A069
        "\u1444F",  # ; ANATOLIAN HIEROGLYPH A070
        "\u14450",  # ; ANATOLIAN HIEROGLYPH A071
        "\u14451",  # ; ANATOLIAN HIEROGLYPH A072
        "\u14452",  # ; ANATOLIAN HIEROGLYPH A073
        "\u14453",  # ; ANATOLIAN HIEROGLYPH A074
        "\u14454",  # ; ANATOLIAN HIEROGLYPH A075
        "\u14455",  # ; ANATOLIAN HIEROGLYPH A076
        "\u14456",  # ; ANATOLIAN HIEROGLYPH A077
        "\u14457",  # ; ANATOLIAN HIEROGLYPH A078
        "\u14458",  # ; ANATOLIAN HIEROGLYPH A079
        "\u14459",  # ; ANATOLIAN HIEROGLYPH A080
        "\u1445A",  # ; ANATOLIAN HIEROGLYPH A081
        "\u1445B",  # ; ANATOLIAN HIEROGLYPH A082
        "\u1445C",  # ; ANATOLIAN HIEROGLYPH A083
        "\u1445D",  # ; ANATOLIAN HIEROGLYPH A084
        "\u1445E",  # ; ANATOLIAN HIEROGLYPH A085
        "\u1445F",  # ; ANATOLIAN HIEROGLYPH A086
        "\u14460",  # ; ANATOLIAN HIEROGLYPH A087
        "\u14461",  # ; ANATOLIAN HIEROGLYPH A088
        "\u14462",  # ; ANATOLIAN HIEROGLYPH A089
        "\u14463",  # ; ANATOLIAN HIEROGLYPH A090
        "\u14464",  # ; ANATOLIAN HIEROGLYPH A091
        "\u14465",  # ; ANATOLIAN HIEROGLYPH A092
        "\u14466",  # ; ANATOLIAN HIEROGLYPH A093
        "\u14467",  # ; ANATOLIAN HIEROGLYPH A094
        "\u14468",  # ; ANATOLIAN HIEROGLYPH A095
        "\u14469",  # ; ANATOLIAN HIEROGLYPH A096
        "\u1446A",  # ; ANATOLIAN HIEROGLYPH A097
        "\u1446B",  # ; ANATOLIAN HIEROGLYPH A097A
        "\u1446C",  # ; ANATOLIAN HIEROGLYPH A098
        "\u1446D",  # ; ANATOLIAN HIEROGLYPH A098A
        "\u1446E",  # ; ANATOLIAN HIEROGLYPH A099
        "\u1446F",  # ; ANATOLIAN HIEROGLYPH A100
        "\u14470",  # ; ANATOLIAN HIEROGLYPH A100A
        "\u14471",  # ; ANATOLIAN HIEROGLYPH A101
        "\u14472",  # ; ANATOLIAN HIEROGLYPH A101A
        "\u14473",  # ; ANATOLIAN HIEROGLYPH A102
        "\u14474",  # ; ANATOLIAN HIEROGLYPH A102A
        "\u14475",  # ; ANATOLIAN HIEROGLYPH A103
        "\u14476",  # ; ANATOLIAN HIEROGLYPH A104
        "\u14477",  # ; ANATOLIAN HIEROGLYPH A104A
        "\u14478",  # ; ANATOLIAN HIEROGLYPH A104B
        "\u14479",  # ; ANATOLIAN HIEROGLYPH A104C
        "\u1447A",  # ; ANATOLIAN HIEROGLYPH A105
        "\u1447B",  # ; ANATOLIAN HIEROGLYPH A105A
        "\u1447C",  # ; ANATOLIAN HIEROGLYPH A105B
        "\u1447D",  # ; ANATOLIAN HIEROGLYPH A106
        "\u1447E",  # ; ANATOLIAN HIEROGLYPH A107
        "\u1447F",  # ; ANATOLIAN HIEROGLYPH A107A
        "\u14480",  # ; ANATOLIAN HIEROGLYPH A107B
        "\u14481",  # ; ANATOLIAN HIEROGLYPH A107C
        "\u14482",  # ; ANATOLIAN HIEROGLYPH A108
        "\u14483",  # ; ANATOLIAN HIEROGLYPH A109
        "\u14484",  # ; ANATOLIAN HIEROGLYPH A110
        "\u14485",  # ; ANATOLIAN HIEROGLYPH A110A
        "\u14486",  # ; ANATOLIAN HIEROGLYPH A110B
        "\u14487",  # ; ANATOLIAN HIEROGLYPH A111
        "\u14488",  # ; ANATOLIAN HIEROGLYPH A112
        "\u14489",  # ; ANATOLIAN HIEROGLYPH A113
        "\u1448A",  # ; ANATOLIAN HIEROGLYPH A114
        "\u1448B",  # ; ANATOLIAN HIEROGLYPH A115
        "\u1448C",  # ; ANATOLIAN HIEROGLYPH A115A
        "\u1448D",  # ; ANATOLIAN HIEROGLYPH A116
        "\u1448E",  # ; ANATOLIAN HIEROGLYPH A117
        "\u1448F",  # ; ANATOLIAN HIEROGLYPH A118
        "\u14490",  # ; ANATOLIAN HIEROGLYPH A119
        "\u14491",  # ; ANATOLIAN HIEROGLYPH A120
        "\u14492",  # ; ANATOLIAN HIEROGLYPH A121
        "\u14493",  # ; ANATOLIAN HIEROGLYPH A122
        "\u14494",  # ; ANATOLIAN HIEROGLYPH A123
        "\u14495",  # ; ANATOLIAN HIEROGLYPH A124
        "\u14496",  # ; ANATOLIAN HIEROGLYPH A125
        "\u14497",  # ; ANATOLIAN HIEROGLYPH A125A
        "\u14498",  # ; ANATOLIAN HIEROGLYPH A126
        "\u14499",  # ; ANATOLIAN HIEROGLYPH A127
        "\u1449A",  # ; ANATOLIAN HIEROGLYPH A128
        "\u1449B",  # ; ANATOLIAN HIEROGLYPH A129
        "\u1449C",  # ; ANATOLIAN HIEROGLYPH A130
        "\u1449D",  # ; ANATOLIAN HIEROGLYPH A131
        "\u1449E",  # ; ANATOLIAN HIEROGLYPH A132
        "\u1449F",  # ; ANATOLIAN HIEROGLYPH A133
        "\u144A0",  # ; ANATOLIAN HIEROGLYPH A134
        "\u144A1",  # ; ANATOLIAN HIEROGLYPH A135
        "\u144A2",  # ; ANATOLIAN HIEROGLYPH A135A
        "\u144A3",  # ; ANATOLIAN HIEROGLYPH A136
        "\u144A4",  # ; ANATOLIAN HIEROGLYPH A137
        "\u144A5",  # ; ANATOLIAN HIEROGLYPH A138
        "\u144A6",  # ; ANATOLIAN HIEROGLYPH A139
        "\u144A7",  # ; ANATOLIAN HIEROGLYPH A140
        "\u144A8",  # ; ANATOLIAN HIEROGLYPH A141
        "\u144A9",  # ; ANATOLIAN HIEROGLYPH A142
        "\u144AA",  # ; ANATOLIAN HIEROGLYPH A143
        "\u144AB",  # ; ANATOLIAN HIEROGLYPH A144
        "\u144AC",  # ; ANATOLIAN HIEROGLYPH A145
        "\u144AD",  # ; ANATOLIAN HIEROGLYPH A146
        "\u144AE",  # ; ANATOLIAN HIEROGLYPH A147
        "\u144AF",  # ; ANATOLIAN HIEROGLYPH A148
        "\u144B0",  # ; ANATOLIAN HIEROGLYPH A149
        "\u144B1",  # ; ANATOLIAN HIEROGLYPH A150
        "\u144B2",  # ; ANATOLIAN HIEROGLYPH A151
        "\u144B3",  # ; ANATOLIAN HIEROGLYPH A152
        "\u144B4",  # ; ANATOLIAN HIEROGLYPH A153
        "\u144B5",  # ; ANATOLIAN HIEROGLYPH A154
        "\u144B6",  # ; ANATOLIAN HIEROGLYPH A155
        "\u144B7",  # ; ANATOLIAN HIEROGLYPH A156
        "\u144B8",  # ; ANATOLIAN HIEROGLYPH A157
        "\u144B9",  # ; ANATOLIAN HIEROGLYPH A158
        "\u144BA",  # ; ANATOLIAN HIEROGLYPH A159
        "\u144BB",  # ; ANATOLIAN HIEROGLYPH A160
        "\u144BC",  # ; ANATOLIAN HIEROGLYPH A161
        "\u144BD",  # ; ANATOLIAN HIEROGLYPH A162
        "\u144BE",  # ; ANATOLIAN HIEROGLYPH A163
        "\u144BF",  # ; ANATOLIAN HIEROGLYPH A164
        "\u144C0",  # ; ANATOLIAN HIEROGLYPH A165
        "\u144C1",  # ; ANATOLIAN HIEROGLYPH A166
        "\u144C2",  # ; ANATOLIAN HIEROGLYPH A167
        "\u144C3",  # ; ANATOLIAN HIEROGLYPH A168
        "\u144C4",  # ; ANATOLIAN HIEROGLYPH A169
        "\u144C5",  # ; ANATOLIAN HIEROGLYPH A170
        "\u144C6",  # ; ANATOLIAN HIEROGLYPH A171
        "\u144C7",  # ; ANATOLIAN HIEROGLYPH A172
        "\u144C8",  # ; ANATOLIAN HIEROGLYPH A173
        "\u144C9",  # ; ANATOLIAN HIEROGLYPH A174
        "\u144CA",  # ; ANATOLIAN HIEROGLYPH A175
        "\u144CB",  # ; ANATOLIAN HIEROGLYPH A176
        "\u144CC",  # ; ANATOLIAN HIEROGLYPH A177
        "\u144CD",  # ; ANATOLIAN HIEROGLYPH A178
        "\u144CE",  # ; ANATOLIAN HIEROGLYPH A179
        "\u144CF",  # ; ANATOLIAN HIEROGLYPH A180
        "\u144D0",  # ; ANATOLIAN HIEROGLYPH A181
        "\u144D1",  # ; ANATOLIAN HIEROGLYPH A182
        "\u144D2",  # ; ANATOLIAN HIEROGLYPH A183
        "\u144D3",  # ; ANATOLIAN HIEROGLYPH A184
        "\u144D4",  # ; ANATOLIAN HIEROGLYPH A185
        "\u144D5",  # ; ANATOLIAN HIEROGLYPH A186
        "\u144D6",  # ; ANATOLIAN HIEROGLYPH A187
        "\u144D7",  # ; ANATOLIAN HIEROGLYPH A188
        "\u144D8",  # ; ANATOLIAN HIEROGLYPH A189
        "\u144D9",  # ; ANATOLIAN HIEROGLYPH A190
        "\u144DA",  # ; ANATOLIAN HIEROGLYPH A191
        "\u144DB",  # ; ANATOLIAN HIEROGLYPH A192
        "\u144DC",  # ; ANATOLIAN HIEROGLYPH A193
        "\u144DD",  # ; ANATOLIAN HIEROGLYPH A194
        "\u144DE",  # ; ANATOLIAN HIEROGLYPH A195
        "\u144DF",  # ; ANATOLIAN HIEROGLYPH A196
        "\u144E0",  # ; ANATOLIAN HIEROGLYPH A197
        "\u144E1",  # ; ANATOLIAN HIEROGLYPH A198
        "\u144E2",  # ; ANATOLIAN HIEROGLYPH A199
        "\u144E3",  # ; ANATOLIAN HIEROGLYPH A200
        "\u144E4",  # ; ANATOLIAN HIEROGLYPH A201
        "\u144E5",  # ; ANATOLIAN HIEROGLYPH A202
        "\u144E6",  # ; ANATOLIAN HIEROGLYPH A202A
        "\u144E7",  # ; ANATOLIAN HIEROGLYPH A202B
        "\u144E8",  # ; ANATOLIAN HIEROGLYPH A203
        "\u144E9",  # ; ANATOLIAN HIEROGLYPH A204
        "\u144EA",  # ; ANATOLIAN HIEROGLYPH A205
        "\u144EB",  # ; ANATOLIAN HIEROGLYPH A206
        "\u144EC",  # ; ANATOLIAN HIEROGLYPH A207
        "\u144ED",  # ; ANATOLIAN HIEROGLYPH A207A
        "\u144EE",  # ; ANATOLIAN HIEROGLYPH A208
        "\u144EF",  # ; ANATOLIAN HIEROGLYPH A209
        "\u144F0",  # ; ANATOLIAN HIEROGLYPH A209A
        "\u144F1",  # ; ANATOLIAN HIEROGLYPH A210
        "\u144F2",  # ; ANATOLIAN HIEROGLYPH A211
        "\u144F3",  # ; ANATOLIAN HIEROGLYPH A212
        "\u144F4",  # ; ANATOLIAN HIEROGLYPH A213
        "\u144F5",  # ; ANATOLIAN HIEROGLYPH A214
        "\u144F6",  # ; ANATOLIAN HIEROGLYPH A215
        "\u144F7",  # ; ANATOLIAN HIEROGLYPH A215A
        "\u144F8",  # ; ANATOLIAN HIEROGLYPH A216
        "\u144F9",  # ; ANATOLIAN HIEROGLYPH A216A
        "\u144FA",  # ; ANATOLIAN HIEROGLYPH A217
        "\u144FB",  # ; ANATOLIAN HIEROGLYPH A218
        "\u144FC",  # ; ANATOLIAN HIEROGLYPH A219
        "\u144FD",  # ; ANATOLIAN HIEROGLYPH A220
        "\u144FE",  # ; ANATOLIAN HIEROGLYPH A221
        "\u144FF",  # ; ANATOLIAN HIEROGLYPH A222
        "\u14500",  # ; ANATOLIAN HIEROGLYPH A223
        "\u14501",  # ; ANATOLIAN HIEROGLYPH A224
        "\u14502",  # ; ANATOLIAN HIEROGLYPH A225
        "\u14503",  # ; ANATOLIAN HIEROGLYPH A226
        "\u14504",  # ; ANATOLIAN HIEROGLYPH A227
        "\u14505",  # ; ANATOLIAN HIEROGLYPH A227A
        "\u14506",  # ; ANATOLIAN HIEROGLYPH A228
        "\u14507",  # ; ANATOLIAN HIEROGLYPH A229
        "\u14508",  # ; ANATOLIAN HIEROGLYPH A230
        "\u14509",  # ; ANATOLIAN HIEROGLYPH A231
        "\u1450A",  # ; ANATOLIAN HIEROGLYPH A232
        "\u1450B",  # ; ANATOLIAN HIEROGLYPH A233
        "\u1450C",  # ; ANATOLIAN HIEROGLYPH A234
        "\u1450D",  # ; ANATOLIAN HIEROGLYPH A235
        "\u1450E",  # ; ANATOLIAN HIEROGLYPH A236
        "\u1450F",  # ; ANATOLIAN HIEROGLYPH A237
        "\u14510",  # ; ANATOLIAN HIEROGLYPH A238
        "\u14511",  # ; ANATOLIAN HIEROGLYPH A239
        "\u14512",  # ; ANATOLIAN HIEROGLYPH A240
        "\u14513",  # ; ANATOLIAN HIEROGLYPH A241
        "\u14514",  # ; ANATOLIAN HIEROGLYPH A242
        "\u14515",  # ; ANATOLIAN HIEROGLYPH A243
        "\u14516",  # ; ANATOLIAN HIEROGLYPH A244
        "\u14517",  # ; ANATOLIAN HIEROGLYPH A245
        "\u14518",  # ; ANATOLIAN HIEROGLYPH A246
        "\u14519",  # ; ANATOLIAN HIEROGLYPH A247
        "\u1451A",  # ; ANATOLIAN HIEROGLYPH A248
        "\u1451B",  # ; ANATOLIAN HIEROGLYPH A249
        "\u1451C",  # ; ANATOLIAN HIEROGLYPH A250
        "\u1451D",  # ; ANATOLIAN HIEROGLYPH A251
        "\u1451E",  # ; ANATOLIAN HIEROGLYPH A252
        "\u1451F",  # ; ANATOLIAN HIEROGLYPH A253
        "\u14520",  # ; ANATOLIAN HIEROGLYPH A254
        "\u14521",  # ; ANATOLIAN HIEROGLYPH A255
        "\u14522",  # ; ANATOLIAN HIEROGLYPH A256
        "\u14523",  # ; ANATOLIAN HIEROGLYPH A257
        "\u14524",  # ; ANATOLIAN HIEROGLYPH A258
        "\u14525",  # ; ANATOLIAN HIEROGLYPH A259
        "\u14526",  # ; ANATOLIAN HIEROGLYPH A260
        "\u14527",  # ; ANATOLIAN HIEROGLYPH A261
        "\u14528",  # ; ANATOLIAN HIEROGLYPH A262
        "\u14529",  # ; ANATOLIAN HIEROGLYPH A263
        "\u1452A",  # ; ANATOLIAN HIEROGLYPH A264
        "\u1452B",  # ; ANATOLIAN HIEROGLYPH A265
        "\u1452C",  # ; ANATOLIAN HIEROGLYPH A266
        "\u1452D",  # ; ANATOLIAN HIEROGLYPH A267
        "\u1452E",  # ; ANATOLIAN HIEROGLYPH A267A
        "\u1452F",  # ; ANATOLIAN HIEROGLYPH A268
        "\u14530",  # ; ANATOLIAN HIEROGLYPH A269
        "\u14531",  # ; ANATOLIAN HIEROGLYPH A270
        "\u14532",  # ; ANATOLIAN HIEROGLYPH A271
        "\u14533",  # ; ANATOLIAN HIEROGLYPH A272
        "\u14534",  # ; ANATOLIAN HIEROGLYPH A273
        "\u14535",  # ; ANATOLIAN HIEROGLYPH A274
        "\u14536",  # ; ANATOLIAN HIEROGLYPH A275
        "\u14537",  # ; ANATOLIAN HIEROGLYPH A276
        "\u14538",  # ; ANATOLIAN HIEROGLYPH A277
        "\u14539",  # ; ANATOLIAN HIEROGLYPH A278
        "\u1453A",  # ; ANATOLIAN HIEROGLYPH A279
        "\u1453B",  # ; ANATOLIAN HIEROGLYPH A280
        "\u1453C",  # ; ANATOLIAN HIEROGLYPH A281
        "\u1453D",  # ; ANATOLIAN HIEROGLYPH A282
        "\u1453E",  # ; ANATOLIAN HIEROGLYPH A283
        "\u1453F",  # ; ANATOLIAN HIEROGLYPH A284
        "\u14540",  # ; ANATOLIAN HIEROGLYPH A285
        "\u14541",  # ; ANATOLIAN HIEROGLYPH A286
        "\u14542",  # ; ANATOLIAN HIEROGLYPH A287
        "\u14543",  # ; ANATOLIAN HIEROGLYPH A288
        "\u14544",  # ; ANATOLIAN HIEROGLYPH A289
        "\u14545",  # ; ANATOLIAN HIEROGLYPH A289A
        "\u14546",  # ; ANATOLIAN HIEROGLYPH A290
        "\u14547",  # ; ANATOLIAN HIEROGLYPH A291
        "\u14548",  # ; ANATOLIAN HIEROGLYPH A292
        "\u14549",  # ; ANATOLIAN HIEROGLYPH A293
        "\u1454A",  # ; ANATOLIAN HIEROGLYPH A294
        "\u1454B",  # ; ANATOLIAN HIEROGLYPH A294A
        "\u1454C",  # ; ANATOLIAN HIEROGLYPH A295
        "\u1454D",  # ; ANATOLIAN HIEROGLYPH A296
        "\u1454E",  # ; ANATOLIAN HIEROGLYPH A297
        "\u1454F",  # ; ANATOLIAN HIEROGLYPH A298
        "\u14550",  # ; ANATOLIAN HIEROGLYPH A299
        "\u14551",  # ; ANATOLIAN HIEROGLYPH A299A
        "\u14552",  # ; ANATOLIAN HIEROGLYPH A300
        "\u14553",  # ; ANATOLIAN HIEROGLYPH A301
        "\u14554",  # ; ANATOLIAN HIEROGLYPH A302
        "\u14555",  # ; ANATOLIAN HIEROGLYPH A303
        "\u14556",  # ; ANATOLIAN HIEROGLYPH A304
        "\u14557",  # ; ANATOLIAN HIEROGLYPH A305
        "\u14558",  # ; ANATOLIAN HIEROGLYPH A306
        "\u14559",  # ; ANATOLIAN HIEROGLYPH A307
        "\u1455A",  # ; ANATOLIAN HIEROGLYPH A308
        "\u1455B",  # ; ANATOLIAN HIEROGLYPH A309
        "\u1455C",  # ; ANATOLIAN HIEROGLYPH A309A
        "\u1455D",  # ; ANATOLIAN HIEROGLYPH A310
        "\u1455E",  # ; ANATOLIAN HIEROGLYPH A311
        "\u1455F",  # ; ANATOLIAN HIEROGLYPH A312
        "\u14560",  # ; ANATOLIAN HIEROGLYPH A313
        "\u14561",  # ; ANATOLIAN HIEROGLYPH A314
        "\u14562",  # ; ANATOLIAN HIEROGLYPH A315
        "\u14563",  # ; ANATOLIAN HIEROGLYPH A316
        "\u14564",  # ; ANATOLIAN HIEROGLYPH A317
        "\u14565",  # ; ANATOLIAN HIEROGLYPH A318
        "\u14566",  # ; ANATOLIAN HIEROGLYPH A319
        "\u14567",  # ; ANATOLIAN HIEROGLYPH A320
        "\u14568",  # ; ANATOLIAN HIEROGLYPH A321
        "\u14569",  # ; ANATOLIAN HIEROGLYPH A322
        "\u1456A",  # ; ANATOLIAN HIEROGLYPH A323
        "\u1456B",  # ; ANATOLIAN HIEROGLYPH A324
        "\u1456C",  # ; ANATOLIAN HIEROGLYPH A325
        "\u1456D",  # ; ANATOLIAN HIEROGLYPH A326
        "\u1456E",  # ; ANATOLIAN HIEROGLYPH A327
        "\u1456F",  # ; ANATOLIAN HIEROGLYPH A328
        "\u14570",  # ; ANATOLIAN HIEROGLYPH A329
        "\u14571",  # ; ANATOLIAN HIEROGLYPH A329A
        "\u14572",  # ; ANATOLIAN HIEROGLYPH A330
        "\u14573",  # ; ANATOLIAN HIEROGLYPH A331
        "\u14574",  # ; ANATOLIAN HIEROGLYPH A332A
        "\u14575",  # ; ANATOLIAN HIEROGLYPH A332B
        "\u14576",  # ; ANATOLIAN HIEROGLYPH A332C
        "\u14577",  # ; ANATOLIAN HIEROGLYPH A333
        "\u14578",  # ; ANATOLIAN HIEROGLYPH A334
        "\u14579",  # ; ANATOLIAN HIEROGLYPH A335
        "\u1457A",  # ; ANATOLIAN HIEROGLYPH A336
        "\u1457B",  # ; ANATOLIAN HIEROGLYPH A336A
        "\u1457C",  # ; ANATOLIAN HIEROGLYPH A336B
        "\u1457D",  # ; ANATOLIAN HIEROGLYPH A336C
        "\u1457E",  # ; ANATOLIAN HIEROGLYPH A337
        "\u1457F",  # ; ANATOLIAN HIEROGLYPH A338
        "\u14580",  # ; ANATOLIAN HIEROGLYPH A339
        "\u14581",  # ; ANATOLIAN HIEROGLYPH A340
        "\u14582",  # ; ANATOLIAN HIEROGLYPH A341
        "\u14583",  # ; ANATOLIAN HIEROGLYPH A342
        "\u14584",  # ; ANATOLIAN HIEROGLYPH A343
        "\u14585",  # ; ANATOLIAN HIEROGLYPH A344
        "\u14586",  # ; ANATOLIAN HIEROGLYPH A345
        "\u14587",  # ; ANATOLIAN HIEROGLYPH A346
        "\u14588",  # ; ANATOLIAN HIEROGLYPH A347
        "\u14589",  # ; ANATOLIAN HIEROGLYPH A348
        "\u1458A",  # ; ANATOLIAN HIEROGLYPH A349
        "\u1458B",  # ; ANATOLIAN HIEROGLYPH A350
        "\u1458C",  # ; ANATOLIAN HIEROGLYPH A351
        "\u1458D",  # ; ANATOLIAN HIEROGLYPH A352
        "\u1458E",  # ; ANATOLIAN HIEROGLYPH A353
        "\u1458F",  # ; ANATOLIAN HIEROGLYPH A354
        "\u14590",  # ; ANATOLIAN HIEROGLYPH A355
        "\u14591",  # ; ANATOLIAN HIEROGLYPH A356
        "\u14592",  # ; ANATOLIAN HIEROGLYPH A357
        "\u14593",  # ; ANATOLIAN HIEROGLYPH A358
        "\u14594",  # ; ANATOLIAN HIEROGLYPH A359
        "\u14595",  # ; ANATOLIAN HIEROGLYPH A359A
        "\u14596",  # ; ANATOLIAN HIEROGLYPH A360
        "\u14597",  # ; ANATOLIAN HIEROGLYPH A361
        "\u14598",  # ; ANATOLIAN HIEROGLYPH A362
        "\u14599",  # ; ANATOLIAN HIEROGLYPH A363
        "\u1459A",  # ; ANATOLIAN HIEROGLYPH A364
        "\u1459B",  # ; ANATOLIAN HIEROGLYPH A364A
        "\u1459C",  # ; ANATOLIAN HIEROGLYPH A365
        "\u1459D",  # ; ANATOLIAN HIEROGLYPH A366
        "\u1459E",  # ; ANATOLIAN HIEROGLYPH A367
        "\u1459F",  # ; ANATOLIAN HIEROGLYPH A368
        "\u145A0",  # ; ANATOLIAN HIEROGLYPH A368A
        "\u145A1",  # ; ANATOLIAN HIEROGLYPH A369
        "\u145A2",  # ; ANATOLIAN HIEROGLYPH A370
        "\u145A3",  # ; ANATOLIAN HIEROGLYPH A371
        "\u145A4",  # ; ANATOLIAN HIEROGLYPH A371A
        "\u145A5",  # ; ANATOLIAN HIEROGLYPH A372
        "\u145A6",  # ; ANATOLIAN HIEROGLYPH A373
        "\u145A7",  # ; ANATOLIAN HIEROGLYPH A374
        "\u145A8",  # ; ANATOLIAN HIEROGLYPH A375
        "\u145A9",  # ; ANATOLIAN HIEROGLYPH A376
        "\u145AA",  # ; ANATOLIAN HIEROGLYPH A377
        "\u145AB",  # ; ANATOLIAN HIEROGLYPH A378
        "\u145AC",  # ; ANATOLIAN HIEROGLYPH A379
        "\u145AD",  # ; ANATOLIAN HIEROGLYPH A380
        "\u145AE",  # ; ANATOLIAN HIEROGLYPH A381
        "\u145AF",  # ; ANATOLIAN HIEROGLYPH A381A
        "\u145B0",  # ; ANATOLIAN HIEROGLYPH A382
        "\u145B1",  # ; ANATOLIAN HIEROGLYPH A383 RA OR RI
        "\u145B2",  # ; ANATOLIAN HIEROGLYPH A383A
        "\u145B3",  # ; ANATOLIAN HIEROGLYPH A384
        "\u145B4",  # ; ANATOLIAN HIEROGLYPH A385
        "\u145B5",  # ; ANATOLIAN HIEROGLYPH A386
        "\u145B6",  # ; ANATOLIAN HIEROGLYPH A386A
        "\u145B7",  # ; ANATOLIAN HIEROGLYPH A387
        "\u145B8",  # ; ANATOLIAN HIEROGLYPH A388
        "\u145B9",  # ; ANATOLIAN HIEROGLYPH A389
        "\u145BA",  # ; ANATOLIAN HIEROGLYPH A390
        "\u145BB",  # ; ANATOLIAN HIEROGLYPH A391
        "\u145BC",  # ; ANATOLIAN HIEROGLYPH A392
        "\u145BD",  # ; ANATOLIAN HIEROGLYPH A393 EIGHT
        "\u145BE",  # ; ANATOLIAN HIEROGLYPH A394
        "\u145BF",  # ; ANATOLIAN HIEROGLYPH A395
        "\u145C0",  # ; ANATOLIAN HIEROGLYPH A396
        "\u145C1",  # ; ANATOLIAN HIEROGLYPH A397
        "\u145C2",  # ; ANATOLIAN HIEROGLYPH A398
        "\u145C3",  # ; ANATOLIAN HIEROGLYPH A399
        "\u145C4",  # ; ANATOLIAN HIEROGLYPH A400
        "\u145C5",  # ; ANATOLIAN HIEROGLYPH A401
        "\u145C6",  # ; ANATOLIAN HIEROGLYPH A402
        "\u145C7",  # ; ANATOLIAN HIEROGLYPH A403
        "\u145C8",  # ; ANATOLIAN HIEROGLYPH A404
        "\u145C9",  # ; ANATOLIAN HIEROGLYPH A405
        "\u145CA",  # ; ANATOLIAN HIEROGLYPH A406
        "\u145CB",  # ; ANATOLIAN HIEROGLYPH A407
        "\u145CC",  # ; ANATOLIAN HIEROGLYPH A408
        "\u145CD",  # ; ANATOLIAN HIEROGLYPH A409
        "\u145CE",  # ; ANATOLIAN HIEROGLYPH A410 BEGIN LOGOGRAM MARK
        "\u145CF",  # ; ANATOLIAN HIEROGLYPH A410A END LOGOGRAM MARK
        "\u145D0",  # ; ANATOLIAN HIEROGLYPH A411
        "\u145D1",  # ; ANATOLIAN HIEROGLYPH A412
        "\u145D2",  # ; ANATOLIAN HIEROGLYPH A413
        "\u145D3",  # ; ANATOLIAN HIEROGLYPH A414
        "\u145D4",  # ; ANATOLIAN HIEROGLYPH A415
        "\u145D5",  # ; ANATOLIAN HIEROGLYPH A416
        "\u145D6",  # ; ANATOLIAN HIEROGLYPH A417
        "\u145D7",  # ; ANATOLIAN HIEROGLYPH A418
        "\u145D8",  # ; ANATOLIAN HIEROGLYPH A419
        "\u145D9",  # ; ANATOLIAN HIEROGLYPH A420
        "\u145DA",  # ; ANATOLIAN HIEROGLYPH A421
        "\u145DB",  # ; ANATOLIAN HIEROGLYPH A422
        "\u145DC",  # ; ANATOLIAN HIEROGLYPH A423
        "\u145DD",  # ; ANATOLIAN HIEROGLYPH A424
        "\u145DE",  # ; ANATOLIAN HIEROGLYPH A425
        "\u145DF",  # ; ANATOLIAN HIEROGLYPH A426
        "\u145E0",  # ; ANATOLIAN HIEROGLYPH A427
        "\u145E1",  # ; ANATOLIAN HIEROGLYPH A428
        "\u145E2",  # ; ANATOLIAN HIEROGLYPH A429
        "\u145E3",  # ; ANATOLIAN HIEROGLYPH A430
        "\u145E4",  # ; ANATOLIAN HIEROGLYPH A431
        "\u145E5",  # ; ANATOLIAN HIEROGLYPH A432
        "\u145E6",  # ; ANATOLIAN HIEROGLYPH A433
        "\u145E7",  # ; ANATOLIAN HIEROGLYPH A434
        "\u145E8",  # ; ANATOLIAN HIEROGLYPH A435
        "\u145E9",  # ; ANATOLIAN HIEROGLYPH A436
        "\u145EA",  # ; ANATOLIAN HIEROGLYPH A437
        "\u145EB",  # ; ANATOLIAN HIEROGLYPH A438
        "\u145EC",  # ; ANATOLIAN HIEROGLYPH A439
        "\u145ED",  # ; ANATOLIAN HIEROGLYPH A440
        "\u145EE",  # ; ANATOLIAN HIEROGLYPH A441
        "\u145EF",  # ; ANATOLIAN HIEROGLYPH A442
        "\u145F0",  # ; ANATOLIAN HIEROGLYPH A443
        "\u145F1",  # ; ANATOLIAN HIEROGLYPH A444
        "\u145F2",  # ; ANATOLIAN HIEROGLYPH A445
        "\u145F3",  # ; ANATOLIAN HIEROGLYPH A446
        "\u145F4",  # ; ANATOLIAN HIEROGLYPH A447
        "\u145F5",  # ; ANATOLIAN HIEROGLYPH A448
        "\u145F6",  # ; ANATOLIAN HIEROGLYPH A449
        "\u145F7",  # ; ANATOLIAN HIEROGLYPH A450
        "\u145F8",  # ; ANATOLIAN HIEROGLYPH A450A
        "\u145F9",  # ; ANATOLIAN HIEROGLYPH A451
        "\u145FA",  # ; ANATOLIAN HIEROGLYPH A452
        "\u145FB",  # ; ANATOLIAN HIEROGLYPH A453
        "\u145FC",  # ; ANATOLIAN HIEROGLYPH A454
        "\u145FD",  # ; ANATOLIAN HIEROGLYPH A455
        "\u145FE",  # ; ANATOLIAN HIEROGLYPH A456
        "\u145FF",  # ; ANATOLIAN HIEROGLYPH A457
        "\u14600",  # ; ANATOLIAN HIEROGLYPH A457A
        "\u14601",  # ; ANATOLIAN HIEROGLYPH A458
        "\u14602",  # ; ANATOLIAN HIEROGLYPH A459
        "\u14603",  # ; ANATOLIAN HIEROGLYPH A460
        "\u14604",  # ; ANATOLIAN HIEROGLYPH A461
        "\u14605",  # ; ANATOLIAN HIEROGLYPH A462
        "\u14606",  # ; ANATOLIAN HIEROGLYPH A463
        "\u14607",  # ; ANATOLIAN HIEROGLYPH A464
        "\u14608",  # ; ANATOLIAN HIEROGLYPH A465
        "\u14609",  # ; ANATOLIAN HIEROGLYPH A466
        "\u1460A",  # ; ANATOLIAN HIEROGLYPH A467
        "\u1460B",  # ; ANATOLIAN HIEROGLYPH A468
        "\u1460C",  # ; ANATOLIAN HIEROGLYPH A469
        "\u1460D",  # ; ANATOLIAN HIEROGLYPH A470
        "\u1460E",  # ; ANATOLIAN HIEROGLYPH A471
        "\u1460F",  # ; ANATOLIAN HIEROGLYPH A472
        "\u14610",  # ; ANATOLIAN HIEROGLYPH A473
        "\u14611",  # ; ANATOLIAN HIEROGLYPH A474
        "\u14612",  # ; ANATOLIAN HIEROGLYPH A475
        "\u14613",  # ; ANATOLIAN HIEROGLYPH A476
        "\u14614",  # ; ANATOLIAN HIEROGLYPH A477
        "\u14615",  # ; ANATOLIAN HIEROGLYPH A478
        "\u14616",  # ; ANATOLIAN HIEROGLYPH A479
        "\u14617",  # ; ANATOLIAN HIEROGLYPH A480
        "\u14618",  # ; ANATOLIAN HIEROGLYPH A481
        "\u14619",  # ; ANATOLIAN HIEROGLYPH A482
        "\u1461A",  # ; ANATOLIAN HIEROGLYPH A483
        "\u1461B",  # ; ANATOLIAN HIEROGLYPH A484
        "\u1461C",  # ; ANATOLIAN HIEROGLYPH A485
        "\u1461D",  # ; ANATOLIAN HIEROGLYPH A486
        "\u1461E",  # ; ANATOLIAN HIEROGLYPH A487
        "\u1461F",  # ; ANATOLIAN HIEROGLYPH A488
        "\u14620",  # ; ANATOLIAN HIEROGLYPH A489
        "\u14621",  # ; ANATOLIAN HIEROGLYPH A490
        "\u14622",  # ; ANATOLIAN HIEROGLYPH A491
        "\u14623",  # ; ANATOLIAN HIEROGLYPH A492
        "\u14624",  # ; ANATOLIAN HIEROGLYPH A493
        "\u14625",  # ; ANATOLIAN HIEROGLYPH A494
        "\u14626",  # ; ANATOLIAN HIEROGLYPH A495
        "\u14627",  # ; ANATOLIAN HIEROGLYPH A496
        "\u14628",  # ; ANATOLIAN HIEROGLYPH A497
        "\u14629",  # ; ANATOLIAN HIEROGLYPH A501
        "\u1462A",  # ; ANATOLIAN HIEROGLYPH A502
        "\u1462B",  # ; ANATOLIAN HIEROGLYPH A503
        "\u1462C",  # ; ANATOLIAN HIEROGLYPH A504
        "\u1462D",  # ; ANATOLIAN HIEROGLYPH A505
        "\u1462E",  # ; ANATOLIAN HIEROGLYPH A506
        "\u1462F",  # ; ANATOLIAN HIEROGLYPH A507
        "\u14630",  # ; ANATOLIAN HIEROGLYPH A508
        "\u14631",  # ; ANATOLIAN HIEROGLYPH A509
        "\u14632",  # ; ANATOLIAN HIEROGLYPH A510
        "\u14633",  # ; ANATOLIAN HIEROGLYPH A511
        "\u14634",  # ; ANATOLIAN HIEROGLYPH A512
        "\u14635",  # ; ANATOLIAN HIEROGLYPH A513
        "\u14636",  # ; ANATOLIAN HIEROGLYPH A514
        "\u14637",  # ; ANATOLIAN HIEROGLYPH A515
        "\u14638",  # ; ANATOLIAN HIEROGLYPH A516
        "\u14639",  # ; ANATOLIAN HIEROGLYPH A517
        "\u1463A",  # ; ANATOLIAN HIEROGLYPH A518
        "\u1463B",  # ; ANATOLIAN HIEROGLYPH A519
        "\u1463C",  # ; ANATOLIAN HIEROGLYPH A520
        "\u1463D",  # ; ANATOLIAN HIEROGLYPH A521
        "\u1463E",  # ; ANATOLIAN HIEROGLYPH A522
        "\u1463F",  # ; ANATOLIAN HIEROGLYPH A523
        "\u14640",  # ; ANATOLIAN HIEROGLYPH A524
        "\u14641",  # ; ANATOLIAN HIEROGLYPH A525
        "\u14642",  # ; ANATOLIAN HIEROGLYPH A526
        "\u14643",  # ; ANATOLIAN HIEROGLYPH A527
        "\u14644",  # ; ANATOLIAN HIEROGLYPH A528
        "\u14645",  # ; ANATOLIAN HIEROGLYPH A529
        "\u14646",  # ; ANATOLIAN HIEROGLYPH A530
        "\u16800",  # ; BAMUM LETTER PHASE-A NGKUE MFON
        "\u16801",  # ; BAMUM LETTER PHASE-A GBIEE FON
        "\u16802",  # ; BAMUM LETTER PHASE-A PON MFON PIPAEMGBIEE
        "\u16803",  # ; BAMUM LETTER PHASE-A PON MFON PIPAEMBA
        "\u16804",  # ; BAMUM LETTER PHASE-A NAA MFON
        "\u16805",  # ; BAMUM LETTER PHASE-A SHUENSHUET
        "\u16806",  # ; BAMUM LETTER PHASE-A TITA MFON
        "\u16807",  # ; BAMUM LETTER PHASE-A NZA MFON
        "\u16808",  # ; BAMUM LETTER PHASE-A SHINDA PA NJI
        "\u16809",  # ; BAMUM LETTER PHASE-A PON PA NJI PIPAEMGBIEE
        "\u1680A",  # ; BAMUM LETTER PHASE-A PON PA NJI PIPAEMBA
        "\u1680B",  # ; BAMUM LETTER PHASE-A MAEMBGBIEE
        "\u1680C",  # ; BAMUM LETTER PHASE-A TU MAEMBA
        "\u1680D",  # ; BAMUM LETTER PHASE-A NGANGU
        "\u1680E",  # ; BAMUM LETTER PHASE-A MAEMVEUX
        "\u1680F",  # ; BAMUM LETTER PHASE-A MANSUAE
        "\u16810",  # ; BAMUM LETTER PHASE-A MVEUAENGAM
        "\u16811",  # ; BAMUM LETTER PHASE-A SEUNYAM
        "\u16812",  # ; BAMUM LETTER PHASE-A NTOQPEN
        "\u16813",  # ; BAMUM LETTER PHASE-A KEUKEUTNDA
        "\u16814",  # ; BAMUM LETTER PHASE-A NKINDI
        "\u16815",  # ; BAMUM LETTER PHASE-A SUU
        "\u16816",  # ; BAMUM LETTER PHASE-A NGKUENZEUM
        "\u16817",  # ; BAMUM LETTER PHASE-A LAPAQ
        "\u16818",  # ; BAMUM LETTER PHASE-A LET KUT
        "\u16819",  # ; BAMUM LETTER PHASE-A NTAP MFAA
        "\u1681A",  # ; BAMUM LETTER PHASE-A MAEKEUP
        "\u1681B",  # ; BAMUM LETTER PHASE-A PASHAE
        "\u1681C",  # ; BAMUM LETTER PHASE-A GHEUAERAE
        "\u1681D",  # ; BAMUM LETTER PHASE-A PAMSHAE
        "\u1681E",  # ; BAMUM LETTER PHASE-A MON NGGEUAET
        "\u1681F",  # ; BAMUM LETTER PHASE-A NZUN MEUT
        "\u16820",  # ; BAMUM LETTER PHASE-A U YUQ NAE
        "\u16821",  # ; BAMUM LETTER PHASE-A GHEUAEGHEUAE
        "\u16822",  # ; BAMUM LETTER PHASE-A NTAP NTAA
        "\u16823",  # ; BAMUM LETTER PHASE-A SISA
        "\u16824",  # ; BAMUM LETTER PHASE-A MGBASA
        "\u16825",  # ; BAMUM LETTER PHASE-A MEUNJOMNDEUQ
        "\u16826",  # ; BAMUM LETTER PHASE-A MOOMPUQ
        "\u16827",  # ; BAMUM LETTER PHASE-A KAFA
        "\u16828",  # ; BAMUM LETTER PHASE-A PA LEERAEWA
        "\u16829",  # ; BAMUM LETTER PHASE-A NDA LEERAEWA
        "\u1682A",  # ; BAMUM LETTER PHASE-A PET
        "\u1682B",  # ; BAMUM LETTER PHASE-A MAEMKPEN
        "\u1682C",  # ; BAMUM LETTER PHASE-A NIKA
        "\u1682D",  # ; BAMUM LETTER PHASE-A PUP
        "\u1682E",  # ; BAMUM LETTER PHASE-A TUAEP
        "\u1682F",  # ; BAMUM LETTER PHASE-A LUAEP
        "\u16830",  # ; BAMUM LETTER PHASE-A SONJAM
        "\u16831",  # ; BAMUM LETTER PHASE-A TEUTEUWEN
        "\u16832",  # ; BAMUM LETTER PHASE-A MAENYI
        "\u16833",  # ; BAMUM LETTER PHASE-A KET
        "\u16834",  # ; BAMUM LETTER PHASE-A NDAANGGEUAET
        "\u16835",  # ; BAMUM LETTER PHASE-A KUOQ
        "\u16836",  # ; BAMUM LETTER PHASE-A MOOMEUT
        "\u16837",  # ; BAMUM LETTER PHASE-A SHUM
        "\u16838",  # ; BAMUM LETTER PHASE-A LOMMAE
        "\u16839",  # ; BAMUM LETTER PHASE-A FIRI
        "\u1683A",  # ; BAMUM LETTER PHASE-A ROM
        "\u1683B",  # ; BAMUM LETTER PHASE-A KPOQ
        "\u1683C",  # ; BAMUM LETTER PHASE-A SOQ
        "\u1683D",  # ; BAMUM LETTER PHASE-A MAP PIEET
        "\u1683E",  # ; BAMUM LETTER PHASE-A SHIRAE
        "\u1683F",  # ; BAMUM LETTER PHASE-A NTAP
        "\u16840",  # ; BAMUM LETTER PHASE-A SHOQ NSHUT YUM
        "\u16841",  # ; BAMUM LETTER PHASE-A NYIT MONGKEUAEQ
        "\u16842",  # ; BAMUM LETTER PHASE-A PAARAE
        "\u16843",  # ; BAMUM LETTER PHASE-A NKAARAE
        "\u16844",  # ; BAMUM LETTER PHASE-A UNKNOWN
        "\u16845",  # ; BAMUM LETTER PHASE-A NGGEN
        "\u16846",  # ; BAMUM LETTER PHASE-A MAESI
        "\u16847",  # ; BAMUM LETTER PHASE-A NJAM
        "\u16848",  # ; BAMUM LETTER PHASE-A MBANYI
        "\u16849",  # ; BAMUM LETTER PHASE-A NYET
        "\u1684A",  # ; BAMUM LETTER PHASE-A TEUAEN
        "\u1684B",  # ; BAMUM LETTER PHASE-A SOT
        "\u1684C",  # ; BAMUM LETTER PHASE-A PAAM
        "\u1684D",  # ; BAMUM LETTER PHASE-A NSHIEE
        "\u1684E",  # ; BAMUM LETTER PHASE-A MAEM
        "\u1684F",  # ; BAMUM LETTER PHASE-A NYI
        "\u16850",  # ; BAMUM LETTER PHASE-A KAQ
        "\u16851",  # ; BAMUM LETTER PHASE-A NSHA
        "\u16852",  # ; BAMUM LETTER PHASE-A VEE
        "\u16853",  # ; BAMUM LETTER PHASE-A LU
        "\u16854",  # ; BAMUM LETTER PHASE-A NEN
        "\u16855",  # ; BAMUM LETTER PHASE-A NAQ
        "\u16856",  # ; BAMUM LETTER PHASE-A MBAQ
        "\u16857",  # ; BAMUM LETTER PHASE-B NSHUET
        "\u16858",  # ; BAMUM LETTER PHASE-B TU MAEMGBIEE
        "\u16859",  # ; BAMUM LETTER PHASE-B SIEE
        "\u1685A",  # ; BAMUM LETTER PHASE-B SET TU
        "\u1685B",  # ; BAMUM LETTER PHASE-B LOM NTEUM
        "\u1685C",  # ; BAMUM LETTER PHASE-B MBA MAELEE
        "\u1685D",  # ; BAMUM LETTER PHASE-B KIEEM
        "\u1685E",  # ; BAMUM LETTER PHASE-B YEURAE
        "\u1685F",  # ; BAMUM LETTER PHASE-B MBAARAE
        "\u16860",  # ; BAMUM LETTER PHASE-B KAM
        "\u16861",  # ; BAMUM LETTER PHASE-B PEESHI
        "\u16862",  # ; BAMUM LETTER PHASE-B YAFU LEERAEWA
        "\u16863",  # ; BAMUM LETTER PHASE-B LAM NSHUT NYAM
        "\u16864",  # ; BAMUM LETTER PHASE-B NTIEE SHEUOQ
        "\u16865",  # ; BAMUM LETTER PHASE-B NDU NJAA
        "\u16866",  # ; BAMUM LETTER PHASE-B GHEUGHEUAEM
        "\u16867",  # ; BAMUM LETTER PHASE-B PIT
        "\u16868",  # ; BAMUM LETTER PHASE-B TU NSIEE
        "\u16869",  # ; BAMUM LETTER PHASE-B SHET NJAQ
        "\u1686A",  # ; BAMUM LETTER PHASE-B SHEUAEQTU
        "\u1686B",  # ; BAMUM LETTER PHASE-B MFON TEUAEQ
        "\u1686C",  # ; BAMUM LETTER PHASE-B MBIT MBAAKET
        "\u1686D",  # ; BAMUM LETTER PHASE-B NYI NTEUM
        "\u1686E",  # ; BAMUM LETTER PHASE-B KEUPUQ
        "\u1686F",  # ; BAMUM LETTER PHASE-B GHEUGHEN
        "\u16870",  # ; BAMUM LETTER PHASE-B KEUYEUX
        "\u16871",  # ; BAMUM LETTER PHASE-B LAANAE
        "\u16872",  # ; BAMUM LETTER PHASE-B PARUM
        "\u16873",  # ; BAMUM LETTER PHASE-B VEUM
        "\u16874",  # ; BAMUM LETTER PHASE-B NGKINDI MVOP
        "\u16875",  # ; BAMUM LETTER PHASE-B NGGEU MBU
        "\u16876",  # ; BAMUM LETTER PHASE-B WUAET
        "\u16877",  # ; BAMUM LETTER PHASE-B SAKEUAE
        "\u16878",  # ; BAMUM LETTER PHASE-B TAAM
        "\u16879",  # ; BAMUM LETTER PHASE-B MEUQ
        "\u1687A",  # ; BAMUM LETTER PHASE-B NGGUOQ
        "\u1687B",  # ; BAMUM LETTER PHASE-B NGGUOQ LARGE
        "\u1687C",  # ; BAMUM LETTER PHASE-B MFIYAQ
        "\u1687D",  # ; BAMUM LETTER PHASE-B SUE
        "\u1687E",  # ; BAMUM LETTER PHASE-B MBEURI
        "\u1687F",  # ; BAMUM LETTER PHASE-B MONTIEEN
        "\u16880",  # ; BAMUM LETTER PHASE-B NYAEMAE
        "\u16881",  # ; BAMUM LETTER PHASE-B PUNGAAM
        "\u16882",  # ; BAMUM LETTER PHASE-B MEUT NGGEET
        "\u16883",  # ; BAMUM LETTER PHASE-B FEUX
        "\u16884",  # ; BAMUM LETTER PHASE-B MBUOQ
        "\u16885",  # ; BAMUM LETTER PHASE-B FEE
        "\u16886",  # ; BAMUM LETTER PHASE-B KEUAEM
        "\u16887",  # ; BAMUM LETTER PHASE-B MA NJEUAENA
        "\u16888",  # ; BAMUM LETTER PHASE-B MA NJUQA
        "\u16889",  # ; BAMUM LETTER PHASE-B LET
        "\u1688A",  # ; BAMUM LETTER PHASE-B NGGAAM
        "\u1688B",  # ; BAMUM LETTER PHASE-B NSEN
        "\u1688C",  # ; BAMUM LETTER PHASE-B MA
        "\u1688D",  # ; BAMUM LETTER PHASE-B KIQ
        "\u1688E",  # ; BAMUM LETTER PHASE-B NGOM
        "\u1688F",  # ; BAMUM LETTER PHASE-C NGKUE MAEMBA
        "\u16890",  # ; BAMUM LETTER PHASE-C NZA
        "\u16891",  # ; BAMUM LETTER PHASE-C YUM
        "\u16892",  # ; BAMUM LETTER PHASE-C WANGKUOQ
        "\u16893",  # ; BAMUM LETTER PHASE-C NGGEN
        "\u16894",  # ; BAMUM LETTER PHASE-C NDEUAEREE
        "\u16895",  # ; BAMUM LETTER PHASE-C NGKAQ
        "\u16896",  # ; BAMUM LETTER PHASE-C GHARAE
        "\u16897",  # ; BAMUM LETTER PHASE-C MBEEKEET
        "\u16898",  # ; BAMUM LETTER PHASE-C GBAYI
        "\u16899",  # ; BAMUM LETTER PHASE-C NYIR MKPARAQ MEUN
        "\u1689A",  # ; BAMUM LETTER PHASE-C NTU MBIT
        "\u1689B",  # ; BAMUM LETTER PHASE-C MBEUM
        "\u1689C",  # ; BAMUM LETTER PHASE-C PIRIEEN
        "\u1689D",  # ; BAMUM LETTER PHASE-C NDOMBU
        "\u1689E",  # ; BAMUM LETTER PHASE-C MBAA CABBAGE-TREE
        "\u1689F",  # ; BAMUM LETTER PHASE-C KEUSHEUAEP
        "\u168A0",  # ; BAMUM LETTER PHASE-C GHAP
        "\u168A1",  # ; BAMUM LETTER PHASE-C KEUKAQ
        "\u168A2",  # ; BAMUM LETTER PHASE-C YU MUOMAE
        "\u168A3",  # ; BAMUM LETTER PHASE-C NZEUM
        "\u168A4",  # ; BAMUM LETTER PHASE-C MBUE
        "\u168A5",  # ; BAMUM LETTER PHASE-C NSEUAEN
        "\u168A6",  # ; BAMUM LETTER PHASE-C MBIT
        "\u168A7",  # ; BAMUM LETTER PHASE-C YEUQ
        "\u168A8",  # ; BAMUM LETTER PHASE-C KPARAQ
        "\u168A9",  # ; BAMUM LETTER PHASE-C KAA
        "\u168AA",  # ; BAMUM LETTER PHASE-C SEUX
        "\u168AB",  # ; BAMUM LETTER PHASE-C NDIDA
        "\u168AC",  # ; BAMUM LETTER PHASE-C TAASHAE
        "\u168AD",  # ; BAMUM LETTER PHASE-C NJUEQ
        "\u168AE",  # ; BAMUM LETTER PHASE-C TITA YUE
        "\u168AF",  # ; BAMUM LETTER PHASE-C SUAET
        "\u168B0",  # ; BAMUM LETTER PHASE-C NGGUAEN NYAM
        "\u168B1",  # ; BAMUM LETTER PHASE-C VEUX
        "\u168B2",  # ; BAMUM LETTER PHASE-C NANSANAQ
        "\u168B3",  # ; BAMUM LETTER PHASE-C MA KEUAERI
        "\u168B4",  # ; BAMUM LETTER PHASE-C NTAA
        "\u168B5",  # ; BAMUM LETTER PHASE-C NGGUON
        "\u168B6",  # ; BAMUM LETTER PHASE-C LAP
        "\u168B7",  # ; BAMUM LETTER PHASE-C MBIRIEEN
        "\u168B8",  # ; BAMUM LETTER PHASE-C MGBASAQ
        "\u168B9",  # ; BAMUM LETTER PHASE-C NTEUNGBA
        "\u168BA",  # ; BAMUM LETTER PHASE-C TEUTEUX
        "\u168BB",  # ; BAMUM LETTER PHASE-C NGGUM
        "\u168BC",  # ; BAMUM LETTER PHASE-C FUE
        "\u168BD",  # ; BAMUM LETTER PHASE-C NDEUT
        "\u168BE",  # ; BAMUM LETTER PHASE-C NSA
        "\u168BF",  # ; BAMUM LETTER PHASE-C NSHAQ
        "\u168C0",  # ; BAMUM LETTER PHASE-C BUNG
        "\u168C1",  # ; BAMUM LETTER PHASE-C VEUAEPEN
        "\u168C2",  # ; BAMUM LETTER PHASE-C MBERAE
        "\u168C3",  # ; BAMUM LETTER PHASE-C RU
        "\u168C4",  # ; BAMUM LETTER PHASE-C NJAEM
        "\u168C5",  # ; BAMUM LETTER PHASE-C LAM
        "\u168C6",  # ; BAMUM LETTER PHASE-C TITUAEP
        "\u168C7",  # ; BAMUM LETTER PHASE-C NSUOT NGOM
        "\u168C8",  # ; BAMUM LETTER PHASE-C NJEEEE
        "\u168C9",  # ; BAMUM LETTER PHASE-C KET
        "\u168CA",  # ; BAMUM LETTER PHASE-C NGGU
        "\u168CB",  # ; BAMUM LETTER PHASE-C MAESI
        "\u168CC",  # ; BAMUM LETTER PHASE-C MBUAEM
        "\u168CD",  # ; BAMUM LETTER PHASE-C LU
        "\u168CE",  # ; BAMUM LETTER PHASE-C KUT
        "\u168CF",  # ; BAMUM LETTER PHASE-C NJAM
        "\u168D0",  # ; BAMUM LETTER PHASE-C NGOM
        "\u168D1",  # ; BAMUM LETTER PHASE-C WUP
        "\u168D2",  # ; BAMUM LETTER PHASE-C NGGUEET
        "\u168D3",  # ; BAMUM LETTER PHASE-C NSOM
        "\u168D4",  # ; BAMUM LETTER PHASE-C NTEN
        "\u168D5",  # ; BAMUM LETTER PHASE-C KUOP NKAARAE
        "\u168D6",  # ; BAMUM LETTER PHASE-C NSUN
        "\u168D7",  # ; BAMUM LETTER PHASE-C NDAM
        "\u168D8",  # ; BAMUM LETTER PHASE-C MA NSIEE
        "\u168D9",  # ; BAMUM LETTER PHASE-C YAA
        "\u168DA",  # ; BAMUM LETTER PHASE-C NDAP
        "\u168DB",  # ; BAMUM LETTER PHASE-C SHUEQ
        "\u168DC",  # ; BAMUM LETTER PHASE-C SETFON
        "\u168DD",  # ; BAMUM LETTER PHASE-C MBI
        "\u168DE",  # ; BAMUM LETTER PHASE-C MAEMBA
        "\u168DF",  # ; BAMUM LETTER PHASE-C MBANYI
        "\u168E0",  # ; BAMUM LETTER PHASE-C KEUSEUX
        "\u168E1",  # ; BAMUM LETTER PHASE-C MBEUX
        "\u168E2",  # ; BAMUM LETTER PHASE-C KEUM
        "\u168E3",  # ; BAMUM LETTER PHASE-C MBAA PICKET
        "\u168E4",  # ; BAMUM LETTER PHASE-C YUWOQ
        "\u168E5",  # ; BAMUM LETTER PHASE-C NJEUX
        "\u168E6",  # ; BAMUM LETTER PHASE-C MIEE
        "\u168E7",  # ; BAMUM LETTER PHASE-C MUAE
        "\u168E8",  # ; BAMUM LETTER PHASE-C SHIQ
        "\u168E9",  # ; BAMUM LETTER PHASE-C KEN LAW
        "\u168EA",  # ; BAMUM LETTER PHASE-C KEN FATIGUE
        "\u168EB",  # ; BAMUM LETTER PHASE-C NGAQ
        "\u168EC",  # ; BAMUM LETTER PHASE-C NAQ
        "\u168ED",  # ; BAMUM LETTER PHASE-C LIQ
        "\u168EE",  # ; BAMUM LETTER PHASE-C PIN
        "\u168EF",  # ; BAMUM LETTER PHASE-C PEN
        "\u168F0",  # ; BAMUM LETTER PHASE-C TET
        "\u168F1",  # ; BAMUM LETTER PHASE-D MBUO
        "\u168F2",  # ; BAMUM LETTER PHASE-D WAP
        "\u168F3",  # ; BAMUM LETTER PHASE-D NJI
        "\u168F4",  # ; BAMUM LETTER PHASE-D MFON
        "\u168F5",  # ; BAMUM LETTER PHASE-D NJIEE
        "\u168F6",  # ; BAMUM LETTER PHASE-D LIEE
        "\u168F7",  # ; BAMUM LETTER PHASE-D NJEUT
        "\u168F8",  # ; BAMUM LETTER PHASE-D NSHEE
        "\u168F9",  # ; BAMUM LETTER PHASE-D NGGAAMAE
        "\u168FA",  # ; BAMUM LETTER PHASE-D NYAM
        "\u168FB",  # ; BAMUM LETTER PHASE-D WUAEN
        "\u168FC",  # ; BAMUM LETTER PHASE-D NGKUN
        "\u168FD",  # ; BAMUM LETTER PHASE-D SHEE
        "\u168FE",  # ; BAMUM LETTER PHASE-D NGKAP
        "\u168FF",  # ; BAMUM LETTER PHASE-D KEUAETMEUN
        "\u16900",  # ; BAMUM LETTER PHASE-D TEUT
        "\u16901",  # ; BAMUM LETTER PHASE-D SHEUAE
        "\u16902",  # ; BAMUM LETTER PHASE-D NJAP
        "\u16903",  # ; BAMUM LETTER PHASE-D SUE
        "\u16904",  # ; BAMUM LETTER PHASE-D KET
        "\u16905",  # ; BAMUM LETTER PHASE-D YAEMMAE
        "\u16906",  # ; BAMUM LETTER PHASE-D KUOM
        "\u16907",  # ; BAMUM LETTER PHASE-D SAP
        "\u16908",  # ; BAMUM LETTER PHASE-D MFEUT
        "\u16909",  # ; BAMUM LETTER PHASE-D NDEUX
        "\u1690A",  # ; BAMUM LETTER PHASE-D MALEERI
        "\u1690B",  # ; BAMUM LETTER PHASE-D MEUT
        "\u1690C",  # ; BAMUM LETTER PHASE-D SEUAEQ
        "\u1690D",  # ; BAMUM LETTER PHASE-D YEN
        "\u1690E",  # ; BAMUM LETTER PHASE-D NJEUAEM
        "\u1690F",  # ; BAMUM LETTER PHASE-D KEUOT MBUAE
        "\u16910",  # ; BAMUM LETTER PHASE-D NGKEURI
        "\u16911",  # ; BAMUM LETTER PHASE-D TU
        "\u16912",  # ; BAMUM LETTER PHASE-D GHAA
        "\u16913",  # ; BAMUM LETTER PHASE-D NGKYEE
        "\u16914",  # ; BAMUM LETTER PHASE-D FEUFEUAET
        "\u16915",  # ; BAMUM LETTER PHASE-D NDEE
        "\u16916",  # ; BAMUM LETTER PHASE-D MGBOFUM
        "\u16917",  # ; BAMUM LETTER PHASE-D LEUAEP
        "\u16918",  # ; BAMUM LETTER PHASE-D NDON
        "\u16919",  # ; BAMUM LETTER PHASE-D MONI
        "\u1691A",  # ; BAMUM LETTER PHASE-D MGBEUN
        "\u1691B",  # ; BAMUM LETTER PHASE-D PUUT
        "\u1691C",  # ; BAMUM LETTER PHASE-D MGBIEE
        "\u1691D",  # ; BAMUM LETTER PHASE-D MFO
        "\u1691E",  # ; BAMUM LETTER PHASE-D LUM
        "\u1691F",  # ; BAMUM LETTER PHASE-D NSIEEP
        "\u16920",  # ; BAMUM LETTER PHASE-D MBAA
        "\u16921",  # ; BAMUM LETTER PHASE-D KWAET
        "\u16922",  # ; BAMUM LETTER PHASE-D NYET
        "\u16923",  # ; BAMUM LETTER PHASE-D TEUAEN
        "\u16924",  # ; BAMUM LETTER PHASE-D SOT
        "\u16925",  # ; BAMUM LETTER PHASE-D YUWOQ
        "\u16926",  # ; BAMUM LETTER PHASE-D KEUM
        "\u16927",  # ; BAMUM LETTER PHASE-D RAEM
        "\u16928",  # ; BAMUM LETTER PHASE-D TEEEE
        "\u16929",  # ; BAMUM LETTER PHASE-D NGKEUAEQ
        "\u1692A",  # ; BAMUM LETTER PHASE-D MFEUAE
        "\u1692B",  # ; BAMUM LETTER PHASE-D NSIEET
        "\u1692C",  # ; BAMUM LETTER PHASE-D KEUP
        "\u1692D",  # ; BAMUM LETTER PHASE-D PIP
        "\u1692E",  # ; BAMUM LETTER PHASE-D PEUTAE
        "\u1692F",  # ; BAMUM LETTER PHASE-D NYUE
        "\u16930",  # ; BAMUM LETTER PHASE-D LET
        "\u16931",  # ; BAMUM LETTER PHASE-D NGGAAM
        "\u16932",  # ; BAMUM LETTER PHASE-D MFIEE
        "\u16933",  # ; BAMUM LETTER PHASE-D NGGWAEN
        "\u16934",  # ; BAMUM LETTER PHASE-D YUOM
        "\u16935",  # ; BAMUM LETTER PHASE-D PAP
        "\u16936",  # ; BAMUM LETTER PHASE-D YUOP
        "\u16937",  # ; BAMUM LETTER PHASE-D NDAM
        "\u16938",  # ; BAMUM LETTER PHASE-D NTEUM
        "\u16939",  # ; BAMUM LETTER PHASE-D SUAE
        "\u1693A",  # ; BAMUM LETTER PHASE-D KUN
        "\u1693B",  # ; BAMUM LETTER PHASE-D NGGEUX
        "\u1693C",  # ; BAMUM LETTER PHASE-D NGKIEE
        "\u1693D",  # ; BAMUM LETTER PHASE-D TUOT
        "\u1693E",  # ; BAMUM LETTER PHASE-D MEUN
        "\u1693F",  # ; BAMUM LETTER PHASE-D KUQ
        "\u16940",  # ; BAMUM LETTER PHASE-D NSUM
        "\u16941",  # ; BAMUM LETTER PHASE-D TEUN
        "\u16942",  # ; BAMUM LETTER PHASE-D MAENJET
        "\u16943",  # ; BAMUM LETTER PHASE-D NGGAP
        "\u16944",  # ; BAMUM LETTER PHASE-D LEUM
        "\u16945",  # ; BAMUM LETTER PHASE-D NGGUOM
        "\u16946",  # ; BAMUM LETTER PHASE-D NSHUT
        "\u16947",  # ; BAMUM LETTER PHASE-D NJUEQ
        "\u16948",  # ; BAMUM LETTER PHASE-D GHEUAE
        "\u16949",  # ; BAMUM LETTER PHASE-D KU
        "\u1694A",  # ; BAMUM LETTER PHASE-D REN OLD
        "\u1694B",  # ; BAMUM LETTER PHASE-D TAE
        "\u1694C",  # ; BAMUM LETTER PHASE-D TOQ
        "\u1694D",  # ; BAMUM LETTER PHASE-D NYI
        "\u1694E",  # ; BAMUM LETTER PHASE-D RII
        "\u1694F",  # ; BAMUM LETTER PHASE-D LEEEE
        "\u16950",  # ; BAMUM LETTER PHASE-D MEEEE
        "\u16951",  # ; BAMUM LETTER PHASE-D M
        "\u16952",  # ; BAMUM LETTER PHASE-D SUU
        "\u16953",  # ; BAMUM LETTER PHASE-D MU
        "\u16954",  # ; BAMUM LETTER PHASE-D SHII
        "\u16955",  # ; BAMUM LETTER PHASE-D SHEUX
        "\u16956",  # ; BAMUM LETTER PHASE-D KYEE
        "\u16957",  # ; BAMUM LETTER PHASE-D NU
        "\u16958",  # ; BAMUM LETTER PHASE-D SHU
        "\u16959",  # ; BAMUM LETTER PHASE-D NTEE
        "\u1695A",  # ; BAMUM LETTER PHASE-D PEE
        "\u1695B",  # ; BAMUM LETTER PHASE-D NI
        "\u1695C",  # ; BAMUM LETTER PHASE-D SHOQ
        "\u1695D",  # ; BAMUM LETTER PHASE-D PUQ
        "\u1695E",  # ; BAMUM LETTER PHASE-D MVOP
        "\u1695F",  # ; BAMUM LETTER PHASE-D LOQ
        "\u16960",  # ; BAMUM LETTER PHASE-D REN MUCH
        "\u16961",  # ; BAMUM LETTER PHASE-D TI
        "\u16962",  # ; BAMUM LETTER PHASE-D NTUU
        "\u16963",  # ; BAMUM LETTER PHASE-D MBAA SEVEN
        "\u16964",  # ; BAMUM LETTER PHASE-D SAQ
        "\u16965",  # ; BAMUM LETTER PHASE-D FAA
        "\u16966",  # ; BAMUM LETTER PHASE-E NDAP
        "\u16967",  # ; BAMUM LETTER PHASE-E TOON
        "\u16968",  # ; BAMUM LETTER PHASE-E MBEUM
        "\u16969",  # ; BAMUM LETTER PHASE-E LAP
        "\u1696A",  # ; BAMUM LETTER PHASE-E VOM
        "\u1696B",  # ; BAMUM LETTER PHASE-E LOON
        "\u1696C",  # ; BAMUM LETTER PHASE-E PAA
        "\u1696D",  # ; BAMUM LETTER PHASE-E SOM
        "\u1696E",  # ; BAMUM LETTER PHASE-E RAQ
        "\u1696F",  # ; BAMUM LETTER PHASE-E NSHUOP
        "\u16970",  # ; BAMUM LETTER PHASE-E NDUN
        "\u16971",  # ; BAMUM LETTER PHASE-E PUAE
        "\u16972",  # ; BAMUM LETTER PHASE-E TAM
        "\u16973",  # ; BAMUM LETTER PHASE-E NGKA
        "\u16974",  # ; BAMUM LETTER PHASE-E KPEUX
        "\u16975",  # ; BAMUM LETTER PHASE-E WUO
        "\u16976",  # ; BAMUM LETTER PHASE-E SEE
        "\u16977",  # ; BAMUM LETTER PHASE-E NGGEUAET
        "\u16978",  # ; BAMUM LETTER PHASE-E PAAM
        "\u16979",  # ; BAMUM LETTER PHASE-E TOO
        "\u1697A",  # ; BAMUM LETTER PHASE-E KUOP
        "\u1697B",  # ; BAMUM LETTER PHASE-E LOM
        "\u1697C",  # ; BAMUM LETTER PHASE-E NSHIEE
        "\u1697D",  # ; BAMUM LETTER PHASE-E NGOP
        "\u1697E",  # ; BAMUM LETTER PHASE-E MAEM
        "\u1697F",  # ; BAMUM LETTER PHASE-E NGKEUX
        "\u16980",  # ; BAMUM LETTER PHASE-E NGOQ
        "\u16981",  # ; BAMUM LETTER PHASE-E NSHUE
        "\u16982",  # ; BAMUM LETTER PHASE-E RIMGBA
        "\u16983",  # ; BAMUM LETTER PHASE-E NJEUX
        "\u16984",  # ; BAMUM LETTER PHASE-E PEEM
        "\u16985",  # ; BAMUM LETTER PHASE-E SAA
        "\u16986",  # ; BAMUM LETTER PHASE-E NGGURAE
        "\u16987",  # ; BAMUM LETTER PHASE-E MGBA
        "\u16988",  # ; BAMUM LETTER PHASE-E GHEUX
        "\u16989",  # ; BAMUM LETTER PHASE-E NGKEUAEM
        "\u1698A",  # ; BAMUM LETTER PHASE-E NJAEMLI
        "\u1698B",  # ; BAMUM LETTER PHASE-E MAP
        "\u1698C",  # ; BAMUM LETTER PHASE-E LOOT
        "\u1698D",  # ; BAMUM LETTER PHASE-E NGGEEEE
        "\u1698E",  # ; BAMUM LETTER PHASE-E NDIQ
        "\u1698F",  # ; BAMUM LETTER PHASE-E TAEN NTEUM
        "\u16990",  # ; BAMUM LETTER PHASE-E SET
        "\u16991",  # ; BAMUM LETTER PHASE-E PUM
        "\u16992",  # ; BAMUM LETTER PHASE-E NDAA SOFTNESS
        "\u16993",  # ; BAMUM LETTER PHASE-E NGGUAESHAE NYAM
        "\u16994",  # ; BAMUM LETTER PHASE-E YIEE
        "\u16995",  # ; BAMUM LETTER PHASE-E GHEUN
        "\u16996",  # ; BAMUM LETTER PHASE-E TUAE
        "\u16997",  # ; BAMUM LETTER PHASE-E YEUAE
        "\u16998",  # ; BAMUM LETTER PHASE-E PO
        "\u16999",  # ; BAMUM LETTER PHASE-E TUMAE
        "\u1699A",  # ; BAMUM LETTER PHASE-E KEUAE
        "\u1699B",  # ; BAMUM LETTER PHASE-E SUAEN
        "\u1699C",  # ; BAMUM LETTER PHASE-E TEUAEQ
        "\u1699D",  # ; BAMUM LETTER PHASE-E VEUAE
        "\u1699E",  # ; BAMUM LETTER PHASE-E WEUX
        "\u1699F",  # ; BAMUM LETTER PHASE-E LAAM
        "\u169A0",  # ; BAMUM LETTER PHASE-E PU
        "\u169A1",  # ; BAMUM LETTER PHASE-E TAAQ
        "\u169A2",  # ; BAMUM LETTER PHASE-E GHAAMAE
        "\u169A3",  # ; BAMUM LETTER PHASE-E NGEUREUT
        "\u169A4",  # ; BAMUM LETTER PHASE-E SHEUAEQ
        "\u169A5",  # ; BAMUM LETTER PHASE-E MGBEN
        "\u169A6",  # ; BAMUM LETTER PHASE-E MBEE
        "\u169A7",  # ; BAMUM LETTER PHASE-E NZAQ
        "\u169A8",  # ; BAMUM LETTER PHASE-E NKOM
        "\u169A9",  # ; BAMUM LETTER PHASE-E GBET
        "\u169AA",  # ; BAMUM LETTER PHASE-E TUM
        "\u169AB",  # ; BAMUM LETTER PHASE-E KUET
        "\u169AC",  # ; BAMUM LETTER PHASE-E YAP
        "\u169AD",  # ; BAMUM LETTER PHASE-E NYI CLEAVER
        "\u169AE",  # ; BAMUM LETTER PHASE-E YIT
        "\u169AF",  # ; BAMUM LETTER PHASE-E MFEUQ
        "\u169B0",  # ; BAMUM LETTER PHASE-E NDIAQ
        "\u169B1",  # ; BAMUM LETTER PHASE-E PIEEQ
        "\u169B2",  # ; BAMUM LETTER PHASE-E YUEQ
        "\u169B3",  # ; BAMUM LETTER PHASE-E LEUAEM
        "\u169B4",  # ; BAMUM LETTER PHASE-E FUE
        "\u169B5",  # ; BAMUM LETTER PHASE-E GBEUX
        "\u169B6",  # ; BAMUM LETTER PHASE-E NGKUP
        "\u169B7",  # ; BAMUM LETTER PHASE-E KET
        "\u169B8",  # ; BAMUM LETTER PHASE-E MAE
        "\u169B9",  # ; BAMUM LETTER PHASE-E NGKAAMI
        "\u169BA",  # ; BAMUM LETTER PHASE-E GHET
        "\u169BB",  # ; BAMUM LETTER PHASE-E FA
        "\u169BC",  # ; BAMUM LETTER PHASE-E NTUM
        "\u169BD",  # ; BAMUM LETTER PHASE-E PEUT
        "\u169BE",  # ; BAMUM LETTER PHASE-E YEUM
        "\u169BF",  # ; BAMUM LETTER PHASE-E NGGEUAE
        "\u169C0",  # ; BAMUM LETTER PHASE-E NYI BETWEEN
        "\u169C1",  # ; BAMUM LETTER PHASE-E NZUQ
        "\u169C2",  # ; BAMUM LETTER PHASE-E POON
        "\u169C3",  # ; BAMUM LETTER PHASE-E MIEE
        "\u169C4",  # ; BAMUM LETTER PHASE-E FUET
        "\u169C5",  # ; BAMUM LETTER PHASE-E NAE
        "\u169C6",  # ; BAMUM LETTER PHASE-E MUAE
        "\u169C7",  # ; BAMUM LETTER PHASE-E GHEUAE
        "\u169C8",  # ; BAMUM LETTER PHASE-E FU I
        "\u169C9",  # ; BAMUM LETTER PHASE-E MVI
        "\u169CA",  # ; BAMUM LETTER PHASE-E PUAQ
        "\u169CB",  # ; BAMUM LETTER PHASE-E NGKUM
        "\u169CC",  # ; BAMUM LETTER PHASE-E KUT
        "\u169CD",  # ; BAMUM LETTER PHASE-E PIET
        "\u169CE",  # ; BAMUM LETTER PHASE-E NTAP
        "\u169CF",  # ; BAMUM LETTER PHASE-E YEUAET
        "\u169D0",  # ; BAMUM LETTER PHASE-E NGGUP
        "\u169D1",  # ; BAMUM LETTER PHASE-E PA PEOPLE
        "\u169D2",  # ; BAMUM LETTER PHASE-E FU CALL
        "\u169D3",  # ; BAMUM LETTER PHASE-E FOM
        "\u169D4",  # ; BAMUM LETTER PHASE-E NJEE
        "\u169D5",  # ; BAMUM LETTER PHASE-E A
        "\u169D6",  # ; BAMUM LETTER PHASE-E TOQ
        "\u169D7",  # ; BAMUM LETTER PHASE-E O
        "\u169D8",  # ; BAMUM LETTER PHASE-E I
        "\u169D9",  # ; BAMUM LETTER PHASE-E LAQ
        "\u169DA",  # ; BAMUM LETTER PHASE-E PA PLURAL
        "\u169DB",  # ; BAMUM LETTER PHASE-E TAA
        "\u169DC",  # ; BAMUM LETTER PHASE-E TAQ
        "\u169DD",  # ; BAMUM LETTER PHASE-E NDAA MY HOUSE
        "\u169DE",  # ; BAMUM LETTER PHASE-E SHIQ
        "\u169DF",  # ; BAMUM LETTER PHASE-E YEUX
        "\u169E0",  # ; BAMUM LETTER PHASE-E NGUAE
        "\u169E1",  # ; BAMUM LETTER PHASE-E YUAEN
        "\u169E2",  # ; BAMUM LETTER PHASE-E YOQ SWIMMING
        "\u169E3",  # ; BAMUM LETTER PHASE-E YOQ COVER
        "\u169E4",  # ; BAMUM LETTER PHASE-E YUQ
        "\u169E5",  # ; BAMUM LETTER PHASE-E YUN
        "\u169E6",  # ; BAMUM LETTER PHASE-E KEUX
        "\u169E7",  # ; BAMUM LETTER PHASE-E PEUX
        "\u169E8",  # ; BAMUM LETTER PHASE-E NJEE EPOCH
        "\u169E9",  # ; BAMUM LETTER PHASE-E PUE
        "\u169EA",  # ; BAMUM LETTER PHASE-E WUE
        "\u169EB",  # ; BAMUM LETTER PHASE-E FEE
        "\u169EC",  # ; BAMUM LETTER PHASE-E VEE
        "\u169ED",  # ; BAMUM LETTER PHASE-E LU
        "\u169EE",  # ; BAMUM LETTER PHASE-E MI
        "\u169EF",  # ; BAMUM LETTER PHASE-E REUX
        "\u169F0",  # ; BAMUM LETTER PHASE-E RAE
        "\u169F1",  # ; BAMUM LETTER PHASE-E NGUAET
        "\u169F2",  # ; BAMUM LETTER PHASE-E NGA
        "\u169F3",  # ; BAMUM LETTER PHASE-E SHO
        "\u169F4",  # ; BAMUM LETTER PHASE-E SHOQ
        "\u169F5",  # ; BAMUM LETTER PHASE-E FU REMEDY
        "\u169F6",  # ; BAMUM LETTER PHASE-E NA
        "\u169F7",  # ; BAMUM LETTER PHASE-E PI
        "\u169F8",  # ; BAMUM LETTER PHASE-E LOQ
        "\u169F9",  # ; BAMUM LETTER PHASE-E KO
        "\u169FA",  # ; BAMUM LETTER PHASE-E MEN
        "\u169FB",  # ; BAMUM LETTER PHASE-E MA
        "\u169FC",  # ; BAMUM LETTER PHASE-E MAQ
        "\u169FD",  # ; BAMUM LETTER PHASE-E TEU
        "\u169FE",  # ; BAMUM LETTER PHASE-E KI
        "\u169FF",  # ; BAMUM LETTER PHASE-E MON
        "\u16A00",  # ; BAMUM LETTER PHASE-E TEN
        "\u16A01",  # ; BAMUM LETTER PHASE-E FAQ
        "\u16A02",  # ; BAMUM LETTER PHASE-E GHOM
        "\u16A03",  # ; BAMUM LETTER PHASE-F KA
        "\u16A04",  # ; BAMUM LETTER PHASE-F U
        "\u16A05",  # ; BAMUM LETTER PHASE-F KU
        "\u16A06",  # ; BAMUM LETTER PHASE-F EE
        "\u16A07",  # ; BAMUM LETTER PHASE-F REE
        "\u16A08",  # ; BAMUM LETTER PHASE-F TAE
        "\u16A09",  # ; BAMUM LETTER PHASE-F NYI
        "\u16A0A",  # ; BAMUM LETTER PHASE-F LA
        "\u16A0B",  # ; BAMUM LETTER PHASE-F RII
        "\u16A0C",  # ; BAMUM LETTER PHASE-F RIEE
        "\u16A0D",  # ; BAMUM LETTER PHASE-F MEEEE
        "\u16A0E",  # ; BAMUM LETTER PHASE-F TAA
        "\u16A0F",  # ; BAMUM LETTER PHASE-F NDAA
        "\u16A10",  # ; BAMUM LETTER PHASE-F NJAEM
        "\u16A11",  # ; BAMUM LETTER PHASE-F M
        "\u16A12",  # ; BAMUM LETTER PHASE-F SUU
        "\u16A13",  # ; BAMUM LETTER PHASE-F SHII
        "\u16A14",  # ; BAMUM LETTER PHASE-F SI
        "\u16A15",  # ; BAMUM LETTER PHASE-F SEUX
        "\u16A16",  # ; BAMUM LETTER PHASE-F KYEE
        "\u16A17",  # ; BAMUM LETTER PHASE-F KET
        "\u16A18",  # ; BAMUM LETTER PHASE-F NUAE
        "\u16A19",  # ; BAMUM LETTER PHASE-F NU
        "\u16A1A",  # ; BAMUM LETTER PHASE-F NJUAE
        "\u16A1B",  # ; BAMUM LETTER PHASE-F YOQ
        "\u16A1C",  # ; BAMUM LETTER PHASE-F SHU
        "\u16A1D",  # ; BAMUM LETTER PHASE-F YA
        "\u16A1E",  # ; BAMUM LETTER PHASE-F NSHA
        "\u16A1F",  # ; BAMUM LETTER PHASE-F PEUX
        "\u16A20",  # ; BAMUM LETTER PHASE-F NTEE
        "\u16A21",  # ; BAMUM LETTER PHASE-F WUE
        "\u16A22",  # ; BAMUM LETTER PHASE-F PEE
        "\u16A23",  # ; BAMUM LETTER PHASE-F RU
        "\u16A24",  # ; BAMUM LETTER PHASE-F NI
        "\u16A25",  # ; BAMUM LETTER PHASE-F REUX
        "\u16A26",  # ; BAMUM LETTER PHASE-F KEN
        "\u16A27",  # ; BAMUM LETTER PHASE-F NGKWAEN
        "\u16A28",  # ; BAMUM LETTER PHASE-F NGGA
        "\u16A29",  # ; BAMUM LETTER PHASE-F SHO
        "\u16A2A",  # ; BAMUM LETTER PHASE-F PUAE
        "\u16A2B",  # ; BAMUM LETTER PHASE-F FOM
        "\u16A2C",  # ; BAMUM LETTER PHASE-F WA
        "\u16A2D",  # ; BAMUM LETTER PHASE-F LI
        "\u16A2E",  # ; BAMUM LETTER PHASE-F LOQ
        "\u16A2F",  # ; BAMUM LETTER PHASE-F KO
        "\u16A30",  # ; BAMUM LETTER PHASE-F MBEN
        "\u16A31",  # ; BAMUM LETTER PHASE-F REN
        "\u16A32",  # ; BAMUM LETTER PHASE-F MA
        "\u16A33",  # ; BAMUM LETTER PHASE-F MO
        "\u16A34",  # ; BAMUM LETTER PHASE-F MBAA
        "\u16A35",  # ; BAMUM LETTER PHASE-F TET
        "\u16A36",  # ; BAMUM LETTER PHASE-F KPA
        "\u16A37",  # ; BAMUM LETTER PHASE-F SAMBA
        "\u16A38",  # ; BAMUM LETTER PHASE-F VUEQ
        "\u16A40",  # ; MRO LETTER TA
        "\u16A41",  # ; MRO LETTER NGI
        "\u16A42",  # ; MRO LETTER YO
        "\u16A43",  # ; MRO LETTER MIM
        "\u16A44",  # ; MRO LETTER BA
        "\u16A45",  # ; MRO LETTER DA
        "\u16A46",  # ; MRO LETTER A
        "\u16A47",  # ; MRO LETTER PHI
        "\u16A48",  # ; MRO LETTER KHAI
        "\u16A49",  # ; MRO LETTER HAO
        "\u16A4A",  # ; MRO LETTER DAI
        "\u16A4B",  # ; MRO LETTER CHU
        "\u16A4C",  # ; MRO LETTER KEAAE
        "\u16A4D",  # ; MRO LETTER OL
        "\u16A4E",  # ; MRO LETTER MAEM
        "\u16A4F",  # ; MRO LETTER NIN
        "\u16A50",  # ; MRO LETTER PA
        "\u16A51",  # ; MRO LETTER OO
        "\u16A52",  # ; MRO LETTER O
        "\u16A53",  # ; MRO LETTER RO
        "\u16A54",  # ; MRO LETTER SHI
        "\u16A55",  # ; MRO LETTER THEA
        "\u16A56",  # ; MRO LETTER EA
        "\u16A57",  # ; MRO LETTER WA
        "\u16A58",  # ; MRO LETTER E
        "\u16A59",  # ; MRO LETTER KO
        "\u16A5A",  # ; MRO LETTER LAN
        "\u16A5B",  # ; MRO LETTER LA
        "\u16A5C",  # ; MRO LETTER HAI
        "\u16A5D",  # ; MRO LETTER RI
        "\u16A5E",  # ; MRO LETTER TEK
        "\u16A60",  # ; MRO DIGIT ZERO
        "\u16A61",  # ; MRO DIGIT ONE
        "\u16A62",  # ; MRO DIGIT TWO
        "\u16A63",  # ; MRO DIGIT THREE
        "\u16A64",  # ; MRO DIGIT FOUR
        "\u16A65",  # ; MRO DIGIT FIVE
        "\u16A66",  # ; MRO DIGIT SIX
        "\u16A67",  # ; MRO DIGIT SEVEN
        "\u16A68",  # ; MRO DIGIT EIGHT
        "\u16A69",  # ; MRO DIGIT NINE
        "\u16A6E",  # ; MRO DANDA
        "\u16A6F",  # ; MRO DOUBLE DANDA
        "\u16AD0",  # ; BASSA VAH LETTER ENNI
        "\u16AD1",  # ; BASSA VAH LETTER KA
        "\u16AD2",  # ; BASSA VAH LETTER SE
        "\u16AD3",  # ; BASSA VAH LETTER FA
        "\u16AD4",  # ; BASSA VAH LETTER MBE
        "\u16AD5",  # ; BASSA VAH LETTER YIE
        "\u16AD6",  # ; BASSA VAH LETTER GAH
        "\u16AD7",  # ; BASSA VAH LETTER DHII
        "\u16AD8",  # ; BASSA VAH LETTER KPAH
        "\u16AD9",  # ; BASSA VAH LETTER JO
        "\u16ADA",  # ; BASSA VAH LETTER HWAH
        "\u16ADB",  # ; BASSA VAH LETTER WA
        "\u16ADC",  # ; BASSA VAH LETTER ZO
        "\u16ADD",  # ; BASSA VAH LETTER GBU
        "\u16ADE",  # ; BASSA VAH LETTER DO
        "\u16ADF",  # ; BASSA VAH LETTER CE
        "\u16AE0",  # ; BASSA VAH LETTER UWU
        "\u16AE1",  # ; BASSA VAH LETTER TO
        "\u16AE2",  # ; BASSA VAH LETTER BA
        "\u16AE3",  # ; BASSA VAH LETTER VU
        "\u16AE4",  # ; BASSA VAH LETTER YEIN
        "\u16AE5",  # ; BASSA VAH LETTER PA
        "\u16AE6",  # ; BASSA VAH LETTER WADDA
        "\u16AE7",  # ; BASSA VAH LETTER A
        "\u16AE8",  # ; BASSA VAH LETTER O
        "\u16AE9",  # ; BASSA VAH LETTER OO
        "\u16AEA",  # ; BASSA VAH LETTER U
        "\u16AEB",  # ; BASSA VAH LETTER EE
        "\u16AEC",  # ; BASSA VAH LETTER E
        "\u16AED",  # ; BASSA VAH LETTER I
        "\u16AF0",  # ; BASSA VAH COMBINING HIGH TONE
        "\u16AF1",  # ; BASSA VAH COMBINING LOW TONE
        "\u16AF2",  # ; BASSA VAH COMBINING MID TONE
        "\u16AF3",  # ; BASSA VAH COMBINING LOW-MID TONE
        "\u16AF4",  # ; BASSA VAH COMBINING HIGH-LOW TONE
        "\u16AF5",  # ; BASSA VAH FULL STOP
        "\u16B00",  # ; PAHAWH HMONG VOWEL KEEB
        "\u16B01",  # ; PAHAWH HMONG VOWEL KEEV
        "\u16B02",  # ; PAHAWH HMONG VOWEL KIB
        "\u16B03",  # ; PAHAWH HMONG VOWEL KIV
        "\u16B04",  # ; PAHAWH HMONG VOWEL KAUB
        "\u16B05",  # ; PAHAWH HMONG VOWEL KAUV
        "\u16B06",  # ; PAHAWH HMONG VOWEL KUB
        "\u16B07",  # ; PAHAWH HMONG VOWEL KUV
        "\u16B08",  # ; PAHAWH HMONG VOWEL KEB
        "\u16B09",  # ; PAHAWH HMONG VOWEL KEV
        "\u16B0A",  # ; PAHAWH HMONG VOWEL KAIB
        "\u16B0B",  # ; PAHAWH HMONG VOWEL KAIV
        "\u16B0C",  # ; PAHAWH HMONG VOWEL KOOB
        "\u16B0D",  # ; PAHAWH HMONG VOWEL KOOV
        "\u16B0E",  # ; PAHAWH HMONG VOWEL KAWB
        "\u16B0F",  # ; PAHAWH HMONG VOWEL KAWV
        "\u16B10",  # ; PAHAWH HMONG VOWEL KUAB
        "\u16B11",  # ; PAHAWH HMONG VOWEL KUAV
        "\u16B12",  # ; PAHAWH HMONG VOWEL KOB
        "\u16B13",  # ; PAHAWH HMONG VOWEL KOV
        "\u16B14",  # ; PAHAWH HMONG VOWEL KIAB
        "\u16B15",  # ; PAHAWH HMONG VOWEL KIAV
        "\u16B16",  # ; PAHAWH HMONG VOWEL KAB
        "\u16B17",  # ; PAHAWH HMONG VOWEL KAV
        "\u16B18",  # ; PAHAWH HMONG VOWEL KWB
        "\u16B19",  # ; PAHAWH HMONG VOWEL KWV
        "\u16B1A",  # ; PAHAWH HMONG VOWEL KAAB
        "\u16B1B",  # ; PAHAWH HMONG VOWEL KAAV
        "\u16B1C",  # ; PAHAWH HMONG CONSONANT VAU
        "\u16B1D",  # ; PAHAWH HMONG CONSONANT NTSAU
        "\u16B1E",  # ; PAHAWH HMONG CONSONANT LAU
        "\u16B1F",  # ; PAHAWH HMONG CONSONANT HAU
        "\u16B20",  # ; PAHAWH HMONG CONSONANT NLAU
        "\u16B21",  # ; PAHAWH HMONG CONSONANT RAU
        "\u16B22",  # ; PAHAWH HMONG CONSONANT NKAU
        "\u16B23",  # ; PAHAWH HMONG CONSONANT QHAU
        "\u16B24",  # ; PAHAWH HMONG CONSONANT YAU
        "\u16B25",  # ; PAHAWH HMONG CONSONANT HLAU
        "\u16B26",  # ; PAHAWH HMONG CONSONANT MAU
        "\u16B27",  # ; PAHAWH HMONG CONSONANT CHAU
        "\u16B28",  # ; PAHAWH HMONG CONSONANT NCHAU
        "\u16B29",  # ; PAHAWH HMONG CONSONANT HNAU
        "\u16B2A",  # ; PAHAWH HMONG CONSONANT PLHAU
        "\u16B2B",  # ; PAHAWH HMONG CONSONANT NTHAU
        "\u16B2C",  # ; PAHAWH HMONG CONSONANT NAU
        "\u16B2D",  # ; PAHAWH HMONG CONSONANT AU
        "\u16B2E",  # ; PAHAWH HMONG CONSONANT XAU
        "\u16B2F",  # ; PAHAWH HMONG CONSONANT CAU
        "\u16B30",  # ; PAHAWH HMONG MARK CIM TUB
        "\u16B31",  # ; PAHAWH HMONG MARK CIM SO
        "\u16B32",  # ; PAHAWH HMONG MARK CIM KES
        "\u16B33",  # ; PAHAWH HMONG MARK CIM KHAV
        "\u16B34",  # ; PAHAWH HMONG MARK CIM SUAM
        "\u16B35",  # ; PAHAWH HMONG MARK CIM HOM
        "\u16B36",  # ; PAHAWH HMONG MARK CIM TAUM
        "\u16B37",  # ; PAHAWH HMONG SIGN VOS THOM
        "\u16B38",  # ; PAHAWH HMONG SIGN VOS TSHAB CEEB
        "\u16B39",  # ; PAHAWH HMONG SIGN CIM CHEEM
        "\u16B3A",  # ; PAHAWH HMONG SIGN VOS THIAB
        "\u16B3B",  # ; PAHAWH HMONG SIGN VOS FEEM
        "\u16B3C",  # ; PAHAWH HMONG SIGN XYEEM NTXIV
        "\u16B3D",  # ; PAHAWH HMONG SIGN XYEEM RHO
        "\u16B3E",  # ; PAHAWH HMONG SIGN XYEEM TOV
        "\u16B3F",  # ; PAHAWH HMONG SIGN XYEEM FAIB
        "\u16B40",  # ; PAHAWH HMONG SIGN VOS SEEV
        "\u16B41",  # ; PAHAWH HMONG SIGN MEEJ SUAB
        "\u16B42",  # ; PAHAWH HMONG SIGN VOS NRUA
        "\u16B43",  # ; PAHAWH HMONG SIGN IB YAM
        "\u16B44",  # ; PAHAWH HMONG SIGN XAUS
        "\u16B45",  # ; PAHAWH HMONG SIGN CIM TSOV ROG
        "\u16B50",  # ; PAHAWH HMONG DIGIT ZERO
        "\u16B51",  # ; PAHAWH HMONG DIGIT ONE
        "\u16B52",  # ; PAHAWH HMONG DIGIT TWO
        "\u16B53",  # ; PAHAWH HMONG DIGIT THREE
        "\u16B54",  # ; PAHAWH HMONG DIGIT FOUR
        "\u16B55",  # ; PAHAWH HMONG DIGIT FIVE
        "\u16B56",  # ; PAHAWH HMONG DIGIT SIX
        "\u16B57",  # ; PAHAWH HMONG DIGIT SEVEN
        "\u16B58",  # ; PAHAWH HMONG DIGIT EIGHT
        "\u16B59",  # ; PAHAWH HMONG DIGIT NINE
        "\u16B5B",  # ; PAHAWH HMONG NUMBER TENS
        "\u16B5C",  # ; PAHAWH HMONG NUMBER HUNDREDS
        "\u16B5D",  # ; PAHAWH HMONG NUMBER TEN THOUSANDS
        "\u16B5E",  # ; PAHAWH HMONG NUMBER MILLIONS
        "\u16B5F",  # ; PAHAWH HMONG NUMBER HUNDRED MILLIONS
        "\u16B60",  # ; PAHAWH HMONG NUMBER TEN BILLIONS
        "\u16B61",  # ; PAHAWH HMONG NUMBER TRILLIONS
        "\u16B63",  # ; PAHAWH HMONG SIGN VOS LUB
        "\u16B64",  # ; PAHAWH HMONG SIGN XYOO
        "\u16B65",  # ; PAHAWH HMONG SIGN HLI
        "\u16B66",  # ; PAHAWH HMONG SIGN THIRD-STAGE HLI
        "\u16B67",  # ; PAHAWH HMONG SIGN ZWJ THAJ
        "\u16B68",  # ; PAHAWH HMONG SIGN HNUB
        "\u16B69",  # ; PAHAWH HMONG SIGN NQIG
        "\u16B6A",  # ; PAHAWH HMONG SIGN XIAB
        "\u16B6B",  # ; PAHAWH HMONG SIGN NTUJ
        "\u16B6C",  # ; PAHAWH HMONG SIGN AV
        "\u16B6D",  # ; PAHAWH HMONG SIGN TXHEEJ CEEV
        "\u16B6E",  # ; PAHAWH HMONG SIGN MEEJ TSEEB
        "\u16B6F",  # ; PAHAWH HMONG SIGN TAU
        "\u16B70",  # ; PAHAWH HMONG SIGN LOS
        "\u16B71",  # ; PAHAWH HMONG SIGN MUS
        "\u16B72",  # ; PAHAWH HMONG SIGN CIM HAIS LUS NTOG NTOG
        "\u16B73",  # ; PAHAWH HMONG SIGN CIM CUAM TSHOOJ
        "\u16B74",  # ; PAHAWH HMONG SIGN CIM TXWV
        "\u16B75",  # ; PAHAWH HMONG SIGN CIM TXWV CHWV
        "\u16B76",  # ; PAHAWH HMONG SIGN CIM PUB DAWB
        "\u16B77",  # ; PAHAWH HMONG SIGN CIM NRES TOS
        "\u16B7D",  # ; PAHAWH HMONG CLAN SIGN TSHEEJ
        "\u16B7E",  # ; PAHAWH HMONG CLAN SIGN YEEG
        "\u16B7F",  # ; PAHAWH HMONG CLAN SIGN LIS
        "\u16B80",  # ; PAHAWH HMONG CLAN SIGN LAUJ
        "\u16B81",  # ; PAHAWH HMONG CLAN SIGN XYOOJ
        "\u16B82",  # ; PAHAWH HMONG CLAN SIGN KOO
        "\u16B83",  # ; PAHAWH HMONG CLAN SIGN HAWJ
        "\u16B84",  # ; PAHAWH HMONG CLAN SIGN MUAS
        "\u16B85",  # ; PAHAWH HMONG CLAN SIGN THOJ
        "\u16B86",  # ; PAHAWH HMONG CLAN SIGN TSAB
        "\u16B87",  # ; PAHAWH HMONG CLAN SIGN PHAB
        "\u16B88",  # ; PAHAWH HMONG CLAN SIGN KHAB
        "\u16B89",  # ; PAHAWH HMONG CLAN SIGN HAM
        "\u16B8A",  # ; PAHAWH HMONG CLAN SIGN VAJ
        "\u16B8B",  # ; PAHAWH HMONG CLAN SIGN FAJ
        "\u16B8C",  # ; PAHAWH HMONG CLAN SIGN YAJ
        "\u16B8D",  # ; PAHAWH HMONG CLAN SIGN TSWB
        "\u16B8E",  # ; PAHAWH HMONG CLAN SIGN KWM
        "\u16B8F",  # ; PAHAWH HMONG CLAN SIGN VWJ
        "\u16F00",  # ; MIAO LETTER PA
        "\u16F01",  # ; MIAO LETTER BA
        "\u16F02",  # ; MIAO LETTER YI PA
        "\u16F03",  # ; MIAO LETTER PLA
        "\u16F04",  # ; MIAO LETTER MA
        "\u16F05",  # ; MIAO LETTER MHA
        "\u16F06",  # ; MIAO LETTER ARCHAIC MA
        "\u16F07",  # ; MIAO LETTER FA
        "\u16F08",  # ; MIAO LETTER VA
        "\u16F09",  # ; MIAO LETTER VFA
        "\u16F0A",  # ; MIAO LETTER TA
        "\u16F0B",  # ; MIAO LETTER DA
        "\u16F0C",  # ; MIAO LETTER YI TTA
        "\u16F0D",  # ; MIAO LETTER YI TA
        "\u16F0E",  # ; MIAO LETTER TTA
        "\u16F0F",  # ; MIAO LETTER DDA
        "\u16F10",  # ; MIAO LETTER NA
        "\u16F11",  # ; MIAO LETTER NHA
        "\u16F12",  # ; MIAO LETTER YI NNA
        "\u16F13",  # ; MIAO LETTER ARCHAIC NA
        "\u16F14",  # ; MIAO LETTER NNA
        "\u16F15",  # ; MIAO LETTER NNHA
        "\u16F16",  # ; MIAO LETTER LA
        "\u16F17",  # ; MIAO LETTER LYA
        "\u16F18",  # ; MIAO LETTER LHA
        "\u16F19",  # ; MIAO LETTER LHYA
        "\u16F1A",  # ; MIAO LETTER TLHA
        "\u16F1B",  # ; MIAO LETTER DLHA
        "\u16F1C",  # ; MIAO LETTER TLHYA
        "\u16F1D",  # ; MIAO LETTER DLHYA
        "\u16F1E",  # ; MIAO LETTER KA
        "\u16F1F",  # ; MIAO LETTER GA
        "\u16F20",  # ; MIAO LETTER YI KA
        "\u16F21",  # ; MIAO LETTER QA
        "\u16F22",  # ; MIAO LETTER QGA
        "\u16F23",  # ; MIAO LETTER NGA
        "\u16F24",  # ; MIAO LETTER NGHA
        "\u16F25",  # ; MIAO LETTER ARCHAIC NGA
        "\u16F26",  # ; MIAO LETTER HA
        "\u16F27",  # ; MIAO LETTER XA
        "\u16F28",  # ; MIAO LETTER GHA
        "\u16F29",  # ; MIAO LETTER GHHA
        "\u16F2A",  # ; MIAO LETTER TSSA
        "\u16F2B",  # ; MIAO LETTER DZZA
        "\u16F2C",  # ; MIAO LETTER NYA
        "\u16F2D",  # ; MIAO LETTER NYHA
        "\u16F2E",  # ; MIAO LETTER TSHA
        "\u16F2F",  # ; MIAO LETTER DZHA
        "\u16F30",  # ; MIAO LETTER YI TSHA
        "\u16F31",  # ; MIAO LETTER YI DZHA
        "\u16F32",  # ; MIAO LETTER REFORMED TSHA
        "\u16F33",  # ; MIAO LETTER SHA
        "\u16F34",  # ; MIAO LETTER SSA
        "\u16F35",  # ; MIAO LETTER ZHA
        "\u16F36",  # ; MIAO LETTER ZSHA
        "\u16F37",  # ; MIAO LETTER TSA
        "\u16F38",  # ; MIAO LETTER DZA
        "\u16F39",  # ; MIAO LETTER YI TSA
        "\u16F3A",  # ; MIAO LETTER SA
        "\u16F3B",  # ; MIAO LETTER ZA
        "\u16F3C",  # ; MIAO LETTER ZSA
        "\u16F3D",  # ; MIAO LETTER ZZA
        "\u16F3E",  # ; MIAO LETTER ZZSA
        "\u16F3F",  # ; MIAO LETTER ARCHAIC ZZA
        "\u16F40",  # ; MIAO LETTER ZZYA
        "\u16F41",  # ; MIAO LETTER ZZSYA
        "\u16F42",  # ; MIAO LETTER WA
        "\u16F43",  # ; MIAO LETTER AH
        "\u16F44",  # ; MIAO LETTER HHA
        "\u16F50",  # ; MIAO LETTER NASALIZATION
        "\u16F51",  # ; MIAO SIGN ASPIRATION
        "\u16F52",  # ; MIAO SIGN REFORMED VOICING
        "\u16F53",  # ; MIAO SIGN REFORMED ASPIRATION
        "\u16F54",  # ; MIAO VOWEL SIGN A
        "\u16F55",  # ; MIAO VOWEL SIGN AA
        "\u16F56",  # ; MIAO VOWEL SIGN AHH
        "\u16F57",  # ; MIAO VOWEL SIGN AN
        "\u16F58",  # ; MIAO VOWEL SIGN ANG
        "\u16F59",  # ; MIAO VOWEL SIGN O
        "\u16F5A",  # ; MIAO VOWEL SIGN OO
        "\u16F5B",  # ; MIAO VOWEL SIGN WO
        "\u16F5C",  # ; MIAO VOWEL SIGN W
        "\u16F5D",  # ; MIAO VOWEL SIGN E
        "\u16F5E",  # ; MIAO VOWEL SIGN EN
        "\u16F5F",  # ; MIAO VOWEL SIGN ENG
        "\u16F60",  # ; MIAO VOWEL SIGN OEY
        "\u16F61",  # ; MIAO VOWEL SIGN I
        "\u16F62",  # ; MIAO VOWEL SIGN IA
        "\u16F63",  # ; MIAO VOWEL SIGN IAN
        "\u16F64",  # ; MIAO VOWEL SIGN IANG
        "\u16F65",  # ; MIAO VOWEL SIGN IO
        "\u16F66",  # ; MIAO VOWEL SIGN IE
        "\u16F67",  # ; MIAO VOWEL SIGN II
        "\u16F68",  # ; MIAO VOWEL SIGN IU
        "\u16F69",  # ; MIAO VOWEL SIGN ING
        "\u16F6A",  # ; MIAO VOWEL SIGN U
        "\u16F6B",  # ; MIAO VOWEL SIGN UA
        "\u16F6C",  # ; MIAO VOWEL SIGN UAN
        "\u16F6D",  # ; MIAO VOWEL SIGN UANG
        "\u16F6E",  # ; MIAO VOWEL SIGN UU
        "\u16F6F",  # ; MIAO VOWEL SIGN UEI
        "\u16F70",  # ; MIAO VOWEL SIGN UNG
        "\u16F71",  # ; MIAO VOWEL SIGN Y
        "\u16F72",  # ; MIAO VOWEL SIGN YI
        "\u16F73",  # ; MIAO VOWEL SIGN AE
        "\u16F74",  # ; MIAO VOWEL SIGN AEE
        "\u16F75",  # ; MIAO VOWEL SIGN ERR
        "\u16F76",  # ; MIAO VOWEL SIGN ROUNDED ERR
        "\u16F77",  # ; MIAO VOWEL SIGN ER
        "\u16F78",  # ; MIAO VOWEL SIGN ROUNDED ER
        "\u16F79",  # ; MIAO VOWEL SIGN AI
        "\u16F7A",  # ; MIAO VOWEL SIGN EI
        "\u16F7B",  # ; MIAO VOWEL SIGN AU
        "\u16F7C",  # ; MIAO VOWEL SIGN OU
        "\u16F7D",  # ; MIAO VOWEL SIGN N
        "\u16F7E",  # ; MIAO VOWEL SIGN NG
        "\u16F8F",  # ; MIAO TONE RIGHT
        "\u16F90",  # ; MIAO TONE TOP RIGHT
        "\u16F91",  # ; MIAO TONE ABOVE
        "\u16F92",  # ; MIAO TONE BELOW
        "\u16F93",  # ; MIAO LETTER TONE-2
        "\u16F94",  # ; MIAO LETTER TONE-3
        "\u16F95",  # ; MIAO LETTER TONE-4
        "\u16F96",  # ; MIAO LETTER TONE-5
        "\u16F97",  # ; MIAO LETTER TONE-6
        "\u16F98",  # ; MIAO LETTER TONE-7
        "\u16F99",  # ; MIAO LETTER TONE-8
        "\u16F9A",  # ; MIAO LETTER REFORMED TONE-1
        "\u16F9B",  # ; MIAO LETTER REFORMED TONE-2
        "\u16F9C",  # ; MIAO LETTER REFORMED TONE-4
        "\u16F9D",  # ; MIAO LETTER REFORMED TONE-5
        "\u16F9E",  # ; MIAO LETTER REFORMED TONE-6
        "\u16F9F",  # ; MIAO LETTER REFORMED TONE-8
        "\u16FE0",  # ; TANGUT ITERATION MARK
        "\u16FE1",  # ; NUSHU ITERATION MARK
        "\u17000","\u17001","\u17002","\u17003","\u17004","\u17005","\u17006","\u17007","\u17008","\u17009","\u1700a","\u1700b","\u1700c","\u1700d","\u1700e","\u1700f","\u17010","\u17011","\u17012","\u17013","\u17014","\u17015","\u17016","\u17017","\u17018","\u17019","\u1701a","\u1701b","\u1701c","\u1701d","\u1701e","\u1701f","\u17020","\u17021","\u17022","\u17023","\u17024","\u17025","\u17026","\u17027","\u17028","\u17029","\u1702a","\u1702b","\u1702c","\u1702d","\u1702e","\u1702f","\u17030","\u17031","\u17032","\u17033","\u17034","\u17035","\u17036","\u17037","\u17038","\u17039","\u1703a","\u1703b","\u1703c","\u1703d","\u1703e","\u1703f","\u17040","\u17041","\u17042","\u17043","\u17044","\u17045","\u17046","\u17047","\u17048","\u17049","\u1704a","\u1704b","\u1704c","\u1704d","\u1704e","\u1704f","\u17050","\u17051","\u17052","\u17053","\u17054","\u17055","\u17056","\u17057","\u17058","\u17059","\u1705a","\u1705b","\u1705c","\u1705d","\u1705e","\u1705f","\u17060","\u17061","\u17062","\u17063","\u17064","\u17065","\u17066","\u17067","\u17068","\u17069","\u1706a","\u1706b","\u1706c","\u1706d","\u1706e","\u1706f","\u17070","\u17071","\u17072","\u17073","\u17074","\u17075","\u17076","\u17077","\u17078","\u17079","\u1707a","\u1707b","\u1707c","\u1707d","\u1707e","\u1707f","\u17080","\u17081","\u17082","\u17083","\u17084","\u17085","\u17086","\u17087","\u17088","\u17089","\u1708a","\u1708b","\u1708c","\u1708d","\u1708e","\u1708f","\u17090","\u17091","\u17092","\u17093","\u17094","\u17095","\u17096","\u17097","\u17098","\u17099","\u1709a","\u1709b","\u1709c","\u1709d","\u1709e","\u1709f","\u170a0","\u170a1","\u170a2","\u170a3","\u170a4","\u170a5","\u170a6","\u170a7","\u170a8","\u170a9","\u170aa","\u170ab","\u170ac","\u170ad","\u170ae","\u170af","\u170b0","\u170b1","\u170b2","\u170b3","\u170b4","\u170b5","\u170b6","\u170b7","\u170b8","\u170b9","\u170ba","\u170bb","\u170bc","\u170bd","\u170be","\u170bf","\u170c0","\u170c1","\u170c2","\u170c3","\u170c4","\u170c5","\u170c6","\u170c7","\u170c8","\u170c9","\u170ca","\u170cb","\u170cc","\u170cd","\u170ce","\u170cf","\u170d0","\u170d1","\u170d2","\u170d3","\u170d4","\u170d5","\u170d6","\u170d7","\u170d8","\u170d9","\u170da","\u170db","\u170dc","\u170dd","\u170de","\u170df","\u170e0","\u170e1","\u170e2","\u170e3","\u170e4","\u170e5","\u170e6","\u170e7","\u170e8","\u170e9","\u170ea","\u170eb","\u170ec","\u170ed","\u170ee","\u170ef","\u170f0","\u170f1","\u170f2","\u170f3","\u170f4","\u170f5","\u170f6","\u170f7","\u170f8","\u170f9","\u170fa","\u170fb","\u170fc","\u170fd","\u170fe","\u170ff","\u17100","\u17101","\u17102","\u17103","\u17104","\u17105","\u17106","\u17107","\u17108","\u17109","\u1710a","\u1710b","\u1710c","\u1710d","\u1710e","\u1710f","\u17110","\u17111","\u17112","\u17113","\u17114","\u17115","\u17116","\u17117","\u17118","\u17119","\u1711a","\u1711b","\u1711c","\u1711d","\u1711e","\u1711f","\u17120","\u17121","\u17122","\u17123","\u17124","\u17125","\u17126","\u17127","\u17128","\u17129","\u1712a","\u1712b","\u1712c","\u1712d","\u1712e","\u1712f","\u17130","\u17131","\u17132","\u17133","\u17134","\u17135","\u17136","\u17137","\u17138","\u17139","\u1713a","\u1713b","\u1713c","\u1713d","\u1713e","\u1713f","\u17140","\u17141","\u17142","\u17143","\u17144","\u17145","\u17146","\u17147","\u17148","\u17149","\u1714a","\u1714b","\u1714c","\u1714d","\u1714e","\u1714f","\u17150","\u17151","\u17152","\u17153","\u17154","\u17155","\u17156","\u17157","\u17158","\u17159","\u1715a","\u1715b","\u1715c","\u1715d","\u1715e","\u1715f","\u17160","\u17161","\u17162","\u17163","\u17164","\u17165","\u17166","\u17167","\u17168","\u17169","\u1716a","\u1716b","\u1716c","\u1716d","\u1716e","\u1716f","\u17170","\u17171","\u17172","\u17173","\u17174","\u17175","\u17176","\u17177","\u17178","\u17179","\u1717a","\u1717b","\u1717c","\u1717d","\u1717e","\u1717f","\u17180","\u17181","\u17182","\u17183","\u17184","\u17185","\u17186","\u17187","\u17188","\u17189","\u1718a","\u1718b","\u1718c","\u1718d","\u1718e","\u1718f","\u17190","\u17191","\u17192","\u17193","\u17194","\u17195","\u17196","\u17197","\u17198","\u17199","\u1719a","\u1719b","\u1719c","\u1719d","\u1719e","\u1719f","\u171a0","\u171a1","\u171a2","\u171a3","\u171a4","\u171a5","\u171a6","\u171a7","\u171a8","\u171a9","\u171aa","\u171ab","\u171ac","\u171ad","\u171ae","\u171af","\u171b0","\u171b1","\u171b2","\u171b3","\u171b4","\u171b5","\u171b6","\u171b7","\u171b8","\u171b9","\u171ba","\u171bb","\u171bc","\u171bd","\u171be","\u171bf","\u171c0","\u171c1","\u171c2","\u171c3","\u171c4","\u171c5","\u171c6","\u171c7","\u171c8","\u171c9","\u171ca","\u171cb","\u171cc","\u171cd","\u171ce","\u171cf","\u171d0","\u171d1","\u171d2","\u171d3","\u171d4","\u171d5","\u171d6","\u171d7","\u171d8","\u171d9","\u171da","\u171db","\u171dc","\u171dd","\u171de","\u171df","\u171e0","\u171e1","\u171e2","\u171e3","\u171e4","\u171e5","\u171e6","\u171e7","\u171e8","\u171e9","\u171ea","\u171eb","\u171ec","\u171ed","\u171ee","\u171ef","\u171f0","\u171f1","\u171f2","\u171f3","\u171f4","\u171f5","\u171f6","\u171f7","\u171f8","\u171f9","\u171fa","\u171fb","\u171fc","\u171fd","\u171fe","\u171ff","\u17200","\u17201","\u17202","\u17203","\u17204","\u17205","\u17206","\u17207","\u17208","\u17209","\u1720a","\u1720b","\u1720c","\u1720d","\u1720e","\u1720f","\u17210","\u17211","\u17212","\u17213","\u17214","\u17215","\u17216","\u17217","\u17218","\u17219","\u1721a","\u1721b","\u1721c","\u1721d","\u1721e","\u1721f","\u17220","\u17221","\u17222","\u17223","\u17224","\u17225","\u17226","\u17227","\u17228","\u17229","\u1722a","\u1722b","\u1722c","\u1722d","\u1722e","\u1722f","\u17230","\u17231","\u17232","\u17233","\u17234","\u17235","\u17236","\u17237","\u17238","\u17239","\u1723a","\u1723b","\u1723c","\u1723d","\u1723e","\u1723f","\u17240","\u17241","\u17242","\u17243","\u17244","\u17245","\u17246","\u17247","\u17248","\u17249","\u1724a","\u1724b","\u1724c","\u1724d","\u1724e","\u1724f","\u17250","\u17251","\u17252","\u17253","\u17254","\u17255","\u17256","\u17257","\u17258","\u17259","\u1725a","\u1725b","\u1725c","\u1725d","\u1725e","\u1725f","\u17260","\u17261","\u17262","\u17263","\u17264","\u17265","\u17266","\u17267","\u17268","\u17269","\u1726a","\u1726b","\u1726c","\u1726d","\u1726e","\u1726f","\u17270","\u17271","\u17272","\u17273","\u17274","\u17275","\u17276","\u17277","\u17278","\u17279","\u1727a","\u1727b","\u1727c","\u1727d","\u1727e","\u1727f","\u17280","\u17281","\u17282","\u17283","\u17284","\u17285","\u17286","\u17287","\u17288","\u17289","\u1728a","\u1728b","\u1728c","\u1728d","\u1728e","\u1728f","\u17290","\u17291","\u17292","\u17293","\u17294","\u17295","\u17296","\u17297","\u17298","\u17299","\u1729a","\u1729b","\u1729c","\u1729d","\u1729e","\u1729f","\u172a0","\u172a1","\u172a2","\u172a3","\u172a4","\u172a5","\u172a6","\u172a7","\u172a8","\u172a9","\u172aa","\u172ab","\u172ac","\u172ad","\u172ae","\u172af","\u172b0","\u172b1","\u172b2","\u172b3","\u172b4","\u172b5","\u172b6","\u172b7","\u172b8","\u172b9","\u172ba","\u172bb","\u172bc","\u172bd","\u172be","\u172bf","\u172c0","\u172c1","\u172c2","\u172c3","\u172c4","\u172c5","\u172c6","\u172c7","\u172c8","\u172c9","\u172ca","\u172cb","\u172cc","\u172cd","\u172ce","\u172cf","\u172d0","\u172d1","\u172d2","\u172d3","\u172d4","\u172d5","\u172d6","\u172d7","\u172d8","\u172d9","\u172da","\u172db","\u172dc","\u172dd","\u172de","\u172df","\u172e0","\u172e1","\u172e2","\u172e3","\u172e4","\u172e5","\u172e6","\u172e7","\u172e8","\u172e9","\u172ea","\u172eb","\u172ec","\u172ed","\u172ee","\u172ef","\u172f0","\u172f1","\u172f2","\u172f3","\u172f4","\u172f5","\u172f6","\u172f7","\u172f8","\u172f9","\u172fa","\u172fb","\u172fc","\u172fd","\u172fe","\u172ff","\u17300","\u17301","\u17302","\u17303","\u17304","\u17305","\u17306","\u17307","\u17308","\u17309","\u1730a","\u1730b","\u1730c","\u1730d","\u1730e","\u1730f","\u17310","\u17311","\u17312","\u17313","\u17314","\u17315","\u17316","\u17317","\u17318","\u17319","\u1731a","\u1731b","\u1731c","\u1731d","\u1731e","\u1731f","\u17320","\u17321","\u17322","\u17323","\u17324","\u17325","\u17326","\u17327","\u17328","\u17329","\u1732a","\u1732b","\u1732c","\u1732d","\u1732e","\u1732f","\u17330","\u17331","\u17332","\u17333","\u17334","\u17335","\u17336","\u17337","\u17338","\u17339","\u1733a","\u1733b","\u1733c","\u1733d","\u1733e","\u1733f","\u17340","\u17341","\u17342","\u17343","\u17344","\u17345","\u17346","\u17347","\u17348","\u17349","\u1734a","\u1734b","\u1734c","\u1734d","\u1734e","\u1734f","\u17350","\u17351","\u17352","\u17353","\u17354","\u17355","\u17356","\u17357","\u17358","\u17359","\u1735a","\u1735b","\u1735c","\u1735d","\u1735e","\u1735f","\u17360","\u17361","\u17362","\u17363","\u17364","\u17365","\u17366","\u17367","\u17368","\u17369","\u1736a","\u1736b","\u1736c","\u1736d","\u1736e","\u1736f","\u17370","\u17371","\u17372","\u17373","\u17374","\u17375","\u17376","\u17377","\u17378","\u17379","\u1737a","\u1737b","\u1737c","\u1737d","\u1737e","\u1737f","\u17380","\u17381","\u17382","\u17383","\u17384","\u17385","\u17386","\u17387","\u17388","\u17389","\u1738a","\u1738b","\u1738c","\u1738d","\u1738e","\u1738f","\u17390","\u17391","\u17392","\u17393","\u17394","\u17395","\u17396","\u17397","\u17398","\u17399","\u1739a","\u1739b","\u1739c","\u1739d","\u1739e","\u1739f","\u173a0","\u173a1","\u173a2","\u173a3","\u173a4","\u173a5","\u173a6","\u173a7","\u173a8","\u173a9","\u173aa","\u173ab","\u173ac","\u173ad","\u173ae","\u173af","\u173b0","\u173b1","\u173b2","\u173b3","\u173b4","\u173b5","\u173b6","\u173b7","\u173b8","\u173b9","\u173ba","\u173bb","\u173bc","\u173bd","\u173be","\u173bf","\u173c0","\u173c1","\u173c2","\u173c3","\u173c4","\u173c5","\u173c6","\u173c7","\u173c8","\u173c9","\u173ca","\u173cb","\u173cc","\u173cd","\u173ce","\u173cf","\u173d0","\u173d1","\u173d2","\u173d3","\u173d4","\u173d5","\u173d6","\u173d7","\u173d8","\u173d9","\u173da","\u173db","\u173dc","\u173dd","\u173de","\u173df","\u173e0","\u173e1","\u173e2","\u173e3","\u173e4","\u173e5","\u173e6","\u173e7","\u173e8","\u173e9","\u173ea","\u173eb","\u173ec","\u173ed","\u173ee","\u173ef","\u173f0","\u173f1","\u173f2","\u173f3","\u173f4","\u173f5","\u173f6","\u173f7","\u173f8","\u173f9","\u173fa","\u173fb","\u173fc","\u173fd","\u173fe","\u173ff","\u17400","\u17401","\u17402","\u17403","\u17404","\u17405","\u17406","\u17407","\u17408","\u17409","\u1740a","\u1740b","\u1740c","\u1740d","\u1740e","\u1740f","\u17410","\u17411","\u17412","\u17413","\u17414","\u17415","\u17416","\u17417","\u17418","\u17419","\u1741a","\u1741b","\u1741c","\u1741d","\u1741e","\u1741f","\u17420","\u17421","\u17422","\u17423","\u17424","\u17425","\u17426","\u17427","\u17428","\u17429","\u1742a","\u1742b","\u1742c","\u1742d","\u1742e","\u1742f","\u17430","\u17431","\u17432","\u17433","\u17434","\u17435","\u17436","\u17437","\u17438","\u17439","\u1743a","\u1743b","\u1743c","\u1743d","\u1743e","\u1743f","\u17440","\u17441","\u17442","\u17443","\u17444","\u17445","\u17446","\u17447","\u17448","\u17449","\u1744a","\u1744b","\u1744c","\u1744d","\u1744e","\u1744f","\u17450","\u17451","\u17452","\u17453","\u17454","\u17455","\u17456","\u17457","\u17458","\u17459","\u1745a","\u1745b","\u1745c","\u1745d","\u1745e","\u1745f","\u17460","\u17461","\u17462","\u17463","\u17464","\u17465","\u17466","\u17467","\u17468","\u17469","\u1746a","\u1746b","\u1746c","\u1746d","\u1746e","\u1746f","\u17470","\u17471","\u17472","\u17473","\u17474","\u17475","\u17476","\u17477","\u17478","\u17479","\u1747a","\u1747b","\u1747c","\u1747d","\u1747e","\u1747f","\u17480","\u17481","\u17482","\u17483","\u17484","\u17485","\u17486","\u17487","\u17488","\u17489","\u1748a","\u1748b","\u1748c","\u1748d","\u1748e","\u1748f","\u17490","\u17491","\u17492","\u17493","\u17494","\u17495","\u17496","\u17497","\u17498","\u17499","\u1749a","\u1749b","\u1749c","\u1749d","\u1749e","\u1749f","\u174a0","\u174a1","\u174a2","\u174a3","\u174a4","\u174a5","\u174a6","\u174a7","\u174a8","\u174a9","\u174aa","\u174ab","\u174ac","\u174ad","\u174ae","\u174af","\u174b0","\u174b1","\u174b2","\u174b3","\u174b4","\u174b5","\u174b6","\u174b7","\u174b8","\u174b9","\u174ba","\u174bb","\u174bc","\u174bd","\u174be","\u174bf","\u174c0","\u174c1","\u174c2","\u174c3","\u174c4","\u174c5","\u174c6","\u174c7","\u174c8","\u174c9","\u174ca","\u174cb","\u174cc","\u174cd","\u174ce","\u174cf","\u174d0","\u174d1","\u174d2","\u174d3","\u174d4","\u174d5","\u174d6","\u174d7","\u174d8","\u174d9","\u174da","\u174db","\u174dc","\u174dd","\u174de","\u174df","\u174e0","\u174e1","\u174e2","\u174e3","\u174e4","\u174e5","\u174e6","\u174e7","\u174e8","\u174e9","\u174ea","\u174eb","\u174ec","\u174ed","\u174ee","\u174ef","\u174f0","\u174f1","\u174f2","\u174f3","\u174f4","\u174f5","\u174f6","\u174f7","\u174f8","\u174f9","\u174fa","\u174fb","\u174fc","\u174fd","\u174fe","\u174ff","\u17500","\u17501","\u17502","\u17503","\u17504","\u17505","\u17506","\u17507","\u17508","\u17509","\u1750a","\u1750b","\u1750c","\u1750d","\u1750e","\u1750f","\u17510","\u17511","\u17512","\u17513","\u17514","\u17515","\u17516","\u17517","\u17518","\u17519","\u1751a","\u1751b","\u1751c","\u1751d","\u1751e","\u1751f","\u17520","\u17521","\u17522","\u17523","\u17524","\u17525","\u17526","\u17527","\u17528","\u17529","\u1752a","\u1752b","\u1752c","\u1752d","\u1752e","\u1752f","\u17530","\u17531","\u17532","\u17533","\u17534","\u17535","\u17536","\u17537","\u17538","\u17539","\u1753a","\u1753b","\u1753c","\u1753d","\u1753e","\u1753f","\u17540","\u17541","\u17542","\u17543","\u17544","\u17545","\u17546","\u17547","\u17548","\u17549","\u1754a","\u1754b","\u1754c","\u1754d","\u1754e","\u1754f","\u17550","\u17551","\u17552","\u17553","\u17554","\u17555","\u17556","\u17557","\u17558","\u17559","\u1755a","\u1755b","\u1755c","\u1755d","\u1755e","\u1755f","\u17560","\u17561","\u17562","\u17563","\u17564","\u17565","\u17566","\u17567","\u17568","\u17569","\u1756a","\u1756b","\u1756c","\u1756d","\u1756e","\u1756f","\u17570","\u17571","\u17572","\u17573","\u17574","\u17575","\u17576","\u17577","\u17578","\u17579","\u1757a","\u1757b","\u1757c","\u1757d","\u1757e","\u1757f","\u17580","\u17581","\u17582","\u17583","\u17584","\u17585","\u17586","\u17587","\u17588","\u17589","\u1758a","\u1758b","\u1758c","\u1758d","\u1758e","\u1758f","\u17590","\u17591","\u17592","\u17593","\u17594","\u17595","\u17596","\u17597","\u17598","\u17599","\u1759a","\u1759b","\u1759c","\u1759d","\u1759e","\u1759f","\u175a0","\u175a1","\u175a2","\u175a3","\u175a4","\u175a5","\u175a6","\u175a7","\u175a8","\u175a9","\u175aa","\u175ab","\u175ac","\u175ad","\u175ae","\u175af","\u175b0","\u175b1","\u175b2","\u175b3","\u175b4","\u175b5","\u175b6","\u175b7","\u175b8","\u175b9","\u175ba","\u175bb","\u175bc","\u175bd","\u175be","\u175bf","\u175c0","\u175c1","\u175c2","\u175c3","\u175c4","\u175c5","\u175c6","\u175c7","\u175c8","\u175c9","\u175ca","\u175cb","\u175cc","\u175cd","\u175ce","\u175cf","\u175d0","\u175d1","\u175d2","\u175d3","\u175d4","\u175d5","\u175d6","\u175d7","\u175d8","\u175d9","\u175da","\u175db","\u175dc","\u175dd","\u175de","\u175df","\u175e0","\u175e1","\u175e2","\u175e3","\u175e4","\u175e5","\u175e6","\u175e7","\u175e8","\u175e9","\u175ea","\u175eb","\u175ec","\u175ed","\u175ee","\u175ef","\u175f0","\u175f1","\u175f2","\u175f3","\u175f4","\u175f5","\u175f6","\u175f7","\u175f8","\u175f9","\u175fa","\u175fb","\u175fc","\u175fd","\u175fe","\u175ff","\u17600","\u17601","\u17602","\u17603","\u17604","\u17605","\u17606","\u17607","\u17608","\u17609","\u1760a","\u1760b","\u1760c","\u1760d","\u1760e","\u1760f","\u17610","\u17611","\u17612","\u17613","\u17614","\u17615","\u17616","\u17617","\u17618","\u17619","\u1761a","\u1761b","\u1761c","\u1761d","\u1761e","\u1761f","\u17620","\u17621","\u17622","\u17623","\u17624","\u17625","\u17626","\u17627","\u17628","\u17629","\u1762a","\u1762b","\u1762c","\u1762d","\u1762e","\u1762f","\u17630","\u17631","\u17632","\u17633","\u17634","\u17635","\u17636","\u17637","\u17638","\u17639","\u1763a","\u1763b","\u1763c","\u1763d","\u1763e","\u1763f","\u17640","\u17641","\u17642","\u17643","\u17644","\u17645","\u17646","\u17647","\u17648","\u17649","\u1764a","\u1764b","\u1764c","\u1764d","\u1764e","\u1764f","\u17650","\u17651","\u17652","\u17653","\u17654","\u17655","\u17656","\u17657","\u17658","\u17659","\u1765a","\u1765b","\u1765c","\u1765d","\u1765e","\u1765f","\u17660","\u17661","\u17662","\u17663","\u17664","\u17665","\u17666","\u17667","\u17668","\u17669","\u1766a","\u1766b","\u1766c","\u1766d","\u1766e","\u1766f","\u17670","\u17671","\u17672","\u17673","\u17674","\u17675","\u17676","\u17677","\u17678","\u17679","\u1767a","\u1767b","\u1767c","\u1767d","\u1767e","\u1767f","\u17680","\u17681","\u17682","\u17683","\u17684","\u17685","\u17686","\u17687","\u17688","\u17689","\u1768a","\u1768b","\u1768c","\u1768d","\u1768e","\u1768f","\u17690","\u17691","\u17692","\u17693","\u17694","\u17695","\u17696","\u17697","\u17698","\u17699","\u1769a","\u1769b","\u1769c","\u1769d","\u1769e","\u1769f","\u176a0","\u176a1","\u176a2","\u176a3","\u176a4","\u176a5","\u176a6","\u176a7","\u176a8","\u176a9","\u176aa","\u176ab","\u176ac","\u176ad","\u176ae","\u176af","\u176b0","\u176b1","\u176b2","\u176b3","\u176b4","\u176b5","\u176b6","\u176b7","\u176b8","\u176b9","\u176ba","\u176bb","\u176bc","\u176bd","\u176be","\u176bf","\u176c0","\u176c1","\u176c2","\u176c3","\u176c4","\u176c5","\u176c6","\u176c7","\u176c8","\u176c9","\u176ca","\u176cb","\u176cc","\u176cd","\u176ce","\u176cf","\u176d0","\u176d1","\u176d2","\u176d3","\u176d4","\u176d5","\u176d6","\u176d7","\u176d8","\u176d9","\u176da","\u176db","\u176dc","\u176dd","\u176de","\u176df","\u176e0","\u176e1","\u176e2","\u176e3","\u176e4","\u176e5","\u176e6","\u176e7","\u176e8","\u176e9","\u176ea","\u176eb","\u176ec","\u176ed","\u176ee","\u176ef","\u176f0","\u176f1","\u176f2","\u176f3","\u176f4","\u176f5","\u176f6","\u176f7","\u176f8","\u176f9","\u176fa","\u176fb","\u176fc","\u176fd","\u176fe","\u176ff","\u17700","\u17701","\u17702","\u17703","\u17704","\u17705","\u17706","\u17707","\u17708","\u17709","\u1770a","\u1770b","\u1770c","\u1770d","\u1770e","\u1770f","\u17710","\u17711","\u17712","\u17713","\u17714","\u17715","\u17716","\u17717","\u17718","\u17719","\u1771a","\u1771b","\u1771c","\u1771d","\u1771e","\u1771f","\u17720","\u17721","\u17722","\u17723","\u17724","\u17725","\u17726","\u17727","\u17728","\u17729","\u1772a","\u1772b","\u1772c","\u1772d","\u1772e","\u1772f","\u17730","\u17731","\u17732","\u17733","\u17734","\u17735","\u17736","\u17737","\u17738","\u17739","\u1773a","\u1773b","\u1773c","\u1773d","\u1773e","\u1773f","\u17740","\u17741","\u17742","\u17743","\u17744","\u17745","\u17746","\u17747","\u17748","\u17749","\u1774a","\u1774b","\u1774c","\u1774d","\u1774e","\u1774f","\u17750","\u17751","\u17752","\u17753","\u17754","\u17755","\u17756","\u17757","\u17758","\u17759","\u1775a","\u1775b","\u1775c","\u1775d","\u1775e","\u1775f","\u17760","\u17761","\u17762","\u17763","\u17764","\u17765","\u17766","\u17767","\u17768","\u17769","\u1776a","\u1776b","\u1776c","\u1776d","\u1776e","\u1776f","\u17770","\u17771","\u17772","\u17773","\u17774","\u17775","\u17776","\u17777","\u17778","\u17779","\u1777a","\u1777b","\u1777c","\u1777d","\u1777e","\u1777f","\u17780","\u17781","\u17782","\u17783","\u17784","\u17785","\u17786","\u17787","\u17788","\u17789","\u1778a","\u1778b","\u1778c","\u1778d","\u1778e","\u1778f","\u17790","\u17791","\u17792","\u17793","\u17794","\u17795","\u17796","\u17797","\u17798","\u17799","\u1779a","\u1779b","\u1779c","\u1779d","\u1779e","\u1779f","\u177a0","\u177a1","\u177a2","\u177a3","\u177a4","\u177a5","\u177a6","\u177a7","\u177a8","\u177a9","\u177aa","\u177ab","\u177ac","\u177ad","\u177ae","\u177af","\u177b0","\u177b1","\u177b2","\u177b3","\u177b4","\u177b5","\u177b6","\u177b7","\u177b8","\u177b9","\u177ba","\u177bb","\u177bc","\u177bd","\u177be","\u177bf","\u177c0","\u177c1","\u177c2","\u177c3","\u177c4","\u177c5","\u177c6","\u177c7","\u177c8","\u177c9","\u177ca","\u177cb","\u177cc","\u177cd","\u177ce","\u177cf","\u177d0","\u177d1","\u177d2","\u177d3","\u177d4","\u177d5","\u177d6","\u177d7","\u177d8","\u177d9","\u177da","\u177db","\u177dc","\u177dd","\u177de","\u177df","\u177e0","\u177e1","\u177e2","\u177e3","\u177e4","\u177e5","\u177e6","\u177e7","\u177e8","\u177e9","\u177ea","\u177eb","\u177ec","\u177ed","\u177ee","\u177ef","\u177f0","\u177f1","\u177f2","\u177f3","\u177f4","\u177f5","\u177f6","\u177f7","\u177f8","\u177f9","\u177fa","\u177fb","\u177fc","\u177fd","\u177fe","\u177ff","\u17800","\u17801","\u17802","\u17803","\u17804","\u17805","\u17806","\u17807","\u17808","\u17809","\u1780a","\u1780b","\u1780c","\u1780d","\u1780e","\u1780f","\u17810","\u17811","\u17812","\u17813","\u17814","\u17815","\u17816","\u17817","\u17818","\u17819","\u1781a","\u1781b","\u1781c","\u1781d","\u1781e","\u1781f","\u17820","\u17821","\u17822","\u17823","\u17824","\u17825","\u17826","\u17827","\u17828","\u17829","\u1782a","\u1782b","\u1782c","\u1782d","\u1782e","\u1782f","\u17830","\u17831","\u17832","\u17833","\u17834","\u17835","\u17836","\u17837","\u17838","\u17839","\u1783a","\u1783b","\u1783c","\u1783d","\u1783e","\u1783f","\u17840","\u17841","\u17842","\u17843","\u17844","\u17845","\u17846","\u17847","\u17848","\u17849","\u1784a","\u1784b","\u1784c","\u1784d","\u1784e","\u1784f","\u17850","\u17851","\u17852","\u17853","\u17854","\u17855","\u17856","\u17857","\u17858","\u17859","\u1785a","\u1785b","\u1785c","\u1785d","\u1785e","\u1785f","\u17860","\u17861","\u17862","\u17863","\u17864","\u17865","\u17866","\u17867","\u17868","\u17869","\u1786a","\u1786b","\u1786c","\u1786d","\u1786e","\u1786f","\u17870","\u17871","\u17872","\u17873","\u17874","\u17875","\u17876","\u17877","\u17878","\u17879","\u1787a","\u1787b","\u1787c","\u1787d","\u1787e","\u1787f","\u17880","\u17881","\u17882","\u17883","\u17884","\u17885","\u17886","\u17887","\u17888","\u17889","\u1788a","\u1788b","\u1788c","\u1788d","\u1788e","\u1788f","\u17890","\u17891","\u17892","\u17893","\u17894","\u17895","\u17896","\u17897","\u17898","\u17899","\u1789a","\u1789b","\u1789c","\u1789d","\u1789e","\u1789f","\u178a0","\u178a1","\u178a2","\u178a3","\u178a4","\u178a5","\u178a6","\u178a7","\u178a8","\u178a9","\u178aa","\u178ab","\u178ac","\u178ad","\u178ae","\u178af","\u178b0","\u178b1","\u178b2","\u178b3","\u178b4","\u178b5","\u178b6","\u178b7","\u178b8","\u178b9","\u178ba","\u178bb","\u178bc","\u178bd","\u178be","\u178bf","\u178c0","\u178c1","\u178c2","\u178c3","\u178c4","\u178c5","\u178c6","\u178c7","\u178c8","\u178c9","\u178ca","\u178cb","\u178cc","\u178cd","\u178ce","\u178cf","\u178d0","\u178d1","\u178d2","\u178d3","\u178d4","\u178d5","\u178d6","\u178d7","\u178d8","\u178d9","\u178da","\u178db","\u178dc","\u178dd","\u178de","\u178df","\u178e0","\u178e1","\u178e2","\u178e3","\u178e4","\u178e5","\u178e6","\u178e7","\u178e8","\u178e9","\u178ea","\u178eb","\u178ec","\u178ed","\u178ee","\u178ef","\u178f0","\u178f1","\u178f2","\u178f3","\u178f4","\u178f5","\u178f6","\u178f7","\u178f8","\u178f9","\u178fa","\u178fb","\u178fc","\u178fd","\u178fe","\u178ff","\u17900","\u17901","\u17902","\u17903","\u17904","\u17905","\u17906","\u17907","\u17908","\u17909","\u1790a","\u1790b","\u1790c","\u1790d","\u1790e","\u1790f","\u17910","\u17911","\u17912","\u17913","\u17914","\u17915","\u17916","\u17917","\u17918","\u17919","\u1791a","\u1791b","\u1791c","\u1791d","\u1791e","\u1791f","\u17920","\u17921","\u17922","\u17923","\u17924","\u17925","\u17926","\u17927","\u17928","\u17929","\u1792a","\u1792b","\u1792c","\u1792d","\u1792e","\u1792f","\u17930","\u17931","\u17932","\u17933","\u17934","\u17935","\u17936","\u17937","\u17938","\u17939","\u1793a","\u1793b","\u1793c","\u1793d","\u1793e","\u1793f","\u17940","\u17941","\u17942","\u17943","\u17944","\u17945","\u17946","\u17947","\u17948","\u17949","\u1794a","\u1794b","\u1794c","\u1794d","\u1794e","\u1794f","\u17950","\u17951","\u17952","\u17953","\u17954","\u17955","\u17956","\u17957","\u17958","\u17959","\u1795a","\u1795b","\u1795c","\u1795d","\u1795e","\u1795f","\u17960","\u17961","\u17962","\u17963","\u17964","\u17965","\u17966","\u17967","\u17968","\u17969","\u1796a","\u1796b","\u1796c","\u1796d","\u1796e","\u1796f","\u17970","\u17971","\u17972","\u17973","\u17974","\u17975","\u17976","\u17977","\u17978","\u17979","\u1797a","\u1797b","\u1797c","\u1797d","\u1797e","\u1797f","\u17980","\u17981","\u17982","\u17983","\u17984","\u17985","\u17986","\u17987","\u17988","\u17989","\u1798a","\u1798b","\u1798c","\u1798d","\u1798e","\u1798f","\u17990","\u17991","\u17992","\u17993","\u17994","\u17995","\u17996","\u17997","\u17998","\u17999","\u1799a","\u1799b","\u1799c","\u1799d","\u1799e","\u1799f","\u179a0","\u179a1","\u179a2","\u179a3","\u179a4","\u179a5","\u179a6","\u179a7","\u179a8","\u179a9","\u179aa","\u179ab","\u179ac","\u179ad","\u179ae","\u179af","\u179b0","\u179b1","\u179b2","\u179b3","\u179b4","\u179b5","\u179b6","\u179b7","\u179b8","\u179b9","\u179ba","\u179bb","\u179bc","\u179bd","\u179be","\u179bf","\u179c0","\u179c1","\u179c2","\u179c3","\u179c4","\u179c5","\u179c6","\u179c7","\u179c8","\u179c9","\u179ca","\u179cb","\u179cc","\u179cd","\u179ce","\u179cf","\u179d0","\u179d1","\u179d2","\u179d3","\u179d4","\u179d5","\u179d6","\u179d7","\u179d8","\u179d9","\u179da","\u179db","\u179dc","\u179dd","\u179de","\u179df","\u179e0","\u179e1","\u179e2","\u179e3","\u179e4","\u179e5","\u179e6","\u179e7","\u179e8","\u179e9","\u179ea","\u179eb","\u179ec","\u179ed","\u179ee","\u179ef","\u179f0","\u179f1","\u179f2","\u179f3","\u179f4","\u179f5","\u179f6","\u179f7","\u179f8","\u179f9","\u179fa","\u179fb","\u179fc","\u179fd","\u179fe","\u179ff","\u17a00","\u17a01","\u17a02","\u17a03","\u17a04","\u17a05","\u17a06","\u17a07","\u17a08","\u17a09","\u17a0a","\u17a0b","\u17a0c","\u17a0d","\u17a0e","\u17a0f","\u17a10","\u17a11","\u17a12","\u17a13","\u17a14","\u17a15","\u17a16","\u17a17","\u17a18","\u17a19","\u17a1a","\u17a1b","\u17a1c","\u17a1d","\u17a1e","\u17a1f","\u17a20","\u17a21","\u17a22","\u17a23","\u17a24","\u17a25","\u17a26","\u17a27","\u17a28","\u17a29","\u17a2a","\u17a2b","\u17a2c","\u17a2d","\u17a2e","\u17a2f","\u17a30","\u17a31","\u17a32","\u17a33","\u17a34","\u17a35","\u17a36","\u17a37","\u17a38","\u17a39","\u17a3a","\u17a3b","\u17a3c","\u17a3d","\u17a3e","\u17a3f","\u17a40","\u17a41","\u17a42","\u17a43","\u17a44","\u17a45","\u17a46","\u17a47","\u17a48","\u17a49","\u17a4a","\u17a4b","\u17a4c","\u17a4d","\u17a4e","\u17a4f","\u17a50","\u17a51","\u17a52","\u17a53","\u17a54","\u17a55","\u17a56","\u17a57","\u17a58","\u17a59","\u17a5a","\u17a5b","\u17a5c","\u17a5d","\u17a5e","\u17a5f","\u17a60","\u17a61","\u17a62","\u17a63","\u17a64","\u17a65","\u17a66","\u17a67","\u17a68","\u17a69","\u17a6a","\u17a6b","\u17a6c","\u17a6d","\u17a6e","\u17a6f","\u17a70","\u17a71","\u17a72","\u17a73","\u17a74","\u17a75","\u17a76","\u17a77","\u17a78","\u17a79","\u17a7a","\u17a7b","\u17a7c","\u17a7d","\u17a7e","\u17a7f","\u17a80","\u17a81","\u17a82","\u17a83","\u17a84","\u17a85","\u17a86","\u17a87","\u17a88","\u17a89","\u17a8a","\u17a8b","\u17a8c","\u17a8d","\u17a8e","\u17a8f","\u17a90","\u17a91","\u17a92","\u17a93","\u17a94","\u17a95","\u17a96","\u17a97","\u17a98","\u17a99","\u17a9a","\u17a9b","\u17a9c","\u17a9d","\u17a9e","\u17a9f","\u17aa0","\u17aa1","\u17aa2","\u17aa3","\u17aa4","\u17aa5","\u17aa6","\u17aa7","\u17aa8","\u17aa9","\u17aaa","\u17aab","\u17aac","\u17aad","\u17aae","\u17aaf","\u17ab0","\u17ab1","\u17ab2","\u17ab3","\u17ab4","\u17ab5","\u17ab6","\u17ab7","\u17ab8","\u17ab9","\u17aba","\u17abb","\u17abc","\u17abd","\u17abe","\u17abf","\u17ac0","\u17ac1","\u17ac2","\u17ac3","\u17ac4","\u17ac5","\u17ac6","\u17ac7","\u17ac8","\u17ac9","\u17aca","\u17acb","\u17acc","\u17acd","\u17ace","\u17acf","\u17ad0","\u17ad1","\u17ad2","\u17ad3","\u17ad4","\u17ad5","\u17ad6","\u17ad7","\u17ad8","\u17ad9","\u17ada","\u17adb","\u17adc","\u17add","\u17ade","\u17adf","\u17ae0","\u17ae1","\u17ae2","\u17ae3","\u17ae4","\u17ae5","\u17ae6","\u17ae7","\u17ae8","\u17ae9","\u17aea","\u17aeb","\u17aec","\u17aed","\u17aee","\u17aef","\u17af0","\u17af1","\u17af2","\u17af3","\u17af4","\u17af5","\u17af6","\u17af7","\u17af8","\u17af9","\u17afa","\u17afb","\u17afc","\u17afd","\u17afe","\u17aff","\u17b00","\u17b01","\u17b02","\u17b03","\u17b04","\u17b05","\u17b06","\u17b07","\u17b08","\u17b09","\u17b0a","\u17b0b","\u17b0c","\u17b0d","\u17b0e","\u17b0f","\u17b10","\u17b11","\u17b12","\u17b13","\u17b14","\u17b15","\u17b16","\u17b17","\u17b18","\u17b19","\u17b1a","\u17b1b","\u17b1c","\u17b1d","\u17b1e","\u17b1f","\u17b20","\u17b21","\u17b22","\u17b23","\u17b24","\u17b25","\u17b26","\u17b27","\u17b28","\u17b29","\u17b2a","\u17b2b","\u17b2c","\u17b2d","\u17b2e","\u17b2f","\u17b30","\u17b31","\u17b32","\u17b33","\u17b34","\u17b35","\u17b36","\u17b37","\u17b38","\u17b39","\u17b3a","\u17b3b","\u17b3c","\u17b3d","\u17b3e","\u17b3f","\u17b40","\u17b41","\u17b42","\u17b43","\u17b44","\u17b45","\u17b46","\u17b47","\u17b48","\u17b49","\u17b4a","\u17b4b","\u17b4c","\u17b4d","\u17b4e","\u17b4f","\u17b50","\u17b51","\u17b52","\u17b53","\u17b54","\u17b55","\u17b56","\u17b57","\u17b58","\u17b59","\u17b5a","\u17b5b","\u17b5c","\u17b5d","\u17b5e","\u17b5f","\u17b60","\u17b61","\u17b62","\u17b63","\u17b64","\u17b65","\u17b66","\u17b67","\u17b68","\u17b69","\u17b6a","\u17b6b","\u17b6c","\u17b6d","\u17b6e","\u17b6f","\u17b70","\u17b71","\u17b72","\u17b73","\u17b74","\u17b75","\u17b76","\u17b77","\u17b78","\u17b79","\u17b7a","\u17b7b","\u17b7c","\u17b7d","\u17b7e","\u17b7f","\u17b80","\u17b81","\u17b82","\u17b83","\u17b84","\u17b85","\u17b86","\u17b87","\u17b88","\u17b89","\u17b8a","\u17b8b","\u17b8c","\u17b8d","\u17b8e","\u17b8f","\u17b90","\u17b91","\u17b92","\u17b93","\u17b94","\u17b95","\u17b96","\u17b97","\u17b98","\u17b99","\u17b9a","\u17b9b","\u17b9c","\u17b9d","\u17b9e","\u17b9f","\u17ba0","\u17ba1","\u17ba2","\u17ba3","\u17ba4","\u17ba5","\u17ba6","\u17ba7","\u17ba8","\u17ba9","\u17baa","\u17bab","\u17bac","\u17bad","\u17bae","\u17baf","\u17bb0","\u17bb1","\u17bb2","\u17bb3","\u17bb4","\u17bb5","\u17bb6","\u17bb7","\u17bb8","\u17bb9","\u17bba","\u17bbb","\u17bbc","\u17bbd","\u17bbe","\u17bbf","\u17bc0","\u17bc1","\u17bc2","\u17bc3","\u17bc4","\u17bc5","\u17bc6","\u17bc7","\u17bc8","\u17bc9","\u17bca","\u17bcb","\u17bcc","\u17bcd","\u17bce","\u17bcf","\u17bd0","\u17bd1","\u17bd2","\u17bd3","\u17bd4","\u17bd5","\u17bd6","\u17bd7","\u17bd8","\u17bd9","\u17bda","\u17bdb","\u17bdc","\u17bdd","\u17bde","\u17bdf","\u17be0","\u17be1","\u17be2","\u17be3","\u17be4","\u17be5","\u17be6","\u17be7","\u17be8","\u17be9","\u17bea","\u17beb","\u17bec","\u17bed","\u17bee","\u17bef","\u17bf0","\u17bf1","\u17bf2","\u17bf3","\u17bf4","\u17bf5","\u17bf6","\u17bf7","\u17bf8","\u17bf9","\u17bfa","\u17bfb","\u17bfc","\u17bfd","\u17bfe","\u17bff","\u17c00","\u17c01","\u17c02","\u17c03","\u17c04","\u17c05","\u17c06","\u17c07","\u17c08","\u17c09","\u17c0a","\u17c0b","\u17c0c","\u17c0d","\u17c0e","\u17c0f","\u17c10","\u17c11","\u17c12","\u17c13","\u17c14","\u17c15","\u17c16","\u17c17","\u17c18","\u17c19","\u17c1a","\u17c1b","\u17c1c","\u17c1d","\u17c1e","\u17c1f","\u17c20","\u17c21","\u17c22","\u17c23","\u17c24","\u17c25","\u17c26","\u17c27","\u17c28","\u17c29","\u17c2a","\u17c2b","\u17c2c","\u17c2d","\u17c2e","\u17c2f","\u17c30","\u17c31","\u17c32","\u17c33","\u17c34","\u17c35","\u17c36","\u17c37","\u17c38","\u17c39","\u17c3a","\u17c3b","\u17c3c","\u17c3d","\u17c3e","\u17c3f","\u17c40","\u17c41","\u17c42","\u17c43","\u17c44","\u17c45","\u17c46","\u17c47","\u17c48","\u17c49","\u17c4a","\u17c4b","\u17c4c","\u17c4d","\u17c4e","\u17c4f","\u17c50","\u17c51","\u17c52","\u17c53","\u17c54","\u17c55","\u17c56","\u17c57","\u17c58","\u17c59","\u17c5a","\u17c5b","\u17c5c","\u17c5d","\u17c5e","\u17c5f","\u17c60","\u17c61","\u17c62","\u17c63","\u17c64","\u17c65","\u17c66","\u17c67","\u17c68","\u17c69","\u17c6a","\u17c6b","\u17c6c","\u17c6d","\u17c6e","\u17c6f","\u17c70","\u17c71","\u17c72","\u17c73","\u17c74","\u17c75","\u17c76","\u17c77","\u17c78","\u17c79","\u17c7a","\u17c7b","\u17c7c","\u17c7d","\u17c7e","\u17c7f","\u17c80","\u17c81","\u17c82","\u17c83","\u17c84","\u17c85","\u17c86","\u17c87","\u17c88","\u17c89","\u17c8a","\u17c8b","\u17c8c","\u17c8d","\u17c8e","\u17c8f","\u17c90","\u17c91","\u17c92","\u17c93","\u17c94","\u17c95","\u17c96","\u17c97","\u17c98","\u17c99","\u17c9a","\u17c9b","\u17c9c","\u17c9d","\u17c9e","\u17c9f","\u17ca0","\u17ca1","\u17ca2","\u17ca3","\u17ca4","\u17ca5","\u17ca6","\u17ca7","\u17ca8","\u17ca9","\u17caa","\u17cab","\u17cac","\u17cad","\u17cae","\u17caf","\u17cb0","\u17cb1","\u17cb2","\u17cb3","\u17cb4","\u17cb5","\u17cb6","\u17cb7","\u17cb8","\u17cb9","\u17cba","\u17cbb","\u17cbc","\u17cbd","\u17cbe","\u17cbf","\u17cc0","\u17cc1","\u17cc2","\u17cc3","\u17cc4","\u17cc5","\u17cc6","\u17cc7","\u17cc8","\u17cc9","\u17cca","\u17ccb","\u17ccc","\u17ccd","\u17cce","\u17ccf","\u17cd0","\u17cd1","\u17cd2","\u17cd3","\u17cd4","\u17cd5","\u17cd6","\u17cd7","\u17cd8","\u17cd9","\u17cda","\u17cdb","\u17cdc","\u17cdd","\u17cde","\u17cdf","\u17ce0","\u17ce1","\u17ce2","\u17ce3","\u17ce4","\u17ce5","\u17ce6","\u17ce7","\u17ce8","\u17ce9","\u17cea","\u17ceb","\u17cec","\u17ced","\u17cee","\u17cef","\u17cf0","\u17cf1","\u17cf2","\u17cf3","\u17cf4","\u17cf5","\u17cf6","\u17cf7","\u17cf8","\u17cf9","\u17cfa","\u17cfb","\u17cfc","\u17cfd","\u17cfe","\u17cff","\u17d00","\u17d01","\u17d02","\u17d03","\u17d04","\u17d05","\u17d06","\u17d07","\u17d08","\u17d09","\u17d0a","\u17d0b","\u17d0c","\u17d0d","\u17d0e","\u17d0f","\u17d10","\u17d11","\u17d12","\u17d13","\u17d14","\u17d15","\u17d16","\u17d17","\u17d18","\u17d19","\u17d1a","\u17d1b","\u17d1c","\u17d1d","\u17d1e","\u17d1f","\u17d20","\u17d21","\u17d22","\u17d23","\u17d24","\u17d25","\u17d26","\u17d27","\u17d28","\u17d29","\u17d2a","\u17d2b","\u17d2c","\u17d2d","\u17d2e","\u17d2f","\u17d30","\u17d31","\u17d32","\u17d33","\u17d34","\u17d35","\u17d36","\u17d37","\u17d38","\u17d39","\u17d3a","\u17d3b","\u17d3c","\u17d3d","\u17d3e","\u17d3f","\u17d40","\u17d41","\u17d42","\u17d43","\u17d44","\u17d45","\u17d46","\u17d47","\u17d48","\u17d49","\u17d4a","\u17d4b","\u17d4c","\u17d4d","\u17d4e","\u17d4f","\u17d50","\u17d51","\u17d52","\u17d53","\u17d54","\u17d55","\u17d56","\u17d57","\u17d58","\u17d59","\u17d5a","\u17d5b","\u17d5c","\u17d5d","\u17d5e","\u17d5f","\u17d60","\u17d61","\u17d62","\u17d63","\u17d64","\u17d65","\u17d66","\u17d67","\u17d68","\u17d69","\u17d6a","\u17d6b","\u17d6c","\u17d6d","\u17d6e","\u17d6f","\u17d70","\u17d71","\u17d72","\u17d73","\u17d74","\u17d75","\u17d76","\u17d77","\u17d78","\u17d79","\u17d7a","\u17d7b","\u17d7c","\u17d7d","\u17d7e","\u17d7f","\u17d80","\u17d81","\u17d82","\u17d83","\u17d84","\u17d85","\u17d86","\u17d87","\u17d88","\u17d89","\u17d8a","\u17d8b","\u17d8c","\u17d8d","\u17d8e","\u17d8f","\u17d90","\u17d91","\u17d92","\u17d93","\u17d94","\u17d95","\u17d96","\u17d97","\u17d98","\u17d99","\u17d9a","\u17d9b","\u17d9c","\u17d9d","\u17d9e","\u17d9f","\u17da0","\u17da1","\u17da2","\u17da3","\u17da4","\u17da5","\u17da6","\u17da7","\u17da8","\u17da9","\u17daa","\u17dab","\u17dac","\u17dad","\u17dae","\u17daf","\u17db0","\u17db1","\u17db2","\u17db3","\u17db4","\u17db5","\u17db6","\u17db7","\u17db8","\u17db9","\u17dba","\u17dbb","\u17dbc","\u17dbd","\u17dbe","\u17dbf","\u17dc0","\u17dc1","\u17dc2","\u17dc3","\u17dc4","\u17dc5","\u17dc6","\u17dc7","\u17dc8","\u17dc9","\u17dca","\u17dcb","\u17dcc","\u17dcd","\u17dce","\u17dcf","\u17dd0","\u17dd1","\u17dd2","\u17dd3","\u17dd4","\u17dd5","\u17dd6","\u17dd7","\u17dd8","\u17dd9","\u17dda","\u17ddb","\u17ddc","\u17ddd","\u17dde","\u17ddf","\u17de0","\u17de1","\u17de2","\u17de3","\u17de4","\u17de5","\u17de6","\u17de7","\u17de8","\u17de9","\u17dea","\u17deb","\u17dec","\u17ded","\u17dee","\u17def","\u17df0","\u17df1","\u17df2","\u17df3","\u17df4","\u17df5","\u17df6","\u17df7","\u17df8","\u17df9","\u17dfa","\u17dfb","\u17dfc","\u17dfd","\u17dfe","\u17dff","\u17e00","\u17e01","\u17e02","\u17e03","\u17e04","\u17e05","\u17e06","\u17e07","\u17e08","\u17e09","\u17e0a","\u17e0b","\u17e0c","\u17e0d","\u17e0e","\u17e0f","\u17e10","\u17e11","\u17e12","\u17e13","\u17e14","\u17e15","\u17e16","\u17e17","\u17e18","\u17e19","\u17e1a","\u17e1b","\u17e1c","\u17e1d","\u17e1e","\u17e1f","\u17e20","\u17e21","\u17e22","\u17e23","\u17e24","\u17e25","\u17e26","\u17e27","\u17e28","\u17e29","\u17e2a","\u17e2b","\u17e2c","\u17e2d","\u17e2e","\u17e2f","\u17e30","\u17e31","\u17e32","\u17e33","\u17e34","\u17e35","\u17e36","\u17e37","\u17e38","\u17e39","\u17e3a","\u17e3b","\u17e3c","\u17e3d","\u17e3e","\u17e3f","\u17e40","\u17e41","\u17e42","\u17e43","\u17e44","\u17e45","\u17e46","\u17e47","\u17e48","\u17e49","\u17e4a","\u17e4b","\u17e4c","\u17e4d","\u17e4e","\u17e4f","\u17e50","\u17e51","\u17e52","\u17e53","\u17e54","\u17e55","\u17e56","\u17e57","\u17e58","\u17e59","\u17e5a","\u17e5b","\u17e5c","\u17e5d","\u17e5e","\u17e5f","\u17e60","\u17e61","\u17e62","\u17e63","\u17e64","\u17e65","\u17e66","\u17e67","\u17e68","\u17e69","\u17e6a","\u17e6b","\u17e6c","\u17e6d","\u17e6e","\u17e6f","\u17e70","\u17e71","\u17e72","\u17e73","\u17e74","\u17e75","\u17e76","\u17e77","\u17e78","\u17e79","\u17e7a","\u17e7b","\u17e7c","\u17e7d","\u17e7e","\u17e7f","\u17e80","\u17e81","\u17e82","\u17e83","\u17e84","\u17e85","\u17e86","\u17e87","\u17e88","\u17e89","\u17e8a","\u17e8b","\u17e8c","\u17e8d","\u17e8e","\u17e8f","\u17e90","\u17e91","\u17e92","\u17e93","\u17e94","\u17e95","\u17e96","\u17e97","\u17e98","\u17e99","\u17e9a","\u17e9b","\u17e9c","\u17e9d","\u17e9e","\u17e9f","\u17ea0","\u17ea1","\u17ea2","\u17ea3","\u17ea4","\u17ea5","\u17ea6","\u17ea7","\u17ea8","\u17ea9","\u17eaa","\u17eab","\u17eac","\u17ead","\u17eae","\u17eaf","\u17eb0","\u17eb1","\u17eb2","\u17eb3","\u17eb4","\u17eb5","\u17eb6","\u17eb7","\u17eb8","\u17eb9","\u17eba","\u17ebb","\u17ebc","\u17ebd","\u17ebe","\u17ebf","\u17ec0","\u17ec1","\u17ec2","\u17ec3","\u17ec4","\u17ec5","\u17ec6","\u17ec7","\u17ec8","\u17ec9","\u17eca","\u17ecb","\u17ecc","\u17ecd","\u17ece","\u17ecf","\u17ed0","\u17ed1","\u17ed2","\u17ed3","\u17ed4","\u17ed5","\u17ed6","\u17ed7","\u17ed8","\u17ed9","\u17eda","\u17edb","\u17edc","\u17edd","\u17ede","\u17edf","\u17ee0","\u17ee1","\u17ee2","\u17ee3","\u17ee4","\u17ee5","\u17ee6","\u17ee7","\u17ee8","\u17ee9","\u17eea","\u17eeb","\u17eec","\u17eed","\u17eee","\u17eef","\u17ef0","\u17ef1","\u17ef2","\u17ef3","\u17ef4","\u17ef5","\u17ef6","\u17ef7","\u17ef8","\u17ef9","\u17efa","\u17efb","\u17efc","\u17efd","\u17efe","\u17eff","\u17f00","\u17f01","\u17f02","\u17f03","\u17f04","\u17f05","\u17f06","\u17f07","\u17f08","\u17f09","\u17f0a","\u17f0b","\u17f0c","\u17f0d","\u17f0e","\u17f0f","\u17f10","\u17f11","\u17f12","\u17f13","\u17f14","\u17f15","\u17f16","\u17f17","\u17f18","\u17f19","\u17f1a","\u17f1b","\u17f1c","\u17f1d","\u17f1e","\u17f1f","\u17f20","\u17f21","\u17f22","\u17f23","\u17f24","\u17f25","\u17f26","\u17f27","\u17f28","\u17f29","\u17f2a","\u17f2b","\u17f2c","\u17f2d","\u17f2e","\u17f2f","\u17f30","\u17f31","\u17f32","\u17f33","\u17f34","\u17f35","\u17f36","\u17f37","\u17f38","\u17f39","\u17f3a","\u17f3b","\u17f3c","\u17f3d","\u17f3e","\u17f3f","\u17f40","\u17f41","\u17f42","\u17f43","\u17f44","\u17f45","\u17f46","\u17f47","\u17f48","\u17f49","\u17f4a","\u17f4b","\u17f4c","\u17f4d","\u17f4e","\u17f4f","\u17f50","\u17f51","\u17f52","\u17f53","\u17f54","\u17f55","\u17f56","\u17f57","\u17f58","\u17f59","\u17f5a","\u17f5b","\u17f5c","\u17f5d","\u17f5e","\u17f5f","\u17f60","\u17f61","\u17f62","\u17f63","\u17f64","\u17f65","\u17f66","\u17f67","\u17f68","\u17f69","\u17f6a","\u17f6b","\u17f6c","\u17f6d","\u17f6e","\u17f6f","\u17f70","\u17f71","\u17f72","\u17f73","\u17f74","\u17f75","\u17f76","\u17f77","\u17f78","\u17f79","\u17f7a","\u17f7b","\u17f7c","\u17f7d","\u17f7e","\u17f7f","\u17f80","\u17f81","\u17f82","\u17f83","\u17f84","\u17f85","\u17f86","\u17f87","\u17f88","\u17f89","\u17f8a","\u17f8b","\u17f8c","\u17f8d","\u17f8e","\u17f8f","\u17f90","\u17f91","\u17f92","\u17f93","\u17f94","\u17f95","\u17f96","\u17f97","\u17f98","\u17f99","\u17f9a","\u17f9b","\u17f9c","\u17f9d","\u17f9e","\u17f9f","\u17fa0","\u17fa1","\u17fa2","\u17fa3","\u17fa4","\u17fa5","\u17fa6","\u17fa7","\u17fa8","\u17fa9","\u17faa","\u17fab","\u17fac","\u17fad","\u17fae","\u17faf","\u17fb0","\u17fb1","\u17fb2","\u17fb3","\u17fb4","\u17fb5","\u17fb6","\u17fb7","\u17fb8","\u17fb9","\u17fba","\u17fbb","\u17fbc","\u17fbd","\u17fbe","\u17fbf","\u17fc0","\u17fc1","\u17fc2","\u17fc3","\u17fc4","\u17fc5","\u17fc6","\u17fc7","\u17fc8","\u17fc9","\u17fca","\u17fcb","\u17fcc","\u17fcd","\u17fce","\u17fcf","\u17fd0","\u17fd1","\u17fd2","\u17fd3","\u17fd4","\u17fd5","\u17fd6","\u17fd7","\u17fd8","\u17fd9","\u17fda","\u17fdb","\u17fdc","\u17fdd","\u17fde","\u17fdf","\u17fe0","\u17fe1","\u17fe2","\u17fe3","\u17fe4","\u17fe5","\u17fe6","\u17fe7","\u17fe8","\u17fe9","\u17fea","\u17feb","\u17fec","\u17fed","\u17fee","\u17fef","\u17ff0","\u17ff1","\u17ff2","\u17ff3","\u17ff4","\u17ff5","\u17ff6","\u17ff7","\u17ff8","\u17ff9","\u17ffa","\u17ffb","\u17ffc","\u17ffd","\u17ffe","\u17fff","\u18000","\u18001","\u18002","\u18003","\u18004","\u18005","\u18006","\u18007","\u18008","\u18009","\u1800a","\u1800b","\u1800c","\u1800d","\u1800e","\u1800f","\u18010","\u18011","\u18012","\u18013","\u18014","\u18015","\u18016","\u18017","\u18018","\u18019","\u1801a","\u1801b","\u1801c","\u1801d","\u1801e","\u1801f","\u18020","\u18021","\u18022","\u18023","\u18024","\u18025","\u18026","\u18027","\u18028","\u18029","\u1802a","\u1802b","\u1802c","\u1802d","\u1802e","\u1802f","\u18030","\u18031","\u18032","\u18033","\u18034","\u18035","\u18036","\u18037","\u18038","\u18039","\u1803a","\u1803b","\u1803c","\u1803d","\u1803e","\u1803f","\u18040","\u18041","\u18042","\u18043","\u18044","\u18045","\u18046","\u18047","\u18048","\u18049","\u1804a","\u1804b","\u1804c","\u1804d","\u1804e","\u1804f","\u18050","\u18051","\u18052","\u18053","\u18054","\u18055","\u18056","\u18057","\u18058","\u18059","\u1805a","\u1805b","\u1805c","\u1805d","\u1805e","\u1805f","\u18060","\u18061","\u18062","\u18063","\u18064","\u18065","\u18066","\u18067","\u18068","\u18069","\u1806a","\u1806b","\u1806c","\u1806d","\u1806e","\u1806f","\u18070","\u18071","\u18072","\u18073","\u18074","\u18075","\u18076","\u18077","\u18078","\u18079","\u1807a","\u1807b","\u1807c","\u1807d","\u1807e","\u1807f","\u18080","\u18081","\u18082","\u18083","\u18084","\u18085","\u18086","\u18087","\u18088","\u18089","\u1808a","\u1808b","\u1808c","\u1808d","\u1808e","\u1808f","\u18090","\u18091","\u18092","\u18093","\u18094","\u18095","\u18096","\u18097","\u18098","\u18099","\u1809a","\u1809b","\u1809c","\u1809d","\u1809e","\u1809f","\u180a0","\u180a1","\u180a2","\u180a3","\u180a4","\u180a5","\u180a6","\u180a7","\u180a8","\u180a9","\u180aa","\u180ab","\u180ac","\u180ad","\u180ae","\u180af","\u180b0","\u180b1","\u180b2","\u180b3","\u180b4","\u180b5","\u180b6","\u180b7","\u180b8","\u180b9","\u180ba","\u180bb","\u180bc","\u180bd","\u180be","\u180bf","\u180c0","\u180c1","\u180c2","\u180c3","\u180c4","\u180c5","\u180c6","\u180c7","\u180c8","\u180c9","\u180ca","\u180cb","\u180cc","\u180cd","\u180ce","\u180cf","\u180d0","\u180d1","\u180d2","\u180d3","\u180d4","\u180d5","\u180d6","\u180d7","\u180d8","\u180d9","\u180da","\u180db","\u180dc","\u180dd","\u180de","\u180df","\u180e0","\u180e1","\u180e2","\u180e3","\u180e4","\u180e5","\u180e6","\u180e7","\u180e8","\u180e9","\u180ea","\u180eb","\u180ec","\u180ed","\u180ee","\u180ef","\u180f0","\u180f1","\u180f2","\u180f3","\u180f4","\u180f5","\u180f6","\u180f7","\u180f8","\u180f9","\u180fa","\u180fb","\u180fc","\u180fd","\u180fe","\u180ff","\u18100","\u18101","\u18102","\u18103","\u18104","\u18105","\u18106","\u18107","\u18108","\u18109","\u1810a","\u1810b","\u1810c","\u1810d","\u1810e","\u1810f","\u18110","\u18111","\u18112","\u18113","\u18114","\u18115","\u18116","\u18117","\u18118","\u18119","\u1811a","\u1811b","\u1811c","\u1811d","\u1811e","\u1811f","\u18120","\u18121","\u18122","\u18123","\u18124","\u18125","\u18126","\u18127","\u18128","\u18129","\u1812a","\u1812b","\u1812c","\u1812d","\u1812e","\u1812f","\u18130","\u18131","\u18132","\u18133","\u18134","\u18135","\u18136","\u18137","\u18138","\u18139","\u1813a","\u1813b","\u1813c","\u1813d","\u1813e","\u1813f","\u18140","\u18141","\u18142","\u18143","\u18144","\u18145","\u18146","\u18147","\u18148","\u18149","\u1814a","\u1814b","\u1814c","\u1814d","\u1814e","\u1814f","\u18150","\u18151","\u18152","\u18153","\u18154","\u18155","\u18156","\u18157","\u18158","\u18159","\u1815a","\u1815b","\u1815c","\u1815d","\u1815e","\u1815f","\u18160","\u18161","\u18162","\u18163","\u18164","\u18165","\u18166","\u18167","\u18168","\u18169","\u1816a","\u1816b","\u1816c","\u1816d","\u1816e","\u1816f","\u18170","\u18171","\u18172","\u18173","\u18174","\u18175","\u18176","\u18177","\u18178","\u18179","\u1817a","\u1817b","\u1817c","\u1817d","\u1817e","\u1817f","\u18180","\u18181","\u18182","\u18183","\u18184","\u18185","\u18186","\u18187","\u18188","\u18189","\u1818a","\u1818b","\u1818c","\u1818d","\u1818e","\u1818f","\u18190","\u18191","\u18192","\u18193","\u18194","\u18195","\u18196","\u18197","\u18198","\u18199","\u1819a","\u1819b","\u1819c","\u1819d","\u1819e","\u1819f","\u181a0","\u181a1","\u181a2","\u181a3","\u181a4","\u181a5","\u181a6","\u181a7","\u181a8","\u181a9","\u181aa","\u181ab","\u181ac","\u181ad","\u181ae","\u181af","\u181b0","\u181b1","\u181b2","\u181b3","\u181b4","\u181b5","\u181b6","\u181b7","\u181b8","\u181b9","\u181ba","\u181bb","\u181bc","\u181bd","\u181be","\u181bf","\u181c0","\u181c1","\u181c2","\u181c3","\u181c4","\u181c5","\u181c6","\u181c7","\u181c8","\u181c9","\u181ca","\u181cb","\u181cc","\u181cd","\u181ce","\u181cf","\u181d0","\u181d1","\u181d2","\u181d3","\u181d4","\u181d5","\u181d6","\u181d7","\u181d8","\u181d9","\u181da","\u181db","\u181dc","\u181dd","\u181de","\u181df","\u181e0","\u181e1","\u181e2","\u181e3","\u181e4","\u181e5","\u181e6","\u181e7","\u181e8","\u181e9","\u181ea","\u181eb","\u181ec","\u181ed","\u181ee","\u181ef","\u181f0","\u181f1","\u181f2","\u181f3","\u181f4","\u181f5","\u181f6","\u181f7","\u181f8","\u181f9","\u181fa","\u181fb","\u181fc","\u181fd","\u181fe","\u181ff","\u18200","\u18201","\u18202","\u18203","\u18204","\u18205","\u18206","\u18207","\u18208","\u18209","\u1820a","\u1820b","\u1820c","\u1820d","\u1820e","\u1820f","\u18210","\u18211","\u18212","\u18213","\u18214","\u18215","\u18216","\u18217","\u18218","\u18219","\u1821a","\u1821b","\u1821c","\u1821d","\u1821e","\u1821f","\u18220","\u18221","\u18222","\u18223","\u18224","\u18225","\u18226","\u18227","\u18228","\u18229","\u1822a","\u1822b","\u1822c","\u1822d","\u1822e","\u1822f","\u18230","\u18231","\u18232","\u18233","\u18234","\u18235","\u18236","\u18237","\u18238","\u18239","\u1823a","\u1823b","\u1823c","\u1823d","\u1823e","\u1823f","\u18240","\u18241","\u18242","\u18243","\u18244","\u18245","\u18246","\u18247","\u18248","\u18249","\u1824a","\u1824b","\u1824c","\u1824d","\u1824e","\u1824f","\u18250","\u18251","\u18252","\u18253","\u18254","\u18255","\u18256","\u18257","\u18258","\u18259","\u1825a","\u1825b","\u1825c","\u1825d","\u1825e","\u1825f","\u18260","\u18261","\u18262","\u18263","\u18264","\u18265","\u18266","\u18267","\u18268","\u18269","\u1826a","\u1826b","\u1826c","\u1826d","\u1826e","\u1826f","\u18270","\u18271","\u18272","\u18273","\u18274","\u18275","\u18276","\u18277","\u18278","\u18279","\u1827a","\u1827b","\u1827c","\u1827d","\u1827e","\u1827f","\u18280","\u18281","\u18282","\u18283","\u18284","\u18285","\u18286","\u18287","\u18288","\u18289","\u1828a","\u1828b","\u1828c","\u1828d","\u1828e","\u1828f","\u18290","\u18291","\u18292","\u18293","\u18294","\u18295","\u18296","\u18297","\u18298","\u18299","\u1829a","\u1829b","\u1829c","\u1829d","\u1829e","\u1829f","\u182a0","\u182a1","\u182a2","\u182a3","\u182a4","\u182a5","\u182a6","\u182a7","\u182a8","\u182a9","\u182aa","\u182ab","\u182ac","\u182ad","\u182ae","\u182af","\u182b0","\u182b1","\u182b2","\u182b3","\u182b4","\u182b5","\u182b6","\u182b7","\u182b8","\u182b9","\u182ba","\u182bb","\u182bc","\u182bd","\u182be","\u182bf","\u182c0","\u182c1","\u182c2","\u182c3","\u182c4","\u182c5","\u182c6","\u182c7","\u182c8","\u182c9","\u182ca","\u182cb","\u182cc","\u182cd","\u182ce","\u182cf","\u182d0","\u182d1","\u182d2","\u182d3","\u182d4","\u182d5","\u182d6","\u182d7","\u182d8","\u182d9","\u182da","\u182db","\u182dc","\u182dd","\u182de","\u182df","\u182e0","\u182e1","\u182e2","\u182e3","\u182e4","\u182e5","\u182e6","\u182e7","\u182e8","\u182e9","\u182ea","\u182eb","\u182ec","\u182ed","\u182ee","\u182ef","\u182f0","\u182f1","\u182f2","\u182f3","\u182f4","\u182f5","\u182f6","\u182f7","\u182f8","\u182f9","\u182fa","\u182fb","\u182fc","\u182fd","\u182fe","\u182ff","\u18300","\u18301","\u18302","\u18303","\u18304","\u18305","\u18306","\u18307","\u18308","\u18309","\u1830a","\u1830b","\u1830c","\u1830d","\u1830e","\u1830f","\u18310","\u18311","\u18312","\u18313","\u18314","\u18315","\u18316","\u18317","\u18318","\u18319","\u1831a","\u1831b","\u1831c","\u1831d","\u1831e","\u1831f","\u18320","\u18321","\u18322","\u18323","\u18324","\u18325","\u18326","\u18327","\u18328","\u18329","\u1832a","\u1832b","\u1832c","\u1832d","\u1832e","\u1832f","\u18330","\u18331","\u18332","\u18333","\u18334","\u18335","\u18336","\u18337","\u18338","\u18339","\u1833a","\u1833b","\u1833c","\u1833d","\u1833e","\u1833f","\u18340","\u18341","\u18342","\u18343","\u18344","\u18345","\u18346","\u18347","\u18348","\u18349","\u1834a","\u1834b","\u1834c","\u1834d","\u1834e","\u1834f","\u18350","\u18351","\u18352","\u18353","\u18354","\u18355","\u18356","\u18357","\u18358","\u18359","\u1835a","\u1835b","\u1835c","\u1835d","\u1835e","\u1835f","\u18360","\u18361","\u18362","\u18363","\u18364","\u18365","\u18366","\u18367","\u18368","\u18369","\u1836a","\u1836b","\u1836c","\u1836d","\u1836e","\u1836f","\u18370","\u18371","\u18372","\u18373","\u18374","\u18375","\u18376","\u18377","\u18378","\u18379","\u1837a","\u1837b","\u1837c","\u1837d","\u1837e","\u1837f","\u18380","\u18381","\u18382","\u18383","\u18384","\u18385","\u18386","\u18387","\u18388","\u18389","\u1838a","\u1838b","\u1838c","\u1838d","\u1838e","\u1838f","\u18390","\u18391","\u18392","\u18393","\u18394","\u18395","\u18396","\u18397","\u18398","\u18399","\u1839a","\u1839b","\u1839c","\u1839d","\u1839e","\u1839f","\u183a0","\u183a1","\u183a2","\u183a3","\u183a4","\u183a5","\u183a6","\u183a7","\u183a8","\u183a9","\u183aa","\u183ab","\u183ac","\u183ad","\u183ae","\u183af","\u183b0","\u183b1","\u183b2","\u183b3","\u183b4","\u183b5","\u183b6","\u183b7","\u183b8","\u183b9","\u183ba","\u183bb","\u183bc","\u183bd","\u183be","\u183bf","\u183c0","\u183c1","\u183c2","\u183c3","\u183c4","\u183c5","\u183c6","\u183c7","\u183c8","\u183c9","\u183ca","\u183cb","\u183cc","\u183cd","\u183ce","\u183cf","\u183d0","\u183d1","\u183d2","\u183d3","\u183d4","\u183d5","\u183d6","\u183d7","\u183d8","\u183d9","\u183da","\u183db","\u183dc","\u183dd","\u183de","\u183df","\u183e0","\u183e1","\u183e2","\u183e3","\u183e4","\u183e5","\u183e6","\u183e7","\u183e8","\u183e9","\u183ea","\u183eb","\u183ec","\u183ed","\u183ee","\u183ef","\u183f0","\u183f1","\u183f2","\u183f3","\u183f4","\u183f5","\u183f6","\u183f7","\u183f8","\u183f9","\u183fa","\u183fb","\u183fc","\u183fd","\u183fe","\u183ff","\u18400","\u18401","\u18402","\u18403","\u18404","\u18405","\u18406","\u18407","\u18408","\u18409","\u1840a","\u1840b","\u1840c","\u1840d","\u1840e","\u1840f","\u18410","\u18411","\u18412","\u18413","\u18414","\u18415","\u18416","\u18417","\u18418","\u18419","\u1841a","\u1841b","\u1841c","\u1841d","\u1841e","\u1841f","\u18420","\u18421","\u18422","\u18423","\u18424","\u18425","\u18426","\u18427","\u18428","\u18429","\u1842a","\u1842b","\u1842c","\u1842d","\u1842e","\u1842f","\u18430","\u18431","\u18432","\u18433","\u18434","\u18435","\u18436","\u18437","\u18438","\u18439","\u1843a","\u1843b","\u1843c","\u1843d","\u1843e","\u1843f","\u18440","\u18441","\u18442","\u18443","\u18444","\u18445","\u18446","\u18447","\u18448","\u18449","\u1844a","\u1844b","\u1844c","\u1844d","\u1844e","\u1844f","\u18450","\u18451","\u18452","\u18453","\u18454","\u18455","\u18456","\u18457","\u18458","\u18459","\u1845a","\u1845b","\u1845c","\u1845d","\u1845e","\u1845f","\u18460","\u18461","\u18462","\u18463","\u18464","\u18465","\u18466","\u18467","\u18468","\u18469","\u1846a","\u1846b","\u1846c","\u1846d","\u1846e","\u1846f","\u18470","\u18471","\u18472","\u18473","\u18474","\u18475","\u18476","\u18477","\u18478","\u18479","\u1847a","\u1847b","\u1847c","\u1847d","\u1847e","\u1847f","\u18480","\u18481","\u18482","\u18483","\u18484","\u18485","\u18486","\u18487","\u18488","\u18489","\u1848a","\u1848b","\u1848c","\u1848d","\u1848e","\u1848f","\u18490","\u18491","\u18492","\u18493","\u18494","\u18495","\u18496","\u18497","\u18498","\u18499","\u1849a","\u1849b","\u1849c","\u1849d","\u1849e","\u1849f","\u184a0","\u184a1","\u184a2","\u184a3","\u184a4","\u184a5","\u184a6","\u184a7","\u184a8","\u184a9","\u184aa","\u184ab","\u184ac","\u184ad","\u184ae","\u184af","\u184b0","\u184b1","\u184b2","\u184b3","\u184b4","\u184b5","\u184b6","\u184b7","\u184b8","\u184b9","\u184ba","\u184bb","\u184bc","\u184bd","\u184be","\u184bf","\u184c0","\u184c1","\u184c2","\u184c3","\u184c4","\u184c5","\u184c6","\u184c7","\u184c8","\u184c9","\u184ca","\u184cb","\u184cc","\u184cd","\u184ce","\u184cf","\u184d0","\u184d1","\u184d2","\u184d3","\u184d4","\u184d5","\u184d6","\u184d7","\u184d8","\u184d9","\u184da","\u184db","\u184dc","\u184dd","\u184de","\u184df","\u184e0","\u184e1","\u184e2","\u184e3","\u184e4","\u184e5","\u184e6","\u184e7","\u184e8","\u184e9","\u184ea","\u184eb","\u184ec","\u184ed","\u184ee","\u184ef","\u184f0","\u184f1","\u184f2","\u184f3","\u184f4","\u184f5","\u184f6","\u184f7","\u184f8","\u184f9","\u184fa","\u184fb","\u184fc","\u184fd","\u184fe","\u184ff","\u18500","\u18501","\u18502","\u18503","\u18504","\u18505","\u18506","\u18507","\u18508","\u18509","\u1850a","\u1850b","\u1850c","\u1850d","\u1850e","\u1850f","\u18510","\u18511","\u18512","\u18513","\u18514","\u18515","\u18516","\u18517","\u18518","\u18519","\u1851a","\u1851b","\u1851c","\u1851d","\u1851e","\u1851f","\u18520","\u18521","\u18522","\u18523","\u18524","\u18525","\u18526","\u18527","\u18528","\u18529","\u1852a","\u1852b","\u1852c","\u1852d","\u1852e","\u1852f","\u18530","\u18531","\u18532","\u18533","\u18534","\u18535","\u18536","\u18537","\u18538","\u18539","\u1853a","\u1853b","\u1853c","\u1853d","\u1853e","\u1853f","\u18540","\u18541","\u18542","\u18543","\u18544","\u18545","\u18546","\u18547","\u18548","\u18549","\u1854a","\u1854b","\u1854c","\u1854d","\u1854e","\u1854f","\u18550","\u18551","\u18552","\u18553","\u18554","\u18555","\u18556","\u18557","\u18558","\u18559","\u1855a","\u1855b","\u1855c","\u1855d","\u1855e","\u1855f","\u18560","\u18561","\u18562","\u18563","\u18564","\u18565","\u18566","\u18567","\u18568","\u18569","\u1856a","\u1856b","\u1856c","\u1856d","\u1856e","\u1856f","\u18570","\u18571","\u18572","\u18573","\u18574","\u18575","\u18576","\u18577","\u18578","\u18579","\u1857a","\u1857b","\u1857c","\u1857d","\u1857e","\u1857f","\u18580","\u18581","\u18582","\u18583","\u18584","\u18585","\u18586","\u18587","\u18588","\u18589","\u1858a","\u1858b","\u1858c","\u1858d","\u1858e","\u1858f","\u18590","\u18591","\u18592","\u18593","\u18594","\u18595","\u18596","\u18597","\u18598","\u18599","\u1859a","\u1859b","\u1859c","\u1859d","\u1859e","\u1859f","\u185a0","\u185a1","\u185a2","\u185a3","\u185a4","\u185a5","\u185a6","\u185a7","\u185a8","\u185a9","\u185aa","\u185ab","\u185ac","\u185ad","\u185ae","\u185af","\u185b0","\u185b1","\u185b2","\u185b3","\u185b4","\u185b5","\u185b6","\u185b7","\u185b8","\u185b9","\u185ba","\u185bb","\u185bc","\u185bd","\u185be","\u185bf","\u185c0","\u185c1","\u185c2","\u185c3","\u185c4","\u185c5","\u185c6","\u185c7","\u185c8","\u185c9","\u185ca","\u185cb","\u185cc","\u185cd","\u185ce","\u185cf","\u185d0","\u185d1","\u185d2","\u185d3","\u185d4","\u185d5","\u185d6","\u185d7","\u185d8","\u185d9","\u185da","\u185db","\u185dc","\u185dd","\u185de","\u185df","\u185e0","\u185e1","\u185e2","\u185e3","\u185e4","\u185e5","\u185e6","\u185e7","\u185e8","\u185e9","\u185ea","\u185eb","\u185ec","\u185ed","\u185ee","\u185ef","\u185f0","\u185f1","\u185f2","\u185f3","\u185f4","\u185f5","\u185f6","\u185f7","\u185f8","\u185f9","\u185fa","\u185fb","\u185fc","\u185fd","\u185fe","\u185ff","\u18600","\u18601","\u18602","\u18603","\u18604","\u18605","\u18606","\u18607","\u18608","\u18609","\u1860a","\u1860b","\u1860c","\u1860d","\u1860e","\u1860f","\u18610","\u18611","\u18612","\u18613","\u18614","\u18615","\u18616","\u18617","\u18618","\u18619","\u1861a","\u1861b","\u1861c","\u1861d","\u1861e","\u1861f","\u18620","\u18621","\u18622","\u18623","\u18624","\u18625","\u18626","\u18627","\u18628","\u18629","\u1862a","\u1862b","\u1862c","\u1862d","\u1862e","\u1862f","\u18630","\u18631","\u18632","\u18633","\u18634","\u18635","\u18636","\u18637","\u18638","\u18639","\u1863a","\u1863b","\u1863c","\u1863d","\u1863e","\u1863f","\u18640","\u18641","\u18642","\u18643","\u18644","\u18645","\u18646","\u18647","\u18648","\u18649","\u1864a","\u1864b","\u1864c","\u1864d","\u1864e","\u1864f","\u18650","\u18651","\u18652","\u18653","\u18654","\u18655","\u18656","\u18657","\u18658","\u18659","\u1865a","\u1865b","\u1865c","\u1865d","\u1865e","\u1865f","\u18660","\u18661","\u18662","\u18663","\u18664","\u18665","\u18666","\u18667","\u18668","\u18669","\u1866a","\u1866b","\u1866c","\u1866d","\u1866e","\u1866f","\u18670","\u18671","\u18672","\u18673","\u18674","\u18675","\u18676","\u18677","\u18678","\u18679","\u1867a","\u1867b","\u1867c","\u1867d","\u1867e","\u1867f","\u18680","\u18681","\u18682","\u18683","\u18684","\u18685","\u18686","\u18687","\u18688","\u18689","\u1868a","\u1868b","\u1868c","\u1868d","\u1868e","\u1868f","\u18690","\u18691","\u18692","\u18693","\u18694","\u18695","\u18696","\u18697","\u18698","\u18699","\u1869a","\u1869b","\u1869c","\u1869d","\u1869e","\u1869f","\u186a0","\u186a1","\u186a2","\u186a3","\u186a4","\u186a5","\u186a6","\u186a7","\u186a8","\u186a9","\u186aa","\u186ab","\u186ac","\u186ad","\u186ae","\u186af","\u186b0","\u186b1","\u186b2","\u186b3","\u186b4","\u186b5","\u186b6","\u186b7","\u186b8","\u186b9","\u186ba","\u186bb","\u186bc","\u186bd","\u186be","\u186bf","\u186c0","\u186c1","\u186c2","\u186c3","\u186c4","\u186c5","\u186c6","\u186c7","\u186c8","\u186c9","\u186ca","\u186cb","\u186cc","\u186cd","\u186ce","\u186cf","\u186d0","\u186d1","\u186d2","\u186d3","\u186d4","\u186d5","\u186d6","\u186d7","\u186d8","\u186d9","\u186da","\u186db","\u186dc","\u186dd","\u186de","\u186df","\u186e0","\u186e1","\u186e2","\u186e3","\u186e4","\u186e5","\u186e6","\u186e7","\u186e8","\u186e9","\u186ea","\u186eb","\u186ec","\u186ed","\u186ee","\u186ef","\u186f0","\u186f1","\u186f2","\u186f3","\u186f4","\u186f5","\u186f6","\u186f7","\u186f8","\u186f9","\u186fa","\u186fb","\u186fc","\u186fd","\u186fe","\u186ff","\u18700","\u18701","\u18702","\u18703","\u18704","\u18705","\u18706","\u18707","\u18708","\u18709","\u1870a","\u1870b","\u1870c","\u1870d","\u1870e","\u1870f","\u18710","\u18711","\u18712","\u18713","\u18714","\u18715","\u18716","\u18717","\u18718","\u18719","\u1871a","\u1871b","\u1871c","\u1871d","\u1871e","\u1871f","\u18720","\u18721","\u18722","\u18723","\u18724","\u18725","\u18726","\u18727","\u18728","\u18729","\u1872a","\u1872b","\u1872c","\u1872d","\u1872e","\u1872f","\u18730","\u18731","\u18732","\u18733","\u18734","\u18735","\u18736","\u18737","\u18738","\u18739","\u1873a","\u1873b","\u1873c","\u1873d","\u1873e","\u1873f","\u18740","\u18741","\u18742","\u18743","\u18744","\u18745","\u18746","\u18747","\u18748","\u18749","\u1874a","\u1874b","\u1874c","\u1874d","\u1874e","\u1874f","\u18750","\u18751","\u18752","\u18753","\u18754","\u18755","\u18756","\u18757","\u18758","\u18759","\u1875a","\u1875b","\u1875c","\u1875d","\u1875e","\u1875f","\u18760","\u18761","\u18762","\u18763","\u18764","\u18765","\u18766","\u18767","\u18768","\u18769","\u1876a","\u1876b","\u1876c","\u1876d","\u1876e","\u1876f","\u18770","\u18771","\u18772","\u18773","\u18774","\u18775","\u18776","\u18777","\u18778","\u18779","\u1877a","\u1877b","\u1877c","\u1877d","\u1877e","\u1877f","\u18780","\u18781","\u18782","\u18783","\u18784","\u18785","\u18786","\u18787","\u18788","\u18789","\u1878a","\u1878b","\u1878c","\u1878d","\u1878e","\u1878f","\u18790","\u18791","\u18792","\u18793","\u18794","\u18795","\u18796","\u18797","\u18798","\u18799","\u1879a","\u1879b","\u1879c","\u1879d","\u1879e","\u1879f","\u187a0","\u187a1","\u187a2","\u187a3","\u187a4","\u187a5","\u187a6","\u187a7","\u187a8","\u187a9","\u187aa","\u187ab","\u187ac","\u187ad","\u187ae","\u187af","\u187b0","\u187b1","\u187b2","\u187b3","\u187b4","\u187b5","\u187b6","\u187b7","\u187b8","\u187b9","\u187ba","\u187bb","\u187bc","\u187bd","\u187be","\u187bf","\u187c0","\u187c1","\u187c2","\u187c3","\u187c4","\u187c5","\u187c6","\u187c7","\u187c8","\u187c9","\u187ca","\u187cb","\u187cc","\u187cd","\u187ce","\u187cf","\u187d0","\u187d1","\u187d2","\u187d3","\u187d4","\u187d5","\u187d6","\u187d7","\u187d8","\u187d9","\u187da","\u187db","\u187dc","\u187dd","\u187de","\u187df","\u187e0","\u187e1","\u187e2","\u187e3","\u187e4","\u187e5","\u187e6","\u187e7","\u187e8","\u187e9","\u187ea","\u187eb","\u187ec",  # ; TANGUT IDEOGRAPH-*
        "\u18800",  # ; TANGUT COMPONENT-001
        "\u18801",  # ; TANGUT COMPONENT-002
        "\u18802",  # ; TANGUT COMPONENT-003
        "\u18803",  # ; TANGUT COMPONENT-004
        "\u18804",  # ; TANGUT COMPONENT-005
        "\u18805",  # ; TANGUT COMPONENT-006
        "\u18806",  # ; TANGUT COMPONENT-007
        "\u18807",  # ; TANGUT COMPONENT-008
        "\u18808",  # ; TANGUT COMPONENT-009
        "\u18809",  # ; TANGUT COMPONENT-010
        "\u1880A",  # ; TANGUT COMPONENT-011
        "\u1880B",  # ; TANGUT COMPONENT-012
        "\u1880C",  # ; TANGUT COMPONENT-013
        "\u1880D",  # ; TANGUT COMPONENT-014
        "\u1880E",  # ; TANGUT COMPONENT-015
        "\u1880F",  # ; TANGUT COMPONENT-016
        "\u18810",  # ; TANGUT COMPONENT-017
        "\u18811",  # ; TANGUT COMPONENT-018
        "\u18812",  # ; TANGUT COMPONENT-019
        "\u18813",  # ; TANGUT COMPONENT-020
        "\u18814",  # ; TANGUT COMPONENT-021
        "\u18815",  # ; TANGUT COMPONENT-022
        "\u18816",  # ; TANGUT COMPONENT-023
        "\u18817",  # ; TANGUT COMPONENT-024
        "\u18818",  # ; TANGUT COMPONENT-025
        "\u18819",  # ; TANGUT COMPONENT-026
        "\u1881A",  # ; TANGUT COMPONENT-027
        "\u1881B",  # ; TANGUT COMPONENT-028
        "\u1881C",  # ; TANGUT COMPONENT-029
        "\u1881D",  # ; TANGUT COMPONENT-030
        "\u1881E",  # ; TANGUT COMPONENT-031
        "\u1881F",  # ; TANGUT COMPONENT-032
        "\u18820",  # ; TANGUT COMPONENT-033
        "\u18821",  # ; TANGUT COMPONENT-034
        "\u18822",  # ; TANGUT COMPONENT-035
        "\u18823",  # ; TANGUT COMPONENT-036
        "\u18824",  # ; TANGUT COMPONENT-037
        "\u18825",  # ; TANGUT COMPONENT-038
        "\u18826",  # ; TANGUT COMPONENT-039
        "\u18827",  # ; TANGUT COMPONENT-040
        "\u18828",  # ; TANGUT COMPONENT-041
        "\u18829",  # ; TANGUT COMPONENT-042
        "\u1882A",  # ; TANGUT COMPONENT-043
        "\u1882B",  # ; TANGUT COMPONENT-044
        "\u1882C",  # ; TANGUT COMPONENT-045
        "\u1882D",  # ; TANGUT COMPONENT-046
        "\u1882E",  # ; TANGUT COMPONENT-047
        "\u1882F",  # ; TANGUT COMPONENT-048
        "\u18830",  # ; TANGUT COMPONENT-049
        "\u18831",  # ; TANGUT COMPONENT-050
        "\u18832",  # ; TANGUT COMPONENT-051
        "\u18833",  # ; TANGUT COMPONENT-052
        "\u18834",  # ; TANGUT COMPONENT-053
        "\u18835",  # ; TANGUT COMPONENT-054
        "\u18836",  # ; TANGUT COMPONENT-055
        "\u18837",  # ; TANGUT COMPONENT-056
        "\u18838",  # ; TANGUT COMPONENT-057
        "\u18839",  # ; TANGUT COMPONENT-058
        "\u1883A",  # ; TANGUT COMPONENT-059
        "\u1883B",  # ; TANGUT COMPONENT-060
        "\u1883C",  # ; TANGUT COMPONENT-061
        "\u1883D",  # ; TANGUT COMPONENT-062
        "\u1883E",  # ; TANGUT COMPONENT-063
        "\u1883F",  # ; TANGUT COMPONENT-064
        "\u18840",  # ; TANGUT COMPONENT-065
        "\u18841",  # ; TANGUT COMPONENT-066
        "\u18842",  # ; TANGUT COMPONENT-067
        "\u18843",  # ; TANGUT COMPONENT-068
        "\u18844",  # ; TANGUT COMPONENT-069
        "\u18845",  # ; TANGUT COMPONENT-070
        "\u18846",  # ; TANGUT COMPONENT-071
        "\u18847",  # ; TANGUT COMPONENT-072
        "\u18848",  # ; TANGUT COMPONENT-073
        "\u18849",  # ; TANGUT COMPONENT-074
        "\u1884A",  # ; TANGUT COMPONENT-075
        "\u1884B",  # ; TANGUT COMPONENT-076
        "\u1884C",  # ; TANGUT COMPONENT-077
        "\u1884D",  # ; TANGUT COMPONENT-078
        "\u1884E",  # ; TANGUT COMPONENT-079
        "\u1884F",  # ; TANGUT COMPONENT-080
        "\u18850",  # ; TANGUT COMPONENT-081
        "\u18851",  # ; TANGUT COMPONENT-082
        "\u18852",  # ; TANGUT COMPONENT-083
        "\u18853",  # ; TANGUT COMPONENT-084
        "\u18854",  # ; TANGUT COMPONENT-085
        "\u18855",  # ; TANGUT COMPONENT-086
        "\u18856",  # ; TANGUT COMPONENT-087
        "\u18857",  # ; TANGUT COMPONENT-088
        "\u18858",  # ; TANGUT COMPONENT-089
        "\u18859",  # ; TANGUT COMPONENT-090
        "\u1885A",  # ; TANGUT COMPONENT-091
        "\u1885B",  # ; TANGUT COMPONENT-092
        "\u1885C",  # ; TANGUT COMPONENT-093
        "\u1885D",  # ; TANGUT COMPONENT-094
        "\u1885E",  # ; TANGUT COMPONENT-095
        "\u1885F",  # ; TANGUT COMPONENT-096
        "\u18860",  # ; TANGUT COMPONENT-097
        "\u18861",  # ; TANGUT COMPONENT-098
        "\u18862",  # ; TANGUT COMPONENT-099
        "\u18863",  # ; TANGUT COMPONENT-100
        "\u18864",  # ; TANGUT COMPONENT-101
        "\u18865",  # ; TANGUT COMPONENT-102
        "\u18866",  # ; TANGUT COMPONENT-103
        "\u18867",  # ; TANGUT COMPONENT-104
        "\u18868",  # ; TANGUT COMPONENT-105
        "\u18869",  # ; TANGUT COMPONENT-106
        "\u1886A",  # ; TANGUT COMPONENT-107
        "\u1886B",  # ; TANGUT COMPONENT-108
        "\u1886C",  # ; TANGUT COMPONENT-109
        "\u1886D",  # ; TANGUT COMPONENT-110
        "\u1886E",  # ; TANGUT COMPONENT-111
        "\u1886F",  # ; TANGUT COMPONENT-112
        "\u18870",  # ; TANGUT COMPONENT-113
        "\u18871",  # ; TANGUT COMPONENT-114
        "\u18872",  # ; TANGUT COMPONENT-115
        "\u18873",  # ; TANGUT COMPONENT-116
        "\u18874",  # ; TANGUT COMPONENT-117
        "\u18875",  # ; TANGUT COMPONENT-118
        "\u18876",  # ; TANGUT COMPONENT-119
        "\u18877",  # ; TANGUT COMPONENT-120
        "\u18878",  # ; TANGUT COMPONENT-121
        "\u18879",  # ; TANGUT COMPONENT-122
        "\u1887A",  # ; TANGUT COMPONENT-123
        "\u1887B",  # ; TANGUT COMPONENT-124
        "\u1887C",  # ; TANGUT COMPONENT-125
        "\u1887D",  # ; TANGUT COMPONENT-126
        "\u1887E",  # ; TANGUT COMPONENT-127
        "\u1887F",  # ; TANGUT COMPONENT-128
        "\u18880",  # ; TANGUT COMPONENT-129
        "\u18881",  # ; TANGUT COMPONENT-130
        "\u18882",  # ; TANGUT COMPONENT-131
        "\u18883",  # ; TANGUT COMPONENT-132
        "\u18884",  # ; TANGUT COMPONENT-133
        "\u18885",  # ; TANGUT COMPONENT-134
        "\u18886",  # ; TANGUT COMPONENT-135
        "\u18887",  # ; TANGUT COMPONENT-136
        "\u18888",  # ; TANGUT COMPONENT-137
        "\u18889",  # ; TANGUT COMPONENT-138
        "\u1888A",  # ; TANGUT COMPONENT-139
        "\u1888B",  # ; TANGUT COMPONENT-140
        "\u1888C",  # ; TANGUT COMPONENT-141
        "\u1888D",  # ; TANGUT COMPONENT-142
        "\u1888E",  # ; TANGUT COMPONENT-143
        "\u1888F",  # ; TANGUT COMPONENT-144
        "\u18890",  # ; TANGUT COMPONENT-145
        "\u18891",  # ; TANGUT COMPONENT-146
        "\u18892",  # ; TANGUT COMPONENT-147
        "\u18893",  # ; TANGUT COMPONENT-148
        "\u18894",  # ; TANGUT COMPONENT-149
        "\u18895",  # ; TANGUT COMPONENT-150
        "\u18896",  # ; TANGUT COMPONENT-151
        "\u18897",  # ; TANGUT COMPONENT-152
        "\u18898",  # ; TANGUT COMPONENT-153
        "\u18899",  # ; TANGUT COMPONENT-154
        "\u1889A",  # ; TANGUT COMPONENT-155
        "\u1889B",  # ; TANGUT COMPONENT-156
        "\u1889C",  # ; TANGUT COMPONENT-157
        "\u1889D",  # ; TANGUT COMPONENT-158
        "\u1889E",  # ; TANGUT COMPONENT-159
        "\u1889F",  # ; TANGUT COMPONENT-160
        "\u188A0",  # ; TANGUT COMPONENT-161
        "\u188A1",  # ; TANGUT COMPONENT-162
        "\u188A2",  # ; TANGUT COMPONENT-163
        "\u188A3",  # ; TANGUT COMPONENT-164
        "\u188A4",  # ; TANGUT COMPONENT-165
        "\u188A5",  # ; TANGUT COMPONENT-166
        "\u188A6",  # ; TANGUT COMPONENT-167
        "\u188A7",  # ; TANGUT COMPONENT-168
        "\u188A8",  # ; TANGUT COMPONENT-169
        "\u188A9",  # ; TANGUT COMPONENT-170
        "\u188AA",  # ; TANGUT COMPONENT-171
        "\u188AB",  # ; TANGUT COMPONENT-172
        "\u188AC",  # ; TANGUT COMPONENT-173
        "\u188AD",  # ; TANGUT COMPONENT-174
        "\u188AE",  # ; TANGUT COMPONENT-175
        "\u188AF",  # ; TANGUT COMPONENT-176
        "\u188B0",  # ; TANGUT COMPONENT-177
        "\u188B1",  # ; TANGUT COMPONENT-178
        "\u188B2",  # ; TANGUT COMPONENT-179
        "\u188B3",  # ; TANGUT COMPONENT-180
        "\u188B4",  # ; TANGUT COMPONENT-181
        "\u188B5",  # ; TANGUT COMPONENT-182
        "\u188B6",  # ; TANGUT COMPONENT-183
        "\u188B7",  # ; TANGUT COMPONENT-184
        "\u188B8",  # ; TANGUT COMPONENT-185
        "\u188B9",  # ; TANGUT COMPONENT-186
        "\u188BA",  # ; TANGUT COMPONENT-187
        "\u188BB",  # ; TANGUT COMPONENT-188
        "\u188BC",  # ; TANGUT COMPONENT-189
        "\u188BD",  # ; TANGUT COMPONENT-190
        "\u188BE",  # ; TANGUT COMPONENT-191
        "\u188BF",  # ; TANGUT COMPONENT-192
        "\u188C0",  # ; TANGUT COMPONENT-193
        "\u188C1",  # ; TANGUT COMPONENT-194
        "\u188C2",  # ; TANGUT COMPONENT-195
        "\u188C3",  # ; TANGUT COMPONENT-196
        "\u188C4",  # ; TANGUT COMPONENT-197
        "\u188C5",  # ; TANGUT COMPONENT-198
        "\u188C6",  # ; TANGUT COMPONENT-199
        "\u188C7",  # ; TANGUT COMPONENT-200
        "\u188C8",  # ; TANGUT COMPONENT-201
        "\u188C9",  # ; TANGUT COMPONENT-202
        "\u188CA",  # ; TANGUT COMPONENT-203
        "\u188CB",  # ; TANGUT COMPONENT-204
        "\u188CC",  # ; TANGUT COMPONENT-205
        "\u188CD",  # ; TANGUT COMPONENT-206
        "\u188CE",  # ; TANGUT COMPONENT-207
        "\u188CF",  # ; TANGUT COMPONENT-208
        "\u188D0",  # ; TANGUT COMPONENT-209
        "\u188D1",  # ; TANGUT COMPONENT-210
        "\u188D2",  # ; TANGUT COMPONENT-211
        "\u188D3",  # ; TANGUT COMPONENT-212
        "\u188D4",  # ; TANGUT COMPONENT-213
        "\u188D5",  # ; TANGUT COMPONENT-214
        "\u188D6",  # ; TANGUT COMPONENT-215
        "\u188D7",  # ; TANGUT COMPONENT-216
        "\u188D8",  # ; TANGUT COMPONENT-217
        "\u188D9",  # ; TANGUT COMPONENT-218
        "\u188DA",  # ; TANGUT COMPONENT-219
        "\u188DB",  # ; TANGUT COMPONENT-220
        "\u188DC",  # ; TANGUT COMPONENT-221
        "\u188DD",  # ; TANGUT COMPONENT-222
        "\u188DE",  # ; TANGUT COMPONENT-223
        "\u188DF",  # ; TANGUT COMPONENT-224
        "\u188E0",  # ; TANGUT COMPONENT-225
        "\u188E1",  # ; TANGUT COMPONENT-226
        "\u188E2",  # ; TANGUT COMPONENT-227
        "\u188E3",  # ; TANGUT COMPONENT-228
        "\u188E4",  # ; TANGUT COMPONENT-229
        "\u188E5",  # ; TANGUT COMPONENT-230
        "\u188E6",  # ; TANGUT COMPONENT-231
        "\u188E7",  # ; TANGUT COMPONENT-232
        "\u188E8",  # ; TANGUT COMPONENT-233
        "\u188E9",  # ; TANGUT COMPONENT-234
        "\u188EA",  # ; TANGUT COMPONENT-235
        "\u188EB",  # ; TANGUT COMPONENT-236
        "\u188EC",  # ; TANGUT COMPONENT-237
        "\u188ED",  # ; TANGUT COMPONENT-238
        "\u188EE",  # ; TANGUT COMPONENT-239
        "\u188EF",  # ; TANGUT COMPONENT-240
        "\u188F0",  # ; TANGUT COMPONENT-241
        "\u188F1",  # ; TANGUT COMPONENT-242
        "\u188F2",  # ; TANGUT COMPONENT-243
        "\u188F3",  # ; TANGUT COMPONENT-244
        "\u188F4",  # ; TANGUT COMPONENT-245
        "\u188F5",  # ; TANGUT COMPONENT-246
        "\u188F6",  # ; TANGUT COMPONENT-247
        "\u188F7",  # ; TANGUT COMPONENT-248
        "\u188F8",  # ; TANGUT COMPONENT-249
        "\u188F9",  # ; TANGUT COMPONENT-250
        "\u188FA",  # ; TANGUT COMPONENT-251
        "\u188FB",  # ; TANGUT COMPONENT-252
        "\u188FC",  # ; TANGUT COMPONENT-253
        "\u188FD",  # ; TANGUT COMPONENT-254
        "\u188FE",  # ; TANGUT COMPONENT-255
        "\u188FF",  # ; TANGUT COMPONENT-256
        "\u18900",  # ; TANGUT COMPONENT-257
        "\u18901",  # ; TANGUT COMPONENT-258
        "\u18902",  # ; TANGUT COMPONENT-259
        "\u18903",  # ; TANGUT COMPONENT-260
        "\u18904",  # ; TANGUT COMPONENT-261
        "\u18905",  # ; TANGUT COMPONENT-262
        "\u18906",  # ; TANGUT COMPONENT-263
        "\u18907",  # ; TANGUT COMPONENT-264
        "\u18908",  # ; TANGUT COMPONENT-265
        "\u18909",  # ; TANGUT COMPONENT-266
        "\u1890A",  # ; TANGUT COMPONENT-267
        "\u1890B",  # ; TANGUT COMPONENT-268
        "\u1890C",  # ; TANGUT COMPONENT-269
        "\u1890D",  # ; TANGUT COMPONENT-270
        "\u1890E",  # ; TANGUT COMPONENT-271
        "\u1890F",  # ; TANGUT COMPONENT-272
        "\u18910",  # ; TANGUT COMPONENT-273
        "\u18911",  # ; TANGUT COMPONENT-274
        "\u18912",  # ; TANGUT COMPONENT-275
        "\u18913",  # ; TANGUT COMPONENT-276
        "\u18914",  # ; TANGUT COMPONENT-277
        "\u18915",  # ; TANGUT COMPONENT-278
        "\u18916",  # ; TANGUT COMPONENT-279
        "\u18917",  # ; TANGUT COMPONENT-280
        "\u18918",  # ; TANGUT COMPONENT-281
        "\u18919",  # ; TANGUT COMPONENT-282
        "\u1891A",  # ; TANGUT COMPONENT-283
        "\u1891B",  # ; TANGUT COMPONENT-284
        "\u1891C",  # ; TANGUT COMPONENT-285
        "\u1891D",  # ; TANGUT COMPONENT-286
        "\u1891E",  # ; TANGUT COMPONENT-287
        "\u1891F",  # ; TANGUT COMPONENT-288
        "\u18920",  # ; TANGUT COMPONENT-289
        "\u18921",  # ; TANGUT COMPONENT-290
        "\u18922",  # ; TANGUT COMPONENT-291
        "\u18923",  # ; TANGUT COMPONENT-292
        "\u18924",  # ; TANGUT COMPONENT-293
        "\u18925",  # ; TANGUT COMPONENT-294
        "\u18926",  # ; TANGUT COMPONENT-295
        "\u18927",  # ; TANGUT COMPONENT-296
        "\u18928",  # ; TANGUT COMPONENT-297
        "\u18929",  # ; TANGUT COMPONENT-298
        "\u1892A",  # ; TANGUT COMPONENT-299
        "\u1892B",  # ; TANGUT COMPONENT-300
        "\u1892C",  # ; TANGUT COMPONENT-301
        "\u1892D",  # ; TANGUT COMPONENT-302
        "\u1892E",  # ; TANGUT COMPONENT-303
        "\u1892F",  # ; TANGUT COMPONENT-304
        "\u18930",  # ; TANGUT COMPONENT-305
        "\u18931",  # ; TANGUT COMPONENT-306
        "\u18932",  # ; TANGUT COMPONENT-307
        "\u18933",  # ; TANGUT COMPONENT-308
        "\u18934",  # ; TANGUT COMPONENT-309
        "\u18935",  # ; TANGUT COMPONENT-310
        "\u18936",  # ; TANGUT COMPONENT-311
        "\u18937",  # ; TANGUT COMPONENT-312
        "\u18938",  # ; TANGUT COMPONENT-313
        "\u18939",  # ; TANGUT COMPONENT-314
        "\u1893A",  # ; TANGUT COMPONENT-315
        "\u1893B",  # ; TANGUT COMPONENT-316
        "\u1893C",  # ; TANGUT COMPONENT-317
        "\u1893D",  # ; TANGUT COMPONENT-318
        "\u1893E",  # ; TANGUT COMPONENT-319
        "\u1893F",  # ; TANGUT COMPONENT-320
        "\u18940",  # ; TANGUT COMPONENT-321
        "\u18941",  # ; TANGUT COMPONENT-322
        "\u18942",  # ; TANGUT COMPONENT-323
        "\u18943",  # ; TANGUT COMPONENT-324
        "\u18944",  # ; TANGUT COMPONENT-325
        "\u18945",  # ; TANGUT COMPONENT-326
        "\u18946",  # ; TANGUT COMPONENT-327
        "\u18947",  # ; TANGUT COMPONENT-328
        "\u18948",  # ; TANGUT COMPONENT-329
        "\u18949",  # ; TANGUT COMPONENT-330
        "\u1894A",  # ; TANGUT COMPONENT-331
        "\u1894B",  # ; TANGUT COMPONENT-332
        "\u1894C",  # ; TANGUT COMPONENT-333
        "\u1894D",  # ; TANGUT COMPONENT-334
        "\u1894E",  # ; TANGUT COMPONENT-335
        "\u1894F",  # ; TANGUT COMPONENT-336
        "\u18950",  # ; TANGUT COMPONENT-337
        "\u18951",  # ; TANGUT COMPONENT-338
        "\u18952",  # ; TANGUT COMPONENT-339
        "\u18953",  # ; TANGUT COMPONENT-340
        "\u18954",  # ; TANGUT COMPONENT-341
        "\u18955",  # ; TANGUT COMPONENT-342
        "\u18956",  # ; TANGUT COMPONENT-343
        "\u18957",  # ; TANGUT COMPONENT-344
        "\u18958",  # ; TANGUT COMPONENT-345
        "\u18959",  # ; TANGUT COMPONENT-346
        "\u1895A",  # ; TANGUT COMPONENT-347
        "\u1895B",  # ; TANGUT COMPONENT-348
        "\u1895C",  # ; TANGUT COMPONENT-349
        "\u1895D",  # ; TANGUT COMPONENT-350
        "\u1895E",  # ; TANGUT COMPONENT-351
        "\u1895F",  # ; TANGUT COMPONENT-352
        "\u18960",  # ; TANGUT COMPONENT-353
        "\u18961",  # ; TANGUT COMPONENT-354
        "\u18962",  # ; TANGUT COMPONENT-355
        "\u18963",  # ; TANGUT COMPONENT-356
        "\u18964",  # ; TANGUT COMPONENT-357
        "\u18965",  # ; TANGUT COMPONENT-358
        "\u18966",  # ; TANGUT COMPONENT-359
        "\u18967",  # ; TANGUT COMPONENT-360
        "\u18968",  # ; TANGUT COMPONENT-361
        "\u18969",  # ; TANGUT COMPONENT-362
        "\u1896A",  # ; TANGUT COMPONENT-363
        "\u1896B",  # ; TANGUT COMPONENT-364
        "\u1896C",  # ; TANGUT COMPONENT-365
        "\u1896D",  # ; TANGUT COMPONENT-366
        "\u1896E",  # ; TANGUT COMPONENT-367
        "\u1896F",  # ; TANGUT COMPONENT-368
        "\u18970",  # ; TANGUT COMPONENT-369
        "\u18971",  # ; TANGUT COMPONENT-370
        "\u18972",  # ; TANGUT COMPONENT-371
        "\u18973",  # ; TANGUT COMPONENT-372
        "\u18974",  # ; TANGUT COMPONENT-373
        "\u18975",  # ; TANGUT COMPONENT-374
        "\u18976",  # ; TANGUT COMPONENT-375
        "\u18977",  # ; TANGUT COMPONENT-376
        "\u18978",  # ; TANGUT COMPONENT-377
        "\u18979",  # ; TANGUT COMPONENT-378
        "\u1897A",  # ; TANGUT COMPONENT-379
        "\u1897B",  # ; TANGUT COMPONENT-380
        "\u1897C",  # ; TANGUT COMPONENT-381
        "\u1897D",  # ; TANGUT COMPONENT-382
        "\u1897E",  # ; TANGUT COMPONENT-383
        "\u1897F",  # ; TANGUT COMPONENT-384
        "\u18980",  # ; TANGUT COMPONENT-385
        "\u18981",  # ; TANGUT COMPONENT-386
        "\u18982",  # ; TANGUT COMPONENT-387
        "\u18983",  # ; TANGUT COMPONENT-388
        "\u18984",  # ; TANGUT COMPONENT-389
        "\u18985",  # ; TANGUT COMPONENT-390
        "\u18986",  # ; TANGUT COMPONENT-391
        "\u18987",  # ; TANGUT COMPONENT-392
        "\u18988",  # ; TANGUT COMPONENT-393
        "\u18989",  # ; TANGUT COMPONENT-394
        "\u1898A",  # ; TANGUT COMPONENT-395
        "\u1898B",  # ; TANGUT COMPONENT-396
        "\u1898C",  # ; TANGUT COMPONENT-397
        "\u1898D",  # ; TANGUT COMPONENT-398
        "\u1898E",  # ; TANGUT COMPONENT-399
        "\u1898F",  # ; TANGUT COMPONENT-400
        "\u18990",  # ; TANGUT COMPONENT-401
        "\u18991",  # ; TANGUT COMPONENT-402
        "\u18992",  # ; TANGUT COMPONENT-403
        "\u18993",  # ; TANGUT COMPONENT-404
        "\u18994",  # ; TANGUT COMPONENT-405
        "\u18995",  # ; TANGUT COMPONENT-406
        "\u18996",  # ; TANGUT COMPONENT-407
        "\u18997",  # ; TANGUT COMPONENT-408
        "\u18998",  # ; TANGUT COMPONENT-409
        "\u18999",  # ; TANGUT COMPONENT-410
        "\u1899A",  # ; TANGUT COMPONENT-411
        "\u1899B",  # ; TANGUT COMPONENT-412
        "\u1899C",  # ; TANGUT COMPONENT-413
        "\u1899D",  # ; TANGUT COMPONENT-414
        "\u1899E",  # ; TANGUT COMPONENT-415
        "\u1899F",  # ; TANGUT COMPONENT-416
        "\u189A0",  # ; TANGUT COMPONENT-417
        "\u189A1",  # ; TANGUT COMPONENT-418
        "\u189A2",  # ; TANGUT COMPONENT-419
        "\u189A3",  # ; TANGUT COMPONENT-420
        "\u189A4",  # ; TANGUT COMPONENT-421
        "\u189A5",  # ; TANGUT COMPONENT-422
        "\u189A6",  # ; TANGUT COMPONENT-423
        "\u189A7",  # ; TANGUT COMPONENT-424
        "\u189A8",  # ; TANGUT COMPONENT-425
        "\u189A9",  # ; TANGUT COMPONENT-426
        "\u189AA",  # ; TANGUT COMPONENT-427
        "\u189AB",  # ; TANGUT COMPONENT-428
        "\u189AC",  # ; TANGUT COMPONENT-429
        "\u189AD",  # ; TANGUT COMPONENT-430
        "\u189AE",  # ; TANGUT COMPONENT-431
        "\u189AF",  # ; TANGUT COMPONENT-432
        "\u189B0",  # ; TANGUT COMPONENT-433
        "\u189B1",  # ; TANGUT COMPONENT-434
        "\u189B2",  # ; TANGUT COMPONENT-435
        "\u189B3",  # ; TANGUT COMPONENT-436
        "\u189B4",  # ; TANGUT COMPONENT-437
        "\u189B5",  # ; TANGUT COMPONENT-438
        "\u189B6",  # ; TANGUT COMPONENT-439
        "\u189B7",  # ; TANGUT COMPONENT-440
        "\u189B8",  # ; TANGUT COMPONENT-441
        "\u189B9",  # ; TANGUT COMPONENT-442
        "\u189BA",  # ; TANGUT COMPONENT-443
        "\u189BB",  # ; TANGUT COMPONENT-444
        "\u189BC",  # ; TANGUT COMPONENT-445
        "\u189BD",  # ; TANGUT COMPONENT-446
        "\u189BE",  # ; TANGUT COMPONENT-447
        "\u189BF",  # ; TANGUT COMPONENT-448
        "\u189C0",  # ; TANGUT COMPONENT-449
        "\u189C1",  # ; TANGUT COMPONENT-450
        "\u189C2",  # ; TANGUT COMPONENT-451
        "\u189C3",  # ; TANGUT COMPONENT-452
        "\u189C4",  # ; TANGUT COMPONENT-453
        "\u189C5",  # ; TANGUT COMPONENT-454
        "\u189C6",  # ; TANGUT COMPONENT-455
        "\u189C7",  # ; TANGUT COMPONENT-456
        "\u189C8",  # ; TANGUT COMPONENT-457
        "\u189C9",  # ; TANGUT COMPONENT-458
        "\u189CA",  # ; TANGUT COMPONENT-459
        "\u189CB",  # ; TANGUT COMPONENT-460
        "\u189CC",  # ; TANGUT COMPONENT-461
        "\u189CD",  # ; TANGUT COMPONENT-462
        "\u189CE",  # ; TANGUT COMPONENT-463
        "\u189CF",  # ; TANGUT COMPONENT-464
        "\u189D0",  # ; TANGUT COMPONENT-465
        "\u189D1",  # ; TANGUT COMPONENT-466
        "\u189D2",  # ; TANGUT COMPONENT-467
        "\u189D3",  # ; TANGUT COMPONENT-468
        "\u189D4",  # ; TANGUT COMPONENT-469
        "\u189D5",  # ; TANGUT COMPONENT-470
        "\u189D6",  # ; TANGUT COMPONENT-471
        "\u189D7",  # ; TANGUT COMPONENT-472
        "\u189D8",  # ; TANGUT COMPONENT-473
        "\u189D9",  # ; TANGUT COMPONENT-474
        "\u189DA",  # ; TANGUT COMPONENT-475
        "\u189DB",  # ; TANGUT COMPONENT-476
        "\u189DC",  # ; TANGUT COMPONENT-477
        "\u189DD",  # ; TANGUT COMPONENT-478
        "\u189DE",  # ; TANGUT COMPONENT-479
        "\u189DF",  # ; TANGUT COMPONENT-480
        "\u189E0",  # ; TANGUT COMPONENT-481
        "\u189E1",  # ; TANGUT COMPONENT-482
        "\u189E2",  # ; TANGUT COMPONENT-483
        "\u189E3",  # ; TANGUT COMPONENT-484
        "\u189E4",  # ; TANGUT COMPONENT-485
        "\u189E5",  # ; TANGUT COMPONENT-486
        "\u189E6",  # ; TANGUT COMPONENT-487
        "\u189E7",  # ; TANGUT COMPONENT-488
        "\u189E8",  # ; TANGUT COMPONENT-489
        "\u189E9",  # ; TANGUT COMPONENT-490
        "\u189EA",  # ; TANGUT COMPONENT-491
        "\u189EB",  # ; TANGUT COMPONENT-492
        "\u189EC",  # ; TANGUT COMPONENT-493
        "\u189ED",  # ; TANGUT COMPONENT-494
        "\u189EE",  # ; TANGUT COMPONENT-495
        "\u189EF",  # ; TANGUT COMPONENT-496
        "\u189F0",  # ; TANGUT COMPONENT-497
        "\u189F1",  # ; TANGUT COMPONENT-498
        "\u189F2",  # ; TANGUT COMPONENT-499
        "\u189F3",  # ; TANGUT COMPONENT-500
        "\u189F4",  # ; TANGUT COMPONENT-501
        "\u189F5",  # ; TANGUT COMPONENT-502
        "\u189F6",  # ; TANGUT COMPONENT-503
        "\u189F7",  # ; TANGUT COMPONENT-504
        "\u189F8",  # ; TANGUT COMPONENT-505
        "\u189F9",  # ; TANGUT COMPONENT-506
        "\u189FA",  # ; TANGUT COMPONENT-507
        "\u189FB",  # ; TANGUT COMPONENT-508
        "\u189FC",  # ; TANGUT COMPONENT-509
        "\u189FD",  # ; TANGUT COMPONENT-510
        "\u189FE",  # ; TANGUT COMPONENT-511
        "\u189FF",  # ; TANGUT COMPONENT-512
        "\u18A00",  # ; TANGUT COMPONENT-513
        "\u18A01",  # ; TANGUT COMPONENT-514
        "\u18A02",  # ; TANGUT COMPONENT-515
        "\u18A03",  # ; TANGUT COMPONENT-516
        "\u18A04",  # ; TANGUT COMPONENT-517
        "\u18A05",  # ; TANGUT COMPONENT-518
        "\u18A06",  # ; TANGUT COMPONENT-519
        "\u18A07",  # ; TANGUT COMPONENT-520
        "\u18A08",  # ; TANGUT COMPONENT-521
        "\u18A09",  # ; TANGUT COMPONENT-522
        "\u18A0A",  # ; TANGUT COMPONENT-523
        "\u18A0B",  # ; TANGUT COMPONENT-524
        "\u18A0C",  # ; TANGUT COMPONENT-525
        "\u18A0D",  # ; TANGUT COMPONENT-526
        "\u18A0E",  # ; TANGUT COMPONENT-527
        "\u18A0F",  # ; TANGUT COMPONENT-528
        "\u18A10",  # ; TANGUT COMPONENT-529
        "\u18A11",  # ; TANGUT COMPONENT-530
        "\u18A12",  # ; TANGUT COMPONENT-531
        "\u18A13",  # ; TANGUT COMPONENT-532
        "\u18A14",  # ; TANGUT COMPONENT-533
        "\u18A15",  # ; TANGUT COMPONENT-534
        "\u18A16",  # ; TANGUT COMPONENT-535
        "\u18A17",  # ; TANGUT COMPONENT-536
        "\u18A18",  # ; TANGUT COMPONENT-537
        "\u18A19",  # ; TANGUT COMPONENT-538
        "\u18A1A",  # ; TANGUT COMPONENT-539
        "\u18A1B",  # ; TANGUT COMPONENT-540
        "\u18A1C",  # ; TANGUT COMPONENT-541
        "\u18A1D",  # ; TANGUT COMPONENT-542
        "\u18A1E",  # ; TANGUT COMPONENT-543
        "\u18A1F",  # ; TANGUT COMPONENT-544
        "\u18A20",  # ; TANGUT COMPONENT-545
        "\u18A21",  # ; TANGUT COMPONENT-546
        "\u18A22",  # ; TANGUT COMPONENT-547
        "\u18A23",  # ; TANGUT COMPONENT-548
        "\u18A24",  # ; TANGUT COMPONENT-549
        "\u18A25",  # ; TANGUT COMPONENT-550
        "\u18A26",  # ; TANGUT COMPONENT-551
        "\u18A27",  # ; TANGUT COMPONENT-552
        "\u18A28",  # ; TANGUT COMPONENT-553
        "\u18A29",  # ; TANGUT COMPONENT-554
        "\u18A2A",  # ; TANGUT COMPONENT-555
        "\u18A2B",  # ; TANGUT COMPONENT-556
        "\u18A2C",  # ; TANGUT COMPONENT-557
        "\u18A2D",  # ; TANGUT COMPONENT-558
        "\u18A2E",  # ; TANGUT COMPONENT-559
        "\u18A2F",  # ; TANGUT COMPONENT-560
        "\u18A30",  # ; TANGUT COMPONENT-561
        "\u18A31",  # ; TANGUT COMPONENT-562
        "\u18A32",  # ; TANGUT COMPONENT-563
        "\u18A33",  # ; TANGUT COMPONENT-564
        "\u18A34",  # ; TANGUT COMPONENT-565
        "\u18A35",  # ; TANGUT COMPONENT-566
        "\u18A36",  # ; TANGUT COMPONENT-567
        "\u18A37",  # ; TANGUT COMPONENT-568
        "\u18A38",  # ; TANGUT COMPONENT-569
        "\u18A39",  # ; TANGUT COMPONENT-570
        "\u18A3A",  # ; TANGUT COMPONENT-571
        "\u18A3B",  # ; TANGUT COMPONENT-572
        "\u18A3C",  # ; TANGUT COMPONENT-573
        "\u18A3D",  # ; TANGUT COMPONENT-574
        "\u18A3E",  # ; TANGUT COMPONENT-575
        "\u18A3F",  # ; TANGUT COMPONENT-576
        "\u18A40",  # ; TANGUT COMPONENT-577
        "\u18A41",  # ; TANGUT COMPONENT-578
        "\u18A42",  # ; TANGUT COMPONENT-579
        "\u18A43",  # ; TANGUT COMPONENT-580
        "\u18A44",  # ; TANGUT COMPONENT-581
        "\u18A45",  # ; TANGUT COMPONENT-582
        "\u18A46",  # ; TANGUT COMPONENT-583
        "\u18A47",  # ; TANGUT COMPONENT-584
        "\u18A48",  # ; TANGUT COMPONENT-585
        "\u18A49",  # ; TANGUT COMPONENT-586
        "\u18A4A",  # ; TANGUT COMPONENT-587
        "\u18A4B",  # ; TANGUT COMPONENT-588
        "\u18A4C",  # ; TANGUT COMPONENT-589
        "\u18A4D",  # ; TANGUT COMPONENT-590
        "\u18A4E",  # ; TANGUT COMPONENT-591
        "\u18A4F",  # ; TANGUT COMPONENT-592
        "\u18A50",  # ; TANGUT COMPONENT-593
        "\u18A51",  # ; TANGUT COMPONENT-594
        "\u18A52",  # ; TANGUT COMPONENT-595
        "\u18A53",  # ; TANGUT COMPONENT-596
        "\u18A54",  # ; TANGUT COMPONENT-597
        "\u18A55",  # ; TANGUT COMPONENT-598
        "\u18A56",  # ; TANGUT COMPONENT-599
        "\u18A57",  # ; TANGUT COMPONENT-600
        "\u18A58",  # ; TANGUT COMPONENT-601
        "\u18A59",  # ; TANGUT COMPONENT-602
        "\u18A5A",  # ; TANGUT COMPONENT-603
        "\u18A5B",  # ; TANGUT COMPONENT-604
        "\u18A5C",  # ; TANGUT COMPONENT-605
        "\u18A5D",  # ; TANGUT COMPONENT-606
        "\u18A5E",  # ; TANGUT COMPONENT-607
        "\u18A5F",  # ; TANGUT COMPONENT-608
        "\u18A60",  # ; TANGUT COMPONENT-609
        "\u18A61",  # ; TANGUT COMPONENT-610
        "\u18A62",  # ; TANGUT COMPONENT-611
        "\u18A63",  # ; TANGUT COMPONENT-612
        "\u18A64",  # ; TANGUT COMPONENT-613
        "\u18A65",  # ; TANGUT COMPONENT-614
        "\u18A66",  # ; TANGUT COMPONENT-615
        "\u18A67",  # ; TANGUT COMPONENT-616
        "\u18A68",  # ; TANGUT COMPONENT-617
        "\u18A69",  # ; TANGUT COMPONENT-618
        "\u18A6A",  # ; TANGUT COMPONENT-619
        "\u18A6B",  # ; TANGUT COMPONENT-620
        "\u18A6C",  # ; TANGUT COMPONENT-621
        "\u18A6D",  # ; TANGUT COMPONENT-622
        "\u18A6E",  # ; TANGUT COMPONENT-623
        "\u18A6F",  # ; TANGUT COMPONENT-624
        "\u18A70",  # ; TANGUT COMPONENT-625
        "\u18A71",  # ; TANGUT COMPONENT-626
        "\u18A72",  # ; TANGUT COMPONENT-627
        "\u18A73",  # ; TANGUT COMPONENT-628
        "\u18A74",  # ; TANGUT COMPONENT-629
        "\u18A75",  # ; TANGUT COMPONENT-630
        "\u18A76",  # ; TANGUT COMPONENT-631
        "\u18A77",  # ; TANGUT COMPONENT-632
        "\u18A78",  # ; TANGUT COMPONENT-633
        "\u18A79",  # ; TANGUT COMPONENT-634
        "\u18A7A",  # ; TANGUT COMPONENT-635
        "\u18A7B",  # ; TANGUT COMPONENT-636
        "\u18A7C",  # ; TANGUT COMPONENT-637
        "\u18A7D",  # ; TANGUT COMPONENT-638
        "\u18A7E",  # ; TANGUT COMPONENT-639
        "\u18A7F",  # ; TANGUT COMPONENT-640
        "\u18A80",  # ; TANGUT COMPONENT-641
        "\u18A81",  # ; TANGUT COMPONENT-642
        "\u18A82",  # ; TANGUT COMPONENT-643
        "\u18A83",  # ; TANGUT COMPONENT-644
        "\u18A84",  # ; TANGUT COMPONENT-645
        "\u18A85",  # ; TANGUT COMPONENT-646
        "\u18A86",  # ; TANGUT COMPONENT-647
        "\u18A87",  # ; TANGUT COMPONENT-648
        "\u18A88",  # ; TANGUT COMPONENT-649
        "\u18A89",  # ; TANGUT COMPONENT-650
        "\u18A8A",  # ; TANGUT COMPONENT-651
        "\u18A8B",  # ; TANGUT COMPONENT-652
        "\u18A8C",  # ; TANGUT COMPONENT-653
        "\u18A8D",  # ; TANGUT COMPONENT-654
        "\u18A8E",  # ; TANGUT COMPONENT-655
        "\u18A8F",  # ; TANGUT COMPONENT-656
        "\u18A90",  # ; TANGUT COMPONENT-657
        "\u18A91",  # ; TANGUT COMPONENT-658
        "\u18A92",  # ; TANGUT COMPONENT-659
        "\u18A93",  # ; TANGUT COMPONENT-660
        "\u18A94",  # ; TANGUT COMPONENT-661
        "\u18A95",  # ; TANGUT COMPONENT-662
        "\u18A96",  # ; TANGUT COMPONENT-663
        "\u18A97",  # ; TANGUT COMPONENT-664
        "\u18A98",  # ; TANGUT COMPONENT-665
        "\u18A99",  # ; TANGUT COMPONENT-666
        "\u18A9A",  # ; TANGUT COMPONENT-667
        "\u18A9B",  # ; TANGUT COMPONENT-668
        "\u18A9C",  # ; TANGUT COMPONENT-669
        "\u18A9D",  # ; TANGUT COMPONENT-670
        "\u18A9E",  # ; TANGUT COMPONENT-671
        "\u18A9F",  # ; TANGUT COMPONENT-672
        "\u18AA0",  # ; TANGUT COMPONENT-673
        "\u18AA1",  # ; TANGUT COMPONENT-674
        "\u18AA2",  # ; TANGUT COMPONENT-675
        "\u18AA3",  # ; TANGUT COMPONENT-676
        "\u18AA4",  # ; TANGUT COMPONENT-677
        "\u18AA5",  # ; TANGUT COMPONENT-678
        "\u18AA6",  # ; TANGUT COMPONENT-679
        "\u18AA7",  # ; TANGUT COMPONENT-680
        "\u18AA8",  # ; TANGUT COMPONENT-681
        "\u18AA9",  # ; TANGUT COMPONENT-682
        "\u18AAA",  # ; TANGUT COMPONENT-683
        "\u18AAB",  # ; TANGUT COMPONENT-684
        "\u18AAC",  # ; TANGUT COMPONENT-685
        "\u18AAD",  # ; TANGUT COMPONENT-686
        "\u18AAE",  # ; TANGUT COMPONENT-687
        "\u18AAF",  # ; TANGUT COMPONENT-688
        "\u18AB0",  # ; TANGUT COMPONENT-689
        "\u18AB1",  # ; TANGUT COMPONENT-690
        "\u18AB2",  # ; TANGUT COMPONENT-691
        "\u18AB3",  # ; TANGUT COMPONENT-692
        "\u18AB4",  # ; TANGUT COMPONENT-693
        "\u18AB5",  # ; TANGUT COMPONENT-694
        "\u18AB6",  # ; TANGUT COMPONENT-695
        "\u18AB7",  # ; TANGUT COMPONENT-696
        "\u18AB8",  # ; TANGUT COMPONENT-697
        "\u18AB9",  # ; TANGUT COMPONENT-698
        "\u18ABA",  # ; TANGUT COMPONENT-699
        "\u18ABB",  # ; TANGUT COMPONENT-700
        "\u18ABC",  # ; TANGUT COMPONENT-701
        "\u18ABD",  # ; TANGUT COMPONENT-702
        "\u18ABE",  # ; TANGUT COMPONENT-703
        "\u18ABF",  # ; TANGUT COMPONENT-704
        "\u18AC0",  # ; TANGUT COMPONENT-705
        "\u18AC1",  # ; TANGUT COMPONENT-706
        "\u18AC2",  # ; TANGUT COMPONENT-707
        "\u18AC3",  # ; TANGUT COMPONENT-708
        "\u18AC4",  # ; TANGUT COMPONENT-709
        "\u18AC5",  # ; TANGUT COMPONENT-710
        "\u18AC6",  # ; TANGUT COMPONENT-711
        "\u18AC7",  # ; TANGUT COMPONENT-712
        "\u18AC8",  # ; TANGUT COMPONENT-713
        "\u18AC9",  # ; TANGUT COMPONENT-714
        "\u18ACA",  # ; TANGUT COMPONENT-715
        "\u18ACB",  # ; TANGUT COMPONENT-716
        "\u18ACC",  # ; TANGUT COMPONENT-717
        "\u18ACD",  # ; TANGUT COMPONENT-718
        "\u18ACE",  # ; TANGUT COMPONENT-719
        "\u18ACF",  # ; TANGUT COMPONENT-720
        "\u18AD0",  # ; TANGUT COMPONENT-721
        "\u18AD1",  # ; TANGUT COMPONENT-722
        "\u18AD2",  # ; TANGUT COMPONENT-723
        "\u18AD3",  # ; TANGUT COMPONENT-724
        "\u18AD4",  # ; TANGUT COMPONENT-725
        "\u18AD5",  # ; TANGUT COMPONENT-726
        "\u18AD6",  # ; TANGUT COMPONENT-727
        "\u18AD7",  # ; TANGUT COMPONENT-728
        "\u18AD8",  # ; TANGUT COMPONENT-729
        "\u18AD9",  # ; TANGUT COMPONENT-730
        "\u18ADA",  # ; TANGUT COMPONENT-731
        "\u18ADB",  # ; TANGUT COMPONENT-732
        "\u18ADC",  # ; TANGUT COMPONENT-733
        "\u18ADD",  # ; TANGUT COMPONENT-734
        "\u18ADE",  # ; TANGUT COMPONENT-735
        "\u18ADF",  # ; TANGUT COMPONENT-736
        "\u18AE0",  # ; TANGUT COMPONENT-737
        "\u18AE1",  # ; TANGUT COMPONENT-738
        "\u18AE2",  # ; TANGUT COMPONENT-739
        "\u18AE3",  # ; TANGUT COMPONENT-740
        "\u18AE4",  # ; TANGUT COMPONENT-741
        "\u18AE5",  # ; TANGUT COMPONENT-742
        "\u18AE6",  # ; TANGUT COMPONENT-743
        "\u18AE7",  # ; TANGUT COMPONENT-744
        "\u18AE8",  # ; TANGUT COMPONENT-745
        "\u18AE9",  # ; TANGUT COMPONENT-746
        "\u18AEA",  # ; TANGUT COMPONENT-747
        "\u18AEB",  # ; TANGUT COMPONENT-748
        "\u18AEC",  # ; TANGUT COMPONENT-749
        "\u18AED",  # ; TANGUT COMPONENT-750
        "\u18AEE",  # ; TANGUT COMPONENT-751
        "\u18AEF",  # ; TANGUT COMPONENT-752
        "\u18AF0",  # ; TANGUT COMPONENT-753
        "\u18AF1",  # ; TANGUT COMPONENT-754
        "\u18AF2",  # ; TANGUT COMPONENT-755
        "\u1B000",  # ; KATAKANA LETTER ARCHAIC E
        "\u1B001",  # ; HIRAGANA LETTER ARCHAIC YE
        "\u1B002",  # ; HENTAIGANA LETTER A-1
        "\u1B003",  # ; HENTAIGANA LETTER A-2
        "\u1B004",  # ; HENTAIGANA LETTER A-3
        "\u1B005",  # ; HENTAIGANA LETTER A-WO
        "\u1B006",  # ; HENTAIGANA LETTER I-1
        "\u1B007",  # ; HENTAIGANA LETTER I-2
        "\u1B008",  # ; HENTAIGANA LETTER I-3
        "\u1B009",  # ; HENTAIGANA LETTER I-4
        "\u1B00A",  # ; HENTAIGANA LETTER U-1
        "\u1B00B",  # ; HENTAIGANA LETTER U-2
        "\u1B00C",  # ; HENTAIGANA LETTER U-3
        "\u1B00D",  # ; HENTAIGANA LETTER U-4
        "\u1B00E",  # ; HENTAIGANA LETTER U-5
        "\u1B00F",  # ; HENTAIGANA LETTER E-2
        "\u1B010",  # ; HENTAIGANA LETTER E-3
        "\u1B011",  # ; HENTAIGANA LETTER E-4
        "\u1B012",  # ; HENTAIGANA LETTER E-5
        "\u1B013",  # ; HENTAIGANA LETTER E-6
        "\u1B014",  # ; HENTAIGANA LETTER O-1
        "\u1B015",  # ; HENTAIGANA LETTER O-2
        "\u1B016",  # ; HENTAIGANA LETTER O-3
        "\u1B017",  # ; HENTAIGANA LETTER KA-1
        "\u1B018",  # ; HENTAIGANA LETTER KA-2
        "\u1B019",  # ; HENTAIGANA LETTER KA-3
        "\u1B01A",  # ; HENTAIGANA LETTER KA-4
        "\u1B01B",  # ; HENTAIGANA LETTER KA-5
        "\u1B01C",  # ; HENTAIGANA LETTER KA-6
        "\u1B01D",  # ; HENTAIGANA LETTER KA-7
        "\u1B01E",  # ; HENTAIGANA LETTER KA-8
        "\u1B01F",  # ; HENTAIGANA LETTER KA-9
        "\u1B020",  # ; HENTAIGANA LETTER KA-10
        "\u1B021",  # ; HENTAIGANA LETTER KA-11
        "\u1B022",  # ; HENTAIGANA LETTER KA-KE
        "\u1B023",  # ; HENTAIGANA LETTER KI-1
        "\u1B024",  # ; HENTAIGANA LETTER KI-2
        "\u1B025",  # ; HENTAIGANA LETTER KI-3
        "\u1B026",  # ; HENTAIGANA LETTER KI-4
        "\u1B027",  # ; HENTAIGANA LETTER KI-5
        "\u1B028",  # ; HENTAIGANA LETTER KI-6
        "\u1B029",  # ; HENTAIGANA LETTER KI-7
        "\u1B02A",  # ; HENTAIGANA LETTER KI-8
        "\u1B02B",  # ; HENTAIGANA LETTER KU-1
        "\u1B02C",  # ; HENTAIGANA LETTER KU-2
        "\u1B02D",  # ; HENTAIGANA LETTER KU-3
        "\u1B02E",  # ; HENTAIGANA LETTER KU-4
        "\u1B02F",  # ; HENTAIGANA LETTER KU-5
        "\u1B030",  # ; HENTAIGANA LETTER KU-6
        "\u1B031",  # ; HENTAIGANA LETTER KU-7
        "\u1B032",  # ; HENTAIGANA LETTER KE-1
        "\u1B033",  # ; HENTAIGANA LETTER KE-2
        "\u1B034",  # ; HENTAIGANA LETTER KE-3
        "\u1B035",  # ; HENTAIGANA LETTER KE-4
        "\u1B036",  # ; HENTAIGANA LETTER KE-5
        "\u1B037",  # ; HENTAIGANA LETTER KE-6
        "\u1B038",  # ; HENTAIGANA LETTER KO-1
        "\u1B039",  # ; HENTAIGANA LETTER KO-2
        "\u1B03A",  # ; HENTAIGANA LETTER KO-3
        "\u1B03B",  # ; HENTAIGANA LETTER KO-KI
        "\u1B03C",  # ; HENTAIGANA LETTER SA-1
        "\u1B03D",  # ; HENTAIGANA LETTER SA-2
        "\u1B03E",  # ; HENTAIGANA LETTER SA-3
        "\u1B03F",  # ; HENTAIGANA LETTER SA-4
        "\u1B040",  # ; HENTAIGANA LETTER SA-5
        "\u1B041",  # ; HENTAIGANA LETTER SA-6
        "\u1B042",  # ; HENTAIGANA LETTER SA-7
        "\u1B043",  # ; HENTAIGANA LETTER SA-8
        "\u1B044",  # ; HENTAIGANA LETTER SI-1
        "\u1B045",  # ; HENTAIGANA LETTER SI-2
        "\u1B046",  # ; HENTAIGANA LETTER SI-3
        "\u1B047",  # ; HENTAIGANA LETTER SI-4
        "\u1B048",  # ; HENTAIGANA LETTER SI-5
        "\u1B049",  # ; HENTAIGANA LETTER SI-6
        "\u1B04A",  # ; HENTAIGANA LETTER SU-1
        "\u1B04B",  # ; HENTAIGANA LETTER SU-2
        "\u1B04C",  # ; HENTAIGANA LETTER SU-3
        "\u1B04D",  # ; HENTAIGANA LETTER SU-4
        "\u1B04E",  # ; HENTAIGANA LETTER SU-5
        "\u1B04F",  # ; HENTAIGANA LETTER SU-6
        "\u1B050",  # ; HENTAIGANA LETTER SU-7
        "\u1B051",  # ; HENTAIGANA LETTER SU-8
        "\u1B052",  # ; HENTAIGANA LETTER SE-1
        "\u1B053",  # ; HENTAIGANA LETTER SE-2
        "\u1B054",  # ; HENTAIGANA LETTER SE-3
        "\u1B055",  # ; HENTAIGANA LETTER SE-4
        "\u1B056",  # ; HENTAIGANA LETTER SE-5
        "\u1B057",  # ; HENTAIGANA LETTER SO-1
        "\u1B058",  # ; HENTAIGANA LETTER SO-2
        "\u1B059",  # ; HENTAIGANA LETTER SO-3
        "\u1B05A",  # ; HENTAIGANA LETTER SO-4
        "\u1B05B",  # ; HENTAIGANA LETTER SO-5
        "\u1B05C",  # ; HENTAIGANA LETTER SO-6
        "\u1B05D",  # ; HENTAIGANA LETTER SO-7
        "\u1B05E",  # ; HENTAIGANA LETTER TA-1
        "\u1B05F",  # ; HENTAIGANA LETTER TA-2
        "\u1B060",  # ; HENTAIGANA LETTER TA-3
        "\u1B061",  # ; HENTAIGANA LETTER TA-4
        "\u1B062",  # ; HENTAIGANA LETTER TI-1
        "\u1B063",  # ; HENTAIGANA LETTER TI-2
        "\u1B064",  # ; HENTAIGANA LETTER TI-3
        "\u1B065",  # ; HENTAIGANA LETTER TI-4
        "\u1B066",  # ; HENTAIGANA LETTER TI-5
        "\u1B067",  # ; HENTAIGANA LETTER TI-6
        "\u1B068",  # ; HENTAIGANA LETTER TI-7
        "\u1B069",  # ; HENTAIGANA LETTER TU-1
        "\u1B06A",  # ; HENTAIGANA LETTER TU-2
        "\u1B06B",  # ; HENTAIGANA LETTER TU-3
        "\u1B06C",  # ; HENTAIGANA LETTER TU-4
        "\u1B06D",  # ; HENTAIGANA LETTER TU-TO
        "\u1B06E",  # ; HENTAIGANA LETTER TE-1
        "\u1B06F",  # ; HENTAIGANA LETTER TE-2
        "\u1B070",  # ; HENTAIGANA LETTER TE-3
        "\u1B071",  # ; HENTAIGANA LETTER TE-4
        "\u1B072",  # ; HENTAIGANA LETTER TE-5
        "\u1B073",  # ; HENTAIGANA LETTER TE-6
        "\u1B074",  # ; HENTAIGANA LETTER TE-7
        "\u1B075",  # ; HENTAIGANA LETTER TE-8
        "\u1B076",  # ; HENTAIGANA LETTER TE-9
        "\u1B077",  # ; HENTAIGANA LETTER TO-1
        "\u1B078",  # ; HENTAIGANA LETTER TO-2
        "\u1B079",  # ; HENTAIGANA LETTER TO-3
        "\u1B07A",  # ; HENTAIGANA LETTER TO-4
        "\u1B07B",  # ; HENTAIGANA LETTER TO-5
        "\u1B07C",  # ; HENTAIGANA LETTER TO-6
        "\u1B07D",  # ; HENTAIGANA LETTER TO-RA
        "\u1B07E",  # ; HENTAIGANA LETTER NA-1
        "\u1B07F",  # ; HENTAIGANA LETTER NA-2
        "\u1B080",  # ; HENTAIGANA LETTER NA-3
        "\u1B081",  # ; HENTAIGANA LETTER NA-4
        "\u1B082",  # ; HENTAIGANA LETTER NA-5
        "\u1B083",  # ; HENTAIGANA LETTER NA-6
        "\u1B084",  # ; HENTAIGANA LETTER NA-7
        "\u1B085",  # ; HENTAIGANA LETTER NA-8
        "\u1B086",  # ; HENTAIGANA LETTER NA-9
        "\u1B087",  # ; HENTAIGANA LETTER NI-1
        "\u1B088",  # ; HENTAIGANA LETTER NI-2
        "\u1B089",  # ; HENTAIGANA LETTER NI-3
        "\u1B08A",  # ; HENTAIGANA LETTER NI-4
        "\u1B08B",  # ; HENTAIGANA LETTER NI-5
        "\u1B08C",  # ; HENTAIGANA LETTER NI-6
        "\u1B08D",  # ; HENTAIGANA LETTER NI-7
        "\u1B08E",  # ; HENTAIGANA LETTER NI-TE
        "\u1B08F",  # ; HENTAIGANA LETTER NU-1
        "\u1B090",  # ; HENTAIGANA LETTER NU-2
        "\u1B091",  # ; HENTAIGANA LETTER NU-3
        "\u1B092",  # ; HENTAIGANA LETTER NE-1
        "\u1B093",  # ; HENTAIGANA LETTER NE-2
        "\u1B094",  # ; HENTAIGANA LETTER NE-3
        "\u1B095",  # ; HENTAIGANA LETTER NE-4
        "\u1B096",  # ; HENTAIGANA LETTER NE-5
        "\u1B097",  # ; HENTAIGANA LETTER NE-6
        "\u1B098",  # ; HENTAIGANA LETTER NE-KO
        "\u1B099",  # ; HENTAIGANA LETTER NO-1
        "\u1B09A",  # ; HENTAIGANA LETTER NO-2
        "\u1B09B",  # ; HENTAIGANA LETTER NO-3
        "\u1B09C",  # ; HENTAIGANA LETTER NO-4
        "\u1B09D",  # ; HENTAIGANA LETTER NO-5
        "\u1B09E",  # ; HENTAIGANA LETTER HA-1
        "\u1B09F",  # ; HENTAIGANA LETTER HA-2
        "\u1B0A0",  # ; HENTAIGANA LETTER HA-3
        "\u1B0A1",  # ; HENTAIGANA LETTER HA-4
        "\u1B0A2",  # ; HENTAIGANA LETTER HA-5
        "\u1B0A3",  # ; HENTAIGANA LETTER HA-6
        "\u1B0A4",  # ; HENTAIGANA LETTER HA-7
        "\u1B0A5",  # ; HENTAIGANA LETTER HA-8
        "\u1B0A6",  # ; HENTAIGANA LETTER HA-9
        "\u1B0A7",  # ; HENTAIGANA LETTER HA-10
        "\u1B0A8",  # ; HENTAIGANA LETTER HA-11
        "\u1B0A9",  # ; HENTAIGANA LETTER HI-1
        "\u1B0AA",  # ; HENTAIGANA LETTER HI-2
        "\u1B0AB",  # ; HENTAIGANA LETTER HI-3
        "\u1B0AC",  # ; HENTAIGANA LETTER HI-4
        "\u1B0AD",  # ; HENTAIGANA LETTER HI-5
        "\u1B0AE",  # ; HENTAIGANA LETTER HI-6
        "\u1B0AF",  # ; HENTAIGANA LETTER HI-7
        "\u1B0B0",  # ; HENTAIGANA LETTER HU-1
        "\u1B0B1",  # ; HENTAIGANA LETTER HU-2
        "\u1B0B2",  # ; HENTAIGANA LETTER HU-3
        "\u1B0B3",  # ; HENTAIGANA LETTER HE-1
        "\u1B0B4",  # ; HENTAIGANA LETTER HE-2
        "\u1B0B5",  # ; HENTAIGANA LETTER HE-3
        "\u1B0B6",  # ; HENTAIGANA LETTER HE-4
        "\u1B0B7",  # ; HENTAIGANA LETTER HE-5
        "\u1B0B8",  # ; HENTAIGANA LETTER HE-6
        "\u1B0B9",  # ; HENTAIGANA LETTER HE-7
        "\u1B0BA",  # ; HENTAIGANA LETTER HO-1
        "\u1B0BB",  # ; HENTAIGANA LETTER HO-2
        "\u1B0BC",  # ; HENTAIGANA LETTER HO-3
        "\u1B0BD",  # ; HENTAIGANA LETTER HO-4
        "\u1B0BE",  # ; HENTAIGANA LETTER HO-5
        "\u1B0BF",  # ; HENTAIGANA LETTER HO-6
        "\u1B0C0",  # ; HENTAIGANA LETTER HO-7
        "\u1B0C1",  # ; HENTAIGANA LETTER HO-8
        "\u1B0C2",  # ; HENTAIGANA LETTER MA-1
        "\u1B0C3",  # ; HENTAIGANA LETTER MA-2
        "\u1B0C4",  # ; HENTAIGANA LETTER MA-3
        "\u1B0C5",  # ; HENTAIGANA LETTER MA-4
        "\u1B0C6",  # ; HENTAIGANA LETTER MA-5
        "\u1B0C7",  # ; HENTAIGANA LETTER MA-6
        "\u1B0C8",  # ; HENTAIGANA LETTER MA-7
        "\u1B0C9",  # ; HENTAIGANA LETTER MI-1
        "\u1B0CA",  # ; HENTAIGANA LETTER MI-2
        "\u1B0CB",  # ; HENTAIGANA LETTER MI-3
        "\u1B0CC",  # ; HENTAIGANA LETTER MI-4
        "\u1B0CD",  # ; HENTAIGANA LETTER MI-5
        "\u1B0CE",  # ; HENTAIGANA LETTER MI-6
        "\u1B0CF",  # ; HENTAIGANA LETTER MI-7
        "\u1B0D0",  # ; HENTAIGANA LETTER MU-1
        "\u1B0D1",  # ; HENTAIGANA LETTER MU-2
        "\u1B0D2",  # ; HENTAIGANA LETTER MU-3
        "\u1B0D3",  # ; HENTAIGANA LETTER MU-4
        "\u1B0D4",  # ; HENTAIGANA LETTER ME-1
        "\u1B0D5",  # ; HENTAIGANA LETTER ME-2
        "\u1B0D6",  # ; HENTAIGANA LETTER ME-MA
        "\u1B0D7",  # ; HENTAIGANA LETTER MO-1
        "\u1B0D8",  # ; HENTAIGANA LETTER MO-2
        "\u1B0D9",  # ; HENTAIGANA LETTER MO-3
        "\u1B0DA",  # ; HENTAIGANA LETTER MO-4
        "\u1B0DB",  # ; HENTAIGANA LETTER MO-5
        "\u1B0DC",  # ; HENTAIGANA LETTER MO-6
        "\u1B0DD",  # ; HENTAIGANA LETTER YA-1
        "\u1B0DE",  # ; HENTAIGANA LETTER YA-2
        "\u1B0DF",  # ; HENTAIGANA LETTER YA-3
        "\u1B0E0",  # ; HENTAIGANA LETTER YA-4
        "\u1B0E1",  # ; HENTAIGANA LETTER YA-5
        "\u1B0E2",  # ; HENTAIGANA LETTER YA-YO
        "\u1B0E3",  # ; HENTAIGANA LETTER YU-1
        "\u1B0E4",  # ; HENTAIGANA LETTER YU-2
        "\u1B0E5",  # ; HENTAIGANA LETTER YU-3
        "\u1B0E6",  # ; HENTAIGANA LETTER YU-4
        "\u1B0E7",  # ; HENTAIGANA LETTER YO-1
        "\u1B0E8",  # ; HENTAIGANA LETTER YO-2
        "\u1B0E9",  # ; HENTAIGANA LETTER YO-3
        "\u1B0EA",  # ; HENTAIGANA LETTER YO-4
        "\u1B0EB",  # ; HENTAIGANA LETTER YO-5
        "\u1B0EC",  # ; HENTAIGANA LETTER YO-6
        "\u1B0ED",  # ; HENTAIGANA LETTER RA-1
        "\u1B0EE",  # ; HENTAIGANA LETTER RA-2
        "\u1B0EF",  # ; HENTAIGANA LETTER RA-3
        "\u1B0F0",  # ; HENTAIGANA LETTER RA-4
        "\u1B0F1",  # ; HENTAIGANA LETTER RI-1
        "\u1B0F2",  # ; HENTAIGANA LETTER RI-2
        "\u1B0F3",  # ; HENTAIGANA LETTER RI-3
        "\u1B0F4",  # ; HENTAIGANA LETTER RI-4
        "\u1B0F5",  # ; HENTAIGANA LETTER RI-5
        "\u1B0F6",  # ; HENTAIGANA LETTER RI-6
        "\u1B0F7",  # ; HENTAIGANA LETTER RI-7
        "\u1B0F8",  # ; HENTAIGANA LETTER RU-1
        "\u1B0F9",  # ; HENTAIGANA LETTER RU-2
        "\u1B0FA",  # ; HENTAIGANA LETTER RU-3
        "\u1B0FB",  # ; HENTAIGANA LETTER RU-4
        "\u1B0FC",  # ; HENTAIGANA LETTER RU-5
        "\u1B0FD",  # ; HENTAIGANA LETTER RU-6
        "\u1B0FE",  # ; HENTAIGANA LETTER RE-1
        "\u1B0FF",  # ; HENTAIGANA LETTER RE-2
        "\u1B100",  # ; HENTAIGANA LETTER RE-3
        "\u1B101",  # ; HENTAIGANA LETTER RE-4
        "\u1B102",  # ; HENTAIGANA LETTER RO-1
        "\u1B103",  # ; HENTAIGANA LETTER RO-2
        "\u1B104",  # ; HENTAIGANA LETTER RO-3
        "\u1B105",  # ; HENTAIGANA LETTER RO-4
        "\u1B106",  # ; HENTAIGANA LETTER RO-5
        "\u1B107",  # ; HENTAIGANA LETTER RO-6
        "\u1B108",  # ; HENTAIGANA LETTER WA-1
        "\u1B109",  # ; HENTAIGANA LETTER WA-2
        "\u1B10A",  # ; HENTAIGANA LETTER WA-3
        "\u1B10B",  # ; HENTAIGANA LETTER WA-4
        "\u1B10C",  # ; HENTAIGANA LETTER WA-5
        "\u1B10D",  # ; HENTAIGANA LETTER WI-1
        "\u1B10E",  # ; HENTAIGANA LETTER WI-2
        "\u1B10F",  # ; HENTAIGANA LETTER WI-3
        "\u1B110",  # ; HENTAIGANA LETTER WI-4
        "\u1B111",  # ; HENTAIGANA LETTER WI-5
        "\u1B112",  # ; HENTAIGANA LETTER WE-1
        "\u1B113",  # ; HENTAIGANA LETTER WE-2
        "\u1B114",  # ; HENTAIGANA LETTER WE-3
        "\u1B115",  # ; HENTAIGANA LETTER WE-4
        "\u1B116",  # ; HENTAIGANA LETTER WO-1
        "\u1B117",  # ; HENTAIGANA LETTER WO-2
        "\u1B118",  # ; HENTAIGANA LETTER WO-3
        "\u1B119",  # ; HENTAIGANA LETTER WO-4
        "\u1B11A",  # ; HENTAIGANA LETTER WO-5
        "\u1B11B",  # ; HENTAIGANA LETTER WO-6
        "\u1B11C",  # ; HENTAIGANA LETTER WO-7
        "\u1B11D",  # ; HENTAIGANA LETTER N-MU-MO-1
        "\u1B11E",  # ; HENTAIGANA LETTER N-MU-MO-2
        "\u1b170","\u1b171","\u1b172","\u1b173","\u1b174","\u1b175","\u1b176","\u1b177","\u1b178","\u1b179","\u1b17a","\u1b17b","\u1b17c","\u1b17d","\u1b17e","\u1b17f","\u1b180","\u1b181","\u1b182","\u1b183","\u1b184","\u1b185","\u1b186","\u1b187","\u1b188","\u1b189","\u1b18a","\u1b18b","\u1b18c","\u1b18d","\u1b18e","\u1b18f","\u1b190","\u1b191","\u1b192","\u1b193","\u1b194","\u1b195","\u1b196","\u1b197","\u1b198","\u1b199","\u1b19a","\u1b19b","\u1b19c","\u1b19d","\u1b19e","\u1b19f","\u1b1a0","\u1b1a1","\u1b1a2","\u1b1a3","\u1b1a4","\u1b1a5","\u1b1a6","\u1b1a7","\u1b1a8","\u1b1a9","\u1b1aa","\u1b1ab","\u1b1ac","\u1b1ad","\u1b1ae","\u1b1af","\u1b1b0","\u1b1b1","\u1b1b2","\u1b1b3","\u1b1b4","\u1b1b5","\u1b1b6","\u1b1b7","\u1b1b8","\u1b1b9","\u1b1ba","\u1b1bb","\u1b1bc","\u1b1bd","\u1b1be","\u1b1bf","\u1b1c0","\u1b1c1","\u1b1c2","\u1b1c3","\u1b1c4","\u1b1c5","\u1b1c6","\u1b1c7","\u1b1c8","\u1b1c9","\u1b1ca","\u1b1cb","\u1b1cc","\u1b1cd","\u1b1ce","\u1b1cf","\u1b1d0","\u1b1d1","\u1b1d2","\u1b1d3","\u1b1d4","\u1b1d5","\u1b1d6","\u1b1d7","\u1b1d8","\u1b1d9","\u1b1da","\u1b1db","\u1b1dc","\u1b1dd","\u1b1de","\u1b1df","\u1b1e0","\u1b1e1","\u1b1e2","\u1b1e3","\u1b1e4","\u1b1e5","\u1b1e6","\u1b1e7","\u1b1e8","\u1b1e9","\u1b1ea","\u1b1eb","\u1b1ec","\u1b1ed","\u1b1ee","\u1b1ef","\u1b1f0","\u1b1f1","\u1b1f2","\u1b1f3","\u1b1f4","\u1b1f5","\u1b1f6","\u1b1f7","\u1b1f8","\u1b1f9","\u1b1fa","\u1b1fb","\u1b1fc","\u1b1fd","\u1b1fe","\u1b1ff","\u1b200","\u1b201","\u1b202","\u1b203","\u1b204","\u1b205","\u1b206","\u1b207","\u1b208","\u1b209","\u1b20a","\u1b20b","\u1b20c","\u1b20d","\u1b20e","\u1b20f","\u1b210","\u1b211","\u1b212","\u1b213","\u1b214","\u1b215","\u1b216","\u1b217","\u1b218","\u1b219","\u1b21a","\u1b21b","\u1b21c","\u1b21d","\u1b21e","\u1b21f","\u1b220","\u1b221","\u1b222","\u1b223","\u1b224","\u1b225","\u1b226","\u1b227","\u1b228","\u1b229","\u1b22a","\u1b22b","\u1b22c","\u1b22d","\u1b22e","\u1b22f","\u1b230","\u1b231","\u1b232","\u1b233","\u1b234","\u1b235","\u1b236","\u1b237","\u1b238","\u1b239","\u1b23a","\u1b23b","\u1b23c","\u1b23d","\u1b23e","\u1b23f","\u1b240","\u1b241","\u1b242","\u1b243","\u1b244","\u1b245","\u1b246","\u1b247","\u1b248","\u1b249","\u1b24a","\u1b24b","\u1b24c","\u1b24d","\u1b24e","\u1b24f","\u1b250","\u1b251","\u1b252","\u1b253","\u1b254","\u1b255","\u1b256","\u1b257","\u1b258","\u1b259","\u1b25a","\u1b25b","\u1b25c","\u1b25d","\u1b25e","\u1b25f","\u1b260","\u1b261","\u1b262","\u1b263","\u1b264","\u1b265","\u1b266","\u1b267","\u1b268","\u1b269","\u1b26a","\u1b26b","\u1b26c","\u1b26d","\u1b26e","\u1b26f","\u1b270","\u1b271","\u1b272","\u1b273","\u1b274","\u1b275","\u1b276","\u1b277","\u1b278","\u1b279","\u1b27a","\u1b27b","\u1b27c","\u1b27d","\u1b27e","\u1b27f","\u1b280","\u1b281","\u1b282","\u1b283","\u1b284","\u1b285","\u1b286","\u1b287","\u1b288","\u1b289","\u1b28a","\u1b28b","\u1b28c","\u1b28d","\u1b28e","\u1b28f","\u1b290","\u1b291","\u1b292","\u1b293","\u1b294","\u1b295","\u1b296","\u1b297","\u1b298","\u1b299","\u1b29a","\u1b29b","\u1b29c","\u1b29d","\u1b29e","\u1b29f","\u1b2a0","\u1b2a1","\u1b2a2","\u1b2a3","\u1b2a4","\u1b2a5","\u1b2a6","\u1b2a7","\u1b2a8","\u1b2a9","\u1b2aa","\u1b2ab","\u1b2ac","\u1b2ad","\u1b2ae","\u1b2af","\u1b2b0","\u1b2b1","\u1b2b2","\u1b2b3","\u1b2b4","\u1b2b5","\u1b2b6","\u1b2b7","\u1b2b8","\u1b2b9","\u1b2ba","\u1b2bb","\u1b2bc","\u1b2bd","\u1b2be","\u1b2bf","\u1b2c0","\u1b2c1","\u1b2c2","\u1b2c3","\u1b2c4","\u1b2c5","\u1b2c6","\u1b2c7","\u1b2c8","\u1b2c9","\u1b2ca","\u1b2cb","\u1b2cc","\u1b2cd","\u1b2ce","\u1b2cf","\u1b2d0","\u1b2d1","\u1b2d2","\u1b2d3","\u1b2d4","\u1b2d5","\u1b2d6","\u1b2d7","\u1b2d8","\u1b2d9","\u1b2da","\u1b2db","\u1b2dc","\u1b2dd","\u1b2de","\u1b2df","\u1b2e0","\u1b2e1","\u1b2e2","\u1b2e3","\u1b2e4","\u1b2e5","\u1b2e6","\u1b2e7","\u1b2e8","\u1b2e9","\u1b2ea","\u1b2eb","\u1b2ec","\u1b2ed","\u1b2ee","\u1b2ef","\u1b2f0","\u1b2f1","\u1b2f2","\u1b2f3","\u1b2f4","\u1b2f5","\u1b2f6","\u1b2f7","\u1b2f8","\u1b2f9","\u1b2fa","\u1b2fb",  # ; NUSHU CHARACTER-*
        "\u1BC00",  # ; DUPLOYAN LETTER H
        "\u1BC01",  # ; DUPLOYAN LETTER X
        "\u1BC02",  # ; DUPLOYAN LETTER P
        "\u1BC03",  # ; DUPLOYAN LETTER T
        "\u1BC04",  # ; DUPLOYAN LETTER F
        "\u1BC05",  # ; DUPLOYAN LETTER K
        "\u1BC06",  # ; DUPLOYAN LETTER L
        "\u1BC07",  # ; DUPLOYAN LETTER B
        "\u1BC08",  # ; DUPLOYAN LETTER D
        "\u1BC09",  # ; DUPLOYAN LETTER V
        "\u1BC0A",  # ; DUPLOYAN LETTER G
        "\u1BC0B",  # ; DUPLOYAN LETTER R
        "\u1BC0C",  # ; DUPLOYAN LETTER P N
        "\u1BC0D",  # ; DUPLOYAN LETTER D S
        "\u1BC0E",  # ; DUPLOYAN LETTER F N
        "\u1BC0F",  # ; DUPLOYAN LETTER K M
        "\u1BC10",  # ; DUPLOYAN LETTER R S
        "\u1BC11",  # ; DUPLOYAN LETTER TH
        "\u1BC12",  # ; DUPLOYAN LETTER SLOAN DH
        "\u1BC13",  # ; DUPLOYAN LETTER DH
        "\u1BC14",  # ; DUPLOYAN LETTER KK
        "\u1BC15",  # ; DUPLOYAN LETTER SLOAN J
        "\u1BC16",  # ; DUPLOYAN LETTER HL
        "\u1BC17",  # ; DUPLOYAN LETTER LH
        "\u1BC18",  # ; DUPLOYAN LETTER RH
        "\u1BC19",  # ; DUPLOYAN LETTER M
        "\u1BC1A",  # ; DUPLOYAN LETTER N
        "\u1BC1B",  # ; DUPLOYAN LETTER J
        "\u1BC1C",  # ; DUPLOYAN LETTER S
        "\u1BC1D",  # ; DUPLOYAN LETTER M N
        "\u1BC1E",  # ; DUPLOYAN LETTER N M
        "\u1BC1F",  # ; DUPLOYAN LETTER J M
        "\u1BC20",  # ; DUPLOYAN LETTER S J
        "\u1BC21",  # ; DUPLOYAN LETTER M WITH DOT
        "\u1BC22",  # ; DUPLOYAN LETTER N WITH DOT
        "\u1BC23",  # ; DUPLOYAN LETTER J WITH DOT
        "\u1BC24",  # ; DUPLOYAN LETTER J WITH DOTS INSIDE AND ABOVE
        "\u1BC25",  # ; DUPLOYAN LETTER S WITH DOT
        "\u1BC26",  # ; DUPLOYAN LETTER S WITH DOT BELOW
        "\u1BC27",  # ; DUPLOYAN LETTER M S
        "\u1BC28",  # ; DUPLOYAN LETTER N S
        "\u1BC29",  # ; DUPLOYAN LETTER J S
        "\u1BC2A",  # ; DUPLOYAN LETTER S S
        "\u1BC2B",  # ; DUPLOYAN LETTER M N S
        "\u1BC2C",  # ; DUPLOYAN LETTER N M S
        "\u1BC2D",  # ; DUPLOYAN LETTER J M S
        "\u1BC2E",  # ; DUPLOYAN LETTER S J S
        "\u1BC2F",  # ; DUPLOYAN LETTER J S WITH DOT
        "\u1BC30",  # ; DUPLOYAN LETTER J N
        "\u1BC31",  # ; DUPLOYAN LETTER J N S
        "\u1BC32",  # ; DUPLOYAN LETTER S T
        "\u1BC33",  # ; DUPLOYAN LETTER S T R
        "\u1BC34",  # ; DUPLOYAN LETTER S P
        "\u1BC35",  # ; DUPLOYAN LETTER S P R
        "\u1BC36",  # ; DUPLOYAN LETTER T S
        "\u1BC37",  # ; DUPLOYAN LETTER T R S
        "\u1BC38",  # ; DUPLOYAN LETTER W
        "\u1BC39",  # ; DUPLOYAN LETTER WH
        "\u1BC3A",  # ; DUPLOYAN LETTER W R
        "\u1BC3B",  # ; DUPLOYAN LETTER S N
        "\u1BC3C",  # ; DUPLOYAN LETTER S M
        "\u1BC3D",  # ; DUPLOYAN LETTER K R S
        "\u1BC3E",  # ; DUPLOYAN LETTER G R S
        "\u1BC3F",  # ; DUPLOYAN LETTER S K
        "\u1BC40",  # ; DUPLOYAN LETTER S K R
        "\u1BC41",  # ; DUPLOYAN LETTER A
        "\u1BC42",  # ; DUPLOYAN LETTER SLOAN OW
        "\u1BC43",  # ; DUPLOYAN LETTER OA
        "\u1BC44",  # ; DUPLOYAN LETTER O
        "\u1BC45",  # ; DUPLOYAN LETTER AOU
        "\u1BC46",  # ; DUPLOYAN LETTER I
        "\u1BC47",  # ; DUPLOYAN LETTER E
        "\u1BC48",  # ; DUPLOYAN LETTER IE
        "\u1BC49",  # ; DUPLOYAN LETTER SHORT I
        "\u1BC4A",  # ; DUPLOYAN LETTER UI
        "\u1BC4B",  # ; DUPLOYAN LETTER EE
        "\u1BC4C",  # ; DUPLOYAN LETTER SLOAN EH
        "\u1BC4D",  # ; DUPLOYAN LETTER ROMANIAN I
        "\u1BC4E",  # ; DUPLOYAN LETTER SLOAN EE
        "\u1BC4F",  # ; DUPLOYAN LETTER LONG I
        "\u1BC50",  # ; DUPLOYAN LETTER YE
        "\u1BC51",  # ; DUPLOYAN LETTER U
        "\u1BC52",  # ; DUPLOYAN LETTER EU
        "\u1BC53",  # ; DUPLOYAN LETTER XW
        "\u1BC54",  # ; DUPLOYAN LETTER U N
        "\u1BC55",  # ; DUPLOYAN LETTER LONG U
        "\u1BC56",  # ; DUPLOYAN LETTER ROMANIAN U
        "\u1BC57",  # ; DUPLOYAN LETTER UH
        "\u1BC58",  # ; DUPLOYAN LETTER SLOAN U
        "\u1BC59",  # ; DUPLOYAN LETTER OOH
        "\u1BC5A",  # ; DUPLOYAN LETTER OW
        "\u1BC5B",  # ; DUPLOYAN LETTER OU
        "\u1BC5C",  # ; DUPLOYAN LETTER WA
        "\u1BC5D",  # ; DUPLOYAN LETTER WO
        "\u1BC5E",  # ; DUPLOYAN LETTER WI
        "\u1BC5F",  # ; DUPLOYAN LETTER WEI
        "\u1BC60",  # ; DUPLOYAN LETTER WOW
        "\u1BC61",  # ; DUPLOYAN LETTER NASAL U
        "\u1BC62",  # ; DUPLOYAN LETTER NASAL O
        "\u1BC63",  # ; DUPLOYAN LETTER NASAL I
        "\u1BC64",  # ; DUPLOYAN LETTER NASAL A
        "\u1BC65",  # ; DUPLOYAN LETTER PERNIN AN
        "\u1BC66",  # ; DUPLOYAN LETTER PERNIN AM
        "\u1BC67",  # ; DUPLOYAN LETTER SLOAN EN
        "\u1BC68",  # ; DUPLOYAN LETTER SLOAN AN
        "\u1BC69",  # ; DUPLOYAN LETTER SLOAN ON
        "\u1BC6A",  # ; DUPLOYAN LETTER VOCALIC M
        "\u1BC70",  # ; DUPLOYAN AFFIX LEFT HORIZONTAL SECANT
        "\u1BC71",  # ; DUPLOYAN AFFIX MID HORIZONTAL SECANT
        "\u1BC72",  # ; DUPLOYAN AFFIX RIGHT HORIZONTAL SECANT
        "\u1BC73",  # ; DUPLOYAN AFFIX LOW VERTICAL SECANT
        "\u1BC74",  # ; DUPLOYAN AFFIX MID VERTICAL SECANT
        "\u1BC75",  # ; DUPLOYAN AFFIX HIGH VERTICAL SECANT
        "\u1BC76",  # ; DUPLOYAN AFFIX ATTACHED SECANT
        "\u1BC77",  # ; DUPLOYAN AFFIX ATTACHED LEFT-TO-RIGHT SECANT
        "\u1BC78",  # ; DUPLOYAN AFFIX ATTACHED TANGENT
        "\u1BC79",  # ; DUPLOYAN AFFIX ATTACHED TAIL
        "\u1BC7A",  # ; DUPLOYAN AFFIX ATTACHED E HOOK
        "\u1BC7B",  # ; DUPLOYAN AFFIX ATTACHED I HOOK
        "\u1BC7C",  # ; DUPLOYAN AFFIX ATTACHED TANGENT HOOK
        "\u1BC80",  # ; DUPLOYAN AFFIX HIGH ACUTE
        "\u1BC81",  # ; DUPLOYAN AFFIX HIGH TIGHT ACUTE
        "\u1BC82",  # ; DUPLOYAN AFFIX HIGH GRAVE
        "\u1BC83",  # ; DUPLOYAN AFFIX HIGH LONG GRAVE
        "\u1BC84",  # ; DUPLOYAN AFFIX HIGH DOT
        "\u1BC85",  # ; DUPLOYAN AFFIX HIGH CIRCLE
        "\u1BC86",  # ; DUPLOYAN AFFIX HIGH LINE
        "\u1BC87",  # ; DUPLOYAN AFFIX HIGH WAVE
        "\u1BC88",  # ; DUPLOYAN AFFIX HIGH VERTICAL
        "\u1BC90",  # ; DUPLOYAN AFFIX LOW ACUTE
        "\u1BC91",  # ; DUPLOYAN AFFIX LOW TIGHT ACUTE
        "\u1BC92",  # ; DUPLOYAN AFFIX LOW GRAVE
        "\u1BC93",  # ; DUPLOYAN AFFIX LOW LONG GRAVE
        "\u1BC94",  # ; DUPLOYAN AFFIX LOW DOT
        "\u1BC95",  # ; DUPLOYAN AFFIX LOW CIRCLE
        "\u1BC96",  # ; DUPLOYAN AFFIX LOW LINE
        "\u1BC97",  # ; DUPLOYAN AFFIX LOW WAVE
        "\u1BC98",  # ; DUPLOYAN AFFIX LOW VERTICAL
        "\u1BC99",  # ; DUPLOYAN AFFIX LOW ARROW
        "\u1BC9C",  # ; DUPLOYAN SIGN O WITH CROSS
        "\u1BC9D",  # ; DUPLOYAN THICK LETTER SELECTOR
        "\u1BC9E",  # ; DUPLOYAN DOUBLE MARK
        "\u1BC9F",  # ; DUPLOYAN PUNCTUATION CHINOOK FULL STOP
        "\u1BCA0",  # ; SHORTHAND FORMAT LETTER OVERLAP
        "\u1BCA1",  # ; SHORTHAND FORMAT CONTINUING OVERLAP
        "\u1BCA2",  # ; SHORTHAND FORMAT DOWN STEP
        "\u1BCA3",  # ; SHORTHAND FORMAT UP STEP
        "\u1D000",  # ; BYZANTINE MUSICAL SYMBOL PSILI
        "\u1D001",  # ; BYZANTINE MUSICAL SYMBOL DASEIA
        "\u1D002",  # ; BYZANTINE MUSICAL SYMBOL PERISPOMENI
        "\u1D003",  # ; BYZANTINE MUSICAL SYMBOL OXEIA EKFONITIKON
        "\u1D004",  # ; BYZANTINE MUSICAL SYMBOL OXEIA DIPLI
        "\u1D005",  # ; BYZANTINE MUSICAL SYMBOL VAREIA EKFONITIKON
        "\u1D006",  # ; BYZANTINE MUSICAL SYMBOL VAREIA DIPLI
        "\u1D007",  # ; BYZANTINE MUSICAL SYMBOL KATHISTI
        "\u1D008",  # ; BYZANTINE MUSICAL SYMBOL SYRMATIKI
        "\u1D009",  # ; BYZANTINE MUSICAL SYMBOL PARAKLITIKI
        "\u1D00A",  # ; BYZANTINE MUSICAL SYMBOL YPOKRISIS
        "\u1D00B",  # ; BYZANTINE MUSICAL SYMBOL YPOKRISIS DIPLI
        "\u1D00C",  # ; BYZANTINE MUSICAL SYMBOL KREMASTI
        "\u1D00D",  # ; BYZANTINE MUSICAL SYMBOL APESO EKFONITIKON
        "\u1D00E",  # ; BYZANTINE MUSICAL SYMBOL EXO EKFONITIKON
        "\u1D00F",  # ; BYZANTINE MUSICAL SYMBOL TELEIA
        "\u1D010",  # ; BYZANTINE MUSICAL SYMBOL KENTIMATA
        "\u1D011",  # ; BYZANTINE MUSICAL SYMBOL APOSTROFOS
        "\u1D012",  # ; BYZANTINE MUSICAL SYMBOL APOSTROFOS DIPLI
        "\u1D013",  # ; BYZANTINE MUSICAL SYMBOL SYNEVMA
        "\u1D014",  # ; BYZANTINE MUSICAL SYMBOL THITA
        "\u1D015",  # ; BYZANTINE MUSICAL SYMBOL OLIGON ARCHAION
        "\u1D016",  # ; BYZANTINE MUSICAL SYMBOL GORGON ARCHAION
        "\u1D017",  # ; BYZANTINE MUSICAL SYMBOL PSILON
        "\u1D018",  # ; BYZANTINE MUSICAL SYMBOL CHAMILON
        "\u1D019",  # ; BYZANTINE MUSICAL SYMBOL VATHY
        "\u1D01A",  # ; BYZANTINE MUSICAL SYMBOL ISON ARCHAION
        "\u1D01B",  # ; BYZANTINE MUSICAL SYMBOL KENTIMA ARCHAION
        "\u1D01C",  # ; BYZANTINE MUSICAL SYMBOL KENTIMATA ARCHAION
        "\u1D01D",  # ; BYZANTINE MUSICAL SYMBOL SAXIMATA
        "\u1D01E",  # ; BYZANTINE MUSICAL SYMBOL PARICHON
        "\u1D01F",  # ; BYZANTINE MUSICAL SYMBOL STAVROS APODEXIA
        "\u1D020",  # ; BYZANTINE MUSICAL SYMBOL OXEIAI ARCHAION
        "\u1D021",  # ; BYZANTINE MUSICAL SYMBOL VAREIAI ARCHAION
        "\u1D022",  # ; BYZANTINE MUSICAL SYMBOL APODERMA ARCHAION
        "\u1D023",  # ; BYZANTINE MUSICAL SYMBOL APOTHEMA
        "\u1D024",  # ; BYZANTINE MUSICAL SYMBOL KLASMA
        "\u1D025",  # ; BYZANTINE MUSICAL SYMBOL REVMA
        "\u1D026",  # ; BYZANTINE MUSICAL SYMBOL PIASMA ARCHAION
        "\u1D027",  # ; BYZANTINE MUSICAL SYMBOL TINAGMA
        "\u1D028",  # ; BYZANTINE MUSICAL SYMBOL ANATRICHISMA
        "\u1D029",  # ; BYZANTINE MUSICAL SYMBOL SEISMA
        "\u1D02A",  # ; BYZANTINE MUSICAL SYMBOL SYNAGMA ARCHAION
        "\u1D02B",  # ; BYZANTINE MUSICAL SYMBOL SYNAGMA META STAVROU
        "\u1D02C",  # ; BYZANTINE MUSICAL SYMBOL OYRANISMA ARCHAION
        "\u1D02D",  # ; BYZANTINE MUSICAL SYMBOL THEMA
        "\u1D02E",  # ; BYZANTINE MUSICAL SYMBOL LEMOI
        "\u1D02F",  # ; BYZANTINE MUSICAL SYMBOL DYO
        "\u1D030",  # ; BYZANTINE MUSICAL SYMBOL TRIA
        "\u1D031",  # ; BYZANTINE MUSICAL SYMBOL TESSERA
        "\u1D032",  # ; BYZANTINE MUSICAL SYMBOL KRATIMATA
        "\u1D033",  # ; BYZANTINE MUSICAL SYMBOL APESO EXO NEO
        "\u1D034",  # ; BYZANTINE MUSICAL SYMBOL FTHORA ARCHAION
        "\u1D035",  # ; BYZANTINE MUSICAL SYMBOL IMIFTHORA
        "\u1D036",  # ; BYZANTINE MUSICAL SYMBOL TROMIKON ARCHAION
        "\u1D037",  # ; BYZANTINE MUSICAL SYMBOL KATAVA TROMIKON
        "\u1D038",  # ; BYZANTINE MUSICAL SYMBOL PELASTON
        "\u1D039",  # ; BYZANTINE MUSICAL SYMBOL PSIFISTON
        "\u1D03A",  # ; BYZANTINE MUSICAL SYMBOL KONTEVMA
        "\u1D03B",  # ; BYZANTINE MUSICAL SYMBOL CHOREVMA ARCHAION
        "\u1D03C",  # ; BYZANTINE MUSICAL SYMBOL RAPISMA
        "\u1D03D",  # ; BYZANTINE MUSICAL SYMBOL PARAKALESMA ARCHAION
        "\u1D03E",  # ; BYZANTINE MUSICAL SYMBOL PARAKLITIKI ARCHAION
        "\u1D03F",  # ; BYZANTINE MUSICAL SYMBOL ICHADIN
        "\u1D040",  # ; BYZANTINE MUSICAL SYMBOL NANA
        "\u1D041",  # ; BYZANTINE MUSICAL SYMBOL PETASMA
        "\u1D042",  # ; BYZANTINE MUSICAL SYMBOL KONTEVMA ALLO
        "\u1D043",  # ; BYZANTINE MUSICAL SYMBOL TROMIKON ALLO
        "\u1D044",  # ; BYZANTINE MUSICAL SYMBOL STRAGGISMATA
        "\u1D045",  # ; BYZANTINE MUSICAL SYMBOL GRONTHISMATA
        "\u1D046",  # ; BYZANTINE MUSICAL SYMBOL ISON NEO
        "\u1D047",  # ; BYZANTINE MUSICAL SYMBOL OLIGON NEO
        "\u1D048",  # ; BYZANTINE MUSICAL SYMBOL OXEIA NEO
        "\u1D049",  # ; BYZANTINE MUSICAL SYMBOL PETASTI
        "\u1D04A",  # ; BYZANTINE MUSICAL SYMBOL KOUFISMA
        "\u1D04B",  # ; BYZANTINE MUSICAL SYMBOL PETASTOKOUFISMA
        "\u1D04C",  # ; BYZANTINE MUSICAL SYMBOL KRATIMOKOUFISMA
        "\u1D04D",  # ; BYZANTINE MUSICAL SYMBOL PELASTON NEO
        "\u1D04E",  # ; BYZANTINE MUSICAL SYMBOL KENTIMATA NEO ANO
        "\u1D04F",  # ; BYZANTINE MUSICAL SYMBOL KENTIMA NEO ANO
        "\u1D050",  # ; BYZANTINE MUSICAL SYMBOL YPSILI
        "\u1D051",  # ; BYZANTINE MUSICAL SYMBOL APOSTROFOS NEO
        "\u1D052",  # ; BYZANTINE MUSICAL SYMBOL APOSTROFOI SYNDESMOS NEO
        "\u1D053",  # ; BYZANTINE MUSICAL SYMBOL YPORROI
        "\u1D054",  # ; BYZANTINE MUSICAL SYMBOL KRATIMOYPORROON
        "\u1D055",  # ; BYZANTINE MUSICAL SYMBOL ELAFRON
        "\u1D056",  # ; BYZANTINE MUSICAL SYMBOL CHAMILI
        "\u1D057",  # ; BYZANTINE MUSICAL SYMBOL MIKRON ISON
        "\u1D058",  # ; BYZANTINE MUSICAL SYMBOL VAREIA NEO
        "\u1D059",  # ; BYZANTINE MUSICAL SYMBOL PIASMA NEO
        "\u1D05A",  # ; BYZANTINE MUSICAL SYMBOL PSIFISTON NEO
        "\u1D05B",  # ; BYZANTINE MUSICAL SYMBOL OMALON
        "\u1D05C",  # ; BYZANTINE MUSICAL SYMBOL ANTIKENOMA
        "\u1D05D",  # ; BYZANTINE MUSICAL SYMBOL LYGISMA
        "\u1D05E",  # ; BYZANTINE MUSICAL SYMBOL PARAKLITIKI NEO
        "\u1D05F",  # ; BYZANTINE MUSICAL SYMBOL PARAKALESMA NEO
        "\u1D060",  # ; BYZANTINE MUSICAL SYMBOL ETERON PARAKALESMA
        "\u1D061",  # ; BYZANTINE MUSICAL SYMBOL KYLISMA
        "\u1D062",  # ; BYZANTINE MUSICAL SYMBOL ANTIKENOKYLISMA
        "\u1D063",  # ; BYZANTINE MUSICAL SYMBOL TROMIKON NEO
        "\u1D064",  # ; BYZANTINE MUSICAL SYMBOL EKSTREPTON
        "\u1D065",  # ; BYZANTINE MUSICAL SYMBOL SYNAGMA NEO
        "\u1D066",  # ; BYZANTINE MUSICAL SYMBOL SYRMA
        "\u1D067",  # ; BYZANTINE MUSICAL SYMBOL CHOREVMA NEO
        "\u1D068",  # ; BYZANTINE MUSICAL SYMBOL EPEGERMA
        "\u1D069",  # ; BYZANTINE MUSICAL SYMBOL SEISMA NEO
        "\u1D06A",  # ; BYZANTINE MUSICAL SYMBOL XIRON KLASMA
        "\u1D06B",  # ; BYZANTINE MUSICAL SYMBOL TROMIKOPSIFISTON
        "\u1D06C",  # ; BYZANTINE MUSICAL SYMBOL PSIFISTOLYGISMA
        "\u1D06D",  # ; BYZANTINE MUSICAL SYMBOL TROMIKOLYGISMA
        "\u1D06E",  # ; BYZANTINE MUSICAL SYMBOL TROMIKOPARAKALESMA
        "\u1D06F",  # ; BYZANTINE MUSICAL SYMBOL PSIFISTOPARAKALESMA
        "\u1D070",  # ; BYZANTINE MUSICAL SYMBOL TROMIKOSYNAGMA
        "\u1D071",  # ; BYZANTINE MUSICAL SYMBOL PSIFISTOSYNAGMA
        "\u1D072",  # ; BYZANTINE MUSICAL SYMBOL GORGOSYNTHETON
        "\u1D073",  # ; BYZANTINE MUSICAL SYMBOL ARGOSYNTHETON
        "\u1D074",  # ; BYZANTINE MUSICAL SYMBOL ETERON ARGOSYNTHETON
        "\u1D075",  # ; BYZANTINE MUSICAL SYMBOL OYRANISMA NEO
        "\u1D076",  # ; BYZANTINE MUSICAL SYMBOL THEMATISMOS ESO
        "\u1D077",  # ; BYZANTINE MUSICAL SYMBOL THEMATISMOS EXO
        "\u1D078",  # ; BYZANTINE MUSICAL SYMBOL THEMA APLOUN
        "\u1D079",  # ; BYZANTINE MUSICAL SYMBOL THES KAI APOTHES
        "\u1D07A",  # ; BYZANTINE MUSICAL SYMBOL KATAVASMA
        "\u1D07B",  # ; BYZANTINE MUSICAL SYMBOL ENDOFONON
        "\u1D07C",  # ; BYZANTINE MUSICAL SYMBOL YFEN KATO
        "\u1D07D",  # ; BYZANTINE MUSICAL SYMBOL YFEN ANO
        "\u1D07E",  # ; BYZANTINE MUSICAL SYMBOL STAVROS
        "\u1D07F",  # ; BYZANTINE MUSICAL SYMBOL KLASMA ANO
        "\u1D080",  # ; BYZANTINE MUSICAL SYMBOL DIPLI ARCHAION
        "\u1D081",  # ; BYZANTINE MUSICAL SYMBOL KRATIMA ARCHAION
        "\u1D082",  # ; BYZANTINE MUSICAL SYMBOL KRATIMA ALLO
        "\u1D083",  # ; BYZANTINE MUSICAL SYMBOL KRATIMA NEO
        "\u1D084",  # ; BYZANTINE MUSICAL SYMBOL APODERMA NEO
        "\u1D085",  # ; BYZANTINE MUSICAL SYMBOL APLI
        "\u1D086",  # ; BYZANTINE MUSICAL SYMBOL DIPLI
        "\u1D087",  # ; BYZANTINE MUSICAL SYMBOL TRIPLI
        "\u1D088",  # ; BYZANTINE MUSICAL SYMBOL TETRAPLI
        "\u1D089",  # ; BYZANTINE MUSICAL SYMBOL KORONIS
        "\u1D08A",  # ; BYZANTINE MUSICAL SYMBOL LEIMMA ENOS CHRONOU
        "\u1D08B",  # ; BYZANTINE MUSICAL SYMBOL LEIMMA DYO CHRONON
        "\u1D08C",  # ; BYZANTINE MUSICAL SYMBOL LEIMMA TRION CHRONON
        "\u1D08D",  # ; BYZANTINE MUSICAL SYMBOL LEIMMA TESSARON CHRONON
        "\u1D08E",  # ; BYZANTINE MUSICAL SYMBOL LEIMMA IMISEOS CHRONOU
        "\u1D08F",  # ; BYZANTINE MUSICAL SYMBOL GORGON NEO ANO
        "\u1D090",  # ; BYZANTINE MUSICAL SYMBOL GORGON PARESTIGMENON ARISTERA
        "\u1D091",  # ; BYZANTINE MUSICAL SYMBOL GORGON PARESTIGMENON DEXIA
        "\u1D092",  # ; BYZANTINE MUSICAL SYMBOL DIGORGON
        "\u1D093",  # ; BYZANTINE MUSICAL SYMBOL DIGORGON PARESTIGMENON ARISTERA KATO
        "\u1D094",  # ; BYZANTINE MUSICAL SYMBOL DIGORGON PARESTIGMENON ARISTERA ANO
        "\u1D095",  # ; BYZANTINE MUSICAL SYMBOL DIGORGON PARESTIGMENON DEXIA
        "\u1D096",  # ; BYZANTINE MUSICAL SYMBOL TRIGORGON
        "\u1D097",  # ; BYZANTINE MUSICAL SYMBOL ARGON
        "\u1D098",  # ; BYZANTINE MUSICAL SYMBOL IMIDIARGON
        "\u1D099",  # ; BYZANTINE MUSICAL SYMBOL DIARGON
        "\u1D09A",  # ; BYZANTINE MUSICAL SYMBOL AGOGI POLI ARGI
        "\u1D09B",  # ; BYZANTINE MUSICAL SYMBOL AGOGI ARGOTERI
        "\u1D09C",  # ; BYZANTINE MUSICAL SYMBOL AGOGI ARGI
        "\u1D09D",  # ; BYZANTINE MUSICAL SYMBOL AGOGI METRIA
        "\u1D09E",  # ; BYZANTINE MUSICAL SYMBOL AGOGI MESI
        "\u1D09F",  # ; BYZANTINE MUSICAL SYMBOL AGOGI GORGI
        "\u1D0A0",  # ; BYZANTINE MUSICAL SYMBOL AGOGI GORGOTERI
        "\u1D0A1",  # ; BYZANTINE MUSICAL SYMBOL AGOGI POLI GORGI
        "\u1D0A2",  # ; BYZANTINE MUSICAL SYMBOL MARTYRIA PROTOS ICHOS
        "\u1D0A3",  # ; BYZANTINE MUSICAL SYMBOL MARTYRIA ALLI PROTOS ICHOS
        "\u1D0A4",  # ; BYZANTINE MUSICAL SYMBOL MARTYRIA DEYTEROS ICHOS
        "\u1D0A5",  # ; BYZANTINE MUSICAL SYMBOL MARTYRIA ALLI DEYTEROS ICHOS
        "\u1D0A6",  # ; BYZANTINE MUSICAL SYMBOL MARTYRIA TRITOS ICHOS
        "\u1D0A7",  # ; BYZANTINE MUSICAL SYMBOL MARTYRIA TRIFONIAS
        "\u1D0A8",  # ; BYZANTINE MUSICAL SYMBOL MARTYRIA TETARTOS ICHOS
        "\u1D0A9",  # ; BYZANTINE MUSICAL SYMBOL MARTYRIA TETARTOS LEGETOS ICHOS
        "\u1D0AA",  # ; BYZANTINE MUSICAL SYMBOL MARTYRIA LEGETOS ICHOS
        "\u1D0AB",  # ; BYZANTINE MUSICAL SYMBOL MARTYRIA PLAGIOS ICHOS
        "\u1D0AC",  # ; BYZANTINE MUSICAL SYMBOL ISAKIA TELOUS ICHIMATOS
        "\u1D0AD",  # ; BYZANTINE MUSICAL SYMBOL APOSTROFOI TELOUS ICHIMATOS
        "\u1D0AE",  # ; BYZANTINE MUSICAL SYMBOL FANEROSIS TETRAFONIAS
        "\u1D0AF",  # ; BYZANTINE MUSICAL SYMBOL FANEROSIS MONOFONIAS
        "\u1D0B0",  # ; BYZANTINE MUSICAL SYMBOL FANEROSIS DIFONIAS
        "\u1D0B1",  # ; BYZANTINE MUSICAL SYMBOL MARTYRIA VARYS ICHOS
        "\u1D0B2",  # ; BYZANTINE MUSICAL SYMBOL MARTYRIA PROTOVARYS ICHOS
        "\u1D0B3",  # ; BYZANTINE MUSICAL SYMBOL MARTYRIA PLAGIOS TETARTOS ICHOS
        "\u1D0B4",  # ; BYZANTINE MUSICAL SYMBOL GORTHMIKON N APLOUN
        "\u1D0B5",  # ; BYZANTINE MUSICAL SYMBOL GORTHMIKON N DIPLOUN
        "\u1D0B6",  # ; BYZANTINE MUSICAL SYMBOL ENARXIS KAI FTHORA VOU
        "\u1D0B7",  # ; BYZANTINE MUSICAL SYMBOL IMIFONON
        "\u1D0B8",  # ; BYZANTINE MUSICAL SYMBOL IMIFTHORON
        "\u1D0B9",  # ; BYZANTINE MUSICAL SYMBOL FTHORA ARCHAION DEYTEROU ICHOU
        "\u1D0BA",  # ; BYZANTINE MUSICAL SYMBOL FTHORA DIATONIKI PA
        "\u1D0BB",  # ; BYZANTINE MUSICAL SYMBOL FTHORA DIATONIKI NANA
        "\u1D0BC",  # ; BYZANTINE MUSICAL SYMBOL FTHORA NAOS ICHOS
        "\u1D0BD",  # ; BYZANTINE MUSICAL SYMBOL FTHORA DIATONIKI DI
        "\u1D0BE",  # ; BYZANTINE MUSICAL SYMBOL FTHORA SKLIRON DIATONON DI
        "\u1D0BF",  # ; BYZANTINE MUSICAL SYMBOL FTHORA DIATONIKI KE
        "\u1D0C0",  # ; BYZANTINE MUSICAL SYMBOL FTHORA DIATONIKI ZO
        "\u1D0C1",  # ; BYZANTINE MUSICAL SYMBOL FTHORA DIATONIKI NI KATO
        "\u1D0C2",  # ; BYZANTINE MUSICAL SYMBOL FTHORA DIATONIKI NI ANO
        "\u1D0C3",  # ; BYZANTINE MUSICAL SYMBOL FTHORA MALAKON CHROMA DIFONIAS
        "\u1D0C4",  # ; BYZANTINE MUSICAL SYMBOL FTHORA MALAKON CHROMA MONOFONIAS
        "\u1D0C5",  # ; BYZANTINE MUSICAL SYMBOL FHTORA SKLIRON CHROMA VASIS
        "\u1D0C6",  # ; BYZANTINE MUSICAL SYMBOL FTHORA SKLIRON CHROMA SYNAFI
        "\u1D0C7",  # ; BYZANTINE MUSICAL SYMBOL FTHORA NENANO
        "\u1D0C8",  # ; BYZANTINE MUSICAL SYMBOL CHROA ZYGOS
        "\u1D0C9",  # ; BYZANTINE MUSICAL SYMBOL CHROA KLITON
        "\u1D0CA",  # ; BYZANTINE MUSICAL SYMBOL CHROA SPATHI
        "\u1D0CB",  # ; BYZANTINE MUSICAL SYMBOL FTHORA I YFESIS TETARTIMORION
        "\u1D0CC",  # ; BYZANTINE MUSICAL SYMBOL FTHORA ENARMONIOS ANTIFONIA
        "\u1D0CD",  # ; BYZANTINE MUSICAL SYMBOL YFESIS TRITIMORION
        "\u1D0CE",  # ; BYZANTINE MUSICAL SYMBOL DIESIS TRITIMORION
        "\u1D0CF",  # ; BYZANTINE MUSICAL SYMBOL DIESIS TETARTIMORION
        "\u1D0D0",  # ; BYZANTINE MUSICAL SYMBOL DIESIS APLI DYO DODEKATA
        "\u1D0D1",  # ; BYZANTINE MUSICAL SYMBOL DIESIS MONOGRAMMOS TESSERA DODEKATA
        "\u1D0D2",  # ; BYZANTINE MUSICAL SYMBOL DIESIS DIGRAMMOS EX DODEKATA
        "\u1D0D3",  # ; BYZANTINE MUSICAL SYMBOL DIESIS TRIGRAMMOS OKTO DODEKATA
        "\u1D0D4",  # ; BYZANTINE MUSICAL SYMBOL YFESIS APLI DYO DODEKATA
        "\u1D0D5",  # ; BYZANTINE MUSICAL SYMBOL YFESIS MONOGRAMMOS TESSERA DODEKATA
        "\u1D0D6",  # ; BYZANTINE MUSICAL SYMBOL YFESIS DIGRAMMOS EX DODEKATA
        "\u1D0D7",  # ; BYZANTINE MUSICAL SYMBOL YFESIS TRIGRAMMOS OKTO DODEKATA
        "\u1D0D8",  # ; BYZANTINE MUSICAL SYMBOL GENIKI DIESIS
        "\u1D0D9",  # ; BYZANTINE MUSICAL SYMBOL GENIKI YFESIS
        "\u1D0DA",  # ; BYZANTINE MUSICAL SYMBOL DIASTOLI APLI MIKRI
        "\u1D0DB",  # ; BYZANTINE MUSICAL SYMBOL DIASTOLI APLI MEGALI
        "\u1D0DC",  # ; BYZANTINE MUSICAL SYMBOL DIASTOLI DIPLI
        "\u1D0DD",  # ; BYZANTINE MUSICAL SYMBOL DIASTOLI THESEOS
        "\u1D0DE",  # ; BYZANTINE MUSICAL SYMBOL SIMANSIS THESEOS
        "\u1D0DF",  # ; BYZANTINE MUSICAL SYMBOL SIMANSIS THESEOS DISIMOU
        "\u1D0E0",  # ; BYZANTINE MUSICAL SYMBOL SIMANSIS THESEOS TRISIMOU
        "\u1D0E1",  # ; BYZANTINE MUSICAL SYMBOL SIMANSIS THESEOS TETRASIMOU
        "\u1D0E2",  # ; BYZANTINE MUSICAL SYMBOL SIMANSIS ARSEOS
        "\u1D0E3",  # ; BYZANTINE MUSICAL SYMBOL SIMANSIS ARSEOS DISIMOU
        "\u1D0E4",  # ; BYZANTINE MUSICAL SYMBOL SIMANSIS ARSEOS TRISIMOU
        "\u1D0E5",  # ; BYZANTINE MUSICAL SYMBOL SIMANSIS ARSEOS TETRASIMOU
        "\u1D0E6",  # ; BYZANTINE MUSICAL SYMBOL DIGRAMMA GG
        "\u1D0E7",  # ; BYZANTINE MUSICAL SYMBOL DIFTOGGOS OU
        "\u1D0E8",  # ; BYZANTINE MUSICAL SYMBOL STIGMA
        "\u1D0E9",  # ; BYZANTINE MUSICAL SYMBOL ARKTIKO PA
        "\u1D0EA",  # ; BYZANTINE MUSICAL SYMBOL ARKTIKO VOU
        "\u1D0EB",  # ; BYZANTINE MUSICAL SYMBOL ARKTIKO GA
        "\u1D0EC",  # ; BYZANTINE MUSICAL SYMBOL ARKTIKO DI
        "\u1D0ED",  # ; BYZANTINE MUSICAL SYMBOL ARKTIKO KE
        "\u1D0EE",  # ; BYZANTINE MUSICAL SYMBOL ARKTIKO ZO
        "\u1D0EF",  # ; BYZANTINE MUSICAL SYMBOL ARKTIKO NI
        "\u1D0F0",  # ; BYZANTINE MUSICAL SYMBOL KENTIMATA NEO MESO
        "\u1D0F1",  # ; BYZANTINE MUSICAL SYMBOL KENTIMA NEO MESO
        "\u1D0F2",  # ; BYZANTINE MUSICAL SYMBOL KENTIMATA NEO KATO
        "\u1D0F3",  # ; BYZANTINE MUSICAL SYMBOL KENTIMA NEO KATO
        "\u1D0F4",  # ; BYZANTINE MUSICAL SYMBOL KLASMA KATO
        "\u1D0F5",  # ; BYZANTINE MUSICAL SYMBOL GORGON NEO KATO
        "\u1D100",  # ; MUSICAL SYMBOL SINGLE BARLINE
        "\u1D101",  # ; MUSICAL SYMBOL DOUBLE BARLINE
        "\u1D102",  # ; MUSICAL SYMBOL FINAL BARLINE
        "\u1D103",  # ; MUSICAL SYMBOL REVERSE FINAL BARLINE
        "\u1D104",  # ; MUSICAL SYMBOL DASHED BARLINE
        "\u1D105",  # ; MUSICAL SYMBOL SHORT BARLINE
        "\u1D106",  # ; MUSICAL SYMBOL LEFT REPEAT SIGN
        "\u1D107",  # ; MUSICAL SYMBOL RIGHT REPEAT SIGN
        "\u1D108",  # ; MUSICAL SYMBOL REPEAT DOTS
        "\u1D109",  # ; MUSICAL SYMBOL DAL SEGNO
        "\u1D10A",  # ; MUSICAL SYMBOL DA CAPO
        "\u1D10B",  # ; MUSICAL SYMBOL SEGNO
        "\u1D10C",  # ; MUSICAL SYMBOL CODA
        "\u1D10D",  # ; MUSICAL SYMBOL REPEATED FIGURE-1
        "\u1D10E",  # ; MUSICAL SYMBOL REPEATED FIGURE-2
        "\u1D10F",  # ; MUSICAL SYMBOL REPEATED FIGURE-3
        "\u1D110",  # ; MUSICAL SYMBOL FERMATA
        "\u1D111",  # ; MUSICAL SYMBOL FERMATA BELOW
        "\u1D112",  # ; MUSICAL SYMBOL BREATH MARK
        "\u1D113",  # ; MUSICAL SYMBOL CAESURA
        "\u1D114",  # ; MUSICAL SYMBOL BRACE
        "\u1D115",  # ; MUSICAL SYMBOL BRACKET
        "\u1D116",  # ; MUSICAL SYMBOL ONE-LINE STAFF
        "\u1D117",  # ; MUSICAL SYMBOL TWO-LINE STAFF
        "\u1D118",  # ; MUSICAL SYMBOL THREE-LINE STAFF
        "\u1D119",  # ; MUSICAL SYMBOL FOUR-LINE STAFF
        "\u1D11A",  # ; MUSICAL SYMBOL FIVE-LINE STAFF
        "\u1D11B",  # ; MUSICAL SYMBOL SIX-LINE STAFF
        "\u1D11C",  # ; MUSICAL SYMBOL SIX-STRING FRETBOARD
        "\u1D11D",  # ; MUSICAL SYMBOL FOUR-STRING FRETBOARD
        "\u1D11E",  # ; MUSICAL SYMBOL G CLEF
        "\u1D11F",  # ; MUSICAL SYMBOL G CLEF OTTAVA ALTA
        "\u1D120",  # ; MUSICAL SYMBOL G CLEF OTTAVA BASSA
        "\u1D121",  # ; MUSICAL SYMBOL C CLEF
        "\u1D122",  # ; MUSICAL SYMBOL F CLEF
        "\u1D123",  # ; MUSICAL SYMBOL F CLEF OTTAVA ALTA
        "\u1D124",  # ; MUSICAL SYMBOL F CLEF OTTAVA BASSA
        "\u1D125",  # ; MUSICAL SYMBOL DRUM CLEF-1
        "\u1D126",  # ; MUSICAL SYMBOL DRUM CLEF-2
        "\u1D129",  # ; MUSICAL SYMBOL MULTIPLE MEASURE REST
        "\u1D12A",  # ; MUSICAL SYMBOL DOUBLE SHARP
        "\u1D12B",  # ; MUSICAL SYMBOL DOUBLE FLAT
        "\u1D12C",  # ; MUSICAL SYMBOL FLAT UP
        "\u1D12D",  # ; MUSICAL SYMBOL FLAT DOWN
        "\u1D12E",  # ; MUSICAL SYMBOL NATURAL UP
        "\u1D12F",  # ; MUSICAL SYMBOL NATURAL DOWN
        "\u1D130",  # ; MUSICAL SYMBOL SHARP UP
        "\u1D131",  # ; MUSICAL SYMBOL SHARP DOWN
        "\u1D132",  # ; MUSICAL SYMBOL QUARTER TONE SHARP
        "\u1D133",  # ; MUSICAL SYMBOL QUARTER TONE FLAT
        "\u1D134",  # ; MUSICAL SYMBOL COMMON TIME
        "\u1D135",  # ; MUSICAL SYMBOL CUT TIME
        "\u1D136",  # ; MUSICAL SYMBOL OTTAVA ALTA
        "\u1D137",  # ; MUSICAL SYMBOL OTTAVA BASSA
        "\u1D138",  # ; MUSICAL SYMBOL QUINDICESIMA ALTA
        "\u1D139",  # ; MUSICAL SYMBOL QUINDICESIMA BASSA
        "\u1D13A",  # ; MUSICAL SYMBOL MULTI REST
        "\u1D13B",  # ; MUSICAL SYMBOL WHOLE REST
        "\u1D13C",  # ; MUSICAL SYMBOL HALF REST
        "\u1D13D",  # ; MUSICAL SYMBOL QUARTER REST
        "\u1D13E",  # ; MUSICAL SYMBOL EIGHTH REST
        "\u1D13F",  # ; MUSICAL SYMBOL SIXTEENTH REST
        "\u1D140",  # ; MUSICAL SYMBOL THIRTY-SECOND REST
        "\u1D141",  # ; MUSICAL SYMBOL SIXTY-FOURTH REST
        "\u1D142",  # ; MUSICAL SYMBOL ONE HUNDRED TWENTY-EIGHTH REST
        "\u1D143",  # ; MUSICAL SYMBOL X NOTEHEAD
        "\u1D144",  # ; MUSICAL SYMBOL PLUS NOTEHEAD
        "\u1D145",  # ; MUSICAL SYMBOL CIRCLE X NOTEHEAD
        "\u1D146",  # ; MUSICAL SYMBOL SQUARE NOTEHEAD WHITE
        "\u1D147",  # ; MUSICAL SYMBOL SQUARE NOTEHEAD BLACK
        "\u1D148",  # ; MUSICAL SYMBOL TRIANGLE NOTEHEAD UP WHITE
        "\u1D149",  # ; MUSICAL SYMBOL TRIANGLE NOTEHEAD UP BLACK
        "\u1D14A",  # ; MUSICAL SYMBOL TRIANGLE NOTEHEAD LEFT WHITE
        "\u1D14B",  # ; MUSICAL SYMBOL TRIANGLE NOTEHEAD LEFT BLACK
        "\u1D14C",  # ; MUSICAL SYMBOL TRIANGLE NOTEHEAD RIGHT WHITE
        "\u1D14D",  # ; MUSICAL SYMBOL TRIANGLE NOTEHEAD RIGHT BLACK
        "\u1D14E",  # ; MUSICAL SYMBOL TRIANGLE NOTEHEAD DOWN WHITE
        "\u1D14F",  # ; MUSICAL SYMBOL TRIANGLE NOTEHEAD DOWN BLACK
        "\u1D150",  # ; MUSICAL SYMBOL TRIANGLE NOTEHEAD UP RIGHT WHITE
        "\u1D151",  # ; MUSICAL SYMBOL TRIANGLE NOTEHEAD UP RIGHT BLACK
        "\u1D152",  # ; MUSICAL SYMBOL MOON NOTEHEAD WHITE
        "\u1D153",  # ; MUSICAL SYMBOL MOON NOTEHEAD BLACK
        "\u1D154",  # ; MUSICAL SYMBOL TRIANGLE-ROUND NOTEHEAD DOWN WHITE
        "\u1D155",  # ; MUSICAL SYMBOL TRIANGLE-ROUND NOTEHEAD DOWN BLACK
        "\u1D156",  # ; MUSICAL SYMBOL PARENTHESIS NOTEHEAD
        "\u1D157",  # ; MUSICAL SYMBOL VOID NOTEHEAD
        "\u1D158",  # ; MUSICAL SYMBOL NOTEHEAD BLACK
        "\u1D159",  # ; MUSICAL SYMBOL NULL NOTEHEAD
        "\u1D15A",  # ; MUSICAL SYMBOL CLUSTER NOTEHEAD WHITE
        "\u1D15B",  # ; MUSICAL SYMBOL CLUSTER NOTEHEAD BLACK
        "\u1D15C",  # ; MUSICAL SYMBOL BREVE
        "\u1D15D",  # ; MUSICAL SYMBOL WHOLE NOTE
        "\u1D15E",  # ; MUSICAL SYMBOL HALF NOTE
        "\u1D15F",  # ; MUSICAL SYMBOL QUARTER NOTE
        "\u1D160",  # ; MUSICAL SYMBOL EIGHTH NOTE
        "\u1D161",  # ; MUSICAL SYMBOL SIXTEENTH NOTE
        "\u1D162",  # ; MUSICAL SYMBOL THIRTY-SECOND NOTE
        "\u1D163",  # ; MUSICAL SYMBOL SIXTY-FOURTH NOTE
        "\u1D164",  # ; MUSICAL SYMBOL ONE HUNDRED TWENTY-EIGHTH NOTE
        "\u1D165",  # ; MUSICAL SYMBOL COMBINING STEM
        "\u1D166",  # ; MUSICAL SYMBOL COMBINING SPRECHGESANG STEM
        "\u1D167",  # ; MUSICAL SYMBOL COMBINING TREMOLO-1
        "\u1D168",  # ; MUSICAL SYMBOL COMBINING TREMOLO-2
        "\u1D169",  # ; MUSICAL SYMBOL COMBINING TREMOLO-3
        "\u1D16A",  # ; MUSICAL SYMBOL FINGERED TREMOLO-1
        "\u1D16B",  # ; MUSICAL SYMBOL FINGERED TREMOLO-2
        "\u1D16C",  # ; MUSICAL SYMBOL FINGERED TREMOLO-3
        "\u1D16D",  # ; MUSICAL SYMBOL COMBINING AUGMENTATION DOT
        "\u1D16E",  # ; MUSICAL SYMBOL COMBINING FLAG-1
        "\u1D16F",  # ; MUSICAL SYMBOL COMBINING FLAG-2
        "\u1D170",  # ; MUSICAL SYMBOL COMBINING FLAG-3
        "\u1D171",  # ; MUSICAL SYMBOL COMBINING FLAG-4
        "\u1D172",  # ; MUSICAL SYMBOL COMBINING FLAG-5
        "\u1D173",  # ; MUSICAL SYMBOL BEGIN BEAM
        "\u1D174",  # ; MUSICAL SYMBOL END BEAM
        "\u1D175",  # ; MUSICAL SYMBOL BEGIN TIE
        "\u1D176",  # ; MUSICAL SYMBOL END TIE
        "\u1D177",  # ; MUSICAL SYMBOL BEGIN SLUR
        "\u1D178",  # ; MUSICAL SYMBOL END SLUR
        "\u1D179",  # ; MUSICAL SYMBOL BEGIN PHRASE
        "\u1D17A",  # ; MUSICAL SYMBOL END PHRASE
        "\u1D17B",  # ; MUSICAL SYMBOL COMBINING ACCENT
        "\u1D17C",  # ; MUSICAL SYMBOL COMBINING STACCATO
        "\u1D17D",  # ; MUSICAL SYMBOL COMBINING TENUTO
        "\u1D17E",  # ; MUSICAL SYMBOL COMBINING STACCATISSIMO
        "\u1D17F",  # ; MUSICAL SYMBOL COMBINING MARCATO
        "\u1D180",  # ; MUSICAL SYMBOL COMBINING MARCATO-STACCATO
        "\u1D181",  # ; MUSICAL SYMBOL COMBINING ACCENT-STACCATO
        "\u1D182",  # ; MUSICAL SYMBOL COMBINING LOURE
        "\u1D183",  # ; MUSICAL SYMBOL ARPEGGIATO UP
        "\u1D184",  # ; MUSICAL SYMBOL ARPEGGIATO DOWN
        "\u1D185",  # ; MUSICAL SYMBOL COMBINING DOIT
        "\u1D186",  # ; MUSICAL SYMBOL COMBINING RIP
        "\u1D187",  # ; MUSICAL SYMBOL COMBINING FLIP
        "\u1D188",  # ; MUSICAL SYMBOL COMBINING SMEAR
        "\u1D189",  # ; MUSICAL SYMBOL COMBINING BEND
        "\u1D18A",  # ; MUSICAL SYMBOL COMBINING DOUBLE TONGUE
        "\u1D18B",  # ; MUSICAL SYMBOL COMBINING TRIPLE TONGUE
        "\u1D18C",  # ; MUSICAL SYMBOL RINFORZANDO
        "\u1D18D",  # ; MUSICAL SYMBOL SUBITO
        "\u1D18E",  # ; MUSICAL SYMBOL Z
        "\u1D18F",  # ; MUSICAL SYMBOL PIANO
        "\u1D190",  # ; MUSICAL SYMBOL MEZZO
        "\u1D191",  # ; MUSICAL SYMBOL FORTE
        "\u1D192",  # ; MUSICAL SYMBOL CRESCENDO
        "\u1D193",  # ; MUSICAL SYMBOL DECRESCENDO
        "\u1D194",  # ; MUSICAL SYMBOL GRACE NOTE SLASH
        "\u1D195",  # ; MUSICAL SYMBOL GRACE NOTE NO SLASH
        "\u1D196",  # ; MUSICAL SYMBOL TR
        "\u1D197",  # ; MUSICAL SYMBOL TURN
        "\u1D198",  # ; MUSICAL SYMBOL INVERTED TURN
        "\u1D199",  # ; MUSICAL SYMBOL TURN SLASH
        "\u1D19A",  # ; MUSICAL SYMBOL TURN UP
        "\u1D19B",  # ; MUSICAL SYMBOL ORNAMENT STROKE-1
        "\u1D19C",  # ; MUSICAL SYMBOL ORNAMENT STROKE-2
        "\u1D19D",  # ; MUSICAL SYMBOL ORNAMENT STROKE-3
        "\u1D19E",  # ; MUSICAL SYMBOL ORNAMENT STROKE-4
        "\u1D19F",  # ; MUSICAL SYMBOL ORNAMENT STROKE-5
        "\u1D1A0",  # ; MUSICAL SYMBOL ORNAMENT STROKE-6
        "\u1D1A1",  # ; MUSICAL SYMBOL ORNAMENT STROKE-7
        "\u1D1A2",  # ; MUSICAL SYMBOL ORNAMENT STROKE-8
        "\u1D1A3",  # ; MUSICAL SYMBOL ORNAMENT STROKE-9
        "\u1D1A4",  # ; MUSICAL SYMBOL ORNAMENT STROKE-10
        "\u1D1A5",  # ; MUSICAL SYMBOL ORNAMENT STROKE-11
        "\u1D1A6",  # ; MUSICAL SYMBOL HAUPTSTIMME
        "\u1D1A7",  # ; MUSICAL SYMBOL NEBENSTIMME
        "\u1D1A8",  # ; MUSICAL SYMBOL END OF STIMME
        "\u1D1A9",  # ; MUSICAL SYMBOL DEGREE SLASH
        "\u1D1AA",  # ; MUSICAL SYMBOL COMBINING DOWN BOW
        "\u1D1AB",  # ; MUSICAL SYMBOL COMBINING UP BOW
        "\u1D1AC",  # ; MUSICAL SYMBOL COMBINING HARMONIC
        "\u1D1AD",  # ; MUSICAL SYMBOL COMBINING SNAP PIZZICATO
        "\u1D1AE",  # ; MUSICAL SYMBOL PEDAL MARK
        "\u1D1AF",  # ; MUSICAL SYMBOL PEDAL UP MARK
        "\u1D1B0",  # ; MUSICAL SYMBOL HALF PEDAL MARK
        "\u1D1B1",  # ; MUSICAL SYMBOL GLISSANDO UP
        "\u1D1B2",  # ; MUSICAL SYMBOL GLISSANDO DOWN
        "\u1D1B3",  # ; MUSICAL SYMBOL WITH FINGERNAILS
        "\u1D1B4",  # ; MUSICAL SYMBOL DAMP
        "\u1D1B5",  # ; MUSICAL SYMBOL DAMP ALL
        "\u1D1B6",  # ; MUSICAL SYMBOL MAXIMA
        "\u1D1B7",  # ; MUSICAL SYMBOL LONGA
        "\u1D1B8",  # ; MUSICAL SYMBOL BREVIS
        "\u1D1B9",  # ; MUSICAL SYMBOL SEMIBREVIS WHITE
        "\u1D1BA",  # ; MUSICAL SYMBOL SEMIBREVIS BLACK
        "\u1D1BB",  # ; MUSICAL SYMBOL MINIMA
        "\u1D1BC",  # ; MUSICAL SYMBOL MINIMA BLACK
        "\u1D1BD",  # ; MUSICAL SYMBOL SEMIMINIMA WHITE
        "\u1D1BE",  # ; MUSICAL SYMBOL SEMIMINIMA BLACK
        "\u1D1BF",  # ; MUSICAL SYMBOL FUSA WHITE
        "\u1D1C0",  # ; MUSICAL SYMBOL FUSA BLACK
        "\u1D1C1",  # ; MUSICAL SYMBOL LONGA PERFECTA REST
        "\u1D1C2",  # ; MUSICAL SYMBOL LONGA IMPERFECTA REST
        "\u1D1C3",  # ; MUSICAL SYMBOL BREVIS REST
        "\u1D1C4",  # ; MUSICAL SYMBOL SEMIBREVIS REST
        "\u1D1C5",  # ; MUSICAL SYMBOL MINIMA REST
        "\u1D1C6",  # ; MUSICAL SYMBOL SEMIMINIMA REST
        "\u1D1C7",  # ; MUSICAL SYMBOL TEMPUS PERFECTUM CUM PROLATIONE PERFECTA
        "\u1D1C8",  # ; MUSICAL SYMBOL TEMPUS PERFECTUM CUM PROLATIONE IMPERFECTA
        "\u1D1C9",  # ; MUSICAL SYMBOL TEMPUS PERFECTUM CUM PROLATIONE PERFECTA DIMINUTION-1
        "\u1D1CA",  # ; MUSICAL SYMBOL TEMPUS IMPERFECTUM CUM PROLATIONE PERFECTA
        "\u1D1CB",  # ; MUSICAL SYMBOL TEMPUS IMPERFECTUM CUM PROLATIONE IMPERFECTA
        "\u1D1CC",  # ; MUSICAL SYMBOL TEMPUS IMPERFECTUM CUM PROLATIONE IMPERFECTA DIMINUTION-1
        "\u1D1CD",  # ; MUSICAL SYMBOL TEMPUS IMPERFECTUM CUM PROLATIONE IMPERFECTA DIMINUTION-2
        "\u1D1CE",  # ; MUSICAL SYMBOL TEMPUS IMPERFECTUM CUM PROLATIONE IMPERFECTA DIMINUTION-3
        "\u1D1CF",  # ; MUSICAL SYMBOL CROIX
        "\u1D1D0",  # ; MUSICAL SYMBOL GREGORIAN C CLEF
        "\u1D1D1",  # ; MUSICAL SYMBOL GREGORIAN F CLEF
        "\u1D1D2",  # ; MUSICAL SYMBOL SQUARE B
        "\u1D1D3",  # ; MUSICAL SYMBOL VIRGA
        "\u1D1D4",  # ; MUSICAL SYMBOL PODATUS
        "\u1D1D5",  # ; MUSICAL SYMBOL CLIVIS
        "\u1D1D6",  # ; MUSICAL SYMBOL SCANDICUS
        "\u1D1D7",  # ; MUSICAL SYMBOL CLIMACUS
        "\u1D1D8",  # ; MUSICAL SYMBOL TORCULUS
        "\u1D1D9",  # ; MUSICAL SYMBOL PORRECTUS
        "\u1D1DA",  # ; MUSICAL SYMBOL PORRECTUS FLEXUS
        "\u1D1DB",  # ; MUSICAL SYMBOL SCANDICUS FLEXUS
        "\u1D1DC",  # ; MUSICAL SYMBOL TORCULUS RESUPINUS
        "\u1D1DD",  # ; MUSICAL SYMBOL PES SUBPUNCTIS
        "\u1D1DE",  # ; MUSICAL SYMBOL KIEVAN C CLEF
        "\u1D1DF",  # ; MUSICAL SYMBOL KIEVAN END OF PIECE
        "\u1D1E0",  # ; MUSICAL SYMBOL KIEVAN FINAL NOTE
        "\u1D1E1",  # ; MUSICAL SYMBOL KIEVAN RECITATIVE MARK
        "\u1D1E2",  # ; MUSICAL SYMBOL KIEVAN WHOLE NOTE
        "\u1D1E3",  # ; MUSICAL SYMBOL KIEVAN HALF NOTE
        "\u1D1E4",  # ; MUSICAL SYMBOL KIEVAN QUARTER NOTE STEM DOWN
        "\u1D1E5",  # ; MUSICAL SYMBOL KIEVAN QUARTER NOTE STEM UP
        "\u1D1E6",  # ; MUSICAL SYMBOL KIEVAN EIGHTH NOTE STEM DOWN
        "\u1D1E7",  # ; MUSICAL SYMBOL KIEVAN EIGHTH NOTE STEM UP
        "\u1D1E8",  # ; MUSICAL SYMBOL KIEVAN FLAT SIGN
        "\u1D200",  # ; GREEK VOCAL NOTATION SYMBOL-1
        "\u1D201",  # ; GREEK VOCAL NOTATION SYMBOL-2
        "\u1D202",  # ; GREEK VOCAL NOTATION SYMBOL-3
        "\u1D203",  # ; GREEK VOCAL NOTATION SYMBOL-4
        "\u1D204",  # ; GREEK VOCAL NOTATION SYMBOL-5
        "\u1D205",  # ; GREEK VOCAL NOTATION SYMBOL-6
        "\u1D206",  # ; GREEK VOCAL NOTATION SYMBOL-7
        "\u1D207",  # ; GREEK VOCAL NOTATION SYMBOL-8
        "\u1D208",  # ; GREEK VOCAL NOTATION SYMBOL-9
        "\u1D209",  # ; GREEK VOCAL NOTATION SYMBOL-10
        "\u1D20A",  # ; GREEK VOCAL NOTATION SYMBOL-11
        "\u1D20B",  # ; GREEK VOCAL NOTATION SYMBOL-12
        "\u1D20C",  # ; GREEK VOCAL NOTATION SYMBOL-13
        "\u1D20D",  # ; GREEK VOCAL NOTATION SYMBOL-14
        "\u1D20E",  # ; GREEK VOCAL NOTATION SYMBOL-15
        "\u1D20F",  # ; GREEK VOCAL NOTATION SYMBOL-16
        "\u1D210",  # ; GREEK VOCAL NOTATION SYMBOL-17
        "\u1D211",  # ; GREEK VOCAL NOTATION SYMBOL-18
        "\u1D212",  # ; GREEK VOCAL NOTATION SYMBOL-19
        "\u1D213",  # ; GREEK VOCAL NOTATION SYMBOL-20
        "\u1D214",  # ; GREEK VOCAL NOTATION SYMBOL-21
        "\u1D215",  # ; GREEK VOCAL NOTATION SYMBOL-22
        "\u1D216",  # ; GREEK VOCAL NOTATION SYMBOL-23
        "\u1D217",  # ; GREEK VOCAL NOTATION SYMBOL-24
        "\u1D218",  # ; GREEK VOCAL NOTATION SYMBOL-50
        "\u1D219",  # ; GREEK VOCAL NOTATION SYMBOL-51
        "\u1D21A",  # ; GREEK VOCAL NOTATION SYMBOL-52
        "\u1D21B",  # ; GREEK VOCAL NOTATION SYMBOL-53
        "\u1D21C",  # ; GREEK VOCAL NOTATION SYMBOL-54
        "\u1D21D",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-1
        "\u1D21E",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-2
        "\u1D21F",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-4
        "\u1D220",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-5
        "\u1D221",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-7
        "\u1D222",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-8
        "\u1D223",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-11
        "\u1D224",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-12
        "\u1D225",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-13
        "\u1D226",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-14
        "\u1D227",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-17
        "\u1D228",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-18
        "\u1D229",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-19
        "\u1D22A",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-23
        "\u1D22B",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-24
        "\u1D22C",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-25
        "\u1D22D",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-26
        "\u1D22E",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-27
        "\u1D22F",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-29
        "\u1D230",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-30
        "\u1D231",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-32
        "\u1D232",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-36
        "\u1D233",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-37
        "\u1D234",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-38
        "\u1D235",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-39
        "\u1D236",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-40
        "\u1D237",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-42
        "\u1D238",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-43
        "\u1D239",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-45
        "\u1D23A",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-47
        "\u1D23B",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-48
        "\u1D23C",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-49
        "\u1D23D",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-50
        "\u1D23E",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-51
        "\u1D23F",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-52
        "\u1D240",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-53
        "\u1D241",  # ; GREEK INSTRUMENTAL NOTATION SYMBOL-54
        "\u1D242",  # ; COMBINING GREEK MUSICAL TRISEME
        "\u1D243",  # ; COMBINING GREEK MUSICAL TETRASEME
        "\u1D244",  # ; COMBINING GREEK MUSICAL PENTASEME
        "\u1D245",  # ; GREEK MUSICAL LEIMMA
        "\u1D300",  # ; MONOGRAM FOR EARTH
        "\u1D301",  # ; DIGRAM FOR HEAVENLY EARTH
        "\u1D302",  # ; DIGRAM FOR HUMAN EARTH
        "\u1D303",  # ; DIGRAM FOR EARTHLY HEAVEN
        "\u1D304",  # ; DIGRAM FOR EARTHLY HUMAN
        "\u1D305",  # ; DIGRAM FOR EARTH
        "\u1D306",  # ; TETRAGRAM FOR CENTRE
        "\u1D307",  # ; TETRAGRAM FOR FULL CIRCLE
        "\u1D308",  # ; TETRAGRAM FOR MIRED
        "\u1D309",  # ; TETRAGRAM FOR BARRIER
        "\u1D30A",  # ; TETRAGRAM FOR KEEPING SMALL
        "\u1D30B",  # ; TETRAGRAM FOR CONTRARIETY
        "\u1D30C",  # ; TETRAGRAM FOR ASCENT
        "\u1D30D",  # ; TETRAGRAM FOR OPPOSITION
        "\u1D30E",  # ; TETRAGRAM FOR BRANCHING OUT
        "\u1D30F",  # ; TETRAGRAM FOR DEFECTIVENESS OR DISTORTION
        "\u1D310",  # ; TETRAGRAM FOR DIVERGENCE
        "\u1D311",  # ; TETRAGRAM FOR YOUTHFULNESS
        "\u1D312",  # ; TETRAGRAM FOR INCREASE
        "\u1D313",  # ; TETRAGRAM FOR PENETRATION
        "\u1D314",  # ; TETRAGRAM FOR REACH
        "\u1D315",  # ; TETRAGRAM FOR CONTACT
        "\u1D316",  # ; TETRAGRAM FOR HOLDING BACK
        "\u1D317",  # ; TETRAGRAM FOR WAITING
        "\u1D318",  # ; TETRAGRAM FOR FOLLOWING
        "\u1D319",  # ; TETRAGRAM FOR ADVANCE
        "\u1D31A",  # ; TETRAGRAM FOR RELEASE
        "\u1D31B",  # ; TETRAGRAM FOR RESISTANCE
        "\u1D31C",  # ; TETRAGRAM FOR EASE
        "\u1D31D",  # ; TETRAGRAM FOR JOY
        "\u1D31E",  # ; TETRAGRAM FOR CONTENTION
        "\u1D31F",  # ; TETRAGRAM FOR ENDEAVOUR
        "\u1D320",  # ; TETRAGRAM FOR DUTIES
        "\u1D321",  # ; TETRAGRAM FOR CHANGE
        "\u1D322",  # ; TETRAGRAM FOR DECISIVENESS
        "\u1D323",  # ; TETRAGRAM FOR BOLD RESOLUTION
        "\u1D324",  # ; TETRAGRAM FOR PACKING
        "\u1D325",  # ; TETRAGRAM FOR LEGION
        "\u1D326",  # ; TETRAGRAM FOR CLOSENESS
        "\u1D327",  # ; TETRAGRAM FOR KINSHIP
        "\u1D328",  # ; TETRAGRAM FOR GATHERING
        "\u1D329",  # ; TETRAGRAM FOR STRENGTH
        "\u1D32A",  # ; TETRAGRAM FOR PURITY
        "\u1D32B",  # ; TETRAGRAM FOR FULLNESS
        "\u1D32C",  # ; TETRAGRAM FOR RESIDENCE
        "\u1D32D",  # ; TETRAGRAM FOR LAW OR MODEL
        "\u1D32E",  # ; TETRAGRAM FOR RESPONSE
        "\u1D32F",  # ; TETRAGRAM FOR GOING TO MEET
        "\u1D330",  # ; TETRAGRAM FOR ENCOUNTERS
        "\u1D331",  # ; TETRAGRAM FOR STOVE
        "\u1D332",  # ; TETRAGRAM FOR GREATNESS
        "\u1D333",  # ; TETRAGRAM FOR ENLARGEMENT
        "\u1D334",  # ; TETRAGRAM FOR PATTERN
        "\u1D335",  # ; TETRAGRAM FOR RITUAL
        "\u1D336",  # ; TETRAGRAM FOR FLIGHT
        "\u1D337",  # ; TETRAGRAM FOR VASTNESS OR WASTING
        "\u1D338",  # ; TETRAGRAM FOR CONSTANCY
        "\u1D339",  # ; TETRAGRAM FOR MEASURE
        "\u1D33A",  # ; TETRAGRAM FOR ETERNITY
        "\u1D33B",  # ; TETRAGRAM FOR UNITY
        "\u1D33C",  # ; TETRAGRAM FOR DIMINISHMENT
        "\u1D33D",  # ; TETRAGRAM FOR CLOSED MOUTH
        "\u1D33E",  # ; TETRAGRAM FOR GUARDEDNESS
        "\u1D33F",  # ; TETRAGRAM FOR GATHERING IN
        "\u1D340",  # ; TETRAGRAM FOR MASSING
        "\u1D341",  # ; TETRAGRAM FOR ACCUMULATION
        "\u1D342",  # ; TETRAGRAM FOR EMBELLISHMENT
        "\u1D343",  # ; TETRAGRAM FOR DOUBT
        "\u1D344",  # ; TETRAGRAM FOR WATCH
        "\u1D345",  # ; TETRAGRAM FOR SINKING
        "\u1D346",  # ; TETRAGRAM FOR INNER
        "\u1D347",  # ; TETRAGRAM FOR DEPARTURE
        "\u1D348",  # ; TETRAGRAM FOR DARKENING
        "\u1D349",  # ; TETRAGRAM FOR DIMMING
        "\u1D34A",  # ; TETRAGRAM FOR EXHAUSTION
        "\u1D34B",  # ; TETRAGRAM FOR SEVERANCE
        "\u1D34C",  # ; TETRAGRAM FOR STOPPAGE
        "\u1D34D",  # ; TETRAGRAM FOR HARDNESS
        "\u1D34E",  # ; TETRAGRAM FOR COMPLETION
        "\u1D34F",  # ; TETRAGRAM FOR CLOSURE
        "\u1D350",  # ; TETRAGRAM FOR FAILURE
        "\u1D351",  # ; TETRAGRAM FOR AGGRAVATION
        "\u1D352",  # ; TETRAGRAM FOR COMPLIANCE
        "\u1D353",  # ; TETRAGRAM FOR ON THE VERGE
        "\u1D354",  # ; TETRAGRAM FOR DIFFICULTIES
        "\u1D355",  # ; TETRAGRAM FOR LABOURING
        "\u1D356",  # ; TETRAGRAM FOR FOSTERING
        "\u1D360",  # ; COUNTING ROD UNIT DIGIT ONE
        "\u1D361",  # ; COUNTING ROD UNIT DIGIT TWO
        "\u1D362",  # ; COUNTING ROD UNIT DIGIT THREE
        "\u1D363",  # ; COUNTING ROD UNIT DIGIT FOUR
        "\u1D364",  # ; COUNTING ROD UNIT DIGIT FIVE
        "\u1D365",  # ; COUNTING ROD UNIT DIGIT SIX
        "\u1D366",  # ; COUNTING ROD UNIT DIGIT SEVEN
        "\u1D367",  # ; COUNTING ROD UNIT DIGIT EIGHT
        "\u1D368",  # ; COUNTING ROD UNIT DIGIT NINE
        "\u1D369",  # ; COUNTING ROD TENS DIGIT ONE
        "\u1D36A",  # ; COUNTING ROD TENS DIGIT TWO
        "\u1D36B",  # ; COUNTING ROD TENS DIGIT THREE
        "\u1D36C",  # ; COUNTING ROD TENS DIGIT FOUR
        "\u1D36D",  # ; COUNTING ROD TENS DIGIT FIVE
        "\u1D36E",  # ; COUNTING ROD TENS DIGIT SIX
        "\u1D36F",  # ; COUNTING ROD TENS DIGIT SEVEN
        "\u1D370",  # ; COUNTING ROD TENS DIGIT EIGHT
        "\u1D371",  # ; COUNTING ROD TENS DIGIT NINE
        "\u1D400",  # ; MATHEMATICAL BOLD CAPITAL A
        "\u1D401",  # ; MATHEMATICAL BOLD CAPITAL B
        "\u1D402",  # ; MATHEMATICAL BOLD CAPITAL C
        "\u1D403",  # ; MATHEMATICAL BOLD CAPITAL D
        "\u1D404",  # ; MATHEMATICAL BOLD CAPITAL E
        "\u1D405",  # ; MATHEMATICAL BOLD CAPITAL F
        "\u1D406",  # ; MATHEMATICAL BOLD CAPITAL G
        "\u1D407",  # ; MATHEMATICAL BOLD CAPITAL H
        "\u1D408",  # ; MATHEMATICAL BOLD CAPITAL I
        "\u1D409",  # ; MATHEMATICAL BOLD CAPITAL J
        "\u1D40A",  # ; MATHEMATICAL BOLD CAPITAL K
        "\u1D40B",  # ; MATHEMATICAL BOLD CAPITAL L
        "\u1D40C",  # ; MATHEMATICAL BOLD CAPITAL M
        "\u1D40D",  # ; MATHEMATICAL BOLD CAPITAL N
        "\u1D40E",  # ; MATHEMATICAL BOLD CAPITAL O
        "\u1D40F",  # ; MATHEMATICAL BOLD CAPITAL P
        "\u1D410",  # ; MATHEMATICAL BOLD CAPITAL Q
        "\u1D411",  # ; MATHEMATICAL BOLD CAPITAL R
        "\u1D412",  # ; MATHEMATICAL BOLD CAPITAL S
        "\u1D413",  # ; MATHEMATICAL BOLD CAPITAL T
        "\u1D414",  # ; MATHEMATICAL BOLD CAPITAL U
        "\u1D415",  # ; MATHEMATICAL BOLD CAPITAL V
        "\u1D416",  # ; MATHEMATICAL BOLD CAPITAL W
        "\u1D417",  # ; MATHEMATICAL BOLD CAPITAL X
        "\u1D418",  # ; MATHEMATICAL BOLD CAPITAL Y
        "\u1D419",  # ; MATHEMATICAL BOLD CAPITAL Z
        "\u1D41A",  # ; MATHEMATICAL BOLD SMALL A
        "\u1D41B",  # ; MATHEMATICAL BOLD SMALL B
        "\u1D41C",  # ; MATHEMATICAL BOLD SMALL C
        "\u1D41D",  # ; MATHEMATICAL BOLD SMALL D
        "\u1D41E",  # ; MATHEMATICAL BOLD SMALL E
        "\u1D41F",  # ; MATHEMATICAL BOLD SMALL F
        "\u1D420",  # ; MATHEMATICAL BOLD SMALL G
        "\u1D421",  # ; MATHEMATICAL BOLD SMALL H
        "\u1D422",  # ; MATHEMATICAL BOLD SMALL I
        "\u1D423",  # ; MATHEMATICAL BOLD SMALL J
        "\u1D424",  # ; MATHEMATICAL BOLD SMALL K
        "\u1D425",  # ; MATHEMATICAL BOLD SMALL L
        "\u1D426",  # ; MATHEMATICAL BOLD SMALL M
        "\u1D427",  # ; MATHEMATICAL BOLD SMALL N
        "\u1D428",  # ; MATHEMATICAL BOLD SMALL O
        "\u1D429",  # ; MATHEMATICAL BOLD SMALL P
        "\u1D42A",  # ; MATHEMATICAL BOLD SMALL Q
        "\u1D42B",  # ; MATHEMATICAL BOLD SMALL R
        "\u1D42C",  # ; MATHEMATICAL BOLD SMALL S
        "\u1D42D",  # ; MATHEMATICAL BOLD SMALL T
        "\u1D42E",  # ; MATHEMATICAL BOLD SMALL U
        "\u1D42F",  # ; MATHEMATICAL BOLD SMALL V
        "\u1D430",  # ; MATHEMATICAL BOLD SMALL W
        "\u1D431",  # ; MATHEMATICAL BOLD SMALL X
        "\u1D432",  # ; MATHEMATICAL BOLD SMALL Y
        "\u1D433",  # ; MATHEMATICAL BOLD SMALL Z
        "\u1D434",  # ; MATHEMATICAL ITALIC CAPITAL A
        "\u1D435",  # ; MATHEMATICAL ITALIC CAPITAL B
        "\u1D436",  # ; MATHEMATICAL ITALIC CAPITAL C
        "\u1D437",  # ; MATHEMATICAL ITALIC CAPITAL D
        "\u1D438",  # ; MATHEMATICAL ITALIC CAPITAL E
        "\u1D439",  # ; MATHEMATICAL ITALIC CAPITAL F
        "\u1D43A",  # ; MATHEMATICAL ITALIC CAPITAL G
        "\u1D43B",  # ; MATHEMATICAL ITALIC CAPITAL H
        "\u1D43C",  # ; MATHEMATICAL ITALIC CAPITAL I
        "\u1D43D",  # ; MATHEMATICAL ITALIC CAPITAL J
        "\u1D43E",  # ; MATHEMATICAL ITALIC CAPITAL K
        "\u1D43F",  # ; MATHEMATICAL ITALIC CAPITAL L
        "\u1D440",  # ; MATHEMATICAL ITALIC CAPITAL M
        "\u1D441",  # ; MATHEMATICAL ITALIC CAPITAL N
        "\u1D442",  # ; MATHEMATICAL ITALIC CAPITAL O
        "\u1D443",  # ; MATHEMATICAL ITALIC CAPITAL P
        "\u1D444",  # ; MATHEMATICAL ITALIC CAPITAL Q
        "\u1D445",  # ; MATHEMATICAL ITALIC CAPITAL R
        "\u1D446",  # ; MATHEMATICAL ITALIC CAPITAL S
        "\u1D447",  # ; MATHEMATICAL ITALIC CAPITAL T
        "\u1D448",  # ; MATHEMATICAL ITALIC CAPITAL U
        "\u1D449",  # ; MATHEMATICAL ITALIC CAPITAL V
        "\u1D44A",  # ; MATHEMATICAL ITALIC CAPITAL W
        "\u1D44B",  # ; MATHEMATICAL ITALIC CAPITAL X
        "\u1D44C",  # ; MATHEMATICAL ITALIC CAPITAL Y
        "\u1D44D",  # ; MATHEMATICAL ITALIC CAPITAL Z
        "\u1D44E",  # ; MATHEMATICAL ITALIC SMALL A
        "\u1D44F",  # ; MATHEMATICAL ITALIC SMALL B
        "\u1D450",  # ; MATHEMATICAL ITALIC SMALL C
        "\u1D451",  # ; MATHEMATICAL ITALIC SMALL D
        "\u1D452",  # ; MATHEMATICAL ITALIC SMALL E
        "\u1D453",  # ; MATHEMATICAL ITALIC SMALL F
        "\u1D454",  # ; MATHEMATICAL ITALIC SMALL G
        "\u1D456",  # ; MATHEMATICAL ITALIC SMALL I
        "\u1D457",  # ; MATHEMATICAL ITALIC SMALL J
        "\u1D458",  # ; MATHEMATICAL ITALIC SMALL K
        "\u1D459",  # ; MATHEMATICAL ITALIC SMALL L
        "\u1D45A",  # ; MATHEMATICAL ITALIC SMALL M
        "\u1D45B",  # ; MATHEMATICAL ITALIC SMALL N
        "\u1D45C",  # ; MATHEMATICAL ITALIC SMALL O
        "\u1D45D",  # ; MATHEMATICAL ITALIC SMALL P
        "\u1D45E",  # ; MATHEMATICAL ITALIC SMALL Q
        "\u1D45F",  # ; MATHEMATICAL ITALIC SMALL R
        "\u1D460",  # ; MATHEMATICAL ITALIC SMALL S
        "\u1D461",  # ; MATHEMATICAL ITALIC SMALL T
        "\u1D462",  # ; MATHEMATICAL ITALIC SMALL U
        "\u1D463",  # ; MATHEMATICAL ITALIC SMALL V
        "\u1D464",  # ; MATHEMATICAL ITALIC SMALL W
        "\u1D465",  # ; MATHEMATICAL ITALIC SMALL X
        "\u1D466",  # ; MATHEMATICAL ITALIC SMALL Y
        "\u1D467",  # ; MATHEMATICAL ITALIC SMALL Z
        "\u1D468",  # ; MATHEMATICAL BOLD ITALIC CAPITAL A
        "\u1D469",  # ; MATHEMATICAL BOLD ITALIC CAPITAL B
        "\u1D46A",  # ; MATHEMATICAL BOLD ITALIC CAPITAL C
        "\u1D46B",  # ; MATHEMATICAL BOLD ITALIC CAPITAL D
        "\u1D46C",  # ; MATHEMATICAL BOLD ITALIC CAPITAL E
        "\u1D46D",  # ; MATHEMATICAL BOLD ITALIC CAPITAL F
        "\u1D46E",  # ; MATHEMATICAL BOLD ITALIC CAPITAL G
        "\u1D46F",  # ; MATHEMATICAL BOLD ITALIC CAPITAL H
        "\u1D470",  # ; MATHEMATICAL BOLD ITALIC CAPITAL I
        "\u1D471",  # ; MATHEMATICAL BOLD ITALIC CAPITAL J
        "\u1D472",  # ; MATHEMATICAL BOLD ITALIC CAPITAL K
        "\u1D473",  # ; MATHEMATICAL BOLD ITALIC CAPITAL L
        "\u1D474",  # ; MATHEMATICAL BOLD ITALIC CAPITAL M
        "\u1D475",  # ; MATHEMATICAL BOLD ITALIC CAPITAL N
        "\u1D476",  # ; MATHEMATICAL BOLD ITALIC CAPITAL O
        "\u1D477",  # ; MATHEMATICAL BOLD ITALIC CAPITAL P
        "\u1D478",  # ; MATHEMATICAL BOLD ITALIC CAPITAL Q
        "\u1D479",  # ; MATHEMATICAL BOLD ITALIC CAPITAL R
        "\u1D47A",  # ; MATHEMATICAL BOLD ITALIC CAPITAL S
        "\u1D47B",  # ; MATHEMATICAL BOLD ITALIC CAPITAL T
        "\u1D47C",  # ; MATHEMATICAL BOLD ITALIC CAPITAL U
        "\u1D47D",  # ; MATHEMATICAL BOLD ITALIC CAPITAL V
        "\u1D47E",  # ; MATHEMATICAL BOLD ITALIC CAPITAL W
        "\u1D47F",  # ; MATHEMATICAL BOLD ITALIC CAPITAL X
        "\u1D480",  # ; MATHEMATICAL BOLD ITALIC CAPITAL Y
        "\u1D481",  # ; MATHEMATICAL BOLD ITALIC CAPITAL Z
        "\u1D482",  # ; MATHEMATICAL BOLD ITALIC SMALL A
        "\u1D483",  # ; MATHEMATICAL BOLD ITALIC SMALL B
        "\u1D484",  # ; MATHEMATICAL BOLD ITALIC SMALL C
        "\u1D485",  # ; MATHEMATICAL BOLD ITALIC SMALL D
        "\u1D486",  # ; MATHEMATICAL BOLD ITALIC SMALL E
        "\u1D487",  # ; MATHEMATICAL BOLD ITALIC SMALL F
        "\u1D488",  # ; MATHEMATICAL BOLD ITALIC SMALL G
        "\u1D489",  # ; MATHEMATICAL BOLD ITALIC SMALL H
        "\u1D48A",  # ; MATHEMATICAL BOLD ITALIC SMALL I
        "\u1D48B",  # ; MATHEMATICAL BOLD ITALIC SMALL J
        "\u1D48C",  # ; MATHEMATICAL BOLD ITALIC SMALL K
        "\u1D48D",  # ; MATHEMATICAL BOLD ITALIC SMALL L
        "\u1D48E",  # ; MATHEMATICAL BOLD ITALIC SMALL M
        "\u1D48F",  # ; MATHEMATICAL BOLD ITALIC SMALL N
        "\u1D490",  # ; MATHEMATICAL BOLD ITALIC SMALL O
        "\u1D491",  # ; MATHEMATICAL BOLD ITALIC SMALL P
        "\u1D492",  # ; MATHEMATICAL BOLD ITALIC SMALL Q
        "\u1D493",  # ; MATHEMATICAL BOLD ITALIC SMALL R
        "\u1D494",  # ; MATHEMATICAL BOLD ITALIC SMALL S
        "\u1D495",  # ; MATHEMATICAL BOLD ITALIC SMALL T
        "\u1D496",  # ; MATHEMATICAL BOLD ITALIC SMALL U
        "\u1D497",  # ; MATHEMATICAL BOLD ITALIC SMALL V
        "\u1D498",  # ; MATHEMATICAL BOLD ITALIC SMALL W
        "\u1D499",  # ; MATHEMATICAL BOLD ITALIC SMALL X
        "\u1D49A",  # ; MATHEMATICAL BOLD ITALIC SMALL Y
        "\u1D49B",  # ; MATHEMATICAL BOLD ITALIC SMALL Z
        "\u1D49C",  # ; MATHEMATICAL SCRIPT CAPITAL A
        "\u1D49E",  # ; MATHEMATICAL SCRIPT CAPITAL C
        "\u1D49F",  # ; MATHEMATICAL SCRIPT CAPITAL D
        "\u1D4A2",  # ; MATHEMATICAL SCRIPT CAPITAL G
        "\u1D4A5",  # ; MATHEMATICAL SCRIPT CAPITAL J
        "\u1D4A6",  # ; MATHEMATICAL SCRIPT CAPITAL K
        "\u1D4A9",  # ; MATHEMATICAL SCRIPT CAPITAL N
        "\u1D4AA",  # ; MATHEMATICAL SCRIPT CAPITAL O
        "\u1D4AB",  # ; MATHEMATICAL SCRIPT CAPITAL P
        "\u1D4AC",  # ; MATHEMATICAL SCRIPT CAPITAL Q
        "\u1D4AE",  # ; MATHEMATICAL SCRIPT CAPITAL S
        "\u1D4AF",  # ; MATHEMATICAL SCRIPT CAPITAL T
        "\u1D4B0",  # ; MATHEMATICAL SCRIPT CAPITAL U
        "\u1D4B1",  # ; MATHEMATICAL SCRIPT CAPITAL V
        "\u1D4B2",  # ; MATHEMATICAL SCRIPT CAPITAL W
        "\u1D4B3",  # ; MATHEMATICAL SCRIPT CAPITAL X
        "\u1D4B4",  # ; MATHEMATICAL SCRIPT CAPITAL Y
        "\u1D4B5",  # ; MATHEMATICAL SCRIPT CAPITAL Z
        "\u1D4B6",  # ; MATHEMATICAL SCRIPT SMALL A
        "\u1D4B7",  # ; MATHEMATICAL SCRIPT SMALL B
        "\u1D4B8",  # ; MATHEMATICAL SCRIPT SMALL C
        "\u1D4B9",  # ; MATHEMATICAL SCRIPT SMALL D
        "\u1D4BB",  # ; MATHEMATICAL SCRIPT SMALL F
        "\u1D4BD",  # ; MATHEMATICAL SCRIPT SMALL H
        "\u1D4BE",  # ; MATHEMATICAL SCRIPT SMALL I
        "\u1D4BF",  # ; MATHEMATICAL SCRIPT SMALL J
        "\u1D4C0",  # ; MATHEMATICAL SCRIPT SMALL K
        "\u1D4C1",  # ; MATHEMATICAL SCRIPT SMALL L
        "\u1D4C2",  # ; MATHEMATICAL SCRIPT SMALL M
        "\u1D4C3",  # ; MATHEMATICAL SCRIPT SMALL N
        "\u1D4C5",  # ; MATHEMATICAL SCRIPT SMALL P
        "\u1D4C6",  # ; MATHEMATICAL SCRIPT SMALL Q
        "\u1D4C7",  # ; MATHEMATICAL SCRIPT SMALL R
        "\u1D4C8",  # ; MATHEMATICAL SCRIPT SMALL S
        "\u1D4C9",  # ; MATHEMATICAL SCRIPT SMALL T
        "\u1D4CA",  # ; MATHEMATICAL SCRIPT SMALL U
        "\u1D4CB",  # ; MATHEMATICAL SCRIPT SMALL V
        "\u1D4CC",  # ; MATHEMATICAL SCRIPT SMALL W
        "\u1D4CD",  # ; MATHEMATICAL SCRIPT SMALL X
        "\u1D4CE",  # ; MATHEMATICAL SCRIPT SMALL Y
        "\u1D4CF",  # ; MATHEMATICAL SCRIPT SMALL Z
        "\u1D4D0",  # ; MATHEMATICAL BOLD SCRIPT CAPITAL A
        "\u1D4D1",  # ; MATHEMATICAL BOLD SCRIPT CAPITAL B
        "\u1D4D2",  # ; MATHEMATICAL BOLD SCRIPT CAPITAL C
        "\u1D4D3",  # ; MATHEMATICAL BOLD SCRIPT CAPITAL D
        "\u1D4D4",  # ; MATHEMATICAL BOLD SCRIPT CAPITAL E
        "\u1D4D5",  # ; MATHEMATICAL BOLD SCRIPT CAPITAL F
        "\u1D4D6",  # ; MATHEMATICAL BOLD SCRIPT CAPITAL G
        "\u1D4D7",  # ; MATHEMATICAL BOLD SCRIPT CAPITAL H
        "\u1D4D8",  # ; MATHEMATICAL BOLD SCRIPT CAPITAL I
        "\u1D4D9",  # ; MATHEMATICAL BOLD SCRIPT CAPITAL J
        "\u1D4DA",  # ; MATHEMATICAL BOLD SCRIPT CAPITAL K
        "\u1D4DB",  # ; MATHEMATICAL BOLD SCRIPT CAPITAL L
        "\u1D4DC",  # ; MATHEMATICAL BOLD SCRIPT CAPITAL M
        "\u1D4DD",  # ; MATHEMATICAL BOLD SCRIPT CAPITAL N
        "\u1D4DE",  # ; MATHEMATICAL BOLD SCRIPT CAPITAL O
        "\u1D4DF",  # ; MATHEMATICAL BOLD SCRIPT CAPITAL P
        "\u1D4E0",  # ; MATHEMATICAL BOLD SCRIPT CAPITAL Q
        "\u1D4E1",  # ; MATHEMATICAL BOLD SCRIPT CAPITAL R
        "\u1D4E2",  # ; MATHEMATICAL BOLD SCRIPT CAPITAL S
        "\u1D4E3",  # ; MATHEMATICAL BOLD SCRIPT CAPITAL T
        "\u1D4E4",  # ; MATHEMATICAL BOLD SCRIPT CAPITAL U
        "\u1D4E5",  # ; MATHEMATICAL BOLD SCRIPT CAPITAL V
        "\u1D4E6",  # ; MATHEMATICAL BOLD SCRIPT CAPITAL W
        "\u1D4E7",  # ; MATHEMATICAL BOLD SCRIPT CAPITAL X
        "\u1D4E8",  # ; MATHEMATICAL BOLD SCRIPT CAPITAL Y
        "\u1D4E9",  # ; MATHEMATICAL BOLD SCRIPT CAPITAL Z
        "\u1D4EA",  # ; MATHEMATICAL BOLD SCRIPT SMALL A
        "\u1D4EB",  # ; MATHEMATICAL BOLD SCRIPT SMALL B
        "\u1D4EC",  # ; MATHEMATICAL BOLD SCRIPT SMALL C
        "\u1D4ED",  # ; MATHEMATICAL BOLD SCRIPT SMALL D
        "\u1D4EE",  # ; MATHEMATICAL BOLD SCRIPT SMALL E
        "\u1D4EF",  # ; MATHEMATICAL BOLD SCRIPT SMALL F
        "\u1D4F0",  # ; MATHEMATICAL BOLD SCRIPT SMALL G
        "\u1D4F1",  # ; MATHEMATICAL BOLD SCRIPT SMALL H
        "\u1D4F2",  # ; MATHEMATICAL BOLD SCRIPT SMALL I
        "\u1D4F3",  # ; MATHEMATICAL BOLD SCRIPT SMALL J
        "\u1D4F4",  # ; MATHEMATICAL BOLD SCRIPT SMALL K
        "\u1D4F5",  # ; MATHEMATICAL BOLD SCRIPT SMALL L
        "\u1D4F6",  # ; MATHEMATICAL BOLD SCRIPT SMALL M
        "\u1D4F7",  # ; MATHEMATICAL BOLD SCRIPT SMALL N
        "\u1D4F8",  # ; MATHEMATICAL BOLD SCRIPT SMALL O
        "\u1D4F9",  # ; MATHEMATICAL BOLD SCRIPT SMALL P
        "\u1D4FA",  # ; MATHEMATICAL BOLD SCRIPT SMALL Q
        "\u1D4FB",  # ; MATHEMATICAL BOLD SCRIPT SMALL R
        "\u1D4FC",  # ; MATHEMATICAL BOLD SCRIPT SMALL S
        "\u1D4FD",  # ; MATHEMATICAL BOLD SCRIPT SMALL T
        "\u1D4FE",  # ; MATHEMATICAL BOLD SCRIPT SMALL U
        "\u1D4FF",  # ; MATHEMATICAL BOLD SCRIPT SMALL V
        "\u1D500",  # ; MATHEMATICAL BOLD SCRIPT SMALL W
        "\u1D501",  # ; MATHEMATICAL BOLD SCRIPT SMALL X
        "\u1D502",  # ; MATHEMATICAL BOLD SCRIPT SMALL Y
        "\u1D503",  # ; MATHEMATICAL BOLD SCRIPT SMALL Z
        "\u1D504",  # ; MATHEMATICAL FRAKTUR CAPITAL A
        "\u1D505",  # ; MATHEMATICAL FRAKTUR CAPITAL B
        "\u1D507",  # ; MATHEMATICAL FRAKTUR CAPITAL D
        "\u1D508",  # ; MATHEMATICAL FRAKTUR CAPITAL E
        "\u1D509",  # ; MATHEMATICAL FRAKTUR CAPITAL F
        "\u1D50A",  # ; MATHEMATICAL FRAKTUR CAPITAL G
        "\u1D50D",  # ; MATHEMATICAL FRAKTUR CAPITAL J
        "\u1D50E",  # ; MATHEMATICAL FRAKTUR CAPITAL K
        "\u1D50F",  # ; MATHEMATICAL FRAKTUR CAPITAL L
        "\u1D510",  # ; MATHEMATICAL FRAKTUR CAPITAL M
        "\u1D511",  # ; MATHEMATICAL FRAKTUR CAPITAL N
        "\u1D512",  # ; MATHEMATICAL FRAKTUR CAPITAL O
        "\u1D513",  # ; MATHEMATICAL FRAKTUR CAPITAL P
        "\u1D514",  # ; MATHEMATICAL FRAKTUR CAPITAL Q
        "\u1D516",  # ; MATHEMATICAL FRAKTUR CAPITAL S
        "\u1D517",  # ; MATHEMATICAL FRAKTUR CAPITAL T
        "\u1D518",  # ; MATHEMATICAL FRAKTUR CAPITAL U
        "\u1D519",  # ; MATHEMATICAL FRAKTUR CAPITAL V
        "\u1D51A",  # ; MATHEMATICAL FRAKTUR CAPITAL W
        "\u1D51B",  # ; MATHEMATICAL FRAKTUR CAPITAL X
        "\u1D51C",  # ; MATHEMATICAL FRAKTUR CAPITAL Y
        "\u1D51E",  # ; MATHEMATICAL FRAKTUR SMALL A
        "\u1D51F",  # ; MATHEMATICAL FRAKTUR SMALL B
        "\u1D520",  # ; MATHEMATICAL FRAKTUR SMALL C
        "\u1D521",  # ; MATHEMATICAL FRAKTUR SMALL D
        "\u1D522",  # ; MATHEMATICAL FRAKTUR SMALL E
        "\u1D523",  # ; MATHEMATICAL FRAKTUR SMALL F
        "\u1D524",  # ; MATHEMATICAL FRAKTUR SMALL G
        "\u1D525",  # ; MATHEMATICAL FRAKTUR SMALL H
        "\u1D526",  # ; MATHEMATICAL FRAKTUR SMALL I
        "\u1D527",  # ; MATHEMATICAL FRAKTUR SMALL J
        "\u1D528",  # ; MATHEMATICAL FRAKTUR SMALL K
        "\u1D529",  # ; MATHEMATICAL FRAKTUR SMALL L
        "\u1D52A",  # ; MATHEMATICAL FRAKTUR SMALL M
        "\u1D52B",  # ; MATHEMATICAL FRAKTUR SMALL N
        "\u1D52C",  # ; MATHEMATICAL FRAKTUR SMALL O
        "\u1D52D",  # ; MATHEMATICAL FRAKTUR SMALL P
        "\u1D52E",  # ; MATHEMATICAL FRAKTUR SMALL Q
        "\u1D52F",  # ; MATHEMATICAL FRAKTUR SMALL R
        "\u1D530",  # ; MATHEMATICAL FRAKTUR SMALL S
        "\u1D531",  # ; MATHEMATICAL FRAKTUR SMALL T
        "\u1D532",  # ; MATHEMATICAL FRAKTUR SMALL U
        "\u1D533",  # ; MATHEMATICAL FRAKTUR SMALL V
        "\u1D534",  # ; MATHEMATICAL FRAKTUR SMALL W
        "\u1D535",  # ; MATHEMATICAL FRAKTUR SMALL X
        "\u1D536",  # ; MATHEMATICAL FRAKTUR SMALL Y
        "\u1D537",  # ; MATHEMATICAL FRAKTUR SMALL Z
        "\u1D538",  # ; MATHEMATICAL DOUBLE-STRUCK CAPITAL A
        "\u1D539",  # ; MATHEMATICAL DOUBLE-STRUCK CAPITAL B
        "\u1D53B",  # ; MATHEMATICAL DOUBLE-STRUCK CAPITAL D
        "\u1D53C",  # ; MATHEMATICAL DOUBLE-STRUCK CAPITAL E
        "\u1D53D",  # ; MATHEMATICAL DOUBLE-STRUCK CAPITAL F
        "\u1D53E",  # ; MATHEMATICAL DOUBLE-STRUCK CAPITAL G
        "\u1D540",  # ; MATHEMATICAL DOUBLE-STRUCK CAPITAL I
        "\u1D541",  # ; MATHEMATICAL DOUBLE-STRUCK CAPITAL J
        "\u1D542",  # ; MATHEMATICAL DOUBLE-STRUCK CAPITAL K
        "\u1D543",  # ; MATHEMATICAL DOUBLE-STRUCK CAPITAL L
        "\u1D544",  # ; MATHEMATICAL DOUBLE-STRUCK CAPITAL M
        "\u1D546",  # ; MATHEMATICAL DOUBLE-STRUCK CAPITAL O
        "\u1D54A",  # ; MATHEMATICAL DOUBLE-STRUCK CAPITAL S
        "\u1D54B",  # ; MATHEMATICAL DOUBLE-STRUCK CAPITAL T
        "\u1D54C",  # ; MATHEMATICAL DOUBLE-STRUCK CAPITAL U
        "\u1D54D",  # ; MATHEMATICAL DOUBLE-STRUCK CAPITAL V
        "\u1D54E",  # ; MATHEMATICAL DOUBLE-STRUCK CAPITAL W
        "\u1D54F",  # ; MATHEMATICAL DOUBLE-STRUCK CAPITAL X
        "\u1D550",  # ; MATHEMATICAL DOUBLE-STRUCK CAPITAL Y
        "\u1D552",  # ; MATHEMATICAL DOUBLE-STRUCK SMALL A
        "\u1D553",  # ; MATHEMATICAL DOUBLE-STRUCK SMALL B
        "\u1D554",  # ; MATHEMATICAL DOUBLE-STRUCK SMALL C
        "\u1D555",  # ; MATHEMATICAL DOUBLE-STRUCK SMALL D
        "\u1D556",  # ; MATHEMATICAL DOUBLE-STRUCK SMALL E
        "\u1D557",  # ; MATHEMATICAL DOUBLE-STRUCK SMALL F
        "\u1D558",  # ; MATHEMATICAL DOUBLE-STRUCK SMALL G
        "\u1D559",  # ; MATHEMATICAL DOUBLE-STRUCK SMALL H
        "\u1D55A",  # ; MATHEMATICAL DOUBLE-STRUCK SMALL I
        "\u1D55B",  # ; MATHEMATICAL DOUBLE-STRUCK SMALL J
        "\u1D55C",  # ; MATHEMATICAL DOUBLE-STRUCK SMALL K
        "\u1D55D",  # ; MATHEMATICAL DOUBLE-STRUCK SMALL L
        "\u1D55E",  # ; MATHEMATICAL DOUBLE-STRUCK SMALL M
        "\u1D55F",  # ; MATHEMATICAL DOUBLE-STRUCK SMALL N
        "\u1D560",  # ; MATHEMATICAL DOUBLE-STRUCK SMALL O
        "\u1D561",  # ; MATHEMATICAL DOUBLE-STRUCK SMALL P
        "\u1D562",  # ; MATHEMATICAL DOUBLE-STRUCK SMALL Q
        "\u1D563",  # ; MATHEMATICAL DOUBLE-STRUCK SMALL R
        "\u1D564",  # ; MATHEMATICAL DOUBLE-STRUCK SMALL S
        "\u1D565",  # ; MATHEMATICAL DOUBLE-STRUCK SMALL T
        "\u1D566",  # ; MATHEMATICAL DOUBLE-STRUCK SMALL U
        "\u1D567",  # ; MATHEMATICAL DOUBLE-STRUCK SMALL V
        "\u1D568",  # ; MATHEMATICAL DOUBLE-STRUCK SMALL W
        "\u1D569",  # ; MATHEMATICAL DOUBLE-STRUCK SMALL X
        "\u1D56A",  # ; MATHEMATICAL DOUBLE-STRUCK SMALL Y
        "\u1D56B",  # ; MATHEMATICAL DOUBLE-STRUCK SMALL Z
        "\u1D56C",  # ; MATHEMATICAL BOLD FRAKTUR CAPITAL A
        "\u1D56D",  # ; MATHEMATICAL BOLD FRAKTUR CAPITAL B
        "\u1D56E",  # ; MATHEMATICAL BOLD FRAKTUR CAPITAL C
        "\u1D56F",  # ; MATHEMATICAL BOLD FRAKTUR CAPITAL D
        "\u1D570",  # ; MATHEMATICAL BOLD FRAKTUR CAPITAL E
        "\u1D571",  # ; MATHEMATICAL BOLD FRAKTUR CAPITAL F
        "\u1D572",  # ; MATHEMATICAL BOLD FRAKTUR CAPITAL G
        "\u1D573",  # ; MATHEMATICAL BOLD FRAKTUR CAPITAL H
        "\u1D574",  # ; MATHEMATICAL BOLD FRAKTUR CAPITAL I
        "\u1D575",  # ; MATHEMATICAL BOLD FRAKTUR CAPITAL J
        "\u1D576",  # ; MATHEMATICAL BOLD FRAKTUR CAPITAL K
        "\u1D577",  # ; MATHEMATICAL BOLD FRAKTUR CAPITAL L
        "\u1D578",  # ; MATHEMATICAL BOLD FRAKTUR CAPITAL M
        "\u1D579",  # ; MATHEMATICAL BOLD FRAKTUR CAPITAL N
        "\u1D57A",  # ; MATHEMATICAL BOLD FRAKTUR CAPITAL O
        "\u1D57B",  # ; MATHEMATICAL BOLD FRAKTUR CAPITAL P
        "\u1D57C",  # ; MATHEMATICAL BOLD FRAKTUR CAPITAL Q
        "\u1D57D",  # ; MATHEMATICAL BOLD FRAKTUR CAPITAL R
        "\u1D57E",  # ; MATHEMATICAL BOLD FRAKTUR CAPITAL S
        "\u1D57F",  # ; MATHEMATICAL BOLD FRAKTUR CAPITAL T
        "\u1D580",  # ; MATHEMATICAL BOLD FRAKTUR CAPITAL U
        "\u1D581",  # ; MATHEMATICAL BOLD FRAKTUR CAPITAL V
        "\u1D582",  # ; MATHEMATICAL BOLD FRAKTUR CAPITAL W
        "\u1D583",  # ; MATHEMATICAL BOLD FRAKTUR CAPITAL X
        "\u1D584",  # ; MATHEMATICAL BOLD FRAKTUR CAPITAL Y
        "\u1D585",  # ; MATHEMATICAL BOLD FRAKTUR CAPITAL Z
        "\u1D586",  # ; MATHEMATICAL BOLD FRAKTUR SMALL A
        "\u1D587",  # ; MATHEMATICAL BOLD FRAKTUR SMALL B
        "\u1D588",  # ; MATHEMATICAL BOLD FRAKTUR SMALL C
        "\u1D589",  # ; MATHEMATICAL BOLD FRAKTUR SMALL D
        "\u1D58A",  # ; MATHEMATICAL BOLD FRAKTUR SMALL E
        "\u1D58B",  # ; MATHEMATICAL BOLD FRAKTUR SMALL F
        "\u1D58C",  # ; MATHEMATICAL BOLD FRAKTUR SMALL G
        "\u1D58D",  # ; MATHEMATICAL BOLD FRAKTUR SMALL H
        "\u1D58E",  # ; MATHEMATICAL BOLD FRAKTUR SMALL I
        "\u1D58F",  # ; MATHEMATICAL BOLD FRAKTUR SMALL J
        "\u1D590",  # ; MATHEMATICAL BOLD FRAKTUR SMALL K
        "\u1D591",  # ; MATHEMATICAL BOLD FRAKTUR SMALL L
        "\u1D592",  # ; MATHEMATICAL BOLD FRAKTUR SMALL M
        "\u1D593",  # ; MATHEMATICAL BOLD FRAKTUR SMALL N
        "\u1D594",  # ; MATHEMATICAL BOLD FRAKTUR SMALL O
        "\u1D595",  # ; MATHEMATICAL BOLD FRAKTUR SMALL P
        "\u1D596",  # ; MATHEMATICAL BOLD FRAKTUR SMALL Q
        "\u1D597",  # ; MATHEMATICAL BOLD FRAKTUR SMALL R
        "\u1D598",  # ; MATHEMATICAL BOLD FRAKTUR SMALL S
        "\u1D599",  # ; MATHEMATICAL BOLD FRAKTUR SMALL T
        "\u1D59A",  # ; MATHEMATICAL BOLD FRAKTUR SMALL U
        "\u1D59B",  # ; MATHEMATICAL BOLD FRAKTUR SMALL V
        "\u1D59C",  # ; MATHEMATICAL BOLD FRAKTUR SMALL W
        "\u1D59D",  # ; MATHEMATICAL BOLD FRAKTUR SMALL X
        "\u1D59E",  # ; MATHEMATICAL BOLD FRAKTUR SMALL Y
        "\u1D59F",  # ; MATHEMATICAL BOLD FRAKTUR SMALL Z
        "\u1D5A0",  # ; MATHEMATICAL SANS-SERIF CAPITAL A
        "\u1D5A1",  # ; MATHEMATICAL SANS-SERIF CAPITAL B
        "\u1D5A2",  # ; MATHEMATICAL SANS-SERIF CAPITAL C
        "\u1D5A3",  # ; MATHEMATICAL SANS-SERIF CAPITAL D
        "\u1D5A4",  # ; MATHEMATICAL SANS-SERIF CAPITAL E
        "\u1D5A5",  # ; MATHEMATICAL SANS-SERIF CAPITAL F
        "\u1D5A6",  # ; MATHEMATICAL SANS-SERIF CAPITAL G
        "\u1D5A7",  # ; MATHEMATICAL SANS-SERIF CAPITAL H
        "\u1D5A8",  # ; MATHEMATICAL SANS-SERIF CAPITAL I
        "\u1D5A9",  # ; MATHEMATICAL SANS-SERIF CAPITAL J
        "\u1D5AA",  # ; MATHEMATICAL SANS-SERIF CAPITAL K
        "\u1D5AB",  # ; MATHEMATICAL SANS-SERIF CAPITAL L
        "\u1D5AC",  # ; MATHEMATICAL SANS-SERIF CAPITAL M
        "\u1D5AD",  # ; MATHEMATICAL SANS-SERIF CAPITAL N
        "\u1D5AE",  # ; MATHEMATICAL SANS-SERIF CAPITAL O
        "\u1D5AF",  # ; MATHEMATICAL SANS-SERIF CAPITAL P
        "\u1D5B0",  # ; MATHEMATICAL SANS-SERIF CAPITAL Q
        "\u1D5B1",  # ; MATHEMATICAL SANS-SERIF CAPITAL R
        "\u1D5B2",  # ; MATHEMATICAL SANS-SERIF CAPITAL S
        "\u1D5B3",  # ; MATHEMATICAL SANS-SERIF CAPITAL T
        "\u1D5B4",  # ; MATHEMATICAL SANS-SERIF CAPITAL U
        "\u1D5B5",  # ; MATHEMATICAL SANS-SERIF CAPITAL V
        "\u1D5B6",  # ; MATHEMATICAL SANS-SERIF CAPITAL W
        "\u1D5B7",  # ; MATHEMATICAL SANS-SERIF CAPITAL X
        "\u1D5B8",  # ; MATHEMATICAL SANS-SERIF CAPITAL Y
        "\u1D5B9",  # ; MATHEMATICAL SANS-SERIF CAPITAL Z
        "\u1D5BA",  # ; MATHEMATICAL SANS-SERIF SMALL A
        "\u1D5BB",  # ; MATHEMATICAL SANS-SERIF SMALL B
        "\u1D5BC",  # ; MATHEMATICAL SANS-SERIF SMALL C
        "\u1D5BD",  # ; MATHEMATICAL SANS-SERIF SMALL D
        "\u1D5BE",  # ; MATHEMATICAL SANS-SERIF SMALL E
        "\u1D5BF",  # ; MATHEMATICAL SANS-SERIF SMALL F
        "\u1D5C0",  # ; MATHEMATICAL SANS-SERIF SMALL G
        "\u1D5C1",  # ; MATHEMATICAL SANS-SERIF SMALL H
        "\u1D5C2",  # ; MATHEMATICAL SANS-SERIF SMALL I
        "\u1D5C3",  # ; MATHEMATICAL SANS-SERIF SMALL J
        "\u1D5C4",  # ; MATHEMATICAL SANS-SERIF SMALL K
        "\u1D5C5",  # ; MATHEMATICAL SANS-SERIF SMALL L
        "\u1D5C6",  # ; MATHEMATICAL SANS-SERIF SMALL M
        "\u1D5C7",  # ; MATHEMATICAL SANS-SERIF SMALL N
        "\u1D5C8",  # ; MATHEMATICAL SANS-SERIF SMALL O
        "\u1D5C9",  # ; MATHEMATICAL SANS-SERIF SMALL P
        "\u1D5CA",  # ; MATHEMATICAL SANS-SERIF SMALL Q
        "\u1D5CB",  # ; MATHEMATICAL SANS-SERIF SMALL R
        "\u1D5CC",  # ; MATHEMATICAL SANS-SERIF SMALL S
        "\u1D5CD",  # ; MATHEMATICAL SANS-SERIF SMALL T
        "\u1D5CE",  # ; MATHEMATICAL SANS-SERIF SMALL U
        "\u1D5CF",  # ; MATHEMATICAL SANS-SERIF SMALL V
        "\u1D5D0",  # ; MATHEMATICAL SANS-SERIF SMALL W
        "\u1D5D1",  # ; MATHEMATICAL SANS-SERIF SMALL X
        "\u1D5D2",  # ; MATHEMATICAL SANS-SERIF SMALL Y
        "\u1D5D3",  # ; MATHEMATICAL SANS-SERIF SMALL Z
        "\u1D5D4",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL A
        "\u1D5D5",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL B
        "\u1D5D6",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL C
        "\u1D5D7",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL D
        "\u1D5D8",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL E
        "\u1D5D9",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL F
        "\u1D5DA",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL G
        "\u1D5DB",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL H
        "\u1D5DC",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL I
        "\u1D5DD",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL J
        "\u1D5DE",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL K
        "\u1D5DF",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL L
        "\u1D5E0",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL M
        "\u1D5E1",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL N
        "\u1D5E2",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL O
        "\u1D5E3",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL P
        "\u1D5E4",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL Q
        "\u1D5E5",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL R
        "\u1D5E6",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL S
        "\u1D5E7",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL T
        "\u1D5E8",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL U
        "\u1D5E9",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL V
        "\u1D5EA",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL W
        "\u1D5EB",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL X
        "\u1D5EC",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL Y
        "\u1D5ED",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL Z
        "\u1D5EE",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL A
        "\u1D5EF",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL B
        "\u1D5F0",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL C
        "\u1D5F1",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL D
        "\u1D5F2",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL E
        "\u1D5F3",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL F
        "\u1D5F4",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL G
        "\u1D5F5",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL H
        "\u1D5F6",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL I
        "\u1D5F7",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL J
        "\u1D5F8",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL K
        "\u1D5F9",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL L
        "\u1D5FA",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL M
        "\u1D5FB",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL N
        "\u1D5FC",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL O
        "\u1D5FD",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL P
        "\u1D5FE",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL Q
        "\u1D5FF",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL R
        "\u1D600",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL S
        "\u1D601",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL T
        "\u1D602",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL U
        "\u1D603",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL V
        "\u1D604",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL W
        "\u1D605",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL X
        "\u1D606",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL Y
        "\u1D607",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL Z
        "\u1D608",  # ; MATHEMATICAL SANS-SERIF ITALIC CAPITAL A
        "\u1D609",  # ; MATHEMATICAL SANS-SERIF ITALIC CAPITAL B
        "\u1D60A",  # ; MATHEMATICAL SANS-SERIF ITALIC CAPITAL C
        "\u1D60B",  # ; MATHEMATICAL SANS-SERIF ITALIC CAPITAL D
        "\u1D60C",  # ; MATHEMATICAL SANS-SERIF ITALIC CAPITAL E
        "\u1D60D",  # ; MATHEMATICAL SANS-SERIF ITALIC CAPITAL F
        "\u1D60E",  # ; MATHEMATICAL SANS-SERIF ITALIC CAPITAL G
        "\u1D60F",  # ; MATHEMATICAL SANS-SERIF ITALIC CAPITAL H
        "\u1D610",  # ; MATHEMATICAL SANS-SERIF ITALIC CAPITAL I
        "\u1D611",  # ; MATHEMATICAL SANS-SERIF ITALIC CAPITAL J
        "\u1D612",  # ; MATHEMATICAL SANS-SERIF ITALIC CAPITAL K
        "\u1D613",  # ; MATHEMATICAL SANS-SERIF ITALIC CAPITAL L
        "\u1D614",  # ; MATHEMATICAL SANS-SERIF ITALIC CAPITAL M
        "\u1D615",  # ; MATHEMATICAL SANS-SERIF ITALIC CAPITAL N
        "\u1D616",  # ; MATHEMATICAL SANS-SERIF ITALIC CAPITAL O
        "\u1D617",  # ; MATHEMATICAL SANS-SERIF ITALIC CAPITAL P
        "\u1D618",  # ; MATHEMATICAL SANS-SERIF ITALIC CAPITAL Q
        "\u1D619",  # ; MATHEMATICAL SANS-SERIF ITALIC CAPITAL R
        "\u1D61A",  # ; MATHEMATICAL SANS-SERIF ITALIC CAPITAL S
        "\u1D61B",  # ; MATHEMATICAL SANS-SERIF ITALIC CAPITAL T
        "\u1D61C",  # ; MATHEMATICAL SANS-SERIF ITALIC CAPITAL U
        "\u1D61D",  # ; MATHEMATICAL SANS-SERIF ITALIC CAPITAL V
        "\u1D61E",  # ; MATHEMATICAL SANS-SERIF ITALIC CAPITAL W
        "\u1D61F",  # ; MATHEMATICAL SANS-SERIF ITALIC CAPITAL X
        "\u1D620",  # ; MATHEMATICAL SANS-SERIF ITALIC CAPITAL Y
        "\u1D621",  # ; MATHEMATICAL SANS-SERIF ITALIC CAPITAL Z
        "\u1D622",  # ; MATHEMATICAL SANS-SERIF ITALIC SMALL A
        "\u1D623",  # ; MATHEMATICAL SANS-SERIF ITALIC SMALL B
        "\u1D624",  # ; MATHEMATICAL SANS-SERIF ITALIC SMALL C
        "\u1D625",  # ; MATHEMATICAL SANS-SERIF ITALIC SMALL D
        "\u1D626",  # ; MATHEMATICAL SANS-SERIF ITALIC SMALL E
        "\u1D627",  # ; MATHEMATICAL SANS-SERIF ITALIC SMALL F
        "\u1D628",  # ; MATHEMATICAL SANS-SERIF ITALIC SMALL G
        "\u1D629",  # ; MATHEMATICAL SANS-SERIF ITALIC SMALL H
        "\u1D62A",  # ; MATHEMATICAL SANS-SERIF ITALIC SMALL I
        "\u1D62B",  # ; MATHEMATICAL SANS-SERIF ITALIC SMALL J
        "\u1D62C",  # ; MATHEMATICAL SANS-SERIF ITALIC SMALL K
        "\u1D62D",  # ; MATHEMATICAL SANS-SERIF ITALIC SMALL L
        "\u1D62E",  # ; MATHEMATICAL SANS-SERIF ITALIC SMALL M
        "\u1D62F",  # ; MATHEMATICAL SANS-SERIF ITALIC SMALL N
        "\u1D630",  # ; MATHEMATICAL SANS-SERIF ITALIC SMALL O
        "\u1D631",  # ; MATHEMATICAL SANS-SERIF ITALIC SMALL P
        "\u1D632",  # ; MATHEMATICAL SANS-SERIF ITALIC SMALL Q
        "\u1D633",  # ; MATHEMATICAL SANS-SERIF ITALIC SMALL R
        "\u1D634",  # ; MATHEMATICAL SANS-SERIF ITALIC SMALL S
        "\u1D635",  # ; MATHEMATICAL SANS-SERIF ITALIC SMALL T
        "\u1D636",  # ; MATHEMATICAL SANS-SERIF ITALIC SMALL U
        "\u1D637",  # ; MATHEMATICAL SANS-SERIF ITALIC SMALL V
        "\u1D638",  # ; MATHEMATICAL SANS-SERIF ITALIC SMALL W
        "\u1D639",  # ; MATHEMATICAL SANS-SERIF ITALIC SMALL X
        "\u1D63A",  # ; MATHEMATICAL SANS-SERIF ITALIC SMALL Y
        "\u1D63B",  # ; MATHEMATICAL SANS-SERIF ITALIC SMALL Z
        "\u1D63C",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL A
        "\u1D63D",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL B
        "\u1D63E",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL C
        "\u1D63F",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL D
        "\u1D640",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL E
        "\u1D641",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL F
        "\u1D642",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL G
        "\u1D643",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL H
        "\u1D644",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL I
        "\u1D645",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL J
        "\u1D646",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL K
        "\u1D647",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL L
        "\u1D648",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL M
        "\u1D649",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL N
        "\u1D64A",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL O
        "\u1D64B",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL P
        "\u1D64C",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL Q
        "\u1D64D",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL R
        "\u1D64E",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL S
        "\u1D64F",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL T
        "\u1D650",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL U
        "\u1D651",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL V
        "\u1D652",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL W
        "\u1D653",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL X
        "\u1D654",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL Y
        "\u1D655",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL Z
        "\u1D656",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL A
        "\u1D657",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL B
        "\u1D658",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL C
        "\u1D659",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL D
        "\u1D65A",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL E
        "\u1D65B",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL F
        "\u1D65C",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL G
        "\u1D65D",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL H
        "\u1D65E",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL I
        "\u1D65F",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL J
        "\u1D660",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL K
        "\u1D661",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL L
        "\u1D662",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL M
        "\u1D663",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL N
        "\u1D664",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL O
        "\u1D665",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL P
        "\u1D666",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL Q
        "\u1D667",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL R
        "\u1D668",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL S
        "\u1D669",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL T
        "\u1D66A",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL U
        "\u1D66B",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL V
        "\u1D66C",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL W
        "\u1D66D",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL X
        "\u1D66E",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL Y
        "\u1D66F",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL Z
        "\u1D670",  # ; MATHEMATICAL MONOSPACE CAPITAL A
        "\u1D671",  # ; MATHEMATICAL MONOSPACE CAPITAL B
        "\u1D672",  # ; MATHEMATICAL MONOSPACE CAPITAL C
        "\u1D673",  # ; MATHEMATICAL MONOSPACE CAPITAL D
        "\u1D674",  # ; MATHEMATICAL MONOSPACE CAPITAL E
        "\u1D675",  # ; MATHEMATICAL MONOSPACE CAPITAL F
        "\u1D676",  # ; MATHEMATICAL MONOSPACE CAPITAL G
        "\u1D677",  # ; MATHEMATICAL MONOSPACE CAPITAL H
        "\u1D678",  # ; MATHEMATICAL MONOSPACE CAPITAL I
        "\u1D679",  # ; MATHEMATICAL MONOSPACE CAPITAL J
        "\u1D67A",  # ; MATHEMATICAL MONOSPACE CAPITAL K
        "\u1D67B",  # ; MATHEMATICAL MONOSPACE CAPITAL L
        "\u1D67C",  # ; MATHEMATICAL MONOSPACE CAPITAL M
        "\u1D67D",  # ; MATHEMATICAL MONOSPACE CAPITAL N
        "\u1D67E",  # ; MATHEMATICAL MONOSPACE CAPITAL O
        "\u1D67F",  # ; MATHEMATICAL MONOSPACE CAPITAL P
        "\u1D680",  # ; MATHEMATICAL MONOSPACE CAPITAL Q
        "\u1D681",  # ; MATHEMATICAL MONOSPACE CAPITAL R
        "\u1D682",  # ; MATHEMATICAL MONOSPACE CAPITAL S
        "\u1D683",  # ; MATHEMATICAL MONOSPACE CAPITAL T
        "\u1D684",  # ; MATHEMATICAL MONOSPACE CAPITAL U
        "\u1D685",  # ; MATHEMATICAL MONOSPACE CAPITAL V
        "\u1D686",  # ; MATHEMATICAL MONOSPACE CAPITAL W
        "\u1D687",  # ; MATHEMATICAL MONOSPACE CAPITAL X
        "\u1D688",  # ; MATHEMATICAL MONOSPACE CAPITAL Y
        "\u1D689",  # ; MATHEMATICAL MONOSPACE CAPITAL Z
        "\u1D68A",  # ; MATHEMATICAL MONOSPACE SMALL A
        "\u1D68B",  # ; MATHEMATICAL MONOSPACE SMALL B
        "\u1D68C",  # ; MATHEMATICAL MONOSPACE SMALL C
        "\u1D68D",  # ; MATHEMATICAL MONOSPACE SMALL D
        "\u1D68E",  # ; MATHEMATICAL MONOSPACE SMALL E
        "\u1D68F",  # ; MATHEMATICAL MONOSPACE SMALL F
        "\u1D690",  # ; MATHEMATICAL MONOSPACE SMALL G
        "\u1D691",  # ; MATHEMATICAL MONOSPACE SMALL H
        "\u1D692",  # ; MATHEMATICAL MONOSPACE SMALL I
        "\u1D693",  # ; MATHEMATICAL MONOSPACE SMALL J
        "\u1D694",  # ; MATHEMATICAL MONOSPACE SMALL K
        "\u1D695",  # ; MATHEMATICAL MONOSPACE SMALL L
        "\u1D696",  # ; MATHEMATICAL MONOSPACE SMALL M
        "\u1D697",  # ; MATHEMATICAL MONOSPACE SMALL N
        "\u1D698",  # ; MATHEMATICAL MONOSPACE SMALL O
        "\u1D699",  # ; MATHEMATICAL MONOSPACE SMALL P
        "\u1D69A",  # ; MATHEMATICAL MONOSPACE SMALL Q
        "\u1D69B",  # ; MATHEMATICAL MONOSPACE SMALL R
        "\u1D69C",  # ; MATHEMATICAL MONOSPACE SMALL S
        "\u1D69D",  # ; MATHEMATICAL MONOSPACE SMALL T
        "\u1D69E",  # ; MATHEMATICAL MONOSPACE SMALL U
        "\u1D69F",  # ; MATHEMATICAL MONOSPACE SMALL V
        "\u1D6A0",  # ; MATHEMATICAL MONOSPACE SMALL W
        "\u1D6A1",  # ; MATHEMATICAL MONOSPACE SMALL X
        "\u1D6A2",  # ; MATHEMATICAL MONOSPACE SMALL Y
        "\u1D6A3",  # ; MATHEMATICAL MONOSPACE SMALL Z
        "\u1D6A4",  # ; MATHEMATICAL ITALIC SMALL DOTLESS I
        "\u1D6A5",  # ; MATHEMATICAL ITALIC SMALL DOTLESS J
        "\u1D6A8",  # ; MATHEMATICAL BOLD CAPITAL ALPHA
        "\u1D6A9",  # ; MATHEMATICAL BOLD CAPITAL BETA
        "\u1D6AA",  # ; MATHEMATICAL BOLD CAPITAL GAMMA
        "\u1D6AB",  # ; MATHEMATICAL BOLD CAPITAL DELTA
        "\u1D6AC",  # ; MATHEMATICAL BOLD CAPITAL EPSILON
        "\u1D6AD",  # ; MATHEMATICAL BOLD CAPITAL ZETA
        "\u1D6AE",  # ; MATHEMATICAL BOLD CAPITAL ETA
        "\u1D6AF",  # ; MATHEMATICAL BOLD CAPITAL THETA
        "\u1D6B0",  # ; MATHEMATICAL BOLD CAPITAL IOTA
        "\u1D6B1",  # ; MATHEMATICAL BOLD CAPITAL KAPPA
        "\u1D6B2",  # ; MATHEMATICAL BOLD CAPITAL LAMDA
        "\u1D6B3",  # ; MATHEMATICAL BOLD CAPITAL MU
        "\u1D6B4",  # ; MATHEMATICAL BOLD CAPITAL NU
        "\u1D6B5",  # ; MATHEMATICAL BOLD CAPITAL XI
        "\u1D6B6",  # ; MATHEMATICAL BOLD CAPITAL OMICRON
        "\u1D6B7",  # ; MATHEMATICAL BOLD CAPITAL PI
        "\u1D6B8",  # ; MATHEMATICAL BOLD CAPITAL RHO
        "\u1D6B9",  # ; MATHEMATICAL BOLD CAPITAL THETA SYMBOL
        "\u1D6BA",  # ; MATHEMATICAL BOLD CAPITAL SIGMA
        "\u1D6BB",  # ; MATHEMATICAL BOLD CAPITAL TAU
        "\u1D6BC",  # ; MATHEMATICAL BOLD CAPITAL UPSILON
        "\u1D6BD",  # ; MATHEMATICAL BOLD CAPITAL PHI
        "\u1D6BE",  # ; MATHEMATICAL BOLD CAPITAL CHI
        "\u1D6BF",  # ; MATHEMATICAL BOLD CAPITAL PSI
        "\u1D6C0",  # ; MATHEMATICAL BOLD CAPITAL OMEGA
        "\u1D6C1",  # ; MATHEMATICAL BOLD NABLA
        "\u1D6C2",  # ; MATHEMATICAL BOLD SMALL ALPHA
        "\u1D6C3",  # ; MATHEMATICAL BOLD SMALL BETA
        "\u1D6C4",  # ; MATHEMATICAL BOLD SMALL GAMMA
        "\u1D6C5",  # ; MATHEMATICAL BOLD SMALL DELTA
        "\u1D6C6",  # ; MATHEMATICAL BOLD SMALL EPSILON
        "\u1D6C7",  # ; MATHEMATICAL BOLD SMALL ZETA
        "\u1D6C8",  # ; MATHEMATICAL BOLD SMALL ETA
        "\u1D6C9",  # ; MATHEMATICAL BOLD SMALL THETA
        "\u1D6CA",  # ; MATHEMATICAL BOLD SMALL IOTA
        "\u1D6CB",  # ; MATHEMATICAL BOLD SMALL KAPPA
        "\u1D6CC",  # ; MATHEMATICAL BOLD SMALL LAMDA
        "\u1D6CD",  # ; MATHEMATICAL BOLD SMALL MU
        "\u1D6CE",  # ; MATHEMATICAL BOLD SMALL NU
        "\u1D6CF",  # ; MATHEMATICAL BOLD SMALL XI
        "\u1D6D0",  # ; MATHEMATICAL BOLD SMALL OMICRON
        "\u1D6D1",  # ; MATHEMATICAL BOLD SMALL PI
        "\u1D6D2",  # ; MATHEMATICAL BOLD SMALL RHO
        "\u1D6D3",  # ; MATHEMATICAL BOLD SMALL FINAL SIGMA
        "\u1D6D4",  # ; MATHEMATICAL BOLD SMALL SIGMA
        "\u1D6D5",  # ; MATHEMATICAL BOLD SMALL TAU
        "\u1D6D6",  # ; MATHEMATICAL BOLD SMALL UPSILON
        "\u1D6D7",  # ; MATHEMATICAL BOLD SMALL PHI
        "\u1D6D8",  # ; MATHEMATICAL BOLD SMALL CHI
        "\u1D6D9",  # ; MATHEMATICAL BOLD SMALL PSI
        "\u1D6DA",  # ; MATHEMATICAL BOLD SMALL OMEGA
        "\u1D6DB",  # ; MATHEMATICAL BOLD PARTIAL DIFFERENTIAL
        "\u1D6DC",  # ; MATHEMATICAL BOLD EPSILON SYMBOL
        "\u1D6DD",  # ; MATHEMATICAL BOLD THETA SYMBOL
        "\u1D6DE",  # ; MATHEMATICAL BOLD KAPPA SYMBOL
        "\u1D6DF",  # ; MATHEMATICAL BOLD PHI SYMBOL
        "\u1D6E0",  # ; MATHEMATICAL BOLD RHO SYMBOL
        "\u1D6E1",  # ; MATHEMATICAL BOLD PI SYMBOL
        "\u1D6E2",  # ; MATHEMATICAL ITALIC CAPITAL ALPHA
        "\u1D6E3",  # ; MATHEMATICAL ITALIC CAPITAL BETA
        "\u1D6E4",  # ; MATHEMATICAL ITALIC CAPITAL GAMMA
        "\u1D6E5",  # ; MATHEMATICAL ITALIC CAPITAL DELTA
        "\u1D6E6",  # ; MATHEMATICAL ITALIC CAPITAL EPSILON
        "\u1D6E7",  # ; MATHEMATICAL ITALIC CAPITAL ZETA
        "\u1D6E8",  # ; MATHEMATICAL ITALIC CAPITAL ETA
        "\u1D6E9",  # ; MATHEMATICAL ITALIC CAPITAL THETA
        "\u1D6EA",  # ; MATHEMATICAL ITALIC CAPITAL IOTA
        "\u1D6EB",  # ; MATHEMATICAL ITALIC CAPITAL KAPPA
        "\u1D6EC",  # ; MATHEMATICAL ITALIC CAPITAL LAMDA
        "\u1D6ED",  # ; MATHEMATICAL ITALIC CAPITAL MU
        "\u1D6EE",  # ; MATHEMATICAL ITALIC CAPITAL NU
        "\u1D6EF",  # ; MATHEMATICAL ITALIC CAPITAL XI
        "\u1D6F0",  # ; MATHEMATICAL ITALIC CAPITAL OMICRON
        "\u1D6F1",  # ; MATHEMATICAL ITALIC CAPITAL PI
        "\u1D6F2",  # ; MATHEMATICAL ITALIC CAPITAL RHO
        "\u1D6F3",  # ; MATHEMATICAL ITALIC CAPITAL THETA SYMBOL
        "\u1D6F4",  # ; MATHEMATICAL ITALIC CAPITAL SIGMA
        "\u1D6F5",  # ; MATHEMATICAL ITALIC CAPITAL TAU
        "\u1D6F6",  # ; MATHEMATICAL ITALIC CAPITAL UPSILON
        "\u1D6F7",  # ; MATHEMATICAL ITALIC CAPITAL PHI
        "\u1D6F8",  # ; MATHEMATICAL ITALIC CAPITAL CHI
        "\u1D6F9",  # ; MATHEMATICAL ITALIC CAPITAL PSI
        "\u1D6FA",  # ; MATHEMATICAL ITALIC CAPITAL OMEGA
        "\u1D6FB",  # ; MATHEMATICAL ITALIC NABLA
        "\u1D6FC",  # ; MATHEMATICAL ITALIC SMALL ALPHA
        "\u1D6FD",  # ; MATHEMATICAL ITALIC SMALL BETA
        "\u1D6FE",  # ; MATHEMATICAL ITALIC SMALL GAMMA
        "\u1D6FF",  # ; MATHEMATICAL ITALIC SMALL DELTA
        "\u1D700",  # ; MATHEMATICAL ITALIC SMALL EPSILON
        "\u1D701",  # ; MATHEMATICAL ITALIC SMALL ZETA
        "\u1D702",  # ; MATHEMATICAL ITALIC SMALL ETA
        "\u1D703",  # ; MATHEMATICAL ITALIC SMALL THETA
        "\u1D704",  # ; MATHEMATICAL ITALIC SMALL IOTA
        "\u1D705",  # ; MATHEMATICAL ITALIC SMALL KAPPA
        "\u1D706",  # ; MATHEMATICAL ITALIC SMALL LAMDA
        "\u1D707",  # ; MATHEMATICAL ITALIC SMALL MU
        "\u1D708",  # ; MATHEMATICAL ITALIC SMALL NU
        "\u1D709",  # ; MATHEMATICAL ITALIC SMALL XI
        "\u1D70A",  # ; MATHEMATICAL ITALIC SMALL OMICRON
        "\u1D70B",  # ; MATHEMATICAL ITALIC SMALL PI
        "\u1D70C",  # ; MATHEMATICAL ITALIC SMALL RHO
        "\u1D70D",  # ; MATHEMATICAL ITALIC SMALL FINAL SIGMA
        "\u1D70E",  # ; MATHEMATICAL ITALIC SMALL SIGMA
        "\u1D70F",  # ; MATHEMATICAL ITALIC SMALL TAU
        "\u1D710",  # ; MATHEMATICAL ITALIC SMALL UPSILON
        "\u1D711",  # ; MATHEMATICAL ITALIC SMALL PHI
        "\u1D712",  # ; MATHEMATICAL ITALIC SMALL CHI
        "\u1D713",  # ; MATHEMATICAL ITALIC SMALL PSI
        "\u1D714",  # ; MATHEMATICAL ITALIC SMALL OMEGA
        "\u1D715",  # ; MATHEMATICAL ITALIC PARTIAL DIFFERENTIAL
        "\u1D716",  # ; MATHEMATICAL ITALIC EPSILON SYMBOL
        "\u1D717",  # ; MATHEMATICAL ITALIC THETA SYMBOL
        "\u1D718",  # ; MATHEMATICAL ITALIC KAPPA SYMBOL
        "\u1D719",  # ; MATHEMATICAL ITALIC PHI SYMBOL
        "\u1D71A",  # ; MATHEMATICAL ITALIC RHO SYMBOL
        "\u1D71B",  # ; MATHEMATICAL ITALIC PI SYMBOL
        "\u1D71C",  # ; MATHEMATICAL BOLD ITALIC CAPITAL ALPHA
        "\u1D71D",  # ; MATHEMATICAL BOLD ITALIC CAPITAL BETA
        "\u1D71E",  # ; MATHEMATICAL BOLD ITALIC CAPITAL GAMMA
        "\u1D71F",  # ; MATHEMATICAL BOLD ITALIC CAPITAL DELTA
        "\u1D720",  # ; MATHEMATICAL BOLD ITALIC CAPITAL EPSILON
        "\u1D721",  # ; MATHEMATICAL BOLD ITALIC CAPITAL ZETA
        "\u1D722",  # ; MATHEMATICAL BOLD ITALIC CAPITAL ETA
        "\u1D723",  # ; MATHEMATICAL BOLD ITALIC CAPITAL THETA
        "\u1D724",  # ; MATHEMATICAL BOLD ITALIC CAPITAL IOTA
        "\u1D725",  # ; MATHEMATICAL BOLD ITALIC CAPITAL KAPPA
        "\u1D726",  # ; MATHEMATICAL BOLD ITALIC CAPITAL LAMDA
        "\u1D727",  # ; MATHEMATICAL BOLD ITALIC CAPITAL MU
        "\u1D728",  # ; MATHEMATICAL BOLD ITALIC CAPITAL NU
        "\u1D729",  # ; MATHEMATICAL BOLD ITALIC CAPITAL XI
        "\u1D72A",  # ; MATHEMATICAL BOLD ITALIC CAPITAL OMICRON
        "\u1D72B",  # ; MATHEMATICAL BOLD ITALIC CAPITAL PI
        "\u1D72C",  # ; MATHEMATICAL BOLD ITALIC CAPITAL RHO
        "\u1D72D",  # ; MATHEMATICAL BOLD ITALIC CAPITAL THETA SYMBOL
        "\u1D72E",  # ; MATHEMATICAL BOLD ITALIC CAPITAL SIGMA
        "\u1D72F",  # ; MATHEMATICAL BOLD ITALIC CAPITAL TAU
        "\u1D730",  # ; MATHEMATICAL BOLD ITALIC CAPITAL UPSILON
        "\u1D731",  # ; MATHEMATICAL BOLD ITALIC CAPITAL PHI
        "\u1D732",  # ; MATHEMATICAL BOLD ITALIC CAPITAL CHI
        "\u1D733",  # ; MATHEMATICAL BOLD ITALIC CAPITAL PSI
        "\u1D734",  # ; MATHEMATICAL BOLD ITALIC CAPITAL OMEGA
        "\u1D735",  # ; MATHEMATICAL BOLD ITALIC NABLA
        "\u1D736",  # ; MATHEMATICAL BOLD ITALIC SMALL ALPHA
        "\u1D737",  # ; MATHEMATICAL BOLD ITALIC SMALL BETA
        "\u1D738",  # ; MATHEMATICAL BOLD ITALIC SMALL GAMMA
        "\u1D739",  # ; MATHEMATICAL BOLD ITALIC SMALL DELTA
        "\u1D73A",  # ; MATHEMATICAL BOLD ITALIC SMALL EPSILON
        "\u1D73B",  # ; MATHEMATICAL BOLD ITALIC SMALL ZETA
        "\u1D73C",  # ; MATHEMATICAL BOLD ITALIC SMALL ETA
        "\u1D73D",  # ; MATHEMATICAL BOLD ITALIC SMALL THETA
        "\u1D73E",  # ; MATHEMATICAL BOLD ITALIC SMALL IOTA
        "\u1D73F",  # ; MATHEMATICAL BOLD ITALIC SMALL KAPPA
        "\u1D740",  # ; MATHEMATICAL BOLD ITALIC SMALL LAMDA
        "\u1D741",  # ; MATHEMATICAL BOLD ITALIC SMALL MU
        "\u1D742",  # ; MATHEMATICAL BOLD ITALIC SMALL NU
        "\u1D743",  # ; MATHEMATICAL BOLD ITALIC SMALL XI
        "\u1D744",  # ; MATHEMATICAL BOLD ITALIC SMALL OMICRON
        "\u1D745",  # ; MATHEMATICAL BOLD ITALIC SMALL PI
        "\u1D746",  # ; MATHEMATICAL BOLD ITALIC SMALL RHO
        "\u1D747",  # ; MATHEMATICAL BOLD ITALIC SMALL FINAL SIGMA
        "\u1D748",  # ; MATHEMATICAL BOLD ITALIC SMALL SIGMA
        "\u1D749",  # ; MATHEMATICAL BOLD ITALIC SMALL TAU
        "\u1D74A",  # ; MATHEMATICAL BOLD ITALIC SMALL UPSILON
        "\u1D74B",  # ; MATHEMATICAL BOLD ITALIC SMALL PHI
        "\u1D74C",  # ; MATHEMATICAL BOLD ITALIC SMALL CHI
        "\u1D74D",  # ; MATHEMATICAL BOLD ITALIC SMALL PSI
        "\u1D74E",  # ; MATHEMATICAL BOLD ITALIC SMALL OMEGA
        "\u1D74F",  # ; MATHEMATICAL BOLD ITALIC PARTIAL DIFFERENTIAL
        "\u1D750",  # ; MATHEMATICAL BOLD ITALIC EPSILON SYMBOL
        "\u1D751",  # ; MATHEMATICAL BOLD ITALIC THETA SYMBOL
        "\u1D752",  # ; MATHEMATICAL BOLD ITALIC KAPPA SYMBOL
        "\u1D753",  # ; MATHEMATICAL BOLD ITALIC PHI SYMBOL
        "\u1D754",  # ; MATHEMATICAL BOLD ITALIC RHO SYMBOL
        "\u1D755",  # ; MATHEMATICAL BOLD ITALIC PI SYMBOL
        "\u1D756",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL ALPHA
        "\u1D757",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL BETA
        "\u1D758",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL GAMMA
        "\u1D759",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL DELTA
        "\u1D75A",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL EPSILON
        "\u1D75B",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL ZETA
        "\u1D75C",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL ETA
        "\u1D75D",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL THETA
        "\u1D75E",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL IOTA
        "\u1D75F",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL KAPPA
        "\u1D760",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL LAMDA
        "\u1D761",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL MU
        "\u1D762",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL NU
        "\u1D763",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL XI
        "\u1D764",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL OMICRON
        "\u1D765",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL PI
        "\u1D766",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL RHO
        "\u1D767",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL THETA SYMBOL
        "\u1D768",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL SIGMA
        "\u1D769",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL TAU
        "\u1D76A",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL UPSILON
        "\u1D76B",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL PHI
        "\u1D76C",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL CHI
        "\u1D76D",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL PSI
        "\u1D76E",  # ; MATHEMATICAL SANS-SERIF BOLD CAPITAL OMEGA
        "\u1D76F",  # ; MATHEMATICAL SANS-SERIF BOLD NABLA
        "\u1D770",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL ALPHA
        "\u1D771",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL BETA
        "\u1D772",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL GAMMA
        "\u1D773",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL DELTA
        "\u1D774",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL EPSILON
        "\u1D775",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL ZETA
        "\u1D776",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL ETA
        "\u1D777",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL THETA
        "\u1D778",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL IOTA
        "\u1D779",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL KAPPA
        "\u1D77A",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL LAMDA
        "\u1D77B",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL MU
        "\u1D77C",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL NU
        "\u1D77D",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL XI
        "\u1D77E",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL OMICRON
        "\u1D77F",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL PI
        "\u1D780",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL RHO
        "\u1D781",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL FINAL SIGMA
        "\u1D782",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL SIGMA
        "\u1D783",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL TAU
        "\u1D784",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL UPSILON
        "\u1D785",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL PHI
        "\u1D786",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL CHI
        "\u1D787",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL PSI
        "\u1D788",  # ; MATHEMATICAL SANS-SERIF BOLD SMALL OMEGA
        "\u1D789",  # ; MATHEMATICAL SANS-SERIF BOLD PARTIAL DIFFERENTIAL
        "\u1D78A",  # ; MATHEMATICAL SANS-SERIF BOLD EPSILON SYMBOL
        "\u1D78B",  # ; MATHEMATICAL SANS-SERIF BOLD THETA SYMBOL
        "\u1D78C",  # ; MATHEMATICAL SANS-SERIF BOLD KAPPA SYMBOL
        "\u1D78D",  # ; MATHEMATICAL SANS-SERIF BOLD PHI SYMBOL
        "\u1D78E",  # ; MATHEMATICAL SANS-SERIF BOLD RHO SYMBOL
        "\u1D78F",  # ; MATHEMATICAL SANS-SERIF BOLD PI SYMBOL
        "\u1D790",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL ALPHA
        "\u1D791",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL BETA
        "\u1D792",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL GAMMA
        "\u1D793",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL DELTA
        "\u1D794",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL EPSILON
        "\u1D795",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL ZETA
        "\u1D796",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL ETA
        "\u1D797",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL THETA
        "\u1D798",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL IOTA
        "\u1D799",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL KAPPA
        "\u1D79A",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL LAMDA
        "\u1D79B",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL MU
        "\u1D79C",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL NU
        "\u1D79D",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL XI
        "\u1D79E",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL OMICRON
        "\u1D79F",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL PI
        "\u1D7A0",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL RHO
        "\u1D7A1",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL THETA SYMBOL
        "\u1D7A2",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL SIGMA
        "\u1D7A3",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL TAU
        "\u1D7A4",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL UPSILON
        "\u1D7A5",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL PHI
        "\u1D7A6",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL CHI
        "\u1D7A7",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL PSI
        "\u1D7A8",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL OMEGA
        "\u1D7A9",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC NABLA
        "\u1D7AA",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL ALPHA
        "\u1D7AB",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL BETA
        "\u1D7AC",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL GAMMA
        "\u1D7AD",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL DELTA
        "\u1D7AE",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL EPSILON
        "\u1D7AF",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL ZETA
        "\u1D7B0",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL ETA
        "\u1D7B1",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL THETA
        "\u1D7B2",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL IOTA
        "\u1D7B3",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL KAPPA
        "\u1D7B4",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL LAMDA
        "\u1D7B5",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL MU
        "\u1D7B6",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL NU
        "\u1D7B7",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL XI
        "\u1D7B8",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL OMICRON
        "\u1D7B9",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL PI
        "\u1D7BA",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL RHO
        "\u1D7BB",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL FINAL SIGMA
        "\u1D7BC",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL SIGMA
        "\u1D7BD",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL TAU
        "\u1D7BE",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL UPSILON
        "\u1D7BF",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL PHI
        "\u1D7C0",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL CHI
        "\u1D7C1",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL PSI
        "\u1D7C2",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL OMEGA
        "\u1D7C3",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC PARTIAL DIFFERENTIAL
        "\u1D7C4",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC EPSILON SYMBOL
        "\u1D7C5",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC THETA SYMBOL
        "\u1D7C6",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC KAPPA SYMBOL
        "\u1D7C7",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC PHI SYMBOL
        "\u1D7C8",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC RHO SYMBOL
        "\u1D7C9",  # ; MATHEMATICAL SANS-SERIF BOLD ITALIC PI SYMBOL
        "\u1D7CA",  # ; MATHEMATICAL BOLD CAPITAL DIGAMMA
        "\u1D7CB",  # ; MATHEMATICAL BOLD SMALL DIGAMMA
        "\u1D7CE",  # ; MATHEMATICAL BOLD DIGIT ZERO
        "\u1D7CF",  # ; MATHEMATICAL BOLD DIGIT ONE
        "\u1D7D0",  # ; MATHEMATICAL BOLD DIGIT TWO
        "\u1D7D1",  # ; MATHEMATICAL BOLD DIGIT THREE
        "\u1D7D2",  # ; MATHEMATICAL BOLD DIGIT FOUR
        "\u1D7D3",  # ; MATHEMATICAL BOLD DIGIT FIVE
        "\u1D7D4",  # ; MATHEMATICAL BOLD DIGIT SIX
        "\u1D7D5",  # ; MATHEMATICAL BOLD DIGIT SEVEN
        "\u1D7D6",  # ; MATHEMATICAL BOLD DIGIT EIGHT
        "\u1D7D7",  # ; MATHEMATICAL BOLD DIGIT NINE
        "\u1D7D8",  # ; MATHEMATICAL DOUBLE-STRUCK DIGIT ZERO
        "\u1D7D9",  # ; MATHEMATICAL DOUBLE-STRUCK DIGIT ONE
        "\u1D7DA",  # ; MATHEMATICAL DOUBLE-STRUCK DIGIT TWO
        "\u1D7DB",  # ; MATHEMATICAL DOUBLE-STRUCK DIGIT THREE
        "\u1D7DC",  # ; MATHEMATICAL DOUBLE-STRUCK DIGIT FOUR
        "\u1D7DD",  # ; MATHEMATICAL DOUBLE-STRUCK DIGIT FIVE
        "\u1D7DE",  # ; MATHEMATICAL DOUBLE-STRUCK DIGIT SIX
        "\u1D7DF",  # ; MATHEMATICAL DOUBLE-STRUCK DIGIT SEVEN
        "\u1D7E0",  # ; MATHEMATICAL DOUBLE-STRUCK DIGIT EIGHT
        "\u1D7E1",  # ; MATHEMATICAL DOUBLE-STRUCK DIGIT NINE
        "\u1D7E2",  # ; MATHEMATICAL SANS-SERIF DIGIT ZERO
        "\u1D7E3",  # ; MATHEMATICAL SANS-SERIF DIGIT ONE
        "\u1D7E4",  # ; MATHEMATICAL SANS-SERIF DIGIT TWO
        "\u1D7E5",  # ; MATHEMATICAL SANS-SERIF DIGIT THREE
        "\u1D7E6",  # ; MATHEMATICAL SANS-SERIF DIGIT FOUR
        "\u1D7E7",  # ; MATHEMATICAL SANS-SERIF DIGIT FIVE
        "\u1D7E8",  # ; MATHEMATICAL SANS-SERIF DIGIT SIX
        "\u1D7E9",  # ; MATHEMATICAL SANS-SERIF DIGIT SEVEN
        "\u1D7EA",  # ; MATHEMATICAL SANS-SERIF DIGIT EIGHT
        "\u1D7EB",  # ; MATHEMATICAL SANS-SERIF DIGIT NINE
        "\u1D7EC",  # ; MATHEMATICAL SANS-SERIF BOLD DIGIT ZERO
        "\u1D7ED",  # ; MATHEMATICAL SANS-SERIF BOLD DIGIT ONE
        "\u1D7EE",  # ; MATHEMATICAL SANS-SERIF BOLD DIGIT TWO
        "\u1D7EF",  # ; MATHEMATICAL SANS-SERIF BOLD DIGIT THREE
        "\u1D7F0",  # ; MATHEMATICAL SANS-SERIF BOLD DIGIT FOUR
        "\u1D7F1",  # ; MATHEMATICAL SANS-SERIF BOLD DIGIT FIVE
        "\u1D7F2",  # ; MATHEMATICAL SANS-SERIF BOLD DIGIT SIX
        "\u1D7F3",  # ; MATHEMATICAL SANS-SERIF BOLD DIGIT SEVEN
        "\u1D7F4",  # ; MATHEMATICAL SANS-SERIF BOLD DIGIT EIGHT
        "\u1D7F5",  # ; MATHEMATICAL SANS-SERIF BOLD DIGIT NINE
        "\u1D7F6",  # ; MATHEMATICAL MONOSPACE DIGIT ZERO
        "\u1D7F7",  # ; MATHEMATICAL MONOSPACE DIGIT ONE
        "\u1D7F8",  # ; MATHEMATICAL MONOSPACE DIGIT TWO
        "\u1D7F9",  # ; MATHEMATICAL MONOSPACE DIGIT THREE
        "\u1D7FA",  # ; MATHEMATICAL MONOSPACE DIGIT FOUR
        "\u1D7FB",  # ; MATHEMATICAL MONOSPACE DIGIT FIVE
        "\u1D7FC",  # ; MATHEMATICAL MONOSPACE DIGIT SIX
        "\u1D7FD",  # ; MATHEMATICAL MONOSPACE DIGIT SEVEN
        "\u1D7FE",  # ; MATHEMATICAL MONOSPACE DIGIT EIGHT
        "\u1D7FF",  # ; MATHEMATICAL MONOSPACE DIGIT NINE
        "\u1D800",  # ; SIGNWRITING HAND-FIST INDEX
        "\u1D801",  # ; SIGNWRITING HAND-CIRCLE INDEX
        "\u1D802",  # ; SIGNWRITING HAND-CUP INDEX
        "\u1D803",  # ; SIGNWRITING HAND-OVAL INDEX
        "\u1D804",  # ; SIGNWRITING HAND-HINGE INDEX
        "\u1D805",  # ; SIGNWRITING HAND-ANGLE INDEX
        "\u1D806",  # ; SIGNWRITING HAND-FIST INDEX BENT
        "\u1D807",  # ; SIGNWRITING HAND-CIRCLE INDEX BENT
        "\u1D808",  # ; SIGNWRITING HAND-FIST THUMB UNDER INDEX BENT
        "\u1D809",  # ; SIGNWRITING HAND-FIST INDEX RAISED KNUCKLE
        "\u1D80A",  # ; SIGNWRITING HAND-FIST INDEX CUPPED
        "\u1D80B",  # ; SIGNWRITING HAND-FIST INDEX HINGED
        "\u1D80C",  # ; SIGNWRITING HAND-FIST INDEX HINGED LOW
        "\u1D80D",  # ; SIGNWRITING HAND-CIRCLE INDEX HINGE
        "\u1D80E",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE
        "\u1D80F",  # ; SIGNWRITING HAND-CIRCLE INDEX MIDDLE
        "\u1D810",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE BENT
        "\u1D811",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE RAISED KNUCKLES
        "\u1D812",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE HINGED
        "\u1D813",  # ; SIGNWRITING HAND-FIST INDEX UP MIDDLE HINGED
        "\u1D814",  # ; SIGNWRITING HAND-FIST INDEX HINGED MIDDLE UP
        "\u1D815",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED
        "\u1D816",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED INDEX BENT
        "\u1D817",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED MIDDLE BENT
        "\u1D818",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED CUPPED
        "\u1D819",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED HINGED
        "\u1D81A",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE CROSSED
        "\u1D81B",  # ; SIGNWRITING HAND-CIRCLE INDEX MIDDLE CROSSED
        "\u1D81C",  # ; SIGNWRITING HAND-FIST MIDDLE BENT OVER INDEX
        "\u1D81D",  # ; SIGNWRITING HAND-FIST INDEX BENT OVER MIDDLE
        "\u1D81E",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE THUMB
        "\u1D81F",  # ; SIGNWRITING HAND-CIRCLE INDEX MIDDLE THUMB
        "\u1D820",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE STRAIGHT THUMB BENT
        "\u1D821",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE BENT THUMB STRAIGHT
        "\u1D822",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE THUMB BENT
        "\u1D823",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE HINGED SPREAD THUMB SIDE
        "\u1D824",  # ; SIGNWRITING HAND-FIST INDEX UP MIDDLE HINGED THUMB SIDE
        "\u1D825",  # ; SIGNWRITING HAND-FIST INDEX UP MIDDLE HINGED THUMB CONJOINED
        "\u1D826",  # ; SIGNWRITING HAND-FIST INDEX HINGED MIDDLE UP THUMB SIDE
        "\u1D827",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE UP SPREAD THUMB FORWARD
        "\u1D828",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE THUMB CUPPED
        "\u1D829",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE THUMB CIRCLED
        "\u1D82A",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE THUMB HOOKED
        "\u1D82B",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE THUMB HINGED
        "\u1D82C",  # ; SIGNWRITING HAND-FIST THUMB BETWEEN INDEX MIDDLE STRAIGHT
        "\u1D82D",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED THUMB SIDE
        "\u1D82E",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED THUMB SIDE CONJOINED
        "\u1D82F",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED THUMB SIDE BENT
        "\u1D830",  # ; SIGNWRITING HAND-FIST MIDDLE THUMB HOOKED INDEX UP
        "\u1D831",  # ; SIGNWRITING HAND-FIST INDEX THUMB HOOKED MIDDLE UP
        "\u1D832",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED HINGED THUMB SIDE
        "\u1D833",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE CROSSED THUMB SIDE
        "\u1D834",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED THUMB FORWARD
        "\u1D835",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED CUPPED THUMB FORWARD
        "\u1D836",  # ; SIGNWRITING HAND-FIST MIDDLE THUMB CUPPED INDEX UP
        "\u1D837",  # ; SIGNWRITING HAND-FIST INDEX THUMB CUPPED MIDDLE UP
        "\u1D838",  # ; SIGNWRITING HAND-FIST MIDDLE THUMB CIRCLED INDEX UP
        "\u1D839",  # ; SIGNWRITING HAND-FIST MIDDLE THUMB CIRCLED INDEX HINGED
        "\u1D83A",  # ; SIGNWRITING HAND-FIST INDEX THUMB ANGLED OUT MIDDLE UP
        "\u1D83B",  # ; SIGNWRITING HAND-FIST INDEX THUMB ANGLED IN MIDDLE UP
        "\u1D83C",  # ; SIGNWRITING HAND-FIST INDEX THUMB CIRCLED MIDDLE UP
        "\u1D83D",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE THUMB CONJOINED HINGED
        "\u1D83E",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE THUMB ANGLED OUT
        "\u1D83F",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE THUMB ANGLED
        "\u1D840",  # ; SIGNWRITING HAND-FIST MIDDLE THUMB ANGLED OUT INDEX UP
        "\u1D841",  # ; SIGNWRITING HAND-FIST MIDDLE THUMB ANGLED OUT INDEX CROSSED
        "\u1D842",  # ; SIGNWRITING HAND-FIST MIDDLE THUMB ANGLED INDEX UP
        "\u1D843",  # ; SIGNWRITING HAND-FIST INDEX THUMB HOOKED MIDDLE HINGED
        "\u1D844",  # ; SIGNWRITING HAND-FLAT FOUR FINGERS
        "\u1D845",  # ; SIGNWRITING HAND-FLAT FOUR FINGERS BENT
        "\u1D846",  # ; SIGNWRITING HAND-FLAT FOUR FINGERS HINGED
        "\u1D847",  # ; SIGNWRITING HAND-FLAT FOUR FINGERS CONJOINED
        "\u1D848",  # ; SIGNWRITING HAND-FLAT FOUR FINGERS CONJOINED SPLIT
        "\u1D849",  # ; SIGNWRITING HAND-CLAW FOUR FINGERS CONJOINED
        "\u1D84A",  # ; SIGNWRITING HAND-FIST FOUR FINGERS CONJOINED BENT
        "\u1D84B",  # ; SIGNWRITING HAND-HINGE FOUR FINGERS CONJOINED
        "\u1D84C",  # ; SIGNWRITING HAND-FLAT FIVE FINGERS SPREAD
        "\u1D84D",  # ; SIGNWRITING HAND-FLAT HEEL FIVE FINGERS SPREAD
        "\u1D84E",  # ; SIGNWRITING HAND-FLAT FIVE FINGERS SPREAD FOUR BENT
        "\u1D84F",  # ; SIGNWRITING HAND-FLAT HEEL FIVE FINGERS SPREAD FOUR BENT
        "\u1D850",  # ; SIGNWRITING HAND-FLAT FIVE FINGERS SPREAD BENT
        "\u1D851",  # ; SIGNWRITING HAND-FLAT HEEL FIVE FINGERS SPREAD BENT
        "\u1D852",  # ; SIGNWRITING HAND-FLAT FIVE FINGERS SPREAD THUMB FORWARD
        "\u1D853",  # ; SIGNWRITING HAND-CUP FIVE FINGERS SPREAD
        "\u1D854",  # ; SIGNWRITING HAND-CUP FIVE FINGERS SPREAD OPEN
        "\u1D855",  # ; SIGNWRITING HAND-HINGE FIVE FINGERS SPREAD OPEN
        "\u1D856",  # ; SIGNWRITING HAND-OVAL FIVE FINGERS SPREAD
        "\u1D857",  # ; SIGNWRITING HAND-FLAT FIVE FINGERS SPREAD HINGED
        "\u1D858",  # ; SIGNWRITING HAND-FLAT FIVE FINGERS SPREAD HINGED THUMB SIDE
        "\u1D859",  # ; SIGNWRITING HAND-FLAT FIVE FINGERS SPREAD HINGED NO THUMB
        "\u1D85A",  # ; SIGNWRITING HAND-FLAT
        "\u1D85B",  # ; SIGNWRITING HAND-FLAT BETWEEN PALM FACINGS
        "\u1D85C",  # ; SIGNWRITING HAND-FLAT HEEL
        "\u1D85D",  # ; SIGNWRITING HAND-FLAT THUMB SIDE
        "\u1D85E",  # ; SIGNWRITING HAND-FLAT HEEL THUMB SIDE
        "\u1D85F",  # ; SIGNWRITING HAND-FLAT THUMB BENT
        "\u1D860",  # ; SIGNWRITING HAND-FLAT THUMB FORWARD
        "\u1D861",  # ; SIGNWRITING HAND-FLAT SPLIT INDEX THUMB SIDE
        "\u1D862",  # ; SIGNWRITING HAND-FLAT SPLIT CENTRE
        "\u1D863",  # ; SIGNWRITING HAND-FLAT SPLIT CENTRE THUMB SIDE
        "\u1D864",  # ; SIGNWRITING HAND-FLAT SPLIT CENTRE THUMB SIDE BENT
        "\u1D865",  # ; SIGNWRITING HAND-FLAT SPLIT LITTLE
        "\u1D866",  # ; SIGNWRITING HAND-CLAW
        "\u1D867",  # ; SIGNWRITING HAND-CLAW THUMB SIDE
        "\u1D868",  # ; SIGNWRITING HAND-CLAW NO THUMB
        "\u1D869",  # ; SIGNWRITING HAND-CLAW THUMB FORWARD
        "\u1D86A",  # ; SIGNWRITING HAND-HOOK CURLICUE
        "\u1D86B",  # ; SIGNWRITING HAND-HOOK
        "\u1D86C",  # ; SIGNWRITING HAND-CUP OPEN
        "\u1D86D",  # ; SIGNWRITING HAND-CUP
        "\u1D86E",  # ; SIGNWRITING HAND-CUP OPEN THUMB SIDE
        "\u1D86F",  # ; SIGNWRITING HAND-CUP THUMB SIDE
        "\u1D870",  # ; SIGNWRITING HAND-CUP OPEN NO THUMB
        "\u1D871",  # ; SIGNWRITING HAND-CUP NO THUMB
        "\u1D872",  # ; SIGNWRITING HAND-CUP OPEN THUMB FORWARD
        "\u1D873",  # ; SIGNWRITING HAND-CUP THUMB FORWARD
        "\u1D874",  # ; SIGNWRITING HAND-CURLICUE OPEN
        "\u1D875",  # ; SIGNWRITING HAND-CURLICUE
        "\u1D876",  # ; SIGNWRITING HAND-CIRCLE
        "\u1D877",  # ; SIGNWRITING HAND-OVAL
        "\u1D878",  # ; SIGNWRITING HAND-OVAL THUMB SIDE
        "\u1D879",  # ; SIGNWRITING HAND-OVAL NO THUMB
        "\u1D87A",  # ; SIGNWRITING HAND-OVAL THUMB FORWARD
        "\u1D87B",  # ; SIGNWRITING HAND-HINGE OPEN
        "\u1D87C",  # ; SIGNWRITING HAND-HINGE OPEN THUMB FORWARD
        "\u1D87D",  # ; SIGNWRITING HAND-HINGE
        "\u1D87E",  # ; SIGNWRITING HAND-HINGE SMALL
        "\u1D87F",  # ; SIGNWRITING HAND-HINGE OPEN THUMB SIDE
        "\u1D880",  # ; SIGNWRITING HAND-HINGE THUMB SIDE
        "\u1D881",  # ; SIGNWRITING HAND-HINGE OPEN NO THUMB
        "\u1D882",  # ; SIGNWRITING HAND-HINGE NO THUMB
        "\u1D883",  # ; SIGNWRITING HAND-HINGE THUMB SIDE TOUCHING INDEX
        "\u1D884",  # ; SIGNWRITING HAND-HINGE THUMB BETWEEN MIDDLE RING
        "\u1D885",  # ; SIGNWRITING HAND-ANGLE
        "\u1D886",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE RING
        "\u1D887",  # ; SIGNWRITING HAND-CIRCLE INDEX MIDDLE RING
        "\u1D888",  # ; SIGNWRITING HAND-HINGE INDEX MIDDLE RING
        "\u1D889",  # ; SIGNWRITING HAND-ANGLE INDEX MIDDLE RING
        "\u1D88A",  # ; SIGNWRITING HAND-HINGE LITTLE
        "\u1D88B",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE RING BENT
        "\u1D88C",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE RING CONJOINED
        "\u1D88D",  # ; SIGNWRITING HAND-HINGE INDEX MIDDLE RING CONJOINED
        "\u1D88E",  # ; SIGNWRITING HAND-FIST LITTLE DOWN
        "\u1D88F",  # ; SIGNWRITING HAND-FIST LITTLE DOWN RIPPLE STRAIGHT
        "\u1D890",  # ; SIGNWRITING HAND-FIST LITTLE DOWN RIPPLE CURVED
        "\u1D891",  # ; SIGNWRITING HAND-FIST LITTLE DOWN OTHERS CIRCLED
        "\u1D892",  # ; SIGNWRITING HAND-FIST LITTLE UP
        "\u1D893",  # ; SIGNWRITING HAND-FIST THUMB UNDER LITTLE UP
        "\u1D894",  # ; SIGNWRITING HAND-CIRCLE LITTLE UP
        "\u1D895",  # ; SIGNWRITING HAND-OVAL LITTLE UP
        "\u1D896",  # ; SIGNWRITING HAND-ANGLE LITTLE UP
        "\u1D897",  # ; SIGNWRITING HAND-FIST LITTLE RAISED KNUCKLE
        "\u1D898",  # ; SIGNWRITING HAND-FIST LITTLE BENT
        "\u1D899",  # ; SIGNWRITING HAND-FIST LITTLE TOUCHES THUMB
        "\u1D89A",  # ; SIGNWRITING HAND-FIST LITTLE THUMB
        "\u1D89B",  # ; SIGNWRITING HAND-HINGE LITTLE THUMB
        "\u1D89C",  # ; SIGNWRITING HAND-FIST LITTLE INDEX THUMB
        "\u1D89D",  # ; SIGNWRITING HAND-HINGE LITTLE INDEX THUMB
        "\u1D89E",  # ; SIGNWRITING HAND-ANGLE LITTLE INDEX THUMB INDEX THUMB OUT
        "\u1D89F",  # ; SIGNWRITING HAND-ANGLE LITTLE INDEX THUMB INDEX THUMB
        "\u1D8A0",  # ; SIGNWRITING HAND-FIST LITTLE INDEX
        "\u1D8A1",  # ; SIGNWRITING HAND-CIRCLE LITTLE INDEX
        "\u1D8A2",  # ; SIGNWRITING HAND-HINGE LITTLE INDEX
        "\u1D8A3",  # ; SIGNWRITING HAND-ANGLE LITTLE INDEX
        "\u1D8A4",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE LITTLE
        "\u1D8A5",  # ; SIGNWRITING HAND-CIRCLE INDEX MIDDLE LITTLE
        "\u1D8A6",  # ; SIGNWRITING HAND-HINGE INDEX MIDDLE LITTLE
        "\u1D8A7",  # ; SIGNWRITING HAND-HINGE RING
        "\u1D8A8",  # ; SIGNWRITING HAND-ANGLE INDEX MIDDLE LITTLE
        "\u1D8A9",  # ; SIGNWRITING HAND-FIST INDEX MIDDLE CROSS LITTLE
        "\u1D8AA",  # ; SIGNWRITING HAND-CIRCLE INDEX MIDDLE CROSS LITTLE
        "\u1D8AB",  # ; SIGNWRITING HAND-FIST RING DOWN
        "\u1D8AC",  # ; SIGNWRITING HAND-HINGE RING DOWN INDEX THUMB HOOK MIDDLE
        "\u1D8AD",  # ; SIGNWRITING HAND-ANGLE RING DOWN MIDDLE THUMB INDEX CROSS
        "\u1D8AE",  # ; SIGNWRITING HAND-FIST RING UP
        "\u1D8AF",  # ; SIGNWRITING HAND-FIST RING RAISED KNUCKLE
        "\u1D8B0",  # ; SIGNWRITING HAND-FIST RING LITTLE
        "\u1D8B1",  # ; SIGNWRITING HAND-CIRCLE RING LITTLE
        "\u1D8B2",  # ; SIGNWRITING HAND-OVAL RING LITTLE
        "\u1D8B3",  # ; SIGNWRITING HAND-ANGLE RING LITTLE
        "\u1D8B4",  # ; SIGNWRITING HAND-FIST RING MIDDLE
        "\u1D8B5",  # ; SIGNWRITING HAND-FIST RING MIDDLE CONJOINED
        "\u1D8B6",  # ; SIGNWRITING HAND-FIST RING MIDDLE RAISED KNUCKLES
        "\u1D8B7",  # ; SIGNWRITING HAND-FIST RING INDEX
        "\u1D8B8",  # ; SIGNWRITING HAND-FIST RING THUMB
        "\u1D8B9",  # ; SIGNWRITING HAND-HOOK RING THUMB
        "\u1D8BA",  # ; SIGNWRITING HAND-FIST INDEX RING LITTLE
        "\u1D8BB",  # ; SIGNWRITING HAND-CIRCLE INDEX RING LITTLE
        "\u1D8BC",  # ; SIGNWRITING HAND-CURLICUE INDEX RING LITTLE ON
        "\u1D8BD",  # ; SIGNWRITING HAND-HOOK INDEX RING LITTLE OUT
        "\u1D8BE",  # ; SIGNWRITING HAND-HOOK INDEX RING LITTLE IN
        "\u1D8BF",  # ; SIGNWRITING HAND-HOOK INDEX RING LITTLE UNDER
        "\u1D8C0",  # ; SIGNWRITING HAND-CUP INDEX RING LITTLE
        "\u1D8C1",  # ; SIGNWRITING HAND-HINGE INDEX RING LITTLE
        "\u1D8C2",  # ; SIGNWRITING HAND-ANGLE INDEX RING LITTLE OUT
        "\u1D8C3",  # ; SIGNWRITING HAND-ANGLE INDEX RING LITTLE
        "\u1D8C4",  # ; SIGNWRITING HAND-FIST MIDDLE DOWN
        "\u1D8C5",  # ; SIGNWRITING HAND-HINGE MIDDLE
        "\u1D8C6",  # ; SIGNWRITING HAND-FIST MIDDLE UP
        "\u1D8C7",  # ; SIGNWRITING HAND-CIRCLE MIDDLE UP
        "\u1D8C8",  # ; SIGNWRITING HAND-FIST MIDDLE RAISED KNUCKLE
        "\u1D8C9",  # ; SIGNWRITING HAND-FIST MIDDLE UP THUMB SIDE
        "\u1D8CA",  # ; SIGNWRITING HAND-HOOK MIDDLE THUMB
        "\u1D8CB",  # ; SIGNWRITING HAND-FIST MIDDLE THUMB LITTLE
        "\u1D8CC",  # ; SIGNWRITING HAND-FIST MIDDLE LITTLE
        "\u1D8CD",  # ; SIGNWRITING HAND-FIST MIDDLE RING LITTLE
        "\u1D8CE",  # ; SIGNWRITING HAND-CIRCLE MIDDLE RING LITTLE
        "\u1D8CF",  # ; SIGNWRITING HAND-CURLICUE MIDDLE RING LITTLE ON
        "\u1D8D0",  # ; SIGNWRITING HAND-CUP MIDDLE RING LITTLE
        "\u1D8D1",  # ; SIGNWRITING HAND-HINGE MIDDLE RING LITTLE
        "\u1D8D2",  # ; SIGNWRITING HAND-ANGLE MIDDLE RING LITTLE OUT
        "\u1D8D3",  # ; SIGNWRITING HAND-ANGLE MIDDLE RING LITTLE IN
        "\u1D8D4",  # ; SIGNWRITING HAND-ANGLE MIDDLE RING LITTLE
        "\u1D8D5",  # ; SIGNWRITING HAND-CIRCLE MIDDLE RING LITTLE BENT
        "\u1D8D6",  # ; SIGNWRITING HAND-CLAW MIDDLE RING LITTLE CONJOINED
        "\u1D8D7",  # ; SIGNWRITING HAND-CLAW MIDDLE RING LITTLE CONJOINED SIDE
        "\u1D8D8",  # ; SIGNWRITING HAND-HOOK MIDDLE RING LITTLE CONJOINED OUT
        "\u1D8D9",  # ; SIGNWRITING HAND-HOOK MIDDLE RING LITTLE CONJOINED IN
        "\u1D8DA",  # ; SIGNWRITING HAND-HOOK MIDDLE RING LITTLE CONJOINED
        "\u1D8DB",  # ; SIGNWRITING HAND-HINGE INDEX HINGED
        "\u1D8DC",  # ; SIGNWRITING HAND-FIST INDEX THUMB SIDE
        "\u1D8DD",  # ; SIGNWRITING HAND-HINGE INDEX THUMB SIDE
        "\u1D8DE",  # ; SIGNWRITING HAND-FIST INDEX THUMB SIDE THUMB DIAGONAL
        "\u1D8DF",  # ; SIGNWRITING HAND-FIST INDEX THUMB SIDE THUMB CONJOINED
        "\u1D8E0",  # ; SIGNWRITING HAND-FIST INDEX THUMB SIDE THUMB BENT
        "\u1D8E1",  # ; SIGNWRITING HAND-FIST INDEX THUMB SIDE INDEX BENT
        "\u1D8E2",  # ; SIGNWRITING HAND-FIST INDEX THUMB SIDE BOTH BENT
        "\u1D8E3",  # ; SIGNWRITING HAND-FIST INDEX THUMB SIDE INDEX HINGE
        "\u1D8E4",  # ; SIGNWRITING HAND-FIST INDEX THUMB FORWARD INDEX STRAIGHT
        "\u1D8E5",  # ; SIGNWRITING HAND-FIST INDEX THUMB FORWARD INDEX BENT
        "\u1D8E6",  # ; SIGNWRITING HAND-FIST INDEX THUMB HOOK
        "\u1D8E7",  # ; SIGNWRITING HAND-FIST INDEX THUMB CURLICUE
        "\u1D8E8",  # ; SIGNWRITING HAND-FIST INDEX THUMB CURVE THUMB INSIDE
        "\u1D8E9",  # ; SIGNWRITING HAND-CLAW INDEX THUMB CURVE THUMB INSIDE
        "\u1D8EA",  # ; SIGNWRITING HAND-FIST INDEX THUMB CURVE THUMB UNDER
        "\u1D8EB",  # ; SIGNWRITING HAND-FIST INDEX THUMB CIRCLE
        "\u1D8EC",  # ; SIGNWRITING HAND-CUP INDEX THUMB
        "\u1D8ED",  # ; SIGNWRITING HAND-CUP INDEX THUMB OPEN
        "\u1D8EE",  # ; SIGNWRITING HAND-HINGE INDEX THUMB OPEN
        "\u1D8EF",  # ; SIGNWRITING HAND-HINGE INDEX THUMB LARGE
        "\u1D8F0",  # ; SIGNWRITING HAND-HINGE INDEX THUMB
        "\u1D8F1",  # ; SIGNWRITING HAND-HINGE INDEX THUMB SMALL
        "\u1D8F2",  # ; SIGNWRITING HAND-ANGLE INDEX THUMB OUT
        "\u1D8F3",  # ; SIGNWRITING HAND-ANGLE INDEX THUMB IN
        "\u1D8F4",  # ; SIGNWRITING HAND-ANGLE INDEX THUMB
        "\u1D8F5",  # ; SIGNWRITING HAND-FIST THUMB
        "\u1D8F6",  # ; SIGNWRITING HAND-FIST THUMB HEEL
        "\u1D8F7",  # ; SIGNWRITING HAND-FIST THUMB SIDE DIAGONAL
        "\u1D8F8",  # ; SIGNWRITING HAND-FIST THUMB SIDE CONJOINED
        "\u1D8F9",  # ; SIGNWRITING HAND-FIST THUMB SIDE BENT
        "\u1D8FA",  # ; SIGNWRITING HAND-FIST THUMB FORWARD
        "\u1D8FB",  # ; SIGNWRITING HAND-FIST THUMB BETWEEN INDEX MIDDLE
        "\u1D8FC",  # ; SIGNWRITING HAND-FIST THUMB BETWEEN MIDDLE RING
        "\u1D8FD",  # ; SIGNWRITING HAND-FIST THUMB BETWEEN RING LITTLE
        "\u1D8FE",  # ; SIGNWRITING HAND-FIST THUMB UNDER TWO FINGERS
        "\u1D8FF",  # ; SIGNWRITING HAND-FIST THUMB OVER TWO FINGERS
        "\u1D900",  # ; SIGNWRITING HAND-FIST THUMB UNDER THREE FINGERS
        "\u1D901",  # ; SIGNWRITING HAND-FIST THUMB UNDER FOUR FINGERS
        "\u1D902",  # ; SIGNWRITING HAND-FIST THUMB OVER FOUR RAISED KNUCKLES
        "\u1D903",  # ; SIGNWRITING HAND-FIST
        "\u1D904",  # ; SIGNWRITING HAND-FIST HEEL
        "\u1D905",  # ; SIGNWRITING TOUCH SINGLE
        "\u1D906",  # ; SIGNWRITING TOUCH MULTIPLE
        "\u1D907",  # ; SIGNWRITING TOUCH BETWEEN
        "\u1D908",  # ; SIGNWRITING GRASP SINGLE
        "\u1D909",  # ; SIGNWRITING GRASP MULTIPLE
        "\u1D90A",  # ; SIGNWRITING GRASP BETWEEN
        "\u1D90B",  # ; SIGNWRITING STRIKE SINGLE
        "\u1D90C",  # ; SIGNWRITING STRIKE MULTIPLE
        "\u1D90D",  # ; SIGNWRITING STRIKE BETWEEN
        "\u1D90E",  # ; SIGNWRITING BRUSH SINGLE
        "\u1D90F",  # ; SIGNWRITING BRUSH MULTIPLE
        "\u1D910",  # ; SIGNWRITING BRUSH BETWEEN
        "\u1D911",  # ; SIGNWRITING RUB SINGLE
        "\u1D912",  # ; SIGNWRITING RUB MULTIPLE
        "\u1D913",  # ; SIGNWRITING RUB BETWEEN
        "\u1D914",  # ; SIGNWRITING SURFACE SYMBOLS
        "\u1D915",  # ; SIGNWRITING SURFACE BETWEEN
        "\u1D916",  # ; SIGNWRITING SQUEEZE LARGE SINGLE
        "\u1D917",  # ; SIGNWRITING SQUEEZE SMALL SINGLE
        "\u1D918",  # ; SIGNWRITING SQUEEZE LARGE MULTIPLE
        "\u1D919",  # ; SIGNWRITING SQUEEZE SMALL MULTIPLE
        "\u1D91A",  # ; SIGNWRITING SQUEEZE SEQUENTIAL
        "\u1D91B",  # ; SIGNWRITING FLICK LARGE SINGLE
        "\u1D91C",  # ; SIGNWRITING FLICK SMALL SINGLE
        "\u1D91D",  # ; SIGNWRITING FLICK LARGE MULTIPLE
        "\u1D91E",  # ; SIGNWRITING FLICK SMALL MULTIPLE
        "\u1D91F",  # ; SIGNWRITING FLICK SEQUENTIAL
        "\u1D920",  # ; SIGNWRITING SQUEEZE FLICK ALTERNATING
        "\u1D921",  # ; SIGNWRITING MOVEMENT-HINGE UP DOWN LARGE
        "\u1D922",  # ; SIGNWRITING MOVEMENT-HINGE UP DOWN SMALL
        "\u1D923",  # ; SIGNWRITING MOVEMENT-HINGE UP SEQUENTIAL
        "\u1D924",  # ; SIGNWRITING MOVEMENT-HINGE DOWN SEQUENTIAL
        "\u1D925",  # ; SIGNWRITING MOVEMENT-HINGE UP DOWN ALTERNATING LARGE
        "\u1D926",  # ; SIGNWRITING MOVEMENT-HINGE UP DOWN ALTERNATING SMALL
        "\u1D927",  # ; SIGNWRITING MOVEMENT-HINGE SIDE TO SIDE SCISSORS
        "\u1D928",  # ; SIGNWRITING MOVEMENT-WALLPLANE FINGER CONTACT
        "\u1D929",  # ; SIGNWRITING MOVEMENT-FLOORPLANE FINGER CONTACT
        "\u1D92A",  # ; SIGNWRITING MOVEMENT-WALLPLANE SINGLE STRAIGHT SMALL
        "\u1D92B",  # ; SIGNWRITING MOVEMENT-WALLPLANE SINGLE STRAIGHT MEDIUM
        "\u1D92C",  # ; SIGNWRITING MOVEMENT-WALLPLANE SINGLE STRAIGHT LARGE
        "\u1D92D",  # ; SIGNWRITING MOVEMENT-WALLPLANE SINGLE STRAIGHT LARGEST
        "\u1D92E",  # ; SIGNWRITING MOVEMENT-WALLPLANE SINGLE WRIST FLEX
        "\u1D92F",  # ; SIGNWRITING MOVEMENT-WALLPLANE DOUBLE STRAIGHT
        "\u1D930",  # ; SIGNWRITING MOVEMENT-WALLPLANE DOUBLE WRIST FLEX
        "\u1D931",  # ; SIGNWRITING MOVEMENT-WALLPLANE DOUBLE ALTERNATING
        "\u1D932",  # ; SIGNWRITING MOVEMENT-WALLPLANE DOUBLE ALTERNATING WRIST FLEX
        "\u1D933",  # ; SIGNWRITING MOVEMENT-WALLPLANE CROSS
        "\u1D934",  # ; SIGNWRITING MOVEMENT-WALLPLANE TRIPLE STRAIGHT MOVEMENT
        "\u1D935",  # ; SIGNWRITING MOVEMENT-WALLPLANE TRIPLE WRIST FLEX
        "\u1D936",  # ; SIGNWRITING MOVEMENT-WALLPLANE TRIPLE ALTERNATING
        "\u1D937",  # ; SIGNWRITING MOVEMENT-WALLPLANE TRIPLE ALTERNATING WRIST FLEX
        "\u1D938",  # ; SIGNWRITING MOVEMENT-WALLPLANE BEND SMALL
        "\u1D939",  # ; SIGNWRITING MOVEMENT-WALLPLANE BEND MEDIUM
        "\u1D93A",  # ; SIGNWRITING MOVEMENT-WALLPLANE BEND LARGE
        "\u1D93B",  # ; SIGNWRITING MOVEMENT-WALLPLANE CORNER SMALL
        "\u1D93C",  # ; SIGNWRITING MOVEMENT-WALLPLANE CORNER MEDIUM
        "\u1D93D",  # ; SIGNWRITING MOVEMENT-WALLPLANE CORNER LARGE
        "\u1D93E",  # ; SIGNWRITING MOVEMENT-WALLPLANE CORNER ROTATION
        "\u1D93F",  # ; SIGNWRITING MOVEMENT-WALLPLANE CHECK SMALL
        "\u1D940",  # ; SIGNWRITING MOVEMENT-WALLPLANE CHECK MEDIUM
        "\u1D941",  # ; SIGNWRITING MOVEMENT-WALLPLANE CHECK LARGE
        "\u1D942",  # ; SIGNWRITING MOVEMENT-WALLPLANE BOX SMALL
        "\u1D943",  # ; SIGNWRITING MOVEMENT-WALLPLANE BOX MEDIUM
        "\u1D944",  # ; SIGNWRITING MOVEMENT-WALLPLANE BOX LARGE
        "\u1D945",  # ; SIGNWRITING MOVEMENT-WALLPLANE ZIGZAG SMALL
        "\u1D946",  # ; SIGNWRITING MOVEMENT-WALLPLANE ZIGZAG MEDIUM
        "\u1D947",  # ; SIGNWRITING MOVEMENT-WALLPLANE ZIGZAG LARGE
        "\u1D948",  # ; SIGNWRITING MOVEMENT-WALLPLANE PEAKS SMALL
        "\u1D949",  # ; SIGNWRITING MOVEMENT-WALLPLANE PEAKS MEDIUM
        "\u1D94A",  # ; SIGNWRITING MOVEMENT-WALLPLANE PEAKS LARGE
        "\u1D94B",  # ; SIGNWRITING TRAVEL-WALLPLANE ROTATION-WALLPLANE SINGLE
        "\u1D94C",  # ; SIGNWRITING TRAVEL-WALLPLANE ROTATION-WALLPLANE DOUBLE
        "\u1D94D",  # ; SIGNWRITING TRAVEL-WALLPLANE ROTATION-WALLPLANE ALTERNATING
        "\u1D94E",  # ; SIGNWRITING TRAVEL-WALLPLANE ROTATION-FLOORPLANE SINGLE
        "\u1D94F",  # ; SIGNWRITING TRAVEL-WALLPLANE ROTATION-FLOORPLANE DOUBLE
        "\u1D950",  # ; SIGNWRITING TRAVEL-WALLPLANE ROTATION-FLOORPLANE ALTERNATING
        "\u1D951",  # ; SIGNWRITING TRAVEL-WALLPLANE SHAKING
        "\u1D952",  # ; SIGNWRITING TRAVEL-WALLPLANE ARM SPIRAL SINGLE
        "\u1D953",  # ; SIGNWRITING TRAVEL-WALLPLANE ARM SPIRAL DOUBLE
        "\u1D954",  # ; SIGNWRITING TRAVEL-WALLPLANE ARM SPIRAL TRIPLE
        "\u1D955",  # ; SIGNWRITING MOVEMENT-DIAGONAL AWAY SMALL
        "\u1D956",  # ; SIGNWRITING MOVEMENT-DIAGONAL AWAY MEDIUM
        "\u1D957",  # ; SIGNWRITING MOVEMENT-DIAGONAL AWAY LARGE
        "\u1D958",  # ; SIGNWRITING MOVEMENT-DIAGONAL AWAY LARGEST
        "\u1D959",  # ; SIGNWRITING MOVEMENT-DIAGONAL TOWARDS SMALL
        "\u1D95A",  # ; SIGNWRITING MOVEMENT-DIAGONAL TOWARDS MEDIUM
        "\u1D95B",  # ; SIGNWRITING MOVEMENT-DIAGONAL TOWARDS LARGE
        "\u1D95C",  # ; SIGNWRITING MOVEMENT-DIAGONAL TOWARDS LARGEST
        "\u1D95D",  # ; SIGNWRITING MOVEMENT-DIAGONAL BETWEEN AWAY SMALL
        "\u1D95E",  # ; SIGNWRITING MOVEMENT-DIAGONAL BETWEEN AWAY MEDIUM
        "\u1D95F",  # ; SIGNWRITING MOVEMENT-DIAGONAL BETWEEN AWAY LARGE
        "\u1D960",  # ; SIGNWRITING MOVEMENT-DIAGONAL BETWEEN AWAY LARGEST
        "\u1D961",  # ; SIGNWRITING MOVEMENT-DIAGONAL BETWEEN TOWARDS SMALL
        "\u1D962",  # ; SIGNWRITING MOVEMENT-DIAGONAL BETWEEN TOWARDS MEDIUM
        "\u1D963",  # ; SIGNWRITING MOVEMENT-DIAGONAL BETWEEN TOWARDS LARGE
        "\u1D964",  # ; SIGNWRITING MOVEMENT-DIAGONAL BETWEEN TOWARDS LARGEST
        "\u1D965",  # ; SIGNWRITING MOVEMENT-FLOORPLANE SINGLE STRAIGHT SMALL
        "\u1D966",  # ; SIGNWRITING MOVEMENT-FLOORPLANE SINGLE STRAIGHT MEDIUM
        "\u1D967",  # ; SIGNWRITING MOVEMENT-FLOORPLANE SINGLE STRAIGHT LARGE
        "\u1D968",  # ; SIGNWRITING MOVEMENT-FLOORPLANE SINGLE STRAIGHT LARGEST
        "\u1D969",  # ; SIGNWRITING MOVEMENT-FLOORPLANE SINGLE WRIST FLEX
        "\u1D96A",  # ; SIGNWRITING MOVEMENT-FLOORPLANE DOUBLE STRAIGHT
        "\u1D96B",  # ; SIGNWRITING MOVEMENT-FLOORPLANE DOUBLE WRIST FLEX
        "\u1D96C",  # ; SIGNWRITING MOVEMENT-FLOORPLANE DOUBLE ALTERNATING
        "\u1D96D",  # ; SIGNWRITING MOVEMENT-FLOORPLANE DOUBLE ALTERNATING WRIST FLEX
        "\u1D96E",  # ; SIGNWRITING MOVEMENT-FLOORPLANE CROSS
        "\u1D96F",  # ; SIGNWRITING MOVEMENT-FLOORPLANE TRIPLE STRAIGHT MOVEMENT
        "\u1D970",  # ; SIGNWRITING MOVEMENT-FLOORPLANE TRIPLE WRIST FLEX
        "\u1D971",  # ; SIGNWRITING MOVEMENT-FLOORPLANE TRIPLE ALTERNATING MOVEMENT
        "\u1D972",  # ; SIGNWRITING MOVEMENT-FLOORPLANE TRIPLE ALTERNATING WRIST FLEX
        "\u1D973",  # ; SIGNWRITING MOVEMENT-FLOORPLANE BEND
        "\u1D974",  # ; SIGNWRITING MOVEMENT-FLOORPLANE CORNER SMALL
        "\u1D975",  # ; SIGNWRITING MOVEMENT-FLOORPLANE CORNER MEDIUM
        "\u1D976",  # ; SIGNWRITING MOVEMENT-FLOORPLANE CORNER LARGE
        "\u1D977",  # ; SIGNWRITING MOVEMENT-FLOORPLANE CHECK
        "\u1D978",  # ; SIGNWRITING MOVEMENT-FLOORPLANE BOX SMALL
        "\u1D979",  # ; SIGNWRITING MOVEMENT-FLOORPLANE BOX MEDIUM
        "\u1D97A",  # ; SIGNWRITING MOVEMENT-FLOORPLANE BOX LARGE
        "\u1D97B",  # ; SIGNWRITING MOVEMENT-FLOORPLANE ZIGZAG SMALL
        "\u1D97C",  # ; SIGNWRITING MOVEMENT-FLOORPLANE ZIGZAG MEDIUM
        "\u1D97D",  # ; SIGNWRITING MOVEMENT-FLOORPLANE ZIGZAG LARGE
        "\u1D97E",  # ; SIGNWRITING MOVEMENT-FLOORPLANE PEAKS SMALL
        "\u1D97F",  # ; SIGNWRITING MOVEMENT-FLOORPLANE PEAKS MEDIUM
        "\u1D980",  # ; SIGNWRITING MOVEMENT-FLOORPLANE PEAKS LARGE
        "\u1D981",  # ; SIGNWRITING TRAVEL-FLOORPLANE ROTATION-FLOORPLANE SINGLE
        "\u1D982",  # ; SIGNWRITING TRAVEL-FLOORPLANE ROTATION-FLOORPLANE DOUBLE
        "\u1D983",  # ; SIGNWRITING TRAVEL-FLOORPLANE ROTATION-FLOORPLANE ALTERNATING
        "\u1D984",  # ; SIGNWRITING TRAVEL-FLOORPLANE ROTATION-WALLPLANE SINGLE
        "\u1D985",  # ; SIGNWRITING TRAVEL-FLOORPLANE ROTATION-WALLPLANE DOUBLE
        "\u1D986",  # ; SIGNWRITING TRAVEL-FLOORPLANE ROTATION-WALLPLANE ALTERNATING
        "\u1D987",  # ; SIGNWRITING TRAVEL-FLOORPLANE SHAKING
        "\u1D988",  # ; SIGNWRITING MOVEMENT-WALLPLANE CURVE QUARTER SMALL
        "\u1D989",  # ; SIGNWRITING MOVEMENT-WALLPLANE CURVE QUARTER MEDIUM
        "\u1D98A",  # ; SIGNWRITING MOVEMENT-WALLPLANE CURVE QUARTER LARGE
        "\u1D98B",  # ; SIGNWRITING MOVEMENT-WALLPLANE CURVE QUARTER LARGEST
        "\u1D98C",  # ; SIGNWRITING MOVEMENT-WALLPLANE CURVE HALF-CIRCLE SMALL
        "\u1D98D",  # ; SIGNWRITING MOVEMENT-WALLPLANE CURVE HALF-CIRCLE MEDIUM
        "\u1D98E",  # ; SIGNWRITING MOVEMENT-WALLPLANE CURVE HALF-CIRCLE LARGE
        "\u1D98F",  # ; SIGNWRITING MOVEMENT-WALLPLANE CURVE HALF-CIRCLE LARGEST
        "\u1D990",  # ; SIGNWRITING MOVEMENT-WALLPLANE CURVE THREE-QUARTER CIRCLE SMALL
        "\u1D991",  # ; SIGNWRITING MOVEMENT-WALLPLANE CURVE THREE-QUARTER CIRCLE MEDIUM
        "\u1D992",  # ; SIGNWRITING MOVEMENT-WALLPLANE HUMP SMALL
        "\u1D993",  # ; SIGNWRITING MOVEMENT-WALLPLANE HUMP MEDIUM
        "\u1D994",  # ; SIGNWRITING MOVEMENT-WALLPLANE HUMP LARGE
        "\u1D995",  # ; SIGNWRITING MOVEMENT-WALLPLANE LOOP SMALL
        "\u1D996",  # ; SIGNWRITING MOVEMENT-WALLPLANE LOOP MEDIUM
        "\u1D997",  # ; SIGNWRITING MOVEMENT-WALLPLANE LOOP LARGE
        "\u1D998",  # ; SIGNWRITING MOVEMENT-WALLPLANE LOOP SMALL DOUBLE
        "\u1D999",  # ; SIGNWRITING MOVEMENT-WALLPLANE WAVE CURVE DOUBLE SMALL
        "\u1D99A",  # ; SIGNWRITING MOVEMENT-WALLPLANE WAVE CURVE DOUBLE MEDIUM
        "\u1D99B",  # ; SIGNWRITING MOVEMENT-WALLPLANE WAVE CURVE DOUBLE LARGE
        "\u1D99C",  # ; SIGNWRITING MOVEMENT-WALLPLANE WAVE CURVE TRIPLE SMALL
        "\u1D99D",  # ; SIGNWRITING MOVEMENT-WALLPLANE WAVE CURVE TRIPLE MEDIUM
        "\u1D99E",  # ; SIGNWRITING MOVEMENT-WALLPLANE WAVE CURVE TRIPLE LARGE
        "\u1D99F",  # ; SIGNWRITING MOVEMENT-WALLPLANE CURVE THEN STRAIGHT
        "\u1D9A0",  # ; SIGNWRITING MOVEMENT-WALLPLANE CURVED CROSS SMALL
        "\u1D9A1",  # ; SIGNWRITING MOVEMENT-WALLPLANE CURVED CROSS MEDIUM
        "\u1D9A2",  # ; SIGNWRITING ROTATION-WALLPLANE SINGLE
        "\u1D9A3",  # ; SIGNWRITING ROTATION-WALLPLANE DOUBLE
        "\u1D9A4",  # ; SIGNWRITING ROTATION-WALLPLANE ALTERNATE
        "\u1D9A5",  # ; SIGNWRITING MOVEMENT-WALLPLANE SHAKING
        "\u1D9A6",  # ; SIGNWRITING MOVEMENT-WALLPLANE CURVE HITTING FRONT WALL
        "\u1D9A7",  # ; SIGNWRITING MOVEMENT-WALLPLANE HUMP HITTING FRONT WALL
        "\u1D9A8",  # ; SIGNWRITING MOVEMENT-WALLPLANE LOOP HITTING FRONT WALL
        "\u1D9A9",  # ; SIGNWRITING MOVEMENT-WALLPLANE WAVE HITTING FRONT WALL
        "\u1D9AA",  # ; SIGNWRITING ROTATION-WALLPLANE SINGLE HITTING FRONT WALL
        "\u1D9AB",  # ; SIGNWRITING ROTATION-WALLPLANE DOUBLE HITTING FRONT WALL
        "\u1D9AC",  # ; SIGNWRITING ROTATION-WALLPLANE ALTERNATING HITTING FRONT WALL
        "\u1D9AD",  # ; SIGNWRITING MOVEMENT-WALLPLANE CURVE HITTING CHEST
        "\u1D9AE",  # ; SIGNWRITING MOVEMENT-WALLPLANE HUMP HITTING CHEST
        "\u1D9AF",  # ; SIGNWRITING MOVEMENT-WALLPLANE LOOP HITTING CHEST
        "\u1D9B0",  # ; SIGNWRITING MOVEMENT-WALLPLANE WAVE HITTING CHEST
        "\u1D9B1",  # ; SIGNWRITING ROTATION-WALLPLANE SINGLE HITTING CHEST
        "\u1D9B2",  # ; SIGNWRITING ROTATION-WALLPLANE DOUBLE HITTING CHEST
        "\u1D9B3",  # ; SIGNWRITING ROTATION-WALLPLANE ALTERNATING HITTING CHEST
        "\u1D9B4",  # ; SIGNWRITING MOVEMENT-WALLPLANE WAVE DIAGONAL PATH SMALL
        "\u1D9B5",  # ; SIGNWRITING MOVEMENT-WALLPLANE WAVE DIAGONAL PATH MEDIUM
        "\u1D9B6",  # ; SIGNWRITING MOVEMENT-WALLPLANE WAVE DIAGONAL PATH LARGE
        "\u1D9B7",  # ; SIGNWRITING MOVEMENT-FLOORPLANE CURVE HITTING CEILING SMALL
        "\u1D9B8",  # ; SIGNWRITING MOVEMENT-FLOORPLANE CURVE HITTING CEILING LARGE
        "\u1D9B9",  # ; SIGNWRITING MOVEMENT-FLOORPLANE HUMP HITTING CEILING SMALL DOUBLE
        "\u1D9BA",  # ; SIGNWRITING MOVEMENT-FLOORPLANE HUMP HITTING CEILING LARGE DOUBLE
        "\u1D9BB",  # ; SIGNWRITING MOVEMENT-FLOORPLANE HUMP HITTING CEILING SMALL TRIPLE
        "\u1D9BC",  # ; SIGNWRITING MOVEMENT-FLOORPLANE HUMP HITTING CEILING LARGE TRIPLE
        "\u1D9BD",  # ; SIGNWRITING MOVEMENT-FLOORPLANE LOOP HITTING CEILING SMALL SINGLE
        "\u1D9BE",  # ; SIGNWRITING MOVEMENT-FLOORPLANE LOOP HITTING CEILING LARGE SINGLE
        "\u1D9BF",  # ; SIGNWRITING MOVEMENT-FLOORPLANE LOOP HITTING CEILING SMALL DOUBLE
        "\u1D9C0",  # ; SIGNWRITING MOVEMENT-FLOORPLANE LOOP HITTING CEILING LARGE DOUBLE
        "\u1D9C1",  # ; SIGNWRITING MOVEMENT-FLOORPLANE WAVE HITTING CEILING SMALL
        "\u1D9C2",  # ; SIGNWRITING MOVEMENT-FLOORPLANE WAVE HITTING CEILING LARGE
        "\u1D9C3",  # ; SIGNWRITING ROTATION-FLOORPLANE SINGLE HITTING CEILING
        "\u1D9C4",  # ; SIGNWRITING ROTATION-FLOORPLANE DOUBLE HITTING CEILING
        "\u1D9C5",  # ; SIGNWRITING ROTATION-FLOORPLANE ALTERNATING HITTING CEILING
        "\u1D9C6",  # ; SIGNWRITING MOVEMENT-FLOORPLANE CURVE HITTING FLOOR SMALL
        "\u1D9C7",  # ; SIGNWRITING MOVEMENT-FLOORPLANE CURVE HITTING FLOOR LARGE
        "\u1D9C8",  # ; SIGNWRITING MOVEMENT-FLOORPLANE HUMP HITTING FLOOR SMALL DOUBLE
        "\u1D9C9",  # ; SIGNWRITING MOVEMENT-FLOORPLANE HUMP HITTING FLOOR LARGE DOUBLE
        "\u1D9CA",  # ; SIGNWRITING MOVEMENT-FLOORPLANE HUMP HITTING FLOOR TRIPLE SMALL TRIPLE
        "\u1D9CB",  # ; SIGNWRITING MOVEMENT-FLOORPLANE HUMP HITTING FLOOR TRIPLE LARGE TRIPLE
        "\u1D9CC",  # ; SIGNWRITING MOVEMENT-FLOORPLANE LOOP HITTING FLOOR SMALL SINGLE
        "\u1D9CD",  # ; SIGNWRITING MOVEMENT-FLOORPLANE LOOP HITTING FLOOR LARGE SINGLE
        "\u1D9CE",  # ; SIGNWRITING MOVEMENT-FLOORPLANE LOOP HITTING FLOOR SMALL DOUBLE
        "\u1D9CF",  # ; SIGNWRITING MOVEMENT-FLOORPLANE LOOP HITTING FLOOR LARGE DOUBLE
        "\u1D9D0",  # ; SIGNWRITING MOVEMENT-FLOORPLANE WAVE HITTING FLOOR SMALL
        "\u1D9D1",  # ; SIGNWRITING MOVEMENT-FLOORPLANE WAVE HITTING FLOOR LARGE
        "\u1D9D2",  # ; SIGNWRITING ROTATION-FLOORPLANE SINGLE HITTING FLOOR
        "\u1D9D3",  # ; SIGNWRITING ROTATION-FLOORPLANE DOUBLE HITTING FLOOR
        "\u1D9D4",  # ; SIGNWRITING ROTATION-FLOORPLANE ALTERNATING HITTING FLOOR
        "\u1D9D5",  # ; SIGNWRITING MOVEMENT-FLOORPLANE CURVE SMALL
        "\u1D9D6",  # ; SIGNWRITING MOVEMENT-FLOORPLANE CURVE MEDIUM
        "\u1D9D7",  # ; SIGNWRITING MOVEMENT-FLOORPLANE CURVE LARGE
        "\u1D9D8",  # ; SIGNWRITING MOVEMENT-FLOORPLANE CURVE LARGEST
        "\u1D9D9",  # ; SIGNWRITING MOVEMENT-FLOORPLANE CURVE COMBINED
        "\u1D9DA",  # ; SIGNWRITING MOVEMENT-FLOORPLANE HUMP SMALL
        "\u1D9DB",  # ; SIGNWRITING MOVEMENT-FLOORPLANE LOOP SMALL
        "\u1D9DC",  # ; SIGNWRITING MOVEMENT-FLOORPLANE WAVE SNAKE
        "\u1D9DD",  # ; SIGNWRITING MOVEMENT-FLOORPLANE WAVE SMALL
        "\u1D9DE",  # ; SIGNWRITING MOVEMENT-FLOORPLANE WAVE LARGE
        "\u1D9DF",  # ; SIGNWRITING ROTATION-FLOORPLANE SINGLE
        "\u1D9E0",  # ; SIGNWRITING ROTATION-FLOORPLANE DOUBLE
        "\u1D9E1",  # ; SIGNWRITING ROTATION-FLOORPLANE ALTERNATING
        "\u1D9E2",  # ; SIGNWRITING MOVEMENT-FLOORPLANE SHAKING PARALLEL
        "\u1D9E3",  # ; SIGNWRITING MOVEMENT-WALLPLANE ARM CIRCLE SMALL SINGLE
        "\u1D9E4",  # ; SIGNWRITING MOVEMENT-WALLPLANE ARM CIRCLE MEDIUM SINGLE
        "\u1D9E5",  # ; SIGNWRITING MOVEMENT-WALLPLANE ARM CIRCLE SMALL DOUBLE
        "\u1D9E6",  # ; SIGNWRITING MOVEMENT-WALLPLANE ARM CIRCLE MEDIUM DOUBLE
        "\u1D9E7",  # ; SIGNWRITING MOVEMENT-FLOORPLANE ARM CIRCLE HITTING WALL SMALL SINGLE
        "\u1D9E8",  # ; SIGNWRITING MOVEMENT-FLOORPLANE ARM CIRCLE HITTING WALL MEDIUM SINGLE
        "\u1D9E9",  # ; SIGNWRITING MOVEMENT-FLOORPLANE ARM CIRCLE HITTING WALL LARGE SINGLE
        "\u1D9EA",  # ; SIGNWRITING MOVEMENT-FLOORPLANE ARM CIRCLE HITTING WALL SMALL DOUBLE
        "\u1D9EB",  # ; SIGNWRITING MOVEMENT-FLOORPLANE ARM CIRCLE HITTING WALL MEDIUM DOUBLE
        "\u1D9EC",  # ; SIGNWRITING MOVEMENT-FLOORPLANE ARM CIRCLE HITTING WALL LARGE DOUBLE
        "\u1D9ED",  # ; SIGNWRITING MOVEMENT-WALLPLANE WRIST CIRCLE FRONT SINGLE
        "\u1D9EE",  # ; SIGNWRITING MOVEMENT-WALLPLANE WRIST CIRCLE FRONT DOUBLE
        "\u1D9EF",  # ; SIGNWRITING MOVEMENT-FLOORPLANE WRIST CIRCLE HITTING WALL SINGLE
        "\u1D9F0",  # ; SIGNWRITING MOVEMENT-FLOORPLANE WRIST CIRCLE HITTING WALL DOUBLE
        "\u1D9F1",  # ; SIGNWRITING MOVEMENT-WALLPLANE FINGER CIRCLES SINGLE
        "\u1D9F2",  # ; SIGNWRITING MOVEMENT-WALLPLANE FINGER CIRCLES DOUBLE
        "\u1D9F3",  # ; SIGNWRITING MOVEMENT-FLOORPLANE FINGER CIRCLES HITTING WALL SINGLE
        "\u1D9F4",  # ; SIGNWRITING MOVEMENT-FLOORPLANE FINGER CIRCLES HITTING WALL DOUBLE
        "\u1D9F5",  # ; SIGNWRITING DYNAMIC ARROWHEAD SMALL
        "\u1D9F6",  # ; SIGNWRITING DYNAMIC ARROWHEAD LARGE
        "\u1D9F7",  # ; SIGNWRITING DYNAMIC FAST
        "\u1D9F8",  # ; SIGNWRITING DYNAMIC SLOW
        "\u1D9F9",  # ; SIGNWRITING DYNAMIC TENSE
        "\u1D9FA",  # ; SIGNWRITING DYNAMIC RELAXED
        "\u1D9FB",  # ; SIGNWRITING DYNAMIC SIMULTANEOUS
        "\u1D9FC",  # ; SIGNWRITING DYNAMIC SIMULTANEOUS ALTERNATING
        "\u1D9FD",  # ; SIGNWRITING DYNAMIC EVERY OTHER TIME
        "\u1D9FE",  # ; SIGNWRITING DYNAMIC GRADUAL
        "\u1D9FF",  # ; SIGNWRITING HEAD
        "\u1DA00",  # ; SIGNWRITING HEAD RIM
        "\u1DA01",  # ; SIGNWRITING HEAD MOVEMENT-WALLPLANE STRAIGHT
        "\u1DA02",  # ; SIGNWRITING HEAD MOVEMENT-WALLPLANE TILT
        "\u1DA03",  # ; SIGNWRITING HEAD MOVEMENT-FLOORPLANE STRAIGHT
        "\u1DA04",  # ; SIGNWRITING HEAD MOVEMENT-WALLPLANE CURVE
        "\u1DA05",  # ; SIGNWRITING HEAD MOVEMENT-FLOORPLANE CURVE
        "\u1DA06",  # ; SIGNWRITING HEAD MOVEMENT CIRCLE
        "\u1DA07",  # ; SIGNWRITING FACE DIRECTION POSITION NOSE FORWARD TILTING
        "\u1DA08",  # ; SIGNWRITING FACE DIRECTION POSITION NOSE UP OR DOWN
        "\u1DA09",  # ; SIGNWRITING FACE DIRECTION POSITION NOSE UP OR DOWN TILTING
        "\u1DA0A",  # ; SIGNWRITING EYEBROWS STRAIGHT UP
        "\u1DA0B",  # ; SIGNWRITING EYEBROWS STRAIGHT NEUTRAL
        "\u1DA0C",  # ; SIGNWRITING EYEBROWS STRAIGHT DOWN
        "\u1DA0D",  # ; SIGNWRITING DREAMY EYEBROWS NEUTRAL DOWN
        "\u1DA0E",  # ; SIGNWRITING DREAMY EYEBROWS DOWN NEUTRAL
        "\u1DA0F",  # ; SIGNWRITING DREAMY EYEBROWS UP NEUTRAL
        "\u1DA10",  # ; SIGNWRITING DREAMY EYEBROWS NEUTRAL UP
        "\u1DA11",  # ; SIGNWRITING FOREHEAD NEUTRAL
        "\u1DA12",  # ; SIGNWRITING FOREHEAD CONTACT
        "\u1DA13",  # ; SIGNWRITING FOREHEAD WRINKLED
        "\u1DA14",  # ; SIGNWRITING EYES OPEN
        "\u1DA15",  # ; SIGNWRITING EYES SQUEEZED
        "\u1DA16",  # ; SIGNWRITING EYES CLOSED
        "\u1DA17",  # ; SIGNWRITING EYE BLINK SINGLE
        "\u1DA18",  # ; SIGNWRITING EYE BLINK MULTIPLE
        "\u1DA19",  # ; SIGNWRITING EYES HALF OPEN
        "\u1DA1A",  # ; SIGNWRITING EYES WIDE OPEN
        "\u1DA1B",  # ; SIGNWRITING EYES HALF CLOSED
        "\u1DA1C",  # ; SIGNWRITING EYES WIDENING MOVEMENT
        "\u1DA1D",  # ; SIGNWRITING EYE WINK
        "\u1DA1E",  # ; SIGNWRITING EYELASHES UP
        "\u1DA1F",  # ; SIGNWRITING EYELASHES DOWN
        "\u1DA20",  # ; SIGNWRITING EYELASHES FLUTTERING
        "\u1DA21",  # ; SIGNWRITING EYEGAZE-WALLPLANE STRAIGHT
        "\u1DA22",  # ; SIGNWRITING EYEGAZE-WALLPLANE STRAIGHT DOUBLE
        "\u1DA23",  # ; SIGNWRITING EYEGAZE-WALLPLANE STRAIGHT ALTERNATING
        "\u1DA24",  # ; SIGNWRITING EYEGAZE-FLOORPLANE STRAIGHT
        "\u1DA25",  # ; SIGNWRITING EYEGAZE-FLOORPLANE STRAIGHT DOUBLE
        "\u1DA26",  # ; SIGNWRITING EYEGAZE-FLOORPLANE STRAIGHT ALTERNATING
        "\u1DA27",  # ; SIGNWRITING EYEGAZE-WALLPLANE CURVED
        "\u1DA28",  # ; SIGNWRITING EYEGAZE-FLOORPLANE CURVED
        "\u1DA29",  # ; SIGNWRITING EYEGAZE-WALLPLANE CIRCLING
        "\u1DA2A",  # ; SIGNWRITING CHEEKS PUFFED
        "\u1DA2B",  # ; SIGNWRITING CHEEKS NEUTRAL
        "\u1DA2C",  # ; SIGNWRITING CHEEKS SUCKED
        "\u1DA2D",  # ; SIGNWRITING TENSE CHEEKS HIGH
        "\u1DA2E",  # ; SIGNWRITING TENSE CHEEKS MIDDLE
        "\u1DA2F",  # ; SIGNWRITING TENSE CHEEKS LOW
        "\u1DA30",  # ; SIGNWRITING EARS
        "\u1DA31",  # ; SIGNWRITING NOSE NEUTRAL
        "\u1DA32",  # ; SIGNWRITING NOSE CONTACT
        "\u1DA33",  # ; SIGNWRITING NOSE WRINKLES
        "\u1DA34",  # ; SIGNWRITING NOSE WIGGLES
        "\u1DA35",  # ; SIGNWRITING AIR BLOWING OUT
        "\u1DA36",  # ; SIGNWRITING AIR SUCKING IN
        "\u1DA37",  # ; SIGNWRITING AIR BLOW SMALL ROTATIONS
        "\u1DA38",  # ; SIGNWRITING AIR SUCK SMALL ROTATIONS
        "\u1DA39",  # ; SIGNWRITING BREATH INHALE
        "\u1DA3A",  # ; SIGNWRITING BREATH EXHALE
        "\u1DA3B",  # ; SIGNWRITING MOUTH CLOSED NEUTRAL
        "\u1DA3C",  # ; SIGNWRITING MOUTH CLOSED FORWARD
        "\u1DA3D",  # ; SIGNWRITING MOUTH CLOSED CONTACT
        "\u1DA3E",  # ; SIGNWRITING MOUTH SMILE
        "\u1DA3F",  # ; SIGNWRITING MOUTH SMILE WRINKLED
        "\u1DA40",  # ; SIGNWRITING MOUTH SMILE OPEN
        "\u1DA41",  # ; SIGNWRITING MOUTH FROWN
        "\u1DA42",  # ; SIGNWRITING MOUTH FROWN WRINKLED
        "\u1DA43",  # ; SIGNWRITING MOUTH FROWN OPEN
        "\u1DA44",  # ; SIGNWRITING MOUTH OPEN CIRCLE
        "\u1DA45",  # ; SIGNWRITING MOUTH OPEN FORWARD
        "\u1DA46",  # ; SIGNWRITING MOUTH OPEN WRINKLED
        "\u1DA47",  # ; SIGNWRITING MOUTH OPEN OVAL
        "\u1DA48",  # ; SIGNWRITING MOUTH OPEN OVAL WRINKLED
        "\u1DA49",  # ; SIGNWRITING MOUTH OPEN OVAL YAWN
        "\u1DA4A",  # ; SIGNWRITING MOUTH OPEN RECTANGLE
        "\u1DA4B",  # ; SIGNWRITING MOUTH OPEN RECTANGLE WRINKLED
        "\u1DA4C",  # ; SIGNWRITING MOUTH OPEN RECTANGLE YAWN
        "\u1DA4D",  # ; SIGNWRITING MOUTH KISS
        "\u1DA4E",  # ; SIGNWRITING MOUTH KISS FORWARD
        "\u1DA4F",  # ; SIGNWRITING MOUTH KISS WRINKLED
        "\u1DA50",  # ; SIGNWRITING MOUTH TENSE
        "\u1DA51",  # ; SIGNWRITING MOUTH TENSE FORWARD
        "\u1DA52",  # ; SIGNWRITING MOUTH TENSE SUCKED
        "\u1DA53",  # ; SIGNWRITING LIPS PRESSED TOGETHER
        "\u1DA54",  # ; SIGNWRITING LIP LOWER OVER UPPER
        "\u1DA55",  # ; SIGNWRITING LIP UPPER OVER LOWER
        "\u1DA56",  # ; SIGNWRITING MOUTH CORNERS
        "\u1DA57",  # ; SIGNWRITING MOUTH WRINKLES SINGLE
        "\u1DA58",  # ; SIGNWRITING MOUTH WRINKLES DOUBLE
        "\u1DA59",  # ; SIGNWRITING TONGUE STICKING OUT FAR
        "\u1DA5A",  # ; SIGNWRITING TONGUE LICKING LIPS
        "\u1DA5B",  # ; SIGNWRITING TONGUE TIP BETWEEN LIPS
        "\u1DA5C",  # ; SIGNWRITING TONGUE TIP TOUCHING INSIDE MOUTH
        "\u1DA5D",  # ; SIGNWRITING TONGUE INSIDE MOUTH RELAXED
        "\u1DA5E",  # ; SIGNWRITING TONGUE MOVES AGAINST CHEEK
        "\u1DA5F",  # ; SIGNWRITING TONGUE CENTRE STICKING OUT
        "\u1DA60",  # ; SIGNWRITING TONGUE CENTRE INSIDE MOUTH
        "\u1DA61",  # ; SIGNWRITING TEETH
        "\u1DA62",  # ; SIGNWRITING TEETH MOVEMENT
        "\u1DA63",  # ; SIGNWRITING TEETH ON TONGUE
        "\u1DA64",  # ; SIGNWRITING TEETH ON TONGUE MOVEMENT
        "\u1DA65",  # ; SIGNWRITING TEETH ON LIPS
        "\u1DA66",  # ; SIGNWRITING TEETH ON LIPS MOVEMENT
        "\u1DA67",  # ; SIGNWRITING TEETH BITE LIPS
        "\u1DA68",  # ; SIGNWRITING MOVEMENT-WALLPLANE JAW
        "\u1DA69",  # ; SIGNWRITING MOVEMENT-FLOORPLANE JAW
        "\u1DA6A",  # ; SIGNWRITING NECK
        "\u1DA6B",  # ; SIGNWRITING HAIR
        "\u1DA6C",  # ; SIGNWRITING EXCITEMENT
        "\u1DA6D",  # ; SIGNWRITING SHOULDER HIP SPINE
        "\u1DA6E",  # ; SIGNWRITING SHOULDER HIP POSITIONS
        "\u1DA6F",  # ; SIGNWRITING WALLPLANE SHOULDER HIP MOVE
        "\u1DA70",  # ; SIGNWRITING FLOORPLANE SHOULDER HIP MOVE
        "\u1DA71",  # ; SIGNWRITING SHOULDER TILTING FROM WAIST
        "\u1DA72",  # ; SIGNWRITING TORSO-WALLPLANE STRAIGHT STRETCH
        "\u1DA73",  # ; SIGNWRITING TORSO-WALLPLANE CURVED BEND
        "\u1DA74",  # ; SIGNWRITING TORSO-FLOORPLANE TWISTING
        "\u1DA75",  # ; SIGNWRITING UPPER BODY TILTING FROM HIP JOINTS
        "\u1DA76",  # ; SIGNWRITING LIMB COMBINATION
        "\u1DA77",  # ; SIGNWRITING LIMB LENGTH-1
        "\u1DA78",  # ; SIGNWRITING LIMB LENGTH-2
        "\u1DA79",  # ; SIGNWRITING LIMB LENGTH-3
        "\u1DA7A",  # ; SIGNWRITING LIMB LENGTH-4
        "\u1DA7B",  # ; SIGNWRITING LIMB LENGTH-5
        "\u1DA7C",  # ; SIGNWRITING LIMB LENGTH-6
        "\u1DA7D",  # ; SIGNWRITING LIMB LENGTH-7
        "\u1DA7E",  # ; SIGNWRITING FINGER
        "\u1DA7F",  # ; SIGNWRITING LOCATION-WALLPLANE SPACE
        "\u1DA80",  # ; SIGNWRITING LOCATION-FLOORPLANE SPACE
        "\u1DA81",  # ; SIGNWRITING LOCATION HEIGHT
        "\u1DA82",  # ; SIGNWRITING LOCATION WIDTH
        "\u1DA83",  # ; SIGNWRITING LOCATION DEPTH
        "\u1DA84",  # ; SIGNWRITING LOCATION HEAD NECK
        "\u1DA85",  # ; SIGNWRITING LOCATION TORSO
        "\u1DA86",  # ; SIGNWRITING LOCATION LIMBS DIGITS
        "\u1DA87",  # ; SIGNWRITING COMMA
        "\u1DA88",  # ; SIGNWRITING FULL STOP
        "\u1DA89",  # ; SIGNWRITING SEMICOLON
        "\u1DA8A",  # ; SIGNWRITING COLON
        "\u1DA8B",  # ; SIGNWRITING PARENTHESIS
        "\u1DA9B",  # ; SIGNWRITING FILL MODIFIER-2
        "\u1DA9C",  # ; SIGNWRITING FILL MODIFIER-3
        "\u1DA9D",  # ; SIGNWRITING FILL MODIFIER-4
        "\u1DA9E",  # ; SIGNWRITING FILL MODIFIER-5
        "\u1DA9F",  # ; SIGNWRITING FILL MODIFIER-6
        "\u1DAA1",  # ; SIGNWRITING ROTATION MODIFIER-2
        "\u1DAA2",  # ; SIGNWRITING ROTATION MODIFIER-3
        "\u1DAA3",  # ; SIGNWRITING ROTATION MODIFIER-4
        "\u1DAA4",  # ; SIGNWRITING ROTATION MODIFIER-5
        "\u1DAA5",  # ; SIGNWRITING ROTATION MODIFIER-6
        "\u1DAA6",  # ; SIGNWRITING ROTATION MODIFIER-7
        "\u1DAA7",  # ; SIGNWRITING ROTATION MODIFIER-8
        "\u1DAA8",  # ; SIGNWRITING ROTATION MODIFIER-9
        "\u1DAA9",  # ; SIGNWRITING ROTATION MODIFIER-10
        "\u1DAAA",  # ; SIGNWRITING ROTATION MODIFIER-11
        "\u1DAAB",  # ; SIGNWRITING ROTATION MODIFIER-12
        "\u1DAAC",  # ; SIGNWRITING ROTATION MODIFIER-13
        "\u1DAAD",  # ; SIGNWRITING ROTATION MODIFIER-14
        "\u1DAAE",  # ; SIGNWRITING ROTATION MODIFIER-15
        "\u1DAAF",  # ; SIGNWRITING ROTATION MODIFIER-16
        "\u1E000",  # ; COMBINING GLAGOLITIC LETTER AZU
        "\u1E001",  # ; COMBINING GLAGOLITIC LETTER BUKY
        "\u1E002",  # ; COMBINING GLAGOLITIC LETTER VEDE
        "\u1E003",  # ; COMBINING GLAGOLITIC LETTER GLAGOLI
        "\u1E004",  # ; COMBINING GLAGOLITIC LETTER DOBRO
        "\u1E005",  # ; COMBINING GLAGOLITIC LETTER YESTU
        "\u1E006",  # ; COMBINING GLAGOLITIC LETTER ZHIVETE
        "\u1E008",  # ; COMBINING GLAGOLITIC LETTER ZEMLJA
        "\u1E009",  # ; COMBINING GLAGOLITIC LETTER IZHE
        "\u1E00A",  # ; COMBINING GLAGOLITIC LETTER INITIAL IZHE
        "\u1E00B",  # ; COMBINING GLAGOLITIC LETTER I
        "\u1E00C",  # ; COMBINING GLAGOLITIC LETTER DJERVI
        "\u1E00D",  # ; COMBINING GLAGOLITIC LETTER KAKO
        "\u1E00E",  # ; COMBINING GLAGOLITIC LETTER LJUDIJE
        "\u1E00F",  # ; COMBINING GLAGOLITIC LETTER MYSLITE
        "\u1E010",  # ; COMBINING GLAGOLITIC LETTER NASHI
        "\u1E011",  # ; COMBINING GLAGOLITIC LETTER ONU
        "\u1E012",  # ; COMBINING GLAGOLITIC LETTER POKOJI
        "\u1E013",  # ; COMBINING GLAGOLITIC LETTER RITSI
        "\u1E014",  # ; COMBINING GLAGOLITIC LETTER SLOVO
        "\u1E015",  # ; COMBINING GLAGOLITIC LETTER TVRIDO
        "\u1E016",  # ; COMBINING GLAGOLITIC LETTER UKU
        "\u1E017",  # ; COMBINING GLAGOLITIC LETTER FRITU
        "\u1E018",  # ; COMBINING GLAGOLITIC LETTER HERU
        "\u1E01B",  # ; COMBINING GLAGOLITIC LETTER SHTA
        "\u1E01C",  # ; COMBINING GLAGOLITIC LETTER TSI
        "\u1E01D",  # ; COMBINING GLAGOLITIC LETTER CHRIVI
        "\u1E01E",  # ; COMBINING GLAGOLITIC LETTER SHA
        "\u1E01F",  # ; COMBINING GLAGOLITIC LETTER YERU
        "\u1E020",  # ; COMBINING GLAGOLITIC LETTER YERI
        "\u1E021",  # ; COMBINING GLAGOLITIC LETTER YATI
        "\u1E023",  # ; COMBINING GLAGOLITIC LETTER YU
        "\u1E024",  # ; COMBINING GLAGOLITIC LETTER SMALL YUS
        "\u1E026",  # ; COMBINING GLAGOLITIC LETTER YO
        "\u1E027",  # ; COMBINING GLAGOLITIC LETTER IOTATED SMALL YUS
        "\u1E028",  # ; COMBINING GLAGOLITIC LETTER BIG YUS
        "\u1E029",  # ; COMBINING GLAGOLITIC LETTER IOTATED BIG YUS
        "\u1E02A",  # ; COMBINING GLAGOLITIC LETTER FITA
        "\u1E800",  # ; MENDE KIKAKUI SYLLABLE M001 KI
        "\u1E801",  # ; MENDE KIKAKUI SYLLABLE M002 KA
        "\u1E802",  # ; MENDE KIKAKUI SYLLABLE M003 KU
        "\u1E803",  # ; MENDE KIKAKUI SYLLABLE M065 KEE
        "\u1E804",  # ; MENDE KIKAKUI SYLLABLE M095 KE
        "\u1E805",  # ; MENDE KIKAKUI SYLLABLE M076 KOO
        "\u1E806",  # ; MENDE KIKAKUI SYLLABLE M048 KO
        "\u1E807",  # ; MENDE KIKAKUI SYLLABLE M179 KUA
        "\u1E808",  # ; MENDE KIKAKUI SYLLABLE M004 WI
        "\u1E809",  # ; MENDE KIKAKUI SYLLABLE M005 WA
        "\u1E80A",  # ; MENDE KIKAKUI SYLLABLE M006 WU
        "\u1E80B",  # ; MENDE KIKAKUI SYLLABLE M126 WEE
        "\u1E80C",  # ; MENDE KIKAKUI SYLLABLE M118 WE
        "\u1E80D",  # ; MENDE KIKAKUI SYLLABLE M114 WOO
        "\u1E80E",  # ; MENDE KIKAKUI SYLLABLE M045 WO
        "\u1E80F",  # ; MENDE KIKAKUI SYLLABLE M194 WUI
        "\u1E810",  # ; MENDE KIKAKUI SYLLABLE M143 WEI
        "\u1E811",  # ; MENDE KIKAKUI SYLLABLE M061 WVI
        "\u1E812",  # ; MENDE KIKAKUI SYLLABLE M049 WVA
        "\u1E813",  # ; MENDE KIKAKUI SYLLABLE M139 WVE
        "\u1E814",  # ; MENDE KIKAKUI SYLLABLE M007 MIN
        "\u1E815",  # ; MENDE KIKAKUI SYLLABLE M008 MAN
        "\u1E816",  # ; MENDE KIKAKUI SYLLABLE M009 MUN
        "\u1E817",  # ; MENDE KIKAKUI SYLLABLE M059 MEN
        "\u1E818",  # ; MENDE KIKAKUI SYLLABLE M094 MON
        "\u1E819",  # ; MENDE KIKAKUI SYLLABLE M154 MUAN
        "\u1E81A",  # ; MENDE KIKAKUI SYLLABLE M189 MUEN
        "\u1E81B",  # ; MENDE KIKAKUI SYLLABLE M010 BI
        "\u1E81C",  # ; MENDE KIKAKUI SYLLABLE M011 BA
        "\u1E81D",  # ; MENDE KIKAKUI SYLLABLE M012 BU
        "\u1E81E",  # ; MENDE KIKAKUI SYLLABLE M150 BEE
        "\u1E81F",  # ; MENDE KIKAKUI SYLLABLE M097 BE
        "\u1E820",  # ; MENDE KIKAKUI SYLLABLE M103 BOO
        "\u1E821",  # ; MENDE KIKAKUI SYLLABLE M138 BO
        "\u1E822",  # ; MENDE KIKAKUI SYLLABLE M013 I
        "\u1E823",  # ; MENDE KIKAKUI SYLLABLE M014 A
        "\u1E824",  # ; MENDE KIKAKUI SYLLABLE M015 U
        "\u1E825",  # ; MENDE KIKAKUI SYLLABLE M163 EE
        "\u1E826",  # ; MENDE KIKAKUI SYLLABLE M100 E
        "\u1E827",  # ; MENDE KIKAKUI SYLLABLE M165 OO
        "\u1E828",  # ; MENDE KIKAKUI SYLLABLE M147 O
        "\u1E829",  # ; MENDE KIKAKUI SYLLABLE M137 EI
        "\u1E82A",  # ; MENDE KIKAKUI SYLLABLE M131 IN
        "\u1E82B",  # ; MENDE KIKAKUI SYLLABLE M135 IN
        "\u1E82C",  # ; MENDE KIKAKUI SYLLABLE M195 AN
        "\u1E82D",  # ; MENDE KIKAKUI SYLLABLE M178 EN
        "\u1E82E",  # ; MENDE KIKAKUI SYLLABLE M019 SI
        "\u1E82F",  # ; MENDE KIKAKUI SYLLABLE M020 SA
        "\u1E830",  # ; MENDE KIKAKUI SYLLABLE M021 SU
        "\u1E831",  # ; MENDE KIKAKUI SYLLABLE M162 SEE
        "\u1E832",  # ; MENDE KIKAKUI SYLLABLE M116 SE
        "\u1E833",  # ; MENDE KIKAKUI SYLLABLE M136 SOO
        "\u1E834",  # ; MENDE KIKAKUI SYLLABLE M079 SO
        "\u1E835",  # ; MENDE KIKAKUI SYLLABLE M196 SIA
        "\u1E836",  # ; MENDE KIKAKUI SYLLABLE M025 LI
        "\u1E837",  # ; MENDE KIKAKUI SYLLABLE M026 LA
        "\u1E838",  # ; MENDE KIKAKUI SYLLABLE M027 LU
        "\u1E839",  # ; MENDE KIKAKUI SYLLABLE M084 LEE
        "\u1E83A",  # ; MENDE KIKAKUI SYLLABLE M073 LE
        "\u1E83B",  # ; MENDE KIKAKUI SYLLABLE M054 LOO
        "\u1E83C",  # ; MENDE KIKAKUI SYLLABLE M153 LO
        "\u1E83D",  # ; MENDE KIKAKUI SYLLABLE M110 LONG LE
        "\u1E83E",  # ; MENDE KIKAKUI SYLLABLE M016 DI
        "\u1E83F",  # ; MENDE KIKAKUI SYLLABLE M017 DA
        "\u1E840",  # ; MENDE KIKAKUI SYLLABLE M018 DU
        "\u1E841",  # ; MENDE KIKAKUI SYLLABLE M089 DEE
        "\u1E842",  # ; MENDE KIKAKUI SYLLABLE M180 DOO
        "\u1E843",  # ; MENDE KIKAKUI SYLLABLE M181 DO
        "\u1E844",  # ; MENDE KIKAKUI SYLLABLE M022 TI
        "\u1E845",  # ; MENDE KIKAKUI SYLLABLE M023 TA
        "\u1E846",  # ; MENDE KIKAKUI SYLLABLE M024 TU
        "\u1E847",  # ; MENDE KIKAKUI SYLLABLE M091 TEE
        "\u1E848",  # ; MENDE KIKAKUI SYLLABLE M055 TE
        "\u1E849",  # ; MENDE KIKAKUI SYLLABLE M104 TOO
        "\u1E84A",  # ; MENDE KIKAKUI SYLLABLE M069 TO
        "\u1E84B",  # ; MENDE KIKAKUI SYLLABLE M028 JI
        "\u1E84C",  # ; MENDE KIKAKUI SYLLABLE M029 JA
        "\u1E84D",  # ; MENDE KIKAKUI SYLLABLE M030 JU
        "\u1E84E",  # ; MENDE KIKAKUI SYLLABLE M157 JEE
        "\u1E84F",  # ; MENDE KIKAKUI SYLLABLE M113 JE
        "\u1E850",  # ; MENDE KIKAKUI SYLLABLE M160 JOO
        "\u1E851",  # ; MENDE KIKAKUI SYLLABLE M063 JO
        "\u1E852",  # ; MENDE KIKAKUI SYLLABLE M175 LONG JO
        "\u1E853",  # ; MENDE KIKAKUI SYLLABLE M031 YI
        "\u1E854",  # ; MENDE KIKAKUI SYLLABLE M032 YA
        "\u1E855",  # ; MENDE KIKAKUI SYLLABLE M033 YU
        "\u1E856",  # ; MENDE KIKAKUI SYLLABLE M109 YEE
        "\u1E857",  # ; MENDE KIKAKUI SYLLABLE M080 YE
        "\u1E858",  # ; MENDE KIKAKUI SYLLABLE M141 YOO
        "\u1E859",  # ; MENDE KIKAKUI SYLLABLE M121 YO
        "\u1E85A",  # ; MENDE KIKAKUI SYLLABLE M034 FI
        "\u1E85B",  # ; MENDE KIKAKUI SYLLABLE M035 FA
        "\u1E85C",  # ; MENDE KIKAKUI SYLLABLE M036 FU
        "\u1E85D",  # ; MENDE KIKAKUI SYLLABLE M078 FEE
        "\u1E85E",  # ; MENDE KIKAKUI SYLLABLE M075 FE
        "\u1E85F",  # ; MENDE KIKAKUI SYLLABLE M133 FOO
        "\u1E860",  # ; MENDE KIKAKUI SYLLABLE M088 FO
        "\u1E861",  # ; MENDE KIKAKUI SYLLABLE M197 FUA
        "\u1E862",  # ; MENDE KIKAKUI SYLLABLE M101 FAN
        "\u1E863",  # ; MENDE KIKAKUI SYLLABLE M037 NIN
        "\u1E864",  # ; MENDE KIKAKUI SYLLABLE M038 NAN
        "\u1E865",  # ; MENDE KIKAKUI SYLLABLE M039 NUN
        "\u1E866",  # ; MENDE KIKAKUI SYLLABLE M117 NEN
        "\u1E867",  # ; MENDE KIKAKUI SYLLABLE M169 NON
        "\u1E868",  # ; MENDE KIKAKUI SYLLABLE M176 HI
        "\u1E869",  # ; MENDE KIKAKUI SYLLABLE M041 HA
        "\u1E86A",  # ; MENDE KIKAKUI SYLLABLE M186 HU
        "\u1E86B",  # ; MENDE KIKAKUI SYLLABLE M040 HEE
        "\u1E86C",  # ; MENDE KIKAKUI SYLLABLE M096 HE
        "\u1E86D",  # ; MENDE KIKAKUI SYLLABLE M042 HOO
        "\u1E86E",  # ; MENDE KIKAKUI SYLLABLE M140 HO
        "\u1E86F",  # ; MENDE KIKAKUI SYLLABLE M083 HEEI
        "\u1E870",  # ; MENDE KIKAKUI SYLLABLE M128 HOOU
        "\u1E871",  # ; MENDE KIKAKUI SYLLABLE M053 HIN
        "\u1E872",  # ; MENDE KIKAKUI SYLLABLE M130 HAN
        "\u1E873",  # ; MENDE KIKAKUI SYLLABLE M087 HUN
        "\u1E874",  # ; MENDE KIKAKUI SYLLABLE M052 HEN
        "\u1E875",  # ; MENDE KIKAKUI SYLLABLE M193 HON
        "\u1E876",  # ; MENDE KIKAKUI SYLLABLE M046 HUAN
        "\u1E877",  # ; MENDE KIKAKUI SYLLABLE M090 NGGI
        "\u1E878",  # ; MENDE KIKAKUI SYLLABLE M043 NGGA
        "\u1E879",  # ; MENDE KIKAKUI SYLLABLE M082 NGGU
        "\u1E87A",  # ; MENDE KIKAKUI SYLLABLE M115 NGGEE
        "\u1E87B",  # ; MENDE KIKAKUI SYLLABLE M146 NGGE
        "\u1E87C",  # ; MENDE KIKAKUI SYLLABLE M156 NGGOO
        "\u1E87D",  # ; MENDE KIKAKUI SYLLABLE M120 NGGO
        "\u1E87E",  # ; MENDE KIKAKUI SYLLABLE M159 NGGAA
        "\u1E87F",  # ; MENDE KIKAKUI SYLLABLE M127 NGGUA
        "\u1E880",  # ; MENDE KIKAKUI SYLLABLE M086 LONG NGGE
        "\u1E881",  # ; MENDE KIKAKUI SYLLABLE M106 LONG NGGOO
        "\u1E882",  # ; MENDE KIKAKUI SYLLABLE M183 LONG NGGO
        "\u1E883",  # ; MENDE KIKAKUI SYLLABLE M155 GI
        "\u1E884",  # ; MENDE KIKAKUI SYLLABLE M111 GA
        "\u1E885",  # ; MENDE KIKAKUI SYLLABLE M168 GU
        "\u1E886",  # ; MENDE KIKAKUI SYLLABLE M190 GEE
        "\u1E887",  # ; MENDE KIKAKUI SYLLABLE M166 GUEI
        "\u1E888",  # ; MENDE KIKAKUI SYLLABLE M167 GUAN
        "\u1E889",  # ; MENDE KIKAKUI SYLLABLE M184 NGEN
        "\u1E88A",  # ; MENDE KIKAKUI SYLLABLE M057 NGON
        "\u1E88B",  # ; MENDE KIKAKUI SYLLABLE M177 NGUAN
        "\u1E88C",  # ; MENDE KIKAKUI SYLLABLE M068 PI
        "\u1E88D",  # ; MENDE KIKAKUI SYLLABLE M099 PA
        "\u1E88E",  # ; MENDE KIKAKUI SYLLABLE M050 PU
        "\u1E88F",  # ; MENDE KIKAKUI SYLLABLE M081 PEE
        "\u1E890",  # ; MENDE KIKAKUI SYLLABLE M051 PE
        "\u1E891",  # ; MENDE KIKAKUI SYLLABLE M102 POO
        "\u1E892",  # ; MENDE KIKAKUI SYLLABLE M066 PO
        "\u1E893",  # ; MENDE KIKAKUI SYLLABLE M145 MBI
        "\u1E894",  # ; MENDE KIKAKUI SYLLABLE M062 MBA
        "\u1E895",  # ; MENDE KIKAKUI SYLLABLE M122 MBU
        "\u1E896",  # ; MENDE KIKAKUI SYLLABLE M047 MBEE
        "\u1E897",  # ; MENDE KIKAKUI SYLLABLE M188 MBEE
        "\u1E898",  # ; MENDE KIKAKUI SYLLABLE M072 MBE
        "\u1E899",  # ; MENDE KIKAKUI SYLLABLE M172 MBOO
        "\u1E89A",  # ; MENDE KIKAKUI SYLLABLE M174 MBO
        "\u1E89B",  # ; MENDE KIKAKUI SYLLABLE M187 MBUU
        "\u1E89C",  # ; MENDE KIKAKUI SYLLABLE M161 LONG MBE
        "\u1E89D",  # ; MENDE KIKAKUI SYLLABLE M105 LONG MBOO
        "\u1E89E",  # ; MENDE KIKAKUI SYLLABLE M142 LONG MBO
        "\u1E89F",  # ; MENDE KIKAKUI SYLLABLE M132 KPI
        "\u1E8A0",  # ; MENDE KIKAKUI SYLLABLE M092 KPA
        "\u1E8A1",  # ; MENDE KIKAKUI SYLLABLE M074 KPU
        "\u1E8A2",  # ; MENDE KIKAKUI SYLLABLE M044 KPEE
        "\u1E8A3",  # ; MENDE KIKAKUI SYLLABLE M108 KPE
        "\u1E8A4",  # ; MENDE KIKAKUI SYLLABLE M112 KPOO
        "\u1E8A5",  # ; MENDE KIKAKUI SYLLABLE M158 KPO
        "\u1E8A6",  # ; MENDE KIKAKUI SYLLABLE M124 GBI
        "\u1E8A7",  # ; MENDE KIKAKUI SYLLABLE M056 GBA
        "\u1E8A8",  # ; MENDE KIKAKUI SYLLABLE M148 GBU
        "\u1E8A9",  # ; MENDE KIKAKUI SYLLABLE M093 GBEE
        "\u1E8AA",  # ; MENDE KIKAKUI SYLLABLE M107 GBE
        "\u1E8AB",  # ; MENDE KIKAKUI SYLLABLE M071 GBOO
        "\u1E8AC",  # ; MENDE KIKAKUI SYLLABLE M070 GBO
        "\u1E8AD",  # ; MENDE KIKAKUI SYLLABLE M171 RA
        "\u1E8AE",  # ; MENDE KIKAKUI SYLLABLE M123 NDI
        "\u1E8AF",  # ; MENDE KIKAKUI SYLLABLE M129 NDA
        "\u1E8B0",  # ; MENDE KIKAKUI SYLLABLE M125 NDU
        "\u1E8B1",  # ; MENDE KIKAKUI SYLLABLE M191 NDEE
        "\u1E8B2",  # ; MENDE KIKAKUI SYLLABLE M119 NDE
        "\u1E8B3",  # ; MENDE KIKAKUI SYLLABLE M067 NDOO
        "\u1E8B4",  # ; MENDE KIKAKUI SYLLABLE M064 NDO
        "\u1E8B5",  # ; MENDE KIKAKUI SYLLABLE M152 NJA
        "\u1E8B6",  # ; MENDE KIKAKUI SYLLABLE M192 NJU
        "\u1E8B7",  # ; MENDE KIKAKUI SYLLABLE M149 NJEE
        "\u1E8B8",  # ; MENDE KIKAKUI SYLLABLE M134 NJOO
        "\u1E8B9",  # ; MENDE KIKAKUI SYLLABLE M182 VI
        "\u1E8BA",  # ; MENDE KIKAKUI SYLLABLE M185 VA
        "\u1E8BB",  # ; MENDE KIKAKUI SYLLABLE M151 VU
        "\u1E8BC",  # ; MENDE KIKAKUI SYLLABLE M173 VEE
        "\u1E8BD",  # ; MENDE KIKAKUI SYLLABLE M085 VE
        "\u1E8BE",  # ; MENDE KIKAKUI SYLLABLE M144 VOO
        "\u1E8BF",  # ; MENDE KIKAKUI SYLLABLE M077 VO
        "\u1E8C0",  # ; MENDE KIKAKUI SYLLABLE M164 NYIN
        "\u1E8C1",  # ; MENDE KIKAKUI SYLLABLE M058 NYAN
        "\u1E8C2",  # ; MENDE KIKAKUI SYLLABLE M170 NYUN
        "\u1E8C3",  # ; MENDE KIKAKUI SYLLABLE M098 NYEN
        "\u1E8C4",  # ; MENDE KIKAKUI SYLLABLE M060 NYON
        "\u1E8C7",  # ; MENDE KIKAKUI DIGIT ONE
        "\u1E8C8",  # ; MENDE KIKAKUI DIGIT TWO
        "\u1E8C9",  # ; MENDE KIKAKUI DIGIT THREE
        "\u1E8CA",  # ; MENDE KIKAKUI DIGIT FOUR
        "\u1E8CB",  # ; MENDE KIKAKUI DIGIT FIVE
        "\u1E8CC",  # ; MENDE KIKAKUI DIGIT SIX
        "\u1E8CD",  # ; MENDE KIKAKUI DIGIT SEVEN
        "\u1E8CE",  # ; MENDE KIKAKUI DIGIT EIGHT
        "\u1E8CF",  # ; MENDE KIKAKUI DIGIT NINE
        "\u1E8D0",  # ; MENDE KIKAKUI COMBINING NUMBER TEENS
        "\u1E8D1",  # ; MENDE KIKAKUI COMBINING NUMBER TENS
        "\u1E8D2",  # ; MENDE KIKAKUI COMBINING NUMBER HUNDREDS
        "\u1E8D3",  # ; MENDE KIKAKUI COMBINING NUMBER THOUSANDS
        "\u1E8D4",  # ; MENDE KIKAKUI COMBINING NUMBER TEN THOUSANDS
        "\u1E8D5",  # ; MENDE KIKAKUI COMBINING NUMBER HUNDRED THOUSANDS
        "\u1E8D6",  # ; MENDE KIKAKUI COMBINING NUMBER MILLIONS
        "\u1E900",  # ; ADLAM CAPITAL LETTER ALIF
        "\u1E901",  # ; ADLAM CAPITAL LETTER DAALI
        "\u1E902",  # ; ADLAM CAPITAL LETTER LAAM
        "\u1E903",  # ; ADLAM CAPITAL LETTER MIIM
        "\u1E904",  # ; ADLAM CAPITAL LETTER BA
        "\u1E905",  # ; ADLAM CAPITAL LETTER SINNYIIYHE
        "\u1E906",  # ; ADLAM CAPITAL LETTER PE
        "\u1E907",  # ; ADLAM CAPITAL LETTER BHE
        "\u1E908",  # ; ADLAM CAPITAL LETTER RA
        "\u1E909",  # ; ADLAM CAPITAL LETTER E
        "\u1E90A",  # ; ADLAM CAPITAL LETTER FA
        "\u1E90B",  # ; ADLAM CAPITAL LETTER I
        "\u1E90C",  # ; ADLAM CAPITAL LETTER O
        "\u1E90D",  # ; ADLAM CAPITAL LETTER DHA
        "\u1E90E",  # ; ADLAM CAPITAL LETTER YHE
        "\u1E90F",  # ; ADLAM CAPITAL LETTER WAW
        "\u1E910",  # ; ADLAM CAPITAL LETTER NUN
        "\u1E911",  # ; ADLAM CAPITAL LETTER KAF
        "\u1E912",  # ; ADLAM CAPITAL LETTER YA
        "\u1E913",  # ; ADLAM CAPITAL LETTER U
        "\u1E914",  # ; ADLAM CAPITAL LETTER JIIM
        "\u1E915",  # ; ADLAM CAPITAL LETTER CHI
        "\u1E916",  # ; ADLAM CAPITAL LETTER HA
        "\u1E917",  # ; ADLAM CAPITAL LETTER QAAF
        "\u1E918",  # ; ADLAM CAPITAL LETTER GA
        "\u1E919",  # ; ADLAM CAPITAL LETTER NYA
        "\u1E91A",  # ; ADLAM CAPITAL LETTER TU
        "\u1E91B",  # ; ADLAM CAPITAL LETTER NHA
        "\u1E91C",  # ; ADLAM CAPITAL LETTER VA
        "\u1E91D",  # ; ADLAM CAPITAL LETTER KHA
        "\u1E91E",  # ; ADLAM CAPITAL LETTER GBE
        "\u1E91F",  # ; ADLAM CAPITAL LETTER ZAL
        "\u1E920",  # ; ADLAM CAPITAL LETTER KPO
        "\u1E921",  # ; ADLAM CAPITAL LETTER SHA
        "\u1E922",  # ; ADLAM SMALL LETTER ALIF
        "\u1E923",  # ; ADLAM SMALL LETTER DAALI
        "\u1E924",  # ; ADLAM SMALL LETTER LAAM
        "\u1E925",  # ; ADLAM SMALL LETTER MIIM
        "\u1E926",  # ; ADLAM SMALL LETTER BA
        "\u1E927",  # ; ADLAM SMALL LETTER SINNYIIYHE
        "\u1E928",  # ; ADLAM SMALL LETTER PE
        "\u1E929",  # ; ADLAM SMALL LETTER BHE
        "\u1E92A",  # ; ADLAM SMALL LETTER RA
        "\u1E92B",  # ; ADLAM SMALL LETTER E
        "\u1E92C",  # ; ADLAM SMALL LETTER FA
        "\u1E92D",  # ; ADLAM SMALL LETTER I
        "\u1E92E",  # ; ADLAM SMALL LETTER O
        "\u1E92F",  # ; ADLAM SMALL LETTER DHA
        "\u1E930",  # ; ADLAM SMALL LETTER YHE
        "\u1E931",  # ; ADLAM SMALL LETTER WAW
        "\u1E932",  # ; ADLAM SMALL LETTER NUN
        "\u1E933",  # ; ADLAM SMALL LETTER KAF
        "\u1E934",  # ; ADLAM SMALL LETTER YA
        "\u1E935",  # ; ADLAM SMALL LETTER U
        "\u1E936",  # ; ADLAM SMALL LETTER JIIM
        "\u1E937",  # ; ADLAM SMALL LETTER CHI
        "\u1E938",  # ; ADLAM SMALL LETTER HA
        "\u1E939",  # ; ADLAM SMALL LETTER QAAF
        "\u1E93A",  # ; ADLAM SMALL LETTER GA
        "\u1E93B",  # ; ADLAM SMALL LETTER NYA
        "\u1E93C",  # ; ADLAM SMALL LETTER TU
        "\u1E93D",  # ; ADLAM SMALL LETTER NHA
        "\u1E93E",  # ; ADLAM SMALL LETTER VA
        "\u1E93F",  # ; ADLAM SMALL LETTER KHA
        "\u1E940",  # ; ADLAM SMALL LETTER GBE
        "\u1E941",  # ; ADLAM SMALL LETTER ZAL
        "\u1E942",  # ; ADLAM SMALL LETTER KPO
        "\u1E943",  # ; ADLAM SMALL LETTER SHA
        "\u1E944",  # ; ADLAM ALIF LENGTHENER
        "\u1E945",  # ; ADLAM VOWEL LENGTHENER
        "\u1E946",  # ; ADLAM GEMINATION MARK
        "\u1E947",  # ; ADLAM HAMZA
        "\u1E948",  # ; ADLAM CONSONANT MODIFIER
        "\u1E949",  # ; ADLAM GEMINATE CONSONANT MODIFIER
        "\u1E94A",  # ; ADLAM NUKTA
        "\u1E950",  # ; ADLAM DIGIT ZERO
        "\u1E951",  # ; ADLAM DIGIT ONE
        "\u1E952",  # ; ADLAM DIGIT TWO
        "\u1E953",  # ; ADLAM DIGIT THREE
        "\u1E954",  # ; ADLAM DIGIT FOUR
        "\u1E955",  # ; ADLAM DIGIT FIVE
        "\u1E956",  # ; ADLAM DIGIT SIX
        "\u1E957",  # ; ADLAM DIGIT SEVEN
        "\u1E958",  # ; ADLAM DIGIT EIGHT
        "\u1E959",  # ; ADLAM DIGIT NINE
        "\u1E95E",  # ; ADLAM INITIAL EXCLAMATION MARK
        "\u1E95F",  # ; ADLAM INITIAL QUESTION MARK
        "\u1EE00",  # ; ARABIC MATHEMATICAL ALEF
        "\u1EE01",  # ; ARABIC MATHEMATICAL BEH
        "\u1EE02",  # ; ARABIC MATHEMATICAL JEEM
        "\u1EE03",  # ; ARABIC MATHEMATICAL DAL
        "\u1EE05",  # ; ARABIC MATHEMATICAL WAW
        "\u1EE06",  # ; ARABIC MATHEMATICAL ZAIN
        "\u1EE07",  # ; ARABIC MATHEMATICAL HAH
        "\u1EE08",  # ; ARABIC MATHEMATICAL TAH
        "\u1EE09",  # ; ARABIC MATHEMATICAL YEH
        "\u1EE0A",  # ; ARABIC MATHEMATICAL KAF
        "\u1EE0B",  # ; ARABIC MATHEMATICAL LAM
        "\u1EE0C",  # ; ARABIC MATHEMATICAL MEEM
        "\u1EE0D",  # ; ARABIC MATHEMATICAL NOON
        "\u1EE0E",  # ; ARABIC MATHEMATICAL SEEN
        "\u1EE0F",  # ; ARABIC MATHEMATICAL AIN
        "\u1EE10",  # ; ARABIC MATHEMATICAL FEH
        "\u1EE11",  # ; ARABIC MATHEMATICAL SAD
        "\u1EE12",  # ; ARABIC MATHEMATICAL QAF
        "\u1EE13",  # ; ARABIC MATHEMATICAL REH
        "\u1EE14",  # ; ARABIC MATHEMATICAL SHEEN
        "\u1EE15",  # ; ARABIC MATHEMATICAL TEH
        "\u1EE16",  # ; ARABIC MATHEMATICAL THEH
        "\u1EE17",  # ; ARABIC MATHEMATICAL KHAH
        "\u1EE18",  # ; ARABIC MATHEMATICAL THAL
        "\u1EE19",  # ; ARABIC MATHEMATICAL DAD
        "\u1EE1A",  # ; ARABIC MATHEMATICAL ZAH
        "\u1EE1B",  # ; ARABIC MATHEMATICAL GHAIN
        "\u1EE1C",  # ; ARABIC MATHEMATICAL DOTLESS BEH
        "\u1EE1D",  # ; ARABIC MATHEMATICAL DOTLESS NOON
        "\u1EE1E",  # ; ARABIC MATHEMATICAL DOTLESS FEH
        "\u1EE1F",  # ; ARABIC MATHEMATICAL DOTLESS QAF
        "\u1EE21",  # ; ARABIC MATHEMATICAL INITIAL BEH
        "\u1EE22",  # ; ARABIC MATHEMATICAL INITIAL JEEM
        "\u1EE24",  # ; ARABIC MATHEMATICAL INITIAL HEH
        "\u1EE27",  # ; ARABIC MATHEMATICAL INITIAL HAH
        "\u1EE29",  # ; ARABIC MATHEMATICAL INITIAL YEH
        "\u1EE2A",  # ; ARABIC MATHEMATICAL INITIAL KAF
        "\u1EE2B",  # ; ARABIC MATHEMATICAL INITIAL LAM
        "\u1EE2C",  # ; ARABIC MATHEMATICAL INITIAL MEEM
        "\u1EE2D",  # ; ARABIC MATHEMATICAL INITIAL NOON
        "\u1EE2E",  # ; ARABIC MATHEMATICAL INITIAL SEEN
        "\u1EE2F",  # ; ARABIC MATHEMATICAL INITIAL AIN
        "\u1EE30",  # ; ARABIC MATHEMATICAL INITIAL FEH
        "\u1EE31",  # ; ARABIC MATHEMATICAL INITIAL SAD
        "\u1EE32",  # ; ARABIC MATHEMATICAL INITIAL QAF
        "\u1EE34",  # ; ARABIC MATHEMATICAL INITIAL SHEEN
        "\u1EE35",  # ; ARABIC MATHEMATICAL INITIAL TEH
        "\u1EE36",  # ; ARABIC MATHEMATICAL INITIAL THEH
        "\u1EE37",  # ; ARABIC MATHEMATICAL INITIAL KHAH
        "\u1EE39",  # ; ARABIC MATHEMATICAL INITIAL DAD
        "\u1EE3B",  # ; ARABIC MATHEMATICAL INITIAL GHAIN
        "\u1EE42",  # ; ARABIC MATHEMATICAL TAILED JEEM
        "\u1EE47",  # ; ARABIC MATHEMATICAL TAILED HAH
        "\u1EE49",  # ; ARABIC MATHEMATICAL TAILED YEH
        "\u1EE4B",  # ; ARABIC MATHEMATICAL TAILED LAM
        "\u1EE4D",  # ; ARABIC MATHEMATICAL TAILED NOON
        "\u1EE4E",  # ; ARABIC MATHEMATICAL TAILED SEEN
        "\u1EE4F",  # ; ARABIC MATHEMATICAL TAILED AIN
        "\u1EE51",  # ; ARABIC MATHEMATICAL TAILED SAD
        "\u1EE52",  # ; ARABIC MATHEMATICAL TAILED QAF
        "\u1EE54",  # ; ARABIC MATHEMATICAL TAILED SHEEN
        "\u1EE57",  # ; ARABIC MATHEMATICAL TAILED KHAH
        "\u1EE59",  # ; ARABIC MATHEMATICAL TAILED DAD
        "\u1EE5B",  # ; ARABIC MATHEMATICAL TAILED GHAIN
        "\u1EE5D",  # ; ARABIC MATHEMATICAL TAILED DOTLESS NOON
        "\u1EE5F",  # ; ARABIC MATHEMATICAL TAILED DOTLESS QAF
        "\u1EE61",  # ; ARABIC MATHEMATICAL STRETCHED BEH
        "\u1EE62",  # ; ARABIC MATHEMATICAL STRETCHED JEEM
        "\u1EE64",  # ; ARABIC MATHEMATICAL STRETCHED HEH
        "\u1EE67",  # ; ARABIC MATHEMATICAL STRETCHED HAH
        "\u1EE68",  # ; ARABIC MATHEMATICAL STRETCHED TAH
        "\u1EE69",  # ; ARABIC MATHEMATICAL STRETCHED YEH
        "\u1EE6A",  # ; ARABIC MATHEMATICAL STRETCHED KAF
        "\u1EE6C",  # ; ARABIC MATHEMATICAL STRETCHED MEEM
        "\u1EE6D",  # ; ARABIC MATHEMATICAL STRETCHED NOON
        "\u1EE6E",  # ; ARABIC MATHEMATICAL STRETCHED SEEN
        "\u1EE6F",  # ; ARABIC MATHEMATICAL STRETCHED AIN
        "\u1EE70",  # ; ARABIC MATHEMATICAL STRETCHED FEH
        "\u1EE71",  # ; ARABIC MATHEMATICAL STRETCHED SAD
        "\u1EE72",  # ; ARABIC MATHEMATICAL STRETCHED QAF
        "\u1EE74",  # ; ARABIC MATHEMATICAL STRETCHED SHEEN
        "\u1EE75",  # ; ARABIC MATHEMATICAL STRETCHED TEH
        "\u1EE76",  # ; ARABIC MATHEMATICAL STRETCHED THEH
        "\u1EE77",  # ; ARABIC MATHEMATICAL STRETCHED KHAH
        "\u1EE79",  # ; ARABIC MATHEMATICAL STRETCHED DAD
        "\u1EE7A",  # ; ARABIC MATHEMATICAL STRETCHED ZAH
        "\u1EE7B",  # ; ARABIC MATHEMATICAL STRETCHED GHAIN
        "\u1EE7C",  # ; ARABIC MATHEMATICAL STRETCHED DOTLESS BEH
        "\u1EE7E",  # ; ARABIC MATHEMATICAL STRETCHED DOTLESS FEH
        "\u1EE80",  # ; ARABIC MATHEMATICAL LOOPED ALEF
        "\u1EE81",  # ; ARABIC MATHEMATICAL LOOPED BEH
        "\u1EE82",  # ; ARABIC MATHEMATICAL LOOPED JEEM
        "\u1EE83",  # ; ARABIC MATHEMATICAL LOOPED DAL
        "\u1EE84",  # ; ARABIC MATHEMATICAL LOOPED HEH
        "\u1EE85",  # ; ARABIC MATHEMATICAL LOOPED WAW
        "\u1EE86",  # ; ARABIC MATHEMATICAL LOOPED ZAIN
        "\u1EE87",  # ; ARABIC MATHEMATICAL LOOPED HAH
        "\u1EE88",  # ; ARABIC MATHEMATICAL LOOPED TAH
        "\u1EE89",  # ; ARABIC MATHEMATICAL LOOPED YEH
        "\u1EE8B",  # ; ARABIC MATHEMATICAL LOOPED LAM
        "\u1EE8C",  # ; ARABIC MATHEMATICAL LOOPED MEEM
        "\u1EE8D",  # ; ARABIC MATHEMATICAL LOOPED NOON
        "\u1EE8E",  # ; ARABIC MATHEMATICAL LOOPED SEEN
        "\u1EE8F",  # ; ARABIC MATHEMATICAL LOOPED AIN
        "\u1EE90",  # ; ARABIC MATHEMATICAL LOOPED FEH
        "\u1EE91",  # ; ARABIC MATHEMATICAL LOOPED SAD
        "\u1EE92",  # ; ARABIC MATHEMATICAL LOOPED QAF
        "\u1EE93",  # ; ARABIC MATHEMATICAL LOOPED REH
        "\u1EE94",  # ; ARABIC MATHEMATICAL LOOPED SHEEN
        "\u1EE95",  # ; ARABIC MATHEMATICAL LOOPED TEH
        "\u1EE96",  # ; ARABIC MATHEMATICAL LOOPED THEH
        "\u1EE97",  # ; ARABIC MATHEMATICAL LOOPED KHAH
        "\u1EE98",  # ; ARABIC MATHEMATICAL LOOPED THAL
        "\u1EE99",  # ; ARABIC MATHEMATICAL LOOPED DAD
        "\u1EE9A",  # ; ARABIC MATHEMATICAL LOOPED ZAH
        "\u1EE9B",  # ; ARABIC MATHEMATICAL LOOPED GHAIN
        "\u1EEA1",  # ; ARABIC MATHEMATICAL DOUBLE-STRUCK BEH
        "\u1EEA2",  # ; ARABIC MATHEMATICAL DOUBLE-STRUCK JEEM
        "\u1EEA3",  # ; ARABIC MATHEMATICAL DOUBLE-STRUCK DAL
        "\u1EEA5",  # ; ARABIC MATHEMATICAL DOUBLE-STRUCK WAW
        "\u1EEA6",  # ; ARABIC MATHEMATICAL DOUBLE-STRUCK ZAIN
        "\u1EEA7",  # ; ARABIC MATHEMATICAL DOUBLE-STRUCK HAH
        "\u1EEA8",  # ; ARABIC MATHEMATICAL DOUBLE-STRUCK TAH
        "\u1EEA9",  # ; ARABIC MATHEMATICAL DOUBLE-STRUCK YEH
        "\u1EEAB",  # ; ARABIC MATHEMATICAL DOUBLE-STRUCK LAM
        "\u1EEAC",  # ; ARABIC MATHEMATICAL DOUBLE-STRUCK MEEM
        "\u1EEAD",  # ; ARABIC MATHEMATICAL DOUBLE-STRUCK NOON
        "\u1EEAE",  # ; ARABIC MATHEMATICAL DOUBLE-STRUCK SEEN
        "\u1EEAF",  # ; ARABIC MATHEMATICAL DOUBLE-STRUCK AIN
        "\u1EEB0",  # ; ARABIC MATHEMATICAL DOUBLE-STRUCK FEH
        "\u1EEB1",  # ; ARABIC MATHEMATICAL DOUBLE-STRUCK SAD
        "\u1EEB2",  # ; ARABIC MATHEMATICAL DOUBLE-STRUCK QAF
        "\u1EEB3",  # ; ARABIC MATHEMATICAL DOUBLE-STRUCK REH
        "\u1EEB4",  # ; ARABIC MATHEMATICAL DOUBLE-STRUCK SHEEN
        "\u1EEB5",  # ; ARABIC MATHEMATICAL DOUBLE-STRUCK TEH
        "\u1EEB6",  # ; ARABIC MATHEMATICAL DOUBLE-STRUCK THEH
        "\u1EEB7",  # ; ARABIC MATHEMATICAL DOUBLE-STRUCK KHAH
        "\u1EEB8",  # ; ARABIC MATHEMATICAL DOUBLE-STRUCK THAL
        "\u1EEB9",  # ; ARABIC MATHEMATICAL DOUBLE-STRUCK DAD
        "\u1EEBA",  # ; ARABIC MATHEMATICAL DOUBLE-STRUCK ZAH
        "\u1EEBB",  # ; ARABIC MATHEMATICAL DOUBLE-STRUCK GHAIN
        "\u1EEF0",  # ; ARABIC MATHEMATICAL OPERATOR MEEM WITH HAH WITH TATWEEL
        "\u1EEF1",  # ; ARABIC MATHEMATICAL OPERATOR HAH WITH DAL
        "\u1F000",  # ; MAHJONG TILE EAST WIND
        "\u1F001",  # ; MAHJONG TILE SOUTH WIND
        "\u1F002",  # ; MAHJONG TILE WEST WIND
        "\u1F003",  # ; MAHJONG TILE NORTH WIND
        "\u1F004",  # ; MAHJONG TILE RED DRAGON
        "\u1F005",  # ; MAHJONG TILE GREEN DRAGON
        "\u1F006",  # ; MAHJONG TILE WHITE DRAGON
        "\u1F007",  # ; MAHJONG TILE ONE OF CHARACTERS
        "\u1F008",  # ; MAHJONG TILE TWO OF CHARACTERS
        "\u1F009",  # ; MAHJONG TILE THREE OF CHARACTERS
        "\u1F00A",  # ; MAHJONG TILE FOUR OF CHARACTERS
        "\u1F00B",  # ; MAHJONG TILE FIVE OF CHARACTERS
        "\u1F00C",  # ; MAHJONG TILE SIX OF CHARACTERS
        "\u1F00D",  # ; MAHJONG TILE SEVEN OF CHARACTERS
        "\u1F00E",  # ; MAHJONG TILE EIGHT OF CHARACTERS
        "\u1F00F",  # ; MAHJONG TILE NINE OF CHARACTERS
        "\u1F010",  # ; MAHJONG TILE ONE OF BAMBOOS
        "\u1F011",  # ; MAHJONG TILE TWO OF BAMBOOS
        "\u1F012",  # ; MAHJONG TILE THREE OF BAMBOOS
        "\u1F013",  # ; MAHJONG TILE FOUR OF BAMBOOS
        "\u1F014",  # ; MAHJONG TILE FIVE OF BAMBOOS
        "\u1F015",  # ; MAHJONG TILE SIX OF BAMBOOS
        "\u1F016",  # ; MAHJONG TILE SEVEN OF BAMBOOS
        "\u1F017",  # ; MAHJONG TILE EIGHT OF BAMBOOS
        "\u1F018",  # ; MAHJONG TILE NINE OF BAMBOOS
        "\u1F019",  # ; MAHJONG TILE ONE OF CIRCLES
        "\u1F01A",  # ; MAHJONG TILE TWO OF CIRCLES
        "\u1F01B",  # ; MAHJONG TILE THREE OF CIRCLES
        "\u1F01C",  # ; MAHJONG TILE FOUR OF CIRCLES
        "\u1F01D",  # ; MAHJONG TILE FIVE OF CIRCLES
        "\u1F01E",  # ; MAHJONG TILE SIX OF CIRCLES
        "\u1F01F",  # ; MAHJONG TILE SEVEN OF CIRCLES
        "\u1F020",  # ; MAHJONG TILE EIGHT OF CIRCLES
        "\u1F021",  # ; MAHJONG TILE NINE OF CIRCLES
        "\u1F022",  # ; MAHJONG TILE PLUM
        "\u1F023",  # ; MAHJONG TILE ORCHID
        "\u1F024",  # ; MAHJONG TILE BAMBOO
        "\u1F025",  # ; MAHJONG TILE CHRYSANTHEMUM
        "\u1F026",  # ; MAHJONG TILE SPRING
        "\u1F027",  # ; MAHJONG TILE SUMMER
        "\u1F028",  # ; MAHJONG TILE AUTUMN
        "\u1F029",  # ; MAHJONG TILE WINTER
        "\u1F02A",  # ; MAHJONG TILE JOKER
        "\u1F02B",  # ; MAHJONG TILE BACK
        "\u1F030",  # ; DOMINO TILE HORIZONTAL BACK
        "\u1F031",  # ; DOMINO TILE HORIZONTAL-00-00
        "\u1F032",  # ; DOMINO TILE HORIZONTAL-00-01
        "\u1F033",  # ; DOMINO TILE HORIZONTAL-00-02
        "\u1F034",  # ; DOMINO TILE HORIZONTAL-00-03
        "\u1F035",  # ; DOMINO TILE HORIZONTAL-00-04
        "\u1F036",  # ; DOMINO TILE HORIZONTAL-00-05
        "\u1F037",  # ; DOMINO TILE HORIZONTAL-00-06
        "\u1F038",  # ; DOMINO TILE HORIZONTAL-01-00
        "\u1F039",  # ; DOMINO TILE HORIZONTAL-01-01
        "\u1F03A",  # ; DOMINO TILE HORIZONTAL-01-02
        "\u1F03B",  # ; DOMINO TILE HORIZONTAL-01-03
        "\u1F03C",  # ; DOMINO TILE HORIZONTAL-01-04
        "\u1F03D",  # ; DOMINO TILE HORIZONTAL-01-05
        "\u1F03E",  # ; DOMINO TILE HORIZONTAL-01-06
        "\u1F03F",  # ; DOMINO TILE HORIZONTAL-02-00
        "\u1F040",  # ; DOMINO TILE HORIZONTAL-02-01
        "\u1F041",  # ; DOMINO TILE HORIZONTAL-02-02
        "\u1F042",  # ; DOMINO TILE HORIZONTAL-02-03
        "\u1F043",  # ; DOMINO TILE HORIZONTAL-02-04
        "\u1F044",  # ; DOMINO TILE HORIZONTAL-02-05
        "\u1F045",  # ; DOMINO TILE HORIZONTAL-02-06
        "\u1F046",  # ; DOMINO TILE HORIZONTAL-03-00
        "\u1F047",  # ; DOMINO TILE HORIZONTAL-03-01
        "\u1F048",  # ; DOMINO TILE HORIZONTAL-03-02
        "\u1F049",  # ; DOMINO TILE HORIZONTAL-03-03
        "\u1F04A",  # ; DOMINO TILE HORIZONTAL-03-04
        "\u1F04B",  # ; DOMINO TILE HORIZONTAL-03-05
        "\u1F04C",  # ; DOMINO TILE HORIZONTAL-03-06
        "\u1F04D",  # ; DOMINO TILE HORIZONTAL-04-00
        "\u1F04E",  # ; DOMINO TILE HORIZONTAL-04-01
        "\u1F04F",  # ; DOMINO TILE HORIZONTAL-04-02
        "\u1F050",  # ; DOMINO TILE HORIZONTAL-04-03
        "\u1F051",  # ; DOMINO TILE HORIZONTAL-04-04
        "\u1F052",  # ; DOMINO TILE HORIZONTAL-04-05
        "\u1F053",  # ; DOMINO TILE HORIZONTAL-04-06
        "\u1F054",  # ; DOMINO TILE HORIZONTAL-05-00
        "\u1F055",  # ; DOMINO TILE HORIZONTAL-05-01
        "\u1F056",  # ; DOMINO TILE HORIZONTAL-05-02
        "\u1F057",  # ; DOMINO TILE HORIZONTAL-05-03
        "\u1F058",  # ; DOMINO TILE HORIZONTAL-05-04
        "\u1F059",  # ; DOMINO TILE HORIZONTAL-05-05
        "\u1F05A",  # ; DOMINO TILE HORIZONTAL-05-06
        "\u1F05B",  # ; DOMINO TILE HORIZONTAL-06-00
        "\u1F05C",  # ; DOMINO TILE HORIZONTAL-06-01
        "\u1F05D",  # ; DOMINO TILE HORIZONTAL-06-02
        "\u1F05E",  # ; DOMINO TILE HORIZONTAL-06-03
        "\u1F05F",  # ; DOMINO TILE HORIZONTAL-06-04
        "\u1F060",  # ; DOMINO TILE HORIZONTAL-06-05
        "\u1F061",  # ; DOMINO TILE HORIZONTAL-06-06
        "\u1F062",  # ; DOMINO TILE VERTICAL BACK
        "\u1F063",  # ; DOMINO TILE VERTICAL-00-00
        "\u1F064",  # ; DOMINO TILE VERTICAL-00-01
        "\u1F065",  # ; DOMINO TILE VERTICAL-00-02
        "\u1F066",  # ; DOMINO TILE VERTICAL-00-03
        "\u1F067",  # ; DOMINO TILE VERTICAL-00-04
        "\u1F068",  # ; DOMINO TILE VERTICAL-00-05
        "\u1F069",  # ; DOMINO TILE VERTICAL-00-06
        "\u1F06A",  # ; DOMINO TILE VERTICAL-01-00
        "\u1F06B",  # ; DOMINO TILE VERTICAL-01-01
        "\u1F06C",  # ; DOMINO TILE VERTICAL-01-02
        "\u1F06D",  # ; DOMINO TILE VERTICAL-01-03
        "\u1F06E",  # ; DOMINO TILE VERTICAL-01-04
        "\u1F06F",  # ; DOMINO TILE VERTICAL-01-05
        "\u1F070",  # ; DOMINO TILE VERTICAL-01-06
        "\u1F071",  # ; DOMINO TILE VERTICAL-02-00
        "\u1F072",  # ; DOMINO TILE VERTICAL-02-01
        "\u1F073",  # ; DOMINO TILE VERTICAL-02-02
        "\u1F074",  # ; DOMINO TILE VERTICAL-02-03
        "\u1F075",  # ; DOMINO TILE VERTICAL-02-04
        "\u1F076",  # ; DOMINO TILE VERTICAL-02-05
        "\u1F077",  # ; DOMINO TILE VERTICAL-02-06
        "\u1F078",  # ; DOMINO TILE VERTICAL-03-00
        "\u1F079",  # ; DOMINO TILE VERTICAL-03-01
        "\u1F07A",  # ; DOMINO TILE VERTICAL-03-02
        "\u1F07B",  # ; DOMINO TILE VERTICAL-03-03
        "\u1F07C",  # ; DOMINO TILE VERTICAL-03-04
        "\u1F07D",  # ; DOMINO TILE VERTICAL-03-05
        "\u1F07E",  # ; DOMINO TILE VERTICAL-03-06
        "\u1F07F",  # ; DOMINO TILE VERTICAL-04-00
        "\u1F080",  # ; DOMINO TILE VERTICAL-04-01
        "\u1F081",  # ; DOMINO TILE VERTICAL-04-02
        "\u1F082",  # ; DOMINO TILE VERTICAL-04-03
        "\u1F083",  # ; DOMINO TILE VERTICAL-04-04
        "\u1F084",  # ; DOMINO TILE VERTICAL-04-05
        "\u1F085",  # ; DOMINO TILE VERTICAL-04-06
        "\u1F086",  # ; DOMINO TILE VERTICAL-05-00
        "\u1F087",  # ; DOMINO TILE VERTICAL-05-01
        "\u1F088",  # ; DOMINO TILE VERTICAL-05-02
        "\u1F089",  # ; DOMINO TILE VERTICAL-05-03
        "\u1F08A",  # ; DOMINO TILE VERTICAL-05-04
        "\u1F08B",  # ; DOMINO TILE VERTICAL-05-05
        "\u1F08C",  # ; DOMINO TILE VERTICAL-05-06
        "\u1F08D",  # ; DOMINO TILE VERTICAL-06-00
        "\u1F08E",  # ; DOMINO TILE VERTICAL-06-01
        "\u1F08F",  # ; DOMINO TILE VERTICAL-06-02
        "\u1F090",  # ; DOMINO TILE VERTICAL-06-03
        "\u1F091",  # ; DOMINO TILE VERTICAL-06-04
        "\u1F092",  # ; DOMINO TILE VERTICAL-06-05
        "\u1F093",  # ; DOMINO TILE VERTICAL-06-06
        "\u1F0A0",  # ; PLAYING CARD BACK
        "\u1F0A1",  # ; PLAYING CARD ACE OF SPADES
        "\u1F0A2",  # ; PLAYING CARD TWO OF SPADES
        "\u1F0A3",  # ; PLAYING CARD THREE OF SPADES
        "\u1F0A4",  # ; PLAYING CARD FOUR OF SPADES
        "\u1F0A5",  # ; PLAYING CARD FIVE OF SPADES
        "\u1F0A6",  # ; PLAYING CARD SIX OF SPADES
        "\u1F0A7",  # ; PLAYING CARD SEVEN OF SPADES
        "\u1F0A8",  # ; PLAYING CARD EIGHT OF SPADES
        "\u1F0A9",  # ; PLAYING CARD NINE OF SPADES
        "\u1F0AA",  # ; PLAYING CARD TEN OF SPADES
        "\u1F0AB",  # ; PLAYING CARD JACK OF SPADES
        "\u1F0AC",  # ; PLAYING CARD KNIGHT OF SPADES
        "\u1F0AD",  # ; PLAYING CARD QUEEN OF SPADES
        "\u1F0AE",  # ; PLAYING CARD KING OF SPADES
        "\u1F0B1",  # ; PLAYING CARD ACE OF HEARTS
        "\u1F0B2",  # ; PLAYING CARD TWO OF HEARTS
        "\u1F0B3",  # ; PLAYING CARD THREE OF HEARTS
        "\u1F0B4",  # ; PLAYING CARD FOUR OF HEARTS
        "\u1F0B5",  # ; PLAYING CARD FIVE OF HEARTS
        "\u1F0B6",  # ; PLAYING CARD SIX OF HEARTS
        "\u1F0B7",  # ; PLAYING CARD SEVEN OF HEARTS
        "\u1F0B8",  # ; PLAYING CARD EIGHT OF HEARTS
        "\u1F0B9",  # ; PLAYING CARD NINE OF HEARTS
        "\u1F0BA",  # ; PLAYING CARD TEN OF HEARTS
        "\u1F0BB",  # ; PLAYING CARD JACK OF HEARTS
        "\u1F0BC",  # ; PLAYING CARD KNIGHT OF HEARTS
        "\u1F0BD",  # ; PLAYING CARD QUEEN OF HEARTS
        "\u1F0BE",  # ; PLAYING CARD KING OF HEARTS
        "\u1F0BF",  # ; PLAYING CARD RED JOKER
        "\u1F0C1",  # ; PLAYING CARD ACE OF DIAMONDS
        "\u1F0C2",  # ; PLAYING CARD TWO OF DIAMONDS
        "\u1F0C3",  # ; PLAYING CARD THREE OF DIAMONDS
        "\u1F0C4",  # ; PLAYING CARD FOUR OF DIAMONDS
        "\u1F0C5",  # ; PLAYING CARD FIVE OF DIAMONDS
        "\u1F0C6",  # ; PLAYING CARD SIX OF DIAMONDS
        "\u1F0C7",  # ; PLAYING CARD SEVEN OF DIAMONDS
        "\u1F0C8",  # ; PLAYING CARD EIGHT OF DIAMONDS
        "\u1F0C9",  # ; PLAYING CARD NINE OF DIAMONDS
        "\u1F0CA",  # ; PLAYING CARD TEN OF DIAMONDS
        "\u1F0CB",  # ; PLAYING CARD JACK OF DIAMONDS
        "\u1F0CC",  # ; PLAYING CARD KNIGHT OF DIAMONDS
        "\u1F0CD",  # ; PLAYING CARD QUEEN OF DIAMONDS
        "\u1F0CE",  # ; PLAYING CARD KING OF DIAMONDS
        "\u1F0CF",  # ; PLAYING CARD BLACK JOKER
        "\u1F0D1",  # ; PLAYING CARD ACE OF CLUBS
        "\u1F0D2",  # ; PLAYING CARD TWO OF CLUBS
        "\u1F0D3",  # ; PLAYING CARD THREE OF CLUBS
        "\u1F0D4",  # ; PLAYING CARD FOUR OF CLUBS
        "\u1F0D5",  # ; PLAYING CARD FIVE OF CLUBS
        "\u1F0D6",  # ; PLAYING CARD SIX OF CLUBS
        "\u1F0D7",  # ; PLAYING CARD SEVEN OF CLUBS
        "\u1F0D8",  # ; PLAYING CARD EIGHT OF CLUBS
        "\u1F0D9",  # ; PLAYING CARD NINE OF CLUBS
        "\u1F0DA",  # ; PLAYING CARD TEN OF CLUBS
        "\u1F0DB",  # ; PLAYING CARD JACK OF CLUBS
        "\u1F0DC",  # ; PLAYING CARD KNIGHT OF CLUBS
        "\u1F0DD",  # ; PLAYING CARD QUEEN OF CLUBS
        "\u1F0DE",  # ; PLAYING CARD KING OF CLUBS
        "\u1F0DF",  # ; PLAYING CARD WHITE JOKER
        "\u1F0E0",  # ; PLAYING CARD FOOL
        "\u1F0E1",  # ; PLAYING CARD TRUMP-1
        "\u1F0E2",  # ; PLAYING CARD TRUMP-2
        "\u1F0E3",  # ; PLAYING CARD TRUMP-3
        "\u1F0E4",  # ; PLAYING CARD TRUMP-4
        "\u1F0E5",  # ; PLAYING CARD TRUMP-5
        "\u1F0E6",  # ; PLAYING CARD TRUMP-6
        "\u1F0E7",  # ; PLAYING CARD TRUMP-7
        "\u1F0E8",  # ; PLAYING CARD TRUMP-8
        "\u1F0E9",  # ; PLAYING CARD TRUMP-9
        "\u1F0EA",  # ; PLAYING CARD TRUMP-10
        "\u1F0EB",  # ; PLAYING CARD TRUMP-11
        "\u1F0EC",  # ; PLAYING CARD TRUMP-12
        "\u1F0ED",  # ; PLAYING CARD TRUMP-13
        "\u1F0EE",  # ; PLAYING CARD TRUMP-14
        "\u1F0EF",  # ; PLAYING CARD TRUMP-15
        "\u1F0F0",  # ; PLAYING CARD TRUMP-16
        "\u1F0F1",  # ; PLAYING CARD TRUMP-17
        "\u1F0F2",  # ; PLAYING CARD TRUMP-18
        "\u1F0F3",  # ; PLAYING CARD TRUMP-19
        "\u1F0F4",  # ; PLAYING CARD TRUMP-20
        "\u1F0F5",  # ; PLAYING CARD TRUMP-21
        "\u1F100",  # ; DIGIT ZERO FULL STOP
        "\u1F101",  # ; DIGIT ZERO COMMA
        "\u1F102",  # ; DIGIT ONE COMMA
        "\u1F103",  # ; DIGIT TWO COMMA
        "\u1F104",  # ; DIGIT THREE COMMA
        "\u1F105",  # ; DIGIT FOUR COMMA
        "\u1F106",  # ; DIGIT FIVE COMMA
        "\u1F107",  # ; DIGIT SIX COMMA
        "\u1F108",  # ; DIGIT SEVEN COMMA
        "\u1F109",  # ; DIGIT EIGHT COMMA
        "\u1F10A",  # ; DIGIT NINE COMMA
        "\u1F10B",  # ; DINGBAT CIRCLED SANS-SERIF DIGIT ZERO
        "\u1F10C",  # ; DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT ZERO
        "\u1F110",  # ; PARENTHESIZED LATIN CAPITAL LETTER A
        "\u1F111",  # ; PARENTHESIZED LATIN CAPITAL LETTER B
        "\u1F112",  # ; PARENTHESIZED LATIN CAPITAL LETTER C
        "\u1F113",  # ; PARENTHESIZED LATIN CAPITAL LETTER D
        "\u1F114",  # ; PARENTHESIZED LATIN CAPITAL LETTER E
        "\u1F115",  # ; PARENTHESIZED LATIN CAPITAL LETTER F
        "\u1F116",  # ; PARENTHESIZED LATIN CAPITAL LETTER G
        "\u1F117",  # ; PARENTHESIZED LATIN CAPITAL LETTER H
        "\u1F118",  # ; PARENTHESIZED LATIN CAPITAL LETTER I
        "\u1F119",  # ; PARENTHESIZED LATIN CAPITAL LETTER J
        "\u1F11A",  # ; PARENTHESIZED LATIN CAPITAL LETTER K
        "\u1F11B",  # ; PARENTHESIZED LATIN CAPITAL LETTER L
        "\u1F11C",  # ; PARENTHESIZED LATIN CAPITAL LETTER M
        "\u1F11D",  # ; PARENTHESIZED LATIN CAPITAL LETTER N
        "\u1F11E",  # ; PARENTHESIZED LATIN CAPITAL LETTER O
        "\u1F11F",  # ; PARENTHESIZED LATIN CAPITAL LETTER P
        "\u1F120",  # ; PARENTHESIZED LATIN CAPITAL LETTER Q
        "\u1F121",  # ; PARENTHESIZED LATIN CAPITAL LETTER R
        "\u1F122",  # ; PARENTHESIZED LATIN CAPITAL LETTER S
        "\u1F123",  # ; PARENTHESIZED LATIN CAPITAL LETTER T
        "\u1F124",  # ; PARENTHESIZED LATIN CAPITAL LETTER U
        "\u1F125",  # ; PARENTHESIZED LATIN CAPITAL LETTER V
        "\u1F126",  # ; PARENTHESIZED LATIN CAPITAL LETTER W
        "\u1F127",  # ; PARENTHESIZED LATIN CAPITAL LETTER X
        "\u1F128",  # ; PARENTHESIZED LATIN CAPITAL LETTER Y
        "\u1F129",  # ; PARENTHESIZED LATIN CAPITAL LETTER Z
        "\u1F12A",  # ; TORTOISE SHELL BRACKETED LATIN CAPITAL LETTER S
        "\u1F12B",  # ; CIRCLED ITALIC LATIN CAPITAL LETTER C
        "\u1F12C",  # ; CIRCLED ITALIC LATIN CAPITAL LETTER R
        "\u1F12D",  # ; CIRCLED CD
        "\u1F12E",  # ; CIRCLED WZ
        "\u1F130",  # ; SQUARED LATIN CAPITAL LETTER A
        "\u1F131",  # ; SQUARED LATIN CAPITAL LETTER B
        "\u1F132",  # ; SQUARED LATIN CAPITAL LETTER C
        "\u1F133",  # ; SQUARED LATIN CAPITAL LETTER D
        "\u1F134",  # ; SQUARED LATIN CAPITAL LETTER E
        "\u1F135",  # ; SQUARED LATIN CAPITAL LETTER F
        "\u1F136",  # ; SQUARED LATIN CAPITAL LETTER G
        "\u1F137",  # ; SQUARED LATIN CAPITAL LETTER H
        "\u1F138",  # ; SQUARED LATIN CAPITAL LETTER I
        "\u1F139",  # ; SQUARED LATIN CAPITAL LETTER J
        "\u1F13A",  # ; SQUARED LATIN CAPITAL LETTER K
        "\u1F13B",  # ; SQUARED LATIN CAPITAL LETTER L
        "\u1F13C",  # ; SQUARED LATIN CAPITAL LETTER M
        "\u1F13D",  # ; SQUARED LATIN CAPITAL LETTER N
        "\u1F13E",  # ; SQUARED LATIN CAPITAL LETTER O
        "\u1F13F",  # ; SQUARED LATIN CAPITAL LETTER P
        "\u1F140",  # ; SQUARED LATIN CAPITAL LETTER Q
        "\u1F141",  # ; SQUARED LATIN CAPITAL LETTER R
        "\u1F142",  # ; SQUARED LATIN CAPITAL LETTER S
        "\u1F143",  # ; SQUARED LATIN CAPITAL LETTER T
        "\u1F144",  # ; SQUARED LATIN CAPITAL LETTER U
        "\u1F145",  # ; SQUARED LATIN CAPITAL LETTER V
        "\u1F146",  # ; SQUARED LATIN CAPITAL LETTER W
        "\u1F147",  # ; SQUARED LATIN CAPITAL LETTER X
        "\u1F148",  # ; SQUARED LATIN CAPITAL LETTER Y
        "\u1F149",  # ; SQUARED LATIN CAPITAL LETTER Z
        "\u1F14A",  # ; SQUARED HV
        "\u1F14B",  # ; SQUARED MV
        "\u1F14C",  # ; SQUARED SD
        "\u1F14D",  # ; SQUARED SS
        "\u1F14E",  # ; SQUARED PPV
        "\u1F14F",  # ; SQUARED WC
        "\u1F150",  # ; NEGATIVE CIRCLED LATIN CAPITAL LETTER A
        "\u1F151",  # ; NEGATIVE CIRCLED LATIN CAPITAL LETTER B
        "\u1F152",  # ; NEGATIVE CIRCLED LATIN CAPITAL LETTER C
        "\u1F153",  # ; NEGATIVE CIRCLED LATIN CAPITAL LETTER D
        "\u1F154",  # ; NEGATIVE CIRCLED LATIN CAPITAL LETTER E
        "\u1F155",  # ; NEGATIVE CIRCLED LATIN CAPITAL LETTER F
        "\u1F156",  # ; NEGATIVE CIRCLED LATIN CAPITAL LETTER G
        "\u1F157",  # ; NEGATIVE CIRCLED LATIN CAPITAL LETTER H
        "\u1F158",  # ; NEGATIVE CIRCLED LATIN CAPITAL LETTER I
        "\u1F159",  # ; NEGATIVE CIRCLED LATIN CAPITAL LETTER J
        "\u1F15A",  # ; NEGATIVE CIRCLED LATIN CAPITAL LETTER K
        "\u1F15B",  # ; NEGATIVE CIRCLED LATIN CAPITAL LETTER L
        "\u1F15C",  # ; NEGATIVE CIRCLED LATIN CAPITAL LETTER M
        "\u1F15D",  # ; NEGATIVE CIRCLED LATIN CAPITAL LETTER N
        "\u1F15E",  # ; NEGATIVE CIRCLED LATIN CAPITAL LETTER O
        "\u1F15F",  # ; NEGATIVE CIRCLED LATIN CAPITAL LETTER P
        "\u1F160",  # ; NEGATIVE CIRCLED LATIN CAPITAL LETTER Q
        "\u1F161",  # ; NEGATIVE CIRCLED LATIN CAPITAL LETTER R
        "\u1F162",  # ; NEGATIVE CIRCLED LATIN CAPITAL LETTER S
        "\u1F163",  # ; NEGATIVE CIRCLED LATIN CAPITAL LETTER T
        "\u1F164",  # ; NEGATIVE CIRCLED LATIN CAPITAL LETTER U
        "\u1F165",  # ; NEGATIVE CIRCLED LATIN CAPITAL LETTER V
        "\u1F166",  # ; NEGATIVE CIRCLED LATIN CAPITAL LETTER W
        "\u1F167",  # ; NEGATIVE CIRCLED LATIN CAPITAL LETTER X
        "\u1F168",  # ; NEGATIVE CIRCLED LATIN CAPITAL LETTER Y
        "\u1F169",  # ; NEGATIVE CIRCLED LATIN CAPITAL LETTER Z
        "\u1F16A",  # ; RAISED MC SIGN
        "\u1F16B",  # ; RAISED MD SIGN
        "\u1F170",  # ; NEGATIVE SQUARED LATIN CAPITAL LETTER A
        "\u1F171",  # ; NEGATIVE SQUARED LATIN CAPITAL LETTER B
        "\u1F172",  # ; NEGATIVE SQUARED LATIN CAPITAL LETTER C
        "\u1F173",  # ; NEGATIVE SQUARED LATIN CAPITAL LETTER D
        "\u1F174",  # ; NEGATIVE SQUARED LATIN CAPITAL LETTER E
        "\u1F175",  # ; NEGATIVE SQUARED LATIN CAPITAL LETTER F
        "\u1F176",  # ; NEGATIVE SQUARED LATIN CAPITAL LETTER G
        "\u1F177",  # ; NEGATIVE SQUARED LATIN CAPITAL LETTER H
        "\u1F178",  # ; NEGATIVE SQUARED LATIN CAPITAL LETTER I
        "\u1F179",  # ; NEGATIVE SQUARED LATIN CAPITAL LETTER J
        "\u1F17A",  # ; NEGATIVE SQUARED LATIN CAPITAL LETTER K
        "\u1F17B",  # ; NEGATIVE SQUARED LATIN CAPITAL LETTER L
        "\u1F17C",  # ; NEGATIVE SQUARED LATIN CAPITAL LETTER M
        "\u1F17D",  # ; NEGATIVE SQUARED LATIN CAPITAL LETTER N
        "\u1F17E",  # ; NEGATIVE SQUARED LATIN CAPITAL LETTER O
        "\u1F17F",  # ; NEGATIVE SQUARED LATIN CAPITAL LETTER P
        "\u1F180",  # ; NEGATIVE SQUARED LATIN CAPITAL LETTER Q
        "\u1F181",  # ; NEGATIVE SQUARED LATIN CAPITAL LETTER R
        "\u1F182",  # ; NEGATIVE SQUARED LATIN CAPITAL LETTER S
        "\u1F183",  # ; NEGATIVE SQUARED LATIN CAPITAL LETTER T
        "\u1F184",  # ; NEGATIVE SQUARED LATIN CAPITAL LETTER U
        "\u1F185",  # ; NEGATIVE SQUARED LATIN CAPITAL LETTER V
        "\u1F186",  # ; NEGATIVE SQUARED LATIN CAPITAL LETTER W
        "\u1F187",  # ; NEGATIVE SQUARED LATIN CAPITAL LETTER X
        "\u1F188",  # ; NEGATIVE SQUARED LATIN CAPITAL LETTER Y
        "\u1F189",  # ; NEGATIVE SQUARED LATIN CAPITAL LETTER Z
        "\u1F18A",  # ; CROSSED NEGATIVE SQUARED LATIN CAPITAL LETTER P
        "\u1F18B",  # ; NEGATIVE SQUARED IC
        "\u1F18C",  # ; NEGATIVE SQUARED PA
        "\u1F18D",  # ; NEGATIVE SQUARED SA
        "\u1F18E",  # ; NEGATIVE SQUARED AB
        "\u1F18F",  # ; NEGATIVE SQUARED WC
        "\u1F190",  # ; SQUARE DJ
        "\u1F191",  # ; SQUARED CL
        "\u1F192",  # ; SQUARED COOL
        "\u1F193",  # ; SQUARED FREE
        "\u1F194",  # ; SQUARED ID
        "\u1F195",  # ; SQUARED NEW
        "\u1F196",  # ; SQUARED NG
        "\u1F197",  # ; SQUARED OK
        "\u1F198",  # ; SQUARED SOS
        "\u1F199",  # ; SQUARED UP WITH EXCLAMATION MARK
        "\u1F19A",  # ; SQUARED VS
        "\u1F19B",  # ; SQUARED THREE D
        "\u1F19C",  # ; SQUARED SECOND SCREEN
        "\u1F19D",  # ; SQUARED TWO K
        "\u1F19E",  # ; SQUARED FOUR K
        "\u1F19F",  # ; SQUARED EIGHT K
        "\u1F1A0",  # ; SQUARED FIVE POINT ONE
        "\u1F1A1",  # ; SQUARED SEVEN POINT ONE
        "\u1F1A2",  # ; SQUARED TWENTY-TWO POINT TWO
        "\u1F1A3",  # ; SQUARED SIXTY P
        "\u1F1A4",  # ; SQUARED ONE HUNDRED TWENTY P
        "\u1F1A5",  # ; SQUARED LATIN SMALL LETTER D
        "\u1F1A6",  # ; SQUARED HC
        "\u1F1A7",  # ; SQUARED HDR
        "\u1F1A8",  # ; SQUARED HI-RES
        "\u1F1A9",  # ; SQUARED LOSSLESS
        "\u1F1AA",  # ; SQUARED SHV
        "\u1F1AB",  # ; SQUARED UHD
        "\u1F1AC",  # ; SQUARED VOD
        "\u1F1E6",  # ; REGIONAL INDICATOR SYMBOL LETTER A
        "\u1F1E7",  # ; REGIONAL INDICATOR SYMBOL LETTER B
        "\u1F1E8",  # ; REGIONAL INDICATOR SYMBOL LETTER C
        "\u1F1E9",  # ; REGIONAL INDICATOR SYMBOL LETTER D
        "\u1F1EA",  # ; REGIONAL INDICATOR SYMBOL LETTER E
        "\u1F1EB",  # ; REGIONAL INDICATOR SYMBOL LETTER F
        "\u1F1EC",  # ; REGIONAL INDICATOR SYMBOL LETTER G
        "\u1F1ED",  # ; REGIONAL INDICATOR SYMBOL LETTER H
        "\u1F1EE",  # ; REGIONAL INDICATOR SYMBOL LETTER I
        "\u1F1EF",  # ; REGIONAL INDICATOR SYMBOL LETTER J
        "\u1F1F0",  # ; REGIONAL INDICATOR SYMBOL LETTER K
        "\u1F1F1",  # ; REGIONAL INDICATOR SYMBOL LETTER L
        "\u1F1F2",  # ; REGIONAL INDICATOR SYMBOL LETTER M
        "\u1F1F3",  # ; REGIONAL INDICATOR SYMBOL LETTER N
        "\u1F1F4",  # ; REGIONAL INDICATOR SYMBOL LETTER O
        "\u1F1F5",  # ; REGIONAL INDICATOR SYMBOL LETTER P
        "\u1F1F6",  # ; REGIONAL INDICATOR SYMBOL LETTER Q
        "\u1F1F7",  # ; REGIONAL INDICATOR SYMBOL LETTER R
        "\u1F1F8",  # ; REGIONAL INDICATOR SYMBOL LETTER S
        "\u1F1F9",  # ; REGIONAL INDICATOR SYMBOL LETTER T
        "\u1F1FA",  # ; REGIONAL INDICATOR SYMBOL LETTER U
        "\u1F1FB",  # ; REGIONAL INDICATOR SYMBOL LETTER V
        "\u1F1FC",  # ; REGIONAL INDICATOR SYMBOL LETTER W
        "\u1F1FD",  # ; REGIONAL INDICATOR SYMBOL LETTER X
        "\u1F1FE",  # ; REGIONAL INDICATOR SYMBOL LETTER Y
        "\u1F1FF",  # ; REGIONAL INDICATOR SYMBOL LETTER Z
        "\u1F200",  # ; SQUARE HIRAGANA HOKA
        "\u1F201",  # ; SQUARED KATAKANA KOKO
        "\u1F202",  # ; SQUARED KATAKANA SA
        "\u1F210",  # ; SQUARED CJK UNIFIED IDEOGRAPH-624B
        "\u1F211",  # ; SQUARED CJK UNIFIED IDEOGRAPH-5B57
        "\u1F212",  # ; SQUARED CJK UNIFIED IDEOGRAPH-53CC
        "\u1F213",  # ; SQUARED KATAKANA DE
        "\u1F214",  # ; SQUARED CJK UNIFIED IDEOGRAPH-4E8C
        "\u1F215",  # ; SQUARED CJK UNIFIED IDEOGRAPH-591A
        "\u1F216",  # ; SQUARED CJK UNIFIED IDEOGRAPH-89E3
        "\u1F217",  # ; SQUARED CJK UNIFIED IDEOGRAPH-5929
        "\u1F218",  # ; SQUARED CJK UNIFIED IDEOGRAPH-4EA4
        "\u1F219",  # ; SQUARED CJK UNIFIED IDEOGRAPH-6620
        "\u1F21A",  # ; SQUARED CJK UNIFIED IDEOGRAPH-7121
        "\u1F21B",  # ; SQUARED CJK UNIFIED IDEOGRAPH-6599
        "\u1F21C",  # ; SQUARED CJK UNIFIED IDEOGRAPH-524D
        "\u1F21D",  # ; SQUARED CJK UNIFIED IDEOGRAPH-5F8C
        "\u1F21E",  # ; SQUARED CJK UNIFIED IDEOGRAPH-518D
        "\u1F21F",  # ; SQUARED CJK UNIFIED IDEOGRAPH-65B0
        "\u1F220",  # ; SQUARED CJK UNIFIED IDEOGRAPH-521D
        "\u1F221",  # ; SQUARED CJK UNIFIED IDEOGRAPH-7D42
        "\u1F222",  # ; SQUARED CJK UNIFIED IDEOGRAPH-751F
        "\u1F223",  # ; SQUARED CJK UNIFIED IDEOGRAPH-8CA9
        "\u1F224",  # ; SQUARED CJK UNIFIED IDEOGRAPH-58F0
        "\u1F225",  # ; SQUARED CJK UNIFIED IDEOGRAPH-5439
        "\u1F226",  # ; SQUARED CJK UNIFIED IDEOGRAPH-6F14
        "\u1F227",  # ; SQUARED CJK UNIFIED IDEOGRAPH-6295
        "\u1F228",  # ; SQUARED CJK UNIFIED IDEOGRAPH-6355
        "\u1F229",  # ; SQUARED CJK UNIFIED IDEOGRAPH-4E00
        "\u1F22A",  # ; SQUARED CJK UNIFIED IDEOGRAPH-4E09
        "\u1F22B",  # ; SQUARED CJK UNIFIED IDEOGRAPH-904A
        "\u1F22C",  # ; SQUARED CJK UNIFIED IDEOGRAPH-5DE6
        "\u1F22D",  # ; SQUARED CJK UNIFIED IDEOGRAPH-4E2D
        "\u1F22E",  # ; SQUARED CJK UNIFIED IDEOGRAPH-53F3
        "\u1F22F",  # ; SQUARED CJK UNIFIED IDEOGRAPH-6307
        "\u1F230",  # ; SQUARED CJK UNIFIED IDEOGRAPH-8D70
        "\u1F231",  # ; SQUARED CJK UNIFIED IDEOGRAPH-6253
        "\u1F232",  # ; SQUARED CJK UNIFIED IDEOGRAPH-7981
        "\u1F233",  # ; SQUARED CJK UNIFIED IDEOGRAPH-7A7A
        "\u1F234",  # ; SQUARED CJK UNIFIED IDEOGRAPH-5408
        "\u1F235",  # ; SQUARED CJK UNIFIED IDEOGRAPH-6E80
        "\u1F236",  # ; SQUARED CJK UNIFIED IDEOGRAPH-6709
        "\u1F237",  # ; SQUARED CJK UNIFIED IDEOGRAPH-6708
        "\u1F238",  # ; SQUARED CJK UNIFIED IDEOGRAPH-7533
        "\u1F239",  # ; SQUARED CJK UNIFIED IDEOGRAPH-5272
        "\u1F23A",  # ; SQUARED CJK UNIFIED IDEOGRAPH-55B6
        "\u1F23B",  # ; SQUARED CJK UNIFIED IDEOGRAPH-914D
        "\u1F240",  # ; TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-672C
        "\u1F241",  # ; TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-4E09
        "\u1F242",  # ; TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-4E8C
        "\u1F243",  # ; TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-5B89
        "\u1F244",  # ; TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-70B9
        "\u1F245",  # ; TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-6253
        "\u1F246",  # ; TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-76D7
        "\u1F247",  # ; TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-52DD
        "\u1F248",  # ; TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-6557
        "\u1F250",  # ; CIRCLED IDEOGRAPH ADVANTAGE
        "\u1F251",  # ; CIRCLED IDEOGRAPH ACCEPT
        "\u1F260",  # ; ROUNDED SYMBOL FOR FU
        "\u1F261",  # ; ROUNDED SYMBOL FOR LU
        "\u1F262",  # ; ROUNDED SYMBOL FOR SHOU
        "\u1F263",  # ; ROUNDED SYMBOL FOR XI
        "\u1F264",  # ; ROUNDED SYMBOL FOR SHUANGXI
        "\u1F265",  # ; ROUNDED SYMBOL FOR CAI
        "\u1F300",  # ; CYCLONE
        "\u1F301",  # ; FOGGY
        "\u1F302",  # ; CLOSED UMBRELLA
        "\u1F303",  # ; NIGHT WITH STARS
        "\u1F304",  # ; SUNRISE OVER MOUNTAINS
        "\u1F305",  # ; SUNRISE
        "\u1F306",  # ; CITYSCAPE AT DUSK
        "\u1F307",  # ; SUNSET OVER BUILDINGS
        "\u1F308",  # ; RAINBOW
        "\u1F309",  # ; BRIDGE AT NIGHT
        "\u1F30A",  # ; WATER WAVE
        "\u1F30B",  # ; VOLCANO
        "\u1F30C",  # ; MILKY WAY
        "\u1F30D",  # ; EARTH GLOBE EUROPE-AFRICA
        "\u1F30E",  # ; EARTH GLOBE AMERICAS
        "\u1F30F",  # ; EARTH GLOBE ASIA-AUSTRALIA
        "\u1F310",  # ; GLOBE WITH MERIDIANS
        "\u1F311",  # ; NEW MOON SYMBOL
        "\u1F312",  # ; WAXING CRESCENT MOON SYMBOL
        "\u1F313",  # ; FIRST QUARTER MOON SYMBOL
        "\u1F314",  # ; WAXING GIBBOUS MOON SYMBOL
        "\u1F315",  # ; FULL MOON SYMBOL
        "\u1F316",  # ; WANING GIBBOUS MOON SYMBOL
        "\u1F317",  # ; LAST QUARTER MOON SYMBOL
        "\u1F318",  # ; WANING CRESCENT MOON SYMBOL
        "\u1F319",  # ; CRESCENT MOON
        "\u1F31A",  # ; NEW MOON WITH FACE
        "\u1F31B",  # ; FIRST QUARTER MOON WITH FACE
        "\u1F31C",  # ; LAST QUARTER MOON WITH FACE
        "\u1F31D",  # ; FULL MOON WITH FACE
        "\u1F31E",  # ; SUN WITH FACE
        "\u1F31F",  # ; GLOWING STAR
        "\u1F320",  # ; SHOOTING STAR
        "\u1F321",  # ; THERMOMETER
        "\u1F322",  # ; BLACK DROPLET
        "\u1F323",  # ; WHITE SUN
        "\u1F324",  # ; WHITE SUN WITH SMALL CLOUD
        "\u1F325",  # ; WHITE SUN BEHIND CLOUD
        "\u1F326",  # ; WHITE SUN BEHIND CLOUD WITH RAIN
        "\u1F327",  # ; CLOUD WITH RAIN
        "\u1F328",  # ; CLOUD WITH SNOW
        "\u1F329",  # ; CLOUD WITH LIGHTNING
        "\u1F32A",  # ; CLOUD WITH TORNADO
        "\u1F32B",  # ; FOG
        "\u1F32C",  # ; WIND BLOWING FACE
        "\u1F32D",  # ; HOT DOG
        "\u1F32E",  # ; TACO
        "\u1F32F",  # ; BURRITO
        "\u1F330",  # ; CHESTNUT
        "\u1F331",  # ; SEEDLING
        "\u1F332",  # ; EVERGREEN TREE
        "\u1F333",  # ; DECIDUOUS TREE
        "\u1F334",  # ; PALM TREE
        "\u1F335",  # ; CACTUS
        "\u1F336",  # ; HOT PEPPER
        "\u1F337",  # ; TULIP
        "\u1F338",  # ; CHERRY BLOSSOM
        "\u1F339",  # ; ROSE
        "\u1F33A",  # ; HIBISCUS
        "\u1F33B",  # ; SUNFLOWER
        "\u1F33C",  # ; BLOSSOM
        "\u1F33D",  # ; EAR OF MAIZE
        "\u1F33E",  # ; EAR OF RICE
        "\u1F33F",  # ; HERB
        "\u1F340",  # ; FOUR LEAF CLOVER
        "\u1F341",  # ; MAPLE LEAF
        "\u1F342",  # ; FALLEN LEAF
        "\u1F343",  # ; LEAF FLUTTERING IN WIND
        "\u1F344",  # ; MUSHROOM
        "\u1F345",  # ; TOMATO
        "\u1F346",  # ; AUBERGINE
        "\u1F347",  # ; GRAPES
        "\u1F348",  # ; MELON
        "\u1F349",  # ; WATERMELON
        "\u1F34A",  # ; TANGERINE
        "\u1F34B",  # ; LEMON
        "\u1F34C",  # ; BANANA
        "\u1F34D",  # ; PINEAPPLE
        "\u1F34E",  # ; RED APPLE
        "\u1F34F",  # ; GREEN APPLE
        "\u1F350",  # ; PEAR
        "\u1F351",  # ; PEACH
        "\u1F352",  # ; CHERRIES
        "\u1F353",  # ; STRAWBERRY
        "\u1F354",  # ; HAMBURGER
        "\u1F355",  # ; SLICE OF PIZZA
        "\u1F356",  # ; MEAT ON BONE
        "\u1F357",  # ; POULTRY LEG
        "\u1F358",  # ; RICE CRACKER
        "\u1F359",  # ; RICE BALL
        "\u1F35A",  # ; COOKED RICE
        "\u1F35B",  # ; CURRY AND RICE
        "\u1F35C",  # ; STEAMING BOWL
        "\u1F35D",  # ; SPAGHETTI
        "\u1F35E",  # ; BREAD
        "\u1F35F",  # ; FRENCH FRIES
        "\u1F360",  # ; ROASTED SWEET POTATO
        "\u1F361",  # ; DANGO
        "\u1F362",  # ; ODEN
        "\u1F363",  # ; SUSHI
        "\u1F364",  # ; FRIED SHRIMP
        "\u1F365",  # ; FISH CAKE WITH SWIRL DESIGN
        "\u1F366",  # ; SOFT ICE CREAM
        "\u1F367",  # ; SHAVED ICE
        "\u1F368",  # ; ICE CREAM
        "\u1F369",  # ; DOUGHNUT
        "\u1F36A",  # ; COOKIE
        "\u1F36B",  # ; CHOCOLATE BAR
        "\u1F36C",  # ; CANDY
        "\u1F36D",  # ; LOLLIPOP
        "\u1F36E",  # ; CUSTARD
        "\u1F36F",  # ; HONEY POT
        "\u1F370",  # ; SHORTCAKE
        "\u1F371",  # ; BENTO BOX
        "\u1F372",  # ; POT OF FOOD
        "\u1F373",  # ; COOKING
        "\u1F374",  # ; FORK AND KNIFE
        "\u1F375",  # ; TEACUP WITHOUT HANDLE
        "\u1F376",  # ; SAKE BOTTLE AND CUP
        "\u1F377",  # ; WINE GLASS
        "\u1F378",  # ; COCKTAIL GLASS
        "\u1F379",  # ; TROPICAL DRINK
        "\u1F37A",  # ; BEER MUG
        "\u1F37B",  # ; CLINKING BEER MUGS
        "\u1F37C",  # ; BABY BOTTLE
        "\u1F37D",  # ; FORK AND KNIFE WITH PLATE
        "\u1F37E",  # ; BOTTLE WITH POPPING CORK
        "\u1F37F",  # ; POPCORN
        "\u1F380",  # ; RIBBON
        "\u1F381",  # ; WRAPPED PRESENT
        "\u1F382",  # ; BIRTHDAY CAKE
        "\u1F383",  # ; JACK-O-LANTERN
        "\u1F384",  # ; CHRISTMAS TREE
        "\u1F385",  # ; FATHER CHRISTMAS
        "\u1F386",  # ; FIREWORKS
        "\u1F387",  # ; FIREWORK SPARKLER
        "\u1F388",  # ; BALLOON
        "\u1F389",  # ; PARTY POPPER
        "\u1F38A",  # ; CONFETTI BALL
        "\u1F38B",  # ; TANABATA TREE
        "\u1F38C",  # ; CROSSED FLAGS
        "\u1F38D",  # ; PINE DECORATION
        "\u1F38E",  # ; JAPANESE DOLLS
        "\u1F38F",  # ; CARP STREAMER
        "\u1F390",  # ; WIND CHIME
        "\u1F391",  # ; MOON VIEWING CEREMONY
        "\u1F392",  # ; SCHOOL SATCHEL
        "\u1F393",  # ; GRADUATION CAP
        "\u1F394",  # ; HEART WITH TIP ON THE LEFT
        "\u1F395",  # ; BOUQUET OF FLOWERS
        "\u1F396",  # ; MILITARY MEDAL
        "\u1F397",  # ; REMINDER RIBBON
        "\u1F398",  # ; MUSICAL KEYBOARD WITH JACKS
        "\u1F399",  # ; STUDIO MICROPHONE
        "\u1F39A",  # ; LEVEL SLIDER
        "\u1F39B",  # ; CONTROL KNOBS
        "\u1F39C",  # ; BEAMED ASCENDING MUSICAL NOTES
        "\u1F39D",  # ; BEAMED DESCENDING MUSICAL NOTES
        "\u1F39E",  # ; FILM FRAMES
        "\u1F39F",  # ; ADMISSION TICKETS
        "\u1F3A0",  # ; CAROUSEL HORSE
        "\u1F3A1",  # ; FERRIS WHEEL
        "\u1F3A2",  # ; ROLLER COASTER
        "\u1F3A3",  # ; FISHING POLE AND FISH
        "\u1F3A4",  # ; MICROPHONE
        "\u1F3A5",  # ; MOVIE CAMERA
        "\u1F3A6",  # ; CINEMA
        "\u1F3A7",  # ; HEADPHONE
        "\u1F3A8",  # ; ARTIST PALETTE
        "\u1F3A9",  # ; TOP HAT
        "\u1F3AA",  # ; CIRCUS TENT
        "\u1F3AB",  # ; TICKET
        "\u1F3AC",  # ; CLAPPER BOARD
        "\u1F3AD",  # ; PERFORMING ARTS
        "\u1F3AE",  # ; VIDEO GAME
        "\u1F3AF",  # ; DIRECT HIT
        "\u1F3B0",  # ; SLOT MACHINE
        "\u1F3B1",  # ; BILLIARDS
        "\u1F3B2",  # ; GAME DIE
        "\u1F3B3",  # ; BOWLING
        "\u1F3B4",  # ; FLOWER PLAYING CARDS
        "\u1F3B5",  # ; MUSICAL NOTE
        "\u1F3B6",  # ; MULTIPLE MUSICAL NOTES
        "\u1F3B7",  # ; SAXOPHONE
        "\u1F3B8",  # ; GUITAR
        "\u1F3B9",  # ; MUSICAL KEYBOARD
        "\u1F3BA",  # ; TRUMPET
        "\u1F3BB",  # ; VIOLIN
        "\u1F3BC",  # ; MUSICAL SCORE
        "\u1F3BD",  # ; RUNNING SHIRT WITH SASH
        "\u1F3BE",  # ; TENNIS RACQUET AND BALL
        "\u1F3BF",  # ; SKI AND SKI BOOT
        "\u1F3C0",  # ; BASKETBALL AND HOOP
        "\u1F3C1",  # ; CHEQUERED FLAG
        "\u1F3C2",  # ; SNOWBOARDER
        "\u1F3C3",  # ; RUNNER
        "\u1F3C4",  # ; SURFER
        "\u1F3C5",  # ; SPORTS MEDAL
        "\u1F3C6",  # ; TROPHY
        "\u1F3C7",  # ; HORSE RACING
        "\u1F3C8",  # ; AMERICAN FOOTBALL
        "\u1F3C9",  # ; RUGBY FOOTBALL
        "\u1F3CA",  # ; SWIMMER
        "\u1F3CB",  # ; WEIGHT LIFTER
        "\u1F3CC",  # ; GOLFER
        "\u1F3CD",  # ; RACING MOTORCYCLE
        "\u1F3CE",  # ; RACING CAR
        "\u1F3CF",  # ; CRICKET BAT AND BALL
        "\u1F3D0",  # ; VOLLEYBALL
        "\u1F3D1",  # ; FIELD HOCKEY STICK AND BALL
        "\u1F3D2",  # ; ICE HOCKEY STICK AND PUCK
        "\u1F3D3",  # ; TABLE TENNIS PADDLE AND BALL
        "\u1F3D4",  # ; SNOW CAPPED MOUNTAIN
        "\u1F3D5",  # ; CAMPING
        "\u1F3D6",  # ; BEACH WITH UMBRELLA
        "\u1F3D7",  # ; BUILDING CONSTRUCTION
        "\u1F3D8",  # ; HOUSE BUILDINGS
        "\u1F3D9",  # ; CITYSCAPE
        "\u1F3DA",  # ; DERELICT HOUSE BUILDING
        "\u1F3DB",  # ; CLASSICAL BUILDING
        "\u1F3DC",  # ; DESERT
        "\u1F3DD",  # ; DESERT ISLAND
        "\u1F3DE",  # ; NATIONAL PARK
        "\u1F3DF",  # ; STADIUM
        "\u1F3E0",  # ; HOUSE BUILDING
        "\u1F3E1",  # ; HOUSE WITH GARDEN
        "\u1F3E2",  # ; OFFICE BUILDING
        "\u1F3E3",  # ; JAPANESE POST OFFICE
        "\u1F3E4",  # ; EUROPEAN POST OFFICE
        "\u1F3E5",  # ; HOSPITAL
        "\u1F3E6",  # ; BANK
        "\u1F3E7",  # ; AUTOMATED TELLER MACHINE
        "\u1F3E8",  # ; HOTEL
        "\u1F3E9",  # ; LOVE HOTEL
        "\u1F3EA",  # ; CONVENIENCE STORE
        "\u1F3EB",  # ; SCHOOL
        "\u1F3EC",  # ; DEPARTMENT STORE
        "\u1F3ED",  # ; FACTORY
        "\u1F3EE",  # ; IZAKAYA LANTERN
        "\u1F3EF",  # ; JAPANESE CASTLE
        "\u1F3F0",  # ; EUROPEAN CASTLE
        "\u1F3F1",  # ; WHITE PENNANT
        "\u1F3F2",  # ; BLACK PENNANT
        "\u1F3F3",  # ; WAVING WHITE FLAG
        "\u1F3F4",  # ; WAVING BLACK FLAG
        "\u1F3F5",  # ; ROSETTE
        "\u1F3F6",  # ; BLACK ROSETTE
        "\u1F3F7",  # ; LABEL
        "\u1F3F8",  # ; BADMINTON RACQUET AND SHUTTLECOCK
        "\u1F3F9",  # ; BOW AND ARROW
        "\u1F3FA",  # ; AMPHORA
        "\u1F3FB",  # ; EMOJI MODIFIER FITZPATRICK TYPE-1-2
        "\u1F3FC",  # ; EMOJI MODIFIER FITZPATRICK TYPE-3
        "\u1F3FD",  # ; EMOJI MODIFIER FITZPATRICK TYPE-4
        "\u1F3FE",  # ; EMOJI MODIFIER FITZPATRICK TYPE-5
        "\u1F3FF",  # ; EMOJI MODIFIER FITZPATRICK TYPE-6
        "\u1F400",  # ; RAT
        "\u1F401",  # ; MOUSE
        "\u1F402",  # ; OX
        "\u1F403",  # ; WATER BUFFALO
        "\u1F404",  # ; COW
        "\u1F405",  # ; TIGER
        "\u1F406",  # ; LEOPARD
        "\u1F407",  # ; RABBIT
        "\u1F408",  # ; CAT
        "\u1F409",  # ; DRAGON
        "\u1F40A",  # ; CROCODILE
        "\u1F40B",  # ; WHALE
        "\u1F40C",  # ; SNAIL
        "\u1F40D",  # ; SNAKE
        "\u1F40E",  # ; HORSE
        "\u1F40F",  # ; RAM
        "\u1F410",  # ; GOAT
        "\u1F411",  # ; SHEEP
        "\u1F412",  # ; MONKEY
        "\u1F413",  # ; ROOSTER
        "\u1F414",  # ; CHICKEN
        "\u1F415",  # ; DOG
        "\u1F416",  # ; PIG
        "\u1F417",  # ; BOAR
        "\u1F418",  # ; ELEPHANT
        "\u1F419",  # ; OCTOPUS
        "\u1F41A",  # ; SPIRAL SHELL
        "\u1F41B",  # ; BUG
        "\u1F41C",  # ; ANT
        "\u1F41D",  # ; HONEYBEE
        "\u1F41E",  # ; LADY BEETLE
        "\u1F41F",  # ; FISH
        "\u1F420",  # ; TROPICAL FISH
        "\u1F421",  # ; BLOWFISH
        "\u1F422",  # ; TURTLE
        "\u1F423",  # ; HATCHING CHICK
        "\u1F424",  # ; BABY CHICK
        "\u1F425",  # ; FRONT-FACING BABY CHICK
        "\u1F426",  # ; BIRD
        "\u1F427",  # ; PENGUIN
        "\u1F428",  # ; KOALA
        "\u1F429",  # ; POODLE
        "\u1F42A",  # ; DROMEDARY CAMEL
        "\u1F42B",  # ; BACTRIAN CAMEL
        "\u1F42C",  # ; DOLPHIN
        "\u1F42D",  # ; MOUSE FACE
        "\u1F42E",  # ; COW FACE
        "\u1F42F",  # ; TIGER FACE
        "\u1F430",  # ; RABBIT FACE
        "\u1F431",  # ; CAT FACE
        "\u1F432",  # ; DRAGON FACE
        "\u1F433",  # ; SPOUTING WHALE
        "\u1F434",  # ; HORSE FACE
        "\u1F435",  # ; MONKEY FACE
        "\u1F436",  # ; DOG FACE
        "\u1F437",  # ; PIG FACE
        "\u1F438",  # ; FROG FACE
        "\u1F439",  # ; HAMSTER FACE
        "\u1F43A",  # ; WOLF FACE
        "\u1F43B",  # ; BEAR FACE
        "\u1F43C",  # ; PANDA FACE
        "\u1F43D",  # ; PIG NOSE
        "\u1F43E",  # ; PAW PRINTS
        "\u1F43F",  # ; CHIPMUNK
        "\u1F440",  # ; EYES
        "\u1F441",  # ; EYE
        "\u1F442",  # ; EAR
        "\u1F443",  # ; NOSE
        "\u1F444",  # ; MOUTH
        "\u1F445",  # ; TONGUE
        "\u1F446",  # ; WHITE UP POINTING BACKHAND INDEX
        "\u1F447",  # ; WHITE DOWN POINTING BACKHAND INDEX
        "\u1F448",  # ; WHITE LEFT POINTING BACKHAND INDEX
        "\u1F449",  # ; WHITE RIGHT POINTING BACKHAND INDEX
        "\u1F44A",  # ; FISTED HAND SIGN
        "\u1F44B",  # ; WAVING HAND SIGN
        "\u1F44C",  # ; OK HAND SIGN
        "\u1F44D",  # ; THUMBS UP SIGN
        "\u1F44E",  # ; THUMBS DOWN SIGN
        "\u1F44F",  # ; CLAPPING HANDS SIGN
        "\u1F450",  # ; OPEN HANDS SIGN
        "\u1F451",  # ; CROWN
        "\u1F452",  # ; WOMANS HAT
        "\u1F453",  # ; EYEGLASSES
        "\u1F454",  # ; NECKTIE
        "\u1F455",  # ; T-SHIRT
        "\u1F456",  # ; JEANS
        "\u1F457",  # ; DRESS
        "\u1F458",  # ; KIMONO
        "\u1F459",  # ; BIKINI
        "\u1F45A",  # ; WOMANS CLOTHES
        "\u1F45B",  # ; PURSE
        "\u1F45C",  # ; HANDBAG
        "\u1F45D",  # ; POUCH
        "\u1F45E",  # ; MANS SHOE
        "\u1F45F",  # ; ATHLETIC SHOE
        "\u1F460",  # ; HIGH-HEELED SHOE
        "\u1F461",  # ; WOMANS SANDAL
        "\u1F462",  # ; WOMANS BOOTS
        "\u1F463",  # ; FOOTPRINTS
        "\u1F464",  # ; BUST IN SILHOUETTE
        "\u1F465",  # ; BUSTS IN SILHOUETTE
        "\u1F466",  # ; BOY
        "\u1F467",  # ; GIRL
        "\u1F468",  # ; MAN
        "\u1F469",  # ; WOMAN
        "\u1F46A",  # ; FAMILY
        "\u1F46B",  # ; MAN AND WOMAN HOLDING HANDS
        "\u1F46C",  # ; TWO MEN HOLDING HANDS
        "\u1F46D",  # ; TWO WOMEN HOLDING HANDS
        "\u1F46E",  # ; POLICE OFFICER
        "\u1F46F",  # ; WOMAN WITH BUNNY EARS
        "\u1F470",  # ; BRIDE WITH VEIL
        "\u1F471",  # ; PERSON WITH BLOND HAIR
        "\u1F472",  # ; MAN WITH GUA PI MAO
        "\u1F473",  # ; MAN WITH TURBAN
        "\u1F474",  # ; OLDER MAN
        "\u1F475",  # ; OLDER WOMAN
        "\u1F476",  # ; BABY
        "\u1F477",  # ; CONSTRUCTION WORKER
        "\u1F478",  # ; PRINCESS
        "\u1F479",  # ; JAPANESE OGRE
        "\u1F47A",  # ; JAPANESE GOBLIN
        "\u1F47B",  # ; GHOST
        "\u1F47C",  # ; BABY ANGEL
        "\u1F47D",  # ; EXTRATERRESTRIAL ALIEN
        "\u1F47E",  # ; ALIEN MONSTER
        "\u1F47F",  # ; IMP
        "\u1F480",  # ; SKULL
        "\u1F481",  # ; INFORMATION DESK PERSON
        "\u1F482",  # ; GUARDSMAN
        "\u1F483",  # ; DANCER
        "\u1F484",  # ; LIPSTICK
        "\u1F485",  # ; NAIL POLISH
        "\u1F486",  # ; FACE MASSAGE
        "\u1F487",  # ; HAIRCUT
        "\u1F488",  # ; BARBER POLE
        "\u1F489",  # ; SYRINGE
        "\u1F48A",  # ; PILL
        "\u1F48B",  # ; KISS MARK
        "\u1F48C",  # ; LOVE LETTER
        "\u1F48D",  # ; RING
        "\u1F48E",  # ; GEM STONE
        "\u1F48F",  # ; KISS
        "\u1F490",  # ; BOUQUET
        "\u1F491",  # ; COUPLE WITH HEART
        "\u1F492",  # ; WEDDING
        "\u1F493",  # ; BEATING HEART
        "\u1F494",  # ; BROKEN HEART
        "\u1F495",  # ; TWO HEARTS
        "\u1F496",  # ; SPARKLING HEART
        "\u1F497",  # ; GROWING HEART
        "\u1F498",  # ; HEART WITH ARROW
        "\u1F499",  # ; BLUE HEART
        "\u1F49A",  # ; GREEN HEART
        "\u1F49B",  # ; YELLOW HEART
        "\u1F49C",  # ; PURPLE HEART
        "\u1F49D",  # ; HEART WITH RIBBON
        "\u1F49E",  # ; REVOLVING HEARTS
        "\u1F49F",  # ; HEART DECORATION
        "\u1F4A0",  # ; DIAMOND SHAPE WITH A DOT INSIDE
        "\u1F4A1",  # ; ELECTRIC LIGHT BULB
        "\u1F4A2",  # ; ANGER SYMBOL
        "\u1F4A3",  # ; BOMB
        "\u1F4A4",  # ; SLEEPING SYMBOL
        "\u1F4A5",  # ; COLLISION SYMBOL
        "\u1F4A6",  # ; SPLASHING SWEAT SYMBOL
        "\u1F4A7",  # ; DROPLET
        "\u1F4A8",  # ; DASH SYMBOL
        "\u1F4A9",  # ; PILE OF POO
        "\u1F4AA",  # ; FLEXED BICEPS
        "\u1F4AB",  # ; DIZZY SYMBOL
        "\u1F4AC",  # ; SPEECH BALLOON
        "\u1F4AD",  # ; THOUGHT BALLOON
        "\u1F4AE",  # ; WHITE FLOWER
        "\u1F4AF",  # ; HUNDRED POINTS SYMBOL
        "\u1F4B0",  # ; MONEY BAG
        "\u1F4B1",  # ; CURRENCY EXCHANGE
        "\u1F4B2",  # ; HEAVY DOLLAR SIGN
        "\u1F4B3",  # ; CREDIT CARD
        "\u1F4B4",  # ; BANKNOTE WITH YEN SIGN
        "\u1F4B5",  # ; BANKNOTE WITH DOLLAR SIGN
        "\u1F4B6",  # ; BANKNOTE WITH EURO SIGN
        "\u1F4B7",  # ; BANKNOTE WITH POUND SIGN
        "\u1F4B8",  # ; MONEY WITH WINGS
        "\u1F4B9",  # ; CHART WITH UPWARDS TREND AND YEN SIGN
        "\u1F4BA",  # ; SEAT
        "\u1F4BB",  # ; PERSONAL COMPUTER
        "\u1F4BC",  # ; BRIEFCASE
        "\u1F4BD",  # ; MINIDISC
        "\u1F4BE",  # ; FLOPPY DISK
        "\u1F4BF",  # ; OPTICAL DISC
        "\u1F4C0",  # ; DVD
        "\u1F4C1",  # ; FILE FOLDER
        "\u1F4C2",  # ; OPEN FILE FOLDER
        "\u1F4C3",  # ; PAGE WITH CURL
        "\u1F4C4",  # ; PAGE FACING UP
        "\u1F4C5",  # ; CALENDAR
        "\u1F4C6",  # ; TEAR-OFF CALENDAR
        "\u1F4C7",  # ; CARD INDEX
        "\u1F4C8",  # ; CHART WITH UPWARDS TREND
        "\u1F4C9",  # ; CHART WITH DOWNWARDS TREND
        "\u1F4CA",  # ; BAR CHART
        "\u1F4CB",  # ; CLIPBOARD
        "\u1F4CC",  # ; PUSHPIN
        "\u1F4CD",  # ; ROUND PUSHPIN
        "\u1F4CE",  # ; PAPERCLIP
        "\u1F4CF",  # ; STRAIGHT RULER
        "\u1F4D0",  # ; TRIANGULAR RULER
        "\u1F4D1",  # ; BOOKMARK TABS
        "\u1F4D2",  # ; LEDGER
        "\u1F4D3",  # ; NOTEBOOK
        "\u1F4D4",  # ; NOTEBOOK WITH DECORATIVE COVER
        "\u1F4D5",  # ; CLOSED BOOK
        "\u1F4D6",  # ; OPEN BOOK
        "\u1F4D7",  # ; GREEN BOOK
        "\u1F4D8",  # ; BLUE BOOK
        "\u1F4D9",  # ; ORANGE BOOK
        "\u1F4DA",  # ; BOOKS
        "\u1F4DB",  # ; NAME BADGE
        "\u1F4DC",  # ; SCROLL
        "\u1F4DD",  # ; MEMO
        "\u1F4DE",  # ; TELEPHONE RECEIVER
        "\u1F4DF",  # ; PAGER
        "\u1F4E0",  # ; FAX MACHINE
        "\u1F4E1",  # ; SATELLITE ANTENNA
        "\u1F4E2",  # ; PUBLIC ADDRESS LOUDSPEAKER
        "\u1F4E3",  # ; CHEERING MEGAPHONE
        "\u1F4E4",  # ; OUTBOX TRAY
        "\u1F4E5",  # ; INBOX TRAY
        "\u1F4E6",  # ; PACKAGE
        "\u1F4E7",  # ; E-MAIL SYMBOL
        "\u1F4E8",  # ; INCOMING ENVELOPE
        "\u1F4E9",  # ; ENVELOPE WITH DOWNWARDS ARROW ABOVE
        "\u1F4EA",  # ; CLOSED MAILBOX WITH LOWERED FLAG
        "\u1F4EB",  # ; CLOSED MAILBOX WITH RAISED FLAG
        "\u1F4EC",  # ; OPEN MAILBOX WITH RAISED FLAG
        "\u1F4ED",  # ; OPEN MAILBOX WITH LOWERED FLAG
        "\u1F4EE",  # ; POSTBOX
        "\u1F4EF",  # ; POSTAL HORN
        "\u1F4F0",  # ; NEWSPAPER
        "\u1F4F1",  # ; MOBILE PHONE
        "\u1F4F2",  # ; MOBILE PHONE WITH RIGHTWARDS ARROW AT LEFT
        "\u1F4F3",  # ; VIBRATION MODE
        "\u1F4F4",  # ; MOBILE PHONE OFF
        "\u1F4F5",  # ; NO MOBILE PHONES
        "\u1F4F6",  # ; ANTENNA WITH BARS
        "\u1F4F7",  # ; CAMERA
        "\u1F4F8",  # ; CAMERA WITH FLASH
        "\u1F4F9",  # ; VIDEO CAMERA
        "\u1F4FA",  # ; TELEVISION
        "\u1F4FB",  # ; RADIO
        "\u1F4FC",  # ; VIDEOCASSETTE
        "\u1F4FD",  # ; FILM PROJECTOR
        "\u1F4FE",  # ; PORTABLE STEREO
        "\u1F4FF",  # ; PRAYER BEADS
        "\u1F500",  # ; TWISTED RIGHTWARDS ARROWS
        "\u1F501",  # ; CLOCKWISE RIGHTWARDS AND LEFTWARDS OPEN CIRCLE ARROWS
        "\u1F502",  # ; CLOCKWISE RIGHTWARDS AND LEFTWARDS OPEN CIRCLE ARROWS WITH CIRCLED ONE OVERLAY
        "\u1F503",  # ; CLOCKWISE DOWNWARDS AND UPWARDS OPEN CIRCLE ARROWS
        "\u1F504",  # ; ANTICLOCKWISE DOWNWARDS AND UPWARDS OPEN CIRCLE ARROWS
        "\u1F505",  # ; LOW BRIGHTNESS SYMBOL
        "\u1F506",  # ; HIGH BRIGHTNESS SYMBOL
        "\u1F507",  # ; SPEAKER WITH CANCELLATION STROKE
        "\u1F508",  # ; SPEAKER
        "\u1F509",  # ; SPEAKER WITH ONE SOUND WAVE
        "\u1F50A",  # ; SPEAKER WITH THREE SOUND WAVES
        "\u1F50B",  # ; BATTERY
        "\u1F50C",  # ; ELECTRIC PLUG
        "\u1F50D",  # ; LEFT-POINTING MAGNIFYING GLASS
        "\u1F50E",  # ; RIGHT-POINTING MAGNIFYING GLASS
        "\u1F50F",  # ; LOCK WITH INK PEN
        "\u1F510",  # ; CLOSED LOCK WITH KEY
        "\u1F511",  # ; KEY
        "\u1F512",  # ; LOCK
        "\u1F513",  # ; OPEN LOCK
        "\u1F514",  # ; BELL
        "\u1F515",  # ; BELL WITH CANCELLATION STROKE
        "\u1F516",  # ; BOOKMARK
        "\u1F517",  # ; LINK SYMBOL
        "\u1F518",  # ; RADIO BUTTON
        "\u1F519",  # ; BACK WITH LEFTWARDS ARROW ABOVE
        "\u1F51A",  # ; END WITH LEFTWARDS ARROW ABOVE
        "\u1F51B",  # ; ON WITH EXCLAMATION MARK WITH LEFT RIGHT ARROW ABOVE
        "\u1F51C",  # ; SOON WITH RIGHTWARDS ARROW ABOVE
        "\u1F51D",  # ; TOP WITH UPWARDS ARROW ABOVE
        "\u1F51E",  # ; NO ONE UNDER EIGHTEEN SYMBOL
        "\u1F51F",  # ; KEYCAP TEN
        "\u1F520",  # ; INPUT SYMBOL FOR LATIN CAPITAL LETTERS
        "\u1F521",  # ; INPUT SYMBOL FOR LATIN SMALL LETTERS
        "\u1F522",  # ; INPUT SYMBOL FOR NUMBERS
        "\u1F523",  # ; INPUT SYMBOL FOR SYMBOLS
        "\u1F524",  # ; INPUT SYMBOL FOR LATIN LETTERS
        "\u1F525",  # ; FIRE
        "\u1F526",  # ; ELECTRIC TORCH
        "\u1F527",  # ; WRENCH
        "\u1F528",  # ; HAMMER
        "\u1F529",  # ; NUT AND BOLT
        "\u1F52A",  # ; HOCHO
        "\u1F52B",  # ; PISTOL
        "\u1F52C",  # ; MICROSCOPE
        "\u1F52D",  # ; TELESCOPE
        "\u1F52E",  # ; CRYSTAL BALL
        "\u1F52F",  # ; SIX POINTED STAR WITH MIDDLE DOT
        "\u1F530",  # ; JAPANESE SYMBOL FOR BEGINNER
        "\u1F531",  # ; TRIDENT EMBLEM
        "\u1F532",  # ; BLACK SQUARE BUTTON
        "\u1F533",  # ; WHITE SQUARE BUTTON
        "\u1F534",  # ; LARGE RED CIRCLE
        "\u1F535",  # ; LARGE BLUE CIRCLE
        "\u1F536",  # ; LARGE ORANGE DIAMOND
        "\u1F537",  # ; LARGE BLUE DIAMOND
        "\u1F538",  # ; SMALL ORANGE DIAMOND
        "\u1F539",  # ; SMALL BLUE DIAMOND
        "\u1F53A",  # ; UP-POINTING RED TRIANGLE
        "\u1F53B",  # ; DOWN-POINTING RED TRIANGLE
        "\u1F53C",  # ; UP-POINTING SMALL RED TRIANGLE
        "\u1F53D",  # ; DOWN-POINTING SMALL RED TRIANGLE
        "\u1F53E",  # ; LOWER RIGHT SHADOWED WHITE CIRCLE
        "\u1F53F",  # ; UPPER RIGHT SHADOWED WHITE CIRCLE
        "\u1F540",  # ; CIRCLED CROSS POMMEE
        "\u1F541",  # ; CROSS POMMEE WITH HALF-CIRCLE BELOW
        "\u1F542",  # ; CROSS POMMEE
        "\u1F543",  # ; NOTCHED LEFT SEMICIRCLE WITH THREE DOTS
        "\u1F544",  # ; NOTCHED RIGHT SEMICIRCLE WITH THREE DOTS
        "\u1F545",  # ; SYMBOL FOR MARKS CHAPTER
        "\u1F546",  # ; WHITE LATIN CROSS
        "\u1F547",  # ; HEAVY LATIN CROSS
        "\u1F548",  # ; CELTIC CROSS
        "\u1F549",  # ; OM SYMBOL
        "\u1F54A",  # ; DOVE OF PEACE
        "\u1F54B",  # ; KAABA
        "\u1F54C",  # ; MOSQUE
        "\u1F54D",  # ; SYNAGOGUE
        "\u1F54E",  # ; MENORAH WITH NINE BRANCHES
        "\u1F54F",  # ; BOWL OF HYGIEIA
        "\u1F550",  # ; CLOCK FACE ONE OCLOCK
        "\u1F551",  # ; CLOCK FACE TWO OCLOCK
        "\u1F552",  # ; CLOCK FACE THREE OCLOCK
        "\u1F553",  # ; CLOCK FACE FOUR OCLOCK
        "\u1F554",  # ; CLOCK FACE FIVE OCLOCK
        "\u1F555",  # ; CLOCK FACE SIX OCLOCK
        "\u1F556",  # ; CLOCK FACE SEVEN OCLOCK
        "\u1F557",  # ; CLOCK FACE EIGHT OCLOCK
        "\u1F558",  # ; CLOCK FACE NINE OCLOCK
        "\u1F559",  # ; CLOCK FACE TEN OCLOCK
        "\u1F55A",  # ; CLOCK FACE ELEVEN OCLOCK
        "\u1F55B",  # ; CLOCK FACE TWELVE OCLOCK
        "\u1F55C",  # ; CLOCK FACE ONE-THIRTY
        "\u1F55D",  # ; CLOCK FACE TWO-THIRTY
        "\u1F55E",  # ; CLOCK FACE THREE-THIRTY
        "\u1F55F",  # ; CLOCK FACE FOUR-THIRTY
        "\u1F560",  # ; CLOCK FACE FIVE-THIRTY
        "\u1F561",  # ; CLOCK FACE SIX-THIRTY
        "\u1F562",  # ; CLOCK FACE SEVEN-THIRTY
        "\u1F563",  # ; CLOCK FACE EIGHT-THIRTY
        "\u1F564",  # ; CLOCK FACE NINE-THIRTY
        "\u1F565",  # ; CLOCK FACE TEN-THIRTY
        "\u1F566",  # ; CLOCK FACE ELEVEN-THIRTY
        "\u1F567",  # ; CLOCK FACE TWELVE-THIRTY
        "\u1F568",  # ; RIGHT SPEAKER
        "\u1F569",  # ; RIGHT SPEAKER WITH ONE SOUND WAVE
        "\u1F56A",  # ; RIGHT SPEAKER WITH THREE SOUND WAVES
        "\u1F56B",  # ; BULLHORN
        "\u1F56C",  # ; BULLHORN WITH SOUND WAVES
        "\u1F56D",  # ; RINGING BELL
        "\u1F56E",  # ; BOOK
        "\u1F56F",  # ; CANDLE
        "\u1F570",  # ; MANTELPIECE CLOCK
        "\u1F571",  # ; BLACK SKULL AND CROSSBONES
        "\u1F572",  # ; NO PIRACY
        "\u1F573",  # ; HOLE
        "\u1F574",  # ; MAN IN BUSINESS SUIT LEVITATING
        "\u1F575",  # ; SLEUTH OR SPY
        "\u1F576",  # ; DARK SUNGLASSES
        "\u1F577",  # ; SPIDER
        "\u1F578",  # ; SPIDER WEB
        "\u1F579",  # ; JOYSTICK
        "\u1F57A",  # ; MAN DANCING
        "\u1F57B",  # ; LEFT HAND TELEPHONE RECEIVER
        "\u1F57C",  # ; TELEPHONE RECEIVER WITH PAGE
        "\u1F57D",  # ; RIGHT HAND TELEPHONE RECEIVER
        "\u1F57E",  # ; WHITE TOUCHTONE TELEPHONE
        "\u1F57F",  # ; BLACK TOUCHTONE TELEPHONE
        "\u1F580",  # ; TELEPHONE ON TOP OF MODEM
        "\u1F581",  # ; CLAMSHELL MOBILE PHONE
        "\u1F582",  # ; BACK OF ENVELOPE
        "\u1F583",  # ; STAMPED ENVELOPE
        "\u1F584",  # ; ENVELOPE WITH LIGHTNING
        "\u1F585",  # ; FLYING ENVELOPE
        "\u1F586",  # ; PEN OVER STAMPED ENVELOPE
        "\u1F587",  # ; LINKED PAPERCLIPS
        "\u1F588",  # ; BLACK PUSHPIN
        "\u1F589",  # ; LOWER LEFT PENCIL
        "\u1F58A",  # ; LOWER LEFT BALLPOINT PEN
        "\u1F58B",  # ; LOWER LEFT FOUNTAIN PEN
        "\u1F58C",  # ; LOWER LEFT PAINTBRUSH
        "\u1F58D",  # ; LOWER LEFT CRAYON
        "\u1F58E",  # ; LEFT WRITING HAND
        "\u1F58F",  # ; TURNED OK HAND SIGN
        "\u1F590",  # ; RAISED HAND WITH FINGERS SPLAYED
        "\u1F591",  # ; REVERSED RAISED HAND WITH FINGERS SPLAYED
        "\u1F592",  # ; REVERSED THUMBS UP SIGN
        "\u1F593",  # ; REVERSED THUMBS DOWN SIGN
        "\u1F594",  # ; REVERSED VICTORY HAND
        "\u1F595",  # ; REVERSED HAND WITH MIDDLE FINGER EXTENDED
        "\u1F596",  # ; RAISED HAND WITH PART BETWEEN MIDDLE AND RING FINGERS
        "\u1F597",  # ; WHITE DOWN POINTING LEFT HAND INDEX
        "\u1F598",  # ; SIDEWAYS WHITE LEFT POINTING INDEX
        "\u1F599",  # ; SIDEWAYS WHITE RIGHT POINTING INDEX
        "\u1F59A",  # ; SIDEWAYS BLACK LEFT POINTING INDEX
        "\u1F59B",  # ; SIDEWAYS BLACK RIGHT POINTING INDEX
        "\u1F59C",  # ; BLACK LEFT POINTING BACKHAND INDEX
        "\u1F59D",  # ; BLACK RIGHT POINTING BACKHAND INDEX
        "\u1F59E",  # ; SIDEWAYS WHITE UP POINTING INDEX
        "\u1F59F",  # ; SIDEWAYS WHITE DOWN POINTING INDEX
        "\u1F5A0",  # ; SIDEWAYS BLACK UP POINTING INDEX
        "\u1F5A1",  # ; SIDEWAYS BLACK DOWN POINTING INDEX
        "\u1F5A2",  # ; BLACK UP POINTING BACKHAND INDEX
        "\u1F5A3",  # ; BLACK DOWN POINTING BACKHAND INDEX
        "\u1F5A4",  # ; BLACK HEART
        "\u1F5A5",  # ; DESKTOP COMPUTER
        "\u1F5A6",  # ; KEYBOARD AND MOUSE
        "\u1F5A7",  # ; THREE NETWORKED COMPUTERS
        "\u1F5A8",  # ; PRINTER
        "\u1F5A9",  # ; POCKET CALCULATOR
        "\u1F5AA",  # ; BLACK HARD SHELL FLOPPY DISK
        "\u1F5AB",  # ; WHITE HARD SHELL FLOPPY DISK
        "\u1F5AC",  # ; SOFT SHELL FLOPPY DISK
        "\u1F5AD",  # ; TAPE CARTRIDGE
        "\u1F5AE",  # ; WIRED KEYBOARD
        "\u1F5AF",  # ; ONE BUTTON MOUSE
        "\u1F5B0",  # ; TWO BUTTON MOUSE
        "\u1F5B1",  # ; THREE BUTTON MOUSE
        "\u1F5B2",  # ; TRACKBALL
        "\u1F5B3",  # ; OLD PERSONAL COMPUTER
        "\u1F5B4",  # ; HARD DISK
        "\u1F5B5",  # ; SCREEN
        "\u1F5B6",  # ; PRINTER ICON
        "\u1F5B7",  # ; FAX ICON
        "\u1F5B8",  # ; OPTICAL DISC ICON
        "\u1F5B9",  # ; DOCUMENT WITH TEXT
        "\u1F5BA",  # ; DOCUMENT WITH TEXT AND PICTURE
        "\u1F5BB",  # ; DOCUMENT WITH PICTURE
        "\u1F5BC",  # ; FRAME WITH PICTURE
        "\u1F5BD",  # ; FRAME WITH TILES
        "\u1F5BE",  # ; FRAME WITH AN X
        "\u1F5BF",  # ; BLACK FOLDER
        "\u1F5C0",  # ; FOLDER
        "\u1F5C1",  # ; OPEN FOLDER
        "\u1F5C2",  # ; CARD INDEX DIVIDERS
        "\u1F5C3",  # ; CARD FILE BOX
        "\u1F5C4",  # ; FILE CABINET
        "\u1F5C5",  # ; EMPTY NOTE
        "\u1F5C6",  # ; EMPTY NOTE PAGE
        "\u1F5C7",  # ; EMPTY NOTE PAD
        "\u1F5C8",  # ; NOTE
        "\u1F5C9",  # ; NOTE PAGE
        "\u1F5CA",  # ; NOTE PAD
        "\u1F5CB",  # ; EMPTY DOCUMENT
        "\u1F5CC",  # ; EMPTY PAGE
        "\u1F5CD",  # ; EMPTY PAGES
        "\u1F5CE",  # ; DOCUMENT
        "\u1F5CF",  # ; PAGE
        "\u1F5D0",  # ; PAGES
        "\u1F5D1",  # ; WASTEBASKET
        "\u1F5D2",  # ; SPIRAL NOTE PAD
        "\u1F5D3",  # ; SPIRAL CALENDAR PAD
        "\u1F5D4",  # ; DESKTOP WINDOW
        "\u1F5D5",  # ; MINIMIZE
        "\u1F5D6",  # ; MAXIMIZE
        "\u1F5D7",  # ; OVERLAP
        "\u1F5D8",  # ; CLOCKWISE RIGHT AND LEFT SEMICIRCLE ARROWS
        "\u1F5D9",  # ; CANCELLATION X
        "\u1F5DA",  # ; INCREASE FONT SIZE SYMBOL
        "\u1F5DB",  # ; DECREASE FONT SIZE SYMBOL
        "\u1F5DC",  # ; COMPRESSION
        "\u1F5DD",  # ; OLD KEY
        "\u1F5DE",  # ; ROLLED-UP NEWSPAPER
        "\u1F5DF",  # ; PAGE WITH CIRCLED TEXT
        "\u1F5E0",  # ; STOCK CHART
        "\u1F5E1",  # ; DAGGER KNIFE
        "\u1F5E2",  # ; LIPS
        "\u1F5E3",  # ; SPEAKING HEAD IN SILHOUETTE
        "\u1F5E4",  # ; THREE RAYS ABOVE
        "\u1F5E5",  # ; THREE RAYS BELOW
        "\u1F5E6",  # ; THREE RAYS LEFT
        "\u1F5E7",  # ; THREE RAYS RIGHT
        "\u1F5E8",  # ; LEFT SPEECH BUBBLE
        "\u1F5E9",  # ; RIGHT SPEECH BUBBLE
        "\u1F5EA",  # ; TWO SPEECH BUBBLES
        "\u1F5EB",  # ; THREE SPEECH BUBBLES
        "\u1F5EC",  # ; LEFT THOUGHT BUBBLE
        "\u1F5ED",  # ; RIGHT THOUGHT BUBBLE
        "\u1F5EE",  # ; LEFT ANGER BUBBLE
        "\u1F5EF",  # ; RIGHT ANGER BUBBLE
        "\u1F5F0",  # ; MOOD BUBBLE
        "\u1F5F1",  # ; LIGHTNING MOOD BUBBLE
        "\u1F5F2",  # ; LIGHTNING MOOD
        "\u1F5F3",  # ; BALLOT BOX WITH BALLOT
        "\u1F5F4",  # ; BALLOT SCRIPT X
        "\u1F5F5",  # ; BALLOT BOX WITH SCRIPT X
        "\u1F5F6",  # ; BALLOT BOLD SCRIPT X
        "\u1F5F7",  # ; BALLOT BOX WITH BOLD SCRIPT X
        "\u1F5F8",  # ; LIGHT CHECK MARK
        "\u1F5F9",  # ; BALLOT BOX WITH BOLD CHECK
        "\u1F5FA",  # ; WORLD MAP
        "\u1F5FB",  # ; MOUNT FUJI
        "\u1F5FC",  # ; TOKYO TOWER
        "\u1F5FD",  # ; STATUE OF LIBERTY
        "\u1F5FE",  # ; SILHOUETTE OF JAPAN
        "\u1F5FF",  # ; MOYAI
        "\u1F600",  # ; GRINNING FACE
        "\u1F601",  # ; GRINNING FACE WITH SMILING EYES
        "\u1F602",  # ; FACE WITH TEARS OF JOY
        "\u1F603",  # ; SMILING FACE WITH OPEN MOUTH
        "\u1F604",  # ; SMILING FACE WITH OPEN MOUTH AND SMILING EYES
        "\u1F605",  # ; SMILING FACE WITH OPEN MOUTH AND COLD SWEAT
        "\u1F606",  # ; SMILING FACE WITH OPEN MOUTH AND TIGHTLY-CLOSED EYES
        "\u1F607",  # ; SMILING FACE WITH HALO
        "\u1F608",  # ; SMILING FACE WITH HORNS
        "\u1F609",  # ; WINKING FACE
        "\u1F60A",  # ; SMILING FACE WITH SMILING EYES
        "\u1F60B",  # ; FACE SAVOURING DELICIOUS FOOD
        "\u1F60C",  # ; RELIEVED FACE
        "\u1F60D",  # ; SMILING FACE WITH HEART-SHAPED EYES
        "\u1F60E",  # ; SMILING FACE WITH SUNGLASSES
        "\u1F60F",  # ; SMIRKING FACE
        "\u1F610",  # ; NEUTRAL FACE
        "\u1F611",  # ; EXPRESSIONLESS FACE
        "\u1F612",  # ; UNAMUSED FACE
        "\u1F613",  # ; FACE WITH COLD SWEAT
        "\u1F614",  # ; PENSIVE FACE
        "\u1F615",  # ; CONFUSED FACE
        "\u1F616",  # ; CONFOUNDED FACE
        "\u1F617",  # ; KISSING FACE
        "\u1F618",  # ; FACE THROWING A KISS
        "\u1F619",  # ; KISSING FACE WITH SMILING EYES
        "\u1F61A",  # ; KISSING FACE WITH CLOSED EYES
        "\u1F61B",  # ; FACE WITH STUCK-OUT TONGUE
        "\u1F61C",  # ; FACE WITH STUCK-OUT TONGUE AND WINKING EYE
        "\u1F61D",  # ; FACE WITH STUCK-OUT TONGUE AND TIGHTLY-CLOSED EYES
        "\u1F61E",  # ; DISAPPOINTED FACE
        "\u1F61F",  # ; WORRIED FACE
        "\u1F620",  # ; ANGRY FACE
        "\u1F621",  # ; POUTING FACE
        "\u1F622",  # ; CRYING FACE
        "\u1F623",  # ; PERSEVERING FACE
        "\u1F624",  # ; FACE WITH LOOK OF TRIUMPH
        "\u1F625",  # ; DISAPPOINTED BUT RELIEVED FACE
        "\u1F626",  # ; FROWNING FACE WITH OPEN MOUTH
        "\u1F627",  # ; ANGUISHED FACE
        "\u1F628",  # ; FEARFUL FACE
        "\u1F629",  # ; WEARY FACE
        "\u1F62A",  # ; SLEEPY FACE
        "\u1F62B",  # ; TIRED FACE
        "\u1F62C",  # ; GRIMACING FACE
        "\u1F62D",  # ; LOUDLY CRYING FACE
        "\u1F62E",  # ; FACE WITH OPEN MOUTH
        "\u1F62F",  # ; HUSHED FACE
        "\u1F630",  # ; FACE WITH OPEN MOUTH AND COLD SWEAT
        "\u1F631",  # ; FACE SCREAMING IN FEAR
        "\u1F632",  # ; ASTONISHED FACE
        "\u1F633",  # ; FLUSHED FACE
        "\u1F634",  # ; SLEEPING FACE
        "\u1F635",  # ; DIZZY FACE
        "\u1F636",  # ; FACE WITHOUT MOUTH
        "\u1F637",  # ; FACE WITH MEDICAL MASK
        "\u1F638",  # ; GRINNING CAT FACE WITH SMILING EYES
        "\u1F639",  # ; CAT FACE WITH TEARS OF JOY
        "\u1F63A",  # ; SMILING CAT FACE WITH OPEN MOUTH
        "\u1F63B",  # ; SMILING CAT FACE WITH HEART-SHAPED EYES
        "\u1F63C",  # ; CAT FACE WITH WRY SMILE
        "\u1F63D",  # ; KISSING CAT FACE WITH CLOSED EYES
        "\u1F63E",  # ; POUTING CAT FACE
        "\u1F63F",  # ; CRYING CAT FACE
        "\u1F640",  # ; WEARY CAT FACE
        "\u1F641",  # ; SLIGHTLY FROWNING FACE
        "\u1F642",  # ; SLIGHTLY SMILING FACE
        "\u1F643",  # ; UPSIDE-DOWN FACE
        "\u1F644",  # ; FACE WITH ROLLING EYES
        "\u1F645",  # ; FACE WITH NO GOOD GESTURE
        "\u1F646",  # ; FACE WITH OK GESTURE
        "\u1F647",  # ; PERSON BOWING DEEPLY
        "\u1F648",  # ; SEE-NO-EVIL MONKEY
        "\u1F649",  # ; HEAR-NO-EVIL MONKEY
        "\u1F64A",  # ; SPEAK-NO-EVIL MONKEY
        "\u1F64B",  # ; HAPPY PERSON RAISING ONE HAND
        "\u1F64C",  # ; PERSON RAISING BOTH HANDS IN CELEBRATION
        "\u1F64D",  # ; PERSON FROWNING
        "\u1F64E",  # ; PERSON WITH POUTING FACE
        "\u1F64F",  # ; PERSON WITH FOLDED HANDS
        "\u1F650",  # ; NORTH WEST POINTING LEAF
        "\u1F651",  # ; SOUTH WEST POINTING LEAF
        "\u1F652",  # ; NORTH EAST POINTING LEAF
        "\u1F653",  # ; SOUTH EAST POINTING LEAF
        "\u1F654",  # ; TURNED NORTH WEST POINTING LEAF
        "\u1F655",  # ; TURNED SOUTH WEST POINTING LEAF
        "\u1F656",  # ; TURNED NORTH EAST POINTING LEAF
        "\u1F657",  # ; TURNED SOUTH EAST POINTING LEAF
        "\u1F658",  # ; NORTH WEST POINTING VINE LEAF
        "\u1F659",  # ; SOUTH WEST POINTING VINE LEAF
        "\u1F65A",  # ; NORTH EAST POINTING VINE LEAF
        "\u1F65B",  # ; SOUTH EAST POINTING VINE LEAF
        "\u1F65C",  # ; HEAVY NORTH WEST POINTING VINE LEAF
        "\u1F65D",  # ; HEAVY SOUTH WEST POINTING VINE LEAF
        "\u1F65E",  # ; HEAVY NORTH EAST POINTING VINE LEAF
        "\u1F65F",  # ; HEAVY SOUTH EAST POINTING VINE LEAF
        "\u1F660",  # ; NORTH WEST POINTING BUD
        "\u1F661",  # ; SOUTH WEST POINTING BUD
        "\u1F662",  # ; NORTH EAST POINTING BUD
        "\u1F663",  # ; SOUTH EAST POINTING BUD
        "\u1F664",  # ; HEAVY NORTH WEST POINTING BUD
        "\u1F665",  # ; HEAVY SOUTH WEST POINTING BUD
        "\u1F666",  # ; HEAVY NORTH EAST POINTING BUD
        "\u1F667",  # ; HEAVY SOUTH EAST POINTING BUD
        "\u1F668",  # ; HOLLOW QUILT SQUARE ORNAMENT
        "\u1F669",  # ; HOLLOW QUILT SQUARE ORNAMENT IN BLACK SQUARE
        "\u1F66A",  # ; SOLID QUILT SQUARE ORNAMENT
        "\u1F66B",  # ; SOLID QUILT SQUARE ORNAMENT IN BLACK SQUARE
        "\u1F66C",  # ; LEFTWARDS ROCKET
        "\u1F66D",  # ; UPWARDS ROCKET
        "\u1F66E",  # ; RIGHTWARDS ROCKET
        "\u1F66F",  # ; DOWNWARDS ROCKET
        "\u1F670",  # ; SCRIPT LIGATURE ET ORNAMENT
        "\u1F671",  # ; HEAVY SCRIPT LIGATURE ET ORNAMENT
        "\u1F672",  # ; LIGATURE OPEN ET ORNAMENT
        "\u1F673",  # ; HEAVY LIGATURE OPEN ET ORNAMENT
        "\u1F674",  # ; HEAVY AMPERSAND ORNAMENT
        "\u1F675",  # ; SWASH AMPERSAND ORNAMENT
        "\u1F676",  # ; SANS-SERIF HEAVY DOUBLE TURNED COMMA QUOTATION MARK ORNAMENT
        "\u1F677",  # ; SANS-SERIF HEAVY DOUBLE COMMA QUOTATION MARK ORNAMENT
        "\u1F678",  # ; SANS-SERIF HEAVY LOW DOUBLE COMMA QUOTATION MARK ORNAMENT
        "\u1F679",  # ; HEAVY INTERROBANG ORNAMENT
        "\u1F67A",  # ; SANS-SERIF INTERROBANG ORNAMENT
        "\u1F67B",  # ; HEAVY SANS-SERIF INTERROBANG ORNAMENT
        "\u1F67C",  # ; VERY HEAVY SOLIDUS
        "\u1F67D",  # ; VERY HEAVY REVERSE SOLIDUS
        "\u1F67E",  # ; CHECKER BOARD
        "\u1F67F",  # ; REVERSE CHECKER BOARD
        "\u1F680",  # ; ROCKET
        "\u1F681",  # ; HELICOPTER
        "\u1F682",  # ; STEAM LOCOMOTIVE
        "\u1F683",  # ; RAILWAY CAR
        "\u1F684",  # ; HIGH-SPEED TRAIN
        "\u1F685",  # ; HIGH-SPEED TRAIN WITH BULLET NOSE
        "\u1F686",  # ; TRAIN
        "\u1F687",  # ; METRO
        "\u1F688",  # ; LIGHT RAIL
        "\u1F689",  # ; STATION
        "\u1F68A",  # ; TRAM
        "\u1F68B",  # ; TRAM CAR
        "\u1F68C",  # ; BUS
        "\u1F68D",  # ; ONCOMING BUS
        "\u1F68E",  # ; TROLLEYBUS
        "\u1F68F",  # ; BUS STOP
        "\u1F690",  # ; MINIBUS
        "\u1F691",  # ; AMBULANCE
        "\u1F692",  # ; FIRE ENGINE
        "\u1F693",  # ; POLICE CAR
        "\u1F694",  # ; ONCOMING POLICE CAR
        "\u1F695",  # ; TAXI
        "\u1F696",  # ; ONCOMING TAXI
        "\u1F697",  # ; AUTOMOBILE
        "\u1F698",  # ; ONCOMING AUTOMOBILE
        "\u1F699",  # ; RECREATIONAL VEHICLE
        "\u1F69A",  # ; DELIVERY TRUCK
        "\u1F69B",  # ; ARTICULATED LORRY
        "\u1F69C",  # ; TRACTOR
        "\u1F69D",  # ; MONORAIL
        "\u1F69E",  # ; MOUNTAIN RAILWAY
        "\u1F69F",  # ; SUSPENSION RAILWAY
        "\u1F6A0",  # ; MOUNTAIN CABLEWAY
        "\u1F6A1",  # ; AERIAL TRAMWAY
        "\u1F6A2",  # ; SHIP
        "\u1F6A3",  # ; ROWBOAT
        "\u1F6A4",  # ; SPEEDBOAT
        "\u1F6A5",  # ; HORIZONTAL TRAFFIC LIGHT
        "\u1F6A6",  # ; VERTICAL TRAFFIC LIGHT
        "\u1F6A7",  # ; CONSTRUCTION SIGN
        "\u1F6A8",  # ; POLICE CARS REVOLVING LIGHT
        "\u1F6A9",  # ; TRIANGULAR FLAG ON POST
        "\u1F6AA",  # ; DOOR
        "\u1F6AB",  # ; NO ENTRY SIGN
        "\u1F6AC",  # ; SMOKING SYMBOL
        "\u1F6AD",  # ; NO SMOKING SYMBOL
        "\u1F6AE",  # ; PUT LITTER IN ITS PLACE SYMBOL
        "\u1F6AF",  # ; DO NOT LITTER SYMBOL
        "\u1F6B0",  # ; POTABLE WATER SYMBOL
        "\u1F6B1",  # ; NON-POTABLE WATER SYMBOL
        "\u1F6B2",  # ; BICYCLE
        "\u1F6B3",  # ; NO BICYCLES
        "\u1F6B4",  # ; BICYCLIST
        "\u1F6B5",  # ; MOUNTAIN BICYCLIST
        "\u1F6B6",  # ; PEDESTRIAN
        "\u1F6B7",  # ; NO PEDESTRIANS
        "\u1F6B8",  # ; CHILDREN CROSSING
        "\u1F6B9",  # ; MENS SYMBOL
        "\u1F6BA",  # ; WOMENS SYMBOL
        "\u1F6BB",  # ; RESTROOM
        "\u1F6BC",  # ; BABY SYMBOL
        "\u1F6BD",  # ; TOILET
        "\u1F6BE",  # ; WATER CLOSET
        "\u1F6BF",  # ; SHOWER
        "\u1F6C0",  # ; BATH
        "\u1F6C1",  # ; BATHTUB
        "\u1F6C2",  # ; PASSPORT CONTROL
        "\u1F6C3",  # ; CUSTOMS
        "\u1F6C4",  # ; BAGGAGE CLAIM
        "\u1F6C5",  # ; LEFT LUGGAGE
        "\u1F6C6",  # ; TRIANGLE WITH ROUNDED CORNERS
        "\u1F6C7",  # ; PROHIBITED SIGN
        "\u1F6C8",  # ; CIRCLED INFORMATION SOURCE
        "\u1F6C9",  # ; BOYS SYMBOL
        "\u1F6CA",  # ; GIRLS SYMBOL
        "\u1F6CB",  # ; COUCH AND LAMP
        "\u1F6CC",  # ; SLEEPING ACCOMMODATION
        "\u1F6CD",  # ; SHOPPING BAGS
        "\u1F6CE",  # ; BELLHOP BELL
        "\u1F6CF",  # ; BED
        "\u1F6D0",  # ; PLACE OF WORSHIP
        "\u1F6D1",  # ; OCTAGONAL SIGN
        "\u1F6D2",  # ; SHOPPING TROLLEY
        "\u1F6D3",  # ; STUPA
        "\u1F6D4",  # ; PAGODA
        "\u1F6E0",  # ; HAMMER AND WRENCH
        "\u1F6E1",  # ; SHIELD
        "\u1F6E2",  # ; OIL DRUM
        "\u1F6E3",  # ; MOTORWAY
        "\u1F6E4",  # ; RAILWAY TRACK
        "\u1F6E5",  # ; MOTOR BOAT
        "\u1F6E6",  # ; UP-POINTING MILITARY AIRPLANE
        "\u1F6E7",  # ; UP-POINTING AIRPLANE
        "\u1F6E8",  # ; UP-POINTING SMALL AIRPLANE
        "\u1F6E9",  # ; SMALL AIRPLANE
        "\u1F6EA",  # ; NORTHEAST-POINTING AIRPLANE
        "\u1F6EB",  # ; AIRPLANE DEPARTURE
        "\u1F6EC",  # ; AIRPLANE ARRIVING
        "\u1F6F0",  # ; SATELLITE
        "\u1F6F1",  # ; ONCOMING FIRE ENGINE
        "\u1F6F2",  # ; DIESEL LOCOMOTIVE
        "\u1F6F3",  # ; PASSENGER SHIP
        "\u1F6F4",  # ; SCOOTER
        "\u1F6F5",  # ; MOTOR SCOOTER
        "\u1F6F6",  # ; CANOE
        "\u1F6F7",  # ; SLED
        "\u1F6F8",  # ; FLYING SAUCER
        "\u1F700",  # ; ALCHEMICAL SYMBOL FOR QUINTESSENCE
        "\u1F701",  # ; ALCHEMICAL SYMBOL FOR AIR
        "\u1F702",  # ; ALCHEMICAL SYMBOL FOR FIRE
        "\u1F703",  # ; ALCHEMICAL SYMBOL FOR EARTH
        "\u1F704",  # ; ALCHEMICAL SYMBOL FOR WATER
        "\u1F705",  # ; ALCHEMICAL SYMBOL FOR AQUAFORTIS
        "\u1F706",  # ; ALCHEMICAL SYMBOL FOR AQUA REGIA
        "\u1F707",  # ; ALCHEMICAL SYMBOL FOR AQUA REGIA-2
        "\u1F708",  # ; ALCHEMICAL SYMBOL FOR AQUA VITAE
        "\u1F709",  # ; ALCHEMICAL SYMBOL FOR AQUA VITAE-2
        "\u1F70A",  # ; ALCHEMICAL SYMBOL FOR VINEGAR
        "\u1F70B",  # ; ALCHEMICAL SYMBOL FOR VINEGAR-2
        "\u1F70C",  # ; ALCHEMICAL SYMBOL FOR VINEGAR-3
        "\u1F70D",  # ; ALCHEMICAL SYMBOL FOR SULFUR
        "\u1F70E",  # ; ALCHEMICAL SYMBOL FOR PHILOSOPHERS SULFUR
        "\u1F70F",  # ; ALCHEMICAL SYMBOL FOR BLACK SULFUR
        "\u1F710",  # ; ALCHEMICAL SYMBOL FOR MERCURY SUBLIMATE
        "\u1F711",  # ; ALCHEMICAL SYMBOL FOR MERCURY SUBLIMATE-2
        "\u1F712",  # ; ALCHEMICAL SYMBOL FOR MERCURY SUBLIMATE-3
        "\u1F713",  # ; ALCHEMICAL SYMBOL FOR CINNABAR
        "\u1F714",  # ; ALCHEMICAL SYMBOL FOR SALT
        "\u1F715",  # ; ALCHEMICAL SYMBOL FOR NITRE
        "\u1F716",  # ; ALCHEMICAL SYMBOL FOR VITRIOL
        "\u1F717",  # ; ALCHEMICAL SYMBOL FOR VITRIOL-2
        "\u1F718",  # ; ALCHEMICAL SYMBOL FOR ROCK SALT
        "\u1F719",  # ; ALCHEMICAL SYMBOL FOR ROCK SALT-2
        "\u1F71A",  # ; ALCHEMICAL SYMBOL FOR GOLD
        "\u1F71B",  # ; ALCHEMICAL SYMBOL FOR SILVER
        "\u1F71C",  # ; ALCHEMICAL SYMBOL FOR IRON ORE
        "\u1F71D",  # ; ALCHEMICAL SYMBOL FOR IRON ORE-2
        "\u1F71E",  # ; ALCHEMICAL SYMBOL FOR CROCUS OF IRON
        "\u1F71F",  # ; ALCHEMICAL SYMBOL FOR REGULUS OF IRON
        "\u1F720",  # ; ALCHEMICAL SYMBOL FOR COPPER ORE
        "\u1F721",  # ; ALCHEMICAL SYMBOL FOR IRON-COPPER ORE
        "\u1F722",  # ; ALCHEMICAL SYMBOL FOR SUBLIMATE OF COPPER
        "\u1F723",  # ; ALCHEMICAL SYMBOL FOR CROCUS OF COPPER
        "\u1F724",  # ; ALCHEMICAL SYMBOL FOR CROCUS OF COPPER-2
        "\u1F725",  # ; ALCHEMICAL SYMBOL FOR COPPER ANTIMONIATE
        "\u1F726",  # ; ALCHEMICAL SYMBOL FOR SALT OF COPPER ANTIMONIATE
        "\u1F727",  # ; ALCHEMICAL SYMBOL FOR SUBLIMATE OF SALT OF COPPER
        "\u1F728",  # ; ALCHEMICAL SYMBOL FOR VERDIGRIS
        "\u1F729",  # ; ALCHEMICAL SYMBOL FOR TIN ORE
        "\u1F72A",  # ; ALCHEMICAL SYMBOL FOR LEAD ORE
        "\u1F72B",  # ; ALCHEMICAL SYMBOL FOR ANTIMONY ORE
        "\u1F72C",  # ; ALCHEMICAL SYMBOL FOR SUBLIMATE OF ANTIMONY
        "\u1F72D",  # ; ALCHEMICAL SYMBOL FOR SALT OF ANTIMONY
        "\u1F72E",  # ; ALCHEMICAL SYMBOL FOR SUBLIMATE OF SALT OF ANTIMONY
        "\u1F72F",  # ; ALCHEMICAL SYMBOL FOR VINEGAR OF ANTIMONY
        "\u1F730",  # ; ALCHEMICAL SYMBOL FOR REGULUS OF ANTIMONY
        "\u1F731",  # ; ALCHEMICAL SYMBOL FOR REGULUS OF ANTIMONY-2
        "\u1F732",  # ; ALCHEMICAL SYMBOL FOR REGULUS
        "\u1F733",  # ; ALCHEMICAL SYMBOL FOR REGULUS-2
        "\u1F734",  # ; ALCHEMICAL SYMBOL FOR REGULUS-3
        "\u1F735",  # ; ALCHEMICAL SYMBOL FOR REGULUS-4
        "\u1F736",  # ; ALCHEMICAL SYMBOL FOR ALKALI
        "\u1F737",  # ; ALCHEMICAL SYMBOL FOR ALKALI-2
        "\u1F738",  # ; ALCHEMICAL SYMBOL FOR MARCASITE
        "\u1F739",  # ; ALCHEMICAL SYMBOL FOR SAL-AMMONIAC
        "\u1F73A",  # ; ALCHEMICAL SYMBOL FOR ARSENIC
        "\u1F73B",  # ; ALCHEMICAL SYMBOL FOR REALGAR
        "\u1F73C",  # ; ALCHEMICAL SYMBOL FOR REALGAR-2
        "\u1F73D",  # ; ALCHEMICAL SYMBOL FOR AURIPIGMENT
        "\u1F73E",  # ; ALCHEMICAL SYMBOL FOR BISMUTH ORE
        "\u1F73F",  # ; ALCHEMICAL SYMBOL FOR TARTAR
        "\u1F740",  # ; ALCHEMICAL SYMBOL FOR TARTAR-2
        "\u1F741",  # ; ALCHEMICAL SYMBOL FOR QUICK LIME
        "\u1F742",  # ; ALCHEMICAL SYMBOL FOR BORAX
        "\u1F743",  # ; ALCHEMICAL SYMBOL FOR BORAX-2
        "\u1F744",  # ; ALCHEMICAL SYMBOL FOR BORAX-3
        "\u1F745",  # ; ALCHEMICAL SYMBOL FOR ALUM
        "\u1F746",  # ; ALCHEMICAL SYMBOL FOR OIL
        "\u1F747",  # ; ALCHEMICAL SYMBOL FOR SPIRIT
        "\u1F748",  # ; ALCHEMICAL SYMBOL FOR TINCTURE
        "\u1F749",  # ; ALCHEMICAL SYMBOL FOR GUM
        "\u1F74A",  # ; ALCHEMICAL SYMBOL FOR WAX
        "\u1F74B",  # ; ALCHEMICAL SYMBOL FOR POWDER
        "\u1F74C",  # ; ALCHEMICAL SYMBOL FOR CALX
        "\u1F74D",  # ; ALCHEMICAL SYMBOL FOR TUTTY
        "\u1F74E",  # ; ALCHEMICAL SYMBOL FOR CAPUT MORTUUM
        "\u1F74F",  # ; ALCHEMICAL SYMBOL FOR SCEPTER OF JOVE
        "\u1F750",  # ; ALCHEMICAL SYMBOL FOR CADUCEUS
        "\u1F751",  # ; ALCHEMICAL SYMBOL FOR TRIDENT
        "\u1F752",  # ; ALCHEMICAL SYMBOL FOR STARRED TRIDENT
        "\u1F753",  # ; ALCHEMICAL SYMBOL FOR LODESTONE
        "\u1F754",  # ; ALCHEMICAL SYMBOL FOR SOAP
        "\u1F755",  # ; ALCHEMICAL SYMBOL FOR URINE
        "\u1F756",  # ; ALCHEMICAL SYMBOL FOR HORSE DUNG
        "\u1F757",  # ; ALCHEMICAL SYMBOL FOR ASHES
        "\u1F758",  # ; ALCHEMICAL SYMBOL FOR POT ASHES
        "\u1F759",  # ; ALCHEMICAL SYMBOL FOR BRICK
        "\u1F75A",  # ; ALCHEMICAL SYMBOL FOR POWDERED BRICK
        "\u1F75B",  # ; ALCHEMICAL SYMBOL FOR AMALGAM
        "\u1F75C",  # ; ALCHEMICAL SYMBOL FOR STRATUM SUPER STRATUM
        "\u1F75D",  # ; ALCHEMICAL SYMBOL FOR STRATUM SUPER STRATUM-2
        "\u1F75E",  # ; ALCHEMICAL SYMBOL FOR SUBLIMATION
        "\u1F75F",  # ; ALCHEMICAL SYMBOL FOR PRECIPITATE
        "\u1F760",  # ; ALCHEMICAL SYMBOL FOR DISTILL
        "\u1F761",  # ; ALCHEMICAL SYMBOL FOR DISSOLVE
        "\u1F762",  # ; ALCHEMICAL SYMBOL FOR DISSOLVE-2
        "\u1F763",  # ; ALCHEMICAL SYMBOL FOR PURIFY
        "\u1F764",  # ; ALCHEMICAL SYMBOL FOR PUTREFACTION
        "\u1F765",  # ; ALCHEMICAL SYMBOL FOR CRUCIBLE
        "\u1F766",  # ; ALCHEMICAL SYMBOL FOR CRUCIBLE-2
        "\u1F767",  # ; ALCHEMICAL SYMBOL FOR CRUCIBLE-3
        "\u1F768",  # ; ALCHEMICAL SYMBOL FOR CRUCIBLE-4
        "\u1F769",  # ; ALCHEMICAL SYMBOL FOR CRUCIBLE-5
        "\u1F76A",  # ; ALCHEMICAL SYMBOL FOR ALEMBIC
        "\u1F76B",  # ; ALCHEMICAL SYMBOL FOR BATH OF MARY
        "\u1F76C",  # ; ALCHEMICAL SYMBOL FOR BATH OF VAPOURS
        "\u1F76D",  # ; ALCHEMICAL SYMBOL FOR RETORT
        "\u1F76E",  # ; ALCHEMICAL SYMBOL FOR HOUR
        "\u1F76F",  # ; ALCHEMICAL SYMBOL FOR NIGHT
        "\u1F770",  # ; ALCHEMICAL SYMBOL FOR DAY-NIGHT
        "\u1F771",  # ; ALCHEMICAL SYMBOL FOR MONTH
        "\u1F772",  # ; ALCHEMICAL SYMBOL FOR HALF DRAM
        "\u1F773",  # ; ALCHEMICAL SYMBOL FOR HALF OUNCE
        "\u1F780",  # ; BLACK LEFT-POINTING ISOSCELES RIGHT TRIANGLE
        "\u1F781",  # ; BLACK UP-POINTING ISOSCELES RIGHT TRIANGLE
        "\u1F782",  # ; BLACK RIGHT-POINTING ISOSCELES RIGHT TRIANGLE
        "\u1F783",  # ; BLACK DOWN-POINTING ISOSCELES RIGHT TRIANGLE
        "\u1F784",  # ; BLACK SLIGHTLY SMALL CIRCLE
        "\u1F785",  # ; MEDIUM BOLD WHITE CIRCLE
        "\u1F786",  # ; BOLD WHITE CIRCLE
        "\u1F787",  # ; HEAVY WHITE CIRCLE
        "\u1F788",  # ; VERY HEAVY WHITE CIRCLE
        "\u1F789",  # ; EXTREMELY HEAVY WHITE CIRCLE
        "\u1F78A",  # ; WHITE CIRCLE CONTAINING BLACK SMALL CIRCLE
        "\u1F78B",  # ; ROUND TARGET
        "\u1F78C",  # ; BLACK TINY SQUARE
        "\u1F78D",  # ; BLACK SLIGHTLY SMALL SQUARE
        "\u1F78E",  # ; LIGHT WHITE SQUARE
        "\u1F78F",  # ; MEDIUM WHITE SQUARE
        "\u1F790",  # ; BOLD WHITE SQUARE
        "\u1F791",  # ; HEAVY WHITE SQUARE
        "\u1F792",  # ; VERY HEAVY WHITE SQUARE
        "\u1F793",  # ; EXTREMELY HEAVY WHITE SQUARE
        "\u1F794",  # ; WHITE SQUARE CONTAINING BLACK VERY SMALL SQUARE
        "\u1F795",  # ; WHITE SQUARE CONTAINING BLACK MEDIUM SQUARE
        "\u1F796",  # ; SQUARE TARGET
        "\u1F797",  # ; BLACK TINY DIAMOND
        "\u1F798",  # ; BLACK VERY SMALL DIAMOND
        "\u1F799",  # ; BLACK MEDIUM SMALL DIAMOND
        "\u1F79A",  # ; WHITE DIAMOND CONTAINING BLACK VERY SMALL DIAMOND
        "\u1F79B",  # ; WHITE DIAMOND CONTAINING BLACK MEDIUM DIAMOND
        "\u1F79C",  # ; DIAMOND TARGET
        "\u1F79D",  # ; BLACK TINY LOZENGE
        "\u1F79E",  # ; BLACK VERY SMALL LOZENGE
        "\u1F79F",  # ; BLACK MEDIUM SMALL LOZENGE
        "\u1F7A0",  # ; WHITE LOZENGE CONTAINING BLACK SMALL LOZENGE
        "\u1F7A1",  # ; THIN GREEK CROSS
        "\u1F7A2",  # ; LIGHT GREEK CROSS
        "\u1F7A3",  # ; MEDIUM GREEK CROSS
        "\u1F7A4",  # ; BOLD GREEK CROSS
        "\u1F7A5",  # ; VERY BOLD GREEK CROSS
        "\u1F7A6",  # ; VERY HEAVY GREEK CROSS
        "\u1F7A7",  # ; EXTREMELY HEAVY GREEK CROSS
        "\u1F7A8",  # ; THIN SALTIRE
        "\u1F7A9",  # ; LIGHT SALTIRE
        "\u1F7AA",  # ; MEDIUM SALTIRE
        "\u1F7AB",  # ; BOLD SALTIRE
        "\u1F7AC",  # ; HEAVY SALTIRE
        "\u1F7AD",  # ; VERY HEAVY SALTIRE
        "\u1F7AE",  # ; EXTREMELY HEAVY SALTIRE
        "\u1F7AF",  # ; LIGHT FIVE SPOKED ASTERISK
        "\u1F7B0",  # ; MEDIUM FIVE SPOKED ASTERISK
        "\u1F7B1",  # ; BOLD FIVE SPOKED ASTERISK
        "\u1F7B2",  # ; HEAVY FIVE SPOKED ASTERISK
        "\u1F7B3",  # ; VERY HEAVY FIVE SPOKED ASTERISK
        "\u1F7B4",  # ; EXTREMELY HEAVY FIVE SPOKED ASTERISK
        "\u1F7B5",  # ; LIGHT SIX SPOKED ASTERISK
        "\u1F7B6",  # ; MEDIUM SIX SPOKED ASTERISK
        "\u1F7B7",  # ; BOLD SIX SPOKED ASTERISK
        "\u1F7B8",  # ; HEAVY SIX SPOKED ASTERISK
        "\u1F7B9",  # ; VERY HEAVY SIX SPOKED ASTERISK
        "\u1F7BA",  # ; EXTREMELY HEAVY SIX SPOKED ASTERISK
        "\u1F7BB",  # ; LIGHT EIGHT SPOKED ASTERISK
        "\u1F7BC",  # ; MEDIUM EIGHT SPOKED ASTERISK
        "\u1F7BD",  # ; BOLD EIGHT SPOKED ASTERISK
        "\u1F7BE",  # ; HEAVY EIGHT SPOKED ASTERISK
        "\u1F7BF",  # ; VERY HEAVY EIGHT SPOKED ASTERISK
        "\u1F7C0",  # ; LIGHT THREE POINTED BLACK STAR
        "\u1F7C1",  # ; MEDIUM THREE POINTED BLACK STAR
        "\u1F7C2",  # ; THREE POINTED BLACK STAR
        "\u1F7C3",  # ; MEDIUM THREE POINTED PINWHEEL STAR
        "\u1F7C4",  # ; LIGHT FOUR POINTED BLACK STAR
        "\u1F7C5",  # ; MEDIUM FOUR POINTED BLACK STAR
        "\u1F7C6",  # ; FOUR POINTED BLACK STAR
        "\u1F7C7",  # ; MEDIUM FOUR POINTED PINWHEEL STAR
        "\u1F7C8",  # ; REVERSE LIGHT FOUR POINTED PINWHEEL STAR
        "\u1F7C9",  # ; LIGHT FIVE POINTED BLACK STAR
        "\u1F7CA",  # ; HEAVY FIVE POINTED BLACK STAR
        "\u1F7CB",  # ; MEDIUM SIX POINTED BLACK STAR
        "\u1F7CC",  # ; HEAVY SIX POINTED BLACK STAR
        "\u1F7CD",  # ; SIX POINTED PINWHEEL STAR
        "\u1F7CE",  # ; MEDIUM EIGHT POINTED BLACK STAR
        "\u1F7CF",  # ; HEAVY EIGHT POINTED BLACK STAR
        "\u1F7D0",  # ; VERY HEAVY EIGHT POINTED BLACK STAR
        "\u1F7D1",  # ; HEAVY EIGHT POINTED PINWHEEL STAR
        "\u1F7D2",  # ; LIGHT TWELVE POINTED BLACK STAR
        "\u1F7D3",  # ; HEAVY TWELVE POINTED BLACK STAR
        "\u1F7D4",  # ; HEAVY TWELVE POINTED PINWHEEL STAR
        "\u1F800",  # ; LEFTWARDS ARROW WITH SMALL TRIANGLE ARROWHEAD
        "\u1F801",  # ; UPWARDS ARROW WITH SMALL TRIANGLE ARROWHEAD
        "\u1F802",  # ; RIGHTWARDS ARROW WITH SMALL TRIANGLE ARROWHEAD
        "\u1F803",  # ; DOWNWARDS ARROW WITH SMALL TRIANGLE ARROWHEAD
        "\u1F804",  # ; LEFTWARDS ARROW WITH MEDIUM TRIANGLE ARROWHEAD
        "\u1F805",  # ; UPWARDS ARROW WITH MEDIUM TRIANGLE ARROWHEAD
        "\u1F806",  # ; RIGHTWARDS ARROW WITH MEDIUM TRIANGLE ARROWHEAD
        "\u1F807",  # ; DOWNWARDS ARROW WITH MEDIUM TRIANGLE ARROWHEAD
        "\u1F808",  # ; LEFTWARDS ARROW WITH LARGE TRIANGLE ARROWHEAD
        "\u1F809",  # ; UPWARDS ARROW WITH LARGE TRIANGLE ARROWHEAD
        "\u1F80A",  # ; RIGHTWARDS ARROW WITH LARGE TRIANGLE ARROWHEAD
        "\u1F80B",  # ; DOWNWARDS ARROW WITH LARGE TRIANGLE ARROWHEAD
        "\u1F810",  # ; LEFTWARDS ARROW WITH SMALL EQUILATERAL ARROWHEAD
        "\u1F811",  # ; UPWARDS ARROW WITH SMALL EQUILATERAL ARROWHEAD
        "\u1F812",  # ; RIGHTWARDS ARROW WITH SMALL EQUILATERAL ARROWHEAD
        "\u1F813",  # ; DOWNWARDS ARROW WITH SMALL EQUILATERAL ARROWHEAD
        "\u1F814",  # ; LEFTWARDS ARROW WITH EQUILATERAL ARROWHEAD
        "\u1F815",  # ; UPWARDS ARROW WITH EQUILATERAL ARROWHEAD
        "\u1F816",  # ; RIGHTWARDS ARROW WITH EQUILATERAL ARROWHEAD
        "\u1F817",  # ; DOWNWARDS ARROW WITH EQUILATERAL ARROWHEAD
        "\u1F818",  # ; HEAVY LEFTWARDS ARROW WITH EQUILATERAL ARROWHEAD
        "\u1F819",  # ; HEAVY UPWARDS ARROW WITH EQUILATERAL ARROWHEAD
        "\u1F81A",  # ; HEAVY RIGHTWARDS ARROW WITH EQUILATERAL ARROWHEAD
        "\u1F81B",  # ; HEAVY DOWNWARDS ARROW WITH EQUILATERAL ARROWHEAD
        "\u1F81C",  # ; HEAVY LEFTWARDS ARROW WITH LARGE EQUILATERAL ARROWHEAD
        "\u1F81D",  # ; HEAVY UPWARDS ARROW WITH LARGE EQUILATERAL ARROWHEAD
        "\u1F81E",  # ; HEAVY RIGHTWARDS ARROW WITH LARGE EQUILATERAL ARROWHEAD
        "\u1F81F",  # ; HEAVY DOWNWARDS ARROW WITH LARGE EQUILATERAL ARROWHEAD
        "\u1F820",  # ; LEFTWARDS TRIANGLE-HEADED ARROW WITH NARROW SHAFT
        "\u1F821",  # ; UPWARDS TRIANGLE-HEADED ARROW WITH NARROW SHAFT
        "\u1F822",  # ; RIGHTWARDS TRIANGLE-HEADED ARROW WITH NARROW SHAFT
        "\u1F823",  # ; DOWNWARDS TRIANGLE-HEADED ARROW WITH NARROW SHAFT
        "\u1F824",  # ; LEFTWARDS TRIANGLE-HEADED ARROW WITH MEDIUM SHAFT
        "\u1F825",  # ; UPWARDS TRIANGLE-HEADED ARROW WITH MEDIUM SHAFT
        "\u1F826",  # ; RIGHTWARDS TRIANGLE-HEADED ARROW WITH MEDIUM SHAFT
        "\u1F827",  # ; DOWNWARDS TRIANGLE-HEADED ARROW WITH MEDIUM SHAFT
        "\u1F828",  # ; LEFTWARDS TRIANGLE-HEADED ARROW WITH BOLD SHAFT
        "\u1F829",  # ; UPWARDS TRIANGLE-HEADED ARROW WITH BOLD SHAFT
        "\u1F82A",  # ; RIGHTWARDS TRIANGLE-HEADED ARROW WITH BOLD SHAFT
        "\u1F82B",  # ; DOWNWARDS TRIANGLE-HEADED ARROW WITH BOLD SHAFT
        "\u1F82C",  # ; LEFTWARDS TRIANGLE-HEADED ARROW WITH HEAVY SHAFT
        "\u1F82D",  # ; UPWARDS TRIANGLE-HEADED ARROW WITH HEAVY SHAFT
        "\u1F82E",  # ; RIGHTWARDS TRIANGLE-HEADED ARROW WITH HEAVY SHAFT
        "\u1F82F",  # ; DOWNWARDS TRIANGLE-HEADED ARROW WITH HEAVY SHAFT
        "\u1F830",  # ; LEFTWARDS TRIANGLE-HEADED ARROW WITH VERY HEAVY SHAFT
        "\u1F831",  # ; UPWARDS TRIANGLE-HEADED ARROW WITH VERY HEAVY SHAFT
        "\u1F832",  # ; RIGHTWARDS TRIANGLE-HEADED ARROW WITH VERY HEAVY SHAFT
        "\u1F833",  # ; DOWNWARDS TRIANGLE-HEADED ARROW WITH VERY HEAVY SHAFT
        "\u1F834",  # ; LEFTWARDS FINGER-POST ARROW
        "\u1F835",  # ; UPWARDS FINGER-POST ARROW
        "\u1F836",  # ; RIGHTWARDS FINGER-POST ARROW
        "\u1F837",  # ; DOWNWARDS FINGER-POST ARROW
        "\u1F838",  # ; LEFTWARDS SQUARED ARROW
        "\u1F839",  # ; UPWARDS SQUARED ARROW
        "\u1F83A",  # ; RIGHTWARDS SQUARED ARROW
        "\u1F83B",  # ; DOWNWARDS SQUARED ARROW
        "\u1F83C",  # ; LEFTWARDS COMPRESSED ARROW
        "\u1F83D",  # ; UPWARDS COMPRESSED ARROW
        "\u1F83E",  # ; RIGHTWARDS COMPRESSED ARROW
        "\u1F83F",  # ; DOWNWARDS COMPRESSED ARROW
        "\u1F840",  # ; LEFTWARDS HEAVY COMPRESSED ARROW
        "\u1F841",  # ; UPWARDS HEAVY COMPRESSED ARROW
        "\u1F842",  # ; RIGHTWARDS HEAVY COMPRESSED ARROW
        "\u1F843",  # ; DOWNWARDS HEAVY COMPRESSED ARROW
        "\u1F844",  # ; LEFTWARDS HEAVY ARROW
        "\u1F845",  # ; UPWARDS HEAVY ARROW
        "\u1F846",  # ; RIGHTWARDS HEAVY ARROW
        "\u1F847",  # ; DOWNWARDS HEAVY ARROW
        "\u1F850",  # ; LEFTWARDS SANS-SERIF ARROW
        "\u1F851",  # ; UPWARDS SANS-SERIF ARROW
        "\u1F852",  # ; RIGHTWARDS SANS-SERIF ARROW
        "\u1F853",  # ; DOWNWARDS SANS-SERIF ARROW
        "\u1F854",  # ; NORTH WEST SANS-SERIF ARROW
        "\u1F855",  # ; NORTH EAST SANS-SERIF ARROW
        "\u1F856",  # ; SOUTH EAST SANS-SERIF ARROW
        "\u1F857",  # ; SOUTH WEST SANS-SERIF ARROW
        "\u1F858",  # ; LEFT RIGHT SANS-SERIF ARROW
        "\u1F859",  # ; UP DOWN SANS-SERIF ARROW
        "\u1F860",  # ; WIDE-HEADED LEFTWARDS LIGHT BARB ARROW
        "\u1F861",  # ; WIDE-HEADED UPWARDS LIGHT BARB ARROW
        "\u1F862",  # ; WIDE-HEADED RIGHTWARDS LIGHT BARB ARROW
        "\u1F863",  # ; WIDE-HEADED DOWNWARDS LIGHT BARB ARROW
        "\u1F864",  # ; WIDE-HEADED NORTH WEST LIGHT BARB ARROW
        "\u1F865",  # ; WIDE-HEADED NORTH EAST LIGHT BARB ARROW
        "\u1F866",  # ; WIDE-HEADED SOUTH EAST LIGHT BARB ARROW
        "\u1F867",  # ; WIDE-HEADED SOUTH WEST LIGHT BARB ARROW
        "\u1F868",  # ; WIDE-HEADED LEFTWARDS BARB ARROW
        "\u1F869",  # ; WIDE-HEADED UPWARDS BARB ARROW
        "\u1F86A",  # ; WIDE-HEADED RIGHTWARDS BARB ARROW
        "\u1F86B",  # ; WIDE-HEADED DOWNWARDS BARB ARROW
        "\u1F86C",  # ; WIDE-HEADED NORTH WEST BARB ARROW
        "\u1F86D",  # ; WIDE-HEADED NORTH EAST BARB ARROW
        "\u1F86E",  # ; WIDE-HEADED SOUTH EAST BARB ARROW
        "\u1F86F",  # ; WIDE-HEADED SOUTH WEST BARB ARROW
        "\u1F870",  # ; WIDE-HEADED LEFTWARDS MEDIUM BARB ARROW
        "\u1F871",  # ; WIDE-HEADED UPWARDS MEDIUM BARB ARROW
        "\u1F872",  # ; WIDE-HEADED RIGHTWARDS MEDIUM BARB ARROW
        "\u1F873",  # ; WIDE-HEADED DOWNWARDS MEDIUM BARB ARROW
        "\u1F874",  # ; WIDE-HEADED NORTH WEST MEDIUM BARB ARROW
        "\u1F875",  # ; WIDE-HEADED NORTH EAST MEDIUM BARB ARROW
        "\u1F876",  # ; WIDE-HEADED SOUTH EAST MEDIUM BARB ARROW
        "\u1F877",  # ; WIDE-HEADED SOUTH WEST MEDIUM BARB ARROW
        "\u1F878",  # ; WIDE-HEADED LEFTWARDS HEAVY BARB ARROW
        "\u1F879",  # ; WIDE-HEADED UPWARDS HEAVY BARB ARROW
        "\u1F87A",  # ; WIDE-HEADED RIGHTWARDS HEAVY BARB ARROW
        "\u1F87B",  # ; WIDE-HEADED DOWNWARDS HEAVY BARB ARROW
        "\u1F87C",  # ; WIDE-HEADED NORTH WEST HEAVY BARB ARROW
        "\u1F87D",  # ; WIDE-HEADED NORTH EAST HEAVY BARB ARROW
        "\u1F87E",  # ; WIDE-HEADED SOUTH EAST HEAVY BARB ARROW
        "\u1F87F",  # ; WIDE-HEADED SOUTH WEST HEAVY BARB ARROW
        "\u1F880",  # ; WIDE-HEADED LEFTWARDS VERY HEAVY BARB ARROW
        "\u1F881",  # ; WIDE-HEADED UPWARDS VERY HEAVY BARB ARROW
        "\u1F882",  # ; WIDE-HEADED RIGHTWARDS VERY HEAVY BARB ARROW
        "\u1F883",  # ; WIDE-HEADED DOWNWARDS VERY HEAVY BARB ARROW
        "\u1F884",  # ; WIDE-HEADED NORTH WEST VERY HEAVY BARB ARROW
        "\u1F885",  # ; WIDE-HEADED NORTH EAST VERY HEAVY BARB ARROW
        "\u1F886",  # ; WIDE-HEADED SOUTH EAST VERY HEAVY BARB ARROW
        "\u1F887",  # ; WIDE-HEADED SOUTH WEST VERY HEAVY BARB ARROW
        "\u1F890",  # ; LEFTWARDS TRIANGLE ARROWHEAD
        "\u1F891",  # ; UPWARDS TRIANGLE ARROWHEAD
        "\u1F892",  # ; RIGHTWARDS TRIANGLE ARROWHEAD
        "\u1F893",  # ; DOWNWARDS TRIANGLE ARROWHEAD
        "\u1F894",  # ; LEFTWARDS WHITE ARROW WITHIN TRIANGLE ARROWHEAD
        "\u1F895",  # ; UPWARDS WHITE ARROW WITHIN TRIANGLE ARROWHEAD
        "\u1F896",  # ; RIGHTWARDS WHITE ARROW WITHIN TRIANGLE ARROWHEAD
        "\u1F897",  # ; DOWNWARDS WHITE ARROW WITHIN TRIANGLE ARROWHEAD
        "\u1F898",  # ; LEFTWARDS ARROW WITH NOTCHED TAIL
        "\u1F899",  # ; UPWARDS ARROW WITH NOTCHED TAIL
        "\u1F89A",  # ; RIGHTWARDS ARROW WITH NOTCHED TAIL
        "\u1F89B",  # ; DOWNWARDS ARROW WITH NOTCHED TAIL
        "\u1F89C",  # ; HEAVY ARROW SHAFT WIDTH ONE
        "\u1F89D",  # ; HEAVY ARROW SHAFT WIDTH TWO THIRDS
        "\u1F89E",  # ; HEAVY ARROW SHAFT WIDTH ONE HALF
        "\u1F89F",  # ; HEAVY ARROW SHAFT WIDTH ONE THIRD
        "\u1F8A0",  # ; LEFTWARDS BOTTOM-SHADED WHITE ARROW
        "\u1F8A1",  # ; RIGHTWARDS BOTTOM SHADED WHITE ARROW
        "\u1F8A2",  # ; LEFTWARDS TOP SHADED WHITE ARROW
        "\u1F8A3",  # ; RIGHTWARDS TOP SHADED WHITE ARROW
        "\u1F8A4",  # ; LEFTWARDS LEFT-SHADED WHITE ARROW
        "\u1F8A5",  # ; RIGHTWARDS RIGHT-SHADED WHITE ARROW
        "\u1F8A6",  # ; LEFTWARDS RIGHT-SHADED WHITE ARROW
        "\u1F8A7",  # ; RIGHTWARDS LEFT-SHADED WHITE ARROW
        "\u1F8A8",  # ; LEFTWARDS BACK-TILTED SHADOWED WHITE ARROW
        "\u1F8A9",  # ; RIGHTWARDS BACK-TILTED SHADOWED WHITE ARROW
        "\u1F8AA",  # ; LEFTWARDS FRONT-TILTED SHADOWED WHITE ARROW
        "\u1F8AB",  # ; RIGHTWARDS FRONT-TILTED SHADOWED WHITE ARROW
        "\u1F8AC",  # ; WHITE ARROW SHAFT WIDTH ONE
        "\u1F8AD",  # ; WHITE ARROW SHAFT WIDTH TWO THIRDS
        "\u1F900",  # ; CIRCLED CROSS FORMEE WITH FOUR DOTS
        "\u1F901",  # ; CIRCLED CROSS FORMEE WITH TWO DOTS
        "\u1F902",  # ; CIRCLED CROSS FORMEE
        "\u1F903",  # ; LEFT HALF CIRCLE WITH FOUR DOTS
        "\u1F904",  # ; LEFT HALF CIRCLE WITH THREE DOTS
        "\u1F905",  # ; LEFT HALF CIRCLE WITH TWO DOTS
        "\u1F906",  # ; LEFT HALF CIRCLE WITH DOT
        "\u1F907",  # ; LEFT HALF CIRCLE
        "\u1F908",  # ; DOWNWARD FACING HOOK
        "\u1F909",  # ; DOWNWARD FACING NOTCHED HOOK
        "\u1F90A",  # ; DOWNWARD FACING HOOK WITH DOT
        "\u1F90B",  # ; DOWNWARD FACING NOTCHED HOOK WITH DOT
        "\u1F910",  # ; ZIPPER-MOUTH FACE
        "\u1F911",  # ; MONEY-MOUTH FACE
        "\u1F912",  # ; FACE WITH THERMOMETER
        "\u1F913",  # ; NERD FACE
        "\u1F914",  # ; THINKING FACE
        "\u1F915",  # ; FACE WITH HEAD-BANDAGE
        "\u1F916",  # ; ROBOT FACE
        "\u1F917",  # ; HUGGING FACE
        "\u1F918",  # ; SIGN OF THE HORNS
        "\u1F919",  # ; CALL ME HAND
        "\u1F91A",  # ; RAISED BACK OF HAND
        "\u1F91B",  # ; LEFT-FACING FIST
        "\u1F91C",  # ; RIGHT-FACING FIST
        "\u1F91D",  # ; HANDSHAKE
        "\u1F91E",  # ; HAND WITH INDEX AND MIDDLE FINGERS CROSSED
        "\u1F91F",  # ; I LOVE YOU HAND SIGN
        "\u1F920",  # ; FACE WITH COWBOY HAT
        "\u1F921",  # ; CLOWN FACE
        "\u1F922",  # ; NAUSEATED FACE
        "\u1F923",  # ; ROLLING ON THE FLOOR LAUGHING
        "\u1F924",  # ; DROOLING FACE
        "\u1F925",  # ; LYING FACE
        "\u1F926",  # ; FACE PALM
        "\u1F927",  # ; SNEEZING FACE
        "\u1F928",  # ; FACE WITH ONE EYEBROW RAISED
        "\u1F929",  # ; GRINNING FACE WITH STAR EYES
        "\u1F92A",  # ; GRINNING FACE WITH ONE LARGE AND ONE SMALL EYE
        "\u1F92B",  # ; FACE WITH FINGER COVERING CLOSED LIPS
        "\u1F92C",  # ; SERIOUS FACE WITH SYMBOLS COVERING MOUTH
        "\u1F92D",  # ; SMILING FACE WITH SMILING EYES AND HAND COVERING MOUTH
        "\u1F92E",  # ; FACE WITH OPEN MOUTH VOMITING
        "\u1F92F",  # ; SHOCKED FACE WITH EXPLODING HEAD
        "\u1F930",  # ; PREGNANT WOMAN
        "\u1F931",  # ; BREAST-FEEDING
        "\u1F932",  # ; PALMS UP TOGETHER
        "\u1F933",  # ; SELFIE
        "\u1F934",  # ; PRINCE
        "\u1F935",  # ; MAN IN TUXEDO
        "\u1F936",  # ; MOTHER CHRISTMAS
        "\u1F937",  # ; SHRUG
        "\u1F938",  # ; PERSON DOING CARTWHEEL
        "\u1F939",  # ; JUGGLING
        "\u1F93A",  # ; FENCER
        "\u1F93B",  # ; MODERN PENTATHLON
        "\u1F93C",  # ; WRESTLERS
        "\u1F93D",  # ; WATER POLO
        "\u1F93E",  # ; HANDBALL
        "\u1F940",  # ; WILTED FLOWER
        "\u1F941",  # ; DRUM WITH DRUMSTICKS
        "\u1F942",  # ; CLINKING GLASSES
        "\u1F943",  # ; TUMBLER GLASS
        "\u1F944",  # ; SPOON
        "\u1F945",  # ; GOAL NET
        "\u1F946",  # ; RIFLE
        "\u1F947",  # ; FIRST PLACE MEDAL
        "\u1F948",  # ; SECOND PLACE MEDAL
        "\u1F949",  # ; THIRD PLACE MEDAL
        "\u1F94A",  # ; BOXING GLOVE
        "\u1F94B",  # ; MARTIAL ARTS UNIFORM
        "\u1F94C",  # ; CURLING STONE
        "\u1F950",  # ; CROISSANT
        "\u1F951",  # ; AVOCADO
        "\u1F952",  # ; CUCUMBER
        "\u1F953",  # ; BACON
        "\u1F954",  # ; POTATO
        "\u1F955",  # ; CARROT
        "\u1F956",  # ; BAGUETTE BREAD
        "\u1F957",  # ; GREEN SALAD
        "\u1F958",  # ; SHALLOW PAN OF FOOD
        "\u1F959",  # ; STUFFED FLATBREAD
        "\u1F95A",  # ; EGG
        "\u1F95B",  # ; GLASS OF MILK
        "\u1F95C",  # ; PEANUTS
        "\u1F95D",  # ; KIWIFRUIT
        "\u1F95E",  # ; PANCAKES
        "\u1F95F",  # ; DUMPLING
        "\u1F960",  # ; FORTUNE COOKIE
        "\u1F961",  # ; TAKEOUT BOX
        "\u1F962",  # ; CHOPSTICKS
        "\u1F963",  # ; BOWL WITH SPOON
        "\u1F964",  # ; CUP WITH STRAW
        "\u1F965",  # ; COCONUT
        "\u1F966",  # ; BROCCOLI
        "\u1F967",  # ; PIE
        "\u1F968",  # ; PRETZEL
        "\u1F969",  # ; CUT OF MEAT
        "\u1F96A",  # ; SANDWICH
        "\u1F96B",  # ; CANNED FOOD
        "\u1F980",  # ; CRAB
        "\u1F981",  # ; LION FACE
        "\u1F982",  # ; SCORPION
        "\u1F983",  # ; TURKEY
        "\u1F984",  # ; UNICORN FACE
        "\u1F985",  # ; EAGLE
        "\u1F986",  # ; DUCK
        "\u1F987",  # ; BAT
        "\u1F988",  # ; SHARK
        "\u1F989",  # ; OWL
        "\u1F98A",  # ; FOX FACE
        "\u1F98B",  # ; BUTTERFLY
        "\u1F98C",  # ; DEER
        "\u1F98D",  # ; GORILLA
        "\u1F98E",  # ; LIZARD
        "\u1F98F",  # ; RHINOCEROS
        "\u1F990",  # ; SHRIMP
        "\u1F991",  # ; SQUID
        "\u1F992",  # ; GIRAFFE FACE
        "\u1F993",  # ; ZEBRA FACE
        "\u1F994",  # ; HEDGEHOG
        "\u1F995",  # ; SAUROPOD
        "\u1F996",  # ; T-REX
        "\u1F997",  # ; CRICKET
        "\u1F9C0",  # ; CHEESE WEDGE
        "\u1F9D0",  # ; FACE WITH MONOCLE
        "\u1F9D1",  # ; ADULT
        "\u1F9D2",  # ; CHILD
        "\u1F9D3",  # ; OLDER ADULT
        "\u1F9D4",  # ; BEARDED PERSON
        "\u1F9D5",  # ; PERSON WITH HEADSCARF
        "\u1F9D6",  # ; PERSON IN STEAMY ROOM
        "\u1F9D7",  # ; PERSON CLIMBING
        "\u1F9D8",  # ; PERSON IN LOTUS POSITION
        "\u1F9D9",  # ; MAGE
        "\u1F9DA",  # ; FAIRY
        "\u1F9DB",  # ; VAMPIRE
        "\u1F9DC",  # ; MERPERSON
        "\u1F9DD",  # ; ELF
        "\u1F9DE",  # ; GENIE
        "\u1F9DF",  # ; ZOMBIE
        "\u1F9E0",  # ; BRAIN
        "\u1F9E1",  # ; ORANGE HEART
        "\u1F9E2",  # ; BILLED CAP
        "\u1F9E3",  # ; SCARF
        "\u1F9E4",  # ; GLOVES
        "\u1F9E5",  # ; COAT
        "\u1F9E6",  # ; SOCKS
        "\u20000","\u20001","\u20002","\u20003","\u20004","\u20005","\u20006","\u20007","\u20008","\u20009","\u2000a","\u2000b","\u2000c","\u2000d","\u2000e","\u2000f","\u20010","\u20011","\u20012","\u20013","\u20014","\u20015","\u20016","\u20017","\u20018","\u20019","\u2001a","\u2001b","\u2001c","\u2001d","\u2001e","\u2001f","\u20020","\u20021","\u20022","\u20023","\u20024","\u20025","\u20026","\u20027","\u20028","\u20029","\u2002a","\u2002b","\u2002c","\u2002d","\u2002e","\u2002f","\u20030","\u20031","\u20032","\u20033","\u20034","\u20035","\u20036","\u20037","\u20038","\u20039","\u2003a","\u2003b","\u2003c","\u2003d","\u2003e","\u2003f","\u20040","\u20041","\u20042","\u20043","\u20044","\u20045","\u20046","\u20047","\u20048","\u20049","\u2004a","\u2004b","\u2004c","\u2004d","\u2004e","\u2004f","\u20050","\u20051","\u20052","\u20053","\u20054","\u20055","\u20056","\u20057","\u20058","\u20059","\u2005a","\u2005b","\u2005c","\u2005d","\u2005e","\u2005f","\u20060","\u20061","\u20062","\u20063","\u20064","\u20065","\u20066","\u20067","\u20068","\u20069","\u2006a","\u2006b","\u2006c","\u2006d","\u2006e","\u2006f","\u20070","\u20071","\u20072","\u20073","\u20074","\u20075","\u20076","\u20077","\u20078","\u20079","\u2007a","\u2007b","\u2007c","\u2007d","\u2007e","\u2007f","\u20080","\u20081","\u20082","\u20083","\u20084","\u20085","\u20086","\u20087","\u20088","\u20089","\u2008a","\u2008b","\u2008c","\u2008d","\u2008e","\u2008f","\u20090","\u20091","\u20092","\u20093","\u20094","\u20095","\u20096","\u20097","\u20098","\u20099","\u2009a","\u2009b","\u2009c","\u2009d","\u2009e","\u2009f","\u200a0","\u200a1","\u200a2","\u200a3","\u200a4","\u200a5","\u200a6","\u200a7","\u200a8","\u200a9","\u200aa","\u200ab","\u200ac","\u200ad","\u200ae","\u200af","\u200b0","\u200b1","\u200b2","\u200b3","\u200b4","\u200b5","\u200b6","\u200b7","\u200b8","\u200b9","\u200ba","\u200bb","\u200bc","\u200bd","\u200be","\u200bf","\u200c0","\u200c1","\u200c2","\u200c3","\u200c4","\u200c5","\u200c6","\u200c7","\u200c8","\u200c9","\u200ca","\u200cb","\u200cc","\u200cd","\u200ce","\u200cf","\u200d0","\u200d1","\u200d2","\u200d3","\u200d4","\u200d5","\u200d6","\u200d7","\u200d8","\u200d9","\u200da","\u200db","\u200dc","\u200dd","\u200de","\u200df","\u200e0","\u200e1","\u200e2","\u200e3","\u200e4","\u200e5","\u200e6","\u200e7","\u200e8","\u200e9","\u200ea","\u200eb","\u200ec","\u200ed","\u200ee","\u200ef","\u200f0","\u200f1","\u200f2","\u200f3","\u200f4","\u200f5","\u200f6","\u200f7","\u200f8","\u200f9","\u200fa","\u200fb","\u200fc","\u200fd","\u200fe","\u200ff","\u20100","\u20101","\u20102","\u20103","\u20104","\u20105","\u20106","\u20107","\u20108","\u20109","\u2010a","\u2010b","\u2010c","\u2010d","\u2010e","\u2010f","\u20110","\u20111","\u20112","\u20113","\u20114","\u20115","\u20116","\u20117","\u20118","\u20119","\u2011a","\u2011b","\u2011c","\u2011d","\u2011e","\u2011f","\u20120","\u20121","\u20122","\u20123","\u20124","\u20125","\u20126","\u20127","\u20128","\u20129","\u2012a","\u2012b","\u2012c","\u2012d","\u2012e","\u2012f","\u20130","\u20131","\u20132","\u20133","\u20134","\u20135","\u20136","\u20137","\u20138","\u20139","\u2013a","\u2013b","\u2013c","\u2013d","\u2013e","\u2013f","\u20140","\u20141","\u20142","\u20143","\u20144","\u20145","\u20146","\u20147","\u20148","\u20149","\u2014a","\u2014b","\u2014c","\u2014d","\u2014e","\u2014f","\u20150","\u20151","\u20152","\u20153","\u20154","\u20155","\u20156","\u20157","\u20158","\u20159","\u2015a","\u2015b","\u2015c","\u2015d","\u2015e","\u2015f","\u20160","\u20161","\u20162","\u20163","\u20164","\u20165","\u20166","\u20167","\u20168","\u20169","\u2016a","\u2016b","\u2016c","\u2016d","\u2016e","\u2016f","\u20170","\u20171","\u20172","\u20173","\u20174","\u20175","\u20176","\u20177","\u20178","\u20179","\u2017a","\u2017b","\u2017c","\u2017d","\u2017e","\u2017f","\u20180","\u20181","\u20182","\u20183","\u20184","\u20185","\u20186","\u20187","\u20188","\u20189","\u2018a","\u2018b","\u2018c","\u2018d","\u2018e","\u2018f","\u20190","\u20191","\u20192","\u20193","\u20194","\u20195","\u20196","\u20197","\u20198","\u20199","\u2019a","\u2019b","\u2019c","\u2019d","\u2019e","\u2019f","\u201a0","\u201a1","\u201a2","\u201a3","\u201a4","\u201a5","\u201a6","\u201a7","\u201a8","\u201a9","\u201aa","\u201ab","\u201ac","\u201ad","\u201ae","\u201af","\u201b0","\u201b1","\u201b2","\u201b3","\u201b4","\u201b5","\u201b6","\u201b7","\u201b8","\u201b9","\u201ba","\u201bb","\u201bc","\u201bd","\u201be","\u201bf","\u201c0","\u201c1","\u201c2","\u201c3","\u201c4","\u201c5","\u201c6","\u201c7","\u201c8","\u201c9","\u201ca","\u201cb","\u201cc","\u201cd","\u201ce","\u201cf","\u201d0","\u201d1","\u201d2","\u201d3","\u201d4","\u201d5","\u201d6","\u201d7","\u201d8","\u201d9","\u201da","\u201db","\u201dc","\u201dd","\u201de","\u201df","\u201e0","\u201e1","\u201e2","\u201e3","\u201e4","\u201e5","\u201e6","\u201e7","\u201e8","\u201e9","\u201ea","\u201eb","\u201ec","\u201ed","\u201ee","\u201ef","\u201f0","\u201f1","\u201f2","\u201f3","\u201f4","\u201f5","\u201f6","\u201f7","\u201f8","\u201f9","\u201fa","\u201fb","\u201fc","\u201fd","\u201fe","\u201ff","\u20200","\u20201","\u20202","\u20203","\u20204","\u20205","\u20206","\u20207","\u20208","\u20209","\u2020a","\u2020b","\u2020c","\u2020d","\u2020e","\u2020f","\u20210","\u20211","\u20212","\u20213","\u20214","\u20215","\u20216","\u20217","\u20218","\u20219","\u2021a","\u2021b","\u2021c","\u2021d","\u2021e","\u2021f","\u20220","\u20221","\u20222","\u20223","\u20224","\u20225","\u20226","\u20227","\u20228","\u20229","\u2022a","\u2022b","\u2022c","\u2022d","\u2022e","\u2022f","\u20230","\u20231","\u20232","\u20233","\u20234","\u20235","\u20236","\u20237","\u20238","\u20239","\u2023a","\u2023b","\u2023c","\u2023d","\u2023e","\u2023f","\u20240","\u20241","\u20242","\u20243","\u20244","\u20245","\u20246","\u20247","\u20248","\u20249","\u2024a","\u2024b","\u2024c","\u2024d","\u2024e","\u2024f","\u20250","\u20251","\u20252","\u20253","\u20254","\u20255","\u20256","\u20257","\u20258","\u20259","\u2025a","\u2025b","\u2025c","\u2025d","\u2025e","\u2025f","\u20260","\u20261","\u20262","\u20263","\u20264","\u20265","\u20266","\u20267","\u20268","\u20269","\u2026a","\u2026b","\u2026c","\u2026d","\u2026e","\u2026f","\u20270","\u20271","\u20272","\u20273","\u20274","\u20275","\u20276","\u20277","\u20278","\u20279","\u2027a","\u2027b","\u2027c","\u2027d","\u2027e","\u2027f","\u20280","\u20281","\u20282","\u20283","\u20284","\u20285","\u20286","\u20287","\u20288","\u20289","\u2028a","\u2028b","\u2028c","\u2028d","\u2028e","\u2028f","\u20290","\u20291","\u20292","\u20293","\u20294","\u20295","\u20296","\u20297","\u20298","\u20299","\u2029a","\u2029b","\u2029c","\u2029d","\u2029e","\u2029f","\u202a0","\u202a1","\u202a2","\u202a3","\u202a4","\u202a5","\u202a6","\u202a7","\u202a8","\u202a9","\u202aa","\u202ab","\u202ac","\u202ad","\u202ae","\u202af","\u202b0","\u202b1","\u202b2","\u202b3","\u202b4","\u202b5","\u202b6","\u202b7","\u202b8","\u202b9","\u202ba","\u202bb","\u202bc","\u202bd","\u202be","\u202bf","\u202c0","\u202c1","\u202c2","\u202c3","\u202c4","\u202c5","\u202c6","\u202c7","\u202c8","\u202c9","\u202ca","\u202cb","\u202cc","\u202cd","\u202ce","\u202cf","\u202d0","\u202d1","\u202d2","\u202d3","\u202d4","\u202d5","\u202d6","\u202d7","\u202d8","\u202d9","\u202da","\u202db","\u202dc","\u202dd","\u202de","\u202df","\u202e0","\u202e1","\u202e2","\u202e3","\u202e4","\u202e5","\u202e6","\u202e7","\u202e8","\u202e9","\u202ea","\u202eb","\u202ec","\u202ed","\u202ee","\u202ef","\u202f0","\u202f1","\u202f2","\u202f3","\u202f4","\u202f5","\u202f6","\u202f7","\u202f8","\u202f9","\u202fa","\u202fb","\u202fc","\u202fd","\u202fe","\u202ff","\u20300","\u20301","\u20302","\u20303","\u20304","\u20305","\u20306","\u20307","\u20308","\u20309","\u2030a","\u2030b","\u2030c","\u2030d","\u2030e","\u2030f","\u20310","\u20311","\u20312","\u20313","\u20314","\u20315","\u20316","\u20317","\u20318","\u20319","\u2031a","\u2031b","\u2031c","\u2031d","\u2031e","\u2031f","\u20320","\u20321","\u20322","\u20323","\u20324","\u20325","\u20326","\u20327","\u20328","\u20329","\u2032a","\u2032b","\u2032c","\u2032d","\u2032e","\u2032f","\u20330","\u20331","\u20332","\u20333","\u20334","\u20335","\u20336","\u20337","\u20338","\u20339","\u2033a","\u2033b","\u2033c","\u2033d","\u2033e","\u2033f","\u20340","\u20341","\u20342","\u20343","\u20344","\u20345","\u20346","\u20347","\u20348","\u20349","\u2034a","\u2034b","\u2034c","\u2034d","\u2034e","\u2034f","\u20350","\u20351","\u20352","\u20353","\u20354","\u20355","\u20356","\u20357","\u20358","\u20359","\u2035a","\u2035b","\u2035c","\u2035d","\u2035e","\u2035f","\u20360","\u20361","\u20362","\u20363","\u20364","\u20365","\u20366","\u20367","\u20368","\u20369","\u2036a","\u2036b","\u2036c","\u2036d","\u2036e","\u2036f","\u20370","\u20371","\u20372","\u20373","\u20374","\u20375","\u20376","\u20377","\u20378","\u20379","\u2037a","\u2037b","\u2037c","\u2037d","\u2037e","\u2037f","\u20380","\u20381","\u20382","\u20383","\u20384","\u20385","\u20386","\u20387","\u20388","\u20389","\u2038a","\u2038b","\u2038c","\u2038d","\u2038e","\u2038f","\u20390","\u20391","\u20392","\u20393","\u20394","\u20395","\u20396","\u20397","\u20398","\u20399","\u2039a","\u2039b","\u2039c","\u2039d","\u2039e","\u2039f","\u203a0","\u203a1","\u203a2","\u203a3","\u203a4","\u203a5","\u203a6","\u203a7","\u203a8","\u203a9","\u203aa","\u203ab","\u203ac","\u203ad","\u203ae","\u203af","\u203b0","\u203b1","\u203b2","\u203b3","\u203b4","\u203b5","\u203b6","\u203b7","\u203b8","\u203b9","\u203ba","\u203bb","\u203bc","\u203bd","\u203be","\u203bf","\u203c0","\u203c1","\u203c2","\u203c3","\u203c4","\u203c5","\u203c6","\u203c7","\u203c8","\u203c9","\u203ca","\u203cb","\u203cc","\u203cd","\u203ce","\u203cf","\u203d0","\u203d1","\u203d2","\u203d3","\u203d4","\u203d5","\u203d6","\u203d7","\u203d8","\u203d9","\u203da","\u203db","\u203dc","\u203dd","\u203de","\u203df","\u203e0","\u203e1","\u203e2","\u203e3","\u203e4","\u203e5","\u203e6","\u203e7","\u203e8","\u203e9","\u203ea","\u203eb","\u203ec","\u203ed","\u203ee","\u203ef","\u203f0","\u203f1","\u203f2","\u203f3","\u203f4","\u203f5","\u203f6","\u203f7","\u203f8","\u203f9","\u203fa","\u203fb","\u203fc","\u203fd","\u203fe","\u203ff","\u20400","\u20401","\u20402","\u20403","\u20404","\u20405","\u20406","\u20407","\u20408","\u20409","\u2040a","\u2040b","\u2040c","\u2040d","\u2040e","\u2040f","\u20410","\u20411","\u20412","\u20413","\u20414","\u20415","\u20416","\u20417","\u20418","\u20419","\u2041a","\u2041b","\u2041c","\u2041d","\u2041e","\u2041f","\u20420","\u20421","\u20422","\u20423","\u20424","\u20425","\u20426","\u20427","\u20428","\u20429","\u2042a","\u2042b","\u2042c","\u2042d","\u2042e","\u2042f","\u20430","\u20431","\u20432","\u20433","\u20434","\u20435","\u20436","\u20437","\u20438","\u20439","\u2043a","\u2043b","\u2043c","\u2043d","\u2043e","\u2043f","\u20440","\u20441","\u20442","\u20443","\u20444","\u20445","\u20446","\u20447","\u20448","\u20449","\u2044a","\u2044b","\u2044c","\u2044d","\u2044e","\u2044f","\u20450","\u20451","\u20452","\u20453","\u20454","\u20455","\u20456","\u20457","\u20458","\u20459","\u2045a","\u2045b","\u2045c","\u2045d","\u2045e","\u2045f","\u20460","\u20461","\u20462","\u20463","\u20464","\u20465","\u20466","\u20467","\u20468","\u20469","\u2046a","\u2046b","\u2046c","\u2046d","\u2046e","\u2046f","\u20470","\u20471","\u20472","\u20473","\u20474","\u20475","\u20476","\u20477","\u20478","\u20479","\u2047a","\u2047b","\u2047c","\u2047d","\u2047e","\u2047f","\u20480","\u20481","\u20482","\u20483","\u20484","\u20485","\u20486","\u20487","\u20488","\u20489","\u2048a","\u2048b","\u2048c","\u2048d","\u2048e","\u2048f","\u20490","\u20491","\u20492","\u20493","\u20494","\u20495","\u20496","\u20497","\u20498","\u20499","\u2049a","\u2049b","\u2049c","\u2049d","\u2049e","\u2049f","\u204a0","\u204a1","\u204a2","\u204a3","\u204a4","\u204a5","\u204a6","\u204a7","\u204a8","\u204a9","\u204aa","\u204ab","\u204ac","\u204ad","\u204ae","\u204af","\u204b0","\u204b1","\u204b2","\u204b3","\u204b4","\u204b5","\u204b6","\u204b7","\u204b8","\u204b9","\u204ba","\u204bb","\u204bc","\u204bd","\u204be","\u204bf","\u204c0","\u204c1","\u204c2","\u204c3","\u204c4","\u204c5","\u204c6","\u204c7","\u204c8","\u204c9","\u204ca","\u204cb","\u204cc","\u204cd","\u204ce","\u204cf","\u204d0","\u204d1","\u204d2","\u204d3","\u204d4","\u204d5","\u204d6","\u204d7","\u204d8","\u204d9","\u204da","\u204db","\u204dc","\u204dd","\u204de","\u204df","\u204e0","\u204e1","\u204e2","\u204e3","\u204e4","\u204e5","\u204e6","\u204e7","\u204e8","\u204e9","\u204ea","\u204eb","\u204ec","\u204ed","\u204ee","\u204ef","\u204f0","\u204f1","\u204f2","\u204f3","\u204f4","\u204f5","\u204f6","\u204f7","\u204f8","\u204f9","\u204fa","\u204fb","\u204fc","\u204fd","\u204fe","\u204ff","\u20500","\u20501","\u20502","\u20503","\u20504","\u20505","\u20506","\u20507","\u20508","\u20509","\u2050a","\u2050b","\u2050c","\u2050d","\u2050e","\u2050f","\u20510","\u20511","\u20512","\u20513","\u20514","\u20515","\u20516","\u20517","\u20518","\u20519","\u2051a","\u2051b","\u2051c","\u2051d","\u2051e","\u2051f","\u20520","\u20521","\u20522","\u20523","\u20524","\u20525","\u20526","\u20527","\u20528","\u20529","\u2052a","\u2052b","\u2052c","\u2052d","\u2052e","\u2052f","\u20530","\u20531","\u20532","\u20533","\u20534","\u20535","\u20536","\u20537","\u20538","\u20539","\u2053a","\u2053b","\u2053c","\u2053d","\u2053e","\u2053f","\u20540","\u20541","\u20542","\u20543","\u20544","\u20545","\u20546","\u20547","\u20548","\u20549","\u2054a","\u2054b","\u2054c","\u2054d","\u2054e","\u2054f","\u20550","\u20551","\u20552","\u20553","\u20554","\u20555","\u20556","\u20557","\u20558","\u20559","\u2055a","\u2055b","\u2055c","\u2055d","\u2055e","\u2055f","\u20560","\u20561","\u20562","\u20563","\u20564","\u20565","\u20566","\u20567","\u20568","\u20569","\u2056a","\u2056b","\u2056c","\u2056d","\u2056e","\u2056f","\u20570","\u20571","\u20572","\u20573","\u20574","\u20575","\u20576","\u20577","\u20578","\u20579","\u2057a","\u2057b","\u2057c","\u2057d","\u2057e","\u2057f","\u20580","\u20581","\u20582","\u20583","\u20584","\u20585","\u20586","\u20587","\u20588","\u20589","\u2058a","\u2058b","\u2058c","\u2058d","\u2058e","\u2058f","\u20590","\u20591","\u20592","\u20593","\u20594","\u20595","\u20596","\u20597","\u20598","\u20599","\u2059a","\u2059b","\u2059c","\u2059d","\u2059e","\u2059f","\u205a0","\u205a1","\u205a2","\u205a3","\u205a4","\u205a5","\u205a6","\u205a7","\u205a8","\u205a9","\u205aa","\u205ab","\u205ac","\u205ad","\u205ae","\u205af","\u205b0","\u205b1","\u205b2","\u205b3","\u205b4","\u205b5","\u205b6","\u205b7","\u205b8","\u205b9","\u205ba","\u205bb","\u205bc","\u205bd","\u205be","\u205bf","\u205c0","\u205c1","\u205c2","\u205c3","\u205c4","\u205c5","\u205c6","\u205c7","\u205c8","\u205c9","\u205ca","\u205cb","\u205cc","\u205cd","\u205ce","\u205cf","\u205d0","\u205d1","\u205d2","\u205d3","\u205d4","\u205d5","\u205d6","\u205d7","\u205d8","\u205d9","\u205da","\u205db","\u205dc","\u205dd","\u205de","\u205df","\u205e0","\u205e1","\u205e2","\u205e3","\u205e4","\u205e5","\u205e6","\u205e7","\u205e8","\u205e9","\u205ea","\u205eb","\u205ec","\u205ed","\u205ee","\u205ef","\u205f0","\u205f1","\u205f2","\u205f3","\u205f4","\u205f5","\u205f6","\u205f7","\u205f8","\u205f9","\u205fa","\u205fb","\u205fc","\u205fd","\u205fe","\u205ff","\u20600","\u20601","\u20602","\u20603","\u20604","\u20605","\u20606","\u20607","\u20608","\u20609","\u2060a","\u2060b","\u2060c","\u2060d","\u2060e","\u2060f","\u20610","\u20611","\u20612","\u20613","\u20614","\u20615","\u20616","\u20617","\u20618","\u20619","\u2061a","\u2061b","\u2061c","\u2061d","\u2061e","\u2061f","\u20620","\u20621","\u20622","\u20623","\u20624","\u20625","\u20626","\u20627","\u20628","\u20629","\u2062a","\u2062b","\u2062c","\u2062d","\u2062e","\u2062f","\u20630","\u20631","\u20632","\u20633","\u20634","\u20635","\u20636","\u20637","\u20638","\u20639","\u2063a","\u2063b","\u2063c","\u2063d","\u2063e","\u2063f","\u20640","\u20641","\u20642","\u20643","\u20644","\u20645","\u20646","\u20647","\u20648","\u20649","\u2064a","\u2064b","\u2064c","\u2064d","\u2064e","\u2064f","\u20650","\u20651","\u20652","\u20653","\u20654","\u20655","\u20656","\u20657","\u20658","\u20659","\u2065a","\u2065b","\u2065c","\u2065d","\u2065e","\u2065f","\u20660","\u20661","\u20662","\u20663","\u20664","\u20665","\u20666","\u20667","\u20668","\u20669","\u2066a","\u2066b","\u2066c","\u2066d","\u2066e","\u2066f","\u20670","\u20671","\u20672","\u20673","\u20674","\u20675","\u20676","\u20677","\u20678","\u20679","\u2067a","\u2067b","\u2067c","\u2067d","\u2067e","\u2067f","\u20680","\u20681","\u20682","\u20683","\u20684","\u20685","\u20686","\u20687","\u20688","\u20689","\u2068a","\u2068b","\u2068c","\u2068d","\u2068e","\u2068f","\u20690","\u20691","\u20692","\u20693","\u20694","\u20695","\u20696","\u20697","\u20698","\u20699","\u2069a","\u2069b","\u2069c","\u2069d","\u2069e","\u2069f","\u206a0","\u206a1","\u206a2","\u206a3","\u206a4","\u206a5","\u206a6","\u206a7","\u206a8","\u206a9","\u206aa","\u206ab","\u206ac","\u206ad","\u206ae","\u206af","\u206b0","\u206b1","\u206b2","\u206b3","\u206b4","\u206b5","\u206b6","\u206b7","\u206b8","\u206b9","\u206ba","\u206bb","\u206bc","\u206bd","\u206be","\u206bf","\u206c0","\u206c1","\u206c2","\u206c3","\u206c4","\u206c5","\u206c6","\u206c7","\u206c8","\u206c9","\u206ca","\u206cb","\u206cc","\u206cd","\u206ce","\u206cf","\u206d0","\u206d1","\u206d2","\u206d3","\u206d4","\u206d5","\u206d6","\u206d7","\u206d8","\u206d9","\u206da","\u206db","\u206dc","\u206dd","\u206de","\u206df","\u206e0","\u206e1","\u206e2","\u206e3","\u206e4","\u206e5","\u206e6","\u206e7","\u206e8","\u206e9","\u206ea","\u206eb","\u206ec","\u206ed","\u206ee","\u206ef","\u206f0","\u206f1","\u206f2","\u206f3","\u206f4","\u206f5","\u206f6","\u206f7","\u206f8","\u206f9","\u206fa","\u206fb","\u206fc","\u206fd","\u206fe","\u206ff","\u20700","\u20701","\u20702","\u20703","\u20704","\u20705","\u20706","\u20707","\u20708","\u20709","\u2070a","\u2070b","\u2070c","\u2070d","\u2070e","\u2070f","\u20710","\u20711","\u20712","\u20713","\u20714","\u20715","\u20716","\u20717","\u20718","\u20719","\u2071a","\u2071b","\u2071c","\u2071d","\u2071e","\u2071f","\u20720","\u20721","\u20722","\u20723","\u20724","\u20725","\u20726","\u20727","\u20728","\u20729","\u2072a","\u2072b","\u2072c","\u2072d","\u2072e","\u2072f","\u20730","\u20731","\u20732","\u20733","\u20734","\u20735","\u20736","\u20737","\u20738","\u20739","\u2073a","\u2073b","\u2073c","\u2073d","\u2073e","\u2073f","\u20740","\u20741","\u20742","\u20743","\u20744","\u20745","\u20746","\u20747","\u20748","\u20749","\u2074a","\u2074b","\u2074c","\u2074d","\u2074e","\u2074f","\u20750","\u20751","\u20752","\u20753","\u20754","\u20755","\u20756","\u20757","\u20758","\u20759","\u2075a","\u2075b","\u2075c","\u2075d","\u2075e","\u2075f","\u20760","\u20761","\u20762","\u20763","\u20764","\u20765","\u20766","\u20767","\u20768","\u20769","\u2076a","\u2076b","\u2076c","\u2076d","\u2076e","\u2076f","\u20770","\u20771","\u20772","\u20773","\u20774","\u20775","\u20776","\u20777","\u20778","\u20779","\u2077a","\u2077b","\u2077c","\u2077d","\u2077e","\u2077f","\u20780","\u20781","\u20782","\u20783","\u20784","\u20785","\u20786","\u20787","\u20788","\u20789","\u2078a","\u2078b","\u2078c","\u2078d","\u2078e","\u2078f","\u20790","\u20791","\u20792","\u20793","\u20794","\u20795","\u20796","\u20797","\u20798","\u20799","\u2079a","\u2079b","\u2079c","\u2079d","\u2079e","\u2079f","\u207a0","\u207a1","\u207a2","\u207a3","\u207a4","\u207a5","\u207a6","\u207a7","\u207a8","\u207a9","\u207aa","\u207ab","\u207ac","\u207ad","\u207ae","\u207af","\u207b0","\u207b1","\u207b2","\u207b3","\u207b4","\u207b5","\u207b6","\u207b7","\u207b8","\u207b9","\u207ba","\u207bb","\u207bc","\u207bd","\u207be","\u207bf","\u207c0","\u207c1","\u207c2","\u207c3","\u207c4","\u207c5","\u207c6","\u207c7","\u207c8","\u207c9","\u207ca","\u207cb","\u207cc","\u207cd","\u207ce","\u207cf","\u207d0","\u207d1","\u207d2","\u207d3","\u207d4","\u207d5","\u207d6","\u207d7","\u207d8","\u207d9","\u207da","\u207db","\u207dc","\u207dd","\u207de","\u207df","\u207e0","\u207e1","\u207e2","\u207e3","\u207e4","\u207e5","\u207e6","\u207e7","\u207e8","\u207e9","\u207ea","\u207eb","\u207ec","\u207ed","\u207ee","\u207ef","\u207f0","\u207f1","\u207f2","\u207f3","\u207f4","\u207f5","\u207f6","\u207f7","\u207f8","\u207f9","\u207fa","\u207fb","\u207fc","\u207fd","\u207fe","\u207ff","\u20800","\u20801","\u20802","\u20803","\u20804","\u20805","\u20806","\u20807","\u20808","\u20809","\u2080a","\u2080b","\u2080c","\u2080d","\u2080e","\u2080f","\u20810","\u20811","\u20812","\u20813","\u20814","\u20815","\u20816","\u20817","\u20818","\u20819","\u2081a","\u2081b","\u2081c","\u2081d","\u2081e","\u2081f","\u20820","\u20821","\u20822","\u20823","\u20824","\u20825","\u20826","\u20827","\u20828","\u20829","\u2082a","\u2082b","\u2082c","\u2082d","\u2082e","\u2082f","\u20830","\u20831","\u20832","\u20833","\u20834","\u20835","\u20836","\u20837","\u20838","\u20839","\u2083a","\u2083b","\u2083c","\u2083d","\u2083e","\u2083f","\u20840","\u20841","\u20842","\u20843","\u20844","\u20845","\u20846","\u20847","\u20848","\u20849","\u2084a","\u2084b","\u2084c","\u2084d","\u2084e","\u2084f","\u20850","\u20851","\u20852","\u20853","\u20854","\u20855","\u20856","\u20857","\u20858","\u20859","\u2085a","\u2085b","\u2085c","\u2085d","\u2085e","\u2085f","\u20860","\u20861","\u20862","\u20863","\u20864","\u20865","\u20866","\u20867","\u20868","\u20869","\u2086a","\u2086b","\u2086c","\u2086d","\u2086e","\u2086f","\u20870","\u20871","\u20872","\u20873","\u20874","\u20875","\u20876","\u20877","\u20878","\u20879","\u2087a","\u2087b","\u2087c","\u2087d","\u2087e","\u2087f","\u20880","\u20881","\u20882","\u20883","\u20884","\u20885","\u20886","\u20887","\u20888","\u20889","\u2088a","\u2088b","\u2088c","\u2088d","\u2088e","\u2088f","\u20890","\u20891","\u20892","\u20893","\u20894","\u20895","\u20896","\u20897","\u20898","\u20899","\u2089a","\u2089b","\u2089c","\u2089d","\u2089e","\u2089f","\u208a0","\u208a1","\u208a2","\u208a3","\u208a4","\u208a5","\u208a6","\u208a7","\u208a8","\u208a9","\u208aa","\u208ab","\u208ac","\u208ad","\u208ae","\u208af","\u208b0","\u208b1","\u208b2","\u208b3","\u208b4","\u208b5","\u208b6","\u208b7","\u208b8","\u208b9","\u208ba","\u208bb","\u208bc","\u208bd","\u208be","\u208bf","\u208c0","\u208c1","\u208c2","\u208c3","\u208c4","\u208c5","\u208c6","\u208c7","\u208c8","\u208c9","\u208ca","\u208cb","\u208cc","\u208cd","\u208ce","\u208cf","\u208d0","\u208d1","\u208d2","\u208d3","\u208d4","\u208d5","\u208d6","\u208d7","\u208d8","\u208d9","\u208da","\u208db","\u208dc","\u208dd","\u208de","\u208df","\u208e0","\u208e1","\u208e2","\u208e3","\u208e4","\u208e5","\u208e6","\u208e7","\u208e8","\u208e9","\u208ea","\u208eb","\u208ec","\u208ed","\u208ee","\u208ef","\u208f0","\u208f1","\u208f2","\u208f3","\u208f4","\u208f5","\u208f6","\u208f7","\u208f8","\u208f9","\u208fa","\u208fb","\u208fc","\u208fd","\u208fe","\u208ff","\u20900","\u20901","\u20902","\u20903","\u20904","\u20905","\u20906","\u20907","\u20908","\u20909","\u2090a","\u2090b","\u2090c","\u2090d","\u2090e","\u2090f","\u20910","\u20911","\u20912","\u20913","\u20914","\u20915","\u20916","\u20917","\u20918","\u20919","\u2091a","\u2091b","\u2091c","\u2091d","\u2091e","\u2091f","\u20920","\u20921","\u20922","\u20923","\u20924","\u20925","\u20926","\u20927","\u20928","\u20929","\u2092a","\u2092b","\u2092c","\u2092d","\u2092e","\u2092f","\u20930","\u20931","\u20932","\u20933","\u20934","\u20935","\u20936","\u20937","\u20938","\u20939","\u2093a","\u2093b","\u2093c","\u2093d","\u2093e","\u2093f","\u20940","\u20941","\u20942","\u20943","\u20944","\u20945","\u20946","\u20947","\u20948","\u20949","\u2094a","\u2094b","\u2094c","\u2094d","\u2094e","\u2094f","\u20950","\u20951","\u20952","\u20953","\u20954","\u20955","\u20956","\u20957","\u20958","\u20959","\u2095a","\u2095b","\u2095c","\u2095d","\u2095e","\u2095f","\u20960","\u20961","\u20962","\u20963","\u20964","\u20965","\u20966","\u20967","\u20968","\u20969","\u2096a","\u2096b","\u2096c","\u2096d","\u2096e","\u2096f","\u20970","\u20971","\u20972","\u20973","\u20974","\u20975","\u20976","\u20977","\u20978","\u20979","\u2097a","\u2097b","\u2097c","\u2097d","\u2097e","\u2097f","\u20980","\u20981","\u20982","\u20983","\u20984","\u20985","\u20986","\u20987","\u20988","\u20989","\u2098a","\u2098b","\u2098c","\u2098d","\u2098e","\u2098f","\u20990","\u20991","\u20992","\u20993","\u20994","\u20995","\u20996","\u20997","\u20998","\u20999","\u2099a","\u2099b","\u2099c","\u2099d","\u2099e","\u2099f","\u209a0","\u209a1","\u209a2","\u209a3","\u209a4","\u209a5","\u209a6","\u209a7","\u209a8","\u209a9","\u209aa","\u209ab","\u209ac","\u209ad","\u209ae","\u209af","\u209b0","\u209b1","\u209b2","\u209b3","\u209b4","\u209b5","\u209b6","\u209b7","\u209b8","\u209b9","\u209ba","\u209bb","\u209bc","\u209bd","\u209be","\u209bf","\u209c0","\u209c1","\u209c2","\u209c3","\u209c4","\u209c5","\u209c6","\u209c7","\u209c8","\u209c9","\u209ca","\u209cb","\u209cc","\u209cd","\u209ce","\u209cf","\u209d0","\u209d1","\u209d2","\u209d3","\u209d4","\u209d5","\u209d6","\u209d7","\u209d8","\u209d9","\u209da","\u209db","\u209dc","\u209dd","\u209de","\u209df","\u209e0","\u209e1","\u209e2","\u209e3","\u209e4","\u209e5","\u209e6","\u209e7","\u209e8","\u209e9","\u209ea","\u209eb","\u209ec","\u209ed","\u209ee","\u209ef","\u209f0","\u209f1","\u209f2","\u209f3","\u209f4","\u209f5","\u209f6","\u209f7","\u209f8","\u209f9","\u209fa","\u209fb","\u209fc","\u209fd","\u209fe","\u209ff","\u20a00","\u20a01","\u20a02","\u20a03","\u20a04","\u20a05","\u20a06","\u20a07","\u20a08","\u20a09","\u20a0a","\u20a0b","\u20a0c","\u20a0d","\u20a0e","\u20a0f","\u20a10","\u20a11","\u20a12","\u20a13","\u20a14","\u20a15","\u20a16","\u20a17","\u20a18","\u20a19","\u20a1a","\u20a1b","\u20a1c","\u20a1d","\u20a1e","\u20a1f","\u20a20","\u20a21","\u20a22","\u20a23","\u20a24","\u20a25","\u20a26","\u20a27","\u20a28","\u20a29","\u20a2a","\u20a2b","\u20a2c","\u20a2d","\u20a2e","\u20a2f","\u20a30","\u20a31","\u20a32","\u20a33","\u20a34","\u20a35","\u20a36","\u20a37","\u20a38","\u20a39","\u20a3a","\u20a3b","\u20a3c","\u20a3d","\u20a3e","\u20a3f","\u20a40","\u20a41","\u20a42","\u20a43","\u20a44","\u20a45","\u20a46","\u20a47","\u20a48","\u20a49","\u20a4a","\u20a4b","\u20a4c","\u20a4d","\u20a4e","\u20a4f","\u20a50","\u20a51","\u20a52","\u20a53","\u20a54","\u20a55","\u20a56","\u20a57","\u20a58","\u20a59","\u20a5a","\u20a5b","\u20a5c","\u20a5d","\u20a5e","\u20a5f","\u20a60","\u20a61","\u20a62","\u20a63","\u20a64","\u20a65","\u20a66","\u20a67","\u20a68","\u20a69","\u20a6a","\u20a6b","\u20a6c","\u20a6d","\u20a6e","\u20a6f","\u20a70","\u20a71","\u20a72","\u20a73","\u20a74","\u20a75","\u20a76","\u20a77","\u20a78","\u20a79","\u20a7a","\u20a7b","\u20a7c","\u20a7d","\u20a7e","\u20a7f","\u20a80","\u20a81","\u20a82","\u20a83","\u20a84","\u20a85","\u20a86","\u20a87","\u20a88","\u20a89","\u20a8a","\u20a8b","\u20a8c","\u20a8d","\u20a8e","\u20a8f","\u20a90","\u20a91","\u20a92","\u20a93","\u20a94","\u20a95","\u20a96","\u20a97","\u20a98","\u20a99","\u20a9a","\u20a9b","\u20a9c","\u20a9d","\u20a9e","\u20a9f","\u20aa0","\u20aa1","\u20aa2","\u20aa3","\u20aa4","\u20aa5","\u20aa6","\u20aa7","\u20aa8","\u20aa9","\u20aaa","\u20aab","\u20aac","\u20aad","\u20aae","\u20aaf","\u20ab0","\u20ab1","\u20ab2","\u20ab3","\u20ab4","\u20ab5","\u20ab6","\u20ab7","\u20ab8","\u20ab9","\u20aba","\u20abb","\u20abc","\u20abd","\u20abe","\u20abf","\u20ac0","\u20ac1","\u20ac2","\u20ac3","\u20ac4","\u20ac5","\u20ac6","\u20ac7","\u20ac8","\u20ac9","\u20aca","\u20acb","\u20acc","\u20acd","\u20ace","\u20acf","\u20ad0","\u20ad1","\u20ad2","\u20ad3","\u20ad4","\u20ad5","\u20ad6","\u20ad7","\u20ad8","\u20ad9","\u20ada","\u20adb","\u20adc","\u20add","\u20ade","\u20adf","\u20ae0","\u20ae1","\u20ae2","\u20ae3","\u20ae4","\u20ae5","\u20ae6","\u20ae7","\u20ae8","\u20ae9","\u20aea","\u20aeb","\u20aec","\u20aed","\u20aee","\u20aef","\u20af0","\u20af1","\u20af2","\u20af3","\u20af4","\u20af5","\u20af6","\u20af7","\u20af8","\u20af9","\u20afa","\u20afb","\u20afc","\u20afd","\u20afe","\u20aff","\u20b00","\u20b01","\u20b02","\u20b03","\u20b04","\u20b05","\u20b06","\u20b07","\u20b08","\u20b09","\u20b0a","\u20b0b","\u20b0c","\u20b0d","\u20b0e","\u20b0f","\u20b10","\u20b11","\u20b12","\u20b13","\u20b14","\u20b15","\u20b16","\u20b17","\u20b18","\u20b19","\u20b1a","\u20b1b","\u20b1c","\u20b1d","\u20b1e","\u20b1f","\u20b20","\u20b21","\u20b22","\u20b23","\u20b24","\u20b25","\u20b26","\u20b27","\u20b28","\u20b29","\u20b2a","\u20b2b","\u20b2c","\u20b2d","\u20b2e","\u20b2f","\u20b30","\u20b31","\u20b32","\u20b33","\u20b34","\u20b35","\u20b36","\u20b37","\u20b38","\u20b39","\u20b3a","\u20b3b","\u20b3c","\u20b3d","\u20b3e","\u20b3f","\u20b40","\u20b41","\u20b42","\u20b43","\u20b44","\u20b45","\u20b46","\u20b47","\u20b48","\u20b49","\u20b4a","\u20b4b","\u20b4c","\u20b4d","\u20b4e","\u20b4f","\u20b50","\u20b51","\u20b52","\u20b53","\u20b54","\u20b55","\u20b56","\u20b57","\u20b58","\u20b59","\u20b5a","\u20b5b","\u20b5c","\u20b5d","\u20b5e","\u20b5f","\u20b60","\u20b61","\u20b62","\u20b63","\u20b64","\u20b65","\u20b66","\u20b67","\u20b68","\u20b69","\u20b6a","\u20b6b","\u20b6c","\u20b6d","\u20b6e","\u20b6f","\u20b70","\u20b71","\u20b72","\u20b73","\u20b74","\u20b75","\u20b76","\u20b77","\u20b78","\u20b79","\u20b7a","\u20b7b","\u20b7c","\u20b7d","\u20b7e","\u20b7f","\u20b80","\u20b81","\u20b82","\u20b83","\u20b84","\u20b85","\u20b86","\u20b87","\u20b88","\u20b89","\u20b8a","\u20b8b","\u20b8c","\u20b8d","\u20b8e","\u20b8f","\u20b90","\u20b91","\u20b92","\u20b93","\u20b94","\u20b95","\u20b96","\u20b97","\u20b98","\u20b99","\u20b9a","\u20b9b","\u20b9c","\u20b9d","\u20b9e","\u20b9f","\u20ba0","\u20ba1","\u20ba2","\u20ba3","\u20ba4","\u20ba5","\u20ba6","\u20ba7","\u20ba8","\u20ba9","\u20baa","\u20bab","\u20bac","\u20bad","\u20bae","\u20baf","\u20bb0","\u20bb1","\u20bb2","\u20bb3","\u20bb4","\u20bb5","\u20bb6","\u20bb7","\u20bb8","\u20bb9","\u20bba","\u20bbb","\u20bbc","\u20bbd","\u20bbe","\u20bbf","\u20bc0","\u20bc1","\u20bc2","\u20bc3","\u20bc4","\u20bc5","\u20bc6","\u20bc7","\u20bc8","\u20bc9","\u20bca","\u20bcb","\u20bcc","\u20bcd","\u20bce","\u20bcf","\u20bd0","\u20bd1","\u20bd2","\u20bd3","\u20bd4","\u20bd5","\u20bd6","\u20bd7","\u20bd8","\u20bd9","\u20bda","\u20bdb","\u20bdc","\u20bdd","\u20bde","\u20bdf","\u20be0","\u20be1","\u20be2","\u20be3","\u20be4","\u20be5","\u20be6","\u20be7","\u20be8","\u20be9","\u20bea","\u20beb","\u20bec","\u20bed","\u20bee","\u20bef","\u20bf0","\u20bf1","\u20bf2","\u20bf3","\u20bf4","\u20bf5","\u20bf6","\u20bf7","\u20bf8","\u20bf9","\u20bfa","\u20bfb","\u20bfc","\u20bfd","\u20bfe","\u20bff","\u20c00","\u20c01","\u20c02","\u20c03","\u20c04","\u20c05","\u20c06","\u20c07","\u20c08","\u20c09","\u20c0a","\u20c0b","\u20c0c","\u20c0d","\u20c0e","\u20c0f","\u20c10","\u20c11","\u20c12","\u20c13","\u20c14","\u20c15","\u20c16","\u20c17","\u20c18","\u20c19","\u20c1a","\u20c1b","\u20c1c","\u20c1d","\u20c1e","\u20c1f","\u20c20","\u20c21","\u20c22","\u20c23","\u20c24","\u20c25","\u20c26","\u20c27","\u20c28","\u20c29","\u20c2a","\u20c2b","\u20c2c","\u20c2d","\u20c2e","\u20c2f","\u20c30","\u20c31","\u20c32","\u20c33","\u20c34","\u20c35","\u20c36","\u20c37","\u20c38","\u20c39","\u20c3a","\u20c3b","\u20c3c","\u20c3d","\u20c3e","\u20c3f","\u20c40","\u20c41","\u20c42","\u20c43","\u20c44","\u20c45","\u20c46","\u20c47","\u20c48","\u20c49","\u20c4a","\u20c4b","\u20c4c","\u20c4d","\u20c4e","\u20c4f","\u20c50","\u20c51","\u20c52","\u20c53","\u20c54","\u20c55","\u20c56","\u20c57","\u20c58","\u20c59","\u20c5a","\u20c5b","\u20c5c","\u20c5d","\u20c5e","\u20c5f","\u20c60","\u20c61","\u20c62","\u20c63","\u20c64","\u20c65","\u20c66","\u20c67","\u20c68","\u20c69","\u20c6a","\u20c6b","\u20c6c","\u20c6d","\u20c6e","\u20c6f","\u20c70","\u20c71","\u20c72","\u20c73","\u20c74","\u20c75","\u20c76","\u20c77","\u20c78","\u20c79","\u20c7a","\u20c7b","\u20c7c","\u20c7d","\u20c7e","\u20c7f","\u20c80","\u20c81","\u20c82","\u20c83","\u20c84","\u20c85","\u20c86","\u20c87","\u20c88","\u20c89","\u20c8a","\u20c8b","\u20c8c","\u20c8d","\u20c8e","\u20c8f","\u20c90","\u20c91","\u20c92","\u20c93","\u20c94","\u20c95","\u20c96","\u20c97","\u20c98","\u20c99","\u20c9a","\u20c9b","\u20c9c","\u20c9d","\u20c9e","\u20c9f","\u20ca0","\u20ca1","\u20ca2","\u20ca3","\u20ca4","\u20ca5","\u20ca6","\u20ca7","\u20ca8","\u20ca9","\u20caa","\u20cab","\u20cac","\u20cad","\u20cae","\u20caf","\u20cb0","\u20cb1","\u20cb2","\u20cb3","\u20cb4","\u20cb5","\u20cb6","\u20cb7","\u20cb8","\u20cb9","\u20cba","\u20cbb","\u20cbc","\u20cbd","\u20cbe","\u20cbf","\u20cc0","\u20cc1","\u20cc2","\u20cc3","\u20cc4","\u20cc5","\u20cc6","\u20cc7","\u20cc8","\u20cc9","\u20cca","\u20ccb","\u20ccc","\u20ccd","\u20cce","\u20ccf","\u20cd0","\u20cd1","\u20cd2","\u20cd3","\u20cd4","\u20cd5","\u20cd6","\u20cd7","\u20cd8","\u20cd9","\u20cda","\u20cdb","\u20cdc","\u20cdd","\u20cde","\u20cdf","\u20ce0","\u20ce1","\u20ce2","\u20ce3","\u20ce4","\u20ce5","\u20ce6","\u20ce7","\u20ce8","\u20ce9","\u20cea","\u20ceb","\u20cec","\u20ced","\u20cee","\u20cef","\u20cf0","\u20cf1","\u20cf2","\u20cf3","\u20cf4","\u20cf5","\u20cf6","\u20cf7","\u20cf8","\u20cf9","\u20cfa","\u20cfb","\u20cfc","\u20cfd","\u20cfe","\u20cff","\u20d00","\u20d01","\u20d02","\u20d03","\u20d04","\u20d05","\u20d06","\u20d07","\u20d08","\u20d09","\u20d0a","\u20d0b","\u20d0c","\u20d0d","\u20d0e","\u20d0f","\u20d10","\u20d11","\u20d12","\u20d13","\u20d14","\u20d15","\u20d16","\u20d17","\u20d18","\u20d19","\u20d1a","\u20d1b","\u20d1c","\u20d1d","\u20d1e","\u20d1f","\u20d20","\u20d21","\u20d22","\u20d23","\u20d24","\u20d25","\u20d26","\u20d27","\u20d28","\u20d29","\u20d2a","\u20d2b","\u20d2c","\u20d2d","\u20d2e","\u20d2f","\u20d30","\u20d31","\u20d32","\u20d33","\u20d34","\u20d35","\u20d36","\u20d37","\u20d38","\u20d39","\u20d3a","\u20d3b","\u20d3c","\u20d3d","\u20d3e","\u20d3f","\u20d40","\u20d41","\u20d42","\u20d43","\u20d44","\u20d45","\u20d46","\u20d47","\u20d48","\u20d49","\u20d4a","\u20d4b","\u20d4c","\u20d4d","\u20d4e","\u20d4f","\u20d50","\u20d51","\u20d52","\u20d53","\u20d54","\u20d55","\u20d56","\u20d57","\u20d58","\u20d59","\u20d5a","\u20d5b","\u20d5c","\u20d5d","\u20d5e","\u20d5f","\u20d60","\u20d61","\u20d62","\u20d63","\u20d64","\u20d65","\u20d66","\u20d67","\u20d68","\u20d69","\u20d6a","\u20d6b","\u20d6c","\u20d6d","\u20d6e","\u20d6f","\u20d70","\u20d71","\u20d72","\u20d73","\u20d74","\u20d75","\u20d76","\u20d77","\u20d78","\u20d79","\u20d7a","\u20d7b","\u20d7c","\u20d7d","\u20d7e","\u20d7f","\u20d80","\u20d81","\u20d82","\u20d83","\u20d84","\u20d85","\u20d86","\u20d87","\u20d88","\u20d89","\u20d8a","\u20d8b","\u20d8c","\u20d8d","\u20d8e","\u20d8f","\u20d90","\u20d91","\u20d92","\u20d93","\u20d94","\u20d95","\u20d96","\u20d97","\u20d98","\u20d99","\u20d9a","\u20d9b","\u20d9c","\u20d9d","\u20d9e","\u20d9f","\u20da0","\u20da1","\u20da2","\u20da3","\u20da4","\u20da5","\u20da6","\u20da7","\u20da8","\u20da9","\u20daa","\u20dab","\u20dac","\u20dad","\u20dae","\u20daf","\u20db0","\u20db1","\u20db2","\u20db3","\u20db4","\u20db5","\u20db6","\u20db7","\u20db8","\u20db9","\u20dba","\u20dbb","\u20dbc","\u20dbd","\u20dbe","\u20dbf","\u20dc0","\u20dc1","\u20dc2","\u20dc3","\u20dc4","\u20dc5","\u20dc6","\u20dc7","\u20dc8","\u20dc9","\u20dca","\u20dcb","\u20dcc","\u20dcd","\u20dce","\u20dcf","\u20dd0","\u20dd1","\u20dd2","\u20dd3","\u20dd4","\u20dd5","\u20dd6","\u20dd7","\u20dd8","\u20dd9","\u20dda","\u20ddb","\u20ddc","\u20ddd","\u20dde","\u20ddf","\u20de0","\u20de1","\u20de2","\u20de3","\u20de4","\u20de5","\u20de6","\u20de7","\u20de8","\u20de9","\u20dea","\u20deb","\u20dec","\u20ded","\u20dee","\u20def","\u20df0","\u20df1","\u20df2","\u20df3","\u20df4","\u20df5","\u20df6","\u20df7","\u20df8","\u20df9","\u20dfa","\u20dfb","\u20dfc","\u20dfd","\u20dfe","\u20dff","\u20e00","\u20e01","\u20e02","\u20e03","\u20e04","\u20e05","\u20e06","\u20e07","\u20e08","\u20e09","\u20e0a","\u20e0b","\u20e0c","\u20e0d","\u20e0e","\u20e0f","\u20e10","\u20e11","\u20e12","\u20e13","\u20e14","\u20e15","\u20e16","\u20e17","\u20e18","\u20e19","\u20e1a","\u20e1b","\u20e1c","\u20e1d","\u20e1e","\u20e1f","\u20e20","\u20e21","\u20e22","\u20e23","\u20e24","\u20e25","\u20e26","\u20e27","\u20e28","\u20e29","\u20e2a","\u20e2b","\u20e2c","\u20e2d","\u20e2e","\u20e2f","\u20e30","\u20e31","\u20e32","\u20e33","\u20e34","\u20e35","\u20e36","\u20e37","\u20e38","\u20e39","\u20e3a","\u20e3b","\u20e3c","\u20e3d","\u20e3e","\u20e3f","\u20e40","\u20e41","\u20e42","\u20e43","\u20e44","\u20e45","\u20e46","\u20e47","\u20e48","\u20e49","\u20e4a","\u20e4b","\u20e4c","\u20e4d","\u20e4e","\u20e4f","\u20e50","\u20e51","\u20e52","\u20e53","\u20e54","\u20e55","\u20e56","\u20e57","\u20e58","\u20e59","\u20e5a","\u20e5b","\u20e5c","\u20e5d","\u20e5e","\u20e5f","\u20e60","\u20e61","\u20e62","\u20e63","\u20e64","\u20e65","\u20e66","\u20e67","\u20e68","\u20e69","\u20e6a","\u20e6b","\u20e6c","\u20e6d","\u20e6e","\u20e6f","\u20e70","\u20e71","\u20e72","\u20e73","\u20e74","\u20e75","\u20e76","\u20e77","\u20e78","\u20e79","\u20e7a","\u20e7b","\u20e7c","\u20e7d","\u20e7e","\u20e7f","\u20e80","\u20e81","\u20e82","\u20e83","\u20e84","\u20e85","\u20e86","\u20e87","\u20e88","\u20e89","\u20e8a","\u20e8b","\u20e8c","\u20e8d","\u20e8e","\u20e8f","\u20e90","\u20e91","\u20e92","\u20e93","\u20e94","\u20e95","\u20e96","\u20e97","\u20e98","\u20e99","\u20e9a","\u20e9b","\u20e9c","\u20e9d","\u20e9e","\u20e9f","\u20ea0","\u20ea1","\u20ea2","\u20ea3","\u20ea4","\u20ea5","\u20ea6","\u20ea7","\u20ea8","\u20ea9","\u20eaa","\u20eab","\u20eac","\u20ead","\u20eae","\u20eaf","\u20eb0","\u20eb1","\u20eb2","\u20eb3","\u20eb4","\u20eb5","\u20eb6","\u20eb7","\u20eb8","\u20eb9","\u20eba","\u20ebb","\u20ebc","\u20ebd","\u20ebe","\u20ebf","\u20ec0","\u20ec1","\u20ec2","\u20ec3","\u20ec4","\u20ec5","\u20ec6","\u20ec7","\u20ec8","\u20ec9","\u20eca","\u20ecb","\u20ecc","\u20ecd","\u20ece","\u20ecf","\u20ed0","\u20ed1","\u20ed2","\u20ed3","\u20ed4","\u20ed5","\u20ed6","\u20ed7","\u20ed8","\u20ed9","\u20eda","\u20edb","\u20edc","\u20edd","\u20ede","\u20edf","\u20ee0","\u20ee1","\u20ee2","\u20ee3","\u20ee4","\u20ee5","\u20ee6","\u20ee7","\u20ee8","\u20ee9","\u20eea","\u20eeb","\u20eec","\u20eed","\u20eee","\u20eef","\u20ef0","\u20ef1","\u20ef2","\u20ef3","\u20ef4","\u20ef5","\u20ef6","\u20ef7","\u20ef8","\u20ef9","\u20efa","\u20efb","\u20efc","\u20efd","\u20efe","\u20eff","\u20f00","\u20f01","\u20f02","\u20f03","\u20f04","\u20f05","\u20f06","\u20f07","\u20f08","\u20f09","\u20f0a","\u20f0b","\u20f0c","\u20f0d","\u20f0e","\u20f0f","\u20f10","\u20f11","\u20f12","\u20f13","\u20f14","\u20f15","\u20f16","\u20f17","\u20f18","\u20f19","\u20f1a","\u20f1b","\u20f1c","\u20f1d","\u20f1e","\u20f1f","\u20f20","\u20f21","\u20f22","\u20f23","\u20f24","\u20f25","\u20f26","\u20f27","\u20f28","\u20f29","\u20f2a","\u20f2b","\u20f2c","\u20f2d","\u20f2e","\u20f2f","\u20f30","\u20f31","\u20f32","\u20f33","\u20f34","\u20f35","\u20f36","\u20f37","\u20f38","\u20f39","\u20f3a","\u20f3b","\u20f3c","\u20f3d","\u20f3e","\u20f3f","\u20f40","\u20f41","\u20f42","\u20f43","\u20f44","\u20f45","\u20f46","\u20f47","\u20f48","\u20f49","\u20f4a","\u20f4b","\u20f4c","\u20f4d","\u20f4e","\u20f4f","\u20f50","\u20f51","\u20f52","\u20f53","\u20f54","\u20f55","\u20f56","\u20f57","\u20f58","\u20f59","\u20f5a","\u20f5b","\u20f5c","\u20f5d","\u20f5e","\u20f5f","\u20f60","\u20f61","\u20f62","\u20f63","\u20f64","\u20f65","\u20f66","\u20f67","\u20f68","\u20f69","\u20f6a","\u20f6b","\u20f6c","\u20f6d","\u20f6e","\u20f6f","\u20f70","\u20f71","\u20f72","\u20f73","\u20f74","\u20f75","\u20f76","\u20f77","\u20f78","\u20f79","\u20f7a","\u20f7b","\u20f7c","\u20f7d","\u20f7e","\u20f7f","\u20f80","\u20f81","\u20f82","\u20f83","\u20f84","\u20f85","\u20f86","\u20f87","\u20f88","\u20f89","\u20f8a","\u20f8b","\u20f8c","\u20f8d","\u20f8e","\u20f8f","\u20f90","\u20f91","\u20f92","\u20f93","\u20f94","\u20f95","\u20f96","\u20f97","\u20f98","\u20f99","\u20f9a","\u20f9b","\u20f9c","\u20f9d","\u20f9e","\u20f9f","\u20fa0","\u20fa1","\u20fa2","\u20fa3","\u20fa4","\u20fa5","\u20fa6","\u20fa7","\u20fa8","\u20fa9","\u20faa","\u20fab","\u20fac","\u20fad","\u20fae","\u20faf","\u20fb0","\u20fb1","\u20fb2","\u20fb3","\u20fb4","\u20fb5","\u20fb6","\u20fb7","\u20fb8","\u20fb9","\u20fba","\u20fbb","\u20fbc","\u20fbd","\u20fbe","\u20fbf","\u20fc0","\u20fc1","\u20fc2","\u20fc3","\u20fc4","\u20fc5","\u20fc6","\u20fc7","\u20fc8","\u20fc9","\u20fca","\u20fcb","\u20fcc","\u20fcd","\u20fce","\u20fcf","\u20fd0","\u20fd1","\u20fd2","\u20fd3","\u20fd4","\u20fd5","\u20fd6","\u20fd7","\u20fd8","\u20fd9","\u20fda","\u20fdb","\u20fdc","\u20fdd","\u20fde","\u20fdf","\u20fe0","\u20fe1","\u20fe2","\u20fe3","\u20fe4","\u20fe5","\u20fe6","\u20fe7","\u20fe8","\u20fe9","\u20fea","\u20feb","\u20fec","\u20fed","\u20fee","\u20fef","\u20ff0","\u20ff1","\u20ff2","\u20ff3","\u20ff4","\u20ff5","\u20ff6","\u20ff7","\u20ff8","\u20ff9","\u20ffa","\u20ffb","\u20ffc","\u20ffd","\u20ffe","\u20fff","\u21000","\u21001","\u21002","\u21003","\u21004","\u21005","\u21006","\u21007","\u21008","\u21009","\u2100a","\u2100b","\u2100c","\u2100d","\u2100e","\u2100f","\u21010","\u21011","\u21012","\u21013","\u21014","\u21015","\u21016","\u21017","\u21018","\u21019","\u2101a","\u2101b","\u2101c","\u2101d","\u2101e","\u2101f","\u21020","\u21021","\u21022","\u21023","\u21024","\u21025","\u21026","\u21027","\u21028","\u21029","\u2102a","\u2102b","\u2102c","\u2102d","\u2102e","\u2102f","\u21030","\u21031","\u21032","\u21033","\u21034","\u21035","\u21036","\u21037","\u21038","\u21039","\u2103a","\u2103b","\u2103c","\u2103d","\u2103e","\u2103f","\u21040","\u21041","\u21042","\u21043","\u21044","\u21045","\u21046","\u21047","\u21048","\u21049","\u2104a","\u2104b","\u2104c","\u2104d","\u2104e","\u2104f","\u21050","\u21051","\u21052","\u21053","\u21054","\u21055","\u21056","\u21057","\u21058","\u21059","\u2105a","\u2105b","\u2105c","\u2105d","\u2105e","\u2105f","\u21060","\u21061","\u21062","\u21063","\u21064","\u21065","\u21066","\u21067","\u21068","\u21069","\u2106a","\u2106b","\u2106c","\u2106d","\u2106e","\u2106f","\u21070","\u21071","\u21072","\u21073","\u21074","\u21075","\u21076","\u21077","\u21078","\u21079","\u2107a","\u2107b","\u2107c","\u2107d","\u2107e","\u2107f","\u21080","\u21081","\u21082","\u21083","\u21084","\u21085","\u21086","\u21087","\u21088","\u21089","\u2108a","\u2108b","\u2108c","\u2108d","\u2108e","\u2108f","\u21090","\u21091","\u21092","\u21093","\u21094","\u21095","\u21096","\u21097","\u21098","\u21099","\u2109a","\u2109b","\u2109c","\u2109d","\u2109e","\u2109f","\u210a0","\u210a1","\u210a2","\u210a3","\u210a4","\u210a5","\u210a6","\u210a7","\u210a8","\u210a9","\u210aa","\u210ab","\u210ac","\u210ad","\u210ae","\u210af","\u210b0","\u210b1","\u210b2","\u210b3","\u210b4","\u210b5","\u210b6","\u210b7","\u210b8","\u210b9","\u210ba","\u210bb","\u210bc","\u210bd","\u210be","\u210bf","\u210c0","\u210c1","\u210c2","\u210c3","\u210c4","\u210c5","\u210c6","\u210c7","\u210c8","\u210c9","\u210ca","\u210cb","\u210cc","\u210cd","\u210ce","\u210cf","\u210d0","\u210d1","\u210d2","\u210d3","\u210d4","\u210d5","\u210d6","\u210d7","\u210d8","\u210d9","\u210da","\u210db","\u210dc","\u210dd","\u210de","\u210df","\u210e0","\u210e1","\u210e2","\u210e3","\u210e4","\u210e5","\u210e6","\u210e7","\u210e8","\u210e9","\u210ea","\u210eb","\u210ec","\u210ed","\u210ee","\u210ef","\u210f0","\u210f1","\u210f2","\u210f3","\u210f4","\u210f5","\u210f6","\u210f7","\u210f8","\u210f9","\u210fa","\u210fb","\u210fc","\u210fd","\u210fe","\u210ff","\u21100","\u21101","\u21102","\u21103","\u21104","\u21105","\u21106","\u21107","\u21108","\u21109","\u2110a","\u2110b","\u2110c","\u2110d","\u2110e","\u2110f","\u21110","\u21111","\u21112","\u21113","\u21114","\u21115","\u21116","\u21117","\u21118","\u21119","\u2111a","\u2111b","\u2111c","\u2111d","\u2111e","\u2111f","\u21120","\u21121","\u21122","\u21123","\u21124","\u21125","\u21126","\u21127","\u21128","\u21129","\u2112a","\u2112b","\u2112c","\u2112d","\u2112e","\u2112f","\u21130","\u21131","\u21132","\u21133","\u21134","\u21135","\u21136","\u21137","\u21138","\u21139","\u2113a","\u2113b","\u2113c","\u2113d","\u2113e","\u2113f","\u21140","\u21141","\u21142","\u21143","\u21144","\u21145","\u21146","\u21147","\u21148","\u21149","\u2114a","\u2114b","\u2114c","\u2114d","\u2114e","\u2114f","\u21150","\u21151","\u21152","\u21153","\u21154","\u21155","\u21156","\u21157","\u21158","\u21159","\u2115a","\u2115b","\u2115c","\u2115d","\u2115e","\u2115f","\u21160","\u21161","\u21162","\u21163","\u21164","\u21165","\u21166","\u21167","\u21168","\u21169","\u2116a","\u2116b","\u2116c","\u2116d","\u2116e","\u2116f","\u21170","\u21171","\u21172","\u21173","\u21174","\u21175","\u21176","\u21177","\u21178","\u21179","\u2117a","\u2117b","\u2117c","\u2117d","\u2117e","\u2117f","\u21180","\u21181","\u21182","\u21183","\u21184","\u21185","\u21186","\u21187","\u21188","\u21189","\u2118a","\u2118b","\u2118c","\u2118d","\u2118e","\u2118f","\u21190","\u21191","\u21192","\u21193","\u21194","\u21195","\u21196","\u21197","\u21198","\u21199","\u2119a","\u2119b","\u2119c","\u2119d","\u2119e","\u2119f","\u211a0","\u211a1","\u211a2","\u211a3","\u211a4","\u211a5","\u211a6","\u211a7","\u211a8","\u211a9","\u211aa","\u211ab","\u211ac","\u211ad","\u211ae","\u211af","\u211b0","\u211b1","\u211b2","\u211b3","\u211b4","\u211b5","\u211b6","\u211b7","\u211b8","\u211b9","\u211ba","\u211bb","\u211bc","\u211bd","\u211be","\u211bf","\u211c0","\u211c1","\u211c2","\u211c3","\u211c4","\u211c5","\u211c6","\u211c7","\u211c8","\u211c9","\u211ca","\u211cb","\u211cc","\u211cd","\u211ce","\u211cf","\u211d0","\u211d1","\u211d2","\u211d3","\u211d4","\u211d5","\u211d6","\u211d7","\u211d8","\u211d9","\u211da","\u211db","\u211dc","\u211dd","\u211de","\u211df","\u211e0","\u211e1","\u211e2","\u211e3","\u211e4","\u211e5","\u211e6","\u211e7","\u211e8","\u211e9","\u211ea","\u211eb","\u211ec","\u211ed","\u211ee","\u211ef","\u211f0","\u211f1","\u211f2","\u211f3","\u211f4","\u211f5","\u211f6","\u211f7","\u211f8","\u211f9","\u211fa","\u211fb","\u211fc","\u211fd","\u211fe","\u211ff","\u21200","\u21201","\u21202","\u21203","\u21204","\u21205","\u21206","\u21207","\u21208","\u21209","\u2120a","\u2120b","\u2120c","\u2120d","\u2120e","\u2120f","\u21210","\u21211","\u21212","\u21213","\u21214","\u21215","\u21216","\u21217","\u21218","\u21219","\u2121a","\u2121b","\u2121c","\u2121d","\u2121e","\u2121f","\u21220","\u21221","\u21222","\u21223","\u21224","\u21225","\u21226","\u21227","\u21228","\u21229","\u2122a","\u2122b","\u2122c","\u2122d","\u2122e","\u2122f","\u21230","\u21231","\u21232","\u21233","\u21234","\u21235","\u21236","\u21237","\u21238","\u21239","\u2123a","\u2123b","\u2123c","\u2123d","\u2123e","\u2123f","\u21240","\u21241","\u21242","\u21243","\u21244","\u21245","\u21246","\u21247","\u21248","\u21249","\u2124a","\u2124b","\u2124c","\u2124d","\u2124e","\u2124f","\u21250","\u21251","\u21252","\u21253","\u21254","\u21255","\u21256","\u21257","\u21258","\u21259","\u2125a","\u2125b","\u2125c","\u2125d","\u2125e","\u2125f","\u21260","\u21261","\u21262","\u21263","\u21264","\u21265","\u21266","\u21267","\u21268","\u21269","\u2126a","\u2126b","\u2126c","\u2126d","\u2126e","\u2126f","\u21270","\u21271","\u21272","\u21273","\u21274","\u21275","\u21276","\u21277","\u21278","\u21279","\u2127a","\u2127b","\u2127c","\u2127d","\u2127e","\u2127f","\u21280","\u21281","\u21282","\u21283","\u21284","\u21285","\u21286","\u21287","\u21288","\u21289","\u2128a","\u2128b","\u2128c","\u2128d","\u2128e","\u2128f","\u21290","\u21291","\u21292","\u21293","\u21294","\u21295","\u21296","\u21297","\u21298","\u21299","\u2129a","\u2129b","\u2129c","\u2129d","\u2129e","\u2129f","\u212a0","\u212a1","\u212a2","\u212a3","\u212a4","\u212a5","\u212a6","\u212a7","\u212a8","\u212a9","\u212aa","\u212ab","\u212ac","\u212ad","\u212ae","\u212af","\u212b0","\u212b1","\u212b2","\u212b3","\u212b4","\u212b5","\u212b6","\u212b7","\u212b8","\u212b9","\u212ba","\u212bb","\u212bc","\u212bd","\u212be","\u212bf","\u212c0","\u212c1","\u212c2","\u212c3","\u212c4","\u212c5","\u212c6","\u212c7","\u212c8","\u212c9","\u212ca","\u212cb","\u212cc","\u212cd","\u212ce","\u212cf","\u212d0","\u212d1","\u212d2","\u212d3","\u212d4","\u212d5","\u212d6","\u212d7","\u212d8","\u212d9","\u212da","\u212db","\u212dc","\u212dd","\u212de","\u212df","\u212e0","\u212e1","\u212e2","\u212e3","\u212e4","\u212e5","\u212e6","\u212e7","\u212e8","\u212e9","\u212ea","\u212eb","\u212ec","\u212ed","\u212ee","\u212ef","\u212f0","\u212f1","\u212f2","\u212f3","\u212f4","\u212f5","\u212f6","\u212f7","\u212f8","\u212f9","\u212fa","\u212fb","\u212fc","\u212fd","\u212fe","\u212ff","\u21300","\u21301","\u21302","\u21303","\u21304","\u21305","\u21306","\u21307","\u21308","\u21309","\u2130a","\u2130b","\u2130c","\u2130d","\u2130e","\u2130f","\u21310","\u21311","\u21312","\u21313","\u21314","\u21315","\u21316","\u21317","\u21318","\u21319","\u2131a","\u2131b","\u2131c","\u2131d","\u2131e","\u2131f","\u21320","\u21321","\u21322","\u21323","\u21324","\u21325","\u21326","\u21327","\u21328","\u21329","\u2132a","\u2132b","\u2132c","\u2132d","\u2132e","\u2132f","\u21330","\u21331","\u21332","\u21333","\u21334","\u21335","\u21336","\u21337","\u21338","\u21339","\u2133a","\u2133b","\u2133c","\u2133d","\u2133e","\u2133f","\u21340","\u21341","\u21342","\u21343","\u21344","\u21345","\u21346","\u21347","\u21348","\u21349","\u2134a","\u2134b","\u2134c","\u2134d","\u2134e","\u2134f","\u21350","\u21351","\u21352","\u21353","\u21354","\u21355","\u21356","\u21357","\u21358","\u21359","\u2135a","\u2135b","\u2135c","\u2135d","\u2135e","\u2135f","\u21360","\u21361","\u21362","\u21363","\u21364","\u21365","\u21366","\u21367","\u21368","\u21369","\u2136a","\u2136b","\u2136c","\u2136d","\u2136e","\u2136f","\u21370","\u21371","\u21372","\u21373","\u21374","\u21375","\u21376","\u21377","\u21378","\u21379","\u2137a","\u2137b","\u2137c","\u2137d","\u2137e","\u2137f","\u21380","\u21381","\u21382","\u21383","\u21384","\u21385","\u21386","\u21387","\u21388","\u21389","\u2138a","\u2138b","\u2138c","\u2138d","\u2138e","\u2138f","\u21390","\u21391","\u21392","\u21393","\u21394","\u21395","\u21396","\u21397","\u21398","\u21399","\u2139a","\u2139b","\u2139c","\u2139d","\u2139e","\u2139f","\u213a0","\u213a1","\u213a2","\u213a3","\u213a4","\u213a5","\u213a6","\u213a7","\u213a8","\u213a9","\u213aa","\u213ab","\u213ac","\u213ad","\u213ae","\u213af","\u213b0","\u213b1","\u213b2","\u213b3","\u213b4","\u213b5","\u213b6","\u213b7","\u213b8","\u213b9","\u213ba","\u213bb","\u213bc","\u213bd","\u213be","\u213bf","\u213c0","\u213c1","\u213c2","\u213c3","\u213c4","\u213c5","\u213c6","\u213c7","\u213c8","\u213c9","\u213ca","\u213cb","\u213cc","\u213cd","\u213ce","\u213cf","\u213d0","\u213d1","\u213d2","\u213d3","\u213d4","\u213d5","\u213d6","\u213d7","\u213d8","\u213d9","\u213da","\u213db","\u213dc","\u213dd","\u213de","\u213df","\u213e0","\u213e1","\u213e2","\u213e3","\u213e4","\u213e5","\u213e6","\u213e7","\u213e8","\u213e9","\u213ea","\u213eb","\u213ec","\u213ed","\u213ee","\u213ef","\u213f0","\u213f1","\u213f2","\u213f3","\u213f4","\u213f5","\u213f6","\u213f7","\u213f8","\u213f9","\u213fa","\u213fb","\u213fc","\u213fd","\u213fe","\u213ff","\u21400","\u21401","\u21402","\u21403","\u21404","\u21405","\u21406","\u21407","\u21408","\u21409","\u2140a","\u2140b","\u2140c","\u2140d","\u2140e","\u2140f","\u21410","\u21411","\u21412","\u21413","\u21414","\u21415","\u21416","\u21417","\u21418","\u21419","\u2141a","\u2141b","\u2141c","\u2141d","\u2141e","\u2141f","\u21420","\u21421","\u21422","\u21423","\u21424","\u21425","\u21426","\u21427","\u21428","\u21429","\u2142a","\u2142b","\u2142c","\u2142d","\u2142e","\u2142f","\u21430","\u21431","\u21432","\u21433","\u21434","\u21435","\u21436","\u21437","\u21438","\u21439","\u2143a","\u2143b","\u2143c","\u2143d","\u2143e","\u2143f","\u21440","\u21441","\u21442","\u21443","\u21444","\u21445","\u21446","\u21447","\u21448","\u21449","\u2144a","\u2144b","\u2144c","\u2144d","\u2144e","\u2144f","\u21450","\u21451","\u21452","\u21453","\u21454","\u21455","\u21456","\u21457","\u21458","\u21459","\u2145a","\u2145b","\u2145c","\u2145d","\u2145e","\u2145f","\u21460","\u21461","\u21462","\u21463","\u21464","\u21465","\u21466","\u21467","\u21468","\u21469","\u2146a","\u2146b","\u2146c","\u2146d","\u2146e","\u2146f","\u21470","\u21471","\u21472","\u21473","\u21474","\u21475","\u21476","\u21477","\u21478","\u21479","\u2147a","\u2147b","\u2147c","\u2147d","\u2147e","\u2147f","\u21480","\u21481","\u21482","\u21483","\u21484","\u21485","\u21486","\u21487","\u21488","\u21489","\u2148a","\u2148b","\u2148c","\u2148d","\u2148e","\u2148f","\u21490","\u21491","\u21492","\u21493","\u21494","\u21495","\u21496","\u21497","\u21498","\u21499","\u2149a","\u2149b","\u2149c","\u2149d","\u2149e","\u2149f","\u214a0","\u214a1","\u214a2","\u214a3","\u214a4","\u214a5","\u214a6","\u214a7","\u214a8","\u214a9","\u214aa","\u214ab","\u214ac","\u214ad","\u214ae","\u214af","\u214b0","\u214b1","\u214b2","\u214b3","\u214b4","\u214b5","\u214b6","\u214b7","\u214b8","\u214b9","\u214ba","\u214bb","\u214bc","\u214bd","\u214be","\u214bf","\u214c0","\u214c1","\u214c2","\u214c3","\u214c4","\u214c5","\u214c6","\u214c7","\u214c8","\u214c9","\u214ca","\u214cb","\u214cc","\u214cd","\u214ce","\u214cf","\u214d0","\u214d1","\u214d2","\u214d3","\u214d4","\u214d5","\u214d6","\u214d7","\u214d8","\u214d9","\u214da","\u214db","\u214dc","\u214dd","\u214de","\u214df","\u214e0","\u214e1","\u214e2","\u214e3","\u214e4","\u214e5","\u214e6","\u214e7","\u214e8","\u214e9","\u214ea","\u214eb","\u214ec","\u214ed","\u214ee","\u214ef","\u214f0","\u214f1","\u214f2","\u214f3","\u214f4","\u214f5","\u214f6","\u214f7","\u214f8","\u214f9","\u214fa","\u214fb","\u214fc","\u214fd","\u214fe","\u214ff","\u21500","\u21501","\u21502","\u21503","\u21504","\u21505","\u21506","\u21507","\u21508","\u21509","\u2150a","\u2150b","\u2150c","\u2150d","\u2150e","\u2150f","\u21510","\u21511","\u21512","\u21513","\u21514","\u21515","\u21516","\u21517","\u21518","\u21519","\u2151a","\u2151b","\u2151c","\u2151d","\u2151e","\u2151f","\u21520","\u21521","\u21522","\u21523","\u21524","\u21525","\u21526","\u21527","\u21528","\u21529","\u2152a","\u2152b","\u2152c","\u2152d","\u2152e","\u2152f","\u21530","\u21531","\u21532","\u21533","\u21534","\u21535","\u21536","\u21537","\u21538","\u21539","\u2153a","\u2153b","\u2153c","\u2153d","\u2153e","\u2153f","\u21540","\u21541","\u21542","\u21543","\u21544","\u21545","\u21546","\u21547","\u21548","\u21549","\u2154a","\u2154b","\u2154c","\u2154d","\u2154e","\u2154f","\u21550","\u21551","\u21552","\u21553","\u21554","\u21555","\u21556","\u21557","\u21558","\u21559","\u2155a","\u2155b","\u2155c","\u2155d","\u2155e","\u2155f","\u21560","\u21561","\u21562","\u21563","\u21564","\u21565","\u21566","\u21567","\u21568","\u21569","\u2156a","\u2156b","\u2156c","\u2156d","\u2156e","\u2156f","\u21570","\u21571","\u21572","\u21573","\u21574","\u21575","\u21576","\u21577","\u21578","\u21579","\u2157a","\u2157b","\u2157c","\u2157d","\u2157e","\u2157f","\u21580","\u21581","\u21582","\u21583","\u21584","\u21585","\u21586","\u21587","\u21588","\u21589","\u2158a","\u2158b","\u2158c","\u2158d","\u2158e","\u2158f","\u21590","\u21591","\u21592","\u21593","\u21594","\u21595","\u21596","\u21597","\u21598","\u21599","\u2159a","\u2159b","\u2159c","\u2159d","\u2159e","\u2159f","\u215a0","\u215a1","\u215a2","\u215a3","\u215a4","\u215a5","\u215a6","\u215a7","\u215a8","\u215a9","\u215aa","\u215ab","\u215ac","\u215ad","\u215ae","\u215af","\u215b0","\u215b1","\u215b2","\u215b3","\u215b4","\u215b5","\u215b6","\u215b7","\u215b8","\u215b9","\u215ba","\u215bb","\u215bc","\u215bd","\u215be","\u215bf","\u215c0","\u215c1","\u215c2","\u215c3","\u215c4","\u215c5","\u215c6","\u215c7","\u215c8","\u215c9","\u215ca","\u215cb","\u215cc","\u215cd","\u215ce","\u215cf","\u215d0","\u215d1","\u215d2","\u215d3","\u215d4","\u215d5","\u215d6","\u215d7","\u215d8","\u215d9","\u215da","\u215db","\u215dc","\u215dd","\u215de","\u215df","\u215e0","\u215e1","\u215e2","\u215e3","\u215e4","\u215e5","\u215e6","\u215e7","\u215e8","\u215e9","\u215ea","\u215eb","\u215ec","\u215ed","\u215ee","\u215ef","\u215f0","\u215f1","\u215f2","\u215f3","\u215f4","\u215f5","\u215f6","\u215f7","\u215f8","\u215f9","\u215fa","\u215fb","\u215fc","\u215fd","\u215fe","\u215ff","\u21600","\u21601","\u21602","\u21603","\u21604","\u21605","\u21606","\u21607","\u21608","\u21609","\u2160a","\u2160b","\u2160c","\u2160d","\u2160e","\u2160f","\u21610","\u21611","\u21612","\u21613","\u21614","\u21615","\u21616","\u21617","\u21618","\u21619","\u2161a","\u2161b","\u2161c","\u2161d","\u2161e","\u2161f","\u21620","\u21621","\u21622","\u21623","\u21624","\u21625","\u21626","\u21627","\u21628","\u21629","\u2162a","\u2162b","\u2162c","\u2162d","\u2162e","\u2162f","\u21630","\u21631","\u21632","\u21633","\u21634","\u21635","\u21636","\u21637","\u21638","\u21639","\u2163a","\u2163b","\u2163c","\u2163d","\u2163e","\u2163f","\u21640","\u21641","\u21642","\u21643","\u21644","\u21645","\u21646","\u21647","\u21648","\u21649","\u2164a","\u2164b","\u2164c","\u2164d","\u2164e","\u2164f","\u21650","\u21651","\u21652","\u21653","\u21654","\u21655","\u21656","\u21657","\u21658","\u21659","\u2165a","\u2165b","\u2165c","\u2165d","\u2165e","\u2165f","\u21660","\u21661","\u21662","\u21663","\u21664","\u21665","\u21666","\u21667","\u21668","\u21669","\u2166a","\u2166b","\u2166c","\u2166d","\u2166e","\u2166f","\u21670","\u21671","\u21672","\u21673","\u21674","\u21675","\u21676","\u21677","\u21678","\u21679","\u2167a","\u2167b","\u2167c","\u2167d","\u2167e","\u2167f","\u21680","\u21681","\u21682","\u21683","\u21684","\u21685","\u21686","\u21687","\u21688","\u21689","\u2168a","\u2168b","\u2168c","\u2168d","\u2168e","\u2168f","\u21690","\u21691","\u21692","\u21693","\u21694","\u21695","\u21696","\u21697","\u21698","\u21699","\u2169a","\u2169b","\u2169c","\u2169d","\u2169e","\u2169f","\u216a0","\u216a1","\u216a2","\u216a3","\u216a4","\u216a5","\u216a6","\u216a7","\u216a8","\u216a9","\u216aa","\u216ab","\u216ac","\u216ad","\u216ae","\u216af","\u216b0","\u216b1","\u216b2","\u216b3","\u216b4","\u216b5","\u216b6","\u216b7","\u216b8","\u216b9","\u216ba","\u216bb","\u216bc","\u216bd","\u216be","\u216bf","\u216c0","\u216c1","\u216c2","\u216c3","\u216c4","\u216c5","\u216c6","\u216c7","\u216c8","\u216c9","\u216ca","\u216cb","\u216cc","\u216cd","\u216ce","\u216cf","\u216d0","\u216d1","\u216d2","\u216d3","\u216d4","\u216d5","\u216d6","\u216d7","\u216d8","\u216d9","\u216da","\u216db","\u216dc","\u216dd","\u216de","\u216df","\u216e0","\u216e1","\u216e2","\u216e3","\u216e4","\u216e5","\u216e6","\u216e7","\u216e8","\u216e9","\u216ea","\u216eb","\u216ec","\u216ed","\u216ee","\u216ef","\u216f0","\u216f1","\u216f2","\u216f3","\u216f4","\u216f5","\u216f6","\u216f7","\u216f8","\u216f9","\u216fa","\u216fb","\u216fc","\u216fd","\u216fe","\u216ff","\u21700","\u21701","\u21702","\u21703","\u21704","\u21705","\u21706","\u21707","\u21708","\u21709","\u2170a","\u2170b","\u2170c","\u2170d","\u2170e","\u2170f","\u21710","\u21711","\u21712","\u21713","\u21714","\u21715","\u21716","\u21717","\u21718","\u21719","\u2171a","\u2171b","\u2171c","\u2171d","\u2171e","\u2171f","\u21720","\u21721","\u21722","\u21723","\u21724","\u21725","\u21726","\u21727","\u21728","\u21729","\u2172a","\u2172b","\u2172c","\u2172d","\u2172e","\u2172f","\u21730","\u21731","\u21732","\u21733","\u21734","\u21735","\u21736","\u21737","\u21738","\u21739","\u2173a","\u2173b","\u2173c","\u2173d","\u2173e","\u2173f","\u21740","\u21741","\u21742","\u21743","\u21744","\u21745","\u21746","\u21747","\u21748","\u21749","\u2174a","\u2174b","\u2174c","\u2174d","\u2174e","\u2174f","\u21750","\u21751","\u21752","\u21753","\u21754","\u21755","\u21756","\u21757","\u21758","\u21759","\u2175a","\u2175b","\u2175c","\u2175d","\u2175e","\u2175f","\u21760","\u21761","\u21762","\u21763","\u21764","\u21765","\u21766","\u21767","\u21768","\u21769","\u2176a","\u2176b","\u2176c","\u2176d","\u2176e","\u2176f","\u21770","\u21771","\u21772","\u21773","\u21774","\u21775","\u21776","\u21777","\u21778","\u21779","\u2177a","\u2177b","\u2177c","\u2177d","\u2177e","\u2177f","\u21780","\u21781","\u21782","\u21783","\u21784","\u21785","\u21786","\u21787","\u21788","\u21789","\u2178a","\u2178b","\u2178c","\u2178d","\u2178e","\u2178f","\u21790","\u21791","\u21792","\u21793","\u21794","\u21795","\u21796","\u21797","\u21798","\u21799","\u2179a","\u2179b","\u2179c","\u2179d","\u2179e","\u2179f","\u217a0","\u217a1","\u217a2","\u217a3","\u217a4","\u217a5","\u217a6","\u217a7","\u217a8","\u217a9","\u217aa","\u217ab","\u217ac","\u217ad","\u217ae","\u217af","\u217b0","\u217b1","\u217b2","\u217b3","\u217b4","\u217b5","\u217b6","\u217b7","\u217b8","\u217b9","\u217ba","\u217bb","\u217bc","\u217bd","\u217be","\u217bf","\u217c0","\u217c1","\u217c2","\u217c3","\u217c4","\u217c5","\u217c6","\u217c7","\u217c8","\u217c9","\u217ca","\u217cb","\u217cc","\u217cd","\u217ce","\u217cf","\u217d0","\u217d1","\u217d2","\u217d3","\u217d4","\u217d5","\u217d6","\u217d7","\u217d8","\u217d9","\u217da","\u217db","\u217dc","\u217dd","\u217de","\u217df","\u217e0","\u217e1","\u217e2","\u217e3","\u217e4","\u217e5","\u217e6","\u217e7","\u217e8","\u217e9","\u217ea","\u217eb","\u217ec","\u217ed","\u217ee","\u217ef","\u217f0","\u217f1","\u217f2","\u217f3","\u217f4","\u217f5","\u217f6","\u217f7","\u217f8","\u217f9","\u217fa","\u217fb","\u217fc","\u217fd","\u217fe","\u217ff","\u21800","\u21801","\u21802","\u21803","\u21804","\u21805","\u21806","\u21807","\u21808","\u21809","\u2180a","\u2180b","\u2180c","\u2180d","\u2180e","\u2180f","\u21810","\u21811","\u21812","\u21813","\u21814","\u21815","\u21816","\u21817","\u21818","\u21819","\u2181a","\u2181b","\u2181c","\u2181d","\u2181e","\u2181f","\u21820","\u21821","\u21822","\u21823","\u21824","\u21825","\u21826","\u21827","\u21828","\u21829","\u2182a","\u2182b","\u2182c","\u2182d","\u2182e","\u2182f","\u21830","\u21831","\u21832","\u21833","\u21834","\u21835","\u21836","\u21837","\u21838","\u21839","\u2183a","\u2183b","\u2183c","\u2183d","\u2183e","\u2183f","\u21840","\u21841","\u21842","\u21843","\u21844","\u21845","\u21846","\u21847","\u21848","\u21849","\u2184a","\u2184b","\u2184c","\u2184d","\u2184e","\u2184f","\u21850","\u21851","\u21852","\u21853","\u21854","\u21855","\u21856","\u21857","\u21858","\u21859","\u2185a","\u2185b","\u2185c","\u2185d","\u2185e","\u2185f","\u21860","\u21861","\u21862","\u21863","\u21864","\u21865","\u21866","\u21867","\u21868","\u21869","\u2186a","\u2186b","\u2186c","\u2186d","\u2186e","\u2186f","\u21870","\u21871","\u21872","\u21873","\u21874","\u21875","\u21876","\u21877","\u21878","\u21879","\u2187a","\u2187b","\u2187c","\u2187d","\u2187e","\u2187f","\u21880","\u21881","\u21882","\u21883","\u21884","\u21885","\u21886","\u21887","\u21888","\u21889","\u2188a","\u2188b","\u2188c","\u2188d","\u2188e","\u2188f","\u21890","\u21891","\u21892","\u21893","\u21894","\u21895","\u21896","\u21897","\u21898","\u21899","\u2189a","\u2189b","\u2189c","\u2189d","\u2189e","\u2189f","\u218a0","\u218a1","\u218a2","\u218a3","\u218a4","\u218a5","\u218a6","\u218a7","\u218a8","\u218a9","\u218aa","\u218ab","\u218ac","\u218ad","\u218ae","\u218af","\u218b0","\u218b1","\u218b2","\u218b3","\u218b4","\u218b5","\u218b6","\u218b7","\u218b8","\u218b9","\u218ba","\u218bb","\u218bc","\u218bd","\u218be","\u218bf","\u218c0","\u218c1","\u218c2","\u218c3","\u218c4","\u218c5","\u218c6","\u218c7","\u218c8","\u218c9","\u218ca","\u218cb","\u218cc","\u218cd","\u218ce","\u218cf","\u218d0","\u218d1","\u218d2","\u218d3","\u218d4","\u218d5","\u218d6","\u218d7","\u218d8","\u218d9","\u218da","\u218db","\u218dc","\u218dd","\u218de","\u218df","\u218e0","\u218e1","\u218e2","\u218e3","\u218e4","\u218e5","\u218e6","\u218e7","\u218e8","\u218e9","\u218ea","\u218eb","\u218ec","\u218ed","\u218ee","\u218ef","\u218f0","\u218f1","\u218f2","\u218f3","\u218f4","\u218f5","\u218f6","\u218f7","\u218f8","\u218f9","\u218fa","\u218fb","\u218fc","\u218fd","\u218fe","\u218ff","\u21900","\u21901","\u21902","\u21903","\u21904","\u21905","\u21906","\u21907","\u21908","\u21909","\u2190a","\u2190b","\u2190c","\u2190d","\u2190e","\u2190f","\u21910","\u21911","\u21912","\u21913","\u21914","\u21915","\u21916","\u21917","\u21918","\u21919","\u2191a","\u2191b","\u2191c","\u2191d","\u2191e","\u2191f","\u21920","\u21921","\u21922","\u21923","\u21924","\u21925","\u21926","\u21927","\u21928","\u21929","\u2192a","\u2192b","\u2192c","\u2192d","\u2192e","\u2192f","\u21930","\u21931","\u21932","\u21933","\u21934","\u21935","\u21936","\u21937","\u21938","\u21939","\u2193a","\u2193b","\u2193c","\u2193d","\u2193e","\u2193f","\u21940","\u21941","\u21942","\u21943","\u21944","\u21945","\u21946","\u21947","\u21948","\u21949","\u2194a","\u2194b","\u2194c","\u2194d","\u2194e","\u2194f","\u21950","\u21951","\u21952","\u21953","\u21954","\u21955","\u21956","\u21957","\u21958","\u21959","\u2195a","\u2195b","\u2195c","\u2195d","\u2195e","\u2195f","\u21960","\u21961","\u21962","\u21963","\u21964","\u21965","\u21966","\u21967","\u21968","\u21969","\u2196a","\u2196b","\u2196c","\u2196d","\u2196e","\u2196f","\u21970","\u21971","\u21972","\u21973","\u21974","\u21975","\u21976","\u21977","\u21978","\u21979","\u2197a","\u2197b","\u2197c","\u2197d","\u2197e","\u2197f","\u21980","\u21981","\u21982","\u21983","\u21984","\u21985","\u21986","\u21987","\u21988","\u21989","\u2198a","\u2198b","\u2198c","\u2198d","\u2198e","\u2198f","\u21990","\u21991","\u21992","\u21993","\u21994","\u21995","\u21996","\u21997","\u21998","\u21999","\u2199a","\u2199b","\u2199c","\u2199d","\u2199e","\u2199f","\u219a0","\u219a1","\u219a2","\u219a3","\u219a4","\u219a5","\u219a6","\u219a7","\u219a8","\u219a9","\u219aa","\u219ab","\u219ac","\u219ad","\u219ae","\u219af","\u219b0","\u219b1","\u219b2","\u219b3","\u219b4","\u219b5","\u219b6","\u219b7","\u219b8","\u219b9","\u219ba","\u219bb","\u219bc","\u219bd","\u219be","\u219bf","\u219c0","\u219c1","\u219c2","\u219c3","\u219c4","\u219c5","\u219c6","\u219c7","\u219c8","\u219c9","\u219ca","\u219cb","\u219cc","\u219cd","\u219ce","\u219cf","\u219d0","\u219d1","\u219d2","\u219d3","\u219d4","\u219d5","\u219d6","\u219d7","\u219d8","\u219d9","\u219da","\u219db","\u219dc","\u219dd","\u219de","\u219df","\u219e0","\u219e1","\u219e2","\u219e3","\u219e4","\u219e5","\u219e6","\u219e7","\u219e8","\u219e9","\u219ea","\u219eb","\u219ec","\u219ed","\u219ee","\u219ef","\u219f0","\u219f1","\u219f2","\u219f3","\u219f4","\u219f5","\u219f6","\u219f7","\u219f8","\u219f9","\u219fa","\u219fb","\u219fc","\u219fd","\u219fe","\u219ff","\u21a00","\u21a01","\u21a02","\u21a03","\u21a04","\u21a05","\u21a06","\u21a07","\u21a08","\u21a09","\u21a0a","\u21a0b","\u21a0c","\u21a0d","\u21a0e","\u21a0f","\u21a10","\u21a11","\u21a12","\u21a13","\u21a14","\u21a15","\u21a16","\u21a17","\u21a18","\u21a19","\u21a1a","\u21a1b","\u21a1c","\u21a1d","\u21a1e","\u21a1f","\u21a20","\u21a21","\u21a22","\u21a23","\u21a24","\u21a25","\u21a26","\u21a27","\u21a28","\u21a29","\u21a2a","\u21a2b","\u21a2c","\u21a2d","\u21a2e","\u21a2f","\u21a30","\u21a31","\u21a32","\u21a33","\u21a34","\u21a35","\u21a36","\u21a37","\u21a38","\u21a39","\u21a3a","\u21a3b","\u21a3c","\u21a3d","\u21a3e","\u21a3f","\u21a40","\u21a41","\u21a42","\u21a43","\u21a44","\u21a45","\u21a46","\u21a47","\u21a48","\u21a49","\u21a4a","\u21a4b","\u21a4c","\u21a4d","\u21a4e","\u21a4f","\u21a50","\u21a51","\u21a52","\u21a53","\u21a54","\u21a55","\u21a56","\u21a57","\u21a58","\u21a59","\u21a5a","\u21a5b","\u21a5c","\u21a5d","\u21a5e","\u21a5f","\u21a60","\u21a61","\u21a62","\u21a63","\u21a64","\u21a65","\u21a66","\u21a67","\u21a68","\u21a69","\u21a6a","\u21a6b","\u21a6c","\u21a6d","\u21a6e","\u21a6f","\u21a70","\u21a71","\u21a72","\u21a73","\u21a74","\u21a75","\u21a76","\u21a77","\u21a78","\u21a79","\u21a7a","\u21a7b","\u21a7c","\u21a7d","\u21a7e","\u21a7f","\u21a80","\u21a81","\u21a82","\u21a83","\u21a84","\u21a85","\u21a86","\u21a87","\u21a88","\u21a89","\u21a8a","\u21a8b","\u21a8c","\u21a8d","\u21a8e","\u21a8f","\u21a90","\u21a91","\u21a92","\u21a93","\u21a94","\u21a95","\u21a96","\u21a97","\u21a98","\u21a99","\u21a9a","\u21a9b","\u21a9c","\u21a9d","\u21a9e","\u21a9f","\u21aa0","\u21aa1","\u21aa2","\u21aa3","\u21aa4","\u21aa5","\u21aa6","\u21aa7","\u21aa8","\u21aa9","\u21aaa","\u21aab","\u21aac","\u21aad","\u21aae","\u21aaf","\u21ab0","\u21ab1","\u21ab2","\u21ab3","\u21ab4","\u21ab5","\u21ab6","\u21ab7","\u21ab8","\u21ab9","\u21aba","\u21abb","\u21abc","\u21abd","\u21abe","\u21abf","\u21ac0","\u21ac1","\u21ac2","\u21ac3","\u21ac4","\u21ac5","\u21ac6","\u21ac7","\u21ac8","\u21ac9","\u21aca","\u21acb","\u21acc","\u21acd","\u21ace","\u21acf","\u21ad0","\u21ad1","\u21ad2","\u21ad3","\u21ad4","\u21ad5","\u21ad6","\u21ad7","\u21ad8","\u21ad9","\u21ada","\u21adb","\u21adc","\u21add","\u21ade","\u21adf","\u21ae0","\u21ae1","\u21ae2","\u21ae3","\u21ae4","\u21ae5","\u21ae6","\u21ae7","\u21ae8","\u21ae9","\u21aea","\u21aeb","\u21aec","\u21aed","\u21aee","\u21aef","\u21af0","\u21af1","\u21af2","\u21af3","\u21af4","\u21af5","\u21af6","\u21af7","\u21af8","\u21af9","\u21afa","\u21afb","\u21afc","\u21afd","\u21afe","\u21aff","\u21b00","\u21b01","\u21b02","\u21b03","\u21b04","\u21b05","\u21b06","\u21b07","\u21b08","\u21b09","\u21b0a","\u21b0b","\u21b0c","\u21b0d","\u21b0e","\u21b0f","\u21b10","\u21b11","\u21b12","\u21b13","\u21b14","\u21b15","\u21b16","\u21b17","\u21b18","\u21b19","\u21b1a","\u21b1b","\u21b1c","\u21b1d","\u21b1e","\u21b1f","\u21b20","\u21b21","\u21b22","\u21b23","\u21b24","\u21b25","\u21b26","\u21b27","\u21b28","\u21b29","\u21b2a","\u21b2b","\u21b2c","\u21b2d","\u21b2e","\u21b2f","\u21b30","\u21b31","\u21b32","\u21b33","\u21b34","\u21b35","\u21b36","\u21b37","\u21b38","\u21b39","\u21b3a","\u21b3b","\u21b3c","\u21b3d","\u21b3e","\u21b3f","\u21b40","\u21b41","\u21b42","\u21b43","\u21b44","\u21b45","\u21b46","\u21b47","\u21b48","\u21b49","\u21b4a","\u21b4b","\u21b4c","\u21b4d","\u21b4e","\u21b4f","\u21b50","\u21b51","\u21b52","\u21b53","\u21b54","\u21b55","\u21b56","\u21b57","\u21b58","\u21b59","\u21b5a","\u21b5b","\u21b5c","\u21b5d","\u21b5e","\u21b5f","\u21b60","\u21b61","\u21b62","\u21b63","\u21b64","\u21b65","\u21b66","\u21b67","\u21b68","\u21b69","\u21b6a","\u21b6b","\u21b6c","\u21b6d","\u21b6e","\u21b6f","\u21b70","\u21b71","\u21b72","\u21b73","\u21b74","\u21b75","\u21b76","\u21b77","\u21b78","\u21b79","\u21b7a","\u21b7b","\u21b7c","\u21b7d","\u21b7e","\u21b7f","\u21b80","\u21b81","\u21b82","\u21b83","\u21b84","\u21b85","\u21b86","\u21b87","\u21b88","\u21b89","\u21b8a","\u21b8b","\u21b8c","\u21b8d","\u21b8e","\u21b8f","\u21b90","\u21b91","\u21b92","\u21b93","\u21b94","\u21b95","\u21b96","\u21b97","\u21b98","\u21b99","\u21b9a","\u21b9b","\u21b9c","\u21b9d","\u21b9e","\u21b9f","\u21ba0","\u21ba1","\u21ba2","\u21ba3","\u21ba4","\u21ba5","\u21ba6","\u21ba7","\u21ba8","\u21ba9","\u21baa","\u21bab","\u21bac","\u21bad","\u21bae","\u21baf","\u21bb0","\u21bb1","\u21bb2","\u21bb3","\u21bb4","\u21bb5","\u21bb6","\u21bb7","\u21bb8","\u21bb9","\u21bba","\u21bbb","\u21bbc","\u21bbd","\u21bbe","\u21bbf","\u21bc0","\u21bc1","\u21bc2","\u21bc3","\u21bc4","\u21bc5","\u21bc6","\u21bc7","\u21bc8","\u21bc9","\u21bca","\u21bcb","\u21bcc","\u21bcd","\u21bce","\u21bcf","\u21bd0","\u21bd1","\u21bd2","\u21bd3","\u21bd4","\u21bd5","\u21bd6","\u21bd7","\u21bd8","\u21bd9","\u21bda","\u21bdb","\u21bdc","\u21bdd","\u21bde","\u21bdf","\u21be0","\u21be1","\u21be2","\u21be3","\u21be4","\u21be5","\u21be6","\u21be7","\u21be8","\u21be9","\u21bea","\u21beb","\u21bec","\u21bed","\u21bee","\u21bef","\u21bf0","\u21bf1","\u21bf2","\u21bf3","\u21bf4","\u21bf5","\u21bf6","\u21bf7","\u21bf8","\u21bf9","\u21bfa","\u21bfb","\u21bfc","\u21bfd","\u21bfe","\u21bff","\u21c00","\u21c01","\u21c02","\u21c03","\u21c04","\u21c05","\u21c06","\u21c07","\u21c08","\u21c09","\u21c0a","\u21c0b","\u21c0c","\u21c0d","\u21c0e","\u21c0f","\u21c10","\u21c11","\u21c12","\u21c13","\u21c14","\u21c15","\u21c16","\u21c17","\u21c18","\u21c19","\u21c1a","\u21c1b","\u21c1c","\u21c1d","\u21c1e","\u21c1f","\u21c20","\u21c21","\u21c22","\u21c23","\u21c24","\u21c25","\u21c26","\u21c27","\u21c28","\u21c29","\u21c2a","\u21c2b","\u21c2c","\u21c2d","\u21c2e","\u21c2f","\u21c30","\u21c31","\u21c32","\u21c33","\u21c34","\u21c35","\u21c36","\u21c37","\u21c38","\u21c39","\u21c3a","\u21c3b","\u21c3c","\u21c3d","\u21c3e","\u21c3f","\u21c40","\u21c41","\u21c42","\u21c43","\u21c44","\u21c45","\u21c46","\u21c47","\u21c48","\u21c49","\u21c4a","\u21c4b","\u21c4c","\u21c4d","\u21c4e","\u21c4f","\u21c50","\u21c51","\u21c52","\u21c53","\u21c54","\u21c55","\u21c56","\u21c57","\u21c58","\u21c59","\u21c5a","\u21c5b","\u21c5c","\u21c5d","\u21c5e","\u21c5f","\u21c60","\u21c61","\u21c62","\u21c63","\u21c64","\u21c65","\u21c66","\u21c67","\u21c68","\u21c69","\u21c6a","\u21c6b","\u21c6c","\u21c6d","\u21c6e","\u21c6f","\u21c70","\u21c71","\u21c72","\u21c73","\u21c74","\u21c75","\u21c76","\u21c77","\u21c78","\u21c79","\u21c7a","\u21c7b","\u21c7c","\u21c7d","\u21c7e","\u21c7f","\u21c80","\u21c81","\u21c82","\u21c83","\u21c84","\u21c85","\u21c86","\u21c87","\u21c88","\u21c89","\u21c8a","\u21c8b","\u21c8c","\u21c8d","\u21c8e","\u21c8f","\u21c90","\u21c91","\u21c92","\u21c93","\u21c94","\u21c95","\u21c96","\u21c97","\u21c98","\u21c99","\u21c9a","\u21c9b","\u21c9c","\u21c9d","\u21c9e","\u21c9f","\u21ca0","\u21ca1","\u21ca2","\u21ca3","\u21ca4","\u21ca5","\u21ca6","\u21ca7","\u21ca8","\u21ca9","\u21caa","\u21cab","\u21cac","\u21cad","\u21cae","\u21caf","\u21cb0","\u21cb1","\u21cb2","\u21cb3","\u21cb4","\u21cb5","\u21cb6","\u21cb7","\u21cb8","\u21cb9","\u21cba","\u21cbb","\u21cbc","\u21cbd","\u21cbe","\u21cbf","\u21cc0","\u21cc1","\u21cc2","\u21cc3","\u21cc4","\u21cc5","\u21cc6","\u21cc7","\u21cc8","\u21cc9","\u21cca","\u21ccb","\u21ccc","\u21ccd","\u21cce","\u21ccf","\u21cd0","\u21cd1","\u21cd2","\u21cd3","\u21cd4","\u21cd5","\u21cd6","\u21cd7","\u21cd8","\u21cd9","\u21cda","\u21cdb","\u21cdc","\u21cdd","\u21cde","\u21cdf","\u21ce0","\u21ce1","\u21ce2","\u21ce3","\u21ce4","\u21ce5","\u21ce6","\u21ce7","\u21ce8","\u21ce9","\u21cea","\u21ceb","\u21cec","\u21ced","\u21cee","\u21cef","\u21cf0","\u21cf1","\u21cf2","\u21cf3","\u21cf4","\u21cf5","\u21cf6","\u21cf7","\u21cf8","\u21cf9","\u21cfa","\u21cfb","\u21cfc","\u21cfd","\u21cfe","\u21cff","\u21d00","\u21d01","\u21d02","\u21d03","\u21d04","\u21d05","\u21d06","\u21d07","\u21d08","\u21d09","\u21d0a","\u21d0b","\u21d0c","\u21d0d","\u21d0e","\u21d0f","\u21d10","\u21d11","\u21d12","\u21d13","\u21d14","\u21d15","\u21d16","\u21d17","\u21d18","\u21d19","\u21d1a","\u21d1b","\u21d1c","\u21d1d","\u21d1e","\u21d1f","\u21d20","\u21d21","\u21d22","\u21d23","\u21d24","\u21d25","\u21d26","\u21d27","\u21d28","\u21d29","\u21d2a","\u21d2b","\u21d2c","\u21d2d","\u21d2e","\u21d2f","\u21d30","\u21d31","\u21d32","\u21d33","\u21d34","\u21d35","\u21d36","\u21d37","\u21d38","\u21d39","\u21d3a","\u21d3b","\u21d3c","\u21d3d","\u21d3e","\u21d3f","\u21d40","\u21d41","\u21d42","\u21d43","\u21d44","\u21d45","\u21d46","\u21d47","\u21d48","\u21d49","\u21d4a","\u21d4b","\u21d4c","\u21d4d","\u21d4e","\u21d4f","\u21d50","\u21d51","\u21d52","\u21d53","\u21d54","\u21d55","\u21d56","\u21d57","\u21d58","\u21d59","\u21d5a","\u21d5b","\u21d5c","\u21d5d","\u21d5e","\u21d5f","\u21d60","\u21d61","\u21d62","\u21d63","\u21d64","\u21d65","\u21d66","\u21d67","\u21d68","\u21d69","\u21d6a","\u21d6b","\u21d6c","\u21d6d","\u21d6e","\u21d6f","\u21d70","\u21d71","\u21d72","\u21d73","\u21d74","\u21d75","\u21d76","\u21d77","\u21d78","\u21d79","\u21d7a","\u21d7b","\u21d7c","\u21d7d","\u21d7e","\u21d7f","\u21d80","\u21d81","\u21d82","\u21d83","\u21d84","\u21d85","\u21d86","\u21d87","\u21d88","\u21d89","\u21d8a","\u21d8b","\u21d8c","\u21d8d","\u21d8e","\u21d8f","\u21d90","\u21d91","\u21d92","\u21d93","\u21d94","\u21d95","\u21d96","\u21d97","\u21d98","\u21d99","\u21d9a","\u21d9b","\u21d9c","\u21d9d","\u21d9e","\u21d9f","\u21da0","\u21da1","\u21da2","\u21da3","\u21da4","\u21da5","\u21da6","\u21da7","\u21da8","\u21da9","\u21daa","\u21dab","\u21dac","\u21dad","\u21dae","\u21daf","\u21db0","\u21db1","\u21db2","\u21db3","\u21db4","\u21db5","\u21db6","\u21db7","\u21db8","\u21db9","\u21dba","\u21dbb","\u21dbc","\u21dbd","\u21dbe","\u21dbf","\u21dc0","\u21dc1","\u21dc2","\u21dc3","\u21dc4","\u21dc5","\u21dc6","\u21dc7","\u21dc8","\u21dc9","\u21dca","\u21dcb","\u21dcc","\u21dcd","\u21dce","\u21dcf","\u21dd0","\u21dd1","\u21dd2","\u21dd3","\u21dd4","\u21dd5","\u21dd6","\u21dd7","\u21dd8","\u21dd9","\u21dda","\u21ddb","\u21ddc","\u21ddd","\u21dde","\u21ddf","\u21de0","\u21de1","\u21de2","\u21de3","\u21de4","\u21de5","\u21de6","\u21de7","\u21de8","\u21de9","\u21dea","\u21deb","\u21dec","\u21ded","\u21dee","\u21def","\u21df0","\u21df1","\u21df2","\u21df3","\u21df4","\u21df5","\u21df6","\u21df7","\u21df8","\u21df9","\u21dfa","\u21dfb","\u21dfc","\u21dfd","\u21dfe","\u21dff","\u21e00","\u21e01","\u21e02","\u21e03","\u21e04","\u21e05","\u21e06","\u21e07","\u21e08","\u21e09","\u21e0a","\u21e0b","\u21e0c","\u21e0d","\u21e0e","\u21e0f","\u21e10","\u21e11","\u21e12","\u21e13","\u21e14","\u21e15","\u21e16","\u21e17","\u21e18","\u21e19","\u21e1a","\u21e1b","\u21e1c","\u21e1d","\u21e1e","\u21e1f","\u21e20","\u21e21","\u21e22","\u21e23","\u21e24","\u21e25","\u21e26","\u21e27","\u21e28","\u21e29","\u21e2a","\u21e2b","\u21e2c","\u21e2d","\u21e2e","\u21e2f","\u21e30","\u21e31","\u21e32","\u21e33","\u21e34","\u21e35","\u21e36","\u21e37","\u21e38","\u21e39","\u21e3a","\u21e3b","\u21e3c","\u21e3d","\u21e3e","\u21e3f","\u21e40","\u21e41","\u21e42","\u21e43","\u21e44","\u21e45","\u21e46","\u21e47","\u21e48","\u21e49","\u21e4a","\u21e4b","\u21e4c","\u21e4d","\u21e4e","\u21e4f","\u21e50","\u21e51","\u21e52","\u21e53","\u21e54","\u21e55","\u21e56","\u21e57","\u21e58","\u21e59","\u21e5a","\u21e5b","\u21e5c","\u21e5d","\u21e5e","\u21e5f","\u21e60","\u21e61","\u21e62","\u21e63","\u21e64","\u21e65","\u21e66","\u21e67","\u21e68","\u21e69","\u21e6a","\u21e6b","\u21e6c","\u21e6d","\u21e6e","\u21e6f","\u21e70","\u21e71","\u21e72","\u21e73","\u21e74","\u21e75","\u21e76","\u21e77","\u21e78","\u21e79","\u21e7a","\u21e7b","\u21e7c","\u21e7d","\u21e7e","\u21e7f","\u21e80","\u21e81","\u21e82","\u21e83","\u21e84","\u21e85","\u21e86","\u21e87","\u21e88","\u21e89","\u21e8a","\u21e8b","\u21e8c","\u21e8d","\u21e8e","\u21e8f","\u21e90","\u21e91","\u21e92","\u21e93","\u21e94","\u21e95","\u21e96","\u21e97","\u21e98","\u21e99","\u21e9a","\u21e9b","\u21e9c","\u21e9d","\u21e9e","\u21e9f","\u21ea0","\u21ea1","\u21ea2","\u21ea3","\u21ea4","\u21ea5","\u21ea6","\u21ea7","\u21ea8","\u21ea9","\u21eaa","\u21eab","\u21eac","\u21ead","\u21eae","\u21eaf","\u21eb0","\u21eb1","\u21eb2","\u21eb3","\u21eb4","\u21eb5","\u21eb6","\u21eb7","\u21eb8","\u21eb9","\u21eba","\u21ebb","\u21ebc","\u21ebd","\u21ebe","\u21ebf","\u21ec0","\u21ec1","\u21ec2","\u21ec3","\u21ec4","\u21ec5","\u21ec6","\u21ec7","\u21ec8","\u21ec9","\u21eca","\u21ecb","\u21ecc","\u21ecd","\u21ece","\u21ecf","\u21ed0","\u21ed1","\u21ed2","\u21ed3","\u21ed4","\u21ed5","\u21ed6","\u21ed7","\u21ed8","\u21ed9","\u21eda","\u21edb","\u21edc","\u21edd","\u21ede","\u21edf","\u21ee0","\u21ee1","\u21ee2","\u21ee3","\u21ee4","\u21ee5","\u21ee6","\u21ee7","\u21ee8","\u21ee9","\u21eea","\u21eeb","\u21eec","\u21eed","\u21eee","\u21eef","\u21ef0","\u21ef1","\u21ef2","\u21ef3","\u21ef4","\u21ef5","\u21ef6","\u21ef7","\u21ef8","\u21ef9","\u21efa","\u21efb","\u21efc","\u21efd","\u21efe","\u21eff","\u21f00","\u21f01","\u21f02","\u21f03","\u21f04","\u21f05","\u21f06","\u21f07","\u21f08","\u21f09","\u21f0a","\u21f0b","\u21f0c","\u21f0d","\u21f0e","\u21f0f","\u21f10","\u21f11","\u21f12","\u21f13","\u21f14","\u21f15","\u21f16","\u21f17","\u21f18","\u21f19","\u21f1a","\u21f1b","\u21f1c","\u21f1d","\u21f1e","\u21f1f","\u21f20","\u21f21","\u21f22","\u21f23","\u21f24","\u21f25","\u21f26","\u21f27","\u21f28","\u21f29","\u21f2a","\u21f2b","\u21f2c","\u21f2d","\u21f2e","\u21f2f","\u21f30","\u21f31","\u21f32","\u21f33","\u21f34","\u21f35","\u21f36","\u21f37","\u21f38","\u21f39","\u21f3a","\u21f3b","\u21f3c","\u21f3d","\u21f3e","\u21f3f","\u21f40","\u21f41","\u21f42","\u21f43","\u21f44","\u21f45","\u21f46","\u21f47","\u21f48","\u21f49","\u21f4a","\u21f4b","\u21f4c","\u21f4d","\u21f4e","\u21f4f","\u21f50","\u21f51","\u21f52","\u21f53","\u21f54","\u21f55","\u21f56","\u21f57","\u21f58","\u21f59","\u21f5a","\u21f5b","\u21f5c","\u21f5d","\u21f5e","\u21f5f","\u21f60","\u21f61","\u21f62","\u21f63","\u21f64","\u21f65","\u21f66","\u21f67","\u21f68","\u21f69","\u21f6a","\u21f6b","\u21f6c","\u21f6d","\u21f6e","\u21f6f","\u21f70","\u21f71","\u21f72","\u21f73","\u21f74","\u21f75","\u21f76","\u21f77","\u21f78","\u21f79","\u21f7a","\u21f7b","\u21f7c","\u21f7d","\u21f7e","\u21f7f","\u21f80","\u21f81","\u21f82","\u21f83","\u21f84","\u21f85","\u21f86","\u21f87","\u21f88","\u21f89","\u21f8a","\u21f8b","\u21f8c","\u21f8d","\u21f8e","\u21f8f","\u21f90","\u21f91","\u21f92","\u21f93","\u21f94","\u21f95","\u21f96","\u21f97","\u21f98","\u21f99","\u21f9a","\u21f9b","\u21f9c","\u21f9d","\u21f9e","\u21f9f","\u21fa0","\u21fa1","\u21fa2","\u21fa3","\u21fa4","\u21fa5","\u21fa6","\u21fa7","\u21fa8","\u21fa9","\u21faa","\u21fab","\u21fac","\u21fad","\u21fae","\u21faf","\u21fb0","\u21fb1","\u21fb2","\u21fb3","\u21fb4","\u21fb5","\u21fb6","\u21fb7","\u21fb8","\u21fb9","\u21fba","\u21fbb","\u21fbc","\u21fbd","\u21fbe","\u21fbf","\u21fc0","\u21fc1","\u21fc2","\u21fc3","\u21fc4","\u21fc5","\u21fc6","\u21fc7","\u21fc8","\u21fc9","\u21fca","\u21fcb","\u21fcc","\u21fcd","\u21fce","\u21fcf","\u21fd0","\u21fd1","\u21fd2","\u21fd3","\u21fd4","\u21fd5","\u21fd6","\u21fd7","\u21fd8","\u21fd9","\u21fda","\u21fdb","\u21fdc","\u21fdd","\u21fde","\u21fdf","\u21fe0","\u21fe1","\u21fe2","\u21fe3","\u21fe4","\u21fe5","\u21fe6","\u21fe7","\u21fe8","\u21fe9","\u21fea","\u21feb","\u21fec","\u21fed","\u21fee","\u21fef","\u21ff0","\u21ff1","\u21ff2","\u21ff3","\u21ff4","\u21ff5","\u21ff6","\u21ff7","\u21ff8","\u21ff9","\u21ffa","\u21ffb","\u21ffc","\u21ffd","\u21ffe","\u21fff","\u22000","\u22001","\u22002","\u22003","\u22004","\u22005","\u22006","\u22007","\u22008","\u22009","\u2200a","\u2200b","\u2200c","\u2200d","\u2200e","\u2200f","\u22010","\u22011","\u22012","\u22013","\u22014","\u22015","\u22016","\u22017","\u22018","\u22019","\u2201a","\u2201b","\u2201c","\u2201d","\u2201e","\u2201f","\u22020","\u22021","\u22022","\u22023","\u22024","\u22025","\u22026","\u22027","\u22028","\u22029","\u2202a","\u2202b","\u2202c","\u2202d","\u2202e","\u2202f","\u22030","\u22031","\u22032","\u22033","\u22034","\u22035","\u22036","\u22037","\u22038","\u22039","\u2203a","\u2203b","\u2203c","\u2203d","\u2203e","\u2203f","\u22040","\u22041","\u22042","\u22043","\u22044","\u22045","\u22046","\u22047","\u22048","\u22049","\u2204a","\u2204b","\u2204c","\u2204d","\u2204e","\u2204f","\u22050","\u22051","\u22052","\u22053","\u22054","\u22055","\u22056","\u22057","\u22058","\u22059","\u2205a","\u2205b","\u2205c","\u2205d","\u2205e","\u2205f","\u22060","\u22061","\u22062","\u22063","\u22064","\u22065","\u22066","\u22067","\u22068","\u22069","\u2206a","\u2206b","\u2206c","\u2206d","\u2206e","\u2206f","\u22070","\u22071","\u22072","\u22073","\u22074","\u22075","\u22076","\u22077","\u22078","\u22079","\u2207a","\u2207b","\u2207c","\u2207d","\u2207e","\u2207f","\u22080","\u22081","\u22082","\u22083","\u22084","\u22085","\u22086","\u22087","\u22088","\u22089","\u2208a","\u2208b","\u2208c","\u2208d","\u2208e","\u2208f","\u22090","\u22091","\u22092","\u22093","\u22094","\u22095","\u22096","\u22097","\u22098","\u22099","\u2209a","\u2209b","\u2209c","\u2209d","\u2209e","\u2209f","\u220a0","\u220a1","\u220a2","\u220a3","\u220a4","\u220a5","\u220a6","\u220a7","\u220a8","\u220a9","\u220aa","\u220ab","\u220ac","\u220ad","\u220ae","\u220af","\u220b0","\u220b1","\u220b2","\u220b3","\u220b4","\u220b5","\u220b6","\u220b7","\u220b8","\u220b9","\u220ba","\u220bb","\u220bc","\u220bd","\u220be","\u220bf","\u220c0","\u220c1","\u220c2","\u220c3","\u220c4","\u220c5","\u220c6","\u220c7","\u220c8","\u220c9","\u220ca","\u220cb","\u220cc","\u220cd","\u220ce","\u220cf","\u220d0","\u220d1","\u220d2","\u220d3","\u220d4","\u220d5","\u220d6","\u220d7","\u220d8","\u220d9","\u220da","\u220db","\u220dc","\u220dd","\u220de","\u220df","\u220e0","\u220e1","\u220e2","\u220e3","\u220e4","\u220e5","\u220e6","\u220e7","\u220e8","\u220e9","\u220ea","\u220eb","\u220ec","\u220ed","\u220ee","\u220ef","\u220f0","\u220f1","\u220f2","\u220f3","\u220f4","\u220f5","\u220f6","\u220f7","\u220f8","\u220f9","\u220fa","\u220fb","\u220fc","\u220fd","\u220fe","\u220ff","\u22100","\u22101","\u22102","\u22103","\u22104","\u22105","\u22106","\u22107","\u22108","\u22109","\u2210a","\u2210b","\u2210c","\u2210d","\u2210e","\u2210f","\u22110","\u22111","\u22112","\u22113","\u22114","\u22115","\u22116","\u22117","\u22118","\u22119","\u2211a","\u2211b","\u2211c","\u2211d","\u2211e","\u2211f","\u22120","\u22121","\u22122","\u22123","\u22124","\u22125","\u22126","\u22127","\u22128","\u22129","\u2212a","\u2212b","\u2212c","\u2212d","\u2212e","\u2212f","\u22130","\u22131","\u22132","\u22133","\u22134","\u22135","\u22136","\u22137","\u22138","\u22139","\u2213a","\u2213b","\u2213c","\u2213d","\u2213e","\u2213f","\u22140","\u22141","\u22142","\u22143","\u22144","\u22145","\u22146","\u22147","\u22148","\u22149","\u2214a","\u2214b","\u2214c","\u2214d","\u2214e","\u2214f","\u22150","\u22151","\u22152","\u22153","\u22154","\u22155","\u22156","\u22157","\u22158","\u22159","\u2215a","\u2215b","\u2215c","\u2215d","\u2215e","\u2215f","\u22160","\u22161","\u22162","\u22163","\u22164","\u22165","\u22166","\u22167","\u22168","\u22169","\u2216a","\u2216b","\u2216c","\u2216d","\u2216e","\u2216f","\u22170","\u22171","\u22172","\u22173","\u22174","\u22175","\u22176","\u22177","\u22178","\u22179","\u2217a","\u2217b","\u2217c","\u2217d","\u2217e","\u2217f","\u22180","\u22181","\u22182","\u22183","\u22184","\u22185","\u22186","\u22187","\u22188","\u22189","\u2218a","\u2218b","\u2218c","\u2218d","\u2218e","\u2218f","\u22190","\u22191","\u22192","\u22193","\u22194","\u22195","\u22196","\u22197","\u22198","\u22199","\u2219a","\u2219b","\u2219c","\u2219d","\u2219e","\u2219f","\u221a0","\u221a1","\u221a2","\u221a3","\u221a4","\u221a5","\u221a6","\u221a7","\u221a8","\u221a9","\u221aa","\u221ab","\u221ac","\u221ad","\u221ae","\u221af","\u221b0","\u221b1","\u221b2","\u221b3","\u221b4","\u221b5","\u221b6","\u221b7","\u221b8","\u221b9","\u221ba","\u221bb","\u221bc","\u221bd","\u221be","\u221bf","\u221c0","\u221c1","\u221c2","\u221c3","\u221c4","\u221c5","\u221c6","\u221c7","\u221c8","\u221c9","\u221ca","\u221cb","\u221cc","\u221cd","\u221ce","\u221cf","\u221d0","\u221d1","\u221d2","\u221d3","\u221d4","\u221d5","\u221d6","\u221d7","\u221d8","\u221d9","\u221da","\u221db","\u221dc","\u221dd","\u221de","\u221df","\u221e0","\u221e1","\u221e2","\u221e3","\u221e4","\u221e5","\u221e6","\u221e7","\u221e8","\u221e9","\u221ea","\u221eb","\u221ec","\u221ed","\u221ee","\u221ef","\u221f0","\u221f1","\u221f2","\u221f3","\u221f4","\u221f5","\u221f6","\u221f7","\u221f8","\u221f9","\u221fa","\u221fb","\u221fc","\u221fd","\u221fe","\u221ff","\u22200","\u22201","\u22202","\u22203","\u22204","\u22205","\u22206","\u22207","\u22208","\u22209","\u2220a","\u2220b","\u2220c","\u2220d","\u2220e","\u2220f","\u22210","\u22211","\u22212","\u22213","\u22214","\u22215","\u22216","\u22217","\u22218","\u22219","\u2221a","\u2221b","\u2221c","\u2221d","\u2221e","\u2221f","\u22220","\u22221","\u22222","\u22223","\u22224","\u22225","\u22226","\u22227","\u22228","\u22229","\u2222a","\u2222b","\u2222c","\u2222d","\u2222e","\u2222f","\u22230","\u22231","\u22232","\u22233","\u22234","\u22235","\u22236","\u22237","\u22238","\u22239","\u2223a","\u2223b","\u2223c","\u2223d","\u2223e","\u2223f","\u22240","\u22241","\u22242","\u22243","\u22244","\u22245","\u22246","\u22247","\u22248","\u22249","\u2224a","\u2224b","\u2224c","\u2224d","\u2224e","\u2224f","\u22250","\u22251","\u22252","\u22253","\u22254","\u22255","\u22256","\u22257","\u22258","\u22259","\u2225a","\u2225b","\u2225c","\u2225d","\u2225e","\u2225f","\u22260","\u22261","\u22262","\u22263","\u22264","\u22265","\u22266","\u22267","\u22268","\u22269","\u2226a","\u2226b","\u2226c","\u2226d","\u2226e","\u2226f","\u22270","\u22271","\u22272","\u22273","\u22274","\u22275","\u22276","\u22277","\u22278","\u22279","\u2227a","\u2227b","\u2227c","\u2227d","\u2227e","\u2227f","\u22280","\u22281","\u22282","\u22283","\u22284","\u22285","\u22286","\u22287","\u22288","\u22289","\u2228a","\u2228b","\u2228c","\u2228d","\u2228e","\u2228f","\u22290","\u22291","\u22292","\u22293","\u22294","\u22295","\u22296","\u22297","\u22298","\u22299","\u2229a","\u2229b","\u2229c","\u2229d","\u2229e","\u2229f","\u222a0","\u222a1","\u222a2","\u222a3","\u222a4","\u222a5","\u222a6","\u222a7","\u222a8","\u222a9","\u222aa","\u222ab","\u222ac","\u222ad","\u222ae","\u222af","\u222b0","\u222b1","\u222b2","\u222b3","\u222b4","\u222b5","\u222b6","\u222b7","\u222b8","\u222b9","\u222ba","\u222bb","\u222bc","\u222bd","\u222be","\u222bf","\u222c0","\u222c1","\u222c2","\u222c3","\u222c4","\u222c5","\u222c6","\u222c7","\u222c8","\u222c9","\u222ca","\u222cb","\u222cc","\u222cd","\u222ce","\u222cf","\u222d0","\u222d1","\u222d2","\u222d3","\u222d4","\u222d5","\u222d6","\u222d7","\u222d8","\u222d9","\u222da","\u222db","\u222dc","\u222dd","\u222de","\u222df","\u222e0","\u222e1","\u222e2","\u222e3","\u222e4","\u222e5","\u222e6","\u222e7","\u222e8","\u222e9","\u222ea","\u222eb","\u222ec","\u222ed","\u222ee","\u222ef","\u222f0","\u222f1","\u222f2","\u222f3","\u222f4","\u222f5","\u222f6","\u222f7","\u222f8","\u222f9","\u222fa","\u222fb","\u222fc","\u222fd","\u222fe","\u222ff","\u22300","\u22301","\u22302","\u22303","\u22304","\u22305","\u22306","\u22307","\u22308","\u22309","\u2230a","\u2230b","\u2230c","\u2230d","\u2230e","\u2230f","\u22310","\u22311","\u22312","\u22313","\u22314","\u22315","\u22316","\u22317","\u22318","\u22319","\u2231a","\u2231b","\u2231c","\u2231d","\u2231e","\u2231f","\u22320","\u22321","\u22322","\u22323","\u22324","\u22325","\u22326","\u22327","\u22328","\u22329","\u2232a","\u2232b","\u2232c","\u2232d","\u2232e","\u2232f","\u22330","\u22331","\u22332","\u22333","\u22334","\u22335","\u22336","\u22337","\u22338","\u22339","\u2233a","\u2233b","\u2233c","\u2233d","\u2233e","\u2233f","\u22340","\u22341","\u22342","\u22343","\u22344","\u22345","\u22346","\u22347","\u22348","\u22349","\u2234a","\u2234b","\u2234c","\u2234d","\u2234e","\u2234f","\u22350","\u22351","\u22352","\u22353","\u22354","\u22355","\u22356","\u22357","\u22358","\u22359","\u2235a","\u2235b","\u2235c","\u2235d","\u2235e","\u2235f","\u22360","\u22361","\u22362","\u22363","\u22364","\u22365","\u22366","\u22367","\u22368","\u22369","\u2236a","\u2236b","\u2236c","\u2236d","\u2236e","\u2236f","\u22370","\u22371","\u22372","\u22373","\u22374","\u22375","\u22376","\u22377","\u22378","\u22379","\u2237a","\u2237b","\u2237c","\u2237d","\u2237e","\u2237f","\u22380","\u22381","\u22382","\u22383","\u22384","\u22385","\u22386","\u22387","\u22388","\u22389","\u2238a","\u2238b","\u2238c","\u2238d","\u2238e","\u2238f","\u22390","\u22391","\u22392","\u22393","\u22394","\u22395","\u22396","\u22397","\u22398","\u22399","\u2239a","\u2239b","\u2239c","\u2239d","\u2239e","\u2239f","\u223a0","\u223a1","\u223a2","\u223a3","\u223a4","\u223a5","\u223a6","\u223a7","\u223a8","\u223a9","\u223aa","\u223ab","\u223ac","\u223ad","\u223ae","\u223af","\u223b0","\u223b1","\u223b2","\u223b3","\u223b4","\u223b5","\u223b6","\u223b7","\u223b8","\u223b9","\u223ba","\u223bb","\u223bc","\u223bd","\u223be","\u223bf","\u223c0","\u223c1","\u223c2","\u223c3","\u223c4","\u223c5","\u223c6","\u223c7","\u223c8","\u223c9","\u223ca","\u223cb","\u223cc","\u223cd","\u223ce","\u223cf","\u223d0","\u223d1","\u223d2","\u223d3","\u223d4","\u223d5","\u223d6","\u223d7","\u223d8","\u223d9","\u223da","\u223db","\u223dc","\u223dd","\u223de","\u223df","\u223e0","\u223e1","\u223e2","\u223e3","\u223e4","\u223e5","\u223e6","\u223e7","\u223e8","\u223e9","\u223ea","\u223eb","\u223ec","\u223ed","\u223ee","\u223ef","\u223f0","\u223f1","\u223f2","\u223f3","\u223f4","\u223f5","\u223f6","\u223f7","\u223f8","\u223f9","\u223fa","\u223fb","\u223fc","\u223fd","\u223fe","\u223ff","\u22400","\u22401","\u22402","\u22403","\u22404","\u22405","\u22406","\u22407","\u22408","\u22409","\u2240a","\u2240b","\u2240c","\u2240d","\u2240e","\u2240f","\u22410","\u22411","\u22412","\u22413","\u22414","\u22415","\u22416","\u22417","\u22418","\u22419","\u2241a","\u2241b","\u2241c","\u2241d","\u2241e","\u2241f","\u22420","\u22421","\u22422","\u22423","\u22424","\u22425","\u22426","\u22427","\u22428","\u22429","\u2242a","\u2242b","\u2242c","\u2242d","\u2242e","\u2242f","\u22430","\u22431","\u22432","\u22433","\u22434","\u22435","\u22436","\u22437","\u22438","\u22439","\u2243a","\u2243b","\u2243c","\u2243d","\u2243e","\u2243f","\u22440","\u22441","\u22442","\u22443","\u22444","\u22445","\u22446","\u22447","\u22448","\u22449","\u2244a","\u2244b","\u2244c","\u2244d","\u2244e","\u2244f","\u22450","\u22451","\u22452","\u22453","\u22454","\u22455","\u22456","\u22457","\u22458","\u22459","\u2245a","\u2245b","\u2245c","\u2245d","\u2245e","\u2245f","\u22460","\u22461","\u22462","\u22463","\u22464","\u22465","\u22466","\u22467","\u22468","\u22469","\u2246a","\u2246b","\u2246c","\u2246d","\u2246e","\u2246f","\u22470","\u22471","\u22472","\u22473","\u22474","\u22475","\u22476","\u22477","\u22478","\u22479","\u2247a","\u2247b","\u2247c","\u2247d","\u2247e","\u2247f","\u22480","\u22481","\u22482","\u22483","\u22484","\u22485","\u22486","\u22487","\u22488","\u22489","\u2248a","\u2248b","\u2248c","\u2248d","\u2248e","\u2248f","\u22490","\u22491","\u22492","\u22493","\u22494","\u22495","\u22496","\u22497","\u22498","\u22499","\u2249a","\u2249b","\u2249c","\u2249d","\u2249e","\u2249f","\u224a0","\u224a1","\u224a2","\u224a3","\u224a4","\u224a5","\u224a6","\u224a7","\u224a8","\u224a9","\u224aa","\u224ab","\u224ac","\u224ad","\u224ae","\u224af","\u224b0","\u224b1","\u224b2","\u224b3","\u224b4","\u224b5","\u224b6","\u224b7","\u224b8","\u224b9","\u224ba","\u224bb","\u224bc","\u224bd","\u224be","\u224bf","\u224c0","\u224c1","\u224c2","\u224c3","\u224c4","\u224c5","\u224c6","\u224c7","\u224c8","\u224c9","\u224ca","\u224cb","\u224cc","\u224cd","\u224ce","\u224cf","\u224d0","\u224d1","\u224d2","\u224d3","\u224d4","\u224d5","\u224d6","\u224d7","\u224d8","\u224d9","\u224da","\u224db","\u224dc","\u224dd","\u224de","\u224df","\u224e0","\u224e1","\u224e2","\u224e3","\u224e4","\u224e5","\u224e6","\u224e7","\u224e8","\u224e9","\u224ea","\u224eb","\u224ec","\u224ed","\u224ee","\u224ef","\u224f0","\u224f1","\u224f2","\u224f3","\u224f4","\u224f5","\u224f6","\u224f7","\u224f8","\u224f9","\u224fa","\u224fb","\u224fc","\u224fd","\u224fe","\u224ff","\u22500","\u22501","\u22502","\u22503","\u22504","\u22505","\u22506","\u22507","\u22508","\u22509","\u2250a","\u2250b","\u2250c","\u2250d","\u2250e","\u2250f","\u22510","\u22511","\u22512","\u22513","\u22514","\u22515","\u22516","\u22517","\u22518","\u22519","\u2251a","\u2251b","\u2251c","\u2251d","\u2251e","\u2251f","\u22520","\u22521","\u22522","\u22523","\u22524","\u22525","\u22526","\u22527","\u22528","\u22529","\u2252a","\u2252b","\u2252c","\u2252d","\u2252e","\u2252f","\u22530","\u22531","\u22532","\u22533","\u22534","\u22535","\u22536","\u22537","\u22538","\u22539","\u2253a","\u2253b","\u2253c","\u2253d","\u2253e","\u2253f","\u22540","\u22541","\u22542","\u22543","\u22544","\u22545","\u22546","\u22547","\u22548","\u22549","\u2254a","\u2254b","\u2254c","\u2254d","\u2254e","\u2254f","\u22550","\u22551","\u22552","\u22553","\u22554","\u22555","\u22556","\u22557","\u22558","\u22559","\u2255a","\u2255b","\u2255c","\u2255d","\u2255e","\u2255f","\u22560","\u22561","\u22562","\u22563","\u22564","\u22565","\u22566","\u22567","\u22568","\u22569","\u2256a","\u2256b","\u2256c","\u2256d","\u2256e","\u2256f","\u22570","\u22571","\u22572","\u22573","\u22574","\u22575","\u22576","\u22577","\u22578","\u22579","\u2257a","\u2257b","\u2257c","\u2257d","\u2257e","\u2257f","\u22580","\u22581","\u22582","\u22583","\u22584","\u22585","\u22586","\u22587","\u22588","\u22589","\u2258a","\u2258b","\u2258c","\u2258d","\u2258e","\u2258f","\u22590","\u22591","\u22592","\u22593","\u22594","\u22595","\u22596","\u22597","\u22598","\u22599","\u2259a","\u2259b","\u2259c","\u2259d","\u2259e","\u2259f","\u225a0","\u225a1","\u225a2","\u225a3","\u225a4","\u225a5","\u225a6","\u225a7","\u225a8","\u225a9","\u225aa","\u225ab","\u225ac","\u225ad","\u225ae","\u225af","\u225b0","\u225b1","\u225b2","\u225b3","\u225b4","\u225b5","\u225b6","\u225b7","\u225b8","\u225b9","\u225ba","\u225bb","\u225bc","\u225bd","\u225be","\u225bf","\u225c0","\u225c1","\u225c2","\u225c3","\u225c4","\u225c5","\u225c6","\u225c7","\u225c8","\u225c9","\u225ca","\u225cb","\u225cc","\u225cd","\u225ce","\u225cf","\u225d0","\u225d1","\u225d2","\u225d3","\u225d4","\u225d5","\u225d6","\u225d7","\u225d8","\u225d9","\u225da","\u225db","\u225dc","\u225dd","\u225de","\u225df","\u225e0","\u225e1","\u225e2","\u225e3","\u225e4","\u225e5","\u225e6","\u225e7","\u225e8","\u225e9","\u225ea","\u225eb","\u225ec","\u225ed","\u225ee","\u225ef","\u225f0","\u225f1","\u225f2","\u225f3","\u225f4","\u225f5","\u225f6","\u225f7","\u225f8","\u225f9","\u225fa","\u225fb","\u225fc","\u225fd","\u225fe","\u225ff","\u22600","\u22601","\u22602","\u22603","\u22604","\u22605","\u22606","\u22607","\u22608","\u22609","\u2260a","\u2260b","\u2260c","\u2260d","\u2260e","\u2260f","\u22610","\u22611","\u22612","\u22613","\u22614","\u22615","\u22616","\u22617","\u22618","\u22619","\u2261a","\u2261b","\u2261c","\u2261d","\u2261e","\u2261f","\u22620","\u22621","\u22622","\u22623","\u22624","\u22625","\u22626","\u22627","\u22628","\u22629","\u2262a","\u2262b","\u2262c","\u2262d","\u2262e","\u2262f","\u22630","\u22631","\u22632","\u22633","\u22634","\u22635","\u22636","\u22637","\u22638","\u22639","\u2263a","\u2263b","\u2263c","\u2263d","\u2263e","\u2263f","\u22640","\u22641","\u22642","\u22643","\u22644","\u22645","\u22646","\u22647","\u22648","\u22649","\u2264a","\u2264b","\u2264c","\u2264d","\u2264e","\u2264f","\u22650","\u22651","\u22652","\u22653","\u22654","\u22655","\u22656","\u22657","\u22658","\u22659","\u2265a","\u2265b","\u2265c","\u2265d","\u2265e","\u2265f","\u22660","\u22661","\u22662","\u22663","\u22664","\u22665","\u22666","\u22667","\u22668","\u22669","\u2266a","\u2266b","\u2266c","\u2266d","\u2266e","\u2266f","\u22670","\u22671","\u22672","\u22673","\u22674","\u22675","\u22676","\u22677","\u22678","\u22679","\u2267a","\u2267b","\u2267c","\u2267d","\u2267e","\u2267f","\u22680","\u22681","\u22682","\u22683","\u22684","\u22685","\u22686","\u22687","\u22688","\u22689","\u2268a","\u2268b","\u2268c","\u2268d","\u2268e","\u2268f","\u22690","\u22691","\u22692","\u22693","\u22694","\u22695","\u22696","\u22697","\u22698","\u22699","\u2269a","\u2269b","\u2269c","\u2269d","\u2269e","\u2269f","\u226a0","\u226a1","\u226a2","\u226a3","\u226a4","\u226a5","\u226a6","\u226a7","\u226a8","\u226a9","\u226aa","\u226ab","\u226ac","\u226ad","\u226ae","\u226af","\u226b0","\u226b1","\u226b2","\u226b3","\u226b4","\u226b5","\u226b6","\u226b7","\u226b8","\u226b9","\u226ba","\u226bb","\u226bc","\u226bd","\u226be","\u226bf","\u226c0","\u226c1","\u226c2","\u226c3","\u226c4","\u226c5","\u226c6","\u226c7","\u226c8","\u226c9","\u226ca","\u226cb","\u226cc","\u226cd","\u226ce","\u226cf","\u226d0","\u226d1","\u226d2","\u226d3","\u226d4","\u226d5","\u226d6","\u226d7","\u226d8","\u226d9","\u226da","\u226db","\u226dc","\u226dd","\u226de","\u226df","\u226e0","\u226e1","\u226e2","\u226e3","\u226e4","\u226e5","\u226e6","\u226e7","\u226e8","\u226e9","\u226ea","\u226eb","\u226ec","\u226ed","\u226ee","\u226ef","\u226f0","\u226f1","\u226f2","\u226f3","\u226f4","\u226f5","\u226f6","\u226f7","\u226f8","\u226f9","\u226fa","\u226fb","\u226fc","\u226fd","\u226fe","\u226ff","\u22700","\u22701","\u22702","\u22703","\u22704","\u22705","\u22706","\u22707","\u22708","\u22709","\u2270a","\u2270b","\u2270c","\u2270d","\u2270e","\u2270f","\u22710","\u22711","\u22712","\u22713","\u22714","\u22715","\u22716","\u22717","\u22718","\u22719","\u2271a","\u2271b","\u2271c","\u2271d","\u2271e","\u2271f","\u22720","\u22721","\u22722","\u22723","\u22724","\u22725","\u22726","\u22727","\u22728","\u22729","\u2272a","\u2272b","\u2272c","\u2272d","\u2272e","\u2272f","\u22730","\u22731","\u22732","\u22733","\u22734","\u22735","\u22736","\u22737","\u22738","\u22739","\u2273a","\u2273b","\u2273c","\u2273d","\u2273e","\u2273f","\u22740","\u22741","\u22742","\u22743","\u22744","\u22745","\u22746","\u22747","\u22748","\u22749","\u2274a","\u2274b","\u2274c","\u2274d","\u2274e","\u2274f","\u22750","\u22751","\u22752","\u22753","\u22754","\u22755","\u22756","\u22757","\u22758","\u22759","\u2275a","\u2275b","\u2275c","\u2275d","\u2275e","\u2275f","\u22760","\u22761","\u22762","\u22763","\u22764","\u22765","\u22766","\u22767","\u22768","\u22769","\u2276a","\u2276b","\u2276c","\u2276d","\u2276e","\u2276f","\u22770","\u22771","\u22772","\u22773","\u22774","\u22775","\u22776","\u22777","\u22778","\u22779","\u2277a","\u2277b","\u2277c","\u2277d","\u2277e","\u2277f","\u22780","\u22781","\u22782","\u22783","\u22784","\u22785","\u22786","\u22787","\u22788","\u22789","\u2278a","\u2278b","\u2278c","\u2278d","\u2278e","\u2278f","\u22790","\u22791","\u22792","\u22793","\u22794","\u22795","\u22796","\u22797","\u22798","\u22799","\u2279a","\u2279b","\u2279c","\u2279d","\u2279e","\u2279f","\u227a0","\u227a1","\u227a2","\u227a3","\u227a4","\u227a5","\u227a6","\u227a7","\u227a8","\u227a9","\u227aa","\u227ab","\u227ac","\u227ad","\u227ae","\u227af","\u227b0","\u227b1","\u227b2","\u227b3","\u227b4","\u227b5","\u227b6","\u227b7","\u227b8","\u227b9","\u227ba","\u227bb","\u227bc","\u227bd","\u227be","\u227bf","\u227c0","\u227c1","\u227c2","\u227c3","\u227c4","\u227c5","\u227c6","\u227c7","\u227c8","\u227c9","\u227ca","\u227cb","\u227cc","\u227cd","\u227ce","\u227cf","\u227d0","\u227d1","\u227d2","\u227d3","\u227d4","\u227d5","\u227d6","\u227d7","\u227d8","\u227d9","\u227da","\u227db","\u227dc","\u227dd","\u227de","\u227df","\u227e0","\u227e1","\u227e2","\u227e3","\u227e4","\u227e5","\u227e6","\u227e7","\u227e8","\u227e9","\u227ea","\u227eb","\u227ec","\u227ed","\u227ee","\u227ef","\u227f0","\u227f1","\u227f2","\u227f3","\u227f4","\u227f5","\u227f6","\u227f7","\u227f8","\u227f9","\u227fa","\u227fb","\u227fc","\u227fd","\u227fe","\u227ff","\u22800","\u22801","\u22802","\u22803","\u22804","\u22805","\u22806","\u22807","\u22808","\u22809","\u2280a","\u2280b","\u2280c","\u2280d","\u2280e","\u2280f","\u22810","\u22811","\u22812","\u22813","\u22814","\u22815","\u22816","\u22817","\u22818","\u22819","\u2281a","\u2281b","\u2281c","\u2281d","\u2281e","\u2281f","\u22820","\u22821","\u22822","\u22823","\u22824","\u22825","\u22826","\u22827","\u22828","\u22829","\u2282a","\u2282b","\u2282c","\u2282d","\u2282e","\u2282f","\u22830","\u22831","\u22832","\u22833","\u22834","\u22835","\u22836","\u22837","\u22838","\u22839","\u2283a","\u2283b","\u2283c","\u2283d","\u2283e","\u2283f","\u22840","\u22841","\u22842","\u22843","\u22844","\u22845","\u22846","\u22847","\u22848","\u22849","\u2284a","\u2284b","\u2284c","\u2284d","\u2284e","\u2284f","\u22850","\u22851","\u22852","\u22853","\u22854","\u22855","\u22856","\u22857","\u22858","\u22859","\u2285a","\u2285b","\u2285c","\u2285d","\u2285e","\u2285f","\u22860","\u22861","\u22862","\u22863","\u22864","\u22865","\u22866","\u22867","\u22868","\u22869","\u2286a","\u2286b","\u2286c","\u2286d","\u2286e","\u2286f","\u22870","\u22871","\u22872","\u22873","\u22874","\u22875","\u22876","\u22877","\u22878","\u22879","\u2287a","\u2287b","\u2287c","\u2287d","\u2287e","\u2287f","\u22880","\u22881","\u22882","\u22883","\u22884","\u22885","\u22886","\u22887","\u22888","\u22889","\u2288a","\u2288b","\u2288c","\u2288d","\u2288e","\u2288f","\u22890","\u22891","\u22892","\u22893","\u22894","\u22895","\u22896","\u22897","\u22898","\u22899","\u2289a","\u2289b","\u2289c","\u2289d","\u2289e","\u2289f","\u228a0","\u228a1","\u228a2","\u228a3","\u228a4","\u228a5","\u228a6","\u228a7","\u228a8","\u228a9","\u228aa","\u228ab","\u228ac","\u228ad","\u228ae","\u228af","\u228b0","\u228b1","\u228b2","\u228b3","\u228b4","\u228b5","\u228b6","\u228b7","\u228b8","\u228b9","\u228ba","\u228bb","\u228bc","\u228bd","\u228be","\u228bf","\u228c0","\u228c1","\u228c2","\u228c3","\u228c4","\u228c5","\u228c6","\u228c7","\u228c8","\u228c9","\u228ca","\u228cb","\u228cc","\u228cd","\u228ce","\u228cf","\u228d0","\u228d1","\u228d2","\u228d3","\u228d4","\u228d5","\u228d6","\u228d7","\u228d8","\u228d9","\u228da","\u228db","\u228dc","\u228dd","\u228de","\u228df","\u228e0","\u228e1","\u228e2","\u228e3","\u228e4","\u228e5","\u228e6","\u228e7","\u228e8","\u228e9","\u228ea","\u228eb","\u228ec","\u228ed","\u228ee","\u228ef","\u228f0","\u228f1","\u228f2","\u228f3","\u228f4","\u228f5","\u228f6","\u228f7","\u228f8","\u228f9","\u228fa","\u228fb","\u228fc","\u228fd","\u228fe","\u228ff","\u22900","\u22901","\u22902","\u22903","\u22904","\u22905","\u22906","\u22907","\u22908","\u22909","\u2290a","\u2290b","\u2290c","\u2290d","\u2290e","\u2290f","\u22910","\u22911","\u22912","\u22913","\u22914","\u22915","\u22916","\u22917","\u22918","\u22919","\u2291a","\u2291b","\u2291c","\u2291d","\u2291e","\u2291f","\u22920","\u22921","\u22922","\u22923","\u22924","\u22925","\u22926","\u22927","\u22928","\u22929","\u2292a","\u2292b","\u2292c","\u2292d","\u2292e","\u2292f","\u22930","\u22931","\u22932","\u22933","\u22934","\u22935","\u22936","\u22937","\u22938","\u22939","\u2293a","\u2293b","\u2293c","\u2293d","\u2293e","\u2293f","\u22940","\u22941","\u22942","\u22943","\u22944","\u22945","\u22946","\u22947","\u22948","\u22949","\u2294a","\u2294b","\u2294c","\u2294d","\u2294e","\u2294f","\u22950","\u22951","\u22952","\u22953","\u22954","\u22955","\u22956","\u22957","\u22958","\u22959","\u2295a","\u2295b","\u2295c","\u2295d","\u2295e","\u2295f","\u22960","\u22961","\u22962","\u22963","\u22964","\u22965","\u22966","\u22967","\u22968","\u22969","\u2296a","\u2296b","\u2296c","\u2296d","\u2296e","\u2296f","\u22970","\u22971","\u22972","\u22973","\u22974","\u22975","\u22976","\u22977","\u22978","\u22979","\u2297a","\u2297b","\u2297c","\u2297d","\u2297e","\u2297f","\u22980","\u22981","\u22982","\u22983","\u22984","\u22985","\u22986","\u22987","\u22988","\u22989","\u2298a","\u2298b","\u2298c","\u2298d","\u2298e","\u2298f","\u22990","\u22991","\u22992","\u22993","\u22994","\u22995","\u22996","\u22997","\u22998","\u22999","\u2299a","\u2299b","\u2299c","\u2299d","\u2299e","\u2299f","\u229a0","\u229a1","\u229a2","\u229a3","\u229a4","\u229a5","\u229a6","\u229a7","\u229a8","\u229a9","\u229aa","\u229ab","\u229ac","\u229ad","\u229ae","\u229af","\u229b0","\u229b1","\u229b2","\u229b3","\u229b4","\u229b5","\u229b6","\u229b7","\u229b8","\u229b9","\u229ba","\u229bb","\u229bc","\u229bd","\u229be","\u229bf","\u229c0","\u229c1","\u229c2","\u229c3","\u229c4","\u229c5","\u229c6","\u229c7","\u229c8","\u229c9","\u229ca","\u229cb","\u229cc","\u229cd","\u229ce","\u229cf","\u229d0","\u229d1","\u229d2","\u229d3","\u229d4","\u229d5","\u229d6","\u229d7","\u229d8","\u229d9","\u229da","\u229db","\u229dc","\u229dd","\u229de","\u229df","\u229e0","\u229e1","\u229e2","\u229e3","\u229e4","\u229e5","\u229e6","\u229e7","\u229e8","\u229e9","\u229ea","\u229eb","\u229ec","\u229ed","\u229ee","\u229ef","\u229f0","\u229f1","\u229f2","\u229f3","\u229f4","\u229f5","\u229f6","\u229f7","\u229f8","\u229f9","\u229fa","\u229fb","\u229fc","\u229fd","\u229fe","\u229ff","\u22a00","\u22a01","\u22a02","\u22a03","\u22a04","\u22a05","\u22a06","\u22a07","\u22a08","\u22a09","\u22a0a","\u22a0b","\u22a0c","\u22a0d","\u22a0e","\u22a0f","\u22a10","\u22a11","\u22a12","\u22a13","\u22a14","\u22a15","\u22a16","\u22a17","\u22a18","\u22a19","\u22a1a","\u22a1b","\u22a1c","\u22a1d","\u22a1e","\u22a1f","\u22a20","\u22a21","\u22a22","\u22a23","\u22a24","\u22a25","\u22a26","\u22a27","\u22a28","\u22a29","\u22a2a","\u22a2b","\u22a2c","\u22a2d","\u22a2e","\u22a2f","\u22a30","\u22a31","\u22a32","\u22a33","\u22a34","\u22a35","\u22a36","\u22a37","\u22a38","\u22a39","\u22a3a","\u22a3b","\u22a3c","\u22a3d","\u22a3e","\u22a3f","\u22a40","\u22a41","\u22a42","\u22a43","\u22a44","\u22a45","\u22a46","\u22a47","\u22a48","\u22a49","\u22a4a","\u22a4b","\u22a4c","\u22a4d","\u22a4e","\u22a4f","\u22a50","\u22a51","\u22a52","\u22a53","\u22a54","\u22a55","\u22a56","\u22a57","\u22a58","\u22a59","\u22a5a","\u22a5b","\u22a5c","\u22a5d","\u22a5e","\u22a5f","\u22a60","\u22a61","\u22a62","\u22a63","\u22a64","\u22a65","\u22a66","\u22a67","\u22a68","\u22a69","\u22a6a","\u22a6b","\u22a6c","\u22a6d","\u22a6e","\u22a6f","\u22a70","\u22a71","\u22a72","\u22a73","\u22a74","\u22a75","\u22a76","\u22a77","\u22a78","\u22a79","\u22a7a","\u22a7b","\u22a7c","\u22a7d","\u22a7e","\u22a7f","\u22a80","\u22a81","\u22a82","\u22a83","\u22a84","\u22a85","\u22a86","\u22a87","\u22a88","\u22a89","\u22a8a","\u22a8b","\u22a8c","\u22a8d","\u22a8e","\u22a8f","\u22a90","\u22a91","\u22a92","\u22a93","\u22a94","\u22a95","\u22a96","\u22a97","\u22a98","\u22a99","\u22a9a","\u22a9b","\u22a9c","\u22a9d","\u22a9e","\u22a9f","\u22aa0","\u22aa1","\u22aa2","\u22aa3","\u22aa4","\u22aa5","\u22aa6","\u22aa7","\u22aa8","\u22aa9","\u22aaa","\u22aab","\u22aac","\u22aad","\u22aae","\u22aaf","\u22ab0","\u22ab1","\u22ab2","\u22ab3","\u22ab4","\u22ab5","\u22ab6","\u22ab7","\u22ab8","\u22ab9","\u22aba","\u22abb","\u22abc","\u22abd","\u22abe","\u22abf","\u22ac0","\u22ac1","\u22ac2","\u22ac3","\u22ac4","\u22ac5","\u22ac6","\u22ac7","\u22ac8","\u22ac9","\u22aca","\u22acb","\u22acc","\u22acd","\u22ace","\u22acf","\u22ad0","\u22ad1","\u22ad2","\u22ad3","\u22ad4","\u22ad5","\u22ad6","\u22ad7","\u22ad8","\u22ad9","\u22ada","\u22adb","\u22adc","\u22add","\u22ade","\u22adf","\u22ae0","\u22ae1","\u22ae2","\u22ae3","\u22ae4","\u22ae5","\u22ae6","\u22ae7","\u22ae8","\u22ae9","\u22aea","\u22aeb","\u22aec","\u22aed","\u22aee","\u22aef","\u22af0","\u22af1","\u22af2","\u22af3","\u22af4","\u22af5","\u22af6","\u22af7","\u22af8","\u22af9","\u22afa","\u22afb","\u22afc","\u22afd","\u22afe","\u22aff","\u22b00","\u22b01","\u22b02","\u22b03","\u22b04","\u22b05","\u22b06","\u22b07","\u22b08","\u22b09","\u22b0a","\u22b0b","\u22b0c","\u22b0d","\u22b0e","\u22b0f","\u22b10","\u22b11","\u22b12","\u22b13","\u22b14","\u22b15","\u22b16","\u22b17","\u22b18","\u22b19","\u22b1a","\u22b1b","\u22b1c","\u22b1d","\u22b1e","\u22b1f","\u22b20","\u22b21","\u22b22","\u22b23","\u22b24","\u22b25","\u22b26","\u22b27","\u22b28","\u22b29","\u22b2a","\u22b2b","\u22b2c","\u22b2d","\u22b2e","\u22b2f","\u22b30","\u22b31","\u22b32","\u22b33","\u22b34","\u22b35","\u22b36","\u22b37","\u22b38","\u22b39","\u22b3a","\u22b3b","\u22b3c","\u22b3d","\u22b3e","\u22b3f","\u22b40","\u22b41","\u22b42","\u22b43","\u22b44","\u22b45","\u22b46","\u22b47","\u22b48","\u22b49","\u22b4a","\u22b4b","\u22b4c","\u22b4d","\u22b4e","\u22b4f","\u22b50","\u22b51","\u22b52","\u22b53","\u22b54","\u22b55","\u22b56","\u22b57","\u22b58","\u22b59","\u22b5a","\u22b5b","\u22b5c","\u22b5d","\u22b5e","\u22b5f","\u22b60","\u22b61","\u22b62","\u22b63","\u22b64","\u22b65","\u22b66","\u22b67","\u22b68","\u22b69","\u22b6a","\u22b6b","\u22b6c","\u22b6d","\u22b6e","\u22b6f","\u22b70","\u22b71","\u22b72","\u22b73","\u22b74","\u22b75","\u22b76","\u22b77","\u22b78","\u22b79","\u22b7a","\u22b7b","\u22b7c","\u22b7d","\u22b7e","\u22b7f","\u22b80","\u22b81","\u22b82","\u22b83","\u22b84","\u22b85","\u22b86","\u22b87","\u22b88","\u22b89","\u22b8a","\u22b8b","\u22b8c","\u22b8d","\u22b8e","\u22b8f","\u22b90","\u22b91","\u22b92","\u22b93","\u22b94","\u22b95","\u22b96","\u22b97","\u22b98","\u22b99","\u22b9a","\u22b9b","\u22b9c","\u22b9d","\u22b9e","\u22b9f","\u22ba0","\u22ba1","\u22ba2","\u22ba3","\u22ba4","\u22ba5","\u22ba6","\u22ba7","\u22ba8","\u22ba9","\u22baa","\u22bab","\u22bac","\u22bad","\u22bae","\u22baf","\u22bb0","\u22bb1","\u22bb2","\u22bb3","\u22bb4","\u22bb5","\u22bb6","\u22bb7","\u22bb8","\u22bb9","\u22bba","\u22bbb","\u22bbc","\u22bbd","\u22bbe","\u22bbf","\u22bc0","\u22bc1","\u22bc2","\u22bc3","\u22bc4","\u22bc5","\u22bc6","\u22bc7","\u22bc8","\u22bc9","\u22bca","\u22bcb","\u22bcc","\u22bcd","\u22bce","\u22bcf","\u22bd0","\u22bd1","\u22bd2","\u22bd3","\u22bd4","\u22bd5","\u22bd6","\u22bd7","\u22bd8","\u22bd9","\u22bda","\u22bdb","\u22bdc","\u22bdd","\u22bde","\u22bdf","\u22be0","\u22be1","\u22be2","\u22be3","\u22be4","\u22be5","\u22be6","\u22be7","\u22be8","\u22be9","\u22bea","\u22beb","\u22bec","\u22bed","\u22bee","\u22bef","\u22bf0","\u22bf1","\u22bf2","\u22bf3","\u22bf4","\u22bf5","\u22bf6","\u22bf7","\u22bf8","\u22bf9","\u22bfa","\u22bfb","\u22bfc","\u22bfd","\u22bfe","\u22bff","\u22c00","\u22c01","\u22c02","\u22c03","\u22c04","\u22c05","\u22c06","\u22c07","\u22c08","\u22c09","\u22c0a","\u22c0b","\u22c0c","\u22c0d","\u22c0e","\u22c0f","\u22c10","\u22c11","\u22c12","\u22c13","\u22c14","\u22c15","\u22c16","\u22c17","\u22c18","\u22c19","\u22c1a","\u22c1b","\u22c1c","\u22c1d","\u22c1e","\u22c1f","\u22c20","\u22c21","\u22c22","\u22c23","\u22c24","\u22c25","\u22c26","\u22c27","\u22c28","\u22c29","\u22c2a","\u22c2b","\u22c2c","\u22c2d","\u22c2e","\u22c2f","\u22c30","\u22c31","\u22c32","\u22c33","\u22c34","\u22c35","\u22c36","\u22c37","\u22c38","\u22c39","\u22c3a","\u22c3b","\u22c3c","\u22c3d","\u22c3e","\u22c3f","\u22c40","\u22c41","\u22c42","\u22c43","\u22c44","\u22c45","\u22c46","\u22c47","\u22c48","\u22c49","\u22c4a","\u22c4b","\u22c4c","\u22c4d","\u22c4e","\u22c4f","\u22c50","\u22c51","\u22c52","\u22c53","\u22c54","\u22c55","\u22c56","\u22c57","\u22c58","\u22c59","\u22c5a","\u22c5b","\u22c5c","\u22c5d","\u22c5e","\u22c5f","\u22c60","\u22c61","\u22c62","\u22c63","\u22c64","\u22c65","\u22c66","\u22c67","\u22c68","\u22c69","\u22c6a","\u22c6b","\u22c6c","\u22c6d","\u22c6e","\u22c6f","\u22c70","\u22c71","\u22c72","\u22c73","\u22c74","\u22c75","\u22c76","\u22c77","\u22c78","\u22c79","\u22c7a","\u22c7b","\u22c7c","\u22c7d","\u22c7e","\u22c7f","\u22c80","\u22c81","\u22c82","\u22c83","\u22c84","\u22c85","\u22c86","\u22c87","\u22c88","\u22c89","\u22c8a","\u22c8b","\u22c8c","\u22c8d","\u22c8e","\u22c8f","\u22c90","\u22c91","\u22c92","\u22c93","\u22c94","\u22c95","\u22c96","\u22c97","\u22c98","\u22c99","\u22c9a","\u22c9b","\u22c9c","\u22c9d","\u22c9e","\u22c9f","\u22ca0","\u22ca1","\u22ca2","\u22ca3","\u22ca4","\u22ca5","\u22ca6","\u22ca7","\u22ca8","\u22ca9","\u22caa","\u22cab","\u22cac","\u22cad","\u22cae","\u22caf","\u22cb0","\u22cb1","\u22cb2","\u22cb3","\u22cb4","\u22cb5","\u22cb6","\u22cb7","\u22cb8","\u22cb9","\u22cba","\u22cbb","\u22cbc","\u22cbd","\u22cbe","\u22cbf","\u22cc0","\u22cc1","\u22cc2","\u22cc3","\u22cc4","\u22cc5","\u22cc6","\u22cc7","\u22cc8","\u22cc9","\u22cca","\u22ccb","\u22ccc","\u22ccd","\u22cce","\u22ccf","\u22cd0","\u22cd1","\u22cd2","\u22cd3","\u22cd4","\u22cd5","\u22cd6","\u22cd7","\u22cd8","\u22cd9","\u22cda","\u22cdb","\u22cdc","\u22cdd","\u22cde","\u22cdf","\u22ce0","\u22ce1","\u22ce2","\u22ce3","\u22ce4","\u22ce5","\u22ce6","\u22ce7","\u22ce8","\u22ce9","\u22cea","\u22ceb","\u22cec","\u22ced","\u22cee","\u22cef","\u22cf0","\u22cf1","\u22cf2","\u22cf3","\u22cf4","\u22cf5","\u22cf6","\u22cf7","\u22cf8","\u22cf9","\u22cfa","\u22cfb","\u22cfc","\u22cfd","\u22cfe","\u22cff","\u22d00","\u22d01","\u22d02","\u22d03","\u22d04","\u22d05","\u22d06","\u22d07","\u22d08","\u22d09","\u22d0a","\u22d0b","\u22d0c","\u22d0d","\u22d0e","\u22d0f","\u22d10","\u22d11","\u22d12","\u22d13","\u22d14","\u22d15","\u22d16","\u22d17","\u22d18","\u22d19","\u22d1a","\u22d1b","\u22d1c","\u22d1d","\u22d1e","\u22d1f","\u22d20","\u22d21","\u22d22","\u22d23","\u22d24","\u22d25","\u22d26","\u22d27","\u22d28","\u22d29","\u22d2a","\u22d2b","\u22d2c","\u22d2d","\u22d2e","\u22d2f","\u22d30","\u22d31","\u22d32","\u22d33","\u22d34","\u22d35","\u22d36","\u22d37","\u22d38","\u22d39","\u22d3a","\u22d3b","\u22d3c","\u22d3d","\u22d3e","\u22d3f","\u22d40","\u22d41","\u22d42","\u22d43","\u22d44","\u22d45","\u22d46","\u22d47","\u22d48","\u22d49","\u22d4a","\u22d4b","\u22d4c","\u22d4d","\u22d4e","\u22d4f","\u22d50","\u22d51","\u22d52","\u22d53","\u22d54","\u22d55","\u22d56","\u22d57","\u22d58","\u22d59","\u22d5a","\u22d5b","\u22d5c","\u22d5d","\u22d5e","\u22d5f","\u22d60","\u22d61","\u22d62","\u22d63","\u22d64","\u22d65","\u22d66","\u22d67","\u22d68","\u22d69","\u22d6a","\u22d6b","\u22d6c","\u22d6d","\u22d6e","\u22d6f","\u22d70","\u22d71","\u22d72","\u22d73","\u22d74","\u22d75","\u22d76","\u22d77","\u22d78","\u22d79","\u22d7a","\u22d7b","\u22d7c","\u22d7d","\u22d7e","\u22d7f","\u22d80","\u22d81","\u22d82","\u22d83","\u22d84","\u22d85","\u22d86","\u22d87","\u22d88","\u22d89","\u22d8a","\u22d8b","\u22d8c","\u22d8d","\u22d8e","\u22d8f","\u22d90","\u22d91","\u22d92","\u22d93","\u22d94","\u22d95","\u22d96","\u22d97","\u22d98","\u22d99","\u22d9a","\u22d9b","\u22d9c","\u22d9d","\u22d9e","\u22d9f","\u22da0","\u22da1","\u22da2","\u22da3","\u22da4","\u22da5","\u22da6","\u22da7","\u22da8","\u22da9","\u22daa","\u22dab","\u22dac","\u22dad","\u22dae","\u22daf","\u22db0","\u22db1","\u22db2","\u22db3","\u22db4","\u22db5","\u22db6","\u22db7","\u22db8","\u22db9","\u22dba","\u22dbb","\u22dbc","\u22dbd","\u22dbe","\u22dbf","\u22dc0","\u22dc1","\u22dc2","\u22dc3","\u22dc4","\u22dc5","\u22dc6","\u22dc7","\u22dc8","\u22dc9","\u22dca","\u22dcb","\u22dcc","\u22dcd","\u22dce","\u22dcf","\u22dd0","\u22dd1","\u22dd2","\u22dd3","\u22dd4","\u22dd5","\u22dd6","\u22dd7","\u22dd8","\u22dd9","\u22dda","\u22ddb","\u22ddc","\u22ddd","\u22dde","\u22ddf","\u22de0","\u22de1","\u22de2","\u22de3","\u22de4","\u22de5","\u22de6","\u22de7","\u22de8","\u22de9","\u22dea","\u22deb","\u22dec","\u22ded","\u22dee","\u22def","\u22df0","\u22df1","\u22df2","\u22df3","\u22df4","\u22df5","\u22df6","\u22df7","\u22df8","\u22df9","\u22dfa","\u22dfb","\u22dfc","\u22dfd","\u22dfe","\u22dff","\u22e00","\u22e01","\u22e02","\u22e03","\u22e04","\u22e05","\u22e06","\u22e07","\u22e08","\u22e09","\u22e0a","\u22e0b","\u22e0c","\u22e0d","\u22e0e","\u22e0f","\u22e10","\u22e11","\u22e12","\u22e13","\u22e14","\u22e15","\u22e16","\u22e17","\u22e18","\u22e19","\u22e1a","\u22e1b","\u22e1c","\u22e1d","\u22e1e","\u22e1f","\u22e20","\u22e21","\u22e22","\u22e23","\u22e24","\u22e25","\u22e26","\u22e27","\u22e28","\u22e29","\u22e2a","\u22e2b","\u22e2c","\u22e2d","\u22e2e","\u22e2f","\u22e30","\u22e31","\u22e32","\u22e33","\u22e34","\u22e35","\u22e36","\u22e37","\u22e38","\u22e39","\u22e3a","\u22e3b","\u22e3c","\u22e3d","\u22e3e","\u22e3f","\u22e40","\u22e41","\u22e42","\u22e43","\u22e44","\u22e45","\u22e46","\u22e47","\u22e48","\u22e49","\u22e4a","\u22e4b","\u22e4c","\u22e4d","\u22e4e","\u22e4f","\u22e50","\u22e51","\u22e52","\u22e53","\u22e54","\u22e55","\u22e56","\u22e57","\u22e58","\u22e59","\u22e5a","\u22e5b","\u22e5c","\u22e5d","\u22e5e","\u22e5f","\u22e60","\u22e61","\u22e62","\u22e63","\u22e64","\u22e65","\u22e66","\u22e67","\u22e68","\u22e69","\u22e6a","\u22e6b","\u22e6c","\u22e6d","\u22e6e","\u22e6f","\u22e70","\u22e71","\u22e72","\u22e73","\u22e74","\u22e75","\u22e76","\u22e77","\u22e78","\u22e79","\u22e7a","\u22e7b","\u22e7c","\u22e7d","\u22e7e","\u22e7f","\u22e80","\u22e81","\u22e82","\u22e83","\u22e84","\u22e85","\u22e86","\u22e87","\u22e88","\u22e89","\u22e8a","\u22e8b","\u22e8c","\u22e8d","\u22e8e","\u22e8f","\u22e90","\u22e91","\u22e92","\u22e93","\u22e94","\u22e95","\u22e96","\u22e97","\u22e98","\u22e99","\u22e9a","\u22e9b","\u22e9c","\u22e9d","\u22e9e","\u22e9f","\u22ea0","\u22ea1","\u22ea2","\u22ea3","\u22ea4","\u22ea5","\u22ea6","\u22ea7","\u22ea8","\u22ea9","\u22eaa","\u22eab","\u22eac","\u22ead","\u22eae","\u22eaf","\u22eb0","\u22eb1","\u22eb2","\u22eb3","\u22eb4","\u22eb5","\u22eb6","\u22eb7","\u22eb8","\u22eb9","\u22eba","\u22ebb","\u22ebc","\u22ebd","\u22ebe","\u22ebf","\u22ec0","\u22ec1","\u22ec2","\u22ec3","\u22ec4","\u22ec5","\u22ec6","\u22ec7","\u22ec8","\u22ec9","\u22eca","\u22ecb","\u22ecc","\u22ecd","\u22ece","\u22ecf","\u22ed0","\u22ed1","\u22ed2","\u22ed3","\u22ed4","\u22ed5","\u22ed6","\u22ed7","\u22ed8","\u22ed9","\u22eda","\u22edb","\u22edc","\u22edd","\u22ede","\u22edf","\u22ee0","\u22ee1","\u22ee2","\u22ee3","\u22ee4","\u22ee5","\u22ee6","\u22ee7","\u22ee8","\u22ee9","\u22eea","\u22eeb","\u22eec","\u22eed","\u22eee","\u22eef","\u22ef0","\u22ef1","\u22ef2","\u22ef3","\u22ef4","\u22ef5","\u22ef6","\u22ef7","\u22ef8","\u22ef9","\u22efa","\u22efb","\u22efc","\u22efd","\u22efe","\u22eff","\u22f00","\u22f01","\u22f02","\u22f03","\u22f04","\u22f05","\u22f06","\u22f07","\u22f08","\u22f09","\u22f0a","\u22f0b","\u22f0c","\u22f0d","\u22f0e","\u22f0f","\u22f10","\u22f11","\u22f12","\u22f13","\u22f14","\u22f15","\u22f16","\u22f17","\u22f18","\u22f19","\u22f1a","\u22f1b","\u22f1c","\u22f1d","\u22f1e","\u22f1f","\u22f20","\u22f21","\u22f22","\u22f23","\u22f24","\u22f25","\u22f26","\u22f27","\u22f28","\u22f29","\u22f2a","\u22f2b","\u22f2c","\u22f2d","\u22f2e","\u22f2f","\u22f30","\u22f31","\u22f32","\u22f33","\u22f34","\u22f35","\u22f36","\u22f37","\u22f38","\u22f39","\u22f3a","\u22f3b","\u22f3c","\u22f3d","\u22f3e","\u22f3f","\u22f40","\u22f41","\u22f42","\u22f43","\u22f44","\u22f45","\u22f46","\u22f47","\u22f48","\u22f49","\u22f4a","\u22f4b","\u22f4c","\u22f4d","\u22f4e","\u22f4f","\u22f50","\u22f51","\u22f52","\u22f53","\u22f54","\u22f55","\u22f56","\u22f57","\u22f58","\u22f59","\u22f5a","\u22f5b","\u22f5c","\u22f5d","\u22f5e","\u22f5f","\u22f60","\u22f61","\u22f62","\u22f63","\u22f64","\u22f65","\u22f66","\u22f67","\u22f68","\u22f69","\u22f6a","\u22f6b","\u22f6c","\u22f6d","\u22f6e","\u22f6f","\u22f70","\u22f71","\u22f72","\u22f73","\u22f74","\u22f75","\u22f76","\u22f77","\u22f78","\u22f79","\u22f7a","\u22f7b","\u22f7c","\u22f7d","\u22f7e","\u22f7f","\u22f80","\u22f81","\u22f82","\u22f83","\u22f84","\u22f85","\u22f86","\u22f87","\u22f88","\u22f89","\u22f8a","\u22f8b","\u22f8c","\u22f8d","\u22f8e","\u22f8f","\u22f90","\u22f91","\u22f92","\u22f93","\u22f94","\u22f95","\u22f96","\u22f97","\u22f98","\u22f99","\u22f9a","\u22f9b","\u22f9c","\u22f9d","\u22f9e","\u22f9f","\u22fa0","\u22fa1","\u22fa2","\u22fa3","\u22fa4","\u22fa5","\u22fa6","\u22fa7","\u22fa8","\u22fa9","\u22faa","\u22fab","\u22fac","\u22fad","\u22fae","\u22faf","\u22fb0","\u22fb1","\u22fb2","\u22fb3","\u22fb4","\u22fb5","\u22fb6","\u22fb7","\u22fb8","\u22fb9","\u22fba","\u22fbb","\u22fbc","\u22fbd","\u22fbe","\u22fbf","\u22fc0","\u22fc1","\u22fc2","\u22fc3","\u22fc4","\u22fc5","\u22fc6","\u22fc7","\u22fc8","\u22fc9","\u22fca","\u22fcb","\u22fcc","\u22fcd","\u22fce","\u22fcf","\u22fd0","\u22fd1","\u22fd2","\u22fd3","\u22fd4","\u22fd5","\u22fd6","\u22fd7","\u22fd8","\u22fd9","\u22fda","\u22fdb","\u22fdc","\u22fdd","\u22fde","\u22fdf","\u22fe0","\u22fe1","\u22fe2","\u22fe3","\u22fe4","\u22fe5","\u22fe6","\u22fe7","\u22fe8","\u22fe9","\u22fea","\u22feb","\u22fec","\u22fed","\u22fee","\u22fef","\u22ff0","\u22ff1","\u22ff2","\u22ff3","\u22ff4","\u22ff5","\u22ff6","\u22ff7","\u22ff8","\u22ff9","\u22ffa","\u22ffb","\u22ffc","\u22ffd","\u22ffe","\u22fff","\u23000","\u23001","\u23002","\u23003","\u23004","\u23005","\u23006","\u23007","\u23008","\u23009","\u2300a","\u2300b","\u2300c","\u2300d","\u2300e","\u2300f","\u23010","\u23011","\u23012","\u23013","\u23014","\u23015","\u23016","\u23017","\u23018","\u23019","\u2301a","\u2301b","\u2301c","\u2301d","\u2301e","\u2301f","\u23020","\u23021","\u23022","\u23023","\u23024","\u23025","\u23026","\u23027","\u23028","\u23029","\u2302a","\u2302b","\u2302c","\u2302d","\u2302e","\u2302f","\u23030","\u23031","\u23032","\u23033","\u23034","\u23035","\u23036","\u23037","\u23038","\u23039","\u2303a","\u2303b","\u2303c","\u2303d","\u2303e","\u2303f","\u23040","\u23041","\u23042","\u23043","\u23044","\u23045","\u23046","\u23047","\u23048","\u23049","\u2304a","\u2304b","\u2304c","\u2304d","\u2304e","\u2304f","\u23050","\u23051","\u23052","\u23053","\u23054","\u23055","\u23056","\u23057","\u23058","\u23059","\u2305a","\u2305b","\u2305c","\u2305d","\u2305e","\u2305f","\u23060","\u23061","\u23062","\u23063","\u23064","\u23065","\u23066","\u23067","\u23068","\u23069","\u2306a","\u2306b","\u2306c","\u2306d","\u2306e","\u2306f","\u23070","\u23071","\u23072","\u23073","\u23074","\u23075","\u23076","\u23077","\u23078","\u23079","\u2307a","\u2307b","\u2307c","\u2307d","\u2307e","\u2307f","\u23080","\u23081","\u23082","\u23083","\u23084","\u23085","\u23086","\u23087","\u23088","\u23089","\u2308a","\u2308b","\u2308c","\u2308d","\u2308e","\u2308f","\u23090","\u23091","\u23092","\u23093","\u23094","\u23095","\u23096","\u23097","\u23098","\u23099","\u2309a","\u2309b","\u2309c","\u2309d","\u2309e","\u2309f","\u230a0","\u230a1","\u230a2","\u230a3","\u230a4","\u230a5","\u230a6","\u230a7","\u230a8","\u230a9","\u230aa","\u230ab","\u230ac","\u230ad","\u230ae","\u230af","\u230b0","\u230b1","\u230b2","\u230b3","\u230b4","\u230b5","\u230b6","\u230b7","\u230b8","\u230b9","\u230ba","\u230bb","\u230bc","\u230bd","\u230be","\u230bf","\u230c0","\u230c1","\u230c2","\u230c3","\u230c4","\u230c5","\u230c6","\u230c7","\u230c8","\u230c9","\u230ca","\u230cb","\u230cc","\u230cd","\u230ce","\u230cf","\u230d0","\u230d1","\u230d2","\u230d3","\u230d4","\u230d5","\u230d6","\u230d7","\u230d8","\u230d9","\u230da","\u230db","\u230dc","\u230dd","\u230de","\u230df","\u230e0","\u230e1","\u230e2","\u230e3","\u230e4","\u230e5","\u230e6","\u230e7","\u230e8","\u230e9","\u230ea","\u230eb","\u230ec","\u230ed","\u230ee","\u230ef","\u230f0","\u230f1","\u230f2","\u230f3","\u230f4","\u230f5","\u230f6","\u230f7","\u230f8","\u230f9","\u230fa","\u230fb","\u230fc","\u230fd","\u230fe","\u230ff","\u23100","\u23101","\u23102","\u23103","\u23104","\u23105","\u23106","\u23107","\u23108","\u23109","\u2310a","\u2310b","\u2310c","\u2310d","\u2310e","\u2310f","\u23110","\u23111","\u23112","\u23113","\u23114","\u23115","\u23116","\u23117","\u23118","\u23119","\u2311a","\u2311b","\u2311c","\u2311d","\u2311e","\u2311f","\u23120","\u23121","\u23122","\u23123","\u23124","\u23125","\u23126","\u23127","\u23128","\u23129","\u2312a","\u2312b","\u2312c","\u2312d","\u2312e","\u2312f","\u23130","\u23131","\u23132","\u23133","\u23134","\u23135","\u23136","\u23137","\u23138","\u23139","\u2313a","\u2313b","\u2313c","\u2313d","\u2313e","\u2313f","\u23140","\u23141","\u23142","\u23143","\u23144","\u23145","\u23146","\u23147","\u23148","\u23149","\u2314a","\u2314b","\u2314c","\u2314d","\u2314e","\u2314f","\u23150","\u23151","\u23152","\u23153","\u23154","\u23155","\u23156","\u23157","\u23158","\u23159","\u2315a","\u2315b","\u2315c","\u2315d","\u2315e","\u2315f","\u23160","\u23161","\u23162","\u23163","\u23164","\u23165","\u23166","\u23167","\u23168","\u23169","\u2316a","\u2316b","\u2316c","\u2316d","\u2316e","\u2316f","\u23170","\u23171","\u23172","\u23173","\u23174","\u23175","\u23176","\u23177","\u23178","\u23179","\u2317a","\u2317b","\u2317c","\u2317d","\u2317e","\u2317f","\u23180","\u23181","\u23182","\u23183","\u23184","\u23185","\u23186","\u23187","\u23188","\u23189","\u2318a","\u2318b","\u2318c","\u2318d","\u2318e","\u2318f","\u23190","\u23191","\u23192","\u23193","\u23194","\u23195","\u23196","\u23197","\u23198","\u23199","\u2319a","\u2319b","\u2319c","\u2319d","\u2319e","\u2319f","\u231a0","\u231a1","\u231a2","\u231a3","\u231a4","\u231a5","\u231a6","\u231a7","\u231a8","\u231a9","\u231aa","\u231ab","\u231ac","\u231ad","\u231ae","\u231af","\u231b0","\u231b1","\u231b2","\u231b3","\u231b4","\u231b5","\u231b6","\u231b7","\u231b8","\u231b9","\u231ba","\u231bb","\u231bc","\u231bd","\u231be","\u231bf","\u231c0","\u231c1","\u231c2","\u231c3","\u231c4","\u231c5","\u231c6","\u231c7","\u231c8","\u231c9","\u231ca","\u231cb","\u231cc","\u231cd","\u231ce","\u231cf","\u231d0","\u231d1","\u231d2","\u231d3","\u231d4","\u231d5","\u231d6","\u231d7","\u231d8","\u231d9","\u231da","\u231db","\u231dc","\u231dd","\u231de","\u231df","\u231e0","\u231e1","\u231e2","\u231e3","\u231e4","\u231e5","\u231e6","\u231e7","\u231e8","\u231e9","\u231ea","\u231eb","\u231ec","\u231ed","\u231ee","\u231ef","\u231f0","\u231f1","\u231f2","\u231f3","\u231f4","\u231f5","\u231f6","\u231f7","\u231f8","\u231f9","\u231fa","\u231fb","\u231fc","\u231fd","\u231fe","\u231ff","\u23200","\u23201","\u23202","\u23203","\u23204","\u23205","\u23206","\u23207","\u23208","\u23209","\u2320a","\u2320b","\u2320c","\u2320d","\u2320e","\u2320f","\u23210","\u23211","\u23212","\u23213","\u23214","\u23215","\u23216","\u23217","\u23218","\u23219","\u2321a","\u2321b","\u2321c","\u2321d","\u2321e","\u2321f","\u23220","\u23221","\u23222","\u23223","\u23224","\u23225","\u23226","\u23227","\u23228","\u23229","\u2322a","\u2322b","\u2322c","\u2322d","\u2322e","\u2322f","\u23230","\u23231","\u23232","\u23233","\u23234","\u23235","\u23236","\u23237","\u23238","\u23239","\u2323a","\u2323b","\u2323c","\u2323d","\u2323e","\u2323f","\u23240","\u23241","\u23242","\u23243","\u23244","\u23245","\u23246","\u23247","\u23248","\u23249","\u2324a","\u2324b","\u2324c","\u2324d","\u2324e","\u2324f","\u23250","\u23251","\u23252","\u23253","\u23254","\u23255","\u23256","\u23257","\u23258","\u23259","\u2325a","\u2325b","\u2325c","\u2325d","\u2325e","\u2325f","\u23260","\u23261","\u23262","\u23263","\u23264","\u23265","\u23266","\u23267","\u23268","\u23269","\u2326a","\u2326b","\u2326c","\u2326d","\u2326e","\u2326f","\u23270","\u23271","\u23272","\u23273","\u23274","\u23275","\u23276","\u23277","\u23278","\u23279","\u2327a","\u2327b","\u2327c","\u2327d","\u2327e","\u2327f","\u23280","\u23281","\u23282","\u23283","\u23284","\u23285","\u23286","\u23287","\u23288","\u23289","\u2328a","\u2328b","\u2328c","\u2328d","\u2328e","\u2328f","\u23290","\u23291","\u23292","\u23293","\u23294","\u23295","\u23296","\u23297","\u23298","\u23299","\u2329a","\u2329b","\u2329c","\u2329d","\u2329e","\u2329f","\u232a0","\u232a1","\u232a2","\u232a3","\u232a4","\u232a5","\u232a6","\u232a7","\u232a8","\u232a9","\u232aa","\u232ab","\u232ac","\u232ad","\u232ae","\u232af","\u232b0","\u232b1","\u232b2","\u232b3","\u232b4","\u232b5","\u232b6","\u232b7","\u232b8","\u232b9","\u232ba","\u232bb","\u232bc","\u232bd","\u232be","\u232bf","\u232c0","\u232c1","\u232c2","\u232c3","\u232c4","\u232c5","\u232c6","\u232c7","\u232c8","\u232c9","\u232ca","\u232cb","\u232cc","\u232cd","\u232ce","\u232cf","\u232d0","\u232d1","\u232d2","\u232d3","\u232d4","\u232d5","\u232d6","\u232d7","\u232d8","\u232d9","\u232da","\u232db","\u232dc","\u232dd","\u232de","\u232df","\u232e0","\u232e1","\u232e2","\u232e3","\u232e4","\u232e5","\u232e6","\u232e7","\u232e8","\u232e9","\u232ea","\u232eb","\u232ec","\u232ed","\u232ee","\u232ef","\u232f0","\u232f1","\u232f2","\u232f3","\u232f4","\u232f5","\u232f6","\u232f7","\u232f8","\u232f9","\u232fa","\u232fb","\u232fc","\u232fd","\u232fe","\u232ff","\u23300","\u23301","\u23302","\u23303","\u23304","\u23305","\u23306","\u23307","\u23308","\u23309","\u2330a","\u2330b","\u2330c","\u2330d","\u2330e","\u2330f","\u23310","\u23311","\u23312","\u23313","\u23314","\u23315","\u23316","\u23317","\u23318","\u23319","\u2331a","\u2331b","\u2331c","\u2331d","\u2331e","\u2331f","\u23320","\u23321","\u23322","\u23323","\u23324","\u23325","\u23326","\u23327","\u23328","\u23329","\u2332a","\u2332b","\u2332c","\u2332d","\u2332e","\u2332f","\u23330","\u23331","\u23332","\u23333","\u23334","\u23335","\u23336","\u23337","\u23338","\u23339","\u2333a","\u2333b","\u2333c","\u2333d","\u2333e","\u2333f","\u23340","\u23341","\u23342","\u23343","\u23344","\u23345","\u23346","\u23347","\u23348","\u23349","\u2334a","\u2334b","\u2334c","\u2334d","\u2334e","\u2334f","\u23350","\u23351","\u23352","\u23353","\u23354","\u23355","\u23356","\u23357","\u23358","\u23359","\u2335a","\u2335b","\u2335c","\u2335d","\u2335e","\u2335f","\u23360","\u23361","\u23362","\u23363","\u23364","\u23365","\u23366","\u23367","\u23368","\u23369","\u2336a","\u2336b","\u2336c","\u2336d","\u2336e","\u2336f","\u23370","\u23371","\u23372","\u23373","\u23374","\u23375","\u23376","\u23377","\u23378","\u23379","\u2337a","\u2337b","\u2337c","\u2337d","\u2337e","\u2337f","\u23380","\u23381","\u23382","\u23383","\u23384","\u23385","\u23386","\u23387","\u23388","\u23389","\u2338a","\u2338b","\u2338c","\u2338d","\u2338e","\u2338f","\u23390","\u23391","\u23392","\u23393","\u23394","\u23395","\u23396","\u23397","\u23398","\u23399","\u2339a","\u2339b","\u2339c","\u2339d","\u2339e","\u2339f","\u233a0","\u233a1","\u233a2","\u233a3","\u233a4","\u233a5","\u233a6","\u233a7","\u233a8","\u233a9","\u233aa","\u233ab","\u233ac","\u233ad","\u233ae","\u233af","\u233b0","\u233b1","\u233b2","\u233b3","\u233b4","\u233b5","\u233b6","\u233b7","\u233b8","\u233b9","\u233ba","\u233bb","\u233bc","\u233bd","\u233be","\u233bf","\u233c0","\u233c1","\u233c2","\u233c3","\u233c4","\u233c5","\u233c6","\u233c7","\u233c8","\u233c9","\u233ca","\u233cb","\u233cc","\u233cd","\u233ce","\u233cf","\u233d0","\u233d1","\u233d2","\u233d3","\u233d4","\u233d5","\u233d6","\u233d7","\u233d8","\u233d9","\u233da","\u233db","\u233dc","\u233dd","\u233de","\u233df","\u233e0","\u233e1","\u233e2","\u233e3","\u233e4","\u233e5","\u233e6","\u233e7","\u233e8","\u233e9","\u233ea","\u233eb","\u233ec","\u233ed","\u233ee","\u233ef","\u233f0","\u233f1","\u233f2","\u233f3","\u233f4","\u233f5","\u233f6","\u233f7","\u233f8","\u233f9","\u233fa","\u233fb","\u233fc","\u233fd","\u233fe","\u233ff","\u23400","\u23401","\u23402","\u23403","\u23404","\u23405","\u23406","\u23407","\u23408","\u23409","\u2340a","\u2340b","\u2340c","\u2340d","\u2340e","\u2340f","\u23410","\u23411","\u23412","\u23413","\u23414","\u23415","\u23416","\u23417","\u23418","\u23419","\u2341a","\u2341b","\u2341c","\u2341d","\u2341e","\u2341f","\u23420","\u23421","\u23422","\u23423","\u23424","\u23425","\u23426","\u23427","\u23428","\u23429","\u2342a","\u2342b","\u2342c","\u2342d","\u2342e","\u2342f","\u23430","\u23431","\u23432","\u23433","\u23434","\u23435","\u23436","\u23437","\u23438","\u23439","\u2343a","\u2343b","\u2343c","\u2343d","\u2343e","\u2343f","\u23440","\u23441","\u23442","\u23443","\u23444","\u23445","\u23446","\u23447","\u23448","\u23449","\u2344a","\u2344b","\u2344c","\u2344d","\u2344e","\u2344f","\u23450","\u23451","\u23452","\u23453","\u23454","\u23455","\u23456","\u23457","\u23458","\u23459","\u2345a","\u2345b","\u2345c","\u2345d","\u2345e","\u2345f","\u23460","\u23461","\u23462","\u23463","\u23464","\u23465","\u23466","\u23467","\u23468","\u23469","\u2346a","\u2346b","\u2346c","\u2346d","\u2346e","\u2346f","\u23470","\u23471","\u23472","\u23473","\u23474","\u23475","\u23476","\u23477","\u23478","\u23479","\u2347a","\u2347b","\u2347c","\u2347d","\u2347e","\u2347f","\u23480","\u23481","\u23482","\u23483","\u23484","\u23485","\u23486","\u23487","\u23488","\u23489","\u2348a","\u2348b","\u2348c","\u2348d","\u2348e","\u2348f","\u23490","\u23491","\u23492","\u23493","\u23494","\u23495","\u23496","\u23497","\u23498","\u23499","\u2349a","\u2349b","\u2349c","\u2349d","\u2349e","\u2349f","\u234a0","\u234a1","\u234a2","\u234a3","\u234a4","\u234a5","\u234a6","\u234a7","\u234a8","\u234a9","\u234aa","\u234ab","\u234ac","\u234ad","\u234ae","\u234af","\u234b0","\u234b1","\u234b2","\u234b3","\u234b4","\u234b5","\u234b6","\u234b7","\u234b8","\u234b9","\u234ba","\u234bb","\u234bc","\u234bd","\u234be","\u234bf","\u234c0","\u234c1","\u234c2","\u234c3","\u234c4","\u234c5","\u234c6","\u234c7","\u234c8","\u234c9","\u234ca","\u234cb","\u234cc","\u234cd","\u234ce","\u234cf","\u234d0","\u234d1","\u234d2","\u234d3","\u234d4","\u234d5","\u234d6","\u234d7","\u234d8","\u234d9","\u234da","\u234db","\u234dc","\u234dd","\u234de","\u234df","\u234e0","\u234e1","\u234e2","\u234e3","\u234e4","\u234e5","\u234e6","\u234e7","\u234e8","\u234e9","\u234ea","\u234eb","\u234ec","\u234ed","\u234ee","\u234ef","\u234f0","\u234f1","\u234f2","\u234f3","\u234f4","\u234f5","\u234f6","\u234f7","\u234f8","\u234f9","\u234fa","\u234fb","\u234fc","\u234fd","\u234fe","\u234ff","\u23500","\u23501","\u23502","\u23503","\u23504","\u23505","\u23506","\u23507","\u23508","\u23509","\u2350a","\u2350b","\u2350c","\u2350d","\u2350e","\u2350f","\u23510","\u23511","\u23512","\u23513","\u23514","\u23515","\u23516","\u23517","\u23518","\u23519","\u2351a","\u2351b","\u2351c","\u2351d","\u2351e","\u2351f","\u23520","\u23521","\u23522","\u23523","\u23524","\u23525","\u23526","\u23527","\u23528","\u23529","\u2352a","\u2352b","\u2352c","\u2352d","\u2352e","\u2352f","\u23530","\u23531","\u23532","\u23533","\u23534","\u23535","\u23536","\u23537","\u23538","\u23539","\u2353a","\u2353b","\u2353c","\u2353d","\u2353e","\u2353f","\u23540","\u23541","\u23542","\u23543","\u23544","\u23545","\u23546","\u23547","\u23548","\u23549","\u2354a","\u2354b","\u2354c","\u2354d","\u2354e","\u2354f","\u23550","\u23551","\u23552","\u23553","\u23554","\u23555","\u23556","\u23557","\u23558","\u23559","\u2355a","\u2355b","\u2355c","\u2355d","\u2355e","\u2355f","\u23560","\u23561","\u23562","\u23563","\u23564","\u23565","\u23566","\u23567","\u23568","\u23569","\u2356a","\u2356b","\u2356c","\u2356d","\u2356e","\u2356f","\u23570","\u23571","\u23572","\u23573","\u23574","\u23575","\u23576","\u23577","\u23578","\u23579","\u2357a","\u2357b","\u2357c","\u2357d","\u2357e","\u2357f","\u23580","\u23581","\u23582","\u23583","\u23584","\u23585","\u23586","\u23587","\u23588","\u23589","\u2358a","\u2358b","\u2358c","\u2358d","\u2358e","\u2358f","\u23590","\u23591","\u23592","\u23593","\u23594","\u23595","\u23596","\u23597","\u23598","\u23599","\u2359a","\u2359b","\u2359c","\u2359d","\u2359e","\u2359f","\u235a0","\u235a1","\u235a2","\u235a3","\u235a4","\u235a5","\u235a6","\u235a7","\u235a8","\u235a9","\u235aa","\u235ab","\u235ac","\u235ad","\u235ae","\u235af","\u235b0","\u235b1","\u235b2","\u235b3","\u235b4","\u235b5","\u235b6","\u235b7","\u235b8","\u235b9","\u235ba","\u235bb","\u235bc","\u235bd","\u235be","\u235bf","\u235c0","\u235c1","\u235c2","\u235c3","\u235c4","\u235c5","\u235c6","\u235c7","\u235c8","\u235c9","\u235ca","\u235cb","\u235cc","\u235cd","\u235ce","\u235cf","\u235d0","\u235d1","\u235d2","\u235d3","\u235d4","\u235d5","\u235d6","\u235d7","\u235d8","\u235d9","\u235da","\u235db","\u235dc","\u235dd","\u235de","\u235df","\u235e0","\u235e1","\u235e2","\u235e3","\u235e4","\u235e5","\u235e6","\u235e7","\u235e8","\u235e9","\u235ea","\u235eb","\u235ec","\u235ed","\u235ee","\u235ef","\u235f0","\u235f1","\u235f2","\u235f3","\u235f4","\u235f5","\u235f6","\u235f7","\u235f8","\u235f9","\u235fa","\u235fb","\u235fc","\u235fd","\u235fe","\u235ff","\u23600","\u23601","\u23602","\u23603","\u23604","\u23605","\u23606","\u23607","\u23608","\u23609","\u2360a","\u2360b","\u2360c","\u2360d","\u2360e","\u2360f","\u23610","\u23611","\u23612","\u23613","\u23614","\u23615","\u23616","\u23617","\u23618","\u23619","\u2361a","\u2361b","\u2361c","\u2361d","\u2361e","\u2361f","\u23620","\u23621","\u23622","\u23623","\u23624","\u23625","\u23626","\u23627","\u23628","\u23629","\u2362a","\u2362b","\u2362c","\u2362d","\u2362e","\u2362f","\u23630","\u23631","\u23632","\u23633","\u23634","\u23635","\u23636","\u23637","\u23638","\u23639","\u2363a","\u2363b","\u2363c","\u2363d","\u2363e","\u2363f","\u23640","\u23641","\u23642","\u23643","\u23644","\u23645","\u23646","\u23647","\u23648","\u23649","\u2364a","\u2364b","\u2364c","\u2364d","\u2364e","\u2364f","\u23650","\u23651","\u23652","\u23653","\u23654","\u23655","\u23656","\u23657","\u23658","\u23659","\u2365a","\u2365b","\u2365c","\u2365d","\u2365e","\u2365f","\u23660","\u23661","\u23662","\u23663","\u23664","\u23665","\u23666","\u23667","\u23668","\u23669","\u2366a","\u2366b","\u2366c","\u2366d","\u2366e","\u2366f","\u23670","\u23671","\u23672","\u23673","\u23674","\u23675","\u23676","\u23677","\u23678","\u23679","\u2367a","\u2367b","\u2367c","\u2367d","\u2367e","\u2367f","\u23680","\u23681","\u23682","\u23683","\u23684","\u23685","\u23686","\u23687","\u23688","\u23689","\u2368a","\u2368b","\u2368c","\u2368d","\u2368e","\u2368f","\u23690","\u23691","\u23692","\u23693","\u23694","\u23695","\u23696","\u23697","\u23698","\u23699","\u2369a","\u2369b","\u2369c","\u2369d","\u2369e","\u2369f","\u236a0","\u236a1","\u236a2","\u236a3","\u236a4","\u236a5","\u236a6","\u236a7","\u236a8","\u236a9","\u236aa","\u236ab","\u236ac","\u236ad","\u236ae","\u236af","\u236b0","\u236b1","\u236b2","\u236b3","\u236b4","\u236b5","\u236b6","\u236b7","\u236b8","\u236b9","\u236ba","\u236bb","\u236bc","\u236bd","\u236be","\u236bf","\u236c0","\u236c1","\u236c2","\u236c3","\u236c4","\u236c5","\u236c6","\u236c7","\u236c8","\u236c9","\u236ca","\u236cb","\u236cc","\u236cd","\u236ce","\u236cf","\u236d0","\u236d1","\u236d2","\u236d3","\u236d4","\u236d5","\u236d6","\u236d7","\u236d8","\u236d9","\u236da","\u236db","\u236dc","\u236dd","\u236de","\u236df","\u236e0","\u236e1","\u236e2","\u236e3","\u236e4","\u236e5","\u236e6","\u236e7","\u236e8","\u236e9","\u236ea","\u236eb","\u236ec","\u236ed","\u236ee","\u236ef","\u236f0","\u236f1","\u236f2","\u236f3","\u236f4","\u236f5","\u236f6","\u236f7","\u236f8","\u236f9","\u236fa","\u236fb","\u236fc","\u236fd","\u236fe","\u236ff","\u23700","\u23701","\u23702","\u23703","\u23704","\u23705","\u23706","\u23707","\u23708","\u23709","\u2370a","\u2370b","\u2370c","\u2370d","\u2370e","\u2370f","\u23710","\u23711","\u23712","\u23713","\u23714","\u23715","\u23716","\u23717","\u23718","\u23719","\u2371a","\u2371b","\u2371c","\u2371d","\u2371e","\u2371f","\u23720","\u23721","\u23722","\u23723","\u23724","\u23725","\u23726","\u23727","\u23728","\u23729","\u2372a","\u2372b","\u2372c","\u2372d","\u2372e","\u2372f","\u23730","\u23731","\u23732","\u23733","\u23734","\u23735","\u23736","\u23737","\u23738","\u23739","\u2373a","\u2373b","\u2373c","\u2373d","\u2373e","\u2373f","\u23740","\u23741","\u23742","\u23743","\u23744","\u23745","\u23746","\u23747","\u23748","\u23749","\u2374a","\u2374b","\u2374c","\u2374d","\u2374e","\u2374f","\u23750","\u23751","\u23752","\u23753","\u23754","\u23755","\u23756","\u23757","\u23758","\u23759","\u2375a","\u2375b","\u2375c","\u2375d","\u2375e","\u2375f","\u23760","\u23761","\u23762","\u23763","\u23764","\u23765","\u23766","\u23767","\u23768","\u23769","\u2376a","\u2376b","\u2376c","\u2376d","\u2376e","\u2376f","\u23770","\u23771","\u23772","\u23773","\u23774","\u23775","\u23776","\u23777","\u23778","\u23779","\u2377a","\u2377b","\u2377c","\u2377d","\u2377e","\u2377f","\u23780","\u23781","\u23782","\u23783","\u23784","\u23785","\u23786","\u23787","\u23788","\u23789","\u2378a","\u2378b","\u2378c","\u2378d","\u2378e","\u2378f","\u23790","\u23791","\u23792","\u23793","\u23794","\u23795","\u23796","\u23797","\u23798","\u23799","\u2379a","\u2379b","\u2379c","\u2379d","\u2379e","\u2379f","\u237a0","\u237a1","\u237a2","\u237a3","\u237a4","\u237a5","\u237a6","\u237a7","\u237a8","\u237a9","\u237aa","\u237ab","\u237ac","\u237ad","\u237ae","\u237af","\u237b0","\u237b1","\u237b2","\u237b3","\u237b4","\u237b5","\u237b6","\u237b7","\u237b8","\u237b9","\u237ba","\u237bb","\u237bc","\u237bd","\u237be","\u237bf","\u237c0","\u237c1","\u237c2","\u237c3","\u237c4","\u237c5","\u237c6","\u237c7","\u237c8","\u237c9","\u237ca","\u237cb","\u237cc","\u237cd","\u237ce","\u237cf","\u237d0","\u237d1","\u237d2","\u237d3","\u237d4","\u237d5","\u237d6","\u237d7","\u237d8","\u237d9","\u237da","\u237db","\u237dc","\u237dd","\u237de","\u237df","\u237e0","\u237e1","\u237e2","\u237e3","\u237e4","\u237e5","\u237e6","\u237e7","\u237e8","\u237e9","\u237ea","\u237eb","\u237ec","\u237ed","\u237ee","\u237ef","\u237f0","\u237f1","\u237f2","\u237f3","\u237f4","\u237f5","\u237f6","\u237f7","\u237f8","\u237f9","\u237fa","\u237fb","\u237fc","\u237fd","\u237fe","\u237ff","\u23800","\u23801","\u23802","\u23803","\u23804","\u23805","\u23806","\u23807","\u23808","\u23809","\u2380a","\u2380b","\u2380c","\u2380d","\u2380e","\u2380f","\u23810","\u23811","\u23812","\u23813","\u23814","\u23815","\u23816","\u23817","\u23818","\u23819","\u2381a","\u2381b","\u2381c","\u2381d","\u2381e","\u2381f","\u23820","\u23821","\u23822","\u23823","\u23824","\u23825","\u23826","\u23827","\u23828","\u23829","\u2382a","\u2382b","\u2382c","\u2382d","\u2382e","\u2382f","\u23830","\u23831","\u23832","\u23833","\u23834","\u23835","\u23836","\u23837","\u23838","\u23839","\u2383a","\u2383b","\u2383c","\u2383d","\u2383e","\u2383f","\u23840","\u23841","\u23842","\u23843","\u23844","\u23845","\u23846","\u23847","\u23848","\u23849","\u2384a","\u2384b","\u2384c","\u2384d","\u2384e","\u2384f","\u23850","\u23851","\u23852","\u23853","\u23854","\u23855","\u23856","\u23857","\u23858","\u23859","\u2385a","\u2385b","\u2385c","\u2385d","\u2385e","\u2385f","\u23860","\u23861","\u23862","\u23863","\u23864","\u23865","\u23866","\u23867","\u23868","\u23869","\u2386a","\u2386b","\u2386c","\u2386d","\u2386e","\u2386f","\u23870","\u23871","\u23872","\u23873","\u23874","\u23875","\u23876","\u23877","\u23878","\u23879","\u2387a","\u2387b","\u2387c","\u2387d","\u2387e","\u2387f","\u23880","\u23881","\u23882","\u23883","\u23884","\u23885","\u23886","\u23887","\u23888","\u23889","\u2388a","\u2388b","\u2388c","\u2388d","\u2388e","\u2388f","\u23890","\u23891","\u23892","\u23893","\u23894","\u23895","\u23896","\u23897","\u23898","\u23899","\u2389a","\u2389b","\u2389c","\u2389d","\u2389e","\u2389f","\u238a0","\u238a1","\u238a2","\u238a3","\u238a4","\u238a5","\u238a6","\u238a7","\u238a8","\u238a9","\u238aa","\u238ab","\u238ac","\u238ad","\u238ae","\u238af","\u238b0","\u238b1","\u238b2","\u238b3","\u238b4","\u238b5","\u238b6","\u238b7","\u238b8","\u238b9","\u238ba","\u238bb","\u238bc","\u238bd","\u238be","\u238bf","\u238c0","\u238c1","\u238c2","\u238c3","\u238c4","\u238c5","\u238c6","\u238c7","\u238c8","\u238c9","\u238ca","\u238cb","\u238cc","\u238cd","\u238ce","\u238cf","\u238d0","\u238d1","\u238d2","\u238d3","\u238d4","\u238d5","\u238d6","\u238d7","\u238d8","\u238d9","\u238da","\u238db","\u238dc","\u238dd","\u238de","\u238df","\u238e0","\u238e1","\u238e2","\u238e3","\u238e4","\u238e5","\u238e6","\u238e7","\u238e8","\u238e9","\u238ea","\u238eb","\u238ec","\u238ed","\u238ee","\u238ef","\u238f0","\u238f1","\u238f2","\u238f3","\u238f4","\u238f5","\u238f6","\u238f7","\u238f8","\u238f9","\u238fa","\u238fb","\u238fc","\u238fd","\u238fe","\u238ff","\u23900","\u23901","\u23902","\u23903","\u23904","\u23905","\u23906","\u23907","\u23908","\u23909","\u2390a","\u2390b","\u2390c","\u2390d","\u2390e","\u2390f","\u23910","\u23911","\u23912","\u23913","\u23914","\u23915","\u23916","\u23917","\u23918","\u23919","\u2391a","\u2391b","\u2391c","\u2391d","\u2391e","\u2391f","\u23920","\u23921","\u23922","\u23923","\u23924","\u23925","\u23926","\u23927","\u23928","\u23929","\u2392a","\u2392b","\u2392c","\u2392d","\u2392e","\u2392f","\u23930","\u23931","\u23932","\u23933","\u23934","\u23935","\u23936","\u23937","\u23938","\u23939","\u2393a","\u2393b","\u2393c","\u2393d","\u2393e","\u2393f","\u23940","\u23941","\u23942","\u23943","\u23944","\u23945","\u23946","\u23947","\u23948","\u23949","\u2394a","\u2394b","\u2394c","\u2394d","\u2394e","\u2394f","\u23950","\u23951","\u23952","\u23953","\u23954","\u23955","\u23956","\u23957","\u23958","\u23959","\u2395a","\u2395b","\u2395c","\u2395d","\u2395e","\u2395f","\u23960","\u23961","\u23962","\u23963","\u23964","\u23965","\u23966","\u23967","\u23968","\u23969","\u2396a","\u2396b","\u2396c","\u2396d","\u2396e","\u2396f","\u23970","\u23971","\u23972","\u23973","\u23974","\u23975","\u23976","\u23977","\u23978","\u23979","\u2397a","\u2397b","\u2397c","\u2397d","\u2397e","\u2397f","\u23980","\u23981","\u23982","\u23983","\u23984","\u23985","\u23986","\u23987","\u23988","\u23989","\u2398a","\u2398b","\u2398c","\u2398d","\u2398e","\u2398f","\u23990","\u23991","\u23992","\u23993","\u23994","\u23995","\u23996","\u23997","\u23998","\u23999","\u2399a","\u2399b","\u2399c","\u2399d","\u2399e","\u2399f","\u239a0","\u239a1","\u239a2","\u239a3","\u239a4","\u239a5","\u239a6","\u239a7","\u239a8","\u239a9","\u239aa","\u239ab","\u239ac","\u239ad","\u239ae","\u239af","\u239b0","\u239b1","\u239b2","\u239b3","\u239b4","\u239b5","\u239b6","\u239b7","\u239b8","\u239b9","\u239ba","\u239bb","\u239bc","\u239bd","\u239be","\u239bf","\u239c0","\u239c1","\u239c2","\u239c3","\u239c4","\u239c5","\u239c6","\u239c7","\u239c8","\u239c9","\u239ca","\u239cb","\u239cc","\u239cd","\u239ce","\u239cf","\u239d0","\u239d1","\u239d2","\u239d3","\u239d4","\u239d5","\u239d6","\u239d7","\u239d8","\u239d9","\u239da","\u239db","\u239dc","\u239dd","\u239de","\u239df","\u239e0","\u239e1","\u239e2","\u239e3","\u239e4","\u239e5","\u239e6","\u239e7","\u239e8","\u239e9","\u239ea","\u239eb","\u239ec","\u239ed","\u239ee","\u239ef","\u239f0","\u239f1","\u239f2","\u239f3","\u239f4","\u239f5","\u239f6","\u239f7","\u239f8","\u239f9","\u239fa","\u239fb","\u239fc","\u239fd","\u239fe","\u239ff","\u23a00","\u23a01","\u23a02","\u23a03","\u23a04","\u23a05","\u23a06","\u23a07","\u23a08","\u23a09","\u23a0a","\u23a0b","\u23a0c","\u23a0d","\u23a0e","\u23a0f","\u23a10","\u23a11","\u23a12","\u23a13","\u23a14","\u23a15","\u23a16","\u23a17","\u23a18","\u23a19","\u23a1a","\u23a1b","\u23a1c","\u23a1d","\u23a1e","\u23a1f","\u23a20","\u23a21","\u23a22","\u23a23","\u23a24","\u23a25","\u23a26","\u23a27","\u23a28","\u23a29","\u23a2a","\u23a2b","\u23a2c","\u23a2d","\u23a2e","\u23a2f","\u23a30","\u23a31","\u23a32","\u23a33","\u23a34","\u23a35","\u23a36","\u23a37","\u23a38","\u23a39","\u23a3a","\u23a3b","\u23a3c","\u23a3d","\u23a3e","\u23a3f","\u23a40","\u23a41","\u23a42","\u23a43","\u23a44","\u23a45","\u23a46","\u23a47","\u23a48","\u23a49","\u23a4a","\u23a4b","\u23a4c","\u23a4d","\u23a4e","\u23a4f","\u23a50","\u23a51","\u23a52","\u23a53","\u23a54","\u23a55","\u23a56","\u23a57","\u23a58","\u23a59","\u23a5a","\u23a5b","\u23a5c","\u23a5d","\u23a5e","\u23a5f","\u23a60","\u23a61","\u23a62","\u23a63","\u23a64","\u23a65","\u23a66","\u23a67","\u23a68","\u23a69","\u23a6a","\u23a6b","\u23a6c","\u23a6d","\u23a6e","\u23a6f","\u23a70","\u23a71","\u23a72","\u23a73","\u23a74","\u23a75","\u23a76","\u23a77","\u23a78","\u23a79","\u23a7a","\u23a7b","\u23a7c","\u23a7d","\u23a7e","\u23a7f","\u23a80","\u23a81","\u23a82","\u23a83","\u23a84","\u23a85","\u23a86","\u23a87","\u23a88","\u23a89","\u23a8a","\u23a8b","\u23a8c","\u23a8d","\u23a8e","\u23a8f","\u23a90","\u23a91","\u23a92","\u23a93","\u23a94","\u23a95","\u23a96","\u23a97","\u23a98","\u23a99","\u23a9a","\u23a9b","\u23a9c","\u23a9d","\u23a9e","\u23a9f","\u23aa0","\u23aa1","\u23aa2","\u23aa3","\u23aa4","\u23aa5","\u23aa6","\u23aa7","\u23aa8","\u23aa9","\u23aaa","\u23aab","\u23aac","\u23aad","\u23aae","\u23aaf","\u23ab0","\u23ab1","\u23ab2","\u23ab3","\u23ab4","\u23ab5","\u23ab6","\u23ab7","\u23ab8","\u23ab9","\u23aba","\u23abb","\u23abc","\u23abd","\u23abe","\u23abf","\u23ac0","\u23ac1","\u23ac2","\u23ac3","\u23ac4","\u23ac5","\u23ac6","\u23ac7","\u23ac8","\u23ac9","\u23aca","\u23acb","\u23acc","\u23acd","\u23ace","\u23acf","\u23ad0","\u23ad1","\u23ad2","\u23ad3","\u23ad4","\u23ad5","\u23ad6","\u23ad7","\u23ad8","\u23ad9","\u23ada","\u23adb","\u23adc","\u23add","\u23ade","\u23adf","\u23ae0","\u23ae1","\u23ae2","\u23ae3","\u23ae4","\u23ae5","\u23ae6","\u23ae7","\u23ae8","\u23ae9","\u23aea","\u23aeb","\u23aec","\u23aed","\u23aee","\u23aef","\u23af0","\u23af1","\u23af2","\u23af3","\u23af4","\u23af5","\u23af6","\u23af7","\u23af8","\u23af9","\u23afa","\u23afb","\u23afc","\u23afd","\u23afe","\u23aff","\u23b00","\u23b01","\u23b02","\u23b03","\u23b04","\u23b05","\u23b06","\u23b07","\u23b08","\u23b09","\u23b0a","\u23b0b","\u23b0c","\u23b0d","\u23b0e","\u23b0f","\u23b10","\u23b11","\u23b12","\u23b13","\u23b14","\u23b15","\u23b16","\u23b17","\u23b18","\u23b19","\u23b1a","\u23b1b","\u23b1c","\u23b1d","\u23b1e","\u23b1f","\u23b20","\u23b21","\u23b22","\u23b23","\u23b24","\u23b25","\u23b26","\u23b27","\u23b28","\u23b29","\u23b2a","\u23b2b","\u23b2c","\u23b2d","\u23b2e","\u23b2f","\u23b30","\u23b31","\u23b32","\u23b33","\u23b34","\u23b35","\u23b36","\u23b37","\u23b38","\u23b39","\u23b3a","\u23b3b","\u23b3c","\u23b3d","\u23b3e","\u23b3f","\u23b40","\u23b41","\u23b42","\u23b43","\u23b44","\u23b45","\u23b46","\u23b47","\u23b48","\u23b49","\u23b4a","\u23b4b","\u23b4c","\u23b4d","\u23b4e","\u23b4f","\u23b50","\u23b51","\u23b52","\u23b53","\u23b54","\u23b55","\u23b56","\u23b57","\u23b58","\u23b59","\u23b5a","\u23b5b","\u23b5c","\u23b5d","\u23b5e","\u23b5f","\u23b60","\u23b61","\u23b62","\u23b63","\u23b64","\u23b65","\u23b66","\u23b67","\u23b68","\u23b69","\u23b6a","\u23b6b","\u23b6c","\u23b6d","\u23b6e","\u23b6f","\u23b70","\u23b71","\u23b72","\u23b73","\u23b74","\u23b75","\u23b76","\u23b77","\u23b78","\u23b79","\u23b7a","\u23b7b","\u23b7c","\u23b7d","\u23b7e","\u23b7f","\u23b80","\u23b81","\u23b82","\u23b83","\u23b84","\u23b85","\u23b86","\u23b87","\u23b88","\u23b89","\u23b8a","\u23b8b","\u23b8c","\u23b8d","\u23b8e","\u23b8f","\u23b90","\u23b91","\u23b92","\u23b93","\u23b94","\u23b95","\u23b96","\u23b97","\u23b98","\u23b99","\u23b9a","\u23b9b","\u23b9c","\u23b9d","\u23b9e","\u23b9f","\u23ba0","\u23ba1","\u23ba2","\u23ba3","\u23ba4","\u23ba5","\u23ba6","\u23ba7","\u23ba8","\u23ba9","\u23baa","\u23bab","\u23bac","\u23bad","\u23bae","\u23baf","\u23bb0","\u23bb1","\u23bb2","\u23bb3","\u23bb4","\u23bb5","\u23bb6","\u23bb7","\u23bb8","\u23bb9","\u23bba","\u23bbb","\u23bbc","\u23bbd","\u23bbe","\u23bbf","\u23bc0","\u23bc1","\u23bc2","\u23bc3","\u23bc4","\u23bc5","\u23bc6","\u23bc7","\u23bc8","\u23bc9","\u23bca","\u23bcb","\u23bcc","\u23bcd","\u23bce","\u23bcf","\u23bd0","\u23bd1","\u23bd2","\u23bd3","\u23bd4","\u23bd5","\u23bd6","\u23bd7","\u23bd8","\u23bd9","\u23bda","\u23bdb","\u23bdc","\u23bdd","\u23bde","\u23bdf","\u23be0","\u23be1","\u23be2","\u23be3","\u23be4","\u23be5","\u23be6","\u23be7","\u23be8","\u23be9","\u23bea","\u23beb","\u23bec","\u23bed","\u23bee","\u23bef","\u23bf0","\u23bf1","\u23bf2","\u23bf3","\u23bf4","\u23bf5","\u23bf6","\u23bf7","\u23bf8","\u23bf9","\u23bfa","\u23bfb","\u23bfc","\u23bfd","\u23bfe","\u23bff","\u23c00","\u23c01","\u23c02","\u23c03","\u23c04","\u23c05","\u23c06","\u23c07","\u23c08","\u23c09","\u23c0a","\u23c0b","\u23c0c","\u23c0d","\u23c0e","\u23c0f","\u23c10","\u23c11","\u23c12","\u23c13","\u23c14","\u23c15","\u23c16","\u23c17","\u23c18","\u23c19","\u23c1a","\u23c1b","\u23c1c","\u23c1d","\u23c1e","\u23c1f","\u23c20","\u23c21","\u23c22","\u23c23","\u23c24","\u23c25","\u23c26","\u23c27","\u23c28","\u23c29","\u23c2a","\u23c2b","\u23c2c","\u23c2d","\u23c2e","\u23c2f","\u23c30","\u23c31","\u23c32","\u23c33","\u23c34","\u23c35","\u23c36","\u23c37","\u23c38","\u23c39","\u23c3a","\u23c3b","\u23c3c","\u23c3d","\u23c3e","\u23c3f","\u23c40","\u23c41","\u23c42","\u23c43","\u23c44","\u23c45","\u23c46","\u23c47","\u23c48","\u23c49","\u23c4a","\u23c4b","\u23c4c","\u23c4d","\u23c4e","\u23c4f","\u23c50","\u23c51","\u23c52","\u23c53","\u23c54","\u23c55","\u23c56","\u23c57","\u23c58","\u23c59","\u23c5a","\u23c5b","\u23c5c","\u23c5d","\u23c5e","\u23c5f","\u23c60","\u23c61","\u23c62","\u23c63","\u23c64","\u23c65","\u23c66","\u23c67","\u23c68","\u23c69","\u23c6a","\u23c6b","\u23c6c","\u23c6d","\u23c6e","\u23c6f","\u23c70","\u23c71","\u23c72","\u23c73","\u23c74","\u23c75","\u23c76","\u23c77","\u23c78","\u23c79","\u23c7a","\u23c7b","\u23c7c","\u23c7d","\u23c7e","\u23c7f","\u23c80","\u23c81","\u23c82","\u23c83","\u23c84","\u23c85","\u23c86","\u23c87","\u23c88","\u23c89","\u23c8a","\u23c8b","\u23c8c","\u23c8d","\u23c8e","\u23c8f","\u23c90","\u23c91","\u23c92","\u23c93","\u23c94","\u23c95","\u23c96","\u23c97","\u23c98","\u23c99","\u23c9a","\u23c9b","\u23c9c","\u23c9d","\u23c9e","\u23c9f","\u23ca0","\u23ca1","\u23ca2","\u23ca3","\u23ca4","\u23ca5","\u23ca6","\u23ca7","\u23ca8","\u23ca9","\u23caa","\u23cab","\u23cac","\u23cad","\u23cae","\u23caf","\u23cb0","\u23cb1","\u23cb2","\u23cb3","\u23cb4","\u23cb5","\u23cb6","\u23cb7","\u23cb8","\u23cb9","\u23cba","\u23cbb","\u23cbc","\u23cbd","\u23cbe","\u23cbf","\u23cc0","\u23cc1","\u23cc2","\u23cc3","\u23cc4","\u23cc5","\u23cc6","\u23cc7","\u23cc8","\u23cc9","\u23cca","\u23ccb","\u23ccc","\u23ccd","\u23cce","\u23ccf","\u23cd0","\u23cd1","\u23cd2","\u23cd3","\u23cd4","\u23cd5","\u23cd6","\u23cd7","\u23cd8","\u23cd9","\u23cda","\u23cdb","\u23cdc","\u23cdd","\u23cde","\u23cdf","\u23ce0","\u23ce1","\u23ce2","\u23ce3","\u23ce4","\u23ce5","\u23ce6","\u23ce7","\u23ce8","\u23ce9","\u23cea","\u23ceb","\u23cec","\u23ced","\u23cee","\u23cef","\u23cf0","\u23cf1","\u23cf2","\u23cf3","\u23cf4","\u23cf5","\u23cf6","\u23cf7","\u23cf8","\u23cf9","\u23cfa","\u23cfb","\u23cfc","\u23cfd","\u23cfe","\u23cff","\u23d00","\u23d01","\u23d02","\u23d03","\u23d04","\u23d05","\u23d06","\u23d07","\u23d08","\u23d09","\u23d0a","\u23d0b","\u23d0c","\u23d0d","\u23d0e","\u23d0f","\u23d10","\u23d11","\u23d12","\u23d13","\u23d14","\u23d15","\u23d16","\u23d17","\u23d18","\u23d19","\u23d1a","\u23d1b","\u23d1c","\u23d1d","\u23d1e","\u23d1f","\u23d20","\u23d21","\u23d22","\u23d23","\u23d24","\u23d25","\u23d26","\u23d27","\u23d28","\u23d29","\u23d2a","\u23d2b","\u23d2c","\u23d2d","\u23d2e","\u23d2f","\u23d30","\u23d31","\u23d32","\u23d33","\u23d34","\u23d35","\u23d36","\u23d37","\u23d38","\u23d39","\u23d3a","\u23d3b","\u23d3c","\u23d3d","\u23d3e","\u23d3f","\u23d40","\u23d41","\u23d42","\u23d43","\u23d44","\u23d45","\u23d46","\u23d47","\u23d48","\u23d49","\u23d4a","\u23d4b","\u23d4c","\u23d4d","\u23d4e","\u23d4f","\u23d50","\u23d51","\u23d52","\u23d53","\u23d54","\u23d55","\u23d56","\u23d57","\u23d58","\u23d59","\u23d5a","\u23d5b","\u23d5c","\u23d5d","\u23d5e","\u23d5f","\u23d60","\u23d61","\u23d62","\u23d63","\u23d64","\u23d65","\u23d66","\u23d67","\u23d68","\u23d69","\u23d6a","\u23d6b","\u23d6c","\u23d6d","\u23d6e","\u23d6f","\u23d70","\u23d71","\u23d72","\u23d73","\u23d74","\u23d75","\u23d76","\u23d77","\u23d78","\u23d79","\u23d7a","\u23d7b","\u23d7c","\u23d7d","\u23d7e","\u23d7f","\u23d80","\u23d81","\u23d82","\u23d83","\u23d84","\u23d85","\u23d86","\u23d87","\u23d88","\u23d89","\u23d8a","\u23d8b","\u23d8c","\u23d8d","\u23d8e","\u23d8f","\u23d90","\u23d91","\u23d92","\u23d93","\u23d94","\u23d95","\u23d96","\u23d97","\u23d98","\u23d99","\u23d9a","\u23d9b","\u23d9c","\u23d9d","\u23d9e","\u23d9f","\u23da0","\u23da1","\u23da2","\u23da3","\u23da4","\u23da5","\u23da6","\u23da7","\u23da8","\u23da9","\u23daa","\u23dab","\u23dac","\u23dad","\u23dae","\u23daf","\u23db0","\u23db1","\u23db2","\u23db3","\u23db4","\u23db5","\u23db6","\u23db7","\u23db8","\u23db9","\u23dba","\u23dbb","\u23dbc","\u23dbd","\u23dbe","\u23dbf","\u23dc0","\u23dc1","\u23dc2","\u23dc3","\u23dc4","\u23dc5","\u23dc6","\u23dc7","\u23dc8","\u23dc9","\u23dca","\u23dcb","\u23dcc","\u23dcd","\u23dce","\u23dcf","\u23dd0","\u23dd1","\u23dd2","\u23dd3","\u23dd4","\u23dd5","\u23dd6","\u23dd7","\u23dd8","\u23dd9","\u23dda","\u23ddb","\u23ddc","\u23ddd","\u23dde","\u23ddf","\u23de0","\u23de1","\u23de2","\u23de3","\u23de4","\u23de5","\u23de6","\u23de7","\u23de8","\u23de9","\u23dea","\u23deb","\u23dec","\u23ded","\u23dee","\u23def","\u23df0","\u23df1","\u23df2","\u23df3","\u23df4","\u23df5","\u23df6","\u23df7","\u23df8","\u23df9","\u23dfa","\u23dfb","\u23dfc","\u23dfd","\u23dfe","\u23dff","\u23e00","\u23e01","\u23e02","\u23e03","\u23e04","\u23e05","\u23e06","\u23e07","\u23e08","\u23e09","\u23e0a","\u23e0b","\u23e0c","\u23e0d","\u23e0e","\u23e0f","\u23e10","\u23e11","\u23e12","\u23e13","\u23e14","\u23e15","\u23e16","\u23e17","\u23e18","\u23e19","\u23e1a","\u23e1b","\u23e1c","\u23e1d","\u23e1e","\u23e1f","\u23e20","\u23e21","\u23e22","\u23e23","\u23e24","\u23e25","\u23e26","\u23e27","\u23e28","\u23e29","\u23e2a","\u23e2b","\u23e2c","\u23e2d","\u23e2e","\u23e2f","\u23e30","\u23e31","\u23e32","\u23e33","\u23e34","\u23e35","\u23e36","\u23e37","\u23e38","\u23e39","\u23e3a","\u23e3b","\u23e3c","\u23e3d","\u23e3e","\u23e3f","\u23e40","\u23e41","\u23e42","\u23e43","\u23e44","\u23e45","\u23e46","\u23e47","\u23e48","\u23e49","\u23e4a","\u23e4b","\u23e4c","\u23e4d","\u23e4e","\u23e4f","\u23e50","\u23e51","\u23e52","\u23e53","\u23e54","\u23e55","\u23e56","\u23e57","\u23e58","\u23e59","\u23e5a","\u23e5b","\u23e5c","\u23e5d","\u23e5e","\u23e5f","\u23e60","\u23e61","\u23e62","\u23e63","\u23e64","\u23e65","\u23e66","\u23e67","\u23e68","\u23e69","\u23e6a","\u23e6b","\u23e6c","\u23e6d","\u23e6e","\u23e6f","\u23e70","\u23e71","\u23e72","\u23e73","\u23e74","\u23e75","\u23e76","\u23e77","\u23e78","\u23e79","\u23e7a","\u23e7b","\u23e7c","\u23e7d","\u23e7e","\u23e7f","\u23e80","\u23e81","\u23e82","\u23e83","\u23e84","\u23e85","\u23e86","\u23e87","\u23e88","\u23e89","\u23e8a","\u23e8b","\u23e8c","\u23e8d","\u23e8e","\u23e8f","\u23e90","\u23e91","\u23e92","\u23e93","\u23e94","\u23e95","\u23e96","\u23e97","\u23e98","\u23e99","\u23e9a","\u23e9b","\u23e9c","\u23e9d","\u23e9e","\u23e9f","\u23ea0","\u23ea1","\u23ea2","\u23ea3","\u23ea4","\u23ea5","\u23ea6","\u23ea7","\u23ea8","\u23ea9","\u23eaa","\u23eab","\u23eac","\u23ead","\u23eae","\u23eaf","\u23eb0","\u23eb1","\u23eb2","\u23eb3","\u23eb4","\u23eb5","\u23eb6","\u23eb7","\u23eb8","\u23eb9","\u23eba","\u23ebb","\u23ebc","\u23ebd","\u23ebe","\u23ebf","\u23ec0","\u23ec1","\u23ec2","\u23ec3","\u23ec4","\u23ec5","\u23ec6","\u23ec7","\u23ec8","\u23ec9","\u23eca","\u23ecb","\u23ecc","\u23ecd","\u23ece","\u23ecf","\u23ed0","\u23ed1","\u23ed2","\u23ed3","\u23ed4","\u23ed5","\u23ed6","\u23ed7","\u23ed8","\u23ed9","\u23eda","\u23edb","\u23edc","\u23edd","\u23ede","\u23edf","\u23ee0","\u23ee1","\u23ee2","\u23ee3","\u23ee4","\u23ee5","\u23ee6","\u23ee7","\u23ee8","\u23ee9","\u23eea","\u23eeb","\u23eec","\u23eed","\u23eee","\u23eef","\u23ef0","\u23ef1","\u23ef2","\u23ef3","\u23ef4","\u23ef5","\u23ef6","\u23ef7","\u23ef8","\u23ef9","\u23efa","\u23efb","\u23efc","\u23efd","\u23efe","\u23eff","\u23f00","\u23f01","\u23f02","\u23f03","\u23f04","\u23f05","\u23f06","\u23f07","\u23f08","\u23f09","\u23f0a","\u23f0b","\u23f0c","\u23f0d","\u23f0e","\u23f0f","\u23f10","\u23f11","\u23f12","\u23f13","\u23f14","\u23f15","\u23f16","\u23f17","\u23f18","\u23f19","\u23f1a","\u23f1b","\u23f1c","\u23f1d","\u23f1e","\u23f1f","\u23f20","\u23f21","\u23f22","\u23f23","\u23f24","\u23f25","\u23f26","\u23f27","\u23f28","\u23f29","\u23f2a","\u23f2b","\u23f2c","\u23f2d","\u23f2e","\u23f2f","\u23f30","\u23f31","\u23f32","\u23f33","\u23f34","\u23f35","\u23f36","\u23f37","\u23f38","\u23f39","\u23f3a","\u23f3b","\u23f3c","\u23f3d","\u23f3e","\u23f3f","\u23f40","\u23f41","\u23f42","\u23f43","\u23f44","\u23f45","\u23f46","\u23f47","\u23f48","\u23f49","\u23f4a","\u23f4b","\u23f4c","\u23f4d","\u23f4e","\u23f4f","\u23f50","\u23f51","\u23f52","\u23f53","\u23f54","\u23f55","\u23f56","\u23f57","\u23f58","\u23f59","\u23f5a","\u23f5b","\u23f5c","\u23f5d","\u23f5e","\u23f5f","\u23f60","\u23f61","\u23f62","\u23f63","\u23f64","\u23f65","\u23f66","\u23f67","\u23f68","\u23f69","\u23f6a","\u23f6b","\u23f6c","\u23f6d","\u23f6e","\u23f6f","\u23f70","\u23f71","\u23f72","\u23f73","\u23f74","\u23f75","\u23f76","\u23f77","\u23f78","\u23f79","\u23f7a","\u23f7b","\u23f7c","\u23f7d","\u23f7e","\u23f7f","\u23f80","\u23f81","\u23f82","\u23f83","\u23f84","\u23f85","\u23f86","\u23f87","\u23f88","\u23f89","\u23f8a","\u23f8b","\u23f8c","\u23f8d","\u23f8e","\u23f8f","\u23f90","\u23f91","\u23f92","\u23f93","\u23f94","\u23f95","\u23f96","\u23f97","\u23f98","\u23f99","\u23f9a","\u23f9b","\u23f9c","\u23f9d","\u23f9e","\u23f9f","\u23fa0","\u23fa1","\u23fa2","\u23fa3","\u23fa4","\u23fa5","\u23fa6","\u23fa7","\u23fa8","\u23fa9","\u23faa","\u23fab","\u23fac","\u23fad","\u23fae","\u23faf","\u23fb0","\u23fb1","\u23fb2","\u23fb3","\u23fb4","\u23fb5","\u23fb6","\u23fb7","\u23fb8","\u23fb9","\u23fba","\u23fbb","\u23fbc","\u23fbd","\u23fbe","\u23fbf","\u23fc0","\u23fc1","\u23fc2","\u23fc3","\u23fc4","\u23fc5","\u23fc6","\u23fc7","\u23fc8","\u23fc9","\u23fca","\u23fcb","\u23fcc","\u23fcd","\u23fce","\u23fcf","\u23fd0","\u23fd1","\u23fd2","\u23fd3","\u23fd4","\u23fd5","\u23fd6","\u23fd7","\u23fd8","\u23fd9","\u23fda","\u23fdb","\u23fdc","\u23fdd","\u23fde","\u23fdf","\u23fe0","\u23fe1","\u23fe2","\u23fe3","\u23fe4","\u23fe5","\u23fe6","\u23fe7","\u23fe8","\u23fe9","\u23fea","\u23feb","\u23fec","\u23fed","\u23fee","\u23fef","\u23ff0","\u23ff1","\u23ff2","\u23ff3","\u23ff4","\u23ff5","\u23ff6","\u23ff7","\u23ff8","\u23ff9","\u23ffa","\u23ffb","\u23ffc","\u23ffd","\u23ffe","\u23fff","\u24000","\u24001","\u24002","\u24003","\u24004","\u24005","\u24006","\u24007","\u24008","\u24009","\u2400a","\u2400b","\u2400c","\u2400d","\u2400e","\u2400f","\u24010","\u24011","\u24012","\u24013","\u24014","\u24015","\u24016","\u24017","\u24018","\u24019","\u2401a","\u2401b","\u2401c","\u2401d","\u2401e","\u2401f","\u24020","\u24021","\u24022","\u24023","\u24024","\u24025","\u24026","\u24027","\u24028","\u24029","\u2402a","\u2402b","\u2402c","\u2402d","\u2402e","\u2402f","\u24030","\u24031","\u24032","\u24033","\u24034","\u24035","\u24036","\u24037","\u24038","\u24039","\u2403a","\u2403b","\u2403c","\u2403d","\u2403e","\u2403f","\u24040","\u24041","\u24042","\u24043","\u24044","\u24045","\u24046","\u24047","\u24048","\u24049","\u2404a","\u2404b","\u2404c","\u2404d","\u2404e","\u2404f","\u24050","\u24051","\u24052","\u24053","\u24054","\u24055","\u24056","\u24057","\u24058","\u24059","\u2405a","\u2405b","\u2405c","\u2405d","\u2405e","\u2405f","\u24060","\u24061","\u24062","\u24063","\u24064","\u24065","\u24066","\u24067","\u24068","\u24069","\u2406a","\u2406b","\u2406c","\u2406d","\u2406e","\u2406f","\u24070","\u24071","\u24072","\u24073","\u24074","\u24075","\u24076","\u24077","\u24078","\u24079","\u2407a","\u2407b","\u2407c","\u2407d","\u2407e","\u2407f","\u24080","\u24081","\u24082","\u24083","\u24084","\u24085","\u24086","\u24087","\u24088","\u24089","\u2408a","\u2408b","\u2408c","\u2408d","\u2408e","\u2408f","\u24090","\u24091","\u24092","\u24093","\u24094","\u24095","\u24096","\u24097","\u24098","\u24099","\u2409a","\u2409b","\u2409c","\u2409d","\u2409e","\u2409f","\u240a0","\u240a1","\u240a2","\u240a3","\u240a4","\u240a5","\u240a6","\u240a7","\u240a8","\u240a9","\u240aa","\u240ab","\u240ac","\u240ad","\u240ae","\u240af","\u240b0","\u240b1","\u240b2","\u240b3","\u240b4","\u240b5","\u240b6","\u240b7","\u240b8","\u240b9","\u240ba","\u240bb","\u240bc","\u240bd","\u240be","\u240bf","\u240c0","\u240c1","\u240c2","\u240c3","\u240c4","\u240c5","\u240c6","\u240c7","\u240c8","\u240c9","\u240ca","\u240cb","\u240cc","\u240cd","\u240ce","\u240cf","\u240d0","\u240d1","\u240d2","\u240d3","\u240d4","\u240d5","\u240d6","\u240d7","\u240d8","\u240d9","\u240da","\u240db","\u240dc","\u240dd","\u240de","\u240df","\u240e0","\u240e1","\u240e2","\u240e3","\u240e4","\u240e5","\u240e6","\u240e7","\u240e8","\u240e9","\u240ea","\u240eb","\u240ec","\u240ed","\u240ee","\u240ef","\u240f0","\u240f1","\u240f2","\u240f3","\u240f4","\u240f5","\u240f6","\u240f7","\u240f8","\u240f9","\u240fa","\u240fb","\u240fc","\u240fd","\u240fe","\u240ff","\u24100","\u24101","\u24102","\u24103","\u24104","\u24105","\u24106","\u24107","\u24108","\u24109","\u2410a","\u2410b","\u2410c","\u2410d","\u2410e","\u2410f","\u24110","\u24111","\u24112","\u24113","\u24114","\u24115","\u24116","\u24117","\u24118","\u24119","\u2411a","\u2411b","\u2411c","\u2411d","\u2411e","\u2411f","\u24120","\u24121","\u24122","\u24123","\u24124","\u24125","\u24126","\u24127","\u24128","\u24129","\u2412a","\u2412b","\u2412c","\u2412d","\u2412e","\u2412f","\u24130","\u24131","\u24132","\u24133","\u24134","\u24135","\u24136","\u24137","\u24138","\u24139","\u2413a","\u2413b","\u2413c","\u2413d","\u2413e","\u2413f","\u24140","\u24141","\u24142","\u24143","\u24144","\u24145","\u24146","\u24147","\u24148","\u24149","\u2414a","\u2414b","\u2414c","\u2414d","\u2414e","\u2414f","\u24150","\u24151","\u24152","\u24153","\u24154","\u24155","\u24156","\u24157","\u24158","\u24159","\u2415a","\u2415b","\u2415c","\u2415d","\u2415e","\u2415f","\u24160","\u24161","\u24162","\u24163","\u24164","\u24165","\u24166","\u24167","\u24168","\u24169","\u2416a","\u2416b","\u2416c","\u2416d","\u2416e","\u2416f","\u24170","\u24171","\u24172","\u24173","\u24174","\u24175","\u24176","\u24177","\u24178","\u24179","\u2417a","\u2417b","\u2417c","\u2417d","\u2417e","\u2417f","\u24180","\u24181","\u24182","\u24183","\u24184","\u24185","\u24186","\u24187","\u24188","\u24189","\u2418a","\u2418b","\u2418c","\u2418d","\u2418e","\u2418f","\u24190","\u24191","\u24192","\u24193","\u24194","\u24195","\u24196","\u24197","\u24198","\u24199","\u2419a","\u2419b","\u2419c","\u2419d","\u2419e","\u2419f","\u241a0","\u241a1","\u241a2","\u241a3","\u241a4","\u241a5","\u241a6","\u241a7","\u241a8","\u241a9","\u241aa","\u241ab","\u241ac","\u241ad","\u241ae","\u241af","\u241b0","\u241b1","\u241b2","\u241b3","\u241b4","\u241b5","\u241b6","\u241b7","\u241b8","\u241b9","\u241ba","\u241bb","\u241bc","\u241bd","\u241be","\u241bf","\u241c0","\u241c1","\u241c2","\u241c3","\u241c4","\u241c5","\u241c6","\u241c7","\u241c8","\u241c9","\u241ca","\u241cb","\u241cc","\u241cd","\u241ce","\u241cf","\u241d0","\u241d1","\u241d2","\u241d3","\u241d4","\u241d5","\u241d6","\u241d7","\u241d8","\u241d9","\u241da","\u241db","\u241dc","\u241dd","\u241de","\u241df","\u241e0","\u241e1","\u241e2","\u241e3","\u241e4","\u241e5","\u241e6","\u241e7","\u241e8","\u241e9","\u241ea","\u241eb","\u241ec","\u241ed","\u241ee","\u241ef","\u241f0","\u241f1","\u241f2","\u241f3","\u241f4","\u241f5","\u241f6","\u241f7","\u241f8","\u241f9","\u241fa","\u241fb","\u241fc","\u241fd","\u241fe","\u241ff","\u24200","\u24201","\u24202","\u24203","\u24204","\u24205","\u24206","\u24207","\u24208","\u24209","\u2420a","\u2420b","\u2420c","\u2420d","\u2420e","\u2420f","\u24210","\u24211","\u24212","\u24213","\u24214","\u24215","\u24216","\u24217","\u24218","\u24219","\u2421a","\u2421b","\u2421c","\u2421d","\u2421e","\u2421f","\u24220","\u24221","\u24222","\u24223","\u24224","\u24225","\u24226","\u24227","\u24228","\u24229","\u2422a","\u2422b","\u2422c","\u2422d","\u2422e","\u2422f","\u24230","\u24231","\u24232","\u24233","\u24234","\u24235","\u24236","\u24237","\u24238","\u24239","\u2423a","\u2423b","\u2423c","\u2423d","\u2423e","\u2423f","\u24240","\u24241","\u24242","\u24243","\u24244","\u24245","\u24246","\u24247","\u24248","\u24249","\u2424a","\u2424b","\u2424c","\u2424d","\u2424e","\u2424f","\u24250","\u24251","\u24252","\u24253","\u24254","\u24255","\u24256","\u24257","\u24258","\u24259","\u2425a","\u2425b","\u2425c","\u2425d","\u2425e","\u2425f","\u24260","\u24261","\u24262","\u24263","\u24264","\u24265","\u24266","\u24267","\u24268","\u24269","\u2426a","\u2426b","\u2426c","\u2426d","\u2426e","\u2426f","\u24270","\u24271","\u24272","\u24273","\u24274","\u24275","\u24276","\u24277","\u24278","\u24279","\u2427a","\u2427b","\u2427c","\u2427d","\u2427e","\u2427f","\u24280","\u24281","\u24282","\u24283","\u24284","\u24285","\u24286","\u24287","\u24288","\u24289","\u2428a","\u2428b","\u2428c","\u2428d","\u2428e","\u2428f","\u24290","\u24291","\u24292","\u24293","\u24294","\u24295","\u24296","\u24297","\u24298","\u24299","\u2429a","\u2429b","\u2429c","\u2429d","\u2429e","\u2429f","\u242a0","\u242a1","\u242a2","\u242a3","\u242a4","\u242a5","\u242a6","\u242a7","\u242a8","\u242a9","\u242aa","\u242ab","\u242ac","\u242ad","\u242ae","\u242af","\u242b0","\u242b1","\u242b2","\u242b3","\u242b4","\u242b5","\u242b6","\u242b7","\u242b8","\u242b9","\u242ba","\u242bb","\u242bc","\u242bd","\u242be","\u242bf","\u242c0","\u242c1","\u242c2","\u242c3","\u242c4","\u242c5","\u242c6","\u242c7","\u242c8","\u242c9","\u242ca","\u242cb","\u242cc","\u242cd","\u242ce","\u242cf","\u242d0","\u242d1","\u242d2","\u242d3","\u242d4","\u242d5","\u242d6","\u242d7","\u242d8","\u242d9","\u242da","\u242db","\u242dc","\u242dd","\u242de","\u242df","\u242e0","\u242e1","\u242e2","\u242e3","\u242e4","\u242e5","\u242e6","\u242e7","\u242e8","\u242e9","\u242ea","\u242eb","\u242ec","\u242ed","\u242ee","\u242ef","\u242f0","\u242f1","\u242f2","\u242f3","\u242f4","\u242f5","\u242f6","\u242f7","\u242f8","\u242f9","\u242fa","\u242fb","\u242fc","\u242fd","\u242fe","\u242ff","\u24300","\u24301","\u24302","\u24303","\u24304","\u24305","\u24306","\u24307","\u24308","\u24309","\u2430a","\u2430b","\u2430c","\u2430d","\u2430e","\u2430f","\u24310","\u24311","\u24312","\u24313","\u24314","\u24315","\u24316","\u24317","\u24318","\u24319","\u2431a","\u2431b","\u2431c","\u2431d","\u2431e","\u2431f","\u24320","\u24321","\u24322","\u24323","\u24324","\u24325","\u24326","\u24327","\u24328","\u24329","\u2432a","\u2432b","\u2432c","\u2432d","\u2432e","\u2432f","\u24330","\u24331","\u24332","\u24333","\u24334","\u24335","\u24336","\u24337","\u24338","\u24339","\u2433a","\u2433b","\u2433c","\u2433d","\u2433e","\u2433f","\u24340","\u24341","\u24342","\u24343","\u24344","\u24345","\u24346","\u24347","\u24348","\u24349","\u2434a","\u2434b","\u2434c","\u2434d","\u2434e","\u2434f","\u24350","\u24351","\u24352","\u24353","\u24354","\u24355","\u24356","\u24357","\u24358","\u24359","\u2435a","\u2435b","\u2435c","\u2435d","\u2435e","\u2435f","\u24360","\u24361","\u24362","\u24363","\u24364","\u24365","\u24366","\u24367","\u24368","\u24369","\u2436a","\u2436b","\u2436c","\u2436d","\u2436e","\u2436f","\u24370","\u24371","\u24372","\u24373","\u24374","\u24375","\u24376","\u24377","\u24378","\u24379","\u2437a","\u2437b","\u2437c","\u2437d","\u2437e","\u2437f","\u24380","\u24381","\u24382","\u24383","\u24384","\u24385","\u24386","\u24387","\u24388","\u24389","\u2438a","\u2438b","\u2438c","\u2438d","\u2438e","\u2438f","\u24390","\u24391","\u24392","\u24393","\u24394","\u24395","\u24396","\u24397","\u24398","\u24399","\u2439a","\u2439b","\u2439c","\u2439d","\u2439e","\u2439f","\u243a0","\u243a1","\u243a2","\u243a3","\u243a4","\u243a5","\u243a6","\u243a7","\u243a8","\u243a9","\u243aa","\u243ab","\u243ac","\u243ad","\u243ae","\u243af","\u243b0","\u243b1","\u243b2","\u243b3","\u243b4","\u243b5","\u243b6","\u243b7","\u243b8","\u243b9","\u243ba","\u243bb","\u243bc","\u243bd","\u243be","\u243bf","\u243c0","\u243c1","\u243c2","\u243c3","\u243c4","\u243c5","\u243c6","\u243c7","\u243c8","\u243c9","\u243ca","\u243cb","\u243cc","\u243cd","\u243ce","\u243cf","\u243d0","\u243d1","\u243d2","\u243d3","\u243d4","\u243d5","\u243d6","\u243d7","\u243d8","\u243d9","\u243da","\u243db","\u243dc","\u243dd","\u243de","\u243df","\u243e0","\u243e1","\u243e2","\u243e3","\u243e4","\u243e5","\u243e6","\u243e7","\u243e8","\u243e9","\u243ea","\u243eb","\u243ec","\u243ed","\u243ee","\u243ef","\u243f0","\u243f1","\u243f2","\u243f3","\u243f4","\u243f5","\u243f6","\u243f7","\u243f8","\u243f9","\u243fa","\u243fb","\u243fc","\u243fd","\u243fe","\u243ff","\u24400","\u24401","\u24402","\u24403","\u24404","\u24405","\u24406","\u24407","\u24408","\u24409","\u2440a","\u2440b","\u2440c","\u2440d","\u2440e","\u2440f","\u24410","\u24411","\u24412","\u24413","\u24414","\u24415","\u24416","\u24417","\u24418","\u24419","\u2441a","\u2441b","\u2441c","\u2441d","\u2441e","\u2441f","\u24420","\u24421","\u24422","\u24423","\u24424","\u24425","\u24426","\u24427","\u24428","\u24429","\u2442a","\u2442b","\u2442c","\u2442d","\u2442e","\u2442f","\u24430","\u24431","\u24432","\u24433","\u24434","\u24435","\u24436","\u24437","\u24438","\u24439","\u2443a","\u2443b","\u2443c","\u2443d","\u2443e","\u2443f","\u24440","\u24441","\u24442","\u24443","\u24444","\u24445","\u24446","\u24447","\u24448","\u24449","\u2444a","\u2444b","\u2444c","\u2444d","\u2444e","\u2444f","\u24450","\u24451","\u24452","\u24453","\u24454","\u24455","\u24456","\u24457","\u24458","\u24459","\u2445a","\u2445b","\u2445c","\u2445d","\u2445e","\u2445f","\u24460","\u24461","\u24462","\u24463","\u24464","\u24465","\u24466","\u24467","\u24468","\u24469","\u2446a","\u2446b","\u2446c","\u2446d","\u2446e","\u2446f","\u24470","\u24471","\u24472","\u24473","\u24474","\u24475","\u24476","\u24477","\u24478","\u24479","\u2447a","\u2447b","\u2447c","\u2447d","\u2447e","\u2447f","\u24480","\u24481","\u24482","\u24483","\u24484","\u24485","\u24486","\u24487","\u24488","\u24489","\u2448a","\u2448b","\u2448c","\u2448d","\u2448e","\u2448f","\u24490","\u24491","\u24492","\u24493","\u24494","\u24495","\u24496","\u24497","\u24498","\u24499","\u2449a","\u2449b","\u2449c","\u2449d","\u2449e","\u2449f","\u244a0","\u244a1","\u244a2","\u244a3","\u244a4","\u244a5","\u244a6","\u244a7","\u244a8","\u244a9","\u244aa","\u244ab","\u244ac","\u244ad","\u244ae","\u244af","\u244b0","\u244b1","\u244b2","\u244b3","\u244b4","\u244b5","\u244b6","\u244b7","\u244b8","\u244b9","\u244ba","\u244bb","\u244bc","\u244bd","\u244be","\u244bf","\u244c0","\u244c1","\u244c2","\u244c3","\u244c4","\u244c5","\u244c6","\u244c7","\u244c8","\u244c9","\u244ca","\u244cb","\u244cc","\u244cd","\u244ce","\u244cf","\u244d0","\u244d1","\u244d2","\u244d3","\u244d4","\u244d5","\u244d6","\u244d7","\u244d8","\u244d9","\u244da","\u244db","\u244dc","\u244dd","\u244de","\u244df","\u244e0","\u244e1","\u244e2","\u244e3","\u244e4","\u244e5","\u244e6","\u244e7","\u244e8","\u244e9","\u244ea","\u244eb","\u244ec","\u244ed","\u244ee","\u244ef","\u244f0","\u244f1","\u244f2","\u244f3","\u244f4","\u244f5","\u244f6","\u244f7","\u244f8","\u244f9","\u244fa","\u244fb","\u244fc","\u244fd","\u244fe","\u244ff","\u24500","\u24501","\u24502","\u24503","\u24504","\u24505","\u24506","\u24507","\u24508","\u24509","\u2450a","\u2450b","\u2450c","\u2450d","\u2450e","\u2450f","\u24510","\u24511","\u24512","\u24513","\u24514","\u24515","\u24516","\u24517","\u24518","\u24519","\u2451a","\u2451b","\u2451c","\u2451d","\u2451e","\u2451f","\u24520","\u24521","\u24522","\u24523","\u24524","\u24525","\u24526","\u24527","\u24528","\u24529","\u2452a","\u2452b","\u2452c","\u2452d","\u2452e","\u2452f","\u24530","\u24531","\u24532","\u24533","\u24534","\u24535","\u24536","\u24537","\u24538","\u24539","\u2453a","\u2453b","\u2453c","\u2453d","\u2453e","\u2453f","\u24540","\u24541","\u24542","\u24543","\u24544","\u24545","\u24546","\u24547","\u24548","\u24549","\u2454a","\u2454b","\u2454c","\u2454d","\u2454e","\u2454f","\u24550","\u24551","\u24552","\u24553","\u24554","\u24555","\u24556","\u24557","\u24558","\u24559","\u2455a","\u2455b","\u2455c","\u2455d","\u2455e","\u2455f","\u24560","\u24561","\u24562","\u24563","\u24564","\u24565","\u24566","\u24567","\u24568","\u24569","\u2456a","\u2456b","\u2456c","\u2456d","\u2456e","\u2456f","\u24570","\u24571","\u24572","\u24573","\u24574","\u24575","\u24576","\u24577","\u24578","\u24579","\u2457a","\u2457b","\u2457c","\u2457d","\u2457e","\u2457f","\u24580","\u24581","\u24582","\u24583","\u24584","\u24585","\u24586","\u24587","\u24588","\u24589","\u2458a","\u2458b","\u2458c","\u2458d","\u2458e","\u2458f","\u24590","\u24591","\u24592","\u24593","\u24594","\u24595","\u24596","\u24597","\u24598","\u24599","\u2459a","\u2459b","\u2459c","\u2459d","\u2459e","\u2459f","\u245a0","\u245a1","\u245a2","\u245a3","\u245a4","\u245a5","\u245a6","\u245a7","\u245a8","\u245a9","\u245aa","\u245ab","\u245ac","\u245ad","\u245ae","\u245af","\u245b0","\u245b1","\u245b2","\u245b3","\u245b4","\u245b5","\u245b6","\u245b7","\u245b8","\u245b9","\u245ba","\u245bb","\u245bc","\u245bd","\u245be","\u245bf","\u245c0","\u245c1","\u245c2","\u245c3","\u245c4","\u245c5","\u245c6","\u245c7","\u245c8","\u245c9","\u245ca","\u245cb","\u245cc","\u245cd","\u245ce","\u245cf","\u245d0","\u245d1","\u245d2","\u245d3","\u245d4","\u245d5","\u245d6","\u245d7","\u245d8","\u245d9","\u245da","\u245db","\u245dc","\u245dd","\u245de","\u245df","\u245e0","\u245e1","\u245e2","\u245e3","\u245e4","\u245e5","\u245e6","\u245e7","\u245e8","\u245e9","\u245ea","\u245eb","\u245ec","\u245ed","\u245ee","\u245ef","\u245f0","\u245f1","\u245f2","\u245f3","\u245f4","\u245f5","\u245f6","\u245f7","\u245f8","\u245f9","\u245fa","\u245fb","\u245fc","\u245fd","\u245fe","\u245ff","\u24600","\u24601","\u24602","\u24603","\u24604","\u24605","\u24606","\u24607","\u24608","\u24609","\u2460a","\u2460b","\u2460c","\u2460d","\u2460e","\u2460f","\u24610","\u24611","\u24612","\u24613","\u24614","\u24615","\u24616","\u24617","\u24618","\u24619","\u2461a","\u2461b","\u2461c","\u2461d","\u2461e","\u2461f","\u24620","\u24621","\u24622","\u24623","\u24624","\u24625","\u24626","\u24627","\u24628","\u24629","\u2462a","\u2462b","\u2462c","\u2462d","\u2462e","\u2462f","\u24630","\u24631","\u24632","\u24633","\u24634","\u24635","\u24636","\u24637","\u24638","\u24639","\u2463a","\u2463b","\u2463c","\u2463d","\u2463e","\u2463f","\u24640","\u24641","\u24642","\u24643","\u24644","\u24645","\u24646","\u24647","\u24648","\u24649","\u2464a","\u2464b","\u2464c","\u2464d","\u2464e","\u2464f","\u24650","\u24651","\u24652","\u24653","\u24654","\u24655","\u24656","\u24657","\u24658","\u24659","\u2465a","\u2465b","\u2465c","\u2465d","\u2465e","\u2465f","\u24660","\u24661","\u24662","\u24663","\u24664","\u24665","\u24666","\u24667","\u24668","\u24669","\u2466a","\u2466b","\u2466c","\u2466d","\u2466e","\u2466f","\u24670","\u24671","\u24672","\u24673","\u24674","\u24675","\u24676","\u24677","\u24678","\u24679","\u2467a","\u2467b","\u2467c","\u2467d","\u2467e","\u2467f","\u24680","\u24681","\u24682","\u24683","\u24684","\u24685","\u24686","\u24687","\u24688","\u24689","\u2468a","\u2468b","\u2468c","\u2468d","\u2468e","\u2468f","\u24690","\u24691","\u24692","\u24693","\u24694","\u24695","\u24696","\u24697","\u24698","\u24699","\u2469a","\u2469b","\u2469c","\u2469d","\u2469e","\u2469f","\u246a0","\u246a1","\u246a2","\u246a3","\u246a4","\u246a5","\u246a6","\u246a7","\u246a8","\u246a9","\u246aa","\u246ab","\u246ac","\u246ad","\u246ae","\u246af","\u246b0","\u246b1","\u246b2","\u246b3","\u246b4","\u246b5","\u246b6","\u246b7","\u246b8","\u246b9","\u246ba","\u246bb","\u246bc","\u246bd","\u246be","\u246bf","\u246c0","\u246c1","\u246c2","\u246c3","\u246c4","\u246c5","\u246c6","\u246c7","\u246c8","\u246c9","\u246ca","\u246cb","\u246cc","\u246cd","\u246ce","\u246cf","\u246d0","\u246d1","\u246d2","\u246d3","\u246d4","\u246d5","\u246d6","\u246d7","\u246d8","\u246d9","\u246da","\u246db","\u246dc","\u246dd","\u246de","\u246df","\u246e0","\u246e1","\u246e2","\u246e3","\u246e4","\u246e5","\u246e6","\u246e7","\u246e8","\u246e9","\u246ea","\u246eb","\u246ec","\u246ed","\u246ee","\u246ef","\u246f0","\u246f1","\u246f2","\u246f3","\u246f4","\u246f5","\u246f6","\u246f7","\u246f8","\u246f9","\u246fa","\u246fb","\u246fc","\u246fd","\u246fe","\u246ff","\u24700","\u24701","\u24702","\u24703","\u24704","\u24705","\u24706","\u24707","\u24708","\u24709","\u2470a","\u2470b","\u2470c","\u2470d","\u2470e","\u2470f","\u24710","\u24711","\u24712","\u24713","\u24714","\u24715","\u24716","\u24717","\u24718","\u24719","\u2471a","\u2471b","\u2471c","\u2471d","\u2471e","\u2471f","\u24720","\u24721","\u24722","\u24723","\u24724","\u24725","\u24726","\u24727","\u24728","\u24729","\u2472a","\u2472b","\u2472c","\u2472d","\u2472e","\u2472f","\u24730","\u24731","\u24732","\u24733","\u24734","\u24735","\u24736","\u24737","\u24738","\u24739","\u2473a","\u2473b","\u2473c","\u2473d","\u2473e","\u2473f","\u24740","\u24741","\u24742","\u24743","\u24744","\u24745","\u24746","\u24747","\u24748","\u24749","\u2474a","\u2474b","\u2474c","\u2474d","\u2474e","\u2474f","\u24750","\u24751","\u24752","\u24753","\u24754","\u24755","\u24756","\u24757","\u24758","\u24759","\u2475a","\u2475b","\u2475c","\u2475d","\u2475e","\u2475f","\u24760","\u24761","\u24762","\u24763","\u24764","\u24765","\u24766","\u24767","\u24768","\u24769","\u2476a","\u2476b","\u2476c","\u2476d","\u2476e","\u2476f","\u24770","\u24771","\u24772","\u24773","\u24774","\u24775","\u24776","\u24777","\u24778","\u24779","\u2477a","\u2477b","\u2477c","\u2477d","\u2477e","\u2477f","\u24780","\u24781","\u24782","\u24783","\u24784","\u24785","\u24786","\u24787","\u24788","\u24789","\u2478a","\u2478b","\u2478c","\u2478d","\u2478e","\u2478f","\u24790","\u24791","\u24792","\u24793","\u24794","\u24795","\u24796","\u24797","\u24798","\u24799","\u2479a","\u2479b","\u2479c","\u2479d","\u2479e","\u2479f","\u247a0","\u247a1","\u247a2","\u247a3","\u247a4","\u247a5","\u247a6","\u247a7","\u247a8","\u247a9","\u247aa","\u247ab","\u247ac","\u247ad","\u247ae","\u247af","\u247b0","\u247b1","\u247b2","\u247b3","\u247b4","\u247b5","\u247b6","\u247b7","\u247b8","\u247b9","\u247ba","\u247bb","\u247bc","\u247bd","\u247be","\u247bf","\u247c0","\u247c1","\u247c2","\u247c3","\u247c4","\u247c5","\u247c6","\u247c7","\u247c8","\u247c9","\u247ca","\u247cb","\u247cc","\u247cd","\u247ce","\u247cf","\u247d0","\u247d1","\u247d2","\u247d3","\u247d4","\u247d5","\u247d6","\u247d7","\u247d8","\u247d9","\u247da","\u247db","\u247dc","\u247dd","\u247de","\u247df","\u247e0","\u247e1","\u247e2","\u247e3","\u247e4","\u247e5","\u247e6","\u247e7","\u247e8","\u247e9","\u247ea","\u247eb","\u247ec","\u247ed","\u247ee","\u247ef","\u247f0","\u247f1","\u247f2","\u247f3","\u247f4","\u247f5","\u247f6","\u247f7","\u247f8","\u247f9","\u247fa","\u247fb","\u247fc","\u247fd","\u247fe","\u247ff","\u24800","\u24801","\u24802","\u24803","\u24804","\u24805","\u24806","\u24807","\u24808","\u24809","\u2480a","\u2480b","\u2480c","\u2480d","\u2480e","\u2480f","\u24810","\u24811","\u24812","\u24813","\u24814","\u24815","\u24816","\u24817","\u24818","\u24819","\u2481a","\u2481b","\u2481c","\u2481d","\u2481e","\u2481f","\u24820","\u24821","\u24822","\u24823","\u24824","\u24825","\u24826","\u24827","\u24828","\u24829","\u2482a","\u2482b","\u2482c","\u2482d","\u2482e","\u2482f","\u24830","\u24831","\u24832","\u24833","\u24834","\u24835","\u24836","\u24837","\u24838","\u24839","\u2483a","\u2483b","\u2483c","\u2483d","\u2483e","\u2483f","\u24840","\u24841","\u24842","\u24843","\u24844","\u24845","\u24846","\u24847","\u24848","\u24849","\u2484a","\u2484b","\u2484c","\u2484d","\u2484e","\u2484f","\u24850","\u24851","\u24852","\u24853","\u24854","\u24855","\u24856","\u24857","\u24858","\u24859","\u2485a","\u2485b","\u2485c","\u2485d","\u2485e","\u2485f","\u24860","\u24861","\u24862","\u24863","\u24864","\u24865","\u24866","\u24867","\u24868","\u24869","\u2486a","\u2486b","\u2486c","\u2486d","\u2486e","\u2486f","\u24870","\u24871","\u24872","\u24873","\u24874","\u24875","\u24876","\u24877","\u24878","\u24879","\u2487a","\u2487b","\u2487c","\u2487d","\u2487e","\u2487f","\u24880","\u24881","\u24882","\u24883","\u24884","\u24885","\u24886","\u24887","\u24888","\u24889","\u2488a","\u2488b","\u2488c","\u2488d","\u2488e","\u2488f","\u24890","\u24891","\u24892","\u24893","\u24894","\u24895","\u24896","\u24897","\u24898","\u24899","\u2489a","\u2489b","\u2489c","\u2489d","\u2489e","\u2489f","\u248a0","\u248a1","\u248a2","\u248a3","\u248a4","\u248a5","\u248a6","\u248a7","\u248a8","\u248a9","\u248aa","\u248ab","\u248ac","\u248ad","\u248ae","\u248af","\u248b0","\u248b1","\u248b2","\u248b3","\u248b4","\u248b5","\u248b6","\u248b7","\u248b8","\u248b9","\u248ba","\u248bb","\u248bc","\u248bd","\u248be","\u248bf","\u248c0","\u248c1","\u248c2","\u248c3","\u248c4","\u248c5","\u248c6","\u248c7","\u248c8","\u248c9","\u248ca","\u248cb","\u248cc","\u248cd","\u248ce","\u248cf","\u248d0","\u248d1","\u248d2","\u248d3","\u248d4","\u248d5","\u248d6","\u248d7","\u248d8","\u248d9","\u248da","\u248db","\u248dc","\u248dd","\u248de","\u248df","\u248e0","\u248e1","\u248e2","\u248e3","\u248e4","\u248e5","\u248e6","\u248e7","\u248e8","\u248e9","\u248ea","\u248eb","\u248ec","\u248ed","\u248ee","\u248ef","\u248f0","\u248f1","\u248f2","\u248f3","\u248f4","\u248f5","\u248f6","\u248f7","\u248f8","\u248f9","\u248fa","\u248fb","\u248fc","\u248fd","\u248fe","\u248ff","\u24900","\u24901","\u24902","\u24903","\u24904","\u24905","\u24906","\u24907","\u24908","\u24909","\u2490a","\u2490b","\u2490c","\u2490d","\u2490e","\u2490f","\u24910","\u24911","\u24912","\u24913","\u24914","\u24915","\u24916","\u24917","\u24918","\u24919","\u2491a","\u2491b","\u2491c","\u2491d","\u2491e","\u2491f","\u24920","\u24921","\u24922","\u24923","\u24924","\u24925","\u24926","\u24927","\u24928","\u24929","\u2492a","\u2492b","\u2492c","\u2492d","\u2492e","\u2492f","\u24930","\u24931","\u24932","\u24933","\u24934","\u24935","\u24936","\u24937","\u24938","\u24939","\u2493a","\u2493b","\u2493c","\u2493d","\u2493e","\u2493f","\u24940","\u24941","\u24942","\u24943","\u24944","\u24945","\u24946","\u24947","\u24948","\u24949","\u2494a","\u2494b","\u2494c","\u2494d","\u2494e","\u2494f","\u24950","\u24951","\u24952","\u24953","\u24954","\u24955","\u24956","\u24957","\u24958","\u24959","\u2495a","\u2495b","\u2495c","\u2495d","\u2495e","\u2495f","\u24960","\u24961","\u24962","\u24963","\u24964","\u24965","\u24966","\u24967","\u24968","\u24969","\u2496a","\u2496b","\u2496c","\u2496d","\u2496e","\u2496f","\u24970","\u24971","\u24972","\u24973","\u24974","\u24975","\u24976","\u24977","\u24978","\u24979","\u2497a","\u2497b","\u2497c","\u2497d","\u2497e","\u2497f","\u24980","\u24981","\u24982","\u24983","\u24984","\u24985","\u24986","\u24987","\u24988","\u24989","\u2498a","\u2498b","\u2498c","\u2498d","\u2498e","\u2498f","\u24990","\u24991","\u24992","\u24993","\u24994","\u24995","\u24996","\u24997","\u24998","\u24999","\u2499a","\u2499b","\u2499c","\u2499d","\u2499e","\u2499f","\u249a0","\u249a1","\u249a2","\u249a3","\u249a4","\u249a5","\u249a6","\u249a7","\u249a8","\u249a9","\u249aa","\u249ab","\u249ac","\u249ad","\u249ae","\u249af","\u249b0","\u249b1","\u249b2","\u249b3","\u249b4","\u249b5","\u249b6","\u249b7","\u249b8","\u249b9","\u249ba","\u249bb","\u249bc","\u249bd","\u249be","\u249bf","\u249c0","\u249c1","\u249c2","\u249c3","\u249c4","\u249c5","\u249c6","\u249c7","\u249c8","\u249c9","\u249ca","\u249cb","\u249cc","\u249cd","\u249ce","\u249cf","\u249d0","\u249d1","\u249d2","\u249d3","\u249d4","\u249d5","\u249d6","\u249d7","\u249d8","\u249d9","\u249da","\u249db","\u249dc","\u249dd","\u249de","\u249df","\u249e0","\u249e1","\u249e2","\u249e3","\u249e4","\u249e5","\u249e6","\u249e7","\u249e8","\u249e9","\u249ea","\u249eb","\u249ec","\u249ed","\u249ee","\u249ef","\u249f0","\u249f1","\u249f2","\u249f3","\u249f4","\u249f5","\u249f6","\u249f7","\u249f8","\u249f9","\u249fa","\u249fb","\u249fc","\u249fd","\u249fe","\u249ff","\u24a00","\u24a01","\u24a02","\u24a03","\u24a04","\u24a05","\u24a06","\u24a07","\u24a08","\u24a09","\u24a0a","\u24a0b","\u24a0c","\u24a0d","\u24a0e","\u24a0f","\u24a10","\u24a11","\u24a12","\u24a13","\u24a14","\u24a15","\u24a16","\u24a17","\u24a18","\u24a19","\u24a1a","\u24a1b","\u24a1c","\u24a1d","\u24a1e","\u24a1f","\u24a20","\u24a21","\u24a22","\u24a23","\u24a24","\u24a25","\u24a26","\u24a27","\u24a28","\u24a29","\u24a2a","\u24a2b","\u24a2c","\u24a2d","\u24a2e","\u24a2f","\u24a30","\u24a31","\u24a32","\u24a33","\u24a34","\u24a35","\u24a36","\u24a37","\u24a38","\u24a39","\u24a3a","\u24a3b","\u24a3c","\u24a3d","\u24a3e","\u24a3f","\u24a40","\u24a41","\u24a42","\u24a43","\u24a44","\u24a45","\u24a46","\u24a47","\u24a48","\u24a49","\u24a4a","\u24a4b","\u24a4c","\u24a4d","\u24a4e","\u24a4f","\u24a50","\u24a51","\u24a52","\u24a53","\u24a54","\u24a55","\u24a56","\u24a57","\u24a58","\u24a59","\u24a5a","\u24a5b","\u24a5c","\u24a5d","\u24a5e","\u24a5f","\u24a60","\u24a61","\u24a62","\u24a63","\u24a64","\u24a65","\u24a66","\u24a67","\u24a68","\u24a69","\u24a6a","\u24a6b","\u24a6c","\u24a6d","\u24a6e","\u24a6f","\u24a70","\u24a71","\u24a72","\u24a73","\u24a74","\u24a75","\u24a76","\u24a77","\u24a78","\u24a79","\u24a7a","\u24a7b","\u24a7c","\u24a7d","\u24a7e","\u24a7f","\u24a80","\u24a81","\u24a82","\u24a83","\u24a84","\u24a85","\u24a86","\u24a87","\u24a88","\u24a89","\u24a8a","\u24a8b","\u24a8c","\u24a8d","\u24a8e","\u24a8f","\u24a90","\u24a91","\u24a92","\u24a93","\u24a94","\u24a95","\u24a96","\u24a97","\u24a98","\u24a99","\u24a9a","\u24a9b","\u24a9c","\u24a9d","\u24a9e","\u24a9f","\u24aa0","\u24aa1","\u24aa2","\u24aa3","\u24aa4","\u24aa5","\u24aa6","\u24aa7","\u24aa8","\u24aa9","\u24aaa","\u24aab","\u24aac","\u24aad","\u24aae","\u24aaf","\u24ab0","\u24ab1","\u24ab2","\u24ab3","\u24ab4","\u24ab5","\u24ab6","\u24ab7","\u24ab8","\u24ab9","\u24aba","\u24abb","\u24abc","\u24abd","\u24abe","\u24abf","\u24ac0","\u24ac1","\u24ac2","\u24ac3","\u24ac4","\u24ac5","\u24ac6","\u24ac7","\u24ac8","\u24ac9","\u24aca","\u24acb","\u24acc","\u24acd","\u24ace","\u24acf","\u24ad0","\u24ad1","\u24ad2","\u24ad3","\u24ad4","\u24ad5","\u24ad6","\u24ad7","\u24ad8","\u24ad9","\u24ada","\u24adb","\u24adc","\u24add","\u24ade","\u24adf","\u24ae0","\u24ae1","\u24ae2","\u24ae3","\u24ae4","\u24ae5","\u24ae6","\u24ae7","\u24ae8","\u24ae9","\u24aea","\u24aeb","\u24aec","\u24aed","\u24aee","\u24aef","\u24af0","\u24af1","\u24af2","\u24af3","\u24af4","\u24af5","\u24af6","\u24af7","\u24af8","\u24af9","\u24afa","\u24afb","\u24afc","\u24afd","\u24afe","\u24aff","\u24b00","\u24b01","\u24b02","\u24b03","\u24b04","\u24b05","\u24b06","\u24b07","\u24b08","\u24b09","\u24b0a","\u24b0b","\u24b0c","\u24b0d","\u24b0e","\u24b0f","\u24b10","\u24b11","\u24b12","\u24b13","\u24b14","\u24b15","\u24b16","\u24b17","\u24b18","\u24b19","\u24b1a","\u24b1b","\u24b1c","\u24b1d","\u24b1e","\u24b1f","\u24b20","\u24b21","\u24b22","\u24b23","\u24b24","\u24b25","\u24b26","\u24b27","\u24b28","\u24b29","\u24b2a","\u24b2b","\u24b2c","\u24b2d","\u24b2e","\u24b2f","\u24b30","\u24b31","\u24b32","\u24b33","\u24b34","\u24b35","\u24b36","\u24b37","\u24b38","\u24b39","\u24b3a","\u24b3b","\u24b3c","\u24b3d","\u24b3e","\u24b3f","\u24b40","\u24b41","\u24b42","\u24b43","\u24b44","\u24b45","\u24b46","\u24b47","\u24b48","\u24b49","\u24b4a","\u24b4b","\u24b4c","\u24b4d","\u24b4e","\u24b4f","\u24b50","\u24b51","\u24b52","\u24b53","\u24b54","\u24b55","\u24b56","\u24b57","\u24b58","\u24b59","\u24b5a","\u24b5b","\u24b5c","\u24b5d","\u24b5e","\u24b5f","\u24b60","\u24b61","\u24b62","\u24b63","\u24b64","\u24b65","\u24b66","\u24b67","\u24b68","\u24b69","\u24b6a","\u24b6b","\u24b6c","\u24b6d","\u24b6e","\u24b6f","\u24b70","\u24b71","\u24b72","\u24b73","\u24b74","\u24b75","\u24b76","\u24b77","\u24b78","\u24b79","\u24b7a","\u24b7b","\u24b7c","\u24b7d","\u24b7e","\u24b7f","\u24b80","\u24b81","\u24b82","\u24b83","\u24b84","\u24b85","\u24b86","\u24b87","\u24b88","\u24b89","\u24b8a","\u24b8b","\u24b8c","\u24b8d","\u24b8e","\u24b8f","\u24b90","\u24b91","\u24b92","\u24b93","\u24b94","\u24b95","\u24b96","\u24b97","\u24b98","\u24b99","\u24b9a","\u24b9b","\u24b9c","\u24b9d","\u24b9e","\u24b9f","\u24ba0","\u24ba1","\u24ba2","\u24ba3","\u24ba4","\u24ba5","\u24ba6","\u24ba7","\u24ba8","\u24ba9","\u24baa","\u24bab","\u24bac","\u24bad","\u24bae","\u24baf","\u24bb0","\u24bb1","\u24bb2","\u24bb3","\u24bb4","\u24bb5","\u24bb6","\u24bb7","\u24bb8","\u24bb9","\u24bba","\u24bbb","\u24bbc","\u24bbd","\u24bbe","\u24bbf","\u24bc0","\u24bc1","\u24bc2","\u24bc3","\u24bc4","\u24bc5","\u24bc6","\u24bc7","\u24bc8","\u24bc9","\u24bca","\u24bcb","\u24bcc","\u24bcd","\u24bce","\u24bcf","\u24bd0","\u24bd1","\u24bd2","\u24bd3","\u24bd4","\u24bd5","\u24bd6","\u24bd7","\u24bd8","\u24bd9","\u24bda","\u24bdb","\u24bdc","\u24bdd","\u24bde","\u24bdf","\u24be0","\u24be1","\u24be2","\u24be3","\u24be4","\u24be5","\u24be6","\u24be7","\u24be8","\u24be9","\u24bea","\u24beb","\u24bec","\u24bed","\u24bee","\u24bef","\u24bf0","\u24bf1","\u24bf2","\u24bf3","\u24bf4","\u24bf5","\u24bf6","\u24bf7","\u24bf8","\u24bf9","\u24bfa","\u24bfb","\u24bfc","\u24bfd","\u24bfe","\u24bff","\u24c00","\u24c01","\u24c02","\u24c03","\u24c04","\u24c05","\u24c06","\u24c07","\u24c08","\u24c09","\u24c0a","\u24c0b","\u24c0c","\u24c0d","\u24c0e","\u24c0f","\u24c10","\u24c11","\u24c12","\u24c13","\u24c14","\u24c15","\u24c16","\u24c17","\u24c18","\u24c19","\u24c1a","\u24c1b","\u24c1c","\u24c1d","\u24c1e","\u24c1f","\u24c20","\u24c21","\u24c22","\u24c23","\u24c24","\u24c25","\u24c26","\u24c27","\u24c28","\u24c29","\u24c2a","\u24c2b","\u24c2c","\u24c2d","\u24c2e","\u24c2f","\u24c30","\u24c31","\u24c32","\u24c33","\u24c34","\u24c35","\u24c36","\u24c37","\u24c38","\u24c39","\u24c3a","\u24c3b","\u24c3c","\u24c3d","\u24c3e","\u24c3f","\u24c40","\u24c41","\u24c42","\u24c43","\u24c44","\u24c45","\u24c46","\u24c47","\u24c48","\u24c49","\u24c4a","\u24c4b","\u24c4c","\u24c4d","\u24c4e","\u24c4f","\u24c50","\u24c51","\u24c52","\u24c53","\u24c54","\u24c55","\u24c56","\u24c57","\u24c58","\u24c59","\u24c5a","\u24c5b","\u24c5c","\u24c5d","\u24c5e","\u24c5f","\u24c60","\u24c61","\u24c62","\u24c63","\u24c64","\u24c65","\u24c66","\u24c67","\u24c68","\u24c69","\u24c6a","\u24c6b","\u24c6c","\u24c6d","\u24c6e","\u24c6f","\u24c70","\u24c71","\u24c72","\u24c73","\u24c74","\u24c75","\u24c76","\u24c77","\u24c78","\u24c79","\u24c7a","\u24c7b","\u24c7c","\u24c7d","\u24c7e","\u24c7f","\u24c80","\u24c81","\u24c82","\u24c83","\u24c84","\u24c85","\u24c86","\u24c87","\u24c88","\u24c89","\u24c8a","\u24c8b","\u24c8c","\u24c8d","\u24c8e","\u24c8f","\u24c90","\u24c91","\u24c92","\u24c93","\u24c94","\u24c95","\u24c96","\u24c97","\u24c98","\u24c99","\u24c9a","\u24c9b","\u24c9c","\u24c9d","\u24c9e","\u24c9f","\u24ca0","\u24ca1","\u24ca2","\u24ca3","\u24ca4","\u24ca5","\u24ca6","\u24ca7","\u24ca8","\u24ca9","\u24caa","\u24cab","\u24cac","\u24cad","\u24cae","\u24caf","\u24cb0","\u24cb1","\u24cb2","\u24cb3","\u24cb4","\u24cb5","\u24cb6","\u24cb7","\u24cb8","\u24cb9","\u24cba","\u24cbb","\u24cbc","\u24cbd","\u24cbe","\u24cbf","\u24cc0","\u24cc1","\u24cc2","\u24cc3","\u24cc4","\u24cc5","\u24cc6","\u24cc7","\u24cc8","\u24cc9","\u24cca","\u24ccb","\u24ccc","\u24ccd","\u24cce","\u24ccf","\u24cd0","\u24cd1","\u24cd2","\u24cd3","\u24cd4","\u24cd5","\u24cd6","\u24cd7","\u24cd8","\u24cd9","\u24cda","\u24cdb","\u24cdc","\u24cdd","\u24cde","\u24cdf","\u24ce0","\u24ce1","\u24ce2","\u24ce3","\u24ce4","\u24ce5","\u24ce6","\u24ce7","\u24ce8","\u24ce9","\u24cea","\u24ceb","\u24cec","\u24ced","\u24cee","\u24cef","\u24cf0","\u24cf1","\u24cf2","\u24cf3","\u24cf4","\u24cf5","\u24cf6","\u24cf7","\u24cf8","\u24cf9","\u24cfa","\u24cfb","\u24cfc","\u24cfd","\u24cfe","\u24cff","\u24d00","\u24d01","\u24d02","\u24d03","\u24d04","\u24d05","\u24d06","\u24d07","\u24d08","\u24d09","\u24d0a","\u24d0b","\u24d0c","\u24d0d","\u24d0e","\u24d0f","\u24d10","\u24d11","\u24d12","\u24d13","\u24d14","\u24d15","\u24d16","\u24d17","\u24d18","\u24d19","\u24d1a","\u24d1b","\u24d1c","\u24d1d","\u24d1e","\u24d1f","\u24d20","\u24d21","\u24d22","\u24d23","\u24d24","\u24d25","\u24d26","\u24d27","\u24d28","\u24d29","\u24d2a","\u24d2b","\u24d2c","\u24d2d","\u24d2e","\u24d2f","\u24d30","\u24d31","\u24d32","\u24d33","\u24d34","\u24d35","\u24d36","\u24d37","\u24d38","\u24d39","\u24d3a","\u24d3b","\u24d3c","\u24d3d","\u24d3e","\u24d3f","\u24d40","\u24d41","\u24d42","\u24d43","\u24d44","\u24d45","\u24d46","\u24d47","\u24d48","\u24d49","\u24d4a","\u24d4b","\u24d4c","\u24d4d","\u24d4e","\u24d4f","\u24d50","\u24d51","\u24d52","\u24d53","\u24d54","\u24d55","\u24d56","\u24d57","\u24d58","\u24d59","\u24d5a","\u24d5b","\u24d5c","\u24d5d","\u24d5e","\u24d5f","\u24d60","\u24d61","\u24d62","\u24d63","\u24d64","\u24d65","\u24d66","\u24d67","\u24d68","\u24d69","\u24d6a","\u24d6b","\u24d6c","\u24d6d","\u24d6e","\u24d6f","\u24d70","\u24d71","\u24d72","\u24d73","\u24d74","\u24d75","\u24d76","\u24d77","\u24d78","\u24d79","\u24d7a","\u24d7b","\u24d7c","\u24d7d","\u24d7e","\u24d7f","\u24d80","\u24d81","\u24d82","\u24d83","\u24d84","\u24d85","\u24d86","\u24d87","\u24d88","\u24d89","\u24d8a","\u24d8b","\u24d8c","\u24d8d","\u24d8e","\u24d8f","\u24d90","\u24d91","\u24d92","\u24d93","\u24d94","\u24d95","\u24d96","\u24d97","\u24d98","\u24d99","\u24d9a","\u24d9b","\u24d9c","\u24d9d","\u24d9e","\u24d9f","\u24da0","\u24da1","\u24da2","\u24da3","\u24da4","\u24da5","\u24da6","\u24da7","\u24da8","\u24da9","\u24daa","\u24dab","\u24dac","\u24dad","\u24dae","\u24daf","\u24db0","\u24db1","\u24db2","\u24db3","\u24db4","\u24db5","\u24db6","\u24db7","\u24db8","\u24db9","\u24dba","\u24dbb","\u24dbc","\u24dbd","\u24dbe","\u24dbf","\u24dc0","\u24dc1","\u24dc2","\u24dc3","\u24dc4","\u24dc5","\u24dc6","\u24dc7","\u24dc8","\u24dc9","\u24dca","\u24dcb","\u24dcc","\u24dcd","\u24dce","\u24dcf","\u24dd0","\u24dd1","\u24dd2","\u24dd3","\u24dd4","\u24dd5","\u24dd6","\u24dd7","\u24dd8","\u24dd9","\u24dda","\u24ddb","\u24ddc","\u24ddd","\u24dde","\u24ddf","\u24de0","\u24de1","\u24de2","\u24de3","\u24de4","\u24de5","\u24de6","\u24de7","\u24de8","\u24de9","\u24dea","\u24deb","\u24dec","\u24ded","\u24dee","\u24def","\u24df0","\u24df1","\u24df2","\u24df3","\u24df4","\u24df5","\u24df6","\u24df7","\u24df8","\u24df9","\u24dfa","\u24dfb","\u24dfc","\u24dfd","\u24dfe","\u24dff","\u24e00","\u24e01","\u24e02","\u24e03","\u24e04","\u24e05","\u24e06","\u24e07","\u24e08","\u24e09","\u24e0a","\u24e0b","\u24e0c","\u24e0d","\u24e0e","\u24e0f","\u24e10","\u24e11","\u24e12","\u24e13","\u24e14","\u24e15","\u24e16","\u24e17","\u24e18","\u24e19","\u24e1a","\u24e1b","\u24e1c","\u24e1d","\u24e1e","\u24e1f","\u24e20","\u24e21","\u24e22","\u24e23","\u24e24","\u24e25","\u24e26","\u24e27","\u24e28","\u24e29","\u24e2a","\u24e2b","\u24e2c","\u24e2d","\u24e2e","\u24e2f","\u24e30","\u24e31","\u24e32","\u24e33","\u24e34","\u24e35","\u24e36","\u24e37","\u24e38","\u24e39","\u24e3a","\u24e3b","\u24e3c","\u24e3d","\u24e3e","\u24e3f","\u24e40","\u24e41","\u24e42","\u24e43","\u24e44","\u24e45","\u24e46","\u24e47","\u24e48","\u24e49","\u24e4a","\u24e4b","\u24e4c","\u24e4d","\u24e4e","\u24e4f","\u24e50","\u24e51","\u24e52","\u24e53","\u24e54","\u24e55","\u24e56","\u24e57","\u24e58","\u24e59","\u24e5a","\u24e5b","\u24e5c","\u24e5d","\u24e5e","\u24e5f","\u24e60","\u24e61","\u24e62","\u24e63","\u24e64","\u24e65","\u24e66","\u24e67","\u24e68","\u24e69","\u24e6a","\u24e6b","\u24e6c","\u24e6d","\u24e6e","\u24e6f","\u24e70","\u24e71","\u24e72","\u24e73","\u24e74","\u24e75","\u24e76","\u24e77","\u24e78","\u24e79","\u24e7a","\u24e7b","\u24e7c","\u24e7d","\u24e7e","\u24e7f","\u24e80","\u24e81","\u24e82","\u24e83","\u24e84","\u24e85","\u24e86","\u24e87","\u24e88","\u24e89","\u24e8a","\u24e8b","\u24e8c","\u24e8d","\u24e8e","\u24e8f","\u24e90","\u24e91","\u24e92","\u24e93","\u24e94","\u24e95","\u24e96","\u24e97","\u24e98","\u24e99","\u24e9a","\u24e9b","\u24e9c","\u24e9d","\u24e9e","\u24e9f","\u24ea0","\u24ea1","\u24ea2","\u24ea3","\u24ea4","\u24ea5","\u24ea6","\u24ea7","\u24ea8","\u24ea9","\u24eaa","\u24eab","\u24eac","\u24ead","\u24eae","\u24eaf","\u24eb0","\u24eb1","\u24eb2","\u24eb3","\u24eb4","\u24eb5","\u24eb6","\u24eb7","\u24eb8","\u24eb9","\u24eba","\u24ebb","\u24ebc","\u24ebd","\u24ebe","\u24ebf","\u24ec0","\u24ec1","\u24ec2","\u24ec3","\u24ec4","\u24ec5","\u24ec6","\u24ec7","\u24ec8","\u24ec9","\u24eca","\u24ecb","\u24ecc","\u24ecd","\u24ece","\u24ecf","\u24ed0","\u24ed1","\u24ed2","\u24ed3","\u24ed4","\u24ed5","\u24ed6","\u24ed7","\u24ed8","\u24ed9","\u24eda","\u24edb","\u24edc","\u24edd","\u24ede","\u24edf","\u24ee0","\u24ee1","\u24ee2","\u24ee3","\u24ee4","\u24ee5","\u24ee6","\u24ee7","\u24ee8","\u24ee9","\u24eea","\u24eeb","\u24eec","\u24eed","\u24eee","\u24eef","\u24ef0","\u24ef1","\u24ef2","\u24ef3","\u24ef4","\u24ef5","\u24ef6","\u24ef7","\u24ef8","\u24ef9","\u24efa","\u24efb","\u24efc","\u24efd","\u24efe","\u24eff","\u24f00","\u24f01","\u24f02","\u24f03","\u24f04","\u24f05","\u24f06","\u24f07","\u24f08","\u24f09","\u24f0a","\u24f0b","\u24f0c","\u24f0d","\u24f0e","\u24f0f","\u24f10","\u24f11","\u24f12","\u24f13","\u24f14","\u24f15","\u24f16","\u24f17","\u24f18","\u24f19","\u24f1a","\u24f1b","\u24f1c","\u24f1d","\u24f1e","\u24f1f","\u24f20","\u24f21","\u24f22","\u24f23","\u24f24","\u24f25","\u24f26","\u24f27","\u24f28","\u24f29","\u24f2a","\u24f2b","\u24f2c","\u24f2d","\u24f2e","\u24f2f","\u24f30","\u24f31","\u24f32","\u24f33","\u24f34","\u24f35","\u24f36","\u24f37","\u24f38","\u24f39","\u24f3a","\u24f3b","\u24f3c","\u24f3d","\u24f3e","\u24f3f","\u24f40","\u24f41","\u24f42","\u24f43","\u24f44","\u24f45","\u24f46","\u24f47","\u24f48","\u24f49","\u24f4a","\u24f4b","\u24f4c","\u24f4d","\u24f4e","\u24f4f","\u24f50","\u24f51","\u24f52","\u24f53","\u24f54","\u24f55","\u24f56","\u24f57","\u24f58","\u24f59","\u24f5a","\u24f5b","\u24f5c","\u24f5d","\u24f5e","\u24f5f","\u24f60","\u24f61","\u24f62","\u24f63","\u24f64","\u24f65","\u24f66","\u24f67","\u24f68","\u24f69","\u24f6a","\u24f6b","\u24f6c","\u24f6d","\u24f6e","\u24f6f","\u24f70","\u24f71","\u24f72","\u24f73","\u24f74","\u24f75","\u24f76","\u24f77","\u24f78","\u24f79","\u24f7a","\u24f7b","\u24f7c","\u24f7d","\u24f7e","\u24f7f","\u24f80","\u24f81","\u24f82","\u24f83","\u24f84","\u24f85","\u24f86","\u24f87","\u24f88","\u24f89","\u24f8a","\u24f8b","\u24f8c","\u24f8d","\u24f8e","\u24f8f","\u24f90","\u24f91","\u24f92","\u24f93","\u24f94","\u24f95","\u24f96","\u24f97","\u24f98","\u24f99","\u24f9a","\u24f9b","\u24f9c","\u24f9d","\u24f9e","\u24f9f","\u24fa0","\u24fa1","\u24fa2","\u24fa3","\u24fa4","\u24fa5","\u24fa6","\u24fa7","\u24fa8","\u24fa9","\u24faa","\u24fab","\u24fac","\u24fad","\u24fae","\u24faf","\u24fb0","\u24fb1","\u24fb2","\u24fb3","\u24fb4","\u24fb5","\u24fb6","\u24fb7","\u24fb8","\u24fb9","\u24fba","\u24fbb","\u24fbc","\u24fbd","\u24fbe","\u24fbf","\u24fc0","\u24fc1","\u24fc2","\u24fc3","\u24fc4","\u24fc5","\u24fc6","\u24fc7","\u24fc8","\u24fc9","\u24fca","\u24fcb","\u24fcc","\u24fcd","\u24fce","\u24fcf","\u24fd0","\u24fd1","\u24fd2","\u24fd3","\u24fd4","\u24fd5","\u24fd6","\u24fd7","\u24fd8","\u24fd9","\u24fda","\u24fdb","\u24fdc","\u24fdd","\u24fde","\u24fdf","\u24fe0","\u24fe1","\u24fe2","\u24fe3","\u24fe4","\u24fe5","\u24fe6","\u24fe7","\u24fe8","\u24fe9","\u24fea","\u24feb","\u24fec","\u24fed","\u24fee","\u24fef","\u24ff0","\u24ff1","\u24ff2","\u24ff3","\u24ff4","\u24ff5","\u24ff6","\u24ff7","\u24ff8","\u24ff9","\u24ffa","\u24ffb","\u24ffc","\u24ffd","\u24ffe","\u24fff","\u25000","\u25001","\u25002","\u25003","\u25004","\u25005","\u25006","\u25007","\u25008","\u25009","\u2500a","\u2500b","\u2500c","\u2500d","\u2500e","\u2500f","\u25010","\u25011","\u25012","\u25013","\u25014","\u25015","\u25016","\u25017","\u25018","\u25019","\u2501a","\u2501b","\u2501c","\u2501d","\u2501e","\u2501f","\u25020","\u25021","\u25022","\u25023","\u25024","\u25025","\u25026","\u25027","\u25028","\u25029","\u2502a","\u2502b","\u2502c","\u2502d","\u2502e","\u2502f","\u25030","\u25031","\u25032","\u25033","\u25034","\u25035","\u25036","\u25037","\u25038","\u25039","\u2503a","\u2503b","\u2503c","\u2503d","\u2503e","\u2503f","\u25040","\u25041","\u25042","\u25043","\u25044","\u25045","\u25046","\u25047","\u25048","\u25049","\u2504a","\u2504b","\u2504c","\u2504d","\u2504e","\u2504f","\u25050","\u25051","\u25052","\u25053","\u25054","\u25055","\u25056","\u25057","\u25058","\u25059","\u2505a","\u2505b","\u2505c","\u2505d","\u2505e","\u2505f","\u25060","\u25061","\u25062","\u25063","\u25064","\u25065","\u25066","\u25067","\u25068","\u25069","\u2506a","\u2506b","\u2506c","\u2506d","\u2506e","\u2506f","\u25070","\u25071","\u25072","\u25073","\u25074","\u25075","\u25076","\u25077","\u25078","\u25079","\u2507a","\u2507b","\u2507c","\u2507d","\u2507e","\u2507f","\u25080","\u25081","\u25082","\u25083","\u25084","\u25085","\u25086","\u25087","\u25088","\u25089","\u2508a","\u2508b","\u2508c","\u2508d","\u2508e","\u2508f","\u25090","\u25091","\u25092","\u25093","\u25094","\u25095","\u25096","\u25097","\u25098","\u25099","\u2509a","\u2509b","\u2509c","\u2509d","\u2509e","\u2509f","\u250a0","\u250a1","\u250a2","\u250a3","\u250a4","\u250a5","\u250a6","\u250a7","\u250a8","\u250a9","\u250aa","\u250ab","\u250ac","\u250ad","\u250ae","\u250af","\u250b0","\u250b1","\u250b2","\u250b3","\u250b4","\u250b5","\u250b6","\u250b7","\u250b8","\u250b9","\u250ba","\u250bb","\u250bc","\u250bd","\u250be","\u250bf","\u250c0","\u250c1","\u250c2","\u250c3","\u250c4","\u250c5","\u250c6","\u250c7","\u250c8","\u250c9","\u250ca","\u250cb","\u250cc","\u250cd","\u250ce","\u250cf","\u250d0","\u250d1","\u250d2","\u250d3","\u250d4","\u250d5","\u250d6","\u250d7","\u250d8","\u250d9","\u250da","\u250db","\u250dc","\u250dd","\u250de","\u250df","\u250e0","\u250e1","\u250e2","\u250e3","\u250e4","\u250e5","\u250e6","\u250e7","\u250e8","\u250e9","\u250ea","\u250eb","\u250ec","\u250ed","\u250ee","\u250ef","\u250f0","\u250f1","\u250f2","\u250f3","\u250f4","\u250f5","\u250f6","\u250f7","\u250f8","\u250f9","\u250fa","\u250fb","\u250fc","\u250fd","\u250fe","\u250ff","\u25100","\u25101","\u25102","\u25103","\u25104","\u25105","\u25106","\u25107","\u25108","\u25109","\u2510a","\u2510b","\u2510c","\u2510d","\u2510e","\u2510f","\u25110","\u25111","\u25112","\u25113","\u25114","\u25115","\u25116","\u25117","\u25118","\u25119","\u2511a","\u2511b","\u2511c","\u2511d","\u2511e","\u2511f","\u25120","\u25121","\u25122","\u25123","\u25124","\u25125","\u25126","\u25127","\u25128","\u25129","\u2512a","\u2512b","\u2512c","\u2512d","\u2512e","\u2512f","\u25130","\u25131","\u25132","\u25133","\u25134","\u25135","\u25136","\u25137","\u25138","\u25139","\u2513a","\u2513b","\u2513c","\u2513d","\u2513e","\u2513f","\u25140","\u25141","\u25142","\u25143","\u25144","\u25145","\u25146","\u25147","\u25148","\u25149","\u2514a","\u2514b","\u2514c","\u2514d","\u2514e","\u2514f","\u25150","\u25151","\u25152","\u25153","\u25154","\u25155","\u25156","\u25157","\u25158","\u25159","\u2515a","\u2515b","\u2515c","\u2515d","\u2515e","\u2515f","\u25160","\u25161","\u25162","\u25163","\u25164","\u25165","\u25166","\u25167","\u25168","\u25169","\u2516a","\u2516b","\u2516c","\u2516d","\u2516e","\u2516f","\u25170","\u25171","\u25172","\u25173","\u25174","\u25175","\u25176","\u25177","\u25178","\u25179","\u2517a","\u2517b","\u2517c","\u2517d","\u2517e","\u2517f","\u25180","\u25181","\u25182","\u25183","\u25184","\u25185","\u25186","\u25187","\u25188","\u25189","\u2518a","\u2518b","\u2518c","\u2518d","\u2518e","\u2518f","\u25190","\u25191","\u25192","\u25193","\u25194","\u25195","\u25196","\u25197","\u25198","\u25199","\u2519a","\u2519b","\u2519c","\u2519d","\u2519e","\u2519f","\u251a0","\u251a1","\u251a2","\u251a3","\u251a4","\u251a5","\u251a6","\u251a7","\u251a8","\u251a9","\u251aa","\u251ab","\u251ac","\u251ad","\u251ae","\u251af","\u251b0","\u251b1","\u251b2","\u251b3","\u251b4","\u251b5","\u251b6","\u251b7","\u251b8","\u251b9","\u251ba","\u251bb","\u251bc","\u251bd","\u251be","\u251bf","\u251c0","\u251c1","\u251c2","\u251c3","\u251c4","\u251c5","\u251c6","\u251c7","\u251c8","\u251c9","\u251ca","\u251cb","\u251cc","\u251cd","\u251ce","\u251cf","\u251d0","\u251d1","\u251d2","\u251d3","\u251d4","\u251d5","\u251d6","\u251d7","\u251d8","\u251d9","\u251da","\u251db","\u251dc","\u251dd","\u251de","\u251df","\u251e0","\u251e1","\u251e2","\u251e3","\u251e4","\u251e5","\u251e6","\u251e7","\u251e8","\u251e9","\u251ea","\u251eb","\u251ec","\u251ed","\u251ee","\u251ef","\u251f0","\u251f1","\u251f2","\u251f3","\u251f4","\u251f5","\u251f6","\u251f7","\u251f8","\u251f9","\u251fa","\u251fb","\u251fc","\u251fd","\u251fe","\u251ff","\u25200","\u25201","\u25202","\u25203","\u25204","\u25205","\u25206","\u25207","\u25208","\u25209","\u2520a","\u2520b","\u2520c","\u2520d","\u2520e","\u2520f","\u25210","\u25211","\u25212","\u25213","\u25214","\u25215","\u25216","\u25217","\u25218","\u25219","\u2521a","\u2521b","\u2521c","\u2521d","\u2521e","\u2521f","\u25220","\u25221","\u25222","\u25223","\u25224","\u25225","\u25226","\u25227","\u25228","\u25229","\u2522a","\u2522b","\u2522c","\u2522d","\u2522e","\u2522f","\u25230","\u25231","\u25232","\u25233","\u25234","\u25235","\u25236","\u25237","\u25238","\u25239","\u2523a","\u2523b","\u2523c","\u2523d","\u2523e","\u2523f","\u25240","\u25241","\u25242","\u25243","\u25244","\u25245","\u25246","\u25247","\u25248","\u25249","\u2524a","\u2524b","\u2524c","\u2524d","\u2524e","\u2524f","\u25250","\u25251","\u25252","\u25253","\u25254","\u25255","\u25256","\u25257","\u25258","\u25259","\u2525a","\u2525b","\u2525c","\u2525d","\u2525e","\u2525f","\u25260","\u25261","\u25262","\u25263","\u25264","\u25265","\u25266","\u25267","\u25268","\u25269","\u2526a","\u2526b","\u2526c","\u2526d","\u2526e","\u2526f","\u25270","\u25271","\u25272","\u25273","\u25274","\u25275","\u25276","\u25277","\u25278","\u25279","\u2527a","\u2527b","\u2527c","\u2527d","\u2527e","\u2527f","\u25280","\u25281","\u25282","\u25283","\u25284","\u25285","\u25286","\u25287","\u25288","\u25289","\u2528a","\u2528b","\u2528c","\u2528d","\u2528e","\u2528f","\u25290","\u25291","\u25292","\u25293","\u25294","\u25295","\u25296","\u25297","\u25298","\u25299","\u2529a","\u2529b","\u2529c","\u2529d","\u2529e","\u2529f","\u252a0","\u252a1","\u252a2","\u252a3","\u252a4","\u252a5","\u252a6","\u252a7","\u252a8","\u252a9","\u252aa","\u252ab","\u252ac","\u252ad","\u252ae","\u252af","\u252b0","\u252b1","\u252b2","\u252b3","\u252b4","\u252b5","\u252b6","\u252b7","\u252b8","\u252b9","\u252ba","\u252bb","\u252bc","\u252bd","\u252be","\u252bf","\u252c0","\u252c1","\u252c2","\u252c3","\u252c4","\u252c5","\u252c6","\u252c7","\u252c8","\u252c9","\u252ca","\u252cb","\u252cc","\u252cd","\u252ce","\u252cf","\u252d0","\u252d1","\u252d2","\u252d3","\u252d4","\u252d5","\u252d6","\u252d7","\u252d8","\u252d9","\u252da","\u252db","\u252dc","\u252dd","\u252de","\u252df","\u252e0","\u252e1","\u252e2","\u252e3","\u252e4","\u252e5","\u252e6","\u252e7","\u252e8","\u252e9","\u252ea","\u252eb","\u252ec","\u252ed","\u252ee","\u252ef","\u252f0","\u252f1","\u252f2","\u252f3","\u252f4","\u252f5","\u252f6","\u252f7","\u252f8","\u252f9","\u252fa","\u252fb","\u252fc","\u252fd","\u252fe","\u252ff","\u25300","\u25301","\u25302","\u25303","\u25304","\u25305","\u25306","\u25307","\u25308","\u25309","\u2530a","\u2530b","\u2530c","\u2530d","\u2530e","\u2530f","\u25310","\u25311","\u25312","\u25313","\u25314","\u25315","\u25316","\u25317","\u25318","\u25319","\u2531a","\u2531b","\u2531c","\u2531d","\u2531e","\u2531f","\u25320","\u25321","\u25322","\u25323","\u25324","\u25325","\u25326","\u25327","\u25328","\u25329","\u2532a","\u2532b","\u2532c","\u2532d","\u2532e","\u2532f","\u25330","\u25331","\u25332","\u25333","\u25334","\u25335","\u25336","\u25337","\u25338","\u25339","\u2533a","\u2533b","\u2533c","\u2533d","\u2533e","\u2533f","\u25340","\u25341","\u25342","\u25343","\u25344","\u25345","\u25346","\u25347","\u25348","\u25349","\u2534a","\u2534b","\u2534c","\u2534d","\u2534e","\u2534f","\u25350","\u25351","\u25352","\u25353","\u25354","\u25355","\u25356","\u25357","\u25358","\u25359","\u2535a","\u2535b","\u2535c","\u2535d","\u2535e","\u2535f","\u25360","\u25361","\u25362","\u25363","\u25364","\u25365","\u25366","\u25367","\u25368","\u25369","\u2536a","\u2536b","\u2536c","\u2536d","\u2536e","\u2536f","\u25370","\u25371","\u25372","\u25373","\u25374","\u25375","\u25376","\u25377","\u25378","\u25379","\u2537a","\u2537b","\u2537c","\u2537d","\u2537e","\u2537f","\u25380","\u25381","\u25382","\u25383","\u25384","\u25385","\u25386","\u25387","\u25388","\u25389","\u2538a","\u2538b","\u2538c","\u2538d","\u2538e","\u2538f","\u25390","\u25391","\u25392","\u25393","\u25394","\u25395","\u25396","\u25397","\u25398","\u25399","\u2539a","\u2539b","\u2539c","\u2539d","\u2539e","\u2539f","\u253a0","\u253a1","\u253a2","\u253a3","\u253a4","\u253a5","\u253a6","\u253a7","\u253a8","\u253a9","\u253aa","\u253ab","\u253ac","\u253ad","\u253ae","\u253af","\u253b0","\u253b1","\u253b2","\u253b3","\u253b4","\u253b5","\u253b6","\u253b7","\u253b8","\u253b9","\u253ba","\u253bb","\u253bc","\u253bd","\u253be","\u253bf","\u253c0","\u253c1","\u253c2","\u253c3","\u253c4","\u253c5","\u253c6","\u253c7","\u253c8","\u253c9","\u253ca","\u253cb","\u253cc","\u253cd","\u253ce","\u253cf","\u253d0","\u253d1","\u253d2","\u253d3","\u253d4","\u253d5","\u253d6","\u253d7","\u253d8","\u253d9","\u253da","\u253db","\u253dc","\u253dd","\u253de","\u253df","\u253e0","\u253e1","\u253e2","\u253e3","\u253e4","\u253e5","\u253e6","\u253e7","\u253e8","\u253e9","\u253ea","\u253eb","\u253ec","\u253ed","\u253ee","\u253ef","\u253f0","\u253f1","\u253f2","\u253f3","\u253f4","\u253f5","\u253f6","\u253f7","\u253f8","\u253f9","\u253fa","\u253fb","\u253fc","\u253fd","\u253fe","\u253ff","\u25400","\u25401","\u25402","\u25403","\u25404","\u25405","\u25406","\u25407","\u25408","\u25409","\u2540a","\u2540b","\u2540c","\u2540d","\u2540e","\u2540f","\u25410","\u25411","\u25412","\u25413","\u25414","\u25415","\u25416","\u25417","\u25418","\u25419","\u2541a","\u2541b","\u2541c","\u2541d","\u2541e","\u2541f","\u25420","\u25421","\u25422","\u25423","\u25424","\u25425","\u25426","\u25427","\u25428","\u25429","\u2542a","\u2542b","\u2542c","\u2542d","\u2542e","\u2542f","\u25430","\u25431","\u25432","\u25433","\u25434","\u25435","\u25436","\u25437","\u25438","\u25439","\u2543a","\u2543b","\u2543c","\u2543d","\u2543e","\u2543f","\u25440","\u25441","\u25442","\u25443","\u25444","\u25445","\u25446","\u25447","\u25448","\u25449","\u2544a","\u2544b","\u2544c","\u2544d","\u2544e","\u2544f","\u25450","\u25451","\u25452","\u25453","\u25454","\u25455","\u25456","\u25457","\u25458","\u25459","\u2545a","\u2545b","\u2545c","\u2545d","\u2545e","\u2545f","\u25460","\u25461","\u25462","\u25463","\u25464","\u25465","\u25466","\u25467","\u25468","\u25469","\u2546a","\u2546b","\u2546c","\u2546d","\u2546e","\u2546f","\u25470","\u25471","\u25472","\u25473","\u25474","\u25475","\u25476","\u25477","\u25478","\u25479","\u2547a","\u2547b","\u2547c","\u2547d","\u2547e","\u2547f","\u25480","\u25481","\u25482","\u25483","\u25484","\u25485","\u25486","\u25487","\u25488","\u25489","\u2548a","\u2548b","\u2548c","\u2548d","\u2548e","\u2548f","\u25490","\u25491","\u25492","\u25493","\u25494","\u25495","\u25496","\u25497","\u25498","\u25499","\u2549a","\u2549b","\u2549c","\u2549d","\u2549e","\u2549f","\u254a0","\u254a1","\u254a2","\u254a3","\u254a4","\u254a5","\u254a6","\u254a7","\u254a8","\u254a9","\u254aa","\u254ab","\u254ac","\u254ad","\u254ae","\u254af","\u254b0","\u254b1","\u254b2","\u254b3","\u254b4","\u254b5","\u254b6","\u254b7","\u254b8","\u254b9","\u254ba","\u254bb","\u254bc","\u254bd","\u254be","\u254bf","\u254c0","\u254c1","\u254c2","\u254c3","\u254c4","\u254c5","\u254c6","\u254c7","\u254c8","\u254c9","\u254ca","\u254cb","\u254cc","\u254cd","\u254ce","\u254cf","\u254d0","\u254d1","\u254d2","\u254d3","\u254d4","\u254d5","\u254d6","\u254d7","\u254d8","\u254d9","\u254da","\u254db","\u254dc","\u254dd","\u254de","\u254df","\u254e0","\u254e1","\u254e2","\u254e3","\u254e4","\u254e5","\u254e6","\u254e7","\u254e8","\u254e9","\u254ea","\u254eb","\u254ec","\u254ed","\u254ee","\u254ef","\u254f0","\u254f1","\u254f2","\u254f3","\u254f4","\u254f5","\u254f6","\u254f7","\u254f8","\u254f9","\u254fa","\u254fb","\u254fc","\u254fd","\u254fe","\u254ff","\u25500","\u25501","\u25502","\u25503","\u25504","\u25505","\u25506","\u25507","\u25508","\u25509","\u2550a","\u2550b","\u2550c","\u2550d","\u2550e","\u2550f","\u25510","\u25511","\u25512","\u25513","\u25514","\u25515","\u25516","\u25517","\u25518","\u25519","\u2551a","\u2551b","\u2551c","\u2551d","\u2551e","\u2551f","\u25520","\u25521","\u25522","\u25523","\u25524","\u25525","\u25526","\u25527","\u25528","\u25529","\u2552a","\u2552b","\u2552c","\u2552d","\u2552e","\u2552f","\u25530","\u25531","\u25532","\u25533","\u25534","\u25535","\u25536","\u25537","\u25538","\u25539","\u2553a","\u2553b","\u2553c","\u2553d","\u2553e","\u2553f","\u25540","\u25541","\u25542","\u25543","\u25544","\u25545","\u25546","\u25547","\u25548","\u25549","\u2554a","\u2554b","\u2554c","\u2554d","\u2554e","\u2554f","\u25550","\u25551","\u25552","\u25553","\u25554","\u25555","\u25556","\u25557","\u25558","\u25559","\u2555a","\u2555b","\u2555c","\u2555d","\u2555e","\u2555f","\u25560","\u25561","\u25562","\u25563","\u25564","\u25565","\u25566","\u25567","\u25568","\u25569","\u2556a","\u2556b","\u2556c","\u2556d","\u2556e","\u2556f","\u25570","\u25571","\u25572","\u25573","\u25574","\u25575","\u25576","\u25577","\u25578","\u25579","\u2557a","\u2557b","\u2557c","\u2557d","\u2557e","\u2557f","\u25580","\u25581","\u25582","\u25583","\u25584","\u25585","\u25586","\u25587","\u25588","\u25589","\u2558a","\u2558b","\u2558c","\u2558d","\u2558e","\u2558f","\u25590","\u25591","\u25592","\u25593","\u25594","\u25595","\u25596","\u25597","\u25598","\u25599","\u2559a","\u2559b","\u2559c","\u2559d","\u2559e","\u2559f","\u255a0","\u255a1","\u255a2","\u255a3","\u255a4","\u255a5","\u255a6","\u255a7","\u255a8","\u255a9","\u255aa","\u255ab","\u255ac","\u255ad","\u255ae","\u255af","\u255b0","\u255b1","\u255b2","\u255b3","\u255b4","\u255b5","\u255b6","\u255b7","\u255b8","\u255b9","\u255ba","\u255bb","\u255bc","\u255bd","\u255be","\u255bf","\u255c0","\u255c1","\u255c2","\u255c3","\u255c4","\u255c5","\u255c6","\u255c7","\u255c8","\u255c9","\u255ca","\u255cb","\u255cc","\u255cd","\u255ce","\u255cf","\u255d0","\u255d1","\u255d2","\u255d3","\u255d4","\u255d5","\u255d6","\u255d7","\u255d8","\u255d9","\u255da","\u255db","\u255dc","\u255dd","\u255de","\u255df","\u255e0","\u255e1","\u255e2","\u255e3","\u255e4","\u255e5","\u255e6","\u255e7","\u255e8","\u255e9","\u255ea","\u255eb","\u255ec","\u255ed","\u255ee","\u255ef","\u255f0","\u255f1","\u255f2","\u255f3","\u255f4","\u255f5","\u255f6","\u255f7","\u255f8","\u255f9","\u255fa","\u255fb","\u255fc","\u255fd","\u255fe","\u255ff","\u25600","\u25601","\u25602","\u25603","\u25604","\u25605","\u25606","\u25607","\u25608","\u25609","\u2560a","\u2560b","\u2560c","\u2560d","\u2560e","\u2560f","\u25610","\u25611","\u25612","\u25613","\u25614","\u25615","\u25616","\u25617","\u25618","\u25619","\u2561a","\u2561b","\u2561c","\u2561d","\u2561e","\u2561f","\u25620","\u25621","\u25622","\u25623","\u25624","\u25625","\u25626","\u25627","\u25628","\u25629","\u2562a","\u2562b","\u2562c","\u2562d","\u2562e","\u2562f","\u25630","\u25631","\u25632","\u25633","\u25634","\u25635","\u25636","\u25637","\u25638","\u25639","\u2563a","\u2563b","\u2563c","\u2563d","\u2563e","\u2563f","\u25640","\u25641","\u25642","\u25643","\u25644","\u25645","\u25646","\u25647","\u25648","\u25649","\u2564a","\u2564b","\u2564c","\u2564d","\u2564e","\u2564f","\u25650","\u25651","\u25652","\u25653","\u25654","\u25655","\u25656","\u25657","\u25658","\u25659","\u2565a","\u2565b","\u2565c","\u2565d","\u2565e","\u2565f","\u25660","\u25661","\u25662","\u25663","\u25664","\u25665","\u25666","\u25667","\u25668","\u25669","\u2566a","\u2566b","\u2566c","\u2566d","\u2566e","\u2566f","\u25670","\u25671","\u25672","\u25673","\u25674","\u25675","\u25676","\u25677","\u25678","\u25679","\u2567a","\u2567b","\u2567c","\u2567d","\u2567e","\u2567f","\u25680","\u25681","\u25682","\u25683","\u25684","\u25685","\u25686","\u25687","\u25688","\u25689","\u2568a","\u2568b","\u2568c","\u2568d","\u2568e","\u2568f","\u25690","\u25691","\u25692","\u25693","\u25694","\u25695","\u25696","\u25697","\u25698","\u25699","\u2569a","\u2569b","\u2569c","\u2569d","\u2569e","\u2569f","\u256a0","\u256a1","\u256a2","\u256a3","\u256a4","\u256a5","\u256a6","\u256a7","\u256a8","\u256a9","\u256aa","\u256ab","\u256ac","\u256ad","\u256ae","\u256af","\u256b0","\u256b1","\u256b2","\u256b3","\u256b4","\u256b5","\u256b6","\u256b7","\u256b8","\u256b9","\u256ba","\u256bb","\u256bc","\u256bd","\u256be","\u256bf","\u256c0","\u256c1","\u256c2","\u256c3","\u256c4","\u256c5","\u256c6","\u256c7","\u256c8","\u256c9","\u256ca","\u256cb","\u256cc","\u256cd","\u256ce","\u256cf","\u256d0","\u256d1","\u256d2","\u256d3","\u256d4","\u256d5","\u256d6","\u256d7","\u256d8","\u256d9","\u256da","\u256db","\u256dc","\u256dd","\u256de","\u256df","\u256e0","\u256e1","\u256e2","\u256e3","\u256e4","\u256e5","\u256e6","\u256e7","\u256e8","\u256e9","\u256ea","\u256eb","\u256ec","\u256ed","\u256ee","\u256ef","\u256f0","\u256f1","\u256f2","\u256f3","\u256f4","\u256f5","\u256f6","\u256f7","\u256f8","\u256f9","\u256fa","\u256fb","\u256fc","\u256fd","\u256fe","\u256ff","\u25700","\u25701","\u25702","\u25703","\u25704","\u25705","\u25706","\u25707","\u25708","\u25709","\u2570a","\u2570b","\u2570c","\u2570d","\u2570e","\u2570f","\u25710","\u25711","\u25712","\u25713","\u25714","\u25715","\u25716","\u25717","\u25718","\u25719","\u2571a","\u2571b","\u2571c","\u2571d","\u2571e","\u2571f","\u25720","\u25721","\u25722","\u25723","\u25724","\u25725","\u25726","\u25727","\u25728","\u25729","\u2572a","\u2572b","\u2572c","\u2572d","\u2572e","\u2572f","\u25730","\u25731","\u25732","\u25733","\u25734","\u25735","\u25736","\u25737","\u25738","\u25739","\u2573a","\u2573b","\u2573c","\u2573d","\u2573e","\u2573f","\u25740","\u25741","\u25742","\u25743","\u25744","\u25745","\u25746","\u25747","\u25748","\u25749","\u2574a","\u2574b","\u2574c","\u2574d","\u2574e","\u2574f","\u25750","\u25751","\u25752","\u25753","\u25754","\u25755","\u25756","\u25757","\u25758","\u25759","\u2575a","\u2575b","\u2575c","\u2575d","\u2575e","\u2575f","\u25760","\u25761","\u25762","\u25763","\u25764","\u25765","\u25766","\u25767","\u25768","\u25769","\u2576a","\u2576b","\u2576c","\u2576d","\u2576e","\u2576f","\u25770","\u25771","\u25772","\u25773","\u25774","\u25775","\u25776","\u25777","\u25778","\u25779","\u2577a","\u2577b","\u2577c","\u2577d","\u2577e","\u2577f","\u25780","\u25781","\u25782","\u25783","\u25784","\u25785","\u25786","\u25787","\u25788","\u25789","\u2578a","\u2578b","\u2578c","\u2578d","\u2578e","\u2578f","\u25790","\u25791","\u25792","\u25793","\u25794","\u25795","\u25796","\u25797","\u25798","\u25799","\u2579a","\u2579b","\u2579c","\u2579d","\u2579e","\u2579f","\u257a0","\u257a1","\u257a2","\u257a3","\u257a4","\u257a5","\u257a6","\u257a7","\u257a8","\u257a9","\u257aa","\u257ab","\u257ac","\u257ad","\u257ae","\u257af","\u257b0","\u257b1","\u257b2","\u257b3","\u257b4","\u257b5","\u257b6","\u257b7","\u257b8","\u257b9","\u257ba","\u257bb","\u257bc","\u257bd","\u257be","\u257bf","\u257c0","\u257c1","\u257c2","\u257c3","\u257c4","\u257c5","\u257c6","\u257c7","\u257c8","\u257c9","\u257ca","\u257cb","\u257cc","\u257cd","\u257ce","\u257cf","\u257d0","\u257d1","\u257d2","\u257d3","\u257d4","\u257d5","\u257d6","\u257d7","\u257d8","\u257d9","\u257da","\u257db","\u257dc","\u257dd","\u257de","\u257df","\u257e0","\u257e1","\u257e2","\u257e3","\u257e4","\u257e5","\u257e6","\u257e7","\u257e8","\u257e9","\u257ea","\u257eb","\u257ec","\u257ed","\u257ee","\u257ef","\u257f0","\u257f1","\u257f2","\u257f3","\u257f4","\u257f5","\u257f6","\u257f7","\u257f8","\u257f9","\u257fa","\u257fb","\u257fc","\u257fd","\u257fe","\u257ff","\u25800","\u25801","\u25802","\u25803","\u25804","\u25805","\u25806","\u25807","\u25808","\u25809","\u2580a","\u2580b","\u2580c","\u2580d","\u2580e","\u2580f","\u25810","\u25811","\u25812","\u25813","\u25814","\u25815","\u25816","\u25817","\u25818","\u25819","\u2581a","\u2581b","\u2581c","\u2581d","\u2581e","\u2581f","\u25820","\u25821","\u25822","\u25823","\u25824","\u25825","\u25826","\u25827","\u25828","\u25829","\u2582a","\u2582b","\u2582c","\u2582d","\u2582e","\u2582f","\u25830","\u25831","\u25832","\u25833","\u25834","\u25835","\u25836","\u25837","\u25838","\u25839","\u2583a","\u2583b","\u2583c","\u2583d","\u2583e","\u2583f","\u25840","\u25841","\u25842","\u25843","\u25844","\u25845","\u25846","\u25847","\u25848","\u25849","\u2584a","\u2584b","\u2584c","\u2584d","\u2584e","\u2584f","\u25850","\u25851","\u25852","\u25853","\u25854","\u25855","\u25856","\u25857","\u25858","\u25859","\u2585a","\u2585b","\u2585c","\u2585d","\u2585e","\u2585f","\u25860","\u25861","\u25862","\u25863","\u25864","\u25865","\u25866","\u25867","\u25868","\u25869","\u2586a","\u2586b","\u2586c","\u2586d","\u2586e","\u2586f","\u25870","\u25871","\u25872","\u25873","\u25874","\u25875","\u25876","\u25877","\u25878","\u25879","\u2587a","\u2587b","\u2587c","\u2587d","\u2587e","\u2587f","\u25880","\u25881","\u25882","\u25883","\u25884","\u25885","\u25886","\u25887","\u25888","\u25889","\u2588a","\u2588b","\u2588c","\u2588d","\u2588e","\u2588f","\u25890","\u25891","\u25892","\u25893","\u25894","\u25895","\u25896","\u25897","\u25898","\u25899","\u2589a","\u2589b","\u2589c","\u2589d","\u2589e","\u2589f","\u258a0","\u258a1","\u258a2","\u258a3","\u258a4","\u258a5","\u258a6","\u258a7","\u258a8","\u258a9","\u258aa","\u258ab","\u258ac","\u258ad","\u258ae","\u258af","\u258b0","\u258b1","\u258b2","\u258b3","\u258b4","\u258b5","\u258b6","\u258b7","\u258b8","\u258b9","\u258ba","\u258bb","\u258bc","\u258bd","\u258be","\u258bf","\u258c0","\u258c1","\u258c2","\u258c3","\u258c4","\u258c5","\u258c6","\u258c7","\u258c8","\u258c9","\u258ca","\u258cb","\u258cc","\u258cd","\u258ce","\u258cf","\u258d0","\u258d1","\u258d2","\u258d3","\u258d4","\u258d5","\u258d6","\u258d7","\u258d8","\u258d9","\u258da","\u258db","\u258dc","\u258dd","\u258de","\u258df","\u258e0","\u258e1","\u258e2","\u258e3","\u258e4","\u258e5","\u258e6","\u258e7","\u258e8","\u258e9","\u258ea","\u258eb","\u258ec","\u258ed","\u258ee","\u258ef","\u258f0","\u258f1","\u258f2","\u258f3","\u258f4","\u258f5","\u258f6","\u258f7","\u258f8","\u258f9","\u258fa","\u258fb","\u258fc","\u258fd","\u258fe","\u258ff","\u25900","\u25901","\u25902","\u25903","\u25904","\u25905","\u25906","\u25907","\u25908","\u25909","\u2590a","\u2590b","\u2590c","\u2590d","\u2590e","\u2590f","\u25910","\u25911","\u25912","\u25913","\u25914","\u25915","\u25916","\u25917","\u25918","\u25919","\u2591a","\u2591b","\u2591c","\u2591d","\u2591e","\u2591f","\u25920","\u25921","\u25922","\u25923","\u25924","\u25925","\u25926","\u25927","\u25928","\u25929","\u2592a","\u2592b","\u2592c","\u2592d","\u2592e","\u2592f","\u25930","\u25931","\u25932","\u25933","\u25934","\u25935","\u25936","\u25937","\u25938","\u25939","\u2593a","\u2593b","\u2593c","\u2593d","\u2593e","\u2593f","\u25940","\u25941","\u25942","\u25943","\u25944","\u25945","\u25946","\u25947","\u25948","\u25949","\u2594a","\u2594b","\u2594c","\u2594d","\u2594e","\u2594f","\u25950","\u25951","\u25952","\u25953","\u25954","\u25955","\u25956","\u25957","\u25958","\u25959","\u2595a","\u2595b","\u2595c","\u2595d","\u2595e","\u2595f","\u25960","\u25961","\u25962","\u25963","\u25964","\u25965","\u25966","\u25967","\u25968","\u25969","\u2596a","\u2596b","\u2596c","\u2596d","\u2596e","\u2596f","\u25970","\u25971","\u25972","\u25973","\u25974","\u25975","\u25976","\u25977","\u25978","\u25979","\u2597a","\u2597b","\u2597c","\u2597d","\u2597e","\u2597f","\u25980","\u25981","\u25982","\u25983","\u25984","\u25985","\u25986","\u25987","\u25988","\u25989","\u2598a","\u2598b","\u2598c","\u2598d","\u2598e","\u2598f","\u25990","\u25991","\u25992","\u25993","\u25994","\u25995","\u25996","\u25997","\u25998","\u25999","\u2599a","\u2599b","\u2599c","\u2599d","\u2599e","\u2599f","\u259a0","\u259a1","\u259a2","\u259a3","\u259a4","\u259a5","\u259a6","\u259a7","\u259a8","\u259a9","\u259aa","\u259ab","\u259ac","\u259ad","\u259ae","\u259af","\u259b0","\u259b1","\u259b2","\u259b3","\u259b4","\u259b5","\u259b6","\u259b7","\u259b8","\u259b9","\u259ba","\u259bb","\u259bc","\u259bd","\u259be","\u259bf","\u259c0","\u259c1","\u259c2","\u259c3","\u259c4","\u259c5","\u259c6","\u259c7","\u259c8","\u259c9","\u259ca","\u259cb","\u259cc","\u259cd","\u259ce","\u259cf","\u259d0","\u259d1","\u259d2","\u259d3","\u259d4","\u259d5","\u259d6","\u259d7","\u259d8","\u259d9","\u259da","\u259db","\u259dc","\u259dd","\u259de","\u259df","\u259e0","\u259e1","\u259e2","\u259e3","\u259e4","\u259e5","\u259e6","\u259e7","\u259e8","\u259e9","\u259ea","\u259eb","\u259ec","\u259ed","\u259ee","\u259ef","\u259f0","\u259f1","\u259f2","\u259f3","\u259f4","\u259f5","\u259f6","\u259f7","\u259f8","\u259f9","\u259fa","\u259fb","\u259fc","\u259fd","\u259fe","\u259ff","\u25a00","\u25a01","\u25a02","\u25a03","\u25a04","\u25a05","\u25a06","\u25a07","\u25a08","\u25a09","\u25a0a","\u25a0b","\u25a0c","\u25a0d","\u25a0e","\u25a0f","\u25a10","\u25a11","\u25a12","\u25a13","\u25a14","\u25a15","\u25a16","\u25a17","\u25a18","\u25a19","\u25a1a","\u25a1b","\u25a1c","\u25a1d","\u25a1e","\u25a1f","\u25a20","\u25a21","\u25a22","\u25a23","\u25a24","\u25a25","\u25a26","\u25a27","\u25a28","\u25a29","\u25a2a","\u25a2b","\u25a2c","\u25a2d","\u25a2e","\u25a2f","\u25a30","\u25a31","\u25a32","\u25a33","\u25a34","\u25a35","\u25a36","\u25a37","\u25a38","\u25a39","\u25a3a","\u25a3b","\u25a3c","\u25a3d","\u25a3e","\u25a3f","\u25a40","\u25a41","\u25a42","\u25a43","\u25a44","\u25a45","\u25a46","\u25a47","\u25a48","\u25a49","\u25a4a","\u25a4b","\u25a4c","\u25a4d","\u25a4e","\u25a4f","\u25a50","\u25a51","\u25a52","\u25a53","\u25a54","\u25a55","\u25a56","\u25a57","\u25a58","\u25a59","\u25a5a","\u25a5b","\u25a5c","\u25a5d","\u25a5e","\u25a5f","\u25a60","\u25a61","\u25a62","\u25a63","\u25a64","\u25a65","\u25a66","\u25a67","\u25a68","\u25a69","\u25a6a","\u25a6b","\u25a6c","\u25a6d","\u25a6e","\u25a6f","\u25a70","\u25a71","\u25a72","\u25a73","\u25a74","\u25a75","\u25a76","\u25a77","\u25a78","\u25a79","\u25a7a","\u25a7b","\u25a7c","\u25a7d","\u25a7e","\u25a7f","\u25a80","\u25a81","\u25a82","\u25a83","\u25a84","\u25a85","\u25a86","\u25a87","\u25a88","\u25a89","\u25a8a","\u25a8b","\u25a8c","\u25a8d","\u25a8e","\u25a8f","\u25a90","\u25a91","\u25a92","\u25a93","\u25a94","\u25a95","\u25a96","\u25a97","\u25a98","\u25a99","\u25a9a","\u25a9b","\u25a9c","\u25a9d","\u25a9e","\u25a9f","\u25aa0","\u25aa1","\u25aa2","\u25aa3","\u25aa4","\u25aa5","\u25aa6","\u25aa7","\u25aa8","\u25aa9","\u25aaa","\u25aab","\u25aac","\u25aad","\u25aae","\u25aaf","\u25ab0","\u25ab1","\u25ab2","\u25ab3","\u25ab4","\u25ab5","\u25ab6","\u25ab7","\u25ab8","\u25ab9","\u25aba","\u25abb","\u25abc","\u25abd","\u25abe","\u25abf","\u25ac0","\u25ac1","\u25ac2","\u25ac3","\u25ac4","\u25ac5","\u25ac6","\u25ac7","\u25ac8","\u25ac9","\u25aca","\u25acb","\u25acc","\u25acd","\u25ace","\u25acf","\u25ad0","\u25ad1","\u25ad2","\u25ad3","\u25ad4","\u25ad5","\u25ad6","\u25ad7","\u25ad8","\u25ad9","\u25ada","\u25adb","\u25adc","\u25add","\u25ade","\u25adf","\u25ae0","\u25ae1","\u25ae2","\u25ae3","\u25ae4","\u25ae5","\u25ae6","\u25ae7","\u25ae8","\u25ae9","\u25aea","\u25aeb","\u25aec","\u25aed","\u25aee","\u25aef","\u25af0","\u25af1","\u25af2","\u25af3","\u25af4","\u25af5","\u25af6","\u25af7","\u25af8","\u25af9","\u25afa","\u25afb","\u25afc","\u25afd","\u25afe","\u25aff","\u25b00","\u25b01","\u25b02","\u25b03","\u25b04","\u25b05","\u25b06","\u25b07","\u25b08","\u25b09","\u25b0a","\u25b0b","\u25b0c","\u25b0d","\u25b0e","\u25b0f","\u25b10","\u25b11","\u25b12","\u25b13","\u25b14","\u25b15","\u25b16","\u25b17","\u25b18","\u25b19","\u25b1a","\u25b1b","\u25b1c","\u25b1d","\u25b1e","\u25b1f","\u25b20","\u25b21","\u25b22","\u25b23","\u25b24","\u25b25","\u25b26","\u25b27","\u25b28","\u25b29","\u25b2a","\u25b2b","\u25b2c","\u25b2d","\u25b2e","\u25b2f","\u25b30","\u25b31","\u25b32","\u25b33","\u25b34","\u25b35","\u25b36","\u25b37","\u25b38","\u25b39","\u25b3a","\u25b3b","\u25b3c","\u25b3d","\u25b3e","\u25b3f","\u25b40","\u25b41","\u25b42","\u25b43","\u25b44","\u25b45","\u25b46","\u25b47","\u25b48","\u25b49","\u25b4a","\u25b4b","\u25b4c","\u25b4d","\u25b4e","\u25b4f","\u25b50","\u25b51","\u25b52","\u25b53","\u25b54","\u25b55","\u25b56","\u25b57","\u25b58","\u25b59","\u25b5a","\u25b5b","\u25b5c","\u25b5d","\u25b5e","\u25b5f","\u25b60","\u25b61","\u25b62","\u25b63","\u25b64","\u25b65","\u25b66","\u25b67","\u25b68","\u25b69","\u25b6a","\u25b6b","\u25b6c","\u25b6d","\u25b6e","\u25b6f","\u25b70","\u25b71","\u25b72","\u25b73","\u25b74","\u25b75","\u25b76","\u25b77","\u25b78","\u25b79","\u25b7a","\u25b7b","\u25b7c","\u25b7d","\u25b7e","\u25b7f","\u25b80","\u25b81","\u25b82","\u25b83","\u25b84","\u25b85","\u25b86","\u25b87","\u25b88","\u25b89","\u25b8a","\u25b8b","\u25b8c","\u25b8d","\u25b8e","\u25b8f","\u25b90","\u25b91","\u25b92","\u25b93","\u25b94","\u25b95","\u25b96","\u25b97","\u25b98","\u25b99","\u25b9a","\u25b9b","\u25b9c","\u25b9d","\u25b9e","\u25b9f","\u25ba0","\u25ba1","\u25ba2","\u25ba3","\u25ba4","\u25ba5","\u25ba6","\u25ba7","\u25ba8","\u25ba9","\u25baa","\u25bab","\u25bac","\u25bad","\u25bae","\u25baf","\u25bb0","\u25bb1","\u25bb2","\u25bb3","\u25bb4","\u25bb5","\u25bb6","\u25bb7","\u25bb8","\u25bb9","\u25bba","\u25bbb","\u25bbc","\u25bbd","\u25bbe","\u25bbf","\u25bc0","\u25bc1","\u25bc2","\u25bc3","\u25bc4","\u25bc5","\u25bc6","\u25bc7","\u25bc8","\u25bc9","\u25bca","\u25bcb","\u25bcc","\u25bcd","\u25bce","\u25bcf","\u25bd0","\u25bd1","\u25bd2","\u25bd3","\u25bd4","\u25bd5","\u25bd6","\u25bd7","\u25bd8","\u25bd9","\u25bda","\u25bdb","\u25bdc","\u25bdd","\u25bde","\u25bdf","\u25be0","\u25be1","\u25be2","\u25be3","\u25be4","\u25be5","\u25be6","\u25be7","\u25be8","\u25be9","\u25bea","\u25beb","\u25bec","\u25bed","\u25bee","\u25bef","\u25bf0","\u25bf1","\u25bf2","\u25bf3","\u25bf4","\u25bf5","\u25bf6","\u25bf7","\u25bf8","\u25bf9","\u25bfa","\u25bfb","\u25bfc","\u25bfd","\u25bfe","\u25bff","\u25c00","\u25c01","\u25c02","\u25c03","\u25c04","\u25c05","\u25c06","\u25c07","\u25c08","\u25c09","\u25c0a","\u25c0b","\u25c0c","\u25c0d","\u25c0e","\u25c0f","\u25c10","\u25c11","\u25c12","\u25c13","\u25c14","\u25c15","\u25c16","\u25c17","\u25c18","\u25c19","\u25c1a","\u25c1b","\u25c1c","\u25c1d","\u25c1e","\u25c1f","\u25c20","\u25c21","\u25c22","\u25c23","\u25c24","\u25c25","\u25c26","\u25c27","\u25c28","\u25c29","\u25c2a","\u25c2b","\u25c2c","\u25c2d","\u25c2e","\u25c2f","\u25c30","\u25c31","\u25c32","\u25c33","\u25c34","\u25c35","\u25c36","\u25c37","\u25c38","\u25c39","\u25c3a","\u25c3b","\u25c3c","\u25c3d","\u25c3e","\u25c3f","\u25c40","\u25c41","\u25c42","\u25c43","\u25c44","\u25c45","\u25c46","\u25c47","\u25c48","\u25c49","\u25c4a","\u25c4b","\u25c4c","\u25c4d","\u25c4e","\u25c4f","\u25c50","\u25c51","\u25c52","\u25c53","\u25c54","\u25c55","\u25c56","\u25c57","\u25c58","\u25c59","\u25c5a","\u25c5b","\u25c5c","\u25c5d","\u25c5e","\u25c5f","\u25c60","\u25c61","\u25c62","\u25c63","\u25c64","\u25c65","\u25c66","\u25c67","\u25c68","\u25c69","\u25c6a","\u25c6b","\u25c6c","\u25c6d","\u25c6e","\u25c6f","\u25c70","\u25c71","\u25c72","\u25c73","\u25c74","\u25c75","\u25c76","\u25c77","\u25c78","\u25c79","\u25c7a","\u25c7b","\u25c7c","\u25c7d","\u25c7e","\u25c7f","\u25c80","\u25c81","\u25c82","\u25c83","\u25c84","\u25c85","\u25c86","\u25c87","\u25c88","\u25c89","\u25c8a","\u25c8b","\u25c8c","\u25c8d","\u25c8e","\u25c8f","\u25c90","\u25c91","\u25c92","\u25c93","\u25c94","\u25c95","\u25c96","\u25c97","\u25c98","\u25c99","\u25c9a","\u25c9b","\u25c9c","\u25c9d","\u25c9e","\u25c9f","\u25ca0","\u25ca1","\u25ca2","\u25ca3","\u25ca4","\u25ca5","\u25ca6","\u25ca7","\u25ca8","\u25ca9","\u25caa","\u25cab","\u25cac","\u25cad","\u25cae","\u25caf","\u25cb0","\u25cb1","\u25cb2","\u25cb3","\u25cb4","\u25cb5","\u25cb6","\u25cb7","\u25cb8","\u25cb9","\u25cba","\u25cbb","\u25cbc","\u25cbd","\u25cbe","\u25cbf","\u25cc0","\u25cc1","\u25cc2","\u25cc3","\u25cc4","\u25cc5","\u25cc6","\u25cc7","\u25cc8","\u25cc9","\u25cca","\u25ccb","\u25ccc","\u25ccd","\u25cce","\u25ccf","\u25cd0","\u25cd1","\u25cd2","\u25cd3","\u25cd4","\u25cd5","\u25cd6","\u25cd7","\u25cd8","\u25cd9","\u25cda","\u25cdb","\u25cdc","\u25cdd","\u25cde","\u25cdf","\u25ce0","\u25ce1","\u25ce2","\u25ce3","\u25ce4","\u25ce5","\u25ce6","\u25ce7","\u25ce8","\u25ce9","\u25cea","\u25ceb","\u25cec","\u25ced","\u25cee","\u25cef","\u25cf0","\u25cf1","\u25cf2","\u25cf3","\u25cf4","\u25cf5","\u25cf6","\u25cf7","\u25cf8","\u25cf9","\u25cfa","\u25cfb","\u25cfc","\u25cfd","\u25cfe","\u25cff","\u25d00","\u25d01","\u25d02","\u25d03","\u25d04","\u25d05","\u25d06","\u25d07","\u25d08","\u25d09","\u25d0a","\u25d0b","\u25d0c","\u25d0d","\u25d0e","\u25d0f","\u25d10","\u25d11","\u25d12","\u25d13","\u25d14","\u25d15","\u25d16","\u25d17","\u25d18","\u25d19","\u25d1a","\u25d1b","\u25d1c","\u25d1d","\u25d1e","\u25d1f","\u25d20","\u25d21","\u25d22","\u25d23","\u25d24","\u25d25","\u25d26","\u25d27","\u25d28","\u25d29","\u25d2a","\u25d2b","\u25d2c","\u25d2d","\u25d2e","\u25d2f","\u25d30","\u25d31","\u25d32","\u25d33","\u25d34","\u25d35","\u25d36","\u25d37","\u25d38","\u25d39","\u25d3a","\u25d3b","\u25d3c","\u25d3d","\u25d3e","\u25d3f","\u25d40","\u25d41","\u25d42","\u25d43","\u25d44","\u25d45","\u25d46","\u25d47","\u25d48","\u25d49","\u25d4a","\u25d4b","\u25d4c","\u25d4d","\u25d4e","\u25d4f","\u25d50","\u25d51","\u25d52","\u25d53","\u25d54","\u25d55","\u25d56","\u25d57","\u25d58","\u25d59","\u25d5a","\u25d5b","\u25d5c","\u25d5d","\u25d5e","\u25d5f","\u25d60","\u25d61","\u25d62","\u25d63","\u25d64","\u25d65","\u25d66","\u25d67","\u25d68","\u25d69","\u25d6a","\u25d6b","\u25d6c","\u25d6d","\u25d6e","\u25d6f","\u25d70","\u25d71","\u25d72","\u25d73","\u25d74","\u25d75","\u25d76","\u25d77","\u25d78","\u25d79","\u25d7a","\u25d7b","\u25d7c","\u25d7d","\u25d7e","\u25d7f","\u25d80","\u25d81","\u25d82","\u25d83","\u25d84","\u25d85","\u25d86","\u25d87","\u25d88","\u25d89","\u25d8a","\u25d8b","\u25d8c","\u25d8d","\u25d8e","\u25d8f","\u25d90","\u25d91","\u25d92","\u25d93","\u25d94","\u25d95","\u25d96","\u25d97","\u25d98","\u25d99","\u25d9a","\u25d9b","\u25d9c","\u25d9d","\u25d9e","\u25d9f","\u25da0","\u25da1","\u25da2","\u25da3","\u25da4","\u25da5","\u25da6","\u25da7","\u25da8","\u25da9","\u25daa","\u25dab","\u25dac","\u25dad","\u25dae","\u25daf","\u25db0","\u25db1","\u25db2","\u25db3","\u25db4","\u25db5","\u25db6","\u25db7","\u25db8","\u25db9","\u25dba","\u25dbb","\u25dbc","\u25dbd","\u25dbe","\u25dbf","\u25dc0","\u25dc1","\u25dc2","\u25dc3","\u25dc4","\u25dc5","\u25dc6","\u25dc7","\u25dc8","\u25dc9","\u25dca","\u25dcb","\u25dcc","\u25dcd","\u25dce","\u25dcf","\u25dd0","\u25dd1","\u25dd2","\u25dd3","\u25dd4","\u25dd5","\u25dd6","\u25dd7","\u25dd8","\u25dd9","\u25dda","\u25ddb","\u25ddc","\u25ddd","\u25dde","\u25ddf","\u25de0","\u25de1","\u25de2","\u25de3","\u25de4","\u25de5","\u25de6","\u25de7","\u25de8","\u25de9","\u25dea","\u25deb","\u25dec","\u25ded","\u25dee","\u25def","\u25df0","\u25df1","\u25df2","\u25df3","\u25df4","\u25df5","\u25df6","\u25df7","\u25df8","\u25df9","\u25dfa","\u25dfb","\u25dfc","\u25dfd","\u25dfe","\u25dff","\u25e00","\u25e01","\u25e02","\u25e03","\u25e04","\u25e05","\u25e06","\u25e07","\u25e08","\u25e09","\u25e0a","\u25e0b","\u25e0c","\u25e0d","\u25e0e","\u25e0f","\u25e10","\u25e11","\u25e12","\u25e13","\u25e14","\u25e15","\u25e16","\u25e17","\u25e18","\u25e19","\u25e1a","\u25e1b","\u25e1c","\u25e1d","\u25e1e","\u25e1f","\u25e20","\u25e21","\u25e22","\u25e23","\u25e24","\u25e25","\u25e26","\u25e27","\u25e28","\u25e29","\u25e2a","\u25e2b","\u25e2c","\u25e2d","\u25e2e","\u25e2f","\u25e30","\u25e31","\u25e32","\u25e33","\u25e34","\u25e35","\u25e36","\u25e37","\u25e38","\u25e39","\u25e3a","\u25e3b","\u25e3c","\u25e3d","\u25e3e","\u25e3f","\u25e40","\u25e41","\u25e42","\u25e43","\u25e44","\u25e45","\u25e46","\u25e47","\u25e48","\u25e49","\u25e4a","\u25e4b","\u25e4c","\u25e4d","\u25e4e","\u25e4f","\u25e50","\u25e51","\u25e52","\u25e53","\u25e54","\u25e55","\u25e56","\u25e57","\u25e58","\u25e59","\u25e5a","\u25e5b","\u25e5c","\u25e5d","\u25e5e","\u25e5f","\u25e60","\u25e61","\u25e62","\u25e63","\u25e64","\u25e65","\u25e66","\u25e67","\u25e68","\u25e69","\u25e6a","\u25e6b","\u25e6c","\u25e6d","\u25e6e","\u25e6f","\u25e70","\u25e71","\u25e72","\u25e73","\u25e74","\u25e75","\u25e76","\u25e77","\u25e78","\u25e79","\u25e7a","\u25e7b","\u25e7c","\u25e7d","\u25e7e","\u25e7f","\u25e80","\u25e81","\u25e82","\u25e83","\u25e84","\u25e85","\u25e86","\u25e87","\u25e88","\u25e89","\u25e8a","\u25e8b","\u25e8c","\u25e8d","\u25e8e","\u25e8f","\u25e90","\u25e91","\u25e92","\u25e93","\u25e94","\u25e95","\u25e96","\u25e97","\u25e98","\u25e99","\u25e9a","\u25e9b","\u25e9c","\u25e9d","\u25e9e","\u25e9f","\u25ea0","\u25ea1","\u25ea2","\u25ea3","\u25ea4","\u25ea5","\u25ea6","\u25ea7","\u25ea8","\u25ea9","\u25eaa","\u25eab","\u25eac","\u25ead","\u25eae","\u25eaf","\u25eb0","\u25eb1","\u25eb2","\u25eb3","\u25eb4","\u25eb5","\u25eb6","\u25eb7","\u25eb8","\u25eb9","\u25eba","\u25ebb","\u25ebc","\u25ebd","\u25ebe","\u25ebf","\u25ec0","\u25ec1","\u25ec2","\u25ec3","\u25ec4","\u25ec5","\u25ec6","\u25ec7","\u25ec8","\u25ec9","\u25eca","\u25ecb","\u25ecc","\u25ecd","\u25ece","\u25ecf","\u25ed0","\u25ed1","\u25ed2","\u25ed3","\u25ed4","\u25ed5","\u25ed6","\u25ed7","\u25ed8","\u25ed9","\u25eda","\u25edb","\u25edc","\u25edd","\u25ede","\u25edf","\u25ee0","\u25ee1","\u25ee2","\u25ee3","\u25ee4","\u25ee5","\u25ee6","\u25ee7","\u25ee8","\u25ee9","\u25eea","\u25eeb","\u25eec","\u25eed","\u25eee","\u25eef","\u25ef0","\u25ef1","\u25ef2","\u25ef3","\u25ef4","\u25ef5","\u25ef6","\u25ef7","\u25ef8","\u25ef9","\u25efa","\u25efb","\u25efc","\u25efd","\u25efe","\u25eff","\u25f00","\u25f01","\u25f02","\u25f03","\u25f04","\u25f05","\u25f06","\u25f07","\u25f08","\u25f09","\u25f0a","\u25f0b","\u25f0c","\u25f0d","\u25f0e","\u25f0f","\u25f10","\u25f11","\u25f12","\u25f13","\u25f14","\u25f15","\u25f16","\u25f17","\u25f18","\u25f19","\u25f1a","\u25f1b","\u25f1c","\u25f1d","\u25f1e","\u25f1f","\u25f20","\u25f21","\u25f22","\u25f23","\u25f24","\u25f25","\u25f26","\u25f27","\u25f28","\u25f29","\u25f2a","\u25f2b","\u25f2c","\u25f2d","\u25f2e","\u25f2f","\u25f30","\u25f31","\u25f32","\u25f33","\u25f34","\u25f35","\u25f36","\u25f37","\u25f38","\u25f39","\u25f3a","\u25f3b","\u25f3c","\u25f3d","\u25f3e","\u25f3f","\u25f40","\u25f41","\u25f42","\u25f43","\u25f44","\u25f45","\u25f46","\u25f47","\u25f48","\u25f49","\u25f4a","\u25f4b","\u25f4c","\u25f4d","\u25f4e","\u25f4f","\u25f50","\u25f51","\u25f52","\u25f53","\u25f54","\u25f55","\u25f56","\u25f57","\u25f58","\u25f59","\u25f5a","\u25f5b","\u25f5c","\u25f5d","\u25f5e","\u25f5f","\u25f60","\u25f61","\u25f62","\u25f63","\u25f64","\u25f65","\u25f66","\u25f67","\u25f68","\u25f69","\u25f6a","\u25f6b","\u25f6c","\u25f6d","\u25f6e","\u25f6f","\u25f70","\u25f71","\u25f72","\u25f73","\u25f74","\u25f75","\u25f76","\u25f77","\u25f78","\u25f79","\u25f7a","\u25f7b","\u25f7c","\u25f7d","\u25f7e","\u25f7f","\u25f80","\u25f81","\u25f82","\u25f83","\u25f84","\u25f85","\u25f86","\u25f87","\u25f88","\u25f89","\u25f8a","\u25f8b","\u25f8c","\u25f8d","\u25f8e","\u25f8f","\u25f90","\u25f91","\u25f92","\u25f93","\u25f94","\u25f95","\u25f96","\u25f97","\u25f98","\u25f99","\u25f9a","\u25f9b","\u25f9c","\u25f9d","\u25f9e","\u25f9f","\u25fa0","\u25fa1","\u25fa2","\u25fa3","\u25fa4","\u25fa5","\u25fa6","\u25fa7","\u25fa8","\u25fa9","\u25faa","\u25fab","\u25fac","\u25fad","\u25fae","\u25faf","\u25fb0","\u25fb1","\u25fb2","\u25fb3","\u25fb4","\u25fb5","\u25fb6","\u25fb7","\u25fb8","\u25fb9","\u25fba","\u25fbb","\u25fbc","\u25fbd","\u25fbe","\u25fbf","\u25fc0","\u25fc1","\u25fc2","\u25fc3","\u25fc4","\u25fc5","\u25fc6","\u25fc7","\u25fc8","\u25fc9","\u25fca","\u25fcb","\u25fcc","\u25fcd","\u25fce","\u25fcf","\u25fd0","\u25fd1","\u25fd2","\u25fd3","\u25fd4","\u25fd5","\u25fd6","\u25fd7","\u25fd8","\u25fd9","\u25fda","\u25fdb","\u25fdc","\u25fdd","\u25fde","\u25fdf","\u25fe0","\u25fe1","\u25fe2","\u25fe3","\u25fe4","\u25fe5","\u25fe6","\u25fe7","\u25fe8","\u25fe9","\u25fea","\u25feb","\u25fec","\u25fed","\u25fee","\u25fef","\u25ff0","\u25ff1","\u25ff2","\u25ff3","\u25ff4","\u25ff5","\u25ff6","\u25ff7","\u25ff8","\u25ff9","\u25ffa","\u25ffb","\u25ffc","\u25ffd","\u25ffe","\u25fff","\u26000","\u26001","\u26002","\u26003","\u26004","\u26005","\u26006","\u26007","\u26008","\u26009","\u2600a","\u2600b","\u2600c","\u2600d","\u2600e","\u2600f","\u26010","\u26011","\u26012","\u26013","\u26014","\u26015","\u26016","\u26017","\u26018","\u26019","\u2601a","\u2601b","\u2601c","\u2601d","\u2601e","\u2601f","\u26020","\u26021","\u26022","\u26023","\u26024","\u26025","\u26026","\u26027","\u26028","\u26029","\u2602a","\u2602b","\u2602c","\u2602d","\u2602e","\u2602f","\u26030","\u26031","\u26032","\u26033","\u26034","\u26035","\u26036","\u26037","\u26038","\u26039","\u2603a","\u2603b","\u2603c","\u2603d","\u2603e","\u2603f","\u26040","\u26041","\u26042","\u26043","\u26044","\u26045","\u26046","\u26047","\u26048","\u26049","\u2604a","\u2604b","\u2604c","\u2604d","\u2604e","\u2604f","\u26050","\u26051","\u26052","\u26053","\u26054","\u26055","\u26056","\u26057","\u26058","\u26059","\u2605a","\u2605b","\u2605c","\u2605d","\u2605e","\u2605f","\u26060","\u26061","\u26062","\u26063","\u26064","\u26065","\u26066","\u26067","\u26068","\u26069","\u2606a","\u2606b","\u2606c","\u2606d","\u2606e","\u2606f","\u26070","\u26071","\u26072","\u26073","\u26074","\u26075","\u26076","\u26077","\u26078","\u26079","\u2607a","\u2607b","\u2607c","\u2607d","\u2607e","\u2607f","\u26080","\u26081","\u26082","\u26083","\u26084","\u26085","\u26086","\u26087","\u26088","\u26089","\u2608a","\u2608b","\u2608c","\u2608d","\u2608e","\u2608f","\u26090","\u26091","\u26092","\u26093","\u26094","\u26095","\u26096","\u26097","\u26098","\u26099","\u2609a","\u2609b","\u2609c","\u2609d","\u2609e","\u2609f","\u260a0","\u260a1","\u260a2","\u260a3","\u260a4","\u260a5","\u260a6","\u260a7","\u260a8","\u260a9","\u260aa","\u260ab","\u260ac","\u260ad","\u260ae","\u260af","\u260b0","\u260b1","\u260b2","\u260b3","\u260b4","\u260b5","\u260b6","\u260b7","\u260b8","\u260b9","\u260ba","\u260bb","\u260bc","\u260bd","\u260be","\u260bf","\u260c0","\u260c1","\u260c2","\u260c3","\u260c4","\u260c5","\u260c6","\u260c7","\u260c8","\u260c9","\u260ca","\u260cb","\u260cc","\u260cd","\u260ce","\u260cf","\u260d0","\u260d1","\u260d2","\u260d3","\u260d4","\u260d5","\u260d6","\u260d7","\u260d8","\u260d9","\u260da","\u260db","\u260dc","\u260dd","\u260de","\u260df","\u260e0","\u260e1","\u260e2","\u260e3","\u260e4","\u260e5","\u260e6","\u260e7","\u260e8","\u260e9","\u260ea","\u260eb","\u260ec","\u260ed","\u260ee","\u260ef","\u260f0","\u260f1","\u260f2","\u260f3","\u260f4","\u260f5","\u260f6","\u260f7","\u260f8","\u260f9","\u260fa","\u260fb","\u260fc","\u260fd","\u260fe","\u260ff","\u26100","\u26101","\u26102","\u26103","\u26104","\u26105","\u26106","\u26107","\u26108","\u26109","\u2610a","\u2610b","\u2610c","\u2610d","\u2610e","\u2610f","\u26110","\u26111","\u26112","\u26113","\u26114","\u26115","\u26116","\u26117","\u26118","\u26119","\u2611a","\u2611b","\u2611c","\u2611d","\u2611e","\u2611f","\u26120","\u26121","\u26122","\u26123","\u26124","\u26125","\u26126","\u26127","\u26128","\u26129","\u2612a","\u2612b","\u2612c","\u2612d","\u2612e","\u2612f","\u26130","\u26131","\u26132","\u26133","\u26134","\u26135","\u26136","\u26137","\u26138","\u26139","\u2613a","\u2613b","\u2613c","\u2613d","\u2613e","\u2613f","\u26140","\u26141","\u26142","\u26143","\u26144","\u26145","\u26146","\u26147","\u26148","\u26149","\u2614a","\u2614b","\u2614c","\u2614d","\u2614e","\u2614f","\u26150","\u26151","\u26152","\u26153","\u26154","\u26155","\u26156","\u26157","\u26158","\u26159","\u2615a","\u2615b","\u2615c","\u2615d","\u2615e","\u2615f","\u26160","\u26161","\u26162","\u26163","\u26164","\u26165","\u26166","\u26167","\u26168","\u26169","\u2616a","\u2616b","\u2616c","\u2616d","\u2616e","\u2616f","\u26170","\u26171","\u26172","\u26173","\u26174","\u26175","\u26176","\u26177","\u26178","\u26179","\u2617a","\u2617b","\u2617c","\u2617d","\u2617e","\u2617f","\u26180","\u26181","\u26182","\u26183","\u26184","\u26185","\u26186","\u26187","\u26188","\u26189","\u2618a","\u2618b","\u2618c","\u2618d","\u2618e","\u2618f","\u26190","\u26191","\u26192","\u26193","\u26194","\u26195","\u26196","\u26197","\u26198","\u26199","\u2619a","\u2619b","\u2619c","\u2619d","\u2619e","\u2619f","\u261a0","\u261a1","\u261a2","\u261a3","\u261a4","\u261a5","\u261a6","\u261a7","\u261a8","\u261a9","\u261aa","\u261ab","\u261ac","\u261ad","\u261ae","\u261af","\u261b0","\u261b1","\u261b2","\u261b3","\u261b4","\u261b5","\u261b6","\u261b7","\u261b8","\u261b9","\u261ba","\u261bb","\u261bc","\u261bd","\u261be","\u261bf","\u261c0","\u261c1","\u261c2","\u261c3","\u261c4","\u261c5","\u261c6","\u261c7","\u261c8","\u261c9","\u261ca","\u261cb","\u261cc","\u261cd","\u261ce","\u261cf","\u261d0","\u261d1","\u261d2","\u261d3","\u261d4","\u261d5","\u261d6","\u261d7","\u261d8","\u261d9","\u261da","\u261db","\u261dc","\u261dd","\u261de","\u261df","\u261e0","\u261e1","\u261e2","\u261e3","\u261e4","\u261e5","\u261e6","\u261e7","\u261e8","\u261e9","\u261ea","\u261eb","\u261ec","\u261ed","\u261ee","\u261ef","\u261f0","\u261f1","\u261f2","\u261f3","\u261f4","\u261f5","\u261f6","\u261f7","\u261f8","\u261f9","\u261fa","\u261fb","\u261fc","\u261fd","\u261fe","\u261ff","\u26200","\u26201","\u26202","\u26203","\u26204","\u26205","\u26206","\u26207","\u26208","\u26209","\u2620a","\u2620b","\u2620c","\u2620d","\u2620e","\u2620f","\u26210","\u26211","\u26212","\u26213","\u26214","\u26215","\u26216","\u26217","\u26218","\u26219","\u2621a","\u2621b","\u2621c","\u2621d","\u2621e","\u2621f","\u26220","\u26221","\u26222","\u26223","\u26224","\u26225","\u26226","\u26227","\u26228","\u26229","\u2622a","\u2622b","\u2622c","\u2622d","\u2622e","\u2622f","\u26230","\u26231","\u26232","\u26233","\u26234","\u26235","\u26236","\u26237","\u26238","\u26239","\u2623a","\u2623b","\u2623c","\u2623d","\u2623e","\u2623f","\u26240","\u26241","\u26242","\u26243","\u26244","\u26245","\u26246","\u26247","\u26248","\u26249","\u2624a","\u2624b","\u2624c","\u2624d","\u2624e","\u2624f","\u26250","\u26251","\u26252","\u26253","\u26254","\u26255","\u26256","\u26257","\u26258","\u26259","\u2625a","\u2625b","\u2625c","\u2625d","\u2625e","\u2625f","\u26260","\u26261","\u26262","\u26263","\u26264","\u26265","\u26266","\u26267","\u26268","\u26269","\u2626a","\u2626b","\u2626c","\u2626d","\u2626e","\u2626f","\u26270","\u26271","\u26272","\u26273","\u26274","\u26275","\u26276","\u26277","\u26278","\u26279","\u2627a","\u2627b","\u2627c","\u2627d","\u2627e","\u2627f","\u26280","\u26281","\u26282","\u26283","\u26284","\u26285","\u26286","\u26287","\u26288","\u26289","\u2628a","\u2628b","\u2628c","\u2628d","\u2628e","\u2628f","\u26290","\u26291","\u26292","\u26293","\u26294","\u26295","\u26296","\u26297","\u26298","\u26299","\u2629a","\u2629b","\u2629c","\u2629d","\u2629e","\u2629f","\u262a0","\u262a1","\u262a2","\u262a3","\u262a4","\u262a5","\u262a6","\u262a7","\u262a8","\u262a9","\u262aa","\u262ab","\u262ac","\u262ad","\u262ae","\u262af","\u262b0","\u262b1","\u262b2","\u262b3","\u262b4","\u262b5","\u262b6","\u262b7","\u262b8","\u262b9","\u262ba","\u262bb","\u262bc","\u262bd","\u262be","\u262bf","\u262c0","\u262c1","\u262c2","\u262c3","\u262c4","\u262c5","\u262c6","\u262c7","\u262c8","\u262c9","\u262ca","\u262cb","\u262cc","\u262cd","\u262ce","\u262cf","\u262d0","\u262d1","\u262d2","\u262d3","\u262d4","\u262d5","\u262d6","\u262d7","\u262d8","\u262d9","\u262da","\u262db","\u262dc","\u262dd","\u262de","\u262df","\u262e0","\u262e1","\u262e2","\u262e3","\u262e4","\u262e5","\u262e6","\u262e7","\u262e8","\u262e9","\u262ea","\u262eb","\u262ec","\u262ed","\u262ee","\u262ef","\u262f0","\u262f1","\u262f2","\u262f3","\u262f4","\u262f5","\u262f6","\u262f7","\u262f8","\u262f9","\u262fa","\u262fb","\u262fc","\u262fd","\u262fe","\u262ff","\u26300","\u26301","\u26302","\u26303","\u26304","\u26305","\u26306","\u26307","\u26308","\u26309","\u2630a","\u2630b","\u2630c","\u2630d","\u2630e","\u2630f","\u26310","\u26311","\u26312","\u26313","\u26314","\u26315","\u26316","\u26317","\u26318","\u26319","\u2631a","\u2631b","\u2631c","\u2631d","\u2631e","\u2631f","\u26320","\u26321","\u26322","\u26323","\u26324","\u26325","\u26326","\u26327","\u26328","\u26329","\u2632a","\u2632b","\u2632c","\u2632d","\u2632e","\u2632f","\u26330","\u26331","\u26332","\u26333","\u26334","\u26335","\u26336","\u26337","\u26338","\u26339","\u2633a","\u2633b","\u2633c","\u2633d","\u2633e","\u2633f","\u26340","\u26341","\u26342","\u26343","\u26344","\u26345","\u26346","\u26347","\u26348","\u26349","\u2634a","\u2634b","\u2634c","\u2634d","\u2634e","\u2634f","\u26350","\u26351","\u26352","\u26353","\u26354","\u26355","\u26356","\u26357","\u26358","\u26359","\u2635a","\u2635b","\u2635c","\u2635d","\u2635e","\u2635f","\u26360","\u26361","\u26362","\u26363","\u26364","\u26365","\u26366","\u26367","\u26368","\u26369","\u2636a","\u2636b","\u2636c","\u2636d","\u2636e","\u2636f","\u26370","\u26371","\u26372","\u26373","\u26374","\u26375","\u26376","\u26377","\u26378","\u26379","\u2637a","\u2637b","\u2637c","\u2637d","\u2637e","\u2637f","\u26380","\u26381","\u26382","\u26383","\u26384","\u26385","\u26386","\u26387","\u26388","\u26389","\u2638a","\u2638b","\u2638c","\u2638d","\u2638e","\u2638f","\u26390","\u26391","\u26392","\u26393","\u26394","\u26395","\u26396","\u26397","\u26398","\u26399","\u2639a","\u2639b","\u2639c","\u2639d","\u2639e","\u2639f","\u263a0","\u263a1","\u263a2","\u263a3","\u263a4","\u263a5","\u263a6","\u263a7","\u263a8","\u263a9","\u263aa","\u263ab","\u263ac","\u263ad","\u263ae","\u263af","\u263b0","\u263b1","\u263b2","\u263b3","\u263b4","\u263b5","\u263b6","\u263b7","\u263b8","\u263b9","\u263ba","\u263bb","\u263bc","\u263bd","\u263be","\u263bf","\u263c0","\u263c1","\u263c2","\u263c3","\u263c4","\u263c5","\u263c6","\u263c7","\u263c8","\u263c9","\u263ca","\u263cb","\u263cc","\u263cd","\u263ce","\u263cf","\u263d0","\u263d1","\u263d2","\u263d3","\u263d4","\u263d5","\u263d6","\u263d7","\u263d8","\u263d9","\u263da","\u263db","\u263dc","\u263dd","\u263de","\u263df","\u263e0","\u263e1","\u263e2","\u263e3","\u263e4","\u263e5","\u263e6","\u263e7","\u263e8","\u263e9","\u263ea","\u263eb","\u263ec","\u263ed","\u263ee","\u263ef","\u263f0","\u263f1","\u263f2","\u263f3","\u263f4","\u263f5","\u263f6","\u263f7","\u263f8","\u263f9","\u263fa","\u263fb","\u263fc","\u263fd","\u263fe","\u263ff","\u26400","\u26401","\u26402","\u26403","\u26404","\u26405","\u26406","\u26407","\u26408","\u26409","\u2640a","\u2640b","\u2640c","\u2640d","\u2640e","\u2640f","\u26410","\u26411","\u26412","\u26413","\u26414","\u26415","\u26416","\u26417","\u26418","\u26419","\u2641a","\u2641b","\u2641c","\u2641d","\u2641e","\u2641f","\u26420","\u26421","\u26422","\u26423","\u26424","\u26425","\u26426","\u26427","\u26428","\u26429","\u2642a","\u2642b","\u2642c","\u2642d","\u2642e","\u2642f","\u26430","\u26431","\u26432","\u26433","\u26434","\u26435","\u26436","\u26437","\u26438","\u26439","\u2643a","\u2643b","\u2643c","\u2643d","\u2643e","\u2643f","\u26440","\u26441","\u26442","\u26443","\u26444","\u26445","\u26446","\u26447","\u26448","\u26449","\u2644a","\u2644b","\u2644c","\u2644d","\u2644e","\u2644f","\u26450","\u26451","\u26452","\u26453","\u26454","\u26455","\u26456","\u26457","\u26458","\u26459","\u2645a","\u2645b","\u2645c","\u2645d","\u2645e","\u2645f","\u26460","\u26461","\u26462","\u26463","\u26464","\u26465","\u26466","\u26467","\u26468","\u26469","\u2646a","\u2646b","\u2646c","\u2646d","\u2646e","\u2646f","\u26470","\u26471","\u26472","\u26473","\u26474","\u26475","\u26476","\u26477","\u26478","\u26479","\u2647a","\u2647b","\u2647c","\u2647d","\u2647e","\u2647f","\u26480","\u26481","\u26482","\u26483","\u26484","\u26485","\u26486","\u26487","\u26488","\u26489","\u2648a","\u2648b","\u2648c","\u2648d","\u2648e","\u2648f","\u26490","\u26491","\u26492","\u26493","\u26494","\u26495","\u26496","\u26497","\u26498","\u26499","\u2649a","\u2649b","\u2649c","\u2649d","\u2649e","\u2649f","\u264a0","\u264a1","\u264a2","\u264a3","\u264a4","\u264a5","\u264a6","\u264a7","\u264a8","\u264a9","\u264aa","\u264ab","\u264ac","\u264ad","\u264ae","\u264af","\u264b0","\u264b1","\u264b2","\u264b3","\u264b4","\u264b5","\u264b6","\u264b7","\u264b8","\u264b9","\u264ba","\u264bb","\u264bc","\u264bd","\u264be","\u264bf","\u264c0","\u264c1","\u264c2","\u264c3","\u264c4","\u264c5","\u264c6","\u264c7","\u264c8","\u264c9","\u264ca","\u264cb","\u264cc","\u264cd","\u264ce","\u264cf","\u264d0","\u264d1","\u264d2","\u264d3","\u264d4","\u264d5","\u264d6","\u264d7","\u264d8","\u264d9","\u264da","\u264db","\u264dc","\u264dd","\u264de","\u264df","\u264e0","\u264e1","\u264e2","\u264e3","\u264e4","\u264e5","\u264e6","\u264e7","\u264e8","\u264e9","\u264ea","\u264eb","\u264ec","\u264ed","\u264ee","\u264ef","\u264f0","\u264f1","\u264f2","\u264f3","\u264f4","\u264f5","\u264f6","\u264f7","\u264f8","\u264f9","\u264fa","\u264fb","\u264fc","\u264fd","\u264fe","\u264ff","\u26500","\u26501","\u26502","\u26503","\u26504","\u26505","\u26506","\u26507","\u26508","\u26509","\u2650a","\u2650b","\u2650c","\u2650d","\u2650e","\u2650f","\u26510","\u26511","\u26512","\u26513","\u26514","\u26515","\u26516","\u26517","\u26518","\u26519","\u2651a","\u2651b","\u2651c","\u2651d","\u2651e","\u2651f","\u26520","\u26521","\u26522","\u26523","\u26524","\u26525","\u26526","\u26527","\u26528","\u26529","\u2652a","\u2652b","\u2652c","\u2652d","\u2652e","\u2652f","\u26530","\u26531","\u26532","\u26533","\u26534","\u26535","\u26536","\u26537","\u26538","\u26539","\u2653a","\u2653b","\u2653c","\u2653d","\u2653e","\u2653f","\u26540","\u26541","\u26542","\u26543","\u26544","\u26545","\u26546","\u26547","\u26548","\u26549","\u2654a","\u2654b","\u2654c","\u2654d","\u2654e","\u2654f","\u26550","\u26551","\u26552","\u26553","\u26554","\u26555","\u26556","\u26557","\u26558","\u26559","\u2655a","\u2655b","\u2655c","\u2655d","\u2655e","\u2655f","\u26560","\u26561","\u26562","\u26563","\u26564","\u26565","\u26566","\u26567","\u26568","\u26569","\u2656a","\u2656b","\u2656c","\u2656d","\u2656e","\u2656f","\u26570","\u26571","\u26572","\u26573","\u26574","\u26575","\u26576","\u26577","\u26578","\u26579","\u2657a","\u2657b","\u2657c","\u2657d","\u2657e","\u2657f","\u26580","\u26581","\u26582","\u26583","\u26584","\u26585","\u26586","\u26587","\u26588","\u26589","\u2658a","\u2658b","\u2658c","\u2658d","\u2658e","\u2658f","\u26590","\u26591","\u26592","\u26593","\u26594","\u26595","\u26596","\u26597","\u26598","\u26599","\u2659a","\u2659b","\u2659c","\u2659d","\u2659e","\u2659f","\u265a0","\u265a1","\u265a2","\u265a3","\u265a4","\u265a5","\u265a6","\u265a7","\u265a8","\u265a9","\u265aa","\u265ab","\u265ac","\u265ad","\u265ae","\u265af","\u265b0","\u265b1","\u265b2","\u265b3","\u265b4","\u265b5","\u265b6","\u265b7","\u265b8","\u265b9","\u265ba","\u265bb","\u265bc","\u265bd","\u265be","\u265bf","\u265c0","\u265c1","\u265c2","\u265c3","\u265c4","\u265c5","\u265c6","\u265c7","\u265c8","\u265c9","\u265ca","\u265cb","\u265cc","\u265cd","\u265ce","\u265cf","\u265d0","\u265d1","\u265d2","\u265d3","\u265d4","\u265d5","\u265d6","\u265d7","\u265d8","\u265d9","\u265da","\u265db","\u265dc","\u265dd","\u265de","\u265df","\u265e0","\u265e1","\u265e2","\u265e3","\u265e4","\u265e5","\u265e6","\u265e7","\u265e8","\u265e9","\u265ea","\u265eb","\u265ec","\u265ed","\u265ee","\u265ef","\u265f0","\u265f1","\u265f2","\u265f3","\u265f4","\u265f5","\u265f6","\u265f7","\u265f8","\u265f9","\u265fa","\u265fb","\u265fc","\u265fd","\u265fe","\u265ff","\u26600","\u26601","\u26602","\u26603","\u26604","\u26605","\u26606","\u26607","\u26608","\u26609","\u2660a","\u2660b","\u2660c","\u2660d","\u2660e","\u2660f","\u26610","\u26611","\u26612","\u26613","\u26614","\u26615","\u26616","\u26617","\u26618","\u26619","\u2661a","\u2661b","\u2661c","\u2661d","\u2661e","\u2661f","\u26620","\u26621","\u26622","\u26623","\u26624","\u26625","\u26626","\u26627","\u26628","\u26629","\u2662a","\u2662b","\u2662c","\u2662d","\u2662e","\u2662f","\u26630","\u26631","\u26632","\u26633","\u26634","\u26635","\u26636","\u26637","\u26638","\u26639","\u2663a","\u2663b","\u2663c","\u2663d","\u2663e","\u2663f","\u26640","\u26641","\u26642","\u26643","\u26644","\u26645","\u26646","\u26647","\u26648","\u26649","\u2664a","\u2664b","\u2664c","\u2664d","\u2664e","\u2664f","\u26650","\u26651","\u26652","\u26653","\u26654","\u26655","\u26656","\u26657","\u26658","\u26659","\u2665a","\u2665b","\u2665c","\u2665d","\u2665e","\u2665f","\u26660","\u26661","\u26662","\u26663","\u26664","\u26665","\u26666","\u26667","\u26668","\u26669","\u2666a","\u2666b","\u2666c","\u2666d","\u2666e","\u2666f","\u26670","\u26671","\u26672","\u26673","\u26674","\u26675","\u26676","\u26677","\u26678","\u26679","\u2667a","\u2667b","\u2667c","\u2667d","\u2667e","\u2667f","\u26680","\u26681","\u26682","\u26683","\u26684","\u26685","\u26686","\u26687","\u26688","\u26689","\u2668a","\u2668b","\u2668c","\u2668d","\u2668e","\u2668f","\u26690","\u26691","\u26692","\u26693","\u26694","\u26695","\u26696","\u26697","\u26698","\u26699","\u2669a","\u2669b","\u2669c","\u2669d","\u2669e","\u2669f","\u266a0","\u266a1","\u266a2","\u266a3","\u266a4","\u266a5","\u266a6","\u266a7","\u266a8","\u266a9","\u266aa","\u266ab","\u266ac","\u266ad","\u266ae","\u266af","\u266b0","\u266b1","\u266b2","\u266b3","\u266b4","\u266b5","\u266b6","\u266b7","\u266b8","\u266b9","\u266ba","\u266bb","\u266bc","\u266bd","\u266be","\u266bf","\u266c0","\u266c1","\u266c2","\u266c3","\u266c4","\u266c5","\u266c6","\u266c7","\u266c8","\u266c9","\u266ca","\u266cb","\u266cc","\u266cd","\u266ce","\u266cf","\u266d0","\u266d1","\u266d2","\u266d3","\u266d4","\u266d5","\u266d6","\u266d7","\u266d8","\u266d9","\u266da","\u266db","\u266dc","\u266dd","\u266de","\u266df","\u266e0","\u266e1","\u266e2","\u266e3","\u266e4","\u266e5","\u266e6","\u266e7","\u266e8","\u266e9","\u266ea","\u266eb","\u266ec","\u266ed","\u266ee","\u266ef","\u266f0","\u266f1","\u266f2","\u266f3","\u266f4","\u266f5","\u266f6","\u266f7","\u266f8","\u266f9","\u266fa","\u266fb","\u266fc","\u266fd","\u266fe","\u266ff","\u26700","\u26701","\u26702","\u26703","\u26704","\u26705","\u26706","\u26707","\u26708","\u26709","\u2670a","\u2670b","\u2670c","\u2670d","\u2670e","\u2670f","\u26710","\u26711","\u26712","\u26713","\u26714","\u26715","\u26716","\u26717","\u26718","\u26719","\u2671a","\u2671b","\u2671c","\u2671d","\u2671e","\u2671f","\u26720","\u26721","\u26722","\u26723","\u26724","\u26725","\u26726","\u26727","\u26728","\u26729","\u2672a","\u2672b","\u2672c","\u2672d","\u2672e","\u2672f","\u26730","\u26731","\u26732","\u26733","\u26734","\u26735","\u26736","\u26737","\u26738","\u26739","\u2673a","\u2673b","\u2673c","\u2673d","\u2673e","\u2673f","\u26740","\u26741","\u26742","\u26743","\u26744","\u26745","\u26746","\u26747","\u26748","\u26749","\u2674a","\u2674b","\u2674c","\u2674d","\u2674e","\u2674f","\u26750","\u26751","\u26752","\u26753","\u26754","\u26755","\u26756","\u26757","\u26758","\u26759","\u2675a","\u2675b","\u2675c","\u2675d","\u2675e","\u2675f","\u26760","\u26761","\u26762","\u26763","\u26764","\u26765","\u26766","\u26767","\u26768","\u26769","\u2676a","\u2676b","\u2676c","\u2676d","\u2676e","\u2676f","\u26770","\u26771","\u26772","\u26773","\u26774","\u26775","\u26776","\u26777","\u26778","\u26779","\u2677a","\u2677b","\u2677c","\u2677d","\u2677e","\u2677f","\u26780","\u26781","\u26782","\u26783","\u26784","\u26785","\u26786","\u26787","\u26788","\u26789","\u2678a","\u2678b","\u2678c","\u2678d","\u2678e","\u2678f","\u26790","\u26791","\u26792","\u26793","\u26794","\u26795","\u26796","\u26797","\u26798","\u26799","\u2679a","\u2679b","\u2679c","\u2679d","\u2679e","\u2679f","\u267a0","\u267a1","\u267a2","\u267a3","\u267a4","\u267a5","\u267a6","\u267a7","\u267a8","\u267a9","\u267aa","\u267ab","\u267ac","\u267ad","\u267ae","\u267af","\u267b0","\u267b1","\u267b2","\u267b3","\u267b4","\u267b5","\u267b6","\u267b7","\u267b8","\u267b9","\u267ba","\u267bb","\u267bc","\u267bd","\u267be","\u267bf","\u267c0","\u267c1","\u267c2","\u267c3","\u267c4","\u267c5","\u267c6","\u267c7","\u267c8","\u267c9","\u267ca","\u267cb","\u267cc","\u267cd","\u267ce","\u267cf","\u267d0","\u267d1","\u267d2","\u267d3","\u267d4","\u267d5","\u267d6","\u267d7","\u267d8","\u267d9","\u267da","\u267db","\u267dc","\u267dd","\u267de","\u267df","\u267e0","\u267e1","\u267e2","\u267e3","\u267e4","\u267e5","\u267e6","\u267e7","\u267e8","\u267e9","\u267ea","\u267eb","\u267ec","\u267ed","\u267ee","\u267ef","\u267f0","\u267f1","\u267f2","\u267f3","\u267f4","\u267f5","\u267f6","\u267f7","\u267f8","\u267f9","\u267fa","\u267fb","\u267fc","\u267fd","\u267fe","\u267ff","\u26800","\u26801","\u26802","\u26803","\u26804","\u26805","\u26806","\u26807","\u26808","\u26809","\u2680a","\u2680b","\u2680c","\u2680d","\u2680e","\u2680f","\u26810","\u26811","\u26812","\u26813","\u26814","\u26815","\u26816","\u26817","\u26818","\u26819","\u2681a","\u2681b","\u2681c","\u2681d","\u2681e","\u2681f","\u26820","\u26821","\u26822","\u26823","\u26824","\u26825","\u26826","\u26827","\u26828","\u26829","\u2682a","\u2682b","\u2682c","\u2682d","\u2682e","\u2682f","\u26830","\u26831","\u26832","\u26833","\u26834","\u26835","\u26836","\u26837","\u26838","\u26839","\u2683a","\u2683b","\u2683c","\u2683d","\u2683e","\u2683f","\u26840","\u26841","\u26842","\u26843","\u26844","\u26845","\u26846","\u26847","\u26848","\u26849","\u2684a","\u2684b","\u2684c","\u2684d","\u2684e","\u2684f","\u26850","\u26851","\u26852","\u26853","\u26854","\u26855","\u26856","\u26857","\u26858","\u26859","\u2685a","\u2685b","\u2685c","\u2685d","\u2685e","\u2685f","\u26860","\u26861","\u26862","\u26863","\u26864","\u26865","\u26866","\u26867","\u26868","\u26869","\u2686a","\u2686b","\u2686c","\u2686d","\u2686e","\u2686f","\u26870","\u26871","\u26872","\u26873","\u26874","\u26875","\u26876","\u26877","\u26878","\u26879","\u2687a","\u2687b","\u2687c","\u2687d","\u2687e","\u2687f","\u26880","\u26881","\u26882","\u26883","\u26884","\u26885","\u26886","\u26887","\u26888","\u26889","\u2688a","\u2688b","\u2688c","\u2688d","\u2688e","\u2688f","\u26890","\u26891","\u26892","\u26893","\u26894","\u26895","\u26896","\u26897","\u26898","\u26899","\u2689a","\u2689b","\u2689c","\u2689d","\u2689e","\u2689f","\u268a0","\u268a1","\u268a2","\u268a3","\u268a4","\u268a5","\u268a6","\u268a7","\u268a8","\u268a9","\u268aa","\u268ab","\u268ac","\u268ad","\u268ae","\u268af","\u268b0","\u268b1","\u268b2","\u268b3","\u268b4","\u268b5","\u268b6","\u268b7","\u268b8","\u268b9","\u268ba","\u268bb","\u268bc","\u268bd","\u268be","\u268bf","\u268c0","\u268c1","\u268c2","\u268c3","\u268c4","\u268c5","\u268c6","\u268c7","\u268c8","\u268c9","\u268ca","\u268cb","\u268cc","\u268cd","\u268ce","\u268cf","\u268d0","\u268d1","\u268d2","\u268d3","\u268d4","\u268d5","\u268d6","\u268d7","\u268d8","\u268d9","\u268da","\u268db","\u268dc","\u268dd","\u268de","\u268df","\u268e0","\u268e1","\u268e2","\u268e3","\u268e4","\u268e5","\u268e6","\u268e7","\u268e8","\u268e9","\u268ea","\u268eb","\u268ec","\u268ed","\u268ee","\u268ef","\u268f0","\u268f1","\u268f2","\u268f3","\u268f4","\u268f5","\u268f6","\u268f7","\u268f8","\u268f9","\u268fa","\u268fb","\u268fc","\u268fd","\u268fe","\u268ff","\u26900","\u26901","\u26902","\u26903","\u26904","\u26905","\u26906","\u26907","\u26908","\u26909","\u2690a","\u2690b","\u2690c","\u2690d","\u2690e","\u2690f","\u26910","\u26911","\u26912","\u26913","\u26914","\u26915","\u26916","\u26917","\u26918","\u26919","\u2691a","\u2691b","\u2691c","\u2691d","\u2691e","\u2691f","\u26920","\u26921","\u26922","\u26923","\u26924","\u26925","\u26926","\u26927","\u26928","\u26929","\u2692a","\u2692b","\u2692c","\u2692d","\u2692e","\u2692f","\u26930","\u26931","\u26932","\u26933","\u26934","\u26935","\u26936","\u26937","\u26938","\u26939","\u2693a","\u2693b","\u2693c","\u2693d","\u2693e","\u2693f","\u26940","\u26941","\u26942","\u26943","\u26944","\u26945","\u26946","\u26947","\u26948","\u26949","\u2694a","\u2694b","\u2694c","\u2694d","\u2694e","\u2694f","\u26950","\u26951","\u26952","\u26953","\u26954","\u26955","\u26956","\u26957","\u26958","\u26959","\u2695a","\u2695b","\u2695c","\u2695d","\u2695e","\u2695f","\u26960","\u26961","\u26962","\u26963","\u26964","\u26965","\u26966","\u26967","\u26968","\u26969","\u2696a","\u2696b","\u2696c","\u2696d","\u2696e","\u2696f","\u26970","\u26971","\u26972","\u26973","\u26974","\u26975","\u26976","\u26977","\u26978","\u26979","\u2697a","\u2697b","\u2697c","\u2697d","\u2697e","\u2697f","\u26980","\u26981","\u26982","\u26983","\u26984","\u26985","\u26986","\u26987","\u26988","\u26989","\u2698a","\u2698b","\u2698c","\u2698d","\u2698e","\u2698f","\u26990","\u26991","\u26992","\u26993","\u26994","\u26995","\u26996","\u26997","\u26998","\u26999","\u2699a","\u2699b","\u2699c","\u2699d","\u2699e","\u2699f","\u269a0","\u269a1","\u269a2","\u269a3","\u269a4","\u269a5","\u269a6","\u269a7","\u269a8","\u269a9","\u269aa","\u269ab","\u269ac","\u269ad","\u269ae","\u269af","\u269b0","\u269b1","\u269b2","\u269b3","\u269b4","\u269b5","\u269b6","\u269b7","\u269b8","\u269b9","\u269ba","\u269bb","\u269bc","\u269bd","\u269be","\u269bf","\u269c0","\u269c1","\u269c2","\u269c3","\u269c4","\u269c5","\u269c6","\u269c7","\u269c8","\u269c9","\u269ca","\u269cb","\u269cc","\u269cd","\u269ce","\u269cf","\u269d0","\u269d1","\u269d2","\u269d3","\u269d4","\u269d5","\u269d6","\u269d7","\u269d8","\u269d9","\u269da","\u269db","\u269dc","\u269dd","\u269de","\u269df","\u269e0","\u269e1","\u269e2","\u269e3","\u269e4","\u269e5","\u269e6","\u269e7","\u269e8","\u269e9","\u269ea","\u269eb","\u269ec","\u269ed","\u269ee","\u269ef","\u269f0","\u269f1","\u269f2","\u269f3","\u269f4","\u269f5","\u269f6","\u269f7","\u269f8","\u269f9","\u269fa","\u269fb","\u269fc","\u269fd","\u269fe","\u269ff","\u26a00","\u26a01","\u26a02","\u26a03","\u26a04","\u26a05","\u26a06","\u26a07","\u26a08","\u26a09","\u26a0a","\u26a0b","\u26a0c","\u26a0d","\u26a0e","\u26a0f","\u26a10","\u26a11","\u26a12","\u26a13","\u26a14","\u26a15","\u26a16","\u26a17","\u26a18","\u26a19","\u26a1a","\u26a1b","\u26a1c","\u26a1d","\u26a1e","\u26a1f","\u26a20","\u26a21","\u26a22","\u26a23","\u26a24","\u26a25","\u26a26","\u26a27","\u26a28","\u26a29","\u26a2a","\u26a2b","\u26a2c","\u26a2d","\u26a2e","\u26a2f","\u26a30","\u26a31","\u26a32","\u26a33","\u26a34","\u26a35","\u26a36","\u26a37","\u26a38","\u26a39","\u26a3a","\u26a3b","\u26a3c","\u26a3d","\u26a3e","\u26a3f","\u26a40","\u26a41","\u26a42","\u26a43","\u26a44","\u26a45","\u26a46","\u26a47","\u26a48","\u26a49","\u26a4a","\u26a4b","\u26a4c","\u26a4d","\u26a4e","\u26a4f","\u26a50","\u26a51","\u26a52","\u26a53","\u26a54","\u26a55","\u26a56","\u26a57","\u26a58","\u26a59","\u26a5a","\u26a5b","\u26a5c","\u26a5d","\u26a5e","\u26a5f","\u26a60","\u26a61","\u26a62","\u26a63","\u26a64","\u26a65","\u26a66","\u26a67","\u26a68","\u26a69","\u26a6a","\u26a6b","\u26a6c","\u26a6d","\u26a6e","\u26a6f","\u26a70","\u26a71","\u26a72","\u26a73","\u26a74","\u26a75","\u26a76","\u26a77","\u26a78","\u26a79","\u26a7a","\u26a7b","\u26a7c","\u26a7d","\u26a7e","\u26a7f","\u26a80","\u26a81","\u26a82","\u26a83","\u26a84","\u26a85","\u26a86","\u26a87","\u26a88","\u26a89","\u26a8a","\u26a8b","\u26a8c","\u26a8d","\u26a8e","\u26a8f","\u26a90","\u26a91","\u26a92","\u26a93","\u26a94","\u26a95","\u26a96","\u26a97","\u26a98","\u26a99","\u26a9a","\u26a9b","\u26a9c","\u26a9d","\u26a9e","\u26a9f","\u26aa0","\u26aa1","\u26aa2","\u26aa3","\u26aa4","\u26aa5","\u26aa6","\u26aa7","\u26aa8","\u26aa9","\u26aaa","\u26aab","\u26aac","\u26aad","\u26aae","\u26aaf","\u26ab0","\u26ab1","\u26ab2","\u26ab3","\u26ab4","\u26ab5","\u26ab6","\u26ab7","\u26ab8","\u26ab9","\u26aba","\u26abb","\u26abc","\u26abd","\u26abe","\u26abf","\u26ac0","\u26ac1","\u26ac2","\u26ac3","\u26ac4","\u26ac5","\u26ac6","\u26ac7","\u26ac8","\u26ac9","\u26aca","\u26acb","\u26acc","\u26acd","\u26ace","\u26acf","\u26ad0","\u26ad1","\u26ad2","\u26ad3","\u26ad4","\u26ad5","\u26ad6","\u26ad7","\u26ad8","\u26ad9","\u26ada","\u26adb","\u26adc","\u26add","\u26ade","\u26adf","\u26ae0","\u26ae1","\u26ae2","\u26ae3","\u26ae4","\u26ae5","\u26ae6","\u26ae7","\u26ae8","\u26ae9","\u26aea","\u26aeb","\u26aec","\u26aed","\u26aee","\u26aef","\u26af0","\u26af1","\u26af2","\u26af3","\u26af4","\u26af5","\u26af6","\u26af7","\u26af8","\u26af9","\u26afa","\u26afb","\u26afc","\u26afd","\u26afe","\u26aff","\u26b00","\u26b01","\u26b02","\u26b03","\u26b04","\u26b05","\u26b06","\u26b07","\u26b08","\u26b09","\u26b0a","\u26b0b","\u26b0c","\u26b0d","\u26b0e","\u26b0f","\u26b10","\u26b11","\u26b12","\u26b13","\u26b14","\u26b15","\u26b16","\u26b17","\u26b18","\u26b19","\u26b1a","\u26b1b","\u26b1c","\u26b1d","\u26b1e","\u26b1f","\u26b20","\u26b21","\u26b22","\u26b23","\u26b24","\u26b25","\u26b26","\u26b27","\u26b28","\u26b29","\u26b2a","\u26b2b","\u26b2c","\u26b2d","\u26b2e","\u26b2f","\u26b30","\u26b31","\u26b32","\u26b33","\u26b34","\u26b35","\u26b36","\u26b37","\u26b38","\u26b39","\u26b3a","\u26b3b","\u26b3c","\u26b3d","\u26b3e","\u26b3f","\u26b40","\u26b41","\u26b42","\u26b43","\u26b44","\u26b45","\u26b46","\u26b47","\u26b48","\u26b49","\u26b4a","\u26b4b","\u26b4c","\u26b4d","\u26b4e","\u26b4f","\u26b50","\u26b51","\u26b52","\u26b53","\u26b54","\u26b55","\u26b56","\u26b57","\u26b58","\u26b59","\u26b5a","\u26b5b","\u26b5c","\u26b5d","\u26b5e","\u26b5f","\u26b60","\u26b61","\u26b62","\u26b63","\u26b64","\u26b65","\u26b66","\u26b67","\u26b68","\u26b69","\u26b6a","\u26b6b","\u26b6c","\u26b6d","\u26b6e","\u26b6f","\u26b70","\u26b71","\u26b72","\u26b73","\u26b74","\u26b75","\u26b76","\u26b77","\u26b78","\u26b79","\u26b7a","\u26b7b","\u26b7c","\u26b7d","\u26b7e","\u26b7f","\u26b80","\u26b81","\u26b82","\u26b83","\u26b84","\u26b85","\u26b86","\u26b87","\u26b88","\u26b89","\u26b8a","\u26b8b","\u26b8c","\u26b8d","\u26b8e","\u26b8f","\u26b90","\u26b91","\u26b92","\u26b93","\u26b94","\u26b95","\u26b96","\u26b97","\u26b98","\u26b99","\u26b9a","\u26b9b","\u26b9c","\u26b9d","\u26b9e","\u26b9f","\u26ba0","\u26ba1","\u26ba2","\u26ba3","\u26ba4","\u26ba5","\u26ba6","\u26ba7","\u26ba8","\u26ba9","\u26baa","\u26bab","\u26bac","\u26bad","\u26bae","\u26baf","\u26bb0","\u26bb1","\u26bb2","\u26bb3","\u26bb4","\u26bb5","\u26bb6","\u26bb7","\u26bb8","\u26bb9","\u26bba","\u26bbb","\u26bbc","\u26bbd","\u26bbe","\u26bbf","\u26bc0","\u26bc1","\u26bc2","\u26bc3","\u26bc4","\u26bc5","\u26bc6","\u26bc7","\u26bc8","\u26bc9","\u26bca","\u26bcb","\u26bcc","\u26bcd","\u26bce","\u26bcf","\u26bd0","\u26bd1","\u26bd2","\u26bd3","\u26bd4","\u26bd5","\u26bd6","\u26bd7","\u26bd8","\u26bd9","\u26bda","\u26bdb","\u26bdc","\u26bdd","\u26bde","\u26bdf","\u26be0","\u26be1","\u26be2","\u26be3","\u26be4","\u26be5","\u26be6","\u26be7","\u26be8","\u26be9","\u26bea","\u26beb","\u26bec","\u26bed","\u26bee","\u26bef","\u26bf0","\u26bf1","\u26bf2","\u26bf3","\u26bf4","\u26bf5","\u26bf6","\u26bf7","\u26bf8","\u26bf9","\u26bfa","\u26bfb","\u26bfc","\u26bfd","\u26bfe","\u26bff","\u26c00","\u26c01","\u26c02","\u26c03","\u26c04","\u26c05","\u26c06","\u26c07","\u26c08","\u26c09","\u26c0a","\u26c0b","\u26c0c","\u26c0d","\u26c0e","\u26c0f","\u26c10","\u26c11","\u26c12","\u26c13","\u26c14","\u26c15","\u26c16","\u26c17","\u26c18","\u26c19","\u26c1a","\u26c1b","\u26c1c","\u26c1d","\u26c1e","\u26c1f","\u26c20","\u26c21","\u26c22","\u26c23","\u26c24","\u26c25","\u26c26","\u26c27","\u26c28","\u26c29","\u26c2a","\u26c2b","\u26c2c","\u26c2d","\u26c2e","\u26c2f","\u26c30","\u26c31","\u26c32","\u26c33","\u26c34","\u26c35","\u26c36","\u26c37","\u26c38","\u26c39","\u26c3a","\u26c3b","\u26c3c","\u26c3d","\u26c3e","\u26c3f","\u26c40","\u26c41","\u26c42","\u26c43","\u26c44","\u26c45","\u26c46","\u26c47","\u26c48","\u26c49","\u26c4a","\u26c4b","\u26c4c","\u26c4d","\u26c4e","\u26c4f","\u26c50","\u26c51","\u26c52","\u26c53","\u26c54","\u26c55","\u26c56","\u26c57","\u26c58","\u26c59","\u26c5a","\u26c5b","\u26c5c","\u26c5d","\u26c5e","\u26c5f","\u26c60","\u26c61","\u26c62","\u26c63","\u26c64","\u26c65","\u26c66","\u26c67","\u26c68","\u26c69","\u26c6a","\u26c6b","\u26c6c","\u26c6d","\u26c6e","\u26c6f","\u26c70","\u26c71","\u26c72","\u26c73","\u26c74","\u26c75","\u26c76","\u26c77","\u26c78","\u26c79","\u26c7a","\u26c7b","\u26c7c","\u26c7d","\u26c7e","\u26c7f","\u26c80","\u26c81","\u26c82","\u26c83","\u26c84","\u26c85","\u26c86","\u26c87","\u26c88","\u26c89","\u26c8a","\u26c8b","\u26c8c","\u26c8d","\u26c8e","\u26c8f","\u26c90","\u26c91","\u26c92","\u26c93","\u26c94","\u26c95","\u26c96","\u26c97","\u26c98","\u26c99","\u26c9a","\u26c9b","\u26c9c","\u26c9d","\u26c9e","\u26c9f","\u26ca0","\u26ca1","\u26ca2","\u26ca3","\u26ca4","\u26ca5","\u26ca6","\u26ca7","\u26ca8","\u26ca9","\u26caa","\u26cab","\u26cac","\u26cad","\u26cae","\u26caf","\u26cb0","\u26cb1","\u26cb2","\u26cb3","\u26cb4","\u26cb5","\u26cb6","\u26cb7","\u26cb8","\u26cb9","\u26cba","\u26cbb","\u26cbc","\u26cbd","\u26cbe","\u26cbf","\u26cc0","\u26cc1","\u26cc2","\u26cc3","\u26cc4","\u26cc5","\u26cc6","\u26cc7","\u26cc8","\u26cc9","\u26cca","\u26ccb","\u26ccc","\u26ccd","\u26cce","\u26ccf","\u26cd0","\u26cd1","\u26cd2","\u26cd3","\u26cd4","\u26cd5","\u26cd6","\u26cd7","\u26cd8","\u26cd9","\u26cda","\u26cdb","\u26cdc","\u26cdd","\u26cde","\u26cdf","\u26ce0","\u26ce1","\u26ce2","\u26ce3","\u26ce4","\u26ce5","\u26ce6","\u26ce7","\u26ce8","\u26ce9","\u26cea","\u26ceb","\u26cec","\u26ced","\u26cee","\u26cef","\u26cf0","\u26cf1","\u26cf2","\u26cf3","\u26cf4","\u26cf5","\u26cf6","\u26cf7","\u26cf8","\u26cf9","\u26cfa","\u26cfb","\u26cfc","\u26cfd","\u26cfe","\u26cff","\u26d00","\u26d01","\u26d02","\u26d03","\u26d04","\u26d05","\u26d06","\u26d07","\u26d08","\u26d09","\u26d0a","\u26d0b","\u26d0c","\u26d0d","\u26d0e","\u26d0f","\u26d10","\u26d11","\u26d12","\u26d13","\u26d14","\u26d15","\u26d16","\u26d17","\u26d18","\u26d19","\u26d1a","\u26d1b","\u26d1c","\u26d1d","\u26d1e","\u26d1f","\u26d20","\u26d21","\u26d22","\u26d23","\u26d24","\u26d25","\u26d26","\u26d27","\u26d28","\u26d29","\u26d2a","\u26d2b","\u26d2c","\u26d2d","\u26d2e","\u26d2f","\u26d30","\u26d31","\u26d32","\u26d33","\u26d34","\u26d35","\u26d36","\u26d37","\u26d38","\u26d39","\u26d3a","\u26d3b","\u26d3c","\u26d3d","\u26d3e","\u26d3f","\u26d40","\u26d41","\u26d42","\u26d43","\u26d44","\u26d45","\u26d46","\u26d47","\u26d48","\u26d49","\u26d4a","\u26d4b","\u26d4c","\u26d4d","\u26d4e","\u26d4f","\u26d50","\u26d51","\u26d52","\u26d53","\u26d54","\u26d55","\u26d56","\u26d57","\u26d58","\u26d59","\u26d5a","\u26d5b","\u26d5c","\u26d5d","\u26d5e","\u26d5f","\u26d60","\u26d61","\u26d62","\u26d63","\u26d64","\u26d65","\u26d66","\u26d67","\u26d68","\u26d69","\u26d6a","\u26d6b","\u26d6c","\u26d6d","\u26d6e","\u26d6f","\u26d70","\u26d71","\u26d72","\u26d73","\u26d74","\u26d75","\u26d76","\u26d77","\u26d78","\u26d79","\u26d7a","\u26d7b","\u26d7c","\u26d7d","\u26d7e","\u26d7f","\u26d80","\u26d81","\u26d82","\u26d83","\u26d84","\u26d85","\u26d86","\u26d87","\u26d88","\u26d89","\u26d8a","\u26d8b","\u26d8c","\u26d8d","\u26d8e","\u26d8f","\u26d90","\u26d91","\u26d92","\u26d93","\u26d94","\u26d95","\u26d96","\u26d97","\u26d98","\u26d99","\u26d9a","\u26d9b","\u26d9c","\u26d9d","\u26d9e","\u26d9f","\u26da0","\u26da1","\u26da2","\u26da3","\u26da4","\u26da5","\u26da6","\u26da7","\u26da8","\u26da9","\u26daa","\u26dab","\u26dac","\u26dad","\u26dae","\u26daf","\u26db0","\u26db1","\u26db2","\u26db3","\u26db4","\u26db5","\u26db6","\u26db7","\u26db8","\u26db9","\u26dba","\u26dbb","\u26dbc","\u26dbd","\u26dbe","\u26dbf","\u26dc0","\u26dc1","\u26dc2","\u26dc3","\u26dc4","\u26dc5","\u26dc6","\u26dc7","\u26dc8","\u26dc9","\u26dca","\u26dcb","\u26dcc","\u26dcd","\u26dce","\u26dcf","\u26dd0","\u26dd1","\u26dd2","\u26dd3","\u26dd4","\u26dd5","\u26dd6","\u26dd7","\u26dd8","\u26dd9","\u26dda","\u26ddb","\u26ddc","\u26ddd","\u26dde","\u26ddf","\u26de0","\u26de1","\u26de2","\u26de3","\u26de4","\u26de5","\u26de6","\u26de7","\u26de8","\u26de9","\u26dea","\u26deb","\u26dec","\u26ded","\u26dee","\u26def","\u26df0","\u26df1","\u26df2","\u26df3","\u26df4","\u26df5","\u26df6","\u26df7","\u26df8","\u26df9","\u26dfa","\u26dfb","\u26dfc","\u26dfd","\u26dfe","\u26dff","\u26e00","\u26e01","\u26e02","\u26e03","\u26e04","\u26e05","\u26e06","\u26e07","\u26e08","\u26e09","\u26e0a","\u26e0b","\u26e0c","\u26e0d","\u26e0e","\u26e0f","\u26e10","\u26e11","\u26e12","\u26e13","\u26e14","\u26e15","\u26e16","\u26e17","\u26e18","\u26e19","\u26e1a","\u26e1b","\u26e1c","\u26e1d","\u26e1e","\u26e1f","\u26e20","\u26e21","\u26e22","\u26e23","\u26e24","\u26e25","\u26e26","\u26e27","\u26e28","\u26e29","\u26e2a","\u26e2b","\u26e2c","\u26e2d","\u26e2e","\u26e2f","\u26e30","\u26e31","\u26e32","\u26e33","\u26e34","\u26e35","\u26e36","\u26e37","\u26e38","\u26e39","\u26e3a","\u26e3b","\u26e3c","\u26e3d","\u26e3e","\u26e3f","\u26e40","\u26e41","\u26e42","\u26e43","\u26e44","\u26e45","\u26e46","\u26e47","\u26e48","\u26e49","\u26e4a","\u26e4b","\u26e4c","\u26e4d","\u26e4e","\u26e4f","\u26e50","\u26e51","\u26e52","\u26e53","\u26e54","\u26e55","\u26e56","\u26e57","\u26e58","\u26e59","\u26e5a","\u26e5b","\u26e5c","\u26e5d","\u26e5e","\u26e5f","\u26e60","\u26e61","\u26e62","\u26e63","\u26e64","\u26e65","\u26e66","\u26e67","\u26e68","\u26e69","\u26e6a","\u26e6b","\u26e6c","\u26e6d","\u26e6e","\u26e6f","\u26e70","\u26e71","\u26e72","\u26e73","\u26e74","\u26e75","\u26e76","\u26e77","\u26e78","\u26e79","\u26e7a","\u26e7b","\u26e7c","\u26e7d","\u26e7e","\u26e7f","\u26e80","\u26e81","\u26e82","\u26e83","\u26e84","\u26e85","\u26e86","\u26e87","\u26e88","\u26e89","\u26e8a","\u26e8b","\u26e8c","\u26e8d","\u26e8e","\u26e8f","\u26e90","\u26e91","\u26e92","\u26e93","\u26e94","\u26e95","\u26e96","\u26e97","\u26e98","\u26e99","\u26e9a","\u26e9b","\u26e9c","\u26e9d","\u26e9e","\u26e9f","\u26ea0","\u26ea1","\u26ea2","\u26ea3","\u26ea4","\u26ea5","\u26ea6","\u26ea7","\u26ea8","\u26ea9","\u26eaa","\u26eab","\u26eac","\u26ead","\u26eae","\u26eaf","\u26eb0","\u26eb1","\u26eb2","\u26eb3","\u26eb4","\u26eb5","\u26eb6","\u26eb7","\u26eb8","\u26eb9","\u26eba","\u26ebb","\u26ebc","\u26ebd","\u26ebe","\u26ebf","\u26ec0","\u26ec1","\u26ec2","\u26ec3","\u26ec4","\u26ec5","\u26ec6","\u26ec7","\u26ec8","\u26ec9","\u26eca","\u26ecb","\u26ecc","\u26ecd","\u26ece","\u26ecf","\u26ed0","\u26ed1","\u26ed2","\u26ed3","\u26ed4","\u26ed5","\u26ed6","\u26ed7","\u26ed8","\u26ed9","\u26eda","\u26edb","\u26edc","\u26edd","\u26ede","\u26edf","\u26ee0","\u26ee1","\u26ee2","\u26ee3","\u26ee4","\u26ee5","\u26ee6","\u26ee7","\u26ee8","\u26ee9","\u26eea","\u26eeb","\u26eec","\u26eed","\u26eee","\u26eef","\u26ef0","\u26ef1","\u26ef2","\u26ef3","\u26ef4","\u26ef5","\u26ef6","\u26ef7","\u26ef8","\u26ef9","\u26efa","\u26efb","\u26efc","\u26efd","\u26efe","\u26eff","\u26f00","\u26f01","\u26f02","\u26f03","\u26f04","\u26f05","\u26f06","\u26f07","\u26f08","\u26f09","\u26f0a","\u26f0b","\u26f0c","\u26f0d","\u26f0e","\u26f0f","\u26f10","\u26f11","\u26f12","\u26f13","\u26f14","\u26f15","\u26f16","\u26f17","\u26f18","\u26f19","\u26f1a","\u26f1b","\u26f1c","\u26f1d","\u26f1e","\u26f1f","\u26f20","\u26f21","\u26f22","\u26f23","\u26f24","\u26f25","\u26f26","\u26f27","\u26f28","\u26f29","\u26f2a","\u26f2b","\u26f2c","\u26f2d","\u26f2e","\u26f2f","\u26f30","\u26f31","\u26f32","\u26f33","\u26f34","\u26f35","\u26f36","\u26f37","\u26f38","\u26f39","\u26f3a","\u26f3b","\u26f3c","\u26f3d","\u26f3e","\u26f3f","\u26f40","\u26f41","\u26f42","\u26f43","\u26f44","\u26f45","\u26f46","\u26f47","\u26f48","\u26f49","\u26f4a","\u26f4b","\u26f4c","\u26f4d","\u26f4e","\u26f4f","\u26f50","\u26f51","\u26f52","\u26f53","\u26f54","\u26f55","\u26f56","\u26f57","\u26f58","\u26f59","\u26f5a","\u26f5b","\u26f5c","\u26f5d","\u26f5e","\u26f5f","\u26f60","\u26f61","\u26f62","\u26f63","\u26f64","\u26f65","\u26f66","\u26f67","\u26f68","\u26f69","\u26f6a","\u26f6b","\u26f6c","\u26f6d","\u26f6e","\u26f6f","\u26f70","\u26f71","\u26f72","\u26f73","\u26f74","\u26f75","\u26f76","\u26f77","\u26f78","\u26f79","\u26f7a","\u26f7b","\u26f7c","\u26f7d","\u26f7e","\u26f7f","\u26f80","\u26f81","\u26f82","\u26f83","\u26f84","\u26f85","\u26f86","\u26f87","\u26f88","\u26f89","\u26f8a","\u26f8b","\u26f8c","\u26f8d","\u26f8e","\u26f8f","\u26f90","\u26f91","\u26f92","\u26f93","\u26f94","\u26f95","\u26f96","\u26f97","\u26f98","\u26f99","\u26f9a","\u26f9b","\u26f9c","\u26f9d","\u26f9e","\u26f9f","\u26fa0","\u26fa1","\u26fa2","\u26fa3","\u26fa4","\u26fa5","\u26fa6","\u26fa7","\u26fa8","\u26fa9","\u26faa","\u26fab","\u26fac","\u26fad","\u26fae","\u26faf","\u26fb0","\u26fb1","\u26fb2","\u26fb3","\u26fb4","\u26fb5","\u26fb6","\u26fb7","\u26fb8","\u26fb9","\u26fba","\u26fbb","\u26fbc","\u26fbd","\u26fbe","\u26fbf","\u26fc0","\u26fc1","\u26fc2","\u26fc3","\u26fc4","\u26fc5","\u26fc6","\u26fc7","\u26fc8","\u26fc9","\u26fca","\u26fcb","\u26fcc","\u26fcd","\u26fce","\u26fcf","\u26fd0","\u26fd1","\u26fd2","\u26fd3","\u26fd4","\u26fd5","\u26fd6","\u26fd7","\u26fd8","\u26fd9","\u26fda","\u26fdb","\u26fdc","\u26fdd","\u26fde","\u26fdf","\u26fe0","\u26fe1","\u26fe2","\u26fe3","\u26fe4","\u26fe5","\u26fe6","\u26fe7","\u26fe8","\u26fe9","\u26fea","\u26feb","\u26fec","\u26fed","\u26fee","\u26fef","\u26ff0","\u26ff1","\u26ff2","\u26ff3","\u26ff4","\u26ff5","\u26ff6","\u26ff7","\u26ff8","\u26ff9","\u26ffa","\u26ffb","\u26ffc","\u26ffd","\u26ffe","\u26fff","\u27000","\u27001","\u27002","\u27003","\u27004","\u27005","\u27006","\u27007","\u27008","\u27009","\u2700a","\u2700b","\u2700c","\u2700d","\u2700e","\u2700f","\u27010","\u27011","\u27012","\u27013","\u27014","\u27015","\u27016","\u27017","\u27018","\u27019","\u2701a","\u2701b","\u2701c","\u2701d","\u2701e","\u2701f","\u27020","\u27021","\u27022","\u27023","\u27024","\u27025","\u27026","\u27027","\u27028","\u27029","\u2702a","\u2702b","\u2702c","\u2702d","\u2702e","\u2702f","\u27030","\u27031","\u27032","\u27033","\u27034","\u27035","\u27036","\u27037","\u27038","\u27039","\u2703a","\u2703b","\u2703c","\u2703d","\u2703e","\u2703f","\u27040","\u27041","\u27042","\u27043","\u27044","\u27045","\u27046","\u27047","\u27048","\u27049","\u2704a","\u2704b","\u2704c","\u2704d","\u2704e","\u2704f","\u27050","\u27051","\u27052","\u27053","\u27054","\u27055","\u27056","\u27057","\u27058","\u27059","\u2705a","\u2705b","\u2705c","\u2705d","\u2705e","\u2705f","\u27060","\u27061","\u27062","\u27063","\u27064","\u27065","\u27066","\u27067","\u27068","\u27069","\u2706a","\u2706b","\u2706c","\u2706d","\u2706e","\u2706f","\u27070","\u27071","\u27072","\u27073","\u27074","\u27075","\u27076","\u27077","\u27078","\u27079","\u2707a","\u2707b","\u2707c","\u2707d","\u2707e","\u2707f","\u27080","\u27081","\u27082","\u27083","\u27084","\u27085","\u27086","\u27087","\u27088","\u27089","\u2708a","\u2708b","\u2708c","\u2708d","\u2708e","\u2708f","\u27090","\u27091","\u27092","\u27093","\u27094","\u27095","\u27096","\u27097","\u27098","\u27099","\u2709a","\u2709b","\u2709c","\u2709d","\u2709e","\u2709f","\u270a0","\u270a1","\u270a2","\u270a3","\u270a4","\u270a5","\u270a6","\u270a7","\u270a8","\u270a9","\u270aa","\u270ab","\u270ac","\u270ad","\u270ae","\u270af","\u270b0","\u270b1","\u270b2","\u270b3","\u270b4","\u270b5","\u270b6","\u270b7","\u270b8","\u270b9","\u270ba","\u270bb","\u270bc","\u270bd","\u270be","\u270bf","\u270c0","\u270c1","\u270c2","\u270c3","\u270c4","\u270c5","\u270c6","\u270c7","\u270c8","\u270c9","\u270ca","\u270cb","\u270cc","\u270cd","\u270ce","\u270cf","\u270d0","\u270d1","\u270d2","\u270d3","\u270d4","\u270d5","\u270d6","\u270d7","\u270d8","\u270d9","\u270da","\u270db","\u270dc","\u270dd","\u270de","\u270df","\u270e0","\u270e1","\u270e2","\u270e3","\u270e4","\u270e5","\u270e6","\u270e7","\u270e8","\u270e9","\u270ea","\u270eb","\u270ec","\u270ed","\u270ee","\u270ef","\u270f0","\u270f1","\u270f2","\u270f3","\u270f4","\u270f5","\u270f6","\u270f7","\u270f8","\u270f9","\u270fa","\u270fb","\u270fc","\u270fd","\u270fe","\u270ff","\u27100","\u27101","\u27102","\u27103","\u27104","\u27105","\u27106","\u27107","\u27108","\u27109","\u2710a","\u2710b","\u2710c","\u2710d","\u2710e","\u2710f","\u27110","\u27111","\u27112","\u27113","\u27114","\u27115","\u27116","\u27117","\u27118","\u27119","\u2711a","\u2711b","\u2711c","\u2711d","\u2711e","\u2711f","\u27120","\u27121","\u27122","\u27123","\u27124","\u27125","\u27126","\u27127","\u27128","\u27129","\u2712a","\u2712b","\u2712c","\u2712d","\u2712e","\u2712f","\u27130","\u27131","\u27132","\u27133","\u27134","\u27135","\u27136","\u27137","\u27138","\u27139","\u2713a","\u2713b","\u2713c","\u2713d","\u2713e","\u2713f","\u27140","\u27141","\u27142","\u27143","\u27144","\u27145","\u27146","\u27147","\u27148","\u27149","\u2714a","\u2714b","\u2714c","\u2714d","\u2714e","\u2714f","\u27150","\u27151","\u27152","\u27153","\u27154","\u27155","\u27156","\u27157","\u27158","\u27159","\u2715a","\u2715b","\u2715c","\u2715d","\u2715e","\u2715f","\u27160","\u27161","\u27162","\u27163","\u27164","\u27165","\u27166","\u27167","\u27168","\u27169","\u2716a","\u2716b","\u2716c","\u2716d","\u2716e","\u2716f","\u27170","\u27171","\u27172","\u27173","\u27174","\u27175","\u27176","\u27177","\u27178","\u27179","\u2717a","\u2717b","\u2717c","\u2717d","\u2717e","\u2717f","\u27180","\u27181","\u27182","\u27183","\u27184","\u27185","\u27186","\u27187","\u27188","\u27189","\u2718a","\u2718b","\u2718c","\u2718d","\u2718e","\u2718f","\u27190","\u27191","\u27192","\u27193","\u27194","\u27195","\u27196","\u27197","\u27198","\u27199","\u2719a","\u2719b","\u2719c","\u2719d","\u2719e","\u2719f","\u271a0","\u271a1","\u271a2","\u271a3","\u271a4","\u271a5","\u271a6","\u271a7","\u271a8","\u271a9","\u271aa","\u271ab","\u271ac","\u271ad","\u271ae","\u271af","\u271b0","\u271b1","\u271b2","\u271b3","\u271b4","\u271b5","\u271b6","\u271b7","\u271b8","\u271b9","\u271ba","\u271bb","\u271bc","\u271bd","\u271be","\u271bf","\u271c0","\u271c1","\u271c2","\u271c3","\u271c4","\u271c5","\u271c6","\u271c7","\u271c8","\u271c9","\u271ca","\u271cb","\u271cc","\u271cd","\u271ce","\u271cf","\u271d0","\u271d1","\u271d2","\u271d3","\u271d4","\u271d5","\u271d6","\u271d7","\u271d8","\u271d9","\u271da","\u271db","\u271dc","\u271dd","\u271de","\u271df","\u271e0","\u271e1","\u271e2","\u271e3","\u271e4","\u271e5","\u271e6","\u271e7","\u271e8","\u271e9","\u271ea","\u271eb","\u271ec","\u271ed","\u271ee","\u271ef","\u271f0","\u271f1","\u271f2","\u271f3","\u271f4","\u271f5","\u271f6","\u271f7","\u271f8","\u271f9","\u271fa","\u271fb","\u271fc","\u271fd","\u271fe","\u271ff","\u27200","\u27201","\u27202","\u27203","\u27204","\u27205","\u27206","\u27207","\u27208","\u27209","\u2720a","\u2720b","\u2720c","\u2720d","\u2720e","\u2720f","\u27210","\u27211","\u27212","\u27213","\u27214","\u27215","\u27216","\u27217","\u27218","\u27219","\u2721a","\u2721b","\u2721c","\u2721d","\u2721e","\u2721f","\u27220","\u27221","\u27222","\u27223","\u27224","\u27225","\u27226","\u27227","\u27228","\u27229","\u2722a","\u2722b","\u2722c","\u2722d","\u2722e","\u2722f","\u27230","\u27231","\u27232","\u27233","\u27234","\u27235","\u27236","\u27237","\u27238","\u27239","\u2723a","\u2723b","\u2723c","\u2723d","\u2723e","\u2723f","\u27240","\u27241","\u27242","\u27243","\u27244","\u27245","\u27246","\u27247","\u27248","\u27249","\u2724a","\u2724b","\u2724c","\u2724d","\u2724e","\u2724f","\u27250","\u27251","\u27252","\u27253","\u27254","\u27255","\u27256","\u27257","\u27258","\u27259","\u2725a","\u2725b","\u2725c","\u2725d","\u2725e","\u2725f","\u27260","\u27261","\u27262","\u27263","\u27264","\u27265","\u27266","\u27267","\u27268","\u27269","\u2726a","\u2726b","\u2726c","\u2726d","\u2726e","\u2726f","\u27270","\u27271","\u27272","\u27273","\u27274","\u27275","\u27276","\u27277","\u27278","\u27279","\u2727a","\u2727b","\u2727c","\u2727d","\u2727e","\u2727f","\u27280","\u27281","\u27282","\u27283","\u27284","\u27285","\u27286","\u27287","\u27288","\u27289","\u2728a","\u2728b","\u2728c","\u2728d","\u2728e","\u2728f","\u27290","\u27291","\u27292","\u27293","\u27294","\u27295","\u27296","\u27297","\u27298","\u27299","\u2729a","\u2729b","\u2729c","\u2729d","\u2729e","\u2729f","\u272a0","\u272a1","\u272a2","\u272a3","\u272a4","\u272a5","\u272a6","\u272a7","\u272a8","\u272a9","\u272aa","\u272ab","\u272ac","\u272ad","\u272ae","\u272af","\u272b0","\u272b1","\u272b2","\u272b3","\u272b4","\u272b5","\u272b6","\u272b7","\u272b8","\u272b9","\u272ba","\u272bb","\u272bc","\u272bd","\u272be","\u272bf","\u272c0","\u272c1","\u272c2","\u272c3","\u272c4","\u272c5","\u272c6","\u272c7","\u272c8","\u272c9","\u272ca","\u272cb","\u272cc","\u272cd","\u272ce","\u272cf","\u272d0","\u272d1","\u272d2","\u272d3","\u272d4","\u272d5","\u272d6","\u272d7","\u272d8","\u272d9","\u272da","\u272db","\u272dc","\u272dd","\u272de","\u272df","\u272e0","\u272e1","\u272e2","\u272e3","\u272e4","\u272e5","\u272e6","\u272e7","\u272e8","\u272e9","\u272ea","\u272eb","\u272ec","\u272ed","\u272ee","\u272ef","\u272f0","\u272f1","\u272f2","\u272f3","\u272f4","\u272f5","\u272f6","\u272f7","\u272f8","\u272f9","\u272fa","\u272fb","\u272fc","\u272fd","\u272fe","\u272ff","\u27300","\u27301","\u27302","\u27303","\u27304","\u27305","\u27306","\u27307","\u27308","\u27309","\u2730a","\u2730b","\u2730c","\u2730d","\u2730e","\u2730f","\u27310","\u27311","\u27312","\u27313","\u27314","\u27315","\u27316","\u27317","\u27318","\u27319","\u2731a","\u2731b","\u2731c","\u2731d","\u2731e","\u2731f","\u27320","\u27321","\u27322","\u27323","\u27324","\u27325","\u27326","\u27327","\u27328","\u27329","\u2732a","\u2732b","\u2732c","\u2732d","\u2732e","\u2732f","\u27330","\u27331","\u27332","\u27333","\u27334","\u27335","\u27336","\u27337","\u27338","\u27339","\u2733a","\u2733b","\u2733c","\u2733d","\u2733e","\u2733f","\u27340","\u27341","\u27342","\u27343","\u27344","\u27345","\u27346","\u27347","\u27348","\u27349","\u2734a","\u2734b","\u2734c","\u2734d","\u2734e","\u2734f","\u27350","\u27351","\u27352","\u27353","\u27354","\u27355","\u27356","\u27357","\u27358","\u27359","\u2735a","\u2735b","\u2735c","\u2735d","\u2735e","\u2735f","\u27360","\u27361","\u27362","\u27363","\u27364","\u27365","\u27366","\u27367","\u27368","\u27369","\u2736a","\u2736b","\u2736c","\u2736d","\u2736e","\u2736f","\u27370","\u27371","\u27372","\u27373","\u27374","\u27375","\u27376","\u27377","\u27378","\u27379","\u2737a","\u2737b","\u2737c","\u2737d","\u2737e","\u2737f","\u27380","\u27381","\u27382","\u27383","\u27384","\u27385","\u27386","\u27387","\u27388","\u27389","\u2738a","\u2738b","\u2738c","\u2738d","\u2738e","\u2738f","\u27390","\u27391","\u27392","\u27393","\u27394","\u27395","\u27396","\u27397","\u27398","\u27399","\u2739a","\u2739b","\u2739c","\u2739d","\u2739e","\u2739f","\u273a0","\u273a1","\u273a2","\u273a3","\u273a4","\u273a5","\u273a6","\u273a7","\u273a8","\u273a9","\u273aa","\u273ab","\u273ac","\u273ad","\u273ae","\u273af","\u273b0","\u273b1","\u273b2","\u273b3","\u273b4","\u273b5","\u273b6","\u273b7","\u273b8","\u273b9","\u273ba","\u273bb","\u273bc","\u273bd","\u273be","\u273bf","\u273c0","\u273c1","\u273c2","\u273c3","\u273c4","\u273c5","\u273c6","\u273c7","\u273c8","\u273c9","\u273ca","\u273cb","\u273cc","\u273cd","\u273ce","\u273cf","\u273d0","\u273d1","\u273d2","\u273d3","\u273d4","\u273d5","\u273d6","\u273d7","\u273d8","\u273d9","\u273da","\u273db","\u273dc","\u273dd","\u273de","\u273df","\u273e0","\u273e1","\u273e2","\u273e3","\u273e4","\u273e5","\u273e6","\u273e7","\u273e8","\u273e9","\u273ea","\u273eb","\u273ec","\u273ed","\u273ee","\u273ef","\u273f0","\u273f1","\u273f2","\u273f3","\u273f4","\u273f5","\u273f6","\u273f7","\u273f8","\u273f9","\u273fa","\u273fb","\u273fc","\u273fd","\u273fe","\u273ff","\u27400","\u27401","\u27402","\u27403","\u27404","\u27405","\u27406","\u27407","\u27408","\u27409","\u2740a","\u2740b","\u2740c","\u2740d","\u2740e","\u2740f","\u27410","\u27411","\u27412","\u27413","\u27414","\u27415","\u27416","\u27417","\u27418","\u27419","\u2741a","\u2741b","\u2741c","\u2741d","\u2741e","\u2741f","\u27420","\u27421","\u27422","\u27423","\u27424","\u27425","\u27426","\u27427","\u27428","\u27429","\u2742a","\u2742b","\u2742c","\u2742d","\u2742e","\u2742f","\u27430","\u27431","\u27432","\u27433","\u27434","\u27435","\u27436","\u27437","\u27438","\u27439","\u2743a","\u2743b","\u2743c","\u2743d","\u2743e","\u2743f","\u27440","\u27441","\u27442","\u27443","\u27444","\u27445","\u27446","\u27447","\u27448","\u27449","\u2744a","\u2744b","\u2744c","\u2744d","\u2744e","\u2744f","\u27450","\u27451","\u27452","\u27453","\u27454","\u27455","\u27456","\u27457","\u27458","\u27459","\u2745a","\u2745b","\u2745c","\u2745d","\u2745e","\u2745f","\u27460","\u27461","\u27462","\u27463","\u27464","\u27465","\u27466","\u27467","\u27468","\u27469","\u2746a","\u2746b","\u2746c","\u2746d","\u2746e","\u2746f","\u27470","\u27471","\u27472","\u27473","\u27474","\u27475","\u27476","\u27477","\u27478","\u27479","\u2747a","\u2747b","\u2747c","\u2747d","\u2747e","\u2747f","\u27480","\u27481","\u27482","\u27483","\u27484","\u27485","\u27486","\u27487","\u27488","\u27489","\u2748a","\u2748b","\u2748c","\u2748d","\u2748e","\u2748f","\u27490","\u27491","\u27492","\u27493","\u27494","\u27495","\u27496","\u27497","\u27498","\u27499","\u2749a","\u2749b","\u2749c","\u2749d","\u2749e","\u2749f","\u274a0","\u274a1","\u274a2","\u274a3","\u274a4","\u274a5","\u274a6","\u274a7","\u274a8","\u274a9","\u274aa","\u274ab","\u274ac","\u274ad","\u274ae","\u274af","\u274b0","\u274b1","\u274b2","\u274b3","\u274b4","\u274b5","\u274b6","\u274b7","\u274b8","\u274b9","\u274ba","\u274bb","\u274bc","\u274bd","\u274be","\u274bf","\u274c0","\u274c1","\u274c2","\u274c3","\u274c4","\u274c5","\u274c6","\u274c7","\u274c8","\u274c9","\u274ca","\u274cb","\u274cc","\u274cd","\u274ce","\u274cf","\u274d0","\u274d1","\u274d2","\u274d3","\u274d4","\u274d5","\u274d6","\u274d7","\u274d8","\u274d9","\u274da","\u274db","\u274dc","\u274dd","\u274de","\u274df","\u274e0","\u274e1","\u274e2","\u274e3","\u274e4","\u274e5","\u274e6","\u274e7","\u274e8","\u274e9","\u274ea","\u274eb","\u274ec","\u274ed","\u274ee","\u274ef","\u274f0","\u274f1","\u274f2","\u274f3","\u274f4","\u274f5","\u274f6","\u274f7","\u274f8","\u274f9","\u274fa","\u274fb","\u274fc","\u274fd","\u274fe","\u274ff","\u27500","\u27501","\u27502","\u27503","\u27504","\u27505","\u27506","\u27507","\u27508","\u27509","\u2750a","\u2750b","\u2750c","\u2750d","\u2750e","\u2750f","\u27510","\u27511","\u27512","\u27513","\u27514","\u27515","\u27516","\u27517","\u27518","\u27519","\u2751a","\u2751b","\u2751c","\u2751d","\u2751e","\u2751f","\u27520","\u27521","\u27522","\u27523","\u27524","\u27525","\u27526","\u27527","\u27528","\u27529","\u2752a","\u2752b","\u2752c","\u2752d","\u2752e","\u2752f","\u27530","\u27531","\u27532","\u27533","\u27534","\u27535","\u27536","\u27537","\u27538","\u27539","\u2753a","\u2753b","\u2753c","\u2753d","\u2753e","\u2753f","\u27540","\u27541","\u27542","\u27543","\u27544","\u27545","\u27546","\u27547","\u27548","\u27549","\u2754a","\u2754b","\u2754c","\u2754d","\u2754e","\u2754f","\u27550","\u27551","\u27552","\u27553","\u27554","\u27555","\u27556","\u27557","\u27558","\u27559","\u2755a","\u2755b","\u2755c","\u2755d","\u2755e","\u2755f","\u27560","\u27561","\u27562","\u27563","\u27564","\u27565","\u27566","\u27567","\u27568","\u27569","\u2756a","\u2756b","\u2756c","\u2756d","\u2756e","\u2756f","\u27570","\u27571","\u27572","\u27573","\u27574","\u27575","\u27576","\u27577","\u27578","\u27579","\u2757a","\u2757b","\u2757c","\u2757d","\u2757e","\u2757f","\u27580","\u27581","\u27582","\u27583","\u27584","\u27585","\u27586","\u27587","\u27588","\u27589","\u2758a","\u2758b","\u2758c","\u2758d","\u2758e","\u2758f","\u27590","\u27591","\u27592","\u27593","\u27594","\u27595","\u27596","\u27597","\u27598","\u27599","\u2759a","\u2759b","\u2759c","\u2759d","\u2759e","\u2759f","\u275a0","\u275a1","\u275a2","\u275a3","\u275a4","\u275a5","\u275a6","\u275a7","\u275a8","\u275a9","\u275aa","\u275ab","\u275ac","\u275ad","\u275ae","\u275af","\u275b0","\u275b1","\u275b2","\u275b3","\u275b4","\u275b5","\u275b6","\u275b7","\u275b8","\u275b9","\u275ba","\u275bb","\u275bc","\u275bd","\u275be","\u275bf","\u275c0","\u275c1","\u275c2","\u275c3","\u275c4","\u275c5","\u275c6","\u275c7","\u275c8","\u275c9","\u275ca","\u275cb","\u275cc","\u275cd","\u275ce","\u275cf","\u275d0","\u275d1","\u275d2","\u275d3","\u275d4","\u275d5","\u275d6","\u275d7","\u275d8","\u275d9","\u275da","\u275db","\u275dc","\u275dd","\u275de","\u275df","\u275e0","\u275e1","\u275e2","\u275e3","\u275e4","\u275e5","\u275e6","\u275e7","\u275e8","\u275e9","\u275ea","\u275eb","\u275ec","\u275ed","\u275ee","\u275ef","\u275f0","\u275f1","\u275f2","\u275f3","\u275f4","\u275f5","\u275f6","\u275f7","\u275f8","\u275f9","\u275fa","\u275fb","\u275fc","\u275fd","\u275fe","\u275ff","\u27600","\u27601","\u27602","\u27603","\u27604","\u27605","\u27606","\u27607","\u27608","\u27609","\u2760a","\u2760b","\u2760c","\u2760d","\u2760e","\u2760f","\u27610","\u27611","\u27612","\u27613","\u27614","\u27615","\u27616","\u27617","\u27618","\u27619","\u2761a","\u2761b","\u2761c","\u2761d","\u2761e","\u2761f","\u27620","\u27621","\u27622","\u27623","\u27624","\u27625","\u27626","\u27627","\u27628","\u27629","\u2762a","\u2762b","\u2762c","\u2762d","\u2762e","\u2762f","\u27630","\u27631","\u27632","\u27633","\u27634","\u27635","\u27636","\u27637","\u27638","\u27639","\u2763a","\u2763b","\u2763c","\u2763d","\u2763e","\u2763f","\u27640","\u27641","\u27642","\u27643","\u27644","\u27645","\u27646","\u27647","\u27648","\u27649","\u2764a","\u2764b","\u2764c","\u2764d","\u2764e","\u2764f","\u27650","\u27651","\u27652","\u27653","\u27654","\u27655","\u27656","\u27657","\u27658","\u27659","\u2765a","\u2765b","\u2765c","\u2765d","\u2765e","\u2765f","\u27660","\u27661","\u27662","\u27663","\u27664","\u27665","\u27666","\u27667","\u27668","\u27669","\u2766a","\u2766b","\u2766c","\u2766d","\u2766e","\u2766f","\u27670","\u27671","\u27672","\u27673","\u27674","\u27675","\u27676","\u27677","\u27678","\u27679","\u2767a","\u2767b","\u2767c","\u2767d","\u2767e","\u2767f","\u27680","\u27681","\u27682","\u27683","\u27684","\u27685","\u27686","\u27687","\u27688","\u27689","\u2768a","\u2768b","\u2768c","\u2768d","\u2768e","\u2768f","\u27690","\u27691","\u27692","\u27693","\u27694","\u27695","\u27696","\u27697","\u27698","\u27699","\u2769a","\u2769b","\u2769c","\u2769d","\u2769e","\u2769f","\u276a0","\u276a1","\u276a2","\u276a3","\u276a4","\u276a5","\u276a6","\u276a7","\u276a8","\u276a9","\u276aa","\u276ab","\u276ac","\u276ad","\u276ae","\u276af","\u276b0","\u276b1","\u276b2","\u276b3","\u276b4","\u276b5","\u276b6","\u276b7","\u276b8","\u276b9","\u276ba","\u276bb","\u276bc","\u276bd","\u276be","\u276bf","\u276c0","\u276c1","\u276c2","\u276c3","\u276c4","\u276c5","\u276c6","\u276c7","\u276c8","\u276c9","\u276ca","\u276cb","\u276cc","\u276cd","\u276ce","\u276cf","\u276d0","\u276d1","\u276d2","\u276d3","\u276d4","\u276d5","\u276d6","\u276d7","\u276d8","\u276d9","\u276da","\u276db","\u276dc","\u276dd","\u276de","\u276df","\u276e0","\u276e1","\u276e2","\u276e3","\u276e4","\u276e5","\u276e6","\u276e7","\u276e8","\u276e9","\u276ea","\u276eb","\u276ec","\u276ed","\u276ee","\u276ef","\u276f0","\u276f1","\u276f2","\u276f3","\u276f4","\u276f5","\u276f6","\u276f7","\u276f8","\u276f9","\u276fa","\u276fb","\u276fc","\u276fd","\u276fe","\u276ff","\u27700","\u27701","\u27702","\u27703","\u27704","\u27705","\u27706","\u27707","\u27708","\u27709","\u2770a","\u2770b","\u2770c","\u2770d","\u2770e","\u2770f","\u27710","\u27711","\u27712","\u27713","\u27714","\u27715","\u27716","\u27717","\u27718","\u27719","\u2771a","\u2771b","\u2771c","\u2771d","\u2771e","\u2771f","\u27720","\u27721","\u27722","\u27723","\u27724","\u27725","\u27726","\u27727","\u27728","\u27729","\u2772a","\u2772b","\u2772c","\u2772d","\u2772e","\u2772f","\u27730","\u27731","\u27732","\u27733","\u27734","\u27735","\u27736","\u27737","\u27738","\u27739","\u2773a","\u2773b","\u2773c","\u2773d","\u2773e","\u2773f","\u27740","\u27741","\u27742","\u27743","\u27744","\u27745","\u27746","\u27747","\u27748","\u27749","\u2774a","\u2774b","\u2774c","\u2774d","\u2774e","\u2774f","\u27750","\u27751","\u27752","\u27753","\u27754","\u27755","\u27756","\u27757","\u27758","\u27759","\u2775a","\u2775b","\u2775c","\u2775d","\u2775e","\u2775f","\u27760","\u27761","\u27762","\u27763","\u27764","\u27765","\u27766","\u27767","\u27768","\u27769","\u2776a","\u2776b","\u2776c","\u2776d","\u2776e","\u2776f","\u27770","\u27771","\u27772","\u27773","\u27774","\u27775","\u27776","\u27777","\u27778","\u27779","\u2777a","\u2777b","\u2777c","\u2777d","\u2777e","\u2777f","\u27780","\u27781","\u27782","\u27783","\u27784","\u27785","\u27786","\u27787","\u27788","\u27789","\u2778a","\u2778b","\u2778c","\u2778d","\u2778e","\u2778f","\u27790","\u27791","\u27792","\u27793","\u27794","\u27795","\u27796","\u27797","\u27798","\u27799","\u2779a","\u2779b","\u2779c","\u2779d","\u2779e","\u2779f","\u277a0","\u277a1","\u277a2","\u277a3","\u277a4","\u277a5","\u277a6","\u277a7","\u277a8","\u277a9","\u277aa","\u277ab","\u277ac","\u277ad","\u277ae","\u277af","\u277b0","\u277b1","\u277b2","\u277b3","\u277b4","\u277b5","\u277b6","\u277b7","\u277b8","\u277b9","\u277ba","\u277bb","\u277bc","\u277bd","\u277be","\u277bf","\u277c0","\u277c1","\u277c2","\u277c3","\u277c4","\u277c5","\u277c6","\u277c7","\u277c8","\u277c9","\u277ca","\u277cb","\u277cc","\u277cd","\u277ce","\u277cf","\u277d0","\u277d1","\u277d2","\u277d3","\u277d4","\u277d5","\u277d6","\u277d7","\u277d8","\u277d9","\u277da","\u277db","\u277dc","\u277dd","\u277de","\u277df","\u277e0","\u277e1","\u277e2","\u277e3","\u277e4","\u277e5","\u277e6","\u277e7","\u277e8","\u277e9","\u277ea","\u277eb","\u277ec","\u277ed","\u277ee","\u277ef","\u277f0","\u277f1","\u277f2","\u277f3","\u277f4","\u277f5","\u277f6","\u277f7","\u277f8","\u277f9","\u277fa","\u277fb","\u277fc","\u277fd","\u277fe","\u277ff","\u27800","\u27801","\u27802","\u27803","\u27804","\u27805","\u27806","\u27807","\u27808","\u27809","\u2780a","\u2780b","\u2780c","\u2780d","\u2780e","\u2780f","\u27810","\u27811","\u27812","\u27813","\u27814","\u27815","\u27816","\u27817","\u27818","\u27819","\u2781a","\u2781b","\u2781c","\u2781d","\u2781e","\u2781f","\u27820","\u27821","\u27822","\u27823","\u27824","\u27825","\u27826","\u27827","\u27828","\u27829","\u2782a","\u2782b","\u2782c","\u2782d","\u2782e","\u2782f","\u27830","\u27831","\u27832","\u27833","\u27834","\u27835","\u27836","\u27837","\u27838","\u27839","\u2783a","\u2783b","\u2783c","\u2783d","\u2783e","\u2783f","\u27840","\u27841","\u27842","\u27843","\u27844","\u27845","\u27846","\u27847","\u27848","\u27849","\u2784a","\u2784b","\u2784c","\u2784d","\u2784e","\u2784f","\u27850","\u27851","\u27852","\u27853","\u27854","\u27855","\u27856","\u27857","\u27858","\u27859","\u2785a","\u2785b","\u2785c","\u2785d","\u2785e","\u2785f","\u27860","\u27861","\u27862","\u27863","\u27864","\u27865","\u27866","\u27867","\u27868","\u27869","\u2786a","\u2786b","\u2786c","\u2786d","\u2786e","\u2786f","\u27870","\u27871","\u27872","\u27873","\u27874","\u27875","\u27876","\u27877","\u27878","\u27879","\u2787a","\u2787b","\u2787c","\u2787d","\u2787e","\u2787f","\u27880","\u27881","\u27882","\u27883","\u27884","\u27885","\u27886","\u27887","\u27888","\u27889","\u2788a","\u2788b","\u2788c","\u2788d","\u2788e","\u2788f","\u27890","\u27891","\u27892","\u27893","\u27894","\u27895","\u27896","\u27897","\u27898","\u27899","\u2789a","\u2789b","\u2789c","\u2789d","\u2789e","\u2789f","\u278a0","\u278a1","\u278a2","\u278a3","\u278a4","\u278a5","\u278a6","\u278a7","\u278a8","\u278a9","\u278aa","\u278ab","\u278ac","\u278ad","\u278ae","\u278af","\u278b0","\u278b1","\u278b2","\u278b3","\u278b4","\u278b5","\u278b6","\u278b7","\u278b8","\u278b9","\u278ba","\u278bb","\u278bc","\u278bd","\u278be","\u278bf","\u278c0","\u278c1","\u278c2","\u278c3","\u278c4","\u278c5","\u278c6","\u278c7","\u278c8","\u278c9","\u278ca","\u278cb","\u278cc","\u278cd","\u278ce","\u278cf","\u278d0","\u278d1","\u278d2","\u278d3","\u278d4","\u278d5","\u278d6","\u278d7","\u278d8","\u278d9","\u278da","\u278db","\u278dc","\u278dd","\u278de","\u278df","\u278e0","\u278e1","\u278e2","\u278e3","\u278e4","\u278e5","\u278e6","\u278e7","\u278e8","\u278e9","\u278ea","\u278eb","\u278ec","\u278ed","\u278ee","\u278ef","\u278f0","\u278f1","\u278f2","\u278f3","\u278f4","\u278f5","\u278f6","\u278f7","\u278f8","\u278f9","\u278fa","\u278fb","\u278fc","\u278fd","\u278fe","\u278ff","\u27900","\u27901","\u27902","\u27903","\u27904","\u27905","\u27906","\u27907","\u27908","\u27909","\u2790a","\u2790b","\u2790c","\u2790d","\u2790e","\u2790f","\u27910","\u27911","\u27912","\u27913","\u27914","\u27915","\u27916","\u27917","\u27918","\u27919","\u2791a","\u2791b","\u2791c","\u2791d","\u2791e","\u2791f","\u27920","\u27921","\u27922","\u27923","\u27924","\u27925","\u27926","\u27927","\u27928","\u27929","\u2792a","\u2792b","\u2792c","\u2792d","\u2792e","\u2792f","\u27930","\u27931","\u27932","\u27933","\u27934","\u27935","\u27936","\u27937","\u27938","\u27939","\u2793a","\u2793b","\u2793c","\u2793d","\u2793e","\u2793f","\u27940","\u27941","\u27942","\u27943","\u27944","\u27945","\u27946","\u27947","\u27948","\u27949","\u2794a","\u2794b","\u2794c","\u2794d","\u2794e","\u2794f","\u27950","\u27951","\u27952","\u27953","\u27954","\u27955","\u27956","\u27957","\u27958","\u27959","\u2795a","\u2795b","\u2795c","\u2795d","\u2795e","\u2795f","\u27960","\u27961","\u27962","\u27963","\u27964","\u27965","\u27966","\u27967","\u27968","\u27969","\u2796a","\u2796b","\u2796c","\u2796d","\u2796e","\u2796f","\u27970","\u27971","\u27972","\u27973","\u27974","\u27975","\u27976","\u27977","\u27978","\u27979","\u2797a","\u2797b","\u2797c","\u2797d","\u2797e","\u2797f","\u27980","\u27981","\u27982","\u27983","\u27984","\u27985","\u27986","\u27987","\u27988","\u27989","\u2798a","\u2798b","\u2798c","\u2798d","\u2798e","\u2798f","\u27990","\u27991","\u27992","\u27993","\u27994","\u27995","\u27996","\u27997","\u27998","\u27999","\u2799a","\u2799b","\u2799c","\u2799d","\u2799e","\u2799f","\u279a0","\u279a1","\u279a2","\u279a3","\u279a4","\u279a5","\u279a6","\u279a7","\u279a8","\u279a9","\u279aa","\u279ab","\u279ac","\u279ad","\u279ae","\u279af","\u279b0","\u279b1","\u279b2","\u279b3","\u279b4","\u279b5","\u279b6","\u279b7","\u279b8","\u279b9","\u279ba","\u279bb","\u279bc","\u279bd","\u279be","\u279bf","\u279c0","\u279c1","\u279c2","\u279c3","\u279c4","\u279c5","\u279c6","\u279c7","\u279c8","\u279c9","\u279ca","\u279cb","\u279cc","\u279cd","\u279ce","\u279cf","\u279d0","\u279d1","\u279d2","\u279d3","\u279d4","\u279d5","\u279d6","\u279d7","\u279d8","\u279d9","\u279da","\u279db","\u279dc","\u279dd","\u279de","\u279df","\u279e0","\u279e1","\u279e2","\u279e3","\u279e4","\u279e5","\u279e6","\u279e7","\u279e8","\u279e9","\u279ea","\u279eb","\u279ec","\u279ed","\u279ee","\u279ef","\u279f0","\u279f1","\u279f2","\u279f3","\u279f4","\u279f5","\u279f6","\u279f7","\u279f8","\u279f9","\u279fa","\u279fb","\u279fc","\u279fd","\u279fe","\u279ff","\u27a00","\u27a01","\u27a02","\u27a03","\u27a04","\u27a05","\u27a06","\u27a07","\u27a08","\u27a09","\u27a0a","\u27a0b","\u27a0c","\u27a0d","\u27a0e","\u27a0f","\u27a10","\u27a11","\u27a12","\u27a13","\u27a14","\u27a15","\u27a16","\u27a17","\u27a18","\u27a19","\u27a1a","\u27a1b","\u27a1c","\u27a1d","\u27a1e","\u27a1f","\u27a20","\u27a21","\u27a22","\u27a23","\u27a24","\u27a25","\u27a26","\u27a27","\u27a28","\u27a29","\u27a2a","\u27a2b","\u27a2c","\u27a2d","\u27a2e","\u27a2f","\u27a30","\u27a31","\u27a32","\u27a33","\u27a34","\u27a35","\u27a36","\u27a37","\u27a38","\u27a39","\u27a3a","\u27a3b","\u27a3c","\u27a3d","\u27a3e","\u27a3f","\u27a40","\u27a41","\u27a42","\u27a43","\u27a44","\u27a45","\u27a46","\u27a47","\u27a48","\u27a49","\u27a4a","\u27a4b","\u27a4c","\u27a4d","\u27a4e","\u27a4f","\u27a50","\u27a51","\u27a52","\u27a53","\u27a54","\u27a55","\u27a56","\u27a57","\u27a58","\u27a59","\u27a5a","\u27a5b","\u27a5c","\u27a5d","\u27a5e","\u27a5f","\u27a60","\u27a61","\u27a62","\u27a63","\u27a64","\u27a65","\u27a66","\u27a67","\u27a68","\u27a69","\u27a6a","\u27a6b","\u27a6c","\u27a6d","\u27a6e","\u27a6f","\u27a70","\u27a71","\u27a72","\u27a73","\u27a74","\u27a75","\u27a76","\u27a77","\u27a78","\u27a79","\u27a7a","\u27a7b","\u27a7c","\u27a7d","\u27a7e","\u27a7f","\u27a80","\u27a81","\u27a82","\u27a83","\u27a84","\u27a85","\u27a86","\u27a87","\u27a88","\u27a89","\u27a8a","\u27a8b","\u27a8c","\u27a8d","\u27a8e","\u27a8f","\u27a90","\u27a91","\u27a92","\u27a93","\u27a94","\u27a95","\u27a96","\u27a97","\u27a98","\u27a99","\u27a9a","\u27a9b","\u27a9c","\u27a9d","\u27a9e","\u27a9f","\u27aa0","\u27aa1","\u27aa2","\u27aa3","\u27aa4","\u27aa5","\u27aa6","\u27aa7","\u27aa8","\u27aa9","\u27aaa","\u27aab","\u27aac","\u27aad","\u27aae","\u27aaf","\u27ab0","\u27ab1","\u27ab2","\u27ab3","\u27ab4","\u27ab5","\u27ab6","\u27ab7","\u27ab8","\u27ab9","\u27aba","\u27abb","\u27abc","\u27abd","\u27abe","\u27abf","\u27ac0","\u27ac1","\u27ac2","\u27ac3","\u27ac4","\u27ac5","\u27ac6","\u27ac7","\u27ac8","\u27ac9","\u27aca","\u27acb","\u27acc","\u27acd","\u27ace","\u27acf","\u27ad0","\u27ad1","\u27ad2","\u27ad3","\u27ad4","\u27ad5","\u27ad6","\u27ad7","\u27ad8","\u27ad9","\u27ada","\u27adb","\u27adc","\u27add","\u27ade","\u27adf","\u27ae0","\u27ae1","\u27ae2","\u27ae3","\u27ae4","\u27ae5","\u27ae6","\u27ae7","\u27ae8","\u27ae9","\u27aea","\u27aeb","\u27aec","\u27aed","\u27aee","\u27aef","\u27af0","\u27af1","\u27af2","\u27af3","\u27af4","\u27af5","\u27af6","\u27af7","\u27af8","\u27af9","\u27afa","\u27afb","\u27afc","\u27afd","\u27afe","\u27aff","\u27b00","\u27b01","\u27b02","\u27b03","\u27b04","\u27b05","\u27b06","\u27b07","\u27b08","\u27b09","\u27b0a","\u27b0b","\u27b0c","\u27b0d","\u27b0e","\u27b0f","\u27b10","\u27b11","\u27b12","\u27b13","\u27b14","\u27b15","\u27b16","\u27b17","\u27b18","\u27b19","\u27b1a","\u27b1b","\u27b1c","\u27b1d","\u27b1e","\u27b1f","\u27b20","\u27b21","\u27b22","\u27b23","\u27b24","\u27b25","\u27b26","\u27b27","\u27b28","\u27b29","\u27b2a","\u27b2b","\u27b2c","\u27b2d","\u27b2e","\u27b2f","\u27b30","\u27b31","\u27b32","\u27b33","\u27b34","\u27b35","\u27b36","\u27b37","\u27b38","\u27b39","\u27b3a","\u27b3b","\u27b3c","\u27b3d","\u27b3e","\u27b3f","\u27b40","\u27b41","\u27b42","\u27b43","\u27b44","\u27b45","\u27b46","\u27b47","\u27b48","\u27b49","\u27b4a","\u27b4b","\u27b4c","\u27b4d","\u27b4e","\u27b4f","\u27b50","\u27b51","\u27b52","\u27b53","\u27b54","\u27b55","\u27b56","\u27b57","\u27b58","\u27b59","\u27b5a","\u27b5b","\u27b5c","\u27b5d","\u27b5e","\u27b5f","\u27b60","\u27b61","\u27b62","\u27b63","\u27b64","\u27b65","\u27b66","\u27b67","\u27b68","\u27b69","\u27b6a","\u27b6b","\u27b6c","\u27b6d","\u27b6e","\u27b6f","\u27b70","\u27b71","\u27b72","\u27b73","\u27b74","\u27b75","\u27b76","\u27b77","\u27b78","\u27b79","\u27b7a","\u27b7b","\u27b7c","\u27b7d","\u27b7e","\u27b7f","\u27b80","\u27b81","\u27b82","\u27b83","\u27b84","\u27b85","\u27b86","\u27b87","\u27b88","\u27b89","\u27b8a","\u27b8b","\u27b8c","\u27b8d","\u27b8e","\u27b8f","\u27b90","\u27b91","\u27b92","\u27b93","\u27b94","\u27b95","\u27b96","\u27b97","\u27b98","\u27b99","\u27b9a","\u27b9b","\u27b9c","\u27b9d","\u27b9e","\u27b9f","\u27ba0","\u27ba1","\u27ba2","\u27ba3","\u27ba4","\u27ba5","\u27ba6","\u27ba7","\u27ba8","\u27ba9","\u27baa","\u27bab","\u27bac","\u27bad","\u27bae","\u27baf","\u27bb0","\u27bb1","\u27bb2","\u27bb3","\u27bb4","\u27bb5","\u27bb6","\u27bb7","\u27bb8","\u27bb9","\u27bba","\u27bbb","\u27bbc","\u27bbd","\u27bbe","\u27bbf","\u27bc0","\u27bc1","\u27bc2","\u27bc3","\u27bc4","\u27bc5","\u27bc6","\u27bc7","\u27bc8","\u27bc9","\u27bca","\u27bcb","\u27bcc","\u27bcd","\u27bce","\u27bcf","\u27bd0","\u27bd1","\u27bd2","\u27bd3","\u27bd4","\u27bd5","\u27bd6","\u27bd7","\u27bd8","\u27bd9","\u27bda","\u27bdb","\u27bdc","\u27bdd","\u27bde","\u27bdf","\u27be0","\u27be1","\u27be2","\u27be3","\u27be4","\u27be5","\u27be6","\u27be7","\u27be8","\u27be9","\u27bea","\u27beb","\u27bec","\u27bed","\u27bee","\u27bef","\u27bf0","\u27bf1","\u27bf2","\u27bf3","\u27bf4","\u27bf5","\u27bf6","\u27bf7","\u27bf8","\u27bf9","\u27bfa","\u27bfb","\u27bfc","\u27bfd","\u27bfe","\u27bff","\u27c00","\u27c01","\u27c02","\u27c03","\u27c04","\u27c05","\u27c06","\u27c07","\u27c08","\u27c09","\u27c0a","\u27c0b","\u27c0c","\u27c0d","\u27c0e","\u27c0f","\u27c10","\u27c11","\u27c12","\u27c13","\u27c14","\u27c15","\u27c16","\u27c17","\u27c18","\u27c19","\u27c1a","\u27c1b","\u27c1c","\u27c1d","\u27c1e","\u27c1f","\u27c20","\u27c21","\u27c22","\u27c23","\u27c24","\u27c25","\u27c26","\u27c27","\u27c28","\u27c29","\u27c2a","\u27c2b","\u27c2c","\u27c2d","\u27c2e","\u27c2f","\u27c30","\u27c31","\u27c32","\u27c33","\u27c34","\u27c35","\u27c36","\u27c37","\u27c38","\u27c39","\u27c3a","\u27c3b","\u27c3c","\u27c3d","\u27c3e","\u27c3f","\u27c40","\u27c41","\u27c42","\u27c43","\u27c44","\u27c45","\u27c46","\u27c47","\u27c48","\u27c49","\u27c4a","\u27c4b","\u27c4c","\u27c4d","\u27c4e","\u27c4f","\u27c50","\u27c51","\u27c52","\u27c53","\u27c54","\u27c55","\u27c56","\u27c57","\u27c58","\u27c59","\u27c5a","\u27c5b","\u27c5c","\u27c5d","\u27c5e","\u27c5f","\u27c60","\u27c61","\u27c62","\u27c63","\u27c64","\u27c65","\u27c66","\u27c67","\u27c68","\u27c69","\u27c6a","\u27c6b","\u27c6c","\u27c6d","\u27c6e","\u27c6f","\u27c70","\u27c71","\u27c72","\u27c73","\u27c74","\u27c75","\u27c76","\u27c77","\u27c78","\u27c79","\u27c7a","\u27c7b","\u27c7c","\u27c7d","\u27c7e","\u27c7f","\u27c80","\u27c81","\u27c82","\u27c83","\u27c84","\u27c85","\u27c86","\u27c87","\u27c88","\u27c89","\u27c8a","\u27c8b","\u27c8c","\u27c8d","\u27c8e","\u27c8f","\u27c90","\u27c91","\u27c92","\u27c93","\u27c94","\u27c95","\u27c96","\u27c97","\u27c98","\u27c99","\u27c9a","\u27c9b","\u27c9c","\u27c9d","\u27c9e","\u27c9f","\u27ca0","\u27ca1","\u27ca2","\u27ca3","\u27ca4","\u27ca5","\u27ca6","\u27ca7","\u27ca8","\u27ca9","\u27caa","\u27cab","\u27cac","\u27cad","\u27cae","\u27caf","\u27cb0","\u27cb1","\u27cb2","\u27cb3","\u27cb4","\u27cb5","\u27cb6","\u27cb7","\u27cb8","\u27cb9","\u27cba","\u27cbb","\u27cbc","\u27cbd","\u27cbe","\u27cbf","\u27cc0","\u27cc1","\u27cc2","\u27cc3","\u27cc4","\u27cc5","\u27cc6","\u27cc7","\u27cc8","\u27cc9","\u27cca","\u27ccb","\u27ccc","\u27ccd","\u27cce","\u27ccf","\u27cd0","\u27cd1","\u27cd2","\u27cd3","\u27cd4","\u27cd5","\u27cd6","\u27cd7","\u27cd8","\u27cd9","\u27cda","\u27cdb","\u27cdc","\u27cdd","\u27cde","\u27cdf","\u27ce0","\u27ce1","\u27ce2","\u27ce3","\u27ce4","\u27ce5","\u27ce6","\u27ce7","\u27ce8","\u27ce9","\u27cea","\u27ceb","\u27cec","\u27ced","\u27cee","\u27cef","\u27cf0","\u27cf1","\u27cf2","\u27cf3","\u27cf4","\u27cf5","\u27cf6","\u27cf7","\u27cf8","\u27cf9","\u27cfa","\u27cfb","\u27cfc","\u27cfd","\u27cfe","\u27cff","\u27d00","\u27d01","\u27d02","\u27d03","\u27d04","\u27d05","\u27d06","\u27d07","\u27d08","\u27d09","\u27d0a","\u27d0b","\u27d0c","\u27d0d","\u27d0e","\u27d0f","\u27d10","\u27d11","\u27d12","\u27d13","\u27d14","\u27d15","\u27d16","\u27d17","\u27d18","\u27d19","\u27d1a","\u27d1b","\u27d1c","\u27d1d","\u27d1e","\u27d1f","\u27d20","\u27d21","\u27d22","\u27d23","\u27d24","\u27d25","\u27d26","\u27d27","\u27d28","\u27d29","\u27d2a","\u27d2b","\u27d2c","\u27d2d","\u27d2e","\u27d2f","\u27d30","\u27d31","\u27d32","\u27d33","\u27d34","\u27d35","\u27d36","\u27d37","\u27d38","\u27d39","\u27d3a","\u27d3b","\u27d3c","\u27d3d","\u27d3e","\u27d3f","\u27d40","\u27d41","\u27d42","\u27d43","\u27d44","\u27d45","\u27d46","\u27d47","\u27d48","\u27d49","\u27d4a","\u27d4b","\u27d4c","\u27d4d","\u27d4e","\u27d4f","\u27d50","\u27d51","\u27d52","\u27d53","\u27d54","\u27d55","\u27d56","\u27d57","\u27d58","\u27d59","\u27d5a","\u27d5b","\u27d5c","\u27d5d","\u27d5e","\u27d5f","\u27d60","\u27d61","\u27d62","\u27d63","\u27d64","\u27d65","\u27d66","\u27d67","\u27d68","\u27d69","\u27d6a","\u27d6b","\u27d6c","\u27d6d","\u27d6e","\u27d6f","\u27d70","\u27d71","\u27d72","\u27d73","\u27d74","\u27d75","\u27d76","\u27d77","\u27d78","\u27d79","\u27d7a","\u27d7b","\u27d7c","\u27d7d","\u27d7e","\u27d7f","\u27d80","\u27d81","\u27d82","\u27d83","\u27d84","\u27d85","\u27d86","\u27d87","\u27d88","\u27d89","\u27d8a","\u27d8b","\u27d8c","\u27d8d","\u27d8e","\u27d8f","\u27d90","\u27d91","\u27d92","\u27d93","\u27d94","\u27d95","\u27d96","\u27d97","\u27d98","\u27d99","\u27d9a","\u27d9b","\u27d9c","\u27d9d","\u27d9e","\u27d9f","\u27da0","\u27da1","\u27da2","\u27da3","\u27da4","\u27da5","\u27da6","\u27da7","\u27da8","\u27da9","\u27daa","\u27dab","\u27dac","\u27dad","\u27dae","\u27daf","\u27db0","\u27db1","\u27db2","\u27db3","\u27db4","\u27db5","\u27db6","\u27db7","\u27db8","\u27db9","\u27dba","\u27dbb","\u27dbc","\u27dbd","\u27dbe","\u27dbf","\u27dc0","\u27dc1","\u27dc2","\u27dc3","\u27dc4","\u27dc5","\u27dc6","\u27dc7","\u27dc8","\u27dc9","\u27dca","\u27dcb","\u27dcc","\u27dcd","\u27dce","\u27dcf","\u27dd0","\u27dd1","\u27dd2","\u27dd3","\u27dd4","\u27dd5","\u27dd6","\u27dd7","\u27dd8","\u27dd9","\u27dda","\u27ddb","\u27ddc","\u27ddd","\u27dde","\u27ddf","\u27de0","\u27de1","\u27de2","\u27de3","\u27de4","\u27de5","\u27de6","\u27de7","\u27de8","\u27de9","\u27dea","\u27deb","\u27dec","\u27ded","\u27dee","\u27def","\u27df0","\u27df1","\u27df2","\u27df3","\u27df4","\u27df5","\u27df6","\u27df7","\u27df8","\u27df9","\u27dfa","\u27dfb","\u27dfc","\u27dfd","\u27dfe","\u27dff","\u27e00","\u27e01","\u27e02","\u27e03","\u27e04","\u27e05","\u27e06","\u27e07","\u27e08","\u27e09","\u27e0a","\u27e0b","\u27e0c","\u27e0d","\u27e0e","\u27e0f","\u27e10","\u27e11","\u27e12","\u27e13","\u27e14","\u27e15","\u27e16","\u27e17","\u27e18","\u27e19","\u27e1a","\u27e1b","\u27e1c","\u27e1d","\u27e1e","\u27e1f","\u27e20","\u27e21","\u27e22","\u27e23","\u27e24","\u27e25","\u27e26","\u27e27","\u27e28","\u27e29","\u27e2a","\u27e2b","\u27e2c","\u27e2d","\u27e2e","\u27e2f","\u27e30","\u27e31","\u27e32","\u27e33","\u27e34","\u27e35","\u27e36","\u27e37","\u27e38","\u27e39","\u27e3a","\u27e3b","\u27e3c","\u27e3d","\u27e3e","\u27e3f","\u27e40","\u27e41","\u27e42","\u27e43","\u27e44","\u27e45","\u27e46","\u27e47","\u27e48","\u27e49","\u27e4a","\u27e4b","\u27e4c","\u27e4d","\u27e4e","\u27e4f","\u27e50","\u27e51","\u27e52","\u27e53","\u27e54","\u27e55","\u27e56","\u27e57","\u27e58","\u27e59","\u27e5a","\u27e5b","\u27e5c","\u27e5d","\u27e5e","\u27e5f","\u27e60","\u27e61","\u27e62","\u27e63","\u27e64","\u27e65","\u27e66","\u27e67","\u27e68","\u27e69","\u27e6a","\u27e6b","\u27e6c","\u27e6d","\u27e6e","\u27e6f","\u27e70","\u27e71","\u27e72","\u27e73","\u27e74","\u27e75","\u27e76","\u27e77","\u27e78","\u27e79","\u27e7a","\u27e7b","\u27e7c","\u27e7d","\u27e7e","\u27e7f","\u27e80","\u27e81","\u27e82","\u27e83","\u27e84","\u27e85","\u27e86","\u27e87","\u27e88","\u27e89","\u27e8a","\u27e8b","\u27e8c","\u27e8d","\u27e8e","\u27e8f","\u27e90","\u27e91","\u27e92","\u27e93","\u27e94","\u27e95","\u27e96","\u27e97","\u27e98","\u27e99","\u27e9a","\u27e9b","\u27e9c","\u27e9d","\u27e9e","\u27e9f","\u27ea0","\u27ea1","\u27ea2","\u27ea3","\u27ea4","\u27ea5","\u27ea6","\u27ea7","\u27ea8","\u27ea9","\u27eaa","\u27eab","\u27eac","\u27ead","\u27eae","\u27eaf","\u27eb0","\u27eb1","\u27eb2","\u27eb3","\u27eb4","\u27eb5","\u27eb6","\u27eb7","\u27eb8","\u27eb9","\u27eba","\u27ebb","\u27ebc","\u27ebd","\u27ebe","\u27ebf","\u27ec0","\u27ec1","\u27ec2","\u27ec3","\u27ec4","\u27ec5","\u27ec6","\u27ec7","\u27ec8","\u27ec9","\u27eca","\u27ecb","\u27ecc","\u27ecd","\u27ece","\u27ecf","\u27ed0","\u27ed1","\u27ed2","\u27ed3","\u27ed4","\u27ed5","\u27ed6","\u27ed7","\u27ed8","\u27ed9","\u27eda","\u27edb","\u27edc","\u27edd","\u27ede","\u27edf","\u27ee0","\u27ee1","\u27ee2","\u27ee3","\u27ee4","\u27ee5","\u27ee6","\u27ee7","\u27ee8","\u27ee9","\u27eea","\u27eeb","\u27eec","\u27eed","\u27eee","\u27eef","\u27ef0","\u27ef1","\u27ef2","\u27ef3","\u27ef4","\u27ef5","\u27ef6","\u27ef7","\u27ef8","\u27ef9","\u27efa","\u27efb","\u27efc","\u27efd","\u27efe","\u27eff","\u27f00","\u27f01","\u27f02","\u27f03","\u27f04","\u27f05","\u27f06","\u27f07","\u27f08","\u27f09","\u27f0a","\u27f0b","\u27f0c","\u27f0d","\u27f0e","\u27f0f","\u27f10","\u27f11","\u27f12","\u27f13","\u27f14","\u27f15","\u27f16","\u27f17","\u27f18","\u27f19","\u27f1a","\u27f1b","\u27f1c","\u27f1d","\u27f1e","\u27f1f","\u27f20","\u27f21","\u27f22","\u27f23","\u27f24","\u27f25","\u27f26","\u27f27","\u27f28","\u27f29","\u27f2a","\u27f2b","\u27f2c","\u27f2d","\u27f2e","\u27f2f","\u27f30","\u27f31","\u27f32","\u27f33","\u27f34","\u27f35","\u27f36","\u27f37","\u27f38","\u27f39","\u27f3a","\u27f3b","\u27f3c","\u27f3d","\u27f3e","\u27f3f","\u27f40","\u27f41","\u27f42","\u27f43","\u27f44","\u27f45","\u27f46","\u27f47","\u27f48","\u27f49","\u27f4a","\u27f4b","\u27f4c","\u27f4d","\u27f4e","\u27f4f","\u27f50","\u27f51","\u27f52","\u27f53","\u27f54","\u27f55","\u27f56","\u27f57","\u27f58","\u27f59","\u27f5a","\u27f5b","\u27f5c","\u27f5d","\u27f5e","\u27f5f","\u27f60","\u27f61","\u27f62","\u27f63","\u27f64","\u27f65","\u27f66","\u27f67","\u27f68","\u27f69","\u27f6a","\u27f6b","\u27f6c","\u27f6d","\u27f6e","\u27f6f","\u27f70","\u27f71","\u27f72","\u27f73","\u27f74","\u27f75","\u27f76","\u27f77","\u27f78","\u27f79","\u27f7a","\u27f7b","\u27f7c","\u27f7d","\u27f7e","\u27f7f","\u27f80","\u27f81","\u27f82","\u27f83","\u27f84","\u27f85","\u27f86","\u27f87","\u27f88","\u27f89","\u27f8a","\u27f8b","\u27f8c","\u27f8d","\u27f8e","\u27f8f","\u27f90","\u27f91","\u27f92","\u27f93","\u27f94","\u27f95","\u27f96","\u27f97","\u27f98","\u27f99","\u27f9a","\u27f9b","\u27f9c","\u27f9d","\u27f9e","\u27f9f","\u27fa0","\u27fa1","\u27fa2","\u27fa3","\u27fa4","\u27fa5","\u27fa6","\u27fa7","\u27fa8","\u27fa9","\u27faa","\u27fab","\u27fac","\u27fad","\u27fae","\u27faf","\u27fb0","\u27fb1","\u27fb2","\u27fb3","\u27fb4","\u27fb5","\u27fb6","\u27fb7","\u27fb8","\u27fb9","\u27fba","\u27fbb","\u27fbc","\u27fbd","\u27fbe","\u27fbf","\u27fc0","\u27fc1","\u27fc2","\u27fc3","\u27fc4","\u27fc5","\u27fc6","\u27fc7","\u27fc8","\u27fc9","\u27fca","\u27fcb","\u27fcc","\u27fcd","\u27fce","\u27fcf","\u27fd0","\u27fd1","\u27fd2","\u27fd3","\u27fd4","\u27fd5","\u27fd6","\u27fd7","\u27fd8","\u27fd9","\u27fda","\u27fdb","\u27fdc","\u27fdd","\u27fde","\u27fdf","\u27fe0","\u27fe1","\u27fe2","\u27fe3","\u27fe4","\u27fe5","\u27fe6","\u27fe7","\u27fe8","\u27fe9","\u27fea","\u27feb","\u27fec","\u27fed","\u27fee","\u27fef","\u27ff0","\u27ff1","\u27ff2","\u27ff3","\u27ff4","\u27ff5","\u27ff6","\u27ff7","\u27ff8","\u27ff9","\u27ffa","\u27ffb","\u27ffc","\u27ffd","\u27ffe","\u27fff","\u28000","\u28001","\u28002","\u28003","\u28004","\u28005","\u28006","\u28007","\u28008","\u28009","\u2800a","\u2800b","\u2800c","\u2800d","\u2800e","\u2800f","\u28010","\u28011","\u28012","\u28013","\u28014","\u28015","\u28016","\u28017","\u28018","\u28019","\u2801a","\u2801b","\u2801c","\u2801d","\u2801e","\u2801f","\u28020","\u28021","\u28022","\u28023","\u28024","\u28025","\u28026","\u28027","\u28028","\u28029","\u2802a","\u2802b","\u2802c","\u2802d","\u2802e","\u2802f","\u28030","\u28031","\u28032","\u28033","\u28034","\u28035","\u28036","\u28037","\u28038","\u28039","\u2803a","\u2803b","\u2803c","\u2803d","\u2803e","\u2803f","\u28040","\u28041","\u28042","\u28043","\u28044","\u28045","\u28046","\u28047","\u28048","\u28049","\u2804a","\u2804b","\u2804c","\u2804d","\u2804e","\u2804f","\u28050","\u28051","\u28052","\u28053","\u28054","\u28055","\u28056","\u28057","\u28058","\u28059","\u2805a","\u2805b","\u2805c","\u2805d","\u2805e","\u2805f","\u28060","\u28061","\u28062","\u28063","\u28064","\u28065","\u28066","\u28067","\u28068","\u28069","\u2806a","\u2806b","\u2806c","\u2806d","\u2806e","\u2806f","\u28070","\u28071","\u28072","\u28073","\u28074","\u28075","\u28076","\u28077","\u28078","\u28079","\u2807a","\u2807b","\u2807c","\u2807d","\u2807e","\u2807f","\u28080","\u28081","\u28082","\u28083","\u28084","\u28085","\u28086","\u28087","\u28088","\u28089","\u2808a","\u2808b","\u2808c","\u2808d","\u2808e","\u2808f","\u28090","\u28091","\u28092","\u28093","\u28094","\u28095","\u28096","\u28097","\u28098","\u28099","\u2809a","\u2809b","\u2809c","\u2809d","\u2809e","\u2809f","\u280a0","\u280a1","\u280a2","\u280a3","\u280a4","\u280a5","\u280a6","\u280a7","\u280a8","\u280a9","\u280aa","\u280ab","\u280ac","\u280ad","\u280ae","\u280af","\u280b0","\u280b1","\u280b2","\u280b3","\u280b4","\u280b5","\u280b6","\u280b7","\u280b8","\u280b9","\u280ba","\u280bb","\u280bc","\u280bd","\u280be","\u280bf","\u280c0","\u280c1","\u280c2","\u280c3","\u280c4","\u280c5","\u280c6","\u280c7","\u280c8","\u280c9","\u280ca","\u280cb","\u280cc","\u280cd","\u280ce","\u280cf","\u280d0","\u280d1","\u280d2","\u280d3","\u280d4","\u280d5","\u280d6","\u280d7","\u280d8","\u280d9","\u280da","\u280db","\u280dc","\u280dd","\u280de","\u280df","\u280e0","\u280e1","\u280e2","\u280e3","\u280e4","\u280e5","\u280e6","\u280e7","\u280e8","\u280e9","\u280ea","\u280eb","\u280ec","\u280ed","\u280ee","\u280ef","\u280f0","\u280f1","\u280f2","\u280f3","\u280f4","\u280f5","\u280f6","\u280f7","\u280f8","\u280f9","\u280fa","\u280fb","\u280fc","\u280fd","\u280fe","\u280ff","\u28100","\u28101","\u28102","\u28103","\u28104","\u28105","\u28106","\u28107","\u28108","\u28109","\u2810a","\u2810b","\u2810c","\u2810d","\u2810e","\u2810f","\u28110","\u28111","\u28112","\u28113","\u28114","\u28115","\u28116","\u28117","\u28118","\u28119","\u2811a","\u2811b","\u2811c","\u2811d","\u2811e","\u2811f","\u28120","\u28121","\u28122","\u28123","\u28124","\u28125","\u28126","\u28127","\u28128","\u28129","\u2812a","\u2812b","\u2812c","\u2812d","\u2812e","\u2812f","\u28130","\u28131","\u28132","\u28133","\u28134","\u28135","\u28136","\u28137","\u28138","\u28139","\u2813a","\u2813b","\u2813c","\u2813d","\u2813e","\u2813f","\u28140","\u28141","\u28142","\u28143","\u28144","\u28145","\u28146","\u28147","\u28148","\u28149","\u2814a","\u2814b","\u2814c","\u2814d","\u2814e","\u2814f","\u28150","\u28151","\u28152","\u28153","\u28154","\u28155","\u28156","\u28157","\u28158","\u28159","\u2815a","\u2815b","\u2815c","\u2815d","\u2815e","\u2815f","\u28160","\u28161","\u28162","\u28163","\u28164","\u28165","\u28166","\u28167","\u28168","\u28169","\u2816a","\u2816b","\u2816c","\u2816d","\u2816e","\u2816f","\u28170","\u28171","\u28172","\u28173","\u28174","\u28175","\u28176","\u28177","\u28178","\u28179","\u2817a","\u2817b","\u2817c","\u2817d","\u2817e","\u2817f","\u28180","\u28181","\u28182","\u28183","\u28184","\u28185","\u28186","\u28187","\u28188","\u28189","\u2818a","\u2818b","\u2818c","\u2818d","\u2818e","\u2818f","\u28190","\u28191","\u28192","\u28193","\u28194","\u28195","\u28196","\u28197","\u28198","\u28199","\u2819a","\u2819b","\u2819c","\u2819d","\u2819e","\u2819f","\u281a0","\u281a1","\u281a2","\u281a3","\u281a4","\u281a5","\u281a6","\u281a7","\u281a8","\u281a9","\u281aa","\u281ab","\u281ac","\u281ad","\u281ae","\u281af","\u281b0","\u281b1","\u281b2","\u281b3","\u281b4","\u281b5","\u281b6","\u281b7","\u281b8","\u281b9","\u281ba","\u281bb","\u281bc","\u281bd","\u281be","\u281bf","\u281c0","\u281c1","\u281c2","\u281c3","\u281c4","\u281c5","\u281c6","\u281c7","\u281c8","\u281c9","\u281ca","\u281cb","\u281cc","\u281cd","\u281ce","\u281cf","\u281d0","\u281d1","\u281d2","\u281d3","\u281d4","\u281d5","\u281d6","\u281d7","\u281d8","\u281d9","\u281da","\u281db","\u281dc","\u281dd","\u281de","\u281df","\u281e0","\u281e1","\u281e2","\u281e3","\u281e4","\u281e5","\u281e6","\u281e7","\u281e8","\u281e9","\u281ea","\u281eb","\u281ec","\u281ed","\u281ee","\u281ef","\u281f0","\u281f1","\u281f2","\u281f3","\u281f4","\u281f5","\u281f6","\u281f7","\u281f8","\u281f9","\u281fa","\u281fb","\u281fc","\u281fd","\u281fe","\u281ff","\u28200","\u28201","\u28202","\u28203","\u28204","\u28205","\u28206","\u28207","\u28208","\u28209","\u2820a","\u2820b","\u2820c","\u2820d","\u2820e","\u2820f","\u28210","\u28211","\u28212","\u28213","\u28214","\u28215","\u28216","\u28217","\u28218","\u28219","\u2821a","\u2821b","\u2821c","\u2821d","\u2821e","\u2821f","\u28220","\u28221","\u28222","\u28223","\u28224","\u28225","\u28226","\u28227","\u28228","\u28229","\u2822a","\u2822b","\u2822c","\u2822d","\u2822e","\u2822f","\u28230","\u28231","\u28232","\u28233","\u28234","\u28235","\u28236","\u28237","\u28238","\u28239","\u2823a","\u2823b","\u2823c","\u2823d","\u2823e","\u2823f","\u28240","\u28241","\u28242","\u28243","\u28244","\u28245","\u28246","\u28247","\u28248","\u28249","\u2824a","\u2824b","\u2824c","\u2824d","\u2824e","\u2824f","\u28250","\u28251","\u28252","\u28253","\u28254","\u28255","\u28256","\u28257","\u28258","\u28259","\u2825a","\u2825b","\u2825c","\u2825d","\u2825e","\u2825f","\u28260","\u28261","\u28262","\u28263","\u28264","\u28265","\u28266","\u28267","\u28268","\u28269","\u2826a","\u2826b","\u2826c","\u2826d","\u2826e","\u2826f","\u28270","\u28271","\u28272","\u28273","\u28274","\u28275","\u28276","\u28277","\u28278","\u28279","\u2827a","\u2827b","\u2827c","\u2827d","\u2827e","\u2827f","\u28280","\u28281","\u28282","\u28283","\u28284","\u28285","\u28286","\u28287","\u28288","\u28289","\u2828a","\u2828b","\u2828c","\u2828d","\u2828e","\u2828f","\u28290","\u28291","\u28292","\u28293","\u28294","\u28295","\u28296","\u28297","\u28298","\u28299","\u2829a","\u2829b","\u2829c","\u2829d","\u2829e","\u2829f","\u282a0","\u282a1","\u282a2","\u282a3","\u282a4","\u282a5","\u282a6","\u282a7","\u282a8","\u282a9","\u282aa","\u282ab","\u282ac","\u282ad","\u282ae","\u282af","\u282b0","\u282b1","\u282b2","\u282b3","\u282b4","\u282b5","\u282b6","\u282b7","\u282b8","\u282b9","\u282ba","\u282bb","\u282bc","\u282bd","\u282be","\u282bf","\u282c0","\u282c1","\u282c2","\u282c3","\u282c4","\u282c5","\u282c6","\u282c7","\u282c8","\u282c9","\u282ca","\u282cb","\u282cc","\u282cd","\u282ce","\u282cf","\u282d0","\u282d1","\u282d2","\u282d3","\u282d4","\u282d5","\u282d6","\u282d7","\u282d8","\u282d9","\u282da","\u282db","\u282dc","\u282dd","\u282de","\u282df","\u282e0","\u282e1","\u282e2","\u282e3","\u282e4","\u282e5","\u282e6","\u282e7","\u282e8","\u282e9","\u282ea","\u282eb","\u282ec","\u282ed","\u282ee","\u282ef","\u282f0","\u282f1","\u282f2","\u282f3","\u282f4","\u282f5","\u282f6","\u282f7","\u282f8","\u282f9","\u282fa","\u282fb","\u282fc","\u282fd","\u282fe","\u282ff","\u28300","\u28301","\u28302","\u28303","\u28304","\u28305","\u28306","\u28307","\u28308","\u28309","\u2830a","\u2830b","\u2830c","\u2830d","\u2830e","\u2830f","\u28310","\u28311","\u28312","\u28313","\u28314","\u28315","\u28316","\u28317","\u28318","\u28319","\u2831a","\u2831b","\u2831c","\u2831d","\u2831e","\u2831f","\u28320","\u28321","\u28322","\u28323","\u28324","\u28325","\u28326","\u28327","\u28328","\u28329","\u2832a","\u2832b","\u2832c","\u2832d","\u2832e","\u2832f","\u28330","\u28331","\u28332","\u28333","\u28334","\u28335","\u28336","\u28337","\u28338","\u28339","\u2833a","\u2833b","\u2833c","\u2833d","\u2833e","\u2833f","\u28340","\u28341","\u28342","\u28343","\u28344","\u28345","\u28346","\u28347","\u28348","\u28349","\u2834a","\u2834b","\u2834c","\u2834d","\u2834e","\u2834f","\u28350","\u28351","\u28352","\u28353","\u28354","\u28355","\u28356","\u28357","\u28358","\u28359","\u2835a","\u2835b","\u2835c","\u2835d","\u2835e","\u2835f","\u28360","\u28361","\u28362","\u28363","\u28364","\u28365","\u28366","\u28367","\u28368","\u28369","\u2836a","\u2836b","\u2836c","\u2836d","\u2836e","\u2836f","\u28370","\u28371","\u28372","\u28373","\u28374","\u28375","\u28376","\u28377","\u28378","\u28379","\u2837a","\u2837b","\u2837c","\u2837d","\u2837e","\u2837f","\u28380","\u28381","\u28382","\u28383","\u28384","\u28385","\u28386","\u28387","\u28388","\u28389","\u2838a","\u2838b","\u2838c","\u2838d","\u2838e","\u2838f","\u28390","\u28391","\u28392","\u28393","\u28394","\u28395","\u28396","\u28397","\u28398","\u28399","\u2839a","\u2839b","\u2839c","\u2839d","\u2839e","\u2839f","\u283a0","\u283a1","\u283a2","\u283a3","\u283a4","\u283a5","\u283a6","\u283a7","\u283a8","\u283a9","\u283aa","\u283ab","\u283ac","\u283ad","\u283ae","\u283af","\u283b0","\u283b1","\u283b2","\u283b3","\u283b4","\u283b5","\u283b6","\u283b7","\u283b8","\u283b9","\u283ba","\u283bb","\u283bc","\u283bd","\u283be","\u283bf","\u283c0","\u283c1","\u283c2","\u283c3","\u283c4","\u283c5","\u283c6","\u283c7","\u283c8","\u283c9","\u283ca","\u283cb","\u283cc","\u283cd","\u283ce","\u283cf","\u283d0","\u283d1","\u283d2","\u283d3","\u283d4","\u283d5","\u283d6","\u283d7","\u283d8","\u283d9","\u283da","\u283db","\u283dc","\u283dd","\u283de","\u283df","\u283e0","\u283e1","\u283e2","\u283e3","\u283e4","\u283e5","\u283e6","\u283e7","\u283e8","\u283e9","\u283ea","\u283eb","\u283ec","\u283ed","\u283ee","\u283ef","\u283f0","\u283f1","\u283f2","\u283f3","\u283f4","\u283f5","\u283f6","\u283f7","\u283f8","\u283f9","\u283fa","\u283fb","\u283fc","\u283fd","\u283fe","\u283ff","\u28400","\u28401","\u28402","\u28403","\u28404","\u28405","\u28406","\u28407","\u28408","\u28409","\u2840a","\u2840b","\u2840c","\u2840d","\u2840e","\u2840f","\u28410","\u28411","\u28412","\u28413","\u28414","\u28415","\u28416","\u28417","\u28418","\u28419","\u2841a","\u2841b","\u2841c","\u2841d","\u2841e","\u2841f","\u28420","\u28421","\u28422","\u28423","\u28424","\u28425","\u28426","\u28427","\u28428","\u28429","\u2842a","\u2842b","\u2842c","\u2842d","\u2842e","\u2842f","\u28430","\u28431","\u28432","\u28433","\u28434","\u28435","\u28436","\u28437","\u28438","\u28439","\u2843a","\u2843b","\u2843c","\u2843d","\u2843e","\u2843f","\u28440","\u28441","\u28442","\u28443","\u28444","\u28445","\u28446","\u28447","\u28448","\u28449","\u2844a","\u2844b","\u2844c","\u2844d","\u2844e","\u2844f","\u28450","\u28451","\u28452","\u28453","\u28454","\u28455","\u28456","\u28457","\u28458","\u28459","\u2845a","\u2845b","\u2845c","\u2845d","\u2845e","\u2845f","\u28460","\u28461","\u28462","\u28463","\u28464","\u28465","\u28466","\u28467","\u28468","\u28469","\u2846a","\u2846b","\u2846c","\u2846d","\u2846e","\u2846f","\u28470","\u28471","\u28472","\u28473","\u28474","\u28475","\u28476","\u28477","\u28478","\u28479","\u2847a","\u2847b","\u2847c","\u2847d","\u2847e","\u2847f","\u28480","\u28481","\u28482","\u28483","\u28484","\u28485","\u28486","\u28487","\u28488","\u28489","\u2848a","\u2848b","\u2848c","\u2848d","\u2848e","\u2848f","\u28490","\u28491","\u28492","\u28493","\u28494","\u28495","\u28496","\u28497","\u28498","\u28499","\u2849a","\u2849b","\u2849c","\u2849d","\u2849e","\u2849f","\u284a0","\u284a1","\u284a2","\u284a3","\u284a4","\u284a5","\u284a6","\u284a7","\u284a8","\u284a9","\u284aa","\u284ab","\u284ac","\u284ad","\u284ae","\u284af","\u284b0","\u284b1","\u284b2","\u284b3","\u284b4","\u284b5","\u284b6","\u284b7","\u284b8","\u284b9","\u284ba","\u284bb","\u284bc","\u284bd","\u284be","\u284bf","\u284c0","\u284c1","\u284c2","\u284c3","\u284c4","\u284c5","\u284c6","\u284c7","\u284c8","\u284c9","\u284ca","\u284cb","\u284cc","\u284cd","\u284ce","\u284cf","\u284d0","\u284d1","\u284d2","\u284d3","\u284d4","\u284d5","\u284d6","\u284d7","\u284d8","\u284d9","\u284da","\u284db","\u284dc","\u284dd","\u284de","\u284df","\u284e0","\u284e1","\u284e2","\u284e3","\u284e4","\u284e5","\u284e6","\u284e7","\u284e8","\u284e9","\u284ea","\u284eb","\u284ec","\u284ed","\u284ee","\u284ef","\u284f0","\u284f1","\u284f2","\u284f3","\u284f4","\u284f5","\u284f6","\u284f7","\u284f8","\u284f9","\u284fa","\u284fb","\u284fc","\u284fd","\u284fe","\u284ff","\u28500","\u28501","\u28502","\u28503","\u28504","\u28505","\u28506","\u28507","\u28508","\u28509","\u2850a","\u2850b","\u2850c","\u2850d","\u2850e","\u2850f","\u28510","\u28511","\u28512","\u28513","\u28514","\u28515","\u28516","\u28517","\u28518","\u28519","\u2851a","\u2851b","\u2851c","\u2851d","\u2851e","\u2851f","\u28520","\u28521","\u28522","\u28523","\u28524","\u28525","\u28526","\u28527","\u28528","\u28529","\u2852a","\u2852b","\u2852c","\u2852d","\u2852e","\u2852f","\u28530","\u28531","\u28532","\u28533","\u28534","\u28535","\u28536","\u28537","\u28538","\u28539","\u2853a","\u2853b","\u2853c","\u2853d","\u2853e","\u2853f","\u28540","\u28541","\u28542","\u28543","\u28544","\u28545","\u28546","\u28547","\u28548","\u28549","\u2854a","\u2854b","\u2854c","\u2854d","\u2854e","\u2854f","\u28550","\u28551","\u28552","\u28553","\u28554","\u28555","\u28556","\u28557","\u28558","\u28559","\u2855a","\u2855b","\u2855c","\u2855d","\u2855e","\u2855f","\u28560","\u28561","\u28562","\u28563","\u28564","\u28565","\u28566","\u28567","\u28568","\u28569","\u2856a","\u2856b","\u2856c","\u2856d","\u2856e","\u2856f","\u28570","\u28571","\u28572","\u28573","\u28574","\u28575","\u28576","\u28577","\u28578","\u28579","\u2857a","\u2857b","\u2857c","\u2857d","\u2857e","\u2857f","\u28580","\u28581","\u28582","\u28583","\u28584","\u28585","\u28586","\u28587","\u28588","\u28589","\u2858a","\u2858b","\u2858c","\u2858d","\u2858e","\u2858f","\u28590","\u28591","\u28592","\u28593","\u28594","\u28595","\u28596","\u28597","\u28598","\u28599","\u2859a","\u2859b","\u2859c","\u2859d","\u2859e","\u2859f","\u285a0","\u285a1","\u285a2","\u285a3","\u285a4","\u285a5","\u285a6","\u285a7","\u285a8","\u285a9","\u285aa","\u285ab","\u285ac","\u285ad","\u285ae","\u285af","\u285b0","\u285b1","\u285b2","\u285b3","\u285b4","\u285b5","\u285b6","\u285b7","\u285b8","\u285b9","\u285ba","\u285bb","\u285bc","\u285bd","\u285be","\u285bf","\u285c0","\u285c1","\u285c2","\u285c3","\u285c4","\u285c5","\u285c6","\u285c7","\u285c8","\u285c9","\u285ca","\u285cb","\u285cc","\u285cd","\u285ce","\u285cf","\u285d0","\u285d1","\u285d2","\u285d3","\u285d4","\u285d5","\u285d6","\u285d7","\u285d8","\u285d9","\u285da","\u285db","\u285dc","\u285dd","\u285de","\u285df","\u285e0","\u285e1","\u285e2","\u285e3","\u285e4","\u285e5","\u285e6","\u285e7","\u285e8","\u285e9","\u285ea","\u285eb","\u285ec","\u285ed","\u285ee","\u285ef","\u285f0","\u285f1","\u285f2","\u285f3","\u285f4","\u285f5","\u285f6","\u285f7","\u285f8","\u285f9","\u285fa","\u285fb","\u285fc","\u285fd","\u285fe","\u285ff","\u28600","\u28601","\u28602","\u28603","\u28604","\u28605","\u28606","\u28607","\u28608","\u28609","\u2860a","\u2860b","\u2860c","\u2860d","\u2860e","\u2860f","\u28610","\u28611","\u28612","\u28613","\u28614","\u28615","\u28616","\u28617","\u28618","\u28619","\u2861a","\u2861b","\u2861c","\u2861d","\u2861e","\u2861f","\u28620","\u28621","\u28622","\u28623","\u28624","\u28625","\u28626","\u28627","\u28628","\u28629","\u2862a","\u2862b","\u2862c","\u2862d","\u2862e","\u2862f","\u28630","\u28631","\u28632","\u28633","\u28634","\u28635","\u28636","\u28637","\u28638","\u28639","\u2863a","\u2863b","\u2863c","\u2863d","\u2863e","\u2863f","\u28640","\u28641","\u28642","\u28643","\u28644","\u28645","\u28646","\u28647","\u28648","\u28649","\u2864a","\u2864b","\u2864c","\u2864d","\u2864e","\u2864f","\u28650","\u28651","\u28652","\u28653","\u28654","\u28655","\u28656","\u28657","\u28658","\u28659","\u2865a","\u2865b","\u2865c","\u2865d","\u2865e","\u2865f","\u28660","\u28661","\u28662","\u28663","\u28664","\u28665","\u28666","\u28667","\u28668","\u28669","\u2866a","\u2866b","\u2866c","\u2866d","\u2866e","\u2866f","\u28670","\u28671","\u28672","\u28673","\u28674","\u28675","\u28676","\u28677","\u28678","\u28679","\u2867a","\u2867b","\u2867c","\u2867d","\u2867e","\u2867f","\u28680","\u28681","\u28682","\u28683","\u28684","\u28685","\u28686","\u28687","\u28688","\u28689","\u2868a","\u2868b","\u2868c","\u2868d","\u2868e","\u2868f","\u28690","\u28691","\u28692","\u28693","\u28694","\u28695","\u28696","\u28697","\u28698","\u28699","\u2869a","\u2869b","\u2869c","\u2869d","\u2869e","\u2869f","\u286a0","\u286a1","\u286a2","\u286a3","\u286a4","\u286a5","\u286a6","\u286a7","\u286a8","\u286a9","\u286aa","\u286ab","\u286ac","\u286ad","\u286ae","\u286af","\u286b0","\u286b1","\u286b2","\u286b3","\u286b4","\u286b5","\u286b6","\u286b7","\u286b8","\u286b9","\u286ba","\u286bb","\u286bc","\u286bd","\u286be","\u286bf","\u286c0","\u286c1","\u286c2","\u286c3","\u286c4","\u286c5","\u286c6","\u286c7","\u286c8","\u286c9","\u286ca","\u286cb","\u286cc","\u286cd","\u286ce","\u286cf","\u286d0","\u286d1","\u286d2","\u286d3","\u286d4","\u286d5","\u286d6","\u286d7","\u286d8","\u286d9","\u286da","\u286db","\u286dc","\u286dd","\u286de","\u286df","\u286e0","\u286e1","\u286e2","\u286e3","\u286e4","\u286e5","\u286e6","\u286e7","\u286e8","\u286e9","\u286ea","\u286eb","\u286ec","\u286ed","\u286ee","\u286ef","\u286f0","\u286f1","\u286f2","\u286f3","\u286f4","\u286f5","\u286f6","\u286f7","\u286f8","\u286f9","\u286fa","\u286fb","\u286fc","\u286fd","\u286fe","\u286ff","\u28700","\u28701","\u28702","\u28703","\u28704","\u28705","\u28706","\u28707","\u28708","\u28709","\u2870a","\u2870b","\u2870c","\u2870d","\u2870e","\u2870f","\u28710","\u28711","\u28712","\u28713","\u28714","\u28715","\u28716","\u28717","\u28718","\u28719","\u2871a","\u2871b","\u2871c","\u2871d","\u2871e","\u2871f","\u28720","\u28721","\u28722","\u28723","\u28724","\u28725","\u28726","\u28727","\u28728","\u28729","\u2872a","\u2872b","\u2872c","\u2872d","\u2872e","\u2872f","\u28730","\u28731","\u28732","\u28733","\u28734","\u28735","\u28736","\u28737","\u28738","\u28739","\u2873a","\u2873b","\u2873c","\u2873d","\u2873e","\u2873f","\u28740","\u28741","\u28742","\u28743","\u28744","\u28745","\u28746","\u28747","\u28748","\u28749","\u2874a","\u2874b","\u2874c","\u2874d","\u2874e","\u2874f","\u28750","\u28751","\u28752","\u28753","\u28754","\u28755","\u28756","\u28757","\u28758","\u28759","\u2875a","\u2875b","\u2875c","\u2875d","\u2875e","\u2875f","\u28760","\u28761","\u28762","\u28763","\u28764","\u28765","\u28766","\u28767","\u28768","\u28769","\u2876a","\u2876b","\u2876c","\u2876d","\u2876e","\u2876f","\u28770","\u28771","\u28772","\u28773","\u28774","\u28775","\u28776","\u28777","\u28778","\u28779","\u2877a","\u2877b","\u2877c","\u2877d","\u2877e","\u2877f","\u28780","\u28781","\u28782","\u28783","\u28784","\u28785","\u28786","\u28787","\u28788","\u28789","\u2878a","\u2878b","\u2878c","\u2878d","\u2878e","\u2878f","\u28790","\u28791","\u28792","\u28793","\u28794","\u28795","\u28796","\u28797","\u28798","\u28799","\u2879a","\u2879b","\u2879c","\u2879d","\u2879e","\u2879f","\u287a0","\u287a1","\u287a2","\u287a3","\u287a4","\u287a5","\u287a6","\u287a7","\u287a8","\u287a9","\u287aa","\u287ab","\u287ac","\u287ad","\u287ae","\u287af","\u287b0","\u287b1","\u287b2","\u287b3","\u287b4","\u287b5","\u287b6","\u287b7","\u287b8","\u287b9","\u287ba","\u287bb","\u287bc","\u287bd","\u287be","\u287bf","\u287c0","\u287c1","\u287c2","\u287c3","\u287c4","\u287c5","\u287c6","\u287c7","\u287c8","\u287c9","\u287ca","\u287cb","\u287cc","\u287cd","\u287ce","\u287cf","\u287d0","\u287d1","\u287d2","\u287d3","\u287d4","\u287d5","\u287d6","\u287d7","\u287d8","\u287d9","\u287da","\u287db","\u287dc","\u287dd","\u287de","\u287df","\u287e0","\u287e1","\u287e2","\u287e3","\u287e4","\u287e5","\u287e6","\u287e7","\u287e8","\u287e9","\u287ea","\u287eb","\u287ec","\u287ed","\u287ee","\u287ef","\u287f0","\u287f1","\u287f2","\u287f3","\u287f4","\u287f5","\u287f6","\u287f7","\u287f8","\u287f9","\u287fa","\u287fb","\u287fc","\u287fd","\u287fe","\u287ff","\u28800","\u28801","\u28802","\u28803","\u28804","\u28805","\u28806","\u28807","\u28808","\u28809","\u2880a","\u2880b","\u2880c","\u2880d","\u2880e","\u2880f","\u28810","\u28811","\u28812","\u28813","\u28814","\u28815","\u28816","\u28817","\u28818","\u28819","\u2881a","\u2881b","\u2881c","\u2881d","\u2881e","\u2881f","\u28820","\u28821","\u28822","\u28823","\u28824","\u28825","\u28826","\u28827","\u28828","\u28829","\u2882a","\u2882b","\u2882c","\u2882d","\u2882e","\u2882f","\u28830","\u28831","\u28832","\u28833","\u28834","\u28835","\u28836","\u28837","\u28838","\u28839","\u2883a","\u2883b","\u2883c","\u2883d","\u2883e","\u2883f","\u28840","\u28841","\u28842","\u28843","\u28844","\u28845","\u28846","\u28847","\u28848","\u28849","\u2884a","\u2884b","\u2884c","\u2884d","\u2884e","\u2884f","\u28850","\u28851","\u28852","\u28853","\u28854","\u28855","\u28856","\u28857","\u28858","\u28859","\u2885a","\u2885b","\u2885c","\u2885d","\u2885e","\u2885f","\u28860","\u28861","\u28862","\u28863","\u28864","\u28865","\u28866","\u28867","\u28868","\u28869","\u2886a","\u2886b","\u2886c","\u2886d","\u2886e","\u2886f","\u28870","\u28871","\u28872","\u28873","\u28874","\u28875","\u28876","\u28877","\u28878","\u28879","\u2887a","\u2887b","\u2887c","\u2887d","\u2887e","\u2887f","\u28880","\u28881","\u28882","\u28883","\u28884","\u28885","\u28886","\u28887","\u28888","\u28889","\u2888a","\u2888b","\u2888c","\u2888d","\u2888e","\u2888f","\u28890","\u28891","\u28892","\u28893","\u28894","\u28895","\u28896","\u28897","\u28898","\u28899","\u2889a","\u2889b","\u2889c","\u2889d","\u2889e","\u2889f","\u288a0","\u288a1","\u288a2","\u288a3","\u288a4","\u288a5","\u288a6","\u288a7","\u288a8","\u288a9","\u288aa","\u288ab","\u288ac","\u288ad","\u288ae","\u288af","\u288b0","\u288b1","\u288b2","\u288b3","\u288b4","\u288b5","\u288b6","\u288b7","\u288b8","\u288b9","\u288ba","\u288bb","\u288bc","\u288bd","\u288be","\u288bf","\u288c0","\u288c1","\u288c2","\u288c3","\u288c4","\u288c5","\u288c6","\u288c7","\u288c8","\u288c9","\u288ca","\u288cb","\u288cc","\u288cd","\u288ce","\u288cf","\u288d0","\u288d1","\u288d2","\u288d3","\u288d4","\u288d5","\u288d6","\u288d7","\u288d8","\u288d9","\u288da","\u288db","\u288dc","\u288dd","\u288de","\u288df","\u288e0","\u288e1","\u288e2","\u288e3","\u288e4","\u288e5","\u288e6","\u288e7","\u288e8","\u288e9","\u288ea","\u288eb","\u288ec","\u288ed","\u288ee","\u288ef","\u288f0","\u288f1","\u288f2","\u288f3","\u288f4","\u288f5","\u288f6","\u288f7","\u288f8","\u288f9","\u288fa","\u288fb","\u288fc","\u288fd","\u288fe","\u288ff","\u28900","\u28901","\u28902","\u28903","\u28904","\u28905","\u28906","\u28907","\u28908","\u28909","\u2890a","\u2890b","\u2890c","\u2890d","\u2890e","\u2890f","\u28910","\u28911","\u28912","\u28913","\u28914","\u28915","\u28916","\u28917","\u28918","\u28919","\u2891a","\u2891b","\u2891c","\u2891d","\u2891e","\u2891f","\u28920","\u28921","\u28922","\u28923","\u28924","\u28925","\u28926","\u28927","\u28928","\u28929","\u2892a","\u2892b","\u2892c","\u2892d","\u2892e","\u2892f","\u28930","\u28931","\u28932","\u28933","\u28934","\u28935","\u28936","\u28937","\u28938","\u28939","\u2893a","\u2893b","\u2893c","\u2893d","\u2893e","\u2893f","\u28940","\u28941","\u28942","\u28943","\u28944","\u28945","\u28946","\u28947","\u28948","\u28949","\u2894a","\u2894b","\u2894c","\u2894d","\u2894e","\u2894f","\u28950","\u28951","\u28952","\u28953","\u28954","\u28955","\u28956","\u28957","\u28958","\u28959","\u2895a","\u2895b","\u2895c","\u2895d","\u2895e","\u2895f","\u28960","\u28961","\u28962","\u28963","\u28964","\u28965","\u28966","\u28967","\u28968","\u28969","\u2896a","\u2896b","\u2896c","\u2896d","\u2896e","\u2896f","\u28970","\u28971","\u28972","\u28973","\u28974","\u28975","\u28976","\u28977","\u28978","\u28979","\u2897a","\u2897b","\u2897c","\u2897d","\u2897e","\u2897f","\u28980","\u28981","\u28982","\u28983","\u28984","\u28985","\u28986","\u28987","\u28988","\u28989","\u2898a","\u2898b","\u2898c","\u2898d","\u2898e","\u2898f","\u28990","\u28991","\u28992","\u28993","\u28994","\u28995","\u28996","\u28997","\u28998","\u28999","\u2899a","\u2899b","\u2899c","\u2899d","\u2899e","\u2899f","\u289a0","\u289a1","\u289a2","\u289a3","\u289a4","\u289a5","\u289a6","\u289a7","\u289a8","\u289a9","\u289aa","\u289ab","\u289ac","\u289ad","\u289ae","\u289af","\u289b0","\u289b1","\u289b2","\u289b3","\u289b4","\u289b5","\u289b6","\u289b7","\u289b8","\u289b9","\u289ba","\u289bb","\u289bc","\u289bd","\u289be","\u289bf","\u289c0","\u289c1","\u289c2","\u289c3","\u289c4","\u289c5","\u289c6","\u289c7","\u289c8","\u289c9","\u289ca","\u289cb","\u289cc","\u289cd","\u289ce","\u289cf","\u289d0","\u289d1","\u289d2","\u289d3","\u289d4","\u289d5","\u289d6","\u289d7","\u289d8","\u289d9","\u289da","\u289db","\u289dc","\u289dd","\u289de","\u289df","\u289e0","\u289e1","\u289e2","\u289e3","\u289e4","\u289e5","\u289e6","\u289e7","\u289e8","\u289e9","\u289ea","\u289eb","\u289ec","\u289ed","\u289ee","\u289ef","\u289f0","\u289f1","\u289f2","\u289f3","\u289f4","\u289f5","\u289f6","\u289f7","\u289f8","\u289f9","\u289fa","\u289fb","\u289fc","\u289fd","\u289fe","\u289ff","\u28a00","\u28a01","\u28a02","\u28a03","\u28a04","\u28a05","\u28a06","\u28a07","\u28a08","\u28a09","\u28a0a","\u28a0b","\u28a0c","\u28a0d","\u28a0e","\u28a0f","\u28a10","\u28a11","\u28a12","\u28a13","\u28a14","\u28a15","\u28a16","\u28a17","\u28a18","\u28a19","\u28a1a","\u28a1b","\u28a1c","\u28a1d","\u28a1e","\u28a1f","\u28a20","\u28a21","\u28a22","\u28a23","\u28a24","\u28a25","\u28a26","\u28a27","\u28a28","\u28a29","\u28a2a","\u28a2b","\u28a2c","\u28a2d","\u28a2e","\u28a2f","\u28a30","\u28a31","\u28a32","\u28a33","\u28a34","\u28a35","\u28a36","\u28a37","\u28a38","\u28a39","\u28a3a","\u28a3b","\u28a3c","\u28a3d","\u28a3e","\u28a3f","\u28a40","\u28a41","\u28a42","\u28a43","\u28a44","\u28a45","\u28a46","\u28a47","\u28a48","\u28a49","\u28a4a","\u28a4b","\u28a4c","\u28a4d","\u28a4e","\u28a4f","\u28a50","\u28a51","\u28a52","\u28a53","\u28a54","\u28a55","\u28a56","\u28a57","\u28a58","\u28a59","\u28a5a","\u28a5b","\u28a5c","\u28a5d","\u28a5e","\u28a5f","\u28a60","\u28a61","\u28a62","\u28a63","\u28a64","\u28a65","\u28a66","\u28a67","\u28a68","\u28a69","\u28a6a","\u28a6b","\u28a6c","\u28a6d","\u28a6e","\u28a6f","\u28a70","\u28a71","\u28a72","\u28a73","\u28a74","\u28a75","\u28a76","\u28a77","\u28a78","\u28a79","\u28a7a","\u28a7b","\u28a7c","\u28a7d","\u28a7e","\u28a7f","\u28a80","\u28a81","\u28a82","\u28a83","\u28a84","\u28a85","\u28a86","\u28a87","\u28a88","\u28a89","\u28a8a","\u28a8b","\u28a8c","\u28a8d","\u28a8e","\u28a8f","\u28a90","\u28a91","\u28a92","\u28a93","\u28a94","\u28a95","\u28a96","\u28a97","\u28a98","\u28a99","\u28a9a","\u28a9b","\u28a9c","\u28a9d","\u28a9e","\u28a9f","\u28aa0","\u28aa1","\u28aa2","\u28aa3","\u28aa4","\u28aa5","\u28aa6","\u28aa7","\u28aa8","\u28aa9","\u28aaa","\u28aab","\u28aac","\u28aad","\u28aae","\u28aaf","\u28ab0","\u28ab1","\u28ab2","\u28ab3","\u28ab4","\u28ab5","\u28ab6","\u28ab7","\u28ab8","\u28ab9","\u28aba","\u28abb","\u28abc","\u28abd","\u28abe","\u28abf","\u28ac0","\u28ac1","\u28ac2","\u28ac3","\u28ac4","\u28ac5","\u28ac6","\u28ac7","\u28ac8","\u28ac9","\u28aca","\u28acb","\u28acc","\u28acd","\u28ace","\u28acf","\u28ad0","\u28ad1","\u28ad2","\u28ad3","\u28ad4","\u28ad5","\u28ad6","\u28ad7","\u28ad8","\u28ad9","\u28ada","\u28adb","\u28adc","\u28add","\u28ade","\u28adf","\u28ae0","\u28ae1","\u28ae2","\u28ae3","\u28ae4","\u28ae5","\u28ae6","\u28ae7","\u28ae8","\u28ae9","\u28aea","\u28aeb","\u28aec","\u28aed","\u28aee","\u28aef","\u28af0","\u28af1","\u28af2","\u28af3","\u28af4","\u28af5","\u28af6","\u28af7","\u28af8","\u28af9","\u28afa","\u28afb","\u28afc","\u28afd","\u28afe","\u28aff","\u28b00","\u28b01","\u28b02","\u28b03","\u28b04","\u28b05","\u28b06","\u28b07","\u28b08","\u28b09","\u28b0a","\u28b0b","\u28b0c","\u28b0d","\u28b0e","\u28b0f","\u28b10","\u28b11","\u28b12","\u28b13","\u28b14","\u28b15","\u28b16","\u28b17","\u28b18","\u28b19","\u28b1a","\u28b1b","\u28b1c","\u28b1d","\u28b1e","\u28b1f","\u28b20","\u28b21","\u28b22","\u28b23","\u28b24","\u28b25","\u28b26","\u28b27","\u28b28","\u28b29","\u28b2a","\u28b2b","\u28b2c","\u28b2d","\u28b2e","\u28b2f","\u28b30","\u28b31","\u28b32","\u28b33","\u28b34","\u28b35","\u28b36","\u28b37","\u28b38","\u28b39","\u28b3a","\u28b3b","\u28b3c","\u28b3d","\u28b3e","\u28b3f","\u28b40","\u28b41","\u28b42","\u28b43","\u28b44","\u28b45","\u28b46","\u28b47","\u28b48","\u28b49","\u28b4a","\u28b4b","\u28b4c","\u28b4d","\u28b4e","\u28b4f","\u28b50","\u28b51","\u28b52","\u28b53","\u28b54","\u28b55","\u28b56","\u28b57","\u28b58","\u28b59","\u28b5a","\u28b5b","\u28b5c","\u28b5d","\u28b5e","\u28b5f","\u28b60","\u28b61","\u28b62","\u28b63","\u28b64","\u28b65","\u28b66","\u28b67","\u28b68","\u28b69","\u28b6a","\u28b6b","\u28b6c","\u28b6d","\u28b6e","\u28b6f","\u28b70","\u28b71","\u28b72","\u28b73","\u28b74","\u28b75","\u28b76","\u28b77","\u28b78","\u28b79","\u28b7a","\u28b7b","\u28b7c","\u28b7d","\u28b7e","\u28b7f","\u28b80","\u28b81","\u28b82","\u28b83","\u28b84","\u28b85","\u28b86","\u28b87","\u28b88","\u28b89","\u28b8a","\u28b8b","\u28b8c","\u28b8d","\u28b8e","\u28b8f","\u28b90","\u28b91","\u28b92","\u28b93","\u28b94","\u28b95","\u28b96","\u28b97","\u28b98","\u28b99","\u28b9a","\u28b9b","\u28b9c","\u28b9d","\u28b9e","\u28b9f","\u28ba0","\u28ba1","\u28ba2","\u28ba3","\u28ba4","\u28ba5","\u28ba6","\u28ba7","\u28ba8","\u28ba9","\u28baa","\u28bab","\u28bac","\u28bad","\u28bae","\u28baf","\u28bb0","\u28bb1","\u28bb2","\u28bb3","\u28bb4","\u28bb5","\u28bb6","\u28bb7","\u28bb8","\u28bb9","\u28bba","\u28bbb","\u28bbc","\u28bbd","\u28bbe","\u28bbf","\u28bc0","\u28bc1","\u28bc2","\u28bc3","\u28bc4","\u28bc5","\u28bc6","\u28bc7","\u28bc8","\u28bc9","\u28bca","\u28bcb","\u28bcc","\u28bcd","\u28bce","\u28bcf","\u28bd0","\u28bd1","\u28bd2","\u28bd3","\u28bd4","\u28bd5","\u28bd6","\u28bd7","\u28bd8","\u28bd9","\u28bda","\u28bdb","\u28bdc","\u28bdd","\u28bde","\u28bdf","\u28be0","\u28be1","\u28be2","\u28be3","\u28be4","\u28be5","\u28be6","\u28be7","\u28be8","\u28be9","\u28bea","\u28beb","\u28bec","\u28bed","\u28bee","\u28bef","\u28bf0","\u28bf1","\u28bf2","\u28bf3","\u28bf4","\u28bf5","\u28bf6","\u28bf7","\u28bf8","\u28bf9","\u28bfa","\u28bfb","\u28bfc","\u28bfd","\u28bfe","\u28bff","\u28c00","\u28c01","\u28c02","\u28c03","\u28c04","\u28c05","\u28c06","\u28c07","\u28c08","\u28c09","\u28c0a","\u28c0b","\u28c0c","\u28c0d","\u28c0e","\u28c0f","\u28c10","\u28c11","\u28c12","\u28c13","\u28c14","\u28c15","\u28c16","\u28c17","\u28c18","\u28c19","\u28c1a","\u28c1b","\u28c1c","\u28c1d","\u28c1e","\u28c1f","\u28c20","\u28c21","\u28c22","\u28c23","\u28c24","\u28c25","\u28c26","\u28c27","\u28c28","\u28c29","\u28c2a","\u28c2b","\u28c2c","\u28c2d","\u28c2e","\u28c2f","\u28c30","\u28c31","\u28c32","\u28c33","\u28c34","\u28c35","\u28c36","\u28c37","\u28c38","\u28c39","\u28c3a","\u28c3b","\u28c3c","\u28c3d","\u28c3e","\u28c3f","\u28c40","\u28c41","\u28c42","\u28c43","\u28c44","\u28c45","\u28c46","\u28c47","\u28c48","\u28c49","\u28c4a","\u28c4b","\u28c4c","\u28c4d","\u28c4e","\u28c4f","\u28c50","\u28c51","\u28c52","\u28c53","\u28c54","\u28c55","\u28c56","\u28c57","\u28c58","\u28c59","\u28c5a","\u28c5b","\u28c5c","\u28c5d","\u28c5e","\u28c5f","\u28c60","\u28c61","\u28c62","\u28c63","\u28c64","\u28c65","\u28c66","\u28c67","\u28c68","\u28c69","\u28c6a","\u28c6b","\u28c6c","\u28c6d","\u28c6e","\u28c6f","\u28c70","\u28c71","\u28c72","\u28c73","\u28c74","\u28c75","\u28c76","\u28c77","\u28c78","\u28c79","\u28c7a","\u28c7b","\u28c7c","\u28c7d","\u28c7e","\u28c7f","\u28c80","\u28c81","\u28c82","\u28c83","\u28c84","\u28c85","\u28c86","\u28c87","\u28c88","\u28c89","\u28c8a","\u28c8b","\u28c8c","\u28c8d","\u28c8e","\u28c8f","\u28c90","\u28c91","\u28c92","\u28c93","\u28c94","\u28c95","\u28c96","\u28c97","\u28c98","\u28c99","\u28c9a","\u28c9b","\u28c9c","\u28c9d","\u28c9e","\u28c9f","\u28ca0","\u28ca1","\u28ca2","\u28ca3","\u28ca4","\u28ca5","\u28ca6","\u28ca7","\u28ca8","\u28ca9","\u28caa","\u28cab","\u28cac","\u28cad","\u28cae","\u28caf","\u28cb0","\u28cb1","\u28cb2","\u28cb3","\u28cb4","\u28cb5","\u28cb6","\u28cb7","\u28cb8","\u28cb9","\u28cba","\u28cbb","\u28cbc","\u28cbd","\u28cbe","\u28cbf","\u28cc0","\u28cc1","\u28cc2","\u28cc3","\u28cc4","\u28cc5","\u28cc6","\u28cc7","\u28cc8","\u28cc9","\u28cca","\u28ccb","\u28ccc","\u28ccd","\u28cce","\u28ccf","\u28cd0","\u28cd1","\u28cd2","\u28cd3","\u28cd4","\u28cd5","\u28cd6","\u28cd7","\u28cd8","\u28cd9","\u28cda","\u28cdb","\u28cdc","\u28cdd","\u28cde","\u28cdf","\u28ce0","\u28ce1","\u28ce2","\u28ce3","\u28ce4","\u28ce5","\u28ce6","\u28ce7","\u28ce8","\u28ce9","\u28cea","\u28ceb","\u28cec","\u28ced","\u28cee","\u28cef","\u28cf0","\u28cf1","\u28cf2","\u28cf3","\u28cf4","\u28cf5","\u28cf6","\u28cf7","\u28cf8","\u28cf9","\u28cfa","\u28cfb","\u28cfc","\u28cfd","\u28cfe","\u28cff","\u28d00","\u28d01","\u28d02","\u28d03","\u28d04","\u28d05","\u28d06","\u28d07","\u28d08","\u28d09","\u28d0a","\u28d0b","\u28d0c","\u28d0d","\u28d0e","\u28d0f","\u28d10","\u28d11","\u28d12","\u28d13","\u28d14","\u28d15","\u28d16","\u28d17","\u28d18","\u28d19","\u28d1a","\u28d1b","\u28d1c","\u28d1d","\u28d1e","\u28d1f","\u28d20","\u28d21","\u28d22","\u28d23","\u28d24","\u28d25","\u28d26","\u28d27","\u28d28","\u28d29","\u28d2a","\u28d2b","\u28d2c","\u28d2d","\u28d2e","\u28d2f","\u28d30","\u28d31","\u28d32","\u28d33","\u28d34","\u28d35","\u28d36","\u28d37","\u28d38","\u28d39","\u28d3a","\u28d3b","\u28d3c","\u28d3d","\u28d3e","\u28d3f","\u28d40","\u28d41","\u28d42","\u28d43","\u28d44","\u28d45","\u28d46","\u28d47","\u28d48","\u28d49","\u28d4a","\u28d4b","\u28d4c","\u28d4d","\u28d4e","\u28d4f","\u28d50","\u28d51","\u28d52","\u28d53","\u28d54","\u28d55","\u28d56","\u28d57","\u28d58","\u28d59","\u28d5a","\u28d5b","\u28d5c","\u28d5d","\u28d5e","\u28d5f","\u28d60","\u28d61","\u28d62","\u28d63","\u28d64","\u28d65","\u28d66","\u28d67","\u28d68","\u28d69","\u28d6a","\u28d6b","\u28d6c","\u28d6d","\u28d6e","\u28d6f","\u28d70","\u28d71","\u28d72","\u28d73","\u28d74","\u28d75","\u28d76","\u28d77","\u28d78","\u28d79","\u28d7a","\u28d7b","\u28d7c","\u28d7d","\u28d7e","\u28d7f","\u28d80","\u28d81","\u28d82","\u28d83","\u28d84","\u28d85","\u28d86","\u28d87","\u28d88","\u28d89","\u28d8a","\u28d8b","\u28d8c","\u28d8d","\u28d8e","\u28d8f","\u28d90","\u28d91","\u28d92","\u28d93","\u28d94","\u28d95","\u28d96","\u28d97","\u28d98","\u28d99","\u28d9a","\u28d9b","\u28d9c","\u28d9d","\u28d9e","\u28d9f","\u28da0","\u28da1","\u28da2","\u28da3","\u28da4","\u28da5","\u28da6","\u28da7","\u28da8","\u28da9","\u28daa","\u28dab","\u28dac","\u28dad","\u28dae","\u28daf","\u28db0","\u28db1","\u28db2","\u28db3","\u28db4","\u28db5","\u28db6","\u28db7","\u28db8","\u28db9","\u28dba","\u28dbb","\u28dbc","\u28dbd","\u28dbe","\u28dbf","\u28dc0","\u28dc1","\u28dc2","\u28dc3","\u28dc4","\u28dc5","\u28dc6","\u28dc7","\u28dc8","\u28dc9","\u28dca","\u28dcb","\u28dcc","\u28dcd","\u28dce","\u28dcf","\u28dd0","\u28dd1","\u28dd2","\u28dd3","\u28dd4","\u28dd5","\u28dd6","\u28dd7","\u28dd8","\u28dd9","\u28dda","\u28ddb","\u28ddc","\u28ddd","\u28dde","\u28ddf","\u28de0","\u28de1","\u28de2","\u28de3","\u28de4","\u28de5","\u28de6","\u28de7","\u28de8","\u28de9","\u28dea","\u28deb","\u28dec","\u28ded","\u28dee","\u28def","\u28df0","\u28df1","\u28df2","\u28df3","\u28df4","\u28df5","\u28df6","\u28df7","\u28df8","\u28df9","\u28dfa","\u28dfb","\u28dfc","\u28dfd","\u28dfe","\u28dff","\u28e00","\u28e01","\u28e02","\u28e03","\u28e04","\u28e05","\u28e06","\u28e07","\u28e08","\u28e09","\u28e0a","\u28e0b","\u28e0c","\u28e0d","\u28e0e","\u28e0f","\u28e10","\u28e11","\u28e12","\u28e13","\u28e14","\u28e15","\u28e16","\u28e17","\u28e18","\u28e19","\u28e1a","\u28e1b","\u28e1c","\u28e1d","\u28e1e","\u28e1f","\u28e20","\u28e21","\u28e22","\u28e23","\u28e24","\u28e25","\u28e26","\u28e27","\u28e28","\u28e29","\u28e2a","\u28e2b","\u28e2c","\u28e2d","\u28e2e","\u28e2f","\u28e30","\u28e31","\u28e32","\u28e33","\u28e34","\u28e35","\u28e36","\u28e37","\u28e38","\u28e39","\u28e3a","\u28e3b","\u28e3c","\u28e3d","\u28e3e","\u28e3f","\u28e40","\u28e41","\u28e42","\u28e43","\u28e44","\u28e45","\u28e46","\u28e47","\u28e48","\u28e49","\u28e4a","\u28e4b","\u28e4c","\u28e4d","\u28e4e","\u28e4f","\u28e50","\u28e51","\u28e52","\u28e53","\u28e54","\u28e55","\u28e56","\u28e57","\u28e58","\u28e59","\u28e5a","\u28e5b","\u28e5c","\u28e5d","\u28e5e","\u28e5f","\u28e60","\u28e61","\u28e62","\u28e63","\u28e64","\u28e65","\u28e66","\u28e67","\u28e68","\u28e69","\u28e6a","\u28e6b","\u28e6c","\u28e6d","\u28e6e","\u28e6f","\u28e70","\u28e71","\u28e72","\u28e73","\u28e74","\u28e75","\u28e76","\u28e77","\u28e78","\u28e79","\u28e7a","\u28e7b","\u28e7c","\u28e7d","\u28e7e","\u28e7f","\u28e80","\u28e81","\u28e82","\u28e83","\u28e84","\u28e85","\u28e86","\u28e87","\u28e88","\u28e89","\u28e8a","\u28e8b","\u28e8c","\u28e8d","\u28e8e","\u28e8f","\u28e90","\u28e91","\u28e92","\u28e93","\u28e94","\u28e95","\u28e96","\u28e97","\u28e98","\u28e99","\u28e9a","\u28e9b","\u28e9c","\u28e9d","\u28e9e","\u28e9f","\u28ea0","\u28ea1","\u28ea2","\u28ea3","\u28ea4","\u28ea5","\u28ea6","\u28ea7","\u28ea8","\u28ea9","\u28eaa","\u28eab","\u28eac","\u28ead","\u28eae","\u28eaf","\u28eb0","\u28eb1","\u28eb2","\u28eb3","\u28eb4","\u28eb5","\u28eb6","\u28eb7","\u28eb8","\u28eb9","\u28eba","\u28ebb","\u28ebc","\u28ebd","\u28ebe","\u28ebf","\u28ec0","\u28ec1","\u28ec2","\u28ec3","\u28ec4","\u28ec5","\u28ec6","\u28ec7","\u28ec8","\u28ec9","\u28eca","\u28ecb","\u28ecc","\u28ecd","\u28ece","\u28ecf","\u28ed0","\u28ed1","\u28ed2","\u28ed3","\u28ed4","\u28ed5","\u28ed6","\u28ed7","\u28ed8","\u28ed9","\u28eda","\u28edb","\u28edc","\u28edd","\u28ede","\u28edf","\u28ee0","\u28ee1","\u28ee2","\u28ee3","\u28ee4","\u28ee5","\u28ee6","\u28ee7","\u28ee8","\u28ee9","\u28eea","\u28eeb","\u28eec","\u28eed","\u28eee","\u28eef","\u28ef0","\u28ef1","\u28ef2","\u28ef3","\u28ef4","\u28ef5","\u28ef6","\u28ef7","\u28ef8","\u28ef9","\u28efa","\u28efb","\u28efc","\u28efd","\u28efe","\u28eff","\u28f00","\u28f01","\u28f02","\u28f03","\u28f04","\u28f05","\u28f06","\u28f07","\u28f08","\u28f09","\u28f0a","\u28f0b","\u28f0c","\u28f0d","\u28f0e","\u28f0f","\u28f10","\u28f11","\u28f12","\u28f13","\u28f14","\u28f15","\u28f16","\u28f17","\u28f18","\u28f19","\u28f1a","\u28f1b","\u28f1c","\u28f1d","\u28f1e","\u28f1f","\u28f20","\u28f21","\u28f22","\u28f23","\u28f24","\u28f25","\u28f26","\u28f27","\u28f28","\u28f29","\u28f2a","\u28f2b","\u28f2c","\u28f2d","\u28f2e","\u28f2f","\u28f30","\u28f31","\u28f32","\u28f33","\u28f34","\u28f35","\u28f36","\u28f37","\u28f38","\u28f39","\u28f3a","\u28f3b","\u28f3c","\u28f3d","\u28f3e","\u28f3f","\u28f40","\u28f41","\u28f42","\u28f43","\u28f44","\u28f45","\u28f46","\u28f47","\u28f48","\u28f49","\u28f4a","\u28f4b","\u28f4c","\u28f4d","\u28f4e","\u28f4f","\u28f50","\u28f51","\u28f52","\u28f53","\u28f54","\u28f55","\u28f56","\u28f57","\u28f58","\u28f59","\u28f5a","\u28f5b","\u28f5c","\u28f5d","\u28f5e","\u28f5f","\u28f60","\u28f61","\u28f62","\u28f63","\u28f64","\u28f65","\u28f66","\u28f67","\u28f68","\u28f69","\u28f6a","\u28f6b","\u28f6c","\u28f6d","\u28f6e","\u28f6f","\u28f70","\u28f71","\u28f72","\u28f73","\u28f74","\u28f75","\u28f76","\u28f77","\u28f78","\u28f79","\u28f7a","\u28f7b","\u28f7c","\u28f7d","\u28f7e","\u28f7f","\u28f80","\u28f81","\u28f82","\u28f83","\u28f84","\u28f85","\u28f86","\u28f87","\u28f88","\u28f89","\u28f8a","\u28f8b","\u28f8c","\u28f8d","\u28f8e","\u28f8f","\u28f90","\u28f91","\u28f92","\u28f93","\u28f94","\u28f95","\u28f96","\u28f97","\u28f98","\u28f99","\u28f9a","\u28f9b","\u28f9c","\u28f9d","\u28f9e","\u28f9f","\u28fa0","\u28fa1","\u28fa2","\u28fa3","\u28fa4","\u28fa5","\u28fa6","\u28fa7","\u28fa8","\u28fa9","\u28faa","\u28fab","\u28fac","\u28fad","\u28fae","\u28faf","\u28fb0","\u28fb1","\u28fb2","\u28fb3","\u28fb4","\u28fb5","\u28fb6","\u28fb7","\u28fb8","\u28fb9","\u28fba","\u28fbb","\u28fbc","\u28fbd","\u28fbe","\u28fbf","\u28fc0","\u28fc1","\u28fc2","\u28fc3","\u28fc4","\u28fc5","\u28fc6","\u28fc7","\u28fc8","\u28fc9","\u28fca","\u28fcb","\u28fcc","\u28fcd","\u28fce","\u28fcf","\u28fd0","\u28fd1","\u28fd2","\u28fd3","\u28fd4","\u28fd5","\u28fd6","\u28fd7","\u28fd8","\u28fd9","\u28fda","\u28fdb","\u28fdc","\u28fdd","\u28fde","\u28fdf","\u28fe0","\u28fe1","\u28fe2","\u28fe3","\u28fe4","\u28fe5","\u28fe6","\u28fe7","\u28fe8","\u28fe9","\u28fea","\u28feb","\u28fec","\u28fed","\u28fee","\u28fef","\u28ff0","\u28ff1","\u28ff2","\u28ff3","\u28ff4","\u28ff5","\u28ff6","\u28ff7","\u28ff8","\u28ff9","\u28ffa","\u28ffb","\u28ffc","\u28ffd","\u28ffe","\u28fff","\u29000","\u29001","\u29002","\u29003","\u29004","\u29005","\u29006","\u29007","\u29008","\u29009","\u2900a","\u2900b","\u2900c","\u2900d","\u2900e","\u2900f","\u29010","\u29011","\u29012","\u29013","\u29014","\u29015","\u29016","\u29017","\u29018","\u29019","\u2901a","\u2901b","\u2901c","\u2901d","\u2901e","\u2901f","\u29020","\u29021","\u29022","\u29023","\u29024","\u29025","\u29026","\u29027","\u29028","\u29029","\u2902a","\u2902b","\u2902c","\u2902d","\u2902e","\u2902f","\u29030","\u29031","\u29032","\u29033","\u29034","\u29035","\u29036","\u29037","\u29038","\u29039","\u2903a","\u2903b","\u2903c","\u2903d","\u2903e","\u2903f","\u29040","\u29041","\u29042","\u29043","\u29044","\u29045","\u29046","\u29047","\u29048","\u29049","\u2904a","\u2904b","\u2904c","\u2904d","\u2904e","\u2904f","\u29050","\u29051","\u29052","\u29053","\u29054","\u29055","\u29056","\u29057","\u29058","\u29059","\u2905a","\u2905b","\u2905c","\u2905d","\u2905e","\u2905f","\u29060","\u29061","\u29062","\u29063","\u29064","\u29065","\u29066","\u29067","\u29068","\u29069","\u2906a","\u2906b","\u2906c","\u2906d","\u2906e","\u2906f","\u29070","\u29071","\u29072","\u29073","\u29074","\u29075","\u29076","\u29077","\u29078","\u29079","\u2907a","\u2907b","\u2907c","\u2907d","\u2907e","\u2907f","\u29080","\u29081","\u29082","\u29083","\u29084","\u29085","\u29086","\u29087","\u29088","\u29089","\u2908a","\u2908b","\u2908c","\u2908d","\u2908e","\u2908f","\u29090","\u29091","\u29092","\u29093","\u29094","\u29095","\u29096","\u29097","\u29098","\u29099","\u2909a","\u2909b","\u2909c","\u2909d","\u2909e","\u2909f","\u290a0","\u290a1","\u290a2","\u290a3","\u290a4","\u290a5","\u290a6","\u290a7","\u290a8","\u290a9","\u290aa","\u290ab","\u290ac","\u290ad","\u290ae","\u290af","\u290b0","\u290b1","\u290b2","\u290b3","\u290b4","\u290b5","\u290b6","\u290b7","\u290b8","\u290b9","\u290ba","\u290bb","\u290bc","\u290bd","\u290be","\u290bf","\u290c0","\u290c1","\u290c2","\u290c3","\u290c4","\u290c5","\u290c6","\u290c7","\u290c8","\u290c9","\u290ca","\u290cb","\u290cc","\u290cd","\u290ce","\u290cf","\u290d0","\u290d1","\u290d2","\u290d3","\u290d4","\u290d5","\u290d6","\u290d7","\u290d8","\u290d9","\u290da","\u290db","\u290dc","\u290dd","\u290de","\u290df","\u290e0","\u290e1","\u290e2","\u290e3","\u290e4","\u290e5","\u290e6","\u290e7","\u290e8","\u290e9","\u290ea","\u290eb","\u290ec","\u290ed","\u290ee","\u290ef","\u290f0","\u290f1","\u290f2","\u290f3","\u290f4","\u290f5","\u290f6","\u290f7","\u290f8","\u290f9","\u290fa","\u290fb","\u290fc","\u290fd","\u290fe","\u290ff","\u29100","\u29101","\u29102","\u29103","\u29104","\u29105","\u29106","\u29107","\u29108","\u29109","\u2910a","\u2910b","\u2910c","\u2910d","\u2910e","\u2910f","\u29110","\u29111","\u29112","\u29113","\u29114","\u29115","\u29116","\u29117","\u29118","\u29119","\u2911a","\u2911b","\u2911c","\u2911d","\u2911e","\u2911f","\u29120","\u29121","\u29122","\u29123","\u29124","\u29125","\u29126","\u29127","\u29128","\u29129","\u2912a","\u2912b","\u2912c","\u2912d","\u2912e","\u2912f","\u29130","\u29131","\u29132","\u29133","\u29134","\u29135","\u29136","\u29137","\u29138","\u29139","\u2913a","\u2913b","\u2913c","\u2913d","\u2913e","\u2913f","\u29140","\u29141","\u29142","\u29143","\u29144","\u29145","\u29146","\u29147","\u29148","\u29149","\u2914a","\u2914b","\u2914c","\u2914d","\u2914e","\u2914f","\u29150","\u29151","\u29152","\u29153","\u29154","\u29155","\u29156","\u29157","\u29158","\u29159","\u2915a","\u2915b","\u2915c","\u2915d","\u2915e","\u2915f","\u29160","\u29161","\u29162","\u29163","\u29164","\u29165","\u29166","\u29167","\u29168","\u29169","\u2916a","\u2916b","\u2916c","\u2916d","\u2916e","\u2916f","\u29170","\u29171","\u29172","\u29173","\u29174","\u29175","\u29176","\u29177","\u29178","\u29179","\u2917a","\u2917b","\u2917c","\u2917d","\u2917e","\u2917f","\u29180","\u29181","\u29182","\u29183","\u29184","\u29185","\u29186","\u29187","\u29188","\u29189","\u2918a","\u2918b","\u2918c","\u2918d","\u2918e","\u2918f","\u29190","\u29191","\u29192","\u29193","\u29194","\u29195","\u29196","\u29197","\u29198","\u29199","\u2919a","\u2919b","\u2919c","\u2919d","\u2919e","\u2919f","\u291a0","\u291a1","\u291a2","\u291a3","\u291a4","\u291a5","\u291a6","\u291a7","\u291a8","\u291a9","\u291aa","\u291ab","\u291ac","\u291ad","\u291ae","\u291af","\u291b0","\u291b1","\u291b2","\u291b3","\u291b4","\u291b5","\u291b6","\u291b7","\u291b8","\u291b9","\u291ba","\u291bb","\u291bc","\u291bd","\u291be","\u291bf","\u291c0","\u291c1","\u291c2","\u291c3","\u291c4","\u291c5","\u291c6","\u291c7","\u291c8","\u291c9","\u291ca","\u291cb","\u291cc","\u291cd","\u291ce","\u291cf","\u291d0","\u291d1","\u291d2","\u291d3","\u291d4","\u291d5","\u291d6","\u291d7","\u291d8","\u291d9","\u291da","\u291db","\u291dc","\u291dd","\u291de","\u291df","\u291e0","\u291e1","\u291e2","\u291e3","\u291e4","\u291e5","\u291e6","\u291e7","\u291e8","\u291e9","\u291ea","\u291eb","\u291ec","\u291ed","\u291ee","\u291ef","\u291f0","\u291f1","\u291f2","\u291f3","\u291f4","\u291f5","\u291f6","\u291f7","\u291f8","\u291f9","\u291fa","\u291fb","\u291fc","\u291fd","\u291fe","\u291ff","\u29200","\u29201","\u29202","\u29203","\u29204","\u29205","\u29206","\u29207","\u29208","\u29209","\u2920a","\u2920b","\u2920c","\u2920d","\u2920e","\u2920f","\u29210","\u29211","\u29212","\u29213","\u29214","\u29215","\u29216","\u29217","\u29218","\u29219","\u2921a","\u2921b","\u2921c","\u2921d","\u2921e","\u2921f","\u29220","\u29221","\u29222","\u29223","\u29224","\u29225","\u29226","\u29227","\u29228","\u29229","\u2922a","\u2922b","\u2922c","\u2922d","\u2922e","\u2922f","\u29230","\u29231","\u29232","\u29233","\u29234","\u29235","\u29236","\u29237","\u29238","\u29239","\u2923a","\u2923b","\u2923c","\u2923d","\u2923e","\u2923f","\u29240","\u29241","\u29242","\u29243","\u29244","\u29245","\u29246","\u29247","\u29248","\u29249","\u2924a","\u2924b","\u2924c","\u2924d","\u2924e","\u2924f","\u29250","\u29251","\u29252","\u29253","\u29254","\u29255","\u29256","\u29257","\u29258","\u29259","\u2925a","\u2925b","\u2925c","\u2925d","\u2925e","\u2925f","\u29260","\u29261","\u29262","\u29263","\u29264","\u29265","\u29266","\u29267","\u29268","\u29269","\u2926a","\u2926b","\u2926c","\u2926d","\u2926e","\u2926f","\u29270","\u29271","\u29272","\u29273","\u29274","\u29275","\u29276","\u29277","\u29278","\u29279","\u2927a","\u2927b","\u2927c","\u2927d","\u2927e","\u2927f","\u29280","\u29281","\u29282","\u29283","\u29284","\u29285","\u29286","\u29287","\u29288","\u29289","\u2928a","\u2928b","\u2928c","\u2928d","\u2928e","\u2928f","\u29290","\u29291","\u29292","\u29293","\u29294","\u29295","\u29296","\u29297","\u29298","\u29299","\u2929a","\u2929b","\u2929c","\u2929d","\u2929e","\u2929f","\u292a0","\u292a1","\u292a2","\u292a3","\u292a4","\u292a5","\u292a6","\u292a7","\u292a8","\u292a9","\u292aa","\u292ab","\u292ac","\u292ad","\u292ae","\u292af","\u292b0","\u292b1","\u292b2","\u292b3","\u292b4","\u292b5","\u292b6","\u292b7","\u292b8","\u292b9","\u292ba","\u292bb","\u292bc","\u292bd","\u292be","\u292bf","\u292c0","\u292c1","\u292c2","\u292c3","\u292c4","\u292c5","\u292c6","\u292c7","\u292c8","\u292c9","\u292ca","\u292cb","\u292cc","\u292cd","\u292ce","\u292cf","\u292d0","\u292d1","\u292d2","\u292d3","\u292d4","\u292d5","\u292d6","\u292d7","\u292d8","\u292d9","\u292da","\u292db","\u292dc","\u292dd","\u292de","\u292df","\u292e0","\u292e1","\u292e2","\u292e3","\u292e4","\u292e5","\u292e6","\u292e7","\u292e8","\u292e9","\u292ea","\u292eb","\u292ec","\u292ed","\u292ee","\u292ef","\u292f0","\u292f1","\u292f2","\u292f3","\u292f4","\u292f5","\u292f6","\u292f7","\u292f8","\u292f9","\u292fa","\u292fb","\u292fc","\u292fd","\u292fe","\u292ff","\u29300","\u29301","\u29302","\u29303","\u29304","\u29305","\u29306","\u29307","\u29308","\u29309","\u2930a","\u2930b","\u2930c","\u2930d","\u2930e","\u2930f","\u29310","\u29311","\u29312","\u29313","\u29314","\u29315","\u29316","\u29317","\u29318","\u29319","\u2931a","\u2931b","\u2931c","\u2931d","\u2931e","\u2931f","\u29320","\u29321","\u29322","\u29323","\u29324","\u29325","\u29326","\u29327","\u29328","\u29329","\u2932a","\u2932b","\u2932c","\u2932d","\u2932e","\u2932f","\u29330","\u29331","\u29332","\u29333","\u29334","\u29335","\u29336","\u29337","\u29338","\u29339","\u2933a","\u2933b","\u2933c","\u2933d","\u2933e","\u2933f","\u29340","\u29341","\u29342","\u29343","\u29344","\u29345","\u29346","\u29347","\u29348","\u29349","\u2934a","\u2934b","\u2934c","\u2934d","\u2934e","\u2934f","\u29350","\u29351","\u29352","\u29353","\u29354","\u29355","\u29356","\u29357","\u29358","\u29359","\u2935a","\u2935b","\u2935c","\u2935d","\u2935e","\u2935f","\u29360","\u29361","\u29362","\u29363","\u29364","\u29365","\u29366","\u29367","\u29368","\u29369","\u2936a","\u2936b","\u2936c","\u2936d","\u2936e","\u2936f","\u29370","\u29371","\u29372","\u29373","\u29374","\u29375","\u29376","\u29377","\u29378","\u29379","\u2937a","\u2937b","\u2937c","\u2937d","\u2937e","\u2937f","\u29380","\u29381","\u29382","\u29383","\u29384","\u29385","\u29386","\u29387","\u29388","\u29389","\u2938a","\u2938b","\u2938c","\u2938d","\u2938e","\u2938f","\u29390","\u29391","\u29392","\u29393","\u29394","\u29395","\u29396","\u29397","\u29398","\u29399","\u2939a","\u2939b","\u2939c","\u2939d","\u2939e","\u2939f","\u293a0","\u293a1","\u293a2","\u293a3","\u293a4","\u293a5","\u293a6","\u293a7","\u293a8","\u293a9","\u293aa","\u293ab","\u293ac","\u293ad","\u293ae","\u293af","\u293b0","\u293b1","\u293b2","\u293b3","\u293b4","\u293b5","\u293b6","\u293b7","\u293b8","\u293b9","\u293ba","\u293bb","\u293bc","\u293bd","\u293be","\u293bf","\u293c0","\u293c1","\u293c2","\u293c3","\u293c4","\u293c5","\u293c6","\u293c7","\u293c8","\u293c9","\u293ca","\u293cb","\u293cc","\u293cd","\u293ce","\u293cf","\u293d0","\u293d1","\u293d2","\u293d3","\u293d4","\u293d5","\u293d6","\u293d7","\u293d8","\u293d9","\u293da","\u293db","\u293dc","\u293dd","\u293de","\u293df","\u293e0","\u293e1","\u293e2","\u293e3","\u293e4","\u293e5","\u293e6","\u293e7","\u293e8","\u293e9","\u293ea","\u293eb","\u293ec","\u293ed","\u293ee","\u293ef","\u293f0","\u293f1","\u293f2","\u293f3","\u293f4","\u293f5","\u293f6","\u293f7","\u293f8","\u293f9","\u293fa","\u293fb","\u293fc","\u293fd","\u293fe","\u293ff","\u29400","\u29401","\u29402","\u29403","\u29404","\u29405","\u29406","\u29407","\u29408","\u29409","\u2940a","\u2940b","\u2940c","\u2940d","\u2940e","\u2940f","\u29410","\u29411","\u29412","\u29413","\u29414","\u29415","\u29416","\u29417","\u29418","\u29419","\u2941a","\u2941b","\u2941c","\u2941d","\u2941e","\u2941f","\u29420","\u29421","\u29422","\u29423","\u29424","\u29425","\u29426","\u29427","\u29428","\u29429","\u2942a","\u2942b","\u2942c","\u2942d","\u2942e","\u2942f","\u29430","\u29431","\u29432","\u29433","\u29434","\u29435","\u29436","\u29437","\u29438","\u29439","\u2943a","\u2943b","\u2943c","\u2943d","\u2943e","\u2943f","\u29440","\u29441","\u29442","\u29443","\u29444","\u29445","\u29446","\u29447","\u29448","\u29449","\u2944a","\u2944b","\u2944c","\u2944d","\u2944e","\u2944f","\u29450","\u29451","\u29452","\u29453","\u29454","\u29455","\u29456","\u29457","\u29458","\u29459","\u2945a","\u2945b","\u2945c","\u2945d","\u2945e","\u2945f","\u29460","\u29461","\u29462","\u29463","\u29464","\u29465","\u29466","\u29467","\u29468","\u29469","\u2946a","\u2946b","\u2946c","\u2946d","\u2946e","\u2946f","\u29470","\u29471","\u29472","\u29473","\u29474","\u29475","\u29476","\u29477","\u29478","\u29479","\u2947a","\u2947b","\u2947c","\u2947d","\u2947e","\u2947f","\u29480","\u29481","\u29482","\u29483","\u29484","\u29485","\u29486","\u29487","\u29488","\u29489","\u2948a","\u2948b","\u2948c","\u2948d","\u2948e","\u2948f","\u29490","\u29491","\u29492","\u29493","\u29494","\u29495","\u29496","\u29497","\u29498","\u29499","\u2949a","\u2949b","\u2949c","\u2949d","\u2949e","\u2949f","\u294a0","\u294a1","\u294a2","\u294a3","\u294a4","\u294a5","\u294a6","\u294a7","\u294a8","\u294a9","\u294aa","\u294ab","\u294ac","\u294ad","\u294ae","\u294af","\u294b0","\u294b1","\u294b2","\u294b3","\u294b4","\u294b5","\u294b6","\u294b7","\u294b8","\u294b9","\u294ba","\u294bb","\u294bc","\u294bd","\u294be","\u294bf","\u294c0","\u294c1","\u294c2","\u294c3","\u294c4","\u294c5","\u294c6","\u294c7","\u294c8","\u294c9","\u294ca","\u294cb","\u294cc","\u294cd","\u294ce","\u294cf","\u294d0","\u294d1","\u294d2","\u294d3","\u294d4","\u294d5","\u294d6","\u294d7","\u294d8","\u294d9","\u294da","\u294db","\u294dc","\u294dd","\u294de","\u294df","\u294e0","\u294e1","\u294e2","\u294e3","\u294e4","\u294e5","\u294e6","\u294e7","\u294e8","\u294e9","\u294ea","\u294eb","\u294ec","\u294ed","\u294ee","\u294ef","\u294f0","\u294f1","\u294f2","\u294f3","\u294f4","\u294f5","\u294f6","\u294f7","\u294f8","\u294f9","\u294fa","\u294fb","\u294fc","\u294fd","\u294fe","\u294ff","\u29500","\u29501","\u29502","\u29503","\u29504","\u29505","\u29506","\u29507","\u29508","\u29509","\u2950a","\u2950b","\u2950c","\u2950d","\u2950e","\u2950f","\u29510","\u29511","\u29512","\u29513","\u29514","\u29515","\u29516","\u29517","\u29518","\u29519","\u2951a","\u2951b","\u2951c","\u2951d","\u2951e","\u2951f","\u29520","\u29521","\u29522","\u29523","\u29524","\u29525","\u29526","\u29527","\u29528","\u29529","\u2952a","\u2952b","\u2952c","\u2952d","\u2952e","\u2952f","\u29530","\u29531","\u29532","\u29533","\u29534","\u29535","\u29536","\u29537","\u29538","\u29539","\u2953a","\u2953b","\u2953c","\u2953d","\u2953e","\u2953f","\u29540","\u29541","\u29542","\u29543","\u29544","\u29545","\u29546","\u29547","\u29548","\u29549","\u2954a","\u2954b","\u2954c","\u2954d","\u2954e","\u2954f","\u29550","\u29551","\u29552","\u29553","\u29554","\u29555","\u29556","\u29557","\u29558","\u29559","\u2955a","\u2955b","\u2955c","\u2955d","\u2955e","\u2955f","\u29560","\u29561","\u29562","\u29563","\u29564","\u29565","\u29566","\u29567","\u29568","\u29569","\u2956a","\u2956b","\u2956c","\u2956d","\u2956e","\u2956f","\u29570","\u29571","\u29572","\u29573","\u29574","\u29575","\u29576","\u29577","\u29578","\u29579","\u2957a","\u2957b","\u2957c","\u2957d","\u2957e","\u2957f","\u29580","\u29581","\u29582","\u29583","\u29584","\u29585","\u29586","\u29587","\u29588","\u29589","\u2958a","\u2958b","\u2958c","\u2958d","\u2958e","\u2958f","\u29590","\u29591","\u29592","\u29593","\u29594","\u29595","\u29596","\u29597","\u29598","\u29599","\u2959a","\u2959b","\u2959c","\u2959d","\u2959e","\u2959f","\u295a0","\u295a1","\u295a2","\u295a3","\u295a4","\u295a5","\u295a6","\u295a7","\u295a8","\u295a9","\u295aa","\u295ab","\u295ac","\u295ad","\u295ae","\u295af","\u295b0","\u295b1","\u295b2","\u295b3","\u295b4","\u295b5","\u295b6","\u295b7","\u295b8","\u295b9","\u295ba","\u295bb","\u295bc","\u295bd","\u295be","\u295bf","\u295c0","\u295c1","\u295c2","\u295c3","\u295c4","\u295c5","\u295c6","\u295c7","\u295c8","\u295c9","\u295ca","\u295cb","\u295cc","\u295cd","\u295ce","\u295cf","\u295d0","\u295d1","\u295d2","\u295d3","\u295d4","\u295d5","\u295d6","\u295d7","\u295d8","\u295d9","\u295da","\u295db","\u295dc","\u295dd","\u295de","\u295df","\u295e0","\u295e1","\u295e2","\u295e3","\u295e4","\u295e5","\u295e6","\u295e7","\u295e8","\u295e9","\u295ea","\u295eb","\u295ec","\u295ed","\u295ee","\u295ef","\u295f0","\u295f1","\u295f2","\u295f3","\u295f4","\u295f5","\u295f6","\u295f7","\u295f8","\u295f9","\u295fa","\u295fb","\u295fc","\u295fd","\u295fe","\u295ff","\u29600","\u29601","\u29602","\u29603","\u29604","\u29605","\u29606","\u29607","\u29608","\u29609","\u2960a","\u2960b","\u2960c","\u2960d","\u2960e","\u2960f","\u29610","\u29611","\u29612","\u29613","\u29614","\u29615","\u29616","\u29617","\u29618","\u29619","\u2961a","\u2961b","\u2961c","\u2961d","\u2961e","\u2961f","\u29620","\u29621","\u29622","\u29623","\u29624","\u29625","\u29626","\u29627","\u29628","\u29629","\u2962a","\u2962b","\u2962c","\u2962d","\u2962e","\u2962f","\u29630","\u29631","\u29632","\u29633","\u29634","\u29635","\u29636","\u29637","\u29638","\u29639","\u2963a","\u2963b","\u2963c","\u2963d","\u2963e","\u2963f","\u29640","\u29641","\u29642","\u29643","\u29644","\u29645","\u29646","\u29647","\u29648","\u29649","\u2964a","\u2964b","\u2964c","\u2964d","\u2964e","\u2964f","\u29650","\u29651","\u29652","\u29653","\u29654","\u29655","\u29656","\u29657","\u29658","\u29659","\u2965a","\u2965b","\u2965c","\u2965d","\u2965e","\u2965f","\u29660","\u29661","\u29662","\u29663","\u29664","\u29665","\u29666","\u29667","\u29668","\u29669","\u2966a","\u2966b","\u2966c","\u2966d","\u2966e","\u2966f","\u29670","\u29671","\u29672","\u29673","\u29674","\u29675","\u29676","\u29677","\u29678","\u29679","\u2967a","\u2967b","\u2967c","\u2967d","\u2967e","\u2967f","\u29680","\u29681","\u29682","\u29683","\u29684","\u29685","\u29686","\u29687","\u29688","\u29689","\u2968a","\u2968b","\u2968c","\u2968d","\u2968e","\u2968f","\u29690","\u29691","\u29692","\u29693","\u29694","\u29695","\u29696","\u29697","\u29698","\u29699","\u2969a","\u2969b","\u2969c","\u2969d","\u2969e","\u2969f","\u296a0","\u296a1","\u296a2","\u296a3","\u296a4","\u296a5","\u296a6","\u296a7","\u296a8","\u296a9","\u296aa","\u296ab","\u296ac","\u296ad","\u296ae","\u296af","\u296b0","\u296b1","\u296b2","\u296b3","\u296b4","\u296b5","\u296b6","\u296b7","\u296b8","\u296b9","\u296ba","\u296bb","\u296bc","\u296bd","\u296be","\u296bf","\u296c0","\u296c1","\u296c2","\u296c3","\u296c4","\u296c5","\u296c6","\u296c7","\u296c8","\u296c9","\u296ca","\u296cb","\u296cc","\u296cd","\u296ce","\u296cf","\u296d0","\u296d1","\u296d2","\u296d3","\u296d4","\u296d5","\u296d6","\u296d7","\u296d8","\u296d9","\u296da","\u296db","\u296dc","\u296dd","\u296de","\u296df","\u296e0","\u296e1","\u296e2","\u296e3","\u296e4","\u296e5","\u296e6","\u296e7","\u296e8","\u296e9","\u296ea","\u296eb","\u296ec","\u296ed","\u296ee","\u296ef","\u296f0","\u296f1","\u296f2","\u296f3","\u296f4","\u296f5","\u296f6","\u296f7","\u296f8","\u296f9","\u296fa","\u296fb","\u296fc","\u296fd","\u296fe","\u296ff","\u29700","\u29701","\u29702","\u29703","\u29704","\u29705","\u29706","\u29707","\u29708","\u29709","\u2970a","\u2970b","\u2970c","\u2970d","\u2970e","\u2970f","\u29710","\u29711","\u29712","\u29713","\u29714","\u29715","\u29716","\u29717","\u29718","\u29719","\u2971a","\u2971b","\u2971c","\u2971d","\u2971e","\u2971f","\u29720","\u29721","\u29722","\u29723","\u29724","\u29725","\u29726","\u29727","\u29728","\u29729","\u2972a","\u2972b","\u2972c","\u2972d","\u2972e","\u2972f","\u29730","\u29731","\u29732","\u29733","\u29734","\u29735","\u29736","\u29737","\u29738","\u29739","\u2973a","\u2973b","\u2973c","\u2973d","\u2973e","\u2973f","\u29740","\u29741","\u29742","\u29743","\u29744","\u29745","\u29746","\u29747","\u29748","\u29749","\u2974a","\u2974b","\u2974c","\u2974d","\u2974e","\u2974f","\u29750","\u29751","\u29752","\u29753","\u29754","\u29755","\u29756","\u29757","\u29758","\u29759","\u2975a","\u2975b","\u2975c","\u2975d","\u2975e","\u2975f","\u29760","\u29761","\u29762","\u29763","\u29764","\u29765","\u29766","\u29767","\u29768","\u29769","\u2976a","\u2976b","\u2976c","\u2976d","\u2976e","\u2976f","\u29770","\u29771","\u29772","\u29773","\u29774","\u29775","\u29776","\u29777","\u29778","\u29779","\u2977a","\u2977b","\u2977c","\u2977d","\u2977e","\u2977f","\u29780","\u29781","\u29782","\u29783","\u29784","\u29785","\u29786","\u29787","\u29788","\u29789","\u2978a","\u2978b","\u2978c","\u2978d","\u2978e","\u2978f","\u29790","\u29791","\u29792","\u29793","\u29794","\u29795","\u29796","\u29797","\u29798","\u29799","\u2979a","\u2979b","\u2979c","\u2979d","\u2979e","\u2979f","\u297a0","\u297a1","\u297a2","\u297a3","\u297a4","\u297a5","\u297a6","\u297a7","\u297a8","\u297a9","\u297aa","\u297ab","\u297ac","\u297ad","\u297ae","\u297af","\u297b0","\u297b1","\u297b2","\u297b3","\u297b4","\u297b5","\u297b6","\u297b7","\u297b8","\u297b9","\u297ba","\u297bb","\u297bc","\u297bd","\u297be","\u297bf","\u297c0","\u297c1","\u297c2","\u297c3","\u297c4","\u297c5","\u297c6","\u297c7","\u297c8","\u297c9","\u297ca","\u297cb","\u297cc","\u297cd","\u297ce","\u297cf","\u297d0","\u297d1","\u297d2","\u297d3","\u297d4","\u297d5","\u297d6","\u297d7","\u297d8","\u297d9","\u297da","\u297db","\u297dc","\u297dd","\u297de","\u297df","\u297e0","\u297e1","\u297e2","\u297e3","\u297e4","\u297e5","\u297e6","\u297e7","\u297e8","\u297e9","\u297ea","\u297eb","\u297ec","\u297ed","\u297ee","\u297ef","\u297f0","\u297f1","\u297f2","\u297f3","\u297f4","\u297f5","\u297f6","\u297f7","\u297f8","\u297f9","\u297fa","\u297fb","\u297fc","\u297fd","\u297fe","\u297ff","\u29800","\u29801","\u29802","\u29803","\u29804","\u29805","\u29806","\u29807","\u29808","\u29809","\u2980a","\u2980b","\u2980c","\u2980d","\u2980e","\u2980f","\u29810","\u29811","\u29812","\u29813","\u29814","\u29815","\u29816","\u29817","\u29818","\u29819","\u2981a","\u2981b","\u2981c","\u2981d","\u2981e","\u2981f","\u29820","\u29821","\u29822","\u29823","\u29824","\u29825","\u29826","\u29827","\u29828","\u29829","\u2982a","\u2982b","\u2982c","\u2982d","\u2982e","\u2982f","\u29830","\u29831","\u29832","\u29833","\u29834","\u29835","\u29836","\u29837","\u29838","\u29839","\u2983a","\u2983b","\u2983c","\u2983d","\u2983e","\u2983f","\u29840","\u29841","\u29842","\u29843","\u29844","\u29845","\u29846","\u29847","\u29848","\u29849","\u2984a","\u2984b","\u2984c","\u2984d","\u2984e","\u2984f","\u29850","\u29851","\u29852","\u29853","\u29854","\u29855","\u29856","\u29857","\u29858","\u29859","\u2985a","\u2985b","\u2985c","\u2985d","\u2985e","\u2985f","\u29860","\u29861","\u29862","\u29863","\u29864","\u29865","\u29866","\u29867","\u29868","\u29869","\u2986a","\u2986b","\u2986c","\u2986d","\u2986e","\u2986f","\u29870","\u29871","\u29872","\u29873","\u29874","\u29875","\u29876","\u29877","\u29878","\u29879","\u2987a","\u2987b","\u2987c","\u2987d","\u2987e","\u2987f","\u29880","\u29881","\u29882","\u29883","\u29884","\u29885","\u29886","\u29887","\u29888","\u29889","\u2988a","\u2988b","\u2988c","\u2988d","\u2988e","\u2988f","\u29890","\u29891","\u29892","\u29893","\u29894","\u29895","\u29896","\u29897","\u29898","\u29899","\u2989a","\u2989b","\u2989c","\u2989d","\u2989e","\u2989f","\u298a0","\u298a1","\u298a2","\u298a3","\u298a4","\u298a5","\u298a6","\u298a7","\u298a8","\u298a9","\u298aa","\u298ab","\u298ac","\u298ad","\u298ae","\u298af","\u298b0","\u298b1","\u298b2","\u298b3","\u298b4","\u298b5","\u298b6","\u298b7","\u298b8","\u298b9","\u298ba","\u298bb","\u298bc","\u298bd","\u298be","\u298bf","\u298c0","\u298c1","\u298c2","\u298c3","\u298c4","\u298c5","\u298c6","\u298c7","\u298c8","\u298c9","\u298ca","\u298cb","\u298cc","\u298cd","\u298ce","\u298cf","\u298d0","\u298d1","\u298d2","\u298d3","\u298d4","\u298d5","\u298d6","\u298d7","\u298d8","\u298d9","\u298da","\u298db","\u298dc","\u298dd","\u298de","\u298df","\u298e0","\u298e1","\u298e2","\u298e3","\u298e4","\u298e5","\u298e6","\u298e7","\u298e8","\u298e9","\u298ea","\u298eb","\u298ec","\u298ed","\u298ee","\u298ef","\u298f0","\u298f1","\u298f2","\u298f3","\u298f4","\u298f5","\u298f6","\u298f7","\u298f8","\u298f9","\u298fa","\u298fb","\u298fc","\u298fd","\u298fe","\u298ff","\u29900","\u29901","\u29902","\u29903","\u29904","\u29905","\u29906","\u29907","\u29908","\u29909","\u2990a","\u2990b","\u2990c","\u2990d","\u2990e","\u2990f","\u29910","\u29911","\u29912","\u29913","\u29914","\u29915","\u29916","\u29917","\u29918","\u29919","\u2991a","\u2991b","\u2991c","\u2991d","\u2991e","\u2991f","\u29920","\u29921","\u29922","\u29923","\u29924","\u29925","\u29926","\u29927","\u29928","\u29929","\u2992a","\u2992b","\u2992c","\u2992d","\u2992e","\u2992f","\u29930","\u29931","\u29932","\u29933","\u29934","\u29935","\u29936","\u29937","\u29938","\u29939","\u2993a","\u2993b","\u2993c","\u2993d","\u2993e","\u2993f","\u29940","\u29941","\u29942","\u29943","\u29944","\u29945","\u29946","\u29947","\u29948","\u29949","\u2994a","\u2994b","\u2994c","\u2994d","\u2994e","\u2994f","\u29950","\u29951","\u29952","\u29953","\u29954","\u29955","\u29956","\u29957","\u29958","\u29959","\u2995a","\u2995b","\u2995c","\u2995d","\u2995e","\u2995f","\u29960","\u29961","\u29962","\u29963","\u29964","\u29965","\u29966","\u29967","\u29968","\u29969","\u2996a","\u2996b","\u2996c","\u2996d","\u2996e","\u2996f","\u29970","\u29971","\u29972","\u29973","\u29974","\u29975","\u29976","\u29977","\u29978","\u29979","\u2997a","\u2997b","\u2997c","\u2997d","\u2997e","\u2997f","\u29980","\u29981","\u29982","\u29983","\u29984","\u29985","\u29986","\u29987","\u29988","\u29989","\u2998a","\u2998b","\u2998c","\u2998d","\u2998e","\u2998f","\u29990","\u29991","\u29992","\u29993","\u29994","\u29995","\u29996","\u29997","\u29998","\u29999","\u2999a","\u2999b","\u2999c","\u2999d","\u2999e","\u2999f","\u299a0","\u299a1","\u299a2","\u299a3","\u299a4","\u299a5","\u299a6","\u299a7","\u299a8","\u299a9","\u299aa","\u299ab","\u299ac","\u299ad","\u299ae","\u299af","\u299b0","\u299b1","\u299b2","\u299b3","\u299b4","\u299b5","\u299b6","\u299b7","\u299b8","\u299b9","\u299ba","\u299bb","\u299bc","\u299bd","\u299be","\u299bf","\u299c0","\u299c1","\u299c2","\u299c3","\u299c4","\u299c5","\u299c6","\u299c7","\u299c8","\u299c9","\u299ca","\u299cb","\u299cc","\u299cd","\u299ce","\u299cf","\u299d0","\u299d1","\u299d2","\u299d3","\u299d4","\u299d5","\u299d6","\u299d7","\u299d8","\u299d9","\u299da","\u299db","\u299dc","\u299dd","\u299de","\u299df","\u299e0","\u299e1","\u299e2","\u299e3","\u299e4","\u299e5","\u299e6","\u299e7","\u299e8","\u299e9","\u299ea","\u299eb","\u299ec","\u299ed","\u299ee","\u299ef","\u299f0","\u299f1","\u299f2","\u299f3","\u299f4","\u299f5","\u299f6","\u299f7","\u299f8","\u299f9","\u299fa","\u299fb","\u299fc","\u299fd","\u299fe","\u299ff","\u29a00","\u29a01","\u29a02","\u29a03","\u29a04","\u29a05","\u29a06","\u29a07","\u29a08","\u29a09","\u29a0a","\u29a0b","\u29a0c","\u29a0d","\u29a0e","\u29a0f","\u29a10","\u29a11","\u29a12","\u29a13","\u29a14","\u29a15","\u29a16","\u29a17","\u29a18","\u29a19","\u29a1a","\u29a1b","\u29a1c","\u29a1d","\u29a1e","\u29a1f","\u29a20","\u29a21","\u29a22","\u29a23","\u29a24","\u29a25","\u29a26","\u29a27","\u29a28","\u29a29","\u29a2a","\u29a2b","\u29a2c","\u29a2d","\u29a2e","\u29a2f","\u29a30","\u29a31","\u29a32","\u29a33","\u29a34","\u29a35","\u29a36","\u29a37","\u29a38","\u29a39","\u29a3a","\u29a3b","\u29a3c","\u29a3d","\u29a3e","\u29a3f","\u29a40","\u29a41","\u29a42","\u29a43","\u29a44","\u29a45","\u29a46","\u29a47","\u29a48","\u29a49","\u29a4a","\u29a4b","\u29a4c","\u29a4d","\u29a4e","\u29a4f","\u29a50","\u29a51","\u29a52","\u29a53","\u29a54","\u29a55","\u29a56","\u29a57","\u29a58","\u29a59","\u29a5a","\u29a5b","\u29a5c","\u29a5d","\u29a5e","\u29a5f","\u29a60","\u29a61","\u29a62","\u29a63","\u29a64","\u29a65","\u29a66","\u29a67","\u29a68","\u29a69","\u29a6a","\u29a6b","\u29a6c","\u29a6d","\u29a6e","\u29a6f","\u29a70","\u29a71","\u29a72","\u29a73","\u29a74","\u29a75","\u29a76","\u29a77","\u29a78","\u29a79","\u29a7a","\u29a7b","\u29a7c","\u29a7d","\u29a7e","\u29a7f","\u29a80","\u29a81","\u29a82","\u29a83","\u29a84","\u29a85","\u29a86","\u29a87","\u29a88","\u29a89","\u29a8a","\u29a8b","\u29a8c","\u29a8d","\u29a8e","\u29a8f","\u29a90","\u29a91","\u29a92","\u29a93","\u29a94","\u29a95","\u29a96","\u29a97","\u29a98","\u29a99","\u29a9a","\u29a9b","\u29a9c","\u29a9d","\u29a9e","\u29a9f","\u29aa0","\u29aa1","\u29aa2","\u29aa3","\u29aa4","\u29aa5","\u29aa6","\u29aa7","\u29aa8","\u29aa9","\u29aaa","\u29aab","\u29aac","\u29aad","\u29aae","\u29aaf","\u29ab0","\u29ab1","\u29ab2","\u29ab3","\u29ab4","\u29ab5","\u29ab6","\u29ab7","\u29ab8","\u29ab9","\u29aba","\u29abb","\u29abc","\u29abd","\u29abe","\u29abf","\u29ac0","\u29ac1","\u29ac2","\u29ac3","\u29ac4","\u29ac5","\u29ac6","\u29ac7","\u29ac8","\u29ac9","\u29aca","\u29acb","\u29acc","\u29acd","\u29ace","\u29acf","\u29ad0","\u29ad1","\u29ad2","\u29ad3","\u29ad4","\u29ad5","\u29ad6","\u29ad7","\u29ad8","\u29ad9","\u29ada","\u29adb","\u29adc","\u29add","\u29ade","\u29adf","\u29ae0","\u29ae1","\u29ae2","\u29ae3","\u29ae4","\u29ae5","\u29ae6","\u29ae7","\u29ae8","\u29ae9","\u29aea","\u29aeb","\u29aec","\u29aed","\u29aee","\u29aef","\u29af0","\u29af1","\u29af2","\u29af3","\u29af4","\u29af5","\u29af6","\u29af7","\u29af8","\u29af9","\u29afa","\u29afb","\u29afc","\u29afd","\u29afe","\u29aff","\u29b00","\u29b01","\u29b02","\u29b03","\u29b04","\u29b05","\u29b06","\u29b07","\u29b08","\u29b09","\u29b0a","\u29b0b","\u29b0c","\u29b0d","\u29b0e","\u29b0f","\u29b10","\u29b11","\u29b12","\u29b13","\u29b14","\u29b15","\u29b16","\u29b17","\u29b18","\u29b19","\u29b1a","\u29b1b","\u29b1c","\u29b1d","\u29b1e","\u29b1f","\u29b20","\u29b21","\u29b22","\u29b23","\u29b24","\u29b25","\u29b26","\u29b27","\u29b28","\u29b29","\u29b2a","\u29b2b","\u29b2c","\u29b2d","\u29b2e","\u29b2f","\u29b30","\u29b31","\u29b32","\u29b33","\u29b34","\u29b35","\u29b36","\u29b37","\u29b38","\u29b39","\u29b3a","\u29b3b","\u29b3c","\u29b3d","\u29b3e","\u29b3f","\u29b40","\u29b41","\u29b42","\u29b43","\u29b44","\u29b45","\u29b46","\u29b47","\u29b48","\u29b49","\u29b4a","\u29b4b","\u29b4c","\u29b4d","\u29b4e","\u29b4f","\u29b50","\u29b51","\u29b52","\u29b53","\u29b54","\u29b55","\u29b56","\u29b57","\u29b58","\u29b59","\u29b5a","\u29b5b","\u29b5c","\u29b5d","\u29b5e","\u29b5f","\u29b60","\u29b61","\u29b62","\u29b63","\u29b64","\u29b65","\u29b66","\u29b67","\u29b68","\u29b69","\u29b6a","\u29b6b","\u29b6c","\u29b6d","\u29b6e","\u29b6f","\u29b70","\u29b71","\u29b72","\u29b73","\u29b74","\u29b75","\u29b76","\u29b77","\u29b78","\u29b79","\u29b7a","\u29b7b","\u29b7c","\u29b7d","\u29b7e","\u29b7f","\u29b80","\u29b81","\u29b82","\u29b83","\u29b84","\u29b85","\u29b86","\u29b87","\u29b88","\u29b89","\u29b8a","\u29b8b","\u29b8c","\u29b8d","\u29b8e","\u29b8f","\u29b90","\u29b91","\u29b92","\u29b93","\u29b94","\u29b95","\u29b96","\u29b97","\u29b98","\u29b99","\u29b9a","\u29b9b","\u29b9c","\u29b9d","\u29b9e","\u29b9f","\u29ba0","\u29ba1","\u29ba2","\u29ba3","\u29ba4","\u29ba5","\u29ba6","\u29ba7","\u29ba8","\u29ba9","\u29baa","\u29bab","\u29bac","\u29bad","\u29bae","\u29baf","\u29bb0","\u29bb1","\u29bb2","\u29bb3","\u29bb4","\u29bb5","\u29bb6","\u29bb7","\u29bb8","\u29bb9","\u29bba","\u29bbb","\u29bbc","\u29bbd","\u29bbe","\u29bbf","\u29bc0","\u29bc1","\u29bc2","\u29bc3","\u29bc4","\u29bc5","\u29bc6","\u29bc7","\u29bc8","\u29bc9","\u29bca","\u29bcb","\u29bcc","\u29bcd","\u29bce","\u29bcf","\u29bd0","\u29bd1","\u29bd2","\u29bd3","\u29bd4","\u29bd5","\u29bd6","\u29bd7","\u29bd8","\u29bd9","\u29bda","\u29bdb","\u29bdc","\u29bdd","\u29bde","\u29bdf","\u29be0","\u29be1","\u29be2","\u29be3","\u29be4","\u29be5","\u29be6","\u29be7","\u29be8","\u29be9","\u29bea","\u29beb","\u29bec","\u29bed","\u29bee","\u29bef","\u29bf0","\u29bf1","\u29bf2","\u29bf3","\u29bf4","\u29bf5","\u29bf6","\u29bf7","\u29bf8","\u29bf9","\u29bfa","\u29bfb","\u29bfc","\u29bfd","\u29bfe","\u29bff","\u29c00","\u29c01","\u29c02","\u29c03","\u29c04","\u29c05","\u29c06","\u29c07","\u29c08","\u29c09","\u29c0a","\u29c0b","\u29c0c","\u29c0d","\u29c0e","\u29c0f","\u29c10","\u29c11","\u29c12","\u29c13","\u29c14","\u29c15","\u29c16","\u29c17","\u29c18","\u29c19","\u29c1a","\u29c1b","\u29c1c","\u29c1d","\u29c1e","\u29c1f","\u29c20","\u29c21","\u29c22","\u29c23","\u29c24","\u29c25","\u29c26","\u29c27","\u29c28","\u29c29","\u29c2a","\u29c2b","\u29c2c","\u29c2d","\u29c2e","\u29c2f","\u29c30","\u29c31","\u29c32","\u29c33","\u29c34","\u29c35","\u29c36","\u29c37","\u29c38","\u29c39","\u29c3a","\u29c3b","\u29c3c","\u29c3d","\u29c3e","\u29c3f","\u29c40","\u29c41","\u29c42","\u29c43","\u29c44","\u29c45","\u29c46","\u29c47","\u29c48","\u29c49","\u29c4a","\u29c4b","\u29c4c","\u29c4d","\u29c4e","\u29c4f","\u29c50","\u29c51","\u29c52","\u29c53","\u29c54","\u29c55","\u29c56","\u29c57","\u29c58","\u29c59","\u29c5a","\u29c5b","\u29c5c","\u29c5d","\u29c5e","\u29c5f","\u29c60","\u29c61","\u29c62","\u29c63","\u29c64","\u29c65","\u29c66","\u29c67","\u29c68","\u29c69","\u29c6a","\u29c6b","\u29c6c","\u29c6d","\u29c6e","\u29c6f","\u29c70","\u29c71","\u29c72","\u29c73","\u29c74","\u29c75","\u29c76","\u29c77","\u29c78","\u29c79","\u29c7a","\u29c7b","\u29c7c","\u29c7d","\u29c7e","\u29c7f","\u29c80","\u29c81","\u29c82","\u29c83","\u29c84","\u29c85","\u29c86","\u29c87","\u29c88","\u29c89","\u29c8a","\u29c8b","\u29c8c","\u29c8d","\u29c8e","\u29c8f","\u29c90","\u29c91","\u29c92","\u29c93","\u29c94","\u29c95","\u29c96","\u29c97","\u29c98","\u29c99","\u29c9a","\u29c9b","\u29c9c","\u29c9d","\u29c9e","\u29c9f","\u29ca0","\u29ca1","\u29ca2","\u29ca3","\u29ca4","\u29ca5","\u29ca6","\u29ca7","\u29ca8","\u29ca9","\u29caa","\u29cab","\u29cac","\u29cad","\u29cae","\u29caf","\u29cb0","\u29cb1","\u29cb2","\u29cb3","\u29cb4","\u29cb5","\u29cb6","\u29cb7","\u29cb8","\u29cb9","\u29cba","\u29cbb","\u29cbc","\u29cbd","\u29cbe","\u29cbf","\u29cc0","\u29cc1","\u29cc2","\u29cc3","\u29cc4","\u29cc5","\u29cc6","\u29cc7","\u29cc8","\u29cc9","\u29cca","\u29ccb","\u29ccc","\u29ccd","\u29cce","\u29ccf","\u29cd0","\u29cd1","\u29cd2","\u29cd3","\u29cd4","\u29cd5","\u29cd6","\u29cd7","\u29cd8","\u29cd9","\u29cda","\u29cdb","\u29cdc","\u29cdd","\u29cde","\u29cdf","\u29ce0","\u29ce1","\u29ce2","\u29ce3","\u29ce4","\u29ce5","\u29ce6","\u29ce7","\u29ce8","\u29ce9","\u29cea","\u29ceb","\u29cec","\u29ced","\u29cee","\u29cef","\u29cf0","\u29cf1","\u29cf2","\u29cf3","\u29cf4","\u29cf5","\u29cf6","\u29cf7","\u29cf8","\u29cf9","\u29cfa","\u29cfb","\u29cfc","\u29cfd","\u29cfe","\u29cff","\u29d00","\u29d01","\u29d02","\u29d03","\u29d04","\u29d05","\u29d06","\u29d07","\u29d08","\u29d09","\u29d0a","\u29d0b","\u29d0c","\u29d0d","\u29d0e","\u29d0f","\u29d10","\u29d11","\u29d12","\u29d13","\u29d14","\u29d15","\u29d16","\u29d17","\u29d18","\u29d19","\u29d1a","\u29d1b","\u29d1c","\u29d1d","\u29d1e","\u29d1f","\u29d20","\u29d21","\u29d22","\u29d23","\u29d24","\u29d25","\u29d26","\u29d27","\u29d28","\u29d29","\u29d2a","\u29d2b","\u29d2c","\u29d2d","\u29d2e","\u29d2f","\u29d30","\u29d31","\u29d32","\u29d33","\u29d34","\u29d35","\u29d36","\u29d37","\u29d38","\u29d39","\u29d3a","\u29d3b","\u29d3c","\u29d3d","\u29d3e","\u29d3f","\u29d40","\u29d41","\u29d42","\u29d43","\u29d44","\u29d45","\u29d46","\u29d47","\u29d48","\u29d49","\u29d4a","\u29d4b","\u29d4c","\u29d4d","\u29d4e","\u29d4f","\u29d50","\u29d51","\u29d52","\u29d53","\u29d54","\u29d55","\u29d56","\u29d57","\u29d58","\u29d59","\u29d5a","\u29d5b","\u29d5c","\u29d5d","\u29d5e","\u29d5f","\u29d60","\u29d61","\u29d62","\u29d63","\u29d64","\u29d65","\u29d66","\u29d67","\u29d68","\u29d69","\u29d6a","\u29d6b","\u29d6c","\u29d6d","\u29d6e","\u29d6f","\u29d70","\u29d71","\u29d72","\u29d73","\u29d74","\u29d75","\u29d76","\u29d77","\u29d78","\u29d79","\u29d7a","\u29d7b","\u29d7c","\u29d7d","\u29d7e","\u29d7f","\u29d80","\u29d81","\u29d82","\u29d83","\u29d84","\u29d85","\u29d86","\u29d87","\u29d88","\u29d89","\u29d8a","\u29d8b","\u29d8c","\u29d8d","\u29d8e","\u29d8f","\u29d90","\u29d91","\u29d92","\u29d93","\u29d94","\u29d95","\u29d96","\u29d97","\u29d98","\u29d99","\u29d9a","\u29d9b","\u29d9c","\u29d9d","\u29d9e","\u29d9f","\u29da0","\u29da1","\u29da2","\u29da3","\u29da4","\u29da5","\u29da6","\u29da7","\u29da8","\u29da9","\u29daa","\u29dab","\u29dac","\u29dad","\u29dae","\u29daf","\u29db0","\u29db1","\u29db2","\u29db3","\u29db4","\u29db5","\u29db6","\u29db7","\u29db8","\u29db9","\u29dba","\u29dbb","\u29dbc","\u29dbd","\u29dbe","\u29dbf","\u29dc0","\u29dc1","\u29dc2","\u29dc3","\u29dc4","\u29dc5","\u29dc6","\u29dc7","\u29dc8","\u29dc9","\u29dca","\u29dcb","\u29dcc","\u29dcd","\u29dce","\u29dcf","\u29dd0","\u29dd1","\u29dd2","\u29dd3","\u29dd4","\u29dd5","\u29dd6","\u29dd7","\u29dd8","\u29dd9","\u29dda","\u29ddb","\u29ddc","\u29ddd","\u29dde","\u29ddf","\u29de0","\u29de1","\u29de2","\u29de3","\u29de4","\u29de5","\u29de6","\u29de7","\u29de8","\u29de9","\u29dea","\u29deb","\u29dec","\u29ded","\u29dee","\u29def","\u29df0","\u29df1","\u29df2","\u29df3","\u29df4","\u29df5","\u29df6","\u29df7","\u29df8","\u29df9","\u29dfa","\u29dfb","\u29dfc","\u29dfd","\u29dfe","\u29dff","\u29e00","\u29e01","\u29e02","\u29e03","\u29e04","\u29e05","\u29e06","\u29e07","\u29e08","\u29e09","\u29e0a","\u29e0b","\u29e0c","\u29e0d","\u29e0e","\u29e0f","\u29e10","\u29e11","\u29e12","\u29e13","\u29e14","\u29e15","\u29e16","\u29e17","\u29e18","\u29e19","\u29e1a","\u29e1b","\u29e1c","\u29e1d","\u29e1e","\u29e1f","\u29e20","\u29e21","\u29e22","\u29e23","\u29e24","\u29e25","\u29e26","\u29e27","\u29e28","\u29e29","\u29e2a","\u29e2b","\u29e2c","\u29e2d","\u29e2e","\u29e2f","\u29e30","\u29e31","\u29e32","\u29e33","\u29e34","\u29e35","\u29e36","\u29e37","\u29e38","\u29e39","\u29e3a","\u29e3b","\u29e3c","\u29e3d","\u29e3e","\u29e3f","\u29e40","\u29e41","\u29e42","\u29e43","\u29e44","\u29e45","\u29e46","\u29e47","\u29e48","\u29e49","\u29e4a","\u29e4b","\u29e4c","\u29e4d","\u29e4e","\u29e4f","\u29e50","\u29e51","\u29e52","\u29e53","\u29e54","\u29e55","\u29e56","\u29e57","\u29e58","\u29e59","\u29e5a","\u29e5b","\u29e5c","\u29e5d","\u29e5e","\u29e5f","\u29e60","\u29e61","\u29e62","\u29e63","\u29e64","\u29e65","\u29e66","\u29e67","\u29e68","\u29e69","\u29e6a","\u29e6b","\u29e6c","\u29e6d","\u29e6e","\u29e6f","\u29e70","\u29e71","\u29e72","\u29e73","\u29e74","\u29e75","\u29e76","\u29e77","\u29e78","\u29e79","\u29e7a","\u29e7b","\u29e7c","\u29e7d","\u29e7e","\u29e7f","\u29e80","\u29e81","\u29e82","\u29e83","\u29e84","\u29e85","\u29e86","\u29e87","\u29e88","\u29e89","\u29e8a","\u29e8b","\u29e8c","\u29e8d","\u29e8e","\u29e8f","\u29e90","\u29e91","\u29e92","\u29e93","\u29e94","\u29e95","\u29e96","\u29e97","\u29e98","\u29e99","\u29e9a","\u29e9b","\u29e9c","\u29e9d","\u29e9e","\u29e9f","\u29ea0","\u29ea1","\u29ea2","\u29ea3","\u29ea4","\u29ea5","\u29ea6","\u29ea7","\u29ea8","\u29ea9","\u29eaa","\u29eab","\u29eac","\u29ead","\u29eae","\u29eaf","\u29eb0","\u29eb1","\u29eb2","\u29eb3","\u29eb4","\u29eb5","\u29eb6","\u29eb7","\u29eb8","\u29eb9","\u29eba","\u29ebb","\u29ebc","\u29ebd","\u29ebe","\u29ebf","\u29ec0","\u29ec1","\u29ec2","\u29ec3","\u29ec4","\u29ec5","\u29ec6","\u29ec7","\u29ec8","\u29ec9","\u29eca","\u29ecb","\u29ecc","\u29ecd","\u29ece","\u29ecf","\u29ed0","\u29ed1","\u29ed2","\u29ed3","\u29ed4","\u29ed5","\u29ed6","\u29ed7","\u29ed8","\u29ed9","\u29eda","\u29edb","\u29edc","\u29edd","\u29ede","\u29edf","\u29ee0","\u29ee1","\u29ee2","\u29ee3","\u29ee4","\u29ee5","\u29ee6","\u29ee7","\u29ee8","\u29ee9","\u29eea","\u29eeb","\u29eec","\u29eed","\u29eee","\u29eef","\u29ef0","\u29ef1","\u29ef2","\u29ef3","\u29ef4","\u29ef5","\u29ef6","\u29ef7","\u29ef8","\u29ef9","\u29efa","\u29efb","\u29efc","\u29efd","\u29efe","\u29eff","\u29f00","\u29f01","\u29f02","\u29f03","\u29f04","\u29f05","\u29f06","\u29f07","\u29f08","\u29f09","\u29f0a","\u29f0b","\u29f0c","\u29f0d","\u29f0e","\u29f0f","\u29f10","\u29f11","\u29f12","\u29f13","\u29f14","\u29f15","\u29f16","\u29f17","\u29f18","\u29f19","\u29f1a","\u29f1b","\u29f1c","\u29f1d","\u29f1e","\u29f1f","\u29f20","\u29f21","\u29f22","\u29f23","\u29f24","\u29f25","\u29f26","\u29f27","\u29f28","\u29f29","\u29f2a","\u29f2b","\u29f2c","\u29f2d","\u29f2e","\u29f2f","\u29f30","\u29f31","\u29f32","\u29f33","\u29f34","\u29f35","\u29f36","\u29f37","\u29f38","\u29f39","\u29f3a","\u29f3b","\u29f3c","\u29f3d","\u29f3e","\u29f3f","\u29f40","\u29f41","\u29f42","\u29f43","\u29f44","\u29f45","\u29f46","\u29f47","\u29f48","\u29f49","\u29f4a","\u29f4b","\u29f4c","\u29f4d","\u29f4e","\u29f4f","\u29f50","\u29f51","\u29f52","\u29f53","\u29f54","\u29f55","\u29f56","\u29f57","\u29f58","\u29f59","\u29f5a","\u29f5b","\u29f5c","\u29f5d","\u29f5e","\u29f5f","\u29f60","\u29f61","\u29f62","\u29f63","\u29f64","\u29f65","\u29f66","\u29f67","\u29f68","\u29f69","\u29f6a","\u29f6b","\u29f6c","\u29f6d","\u29f6e","\u29f6f","\u29f70","\u29f71","\u29f72","\u29f73","\u29f74","\u29f75","\u29f76","\u29f77","\u29f78","\u29f79","\u29f7a","\u29f7b","\u29f7c","\u29f7d","\u29f7e","\u29f7f","\u29f80","\u29f81","\u29f82","\u29f83","\u29f84","\u29f85","\u29f86","\u29f87","\u29f88","\u29f89","\u29f8a","\u29f8b","\u29f8c","\u29f8d","\u29f8e","\u29f8f","\u29f90","\u29f91","\u29f92","\u29f93","\u29f94","\u29f95","\u29f96","\u29f97","\u29f98","\u29f99","\u29f9a","\u29f9b","\u29f9c","\u29f9d","\u29f9e","\u29f9f","\u29fa0","\u29fa1","\u29fa2","\u29fa3","\u29fa4","\u29fa5","\u29fa6","\u29fa7","\u29fa8","\u29fa9","\u29faa","\u29fab","\u29fac","\u29fad","\u29fae","\u29faf","\u29fb0","\u29fb1","\u29fb2","\u29fb3","\u29fb4","\u29fb5","\u29fb6","\u29fb7","\u29fb8","\u29fb9","\u29fba","\u29fbb","\u29fbc","\u29fbd","\u29fbe","\u29fbf","\u29fc0","\u29fc1","\u29fc2","\u29fc3","\u29fc4","\u29fc5","\u29fc6","\u29fc7","\u29fc8","\u29fc9","\u29fca","\u29fcb","\u29fcc","\u29fcd","\u29fce","\u29fcf","\u29fd0","\u29fd1","\u29fd2","\u29fd3","\u29fd4","\u29fd5","\u29fd6","\u29fd7","\u29fd8","\u29fd9","\u29fda","\u29fdb","\u29fdc","\u29fdd","\u29fde","\u29fdf","\u29fe0","\u29fe1","\u29fe2","\u29fe3","\u29fe4","\u29fe5","\u29fe6","\u29fe7","\u29fe8","\u29fe9","\u29fea","\u29feb","\u29fec","\u29fed","\u29fee","\u29fef","\u29ff0","\u29ff1","\u29ff2","\u29ff3","\u29ff4","\u29ff5","\u29ff6","\u29ff7","\u29ff8","\u29ff9","\u29ffa","\u29ffb","\u29ffc","\u29ffd","\u29ffe","\u29fff","\u2a000","\u2a001","\u2a002","\u2a003","\u2a004","\u2a005","\u2a006","\u2a007","\u2a008","\u2a009","\u2a00a","\u2a00b","\u2a00c","\u2a00d","\u2a00e","\u2a00f","\u2a010","\u2a011","\u2a012","\u2a013","\u2a014","\u2a015","\u2a016","\u2a017","\u2a018","\u2a019","\u2a01a","\u2a01b","\u2a01c","\u2a01d","\u2a01e","\u2a01f","\u2a020","\u2a021","\u2a022","\u2a023","\u2a024","\u2a025","\u2a026","\u2a027","\u2a028","\u2a029","\u2a02a","\u2a02b","\u2a02c","\u2a02d","\u2a02e","\u2a02f","\u2a030","\u2a031","\u2a032","\u2a033","\u2a034","\u2a035","\u2a036","\u2a037","\u2a038","\u2a039","\u2a03a","\u2a03b","\u2a03c","\u2a03d","\u2a03e","\u2a03f","\u2a040","\u2a041","\u2a042","\u2a043","\u2a044","\u2a045","\u2a046","\u2a047","\u2a048","\u2a049","\u2a04a","\u2a04b","\u2a04c","\u2a04d","\u2a04e","\u2a04f","\u2a050","\u2a051","\u2a052","\u2a053","\u2a054","\u2a055","\u2a056","\u2a057","\u2a058","\u2a059","\u2a05a","\u2a05b","\u2a05c","\u2a05d","\u2a05e","\u2a05f","\u2a060","\u2a061","\u2a062","\u2a063","\u2a064","\u2a065","\u2a066","\u2a067","\u2a068","\u2a069","\u2a06a","\u2a06b","\u2a06c","\u2a06d","\u2a06e","\u2a06f","\u2a070","\u2a071","\u2a072","\u2a073","\u2a074","\u2a075","\u2a076","\u2a077","\u2a078","\u2a079","\u2a07a","\u2a07b","\u2a07c","\u2a07d","\u2a07e","\u2a07f","\u2a080","\u2a081","\u2a082","\u2a083","\u2a084","\u2a085","\u2a086","\u2a087","\u2a088","\u2a089","\u2a08a","\u2a08b","\u2a08c","\u2a08d","\u2a08e","\u2a08f","\u2a090","\u2a091","\u2a092","\u2a093","\u2a094","\u2a095","\u2a096","\u2a097","\u2a098","\u2a099","\u2a09a","\u2a09b","\u2a09c","\u2a09d","\u2a09e","\u2a09f","\u2a0a0","\u2a0a1","\u2a0a2","\u2a0a3","\u2a0a4","\u2a0a5","\u2a0a6","\u2a0a7","\u2a0a8","\u2a0a9","\u2a0aa","\u2a0ab","\u2a0ac","\u2a0ad","\u2a0ae","\u2a0af","\u2a0b0","\u2a0b1","\u2a0b2","\u2a0b3","\u2a0b4","\u2a0b5","\u2a0b6","\u2a0b7","\u2a0b8","\u2a0b9","\u2a0ba","\u2a0bb","\u2a0bc","\u2a0bd","\u2a0be","\u2a0bf","\u2a0c0","\u2a0c1","\u2a0c2","\u2a0c3","\u2a0c4","\u2a0c5","\u2a0c6","\u2a0c7","\u2a0c8","\u2a0c9","\u2a0ca","\u2a0cb","\u2a0cc","\u2a0cd","\u2a0ce","\u2a0cf","\u2a0d0","\u2a0d1","\u2a0d2","\u2a0d3","\u2a0d4","\u2a0d5","\u2a0d6","\u2a0d7","\u2a0d8","\u2a0d9","\u2a0da","\u2a0db","\u2a0dc","\u2a0dd","\u2a0de","\u2a0df","\u2a0e0","\u2a0e1","\u2a0e2","\u2a0e3","\u2a0e4","\u2a0e5","\u2a0e6","\u2a0e7","\u2a0e8","\u2a0e9","\u2a0ea","\u2a0eb","\u2a0ec","\u2a0ed","\u2a0ee","\u2a0ef","\u2a0f0","\u2a0f1","\u2a0f2","\u2a0f3","\u2a0f4","\u2a0f5","\u2a0f6","\u2a0f7","\u2a0f8","\u2a0f9","\u2a0fa","\u2a0fb","\u2a0fc","\u2a0fd","\u2a0fe","\u2a0ff","\u2a100","\u2a101","\u2a102","\u2a103","\u2a104","\u2a105","\u2a106","\u2a107","\u2a108","\u2a109","\u2a10a","\u2a10b","\u2a10c","\u2a10d","\u2a10e","\u2a10f","\u2a110","\u2a111","\u2a112","\u2a113","\u2a114","\u2a115","\u2a116","\u2a117","\u2a118","\u2a119","\u2a11a","\u2a11b","\u2a11c","\u2a11d","\u2a11e","\u2a11f","\u2a120","\u2a121","\u2a122","\u2a123","\u2a124","\u2a125","\u2a126","\u2a127","\u2a128","\u2a129","\u2a12a","\u2a12b","\u2a12c","\u2a12d","\u2a12e","\u2a12f","\u2a130","\u2a131","\u2a132","\u2a133","\u2a134","\u2a135","\u2a136","\u2a137","\u2a138","\u2a139","\u2a13a","\u2a13b","\u2a13c","\u2a13d","\u2a13e","\u2a13f","\u2a140","\u2a141","\u2a142","\u2a143","\u2a144","\u2a145","\u2a146","\u2a147","\u2a148","\u2a149","\u2a14a","\u2a14b","\u2a14c","\u2a14d","\u2a14e","\u2a14f","\u2a150","\u2a151","\u2a152","\u2a153","\u2a154","\u2a155","\u2a156","\u2a157","\u2a158","\u2a159","\u2a15a","\u2a15b","\u2a15c","\u2a15d","\u2a15e","\u2a15f","\u2a160","\u2a161","\u2a162","\u2a163","\u2a164","\u2a165","\u2a166","\u2a167","\u2a168","\u2a169","\u2a16a","\u2a16b","\u2a16c","\u2a16d","\u2a16e","\u2a16f","\u2a170","\u2a171","\u2a172","\u2a173","\u2a174","\u2a175","\u2a176","\u2a177","\u2a178","\u2a179","\u2a17a","\u2a17b","\u2a17c","\u2a17d","\u2a17e","\u2a17f","\u2a180","\u2a181","\u2a182","\u2a183","\u2a184","\u2a185","\u2a186","\u2a187","\u2a188","\u2a189","\u2a18a","\u2a18b","\u2a18c","\u2a18d","\u2a18e","\u2a18f","\u2a190","\u2a191","\u2a192","\u2a193","\u2a194","\u2a195","\u2a196","\u2a197","\u2a198","\u2a199","\u2a19a","\u2a19b","\u2a19c","\u2a19d","\u2a19e","\u2a19f","\u2a1a0","\u2a1a1","\u2a1a2","\u2a1a3","\u2a1a4","\u2a1a5","\u2a1a6","\u2a1a7","\u2a1a8","\u2a1a9","\u2a1aa","\u2a1ab","\u2a1ac","\u2a1ad","\u2a1ae","\u2a1af","\u2a1b0","\u2a1b1","\u2a1b2","\u2a1b3","\u2a1b4","\u2a1b5","\u2a1b6","\u2a1b7","\u2a1b8","\u2a1b9","\u2a1ba","\u2a1bb","\u2a1bc","\u2a1bd","\u2a1be","\u2a1bf","\u2a1c0","\u2a1c1","\u2a1c2","\u2a1c3","\u2a1c4","\u2a1c5","\u2a1c6","\u2a1c7","\u2a1c8","\u2a1c9","\u2a1ca","\u2a1cb","\u2a1cc","\u2a1cd","\u2a1ce","\u2a1cf","\u2a1d0","\u2a1d1","\u2a1d2","\u2a1d3","\u2a1d4","\u2a1d5","\u2a1d6","\u2a1d7","\u2a1d8","\u2a1d9","\u2a1da","\u2a1db","\u2a1dc","\u2a1dd","\u2a1de","\u2a1df","\u2a1e0","\u2a1e1","\u2a1e2","\u2a1e3","\u2a1e4","\u2a1e5","\u2a1e6","\u2a1e7","\u2a1e8","\u2a1e9","\u2a1ea","\u2a1eb","\u2a1ec","\u2a1ed","\u2a1ee","\u2a1ef","\u2a1f0","\u2a1f1","\u2a1f2","\u2a1f3","\u2a1f4","\u2a1f5","\u2a1f6","\u2a1f7","\u2a1f8","\u2a1f9","\u2a1fa","\u2a1fb","\u2a1fc","\u2a1fd","\u2a1fe","\u2a1ff","\u2a200","\u2a201","\u2a202","\u2a203","\u2a204","\u2a205","\u2a206","\u2a207","\u2a208","\u2a209","\u2a20a","\u2a20b","\u2a20c","\u2a20d","\u2a20e","\u2a20f","\u2a210","\u2a211","\u2a212","\u2a213","\u2a214","\u2a215","\u2a216","\u2a217","\u2a218","\u2a219","\u2a21a","\u2a21b","\u2a21c","\u2a21d","\u2a21e","\u2a21f","\u2a220","\u2a221","\u2a222","\u2a223","\u2a224","\u2a225","\u2a226","\u2a227","\u2a228","\u2a229","\u2a22a","\u2a22b","\u2a22c","\u2a22d","\u2a22e","\u2a22f","\u2a230","\u2a231","\u2a232","\u2a233","\u2a234","\u2a235","\u2a236","\u2a237","\u2a238","\u2a239","\u2a23a","\u2a23b","\u2a23c","\u2a23d","\u2a23e","\u2a23f","\u2a240","\u2a241","\u2a242","\u2a243","\u2a244","\u2a245","\u2a246","\u2a247","\u2a248","\u2a249","\u2a24a","\u2a24b","\u2a24c","\u2a24d","\u2a24e","\u2a24f","\u2a250","\u2a251","\u2a252","\u2a253","\u2a254","\u2a255","\u2a256","\u2a257","\u2a258","\u2a259","\u2a25a","\u2a25b","\u2a25c","\u2a25d","\u2a25e","\u2a25f","\u2a260","\u2a261","\u2a262","\u2a263","\u2a264","\u2a265","\u2a266","\u2a267","\u2a268","\u2a269","\u2a26a","\u2a26b","\u2a26c","\u2a26d","\u2a26e","\u2a26f","\u2a270","\u2a271","\u2a272","\u2a273","\u2a274","\u2a275","\u2a276","\u2a277","\u2a278","\u2a279","\u2a27a","\u2a27b","\u2a27c","\u2a27d","\u2a27e","\u2a27f","\u2a280","\u2a281","\u2a282","\u2a283","\u2a284","\u2a285","\u2a286","\u2a287","\u2a288","\u2a289","\u2a28a","\u2a28b","\u2a28c","\u2a28d","\u2a28e","\u2a28f","\u2a290","\u2a291","\u2a292","\u2a293","\u2a294","\u2a295","\u2a296","\u2a297","\u2a298","\u2a299","\u2a29a","\u2a29b","\u2a29c","\u2a29d","\u2a29e","\u2a29f","\u2a2a0","\u2a2a1","\u2a2a2","\u2a2a3","\u2a2a4","\u2a2a5","\u2a2a6","\u2a2a7","\u2a2a8","\u2a2a9","\u2a2aa","\u2a2ab","\u2a2ac","\u2a2ad","\u2a2ae","\u2a2af","\u2a2b0","\u2a2b1","\u2a2b2","\u2a2b3","\u2a2b4","\u2a2b5","\u2a2b6","\u2a2b7","\u2a2b8","\u2a2b9","\u2a2ba","\u2a2bb","\u2a2bc","\u2a2bd","\u2a2be","\u2a2bf","\u2a2c0","\u2a2c1","\u2a2c2","\u2a2c3","\u2a2c4","\u2a2c5","\u2a2c6","\u2a2c7","\u2a2c8","\u2a2c9","\u2a2ca","\u2a2cb","\u2a2cc","\u2a2cd","\u2a2ce","\u2a2cf","\u2a2d0","\u2a2d1","\u2a2d2","\u2a2d3","\u2a2d4","\u2a2d5","\u2a2d6","\u2a2d7","\u2a2d8","\u2a2d9","\u2a2da","\u2a2db","\u2a2dc","\u2a2dd","\u2a2de","\u2a2df","\u2a2e0","\u2a2e1","\u2a2e2","\u2a2e3","\u2a2e4","\u2a2e5","\u2a2e6","\u2a2e7","\u2a2e8","\u2a2e9","\u2a2ea","\u2a2eb","\u2a2ec","\u2a2ed","\u2a2ee","\u2a2ef","\u2a2f0","\u2a2f1","\u2a2f2","\u2a2f3","\u2a2f4","\u2a2f5","\u2a2f6","\u2a2f7","\u2a2f8","\u2a2f9","\u2a2fa","\u2a2fb","\u2a2fc","\u2a2fd","\u2a2fe","\u2a2ff","\u2a300","\u2a301","\u2a302","\u2a303","\u2a304","\u2a305","\u2a306","\u2a307","\u2a308","\u2a309","\u2a30a","\u2a30b","\u2a30c","\u2a30d","\u2a30e","\u2a30f","\u2a310","\u2a311","\u2a312","\u2a313","\u2a314","\u2a315","\u2a316","\u2a317","\u2a318","\u2a319","\u2a31a","\u2a31b","\u2a31c","\u2a31d","\u2a31e","\u2a31f","\u2a320","\u2a321","\u2a322","\u2a323","\u2a324","\u2a325","\u2a326","\u2a327","\u2a328","\u2a329","\u2a32a","\u2a32b","\u2a32c","\u2a32d","\u2a32e","\u2a32f","\u2a330","\u2a331","\u2a332","\u2a333","\u2a334","\u2a335","\u2a336","\u2a337","\u2a338","\u2a339","\u2a33a","\u2a33b","\u2a33c","\u2a33d","\u2a33e","\u2a33f","\u2a340","\u2a341","\u2a342","\u2a343","\u2a344","\u2a345","\u2a346","\u2a347","\u2a348","\u2a349","\u2a34a","\u2a34b","\u2a34c","\u2a34d","\u2a34e","\u2a34f","\u2a350","\u2a351","\u2a352","\u2a353","\u2a354","\u2a355","\u2a356","\u2a357","\u2a358","\u2a359","\u2a35a","\u2a35b","\u2a35c","\u2a35d","\u2a35e","\u2a35f","\u2a360","\u2a361","\u2a362","\u2a363","\u2a364","\u2a365","\u2a366","\u2a367","\u2a368","\u2a369","\u2a36a","\u2a36b","\u2a36c","\u2a36d","\u2a36e","\u2a36f","\u2a370","\u2a371","\u2a372","\u2a373","\u2a374","\u2a375","\u2a376","\u2a377","\u2a378","\u2a379","\u2a37a","\u2a37b","\u2a37c","\u2a37d","\u2a37e","\u2a37f","\u2a380","\u2a381","\u2a382","\u2a383","\u2a384","\u2a385","\u2a386","\u2a387","\u2a388","\u2a389","\u2a38a","\u2a38b","\u2a38c","\u2a38d","\u2a38e","\u2a38f","\u2a390","\u2a391","\u2a392","\u2a393","\u2a394","\u2a395","\u2a396","\u2a397","\u2a398","\u2a399","\u2a39a","\u2a39b","\u2a39c","\u2a39d","\u2a39e","\u2a39f","\u2a3a0","\u2a3a1","\u2a3a2","\u2a3a3","\u2a3a4","\u2a3a5","\u2a3a6","\u2a3a7","\u2a3a8","\u2a3a9","\u2a3aa","\u2a3ab","\u2a3ac","\u2a3ad","\u2a3ae","\u2a3af","\u2a3b0","\u2a3b1","\u2a3b2","\u2a3b3","\u2a3b4","\u2a3b5","\u2a3b6","\u2a3b7","\u2a3b8","\u2a3b9","\u2a3ba","\u2a3bb","\u2a3bc","\u2a3bd","\u2a3be","\u2a3bf","\u2a3c0","\u2a3c1","\u2a3c2","\u2a3c3","\u2a3c4","\u2a3c5","\u2a3c6","\u2a3c7","\u2a3c8","\u2a3c9","\u2a3ca","\u2a3cb","\u2a3cc","\u2a3cd","\u2a3ce","\u2a3cf","\u2a3d0","\u2a3d1","\u2a3d2","\u2a3d3","\u2a3d4","\u2a3d5","\u2a3d6","\u2a3d7","\u2a3d8","\u2a3d9","\u2a3da","\u2a3db","\u2a3dc","\u2a3dd","\u2a3de","\u2a3df","\u2a3e0","\u2a3e1","\u2a3e2","\u2a3e3","\u2a3e4","\u2a3e5","\u2a3e6","\u2a3e7","\u2a3e8","\u2a3e9","\u2a3ea","\u2a3eb","\u2a3ec","\u2a3ed","\u2a3ee","\u2a3ef","\u2a3f0","\u2a3f1","\u2a3f2","\u2a3f3","\u2a3f4","\u2a3f5","\u2a3f6","\u2a3f7","\u2a3f8","\u2a3f9","\u2a3fa","\u2a3fb","\u2a3fc","\u2a3fd","\u2a3fe","\u2a3ff","\u2a400","\u2a401","\u2a402","\u2a403","\u2a404","\u2a405","\u2a406","\u2a407","\u2a408","\u2a409","\u2a40a","\u2a40b","\u2a40c","\u2a40d","\u2a40e","\u2a40f","\u2a410","\u2a411","\u2a412","\u2a413","\u2a414","\u2a415","\u2a416","\u2a417","\u2a418","\u2a419","\u2a41a","\u2a41b","\u2a41c","\u2a41d","\u2a41e","\u2a41f","\u2a420","\u2a421","\u2a422","\u2a423","\u2a424","\u2a425","\u2a426","\u2a427","\u2a428","\u2a429","\u2a42a","\u2a42b","\u2a42c","\u2a42d","\u2a42e","\u2a42f","\u2a430","\u2a431","\u2a432","\u2a433","\u2a434","\u2a435","\u2a436","\u2a437","\u2a438","\u2a439","\u2a43a","\u2a43b","\u2a43c","\u2a43d","\u2a43e","\u2a43f","\u2a440","\u2a441","\u2a442","\u2a443","\u2a444","\u2a445","\u2a446","\u2a447","\u2a448","\u2a449","\u2a44a","\u2a44b","\u2a44c","\u2a44d","\u2a44e","\u2a44f","\u2a450","\u2a451","\u2a452","\u2a453","\u2a454","\u2a455","\u2a456","\u2a457","\u2a458","\u2a459","\u2a45a","\u2a45b","\u2a45c","\u2a45d","\u2a45e","\u2a45f","\u2a460","\u2a461","\u2a462","\u2a463","\u2a464","\u2a465","\u2a466","\u2a467","\u2a468","\u2a469","\u2a46a","\u2a46b","\u2a46c","\u2a46d","\u2a46e","\u2a46f","\u2a470","\u2a471","\u2a472","\u2a473","\u2a474","\u2a475","\u2a476","\u2a477","\u2a478","\u2a479","\u2a47a","\u2a47b","\u2a47c","\u2a47d","\u2a47e","\u2a47f","\u2a480","\u2a481","\u2a482","\u2a483","\u2a484","\u2a485","\u2a486","\u2a487","\u2a488","\u2a489","\u2a48a","\u2a48b","\u2a48c","\u2a48d","\u2a48e","\u2a48f","\u2a490","\u2a491","\u2a492","\u2a493","\u2a494","\u2a495","\u2a496","\u2a497","\u2a498","\u2a499","\u2a49a","\u2a49b","\u2a49c","\u2a49d","\u2a49e","\u2a49f","\u2a4a0","\u2a4a1","\u2a4a2","\u2a4a3","\u2a4a4","\u2a4a5","\u2a4a6","\u2a4a7","\u2a4a8","\u2a4a9","\u2a4aa","\u2a4ab","\u2a4ac","\u2a4ad","\u2a4ae","\u2a4af","\u2a4b0","\u2a4b1","\u2a4b2","\u2a4b3","\u2a4b4","\u2a4b5","\u2a4b6","\u2a4b7","\u2a4b8","\u2a4b9","\u2a4ba","\u2a4bb","\u2a4bc","\u2a4bd","\u2a4be","\u2a4bf","\u2a4c0","\u2a4c1","\u2a4c2","\u2a4c3","\u2a4c4","\u2a4c5","\u2a4c6","\u2a4c7","\u2a4c8","\u2a4c9","\u2a4ca","\u2a4cb","\u2a4cc","\u2a4cd","\u2a4ce","\u2a4cf","\u2a4d0","\u2a4d1","\u2a4d2","\u2a4d3","\u2a4d4","\u2a4d5","\u2a4d6","\u2a4d7","\u2a4d8","\u2a4d9","\u2a4da","\u2a4db","\u2a4dc","\u2a4dd","\u2a4de","\u2a4df","\u2a4e0","\u2a4e1","\u2a4e2","\u2a4e3","\u2a4e4","\u2a4e5","\u2a4e6","\u2a4e7","\u2a4e8","\u2a4e9","\u2a4ea","\u2a4eb","\u2a4ec","\u2a4ed","\u2a4ee","\u2a4ef","\u2a4f0","\u2a4f1","\u2a4f2","\u2a4f3","\u2a4f4","\u2a4f5","\u2a4f6","\u2a4f7","\u2a4f8","\u2a4f9","\u2a4fa","\u2a4fb","\u2a4fc","\u2a4fd","\u2a4fe","\u2a4ff","\u2a500","\u2a501","\u2a502","\u2a503","\u2a504","\u2a505","\u2a506","\u2a507","\u2a508","\u2a509","\u2a50a","\u2a50b","\u2a50c","\u2a50d","\u2a50e","\u2a50f","\u2a510","\u2a511","\u2a512","\u2a513","\u2a514","\u2a515","\u2a516","\u2a517","\u2a518","\u2a519","\u2a51a","\u2a51b","\u2a51c","\u2a51d","\u2a51e","\u2a51f","\u2a520","\u2a521","\u2a522","\u2a523","\u2a524","\u2a525","\u2a526","\u2a527","\u2a528","\u2a529","\u2a52a","\u2a52b","\u2a52c","\u2a52d","\u2a52e","\u2a52f","\u2a530","\u2a531","\u2a532","\u2a533","\u2a534","\u2a535","\u2a536","\u2a537","\u2a538","\u2a539","\u2a53a","\u2a53b","\u2a53c","\u2a53d","\u2a53e","\u2a53f","\u2a540","\u2a541","\u2a542","\u2a543","\u2a544","\u2a545","\u2a546","\u2a547","\u2a548","\u2a549","\u2a54a","\u2a54b","\u2a54c","\u2a54d","\u2a54e","\u2a54f","\u2a550","\u2a551","\u2a552","\u2a553","\u2a554","\u2a555","\u2a556","\u2a557","\u2a558","\u2a559","\u2a55a","\u2a55b","\u2a55c","\u2a55d","\u2a55e","\u2a55f","\u2a560","\u2a561","\u2a562","\u2a563","\u2a564","\u2a565","\u2a566","\u2a567","\u2a568","\u2a569","\u2a56a","\u2a56b","\u2a56c","\u2a56d","\u2a56e","\u2a56f","\u2a570","\u2a571","\u2a572","\u2a573","\u2a574","\u2a575","\u2a576","\u2a577","\u2a578","\u2a579","\u2a57a","\u2a57b","\u2a57c","\u2a57d","\u2a57e","\u2a57f","\u2a580","\u2a581","\u2a582","\u2a583","\u2a584","\u2a585","\u2a586","\u2a587","\u2a588","\u2a589","\u2a58a","\u2a58b","\u2a58c","\u2a58d","\u2a58e","\u2a58f","\u2a590","\u2a591","\u2a592","\u2a593","\u2a594","\u2a595","\u2a596","\u2a597","\u2a598","\u2a599","\u2a59a","\u2a59b","\u2a59c","\u2a59d","\u2a59e","\u2a59f","\u2a5a0","\u2a5a1","\u2a5a2","\u2a5a3","\u2a5a4","\u2a5a5","\u2a5a6","\u2a5a7","\u2a5a8","\u2a5a9","\u2a5aa","\u2a5ab","\u2a5ac","\u2a5ad","\u2a5ae","\u2a5af","\u2a5b0","\u2a5b1","\u2a5b2","\u2a5b3","\u2a5b4","\u2a5b5","\u2a5b6","\u2a5b7","\u2a5b8","\u2a5b9","\u2a5ba","\u2a5bb","\u2a5bc","\u2a5bd","\u2a5be","\u2a5bf","\u2a5c0","\u2a5c1","\u2a5c2","\u2a5c3","\u2a5c4","\u2a5c5","\u2a5c6","\u2a5c7","\u2a5c8","\u2a5c9","\u2a5ca","\u2a5cb","\u2a5cc","\u2a5cd","\u2a5ce","\u2a5cf","\u2a5d0","\u2a5d1","\u2a5d2","\u2a5d3","\u2a5d4","\u2a5d5","\u2a5d6","\u2a5d7","\u2a5d8","\u2a5d9","\u2a5da","\u2a5db","\u2a5dc","\u2a5dd","\u2a5de","\u2a5df","\u2a5e0","\u2a5e1","\u2a5e2","\u2a5e3","\u2a5e4","\u2a5e5","\u2a5e6","\u2a5e7","\u2a5e8","\u2a5e9","\u2a5ea","\u2a5eb","\u2a5ec","\u2a5ed","\u2a5ee","\u2a5ef","\u2a5f0","\u2a5f1","\u2a5f2","\u2a5f3","\u2a5f4","\u2a5f5","\u2a5f6","\u2a5f7","\u2a5f8","\u2a5f9","\u2a5fa","\u2a5fb","\u2a5fc","\u2a5fd","\u2a5fe","\u2a5ff","\u2a600","\u2a601","\u2a602","\u2a603","\u2a604","\u2a605","\u2a606","\u2a607","\u2a608","\u2a609","\u2a60a","\u2a60b","\u2a60c","\u2a60d","\u2a60e","\u2a60f","\u2a610","\u2a611","\u2a612","\u2a613","\u2a614","\u2a615","\u2a616","\u2a617","\u2a618","\u2a619","\u2a61a","\u2a61b","\u2a61c","\u2a61d","\u2a61e","\u2a61f","\u2a620","\u2a621","\u2a622","\u2a623","\u2a624","\u2a625","\u2a626","\u2a627","\u2a628","\u2a629","\u2a62a","\u2a62b","\u2a62c","\u2a62d","\u2a62e","\u2a62f","\u2a630","\u2a631","\u2a632","\u2a633","\u2a634","\u2a635","\u2a636","\u2a637","\u2a638","\u2a639","\u2a63a","\u2a63b","\u2a63c","\u2a63d","\u2a63e","\u2a63f","\u2a640","\u2a641","\u2a642","\u2a643","\u2a644","\u2a645","\u2a646","\u2a647","\u2a648","\u2a649","\u2a64a","\u2a64b","\u2a64c","\u2a64d","\u2a64e","\u2a64f","\u2a650","\u2a651","\u2a652","\u2a653","\u2a654","\u2a655","\u2a656","\u2a657","\u2a658","\u2a659","\u2a65a","\u2a65b","\u2a65c","\u2a65d","\u2a65e","\u2a65f","\u2a660","\u2a661","\u2a662","\u2a663","\u2a664","\u2a665","\u2a666","\u2a667","\u2a668","\u2a669","\u2a66a","\u2a66b","\u2a66c","\u2a66d","\u2a66e","\u2a66f","\u2a670","\u2a671","\u2a672","\u2a673","\u2a674","\u2a675","\u2a676","\u2a677","\u2a678","\u2a679","\u2a67a","\u2a67b","\u2a67c","\u2a67d","\u2a67e","\u2a67f","\u2a680","\u2a681","\u2a682","\u2a683","\u2a684","\u2a685","\u2a686","\u2a687","\u2a688","\u2a689","\u2a68a","\u2a68b","\u2a68c","\u2a68d","\u2a68e","\u2a68f","\u2a690","\u2a691","\u2a692","\u2a693","\u2a694","\u2a695","\u2a696","\u2a697","\u2a698","\u2a699","\u2a69a","\u2a69b","\u2a69c","\u2a69d","\u2a69e","\u2a69f","\u2a6a0","\u2a6a1","\u2a6a2","\u2a6a3","\u2a6a4","\u2a6a5","\u2a6a6","\u2a6a7","\u2a6a8","\u2a6a9","\u2a6aa","\u2a6ab","\u2a6ac","\u2a6ad","\u2a6ae","\u2a6af","\u2a6b0","\u2a6b1","\u2a6b2","\u2a6b3","\u2a6b4","\u2a6b5","\u2a6b6","\u2a6b7","\u2a6b8","\u2a6b9","\u2a6ba","\u2a6bb","\u2a6bc","\u2a6bd","\u2a6be","\u2a6bf","\u2a6c0","\u2a6c1","\u2a6c2","\u2a6c3","\u2a6c4","\u2a6c5","\u2a6c6","\u2a6c7","\u2a6c8","\u2a6c9","\u2a6ca","\u2a6cb","\u2a6cc","\u2a6cd","\u2a6ce","\u2a6cf","\u2a6d0","\u2a6d1","\u2a6d2","\u2a6d3","\u2a6d4","\u2a6d5","\u2a6d6",  # ; CJK UNIFIED IDEOGRAPH-*
        "\u2a700","\u2a701","\u2a702","\u2a703","\u2a704","\u2a705","\u2a706","\u2a707","\u2a708","\u2a709","\u2a70a","\u2a70b","\u2a70c","\u2a70d","\u2a70e","\u2a70f","\u2a710","\u2a711","\u2a712","\u2a713","\u2a714","\u2a715","\u2a716","\u2a717","\u2a718","\u2a719","\u2a71a","\u2a71b","\u2a71c","\u2a71d","\u2a71e","\u2a71f","\u2a720","\u2a721","\u2a722","\u2a723","\u2a724","\u2a725","\u2a726","\u2a727","\u2a728","\u2a729","\u2a72a","\u2a72b","\u2a72c","\u2a72d","\u2a72e","\u2a72f","\u2a730","\u2a731","\u2a732","\u2a733","\u2a734","\u2a735","\u2a736","\u2a737","\u2a738","\u2a739","\u2a73a","\u2a73b","\u2a73c","\u2a73d","\u2a73e","\u2a73f","\u2a740","\u2a741","\u2a742","\u2a743","\u2a744","\u2a745","\u2a746","\u2a747","\u2a748","\u2a749","\u2a74a","\u2a74b","\u2a74c","\u2a74d","\u2a74e","\u2a74f","\u2a750","\u2a751","\u2a752","\u2a753","\u2a754","\u2a755","\u2a756","\u2a757","\u2a758","\u2a759","\u2a75a","\u2a75b","\u2a75c","\u2a75d","\u2a75e","\u2a75f","\u2a760","\u2a761","\u2a762","\u2a763","\u2a764","\u2a765","\u2a766","\u2a767","\u2a768","\u2a769","\u2a76a","\u2a76b","\u2a76c","\u2a76d","\u2a76e","\u2a76f","\u2a770","\u2a771","\u2a772","\u2a773","\u2a774","\u2a775","\u2a776","\u2a777","\u2a778","\u2a779","\u2a77a","\u2a77b","\u2a77c","\u2a77d","\u2a77e","\u2a77f","\u2a780","\u2a781","\u2a782","\u2a783","\u2a784","\u2a785","\u2a786","\u2a787","\u2a788","\u2a789","\u2a78a","\u2a78b","\u2a78c","\u2a78d","\u2a78e","\u2a78f","\u2a790","\u2a791","\u2a792","\u2a793","\u2a794","\u2a795","\u2a796","\u2a797","\u2a798","\u2a799","\u2a79a","\u2a79b","\u2a79c","\u2a79d","\u2a79e","\u2a79f","\u2a7a0","\u2a7a1","\u2a7a2","\u2a7a3","\u2a7a4","\u2a7a5","\u2a7a6","\u2a7a7","\u2a7a8","\u2a7a9","\u2a7aa","\u2a7ab","\u2a7ac","\u2a7ad","\u2a7ae","\u2a7af","\u2a7b0","\u2a7b1","\u2a7b2","\u2a7b3","\u2a7b4","\u2a7b5","\u2a7b6","\u2a7b7","\u2a7b8","\u2a7b9","\u2a7ba","\u2a7bb","\u2a7bc","\u2a7bd","\u2a7be","\u2a7bf","\u2a7c0","\u2a7c1","\u2a7c2","\u2a7c3","\u2a7c4","\u2a7c5","\u2a7c6","\u2a7c7","\u2a7c8","\u2a7c9","\u2a7ca","\u2a7cb","\u2a7cc","\u2a7cd","\u2a7ce","\u2a7cf","\u2a7d0","\u2a7d1","\u2a7d2","\u2a7d3","\u2a7d4","\u2a7d5","\u2a7d6","\u2a7d7","\u2a7d8","\u2a7d9","\u2a7da","\u2a7db","\u2a7dc","\u2a7dd","\u2a7de","\u2a7df","\u2a7e0","\u2a7e1","\u2a7e2","\u2a7e3","\u2a7e4","\u2a7e5","\u2a7e6","\u2a7e7","\u2a7e8","\u2a7e9","\u2a7ea","\u2a7eb","\u2a7ec","\u2a7ed","\u2a7ee","\u2a7ef","\u2a7f0","\u2a7f1","\u2a7f2","\u2a7f3","\u2a7f4","\u2a7f5","\u2a7f6","\u2a7f7","\u2a7f8","\u2a7f9","\u2a7fa","\u2a7fb","\u2a7fc","\u2a7fd","\u2a7fe","\u2a7ff","\u2a800","\u2a801","\u2a802","\u2a803","\u2a804","\u2a805","\u2a806","\u2a807","\u2a808","\u2a809","\u2a80a","\u2a80b","\u2a80c","\u2a80d","\u2a80e","\u2a80f","\u2a810","\u2a811","\u2a812","\u2a813","\u2a814","\u2a815","\u2a816","\u2a817","\u2a818","\u2a819","\u2a81a","\u2a81b","\u2a81c","\u2a81d","\u2a81e","\u2a81f","\u2a820","\u2a821","\u2a822","\u2a823","\u2a824","\u2a825","\u2a826","\u2a827","\u2a828","\u2a829","\u2a82a","\u2a82b","\u2a82c","\u2a82d","\u2a82e","\u2a82f","\u2a830","\u2a831","\u2a832","\u2a833","\u2a834","\u2a835","\u2a836","\u2a837","\u2a838","\u2a839","\u2a83a","\u2a83b","\u2a83c","\u2a83d","\u2a83e","\u2a83f","\u2a840","\u2a841","\u2a842","\u2a843","\u2a844","\u2a845","\u2a846","\u2a847","\u2a848","\u2a849","\u2a84a","\u2a84b","\u2a84c","\u2a84d","\u2a84e","\u2a84f","\u2a850","\u2a851","\u2a852","\u2a853","\u2a854","\u2a855","\u2a856","\u2a857","\u2a858","\u2a859","\u2a85a","\u2a85b","\u2a85c","\u2a85d","\u2a85e","\u2a85f","\u2a860","\u2a861","\u2a862","\u2a863","\u2a864","\u2a865","\u2a866","\u2a867","\u2a868","\u2a869","\u2a86a","\u2a86b","\u2a86c","\u2a86d","\u2a86e","\u2a86f","\u2a870","\u2a871","\u2a872","\u2a873","\u2a874","\u2a875","\u2a876","\u2a877","\u2a878","\u2a879","\u2a87a","\u2a87b","\u2a87c","\u2a87d","\u2a87e","\u2a87f","\u2a880","\u2a881","\u2a882","\u2a883","\u2a884","\u2a885","\u2a886","\u2a887","\u2a888","\u2a889","\u2a88a","\u2a88b","\u2a88c","\u2a88d","\u2a88e","\u2a88f","\u2a890","\u2a891","\u2a892","\u2a893","\u2a894","\u2a895","\u2a896","\u2a897","\u2a898","\u2a899","\u2a89a","\u2a89b","\u2a89c","\u2a89d","\u2a89e","\u2a89f","\u2a8a0","\u2a8a1","\u2a8a2","\u2a8a3","\u2a8a4","\u2a8a5","\u2a8a6","\u2a8a7","\u2a8a8","\u2a8a9","\u2a8aa","\u2a8ab","\u2a8ac","\u2a8ad","\u2a8ae","\u2a8af","\u2a8b0","\u2a8b1","\u2a8b2","\u2a8b3","\u2a8b4","\u2a8b5","\u2a8b6","\u2a8b7","\u2a8b8","\u2a8b9","\u2a8ba","\u2a8bb","\u2a8bc","\u2a8bd","\u2a8be","\u2a8bf","\u2a8c0","\u2a8c1","\u2a8c2","\u2a8c3","\u2a8c4","\u2a8c5","\u2a8c6","\u2a8c7","\u2a8c8","\u2a8c9","\u2a8ca","\u2a8cb","\u2a8cc","\u2a8cd","\u2a8ce","\u2a8cf","\u2a8d0","\u2a8d1","\u2a8d2","\u2a8d3","\u2a8d4","\u2a8d5","\u2a8d6","\u2a8d7","\u2a8d8","\u2a8d9","\u2a8da","\u2a8db","\u2a8dc","\u2a8dd","\u2a8de","\u2a8df","\u2a8e0","\u2a8e1","\u2a8e2","\u2a8e3","\u2a8e4","\u2a8e5","\u2a8e6","\u2a8e7","\u2a8e8","\u2a8e9","\u2a8ea","\u2a8eb","\u2a8ec","\u2a8ed","\u2a8ee","\u2a8ef","\u2a8f0","\u2a8f1","\u2a8f2","\u2a8f3","\u2a8f4","\u2a8f5","\u2a8f6","\u2a8f7","\u2a8f8","\u2a8f9","\u2a8fa","\u2a8fb","\u2a8fc","\u2a8fd","\u2a8fe","\u2a8ff","\u2a900","\u2a901","\u2a902","\u2a903","\u2a904","\u2a905","\u2a906","\u2a907","\u2a908","\u2a909","\u2a90a","\u2a90b","\u2a90c","\u2a90d","\u2a90e","\u2a90f","\u2a910","\u2a911","\u2a912","\u2a913","\u2a914","\u2a915","\u2a916","\u2a917","\u2a918","\u2a919","\u2a91a","\u2a91b","\u2a91c","\u2a91d","\u2a91e","\u2a91f","\u2a920","\u2a921","\u2a922","\u2a923","\u2a924","\u2a925","\u2a926","\u2a927","\u2a928","\u2a929","\u2a92a","\u2a92b","\u2a92c","\u2a92d","\u2a92e","\u2a92f","\u2a930","\u2a931","\u2a932","\u2a933","\u2a934","\u2a935","\u2a936","\u2a937","\u2a938","\u2a939","\u2a93a","\u2a93b","\u2a93c","\u2a93d","\u2a93e","\u2a93f","\u2a940","\u2a941","\u2a942","\u2a943","\u2a944","\u2a945","\u2a946","\u2a947","\u2a948","\u2a949","\u2a94a","\u2a94b","\u2a94c","\u2a94d","\u2a94e","\u2a94f","\u2a950","\u2a951","\u2a952","\u2a953","\u2a954","\u2a955","\u2a956","\u2a957","\u2a958","\u2a959","\u2a95a","\u2a95b","\u2a95c","\u2a95d","\u2a95e","\u2a95f","\u2a960","\u2a961","\u2a962","\u2a963","\u2a964","\u2a965","\u2a966","\u2a967","\u2a968","\u2a969","\u2a96a","\u2a96b","\u2a96c","\u2a96d","\u2a96e","\u2a96f","\u2a970","\u2a971","\u2a972","\u2a973","\u2a974","\u2a975","\u2a976","\u2a977","\u2a978","\u2a979","\u2a97a","\u2a97b","\u2a97c","\u2a97d","\u2a97e","\u2a97f","\u2a980","\u2a981","\u2a982","\u2a983","\u2a984","\u2a985","\u2a986","\u2a987","\u2a988","\u2a989","\u2a98a","\u2a98b","\u2a98c","\u2a98d","\u2a98e","\u2a98f","\u2a990","\u2a991","\u2a992","\u2a993","\u2a994","\u2a995","\u2a996","\u2a997","\u2a998","\u2a999","\u2a99a","\u2a99b","\u2a99c","\u2a99d","\u2a99e","\u2a99f","\u2a9a0","\u2a9a1","\u2a9a2","\u2a9a3","\u2a9a4","\u2a9a5","\u2a9a6","\u2a9a7","\u2a9a8","\u2a9a9","\u2a9aa","\u2a9ab","\u2a9ac","\u2a9ad","\u2a9ae","\u2a9af","\u2a9b0","\u2a9b1","\u2a9b2","\u2a9b3","\u2a9b4","\u2a9b5","\u2a9b6","\u2a9b7","\u2a9b8","\u2a9b9","\u2a9ba","\u2a9bb","\u2a9bc","\u2a9bd","\u2a9be","\u2a9bf","\u2a9c0","\u2a9c1","\u2a9c2","\u2a9c3","\u2a9c4","\u2a9c5","\u2a9c6","\u2a9c7","\u2a9c8","\u2a9c9","\u2a9ca","\u2a9cb","\u2a9cc","\u2a9cd","\u2a9ce","\u2a9cf","\u2a9d0","\u2a9d1","\u2a9d2","\u2a9d3","\u2a9d4","\u2a9d5","\u2a9d6","\u2a9d7","\u2a9d8","\u2a9d9","\u2a9da","\u2a9db","\u2a9dc","\u2a9dd","\u2a9de","\u2a9df","\u2a9e0","\u2a9e1","\u2a9e2","\u2a9e3","\u2a9e4","\u2a9e5","\u2a9e6","\u2a9e7","\u2a9e8","\u2a9e9","\u2a9ea","\u2a9eb","\u2a9ec","\u2a9ed","\u2a9ee","\u2a9ef","\u2a9f0","\u2a9f1","\u2a9f2","\u2a9f3","\u2a9f4","\u2a9f5","\u2a9f6","\u2a9f7","\u2a9f8","\u2a9f9","\u2a9fa","\u2a9fb","\u2a9fc","\u2a9fd","\u2a9fe","\u2a9ff","\u2aa00","\u2aa01","\u2aa02","\u2aa03","\u2aa04","\u2aa05","\u2aa06","\u2aa07","\u2aa08","\u2aa09","\u2aa0a","\u2aa0b","\u2aa0c","\u2aa0d","\u2aa0e","\u2aa0f","\u2aa10","\u2aa11","\u2aa12","\u2aa13","\u2aa14","\u2aa15","\u2aa16","\u2aa17","\u2aa18","\u2aa19","\u2aa1a","\u2aa1b","\u2aa1c","\u2aa1d","\u2aa1e","\u2aa1f","\u2aa20","\u2aa21","\u2aa22","\u2aa23","\u2aa24","\u2aa25","\u2aa26","\u2aa27","\u2aa28","\u2aa29","\u2aa2a","\u2aa2b","\u2aa2c","\u2aa2d","\u2aa2e","\u2aa2f","\u2aa30","\u2aa31","\u2aa32","\u2aa33","\u2aa34","\u2aa35","\u2aa36","\u2aa37","\u2aa38","\u2aa39","\u2aa3a","\u2aa3b","\u2aa3c","\u2aa3d","\u2aa3e","\u2aa3f","\u2aa40","\u2aa41","\u2aa42","\u2aa43","\u2aa44","\u2aa45","\u2aa46","\u2aa47","\u2aa48","\u2aa49","\u2aa4a","\u2aa4b","\u2aa4c","\u2aa4d","\u2aa4e","\u2aa4f","\u2aa50","\u2aa51","\u2aa52","\u2aa53","\u2aa54","\u2aa55","\u2aa56","\u2aa57","\u2aa58","\u2aa59","\u2aa5a","\u2aa5b","\u2aa5c","\u2aa5d","\u2aa5e","\u2aa5f","\u2aa60","\u2aa61","\u2aa62","\u2aa63","\u2aa64","\u2aa65","\u2aa66","\u2aa67","\u2aa68","\u2aa69","\u2aa6a","\u2aa6b","\u2aa6c","\u2aa6d","\u2aa6e","\u2aa6f","\u2aa70","\u2aa71","\u2aa72","\u2aa73","\u2aa74","\u2aa75","\u2aa76","\u2aa77","\u2aa78","\u2aa79","\u2aa7a","\u2aa7b","\u2aa7c","\u2aa7d","\u2aa7e","\u2aa7f","\u2aa80","\u2aa81","\u2aa82","\u2aa83","\u2aa84","\u2aa85","\u2aa86","\u2aa87","\u2aa88","\u2aa89","\u2aa8a","\u2aa8b","\u2aa8c","\u2aa8d","\u2aa8e","\u2aa8f","\u2aa90","\u2aa91","\u2aa92","\u2aa93","\u2aa94","\u2aa95","\u2aa96","\u2aa97","\u2aa98","\u2aa99","\u2aa9a","\u2aa9b","\u2aa9c","\u2aa9d","\u2aa9e","\u2aa9f","\u2aaa0","\u2aaa1","\u2aaa2","\u2aaa3","\u2aaa4","\u2aaa5","\u2aaa6","\u2aaa7","\u2aaa8","\u2aaa9","\u2aaaa","\u2aaab","\u2aaac","\u2aaad","\u2aaae","\u2aaaf","\u2aab0","\u2aab1","\u2aab2","\u2aab3","\u2aab4","\u2aab5","\u2aab6","\u2aab7","\u2aab8","\u2aab9","\u2aaba","\u2aabb","\u2aabc","\u2aabd","\u2aabe","\u2aabf","\u2aac0","\u2aac1","\u2aac2","\u2aac3","\u2aac4","\u2aac5","\u2aac6","\u2aac7","\u2aac8","\u2aac9","\u2aaca","\u2aacb","\u2aacc","\u2aacd","\u2aace","\u2aacf","\u2aad0","\u2aad1","\u2aad2","\u2aad3","\u2aad4","\u2aad5","\u2aad6","\u2aad7","\u2aad8","\u2aad9","\u2aada","\u2aadb","\u2aadc","\u2aadd","\u2aade","\u2aadf","\u2aae0","\u2aae1","\u2aae2","\u2aae3","\u2aae4","\u2aae5","\u2aae6","\u2aae7","\u2aae8","\u2aae9","\u2aaea","\u2aaeb","\u2aaec","\u2aaed","\u2aaee","\u2aaef","\u2aaf0","\u2aaf1","\u2aaf2","\u2aaf3","\u2aaf4","\u2aaf5","\u2aaf6","\u2aaf7","\u2aaf8","\u2aaf9","\u2aafa","\u2aafb","\u2aafc","\u2aafd","\u2aafe","\u2aaff","\u2ab00","\u2ab01","\u2ab02","\u2ab03","\u2ab04","\u2ab05","\u2ab06","\u2ab07","\u2ab08","\u2ab09","\u2ab0a","\u2ab0b","\u2ab0c","\u2ab0d","\u2ab0e","\u2ab0f","\u2ab10","\u2ab11","\u2ab12","\u2ab13","\u2ab14","\u2ab15","\u2ab16","\u2ab17","\u2ab18","\u2ab19","\u2ab1a","\u2ab1b","\u2ab1c","\u2ab1d","\u2ab1e","\u2ab1f","\u2ab20","\u2ab21","\u2ab22","\u2ab23","\u2ab24","\u2ab25","\u2ab26","\u2ab27","\u2ab28","\u2ab29","\u2ab2a","\u2ab2b","\u2ab2c","\u2ab2d","\u2ab2e","\u2ab2f","\u2ab30","\u2ab31","\u2ab32","\u2ab33","\u2ab34","\u2ab35","\u2ab36","\u2ab37","\u2ab38","\u2ab39","\u2ab3a","\u2ab3b","\u2ab3c","\u2ab3d","\u2ab3e","\u2ab3f","\u2ab40","\u2ab41","\u2ab42","\u2ab43","\u2ab44","\u2ab45","\u2ab46","\u2ab47","\u2ab48","\u2ab49","\u2ab4a","\u2ab4b","\u2ab4c","\u2ab4d","\u2ab4e","\u2ab4f","\u2ab50","\u2ab51","\u2ab52","\u2ab53","\u2ab54","\u2ab55","\u2ab56","\u2ab57","\u2ab58","\u2ab59","\u2ab5a","\u2ab5b","\u2ab5c","\u2ab5d","\u2ab5e","\u2ab5f","\u2ab60","\u2ab61","\u2ab62","\u2ab63","\u2ab64","\u2ab65","\u2ab66","\u2ab67","\u2ab68","\u2ab69","\u2ab6a","\u2ab6b","\u2ab6c","\u2ab6d","\u2ab6e","\u2ab6f","\u2ab70","\u2ab71","\u2ab72","\u2ab73","\u2ab74","\u2ab75","\u2ab76","\u2ab77","\u2ab78","\u2ab79","\u2ab7a","\u2ab7b","\u2ab7c","\u2ab7d","\u2ab7e","\u2ab7f","\u2ab80","\u2ab81","\u2ab82","\u2ab83","\u2ab84","\u2ab85","\u2ab86","\u2ab87","\u2ab88","\u2ab89","\u2ab8a","\u2ab8b","\u2ab8c","\u2ab8d","\u2ab8e","\u2ab8f","\u2ab90","\u2ab91","\u2ab92","\u2ab93","\u2ab94","\u2ab95","\u2ab96","\u2ab97","\u2ab98","\u2ab99","\u2ab9a","\u2ab9b","\u2ab9c","\u2ab9d","\u2ab9e","\u2ab9f","\u2aba0","\u2aba1","\u2aba2","\u2aba3","\u2aba4","\u2aba5","\u2aba6","\u2aba7","\u2aba8","\u2aba9","\u2abaa","\u2abab","\u2abac","\u2abad","\u2abae","\u2abaf","\u2abb0","\u2abb1","\u2abb2","\u2abb3","\u2abb4","\u2abb5","\u2abb6","\u2abb7","\u2abb8","\u2abb9","\u2abba","\u2abbb","\u2abbc","\u2abbd","\u2abbe","\u2abbf","\u2abc0","\u2abc1","\u2abc2","\u2abc3","\u2abc4","\u2abc5","\u2abc6","\u2abc7","\u2abc8","\u2abc9","\u2abca","\u2abcb","\u2abcc","\u2abcd","\u2abce","\u2abcf","\u2abd0","\u2abd1","\u2abd2","\u2abd3","\u2abd4","\u2abd5","\u2abd6","\u2abd7","\u2abd8","\u2abd9","\u2abda","\u2abdb","\u2abdc","\u2abdd","\u2abde","\u2abdf","\u2abe0","\u2abe1","\u2abe2","\u2abe3","\u2abe4","\u2abe5","\u2abe6","\u2abe7","\u2abe8","\u2abe9","\u2abea","\u2abeb","\u2abec","\u2abed","\u2abee","\u2abef","\u2abf0","\u2abf1","\u2abf2","\u2abf3","\u2abf4","\u2abf5","\u2abf6","\u2abf7","\u2abf8","\u2abf9","\u2abfa","\u2abfb","\u2abfc","\u2abfd","\u2abfe","\u2abff","\u2ac00","\u2ac01","\u2ac02","\u2ac03","\u2ac04","\u2ac05","\u2ac06","\u2ac07","\u2ac08","\u2ac09","\u2ac0a","\u2ac0b","\u2ac0c","\u2ac0d","\u2ac0e","\u2ac0f","\u2ac10","\u2ac11","\u2ac12","\u2ac13","\u2ac14","\u2ac15","\u2ac16","\u2ac17","\u2ac18","\u2ac19","\u2ac1a","\u2ac1b","\u2ac1c","\u2ac1d","\u2ac1e","\u2ac1f","\u2ac20","\u2ac21","\u2ac22","\u2ac23","\u2ac24","\u2ac25","\u2ac26","\u2ac27","\u2ac28","\u2ac29","\u2ac2a","\u2ac2b","\u2ac2c","\u2ac2d","\u2ac2e","\u2ac2f","\u2ac30","\u2ac31","\u2ac32","\u2ac33","\u2ac34","\u2ac35","\u2ac36","\u2ac37","\u2ac38","\u2ac39","\u2ac3a","\u2ac3b","\u2ac3c","\u2ac3d","\u2ac3e","\u2ac3f","\u2ac40","\u2ac41","\u2ac42","\u2ac43","\u2ac44","\u2ac45","\u2ac46","\u2ac47","\u2ac48","\u2ac49","\u2ac4a","\u2ac4b","\u2ac4c","\u2ac4d","\u2ac4e","\u2ac4f","\u2ac50","\u2ac51","\u2ac52","\u2ac53","\u2ac54","\u2ac55","\u2ac56","\u2ac57","\u2ac58","\u2ac59","\u2ac5a","\u2ac5b","\u2ac5c","\u2ac5d","\u2ac5e","\u2ac5f","\u2ac60","\u2ac61","\u2ac62","\u2ac63","\u2ac64","\u2ac65","\u2ac66","\u2ac67","\u2ac68","\u2ac69","\u2ac6a","\u2ac6b","\u2ac6c","\u2ac6d","\u2ac6e","\u2ac6f","\u2ac70","\u2ac71","\u2ac72","\u2ac73","\u2ac74","\u2ac75","\u2ac76","\u2ac77","\u2ac78","\u2ac79","\u2ac7a","\u2ac7b","\u2ac7c","\u2ac7d","\u2ac7e","\u2ac7f","\u2ac80","\u2ac81","\u2ac82","\u2ac83","\u2ac84","\u2ac85","\u2ac86","\u2ac87","\u2ac88","\u2ac89","\u2ac8a","\u2ac8b","\u2ac8c","\u2ac8d","\u2ac8e","\u2ac8f","\u2ac90","\u2ac91","\u2ac92","\u2ac93","\u2ac94","\u2ac95","\u2ac96","\u2ac97","\u2ac98","\u2ac99","\u2ac9a","\u2ac9b","\u2ac9c","\u2ac9d","\u2ac9e","\u2ac9f","\u2aca0","\u2aca1","\u2aca2","\u2aca3","\u2aca4","\u2aca5","\u2aca6","\u2aca7","\u2aca8","\u2aca9","\u2acaa","\u2acab","\u2acac","\u2acad","\u2acae","\u2acaf","\u2acb0","\u2acb1","\u2acb2","\u2acb3","\u2acb4","\u2acb5","\u2acb6","\u2acb7","\u2acb8","\u2acb9","\u2acba","\u2acbb","\u2acbc","\u2acbd","\u2acbe","\u2acbf","\u2acc0","\u2acc1","\u2acc2","\u2acc3","\u2acc4","\u2acc5","\u2acc6","\u2acc7","\u2acc8","\u2acc9","\u2acca","\u2accb","\u2accc","\u2accd","\u2acce","\u2accf","\u2acd0","\u2acd1","\u2acd2","\u2acd3","\u2acd4","\u2acd5","\u2acd6","\u2acd7","\u2acd8","\u2acd9","\u2acda","\u2acdb","\u2acdc","\u2acdd","\u2acde","\u2acdf","\u2ace0","\u2ace1","\u2ace2","\u2ace3","\u2ace4","\u2ace5","\u2ace6","\u2ace7","\u2ace8","\u2ace9","\u2acea","\u2aceb","\u2acec","\u2aced","\u2acee","\u2acef","\u2acf0","\u2acf1","\u2acf2","\u2acf3","\u2acf4","\u2acf5","\u2acf6","\u2acf7","\u2acf8","\u2acf9","\u2acfa","\u2acfb","\u2acfc","\u2acfd","\u2acfe","\u2acff","\u2ad00","\u2ad01","\u2ad02","\u2ad03","\u2ad04","\u2ad05","\u2ad06","\u2ad07","\u2ad08","\u2ad09","\u2ad0a","\u2ad0b","\u2ad0c","\u2ad0d","\u2ad0e","\u2ad0f","\u2ad10","\u2ad11","\u2ad12","\u2ad13","\u2ad14","\u2ad15","\u2ad16","\u2ad17","\u2ad18","\u2ad19","\u2ad1a","\u2ad1b","\u2ad1c","\u2ad1d","\u2ad1e","\u2ad1f","\u2ad20","\u2ad21","\u2ad22","\u2ad23","\u2ad24","\u2ad25","\u2ad26","\u2ad27","\u2ad28","\u2ad29","\u2ad2a","\u2ad2b","\u2ad2c","\u2ad2d","\u2ad2e","\u2ad2f","\u2ad30","\u2ad31","\u2ad32","\u2ad33","\u2ad34","\u2ad35","\u2ad36","\u2ad37","\u2ad38","\u2ad39","\u2ad3a","\u2ad3b","\u2ad3c","\u2ad3d","\u2ad3e","\u2ad3f","\u2ad40","\u2ad41","\u2ad42","\u2ad43","\u2ad44","\u2ad45","\u2ad46","\u2ad47","\u2ad48","\u2ad49","\u2ad4a","\u2ad4b","\u2ad4c","\u2ad4d","\u2ad4e","\u2ad4f","\u2ad50","\u2ad51","\u2ad52","\u2ad53","\u2ad54","\u2ad55","\u2ad56","\u2ad57","\u2ad58","\u2ad59","\u2ad5a","\u2ad5b","\u2ad5c","\u2ad5d","\u2ad5e","\u2ad5f","\u2ad60","\u2ad61","\u2ad62","\u2ad63","\u2ad64","\u2ad65","\u2ad66","\u2ad67","\u2ad68","\u2ad69","\u2ad6a","\u2ad6b","\u2ad6c","\u2ad6d","\u2ad6e","\u2ad6f","\u2ad70","\u2ad71","\u2ad72","\u2ad73","\u2ad74","\u2ad75","\u2ad76","\u2ad77","\u2ad78","\u2ad79","\u2ad7a","\u2ad7b","\u2ad7c","\u2ad7d","\u2ad7e","\u2ad7f","\u2ad80","\u2ad81","\u2ad82","\u2ad83","\u2ad84","\u2ad85","\u2ad86","\u2ad87","\u2ad88","\u2ad89","\u2ad8a","\u2ad8b","\u2ad8c","\u2ad8d","\u2ad8e","\u2ad8f","\u2ad90","\u2ad91","\u2ad92","\u2ad93","\u2ad94","\u2ad95","\u2ad96","\u2ad97","\u2ad98","\u2ad99","\u2ad9a","\u2ad9b","\u2ad9c","\u2ad9d","\u2ad9e","\u2ad9f","\u2ada0","\u2ada1","\u2ada2","\u2ada3","\u2ada4","\u2ada5","\u2ada6","\u2ada7","\u2ada8","\u2ada9","\u2adaa","\u2adab","\u2adac","\u2adad","\u2adae","\u2adaf","\u2adb0","\u2adb1","\u2adb2","\u2adb3","\u2adb4","\u2adb5","\u2adb6","\u2adb7","\u2adb8","\u2adb9","\u2adba","\u2adbb","\u2adbc","\u2adbd","\u2adbe","\u2adbf","\u2adc0","\u2adc1","\u2adc2","\u2adc3","\u2adc4","\u2adc5","\u2adc6","\u2adc7","\u2adc8","\u2adc9","\u2adca","\u2adcb","\u2adcc","\u2adcd","\u2adce","\u2adcf","\u2add0","\u2add1","\u2add2","\u2add3","\u2add4","\u2add5","\u2add6","\u2add7","\u2add8","\u2add9","\u2adda","\u2addb","\u2addc","\u2addd","\u2adde","\u2addf","\u2ade0","\u2ade1","\u2ade2","\u2ade3","\u2ade4","\u2ade5","\u2ade6","\u2ade7","\u2ade8","\u2ade9","\u2adea","\u2adeb","\u2adec","\u2aded","\u2adee","\u2adef","\u2adf0","\u2adf1","\u2adf2","\u2adf3","\u2adf4","\u2adf5","\u2adf6","\u2adf7","\u2adf8","\u2adf9","\u2adfa","\u2adfb","\u2adfc","\u2adfd","\u2adfe","\u2adff","\u2ae00","\u2ae01","\u2ae02","\u2ae03","\u2ae04","\u2ae05","\u2ae06","\u2ae07","\u2ae08","\u2ae09","\u2ae0a","\u2ae0b","\u2ae0c","\u2ae0d","\u2ae0e","\u2ae0f","\u2ae10","\u2ae11","\u2ae12","\u2ae13","\u2ae14","\u2ae15","\u2ae16","\u2ae17","\u2ae18","\u2ae19","\u2ae1a","\u2ae1b","\u2ae1c","\u2ae1d","\u2ae1e","\u2ae1f","\u2ae20","\u2ae21","\u2ae22","\u2ae23","\u2ae24","\u2ae25","\u2ae26","\u2ae27","\u2ae28","\u2ae29","\u2ae2a","\u2ae2b","\u2ae2c","\u2ae2d","\u2ae2e","\u2ae2f","\u2ae30","\u2ae31","\u2ae32","\u2ae33","\u2ae34","\u2ae35","\u2ae36","\u2ae37","\u2ae38","\u2ae39","\u2ae3a","\u2ae3b","\u2ae3c","\u2ae3d","\u2ae3e","\u2ae3f","\u2ae40","\u2ae41","\u2ae42","\u2ae43","\u2ae44","\u2ae45","\u2ae46","\u2ae47","\u2ae48","\u2ae49","\u2ae4a","\u2ae4b","\u2ae4c","\u2ae4d","\u2ae4e","\u2ae4f","\u2ae50","\u2ae51","\u2ae52","\u2ae53","\u2ae54","\u2ae55","\u2ae56","\u2ae57","\u2ae58","\u2ae59","\u2ae5a","\u2ae5b","\u2ae5c","\u2ae5d","\u2ae5e","\u2ae5f","\u2ae60","\u2ae61","\u2ae62","\u2ae63","\u2ae64","\u2ae65","\u2ae66","\u2ae67","\u2ae68","\u2ae69","\u2ae6a","\u2ae6b","\u2ae6c","\u2ae6d","\u2ae6e","\u2ae6f","\u2ae70","\u2ae71","\u2ae72","\u2ae73","\u2ae74","\u2ae75","\u2ae76","\u2ae77","\u2ae78","\u2ae79","\u2ae7a","\u2ae7b","\u2ae7c","\u2ae7d","\u2ae7e","\u2ae7f","\u2ae80","\u2ae81","\u2ae82","\u2ae83","\u2ae84","\u2ae85","\u2ae86","\u2ae87","\u2ae88","\u2ae89","\u2ae8a","\u2ae8b","\u2ae8c","\u2ae8d","\u2ae8e","\u2ae8f","\u2ae90","\u2ae91","\u2ae92","\u2ae93","\u2ae94","\u2ae95","\u2ae96","\u2ae97","\u2ae98","\u2ae99","\u2ae9a","\u2ae9b","\u2ae9c","\u2ae9d","\u2ae9e","\u2ae9f","\u2aea0","\u2aea1","\u2aea2","\u2aea3","\u2aea4","\u2aea5","\u2aea6","\u2aea7","\u2aea8","\u2aea9","\u2aeaa","\u2aeab","\u2aeac","\u2aead","\u2aeae","\u2aeaf","\u2aeb0","\u2aeb1","\u2aeb2","\u2aeb3","\u2aeb4","\u2aeb5","\u2aeb6","\u2aeb7","\u2aeb8","\u2aeb9","\u2aeba","\u2aebb","\u2aebc","\u2aebd","\u2aebe","\u2aebf","\u2aec0","\u2aec1","\u2aec2","\u2aec3","\u2aec4","\u2aec5","\u2aec6","\u2aec7","\u2aec8","\u2aec9","\u2aeca","\u2aecb","\u2aecc","\u2aecd","\u2aece","\u2aecf","\u2aed0","\u2aed1","\u2aed2","\u2aed3","\u2aed4","\u2aed5","\u2aed6","\u2aed7","\u2aed8","\u2aed9","\u2aeda","\u2aedb","\u2aedc","\u2aedd","\u2aede","\u2aedf","\u2aee0","\u2aee1","\u2aee2","\u2aee3","\u2aee4","\u2aee5","\u2aee6","\u2aee7","\u2aee8","\u2aee9","\u2aeea","\u2aeeb","\u2aeec","\u2aeed","\u2aeee","\u2aeef","\u2aef0","\u2aef1","\u2aef2","\u2aef3","\u2aef4","\u2aef5","\u2aef6","\u2aef7","\u2aef8","\u2aef9","\u2aefa","\u2aefb","\u2aefc","\u2aefd","\u2aefe","\u2aeff","\u2af00","\u2af01","\u2af02","\u2af03","\u2af04","\u2af05","\u2af06","\u2af07","\u2af08","\u2af09","\u2af0a","\u2af0b","\u2af0c","\u2af0d","\u2af0e","\u2af0f","\u2af10","\u2af11","\u2af12","\u2af13","\u2af14","\u2af15","\u2af16","\u2af17","\u2af18","\u2af19","\u2af1a","\u2af1b","\u2af1c","\u2af1d","\u2af1e","\u2af1f","\u2af20","\u2af21","\u2af22","\u2af23","\u2af24","\u2af25","\u2af26","\u2af27","\u2af28","\u2af29","\u2af2a","\u2af2b","\u2af2c","\u2af2d","\u2af2e","\u2af2f","\u2af30","\u2af31","\u2af32","\u2af33","\u2af34","\u2af35","\u2af36","\u2af37","\u2af38","\u2af39","\u2af3a","\u2af3b","\u2af3c","\u2af3d","\u2af3e","\u2af3f","\u2af40","\u2af41","\u2af42","\u2af43","\u2af44","\u2af45","\u2af46","\u2af47","\u2af48","\u2af49","\u2af4a","\u2af4b","\u2af4c","\u2af4d","\u2af4e","\u2af4f","\u2af50","\u2af51","\u2af52","\u2af53","\u2af54","\u2af55","\u2af56","\u2af57","\u2af58","\u2af59","\u2af5a","\u2af5b","\u2af5c","\u2af5d","\u2af5e","\u2af5f","\u2af60","\u2af61","\u2af62","\u2af63","\u2af64","\u2af65","\u2af66","\u2af67","\u2af68","\u2af69","\u2af6a","\u2af6b","\u2af6c","\u2af6d","\u2af6e","\u2af6f","\u2af70","\u2af71","\u2af72","\u2af73","\u2af74","\u2af75","\u2af76","\u2af77","\u2af78","\u2af79","\u2af7a","\u2af7b","\u2af7c","\u2af7d","\u2af7e","\u2af7f","\u2af80","\u2af81","\u2af82","\u2af83","\u2af84","\u2af85","\u2af86","\u2af87","\u2af88","\u2af89","\u2af8a","\u2af8b","\u2af8c","\u2af8d","\u2af8e","\u2af8f","\u2af90","\u2af91","\u2af92","\u2af93","\u2af94","\u2af95","\u2af96","\u2af97","\u2af98","\u2af99","\u2af9a","\u2af9b","\u2af9c","\u2af9d","\u2af9e","\u2af9f","\u2afa0","\u2afa1","\u2afa2","\u2afa3","\u2afa4","\u2afa5","\u2afa6","\u2afa7","\u2afa8","\u2afa9","\u2afaa","\u2afab","\u2afac","\u2afad","\u2afae","\u2afaf","\u2afb0","\u2afb1","\u2afb2","\u2afb3","\u2afb4","\u2afb5","\u2afb6","\u2afb7","\u2afb8","\u2afb9","\u2afba","\u2afbb","\u2afbc","\u2afbd","\u2afbe","\u2afbf","\u2afc0","\u2afc1","\u2afc2","\u2afc3","\u2afc4","\u2afc5","\u2afc6","\u2afc7","\u2afc8","\u2afc9","\u2afca","\u2afcb","\u2afcc","\u2afcd","\u2afce","\u2afcf","\u2afd0","\u2afd1","\u2afd2","\u2afd3","\u2afd4","\u2afd5","\u2afd6","\u2afd7","\u2afd8","\u2afd9","\u2afda","\u2afdb","\u2afdc","\u2afdd","\u2afde","\u2afdf","\u2afe0","\u2afe1","\u2afe2","\u2afe3","\u2afe4","\u2afe5","\u2afe6","\u2afe7","\u2afe8","\u2afe9","\u2afea","\u2afeb","\u2afec","\u2afed","\u2afee","\u2afef","\u2aff0","\u2aff1","\u2aff2","\u2aff3","\u2aff4","\u2aff5","\u2aff6","\u2aff7","\u2aff8","\u2aff9","\u2affa","\u2affb","\u2affc","\u2affd","\u2affe","\u2afff","\u2b000","\u2b001","\u2b002","\u2b003","\u2b004","\u2b005","\u2b006","\u2b007","\u2b008","\u2b009","\u2b00a","\u2b00b","\u2b00c","\u2b00d","\u2b00e","\u2b00f","\u2b010","\u2b011","\u2b012","\u2b013","\u2b014","\u2b015","\u2b016","\u2b017","\u2b018","\u2b019","\u2b01a","\u2b01b","\u2b01c","\u2b01d","\u2b01e","\u2b01f","\u2b020","\u2b021","\u2b022","\u2b023","\u2b024","\u2b025","\u2b026","\u2b027","\u2b028","\u2b029","\u2b02a","\u2b02b","\u2b02c","\u2b02d","\u2b02e","\u2b02f","\u2b030","\u2b031","\u2b032","\u2b033","\u2b034","\u2b035","\u2b036","\u2b037","\u2b038","\u2b039","\u2b03a","\u2b03b","\u2b03c","\u2b03d","\u2b03e","\u2b03f","\u2b040","\u2b041","\u2b042","\u2b043","\u2b044","\u2b045","\u2b046","\u2b047","\u2b048","\u2b049","\u2b04a","\u2b04b","\u2b04c","\u2b04d","\u2b04e","\u2b04f","\u2b050","\u2b051","\u2b052","\u2b053","\u2b054","\u2b055","\u2b056","\u2b057","\u2b058","\u2b059","\u2b05a","\u2b05b","\u2b05c","\u2b05d","\u2b05e","\u2b05f","\u2b060","\u2b061","\u2b062","\u2b063","\u2b064","\u2b065","\u2b066","\u2b067","\u2b068","\u2b069","\u2b06a","\u2b06b","\u2b06c","\u2b06d","\u2b06e","\u2b06f","\u2b070","\u2b071","\u2b072","\u2b073","\u2b074","\u2b075","\u2b076","\u2b077","\u2b078","\u2b079","\u2b07a","\u2b07b","\u2b07c","\u2b07d","\u2b07e","\u2b07f","\u2b080","\u2b081","\u2b082","\u2b083","\u2b084","\u2b085","\u2b086","\u2b087","\u2b088","\u2b089","\u2b08a","\u2b08b","\u2b08c","\u2b08d","\u2b08e","\u2b08f","\u2b090","\u2b091","\u2b092","\u2b093","\u2b094","\u2b095","\u2b096","\u2b097","\u2b098","\u2b099","\u2b09a","\u2b09b","\u2b09c","\u2b09d","\u2b09e","\u2b09f","\u2b0a0","\u2b0a1","\u2b0a2","\u2b0a3","\u2b0a4","\u2b0a5","\u2b0a6","\u2b0a7","\u2b0a8","\u2b0a9","\u2b0aa","\u2b0ab","\u2b0ac","\u2b0ad","\u2b0ae","\u2b0af","\u2b0b0","\u2b0b1","\u2b0b2","\u2b0b3","\u2b0b4","\u2b0b5","\u2b0b6","\u2b0b7","\u2b0b8","\u2b0b9","\u2b0ba","\u2b0bb","\u2b0bc","\u2b0bd","\u2b0be","\u2b0bf","\u2b0c0","\u2b0c1","\u2b0c2","\u2b0c3","\u2b0c4","\u2b0c5","\u2b0c6","\u2b0c7","\u2b0c8","\u2b0c9","\u2b0ca","\u2b0cb","\u2b0cc","\u2b0cd","\u2b0ce","\u2b0cf","\u2b0d0","\u2b0d1","\u2b0d2","\u2b0d3","\u2b0d4","\u2b0d5","\u2b0d6","\u2b0d7","\u2b0d8","\u2b0d9","\u2b0da","\u2b0db","\u2b0dc","\u2b0dd","\u2b0de","\u2b0df","\u2b0e0","\u2b0e1","\u2b0e2","\u2b0e3","\u2b0e4","\u2b0e5","\u2b0e6","\u2b0e7","\u2b0e8","\u2b0e9","\u2b0ea","\u2b0eb","\u2b0ec","\u2b0ed","\u2b0ee","\u2b0ef","\u2b0f0","\u2b0f1","\u2b0f2","\u2b0f3","\u2b0f4","\u2b0f5","\u2b0f6","\u2b0f7","\u2b0f8","\u2b0f9","\u2b0fa","\u2b0fb","\u2b0fc","\u2b0fd","\u2b0fe","\u2b0ff","\u2b100","\u2b101","\u2b102","\u2b103","\u2b104","\u2b105","\u2b106","\u2b107","\u2b108","\u2b109","\u2b10a","\u2b10b","\u2b10c","\u2b10d","\u2b10e","\u2b10f","\u2b110","\u2b111","\u2b112","\u2b113","\u2b114","\u2b115","\u2b116","\u2b117","\u2b118","\u2b119","\u2b11a","\u2b11b","\u2b11c","\u2b11d","\u2b11e","\u2b11f","\u2b120","\u2b121","\u2b122","\u2b123","\u2b124","\u2b125","\u2b126","\u2b127","\u2b128","\u2b129","\u2b12a","\u2b12b","\u2b12c","\u2b12d","\u2b12e","\u2b12f","\u2b130","\u2b131","\u2b132","\u2b133","\u2b134","\u2b135","\u2b136","\u2b137","\u2b138","\u2b139","\u2b13a","\u2b13b","\u2b13c","\u2b13d","\u2b13e","\u2b13f","\u2b140","\u2b141","\u2b142","\u2b143","\u2b144","\u2b145","\u2b146","\u2b147","\u2b148","\u2b149","\u2b14a","\u2b14b","\u2b14c","\u2b14d","\u2b14e","\u2b14f","\u2b150","\u2b151","\u2b152","\u2b153","\u2b154","\u2b155","\u2b156","\u2b157","\u2b158","\u2b159","\u2b15a","\u2b15b","\u2b15c","\u2b15d","\u2b15e","\u2b15f","\u2b160","\u2b161","\u2b162","\u2b163","\u2b164","\u2b165","\u2b166","\u2b167","\u2b168","\u2b169","\u2b16a","\u2b16b","\u2b16c","\u2b16d","\u2b16e","\u2b16f","\u2b170","\u2b171","\u2b172","\u2b173","\u2b174","\u2b175","\u2b176","\u2b177","\u2b178","\u2b179","\u2b17a","\u2b17b","\u2b17c","\u2b17d","\u2b17e","\u2b17f","\u2b180","\u2b181","\u2b182","\u2b183","\u2b184","\u2b185","\u2b186","\u2b187","\u2b188","\u2b189","\u2b18a","\u2b18b","\u2b18c","\u2b18d","\u2b18e","\u2b18f","\u2b190","\u2b191","\u2b192","\u2b193","\u2b194","\u2b195","\u2b196","\u2b197","\u2b198","\u2b199","\u2b19a","\u2b19b","\u2b19c","\u2b19d","\u2b19e","\u2b19f","\u2b1a0","\u2b1a1","\u2b1a2","\u2b1a3","\u2b1a4","\u2b1a5","\u2b1a6","\u2b1a7","\u2b1a8","\u2b1a9","\u2b1aa","\u2b1ab","\u2b1ac","\u2b1ad","\u2b1ae","\u2b1af","\u2b1b0","\u2b1b1","\u2b1b2","\u2b1b3","\u2b1b4","\u2b1b5","\u2b1b6","\u2b1b7","\u2b1b8","\u2b1b9","\u2b1ba","\u2b1bb","\u2b1bc","\u2b1bd","\u2b1be","\u2b1bf","\u2b1c0","\u2b1c1","\u2b1c2","\u2b1c3","\u2b1c4","\u2b1c5","\u2b1c6","\u2b1c7","\u2b1c8","\u2b1c9","\u2b1ca","\u2b1cb","\u2b1cc","\u2b1cd","\u2b1ce","\u2b1cf","\u2b1d0","\u2b1d1","\u2b1d2","\u2b1d3","\u2b1d4","\u2b1d5","\u2b1d6","\u2b1d7","\u2b1d8","\u2b1d9","\u2b1da","\u2b1db","\u2b1dc","\u2b1dd","\u2b1de","\u2b1df","\u2b1e0","\u2b1e1","\u2b1e2","\u2b1e3","\u2b1e4","\u2b1e5","\u2b1e6","\u2b1e7","\u2b1e8","\u2b1e9","\u2b1ea","\u2b1eb","\u2b1ec","\u2b1ed","\u2b1ee","\u2b1ef","\u2b1f0","\u2b1f1","\u2b1f2","\u2b1f3","\u2b1f4","\u2b1f5","\u2b1f6","\u2b1f7","\u2b1f8","\u2b1f9","\u2b1fa","\u2b1fb","\u2b1fc","\u2b1fd","\u2b1fe","\u2b1ff","\u2b200","\u2b201","\u2b202","\u2b203","\u2b204","\u2b205","\u2b206","\u2b207","\u2b208","\u2b209","\u2b20a","\u2b20b","\u2b20c","\u2b20d","\u2b20e","\u2b20f","\u2b210","\u2b211","\u2b212","\u2b213","\u2b214","\u2b215","\u2b216","\u2b217","\u2b218","\u2b219","\u2b21a","\u2b21b","\u2b21c","\u2b21d","\u2b21e","\u2b21f","\u2b220","\u2b221","\u2b222","\u2b223","\u2b224","\u2b225","\u2b226","\u2b227","\u2b228","\u2b229","\u2b22a","\u2b22b","\u2b22c","\u2b22d","\u2b22e","\u2b22f","\u2b230","\u2b231","\u2b232","\u2b233","\u2b234","\u2b235","\u2b236","\u2b237","\u2b238","\u2b239","\u2b23a","\u2b23b","\u2b23c","\u2b23d","\u2b23e","\u2b23f","\u2b240","\u2b241","\u2b242","\u2b243","\u2b244","\u2b245","\u2b246","\u2b247","\u2b248","\u2b249","\u2b24a","\u2b24b","\u2b24c","\u2b24d","\u2b24e","\u2b24f","\u2b250","\u2b251","\u2b252","\u2b253","\u2b254","\u2b255","\u2b256","\u2b257","\u2b258","\u2b259","\u2b25a","\u2b25b","\u2b25c","\u2b25d","\u2b25e","\u2b25f","\u2b260","\u2b261","\u2b262","\u2b263","\u2b264","\u2b265","\u2b266","\u2b267","\u2b268","\u2b269","\u2b26a","\u2b26b","\u2b26c","\u2b26d","\u2b26e","\u2b26f","\u2b270","\u2b271","\u2b272","\u2b273","\u2b274","\u2b275","\u2b276","\u2b277","\u2b278","\u2b279","\u2b27a","\u2b27b","\u2b27c","\u2b27d","\u2b27e","\u2b27f","\u2b280","\u2b281","\u2b282","\u2b283","\u2b284","\u2b285","\u2b286","\u2b287","\u2b288","\u2b289","\u2b28a","\u2b28b","\u2b28c","\u2b28d","\u2b28e","\u2b28f","\u2b290","\u2b291","\u2b292","\u2b293","\u2b294","\u2b295","\u2b296","\u2b297","\u2b298","\u2b299","\u2b29a","\u2b29b","\u2b29c","\u2b29d","\u2b29e","\u2b29f","\u2b2a0","\u2b2a1","\u2b2a2","\u2b2a3","\u2b2a4","\u2b2a5","\u2b2a6","\u2b2a7","\u2b2a8","\u2b2a9","\u2b2aa","\u2b2ab","\u2b2ac","\u2b2ad","\u2b2ae","\u2b2af","\u2b2b0","\u2b2b1","\u2b2b2","\u2b2b3","\u2b2b4","\u2b2b5","\u2b2b6","\u2b2b7","\u2b2b8","\u2b2b9","\u2b2ba","\u2b2bb","\u2b2bc","\u2b2bd","\u2b2be","\u2b2bf","\u2b2c0","\u2b2c1","\u2b2c2","\u2b2c3","\u2b2c4","\u2b2c5","\u2b2c6","\u2b2c7","\u2b2c8","\u2b2c9","\u2b2ca","\u2b2cb","\u2b2cc","\u2b2cd","\u2b2ce","\u2b2cf","\u2b2d0","\u2b2d1","\u2b2d2","\u2b2d3","\u2b2d4","\u2b2d5","\u2b2d6","\u2b2d7","\u2b2d8","\u2b2d9","\u2b2da","\u2b2db","\u2b2dc","\u2b2dd","\u2b2de","\u2b2df","\u2b2e0","\u2b2e1","\u2b2e2","\u2b2e3","\u2b2e4","\u2b2e5","\u2b2e6","\u2b2e7","\u2b2e8","\u2b2e9","\u2b2ea","\u2b2eb","\u2b2ec","\u2b2ed","\u2b2ee","\u2b2ef","\u2b2f0","\u2b2f1","\u2b2f2","\u2b2f3","\u2b2f4","\u2b2f5","\u2b2f6","\u2b2f7","\u2b2f8","\u2b2f9","\u2b2fa","\u2b2fb","\u2b2fc","\u2b2fd","\u2b2fe","\u2b2ff","\u2b300","\u2b301","\u2b302","\u2b303","\u2b304","\u2b305","\u2b306","\u2b307","\u2b308","\u2b309","\u2b30a","\u2b30b","\u2b30c","\u2b30d","\u2b30e","\u2b30f","\u2b310","\u2b311","\u2b312","\u2b313","\u2b314","\u2b315","\u2b316","\u2b317","\u2b318","\u2b319","\u2b31a","\u2b31b","\u2b31c","\u2b31d","\u2b31e","\u2b31f","\u2b320","\u2b321","\u2b322","\u2b323","\u2b324","\u2b325","\u2b326","\u2b327","\u2b328","\u2b329","\u2b32a","\u2b32b","\u2b32c","\u2b32d","\u2b32e","\u2b32f","\u2b330","\u2b331","\u2b332","\u2b333","\u2b334","\u2b335","\u2b336","\u2b337","\u2b338","\u2b339","\u2b33a","\u2b33b","\u2b33c","\u2b33d","\u2b33e","\u2b33f","\u2b340","\u2b341","\u2b342","\u2b343","\u2b344","\u2b345","\u2b346","\u2b347","\u2b348","\u2b349","\u2b34a","\u2b34b","\u2b34c","\u2b34d","\u2b34e","\u2b34f","\u2b350","\u2b351","\u2b352","\u2b353","\u2b354","\u2b355","\u2b356","\u2b357","\u2b358","\u2b359","\u2b35a","\u2b35b","\u2b35c","\u2b35d","\u2b35e","\u2b35f","\u2b360","\u2b361","\u2b362","\u2b363","\u2b364","\u2b365","\u2b366","\u2b367","\u2b368","\u2b369","\u2b36a","\u2b36b","\u2b36c","\u2b36d","\u2b36e","\u2b36f","\u2b370","\u2b371","\u2b372","\u2b373","\u2b374","\u2b375","\u2b376","\u2b377","\u2b378","\u2b379","\u2b37a","\u2b37b","\u2b37c","\u2b37d","\u2b37e","\u2b37f","\u2b380","\u2b381","\u2b382","\u2b383","\u2b384","\u2b385","\u2b386","\u2b387","\u2b388","\u2b389","\u2b38a","\u2b38b","\u2b38c","\u2b38d","\u2b38e","\u2b38f","\u2b390","\u2b391","\u2b392","\u2b393","\u2b394","\u2b395","\u2b396","\u2b397","\u2b398","\u2b399","\u2b39a","\u2b39b","\u2b39c","\u2b39d","\u2b39e","\u2b39f","\u2b3a0","\u2b3a1","\u2b3a2","\u2b3a3","\u2b3a4","\u2b3a5","\u2b3a6","\u2b3a7","\u2b3a8","\u2b3a9","\u2b3aa","\u2b3ab","\u2b3ac","\u2b3ad","\u2b3ae","\u2b3af","\u2b3b0","\u2b3b1","\u2b3b2","\u2b3b3","\u2b3b4","\u2b3b5","\u2b3b6","\u2b3b7","\u2b3b8","\u2b3b9","\u2b3ba","\u2b3bb","\u2b3bc","\u2b3bd","\u2b3be","\u2b3bf","\u2b3c0","\u2b3c1","\u2b3c2","\u2b3c3","\u2b3c4","\u2b3c5","\u2b3c6","\u2b3c7","\u2b3c8","\u2b3c9","\u2b3ca","\u2b3cb","\u2b3cc","\u2b3cd","\u2b3ce","\u2b3cf","\u2b3d0","\u2b3d1","\u2b3d2","\u2b3d3","\u2b3d4","\u2b3d5","\u2b3d6","\u2b3d7","\u2b3d8","\u2b3d9","\u2b3da","\u2b3db","\u2b3dc","\u2b3dd","\u2b3de","\u2b3df","\u2b3e0","\u2b3e1","\u2b3e2","\u2b3e3","\u2b3e4","\u2b3e5","\u2b3e6","\u2b3e7","\u2b3e8","\u2b3e9","\u2b3ea","\u2b3eb","\u2b3ec","\u2b3ed","\u2b3ee","\u2b3ef","\u2b3f0","\u2b3f1","\u2b3f2","\u2b3f3","\u2b3f4","\u2b3f5","\u2b3f6","\u2b3f7","\u2b3f8","\u2b3f9","\u2b3fa","\u2b3fb","\u2b3fc","\u2b3fd","\u2b3fe","\u2b3ff","\u2b400","\u2b401","\u2b402","\u2b403","\u2b404","\u2b405","\u2b406","\u2b407","\u2b408","\u2b409","\u2b40a","\u2b40b","\u2b40c","\u2b40d","\u2b40e","\u2b40f","\u2b410","\u2b411","\u2b412","\u2b413","\u2b414","\u2b415","\u2b416","\u2b417","\u2b418","\u2b419","\u2b41a","\u2b41b","\u2b41c","\u2b41d","\u2b41e","\u2b41f","\u2b420","\u2b421","\u2b422","\u2b423","\u2b424","\u2b425","\u2b426","\u2b427","\u2b428","\u2b429","\u2b42a","\u2b42b","\u2b42c","\u2b42d","\u2b42e","\u2b42f","\u2b430","\u2b431","\u2b432","\u2b433","\u2b434","\u2b435","\u2b436","\u2b437","\u2b438","\u2b439","\u2b43a","\u2b43b","\u2b43c","\u2b43d","\u2b43e","\u2b43f","\u2b440","\u2b441","\u2b442","\u2b443","\u2b444","\u2b445","\u2b446","\u2b447","\u2b448","\u2b449","\u2b44a","\u2b44b","\u2b44c","\u2b44d","\u2b44e","\u2b44f","\u2b450","\u2b451","\u2b452","\u2b453","\u2b454","\u2b455","\u2b456","\u2b457","\u2b458","\u2b459","\u2b45a","\u2b45b","\u2b45c","\u2b45d","\u2b45e","\u2b45f","\u2b460","\u2b461","\u2b462","\u2b463","\u2b464","\u2b465","\u2b466","\u2b467","\u2b468","\u2b469","\u2b46a","\u2b46b","\u2b46c","\u2b46d","\u2b46e","\u2b46f","\u2b470","\u2b471","\u2b472","\u2b473","\u2b474","\u2b475","\u2b476","\u2b477","\u2b478","\u2b479","\u2b47a","\u2b47b","\u2b47c","\u2b47d","\u2b47e","\u2b47f","\u2b480","\u2b481","\u2b482","\u2b483","\u2b484","\u2b485","\u2b486","\u2b487","\u2b488","\u2b489","\u2b48a","\u2b48b","\u2b48c","\u2b48d","\u2b48e","\u2b48f","\u2b490","\u2b491","\u2b492","\u2b493","\u2b494","\u2b495","\u2b496","\u2b497","\u2b498","\u2b499","\u2b49a","\u2b49b","\u2b49c","\u2b49d","\u2b49e","\u2b49f","\u2b4a0","\u2b4a1","\u2b4a2","\u2b4a3","\u2b4a4","\u2b4a5","\u2b4a6","\u2b4a7","\u2b4a8","\u2b4a9","\u2b4aa","\u2b4ab","\u2b4ac","\u2b4ad","\u2b4ae","\u2b4af","\u2b4b0","\u2b4b1","\u2b4b2","\u2b4b3","\u2b4b4","\u2b4b5","\u2b4b6","\u2b4b7","\u2b4b8","\u2b4b9","\u2b4ba","\u2b4bb","\u2b4bc","\u2b4bd","\u2b4be","\u2b4bf","\u2b4c0","\u2b4c1","\u2b4c2","\u2b4c3","\u2b4c4","\u2b4c5","\u2b4c6","\u2b4c7","\u2b4c8","\u2b4c9","\u2b4ca","\u2b4cb","\u2b4cc","\u2b4cd","\u2b4ce","\u2b4cf","\u2b4d0","\u2b4d1","\u2b4d2","\u2b4d3","\u2b4d4","\u2b4d5","\u2b4d6","\u2b4d7","\u2b4d8","\u2b4d9","\u2b4da","\u2b4db","\u2b4dc","\u2b4dd","\u2b4de","\u2b4df","\u2b4e0","\u2b4e1","\u2b4e2","\u2b4e3","\u2b4e4","\u2b4e5","\u2b4e6","\u2b4e7","\u2b4e8","\u2b4e9","\u2b4ea","\u2b4eb","\u2b4ec","\u2b4ed","\u2b4ee","\u2b4ef","\u2b4f0","\u2b4f1","\u2b4f2","\u2b4f3","\u2b4f4","\u2b4f5","\u2b4f6","\u2b4f7","\u2b4f8","\u2b4f9","\u2b4fa","\u2b4fb","\u2b4fc","\u2b4fd","\u2b4fe","\u2b4ff","\u2b500","\u2b501","\u2b502","\u2b503","\u2b504","\u2b505","\u2b506","\u2b507","\u2b508","\u2b509","\u2b50a","\u2b50b","\u2b50c","\u2b50d","\u2b50e","\u2b50f","\u2b510","\u2b511","\u2b512","\u2b513","\u2b514","\u2b515","\u2b516","\u2b517","\u2b518","\u2b519","\u2b51a","\u2b51b","\u2b51c","\u2b51d","\u2b51e","\u2b51f","\u2b520","\u2b521","\u2b522","\u2b523","\u2b524","\u2b525","\u2b526","\u2b527","\u2b528","\u2b529","\u2b52a","\u2b52b","\u2b52c","\u2b52d","\u2b52e","\u2b52f","\u2b530","\u2b531","\u2b532","\u2b533","\u2b534","\u2b535","\u2b536","\u2b537","\u2b538","\u2b539","\u2b53a","\u2b53b","\u2b53c","\u2b53d","\u2b53e","\u2b53f","\u2b540","\u2b541","\u2b542","\u2b543","\u2b544","\u2b545","\u2b546","\u2b547","\u2b548","\u2b549","\u2b54a","\u2b54b","\u2b54c","\u2b54d","\u2b54e","\u2b54f","\u2b550","\u2b551","\u2b552","\u2b553","\u2b554","\u2b555","\u2b556","\u2b557","\u2b558","\u2b559","\u2b55a","\u2b55b","\u2b55c","\u2b55d","\u2b55e","\u2b55f","\u2b560","\u2b561","\u2b562","\u2b563","\u2b564","\u2b565","\u2b566","\u2b567","\u2b568","\u2b569","\u2b56a","\u2b56b","\u2b56c","\u2b56d","\u2b56e","\u2b56f","\u2b570","\u2b571","\u2b572","\u2b573","\u2b574","\u2b575","\u2b576","\u2b577","\u2b578","\u2b579","\u2b57a","\u2b57b","\u2b57c","\u2b57d","\u2b57e","\u2b57f","\u2b580","\u2b581","\u2b582","\u2b583","\u2b584","\u2b585","\u2b586","\u2b587","\u2b588","\u2b589","\u2b58a","\u2b58b","\u2b58c","\u2b58d","\u2b58e","\u2b58f","\u2b590","\u2b591","\u2b592","\u2b593","\u2b594","\u2b595","\u2b596","\u2b597","\u2b598","\u2b599","\u2b59a","\u2b59b","\u2b59c","\u2b59d","\u2b59e","\u2b59f","\u2b5a0","\u2b5a1","\u2b5a2","\u2b5a3","\u2b5a4","\u2b5a5","\u2b5a6","\u2b5a7","\u2b5a8","\u2b5a9","\u2b5aa","\u2b5ab","\u2b5ac","\u2b5ad","\u2b5ae","\u2b5af","\u2b5b0","\u2b5b1","\u2b5b2","\u2b5b3","\u2b5b4","\u2b5b5","\u2b5b6","\u2b5b7","\u2b5b8","\u2b5b9","\u2b5ba","\u2b5bb","\u2b5bc","\u2b5bd","\u2b5be","\u2b5bf","\u2b5c0","\u2b5c1","\u2b5c2","\u2b5c3","\u2b5c4","\u2b5c5","\u2b5c6","\u2b5c7","\u2b5c8","\u2b5c9","\u2b5ca","\u2b5cb","\u2b5cc","\u2b5cd","\u2b5ce","\u2b5cf","\u2b5d0","\u2b5d1","\u2b5d2","\u2b5d3","\u2b5d4","\u2b5d5","\u2b5d6","\u2b5d7","\u2b5d8","\u2b5d9","\u2b5da","\u2b5db","\u2b5dc","\u2b5dd","\u2b5de","\u2b5df","\u2b5e0","\u2b5e1","\u2b5e2","\u2b5e3","\u2b5e4","\u2b5e5","\u2b5e6","\u2b5e7","\u2b5e8","\u2b5e9","\u2b5ea","\u2b5eb","\u2b5ec","\u2b5ed","\u2b5ee","\u2b5ef","\u2b5f0","\u2b5f1","\u2b5f2","\u2b5f3","\u2b5f4","\u2b5f5","\u2b5f6","\u2b5f7","\u2b5f8","\u2b5f9","\u2b5fa","\u2b5fb","\u2b5fc","\u2b5fd","\u2b5fe","\u2b5ff","\u2b600","\u2b601","\u2b602","\u2b603","\u2b604","\u2b605","\u2b606","\u2b607","\u2b608","\u2b609","\u2b60a","\u2b60b","\u2b60c","\u2b60d","\u2b60e","\u2b60f","\u2b610","\u2b611","\u2b612","\u2b613","\u2b614","\u2b615","\u2b616","\u2b617","\u2b618","\u2b619","\u2b61a","\u2b61b","\u2b61c","\u2b61d","\u2b61e","\u2b61f","\u2b620","\u2b621","\u2b622","\u2b623","\u2b624","\u2b625","\u2b626","\u2b627","\u2b628","\u2b629","\u2b62a","\u2b62b","\u2b62c","\u2b62d","\u2b62e","\u2b62f","\u2b630","\u2b631","\u2b632","\u2b633","\u2b634","\u2b635","\u2b636","\u2b637","\u2b638","\u2b639","\u2b63a","\u2b63b","\u2b63c","\u2b63d","\u2b63e","\u2b63f","\u2b640","\u2b641","\u2b642","\u2b643","\u2b644","\u2b645","\u2b646","\u2b647","\u2b648","\u2b649","\u2b64a","\u2b64b","\u2b64c","\u2b64d","\u2b64e","\u2b64f","\u2b650","\u2b651","\u2b652","\u2b653","\u2b654","\u2b655","\u2b656","\u2b657","\u2b658","\u2b659","\u2b65a","\u2b65b","\u2b65c","\u2b65d","\u2b65e","\u2b65f","\u2b660","\u2b661","\u2b662","\u2b663","\u2b664","\u2b665","\u2b666","\u2b667","\u2b668","\u2b669","\u2b66a","\u2b66b","\u2b66c","\u2b66d","\u2b66e","\u2b66f","\u2b670","\u2b671","\u2b672","\u2b673","\u2b674","\u2b675","\u2b676","\u2b677","\u2b678","\u2b679","\u2b67a","\u2b67b","\u2b67c","\u2b67d","\u2b67e","\u2b67f","\u2b680","\u2b681","\u2b682","\u2b683","\u2b684","\u2b685","\u2b686","\u2b687","\u2b688","\u2b689","\u2b68a","\u2b68b","\u2b68c","\u2b68d","\u2b68e","\u2b68f","\u2b690","\u2b691","\u2b692","\u2b693","\u2b694","\u2b695","\u2b696","\u2b697","\u2b698","\u2b699","\u2b69a","\u2b69b","\u2b69c","\u2b69d","\u2b69e","\u2b69f","\u2b6a0","\u2b6a1","\u2b6a2","\u2b6a3","\u2b6a4","\u2b6a5","\u2b6a6","\u2b6a7","\u2b6a8","\u2b6a9","\u2b6aa","\u2b6ab","\u2b6ac","\u2b6ad","\u2b6ae","\u2b6af","\u2b6b0","\u2b6b1","\u2b6b2","\u2b6b3","\u2b6b4","\u2b6b5","\u2b6b6","\u2b6b7","\u2b6b8","\u2b6b9","\u2b6ba","\u2b6bb","\u2b6bc","\u2b6bd","\u2b6be","\u2b6bf","\u2b6c0","\u2b6c1","\u2b6c2","\u2b6c3","\u2b6c4","\u2b6c5","\u2b6c6","\u2b6c7","\u2b6c8","\u2b6c9","\u2b6ca","\u2b6cb","\u2b6cc","\u2b6cd","\u2b6ce","\u2b6cf","\u2b6d0","\u2b6d1","\u2b6d2","\u2b6d3","\u2b6d4","\u2b6d5","\u2b6d6","\u2b6d7","\u2b6d8","\u2b6d9","\u2b6da","\u2b6db","\u2b6dc","\u2b6dd","\u2b6de","\u2b6df","\u2b6e0","\u2b6e1","\u2b6e2","\u2b6e3","\u2b6e4","\u2b6e5","\u2b6e6","\u2b6e7","\u2b6e8","\u2b6e9","\u2b6ea","\u2b6eb","\u2b6ec","\u2b6ed","\u2b6ee","\u2b6ef","\u2b6f0","\u2b6f1","\u2b6f2","\u2b6f3","\u2b6f4","\u2b6f5","\u2b6f6","\u2b6f7","\u2b6f8","\u2b6f9","\u2b6fa","\u2b6fb","\u2b6fc","\u2b6fd","\u2b6fe","\u2b6ff","\u2b700","\u2b701","\u2b702","\u2b703","\u2b704","\u2b705","\u2b706","\u2b707","\u2b708","\u2b709","\u2b70a","\u2b70b","\u2b70c","\u2b70d","\u2b70e","\u2b70f","\u2b710","\u2b711","\u2b712","\u2b713","\u2b714","\u2b715","\u2b716","\u2b717","\u2b718","\u2b719","\u2b71a","\u2b71b","\u2b71c","\u2b71d","\u2b71e","\u2b71f","\u2b720","\u2b721","\u2b722","\u2b723","\u2b724","\u2b725","\u2b726","\u2b727","\u2b728","\u2b729","\u2b72a","\u2b72b","\u2b72c","\u2b72d","\u2b72e","\u2b72f","\u2b730","\u2b731","\u2b732","\u2b733","\u2b734",  # ; CJK UNIFIED IDEOGRAPH-*
        "\u2b740","\u2b741","\u2b742","\u2b743","\u2b744","\u2b745","\u2b746","\u2b747","\u2b748","\u2b749","\u2b74a","\u2b74b","\u2b74c","\u2b74d","\u2b74e","\u2b74f","\u2b750","\u2b751","\u2b752","\u2b753","\u2b754","\u2b755","\u2b756","\u2b757","\u2b758","\u2b759","\u2b75a","\u2b75b","\u2b75c","\u2b75d","\u2b75e","\u2b75f","\u2b760","\u2b761","\u2b762","\u2b763","\u2b764","\u2b765","\u2b766","\u2b767","\u2b768","\u2b769","\u2b76a","\u2b76b","\u2b76c","\u2b76d","\u2b76e","\u2b76f","\u2b770","\u2b771","\u2b772","\u2b773","\u2b774","\u2b775","\u2b776","\u2b777","\u2b778","\u2b779","\u2b77a","\u2b77b","\u2b77c","\u2b77d","\u2b77e","\u2b77f","\u2b780","\u2b781","\u2b782","\u2b783","\u2b784","\u2b785","\u2b786","\u2b787","\u2b788","\u2b789","\u2b78a","\u2b78b","\u2b78c","\u2b78d","\u2b78e","\u2b78f","\u2b790","\u2b791","\u2b792","\u2b793","\u2b794","\u2b795","\u2b796","\u2b797","\u2b798","\u2b799","\u2b79a","\u2b79b","\u2b79c","\u2b79d","\u2b79e","\u2b79f","\u2b7a0","\u2b7a1","\u2b7a2","\u2b7a3","\u2b7a4","\u2b7a5","\u2b7a6","\u2b7a7","\u2b7a8","\u2b7a9","\u2b7aa","\u2b7ab","\u2b7ac","\u2b7ad","\u2b7ae","\u2b7af","\u2b7b0","\u2b7b1","\u2b7b2","\u2b7b3","\u2b7b4","\u2b7b5","\u2b7b6","\u2b7b7","\u2b7b8","\u2b7b9","\u2b7ba","\u2b7bb","\u2b7bc","\u2b7bd","\u2b7be","\u2b7bf","\u2b7c0","\u2b7c1","\u2b7c2","\u2b7c3","\u2b7c4","\u2b7c5","\u2b7c6","\u2b7c7","\u2b7c8","\u2b7c9","\u2b7ca","\u2b7cb","\u2b7cc","\u2b7cd","\u2b7ce","\u2b7cf","\u2b7d0","\u2b7d1","\u2b7d2","\u2b7d3","\u2b7d4","\u2b7d5","\u2b7d6","\u2b7d7","\u2b7d8","\u2b7d9","\u2b7da","\u2b7db","\u2b7dc","\u2b7dd","\u2b7de","\u2b7df","\u2b7e0","\u2b7e1","\u2b7e2","\u2b7e3","\u2b7e4","\u2b7e5","\u2b7e6","\u2b7e7","\u2b7e8","\u2b7e9","\u2b7ea","\u2b7eb","\u2b7ec","\u2b7ed","\u2b7ee","\u2b7ef","\u2b7f0","\u2b7f1","\u2b7f2","\u2b7f3","\u2b7f4","\u2b7f5","\u2b7f6","\u2b7f7","\u2b7f8","\u2b7f9","\u2b7fa","\u2b7fb","\u2b7fc","\u2b7fd","\u2b7fe","\u2b7ff","\u2b800","\u2b801","\u2b802","\u2b803","\u2b804","\u2b805","\u2b806","\u2b807","\u2b808","\u2b809","\u2b80a","\u2b80b","\u2b80c","\u2b80d","\u2b80e","\u2b80f","\u2b810","\u2b811","\u2b812","\u2b813","\u2b814","\u2b815","\u2b816","\u2b817","\u2b818","\u2b819","\u2b81a","\u2b81b","\u2b81c","\u2b81d",  # ; CJK UNIFIED IDEOGRAPH-*
        "\u2b820","\u2b821","\u2b822","\u2b823","\u2b824","\u2b825","\u2b826","\u2b827","\u2b828","\u2b829","\u2b82a","\u2b82b","\u2b82c","\u2b82d","\u2b82e","\u2b82f","\u2b830","\u2b831","\u2b832","\u2b833","\u2b834","\u2b835","\u2b836","\u2b837","\u2b838","\u2b839","\u2b83a","\u2b83b","\u2b83c","\u2b83d","\u2b83e","\u2b83f","\u2b840","\u2b841","\u2b842","\u2b843","\u2b844","\u2b845","\u2b846","\u2b847","\u2b848","\u2b849","\u2b84a","\u2b84b","\u2b84c","\u2b84d","\u2b84e","\u2b84f","\u2b850","\u2b851","\u2b852","\u2b853","\u2b854","\u2b855","\u2b856","\u2b857","\u2b858","\u2b859","\u2b85a","\u2b85b","\u2b85c","\u2b85d","\u2b85e","\u2b85f","\u2b860","\u2b861","\u2b862","\u2b863","\u2b864","\u2b865","\u2b866","\u2b867","\u2b868","\u2b869","\u2b86a","\u2b86b","\u2b86c","\u2b86d","\u2b86e","\u2b86f","\u2b870","\u2b871","\u2b872","\u2b873","\u2b874","\u2b875","\u2b876","\u2b877","\u2b878","\u2b879","\u2b87a","\u2b87b","\u2b87c","\u2b87d","\u2b87e","\u2b87f","\u2b880","\u2b881","\u2b882","\u2b883","\u2b884","\u2b885","\u2b886","\u2b887","\u2b888","\u2b889","\u2b88a","\u2b88b","\u2b88c","\u2b88d","\u2b88e","\u2b88f","\u2b890","\u2b891","\u2b892","\u2b893","\u2b894","\u2b895","\u2b896","\u2b897","\u2b898","\u2b899","\u2b89a","\u2b89b","\u2b89c","\u2b89d","\u2b89e","\u2b89f","\u2b8a0","\u2b8a1","\u2b8a2","\u2b8a3","\u2b8a4","\u2b8a5","\u2b8a6","\u2b8a7","\u2b8a8","\u2b8a9","\u2b8aa","\u2b8ab","\u2b8ac","\u2b8ad","\u2b8ae","\u2b8af","\u2b8b0","\u2b8b1","\u2b8b2","\u2b8b3","\u2b8b4","\u2b8b5","\u2b8b6","\u2b8b7","\u2b8b8","\u2b8b9","\u2b8ba","\u2b8bb","\u2b8bc","\u2b8bd","\u2b8be","\u2b8bf","\u2b8c0","\u2b8c1","\u2b8c2","\u2b8c3","\u2b8c4","\u2b8c5","\u2b8c6","\u2b8c7","\u2b8c8","\u2b8c9","\u2b8ca","\u2b8cb","\u2b8cc","\u2b8cd","\u2b8ce","\u2b8cf","\u2b8d0","\u2b8d1","\u2b8d2","\u2b8d3","\u2b8d4","\u2b8d5","\u2b8d6","\u2b8d7","\u2b8d8","\u2b8d9","\u2b8da","\u2b8db","\u2b8dc","\u2b8dd","\u2b8de","\u2b8df","\u2b8e0","\u2b8e1","\u2b8e2","\u2b8e3","\u2b8e4","\u2b8e5","\u2b8e6","\u2b8e7","\u2b8e8","\u2b8e9","\u2b8ea","\u2b8eb","\u2b8ec","\u2b8ed","\u2b8ee","\u2b8ef","\u2b8f0","\u2b8f1","\u2b8f2","\u2b8f3","\u2b8f4","\u2b8f5","\u2b8f6","\u2b8f7","\u2b8f8","\u2b8f9","\u2b8fa","\u2b8fb","\u2b8fc","\u2b8fd","\u2b8fe","\u2b8ff","\u2b900","\u2b901","\u2b902","\u2b903","\u2b904","\u2b905","\u2b906","\u2b907","\u2b908","\u2b909","\u2b90a","\u2b90b","\u2b90c","\u2b90d","\u2b90e","\u2b90f","\u2b910","\u2b911","\u2b912","\u2b913","\u2b914","\u2b915","\u2b916","\u2b917","\u2b918","\u2b919","\u2b91a","\u2b91b","\u2b91c","\u2b91d","\u2b91e","\u2b91f","\u2b920","\u2b921","\u2b922","\u2b923","\u2b924","\u2b925","\u2b926","\u2b927","\u2b928","\u2b929","\u2b92a","\u2b92b","\u2b92c","\u2b92d","\u2b92e","\u2b92f","\u2b930","\u2b931","\u2b932","\u2b933","\u2b934","\u2b935","\u2b936","\u2b937","\u2b938","\u2b939","\u2b93a","\u2b93b","\u2b93c","\u2b93d","\u2b93e","\u2b93f","\u2b940","\u2b941","\u2b942","\u2b943","\u2b944","\u2b945","\u2b946","\u2b947","\u2b948","\u2b949","\u2b94a","\u2b94b","\u2b94c","\u2b94d","\u2b94e","\u2b94f","\u2b950","\u2b951","\u2b952","\u2b953","\u2b954","\u2b955","\u2b956","\u2b957","\u2b958","\u2b959","\u2b95a","\u2b95b","\u2b95c","\u2b95d","\u2b95e","\u2b95f","\u2b960","\u2b961","\u2b962","\u2b963","\u2b964","\u2b965","\u2b966","\u2b967","\u2b968","\u2b969","\u2b96a","\u2b96b","\u2b96c","\u2b96d","\u2b96e","\u2b96f","\u2b970","\u2b971","\u2b972","\u2b973","\u2b974","\u2b975","\u2b976","\u2b977","\u2b978","\u2b979","\u2b97a","\u2b97b","\u2b97c","\u2b97d","\u2b97e","\u2b97f","\u2b980","\u2b981","\u2b982","\u2b983","\u2b984","\u2b985","\u2b986","\u2b987","\u2b988","\u2b989","\u2b98a","\u2b98b","\u2b98c","\u2b98d","\u2b98e","\u2b98f","\u2b990","\u2b991","\u2b992","\u2b993","\u2b994","\u2b995","\u2b996","\u2b997","\u2b998","\u2b999","\u2b99a","\u2b99b","\u2b99c","\u2b99d","\u2b99e","\u2b99f","\u2b9a0","\u2b9a1","\u2b9a2","\u2b9a3","\u2b9a4","\u2b9a5","\u2b9a6","\u2b9a7","\u2b9a8","\u2b9a9","\u2b9aa","\u2b9ab","\u2b9ac","\u2b9ad","\u2b9ae","\u2b9af","\u2b9b0","\u2b9b1","\u2b9b2","\u2b9b3","\u2b9b4","\u2b9b5","\u2b9b6","\u2b9b7","\u2b9b8","\u2b9b9","\u2b9ba","\u2b9bb","\u2b9bc","\u2b9bd","\u2b9be","\u2b9bf","\u2b9c0","\u2b9c1","\u2b9c2","\u2b9c3","\u2b9c4","\u2b9c5","\u2b9c6","\u2b9c7","\u2b9c8","\u2b9c9","\u2b9ca","\u2b9cb","\u2b9cc","\u2b9cd","\u2b9ce","\u2b9cf","\u2b9d0","\u2b9d1","\u2b9d2","\u2b9d3","\u2b9d4","\u2b9d5","\u2b9d6","\u2b9d7","\u2b9d8","\u2b9d9","\u2b9da","\u2b9db","\u2b9dc","\u2b9dd","\u2b9de","\u2b9df","\u2b9e0","\u2b9e1","\u2b9e2","\u2b9e3","\u2b9e4","\u2b9e5","\u2b9e6","\u2b9e7","\u2b9e8","\u2b9e9","\u2b9ea","\u2b9eb","\u2b9ec","\u2b9ed","\u2b9ee","\u2b9ef","\u2b9f0","\u2b9f1","\u2b9f2","\u2b9f3","\u2b9f4","\u2b9f5","\u2b9f6","\u2b9f7","\u2b9f8","\u2b9f9","\u2b9fa","\u2b9fb","\u2b9fc","\u2b9fd","\u2b9fe","\u2b9ff","\u2ba00","\u2ba01","\u2ba02","\u2ba03","\u2ba04","\u2ba05","\u2ba06","\u2ba07","\u2ba08","\u2ba09","\u2ba0a","\u2ba0b","\u2ba0c","\u2ba0d","\u2ba0e","\u2ba0f","\u2ba10","\u2ba11","\u2ba12","\u2ba13","\u2ba14","\u2ba15","\u2ba16","\u2ba17","\u2ba18","\u2ba19","\u2ba1a","\u2ba1b","\u2ba1c","\u2ba1d","\u2ba1e","\u2ba1f","\u2ba20","\u2ba21","\u2ba22","\u2ba23","\u2ba24","\u2ba25","\u2ba26","\u2ba27","\u2ba28","\u2ba29","\u2ba2a","\u2ba2b","\u2ba2c","\u2ba2d","\u2ba2e","\u2ba2f","\u2ba30","\u2ba31","\u2ba32","\u2ba33","\u2ba34","\u2ba35","\u2ba36","\u2ba37","\u2ba38","\u2ba39","\u2ba3a","\u2ba3b","\u2ba3c","\u2ba3d","\u2ba3e","\u2ba3f","\u2ba40","\u2ba41","\u2ba42","\u2ba43","\u2ba44","\u2ba45","\u2ba46","\u2ba47","\u2ba48","\u2ba49","\u2ba4a","\u2ba4b","\u2ba4c","\u2ba4d","\u2ba4e","\u2ba4f","\u2ba50","\u2ba51","\u2ba52","\u2ba53","\u2ba54","\u2ba55","\u2ba56","\u2ba57","\u2ba58","\u2ba59","\u2ba5a","\u2ba5b","\u2ba5c","\u2ba5d","\u2ba5e","\u2ba5f","\u2ba60","\u2ba61","\u2ba62","\u2ba63","\u2ba64","\u2ba65","\u2ba66","\u2ba67","\u2ba68","\u2ba69","\u2ba6a","\u2ba6b","\u2ba6c","\u2ba6d","\u2ba6e","\u2ba6f","\u2ba70","\u2ba71","\u2ba72","\u2ba73","\u2ba74","\u2ba75","\u2ba76","\u2ba77","\u2ba78","\u2ba79","\u2ba7a","\u2ba7b","\u2ba7c","\u2ba7d","\u2ba7e","\u2ba7f","\u2ba80","\u2ba81","\u2ba82","\u2ba83","\u2ba84","\u2ba85","\u2ba86","\u2ba87","\u2ba88","\u2ba89","\u2ba8a","\u2ba8b","\u2ba8c","\u2ba8d","\u2ba8e","\u2ba8f","\u2ba90","\u2ba91","\u2ba92","\u2ba93","\u2ba94","\u2ba95","\u2ba96","\u2ba97","\u2ba98","\u2ba99","\u2ba9a","\u2ba9b","\u2ba9c","\u2ba9d","\u2ba9e","\u2ba9f","\u2baa0","\u2baa1","\u2baa2","\u2baa3","\u2baa4","\u2baa5","\u2baa6","\u2baa7","\u2baa8","\u2baa9","\u2baaa","\u2baab","\u2baac","\u2baad","\u2baae","\u2baaf","\u2bab0","\u2bab1","\u2bab2","\u2bab3","\u2bab4","\u2bab5","\u2bab6","\u2bab7","\u2bab8","\u2bab9","\u2baba","\u2babb","\u2babc","\u2babd","\u2babe","\u2babf","\u2bac0","\u2bac1","\u2bac2","\u2bac3","\u2bac4","\u2bac5","\u2bac6","\u2bac7","\u2bac8","\u2bac9","\u2baca","\u2bacb","\u2bacc","\u2bacd","\u2bace","\u2bacf","\u2bad0","\u2bad1","\u2bad2","\u2bad3","\u2bad4","\u2bad5","\u2bad6","\u2bad7","\u2bad8","\u2bad9","\u2bada","\u2badb","\u2badc","\u2badd","\u2bade","\u2badf","\u2bae0","\u2bae1","\u2bae2","\u2bae3","\u2bae4","\u2bae5","\u2bae6","\u2bae7","\u2bae8","\u2bae9","\u2baea","\u2baeb","\u2baec","\u2baed","\u2baee","\u2baef","\u2baf0","\u2baf1","\u2baf2","\u2baf3","\u2baf4","\u2baf5","\u2baf6","\u2baf7","\u2baf8","\u2baf9","\u2bafa","\u2bafb","\u2bafc","\u2bafd","\u2bafe","\u2baff","\u2bb00","\u2bb01","\u2bb02","\u2bb03","\u2bb04","\u2bb05","\u2bb06","\u2bb07","\u2bb08","\u2bb09","\u2bb0a","\u2bb0b","\u2bb0c","\u2bb0d","\u2bb0e","\u2bb0f","\u2bb10","\u2bb11","\u2bb12","\u2bb13","\u2bb14","\u2bb15","\u2bb16","\u2bb17","\u2bb18","\u2bb19","\u2bb1a","\u2bb1b","\u2bb1c","\u2bb1d","\u2bb1e","\u2bb1f","\u2bb20","\u2bb21","\u2bb22","\u2bb23","\u2bb24","\u2bb25","\u2bb26","\u2bb27","\u2bb28","\u2bb29","\u2bb2a","\u2bb2b","\u2bb2c","\u2bb2d","\u2bb2e","\u2bb2f","\u2bb30","\u2bb31","\u2bb32","\u2bb33","\u2bb34","\u2bb35","\u2bb36","\u2bb37","\u2bb38","\u2bb39","\u2bb3a","\u2bb3b","\u2bb3c","\u2bb3d","\u2bb3e","\u2bb3f","\u2bb40","\u2bb41","\u2bb42","\u2bb43","\u2bb44","\u2bb45","\u2bb46","\u2bb47","\u2bb48","\u2bb49","\u2bb4a","\u2bb4b","\u2bb4c","\u2bb4d","\u2bb4e","\u2bb4f","\u2bb50","\u2bb51","\u2bb52","\u2bb53","\u2bb54","\u2bb55","\u2bb56","\u2bb57","\u2bb58","\u2bb59","\u2bb5a","\u2bb5b","\u2bb5c","\u2bb5d","\u2bb5e","\u2bb5f","\u2bb60","\u2bb61","\u2bb62","\u2bb63","\u2bb64","\u2bb65","\u2bb66","\u2bb67","\u2bb68","\u2bb69","\u2bb6a","\u2bb6b","\u2bb6c","\u2bb6d","\u2bb6e","\u2bb6f","\u2bb70","\u2bb71","\u2bb72","\u2bb73","\u2bb74","\u2bb75","\u2bb76","\u2bb77","\u2bb78","\u2bb79","\u2bb7a","\u2bb7b","\u2bb7c","\u2bb7d","\u2bb7e","\u2bb7f","\u2bb80","\u2bb81","\u2bb82","\u2bb83","\u2bb84","\u2bb85","\u2bb86","\u2bb87","\u2bb88","\u2bb89","\u2bb8a","\u2bb8b","\u2bb8c","\u2bb8d","\u2bb8e","\u2bb8f","\u2bb90","\u2bb91","\u2bb92","\u2bb93","\u2bb94","\u2bb95","\u2bb96","\u2bb97","\u2bb98","\u2bb99","\u2bb9a","\u2bb9b","\u2bb9c","\u2bb9d","\u2bb9e","\u2bb9f","\u2bba0","\u2bba1","\u2bba2","\u2bba3","\u2bba4","\u2bba5","\u2bba6","\u2bba7","\u2bba8","\u2bba9","\u2bbaa","\u2bbab","\u2bbac","\u2bbad","\u2bbae","\u2bbaf","\u2bbb0","\u2bbb1","\u2bbb2","\u2bbb3","\u2bbb4","\u2bbb5","\u2bbb6","\u2bbb7","\u2bbb8","\u2bbb9","\u2bbba","\u2bbbb","\u2bbbc","\u2bbbd","\u2bbbe","\u2bbbf","\u2bbc0","\u2bbc1","\u2bbc2","\u2bbc3","\u2bbc4","\u2bbc5","\u2bbc6","\u2bbc7","\u2bbc8","\u2bbc9","\u2bbca","\u2bbcb","\u2bbcc","\u2bbcd","\u2bbce","\u2bbcf","\u2bbd0","\u2bbd1","\u2bbd2","\u2bbd3","\u2bbd4","\u2bbd5","\u2bbd6","\u2bbd7","\u2bbd8","\u2bbd9","\u2bbda","\u2bbdb","\u2bbdc","\u2bbdd","\u2bbde","\u2bbdf","\u2bbe0","\u2bbe1","\u2bbe2","\u2bbe3","\u2bbe4","\u2bbe5","\u2bbe6","\u2bbe7","\u2bbe8","\u2bbe9","\u2bbea","\u2bbeb","\u2bbec","\u2bbed","\u2bbee","\u2bbef","\u2bbf0","\u2bbf1","\u2bbf2","\u2bbf3","\u2bbf4","\u2bbf5","\u2bbf6","\u2bbf7","\u2bbf8","\u2bbf9","\u2bbfa","\u2bbfb","\u2bbfc","\u2bbfd","\u2bbfe","\u2bbff","\u2bc00","\u2bc01","\u2bc02","\u2bc03","\u2bc04","\u2bc05","\u2bc06","\u2bc07","\u2bc08","\u2bc09","\u2bc0a","\u2bc0b","\u2bc0c","\u2bc0d","\u2bc0e","\u2bc0f","\u2bc10","\u2bc11","\u2bc12","\u2bc13","\u2bc14","\u2bc15","\u2bc16","\u2bc17","\u2bc18","\u2bc19","\u2bc1a","\u2bc1b","\u2bc1c","\u2bc1d","\u2bc1e","\u2bc1f","\u2bc20","\u2bc21","\u2bc22","\u2bc23","\u2bc24","\u2bc25","\u2bc26","\u2bc27","\u2bc28","\u2bc29","\u2bc2a","\u2bc2b","\u2bc2c","\u2bc2d","\u2bc2e","\u2bc2f","\u2bc30","\u2bc31","\u2bc32","\u2bc33","\u2bc34","\u2bc35","\u2bc36","\u2bc37","\u2bc38","\u2bc39","\u2bc3a","\u2bc3b","\u2bc3c","\u2bc3d","\u2bc3e","\u2bc3f","\u2bc40","\u2bc41","\u2bc42","\u2bc43","\u2bc44","\u2bc45","\u2bc46","\u2bc47","\u2bc48","\u2bc49","\u2bc4a","\u2bc4b","\u2bc4c","\u2bc4d","\u2bc4e","\u2bc4f","\u2bc50","\u2bc51","\u2bc52","\u2bc53","\u2bc54","\u2bc55","\u2bc56","\u2bc57","\u2bc58","\u2bc59","\u2bc5a","\u2bc5b","\u2bc5c","\u2bc5d","\u2bc5e","\u2bc5f","\u2bc60","\u2bc61","\u2bc62","\u2bc63","\u2bc64","\u2bc65","\u2bc66","\u2bc67","\u2bc68","\u2bc69","\u2bc6a","\u2bc6b","\u2bc6c","\u2bc6d","\u2bc6e","\u2bc6f","\u2bc70","\u2bc71","\u2bc72","\u2bc73","\u2bc74","\u2bc75","\u2bc76","\u2bc77","\u2bc78","\u2bc79","\u2bc7a","\u2bc7b","\u2bc7c","\u2bc7d","\u2bc7e","\u2bc7f","\u2bc80","\u2bc81","\u2bc82","\u2bc83","\u2bc84","\u2bc85","\u2bc86","\u2bc87","\u2bc88","\u2bc89","\u2bc8a","\u2bc8b","\u2bc8c","\u2bc8d","\u2bc8e","\u2bc8f","\u2bc90","\u2bc91","\u2bc92","\u2bc93","\u2bc94","\u2bc95","\u2bc96","\u2bc97","\u2bc98","\u2bc99","\u2bc9a","\u2bc9b","\u2bc9c","\u2bc9d","\u2bc9e","\u2bc9f","\u2bca0","\u2bca1","\u2bca2","\u2bca3","\u2bca4","\u2bca5","\u2bca6","\u2bca7","\u2bca8","\u2bca9","\u2bcaa","\u2bcab","\u2bcac","\u2bcad","\u2bcae","\u2bcaf","\u2bcb0","\u2bcb1","\u2bcb2","\u2bcb3","\u2bcb4","\u2bcb5","\u2bcb6","\u2bcb7","\u2bcb8","\u2bcb9","\u2bcba","\u2bcbb","\u2bcbc","\u2bcbd","\u2bcbe","\u2bcbf","\u2bcc0","\u2bcc1","\u2bcc2","\u2bcc3","\u2bcc4","\u2bcc5","\u2bcc6","\u2bcc7","\u2bcc8","\u2bcc9","\u2bcca","\u2bccb","\u2bccc","\u2bccd","\u2bcce","\u2bccf","\u2bcd0","\u2bcd1","\u2bcd2","\u2bcd3","\u2bcd4","\u2bcd5","\u2bcd6","\u2bcd7","\u2bcd8","\u2bcd9","\u2bcda","\u2bcdb","\u2bcdc","\u2bcdd","\u2bcde","\u2bcdf","\u2bce0","\u2bce1","\u2bce2","\u2bce3","\u2bce4","\u2bce5","\u2bce6","\u2bce7","\u2bce8","\u2bce9","\u2bcea","\u2bceb","\u2bcec","\u2bced","\u2bcee","\u2bcef","\u2bcf0","\u2bcf1","\u2bcf2","\u2bcf3","\u2bcf4","\u2bcf5","\u2bcf6","\u2bcf7","\u2bcf8","\u2bcf9","\u2bcfa","\u2bcfb","\u2bcfc","\u2bcfd","\u2bcfe","\u2bcff","\u2bd00","\u2bd01","\u2bd02","\u2bd03","\u2bd04","\u2bd05","\u2bd06","\u2bd07","\u2bd08","\u2bd09","\u2bd0a","\u2bd0b","\u2bd0c","\u2bd0d","\u2bd0e","\u2bd0f","\u2bd10","\u2bd11","\u2bd12","\u2bd13","\u2bd14","\u2bd15","\u2bd16","\u2bd17","\u2bd18","\u2bd19","\u2bd1a","\u2bd1b","\u2bd1c","\u2bd1d","\u2bd1e","\u2bd1f","\u2bd20","\u2bd21","\u2bd22","\u2bd23","\u2bd24","\u2bd25","\u2bd26","\u2bd27","\u2bd28","\u2bd29","\u2bd2a","\u2bd2b","\u2bd2c","\u2bd2d","\u2bd2e","\u2bd2f","\u2bd30","\u2bd31","\u2bd32","\u2bd33","\u2bd34","\u2bd35","\u2bd36","\u2bd37","\u2bd38","\u2bd39","\u2bd3a","\u2bd3b","\u2bd3c","\u2bd3d","\u2bd3e","\u2bd3f","\u2bd40","\u2bd41","\u2bd42","\u2bd43","\u2bd44","\u2bd45","\u2bd46","\u2bd47","\u2bd48","\u2bd49","\u2bd4a","\u2bd4b","\u2bd4c","\u2bd4d","\u2bd4e","\u2bd4f","\u2bd50","\u2bd51","\u2bd52","\u2bd53","\u2bd54","\u2bd55","\u2bd56","\u2bd57","\u2bd58","\u2bd59","\u2bd5a","\u2bd5b","\u2bd5c","\u2bd5d","\u2bd5e","\u2bd5f","\u2bd60","\u2bd61","\u2bd62","\u2bd63","\u2bd64","\u2bd65","\u2bd66","\u2bd67","\u2bd68","\u2bd69","\u2bd6a","\u2bd6b","\u2bd6c","\u2bd6d","\u2bd6e","\u2bd6f","\u2bd70","\u2bd71","\u2bd72","\u2bd73","\u2bd74","\u2bd75","\u2bd76","\u2bd77","\u2bd78","\u2bd79","\u2bd7a","\u2bd7b","\u2bd7c","\u2bd7d","\u2bd7e","\u2bd7f","\u2bd80","\u2bd81","\u2bd82","\u2bd83","\u2bd84","\u2bd85","\u2bd86","\u2bd87","\u2bd88","\u2bd89","\u2bd8a","\u2bd8b","\u2bd8c","\u2bd8d","\u2bd8e","\u2bd8f","\u2bd90","\u2bd91","\u2bd92","\u2bd93","\u2bd94","\u2bd95","\u2bd96","\u2bd97","\u2bd98","\u2bd99","\u2bd9a","\u2bd9b","\u2bd9c","\u2bd9d","\u2bd9e","\u2bd9f","\u2bda0","\u2bda1","\u2bda2","\u2bda3","\u2bda4","\u2bda5","\u2bda6","\u2bda7","\u2bda8","\u2bda9","\u2bdaa","\u2bdab","\u2bdac","\u2bdad","\u2bdae","\u2bdaf","\u2bdb0","\u2bdb1","\u2bdb2","\u2bdb3","\u2bdb4","\u2bdb5","\u2bdb6","\u2bdb7","\u2bdb8","\u2bdb9","\u2bdba","\u2bdbb","\u2bdbc","\u2bdbd","\u2bdbe","\u2bdbf","\u2bdc0","\u2bdc1","\u2bdc2","\u2bdc3","\u2bdc4","\u2bdc5","\u2bdc6","\u2bdc7","\u2bdc8","\u2bdc9","\u2bdca","\u2bdcb","\u2bdcc","\u2bdcd","\u2bdce","\u2bdcf","\u2bdd0","\u2bdd1","\u2bdd2","\u2bdd3","\u2bdd4","\u2bdd5","\u2bdd6","\u2bdd7","\u2bdd8","\u2bdd9","\u2bdda","\u2bddb","\u2bddc","\u2bddd","\u2bdde","\u2bddf","\u2bde0","\u2bde1","\u2bde2","\u2bde3","\u2bde4","\u2bde5","\u2bde6","\u2bde7","\u2bde8","\u2bde9","\u2bdea","\u2bdeb","\u2bdec","\u2bded","\u2bdee","\u2bdef","\u2bdf0","\u2bdf1","\u2bdf2","\u2bdf3","\u2bdf4","\u2bdf5","\u2bdf6","\u2bdf7","\u2bdf8","\u2bdf9","\u2bdfa","\u2bdfb","\u2bdfc","\u2bdfd","\u2bdfe","\u2bdff","\u2be00","\u2be01","\u2be02","\u2be03","\u2be04","\u2be05","\u2be06","\u2be07","\u2be08","\u2be09","\u2be0a","\u2be0b","\u2be0c","\u2be0d","\u2be0e","\u2be0f","\u2be10","\u2be11","\u2be12","\u2be13","\u2be14","\u2be15","\u2be16","\u2be17","\u2be18","\u2be19","\u2be1a","\u2be1b","\u2be1c","\u2be1d","\u2be1e","\u2be1f","\u2be20","\u2be21","\u2be22","\u2be23","\u2be24","\u2be25","\u2be26","\u2be27","\u2be28","\u2be29","\u2be2a","\u2be2b","\u2be2c","\u2be2d","\u2be2e","\u2be2f","\u2be30","\u2be31","\u2be32","\u2be33","\u2be34","\u2be35","\u2be36","\u2be37","\u2be38","\u2be39","\u2be3a","\u2be3b","\u2be3c","\u2be3d","\u2be3e","\u2be3f","\u2be40","\u2be41","\u2be42","\u2be43","\u2be44","\u2be45","\u2be46","\u2be47","\u2be48","\u2be49","\u2be4a","\u2be4b","\u2be4c","\u2be4d","\u2be4e","\u2be4f","\u2be50","\u2be51","\u2be52","\u2be53","\u2be54","\u2be55","\u2be56","\u2be57","\u2be58","\u2be59","\u2be5a","\u2be5b","\u2be5c","\u2be5d","\u2be5e","\u2be5f","\u2be60","\u2be61","\u2be62","\u2be63","\u2be64","\u2be65","\u2be66","\u2be67","\u2be68","\u2be69","\u2be6a","\u2be6b","\u2be6c","\u2be6d","\u2be6e","\u2be6f","\u2be70","\u2be71","\u2be72","\u2be73","\u2be74","\u2be75","\u2be76","\u2be77","\u2be78","\u2be79","\u2be7a","\u2be7b","\u2be7c","\u2be7d","\u2be7e","\u2be7f","\u2be80","\u2be81","\u2be82","\u2be83","\u2be84","\u2be85","\u2be86","\u2be87","\u2be88","\u2be89","\u2be8a","\u2be8b","\u2be8c","\u2be8d","\u2be8e","\u2be8f","\u2be90","\u2be91","\u2be92","\u2be93","\u2be94","\u2be95","\u2be96","\u2be97","\u2be98","\u2be99","\u2be9a","\u2be9b","\u2be9c","\u2be9d","\u2be9e","\u2be9f","\u2bea0","\u2bea1","\u2bea2","\u2bea3","\u2bea4","\u2bea5","\u2bea6","\u2bea7","\u2bea8","\u2bea9","\u2beaa","\u2beab","\u2beac","\u2bead","\u2beae","\u2beaf","\u2beb0","\u2beb1","\u2beb2","\u2beb3","\u2beb4","\u2beb5","\u2beb6","\u2beb7","\u2beb8","\u2beb9","\u2beba","\u2bebb","\u2bebc","\u2bebd","\u2bebe","\u2bebf","\u2bec0","\u2bec1","\u2bec2","\u2bec3","\u2bec4","\u2bec5","\u2bec6","\u2bec7","\u2bec8","\u2bec9","\u2beca","\u2becb","\u2becc","\u2becd","\u2bece","\u2becf","\u2bed0","\u2bed1","\u2bed2","\u2bed3","\u2bed4","\u2bed5","\u2bed6","\u2bed7","\u2bed8","\u2bed9","\u2beda","\u2bedb","\u2bedc","\u2bedd","\u2bede","\u2bedf","\u2bee0","\u2bee1","\u2bee2","\u2bee3","\u2bee4","\u2bee5","\u2bee6","\u2bee7","\u2bee8","\u2bee9","\u2beea","\u2beeb","\u2beec","\u2beed","\u2beee","\u2beef","\u2bef0","\u2bef1","\u2bef2","\u2bef3","\u2bef4","\u2bef5","\u2bef6","\u2bef7","\u2bef8","\u2bef9","\u2befa","\u2befb","\u2befc","\u2befd","\u2befe","\u2beff","\u2bf00","\u2bf01","\u2bf02","\u2bf03","\u2bf04","\u2bf05","\u2bf06","\u2bf07","\u2bf08","\u2bf09","\u2bf0a","\u2bf0b","\u2bf0c","\u2bf0d","\u2bf0e","\u2bf0f","\u2bf10","\u2bf11","\u2bf12","\u2bf13","\u2bf14","\u2bf15","\u2bf16","\u2bf17","\u2bf18","\u2bf19","\u2bf1a","\u2bf1b","\u2bf1c","\u2bf1d","\u2bf1e","\u2bf1f","\u2bf20","\u2bf21","\u2bf22","\u2bf23","\u2bf24","\u2bf25","\u2bf26","\u2bf27","\u2bf28","\u2bf29","\u2bf2a","\u2bf2b","\u2bf2c","\u2bf2d","\u2bf2e","\u2bf2f","\u2bf30","\u2bf31","\u2bf32","\u2bf33","\u2bf34","\u2bf35","\u2bf36","\u2bf37","\u2bf38","\u2bf39","\u2bf3a","\u2bf3b","\u2bf3c","\u2bf3d","\u2bf3e","\u2bf3f","\u2bf40","\u2bf41","\u2bf42","\u2bf43","\u2bf44","\u2bf45","\u2bf46","\u2bf47","\u2bf48","\u2bf49","\u2bf4a","\u2bf4b","\u2bf4c","\u2bf4d","\u2bf4e","\u2bf4f","\u2bf50","\u2bf51","\u2bf52","\u2bf53","\u2bf54","\u2bf55","\u2bf56","\u2bf57","\u2bf58","\u2bf59","\u2bf5a","\u2bf5b","\u2bf5c","\u2bf5d","\u2bf5e","\u2bf5f","\u2bf60","\u2bf61","\u2bf62","\u2bf63","\u2bf64","\u2bf65","\u2bf66","\u2bf67","\u2bf68","\u2bf69","\u2bf6a","\u2bf6b","\u2bf6c","\u2bf6d","\u2bf6e","\u2bf6f","\u2bf70","\u2bf71","\u2bf72","\u2bf73","\u2bf74","\u2bf75","\u2bf76","\u2bf77","\u2bf78","\u2bf79","\u2bf7a","\u2bf7b","\u2bf7c","\u2bf7d","\u2bf7e","\u2bf7f","\u2bf80","\u2bf81","\u2bf82","\u2bf83","\u2bf84","\u2bf85","\u2bf86","\u2bf87","\u2bf88","\u2bf89","\u2bf8a","\u2bf8b","\u2bf8c","\u2bf8d","\u2bf8e","\u2bf8f","\u2bf90","\u2bf91","\u2bf92","\u2bf93","\u2bf94","\u2bf95","\u2bf96","\u2bf97","\u2bf98","\u2bf99","\u2bf9a","\u2bf9b","\u2bf9c","\u2bf9d","\u2bf9e","\u2bf9f","\u2bfa0","\u2bfa1","\u2bfa2","\u2bfa3","\u2bfa4","\u2bfa5","\u2bfa6","\u2bfa7","\u2bfa8","\u2bfa9","\u2bfaa","\u2bfab","\u2bfac","\u2bfad","\u2bfae","\u2bfaf","\u2bfb0","\u2bfb1","\u2bfb2","\u2bfb3","\u2bfb4","\u2bfb5","\u2bfb6","\u2bfb7","\u2bfb8","\u2bfb9","\u2bfba","\u2bfbb","\u2bfbc","\u2bfbd","\u2bfbe","\u2bfbf","\u2bfc0","\u2bfc1","\u2bfc2","\u2bfc3","\u2bfc4","\u2bfc5","\u2bfc6","\u2bfc7","\u2bfc8","\u2bfc9","\u2bfca","\u2bfcb","\u2bfcc","\u2bfcd","\u2bfce","\u2bfcf","\u2bfd0","\u2bfd1","\u2bfd2","\u2bfd3","\u2bfd4","\u2bfd5","\u2bfd6","\u2bfd7","\u2bfd8","\u2bfd9","\u2bfda","\u2bfdb","\u2bfdc","\u2bfdd","\u2bfde","\u2bfdf","\u2bfe0","\u2bfe1","\u2bfe2","\u2bfe3","\u2bfe4","\u2bfe5","\u2bfe6","\u2bfe7","\u2bfe8","\u2bfe9","\u2bfea","\u2bfeb","\u2bfec","\u2bfed","\u2bfee","\u2bfef","\u2bff0","\u2bff1","\u2bff2","\u2bff3","\u2bff4","\u2bff5","\u2bff6","\u2bff7","\u2bff8","\u2bff9","\u2bffa","\u2bffb","\u2bffc","\u2bffd","\u2bffe","\u2bfff","\u2c000","\u2c001","\u2c002","\u2c003","\u2c004","\u2c005","\u2c006","\u2c007","\u2c008","\u2c009","\u2c00a","\u2c00b","\u2c00c","\u2c00d","\u2c00e","\u2c00f","\u2c010","\u2c011","\u2c012","\u2c013","\u2c014","\u2c015","\u2c016","\u2c017","\u2c018","\u2c019","\u2c01a","\u2c01b","\u2c01c","\u2c01d","\u2c01e","\u2c01f","\u2c020","\u2c021","\u2c022","\u2c023","\u2c024","\u2c025","\u2c026","\u2c027","\u2c028","\u2c029","\u2c02a","\u2c02b","\u2c02c","\u2c02d","\u2c02e","\u2c02f","\u2c030","\u2c031","\u2c032","\u2c033","\u2c034","\u2c035","\u2c036","\u2c037","\u2c038","\u2c039","\u2c03a","\u2c03b","\u2c03c","\u2c03d","\u2c03e","\u2c03f","\u2c040","\u2c041","\u2c042","\u2c043","\u2c044","\u2c045","\u2c046","\u2c047","\u2c048","\u2c049","\u2c04a","\u2c04b","\u2c04c","\u2c04d","\u2c04e","\u2c04f","\u2c050","\u2c051","\u2c052","\u2c053","\u2c054","\u2c055","\u2c056","\u2c057","\u2c058","\u2c059","\u2c05a","\u2c05b","\u2c05c","\u2c05d","\u2c05e","\u2c05f","\u2c060","\u2c061","\u2c062","\u2c063","\u2c064","\u2c065","\u2c066","\u2c067","\u2c068","\u2c069","\u2c06a","\u2c06b","\u2c06c","\u2c06d","\u2c06e","\u2c06f","\u2c070","\u2c071","\u2c072","\u2c073","\u2c074","\u2c075","\u2c076","\u2c077","\u2c078","\u2c079","\u2c07a","\u2c07b","\u2c07c","\u2c07d","\u2c07e","\u2c07f","\u2c080","\u2c081","\u2c082","\u2c083","\u2c084","\u2c085","\u2c086","\u2c087","\u2c088","\u2c089","\u2c08a","\u2c08b","\u2c08c","\u2c08d","\u2c08e","\u2c08f","\u2c090","\u2c091","\u2c092","\u2c093","\u2c094","\u2c095","\u2c096","\u2c097","\u2c098","\u2c099","\u2c09a","\u2c09b","\u2c09c","\u2c09d","\u2c09e","\u2c09f","\u2c0a0","\u2c0a1","\u2c0a2","\u2c0a3","\u2c0a4","\u2c0a5","\u2c0a6","\u2c0a7","\u2c0a8","\u2c0a9","\u2c0aa","\u2c0ab","\u2c0ac","\u2c0ad","\u2c0ae","\u2c0af","\u2c0b0","\u2c0b1","\u2c0b2","\u2c0b3","\u2c0b4","\u2c0b5","\u2c0b6","\u2c0b7","\u2c0b8","\u2c0b9","\u2c0ba","\u2c0bb","\u2c0bc","\u2c0bd","\u2c0be","\u2c0bf","\u2c0c0","\u2c0c1","\u2c0c2","\u2c0c3","\u2c0c4","\u2c0c5","\u2c0c6","\u2c0c7","\u2c0c8","\u2c0c9","\u2c0ca","\u2c0cb","\u2c0cc","\u2c0cd","\u2c0ce","\u2c0cf","\u2c0d0","\u2c0d1","\u2c0d2","\u2c0d3","\u2c0d4","\u2c0d5","\u2c0d6","\u2c0d7","\u2c0d8","\u2c0d9","\u2c0da","\u2c0db","\u2c0dc","\u2c0dd","\u2c0de","\u2c0df","\u2c0e0","\u2c0e1","\u2c0e2","\u2c0e3","\u2c0e4","\u2c0e5","\u2c0e6","\u2c0e7","\u2c0e8","\u2c0e9","\u2c0ea","\u2c0eb","\u2c0ec","\u2c0ed","\u2c0ee","\u2c0ef","\u2c0f0","\u2c0f1","\u2c0f2","\u2c0f3","\u2c0f4","\u2c0f5","\u2c0f6","\u2c0f7","\u2c0f8","\u2c0f9","\u2c0fa","\u2c0fb","\u2c0fc","\u2c0fd","\u2c0fe","\u2c0ff","\u2c100","\u2c101","\u2c102","\u2c103","\u2c104","\u2c105","\u2c106","\u2c107","\u2c108","\u2c109","\u2c10a","\u2c10b","\u2c10c","\u2c10d","\u2c10e","\u2c10f","\u2c110","\u2c111","\u2c112","\u2c113","\u2c114","\u2c115","\u2c116","\u2c117","\u2c118","\u2c119","\u2c11a","\u2c11b","\u2c11c","\u2c11d","\u2c11e","\u2c11f","\u2c120","\u2c121","\u2c122","\u2c123","\u2c124","\u2c125","\u2c126","\u2c127","\u2c128","\u2c129","\u2c12a","\u2c12b","\u2c12c","\u2c12d","\u2c12e","\u2c12f","\u2c130","\u2c131","\u2c132","\u2c133","\u2c134","\u2c135","\u2c136","\u2c137","\u2c138","\u2c139","\u2c13a","\u2c13b","\u2c13c","\u2c13d","\u2c13e","\u2c13f","\u2c140","\u2c141","\u2c142","\u2c143","\u2c144","\u2c145","\u2c146","\u2c147","\u2c148","\u2c149","\u2c14a","\u2c14b","\u2c14c","\u2c14d","\u2c14e","\u2c14f","\u2c150","\u2c151","\u2c152","\u2c153","\u2c154","\u2c155","\u2c156","\u2c157","\u2c158","\u2c159","\u2c15a","\u2c15b","\u2c15c","\u2c15d","\u2c15e","\u2c15f","\u2c160","\u2c161","\u2c162","\u2c163","\u2c164","\u2c165","\u2c166","\u2c167","\u2c168","\u2c169","\u2c16a","\u2c16b","\u2c16c","\u2c16d","\u2c16e","\u2c16f","\u2c170","\u2c171","\u2c172","\u2c173","\u2c174","\u2c175","\u2c176","\u2c177","\u2c178","\u2c179","\u2c17a","\u2c17b","\u2c17c","\u2c17d","\u2c17e","\u2c17f","\u2c180","\u2c181","\u2c182","\u2c183","\u2c184","\u2c185","\u2c186","\u2c187","\u2c188","\u2c189","\u2c18a","\u2c18b","\u2c18c","\u2c18d","\u2c18e","\u2c18f","\u2c190","\u2c191","\u2c192","\u2c193","\u2c194","\u2c195","\u2c196","\u2c197","\u2c198","\u2c199","\u2c19a","\u2c19b","\u2c19c","\u2c19d","\u2c19e","\u2c19f","\u2c1a0","\u2c1a1","\u2c1a2","\u2c1a3","\u2c1a4","\u2c1a5","\u2c1a6","\u2c1a7","\u2c1a8","\u2c1a9","\u2c1aa","\u2c1ab","\u2c1ac","\u2c1ad","\u2c1ae","\u2c1af","\u2c1b0","\u2c1b1","\u2c1b2","\u2c1b3","\u2c1b4","\u2c1b5","\u2c1b6","\u2c1b7","\u2c1b8","\u2c1b9","\u2c1ba","\u2c1bb","\u2c1bc","\u2c1bd","\u2c1be","\u2c1bf","\u2c1c0","\u2c1c1","\u2c1c2","\u2c1c3","\u2c1c4","\u2c1c5","\u2c1c6","\u2c1c7","\u2c1c8","\u2c1c9","\u2c1ca","\u2c1cb","\u2c1cc","\u2c1cd","\u2c1ce","\u2c1cf","\u2c1d0","\u2c1d1","\u2c1d2","\u2c1d3","\u2c1d4","\u2c1d5","\u2c1d6","\u2c1d7","\u2c1d8","\u2c1d9","\u2c1da","\u2c1db","\u2c1dc","\u2c1dd","\u2c1de","\u2c1df","\u2c1e0","\u2c1e1","\u2c1e2","\u2c1e3","\u2c1e4","\u2c1e5","\u2c1e6","\u2c1e7","\u2c1e8","\u2c1e9","\u2c1ea","\u2c1eb","\u2c1ec","\u2c1ed","\u2c1ee","\u2c1ef","\u2c1f0","\u2c1f1","\u2c1f2","\u2c1f3","\u2c1f4","\u2c1f5","\u2c1f6","\u2c1f7","\u2c1f8","\u2c1f9","\u2c1fa","\u2c1fb","\u2c1fc","\u2c1fd","\u2c1fe","\u2c1ff","\u2c200","\u2c201","\u2c202","\u2c203","\u2c204","\u2c205","\u2c206","\u2c207","\u2c208","\u2c209","\u2c20a","\u2c20b","\u2c20c","\u2c20d","\u2c20e","\u2c20f","\u2c210","\u2c211","\u2c212","\u2c213","\u2c214","\u2c215","\u2c216","\u2c217","\u2c218","\u2c219","\u2c21a","\u2c21b","\u2c21c","\u2c21d","\u2c21e","\u2c21f","\u2c220","\u2c221","\u2c222","\u2c223","\u2c224","\u2c225","\u2c226","\u2c227","\u2c228","\u2c229","\u2c22a","\u2c22b","\u2c22c","\u2c22d","\u2c22e","\u2c22f","\u2c230","\u2c231","\u2c232","\u2c233","\u2c234","\u2c235","\u2c236","\u2c237","\u2c238","\u2c239","\u2c23a","\u2c23b","\u2c23c","\u2c23d","\u2c23e","\u2c23f","\u2c240","\u2c241","\u2c242","\u2c243","\u2c244","\u2c245","\u2c246","\u2c247","\u2c248","\u2c249","\u2c24a","\u2c24b","\u2c24c","\u2c24d","\u2c24e","\u2c24f","\u2c250","\u2c251","\u2c252","\u2c253","\u2c254","\u2c255","\u2c256","\u2c257","\u2c258","\u2c259","\u2c25a","\u2c25b","\u2c25c","\u2c25d","\u2c25e","\u2c25f","\u2c260","\u2c261","\u2c262","\u2c263","\u2c264","\u2c265","\u2c266","\u2c267","\u2c268","\u2c269","\u2c26a","\u2c26b","\u2c26c","\u2c26d","\u2c26e","\u2c26f","\u2c270","\u2c271","\u2c272","\u2c273","\u2c274","\u2c275","\u2c276","\u2c277","\u2c278","\u2c279","\u2c27a","\u2c27b","\u2c27c","\u2c27d","\u2c27e","\u2c27f","\u2c280","\u2c281","\u2c282","\u2c283","\u2c284","\u2c285","\u2c286","\u2c287","\u2c288","\u2c289","\u2c28a","\u2c28b","\u2c28c","\u2c28d","\u2c28e","\u2c28f","\u2c290","\u2c291","\u2c292","\u2c293","\u2c294","\u2c295","\u2c296","\u2c297","\u2c298","\u2c299","\u2c29a","\u2c29b","\u2c29c","\u2c29d","\u2c29e","\u2c29f","\u2c2a0","\u2c2a1","\u2c2a2","\u2c2a3","\u2c2a4","\u2c2a5","\u2c2a6","\u2c2a7","\u2c2a8","\u2c2a9","\u2c2aa","\u2c2ab","\u2c2ac","\u2c2ad","\u2c2ae","\u2c2af","\u2c2b0","\u2c2b1","\u2c2b2","\u2c2b3","\u2c2b4","\u2c2b5","\u2c2b6","\u2c2b7","\u2c2b8","\u2c2b9","\u2c2ba","\u2c2bb","\u2c2bc","\u2c2bd","\u2c2be","\u2c2bf","\u2c2c0","\u2c2c1","\u2c2c2","\u2c2c3","\u2c2c4","\u2c2c5","\u2c2c6","\u2c2c7","\u2c2c8","\u2c2c9","\u2c2ca","\u2c2cb","\u2c2cc","\u2c2cd","\u2c2ce","\u2c2cf","\u2c2d0","\u2c2d1","\u2c2d2","\u2c2d3","\u2c2d4","\u2c2d5","\u2c2d6","\u2c2d7","\u2c2d8","\u2c2d9","\u2c2da","\u2c2db","\u2c2dc","\u2c2dd","\u2c2de","\u2c2df","\u2c2e0","\u2c2e1","\u2c2e2","\u2c2e3","\u2c2e4","\u2c2e5","\u2c2e6","\u2c2e7","\u2c2e8","\u2c2e9","\u2c2ea","\u2c2eb","\u2c2ec","\u2c2ed","\u2c2ee","\u2c2ef","\u2c2f0","\u2c2f1","\u2c2f2","\u2c2f3","\u2c2f4","\u2c2f5","\u2c2f6","\u2c2f7","\u2c2f8","\u2c2f9","\u2c2fa","\u2c2fb","\u2c2fc","\u2c2fd","\u2c2fe","\u2c2ff","\u2c300","\u2c301","\u2c302","\u2c303","\u2c304","\u2c305","\u2c306","\u2c307","\u2c308","\u2c309","\u2c30a","\u2c30b","\u2c30c","\u2c30d","\u2c30e","\u2c30f","\u2c310","\u2c311","\u2c312","\u2c313","\u2c314","\u2c315","\u2c316","\u2c317","\u2c318","\u2c319","\u2c31a","\u2c31b","\u2c31c","\u2c31d","\u2c31e","\u2c31f","\u2c320","\u2c321","\u2c322","\u2c323","\u2c324","\u2c325","\u2c326","\u2c327","\u2c328","\u2c329","\u2c32a","\u2c32b","\u2c32c","\u2c32d","\u2c32e","\u2c32f","\u2c330","\u2c331","\u2c332","\u2c333","\u2c334","\u2c335","\u2c336","\u2c337","\u2c338","\u2c339","\u2c33a","\u2c33b","\u2c33c","\u2c33d","\u2c33e","\u2c33f","\u2c340","\u2c341","\u2c342","\u2c343","\u2c344","\u2c345","\u2c346","\u2c347","\u2c348","\u2c349","\u2c34a","\u2c34b","\u2c34c","\u2c34d","\u2c34e","\u2c34f","\u2c350","\u2c351","\u2c352","\u2c353","\u2c354","\u2c355","\u2c356","\u2c357","\u2c358","\u2c359","\u2c35a","\u2c35b","\u2c35c","\u2c35d","\u2c35e","\u2c35f","\u2c360","\u2c361","\u2c362","\u2c363","\u2c364","\u2c365","\u2c366","\u2c367","\u2c368","\u2c369","\u2c36a","\u2c36b","\u2c36c","\u2c36d","\u2c36e","\u2c36f","\u2c370","\u2c371","\u2c372","\u2c373","\u2c374","\u2c375","\u2c376","\u2c377","\u2c378","\u2c379","\u2c37a","\u2c37b","\u2c37c","\u2c37d","\u2c37e","\u2c37f","\u2c380","\u2c381","\u2c382","\u2c383","\u2c384","\u2c385","\u2c386","\u2c387","\u2c388","\u2c389","\u2c38a","\u2c38b","\u2c38c","\u2c38d","\u2c38e","\u2c38f","\u2c390","\u2c391","\u2c392","\u2c393","\u2c394","\u2c395","\u2c396","\u2c397","\u2c398","\u2c399","\u2c39a","\u2c39b","\u2c39c","\u2c39d","\u2c39e","\u2c39f","\u2c3a0","\u2c3a1","\u2c3a2","\u2c3a3","\u2c3a4","\u2c3a5","\u2c3a6","\u2c3a7","\u2c3a8","\u2c3a9","\u2c3aa","\u2c3ab","\u2c3ac","\u2c3ad","\u2c3ae","\u2c3af","\u2c3b0","\u2c3b1","\u2c3b2","\u2c3b3","\u2c3b4","\u2c3b5","\u2c3b6","\u2c3b7","\u2c3b8","\u2c3b9","\u2c3ba","\u2c3bb","\u2c3bc","\u2c3bd","\u2c3be","\u2c3bf","\u2c3c0","\u2c3c1","\u2c3c2","\u2c3c3","\u2c3c4","\u2c3c5","\u2c3c6","\u2c3c7","\u2c3c8","\u2c3c9","\u2c3ca","\u2c3cb","\u2c3cc","\u2c3cd","\u2c3ce","\u2c3cf","\u2c3d0","\u2c3d1","\u2c3d2","\u2c3d3","\u2c3d4","\u2c3d5","\u2c3d6","\u2c3d7","\u2c3d8","\u2c3d9","\u2c3da","\u2c3db","\u2c3dc","\u2c3dd","\u2c3de","\u2c3df","\u2c3e0","\u2c3e1","\u2c3e2","\u2c3e3","\u2c3e4","\u2c3e5","\u2c3e6","\u2c3e7","\u2c3e8","\u2c3e9","\u2c3ea","\u2c3eb","\u2c3ec","\u2c3ed","\u2c3ee","\u2c3ef","\u2c3f0","\u2c3f1","\u2c3f2","\u2c3f3","\u2c3f4","\u2c3f5","\u2c3f6","\u2c3f7","\u2c3f8","\u2c3f9","\u2c3fa","\u2c3fb","\u2c3fc","\u2c3fd","\u2c3fe","\u2c3ff","\u2c400","\u2c401","\u2c402","\u2c403","\u2c404","\u2c405","\u2c406","\u2c407","\u2c408","\u2c409","\u2c40a","\u2c40b","\u2c40c","\u2c40d","\u2c40e","\u2c40f","\u2c410","\u2c411","\u2c412","\u2c413","\u2c414","\u2c415","\u2c416","\u2c417","\u2c418","\u2c419","\u2c41a","\u2c41b","\u2c41c","\u2c41d","\u2c41e","\u2c41f","\u2c420","\u2c421","\u2c422","\u2c423","\u2c424","\u2c425","\u2c426","\u2c427","\u2c428","\u2c429","\u2c42a","\u2c42b","\u2c42c","\u2c42d","\u2c42e","\u2c42f","\u2c430","\u2c431","\u2c432","\u2c433","\u2c434","\u2c435","\u2c436","\u2c437","\u2c438","\u2c439","\u2c43a","\u2c43b","\u2c43c","\u2c43d","\u2c43e","\u2c43f","\u2c440","\u2c441","\u2c442","\u2c443","\u2c444","\u2c445","\u2c446","\u2c447","\u2c448","\u2c449","\u2c44a","\u2c44b","\u2c44c","\u2c44d","\u2c44e","\u2c44f","\u2c450","\u2c451","\u2c452","\u2c453","\u2c454","\u2c455","\u2c456","\u2c457","\u2c458","\u2c459","\u2c45a","\u2c45b","\u2c45c","\u2c45d","\u2c45e","\u2c45f","\u2c460","\u2c461","\u2c462","\u2c463","\u2c464","\u2c465","\u2c466","\u2c467","\u2c468","\u2c469","\u2c46a","\u2c46b","\u2c46c","\u2c46d","\u2c46e","\u2c46f","\u2c470","\u2c471","\u2c472","\u2c473","\u2c474","\u2c475","\u2c476","\u2c477","\u2c478","\u2c479","\u2c47a","\u2c47b","\u2c47c","\u2c47d","\u2c47e","\u2c47f","\u2c480","\u2c481","\u2c482","\u2c483","\u2c484","\u2c485","\u2c486","\u2c487","\u2c488","\u2c489","\u2c48a","\u2c48b","\u2c48c","\u2c48d","\u2c48e","\u2c48f","\u2c490","\u2c491","\u2c492","\u2c493","\u2c494","\u2c495","\u2c496","\u2c497","\u2c498","\u2c499","\u2c49a","\u2c49b","\u2c49c","\u2c49d","\u2c49e","\u2c49f","\u2c4a0","\u2c4a1","\u2c4a2","\u2c4a3","\u2c4a4","\u2c4a5","\u2c4a6","\u2c4a7","\u2c4a8","\u2c4a9","\u2c4aa","\u2c4ab","\u2c4ac","\u2c4ad","\u2c4ae","\u2c4af","\u2c4b0","\u2c4b1","\u2c4b2","\u2c4b3","\u2c4b4","\u2c4b5","\u2c4b6","\u2c4b7","\u2c4b8","\u2c4b9","\u2c4ba","\u2c4bb","\u2c4bc","\u2c4bd","\u2c4be","\u2c4bf","\u2c4c0","\u2c4c1","\u2c4c2","\u2c4c3","\u2c4c4","\u2c4c5","\u2c4c6","\u2c4c7","\u2c4c8","\u2c4c9","\u2c4ca","\u2c4cb","\u2c4cc","\u2c4cd","\u2c4ce","\u2c4cf","\u2c4d0","\u2c4d1","\u2c4d2","\u2c4d3","\u2c4d4","\u2c4d5","\u2c4d6","\u2c4d7","\u2c4d8","\u2c4d9","\u2c4da","\u2c4db","\u2c4dc","\u2c4dd","\u2c4de","\u2c4df","\u2c4e0","\u2c4e1","\u2c4e2","\u2c4e3","\u2c4e4","\u2c4e5","\u2c4e6","\u2c4e7","\u2c4e8","\u2c4e9","\u2c4ea","\u2c4eb","\u2c4ec","\u2c4ed","\u2c4ee","\u2c4ef","\u2c4f0","\u2c4f1","\u2c4f2","\u2c4f3","\u2c4f4","\u2c4f5","\u2c4f6","\u2c4f7","\u2c4f8","\u2c4f9","\u2c4fa","\u2c4fb","\u2c4fc","\u2c4fd","\u2c4fe","\u2c4ff","\u2c500","\u2c501","\u2c502","\u2c503","\u2c504","\u2c505","\u2c506","\u2c507","\u2c508","\u2c509","\u2c50a","\u2c50b","\u2c50c","\u2c50d","\u2c50e","\u2c50f","\u2c510","\u2c511","\u2c512","\u2c513","\u2c514","\u2c515","\u2c516","\u2c517","\u2c518","\u2c519","\u2c51a","\u2c51b","\u2c51c","\u2c51d","\u2c51e","\u2c51f","\u2c520","\u2c521","\u2c522","\u2c523","\u2c524","\u2c525","\u2c526","\u2c527","\u2c528","\u2c529","\u2c52a","\u2c52b","\u2c52c","\u2c52d","\u2c52e","\u2c52f","\u2c530","\u2c531","\u2c532","\u2c533","\u2c534","\u2c535","\u2c536","\u2c537","\u2c538","\u2c539","\u2c53a","\u2c53b","\u2c53c","\u2c53d","\u2c53e","\u2c53f","\u2c540","\u2c541","\u2c542","\u2c543","\u2c544","\u2c545","\u2c546","\u2c547","\u2c548","\u2c549","\u2c54a","\u2c54b","\u2c54c","\u2c54d","\u2c54e","\u2c54f","\u2c550","\u2c551","\u2c552","\u2c553","\u2c554","\u2c555","\u2c556","\u2c557","\u2c558","\u2c559","\u2c55a","\u2c55b","\u2c55c","\u2c55d","\u2c55e","\u2c55f","\u2c560","\u2c561","\u2c562","\u2c563","\u2c564","\u2c565","\u2c566","\u2c567","\u2c568","\u2c569","\u2c56a","\u2c56b","\u2c56c","\u2c56d","\u2c56e","\u2c56f","\u2c570","\u2c571","\u2c572","\u2c573","\u2c574","\u2c575","\u2c576","\u2c577","\u2c578","\u2c579","\u2c57a","\u2c57b","\u2c57c","\u2c57d","\u2c57e","\u2c57f","\u2c580","\u2c581","\u2c582","\u2c583","\u2c584","\u2c585","\u2c586","\u2c587","\u2c588","\u2c589","\u2c58a","\u2c58b","\u2c58c","\u2c58d","\u2c58e","\u2c58f","\u2c590","\u2c591","\u2c592","\u2c593","\u2c594","\u2c595","\u2c596","\u2c597","\u2c598","\u2c599","\u2c59a","\u2c59b","\u2c59c","\u2c59d","\u2c59e","\u2c59f","\u2c5a0","\u2c5a1","\u2c5a2","\u2c5a3","\u2c5a4","\u2c5a5","\u2c5a6","\u2c5a7","\u2c5a8","\u2c5a9","\u2c5aa","\u2c5ab","\u2c5ac","\u2c5ad","\u2c5ae","\u2c5af","\u2c5b0","\u2c5b1","\u2c5b2","\u2c5b3","\u2c5b4","\u2c5b5","\u2c5b6","\u2c5b7","\u2c5b8","\u2c5b9","\u2c5ba","\u2c5bb","\u2c5bc","\u2c5bd","\u2c5be","\u2c5bf","\u2c5c0","\u2c5c1","\u2c5c2","\u2c5c3","\u2c5c4","\u2c5c5","\u2c5c6","\u2c5c7","\u2c5c8","\u2c5c9","\u2c5ca","\u2c5cb","\u2c5cc","\u2c5cd","\u2c5ce","\u2c5cf","\u2c5d0","\u2c5d1","\u2c5d2","\u2c5d3","\u2c5d4","\u2c5d5","\u2c5d6","\u2c5d7","\u2c5d8","\u2c5d9","\u2c5da","\u2c5db","\u2c5dc","\u2c5dd","\u2c5de","\u2c5df","\u2c5e0","\u2c5e1","\u2c5e2","\u2c5e3","\u2c5e4","\u2c5e5","\u2c5e6","\u2c5e7","\u2c5e8","\u2c5e9","\u2c5ea","\u2c5eb","\u2c5ec","\u2c5ed","\u2c5ee","\u2c5ef","\u2c5f0","\u2c5f1","\u2c5f2","\u2c5f3","\u2c5f4","\u2c5f5","\u2c5f6","\u2c5f7","\u2c5f8","\u2c5f9","\u2c5fa","\u2c5fb","\u2c5fc","\u2c5fd","\u2c5fe","\u2c5ff","\u2c600","\u2c601","\u2c602","\u2c603","\u2c604","\u2c605","\u2c606","\u2c607","\u2c608","\u2c609","\u2c60a","\u2c60b","\u2c60c","\u2c60d","\u2c60e","\u2c60f","\u2c610","\u2c611","\u2c612","\u2c613","\u2c614","\u2c615","\u2c616","\u2c617","\u2c618","\u2c619","\u2c61a","\u2c61b","\u2c61c","\u2c61d","\u2c61e","\u2c61f","\u2c620","\u2c621","\u2c622","\u2c623","\u2c624","\u2c625","\u2c626","\u2c627","\u2c628","\u2c629","\u2c62a","\u2c62b","\u2c62c","\u2c62d","\u2c62e","\u2c62f","\u2c630","\u2c631","\u2c632","\u2c633","\u2c634","\u2c635","\u2c636","\u2c637","\u2c638","\u2c639","\u2c63a","\u2c63b","\u2c63c","\u2c63d","\u2c63e","\u2c63f","\u2c640","\u2c641","\u2c642","\u2c643","\u2c644","\u2c645","\u2c646","\u2c647","\u2c648","\u2c649","\u2c64a","\u2c64b","\u2c64c","\u2c64d","\u2c64e","\u2c64f","\u2c650","\u2c651","\u2c652","\u2c653","\u2c654","\u2c655","\u2c656","\u2c657","\u2c658","\u2c659","\u2c65a","\u2c65b","\u2c65c","\u2c65d","\u2c65e","\u2c65f","\u2c660","\u2c661","\u2c662","\u2c663","\u2c664","\u2c665","\u2c666","\u2c667","\u2c668","\u2c669","\u2c66a","\u2c66b","\u2c66c","\u2c66d","\u2c66e","\u2c66f","\u2c670","\u2c671","\u2c672","\u2c673","\u2c674","\u2c675","\u2c676","\u2c677","\u2c678","\u2c679","\u2c67a","\u2c67b","\u2c67c","\u2c67d","\u2c67e","\u2c67f","\u2c680","\u2c681","\u2c682","\u2c683","\u2c684","\u2c685","\u2c686","\u2c687","\u2c688","\u2c689","\u2c68a","\u2c68b","\u2c68c","\u2c68d","\u2c68e","\u2c68f","\u2c690","\u2c691","\u2c692","\u2c693","\u2c694","\u2c695","\u2c696","\u2c697","\u2c698","\u2c699","\u2c69a","\u2c69b","\u2c69c","\u2c69d","\u2c69e","\u2c69f","\u2c6a0","\u2c6a1","\u2c6a2","\u2c6a3","\u2c6a4","\u2c6a5","\u2c6a6","\u2c6a7","\u2c6a8","\u2c6a9","\u2c6aa","\u2c6ab","\u2c6ac","\u2c6ad","\u2c6ae","\u2c6af","\u2c6b0","\u2c6b1","\u2c6b2","\u2c6b3","\u2c6b4","\u2c6b5","\u2c6b6","\u2c6b7","\u2c6b8","\u2c6b9","\u2c6ba","\u2c6bb","\u2c6bc","\u2c6bd","\u2c6be","\u2c6bf","\u2c6c0","\u2c6c1","\u2c6c2","\u2c6c3","\u2c6c4","\u2c6c5","\u2c6c6","\u2c6c7","\u2c6c8","\u2c6c9","\u2c6ca","\u2c6cb","\u2c6cc","\u2c6cd","\u2c6ce","\u2c6cf","\u2c6d0","\u2c6d1","\u2c6d2","\u2c6d3","\u2c6d4","\u2c6d5","\u2c6d6","\u2c6d7","\u2c6d8","\u2c6d9","\u2c6da","\u2c6db","\u2c6dc","\u2c6dd","\u2c6de","\u2c6df","\u2c6e0","\u2c6e1","\u2c6e2","\u2c6e3","\u2c6e4","\u2c6e5","\u2c6e6","\u2c6e7","\u2c6e8","\u2c6e9","\u2c6ea","\u2c6eb","\u2c6ec","\u2c6ed","\u2c6ee","\u2c6ef","\u2c6f0","\u2c6f1","\u2c6f2","\u2c6f3","\u2c6f4","\u2c6f5","\u2c6f6","\u2c6f7","\u2c6f8","\u2c6f9","\u2c6fa","\u2c6fb","\u2c6fc","\u2c6fd","\u2c6fe","\u2c6ff","\u2c700","\u2c701","\u2c702","\u2c703","\u2c704","\u2c705","\u2c706","\u2c707","\u2c708","\u2c709","\u2c70a","\u2c70b","\u2c70c","\u2c70d","\u2c70e","\u2c70f","\u2c710","\u2c711","\u2c712","\u2c713","\u2c714","\u2c715","\u2c716","\u2c717","\u2c718","\u2c719","\u2c71a","\u2c71b","\u2c71c","\u2c71d","\u2c71e","\u2c71f","\u2c720","\u2c721","\u2c722","\u2c723","\u2c724","\u2c725","\u2c726","\u2c727","\u2c728","\u2c729","\u2c72a","\u2c72b","\u2c72c","\u2c72d","\u2c72e","\u2c72f","\u2c730","\u2c731","\u2c732","\u2c733","\u2c734","\u2c735","\u2c736","\u2c737","\u2c738","\u2c739","\u2c73a","\u2c73b","\u2c73c","\u2c73d","\u2c73e","\u2c73f","\u2c740","\u2c741","\u2c742","\u2c743","\u2c744","\u2c745","\u2c746","\u2c747","\u2c748","\u2c749","\u2c74a","\u2c74b","\u2c74c","\u2c74d","\u2c74e","\u2c74f","\u2c750","\u2c751","\u2c752","\u2c753","\u2c754","\u2c755","\u2c756","\u2c757","\u2c758","\u2c759","\u2c75a","\u2c75b","\u2c75c","\u2c75d","\u2c75e","\u2c75f","\u2c760","\u2c761","\u2c762","\u2c763","\u2c764","\u2c765","\u2c766","\u2c767","\u2c768","\u2c769","\u2c76a","\u2c76b","\u2c76c","\u2c76d","\u2c76e","\u2c76f","\u2c770","\u2c771","\u2c772","\u2c773","\u2c774","\u2c775","\u2c776","\u2c777","\u2c778","\u2c779","\u2c77a","\u2c77b","\u2c77c","\u2c77d","\u2c77e","\u2c77f","\u2c780","\u2c781","\u2c782","\u2c783","\u2c784","\u2c785","\u2c786","\u2c787","\u2c788","\u2c789","\u2c78a","\u2c78b","\u2c78c","\u2c78d","\u2c78e","\u2c78f","\u2c790","\u2c791","\u2c792","\u2c793","\u2c794","\u2c795","\u2c796","\u2c797","\u2c798","\u2c799","\u2c79a","\u2c79b","\u2c79c","\u2c79d","\u2c79e","\u2c79f","\u2c7a0","\u2c7a1","\u2c7a2","\u2c7a3","\u2c7a4","\u2c7a5","\u2c7a6","\u2c7a7","\u2c7a8","\u2c7a9","\u2c7aa","\u2c7ab","\u2c7ac","\u2c7ad","\u2c7ae","\u2c7af","\u2c7b0","\u2c7b1","\u2c7b2","\u2c7b3","\u2c7b4","\u2c7b5","\u2c7b6","\u2c7b7","\u2c7b8","\u2c7b9","\u2c7ba","\u2c7bb","\u2c7bc","\u2c7bd","\u2c7be","\u2c7bf","\u2c7c0","\u2c7c1","\u2c7c2","\u2c7c3","\u2c7c4","\u2c7c5","\u2c7c6","\u2c7c7","\u2c7c8","\u2c7c9","\u2c7ca","\u2c7cb","\u2c7cc","\u2c7cd","\u2c7ce","\u2c7cf","\u2c7d0","\u2c7d1","\u2c7d2","\u2c7d3","\u2c7d4","\u2c7d5","\u2c7d6","\u2c7d7","\u2c7d8","\u2c7d9","\u2c7da","\u2c7db","\u2c7dc","\u2c7dd","\u2c7de","\u2c7df","\u2c7e0","\u2c7e1","\u2c7e2","\u2c7e3","\u2c7e4","\u2c7e5","\u2c7e6","\u2c7e7","\u2c7e8","\u2c7e9","\u2c7ea","\u2c7eb","\u2c7ec","\u2c7ed","\u2c7ee","\u2c7ef","\u2c7f0","\u2c7f1","\u2c7f2","\u2c7f3","\u2c7f4","\u2c7f5","\u2c7f6","\u2c7f7","\u2c7f8","\u2c7f9","\u2c7fa","\u2c7fb","\u2c7fc","\u2c7fd","\u2c7fe","\u2c7ff","\u2c800","\u2c801","\u2c802","\u2c803","\u2c804","\u2c805","\u2c806","\u2c807","\u2c808","\u2c809","\u2c80a","\u2c80b","\u2c80c","\u2c80d","\u2c80e","\u2c80f","\u2c810","\u2c811","\u2c812","\u2c813","\u2c814","\u2c815","\u2c816","\u2c817","\u2c818","\u2c819","\u2c81a","\u2c81b","\u2c81c","\u2c81d","\u2c81e","\u2c81f","\u2c820","\u2c821","\u2c822","\u2c823","\u2c824","\u2c825","\u2c826","\u2c827","\u2c828","\u2c829","\u2c82a","\u2c82b","\u2c82c","\u2c82d","\u2c82e","\u2c82f","\u2c830","\u2c831","\u2c832","\u2c833","\u2c834","\u2c835","\u2c836","\u2c837","\u2c838","\u2c839","\u2c83a","\u2c83b","\u2c83c","\u2c83d","\u2c83e","\u2c83f","\u2c840","\u2c841","\u2c842","\u2c843","\u2c844","\u2c845","\u2c846","\u2c847","\u2c848","\u2c849","\u2c84a","\u2c84b","\u2c84c","\u2c84d","\u2c84e","\u2c84f","\u2c850","\u2c851","\u2c852","\u2c853","\u2c854","\u2c855","\u2c856","\u2c857","\u2c858","\u2c859","\u2c85a","\u2c85b","\u2c85c","\u2c85d","\u2c85e","\u2c85f","\u2c860","\u2c861","\u2c862","\u2c863","\u2c864","\u2c865","\u2c866","\u2c867","\u2c868","\u2c869","\u2c86a","\u2c86b","\u2c86c","\u2c86d","\u2c86e","\u2c86f","\u2c870","\u2c871","\u2c872","\u2c873","\u2c874","\u2c875","\u2c876","\u2c877","\u2c878","\u2c879","\u2c87a","\u2c87b","\u2c87c","\u2c87d","\u2c87e","\u2c87f","\u2c880","\u2c881","\u2c882","\u2c883","\u2c884","\u2c885","\u2c886","\u2c887","\u2c888","\u2c889","\u2c88a","\u2c88b","\u2c88c","\u2c88d","\u2c88e","\u2c88f","\u2c890","\u2c891","\u2c892","\u2c893","\u2c894","\u2c895","\u2c896","\u2c897","\u2c898","\u2c899","\u2c89a","\u2c89b","\u2c89c","\u2c89d","\u2c89e","\u2c89f","\u2c8a0","\u2c8a1","\u2c8a2","\u2c8a3","\u2c8a4","\u2c8a5","\u2c8a6","\u2c8a7","\u2c8a8","\u2c8a9","\u2c8aa","\u2c8ab","\u2c8ac","\u2c8ad","\u2c8ae","\u2c8af","\u2c8b0","\u2c8b1","\u2c8b2","\u2c8b3","\u2c8b4","\u2c8b5","\u2c8b6","\u2c8b7","\u2c8b8","\u2c8b9","\u2c8ba","\u2c8bb","\u2c8bc","\u2c8bd","\u2c8be","\u2c8bf","\u2c8c0","\u2c8c1","\u2c8c2","\u2c8c3","\u2c8c4","\u2c8c5","\u2c8c6","\u2c8c7","\u2c8c8","\u2c8c9","\u2c8ca","\u2c8cb","\u2c8cc","\u2c8cd","\u2c8ce","\u2c8cf","\u2c8d0","\u2c8d1","\u2c8d2","\u2c8d3","\u2c8d4","\u2c8d5","\u2c8d6","\u2c8d7","\u2c8d8","\u2c8d9","\u2c8da","\u2c8db","\u2c8dc","\u2c8dd","\u2c8de","\u2c8df","\u2c8e0","\u2c8e1","\u2c8e2","\u2c8e3","\u2c8e4","\u2c8e5","\u2c8e6","\u2c8e7","\u2c8e8","\u2c8e9","\u2c8ea","\u2c8eb","\u2c8ec","\u2c8ed","\u2c8ee","\u2c8ef","\u2c8f0","\u2c8f1","\u2c8f2","\u2c8f3","\u2c8f4","\u2c8f5","\u2c8f6","\u2c8f7","\u2c8f8","\u2c8f9","\u2c8fa","\u2c8fb","\u2c8fc","\u2c8fd","\u2c8fe","\u2c8ff","\u2c900","\u2c901","\u2c902","\u2c903","\u2c904","\u2c905","\u2c906","\u2c907","\u2c908","\u2c909","\u2c90a","\u2c90b","\u2c90c","\u2c90d","\u2c90e","\u2c90f","\u2c910","\u2c911","\u2c912","\u2c913","\u2c914","\u2c915","\u2c916","\u2c917","\u2c918","\u2c919","\u2c91a","\u2c91b","\u2c91c","\u2c91d","\u2c91e","\u2c91f","\u2c920","\u2c921","\u2c922","\u2c923","\u2c924","\u2c925","\u2c926","\u2c927","\u2c928","\u2c929","\u2c92a","\u2c92b","\u2c92c","\u2c92d","\u2c92e","\u2c92f","\u2c930","\u2c931","\u2c932","\u2c933","\u2c934","\u2c935","\u2c936","\u2c937","\u2c938","\u2c939","\u2c93a","\u2c93b","\u2c93c","\u2c93d","\u2c93e","\u2c93f","\u2c940","\u2c941","\u2c942","\u2c943","\u2c944","\u2c945","\u2c946","\u2c947","\u2c948","\u2c949","\u2c94a","\u2c94b","\u2c94c","\u2c94d","\u2c94e","\u2c94f","\u2c950","\u2c951","\u2c952","\u2c953","\u2c954","\u2c955","\u2c956","\u2c957","\u2c958","\u2c959","\u2c95a","\u2c95b","\u2c95c","\u2c95d","\u2c95e","\u2c95f","\u2c960","\u2c961","\u2c962","\u2c963","\u2c964","\u2c965","\u2c966","\u2c967","\u2c968","\u2c969","\u2c96a","\u2c96b","\u2c96c","\u2c96d","\u2c96e","\u2c96f","\u2c970","\u2c971","\u2c972","\u2c973","\u2c974","\u2c975","\u2c976","\u2c977","\u2c978","\u2c979","\u2c97a","\u2c97b","\u2c97c","\u2c97d","\u2c97e","\u2c97f","\u2c980","\u2c981","\u2c982","\u2c983","\u2c984","\u2c985","\u2c986","\u2c987","\u2c988","\u2c989","\u2c98a","\u2c98b","\u2c98c","\u2c98d","\u2c98e","\u2c98f","\u2c990","\u2c991","\u2c992","\u2c993","\u2c994","\u2c995","\u2c996","\u2c997","\u2c998","\u2c999","\u2c99a","\u2c99b","\u2c99c","\u2c99d","\u2c99e","\u2c99f","\u2c9a0","\u2c9a1","\u2c9a2","\u2c9a3","\u2c9a4","\u2c9a5","\u2c9a6","\u2c9a7","\u2c9a8","\u2c9a9","\u2c9aa","\u2c9ab","\u2c9ac","\u2c9ad","\u2c9ae","\u2c9af","\u2c9b0","\u2c9b1","\u2c9b2","\u2c9b3","\u2c9b4","\u2c9b5","\u2c9b6","\u2c9b7","\u2c9b8","\u2c9b9","\u2c9ba","\u2c9bb","\u2c9bc","\u2c9bd","\u2c9be","\u2c9bf","\u2c9c0","\u2c9c1","\u2c9c2","\u2c9c3","\u2c9c4","\u2c9c5","\u2c9c6","\u2c9c7","\u2c9c8","\u2c9c9","\u2c9ca","\u2c9cb","\u2c9cc","\u2c9cd","\u2c9ce","\u2c9cf","\u2c9d0","\u2c9d1","\u2c9d2","\u2c9d3","\u2c9d4","\u2c9d5","\u2c9d6","\u2c9d7","\u2c9d8","\u2c9d9","\u2c9da","\u2c9db","\u2c9dc","\u2c9dd","\u2c9de","\u2c9df","\u2c9e0","\u2c9e1","\u2c9e2","\u2c9e3","\u2c9e4","\u2c9e5","\u2c9e6","\u2c9e7","\u2c9e8","\u2c9e9","\u2c9ea","\u2c9eb","\u2c9ec","\u2c9ed","\u2c9ee","\u2c9ef","\u2c9f0","\u2c9f1","\u2c9f2","\u2c9f3","\u2c9f4","\u2c9f5","\u2c9f6","\u2c9f7","\u2c9f8","\u2c9f9","\u2c9fa","\u2c9fb","\u2c9fc","\u2c9fd","\u2c9fe","\u2c9ff","\u2ca00","\u2ca01","\u2ca02","\u2ca03","\u2ca04","\u2ca05","\u2ca06","\u2ca07","\u2ca08","\u2ca09","\u2ca0a","\u2ca0b","\u2ca0c","\u2ca0d","\u2ca0e","\u2ca0f","\u2ca10","\u2ca11","\u2ca12","\u2ca13","\u2ca14","\u2ca15","\u2ca16","\u2ca17","\u2ca18","\u2ca19","\u2ca1a","\u2ca1b","\u2ca1c","\u2ca1d","\u2ca1e","\u2ca1f","\u2ca20","\u2ca21","\u2ca22","\u2ca23","\u2ca24","\u2ca25","\u2ca26","\u2ca27","\u2ca28","\u2ca29","\u2ca2a","\u2ca2b","\u2ca2c","\u2ca2d","\u2ca2e","\u2ca2f","\u2ca30","\u2ca31","\u2ca32","\u2ca33","\u2ca34","\u2ca35","\u2ca36","\u2ca37","\u2ca38","\u2ca39","\u2ca3a","\u2ca3b","\u2ca3c","\u2ca3d","\u2ca3e","\u2ca3f","\u2ca40","\u2ca41","\u2ca42","\u2ca43","\u2ca44","\u2ca45","\u2ca46","\u2ca47","\u2ca48","\u2ca49","\u2ca4a","\u2ca4b","\u2ca4c","\u2ca4d","\u2ca4e","\u2ca4f","\u2ca50","\u2ca51","\u2ca52","\u2ca53","\u2ca54","\u2ca55","\u2ca56","\u2ca57","\u2ca58","\u2ca59","\u2ca5a","\u2ca5b","\u2ca5c","\u2ca5d","\u2ca5e","\u2ca5f","\u2ca60","\u2ca61","\u2ca62","\u2ca63","\u2ca64","\u2ca65","\u2ca66","\u2ca67","\u2ca68","\u2ca69","\u2ca6a","\u2ca6b","\u2ca6c","\u2ca6d","\u2ca6e","\u2ca6f","\u2ca70","\u2ca71","\u2ca72","\u2ca73","\u2ca74","\u2ca75","\u2ca76","\u2ca77","\u2ca78","\u2ca79","\u2ca7a","\u2ca7b","\u2ca7c","\u2ca7d","\u2ca7e","\u2ca7f","\u2ca80","\u2ca81","\u2ca82","\u2ca83","\u2ca84","\u2ca85","\u2ca86","\u2ca87","\u2ca88","\u2ca89","\u2ca8a","\u2ca8b","\u2ca8c","\u2ca8d","\u2ca8e","\u2ca8f","\u2ca90","\u2ca91","\u2ca92","\u2ca93","\u2ca94","\u2ca95","\u2ca96","\u2ca97","\u2ca98","\u2ca99","\u2ca9a","\u2ca9b","\u2ca9c","\u2ca9d","\u2ca9e","\u2ca9f","\u2caa0","\u2caa1","\u2caa2","\u2caa3","\u2caa4","\u2caa5","\u2caa6","\u2caa7","\u2caa8","\u2caa9","\u2caaa","\u2caab","\u2caac","\u2caad","\u2caae","\u2caaf","\u2cab0","\u2cab1","\u2cab2","\u2cab3","\u2cab4","\u2cab5","\u2cab6","\u2cab7","\u2cab8","\u2cab9","\u2caba","\u2cabb","\u2cabc","\u2cabd","\u2cabe","\u2cabf","\u2cac0","\u2cac1","\u2cac2","\u2cac3","\u2cac4","\u2cac5","\u2cac6","\u2cac7","\u2cac8","\u2cac9","\u2caca","\u2cacb","\u2cacc","\u2cacd","\u2cace","\u2cacf","\u2cad0","\u2cad1","\u2cad2","\u2cad3","\u2cad4","\u2cad5","\u2cad6","\u2cad7","\u2cad8","\u2cad9","\u2cada","\u2cadb","\u2cadc","\u2cadd","\u2cade","\u2cadf","\u2cae0","\u2cae1","\u2cae2","\u2cae3","\u2cae4","\u2cae5","\u2cae6","\u2cae7","\u2cae8","\u2cae9","\u2caea","\u2caeb","\u2caec","\u2caed","\u2caee","\u2caef","\u2caf0","\u2caf1","\u2caf2","\u2caf3","\u2caf4","\u2caf5","\u2caf6","\u2caf7","\u2caf8","\u2caf9","\u2cafa","\u2cafb","\u2cafc","\u2cafd","\u2cafe","\u2caff","\u2cb00","\u2cb01","\u2cb02","\u2cb03","\u2cb04","\u2cb05","\u2cb06","\u2cb07","\u2cb08","\u2cb09","\u2cb0a","\u2cb0b","\u2cb0c","\u2cb0d","\u2cb0e","\u2cb0f","\u2cb10","\u2cb11","\u2cb12","\u2cb13","\u2cb14","\u2cb15","\u2cb16","\u2cb17","\u2cb18","\u2cb19","\u2cb1a","\u2cb1b","\u2cb1c","\u2cb1d","\u2cb1e","\u2cb1f","\u2cb20","\u2cb21","\u2cb22","\u2cb23","\u2cb24","\u2cb25","\u2cb26","\u2cb27","\u2cb28","\u2cb29","\u2cb2a","\u2cb2b","\u2cb2c","\u2cb2d","\u2cb2e","\u2cb2f","\u2cb30","\u2cb31","\u2cb32","\u2cb33","\u2cb34","\u2cb35","\u2cb36","\u2cb37","\u2cb38","\u2cb39","\u2cb3a","\u2cb3b","\u2cb3c","\u2cb3d","\u2cb3e","\u2cb3f","\u2cb40","\u2cb41","\u2cb42","\u2cb43","\u2cb44","\u2cb45","\u2cb46","\u2cb47","\u2cb48","\u2cb49","\u2cb4a","\u2cb4b","\u2cb4c","\u2cb4d","\u2cb4e","\u2cb4f","\u2cb50","\u2cb51","\u2cb52","\u2cb53","\u2cb54","\u2cb55","\u2cb56","\u2cb57","\u2cb58","\u2cb59","\u2cb5a","\u2cb5b","\u2cb5c","\u2cb5d","\u2cb5e","\u2cb5f","\u2cb60","\u2cb61","\u2cb62","\u2cb63","\u2cb64","\u2cb65","\u2cb66","\u2cb67","\u2cb68","\u2cb69","\u2cb6a","\u2cb6b","\u2cb6c","\u2cb6d","\u2cb6e","\u2cb6f","\u2cb70","\u2cb71","\u2cb72","\u2cb73","\u2cb74","\u2cb75","\u2cb76","\u2cb77","\u2cb78","\u2cb79","\u2cb7a","\u2cb7b","\u2cb7c","\u2cb7d","\u2cb7e","\u2cb7f","\u2cb80","\u2cb81","\u2cb82","\u2cb83","\u2cb84","\u2cb85","\u2cb86","\u2cb87","\u2cb88","\u2cb89","\u2cb8a","\u2cb8b","\u2cb8c","\u2cb8d","\u2cb8e","\u2cb8f","\u2cb90","\u2cb91","\u2cb92","\u2cb93","\u2cb94","\u2cb95","\u2cb96","\u2cb97","\u2cb98","\u2cb99","\u2cb9a","\u2cb9b","\u2cb9c","\u2cb9d","\u2cb9e","\u2cb9f","\u2cba0","\u2cba1","\u2cba2","\u2cba3","\u2cba4","\u2cba5","\u2cba6","\u2cba7","\u2cba8","\u2cba9","\u2cbaa","\u2cbab","\u2cbac","\u2cbad","\u2cbae","\u2cbaf","\u2cbb0","\u2cbb1","\u2cbb2","\u2cbb3","\u2cbb4","\u2cbb5","\u2cbb6","\u2cbb7","\u2cbb8","\u2cbb9","\u2cbba","\u2cbbb","\u2cbbc","\u2cbbd","\u2cbbe","\u2cbbf","\u2cbc0","\u2cbc1","\u2cbc2","\u2cbc3","\u2cbc4","\u2cbc5","\u2cbc6","\u2cbc7","\u2cbc8","\u2cbc9","\u2cbca","\u2cbcb","\u2cbcc","\u2cbcd","\u2cbce","\u2cbcf","\u2cbd0","\u2cbd1","\u2cbd2","\u2cbd3","\u2cbd4","\u2cbd5","\u2cbd6","\u2cbd7","\u2cbd8","\u2cbd9","\u2cbda","\u2cbdb","\u2cbdc","\u2cbdd","\u2cbde","\u2cbdf","\u2cbe0","\u2cbe1","\u2cbe2","\u2cbe3","\u2cbe4","\u2cbe5","\u2cbe6","\u2cbe7","\u2cbe8","\u2cbe9","\u2cbea","\u2cbeb","\u2cbec","\u2cbed","\u2cbee","\u2cbef","\u2cbf0","\u2cbf1","\u2cbf2","\u2cbf3","\u2cbf4","\u2cbf5","\u2cbf6","\u2cbf7","\u2cbf8","\u2cbf9","\u2cbfa","\u2cbfb","\u2cbfc","\u2cbfd","\u2cbfe","\u2cbff","\u2cc00","\u2cc01","\u2cc02","\u2cc03","\u2cc04","\u2cc05","\u2cc06","\u2cc07","\u2cc08","\u2cc09","\u2cc0a","\u2cc0b","\u2cc0c","\u2cc0d","\u2cc0e","\u2cc0f","\u2cc10","\u2cc11","\u2cc12","\u2cc13","\u2cc14","\u2cc15","\u2cc16","\u2cc17","\u2cc18","\u2cc19","\u2cc1a","\u2cc1b","\u2cc1c","\u2cc1d","\u2cc1e","\u2cc1f","\u2cc20","\u2cc21","\u2cc22","\u2cc23","\u2cc24","\u2cc25","\u2cc26","\u2cc27","\u2cc28","\u2cc29","\u2cc2a","\u2cc2b","\u2cc2c","\u2cc2d","\u2cc2e","\u2cc2f","\u2cc30","\u2cc31","\u2cc32","\u2cc33","\u2cc34","\u2cc35","\u2cc36","\u2cc37","\u2cc38","\u2cc39","\u2cc3a","\u2cc3b","\u2cc3c","\u2cc3d","\u2cc3e","\u2cc3f","\u2cc40","\u2cc41","\u2cc42","\u2cc43","\u2cc44","\u2cc45","\u2cc46","\u2cc47","\u2cc48","\u2cc49","\u2cc4a","\u2cc4b","\u2cc4c","\u2cc4d","\u2cc4e","\u2cc4f","\u2cc50","\u2cc51","\u2cc52","\u2cc53","\u2cc54","\u2cc55","\u2cc56","\u2cc57","\u2cc58","\u2cc59","\u2cc5a","\u2cc5b","\u2cc5c","\u2cc5d","\u2cc5e","\u2cc5f","\u2cc60","\u2cc61","\u2cc62","\u2cc63","\u2cc64","\u2cc65","\u2cc66","\u2cc67","\u2cc68","\u2cc69","\u2cc6a","\u2cc6b","\u2cc6c","\u2cc6d","\u2cc6e","\u2cc6f","\u2cc70","\u2cc71","\u2cc72","\u2cc73","\u2cc74","\u2cc75","\u2cc76","\u2cc77","\u2cc78","\u2cc79","\u2cc7a","\u2cc7b","\u2cc7c","\u2cc7d","\u2cc7e","\u2cc7f","\u2cc80","\u2cc81","\u2cc82","\u2cc83","\u2cc84","\u2cc85","\u2cc86","\u2cc87","\u2cc88","\u2cc89","\u2cc8a","\u2cc8b","\u2cc8c","\u2cc8d","\u2cc8e","\u2cc8f","\u2cc90","\u2cc91","\u2cc92","\u2cc93","\u2cc94","\u2cc95","\u2cc96","\u2cc97","\u2cc98","\u2cc99","\u2cc9a","\u2cc9b","\u2cc9c","\u2cc9d","\u2cc9e","\u2cc9f","\u2cca0","\u2cca1","\u2cca2","\u2cca3","\u2cca4","\u2cca5","\u2cca6","\u2cca7","\u2cca8","\u2cca9","\u2ccaa","\u2ccab","\u2ccac","\u2ccad","\u2ccae","\u2ccaf","\u2ccb0","\u2ccb1","\u2ccb2","\u2ccb3","\u2ccb4","\u2ccb5","\u2ccb6","\u2ccb7","\u2ccb8","\u2ccb9","\u2ccba","\u2ccbb","\u2ccbc","\u2ccbd","\u2ccbe","\u2ccbf","\u2ccc0","\u2ccc1","\u2ccc2","\u2ccc3","\u2ccc4","\u2ccc5","\u2ccc6","\u2ccc7","\u2ccc8","\u2ccc9","\u2ccca","\u2cccb","\u2cccc","\u2cccd","\u2ccce","\u2cccf","\u2ccd0","\u2ccd1","\u2ccd2","\u2ccd3","\u2ccd4","\u2ccd5","\u2ccd6","\u2ccd7","\u2ccd8","\u2ccd9","\u2ccda","\u2ccdb","\u2ccdc","\u2ccdd","\u2ccde","\u2ccdf","\u2cce0","\u2cce1","\u2cce2","\u2cce3","\u2cce4","\u2cce5","\u2cce6","\u2cce7","\u2cce8","\u2cce9","\u2ccea","\u2cceb","\u2ccec","\u2cced","\u2ccee","\u2ccef","\u2ccf0","\u2ccf1","\u2ccf2","\u2ccf3","\u2ccf4","\u2ccf5","\u2ccf6","\u2ccf7","\u2ccf8","\u2ccf9","\u2ccfa","\u2ccfb","\u2ccfc","\u2ccfd","\u2ccfe","\u2ccff","\u2cd00","\u2cd01","\u2cd02","\u2cd03","\u2cd04","\u2cd05","\u2cd06","\u2cd07","\u2cd08","\u2cd09","\u2cd0a","\u2cd0b","\u2cd0c","\u2cd0d","\u2cd0e","\u2cd0f","\u2cd10","\u2cd11","\u2cd12","\u2cd13","\u2cd14","\u2cd15","\u2cd16","\u2cd17","\u2cd18","\u2cd19","\u2cd1a","\u2cd1b","\u2cd1c","\u2cd1d","\u2cd1e","\u2cd1f","\u2cd20","\u2cd21","\u2cd22","\u2cd23","\u2cd24","\u2cd25","\u2cd26","\u2cd27","\u2cd28","\u2cd29","\u2cd2a","\u2cd2b","\u2cd2c","\u2cd2d","\u2cd2e","\u2cd2f","\u2cd30","\u2cd31","\u2cd32","\u2cd33","\u2cd34","\u2cd35","\u2cd36","\u2cd37","\u2cd38","\u2cd39","\u2cd3a","\u2cd3b","\u2cd3c","\u2cd3d","\u2cd3e","\u2cd3f","\u2cd40","\u2cd41","\u2cd42","\u2cd43","\u2cd44","\u2cd45","\u2cd46","\u2cd47","\u2cd48","\u2cd49","\u2cd4a","\u2cd4b","\u2cd4c","\u2cd4d","\u2cd4e","\u2cd4f","\u2cd50","\u2cd51","\u2cd52","\u2cd53","\u2cd54","\u2cd55","\u2cd56","\u2cd57","\u2cd58","\u2cd59","\u2cd5a","\u2cd5b","\u2cd5c","\u2cd5d","\u2cd5e","\u2cd5f","\u2cd60","\u2cd61","\u2cd62","\u2cd63","\u2cd64","\u2cd65","\u2cd66","\u2cd67","\u2cd68","\u2cd69","\u2cd6a","\u2cd6b","\u2cd6c","\u2cd6d","\u2cd6e","\u2cd6f","\u2cd70","\u2cd71","\u2cd72","\u2cd73","\u2cd74","\u2cd75","\u2cd76","\u2cd77","\u2cd78","\u2cd79","\u2cd7a","\u2cd7b","\u2cd7c","\u2cd7d","\u2cd7e","\u2cd7f","\u2cd80","\u2cd81","\u2cd82","\u2cd83","\u2cd84","\u2cd85","\u2cd86","\u2cd87","\u2cd88","\u2cd89","\u2cd8a","\u2cd8b","\u2cd8c","\u2cd8d","\u2cd8e","\u2cd8f","\u2cd90","\u2cd91","\u2cd92","\u2cd93","\u2cd94","\u2cd95","\u2cd96","\u2cd97","\u2cd98","\u2cd99","\u2cd9a","\u2cd9b","\u2cd9c","\u2cd9d","\u2cd9e","\u2cd9f","\u2cda0","\u2cda1","\u2cda2","\u2cda3","\u2cda4","\u2cda5","\u2cda6","\u2cda7","\u2cda8","\u2cda9","\u2cdaa","\u2cdab","\u2cdac","\u2cdad","\u2cdae","\u2cdaf","\u2cdb0","\u2cdb1","\u2cdb2","\u2cdb3","\u2cdb4","\u2cdb5","\u2cdb6","\u2cdb7","\u2cdb8","\u2cdb9","\u2cdba","\u2cdbb","\u2cdbc","\u2cdbd","\u2cdbe","\u2cdbf","\u2cdc0","\u2cdc1","\u2cdc2","\u2cdc3","\u2cdc4","\u2cdc5","\u2cdc6","\u2cdc7","\u2cdc8","\u2cdc9","\u2cdca","\u2cdcb","\u2cdcc","\u2cdcd","\u2cdce","\u2cdcf","\u2cdd0","\u2cdd1","\u2cdd2","\u2cdd3","\u2cdd4","\u2cdd5","\u2cdd6","\u2cdd7","\u2cdd8","\u2cdd9","\u2cdda","\u2cddb","\u2cddc","\u2cddd","\u2cdde","\u2cddf","\u2cde0","\u2cde1","\u2cde2","\u2cde3","\u2cde4","\u2cde5","\u2cde6","\u2cde7","\u2cde8","\u2cde9","\u2cdea","\u2cdeb","\u2cdec","\u2cded","\u2cdee","\u2cdef","\u2cdf0","\u2cdf1","\u2cdf2","\u2cdf3","\u2cdf4","\u2cdf5","\u2cdf6","\u2cdf7","\u2cdf8","\u2cdf9","\u2cdfa","\u2cdfb","\u2cdfc","\u2cdfd","\u2cdfe","\u2cdff","\u2ce00","\u2ce01","\u2ce02","\u2ce03","\u2ce04","\u2ce05","\u2ce06","\u2ce07","\u2ce08","\u2ce09","\u2ce0a","\u2ce0b","\u2ce0c","\u2ce0d","\u2ce0e","\u2ce0f","\u2ce10","\u2ce11","\u2ce12","\u2ce13","\u2ce14","\u2ce15","\u2ce16","\u2ce17","\u2ce18","\u2ce19","\u2ce1a","\u2ce1b","\u2ce1c","\u2ce1d","\u2ce1e","\u2ce1f","\u2ce20","\u2ce21","\u2ce22","\u2ce23","\u2ce24","\u2ce25","\u2ce26","\u2ce27","\u2ce28","\u2ce29","\u2ce2a","\u2ce2b","\u2ce2c","\u2ce2d","\u2ce2e","\u2ce2f","\u2ce30","\u2ce31","\u2ce32","\u2ce33","\u2ce34","\u2ce35","\u2ce36","\u2ce37","\u2ce38","\u2ce39","\u2ce3a","\u2ce3b","\u2ce3c","\u2ce3d","\u2ce3e","\u2ce3f","\u2ce40","\u2ce41","\u2ce42","\u2ce43","\u2ce44","\u2ce45","\u2ce46","\u2ce47","\u2ce48","\u2ce49","\u2ce4a","\u2ce4b","\u2ce4c","\u2ce4d","\u2ce4e","\u2ce4f","\u2ce50","\u2ce51","\u2ce52","\u2ce53","\u2ce54","\u2ce55","\u2ce56","\u2ce57","\u2ce58","\u2ce59","\u2ce5a","\u2ce5b","\u2ce5c","\u2ce5d","\u2ce5e","\u2ce5f","\u2ce60","\u2ce61","\u2ce62","\u2ce63","\u2ce64","\u2ce65","\u2ce66","\u2ce67","\u2ce68","\u2ce69","\u2ce6a","\u2ce6b","\u2ce6c","\u2ce6d","\u2ce6e","\u2ce6f","\u2ce70","\u2ce71","\u2ce72","\u2ce73","\u2ce74","\u2ce75","\u2ce76","\u2ce77","\u2ce78","\u2ce79","\u2ce7a","\u2ce7b","\u2ce7c","\u2ce7d","\u2ce7e","\u2ce7f","\u2ce80","\u2ce81","\u2ce82","\u2ce83","\u2ce84","\u2ce85","\u2ce86","\u2ce87","\u2ce88","\u2ce89","\u2ce8a","\u2ce8b","\u2ce8c","\u2ce8d","\u2ce8e","\u2ce8f","\u2ce90","\u2ce91","\u2ce92","\u2ce93","\u2ce94","\u2ce95","\u2ce96","\u2ce97","\u2ce98","\u2ce99","\u2ce9a","\u2ce9b","\u2ce9c","\u2ce9d","\u2ce9e","\u2ce9f","\u2cea0","\u2cea1",  # ; CJK UNIFIED IDEOGRAPH-*
        "\u2ceb0","\u2ceb1","\u2ceb2","\u2ceb3","\u2ceb4","\u2ceb5","\u2ceb6","\u2ceb7","\u2ceb8","\u2ceb9","\u2ceba","\u2cebb","\u2cebc","\u2cebd","\u2cebe","\u2cebf","\u2cec0","\u2cec1","\u2cec2","\u2cec3","\u2cec4","\u2cec5","\u2cec6","\u2cec7","\u2cec8","\u2cec9","\u2ceca","\u2cecb","\u2cecc","\u2cecd","\u2cece","\u2cecf","\u2ced0","\u2ced1","\u2ced2","\u2ced3","\u2ced4","\u2ced5","\u2ced6","\u2ced7","\u2ced8","\u2ced9","\u2ceda","\u2cedb","\u2cedc","\u2cedd","\u2cede","\u2cedf","\u2cee0","\u2cee1","\u2cee2","\u2cee3","\u2cee4","\u2cee5","\u2cee6","\u2cee7","\u2cee8","\u2cee9","\u2ceea","\u2ceeb","\u2ceec","\u2ceed","\u2ceee","\u2ceef","\u2cef0","\u2cef1","\u2cef2","\u2cef3","\u2cef4","\u2cef5","\u2cef6","\u2cef7","\u2cef8","\u2cef9","\u2cefa","\u2cefb","\u2cefc","\u2cefd","\u2cefe","\u2ceff","\u2cf00","\u2cf01","\u2cf02","\u2cf03","\u2cf04","\u2cf05","\u2cf06","\u2cf07","\u2cf08","\u2cf09","\u2cf0a","\u2cf0b","\u2cf0c","\u2cf0d","\u2cf0e","\u2cf0f","\u2cf10","\u2cf11","\u2cf12","\u2cf13","\u2cf14","\u2cf15","\u2cf16","\u2cf17","\u2cf18","\u2cf19","\u2cf1a","\u2cf1b","\u2cf1c","\u2cf1d","\u2cf1e","\u2cf1f","\u2cf20","\u2cf21","\u2cf22","\u2cf23","\u2cf24","\u2cf25","\u2cf26","\u2cf27","\u2cf28","\u2cf29","\u2cf2a","\u2cf2b","\u2cf2c","\u2cf2d","\u2cf2e","\u2cf2f","\u2cf30","\u2cf31","\u2cf32","\u2cf33","\u2cf34","\u2cf35","\u2cf36","\u2cf37","\u2cf38","\u2cf39","\u2cf3a","\u2cf3b","\u2cf3c","\u2cf3d","\u2cf3e","\u2cf3f","\u2cf40","\u2cf41","\u2cf42","\u2cf43","\u2cf44","\u2cf45","\u2cf46","\u2cf47","\u2cf48","\u2cf49","\u2cf4a","\u2cf4b","\u2cf4c","\u2cf4d","\u2cf4e","\u2cf4f","\u2cf50","\u2cf51","\u2cf52","\u2cf53","\u2cf54","\u2cf55","\u2cf56","\u2cf57","\u2cf58","\u2cf59","\u2cf5a","\u2cf5b","\u2cf5c","\u2cf5d","\u2cf5e","\u2cf5f","\u2cf60","\u2cf61","\u2cf62","\u2cf63","\u2cf64","\u2cf65","\u2cf66","\u2cf67","\u2cf68","\u2cf69","\u2cf6a","\u2cf6b","\u2cf6c","\u2cf6d","\u2cf6e","\u2cf6f","\u2cf70","\u2cf71","\u2cf72","\u2cf73","\u2cf74","\u2cf75","\u2cf76","\u2cf77","\u2cf78","\u2cf79","\u2cf7a","\u2cf7b","\u2cf7c","\u2cf7d","\u2cf7e","\u2cf7f","\u2cf80","\u2cf81","\u2cf82","\u2cf83","\u2cf84","\u2cf85","\u2cf86","\u2cf87","\u2cf88","\u2cf89","\u2cf8a","\u2cf8b","\u2cf8c","\u2cf8d","\u2cf8e","\u2cf8f","\u2cf90","\u2cf91","\u2cf92","\u2cf93","\u2cf94","\u2cf95","\u2cf96","\u2cf97","\u2cf98","\u2cf99","\u2cf9a","\u2cf9b","\u2cf9c","\u2cf9d","\u2cf9e","\u2cf9f","\u2cfa0","\u2cfa1","\u2cfa2","\u2cfa3","\u2cfa4","\u2cfa5","\u2cfa6","\u2cfa7","\u2cfa8","\u2cfa9","\u2cfaa","\u2cfab","\u2cfac","\u2cfad","\u2cfae","\u2cfaf","\u2cfb0","\u2cfb1","\u2cfb2","\u2cfb3","\u2cfb4","\u2cfb5","\u2cfb6","\u2cfb7","\u2cfb8","\u2cfb9","\u2cfba","\u2cfbb","\u2cfbc","\u2cfbd","\u2cfbe","\u2cfbf","\u2cfc0","\u2cfc1","\u2cfc2","\u2cfc3","\u2cfc4","\u2cfc5","\u2cfc6","\u2cfc7","\u2cfc8","\u2cfc9","\u2cfca","\u2cfcb","\u2cfcc","\u2cfcd","\u2cfce","\u2cfcf","\u2cfd0","\u2cfd1","\u2cfd2","\u2cfd3","\u2cfd4","\u2cfd5","\u2cfd6","\u2cfd7","\u2cfd8","\u2cfd9","\u2cfda","\u2cfdb","\u2cfdc","\u2cfdd","\u2cfde","\u2cfdf","\u2cfe0","\u2cfe1","\u2cfe2","\u2cfe3","\u2cfe4","\u2cfe5","\u2cfe6","\u2cfe7","\u2cfe8","\u2cfe9","\u2cfea","\u2cfeb","\u2cfec","\u2cfed","\u2cfee","\u2cfef","\u2cff0","\u2cff1","\u2cff2","\u2cff3","\u2cff4","\u2cff5","\u2cff6","\u2cff7","\u2cff8","\u2cff9","\u2cffa","\u2cffb","\u2cffc","\u2cffd","\u2cffe","\u2cfff","\u2d000","\u2d001","\u2d002","\u2d003","\u2d004","\u2d005","\u2d006","\u2d007","\u2d008","\u2d009","\u2d00a","\u2d00b","\u2d00c","\u2d00d","\u2d00e","\u2d00f","\u2d010","\u2d011","\u2d012","\u2d013","\u2d014","\u2d015","\u2d016","\u2d017","\u2d018","\u2d019","\u2d01a","\u2d01b","\u2d01c","\u2d01d","\u2d01e","\u2d01f","\u2d020","\u2d021","\u2d022","\u2d023","\u2d024","\u2d025","\u2d026","\u2d027","\u2d028","\u2d029","\u2d02a","\u2d02b","\u2d02c","\u2d02d","\u2d02e","\u2d02f","\u2d030","\u2d031","\u2d032","\u2d033","\u2d034","\u2d035","\u2d036","\u2d037","\u2d038","\u2d039","\u2d03a","\u2d03b","\u2d03c","\u2d03d","\u2d03e","\u2d03f","\u2d040","\u2d041","\u2d042","\u2d043","\u2d044","\u2d045","\u2d046","\u2d047","\u2d048","\u2d049","\u2d04a","\u2d04b","\u2d04c","\u2d04d","\u2d04e","\u2d04f","\u2d050","\u2d051","\u2d052","\u2d053","\u2d054","\u2d055","\u2d056","\u2d057","\u2d058","\u2d059","\u2d05a","\u2d05b","\u2d05c","\u2d05d","\u2d05e","\u2d05f","\u2d060","\u2d061","\u2d062","\u2d063","\u2d064","\u2d065","\u2d066","\u2d067","\u2d068","\u2d069","\u2d06a","\u2d06b","\u2d06c","\u2d06d","\u2d06e","\u2d06f","\u2d070","\u2d071","\u2d072","\u2d073","\u2d074","\u2d075","\u2d076","\u2d077","\u2d078","\u2d079","\u2d07a","\u2d07b","\u2d07c","\u2d07d","\u2d07e","\u2d07f","\u2d080","\u2d081","\u2d082","\u2d083","\u2d084","\u2d085","\u2d086","\u2d087","\u2d088","\u2d089","\u2d08a","\u2d08b","\u2d08c","\u2d08d","\u2d08e","\u2d08f","\u2d090","\u2d091","\u2d092","\u2d093","\u2d094","\u2d095","\u2d096","\u2d097","\u2d098","\u2d099","\u2d09a","\u2d09b","\u2d09c","\u2d09d","\u2d09e","\u2d09f","\u2d0a0","\u2d0a1","\u2d0a2","\u2d0a3","\u2d0a4","\u2d0a5","\u2d0a6","\u2d0a7","\u2d0a8","\u2d0a9","\u2d0aa","\u2d0ab","\u2d0ac","\u2d0ad","\u2d0ae","\u2d0af","\u2d0b0","\u2d0b1","\u2d0b2","\u2d0b3","\u2d0b4","\u2d0b5","\u2d0b6","\u2d0b7","\u2d0b8","\u2d0b9","\u2d0ba","\u2d0bb","\u2d0bc","\u2d0bd","\u2d0be","\u2d0bf","\u2d0c0","\u2d0c1","\u2d0c2","\u2d0c3","\u2d0c4","\u2d0c5","\u2d0c6","\u2d0c7","\u2d0c8","\u2d0c9","\u2d0ca","\u2d0cb","\u2d0cc","\u2d0cd","\u2d0ce","\u2d0cf","\u2d0d0","\u2d0d1","\u2d0d2","\u2d0d3","\u2d0d4","\u2d0d5","\u2d0d6","\u2d0d7","\u2d0d8","\u2d0d9","\u2d0da","\u2d0db","\u2d0dc","\u2d0dd","\u2d0de","\u2d0df","\u2d0e0","\u2d0e1","\u2d0e2","\u2d0e3","\u2d0e4","\u2d0e5","\u2d0e6","\u2d0e7","\u2d0e8","\u2d0e9","\u2d0ea","\u2d0eb","\u2d0ec","\u2d0ed","\u2d0ee","\u2d0ef","\u2d0f0","\u2d0f1","\u2d0f2","\u2d0f3","\u2d0f4","\u2d0f5","\u2d0f6","\u2d0f7","\u2d0f8","\u2d0f9","\u2d0fa","\u2d0fb","\u2d0fc","\u2d0fd","\u2d0fe","\u2d0ff","\u2d100","\u2d101","\u2d102","\u2d103","\u2d104","\u2d105","\u2d106","\u2d107","\u2d108","\u2d109","\u2d10a","\u2d10b","\u2d10c","\u2d10d","\u2d10e","\u2d10f","\u2d110","\u2d111","\u2d112","\u2d113","\u2d114","\u2d115","\u2d116","\u2d117","\u2d118","\u2d119","\u2d11a","\u2d11b","\u2d11c","\u2d11d","\u2d11e","\u2d11f","\u2d120","\u2d121","\u2d122","\u2d123","\u2d124","\u2d125","\u2d126","\u2d127","\u2d128","\u2d129","\u2d12a","\u2d12b","\u2d12c","\u2d12d","\u2d12e","\u2d12f","\u2d130","\u2d131","\u2d132","\u2d133","\u2d134","\u2d135","\u2d136","\u2d137","\u2d138","\u2d139","\u2d13a","\u2d13b","\u2d13c","\u2d13d","\u2d13e","\u2d13f","\u2d140","\u2d141","\u2d142","\u2d143","\u2d144","\u2d145","\u2d146","\u2d147","\u2d148","\u2d149","\u2d14a","\u2d14b","\u2d14c","\u2d14d","\u2d14e","\u2d14f","\u2d150","\u2d151","\u2d152","\u2d153","\u2d154","\u2d155","\u2d156","\u2d157","\u2d158","\u2d159","\u2d15a","\u2d15b","\u2d15c","\u2d15d","\u2d15e","\u2d15f","\u2d160","\u2d161","\u2d162","\u2d163","\u2d164","\u2d165","\u2d166","\u2d167","\u2d168","\u2d169","\u2d16a","\u2d16b","\u2d16c","\u2d16d","\u2d16e","\u2d16f","\u2d170","\u2d171","\u2d172","\u2d173","\u2d174","\u2d175","\u2d176","\u2d177","\u2d178","\u2d179","\u2d17a","\u2d17b","\u2d17c","\u2d17d","\u2d17e","\u2d17f","\u2d180","\u2d181","\u2d182","\u2d183","\u2d184","\u2d185","\u2d186","\u2d187","\u2d188","\u2d189","\u2d18a","\u2d18b","\u2d18c","\u2d18d","\u2d18e","\u2d18f","\u2d190","\u2d191","\u2d192","\u2d193","\u2d194","\u2d195","\u2d196","\u2d197","\u2d198","\u2d199","\u2d19a","\u2d19b","\u2d19c","\u2d19d","\u2d19e","\u2d19f","\u2d1a0","\u2d1a1","\u2d1a2","\u2d1a3","\u2d1a4","\u2d1a5","\u2d1a6","\u2d1a7","\u2d1a8","\u2d1a9","\u2d1aa","\u2d1ab","\u2d1ac","\u2d1ad","\u2d1ae","\u2d1af","\u2d1b0","\u2d1b1","\u2d1b2","\u2d1b3","\u2d1b4","\u2d1b5","\u2d1b6","\u2d1b7","\u2d1b8","\u2d1b9","\u2d1ba","\u2d1bb","\u2d1bc","\u2d1bd","\u2d1be","\u2d1bf","\u2d1c0","\u2d1c1","\u2d1c2","\u2d1c3","\u2d1c4","\u2d1c5","\u2d1c6","\u2d1c7","\u2d1c8","\u2d1c9","\u2d1ca","\u2d1cb","\u2d1cc","\u2d1cd","\u2d1ce","\u2d1cf","\u2d1d0","\u2d1d1","\u2d1d2","\u2d1d3","\u2d1d4","\u2d1d5","\u2d1d6","\u2d1d7","\u2d1d8","\u2d1d9","\u2d1da","\u2d1db","\u2d1dc","\u2d1dd","\u2d1de","\u2d1df","\u2d1e0","\u2d1e1","\u2d1e2","\u2d1e3","\u2d1e4","\u2d1e5","\u2d1e6","\u2d1e7","\u2d1e8","\u2d1e9","\u2d1ea","\u2d1eb","\u2d1ec","\u2d1ed","\u2d1ee","\u2d1ef","\u2d1f0","\u2d1f1","\u2d1f2","\u2d1f3","\u2d1f4","\u2d1f5","\u2d1f6","\u2d1f7","\u2d1f8","\u2d1f9","\u2d1fa","\u2d1fb","\u2d1fc","\u2d1fd","\u2d1fe","\u2d1ff","\u2d200","\u2d201","\u2d202","\u2d203","\u2d204","\u2d205","\u2d206","\u2d207","\u2d208","\u2d209","\u2d20a","\u2d20b","\u2d20c","\u2d20d","\u2d20e","\u2d20f","\u2d210","\u2d211","\u2d212","\u2d213","\u2d214","\u2d215","\u2d216","\u2d217","\u2d218","\u2d219","\u2d21a","\u2d21b","\u2d21c","\u2d21d","\u2d21e","\u2d21f","\u2d220","\u2d221","\u2d222","\u2d223","\u2d224","\u2d225","\u2d226","\u2d227","\u2d228","\u2d229","\u2d22a","\u2d22b","\u2d22c","\u2d22d","\u2d22e","\u2d22f","\u2d230","\u2d231","\u2d232","\u2d233","\u2d234","\u2d235","\u2d236","\u2d237","\u2d238","\u2d239","\u2d23a","\u2d23b","\u2d23c","\u2d23d","\u2d23e","\u2d23f","\u2d240","\u2d241","\u2d242","\u2d243","\u2d244","\u2d245","\u2d246","\u2d247","\u2d248","\u2d249","\u2d24a","\u2d24b","\u2d24c","\u2d24d","\u2d24e","\u2d24f","\u2d250","\u2d251","\u2d252","\u2d253","\u2d254","\u2d255","\u2d256","\u2d257","\u2d258","\u2d259","\u2d25a","\u2d25b","\u2d25c","\u2d25d","\u2d25e","\u2d25f","\u2d260","\u2d261","\u2d262","\u2d263","\u2d264","\u2d265","\u2d266","\u2d267","\u2d268","\u2d269","\u2d26a","\u2d26b","\u2d26c","\u2d26d","\u2d26e","\u2d26f","\u2d270","\u2d271","\u2d272","\u2d273","\u2d274","\u2d275","\u2d276","\u2d277","\u2d278","\u2d279","\u2d27a","\u2d27b","\u2d27c","\u2d27d","\u2d27e","\u2d27f","\u2d280","\u2d281","\u2d282","\u2d283","\u2d284","\u2d285","\u2d286","\u2d287","\u2d288","\u2d289","\u2d28a","\u2d28b","\u2d28c","\u2d28d","\u2d28e","\u2d28f","\u2d290","\u2d291","\u2d292","\u2d293","\u2d294","\u2d295","\u2d296","\u2d297","\u2d298","\u2d299","\u2d29a","\u2d29b","\u2d29c","\u2d29d","\u2d29e","\u2d29f","\u2d2a0","\u2d2a1","\u2d2a2","\u2d2a3","\u2d2a4","\u2d2a5","\u2d2a6","\u2d2a7","\u2d2a8","\u2d2a9","\u2d2aa","\u2d2ab","\u2d2ac","\u2d2ad","\u2d2ae","\u2d2af","\u2d2b0","\u2d2b1","\u2d2b2","\u2d2b3","\u2d2b4","\u2d2b5","\u2d2b6","\u2d2b7","\u2d2b8","\u2d2b9","\u2d2ba","\u2d2bb","\u2d2bc","\u2d2bd","\u2d2be","\u2d2bf","\u2d2c0","\u2d2c1","\u2d2c2","\u2d2c3","\u2d2c4","\u2d2c5","\u2d2c6","\u2d2c7","\u2d2c8","\u2d2c9","\u2d2ca","\u2d2cb","\u2d2cc","\u2d2cd","\u2d2ce","\u2d2cf","\u2d2d0","\u2d2d1","\u2d2d2","\u2d2d3","\u2d2d4","\u2d2d5","\u2d2d6","\u2d2d7","\u2d2d8","\u2d2d9","\u2d2da","\u2d2db","\u2d2dc","\u2d2dd","\u2d2de","\u2d2df","\u2d2e0","\u2d2e1","\u2d2e2","\u2d2e3","\u2d2e4","\u2d2e5","\u2d2e6","\u2d2e7","\u2d2e8","\u2d2e9","\u2d2ea","\u2d2eb","\u2d2ec","\u2d2ed","\u2d2ee","\u2d2ef","\u2d2f0","\u2d2f1","\u2d2f2","\u2d2f3","\u2d2f4","\u2d2f5","\u2d2f6","\u2d2f7","\u2d2f8","\u2d2f9","\u2d2fa","\u2d2fb","\u2d2fc","\u2d2fd","\u2d2fe","\u2d2ff","\u2d300","\u2d301","\u2d302","\u2d303","\u2d304","\u2d305","\u2d306","\u2d307","\u2d308","\u2d309","\u2d30a","\u2d30b","\u2d30c","\u2d30d","\u2d30e","\u2d30f","\u2d310","\u2d311","\u2d312","\u2d313","\u2d314","\u2d315","\u2d316","\u2d317","\u2d318","\u2d319","\u2d31a","\u2d31b","\u2d31c","\u2d31d","\u2d31e","\u2d31f","\u2d320","\u2d321","\u2d322","\u2d323","\u2d324","\u2d325","\u2d326","\u2d327","\u2d328","\u2d329","\u2d32a","\u2d32b","\u2d32c","\u2d32d","\u2d32e","\u2d32f","\u2d330","\u2d331","\u2d332","\u2d333","\u2d334","\u2d335","\u2d336","\u2d337","\u2d338","\u2d339","\u2d33a","\u2d33b","\u2d33c","\u2d33d","\u2d33e","\u2d33f","\u2d340","\u2d341","\u2d342","\u2d343","\u2d344","\u2d345","\u2d346","\u2d347","\u2d348","\u2d349","\u2d34a","\u2d34b","\u2d34c","\u2d34d","\u2d34e","\u2d34f","\u2d350","\u2d351","\u2d352","\u2d353","\u2d354","\u2d355","\u2d356","\u2d357","\u2d358","\u2d359","\u2d35a","\u2d35b","\u2d35c","\u2d35d","\u2d35e","\u2d35f","\u2d360","\u2d361","\u2d362","\u2d363","\u2d364","\u2d365","\u2d366","\u2d367","\u2d368","\u2d369","\u2d36a","\u2d36b","\u2d36c","\u2d36d","\u2d36e","\u2d36f","\u2d370","\u2d371","\u2d372","\u2d373","\u2d374","\u2d375","\u2d376","\u2d377","\u2d378","\u2d379","\u2d37a","\u2d37b","\u2d37c","\u2d37d","\u2d37e","\u2d37f","\u2d380","\u2d381","\u2d382","\u2d383","\u2d384","\u2d385","\u2d386","\u2d387","\u2d388","\u2d389","\u2d38a","\u2d38b","\u2d38c","\u2d38d","\u2d38e","\u2d38f","\u2d390","\u2d391","\u2d392","\u2d393","\u2d394","\u2d395","\u2d396","\u2d397","\u2d398","\u2d399","\u2d39a","\u2d39b","\u2d39c","\u2d39d","\u2d39e","\u2d39f","\u2d3a0","\u2d3a1","\u2d3a2","\u2d3a3","\u2d3a4","\u2d3a5","\u2d3a6","\u2d3a7","\u2d3a8","\u2d3a9","\u2d3aa","\u2d3ab","\u2d3ac","\u2d3ad","\u2d3ae","\u2d3af","\u2d3b0","\u2d3b1","\u2d3b2","\u2d3b3","\u2d3b4","\u2d3b5","\u2d3b6","\u2d3b7","\u2d3b8","\u2d3b9","\u2d3ba","\u2d3bb","\u2d3bc","\u2d3bd","\u2d3be","\u2d3bf","\u2d3c0","\u2d3c1","\u2d3c2","\u2d3c3","\u2d3c4","\u2d3c5","\u2d3c6","\u2d3c7","\u2d3c8","\u2d3c9","\u2d3ca","\u2d3cb","\u2d3cc","\u2d3cd","\u2d3ce","\u2d3cf","\u2d3d0","\u2d3d1","\u2d3d2","\u2d3d3","\u2d3d4","\u2d3d5","\u2d3d6","\u2d3d7","\u2d3d8","\u2d3d9","\u2d3da","\u2d3db","\u2d3dc","\u2d3dd","\u2d3de","\u2d3df","\u2d3e0","\u2d3e1","\u2d3e2","\u2d3e3","\u2d3e4","\u2d3e5","\u2d3e6","\u2d3e7","\u2d3e8","\u2d3e9","\u2d3ea","\u2d3eb","\u2d3ec","\u2d3ed","\u2d3ee","\u2d3ef","\u2d3f0","\u2d3f1","\u2d3f2","\u2d3f3","\u2d3f4","\u2d3f5","\u2d3f6","\u2d3f7","\u2d3f8","\u2d3f9","\u2d3fa","\u2d3fb","\u2d3fc","\u2d3fd","\u2d3fe","\u2d3ff","\u2d400","\u2d401","\u2d402","\u2d403","\u2d404","\u2d405","\u2d406","\u2d407","\u2d408","\u2d409","\u2d40a","\u2d40b","\u2d40c","\u2d40d","\u2d40e","\u2d40f","\u2d410","\u2d411","\u2d412","\u2d413","\u2d414","\u2d415","\u2d416","\u2d417","\u2d418","\u2d419","\u2d41a","\u2d41b","\u2d41c","\u2d41d","\u2d41e","\u2d41f","\u2d420","\u2d421","\u2d422","\u2d423","\u2d424","\u2d425","\u2d426","\u2d427","\u2d428","\u2d429","\u2d42a","\u2d42b","\u2d42c","\u2d42d","\u2d42e","\u2d42f","\u2d430","\u2d431","\u2d432","\u2d433","\u2d434","\u2d435","\u2d436","\u2d437","\u2d438","\u2d439","\u2d43a","\u2d43b","\u2d43c","\u2d43d","\u2d43e","\u2d43f","\u2d440","\u2d441","\u2d442","\u2d443","\u2d444","\u2d445","\u2d446","\u2d447","\u2d448","\u2d449","\u2d44a","\u2d44b","\u2d44c","\u2d44d","\u2d44e","\u2d44f","\u2d450","\u2d451","\u2d452","\u2d453","\u2d454","\u2d455","\u2d456","\u2d457","\u2d458","\u2d459","\u2d45a","\u2d45b","\u2d45c","\u2d45d","\u2d45e","\u2d45f","\u2d460","\u2d461","\u2d462","\u2d463","\u2d464","\u2d465","\u2d466","\u2d467","\u2d468","\u2d469","\u2d46a","\u2d46b","\u2d46c","\u2d46d","\u2d46e","\u2d46f","\u2d470","\u2d471","\u2d472","\u2d473","\u2d474","\u2d475","\u2d476","\u2d477","\u2d478","\u2d479","\u2d47a","\u2d47b","\u2d47c","\u2d47d","\u2d47e","\u2d47f","\u2d480","\u2d481","\u2d482","\u2d483","\u2d484","\u2d485","\u2d486","\u2d487","\u2d488","\u2d489","\u2d48a","\u2d48b","\u2d48c","\u2d48d","\u2d48e","\u2d48f","\u2d490","\u2d491","\u2d492","\u2d493","\u2d494","\u2d495","\u2d496","\u2d497","\u2d498","\u2d499","\u2d49a","\u2d49b","\u2d49c","\u2d49d","\u2d49e","\u2d49f","\u2d4a0","\u2d4a1","\u2d4a2","\u2d4a3","\u2d4a4","\u2d4a5","\u2d4a6","\u2d4a7","\u2d4a8","\u2d4a9","\u2d4aa","\u2d4ab","\u2d4ac","\u2d4ad","\u2d4ae","\u2d4af","\u2d4b0","\u2d4b1","\u2d4b2","\u2d4b3","\u2d4b4","\u2d4b5","\u2d4b6","\u2d4b7","\u2d4b8","\u2d4b9","\u2d4ba","\u2d4bb","\u2d4bc","\u2d4bd","\u2d4be","\u2d4bf","\u2d4c0","\u2d4c1","\u2d4c2","\u2d4c3","\u2d4c4","\u2d4c5","\u2d4c6","\u2d4c7","\u2d4c8","\u2d4c9","\u2d4ca","\u2d4cb","\u2d4cc","\u2d4cd","\u2d4ce","\u2d4cf","\u2d4d0","\u2d4d1","\u2d4d2","\u2d4d3","\u2d4d4","\u2d4d5","\u2d4d6","\u2d4d7","\u2d4d8","\u2d4d9","\u2d4da","\u2d4db","\u2d4dc","\u2d4dd","\u2d4de","\u2d4df","\u2d4e0","\u2d4e1","\u2d4e2","\u2d4e3","\u2d4e4","\u2d4e5","\u2d4e6","\u2d4e7","\u2d4e8","\u2d4e9","\u2d4ea","\u2d4eb","\u2d4ec","\u2d4ed","\u2d4ee","\u2d4ef","\u2d4f0","\u2d4f1","\u2d4f2","\u2d4f3","\u2d4f4","\u2d4f5","\u2d4f6","\u2d4f7","\u2d4f8","\u2d4f9","\u2d4fa","\u2d4fb","\u2d4fc","\u2d4fd","\u2d4fe","\u2d4ff","\u2d500","\u2d501","\u2d502","\u2d503","\u2d504","\u2d505","\u2d506","\u2d507","\u2d508","\u2d509","\u2d50a","\u2d50b","\u2d50c","\u2d50d","\u2d50e","\u2d50f","\u2d510","\u2d511","\u2d512","\u2d513","\u2d514","\u2d515","\u2d516","\u2d517","\u2d518","\u2d519","\u2d51a","\u2d51b","\u2d51c","\u2d51d","\u2d51e","\u2d51f","\u2d520","\u2d521","\u2d522","\u2d523","\u2d524","\u2d525","\u2d526","\u2d527","\u2d528","\u2d529","\u2d52a","\u2d52b","\u2d52c","\u2d52d","\u2d52e","\u2d52f","\u2d530","\u2d531","\u2d532","\u2d533","\u2d534","\u2d535","\u2d536","\u2d537","\u2d538","\u2d539","\u2d53a","\u2d53b","\u2d53c","\u2d53d","\u2d53e","\u2d53f","\u2d540","\u2d541","\u2d542","\u2d543","\u2d544","\u2d545","\u2d546","\u2d547","\u2d548","\u2d549","\u2d54a","\u2d54b","\u2d54c","\u2d54d","\u2d54e","\u2d54f","\u2d550","\u2d551","\u2d552","\u2d553","\u2d554","\u2d555","\u2d556","\u2d557","\u2d558","\u2d559","\u2d55a","\u2d55b","\u2d55c","\u2d55d","\u2d55e","\u2d55f","\u2d560","\u2d561","\u2d562","\u2d563","\u2d564","\u2d565","\u2d566","\u2d567","\u2d568","\u2d569","\u2d56a","\u2d56b","\u2d56c","\u2d56d","\u2d56e","\u2d56f","\u2d570","\u2d571","\u2d572","\u2d573","\u2d574","\u2d575","\u2d576","\u2d577","\u2d578","\u2d579","\u2d57a","\u2d57b","\u2d57c","\u2d57d","\u2d57e","\u2d57f","\u2d580","\u2d581","\u2d582","\u2d583","\u2d584","\u2d585","\u2d586","\u2d587","\u2d588","\u2d589","\u2d58a","\u2d58b","\u2d58c","\u2d58d","\u2d58e","\u2d58f","\u2d590","\u2d591","\u2d592","\u2d593","\u2d594","\u2d595","\u2d596","\u2d597","\u2d598","\u2d599","\u2d59a","\u2d59b","\u2d59c","\u2d59d","\u2d59e","\u2d59f","\u2d5a0","\u2d5a1","\u2d5a2","\u2d5a3","\u2d5a4","\u2d5a5","\u2d5a6","\u2d5a7","\u2d5a8","\u2d5a9","\u2d5aa","\u2d5ab","\u2d5ac","\u2d5ad","\u2d5ae","\u2d5af","\u2d5b0","\u2d5b1","\u2d5b2","\u2d5b3","\u2d5b4","\u2d5b5","\u2d5b6","\u2d5b7","\u2d5b8","\u2d5b9","\u2d5ba","\u2d5bb","\u2d5bc","\u2d5bd","\u2d5be","\u2d5bf","\u2d5c0","\u2d5c1","\u2d5c2","\u2d5c3","\u2d5c4","\u2d5c5","\u2d5c6","\u2d5c7","\u2d5c8","\u2d5c9","\u2d5ca","\u2d5cb","\u2d5cc","\u2d5cd","\u2d5ce","\u2d5cf","\u2d5d0","\u2d5d1","\u2d5d2","\u2d5d3","\u2d5d4","\u2d5d5","\u2d5d6","\u2d5d7","\u2d5d8","\u2d5d9","\u2d5da","\u2d5db","\u2d5dc","\u2d5dd","\u2d5de","\u2d5df","\u2d5e0","\u2d5e1","\u2d5e2","\u2d5e3","\u2d5e4","\u2d5e5","\u2d5e6","\u2d5e7","\u2d5e8","\u2d5e9","\u2d5ea","\u2d5eb","\u2d5ec","\u2d5ed","\u2d5ee","\u2d5ef","\u2d5f0","\u2d5f1","\u2d5f2","\u2d5f3","\u2d5f4","\u2d5f5","\u2d5f6","\u2d5f7","\u2d5f8","\u2d5f9","\u2d5fa","\u2d5fb","\u2d5fc","\u2d5fd","\u2d5fe","\u2d5ff","\u2d600","\u2d601","\u2d602","\u2d603","\u2d604","\u2d605","\u2d606","\u2d607","\u2d608","\u2d609","\u2d60a","\u2d60b","\u2d60c","\u2d60d","\u2d60e","\u2d60f","\u2d610","\u2d611","\u2d612","\u2d613","\u2d614","\u2d615","\u2d616","\u2d617","\u2d618","\u2d619","\u2d61a","\u2d61b","\u2d61c","\u2d61d","\u2d61e","\u2d61f","\u2d620","\u2d621","\u2d622","\u2d623","\u2d624","\u2d625","\u2d626","\u2d627","\u2d628","\u2d629","\u2d62a","\u2d62b","\u2d62c","\u2d62d","\u2d62e","\u2d62f","\u2d630","\u2d631","\u2d632","\u2d633","\u2d634","\u2d635","\u2d636","\u2d637","\u2d638","\u2d639","\u2d63a","\u2d63b","\u2d63c","\u2d63d","\u2d63e","\u2d63f","\u2d640","\u2d641","\u2d642","\u2d643","\u2d644","\u2d645","\u2d646","\u2d647","\u2d648","\u2d649","\u2d64a","\u2d64b","\u2d64c","\u2d64d","\u2d64e","\u2d64f","\u2d650","\u2d651","\u2d652","\u2d653","\u2d654","\u2d655","\u2d656","\u2d657","\u2d658","\u2d659","\u2d65a","\u2d65b","\u2d65c","\u2d65d","\u2d65e","\u2d65f","\u2d660","\u2d661","\u2d662","\u2d663","\u2d664","\u2d665","\u2d666","\u2d667","\u2d668","\u2d669","\u2d66a","\u2d66b","\u2d66c","\u2d66d","\u2d66e","\u2d66f","\u2d670","\u2d671","\u2d672","\u2d673","\u2d674","\u2d675","\u2d676","\u2d677","\u2d678","\u2d679","\u2d67a","\u2d67b","\u2d67c","\u2d67d","\u2d67e","\u2d67f","\u2d680","\u2d681","\u2d682","\u2d683","\u2d684","\u2d685","\u2d686","\u2d687","\u2d688","\u2d689","\u2d68a","\u2d68b","\u2d68c","\u2d68d","\u2d68e","\u2d68f","\u2d690","\u2d691","\u2d692","\u2d693","\u2d694","\u2d695","\u2d696","\u2d697","\u2d698","\u2d699","\u2d69a","\u2d69b","\u2d69c","\u2d69d","\u2d69e","\u2d69f","\u2d6a0","\u2d6a1","\u2d6a2","\u2d6a3","\u2d6a4","\u2d6a5","\u2d6a6","\u2d6a7","\u2d6a8","\u2d6a9","\u2d6aa","\u2d6ab","\u2d6ac","\u2d6ad","\u2d6ae","\u2d6af","\u2d6b0","\u2d6b1","\u2d6b2","\u2d6b3","\u2d6b4","\u2d6b5","\u2d6b6","\u2d6b7","\u2d6b8","\u2d6b9","\u2d6ba","\u2d6bb","\u2d6bc","\u2d6bd","\u2d6be","\u2d6bf","\u2d6c0","\u2d6c1","\u2d6c2","\u2d6c3","\u2d6c4","\u2d6c5","\u2d6c6","\u2d6c7","\u2d6c8","\u2d6c9","\u2d6ca","\u2d6cb","\u2d6cc","\u2d6cd","\u2d6ce","\u2d6cf","\u2d6d0","\u2d6d1","\u2d6d2","\u2d6d3","\u2d6d4","\u2d6d5","\u2d6d6","\u2d6d7","\u2d6d8","\u2d6d9","\u2d6da","\u2d6db","\u2d6dc","\u2d6dd","\u2d6de","\u2d6df","\u2d6e0","\u2d6e1","\u2d6e2","\u2d6e3","\u2d6e4","\u2d6e5","\u2d6e6","\u2d6e7","\u2d6e8","\u2d6e9","\u2d6ea","\u2d6eb","\u2d6ec","\u2d6ed","\u2d6ee","\u2d6ef","\u2d6f0","\u2d6f1","\u2d6f2","\u2d6f3","\u2d6f4","\u2d6f5","\u2d6f6","\u2d6f7","\u2d6f8","\u2d6f9","\u2d6fa","\u2d6fb","\u2d6fc","\u2d6fd","\u2d6fe","\u2d6ff","\u2d700","\u2d701","\u2d702","\u2d703","\u2d704","\u2d705","\u2d706","\u2d707","\u2d708","\u2d709","\u2d70a","\u2d70b","\u2d70c","\u2d70d","\u2d70e","\u2d70f","\u2d710","\u2d711","\u2d712","\u2d713","\u2d714","\u2d715","\u2d716","\u2d717","\u2d718","\u2d719","\u2d71a","\u2d71b","\u2d71c","\u2d71d","\u2d71e","\u2d71f","\u2d720","\u2d721","\u2d722","\u2d723","\u2d724","\u2d725","\u2d726","\u2d727","\u2d728","\u2d729","\u2d72a","\u2d72b","\u2d72c","\u2d72d","\u2d72e","\u2d72f","\u2d730","\u2d731","\u2d732","\u2d733","\u2d734","\u2d735","\u2d736","\u2d737","\u2d738","\u2d739","\u2d73a","\u2d73b","\u2d73c","\u2d73d","\u2d73e","\u2d73f","\u2d740","\u2d741","\u2d742","\u2d743","\u2d744","\u2d745","\u2d746","\u2d747","\u2d748","\u2d749","\u2d74a","\u2d74b","\u2d74c","\u2d74d","\u2d74e","\u2d74f","\u2d750","\u2d751","\u2d752","\u2d753","\u2d754","\u2d755","\u2d756","\u2d757","\u2d758","\u2d759","\u2d75a","\u2d75b","\u2d75c","\u2d75d","\u2d75e","\u2d75f","\u2d760","\u2d761","\u2d762","\u2d763","\u2d764","\u2d765","\u2d766","\u2d767","\u2d768","\u2d769","\u2d76a","\u2d76b","\u2d76c","\u2d76d","\u2d76e","\u2d76f","\u2d770","\u2d771","\u2d772","\u2d773","\u2d774","\u2d775","\u2d776","\u2d777","\u2d778","\u2d779","\u2d77a","\u2d77b","\u2d77c","\u2d77d","\u2d77e","\u2d77f","\u2d780","\u2d781","\u2d782","\u2d783","\u2d784","\u2d785","\u2d786","\u2d787","\u2d788","\u2d789","\u2d78a","\u2d78b","\u2d78c","\u2d78d","\u2d78e","\u2d78f","\u2d790","\u2d791","\u2d792","\u2d793","\u2d794","\u2d795","\u2d796","\u2d797","\u2d798","\u2d799","\u2d79a","\u2d79b","\u2d79c","\u2d79d","\u2d79e","\u2d79f","\u2d7a0","\u2d7a1","\u2d7a2","\u2d7a3","\u2d7a4","\u2d7a5","\u2d7a6","\u2d7a7","\u2d7a8","\u2d7a9","\u2d7aa","\u2d7ab","\u2d7ac","\u2d7ad","\u2d7ae","\u2d7af","\u2d7b0","\u2d7b1","\u2d7b2","\u2d7b3","\u2d7b4","\u2d7b5","\u2d7b6","\u2d7b7","\u2d7b8","\u2d7b9","\u2d7ba","\u2d7bb","\u2d7bc","\u2d7bd","\u2d7be","\u2d7bf","\u2d7c0","\u2d7c1","\u2d7c2","\u2d7c3","\u2d7c4","\u2d7c5","\u2d7c6","\u2d7c7","\u2d7c8","\u2d7c9","\u2d7ca","\u2d7cb","\u2d7cc","\u2d7cd","\u2d7ce","\u2d7cf","\u2d7d0","\u2d7d1","\u2d7d2","\u2d7d3","\u2d7d4","\u2d7d5","\u2d7d6","\u2d7d7","\u2d7d8","\u2d7d9","\u2d7da","\u2d7db","\u2d7dc","\u2d7dd","\u2d7de","\u2d7df","\u2d7e0","\u2d7e1","\u2d7e2","\u2d7e3","\u2d7e4","\u2d7e5","\u2d7e6","\u2d7e7","\u2d7e8","\u2d7e9","\u2d7ea","\u2d7eb","\u2d7ec","\u2d7ed","\u2d7ee","\u2d7ef","\u2d7f0","\u2d7f1","\u2d7f2","\u2d7f3","\u2d7f4","\u2d7f5","\u2d7f6","\u2d7f7","\u2d7f8","\u2d7f9","\u2d7fa","\u2d7fb","\u2d7fc","\u2d7fd","\u2d7fe","\u2d7ff","\u2d800","\u2d801","\u2d802","\u2d803","\u2d804","\u2d805","\u2d806","\u2d807","\u2d808","\u2d809","\u2d80a","\u2d80b","\u2d80c","\u2d80d","\u2d80e","\u2d80f","\u2d810","\u2d811","\u2d812","\u2d813","\u2d814","\u2d815","\u2d816","\u2d817","\u2d818","\u2d819","\u2d81a","\u2d81b","\u2d81c","\u2d81d","\u2d81e","\u2d81f","\u2d820","\u2d821","\u2d822","\u2d823","\u2d824","\u2d825","\u2d826","\u2d827","\u2d828","\u2d829","\u2d82a","\u2d82b","\u2d82c","\u2d82d","\u2d82e","\u2d82f","\u2d830","\u2d831","\u2d832","\u2d833","\u2d834","\u2d835","\u2d836","\u2d837","\u2d838","\u2d839","\u2d83a","\u2d83b","\u2d83c","\u2d83d","\u2d83e","\u2d83f","\u2d840","\u2d841","\u2d842","\u2d843","\u2d844","\u2d845","\u2d846","\u2d847","\u2d848","\u2d849","\u2d84a","\u2d84b","\u2d84c","\u2d84d","\u2d84e","\u2d84f","\u2d850","\u2d851","\u2d852","\u2d853","\u2d854","\u2d855","\u2d856","\u2d857","\u2d858","\u2d859","\u2d85a","\u2d85b","\u2d85c","\u2d85d","\u2d85e","\u2d85f","\u2d860","\u2d861","\u2d862","\u2d863","\u2d864","\u2d865","\u2d866","\u2d867","\u2d868","\u2d869","\u2d86a","\u2d86b","\u2d86c","\u2d86d","\u2d86e","\u2d86f","\u2d870","\u2d871","\u2d872","\u2d873","\u2d874","\u2d875","\u2d876","\u2d877","\u2d878","\u2d879","\u2d87a","\u2d87b","\u2d87c","\u2d87d","\u2d87e","\u2d87f","\u2d880","\u2d881","\u2d882","\u2d883","\u2d884","\u2d885","\u2d886","\u2d887","\u2d888","\u2d889","\u2d88a","\u2d88b","\u2d88c","\u2d88d","\u2d88e","\u2d88f","\u2d890","\u2d891","\u2d892","\u2d893","\u2d894","\u2d895","\u2d896","\u2d897","\u2d898","\u2d899","\u2d89a","\u2d89b","\u2d89c","\u2d89d","\u2d89e","\u2d89f","\u2d8a0","\u2d8a1","\u2d8a2","\u2d8a3","\u2d8a4","\u2d8a5","\u2d8a6","\u2d8a7","\u2d8a8","\u2d8a9","\u2d8aa","\u2d8ab","\u2d8ac","\u2d8ad","\u2d8ae","\u2d8af","\u2d8b0","\u2d8b1","\u2d8b2","\u2d8b3","\u2d8b4","\u2d8b5","\u2d8b6","\u2d8b7","\u2d8b8","\u2d8b9","\u2d8ba","\u2d8bb","\u2d8bc","\u2d8bd","\u2d8be","\u2d8bf","\u2d8c0","\u2d8c1","\u2d8c2","\u2d8c3","\u2d8c4","\u2d8c5","\u2d8c6","\u2d8c7","\u2d8c8","\u2d8c9","\u2d8ca","\u2d8cb","\u2d8cc","\u2d8cd","\u2d8ce","\u2d8cf","\u2d8d0","\u2d8d1","\u2d8d2","\u2d8d3","\u2d8d4","\u2d8d5","\u2d8d6","\u2d8d7","\u2d8d8","\u2d8d9","\u2d8da","\u2d8db","\u2d8dc","\u2d8dd","\u2d8de","\u2d8df","\u2d8e0","\u2d8e1","\u2d8e2","\u2d8e3","\u2d8e4","\u2d8e5","\u2d8e6","\u2d8e7","\u2d8e8","\u2d8e9","\u2d8ea","\u2d8eb","\u2d8ec","\u2d8ed","\u2d8ee","\u2d8ef","\u2d8f0","\u2d8f1","\u2d8f2","\u2d8f3","\u2d8f4","\u2d8f5","\u2d8f6","\u2d8f7","\u2d8f8","\u2d8f9","\u2d8fa","\u2d8fb","\u2d8fc","\u2d8fd","\u2d8fe","\u2d8ff","\u2d900","\u2d901","\u2d902","\u2d903","\u2d904","\u2d905","\u2d906","\u2d907","\u2d908","\u2d909","\u2d90a","\u2d90b","\u2d90c","\u2d90d","\u2d90e","\u2d90f","\u2d910","\u2d911","\u2d912","\u2d913","\u2d914","\u2d915","\u2d916","\u2d917","\u2d918","\u2d919","\u2d91a","\u2d91b","\u2d91c","\u2d91d","\u2d91e","\u2d91f","\u2d920","\u2d921","\u2d922","\u2d923","\u2d924","\u2d925","\u2d926","\u2d927","\u2d928","\u2d929","\u2d92a","\u2d92b","\u2d92c","\u2d92d","\u2d92e","\u2d92f","\u2d930","\u2d931","\u2d932","\u2d933","\u2d934","\u2d935","\u2d936","\u2d937","\u2d938","\u2d939","\u2d93a","\u2d93b","\u2d93c","\u2d93d","\u2d93e","\u2d93f","\u2d940","\u2d941","\u2d942","\u2d943","\u2d944","\u2d945","\u2d946","\u2d947","\u2d948","\u2d949","\u2d94a","\u2d94b","\u2d94c","\u2d94d","\u2d94e","\u2d94f","\u2d950","\u2d951","\u2d952","\u2d953","\u2d954","\u2d955","\u2d956","\u2d957","\u2d958","\u2d959","\u2d95a","\u2d95b","\u2d95c","\u2d95d","\u2d95e","\u2d95f","\u2d960","\u2d961","\u2d962","\u2d963","\u2d964","\u2d965","\u2d966","\u2d967","\u2d968","\u2d969","\u2d96a","\u2d96b","\u2d96c","\u2d96d","\u2d96e","\u2d96f","\u2d970","\u2d971","\u2d972","\u2d973","\u2d974","\u2d975","\u2d976","\u2d977","\u2d978","\u2d979","\u2d97a","\u2d97b","\u2d97c","\u2d97d","\u2d97e","\u2d97f","\u2d980","\u2d981","\u2d982","\u2d983","\u2d984","\u2d985","\u2d986","\u2d987","\u2d988","\u2d989","\u2d98a","\u2d98b","\u2d98c","\u2d98d","\u2d98e","\u2d98f","\u2d990","\u2d991","\u2d992","\u2d993","\u2d994","\u2d995","\u2d996","\u2d997","\u2d998","\u2d999","\u2d99a","\u2d99b","\u2d99c","\u2d99d","\u2d99e","\u2d99f","\u2d9a0","\u2d9a1","\u2d9a2","\u2d9a3","\u2d9a4","\u2d9a5","\u2d9a6","\u2d9a7","\u2d9a8","\u2d9a9","\u2d9aa","\u2d9ab","\u2d9ac","\u2d9ad","\u2d9ae","\u2d9af","\u2d9b0","\u2d9b1","\u2d9b2","\u2d9b3","\u2d9b4","\u2d9b5","\u2d9b6","\u2d9b7","\u2d9b8","\u2d9b9","\u2d9ba","\u2d9bb","\u2d9bc","\u2d9bd","\u2d9be","\u2d9bf","\u2d9c0","\u2d9c1","\u2d9c2","\u2d9c3","\u2d9c4","\u2d9c5","\u2d9c6","\u2d9c7","\u2d9c8","\u2d9c9","\u2d9ca","\u2d9cb","\u2d9cc","\u2d9cd","\u2d9ce","\u2d9cf","\u2d9d0","\u2d9d1","\u2d9d2","\u2d9d3","\u2d9d4","\u2d9d5","\u2d9d6","\u2d9d7","\u2d9d8","\u2d9d9","\u2d9da","\u2d9db","\u2d9dc","\u2d9dd","\u2d9de","\u2d9df","\u2d9e0","\u2d9e1","\u2d9e2","\u2d9e3","\u2d9e4","\u2d9e5","\u2d9e6","\u2d9e7","\u2d9e8","\u2d9e9","\u2d9ea","\u2d9eb","\u2d9ec","\u2d9ed","\u2d9ee","\u2d9ef","\u2d9f0","\u2d9f1","\u2d9f2","\u2d9f3","\u2d9f4","\u2d9f5","\u2d9f6","\u2d9f7","\u2d9f8","\u2d9f9","\u2d9fa","\u2d9fb","\u2d9fc","\u2d9fd","\u2d9fe","\u2d9ff","\u2da00","\u2da01","\u2da02","\u2da03","\u2da04","\u2da05","\u2da06","\u2da07","\u2da08","\u2da09","\u2da0a","\u2da0b","\u2da0c","\u2da0d","\u2da0e","\u2da0f","\u2da10","\u2da11","\u2da12","\u2da13","\u2da14","\u2da15","\u2da16","\u2da17","\u2da18","\u2da19","\u2da1a","\u2da1b","\u2da1c","\u2da1d","\u2da1e","\u2da1f","\u2da20","\u2da21","\u2da22","\u2da23","\u2da24","\u2da25","\u2da26","\u2da27","\u2da28","\u2da29","\u2da2a","\u2da2b","\u2da2c","\u2da2d","\u2da2e","\u2da2f","\u2da30","\u2da31","\u2da32","\u2da33","\u2da34","\u2da35","\u2da36","\u2da37","\u2da38","\u2da39","\u2da3a","\u2da3b","\u2da3c","\u2da3d","\u2da3e","\u2da3f","\u2da40","\u2da41","\u2da42","\u2da43","\u2da44","\u2da45","\u2da46","\u2da47","\u2da48","\u2da49","\u2da4a","\u2da4b","\u2da4c","\u2da4d","\u2da4e","\u2da4f","\u2da50","\u2da51","\u2da52","\u2da53","\u2da54","\u2da55","\u2da56","\u2da57","\u2da58","\u2da59","\u2da5a","\u2da5b","\u2da5c","\u2da5d","\u2da5e","\u2da5f","\u2da60","\u2da61","\u2da62","\u2da63","\u2da64","\u2da65","\u2da66","\u2da67","\u2da68","\u2da69","\u2da6a","\u2da6b","\u2da6c","\u2da6d","\u2da6e","\u2da6f","\u2da70","\u2da71","\u2da72","\u2da73","\u2da74","\u2da75","\u2da76","\u2da77","\u2da78","\u2da79","\u2da7a","\u2da7b","\u2da7c","\u2da7d","\u2da7e","\u2da7f","\u2da80","\u2da81","\u2da82","\u2da83","\u2da84","\u2da85","\u2da86","\u2da87","\u2da88","\u2da89","\u2da8a","\u2da8b","\u2da8c","\u2da8d","\u2da8e","\u2da8f","\u2da90","\u2da91","\u2da92","\u2da93","\u2da94","\u2da95","\u2da96","\u2da97","\u2da98","\u2da99","\u2da9a","\u2da9b","\u2da9c","\u2da9d","\u2da9e","\u2da9f","\u2daa0","\u2daa1","\u2daa2","\u2daa3","\u2daa4","\u2daa5","\u2daa6","\u2daa7","\u2daa8","\u2daa9","\u2daaa","\u2daab","\u2daac","\u2daad","\u2daae","\u2daaf","\u2dab0","\u2dab1","\u2dab2","\u2dab3","\u2dab4","\u2dab5","\u2dab6","\u2dab7","\u2dab8","\u2dab9","\u2daba","\u2dabb","\u2dabc","\u2dabd","\u2dabe","\u2dabf","\u2dac0","\u2dac1","\u2dac2","\u2dac3","\u2dac4","\u2dac5","\u2dac6","\u2dac7","\u2dac8","\u2dac9","\u2daca","\u2dacb","\u2dacc","\u2dacd","\u2dace","\u2dacf","\u2dad0","\u2dad1","\u2dad2","\u2dad3","\u2dad4","\u2dad5","\u2dad6","\u2dad7","\u2dad8","\u2dad9","\u2dada","\u2dadb","\u2dadc","\u2dadd","\u2dade","\u2dadf","\u2dae0","\u2dae1","\u2dae2","\u2dae3","\u2dae4","\u2dae5","\u2dae6","\u2dae7","\u2dae8","\u2dae9","\u2daea","\u2daeb","\u2daec","\u2daed","\u2daee","\u2daef","\u2daf0","\u2daf1","\u2daf2","\u2daf3","\u2daf4","\u2daf5","\u2daf6","\u2daf7","\u2daf8","\u2daf9","\u2dafa","\u2dafb","\u2dafc","\u2dafd","\u2dafe","\u2daff","\u2db00","\u2db01","\u2db02","\u2db03","\u2db04","\u2db05","\u2db06","\u2db07","\u2db08","\u2db09","\u2db0a","\u2db0b","\u2db0c","\u2db0d","\u2db0e","\u2db0f","\u2db10","\u2db11","\u2db12","\u2db13","\u2db14","\u2db15","\u2db16","\u2db17","\u2db18","\u2db19","\u2db1a","\u2db1b","\u2db1c","\u2db1d","\u2db1e","\u2db1f","\u2db20","\u2db21","\u2db22","\u2db23","\u2db24","\u2db25","\u2db26","\u2db27","\u2db28","\u2db29","\u2db2a","\u2db2b","\u2db2c","\u2db2d","\u2db2e","\u2db2f","\u2db30","\u2db31","\u2db32","\u2db33","\u2db34","\u2db35","\u2db36","\u2db37","\u2db38","\u2db39","\u2db3a","\u2db3b","\u2db3c","\u2db3d","\u2db3e","\u2db3f","\u2db40","\u2db41","\u2db42","\u2db43","\u2db44","\u2db45","\u2db46","\u2db47","\u2db48","\u2db49","\u2db4a","\u2db4b","\u2db4c","\u2db4d","\u2db4e","\u2db4f","\u2db50","\u2db51","\u2db52","\u2db53","\u2db54","\u2db55","\u2db56","\u2db57","\u2db58","\u2db59","\u2db5a","\u2db5b","\u2db5c","\u2db5d","\u2db5e","\u2db5f","\u2db60","\u2db61","\u2db62","\u2db63","\u2db64","\u2db65","\u2db66","\u2db67","\u2db68","\u2db69","\u2db6a","\u2db6b","\u2db6c","\u2db6d","\u2db6e","\u2db6f","\u2db70","\u2db71","\u2db72","\u2db73","\u2db74","\u2db75","\u2db76","\u2db77","\u2db78","\u2db79","\u2db7a","\u2db7b","\u2db7c","\u2db7d","\u2db7e","\u2db7f","\u2db80","\u2db81","\u2db82","\u2db83","\u2db84","\u2db85","\u2db86","\u2db87","\u2db88","\u2db89","\u2db8a","\u2db8b","\u2db8c","\u2db8d","\u2db8e","\u2db8f","\u2db90","\u2db91","\u2db92","\u2db93","\u2db94","\u2db95","\u2db96","\u2db97","\u2db98","\u2db99","\u2db9a","\u2db9b","\u2db9c","\u2db9d","\u2db9e","\u2db9f","\u2dba0","\u2dba1","\u2dba2","\u2dba3","\u2dba4","\u2dba5","\u2dba6","\u2dba7","\u2dba8","\u2dba9","\u2dbaa","\u2dbab","\u2dbac","\u2dbad","\u2dbae","\u2dbaf","\u2dbb0","\u2dbb1","\u2dbb2","\u2dbb3","\u2dbb4","\u2dbb5","\u2dbb6","\u2dbb7","\u2dbb8","\u2dbb9","\u2dbba","\u2dbbb","\u2dbbc","\u2dbbd","\u2dbbe","\u2dbbf","\u2dbc0","\u2dbc1","\u2dbc2","\u2dbc3","\u2dbc4","\u2dbc5","\u2dbc6","\u2dbc7","\u2dbc8","\u2dbc9","\u2dbca","\u2dbcb","\u2dbcc","\u2dbcd","\u2dbce","\u2dbcf","\u2dbd0","\u2dbd1","\u2dbd2","\u2dbd3","\u2dbd4","\u2dbd5","\u2dbd6","\u2dbd7","\u2dbd8","\u2dbd9","\u2dbda","\u2dbdb","\u2dbdc","\u2dbdd","\u2dbde","\u2dbdf","\u2dbe0","\u2dbe1","\u2dbe2","\u2dbe3","\u2dbe4","\u2dbe5","\u2dbe6","\u2dbe7","\u2dbe8","\u2dbe9","\u2dbea","\u2dbeb","\u2dbec","\u2dbed","\u2dbee","\u2dbef","\u2dbf0","\u2dbf1","\u2dbf2","\u2dbf3","\u2dbf4","\u2dbf5","\u2dbf6","\u2dbf7","\u2dbf8","\u2dbf9","\u2dbfa","\u2dbfb","\u2dbfc","\u2dbfd","\u2dbfe","\u2dbff","\u2dc00","\u2dc01","\u2dc02","\u2dc03","\u2dc04","\u2dc05","\u2dc06","\u2dc07","\u2dc08","\u2dc09","\u2dc0a","\u2dc0b","\u2dc0c","\u2dc0d","\u2dc0e","\u2dc0f","\u2dc10","\u2dc11","\u2dc12","\u2dc13","\u2dc14","\u2dc15","\u2dc16","\u2dc17","\u2dc18","\u2dc19","\u2dc1a","\u2dc1b","\u2dc1c","\u2dc1d","\u2dc1e","\u2dc1f","\u2dc20","\u2dc21","\u2dc22","\u2dc23","\u2dc24","\u2dc25","\u2dc26","\u2dc27","\u2dc28","\u2dc29","\u2dc2a","\u2dc2b","\u2dc2c","\u2dc2d","\u2dc2e","\u2dc2f","\u2dc30","\u2dc31","\u2dc32","\u2dc33","\u2dc34","\u2dc35","\u2dc36","\u2dc37","\u2dc38","\u2dc39","\u2dc3a","\u2dc3b","\u2dc3c","\u2dc3d","\u2dc3e","\u2dc3f","\u2dc40","\u2dc41","\u2dc42","\u2dc43","\u2dc44","\u2dc45","\u2dc46","\u2dc47","\u2dc48","\u2dc49","\u2dc4a","\u2dc4b","\u2dc4c","\u2dc4d","\u2dc4e","\u2dc4f","\u2dc50","\u2dc51","\u2dc52","\u2dc53","\u2dc54","\u2dc55","\u2dc56","\u2dc57","\u2dc58","\u2dc59","\u2dc5a","\u2dc5b","\u2dc5c","\u2dc5d","\u2dc5e","\u2dc5f","\u2dc60","\u2dc61","\u2dc62","\u2dc63","\u2dc64","\u2dc65","\u2dc66","\u2dc67","\u2dc68","\u2dc69","\u2dc6a","\u2dc6b","\u2dc6c","\u2dc6d","\u2dc6e","\u2dc6f","\u2dc70","\u2dc71","\u2dc72","\u2dc73","\u2dc74","\u2dc75","\u2dc76","\u2dc77","\u2dc78","\u2dc79","\u2dc7a","\u2dc7b","\u2dc7c","\u2dc7d","\u2dc7e","\u2dc7f","\u2dc80","\u2dc81","\u2dc82","\u2dc83","\u2dc84","\u2dc85","\u2dc86","\u2dc87","\u2dc88","\u2dc89","\u2dc8a","\u2dc8b","\u2dc8c","\u2dc8d","\u2dc8e","\u2dc8f","\u2dc90","\u2dc91","\u2dc92","\u2dc93","\u2dc94","\u2dc95","\u2dc96","\u2dc97","\u2dc98","\u2dc99","\u2dc9a","\u2dc9b","\u2dc9c","\u2dc9d","\u2dc9e","\u2dc9f","\u2dca0","\u2dca1","\u2dca2","\u2dca3","\u2dca4","\u2dca5","\u2dca6","\u2dca7","\u2dca8","\u2dca9","\u2dcaa","\u2dcab","\u2dcac","\u2dcad","\u2dcae","\u2dcaf","\u2dcb0","\u2dcb1","\u2dcb2","\u2dcb3","\u2dcb4","\u2dcb5","\u2dcb6","\u2dcb7","\u2dcb8","\u2dcb9","\u2dcba","\u2dcbb","\u2dcbc","\u2dcbd","\u2dcbe","\u2dcbf","\u2dcc0","\u2dcc1","\u2dcc2","\u2dcc3","\u2dcc4","\u2dcc5","\u2dcc6","\u2dcc7","\u2dcc8","\u2dcc9","\u2dcca","\u2dccb","\u2dccc","\u2dccd","\u2dcce","\u2dccf","\u2dcd0","\u2dcd1","\u2dcd2","\u2dcd3","\u2dcd4","\u2dcd5","\u2dcd6","\u2dcd7","\u2dcd8","\u2dcd9","\u2dcda","\u2dcdb","\u2dcdc","\u2dcdd","\u2dcde","\u2dcdf","\u2dce0","\u2dce1","\u2dce2","\u2dce3","\u2dce4","\u2dce5","\u2dce6","\u2dce7","\u2dce8","\u2dce9","\u2dcea","\u2dceb","\u2dcec","\u2dced","\u2dcee","\u2dcef","\u2dcf0","\u2dcf1","\u2dcf2","\u2dcf3","\u2dcf4","\u2dcf5","\u2dcf6","\u2dcf7","\u2dcf8","\u2dcf9","\u2dcfa","\u2dcfb","\u2dcfc","\u2dcfd","\u2dcfe","\u2dcff","\u2dd00","\u2dd01","\u2dd02","\u2dd03","\u2dd04","\u2dd05","\u2dd06","\u2dd07","\u2dd08","\u2dd09","\u2dd0a","\u2dd0b","\u2dd0c","\u2dd0d","\u2dd0e","\u2dd0f","\u2dd10","\u2dd11","\u2dd12","\u2dd13","\u2dd14","\u2dd15","\u2dd16","\u2dd17","\u2dd18","\u2dd19","\u2dd1a","\u2dd1b","\u2dd1c","\u2dd1d","\u2dd1e","\u2dd1f","\u2dd20","\u2dd21","\u2dd22","\u2dd23","\u2dd24","\u2dd25","\u2dd26","\u2dd27","\u2dd28","\u2dd29","\u2dd2a","\u2dd2b","\u2dd2c","\u2dd2d","\u2dd2e","\u2dd2f","\u2dd30","\u2dd31","\u2dd32","\u2dd33","\u2dd34","\u2dd35","\u2dd36","\u2dd37","\u2dd38","\u2dd39","\u2dd3a","\u2dd3b","\u2dd3c","\u2dd3d","\u2dd3e","\u2dd3f","\u2dd40","\u2dd41","\u2dd42","\u2dd43","\u2dd44","\u2dd45","\u2dd46","\u2dd47","\u2dd48","\u2dd49","\u2dd4a","\u2dd4b","\u2dd4c","\u2dd4d","\u2dd4e","\u2dd4f","\u2dd50","\u2dd51","\u2dd52","\u2dd53","\u2dd54","\u2dd55","\u2dd56","\u2dd57","\u2dd58","\u2dd59","\u2dd5a","\u2dd5b","\u2dd5c","\u2dd5d","\u2dd5e","\u2dd5f","\u2dd60","\u2dd61","\u2dd62","\u2dd63","\u2dd64","\u2dd65","\u2dd66","\u2dd67","\u2dd68","\u2dd69","\u2dd6a","\u2dd6b","\u2dd6c","\u2dd6d","\u2dd6e","\u2dd6f","\u2dd70","\u2dd71","\u2dd72","\u2dd73","\u2dd74","\u2dd75","\u2dd76","\u2dd77","\u2dd78","\u2dd79","\u2dd7a","\u2dd7b","\u2dd7c","\u2dd7d","\u2dd7e","\u2dd7f","\u2dd80","\u2dd81","\u2dd82","\u2dd83","\u2dd84","\u2dd85","\u2dd86","\u2dd87","\u2dd88","\u2dd89","\u2dd8a","\u2dd8b","\u2dd8c","\u2dd8d","\u2dd8e","\u2dd8f","\u2dd90","\u2dd91","\u2dd92","\u2dd93","\u2dd94","\u2dd95","\u2dd96","\u2dd97","\u2dd98","\u2dd99","\u2dd9a","\u2dd9b","\u2dd9c","\u2dd9d","\u2dd9e","\u2dd9f","\u2dda0","\u2dda1","\u2dda2","\u2dda3","\u2dda4","\u2dda5","\u2dda6","\u2dda7","\u2dda8","\u2dda9","\u2ddaa","\u2ddab","\u2ddac","\u2ddad","\u2ddae","\u2ddaf","\u2ddb0","\u2ddb1","\u2ddb2","\u2ddb3","\u2ddb4","\u2ddb5","\u2ddb6","\u2ddb7","\u2ddb8","\u2ddb9","\u2ddba","\u2ddbb","\u2ddbc","\u2ddbd","\u2ddbe","\u2ddbf","\u2ddc0","\u2ddc1","\u2ddc2","\u2ddc3","\u2ddc4","\u2ddc5","\u2ddc6","\u2ddc7","\u2ddc8","\u2ddc9","\u2ddca","\u2ddcb","\u2ddcc","\u2ddcd","\u2ddce","\u2ddcf","\u2ddd0","\u2ddd1","\u2ddd2","\u2ddd3","\u2ddd4","\u2ddd5","\u2ddd6","\u2ddd7","\u2ddd8","\u2ddd9","\u2ddda","\u2dddb","\u2dddc","\u2dddd","\u2ddde","\u2dddf","\u2dde0","\u2dde1","\u2dde2","\u2dde3","\u2dde4","\u2dde5","\u2dde6","\u2dde7","\u2dde8","\u2dde9","\u2ddea","\u2ddeb","\u2ddec","\u2dded","\u2ddee","\u2ddef","\u2ddf0","\u2ddf1","\u2ddf2","\u2ddf3","\u2ddf4","\u2ddf5","\u2ddf6","\u2ddf7","\u2ddf8","\u2ddf9","\u2ddfa","\u2ddfb","\u2ddfc","\u2ddfd","\u2ddfe","\u2ddff","\u2de00","\u2de01","\u2de02","\u2de03","\u2de04","\u2de05","\u2de06","\u2de07","\u2de08","\u2de09","\u2de0a","\u2de0b","\u2de0c","\u2de0d","\u2de0e","\u2de0f","\u2de10","\u2de11","\u2de12","\u2de13","\u2de14","\u2de15","\u2de16","\u2de17","\u2de18","\u2de19","\u2de1a","\u2de1b","\u2de1c","\u2de1d","\u2de1e","\u2de1f","\u2de20","\u2de21","\u2de22","\u2de23","\u2de24","\u2de25","\u2de26","\u2de27","\u2de28","\u2de29","\u2de2a","\u2de2b","\u2de2c","\u2de2d","\u2de2e","\u2de2f","\u2de30","\u2de31","\u2de32","\u2de33","\u2de34","\u2de35","\u2de36","\u2de37","\u2de38","\u2de39","\u2de3a","\u2de3b","\u2de3c","\u2de3d","\u2de3e","\u2de3f","\u2de40","\u2de41","\u2de42","\u2de43","\u2de44","\u2de45","\u2de46","\u2de47","\u2de48","\u2de49","\u2de4a","\u2de4b","\u2de4c","\u2de4d","\u2de4e","\u2de4f","\u2de50","\u2de51","\u2de52","\u2de53","\u2de54","\u2de55","\u2de56","\u2de57","\u2de58","\u2de59","\u2de5a","\u2de5b","\u2de5c","\u2de5d","\u2de5e","\u2de5f","\u2de60","\u2de61","\u2de62","\u2de63","\u2de64","\u2de65","\u2de66","\u2de67","\u2de68","\u2de69","\u2de6a","\u2de6b","\u2de6c","\u2de6d","\u2de6e","\u2de6f","\u2de70","\u2de71","\u2de72","\u2de73","\u2de74","\u2de75","\u2de76","\u2de77","\u2de78","\u2de79","\u2de7a","\u2de7b","\u2de7c","\u2de7d","\u2de7e","\u2de7f","\u2de80","\u2de81","\u2de82","\u2de83","\u2de84","\u2de85","\u2de86","\u2de87","\u2de88","\u2de89","\u2de8a","\u2de8b","\u2de8c","\u2de8d","\u2de8e","\u2de8f","\u2de90","\u2de91","\u2de92","\u2de93","\u2de94","\u2de95","\u2de96","\u2de97","\u2de98","\u2de99","\u2de9a","\u2de9b","\u2de9c","\u2de9d","\u2de9e","\u2de9f","\u2dea0","\u2dea1","\u2dea2","\u2dea3","\u2dea4","\u2dea5","\u2dea6","\u2dea7","\u2dea8","\u2dea9","\u2deaa","\u2deab","\u2deac","\u2dead","\u2deae","\u2deaf","\u2deb0","\u2deb1","\u2deb2","\u2deb3","\u2deb4","\u2deb5","\u2deb6","\u2deb7","\u2deb8","\u2deb9","\u2deba","\u2debb","\u2debc","\u2debd","\u2debe","\u2debf","\u2dec0","\u2dec1","\u2dec2","\u2dec3","\u2dec4","\u2dec5","\u2dec6","\u2dec7","\u2dec8","\u2dec9","\u2deca","\u2decb","\u2decc","\u2decd","\u2dece","\u2decf","\u2ded0","\u2ded1","\u2ded2","\u2ded3","\u2ded4","\u2ded5","\u2ded6","\u2ded7","\u2ded8","\u2ded9","\u2deda","\u2dedb","\u2dedc","\u2dedd","\u2dede","\u2dedf","\u2dee0","\u2dee1","\u2dee2","\u2dee3","\u2dee4","\u2dee5","\u2dee6","\u2dee7","\u2dee8","\u2dee9","\u2deea","\u2deeb","\u2deec","\u2deed","\u2deee","\u2deef","\u2def0","\u2def1","\u2def2","\u2def3","\u2def4","\u2def5","\u2def6","\u2def7","\u2def8","\u2def9","\u2defa","\u2defb","\u2defc","\u2defd","\u2defe","\u2deff","\u2df00","\u2df01","\u2df02","\u2df03","\u2df04","\u2df05","\u2df06","\u2df07","\u2df08","\u2df09","\u2df0a","\u2df0b","\u2df0c","\u2df0d","\u2df0e","\u2df0f","\u2df10","\u2df11","\u2df12","\u2df13","\u2df14","\u2df15","\u2df16","\u2df17","\u2df18","\u2df19","\u2df1a","\u2df1b","\u2df1c","\u2df1d","\u2df1e","\u2df1f","\u2df20","\u2df21","\u2df22","\u2df23","\u2df24","\u2df25","\u2df26","\u2df27","\u2df28","\u2df29","\u2df2a","\u2df2b","\u2df2c","\u2df2d","\u2df2e","\u2df2f","\u2df30","\u2df31","\u2df32","\u2df33","\u2df34","\u2df35","\u2df36","\u2df37","\u2df38","\u2df39","\u2df3a","\u2df3b","\u2df3c","\u2df3d","\u2df3e","\u2df3f","\u2df40","\u2df41","\u2df42","\u2df43","\u2df44","\u2df45","\u2df46","\u2df47","\u2df48","\u2df49","\u2df4a","\u2df4b","\u2df4c","\u2df4d","\u2df4e","\u2df4f","\u2df50","\u2df51","\u2df52","\u2df53","\u2df54","\u2df55","\u2df56","\u2df57","\u2df58","\u2df59","\u2df5a","\u2df5b","\u2df5c","\u2df5d","\u2df5e","\u2df5f","\u2df60","\u2df61","\u2df62","\u2df63","\u2df64","\u2df65","\u2df66","\u2df67","\u2df68","\u2df69","\u2df6a","\u2df6b","\u2df6c","\u2df6d","\u2df6e","\u2df6f","\u2df70","\u2df71","\u2df72","\u2df73","\u2df74","\u2df75","\u2df76","\u2df77","\u2df78","\u2df79","\u2df7a","\u2df7b","\u2df7c","\u2df7d","\u2df7e","\u2df7f","\u2df80","\u2df81","\u2df82","\u2df83","\u2df84","\u2df85","\u2df86","\u2df87","\u2df88","\u2df89","\u2df8a","\u2df8b","\u2df8c","\u2df8d","\u2df8e","\u2df8f","\u2df90","\u2df91","\u2df92","\u2df93","\u2df94","\u2df95","\u2df96","\u2df97","\u2df98","\u2df99","\u2df9a","\u2df9b","\u2df9c","\u2df9d","\u2df9e","\u2df9f","\u2dfa0","\u2dfa1","\u2dfa2","\u2dfa3","\u2dfa4","\u2dfa5","\u2dfa6","\u2dfa7","\u2dfa8","\u2dfa9","\u2dfaa","\u2dfab","\u2dfac","\u2dfad","\u2dfae","\u2dfaf","\u2dfb0","\u2dfb1","\u2dfb2","\u2dfb3","\u2dfb4","\u2dfb5","\u2dfb6","\u2dfb7","\u2dfb8","\u2dfb9","\u2dfba","\u2dfbb","\u2dfbc","\u2dfbd","\u2dfbe","\u2dfbf","\u2dfc0","\u2dfc1","\u2dfc2","\u2dfc3","\u2dfc4","\u2dfc5","\u2dfc6","\u2dfc7","\u2dfc8","\u2dfc9","\u2dfca","\u2dfcb","\u2dfcc","\u2dfcd","\u2dfce","\u2dfcf","\u2dfd0","\u2dfd1","\u2dfd2","\u2dfd3","\u2dfd4","\u2dfd5","\u2dfd6","\u2dfd7","\u2dfd8","\u2dfd9","\u2dfda","\u2dfdb","\u2dfdc","\u2dfdd","\u2dfde","\u2dfdf","\u2dfe0","\u2dfe1","\u2dfe2","\u2dfe3","\u2dfe4","\u2dfe5","\u2dfe6","\u2dfe7","\u2dfe8","\u2dfe9","\u2dfea","\u2dfeb","\u2dfec","\u2dfed","\u2dfee","\u2dfef","\u2dff0","\u2dff1","\u2dff2","\u2dff3","\u2dff4","\u2dff5","\u2dff6","\u2dff7","\u2dff8","\u2dff9","\u2dffa","\u2dffb","\u2dffc","\u2dffd","\u2dffe","\u2dfff","\u2e000","\u2e001","\u2e002","\u2e003","\u2e004","\u2e005","\u2e006","\u2e007","\u2e008","\u2e009","\u2e00a","\u2e00b","\u2e00c","\u2e00d","\u2e00e","\u2e00f","\u2e010","\u2e011","\u2e012","\u2e013","\u2e014","\u2e015","\u2e016","\u2e017","\u2e018","\u2e019","\u2e01a","\u2e01b","\u2e01c","\u2e01d","\u2e01e","\u2e01f","\u2e020","\u2e021","\u2e022","\u2e023","\u2e024","\u2e025","\u2e026","\u2e027","\u2e028","\u2e029","\u2e02a","\u2e02b","\u2e02c","\u2e02d","\u2e02e","\u2e02f","\u2e030","\u2e031","\u2e032","\u2e033","\u2e034","\u2e035","\u2e036","\u2e037","\u2e038","\u2e039","\u2e03a","\u2e03b","\u2e03c","\u2e03d","\u2e03e","\u2e03f","\u2e040","\u2e041","\u2e042","\u2e043","\u2e044","\u2e045","\u2e046","\u2e047","\u2e048","\u2e049","\u2e04a","\u2e04b","\u2e04c","\u2e04d","\u2e04e","\u2e04f","\u2e050","\u2e051","\u2e052","\u2e053","\u2e054","\u2e055","\u2e056","\u2e057","\u2e058","\u2e059","\u2e05a","\u2e05b","\u2e05c","\u2e05d","\u2e05e","\u2e05f","\u2e060","\u2e061","\u2e062","\u2e063","\u2e064","\u2e065","\u2e066","\u2e067","\u2e068","\u2e069","\u2e06a","\u2e06b","\u2e06c","\u2e06d","\u2e06e","\u2e06f","\u2e070","\u2e071","\u2e072","\u2e073","\u2e074","\u2e075","\u2e076","\u2e077","\u2e078","\u2e079","\u2e07a","\u2e07b","\u2e07c","\u2e07d","\u2e07e","\u2e07f","\u2e080","\u2e081","\u2e082","\u2e083","\u2e084","\u2e085","\u2e086","\u2e087","\u2e088","\u2e089","\u2e08a","\u2e08b","\u2e08c","\u2e08d","\u2e08e","\u2e08f","\u2e090","\u2e091","\u2e092","\u2e093","\u2e094","\u2e095","\u2e096","\u2e097","\u2e098","\u2e099","\u2e09a","\u2e09b","\u2e09c","\u2e09d","\u2e09e","\u2e09f","\u2e0a0","\u2e0a1","\u2e0a2","\u2e0a3","\u2e0a4","\u2e0a5","\u2e0a6","\u2e0a7","\u2e0a8","\u2e0a9","\u2e0aa","\u2e0ab","\u2e0ac","\u2e0ad","\u2e0ae","\u2e0af","\u2e0b0","\u2e0b1","\u2e0b2","\u2e0b3","\u2e0b4","\u2e0b5","\u2e0b6","\u2e0b7","\u2e0b8","\u2e0b9","\u2e0ba","\u2e0bb","\u2e0bc","\u2e0bd","\u2e0be","\u2e0bf","\u2e0c0","\u2e0c1","\u2e0c2","\u2e0c3","\u2e0c4","\u2e0c5","\u2e0c6","\u2e0c7","\u2e0c8","\u2e0c9","\u2e0ca","\u2e0cb","\u2e0cc","\u2e0cd","\u2e0ce","\u2e0cf","\u2e0d0","\u2e0d1","\u2e0d2","\u2e0d3","\u2e0d4","\u2e0d5","\u2e0d6","\u2e0d7","\u2e0d8","\u2e0d9","\u2e0da","\u2e0db","\u2e0dc","\u2e0dd","\u2e0de","\u2e0df","\u2e0e0","\u2e0e1","\u2e0e2","\u2e0e3","\u2e0e4","\u2e0e5","\u2e0e6","\u2e0e7","\u2e0e8","\u2e0e9","\u2e0ea","\u2e0eb","\u2e0ec","\u2e0ed","\u2e0ee","\u2e0ef","\u2e0f0","\u2e0f1","\u2e0f2","\u2e0f3","\u2e0f4","\u2e0f5","\u2e0f6","\u2e0f7","\u2e0f8","\u2e0f9","\u2e0fa","\u2e0fb","\u2e0fc","\u2e0fd","\u2e0fe","\u2e0ff","\u2e100","\u2e101","\u2e102","\u2e103","\u2e104","\u2e105","\u2e106","\u2e107","\u2e108","\u2e109","\u2e10a","\u2e10b","\u2e10c","\u2e10d","\u2e10e","\u2e10f","\u2e110","\u2e111","\u2e112","\u2e113","\u2e114","\u2e115","\u2e116","\u2e117","\u2e118","\u2e119","\u2e11a","\u2e11b","\u2e11c","\u2e11d","\u2e11e","\u2e11f","\u2e120","\u2e121","\u2e122","\u2e123","\u2e124","\u2e125","\u2e126","\u2e127","\u2e128","\u2e129","\u2e12a","\u2e12b","\u2e12c","\u2e12d","\u2e12e","\u2e12f","\u2e130","\u2e131","\u2e132","\u2e133","\u2e134","\u2e135","\u2e136","\u2e137","\u2e138","\u2e139","\u2e13a","\u2e13b","\u2e13c","\u2e13d","\u2e13e","\u2e13f","\u2e140","\u2e141","\u2e142","\u2e143","\u2e144","\u2e145","\u2e146","\u2e147","\u2e148","\u2e149","\u2e14a","\u2e14b","\u2e14c","\u2e14d","\u2e14e","\u2e14f","\u2e150","\u2e151","\u2e152","\u2e153","\u2e154","\u2e155","\u2e156","\u2e157","\u2e158","\u2e159","\u2e15a","\u2e15b","\u2e15c","\u2e15d","\u2e15e","\u2e15f","\u2e160","\u2e161","\u2e162","\u2e163","\u2e164","\u2e165","\u2e166","\u2e167","\u2e168","\u2e169","\u2e16a","\u2e16b","\u2e16c","\u2e16d","\u2e16e","\u2e16f","\u2e170","\u2e171","\u2e172","\u2e173","\u2e174","\u2e175","\u2e176","\u2e177","\u2e178","\u2e179","\u2e17a","\u2e17b","\u2e17c","\u2e17d","\u2e17e","\u2e17f","\u2e180","\u2e181","\u2e182","\u2e183","\u2e184","\u2e185","\u2e186","\u2e187","\u2e188","\u2e189","\u2e18a","\u2e18b","\u2e18c","\u2e18d","\u2e18e","\u2e18f","\u2e190","\u2e191","\u2e192","\u2e193","\u2e194","\u2e195","\u2e196","\u2e197","\u2e198","\u2e199","\u2e19a","\u2e19b","\u2e19c","\u2e19d","\u2e19e","\u2e19f","\u2e1a0","\u2e1a1","\u2e1a2","\u2e1a3","\u2e1a4","\u2e1a5","\u2e1a6","\u2e1a7","\u2e1a8","\u2e1a9","\u2e1aa","\u2e1ab","\u2e1ac","\u2e1ad","\u2e1ae","\u2e1af","\u2e1b0","\u2e1b1","\u2e1b2","\u2e1b3","\u2e1b4","\u2e1b5","\u2e1b6","\u2e1b7","\u2e1b8","\u2e1b9","\u2e1ba","\u2e1bb","\u2e1bc","\u2e1bd","\u2e1be","\u2e1bf","\u2e1c0","\u2e1c1","\u2e1c2","\u2e1c3","\u2e1c4","\u2e1c5","\u2e1c6","\u2e1c7","\u2e1c8","\u2e1c9","\u2e1ca","\u2e1cb","\u2e1cc","\u2e1cd","\u2e1ce","\u2e1cf","\u2e1d0","\u2e1d1","\u2e1d2","\u2e1d3","\u2e1d4","\u2e1d5","\u2e1d6","\u2e1d7","\u2e1d8","\u2e1d9","\u2e1da","\u2e1db","\u2e1dc","\u2e1dd","\u2e1de","\u2e1df","\u2e1e0","\u2e1e1","\u2e1e2","\u2e1e3","\u2e1e4","\u2e1e5","\u2e1e6","\u2e1e7","\u2e1e8","\u2e1e9","\u2e1ea","\u2e1eb","\u2e1ec","\u2e1ed","\u2e1ee","\u2e1ef","\u2e1f0","\u2e1f1","\u2e1f2","\u2e1f3","\u2e1f4","\u2e1f5","\u2e1f6","\u2e1f7","\u2e1f8","\u2e1f9","\u2e1fa","\u2e1fb","\u2e1fc","\u2e1fd","\u2e1fe","\u2e1ff","\u2e200","\u2e201","\u2e202","\u2e203","\u2e204","\u2e205","\u2e206","\u2e207","\u2e208","\u2e209","\u2e20a","\u2e20b","\u2e20c","\u2e20d","\u2e20e","\u2e20f","\u2e210","\u2e211","\u2e212","\u2e213","\u2e214","\u2e215","\u2e216","\u2e217","\u2e218","\u2e219","\u2e21a","\u2e21b","\u2e21c","\u2e21d","\u2e21e","\u2e21f","\u2e220","\u2e221","\u2e222","\u2e223","\u2e224","\u2e225","\u2e226","\u2e227","\u2e228","\u2e229","\u2e22a","\u2e22b","\u2e22c","\u2e22d","\u2e22e","\u2e22f","\u2e230","\u2e231","\u2e232","\u2e233","\u2e234","\u2e235","\u2e236","\u2e237","\u2e238","\u2e239","\u2e23a","\u2e23b","\u2e23c","\u2e23d","\u2e23e","\u2e23f","\u2e240","\u2e241","\u2e242","\u2e243","\u2e244","\u2e245","\u2e246","\u2e247","\u2e248","\u2e249","\u2e24a","\u2e24b","\u2e24c","\u2e24d","\u2e24e","\u2e24f","\u2e250","\u2e251","\u2e252","\u2e253","\u2e254","\u2e255","\u2e256","\u2e257","\u2e258","\u2e259","\u2e25a","\u2e25b","\u2e25c","\u2e25d","\u2e25e","\u2e25f","\u2e260","\u2e261","\u2e262","\u2e263","\u2e264","\u2e265","\u2e266","\u2e267","\u2e268","\u2e269","\u2e26a","\u2e26b","\u2e26c","\u2e26d","\u2e26e","\u2e26f","\u2e270","\u2e271","\u2e272","\u2e273","\u2e274","\u2e275","\u2e276","\u2e277","\u2e278","\u2e279","\u2e27a","\u2e27b","\u2e27c","\u2e27d","\u2e27e","\u2e27f","\u2e280","\u2e281","\u2e282","\u2e283","\u2e284","\u2e285","\u2e286","\u2e287","\u2e288","\u2e289","\u2e28a","\u2e28b","\u2e28c","\u2e28d","\u2e28e","\u2e28f","\u2e290","\u2e291","\u2e292","\u2e293","\u2e294","\u2e295","\u2e296","\u2e297","\u2e298","\u2e299","\u2e29a","\u2e29b","\u2e29c","\u2e29d","\u2e29e","\u2e29f","\u2e2a0","\u2e2a1","\u2e2a2","\u2e2a3","\u2e2a4","\u2e2a5","\u2e2a6","\u2e2a7","\u2e2a8","\u2e2a9","\u2e2aa","\u2e2ab","\u2e2ac","\u2e2ad","\u2e2ae","\u2e2af","\u2e2b0","\u2e2b1","\u2e2b2","\u2e2b3","\u2e2b4","\u2e2b5","\u2e2b6","\u2e2b7","\u2e2b8","\u2e2b9","\u2e2ba","\u2e2bb","\u2e2bc","\u2e2bd","\u2e2be","\u2e2bf","\u2e2c0","\u2e2c1","\u2e2c2","\u2e2c3","\u2e2c4","\u2e2c5","\u2e2c6","\u2e2c7","\u2e2c8","\u2e2c9","\u2e2ca","\u2e2cb","\u2e2cc","\u2e2cd","\u2e2ce","\u2e2cf","\u2e2d0","\u2e2d1","\u2e2d2","\u2e2d3","\u2e2d4","\u2e2d5","\u2e2d6","\u2e2d7","\u2e2d8","\u2e2d9","\u2e2da","\u2e2db","\u2e2dc","\u2e2dd","\u2e2de","\u2e2df","\u2e2e0","\u2e2e1","\u2e2e2","\u2e2e3","\u2e2e4","\u2e2e5","\u2e2e6","\u2e2e7","\u2e2e8","\u2e2e9","\u2e2ea","\u2e2eb","\u2e2ec","\u2e2ed","\u2e2ee","\u2e2ef","\u2e2f0","\u2e2f1","\u2e2f2","\u2e2f3","\u2e2f4","\u2e2f5","\u2e2f6","\u2e2f7","\u2e2f8","\u2e2f9","\u2e2fa","\u2e2fb","\u2e2fc","\u2e2fd","\u2e2fe","\u2e2ff","\u2e300","\u2e301","\u2e302","\u2e303","\u2e304","\u2e305","\u2e306","\u2e307","\u2e308","\u2e309","\u2e30a","\u2e30b","\u2e30c","\u2e30d","\u2e30e","\u2e30f","\u2e310","\u2e311","\u2e312","\u2e313","\u2e314","\u2e315","\u2e316","\u2e317","\u2e318","\u2e319","\u2e31a","\u2e31b","\u2e31c","\u2e31d","\u2e31e","\u2e31f","\u2e320","\u2e321","\u2e322","\u2e323","\u2e324","\u2e325","\u2e326","\u2e327","\u2e328","\u2e329","\u2e32a","\u2e32b","\u2e32c","\u2e32d","\u2e32e","\u2e32f","\u2e330","\u2e331","\u2e332","\u2e333","\u2e334","\u2e335","\u2e336","\u2e337","\u2e338","\u2e339","\u2e33a","\u2e33b","\u2e33c","\u2e33d","\u2e33e","\u2e33f","\u2e340","\u2e341","\u2e342","\u2e343","\u2e344","\u2e345","\u2e346","\u2e347","\u2e348","\u2e349","\u2e34a","\u2e34b","\u2e34c","\u2e34d","\u2e34e","\u2e34f","\u2e350","\u2e351","\u2e352","\u2e353","\u2e354","\u2e355","\u2e356","\u2e357","\u2e358","\u2e359","\u2e35a","\u2e35b","\u2e35c","\u2e35d","\u2e35e","\u2e35f","\u2e360","\u2e361","\u2e362","\u2e363","\u2e364","\u2e365","\u2e366","\u2e367","\u2e368","\u2e369","\u2e36a","\u2e36b","\u2e36c","\u2e36d","\u2e36e","\u2e36f","\u2e370","\u2e371","\u2e372","\u2e373","\u2e374","\u2e375","\u2e376","\u2e377","\u2e378","\u2e379","\u2e37a","\u2e37b","\u2e37c","\u2e37d","\u2e37e","\u2e37f","\u2e380","\u2e381","\u2e382","\u2e383","\u2e384","\u2e385","\u2e386","\u2e387","\u2e388","\u2e389","\u2e38a","\u2e38b","\u2e38c","\u2e38d","\u2e38e","\u2e38f","\u2e390","\u2e391","\u2e392","\u2e393","\u2e394","\u2e395","\u2e396","\u2e397","\u2e398","\u2e399","\u2e39a","\u2e39b","\u2e39c","\u2e39d","\u2e39e","\u2e39f","\u2e3a0","\u2e3a1","\u2e3a2","\u2e3a3","\u2e3a4","\u2e3a5","\u2e3a6","\u2e3a7","\u2e3a8","\u2e3a9","\u2e3aa","\u2e3ab","\u2e3ac","\u2e3ad","\u2e3ae","\u2e3af","\u2e3b0","\u2e3b1","\u2e3b2","\u2e3b3","\u2e3b4","\u2e3b5","\u2e3b6","\u2e3b7","\u2e3b8","\u2e3b9","\u2e3ba","\u2e3bb","\u2e3bc","\u2e3bd","\u2e3be","\u2e3bf","\u2e3c0","\u2e3c1","\u2e3c2","\u2e3c3","\u2e3c4","\u2e3c5","\u2e3c6","\u2e3c7","\u2e3c8","\u2e3c9","\u2e3ca","\u2e3cb","\u2e3cc","\u2e3cd","\u2e3ce","\u2e3cf","\u2e3d0","\u2e3d1","\u2e3d2","\u2e3d3","\u2e3d4","\u2e3d5","\u2e3d6","\u2e3d7","\u2e3d8","\u2e3d9","\u2e3da","\u2e3db","\u2e3dc","\u2e3dd","\u2e3de","\u2e3df","\u2e3e0","\u2e3e1","\u2e3e2","\u2e3e3","\u2e3e4","\u2e3e5","\u2e3e6","\u2e3e7","\u2e3e8","\u2e3e9","\u2e3ea","\u2e3eb","\u2e3ec","\u2e3ed","\u2e3ee","\u2e3ef","\u2e3f0","\u2e3f1","\u2e3f2","\u2e3f3","\u2e3f4","\u2e3f5","\u2e3f6","\u2e3f7","\u2e3f8","\u2e3f9","\u2e3fa","\u2e3fb","\u2e3fc","\u2e3fd","\u2e3fe","\u2e3ff","\u2e400","\u2e401","\u2e402","\u2e403","\u2e404","\u2e405","\u2e406","\u2e407","\u2e408","\u2e409","\u2e40a","\u2e40b","\u2e40c","\u2e40d","\u2e40e","\u2e40f","\u2e410","\u2e411","\u2e412","\u2e413","\u2e414","\u2e415","\u2e416","\u2e417","\u2e418","\u2e419","\u2e41a","\u2e41b","\u2e41c","\u2e41d","\u2e41e","\u2e41f","\u2e420","\u2e421","\u2e422","\u2e423","\u2e424","\u2e425","\u2e426","\u2e427","\u2e428","\u2e429","\u2e42a","\u2e42b","\u2e42c","\u2e42d","\u2e42e","\u2e42f","\u2e430","\u2e431","\u2e432","\u2e433","\u2e434","\u2e435","\u2e436","\u2e437","\u2e438","\u2e439","\u2e43a","\u2e43b","\u2e43c","\u2e43d","\u2e43e","\u2e43f","\u2e440","\u2e441","\u2e442","\u2e443","\u2e444","\u2e445","\u2e446","\u2e447","\u2e448","\u2e449","\u2e44a","\u2e44b","\u2e44c","\u2e44d","\u2e44e","\u2e44f","\u2e450","\u2e451","\u2e452","\u2e453","\u2e454","\u2e455","\u2e456","\u2e457","\u2e458","\u2e459","\u2e45a","\u2e45b","\u2e45c","\u2e45d","\u2e45e","\u2e45f","\u2e460","\u2e461","\u2e462","\u2e463","\u2e464","\u2e465","\u2e466","\u2e467","\u2e468","\u2e469","\u2e46a","\u2e46b","\u2e46c","\u2e46d","\u2e46e","\u2e46f","\u2e470","\u2e471","\u2e472","\u2e473","\u2e474","\u2e475","\u2e476","\u2e477","\u2e478","\u2e479","\u2e47a","\u2e47b","\u2e47c","\u2e47d","\u2e47e","\u2e47f","\u2e480","\u2e481","\u2e482","\u2e483","\u2e484","\u2e485","\u2e486","\u2e487","\u2e488","\u2e489","\u2e48a","\u2e48b","\u2e48c","\u2e48d","\u2e48e","\u2e48f","\u2e490","\u2e491","\u2e492","\u2e493","\u2e494","\u2e495","\u2e496","\u2e497","\u2e498","\u2e499","\u2e49a","\u2e49b","\u2e49c","\u2e49d","\u2e49e","\u2e49f","\u2e4a0","\u2e4a1","\u2e4a2","\u2e4a3","\u2e4a4","\u2e4a5","\u2e4a6","\u2e4a7","\u2e4a8","\u2e4a9","\u2e4aa","\u2e4ab","\u2e4ac","\u2e4ad","\u2e4ae","\u2e4af","\u2e4b0","\u2e4b1","\u2e4b2","\u2e4b3","\u2e4b4","\u2e4b5","\u2e4b6","\u2e4b7","\u2e4b8","\u2e4b9","\u2e4ba","\u2e4bb","\u2e4bc","\u2e4bd","\u2e4be","\u2e4bf","\u2e4c0","\u2e4c1","\u2e4c2","\u2e4c3","\u2e4c4","\u2e4c5","\u2e4c6","\u2e4c7","\u2e4c8","\u2e4c9","\u2e4ca","\u2e4cb","\u2e4cc","\u2e4cd","\u2e4ce","\u2e4cf","\u2e4d0","\u2e4d1","\u2e4d2","\u2e4d3","\u2e4d4","\u2e4d5","\u2e4d6","\u2e4d7","\u2e4d8","\u2e4d9","\u2e4da","\u2e4db","\u2e4dc","\u2e4dd","\u2e4de","\u2e4df","\u2e4e0","\u2e4e1","\u2e4e2","\u2e4e3","\u2e4e4","\u2e4e5","\u2e4e6","\u2e4e7","\u2e4e8","\u2e4e9","\u2e4ea","\u2e4eb","\u2e4ec","\u2e4ed","\u2e4ee","\u2e4ef","\u2e4f0","\u2e4f1","\u2e4f2","\u2e4f3","\u2e4f4","\u2e4f5","\u2e4f6","\u2e4f7","\u2e4f8","\u2e4f9","\u2e4fa","\u2e4fb","\u2e4fc","\u2e4fd","\u2e4fe","\u2e4ff","\u2e500","\u2e501","\u2e502","\u2e503","\u2e504","\u2e505","\u2e506","\u2e507","\u2e508","\u2e509","\u2e50a","\u2e50b","\u2e50c","\u2e50d","\u2e50e","\u2e50f","\u2e510","\u2e511","\u2e512","\u2e513","\u2e514","\u2e515","\u2e516","\u2e517","\u2e518","\u2e519","\u2e51a","\u2e51b","\u2e51c","\u2e51d","\u2e51e","\u2e51f","\u2e520","\u2e521","\u2e522","\u2e523","\u2e524","\u2e525","\u2e526","\u2e527","\u2e528","\u2e529","\u2e52a","\u2e52b","\u2e52c","\u2e52d","\u2e52e","\u2e52f","\u2e530","\u2e531","\u2e532","\u2e533","\u2e534","\u2e535","\u2e536","\u2e537","\u2e538","\u2e539","\u2e53a","\u2e53b","\u2e53c","\u2e53d","\u2e53e","\u2e53f","\u2e540","\u2e541","\u2e542","\u2e543","\u2e544","\u2e545","\u2e546","\u2e547","\u2e548","\u2e549","\u2e54a","\u2e54b","\u2e54c","\u2e54d","\u2e54e","\u2e54f","\u2e550","\u2e551","\u2e552","\u2e553","\u2e554","\u2e555","\u2e556","\u2e557","\u2e558","\u2e559","\u2e55a","\u2e55b","\u2e55c","\u2e55d","\u2e55e","\u2e55f","\u2e560","\u2e561","\u2e562","\u2e563","\u2e564","\u2e565","\u2e566","\u2e567","\u2e568","\u2e569","\u2e56a","\u2e56b","\u2e56c","\u2e56d","\u2e56e","\u2e56f","\u2e570","\u2e571","\u2e572","\u2e573","\u2e574","\u2e575","\u2e576","\u2e577","\u2e578","\u2e579","\u2e57a","\u2e57b","\u2e57c","\u2e57d","\u2e57e","\u2e57f","\u2e580","\u2e581","\u2e582","\u2e583","\u2e584","\u2e585","\u2e586","\u2e587","\u2e588","\u2e589","\u2e58a","\u2e58b","\u2e58c","\u2e58d","\u2e58e","\u2e58f","\u2e590","\u2e591","\u2e592","\u2e593","\u2e594","\u2e595","\u2e596","\u2e597","\u2e598","\u2e599","\u2e59a","\u2e59b","\u2e59c","\u2e59d","\u2e59e","\u2e59f","\u2e5a0","\u2e5a1","\u2e5a2","\u2e5a3","\u2e5a4","\u2e5a5","\u2e5a6","\u2e5a7","\u2e5a8","\u2e5a9","\u2e5aa","\u2e5ab","\u2e5ac","\u2e5ad","\u2e5ae","\u2e5af","\u2e5b0","\u2e5b1","\u2e5b2","\u2e5b3","\u2e5b4","\u2e5b5","\u2e5b6","\u2e5b7","\u2e5b8","\u2e5b9","\u2e5ba","\u2e5bb","\u2e5bc","\u2e5bd","\u2e5be","\u2e5bf","\u2e5c0","\u2e5c1","\u2e5c2","\u2e5c3","\u2e5c4","\u2e5c5","\u2e5c6","\u2e5c7","\u2e5c8","\u2e5c9","\u2e5ca","\u2e5cb","\u2e5cc","\u2e5cd","\u2e5ce","\u2e5cf","\u2e5d0","\u2e5d1","\u2e5d2","\u2e5d3","\u2e5d4","\u2e5d5","\u2e5d6","\u2e5d7","\u2e5d8","\u2e5d9","\u2e5da","\u2e5db","\u2e5dc","\u2e5dd","\u2e5de","\u2e5df","\u2e5e0","\u2e5e1","\u2e5e2","\u2e5e3","\u2e5e4","\u2e5e5","\u2e5e6","\u2e5e7","\u2e5e8","\u2e5e9","\u2e5ea","\u2e5eb","\u2e5ec","\u2e5ed","\u2e5ee","\u2e5ef","\u2e5f0","\u2e5f1","\u2e5f2","\u2e5f3","\u2e5f4","\u2e5f5","\u2e5f6","\u2e5f7","\u2e5f8","\u2e5f9","\u2e5fa","\u2e5fb","\u2e5fc","\u2e5fd","\u2e5fe","\u2e5ff","\u2e600","\u2e601","\u2e602","\u2e603","\u2e604","\u2e605","\u2e606","\u2e607","\u2e608","\u2e609","\u2e60a","\u2e60b","\u2e60c","\u2e60d","\u2e60e","\u2e60f","\u2e610","\u2e611","\u2e612","\u2e613","\u2e614","\u2e615","\u2e616","\u2e617","\u2e618","\u2e619","\u2e61a","\u2e61b","\u2e61c","\u2e61d","\u2e61e","\u2e61f","\u2e620","\u2e621","\u2e622","\u2e623","\u2e624","\u2e625","\u2e626","\u2e627","\u2e628","\u2e629","\u2e62a","\u2e62b","\u2e62c","\u2e62d","\u2e62e","\u2e62f","\u2e630","\u2e631","\u2e632","\u2e633","\u2e634","\u2e635","\u2e636","\u2e637","\u2e638","\u2e639","\u2e63a","\u2e63b","\u2e63c","\u2e63d","\u2e63e","\u2e63f","\u2e640","\u2e641","\u2e642","\u2e643","\u2e644","\u2e645","\u2e646","\u2e647","\u2e648","\u2e649","\u2e64a","\u2e64b","\u2e64c","\u2e64d","\u2e64e","\u2e64f","\u2e650","\u2e651","\u2e652","\u2e653","\u2e654","\u2e655","\u2e656","\u2e657","\u2e658","\u2e659","\u2e65a","\u2e65b","\u2e65c","\u2e65d","\u2e65e","\u2e65f","\u2e660","\u2e661","\u2e662","\u2e663","\u2e664","\u2e665","\u2e666","\u2e667","\u2e668","\u2e669","\u2e66a","\u2e66b","\u2e66c","\u2e66d","\u2e66e","\u2e66f","\u2e670","\u2e671","\u2e672","\u2e673","\u2e674","\u2e675","\u2e676","\u2e677","\u2e678","\u2e679","\u2e67a","\u2e67b","\u2e67c","\u2e67d","\u2e67e","\u2e67f","\u2e680","\u2e681","\u2e682","\u2e683","\u2e684","\u2e685","\u2e686","\u2e687","\u2e688","\u2e689","\u2e68a","\u2e68b","\u2e68c","\u2e68d","\u2e68e","\u2e68f","\u2e690","\u2e691","\u2e692","\u2e693","\u2e694","\u2e695","\u2e696","\u2e697","\u2e698","\u2e699","\u2e69a","\u2e69b","\u2e69c","\u2e69d","\u2e69e","\u2e69f","\u2e6a0","\u2e6a1","\u2e6a2","\u2e6a3","\u2e6a4","\u2e6a5","\u2e6a6","\u2e6a7","\u2e6a8","\u2e6a9","\u2e6aa","\u2e6ab","\u2e6ac","\u2e6ad","\u2e6ae","\u2e6af","\u2e6b0","\u2e6b1","\u2e6b2","\u2e6b3","\u2e6b4","\u2e6b5","\u2e6b6","\u2e6b7","\u2e6b8","\u2e6b9","\u2e6ba","\u2e6bb","\u2e6bc","\u2e6bd","\u2e6be","\u2e6bf","\u2e6c0","\u2e6c1","\u2e6c2","\u2e6c3","\u2e6c4","\u2e6c5","\u2e6c6","\u2e6c7","\u2e6c8","\u2e6c9","\u2e6ca","\u2e6cb","\u2e6cc","\u2e6cd","\u2e6ce","\u2e6cf","\u2e6d0","\u2e6d1","\u2e6d2","\u2e6d3","\u2e6d4","\u2e6d5","\u2e6d6","\u2e6d7","\u2e6d8","\u2e6d9","\u2e6da","\u2e6db","\u2e6dc","\u2e6dd","\u2e6de","\u2e6df","\u2e6e0","\u2e6e1","\u2e6e2","\u2e6e3","\u2e6e4","\u2e6e5","\u2e6e6","\u2e6e7","\u2e6e8","\u2e6e9","\u2e6ea","\u2e6eb","\u2e6ec","\u2e6ed","\u2e6ee","\u2e6ef","\u2e6f0","\u2e6f1","\u2e6f2","\u2e6f3","\u2e6f4","\u2e6f5","\u2e6f6","\u2e6f7","\u2e6f8","\u2e6f9","\u2e6fa","\u2e6fb","\u2e6fc","\u2e6fd","\u2e6fe","\u2e6ff","\u2e700","\u2e701","\u2e702","\u2e703","\u2e704","\u2e705","\u2e706","\u2e707","\u2e708","\u2e709","\u2e70a","\u2e70b","\u2e70c","\u2e70d","\u2e70e","\u2e70f","\u2e710","\u2e711","\u2e712","\u2e713","\u2e714","\u2e715","\u2e716","\u2e717","\u2e718","\u2e719","\u2e71a","\u2e71b","\u2e71c","\u2e71d","\u2e71e","\u2e71f","\u2e720","\u2e721","\u2e722","\u2e723","\u2e724","\u2e725","\u2e726","\u2e727","\u2e728","\u2e729","\u2e72a","\u2e72b","\u2e72c","\u2e72d","\u2e72e","\u2e72f","\u2e730","\u2e731","\u2e732","\u2e733","\u2e734","\u2e735","\u2e736","\u2e737","\u2e738","\u2e739","\u2e73a","\u2e73b","\u2e73c","\u2e73d","\u2e73e","\u2e73f","\u2e740","\u2e741","\u2e742","\u2e743","\u2e744","\u2e745","\u2e746","\u2e747","\u2e748","\u2e749","\u2e74a","\u2e74b","\u2e74c","\u2e74d","\u2e74e","\u2e74f","\u2e750","\u2e751","\u2e752","\u2e753","\u2e754","\u2e755","\u2e756","\u2e757","\u2e758","\u2e759","\u2e75a","\u2e75b","\u2e75c","\u2e75d","\u2e75e","\u2e75f","\u2e760","\u2e761","\u2e762","\u2e763","\u2e764","\u2e765","\u2e766","\u2e767","\u2e768","\u2e769","\u2e76a","\u2e76b","\u2e76c","\u2e76d","\u2e76e","\u2e76f","\u2e770","\u2e771","\u2e772","\u2e773","\u2e774","\u2e775","\u2e776","\u2e777","\u2e778","\u2e779","\u2e77a","\u2e77b","\u2e77c","\u2e77d","\u2e77e","\u2e77f","\u2e780","\u2e781","\u2e782","\u2e783","\u2e784","\u2e785","\u2e786","\u2e787","\u2e788","\u2e789","\u2e78a","\u2e78b","\u2e78c","\u2e78d","\u2e78e","\u2e78f","\u2e790","\u2e791","\u2e792","\u2e793","\u2e794","\u2e795","\u2e796","\u2e797","\u2e798","\u2e799","\u2e79a","\u2e79b","\u2e79c","\u2e79d","\u2e79e","\u2e79f","\u2e7a0","\u2e7a1","\u2e7a2","\u2e7a3","\u2e7a4","\u2e7a5","\u2e7a6","\u2e7a7","\u2e7a8","\u2e7a9","\u2e7aa","\u2e7ab","\u2e7ac","\u2e7ad","\u2e7ae","\u2e7af","\u2e7b0","\u2e7b1","\u2e7b2","\u2e7b3","\u2e7b4","\u2e7b5","\u2e7b6","\u2e7b7","\u2e7b8","\u2e7b9","\u2e7ba","\u2e7bb","\u2e7bc","\u2e7bd","\u2e7be","\u2e7bf","\u2e7c0","\u2e7c1","\u2e7c2","\u2e7c3","\u2e7c4","\u2e7c5","\u2e7c6","\u2e7c7","\u2e7c8","\u2e7c9","\u2e7ca","\u2e7cb","\u2e7cc","\u2e7cd","\u2e7ce","\u2e7cf","\u2e7d0","\u2e7d1","\u2e7d2","\u2e7d3","\u2e7d4","\u2e7d5","\u2e7d6","\u2e7d7","\u2e7d8","\u2e7d9","\u2e7da","\u2e7db","\u2e7dc","\u2e7dd","\u2e7de","\u2e7df","\u2e7e0","\u2e7e1","\u2e7e2","\u2e7e3","\u2e7e4","\u2e7e5","\u2e7e6","\u2e7e7","\u2e7e8","\u2e7e9","\u2e7ea","\u2e7eb","\u2e7ec","\u2e7ed","\u2e7ee","\u2e7ef","\u2e7f0","\u2e7f1","\u2e7f2","\u2e7f3","\u2e7f4","\u2e7f5","\u2e7f6","\u2e7f7","\u2e7f8","\u2e7f9","\u2e7fa","\u2e7fb","\u2e7fc","\u2e7fd","\u2e7fe","\u2e7ff","\u2e800","\u2e801","\u2e802","\u2e803","\u2e804","\u2e805","\u2e806","\u2e807","\u2e808","\u2e809","\u2e80a","\u2e80b","\u2e80c","\u2e80d","\u2e80e","\u2e80f","\u2e810","\u2e811","\u2e812","\u2e813","\u2e814","\u2e815","\u2e816","\u2e817","\u2e818","\u2e819","\u2e81a","\u2e81b","\u2e81c","\u2e81d","\u2e81e","\u2e81f","\u2e820","\u2e821","\u2e822","\u2e823","\u2e824","\u2e825","\u2e826","\u2e827","\u2e828","\u2e829","\u2e82a","\u2e82b","\u2e82c","\u2e82d","\u2e82e","\u2e82f","\u2e830","\u2e831","\u2e832","\u2e833","\u2e834","\u2e835","\u2e836","\u2e837","\u2e838","\u2e839","\u2e83a","\u2e83b","\u2e83c","\u2e83d","\u2e83e","\u2e83f","\u2e840","\u2e841","\u2e842","\u2e843","\u2e844","\u2e845","\u2e846","\u2e847","\u2e848","\u2e849","\u2e84a","\u2e84b","\u2e84c","\u2e84d","\u2e84e","\u2e84f","\u2e850","\u2e851","\u2e852","\u2e853","\u2e854","\u2e855","\u2e856","\u2e857","\u2e858","\u2e859","\u2e85a","\u2e85b","\u2e85c","\u2e85d","\u2e85e","\u2e85f","\u2e860","\u2e861","\u2e862","\u2e863","\u2e864","\u2e865","\u2e866","\u2e867","\u2e868","\u2e869","\u2e86a","\u2e86b","\u2e86c","\u2e86d","\u2e86e","\u2e86f","\u2e870","\u2e871","\u2e872","\u2e873","\u2e874","\u2e875","\u2e876","\u2e877","\u2e878","\u2e879","\u2e87a","\u2e87b","\u2e87c","\u2e87d","\u2e87e","\u2e87f","\u2e880","\u2e881","\u2e882","\u2e883","\u2e884","\u2e885","\u2e886","\u2e887","\u2e888","\u2e889","\u2e88a","\u2e88b","\u2e88c","\u2e88d","\u2e88e","\u2e88f","\u2e890","\u2e891","\u2e892","\u2e893","\u2e894","\u2e895","\u2e896","\u2e897","\u2e898","\u2e899","\u2e89a","\u2e89b","\u2e89c","\u2e89d","\u2e89e","\u2e89f","\u2e8a0","\u2e8a1","\u2e8a2","\u2e8a3","\u2e8a4","\u2e8a5","\u2e8a6","\u2e8a7","\u2e8a8","\u2e8a9","\u2e8aa","\u2e8ab","\u2e8ac","\u2e8ad","\u2e8ae","\u2e8af","\u2e8b0","\u2e8b1","\u2e8b2","\u2e8b3","\u2e8b4","\u2e8b5","\u2e8b6","\u2e8b7","\u2e8b8","\u2e8b9","\u2e8ba","\u2e8bb","\u2e8bc","\u2e8bd","\u2e8be","\u2e8bf","\u2e8c0","\u2e8c1","\u2e8c2","\u2e8c3","\u2e8c4","\u2e8c5","\u2e8c6","\u2e8c7","\u2e8c8","\u2e8c9","\u2e8ca","\u2e8cb","\u2e8cc","\u2e8cd","\u2e8ce","\u2e8cf","\u2e8d0","\u2e8d1","\u2e8d2","\u2e8d3","\u2e8d4","\u2e8d5","\u2e8d6","\u2e8d7","\u2e8d8","\u2e8d9","\u2e8da","\u2e8db","\u2e8dc","\u2e8dd","\u2e8de","\u2e8df","\u2e8e0","\u2e8e1","\u2e8e2","\u2e8e3","\u2e8e4","\u2e8e5","\u2e8e6","\u2e8e7","\u2e8e8","\u2e8e9","\u2e8ea","\u2e8eb","\u2e8ec","\u2e8ed","\u2e8ee","\u2e8ef","\u2e8f0","\u2e8f1","\u2e8f2","\u2e8f3","\u2e8f4","\u2e8f5","\u2e8f6","\u2e8f7","\u2e8f8","\u2e8f9","\u2e8fa","\u2e8fb","\u2e8fc","\u2e8fd","\u2e8fe","\u2e8ff","\u2e900","\u2e901","\u2e902","\u2e903","\u2e904","\u2e905","\u2e906","\u2e907","\u2e908","\u2e909","\u2e90a","\u2e90b","\u2e90c","\u2e90d","\u2e90e","\u2e90f","\u2e910","\u2e911","\u2e912","\u2e913","\u2e914","\u2e915","\u2e916","\u2e917","\u2e918","\u2e919","\u2e91a","\u2e91b","\u2e91c","\u2e91d","\u2e91e","\u2e91f","\u2e920","\u2e921","\u2e922","\u2e923","\u2e924","\u2e925","\u2e926","\u2e927","\u2e928","\u2e929","\u2e92a","\u2e92b","\u2e92c","\u2e92d","\u2e92e","\u2e92f","\u2e930","\u2e931","\u2e932","\u2e933","\u2e934","\u2e935","\u2e936","\u2e937","\u2e938","\u2e939","\u2e93a","\u2e93b","\u2e93c","\u2e93d","\u2e93e","\u2e93f","\u2e940","\u2e941","\u2e942","\u2e943","\u2e944","\u2e945","\u2e946","\u2e947","\u2e948","\u2e949","\u2e94a","\u2e94b","\u2e94c","\u2e94d","\u2e94e","\u2e94f","\u2e950","\u2e951","\u2e952","\u2e953","\u2e954","\u2e955","\u2e956","\u2e957","\u2e958","\u2e959","\u2e95a","\u2e95b","\u2e95c","\u2e95d","\u2e95e","\u2e95f","\u2e960","\u2e961","\u2e962","\u2e963","\u2e964","\u2e965","\u2e966","\u2e967","\u2e968","\u2e969","\u2e96a","\u2e96b","\u2e96c","\u2e96d","\u2e96e","\u2e96f","\u2e970","\u2e971","\u2e972","\u2e973","\u2e974","\u2e975","\u2e976","\u2e977","\u2e978","\u2e979","\u2e97a","\u2e97b","\u2e97c","\u2e97d","\u2e97e","\u2e97f","\u2e980","\u2e981","\u2e982","\u2e983","\u2e984","\u2e985","\u2e986","\u2e987","\u2e988","\u2e989","\u2e98a","\u2e98b","\u2e98c","\u2e98d","\u2e98e","\u2e98f","\u2e990","\u2e991","\u2e992","\u2e993","\u2e994","\u2e995","\u2e996","\u2e997","\u2e998","\u2e999","\u2e99a","\u2e99b","\u2e99c","\u2e99d","\u2e99e","\u2e99f","\u2e9a0","\u2e9a1","\u2e9a2","\u2e9a3","\u2e9a4","\u2e9a5","\u2e9a6","\u2e9a7","\u2e9a8","\u2e9a9","\u2e9aa","\u2e9ab","\u2e9ac","\u2e9ad","\u2e9ae","\u2e9af","\u2e9b0","\u2e9b1","\u2e9b2","\u2e9b3","\u2e9b4","\u2e9b5","\u2e9b6","\u2e9b7","\u2e9b8","\u2e9b9","\u2e9ba","\u2e9bb","\u2e9bc","\u2e9bd","\u2e9be","\u2e9bf","\u2e9c0","\u2e9c1","\u2e9c2","\u2e9c3","\u2e9c4","\u2e9c5","\u2e9c6","\u2e9c7","\u2e9c8","\u2e9c9","\u2e9ca","\u2e9cb","\u2e9cc","\u2e9cd","\u2e9ce","\u2e9cf","\u2e9d0","\u2e9d1","\u2e9d2","\u2e9d3","\u2e9d4","\u2e9d5","\u2e9d6","\u2e9d7","\u2e9d8","\u2e9d9","\u2e9da","\u2e9db","\u2e9dc","\u2e9dd","\u2e9de","\u2e9df","\u2e9e0","\u2e9e1","\u2e9e2","\u2e9e3","\u2e9e4","\u2e9e5","\u2e9e6","\u2e9e7","\u2e9e8","\u2e9e9","\u2e9ea","\u2e9eb","\u2e9ec","\u2e9ed","\u2e9ee","\u2e9ef","\u2e9f0","\u2e9f1","\u2e9f2","\u2e9f3","\u2e9f4","\u2e9f5","\u2e9f6","\u2e9f7","\u2e9f8","\u2e9f9","\u2e9fa","\u2e9fb","\u2e9fc","\u2e9fd","\u2e9fe","\u2e9ff","\u2ea00","\u2ea01","\u2ea02","\u2ea03","\u2ea04","\u2ea05","\u2ea06","\u2ea07","\u2ea08","\u2ea09","\u2ea0a","\u2ea0b","\u2ea0c","\u2ea0d","\u2ea0e","\u2ea0f","\u2ea10","\u2ea11","\u2ea12","\u2ea13","\u2ea14","\u2ea15","\u2ea16","\u2ea17","\u2ea18","\u2ea19","\u2ea1a","\u2ea1b","\u2ea1c","\u2ea1d","\u2ea1e","\u2ea1f","\u2ea20","\u2ea21","\u2ea22","\u2ea23","\u2ea24","\u2ea25","\u2ea26","\u2ea27","\u2ea28","\u2ea29","\u2ea2a","\u2ea2b","\u2ea2c","\u2ea2d","\u2ea2e","\u2ea2f","\u2ea30","\u2ea31","\u2ea32","\u2ea33","\u2ea34","\u2ea35","\u2ea36","\u2ea37","\u2ea38","\u2ea39","\u2ea3a","\u2ea3b","\u2ea3c","\u2ea3d","\u2ea3e","\u2ea3f","\u2ea40","\u2ea41","\u2ea42","\u2ea43","\u2ea44","\u2ea45","\u2ea46","\u2ea47","\u2ea48","\u2ea49","\u2ea4a","\u2ea4b","\u2ea4c","\u2ea4d","\u2ea4e","\u2ea4f","\u2ea50","\u2ea51","\u2ea52","\u2ea53","\u2ea54","\u2ea55","\u2ea56","\u2ea57","\u2ea58","\u2ea59","\u2ea5a","\u2ea5b","\u2ea5c","\u2ea5d","\u2ea5e","\u2ea5f","\u2ea60","\u2ea61","\u2ea62","\u2ea63","\u2ea64","\u2ea65","\u2ea66","\u2ea67","\u2ea68","\u2ea69","\u2ea6a","\u2ea6b","\u2ea6c","\u2ea6d","\u2ea6e","\u2ea6f","\u2ea70","\u2ea71","\u2ea72","\u2ea73","\u2ea74","\u2ea75","\u2ea76","\u2ea77","\u2ea78","\u2ea79","\u2ea7a","\u2ea7b","\u2ea7c","\u2ea7d","\u2ea7e","\u2ea7f","\u2ea80","\u2ea81","\u2ea82","\u2ea83","\u2ea84","\u2ea85","\u2ea86","\u2ea87","\u2ea88","\u2ea89","\u2ea8a","\u2ea8b","\u2ea8c","\u2ea8d","\u2ea8e","\u2ea8f","\u2ea90","\u2ea91","\u2ea92","\u2ea93","\u2ea94","\u2ea95","\u2ea96","\u2ea97","\u2ea98","\u2ea99","\u2ea9a","\u2ea9b","\u2ea9c","\u2ea9d","\u2ea9e","\u2ea9f","\u2eaa0","\u2eaa1","\u2eaa2","\u2eaa3","\u2eaa4","\u2eaa5","\u2eaa6","\u2eaa7","\u2eaa8","\u2eaa9","\u2eaaa","\u2eaab","\u2eaac","\u2eaad","\u2eaae","\u2eaaf","\u2eab0","\u2eab1","\u2eab2","\u2eab3","\u2eab4","\u2eab5","\u2eab6","\u2eab7","\u2eab8","\u2eab9","\u2eaba","\u2eabb","\u2eabc","\u2eabd","\u2eabe","\u2eabf","\u2eac0","\u2eac1","\u2eac2","\u2eac3","\u2eac4","\u2eac5","\u2eac6","\u2eac7","\u2eac8","\u2eac9","\u2eaca","\u2eacb","\u2eacc","\u2eacd","\u2eace","\u2eacf","\u2ead0","\u2ead1","\u2ead2","\u2ead3","\u2ead4","\u2ead5","\u2ead6","\u2ead7","\u2ead8","\u2ead9","\u2eada","\u2eadb","\u2eadc","\u2eadd","\u2eade","\u2eadf","\u2eae0","\u2eae1","\u2eae2","\u2eae3","\u2eae4","\u2eae5","\u2eae6","\u2eae7","\u2eae8","\u2eae9","\u2eaea","\u2eaeb","\u2eaec","\u2eaed","\u2eaee","\u2eaef","\u2eaf0","\u2eaf1","\u2eaf2","\u2eaf3","\u2eaf4","\u2eaf5","\u2eaf6","\u2eaf7","\u2eaf8","\u2eaf9","\u2eafa","\u2eafb","\u2eafc","\u2eafd","\u2eafe","\u2eaff","\u2eb00","\u2eb01","\u2eb02","\u2eb03","\u2eb04","\u2eb05","\u2eb06","\u2eb07","\u2eb08","\u2eb09","\u2eb0a","\u2eb0b","\u2eb0c","\u2eb0d","\u2eb0e","\u2eb0f","\u2eb10","\u2eb11","\u2eb12","\u2eb13","\u2eb14","\u2eb15","\u2eb16","\u2eb17","\u2eb18","\u2eb19","\u2eb1a","\u2eb1b","\u2eb1c","\u2eb1d","\u2eb1e","\u2eb1f","\u2eb20","\u2eb21","\u2eb22","\u2eb23","\u2eb24","\u2eb25","\u2eb26","\u2eb27","\u2eb28","\u2eb29","\u2eb2a","\u2eb2b","\u2eb2c","\u2eb2d","\u2eb2e","\u2eb2f","\u2eb30","\u2eb31","\u2eb32","\u2eb33","\u2eb34","\u2eb35","\u2eb36","\u2eb37","\u2eb38","\u2eb39","\u2eb3a","\u2eb3b","\u2eb3c","\u2eb3d","\u2eb3e","\u2eb3f","\u2eb40","\u2eb41","\u2eb42","\u2eb43","\u2eb44","\u2eb45","\u2eb46","\u2eb47","\u2eb48","\u2eb49","\u2eb4a","\u2eb4b","\u2eb4c","\u2eb4d","\u2eb4e","\u2eb4f","\u2eb50","\u2eb51","\u2eb52","\u2eb53","\u2eb54","\u2eb55","\u2eb56","\u2eb57","\u2eb58","\u2eb59","\u2eb5a","\u2eb5b","\u2eb5c","\u2eb5d","\u2eb5e","\u2eb5f","\u2eb60","\u2eb61","\u2eb62","\u2eb63","\u2eb64","\u2eb65","\u2eb66","\u2eb67","\u2eb68","\u2eb69","\u2eb6a","\u2eb6b","\u2eb6c","\u2eb6d","\u2eb6e","\u2eb6f","\u2eb70","\u2eb71","\u2eb72","\u2eb73","\u2eb74","\u2eb75","\u2eb76","\u2eb77","\u2eb78","\u2eb79","\u2eb7a","\u2eb7b","\u2eb7c","\u2eb7d","\u2eb7e","\u2eb7f","\u2eb80","\u2eb81","\u2eb82","\u2eb83","\u2eb84","\u2eb85","\u2eb86","\u2eb87","\u2eb88","\u2eb89","\u2eb8a","\u2eb8b","\u2eb8c","\u2eb8d","\u2eb8e","\u2eb8f","\u2eb90","\u2eb91","\u2eb92","\u2eb93","\u2eb94","\u2eb95","\u2eb96","\u2eb97","\u2eb98","\u2eb99","\u2eb9a","\u2eb9b","\u2eb9c","\u2eb9d","\u2eb9e","\u2eb9f","\u2eba0","\u2eba1","\u2eba2","\u2eba3","\u2eba4","\u2eba5","\u2eba6","\u2eba7","\u2eba8","\u2eba9","\u2ebaa","\u2ebab","\u2ebac","\u2ebad","\u2ebae","\u2ebaf","\u2ebb0","\u2ebb1","\u2ebb2","\u2ebb3","\u2ebb4","\u2ebb5","\u2ebb6","\u2ebb7","\u2ebb8","\u2ebb9","\u2ebba","\u2ebbb","\u2ebbc","\u2ebbd","\u2ebbe","\u2ebbf","\u2ebc0","\u2ebc1","\u2ebc2","\u2ebc3","\u2ebc4","\u2ebc5","\u2ebc6","\u2ebc7","\u2ebc8","\u2ebc9","\u2ebca","\u2ebcb","\u2ebcc","\u2ebcd","\u2ebce","\u2ebcf","\u2ebd0","\u2ebd1","\u2ebd2","\u2ebd3","\u2ebd4","\u2ebd5","\u2ebd6","\u2ebd7","\u2ebd8","\u2ebd9","\u2ebda","\u2ebdb","\u2ebdc","\u2ebdd","\u2ebde","\u2ebdf","\u2ebe0",  # ; CJK UNIFIED IDEOGRAPH-*
        "\u2f800","\u2f801","\u2f802","\u2f803","\u2f804","\u2f805","\u2f806","\u2f807","\u2f808","\u2f809","\u2f80a","\u2f80b","\u2f80c","\u2f80d","\u2f80e","\u2f80f","\u2f810","\u2f811","\u2f812","\u2f813","\u2f814","\u2f815","\u2f816","\u2f817","\u2f818","\u2f819","\u2f81a","\u2f81b","\u2f81c","\u2f81d","\u2f81e","\u2f81f","\u2f820","\u2f821","\u2f822","\u2f823","\u2f824","\u2f825","\u2f826","\u2f827","\u2f828","\u2f829","\u2f82a","\u2f82b","\u2f82c","\u2f82d","\u2f82e","\u2f82f","\u2f830","\u2f831","\u2f832","\u2f833","\u2f834","\u2f835","\u2f836","\u2f837","\u2f838","\u2f839","\u2f83a","\u2f83b","\u2f83c","\u2f83d","\u2f83e","\u2f83f","\u2f840","\u2f841","\u2f842","\u2f843","\u2f844","\u2f845","\u2f846","\u2f847","\u2f848","\u2f849","\u2f84a","\u2f84b","\u2f84c","\u2f84d","\u2f84e","\u2f84f","\u2f850","\u2f851","\u2f852","\u2f853","\u2f854","\u2f855","\u2f856","\u2f857","\u2f858","\u2f859","\u2f85a","\u2f85b","\u2f85c","\u2f85d","\u2f85e","\u2f85f","\u2f860","\u2f861","\u2f862","\u2f863","\u2f864","\u2f865","\u2f866","\u2f867","\u2f868","\u2f869","\u2f86a","\u2f86b","\u2f86c","\u2f86d","\u2f86e","\u2f86f","\u2f870","\u2f871","\u2f872","\u2f873","\u2f874","\u2f875","\u2f876","\u2f877","\u2f878","\u2f879","\u2f87a","\u2f87b","\u2f87c","\u2f87d","\u2f87e","\u2f87f","\u2f880","\u2f881","\u2f882","\u2f883","\u2f884","\u2f885","\u2f886","\u2f887","\u2f888","\u2f889","\u2f88a","\u2f88b","\u2f88c","\u2f88d","\u2f88e","\u2f88f","\u2f890","\u2f891","\u2f892","\u2f893","\u2f894","\u2f895","\u2f896","\u2f897","\u2f898","\u2f899","\u2f89a","\u2f89b","\u2f89c","\u2f89d","\u2f89e","\u2f89f","\u2f8a0","\u2f8a1","\u2f8a2","\u2f8a3","\u2f8a4","\u2f8a5","\u2f8a6","\u2f8a7","\u2f8a8","\u2f8a9","\u2f8aa","\u2f8ab","\u2f8ac","\u2f8ad","\u2f8ae","\u2f8af","\u2f8b0","\u2f8b1","\u2f8b2","\u2f8b3","\u2f8b4","\u2f8b5","\u2f8b6","\u2f8b7","\u2f8b8","\u2f8b9","\u2f8ba","\u2f8bb","\u2f8bc","\u2f8bd","\u2f8be","\u2f8bf","\u2f8c0","\u2f8c1","\u2f8c2","\u2f8c3","\u2f8c4","\u2f8c5","\u2f8c6","\u2f8c7","\u2f8c8","\u2f8c9","\u2f8ca","\u2f8cb","\u2f8cc","\u2f8cd","\u2f8ce","\u2f8cf","\u2f8d0","\u2f8d1","\u2f8d2","\u2f8d3","\u2f8d4","\u2f8d5","\u2f8d6","\u2f8d7","\u2f8d8","\u2f8d9","\u2f8da","\u2f8db","\u2f8dc","\u2f8dd","\u2f8de","\u2f8df","\u2f8e0","\u2f8e1","\u2f8e2","\u2f8e3","\u2f8e4","\u2f8e5","\u2f8e6","\u2f8e7","\u2f8e8","\u2f8e9","\u2f8ea","\u2f8eb","\u2f8ec","\u2f8ed","\u2f8ee","\u2f8ef","\u2f8f0","\u2f8f1","\u2f8f2","\u2f8f3","\u2f8f4","\u2f8f5","\u2f8f6","\u2f8f7","\u2f8f8","\u2f8f9","\u2f8fa","\u2f8fb","\u2f8fc","\u2f8fd","\u2f8fe","\u2f8ff","\u2f900","\u2f901","\u2f902","\u2f903","\u2f904","\u2f905","\u2f906","\u2f907","\u2f908","\u2f909","\u2f90a","\u2f90b","\u2f90c","\u2f90d","\u2f90e","\u2f90f","\u2f910","\u2f911","\u2f912","\u2f913","\u2f914","\u2f915","\u2f916","\u2f917","\u2f918","\u2f919","\u2f91a","\u2f91b","\u2f91c","\u2f91d","\u2f91e","\u2f91f","\u2f920","\u2f921","\u2f922","\u2f923","\u2f924","\u2f925","\u2f926","\u2f927","\u2f928","\u2f929","\u2f92a","\u2f92b","\u2f92c","\u2f92d","\u2f92e","\u2f92f","\u2f930","\u2f931","\u2f932","\u2f933","\u2f934","\u2f935","\u2f936","\u2f937","\u2f938","\u2f939","\u2f93a","\u2f93b","\u2f93c","\u2f93d","\u2f93e","\u2f93f","\u2f940","\u2f941","\u2f942","\u2f943","\u2f944","\u2f945","\u2f946","\u2f947","\u2f948","\u2f949","\u2f94a","\u2f94b","\u2f94c","\u2f94d","\u2f94e","\u2f94f","\u2f950","\u2f951","\u2f952","\u2f953","\u2f954","\u2f955","\u2f956","\u2f957","\u2f958","\u2f959","\u2f95a","\u2f95b","\u2f95c","\u2f95d","\u2f95e","\u2f95f","\u2f960","\u2f961","\u2f962","\u2f963","\u2f964","\u2f965","\u2f966","\u2f967","\u2f968","\u2f969","\u2f96a","\u2f96b","\u2f96c","\u2f96d","\u2f96e","\u2f96f","\u2f970","\u2f971","\u2f972","\u2f973","\u2f974","\u2f975","\u2f976","\u2f977","\u2f978","\u2f979","\u2f97a","\u2f97b","\u2f97c","\u2f97d","\u2f97e","\u2f97f","\u2f980","\u2f981","\u2f982","\u2f983","\u2f984","\u2f985","\u2f986","\u2f987","\u2f988","\u2f989","\u2f98a","\u2f98b","\u2f98c","\u2f98d","\u2f98e","\u2f98f","\u2f990","\u2f991","\u2f992","\u2f993","\u2f994","\u2f995","\u2f996","\u2f997","\u2f998","\u2f999","\u2f99a","\u2f99b","\u2f99c","\u2f99d","\u2f99e","\u2f99f","\u2f9a0","\u2f9a1","\u2f9a2","\u2f9a3","\u2f9a4","\u2f9a5","\u2f9a6","\u2f9a7","\u2f9a8","\u2f9a9","\u2f9aa","\u2f9ab","\u2f9ac","\u2f9ad","\u2f9ae","\u2f9af","\u2f9b0","\u2f9b1","\u2f9b2","\u2f9b3","\u2f9b4","\u2f9b5","\u2f9b6","\u2f9b7","\u2f9b8","\u2f9b9","\u2f9ba","\u2f9bb","\u2f9bc","\u2f9bd","\u2f9be","\u2f9bf","\u2f9c0","\u2f9c1","\u2f9c2","\u2f9c3","\u2f9c4","\u2f9c5","\u2f9c6","\u2f9c7","\u2f9c8","\u2f9c9","\u2f9ca","\u2f9cb","\u2f9cc","\u2f9cd","\u2f9ce","\u2f9cf","\u2f9d0","\u2f9d1","\u2f9d2","\u2f9d3","\u2f9d4","\u2f9d5","\u2f9d6","\u2f9d7","\u2f9d8","\u2f9d9","\u2f9da","\u2f9db","\u2f9dc","\u2f9dd","\u2f9de","\u2f9df","\u2f9e0","\u2f9e1","\u2f9e2","\u2f9e3","\u2f9e4","\u2f9e5","\u2f9e6","\u2f9e7","\u2f9e8","\u2f9e9","\u2f9ea","\u2f9eb","\u2f9ec","\u2f9ed","\u2f9ee","\u2f9ef","\u2f9f0","\u2f9f1","\u2f9f2","\u2f9f3","\u2f9f4","\u2f9f5","\u2f9f6","\u2f9f7","\u2f9f8","\u2f9f9","\u2f9fa","\u2f9fb","\u2f9fc","\u2f9fd","\u2f9fe","\u2f9ff","\u2fa00","\u2fa01","\u2fa02","\u2fa03","\u2fa04","\u2fa05","\u2fa06","\u2fa07","\u2fa08","\u2fa09","\u2fa0a","\u2fa0b","\u2fa0c","\u2fa0d","\u2fa0e","\u2fa0f","\u2fa10","\u2fa11","\u2fa12","\u2fa13","\u2fa14","\u2fa15","\u2fa16","\u2fa17","\u2fa18","\u2fa19","\u2fa1a","\u2fa1b","\u2fa1c","\u2fa1d",  # ; CJK COMPATIBILITY IDEOGRAPH-*
        "\uE0001",  # ; LANGUAGE TAG
        "\uE0020",  # ; TAG SPACE
        "\uE0021",  # ; TAG EXCLAMATION MARK
        "\uE0022",  # ; TAG QUOTATION MARK
        "\uE0023",  # ; TAG NUMBER SIGN
        "\uE0024",  # ; TAG DOLLAR SIGN
        "\uE0025",  # ; TAG PERCENT SIGN
        "\uE0026",  # ; TAG AMPERSAND
        "\uE0027",  # ; TAG APOSTROPHE
        "\uE0028",  # ; TAG LEFT PARENTHESIS
        "\uE0029",  # ; TAG RIGHT PARENTHESIS
        "\uE002A",  # ; TAG ASTERISK
        "\uE002B",  # ; TAG PLUS SIGN
        "\uE002C",  # ; TAG COMMA
        "\uE002D",  # ; TAG HYPHEN-MINUS
        "\uE002E",  # ; TAG FULL STOP
        "\uE002F",  # ; TAG SOLIDUS
        "\uE0030",  # ; TAG DIGIT ZERO
        "\uE0031",  # ; TAG DIGIT ONE
        "\uE0032",  # ; TAG DIGIT TWO
        "\uE0033",  # ; TAG DIGIT THREE
        "\uE0034",  # ; TAG DIGIT FOUR
        "\uE0035",  # ; TAG DIGIT FIVE
        "\uE0036",  # ; TAG DIGIT SIX
        "\uE0037",  # ; TAG DIGIT SEVEN
        "\uE0038",  # ; TAG DIGIT EIGHT
        "\uE0039",  # ; TAG DIGIT NINE
        "\uE003A",  # ; TAG COLON
        "\uE003B",  # ; TAG SEMICOLON
        "\uE003C",  # ; TAG LESS-THAN SIGN
        "\uE003D",  # ; TAG EQUALS SIGN
        "\uE003E",  # ; TAG GREATER-THAN SIGN
        "\uE003F",  # ; TAG QUESTION MARK
        "\uE0040",  # ; TAG COMMERCIAL AT
        "\uE0041",  # ; TAG LATIN CAPITAL LETTER A
        "\uE0042",  # ; TAG LATIN CAPITAL LETTER B
        "\uE0043",  # ; TAG LATIN CAPITAL LETTER C
        "\uE0044",  # ; TAG LATIN CAPITAL LETTER D
        "\uE0045",  # ; TAG LATIN CAPITAL LETTER E
        "\uE0046",  # ; TAG LATIN CAPITAL LETTER F
        "\uE0047",  # ; TAG LATIN CAPITAL LETTER G
        "\uE0048",  # ; TAG LATIN CAPITAL LETTER H
        "\uE0049",  # ; TAG LATIN CAPITAL LETTER I
        "\uE004A",  # ; TAG LATIN CAPITAL LETTER J
        "\uE004B",  # ; TAG LATIN CAPITAL LETTER K
        "\uE004C",  # ; TAG LATIN CAPITAL LETTER L
        "\uE004D",  # ; TAG LATIN CAPITAL LETTER M
        "\uE004E",  # ; TAG LATIN CAPITAL LETTER N
        "\uE004F",  # ; TAG LATIN CAPITAL LETTER O
        "\uE0050",  # ; TAG LATIN CAPITAL LETTER P
        "\uE0051",  # ; TAG LATIN CAPITAL LETTER Q
        "\uE0052",  # ; TAG LATIN CAPITAL LETTER R
        "\uE0053",  # ; TAG LATIN CAPITAL LETTER S
        "\uE0054",  # ; TAG LATIN CAPITAL LETTER T
        "\uE0055",  # ; TAG LATIN CAPITAL LETTER U
        "\uE0056",  # ; TAG LATIN CAPITAL LETTER V
        "\uE0057",  # ; TAG LATIN CAPITAL LETTER W
        "\uE0058",  # ; TAG LATIN CAPITAL LETTER X
        "\uE0059",  # ; TAG LATIN CAPITAL LETTER Y
        "\uE005A",  # ; TAG LATIN CAPITAL LETTER Z
        "\uE005B",  # ; TAG LEFT SQUARE BRACKET
        "\uE005C",  # ; TAG REVERSE SOLIDUS
        "\uE005D",  # ; TAG RIGHT SQUARE BRACKET
        "\uE005E",  # ; TAG CIRCUMFLEX ACCENT
        "\uE005F",  # ; TAG LOW LINE
        "\uE0060",  # ; TAG GRAVE ACCENT
        "\uE0061",  # ; TAG LATIN SMALL LETTER A
        "\uE0062",  # ; TAG LATIN SMALL LETTER B
        "\uE0063",  # ; TAG LATIN SMALL LETTER C
        "\uE0064",  # ; TAG LATIN SMALL LETTER D
        "\uE0065",  # ; TAG LATIN SMALL LETTER E
        "\uE0066",  # ; TAG LATIN SMALL LETTER F
        "\uE0067",  # ; TAG LATIN SMALL LETTER G
        "\uE0068",  # ; TAG LATIN SMALL LETTER H
        "\uE0069",  # ; TAG LATIN SMALL LETTER I
        "\uE006A",  # ; TAG LATIN SMALL LETTER J
        "\uE006B",  # ; TAG LATIN SMALL LETTER K
        "\uE006C",  # ; TAG LATIN SMALL LETTER L
        "\uE006D",  # ; TAG LATIN SMALL LETTER M
        "\uE006E",  # ; TAG LATIN SMALL LETTER N
        "\uE006F",  # ; TAG LATIN SMALL LETTER O
        "\uE0070",  # ; TAG LATIN SMALL LETTER P
        "\uE0071",  # ; TAG LATIN SMALL LETTER Q
        "\uE0072",  # ; TAG LATIN SMALL LETTER R
        "\uE0073",  # ; TAG LATIN SMALL LETTER S
        "\uE0074",  # ; TAG LATIN SMALL LETTER T
        "\uE0075",  # ; TAG LATIN SMALL LETTER U
        "\uE0076",  # ; TAG LATIN SMALL LETTER V
        "\uE0077",  # ; TAG LATIN SMALL LETTER W
        "\uE0078",  # ; TAG LATIN SMALL LETTER X
        "\uE0079",  # ; TAG LATIN SMALL LETTER Y
        "\uE007A",  # ; TAG LATIN SMALL LETTER Z
        "\uE007B",  # ; TAG LEFT CURLY BRACKET
        "\uE007C",  # ; TAG VERTICAL LINE
        "\uE007D",  # ; TAG RIGHT CURLY BRACKET
        "\uE007E",  # ; TAG TILDE
        "\uE007F",  # ; CANCEL TAG
        "\uE0100",  # ; VARIATION SELECTOR-17
        "\uE0101",  # ; VARIATION SELECTOR-18
        "\uE0102",  # ; VARIATION SELECTOR-19
        "\uE0103",  # ; VARIATION SELECTOR-20
        "\uE0104",  # ; VARIATION SELECTOR-21
        "\uE0105",  # ; VARIATION SELECTOR-22
        "\uE0106",  # ; VARIATION SELECTOR-23
        "\uE0107",  # ; VARIATION SELECTOR-24
        "\uE0108",  # ; VARIATION SELECTOR-25
        "\uE0109",  # ; VARIATION SELECTOR-26
        "\uE010A",  # ; VARIATION SELECTOR-27
        "\uE010B",  # ; VARIATION SELECTOR-28
        "\uE010C",  # ; VARIATION SELECTOR-29
        "\uE010D",  # ; VARIATION SELECTOR-30
        "\uE010E",  # ; VARIATION SELECTOR-31
        "\uE010F",  # ; VARIATION SELECTOR-32
        "\uE0110",  # ; VARIATION SELECTOR-33
        "\uE0111",  # ; VARIATION SELECTOR-34
        "\uE0112",  # ; VARIATION SELECTOR-35
        "\uE0113",  # ; VARIATION SELECTOR-36
        "\uE0114",  # ; VARIATION SELECTOR-37
        "\uE0115",  # ; VARIATION SELECTOR-38
        "\uE0116",  # ; VARIATION SELECTOR-39
        "\uE0117",  # ; VARIATION SELECTOR-40
        "\uE0118",  # ; VARIATION SELECTOR-41
        "\uE0119",  # ; VARIATION SELECTOR-42
        "\uE011A",  # ; VARIATION SELECTOR-43
        "\uE011B",  # ; VARIATION SELECTOR-44
        "\uE011C",  # ; VARIATION SELECTOR-45
        "\uE011D",  # ; VARIATION SELECTOR-46
        "\uE011E",  # ; VARIATION SELECTOR-47
        "\uE011F",  # ; VARIATION SELECTOR-48
        "\uE0120",  # ; VARIATION SELECTOR-49
        "\uE0121",  # ; VARIATION SELECTOR-50
        "\uE0122",  # ; VARIATION SELECTOR-51
        "\uE0123",  # ; VARIATION SELECTOR-52
        "\uE0124",  # ; VARIATION SELECTOR-53
        "\uE0125",  # ; VARIATION SELECTOR-54
        "\uE0126",  # ; VARIATION SELECTOR-55
        "\uE0127",  # ; VARIATION SELECTOR-56
        "\uE0128",  # ; VARIATION SELECTOR-57
        "\uE0129",  # ; VARIATION SELECTOR-58
        "\uE012A",  # ; VARIATION SELECTOR-59
        "\uE012B",  # ; VARIATION SELECTOR-60
        "\uE012C",  # ; VARIATION SELECTOR-61
        "\uE012D",  # ; VARIATION SELECTOR-62
        "\uE012E",  # ; VARIATION SELECTOR-63
        "\uE012F",  # ; VARIATION SELECTOR-64
        "\uE0130",  # ; VARIATION SELECTOR-65
        "\uE0131",  # ; VARIATION SELECTOR-66
        "\uE0132",  # ; VARIATION SELECTOR-67
        "\uE0133",  # ; VARIATION SELECTOR-68
        "\uE0134",  # ; VARIATION SELECTOR-69
        "\uE0135",  # ; VARIATION SELECTOR-70
        "\uE0136",  # ; VARIATION SELECTOR-71
        "\uE0137",  # ; VARIATION SELECTOR-72
        "\uE0138",  # ; VARIATION SELECTOR-73
        "\uE0139",  # ; VARIATION SELECTOR-74
        "\uE013A",  # ; VARIATION SELECTOR-75
        "\uE013B",  # ; VARIATION SELECTOR-76
        "\uE013C",  # ; VARIATION SELECTOR-77
        "\uE013D",  # ; VARIATION SELECTOR-78
        "\uE013E",  # ; VARIATION SELECTOR-79
        "\uE013F",  # ; VARIATION SELECTOR-80
        "\uE0140",  # ; VARIATION SELECTOR-81
        "\uE0141",  # ; VARIATION SELECTOR-82
        "\uE0142",  # ; VARIATION SELECTOR-83
        "\uE0143",  # ; VARIATION SELECTOR-84
        "\uE0144",  # ; VARIATION SELECTOR-85
        "\uE0145",  # ; VARIATION SELECTOR-86
        "\uE0146",  # ; VARIATION SELECTOR-87
        "\uE0147",  # ; VARIATION SELECTOR-88
        "\uE0148",  # ; VARIATION SELECTOR-89
        "\uE0149",  # ; VARIATION SELECTOR-90
        "\uE014A",  # ; VARIATION SELECTOR-91
        "\uE014B",  # ; VARIATION SELECTOR-92
        "\uE014C",  # ; VARIATION SELECTOR-93
        "\uE014D",  # ; VARIATION SELECTOR-94
        "\uE014E",  # ; VARIATION SELECTOR-95
        "\uE014F",  # ; VARIATION SELECTOR-96
        "\uE0150",  # ; VARIATION SELECTOR-97
        "\uE0151",  # ; VARIATION SELECTOR-98
        "\uE0152",  # ; VARIATION SELECTOR-99
        "\uE0153",  # ; VARIATION SELECTOR-100
        "\uE0154",  # ; VARIATION SELECTOR-101
        "\uE0155",  # ; VARIATION SELECTOR-102
        "\uE0156",  # ; VARIATION SELECTOR-103
        "\uE0157",  # ; VARIATION SELECTOR-104
        "\uE0158",  # ; VARIATION SELECTOR-105
        "\uE0159",  # ; VARIATION SELECTOR-106
        "\uE015A",  # ; VARIATION SELECTOR-107
        "\uE015B",  # ; VARIATION SELECTOR-108
        "\uE015C",  # ; VARIATION SELECTOR-109
        "\uE015D",  # ; VARIATION SELECTOR-110
        "\uE015E",  # ; VARIATION SELECTOR-111
        "\uE015F",  # ; VARIATION SELECTOR-112
        "\uE0160",  # ; VARIATION SELECTOR-113
        "\uE0161",  # ; VARIATION SELECTOR-114
        "\uE0162",  # ; VARIATION SELECTOR-115
        "\uE0163",  # ; VARIATION SELECTOR-116
        "\uE0164",  # ; VARIATION SELECTOR-117
        "\uE0165",  # ; VARIATION SELECTOR-118
        "\uE0166",  # ; VARIATION SELECTOR-119
        "\uE0167",  # ; VARIATION SELECTOR-120
        "\uE0168",  # ; VARIATION SELECTOR-121
        "\uE0169",  # ; VARIATION SELECTOR-122
        "\uE016A",  # ; VARIATION SELECTOR-123
        "\uE016B",  # ; VARIATION SELECTOR-124
        "\uE016C",  # ; VARIATION SELECTOR-125
        "\uE016D",  # ; VARIATION SELECTOR-126
        "\uE016E",  # ; VARIATION SELECTOR-127
        "\uE016F",  # ; VARIATION SELECTOR-128
        "\uE0170",  # ; VARIATION SELECTOR-129
        "\uE0171",  # ; VARIATION SELECTOR-130
        "\uE0172",  # ; VARIATION SELECTOR-131
        "\uE0173",  # ; VARIATION SELECTOR-132
        "\uE0174",  # ; VARIATION SELECTOR-133
        "\uE0175",  # ; VARIATION SELECTOR-134
        "\uE0176",  # ; VARIATION SELECTOR-135
        "\uE0177",  # ; VARIATION SELECTOR-136
        "\uE0178",  # ; VARIATION SELECTOR-137
        "\uE0179",  # ; VARIATION SELECTOR-138
        "\uE017A",  # ; VARIATION SELECTOR-139
        "\uE017B",  # ; VARIATION SELECTOR-140
        "\uE017C",  # ; VARIATION SELECTOR-141
        "\uE017D",  # ; VARIATION SELECTOR-142
        "\uE017E",  # ; VARIATION SELECTOR-143
        "\uE017F",  # ; VARIATION SELECTOR-144
        "\uE0180",  # ; VARIATION SELECTOR-145
        "\uE0181",  # ; VARIATION SELECTOR-146
        "\uE0182",  # ; VARIATION SELECTOR-147
        "\uE0183",  # ; VARIATION SELECTOR-148
        "\uE0184",  # ; VARIATION SELECTOR-149
        "\uE0185",  # ; VARIATION SELECTOR-150
        "\uE0186",  # ; VARIATION SELECTOR-151
        "\uE0187",  # ; VARIATION SELECTOR-152
        "\uE0188",  # ; VARIATION SELECTOR-153
        "\uE0189",  # ; VARIATION SELECTOR-154
        "\uE018A",  # ; VARIATION SELECTOR-155
        "\uE018B",  # ; VARIATION SELECTOR-156
        "\uE018C",  # ; VARIATION SELECTOR-157
        "\uE018D",  # ; VARIATION SELECTOR-158
        "\uE018E",  # ; VARIATION SELECTOR-159
        "\uE018F",  # ; VARIATION SELECTOR-160
        "\uE0190",  # ; VARIATION SELECTOR-161
        "\uE0191",  # ; VARIATION SELECTOR-162
        "\uE0192",  # ; VARIATION SELECTOR-163
        "\uE0193",  # ; VARIATION SELECTOR-164
        "\uE0194",  # ; VARIATION SELECTOR-165
        "\uE0195",  # ; VARIATION SELECTOR-166
        "\uE0196",  # ; VARIATION SELECTOR-167
        "\uE0197",  # ; VARIATION SELECTOR-168
        "\uE0198",  # ; VARIATION SELECTOR-169
        "\uE0199",  # ; VARIATION SELECTOR-170
        "\uE019A",  # ; VARIATION SELECTOR-171
        "\uE019B",  # ; VARIATION SELECTOR-172
        "\uE019C",  # ; VARIATION SELECTOR-173
        "\uE019D",  # ; VARIATION SELECTOR-174
        "\uE019E",  # ; VARIATION SELECTOR-175
        "\uE019F",  # ; VARIATION SELECTOR-176
        "\uE01A0",  # ; VARIATION SELECTOR-177
        "\uE01A1",  # ; VARIATION SELECTOR-178
        "\uE01A2",  # ; VARIATION SELECTOR-179
        "\uE01A3",  # ; VARIATION SELECTOR-180
        "\uE01A4",  # ; VARIATION SELECTOR-181
        "\uE01A5",  # ; VARIATION SELECTOR-182
        "\uE01A6",  # ; VARIATION SELECTOR-183
        "\uE01A7",  # ; VARIATION SELECTOR-184
        "\uE01A8",  # ; VARIATION SELECTOR-185
        "\uE01A9",  # ; VARIATION SELECTOR-186
        "\uE01AA",  # ; VARIATION SELECTOR-187
        "\uE01AB",  # ; VARIATION SELECTOR-188
        "\uE01AC",  # ; VARIATION SELECTOR-189
        "\uE01AD",  # ; VARIATION SELECTOR-190
        "\uE01AE",  # ; VARIATION SELECTOR-191
        "\uE01AF",  # ; VARIATION SELECTOR-192
        "\uE01B0",  # ; VARIATION SELECTOR-193
        "\uE01B1",  # ; VARIATION SELECTOR-194
        "\uE01B2",  # ; VARIATION SELECTOR-195
        "\uE01B3",  # ; VARIATION SELECTOR-196
        "\uE01B4",  # ; VARIATION SELECTOR-197
        "\uE01B5",  # ; VARIATION SELECTOR-198
        "\uE01B6",  # ; VARIATION SELECTOR-199
        "\uE01B7",  # ; VARIATION SELECTOR-200
        "\uE01B8",  # ; VARIATION SELECTOR-201
        "\uE01B9",  # ; VARIATION SELECTOR-202
        "\uE01BA",  # ; VARIATION SELECTOR-203
        "\uE01BB",  # ; VARIATION SELECTOR-204
        "\uE01BC",  # ; VARIATION SELECTOR-205
        "\uE01BD",  # ; VARIATION SELECTOR-206
        "\uE01BE",  # ; VARIATION SELECTOR-207
        "\uE01BF",  # ; VARIATION SELECTOR-208
        "\uE01C0",  # ; VARIATION SELECTOR-209
        "\uE01C1",  # ; VARIATION SELECTOR-210
        "\uE01C2",  # ; VARIATION SELECTOR-211
        "\uE01C3",  # ; VARIATION SELECTOR-212
        "\uE01C4",  # ; VARIATION SELECTOR-213
        "\uE01C5",  # ; VARIATION SELECTOR-214
        "\uE01C6",  # ; VARIATION SELECTOR-215
        "\uE01C7",  # ; VARIATION SELECTOR-216
        "\uE01C8",  # ; VARIATION SELECTOR-217
        "\uE01C9",  # ; VARIATION SELECTOR-218
        "\uE01CA",  # ; VARIATION SELECTOR-219
        "\uE01CB",  # ; VARIATION SELECTOR-220
        "\uE01CC",  # ; VARIATION SELECTOR-221
        "\uE01CD",  # ; VARIATION SELECTOR-222
        "\uE01CE",  # ; VARIATION SELECTOR-223
        "\uE01CF",  # ; VARIATION SELECTOR-224
        "\uE01D0",  # ; VARIATION SELECTOR-225
        "\uE01D1",  # ; VARIATION SELECTOR-226
        "\uE01D2",  # ; VARIATION SELECTOR-227
        "\uE01D3",  # ; VARIATION SELECTOR-228
        "\uE01D4",  # ; VARIATION SELECTOR-229
        "\uE01D5",  # ; VARIATION SELECTOR-230
        "\uE01D6",  # ; VARIATION SELECTOR-231
        "\uE01D7",  # ; VARIATION SELECTOR-232
        "\uE01D8",  # ; VARIATION SELECTOR-233
        "\uE01D9",  # ; VARIATION SELECTOR-234
        "\uE01DA",  # ; VARIATION SELECTOR-235
        "\uE01DB",  # ; VARIATION SELECTOR-236
        "\uE01DC",  # ; VARIATION SELECTOR-237
        "\uE01DD",  # ; VARIATION SELECTOR-238
        "\uE01DE",  # ; VARIATION SELECTOR-239
        "\uE01DF",  # ; VARIATION SELECTOR-240
        "\uE01E0",  # ; VARIATION SELECTOR-241
        "\uE01E1",  # ; VARIATION SELECTOR-242
        "\uE01E2",  # ; VARIATION SELECTOR-243
        "\uE01E3",  # ; VARIATION SELECTOR-244
        "\uE01E4",  # ; VARIATION SELECTOR-245
        "\uE01E5",  # ; VARIATION SELECTOR-246
        "\uE01E6",  # ; VARIATION SELECTOR-247
        "\uE01E7",  # ; VARIATION SELECTOR-248
        "\uE01E8",  # ; VARIATION SELECTOR-249
        "\uE01E9",  # ; VARIATION SELECTOR-250
        "\uE01EA",  # ; VARIATION SELECTOR-251
        "\uE01EB",  # ; VARIATION SELECTOR-252
        "\uE01EC",  # ; VARIATION SELECTOR-253
        "\uE01ED",  # ; VARIATION SELECTOR-254
        "\uE01EE",  # ; VARIATION SELECTOR-255
        "\uE01EF",  # ; VARIATION SELECTOR-256
    ]
    test_data.each do |string|
      assert @validator.valid_encoding?(string), "U10_DerivedName: #{string}"
      assert string.force_encoding("UTF-8").valid_encoding?, "U10_DerivedName: #{string}" if @vercheck
    end
  end

end
