# encoding: utf-8
#
# This file is machine generated.  DO NOT EDIT!
#
if Kernel.respond_to?(:require_relative)
  require_relative("./helper")
else
  $:.unshift(File.dirname(__FILE__))
  require 'helper'
end
#
# == Purpose
#
# Tests for the #{UTF8::Validator} implementation.
#
# Test data pulled and generated from:
#
# https://www.unicode.org/Public/10.0.0/ucd/
#
class TestUnicode10NamesList < Test::Unit::TestCase
  #
  def setup
    @validator = UTF8::Validator.new
    @vercheck = ((RUBY_VERSION =~ /1.9/) or (RUBY_VERSION =~ /2./)) ? true : false
  end

  #
  def teardown
    @validator = nil
  end

  def test_unicode10_NamesList
    test_data = [
    "\u0000",  # <control>
    "\u0001",  # <control>
    "\u0002",  # <control>
    "\u0003",  # <control>
    "\u0004",  # <control>
    "\u0005",  # <control>
    "\u0006",  # <control>
    "\u0007",  # <control>
    "\u0008",  # <control>
    "\u0009",  # <control>
    "\u000A",  # <control>
    "\u000B",  # <control>
    "\u000C",  # <control>
    "\u000D",  # <control>
    "\u000E",  # <control>
    "\u000F",  # <control>
    "\u0010",  # <control>
    "\u0011",  # <control>
    "\u0012",  # <control>
    "\u0013",  # <control>
    "\u0014",  # <control>
    "\u0015",  # <control>
    "\u0016",  # <control>
    "\u0017",  # <control>
    "\u0018",  # <control>
    "\u0019",  # <control>
    "\u001A",  # <control>
    "\u001B",  # <control>
    "\u001C",  # <control>
    "\u001D",  # <control>
    "\u001E",  # <control>
    "\u001F",  # <control>
    "\u0020",  # SPACE
    "\u0021",  # EXCLAMATION MARK
    "\u0022",  # QUOTATION MARK
    "\u0023",  # NUMBER SIGN
    "\u0024",  # DOLLAR SIGN
    "\u0025",  # PERCENT SIGN
    "\u0026",  # AMPERSAND
    "\u0027",  # APOSTROPHE
    "\u0028",  # LEFT PARENTHESIS
    "\u0029",  # RIGHT PARENTHESIS
    "\u002A",  # ASTERISK
    "\u002B",  # PLUS SIGN
    "\u002C",  # COMMA
    "\u002D",  # HYPHEN-MINUS
    "\u002E",  # FULL STOP
    "\u002F",  # SOLIDUS
    "\u0030",  # DIGIT ZERO
    "\u0031",  # DIGIT ONE
    "\u0032",  # DIGIT TWO
    "\u0033",  # DIGIT THREE
    "\u0034",  # DIGIT FOUR
    "\u0035",  # DIGIT FIVE
    "\u0036",  # DIGIT SIX
    "\u0037",  # DIGIT SEVEN
    "\u0038",  # DIGIT EIGHT
    "\u0039",  # DIGIT NINE
    "\u003A",  # COLON
    "\u003B",  # SEMICOLON
    "\u003C",  # LESS-THAN SIGN
    "\u003D",  # EQUALS SIGN
    "\u003E",  # GREATER-THAN SIGN
    "\u003F",  # QUESTION MARK
    "\u0040",  # COMMERCIAL AT
    "\u0041",  # LATIN CAPITAL LETTER A
    "\u0042",  # LATIN CAPITAL LETTER B
    "\u0043",  # LATIN CAPITAL LETTER C
    "\u0044",  # LATIN CAPITAL LETTER D
    "\u0045",  # LATIN CAPITAL LETTER E
    "\u0046",  # LATIN CAPITAL LETTER F
    "\u0047",  # LATIN CAPITAL LETTER G
    "\u0048",  # LATIN CAPITAL LETTER H
    "\u0049",  # LATIN CAPITAL LETTER I
    "\u004A",  # LATIN CAPITAL LETTER J
    "\u004B",  # LATIN CAPITAL LETTER K
    "\u004C",  # LATIN CAPITAL LETTER L
    "\u004D",  # LATIN CAPITAL LETTER M
    "\u004E",  # LATIN CAPITAL LETTER N
    "\u004F",  # LATIN CAPITAL LETTER O
    "\u0050",  # LATIN CAPITAL LETTER P
    "\u0051",  # LATIN CAPITAL LETTER Q
    "\u0052",  # LATIN CAPITAL LETTER R
    "\u0053",  # LATIN CAPITAL LETTER S
    "\u0054",  # LATIN CAPITAL LETTER T
    "\u0055",  # LATIN CAPITAL LETTER U
    "\u0056",  # LATIN CAPITAL LETTER V
    "\u0057",  # LATIN CAPITAL LETTER W
    "\u0058",  # LATIN CAPITAL LETTER X
    "\u0059",  # LATIN CAPITAL LETTER Y
    "\u005A",  # LATIN CAPITAL LETTER Z
    "\u005B",  # LEFT SQUARE BRACKET
    "\u005C",  # REVERSE SOLIDUS
    "\u005D",  # RIGHT SQUARE BRACKET
    "\u005E",  # CIRCUMFLEX ACCENT
    "\u005F",  # LOW LINE
    "\u0060",  # GRAVE ACCENT
    "\u0061",  # LATIN SMALL LETTER A
    "\u0062",  # LATIN SMALL LETTER B
    "\u0063",  # LATIN SMALL LETTER C
    "\u0064",  # LATIN SMALL LETTER D
    "\u0065",  # LATIN SMALL LETTER E
    "\u0066",  # LATIN SMALL LETTER F
    "\u0067",  # LATIN SMALL LETTER G
    "\u0068",  # LATIN SMALL LETTER H
    "\u0069",  # LATIN SMALL LETTER I
    "\u006A",  # LATIN SMALL LETTER J
    "\u006B",  # LATIN SMALL LETTER K
    "\u006C",  # LATIN SMALL LETTER L
    "\u006D",  # LATIN SMALL LETTER M
    "\u006E",  # LATIN SMALL LETTER N
    "\u006F",  # LATIN SMALL LETTER O
    "\u0070",  # LATIN SMALL LETTER P
    "\u0071",  # LATIN SMALL LETTER Q
    "\u0072",  # LATIN SMALL LETTER R
    "\u0073",  # LATIN SMALL LETTER S
    "\u0074",  # LATIN SMALL LETTER T
    "\u0075",  # LATIN SMALL LETTER U
    "\u0076",  # LATIN SMALL LETTER V
    "\u0077",  # LATIN SMALL LETTER W
    "\u0078",  # LATIN SMALL LETTER X
    "\u0079",  # LATIN SMALL LETTER Y
    "\u007A",  # LATIN SMALL LETTER Z
    "\u007B",  # LEFT CURLY BRACKET
    "\u007C",  # VERTICAL LINE
    "\u007D",  # RIGHT CURLY BRACKET
    "\u007E",  # TILDE
    "\u007F",  # <control>
    "\u0080",  # <control>
    "\u0081",  # <control>
    "\u0082",  # <control>
    "\u0083",  # <control>
    "\u0084",  # <control>
    "\u0085",  # <control>
    "\u0086",  # <control>
    "\u0087",  # <control>
    "\u0088",  # <control>
    "\u0089",  # <control>
    "\u008A",  # <control>
    "\u008B",  # <control>
    "\u008C",  # <control>
    "\u008D",  # <control>
    "\u008E",  # <control>
    "\u008F",  # <control>
    "\u0090",  # <control>
    "\u0091",  # <control>
    "\u0092",  # <control>
    "\u0093",  # <control>
    "\u0094",  # <control>
    "\u0095",  # <control>
    "\u0096",  # <control>
    "\u0097",  # <control>
    "\u0098",  # <control>
    "\u0099",  # <control>
    "\u009A",  # <control>
    "\u009B",  # <control>
    "\u009C",  # <control>
    "\u009D",  # <control>
    "\u009E",  # <control>
    "\u009F",  # <control>
    "\u00A0",  # NO-BREAK SPACE
    "\u00A1",  # INVERTED EXCLAMATION MARK
    "\u00A2",  # CENT SIGN
    "\u00A3",  # POUND SIGN
    "\u00A4",  # CURRENCY SIGN
    "\u00A5",  # YEN SIGN
    "\u00A6",  # BROKEN BAR
    "\u00A7",  # SECTION SIGN
    "\u00A8",  # DIAERESIS
    "\u00A9",  # COPYRIGHT SIGN
    "\u00AA",  # FEMININE ORDINAL INDICATOR
    "\u00AB",  # LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
    "\u00AC",  # NOT SIGN
    "\u00AD",  # SOFT HYPHEN
    "\u00AE",  # REGISTERED SIGN
    "\u00AF",  # MACRON
    "\u00B0",  # DEGREE SIGN
    "\u00B1",  # PLUS-MINUS SIGN
    "\u00B2",  # SUPERSCRIPT TWO
    "\u00B3",  # SUPERSCRIPT THREE
    "\u00B4",  # ACUTE ACCENT
    "\u00B5",  # MICRO SIGN
    "\u00B6",  # PILCROW SIGN
    "\u00B7",  # MIDDLE DOT
    "\u00B8",  # CEDILLA
    "\u00B9",  # SUPERSCRIPT ONE
    "\u00BA",  # MASCULINE ORDINAL INDICATOR
    "\u00BB",  # RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
    "\u00BC",  # VULGAR FRACTION ONE QUARTER
    "\u00BD",  # VULGAR FRACTION ONE HALF
    "\u00BE",  # VULGAR FRACTION THREE QUARTERS
    "\u00BF",  # INVERTED QUESTION MARK
    "\u00C0",  # LATIN CAPITAL LETTER A WITH GRAVE
    "\u00C1",  # LATIN CAPITAL LETTER A WITH ACUTE
    "\u00C2",  # LATIN CAPITAL LETTER A WITH CIRCUMFLEX
    "\u00C3",  # LATIN CAPITAL LETTER A WITH TILDE
    "\u00C4",  # LATIN CAPITAL LETTER A WITH DIAERESIS
    "\u00C5",  # LATIN CAPITAL LETTER A WITH RING ABOVE
    "\u00C6",  # LATIN CAPITAL LETTER AE
    "\u00C7",  # LATIN CAPITAL LETTER C WITH CEDILLA
    "\u00C8",  # LATIN CAPITAL LETTER E WITH GRAVE
    "\u00C9",  # LATIN CAPITAL LETTER E WITH ACUTE
    "\u00CA",  # LATIN CAPITAL LETTER E WITH CIRCUMFLEX
    "\u00CB",  # LATIN CAPITAL LETTER E WITH DIAERESIS
    "\u00CC",  # LATIN CAPITAL LETTER I WITH GRAVE
    "\u00CD",  # LATIN CAPITAL LETTER I WITH ACUTE
    "\u00CE",  # LATIN CAPITAL LETTER I WITH CIRCUMFLEX
    "\u00CF",  # LATIN CAPITAL LETTER I WITH DIAERESIS
    "\u00D0",  # LATIN CAPITAL LETTER ETH
    "\u00D1",  # LATIN CAPITAL LETTER N WITH TILDE
    "\u00D2",  # LATIN CAPITAL LETTER O WITH GRAVE
    "\u00D3",  # LATIN CAPITAL LETTER O WITH ACUTE
    "\u00D4",  # LATIN CAPITAL LETTER O WITH CIRCUMFLEX
    "\u00D5",  # LATIN CAPITAL LETTER O WITH TILDE
    "\u00D6",  # LATIN CAPITAL LETTER O WITH DIAERESIS
    "\u00D7",  # MULTIPLICATION SIGN
    "\u00D8",  # LATIN CAPITAL LETTER O WITH STROKE
    "\u00D9",  # LATIN CAPITAL LETTER U WITH GRAVE
    "\u00DA",  # LATIN CAPITAL LETTER U WITH ACUTE
    "\u00DB",  # LATIN CAPITAL LETTER U WITH CIRCUMFLEX
    "\u00DC",  # LATIN CAPITAL LETTER U WITH DIAERESIS
    "\u00DD",  # LATIN CAPITAL LETTER Y WITH ACUTE
    "\u00DE",  # LATIN CAPITAL LETTER THORN
    "\u00DF",  # LATIN SMALL LETTER SHARP S
    "\u00E0",  # LATIN SMALL LETTER A WITH GRAVE
    "\u00E1",  # LATIN SMALL LETTER A WITH ACUTE
    "\u00E2",  # LATIN SMALL LETTER A WITH CIRCUMFLEX
    "\u00E3",  # LATIN SMALL LETTER A WITH TILDE
    "\u00E4",  # LATIN SMALL LETTER A WITH DIAERESIS
    "\u00E5",  # LATIN SMALL LETTER A WITH RING ABOVE
    "\u00E6",  # LATIN SMALL LETTER AE
    "\u00E7",  # LATIN SMALL LETTER C WITH CEDILLA
    "\u00E8",  # LATIN SMALL LETTER E WITH GRAVE
    "\u00E9",  # LATIN SMALL LETTER E WITH ACUTE
    "\u00EA",  # LATIN SMALL LETTER E WITH CIRCUMFLEX
    "\u00EB",  # LATIN SMALL LETTER E WITH DIAERESIS
    "\u00EC",  # LATIN SMALL LETTER I WITH GRAVE
    "\u00ED",  # LATIN SMALL LETTER I WITH ACUTE
    "\u00EE",  # LATIN SMALL LETTER I WITH CIRCUMFLEX
    "\u00EF",  # LATIN SMALL LETTER I WITH DIAERESIS
    "\u00F0",  # LATIN SMALL LETTER ETH
    "\u00F1",  # LATIN SMALL LETTER N WITH TILDE
    "\u00F2",  # LATIN SMALL LETTER O WITH GRAVE
    "\u00F3",  # LATIN SMALL LETTER O WITH ACUTE
    "\u00F4",  # LATIN SMALL LETTER O WITH CIRCUMFLEX
    "\u00F5",  # LATIN SMALL LETTER O WITH TILDE
    "\u00F6",  # LATIN SMALL LETTER O WITH DIAERESIS
    "\u00F7",  # DIVISION SIGN
    "\u00F8",  # LATIN SMALL LETTER O WITH STROKE
    "\u00F9",  # LATIN SMALL LETTER U WITH GRAVE
    "\u00FA",  # LATIN SMALL LETTER U WITH ACUTE
    "\u00FB",  # LATIN SMALL LETTER U WITH CIRCUMFLEX
    "\u00FC",  # LATIN SMALL LETTER U WITH DIAERESIS
    "\u00FD",  # LATIN SMALL LETTER Y WITH ACUTE
    "\u00FE",  # LATIN SMALL LETTER THORN
    "\u00FF",  # LATIN SMALL LETTER Y WITH DIAERESIS
    "\u0100",  # LATIN CAPITAL LETTER A WITH MACRON
    "\u0101",  # LATIN SMALL LETTER A WITH MACRON
    "\u0102",  # LATIN CAPITAL LETTER A WITH BREVE
    "\u0103",  # LATIN SMALL LETTER A WITH BREVE
    "\u0104",  # LATIN CAPITAL LETTER A WITH OGONEK
    "\u0105",  # LATIN SMALL LETTER A WITH OGONEK
    "\u0106",  # LATIN CAPITAL LETTER C WITH ACUTE
    "\u0107",  # LATIN SMALL LETTER C WITH ACUTE
    "\u0108",  # LATIN CAPITAL LETTER C WITH CIRCUMFLEX
    "\u0109",  # LATIN SMALL LETTER C WITH CIRCUMFLEX
    "\u010A",  # LATIN CAPITAL LETTER C WITH DOT ABOVE
    "\u010B",  # LATIN SMALL LETTER C WITH DOT ABOVE
    "\u010C",  # LATIN CAPITAL LETTER C WITH CARON
    "\u010D",  # LATIN SMALL LETTER C WITH CARON
    "\u010E",  # LATIN CAPITAL LETTER D WITH CARON
    "\u010F",  # LATIN SMALL LETTER D WITH CARON
    "\u0110",  # LATIN CAPITAL LETTER D WITH STROKE
    "\u0111",  # LATIN SMALL LETTER D WITH STROKE
    "\u0112",  # LATIN CAPITAL LETTER E WITH MACRON
    "\u0113",  # LATIN SMALL LETTER E WITH MACRON
    "\u0114",  # LATIN CAPITAL LETTER E WITH BREVE
    "\u0115",  # LATIN SMALL LETTER E WITH BREVE
    "\u0116",  # LATIN CAPITAL LETTER E WITH DOT ABOVE
    "\u0117",  # LATIN SMALL LETTER E WITH DOT ABOVE
    "\u0118",  # LATIN CAPITAL LETTER E WITH OGONEK
    "\u0119",  # LATIN SMALL LETTER E WITH OGONEK
    "\u011A",  # LATIN CAPITAL LETTER E WITH CARON
    "\u011B",  # LATIN SMALL LETTER E WITH CARON
    "\u011C",  # LATIN CAPITAL LETTER G WITH CIRCUMFLEX
    "\u011D",  # LATIN SMALL LETTER G WITH CIRCUMFLEX
    "\u011E",  # LATIN CAPITAL LETTER G WITH BREVE
    "\u011F",  # LATIN SMALL LETTER G WITH BREVE
    "\u0120",  # LATIN CAPITAL LETTER G WITH DOT ABOVE
    "\u0121",  # LATIN SMALL LETTER G WITH DOT ABOVE
    "\u0122",  # LATIN CAPITAL LETTER G WITH CEDILLA
    "\u0123",  # LATIN SMALL LETTER G WITH CEDILLA
    "\u0124",  # LATIN CAPITAL LETTER H WITH CIRCUMFLEX
    "\u0125",  # LATIN SMALL LETTER H WITH CIRCUMFLEX
    "\u0126",  # LATIN CAPITAL LETTER H WITH STROKE
    "\u0127",  # LATIN SMALL LETTER H WITH STROKE
    "\u0128",  # LATIN CAPITAL LETTER I WITH TILDE
    "\u0129",  # LATIN SMALL LETTER I WITH TILDE
    "\u012A",  # LATIN CAPITAL LETTER I WITH MACRON
    "\u012B",  # LATIN SMALL LETTER I WITH MACRON
    "\u012C",  # LATIN CAPITAL LETTER I WITH BREVE
    "\u012D",  # LATIN SMALL LETTER I WITH BREVE
    "\u012E",  # LATIN CAPITAL LETTER I WITH OGONEK
    "\u012F",  # LATIN SMALL LETTER I WITH OGONEK
    "\u0130",  # LATIN CAPITAL LETTER I WITH DOT ABOVE
    "\u0131",  # LATIN SMALL LETTER DOTLESS I
    "\u0132",  # LATIN CAPITAL LIGATURE IJ
    "\u0133",  # LATIN SMALL LIGATURE IJ
    "\u0134",  # LATIN CAPITAL LETTER J WITH CIRCUMFLEX
    "\u0135",  # LATIN SMALL LETTER J WITH CIRCUMFLEX
    "\u0136",  # LATIN CAPITAL LETTER K WITH CEDILLA
    "\u0137",  # LATIN SMALL LETTER K WITH CEDILLA
    "\u0138",  # LATIN SMALL LETTER KRA
    "\u0139",  # LATIN CAPITAL LETTER L WITH ACUTE
    "\u013A",  # LATIN SMALL LETTER L WITH ACUTE
    "\u013B",  # LATIN CAPITAL LETTER L WITH CEDILLA
    "\u013C",  # LATIN SMALL LETTER L WITH CEDILLA
    "\u013D",  # LATIN CAPITAL LETTER L WITH CARON
    "\u013E",  # LATIN SMALL LETTER L WITH CARON
    "\u013F",  # LATIN CAPITAL LETTER L WITH MIDDLE DOT
    "\u0140",  # LATIN SMALL LETTER L WITH MIDDLE DOT
    "\u0141",  # LATIN CAPITAL LETTER L WITH STROKE
    "\u0142",  # LATIN SMALL LETTER L WITH STROKE
    "\u0143",  # LATIN CAPITAL LETTER N WITH ACUTE
    "\u0144",  # LATIN SMALL LETTER N WITH ACUTE
    "\u0145",  # LATIN CAPITAL LETTER N WITH CEDILLA
    "\u0146",  # LATIN SMALL LETTER N WITH CEDILLA
    "\u0147",  # LATIN CAPITAL LETTER N WITH CARON
    "\u0148",  # LATIN SMALL LETTER N WITH CARON
    "\u0149",  # LATIN SMALL LETTER N PRECEDED BY APOSTROPHE
    "\u014A",  # LATIN CAPITAL LETTER ENG
    "\u014B",  # LATIN SMALL LETTER ENG
    "\u014C",  # LATIN CAPITAL LETTER O WITH MACRON
    "\u014D",  # LATIN SMALL LETTER O WITH MACRON
    "\u014E",  # LATIN CAPITAL LETTER O WITH BREVE
    "\u014F",  # LATIN SMALL LETTER O WITH BREVE
    "\u0150",  # LATIN CAPITAL LETTER O WITH DOUBLE ACUTE
    "\u0151",  # LATIN SMALL LETTER O WITH DOUBLE ACUTE
    "\u0152",  # LATIN CAPITAL LIGATURE OE
    "\u0153",  # LATIN SMALL LIGATURE OE
    "\u0154",  # LATIN CAPITAL LETTER R WITH ACUTE
    "\u0155",  # LATIN SMALL LETTER R WITH ACUTE
    "\u0156",  # LATIN CAPITAL LETTER R WITH CEDILLA
    "\u0157",  # LATIN SMALL LETTER R WITH CEDILLA
    "\u0158",  # LATIN CAPITAL LETTER R WITH CARON
    "\u0159",  # LATIN SMALL LETTER R WITH CARON
    "\u015A",  # LATIN CAPITAL LETTER S WITH ACUTE
    "\u015B",  # LATIN SMALL LETTER S WITH ACUTE
    "\u015C",  # LATIN CAPITAL LETTER S WITH CIRCUMFLEX
    "\u015D",  # LATIN SMALL LETTER S WITH CIRCUMFLEX
    "\u015E",  # LATIN CAPITAL LETTER S WITH CEDILLA
    "\u015F",  # LATIN SMALL LETTER S WITH CEDILLA
    "\u0160",  # LATIN CAPITAL LETTER S WITH CARON
    "\u0161",  # LATIN SMALL LETTER S WITH CARON
    "\u0162",  # LATIN CAPITAL LETTER T WITH CEDILLA
    "\u0163",  # LATIN SMALL LETTER T WITH CEDILLA
    "\u0164",  # LATIN CAPITAL LETTER T WITH CARON
    "\u0165",  # LATIN SMALL LETTER T WITH CARON
    "\u0166",  # LATIN CAPITAL LETTER T WITH STROKE
    "\u0167",  # LATIN SMALL LETTER T WITH STROKE
    "\u0168",  # LATIN CAPITAL LETTER U WITH TILDE
    "\u0169",  # LATIN SMALL LETTER U WITH TILDE
    "\u016A",  # LATIN CAPITAL LETTER U WITH MACRON
    "\u016B",  # LATIN SMALL LETTER U WITH MACRON
    "\u016C",  # LATIN CAPITAL LETTER U WITH BREVE
    "\u016D",  # LATIN SMALL LETTER U WITH BREVE
    "\u016E",  # LATIN CAPITAL LETTER U WITH RING ABOVE
    "\u016F",  # LATIN SMALL LETTER U WITH RING ABOVE
    "\u0170",  # LATIN CAPITAL LETTER U WITH DOUBLE ACUTE
    "\u0171",  # LATIN SMALL LETTER U WITH DOUBLE ACUTE
    "\u0172",  # LATIN CAPITAL LETTER U WITH OGONEK
    "\u0173",  # LATIN SMALL LETTER U WITH OGONEK
    "\u0174",  # LATIN CAPITAL LETTER W WITH CIRCUMFLEX
    "\u0175",  # LATIN SMALL LETTER W WITH CIRCUMFLEX
    "\u0176",  # LATIN CAPITAL LETTER Y WITH CIRCUMFLEX
    "\u0177",  # LATIN SMALL LETTER Y WITH CIRCUMFLEX
    "\u0178",  # LATIN CAPITAL LETTER Y WITH DIAERESIS
    "\u0179",  # LATIN CAPITAL LETTER Z WITH ACUTE
    "\u017A",  # LATIN SMALL LETTER Z WITH ACUTE
    "\u017B",  # LATIN CAPITAL LETTER Z WITH DOT ABOVE
    "\u017C",  # LATIN SMALL LETTER Z WITH DOT ABOVE
    "\u017D",  # LATIN CAPITAL LETTER Z WITH CARON
    "\u017E",  # LATIN SMALL LETTER Z WITH CARON
    "\u017F",  # LATIN SMALL LETTER LONG S
    "\u0180",  # LATIN SMALL LETTER B WITH STROKE
    "\u0181",  # LATIN CAPITAL LETTER B WITH HOOK
    "\u0182",  # LATIN CAPITAL LETTER B WITH TOPBAR
    "\u0183",  # LATIN SMALL LETTER B WITH TOPBAR
    "\u0184",  # LATIN CAPITAL LETTER TONE SIX
    "\u0185",  # LATIN SMALL LETTER TONE SIX
    "\u0186",  # LATIN CAPITAL LETTER OPEN O
    "\u0187",  # LATIN CAPITAL LETTER C WITH HOOK
    "\u0188",  # LATIN SMALL LETTER C WITH HOOK
    "\u0189",  # LATIN CAPITAL LETTER AFRICAN D
    "\u018A",  # LATIN CAPITAL LETTER D WITH HOOK
    "\u018B",  # LATIN CAPITAL LETTER D WITH TOPBAR
    "\u018C",  # LATIN SMALL LETTER D WITH TOPBAR
    "\u018D",  # LATIN SMALL LETTER TURNED DELTA
    "\u018E",  # LATIN CAPITAL LETTER REVERSED E
    "\u018F",  # LATIN CAPITAL LETTER SCHWA
    "\u0190",  # LATIN CAPITAL LETTER OPEN E
    "\u0191",  # LATIN CAPITAL LETTER F WITH HOOK
    "\u0192",  # LATIN SMALL LETTER F WITH HOOK
    "\u0193",  # LATIN CAPITAL LETTER G WITH HOOK
    "\u0194",  # LATIN CAPITAL LETTER GAMMA
    "\u0195",  # LATIN SMALL LETTER HV
    "\u0196",  # LATIN CAPITAL LETTER IOTA
    "\u0197",  # LATIN CAPITAL LETTER I WITH STROKE
    "\u0198",  # LATIN CAPITAL LETTER K WITH HOOK
    "\u0199",  # LATIN SMALL LETTER K WITH HOOK
    "\u019A",  # LATIN SMALL LETTER L WITH BAR
    "\u019B",  # LATIN SMALL LETTER LAMBDA WITH STROKE
    "\u019C",  # LATIN CAPITAL LETTER TURNED M
    "\u019D",  # LATIN CAPITAL LETTER N WITH LEFT HOOK
    "\u019E",  # LATIN SMALL LETTER N WITH LONG RIGHT LEG
    "\u019F",  # LATIN CAPITAL LETTER O WITH MIDDLE TILDE
    "\u01A0",  # LATIN CAPITAL LETTER O WITH HORN
    "\u01A1",  # LATIN SMALL LETTER O WITH HORN
    "\u01A2",  # LATIN CAPITAL LETTER OI
    "\u01A3",  # LATIN SMALL LETTER OI
    "\u01A4",  # LATIN CAPITAL LETTER P WITH HOOK
    "\u01A5",  # LATIN SMALL LETTER P WITH HOOK
    "\u01A6",  # LATIN LETTER YR
    "\u01A7",  # LATIN CAPITAL LETTER TONE TWO
    "\u01A8",  # LATIN SMALL LETTER TONE TWO
    "\u01A9",  # LATIN CAPITAL LETTER ESH
    "\u01AA",  # LATIN LETTER REVERSED ESH LOOP
    "\u01AB",  # LATIN SMALL LETTER T WITH PALATAL HOOK
    "\u01AC",  # LATIN CAPITAL LETTER T WITH HOOK
    "\u01AD",  # LATIN SMALL LETTER T WITH HOOK
    "\u01AE",  # LATIN CAPITAL LETTER T WITH RETROFLEX HOOK
    "\u01AF",  # LATIN CAPITAL LETTER U WITH HORN
    "\u01B0",  # LATIN SMALL LETTER U WITH HORN
    "\u01B1",  # LATIN CAPITAL LETTER UPSILON
    "\u01B2",  # LATIN CAPITAL LETTER V WITH HOOK
    "\u01B3",  # LATIN CAPITAL LETTER Y WITH HOOK
    "\u01B4",  # LATIN SMALL LETTER Y WITH HOOK
    "\u01B5",  # LATIN CAPITAL LETTER Z WITH STROKE
    "\u01B6",  # LATIN SMALL LETTER Z WITH STROKE
    "\u01B7",  # LATIN CAPITAL LETTER EZH
    "\u01B8",  # LATIN CAPITAL LETTER EZH REVERSED
    "\u01B9",  # LATIN SMALL LETTER EZH REVERSED
    "\u01BA",  # LATIN SMALL LETTER EZH WITH TAIL
    "\u01BB",  # LATIN LETTER TWO WITH STROKE
    "\u01BC",  # LATIN CAPITAL LETTER TONE FIVE
    "\u01BD",  # LATIN SMALL LETTER TONE FIVE
    "\u01BE",  # LATIN LETTER INVERTED GLOTTAL STOP WITH STROKE
    "\u01BF",  # LATIN LETTER WYNN
    "\u01C0",  # LATIN LETTER DENTAL CLICK
    "\u01C1",  # LATIN LETTER LATERAL CLICK
    "\u01C2",  # LATIN LETTER ALVEOLAR CLICK
    "\u01C3",  # LATIN LETTER RETROFLEX CLICK
    "\u01C4",  # LATIN CAPITAL LETTER DZ WITH CARON
    "\u01C5",  # LATIN CAPITAL LETTER D WITH SMALL LETTER Z WITH CARON
    "\u01C6",  # LATIN SMALL LETTER DZ WITH CARON
    "\u01C7",  # LATIN CAPITAL LETTER LJ
    "\u01C8",  # LATIN CAPITAL LETTER L WITH SMALL LETTER J
    "\u01C9",  # LATIN SMALL LETTER LJ
    "\u01CA",  # LATIN CAPITAL LETTER NJ
    "\u01CB",  # LATIN CAPITAL LETTER N WITH SMALL LETTER J
    "\u01CC",  # LATIN SMALL LETTER NJ
    "\u01CD",  # LATIN CAPITAL LETTER A WITH CARON
    "\u01CE",  # LATIN SMALL LETTER A WITH CARON
    "\u01CF",  # LATIN CAPITAL LETTER I WITH CARON
    "\u01D0",  # LATIN SMALL LETTER I WITH CARON
    "\u01D1",  # LATIN CAPITAL LETTER O WITH CARON
    "\u01D2",  # LATIN SMALL LETTER O WITH CARON
    "\u01D3",  # LATIN CAPITAL LETTER U WITH CARON
    "\u01D4",  # LATIN SMALL LETTER U WITH CARON
    "\u01D5",  # LATIN CAPITAL LETTER U WITH DIAERESIS AND MACRON
    "\u01D6",  # LATIN SMALL LETTER U WITH DIAERESIS AND MACRON
    "\u01D7",  # LATIN CAPITAL LETTER U WITH DIAERESIS AND ACUTE
    "\u01D8",  # LATIN SMALL LETTER U WITH DIAERESIS AND ACUTE
    "\u01D9",  # LATIN CAPITAL LETTER U WITH DIAERESIS AND CARON
    "\u01DA",  # LATIN SMALL LETTER U WITH DIAERESIS AND CARON
    "\u01DB",  # LATIN CAPITAL LETTER U WITH DIAERESIS AND GRAVE
    "\u01DC",  # LATIN SMALL LETTER U WITH DIAERESIS AND GRAVE
    "\u01DD",  # LATIN SMALL LETTER TURNED E
    "\u01DE",  # LATIN CAPITAL LETTER A WITH DIAERESIS AND MACRON
    "\u01DF",  # LATIN SMALL LETTER A WITH DIAERESIS AND MACRON
    "\u01E0",  # LATIN CAPITAL LETTER A WITH DOT ABOVE AND MACRON
    "\u01E1",  # LATIN SMALL LETTER A WITH DOT ABOVE AND MACRON
    "\u01E2",  # LATIN CAPITAL LETTER AE WITH MACRON
    "\u01E3",  # LATIN SMALL LETTER AE WITH MACRON
    "\u01E4",  # LATIN CAPITAL LETTER G WITH STROKE
    "\u01E5",  # LATIN SMALL LETTER G WITH STROKE
    "\u01E6",  # LATIN CAPITAL LETTER G WITH CARON
    "\u01E7",  # LATIN SMALL LETTER G WITH CARON
    "\u01E8",  # LATIN CAPITAL LETTER K WITH CARON
    "\u01E9",  # LATIN SMALL LETTER K WITH CARON
    "\u01EA",  # LATIN CAPITAL LETTER O WITH OGONEK
    "\u01EB",  # LATIN SMALL LETTER O WITH OGONEK
    "\u01EC",  # LATIN CAPITAL LETTER O WITH OGONEK AND MACRON
    "\u01ED",  # LATIN SMALL LETTER O WITH OGONEK AND MACRON
    "\u01EE",  # LATIN CAPITAL LETTER EZH WITH CARON
    "\u01EF",  # LATIN SMALL LETTER EZH WITH CARON
    "\u01F0",  # LATIN SMALL LETTER J WITH CARON
    "\u01F1",  # LATIN CAPITAL LETTER DZ
    "\u01F2",  # LATIN CAPITAL LETTER D WITH SMALL LETTER Z
    "\u01F3",  # LATIN SMALL LETTER DZ
    "\u01F4",  # LATIN CAPITAL LETTER G WITH ACUTE
    "\u01F5",  # LATIN SMALL LETTER G WITH ACUTE
    "\u01F6",  # LATIN CAPITAL LETTER HWAIR
    "\u01F7",  # LATIN CAPITAL LETTER WYNN
    "\u01F8",  # LATIN CAPITAL LETTER N WITH GRAVE
    "\u01F9",  # LATIN SMALL LETTER N WITH GRAVE
    "\u01FA",  # LATIN CAPITAL LETTER A WITH RING ABOVE AND ACUTE
    "\u01FB",  # LATIN SMALL LETTER A WITH RING ABOVE AND ACUTE
    "\u01FC",  # LATIN CAPITAL LETTER AE WITH ACUTE
    "\u01FD",  # LATIN SMALL LETTER AE WITH ACUTE
    "\u01FE",  # LATIN CAPITAL LETTER O WITH STROKE AND ACUTE
    "\u01FF",  # LATIN SMALL LETTER O WITH STROKE AND ACUTE
    "\u0200",  # LATIN CAPITAL LETTER A WITH DOUBLE GRAVE
    "\u0201",  # LATIN SMALL LETTER A WITH DOUBLE GRAVE
    "\u0202",  # LATIN CAPITAL LETTER A WITH INVERTED BREVE
    "\u0203",  # LATIN SMALL LETTER A WITH INVERTED BREVE
    "\u0204",  # LATIN CAPITAL LETTER E WITH DOUBLE GRAVE
    "\u0205",  # LATIN SMALL LETTER E WITH DOUBLE GRAVE
    "\u0206",  # LATIN CAPITAL LETTER E WITH INVERTED BREVE
    "\u0207",  # LATIN SMALL LETTER E WITH INVERTED BREVE
    "\u0208",  # LATIN CAPITAL LETTER I WITH DOUBLE GRAVE
    "\u0209",  # LATIN SMALL LETTER I WITH DOUBLE GRAVE
    "\u020A",  # LATIN CAPITAL LETTER I WITH INVERTED BREVE
    "\u020B",  # LATIN SMALL LETTER I WITH INVERTED BREVE
    "\u020C",  # LATIN CAPITAL LETTER O WITH DOUBLE GRAVE
    "\u020D",  # LATIN SMALL LETTER O WITH DOUBLE GRAVE
    "\u020E",  # LATIN CAPITAL LETTER O WITH INVERTED BREVE
    "\u020F",  # LATIN SMALL LETTER O WITH INVERTED BREVE
    "\u0210",  # LATIN CAPITAL LETTER R WITH DOUBLE GRAVE
    "\u0211",  # LATIN SMALL LETTER R WITH DOUBLE GRAVE
    "\u0212",  # LATIN CAPITAL LETTER R WITH INVERTED BREVE
    "\u0213",  # LATIN SMALL LETTER R WITH INVERTED BREVE
    "\u0214",  # LATIN CAPITAL LETTER U WITH DOUBLE GRAVE
    "\u0215",  # LATIN SMALL LETTER U WITH DOUBLE GRAVE
    "\u0216",  # LATIN CAPITAL LETTER U WITH INVERTED BREVE
    "\u0217",  # LATIN SMALL LETTER U WITH INVERTED BREVE
    "\u0218",  # LATIN CAPITAL LETTER S WITH COMMA BELOW
    "\u0219",  # LATIN SMALL LETTER S WITH COMMA BELOW
    "\u021A",  # LATIN CAPITAL LETTER T WITH COMMA BELOW
    "\u021B",  # LATIN SMALL LETTER T WITH COMMA BELOW
    "\u021C",  # LATIN CAPITAL LETTER YOGH
    "\u021D",  # LATIN SMALL LETTER YOGH
    "\u021E",  # LATIN CAPITAL LETTER H WITH CARON
    "\u021F",  # LATIN SMALL LETTER H WITH CARON
    "\u0220",  # LATIN CAPITAL LETTER N WITH LONG RIGHT LEG
    "\u0221",  # LATIN SMALL LETTER D WITH CURL
    "\u0222",  # LATIN CAPITAL LETTER OU
    "\u0223",  # LATIN SMALL LETTER OU
    "\u0224",  # LATIN CAPITAL LETTER Z WITH HOOK
    "\u0225",  # LATIN SMALL LETTER Z WITH HOOK
    "\u0226",  # LATIN CAPITAL LETTER A WITH DOT ABOVE
    "\u0227",  # LATIN SMALL LETTER A WITH DOT ABOVE
    "\u0228",  # LATIN CAPITAL LETTER E WITH CEDILLA
    "\u0229",  # LATIN SMALL LETTER E WITH CEDILLA
    "\u022A",  # LATIN CAPITAL LETTER O WITH DIAERESIS AND MACRON
    "\u022B",  # LATIN SMALL LETTER O WITH DIAERESIS AND MACRON
    "\u022C",  # LATIN CAPITAL LETTER O WITH TILDE AND MACRON
    "\u022D",  # LATIN SMALL LETTER O WITH TILDE AND MACRON
    "\u022E",  # LATIN CAPITAL LETTER O WITH DOT ABOVE
    "\u022F",  # LATIN SMALL LETTER O WITH DOT ABOVE
    "\u0230",  # LATIN CAPITAL LETTER O WITH DOT ABOVE AND MACRON
    "\u0231",  # LATIN SMALL LETTER O WITH DOT ABOVE AND MACRON
    "\u0232",  # LATIN CAPITAL LETTER Y WITH MACRON
    "\u0233",  # LATIN SMALL LETTER Y WITH MACRON
    "\u0234",  # LATIN SMALL LETTER L WITH CURL
    "\u0235",  # LATIN SMALL LETTER N WITH CURL
    "\u0236",  # LATIN SMALL LETTER T WITH CURL
    "\u0237",  # LATIN SMALL LETTER DOTLESS J
    "\u0238",  # LATIN SMALL LETTER DB DIGRAPH
    "\u0239",  # LATIN SMALL LETTER QP DIGRAPH
    "\u023A",  # LATIN CAPITAL LETTER A WITH STROKE
    "\u023B",  # LATIN CAPITAL LETTER C WITH STROKE
    "\u023C",  # LATIN SMALL LETTER C WITH STROKE
    "\u023D",  # LATIN CAPITAL LETTER L WITH BAR
    "\u023E",  # LATIN CAPITAL LETTER T WITH DIAGONAL STROKE
    "\u023F",  # LATIN SMALL LETTER S WITH SWASH TAIL
    "\u0240",  # LATIN SMALL LETTER Z WITH SWASH TAIL
    "\u0241",  # LATIN CAPITAL LETTER GLOTTAL STOP
    "\u0242",  # LATIN SMALL LETTER GLOTTAL STOP
    "\u0243",  # LATIN CAPITAL LETTER B WITH STROKE
    "\u0244",  # LATIN CAPITAL LETTER U BAR
    "\u0245",  # LATIN CAPITAL LETTER TURNED V
    "\u0246",  # LATIN CAPITAL LETTER E WITH STROKE
    "\u0247",  # LATIN SMALL LETTER E WITH STROKE
    "\u0248",  # LATIN CAPITAL LETTER J WITH STROKE
    "\u0249",  # LATIN SMALL LETTER J WITH STROKE
    "\u024A",  # LATIN CAPITAL LETTER SMALL Q WITH HOOK TAIL
    "\u024B",  # LATIN SMALL LETTER Q WITH HOOK TAIL
    "\u024C",  # LATIN CAPITAL LETTER R WITH STROKE
    "\u024D",  # LATIN SMALL LETTER R WITH STROKE
    "\u024E",  # LATIN CAPITAL LETTER Y WITH STROKE
    "\u024F",  # LATIN SMALL LETTER Y WITH STROKE
    "\u0250",  # LATIN SMALL LETTER TURNED A
    "\u0251",  # LATIN SMALL LETTER ALPHA
    "\u0252",  # LATIN SMALL LETTER TURNED ALPHA
    "\u0253",  # LATIN SMALL LETTER B WITH HOOK
    "\u0254",  # LATIN SMALL LETTER OPEN O
    "\u0255",  # LATIN SMALL LETTER C WITH CURL
    "\u0256",  # LATIN SMALL LETTER D WITH TAIL
    "\u0257",  # LATIN SMALL LETTER D WITH HOOK
    "\u0258",  # LATIN SMALL LETTER REVERSED E
    "\u0259",  # LATIN SMALL LETTER SCHWA
    "\u025A",  # LATIN SMALL LETTER SCHWA WITH HOOK
    "\u025B",  # LATIN SMALL LETTER OPEN E
    "\u025C",  # LATIN SMALL LETTER REVERSED OPEN E
    "\u025D",  # LATIN SMALL LETTER REVERSED OPEN E WITH HOOK
    "\u025E",  # LATIN SMALL LETTER CLOSED REVERSED OPEN E
    "\u025F",  # LATIN SMALL LETTER DOTLESS J WITH STROKE
    "\u0260",  # LATIN SMALL LETTER G WITH HOOK
    "\u0261",  # LATIN SMALL LETTER SCRIPT G
    "\u0262",  # LATIN LETTER SMALL CAPITAL G
    "\u0263",  # LATIN SMALL LETTER GAMMA
    "\u0264",  # LATIN SMALL LETTER RAMS HORN
    "\u0265",  # LATIN SMALL LETTER TURNED H
    "\u0266",  # LATIN SMALL LETTER H WITH HOOK
    "\u0267",  # LATIN SMALL LETTER HENG WITH HOOK
    "\u0268",  # LATIN SMALL LETTER I WITH STROKE
    "\u0269",  # LATIN SMALL LETTER IOTA
    "\u026A",  # LATIN LETTER SMALL CAPITAL I
    "\u026B",  # LATIN SMALL LETTER L WITH MIDDLE TILDE
    "\u026C",  # LATIN SMALL LETTER L WITH BELT
    "\u026D",  # LATIN SMALL LETTER L WITH RETROFLEX HOOK
    "\u026E",  # LATIN SMALL LETTER LEZH
    "\u026F",  # LATIN SMALL LETTER TURNED M
    "\u0270",  # LATIN SMALL LETTER TURNED M WITH LONG LEG
    "\u0271",  # LATIN SMALL LETTER M WITH HOOK
    "\u0272",  # LATIN SMALL LETTER N WITH LEFT HOOK
    "\u0273",  # LATIN SMALL LETTER N WITH RETROFLEX HOOK
    "\u0274",  # LATIN LETTER SMALL CAPITAL N
    "\u0275",  # LATIN SMALL LETTER BARRED O
    "\u0276",  # LATIN LETTER SMALL CAPITAL OE
    "\u0277",  # LATIN SMALL LETTER CLOSED OMEGA
    "\u0278",  # LATIN SMALL LETTER PHI
    "\u0279",  # LATIN SMALL LETTER TURNED R
    "\u027A",  # LATIN SMALL LETTER TURNED R WITH LONG LEG
    "\u027B",  # LATIN SMALL LETTER TURNED R WITH HOOK
    "\u027C",  # LATIN SMALL LETTER R WITH LONG LEG
    "\u027D",  # LATIN SMALL LETTER R WITH TAIL
    "\u027E",  # LATIN SMALL LETTER R WITH FISHHOOK
    "\u027F",  # LATIN SMALL LETTER REVERSED R WITH FISHHOOK
    "\u0280",  # LATIN LETTER SMALL CAPITAL R
    "\u0281",  # LATIN LETTER SMALL CAPITAL INVERTED R
    "\u0282",  # LATIN SMALL LETTER S WITH HOOK
    "\u0283",  # LATIN SMALL LETTER ESH
    "\u0284",  # LATIN SMALL LETTER DOTLESS J WITH STROKE AND HOOK
    "\u0285",  # LATIN SMALL LETTER SQUAT REVERSED ESH
    "\u0286",  # LATIN SMALL LETTER ESH WITH CURL
    "\u0287",  # LATIN SMALL LETTER TURNED T
    "\u0288",  # LATIN SMALL LETTER T WITH RETROFLEX HOOK
    "\u0289",  # LATIN SMALL LETTER U BAR
    "\u028A",  # LATIN SMALL LETTER UPSILON
    "\u028B",  # LATIN SMALL LETTER V WITH HOOK
    "\u028C",  # LATIN SMALL LETTER TURNED V
    "\u028D",  # LATIN SMALL LETTER TURNED W
    "\u028E",  # LATIN SMALL LETTER TURNED Y
    "\u028F",  # LATIN LETTER SMALL CAPITAL Y
    "\u0290",  # LATIN SMALL LETTER Z WITH RETROFLEX HOOK
    "\u0291",  # LATIN SMALL LETTER Z WITH CURL
    "\u0292",  # LATIN SMALL LETTER EZH
    "\u0293",  # LATIN SMALL LETTER EZH WITH CURL
    "\u0294",  # LATIN LETTER GLOTTAL STOP
    "\u0295",  # LATIN LETTER PHARYNGEAL VOICED FRICATIVE
    "\u0296",  # LATIN LETTER INVERTED GLOTTAL STOP
    "\u0297",  # LATIN LETTER STRETCHED C
    "\u0298",  # LATIN LETTER BILABIAL CLICK
    "\u0299",  # LATIN LETTER SMALL CAPITAL B
    "\u029A",  # LATIN SMALL LETTER CLOSED OPEN E
    "\u029B",  # LATIN LETTER SMALL CAPITAL G WITH HOOK
    "\u029C",  # LATIN LETTER SMALL CAPITAL H
    "\u029D",  # LATIN SMALL LETTER J WITH CROSSED-TAIL
    "\u029E",  # LATIN SMALL LETTER TURNED K
    "\u029F",  # LATIN LETTER SMALL CAPITAL L
    "\u02A0",  # LATIN SMALL LETTER Q WITH HOOK
    "\u02A1",  # LATIN LETTER GLOTTAL STOP WITH STROKE
    "\u02A2",  # LATIN LETTER REVERSED GLOTTAL STOP WITH STROKE
    "\u02A3",  # LATIN SMALL LETTER DZ DIGRAPH
    "\u02A4",  # LATIN SMALL LETTER DEZH DIGRAPH
    "\u02A5",  # LATIN SMALL LETTER DZ DIGRAPH WITH CURL
    "\u02A6",  # LATIN SMALL LETTER TS DIGRAPH
    "\u02A7",  # LATIN SMALL LETTER TESH DIGRAPH
    "\u02A8",  # LATIN SMALL LETTER TC DIGRAPH WITH CURL
    "\u02A9",  # LATIN SMALL LETTER FENG DIGRAPH
    "\u02AA",  # LATIN SMALL LETTER LS DIGRAPH
    "\u02AB",  # LATIN SMALL LETTER LZ DIGRAPH
    "\u02AC",  # LATIN LETTER BILABIAL PERCUSSIVE
    "\u02AD",  # LATIN LETTER BIDENTAL PERCUSSIVE
    "\u02AE",  # LATIN SMALL LETTER TURNED H WITH FISHHOOK
    "\u02AF",  # LATIN SMALL LETTER TURNED H WITH FISHHOOK AND TAIL
    "\u02B0",  # MODIFIER LETTER SMALL H
    "\u02B1",  # MODIFIER LETTER SMALL H WITH HOOK
    "\u02B2",  # MODIFIER LETTER SMALL J
    "\u02B3",  # MODIFIER LETTER SMALL R
    "\u02B4",  # MODIFIER LETTER SMALL TURNED R
    "\u02B5",  # MODIFIER LETTER SMALL TURNED R WITH HOOK
    "\u02B6",  # MODIFIER LETTER SMALL CAPITAL INVERTED R
    "\u02B7",  # MODIFIER LETTER SMALL W
    "\u02B8",  # MODIFIER LETTER SMALL Y
    "\u02B9",  # MODIFIER LETTER PRIME
    "\u02BA",  # MODIFIER LETTER DOUBLE PRIME
    "\u02BB",  # MODIFIER LETTER TURNED COMMA
    "\u02BC",  # MODIFIER LETTER APOSTROPHE
    "\u02BD",  # MODIFIER LETTER REVERSED COMMA
    "\u02BE",  # MODIFIER LETTER RIGHT HALF RING
    "\u02BF",  # MODIFIER LETTER LEFT HALF RING
    "\u02C0",  # MODIFIER LETTER GLOTTAL STOP
    "\u02C1",  # MODIFIER LETTER REVERSED GLOTTAL STOP
    "\u02C2",  # MODIFIER LETTER LEFT ARROWHEAD
    "\u02C3",  # MODIFIER LETTER RIGHT ARROWHEAD
    "\u02C4",  # MODIFIER LETTER UP ARROWHEAD
    "\u02C5",  # MODIFIER LETTER DOWN ARROWHEAD
    "\u02C6",  # MODIFIER LETTER CIRCUMFLEX ACCENT
    "\u02C7",  # CARON
    "\u02C8",  # MODIFIER LETTER VERTICAL LINE
    "\u02C9",  # MODIFIER LETTER MACRON
    "\u02CA",  # MODIFIER LETTER ACUTE ACCENT
    "\u02CB",  # MODIFIER LETTER GRAVE ACCENT
    "\u02CC",  # MODIFIER LETTER LOW VERTICAL LINE
    "\u02CD",  # MODIFIER LETTER LOW MACRON
    "\u02CE",  # MODIFIER LETTER LOW GRAVE ACCENT
    "\u02CF",  # MODIFIER LETTER LOW ACUTE ACCENT
    "\u02D0",  # MODIFIER LETTER TRIANGULAR COLON
    "\u02D1",  # MODIFIER LETTER HALF TRIANGULAR COLON
    "\u02D2",  # MODIFIER LETTER CENTRED RIGHT HALF RING
    "\u02D3",  # MODIFIER LETTER CENTRED LEFT HALF RING
    "\u02D4",  # MODIFIER LETTER UP TACK
    "\u02D5",  # MODIFIER LETTER DOWN TACK
    "\u02D6",  # MODIFIER LETTER PLUS SIGN
    "\u02D7",  # MODIFIER LETTER MINUS SIGN
    "\u02D8",  # BREVE
    "\u02D9",  # DOT ABOVE
    "\u02DA",  # RING ABOVE
    "\u02DB",  # OGONEK
    "\u02DC",  # SMALL TILDE
    "\u02DD",  # DOUBLE ACUTE ACCENT
    "\u02DE",  # MODIFIER LETTER RHOTIC HOOK
    "\u02DF",  # MODIFIER LETTER CROSS ACCENT
    "\u02E0",  # MODIFIER LETTER SMALL GAMMA
    "\u02E1",  # MODIFIER LETTER SMALL L
    "\u02E2",  # MODIFIER LETTER SMALL S
    "\u02E3",  # MODIFIER LETTER SMALL X
    "\u02E4",  # MODIFIER LETTER SMALL REVERSED GLOTTAL STOP
    "\u02E5",  # MODIFIER LETTER EXTRA-HIGH TONE BAR
    "\u02E6",  # MODIFIER LETTER HIGH TONE BAR
    "\u02E7",  # MODIFIER LETTER MID TONE BAR
    "\u02E8",  # MODIFIER LETTER LOW TONE BAR
    "\u02E9",  # MODIFIER LETTER EXTRA-LOW TONE BAR
    "\u02EA",  # MODIFIER LETTER YIN DEPARTING TONE MARK
    "\u02EB",  # MODIFIER LETTER YANG DEPARTING TONE MARK
    "\u02EC",  # MODIFIER LETTER VOICING
    "\u02ED",  # MODIFIER LETTER UNASPIRATED
    "\u02EE",  # MODIFIER LETTER DOUBLE APOSTROPHE
    "\u02EF",  # MODIFIER LETTER LOW DOWN ARROWHEAD
    "\u02F0",  # MODIFIER LETTER LOW UP ARROWHEAD
    "\u02F1",  # MODIFIER LETTER LOW LEFT ARROWHEAD
    "\u02F2",  # MODIFIER LETTER LOW RIGHT ARROWHEAD
    "\u02F3",  # MODIFIER LETTER LOW RING
    "\u02F4",  # MODIFIER LETTER MIDDLE GRAVE ACCENT
    "\u02F5",  # MODIFIER LETTER MIDDLE DOUBLE GRAVE ACCENT
    "\u02F6",  # MODIFIER LETTER MIDDLE DOUBLE ACUTE ACCENT
    "\u02F7",  # MODIFIER LETTER LOW TILDE
    "\u02F8",  # MODIFIER LETTER RAISED COLON
    "\u02F9",  # MODIFIER LETTER BEGIN HIGH TONE
    "\u02FA",  # MODIFIER LETTER END HIGH TONE
    "\u02FB",  # MODIFIER LETTER BEGIN LOW TONE
    "\u02FC",  # MODIFIER LETTER END LOW TONE
    "\u02FD",  # MODIFIER LETTER SHELF
    "\u02FE",  # MODIFIER LETTER OPEN SHELF
    "\u02FF",  # MODIFIER LETTER LOW LEFT ARROW
    "\u0300",  # COMBINING GRAVE ACCENT
    "\u0301",  # COMBINING ACUTE ACCENT
    "\u0302",  # COMBINING CIRCUMFLEX ACCENT
    "\u0303",  # COMBINING TILDE
    "\u0304",  # COMBINING MACRON
    "\u0305",  # COMBINING OVERLINE
    "\u0306",  # COMBINING BREVE
    "\u0307",  # COMBINING DOT ABOVE
    "\u0308",  # COMBINING DIAERESIS
    "\u0309",  # COMBINING HOOK ABOVE
    "\u030A",  # COMBINING RING ABOVE
    "\u030B",  # COMBINING DOUBLE ACUTE ACCENT
    "\u030C",  # COMBINING CARON
    "\u030D",  # COMBINING VERTICAL LINE ABOVE
    "\u030E",  # COMBINING DOUBLE VERTICAL LINE ABOVE
    "\u030F",  # COMBINING DOUBLE GRAVE ACCENT
    "\u0310",  # COMBINING CANDRABINDU
    "\u0311",  # COMBINING INVERTED BREVE
    "\u0312",  # COMBINING TURNED COMMA ABOVE
    "\u0313",  # COMBINING COMMA ABOVE
    "\u0314",  # COMBINING REVERSED COMMA ABOVE
    "\u0315",  # COMBINING COMMA ABOVE RIGHT
    "\u0316",  # COMBINING GRAVE ACCENT BELOW
    "\u0317",  # COMBINING ACUTE ACCENT BELOW
    "\u0318",  # COMBINING LEFT TACK BELOW
    "\u0319",  # COMBINING RIGHT TACK BELOW
    "\u031A",  # COMBINING LEFT ANGLE ABOVE
    "\u031B",  # COMBINING HORN
    "\u031C",  # COMBINING LEFT HALF RING BELOW
    "\u031D",  # COMBINING UP TACK BELOW
    "\u031E",  # COMBINING DOWN TACK BELOW
    "\u031F",  # COMBINING PLUS SIGN BELOW
    "\u0320",  # COMBINING MINUS SIGN BELOW
    "\u0321",  # COMBINING PALATALIZED HOOK BELOW
    "\u0322",  # COMBINING RETROFLEX HOOK BELOW
    "\u0323",  # COMBINING DOT BELOW
    "\u0324",  # COMBINING DIAERESIS BELOW
    "\u0325",  # COMBINING RING BELOW
    "\u0326",  # COMBINING COMMA BELOW
    "\u0327",  # COMBINING CEDILLA
    "\u0328",  # COMBINING OGONEK
    "\u0329",  # COMBINING VERTICAL LINE BELOW
    "\u032A",  # COMBINING BRIDGE BELOW
    "\u032B",  # COMBINING INVERTED DOUBLE ARCH BELOW
    "\u032C",  # COMBINING CARON BELOW
    "\u032D",  # COMBINING CIRCUMFLEX ACCENT BELOW
    "\u032E",  # COMBINING BREVE BELOW
    "\u032F",  # COMBINING INVERTED BREVE BELOW
    "\u0330",  # COMBINING TILDE BELOW
    "\u0331",  # COMBINING MACRON BELOW
    "\u0332",  # COMBINING LOW LINE
    "\u0333",  # COMBINING DOUBLE LOW LINE
    "\u0334",  # COMBINING TILDE OVERLAY
    "\u0335",  # COMBINING SHORT STROKE OVERLAY
    "\u0336",  # COMBINING LONG STROKE OVERLAY
    "\u0337",  # COMBINING SHORT SOLIDUS OVERLAY
    "\u0338",  # COMBINING LONG SOLIDUS OVERLAY
    "\u0339",  # COMBINING RIGHT HALF RING BELOW
    "\u033A",  # COMBINING INVERTED BRIDGE BELOW
    "\u033B",  # COMBINING SQUARE BELOW
    "\u033C",  # COMBINING SEAGULL BELOW
    "\u033D",  # COMBINING X ABOVE
    "\u033E",  # COMBINING VERTICAL TILDE
    "\u033F",  # COMBINING DOUBLE OVERLINE
    "\u0340",  # COMBINING GRAVE TONE MARK
    "\u0341",  # COMBINING ACUTE TONE MARK
    "\u0342",  # COMBINING GREEK PERISPOMENI
    "\u0343",  # COMBINING GREEK KORONIS
    "\u0344",  # COMBINING GREEK DIALYTIKA TONOS
    "\u0345",  # COMBINING GREEK YPOGEGRAMMENI
    "\u0346",  # COMBINING BRIDGE ABOVE
    "\u0347",  # COMBINING EQUALS SIGN BELOW
    "\u0348",  # COMBINING DOUBLE VERTICAL LINE BELOW
    "\u0349",  # COMBINING LEFT ANGLE BELOW
    "\u034A",  # COMBINING NOT TILDE ABOVE
    "\u034B",  # COMBINING HOMOTHETIC ABOVE
    "\u034C",  # COMBINING ALMOST EQUAL TO ABOVE
    "\u034D",  # COMBINING LEFT RIGHT ARROW BELOW
    "\u034E",  # COMBINING UPWARDS ARROW BELOW
    "\u034F",  # COMBINING GRAPHEME JOINER
    "\u0350",  # COMBINING RIGHT ARROWHEAD ABOVE
    "\u0351",  # COMBINING LEFT HALF RING ABOVE
    "\u0352",  # COMBINING FERMATA
    "\u0353",  # COMBINING X BELOW
    "\u0354",  # COMBINING LEFT ARROWHEAD BELOW
    "\u0355",  # COMBINING RIGHT ARROWHEAD BELOW
    "\u0356",  # COMBINING RIGHT ARROWHEAD AND UP ARROWHEAD BELOW
    "\u0357",  # COMBINING RIGHT HALF RING ABOVE
    "\u0358",  # COMBINING DOT ABOVE RIGHT
    "\u0359",  # COMBINING ASTERISK BELOW
    "\u035A",  # COMBINING DOUBLE RING BELOW
    "\u035B",  # COMBINING ZIGZAG ABOVE
    "\u035C",  # COMBINING DOUBLE BREVE BELOW
    "\u035D",  # COMBINING DOUBLE BREVE
    "\u035E",  # COMBINING DOUBLE MACRON
    "\u035F",  # COMBINING DOUBLE MACRON BELOW
    "\u0360",  # COMBINING DOUBLE TILDE
    "\u0361",  # COMBINING DOUBLE INVERTED BREVE
    "\u0362",  # COMBINING DOUBLE RIGHTWARDS ARROW BELOW
    "\u0363",  # COMBINING LATIN SMALL LETTER A
    "\u0364",  # COMBINING LATIN SMALL LETTER E
    "\u0365",  # COMBINING LATIN SMALL LETTER I
    "\u0366",  # COMBINING LATIN SMALL LETTER O
    "\u0367",  # COMBINING LATIN SMALL LETTER U
    "\u0368",  # COMBINING LATIN SMALL LETTER C
    "\u0369",  # COMBINING LATIN SMALL LETTER D
    "\u036A",  # COMBINING LATIN SMALL LETTER H
    "\u036B",  # COMBINING LATIN SMALL LETTER M
    "\u036C",  # COMBINING LATIN SMALL LETTER R
    "\u036D",  # COMBINING LATIN SMALL LETTER T
    "\u036E",  # COMBINING LATIN SMALL LETTER V
    "\u036F",  # COMBINING LATIN SMALL LETTER X
    "\u0370",  # GREEK CAPITAL LETTER HETA
    "\u0371",  # GREEK SMALL LETTER HETA
    "\u0372",  # GREEK CAPITAL LETTER ARCHAIC SAMPI
    "\u0373",  # GREEK SMALL LETTER ARCHAIC SAMPI
    "\u0374",  # GREEK NUMERAL SIGN
    "\u0375",  # GREEK LOWER NUMERAL SIGN
    "\u0376",  # GREEK CAPITAL LETTER PAMPHYLIAN DIGAMMA
    "\u0377",  # GREEK SMALL LETTER PAMPHYLIAN DIGAMMA
    "\u037A",  # GREEK YPOGEGRAMMENI
    "\u037B",  # GREEK SMALL REVERSED LUNATE SIGMA SYMBOL
    "\u037C",  # GREEK SMALL DOTTED LUNATE SIGMA SYMBOL
    "\u037D",  # GREEK SMALL REVERSED DOTTED LUNATE SIGMA SYMBOL
    "\u037E",  # GREEK QUESTION MARK
    "\u037F",  # GREEK CAPITAL LETTER YOT
    "\u0384",  # GREEK TONOS
    "\u0385",  # GREEK DIALYTIKA TONOS
    "\u0386",  # GREEK CAPITAL LETTER ALPHA WITH TONOS
    "\u0387",  # GREEK ANO TELEIA
    "\u0388",  # GREEK CAPITAL LETTER EPSILON WITH TONOS
    "\u0389",  # GREEK CAPITAL LETTER ETA WITH TONOS
    "\u038A",  # GREEK CAPITAL LETTER IOTA WITH TONOS
    "\u038C",  # GREEK CAPITAL LETTER OMICRON WITH TONOS
    "\u038E",  # GREEK CAPITAL LETTER UPSILON WITH TONOS
    "\u038F",  # GREEK CAPITAL LETTER OMEGA WITH TONOS
    "\u0390",  # GREEK SMALL LETTER IOTA WITH DIALYTIKA AND TONOS
    "\u0391",  # GREEK CAPITAL LETTER ALPHA
    "\u0392",  # GREEK CAPITAL LETTER BETA
    "\u0393",  # GREEK CAPITAL LETTER GAMMA
    "\u0394",  # GREEK CAPITAL LETTER DELTA
    "\u0395",  # GREEK CAPITAL LETTER EPSILON
    "\u0396",  # GREEK CAPITAL LETTER ZETA
    "\u0397",  # GREEK CAPITAL LETTER ETA
    "\u0398",  # GREEK CAPITAL LETTER THETA
    "\u0399",  # GREEK CAPITAL LETTER IOTA
    "\u039A",  # GREEK CAPITAL LETTER KAPPA
    "\u039B",  # GREEK CAPITAL LETTER LAMDA
    "\u039C",  # GREEK CAPITAL LETTER MU
    "\u039D",  # GREEK CAPITAL LETTER NU
    "\u039E",  # GREEK CAPITAL LETTER XI
    "\u039F",  # GREEK CAPITAL LETTER OMICRON
    "\u03A0",  # GREEK CAPITAL LETTER PI
    "\u03A1",  # GREEK CAPITAL LETTER RHO
    "\u03A3",  # GREEK CAPITAL LETTER SIGMA
    "\u03A4",  # GREEK CAPITAL LETTER TAU
    "\u03A5",  # GREEK CAPITAL LETTER UPSILON
    "\u03A6",  # GREEK CAPITAL LETTER PHI
    "\u03A7",  # GREEK CAPITAL LETTER CHI
    "\u03A8",  # GREEK CAPITAL LETTER PSI
    "\u03A9",  # GREEK CAPITAL LETTER OMEGA
    "\u03AA",  # GREEK CAPITAL LETTER IOTA WITH DIALYTIKA
    "\u03AB",  # GREEK CAPITAL LETTER UPSILON WITH DIALYTIKA
    "\u03AC",  # GREEK SMALL LETTER ALPHA WITH TONOS
    "\u03AD",  # GREEK SMALL LETTER EPSILON WITH TONOS
    "\u03AE",  # GREEK SMALL LETTER ETA WITH TONOS
    "\u03AF",  # GREEK SMALL LETTER IOTA WITH TONOS
    "\u03B0",  # GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND TONOS
    "\u03B1",  # GREEK SMALL LETTER ALPHA
    "\u03B2",  # GREEK SMALL LETTER BETA
    "\u03B3",  # GREEK SMALL LETTER GAMMA
    "\u03B4",  # GREEK SMALL LETTER DELTA
    "\u03B5",  # GREEK SMALL LETTER EPSILON
    "\u03B6",  # GREEK SMALL LETTER ZETA
    "\u03B7",  # GREEK SMALL LETTER ETA
    "\u03B8",  # GREEK SMALL LETTER THETA
    "\u03B9",  # GREEK SMALL LETTER IOTA
    "\u03BA",  # GREEK SMALL LETTER KAPPA
    "\u03BB",  # GREEK SMALL LETTER LAMDA
    "\u03BC",  # GREEK SMALL LETTER MU
    "\u03BD",  # GREEK SMALL LETTER NU
    "\u03BE",  # GREEK SMALL LETTER XI
    "\u03BF",  # GREEK SMALL LETTER OMICRON
    "\u03C0",  # GREEK SMALL LETTER PI
    "\u03C1",  # GREEK SMALL LETTER RHO
    "\u03C2",  # GREEK SMALL LETTER FINAL SIGMA
    "\u03C3",  # GREEK SMALL LETTER SIGMA
    "\u03C4",  # GREEK SMALL LETTER TAU
    "\u03C5",  # GREEK SMALL LETTER UPSILON
    "\u03C6",  # GREEK SMALL LETTER PHI
    "\u03C7",  # GREEK SMALL LETTER CHI
    "\u03C8",  # GREEK SMALL LETTER PSI
    "\u03C9",  # GREEK SMALL LETTER OMEGA
    "\u03CA",  # GREEK SMALL LETTER IOTA WITH DIALYTIKA
    "\u03CB",  # GREEK SMALL LETTER UPSILON WITH DIALYTIKA
    "\u03CC",  # GREEK SMALL LETTER OMICRON WITH TONOS
    "\u03CD",  # GREEK SMALL LETTER UPSILON WITH TONOS
    "\u03CE",  # GREEK SMALL LETTER OMEGA WITH TONOS
    "\u03CF",  # GREEK CAPITAL KAI SYMBOL
    "\u03D0",  # GREEK BETA SYMBOL
    "\u03D1",  # GREEK THETA SYMBOL
    "\u03D2",  # GREEK UPSILON WITH HOOK SYMBOL
    "\u03D3",  # GREEK UPSILON WITH ACUTE AND HOOK SYMBOL
    "\u03D4",  # GREEK UPSILON WITH DIAERESIS AND HOOK SYMBOL
    "\u03D5",  # GREEK PHI SYMBOL
    "\u03D6",  # GREEK PI SYMBOL
    "\u03D7",  # GREEK KAI SYMBOL
    "\u03D8",  # GREEK LETTER ARCHAIC KOPPA
    "\u03D9",  # GREEK SMALL LETTER ARCHAIC KOPPA
    "\u03DA",  # GREEK LETTER STIGMA
    "\u03DB",  # GREEK SMALL LETTER STIGMA
    "\u03DC",  # GREEK LETTER DIGAMMA
    "\u03DD",  # GREEK SMALL LETTER DIGAMMA
    "\u03DE",  # GREEK LETTER KOPPA
    "\u03DF",  # GREEK SMALL LETTER KOPPA
    "\u03E0",  # GREEK LETTER SAMPI
    "\u03E1",  # GREEK SMALL LETTER SAMPI
    "\u03E2",  # COPTIC CAPITAL LETTER SHEI
    "\u03E3",  # COPTIC SMALL LETTER SHEI
    "\u03E4",  # COPTIC CAPITAL LETTER FEI
    "\u03E5",  # COPTIC SMALL LETTER FEI
    "\u03E6",  # COPTIC CAPITAL LETTER KHEI
    "\u03E7",  # COPTIC SMALL LETTER KHEI
    "\u03E8",  # COPTIC CAPITAL LETTER HORI
    "\u03E9",  # COPTIC SMALL LETTER HORI
    "\u03EA",  # COPTIC CAPITAL LETTER GANGIA
    "\u03EB",  # COPTIC SMALL LETTER GANGIA
    "\u03EC",  # COPTIC CAPITAL LETTER SHIMA
    "\u03ED",  # COPTIC SMALL LETTER SHIMA
    "\u03EE",  # COPTIC CAPITAL LETTER DEI
    "\u03EF",  # COPTIC SMALL LETTER DEI
    "\u03F0",  # GREEK KAPPA SYMBOL
    "\u03F1",  # GREEK RHO SYMBOL
    "\u03F2",  # GREEK LUNATE SIGMA SYMBOL
    "\u03F3",  # GREEK LETTER YOT
    "\u03F4",  # GREEK CAPITAL THETA SYMBOL
    "\u03F5",  # GREEK LUNATE EPSILON SYMBOL
    "\u03F6",  # GREEK REVERSED LUNATE EPSILON SYMBOL
    "\u03F7",  # GREEK CAPITAL LETTER SHO
    "\u03F8",  # GREEK SMALL LETTER SHO
    "\u03F9",  # GREEK CAPITAL LUNATE SIGMA SYMBOL
    "\u03FA",  # GREEK CAPITAL LETTER SAN
    "\u03FB",  # GREEK SMALL LETTER SAN
    "\u03FC",  # GREEK RHO WITH STROKE SYMBOL
    "\u03FD",  # GREEK CAPITAL REVERSED LUNATE SIGMA SYMBOL
    "\u03FE",  # GREEK CAPITAL DOTTED LUNATE SIGMA SYMBOL
    "\u03FF",  # GREEK CAPITAL REVERSED DOTTED LUNATE SIGMA SYMBOL
    "\u0400",  # CYRILLIC CAPITAL LETTER IE WITH GRAVE
    "\u0401",  # CYRILLIC CAPITAL LETTER IO
    "\u0402",  # CYRILLIC CAPITAL LETTER DJE
    "\u0403",  # CYRILLIC CAPITAL LETTER GJE
    "\u0404",  # CYRILLIC CAPITAL LETTER UKRAINIAN IE
    "\u0405",  # CYRILLIC CAPITAL LETTER DZE
    "\u0406",  # CYRILLIC CAPITAL LETTER BYELORUSSIAN-UKRAINIAN I
    "\u0407",  # CYRILLIC CAPITAL LETTER YI
    "\u0408",  # CYRILLIC CAPITAL LETTER JE
    "\u0409",  # CYRILLIC CAPITAL LETTER LJE
    "\u040A",  # CYRILLIC CAPITAL LETTER NJE
    "\u040B",  # CYRILLIC CAPITAL LETTER TSHE
    "\u040C",  # CYRILLIC CAPITAL LETTER KJE
    "\u040D",  # CYRILLIC CAPITAL LETTER I WITH GRAVE
    "\u040E",  # CYRILLIC CAPITAL LETTER SHORT U
    "\u040F",  # CYRILLIC CAPITAL LETTER DZHE
    "\u0410",  # CYRILLIC CAPITAL LETTER A
    "\u0411",  # CYRILLIC CAPITAL LETTER BE
    "\u0412",  # CYRILLIC CAPITAL LETTER VE
    "\u0413",  # CYRILLIC CAPITAL LETTER GHE
    "\u0414",  # CYRILLIC CAPITAL LETTER DE
    "\u0415",  # CYRILLIC CAPITAL LETTER IE
    "\u0416",  # CYRILLIC CAPITAL LETTER ZHE
    "\u0417",  # CYRILLIC CAPITAL LETTER ZE
    "\u0418",  # CYRILLIC CAPITAL LETTER I
    "\u0419",  # CYRILLIC CAPITAL LETTER SHORT I
    "\u041A",  # CYRILLIC CAPITAL LETTER KA
    "\u041B",  # CYRILLIC CAPITAL LETTER EL
    "\u041C",  # CYRILLIC CAPITAL LETTER EM
    "\u041D",  # CYRILLIC CAPITAL LETTER EN
    "\u041E",  # CYRILLIC CAPITAL LETTER O
    "\u041F",  # CYRILLIC CAPITAL LETTER PE
    "\u0420",  # CYRILLIC CAPITAL LETTER ER
    "\u0421",  # CYRILLIC CAPITAL LETTER ES
    "\u0422",  # CYRILLIC CAPITAL LETTER TE
    "\u0423",  # CYRILLIC CAPITAL LETTER U
    "\u0424",  # CYRILLIC CAPITAL LETTER EF
    "\u0425",  # CYRILLIC CAPITAL LETTER HA
    "\u0426",  # CYRILLIC CAPITAL LETTER TSE
    "\u0427",  # CYRILLIC CAPITAL LETTER CHE
    "\u0428",  # CYRILLIC CAPITAL LETTER SHA
    "\u0429",  # CYRILLIC CAPITAL LETTER SHCHA
    "\u042A",  # CYRILLIC CAPITAL LETTER HARD SIGN
    "\u042B",  # CYRILLIC CAPITAL LETTER YERU
    "\u042C",  # CYRILLIC CAPITAL LETTER SOFT SIGN
    "\u042D",  # CYRILLIC CAPITAL LETTER E
    "\u042E",  # CYRILLIC CAPITAL LETTER YU
    "\u042F",  # CYRILLIC CAPITAL LETTER YA
    "\u0430",  # CYRILLIC SMALL LETTER A
    "\u0431",  # CYRILLIC SMALL LETTER BE
    "\u0432",  # CYRILLIC SMALL LETTER VE
    "\u0433",  # CYRILLIC SMALL LETTER GHE
    "\u0434",  # CYRILLIC SMALL LETTER DE
    "\u0435",  # CYRILLIC SMALL LETTER IE
    "\u0436",  # CYRILLIC SMALL LETTER ZHE
    "\u0437",  # CYRILLIC SMALL LETTER ZE
    "\u0438",  # CYRILLIC SMALL LETTER I
    "\u0439",  # CYRILLIC SMALL LETTER SHORT I
    "\u043A",  # CYRILLIC SMALL LETTER KA
    "\u043B",  # CYRILLIC SMALL LETTER EL
    "\u043C",  # CYRILLIC SMALL LETTER EM
    "\u043D",  # CYRILLIC SMALL LETTER EN
    "\u043E",  # CYRILLIC SMALL LETTER O
    "\u043F",  # CYRILLIC SMALL LETTER PE
    "\u0440",  # CYRILLIC SMALL LETTER ER
    "\u0441",  # CYRILLIC SMALL LETTER ES
    "\u0442",  # CYRILLIC SMALL LETTER TE
    "\u0443",  # CYRILLIC SMALL LETTER U
    "\u0444",  # CYRILLIC SMALL LETTER EF
    "\u0445",  # CYRILLIC SMALL LETTER HA
    "\u0446",  # CYRILLIC SMALL LETTER TSE
    "\u0447",  # CYRILLIC SMALL LETTER CHE
    "\u0448",  # CYRILLIC SMALL LETTER SHA
    "\u0449",  # CYRILLIC SMALL LETTER SHCHA
    "\u044A",  # CYRILLIC SMALL LETTER HARD SIGN
    "\u044B",  # CYRILLIC SMALL LETTER YERU
    "\u044C",  # CYRILLIC SMALL LETTER SOFT SIGN
    "\u044D",  # CYRILLIC SMALL LETTER E
    "\u044E",  # CYRILLIC SMALL LETTER YU
    "\u044F",  # CYRILLIC SMALL LETTER YA
    "\u0450",  # CYRILLIC SMALL LETTER IE WITH GRAVE
    "\u0451",  # CYRILLIC SMALL LETTER IO
    "\u0452",  # CYRILLIC SMALL LETTER DJE
    "\u0453",  # CYRILLIC SMALL LETTER GJE
    "\u0454",  # CYRILLIC SMALL LETTER UKRAINIAN IE
    "\u0455",  # CYRILLIC SMALL LETTER DZE
    "\u0456",  # CYRILLIC SMALL LETTER BYELORUSSIAN-UKRAINIAN I
    "\u0457",  # CYRILLIC SMALL LETTER YI
    "\u0458",  # CYRILLIC SMALL LETTER JE
    "\u0459",  # CYRILLIC SMALL LETTER LJE
    "\u045A",  # CYRILLIC SMALL LETTER NJE
    "\u045B",  # CYRILLIC SMALL LETTER TSHE
    "\u045C",  # CYRILLIC SMALL LETTER KJE
    "\u045D",  # CYRILLIC SMALL LETTER I WITH GRAVE
    "\u045E",  # CYRILLIC SMALL LETTER SHORT U
    "\u045F",  # CYRILLIC SMALL LETTER DZHE
    "\u0460",  # CYRILLIC CAPITAL LETTER OMEGA
    "\u0461",  # CYRILLIC SMALL LETTER OMEGA
    "\u0462",  # CYRILLIC CAPITAL LETTER YAT
    "\u0463",  # CYRILLIC SMALL LETTER YAT
    "\u0464",  # CYRILLIC CAPITAL LETTER IOTIFIED E
    "\u0465",  # CYRILLIC SMALL LETTER IOTIFIED E
    "\u0466",  # CYRILLIC CAPITAL LETTER LITTLE YUS
    "\u0467",  # CYRILLIC SMALL LETTER LITTLE YUS
    "\u0468",  # CYRILLIC CAPITAL LETTER IOTIFIED LITTLE YUS
    "\u0469",  # CYRILLIC SMALL LETTER IOTIFIED LITTLE YUS
    "\u046A",  # CYRILLIC CAPITAL LETTER BIG YUS
    "\u046B",  # CYRILLIC SMALL LETTER BIG YUS
    "\u046C",  # CYRILLIC CAPITAL LETTER IOTIFIED BIG YUS
    "\u046D",  # CYRILLIC SMALL LETTER IOTIFIED BIG YUS
    "\u046E",  # CYRILLIC CAPITAL LETTER KSI
    "\u046F",  # CYRILLIC SMALL LETTER KSI
    "\u0470",  # CYRILLIC CAPITAL LETTER PSI
    "\u0471",  # CYRILLIC SMALL LETTER PSI
    "\u0472",  # CYRILLIC CAPITAL LETTER FITA
    "\u0473",  # CYRILLIC SMALL LETTER FITA
    "\u0474",  # CYRILLIC CAPITAL LETTER IZHITSA
    "\u0475",  # CYRILLIC SMALL LETTER IZHITSA
    "\u0476",  # CYRILLIC CAPITAL LETTER IZHITSA WITH DOUBLE GRAVE ACCENT
    "\u0477",  # CYRILLIC SMALL LETTER IZHITSA WITH DOUBLE GRAVE ACCENT
    "\u0478",  # CYRILLIC CAPITAL LETTER UK
    "\u0479",  # CYRILLIC SMALL LETTER UK
    "\u047A",  # CYRILLIC CAPITAL LETTER ROUND OMEGA
    "\u047B",  # CYRILLIC SMALL LETTER ROUND OMEGA
    "\u047C",  # CYRILLIC CAPITAL LETTER OMEGA WITH TITLO
    "\u047D",  # CYRILLIC SMALL LETTER OMEGA WITH TITLO
    "\u047E",  # CYRILLIC CAPITAL LETTER OT
    "\u047F",  # CYRILLIC SMALL LETTER OT
    "\u0480",  # CYRILLIC CAPITAL LETTER KOPPA
    "\u0481",  # CYRILLIC SMALL LETTER KOPPA
    "\u0482",  # CYRILLIC THOUSANDS SIGN
    "\u0483",  # COMBINING CYRILLIC TITLO
    "\u0484",  # COMBINING CYRILLIC PALATALIZATION
    "\u0485",  # COMBINING CYRILLIC DASIA PNEUMATA
    "\u0486",  # COMBINING CYRILLIC PSILI PNEUMATA
    "\u0487",  # COMBINING CYRILLIC POKRYTIE
    "\u0488",  # COMBINING CYRILLIC HUNDRED THOUSANDS SIGN
    "\u0489",  # COMBINING CYRILLIC MILLIONS SIGN
    "\u048A",  # CYRILLIC CAPITAL LETTER SHORT I WITH TAIL
    "\u048B",  # CYRILLIC SMALL LETTER SHORT I WITH TAIL
    "\u048C",  # CYRILLIC CAPITAL LETTER SEMISOFT SIGN
    "\u048D",  # CYRILLIC SMALL LETTER SEMISOFT SIGN
    "\u048E",  # CYRILLIC CAPITAL LETTER ER WITH TICK
    "\u048F",  # CYRILLIC SMALL LETTER ER WITH TICK
    "\u0490",  # CYRILLIC CAPITAL LETTER GHE WITH UPTURN
    "\u0491",  # CYRILLIC SMALL LETTER GHE WITH UPTURN
    "\u0492",  # CYRILLIC CAPITAL LETTER GHE WITH STROKE
    "\u0493",  # CYRILLIC SMALL LETTER GHE WITH STROKE
    "\u0494",  # CYRILLIC CAPITAL LETTER GHE WITH MIDDLE HOOK
    "\u0495",  # CYRILLIC SMALL LETTER GHE WITH MIDDLE HOOK
    "\u0496",  # CYRILLIC CAPITAL LETTER ZHE WITH DESCENDER
    "\u0497",  # CYRILLIC SMALL LETTER ZHE WITH DESCENDER
    "\u0498",  # CYRILLIC CAPITAL LETTER ZE WITH DESCENDER
    "\u0499",  # CYRILLIC SMALL LETTER ZE WITH DESCENDER
    "\u049A",  # CYRILLIC CAPITAL LETTER KA WITH DESCENDER
    "\u049B",  # CYRILLIC SMALL LETTER KA WITH DESCENDER
    "\u049C",  # CYRILLIC CAPITAL LETTER KA WITH VERTICAL STROKE
    "\u049D",  # CYRILLIC SMALL LETTER KA WITH VERTICAL STROKE
    "\u049E",  # CYRILLIC CAPITAL LETTER KA WITH STROKE
    "\u049F",  # CYRILLIC SMALL LETTER KA WITH STROKE
    "\u04A0",  # CYRILLIC CAPITAL LETTER BASHKIR KA
    "\u04A1",  # CYRILLIC SMALL LETTER BASHKIR KA
    "\u04A2",  # CYRILLIC CAPITAL LETTER EN WITH DESCENDER
    "\u04A3",  # CYRILLIC SMALL LETTER EN WITH DESCENDER
    "\u04A4",  # CYRILLIC CAPITAL LIGATURE EN GHE
    "\u04A5",  # CYRILLIC SMALL LIGATURE EN GHE
    "\u04A6",  # CYRILLIC CAPITAL LETTER PE WITH MIDDLE HOOK
    "\u04A7",  # CYRILLIC SMALL LETTER PE WITH MIDDLE HOOK
    "\u04A8",  # CYRILLIC CAPITAL LETTER ABKHASIAN HA
    "\u04A9",  # CYRILLIC SMALL LETTER ABKHASIAN HA
    "\u04AA",  # CYRILLIC CAPITAL LETTER ES WITH DESCENDER
    "\u04AB",  # CYRILLIC SMALL LETTER ES WITH DESCENDER
    "\u04AC",  # CYRILLIC CAPITAL LETTER TE WITH DESCENDER
    "\u04AD",  # CYRILLIC SMALL LETTER TE WITH DESCENDER
    "\u04AE",  # CYRILLIC CAPITAL LETTER STRAIGHT U
    "\u04AF",  # CYRILLIC SMALL LETTER STRAIGHT U
    "\u04B0",  # CYRILLIC CAPITAL LETTER STRAIGHT U WITH STROKE
    "\u04B1",  # CYRILLIC SMALL LETTER STRAIGHT U WITH STROKE
    "\u04B2",  # CYRILLIC CAPITAL LETTER HA WITH DESCENDER
    "\u04B3",  # CYRILLIC SMALL LETTER HA WITH DESCENDER
    "\u04B4",  # CYRILLIC CAPITAL LIGATURE TE TSE
    "\u04B5",  # CYRILLIC SMALL LIGATURE TE TSE
    "\u04B6",  # CYRILLIC CAPITAL LETTER CHE WITH DESCENDER
    "\u04B7",  # CYRILLIC SMALL LETTER CHE WITH DESCENDER
    "\u04B8",  # CYRILLIC CAPITAL LETTER CHE WITH VERTICAL STROKE
    "\u04B9",  # CYRILLIC SMALL LETTER CHE WITH VERTICAL STROKE
    "\u04BA",  # CYRILLIC CAPITAL LETTER SHHA
    "\u04BB",  # CYRILLIC SMALL LETTER SHHA
    "\u04BC",  # CYRILLIC CAPITAL LETTER ABKHASIAN CHE
    "\u04BD",  # CYRILLIC SMALL LETTER ABKHASIAN CHE
    "\u04BE",  # CYRILLIC CAPITAL LETTER ABKHASIAN CHE WITH DESCENDER
    "\u04BF",  # CYRILLIC SMALL LETTER ABKHASIAN CHE WITH DESCENDER
    "\u04C0",  # CYRILLIC LETTER PALOCHKA
    "\u04C1",  # CYRILLIC CAPITAL LETTER ZHE WITH BREVE
    "\u04C2",  # CYRILLIC SMALL LETTER ZHE WITH BREVE
    "\u04C3",  # CYRILLIC CAPITAL LETTER KA WITH HOOK
    "\u04C4",  # CYRILLIC SMALL LETTER KA WITH HOOK
    "\u04C5",  # CYRILLIC CAPITAL LETTER EL WITH TAIL
    "\u04C6",  # CYRILLIC SMALL LETTER EL WITH TAIL
    "\u04C7",  # CYRILLIC CAPITAL LETTER EN WITH HOOK
    "\u04C8",  # CYRILLIC SMALL LETTER EN WITH HOOK
    "\u04C9",  # CYRILLIC CAPITAL LETTER EN WITH TAIL
    "\u04CA",  # CYRILLIC SMALL LETTER EN WITH TAIL
    "\u04CB",  # CYRILLIC CAPITAL LETTER KHAKASSIAN CHE
    "\u04CC",  # CYRILLIC SMALL LETTER KHAKASSIAN CHE
    "\u04CD",  # CYRILLIC CAPITAL LETTER EM WITH TAIL
    "\u04CE",  # CYRILLIC SMALL LETTER EM WITH TAIL
    "\u04CF",  # CYRILLIC SMALL LETTER PALOCHKA
    "\u04D0",  # CYRILLIC CAPITAL LETTER A WITH BREVE
    "\u04D1",  # CYRILLIC SMALL LETTER A WITH BREVE
    "\u04D2",  # CYRILLIC CAPITAL LETTER A WITH DIAERESIS
    "\u04D3",  # CYRILLIC SMALL LETTER A WITH DIAERESIS
    "\u04D4",  # CYRILLIC CAPITAL LIGATURE A IE
    "\u04D5",  # CYRILLIC SMALL LIGATURE A IE
    "\u04D6",  # CYRILLIC CAPITAL LETTER IE WITH BREVE
    "\u04D7",  # CYRILLIC SMALL LETTER IE WITH BREVE
    "\u04D8",  # CYRILLIC CAPITAL LETTER SCHWA
    "\u04D9",  # CYRILLIC SMALL LETTER SCHWA
    "\u04DA",  # CYRILLIC CAPITAL LETTER SCHWA WITH DIAERESIS
    "\u04DB",  # CYRILLIC SMALL LETTER SCHWA WITH DIAERESIS
    "\u04DC",  # CYRILLIC CAPITAL LETTER ZHE WITH DIAERESIS
    "\u04DD",  # CYRILLIC SMALL LETTER ZHE WITH DIAERESIS
    "\u04DE",  # CYRILLIC CAPITAL LETTER ZE WITH DIAERESIS
    "\u04DF",  # CYRILLIC SMALL LETTER ZE WITH DIAERESIS
    "\u04E0",  # CYRILLIC CAPITAL LETTER ABKHASIAN DZE
    "\u04E1",  # CYRILLIC SMALL LETTER ABKHASIAN DZE
    "\u04E2",  # CYRILLIC CAPITAL LETTER I WITH MACRON
    "\u04E3",  # CYRILLIC SMALL LETTER I WITH MACRON
    "\u04E4",  # CYRILLIC CAPITAL LETTER I WITH DIAERESIS
    "\u04E5",  # CYRILLIC SMALL LETTER I WITH DIAERESIS
    "\u04E6",  # CYRILLIC CAPITAL LETTER O WITH DIAERESIS
    "\u04E7",  # CYRILLIC SMALL LETTER O WITH DIAERESIS
    "\u04E8",  # CYRILLIC CAPITAL LETTER BARRED O
    "\u04E9",  # CYRILLIC SMALL LETTER BARRED O
    "\u04EA",  # CYRILLIC CAPITAL LETTER BARRED O WITH DIAERESIS
    "\u04EB",  # CYRILLIC SMALL LETTER BARRED O WITH DIAERESIS
    "\u04EC",  # CYRILLIC CAPITAL LETTER E WITH DIAERESIS
    "\u04ED",  # CYRILLIC SMALL LETTER E WITH DIAERESIS
    "\u04EE",  # CYRILLIC CAPITAL LETTER U WITH MACRON
    "\u04EF",  # CYRILLIC SMALL LETTER U WITH MACRON
    "\u04F0",  # CYRILLIC CAPITAL LETTER U WITH DIAERESIS
    "\u04F1",  # CYRILLIC SMALL LETTER U WITH DIAERESIS
    "\u04F2",  # CYRILLIC CAPITAL LETTER U WITH DOUBLE ACUTE
    "\u04F3",  # CYRILLIC SMALL LETTER U WITH DOUBLE ACUTE
    "\u04F4",  # CYRILLIC CAPITAL LETTER CHE WITH DIAERESIS
    "\u04F5",  # CYRILLIC SMALL LETTER CHE WITH DIAERESIS
    "\u04F6",  # CYRILLIC CAPITAL LETTER GHE WITH DESCENDER
    "\u04F7",  # CYRILLIC SMALL LETTER GHE WITH DESCENDER
    "\u04F8",  # CYRILLIC CAPITAL LETTER YERU WITH DIAERESIS
    "\u04F9",  # CYRILLIC SMALL LETTER YERU WITH DIAERESIS
    "\u04FA",  # CYRILLIC CAPITAL LETTER GHE WITH STROKE AND HOOK
    "\u04FB",  # CYRILLIC SMALL LETTER GHE WITH STROKE AND HOOK
    "\u04FC",  # CYRILLIC CAPITAL LETTER HA WITH HOOK
    "\u04FD",  # CYRILLIC SMALL LETTER HA WITH HOOK
    "\u04FE",  # CYRILLIC CAPITAL LETTER HA WITH STROKE
    "\u04FF",  # CYRILLIC SMALL LETTER HA WITH STROKE
    "\u0500",  # CYRILLIC CAPITAL LETTER KOMI DE
    "\u0501",  # CYRILLIC SMALL LETTER KOMI DE
    "\u0502",  # CYRILLIC CAPITAL LETTER KOMI DJE
    "\u0503",  # CYRILLIC SMALL LETTER KOMI DJE
    "\u0504",  # CYRILLIC CAPITAL LETTER KOMI ZJE
    "\u0505",  # CYRILLIC SMALL LETTER KOMI ZJE
    "\u0506",  # CYRILLIC CAPITAL LETTER KOMI DZJE
    "\u0507",  # CYRILLIC SMALL LETTER KOMI DZJE
    "\u0508",  # CYRILLIC CAPITAL LETTER KOMI LJE
    "\u0509",  # CYRILLIC SMALL LETTER KOMI LJE
    "\u050A",  # CYRILLIC CAPITAL LETTER KOMI NJE
    "\u050B",  # CYRILLIC SMALL LETTER KOMI NJE
    "\u050C",  # CYRILLIC CAPITAL LETTER KOMI SJE
    "\u050D",  # CYRILLIC SMALL LETTER KOMI SJE
    "\u050E",  # CYRILLIC CAPITAL LETTER KOMI TJE
    "\u050F",  # CYRILLIC SMALL LETTER KOMI TJE
    "\u0510",  # CYRILLIC CAPITAL LETTER REVERSED ZE
    "\u0511",  # CYRILLIC SMALL LETTER REVERSED ZE
    "\u0512",  # CYRILLIC CAPITAL LETTER EL WITH HOOK
    "\u0513",  # CYRILLIC SMALL LETTER EL WITH HOOK
    "\u0514",  # CYRILLIC CAPITAL LETTER LHA
    "\u0515",  # CYRILLIC SMALL LETTER LHA
    "\u0516",  # CYRILLIC CAPITAL LETTER RHA
    "\u0517",  # CYRILLIC SMALL LETTER RHA
    "\u0518",  # CYRILLIC CAPITAL LETTER YAE
    "\u0519",  # CYRILLIC SMALL LETTER YAE
    "\u051A",  # CYRILLIC CAPITAL LETTER QA
    "\u051B",  # CYRILLIC SMALL LETTER QA
    "\u051C",  # CYRILLIC CAPITAL LETTER WE
    "\u051D",  # CYRILLIC SMALL LETTER WE
    "\u051E",  # CYRILLIC CAPITAL LETTER ALEUT KA
    "\u051F",  # CYRILLIC SMALL LETTER ALEUT KA
    "\u0520",  # CYRILLIC CAPITAL LETTER EL WITH MIDDLE HOOK
    "\u0521",  # CYRILLIC SMALL LETTER EL WITH MIDDLE HOOK
    "\u0522",  # CYRILLIC CAPITAL LETTER EN WITH MIDDLE HOOK
    "\u0523",  # CYRILLIC SMALL LETTER EN WITH MIDDLE HOOK
    "\u0524",  # CYRILLIC CAPITAL LETTER PE WITH DESCENDER
    "\u0525",  # CYRILLIC SMALL LETTER PE WITH DESCENDER
    "\u0526",  # CYRILLIC CAPITAL LETTER SHHA WITH DESCENDER
    "\u0527",  # CYRILLIC SMALL LETTER SHHA WITH DESCENDER
    "\u0528",  # CYRILLIC CAPITAL LETTER EN WITH LEFT HOOK
    "\u0529",  # CYRILLIC SMALL LETTER EN WITH LEFT HOOK
    "\u052A",  # CYRILLIC CAPITAL LETTER DZZHE
    "\u052B",  # CYRILLIC SMALL LETTER DZZHE
    "\u052C",  # CYRILLIC CAPITAL LETTER DCHE
    "\u052D",  # CYRILLIC SMALL LETTER DCHE
    "\u052E",  # CYRILLIC CAPITAL LETTER EL WITH DESCENDER
    "\u052F",  # CYRILLIC SMALL LETTER EL WITH DESCENDER
    "\u0531",  # ARMENIAN CAPITAL LETTER AYB
    "\u0532",  # ARMENIAN CAPITAL LETTER BEN
    "\u0533",  # ARMENIAN CAPITAL LETTER GIM
    "\u0534",  # ARMENIAN CAPITAL LETTER DA
    "\u0535",  # ARMENIAN CAPITAL LETTER ECH
    "\u0536",  # ARMENIAN CAPITAL LETTER ZA
    "\u0537",  # ARMENIAN CAPITAL LETTER EH
    "\u0538",  # ARMENIAN CAPITAL LETTER ET
    "\u0539",  # ARMENIAN CAPITAL LETTER TO
    "\u053A",  # ARMENIAN CAPITAL LETTER ZHE
    "\u053B",  # ARMENIAN CAPITAL LETTER INI
    "\u053C",  # ARMENIAN CAPITAL LETTER LIWN
    "\u053D",  # ARMENIAN CAPITAL LETTER XEH
    "\u053E",  # ARMENIAN CAPITAL LETTER CA
    "\u053F",  # ARMENIAN CAPITAL LETTER KEN
    "\u0540",  # ARMENIAN CAPITAL LETTER HO
    "\u0541",  # ARMENIAN CAPITAL LETTER JA
    "\u0542",  # ARMENIAN CAPITAL LETTER GHAD
    "\u0543",  # ARMENIAN CAPITAL LETTER CHEH
    "\u0544",  # ARMENIAN CAPITAL LETTER MEN
    "\u0545",  # ARMENIAN CAPITAL LETTER YI
    "\u0546",  # ARMENIAN CAPITAL LETTER NOW
    "\u0547",  # ARMENIAN CAPITAL LETTER SHA
    "\u0548",  # ARMENIAN CAPITAL LETTER VO
    "\u0549",  # ARMENIAN CAPITAL LETTER CHA
    "\u054A",  # ARMENIAN CAPITAL LETTER PEH
    "\u054B",  # ARMENIAN CAPITAL LETTER JHEH
    "\u054C",  # ARMENIAN CAPITAL LETTER RA
    "\u054D",  # ARMENIAN CAPITAL LETTER SEH
    "\u054E",  # ARMENIAN CAPITAL LETTER VEW
    "\u054F",  # ARMENIAN CAPITAL LETTER TIWN
    "\u0550",  # ARMENIAN CAPITAL LETTER REH
    "\u0551",  # ARMENIAN CAPITAL LETTER CO
    "\u0552",  # ARMENIAN CAPITAL LETTER YIWN
    "\u0553",  # ARMENIAN CAPITAL LETTER PIWR
    "\u0554",  # ARMENIAN CAPITAL LETTER KEH
    "\u0555",  # ARMENIAN CAPITAL LETTER OH
    "\u0556",  # ARMENIAN CAPITAL LETTER FEH
    "\u0559",  # ARMENIAN MODIFIER LETTER LEFT HALF RING
    "\u055A",  # ARMENIAN APOSTROPHE
    "\u055B",  # ARMENIAN EMPHASIS MARK
    "\u055C",  # ARMENIAN EXCLAMATION MARK
    "\u055D",  # ARMENIAN COMMA
    "\u055E",  # ARMENIAN QUESTION MARK
    "\u055F",  # ARMENIAN ABBREVIATION MARK
    "\u0561",  # ARMENIAN SMALL LETTER AYB
    "\u0562",  # ARMENIAN SMALL LETTER BEN
    "\u0563",  # ARMENIAN SMALL LETTER GIM
    "\u0564",  # ARMENIAN SMALL LETTER DA
    "\u0565",  # ARMENIAN SMALL LETTER ECH
    "\u0566",  # ARMENIAN SMALL LETTER ZA
    "\u0567",  # ARMENIAN SMALL LETTER EH
    "\u0568",  # ARMENIAN SMALL LETTER ET
    "\u0569",  # ARMENIAN SMALL LETTER TO
    "\u056A",  # ARMENIAN SMALL LETTER ZHE
    "\u056B",  # ARMENIAN SMALL LETTER INI
    "\u056C",  # ARMENIAN SMALL LETTER LIWN
    "\u056D",  # ARMENIAN SMALL LETTER XEH
    "\u056E",  # ARMENIAN SMALL LETTER CA
    "\u056F",  # ARMENIAN SMALL LETTER KEN
    "\u0570",  # ARMENIAN SMALL LETTER HO
    "\u0571",  # ARMENIAN SMALL LETTER JA
    "\u0572",  # ARMENIAN SMALL LETTER GHAD
    "\u0573",  # ARMENIAN SMALL LETTER CHEH
    "\u0574",  # ARMENIAN SMALL LETTER MEN
    "\u0575",  # ARMENIAN SMALL LETTER YI
    "\u0576",  # ARMENIAN SMALL LETTER NOW
    "\u0577",  # ARMENIAN SMALL LETTER SHA
    "\u0578",  # ARMENIAN SMALL LETTER VO
    "\u0579",  # ARMENIAN SMALL LETTER CHA
    "\u057A",  # ARMENIAN SMALL LETTER PEH
    "\u057B",  # ARMENIAN SMALL LETTER JHEH
    "\u057C",  # ARMENIAN SMALL LETTER RA
    "\u057D",  # ARMENIAN SMALL LETTER SEH
    "\u057E",  # ARMENIAN SMALL LETTER VEW
    "\u057F",  # ARMENIAN SMALL LETTER TIWN
    "\u0580",  # ARMENIAN SMALL LETTER REH
    "\u0581",  # ARMENIAN SMALL LETTER CO
    "\u0582",  # ARMENIAN SMALL LETTER YIWN
    "\u0583",  # ARMENIAN SMALL LETTER PIWR
    "\u0584",  # ARMENIAN SMALL LETTER KEH
    "\u0585",  # ARMENIAN SMALL LETTER OH
    "\u0586",  # ARMENIAN SMALL LETTER FEH
    "\u0587",  # ARMENIAN SMALL LIGATURE ECH YIWN
    "\u0589",  # ARMENIAN FULL STOP
    "\u058A",  # ARMENIAN HYPHEN
    "\u058D",  # RIGHT-FACING ARMENIAN ETERNITY SIGN
    "\u058E",  # LEFT-FACING ARMENIAN ETERNITY SIGN
    "\u058F",  # ARMENIAN DRAM SIGN
    "\u0591",  # HEBREW ACCENT ETNAHTA
    "\u0592",  # HEBREW ACCENT SEGOL
    "\u0593",  # HEBREW ACCENT SHALSHELET
    "\u0594",  # HEBREW ACCENT ZAQEF QATAN
    "\u0595",  # HEBREW ACCENT ZAQEF GADOL
    "\u0596",  # HEBREW ACCENT TIPEHA
    "\u0597",  # HEBREW ACCENT REVIA
    "\u0598",  # HEBREW ACCENT ZARQA
    "\u0599",  # HEBREW ACCENT PASHTA
    "\u059A",  # HEBREW ACCENT YETIV
    "\u059B",  # HEBREW ACCENT TEVIR
    "\u059C",  # HEBREW ACCENT GERESH
    "\u059D",  # HEBREW ACCENT GERESH MUQDAM
    "\u059E",  # HEBREW ACCENT GERSHAYIM
    "\u059F",  # HEBREW ACCENT QARNEY PARA
    "\u05A0",  # HEBREW ACCENT TELISHA GEDOLA
    "\u05A1",  # HEBREW ACCENT PAZER
    "\u05A2",  # HEBREW ACCENT ATNAH HAFUKH
    "\u05A3",  # HEBREW ACCENT MUNAH
    "\u05A4",  # HEBREW ACCENT MAHAPAKH
    "\u05A5",  # HEBREW ACCENT MERKHA
    "\u05A6",  # HEBREW ACCENT MERKHA KEFULA
    "\u05A7",  # HEBREW ACCENT DARGA
    "\u05A8",  # HEBREW ACCENT QADMA
    "\u05A9",  # HEBREW ACCENT TELISHA QETANA
    "\u05AA",  # HEBREW ACCENT YERAH BEN YOMO
    "\u05AB",  # HEBREW ACCENT OLE
    "\u05AC",  # HEBREW ACCENT ILUY
    "\u05AD",  # HEBREW ACCENT DEHI
    "\u05AE",  # HEBREW ACCENT ZINOR
    "\u05AF",  # HEBREW MARK MASORA CIRCLE
    "\u05B0",  # HEBREW POINT SHEVA
    "\u05B1",  # HEBREW POINT HATAF SEGOL
    "\u05B2",  # HEBREW POINT HATAF PATAH
    "\u05B3",  # HEBREW POINT HATAF QAMATS
    "\u05B4",  # HEBREW POINT HIRIQ
    "\u05B5",  # HEBREW POINT TSERE
    "\u05B6",  # HEBREW POINT SEGOL
    "\u05B7",  # HEBREW POINT PATAH
    "\u05B8",  # HEBREW POINT QAMATS
    "\u05B9",  # HEBREW POINT HOLAM
    "\u05BA",  # HEBREW POINT HOLAM HASER FOR VAV
    "\u05BB",  # HEBREW POINT QUBUTS
    "\u05BC",  # HEBREW POINT DAGESH OR MAPIQ
    "\u05BD",  # HEBREW POINT METEG
    "\u05BE",  # HEBREW PUNCTUATION MAQAF
    "\u05BF",  # HEBREW POINT RAFE
    "\u05C0",  # HEBREW PUNCTUATION PASEQ
    "\u05C1",  # HEBREW POINT SHIN DOT
    "\u05C2",  # HEBREW POINT SIN DOT
    "\u05C3",  # HEBREW PUNCTUATION SOF PASUQ
    "\u05C4",  # HEBREW MARK UPPER DOT
    "\u05C5",  # HEBREW MARK LOWER DOT
    "\u05C6",  # HEBREW PUNCTUATION NUN HAFUKHA
    "\u05C7",  # HEBREW POINT QAMATS QATAN
    "\u05D0",  # HEBREW LETTER ALEF
    "\u05D1",  # HEBREW LETTER BET
    "\u05D2",  # HEBREW LETTER GIMEL
    "\u05D3",  # HEBREW LETTER DALET
    "\u05D4",  # HEBREW LETTER HE
    "\u05D5",  # HEBREW LETTER VAV
    "\u05D6",  # HEBREW LETTER ZAYIN
    "\u05D7",  # HEBREW LETTER HET
    "\u05D8",  # HEBREW LETTER TET
    "\u05D9",  # HEBREW LETTER YOD
    "\u05DA",  # HEBREW LETTER FINAL KAF
    "\u05DB",  # HEBREW LETTER KAF
    "\u05DC",  # HEBREW LETTER LAMED
    "\u05DD",  # HEBREW LETTER FINAL MEM
    "\u05DE",  # HEBREW LETTER MEM
    "\u05DF",  # HEBREW LETTER FINAL NUN
    "\u05E0",  # HEBREW LETTER NUN
    "\u05E1",  # HEBREW LETTER SAMEKH
    "\u05E2",  # HEBREW LETTER AYIN
    "\u05E3",  # HEBREW LETTER FINAL PE
    "\u05E4",  # HEBREW LETTER PE
    "\u05E5",  # HEBREW LETTER FINAL TSADI
    "\u05E6",  # HEBREW LETTER TSADI
    "\u05E7",  # HEBREW LETTER QOF
    "\u05E8",  # HEBREW LETTER RESH
    "\u05E9",  # HEBREW LETTER SHIN
    "\u05EA",  # HEBREW LETTER TAV
    "\u05F0",  # HEBREW LIGATURE YIDDISH DOUBLE VAV
    "\u05F1",  # HEBREW LIGATURE YIDDISH VAV YOD
    "\u05F2",  # HEBREW LIGATURE YIDDISH DOUBLE YOD
    "\u05F3",  # HEBREW PUNCTUATION GERESH
    "\u05F4",  # HEBREW PUNCTUATION GERSHAYIM
    "\u0600",  # ARABIC NUMBER SIGN
    "\u0601",  # ARABIC SIGN SANAH
    "\u0602",  # ARABIC FOOTNOTE MARKER
    "\u0603",  # ARABIC SIGN SAFHA
    "\u0604",  # ARABIC SIGN SAMVAT
    "\u0605",  # ARABIC NUMBER MARK ABOVE
    "\u0606",  # ARABIC-INDIC CUBE ROOT
    "\u0607",  # ARABIC-INDIC FOURTH ROOT
    "\u0608",  # ARABIC RAY
    "\u0609",  # ARABIC-INDIC PER MILLE SIGN
    "\u060A",  # ARABIC-INDIC PER TEN THOUSAND SIGN
    "\u060B",  # AFGHANI SIGN
    "\u060C",  # ARABIC COMMA
    "\u060D",  # ARABIC DATE SEPARATOR
    "\u060E",  # ARABIC POETIC VERSE SIGN
    "\u060F",  # ARABIC SIGN MISRA
    "\u0610",  # ARABIC SIGN SALLALLAHOU ALAYHE WASSALLAM
    "\u0611",  # ARABIC SIGN ALAYHE ASSALLAM
    "\u0612",  # ARABIC SIGN RAHMATULLAH ALAYHE
    "\u0613",  # ARABIC SIGN RADI ALLAHOU ANHU
    "\u0614",  # ARABIC SIGN TAKHALLUS
    "\u0615",  # ARABIC SMALL HIGH TAH
    "\u0616",  # ARABIC SMALL HIGH LIGATURE ALEF WITH LAM WITH YEH
    "\u0617",  # ARABIC SMALL HIGH ZAIN
    "\u0618",  # ARABIC SMALL FATHA
    "\u0619",  # ARABIC SMALL DAMMA
    "\u061A",  # ARABIC SMALL KASRA
    "\u061B",  # ARABIC SEMICOLON
    "\u061C",  # ARABIC LETTER MARK
    "\u061E",  # ARABIC TRIPLE DOT PUNCTUATION MARK
    "\u061F",  # ARABIC QUESTION MARK
    "\u0620",  # ARABIC LETTER KASHMIRI YEH
    "\u0621",  # ARABIC LETTER HAMZA
    "\u0622",  # ARABIC LETTER ALEF WITH MADDA ABOVE
    "\u0623",  # ARABIC LETTER ALEF WITH HAMZA ABOVE
    "\u0624",  # ARABIC LETTER WAW WITH HAMZA ABOVE
    "\u0625",  # ARABIC LETTER ALEF WITH HAMZA BELOW
    "\u0626",  # ARABIC LETTER YEH WITH HAMZA ABOVE
    "\u0627",  # ARABIC LETTER ALEF
    "\u0628",  # ARABIC LETTER BEH
    "\u0629",  # ARABIC LETTER TEH MARBUTA
    "\u062A",  # ARABIC LETTER TEH
    "\u062B",  # ARABIC LETTER THEH
    "\u062C",  # ARABIC LETTER JEEM
    "\u062D",  # ARABIC LETTER HAH
    "\u062E",  # ARABIC LETTER KHAH
    "\u062F",  # ARABIC LETTER DAL
    "\u0630",  # ARABIC LETTER THAL
    "\u0631",  # ARABIC LETTER REH
    "\u0632",  # ARABIC LETTER ZAIN
    "\u0633",  # ARABIC LETTER SEEN
    "\u0634",  # ARABIC LETTER SHEEN
    "\u0635",  # ARABIC LETTER SAD
    "\u0636",  # ARABIC LETTER DAD
    "\u0637",  # ARABIC LETTER TAH
    "\u0638",  # ARABIC LETTER ZAH
    "\u0639",  # ARABIC LETTER AIN
    "\u063A",  # ARABIC LETTER GHAIN
    "\u063B",  # ARABIC LETTER KEHEH WITH TWO DOTS ABOVE
    "\u063C",  # ARABIC LETTER KEHEH WITH THREE DOTS BELOW
    "\u063D",  # ARABIC LETTER FARSI YEH WITH INVERTED V
    "\u063E",  # ARABIC LETTER FARSI YEH WITH TWO DOTS ABOVE
    "\u063F",  # ARABIC LETTER FARSI YEH WITH THREE DOTS ABOVE
    "\u0640",  # ARABIC TATWEEL
    "\u0641",  # ARABIC LETTER FEH
    "\u0642",  # ARABIC LETTER QAF
    "\u0643",  # ARABIC LETTER KAF
    "\u0644",  # ARABIC LETTER LAM
    "\u0645",  # ARABIC LETTER MEEM
    "\u0646",  # ARABIC LETTER NOON
    "\u0647",  # ARABIC LETTER HEH
    "\u0648",  # ARABIC LETTER WAW
    "\u0649",  # ARABIC LETTER ALEF MAKSURA
    "\u064A",  # ARABIC LETTER YEH
    "\u064B",  # ARABIC FATHATAN
    "\u064C",  # ARABIC DAMMATAN
    "\u064D",  # ARABIC KASRATAN
    "\u064E",  # ARABIC FATHA
    "\u064F",  # ARABIC DAMMA
    "\u0650",  # ARABIC KASRA
    "\u0651",  # ARABIC SHADDA
    "\u0652",  # ARABIC SUKUN
    "\u0653",  # ARABIC MADDAH ABOVE
    "\u0654",  # ARABIC HAMZA ABOVE
    "\u0655",  # ARABIC HAMZA BELOW
    "\u0656",  # ARABIC SUBSCRIPT ALEF
    "\u0657",  # ARABIC INVERTED DAMMA
    "\u0658",  # ARABIC MARK NOON GHUNNA
    "\u0659",  # ARABIC ZWARAKAY
    "\u065A",  # ARABIC VOWEL SIGN SMALL V ABOVE
    "\u065B",  # ARABIC VOWEL SIGN INVERTED SMALL V ABOVE
    "\u065C",  # ARABIC VOWEL SIGN DOT BELOW
    "\u065D",  # ARABIC REVERSED DAMMA
    "\u065E",  # ARABIC FATHA WITH TWO DOTS
    "\u065F",  # ARABIC WAVY HAMZA BELOW
    "\u0660",  # ARABIC-INDIC DIGIT ZERO
    "\u0661",  # ARABIC-INDIC DIGIT ONE
    "\u0662",  # ARABIC-INDIC DIGIT TWO
    "\u0663",  # ARABIC-INDIC DIGIT THREE
    "\u0664",  # ARABIC-INDIC DIGIT FOUR
    "\u0665",  # ARABIC-INDIC DIGIT FIVE
    "\u0666",  # ARABIC-INDIC DIGIT SIX
    "\u0667",  # ARABIC-INDIC DIGIT SEVEN
    "\u0668",  # ARABIC-INDIC DIGIT EIGHT
    "\u0669",  # ARABIC-INDIC DIGIT NINE
    "\u066A",  # ARABIC PERCENT SIGN
    "\u066B",  # ARABIC DECIMAL SEPARATOR
    "\u066C",  # ARABIC THOUSANDS SEPARATOR
    "\u066D",  # ARABIC FIVE POINTED STAR
    "\u066E",  # ARABIC LETTER DOTLESS BEH
    "\u066F",  # ARABIC LETTER DOTLESS QAF
    "\u0670",  # ARABIC LETTER SUPERSCRIPT ALEF
    "\u0671",  # ARABIC LETTER ALEF WASLA
    "\u0672",  # ARABIC LETTER ALEF WITH WAVY HAMZA ABOVE
    "\u0673",  # ARABIC LETTER ALEF WITH WAVY HAMZA BELOW
    "\u0674",  # ARABIC LETTER HIGH HAMZA
    "\u0675",  # ARABIC LETTER HIGH HAMZA ALEF
    "\u0676",  # ARABIC LETTER HIGH HAMZA WAW
    "\u0677",  # ARABIC LETTER U WITH HAMZA ABOVE
    "\u0678",  # ARABIC LETTER HIGH HAMZA YEH
    "\u0679",  # ARABIC LETTER TTEH
    "\u067A",  # ARABIC LETTER TTEHEH
    "\u067B",  # ARABIC LETTER BEEH
    "\u067C",  # ARABIC LETTER TEH WITH RING
    "\u067D",  # ARABIC LETTER TEH WITH THREE DOTS ABOVE DOWNWARDS
    "\u067E",  # ARABIC LETTER PEH
    "\u067F",  # ARABIC LETTER TEHEH
    "\u0680",  # ARABIC LETTER BEHEH
    "\u0681",  # ARABIC LETTER HAH WITH HAMZA ABOVE
    "\u0682",  # ARABIC LETTER HAH WITH TWO DOTS VERTICAL ABOVE
    "\u0683",  # ARABIC LETTER NYEH
    "\u0684",  # ARABIC LETTER DYEH
    "\u0685",  # ARABIC LETTER HAH WITH THREE DOTS ABOVE
    "\u0686",  # ARABIC LETTER TCHEH
    "\u0687",  # ARABIC LETTER TCHEHEH
    "\u0688",  # ARABIC LETTER DDAL
    "\u0689",  # ARABIC LETTER DAL WITH RING
    "\u068A",  # ARABIC LETTER DAL WITH DOT BELOW
    "\u068B",  # ARABIC LETTER DAL WITH DOT BELOW AND SMALL TAH
    "\u068C",  # ARABIC LETTER DAHAL
    "\u068D",  # ARABIC LETTER DDAHAL
    "\u068E",  # ARABIC LETTER DUL
    "\u068F",  # ARABIC LETTER DAL WITH THREE DOTS ABOVE DOWNWARDS
    "\u0690",  # ARABIC LETTER DAL WITH FOUR DOTS ABOVE
    "\u0691",  # ARABIC LETTER RREH
    "\u0692",  # ARABIC LETTER REH WITH SMALL V
    "\u0693",  # ARABIC LETTER REH WITH RING
    "\u0694",  # ARABIC LETTER REH WITH DOT BELOW
    "\u0695",  # ARABIC LETTER REH WITH SMALL V BELOW
    "\u0696",  # ARABIC LETTER REH WITH DOT BELOW AND DOT ABOVE
    "\u0697",  # ARABIC LETTER REH WITH TWO DOTS ABOVE
    "\u0698",  # ARABIC LETTER JEH
    "\u0699",  # ARABIC LETTER REH WITH FOUR DOTS ABOVE
    "\u069A",  # ARABIC LETTER SEEN WITH DOT BELOW AND DOT ABOVE
    "\u069B",  # ARABIC LETTER SEEN WITH THREE DOTS BELOW
    "\u069C",  # ARABIC LETTER SEEN WITH THREE DOTS BELOW AND THREE DOTS ABOVE
    "\u069D",  # ARABIC LETTER SAD WITH TWO DOTS BELOW
    "\u069E",  # ARABIC LETTER SAD WITH THREE DOTS ABOVE
    "\u069F",  # ARABIC LETTER TAH WITH THREE DOTS ABOVE
    "\u06A0",  # ARABIC LETTER AIN WITH THREE DOTS ABOVE
    "\u06A1",  # ARABIC LETTER DOTLESS FEH
    "\u06A2",  # ARABIC LETTER FEH WITH DOT MOVED BELOW
    "\u06A3",  # ARABIC LETTER FEH WITH DOT BELOW
    "\u06A4",  # ARABIC LETTER VEH
    "\u06A5",  # ARABIC LETTER FEH WITH THREE DOTS BELOW
    "\u06A6",  # ARABIC LETTER PEHEH
    "\u06A7",  # ARABIC LETTER QAF WITH DOT ABOVE
    "\u06A8",  # ARABIC LETTER QAF WITH THREE DOTS ABOVE
    "\u06A9",  # ARABIC LETTER KEHEH
    "\u06AA",  # ARABIC LETTER SWASH KAF
    "\u06AB",  # ARABIC LETTER KAF WITH RING
    "\u06AC",  # ARABIC LETTER KAF WITH DOT ABOVE
    "\u06AD",  # ARABIC LETTER NG
    "\u06AE",  # ARABIC LETTER KAF WITH THREE DOTS BELOW
    "\u06AF",  # ARABIC LETTER GAF
    "\u06B0",  # ARABIC LETTER GAF WITH RING
    "\u06B1",  # ARABIC LETTER NGOEH
    "\u06B2",  # ARABIC LETTER GAF WITH TWO DOTS BELOW
    "\u06B3",  # ARABIC LETTER GUEH
    "\u06B4",  # ARABIC LETTER GAF WITH THREE DOTS ABOVE
    "\u06B5",  # ARABIC LETTER LAM WITH SMALL V
    "\u06B6",  # ARABIC LETTER LAM WITH DOT ABOVE
    "\u06B7",  # ARABIC LETTER LAM WITH THREE DOTS ABOVE
    "\u06B8",  # ARABIC LETTER LAM WITH THREE DOTS BELOW
    "\u06B9",  # ARABIC LETTER NOON WITH DOT BELOW
    "\u06BA",  # ARABIC LETTER NOON GHUNNA
    "\u06BB",  # ARABIC LETTER RNOON
    "\u06BC",  # ARABIC LETTER NOON WITH RING
    "\u06BD",  # ARABIC LETTER NOON WITH THREE DOTS ABOVE
    "\u06BE",  # ARABIC LETTER HEH DOACHASHMEE
    "\u06BF",  # ARABIC LETTER TCHEH WITH DOT ABOVE
    "\u06C0",  # ARABIC LETTER HEH WITH YEH ABOVE
    "\u06C1",  # ARABIC LETTER HEH GOAL
    "\u06C2",  # ARABIC LETTER HEH GOAL WITH HAMZA ABOVE
    "\u06C3",  # ARABIC LETTER TEH MARBUTA GOAL
    "\u06C4",  # ARABIC LETTER WAW WITH RING
    "\u06C5",  # ARABIC LETTER KIRGHIZ OE
    "\u06C6",  # ARABIC LETTER OE
    "\u06C7",  # ARABIC LETTER U
    "\u06C8",  # ARABIC LETTER YU
    "\u06C9",  # ARABIC LETTER KIRGHIZ YU
    "\u06CA",  # ARABIC LETTER WAW WITH TWO DOTS ABOVE
    "\u06CB",  # ARABIC LETTER VE
    "\u06CC",  # ARABIC LETTER FARSI YEH
    "\u06CD",  # ARABIC LETTER YEH WITH TAIL
    "\u06CE",  # ARABIC LETTER YEH WITH SMALL V
    "\u06CF",  # ARABIC LETTER WAW WITH DOT ABOVE
    "\u06D0",  # ARABIC LETTER E
    "\u06D1",  # ARABIC LETTER YEH WITH THREE DOTS BELOW
    "\u06D2",  # ARABIC LETTER YEH BARREE
    "\u06D3",  # ARABIC LETTER YEH BARREE WITH HAMZA ABOVE
    "\u06D4",  # ARABIC FULL STOP
    "\u06D5",  # ARABIC LETTER AE
    "\u06D6",  # ARABIC SMALL HIGH LIGATURE SAD WITH LAM WITH ALEF MAKSURA
    "\u06D7",  # ARABIC SMALL HIGH LIGATURE QAF WITH LAM WITH ALEF MAKSURA
    "\u06D8",  # ARABIC SMALL HIGH MEEM INITIAL FORM
    "\u06D9",  # ARABIC SMALL HIGH LAM ALEF
    "\u06DA",  # ARABIC SMALL HIGH JEEM
    "\u06DB",  # ARABIC SMALL HIGH THREE DOTS
    "\u06DC",  # ARABIC SMALL HIGH SEEN
    "\u06DD",  # ARABIC END OF AYAH
    "\u06DE",  # ARABIC START OF RUB EL HIZB
    "\u06DF",  # ARABIC SMALL HIGH ROUNDED ZERO
    "\u06E0",  # ARABIC SMALL HIGH UPRIGHT RECTANGULAR ZERO
    "\u06E1",  # ARABIC SMALL HIGH DOTLESS HEAD OF KHAH
    "\u06E2",  # ARABIC SMALL HIGH MEEM ISOLATED FORM
    "\u06E3",  # ARABIC SMALL LOW SEEN
    "\u06E4",  # ARABIC SMALL HIGH MADDA
    "\u06E5",  # ARABIC SMALL WAW
    "\u06E6",  # ARABIC SMALL YEH
    "\u06E7",  # ARABIC SMALL HIGH YEH
    "\u06E8",  # ARABIC SMALL HIGH NOON
    "\u06E9",  # ARABIC PLACE OF SAJDAH
    "\u06EA",  # ARABIC EMPTY CENTRE LOW STOP
    "\u06EB",  # ARABIC EMPTY CENTRE HIGH STOP
    "\u06EC",  # ARABIC ROUNDED HIGH STOP WITH FILLED CENTRE
    "\u06ED",  # ARABIC SMALL LOW MEEM
    "\u06EE",  # ARABIC LETTER DAL WITH INVERTED V
    "\u06EF",  # ARABIC LETTER REH WITH INVERTED V
    "\u06F0",  # EXTENDED ARABIC-INDIC DIGIT ZERO
    "\u06F1",  # EXTENDED ARABIC-INDIC DIGIT ONE
    "\u06F2",  # EXTENDED ARABIC-INDIC DIGIT TWO
    "\u06F3",  # EXTENDED ARABIC-INDIC DIGIT THREE
    "\u06F4",  # EXTENDED ARABIC-INDIC DIGIT FOUR
    "\u06F5",  # EXTENDED ARABIC-INDIC DIGIT FIVE
    "\u06F6",  # EXTENDED ARABIC-INDIC DIGIT SIX
    "\u06F7",  # EXTENDED ARABIC-INDIC DIGIT SEVEN
    "\u06F8",  # EXTENDED ARABIC-INDIC DIGIT EIGHT
    "\u06F9",  # EXTENDED ARABIC-INDIC DIGIT NINE
    "\u06FA",  # ARABIC LETTER SHEEN WITH DOT BELOW
    "\u06FB",  # ARABIC LETTER DAD WITH DOT BELOW
    "\u06FC",  # ARABIC LETTER GHAIN WITH DOT BELOW
    "\u06FD",  # ARABIC SIGN SINDHI AMPERSAND
    "\u06FE",  # ARABIC SIGN SINDHI POSTPOSITION MEN
    "\u06FF",  # ARABIC LETTER HEH WITH INVERTED V
    "\u0700",  # SYRIAC END OF PARAGRAPH
    "\u0701",  # SYRIAC SUPRALINEAR FULL STOP
    "\u0702",  # SYRIAC SUBLINEAR FULL STOP
    "\u0703",  # SYRIAC SUPRALINEAR COLON
    "\u0704",  # SYRIAC SUBLINEAR COLON
    "\u0705",  # SYRIAC HORIZONTAL COLON
    "\u0706",  # SYRIAC COLON SKEWED LEFT
    "\u0707",  # SYRIAC COLON SKEWED RIGHT
    "\u0708",  # SYRIAC SUPRALINEAR COLON SKEWED LEFT
    "\u0709",  # SYRIAC SUBLINEAR COLON SKEWED RIGHT
    "\u070A",  # SYRIAC CONTRACTION
    "\u070B",  # SYRIAC HARKLEAN OBELUS
    "\u070C",  # SYRIAC HARKLEAN METOBELUS
    "\u070D",  # SYRIAC HARKLEAN ASTERISCUS
    "\u070F",  # SYRIAC ABBREVIATION MARK
    "\u0710",  # SYRIAC LETTER ALAPH
    "\u0711",  # SYRIAC LETTER SUPERSCRIPT ALAPH
    "\u0712",  # SYRIAC LETTER BETH
    "\u0713",  # SYRIAC LETTER GAMAL
    "\u0714",  # SYRIAC LETTER GAMAL GARSHUNI
    "\u0715",  # SYRIAC LETTER DALATH
    "\u0716",  # SYRIAC LETTER DOTLESS DALATH RISH
    "\u0717",  # SYRIAC LETTER HE
    "\u0718",  # SYRIAC LETTER WAW
    "\u0719",  # SYRIAC LETTER ZAIN
    "\u071A",  # SYRIAC LETTER HETH
    "\u071B",  # SYRIAC LETTER TETH
    "\u071C",  # SYRIAC LETTER TETH GARSHUNI
    "\u071D",  # SYRIAC LETTER YUDH
    "\u071E",  # SYRIAC LETTER YUDH HE
    "\u071F",  # SYRIAC LETTER KAPH
    "\u0720",  # SYRIAC LETTER LAMADH
    "\u0721",  # SYRIAC LETTER MIM
    "\u0722",  # SYRIAC LETTER NUN
    "\u0723",  # SYRIAC LETTER SEMKATH
    "\u0724",  # SYRIAC LETTER FINAL SEMKATH
    "\u0725",  # SYRIAC LETTER E
    "\u0726",  # SYRIAC LETTER PE
    "\u0727",  # SYRIAC LETTER REVERSED PE
    "\u0728",  # SYRIAC LETTER SADHE
    "\u0729",  # SYRIAC LETTER QAPH
    "\u072A",  # SYRIAC LETTER RISH
    "\u072B",  # SYRIAC LETTER SHIN
    "\u072C",  # SYRIAC LETTER TAW
    "\u072D",  # SYRIAC LETTER PERSIAN BHETH
    "\u072E",  # SYRIAC LETTER PERSIAN GHAMAL
    "\u072F",  # SYRIAC LETTER PERSIAN DHALATH
    "\u0730",  # SYRIAC PTHAHA ABOVE
    "\u0731",  # SYRIAC PTHAHA BELOW
    "\u0732",  # SYRIAC PTHAHA DOTTED
    "\u0733",  # SYRIAC ZQAPHA ABOVE
    "\u0734",  # SYRIAC ZQAPHA BELOW
    "\u0735",  # SYRIAC ZQAPHA DOTTED
    "\u0736",  # SYRIAC RBASA ABOVE
    "\u0737",  # SYRIAC RBASA BELOW
    "\u0738",  # SYRIAC DOTTED ZLAMA HORIZONTAL
    "\u0739",  # SYRIAC DOTTED ZLAMA ANGULAR
    "\u073A",  # SYRIAC HBASA ABOVE
    "\u073B",  # SYRIAC HBASA BELOW
    "\u073C",  # SYRIAC HBASA-ESASA DOTTED
    "\u073D",  # SYRIAC ESASA ABOVE
    "\u073E",  # SYRIAC ESASA BELOW
    "\u073F",  # SYRIAC RWAHA
    "\u0740",  # SYRIAC FEMININE DOT
    "\u0741",  # SYRIAC QUSHSHAYA
    "\u0742",  # SYRIAC RUKKAKHA
    "\u0743",  # SYRIAC TWO VERTICAL DOTS ABOVE
    "\u0744",  # SYRIAC TWO VERTICAL DOTS BELOW
    "\u0745",  # SYRIAC THREE DOTS ABOVE
    "\u0746",  # SYRIAC THREE DOTS BELOW
    "\u0747",  # SYRIAC OBLIQUE LINE ABOVE
    "\u0748",  # SYRIAC OBLIQUE LINE BELOW
    "\u0749",  # SYRIAC MUSIC
    "\u074A",  # SYRIAC BARREKH
    "\u074D",  # SYRIAC LETTER SOGDIAN ZHAIN
    "\u074E",  # SYRIAC LETTER SOGDIAN KHAPH
    "\u074F",  # SYRIAC LETTER SOGDIAN FE
    "\u0750",  # ARABIC LETTER BEH WITH THREE DOTS HORIZONTALLY BELOW
    "\u0751",  # ARABIC LETTER BEH WITH DOT BELOW AND THREE DOTS ABOVE
    "\u0752",  # ARABIC LETTER BEH WITH THREE DOTS POINTING UPWARDS BELOW
    "\u0753",  # ARABIC LETTER BEH WITH THREE DOTS POINTING UPWARDS BELOW AND TWO DOTS ABOVE
    "\u0754",  # ARABIC LETTER BEH WITH TWO DOTS BELOW AND DOT ABOVE
    "\u0755",  # ARABIC LETTER BEH WITH INVERTED SMALL V BELOW
    "\u0756",  # ARABIC LETTER BEH WITH SMALL V
    "\u0757",  # ARABIC LETTER HAH WITH TWO DOTS ABOVE
    "\u0758",  # ARABIC LETTER HAH WITH THREE DOTS POINTING UPWARDS BELOW
    "\u0759",  # ARABIC LETTER DAL WITH TWO DOTS VERTICALLY BELOW AND SMALL TAH
    "\u075A",  # ARABIC LETTER DAL WITH INVERTED SMALL V BELOW
    "\u075B",  # ARABIC LETTER REH WITH STROKE
    "\u075C",  # ARABIC LETTER SEEN WITH FOUR DOTS ABOVE
    "\u075D",  # ARABIC LETTER AIN WITH TWO DOTS ABOVE
    "\u075E",  # ARABIC LETTER AIN WITH THREE DOTS POINTING DOWNWARDS ABOVE
    "\u075F",  # ARABIC LETTER AIN WITH TWO DOTS VERTICALLY ABOVE
    "\u0760",  # ARABIC LETTER FEH WITH TWO DOTS BELOW
    "\u0761",  # ARABIC LETTER FEH WITH THREE DOTS POINTING UPWARDS BELOW
    "\u0762",  # ARABIC LETTER KEHEH WITH DOT ABOVE
    "\u0763",  # ARABIC LETTER KEHEH WITH THREE DOTS ABOVE
    "\u0764",  # ARABIC LETTER KEHEH WITH THREE DOTS POINTING UPWARDS BELOW
    "\u0765",  # ARABIC LETTER MEEM WITH DOT ABOVE
    "\u0766",  # ARABIC LETTER MEEM WITH DOT BELOW
    "\u0767",  # ARABIC LETTER NOON WITH TWO DOTS BELOW
    "\u0768",  # ARABIC LETTER NOON WITH SMALL TAH
    "\u0769",  # ARABIC LETTER NOON WITH SMALL V
    "\u076A",  # ARABIC LETTER LAM WITH BAR
    "\u076B",  # ARABIC LETTER REH WITH TWO DOTS VERTICALLY ABOVE
    "\u076C",  # ARABIC LETTER REH WITH HAMZA ABOVE
    "\u076D",  # ARABIC LETTER SEEN WITH TWO DOTS VERTICALLY ABOVE
    "\u076E",  # ARABIC LETTER HAH WITH SMALL ARABIC LETTER TAH BELOW
    "\u076F",  # ARABIC LETTER HAH WITH SMALL ARABIC LETTER TAH AND TWO DOTS
    "\u0770",  # ARABIC LETTER SEEN WITH SMALL ARABIC LETTER TAH AND TWO DOTS
    "\u0771",  # ARABIC LETTER REH WITH SMALL ARABIC LETTER TAH AND TWO DOTS
    "\u0772",  # ARABIC LETTER HAH WITH SMALL ARABIC LETTER TAH ABOVE
    "\u0773",  # ARABIC LETTER ALEF WITH EXTENDED ARABIC-INDIC DIGIT TWO ABOVE
    "\u0774",  # ARABIC LETTER ALEF WITH EXTENDED ARABIC-INDIC DIGIT THREE ABOVE
    "\u0775",  # ARABIC LETTER FARSI YEH WITH EXTENDED ARABIC-INDIC DIGIT TWO ABOVE
    "\u0776",  # ARABIC LETTER FARSI YEH WITH EXTENDED ARABIC-INDIC DIGIT THREE ABOVE
    "\u0777",  # ARABIC LETTER FARSI YEH WITH EXTENDED ARABIC-INDIC DIGIT FOUR BELOW
    "\u0778",  # ARABIC LETTER WAW WITH EXTENDED ARABIC-INDIC DIGIT TWO ABOVE
    "\u0779",  # ARABIC LETTER WAW WITH EXTENDED ARABIC-INDIC DIGIT THREE ABOVE
    "\u077A",  # ARABIC LETTER YEH BARREE WITH EXTENDED ARABIC-INDIC DIGIT TWO ABOVE
    "\u077B",  # ARABIC LETTER YEH BARREE WITH EXTENDED ARABIC-INDIC DIGIT THREE ABOVE
    "\u077C",  # ARABIC LETTER HAH WITH EXTENDED ARABIC-INDIC DIGIT FOUR BELOW
    "\u077D",  # ARABIC LETTER SEEN WITH EXTENDED ARABIC-INDIC DIGIT FOUR ABOVE
    "\u077E",  # ARABIC LETTER SEEN WITH INVERTED V
    "\u077F",  # ARABIC LETTER KAF WITH TWO DOTS ABOVE
    "\u0780",  # THAANA LETTER HAA
    "\u0781",  # THAANA LETTER SHAVIYANI
    "\u0782",  # THAANA LETTER NOONU
    "\u0783",  # THAANA LETTER RAA
    "\u0784",  # THAANA LETTER BAA
    "\u0785",  # THAANA LETTER LHAVIYANI
    "\u0786",  # THAANA LETTER KAAFU
    "\u0787",  # THAANA LETTER ALIFU
    "\u0788",  # THAANA LETTER VAAVU
    "\u0789",  # THAANA LETTER MEEMU
    "\u078A",  # THAANA LETTER FAAFU
    "\u078B",  # THAANA LETTER DHAALU
    "\u078C",  # THAANA LETTER THAA
    "\u078D",  # THAANA LETTER LAAMU
    "\u078E",  # THAANA LETTER GAAFU
    "\u078F",  # THAANA LETTER GNAVIYANI
    "\u0790",  # THAANA LETTER SEENU
    "\u0791",  # THAANA LETTER DAVIYANI
    "\u0792",  # THAANA LETTER ZAVIYANI
    "\u0793",  # THAANA LETTER TAVIYANI
    "\u0794",  # THAANA LETTER YAA
    "\u0795",  # THAANA LETTER PAVIYANI
    "\u0796",  # THAANA LETTER JAVIYANI
    "\u0797",  # THAANA LETTER CHAVIYANI
    "\u0798",  # THAANA LETTER TTAA
    "\u0799",  # THAANA LETTER HHAA
    "\u079A",  # THAANA LETTER KHAA
    "\u079B",  # THAANA LETTER THAALU
    "\u079C",  # THAANA LETTER ZAA
    "\u079D",  # THAANA LETTER SHEENU
    "\u079E",  # THAANA LETTER SAADHU
    "\u079F",  # THAANA LETTER DAADHU
    "\u07A0",  # THAANA LETTER TO
    "\u07A1",  # THAANA LETTER ZO
    "\u07A2",  # THAANA LETTER AINU
    "\u07A3",  # THAANA LETTER GHAINU
    "\u07A4",  # THAANA LETTER QAAFU
    "\u07A5",  # THAANA LETTER WAAVU
    "\u07A6",  # THAANA ABAFILI
    "\u07A7",  # THAANA AABAAFILI
    "\u07A8",  # THAANA IBIFILI
    "\u07A9",  # THAANA EEBEEFILI
    "\u07AA",  # THAANA UBUFILI
    "\u07AB",  # THAANA OOBOOFILI
    "\u07AC",  # THAANA EBEFILI
    "\u07AD",  # THAANA EYBEYFILI
    "\u07AE",  # THAANA OBOFILI
    "\u07AF",  # THAANA OABOAFILI
    "\u07B0",  # THAANA SUKUN
    "\u07B1",  # THAANA LETTER NAA
    "\u07C0",  # NKO DIGIT ZERO
    "\u07C1",  # NKO DIGIT ONE
    "\u07C2",  # NKO DIGIT TWO
    "\u07C3",  # NKO DIGIT THREE
    "\u07C4",  # NKO DIGIT FOUR
    "\u07C5",  # NKO DIGIT FIVE
    "\u07C6",  # NKO DIGIT SIX
    "\u07C7",  # NKO DIGIT SEVEN
    "\u07C8",  # NKO DIGIT EIGHT
    "\u07C9",  # NKO DIGIT NINE
    "\u07CA",  # NKO LETTER A
    "\u07CB",  # NKO LETTER EE
    "\u07CC",  # NKO LETTER I
    "\u07CD",  # NKO LETTER E
    "\u07CE",  # NKO LETTER U
    "\u07CF",  # NKO LETTER OO
    "\u07D0",  # NKO LETTER O
    "\u07D1",  # NKO LETTER DAGBASINNA
    "\u07D2",  # NKO LETTER N
    "\u07D3",  # NKO LETTER BA
    "\u07D4",  # NKO LETTER PA
    "\u07D5",  # NKO LETTER TA
    "\u07D6",  # NKO LETTER JA
    "\u07D7",  # NKO LETTER CHA
    "\u07D8",  # NKO LETTER DA
    "\u07D9",  # NKO LETTER RA
    "\u07DA",  # NKO LETTER RRA
    "\u07DB",  # NKO LETTER SA
    "\u07DC",  # NKO LETTER GBA
    "\u07DD",  # NKO LETTER FA
    "\u07DE",  # NKO LETTER KA
    "\u07DF",  # NKO LETTER LA
    "\u07E0",  # NKO LETTER NA WOLOSO
    "\u07E1",  # NKO LETTER MA
    "\u07E2",  # NKO LETTER NYA
    "\u07E3",  # NKO LETTER NA
    "\u07E4",  # NKO LETTER HA
    "\u07E5",  # NKO LETTER WA
    "\u07E6",  # NKO LETTER YA
    "\u07E7",  # NKO LETTER NYA WOLOSO
    "\u07E8",  # NKO LETTER JONA JA
    "\u07E9",  # NKO LETTER JONA CHA
    "\u07EA",  # NKO LETTER JONA RA
    "\u07EB",  # NKO COMBINING SHORT HIGH TONE
    "\u07EC",  # NKO COMBINING SHORT LOW TONE
    "\u07ED",  # NKO COMBINING SHORT RISING TONE
    "\u07EE",  # NKO COMBINING LONG DESCENDING TONE
    "\u07EF",  # NKO COMBINING LONG HIGH TONE
    "\u07F0",  # NKO COMBINING LONG LOW TONE
    "\u07F1",  # NKO COMBINING LONG RISING TONE
    "\u07F2",  # NKO COMBINING NASALIZATION MARK
    "\u07F3",  # NKO COMBINING DOUBLE DOT ABOVE
    "\u07F4",  # NKO HIGH TONE APOSTROPHE
    "\u07F5",  # NKO LOW TONE APOSTROPHE
    "\u07F6",  # NKO SYMBOL OO DENNEN
    "\u07F7",  # NKO SYMBOL GBAKURUNEN
    "\u07F8",  # NKO COMMA
    "\u07F9",  # NKO EXCLAMATION MARK
    "\u07FA",  # NKO LAJANYALAN
    "\u0800",  # SAMARITAN LETTER ALAF
    "\u0801",  # SAMARITAN LETTER BIT
    "\u0802",  # SAMARITAN LETTER GAMAN
    "\u0803",  # SAMARITAN LETTER DALAT
    "\u0804",  # SAMARITAN LETTER IY
    "\u0805",  # SAMARITAN LETTER BAA
    "\u0806",  # SAMARITAN LETTER ZEN
    "\u0807",  # SAMARITAN LETTER IT
    "\u0808",  # SAMARITAN LETTER TIT
    "\u0809",  # SAMARITAN LETTER YUT
    "\u080A",  # SAMARITAN LETTER KAAF
    "\u080B",  # SAMARITAN LETTER LABAT
    "\u080C",  # SAMARITAN LETTER MIM
    "\u080D",  # SAMARITAN LETTER NUN
    "\u080E",  # SAMARITAN LETTER SINGAAT
    "\u080F",  # SAMARITAN LETTER IN
    "\u0810",  # SAMARITAN LETTER FI
    "\u0811",  # SAMARITAN LETTER TSAADIY
    "\u0812",  # SAMARITAN LETTER QUF
    "\u0813",  # SAMARITAN LETTER RISH
    "\u0814",  # SAMARITAN LETTER SHAN
    "\u0815",  # SAMARITAN LETTER TAAF
    "\u0816",  # SAMARITAN MARK IN
    "\u0817",  # SAMARITAN MARK IN-ALAF
    "\u0818",  # SAMARITAN MARK OCCLUSION
    "\u0819",  # SAMARITAN MARK DAGESH
    "\u081A",  # SAMARITAN MODIFIER LETTER EPENTHETIC YUT
    "\u081B",  # SAMARITAN MARK EPENTHETIC YUT
    "\u081C",  # SAMARITAN VOWEL SIGN LONG E
    "\u081D",  # SAMARITAN VOWEL SIGN E
    "\u081E",  # SAMARITAN VOWEL SIGN OVERLONG AA
    "\u081F",  # SAMARITAN VOWEL SIGN LONG AA
    "\u0820",  # SAMARITAN VOWEL SIGN AA
    "\u0821",  # SAMARITAN VOWEL SIGN OVERLONG A
    "\u0822",  # SAMARITAN VOWEL SIGN LONG A
    "\u0823",  # SAMARITAN VOWEL SIGN A
    "\u0824",  # SAMARITAN MODIFIER LETTER SHORT A
    "\u0825",  # SAMARITAN VOWEL SIGN SHORT A
    "\u0826",  # SAMARITAN VOWEL SIGN LONG U
    "\u0827",  # SAMARITAN VOWEL SIGN U
    "\u0828",  # SAMARITAN MODIFIER LETTER I
    "\u0829",  # SAMARITAN VOWEL SIGN LONG I
    "\u082A",  # SAMARITAN VOWEL SIGN I
    "\u082B",  # SAMARITAN VOWEL SIGN O
    "\u082C",  # SAMARITAN VOWEL SIGN SUKUN
    "\u082D",  # SAMARITAN MARK NEQUDAA
    "\u0830",  # SAMARITAN PUNCTUATION NEQUDAA
    "\u0831",  # SAMARITAN PUNCTUATION AFSAAQ
    "\u0832",  # SAMARITAN PUNCTUATION ANGED
    "\u0833",  # SAMARITAN PUNCTUATION BAU
    "\u0834",  # SAMARITAN PUNCTUATION ATMAAU
    "\u0835",  # SAMARITAN PUNCTUATION SHIYYAALAA
    "\u0836",  # SAMARITAN ABBREVIATION MARK
    "\u0837",  # SAMARITAN PUNCTUATION MELODIC QITSA
    "\u0838",  # SAMARITAN PUNCTUATION ZIQAA
    "\u0839",  # SAMARITAN PUNCTUATION QITSA
    "\u083A",  # SAMARITAN PUNCTUATION ZAEF
    "\u083B",  # SAMARITAN PUNCTUATION TURU
    "\u083C",  # SAMARITAN PUNCTUATION ARKAANU
    "\u083D",  # SAMARITAN PUNCTUATION SOF MASHFAAT
    "\u083E",  # SAMARITAN PUNCTUATION ANNAAU
    "\u0840",  # MANDAIC LETTER HALQA
    "\u0841",  # MANDAIC LETTER AB
    "\u0842",  # MANDAIC LETTER AG
    "\u0843",  # MANDAIC LETTER AD
    "\u0844",  # MANDAIC LETTER AH
    "\u0845",  # MANDAIC LETTER USHENNA
    "\u0846",  # MANDAIC LETTER AZ
    "\u0847",  # MANDAIC LETTER IT
    "\u0848",  # MANDAIC LETTER ATT
    "\u0849",  # MANDAIC LETTER AKSA
    "\u084A",  # MANDAIC LETTER AK
    "\u084B",  # MANDAIC LETTER AL
    "\u084C",  # MANDAIC LETTER AM
    "\u084D",  # MANDAIC LETTER AN
    "\u084E",  # MANDAIC LETTER AS
    "\u084F",  # MANDAIC LETTER IN
    "\u0850",  # MANDAIC LETTER AP
    "\u0851",  # MANDAIC LETTER ASZ
    "\u0852",  # MANDAIC LETTER AQ
    "\u0853",  # MANDAIC LETTER AR
    "\u0854",  # MANDAIC LETTER ASH
    "\u0855",  # MANDAIC LETTER AT
    "\u0856",  # MANDAIC LETTER DUSHENNA
    "\u0857",  # MANDAIC LETTER KAD
    "\u0858",  # MANDAIC LETTER AIN
    "\u0859",  # MANDAIC AFFRICATION MARK
    "\u085A",  # MANDAIC VOCALIZATION MARK
    "\u085B",  # MANDAIC GEMINATION MARK
    "\u085E",  # MANDAIC PUNCTUATION
    "\u0860",  # SYRIAC LETTER MALAYALAM NGA
    "\u0861",  # SYRIAC LETTER MALAYALAM JA
    "\u0862",  # SYRIAC LETTER MALAYALAM NYA
    "\u0863",  # SYRIAC LETTER MALAYALAM TTA
    "\u0864",  # SYRIAC LETTER MALAYALAM NNA
    "\u0865",  # SYRIAC LETTER MALAYALAM NNNA
    "\u0866",  # SYRIAC LETTER MALAYALAM BHA
    "\u0867",  # SYRIAC LETTER MALAYALAM RA
    "\u0868",  # SYRIAC LETTER MALAYALAM LLA
    "\u0869",  # SYRIAC LETTER MALAYALAM LLLA
    "\u086A",  # SYRIAC LETTER MALAYALAM SSA
    "\u08A0",  # ARABIC LETTER BEH WITH SMALL V BELOW
    "\u08A1",  # ARABIC LETTER BEH WITH HAMZA ABOVE
    "\u08A2",  # ARABIC LETTER JEEM WITH TWO DOTS ABOVE
    "\u08A3",  # ARABIC LETTER TAH WITH TWO DOTS ABOVE
    "\u08A4",  # ARABIC LETTER FEH WITH DOT BELOW AND THREE DOTS ABOVE
    "\u08A5",  # ARABIC LETTER QAF WITH DOT BELOW
    "\u08A6",  # ARABIC LETTER LAM WITH DOUBLE BAR
    "\u08A7",  # ARABIC LETTER MEEM WITH THREE DOTS ABOVE
    "\u08A8",  # ARABIC LETTER YEH WITH TWO DOTS BELOW AND HAMZA ABOVE
    "\u08A9",  # ARABIC LETTER YEH WITH TWO DOTS BELOW AND DOT ABOVE
    "\u08AA",  # ARABIC LETTER REH WITH LOOP
    "\u08AB",  # ARABIC LETTER WAW WITH DOT WITHIN
    "\u08AC",  # ARABIC LETTER ROHINGYA YEH
    "\u08AD",  # ARABIC LETTER LOW ALEF
    "\u08AE",  # ARABIC LETTER DAL WITH THREE DOTS BELOW
    "\u08AF",  # ARABIC LETTER SAD WITH THREE DOTS BELOW
    "\u08B0",  # ARABIC LETTER GAF WITH INVERTED STROKE
    "\u08B1",  # ARABIC LETTER STRAIGHT WAW
    "\u08B2",  # ARABIC LETTER ZAIN WITH INVERTED V ABOVE
    "\u08B3",  # ARABIC LETTER AIN WITH THREE DOTS BELOW
    "\u08B4",  # ARABIC LETTER KAF WITH DOT BELOW
    "\u08B6",  # ARABIC LETTER BEH WITH SMALL MEEM ABOVE
    "\u08B7",  # ARABIC LETTER PEH WITH SMALL MEEM ABOVE
    "\u08B8",  # ARABIC LETTER TEH WITH SMALL TEH ABOVE
    "\u08B9",  # ARABIC LETTER REH WITH SMALL NOON ABOVE
    "\u08BA",  # ARABIC LETTER YEH WITH TWO DOTS BELOW AND SMALL NOON ABOVE
    "\u08BB",  # ARABIC LETTER AFRICAN FEH
    "\u08BC",  # ARABIC LETTER AFRICAN QAF
    "\u08BD",  # ARABIC LETTER AFRICAN NOON
    "\u08D4",  # ARABIC SMALL HIGH WORD AR-RUB
    "\u08D5",  # ARABIC SMALL HIGH SAD
    "\u08D6",  # ARABIC SMALL HIGH AIN
    "\u08D7",  # ARABIC SMALL HIGH QAF
    "\u08D8",  # ARABIC SMALL HIGH NOON WITH KASRA
    "\u08D9",  # ARABIC SMALL LOW NOON WITH KASRA
    "\u08DA",  # ARABIC SMALL HIGH WORD ATH-THALATHA
    "\u08DB",  # ARABIC SMALL HIGH WORD AS-SAJDA
    "\u08DC",  # ARABIC SMALL HIGH WORD AN-NISF
    "\u08DD",  # ARABIC SMALL HIGH WORD SAKTA
    "\u08DE",  # ARABIC SMALL HIGH WORD QIF
    "\u08DF",  # ARABIC SMALL HIGH WORD WAQFA
    "\u08E0",  # ARABIC SMALL HIGH FOOTNOTE MARKER
    "\u08E1",  # ARABIC SMALL HIGH SIGN SAFHA
    "\u08E2",  # ARABIC DISPUTED END OF AYAH
    "\u08E3",  # ARABIC TURNED DAMMA BELOW
    "\u08E4",  # ARABIC CURLY FATHA
    "\u08E5",  # ARABIC CURLY DAMMA
    "\u08E6",  # ARABIC CURLY KASRA
    "\u08E7",  # ARABIC CURLY FATHATAN
    "\u08E8",  # ARABIC CURLY DAMMATAN
    "\u08E9",  # ARABIC CURLY KASRATAN
    "\u08EA",  # ARABIC TONE ONE DOT ABOVE
    "\u08EB",  # ARABIC TONE TWO DOTS ABOVE
    "\u08EC",  # ARABIC TONE LOOP ABOVE
    "\u08ED",  # ARABIC TONE ONE DOT BELOW
    "\u08EE",  # ARABIC TONE TWO DOTS BELOW
    "\u08EF",  # ARABIC TONE LOOP BELOW
    "\u08F0",  # ARABIC OPEN FATHATAN
    "\u08F1",  # ARABIC OPEN DAMMATAN
    "\u08F2",  # ARABIC OPEN KASRATAN
    "\u08F3",  # ARABIC SMALL HIGH WAW
    "\u08F4",  # ARABIC FATHA WITH RING
    "\u08F5",  # ARABIC FATHA WITH DOT ABOVE
    "\u08F6",  # ARABIC KASRA WITH DOT BELOW
    "\u08F7",  # ARABIC LEFT ARROWHEAD ABOVE
    "\u08F8",  # ARABIC RIGHT ARROWHEAD ABOVE
    "\u08F9",  # ARABIC LEFT ARROWHEAD BELOW
    "\u08FA",  # ARABIC RIGHT ARROWHEAD BELOW
    "\u08FB",  # ARABIC DOUBLE RIGHT ARROWHEAD ABOVE
    "\u08FC",  # ARABIC DOUBLE RIGHT ARROWHEAD ABOVE WITH DOT
    "\u08FD",  # ARABIC RIGHT ARROWHEAD ABOVE WITH DOT
    "\u08FE",  # ARABIC DAMMA WITH DOT
    "\u08FF",  # ARABIC MARK SIDEWAYS NOON GHUNNA
    "\u0900",  # DEVANAGARI SIGN INVERTED CANDRABINDU
    "\u0901",  # DEVANAGARI SIGN CANDRABINDU
    "\u0902",  # DEVANAGARI SIGN ANUSVARA
    "\u0903",  # DEVANAGARI SIGN VISARGA
    "\u0904",  # DEVANAGARI LETTER SHORT A
    "\u0905",  # DEVANAGARI LETTER A
    "\u0906",  # DEVANAGARI LETTER AA
    "\u0907",  # DEVANAGARI LETTER I
    "\u0908",  # DEVANAGARI LETTER II
    "\u0909",  # DEVANAGARI LETTER U
    "\u090A",  # DEVANAGARI LETTER UU
    "\u090B",  # DEVANAGARI LETTER VOCALIC R
    "\u090C",  # DEVANAGARI LETTER VOCALIC L
    "\u090D",  # DEVANAGARI LETTER CANDRA E
    "\u090E",  # DEVANAGARI LETTER SHORT E
    "\u090F",  # DEVANAGARI LETTER E
    "\u0910",  # DEVANAGARI LETTER AI
    "\u0911",  # DEVANAGARI LETTER CANDRA O
    "\u0912",  # DEVANAGARI LETTER SHORT O
    "\u0913",  # DEVANAGARI LETTER O
    "\u0914",  # DEVANAGARI LETTER AU
    "\u0915",  # DEVANAGARI LETTER KA
    "\u0916",  # DEVANAGARI LETTER KHA
    "\u0917",  # DEVANAGARI LETTER GA
    "\u0918",  # DEVANAGARI LETTER GHA
    "\u0919",  # DEVANAGARI LETTER NGA
    "\u091A",  # DEVANAGARI LETTER CA
    "\u091B",  # DEVANAGARI LETTER CHA
    "\u091C",  # DEVANAGARI LETTER JA
    "\u091D",  # DEVANAGARI LETTER JHA
    "\u091E",  # DEVANAGARI LETTER NYA
    "\u091F",  # DEVANAGARI LETTER TTA
    "\u0920",  # DEVANAGARI LETTER TTHA
    "\u0921",  # DEVANAGARI LETTER DDA
    "\u0922",  # DEVANAGARI LETTER DDHA
    "\u0923",  # DEVANAGARI LETTER NNA
    "\u0924",  # DEVANAGARI LETTER TA
    "\u0925",  # DEVANAGARI LETTER THA
    "\u0926",  # DEVANAGARI LETTER DA
    "\u0927",  # DEVANAGARI LETTER DHA
    "\u0928",  # DEVANAGARI LETTER NA
    "\u0929",  # DEVANAGARI LETTER NNNA
    "\u092A",  # DEVANAGARI LETTER PA
    "\u092B",  # DEVANAGARI LETTER PHA
    "\u092C",  # DEVANAGARI LETTER BA
    "\u092D",  # DEVANAGARI LETTER BHA
    "\u092E",  # DEVANAGARI LETTER MA
    "\u092F",  # DEVANAGARI LETTER YA
    "\u0930",  # DEVANAGARI LETTER RA
    "\u0931",  # DEVANAGARI LETTER RRA
    "\u0932",  # DEVANAGARI LETTER LA
    "\u0933",  # DEVANAGARI LETTER LLA
    "\u0934",  # DEVANAGARI LETTER LLLA
    "\u0935",  # DEVANAGARI LETTER VA
    "\u0936",  # DEVANAGARI LETTER SHA
    "\u0937",  # DEVANAGARI LETTER SSA
    "\u0938",  # DEVANAGARI LETTER SA
    "\u0939",  # DEVANAGARI LETTER HA
    "\u093A",  # DEVANAGARI VOWEL SIGN OE
    "\u093B",  # DEVANAGARI VOWEL SIGN OOE
    "\u093C",  # DEVANAGARI SIGN NUKTA
    "\u093D",  # DEVANAGARI SIGN AVAGRAHA
    "\u093E",  # DEVANAGARI VOWEL SIGN AA
    "\u093F",  # DEVANAGARI VOWEL SIGN I
    "\u0940",  # DEVANAGARI VOWEL SIGN II
    "\u0941",  # DEVANAGARI VOWEL SIGN U
    "\u0942",  # DEVANAGARI VOWEL SIGN UU
    "\u0943",  # DEVANAGARI VOWEL SIGN VOCALIC R
    "\u0944",  # DEVANAGARI VOWEL SIGN VOCALIC RR
    "\u0945",  # DEVANAGARI VOWEL SIGN CANDRA E
    "\u0946",  # DEVANAGARI VOWEL SIGN SHORT E
    "\u0947",  # DEVANAGARI VOWEL SIGN E
    "\u0948",  # DEVANAGARI VOWEL SIGN AI
    "\u0949",  # DEVANAGARI VOWEL SIGN CANDRA O
    "\u094A",  # DEVANAGARI VOWEL SIGN SHORT O
    "\u094B",  # DEVANAGARI VOWEL SIGN O
    "\u094C",  # DEVANAGARI VOWEL SIGN AU
    "\u094D",  # DEVANAGARI SIGN VIRAMA
    "\u094E",  # DEVANAGARI VOWEL SIGN PRISHTHAMATRA E
    "\u094F",  # DEVANAGARI VOWEL SIGN AW
    "\u0950",  # DEVANAGARI OM
    "\u0951",  # DEVANAGARI STRESS SIGN UDATTA
    "\u0952",  # DEVANAGARI STRESS SIGN ANUDATTA
    "\u0953",  # DEVANAGARI GRAVE ACCENT
    "\u0954",  # DEVANAGARI ACUTE ACCENT
    "\u0955",  # DEVANAGARI VOWEL SIGN CANDRA LONG E
    "\u0956",  # DEVANAGARI VOWEL SIGN UE
    "\u0957",  # DEVANAGARI VOWEL SIGN UUE
    "\u0958",  # DEVANAGARI LETTER QA
    "\u0959",  # DEVANAGARI LETTER KHHA
    "\u095A",  # DEVANAGARI LETTER GHHA
    "\u095B",  # DEVANAGARI LETTER ZA
    "\u095C",  # DEVANAGARI LETTER DDDHA
    "\u095D",  # DEVANAGARI LETTER RHA
    "\u095E",  # DEVANAGARI LETTER FA
    "\u095F",  # DEVANAGARI LETTER YYA
    "\u0960",  # DEVANAGARI LETTER VOCALIC RR
    "\u0961",  # DEVANAGARI LETTER VOCALIC LL
    "\u0962",  # DEVANAGARI VOWEL SIGN VOCALIC L
    "\u0963",  # DEVANAGARI VOWEL SIGN VOCALIC LL
    "\u0964",  # DEVANAGARI DANDA
    "\u0965",  # DEVANAGARI DOUBLE DANDA
    "\u0966",  # DEVANAGARI DIGIT ZERO
    "\u0967",  # DEVANAGARI DIGIT ONE
    "\u0968",  # DEVANAGARI DIGIT TWO
    "\u0969",  # DEVANAGARI DIGIT THREE
    "\u096A",  # DEVANAGARI DIGIT FOUR
    "\u096B",  # DEVANAGARI DIGIT FIVE
    "\u096C",  # DEVANAGARI DIGIT SIX
    "\u096D",  # DEVANAGARI DIGIT SEVEN
    "\u096E",  # DEVANAGARI DIGIT EIGHT
    "\u096F",  # DEVANAGARI DIGIT NINE
    "\u0970",  # DEVANAGARI ABBREVIATION SIGN
    "\u0971",  # DEVANAGARI SIGN HIGH SPACING DOT
    "\u0972",  # DEVANAGARI LETTER CANDRA A
    "\u0973",  # DEVANAGARI LETTER OE
    "\u0974",  # DEVANAGARI LETTER OOE
    "\u0975",  # DEVANAGARI LETTER AW
    "\u0976",  # DEVANAGARI LETTER UE
    "\u0977",  # DEVANAGARI LETTER UUE
    "\u0978",  # DEVANAGARI LETTER MARWARI DDA
    "\u0979",  # DEVANAGARI LETTER ZHA
    "\u097A",  # DEVANAGARI LETTER HEAVY YA
    "\u097B",  # DEVANAGARI LETTER GGA
    "\u097C",  # DEVANAGARI LETTER JJA
    "\u097D",  # DEVANAGARI LETTER GLOTTAL STOP
    "\u097E",  # DEVANAGARI LETTER DDDA
    "\u097F",  # DEVANAGARI LETTER BBA
    "\u0980",  # BENGALI ANJI
    "\u0981",  # BENGALI SIGN CANDRABINDU
    "\u0982",  # BENGALI SIGN ANUSVARA
    "\u0983",  # BENGALI SIGN VISARGA
    "\u0985",  # BENGALI LETTER A
    "\u0986",  # BENGALI LETTER AA
    "\u0987",  # BENGALI LETTER I
    "\u0988",  # BENGALI LETTER II
    "\u0989",  # BENGALI LETTER U
    "\u098A",  # BENGALI LETTER UU
    "\u098B",  # BENGALI LETTER VOCALIC R
    "\u098C",  # BENGALI LETTER VOCALIC L
    "\u098F",  # BENGALI LETTER E
    "\u0990",  # BENGALI LETTER AI
    "\u0993",  # BENGALI LETTER O
    "\u0994",  # BENGALI LETTER AU
    "\u0995",  # BENGALI LETTER KA
    "\u0996",  # BENGALI LETTER KHA
    "\u0997",  # BENGALI LETTER GA
    "\u0998",  # BENGALI LETTER GHA
    "\u0999",  # BENGALI LETTER NGA
    "\u099A",  # BENGALI LETTER CA
    "\u099B",  # BENGALI LETTER CHA
    "\u099C",  # BENGALI LETTER JA
    "\u099D",  # BENGALI LETTER JHA
    "\u099E",  # BENGALI LETTER NYA
    "\u099F",  # BENGALI LETTER TTA
    "\u09A0",  # BENGALI LETTER TTHA
    "\u09A1",  # BENGALI LETTER DDA
    "\u09A2",  # BENGALI LETTER DDHA
    "\u09A3",  # BENGALI LETTER NNA
    "\u09A4",  # BENGALI LETTER TA
    "\u09A5",  # BENGALI LETTER THA
    "\u09A6",  # BENGALI LETTER DA
    "\u09A7",  # BENGALI LETTER DHA
    "\u09A8",  # BENGALI LETTER NA
    "\u09AA",  # BENGALI LETTER PA
    "\u09AB",  # BENGALI LETTER PHA
    "\u09AC",  # BENGALI LETTER BA
    "\u09AD",  # BENGALI LETTER BHA
    "\u09AE",  # BENGALI LETTER MA
    "\u09AF",  # BENGALI LETTER YA
    "\u09B0",  # BENGALI LETTER RA
    "\u09B2",  # BENGALI LETTER LA
    "\u09B6",  # BENGALI LETTER SHA
    "\u09B7",  # BENGALI LETTER SSA
    "\u09B8",  # BENGALI LETTER SA
    "\u09B9",  # BENGALI LETTER HA
    "\u09BC",  # BENGALI SIGN NUKTA
    "\u09BD",  # BENGALI SIGN AVAGRAHA
    "\u09BE",  # BENGALI VOWEL SIGN AA
    "\u09BF",  # BENGALI VOWEL SIGN I
    "\u09C0",  # BENGALI VOWEL SIGN II
    "\u09C1",  # BENGALI VOWEL SIGN U
    "\u09C2",  # BENGALI VOWEL SIGN UU
    "\u09C3",  # BENGALI VOWEL SIGN VOCALIC R
    "\u09C4",  # BENGALI VOWEL SIGN VOCALIC RR
    "\u09C7",  # BENGALI VOWEL SIGN E
    "\u09C8",  # BENGALI VOWEL SIGN AI
    "\u09CB",  # BENGALI VOWEL SIGN O
    "\u09CC",  # BENGALI VOWEL SIGN AU
    "\u09CD",  # BENGALI SIGN VIRAMA
    "\u09CE",  # BENGALI LETTER KHANDA TA
    "\u09D7",  # BENGALI AU LENGTH MARK
    "\u09DC",  # BENGALI LETTER RRA
    "\u09DD",  # BENGALI LETTER RHA
    "\u09DF",  # BENGALI LETTER YYA
    "\u09E0",  # BENGALI LETTER VOCALIC RR
    "\u09E1",  # BENGALI LETTER VOCALIC LL
    "\u09E2",  # BENGALI VOWEL SIGN VOCALIC L
    "\u09E3",  # BENGALI VOWEL SIGN VOCALIC LL
    "\u09E4",  # <reserved>
    "\u09E5",  # <reserved>
    "\u09E6",  # BENGALI DIGIT ZERO
    "\u09E7",  # BENGALI DIGIT ONE
    "\u09E8",  # BENGALI DIGIT TWO
    "\u09E9",  # BENGALI DIGIT THREE
    "\u09EA",  # BENGALI DIGIT FOUR
    "\u09EB",  # BENGALI DIGIT FIVE
    "\u09EC",  # BENGALI DIGIT SIX
    "\u09ED",  # BENGALI DIGIT SEVEN
    "\u09EE",  # BENGALI DIGIT EIGHT
    "\u09EF",  # BENGALI DIGIT NINE
    "\u09F0",  # BENGALI LETTER RA WITH MIDDLE DIAGONAL
    "\u09F1",  # BENGALI LETTER RA WITH LOWER DIAGONAL
    "\u09F2",  # BENGALI RUPEE MARK
    "\u09F3",  # BENGALI RUPEE SIGN
    "\u09F4",  # BENGALI CURRENCY NUMERATOR ONE
    "\u09F5",  # BENGALI CURRENCY NUMERATOR TWO
    "\u09F6",  # BENGALI CURRENCY NUMERATOR THREE
    "\u09F7",  # BENGALI CURRENCY NUMERATOR FOUR
    "\u09F8",  # BENGALI CURRENCY NUMERATOR ONE LESS THAN THE DENOMINATOR
    "\u09F9",  # BENGALI CURRENCY DENOMINATOR SIXTEEN
    "\u09FA",  # BENGALI ISSHAR
    "\u09FB",  # BENGALI GANDA MARK
    "\u09FC",  # BENGALI LETTER VEDIC ANUSVARA
    "\u09FD",  # BENGALI ABBREVIATION SIGN
    "\u0A01",  # GURMUKHI SIGN ADAK BINDI
    "\u0A02",  # GURMUKHI SIGN BINDI
    "\u0A03",  # GURMUKHI SIGN VISARGA
    "\u0A05",  # GURMUKHI LETTER A
    "\u0A06",  # GURMUKHI LETTER AA
    "\u0A07",  # GURMUKHI LETTER I
    "\u0A08",  # GURMUKHI LETTER II
    "\u0A09",  # GURMUKHI LETTER U
    "\u0A0A",  # GURMUKHI LETTER UU
    "\u0A0F",  # GURMUKHI LETTER EE
    "\u0A10",  # GURMUKHI LETTER AI
    "\u0A13",  # GURMUKHI LETTER OO
    "\u0A14",  # GURMUKHI LETTER AU
    "\u0A15",  # GURMUKHI LETTER KA
    "\u0A16",  # GURMUKHI LETTER KHA
    "\u0A17",  # GURMUKHI LETTER GA
    "\u0A18",  # GURMUKHI LETTER GHA
    "\u0A19",  # GURMUKHI LETTER NGA
    "\u0A1A",  # GURMUKHI LETTER CA
    "\u0A1B",  # GURMUKHI LETTER CHA
    "\u0A1C",  # GURMUKHI LETTER JA
    "\u0A1D",  # GURMUKHI LETTER JHA
    "\u0A1E",  # GURMUKHI LETTER NYA
    "\u0A1F",  # GURMUKHI LETTER TTA
    "\u0A20",  # GURMUKHI LETTER TTHA
    "\u0A21",  # GURMUKHI LETTER DDA
    "\u0A22",  # GURMUKHI LETTER DDHA
    "\u0A23",  # GURMUKHI LETTER NNA
    "\u0A24",  # GURMUKHI LETTER TA
    "\u0A25",  # GURMUKHI LETTER THA
    "\u0A26",  # GURMUKHI LETTER DA
    "\u0A27",  # GURMUKHI LETTER DHA
    "\u0A28",  # GURMUKHI LETTER NA
    "\u0A2A",  # GURMUKHI LETTER PA
    "\u0A2B",  # GURMUKHI LETTER PHA
    "\u0A2C",  # GURMUKHI LETTER BA
    "\u0A2D",  # GURMUKHI LETTER BHA
    "\u0A2E",  # GURMUKHI LETTER MA
    "\u0A2F",  # GURMUKHI LETTER YA
    "\u0A30",  # GURMUKHI LETTER RA
    "\u0A32",  # GURMUKHI LETTER LA
    "\u0A33",  # GURMUKHI LETTER LLA
    "\u0A35",  # GURMUKHI LETTER VA
    "\u0A36",  # GURMUKHI LETTER SHA
    "\u0A38",  # GURMUKHI LETTER SA
    "\u0A39",  # GURMUKHI LETTER HA
    "\u0A3C",  # GURMUKHI SIGN NUKTA
    "\u0A3E",  # GURMUKHI VOWEL SIGN AA
    "\u0A3F",  # GURMUKHI VOWEL SIGN I
    "\u0A40",  # GURMUKHI VOWEL SIGN II
    "\u0A41",  # GURMUKHI VOWEL SIGN U
    "\u0A42",  # GURMUKHI VOWEL SIGN UU
    "\u0A47",  # GURMUKHI VOWEL SIGN EE
    "\u0A48",  # GURMUKHI VOWEL SIGN AI
    "\u0A4B",  # GURMUKHI VOWEL SIGN OO
    "\u0A4C",  # GURMUKHI VOWEL SIGN AU
    "\u0A4D",  # GURMUKHI SIGN VIRAMA
    "\u0A51",  # GURMUKHI SIGN UDAAT
    "\u0A59",  # GURMUKHI LETTER KHHA
    "\u0A5A",  # GURMUKHI LETTER GHHA
    "\u0A5B",  # GURMUKHI LETTER ZA
    "\u0A5C",  # GURMUKHI LETTER RRA
    "\u0A5E",  # GURMUKHI LETTER FA
    "\u0A64",  # <reserved>
    "\u0A65",  # <reserved>
    "\u0A66",  # GURMUKHI DIGIT ZERO
    "\u0A67",  # GURMUKHI DIGIT ONE
    "\u0A68",  # GURMUKHI DIGIT TWO
    "\u0A69",  # GURMUKHI DIGIT THREE
    "\u0A6A",  # GURMUKHI DIGIT FOUR
    "\u0A6B",  # GURMUKHI DIGIT FIVE
    "\u0A6C",  # GURMUKHI DIGIT SIX
    "\u0A6D",  # GURMUKHI DIGIT SEVEN
    "\u0A6E",  # GURMUKHI DIGIT EIGHT
    "\u0A6F",  # GURMUKHI DIGIT NINE
    "\u0A70",  # GURMUKHI TIPPI
    "\u0A71",  # GURMUKHI ADDAK
    "\u0A72",  # GURMUKHI IRI
    "\u0A73",  # GURMUKHI URA
    "\u0A74",  # GURMUKHI EK ONKAR
    "\u0A75",  # GURMUKHI SIGN YAKASH
    "\u0A81",  # GUJARATI SIGN CANDRABINDU
    "\u0A82",  # GUJARATI SIGN ANUSVARA
    "\u0A83",  # GUJARATI SIGN VISARGA
    "\u0A85",  # GUJARATI LETTER A
    "\u0A86",  # GUJARATI LETTER AA
    "\u0A87",  # GUJARATI LETTER I
    "\u0A88",  # GUJARATI LETTER II
    "\u0A89",  # GUJARATI LETTER U
    "\u0A8A",  # GUJARATI LETTER UU
    "\u0A8B",  # GUJARATI LETTER VOCALIC R
    "\u0A8C",  # GUJARATI LETTER VOCALIC L
    "\u0A8D",  # GUJARATI VOWEL CANDRA E
    "\u0A8F",  # GUJARATI LETTER E
    "\u0A90",  # GUJARATI LETTER AI
    "\u0A91",  # GUJARATI VOWEL CANDRA O
    "\u0A93",  # GUJARATI LETTER O
    "\u0A94",  # GUJARATI LETTER AU
    "\u0A95",  # GUJARATI LETTER KA
    "\u0A96",  # GUJARATI LETTER KHA
    "\u0A97",  # GUJARATI LETTER GA
    "\u0A98",  # GUJARATI LETTER GHA
    "\u0A99",  # GUJARATI LETTER NGA
    "\u0A9A",  # GUJARATI LETTER CA
    "\u0A9B",  # GUJARATI LETTER CHA
    "\u0A9C",  # GUJARATI LETTER JA
    "\u0A9D",  # GUJARATI LETTER JHA
    "\u0A9E",  # GUJARATI LETTER NYA
    "\u0A9F",  # GUJARATI LETTER TTA
    "\u0AA0",  # GUJARATI LETTER TTHA
    "\u0AA1",  # GUJARATI LETTER DDA
    "\u0AA2",  # GUJARATI LETTER DDHA
    "\u0AA3",  # GUJARATI LETTER NNA
    "\u0AA4",  # GUJARATI LETTER TA
    "\u0AA5",  # GUJARATI LETTER THA
    "\u0AA6",  # GUJARATI LETTER DA
    "\u0AA7",  # GUJARATI LETTER DHA
    "\u0AA8",  # GUJARATI LETTER NA
    "\u0AAA",  # GUJARATI LETTER PA
    "\u0AAB",  # GUJARATI LETTER PHA
    "\u0AAC",  # GUJARATI LETTER BA
    "\u0AAD",  # GUJARATI LETTER BHA
    "\u0AAE",  # GUJARATI LETTER MA
    "\u0AAF",  # GUJARATI LETTER YA
    "\u0AB0",  # GUJARATI LETTER RA
    "\u0AB2",  # GUJARATI LETTER LA
    "\u0AB3",  # GUJARATI LETTER LLA
    "\u0AB5",  # GUJARATI LETTER VA
    "\u0AB6",  # GUJARATI LETTER SHA
    "\u0AB7",  # GUJARATI LETTER SSA
    "\u0AB8",  # GUJARATI LETTER SA
    "\u0AB9",  # GUJARATI LETTER HA
    "\u0ABC",  # GUJARATI SIGN NUKTA
    "\u0ABD",  # GUJARATI SIGN AVAGRAHA
    "\u0ABE",  # GUJARATI VOWEL SIGN AA
    "\u0ABF",  # GUJARATI VOWEL SIGN I
    "\u0AC0",  # GUJARATI VOWEL SIGN II
    "\u0AC1",  # GUJARATI VOWEL SIGN U
    "\u0AC2",  # GUJARATI VOWEL SIGN UU
    "\u0AC3",  # GUJARATI VOWEL SIGN VOCALIC R
    "\u0AC4",  # GUJARATI VOWEL SIGN VOCALIC RR
    "\u0AC5",  # GUJARATI VOWEL SIGN CANDRA E
    "\u0AC7",  # GUJARATI VOWEL SIGN E
    "\u0AC8",  # GUJARATI VOWEL SIGN AI
    "\u0AC9",  # GUJARATI VOWEL SIGN CANDRA O
    "\u0ACB",  # GUJARATI VOWEL SIGN O
    "\u0ACC",  # GUJARATI VOWEL SIGN AU
    "\u0ACD",  # GUJARATI SIGN VIRAMA
    "\u0AD0",  # GUJARATI OM
    "\u0AE0",  # GUJARATI LETTER VOCALIC RR
    "\u0AE1",  # GUJARATI LETTER VOCALIC LL
    "\u0AE2",  # GUJARATI VOWEL SIGN VOCALIC L
    "\u0AE3",  # GUJARATI VOWEL SIGN VOCALIC LL
    "\u0AE4",  # <reserved>
    "\u0AE5",  # <reserved>
    "\u0AE6",  # GUJARATI DIGIT ZERO
    "\u0AE7",  # GUJARATI DIGIT ONE
    "\u0AE8",  # GUJARATI DIGIT TWO
    "\u0AE9",  # GUJARATI DIGIT THREE
    "\u0AEA",  # GUJARATI DIGIT FOUR
    "\u0AEB",  # GUJARATI DIGIT FIVE
    "\u0AEC",  # GUJARATI DIGIT SIX
    "\u0AED",  # GUJARATI DIGIT SEVEN
    "\u0AEE",  # GUJARATI DIGIT EIGHT
    "\u0AEF",  # GUJARATI DIGIT NINE
    "\u0AF0",  # GUJARATI ABBREVIATION SIGN
    "\u0AF1",  # GUJARATI RUPEE SIGN
    "\u0AF9",  # GUJARATI LETTER ZHA
    "\u0AFA",  # GUJARATI SIGN SUKUN
    "\u0AFB",  # GUJARATI SIGN SHADDA
    "\u0AFC",  # GUJARATI SIGN MADDAH
    "\u0AFD",  # GUJARATI SIGN THREE-DOT NUKTA ABOVE
    "\u0AFE",  # GUJARATI SIGN CIRCLE NUKTA ABOVE
    "\u0AFF",  # GUJARATI SIGN TWO-CIRCLE NUKTA ABOVE
    "\u0B01",  # ORIYA SIGN CANDRABINDU
    "\u0B02",  # ORIYA SIGN ANUSVARA
    "\u0B03",  # ORIYA SIGN VISARGA
    "\u0B05",  # ORIYA LETTER A
    "\u0B06",  # ORIYA LETTER AA
    "\u0B07",  # ORIYA LETTER I
    "\u0B08",  # ORIYA LETTER II
    "\u0B09",  # ORIYA LETTER U
    "\u0B0A",  # ORIYA LETTER UU
    "\u0B0B",  # ORIYA LETTER VOCALIC R
    "\u0B0C",  # ORIYA LETTER VOCALIC L
    "\u0B0F",  # ORIYA LETTER E
    "\u0B10",  # ORIYA LETTER AI
    "\u0B13",  # ORIYA LETTER O
    "\u0B14",  # ORIYA LETTER AU
    "\u0B15",  # ORIYA LETTER KA
    "\u0B16",  # ORIYA LETTER KHA
    "\u0B17",  # ORIYA LETTER GA
    "\u0B18",  # ORIYA LETTER GHA
    "\u0B19",  # ORIYA LETTER NGA
    "\u0B1A",  # ORIYA LETTER CA
    "\u0B1B",  # ORIYA LETTER CHA
    "\u0B1C",  # ORIYA LETTER JA
    "\u0B1D",  # ORIYA LETTER JHA
    "\u0B1E",  # ORIYA LETTER NYA
    "\u0B1F",  # ORIYA LETTER TTA
    "\u0B20",  # ORIYA LETTER TTHA
    "\u0B21",  # ORIYA LETTER DDA
    "\u0B22",  # ORIYA LETTER DDHA
    "\u0B23",  # ORIYA LETTER NNA
    "\u0B24",  # ORIYA LETTER TA
    "\u0B25",  # ORIYA LETTER THA
    "\u0B26",  # ORIYA LETTER DA
    "\u0B27",  # ORIYA LETTER DHA
    "\u0B28",  # ORIYA LETTER NA
    "\u0B2A",  # ORIYA LETTER PA
    "\u0B2B",  # ORIYA LETTER PHA
    "\u0B2C",  # ORIYA LETTER BA
    "\u0B2D",  # ORIYA LETTER BHA
    "\u0B2E",  # ORIYA LETTER MA
    "\u0B2F",  # ORIYA LETTER YA
    "\u0B30",  # ORIYA LETTER RA
    "\u0B32",  # ORIYA LETTER LA
    "\u0B33",  # ORIYA LETTER LLA
    "\u0B35",  # ORIYA LETTER VA
    "\u0B36",  # ORIYA LETTER SHA
    "\u0B37",  # ORIYA LETTER SSA
    "\u0B38",  # ORIYA LETTER SA
    "\u0B39",  # ORIYA LETTER HA
    "\u0B3C",  # ORIYA SIGN NUKTA
    "\u0B3D",  # ORIYA SIGN AVAGRAHA
    "\u0B3E",  # ORIYA VOWEL SIGN AA
    "\u0B3F",  # ORIYA VOWEL SIGN I
    "\u0B40",  # ORIYA VOWEL SIGN II
    "\u0B41",  # ORIYA VOWEL SIGN U
    "\u0B42",  # ORIYA VOWEL SIGN UU
    "\u0B43",  # ORIYA VOWEL SIGN VOCALIC R
    "\u0B44",  # ORIYA VOWEL SIGN VOCALIC RR
    "\u0B47",  # ORIYA VOWEL SIGN E
    "\u0B48",  # ORIYA VOWEL SIGN AI
    "\u0B4B",  # ORIYA VOWEL SIGN O
    "\u0B4C",  # ORIYA VOWEL SIGN AU
    "\u0B4D",  # ORIYA SIGN VIRAMA
    "\u0B56",  # ORIYA AI LENGTH MARK
    "\u0B57",  # ORIYA AU LENGTH MARK
    "\u0B5C",  # ORIYA LETTER RRA
    "\u0B5D",  # ORIYA LETTER RHA
    "\u0B5F",  # ORIYA LETTER YYA
    "\u0B60",  # ORIYA LETTER VOCALIC RR
    "\u0B61",  # ORIYA LETTER VOCALIC LL
    "\u0B62",  # ORIYA VOWEL SIGN VOCALIC L
    "\u0B63",  # ORIYA VOWEL SIGN VOCALIC LL
    "\u0B64",  # <reserved>
    "\u0B65",  # <reserved>
    "\u0B66",  # ORIYA DIGIT ZERO
    "\u0B67",  # ORIYA DIGIT ONE
    "\u0B68",  # ORIYA DIGIT TWO
    "\u0B69",  # ORIYA DIGIT THREE
    "\u0B6A",  # ORIYA DIGIT FOUR
    "\u0B6B",  # ORIYA DIGIT FIVE
    "\u0B6C",  # ORIYA DIGIT SIX
    "\u0B6D",  # ORIYA DIGIT SEVEN
    "\u0B6E",  # ORIYA DIGIT EIGHT
    "\u0B6F",  # ORIYA DIGIT NINE
    "\u0B70",  # ORIYA ISSHAR
    "\u0B71",  # ORIYA LETTER WA
    "\u0B72",  # ORIYA FRACTION ONE QUARTER
    "\u0B73",  # ORIYA FRACTION ONE HALF
    "\u0B74",  # ORIYA FRACTION THREE QUARTERS
    "\u0B75",  # ORIYA FRACTION ONE SIXTEENTH
    "\u0B76",  # ORIYA FRACTION ONE EIGHTH
    "\u0B77",  # ORIYA FRACTION THREE SIXTEENTHS
    "\u0B82",  # TAMIL SIGN ANUSVARA
    "\u0B83",  # TAMIL SIGN VISARGA
    "\u0B85",  # TAMIL LETTER A
    "\u0B86",  # TAMIL LETTER AA
    "\u0B87",  # TAMIL LETTER I
    "\u0B88",  # TAMIL LETTER II
    "\u0B89",  # TAMIL LETTER U
    "\u0B8A",  # TAMIL LETTER UU
    "\u0B8E",  # TAMIL LETTER E
    "\u0B8F",  # TAMIL LETTER EE
    "\u0B90",  # TAMIL LETTER AI
    "\u0B92",  # TAMIL LETTER O
    "\u0B93",  # TAMIL LETTER OO
    "\u0B94",  # TAMIL LETTER AU
    "\u0B95",  # TAMIL LETTER KA
    "\u0B99",  # TAMIL LETTER NGA
    "\u0B9A",  # TAMIL LETTER CA
    "\u0B9C",  # TAMIL LETTER JA
    "\u0B9E",  # TAMIL LETTER NYA
    "\u0B9F",  # TAMIL LETTER TTA
    "\u0BA3",  # TAMIL LETTER NNA
    "\u0BA4",  # TAMIL LETTER TA
    "\u0BA8",  # TAMIL LETTER NA
    "\u0BA9",  # TAMIL LETTER NNNA
    "\u0BAA",  # TAMIL LETTER PA
    "\u0BAE",  # TAMIL LETTER MA
    "\u0BAF",  # TAMIL LETTER YA
    "\u0BB0",  # TAMIL LETTER RA
    "\u0BB1",  # TAMIL LETTER RRA
    "\u0BB2",  # TAMIL LETTER LA
    "\u0BB3",  # TAMIL LETTER LLA
    "\u0BB4",  # TAMIL LETTER LLLA
    "\u0BB5",  # TAMIL LETTER VA
    "\u0BB6",  # TAMIL LETTER SHA
    "\u0BB7",  # TAMIL LETTER SSA
    "\u0BB8",  # TAMIL LETTER SA
    "\u0BB9",  # TAMIL LETTER HA
    "\u0BBE",  # TAMIL VOWEL SIGN AA
    "\u0BBF",  # TAMIL VOWEL SIGN I
    "\u0BC0",  # TAMIL VOWEL SIGN II
    "\u0BC1",  # TAMIL VOWEL SIGN U
    "\u0BC2",  # TAMIL VOWEL SIGN UU
    "\u0BC6",  # TAMIL VOWEL SIGN E
    "\u0BC7",  # TAMIL VOWEL SIGN EE
    "\u0BC8",  # TAMIL VOWEL SIGN AI
    "\u0BCA",  # TAMIL VOWEL SIGN O
    "\u0BCB",  # TAMIL VOWEL SIGN OO
    "\u0BCC",  # TAMIL VOWEL SIGN AU
    "\u0BCD",  # TAMIL SIGN VIRAMA
    "\u0BD0",  # TAMIL OM
    "\u0BD7",  # TAMIL AU LENGTH MARK
    "\u0BE4",  # <reserved>
    "\u0BE5",  # <reserved>
    "\u0BE6",  # TAMIL DIGIT ZERO
    "\u0BE7",  # TAMIL DIGIT ONE
    "\u0BE8",  # TAMIL DIGIT TWO
    "\u0BE9",  # TAMIL DIGIT THREE
    "\u0BEA",  # TAMIL DIGIT FOUR
    "\u0BEB",  # TAMIL DIGIT FIVE
    "\u0BEC",  # TAMIL DIGIT SIX
    "\u0BED",  # TAMIL DIGIT SEVEN
    "\u0BEE",  # TAMIL DIGIT EIGHT
    "\u0BEF",  # TAMIL DIGIT NINE
    "\u0BF0",  # TAMIL NUMBER TEN
    "\u0BF1",  # TAMIL NUMBER ONE HUNDRED
    "\u0BF2",  # TAMIL NUMBER ONE THOUSAND
    "\u0BF3",  # TAMIL DAY SIGN
    "\u0BF4",  # TAMIL MONTH SIGN
    "\u0BF5",  # TAMIL YEAR SIGN
    "\u0BF6",  # TAMIL DEBIT SIGN
    "\u0BF7",  # TAMIL CREDIT SIGN
    "\u0BF8",  # TAMIL AS ABOVE SIGN
    "\u0BF9",  # TAMIL RUPEE SIGN
    "\u0BFA",  # TAMIL NUMBER SIGN
    "\u0C00",  # TELUGU SIGN COMBINING CANDRABINDU ABOVE
    "\u0C01",  # TELUGU SIGN CANDRABINDU
    "\u0C02",  # TELUGU SIGN ANUSVARA
    "\u0C03",  # TELUGU SIGN VISARGA
    "\u0C05",  # TELUGU LETTER A
    "\u0C06",  # TELUGU LETTER AA
    "\u0C07",  # TELUGU LETTER I
    "\u0C08",  # TELUGU LETTER II
    "\u0C09",  # TELUGU LETTER U
    "\u0C0A",  # TELUGU LETTER UU
    "\u0C0B",  # TELUGU LETTER VOCALIC R
    "\u0C0C",  # TELUGU LETTER VOCALIC L
    "\u0C0E",  # TELUGU LETTER E
    "\u0C0F",  # TELUGU LETTER EE
    "\u0C10",  # TELUGU LETTER AI
    "\u0C12",  # TELUGU LETTER O
    "\u0C13",  # TELUGU LETTER OO
    "\u0C14",  # TELUGU LETTER AU
    "\u0C15",  # TELUGU LETTER KA
    "\u0C16",  # TELUGU LETTER KHA
    "\u0C17",  # TELUGU LETTER GA
    "\u0C18",  # TELUGU LETTER GHA
    "\u0C19",  # TELUGU LETTER NGA
    "\u0C1A",  # TELUGU LETTER CA
    "\u0C1B",  # TELUGU LETTER CHA
    "\u0C1C",  # TELUGU LETTER JA
    "\u0C1D",  # TELUGU LETTER JHA
    "\u0C1E",  # TELUGU LETTER NYA
    "\u0C1F",  # TELUGU LETTER TTA
    "\u0C20",  # TELUGU LETTER TTHA
    "\u0C21",  # TELUGU LETTER DDA
    "\u0C22",  # TELUGU LETTER DDHA
    "\u0C23",  # TELUGU LETTER NNA
    "\u0C24",  # TELUGU LETTER TA
    "\u0C25",  # TELUGU LETTER THA
    "\u0C26",  # TELUGU LETTER DA
    "\u0C27",  # TELUGU LETTER DHA
    "\u0C28",  # TELUGU LETTER NA
    "\u0C2A",  # TELUGU LETTER PA
    "\u0C2B",  # TELUGU LETTER PHA
    "\u0C2C",  # TELUGU LETTER BA
    "\u0C2D",  # TELUGU LETTER BHA
    "\u0C2E",  # TELUGU LETTER MA
    "\u0C2F",  # TELUGU LETTER YA
    "\u0C30",  # TELUGU LETTER RA
    "\u0C31",  # TELUGU LETTER RRA
    "\u0C32",  # TELUGU LETTER LA
    "\u0C33",  # TELUGU LETTER LLA
    "\u0C34",  # TELUGU LETTER LLLA
    "\u0C35",  # TELUGU LETTER VA
    "\u0C36",  # TELUGU LETTER SHA
    "\u0C37",  # TELUGU LETTER SSA
    "\u0C38",  # TELUGU LETTER SA
    "\u0C39",  # TELUGU LETTER HA
    "\u0C3D",  # TELUGU SIGN AVAGRAHA
    "\u0C3E",  # TELUGU VOWEL SIGN AA
    "\u0C3F",  # TELUGU VOWEL SIGN I
    "\u0C40",  # TELUGU VOWEL SIGN II
    "\u0C41",  # TELUGU VOWEL SIGN U
    "\u0C42",  # TELUGU VOWEL SIGN UU
    "\u0C43",  # TELUGU VOWEL SIGN VOCALIC R
    "\u0C44",  # TELUGU VOWEL SIGN VOCALIC RR
    "\u0C46",  # TELUGU VOWEL SIGN E
    "\u0C47",  # TELUGU VOWEL SIGN EE
    "\u0C48",  # TELUGU VOWEL SIGN AI
    "\u0C4A",  # TELUGU VOWEL SIGN O
    "\u0C4B",  # TELUGU VOWEL SIGN OO
    "\u0C4C",  # TELUGU VOWEL SIGN AU
    "\u0C4D",  # TELUGU SIGN VIRAMA
    "\u0C55",  # TELUGU LENGTH MARK
    "\u0C56",  # TELUGU AI LENGTH MARK
    "\u0C58",  # TELUGU LETTER TSA
    "\u0C59",  # TELUGU LETTER DZA
    "\u0C5A",  # TELUGU LETTER RRRA
    "\u0C60",  # TELUGU LETTER VOCALIC RR
    "\u0C61",  # TELUGU LETTER VOCALIC LL
    "\u0C62",  # TELUGU VOWEL SIGN VOCALIC L
    "\u0C63",  # TELUGU VOWEL SIGN VOCALIC LL
    "\u0C64",  # <reserved>
    "\u0C65",  # <reserved>
    "\u0C66",  # TELUGU DIGIT ZERO
    "\u0C67",  # TELUGU DIGIT ONE
    "\u0C68",  # TELUGU DIGIT TWO
    "\u0C69",  # TELUGU DIGIT THREE
    "\u0C6A",  # TELUGU DIGIT FOUR
    "\u0C6B",  # TELUGU DIGIT FIVE
    "\u0C6C",  # TELUGU DIGIT SIX
    "\u0C6D",  # TELUGU DIGIT SEVEN
    "\u0C6E",  # TELUGU DIGIT EIGHT
    "\u0C6F",  # TELUGU DIGIT NINE
    "\u0C78",  # TELUGU FRACTION DIGIT ZERO FOR ODD POWERS OF FOUR
    "\u0C79",  # TELUGU FRACTION DIGIT ONE FOR ODD POWERS OF FOUR
    "\u0C7A",  # TELUGU FRACTION DIGIT TWO FOR ODD POWERS OF FOUR
    "\u0C7B",  # TELUGU FRACTION DIGIT THREE FOR ODD POWERS OF FOUR
    "\u0C7C",  # TELUGU FRACTION DIGIT ONE FOR EVEN POWERS OF FOUR
    "\u0C7D",  # TELUGU FRACTION DIGIT TWO FOR EVEN POWERS OF FOUR
    "\u0C7E",  # TELUGU FRACTION DIGIT THREE FOR EVEN POWERS OF FOUR
    "\u0C7F",  # TELUGU SIGN TUUMU
    "\u0C80",  # KANNADA SIGN SPACING CANDRABINDU
    "\u0C81",  # KANNADA SIGN CANDRABINDU
    "\u0C82",  # KANNADA SIGN ANUSVARA
    "\u0C83",  # KANNADA SIGN VISARGA
    "\u0C85",  # KANNADA LETTER A
    "\u0C86",  # KANNADA LETTER AA
    "\u0C87",  # KANNADA LETTER I
    "\u0C88",  # KANNADA LETTER II
    "\u0C89",  # KANNADA LETTER U
    "\u0C8A",  # KANNADA LETTER UU
    "\u0C8B",  # KANNADA LETTER VOCALIC R
    "\u0C8C",  # KANNADA LETTER VOCALIC L
    "\u0C8E",  # KANNADA LETTER E
    "\u0C8F",  # KANNADA LETTER EE
    "\u0C90",  # KANNADA LETTER AI
    "\u0C92",  # KANNADA LETTER O
    "\u0C93",  # KANNADA LETTER OO
    "\u0C94",  # KANNADA LETTER AU
    "\u0C95",  # KANNADA LETTER KA
    "\u0C96",  # KANNADA LETTER KHA
    "\u0C97",  # KANNADA LETTER GA
    "\u0C98",  # KANNADA LETTER GHA
    "\u0C99",  # KANNADA LETTER NGA
    "\u0C9A",  # KANNADA LETTER CA
    "\u0C9B",  # KANNADA LETTER CHA
    "\u0C9C",  # KANNADA LETTER JA
    "\u0C9D",  # KANNADA LETTER JHA
    "\u0C9E",  # KANNADA LETTER NYA
    "\u0C9F",  # KANNADA LETTER TTA
    "\u0CA0",  # KANNADA LETTER TTHA
    "\u0CA1",  # KANNADA LETTER DDA
    "\u0CA2",  # KANNADA LETTER DDHA
    "\u0CA3",  # KANNADA LETTER NNA
    "\u0CA4",  # KANNADA LETTER TA
    "\u0CA5",  # KANNADA LETTER THA
    "\u0CA6",  # KANNADA LETTER DA
    "\u0CA7",  # KANNADA LETTER DHA
    "\u0CA8",  # KANNADA LETTER NA
    "\u0CAA",  # KANNADA LETTER PA
    "\u0CAB",  # KANNADA LETTER PHA
    "\u0CAC",  # KANNADA LETTER BA
    "\u0CAD",  # KANNADA LETTER BHA
    "\u0CAE",  # KANNADA LETTER MA
    "\u0CAF",  # KANNADA LETTER YA
    "\u0CB0",  # KANNADA LETTER RA
    "\u0CB1",  # KANNADA LETTER RRA
    "\u0CB2",  # KANNADA LETTER LA
    "\u0CB3",  # KANNADA LETTER LLA
    "\u0CB5",  # KANNADA LETTER VA
    "\u0CB6",  # KANNADA LETTER SHA
    "\u0CB7",  # KANNADA LETTER SSA
    "\u0CB8",  # KANNADA LETTER SA
    "\u0CB9",  # KANNADA LETTER HA
    "\u0CBC",  # KANNADA SIGN NUKTA
    "\u0CBD",  # KANNADA SIGN AVAGRAHA
    "\u0CBE",  # KANNADA VOWEL SIGN AA
    "\u0CBF",  # KANNADA VOWEL SIGN I
    "\u0CC0",  # KANNADA VOWEL SIGN II
    "\u0CC1",  # KANNADA VOWEL SIGN U
    "\u0CC2",  # KANNADA VOWEL SIGN UU
    "\u0CC3",  # KANNADA VOWEL SIGN VOCALIC R
    "\u0CC4",  # KANNADA VOWEL SIGN VOCALIC RR
    "\u0CC6",  # KANNADA VOWEL SIGN E
    "\u0CC7",  # KANNADA VOWEL SIGN EE
    "\u0CC8",  # KANNADA VOWEL SIGN AI
    "\u0CCA",  # KANNADA VOWEL SIGN O
    "\u0CCB",  # KANNADA VOWEL SIGN OO
    "\u0CCC",  # KANNADA VOWEL SIGN AU
    "\u0CCD",  # KANNADA SIGN VIRAMA
    "\u0CD5",  # KANNADA LENGTH MARK
    "\u0CD6",  # KANNADA AI LENGTH MARK
    "\u0CDE",  # KANNADA LETTER FA
    "\u0CE0",  # KANNADA LETTER VOCALIC RR
    "\u0CE1",  # KANNADA LETTER VOCALIC LL
    "\u0CE2",  # KANNADA VOWEL SIGN VOCALIC L
    "\u0CE3",  # KANNADA VOWEL SIGN VOCALIC LL
    "\u0CE4",  # <reserved>
    "\u0CE5",  # <reserved>
    "\u0CE6",  # KANNADA DIGIT ZERO
    "\u0CE7",  # KANNADA DIGIT ONE
    "\u0CE8",  # KANNADA DIGIT TWO
    "\u0CE9",  # KANNADA DIGIT THREE
    "\u0CEA",  # KANNADA DIGIT FOUR
    "\u0CEB",  # KANNADA DIGIT FIVE
    "\u0CEC",  # KANNADA DIGIT SIX
    "\u0CED",  # KANNADA DIGIT SEVEN
    "\u0CEE",  # KANNADA DIGIT EIGHT
    "\u0CEF",  # KANNADA DIGIT NINE
    "\u0CF1",  # KANNADA SIGN JIHVAMULIYA
    "\u0CF2",  # KANNADA SIGN UPADHMANIYA
    "\u0D00",  # MALAYALAM SIGN COMBINING ANUSVARA ABOVE
    "\u0D01",  # MALAYALAM SIGN CANDRABINDU
    "\u0D02",  # MALAYALAM SIGN ANUSVARA
    "\u0D03",  # MALAYALAM SIGN VISARGA
    "\u0D05",  # MALAYALAM LETTER A
    "\u0D06",  # MALAYALAM LETTER AA
    "\u0D07",  # MALAYALAM LETTER I
    "\u0D08",  # MALAYALAM LETTER II
    "\u0D09",  # MALAYALAM LETTER U
    "\u0D0A",  # MALAYALAM LETTER UU
    "\u0D0B",  # MALAYALAM LETTER VOCALIC R
    "\u0D0C",  # MALAYALAM LETTER VOCALIC L
    "\u0D0E",  # MALAYALAM LETTER E
    "\u0D0F",  # MALAYALAM LETTER EE
    "\u0D10",  # MALAYALAM LETTER AI
    "\u0D12",  # MALAYALAM LETTER O
    "\u0D13",  # MALAYALAM LETTER OO
    "\u0D14",  # MALAYALAM LETTER AU
    "\u0D15",  # MALAYALAM LETTER KA
    "\u0D16",  # MALAYALAM LETTER KHA
    "\u0D17",  # MALAYALAM LETTER GA
    "\u0D18",  # MALAYALAM LETTER GHA
    "\u0D19",  # MALAYALAM LETTER NGA
    "\u0D1A",  # MALAYALAM LETTER CA
    "\u0D1B",  # MALAYALAM LETTER CHA
    "\u0D1C",  # MALAYALAM LETTER JA
    "\u0D1D",  # MALAYALAM LETTER JHA
    "\u0D1E",  # MALAYALAM LETTER NYA
    "\u0D1F",  # MALAYALAM LETTER TTA
    "\u0D20",  # MALAYALAM LETTER TTHA
    "\u0D21",  # MALAYALAM LETTER DDA
    "\u0D22",  # MALAYALAM LETTER DDHA
    "\u0D23",  # MALAYALAM LETTER NNA
    "\u0D24",  # MALAYALAM LETTER TA
    "\u0D25",  # MALAYALAM LETTER THA
    "\u0D26",  # MALAYALAM LETTER DA
    "\u0D27",  # MALAYALAM LETTER DHA
    "\u0D28",  # MALAYALAM LETTER NA
    "\u0D29",  # MALAYALAM LETTER NNNA
    "\u0D2A",  # MALAYALAM LETTER PA
    "\u0D2B",  # MALAYALAM LETTER PHA
    "\u0D2C",  # MALAYALAM LETTER BA
    "\u0D2D",  # MALAYALAM LETTER BHA
    "\u0D2E",  # MALAYALAM LETTER MA
    "\u0D2F",  # MALAYALAM LETTER YA
    "\u0D30",  # MALAYALAM LETTER RA
    "\u0D31",  # MALAYALAM LETTER RRA
    "\u0D32",  # MALAYALAM LETTER LA
    "\u0D33",  # MALAYALAM LETTER LLA
    "\u0D34",  # MALAYALAM LETTER LLLA
    "\u0D35",  # MALAYALAM LETTER VA
    "\u0D36",  # MALAYALAM LETTER SHA
    "\u0D37",  # MALAYALAM LETTER SSA
    "\u0D38",  # MALAYALAM LETTER SA
    "\u0D39",  # MALAYALAM LETTER HA
    "\u0D3A",  # MALAYALAM LETTER TTTA
    "\u0D3B",  # MALAYALAM SIGN VERTICAL BAR VIRAMA
    "\u0D3C",  # MALAYALAM SIGN CIRCULAR VIRAMA
    "\u0D3D",  # MALAYALAM SIGN AVAGRAHA
    "\u0D3E",  # MALAYALAM VOWEL SIGN AA
    "\u0D3F",  # MALAYALAM VOWEL SIGN I
    "\u0D40",  # MALAYALAM VOWEL SIGN II
    "\u0D41",  # MALAYALAM VOWEL SIGN U
    "\u0D42",  # MALAYALAM VOWEL SIGN UU
    "\u0D43",  # MALAYALAM VOWEL SIGN VOCALIC R
    "\u0D44",  # MALAYALAM VOWEL SIGN VOCALIC RR
    "\u0D46",  # MALAYALAM VOWEL SIGN E
    "\u0D47",  # MALAYALAM VOWEL SIGN EE
    "\u0D48",  # MALAYALAM VOWEL SIGN AI
    "\u0D4A",  # MALAYALAM VOWEL SIGN O
    "\u0D4B",  # MALAYALAM VOWEL SIGN OO
    "\u0D4C",  # MALAYALAM VOWEL SIGN AU
    "\u0D4D",  # MALAYALAM SIGN VIRAMA
    "\u0D4E",  # MALAYALAM LETTER DOT REPH
    "\u0D4F",  # MALAYALAM SIGN PARA
    "\u0D54",  # MALAYALAM LETTER CHILLU M
    "\u0D55",  # MALAYALAM LETTER CHILLU Y
    "\u0D56",  # MALAYALAM LETTER CHILLU LLL
    "\u0D57",  # MALAYALAM AU LENGTH MARK
    "\u0D58",  # MALAYALAM FRACTION ONE ONE-HUNDRED-AND-SIXTIETH
    "\u0D59",  # MALAYALAM FRACTION ONE FORTIETH
    "\u0D5A",  # MALAYALAM FRACTION THREE EIGHTIETHS
    "\u0D5B",  # MALAYALAM FRACTION ONE TWENTIETH
    "\u0D5C",  # MALAYALAM FRACTION ONE TENTH
    "\u0D5D",  # MALAYALAM FRACTION THREE TWENTIETHS
    "\u0D5E",  # MALAYALAM FRACTION ONE FIFTH
    "\u0D5F",  # MALAYALAM LETTER ARCHAIC II
    "\u0D60",  # MALAYALAM LETTER VOCALIC RR
    "\u0D61",  # MALAYALAM LETTER VOCALIC LL
    "\u0D62",  # MALAYALAM VOWEL SIGN VOCALIC L
    "\u0D63",  # MALAYALAM VOWEL SIGN VOCALIC LL
    "\u0D64",  # <reserved>
    "\u0D65",  # <reserved>
    "\u0D66",  # MALAYALAM DIGIT ZERO
    "\u0D67",  # MALAYALAM DIGIT ONE
    "\u0D68",  # MALAYALAM DIGIT TWO
    "\u0D69",  # MALAYALAM DIGIT THREE
    "\u0D6A",  # MALAYALAM DIGIT FOUR
    "\u0D6B",  # MALAYALAM DIGIT FIVE
    "\u0D6C",  # MALAYALAM DIGIT SIX
    "\u0D6D",  # MALAYALAM DIGIT SEVEN
    "\u0D6E",  # MALAYALAM DIGIT EIGHT
    "\u0D6F",  # MALAYALAM DIGIT NINE
    "\u0D70",  # MALAYALAM NUMBER TEN
    "\u0D71",  # MALAYALAM NUMBER ONE HUNDRED
    "\u0D72",  # MALAYALAM NUMBER ONE THOUSAND
    "\u0D73",  # MALAYALAM FRACTION ONE QUARTER
    "\u0D74",  # MALAYALAM FRACTION ONE HALF
    "\u0D75",  # MALAYALAM FRACTION THREE QUARTERS
    "\u0D76",  # MALAYALAM FRACTION ONE SIXTEENTH
    "\u0D77",  # MALAYALAM FRACTION ONE EIGHTH
    "\u0D78",  # MALAYALAM FRACTION THREE SIXTEENTHS
    "\u0D79",  # MALAYALAM DATE MARK
    "\u0D7A",  # MALAYALAM LETTER CHILLU NN
    "\u0D7B",  # MALAYALAM LETTER CHILLU N
    "\u0D7C",  # MALAYALAM LETTER CHILLU RR
    "\u0D7D",  # MALAYALAM LETTER CHILLU L
    "\u0D7E",  # MALAYALAM LETTER CHILLU LL
    "\u0D7F",  # MALAYALAM LETTER CHILLU K
    "\u0D82",  # SINHALA SIGN ANUSVARAYA
    "\u0D83",  # SINHALA SIGN VISARGAYA
    "\u0D85",  # SINHALA LETTER AYANNA
    "\u0D86",  # SINHALA LETTER AAYANNA
    "\u0D87",  # SINHALA LETTER AEYANNA
    "\u0D88",  # SINHALA LETTER AEEYANNA
    "\u0D89",  # SINHALA LETTER IYANNA
    "\u0D8A",  # SINHALA LETTER IIYANNA
    "\u0D8B",  # SINHALA LETTER UYANNA
    "\u0D8C",  # SINHALA LETTER UUYANNA
    "\u0D8D",  # SINHALA LETTER IRUYANNA
    "\u0D8E",  # SINHALA LETTER IRUUYANNA
    "\u0D8F",  # SINHALA LETTER ILUYANNA
    "\u0D90",  # SINHALA LETTER ILUUYANNA
    "\u0D91",  # SINHALA LETTER EYANNA
    "\u0D92",  # SINHALA LETTER EEYANNA
    "\u0D93",  # SINHALA LETTER AIYANNA
    "\u0D94",  # SINHALA LETTER OYANNA
    "\u0D95",  # SINHALA LETTER OOYANNA
    "\u0D96",  # SINHALA LETTER AUYANNA
    "\u0D9A",  # SINHALA LETTER ALPAPRAANA KAYANNA
    "\u0D9B",  # SINHALA LETTER MAHAAPRAANA KAYANNA
    "\u0D9C",  # SINHALA LETTER ALPAPRAANA GAYANNA
    "\u0D9D",  # SINHALA LETTER MAHAAPRAANA GAYANNA
    "\u0D9E",  # SINHALA LETTER KANTAJA NAASIKYAYA
    "\u0D9F",  # SINHALA LETTER SANYAKA GAYANNA
    "\u0DA0",  # SINHALA LETTER ALPAPRAANA CAYANNA
    "\u0DA1",  # SINHALA LETTER MAHAAPRAANA CAYANNA
    "\u0DA2",  # SINHALA LETTER ALPAPRAANA JAYANNA
    "\u0DA3",  # SINHALA LETTER MAHAAPRAANA JAYANNA
    "\u0DA4",  # SINHALA LETTER TAALUJA NAASIKYAYA
    "\u0DA5",  # SINHALA LETTER TAALUJA SANYOOGA NAAKSIKYAYA
    "\u0DA6",  # SINHALA LETTER SANYAKA JAYANNA
    "\u0DA7",  # SINHALA LETTER ALPAPRAANA TTAYANNA
    "\u0DA8",  # SINHALA LETTER MAHAAPRAANA TTAYANNA
    "\u0DA9",  # SINHALA LETTER ALPAPRAANA DDAYANNA
    "\u0DAA",  # SINHALA LETTER MAHAAPRAANA DDAYANNA
    "\u0DAB",  # SINHALA LETTER MUURDHAJA NAYANNA
    "\u0DAC",  # SINHALA LETTER SANYAKA DDAYANNA
    "\u0DAD",  # SINHALA LETTER ALPAPRAANA TAYANNA
    "\u0DAE",  # SINHALA LETTER MAHAAPRAANA TAYANNA
    "\u0DAF",  # SINHALA LETTER ALPAPRAANA DAYANNA
    "\u0DB0",  # SINHALA LETTER MAHAAPRAANA DAYANNA
    "\u0DB1",  # SINHALA LETTER DANTAJA NAYANNA
    "\u0DB3",  # SINHALA LETTER SANYAKA DAYANNA
    "\u0DB4",  # SINHALA LETTER ALPAPRAANA PAYANNA
    "\u0DB5",  # SINHALA LETTER MAHAAPRAANA PAYANNA
    "\u0DB6",  # SINHALA LETTER ALPAPRAANA BAYANNA
    "\u0DB7",  # SINHALA LETTER MAHAAPRAANA BAYANNA
    "\u0DB8",  # SINHALA LETTER MAYANNA
    "\u0DB9",  # SINHALA LETTER AMBA BAYANNA
    "\u0DBA",  # SINHALA LETTER YAYANNA
    "\u0DBB",  # SINHALA LETTER RAYANNA
    "\u0DBD",  # SINHALA LETTER DANTAJA LAYANNA
    "\u0DC0",  # SINHALA LETTER VAYANNA
    "\u0DC1",  # SINHALA LETTER TAALUJA SAYANNA
    "\u0DC2",  # SINHALA LETTER MUURDHAJA SAYANNA
    "\u0DC3",  # SINHALA LETTER DANTAJA SAYANNA
    "\u0DC4",  # SINHALA LETTER HAYANNA
    "\u0DC5",  # SINHALA LETTER MUURDHAJA LAYANNA
    "\u0DC6",  # SINHALA LETTER FAYANNA
    "\u0DCA",  # SINHALA SIGN AL-LAKUNA
    "\u0DCF",  # SINHALA VOWEL SIGN AELA-PILLA
    "\u0DD0",  # SINHALA VOWEL SIGN KETTI AEDA-PILLA
    "\u0DD1",  # SINHALA VOWEL SIGN DIGA AEDA-PILLA
    "\u0DD2",  # SINHALA VOWEL SIGN KETTI IS-PILLA
    "\u0DD3",  # SINHALA VOWEL SIGN DIGA IS-PILLA
    "\u0DD4",  # SINHALA VOWEL SIGN KETTI PAA-PILLA
    "\u0DD6",  # SINHALA VOWEL SIGN DIGA PAA-PILLA
    "\u0DD8",  # SINHALA VOWEL SIGN GAETTA-PILLA
    "\u0DD9",  # SINHALA VOWEL SIGN KOMBUVA
    "\u0DDA",  # SINHALA VOWEL SIGN DIGA KOMBUVA
    "\u0DDB",  # SINHALA VOWEL SIGN KOMBU DEKA
    "\u0DDC",  # SINHALA VOWEL SIGN KOMBUVA HAA AELA-PILLA
    "\u0DDD",  # SINHALA VOWEL SIGN KOMBUVA HAA DIGA AELA-PILLA
    "\u0DDE",  # SINHALA VOWEL SIGN KOMBUVA HAA GAYANUKITTA
    "\u0DDF",  # SINHALA VOWEL SIGN GAYANUKITTA
    "\u0DE6",  # SINHALA LITH DIGIT ZERO
    "\u0DE7",  # SINHALA LITH DIGIT ONE
    "\u0DE8",  # SINHALA LITH DIGIT TWO
    "\u0DE9",  # SINHALA LITH DIGIT THREE
    "\u0DEA",  # SINHALA LITH DIGIT FOUR
    "\u0DEB",  # SINHALA LITH DIGIT FIVE
    "\u0DEC",  # SINHALA LITH DIGIT SIX
    "\u0DED",  # SINHALA LITH DIGIT SEVEN
    "\u0DEE",  # SINHALA LITH DIGIT EIGHT
    "\u0DEF",  # SINHALA LITH DIGIT NINE
    "\u0DF2",  # SINHALA VOWEL SIGN DIGA GAETTA-PILLA
    "\u0DF3",  # SINHALA VOWEL SIGN DIGA GAYANUKITTA
    "\u0DF4",  # SINHALA PUNCTUATION KUNDDALIYA
    "\u0E01",  # THAI CHARACTER KO KAI
    "\u0E02",  # THAI CHARACTER KHO KHAI
    "\u0E03",  # THAI CHARACTER KHO KHUAT
    "\u0E04",  # THAI CHARACTER KHO KHWAI
    "\u0E05",  # THAI CHARACTER KHO KHON
    "\u0E06",  # THAI CHARACTER KHO RAKHANG
    "\u0E07",  # THAI CHARACTER NGO NGU
    "\u0E08",  # THAI CHARACTER CHO CHAN
    "\u0E09",  # THAI CHARACTER CHO CHING
    "\u0E0A",  # THAI CHARACTER CHO CHANG
    "\u0E0B",  # THAI CHARACTER SO SO
    "\u0E0C",  # THAI CHARACTER CHO CHOE
    "\u0E0D",  # THAI CHARACTER YO YING
    "\u0E0E",  # THAI CHARACTER DO CHADA
    "\u0E0F",  # THAI CHARACTER TO PATAK
    "\u0E10",  # THAI CHARACTER THO THAN
    "\u0E11",  # THAI CHARACTER THO NANGMONTHO
    "\u0E12",  # THAI CHARACTER THO PHUTHAO
    "\u0E13",  # THAI CHARACTER NO NEN
    "\u0E14",  # THAI CHARACTER DO DEK
    "\u0E15",  # THAI CHARACTER TO TAO
    "\u0E16",  # THAI CHARACTER THO THUNG
    "\u0E17",  # THAI CHARACTER THO THAHAN
    "\u0E18",  # THAI CHARACTER THO THONG
    "\u0E19",  # THAI CHARACTER NO NU
    "\u0E1A",  # THAI CHARACTER BO BAIMAI
    "\u0E1B",  # THAI CHARACTER PO PLA
    "\u0E1C",  # THAI CHARACTER PHO PHUNG
    "\u0E1D",  # THAI CHARACTER FO FA
    "\u0E1E",  # THAI CHARACTER PHO PHAN
    "\u0E1F",  # THAI CHARACTER FO FAN
    "\u0E20",  # THAI CHARACTER PHO SAMPHAO
    "\u0E21",  # THAI CHARACTER MO MA
    "\u0E22",  # THAI CHARACTER YO YAK
    "\u0E23",  # THAI CHARACTER RO RUA
    "\u0E24",  # THAI CHARACTER RU
    "\u0E25",  # THAI CHARACTER LO LING
    "\u0E26",  # THAI CHARACTER LU
    "\u0E27",  # THAI CHARACTER WO WAEN
    "\u0E28",  # THAI CHARACTER SO SALA
    "\u0E29",  # THAI CHARACTER SO RUSI
    "\u0E2A",  # THAI CHARACTER SO SUA
    "\u0E2B",  # THAI CHARACTER HO HIP
    "\u0E2C",  # THAI CHARACTER LO CHULA
    "\u0E2D",  # THAI CHARACTER O ANG
    "\u0E2E",  # THAI CHARACTER HO NOKHUK
    "\u0E2F",  # THAI CHARACTER PAIYANNOI
    "\u0E30",  # THAI CHARACTER SARA A
    "\u0E31",  # THAI CHARACTER MAI HAN-AKAT
    "\u0E32",  # THAI CHARACTER SARA AA
    "\u0E33",  # THAI CHARACTER SARA AM
    "\u0E34",  # THAI CHARACTER SARA I
    "\u0E35",  # THAI CHARACTER SARA II
    "\u0E36",  # THAI CHARACTER SARA UE
    "\u0E37",  # THAI CHARACTER SARA UEE
    "\u0E38",  # THAI CHARACTER SARA U
    "\u0E39",  # THAI CHARACTER SARA UU
    "\u0E3A",  # THAI CHARACTER PHINTHU
    "\u0E3F",  # THAI CURRENCY SYMBOL BAHT
    "\u0E40",  # THAI CHARACTER SARA E
    "\u0E41",  # THAI CHARACTER SARA AE
    "\u0E42",  # THAI CHARACTER SARA O
    "\u0E43",  # THAI CHARACTER SARA AI MAIMUAN
    "\u0E44",  # THAI CHARACTER SARA AI MAIMALAI
    "\u0E45",  # THAI CHARACTER LAKKHANGYAO
    "\u0E46",  # THAI CHARACTER MAIYAMOK
    "\u0E47",  # THAI CHARACTER MAITAIKHU
    "\u0E48",  # THAI CHARACTER MAI EK
    "\u0E49",  # THAI CHARACTER MAI THO
    "\u0E4A",  # THAI CHARACTER MAI TRI
    "\u0E4B",  # THAI CHARACTER MAI CHATTAWA
    "\u0E4C",  # THAI CHARACTER THANTHAKHAT
    "\u0E4D",  # THAI CHARACTER NIKHAHIT
    "\u0E4E",  # THAI CHARACTER YAMAKKAN
    "\u0E4F",  # THAI CHARACTER FONGMAN
    "\u0E50",  # THAI DIGIT ZERO
    "\u0E51",  # THAI DIGIT ONE
    "\u0E52",  # THAI DIGIT TWO
    "\u0E53",  # THAI DIGIT THREE
    "\u0E54",  # THAI DIGIT FOUR
    "\u0E55",  # THAI DIGIT FIVE
    "\u0E56",  # THAI DIGIT SIX
    "\u0E57",  # THAI DIGIT SEVEN
    "\u0E58",  # THAI DIGIT EIGHT
    "\u0E59",  # THAI DIGIT NINE
    "\u0E5A",  # THAI CHARACTER ANGKHANKHU
    "\u0E5B",  # THAI CHARACTER KHOMUT
    "\u0E81",  # LAO LETTER KO
    "\u0E82",  # LAO LETTER KHO SUNG
    "\u0E84",  # LAO LETTER KHO TAM
    "\u0E87",  # LAO LETTER NGO
    "\u0E88",  # LAO LETTER CO
    "\u0E8A",  # LAO LETTER SO TAM
    "\u0E8D",  # LAO LETTER NYO
    "\u0E94",  # LAO LETTER DO
    "\u0E95",  # LAO LETTER TO
    "\u0E96",  # LAO LETTER THO SUNG
    "\u0E97",  # LAO LETTER THO TAM
    "\u0E99",  # LAO LETTER NO
    "\u0E9A",  # LAO LETTER BO
    "\u0E9B",  # LAO LETTER PO
    "\u0E9C",  # LAO LETTER PHO SUNG
    "\u0E9D",  # LAO LETTER FO TAM
    "\u0E9E",  # LAO LETTER PHO TAM
    "\u0E9F",  # LAO LETTER FO SUNG
    "\u0EA1",  # LAO LETTER MO
    "\u0EA2",  # LAO LETTER YO
    "\u0EA3",  # LAO LETTER LO LING
    "\u0EA5",  # LAO LETTER LO LOOT
    "\u0EA7",  # LAO LETTER WO
    "\u0EAA",  # LAO LETTER SO SUNG
    "\u0EAB",  # LAO LETTER HO SUNG
    "\u0EAD",  # LAO LETTER O
    "\u0EAE",  # LAO LETTER HO TAM
    "\u0EAF",  # LAO ELLIPSIS
    "\u0EB0",  # LAO VOWEL SIGN A
    "\u0EB1",  # LAO VOWEL SIGN MAI KAN
    "\u0EB2",  # LAO VOWEL SIGN AA
    "\u0EB3",  # LAO VOWEL SIGN AM
    "\u0EB4",  # LAO VOWEL SIGN I
    "\u0EB5",  # LAO VOWEL SIGN II
    "\u0EB6",  # LAO VOWEL SIGN Y
    "\u0EB7",  # LAO VOWEL SIGN YY
    "\u0EB8",  # LAO VOWEL SIGN U
    "\u0EB9",  # LAO VOWEL SIGN UU
    "\u0EBB",  # LAO VOWEL SIGN MAI KON
    "\u0EBC",  # LAO SEMIVOWEL SIGN LO
    "\u0EBD",  # LAO SEMIVOWEL SIGN NYO
    "\u0EC0",  # LAO VOWEL SIGN E
    "\u0EC1",  # LAO VOWEL SIGN EI
    "\u0EC2",  # LAO VOWEL SIGN O
    "\u0EC3",  # LAO VOWEL SIGN AY
    "\u0EC4",  # LAO VOWEL SIGN AI
    "\u0EC6",  # LAO KO LA
    "\u0EC8",  # LAO TONE MAI EK
    "\u0EC9",  # LAO TONE MAI THO
    "\u0ECA",  # LAO TONE MAI TI
    "\u0ECB",  # LAO TONE MAI CATAWA
    "\u0ECC",  # LAO CANCELLATION MARK
    "\u0ECD",  # LAO NIGGAHITA
    "\u0ED0",  # LAO DIGIT ZERO
    "\u0ED1",  # LAO DIGIT ONE
    "\u0ED2",  # LAO DIGIT TWO
    "\u0ED3",  # LAO DIGIT THREE
    "\u0ED4",  # LAO DIGIT FOUR
    "\u0ED5",  # LAO DIGIT FIVE
    "\u0ED6",  # LAO DIGIT SIX
    "\u0ED7",  # LAO DIGIT SEVEN
    "\u0ED8",  # LAO DIGIT EIGHT
    "\u0ED9",  # LAO DIGIT NINE
    "\u0EDC",  # LAO HO NO
    "\u0EDD",  # LAO HO MO
    "\u0EDE",  # LAO LETTER KHMU GO
    "\u0EDF",  # LAO LETTER KHMU NYO
    "\u0F00",  # TIBETAN SYLLABLE OM
    "\u0F01",  # TIBETAN MARK GTER YIG MGO TRUNCATED A
    "\u0F02",  # TIBETAN MARK GTER YIG MGO -UM RNAM BCAD MA
    "\u0F03",  # TIBETAN MARK GTER YIG MGO -UM GTER TSHEG MA
    "\u0F04",  # TIBETAN MARK INITIAL YIG MGO MDUN MA
    "\u0F05",  # TIBETAN MARK CLOSING YIG MGO SGAB MA
    "\u0F06",  # TIBETAN MARK CARET YIG MGO PHUR SHAD MA
    "\u0F07",  # TIBETAN MARK YIG MGO TSHEG SHAD MA
    "\u0F08",  # TIBETAN MARK SBRUL SHAD
    "\u0F09",  # TIBETAN MARK BSKUR YIG MGO
    "\u0F0A",  # TIBETAN MARK BKA- SHOG YIG MGO
    "\u0F0B",  # TIBETAN MARK INTERSYLLABIC TSHEG
    "\u0F0C",  # TIBETAN MARK DELIMITER TSHEG BSTAR
    "\u0F0D",  # TIBETAN MARK SHAD
    "\u0F0E",  # TIBETAN MARK NYIS SHAD
    "\u0F0F",  # TIBETAN MARK TSHEG SHAD
    "\u0F10",  # TIBETAN MARK NYIS TSHEG SHAD
    "\u0F11",  # TIBETAN MARK RIN CHEN SPUNGS SHAD
    "\u0F12",  # TIBETAN MARK RGYA GRAM SHAD
    "\u0F13",  # TIBETAN MARK CARET -DZUD RTAGS ME LONG CAN
    "\u0F14",  # TIBETAN MARK GTER TSHEG
    "\u0F15",  # TIBETAN LOGOTYPE SIGN CHAD RTAGS
    "\u0F16",  # TIBETAN LOGOTYPE SIGN LHAG RTAGS
    "\u0F17",  # TIBETAN ASTROLOGICAL SIGN SGRA GCAN -CHAR RTAGS
    "\u0F18",  # TIBETAN ASTROLOGICAL SIGN -KHYUD PA
    "\u0F19",  # TIBETAN ASTROLOGICAL SIGN SDONG TSHUGS
    "\u0F1A",  # TIBETAN SIGN RDEL DKAR GCIG
    "\u0F1B",  # TIBETAN SIGN RDEL DKAR GNYIS
    "\u0F1C",  # TIBETAN SIGN RDEL DKAR GSUM
    "\u0F1D",  # TIBETAN SIGN RDEL NAG GCIG
    "\u0F1E",  # TIBETAN SIGN RDEL NAG GNYIS
    "\u0F1F",  # TIBETAN SIGN RDEL DKAR RDEL NAG
    "\u0F20",  # TIBETAN DIGIT ZERO
    "\u0F21",  # TIBETAN DIGIT ONE
    "\u0F22",  # TIBETAN DIGIT TWO
    "\u0F23",  # TIBETAN DIGIT THREE
    "\u0F24",  # TIBETAN DIGIT FOUR
    "\u0F25",  # TIBETAN DIGIT FIVE
    "\u0F26",  # TIBETAN DIGIT SIX
    "\u0F27",  # TIBETAN DIGIT SEVEN
    "\u0F28",  # TIBETAN DIGIT EIGHT
    "\u0F29",  # TIBETAN DIGIT NINE
    "\u0F2A",  # TIBETAN DIGIT HALF ONE
    "\u0F2B",  # TIBETAN DIGIT HALF TWO
    "\u0F2C",  # TIBETAN DIGIT HALF THREE
    "\u0F2D",  # TIBETAN DIGIT HALF FOUR
    "\u0F2E",  # TIBETAN DIGIT HALF FIVE
    "\u0F2F",  # TIBETAN DIGIT HALF SIX
    "\u0F30",  # TIBETAN DIGIT HALF SEVEN
    "\u0F31",  # TIBETAN DIGIT HALF EIGHT
    "\u0F32",  # TIBETAN DIGIT HALF NINE
    "\u0F33",  # TIBETAN DIGIT HALF ZERO
    "\u0F34",  # TIBETAN MARK BSDUS RTAGS
    "\u0F35",  # TIBETAN MARK NGAS BZUNG NYI ZLA
    "\u0F36",  # TIBETAN MARK CARET -DZUD RTAGS BZHI MIG CAN
    "\u0F37",  # TIBETAN MARK NGAS BZUNG SGOR RTAGS
    "\u0F38",  # TIBETAN MARK CHE MGO
    "\u0F39",  # TIBETAN MARK TSA -PHRU
    "\u0F3A",  # TIBETAN MARK GUG RTAGS GYON
    "\u0F3B",  # TIBETAN MARK GUG RTAGS GYAS
    "\u0F3C",  # TIBETAN MARK ANG KHANG GYON
    "\u0F3D",  # TIBETAN MARK ANG KHANG GYAS
    "\u0F3E",  # TIBETAN SIGN YAR TSHES
    "\u0F3F",  # TIBETAN SIGN MAR TSHES
    "\u0F40",  # TIBETAN LETTER KA
    "\u0F41",  # TIBETAN LETTER KHA
    "\u0F42",  # TIBETAN LETTER GA
    "\u0F43",  # TIBETAN LETTER GHA
    "\u0F44",  # TIBETAN LETTER NGA
    "\u0F45",  # TIBETAN LETTER CA
    "\u0F46",  # TIBETAN LETTER CHA
    "\u0F47",  # TIBETAN LETTER JA
    "\u0F49",  # TIBETAN LETTER NYA
    "\u0F4A",  # TIBETAN LETTER TTA
    "\u0F4B",  # TIBETAN LETTER TTHA
    "\u0F4C",  # TIBETAN LETTER DDA
    "\u0F4D",  # TIBETAN LETTER DDHA
    "\u0F4E",  # TIBETAN LETTER NNA
    "\u0F4F",  # TIBETAN LETTER TA
    "\u0F50",  # TIBETAN LETTER THA
    "\u0F51",  # TIBETAN LETTER DA
    "\u0F52",  # TIBETAN LETTER DHA
    "\u0F53",  # TIBETAN LETTER NA
    "\u0F54",  # TIBETAN LETTER PA
    "\u0F55",  # TIBETAN LETTER PHA
    "\u0F56",  # TIBETAN LETTER BA
    "\u0F57",  # TIBETAN LETTER BHA
    "\u0F58",  # TIBETAN LETTER MA
    "\u0F59",  # TIBETAN LETTER TSA
    "\u0F5A",  # TIBETAN LETTER TSHA
    "\u0F5B",  # TIBETAN LETTER DZA
    "\u0F5C",  # TIBETAN LETTER DZHA
    "\u0F5D",  # TIBETAN LETTER WA
    "\u0F5E",  # TIBETAN LETTER ZHA
    "\u0F5F",  # TIBETAN LETTER ZA
    "\u0F60",  # TIBETAN LETTER -A
    "\u0F61",  # TIBETAN LETTER YA
    "\u0F62",  # TIBETAN LETTER RA
    "\u0F63",  # TIBETAN LETTER LA
    "\u0F64",  # TIBETAN LETTER SHA
    "\u0F65",  # TIBETAN LETTER SSA
    "\u0F66",  # TIBETAN LETTER SA
    "\u0F67",  # TIBETAN LETTER HA
    "\u0F68",  # TIBETAN LETTER A
    "\u0F69",  # TIBETAN LETTER KSSA
    "\u0F6A",  # TIBETAN LETTER FIXED-FORM RA
    "\u0F6B",  # TIBETAN LETTER KKA
    "\u0F6C",  # TIBETAN LETTER RRA
    "\u0F71",  # TIBETAN VOWEL SIGN AA
    "\u0F72",  # TIBETAN VOWEL SIGN I
    "\u0F73",  # TIBETAN VOWEL SIGN II
    "\u0F74",  # TIBETAN VOWEL SIGN U
    "\u0F75",  # TIBETAN VOWEL SIGN UU
    "\u0F76",  # TIBETAN VOWEL SIGN VOCALIC R
    "\u0F77",  # TIBETAN VOWEL SIGN VOCALIC RR
    "\u0F78",  # TIBETAN VOWEL SIGN VOCALIC L
    "\u0F79",  # TIBETAN VOWEL SIGN VOCALIC LL
    "\u0F7A",  # TIBETAN VOWEL SIGN E
    "\u0F7B",  # TIBETAN VOWEL SIGN EE
    "\u0F7C",  # TIBETAN VOWEL SIGN O
    "\u0F7D",  # TIBETAN VOWEL SIGN OO
    "\u0F7E",  # TIBETAN SIGN RJES SU NGA RO
    "\u0F7F",  # TIBETAN SIGN RNAM BCAD
    "\u0F80",  # TIBETAN VOWEL SIGN REVERSED I
    "\u0F81",  # TIBETAN VOWEL SIGN REVERSED II
    "\u0F82",  # TIBETAN SIGN NYI ZLA NAA DA
    "\u0F83",  # TIBETAN SIGN SNA LDAN
    "\u0F84",  # TIBETAN MARK HALANTA
    "\u0F85",  # TIBETAN MARK PALUTA
    "\u0F86",  # TIBETAN SIGN LCI RTAGS
    "\u0F87",  # TIBETAN SIGN YANG RTAGS
    "\u0F88",  # TIBETAN SIGN LCE TSA CAN
    "\u0F89",  # TIBETAN SIGN MCHU CAN
    "\u0F8A",  # TIBETAN SIGN GRU CAN RGYINGS
    "\u0F8B",  # TIBETAN SIGN GRU MED RGYINGS
    "\u0F8C",  # TIBETAN SIGN INVERTED MCHU CAN
    "\u0F8D",  # TIBETAN SUBJOINED SIGN LCE TSA CAN
    "\u0F8E",  # TIBETAN SUBJOINED SIGN MCHU CAN
    "\u0F8F",  # TIBETAN SUBJOINED SIGN INVERTED MCHU CAN
    "\u0F90",  # TIBETAN SUBJOINED LETTER KA
    "\u0F91",  # TIBETAN SUBJOINED LETTER KHA
    "\u0F92",  # TIBETAN SUBJOINED LETTER GA
    "\u0F93",  # TIBETAN SUBJOINED LETTER GHA
    "\u0F94",  # TIBETAN SUBJOINED LETTER NGA
    "\u0F95",  # TIBETAN SUBJOINED LETTER CA
    "\u0F96",  # TIBETAN SUBJOINED LETTER CHA
    "\u0F97",  # TIBETAN SUBJOINED LETTER JA
    "\u0F99",  # TIBETAN SUBJOINED LETTER NYA
    "\u0F9A",  # TIBETAN SUBJOINED LETTER TTA
    "\u0F9B",  # TIBETAN SUBJOINED LETTER TTHA
    "\u0F9C",  # TIBETAN SUBJOINED LETTER DDA
    "\u0F9D",  # TIBETAN SUBJOINED LETTER DDHA
    "\u0F9E",  # TIBETAN SUBJOINED LETTER NNA
    "\u0F9F",  # TIBETAN SUBJOINED LETTER TA
    "\u0FA0",  # TIBETAN SUBJOINED LETTER THA
    "\u0FA1",  # TIBETAN SUBJOINED LETTER DA
    "\u0FA2",  # TIBETAN SUBJOINED LETTER DHA
    "\u0FA3",  # TIBETAN SUBJOINED LETTER NA
    "\u0FA4",  # TIBETAN SUBJOINED LETTER PA
    "\u0FA5",  # TIBETAN SUBJOINED LETTER PHA
    "\u0FA6",  # TIBETAN SUBJOINED LETTER BA
    "\u0FA7",  # TIBETAN SUBJOINED LETTER BHA
    "\u0FA8",  # TIBETAN SUBJOINED LETTER MA
    "\u0FA9",  # TIBETAN SUBJOINED LETTER TSA
    "\u0FAA",  # TIBETAN SUBJOINED LETTER TSHA
    "\u0FAB",  # TIBETAN SUBJOINED LETTER DZA
    "\u0FAC",  # TIBETAN SUBJOINED LETTER DZHA
    "\u0FAD",  # TIBETAN SUBJOINED LETTER WA
    "\u0FAE",  # TIBETAN SUBJOINED LETTER ZHA
    "\u0FAF",  # TIBETAN SUBJOINED LETTER ZA
    "\u0FB0",  # TIBETAN SUBJOINED LETTER -A
    "\u0FB1",  # TIBETAN SUBJOINED LETTER YA
    "\u0FB2",  # TIBETAN SUBJOINED LETTER RA
    "\u0FB3",  # TIBETAN SUBJOINED LETTER LA
    "\u0FB4",  # TIBETAN SUBJOINED LETTER SHA
    "\u0FB5",  # TIBETAN SUBJOINED LETTER SSA
    "\u0FB6",  # TIBETAN SUBJOINED LETTER SA
    "\u0FB7",  # TIBETAN SUBJOINED LETTER HA
    "\u0FB8",  # TIBETAN SUBJOINED LETTER A
    "\u0FB9",  # TIBETAN SUBJOINED LETTER KSSA
    "\u0FBA",  # TIBETAN SUBJOINED LETTER FIXED-FORM WA
    "\u0FBB",  # TIBETAN SUBJOINED LETTER FIXED-FORM YA
    "\u0FBC",  # TIBETAN SUBJOINED LETTER FIXED-FORM RA
    "\u0FBE",  # TIBETAN KU RU KHA
    "\u0FBF",  # TIBETAN KU RU KHA BZHI MIG CAN
    "\u0FC0",  # TIBETAN CANTILLATION SIGN HEAVY BEAT
    "\u0FC1",  # TIBETAN CANTILLATION SIGN LIGHT BEAT
    "\u0FC2",  # TIBETAN CANTILLATION SIGN CANG TE-U
    "\u0FC3",  # TIBETAN CANTILLATION SIGN SBUB -CHAL
    "\u0FC4",  # TIBETAN SYMBOL DRIL BU
    "\u0FC5",  # TIBETAN SYMBOL RDO RJE
    "\u0FC6",  # TIBETAN SYMBOL PADMA GDAN
    "\u0FC7",  # TIBETAN SYMBOL RDO RJE RGYA GRAM
    "\u0FC8",  # TIBETAN SYMBOL PHUR PA
    "\u0FC9",  # TIBETAN SYMBOL NOR BU
    "\u0FCA",  # TIBETAN SYMBOL NOR BU NYIS -KHYIL
    "\u0FCB",  # TIBETAN SYMBOL NOR BU GSUM -KHYIL
    "\u0FCC",  # TIBETAN SYMBOL NOR BU BZHI -KHYIL
    "\u0FCE",  # TIBETAN SIGN RDEL NAG RDEL DKAR
    "\u0FCF",  # TIBETAN SIGN RDEL NAG GSUM
    "\u0FD0",  # TIBETAN MARK BSKA- SHOG GI MGO RGYAN
    "\u0FD1",  # TIBETAN MARK MNYAM YIG GI MGO RGYAN
    "\u0FD2",  # TIBETAN MARK NYIS TSHEG
    "\u0FD3",  # TIBETAN MARK INITIAL BRDA RNYING YIG MGO MDUN MA
    "\u0FD4",  # TIBETAN MARK CLOSING BRDA RNYING YIG MGO SGAB MA
    "\u0FD5",  # RIGHT-FACING SVASTI SIGN
    "\u0FD6",  # LEFT-FACING SVASTI SIGN
    "\u0FD7",  # RIGHT-FACING SVASTI SIGN WITH DOTS
    "\u0FD8",  # LEFT-FACING SVASTI SIGN WITH DOTS
    "\u0FD9",  # TIBETAN MARK LEADING MCHAN RTAGS
    "\u0FDA",  # TIBETAN MARK TRAILING MCHAN RTAGS
    "\u1000",  # MYANMAR LETTER KA
    "\u1001",  # MYANMAR LETTER KHA
    "\u1002",  # MYANMAR LETTER GA
    "\u1003",  # MYANMAR LETTER GHA
    "\u1004",  # MYANMAR LETTER NGA
    "\u1005",  # MYANMAR LETTER CA
    "\u1006",  # MYANMAR LETTER CHA
    "\u1007",  # MYANMAR LETTER JA
    "\u1008",  # MYANMAR LETTER JHA
    "\u1009",  # MYANMAR LETTER NYA
    "\u100A",  # MYANMAR LETTER NNYA
    "\u100B",  # MYANMAR LETTER TTA
    "\u100C",  # MYANMAR LETTER TTHA
    "\u100D",  # MYANMAR LETTER DDA
    "\u100E",  # MYANMAR LETTER DDHA
    "\u100F",  # MYANMAR LETTER NNA
    "\u1010",  # MYANMAR LETTER TA
    "\u1011",  # MYANMAR LETTER THA
    "\u1012",  # MYANMAR LETTER DA
    "\u1013",  # MYANMAR LETTER DHA
    "\u1014",  # MYANMAR LETTER NA
    "\u1015",  # MYANMAR LETTER PA
    "\u1016",  # MYANMAR LETTER PHA
    "\u1017",  # MYANMAR LETTER BA
    "\u1018",  # MYANMAR LETTER BHA
    "\u1019",  # MYANMAR LETTER MA
    "\u101A",  # MYANMAR LETTER YA
    "\u101B",  # MYANMAR LETTER RA
    "\u101C",  # MYANMAR LETTER LA
    "\u101D",  # MYANMAR LETTER WA
    "\u101E",  # MYANMAR LETTER SA
    "\u101F",  # MYANMAR LETTER HA
    "\u1020",  # MYANMAR LETTER LLA
    "\u1021",  # MYANMAR LETTER A
    "\u1022",  # MYANMAR LETTER SHAN A
    "\u1023",  # MYANMAR LETTER I
    "\u1024",  # MYANMAR LETTER II
    "\u1025",  # MYANMAR LETTER U
    "\u1026",  # MYANMAR LETTER UU
    "\u1027",  # MYANMAR LETTER E
    "\u1028",  # MYANMAR LETTER MON E
    "\u1029",  # MYANMAR LETTER O
    "\u102A",  # MYANMAR LETTER AU
    "\u102B",  # MYANMAR VOWEL SIGN TALL AA
    "\u102C",  # MYANMAR VOWEL SIGN AA
    "\u102D",  # MYANMAR VOWEL SIGN I
    "\u102E",  # MYANMAR VOWEL SIGN II
    "\u102F",  # MYANMAR VOWEL SIGN U
    "\u1030",  # MYANMAR VOWEL SIGN UU
    "\u1031",  # MYANMAR VOWEL SIGN E
    "\u1032",  # MYANMAR VOWEL SIGN AI
    "\u1033",  # MYANMAR VOWEL SIGN MON II
    "\u1034",  # MYANMAR VOWEL SIGN MON O
    "\u1035",  # MYANMAR VOWEL SIGN E ABOVE
    "\u1036",  # MYANMAR SIGN ANUSVARA
    "\u1037",  # MYANMAR SIGN DOT BELOW
    "\u1038",  # MYANMAR SIGN VISARGA
    "\u1039",  # MYANMAR SIGN VIRAMA
    "\u103A",  # MYANMAR SIGN ASAT
    "\u103B",  # MYANMAR CONSONANT SIGN MEDIAL YA
    "\u103C",  # MYANMAR CONSONANT SIGN MEDIAL RA
    "\u103D",  # MYANMAR CONSONANT SIGN MEDIAL WA
    "\u103E",  # MYANMAR CONSONANT SIGN MEDIAL HA
    "\u103F",  # MYANMAR LETTER GREAT SA
    "\u1040",  # MYANMAR DIGIT ZERO
    "\u1041",  # MYANMAR DIGIT ONE
    "\u1042",  # MYANMAR DIGIT TWO
    "\u1043",  # MYANMAR DIGIT THREE
    "\u1044",  # MYANMAR DIGIT FOUR
    "\u1045",  # MYANMAR DIGIT FIVE
    "\u1046",  # MYANMAR DIGIT SIX
    "\u1047",  # MYANMAR DIGIT SEVEN
    "\u1048",  # MYANMAR DIGIT EIGHT
    "\u1049",  # MYANMAR DIGIT NINE
    "\u104A",  # MYANMAR SIGN LITTLE SECTION
    "\u104B",  # MYANMAR SIGN SECTION
    "\u104C",  # MYANMAR SYMBOL LOCATIVE
    "\u104D",  # MYANMAR SYMBOL COMPLETED
    "\u104E",  # MYANMAR SYMBOL AFOREMENTIONED
    "\u104F",  # MYANMAR SYMBOL GENITIVE
    "\u1050",  # MYANMAR LETTER SHA
    "\u1051",  # MYANMAR LETTER SSA
    "\u1052",  # MYANMAR LETTER VOCALIC R
    "\u1053",  # MYANMAR LETTER VOCALIC RR
    "\u1054",  # MYANMAR LETTER VOCALIC L
    "\u1055",  # MYANMAR LETTER VOCALIC LL
    "\u1056",  # MYANMAR VOWEL SIGN VOCALIC R
    "\u1057",  # MYANMAR VOWEL SIGN VOCALIC RR
    "\u1058",  # MYANMAR VOWEL SIGN VOCALIC L
    "\u1059",  # MYANMAR VOWEL SIGN VOCALIC LL
    "\u105A",  # MYANMAR LETTER MON NGA
    "\u105B",  # MYANMAR LETTER MON JHA
    "\u105C",  # MYANMAR LETTER MON BBA
    "\u105D",  # MYANMAR LETTER MON BBE
    "\u105E",  # MYANMAR CONSONANT SIGN MON MEDIAL NA
    "\u105F",  # MYANMAR CONSONANT SIGN MON MEDIAL MA
    "\u1060",  # MYANMAR CONSONANT SIGN MON MEDIAL LA
    "\u1061",  # MYANMAR LETTER SGAW KAREN SHA
    "\u1062",  # MYANMAR VOWEL SIGN SGAW KAREN EU
    "\u1063",  # MYANMAR TONE MARK SGAW KAREN HATHI
    "\u1064",  # MYANMAR TONE MARK SGAW KAREN KE PHO
    "\u1065",  # MYANMAR LETTER WESTERN PWO KAREN THA
    "\u1066",  # MYANMAR LETTER WESTERN PWO KAREN PWA
    "\u1067",  # MYANMAR VOWEL SIGN WESTERN PWO KAREN EU
    "\u1068",  # MYANMAR VOWEL SIGN WESTERN PWO KAREN UE
    "\u1069",  # MYANMAR SIGN WESTERN PWO KAREN TONE-1
    "\u106A",  # MYANMAR SIGN WESTERN PWO KAREN TONE-2
    "\u106B",  # MYANMAR SIGN WESTERN PWO KAREN TONE-3
    "\u106C",  # MYANMAR SIGN WESTERN PWO KAREN TONE-4
    "\u106D",  # MYANMAR SIGN WESTERN PWO KAREN TONE-5
    "\u106E",  # MYANMAR LETTER EASTERN PWO KAREN NNA
    "\u106F",  # MYANMAR LETTER EASTERN PWO KAREN YWA
    "\u1070",  # MYANMAR LETTER EASTERN PWO KAREN GHWA
    "\u1071",  # MYANMAR VOWEL SIGN GEBA KAREN I
    "\u1072",  # MYANMAR VOWEL SIGN KAYAH OE
    "\u1073",  # MYANMAR VOWEL SIGN KAYAH U
    "\u1074",  # MYANMAR VOWEL SIGN KAYAH EE
    "\u1075",  # MYANMAR LETTER SHAN KA
    "\u1076",  # MYANMAR LETTER SHAN KHA
    "\u1077",  # MYANMAR LETTER SHAN GA
    "\u1078",  # MYANMAR LETTER SHAN CA
    "\u1079",  # MYANMAR LETTER SHAN ZA
    "\u107A",  # MYANMAR LETTER SHAN NYA
    "\u107B",  # MYANMAR LETTER SHAN DA
    "\u107C",  # MYANMAR LETTER SHAN NA
    "\u107D",  # MYANMAR LETTER SHAN PHA
    "\u107E",  # MYANMAR LETTER SHAN FA
    "\u107F",  # MYANMAR LETTER SHAN BA
    "\u1080",  # MYANMAR LETTER SHAN THA
    "\u1081",  # MYANMAR LETTER SHAN HA
    "\u1082",  # MYANMAR CONSONANT SIGN SHAN MEDIAL WA
    "\u1083",  # MYANMAR VOWEL SIGN SHAN AA
    "\u1084",  # MYANMAR VOWEL SIGN SHAN E
    "\u1085",  # MYANMAR VOWEL SIGN SHAN E ABOVE
    "\u1086",  # MYANMAR VOWEL SIGN SHAN FINAL Y
    "\u1087",  # MYANMAR SIGN SHAN TONE-2
    "\u1088",  # MYANMAR SIGN SHAN TONE-3
    "\u1089",  # MYANMAR SIGN SHAN TONE-5
    "\u108A",  # MYANMAR SIGN SHAN TONE-6
    "\u108B",  # MYANMAR SIGN SHAN COUNCIL TONE-2
    "\u108C",  # MYANMAR SIGN SHAN COUNCIL TONE-3
    "\u108D",  # MYANMAR SIGN SHAN COUNCIL EMPHATIC TONE
    "\u108E",  # MYANMAR LETTER RUMAI PALAUNG FA
    "\u108F",  # MYANMAR SIGN RUMAI PALAUNG TONE-5
    "\u1090",  # MYANMAR SHAN DIGIT ZERO
    "\u1091",  # MYANMAR SHAN DIGIT ONE
    "\u1092",  # MYANMAR SHAN DIGIT TWO
    "\u1093",  # MYANMAR SHAN DIGIT THREE
    "\u1094",  # MYANMAR SHAN DIGIT FOUR
    "\u1095",  # MYANMAR SHAN DIGIT FIVE
    "\u1096",  # MYANMAR SHAN DIGIT SIX
    "\u1097",  # MYANMAR SHAN DIGIT SEVEN
    "\u1098",  # MYANMAR SHAN DIGIT EIGHT
    "\u1099",  # MYANMAR SHAN DIGIT NINE
    "\u109A",  # MYANMAR SIGN KHAMTI TONE-1
    "\u109B",  # MYANMAR SIGN KHAMTI TONE-3
    "\u109C",  # MYANMAR VOWEL SIGN AITON A
    "\u109D",  # MYANMAR VOWEL SIGN AITON AI
    "\u109E",  # MYANMAR SYMBOL SHAN ONE
    "\u109F",  # MYANMAR SYMBOL SHAN EXCLAMATION
    "\u10A0",  # GEORGIAN CAPITAL LETTER AN
    "\u10A1",  # GEORGIAN CAPITAL LETTER BAN
    "\u10A2",  # GEORGIAN CAPITAL LETTER GAN
    "\u10A3",  # GEORGIAN CAPITAL LETTER DON
    "\u10A4",  # GEORGIAN CAPITAL LETTER EN
    "\u10A5",  # GEORGIAN CAPITAL LETTER VIN
    "\u10A6",  # GEORGIAN CAPITAL LETTER ZEN
    "\u10A7",  # GEORGIAN CAPITAL LETTER TAN
    "\u10A8",  # GEORGIAN CAPITAL LETTER IN
    "\u10A9",  # GEORGIAN CAPITAL LETTER KAN
    "\u10AA",  # GEORGIAN CAPITAL LETTER LAS
    "\u10AB",  # GEORGIAN CAPITAL LETTER MAN
    "\u10AC",  # GEORGIAN CAPITAL LETTER NAR
    "\u10AD",  # GEORGIAN CAPITAL LETTER ON
    "\u10AE",  # GEORGIAN CAPITAL LETTER PAR
    "\u10AF",  # GEORGIAN CAPITAL LETTER ZHAR
    "\u10B0",  # GEORGIAN CAPITAL LETTER RAE
    "\u10B1",  # GEORGIAN CAPITAL LETTER SAN
    "\u10B2",  # GEORGIAN CAPITAL LETTER TAR
    "\u10B3",  # GEORGIAN CAPITAL LETTER UN
    "\u10B4",  # GEORGIAN CAPITAL LETTER PHAR
    "\u10B5",  # GEORGIAN CAPITAL LETTER KHAR
    "\u10B6",  # GEORGIAN CAPITAL LETTER GHAN
    "\u10B7",  # GEORGIAN CAPITAL LETTER QAR
    "\u10B8",  # GEORGIAN CAPITAL LETTER SHIN
    "\u10B9",  # GEORGIAN CAPITAL LETTER CHIN
    "\u10BA",  # GEORGIAN CAPITAL LETTER CAN
    "\u10BB",  # GEORGIAN CAPITAL LETTER JIL
    "\u10BC",  # GEORGIAN CAPITAL LETTER CIL
    "\u10BD",  # GEORGIAN CAPITAL LETTER CHAR
    "\u10BE",  # GEORGIAN CAPITAL LETTER XAN
    "\u10BF",  # GEORGIAN CAPITAL LETTER JHAN
    "\u10C0",  # GEORGIAN CAPITAL LETTER HAE
    "\u10C1",  # GEORGIAN CAPITAL LETTER HE
    "\u10C2",  # GEORGIAN CAPITAL LETTER HIE
    "\u10C3",  # GEORGIAN CAPITAL LETTER WE
    "\u10C4",  # GEORGIAN CAPITAL LETTER HAR
    "\u10C5",  # GEORGIAN CAPITAL LETTER HOE
    "\u10C7",  # GEORGIAN CAPITAL LETTER YN
    "\u10CD",  # GEORGIAN CAPITAL LETTER AEN
    "\u10D0",  # GEORGIAN LETTER AN
    "\u10D1",  # GEORGIAN LETTER BAN
    "\u10D2",  # GEORGIAN LETTER GAN
    "\u10D3",  # GEORGIAN LETTER DON
    "\u10D4",  # GEORGIAN LETTER EN
    "\u10D5",  # GEORGIAN LETTER VIN
    "\u10D6",  # GEORGIAN LETTER ZEN
    "\u10D7",  # GEORGIAN LETTER TAN
    "\u10D8",  # GEORGIAN LETTER IN
    "\u10D9",  # GEORGIAN LETTER KAN
    "\u10DA",  # GEORGIAN LETTER LAS
    "\u10DB",  # GEORGIAN LETTER MAN
    "\u10DC",  # GEORGIAN LETTER NAR
    "\u10DD",  # GEORGIAN LETTER ON
    "\u10DE",  # GEORGIAN LETTER PAR
    "\u10DF",  # GEORGIAN LETTER ZHAR
    "\u10E0",  # GEORGIAN LETTER RAE
    "\u10E1",  # GEORGIAN LETTER SAN
    "\u10E2",  # GEORGIAN LETTER TAR
    "\u10E3",  # GEORGIAN LETTER UN
    "\u10E4",  # GEORGIAN LETTER PHAR
    "\u10E5",  # GEORGIAN LETTER KHAR
    "\u10E6",  # GEORGIAN LETTER GHAN
    "\u10E7",  # GEORGIAN LETTER QAR
    "\u10E8",  # GEORGIAN LETTER SHIN
    "\u10E9",  # GEORGIAN LETTER CHIN
    "\u10EA",  # GEORGIAN LETTER CAN
    "\u10EB",  # GEORGIAN LETTER JIL
    "\u10EC",  # GEORGIAN LETTER CIL
    "\u10ED",  # GEORGIAN LETTER CHAR
    "\u10EE",  # GEORGIAN LETTER XAN
    "\u10EF",  # GEORGIAN LETTER JHAN
    "\u10F0",  # GEORGIAN LETTER HAE
    "\u10F1",  # GEORGIAN LETTER HE
    "\u10F2",  # GEORGIAN LETTER HIE
    "\u10F3",  # GEORGIAN LETTER WE
    "\u10F4",  # GEORGIAN LETTER HAR
    "\u10F5",  # GEORGIAN LETTER HOE
    "\u10F6",  # GEORGIAN LETTER FI
    "\u10F7",  # GEORGIAN LETTER YN
    "\u10F8",  # GEORGIAN LETTER ELIFI
    "\u10F9",  # GEORGIAN LETTER TURNED GAN
    "\u10FA",  # GEORGIAN LETTER AIN
    "\u10FB",  # GEORGIAN PARAGRAPH SEPARATOR
    "\u10FC",  # MODIFIER LETTER GEORGIAN NAR
    "\u10FD",  # GEORGIAN LETTER AEN
    "\u10FE",  # GEORGIAN LETTER HARD SIGN
    "\u10FF",  # GEORGIAN LETTER LABIAL SIGN
    "\u1100",  # HANGUL CHOSEONG KIYEOK
    "\u1101",  # HANGUL CHOSEONG SSANGKIYEOK
    "\u1102",  # HANGUL CHOSEONG NIEUN
    "\u1103",  # HANGUL CHOSEONG TIKEUT
    "\u1104",  # HANGUL CHOSEONG SSANGTIKEUT
    "\u1105",  # HANGUL CHOSEONG RIEUL
    "\u1106",  # HANGUL CHOSEONG MIEUM
    "\u1107",  # HANGUL CHOSEONG PIEUP
    "\u1108",  # HANGUL CHOSEONG SSANGPIEUP
    "\u1109",  # HANGUL CHOSEONG SIOS
    "\u110A",  # HANGUL CHOSEONG SSANGSIOS
    "\u110B",  # HANGUL CHOSEONG IEUNG
    "\u110C",  # HANGUL CHOSEONG CIEUC
    "\u110D",  # HANGUL CHOSEONG SSANGCIEUC
    "\u110E",  # HANGUL CHOSEONG CHIEUCH
    "\u110F",  # HANGUL CHOSEONG KHIEUKH
    "\u1110",  # HANGUL CHOSEONG THIEUTH
    "\u1111",  # HANGUL CHOSEONG PHIEUPH
    "\u1112",  # HANGUL CHOSEONG HIEUH
    "\u1113",  # HANGUL CHOSEONG NIEUN-KIYEOK
    "\u1114",  # HANGUL CHOSEONG SSANGNIEUN
    "\u1115",  # HANGUL CHOSEONG NIEUN-TIKEUT
    "\u1116",  # HANGUL CHOSEONG NIEUN-PIEUP
    "\u1117",  # HANGUL CHOSEONG TIKEUT-KIYEOK
    "\u1118",  # HANGUL CHOSEONG RIEUL-NIEUN
    "\u1119",  # HANGUL CHOSEONG SSANGRIEUL
    "\u111A",  # HANGUL CHOSEONG RIEUL-HIEUH
    "\u111B",  # HANGUL CHOSEONG KAPYEOUNRIEUL
    "\u111C",  # HANGUL CHOSEONG MIEUM-PIEUP
    "\u111D",  # HANGUL CHOSEONG KAPYEOUNMIEUM
    "\u111E",  # HANGUL CHOSEONG PIEUP-KIYEOK
    "\u111F",  # HANGUL CHOSEONG PIEUP-NIEUN
    "\u1120",  # HANGUL CHOSEONG PIEUP-TIKEUT
    "\u1121",  # HANGUL CHOSEONG PIEUP-SIOS
    "\u1122",  # HANGUL CHOSEONG PIEUP-SIOS-KIYEOK
    "\u1123",  # HANGUL CHOSEONG PIEUP-SIOS-TIKEUT
    "\u1124",  # HANGUL CHOSEONG PIEUP-SIOS-PIEUP
    "\u1125",  # HANGUL CHOSEONG PIEUP-SSANGSIOS
    "\u1126",  # HANGUL CHOSEONG PIEUP-SIOS-CIEUC
    "\u1127",  # HANGUL CHOSEONG PIEUP-CIEUC
    "\u1128",  # HANGUL CHOSEONG PIEUP-CHIEUCH
    "\u1129",  # HANGUL CHOSEONG PIEUP-THIEUTH
    "\u112A",  # HANGUL CHOSEONG PIEUP-PHIEUPH
    "\u112B",  # HANGUL CHOSEONG KAPYEOUNPIEUP
    "\u112C",  # HANGUL CHOSEONG KAPYEOUNSSANGPIEUP
    "\u112D",  # HANGUL CHOSEONG SIOS-KIYEOK
    "\u112E",  # HANGUL CHOSEONG SIOS-NIEUN
    "\u112F",  # HANGUL CHOSEONG SIOS-TIKEUT
    "\u1130",  # HANGUL CHOSEONG SIOS-RIEUL
    "\u1131",  # HANGUL CHOSEONG SIOS-MIEUM
    "\u1132",  # HANGUL CHOSEONG SIOS-PIEUP
    "\u1133",  # HANGUL CHOSEONG SIOS-PIEUP-KIYEOK
    "\u1134",  # HANGUL CHOSEONG SIOS-SSANGSIOS
    "\u1135",  # HANGUL CHOSEONG SIOS-IEUNG
    "\u1136",  # HANGUL CHOSEONG SIOS-CIEUC
    "\u1137",  # HANGUL CHOSEONG SIOS-CHIEUCH
    "\u1138",  # HANGUL CHOSEONG SIOS-KHIEUKH
    "\u1139",  # HANGUL CHOSEONG SIOS-THIEUTH
    "\u113A",  # HANGUL CHOSEONG SIOS-PHIEUPH
    "\u113B",  # HANGUL CHOSEONG SIOS-HIEUH
    "\u113C",  # HANGUL CHOSEONG CHITUEUMSIOS
    "\u113D",  # HANGUL CHOSEONG CHITUEUMSSANGSIOS
    "\u113E",  # HANGUL CHOSEONG CEONGCHIEUMSIOS
    "\u113F",  # HANGUL CHOSEONG CEONGCHIEUMSSANGSIOS
    "\u1140",  # HANGUL CHOSEONG PANSIOS
    "\u1141",  # HANGUL CHOSEONG IEUNG-KIYEOK
    "\u1142",  # HANGUL CHOSEONG IEUNG-TIKEUT
    "\u1143",  # HANGUL CHOSEONG IEUNG-MIEUM
    "\u1144",  # HANGUL CHOSEONG IEUNG-PIEUP
    "\u1145",  # HANGUL CHOSEONG IEUNG-SIOS
    "\u1146",  # HANGUL CHOSEONG IEUNG-PANSIOS
    "\u1147",  # HANGUL CHOSEONG SSANGIEUNG
    "\u1148",  # HANGUL CHOSEONG IEUNG-CIEUC
    "\u1149",  # HANGUL CHOSEONG IEUNG-CHIEUCH
    "\u114A",  # HANGUL CHOSEONG IEUNG-THIEUTH
    "\u114B",  # HANGUL CHOSEONG IEUNG-PHIEUPH
    "\u114C",  # HANGUL CHOSEONG YESIEUNG
    "\u114D",  # HANGUL CHOSEONG CIEUC-IEUNG
    "\u114E",  # HANGUL CHOSEONG CHITUEUMCIEUC
    "\u114F",  # HANGUL CHOSEONG CHITUEUMSSANGCIEUC
    "\u1150",  # HANGUL CHOSEONG CEONGCHIEUMCIEUC
    "\u1151",  # HANGUL CHOSEONG CEONGCHIEUMSSANGCIEUC
    "\u1152",  # HANGUL CHOSEONG CHIEUCH-KHIEUKH
    "\u1153",  # HANGUL CHOSEONG CHIEUCH-HIEUH
    "\u1154",  # HANGUL CHOSEONG CHITUEUMCHIEUCH
    "\u1155",  # HANGUL CHOSEONG CEONGCHIEUMCHIEUCH
    "\u1156",  # HANGUL CHOSEONG PHIEUPH-PIEUP
    "\u1157",  # HANGUL CHOSEONG KAPYEOUNPHIEUPH
    "\u1158",  # HANGUL CHOSEONG SSANGHIEUH
    "\u1159",  # HANGUL CHOSEONG YEORINHIEUH
    "\u115A",  # HANGUL CHOSEONG KIYEOK-TIKEUT
    "\u115B",  # HANGUL CHOSEONG NIEUN-SIOS
    "\u115C",  # HANGUL CHOSEONG NIEUN-CIEUC
    "\u115D",  # HANGUL CHOSEONG NIEUN-HIEUH
    "\u115E",  # HANGUL CHOSEONG TIKEUT-RIEUL
    "\u115F",  # HANGUL CHOSEONG FILLER
    "\u1160",  # HANGUL JUNGSEONG FILLER
    "\u1161",  # HANGUL JUNGSEONG A
    "\u1162",  # HANGUL JUNGSEONG AE
    "\u1163",  # HANGUL JUNGSEONG YA
    "\u1164",  # HANGUL JUNGSEONG YAE
    "\u1165",  # HANGUL JUNGSEONG EO
    "\u1166",  # HANGUL JUNGSEONG E
    "\u1167",  # HANGUL JUNGSEONG YEO
    "\u1168",  # HANGUL JUNGSEONG YE
    "\u1169",  # HANGUL JUNGSEONG O
    "\u116A",  # HANGUL JUNGSEONG WA
    "\u116B",  # HANGUL JUNGSEONG WAE
    "\u116C",  # HANGUL JUNGSEONG OE
    "\u116D",  # HANGUL JUNGSEONG YO
    "\u116E",  # HANGUL JUNGSEONG U
    "\u116F",  # HANGUL JUNGSEONG WEO
    "\u1170",  # HANGUL JUNGSEONG WE
    "\u1171",  # HANGUL JUNGSEONG WI
    "\u1172",  # HANGUL JUNGSEONG YU
    "\u1173",  # HANGUL JUNGSEONG EU
    "\u1174",  # HANGUL JUNGSEONG YI
    "\u1175",  # HANGUL JUNGSEONG I
    "\u1176",  # HANGUL JUNGSEONG A-O
    "\u1177",  # HANGUL JUNGSEONG A-U
    "\u1178",  # HANGUL JUNGSEONG YA-O
    "\u1179",  # HANGUL JUNGSEONG YA-YO
    "\u117A",  # HANGUL JUNGSEONG EO-O
    "\u117B",  # HANGUL JUNGSEONG EO-U
    "\u117C",  # HANGUL JUNGSEONG EO-EU
    "\u117D",  # HANGUL JUNGSEONG YEO-O
    "\u117E",  # HANGUL JUNGSEONG YEO-U
    "\u117F",  # HANGUL JUNGSEONG O-EO
    "\u1180",  # HANGUL JUNGSEONG O-E
    "\u1181",  # HANGUL JUNGSEONG O-YE
    "\u1182",  # HANGUL JUNGSEONG O-O
    "\u1183",  # HANGUL JUNGSEONG O-U
    "\u1184",  # HANGUL JUNGSEONG YO-YA
    "\u1185",  # HANGUL JUNGSEONG YO-YAE
    "\u1186",  # HANGUL JUNGSEONG YO-YEO
    "\u1187",  # HANGUL JUNGSEONG YO-O
    "\u1188",  # HANGUL JUNGSEONG YO-I
    "\u1189",  # HANGUL JUNGSEONG U-A
    "\u118A",  # HANGUL JUNGSEONG U-AE
    "\u118B",  # HANGUL JUNGSEONG U-EO-EU
    "\u118C",  # HANGUL JUNGSEONG U-YE
    "\u118D",  # HANGUL JUNGSEONG U-U
    "\u118E",  # HANGUL JUNGSEONG YU-A
    "\u118F",  # HANGUL JUNGSEONG YU-EO
    "\u1190",  # HANGUL JUNGSEONG YU-E
    "\u1191",  # HANGUL JUNGSEONG YU-YEO
    "\u1192",  # HANGUL JUNGSEONG YU-YE
    "\u1193",  # HANGUL JUNGSEONG YU-U
    "\u1194",  # HANGUL JUNGSEONG YU-I
    "\u1195",  # HANGUL JUNGSEONG EU-U
    "\u1196",  # HANGUL JUNGSEONG EU-EU
    "\u1197",  # HANGUL JUNGSEONG YI-U
    "\u1198",  # HANGUL JUNGSEONG I-A
    "\u1199",  # HANGUL JUNGSEONG I-YA
    "\u119A",  # HANGUL JUNGSEONG I-O
    "\u119B",  # HANGUL JUNGSEONG I-U
    "\u119C",  # HANGUL JUNGSEONG I-EU
    "\u119D",  # HANGUL JUNGSEONG I-ARAEA
    "\u119E",  # HANGUL JUNGSEONG ARAEA
    "\u119F",  # HANGUL JUNGSEONG ARAEA-EO
    "\u11A0",  # HANGUL JUNGSEONG ARAEA-U
    "\u11A1",  # HANGUL JUNGSEONG ARAEA-I
    "\u11A2",  # HANGUL JUNGSEONG SSANGARAEA
    "\u11A3",  # HANGUL JUNGSEONG A-EU
    "\u11A4",  # HANGUL JUNGSEONG YA-U
    "\u11A5",  # HANGUL JUNGSEONG YEO-YA
    "\u11A6",  # HANGUL JUNGSEONG O-YA
    "\u11A7",  # HANGUL JUNGSEONG O-YAE
    "\u11A8",  # HANGUL JONGSEONG KIYEOK
    "\u11A9",  # HANGUL JONGSEONG SSANGKIYEOK
    "\u11AA",  # HANGUL JONGSEONG KIYEOK-SIOS
    "\u11AB",  # HANGUL JONGSEONG NIEUN
    "\u11AC",  # HANGUL JONGSEONG NIEUN-CIEUC
    "\u11AD",  # HANGUL JONGSEONG NIEUN-HIEUH
    "\u11AE",  # HANGUL JONGSEONG TIKEUT
    "\u11AF",  # HANGUL JONGSEONG RIEUL
    "\u11B0",  # HANGUL JONGSEONG RIEUL-KIYEOK
    "\u11B1",  # HANGUL JONGSEONG RIEUL-MIEUM
    "\u11B2",  # HANGUL JONGSEONG RIEUL-PIEUP
    "\u11B3",  # HANGUL JONGSEONG RIEUL-SIOS
    "\u11B4",  # HANGUL JONGSEONG RIEUL-THIEUTH
    "\u11B5",  # HANGUL JONGSEONG RIEUL-PHIEUPH
    "\u11B6",  # HANGUL JONGSEONG RIEUL-HIEUH
    "\u11B7",  # HANGUL JONGSEONG MIEUM
    "\u11B8",  # HANGUL JONGSEONG PIEUP
    "\u11B9",  # HANGUL JONGSEONG PIEUP-SIOS
    "\u11BA",  # HANGUL JONGSEONG SIOS
    "\u11BB",  # HANGUL JONGSEONG SSANGSIOS
    "\u11BC",  # HANGUL JONGSEONG IEUNG
    "\u11BD",  # HANGUL JONGSEONG CIEUC
    "\u11BE",  # HANGUL JONGSEONG CHIEUCH
    "\u11BF",  # HANGUL JONGSEONG KHIEUKH
    "\u11C0",  # HANGUL JONGSEONG THIEUTH
    "\u11C1",  # HANGUL JONGSEONG PHIEUPH
    "\u11C2",  # HANGUL JONGSEONG HIEUH
    "\u11C3",  # HANGUL JONGSEONG KIYEOK-RIEUL
    "\u11C4",  # HANGUL JONGSEONG KIYEOK-SIOS-KIYEOK
    "\u11C5",  # HANGUL JONGSEONG NIEUN-KIYEOK
    "\u11C6",  # HANGUL JONGSEONG NIEUN-TIKEUT
    "\u11C7",  # HANGUL JONGSEONG NIEUN-SIOS
    "\u11C8",  # HANGUL JONGSEONG NIEUN-PANSIOS
    "\u11C9",  # HANGUL JONGSEONG NIEUN-THIEUTH
    "\u11CA",  # HANGUL JONGSEONG TIKEUT-KIYEOK
    "\u11CB",  # HANGUL JONGSEONG TIKEUT-RIEUL
    "\u11CC",  # HANGUL JONGSEONG RIEUL-KIYEOK-SIOS
    "\u11CD",  # HANGUL JONGSEONG RIEUL-NIEUN
    "\u11CE",  # HANGUL JONGSEONG RIEUL-TIKEUT
    "\u11CF",  # HANGUL JONGSEONG RIEUL-TIKEUT-HIEUH
    "\u11D0",  # HANGUL JONGSEONG SSANGRIEUL
    "\u11D1",  # HANGUL JONGSEONG RIEUL-MIEUM-KIYEOK
    "\u11D2",  # HANGUL JONGSEONG RIEUL-MIEUM-SIOS
    "\u11D3",  # HANGUL JONGSEONG RIEUL-PIEUP-SIOS
    "\u11D4",  # HANGUL JONGSEONG RIEUL-PIEUP-HIEUH
    "\u11D5",  # HANGUL JONGSEONG RIEUL-KAPYEOUNPIEUP
    "\u11D6",  # HANGUL JONGSEONG RIEUL-SSANGSIOS
    "\u11D7",  # HANGUL JONGSEONG RIEUL-PANSIOS
    "\u11D8",  # HANGUL JONGSEONG RIEUL-KHIEUKH
    "\u11D9",  # HANGUL JONGSEONG RIEUL-YEORINHIEUH
    "\u11DA",  # HANGUL JONGSEONG MIEUM-KIYEOK
    "\u11DB",  # HANGUL JONGSEONG MIEUM-RIEUL
    "\u11DC",  # HANGUL JONGSEONG MIEUM-PIEUP
    "\u11DD",  # HANGUL JONGSEONG MIEUM-SIOS
    "\u11DE",  # HANGUL JONGSEONG MIEUM-SSANGSIOS
    "\u11DF",  # HANGUL JONGSEONG MIEUM-PANSIOS
    "\u11E0",  # HANGUL JONGSEONG MIEUM-CHIEUCH
    "\u11E1",  # HANGUL JONGSEONG MIEUM-HIEUH
    "\u11E2",  # HANGUL JONGSEONG KAPYEOUNMIEUM
    "\u11E3",  # HANGUL JONGSEONG PIEUP-RIEUL
    "\u11E4",  # HANGUL JONGSEONG PIEUP-PHIEUPH
    "\u11E5",  # HANGUL JONGSEONG PIEUP-HIEUH
    "\u11E6",  # HANGUL JONGSEONG KAPYEOUNPIEUP
    "\u11E7",  # HANGUL JONGSEONG SIOS-KIYEOK
    "\u11E8",  # HANGUL JONGSEONG SIOS-TIKEUT
    "\u11E9",  # HANGUL JONGSEONG SIOS-RIEUL
    "\u11EA",  # HANGUL JONGSEONG SIOS-PIEUP
    "\u11EB",  # HANGUL JONGSEONG PANSIOS
    "\u11EC",  # HANGUL JONGSEONG IEUNG-KIYEOK
    "\u11ED",  # HANGUL JONGSEONG IEUNG-SSANGKIYEOK
    "\u11EE",  # HANGUL JONGSEONG SSANGIEUNG
    "\u11EF",  # HANGUL JONGSEONG IEUNG-KHIEUKH
    "\u11F0",  # HANGUL JONGSEONG YESIEUNG
    "\u11F1",  # HANGUL JONGSEONG YESIEUNG-SIOS
    "\u11F2",  # HANGUL JONGSEONG YESIEUNG-PANSIOS
    "\u11F3",  # HANGUL JONGSEONG PHIEUPH-PIEUP
    "\u11F4",  # HANGUL JONGSEONG KAPYEOUNPHIEUPH
    "\u11F5",  # HANGUL JONGSEONG HIEUH-NIEUN
    "\u11F6",  # HANGUL JONGSEONG HIEUH-RIEUL
    "\u11F7",  # HANGUL JONGSEONG HIEUH-MIEUM
    "\u11F8",  # HANGUL JONGSEONG HIEUH-PIEUP
    "\u11F9",  # HANGUL JONGSEONG YEORINHIEUH
    "\u11FA",  # HANGUL JONGSEONG KIYEOK-NIEUN
    "\u11FB",  # HANGUL JONGSEONG KIYEOK-PIEUP
    "\u11FC",  # HANGUL JONGSEONG KIYEOK-CHIEUCH
    "\u11FD",  # HANGUL JONGSEONG KIYEOK-KHIEUKH
    "\u11FE",  # HANGUL JONGSEONG KIYEOK-HIEUH
    "\u11FF",  # HANGUL JONGSEONG SSANGNIEUN
    "\u1200",  # ETHIOPIC SYLLABLE HA
    "\u1201",  # ETHIOPIC SYLLABLE HU
    "\u1202",  # ETHIOPIC SYLLABLE HI
    "\u1203",  # ETHIOPIC SYLLABLE HAA
    "\u1204",  # ETHIOPIC SYLLABLE HEE
    "\u1205",  # ETHIOPIC SYLLABLE HE
    "\u1206",  # ETHIOPIC SYLLABLE HO
    "\u1207",  # ETHIOPIC SYLLABLE HOA
    "\u1208",  # ETHIOPIC SYLLABLE LA
    "\u1209",  # ETHIOPIC SYLLABLE LU
    "\u120A",  # ETHIOPIC SYLLABLE LI
    "\u120B",  # ETHIOPIC SYLLABLE LAA
    "\u120C",  # ETHIOPIC SYLLABLE LEE
    "\u120D",  # ETHIOPIC SYLLABLE LE
    "\u120E",  # ETHIOPIC SYLLABLE LO
    "\u120F",  # ETHIOPIC SYLLABLE LWA
    "\u1210",  # ETHIOPIC SYLLABLE HHA
    "\u1211",  # ETHIOPIC SYLLABLE HHU
    "\u1212",  # ETHIOPIC SYLLABLE HHI
    "\u1213",  # ETHIOPIC SYLLABLE HHAA
    "\u1214",  # ETHIOPIC SYLLABLE HHEE
    "\u1215",  # ETHIOPIC SYLLABLE HHE
    "\u1216",  # ETHIOPIC SYLLABLE HHO
    "\u1217",  # ETHIOPIC SYLLABLE HHWA
    "\u1218",  # ETHIOPIC SYLLABLE MA
    "\u1219",  # ETHIOPIC SYLLABLE MU
    "\u121A",  # ETHIOPIC SYLLABLE MI
    "\u121B",  # ETHIOPIC SYLLABLE MAA
    "\u121C",  # ETHIOPIC SYLLABLE MEE
    "\u121D",  # ETHIOPIC SYLLABLE ME
    "\u121E",  # ETHIOPIC SYLLABLE MO
    "\u121F",  # ETHIOPIC SYLLABLE MWA
    "\u1220",  # ETHIOPIC SYLLABLE SZA
    "\u1221",  # ETHIOPIC SYLLABLE SZU
    "\u1222",  # ETHIOPIC SYLLABLE SZI
    "\u1223",  # ETHIOPIC SYLLABLE SZAA
    "\u1224",  # ETHIOPIC SYLLABLE SZEE
    "\u1225",  # ETHIOPIC SYLLABLE SZE
    "\u1226",  # ETHIOPIC SYLLABLE SZO
    "\u1227",  # ETHIOPIC SYLLABLE SZWA
    "\u1228",  # ETHIOPIC SYLLABLE RA
    "\u1229",  # ETHIOPIC SYLLABLE RU
    "\u122A",  # ETHIOPIC SYLLABLE RI
    "\u122B",  # ETHIOPIC SYLLABLE RAA
    "\u122C",  # ETHIOPIC SYLLABLE REE
    "\u122D",  # ETHIOPIC SYLLABLE RE
    "\u122E",  # ETHIOPIC SYLLABLE RO
    "\u122F",  # ETHIOPIC SYLLABLE RWA
    "\u1230",  # ETHIOPIC SYLLABLE SA
    "\u1231",  # ETHIOPIC SYLLABLE SU
    "\u1232",  # ETHIOPIC SYLLABLE SI
    "\u1233",  # ETHIOPIC SYLLABLE SAA
    "\u1234",  # ETHIOPIC SYLLABLE SEE
    "\u1235",  # ETHIOPIC SYLLABLE SE
    "\u1236",  # ETHIOPIC SYLLABLE SO
    "\u1237",  # ETHIOPIC SYLLABLE SWA
    "\u1238",  # ETHIOPIC SYLLABLE SHA
    "\u1239",  # ETHIOPIC SYLLABLE SHU
    "\u123A",  # ETHIOPIC SYLLABLE SHI
    "\u123B",  # ETHIOPIC SYLLABLE SHAA
    "\u123C",  # ETHIOPIC SYLLABLE SHEE
    "\u123D",  # ETHIOPIC SYLLABLE SHE
    "\u123E",  # ETHIOPIC SYLLABLE SHO
    "\u123F",  # ETHIOPIC SYLLABLE SHWA
    "\u1240",  # ETHIOPIC SYLLABLE QA
    "\u1241",  # ETHIOPIC SYLLABLE QU
    "\u1242",  # ETHIOPIC SYLLABLE QI
    "\u1243",  # ETHIOPIC SYLLABLE QAA
    "\u1244",  # ETHIOPIC SYLLABLE QEE
    "\u1245",  # ETHIOPIC SYLLABLE QE
    "\u1246",  # ETHIOPIC SYLLABLE QO
    "\u1247",  # ETHIOPIC SYLLABLE QOA
    "\u1248",  # ETHIOPIC SYLLABLE QWA
    "\u124A",  # ETHIOPIC SYLLABLE QWI
    "\u124B",  # ETHIOPIC SYLLABLE QWAA
    "\u124C",  # ETHIOPIC SYLLABLE QWEE
    "\u124D",  # ETHIOPIC SYLLABLE QWE
    "\u1250",  # ETHIOPIC SYLLABLE QHA
    "\u1251",  # ETHIOPIC SYLLABLE QHU
    "\u1252",  # ETHIOPIC SYLLABLE QHI
    "\u1253",  # ETHIOPIC SYLLABLE QHAA
    "\u1254",  # ETHIOPIC SYLLABLE QHEE
    "\u1255",  # ETHIOPIC SYLLABLE QHE
    "\u1256",  # ETHIOPIC SYLLABLE QHO
    "\u1258",  # ETHIOPIC SYLLABLE QHWA
    "\u125A",  # ETHIOPIC SYLLABLE QHWI
    "\u125B",  # ETHIOPIC SYLLABLE QHWAA
    "\u125C",  # ETHIOPIC SYLLABLE QHWEE
    "\u125D",  # ETHIOPIC SYLLABLE QHWE
    "\u1260",  # ETHIOPIC SYLLABLE BA
    "\u1261",  # ETHIOPIC SYLLABLE BU
    "\u1262",  # ETHIOPIC SYLLABLE BI
    "\u1263",  # ETHIOPIC SYLLABLE BAA
    "\u1264",  # ETHIOPIC SYLLABLE BEE
    "\u1265",  # ETHIOPIC SYLLABLE BE
    "\u1266",  # ETHIOPIC SYLLABLE BO
    "\u1267",  # ETHIOPIC SYLLABLE BWA
    "\u1268",  # ETHIOPIC SYLLABLE VA
    "\u1269",  # ETHIOPIC SYLLABLE VU
    "\u126A",  # ETHIOPIC SYLLABLE VI
    "\u126B",  # ETHIOPIC SYLLABLE VAA
    "\u126C",  # ETHIOPIC SYLLABLE VEE
    "\u126D",  # ETHIOPIC SYLLABLE VE
    "\u126E",  # ETHIOPIC SYLLABLE VO
    "\u126F",  # ETHIOPIC SYLLABLE VWA
    "\u1270",  # ETHIOPIC SYLLABLE TA
    "\u1271",  # ETHIOPIC SYLLABLE TU
    "\u1272",  # ETHIOPIC SYLLABLE TI
    "\u1273",  # ETHIOPIC SYLLABLE TAA
    "\u1274",  # ETHIOPIC SYLLABLE TEE
    "\u1275",  # ETHIOPIC SYLLABLE TE
    "\u1276",  # ETHIOPIC SYLLABLE TO
    "\u1277",  # ETHIOPIC SYLLABLE TWA
    "\u1278",  # ETHIOPIC SYLLABLE CA
    "\u1279",  # ETHIOPIC SYLLABLE CU
    "\u127A",  # ETHIOPIC SYLLABLE CI
    "\u127B",  # ETHIOPIC SYLLABLE CAA
    "\u127C",  # ETHIOPIC SYLLABLE CEE
    "\u127D",  # ETHIOPIC SYLLABLE CE
    "\u127E",  # ETHIOPIC SYLLABLE CO
    "\u127F",  # ETHIOPIC SYLLABLE CWA
    "\u1280",  # ETHIOPIC SYLLABLE XA
    "\u1281",  # ETHIOPIC SYLLABLE XU
    "\u1282",  # ETHIOPIC SYLLABLE XI
    "\u1283",  # ETHIOPIC SYLLABLE XAA
    "\u1284",  # ETHIOPIC SYLLABLE XEE
    "\u1285",  # ETHIOPIC SYLLABLE XE
    "\u1286",  # ETHIOPIC SYLLABLE XO
    "\u1287",  # ETHIOPIC SYLLABLE XOA
    "\u1288",  # ETHIOPIC SYLLABLE XWA
    "\u128A",  # ETHIOPIC SYLLABLE XWI
    "\u128B",  # ETHIOPIC SYLLABLE XWAA
    "\u128C",  # ETHIOPIC SYLLABLE XWEE
    "\u128D",  # ETHIOPIC SYLLABLE XWE
    "\u1290",  # ETHIOPIC SYLLABLE NA
    "\u1291",  # ETHIOPIC SYLLABLE NU
    "\u1292",  # ETHIOPIC SYLLABLE NI
    "\u1293",  # ETHIOPIC SYLLABLE NAA
    "\u1294",  # ETHIOPIC SYLLABLE NEE
    "\u1295",  # ETHIOPIC SYLLABLE NE
    "\u1296",  # ETHIOPIC SYLLABLE NO
    "\u1297",  # ETHIOPIC SYLLABLE NWA
    "\u1298",  # ETHIOPIC SYLLABLE NYA
    "\u1299",  # ETHIOPIC SYLLABLE NYU
    "\u129A",  # ETHIOPIC SYLLABLE NYI
    "\u129B",  # ETHIOPIC SYLLABLE NYAA
    "\u129C",  # ETHIOPIC SYLLABLE NYEE
    "\u129D",  # ETHIOPIC SYLLABLE NYE
    "\u129E",  # ETHIOPIC SYLLABLE NYO
    "\u129F",  # ETHIOPIC SYLLABLE NYWA
    "\u12A0",  # ETHIOPIC SYLLABLE GLOTTAL A
    "\u12A1",  # ETHIOPIC SYLLABLE GLOTTAL U
    "\u12A2",  # ETHIOPIC SYLLABLE GLOTTAL I
    "\u12A3",  # ETHIOPIC SYLLABLE GLOTTAL AA
    "\u12A4",  # ETHIOPIC SYLLABLE GLOTTAL EE
    "\u12A5",  # ETHIOPIC SYLLABLE GLOTTAL E
    "\u12A6",  # ETHIOPIC SYLLABLE GLOTTAL O
    "\u12A7",  # ETHIOPIC SYLLABLE GLOTTAL WA
    "\u12A8",  # ETHIOPIC SYLLABLE KA
    "\u12A9",  # ETHIOPIC SYLLABLE KU
    "\u12AA",  # ETHIOPIC SYLLABLE KI
    "\u12AB",  # ETHIOPIC SYLLABLE KAA
    "\u12AC",  # ETHIOPIC SYLLABLE KEE
    "\u12AD",  # ETHIOPIC SYLLABLE KE
    "\u12AE",  # ETHIOPIC SYLLABLE KO
    "\u12AF",  # ETHIOPIC SYLLABLE KOA
    "\u12B0",  # ETHIOPIC SYLLABLE KWA
    "\u12B2",  # ETHIOPIC SYLLABLE KWI
    "\u12B3",  # ETHIOPIC SYLLABLE KWAA
    "\u12B4",  # ETHIOPIC SYLLABLE KWEE
    "\u12B5",  # ETHIOPIC SYLLABLE KWE
    "\u12B8",  # ETHIOPIC SYLLABLE KXA
    "\u12B9",  # ETHIOPIC SYLLABLE KXU
    "\u12BA",  # ETHIOPIC SYLLABLE KXI
    "\u12BB",  # ETHIOPIC SYLLABLE KXAA
    "\u12BC",  # ETHIOPIC SYLLABLE KXEE
    "\u12BD",  # ETHIOPIC SYLLABLE KXE
    "\u12BE",  # ETHIOPIC SYLLABLE KXO
    "\u12C0",  # ETHIOPIC SYLLABLE KXWA
    "\u12C2",  # ETHIOPIC SYLLABLE KXWI
    "\u12C3",  # ETHIOPIC SYLLABLE KXWAA
    "\u12C4",  # ETHIOPIC SYLLABLE KXWEE
    "\u12C5",  # ETHIOPIC SYLLABLE KXWE
    "\u12C8",  # ETHIOPIC SYLLABLE WA
    "\u12C9",  # ETHIOPIC SYLLABLE WU
    "\u12CA",  # ETHIOPIC SYLLABLE WI
    "\u12CB",  # ETHIOPIC SYLLABLE WAA
    "\u12CC",  # ETHIOPIC SYLLABLE WEE
    "\u12CD",  # ETHIOPIC SYLLABLE WE
    "\u12CE",  # ETHIOPIC SYLLABLE WO
    "\u12CF",  # ETHIOPIC SYLLABLE WOA
    "\u12D0",  # ETHIOPIC SYLLABLE PHARYNGEAL A
    "\u12D1",  # ETHIOPIC SYLLABLE PHARYNGEAL U
    "\u12D2",  # ETHIOPIC SYLLABLE PHARYNGEAL I
    "\u12D3",  # ETHIOPIC SYLLABLE PHARYNGEAL AA
    "\u12D4",  # ETHIOPIC SYLLABLE PHARYNGEAL EE
    "\u12D5",  # ETHIOPIC SYLLABLE PHARYNGEAL E
    "\u12D6",  # ETHIOPIC SYLLABLE PHARYNGEAL O
    "\u12D8",  # ETHIOPIC SYLLABLE ZA
    "\u12D9",  # ETHIOPIC SYLLABLE ZU
    "\u12DA",  # ETHIOPIC SYLLABLE ZI
    "\u12DB",  # ETHIOPIC SYLLABLE ZAA
    "\u12DC",  # ETHIOPIC SYLLABLE ZEE
    "\u12DD",  # ETHIOPIC SYLLABLE ZE
    "\u12DE",  # ETHIOPIC SYLLABLE ZO
    "\u12DF",  # ETHIOPIC SYLLABLE ZWA
    "\u12E0",  # ETHIOPIC SYLLABLE ZHA
    "\u12E1",  # ETHIOPIC SYLLABLE ZHU
    "\u12E2",  # ETHIOPIC SYLLABLE ZHI
    "\u12E3",  # ETHIOPIC SYLLABLE ZHAA
    "\u12E4",  # ETHIOPIC SYLLABLE ZHEE
    "\u12E5",  # ETHIOPIC SYLLABLE ZHE
    "\u12E6",  # ETHIOPIC SYLLABLE ZHO
    "\u12E7",  # ETHIOPIC SYLLABLE ZHWA
    "\u12E8",  # ETHIOPIC SYLLABLE YA
    "\u12E9",  # ETHIOPIC SYLLABLE YU
    "\u12EA",  # ETHIOPIC SYLLABLE YI
    "\u12EB",  # ETHIOPIC SYLLABLE YAA
    "\u12EC",  # ETHIOPIC SYLLABLE YEE
    "\u12ED",  # ETHIOPIC SYLLABLE YE
    "\u12EE",  # ETHIOPIC SYLLABLE YO
    "\u12EF",  # ETHIOPIC SYLLABLE YOA
    "\u12F0",  # ETHIOPIC SYLLABLE DA
    "\u12F1",  # ETHIOPIC SYLLABLE DU
    "\u12F2",  # ETHIOPIC SYLLABLE DI
    "\u12F3",  # ETHIOPIC SYLLABLE DAA
    "\u12F4",  # ETHIOPIC SYLLABLE DEE
    "\u12F5",  # ETHIOPIC SYLLABLE DE
    "\u12F6",  # ETHIOPIC SYLLABLE DO
    "\u12F7",  # ETHIOPIC SYLLABLE DWA
    "\u12F8",  # ETHIOPIC SYLLABLE DDA
    "\u12F9",  # ETHIOPIC SYLLABLE DDU
    "\u12FA",  # ETHIOPIC SYLLABLE DDI
    "\u12FB",  # ETHIOPIC SYLLABLE DDAA
    "\u12FC",  # ETHIOPIC SYLLABLE DDEE
    "\u12FD",  # ETHIOPIC SYLLABLE DDE
    "\u12FE",  # ETHIOPIC SYLLABLE DDO
    "\u12FF",  # ETHIOPIC SYLLABLE DDWA
    "\u1300",  # ETHIOPIC SYLLABLE JA
    "\u1301",  # ETHIOPIC SYLLABLE JU
    "\u1302",  # ETHIOPIC SYLLABLE JI
    "\u1303",  # ETHIOPIC SYLLABLE JAA
    "\u1304",  # ETHIOPIC SYLLABLE JEE
    "\u1305",  # ETHIOPIC SYLLABLE JE
    "\u1306",  # ETHIOPIC SYLLABLE JO
    "\u1307",  # ETHIOPIC SYLLABLE JWA
    "\u1308",  # ETHIOPIC SYLLABLE GA
    "\u1309",  # ETHIOPIC SYLLABLE GU
    "\u130A",  # ETHIOPIC SYLLABLE GI
    "\u130B",  # ETHIOPIC SYLLABLE GAA
    "\u130C",  # ETHIOPIC SYLLABLE GEE
    "\u130D",  # ETHIOPIC SYLLABLE GE
    "\u130E",  # ETHIOPIC SYLLABLE GO
    "\u130F",  # ETHIOPIC SYLLABLE GOA
    "\u1310",  # ETHIOPIC SYLLABLE GWA
    "\u1312",  # ETHIOPIC SYLLABLE GWI
    "\u1313",  # ETHIOPIC SYLLABLE GWAA
    "\u1314",  # ETHIOPIC SYLLABLE GWEE
    "\u1315",  # ETHIOPIC SYLLABLE GWE
    "\u1318",  # ETHIOPIC SYLLABLE GGA
    "\u1319",  # ETHIOPIC SYLLABLE GGU
    "\u131A",  # ETHIOPIC SYLLABLE GGI
    "\u131B",  # ETHIOPIC SYLLABLE GGAA
    "\u131C",  # ETHIOPIC SYLLABLE GGEE
    "\u131D",  # ETHIOPIC SYLLABLE GGE
    "\u131E",  # ETHIOPIC SYLLABLE GGO
    "\u131F",  # ETHIOPIC SYLLABLE GGWAA
    "\u1320",  # ETHIOPIC SYLLABLE THA
    "\u1321",  # ETHIOPIC SYLLABLE THU
    "\u1322",  # ETHIOPIC SYLLABLE THI
    "\u1323",  # ETHIOPIC SYLLABLE THAA
    "\u1324",  # ETHIOPIC SYLLABLE THEE
    "\u1325",  # ETHIOPIC SYLLABLE THE
    "\u1326",  # ETHIOPIC SYLLABLE THO
    "\u1327",  # ETHIOPIC SYLLABLE THWA
    "\u1328",  # ETHIOPIC SYLLABLE CHA
    "\u1329",  # ETHIOPIC SYLLABLE CHU
    "\u132A",  # ETHIOPIC SYLLABLE CHI
    "\u132B",  # ETHIOPIC SYLLABLE CHAA
    "\u132C",  # ETHIOPIC SYLLABLE CHEE
    "\u132D",  # ETHIOPIC SYLLABLE CHE
    "\u132E",  # ETHIOPIC SYLLABLE CHO
    "\u132F",  # ETHIOPIC SYLLABLE CHWA
    "\u1330",  # ETHIOPIC SYLLABLE PHA
    "\u1331",  # ETHIOPIC SYLLABLE PHU
    "\u1332",  # ETHIOPIC SYLLABLE PHI
    "\u1333",  # ETHIOPIC SYLLABLE PHAA
    "\u1334",  # ETHIOPIC SYLLABLE PHEE
    "\u1335",  # ETHIOPIC SYLLABLE PHE
    "\u1336",  # ETHIOPIC SYLLABLE PHO
    "\u1337",  # ETHIOPIC SYLLABLE PHWA
    "\u1338",  # ETHIOPIC SYLLABLE TSA
    "\u1339",  # ETHIOPIC SYLLABLE TSU
    "\u133A",  # ETHIOPIC SYLLABLE TSI
    "\u133B",  # ETHIOPIC SYLLABLE TSAA
    "\u133C",  # ETHIOPIC SYLLABLE TSEE
    "\u133D",  # ETHIOPIC SYLLABLE TSE
    "\u133E",  # ETHIOPIC SYLLABLE TSO
    "\u133F",  # ETHIOPIC SYLLABLE TSWA
    "\u1340",  # ETHIOPIC SYLLABLE TZA
    "\u1341",  # ETHIOPIC SYLLABLE TZU
    "\u1342",  # ETHIOPIC SYLLABLE TZI
    "\u1343",  # ETHIOPIC SYLLABLE TZAA
    "\u1344",  # ETHIOPIC SYLLABLE TZEE
    "\u1345",  # ETHIOPIC SYLLABLE TZE
    "\u1346",  # ETHIOPIC SYLLABLE TZO
    "\u1347",  # ETHIOPIC SYLLABLE TZOA
    "\u1348",  # ETHIOPIC SYLLABLE FA
    "\u1349",  # ETHIOPIC SYLLABLE FU
    "\u134A",  # ETHIOPIC SYLLABLE FI
    "\u134B",  # ETHIOPIC SYLLABLE FAA
    "\u134C",  # ETHIOPIC SYLLABLE FEE
    "\u134D",  # ETHIOPIC SYLLABLE FE
    "\u134E",  # ETHIOPIC SYLLABLE FO
    "\u134F",  # ETHIOPIC SYLLABLE FWA
    "\u1350",  # ETHIOPIC SYLLABLE PA
    "\u1351",  # ETHIOPIC SYLLABLE PU
    "\u1352",  # ETHIOPIC SYLLABLE PI
    "\u1353",  # ETHIOPIC SYLLABLE PAA
    "\u1354",  # ETHIOPIC SYLLABLE PEE
    "\u1355",  # ETHIOPIC SYLLABLE PE
    "\u1356",  # ETHIOPIC SYLLABLE PO
    "\u1357",  # ETHIOPIC SYLLABLE PWA
    "\u1358",  # ETHIOPIC SYLLABLE RYA
    "\u1359",  # ETHIOPIC SYLLABLE MYA
    "\u135A",  # ETHIOPIC SYLLABLE FYA
    "\u135D",  # ETHIOPIC COMBINING GEMINATION AND VOWEL LENGTH MARK
    "\u135E",  # ETHIOPIC COMBINING VOWEL LENGTH MARK
    "\u135F",  # ETHIOPIC COMBINING GEMINATION MARK
    "\u1360",  # ETHIOPIC SECTION MARK
    "\u1361",  # ETHIOPIC WORDSPACE
    "\u1362",  # ETHIOPIC FULL STOP
    "\u1363",  # ETHIOPIC COMMA
    "\u1364",  # ETHIOPIC SEMICOLON
    "\u1365",  # ETHIOPIC COLON
    "\u1366",  # ETHIOPIC PREFACE COLON
    "\u1367",  # ETHIOPIC QUESTION MARK
    "\u1368",  # ETHIOPIC PARAGRAPH SEPARATOR
    "\u1369",  # ETHIOPIC DIGIT ONE
    "\u136A",  # ETHIOPIC DIGIT TWO
    "\u136B",  # ETHIOPIC DIGIT THREE
    "\u136C",  # ETHIOPIC DIGIT FOUR
    "\u136D",  # ETHIOPIC DIGIT FIVE
    "\u136E",  # ETHIOPIC DIGIT SIX
    "\u136F",  # ETHIOPIC DIGIT SEVEN
    "\u1370",  # ETHIOPIC DIGIT EIGHT
    "\u1371",  # ETHIOPIC DIGIT NINE
    "\u1372",  # ETHIOPIC NUMBER TEN
    "\u1373",  # ETHIOPIC NUMBER TWENTY
    "\u1374",  # ETHIOPIC NUMBER THIRTY
    "\u1375",  # ETHIOPIC NUMBER FORTY
    "\u1376",  # ETHIOPIC NUMBER FIFTY
    "\u1377",  # ETHIOPIC NUMBER SIXTY
    "\u1378",  # ETHIOPIC NUMBER SEVENTY
    "\u1379",  # ETHIOPIC NUMBER EIGHTY
    "\u137A",  # ETHIOPIC NUMBER NINETY
    "\u137B",  # ETHIOPIC NUMBER HUNDRED
    "\u137C",  # ETHIOPIC NUMBER TEN THOUSAND
    "\u1380",  # ETHIOPIC SYLLABLE SEBATBEIT MWA
    "\u1381",  # ETHIOPIC SYLLABLE MWI
    "\u1382",  # ETHIOPIC SYLLABLE MWEE
    "\u1383",  # ETHIOPIC SYLLABLE MWE
    "\u1384",  # ETHIOPIC SYLLABLE SEBATBEIT BWA
    "\u1385",  # ETHIOPIC SYLLABLE BWI
    "\u1386",  # ETHIOPIC SYLLABLE BWEE
    "\u1387",  # ETHIOPIC SYLLABLE BWE
    "\u1388",  # ETHIOPIC SYLLABLE SEBATBEIT FWA
    "\u1389",  # ETHIOPIC SYLLABLE FWI
    "\u138A",  # ETHIOPIC SYLLABLE FWEE
    "\u138B",  # ETHIOPIC SYLLABLE FWE
    "\u138C",  # ETHIOPIC SYLLABLE SEBATBEIT PWA
    "\u138D",  # ETHIOPIC SYLLABLE PWI
    "\u138E",  # ETHIOPIC SYLLABLE PWEE
    "\u138F",  # ETHIOPIC SYLLABLE PWE
    "\u1390",  # ETHIOPIC TONAL MARK YIZET
    "\u1391",  # ETHIOPIC TONAL MARK DERET
    "\u1392",  # ETHIOPIC TONAL MARK RIKRIK
    "\u1393",  # ETHIOPIC TONAL MARK SHORT RIKRIK
    "\u1394",  # ETHIOPIC TONAL MARK DIFAT
    "\u1395",  # ETHIOPIC TONAL MARK KENAT
    "\u1396",  # ETHIOPIC TONAL MARK CHIRET
    "\u1397",  # ETHIOPIC TONAL MARK HIDET
    "\u1398",  # ETHIOPIC TONAL MARK DERET-HIDET
    "\u1399",  # ETHIOPIC TONAL MARK KURT
    "\u13A0",  # CHEROKEE LETTER A
    "\u13A1",  # CHEROKEE LETTER E
    "\u13A2",  # CHEROKEE LETTER I
    "\u13A3",  # CHEROKEE LETTER O
    "\u13A4",  # CHEROKEE LETTER U
    "\u13A5",  # CHEROKEE LETTER V
    "\u13A6",  # CHEROKEE LETTER GA
    "\u13A7",  # CHEROKEE LETTER KA
    "\u13A8",  # CHEROKEE LETTER GE
    "\u13A9",  # CHEROKEE LETTER GI
    "\u13AA",  # CHEROKEE LETTER GO
    "\u13AB",  # CHEROKEE LETTER GU
    "\u13AC",  # CHEROKEE LETTER GV
    "\u13AD",  # CHEROKEE LETTER HA
    "\u13AE",  # CHEROKEE LETTER HE
    "\u13AF",  # CHEROKEE LETTER HI
    "\u13B0",  # CHEROKEE LETTER HO
    "\u13B1",  # CHEROKEE LETTER HU
    "\u13B2",  # CHEROKEE LETTER HV
    "\u13B3",  # CHEROKEE LETTER LA
    "\u13B4",  # CHEROKEE LETTER LE
    "\u13B5",  # CHEROKEE LETTER LI
    "\u13B6",  # CHEROKEE LETTER LO
    "\u13B7",  # CHEROKEE LETTER LU
    "\u13B8",  # CHEROKEE LETTER LV
    "\u13B9",  # CHEROKEE LETTER MA
    "\u13BA",  # CHEROKEE LETTER ME
    "\u13BB",  # CHEROKEE LETTER MI
    "\u13BC",  # CHEROKEE LETTER MO
    "\u13BD",  # CHEROKEE LETTER MU
    "\u13BE",  # CHEROKEE LETTER NA
    "\u13BF",  # CHEROKEE LETTER HNA
    "\u13C0",  # CHEROKEE LETTER NAH
    "\u13C1",  # CHEROKEE LETTER NE
    "\u13C2",  # CHEROKEE LETTER NI
    "\u13C3",  # CHEROKEE LETTER NO
    "\u13C4",  # CHEROKEE LETTER NU
    "\u13C5",  # CHEROKEE LETTER NV
    "\u13C6",  # CHEROKEE LETTER QUA
    "\u13C7",  # CHEROKEE LETTER QUE
    "\u13C8",  # CHEROKEE LETTER QUI
    "\u13C9",  # CHEROKEE LETTER QUO
    "\u13CA",  # CHEROKEE LETTER QUU
    "\u13CB",  # CHEROKEE LETTER QUV
    "\u13CC",  # CHEROKEE LETTER SA
    "\u13CD",  # CHEROKEE LETTER S
    "\u13CE",  # CHEROKEE LETTER SE
    "\u13CF",  # CHEROKEE LETTER SI
    "\u13D0",  # CHEROKEE LETTER SO
    "\u13D1",  # CHEROKEE LETTER SU
    "\u13D2",  # CHEROKEE LETTER SV
    "\u13D3",  # CHEROKEE LETTER DA
    "\u13D4",  # CHEROKEE LETTER TA
    "\u13D5",  # CHEROKEE LETTER DE
    "\u13D6",  # CHEROKEE LETTER TE
    "\u13D7",  # CHEROKEE LETTER DI
    "\u13D8",  # CHEROKEE LETTER TI
    "\u13D9",  # CHEROKEE LETTER DO
    "\u13DA",  # CHEROKEE LETTER DU
    "\u13DB",  # CHEROKEE LETTER DV
    "\u13DC",  # CHEROKEE LETTER DLA
    "\u13DD",  # CHEROKEE LETTER TLA
    "\u13DE",  # CHEROKEE LETTER TLE
    "\u13DF",  # CHEROKEE LETTER TLI
    "\u13E0",  # CHEROKEE LETTER TLO
    "\u13E1",  # CHEROKEE LETTER TLU
    "\u13E2",  # CHEROKEE LETTER TLV
    "\u13E3",  # CHEROKEE LETTER TSA
    "\u13E4",  # CHEROKEE LETTER TSE
    "\u13E5",  # CHEROKEE LETTER TSI
    "\u13E6",  # CHEROKEE LETTER TSO
    "\u13E7",  # CHEROKEE LETTER TSU
    "\u13E8",  # CHEROKEE LETTER TSV
    "\u13E9",  # CHEROKEE LETTER WA
    "\u13EA",  # CHEROKEE LETTER WE
    "\u13EB",  # CHEROKEE LETTER WI
    "\u13EC",  # CHEROKEE LETTER WO
    "\u13ED",  # CHEROKEE LETTER WU
    "\u13EE",  # CHEROKEE LETTER WV
    "\u13EF",  # CHEROKEE LETTER YA
    "\u13F0",  # CHEROKEE LETTER YE
    "\u13F1",  # CHEROKEE LETTER YI
    "\u13F2",  # CHEROKEE LETTER YO
    "\u13F3",  # CHEROKEE LETTER YU
    "\u13F4",  # CHEROKEE LETTER YV
    "\u13F5",  # CHEROKEE LETTER MV
    "\u13F8",  # CHEROKEE SMALL LETTER YE
    "\u13F9",  # CHEROKEE SMALL LETTER YI
    "\u13FA",  # CHEROKEE SMALL LETTER YO
    "\u13FB",  # CHEROKEE SMALL LETTER YU
    "\u13FC",  # CHEROKEE SMALL LETTER YV
    "\u13FD",  # CHEROKEE SMALL LETTER MV
    "\u1400",  # CANADIAN SYLLABICS HYPHEN
    "\u1401",  # CANADIAN SYLLABICS E
    "\u1402",  # CANADIAN SYLLABICS AAI
    "\u1403",  # CANADIAN SYLLABICS I
    "\u1404",  # CANADIAN SYLLABICS II
    "\u1405",  # CANADIAN SYLLABICS O
    "\u1406",  # CANADIAN SYLLABICS OO
    "\u1407",  # CANADIAN SYLLABICS Y-CREE OO
    "\u1408",  # CANADIAN SYLLABICS CARRIER EE
    "\u1409",  # CANADIAN SYLLABICS CARRIER I
    "\u140A",  # CANADIAN SYLLABICS A
    "\u140B",  # CANADIAN SYLLABICS AA
    "\u140C",  # CANADIAN SYLLABICS WE
    "\u140D",  # CANADIAN SYLLABICS WEST-CREE WE
    "\u140E",  # CANADIAN SYLLABICS WI
    "\u140F",  # CANADIAN SYLLABICS WEST-CREE WI
    "\u1410",  # CANADIAN SYLLABICS WII
    "\u1411",  # CANADIAN SYLLABICS WEST-CREE WII
    "\u1412",  # CANADIAN SYLLABICS WO
    "\u1413",  # CANADIAN SYLLABICS WEST-CREE WO
    "\u1414",  # CANADIAN SYLLABICS WOO
    "\u1415",  # CANADIAN SYLLABICS WEST-CREE WOO
    "\u1416",  # CANADIAN SYLLABICS NASKAPI WOO
    "\u1417",  # CANADIAN SYLLABICS WA
    "\u1418",  # CANADIAN SYLLABICS WEST-CREE WA
    "\u1419",  # CANADIAN SYLLABICS WAA
    "\u141A",  # CANADIAN SYLLABICS WEST-CREE WAA
    "\u141B",  # CANADIAN SYLLABICS NASKAPI WAA
    "\u141C",  # CANADIAN SYLLABICS AI
    "\u141D",  # CANADIAN SYLLABICS Y-CREE W
    "\u141E",  # CANADIAN SYLLABICS GLOTTAL STOP
    "\u141F",  # CANADIAN SYLLABICS FINAL ACUTE
    "\u1420",  # CANADIAN SYLLABICS FINAL GRAVE
    "\u1421",  # CANADIAN SYLLABICS FINAL BOTTOM HALF RING
    "\u1422",  # CANADIAN SYLLABICS FINAL TOP HALF RING
    "\u1423",  # CANADIAN SYLLABICS FINAL RIGHT HALF RING
    "\u1424",  # CANADIAN SYLLABICS FINAL RING
    "\u1425",  # CANADIAN SYLLABICS FINAL DOUBLE ACUTE
    "\u1426",  # CANADIAN SYLLABICS FINAL DOUBLE SHORT VERTICAL STROKES
    "\u1427",  # CANADIAN SYLLABICS FINAL MIDDLE DOT
    "\u1428",  # CANADIAN SYLLABICS FINAL SHORT HORIZONTAL STROKE
    "\u1429",  # CANADIAN SYLLABICS FINAL PLUS
    "\u142A",  # CANADIAN SYLLABICS FINAL DOWN TACK
    "\u142B",  # CANADIAN SYLLABICS EN
    "\u142C",  # CANADIAN SYLLABICS IN
    "\u142D",  # CANADIAN SYLLABICS ON
    "\u142E",  # CANADIAN SYLLABICS AN
    "\u142F",  # CANADIAN SYLLABICS PE
    "\u1430",  # CANADIAN SYLLABICS PAAI
    "\u1431",  # CANADIAN SYLLABICS PI
    "\u1432",  # CANADIAN SYLLABICS PII
    "\u1433",  # CANADIAN SYLLABICS PO
    "\u1434",  # CANADIAN SYLLABICS POO
    "\u1435",  # CANADIAN SYLLABICS Y-CREE POO
    "\u1436",  # CANADIAN SYLLABICS CARRIER HEE
    "\u1437",  # CANADIAN SYLLABICS CARRIER HI
    "\u1438",  # CANADIAN SYLLABICS PA
    "\u1439",  # CANADIAN SYLLABICS PAA
    "\u143A",  # CANADIAN SYLLABICS PWE
    "\u143B",  # CANADIAN SYLLABICS WEST-CREE PWE
    "\u143C",  # CANADIAN SYLLABICS PWI
    "\u143D",  # CANADIAN SYLLABICS WEST-CREE PWI
    "\u143E",  # CANADIAN SYLLABICS PWII
    "\u143F",  # CANADIAN SYLLABICS WEST-CREE PWII
    "\u1440",  # CANADIAN SYLLABICS PWO
    "\u1441",  # CANADIAN SYLLABICS WEST-CREE PWO
    "\u1442",  # CANADIAN SYLLABICS PWOO
    "\u1443",  # CANADIAN SYLLABICS WEST-CREE PWOO
    "\u1444",  # CANADIAN SYLLABICS PWA
    "\u1445",  # CANADIAN SYLLABICS WEST-CREE PWA
    "\u1446",  # CANADIAN SYLLABICS PWAA
    "\u1447",  # CANADIAN SYLLABICS WEST-CREE PWAA
    "\u1448",  # CANADIAN SYLLABICS Y-CREE PWAA
    "\u1449",  # CANADIAN SYLLABICS P
    "\u144A",  # CANADIAN SYLLABICS WEST-CREE P
    "\u144B",  # CANADIAN SYLLABICS CARRIER H
    "\u144C",  # CANADIAN SYLLABICS TE
    "\u144D",  # CANADIAN SYLLABICS TAAI
    "\u144E",  # CANADIAN SYLLABICS TI
    "\u144F",  # CANADIAN SYLLABICS TII
    "\u1450",  # CANADIAN SYLLABICS TO
    "\u1451",  # CANADIAN SYLLABICS TOO
    "\u1452",  # CANADIAN SYLLABICS Y-CREE TOO
    "\u1453",  # CANADIAN SYLLABICS CARRIER DEE
    "\u1454",  # CANADIAN SYLLABICS CARRIER DI
    "\u1455",  # CANADIAN SYLLABICS TA
    "\u1456",  # CANADIAN SYLLABICS TAA
    "\u1457",  # CANADIAN SYLLABICS TWE
    "\u1458",  # CANADIAN SYLLABICS WEST-CREE TWE
    "\u1459",  # CANADIAN SYLLABICS TWI
    "\u145A",  # CANADIAN SYLLABICS WEST-CREE TWI
    "\u145B",  # CANADIAN SYLLABICS TWII
    "\u145C",  # CANADIAN SYLLABICS WEST-CREE TWII
    "\u145D",  # CANADIAN SYLLABICS TWO
    "\u145E",  # CANADIAN SYLLABICS WEST-CREE TWO
    "\u145F",  # CANADIAN SYLLABICS TWOO
    "\u1460",  # CANADIAN SYLLABICS WEST-CREE TWOO
    "\u1461",  # CANADIAN SYLLABICS TWA
    "\u1462",  # CANADIAN SYLLABICS WEST-CREE TWA
    "\u1463",  # CANADIAN SYLLABICS TWAA
    "\u1464",  # CANADIAN SYLLABICS WEST-CREE TWAA
    "\u1465",  # CANADIAN SYLLABICS NASKAPI TWAA
    "\u1466",  # CANADIAN SYLLABICS T
    "\u1467",  # CANADIAN SYLLABICS TTE
    "\u1468",  # CANADIAN SYLLABICS TTI
    "\u1469",  # CANADIAN SYLLABICS TTO
    "\u146A",  # CANADIAN SYLLABICS TTA
    "\u146B",  # CANADIAN SYLLABICS KE
    "\u146C",  # CANADIAN SYLLABICS KAAI
    "\u146D",  # CANADIAN SYLLABICS KI
    "\u146E",  # CANADIAN SYLLABICS KII
    "\u146F",  # CANADIAN SYLLABICS KO
    "\u1470",  # CANADIAN SYLLABICS KOO
    "\u1471",  # CANADIAN SYLLABICS Y-CREE KOO
    "\u1472",  # CANADIAN SYLLABICS KA
    "\u1473",  # CANADIAN SYLLABICS KAA
    "\u1474",  # CANADIAN SYLLABICS KWE
    "\u1475",  # CANADIAN SYLLABICS WEST-CREE KWE
    "\u1476",  # CANADIAN SYLLABICS KWI
    "\u1477",  # CANADIAN SYLLABICS WEST-CREE KWI
    "\u1478",  # CANADIAN SYLLABICS KWII
    "\u1479",  # CANADIAN SYLLABICS WEST-CREE KWII
    "\u147A",  # CANADIAN SYLLABICS KWO
    "\u147B",  # CANADIAN SYLLABICS WEST-CREE KWO
    "\u147C",  # CANADIAN SYLLABICS KWOO
    "\u147D",  # CANADIAN SYLLABICS WEST-CREE KWOO
    "\u147E",  # CANADIAN SYLLABICS KWA
    "\u147F",  # CANADIAN SYLLABICS WEST-CREE KWA
    "\u1480",  # CANADIAN SYLLABICS KWAA
    "\u1481",  # CANADIAN SYLLABICS WEST-CREE KWAA
    "\u1482",  # CANADIAN SYLLABICS NASKAPI KWAA
    "\u1483",  # CANADIAN SYLLABICS K
    "\u1484",  # CANADIAN SYLLABICS KW
    "\u1485",  # CANADIAN SYLLABICS SOUTH-SLAVEY KEH
    "\u1486",  # CANADIAN SYLLABICS SOUTH-SLAVEY KIH
    "\u1487",  # CANADIAN SYLLABICS SOUTH-SLAVEY KOH
    "\u1488",  # CANADIAN SYLLABICS SOUTH-SLAVEY KAH
    "\u1489",  # CANADIAN SYLLABICS CE
    "\u148A",  # CANADIAN SYLLABICS CAAI
    "\u148B",  # CANADIAN SYLLABICS CI
    "\u148C",  # CANADIAN SYLLABICS CII
    "\u148D",  # CANADIAN SYLLABICS CO
    "\u148E",  # CANADIAN SYLLABICS COO
    "\u148F",  # CANADIAN SYLLABICS Y-CREE COO
    "\u1490",  # CANADIAN SYLLABICS CA
    "\u1491",  # CANADIAN SYLLABICS CAA
    "\u1492",  # CANADIAN SYLLABICS CWE
    "\u1493",  # CANADIAN SYLLABICS WEST-CREE CWE
    "\u1494",  # CANADIAN SYLLABICS CWI
    "\u1495",  # CANADIAN SYLLABICS WEST-CREE CWI
    "\u1496",  # CANADIAN SYLLABICS CWII
    "\u1497",  # CANADIAN SYLLABICS WEST-CREE CWII
    "\u1498",  # CANADIAN SYLLABICS CWO
    "\u1499",  # CANADIAN SYLLABICS WEST-CREE CWO
    "\u149A",  # CANADIAN SYLLABICS CWOO
    "\u149B",  # CANADIAN SYLLABICS WEST-CREE CWOO
    "\u149C",  # CANADIAN SYLLABICS CWA
    "\u149D",  # CANADIAN SYLLABICS WEST-CREE CWA
    "\u149E",  # CANADIAN SYLLABICS CWAA
    "\u149F",  # CANADIAN SYLLABICS WEST-CREE CWAA
    "\u14A0",  # CANADIAN SYLLABICS NASKAPI CWAA
    "\u14A1",  # CANADIAN SYLLABICS C
    "\u14A2",  # CANADIAN SYLLABICS SAYISI TH
    "\u14A3",  # CANADIAN SYLLABICS ME
    "\u14A4",  # CANADIAN SYLLABICS MAAI
    "\u14A5",  # CANADIAN SYLLABICS MI
    "\u14A6",  # CANADIAN SYLLABICS MII
    "\u14A7",  # CANADIAN SYLLABICS MO
    "\u14A8",  # CANADIAN SYLLABICS MOO
    "\u14A9",  # CANADIAN SYLLABICS Y-CREE MOO
    "\u14AA",  # CANADIAN SYLLABICS MA
    "\u14AB",  # CANADIAN SYLLABICS MAA
    "\u14AC",  # CANADIAN SYLLABICS MWE
    "\u14AD",  # CANADIAN SYLLABICS WEST-CREE MWE
    "\u14AE",  # CANADIAN SYLLABICS MWI
    "\u14AF",  # CANADIAN SYLLABICS WEST-CREE MWI
    "\u14B0",  # CANADIAN SYLLABICS MWII
    "\u14B1",  # CANADIAN SYLLABICS WEST-CREE MWII
    "\u14B2",  # CANADIAN SYLLABICS MWO
    "\u14B3",  # CANADIAN SYLLABICS WEST-CREE MWO
    "\u14B4",  # CANADIAN SYLLABICS MWOO
    "\u14B5",  # CANADIAN SYLLABICS WEST-CREE MWOO
    "\u14B6",  # CANADIAN SYLLABICS MWA
    "\u14B7",  # CANADIAN SYLLABICS WEST-CREE MWA
    "\u14B8",  # CANADIAN SYLLABICS MWAA
    "\u14B9",  # CANADIAN SYLLABICS WEST-CREE MWAA
    "\u14BA",  # CANADIAN SYLLABICS NASKAPI MWAA
    "\u14BB",  # CANADIAN SYLLABICS M
    "\u14BC",  # CANADIAN SYLLABICS WEST-CREE M
    "\u14BD",  # CANADIAN SYLLABICS MH
    "\u14BE",  # CANADIAN SYLLABICS ATHAPASCAN M
    "\u14BF",  # CANADIAN SYLLABICS SAYISI M
    "\u14C0",  # CANADIAN SYLLABICS NE
    "\u14C1",  # CANADIAN SYLLABICS NAAI
    "\u14C2",  # CANADIAN SYLLABICS NI
    "\u14C3",  # CANADIAN SYLLABICS NII
    "\u14C4",  # CANADIAN SYLLABICS NO
    "\u14C5",  # CANADIAN SYLLABICS NOO
    "\u14C6",  # CANADIAN SYLLABICS Y-CREE NOO
    "\u14C7",  # CANADIAN SYLLABICS NA
    "\u14C8",  # CANADIAN SYLLABICS NAA
    "\u14C9",  # CANADIAN SYLLABICS NWE
    "\u14CA",  # CANADIAN SYLLABICS WEST-CREE NWE
    "\u14CB",  # CANADIAN SYLLABICS NWA
    "\u14CC",  # CANADIAN SYLLABICS WEST-CREE NWA
    "\u14CD",  # CANADIAN SYLLABICS NWAA
    "\u14CE",  # CANADIAN SYLLABICS WEST-CREE NWAA
    "\u14CF",  # CANADIAN SYLLABICS NASKAPI NWAA
    "\u14D0",  # CANADIAN SYLLABICS N
    "\u14D1",  # CANADIAN SYLLABICS CARRIER NG
    "\u14D2",  # CANADIAN SYLLABICS NH
    "\u14D3",  # CANADIAN SYLLABICS LE
    "\u14D4",  # CANADIAN SYLLABICS LAAI
    "\u14D5",  # CANADIAN SYLLABICS LI
    "\u14D6",  # CANADIAN SYLLABICS LII
    "\u14D7",  # CANADIAN SYLLABICS LO
    "\u14D8",  # CANADIAN SYLLABICS LOO
    "\u14D9",  # CANADIAN SYLLABICS Y-CREE LOO
    "\u14DA",  # CANADIAN SYLLABICS LA
    "\u14DB",  # CANADIAN SYLLABICS LAA
    "\u14DC",  # CANADIAN SYLLABICS LWE
    "\u14DD",  # CANADIAN SYLLABICS WEST-CREE LWE
    "\u14DE",  # CANADIAN SYLLABICS LWI
    "\u14DF",  # CANADIAN SYLLABICS WEST-CREE LWI
    "\u14E0",  # CANADIAN SYLLABICS LWII
    "\u14E1",  # CANADIAN SYLLABICS WEST-CREE LWII
    "\u14E2",  # CANADIAN SYLLABICS LWO
    "\u14E3",  # CANADIAN SYLLABICS WEST-CREE LWO
    "\u14E4",  # CANADIAN SYLLABICS LWOO
    "\u14E5",  # CANADIAN SYLLABICS WEST-CREE LWOO
    "\u14E6",  # CANADIAN SYLLABICS LWA
    "\u14E7",  # CANADIAN SYLLABICS WEST-CREE LWA
    "\u14E8",  # CANADIAN SYLLABICS LWAA
    "\u14E9",  # CANADIAN SYLLABICS WEST-CREE LWAA
    "\u14EA",  # CANADIAN SYLLABICS L
    "\u14EB",  # CANADIAN SYLLABICS WEST-CREE L
    "\u14EC",  # CANADIAN SYLLABICS MEDIAL L
    "\u14ED",  # CANADIAN SYLLABICS SE
    "\u14EE",  # CANADIAN SYLLABICS SAAI
    "\u14EF",  # CANADIAN SYLLABICS SI
    "\u14F0",  # CANADIAN SYLLABICS SII
    "\u14F1",  # CANADIAN SYLLABICS SO
    "\u14F2",  # CANADIAN SYLLABICS SOO
    "\u14F3",  # CANADIAN SYLLABICS Y-CREE SOO
    "\u14F4",  # CANADIAN SYLLABICS SA
    "\u14F5",  # CANADIAN SYLLABICS SAA
    "\u14F6",  # CANADIAN SYLLABICS SWE
    "\u14F7",  # CANADIAN SYLLABICS WEST-CREE SWE
    "\u14F8",  # CANADIAN SYLLABICS SWI
    "\u14F9",  # CANADIAN SYLLABICS WEST-CREE SWI
    "\u14FA",  # CANADIAN SYLLABICS SWII
    "\u14FB",  # CANADIAN SYLLABICS WEST-CREE SWII
    "\u14FC",  # CANADIAN SYLLABICS SWO
    "\u14FD",  # CANADIAN SYLLABICS WEST-CREE SWO
    "\u14FE",  # CANADIAN SYLLABICS SWOO
    "\u14FF",  # CANADIAN SYLLABICS WEST-CREE SWOO
    "\u1500",  # CANADIAN SYLLABICS SWA
    "\u1501",  # CANADIAN SYLLABICS WEST-CREE SWA
    "\u1502",  # CANADIAN SYLLABICS SWAA
    "\u1503",  # CANADIAN SYLLABICS WEST-CREE SWAA
    "\u1504",  # CANADIAN SYLLABICS NASKAPI SWAA
    "\u1505",  # CANADIAN SYLLABICS S
    "\u1506",  # CANADIAN SYLLABICS ATHAPASCAN S
    "\u1507",  # CANADIAN SYLLABICS SW
    "\u1508",  # CANADIAN SYLLABICS BLACKFOOT S
    "\u1509",  # CANADIAN SYLLABICS MOOSE-CREE SK
    "\u150A",  # CANADIAN SYLLABICS NASKAPI SKW
    "\u150B",  # CANADIAN SYLLABICS NASKAPI S-W
    "\u150C",  # CANADIAN SYLLABICS NASKAPI SPWA
    "\u150D",  # CANADIAN SYLLABICS NASKAPI STWA
    "\u150E",  # CANADIAN SYLLABICS NASKAPI SKWA
    "\u150F",  # CANADIAN SYLLABICS NASKAPI SCWA
    "\u1510",  # CANADIAN SYLLABICS SHE
    "\u1511",  # CANADIAN SYLLABICS SHI
    "\u1512",  # CANADIAN SYLLABICS SHII
    "\u1513",  # CANADIAN SYLLABICS SHO
    "\u1514",  # CANADIAN SYLLABICS SHOO
    "\u1515",  # CANADIAN SYLLABICS SHA
    "\u1516",  # CANADIAN SYLLABICS SHAA
    "\u1517",  # CANADIAN SYLLABICS SHWE
    "\u1518",  # CANADIAN SYLLABICS WEST-CREE SHWE
    "\u1519",  # CANADIAN SYLLABICS SHWI
    "\u151A",  # CANADIAN SYLLABICS WEST-CREE SHWI
    "\u151B",  # CANADIAN SYLLABICS SHWII
    "\u151C",  # CANADIAN SYLLABICS WEST-CREE SHWII
    "\u151D",  # CANADIAN SYLLABICS SHWO
    "\u151E",  # CANADIAN SYLLABICS WEST-CREE SHWO
    "\u151F",  # CANADIAN SYLLABICS SHWOO
    "\u1520",  # CANADIAN SYLLABICS WEST-CREE SHWOO
    "\u1521",  # CANADIAN SYLLABICS SHWA
    "\u1522",  # CANADIAN SYLLABICS WEST-CREE SHWA
    "\u1523",  # CANADIAN SYLLABICS SHWAA
    "\u1524",  # CANADIAN SYLLABICS WEST-CREE SHWAA
    "\u1525",  # CANADIAN SYLLABICS SH
    "\u1526",  # CANADIAN SYLLABICS YE
    "\u1527",  # CANADIAN SYLLABICS YAAI
    "\u1528",  # CANADIAN SYLLABICS YI
    "\u1529",  # CANADIAN SYLLABICS YII
    "\u152A",  # CANADIAN SYLLABICS YO
    "\u152B",  # CANADIAN SYLLABICS YOO
    "\u152C",  # CANADIAN SYLLABICS Y-CREE YOO
    "\u152D",  # CANADIAN SYLLABICS YA
    "\u152E",  # CANADIAN SYLLABICS YAA
    "\u152F",  # CANADIAN SYLLABICS YWE
    "\u1530",  # CANADIAN SYLLABICS WEST-CREE YWE
    "\u1531",  # CANADIAN SYLLABICS YWI
    "\u1532",  # CANADIAN SYLLABICS WEST-CREE YWI
    "\u1533",  # CANADIAN SYLLABICS YWII
    "\u1534",  # CANADIAN SYLLABICS WEST-CREE YWII
    "\u1535",  # CANADIAN SYLLABICS YWO
    "\u1536",  # CANADIAN SYLLABICS WEST-CREE YWO
    "\u1537",  # CANADIAN SYLLABICS YWOO
    "\u1538",  # CANADIAN SYLLABICS WEST-CREE YWOO
    "\u1539",  # CANADIAN SYLLABICS YWA
    "\u153A",  # CANADIAN SYLLABICS WEST-CREE YWA
    "\u153B",  # CANADIAN SYLLABICS YWAA
    "\u153C",  # CANADIAN SYLLABICS WEST-CREE YWAA
    "\u153D",  # CANADIAN SYLLABICS NASKAPI YWAA
    "\u153E",  # CANADIAN SYLLABICS Y
    "\u153F",  # CANADIAN SYLLABICS BIBLE-CREE Y
    "\u1540",  # CANADIAN SYLLABICS WEST-CREE Y
    "\u1541",  # CANADIAN SYLLABICS SAYISI YI
    "\u1542",  # CANADIAN SYLLABICS RE
    "\u1543",  # CANADIAN SYLLABICS R-CREE RE
    "\u1544",  # CANADIAN SYLLABICS WEST-CREE LE
    "\u1545",  # CANADIAN SYLLABICS RAAI
    "\u1546",  # CANADIAN SYLLABICS RI
    "\u1547",  # CANADIAN SYLLABICS RII
    "\u1548",  # CANADIAN SYLLABICS RO
    "\u1549",  # CANADIAN SYLLABICS ROO
    "\u154A",  # CANADIAN SYLLABICS WEST-CREE LO
    "\u154B",  # CANADIAN SYLLABICS RA
    "\u154C",  # CANADIAN SYLLABICS RAA
    "\u154D",  # CANADIAN SYLLABICS WEST-CREE LA
    "\u154E",  # CANADIAN SYLLABICS RWAA
    "\u154F",  # CANADIAN SYLLABICS WEST-CREE RWAA
    "\u1550",  # CANADIAN SYLLABICS R
    "\u1551",  # CANADIAN SYLLABICS WEST-CREE R
    "\u1552",  # CANADIAN SYLLABICS MEDIAL R
    "\u1553",  # CANADIAN SYLLABICS FE
    "\u1554",  # CANADIAN SYLLABICS FAAI
    "\u1555",  # CANADIAN SYLLABICS FI
    "\u1556",  # CANADIAN SYLLABICS FII
    "\u1557",  # CANADIAN SYLLABICS FO
    "\u1558",  # CANADIAN SYLLABICS FOO
    "\u1559",  # CANADIAN SYLLABICS FA
    "\u155A",  # CANADIAN SYLLABICS FAA
    "\u155B",  # CANADIAN SYLLABICS FWAA
    "\u155C",  # CANADIAN SYLLABICS WEST-CREE FWAA
    "\u155D",  # CANADIAN SYLLABICS F
    "\u155E",  # CANADIAN SYLLABICS THE
    "\u155F",  # CANADIAN SYLLABICS N-CREE THE
    "\u1560",  # CANADIAN SYLLABICS THI
    "\u1561",  # CANADIAN SYLLABICS N-CREE THI
    "\u1562",  # CANADIAN SYLLABICS THII
    "\u1563",  # CANADIAN SYLLABICS N-CREE THII
    "\u1564",  # CANADIAN SYLLABICS THO
    "\u1565",  # CANADIAN SYLLABICS THOO
    "\u1566",  # CANADIAN SYLLABICS THA
    "\u1567",  # CANADIAN SYLLABICS THAA
    "\u1568",  # CANADIAN SYLLABICS THWAA
    "\u1569",  # CANADIAN SYLLABICS WEST-CREE THWAA
    "\u156A",  # CANADIAN SYLLABICS TH
    "\u156B",  # CANADIAN SYLLABICS TTHE
    "\u156C",  # CANADIAN SYLLABICS TTHI
    "\u156D",  # CANADIAN SYLLABICS TTHO
    "\u156E",  # CANADIAN SYLLABICS TTHA
    "\u156F",  # CANADIAN SYLLABICS TTH
    "\u1570",  # CANADIAN SYLLABICS TYE
    "\u1571",  # CANADIAN SYLLABICS TYI
    "\u1572",  # CANADIAN SYLLABICS TYO
    "\u1573",  # CANADIAN SYLLABICS TYA
    "\u1574",  # CANADIAN SYLLABICS NUNAVIK HE
    "\u1575",  # CANADIAN SYLLABICS NUNAVIK HI
    "\u1576",  # CANADIAN SYLLABICS NUNAVIK HII
    "\u1577",  # CANADIAN SYLLABICS NUNAVIK HO
    "\u1578",  # CANADIAN SYLLABICS NUNAVIK HOO
    "\u1579",  # CANADIAN SYLLABICS NUNAVIK HA
    "\u157A",  # CANADIAN SYLLABICS NUNAVIK HAA
    "\u157B",  # CANADIAN SYLLABICS NUNAVIK H
    "\u157C",  # CANADIAN SYLLABICS NUNAVUT H
    "\u157D",  # CANADIAN SYLLABICS HK
    "\u157E",  # CANADIAN SYLLABICS QAAI
    "\u157F",  # CANADIAN SYLLABICS QI
    "\u1580",  # CANADIAN SYLLABICS QII
    "\u1581",  # CANADIAN SYLLABICS QO
    "\u1582",  # CANADIAN SYLLABICS QOO
    "\u1583",  # CANADIAN SYLLABICS QA
    "\u1584",  # CANADIAN SYLLABICS QAA
    "\u1585",  # CANADIAN SYLLABICS Q
    "\u1586",  # CANADIAN SYLLABICS TLHE
    "\u1587",  # CANADIAN SYLLABICS TLHI
    "\u1588",  # CANADIAN SYLLABICS TLHO
    "\u1589",  # CANADIAN SYLLABICS TLHA
    "\u158A",  # CANADIAN SYLLABICS WEST-CREE RE
    "\u158B",  # CANADIAN SYLLABICS WEST-CREE RI
    "\u158C",  # CANADIAN SYLLABICS WEST-CREE RO
    "\u158D",  # CANADIAN SYLLABICS WEST-CREE RA
    "\u158E",  # CANADIAN SYLLABICS NGAAI
    "\u158F",  # CANADIAN SYLLABICS NGI
    "\u1590",  # CANADIAN SYLLABICS NGII
    "\u1591",  # CANADIAN SYLLABICS NGO
    "\u1592",  # CANADIAN SYLLABICS NGOO
    "\u1593",  # CANADIAN SYLLABICS NGA
    "\u1594",  # CANADIAN SYLLABICS NGAA
    "\u1595",  # CANADIAN SYLLABICS NG
    "\u1596",  # CANADIAN SYLLABICS NNG
    "\u1597",  # CANADIAN SYLLABICS SAYISI SHE
    "\u1598",  # CANADIAN SYLLABICS SAYISI SHI
    "\u1599",  # CANADIAN SYLLABICS SAYISI SHO
    "\u159A",  # CANADIAN SYLLABICS SAYISI SHA
    "\u159B",  # CANADIAN SYLLABICS WOODS-CREE THE
    "\u159C",  # CANADIAN SYLLABICS WOODS-CREE THI
    "\u159D",  # CANADIAN SYLLABICS WOODS-CREE THO
    "\u159E",  # CANADIAN SYLLABICS WOODS-CREE THA
    "\u159F",  # CANADIAN SYLLABICS WOODS-CREE TH
    "\u15A0",  # CANADIAN SYLLABICS LHI
    "\u15A1",  # CANADIAN SYLLABICS LHII
    "\u15A2",  # CANADIAN SYLLABICS LHO
    "\u15A3",  # CANADIAN SYLLABICS LHOO
    "\u15A4",  # CANADIAN SYLLABICS LHA
    "\u15A5",  # CANADIAN SYLLABICS LHAA
    "\u15A6",  # CANADIAN SYLLABICS LH
    "\u15A7",  # CANADIAN SYLLABICS TH-CREE THE
    "\u15A8",  # CANADIAN SYLLABICS TH-CREE THI
    "\u15A9",  # CANADIAN SYLLABICS TH-CREE THII
    "\u15AA",  # CANADIAN SYLLABICS TH-CREE THO
    "\u15AB",  # CANADIAN SYLLABICS TH-CREE THOO
    "\u15AC",  # CANADIAN SYLLABICS TH-CREE THA
    "\u15AD",  # CANADIAN SYLLABICS TH-CREE THAA
    "\u15AE",  # CANADIAN SYLLABICS TH-CREE TH
    "\u15AF",  # CANADIAN SYLLABICS AIVILIK B
    "\u15B0",  # CANADIAN SYLLABICS BLACKFOOT E
    "\u15B1",  # CANADIAN SYLLABICS BLACKFOOT I
    "\u15B2",  # CANADIAN SYLLABICS BLACKFOOT O
    "\u15B3",  # CANADIAN SYLLABICS BLACKFOOT A
    "\u15B4",  # CANADIAN SYLLABICS BLACKFOOT WE
    "\u15B5",  # CANADIAN SYLLABICS BLACKFOOT WI
    "\u15B6",  # CANADIAN SYLLABICS BLACKFOOT WO
    "\u15B7",  # CANADIAN SYLLABICS BLACKFOOT WA
    "\u15B8",  # CANADIAN SYLLABICS BLACKFOOT NE
    "\u15B9",  # CANADIAN SYLLABICS BLACKFOOT NI
    "\u15BA",  # CANADIAN SYLLABICS BLACKFOOT NO
    "\u15BB",  # CANADIAN SYLLABICS BLACKFOOT NA
    "\u15BC",  # CANADIAN SYLLABICS BLACKFOOT KE
    "\u15BD",  # CANADIAN SYLLABICS BLACKFOOT KI
    "\u15BE",  # CANADIAN SYLLABICS BLACKFOOT KO
    "\u15BF",  # CANADIAN SYLLABICS BLACKFOOT KA
    "\u15C0",  # CANADIAN SYLLABICS SAYISI HE
    "\u15C1",  # CANADIAN SYLLABICS SAYISI HI
    "\u15C2",  # CANADIAN SYLLABICS SAYISI HO
    "\u15C3",  # CANADIAN SYLLABICS SAYISI HA
    "\u15C4",  # CANADIAN SYLLABICS CARRIER GHU
    "\u15C5",  # CANADIAN SYLLABICS CARRIER GHO
    "\u15C6",  # CANADIAN SYLLABICS CARRIER GHE
    "\u15C7",  # CANADIAN SYLLABICS CARRIER GHEE
    "\u15C8",  # CANADIAN SYLLABICS CARRIER GHI
    "\u15C9",  # CANADIAN SYLLABICS CARRIER GHA
    "\u15CA",  # CANADIAN SYLLABICS CARRIER RU
    "\u15CB",  # CANADIAN SYLLABICS CARRIER RO
    "\u15CC",  # CANADIAN SYLLABICS CARRIER RE
    "\u15CD",  # CANADIAN SYLLABICS CARRIER REE
    "\u15CE",  # CANADIAN SYLLABICS CARRIER RI
    "\u15CF",  # CANADIAN SYLLABICS CARRIER RA
    "\u15D0",  # CANADIAN SYLLABICS CARRIER WU
    "\u15D1",  # CANADIAN SYLLABICS CARRIER WO
    "\u15D2",  # CANADIAN SYLLABICS CARRIER WE
    "\u15D3",  # CANADIAN SYLLABICS CARRIER WEE
    "\u15D4",  # CANADIAN SYLLABICS CARRIER WI
    "\u15D5",  # CANADIAN SYLLABICS CARRIER WA
    "\u15D6",  # CANADIAN SYLLABICS CARRIER HWU
    "\u15D7",  # CANADIAN SYLLABICS CARRIER HWO
    "\u15D8",  # CANADIAN SYLLABICS CARRIER HWE
    "\u15D9",  # CANADIAN SYLLABICS CARRIER HWEE
    "\u15DA",  # CANADIAN SYLLABICS CARRIER HWI
    "\u15DB",  # CANADIAN SYLLABICS CARRIER HWA
    "\u15DC",  # CANADIAN SYLLABICS CARRIER THU
    "\u15DD",  # CANADIAN SYLLABICS CARRIER THO
    "\u15DE",  # CANADIAN SYLLABICS CARRIER THE
    "\u15DF",  # CANADIAN SYLLABICS CARRIER THEE
    "\u15E0",  # CANADIAN SYLLABICS CARRIER THI
    "\u15E1",  # CANADIAN SYLLABICS CARRIER THA
    "\u15E2",  # CANADIAN SYLLABICS CARRIER TTU
    "\u15E3",  # CANADIAN SYLLABICS CARRIER TTO
    "\u15E4",  # CANADIAN SYLLABICS CARRIER TTE
    "\u15E5",  # CANADIAN SYLLABICS CARRIER TTEE
    "\u15E6",  # CANADIAN SYLLABICS CARRIER TTI
    "\u15E7",  # CANADIAN SYLLABICS CARRIER TTA
    "\u15E8",  # CANADIAN SYLLABICS CARRIER PU
    "\u15E9",  # CANADIAN SYLLABICS CARRIER PO
    "\u15EA",  # CANADIAN SYLLABICS CARRIER PE
    "\u15EB",  # CANADIAN SYLLABICS CARRIER PEE
    "\u15EC",  # CANADIAN SYLLABICS CARRIER PI
    "\u15ED",  # CANADIAN SYLLABICS CARRIER PA
    "\u15EE",  # CANADIAN SYLLABICS CARRIER P
    "\u15EF",  # CANADIAN SYLLABICS CARRIER GU
    "\u15F0",  # CANADIAN SYLLABICS CARRIER GO
    "\u15F1",  # CANADIAN SYLLABICS CARRIER GE
    "\u15F2",  # CANADIAN SYLLABICS CARRIER GEE
    "\u15F3",  # CANADIAN SYLLABICS CARRIER GI
    "\u15F4",  # CANADIAN SYLLABICS CARRIER GA
    "\u15F5",  # CANADIAN SYLLABICS CARRIER KHU
    "\u15F6",  # CANADIAN SYLLABICS CARRIER KHO
    "\u15F7",  # CANADIAN SYLLABICS CARRIER KHE
    "\u15F8",  # CANADIAN SYLLABICS CARRIER KHEE
    "\u15F9",  # CANADIAN SYLLABICS CARRIER KHI
    "\u15FA",  # CANADIAN SYLLABICS CARRIER KHA
    "\u15FB",  # CANADIAN SYLLABICS CARRIER KKU
    "\u15FC",  # CANADIAN SYLLABICS CARRIER KKO
    "\u15FD",  # CANADIAN SYLLABICS CARRIER KKE
    "\u15FE",  # CANADIAN SYLLABICS CARRIER KKEE
    "\u15FF",  # CANADIAN SYLLABICS CARRIER KKI
    "\u1600",  # CANADIAN SYLLABICS CARRIER KKA
    "\u1601",  # CANADIAN SYLLABICS CARRIER KK
    "\u1602",  # CANADIAN SYLLABICS CARRIER NU
    "\u1603",  # CANADIAN SYLLABICS CARRIER NO
    "\u1604",  # CANADIAN SYLLABICS CARRIER NE
    "\u1605",  # CANADIAN SYLLABICS CARRIER NEE
    "\u1606",  # CANADIAN SYLLABICS CARRIER NI
    "\u1607",  # CANADIAN SYLLABICS CARRIER NA
    "\u1608",  # CANADIAN SYLLABICS CARRIER MU
    "\u1609",  # CANADIAN SYLLABICS CARRIER MO
    "\u160A",  # CANADIAN SYLLABICS CARRIER ME
    "\u160B",  # CANADIAN SYLLABICS CARRIER MEE
    "\u160C",  # CANADIAN SYLLABICS CARRIER MI
    "\u160D",  # CANADIAN SYLLABICS CARRIER MA
    "\u160E",  # CANADIAN SYLLABICS CARRIER YU
    "\u160F",  # CANADIAN SYLLABICS CARRIER YO
    "\u1610",  # CANADIAN SYLLABICS CARRIER YE
    "\u1611",  # CANADIAN SYLLABICS CARRIER YEE
    "\u1612",  # CANADIAN SYLLABICS CARRIER YI
    "\u1613",  # CANADIAN SYLLABICS CARRIER YA
    "\u1614",  # CANADIAN SYLLABICS CARRIER JU
    "\u1615",  # CANADIAN SYLLABICS SAYISI JU
    "\u1616",  # CANADIAN SYLLABICS CARRIER JO
    "\u1617",  # CANADIAN SYLLABICS CARRIER JE
    "\u1618",  # CANADIAN SYLLABICS CARRIER JEE
    "\u1619",  # CANADIAN SYLLABICS CARRIER JI
    "\u161A",  # CANADIAN SYLLABICS SAYISI JI
    "\u161B",  # CANADIAN SYLLABICS CARRIER JA
    "\u161C",  # CANADIAN SYLLABICS CARRIER JJU
    "\u161D",  # CANADIAN SYLLABICS CARRIER JJO
    "\u161E",  # CANADIAN SYLLABICS CARRIER JJE
    "\u161F",  # CANADIAN SYLLABICS CARRIER JJEE
    "\u1620",  # CANADIAN SYLLABICS CARRIER JJI
    "\u1621",  # CANADIAN SYLLABICS CARRIER JJA
    "\u1622",  # CANADIAN SYLLABICS CARRIER LU
    "\u1623",  # CANADIAN SYLLABICS CARRIER LO
    "\u1624",  # CANADIAN SYLLABICS CARRIER LE
    "\u1625",  # CANADIAN SYLLABICS CARRIER LEE
    "\u1626",  # CANADIAN SYLLABICS CARRIER LI
    "\u1627",  # CANADIAN SYLLABICS CARRIER LA
    "\u1628",  # CANADIAN SYLLABICS CARRIER DLU
    "\u1629",  # CANADIAN SYLLABICS CARRIER DLO
    "\u162A",  # CANADIAN SYLLABICS CARRIER DLE
    "\u162B",  # CANADIAN SYLLABICS CARRIER DLEE
    "\u162C",  # CANADIAN SYLLABICS CARRIER DLI
    "\u162D",  # CANADIAN SYLLABICS CARRIER DLA
    "\u162E",  # CANADIAN SYLLABICS CARRIER LHU
    "\u162F",  # CANADIAN SYLLABICS CARRIER LHO
    "\u1630",  # CANADIAN SYLLABICS CARRIER LHE
    "\u1631",  # CANADIAN SYLLABICS CARRIER LHEE
    "\u1632",  # CANADIAN SYLLABICS CARRIER LHI
    "\u1633",  # CANADIAN SYLLABICS CARRIER LHA
    "\u1634",  # CANADIAN SYLLABICS CARRIER TLHU
    "\u1635",  # CANADIAN SYLLABICS CARRIER TLHO
    "\u1636",  # CANADIAN SYLLABICS CARRIER TLHE
    "\u1637",  # CANADIAN SYLLABICS CARRIER TLHEE
    "\u1638",  # CANADIAN SYLLABICS CARRIER TLHI
    "\u1639",  # CANADIAN SYLLABICS CARRIER TLHA
    "\u163A",  # CANADIAN SYLLABICS CARRIER TLU
    "\u163B",  # CANADIAN SYLLABICS CARRIER TLO
    "\u163C",  # CANADIAN SYLLABICS CARRIER TLE
    "\u163D",  # CANADIAN SYLLABICS CARRIER TLEE
    "\u163E",  # CANADIAN SYLLABICS CARRIER TLI
    "\u163F",  # CANADIAN SYLLABICS CARRIER TLA
    "\u1640",  # CANADIAN SYLLABICS CARRIER ZU
    "\u1641",  # CANADIAN SYLLABICS CARRIER ZO
    "\u1642",  # CANADIAN SYLLABICS CARRIER ZE
    "\u1643",  # CANADIAN SYLLABICS CARRIER ZEE
    "\u1644",  # CANADIAN SYLLABICS CARRIER ZI
    "\u1645",  # CANADIAN SYLLABICS CARRIER ZA
    "\u1646",  # CANADIAN SYLLABICS CARRIER Z
    "\u1647",  # CANADIAN SYLLABICS CARRIER INITIAL Z
    "\u1648",  # CANADIAN SYLLABICS CARRIER DZU
    "\u1649",  # CANADIAN SYLLABICS CARRIER DZO
    "\u164A",  # CANADIAN SYLLABICS CARRIER DZE
    "\u164B",  # CANADIAN SYLLABICS CARRIER DZEE
    "\u164C",  # CANADIAN SYLLABICS CARRIER DZI
    "\u164D",  # CANADIAN SYLLABICS CARRIER DZA
    "\u164E",  # CANADIAN SYLLABICS CARRIER SU
    "\u164F",  # CANADIAN SYLLABICS CARRIER SO
    "\u1650",  # CANADIAN SYLLABICS CARRIER SE
    "\u1651",  # CANADIAN SYLLABICS CARRIER SEE
    "\u1652",  # CANADIAN SYLLABICS CARRIER SI
    "\u1653",  # CANADIAN SYLLABICS CARRIER SA
    "\u1654",  # CANADIAN SYLLABICS CARRIER SHU
    "\u1655",  # CANADIAN SYLLABICS CARRIER SHO
    "\u1656",  # CANADIAN SYLLABICS CARRIER SHE
    "\u1657",  # CANADIAN SYLLABICS CARRIER SHEE
    "\u1658",  # CANADIAN SYLLABICS CARRIER SHI
    "\u1659",  # CANADIAN SYLLABICS CARRIER SHA
    "\u165A",  # CANADIAN SYLLABICS CARRIER SH
    "\u165B",  # CANADIAN SYLLABICS CARRIER TSU
    "\u165C",  # CANADIAN SYLLABICS CARRIER TSO
    "\u165D",  # CANADIAN SYLLABICS CARRIER TSE
    "\u165E",  # CANADIAN SYLLABICS CARRIER TSEE
    "\u165F",  # CANADIAN SYLLABICS CARRIER TSI
    "\u1660",  # CANADIAN SYLLABICS CARRIER TSA
    "\u1661",  # CANADIAN SYLLABICS CARRIER CHU
    "\u1662",  # CANADIAN SYLLABICS CARRIER CHO
    "\u1663",  # CANADIAN SYLLABICS CARRIER CHE
    "\u1664",  # CANADIAN SYLLABICS CARRIER CHEE
    "\u1665",  # CANADIAN SYLLABICS CARRIER CHI
    "\u1666",  # CANADIAN SYLLABICS CARRIER CHA
    "\u1667",  # CANADIAN SYLLABICS CARRIER TTSU
    "\u1668",  # CANADIAN SYLLABICS CARRIER TTSO
    "\u1669",  # CANADIAN SYLLABICS CARRIER TTSE
    "\u166A",  # CANADIAN SYLLABICS CARRIER TTSEE
    "\u166B",  # CANADIAN SYLLABICS CARRIER TTSI
    "\u166C",  # CANADIAN SYLLABICS CARRIER TTSA
    "\u166D",  # CANADIAN SYLLABICS CHI SIGN
    "\u166E",  # CANADIAN SYLLABICS FULL STOP
    "\u166F",  # CANADIAN SYLLABICS QAI
    "\u1670",  # CANADIAN SYLLABICS NGAI
    "\u1671",  # CANADIAN SYLLABICS NNGI
    "\u1672",  # CANADIAN SYLLABICS NNGII
    "\u1673",  # CANADIAN SYLLABICS NNGO
    "\u1674",  # CANADIAN SYLLABICS NNGOO
    "\u1675",  # CANADIAN SYLLABICS NNGA
    "\u1676",  # CANADIAN SYLLABICS NNGAA
    "\u1677",  # CANADIAN SYLLABICS WOODS-CREE THWEE
    "\u1678",  # CANADIAN SYLLABICS WOODS-CREE THWI
    "\u1679",  # CANADIAN SYLLABICS WOODS-CREE THWII
    "\u167A",  # CANADIAN SYLLABICS WOODS-CREE THWO
    "\u167B",  # CANADIAN SYLLABICS WOODS-CREE THWOO
    "\u167C",  # CANADIAN SYLLABICS WOODS-CREE THWA
    "\u167D",  # CANADIAN SYLLABICS WOODS-CREE THWAA
    "\u167E",  # CANADIAN SYLLABICS WOODS-CREE FINAL TH
    "\u167F",  # CANADIAN SYLLABICS BLACKFOOT W
    "\u1680",  # OGHAM SPACE MARK
    "\u1681",  # OGHAM LETTER BEITH
    "\u1682",  # OGHAM LETTER LUIS
    "\u1683",  # OGHAM LETTER FEARN
    "\u1684",  # OGHAM LETTER SAIL
    "\u1685",  # OGHAM LETTER NION
    "\u1686",  # OGHAM LETTER UATH
    "\u1687",  # OGHAM LETTER DAIR
    "\u1688",  # OGHAM LETTER TINNE
    "\u1689",  # OGHAM LETTER COLL
    "\u168A",  # OGHAM LETTER CEIRT
    "\u168B",  # OGHAM LETTER MUIN
    "\u168C",  # OGHAM LETTER GORT
    "\u168D",  # OGHAM LETTER NGEADAL
    "\u168E",  # OGHAM LETTER STRAIF
    "\u168F",  # OGHAM LETTER RUIS
    "\u1690",  # OGHAM LETTER AILM
    "\u1691",  # OGHAM LETTER ONN
    "\u1692",  # OGHAM LETTER UR
    "\u1693",  # OGHAM LETTER EADHADH
    "\u1694",  # OGHAM LETTER IODHADH
    "\u1695",  # OGHAM LETTER EABHADH
    "\u1696",  # OGHAM LETTER OR
    "\u1697",  # OGHAM LETTER UILLEANN
    "\u1698",  # OGHAM LETTER IFIN
    "\u1699",  # OGHAM LETTER EAMHANCHOLL
    "\u169A",  # OGHAM LETTER PEITH
    "\u169B",  # OGHAM FEATHER MARK
    "\u169C",  # OGHAM REVERSED FEATHER MARK
    "\u16A0",  # RUNIC LETTER FEHU FEOH FE F
    "\u16A1",  # RUNIC LETTER V
    "\u16A2",  # RUNIC LETTER URUZ UR U
    "\u16A3",  # RUNIC LETTER YR
    "\u16A4",  # RUNIC LETTER Y
    "\u16A5",  # RUNIC LETTER W
    "\u16A6",  # RUNIC LETTER THURISAZ THURS THORN
    "\u16A7",  # RUNIC LETTER ETH
    "\u16A8",  # RUNIC LETTER ANSUZ A
    "\u16A9",  # RUNIC LETTER OS O
    "\u16AA",  # RUNIC LETTER AC A
    "\u16AB",  # RUNIC LETTER AESC
    "\u16AC",  # RUNIC LETTER LONG-BRANCH-OSS O
    "\u16AD",  # RUNIC LETTER SHORT-TWIG-OSS O
    "\u16AE",  # RUNIC LETTER O
    "\u16AF",  # RUNIC LETTER OE
    "\u16B0",  # RUNIC LETTER ON
    "\u16B1",  # RUNIC LETTER RAIDO RAD REID R
    "\u16B2",  # RUNIC LETTER KAUNA
    "\u16B3",  # RUNIC LETTER CEN
    "\u16B4",  # RUNIC LETTER KAUN K
    "\u16B5",  # RUNIC LETTER G
    "\u16B6",  # RUNIC LETTER ENG
    "\u16B7",  # RUNIC LETTER GEBO GYFU G
    "\u16B8",  # RUNIC LETTER GAR
    "\u16B9",  # RUNIC LETTER WUNJO WYNN W
    "\u16BA",  # RUNIC LETTER HAGLAZ H
    "\u16BB",  # RUNIC LETTER HAEGL H
    "\u16BC",  # RUNIC LETTER LONG-BRANCH-HAGALL H
    "\u16BD",  # RUNIC LETTER SHORT-TWIG-HAGALL H
    "\u16BE",  # RUNIC LETTER NAUDIZ NYD NAUD N
    "\u16BF",  # RUNIC LETTER SHORT-TWIG-NAUD N
    "\u16C0",  # RUNIC LETTER DOTTED-N
    "\u16C1",  # RUNIC LETTER ISAZ IS ISS I
    "\u16C2",  # RUNIC LETTER E
    "\u16C3",  # RUNIC LETTER JERAN J
    "\u16C4",  # RUNIC LETTER GER
    "\u16C5",  # RUNIC LETTER LONG-BRANCH-AR AE
    "\u16C6",  # RUNIC LETTER SHORT-TWIG-AR A
    "\u16C7",  # RUNIC LETTER IWAZ EOH
    "\u16C8",  # RUNIC LETTER PERTHO PEORTH P
    "\u16C9",  # RUNIC LETTER ALGIZ EOLHX
    "\u16CA",  # RUNIC LETTER SOWILO S
    "\u16CB",  # RUNIC LETTER SIGEL LONG-BRANCH-SOL S
    "\u16CC",  # RUNIC LETTER SHORT-TWIG-SOL S
    "\u16CD",  # RUNIC LETTER C
    "\u16CE",  # RUNIC LETTER Z
    "\u16CF",  # RUNIC LETTER TIWAZ TIR TYR T
    "\u16D0",  # RUNIC LETTER SHORT-TWIG-TYR T
    "\u16D1",  # RUNIC LETTER D
    "\u16D2",  # RUNIC LETTER BERKANAN BEORC BJARKAN B
    "\u16D3",  # RUNIC LETTER SHORT-TWIG-BJARKAN B
    "\u16D4",  # RUNIC LETTER DOTTED-P
    "\u16D5",  # RUNIC LETTER OPEN-P
    "\u16D6",  # RUNIC LETTER EHWAZ EH E
    "\u16D7",  # RUNIC LETTER MANNAZ MAN M
    "\u16D8",  # RUNIC LETTER LONG-BRANCH-MADR M
    "\u16D9",  # RUNIC LETTER SHORT-TWIG-MADR M
    "\u16DA",  # RUNIC LETTER LAUKAZ LAGU LOGR L
    "\u16DB",  # RUNIC LETTER DOTTED-L
    "\u16DC",  # RUNIC LETTER INGWAZ
    "\u16DD",  # RUNIC LETTER ING
    "\u16DE",  # RUNIC LETTER DAGAZ DAEG D
    "\u16DF",  # RUNIC LETTER OTHALAN ETHEL O
    "\u16E0",  # RUNIC LETTER EAR
    "\u16E1",  # RUNIC LETTER IOR
    "\u16E2",  # RUNIC LETTER CWEORTH
    "\u16E3",  # RUNIC LETTER CALC
    "\u16E4",  # RUNIC LETTER CEALC
    "\u16E5",  # RUNIC LETTER STAN
    "\u16E6",  # RUNIC LETTER LONG-BRANCH-YR
    "\u16E7",  # RUNIC LETTER SHORT-TWIG-YR
    "\u16E8",  # RUNIC LETTER ICELANDIC-YR
    "\u16E9",  # RUNIC LETTER Q
    "\u16EA",  # RUNIC LETTER X
    "\u16EB",  # RUNIC SINGLE PUNCTUATION
    "\u16EC",  # RUNIC MULTIPLE PUNCTUATION
    "\u16ED",  # RUNIC CROSS PUNCTUATION
    "\u16EE",  # RUNIC ARLAUG SYMBOL
    "\u16EF",  # RUNIC TVIMADUR SYMBOL
    "\u16F0",  # RUNIC BELGTHOR SYMBOL
    "\u16F1",  # RUNIC LETTER K
    "\u16F2",  # RUNIC LETTER SH
    "\u16F3",  # RUNIC LETTER OO
    "\u16F4",  # RUNIC LETTER FRANKS CASKET OS
    "\u16F5",  # RUNIC LETTER FRANKS CASKET IS
    "\u16F6",  # RUNIC LETTER FRANKS CASKET EH
    "\u16F7",  # RUNIC LETTER FRANKS CASKET AC
    "\u16F8",  # RUNIC LETTER FRANKS CASKET AESC
    "\u1700",  # TAGALOG LETTER A
    "\u1701",  # TAGALOG LETTER I
    "\u1702",  # TAGALOG LETTER U
    "\u1703",  # TAGALOG LETTER KA
    "\u1704",  # TAGALOG LETTER GA
    "\u1705",  # TAGALOG LETTER NGA
    "\u1706",  # TAGALOG LETTER TA
    "\u1707",  # TAGALOG LETTER DA
    "\u1708",  # TAGALOG LETTER NA
    "\u1709",  # TAGALOG LETTER PA
    "\u170A",  # TAGALOG LETTER BA
    "\u170B",  # TAGALOG LETTER MA
    "\u170C",  # TAGALOG LETTER YA
    "\u170E",  # TAGALOG LETTER LA
    "\u170F",  # TAGALOG LETTER WA
    "\u1710",  # TAGALOG LETTER SA
    "\u1711",  # TAGALOG LETTER HA
    "\u1712",  # TAGALOG VOWEL SIGN I
    "\u1713",  # TAGALOG VOWEL SIGN U
    "\u1714",  # TAGALOG SIGN VIRAMA
    "\u1720",  # HANUNOO LETTER A
    "\u1721",  # HANUNOO LETTER I
    "\u1722",  # HANUNOO LETTER U
    "\u1723",  # HANUNOO LETTER KA
    "\u1724",  # HANUNOO LETTER GA
    "\u1725",  # HANUNOO LETTER NGA
    "\u1726",  # HANUNOO LETTER TA
    "\u1727",  # HANUNOO LETTER DA
    "\u1728",  # HANUNOO LETTER NA
    "\u1729",  # HANUNOO LETTER PA
    "\u172A",  # HANUNOO LETTER BA
    "\u172B",  # HANUNOO LETTER MA
    "\u172C",  # HANUNOO LETTER YA
    "\u172D",  # HANUNOO LETTER RA
    "\u172E",  # HANUNOO LETTER LA
    "\u172F",  # HANUNOO LETTER WA
    "\u1730",  # HANUNOO LETTER SA
    "\u1731",  # HANUNOO LETTER HA
    "\u1732",  # HANUNOO VOWEL SIGN I
    "\u1733",  # HANUNOO VOWEL SIGN U
    "\u1734",  # HANUNOO SIGN PAMUDPOD
    "\u1735",  # PHILIPPINE SINGLE PUNCTUATION
    "\u1736",  # PHILIPPINE DOUBLE PUNCTUATION
    "\u1740",  # BUHID LETTER A
    "\u1741",  # BUHID LETTER I
    "\u1742",  # BUHID LETTER U
    "\u1743",  # BUHID LETTER KA
    "\u1744",  # BUHID LETTER GA
    "\u1745",  # BUHID LETTER NGA
    "\u1746",  # BUHID LETTER TA
    "\u1747",  # BUHID LETTER DA
    "\u1748",  # BUHID LETTER NA
    "\u1749",  # BUHID LETTER PA
    "\u174A",  # BUHID LETTER BA
    "\u174B",  # BUHID LETTER MA
    "\u174C",  # BUHID LETTER YA
    "\u174D",  # BUHID LETTER RA
    "\u174E",  # BUHID LETTER LA
    "\u174F",  # BUHID LETTER WA
    "\u1750",  # BUHID LETTER SA
    "\u1751",  # BUHID LETTER HA
    "\u1752",  # BUHID VOWEL SIGN I
    "\u1753",  # BUHID VOWEL SIGN U
    "\u1760",  # TAGBANWA LETTER A
    "\u1761",  # TAGBANWA LETTER I
    "\u1762",  # TAGBANWA LETTER U
    "\u1763",  # TAGBANWA LETTER KA
    "\u1764",  # TAGBANWA LETTER GA
    "\u1765",  # TAGBANWA LETTER NGA
    "\u1766",  # TAGBANWA LETTER TA
    "\u1767",  # TAGBANWA LETTER DA
    "\u1768",  # TAGBANWA LETTER NA
    "\u1769",  # TAGBANWA LETTER PA
    "\u176A",  # TAGBANWA LETTER BA
    "\u176B",  # TAGBANWA LETTER MA
    "\u176C",  # TAGBANWA LETTER YA
    "\u176E",  # TAGBANWA LETTER LA
    "\u176F",  # TAGBANWA LETTER WA
    "\u1770",  # TAGBANWA LETTER SA
    "\u1772",  # TAGBANWA VOWEL SIGN I
    "\u1773",  # TAGBANWA VOWEL SIGN U
    "\u1780",  # KHMER LETTER KA
    "\u1781",  # KHMER LETTER KHA
    "\u1782",  # KHMER LETTER KO
    "\u1783",  # KHMER LETTER KHO
    "\u1784",  # KHMER LETTER NGO
    "\u1785",  # KHMER LETTER CA
    "\u1786",  # KHMER LETTER CHA
    "\u1787",  # KHMER LETTER CO
    "\u1788",  # KHMER LETTER CHO
    "\u1789",  # KHMER LETTER NYO
    "\u178A",  # KHMER LETTER DA
    "\u178B",  # KHMER LETTER TTHA
    "\u178C",  # KHMER LETTER DO
    "\u178D",  # KHMER LETTER TTHO
    "\u178E",  # KHMER LETTER NNO
    "\u178F",  # KHMER LETTER TA
    "\u1790",  # KHMER LETTER THA
    "\u1791",  # KHMER LETTER TO
    "\u1792",  # KHMER LETTER THO
    "\u1793",  # KHMER LETTER NO
    "\u1794",  # KHMER LETTER BA
    "\u1795",  # KHMER LETTER PHA
    "\u1796",  # KHMER LETTER PO
    "\u1797",  # KHMER LETTER PHO
    "\u1798",  # KHMER LETTER MO
    "\u1799",  # KHMER LETTER YO
    "\u179A",  # KHMER LETTER RO
    "\u179B",  # KHMER LETTER LO
    "\u179C",  # KHMER LETTER VO
    "\u179D",  # KHMER LETTER SHA
    "\u179E",  # KHMER LETTER SSO
    "\u179F",  # KHMER LETTER SA
    "\u17A0",  # KHMER LETTER HA
    "\u17A1",  # KHMER LETTER LA
    "\u17A2",  # KHMER LETTER QA
    "\u17A3",  # KHMER INDEPENDENT VOWEL QAQ
    "\u17A4",  # KHMER INDEPENDENT VOWEL QAA
    "\u17A5",  # KHMER INDEPENDENT VOWEL QI
    "\u17A6",  # KHMER INDEPENDENT VOWEL QII
    "\u17A7",  # KHMER INDEPENDENT VOWEL QU
    "\u17A8",  # KHMER INDEPENDENT VOWEL QUK
    "\u17A9",  # KHMER INDEPENDENT VOWEL QUU
    "\u17AA",  # KHMER INDEPENDENT VOWEL QUUV
    "\u17AB",  # KHMER INDEPENDENT VOWEL RY
    "\u17AC",  # KHMER INDEPENDENT VOWEL RYY
    "\u17AD",  # KHMER INDEPENDENT VOWEL LY
    "\u17AE",  # KHMER INDEPENDENT VOWEL LYY
    "\u17AF",  # KHMER INDEPENDENT VOWEL QE
    "\u17B0",  # KHMER INDEPENDENT VOWEL QAI
    "\u17B1",  # KHMER INDEPENDENT VOWEL QOO TYPE ONE
    "\u17B2",  # KHMER INDEPENDENT VOWEL QOO TYPE TWO
    "\u17B3",  # KHMER INDEPENDENT VOWEL QAU
    "\u17B4",  # KHMER VOWEL INHERENT AQ
    "\u17B5",  # KHMER VOWEL INHERENT AA
    "\u17B6",  # KHMER VOWEL SIGN AA
    "\u17B7",  # KHMER VOWEL SIGN I
    "\u17B8",  # KHMER VOWEL SIGN II
    "\u17B9",  # KHMER VOWEL SIGN Y
    "\u17BA",  # KHMER VOWEL SIGN YY
    "\u17BB",  # KHMER VOWEL SIGN U
    "\u17BC",  # KHMER VOWEL SIGN UU
    "\u17BD",  # KHMER VOWEL SIGN UA
    "\u17BE",  # KHMER VOWEL SIGN OE
    "\u17BF",  # KHMER VOWEL SIGN YA
    "\u17C0",  # KHMER VOWEL SIGN IE
    "\u17C1",  # KHMER VOWEL SIGN E
    "\u17C2",  # KHMER VOWEL SIGN AE
    "\u17C3",  # KHMER VOWEL SIGN AI
    "\u17C4",  # KHMER VOWEL SIGN OO
    "\u17C5",  # KHMER VOWEL SIGN AU
    "\u17C6",  # KHMER SIGN NIKAHIT
    "\u17C7",  # KHMER SIGN REAHMUK
    "\u17C8",  # KHMER SIGN YUUKALEAPINTU
    "\u17C9",  # KHMER SIGN MUUSIKATOAN
    "\u17CA",  # KHMER SIGN TRIISAP
    "\u17CB",  # KHMER SIGN BANTOC
    "\u17CC",  # KHMER SIGN ROBAT
    "\u17CD",  # KHMER SIGN TOANDAKHIAT
    "\u17CE",  # KHMER SIGN KAKABAT
    "\u17CF",  # KHMER SIGN AHSDA
    "\u17D0",  # KHMER SIGN SAMYOK SANNYA
    "\u17D1",  # KHMER SIGN VIRIAM
    "\u17D2",  # KHMER SIGN COENG
    "\u17D3",  # KHMER SIGN BATHAMASAT
    "\u17D4",  # KHMER SIGN KHAN
    "\u17D5",  # KHMER SIGN BARIYOOSAN
    "\u17D6",  # KHMER SIGN CAMNUC PII KUUH
    "\u17D7",  # KHMER SIGN LEK TOO
    "\u17D8",  # KHMER SIGN BEYYAL
    "\u17D9",  # KHMER SIGN PHNAEK MUAN
    "\u17DA",  # KHMER SIGN KOOMUUT
    "\u17DB",  # KHMER CURRENCY SYMBOL RIEL
    "\u17DC",  # KHMER SIGN AVAKRAHASANYA
    "\u17DD",  # KHMER SIGN ATTHACAN
    "\u17E0",  # KHMER DIGIT ZERO
    "\u17E1",  # KHMER DIGIT ONE
    "\u17E2",  # KHMER DIGIT TWO
    "\u17E3",  # KHMER DIGIT THREE
    "\u17E4",  # KHMER DIGIT FOUR
    "\u17E5",  # KHMER DIGIT FIVE
    "\u17E6",  # KHMER DIGIT SIX
    "\u17E7",  # KHMER DIGIT SEVEN
    "\u17E8",  # KHMER DIGIT EIGHT
    "\u17E9",  # KHMER DIGIT NINE
    "\u17F0",  # KHMER SYMBOL LEK ATTAK SON
    "\u17F1",  # KHMER SYMBOL LEK ATTAK MUOY
    "\u17F2",  # KHMER SYMBOL LEK ATTAK PII
    "\u17F3",  # KHMER SYMBOL LEK ATTAK BEI
    "\u17F4",  # KHMER SYMBOL LEK ATTAK BUON
    "\u17F5",  # KHMER SYMBOL LEK ATTAK PRAM
    "\u17F6",  # KHMER SYMBOL LEK ATTAK PRAM-MUOY
    "\u17F7",  # KHMER SYMBOL LEK ATTAK PRAM-PII
    "\u17F8",  # KHMER SYMBOL LEK ATTAK PRAM-BEI
    "\u17F9",  # KHMER SYMBOL LEK ATTAK PRAM-BUON
    "\u1800",  # MONGOLIAN BIRGA
    "\u1801",  # MONGOLIAN ELLIPSIS
    "\u1802",  # MONGOLIAN COMMA
    "\u1803",  # MONGOLIAN FULL STOP
    "\u1804",  # MONGOLIAN COLON
    "\u1805",  # MONGOLIAN FOUR DOTS
    "\u1806",  # MONGOLIAN TODO SOFT HYPHEN
    "\u1807",  # MONGOLIAN SIBE SYLLABLE BOUNDARY MARKER
    "\u1808",  # MONGOLIAN MANCHU COMMA
    "\u1809",  # MONGOLIAN MANCHU FULL STOP
    "\u180A",  # MONGOLIAN NIRUGU
    "\u180B",  # MONGOLIAN FREE VARIATION SELECTOR ONE
    "\u180C",  # MONGOLIAN FREE VARIATION SELECTOR TWO
    "\u180D",  # MONGOLIAN FREE VARIATION SELECTOR THREE
    "\u180E",  # MONGOLIAN VOWEL SEPARATOR
    "\u1810",  # MONGOLIAN DIGIT ZERO
    "\u1811",  # MONGOLIAN DIGIT ONE
    "\u1812",  # MONGOLIAN DIGIT TWO
    "\u1813",  # MONGOLIAN DIGIT THREE
    "\u1814",  # MONGOLIAN DIGIT FOUR
    "\u1815",  # MONGOLIAN DIGIT FIVE
    "\u1816",  # MONGOLIAN DIGIT SIX
    "\u1817",  # MONGOLIAN DIGIT SEVEN
    "\u1818",  # MONGOLIAN DIGIT EIGHT
    "\u1819",  # MONGOLIAN DIGIT NINE
    "\u1820",  # MONGOLIAN LETTER A
    "\u1821",  # MONGOLIAN LETTER E
    "\u1822",  # MONGOLIAN LETTER I
    "\u1823",  # MONGOLIAN LETTER O
    "\u1824",  # MONGOLIAN LETTER U
    "\u1825",  # MONGOLIAN LETTER OE
    "\u1826",  # MONGOLIAN LETTER UE
    "\u1827",  # MONGOLIAN LETTER EE
    "\u1828",  # MONGOLIAN LETTER NA
    "\u1829",  # MONGOLIAN LETTER ANG
    "\u182A",  # MONGOLIAN LETTER BA
    "\u182B",  # MONGOLIAN LETTER PA
    "\u182C",  # MONGOLIAN LETTER QA
    "\u182D",  # MONGOLIAN LETTER GA
    "\u182E",  # MONGOLIAN LETTER MA
    "\u182F",  # MONGOLIAN LETTER LA
    "\u1830",  # MONGOLIAN LETTER SA
    "\u1831",  # MONGOLIAN LETTER SHA
    "\u1832",  # MONGOLIAN LETTER TA
    "\u1833",  # MONGOLIAN LETTER DA
    "\u1834",  # MONGOLIAN LETTER CHA
    "\u1835",  # MONGOLIAN LETTER JA
    "\u1836",  # MONGOLIAN LETTER YA
    "\u1837",  # MONGOLIAN LETTER RA
    "\u1838",  # MONGOLIAN LETTER WA
    "\u1839",  # MONGOLIAN LETTER FA
    "\u183A",  # MONGOLIAN LETTER KA
    "\u183B",  # MONGOLIAN LETTER KHA
    "\u183C",  # MONGOLIAN LETTER TSA
    "\u183D",  # MONGOLIAN LETTER ZA
    "\u183E",  # MONGOLIAN LETTER HAA
    "\u183F",  # MONGOLIAN LETTER ZRA
    "\u1840",  # MONGOLIAN LETTER LHA
    "\u1841",  # MONGOLIAN LETTER ZHI
    "\u1842",  # MONGOLIAN LETTER CHI
    "\u1843",  # MONGOLIAN LETTER TODO LONG VOWEL SIGN
    "\u1844",  # MONGOLIAN LETTER TODO E
    "\u1845",  # MONGOLIAN LETTER TODO I
    "\u1846",  # MONGOLIAN LETTER TODO O
    "\u1847",  # MONGOLIAN LETTER TODO U
    "\u1848",  # MONGOLIAN LETTER TODO OE
    "\u1849",  # MONGOLIAN LETTER TODO UE
    "\u184A",  # MONGOLIAN LETTER TODO ANG
    "\u184B",  # MONGOLIAN LETTER TODO BA
    "\u184C",  # MONGOLIAN LETTER TODO PA
    "\u184D",  # MONGOLIAN LETTER TODO QA
    "\u184E",  # MONGOLIAN LETTER TODO GA
    "\u184F",  # MONGOLIAN LETTER TODO MA
    "\u1850",  # MONGOLIAN LETTER TODO TA
    "\u1851",  # MONGOLIAN LETTER TODO DA
    "\u1852",  # MONGOLIAN LETTER TODO CHA
    "\u1853",  # MONGOLIAN LETTER TODO JA
    "\u1854",  # MONGOLIAN LETTER TODO TSA
    "\u1855",  # MONGOLIAN LETTER TODO YA
    "\u1856",  # MONGOLIAN LETTER TODO WA
    "\u1857",  # MONGOLIAN LETTER TODO KA
    "\u1858",  # MONGOLIAN LETTER TODO GAA
    "\u1859",  # MONGOLIAN LETTER TODO HAA
    "\u185A",  # MONGOLIAN LETTER TODO JIA
    "\u185B",  # MONGOLIAN LETTER TODO NIA
    "\u185C",  # MONGOLIAN LETTER TODO DZA
    "\u185D",  # MONGOLIAN LETTER SIBE E
    "\u185E",  # MONGOLIAN LETTER SIBE I
    "\u185F",  # MONGOLIAN LETTER SIBE IY
    "\u1860",  # MONGOLIAN LETTER SIBE UE
    "\u1861",  # MONGOLIAN LETTER SIBE U
    "\u1862",  # MONGOLIAN LETTER SIBE ANG
    "\u1863",  # MONGOLIAN LETTER SIBE KA
    "\u1864",  # MONGOLIAN LETTER SIBE GA
    "\u1865",  # MONGOLIAN LETTER SIBE HA
    "\u1866",  # MONGOLIAN LETTER SIBE PA
    "\u1867",  # MONGOLIAN LETTER SIBE SHA
    "\u1868",  # MONGOLIAN LETTER SIBE TA
    "\u1869",  # MONGOLIAN LETTER SIBE DA
    "\u186A",  # MONGOLIAN LETTER SIBE JA
    "\u186B",  # MONGOLIAN LETTER SIBE FA
    "\u186C",  # MONGOLIAN LETTER SIBE GAA
    "\u186D",  # MONGOLIAN LETTER SIBE HAA
    "\u186E",  # MONGOLIAN LETTER SIBE TSA
    "\u186F",  # MONGOLIAN LETTER SIBE ZA
    "\u1870",  # MONGOLIAN LETTER SIBE RAA
    "\u1871",  # MONGOLIAN LETTER SIBE CHA
    "\u1872",  # MONGOLIAN LETTER SIBE ZHA
    "\u1873",  # MONGOLIAN LETTER MANCHU I
    "\u1874",  # MONGOLIAN LETTER MANCHU KA
    "\u1875",  # MONGOLIAN LETTER MANCHU RA
    "\u1876",  # MONGOLIAN LETTER MANCHU FA
    "\u1877",  # MONGOLIAN LETTER MANCHU ZHA
    "\u1880",  # MONGOLIAN LETTER ALI GALI ANUSVARA ONE
    "\u1881",  # MONGOLIAN LETTER ALI GALI VISARGA ONE
    "\u1882",  # MONGOLIAN LETTER ALI GALI DAMARU
    "\u1883",  # MONGOLIAN LETTER ALI GALI UBADAMA
    "\u1884",  # MONGOLIAN LETTER ALI GALI INVERTED UBADAMA
    "\u1885",  # MONGOLIAN LETTER ALI GALI BALUDA
    "\u1886",  # MONGOLIAN LETTER ALI GALI THREE BALUDA
    "\u1887",  # MONGOLIAN LETTER ALI GALI A
    "\u1888",  # MONGOLIAN LETTER ALI GALI I
    "\u1889",  # MONGOLIAN LETTER ALI GALI KA
    "\u188A",  # MONGOLIAN LETTER ALI GALI NGA
    "\u188B",  # MONGOLIAN LETTER ALI GALI CA
    "\u188C",  # MONGOLIAN LETTER ALI GALI TTA
    "\u188D",  # MONGOLIAN LETTER ALI GALI TTHA
    "\u188E",  # MONGOLIAN LETTER ALI GALI DDA
    "\u188F",  # MONGOLIAN LETTER ALI GALI NNA
    "\u1890",  # MONGOLIAN LETTER ALI GALI TA
    "\u1891",  # MONGOLIAN LETTER ALI GALI DA
    "\u1892",  # MONGOLIAN LETTER ALI GALI PA
    "\u1893",  # MONGOLIAN LETTER ALI GALI PHA
    "\u1894",  # MONGOLIAN LETTER ALI GALI SSA
    "\u1895",  # MONGOLIAN LETTER ALI GALI ZHA
    "\u1896",  # MONGOLIAN LETTER ALI GALI ZA
    "\u1897",  # MONGOLIAN LETTER ALI GALI AH
    "\u1898",  # MONGOLIAN LETTER TODO ALI GALI TA
    "\u1899",  # MONGOLIAN LETTER TODO ALI GALI ZHA
    "\u189A",  # MONGOLIAN LETTER MANCHU ALI GALI GHA
    "\u189B",  # MONGOLIAN LETTER MANCHU ALI GALI NGA
    "\u189C",  # MONGOLIAN LETTER MANCHU ALI GALI CA
    "\u189D",  # MONGOLIAN LETTER MANCHU ALI GALI JHA
    "\u189E",  # MONGOLIAN LETTER MANCHU ALI GALI TTA
    "\u189F",  # MONGOLIAN LETTER MANCHU ALI GALI DDHA
    "\u18A0",  # MONGOLIAN LETTER MANCHU ALI GALI TA
    "\u18A1",  # MONGOLIAN LETTER MANCHU ALI GALI DHA
    "\u18A2",  # MONGOLIAN LETTER MANCHU ALI GALI SSA
    "\u18A3",  # MONGOLIAN LETTER MANCHU ALI GALI CYA
    "\u18A4",  # MONGOLIAN LETTER MANCHU ALI GALI ZHA
    "\u18A5",  # MONGOLIAN LETTER MANCHU ALI GALI ZA
    "\u18A6",  # MONGOLIAN LETTER ALI GALI HALF U
    "\u18A7",  # MONGOLIAN LETTER ALI GALI HALF YA
    "\u18A8",  # MONGOLIAN LETTER MANCHU ALI GALI BHA
    "\u18A9",  # MONGOLIAN LETTER ALI GALI DAGALGA
    "\u18AA",  # MONGOLIAN LETTER MANCHU ALI GALI LHA
    "\u18B0",  # CANADIAN SYLLABICS OY
    "\u18B1",  # CANADIAN SYLLABICS AY
    "\u18B2",  # CANADIAN SYLLABICS AAY
    "\u18B3",  # CANADIAN SYLLABICS WAY
    "\u18B4",  # CANADIAN SYLLABICS POY
    "\u18B5",  # CANADIAN SYLLABICS PAY
    "\u18B6",  # CANADIAN SYLLABICS PWOY
    "\u18B7",  # CANADIAN SYLLABICS TAY
    "\u18B8",  # CANADIAN SYLLABICS KAY
    "\u18B9",  # CANADIAN SYLLABICS KWAY
    "\u18BA",  # CANADIAN SYLLABICS MAY
    "\u18BB",  # CANADIAN SYLLABICS NOY
    "\u18BC",  # CANADIAN SYLLABICS NAY
    "\u18BD",  # CANADIAN SYLLABICS LAY
    "\u18BE",  # CANADIAN SYLLABICS SOY
    "\u18BF",  # CANADIAN SYLLABICS SAY
    "\u18C0",  # CANADIAN SYLLABICS SHOY
    "\u18C1",  # CANADIAN SYLLABICS SHAY
    "\u18C2",  # CANADIAN SYLLABICS SHWOY
    "\u18C3",  # CANADIAN SYLLABICS YOY
    "\u18C4",  # CANADIAN SYLLABICS YAY
    "\u18C5",  # CANADIAN SYLLABICS RAY
    "\u18C6",  # CANADIAN SYLLABICS NWI
    "\u18C7",  # CANADIAN SYLLABICS OJIBWAY NWI
    "\u18C8",  # CANADIAN SYLLABICS NWII
    "\u18C9",  # CANADIAN SYLLABICS OJIBWAY NWII
    "\u18CA",  # CANADIAN SYLLABICS NWO
    "\u18CB",  # CANADIAN SYLLABICS OJIBWAY NWO
    "\u18CC",  # CANADIAN SYLLABICS NWOO
    "\u18CD",  # CANADIAN SYLLABICS OJIBWAY NWOO
    "\u18CE",  # CANADIAN SYLLABICS RWEE
    "\u18CF",  # CANADIAN SYLLABICS RWI
    "\u18D0",  # CANADIAN SYLLABICS RWII
    "\u18D1",  # CANADIAN SYLLABICS RWO
    "\u18D2",  # CANADIAN SYLLABICS RWOO
    "\u18D3",  # CANADIAN SYLLABICS RWA
    "\u18D4",  # CANADIAN SYLLABICS OJIBWAY P
    "\u18D5",  # CANADIAN SYLLABICS OJIBWAY T
    "\u18D6",  # CANADIAN SYLLABICS OJIBWAY K
    "\u18D7",  # CANADIAN SYLLABICS OJIBWAY C
    "\u18D8",  # CANADIAN SYLLABICS OJIBWAY M
    "\u18D9",  # CANADIAN SYLLABICS OJIBWAY N
    "\u18DA",  # CANADIAN SYLLABICS OJIBWAY S
    "\u18DB",  # CANADIAN SYLLABICS OJIBWAY SH
    "\u18DC",  # CANADIAN SYLLABICS EASTERN W
    "\u18DD",  # CANADIAN SYLLABICS WESTERN W
    "\u18DE",  # CANADIAN SYLLABICS FINAL SMALL RING
    "\u18DF",  # CANADIAN SYLLABICS FINAL RAISED DOT
    "\u18E0",  # CANADIAN SYLLABICS R-CREE RWE
    "\u18E1",  # CANADIAN SYLLABICS WEST-CREE LOO
    "\u18E2",  # CANADIAN SYLLABICS WEST-CREE LAA
    "\u18E3",  # CANADIAN SYLLABICS THWE
    "\u18E4",  # CANADIAN SYLLABICS THWA
    "\u18E5",  # CANADIAN SYLLABICS TTHWE
    "\u18E6",  # CANADIAN SYLLABICS TTHOO
    "\u18E7",  # CANADIAN SYLLABICS TTHAA
    "\u18E8",  # CANADIAN SYLLABICS TLHWE
    "\u18E9",  # CANADIAN SYLLABICS TLHOO
    "\u18EA",  # CANADIAN SYLLABICS SAYISI SHWE
    "\u18EB",  # CANADIAN SYLLABICS SAYISI SHOO
    "\u18EC",  # CANADIAN SYLLABICS SAYISI HOO
    "\u18ED",  # CANADIAN SYLLABICS CARRIER GWU
    "\u18EE",  # CANADIAN SYLLABICS CARRIER DENE GEE
    "\u18EF",  # CANADIAN SYLLABICS CARRIER GAA
    "\u18F0",  # CANADIAN SYLLABICS CARRIER GWA
    "\u18F1",  # CANADIAN SYLLABICS SAYISI JUU
    "\u18F2",  # CANADIAN SYLLABICS CARRIER JWA
    "\u18F3",  # CANADIAN SYLLABICS BEAVER DENE L
    "\u18F4",  # CANADIAN SYLLABICS BEAVER DENE R
    "\u18F5",  # CANADIAN SYLLABICS CARRIER DENTAL S
    "\u1900",  # LIMBU VOWEL-CARRIER LETTER
    "\u1901",  # LIMBU LETTER KA
    "\u1902",  # LIMBU LETTER KHA
    "\u1903",  # LIMBU LETTER GA
    "\u1904",  # LIMBU LETTER GHA
    "\u1905",  # LIMBU LETTER NGA
    "\u1906",  # LIMBU LETTER CA
    "\u1907",  # LIMBU LETTER CHA
    "\u1908",  # LIMBU LETTER JA
    "\u1909",  # LIMBU LETTER JHA
    "\u190A",  # LIMBU LETTER YAN
    "\u190B",  # LIMBU LETTER TA
    "\u190C",  # LIMBU LETTER THA
    "\u190D",  # LIMBU LETTER DA
    "\u190E",  # LIMBU LETTER DHA
    "\u190F",  # LIMBU LETTER NA
    "\u1910",  # LIMBU LETTER PA
    "\u1911",  # LIMBU LETTER PHA
    "\u1912",  # LIMBU LETTER BA
    "\u1913",  # LIMBU LETTER BHA
    "\u1914",  # LIMBU LETTER MA
    "\u1915",  # LIMBU LETTER YA
    "\u1916",  # LIMBU LETTER RA
    "\u1917",  # LIMBU LETTER LA
    "\u1918",  # LIMBU LETTER WA
    "\u1919",  # LIMBU LETTER SHA
    "\u191A",  # LIMBU LETTER SSA
    "\u191B",  # LIMBU LETTER SA
    "\u191C",  # LIMBU LETTER HA
    "\u191D",  # LIMBU LETTER GYAN
    "\u191E",  # LIMBU LETTER TRA
    "\u1920",  # LIMBU VOWEL SIGN A
    "\u1921",  # LIMBU VOWEL SIGN I
    "\u1922",  # LIMBU VOWEL SIGN U
    "\u1923",  # LIMBU VOWEL SIGN EE
    "\u1924",  # LIMBU VOWEL SIGN AI
    "\u1925",  # LIMBU VOWEL SIGN OO
    "\u1926",  # LIMBU VOWEL SIGN AU
    "\u1927",  # LIMBU VOWEL SIGN E
    "\u1928",  # LIMBU VOWEL SIGN O
    "\u1929",  # LIMBU SUBJOINED LETTER YA
    "\u192A",  # LIMBU SUBJOINED LETTER RA
    "\u192B",  # LIMBU SUBJOINED LETTER WA
    "\u1930",  # LIMBU SMALL LETTER KA
    "\u1931",  # LIMBU SMALL LETTER NGA
    "\u1932",  # LIMBU SMALL LETTER ANUSVARA
    "\u1933",  # LIMBU SMALL LETTER TA
    "\u1934",  # LIMBU SMALL LETTER NA
    "\u1935",  # LIMBU SMALL LETTER PA
    "\u1936",  # LIMBU SMALL LETTER MA
    "\u1937",  # LIMBU SMALL LETTER RA
    "\u1938",  # LIMBU SMALL LETTER LA
    "\u1939",  # LIMBU SIGN MUKPHRENG
    "\u193A",  # LIMBU SIGN KEMPHRENG
    "\u193B",  # LIMBU SIGN SA-I
    "\u1940",  # LIMBU SIGN LOO
    "\u1944",  # LIMBU EXCLAMATION MARK
    "\u1945",  # LIMBU QUESTION MARK
    "\u1946",  # LIMBU DIGIT ZERO
    "\u1947",  # LIMBU DIGIT ONE
    "\u1948",  # LIMBU DIGIT TWO
    "\u1949",  # LIMBU DIGIT THREE
    "\u194A",  # LIMBU DIGIT FOUR
    "\u194B",  # LIMBU DIGIT FIVE
    "\u194C",  # LIMBU DIGIT SIX
    "\u194D",  # LIMBU DIGIT SEVEN
    "\u194E",  # LIMBU DIGIT EIGHT
    "\u194F",  # LIMBU DIGIT NINE
    "\u1950",  # TAI LE LETTER KA
    "\u1951",  # TAI LE LETTER XA
    "\u1952",  # TAI LE LETTER NGA
    "\u1953",  # TAI LE LETTER TSA
    "\u1954",  # TAI LE LETTER SA
    "\u1955",  # TAI LE LETTER YA
    "\u1956",  # TAI LE LETTER TA
    "\u1957",  # TAI LE LETTER THA
    "\u1958",  # TAI LE LETTER LA
    "\u1959",  # TAI LE LETTER PA
    "\u195A",  # TAI LE LETTER PHA
    "\u195B",  # TAI LE LETTER MA
    "\u195C",  # TAI LE LETTER FA
    "\u195D",  # TAI LE LETTER VA
    "\u195E",  # TAI LE LETTER HA
    "\u195F",  # TAI LE LETTER QA
    "\u1960",  # TAI LE LETTER KHA
    "\u1961",  # TAI LE LETTER TSHA
    "\u1962",  # TAI LE LETTER NA
    "\u1963",  # TAI LE LETTER A
    "\u1964",  # TAI LE LETTER I
    "\u1965",  # TAI LE LETTER EE
    "\u1966",  # TAI LE LETTER EH
    "\u1967",  # TAI LE LETTER U
    "\u1968",  # TAI LE LETTER OO
    "\u1969",  # TAI LE LETTER O
    "\u196A",  # TAI LE LETTER UE
    "\u196B",  # TAI LE LETTER E
    "\u196C",  # TAI LE LETTER AUE
    "\u196D",  # TAI LE LETTER AI
    "\u1970",  # TAI LE LETTER TONE-2
    "\u1971",  # TAI LE LETTER TONE-3
    "\u1972",  # TAI LE LETTER TONE-4
    "\u1973",  # TAI LE LETTER TONE-5
    "\u1974",  # TAI LE LETTER TONE-6
    "\u1980",  # NEW TAI LUE LETTER HIGH QA
    "\u1981",  # NEW TAI LUE LETTER LOW QA
    "\u1982",  # NEW TAI LUE LETTER HIGH KA
    "\u1983",  # NEW TAI LUE LETTER HIGH XA
    "\u1984",  # NEW TAI LUE LETTER HIGH NGA
    "\u1985",  # NEW TAI LUE LETTER LOW KA
    "\u1986",  # NEW TAI LUE LETTER LOW XA
    "\u1987",  # NEW TAI LUE LETTER LOW NGA
    "\u1988",  # NEW TAI LUE LETTER HIGH TSA
    "\u1989",  # NEW TAI LUE LETTER HIGH SA
    "\u198A",  # NEW TAI LUE LETTER HIGH YA
    "\u198B",  # NEW TAI LUE LETTER LOW TSA
    "\u198C",  # NEW TAI LUE LETTER LOW SA
    "\u198D",  # NEW TAI LUE LETTER LOW YA
    "\u198E",  # NEW TAI LUE LETTER HIGH TA
    "\u198F",  # NEW TAI LUE LETTER HIGH THA
    "\u1990",  # NEW TAI LUE LETTER HIGH NA
    "\u1991",  # NEW TAI LUE LETTER LOW TA
    "\u1992",  # NEW TAI LUE LETTER LOW THA
    "\u1993",  # NEW TAI LUE LETTER LOW NA
    "\u1994",  # NEW TAI LUE LETTER HIGH PA
    "\u1995",  # NEW TAI LUE LETTER HIGH PHA
    "\u1996",  # NEW TAI LUE LETTER HIGH MA
    "\u1997",  # NEW TAI LUE LETTER LOW PA
    "\u1998",  # NEW TAI LUE LETTER LOW PHA
    "\u1999",  # NEW TAI LUE LETTER LOW MA
    "\u199A",  # NEW TAI LUE LETTER HIGH FA
    "\u199B",  # NEW TAI LUE LETTER HIGH VA
    "\u199C",  # NEW TAI LUE LETTER HIGH LA
    "\u199D",  # NEW TAI LUE LETTER LOW FA
    "\u199E",  # NEW TAI LUE LETTER LOW VA
    "\u199F",  # NEW TAI LUE LETTER LOW LA
    "\u19A0",  # NEW TAI LUE LETTER HIGH HA
    "\u19A1",  # NEW TAI LUE LETTER HIGH DA
    "\u19A2",  # NEW TAI LUE LETTER HIGH BA
    "\u19A3",  # NEW TAI LUE LETTER LOW HA
    "\u19A4",  # NEW TAI LUE LETTER LOW DA
    "\u19A5",  # NEW TAI LUE LETTER LOW BA
    "\u19A6",  # NEW TAI LUE LETTER HIGH KVA
    "\u19A7",  # NEW TAI LUE LETTER HIGH XVA
    "\u19A8",  # NEW TAI LUE LETTER LOW KVA
    "\u19A9",  # NEW TAI LUE LETTER LOW XVA
    "\u19AA",  # NEW TAI LUE LETTER HIGH SUA
    "\u19AB",  # NEW TAI LUE LETTER LOW SUA
    "\u19B0",  # NEW TAI LUE VOWEL SIGN VOWEL SHORTENER
    "\u19B1",  # NEW TAI LUE VOWEL SIGN AA
    "\u19B2",  # NEW TAI LUE VOWEL SIGN II
    "\u19B3",  # NEW TAI LUE VOWEL SIGN U
    "\u19B4",  # NEW TAI LUE VOWEL SIGN UU
    "\u19B5",  # NEW TAI LUE VOWEL SIGN E
    "\u19B6",  # NEW TAI LUE VOWEL SIGN AE
    "\u19B7",  # NEW TAI LUE VOWEL SIGN O
    "\u19B8",  # NEW TAI LUE VOWEL SIGN OA
    "\u19B9",  # NEW TAI LUE VOWEL SIGN UE
    "\u19BA",  # NEW TAI LUE VOWEL SIGN AY
    "\u19BB",  # NEW TAI LUE VOWEL SIGN AAY
    "\u19BC",  # NEW TAI LUE VOWEL SIGN UY
    "\u19BD",  # NEW TAI LUE VOWEL SIGN OY
    "\u19BE",  # NEW TAI LUE VOWEL SIGN OAY
    "\u19BF",  # NEW TAI LUE VOWEL SIGN UEY
    "\u19C0",  # NEW TAI LUE VOWEL SIGN IY
    "\u19C1",  # NEW TAI LUE LETTER FINAL V
    "\u19C2",  # NEW TAI LUE LETTER FINAL NG
    "\u19C3",  # NEW TAI LUE LETTER FINAL N
    "\u19C4",  # NEW TAI LUE LETTER FINAL M
    "\u19C5",  # NEW TAI LUE LETTER FINAL K
    "\u19C6",  # NEW TAI LUE LETTER FINAL D
    "\u19C7",  # NEW TAI LUE LETTER FINAL B
    "\u19C8",  # NEW TAI LUE TONE MARK-1
    "\u19C9",  # NEW TAI LUE TONE MARK-2
    "\u19D0",  # NEW TAI LUE DIGIT ZERO
    "\u19D1",  # NEW TAI LUE DIGIT ONE
    "\u19D2",  # NEW TAI LUE DIGIT TWO
    "\u19D3",  # NEW TAI LUE DIGIT THREE
    "\u19D4",  # NEW TAI LUE DIGIT FOUR
    "\u19D5",  # NEW TAI LUE DIGIT FIVE
    "\u19D6",  # NEW TAI LUE DIGIT SIX
    "\u19D7",  # NEW TAI LUE DIGIT SEVEN
    "\u19D8",  # NEW TAI LUE DIGIT EIGHT
    "\u19D9",  # NEW TAI LUE DIGIT NINE
    "\u19DA",  # NEW TAI LUE THAM DIGIT ONE
    "\u19DE",  # NEW TAI LUE SIGN LAE
    "\u19DF",  # NEW TAI LUE SIGN LAEV
    "\u19E0",  # KHMER SYMBOL PATHAMASAT
    "\u19E1",  # KHMER SYMBOL MUOY KOET
    "\u19E2",  # KHMER SYMBOL PII KOET
    "\u19E3",  # KHMER SYMBOL BEI KOET
    "\u19E4",  # KHMER SYMBOL BUON KOET
    "\u19E5",  # KHMER SYMBOL PRAM KOET
    "\u19E6",  # KHMER SYMBOL PRAM-MUOY KOET
    "\u19E7",  # KHMER SYMBOL PRAM-PII KOET
    "\u19E8",  # KHMER SYMBOL PRAM-BEI KOET
    "\u19E9",  # KHMER SYMBOL PRAM-BUON KOET
    "\u19EA",  # KHMER SYMBOL DAP KOET
    "\u19EB",  # KHMER SYMBOL DAP-MUOY KOET
    "\u19EC",  # KHMER SYMBOL DAP-PII KOET
    "\u19ED",  # KHMER SYMBOL DAP-BEI KOET
    "\u19EE",  # KHMER SYMBOL DAP-BUON KOET
    "\u19EF",  # KHMER SYMBOL DAP-PRAM KOET
    "\u19F0",  # KHMER SYMBOL TUTEYASAT
    "\u19F1",  # KHMER SYMBOL MUOY ROC
    "\u19F2",  # KHMER SYMBOL PII ROC
    "\u19F3",  # KHMER SYMBOL BEI ROC
    "\u19F4",  # KHMER SYMBOL BUON ROC
    "\u19F5",  # KHMER SYMBOL PRAM ROC
    "\u19F6",  # KHMER SYMBOL PRAM-MUOY ROC
    "\u19F7",  # KHMER SYMBOL PRAM-PII ROC
    "\u19F8",  # KHMER SYMBOL PRAM-BEI ROC
    "\u19F9",  # KHMER SYMBOL PRAM-BUON ROC
    "\u19FA",  # KHMER SYMBOL DAP ROC
    "\u19FB",  # KHMER SYMBOL DAP-MUOY ROC
    "\u19FC",  # KHMER SYMBOL DAP-PII ROC
    "\u19FD",  # KHMER SYMBOL DAP-BEI ROC
    "\u19FE",  # KHMER SYMBOL DAP-BUON ROC
    "\u19FF",  # KHMER SYMBOL DAP-PRAM ROC
    "\u1A00",  # BUGINESE LETTER KA
    "\u1A01",  # BUGINESE LETTER GA
    "\u1A02",  # BUGINESE LETTER NGA
    "\u1A03",  # BUGINESE LETTER NGKA
    "\u1A04",  # BUGINESE LETTER PA
    "\u1A05",  # BUGINESE LETTER BA
    "\u1A06",  # BUGINESE LETTER MA
    "\u1A07",  # BUGINESE LETTER MPA
    "\u1A08",  # BUGINESE LETTER TA
    "\u1A09",  # BUGINESE LETTER DA
    "\u1A0A",  # BUGINESE LETTER NA
    "\u1A0B",  # BUGINESE LETTER NRA
    "\u1A0C",  # BUGINESE LETTER CA
    "\u1A0D",  # BUGINESE LETTER JA
    "\u1A0E",  # BUGINESE LETTER NYA
    "\u1A0F",  # BUGINESE LETTER NYCA
    "\u1A10",  # BUGINESE LETTER YA
    "\u1A11",  # BUGINESE LETTER RA
    "\u1A12",  # BUGINESE LETTER LA
    "\u1A13",  # BUGINESE LETTER VA
    "\u1A14",  # BUGINESE LETTER SA
    "\u1A15",  # BUGINESE LETTER A
    "\u1A16",  # BUGINESE LETTER HA
    "\u1A17",  # BUGINESE VOWEL SIGN I
    "\u1A18",  # BUGINESE VOWEL SIGN U
    "\u1A19",  # BUGINESE VOWEL SIGN E
    "\u1A1A",  # BUGINESE VOWEL SIGN O
    "\u1A1B",  # BUGINESE VOWEL SIGN AE
    "\u1A1E",  # BUGINESE PALLAWA
    "\u1A1F",  # BUGINESE END OF SECTION
    "\u1A20",  # TAI THAM LETTER HIGH KA
    "\u1A21",  # TAI THAM LETTER HIGH KHA
    "\u1A22",  # TAI THAM LETTER HIGH KXA
    "\u1A23",  # TAI THAM LETTER LOW KA
    "\u1A24",  # TAI THAM LETTER LOW KXA
    "\u1A25",  # TAI THAM LETTER LOW KHA
    "\u1A26",  # TAI THAM LETTER NGA
    "\u1A27",  # TAI THAM LETTER HIGH CA
    "\u1A28",  # TAI THAM LETTER HIGH CHA
    "\u1A29",  # TAI THAM LETTER LOW CA
    "\u1A2A",  # TAI THAM LETTER LOW SA
    "\u1A2B",  # TAI THAM LETTER LOW CHA
    "\u1A2C",  # TAI THAM LETTER NYA
    "\u1A2D",  # TAI THAM LETTER RATA
    "\u1A2E",  # TAI THAM LETTER HIGH RATHA
    "\u1A2F",  # TAI THAM LETTER DA
    "\u1A30",  # TAI THAM LETTER LOW RATHA
    "\u1A31",  # TAI THAM LETTER RANA
    "\u1A32",  # TAI THAM LETTER HIGH TA
    "\u1A33",  # TAI THAM LETTER HIGH THA
    "\u1A34",  # TAI THAM LETTER LOW TA
    "\u1A35",  # TAI THAM LETTER LOW THA
    "\u1A36",  # TAI THAM LETTER NA
    "\u1A37",  # TAI THAM LETTER BA
    "\u1A38",  # TAI THAM LETTER HIGH PA
    "\u1A39",  # TAI THAM LETTER HIGH PHA
    "\u1A3A",  # TAI THAM LETTER HIGH FA
    "\u1A3B",  # TAI THAM LETTER LOW PA
    "\u1A3C",  # TAI THAM LETTER LOW FA
    "\u1A3D",  # TAI THAM LETTER LOW PHA
    "\u1A3E",  # TAI THAM LETTER MA
    "\u1A3F",  # TAI THAM LETTER LOW YA
    "\u1A40",  # TAI THAM LETTER HIGH YA
    "\u1A41",  # TAI THAM LETTER RA
    "\u1A42",  # TAI THAM LETTER RUE
    "\u1A43",  # TAI THAM LETTER LA
    "\u1A44",  # TAI THAM LETTER LUE
    "\u1A45",  # TAI THAM LETTER WA
    "\u1A46",  # TAI THAM LETTER HIGH SHA
    "\u1A47",  # TAI THAM LETTER HIGH SSA
    "\u1A48",  # TAI THAM LETTER HIGH SA
    "\u1A49",  # TAI THAM LETTER HIGH HA
    "\u1A4A",  # TAI THAM LETTER LLA
    "\u1A4B",  # TAI THAM LETTER A
    "\u1A4C",  # TAI THAM LETTER LOW HA
    "\u1A4D",  # TAI THAM LETTER I
    "\u1A4E",  # TAI THAM LETTER II
    "\u1A4F",  # TAI THAM LETTER U
    "\u1A50",  # TAI THAM LETTER UU
    "\u1A51",  # TAI THAM LETTER EE
    "\u1A52",  # TAI THAM LETTER OO
    "\u1A53",  # TAI THAM LETTER LAE
    "\u1A54",  # TAI THAM LETTER GREAT SA
    "\u1A55",  # TAI THAM CONSONANT SIGN MEDIAL RA
    "\u1A56",  # TAI THAM CONSONANT SIGN MEDIAL LA
    "\u1A57",  # TAI THAM CONSONANT SIGN LA TANG LAI
    "\u1A58",  # TAI THAM SIGN MAI KANG LAI
    "\u1A59",  # TAI THAM CONSONANT SIGN FINAL NGA
    "\u1A5A",  # TAI THAM CONSONANT SIGN LOW PA
    "\u1A5B",  # TAI THAM CONSONANT SIGN HIGH RATHA OR LOW PA
    "\u1A5C",  # TAI THAM CONSONANT SIGN MA
    "\u1A5D",  # TAI THAM CONSONANT SIGN BA
    "\u1A5E",  # TAI THAM CONSONANT SIGN SA
    "\u1A60",  # TAI THAM SIGN SAKOT
    "\u1A61",  # TAI THAM VOWEL SIGN A
    "\u1A62",  # TAI THAM VOWEL SIGN MAI SAT
    "\u1A63",  # TAI THAM VOWEL SIGN AA
    "\u1A64",  # TAI THAM VOWEL SIGN TALL AA
    "\u1A65",  # TAI THAM VOWEL SIGN I
    "\u1A66",  # TAI THAM VOWEL SIGN II
    "\u1A67",  # TAI THAM VOWEL SIGN UE
    "\u1A68",  # TAI THAM VOWEL SIGN UUE
    "\u1A69",  # TAI THAM VOWEL SIGN U
    "\u1A6A",  # TAI THAM VOWEL SIGN UU
    "\u1A6B",  # TAI THAM VOWEL SIGN O
    "\u1A6C",  # TAI THAM VOWEL SIGN OA BELOW
    "\u1A6D",  # TAI THAM VOWEL SIGN OY
    "\u1A6E",  # TAI THAM VOWEL SIGN E
    "\u1A6F",  # TAI THAM VOWEL SIGN AE
    "\u1A70",  # TAI THAM VOWEL SIGN OO
    "\u1A71",  # TAI THAM VOWEL SIGN AI
    "\u1A72",  # TAI THAM VOWEL SIGN THAM AI
    "\u1A73",  # TAI THAM VOWEL SIGN OA ABOVE
    "\u1A74",  # TAI THAM SIGN MAI KANG
    "\u1A75",  # TAI THAM SIGN TONE-1
    "\u1A76",  # TAI THAM SIGN TONE-2
    "\u1A77",  # TAI THAM SIGN KHUEN TONE-3
    "\u1A78",  # TAI THAM SIGN KHUEN TONE-4
    "\u1A79",  # TAI THAM SIGN KHUEN TONE-5
    "\u1A7A",  # TAI THAM SIGN RA HAAM
    "\u1A7B",  # TAI THAM SIGN MAI SAM
    "\u1A7C",  # TAI THAM SIGN KHUEN-LUE KARAN
    "\u1A7F",  # TAI THAM COMBINING CRYPTOGRAMMIC DOT
    "\u1A80",  # TAI THAM HORA DIGIT ZERO
    "\u1A81",  # TAI THAM HORA DIGIT ONE
    "\u1A82",  # TAI THAM HORA DIGIT TWO
    "\u1A83",  # TAI THAM HORA DIGIT THREE
    "\u1A84",  # TAI THAM HORA DIGIT FOUR
    "\u1A85",  # TAI THAM HORA DIGIT FIVE
    "\u1A86",  # TAI THAM HORA DIGIT SIX
    "\u1A87",  # TAI THAM HORA DIGIT SEVEN
    "\u1A88",  # TAI THAM HORA DIGIT EIGHT
    "\u1A89",  # TAI THAM HORA DIGIT NINE
    "\u1A90",  # TAI THAM THAM DIGIT ZERO
    "\u1A91",  # TAI THAM THAM DIGIT ONE
    "\u1A92",  # TAI THAM THAM DIGIT TWO
    "\u1A93",  # TAI THAM THAM DIGIT THREE
    "\u1A94",  # TAI THAM THAM DIGIT FOUR
    "\u1A95",  # TAI THAM THAM DIGIT FIVE
    "\u1A96",  # TAI THAM THAM DIGIT SIX
    "\u1A97",  # TAI THAM THAM DIGIT SEVEN
    "\u1A98",  # TAI THAM THAM DIGIT EIGHT
    "\u1A99",  # TAI THAM THAM DIGIT NINE
    "\u1AA0",  # TAI THAM SIGN WIANG
    "\u1AA1",  # TAI THAM SIGN WIANGWAAK
    "\u1AA2",  # TAI THAM SIGN SAWAN
    "\u1AA3",  # TAI THAM SIGN KEOW
    "\u1AA4",  # TAI THAM SIGN HOY
    "\u1AA5",  # TAI THAM SIGN DOKMAI
    "\u1AA6",  # TAI THAM SIGN REVERSED ROTATED RANA
    "\u1AA7",  # TAI THAM SIGN MAI YAMOK
    "\u1AA8",  # TAI THAM SIGN KAAN
    "\u1AA9",  # TAI THAM SIGN KAANKUU
    "\u1AAA",  # TAI THAM SIGN SATKAAN
    "\u1AAB",  # TAI THAM SIGN SATKAANKUU
    "\u1AAC",  # TAI THAM SIGN HANG
    "\u1AAD",  # TAI THAM SIGN CAANG
    "\u1AB0",  # COMBINING DOUBLED CIRCUMFLEX ACCENT
    "\u1AB1",  # COMBINING DIAERESIS-RING
    "\u1AB2",  # COMBINING INFINITY
    "\u1AB3",  # COMBINING DOWNWARDS ARROW
    "\u1AB4",  # COMBINING TRIPLE DOT
    "\u1AB5",  # COMBINING X-X BELOW
    "\u1AB6",  # COMBINING WIGGLY LINE BELOW
    "\u1AB7",  # COMBINING OPEN MARK BELOW
    "\u1AB8",  # COMBINING DOUBLE OPEN MARK BELOW
    "\u1AB9",  # COMBINING LIGHT CENTRALIZATION STROKE BELOW
    "\u1ABA",  # COMBINING STRONG CENTRALIZATION STROKE BELOW
    "\u1ABB",  # COMBINING PARENTHESES ABOVE
    "\u1ABC",  # COMBINING DOUBLE PARENTHESES ABOVE
    "\u1ABD",  # COMBINING PARENTHESES BELOW
    "\u1ABE",  # COMBINING PARENTHESES OVERLAY
    "\u1B00",  # BALINESE SIGN ULU RICEM
    "\u1B01",  # BALINESE SIGN ULU CANDRA
    "\u1B02",  # BALINESE SIGN CECEK
    "\u1B03",  # BALINESE SIGN SURANG
    "\u1B04",  # BALINESE SIGN BISAH
    "\u1B05",  # BALINESE LETTER AKARA
    "\u1B06",  # BALINESE LETTER AKARA TEDUNG
    "\u1B07",  # BALINESE LETTER IKARA
    "\u1B08",  # BALINESE LETTER IKARA TEDUNG
    "\u1B09",  # BALINESE LETTER UKARA
    "\u1B0A",  # BALINESE LETTER UKARA TEDUNG
    "\u1B0B",  # BALINESE LETTER RA REPA
    "\u1B0C",  # BALINESE LETTER RA REPA TEDUNG
    "\u1B0D",  # BALINESE LETTER LA LENGA
    "\u1B0E",  # BALINESE LETTER LA LENGA TEDUNG
    "\u1B0F",  # BALINESE LETTER EKARA
    "\u1B10",  # BALINESE LETTER AIKARA
    "\u1B11",  # BALINESE LETTER OKARA
    "\u1B12",  # BALINESE LETTER OKARA TEDUNG
    "\u1B13",  # BALINESE LETTER KA
    "\u1B14",  # BALINESE LETTER KA MAHAPRANA
    "\u1B15",  # BALINESE LETTER GA
    "\u1B16",  # BALINESE LETTER GA GORA
    "\u1B17",  # BALINESE LETTER NGA
    "\u1B18",  # BALINESE LETTER CA
    "\u1B19",  # BALINESE LETTER CA LACA
    "\u1B1A",  # BALINESE LETTER JA
    "\u1B1B",  # BALINESE LETTER JA JERA
    "\u1B1C",  # BALINESE LETTER NYA
    "\u1B1D",  # BALINESE LETTER TA LATIK
    "\u1B1E",  # BALINESE LETTER TA MURDA MAHAPRANA
    "\u1B1F",  # BALINESE LETTER DA MURDA ALPAPRANA
    "\u1B20",  # BALINESE LETTER DA MURDA MAHAPRANA
    "\u1B21",  # BALINESE LETTER NA RAMBAT
    "\u1B22",  # BALINESE LETTER TA
    "\u1B23",  # BALINESE LETTER TA TAWA
    "\u1B24",  # BALINESE LETTER DA
    "\u1B25",  # BALINESE LETTER DA MADU
    "\u1B26",  # BALINESE LETTER NA
    "\u1B27",  # BALINESE LETTER PA
    "\u1B28",  # BALINESE LETTER PA KAPAL
    "\u1B29",  # BALINESE LETTER BA
    "\u1B2A",  # BALINESE LETTER BA KEMBANG
    "\u1B2B",  # BALINESE LETTER MA
    "\u1B2C",  # BALINESE LETTER YA
    "\u1B2D",  # BALINESE LETTER RA
    "\u1B2E",  # BALINESE LETTER LA
    "\u1B2F",  # BALINESE LETTER WA
    "\u1B30",  # BALINESE LETTER SA SAGA
    "\u1B31",  # BALINESE LETTER SA SAPA
    "\u1B32",  # BALINESE LETTER SA
    "\u1B33",  # BALINESE LETTER HA
    "\u1B34",  # BALINESE SIGN REREKAN
    "\u1B35",  # BALINESE VOWEL SIGN TEDUNG
    "\u1B36",  # BALINESE VOWEL SIGN ULU
    "\u1B37",  # BALINESE VOWEL SIGN ULU SARI
    "\u1B38",  # BALINESE VOWEL SIGN SUKU
    "\u1B39",  # BALINESE VOWEL SIGN SUKU ILUT
    "\u1B3A",  # BALINESE VOWEL SIGN RA REPA
    "\u1B3B",  # BALINESE VOWEL SIGN RA REPA TEDUNG
    "\u1B3C",  # BALINESE VOWEL SIGN LA LENGA
    "\u1B3D",  # BALINESE VOWEL SIGN LA LENGA TEDUNG
    "\u1B3E",  # BALINESE VOWEL SIGN TALING
    "\u1B3F",  # BALINESE VOWEL SIGN TALING REPA
    "\u1B40",  # BALINESE VOWEL SIGN TALING TEDUNG
    "\u1B41",  # BALINESE VOWEL SIGN TALING REPA TEDUNG
    "\u1B42",  # BALINESE VOWEL SIGN PEPET
    "\u1B43",  # BALINESE VOWEL SIGN PEPET TEDUNG
    "\u1B44",  # BALINESE ADEG ADEG
    "\u1B45",  # BALINESE LETTER KAF SASAK
    "\u1B46",  # BALINESE LETTER KHOT SASAK
    "\u1B47",  # BALINESE LETTER TZIR SASAK
    "\u1B48",  # BALINESE LETTER EF SASAK
    "\u1B49",  # BALINESE LETTER VE SASAK
    "\u1B4A",  # BALINESE LETTER ZAL SASAK
    "\u1B4B",  # BALINESE LETTER ASYURA SASAK
    "\u1B50",  # BALINESE DIGIT ZERO
    "\u1B51",  # BALINESE DIGIT ONE
    "\u1B52",  # BALINESE DIGIT TWO
    "\u1B53",  # BALINESE DIGIT THREE
    "\u1B54",  # BALINESE DIGIT FOUR
    "\u1B55",  # BALINESE DIGIT FIVE
    "\u1B56",  # BALINESE DIGIT SIX
    "\u1B57",  # BALINESE DIGIT SEVEN
    "\u1B58",  # BALINESE DIGIT EIGHT
    "\u1B59",  # BALINESE DIGIT NINE
    "\u1B5A",  # BALINESE PANTI
    "\u1B5B",  # BALINESE PAMADA
    "\u1B5C",  # BALINESE WINDU
    "\u1B5D",  # BALINESE CARIK PAMUNGKAH
    "\u1B5E",  # BALINESE CARIK SIKI
    "\u1B5F",  # BALINESE CARIK PAREREN
    "\u1B60",  # BALINESE PAMENENG
    "\u1B61",  # BALINESE MUSICAL SYMBOL DONG
    "\u1B62",  # BALINESE MUSICAL SYMBOL DENG
    "\u1B63",  # BALINESE MUSICAL SYMBOL DUNG
    "\u1B64",  # BALINESE MUSICAL SYMBOL DANG
    "\u1B65",  # BALINESE MUSICAL SYMBOL DANG SURANG
    "\u1B66",  # BALINESE MUSICAL SYMBOL DING
    "\u1B67",  # BALINESE MUSICAL SYMBOL DAENG
    "\u1B68",  # BALINESE MUSICAL SYMBOL DEUNG
    "\u1B69",  # BALINESE MUSICAL SYMBOL DAING
    "\u1B6A",  # BALINESE MUSICAL SYMBOL DANG GEDE
    "\u1B6B",  # BALINESE MUSICAL SYMBOL COMBINING TEGEH
    "\u1B6C",  # BALINESE MUSICAL SYMBOL COMBINING ENDEP
    "\u1B6D",  # BALINESE MUSICAL SYMBOL COMBINING KEMPUL
    "\u1B6E",  # BALINESE MUSICAL SYMBOL COMBINING KEMPLI
    "\u1B6F",  # BALINESE MUSICAL SYMBOL COMBINING JEGOGAN
    "\u1B70",  # BALINESE MUSICAL SYMBOL COMBINING KEMPUL WITH JEGOGAN
    "\u1B71",  # BALINESE MUSICAL SYMBOL COMBINING KEMPLI WITH JEGOGAN
    "\u1B72",  # BALINESE MUSICAL SYMBOL COMBINING BENDE
    "\u1B73",  # BALINESE MUSICAL SYMBOL COMBINING GONG
    "\u1B74",  # BALINESE MUSICAL SYMBOL RIGHT-HAND OPEN DUG
    "\u1B75",  # BALINESE MUSICAL SYMBOL RIGHT-HAND OPEN DAG
    "\u1B76",  # BALINESE MUSICAL SYMBOL RIGHT-HAND CLOSED TUK
    "\u1B77",  # BALINESE MUSICAL SYMBOL RIGHT-HAND CLOSED TAK
    "\u1B78",  # BALINESE MUSICAL SYMBOL LEFT-HAND OPEN PANG
    "\u1B79",  # BALINESE MUSICAL SYMBOL LEFT-HAND OPEN PUNG
    "\u1B7A",  # BALINESE MUSICAL SYMBOL LEFT-HAND CLOSED PLAK
    "\u1B7B",  # BALINESE MUSICAL SYMBOL LEFT-HAND CLOSED PLUK
    "\u1B7C",  # BALINESE MUSICAL SYMBOL LEFT-HAND OPEN PING
    "\u1B80",  # SUNDANESE SIGN PANYECEK
    "\u1B81",  # SUNDANESE SIGN PANGLAYAR
    "\u1B82",  # SUNDANESE SIGN PANGWISAD
    "\u1B83",  # SUNDANESE LETTER A
    "\u1B84",  # SUNDANESE LETTER I
    "\u1B85",  # SUNDANESE LETTER U
    "\u1B86",  # SUNDANESE LETTER AE
    "\u1B87",  # SUNDANESE LETTER O
    "\u1B88",  # SUNDANESE LETTER E
    "\u1B89",  # SUNDANESE LETTER EU
    "\u1B8A",  # SUNDANESE LETTER KA
    "\u1B8B",  # SUNDANESE LETTER QA
    "\u1B8C",  # SUNDANESE LETTER GA
    "\u1B8D",  # SUNDANESE LETTER NGA
    "\u1B8E",  # SUNDANESE LETTER CA
    "\u1B8F",  # SUNDANESE LETTER JA
    "\u1B90",  # SUNDANESE LETTER ZA
    "\u1B91",  # SUNDANESE LETTER NYA
    "\u1B92",  # SUNDANESE LETTER TA
    "\u1B93",  # SUNDANESE LETTER DA
    "\u1B94",  # SUNDANESE LETTER NA
    "\u1B95",  # SUNDANESE LETTER PA
    "\u1B96",  # SUNDANESE LETTER FA
    "\u1B97",  # SUNDANESE LETTER VA
    "\u1B98",  # SUNDANESE LETTER BA
    "\u1B99",  # SUNDANESE LETTER MA
    "\u1B9A",  # SUNDANESE LETTER YA
    "\u1B9B",  # SUNDANESE LETTER RA
    "\u1B9C",  # SUNDANESE LETTER LA
    "\u1B9D",  # SUNDANESE LETTER WA
    "\u1B9E",  # SUNDANESE LETTER SA
    "\u1B9F",  # SUNDANESE LETTER XA
    "\u1BA0",  # SUNDANESE LETTER HA
    "\u1BA1",  # SUNDANESE CONSONANT SIGN PAMINGKAL
    "\u1BA2",  # SUNDANESE CONSONANT SIGN PANYAKRA
    "\u1BA3",  # SUNDANESE CONSONANT SIGN PANYIKU
    "\u1BA4",  # SUNDANESE VOWEL SIGN PANGHULU
    "\u1BA5",  # SUNDANESE VOWEL SIGN PANYUKU
    "\u1BA6",  # SUNDANESE VOWEL SIGN PANAELAENG
    "\u1BA7",  # SUNDANESE VOWEL SIGN PANOLONG
    "\u1BA8",  # SUNDANESE VOWEL SIGN PAMEPET
    "\u1BA9",  # SUNDANESE VOWEL SIGN PANEULEUNG
    "\u1BAA",  # SUNDANESE SIGN PAMAAEH
    "\u1BAB",  # SUNDANESE SIGN VIRAMA
    "\u1BAC",  # SUNDANESE CONSONANT SIGN PASANGAN MA
    "\u1BAD",  # SUNDANESE CONSONANT SIGN PASANGAN WA
    "\u1BAE",  # SUNDANESE LETTER KHA
    "\u1BAF",  # SUNDANESE LETTER SYA
    "\u1BB0",  # SUNDANESE DIGIT ZERO
    "\u1BB1",  # SUNDANESE DIGIT ONE
    "\u1BB2",  # SUNDANESE DIGIT TWO
    "\u1BB3",  # SUNDANESE DIGIT THREE
    "\u1BB4",  # SUNDANESE DIGIT FOUR
    "\u1BB5",  # SUNDANESE DIGIT FIVE
    "\u1BB6",  # SUNDANESE DIGIT SIX
    "\u1BB7",  # SUNDANESE DIGIT SEVEN
    "\u1BB8",  # SUNDANESE DIGIT EIGHT
    "\u1BB9",  # SUNDANESE DIGIT NINE
    "\u1BBA",  # SUNDANESE AVAGRAHA
    "\u1BBB",  # SUNDANESE LETTER REU
    "\u1BBC",  # SUNDANESE LETTER LEU
    "\u1BBD",  # SUNDANESE LETTER BHA
    "\u1BBE",  # SUNDANESE LETTER FINAL K
    "\u1BBF",  # SUNDANESE LETTER FINAL M
    "\u1BC0",  # BATAK LETTER A
    "\u1BC1",  # BATAK LETTER SIMALUNGUN A
    "\u1BC2",  # BATAK LETTER HA
    "\u1BC3",  # BATAK LETTER SIMALUNGUN HA
    "\u1BC4",  # BATAK LETTER MANDAILING HA
    "\u1BC5",  # BATAK LETTER BA
    "\u1BC6",  # BATAK LETTER KARO BA
    "\u1BC7",  # BATAK LETTER PA
    "\u1BC8",  # BATAK LETTER SIMALUNGUN PA
    "\u1BC9",  # BATAK LETTER NA
    "\u1BCA",  # BATAK LETTER MANDAILING NA
    "\u1BCB",  # BATAK LETTER WA
    "\u1BCC",  # BATAK LETTER SIMALUNGUN WA
    "\u1BCD",  # BATAK LETTER PAKPAK WA
    "\u1BCE",  # BATAK LETTER GA
    "\u1BCF",  # BATAK LETTER SIMALUNGUN GA
    "\u1BD0",  # BATAK LETTER JA
    "\u1BD1",  # BATAK LETTER DA
    "\u1BD2",  # BATAK LETTER RA
    "\u1BD3",  # BATAK LETTER SIMALUNGUN RA
    "\u1BD4",  # BATAK LETTER MA
    "\u1BD5",  # BATAK LETTER SIMALUNGUN MA
    "\u1BD6",  # BATAK LETTER SOUTHERN TA
    "\u1BD7",  # BATAK LETTER NORTHERN TA
    "\u1BD8",  # BATAK LETTER SA
    "\u1BD9",  # BATAK LETTER SIMALUNGUN SA
    "\u1BDA",  # BATAK LETTER MANDAILING SA
    "\u1BDB",  # BATAK LETTER YA
    "\u1BDC",  # BATAK LETTER SIMALUNGUN YA
    "\u1BDD",  # BATAK LETTER NGA
    "\u1BDE",  # BATAK LETTER LA
    "\u1BDF",  # BATAK LETTER SIMALUNGUN LA
    "\u1BE0",  # BATAK LETTER NYA
    "\u1BE1",  # BATAK LETTER CA
    "\u1BE2",  # BATAK LETTER NDA
    "\u1BE3",  # BATAK LETTER MBA
    "\u1BE4",  # BATAK LETTER I
    "\u1BE5",  # BATAK LETTER U
    "\u1BE6",  # BATAK SIGN TOMPI
    "\u1BE7",  # BATAK VOWEL SIGN E
    "\u1BE8",  # BATAK VOWEL SIGN PAKPAK E
    "\u1BE9",  # BATAK VOWEL SIGN EE
    "\u1BEA",  # BATAK VOWEL SIGN I
    "\u1BEB",  # BATAK VOWEL SIGN KARO I
    "\u1BEC",  # BATAK VOWEL SIGN O
    "\u1BED",  # BATAK VOWEL SIGN KARO O
    "\u1BEE",  # BATAK VOWEL SIGN U
    "\u1BEF",  # BATAK VOWEL SIGN U FOR SIMALUNGUN SA
    "\u1BF0",  # BATAK CONSONANT SIGN NG
    "\u1BF1",  # BATAK CONSONANT SIGN H
    "\u1BF2",  # BATAK PANGOLAT
    "\u1BF3",  # BATAK PANONGONAN
    "\u1BFC",  # BATAK SYMBOL BINDU NA METEK
    "\u1BFD",  # BATAK SYMBOL BINDU PINARBORAS
    "\u1BFE",  # BATAK SYMBOL BINDU JUDUL
    "\u1BFF",  # BATAK SYMBOL BINDU PANGOLAT
    "\u1C00",  # LEPCHA LETTER KA
    "\u1C01",  # LEPCHA LETTER KLA
    "\u1C02",  # LEPCHA LETTER KHA
    "\u1C03",  # LEPCHA LETTER GA
    "\u1C04",  # LEPCHA LETTER GLA
    "\u1C05",  # LEPCHA LETTER NGA
    "\u1C06",  # LEPCHA LETTER CA
    "\u1C07",  # LEPCHA LETTER CHA
    "\u1C08",  # LEPCHA LETTER JA
    "\u1C09",  # LEPCHA LETTER NYA
    "\u1C0A",  # LEPCHA LETTER TA
    "\u1C0B",  # LEPCHA LETTER THA
    "\u1C0C",  # LEPCHA LETTER DA
    "\u1C0D",  # LEPCHA LETTER NA
    "\u1C0E",  # LEPCHA LETTER PA
    "\u1C0F",  # LEPCHA LETTER PLA
    "\u1C10",  # LEPCHA LETTER PHA
    "\u1C11",  # LEPCHA LETTER FA
    "\u1C12",  # LEPCHA LETTER FLA
    "\u1C13",  # LEPCHA LETTER BA
    "\u1C14",  # LEPCHA LETTER BLA
    "\u1C15",  # LEPCHA LETTER MA
    "\u1C16",  # LEPCHA LETTER MLA
    "\u1C17",  # LEPCHA LETTER TSA
    "\u1C18",  # LEPCHA LETTER TSHA
    "\u1C19",  # LEPCHA LETTER DZA
    "\u1C1A",  # LEPCHA LETTER YA
    "\u1C1B",  # LEPCHA LETTER RA
    "\u1C1C",  # LEPCHA LETTER LA
    "\u1C1D",  # LEPCHA LETTER HA
    "\u1C1E",  # LEPCHA LETTER HLA
    "\u1C1F",  # LEPCHA LETTER VA
    "\u1C20",  # LEPCHA LETTER SA
    "\u1C21",  # LEPCHA LETTER SHA
    "\u1C22",  # LEPCHA LETTER WA
    "\u1C23",  # LEPCHA LETTER A
    "\u1C24",  # LEPCHA SUBJOINED LETTER YA
    "\u1C25",  # LEPCHA SUBJOINED LETTER RA
    "\u1C26",  # LEPCHA VOWEL SIGN AA
    "\u1C27",  # LEPCHA VOWEL SIGN I
    "\u1C28",  # LEPCHA VOWEL SIGN O
    "\u1C29",  # LEPCHA VOWEL SIGN OO
    "\u1C2A",  # LEPCHA VOWEL SIGN U
    "\u1C2B",  # LEPCHA VOWEL SIGN UU
    "\u1C2C",  # LEPCHA VOWEL SIGN E
    "\u1C2D",  # LEPCHA CONSONANT SIGN K
    "\u1C2E",  # LEPCHA CONSONANT SIGN M
    "\u1C2F",  # LEPCHA CONSONANT SIGN L
    "\u1C30",  # LEPCHA CONSONANT SIGN N
    "\u1C31",  # LEPCHA CONSONANT SIGN P
    "\u1C32",  # LEPCHA CONSONANT SIGN R
    "\u1C33",  # LEPCHA CONSONANT SIGN T
    "\u1C34",  # LEPCHA CONSONANT SIGN NYIN-DO
    "\u1C35",  # LEPCHA CONSONANT SIGN KANG
    "\u1C36",  # LEPCHA SIGN RAN
    "\u1C37",  # LEPCHA SIGN NUKTA
    "\u1C3B",  # LEPCHA PUNCTUATION TA-ROL
    "\u1C3C",  # LEPCHA PUNCTUATION NYET THYOOM TA-ROL
    "\u1C3D",  # LEPCHA PUNCTUATION CER-WA
    "\u1C3E",  # LEPCHA PUNCTUATION TSHOOK CER-WA
    "\u1C3F",  # LEPCHA PUNCTUATION TSHOOK
    "\u1C40",  # LEPCHA DIGIT ZERO
    "\u1C41",  # LEPCHA DIGIT ONE
    "\u1C42",  # LEPCHA DIGIT TWO
    "\u1C43",  # LEPCHA DIGIT THREE
    "\u1C44",  # LEPCHA DIGIT FOUR
    "\u1C45",  # LEPCHA DIGIT FIVE
    "\u1C46",  # LEPCHA DIGIT SIX
    "\u1C47",  # LEPCHA DIGIT SEVEN
    "\u1C48",  # LEPCHA DIGIT EIGHT
    "\u1C49",  # LEPCHA DIGIT NINE
    "\u1C4D",  # LEPCHA LETTER TTA
    "\u1C4E",  # LEPCHA LETTER TTHA
    "\u1C4F",  # LEPCHA LETTER DDA
    "\u1C50",  # OL CHIKI DIGIT ZERO
    "\u1C51",  # OL CHIKI DIGIT ONE
    "\u1C52",  # OL CHIKI DIGIT TWO
    "\u1C53",  # OL CHIKI DIGIT THREE
    "\u1C54",  # OL CHIKI DIGIT FOUR
    "\u1C55",  # OL CHIKI DIGIT FIVE
    "\u1C56",  # OL CHIKI DIGIT SIX
    "\u1C57",  # OL CHIKI DIGIT SEVEN
    "\u1C58",  # OL CHIKI DIGIT EIGHT
    "\u1C59",  # OL CHIKI DIGIT NINE
    "\u1C5A",  # OL CHIKI LETTER LA
    "\u1C5B",  # OL CHIKI LETTER AT
    "\u1C5C",  # OL CHIKI LETTER AG
    "\u1C5D",  # OL CHIKI LETTER ANG
    "\u1C5E",  # OL CHIKI LETTER AL
    "\u1C5F",  # OL CHIKI LETTER LAA
    "\u1C60",  # OL CHIKI LETTER AAK
    "\u1C61",  # OL CHIKI LETTER AAJ
    "\u1C62",  # OL CHIKI LETTER AAM
    "\u1C63",  # OL CHIKI LETTER AAW
    "\u1C64",  # OL CHIKI LETTER LI
    "\u1C65",  # OL CHIKI LETTER IS
    "\u1C66",  # OL CHIKI LETTER IH
    "\u1C67",  # OL CHIKI LETTER INY
    "\u1C68",  # OL CHIKI LETTER IR
    "\u1C69",  # OL CHIKI LETTER LU
    "\u1C6A",  # OL CHIKI LETTER UC
    "\u1C6B",  # OL CHIKI LETTER UD
    "\u1C6C",  # OL CHIKI LETTER UNN
    "\u1C6D",  # OL CHIKI LETTER UY
    "\u1C6E",  # OL CHIKI LETTER LE
    "\u1C6F",  # OL CHIKI LETTER EP
    "\u1C70",  # OL CHIKI LETTER EDD
    "\u1C71",  # OL CHIKI LETTER EN
    "\u1C72",  # OL CHIKI LETTER ERR
    "\u1C73",  # OL CHIKI LETTER LO
    "\u1C74",  # OL CHIKI LETTER OTT
    "\u1C75",  # OL CHIKI LETTER OB
    "\u1C76",  # OL CHIKI LETTER OV
    "\u1C77",  # OL CHIKI LETTER OH
    "\u1C78",  # OL CHIKI MU TTUDDAG
    "\u1C79",  # OL CHIKI GAAHLAA TTUDDAAG
    "\u1C7A",  # OL CHIKI MU-GAAHLAA TTUDDAAG
    "\u1C7B",  # OL CHIKI RELAA
    "\u1C7C",  # OL CHIKI PHAARKAA
    "\u1C7D",  # OL CHIKI AHAD
    "\u1C7E",  # OL CHIKI PUNCTUATION MUCAAD
    "\u1C7F",  # OL CHIKI PUNCTUATION DOUBLE MUCAAD
    "\u1C80",  # CYRILLIC SMALL LETTER ROUNDED VE
    "\u1C81",  # CYRILLIC SMALL LETTER LONG-LEGGED DE
    "\u1C82",  # CYRILLIC SMALL LETTER NARROW O
    "\u1C83",  # CYRILLIC SMALL LETTER WIDE ES
    "\u1C84",  # CYRILLIC SMALL LETTER TALL TE
    "\u1C85",  # CYRILLIC SMALL LETTER THREE-LEGGED TE
    "\u1C86",  # CYRILLIC SMALL LETTER TALL HARD SIGN
    "\u1C87",  # CYRILLIC SMALL LETTER TALL YAT
    "\u1C88",  # CYRILLIC SMALL LETTER UNBLENDED UK
    "\u1CC0",  # SUNDANESE PUNCTUATION BINDU SURYA
    "\u1CC1",  # SUNDANESE PUNCTUATION BINDU PANGLONG
    "\u1CC2",  # SUNDANESE PUNCTUATION BINDU PURNAMA
    "\u1CC3",  # SUNDANESE PUNCTUATION BINDU CAKRA
    "\u1CC4",  # SUNDANESE PUNCTUATION BINDU LEU SATANGA
    "\u1CC5",  # SUNDANESE PUNCTUATION BINDU KA SATANGA
    "\u1CC6",  # SUNDANESE PUNCTUATION BINDU DA SATANGA
    "\u1CC7",  # SUNDANESE PUNCTUATION BINDU BA SATANGA
    "\u1CD0",  # VEDIC TONE KARSHANA
    "\u1CD1",  # VEDIC TONE SHARA
    "\u1CD2",  # VEDIC TONE PRENKHA
    "\u1CD3",  # VEDIC SIGN NIHSHVASA
    "\u1CD4",  # VEDIC SIGN YAJURVEDIC MIDLINE SVARITA
    "\u1CD5",  # VEDIC TONE YAJURVEDIC AGGRAVATED INDEPENDENT SVARITA
    "\u1CD6",  # VEDIC TONE YAJURVEDIC INDEPENDENT SVARITA
    "\u1CD7",  # VEDIC TONE YAJURVEDIC KATHAKA INDEPENDENT SVARITA
    "\u1CD8",  # VEDIC TONE CANDRA BELOW
    "\u1CD9",  # VEDIC TONE YAJURVEDIC KATHAKA INDEPENDENT SVARITA SCHROEDER
    "\u1CDA",  # VEDIC TONE DOUBLE SVARITA
    "\u1CDB",  # VEDIC TONE TRIPLE SVARITA
    "\u1CDC",  # VEDIC TONE KATHAKA ANUDATTA
    "\u1CDD",  # VEDIC TONE DOT BELOW
    "\u1CDE",  # VEDIC TONE TWO DOTS BELOW
    "\u1CDF",  # VEDIC TONE THREE DOTS BELOW
    "\u1CE0",  # VEDIC TONE RIGVEDIC KASHMIRI INDEPENDENT SVARITA
    "\u1CE1",  # VEDIC TONE ATHARVAVEDIC INDEPENDENT SVARITA
    "\u1CE2",  # VEDIC SIGN VISARGA SVARITA
    "\u1CE3",  # VEDIC SIGN VISARGA UDATTA
    "\u1CE4",  # VEDIC SIGN REVERSED VISARGA UDATTA
    "\u1CE5",  # VEDIC SIGN VISARGA ANUDATTA
    "\u1CE6",  # VEDIC SIGN REVERSED VISARGA ANUDATTA
    "\u1CE7",  # VEDIC SIGN VISARGA UDATTA WITH TAIL
    "\u1CE8",  # VEDIC SIGN VISARGA ANUDATTA WITH TAIL
    "\u1CE9",  # VEDIC SIGN ANUSVARA ANTARGOMUKHA
    "\u1CEA",  # VEDIC SIGN ANUSVARA BAHIRGOMUKHA
    "\u1CEB",  # VEDIC SIGN ANUSVARA VAMAGOMUKHA
    "\u1CEC",  # VEDIC SIGN ANUSVARA VAMAGOMUKHA WITH TAIL
    "\u1CED",  # VEDIC SIGN TIRYAK
    "\u1CEE",  # VEDIC SIGN HEXIFORM LONG ANUSVARA
    "\u1CEF",  # VEDIC SIGN LONG ANUSVARA
    "\u1CF0",  # VEDIC SIGN RTHANG LONG ANUSVARA
    "\u1CF1",  # VEDIC SIGN ANUSVARA UBHAYATO MUKHA
    "\u1CF2",  # VEDIC SIGN ARDHAVISARGA
    "\u1CF3",  # VEDIC SIGN ROTATED ARDHAVISARGA
    "\u1CF4",  # VEDIC TONE CANDRA ABOVE
    "\u1CF5",  # VEDIC SIGN JIHVAMULIYA
    "\u1CF6",  # VEDIC SIGN UPADHMANIYA
    "\u1CF7",  # VEDIC SIGN ATIKRAMA
    "\u1CF8",  # VEDIC TONE RING ABOVE
    "\u1CF9",  # VEDIC TONE DOUBLE RING ABOVE
    "\u1D00",  # LATIN LETTER SMALL CAPITAL A
    "\u1D01",  # LATIN LETTER SMALL CAPITAL AE
    "\u1D02",  # LATIN SMALL LETTER TURNED AE
    "\u1D03",  # LATIN LETTER SMALL CAPITAL BARRED B
    "\u1D04",  # LATIN LETTER SMALL CAPITAL C
    "\u1D05",  # LATIN LETTER SMALL CAPITAL D
    "\u1D06",  # LATIN LETTER SMALL CAPITAL ETH
    "\u1D07",  # LATIN LETTER SMALL CAPITAL E
    "\u1D08",  # LATIN SMALL LETTER TURNED OPEN E
    "\u1D09",  # LATIN SMALL LETTER TURNED I
    "\u1D0A",  # LATIN LETTER SMALL CAPITAL J
    "\u1D0B",  # LATIN LETTER SMALL CAPITAL K
    "\u1D0C",  # LATIN LETTER SMALL CAPITAL L WITH STROKE
    "\u1D0D",  # LATIN LETTER SMALL CAPITAL M
    "\u1D0E",  # LATIN LETTER SMALL CAPITAL REVERSED N
    "\u1D0F",  # LATIN LETTER SMALL CAPITAL O
    "\u1D10",  # LATIN LETTER SMALL CAPITAL OPEN O
    "\u1D11",  # LATIN SMALL LETTER SIDEWAYS O
    "\u1D12",  # LATIN SMALL LETTER SIDEWAYS OPEN O
    "\u1D13",  # LATIN SMALL LETTER SIDEWAYS O WITH STROKE
    "\u1D14",  # LATIN SMALL LETTER TURNED OE
    "\u1D15",  # LATIN LETTER SMALL CAPITAL OU
    "\u1D16",  # LATIN SMALL LETTER TOP HALF O
    "\u1D17",  # LATIN SMALL LETTER BOTTOM HALF O
    "\u1D18",  # LATIN LETTER SMALL CAPITAL P
    "\u1D19",  # LATIN LETTER SMALL CAPITAL REVERSED R
    "\u1D1A",  # LATIN LETTER SMALL CAPITAL TURNED R
    "\u1D1B",  # LATIN LETTER SMALL CAPITAL T
    "\u1D1C",  # LATIN LETTER SMALL CAPITAL U
    "\u1D1D",  # LATIN SMALL LETTER SIDEWAYS U
    "\u1D1E",  # LATIN SMALL LETTER SIDEWAYS DIAERESIZED U
    "\u1D1F",  # LATIN SMALL LETTER SIDEWAYS TURNED M
    "\u1D20",  # LATIN LETTER SMALL CAPITAL V
    "\u1D21",  # LATIN LETTER SMALL CAPITAL W
    "\u1D22",  # LATIN LETTER SMALL CAPITAL Z
    "\u1D23",  # LATIN LETTER SMALL CAPITAL EZH
    "\u1D24",  # LATIN LETTER VOICED LARYNGEAL SPIRANT
    "\u1D25",  # LATIN LETTER AIN
    "\u1D26",  # GREEK LETTER SMALL CAPITAL GAMMA
    "\u1D27",  # GREEK LETTER SMALL CAPITAL LAMDA
    "\u1D28",  # GREEK LETTER SMALL CAPITAL PI
    "\u1D29",  # GREEK LETTER SMALL CAPITAL RHO
    "\u1D2A",  # GREEK LETTER SMALL CAPITAL PSI
    "\u1D2B",  # CYRILLIC LETTER SMALL CAPITAL EL
    "\u1D2C",  # MODIFIER LETTER CAPITAL A
    "\u1D2D",  # MODIFIER LETTER CAPITAL AE
    "\u1D2E",  # MODIFIER LETTER CAPITAL B
    "\u1D2F",  # MODIFIER LETTER CAPITAL BARRED B
    "\u1D30",  # MODIFIER LETTER CAPITAL D
    "\u1D31",  # MODIFIER LETTER CAPITAL E
    "\u1D32",  # MODIFIER LETTER CAPITAL REVERSED E
    "\u1D33",  # MODIFIER LETTER CAPITAL G
    "\u1D34",  # MODIFIER LETTER CAPITAL H
    "\u1D35",  # MODIFIER LETTER CAPITAL I
    "\u1D36",  # MODIFIER LETTER CAPITAL J
    "\u1D37",  # MODIFIER LETTER CAPITAL K
    "\u1D38",  # MODIFIER LETTER CAPITAL L
    "\u1D39",  # MODIFIER LETTER CAPITAL M
    "\u1D3A",  # MODIFIER LETTER CAPITAL N
    "\u1D3B",  # MODIFIER LETTER CAPITAL REVERSED N
    "\u1D3C",  # MODIFIER LETTER CAPITAL O
    "\u1D3D",  # MODIFIER LETTER CAPITAL OU
    "\u1D3E",  # MODIFIER LETTER CAPITAL P
    "\u1D3F",  # MODIFIER LETTER CAPITAL R
    "\u1D40",  # MODIFIER LETTER CAPITAL T
    "\u1D41",  # MODIFIER LETTER CAPITAL U
    "\u1D42",  # MODIFIER LETTER CAPITAL W
    "\u1D43",  # MODIFIER LETTER SMALL A
    "\u1D44",  # MODIFIER LETTER SMALL TURNED A
    "\u1D45",  # MODIFIER LETTER SMALL ALPHA
    "\u1D46",  # MODIFIER LETTER SMALL TURNED AE
    "\u1D47",  # MODIFIER LETTER SMALL B
    "\u1D48",  # MODIFIER LETTER SMALL D
    "\u1D49",  # MODIFIER LETTER SMALL E
    "\u1D4A",  # MODIFIER LETTER SMALL SCHWA
    "\u1D4B",  # MODIFIER LETTER SMALL OPEN E
    "\u1D4C",  # MODIFIER LETTER SMALL TURNED OPEN E
    "\u1D4D",  # MODIFIER LETTER SMALL G
    "\u1D4E",  # MODIFIER LETTER SMALL TURNED I
    "\u1D4F",  # MODIFIER LETTER SMALL K
    "\u1D50",  # MODIFIER LETTER SMALL M
    "\u1D51",  # MODIFIER LETTER SMALL ENG
    "\u1D52",  # MODIFIER LETTER SMALL O
    "\u1D53",  # MODIFIER LETTER SMALL OPEN O
    "\u1D54",  # MODIFIER LETTER SMALL TOP HALF O
    "\u1D55",  # MODIFIER LETTER SMALL BOTTOM HALF O
    "\u1D56",  # MODIFIER LETTER SMALL P
    "\u1D57",  # MODIFIER LETTER SMALL T
    "\u1D58",  # MODIFIER LETTER SMALL U
    "\u1D59",  # MODIFIER LETTER SMALL SIDEWAYS U
    "\u1D5A",  # MODIFIER LETTER SMALL TURNED M
    "\u1D5B",  # MODIFIER LETTER SMALL V
    "\u1D5C",  # MODIFIER LETTER SMALL AIN
    "\u1D5D",  # MODIFIER LETTER SMALL BETA
    "\u1D5E",  # MODIFIER LETTER SMALL GREEK GAMMA
    "\u1D5F",  # MODIFIER LETTER SMALL DELTA
    "\u1D60",  # MODIFIER LETTER SMALL GREEK PHI
    "\u1D61",  # MODIFIER LETTER SMALL CHI
    "\u1D62",  # LATIN SUBSCRIPT SMALL LETTER I
    "\u1D63",  # LATIN SUBSCRIPT SMALL LETTER R
    "\u1D64",  # LATIN SUBSCRIPT SMALL LETTER U
    "\u1D65",  # LATIN SUBSCRIPT SMALL LETTER V
    "\u1D66",  # GREEK SUBSCRIPT SMALL LETTER BETA
    "\u1D67",  # GREEK SUBSCRIPT SMALL LETTER GAMMA
    "\u1D68",  # GREEK SUBSCRIPT SMALL LETTER RHO
    "\u1D69",  # GREEK SUBSCRIPT SMALL LETTER PHI
    "\u1D6A",  # GREEK SUBSCRIPT SMALL LETTER CHI
    "\u1D6B",  # LATIN SMALL LETTER UE
    "\u1D6C",  # LATIN SMALL LETTER B WITH MIDDLE TILDE
    "\u1D6D",  # LATIN SMALL LETTER D WITH MIDDLE TILDE
    "\u1D6E",  # LATIN SMALL LETTER F WITH MIDDLE TILDE
    "\u1D6F",  # LATIN SMALL LETTER M WITH MIDDLE TILDE
    "\u1D70",  # LATIN SMALL LETTER N WITH MIDDLE TILDE
    "\u1D71",  # LATIN SMALL LETTER P WITH MIDDLE TILDE
    "\u1D72",  # LATIN SMALL LETTER R WITH MIDDLE TILDE
    "\u1D73",  # LATIN SMALL LETTER R WITH FISHHOOK AND MIDDLE TILDE
    "\u1D74",  # LATIN SMALL LETTER S WITH MIDDLE TILDE
    "\u1D75",  # LATIN SMALL LETTER T WITH MIDDLE TILDE
    "\u1D76",  # LATIN SMALL LETTER Z WITH MIDDLE TILDE
    "\u1D77",  # LATIN SMALL LETTER TURNED G
    "\u1D78",  # MODIFIER LETTER CYRILLIC EN
    "\u1D79",  # LATIN SMALL LETTER INSULAR G
    "\u1D7A",  # LATIN SMALL LETTER TH WITH STRIKETHROUGH
    "\u1D7B",  # LATIN SMALL CAPITAL LETTER I WITH STROKE
    "\u1D7C",  # LATIN SMALL LETTER IOTA WITH STROKE
    "\u1D7D",  # LATIN SMALL LETTER P WITH STROKE
    "\u1D7E",  # LATIN SMALL CAPITAL LETTER U WITH STROKE
    "\u1D7F",  # LATIN SMALL LETTER UPSILON WITH STROKE
    "\u1D80",  # LATIN SMALL LETTER B WITH PALATAL HOOK
    "\u1D81",  # LATIN SMALL LETTER D WITH PALATAL HOOK
    "\u1D82",  # LATIN SMALL LETTER F WITH PALATAL HOOK
    "\u1D83",  # LATIN SMALL LETTER G WITH PALATAL HOOK
    "\u1D84",  # LATIN SMALL LETTER K WITH PALATAL HOOK
    "\u1D85",  # LATIN SMALL LETTER L WITH PALATAL HOOK
    "\u1D86",  # LATIN SMALL LETTER M WITH PALATAL HOOK
    "\u1D87",  # LATIN SMALL LETTER N WITH PALATAL HOOK
    "\u1D88",  # LATIN SMALL LETTER P WITH PALATAL HOOK
    "\u1D89",  # LATIN SMALL LETTER R WITH PALATAL HOOK
    "\u1D8A",  # LATIN SMALL LETTER S WITH PALATAL HOOK
    "\u1D8B",  # LATIN SMALL LETTER ESH WITH PALATAL HOOK
    "\u1D8C",  # LATIN SMALL LETTER V WITH PALATAL HOOK
    "\u1D8D",  # LATIN SMALL LETTER X WITH PALATAL HOOK
    "\u1D8E",  # LATIN SMALL LETTER Z WITH PALATAL HOOK
    "\u1D8F",  # LATIN SMALL LETTER A WITH RETROFLEX HOOK
    "\u1D90",  # LATIN SMALL LETTER ALPHA WITH RETROFLEX HOOK
    "\u1D91",  # LATIN SMALL LETTER D WITH HOOK AND TAIL
    "\u1D92",  # LATIN SMALL LETTER E WITH RETROFLEX HOOK
    "\u1D93",  # LATIN SMALL LETTER OPEN E WITH RETROFLEX HOOK
    "\u1D94",  # LATIN SMALL LETTER REVERSED OPEN E WITH RETROFLEX HOOK
    "\u1D95",  # LATIN SMALL LETTER SCHWA WITH RETROFLEX HOOK
    "\u1D96",  # LATIN SMALL LETTER I WITH RETROFLEX HOOK
    "\u1D97",  # LATIN SMALL LETTER OPEN O WITH RETROFLEX HOOK
    "\u1D98",  # LATIN SMALL LETTER ESH WITH RETROFLEX HOOK
    "\u1D99",  # LATIN SMALL LETTER U WITH RETROFLEX HOOK
    "\u1D9A",  # LATIN SMALL LETTER EZH WITH RETROFLEX HOOK
    "\u1D9B",  # MODIFIER LETTER SMALL TURNED ALPHA
    "\u1D9C",  # MODIFIER LETTER SMALL C
    "\u1D9D",  # MODIFIER LETTER SMALL C WITH CURL
    "\u1D9E",  # MODIFIER LETTER SMALL ETH
    "\u1D9F",  # MODIFIER LETTER SMALL REVERSED OPEN E
    "\u1DA0",  # MODIFIER LETTER SMALL F
    "\u1DA1",  # MODIFIER LETTER SMALL DOTLESS J WITH STROKE
    "\u1DA2",  # MODIFIER LETTER SMALL SCRIPT G
    "\u1DA3",  # MODIFIER LETTER SMALL TURNED H
    "\u1DA4",  # MODIFIER LETTER SMALL I WITH STROKE
    "\u1DA5",  # MODIFIER LETTER SMALL IOTA
    "\u1DA6",  # MODIFIER LETTER SMALL CAPITAL I
    "\u1DA7",  # MODIFIER LETTER SMALL CAPITAL I WITH STROKE
    "\u1DA8",  # MODIFIER LETTER SMALL J WITH CROSSED-TAIL
    "\u1DA9",  # MODIFIER LETTER SMALL L WITH RETROFLEX HOOK
    "\u1DAA",  # MODIFIER LETTER SMALL L WITH PALATAL HOOK
    "\u1DAB",  # MODIFIER LETTER SMALL CAPITAL L
    "\u1DAC",  # MODIFIER LETTER SMALL M WITH HOOK
    "\u1DAD",  # MODIFIER LETTER SMALL TURNED M WITH LONG LEG
    "\u1DAE",  # MODIFIER LETTER SMALL N WITH LEFT HOOK
    "\u1DAF",  # MODIFIER LETTER SMALL N WITH RETROFLEX HOOK
    "\u1DB0",  # MODIFIER LETTER SMALL CAPITAL N
    "\u1DB1",  # MODIFIER LETTER SMALL BARRED O
    "\u1DB2",  # MODIFIER LETTER SMALL PHI
    "\u1DB3",  # MODIFIER LETTER SMALL S WITH HOOK
    "\u1DB4",  # MODIFIER LETTER SMALL ESH
    "\u1DB5",  # MODIFIER LETTER SMALL T WITH PALATAL HOOK
    "\u1DB6",  # MODIFIER LETTER SMALL U BAR
    "\u1DB7",  # MODIFIER LETTER SMALL UPSILON
    "\u1DB8",  # MODIFIER LETTER SMALL CAPITAL U
    "\u1DB9",  # MODIFIER LETTER SMALL V WITH HOOK
    "\u1DBA",  # MODIFIER LETTER SMALL TURNED V
    "\u1DBB",  # MODIFIER LETTER SMALL Z
    "\u1DBC",  # MODIFIER LETTER SMALL Z WITH RETROFLEX HOOK
    "\u1DBD",  # MODIFIER LETTER SMALL Z WITH CURL
    "\u1DBE",  # MODIFIER LETTER SMALL EZH
    "\u1DBF",  # MODIFIER LETTER SMALL THETA
    "\u1DC0",  # COMBINING DOTTED GRAVE ACCENT
    "\u1DC1",  # COMBINING DOTTED ACUTE ACCENT
    "\u1DC2",  # COMBINING SNAKE BELOW
    "\u1DC3",  # COMBINING SUSPENSION MARK
    "\u1DC4",  # COMBINING MACRON-ACUTE
    "\u1DC5",  # COMBINING GRAVE-MACRON
    "\u1DC6",  # COMBINING MACRON-GRAVE
    "\u1DC7",  # COMBINING ACUTE-MACRON
    "\u1DC8",  # COMBINING GRAVE-ACUTE-GRAVE
    "\u1DC9",  # COMBINING ACUTE-GRAVE-ACUTE
    "\u1DCA",  # COMBINING LATIN SMALL LETTER R BELOW
    "\u1DCB",  # COMBINING BREVE-MACRON
    "\u1DCC",  # COMBINING MACRON-BREVE
    "\u1DCD",  # COMBINING DOUBLE CIRCUMFLEX ABOVE
    "\u1DCE",  # COMBINING OGONEK ABOVE
    "\u1DCF",  # COMBINING ZIGZAG BELOW
    "\u1DD0",  # COMBINING IS BELOW
    "\u1DD1",  # COMBINING UR ABOVE
    "\u1DD2",  # COMBINING US ABOVE
    "\u1DD3",  # COMBINING LATIN SMALL LETTER FLATTENED OPEN A ABOVE
    "\u1DD4",  # COMBINING LATIN SMALL LETTER AE
    "\u1DD5",  # COMBINING LATIN SMALL LETTER AO
    "\u1DD6",  # COMBINING LATIN SMALL LETTER AV
    "\u1DD7",  # COMBINING LATIN SMALL LETTER C CEDILLA
    "\u1DD8",  # COMBINING LATIN SMALL LETTER INSULAR D
    "\u1DD9",  # COMBINING LATIN SMALL LETTER ETH
    "\u1DDA",  # COMBINING LATIN SMALL LETTER G
    "\u1DDB",  # COMBINING LATIN LETTER SMALL CAPITAL G
    "\u1DDC",  # COMBINING LATIN SMALL LETTER K
    "\u1DDD",  # COMBINING LATIN SMALL LETTER L
    "\u1DDE",  # COMBINING LATIN LETTER SMALL CAPITAL L
    "\u1DDF",  # COMBINING LATIN LETTER SMALL CAPITAL M
    "\u1DE0",  # COMBINING LATIN SMALL LETTER N
    "\u1DE1",  # COMBINING LATIN LETTER SMALL CAPITAL N
    "\u1DE2",  # COMBINING LATIN LETTER SMALL CAPITAL R
    "\u1DE3",  # COMBINING LATIN SMALL LETTER R ROTUNDA
    "\u1DE4",  # COMBINING LATIN SMALL LETTER S
    "\u1DE5",  # COMBINING LATIN SMALL LETTER LONG S
    "\u1DE6",  # COMBINING LATIN SMALL LETTER Z
    "\u1DE7",  # COMBINING LATIN SMALL LETTER ALPHA
    "\u1DE8",  # COMBINING LATIN SMALL LETTER B
    "\u1DE9",  # COMBINING LATIN SMALL LETTER BETA
    "\u1DEA",  # COMBINING LATIN SMALL LETTER SCHWA
    "\u1DEB",  # COMBINING LATIN SMALL LETTER F
    "\u1DEC",  # COMBINING LATIN SMALL LETTER L WITH DOUBLE MIDDLE TILDE
    "\u1DED",  # COMBINING LATIN SMALL LETTER O WITH LIGHT CENTRALIZATION STROKE
    "\u1DEE",  # COMBINING LATIN SMALL LETTER P
    "\u1DEF",  # COMBINING LATIN SMALL LETTER ESH
    "\u1DF0",  # COMBINING LATIN SMALL LETTER U WITH LIGHT CENTRALIZATION STROKE
    "\u1DF1",  # COMBINING LATIN SMALL LETTER W
    "\u1DF2",  # COMBINING LATIN SMALL LETTER A WITH DIAERESIS
    "\u1DF3",  # COMBINING LATIN SMALL LETTER O WITH DIAERESIS
    "\u1DF4",  # COMBINING LATIN SMALL LETTER U WITH DIAERESIS
    "\u1DF5",  # COMBINING UP TACK ABOVE
    "\u1DF6",  # COMBINING KAVYKA ABOVE RIGHT
    "\u1DF7",  # COMBINING KAVYKA ABOVE LEFT
    "\u1DF8",  # COMBINING DOT ABOVE LEFT
    "\u1DF9",  # COMBINING WIDE INVERTED BRIDGE BELOW
    "\u1DFB",  # COMBINING DELETION MARK
    "\u1DFC",  # COMBINING DOUBLE INVERTED BREVE BELOW
    "\u1DFD",  # COMBINING ALMOST EQUAL TO BELOW
    "\u1DFE",  # COMBINING LEFT ARROWHEAD ABOVE
    "\u1DFF",  # COMBINING RIGHT ARROWHEAD AND DOWN ARROWHEAD BELOW
    "\u1E00",  # LATIN CAPITAL LETTER A WITH RING BELOW
    "\u1E01",  # LATIN SMALL LETTER A WITH RING BELOW
    "\u1E02",  # LATIN CAPITAL LETTER B WITH DOT ABOVE
    "\u1E03",  # LATIN SMALL LETTER B WITH DOT ABOVE
    "\u1E04",  # LATIN CAPITAL LETTER B WITH DOT BELOW
    "\u1E05",  # LATIN SMALL LETTER B WITH DOT BELOW
    "\u1E06",  # LATIN CAPITAL LETTER B WITH LINE BELOW
    "\u1E07",  # LATIN SMALL LETTER B WITH LINE BELOW
    "\u1E08",  # LATIN CAPITAL LETTER C WITH CEDILLA AND ACUTE
    "\u1E09",  # LATIN SMALL LETTER C WITH CEDILLA AND ACUTE
    "\u1E0A",  # LATIN CAPITAL LETTER D WITH DOT ABOVE
    "\u1E0B",  # LATIN SMALL LETTER D WITH DOT ABOVE
    "\u1E0C",  # LATIN CAPITAL LETTER D WITH DOT BELOW
    "\u1E0D",  # LATIN SMALL LETTER D WITH DOT BELOW
    "\u1E0E",  # LATIN CAPITAL LETTER D WITH LINE BELOW
    "\u1E0F",  # LATIN SMALL LETTER D WITH LINE BELOW
    "\u1E10",  # LATIN CAPITAL LETTER D WITH CEDILLA
    "\u1E11",  # LATIN SMALL LETTER D WITH CEDILLA
    "\u1E12",  # LATIN CAPITAL LETTER D WITH CIRCUMFLEX BELOW
    "\u1E13",  # LATIN SMALL LETTER D WITH CIRCUMFLEX BELOW
    "\u1E14",  # LATIN CAPITAL LETTER E WITH MACRON AND GRAVE
    "\u1E15",  # LATIN SMALL LETTER E WITH MACRON AND GRAVE
    "\u1E16",  # LATIN CAPITAL LETTER E WITH MACRON AND ACUTE
    "\u1E17",  # LATIN SMALL LETTER E WITH MACRON AND ACUTE
    "\u1E18",  # LATIN CAPITAL LETTER E WITH CIRCUMFLEX BELOW
    "\u1E19",  # LATIN SMALL LETTER E WITH CIRCUMFLEX BELOW
    "\u1E1A",  # LATIN CAPITAL LETTER E WITH TILDE BELOW
    "\u1E1B",  # LATIN SMALL LETTER E WITH TILDE BELOW
    "\u1E1C",  # LATIN CAPITAL LETTER E WITH CEDILLA AND BREVE
    "\u1E1D",  # LATIN SMALL LETTER E WITH CEDILLA AND BREVE
    "\u1E1E",  # LATIN CAPITAL LETTER F WITH DOT ABOVE
    "\u1E1F",  # LATIN SMALL LETTER F WITH DOT ABOVE
    "\u1E20",  # LATIN CAPITAL LETTER G WITH MACRON
    "\u1E21",  # LATIN SMALL LETTER G WITH MACRON
    "\u1E22",  # LATIN CAPITAL LETTER H WITH DOT ABOVE
    "\u1E23",  # LATIN SMALL LETTER H WITH DOT ABOVE
    "\u1E24",  # LATIN CAPITAL LETTER H WITH DOT BELOW
    "\u1E25",  # LATIN SMALL LETTER H WITH DOT BELOW
    "\u1E26",  # LATIN CAPITAL LETTER H WITH DIAERESIS
    "\u1E27",  # LATIN SMALL LETTER H WITH DIAERESIS
    "\u1E28",  # LATIN CAPITAL LETTER H WITH CEDILLA
    "\u1E29",  # LATIN SMALL LETTER H WITH CEDILLA
    "\u1E2A",  # LATIN CAPITAL LETTER H WITH BREVE BELOW
    "\u1E2B",  # LATIN SMALL LETTER H WITH BREVE BELOW
    "\u1E2C",  # LATIN CAPITAL LETTER I WITH TILDE BELOW
    "\u1E2D",  # LATIN SMALL LETTER I WITH TILDE BELOW
    "\u1E2E",  # LATIN CAPITAL LETTER I WITH DIAERESIS AND ACUTE
    "\u1E2F",  # LATIN SMALL LETTER I WITH DIAERESIS AND ACUTE
    "\u1E30",  # LATIN CAPITAL LETTER K WITH ACUTE
    "\u1E31",  # LATIN SMALL LETTER K WITH ACUTE
    "\u1E32",  # LATIN CAPITAL LETTER K WITH DOT BELOW
    "\u1E33",  # LATIN SMALL LETTER K WITH DOT BELOW
    "\u1E34",  # LATIN CAPITAL LETTER K WITH LINE BELOW
    "\u1E35",  # LATIN SMALL LETTER K WITH LINE BELOW
    "\u1E36",  # LATIN CAPITAL LETTER L WITH DOT BELOW
    "\u1E37",  # LATIN SMALL LETTER L WITH DOT BELOW
    "\u1E38",  # LATIN CAPITAL LETTER L WITH DOT BELOW AND MACRON
    "\u1E39",  # LATIN SMALL LETTER L WITH DOT BELOW AND MACRON
    "\u1E3A",  # LATIN CAPITAL LETTER L WITH LINE BELOW
    "\u1E3B",  # LATIN SMALL LETTER L WITH LINE BELOW
    "\u1E3C",  # LATIN CAPITAL LETTER L WITH CIRCUMFLEX BELOW
    "\u1E3D",  # LATIN SMALL LETTER L WITH CIRCUMFLEX BELOW
    "\u1E3E",  # LATIN CAPITAL LETTER M WITH ACUTE
    "\u1E3F",  # LATIN SMALL LETTER M WITH ACUTE
    "\u1E40",  # LATIN CAPITAL LETTER M WITH DOT ABOVE
    "\u1E41",  # LATIN SMALL LETTER M WITH DOT ABOVE
    "\u1E42",  # LATIN CAPITAL LETTER M WITH DOT BELOW
    "\u1E43",  # LATIN SMALL LETTER M WITH DOT BELOW
    "\u1E44",  # LATIN CAPITAL LETTER N WITH DOT ABOVE
    "\u1E45",  # LATIN SMALL LETTER N WITH DOT ABOVE
    "\u1E46",  # LATIN CAPITAL LETTER N WITH DOT BELOW
    "\u1E47",  # LATIN SMALL LETTER N WITH DOT BELOW
    "\u1E48",  # LATIN CAPITAL LETTER N WITH LINE BELOW
    "\u1E49",  # LATIN SMALL LETTER N WITH LINE BELOW
    "\u1E4A",  # LATIN CAPITAL LETTER N WITH CIRCUMFLEX BELOW
    "\u1E4B",  # LATIN SMALL LETTER N WITH CIRCUMFLEX BELOW
    "\u1E4C",  # LATIN CAPITAL LETTER O WITH TILDE AND ACUTE
    "\u1E4D",  # LATIN SMALL LETTER O WITH TILDE AND ACUTE
    "\u1E4E",  # LATIN CAPITAL LETTER O WITH TILDE AND DIAERESIS
    "\u1E4F",  # LATIN SMALL LETTER O WITH TILDE AND DIAERESIS
    "\u1E50",  # LATIN CAPITAL LETTER O WITH MACRON AND GRAVE
    "\u1E51",  # LATIN SMALL LETTER O WITH MACRON AND GRAVE
    "\u1E52",  # LATIN CAPITAL LETTER O WITH MACRON AND ACUTE
    "\u1E53",  # LATIN SMALL LETTER O WITH MACRON AND ACUTE
    "\u1E54",  # LATIN CAPITAL LETTER P WITH ACUTE
    "\u1E55",  # LATIN SMALL LETTER P WITH ACUTE
    "\u1E56",  # LATIN CAPITAL LETTER P WITH DOT ABOVE
    "\u1E57",  # LATIN SMALL LETTER P WITH DOT ABOVE
    "\u1E58",  # LATIN CAPITAL LETTER R WITH DOT ABOVE
    "\u1E59",  # LATIN SMALL LETTER R WITH DOT ABOVE
    "\u1E5A",  # LATIN CAPITAL LETTER R WITH DOT BELOW
    "\u1E5B",  # LATIN SMALL LETTER R WITH DOT BELOW
    "\u1E5C",  # LATIN CAPITAL LETTER R WITH DOT BELOW AND MACRON
    "\u1E5D",  # LATIN SMALL LETTER R WITH DOT BELOW AND MACRON
    "\u1E5E",  # LATIN CAPITAL LETTER R WITH LINE BELOW
    "\u1E5F",  # LATIN SMALL LETTER R WITH LINE BELOW
    "\u1E60",  # LATIN CAPITAL LETTER S WITH DOT ABOVE
    "\u1E61",  # LATIN SMALL LETTER S WITH DOT ABOVE
    "\u1E62",  # LATIN CAPITAL LETTER S WITH DOT BELOW
    "\u1E63",  # LATIN SMALL LETTER S WITH DOT BELOW
    "\u1E64",  # LATIN CAPITAL LETTER S WITH ACUTE AND DOT ABOVE
    "\u1E65",  # LATIN SMALL LETTER S WITH ACUTE AND DOT ABOVE
    "\u1E66",  # LATIN CAPITAL LETTER S WITH CARON AND DOT ABOVE
    "\u1E67",  # LATIN SMALL LETTER S WITH CARON AND DOT ABOVE
    "\u1E68",  # LATIN CAPITAL LETTER S WITH DOT BELOW AND DOT ABOVE
    "\u1E69",  # LATIN SMALL LETTER S WITH DOT BELOW AND DOT ABOVE
    "\u1E6A",  # LATIN CAPITAL LETTER T WITH DOT ABOVE
    "\u1E6B",  # LATIN SMALL LETTER T WITH DOT ABOVE
    "\u1E6C",  # LATIN CAPITAL LETTER T WITH DOT BELOW
    "\u1E6D",  # LATIN SMALL LETTER T WITH DOT BELOW
    "\u1E6E",  # LATIN CAPITAL LETTER T WITH LINE BELOW
    "\u1E6F",  # LATIN SMALL LETTER T WITH LINE BELOW
    "\u1E70",  # LATIN CAPITAL LETTER T WITH CIRCUMFLEX BELOW
    "\u1E71",  # LATIN SMALL LETTER T WITH CIRCUMFLEX BELOW
    "\u1E72",  # LATIN CAPITAL LETTER U WITH DIAERESIS BELOW
    "\u1E73",  # LATIN SMALL LETTER U WITH DIAERESIS BELOW
    "\u1E74",  # LATIN CAPITAL LETTER U WITH TILDE BELOW
    "\u1E75",  # LATIN SMALL LETTER U WITH TILDE BELOW
    "\u1E76",  # LATIN CAPITAL LETTER U WITH CIRCUMFLEX BELOW
    "\u1E77",  # LATIN SMALL LETTER U WITH CIRCUMFLEX BELOW
    "\u1E78",  # LATIN CAPITAL LETTER U WITH TILDE AND ACUTE
    "\u1E79",  # LATIN SMALL LETTER U WITH TILDE AND ACUTE
    "\u1E7A",  # LATIN CAPITAL LETTER U WITH MACRON AND DIAERESIS
    "\u1E7B",  # LATIN SMALL LETTER U WITH MACRON AND DIAERESIS
    "\u1E7C",  # LATIN CAPITAL LETTER V WITH TILDE
    "\u1E7D",  # LATIN SMALL LETTER V WITH TILDE
    "\u1E7E",  # LATIN CAPITAL LETTER V WITH DOT BELOW
    "\u1E7F",  # LATIN SMALL LETTER V WITH DOT BELOW
    "\u1E80",  # LATIN CAPITAL LETTER W WITH GRAVE
    "\u1E81",  # LATIN SMALL LETTER W WITH GRAVE
    "\u1E82",  # LATIN CAPITAL LETTER W WITH ACUTE
    "\u1E83",  # LATIN SMALL LETTER W WITH ACUTE
    "\u1E84",  # LATIN CAPITAL LETTER W WITH DIAERESIS
    "\u1E85",  # LATIN SMALL LETTER W WITH DIAERESIS
    "\u1E86",  # LATIN CAPITAL LETTER W WITH DOT ABOVE
    "\u1E87",  # LATIN SMALL LETTER W WITH DOT ABOVE
    "\u1E88",  # LATIN CAPITAL LETTER W WITH DOT BELOW
    "\u1E89",  # LATIN SMALL LETTER W WITH DOT BELOW
    "\u1E8A",  # LATIN CAPITAL LETTER X WITH DOT ABOVE
    "\u1E8B",  # LATIN SMALL LETTER X WITH DOT ABOVE
    "\u1E8C",  # LATIN CAPITAL LETTER X WITH DIAERESIS
    "\u1E8D",  # LATIN SMALL LETTER X WITH DIAERESIS
    "\u1E8E",  # LATIN CAPITAL LETTER Y WITH DOT ABOVE
    "\u1E8F",  # LATIN SMALL LETTER Y WITH DOT ABOVE
    "\u1E90",  # LATIN CAPITAL LETTER Z WITH CIRCUMFLEX
    "\u1E91",  # LATIN SMALL LETTER Z WITH CIRCUMFLEX
    "\u1E92",  # LATIN CAPITAL LETTER Z WITH DOT BELOW
    "\u1E93",  # LATIN SMALL LETTER Z WITH DOT BELOW
    "\u1E94",  # LATIN CAPITAL LETTER Z WITH LINE BELOW
    "\u1E95",  # LATIN SMALL LETTER Z WITH LINE BELOW
    "\u1E96",  # LATIN SMALL LETTER H WITH LINE BELOW
    "\u1E97",  # LATIN SMALL LETTER T WITH DIAERESIS
    "\u1E98",  # LATIN SMALL LETTER W WITH RING ABOVE
    "\u1E99",  # LATIN SMALL LETTER Y WITH RING ABOVE
    "\u1E9A",  # LATIN SMALL LETTER A WITH RIGHT HALF RING
    "\u1E9B",  # LATIN SMALL LETTER LONG S WITH DOT ABOVE
    "\u1E9C",  # LATIN SMALL LETTER LONG S WITH DIAGONAL STROKE
    "\u1E9D",  # LATIN SMALL LETTER LONG S WITH HIGH STROKE
    "\u1E9E",  # LATIN CAPITAL LETTER SHARP S
    "\u1E9F",  # LATIN SMALL LETTER DELTA
    "\u1EA0",  # LATIN CAPITAL LETTER A WITH DOT BELOW
    "\u1EA1",  # LATIN SMALL LETTER A WITH DOT BELOW
    "\u1EA2",  # LATIN CAPITAL LETTER A WITH HOOK ABOVE
    "\u1EA3",  # LATIN SMALL LETTER A WITH HOOK ABOVE
    "\u1EA4",  # LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND ACUTE
    "\u1EA5",  # LATIN SMALL LETTER A WITH CIRCUMFLEX AND ACUTE
    "\u1EA6",  # LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND GRAVE
    "\u1EA7",  # LATIN SMALL LETTER A WITH CIRCUMFLEX AND GRAVE
    "\u1EA8",  # LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE
    "\u1EA9",  # LATIN SMALL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE
    "\u1EAA",  # LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND TILDE
    "\u1EAB",  # LATIN SMALL LETTER A WITH CIRCUMFLEX AND TILDE
    "\u1EAC",  # LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND DOT BELOW
    "\u1EAD",  # LATIN SMALL LETTER A WITH CIRCUMFLEX AND DOT BELOW
    "\u1EAE",  # LATIN CAPITAL LETTER A WITH BREVE AND ACUTE
    "\u1EAF",  # LATIN SMALL LETTER A WITH BREVE AND ACUTE
    "\u1EB0",  # LATIN CAPITAL LETTER A WITH BREVE AND GRAVE
    "\u1EB1",  # LATIN SMALL LETTER A WITH BREVE AND GRAVE
    "\u1EB2",  # LATIN CAPITAL LETTER A WITH BREVE AND HOOK ABOVE
    "\u1EB3",  # LATIN SMALL LETTER A WITH BREVE AND HOOK ABOVE
    "\u1EB4",  # LATIN CAPITAL LETTER A WITH BREVE AND TILDE
    "\u1EB5",  # LATIN SMALL LETTER A WITH BREVE AND TILDE
    "\u1EB6",  # LATIN CAPITAL LETTER A WITH BREVE AND DOT BELOW
    "\u1EB7",  # LATIN SMALL LETTER A WITH BREVE AND DOT BELOW
    "\u1EB8",  # LATIN CAPITAL LETTER E WITH DOT BELOW
    "\u1EB9",  # LATIN SMALL LETTER E WITH DOT BELOW
    "\u1EBA",  # LATIN CAPITAL LETTER E WITH HOOK ABOVE
    "\u1EBB",  # LATIN SMALL LETTER E WITH HOOK ABOVE
    "\u1EBC",  # LATIN CAPITAL LETTER E WITH TILDE
    "\u1EBD",  # LATIN SMALL LETTER E WITH TILDE
    "\u1EBE",  # LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND ACUTE
    "\u1EBF",  # LATIN SMALL LETTER E WITH CIRCUMFLEX AND ACUTE
    "\u1EC0",  # LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND GRAVE
    "\u1EC1",  # LATIN SMALL LETTER E WITH CIRCUMFLEX AND GRAVE
    "\u1EC2",  # LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE
    "\u1EC3",  # LATIN SMALL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE
    "\u1EC4",  # LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND TILDE
    "\u1EC5",  # LATIN SMALL LETTER E WITH CIRCUMFLEX AND TILDE
    "\u1EC6",  # LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND DOT BELOW
    "\u1EC7",  # LATIN SMALL LETTER E WITH CIRCUMFLEX AND DOT BELOW
    "\u1EC8",  # LATIN CAPITAL LETTER I WITH HOOK ABOVE
    "\u1EC9",  # LATIN SMALL LETTER I WITH HOOK ABOVE
    "\u1ECA",  # LATIN CAPITAL LETTER I WITH DOT BELOW
    "\u1ECB",  # LATIN SMALL LETTER I WITH DOT BELOW
    "\u1ECC",  # LATIN CAPITAL LETTER O WITH DOT BELOW
    "\u1ECD",  # LATIN SMALL LETTER O WITH DOT BELOW
    "\u1ECE",  # LATIN CAPITAL LETTER O WITH HOOK ABOVE
    "\u1ECF",  # LATIN SMALL LETTER O WITH HOOK ABOVE
    "\u1ED0",  # LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND ACUTE
    "\u1ED1",  # LATIN SMALL LETTER O WITH CIRCUMFLEX AND ACUTE
    "\u1ED2",  # LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND GRAVE
    "\u1ED3",  # LATIN SMALL LETTER O WITH CIRCUMFLEX AND GRAVE
    "\u1ED4",  # LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE
    "\u1ED5",  # LATIN SMALL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE
    "\u1ED6",  # LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND TILDE
    "\u1ED7",  # LATIN SMALL LETTER O WITH CIRCUMFLEX AND TILDE
    "\u1ED8",  # LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND DOT BELOW
    "\u1ED9",  # LATIN SMALL LETTER O WITH CIRCUMFLEX AND DOT BELOW
    "\u1EDA",  # LATIN CAPITAL LETTER O WITH HORN AND ACUTE
    "\u1EDB",  # LATIN SMALL LETTER O WITH HORN AND ACUTE
    "\u1EDC",  # LATIN CAPITAL LETTER O WITH HORN AND GRAVE
    "\u1EDD",  # LATIN SMALL LETTER O WITH HORN AND GRAVE
    "\u1EDE",  # LATIN CAPITAL LETTER O WITH HORN AND HOOK ABOVE
    "\u1EDF",  # LATIN SMALL LETTER O WITH HORN AND HOOK ABOVE
    "\u1EE0",  # LATIN CAPITAL LETTER O WITH HORN AND TILDE
    "\u1EE1",  # LATIN SMALL LETTER O WITH HORN AND TILDE
    "\u1EE2",  # LATIN CAPITAL LETTER O WITH HORN AND DOT BELOW
    "\u1EE3",  # LATIN SMALL LETTER O WITH HORN AND DOT BELOW
    "\u1EE4",  # LATIN CAPITAL LETTER U WITH DOT BELOW
    "\u1EE5",  # LATIN SMALL LETTER U WITH DOT BELOW
    "\u1EE6",  # LATIN CAPITAL LETTER U WITH HOOK ABOVE
    "\u1EE7",  # LATIN SMALL LETTER U WITH HOOK ABOVE
    "\u1EE8",  # LATIN CAPITAL LETTER U WITH HORN AND ACUTE
    "\u1EE9",  # LATIN SMALL LETTER U WITH HORN AND ACUTE
    "\u1EEA",  # LATIN CAPITAL LETTER U WITH HORN AND GRAVE
    "\u1EEB",  # LATIN SMALL LETTER U WITH HORN AND GRAVE
    "\u1EEC",  # LATIN CAPITAL LETTER U WITH HORN AND HOOK ABOVE
    "\u1EED",  # LATIN SMALL LETTER U WITH HORN AND HOOK ABOVE
    "\u1EEE",  # LATIN CAPITAL LETTER U WITH HORN AND TILDE
    "\u1EEF",  # LATIN SMALL LETTER U WITH HORN AND TILDE
    "\u1EF0",  # LATIN CAPITAL LETTER U WITH HORN AND DOT BELOW
    "\u1EF1",  # LATIN SMALL LETTER U WITH HORN AND DOT BELOW
    "\u1EF2",  # LATIN CAPITAL LETTER Y WITH GRAVE
    "\u1EF3",  # LATIN SMALL LETTER Y WITH GRAVE
    "\u1EF4",  # LATIN CAPITAL LETTER Y WITH DOT BELOW
    "\u1EF5",  # LATIN SMALL LETTER Y WITH DOT BELOW
    "\u1EF6",  # LATIN CAPITAL LETTER Y WITH HOOK ABOVE
    "\u1EF7",  # LATIN SMALL LETTER Y WITH HOOK ABOVE
    "\u1EF8",  # LATIN CAPITAL LETTER Y WITH TILDE
    "\u1EF9",  # LATIN SMALL LETTER Y WITH TILDE
    "\u1EFA",  # LATIN CAPITAL LETTER MIDDLE-WELSH LL
    "\u1EFB",  # LATIN SMALL LETTER MIDDLE-WELSH LL
    "\u1EFC",  # LATIN CAPITAL LETTER MIDDLE-WELSH V
    "\u1EFD",  # LATIN SMALL LETTER MIDDLE-WELSH V
    "\u1EFE",  # LATIN CAPITAL LETTER Y WITH LOOP
    "\u1EFF",  # LATIN SMALL LETTER Y WITH LOOP
    "\u1F00",  # GREEK SMALL LETTER ALPHA WITH PSILI
    "\u1F01",  # GREEK SMALL LETTER ALPHA WITH DASIA
    "\u1F02",  # GREEK SMALL LETTER ALPHA WITH PSILI AND VARIA
    "\u1F03",  # GREEK SMALL LETTER ALPHA WITH DASIA AND VARIA
    "\u1F04",  # GREEK SMALL LETTER ALPHA WITH PSILI AND OXIA
    "\u1F05",  # GREEK SMALL LETTER ALPHA WITH DASIA AND OXIA
    "\u1F06",  # GREEK SMALL LETTER ALPHA WITH PSILI AND PERISPOMENI
    "\u1F07",  # GREEK SMALL LETTER ALPHA WITH DASIA AND PERISPOMENI
    "\u1F08",  # GREEK CAPITAL LETTER ALPHA WITH PSILI
    "\u1F09",  # GREEK CAPITAL LETTER ALPHA WITH DASIA
    "\u1F0A",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA
    "\u1F0B",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA
    "\u1F0C",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA
    "\u1F0D",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA
    "\u1F0E",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI
    "\u1F0F",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI
    "\u1F10",  # GREEK SMALL LETTER EPSILON WITH PSILI
    "\u1F11",  # GREEK SMALL LETTER EPSILON WITH DASIA
    "\u1F12",  # GREEK SMALL LETTER EPSILON WITH PSILI AND VARIA
    "\u1F13",  # GREEK SMALL LETTER EPSILON WITH DASIA AND VARIA
    "\u1F14",  # GREEK SMALL LETTER EPSILON WITH PSILI AND OXIA
    "\u1F15",  # GREEK SMALL LETTER EPSILON WITH DASIA AND OXIA
    "\u1F18",  # GREEK CAPITAL LETTER EPSILON WITH PSILI
    "\u1F19",  # GREEK CAPITAL LETTER EPSILON WITH DASIA
    "\u1F1A",  # GREEK CAPITAL LETTER EPSILON WITH PSILI AND VARIA
    "\u1F1B",  # GREEK CAPITAL LETTER EPSILON WITH DASIA AND VARIA
    "\u1F1C",  # GREEK CAPITAL LETTER EPSILON WITH PSILI AND OXIA
    "\u1F1D",  # GREEK CAPITAL LETTER EPSILON WITH DASIA AND OXIA
    "\u1F20",  # GREEK SMALL LETTER ETA WITH PSILI
    "\u1F21",  # GREEK SMALL LETTER ETA WITH DASIA
    "\u1F22",  # GREEK SMALL LETTER ETA WITH PSILI AND VARIA
    "\u1F23",  # GREEK SMALL LETTER ETA WITH DASIA AND VARIA
    "\u1F24",  # GREEK SMALL LETTER ETA WITH PSILI AND OXIA
    "\u1F25",  # GREEK SMALL LETTER ETA WITH DASIA AND OXIA
    "\u1F26",  # GREEK SMALL LETTER ETA WITH PSILI AND PERISPOMENI
    "\u1F27",  # GREEK SMALL LETTER ETA WITH DASIA AND PERISPOMENI
    "\u1F28",  # GREEK CAPITAL LETTER ETA WITH PSILI
    "\u1F29",  # GREEK CAPITAL LETTER ETA WITH DASIA
    "\u1F2A",  # GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA
    "\u1F2B",  # GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA
    "\u1F2C",  # GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA
    "\u1F2D",  # GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA
    "\u1F2E",  # GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI
    "\u1F2F",  # GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI
    "\u1F30",  # GREEK SMALL LETTER IOTA WITH PSILI
    "\u1F31",  # GREEK SMALL LETTER IOTA WITH DASIA
    "\u1F32",  # GREEK SMALL LETTER IOTA WITH PSILI AND VARIA
    "\u1F33",  # GREEK SMALL LETTER IOTA WITH DASIA AND VARIA
    "\u1F34",  # GREEK SMALL LETTER IOTA WITH PSILI AND OXIA
    "\u1F35",  # GREEK SMALL LETTER IOTA WITH DASIA AND OXIA
    "\u1F36",  # GREEK SMALL LETTER IOTA WITH PSILI AND PERISPOMENI
    "\u1F37",  # GREEK SMALL LETTER IOTA WITH DASIA AND PERISPOMENI
    "\u1F38",  # GREEK CAPITAL LETTER IOTA WITH PSILI
    "\u1F39",  # GREEK CAPITAL LETTER IOTA WITH DASIA
    "\u1F3A",  # GREEK CAPITAL LETTER IOTA WITH PSILI AND VARIA
    "\u1F3B",  # GREEK CAPITAL LETTER IOTA WITH DASIA AND VARIA
    "\u1F3C",  # GREEK CAPITAL LETTER IOTA WITH PSILI AND OXIA
    "\u1F3D",  # GREEK CAPITAL LETTER IOTA WITH DASIA AND OXIA
    "\u1F3E",  # GREEK CAPITAL LETTER IOTA WITH PSILI AND PERISPOMENI
    "\u1F3F",  # GREEK CAPITAL LETTER IOTA WITH DASIA AND PERISPOMENI
    "\u1F40",  # GREEK SMALL LETTER OMICRON WITH PSILI
    "\u1F41",  # GREEK SMALL LETTER OMICRON WITH DASIA
    "\u1F42",  # GREEK SMALL LETTER OMICRON WITH PSILI AND VARIA
    "\u1F43",  # GREEK SMALL LETTER OMICRON WITH DASIA AND VARIA
    "\u1F44",  # GREEK SMALL LETTER OMICRON WITH PSILI AND OXIA
    "\u1F45",  # GREEK SMALL LETTER OMICRON WITH DASIA AND OXIA
    "\u1F48",  # GREEK CAPITAL LETTER OMICRON WITH PSILI
    "\u1F49",  # GREEK CAPITAL LETTER OMICRON WITH DASIA
    "\u1F4A",  # GREEK CAPITAL LETTER OMICRON WITH PSILI AND VARIA
    "\u1F4B",  # GREEK CAPITAL LETTER OMICRON WITH DASIA AND VARIA
    "\u1F4C",  # GREEK CAPITAL LETTER OMICRON WITH PSILI AND OXIA
    "\u1F4D",  # GREEK CAPITAL LETTER OMICRON WITH DASIA AND OXIA
    "\u1F50",  # GREEK SMALL LETTER UPSILON WITH PSILI
    "\u1F51",  # GREEK SMALL LETTER UPSILON WITH DASIA
    "\u1F52",  # GREEK SMALL LETTER UPSILON WITH PSILI AND VARIA
    "\u1F53",  # GREEK SMALL LETTER UPSILON WITH DASIA AND VARIA
    "\u1F54",  # GREEK SMALL LETTER UPSILON WITH PSILI AND OXIA
    "\u1F55",  # GREEK SMALL LETTER UPSILON WITH DASIA AND OXIA
    "\u1F56",  # GREEK SMALL LETTER UPSILON WITH PSILI AND PERISPOMENI
    "\u1F57",  # GREEK SMALL LETTER UPSILON WITH DASIA AND PERISPOMENI
    "\u1F59",  # GREEK CAPITAL LETTER UPSILON WITH DASIA
    "\u1F5B",  # GREEK CAPITAL LETTER UPSILON WITH DASIA AND VARIA
    "\u1F5D",  # GREEK CAPITAL LETTER UPSILON WITH DASIA AND OXIA
    "\u1F5F",  # GREEK CAPITAL LETTER UPSILON WITH DASIA AND PERISPOMENI
    "\u1F60",  # GREEK SMALL LETTER OMEGA WITH PSILI
    "\u1F61",  # GREEK SMALL LETTER OMEGA WITH DASIA
    "\u1F62",  # GREEK SMALL LETTER OMEGA WITH PSILI AND VARIA
    "\u1F63",  # GREEK SMALL LETTER OMEGA WITH DASIA AND VARIA
    "\u1F64",  # GREEK SMALL LETTER OMEGA WITH PSILI AND OXIA
    "\u1F65",  # GREEK SMALL LETTER OMEGA WITH DASIA AND OXIA
    "\u1F66",  # GREEK SMALL LETTER OMEGA WITH PSILI AND PERISPOMENI
    "\u1F67",  # GREEK SMALL LETTER OMEGA WITH DASIA AND PERISPOMENI
    "\u1F68",  # GREEK CAPITAL LETTER OMEGA WITH PSILI
    "\u1F69",  # GREEK CAPITAL LETTER OMEGA WITH DASIA
    "\u1F6A",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA
    "\u1F6B",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA
    "\u1F6C",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA
    "\u1F6D",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA
    "\u1F6E",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI
    "\u1F6F",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI
    "\u1F70",  # GREEK SMALL LETTER ALPHA WITH VARIA
    "\u1F71",  # GREEK SMALL LETTER ALPHA WITH OXIA
    "\u1F72",  # GREEK SMALL LETTER EPSILON WITH VARIA
    "\u1F73",  # GREEK SMALL LETTER EPSILON WITH OXIA
    "\u1F74",  # GREEK SMALL LETTER ETA WITH VARIA
    "\u1F75",  # GREEK SMALL LETTER ETA WITH OXIA
    "\u1F76",  # GREEK SMALL LETTER IOTA WITH VARIA
    "\u1F77",  # GREEK SMALL LETTER IOTA WITH OXIA
    "\u1F78",  # GREEK SMALL LETTER OMICRON WITH VARIA
    "\u1F79",  # GREEK SMALL LETTER OMICRON WITH OXIA
    "\u1F7A",  # GREEK SMALL LETTER UPSILON WITH VARIA
    "\u1F7B",  # GREEK SMALL LETTER UPSILON WITH OXIA
    "\u1F7C",  # GREEK SMALL LETTER OMEGA WITH VARIA
    "\u1F7D",  # GREEK SMALL LETTER OMEGA WITH OXIA
    "\u1F80",  # GREEK SMALL LETTER ALPHA WITH PSILI AND YPOGEGRAMMENI
    "\u1F81",  # GREEK SMALL LETTER ALPHA WITH DASIA AND YPOGEGRAMMENI
    "\u1F82",  # GREEK SMALL LETTER ALPHA WITH PSILI AND VARIA AND YPOGEGRAMMENI
    "\u1F83",  # GREEK SMALL LETTER ALPHA WITH DASIA AND VARIA AND YPOGEGRAMMENI
    "\u1F84",  # GREEK SMALL LETTER ALPHA WITH PSILI AND OXIA AND YPOGEGRAMMENI
    "\u1F85",  # GREEK SMALL LETTER ALPHA WITH DASIA AND OXIA AND YPOGEGRAMMENI
    "\u1F86",  # GREEK SMALL LETTER ALPHA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI
    "\u1F87",  # GREEK SMALL LETTER ALPHA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI
    "\u1F88",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND PROSGEGRAMMENI
    "\u1F89",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND PROSGEGRAMMENI
    "\u1F8A",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA AND PROSGEGRAMMENI
    "\u1F8B",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA AND PROSGEGRAMMENI
    "\u1F8C",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA AND PROSGEGRAMMENI
    "\u1F8D",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA AND PROSGEGRAMMENI
    "\u1F8E",  # GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI
    "\u1F8F",  # GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI
    "\u1F90",  # GREEK SMALL LETTER ETA WITH PSILI AND YPOGEGRAMMENI
    "\u1F91",  # GREEK SMALL LETTER ETA WITH DASIA AND YPOGEGRAMMENI
    "\u1F92",  # GREEK SMALL LETTER ETA WITH PSILI AND VARIA AND YPOGEGRAMMENI
    "\u1F93",  # GREEK SMALL LETTER ETA WITH DASIA AND VARIA AND YPOGEGRAMMENI
    "\u1F94",  # GREEK SMALL LETTER ETA WITH PSILI AND OXIA AND YPOGEGRAMMENI
    "\u1F95",  # GREEK SMALL LETTER ETA WITH DASIA AND OXIA AND YPOGEGRAMMENI
    "\u1F96",  # GREEK SMALL LETTER ETA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI
    "\u1F97",  # GREEK SMALL LETTER ETA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI
    "\u1F98",  # GREEK CAPITAL LETTER ETA WITH PSILI AND PROSGEGRAMMENI
    "\u1F99",  # GREEK CAPITAL LETTER ETA WITH DASIA AND PROSGEGRAMMENI
    "\u1F9A",  # GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI
    "\u1F9B",  # GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI
    "\u1F9C",  # GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI
    "\u1F9D",  # GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI
    "\u1F9E",  # GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI
    "\u1F9F",  # GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI
    "\u1FA0",  # GREEK SMALL LETTER OMEGA WITH PSILI AND YPOGEGRAMMENI
    "\u1FA1",  # GREEK SMALL LETTER OMEGA WITH DASIA AND YPOGEGRAMMENI
    "\u1FA2",  # GREEK SMALL LETTER OMEGA WITH PSILI AND VARIA AND YPOGEGRAMMENI
    "\u1FA3",  # GREEK SMALL LETTER OMEGA WITH DASIA AND VARIA AND YPOGEGRAMMENI
    "\u1FA4",  # GREEK SMALL LETTER OMEGA WITH PSILI AND OXIA AND YPOGEGRAMMENI
    "\u1FA5",  # GREEK SMALL LETTER OMEGA WITH DASIA AND OXIA AND YPOGEGRAMMENI
    "\u1FA6",  # GREEK SMALL LETTER OMEGA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI
    "\u1FA7",  # GREEK SMALL LETTER OMEGA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI
    "\u1FA8",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND PROSGEGRAMMENI
    "\u1FA9",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND PROSGEGRAMMENI
    "\u1FAA",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA AND PROSGEGRAMMENI
    "\u1FAB",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA AND PROSGEGRAMMENI
    "\u1FAC",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA AND PROSGEGRAMMENI
    "\u1FAD",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA AND PROSGEGRAMMENI
    "\u1FAE",  # GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI
    "\u1FAF",  # GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI
    "\u1FB0",  # GREEK SMALL LETTER ALPHA WITH VRACHY
    "\u1FB1",  # GREEK SMALL LETTER ALPHA WITH MACRON
    "\u1FB2",  # GREEK SMALL LETTER ALPHA WITH VARIA AND YPOGEGRAMMENI
    "\u1FB3",  # GREEK SMALL LETTER ALPHA WITH YPOGEGRAMMENI
    "\u1FB4",  # GREEK SMALL LETTER ALPHA WITH OXIA AND YPOGEGRAMMENI
    "\u1FB6",  # GREEK SMALL LETTER ALPHA WITH PERISPOMENI
    "\u1FB7",  # GREEK SMALL LETTER ALPHA WITH PERISPOMENI AND YPOGEGRAMMENI
    "\u1FB8",  # GREEK CAPITAL LETTER ALPHA WITH VRACHY
    "\u1FB9",  # GREEK CAPITAL LETTER ALPHA WITH MACRON
    "\u1FBA",  # GREEK CAPITAL LETTER ALPHA WITH VARIA
    "\u1FBB",  # GREEK CAPITAL LETTER ALPHA WITH OXIA
    "\u1FBC",  # GREEK CAPITAL LETTER ALPHA WITH PROSGEGRAMMENI
    "\u1FBD",  # GREEK KORONIS
    "\u1FBE",  # GREEK PROSGEGRAMMENI
    "\u1FBF",  # GREEK PSILI
    "\u1FC0",  # GREEK PERISPOMENI
    "\u1FC1",  # GREEK DIALYTIKA AND PERISPOMENI
    "\u1FC2",  # GREEK SMALL LETTER ETA WITH VARIA AND YPOGEGRAMMENI
    "\u1FC3",  # GREEK SMALL LETTER ETA WITH YPOGEGRAMMENI
    "\u1FC4",  # GREEK SMALL LETTER ETA WITH OXIA AND YPOGEGRAMMENI
    "\u1FC6",  # GREEK SMALL LETTER ETA WITH PERISPOMENI
    "\u1FC7",  # GREEK SMALL LETTER ETA WITH PERISPOMENI AND YPOGEGRAMMENI
    "\u1FC8",  # GREEK CAPITAL LETTER EPSILON WITH VARIA
    "\u1FC9",  # GREEK CAPITAL LETTER EPSILON WITH OXIA
    "\u1FCA",  # GREEK CAPITAL LETTER ETA WITH VARIA
    "\u1FCB",  # GREEK CAPITAL LETTER ETA WITH OXIA
    "\u1FCC",  # GREEK CAPITAL LETTER ETA WITH PROSGEGRAMMENI
    "\u1FCD",  # GREEK PSILI AND VARIA
    "\u1FCE",  # GREEK PSILI AND OXIA
    "\u1FCF",  # GREEK PSILI AND PERISPOMENI
    "\u1FD0",  # GREEK SMALL LETTER IOTA WITH VRACHY
    "\u1FD1",  # GREEK SMALL LETTER IOTA WITH MACRON
    "\u1FD2",  # GREEK SMALL LETTER IOTA WITH DIALYTIKA AND VARIA
    "\u1FD3",  # GREEK SMALL LETTER IOTA WITH DIALYTIKA AND OXIA
    "\u1FD6",  # GREEK SMALL LETTER IOTA WITH PERISPOMENI
    "\u1FD7",  # GREEK SMALL LETTER IOTA WITH DIALYTIKA AND PERISPOMENI
    "\u1FD8",  # GREEK CAPITAL LETTER IOTA WITH VRACHY
    "\u1FD9",  # GREEK CAPITAL LETTER IOTA WITH MACRON
    "\u1FDA",  # GREEK CAPITAL LETTER IOTA WITH VARIA
    "\u1FDB",  # GREEK CAPITAL LETTER IOTA WITH OXIA
    "\u1FDD",  # GREEK DASIA AND VARIA
    "\u1FDE",  # GREEK DASIA AND OXIA
    "\u1FDF",  # GREEK DASIA AND PERISPOMENI
    "\u1FE0",  # GREEK SMALL LETTER UPSILON WITH VRACHY
    "\u1FE1",  # GREEK SMALL LETTER UPSILON WITH MACRON
    "\u1FE2",  # GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND VARIA
    "\u1FE3",  # GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND OXIA
    "\u1FE4",  # GREEK SMALL LETTER RHO WITH PSILI
    "\u1FE5",  # GREEK SMALL LETTER RHO WITH DASIA
    "\u1FE6",  # GREEK SMALL LETTER UPSILON WITH PERISPOMENI
    "\u1FE7",  # GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND PERISPOMENI
    "\u1FE8",  # GREEK CAPITAL LETTER UPSILON WITH VRACHY
    "\u1FE9",  # GREEK CAPITAL LETTER UPSILON WITH MACRON
    "\u1FEA",  # GREEK CAPITAL LETTER UPSILON WITH VARIA
    "\u1FEB",  # GREEK CAPITAL LETTER UPSILON WITH OXIA
    "\u1FEC",  # GREEK CAPITAL LETTER RHO WITH DASIA
    "\u1FED",  # GREEK DIALYTIKA AND VARIA
    "\u1FEE",  # GREEK DIALYTIKA AND OXIA
    "\u1FEF",  # GREEK VARIA
    "\u1FF2",  # GREEK SMALL LETTER OMEGA WITH VARIA AND YPOGEGRAMMENI
    "\u1FF3",  # GREEK SMALL LETTER OMEGA WITH YPOGEGRAMMENI
    "\u1FF4",  # GREEK SMALL LETTER OMEGA WITH OXIA AND YPOGEGRAMMENI
    "\u1FF6",  # GREEK SMALL LETTER OMEGA WITH PERISPOMENI
    "\u1FF7",  # GREEK SMALL LETTER OMEGA WITH PERISPOMENI AND YPOGEGRAMMENI
    "\u1FF8",  # GREEK CAPITAL LETTER OMICRON WITH VARIA
    "\u1FF9",  # GREEK CAPITAL LETTER OMICRON WITH OXIA
    "\u1FFA",  # GREEK CAPITAL LETTER OMEGA WITH VARIA
    "\u1FFB",  # GREEK CAPITAL LETTER OMEGA WITH OXIA
    "\u1FFC",  # GREEK CAPITAL LETTER OMEGA WITH PROSGEGRAMMENI
    "\u1FFD",  # GREEK OXIA
    "\u1FFE",  # GREEK DASIA
    "\u2000",  # EN QUAD
    "\u2001",  # EM QUAD
    "\u2002",  # EN SPACE
    "\u2003",  # EM SPACE
    "\u2004",  # THREE-PER-EM SPACE
    "\u2005",  # FOUR-PER-EM SPACE
    "\u2006",  # SIX-PER-EM SPACE
    "\u2007",  # FIGURE SPACE
    "\u2008",  # PUNCTUATION SPACE
    "\u2009",  # THIN SPACE
    "\u200A",  # HAIR SPACE
    "\u200B",  # ZERO WIDTH SPACE
    "\u200C",  # ZERO WIDTH NON-JOINER
    "\u200D",  # ZERO WIDTH JOINER
    "\u200E",  # LEFT-TO-RIGHT MARK
    "\u200F",  # RIGHT-TO-LEFT MARK
    "\u2010",  # HYPHEN
    "\u2011",  # NON-BREAKING HYPHEN
    "\u2012",  # FIGURE DASH
    "\u2013",  # EN DASH
    "\u2014",  # EM DASH
    "\u2015",  # HORIZONTAL BAR
    "\u2016",  # DOUBLE VERTICAL LINE
    "\u2017",  # DOUBLE LOW LINE
    "\u2018",  # LEFT SINGLE QUOTATION MARK
    "\u2019",  # RIGHT SINGLE QUOTATION MARK
    "\u201A",  # SINGLE LOW-9 QUOTATION MARK
    "\u201B",  # SINGLE HIGH-REVERSED-9 QUOTATION MARK
    "\u201C",  # LEFT DOUBLE QUOTATION MARK
    "\u201D",  # RIGHT DOUBLE QUOTATION MARK
    "\u201E",  # DOUBLE LOW-9 QUOTATION MARK
    "\u201F",  # DOUBLE HIGH-REVERSED-9 QUOTATION MARK
    "\u2020",  # DAGGER
    "\u2021",  # DOUBLE DAGGER
    "\u2022",  # BULLET
    "\u2023",  # TRIANGULAR BULLET
    "\u2024",  # ONE DOT LEADER
    "\u2025",  # TWO DOT LEADER
    "\u2026",  # HORIZONTAL ELLIPSIS
    "\u2027",  # HYPHENATION POINT
    "\u2028",  # LINE SEPARATOR
    "\u2029",  # PARAGRAPH SEPARATOR
    "\u202A",  # LEFT-TO-RIGHT EMBEDDING
    "\u202B",  # RIGHT-TO-LEFT EMBEDDING
    "\u202C",  # POP DIRECTIONAL FORMATTING
    "\u202D",  # LEFT-TO-RIGHT OVERRIDE
    "\u202E",  # RIGHT-TO-LEFT OVERRIDE
    "\u202F",  # NARROW NO-BREAK SPACE
    "\u2030",  # PER MILLE SIGN
    "\u2031",  # PER TEN THOUSAND SIGN
    "\u2032",  # PRIME
    "\u2033",  # DOUBLE PRIME
    "\u2034",  # TRIPLE PRIME
    "\u2035",  # REVERSED PRIME
    "\u2036",  # REVERSED DOUBLE PRIME
    "\u2037",  # REVERSED TRIPLE PRIME
    "\u2038",  # CARET
    "\u2039",  # SINGLE LEFT-POINTING ANGLE QUOTATION MARK
    "\u203A",  # SINGLE RIGHT-POINTING ANGLE QUOTATION MARK
    "\u203B",  # REFERENCE MARK
    "\u203C",  # DOUBLE EXCLAMATION MARK
    "\u203D",  # INTERROBANG
    "\u203E",  # OVERLINE
    "\u203F",  # UNDERTIE
    "\u2040",  # CHARACTER TIE
    "\u2041",  # CARET INSERTION POINT
    "\u2042",  # ASTERISM
    "\u2043",  # HYPHEN BULLET
    "\u2044",  # FRACTION SLASH
    "\u2045",  # LEFT SQUARE BRACKET WITH QUILL
    "\u2046",  # RIGHT SQUARE BRACKET WITH QUILL
    "\u2047",  # DOUBLE QUESTION MARK
    "\u2048",  # QUESTION EXCLAMATION MARK
    "\u2049",  # EXCLAMATION QUESTION MARK
    "\u204A",  # TIRONIAN SIGN ET
    "\u204B",  # REVERSED PILCROW SIGN
    "\u204C",  # BLACK LEFTWARDS BULLET
    "\u204D",  # BLACK RIGHTWARDS BULLET
    "\u204E",  # LOW ASTERISK
    "\u204F",  # REVERSED SEMICOLON
    "\u2050",  # CLOSE UP
    "\u2051",  # TWO ASTERISKS ALIGNED VERTICALLY
    "\u2052",  # COMMERCIAL MINUS SIGN
    "\u2053",  # SWUNG DASH
    "\u2054",  # INVERTED UNDERTIE
    "\u2055",  # FLOWER PUNCTUATION MARK
    "\u2056",  # THREE DOT PUNCTUATION
    "\u2057",  # QUADRUPLE PRIME
    "\u2058",  # FOUR DOT PUNCTUATION
    "\u2059",  # FIVE DOT PUNCTUATION
    "\u205A",  # TWO DOT PUNCTUATION
    "\u205B",  # FOUR DOT MARK
    "\u205C",  # DOTTED CROSS
    "\u205D",  # TRICOLON
    "\u205E",  # VERTICAL FOUR DOTS
    "\u205F",  # MEDIUM MATHEMATICAL SPACE
    "\u2060",  # WORD JOINER
    "\u2061",  # FUNCTION APPLICATION
    "\u2062",  # INVISIBLE TIMES
    "\u2063",  # INVISIBLE SEPARATOR
    "\u2064",  # INVISIBLE PLUS
    "\u2066",  # LEFT-TO-RIGHT ISOLATE
    "\u2067",  # RIGHT-TO-LEFT ISOLATE
    "\u2068",  # FIRST STRONG ISOLATE
    "\u2069",  # POP DIRECTIONAL ISOLATE
    "\u206A",  # INHIBIT SYMMETRIC SWAPPING
    "\u206B",  # ACTIVATE SYMMETRIC SWAPPING
    "\u206C",  # INHIBIT ARABIC FORM SHAPING
    "\u206D",  # ACTIVATE ARABIC FORM SHAPING
    "\u206E",  # NATIONAL DIGIT SHAPES
    "\u206F",  # NOMINAL DIGIT SHAPES
    "\u2070",  # SUPERSCRIPT ZERO
    "\u2071",  # SUPERSCRIPT LATIN SMALL LETTER I
    "\u2072",  # <reserved>
    "\u2073",  # <reserved>
    "\u2074",  # SUPERSCRIPT FOUR
    "\u2075",  # SUPERSCRIPT FIVE
    "\u2076",  # SUPERSCRIPT SIX
    "\u2077",  # SUPERSCRIPT SEVEN
    "\u2078",  # SUPERSCRIPT EIGHT
    "\u2079",  # SUPERSCRIPT NINE
    "\u207A",  # SUPERSCRIPT PLUS SIGN
    "\u207B",  # SUPERSCRIPT MINUS
    "\u207C",  # SUPERSCRIPT EQUALS SIGN
    "\u207D",  # SUPERSCRIPT LEFT PARENTHESIS
    "\u207E",  # SUPERSCRIPT RIGHT PARENTHESIS
    "\u207F",  # SUPERSCRIPT LATIN SMALL LETTER N
    "\u2080",  # SUBSCRIPT ZERO
    "\u2081",  # SUBSCRIPT ONE
    "\u2082",  # SUBSCRIPT TWO
    "\u2083",  # SUBSCRIPT THREE
    "\u2084",  # SUBSCRIPT FOUR
    "\u2085",  # SUBSCRIPT FIVE
    "\u2086",  # SUBSCRIPT SIX
    "\u2087",  # SUBSCRIPT SEVEN
    "\u2088",  # SUBSCRIPT EIGHT
    "\u2089",  # SUBSCRIPT NINE
    "\u208A",  # SUBSCRIPT PLUS SIGN
    "\u208B",  # SUBSCRIPT MINUS
    "\u208C",  # SUBSCRIPT EQUALS SIGN
    "\u208D",  # SUBSCRIPT LEFT PARENTHESIS
    "\u208E",  # SUBSCRIPT RIGHT PARENTHESIS
    "\u2090",  # LATIN SUBSCRIPT SMALL LETTER A
    "\u2091",  # LATIN SUBSCRIPT SMALL LETTER E
    "\u2092",  # LATIN SUBSCRIPT SMALL LETTER O
    "\u2093",  # LATIN SUBSCRIPT SMALL LETTER X
    "\u2094",  # LATIN SUBSCRIPT SMALL LETTER SCHWA
    "\u2095",  # LATIN SUBSCRIPT SMALL LETTER H
    "\u2096",  # LATIN SUBSCRIPT SMALL LETTER K
    "\u2097",  # LATIN SUBSCRIPT SMALL LETTER L
    "\u2098",  # LATIN SUBSCRIPT SMALL LETTER M
    "\u2099",  # LATIN SUBSCRIPT SMALL LETTER N
    "\u209A",  # LATIN SUBSCRIPT SMALL LETTER P
    "\u209B",  # LATIN SUBSCRIPT SMALL LETTER S
    "\u209C",  # LATIN SUBSCRIPT SMALL LETTER T
    "\u20A0",  # EURO-CURRENCY SIGN
    "\u20A1",  # COLON SIGN
    "\u20A2",  # CRUZEIRO SIGN
    "\u20A3",  # FRENCH FRANC SIGN
    "\u20A4",  # LIRA SIGN
    "\u20A5",  # MILL SIGN
    "\u20A6",  # NAIRA SIGN
    "\u20A7",  # PESETA SIGN
    "\u20A8",  # RUPEE SIGN
    "\u20A9",  # WON SIGN
    "\u20AA",  # NEW SHEQEL SIGN
    "\u20AB",  # DONG SIGN
    "\u20AC",  # EURO SIGN
    "\u20AD",  # KIP SIGN
    "\u20AE",  # TUGRIK SIGN
    "\u20AF",  # DRACHMA SIGN
    "\u20B0",  # GERMAN PENNY SIGN
    "\u20B1",  # PESO SIGN
    "\u20B2",  # GUARANI SIGN
    "\u20B3",  # AUSTRAL SIGN
    "\u20B4",  # HRYVNIA SIGN
    "\u20B5",  # CEDI SIGN
    "\u20B6",  # LIVRE TOURNOIS SIGN
    "\u20B7",  # SPESMILO SIGN
    "\u20B8",  # TENGE SIGN
    "\u20B9",  # INDIAN RUPEE SIGN
    "\u20BA",  # TURKISH LIRA SIGN
    "\u20BB",  # NORDIC MARK SIGN
    "\u20BC",  # MANAT SIGN
    "\u20BD",  # RUBLE SIGN
    "\u20BE",  # LARI SIGN
    "\u20BF",  # BITCOIN SIGN
    "\u20D0",  # COMBINING LEFT HARPOON ABOVE
    "\u20D1",  # COMBINING RIGHT HARPOON ABOVE
    "\u20D2",  # COMBINING LONG VERTICAL LINE OVERLAY
    "\u20D3",  # COMBINING SHORT VERTICAL LINE OVERLAY
    "\u20D4",  # COMBINING ANTICLOCKWISE ARROW ABOVE
    "\u20D5",  # COMBINING CLOCKWISE ARROW ABOVE
    "\u20D6",  # COMBINING LEFT ARROW ABOVE
    "\u20D7",  # COMBINING RIGHT ARROW ABOVE
    "\u20D8",  # COMBINING RING OVERLAY
    "\u20D9",  # COMBINING CLOCKWISE RING OVERLAY
    "\u20DA",  # COMBINING ANTICLOCKWISE RING OVERLAY
    "\u20DB",  # COMBINING THREE DOTS ABOVE
    "\u20DC",  # COMBINING FOUR DOTS ABOVE
    "\u20DD",  # COMBINING ENCLOSING CIRCLE
    "\u20DE",  # COMBINING ENCLOSING SQUARE
    "\u20DF",  # COMBINING ENCLOSING DIAMOND
    "\u20E0",  # COMBINING ENCLOSING CIRCLE BACKSLASH
    "\u20E1",  # COMBINING LEFT RIGHT ARROW ABOVE
    "\u20E2",  # COMBINING ENCLOSING SCREEN
    "\u20E3",  # COMBINING ENCLOSING KEYCAP
    "\u20E4",  # COMBINING ENCLOSING UPWARD POINTING TRIANGLE
    "\u20E5",  # COMBINING REVERSE SOLIDUS OVERLAY
    "\u20E6",  # COMBINING DOUBLE VERTICAL STROKE OVERLAY
    "\u20E7",  # COMBINING ANNUITY SYMBOL
    "\u20E8",  # COMBINING TRIPLE UNDERDOT
    "\u20E9",  # COMBINING WIDE BRIDGE ABOVE
    "\u20EA",  # COMBINING LEFTWARDS ARROW OVERLAY
    "\u20EB",  # COMBINING LONG DOUBLE SOLIDUS OVERLAY
    "\u20EC",  # COMBINING RIGHTWARDS HARPOON WITH BARB DOWNWARDS
    "\u20ED",  # COMBINING LEFTWARDS HARPOON WITH BARB DOWNWARDS
    "\u20EE",  # COMBINING LEFT ARROW BELOW
    "\u20EF",  # COMBINING RIGHT ARROW BELOW
    "\u20F0",  # COMBINING ASTERISK ABOVE
    "\u2100",  # ACCOUNT OF
    "\u2101",  # ADDRESSED TO THE SUBJECT
    "\u2102",  # DOUBLE-STRUCK CAPITAL C
    "\u2103",  # DEGREE CELSIUS
    "\u2104",  # CENTRE LINE SYMBOL
    "\u2105",  # CARE OF
    "\u2106",  # CADA UNA
    "\u2107",  # EULER CONSTANT
    "\u2108",  # SCRUPLE
    "\u2109",  # DEGREE FAHRENHEIT
    "\u210A",  # SCRIPT SMALL G
    "\u210B",  # SCRIPT CAPITAL H
    "\u210C",  # BLACK-LETTER CAPITAL H
    "\u210D",  # DOUBLE-STRUCK CAPITAL H
    "\u210E",  # PLANCK CONSTANT
    "\u210F",  # PLANCK CONSTANT OVER TWO PI
    "\u2110",  # SCRIPT CAPITAL I
    "\u2111",  # BLACK-LETTER CAPITAL I
    "\u2112",  # SCRIPT CAPITAL L
    "\u2113",  # SCRIPT SMALL L
    "\u2114",  # L B BAR SYMBOL
    "\u2115",  # DOUBLE-STRUCK CAPITAL N
    "\u2116",  # NUMERO SIGN
    "\u2117",  # SOUND RECORDING COPYRIGHT
    "\u2118",  # SCRIPT CAPITAL P
    "\u2119",  # DOUBLE-STRUCK CAPITAL P
    "\u211A",  # DOUBLE-STRUCK CAPITAL Q
    "\u211B",  # SCRIPT CAPITAL R
    "\u211C",  # BLACK-LETTER CAPITAL R
    "\u211D",  # DOUBLE-STRUCK CAPITAL R
    "\u211E",  # PRESCRIPTION TAKE
    "\u211F",  # RESPONSE
    "\u2120",  # SERVICE MARK
    "\u2121",  # TELEPHONE SIGN
    "\u2122",  # TRADE MARK SIGN
    "\u2123",  # VERSICLE
    "\u2124",  # DOUBLE-STRUCK CAPITAL Z
    "\u2125",  # OUNCE SIGN
    "\u2126",  # OHM SIGN
    "\u2127",  # INVERTED OHM SIGN
    "\u2128",  # BLACK-LETTER CAPITAL Z
    "\u2129",  # TURNED GREEK SMALL LETTER IOTA
    "\u212A",  # KELVIN SIGN
    "\u212B",  # ANGSTROM SIGN
    "\u212C",  # SCRIPT CAPITAL B
    "\u212D",  # BLACK-LETTER CAPITAL C
    "\u212E",  # ESTIMATED SYMBOL
    "\u212F",  # SCRIPT SMALL E
    "\u2130",  # SCRIPT CAPITAL E
    "\u2131",  # SCRIPT CAPITAL F
    "\u2132",  # TURNED CAPITAL F
    "\u2133",  # SCRIPT CAPITAL M
    "\u2134",  # SCRIPT SMALL O
    "\u2135",  # ALEF SYMBOL
    "\u2136",  # BET SYMBOL
    "\u2137",  # GIMEL SYMBOL
    "\u2138",  # DALET SYMBOL
    "\u2139",  # INFORMATION SOURCE
    "\u213A",  # ROTATED CAPITAL Q
    "\u213B",  # FACSIMILE SIGN
    "\u213C",  # DOUBLE-STRUCK SMALL PI
    "\u213D",  # DOUBLE-STRUCK SMALL GAMMA
    "\u213E",  # DOUBLE-STRUCK CAPITAL GAMMA
    "\u213F",  # DOUBLE-STRUCK CAPITAL PI
    "\u2140",  # DOUBLE-STRUCK N-ARY SUMMATION
    "\u2141",  # TURNED SANS-SERIF CAPITAL G
    "\u2142",  # TURNED SANS-SERIF CAPITAL L
    "\u2143",  # REVERSED SANS-SERIF CAPITAL L
    "\u2144",  # TURNED SANS-SERIF CAPITAL Y
    "\u2145",  # DOUBLE-STRUCK ITALIC CAPITAL D
    "\u2146",  # DOUBLE-STRUCK ITALIC SMALL D
    "\u2147",  # DOUBLE-STRUCK ITALIC SMALL E
    "\u2148",  # DOUBLE-STRUCK ITALIC SMALL I
    "\u2149",  # DOUBLE-STRUCK ITALIC SMALL J
    "\u214A",  # PROPERTY LINE
    "\u214B",  # TURNED AMPERSAND
    "\u214C",  # PER SIGN
    "\u214D",  # AKTIESELSKAB
    "\u214E",  # TURNED SMALL F
    "\u214F",  # SYMBOL FOR SAMARITAN SOURCE
    "\u2150",  # VULGAR FRACTION ONE SEVENTH
    "\u2151",  # VULGAR FRACTION ONE NINTH
    "\u2152",  # VULGAR FRACTION ONE TENTH
    "\u2153",  # VULGAR FRACTION ONE THIRD
    "\u2154",  # VULGAR FRACTION TWO THIRDS
    "\u2155",  # VULGAR FRACTION ONE FIFTH
    "\u2156",  # VULGAR FRACTION TWO FIFTHS
    "\u2157",  # VULGAR FRACTION THREE FIFTHS
    "\u2158",  # VULGAR FRACTION FOUR FIFTHS
    "\u2159",  # VULGAR FRACTION ONE SIXTH
    "\u215A",  # VULGAR FRACTION FIVE SIXTHS
    "\u215B",  # VULGAR FRACTION ONE EIGHTH
    "\u215C",  # VULGAR FRACTION THREE EIGHTHS
    "\u215D",  # VULGAR FRACTION FIVE EIGHTHS
    "\u215E",  # VULGAR FRACTION SEVEN EIGHTHS
    "\u215F",  # FRACTION NUMERATOR ONE
    "\u2160",  # ROMAN NUMERAL ONE
    "\u2161",  # ROMAN NUMERAL TWO
    "\u2162",  # ROMAN NUMERAL THREE
    "\u2163",  # ROMAN NUMERAL FOUR
    "\u2164",  # ROMAN NUMERAL FIVE
    "\u2165",  # ROMAN NUMERAL SIX
    "\u2166",  # ROMAN NUMERAL SEVEN
    "\u2167",  # ROMAN NUMERAL EIGHT
    "\u2168",  # ROMAN NUMERAL NINE
    "\u2169",  # ROMAN NUMERAL TEN
    "\u216A",  # ROMAN NUMERAL ELEVEN
    "\u216B",  # ROMAN NUMERAL TWELVE
    "\u216C",  # ROMAN NUMERAL FIFTY
    "\u216D",  # ROMAN NUMERAL ONE HUNDRED
    "\u216E",  # ROMAN NUMERAL FIVE HUNDRED
    "\u216F",  # ROMAN NUMERAL ONE THOUSAND
    "\u2170",  # SMALL ROMAN NUMERAL ONE
    "\u2171",  # SMALL ROMAN NUMERAL TWO
    "\u2172",  # SMALL ROMAN NUMERAL THREE
    "\u2173",  # SMALL ROMAN NUMERAL FOUR
    "\u2174",  # SMALL ROMAN NUMERAL FIVE
    "\u2175",  # SMALL ROMAN NUMERAL SIX
    "\u2176",  # SMALL ROMAN NUMERAL SEVEN
    "\u2177",  # SMALL ROMAN NUMERAL EIGHT
    "\u2178",  # SMALL ROMAN NUMERAL NINE
    "\u2179",  # SMALL ROMAN NUMERAL TEN
    "\u217A",  # SMALL ROMAN NUMERAL ELEVEN
    "\u217B",  # SMALL ROMAN NUMERAL TWELVE
    "\u217C",  # SMALL ROMAN NUMERAL FIFTY
    "\u217D",  # SMALL ROMAN NUMERAL ONE HUNDRED
    "\u217E",  # SMALL ROMAN NUMERAL FIVE HUNDRED
    "\u217F",  # SMALL ROMAN NUMERAL ONE THOUSAND
    "\u2180",  # ROMAN NUMERAL ONE THOUSAND C D
    "\u2181",  # ROMAN NUMERAL FIVE THOUSAND
    "\u2182",  # ROMAN NUMERAL TEN THOUSAND
    "\u2183",  # ROMAN NUMERAL REVERSED ONE HUNDRED
    "\u2184",  # LATIN SMALL LETTER REVERSED C
    "\u2185",  # ROMAN NUMERAL SIX LATE FORM
    "\u2186",  # ROMAN NUMERAL FIFTY EARLY FORM
    "\u2187",  # ROMAN NUMERAL FIFTY THOUSAND
    "\u2188",  # ROMAN NUMERAL ONE HUNDRED THOUSAND
    "\u2189",  # VULGAR FRACTION ZERO THIRDS
    "\u218A",  # TURNED DIGIT TWO
    "\u218B",  # TURNED DIGIT THREE
    "\u2190",  # LEFTWARDS ARROW
    "\u2191",  # UPWARDS ARROW
    "\u2192",  # RIGHTWARDS ARROW
    "\u2193",  # DOWNWARDS ARROW
    "\u2194",  # LEFT RIGHT ARROW
    "\u2195",  # UP DOWN ARROW
    "\u2196",  # NORTH WEST ARROW
    "\u2197",  # NORTH EAST ARROW
    "\u2198",  # SOUTH EAST ARROW
    "\u2199",  # SOUTH WEST ARROW
    "\u219A",  # LEFTWARDS ARROW WITH STROKE
    "\u219B",  # RIGHTWARDS ARROW WITH STROKE
    "\u219C",  # LEFTWARDS WAVE ARROW
    "\u219D",  # RIGHTWARDS WAVE ARROW
    "\u219E",  # LEFTWARDS TWO HEADED ARROW
    "\u219F",  # UPWARDS TWO HEADED ARROW
    "\u21A0",  # RIGHTWARDS TWO HEADED ARROW
    "\u21A1",  # DOWNWARDS TWO HEADED ARROW
    "\u21A2",  # LEFTWARDS ARROW WITH TAIL
    "\u21A3",  # RIGHTWARDS ARROW WITH TAIL
    "\u21A4",  # LEFTWARDS ARROW FROM BAR
    "\u21A5",  # UPWARDS ARROW FROM BAR
    "\u21A6",  # RIGHTWARDS ARROW FROM BAR
    "\u21A7",  # DOWNWARDS ARROW FROM BAR
    "\u21A8",  # UP DOWN ARROW WITH BASE
    "\u21A9",  # LEFTWARDS ARROW WITH HOOK
    "\u21AA",  # RIGHTWARDS ARROW WITH HOOK
    "\u21AB",  # LEFTWARDS ARROW WITH LOOP
    "\u21AC",  # RIGHTWARDS ARROW WITH LOOP
    "\u21AD",  # LEFT RIGHT WAVE ARROW
    "\u21AE",  # LEFT RIGHT ARROW WITH STROKE
    "\u21AF",  # DOWNWARDS ZIGZAG ARROW
    "\u21B0",  # UPWARDS ARROW WITH TIP LEFTWARDS
    "\u21B1",  # UPWARDS ARROW WITH TIP RIGHTWARDS
    "\u21B2",  # DOWNWARDS ARROW WITH TIP LEFTWARDS
    "\u21B3",  # DOWNWARDS ARROW WITH TIP RIGHTWARDS
    "\u21B4",  # RIGHTWARDS ARROW WITH CORNER DOWNWARDS
    "\u21B5",  # DOWNWARDS ARROW WITH CORNER LEFTWARDS
    "\u21B6",  # ANTICLOCKWISE TOP SEMICIRCLE ARROW
    "\u21B7",  # CLOCKWISE TOP SEMICIRCLE ARROW
    "\u21B8",  # NORTH WEST ARROW TO LONG BAR
    "\u21B9",  # LEFTWARDS ARROW TO BAR OVER RIGHTWARDS ARROW TO BAR
    "\u21BA",  # ANTICLOCKWISE OPEN CIRCLE ARROW
    "\u21BB",  # CLOCKWISE OPEN CIRCLE ARROW
    "\u21BC",  # LEFTWARDS HARPOON WITH BARB UPWARDS
    "\u21BD",  # LEFTWARDS HARPOON WITH BARB DOWNWARDS
    "\u21BE",  # UPWARDS HARPOON WITH BARB RIGHTWARDS
    "\u21BF",  # UPWARDS HARPOON WITH BARB LEFTWARDS
    "\u21C0",  # RIGHTWARDS HARPOON WITH BARB UPWARDS
    "\u21C1",  # RIGHTWARDS HARPOON WITH BARB DOWNWARDS
    "\u21C2",  # DOWNWARDS HARPOON WITH BARB RIGHTWARDS
    "\u21C3",  # DOWNWARDS HARPOON WITH BARB LEFTWARDS
    "\u21C4",  # RIGHTWARDS ARROW OVER LEFTWARDS ARROW
    "\u21C5",  # UPWARDS ARROW LEFTWARDS OF DOWNWARDS ARROW
    "\u21C6",  # LEFTWARDS ARROW OVER RIGHTWARDS ARROW
    "\u21C7",  # LEFTWARDS PAIRED ARROWS
    "\u21C8",  # UPWARDS PAIRED ARROWS
    "\u21C9",  # RIGHTWARDS PAIRED ARROWS
    "\u21CA",  # DOWNWARDS PAIRED ARROWS
    "\u21CB",  # LEFTWARDS HARPOON OVER RIGHTWARDS HARPOON
    "\u21CC",  # RIGHTWARDS HARPOON OVER LEFTWARDS HARPOON
    "\u21CD",  # LEFTWARDS DOUBLE ARROW WITH STROKE
    "\u21CE",  # LEFT RIGHT DOUBLE ARROW WITH STROKE
    "\u21CF",  # RIGHTWARDS DOUBLE ARROW WITH STROKE
    "\u21D0",  # LEFTWARDS DOUBLE ARROW
    "\u21D1",  # UPWARDS DOUBLE ARROW
    "\u21D2",  # RIGHTWARDS DOUBLE ARROW
    "\u21D3",  # DOWNWARDS DOUBLE ARROW
    "\u21D4",  # LEFT RIGHT DOUBLE ARROW
    "\u21D5",  # UP DOWN DOUBLE ARROW
    "\u21D6",  # NORTH WEST DOUBLE ARROW
    "\u21D7",  # NORTH EAST DOUBLE ARROW
    "\u21D8",  # SOUTH EAST DOUBLE ARROW
    "\u21D9",  # SOUTH WEST DOUBLE ARROW
    "\u21DA",  # LEFTWARDS TRIPLE ARROW
    "\u21DB",  # RIGHTWARDS TRIPLE ARROW
    "\u21DC",  # LEFTWARDS SQUIGGLE ARROW
    "\u21DD",  # RIGHTWARDS SQUIGGLE ARROW
    "\u21DE",  # UPWARDS ARROW WITH DOUBLE STROKE
    "\u21DF",  # DOWNWARDS ARROW WITH DOUBLE STROKE
    "\u21E0",  # LEFTWARDS DASHED ARROW
    "\u21E1",  # UPWARDS DASHED ARROW
    "\u21E2",  # RIGHTWARDS DASHED ARROW
    "\u21E3",  # DOWNWARDS DASHED ARROW
    "\u21E4",  # LEFTWARDS ARROW TO BAR
    "\u21E5",  # RIGHTWARDS ARROW TO BAR
    "\u21E6",  # LEFTWARDS WHITE ARROW
    "\u21E7",  # UPWARDS WHITE ARROW
    "\u21E8",  # RIGHTWARDS WHITE ARROW
    "\u21E9",  # DOWNWARDS WHITE ARROW
    "\u21EA",  # UPWARDS WHITE ARROW FROM BAR
    "\u21EB",  # UPWARDS WHITE ARROW ON PEDESTAL
    "\u21EC",  # UPWARDS WHITE ARROW ON PEDESTAL WITH HORIZONTAL BAR
    "\u21ED",  # UPWARDS WHITE ARROW ON PEDESTAL WITH VERTICAL BAR
    "\u21EE",  # UPWARDS WHITE DOUBLE ARROW
    "\u21EF",  # UPWARDS WHITE DOUBLE ARROW ON PEDESTAL
    "\u21F0",  # RIGHTWARDS WHITE ARROW FROM WALL
    "\u21F1",  # NORTH WEST ARROW TO CORNER
    "\u21F2",  # SOUTH EAST ARROW TO CORNER
    "\u21F3",  # UP DOWN WHITE ARROW
    "\u21F4",  # RIGHT ARROW WITH SMALL CIRCLE
    "\u21F5",  # DOWNWARDS ARROW LEFTWARDS OF UPWARDS ARROW
    "\u21F6",  # THREE RIGHTWARDS ARROWS
    "\u21F7",  # LEFTWARDS ARROW WITH VERTICAL STROKE
    "\u21F8",  # RIGHTWARDS ARROW WITH VERTICAL STROKE
    "\u21F9",  # LEFT RIGHT ARROW WITH VERTICAL STROKE
    "\u21FA",  # LEFTWARDS ARROW WITH DOUBLE VERTICAL STROKE
    "\u21FB",  # RIGHTWARDS ARROW WITH DOUBLE VERTICAL STROKE
    "\u21FC",  # LEFT RIGHT ARROW WITH DOUBLE VERTICAL STROKE
    "\u21FD",  # LEFTWARDS OPEN-HEADED ARROW
    "\u21FE",  # RIGHTWARDS OPEN-HEADED ARROW
    "\u21FF",  # LEFT RIGHT OPEN-HEADED ARROW
    "\u2200",  # FOR ALL
    "\u2201",  # COMPLEMENT
    "\u2202",  # PARTIAL DIFFERENTIAL
    "\u2203",  # THERE EXISTS
    "\u2204",  # THERE DOES NOT EXIST
    "\u2205",  # EMPTY SET
    "\u2206",  # INCREMENT
    "\u2207",  # NABLA
    "\u2208",  # ELEMENT OF
    "\u2209",  # NOT AN ELEMENT OF
    "\u220A",  # SMALL ELEMENT OF
    "\u220B",  # CONTAINS AS MEMBER
    "\u220C",  # DOES NOT CONTAIN AS MEMBER
    "\u220D",  # SMALL CONTAINS AS MEMBER
    "\u220E",  # END OF PROOF
    "\u220F",  # N-ARY PRODUCT
    "\u2210",  # N-ARY COPRODUCT
    "\u2211",  # N-ARY SUMMATION
    "\u2212",  # MINUS SIGN
    "\u2213",  # MINUS-OR-PLUS SIGN
    "\u2214",  # DOT PLUS
    "\u2215",  # DIVISION SLASH
    "\u2216",  # SET MINUS
    "\u2217",  # ASTERISK OPERATOR
    "\u2218",  # RING OPERATOR
    "\u2219",  # BULLET OPERATOR
    "\u221A",  # SQUARE ROOT
    "\u221B",  # CUBE ROOT
    "\u221C",  # FOURTH ROOT
    "\u221D",  # PROPORTIONAL TO
    "\u221E",  # INFINITY
    "\u221F",  # RIGHT ANGLE
    "\u2220",  # ANGLE
    "\u2221",  # MEASURED ANGLE
    "\u2222",  # SPHERICAL ANGLE
    "\u2223",  # DIVIDES
    "\u2224",  # DOES NOT DIVIDE
    "\u2225",  # PARALLEL TO
    "\u2226",  # NOT PARALLEL TO
    "\u2227",  # LOGICAL AND
    "\u2228",  # LOGICAL OR
    "\u2229",  # INTERSECTION
    "\u222A",  # UNION
    "\u222B",  # INTEGRAL
    "\u222C",  # DOUBLE INTEGRAL
    "\u222D",  # TRIPLE INTEGRAL
    "\u222E",  # CONTOUR INTEGRAL
    "\u222F",  # SURFACE INTEGRAL
    "\u2230",  # VOLUME INTEGRAL
    "\u2231",  # CLOCKWISE INTEGRAL
    "\u2232",  # CLOCKWISE CONTOUR INTEGRAL
    "\u2233",  # ANTICLOCKWISE CONTOUR INTEGRAL
    "\u2234",  # THEREFORE
    "\u2235",  # BECAUSE
    "\u2236",  # RATIO
    "\u2237",  # PROPORTION
    "\u2238",  # DOT MINUS
    "\u2239",  # EXCESS
    "\u223A",  # GEOMETRIC PROPORTION
    "\u223B",  # HOMOTHETIC
    "\u223C",  # TILDE OPERATOR
    "\u223D",  # REVERSED TILDE
    "\u223E",  # INVERTED LAZY S
    "\u223F",  # SINE WAVE
    "\u2240",  # WREATH PRODUCT
    "\u2241",  # NOT TILDE
    "\u2242",  # MINUS TILDE
    "\u2243",  # ASYMPTOTICALLY EQUAL TO
    "\u2244",  # NOT ASYMPTOTICALLY EQUAL TO
    "\u2245",  # APPROXIMATELY EQUAL TO
    "\u2246",  # APPROXIMATELY BUT NOT ACTUALLY EQUAL TO
    "\u2247",  # NEITHER APPROXIMATELY NOR ACTUALLY EQUAL TO
    "\u2248",  # ALMOST EQUAL TO
    "\u2249",  # NOT ALMOST EQUAL TO
    "\u224A",  # ALMOST EQUAL OR EQUAL TO
    "\u224B",  # TRIPLE TILDE
    "\u224C",  # ALL EQUAL TO
    "\u224D",  # EQUIVALENT TO
    "\u224E",  # GEOMETRICALLY EQUIVALENT TO
    "\u224F",  # DIFFERENCE BETWEEN
    "\u2250",  # APPROACHES THE LIMIT
    "\u2251",  # GEOMETRICALLY EQUAL TO
    "\u2252",  # APPROXIMATELY EQUAL TO OR THE IMAGE OF
    "\u2253",  # IMAGE OF OR APPROXIMATELY EQUAL TO
    "\u2254",  # COLON EQUALS
    "\u2255",  # EQUALS COLON
    "\u2256",  # RING IN EQUAL TO
    "\u2257",  # RING EQUAL TO
    "\u2258",  # CORRESPONDS TO
    "\u2259",  # ESTIMATES
    "\u225A",  # EQUIANGULAR TO
    "\u225B",  # STAR EQUALS
    "\u225C",  # DELTA EQUAL TO
    "\u225D",  # EQUAL TO BY DEFINITION
    "\u225E",  # MEASURED BY
    "\u225F",  # QUESTIONED EQUAL TO
    "\u2260",  # NOT EQUAL TO
    "\u2261",  # IDENTICAL TO
    "\u2262",  # NOT IDENTICAL TO
    "\u2263",  # STRICTLY EQUIVALENT TO
    "\u2264",  # LESS-THAN OR EQUAL TO
    "\u2265",  # GREATER-THAN OR EQUAL TO
    "\u2266",  # LESS-THAN OVER EQUAL TO
    "\u2267",  # GREATER-THAN OVER EQUAL TO
    "\u2268",  # LESS-THAN BUT NOT EQUAL TO
    "\u2269",  # GREATER-THAN BUT NOT EQUAL TO
    "\u226A",  # MUCH LESS-THAN
    "\u226B",  # MUCH GREATER-THAN
    "\u226C",  # BETWEEN
    "\u226D",  # NOT EQUIVALENT TO
    "\u226E",  # NOT LESS-THAN
    "\u226F",  # NOT GREATER-THAN
    "\u2270",  # NEITHER LESS-THAN NOR EQUAL TO
    "\u2271",  # NEITHER GREATER-THAN NOR EQUAL TO
    "\u2272",  # LESS-THAN OR EQUIVALENT TO
    "\u2273",  # GREATER-THAN OR EQUIVALENT TO
    "\u2274",  # NEITHER LESS-THAN NOR EQUIVALENT TO
    "\u2275",  # NEITHER GREATER-THAN NOR EQUIVALENT TO
    "\u2276",  # LESS-THAN OR GREATER-THAN
    "\u2277",  # GREATER-THAN OR LESS-THAN
    "\u2278",  # NEITHER LESS-THAN NOR GREATER-THAN
    "\u2279",  # NEITHER GREATER-THAN NOR LESS-THAN
    "\u227A",  # PRECEDES
    "\u227B",  # SUCCEEDS
    "\u227C",  # PRECEDES OR EQUAL TO
    "\u227D",  # SUCCEEDS OR EQUAL TO
    "\u227E",  # PRECEDES OR EQUIVALENT TO
    "\u227F",  # SUCCEEDS OR EQUIVALENT TO
    "\u2280",  # DOES NOT PRECEDE
    "\u2281",  # DOES NOT SUCCEED
    "\u2282",  # SUBSET OF
    "\u2283",  # SUPERSET OF
    "\u2284",  # NOT A SUBSET OF
    "\u2285",  # NOT A SUPERSET OF
    "\u2286",  # SUBSET OF OR EQUAL TO
    "\u2287",  # SUPERSET OF OR EQUAL TO
    "\u2288",  # NEITHER A SUBSET OF NOR EQUAL TO
    "\u2289",  # NEITHER A SUPERSET OF NOR EQUAL TO
    "\u228A",  # SUBSET OF WITH NOT EQUAL TO
    "\u228B",  # SUPERSET OF WITH NOT EQUAL TO
    "\u228C",  # MULTISET
    "\u228D",  # MULTISET MULTIPLICATION
    "\u228E",  # MULTISET UNION
    "\u228F",  # SQUARE IMAGE OF
    "\u2290",  # SQUARE ORIGINAL OF
    "\u2291",  # SQUARE IMAGE OF OR EQUAL TO
    "\u2292",  # SQUARE ORIGINAL OF OR EQUAL TO
    "\u2293",  # SQUARE CAP
    "\u2294",  # SQUARE CUP
    "\u2295",  # CIRCLED PLUS
    "\u2296",  # CIRCLED MINUS
    "\u2297",  # CIRCLED TIMES
    "\u2298",  # CIRCLED DIVISION SLASH
    "\u2299",  # CIRCLED DOT OPERATOR
    "\u229A",  # CIRCLED RING OPERATOR
    "\u229B",  # CIRCLED ASTERISK OPERATOR
    "\u229C",  # CIRCLED EQUALS
    "\u229D",  # CIRCLED DASH
    "\u229E",  # SQUARED PLUS
    "\u229F",  # SQUARED MINUS
    "\u22A0",  # SQUARED TIMES
    "\u22A1",  # SQUARED DOT OPERATOR
    "\u22A2",  # RIGHT TACK
    "\u22A3",  # LEFT TACK
    "\u22A4",  # DOWN TACK
    "\u22A5",  # UP TACK
    "\u22A6",  # ASSERTION
    "\u22A7",  # MODELS
    "\u22A8",  # TRUE
    "\u22A9",  # FORCES
    "\u22AA",  # TRIPLE VERTICAL BAR RIGHT TURNSTILE
    "\u22AB",  # DOUBLE VERTICAL BAR DOUBLE RIGHT TURNSTILE
    "\u22AC",  # DOES NOT PROVE
    "\u22AD",  # NOT TRUE
    "\u22AE",  # DOES NOT FORCE
    "\u22AF",  # NEGATED DOUBLE VERTICAL BAR DOUBLE RIGHT TURNSTILE
    "\u22B0",  # PRECEDES UNDER RELATION
    "\u22B1",  # SUCCEEDS UNDER RELATION
    "\u22B2",  # NORMAL SUBGROUP OF
    "\u22B3",  # CONTAINS AS NORMAL SUBGROUP
    "\u22B4",  # NORMAL SUBGROUP OF OR EQUAL TO
    "\u22B5",  # CONTAINS AS NORMAL SUBGROUP OR EQUAL TO
    "\u22B6",  # ORIGINAL OF
    "\u22B7",  # IMAGE OF
    "\u22B8",  # MULTIMAP
    "\u22B9",  # HERMITIAN CONJUGATE MATRIX
    "\u22BA",  # INTERCALATE
    "\u22BB",  # XOR
    "\u22BC",  # NAND
    "\u22BD",  # NOR
    "\u22BE",  # RIGHT ANGLE WITH ARC
    "\u22BF",  # RIGHT TRIANGLE
    "\u22C0",  # N-ARY LOGICAL AND
    "\u22C1",  # N-ARY LOGICAL OR
    "\u22C2",  # N-ARY INTERSECTION
    "\u22C3",  # N-ARY UNION
    "\u22C4",  # DIAMOND OPERATOR
    "\u22C5",  # DOT OPERATOR
    "\u22C6",  # STAR OPERATOR
    "\u22C7",  # DIVISION TIMES
    "\u22C8",  # BOWTIE
    "\u22C9",  # LEFT NORMAL FACTOR SEMIDIRECT PRODUCT
    "\u22CA",  # RIGHT NORMAL FACTOR SEMIDIRECT PRODUCT
    "\u22CB",  # LEFT SEMIDIRECT PRODUCT
    "\u22CC",  # RIGHT SEMIDIRECT PRODUCT
    "\u22CD",  # REVERSED TILDE EQUALS
    "\u22CE",  # CURLY LOGICAL OR
    "\u22CF",  # CURLY LOGICAL AND
    "\u22D0",  # DOUBLE SUBSET
    "\u22D1",  # DOUBLE SUPERSET
    "\u22D2",  # DOUBLE INTERSECTION
    "\u22D3",  # DOUBLE UNION
    "\u22D4",  # PITCHFORK
    "\u22D5",  # EQUAL AND PARALLEL TO
    "\u22D6",  # LESS-THAN WITH DOT
    "\u22D7",  # GREATER-THAN WITH DOT
    "\u22D8",  # VERY MUCH LESS-THAN
    "\u22D9",  # VERY MUCH GREATER-THAN
    "\u22DA",  # LESS-THAN EQUAL TO OR GREATER-THAN
    "\u22DB",  # GREATER-THAN EQUAL TO OR LESS-THAN
    "\u22DC",  # EQUAL TO OR LESS-THAN
    "\u22DD",  # EQUAL TO OR GREATER-THAN
    "\u22DE",  # EQUAL TO OR PRECEDES
    "\u22DF",  # EQUAL TO OR SUCCEEDS
    "\u22E0",  # DOES NOT PRECEDE OR EQUAL
    "\u22E1",  # DOES NOT SUCCEED OR EQUAL
    "\u22E2",  # NOT SQUARE IMAGE OF OR EQUAL TO
    "\u22E3",  # NOT SQUARE ORIGINAL OF OR EQUAL TO
    "\u22E4",  # SQUARE IMAGE OF OR NOT EQUAL TO
    "\u22E5",  # SQUARE ORIGINAL OF OR NOT EQUAL TO
    "\u22E6",  # LESS-THAN BUT NOT EQUIVALENT TO
    "\u22E7",  # GREATER-THAN BUT NOT EQUIVALENT TO
    "\u22E8",  # PRECEDES BUT NOT EQUIVALENT TO
    "\u22E9",  # SUCCEEDS BUT NOT EQUIVALENT TO
    "\u22EA",  # NOT NORMAL SUBGROUP OF
    "\u22EB",  # DOES NOT CONTAIN AS NORMAL SUBGROUP
    "\u22EC",  # NOT NORMAL SUBGROUP OF OR EQUAL TO
    "\u22ED",  # DOES NOT CONTAIN AS NORMAL SUBGROUP OR EQUAL
    "\u22EE",  # VERTICAL ELLIPSIS
    "\u22EF",  # MIDLINE HORIZONTAL ELLIPSIS
    "\u22F0",  # UP RIGHT DIAGONAL ELLIPSIS
    "\u22F1",  # DOWN RIGHT DIAGONAL ELLIPSIS
    "\u22F2",  # ELEMENT OF WITH LONG HORIZONTAL STROKE
    "\u22F3",  # ELEMENT OF WITH VERTICAL BAR AT END OF HORIZONTAL STROKE
    "\u22F4",  # SMALL ELEMENT OF WITH VERTICAL BAR AT END OF HORIZONTAL STROKE
    "\u22F5",  # ELEMENT OF WITH DOT ABOVE
    "\u22F6",  # ELEMENT OF WITH OVERBAR
    "\u22F7",  # SMALL ELEMENT OF WITH OVERBAR
    "\u22F8",  # ELEMENT OF WITH UNDERBAR
    "\u22F9",  # ELEMENT OF WITH TWO HORIZONTAL STROKES
    "\u22FA",  # CONTAINS WITH LONG HORIZONTAL STROKE
    "\u22FB",  # CONTAINS WITH VERTICAL BAR AT END OF HORIZONTAL STROKE
    "\u22FC",  # SMALL CONTAINS WITH VERTICAL BAR AT END OF HORIZONTAL STROKE
    "\u22FD",  # CONTAINS WITH OVERBAR
    "\u22FE",  # SMALL CONTAINS WITH OVERBAR
    "\u22FF",  # Z NOTATION BAG MEMBERSHIP
    "\u2300",  # DIAMETER SIGN
    "\u2301",  # ELECTRIC ARROW
    "\u2302",  # HOUSE
    "\u2303",  # UP ARROWHEAD
    "\u2304",  # DOWN ARROWHEAD
    "\u2305",  # PROJECTIVE
    "\u2306",  # PERSPECTIVE
    "\u2307",  # WAVY LINE
    "\u2308",  # LEFT CEILING
    "\u2309",  # RIGHT CEILING
    "\u230A",  # LEFT FLOOR
    "\u230B",  # RIGHT FLOOR
    "\u230C",  # BOTTOM RIGHT CROP
    "\u230D",  # BOTTOM LEFT CROP
    "\u230E",  # TOP RIGHT CROP
    "\u230F",  # TOP LEFT CROP
    "\u2310",  # REVERSED NOT SIGN
    "\u2311",  # SQUARE LOZENGE
    "\u2312",  # ARC
    "\u2313",  # SEGMENT
    "\u2314",  # SECTOR
    "\u2315",  # TELEPHONE RECORDER
    "\u2316",  # POSITION INDICATOR
    "\u2317",  # VIEWDATA SQUARE
    "\u2318",  # PLACE OF INTEREST SIGN
    "\u2319",  # TURNED NOT SIGN
    "\u231A",  # WATCH
    "\u231B",  # HOURGLASS
    "\u231C",  # TOP LEFT CORNER
    "\u231D",  # TOP RIGHT CORNER
    "\u231E",  # BOTTOM LEFT CORNER
    "\u231F",  # BOTTOM RIGHT CORNER
    "\u2320",  # TOP HALF INTEGRAL
    "\u2321",  # BOTTOM HALF INTEGRAL
    "\u2322",  # FROWN
    "\u2323",  # SMILE
    "\u2324",  # UP ARROWHEAD BETWEEN TWO HORIZONTAL BARS
    "\u2325",  # OPTION KEY
    "\u2326",  # ERASE TO THE RIGHT
    "\u2327",  # X IN A RECTANGLE BOX
    "\u2328",  # KEYBOARD
    "\u2329",  # LEFT-POINTING ANGLE BRACKET
    "\u232A",  # RIGHT-POINTING ANGLE BRACKET
    "\u232B",  # ERASE TO THE LEFT
    "\u232C",  # BENZENE RING
    "\u232D",  # CYLINDRICITY
    "\u232E",  # ALL AROUND-PROFILE
    "\u232F",  # SYMMETRY
    "\u2330",  # TOTAL RUNOUT
    "\u2331",  # DIMENSION ORIGIN
    "\u2332",  # CONICAL TAPER
    "\u2333",  # SLOPE
    "\u2334",  # COUNTERBORE
    "\u2335",  # COUNTERSINK
    "\u2336",  # APL FUNCTIONAL SYMBOL I-BEAM
    "\u2337",  # APL FUNCTIONAL SYMBOL SQUISH QUAD
    "\u2338",  # APL FUNCTIONAL SYMBOL QUAD EQUAL
    "\u2339",  # APL FUNCTIONAL SYMBOL QUAD DIVIDE
    "\u233A",  # APL FUNCTIONAL SYMBOL QUAD DIAMOND
    "\u233B",  # APL FUNCTIONAL SYMBOL QUAD JOT
    "\u233C",  # APL FUNCTIONAL SYMBOL QUAD CIRCLE
    "\u233D",  # APL FUNCTIONAL SYMBOL CIRCLE STILE
    "\u233E",  # APL FUNCTIONAL SYMBOL CIRCLE JOT
    "\u233F",  # APL FUNCTIONAL SYMBOL SLASH BAR
    "\u2340",  # APL FUNCTIONAL SYMBOL BACKSLASH BAR
    "\u2341",  # APL FUNCTIONAL SYMBOL QUAD SLASH
    "\u2342",  # APL FUNCTIONAL SYMBOL QUAD BACKSLASH
    "\u2343",  # APL FUNCTIONAL SYMBOL QUAD LESS-THAN
    "\u2344",  # APL FUNCTIONAL SYMBOL QUAD GREATER-THAN
    "\u2345",  # APL FUNCTIONAL SYMBOL LEFTWARDS VANE
    "\u2346",  # APL FUNCTIONAL SYMBOL RIGHTWARDS VANE
    "\u2347",  # APL FUNCTIONAL SYMBOL QUAD LEFTWARDS ARROW
    "\u2348",  # APL FUNCTIONAL SYMBOL QUAD RIGHTWARDS ARROW
    "\u2349",  # APL FUNCTIONAL SYMBOL CIRCLE BACKSLASH
    "\u234A",  # APL FUNCTIONAL SYMBOL DOWN TACK UNDERBAR
    "\u234B",  # APL FUNCTIONAL SYMBOL DELTA STILE
    "\u234C",  # APL FUNCTIONAL SYMBOL QUAD DOWN CARET
    "\u234D",  # APL FUNCTIONAL SYMBOL QUAD DELTA
    "\u234E",  # APL FUNCTIONAL SYMBOL DOWN TACK JOT
    "\u234F",  # APL FUNCTIONAL SYMBOL UPWARDS VANE
    "\u2350",  # APL FUNCTIONAL SYMBOL QUAD UPWARDS ARROW
    "\u2351",  # APL FUNCTIONAL SYMBOL UP TACK OVERBAR
    "\u2352",  # APL FUNCTIONAL SYMBOL DEL STILE
    "\u2353",  # APL FUNCTIONAL SYMBOL QUAD UP CARET
    "\u2354",  # APL FUNCTIONAL SYMBOL QUAD DEL
    "\u2355",  # APL FUNCTIONAL SYMBOL UP TACK JOT
    "\u2356",  # APL FUNCTIONAL SYMBOL DOWNWARDS VANE
    "\u2357",  # APL FUNCTIONAL SYMBOL QUAD DOWNWARDS ARROW
    "\u2358",  # APL FUNCTIONAL SYMBOL QUOTE UNDERBAR
    "\u2359",  # APL FUNCTIONAL SYMBOL DELTA UNDERBAR
    "\u235A",  # APL FUNCTIONAL SYMBOL DIAMOND UNDERBAR
    "\u235B",  # APL FUNCTIONAL SYMBOL JOT UNDERBAR
    "\u235C",  # APL FUNCTIONAL SYMBOL CIRCLE UNDERBAR
    "\u235D",  # APL FUNCTIONAL SYMBOL UP SHOE JOT
    "\u235E",  # APL FUNCTIONAL SYMBOL QUOTE QUAD
    "\u235F",  # APL FUNCTIONAL SYMBOL CIRCLE STAR
    "\u2360",  # APL FUNCTIONAL SYMBOL QUAD COLON
    "\u2361",  # APL FUNCTIONAL SYMBOL UP TACK DIAERESIS
    "\u2362",  # APL FUNCTIONAL SYMBOL DEL DIAERESIS
    "\u2363",  # APL FUNCTIONAL SYMBOL STAR DIAERESIS
    "\u2364",  # APL FUNCTIONAL SYMBOL JOT DIAERESIS
    "\u2365",  # APL FUNCTIONAL SYMBOL CIRCLE DIAERESIS
    "\u2366",  # APL FUNCTIONAL SYMBOL DOWN SHOE STILE
    "\u2367",  # APL FUNCTIONAL SYMBOL LEFT SHOE STILE
    "\u2368",  # APL FUNCTIONAL SYMBOL TILDE DIAERESIS
    "\u2369",  # APL FUNCTIONAL SYMBOL GREATER-THAN DIAERESIS
    "\u236A",  # APL FUNCTIONAL SYMBOL COMMA BAR
    "\u236B",  # APL FUNCTIONAL SYMBOL DEL TILDE
    "\u236C",  # APL FUNCTIONAL SYMBOL ZILDE
    "\u236D",  # APL FUNCTIONAL SYMBOL STILE TILDE
    "\u236E",  # APL FUNCTIONAL SYMBOL SEMICOLON UNDERBAR
    "\u236F",  # APL FUNCTIONAL SYMBOL QUAD NOT EQUAL
    "\u2370",  # APL FUNCTIONAL SYMBOL QUAD QUESTION
    "\u2371",  # APL FUNCTIONAL SYMBOL DOWN CARET TILDE
    "\u2372",  # APL FUNCTIONAL SYMBOL UP CARET TILDE
    "\u2373",  # APL FUNCTIONAL SYMBOL IOTA
    "\u2374",  # APL FUNCTIONAL SYMBOL RHO
    "\u2375",  # APL FUNCTIONAL SYMBOL OMEGA
    "\u2376",  # APL FUNCTIONAL SYMBOL ALPHA UNDERBAR
    "\u2377",  # APL FUNCTIONAL SYMBOL EPSILON UNDERBAR
    "\u2378",  # APL FUNCTIONAL SYMBOL IOTA UNDERBAR
    "\u2379",  # APL FUNCTIONAL SYMBOL OMEGA UNDERBAR
    "\u237A",  # APL FUNCTIONAL SYMBOL ALPHA
    "\u237B",  # NOT CHECK MARK
    "\u237C",  # RIGHT ANGLE WITH DOWNWARDS ZIGZAG ARROW
    "\u237D",  # SHOULDERED OPEN BOX
    "\u237E",  # BELL SYMBOL
    "\u237F",  # VERTICAL LINE WITH MIDDLE DOT
    "\u2380",  # INSERTION SYMBOL
    "\u2381",  # CONTINUOUS UNDERLINE SYMBOL
    "\u2382",  # DISCONTINUOUS UNDERLINE SYMBOL
    "\u2383",  # EMPHASIS SYMBOL
    "\u2384",  # COMPOSITION SYMBOL
    "\u2385",  # WHITE SQUARE WITH CENTRE VERTICAL LINE
    "\u2386",  # ENTER SYMBOL
    "\u2387",  # ALTERNATIVE KEY SYMBOL
    "\u2388",  # HELM SYMBOL
    "\u2389",  # CIRCLED HORIZONTAL BAR WITH NOTCH
    "\u238A",  # CIRCLED TRIANGLE DOWN
    "\u238B",  # BROKEN CIRCLE WITH NORTHWEST ARROW
    "\u238C",  # UNDO SYMBOL
    "\u238D",  # MONOSTABLE SYMBOL
    "\u238E",  # HYSTERESIS SYMBOL
    "\u238F",  # OPEN-CIRCUIT-OUTPUT H-TYPE SYMBOL
    "\u2390",  # OPEN-CIRCUIT-OUTPUT L-TYPE SYMBOL
    "\u2391",  # PASSIVE-PULL-DOWN-OUTPUT SYMBOL
    "\u2392",  # PASSIVE-PULL-UP-OUTPUT SYMBOL
    "\u2393",  # DIRECT CURRENT SYMBOL FORM TWO
    "\u2394",  # SOFTWARE-FUNCTION SYMBOL
    "\u2395",  # APL FUNCTIONAL SYMBOL QUAD
    "\u2396",  # DECIMAL SEPARATOR KEY SYMBOL
    "\u2397",  # PREVIOUS PAGE
    "\u2398",  # NEXT PAGE
    "\u2399",  # PRINT SCREEN SYMBOL
    "\u239A",  # CLEAR SCREEN SYMBOL
    "\u239B",  # LEFT PARENTHESIS UPPER HOOK
    "\u239C",  # LEFT PARENTHESIS EXTENSION
    "\u239D",  # LEFT PARENTHESIS LOWER HOOK
    "\u239E",  # RIGHT PARENTHESIS UPPER HOOK
    "\u239F",  # RIGHT PARENTHESIS EXTENSION
    "\u23A0",  # RIGHT PARENTHESIS LOWER HOOK
    "\u23A1",  # LEFT SQUARE BRACKET UPPER CORNER
    "\u23A2",  # LEFT SQUARE BRACKET EXTENSION
    "\u23A3",  # LEFT SQUARE BRACKET LOWER CORNER
    "\u23A4",  # RIGHT SQUARE BRACKET UPPER CORNER
    "\u23A5",  # RIGHT SQUARE BRACKET EXTENSION
    "\u23A6",  # RIGHT SQUARE BRACKET LOWER CORNER
    "\u23A7",  # LEFT CURLY BRACKET UPPER HOOK
    "\u23A8",  # LEFT CURLY BRACKET MIDDLE PIECE
    "\u23A9",  # LEFT CURLY BRACKET LOWER HOOK
    "\u23AA",  # CURLY BRACKET EXTENSION
    "\u23AB",  # RIGHT CURLY BRACKET UPPER HOOK
    "\u23AC",  # RIGHT CURLY BRACKET MIDDLE PIECE
    "\u23AD",  # RIGHT CURLY BRACKET LOWER HOOK
    "\u23AE",  # INTEGRAL EXTENSION
    "\u23AF",  # HORIZONTAL LINE EXTENSION
    "\u23B0",  # UPPER LEFT OR LOWER RIGHT CURLY BRACKET SECTION
    "\u23B1",  # UPPER RIGHT OR LOWER LEFT CURLY BRACKET SECTION
    "\u23B2",  # SUMMATION TOP
    "\u23B3",  # SUMMATION BOTTOM
    "\u23B4",  # TOP SQUARE BRACKET
    "\u23B5",  # BOTTOM SQUARE BRACKET
    "\u23B6",  # BOTTOM SQUARE BRACKET OVER TOP SQUARE BRACKET
    "\u23B7",  # RADICAL SYMBOL BOTTOM
    "\u23B8",  # LEFT VERTICAL BOX LINE
    "\u23B9",  # RIGHT VERTICAL BOX LINE
    "\u23BA",  # HORIZONTAL SCAN LINE-1
    "\u23BB",  # HORIZONTAL SCAN LINE-3
    "\u23BC",  # HORIZONTAL SCAN LINE-7
    "\u23BD",  # HORIZONTAL SCAN LINE-9
    "\u23BE",  # DENTISTRY SYMBOL LIGHT VERTICAL AND TOP RIGHT
    "\u23BF",  # DENTISTRY SYMBOL LIGHT VERTICAL AND BOTTOM RIGHT
    "\u23C0",  # DENTISTRY SYMBOL LIGHT VERTICAL WITH CIRCLE
    "\u23C1",  # DENTISTRY SYMBOL LIGHT DOWN AND HORIZONTAL WITH CIRCLE
    "\u23C2",  # DENTISTRY SYMBOL LIGHT UP AND HORIZONTAL WITH CIRCLE
    "\u23C3",  # DENTISTRY SYMBOL LIGHT VERTICAL WITH TRIANGLE
    "\u23C4",  # DENTISTRY SYMBOL LIGHT DOWN AND HORIZONTAL WITH TRIANGLE
    "\u23C5",  # DENTISTRY SYMBOL LIGHT UP AND HORIZONTAL WITH TRIANGLE
    "\u23C6",  # DENTISTRY SYMBOL LIGHT VERTICAL AND WAVE
    "\u23C7",  # DENTISTRY SYMBOL LIGHT DOWN AND HORIZONTAL WITH WAVE
    "\u23C8",  # DENTISTRY SYMBOL LIGHT UP AND HORIZONTAL WITH WAVE
    "\u23C9",  # DENTISTRY SYMBOL LIGHT DOWN AND HORIZONTAL
    "\u23CA",  # DENTISTRY SYMBOL LIGHT UP AND HORIZONTAL
    "\u23CB",  # DENTISTRY SYMBOL LIGHT VERTICAL AND TOP LEFT
    "\u23CC",  # DENTISTRY SYMBOL LIGHT VERTICAL AND BOTTOM LEFT
    "\u23CD",  # SQUARE FOOT
    "\u23CE",  # RETURN SYMBOL
    "\u23CF",  # EJECT SYMBOL
    "\u23D0",  # VERTICAL LINE EXTENSION
    "\u23D1",  # METRICAL BREVE
    "\u23D2",  # METRICAL LONG OVER SHORT
    "\u23D3",  # METRICAL SHORT OVER LONG
    "\u23D4",  # METRICAL LONG OVER TWO SHORTS
    "\u23D5",  # METRICAL TWO SHORTS OVER LONG
    "\u23D6",  # METRICAL TWO SHORTS JOINED
    "\u23D7",  # METRICAL TRISEME
    "\u23D8",  # METRICAL TETRASEME
    "\u23D9",  # METRICAL PENTASEME
    "\u23DA",  # EARTH GROUND
    "\u23DB",  # FUSE
    "\u23DC",  # TOP PARENTHESIS
    "\u23DD",  # BOTTOM PARENTHESIS
    "\u23DE",  # TOP CURLY BRACKET
    "\u23DF",  # BOTTOM CURLY BRACKET
    "\u23E0",  # TOP TORTOISE SHELL BRACKET
    "\u23E1",  # BOTTOM TORTOISE SHELL BRACKET
    "\u23E2",  # WHITE TRAPEZIUM
    "\u23E3",  # BENZENE RING WITH CIRCLE
    "\u23E4",  # STRAIGHTNESS
    "\u23E5",  # FLATNESS
    "\u23E6",  # AC CURRENT
    "\u23E7",  # ELECTRICAL INTERSECTION
    "\u23E8",  # DECIMAL EXPONENT SYMBOL
    "\u23E9",  # BLACK RIGHT-POINTING DOUBLE TRIANGLE
    "\u23EA",  # BLACK LEFT-POINTING DOUBLE TRIANGLE
    "\u23EB",  # BLACK UP-POINTING DOUBLE TRIANGLE
    "\u23EC",  # BLACK DOWN-POINTING DOUBLE TRIANGLE
    "\u23ED",  # BLACK RIGHT-POINTING DOUBLE TRIANGLE WITH VERTICAL BAR
    "\u23EE",  # BLACK LEFT-POINTING DOUBLE TRIANGLE WITH VERTICAL BAR
    "\u23EF",  # BLACK RIGHT-POINTING TRIANGLE WITH DOUBLE VERTICAL BAR
    "\u23F0",  # ALARM CLOCK
    "\u23F1",  # STOPWATCH
    "\u23F2",  # TIMER CLOCK
    "\u23F3",  # HOURGLASS WITH FLOWING SAND
    "\u23F4",  # BLACK MEDIUM LEFT-POINTING TRIANGLE
    "\u23F5",  # BLACK MEDIUM RIGHT-POINTING TRIANGLE
    "\u23F6",  # BLACK MEDIUM UP-POINTING TRIANGLE
    "\u23F7",  # BLACK MEDIUM DOWN-POINTING TRIANGLE
    "\u23F8",  # DOUBLE VERTICAL BAR
    "\u23F9",  # BLACK SQUARE FOR STOP
    "\u23FA",  # BLACK CIRCLE FOR RECORD
    "\u23FB",  # POWER SYMBOL
    "\u23FC",  # POWER ON-OFF SYMBOL
    "\u23FD",  # POWER ON SYMBOL
    "\u23FE",  # POWER SLEEP SYMBOL
    "\u23FF",  # OBSERVER EYE SYMBOL
    "\u2400",  # SYMBOL FOR NULL
    "\u2401",  # SYMBOL FOR START OF HEADING
    "\u2402",  # SYMBOL FOR START OF TEXT
    "\u2403",  # SYMBOL FOR END OF TEXT
    "\u2404",  # SYMBOL FOR END OF TRANSMISSION
    "\u2405",  # SYMBOL FOR ENQUIRY
    "\u2406",  # SYMBOL FOR ACKNOWLEDGE
    "\u2407",  # SYMBOL FOR BELL
    "\u2408",  # SYMBOL FOR BACKSPACE
    "\u2409",  # SYMBOL FOR HORIZONTAL TABULATION
    "\u240A",  # SYMBOL FOR LINE FEED
    "\u240B",  # SYMBOL FOR VERTICAL TABULATION
    "\u240C",  # SYMBOL FOR FORM FEED
    "\u240D",  # SYMBOL FOR CARRIAGE RETURN
    "\u240E",  # SYMBOL FOR SHIFT OUT
    "\u240F",  # SYMBOL FOR SHIFT IN
    "\u2410",  # SYMBOL FOR DATA LINK ESCAPE
    "\u2411",  # SYMBOL FOR DEVICE CONTROL ONE
    "\u2412",  # SYMBOL FOR DEVICE CONTROL TWO
    "\u2413",  # SYMBOL FOR DEVICE CONTROL THREE
    "\u2414",  # SYMBOL FOR DEVICE CONTROL FOUR
    "\u2415",  # SYMBOL FOR NEGATIVE ACKNOWLEDGE
    "\u2416",  # SYMBOL FOR SYNCHRONOUS IDLE
    "\u2417",  # SYMBOL FOR END OF TRANSMISSION BLOCK
    "\u2418",  # SYMBOL FOR CANCEL
    "\u2419",  # SYMBOL FOR END OF MEDIUM
    "\u241A",  # SYMBOL FOR SUBSTITUTE
    "\u241B",  # SYMBOL FOR ESCAPE
    "\u241C",  # SYMBOL FOR FILE SEPARATOR
    "\u241D",  # SYMBOL FOR GROUP SEPARATOR
    "\u241E",  # SYMBOL FOR RECORD SEPARATOR
    "\u241F",  # SYMBOL FOR UNIT SEPARATOR
    "\u2420",  # SYMBOL FOR SPACE
    "\u2421",  # SYMBOL FOR DELETE
    "\u2422",  # BLANK SYMBOL
    "\u2423",  # OPEN BOX
    "\u2424",  # SYMBOL FOR NEWLINE
    "\u2425",  # SYMBOL FOR DELETE FORM TWO
    "\u2426",  # SYMBOL FOR SUBSTITUTE FORM TWO
    "\u2440",  # OCR HOOK
    "\u2441",  # OCR CHAIR
    "\u2442",  # OCR FORK
    "\u2443",  # OCR INVERTED FORK
    "\u2444",  # OCR BELT BUCKLE
    "\u2445",  # OCR BOW TIE
    "\u2446",  # OCR BRANCH BANK IDENTIFICATION
    "\u2447",  # OCR AMOUNT OF CHECK
    "\u2448",  # OCR DASH
    "\u2449",  # OCR CUSTOMER ACCOUNT NUMBER
    "\u244A",  # OCR DOUBLE BACKSLASH
    "\u2460",  # CIRCLED DIGIT ONE
    "\u2461",  # CIRCLED DIGIT TWO
    "\u2462",  # CIRCLED DIGIT THREE
    "\u2463",  # CIRCLED DIGIT FOUR
    "\u2464",  # CIRCLED DIGIT FIVE
    "\u2465",  # CIRCLED DIGIT SIX
    "\u2466",  # CIRCLED DIGIT SEVEN
    "\u2467",  # CIRCLED DIGIT EIGHT
    "\u2468",  # CIRCLED DIGIT NINE
    "\u2469",  # CIRCLED NUMBER TEN
    "\u246A",  # CIRCLED NUMBER ELEVEN
    "\u246B",  # CIRCLED NUMBER TWELVE
    "\u246C",  # CIRCLED NUMBER THIRTEEN
    "\u246D",  # CIRCLED NUMBER FOURTEEN
    "\u246E",  # CIRCLED NUMBER FIFTEEN
    "\u246F",  # CIRCLED NUMBER SIXTEEN
    "\u2470",  # CIRCLED NUMBER SEVENTEEN
    "\u2471",  # CIRCLED NUMBER EIGHTEEN
    "\u2472",  # CIRCLED NUMBER NINETEEN
    "\u2473",  # CIRCLED NUMBER TWENTY
    "\u2474",  # PARENTHESIZED DIGIT ONE
    "\u2475",  # PARENTHESIZED DIGIT TWO
    "\u2476",  # PARENTHESIZED DIGIT THREE
    "\u2477",  # PARENTHESIZED DIGIT FOUR
    "\u2478",  # PARENTHESIZED DIGIT FIVE
    "\u2479",  # PARENTHESIZED DIGIT SIX
    "\u247A",  # PARENTHESIZED DIGIT SEVEN
    "\u247B",  # PARENTHESIZED DIGIT EIGHT
    "\u247C",  # PARENTHESIZED DIGIT NINE
    "\u247D",  # PARENTHESIZED NUMBER TEN
    "\u247E",  # PARENTHESIZED NUMBER ELEVEN
    "\u247F",  # PARENTHESIZED NUMBER TWELVE
    "\u2480",  # PARENTHESIZED NUMBER THIRTEEN
    "\u2481",  # PARENTHESIZED NUMBER FOURTEEN
    "\u2482",  # PARENTHESIZED NUMBER FIFTEEN
    "\u2483",  # PARENTHESIZED NUMBER SIXTEEN
    "\u2484",  # PARENTHESIZED NUMBER SEVENTEEN
    "\u2485",  # PARENTHESIZED NUMBER EIGHTEEN
    "\u2486",  # PARENTHESIZED NUMBER NINETEEN
    "\u2487",  # PARENTHESIZED NUMBER TWENTY
    "\u2488",  # DIGIT ONE FULL STOP
    "\u2489",  # DIGIT TWO FULL STOP
    "\u248A",  # DIGIT THREE FULL STOP
    "\u248B",  # DIGIT FOUR FULL STOP
    "\u248C",  # DIGIT FIVE FULL STOP
    "\u248D",  # DIGIT SIX FULL STOP
    "\u248E",  # DIGIT SEVEN FULL STOP
    "\u248F",  # DIGIT EIGHT FULL STOP
    "\u2490",  # DIGIT NINE FULL STOP
    "\u2491",  # NUMBER TEN FULL STOP
    "\u2492",  # NUMBER ELEVEN FULL STOP
    "\u2493",  # NUMBER TWELVE FULL STOP
    "\u2494",  # NUMBER THIRTEEN FULL STOP
    "\u2495",  # NUMBER FOURTEEN FULL STOP
    "\u2496",  # NUMBER FIFTEEN FULL STOP
    "\u2497",  # NUMBER SIXTEEN FULL STOP
    "\u2498",  # NUMBER SEVENTEEN FULL STOP
    "\u2499",  # NUMBER EIGHTEEN FULL STOP
    "\u249A",  # NUMBER NINETEEN FULL STOP
    "\u249B",  # NUMBER TWENTY FULL STOP
    "\u249C",  # PARENTHESIZED LATIN SMALL LETTER A
    "\u249D",  # PARENTHESIZED LATIN SMALL LETTER B
    "\u249E",  # PARENTHESIZED LATIN SMALL LETTER C
    "\u249F",  # PARENTHESIZED LATIN SMALL LETTER D
    "\u24A0",  # PARENTHESIZED LATIN SMALL LETTER E
    "\u24A1",  # PARENTHESIZED LATIN SMALL LETTER F
    "\u24A2",  # PARENTHESIZED LATIN SMALL LETTER G
    "\u24A3",  # PARENTHESIZED LATIN SMALL LETTER H
    "\u24A4",  # PARENTHESIZED LATIN SMALL LETTER I
    "\u24A5",  # PARENTHESIZED LATIN SMALL LETTER J
    "\u24A6",  # PARENTHESIZED LATIN SMALL LETTER K
    "\u24A7",  # PARENTHESIZED LATIN SMALL LETTER L
    "\u24A8",  # PARENTHESIZED LATIN SMALL LETTER M
    "\u24A9",  # PARENTHESIZED LATIN SMALL LETTER N
    "\u24AA",  # PARENTHESIZED LATIN SMALL LETTER O
    "\u24AB",  # PARENTHESIZED LATIN SMALL LETTER P
    "\u24AC",  # PARENTHESIZED LATIN SMALL LETTER Q
    "\u24AD",  # PARENTHESIZED LATIN SMALL LETTER R
    "\u24AE",  # PARENTHESIZED LATIN SMALL LETTER S
    "\u24AF",  # PARENTHESIZED LATIN SMALL LETTER T
    "\u24B0",  # PARENTHESIZED LATIN SMALL LETTER U
    "\u24B1",  # PARENTHESIZED LATIN SMALL LETTER V
    "\u24B2",  # PARENTHESIZED LATIN SMALL LETTER W
    "\u24B3",  # PARENTHESIZED LATIN SMALL LETTER X
    "\u24B4",  # PARENTHESIZED LATIN SMALL LETTER Y
    "\u24B5",  # PARENTHESIZED LATIN SMALL LETTER Z
    "\u24B6",  # CIRCLED LATIN CAPITAL LETTER A
    "\u24B7",  # CIRCLED LATIN CAPITAL LETTER B
    "\u24B8",  # CIRCLED LATIN CAPITAL LETTER C
    "\u24B9",  # CIRCLED LATIN CAPITAL LETTER D
    "\u24BA",  # CIRCLED LATIN CAPITAL LETTER E
    "\u24BB",  # CIRCLED LATIN CAPITAL LETTER F
    "\u24BC",  # CIRCLED LATIN CAPITAL LETTER G
    "\u24BD",  # CIRCLED LATIN CAPITAL LETTER H
    "\u24BE",  # CIRCLED LATIN CAPITAL LETTER I
    "\u24BF",  # CIRCLED LATIN CAPITAL LETTER J
    "\u24C0",  # CIRCLED LATIN CAPITAL LETTER K
    "\u24C1",  # CIRCLED LATIN CAPITAL LETTER L
    "\u24C2",  # CIRCLED LATIN CAPITAL LETTER M
    "\u24C3",  # CIRCLED LATIN CAPITAL LETTER N
    "\u24C4",  # CIRCLED LATIN CAPITAL LETTER O
    "\u24C5",  # CIRCLED LATIN CAPITAL LETTER P
    "\u24C6",  # CIRCLED LATIN CAPITAL LETTER Q
    "\u24C7",  # CIRCLED LATIN CAPITAL LETTER R
    "\u24C8",  # CIRCLED LATIN CAPITAL LETTER S
    "\u24C9",  # CIRCLED LATIN CAPITAL LETTER T
    "\u24CA",  # CIRCLED LATIN CAPITAL LETTER U
    "\u24CB",  # CIRCLED LATIN CAPITAL LETTER V
    "\u24CC",  # CIRCLED LATIN CAPITAL LETTER W
    "\u24CD",  # CIRCLED LATIN CAPITAL LETTER X
    "\u24CE",  # CIRCLED LATIN CAPITAL LETTER Y
    "\u24CF",  # CIRCLED LATIN CAPITAL LETTER Z
    "\u24D0",  # CIRCLED LATIN SMALL LETTER A
    "\u24D1",  # CIRCLED LATIN SMALL LETTER B
    "\u24D2",  # CIRCLED LATIN SMALL LETTER C
    "\u24D3",  # CIRCLED LATIN SMALL LETTER D
    "\u24D4",  # CIRCLED LATIN SMALL LETTER E
    "\u24D5",  # CIRCLED LATIN SMALL LETTER F
    "\u24D6",  # CIRCLED LATIN SMALL LETTER G
    "\u24D7",  # CIRCLED LATIN SMALL LETTER H
    "\u24D8",  # CIRCLED LATIN SMALL LETTER I
    "\u24D9",  # CIRCLED LATIN SMALL LETTER J
    "\u24DA",  # CIRCLED LATIN SMALL LETTER K
    "\u24DB",  # CIRCLED LATIN SMALL LETTER L
    "\u24DC",  # CIRCLED LATIN SMALL LETTER M
    "\u24DD",  # CIRCLED LATIN SMALL LETTER N
    "\u24DE",  # CIRCLED LATIN SMALL LETTER O
    "\u24DF",  # CIRCLED LATIN SMALL LETTER P
    "\u24E0",  # CIRCLED LATIN SMALL LETTER Q
    "\u24E1",  # CIRCLED LATIN SMALL LETTER R
    "\u24E2",  # CIRCLED LATIN SMALL LETTER S
    "\u24E3",  # CIRCLED LATIN SMALL LETTER T
    "\u24E4",  # CIRCLED LATIN SMALL LETTER U
    "\u24E5",  # CIRCLED LATIN SMALL LETTER V
    "\u24E6",  # CIRCLED LATIN SMALL LETTER W
    "\u24E7",  # CIRCLED LATIN SMALL LETTER X
    "\u24E8",  # CIRCLED LATIN SMALL LETTER Y
    "\u24E9",  # CIRCLED LATIN SMALL LETTER Z
    "\u24EA",  # CIRCLED DIGIT ZERO
    "\u24EB",  # NEGATIVE CIRCLED NUMBER ELEVEN
    "\u24EC",  # NEGATIVE CIRCLED NUMBER TWELVE
    "\u24ED",  # NEGATIVE CIRCLED NUMBER THIRTEEN
    "\u24EE",  # NEGATIVE CIRCLED NUMBER FOURTEEN
    "\u24EF",  # NEGATIVE CIRCLED NUMBER FIFTEEN
    "\u24F0",  # NEGATIVE CIRCLED NUMBER SIXTEEN
    "\u24F1",  # NEGATIVE CIRCLED NUMBER SEVENTEEN
    "\u24F2",  # NEGATIVE CIRCLED NUMBER EIGHTEEN
    "\u24F3",  # NEGATIVE CIRCLED NUMBER NINETEEN
    "\u24F4",  # NEGATIVE CIRCLED NUMBER TWENTY
    "\u24F5",  # DOUBLE CIRCLED DIGIT ONE
    "\u24F6",  # DOUBLE CIRCLED DIGIT TWO
    "\u24F7",  # DOUBLE CIRCLED DIGIT THREE
    "\u24F8",  # DOUBLE CIRCLED DIGIT FOUR
    "\u24F9",  # DOUBLE CIRCLED DIGIT FIVE
    "\u24FA",  # DOUBLE CIRCLED DIGIT SIX
    "\u24FB",  # DOUBLE CIRCLED DIGIT SEVEN
    "\u24FC",  # DOUBLE CIRCLED DIGIT EIGHT
    "\u24FD",  # DOUBLE CIRCLED DIGIT NINE
    "\u24FE",  # DOUBLE CIRCLED NUMBER TEN
    "\u24FF",  # NEGATIVE CIRCLED DIGIT ZERO
    "\u2500",  # BOX DRAWINGS LIGHT HORIZONTAL
    "\u2501",  # BOX DRAWINGS HEAVY HORIZONTAL
    "\u2502",  # BOX DRAWINGS LIGHT VERTICAL
    "\u2503",  # BOX DRAWINGS HEAVY VERTICAL
    "\u2504",  # BOX DRAWINGS LIGHT TRIPLE DASH HORIZONTAL
    "\u2505",  # BOX DRAWINGS HEAVY TRIPLE DASH HORIZONTAL
    "\u2506",  # BOX DRAWINGS LIGHT TRIPLE DASH VERTICAL
    "\u2507",  # BOX DRAWINGS HEAVY TRIPLE DASH VERTICAL
    "\u2508",  # BOX DRAWINGS LIGHT QUADRUPLE DASH HORIZONTAL
    "\u2509",  # BOX DRAWINGS HEAVY QUADRUPLE DASH HORIZONTAL
    "\u250A",  # BOX DRAWINGS LIGHT QUADRUPLE DASH VERTICAL
    "\u250B",  # BOX DRAWINGS HEAVY QUADRUPLE DASH VERTICAL
    "\u250C",  # BOX DRAWINGS LIGHT DOWN AND RIGHT
    "\u250D",  # BOX DRAWINGS DOWN LIGHT AND RIGHT HEAVY
    "\u250E",  # BOX DRAWINGS DOWN HEAVY AND RIGHT LIGHT
    "\u250F",  # BOX DRAWINGS HEAVY DOWN AND RIGHT
    "\u2510",  # BOX DRAWINGS LIGHT DOWN AND LEFT
    "\u2511",  # BOX DRAWINGS DOWN LIGHT AND LEFT HEAVY
    "\u2512",  # BOX DRAWINGS DOWN HEAVY AND LEFT LIGHT
    "\u2513",  # BOX DRAWINGS HEAVY DOWN AND LEFT
    "\u2514",  # BOX DRAWINGS LIGHT UP AND RIGHT
    "\u2515",  # BOX DRAWINGS UP LIGHT AND RIGHT HEAVY
    "\u2516",  # BOX DRAWINGS UP HEAVY AND RIGHT LIGHT
    "\u2517",  # BOX DRAWINGS HEAVY UP AND RIGHT
    "\u2518",  # BOX DRAWINGS LIGHT UP AND LEFT
    "\u2519",  # BOX DRAWINGS UP LIGHT AND LEFT HEAVY
    "\u251A",  # BOX DRAWINGS UP HEAVY AND LEFT LIGHT
    "\u251B",  # BOX DRAWINGS HEAVY UP AND LEFT
    "\u251C",  # BOX DRAWINGS LIGHT VERTICAL AND RIGHT
    "\u251D",  # BOX DRAWINGS VERTICAL LIGHT AND RIGHT HEAVY
    "\u251E",  # BOX DRAWINGS UP HEAVY AND RIGHT DOWN LIGHT
    "\u251F",  # BOX DRAWINGS DOWN HEAVY AND RIGHT UP LIGHT
    "\u2520",  # BOX DRAWINGS VERTICAL HEAVY AND RIGHT LIGHT
    "\u2521",  # BOX DRAWINGS DOWN LIGHT AND RIGHT UP HEAVY
    "\u2522",  # BOX DRAWINGS UP LIGHT AND RIGHT DOWN HEAVY
    "\u2523",  # BOX DRAWINGS HEAVY VERTICAL AND RIGHT
    "\u2524",  # BOX DRAWINGS LIGHT VERTICAL AND LEFT
    "\u2525",  # BOX DRAWINGS VERTICAL LIGHT AND LEFT HEAVY
    "\u2526",  # BOX DRAWINGS UP HEAVY AND LEFT DOWN LIGHT
    "\u2527",  # BOX DRAWINGS DOWN HEAVY AND LEFT UP LIGHT
    "\u2528",  # BOX DRAWINGS VERTICAL HEAVY AND LEFT LIGHT
    "\u2529",  # BOX DRAWINGS DOWN LIGHT AND LEFT UP HEAVY
    "\u252A",  # BOX DRAWINGS UP LIGHT AND LEFT DOWN HEAVY
    "\u252B",  # BOX DRAWINGS HEAVY VERTICAL AND LEFT
    "\u252C",  # BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
    "\u252D",  # BOX DRAWINGS LEFT HEAVY AND RIGHT DOWN LIGHT
    "\u252E",  # BOX DRAWINGS RIGHT HEAVY AND LEFT DOWN LIGHT
    "\u252F",  # BOX DRAWINGS DOWN LIGHT AND HORIZONTAL HEAVY
    "\u2530",  # BOX DRAWINGS DOWN HEAVY AND HORIZONTAL LIGHT
    "\u2531",  # BOX DRAWINGS RIGHT LIGHT AND LEFT DOWN HEAVY
    "\u2532",  # BOX DRAWINGS LEFT LIGHT AND RIGHT DOWN HEAVY
    "\u2533",  # BOX DRAWINGS HEAVY DOWN AND HORIZONTAL
    "\u2534",  # BOX DRAWINGS LIGHT UP AND HORIZONTAL
    "\u2535",  # BOX DRAWINGS LEFT HEAVY AND RIGHT UP LIGHT
    "\u2536",  # BOX DRAWINGS RIGHT HEAVY AND LEFT UP LIGHT
    "\u2537",  # BOX DRAWINGS UP LIGHT AND HORIZONTAL HEAVY
    "\u2538",  # BOX DRAWINGS UP HEAVY AND HORIZONTAL LIGHT
    "\u2539",  # BOX DRAWINGS RIGHT LIGHT AND LEFT UP HEAVY
    "\u253A",  # BOX DRAWINGS LEFT LIGHT AND RIGHT UP HEAVY
    "\u253B",  # BOX DRAWINGS HEAVY UP AND HORIZONTAL
    "\u253C",  # BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
    "\u253D",  # BOX DRAWINGS LEFT HEAVY AND RIGHT VERTICAL LIGHT
    "\u253E",  # BOX DRAWINGS RIGHT HEAVY AND LEFT VERTICAL LIGHT
    "\u253F",  # BOX DRAWINGS VERTICAL LIGHT AND HORIZONTAL HEAVY
    "\u2540",  # BOX DRAWINGS UP HEAVY AND DOWN HORIZONTAL LIGHT
    "\u2541",  # BOX DRAWINGS DOWN HEAVY AND UP HORIZONTAL LIGHT
    "\u2542",  # BOX DRAWINGS VERTICAL HEAVY AND HORIZONTAL LIGHT
    "\u2543",  # BOX DRAWINGS LEFT UP HEAVY AND RIGHT DOWN LIGHT
    "\u2544",  # BOX DRAWINGS RIGHT UP HEAVY AND LEFT DOWN LIGHT
    "\u2545",  # BOX DRAWINGS LEFT DOWN HEAVY AND RIGHT UP LIGHT
    "\u2546",  # BOX DRAWINGS RIGHT DOWN HEAVY AND LEFT UP LIGHT
    "\u2547",  # BOX DRAWINGS DOWN LIGHT AND UP HORIZONTAL HEAVY
    "\u2548",  # BOX DRAWINGS UP LIGHT AND DOWN HORIZONTAL HEAVY
    "\u2549",  # BOX DRAWINGS RIGHT LIGHT AND LEFT VERTICAL HEAVY
    "\u254A",  # BOX DRAWINGS LEFT LIGHT AND RIGHT VERTICAL HEAVY
    "\u254B",  # BOX DRAWINGS HEAVY VERTICAL AND HORIZONTAL
    "\u254C",  # BOX DRAWINGS LIGHT DOUBLE DASH HORIZONTAL
    "\u254D",  # BOX DRAWINGS HEAVY DOUBLE DASH HORIZONTAL
    "\u254E",  # BOX DRAWINGS LIGHT DOUBLE DASH VERTICAL
    "\u254F",  # BOX DRAWINGS HEAVY DOUBLE DASH VERTICAL
    "\u2550",  # BOX DRAWINGS DOUBLE HORIZONTAL
    "\u2551",  # BOX DRAWINGS DOUBLE VERTICAL
    "\u2552",  # BOX DRAWINGS DOWN SINGLE AND RIGHT DOUBLE
    "\u2553",  # BOX DRAWINGS DOWN DOUBLE AND RIGHT SINGLE
    "\u2554",  # BOX DRAWINGS DOUBLE DOWN AND RIGHT
    "\u2555",  # BOX DRAWINGS DOWN SINGLE AND LEFT DOUBLE
    "\u2556",  # BOX DRAWINGS DOWN DOUBLE AND LEFT SINGLE
    "\u2557",  # BOX DRAWINGS DOUBLE DOWN AND LEFT
    "\u2558",  # BOX DRAWINGS UP SINGLE AND RIGHT DOUBLE
    "\u2559",  # BOX DRAWINGS UP DOUBLE AND RIGHT SINGLE
    "\u255A",  # BOX DRAWINGS DOUBLE UP AND RIGHT
    "\u255B",  # BOX DRAWINGS UP SINGLE AND LEFT DOUBLE
    "\u255C",  # BOX DRAWINGS UP DOUBLE AND LEFT SINGLE
    "\u255D",  # BOX DRAWINGS DOUBLE UP AND LEFT
    "\u255E",  # BOX DRAWINGS VERTICAL SINGLE AND RIGHT DOUBLE
    "\u255F",  # BOX DRAWINGS VERTICAL DOUBLE AND RIGHT SINGLE
    "\u2560",  # BOX DRAWINGS DOUBLE VERTICAL AND RIGHT
    "\u2561",  # BOX DRAWINGS VERTICAL SINGLE AND LEFT DOUBLE
    "\u2562",  # BOX DRAWINGS VERTICAL DOUBLE AND LEFT SINGLE
    "\u2563",  # BOX DRAWINGS DOUBLE VERTICAL AND LEFT
    "\u2564",  # BOX DRAWINGS DOWN SINGLE AND HORIZONTAL DOUBLE
    "\u2565",  # BOX DRAWINGS DOWN DOUBLE AND HORIZONTAL SINGLE
    "\u2566",  # BOX DRAWINGS DOUBLE DOWN AND HORIZONTAL
    "\u2567",  # BOX DRAWINGS UP SINGLE AND HORIZONTAL DOUBLE
    "\u2568",  # BOX DRAWINGS UP DOUBLE AND HORIZONTAL SINGLE
    "\u2569",  # BOX DRAWINGS DOUBLE UP AND HORIZONTAL
    "\u256A",  # BOX DRAWINGS VERTICAL SINGLE AND HORIZONTAL DOUBLE
    "\u256B",  # BOX DRAWINGS VERTICAL DOUBLE AND HORIZONTAL SINGLE
    "\u256C",  # BOX DRAWINGS DOUBLE VERTICAL AND HORIZONTAL
    "\u256D",  # BOX DRAWINGS LIGHT ARC DOWN AND RIGHT
    "\u256E",  # BOX DRAWINGS LIGHT ARC DOWN AND LEFT
    "\u256F",  # BOX DRAWINGS LIGHT ARC UP AND LEFT
    "\u2570",  # BOX DRAWINGS LIGHT ARC UP AND RIGHT
    "\u2571",  # BOX DRAWINGS LIGHT DIAGONAL UPPER RIGHT TO LOWER LEFT
    "\u2572",  # BOX DRAWINGS LIGHT DIAGONAL UPPER LEFT TO LOWER RIGHT
    "\u2573",  # BOX DRAWINGS LIGHT DIAGONAL CROSS
    "\u2574",  # BOX DRAWINGS LIGHT LEFT
    "\u2575",  # BOX DRAWINGS LIGHT UP
    "\u2576",  # BOX DRAWINGS LIGHT RIGHT
    "\u2577",  # BOX DRAWINGS LIGHT DOWN
    "\u2578",  # BOX DRAWINGS HEAVY LEFT
    "\u2579",  # BOX DRAWINGS HEAVY UP
    "\u257A",  # BOX DRAWINGS HEAVY RIGHT
    "\u257B",  # BOX DRAWINGS HEAVY DOWN
    "\u257C",  # BOX DRAWINGS LIGHT LEFT AND HEAVY RIGHT
    "\u257D",  # BOX DRAWINGS LIGHT UP AND HEAVY DOWN
    "\u257E",  # BOX DRAWINGS HEAVY LEFT AND LIGHT RIGHT
    "\u257F",  # BOX DRAWINGS HEAVY UP AND LIGHT DOWN
    "\u2580",  # UPPER HALF BLOCK
    "\u2581",  # LOWER ONE EIGHTH BLOCK
    "\u2582",  # LOWER ONE QUARTER BLOCK
    "\u2583",  # LOWER THREE EIGHTHS BLOCK
    "\u2584",  # LOWER HALF BLOCK
    "\u2585",  # LOWER FIVE EIGHTHS BLOCK
    "\u2586",  # LOWER THREE QUARTERS BLOCK
    "\u2587",  # LOWER SEVEN EIGHTHS BLOCK
    "\u2588",  # FULL BLOCK
    "\u2589",  # LEFT SEVEN EIGHTHS BLOCK
    "\u258A",  # LEFT THREE QUARTERS BLOCK
    "\u258B",  # LEFT FIVE EIGHTHS BLOCK
    "\u258C",  # LEFT HALF BLOCK
    "\u258D",  # LEFT THREE EIGHTHS BLOCK
    "\u258E",  # LEFT ONE QUARTER BLOCK
    "\u258F",  # LEFT ONE EIGHTH BLOCK
    "\u2590",  # RIGHT HALF BLOCK
    "\u2591",  # LIGHT SHADE
    "\u2592",  # MEDIUM SHADE
    "\u2593",  # DARK SHADE
    "\u2594",  # UPPER ONE EIGHTH BLOCK
    "\u2595",  # RIGHT ONE EIGHTH BLOCK
    "\u2596",  # QUADRANT LOWER LEFT
    "\u2597",  # QUADRANT LOWER RIGHT
    "\u2598",  # QUADRANT UPPER LEFT
    "\u2599",  # QUADRANT UPPER LEFT AND LOWER LEFT AND LOWER RIGHT
    "\u259A",  # QUADRANT UPPER LEFT AND LOWER RIGHT
    "\u259B",  # QUADRANT UPPER LEFT AND UPPER RIGHT AND LOWER LEFT
    "\u259C",  # QUADRANT UPPER LEFT AND UPPER RIGHT AND LOWER RIGHT
    "\u259D",  # QUADRANT UPPER RIGHT
    "\u259E",  # QUADRANT UPPER RIGHT AND LOWER LEFT
    "\u259F",  # QUADRANT UPPER RIGHT AND LOWER LEFT AND LOWER RIGHT
    "\u25A0",  # BLACK SQUARE
    "\u25A1",  # WHITE SQUARE
    "\u25A2",  # WHITE SQUARE WITH ROUNDED CORNERS
    "\u25A3",  # WHITE SQUARE CONTAINING BLACK SMALL SQUARE
    "\u25A4",  # SQUARE WITH HORIZONTAL FILL
    "\u25A5",  # SQUARE WITH VERTICAL FILL
    "\u25A6",  # SQUARE WITH ORTHOGONAL CROSSHATCH FILL
    "\u25A7",  # SQUARE WITH UPPER LEFT TO LOWER RIGHT FILL
    "\u25A8",  # SQUARE WITH UPPER RIGHT TO LOWER LEFT FILL
    "\u25A9",  # SQUARE WITH DIAGONAL CROSSHATCH FILL
    "\u25AA",  # BLACK SMALL SQUARE
    "\u25AB",  # WHITE SMALL SQUARE
    "\u25AC",  # BLACK RECTANGLE
    "\u25AD",  # WHITE RECTANGLE
    "\u25AE",  # BLACK VERTICAL RECTANGLE
    "\u25AF",  # WHITE VERTICAL RECTANGLE
    "\u25B0",  # BLACK PARALLELOGRAM
    "\u25B1",  # WHITE PARALLELOGRAM
    "\u25B2",  # BLACK UP-POINTING TRIANGLE
    "\u25B3",  # WHITE UP-POINTING TRIANGLE
    "\u25B4",  # BLACK UP-POINTING SMALL TRIANGLE
    "\u25B5",  # WHITE UP-POINTING SMALL TRIANGLE
    "\u25B6",  # BLACK RIGHT-POINTING TRIANGLE
    "\u25B7",  # WHITE RIGHT-POINTING TRIANGLE
    "\u25B8",  # BLACK RIGHT-POINTING SMALL TRIANGLE
    "\u25B9",  # WHITE RIGHT-POINTING SMALL TRIANGLE
    "\u25BA",  # BLACK RIGHT-POINTING POINTER
    "\u25BB",  # WHITE RIGHT-POINTING POINTER
    "\u25BC",  # BLACK DOWN-POINTING TRIANGLE
    "\u25BD",  # WHITE DOWN-POINTING TRIANGLE
    "\u25BE",  # BLACK DOWN-POINTING SMALL TRIANGLE
    "\u25BF",  # WHITE DOWN-POINTING SMALL TRIANGLE
    "\u25C0",  # BLACK LEFT-POINTING TRIANGLE
    "\u25C1",  # WHITE LEFT-POINTING TRIANGLE
    "\u25C2",  # BLACK LEFT-POINTING SMALL TRIANGLE
    "\u25C3",  # WHITE LEFT-POINTING SMALL TRIANGLE
    "\u25C4",  # BLACK LEFT-POINTING POINTER
    "\u25C5",  # WHITE LEFT-POINTING POINTER
    "\u25C6",  # BLACK DIAMOND
    "\u25C7",  # WHITE DIAMOND
    "\u25C8",  # WHITE DIAMOND CONTAINING BLACK SMALL DIAMOND
    "\u25C9",  # FISHEYE
    "\u25CA",  # LOZENGE
    "\u25CB",  # WHITE CIRCLE
    "\u25CC",  # DOTTED CIRCLE
    "\u25CD",  # CIRCLE WITH VERTICAL FILL
    "\u25CE",  # BULLSEYE
    "\u25CF",  # BLACK CIRCLE
    "\u25D0",  # CIRCLE WITH LEFT HALF BLACK
    "\u25D1",  # CIRCLE WITH RIGHT HALF BLACK
    "\u25D2",  # CIRCLE WITH LOWER HALF BLACK
    "\u25D3",  # CIRCLE WITH UPPER HALF BLACK
    "\u25D4",  # CIRCLE WITH UPPER RIGHT QUADRANT BLACK
    "\u25D5",  # CIRCLE WITH ALL BUT UPPER LEFT QUADRANT BLACK
    "\u25D6",  # LEFT HALF BLACK CIRCLE
    "\u25D7",  # RIGHT HALF BLACK CIRCLE
    "\u25D8",  # INVERSE BULLET
    "\u25D9",  # INVERSE WHITE CIRCLE
    "\u25DA",  # UPPER HALF INVERSE WHITE CIRCLE
    "\u25DB",  # LOWER HALF INVERSE WHITE CIRCLE
    "\u25DC",  # UPPER LEFT QUADRANT CIRCULAR ARC
    "\u25DD",  # UPPER RIGHT QUADRANT CIRCULAR ARC
    "\u25DE",  # LOWER RIGHT QUADRANT CIRCULAR ARC
    "\u25DF",  # LOWER LEFT QUADRANT CIRCULAR ARC
    "\u25E0",  # UPPER HALF CIRCLE
    "\u25E1",  # LOWER HALF CIRCLE
    "\u25E2",  # BLACK LOWER RIGHT TRIANGLE
    "\u25E3",  # BLACK LOWER LEFT TRIANGLE
    "\u25E4",  # BLACK UPPER LEFT TRIANGLE
    "\u25E5",  # BLACK UPPER RIGHT TRIANGLE
    "\u25E6",  # WHITE BULLET
    "\u25E7",  # SQUARE WITH LEFT HALF BLACK
    "\u25E8",  # SQUARE WITH RIGHT HALF BLACK
    "\u25E9",  # SQUARE WITH UPPER LEFT DIAGONAL HALF BLACK
    "\u25EA",  # SQUARE WITH LOWER RIGHT DIAGONAL HALF BLACK
    "\u25EB",  # WHITE SQUARE WITH VERTICAL BISECTING LINE
    "\u25EC",  # WHITE UP-POINTING TRIANGLE WITH DOT
    "\u25ED",  # UP-POINTING TRIANGLE WITH LEFT HALF BLACK
    "\u25EE",  # UP-POINTING TRIANGLE WITH RIGHT HALF BLACK
    "\u25EF",  # LARGE CIRCLE
    "\u25F0",  # WHITE SQUARE WITH UPPER LEFT QUADRANT
    "\u25F1",  # WHITE SQUARE WITH LOWER LEFT QUADRANT
    "\u25F2",  # WHITE SQUARE WITH LOWER RIGHT QUADRANT
    "\u25F3",  # WHITE SQUARE WITH UPPER RIGHT QUADRANT
    "\u25F4",  # WHITE CIRCLE WITH UPPER LEFT QUADRANT
    "\u25F5",  # WHITE CIRCLE WITH LOWER LEFT QUADRANT
    "\u25F6",  # WHITE CIRCLE WITH LOWER RIGHT QUADRANT
    "\u25F7",  # WHITE CIRCLE WITH UPPER RIGHT QUADRANT
    "\u25F8",  # UPPER LEFT TRIANGLE
    "\u25F9",  # UPPER RIGHT TRIANGLE
    "\u25FA",  # LOWER LEFT TRIANGLE
    "\u25FB",  # WHITE MEDIUM SQUARE
    "\u25FC",  # BLACK MEDIUM SQUARE
    "\u25FD",  # WHITE MEDIUM SMALL SQUARE
    "\u25FE",  # BLACK MEDIUM SMALL SQUARE
    "\u25FF",  # LOWER RIGHT TRIANGLE
    "\u2600",  # BLACK SUN WITH RAYS
    "\u2601",  # CLOUD
    "\u2602",  # UMBRELLA
    "\u2603",  # SNOWMAN
    "\u2604",  # COMET
    "\u2605",  # BLACK STAR
    "\u2606",  # WHITE STAR
    "\u2607",  # LIGHTNING
    "\u2608",  # THUNDERSTORM
    "\u2609",  # SUN
    "\u260A",  # ASCENDING NODE
    "\u260B",  # DESCENDING NODE
    "\u260C",  # CONJUNCTION
    "\u260D",  # OPPOSITION
    "\u260E",  # BLACK TELEPHONE
    "\u260F",  # WHITE TELEPHONE
    "\u2610",  # BALLOT BOX
    "\u2611",  # BALLOT BOX WITH CHECK
    "\u2612",  # BALLOT BOX WITH X
    "\u2613",  # SALTIRE
    "\u2614",  # UMBRELLA WITH RAIN DROPS
    "\u2615",  # HOT BEVERAGE
    "\u2616",  # WHITE SHOGI PIECE
    "\u2617",  # BLACK SHOGI PIECE
    "\u2618",  # SHAMROCK
    "\u2619",  # REVERSED ROTATED FLORAL HEART BULLET
    "\u261A",  # BLACK LEFT POINTING INDEX
    "\u261B",  # BLACK RIGHT POINTING INDEX
    "\u261C",  # WHITE LEFT POINTING INDEX
    "\u261D",  # WHITE UP POINTING INDEX
    "\u261E",  # WHITE RIGHT POINTING INDEX
    "\u261F",  # WHITE DOWN POINTING INDEX
    "\u2620",  # SKULL AND CROSSBONES
    "\u2621",  # CAUTION SIGN
    "\u2622",  # RADIOACTIVE SIGN
    "\u2623",  # BIOHAZARD SIGN
    "\u2624",  # CADUCEUS
    "\u2625",  # ANKH
    "\u2626",  # ORTHODOX CROSS
    "\u2627",  # CHI RHO
    "\u2628",  # CROSS OF LORRAINE
    "\u2629",  # CROSS OF JERUSALEM
    "\u262A",  # STAR AND CRESCENT
    "\u262B",  # FARSI SYMBOL
    "\u262C",  # ADI SHAKTI
    "\u262D",  # HAMMER AND SICKLE
    "\u262E",  # PEACE SYMBOL
    "\u262F",  # YIN YANG
    "\u2630",  # TRIGRAM FOR HEAVEN
    "\u2631",  # TRIGRAM FOR LAKE
    "\u2632",  # TRIGRAM FOR FIRE
    "\u2633",  # TRIGRAM FOR THUNDER
    "\u2634",  # TRIGRAM FOR WIND
    "\u2635",  # TRIGRAM FOR WATER
    "\u2636",  # TRIGRAM FOR MOUNTAIN
    "\u2637",  # TRIGRAM FOR EARTH
    "\u2638",  # WHEEL OF DHARMA
    "\u2639",  # WHITE FROWNING FACE
    "\u263A",  # WHITE SMILING FACE
    "\u263B",  # BLACK SMILING FACE
    "\u263C",  # WHITE SUN WITH RAYS
    "\u263D",  # FIRST QUARTER MOON
    "\u263E",  # LAST QUARTER MOON
    "\u263F",  # MERCURY
    "\u2640",  # FEMALE SIGN
    "\u2641",  # EARTH
    "\u2642",  # MALE SIGN
    "\u2643",  # JUPITER
    "\u2644",  # SATURN
    "\u2645",  # URANUS
    "\u2646",  # NEPTUNE
    "\u2647",  # PLUTO
    "\u2648",  # ARIES
    "\u2649",  # TAURUS
    "\u264A",  # GEMINI
    "\u264B",  # CANCER
    "\u264C",  # LEO
    "\u264D",  # VIRGO
    "\u264E",  # LIBRA
    "\u264F",  # SCORPIUS
    "\u2650",  # SAGITTARIUS
    "\u2651",  # CAPRICORN
    "\u2652",  # AQUARIUS
    "\u2653",  # PISCES
    "\u2654",  # WHITE CHESS KING
    "\u2655",  # WHITE CHESS QUEEN
    "\u2656",  # WHITE CHESS ROOK
    "\u2657",  # WHITE CHESS BISHOP
    "\u2658",  # WHITE CHESS KNIGHT
    "\u2659",  # WHITE CHESS PAWN
    "\u265A",  # BLACK CHESS KING
    "\u265B",  # BLACK CHESS QUEEN
    "\u265C",  # BLACK CHESS ROOK
    "\u265D",  # BLACK CHESS BISHOP
    "\u265E",  # BLACK CHESS KNIGHT
    "\u265F",  # BLACK CHESS PAWN
    "\u2660",  # BLACK SPADE SUIT
    "\u2661",  # WHITE HEART SUIT
    "\u2662",  # WHITE DIAMOND SUIT
    "\u2663",  # BLACK CLUB SUIT
    "\u2664",  # WHITE SPADE SUIT
    "\u2665",  # BLACK HEART SUIT
    "\u2666",  # BLACK DIAMOND SUIT
    "\u2667",  # WHITE CLUB SUIT
    "\u2668",  # HOT SPRINGS
    "\u2669",  # QUARTER NOTE
    "\u266A",  # EIGHTH NOTE
    "\u266B",  # BEAMED EIGHTH NOTES
    "\u266C",  # BEAMED SIXTEENTH NOTES
    "\u266D",  # MUSIC FLAT SIGN
    "\u266E",  # MUSIC NATURAL SIGN
    "\u266F",  # MUSIC SHARP SIGN
    "\u2670",  # WEST SYRIAC CROSS
    "\u2671",  # EAST SYRIAC CROSS
    "\u2672",  # UNIVERSAL RECYCLING SYMBOL
    "\u2673",  # RECYCLING SYMBOL FOR TYPE-1 PLASTICS
    "\u2674",  # RECYCLING SYMBOL FOR TYPE-2 PLASTICS
    "\u2675",  # RECYCLING SYMBOL FOR TYPE-3 PLASTICS
    "\u2676",  # RECYCLING SYMBOL FOR TYPE-4 PLASTICS
    "\u2677",  # RECYCLING SYMBOL FOR TYPE-5 PLASTICS
    "\u2678",  # RECYCLING SYMBOL FOR TYPE-6 PLASTICS
    "\u2679",  # RECYCLING SYMBOL FOR TYPE-7 PLASTICS
    "\u267A",  # RECYCLING SYMBOL FOR GENERIC MATERIALS
    "\u267B",  # BLACK UNIVERSAL RECYCLING SYMBOL
    "\u267C",  # RECYCLED PAPER SYMBOL
    "\u267D",  # PARTIALLY-RECYCLED PAPER SYMBOL
    "\u267E",  # PERMANENT PAPER SIGN
    "\u267F",  # WHEELCHAIR SYMBOL
    "\u2680",  # DIE FACE-1
    "\u2681",  # DIE FACE-2
    "\u2682",  # DIE FACE-3
    "\u2683",  # DIE FACE-4
    "\u2684",  # DIE FACE-5
    "\u2685",  # DIE FACE-6
    "\u2686",  # WHITE CIRCLE WITH DOT RIGHT
    "\u2687",  # WHITE CIRCLE WITH TWO DOTS
    "\u2688",  # BLACK CIRCLE WITH WHITE DOT RIGHT
    "\u2689",  # BLACK CIRCLE WITH TWO WHITE DOTS
    "\u268A",  # MONOGRAM FOR YANG
    "\u268B",  # MONOGRAM FOR YIN
    "\u268C",  # DIGRAM FOR GREATER YANG
    "\u268D",  # DIGRAM FOR LESSER YIN
    "\u268E",  # DIGRAM FOR LESSER YANG
    "\u268F",  # DIGRAM FOR GREATER YIN
    "\u2690",  # WHITE FLAG
    "\u2691",  # BLACK FLAG
    "\u2692",  # HAMMER AND PICK
    "\u2693",  # ANCHOR
    "\u2694",  # CROSSED SWORDS
    "\u2695",  # STAFF OF AESCULAPIUS
    "\u2696",  # SCALES
    "\u2697",  # ALEMBIC
    "\u2698",  # FLOWER
    "\u2699",  # GEAR
    "\u269A",  # STAFF OF HERMES
    "\u269B",  # ATOM SYMBOL
    "\u269C",  # FLEUR-DE-LIS
    "\u269D",  # OUTLINED WHITE STAR
    "\u269E",  # THREE LINES CONVERGING RIGHT
    "\u269F",  # THREE LINES CONVERGING LEFT
    "\u26A0",  # WARNING SIGN
    "\u26A1",  # HIGH VOLTAGE SIGN
    "\u26A2",  # DOUBLED FEMALE SIGN
    "\u26A3",  # DOUBLED MALE SIGN
    "\u26A4",  # INTERLOCKED FEMALE AND MALE SIGN
    "\u26A5",  # MALE AND FEMALE SIGN
    "\u26A6",  # MALE WITH STROKE SIGN
    "\u26A7",  # MALE WITH STROKE AND MALE AND FEMALE SIGN
    "\u26A8",  # VERTICAL MALE WITH STROKE SIGN
    "\u26A9",  # HORIZONTAL MALE WITH STROKE SIGN
    "\u26AA",  # MEDIUM WHITE CIRCLE
    "\u26AB",  # MEDIUM BLACK CIRCLE
    "\u26AC",  # MEDIUM SMALL WHITE CIRCLE
    "\u26AD",  # MARRIAGE SYMBOL
    "\u26AE",  # DIVORCE SYMBOL
    "\u26AF",  # UNMARRIED PARTNERSHIP SYMBOL
    "\u26B0",  # COFFIN
    "\u26B1",  # FUNERAL URN
    "\u26B2",  # NEUTER
    "\u26B3",  # CERES
    "\u26B4",  # PALLAS
    "\u26B5",  # JUNO
    "\u26B6",  # VESTA
    "\u26B7",  # CHIRON
    "\u26B8",  # BLACK MOON LILITH
    "\u26B9",  # SEXTILE
    "\u26BA",  # SEMISEXTILE
    "\u26BB",  # QUINCUNX
    "\u26BC",  # SESQUIQUADRATE
    "\u26BD",  # SOCCER BALL
    "\u26BE",  # BASEBALL
    "\u26BF",  # SQUARED KEY
    "\u26C0",  # WHITE DRAUGHTS MAN
    "\u26C1",  # WHITE DRAUGHTS KING
    "\u26C2",  # BLACK DRAUGHTS MAN
    "\u26C3",  # BLACK DRAUGHTS KING
    "\u26C4",  # SNOWMAN WITHOUT SNOW
    "\u26C5",  # SUN BEHIND CLOUD
    "\u26C6",  # RAIN
    "\u26C7",  # BLACK SNOWMAN
    "\u26C8",  # THUNDER CLOUD AND RAIN
    "\u26C9",  # TURNED WHITE SHOGI PIECE
    "\u26CA",  # TURNED BLACK SHOGI PIECE
    "\u26CB",  # WHITE DIAMOND IN SQUARE
    "\u26CC",  # CROSSING LANES
    "\u26CD",  # DISABLED CAR
    "\u26CE",  # OPHIUCHUS
    "\u26CF",  # PICK
    "\u26D0",  # CAR SLIDING
    "\u26D1",  # HELMET WITH WHITE CROSS
    "\u26D2",  # CIRCLED CROSSING LANES
    "\u26D3",  # CHAINS
    "\u26D4",  # NO ENTRY
    "\u26D5",  # ALTERNATE ONE-WAY LEFT WAY TRAFFIC
    "\u26D6",  # BLACK TWO-WAY LEFT WAY TRAFFIC
    "\u26D7",  # WHITE TWO-WAY LEFT WAY TRAFFIC
    "\u26D8",  # BLACK LEFT LANE MERGE
    "\u26D9",  # WHITE LEFT LANE MERGE
    "\u26DA",  # DRIVE SLOW SIGN
    "\u26DB",  # HEAVY WHITE DOWN-POINTING TRIANGLE
    "\u26DC",  # LEFT CLOSED ENTRY
    "\u26DD",  # SQUARED SALTIRE
    "\u26DE",  # FALLING DIAGONAL IN WHITE CIRCLE IN BLACK SQUARE
    "\u26DF",  # BLACK TRUCK
    "\u26E0",  # RESTRICTED LEFT ENTRY-1
    "\u26E1",  # RESTRICTED LEFT ENTRY-2
    "\u26E2",  # ASTRONOMICAL SYMBOL FOR URANUS
    "\u26E3",  # HEAVY CIRCLE WITH STROKE AND TWO DOTS ABOVE
    "\u26E4",  # PENTAGRAM
    "\u26E5",  # RIGHT-HANDED INTERLACED PENTAGRAM
    "\u26E6",  # LEFT-HANDED INTERLACED PENTAGRAM
    "\u26E7",  # INVERTED PENTAGRAM
    "\u26E8",  # BLACK CROSS ON SHIELD
    "\u26E9",  # SHINTO SHRINE
    "\u26EA",  # CHURCH
    "\u26EB",  # CASTLE
    "\u26EC",  # HISTORIC SITE
    "\u26ED",  # GEAR WITHOUT HUB
    "\u26EE",  # GEAR WITH HANDLES
    "\u26EF",  # MAP SYMBOL FOR LIGHTHOUSE
    "\u26F0",  # MOUNTAIN
    "\u26F1",  # UMBRELLA ON GROUND
    "\u26F2",  # FOUNTAIN
    "\u26F3",  # FLAG IN HOLE
    "\u26F4",  # FERRY
    "\u26F5",  # SAILBOAT
    "\u26F6",  # SQUARE FOUR CORNERS
    "\u26F7",  # SKIER
    "\u26F8",  # ICE SKATE
    "\u26F9",  # PERSON WITH BALL
    "\u26FA",  # TENT
    "\u26FB",  # JAPANESE BANK SYMBOL
    "\u26FC",  # HEADSTONE GRAVEYARD SYMBOL
    "\u26FD",  # FUEL PUMP
    "\u26FE",  # CUP ON BLACK SQUARE
    "\u26FF",  # WHITE FLAG WITH HORIZONTAL MIDDLE BLACK STRIPE
    "\u2700",  # BLACK SAFETY SCISSORS
    "\u2701",  # UPPER BLADE SCISSORS
    "\u2702",  # BLACK SCISSORS
    "\u2703",  # LOWER BLADE SCISSORS
    "\u2704",  # WHITE SCISSORS
    "\u2705",  # WHITE HEAVY CHECK MARK
    "\u2706",  # TELEPHONE LOCATION SIGN
    "\u2707",  # TAPE DRIVE
    "\u2708",  # AIRPLANE
    "\u2709",  # ENVELOPE
    "\u270A",  # RAISED FIST
    "\u270B",  # RAISED HAND
    "\u270C",  # VICTORY HAND
    "\u270D",  # WRITING HAND
    "\u270E",  # LOWER RIGHT PENCIL
    "\u270F",  # PENCIL
    "\u2710",  # UPPER RIGHT PENCIL
    "\u2711",  # WHITE NIB
    "\u2712",  # BLACK NIB
    "\u2713",  # CHECK MARK
    "\u2714",  # HEAVY CHECK MARK
    "\u2715",  # MULTIPLICATION X
    "\u2716",  # HEAVY MULTIPLICATION X
    "\u2717",  # BALLOT X
    "\u2718",  # HEAVY BALLOT X
    "\u2719",  # OUTLINED GREEK CROSS
    "\u271A",  # HEAVY GREEK CROSS
    "\u271B",  # OPEN CENTRE CROSS
    "\u271C",  # HEAVY OPEN CENTRE CROSS
    "\u271D",  # LATIN CROSS
    "\u271E",  # SHADOWED WHITE LATIN CROSS
    "\u271F",  # OUTLINED LATIN CROSS
    "\u2720",  # MALTESE CROSS
    "\u2721",  # STAR OF DAVID
    "\u2722",  # FOUR TEARDROP-SPOKED ASTERISK
    "\u2723",  # FOUR BALLOON-SPOKED ASTERISK
    "\u2724",  # HEAVY FOUR BALLOON-SPOKED ASTERISK
    "\u2725",  # FOUR CLUB-SPOKED ASTERISK
    "\u2726",  # BLACK FOUR POINTED STAR
    "\u2727",  # WHITE FOUR POINTED STAR
    "\u2728",  # SPARKLES
    "\u2729",  # STRESS OUTLINED WHITE STAR
    "\u272A",  # CIRCLED WHITE STAR
    "\u272B",  # OPEN CENTRE BLACK STAR
    "\u272C",  # BLACK CENTRE WHITE STAR
    "\u272D",  # OUTLINED BLACK STAR
    "\u272E",  # HEAVY OUTLINED BLACK STAR
    "\u272F",  # PINWHEEL STAR
    "\u2730",  # SHADOWED WHITE STAR
    "\u2731",  # HEAVY ASTERISK
    "\u2732",  # OPEN CENTRE ASTERISK
    "\u2733",  # EIGHT SPOKED ASTERISK
    "\u2734",  # EIGHT POINTED BLACK STAR
    "\u2735",  # EIGHT POINTED PINWHEEL STAR
    "\u2736",  # SIX POINTED BLACK STAR
    "\u2737",  # EIGHT POINTED RECTILINEAR BLACK STAR
    "\u2738",  # HEAVY EIGHT POINTED RECTILINEAR BLACK STAR
    "\u2739",  # TWELVE POINTED BLACK STAR
    "\u273A",  # SIXTEEN POINTED ASTERISK
    "\u273B",  # TEARDROP-SPOKED ASTERISK
    "\u273C",  # OPEN CENTRE TEARDROP-SPOKED ASTERISK
    "\u273D",  # HEAVY TEARDROP-SPOKED ASTERISK
    "\u273E",  # SIX PETALLED BLACK AND WHITE FLORETTE
    "\u273F",  # BLACK FLORETTE
    "\u2740",  # WHITE FLORETTE
    "\u2741",  # EIGHT PETALLED OUTLINED BLACK FLORETTE
    "\u2742",  # CIRCLED OPEN CENTRE EIGHT POINTED STAR
    "\u2743",  # HEAVY TEARDROP-SPOKED PINWHEEL ASTERISK
    "\u2744",  # SNOWFLAKE
    "\u2745",  # TIGHT TRIFOLIATE SNOWFLAKE
    "\u2746",  # HEAVY CHEVRON SNOWFLAKE
    "\u2747",  # SPARKLE
    "\u2748",  # HEAVY SPARKLE
    "\u2749",  # BALLOON-SPOKED ASTERISK
    "\u274A",  # EIGHT TEARDROP-SPOKED PROPELLER ASTERISK
    "\u274B",  # HEAVY EIGHT TEARDROP-SPOKED PROPELLER ASTERISK
    "\u274C",  # CROSS MARK
    "\u274D",  # SHADOWED WHITE CIRCLE
    "\u274E",  # NEGATIVE SQUARED CROSS MARK
    "\u274F",  # LOWER RIGHT DROP-SHADOWED WHITE SQUARE
    "\u2750",  # UPPER RIGHT DROP-SHADOWED WHITE SQUARE
    "\u2751",  # LOWER RIGHT SHADOWED WHITE SQUARE
    "\u2752",  # UPPER RIGHT SHADOWED WHITE SQUARE
    "\u2753",  # BLACK QUESTION MARK ORNAMENT
    "\u2754",  # WHITE QUESTION MARK ORNAMENT
    "\u2755",  # WHITE EXCLAMATION MARK ORNAMENT
    "\u2756",  # BLACK DIAMOND MINUS WHITE X
    "\u2757",  # HEAVY EXCLAMATION MARK SYMBOL
    "\u2758",  # LIGHT VERTICAL BAR
    "\u2759",  # MEDIUM VERTICAL BAR
    "\u275A",  # HEAVY VERTICAL BAR
    "\u275B",  # HEAVY SINGLE TURNED COMMA QUOTATION MARK ORNAMENT
    "\u275C",  # HEAVY SINGLE COMMA QUOTATION MARK ORNAMENT
    "\u275D",  # HEAVY DOUBLE TURNED COMMA QUOTATION MARK ORNAMENT
    "\u275E",  # HEAVY DOUBLE COMMA QUOTATION MARK ORNAMENT
    "\u275F",  # HEAVY LOW SINGLE COMMA QUOTATION MARK ORNAMENT
    "\u2760",  # HEAVY LOW DOUBLE COMMA QUOTATION MARK ORNAMENT
    "\u2761",  # CURVED STEM PARAGRAPH SIGN ORNAMENT
    "\u2762",  # HEAVY EXCLAMATION MARK ORNAMENT
    "\u2763",  # HEAVY HEART EXCLAMATION MARK ORNAMENT
    "\u2764",  # HEAVY BLACK HEART
    "\u2765",  # ROTATED HEAVY BLACK HEART BULLET
    "\u2766",  # FLORAL HEART
    "\u2767",  # ROTATED FLORAL HEART BULLET
    "\u2768",  # MEDIUM LEFT PARENTHESIS ORNAMENT
    "\u2769",  # MEDIUM RIGHT PARENTHESIS ORNAMENT
    "\u276A",  # MEDIUM FLATTENED LEFT PARENTHESIS ORNAMENT
    "\u276B",  # MEDIUM FLATTENED RIGHT PARENTHESIS ORNAMENT
    "\u276C",  # MEDIUM LEFT-POINTING ANGLE BRACKET ORNAMENT
    "\u276D",  # MEDIUM RIGHT-POINTING ANGLE BRACKET ORNAMENT
    "\u276E",  # HEAVY LEFT-POINTING ANGLE QUOTATION MARK ORNAMENT
    "\u276F",  # HEAVY RIGHT-POINTING ANGLE QUOTATION MARK ORNAMENT
    "\u2770",  # HEAVY LEFT-POINTING ANGLE BRACKET ORNAMENT
    "\u2771",  # HEAVY RIGHT-POINTING ANGLE BRACKET ORNAMENT
    "\u2772",  # LIGHT LEFT TORTOISE SHELL BRACKET ORNAMENT
    "\u2773",  # LIGHT RIGHT TORTOISE SHELL BRACKET ORNAMENT
    "\u2774",  # MEDIUM LEFT CURLY BRACKET ORNAMENT
    "\u2775",  # MEDIUM RIGHT CURLY BRACKET ORNAMENT
    "\u2776",  # DINGBAT NEGATIVE CIRCLED DIGIT ONE
    "\u2777",  # DINGBAT NEGATIVE CIRCLED DIGIT TWO
    "\u2778",  # DINGBAT NEGATIVE CIRCLED DIGIT THREE
    "\u2779",  # DINGBAT NEGATIVE CIRCLED DIGIT FOUR
    "\u277A",  # DINGBAT NEGATIVE CIRCLED DIGIT FIVE
    "\u277B",  # DINGBAT NEGATIVE CIRCLED DIGIT SIX
    "\u277C",  # DINGBAT NEGATIVE CIRCLED DIGIT SEVEN
    "\u277D",  # DINGBAT NEGATIVE CIRCLED DIGIT EIGHT
    "\u277E",  # DINGBAT NEGATIVE CIRCLED DIGIT NINE
    "\u277F",  # DINGBAT NEGATIVE CIRCLED NUMBER TEN
    "\u2780",  # DINGBAT CIRCLED SANS-SERIF DIGIT ONE
    "\u2781",  # DINGBAT CIRCLED SANS-SERIF DIGIT TWO
    "\u2782",  # DINGBAT CIRCLED SANS-SERIF DIGIT THREE
    "\u2783",  # DINGBAT CIRCLED SANS-SERIF DIGIT FOUR
    "\u2784",  # DINGBAT CIRCLED SANS-SERIF DIGIT FIVE
    "\u2785",  # DINGBAT CIRCLED SANS-SERIF DIGIT SIX
    "\u2786",  # DINGBAT CIRCLED SANS-SERIF DIGIT SEVEN
    "\u2787",  # DINGBAT CIRCLED SANS-SERIF DIGIT EIGHT
    "\u2788",  # DINGBAT CIRCLED SANS-SERIF DIGIT NINE
    "\u2789",  # DINGBAT CIRCLED SANS-SERIF NUMBER TEN
    "\u278A",  # DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT ONE
    "\u278B",  # DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT TWO
    "\u278C",  # DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT THREE
    "\u278D",  # DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT FOUR
    "\u278E",  # DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT FIVE
    "\u278F",  # DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT SIX
    "\u2790",  # DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT SEVEN
    "\u2791",  # DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT EIGHT
    "\u2792",  # DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT NINE
    "\u2793",  # DINGBAT NEGATIVE CIRCLED SANS-SERIF NUMBER TEN
    "\u2794",  # HEAVY WIDE-HEADED RIGHTWARDS ARROW
    "\u2795",  # HEAVY PLUS SIGN
    "\u2796",  # HEAVY MINUS SIGN
    "\u2797",  # HEAVY DIVISION SIGN
    "\u2798",  # HEAVY SOUTH EAST ARROW
    "\u2799",  # HEAVY RIGHTWARDS ARROW
    "\u279A",  # HEAVY NORTH EAST ARROW
    "\u279B",  # DRAFTING POINT RIGHTWARDS ARROW
    "\u279C",  # HEAVY ROUND-TIPPED RIGHTWARDS ARROW
    "\u279D",  # TRIANGLE-HEADED RIGHTWARDS ARROW
    "\u279E",  # HEAVY TRIANGLE-HEADED RIGHTWARDS ARROW
    "\u279F",  # DASHED TRIANGLE-HEADED RIGHTWARDS ARROW
    "\u27A0",  # HEAVY DASHED TRIANGLE-HEADED RIGHTWARDS ARROW
    "\u27A1",  # BLACK RIGHTWARDS ARROW
    "\u27A2",  # THREE-D TOP-LIGHTED RIGHTWARDS ARROWHEAD
    "\u27A3",  # THREE-D BOTTOM-LIGHTED RIGHTWARDS ARROWHEAD
    "\u27A4",  # BLACK RIGHTWARDS ARROWHEAD
    "\u27A5",  # HEAVY BLACK CURVED DOWNWARDS AND RIGHTWARDS ARROW
    "\u27A6",  # HEAVY BLACK CURVED UPWARDS AND RIGHTWARDS ARROW
    "\u27A7",  # SQUAT BLACK RIGHTWARDS ARROW
    "\u27A8",  # HEAVY CONCAVE-POINTED BLACK RIGHTWARDS ARROW
    "\u27A9",  # RIGHT-SHADED WHITE RIGHTWARDS ARROW
    "\u27AA",  # LEFT-SHADED WHITE RIGHTWARDS ARROW
    "\u27AB",  # BACK-TILTED SHADOWED WHITE RIGHTWARDS ARROW
    "\u27AC",  # FRONT-TILTED SHADOWED WHITE RIGHTWARDS ARROW
    "\u27AD",  # HEAVY LOWER RIGHT-SHADOWED WHITE RIGHTWARDS ARROW
    "\u27AE",  # HEAVY UPPER RIGHT-SHADOWED WHITE RIGHTWARDS ARROW
    "\u27AF",  # NOTCHED LOWER RIGHT-SHADOWED WHITE RIGHTWARDS ARROW
    "\u27B0",  # CURLY LOOP
    "\u27B1",  # NOTCHED UPPER RIGHT-SHADOWED WHITE RIGHTWARDS ARROW
    "\u27B2",  # CIRCLED HEAVY WHITE RIGHTWARDS ARROW
    "\u27B3",  # WHITE-FEATHERED RIGHTWARDS ARROW
    "\u27B4",  # BLACK-FEATHERED SOUTH EAST ARROW
    "\u27B5",  # BLACK-FEATHERED RIGHTWARDS ARROW
    "\u27B6",  # BLACK-FEATHERED NORTH EAST ARROW
    "\u27B7",  # HEAVY BLACK-FEATHERED SOUTH EAST ARROW
    "\u27B8",  # HEAVY BLACK-FEATHERED RIGHTWARDS ARROW
    "\u27B9",  # HEAVY BLACK-FEATHERED NORTH EAST ARROW
    "\u27BA",  # TEARDROP-BARBED RIGHTWARDS ARROW
    "\u27BB",  # HEAVY TEARDROP-SHANKED RIGHTWARDS ARROW
    "\u27BC",  # WEDGE-TAILED RIGHTWARDS ARROW
    "\u27BD",  # HEAVY WEDGE-TAILED RIGHTWARDS ARROW
    "\u27BE",  # OPEN-OUTLINED RIGHTWARDS ARROW
    "\u27BF",  # DOUBLE CURLY LOOP
    "\u27C0",  # THREE DIMENSIONAL ANGLE
    "\u27C1",  # WHITE TRIANGLE CONTAINING SMALL WHITE TRIANGLE
    "\u27C2",  # PERPENDICULAR
    "\u27C3",  # OPEN SUBSET
    "\u27C4",  # OPEN SUPERSET
    "\u27C5",  # LEFT S-SHAPED BAG DELIMITER
    "\u27C6",  # RIGHT S-SHAPED BAG DELIMITER
    "\u27C7",  # OR WITH DOT INSIDE
    "\u27C8",  # REVERSE SOLIDUS PRECEDING SUBSET
    "\u27C9",  # SUPERSET PRECEDING SOLIDUS
    "\u27CA",  # VERTICAL BAR WITH HORIZONTAL STROKE
    "\u27CB",  # MATHEMATICAL RISING DIAGONAL
    "\u27CC",  # LONG DIVISION
    "\u27CD",  # MATHEMATICAL FALLING DIAGONAL
    "\u27CE",  # SQUARED LOGICAL AND
    "\u27CF",  # SQUARED LOGICAL OR
    "\u27D0",  # WHITE DIAMOND WITH CENTRED DOT
    "\u27D1",  # AND WITH DOT
    "\u27D2",  # ELEMENT OF OPENING UPWARDS
    "\u27D3",  # LOWER RIGHT CORNER WITH DOT
    "\u27D4",  # UPPER LEFT CORNER WITH DOT
    "\u27D5",  # LEFT OUTER JOIN
    "\u27D6",  # RIGHT OUTER JOIN
    "\u27D7",  # FULL OUTER JOIN
    "\u27D8",  # LARGE UP TACK
    "\u27D9",  # LARGE DOWN TACK
    "\u27DA",  # LEFT AND RIGHT DOUBLE TURNSTILE
    "\u27DB",  # LEFT AND RIGHT TACK
    "\u27DC",  # LEFT MULTIMAP
    "\u27DD",  # LONG RIGHT TACK
    "\u27DE",  # LONG LEFT TACK
    "\u27DF",  # UP TACK WITH CIRCLE ABOVE
    "\u27E0",  # LOZENGE DIVIDED BY HORIZONTAL RULE
    "\u27E1",  # WHITE CONCAVE-SIDED DIAMOND
    "\u27E2",  # WHITE CONCAVE-SIDED DIAMOND WITH LEFTWARDS TICK
    "\u27E3",  # WHITE CONCAVE-SIDED DIAMOND WITH RIGHTWARDS TICK
    "\u27E4",  # WHITE SQUARE WITH LEFTWARDS TICK
    "\u27E5",  # WHITE SQUARE WITH RIGHTWARDS TICK
    "\u27E6",  # MATHEMATICAL LEFT WHITE SQUARE BRACKET
    "\u27E7",  # MATHEMATICAL RIGHT WHITE SQUARE BRACKET
    "\u27E8",  # MATHEMATICAL LEFT ANGLE BRACKET
    "\u27E9",  # MATHEMATICAL RIGHT ANGLE BRACKET
    "\u27EA",  # MATHEMATICAL LEFT DOUBLE ANGLE BRACKET
    "\u27EB",  # MATHEMATICAL RIGHT DOUBLE ANGLE BRACKET
    "\u27EC",  # MATHEMATICAL LEFT WHITE TORTOISE SHELL BRACKET
    "\u27ED",  # MATHEMATICAL RIGHT WHITE TORTOISE SHELL BRACKET
    "\u27EE",  # MATHEMATICAL LEFT FLATTENED PARENTHESIS
    "\u27EF",  # MATHEMATICAL RIGHT FLATTENED PARENTHESIS
    "\u27F0",  # UPWARDS QUADRUPLE ARROW
    "\u27F1",  # DOWNWARDS QUADRUPLE ARROW
    "\u27F2",  # ANTICLOCKWISE GAPPED CIRCLE ARROW
    "\u27F3",  # CLOCKWISE GAPPED CIRCLE ARROW
    "\u27F4",  # RIGHT ARROW WITH CIRCLED PLUS
    "\u27F5",  # LONG LEFTWARDS ARROW
    "\u27F6",  # LONG RIGHTWARDS ARROW
    "\u27F7",  # LONG LEFT RIGHT ARROW
    "\u27F8",  # LONG LEFTWARDS DOUBLE ARROW
    "\u27F9",  # LONG RIGHTWARDS DOUBLE ARROW
    "\u27FA",  # LONG LEFT RIGHT DOUBLE ARROW
    "\u27FB",  # LONG LEFTWARDS ARROW FROM BAR
    "\u27FC",  # LONG RIGHTWARDS ARROW FROM BAR
    "\u27FD",  # LONG LEFTWARDS DOUBLE ARROW FROM BAR
    "\u27FE",  # LONG RIGHTWARDS DOUBLE ARROW FROM BAR
    "\u27FF",  # LONG RIGHTWARDS SQUIGGLE ARROW
    "\u2800",  # BRAILLE PATTERN BLANK
    "\u2801",  # BRAILLE PATTERN DOTS-1
    "\u2802",  # BRAILLE PATTERN DOTS-2
    "\u2803",  # BRAILLE PATTERN DOTS-12
    "\u2804",  # BRAILLE PATTERN DOTS-3
    "\u2805",  # BRAILLE PATTERN DOTS-13
    "\u2806",  # BRAILLE PATTERN DOTS-23
    "\u2807",  # BRAILLE PATTERN DOTS-123
    "\u2808",  # BRAILLE PATTERN DOTS-4
    "\u2809",  # BRAILLE PATTERN DOTS-14
    "\u280A",  # BRAILLE PATTERN DOTS-24
    "\u280B",  # BRAILLE PATTERN DOTS-124
    "\u280C",  # BRAILLE PATTERN DOTS-34
    "\u280D",  # BRAILLE PATTERN DOTS-134
    "\u280E",  # BRAILLE PATTERN DOTS-234
    "\u280F",  # BRAILLE PATTERN DOTS-1234
    "\u2810",  # BRAILLE PATTERN DOTS-5
    "\u2811",  # BRAILLE PATTERN DOTS-15
    "\u2812",  # BRAILLE PATTERN DOTS-25
    "\u2813",  # BRAILLE PATTERN DOTS-125
    "\u2814",  # BRAILLE PATTERN DOTS-35
    "\u2815",  # BRAILLE PATTERN DOTS-135
    "\u2816",  # BRAILLE PATTERN DOTS-235
    "\u2817",  # BRAILLE PATTERN DOTS-1235
    "\u2818",  # BRAILLE PATTERN DOTS-45
    "\u2819",  # BRAILLE PATTERN DOTS-145
    "\u281A",  # BRAILLE PATTERN DOTS-245
    "\u281B",  # BRAILLE PATTERN DOTS-1245
    "\u281C",  # BRAILLE PATTERN DOTS-345
    "\u281D",  # BRAILLE PATTERN DOTS-1345
    "\u281E",  # BRAILLE PATTERN DOTS-2345
    "\u281F",  # BRAILLE PATTERN DOTS-12345
    "\u2820",  # BRAILLE PATTERN DOTS-6
    "\u2821",  # BRAILLE PATTERN DOTS-16
    "\u2822",  # BRAILLE PATTERN DOTS-26
    "\u2823",  # BRAILLE PATTERN DOTS-126
    "\u2824",  # BRAILLE PATTERN DOTS-36
    "\u2825",  # BRAILLE PATTERN DOTS-136
    "\u2826",  # BRAILLE PATTERN DOTS-236
    "\u2827",  # BRAILLE PATTERN DOTS-1236
    "\u2828",  # BRAILLE PATTERN DOTS-46
    "\u2829",  # BRAILLE PATTERN DOTS-146
    "\u282A",  # BRAILLE PATTERN DOTS-246
    "\u282B",  # BRAILLE PATTERN DOTS-1246
    "\u282C",  # BRAILLE PATTERN DOTS-346
    "\u282D",  # BRAILLE PATTERN DOTS-1346
    "\u282E",  # BRAILLE PATTERN DOTS-2346
    "\u282F",  # BRAILLE PATTERN DOTS-12346
    "\u2830",  # BRAILLE PATTERN DOTS-56
    "\u2831",  # BRAILLE PATTERN DOTS-156
    "\u2832",  # BRAILLE PATTERN DOTS-256
    "\u2833",  # BRAILLE PATTERN DOTS-1256
    "\u2834",  # BRAILLE PATTERN DOTS-356
    "\u2835",  # BRAILLE PATTERN DOTS-1356
    "\u2836",  # BRAILLE PATTERN DOTS-2356
    "\u2837",  # BRAILLE PATTERN DOTS-12356
    "\u2838",  # BRAILLE PATTERN DOTS-456
    "\u2839",  # BRAILLE PATTERN DOTS-1456
    "\u283A",  # BRAILLE PATTERN DOTS-2456
    "\u283B",  # BRAILLE PATTERN DOTS-12456
    "\u283C",  # BRAILLE PATTERN DOTS-3456
    "\u283D",  # BRAILLE PATTERN DOTS-13456
    "\u283E",  # BRAILLE PATTERN DOTS-23456
    "\u283F",  # BRAILLE PATTERN DOTS-123456
    "\u2840",  # BRAILLE PATTERN DOTS-7
    "\u2841",  # BRAILLE PATTERN DOTS-17
    "\u2842",  # BRAILLE PATTERN DOTS-27
    "\u2843",  # BRAILLE PATTERN DOTS-127
    "\u2844",  # BRAILLE PATTERN DOTS-37
    "\u2845",  # BRAILLE PATTERN DOTS-137
    "\u2846",  # BRAILLE PATTERN DOTS-237
    "\u2847",  # BRAILLE PATTERN DOTS-1237
    "\u2848",  # BRAILLE PATTERN DOTS-47
    "\u2849",  # BRAILLE PATTERN DOTS-147
    "\u284A",  # BRAILLE PATTERN DOTS-247
    "\u284B",  # BRAILLE PATTERN DOTS-1247
    "\u284C",  # BRAILLE PATTERN DOTS-347
    "\u284D",  # BRAILLE PATTERN DOTS-1347
    "\u284E",  # BRAILLE PATTERN DOTS-2347
    "\u284F",  # BRAILLE PATTERN DOTS-12347
    "\u2850",  # BRAILLE PATTERN DOTS-57
    "\u2851",  # BRAILLE PATTERN DOTS-157
    "\u2852",  # BRAILLE PATTERN DOTS-257
    "\u2853",  # BRAILLE PATTERN DOTS-1257
    "\u2854",  # BRAILLE PATTERN DOTS-357
    "\u2855",  # BRAILLE PATTERN DOTS-1357
    "\u2856",  # BRAILLE PATTERN DOTS-2357
    "\u2857",  # BRAILLE PATTERN DOTS-12357
    "\u2858",  # BRAILLE PATTERN DOTS-457
    "\u2859",  # BRAILLE PATTERN DOTS-1457
    "\u285A",  # BRAILLE PATTERN DOTS-2457
    "\u285B",  # BRAILLE PATTERN DOTS-12457
    "\u285C",  # BRAILLE PATTERN DOTS-3457
    "\u285D",  # BRAILLE PATTERN DOTS-13457
    "\u285E",  # BRAILLE PATTERN DOTS-23457
    "\u285F",  # BRAILLE PATTERN DOTS-123457
    "\u2860",  # BRAILLE PATTERN DOTS-67
    "\u2861",  # BRAILLE PATTERN DOTS-167
    "\u2862",  # BRAILLE PATTERN DOTS-267
    "\u2863",  # BRAILLE PATTERN DOTS-1267
    "\u2864",  # BRAILLE PATTERN DOTS-367
    "\u2865",  # BRAILLE PATTERN DOTS-1367
    "\u2866",  # BRAILLE PATTERN DOTS-2367
    "\u2867",  # BRAILLE PATTERN DOTS-12367
    "\u2868",  # BRAILLE PATTERN DOTS-467
    "\u2869",  # BRAILLE PATTERN DOTS-1467
    "\u286A",  # BRAILLE PATTERN DOTS-2467
    "\u286B",  # BRAILLE PATTERN DOTS-12467
    "\u286C",  # BRAILLE PATTERN DOTS-3467
    "\u286D",  # BRAILLE PATTERN DOTS-13467
    "\u286E",  # BRAILLE PATTERN DOTS-23467
    "\u286F",  # BRAILLE PATTERN DOTS-123467
    "\u2870",  # BRAILLE PATTERN DOTS-567
    "\u2871",  # BRAILLE PATTERN DOTS-1567
    "\u2872",  # BRAILLE PATTERN DOTS-2567
    "\u2873",  # BRAILLE PATTERN DOTS-12567
    "\u2874",  # BRAILLE PATTERN DOTS-3567
    "\u2875",  # BRAILLE PATTERN DOTS-13567
    "\u2876",  # BRAILLE PATTERN DOTS-23567
    "\u2877",  # BRAILLE PATTERN DOTS-123567
    "\u2878",  # BRAILLE PATTERN DOTS-4567
    "\u2879",  # BRAILLE PATTERN DOTS-14567
    "\u287A",  # BRAILLE PATTERN DOTS-24567
    "\u287B",  # BRAILLE PATTERN DOTS-124567
    "\u287C",  # BRAILLE PATTERN DOTS-34567
    "\u287D",  # BRAILLE PATTERN DOTS-134567
    "\u287E",  # BRAILLE PATTERN DOTS-234567
    "\u287F",  # BRAILLE PATTERN DOTS-1234567
    "\u2880",  # BRAILLE PATTERN DOTS-8
    "\u2881",  # BRAILLE PATTERN DOTS-18
    "\u2882",  # BRAILLE PATTERN DOTS-28
    "\u2883",  # BRAILLE PATTERN DOTS-128
    "\u2884",  # BRAILLE PATTERN DOTS-38
    "\u2885",  # BRAILLE PATTERN DOTS-138
    "\u2886",  # BRAILLE PATTERN DOTS-238
    "\u2887",  # BRAILLE PATTERN DOTS-1238
    "\u2888",  # BRAILLE PATTERN DOTS-48
    "\u2889",  # BRAILLE PATTERN DOTS-148
    "\u288A",  # BRAILLE PATTERN DOTS-248
    "\u288B",  # BRAILLE PATTERN DOTS-1248
    "\u288C",  # BRAILLE PATTERN DOTS-348
    "\u288D",  # BRAILLE PATTERN DOTS-1348
    "\u288E",  # BRAILLE PATTERN DOTS-2348
    "\u288F",  # BRAILLE PATTERN DOTS-12348
    "\u2890",  # BRAILLE PATTERN DOTS-58
    "\u2891",  # BRAILLE PATTERN DOTS-158
    "\u2892",  # BRAILLE PATTERN DOTS-258
    "\u2893",  # BRAILLE PATTERN DOTS-1258
    "\u2894",  # BRAILLE PATTERN DOTS-358
    "\u2895",  # BRAILLE PATTERN DOTS-1358
    "\u2896",  # BRAILLE PATTERN DOTS-2358
    "\u2897",  # BRAILLE PATTERN DOTS-12358
    "\u2898",  # BRAILLE PATTERN DOTS-458
    "\u2899",  # BRAILLE PATTERN DOTS-1458
    "\u289A",  # BRAILLE PATTERN DOTS-2458
    "\u289B",  # BRAILLE PATTERN DOTS-12458
    "\u289C",  # BRAILLE PATTERN DOTS-3458
    "\u289D",  # BRAILLE PATTERN DOTS-13458
    "\u289E",  # BRAILLE PATTERN DOTS-23458
    "\u289F",  # BRAILLE PATTERN DOTS-123458
    "\u28A0",  # BRAILLE PATTERN DOTS-68
    "\u28A1",  # BRAILLE PATTERN DOTS-168
    "\u28A2",  # BRAILLE PATTERN DOTS-268
    "\u28A3",  # BRAILLE PATTERN DOTS-1268
    "\u28A4",  # BRAILLE PATTERN DOTS-368
    "\u28A5",  # BRAILLE PATTERN DOTS-1368
    "\u28A6",  # BRAILLE PATTERN DOTS-2368
    "\u28A7",  # BRAILLE PATTERN DOTS-12368
    "\u28A8",  # BRAILLE PATTERN DOTS-468
    "\u28A9",  # BRAILLE PATTERN DOTS-1468
    "\u28AA",  # BRAILLE PATTERN DOTS-2468
    "\u28AB",  # BRAILLE PATTERN DOTS-12468
    "\u28AC",  # BRAILLE PATTERN DOTS-3468
    "\u28AD",  # BRAILLE PATTERN DOTS-13468
    "\u28AE",  # BRAILLE PATTERN DOTS-23468
    "\u28AF",  # BRAILLE PATTERN DOTS-123468
    "\u28B0",  # BRAILLE PATTERN DOTS-568
    "\u28B1",  # BRAILLE PATTERN DOTS-1568
    "\u28B2",  # BRAILLE PATTERN DOTS-2568
    "\u28B3",  # BRAILLE PATTERN DOTS-12568
    "\u28B4",  # BRAILLE PATTERN DOTS-3568
    "\u28B5",  # BRAILLE PATTERN DOTS-13568
    "\u28B6",  # BRAILLE PATTERN DOTS-23568
    "\u28B7",  # BRAILLE PATTERN DOTS-123568
    "\u28B8",  # BRAILLE PATTERN DOTS-4568
    "\u28B9",  # BRAILLE PATTERN DOTS-14568
    "\u28BA",  # BRAILLE PATTERN DOTS-24568
    "\u28BB",  # BRAILLE PATTERN DOTS-124568
    "\u28BC",  # BRAILLE PATTERN DOTS-34568
    "\u28BD",  # BRAILLE PATTERN DOTS-134568
    "\u28BE",  # BRAILLE PATTERN DOTS-234568
    "\u28BF",  # BRAILLE PATTERN DOTS-1234568
    "\u28C0",  # BRAILLE PATTERN DOTS-78
    "\u28C1",  # BRAILLE PATTERN DOTS-178
    "\u28C2",  # BRAILLE PATTERN DOTS-278
    "\u28C3",  # BRAILLE PATTERN DOTS-1278
    "\u28C4",  # BRAILLE PATTERN DOTS-378
    "\u28C5",  # BRAILLE PATTERN DOTS-1378
    "\u28C6",  # BRAILLE PATTERN DOTS-2378
    "\u28C7",  # BRAILLE PATTERN DOTS-12378
    "\u28C8",  # BRAILLE PATTERN DOTS-478
    "\u28C9",  # BRAILLE PATTERN DOTS-1478
    "\u28CA",  # BRAILLE PATTERN DOTS-2478
    "\u28CB",  # BRAILLE PATTERN DOTS-12478
    "\u28CC",  # BRAILLE PATTERN DOTS-3478
    "\u28CD",  # BRAILLE PATTERN DOTS-13478
    "\u28CE",  # BRAILLE PATTERN DOTS-23478
    "\u28CF",  # BRAILLE PATTERN DOTS-123478
    "\u28D0",  # BRAILLE PATTERN DOTS-578
    "\u28D1",  # BRAILLE PATTERN DOTS-1578
    "\u28D2",  # BRAILLE PATTERN DOTS-2578
    "\u28D3",  # BRAILLE PATTERN DOTS-12578
    "\u28D4",  # BRAILLE PATTERN DOTS-3578
    "\u28D5",  # BRAILLE PATTERN DOTS-13578
    "\u28D6",  # BRAILLE PATTERN DOTS-23578
    "\u28D7",  # BRAILLE PATTERN DOTS-123578
    "\u28D8",  # BRAILLE PATTERN DOTS-4578
    "\u28D9",  # BRAILLE PATTERN DOTS-14578
    "\u28DA",  # BRAILLE PATTERN DOTS-24578
    "\u28DB",  # BRAILLE PATTERN DOTS-124578
    "\u28DC",  # BRAILLE PATTERN DOTS-34578
    "\u28DD",  # BRAILLE PATTERN DOTS-134578
    "\u28DE",  # BRAILLE PATTERN DOTS-234578
    "\u28DF",  # BRAILLE PATTERN DOTS-1234578
    "\u28E0",  # BRAILLE PATTERN DOTS-678
    "\u28E1",  # BRAILLE PATTERN DOTS-1678
    "\u28E2",  # BRAILLE PATTERN DOTS-2678
    "\u28E3",  # BRAILLE PATTERN DOTS-12678
    "\u28E4",  # BRAILLE PATTERN DOTS-3678
    "\u28E5",  # BRAILLE PATTERN DOTS-13678
    "\u28E6",  # BRAILLE PATTERN DOTS-23678
    "\u28E7",  # BRAILLE PATTERN DOTS-123678
    "\u28E8",  # BRAILLE PATTERN DOTS-4678
    "\u28E9",  # BRAILLE PATTERN DOTS-14678
    "\u28EA",  # BRAILLE PATTERN DOTS-24678
    "\u28EB",  # BRAILLE PATTERN DOTS-124678
    "\u28EC",  # BRAILLE PATTERN DOTS-34678
    "\u28ED",  # BRAILLE PATTERN DOTS-134678
    "\u28EE",  # BRAILLE PATTERN DOTS-234678
    "\u28EF",  # BRAILLE PATTERN DOTS-1234678
    "\u28F0",  # BRAILLE PATTERN DOTS-5678
    "\u28F1",  # BRAILLE PATTERN DOTS-15678
    "\u28F2",  # BRAILLE PATTERN DOTS-25678
    "\u28F3",  # BRAILLE PATTERN DOTS-125678
    "\u28F4",  # BRAILLE PATTERN DOTS-35678
    "\u28F5",  # BRAILLE PATTERN DOTS-135678
    "\u28F6",  # BRAILLE PATTERN DOTS-235678
    "\u28F7",  # BRAILLE PATTERN DOTS-1235678
    "\u28F8",  # BRAILLE PATTERN DOTS-45678
    "\u28F9",  # BRAILLE PATTERN DOTS-145678
    "\u28FA",  # BRAILLE PATTERN DOTS-245678
    "\u28FB",  # BRAILLE PATTERN DOTS-1245678
    "\u28FC",  # BRAILLE PATTERN DOTS-345678
    "\u28FD",  # BRAILLE PATTERN DOTS-1345678
    "\u28FE",  # BRAILLE PATTERN DOTS-2345678
    "\u28FF",  # BRAILLE PATTERN DOTS-12345678
    "\u2900",  # RIGHTWARDS TWO-HEADED ARROW WITH VERTICAL STROKE
    "\u2901",  # RIGHTWARDS TWO-HEADED ARROW WITH DOUBLE VERTICAL STROKE
    "\u2902",  # LEFTWARDS DOUBLE ARROW WITH VERTICAL STROKE
    "\u2903",  # RIGHTWARDS DOUBLE ARROW WITH VERTICAL STROKE
    "\u2904",  # LEFT RIGHT DOUBLE ARROW WITH VERTICAL STROKE
    "\u2905",  # RIGHTWARDS TWO-HEADED ARROW FROM BAR
    "\u2906",  # LEFTWARDS DOUBLE ARROW FROM BAR
    "\u2907",  # RIGHTWARDS DOUBLE ARROW FROM BAR
    "\u2908",  # DOWNWARDS ARROW WITH HORIZONTAL STROKE
    "\u2909",  # UPWARDS ARROW WITH HORIZONTAL STROKE
    "\u290A",  # UPWARDS TRIPLE ARROW
    "\u290B",  # DOWNWARDS TRIPLE ARROW
    "\u290C",  # LEFTWARDS DOUBLE DASH ARROW
    "\u290D",  # RIGHTWARDS DOUBLE DASH ARROW
    "\u290E",  # LEFTWARDS TRIPLE DASH ARROW
    "\u290F",  # RIGHTWARDS TRIPLE DASH ARROW
    "\u2910",  # RIGHTWARDS TWO-HEADED TRIPLE DASH ARROW
    "\u2911",  # RIGHTWARDS ARROW WITH DOTTED STEM
    "\u2912",  # UPWARDS ARROW TO BAR
    "\u2913",  # DOWNWARDS ARROW TO BAR
    "\u2914",  # RIGHTWARDS ARROW WITH TAIL WITH VERTICAL STROKE
    "\u2915",  # RIGHTWARDS ARROW WITH TAIL WITH DOUBLE VERTICAL STROKE
    "\u2916",  # RIGHTWARDS TWO-HEADED ARROW WITH TAIL
    "\u2917",  # RIGHTWARDS TWO-HEADED ARROW WITH TAIL WITH VERTICAL STROKE
    "\u2918",  # RIGHTWARDS TWO-HEADED ARROW WITH TAIL WITH DOUBLE VERTICAL STROKE
    "\u2919",  # LEFTWARDS ARROW-TAIL
    "\u291A",  # RIGHTWARDS ARROW-TAIL
    "\u291B",  # LEFTWARDS DOUBLE ARROW-TAIL
    "\u291C",  # RIGHTWARDS DOUBLE ARROW-TAIL
    "\u291D",  # LEFTWARDS ARROW TO BLACK DIAMOND
    "\u291E",  # RIGHTWARDS ARROW TO BLACK DIAMOND
    "\u291F",  # LEFTWARDS ARROW FROM BAR TO BLACK DIAMOND
    "\u2920",  # RIGHTWARDS ARROW FROM BAR TO BLACK DIAMOND
    "\u2921",  # NORTH WEST AND SOUTH EAST ARROW
    "\u2922",  # NORTH EAST AND SOUTH WEST ARROW
    "\u2923",  # NORTH WEST ARROW WITH HOOK
    "\u2924",  # NORTH EAST ARROW WITH HOOK
    "\u2925",  # SOUTH EAST ARROW WITH HOOK
    "\u2926",  # SOUTH WEST ARROW WITH HOOK
    "\u2927",  # NORTH WEST ARROW AND NORTH EAST ARROW
    "\u2928",  # NORTH EAST ARROW AND SOUTH EAST ARROW
    "\u2929",  # SOUTH EAST ARROW AND SOUTH WEST ARROW
    "\u292A",  # SOUTH WEST ARROW AND NORTH WEST ARROW
    "\u292B",  # RISING DIAGONAL CROSSING FALLING DIAGONAL
    "\u292C",  # FALLING DIAGONAL CROSSING RISING DIAGONAL
    "\u292D",  # SOUTH EAST ARROW CROSSING NORTH EAST ARROW
    "\u292E",  # NORTH EAST ARROW CROSSING SOUTH EAST ARROW
    "\u292F",  # FALLING DIAGONAL CROSSING NORTH EAST ARROW
    "\u2930",  # RISING DIAGONAL CROSSING SOUTH EAST ARROW
    "\u2931",  # NORTH EAST ARROW CROSSING NORTH WEST ARROW
    "\u2932",  # NORTH WEST ARROW CROSSING NORTH EAST ARROW
    "\u2933",  # WAVE ARROW POINTING DIRECTLY RIGHT
    "\u2934",  # ARROW POINTING RIGHTWARDS THEN CURVING UPWARDS
    "\u2935",  # ARROW POINTING RIGHTWARDS THEN CURVING DOWNWARDS
    "\u2936",  # ARROW POINTING DOWNWARDS THEN CURVING LEFTWARDS
    "\u2937",  # ARROW POINTING DOWNWARDS THEN CURVING RIGHTWARDS
    "\u2938",  # RIGHT-SIDE ARC CLOCKWISE ARROW
    "\u2939",  # LEFT-SIDE ARC ANTICLOCKWISE ARROW
    "\u293A",  # TOP ARC ANTICLOCKWISE ARROW
    "\u293B",  # BOTTOM ARC ANTICLOCKWISE ARROW
    "\u293C",  # TOP ARC CLOCKWISE ARROW WITH MINUS
    "\u293D",  # TOP ARC ANTICLOCKWISE ARROW WITH PLUS
    "\u293E",  # LOWER RIGHT SEMICIRCULAR CLOCKWISE ARROW
    "\u293F",  # LOWER LEFT SEMICIRCULAR ANTICLOCKWISE ARROW
    "\u2940",  # ANTICLOCKWISE CLOSED CIRCLE ARROW
    "\u2941",  # CLOCKWISE CLOSED CIRCLE ARROW
    "\u2942",  # RIGHTWARDS ARROW ABOVE SHORT LEFTWARDS ARROW
    "\u2943",  # LEFTWARDS ARROW ABOVE SHORT RIGHTWARDS ARROW
    "\u2944",  # SHORT RIGHTWARDS ARROW ABOVE LEFTWARDS ARROW
    "\u2945",  # RIGHTWARDS ARROW WITH PLUS BELOW
    "\u2946",  # LEFTWARDS ARROW WITH PLUS BELOW
    "\u2947",  # RIGHTWARDS ARROW THROUGH X
    "\u2948",  # LEFT RIGHT ARROW THROUGH SMALL CIRCLE
    "\u2949",  # UPWARDS TWO-HEADED ARROW FROM SMALL CIRCLE
    "\u294A",  # LEFT BARB UP RIGHT BARB DOWN HARPOON
    "\u294B",  # LEFT BARB DOWN RIGHT BARB UP HARPOON
    "\u294C",  # UP BARB RIGHT DOWN BARB LEFT HARPOON
    "\u294D",  # UP BARB LEFT DOWN BARB RIGHT HARPOON
    "\u294E",  # LEFT BARB UP RIGHT BARB UP HARPOON
    "\u294F",  # UP BARB RIGHT DOWN BARB RIGHT HARPOON
    "\u2950",  # LEFT BARB DOWN RIGHT BARB DOWN HARPOON
    "\u2951",  # UP BARB LEFT DOWN BARB LEFT HARPOON
    "\u2952",  # LEFTWARDS HARPOON WITH BARB UP TO BAR
    "\u2953",  # RIGHTWARDS HARPOON WITH BARB UP TO BAR
    "\u2954",  # UPWARDS HARPOON WITH BARB RIGHT TO BAR
    "\u2955",  # DOWNWARDS HARPOON WITH BARB RIGHT TO BAR
    "\u2956",  # LEFTWARDS HARPOON WITH BARB DOWN TO BAR
    "\u2957",  # RIGHTWARDS HARPOON WITH BARB DOWN TO BAR
    "\u2958",  # UPWARDS HARPOON WITH BARB LEFT TO BAR
    "\u2959",  # DOWNWARDS HARPOON WITH BARB LEFT TO BAR
    "\u295A",  # LEFTWARDS HARPOON WITH BARB UP FROM BAR
    "\u295B",  # RIGHTWARDS HARPOON WITH BARB UP FROM BAR
    "\u295C",  # UPWARDS HARPOON WITH BARB RIGHT FROM BAR
    "\u295D",  # DOWNWARDS HARPOON WITH BARB RIGHT FROM BAR
    "\u295E",  # LEFTWARDS HARPOON WITH BARB DOWN FROM BAR
    "\u295F",  # RIGHTWARDS HARPOON WITH BARB DOWN FROM BAR
    "\u2960",  # UPWARDS HARPOON WITH BARB LEFT FROM BAR
    "\u2961",  # DOWNWARDS HARPOON WITH BARB LEFT FROM BAR
    "\u2962",  # LEFTWARDS HARPOON WITH BARB UP ABOVE LEFTWARDS HARPOON WITH BARB DOWN
    "\u2963",  # UPWARDS HARPOON WITH BARB LEFT BESIDE UPWARDS HARPOON WITH BARB RIGHT
    "\u2964",  # RIGHTWARDS HARPOON WITH BARB UP ABOVE RIGHTWARDS HARPOON WITH BARB DOWN
    "\u2965",  # DOWNWARDS HARPOON WITH BARB LEFT BESIDE DOWNWARDS HARPOON WITH BARB RIGHT
    "\u2966",  # LEFTWARDS HARPOON WITH BARB UP ABOVE RIGHTWARDS HARPOON WITH BARB UP
    "\u2967",  # LEFTWARDS HARPOON WITH BARB DOWN ABOVE RIGHTWARDS HARPOON WITH BARB DOWN
    "\u2968",  # RIGHTWARDS HARPOON WITH BARB UP ABOVE LEFTWARDS HARPOON WITH BARB UP
    "\u2969",  # RIGHTWARDS HARPOON WITH BARB DOWN ABOVE LEFTWARDS HARPOON WITH BARB DOWN
    "\u296A",  # LEFTWARDS HARPOON WITH BARB UP ABOVE LONG DASH
    "\u296B",  # LEFTWARDS HARPOON WITH BARB DOWN BELOW LONG DASH
    "\u296C",  # RIGHTWARDS HARPOON WITH BARB UP ABOVE LONG DASH
    "\u296D",  # RIGHTWARDS HARPOON WITH BARB DOWN BELOW LONG DASH
    "\u296E",  # UPWARDS HARPOON WITH BARB LEFT BESIDE DOWNWARDS HARPOON WITH BARB RIGHT
    "\u296F",  # DOWNWARDS HARPOON WITH BARB LEFT BESIDE UPWARDS HARPOON WITH BARB RIGHT
    "\u2970",  # RIGHT DOUBLE ARROW WITH ROUNDED HEAD
    "\u2971",  # EQUALS SIGN ABOVE RIGHTWARDS ARROW
    "\u2972",  # TILDE OPERATOR ABOVE RIGHTWARDS ARROW
    "\u2973",  # LEFTWARDS ARROW ABOVE TILDE OPERATOR
    "\u2974",  # RIGHTWARDS ARROW ABOVE TILDE OPERATOR
    "\u2975",  # RIGHTWARDS ARROW ABOVE ALMOST EQUAL TO
    "\u2976",  # LESS-THAN ABOVE LEFTWARDS ARROW
    "\u2977",  # LEFTWARDS ARROW THROUGH LESS-THAN
    "\u2978",  # GREATER-THAN ABOVE RIGHTWARDS ARROW
    "\u2979",  # SUBSET ABOVE RIGHTWARDS ARROW
    "\u297A",  # LEFTWARDS ARROW THROUGH SUBSET
    "\u297B",  # SUPERSET ABOVE LEFTWARDS ARROW
    "\u297C",  # LEFT FISH TAIL
    "\u297D",  # RIGHT FISH TAIL
    "\u297E",  # UP FISH TAIL
    "\u297F",  # DOWN FISH TAIL
    "\u2980",  # TRIPLE VERTICAL BAR DELIMITER
    "\u2981",  # Z NOTATION SPOT
    "\u2982",  # Z NOTATION TYPE COLON
    "\u2983",  # LEFT WHITE CURLY BRACKET
    "\u2984",  # RIGHT WHITE CURLY BRACKET
    "\u2985",  # LEFT WHITE PARENTHESIS
    "\u2986",  # RIGHT WHITE PARENTHESIS
    "\u2987",  # Z NOTATION LEFT IMAGE BRACKET
    "\u2988",  # Z NOTATION RIGHT IMAGE BRACKET
    "\u2989",  # Z NOTATION LEFT BINDING BRACKET
    "\u298A",  # Z NOTATION RIGHT BINDING BRACKET
    "\u298B",  # LEFT SQUARE BRACKET WITH UNDERBAR
    "\u298C",  # RIGHT SQUARE BRACKET WITH UNDERBAR
    "\u298D",  # LEFT SQUARE BRACKET WITH TICK IN TOP CORNER
    "\u298E",  # RIGHT SQUARE BRACKET WITH TICK IN BOTTOM CORNER
    "\u298F",  # LEFT SQUARE BRACKET WITH TICK IN BOTTOM CORNER
    "\u2990",  # RIGHT SQUARE BRACKET WITH TICK IN TOP CORNER
    "\u2991",  # LEFT ANGLE BRACKET WITH DOT
    "\u2992",  # RIGHT ANGLE BRACKET WITH DOT
    "\u2993",  # LEFT ARC LESS-THAN BRACKET
    "\u2994",  # RIGHT ARC GREATER-THAN BRACKET
    "\u2995",  # DOUBLE LEFT ARC GREATER-THAN BRACKET
    "\u2996",  # DOUBLE RIGHT ARC LESS-THAN BRACKET
    "\u2997",  # LEFT BLACK TORTOISE SHELL BRACKET
    "\u2998",  # RIGHT BLACK TORTOISE SHELL BRACKET
    "\u2999",  # DOTTED FENCE
    "\u299A",  # VERTICAL ZIGZAG LINE
    "\u299B",  # MEASURED ANGLE OPENING LEFT
    "\u299C",  # RIGHT ANGLE VARIANT WITH SQUARE
    "\u299D",  # MEASURED RIGHT ANGLE WITH DOT
    "\u299E",  # ANGLE WITH S INSIDE
    "\u299F",  # ACUTE ANGLE
    "\u29A0",  # SPHERICAL ANGLE OPENING LEFT
    "\u29A1",  # SPHERICAL ANGLE OPENING UP
    "\u29A2",  # TURNED ANGLE
    "\u29A3",  # REVERSED ANGLE
    "\u29A4",  # ANGLE WITH UNDERBAR
    "\u29A5",  # REVERSED ANGLE WITH UNDERBAR
    "\u29A6",  # OBLIQUE ANGLE OPENING UP
    "\u29A7",  # OBLIQUE ANGLE OPENING DOWN
    "\u29A8",  # MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING UP AND RIGHT
    "\u29A9",  # MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING UP AND LEFT
    "\u29AA",  # MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING DOWN AND RIGHT
    "\u29AB",  # MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING DOWN AND LEFT
    "\u29AC",  # MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING RIGHT AND UP
    "\u29AD",  # MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING LEFT AND UP
    "\u29AE",  # MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING RIGHT AND DOWN
    "\u29AF",  # MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING LEFT AND DOWN
    "\u29B0",  # REVERSED EMPTY SET
    "\u29B1",  # EMPTY SET WITH OVERBAR
    "\u29B2",  # EMPTY SET WITH SMALL CIRCLE ABOVE
    "\u29B3",  # EMPTY SET WITH RIGHT ARROW ABOVE
    "\u29B4",  # EMPTY SET WITH LEFT ARROW ABOVE
    "\u29B5",  # CIRCLE WITH HORIZONTAL BAR
    "\u29B6",  # CIRCLED VERTICAL BAR
    "\u29B7",  # CIRCLED PARALLEL
    "\u29B8",  # CIRCLED REVERSE SOLIDUS
    "\u29B9",  # CIRCLED PERPENDICULAR
    "\u29BA",  # CIRCLE DIVIDED BY HORIZONTAL BAR AND TOP HALF DIVIDED BY VERTICAL BAR
    "\u29BB",  # CIRCLE WITH SUPERIMPOSED X
    "\u29BC",  # CIRCLED ANTICLOCKWISE-ROTATED DIVISION SIGN
    "\u29BD",  # UP ARROW THROUGH CIRCLE
    "\u29BE",  # CIRCLED WHITE BULLET
    "\u29BF",  # CIRCLED BULLET
    "\u29C0",  # CIRCLED LESS-THAN
    "\u29C1",  # CIRCLED GREATER-THAN
    "\u29C2",  # CIRCLE WITH SMALL CIRCLE TO THE RIGHT
    "\u29C3",  # CIRCLE WITH TWO HORIZONTAL STROKES TO THE RIGHT
    "\u29C4",  # SQUARED RISING DIAGONAL SLASH
    "\u29C5",  # SQUARED FALLING DIAGONAL SLASH
    "\u29C6",  # SQUARED ASTERISK
    "\u29C7",  # SQUARED SMALL CIRCLE
    "\u29C8",  # SQUARED SQUARE
    "\u29C9",  # TWO JOINED SQUARES
    "\u29CA",  # TRIANGLE WITH DOT ABOVE
    "\u29CB",  # TRIANGLE WITH UNDERBAR
    "\u29CC",  # S IN TRIANGLE
    "\u29CD",  # TRIANGLE WITH SERIFS AT BOTTOM
    "\u29CE",  # RIGHT TRIANGLE ABOVE LEFT TRIANGLE
    "\u29CF",  # LEFT TRIANGLE BESIDE VERTICAL BAR
    "\u29D0",  # VERTICAL BAR BESIDE RIGHT TRIANGLE
    "\u29D1",  # BOWTIE WITH LEFT HALF BLACK
    "\u29D2",  # BOWTIE WITH RIGHT HALF BLACK
    "\u29D3",  # BLACK BOWTIE
    "\u29D4",  # TIMES WITH LEFT HALF BLACK
    "\u29D5",  # TIMES WITH RIGHT HALF BLACK
    "\u29D6",  # WHITE HOURGLASS
    "\u29D7",  # BLACK HOURGLASS
    "\u29D8",  # LEFT WIGGLY FENCE
    "\u29D9",  # RIGHT WIGGLY FENCE
    "\u29DA",  # LEFT DOUBLE WIGGLY FENCE
    "\u29DB",  # RIGHT DOUBLE WIGGLY FENCE
    "\u29DC",  # INCOMPLETE INFINITY
    "\u29DD",  # TIE OVER INFINITY
    "\u29DE",  # INFINITY NEGATED WITH VERTICAL BAR
    "\u29DF",  # DOUBLE-ENDED MULTIMAP
    "\u29E0",  # SQUARE WITH CONTOURED OUTLINE
    "\u29E1",  # INCREASES AS
    "\u29E2",  # SHUFFLE PRODUCT
    "\u29E3",  # EQUALS SIGN AND SLANTED PARALLEL
    "\u29E4",  # EQUALS SIGN AND SLANTED PARALLEL WITH TILDE ABOVE
    "\u29E5",  # IDENTICAL TO AND SLANTED PARALLEL
    "\u29E6",  # GLEICH STARK
    "\u29E7",  # THERMODYNAMIC
    "\u29E8",  # DOWN-POINTING TRIANGLE WITH LEFT HALF BLACK
    "\u29E9",  # DOWN-POINTING TRIANGLE WITH RIGHT HALF BLACK
    "\u29EA",  # BLACK DIAMOND WITH DOWN ARROW
    "\u29EB",  # BLACK LOZENGE
    "\u29EC",  # WHITE CIRCLE WITH DOWN ARROW
    "\u29ED",  # BLACK CIRCLE WITH DOWN ARROW
    "\u29EE",  # ERROR-BARRED WHITE SQUARE
    "\u29EF",  # ERROR-BARRED BLACK SQUARE
    "\u29F0",  # ERROR-BARRED WHITE DIAMOND
    "\u29F1",  # ERROR-BARRED BLACK DIAMOND
    "\u29F2",  # ERROR-BARRED WHITE CIRCLE
    "\u29F3",  # ERROR-BARRED BLACK CIRCLE
    "\u29F4",  # RULE-DELAYED
    "\u29F5",  # REVERSE SOLIDUS OPERATOR
    "\u29F6",  # SOLIDUS WITH OVERBAR
    "\u29F7",  # REVERSE SOLIDUS WITH HORIZONTAL STROKE
    "\u29F8",  # BIG SOLIDUS
    "\u29F9",  # BIG REVERSE SOLIDUS
    "\u29FA",  # DOUBLE PLUS
    "\u29FB",  # TRIPLE PLUS
    "\u29FC",  # LEFT-POINTING CURVED ANGLE BRACKET
    "\u29FD",  # RIGHT-POINTING CURVED ANGLE BRACKET
    "\u29FE",  # TINY
    "\u29FF",  # MINY
    "\u2A00",  # N-ARY CIRCLED DOT OPERATOR
    "\u2A01",  # N-ARY CIRCLED PLUS OPERATOR
    "\u2A02",  # N-ARY CIRCLED TIMES OPERATOR
    "\u2A03",  # N-ARY UNION OPERATOR WITH DOT
    "\u2A04",  # N-ARY UNION OPERATOR WITH PLUS
    "\u2A05",  # N-ARY SQUARE INTERSECTION OPERATOR
    "\u2A06",  # N-ARY SQUARE UNION OPERATOR
    "\u2A07",  # TWO LOGICAL AND OPERATOR
    "\u2A08",  # TWO LOGICAL OR OPERATOR
    "\u2A09",  # N-ARY TIMES OPERATOR
    "\u2A0A",  # MODULO TWO SUM
    "\u2A0B",  # SUMMATION WITH INTEGRAL
    "\u2A0C",  # QUADRUPLE INTEGRAL OPERATOR
    "\u2A0D",  # FINITE PART INTEGRAL
    "\u2A0E",  # INTEGRAL WITH DOUBLE STROKE
    "\u2A0F",  # INTEGRAL AVERAGE WITH SLASH
    "\u2A10",  # CIRCULATION FUNCTION
    "\u2A11",  # ANTICLOCKWISE INTEGRATION
    "\u2A12",  # LINE INTEGRATION WITH RECTANGULAR PATH AROUND POLE
    "\u2A13",  # LINE INTEGRATION WITH SEMICIRCULAR PATH AROUND POLE
    "\u2A14",  # LINE INTEGRATION NOT INCLUDING THE POLE
    "\u2A15",  # INTEGRAL AROUND A POINT OPERATOR
    "\u2A16",  # QUATERNION INTEGRAL OPERATOR
    "\u2A17",  # INTEGRAL WITH LEFTWARDS ARROW WITH HOOK
    "\u2A18",  # INTEGRAL WITH TIMES SIGN
    "\u2A19",  # INTEGRAL WITH INTERSECTION
    "\u2A1A",  # INTEGRAL WITH UNION
    "\u2A1B",  # INTEGRAL WITH OVERBAR
    "\u2A1C",  # INTEGRAL WITH UNDERBAR
    "\u2A1D",  # JOIN
    "\u2A1E",  # LARGE LEFT TRIANGLE OPERATOR
    "\u2A1F",  # Z NOTATION SCHEMA COMPOSITION
    "\u2A20",  # Z NOTATION SCHEMA PIPING
    "\u2A21",  # Z NOTATION SCHEMA PROJECTION
    "\u2A22",  # PLUS SIGN WITH SMALL CIRCLE ABOVE
    "\u2A23",  # PLUS SIGN WITH CIRCUMFLEX ACCENT ABOVE
    "\u2A24",  # PLUS SIGN WITH TILDE ABOVE
    "\u2A25",  # PLUS SIGN WITH DOT BELOW
    "\u2A26",  # PLUS SIGN WITH TILDE BELOW
    "\u2A27",  # PLUS SIGN WITH SUBSCRIPT TWO
    "\u2A28",  # PLUS SIGN WITH BLACK TRIANGLE
    "\u2A29",  # MINUS SIGN WITH COMMA ABOVE
    "\u2A2A",  # MINUS SIGN WITH DOT BELOW
    "\u2A2B",  # MINUS SIGN WITH FALLING DOTS
    "\u2A2C",  # MINUS SIGN WITH RISING DOTS
    "\u2A2D",  # PLUS SIGN IN LEFT HALF CIRCLE
    "\u2A2E",  # PLUS SIGN IN RIGHT HALF CIRCLE
    "\u2A2F",  # VECTOR OR CROSS PRODUCT
    "\u2A30",  # MULTIPLICATION SIGN WITH DOT ABOVE
    "\u2A31",  # MULTIPLICATION SIGN WITH UNDERBAR
    "\u2A32",  # SEMIDIRECT PRODUCT WITH BOTTOM CLOSED
    "\u2A33",  # SMASH PRODUCT
    "\u2A34",  # MULTIPLICATION SIGN IN LEFT HALF CIRCLE
    "\u2A35",  # MULTIPLICATION SIGN IN RIGHT HALF CIRCLE
    "\u2A36",  # CIRCLED MULTIPLICATION SIGN WITH CIRCUMFLEX ACCENT
    "\u2A37",  # MULTIPLICATION SIGN IN DOUBLE CIRCLE
    "\u2A38",  # CIRCLED DIVISION SIGN
    "\u2A39",  # PLUS SIGN IN TRIANGLE
    "\u2A3A",  # MINUS SIGN IN TRIANGLE
    "\u2A3B",  # MULTIPLICATION SIGN IN TRIANGLE
    "\u2A3C",  # INTERIOR PRODUCT
    "\u2A3D",  # RIGHTHAND INTERIOR PRODUCT
    "\u2A3E",  # Z NOTATION RELATIONAL COMPOSITION
    "\u2A3F",  # AMALGAMATION OR COPRODUCT
    "\u2A40",  # INTERSECTION WITH DOT
    "\u2A41",  # UNION WITH MINUS SIGN
    "\u2A42",  # UNION WITH OVERBAR
    "\u2A43",  # INTERSECTION WITH OVERBAR
    "\u2A44",  # INTERSECTION WITH LOGICAL AND
    "\u2A45",  # UNION WITH LOGICAL OR
    "\u2A46",  # UNION ABOVE INTERSECTION
    "\u2A47",  # INTERSECTION ABOVE UNION
    "\u2A48",  # UNION ABOVE BAR ABOVE INTERSECTION
    "\u2A49",  # INTERSECTION ABOVE BAR ABOVE UNION
    "\u2A4A",  # UNION BESIDE AND JOINED WITH UNION
    "\u2A4B",  # INTERSECTION BESIDE AND JOINED WITH INTERSECTION
    "\u2A4C",  # CLOSED UNION WITH SERIFS
    "\u2A4D",  # CLOSED INTERSECTION WITH SERIFS
    "\u2A4E",  # DOUBLE SQUARE INTERSECTION
    "\u2A4F",  # DOUBLE SQUARE UNION
    "\u2A50",  # CLOSED UNION WITH SERIFS AND SMASH PRODUCT
    "\u2A51",  # LOGICAL AND WITH DOT ABOVE
    "\u2A52",  # LOGICAL OR WITH DOT ABOVE
    "\u2A53",  # DOUBLE LOGICAL AND
    "\u2A54",  # DOUBLE LOGICAL OR
    "\u2A55",  # TWO INTERSECTING LOGICAL AND
    "\u2A56",  # TWO INTERSECTING LOGICAL OR
    "\u2A57",  # SLOPING LARGE OR
    "\u2A58",  # SLOPING LARGE AND
    "\u2A59",  # LOGICAL OR OVERLAPPING LOGICAL AND
    "\u2A5A",  # LOGICAL AND WITH MIDDLE STEM
    "\u2A5B",  # LOGICAL OR WITH MIDDLE STEM
    "\u2A5C",  # LOGICAL AND WITH HORIZONTAL DASH
    "\u2A5D",  # LOGICAL OR WITH HORIZONTAL DASH
    "\u2A5E",  # LOGICAL AND WITH DOUBLE OVERBAR
    "\u2A5F",  # LOGICAL AND WITH UNDERBAR
    "\u2A60",  # LOGICAL AND WITH DOUBLE UNDERBAR
    "\u2A61",  # SMALL VEE WITH UNDERBAR
    "\u2A62",  # LOGICAL OR WITH DOUBLE OVERBAR
    "\u2A63",  # LOGICAL OR WITH DOUBLE UNDERBAR
    "\u2A64",  # Z NOTATION DOMAIN ANTIRESTRICTION
    "\u2A65",  # Z NOTATION RANGE ANTIRESTRICTION
    "\u2A66",  # EQUALS SIGN WITH DOT BELOW
    "\u2A67",  # IDENTICAL WITH DOT ABOVE
    "\u2A68",  # TRIPLE HORIZONTAL BAR WITH DOUBLE VERTICAL STROKE
    "\u2A69",  # TRIPLE HORIZONTAL BAR WITH TRIPLE VERTICAL STROKE
    "\u2A6A",  # TILDE OPERATOR WITH DOT ABOVE
    "\u2A6B",  # TILDE OPERATOR WITH RISING DOTS
    "\u2A6C",  # SIMILAR MINUS SIMILAR
    "\u2A6D",  # CONGRUENT WITH DOT ABOVE
    "\u2A6E",  # EQUALS WITH ASTERISK
    "\u2A6F",  # ALMOST EQUAL TO WITH CIRCUMFLEX ACCENT
    "\u2A70",  # APPROXIMATELY EQUAL OR EQUAL TO
    "\u2A71",  # EQUALS SIGN ABOVE PLUS SIGN
    "\u2A72",  # PLUS SIGN ABOVE EQUALS SIGN
    "\u2A73",  # EQUALS SIGN ABOVE TILDE OPERATOR
    "\u2A74",  # DOUBLE COLON EQUAL
    "\u2A75",  # TWO CONSECUTIVE EQUALS SIGNS
    "\u2A76",  # THREE CONSECUTIVE EQUALS SIGNS
    "\u2A77",  # EQUALS SIGN WITH TWO DOTS ABOVE AND TWO DOTS BELOW
    "\u2A78",  # EQUIVALENT WITH FOUR DOTS ABOVE
    "\u2A79",  # LESS-THAN WITH CIRCLE INSIDE
    "\u2A7A",  # GREATER-THAN WITH CIRCLE INSIDE
    "\u2A7B",  # LESS-THAN WITH QUESTION MARK ABOVE
    "\u2A7C",  # GREATER-THAN WITH QUESTION MARK ABOVE
    "\u2A7D",  # LESS-THAN OR SLANTED EQUAL TO
    "\u2A7E",  # GREATER-THAN OR SLANTED EQUAL TO
    "\u2A7F",  # LESS-THAN OR SLANTED EQUAL TO WITH DOT INSIDE
    "\u2A80",  # GREATER-THAN OR SLANTED EQUAL TO WITH DOT INSIDE
    "\u2A81",  # LESS-THAN OR SLANTED EQUAL TO WITH DOT ABOVE
    "\u2A82",  # GREATER-THAN OR SLANTED EQUAL TO WITH DOT ABOVE
    "\u2A83",  # LESS-THAN OR SLANTED EQUAL TO WITH DOT ABOVE RIGHT
    "\u2A84",  # GREATER-THAN OR SLANTED EQUAL TO WITH DOT ABOVE LEFT
    "\u2A85",  # LESS-THAN OR APPROXIMATE
    "\u2A86",  # GREATER-THAN OR APPROXIMATE
    "\u2A87",  # LESS-THAN AND SINGLE-LINE NOT EQUAL TO
    "\u2A88",  # GREATER-THAN AND SINGLE-LINE NOT EQUAL TO
    "\u2A89",  # LESS-THAN AND NOT APPROXIMATE
    "\u2A8A",  # GREATER-THAN AND NOT APPROXIMATE
    "\u2A8B",  # LESS-THAN ABOVE DOUBLE-LINE EQUAL ABOVE GREATER-THAN
    "\u2A8C",  # GREATER-THAN ABOVE DOUBLE-LINE EQUAL ABOVE LESS-THAN
    "\u2A8D",  # LESS-THAN ABOVE SIMILAR OR EQUAL
    "\u2A8E",  # GREATER-THAN ABOVE SIMILAR OR EQUAL
    "\u2A8F",  # LESS-THAN ABOVE SIMILAR ABOVE GREATER-THAN
    "\u2A90",  # GREATER-THAN ABOVE SIMILAR ABOVE LESS-THAN
    "\u2A91",  # LESS-THAN ABOVE GREATER-THAN ABOVE DOUBLE-LINE EQUAL
    "\u2A92",  # GREATER-THAN ABOVE LESS-THAN ABOVE DOUBLE-LINE EQUAL
    "\u2A93",  # LESS-THAN ABOVE SLANTED EQUAL ABOVE GREATER-THAN ABOVE SLANTED EQUAL
    "\u2A94",  # GREATER-THAN ABOVE SLANTED EQUAL ABOVE LESS-THAN ABOVE SLANTED EQUAL
    "\u2A95",  # SLANTED EQUAL TO OR LESS-THAN
    "\u2A96",  # SLANTED EQUAL TO OR GREATER-THAN
    "\u2A97",  # SLANTED EQUAL TO OR LESS-THAN WITH DOT INSIDE
    "\u2A98",  # SLANTED EQUAL TO OR GREATER-THAN WITH DOT INSIDE
    "\u2A99",  # DOUBLE-LINE EQUAL TO OR LESS-THAN
    "\u2A9A",  # DOUBLE-LINE EQUAL TO OR GREATER-THAN
    "\u2A9B",  # DOUBLE-LINE SLANTED EQUAL TO OR LESS-THAN
    "\u2A9C",  # DOUBLE-LINE SLANTED EQUAL TO OR GREATER-THAN
    "\u2A9D",  # SIMILAR OR LESS-THAN
    "\u2A9E",  # SIMILAR OR GREATER-THAN
    "\u2A9F",  # SIMILAR ABOVE LESS-THAN ABOVE EQUALS SIGN
    "\u2AA0",  # SIMILAR ABOVE GREATER-THAN ABOVE EQUALS SIGN
    "\u2AA1",  # DOUBLE NESTED LESS-THAN
    "\u2AA2",  # DOUBLE NESTED GREATER-THAN
    "\u2AA3",  # DOUBLE NESTED LESS-THAN WITH UNDERBAR
    "\u2AA4",  # GREATER-THAN OVERLAPPING LESS-THAN
    "\u2AA5",  # GREATER-THAN BESIDE LESS-THAN
    "\u2AA6",  # LESS-THAN CLOSED BY CURVE
    "\u2AA7",  # GREATER-THAN CLOSED BY CURVE
    "\u2AA8",  # LESS-THAN CLOSED BY CURVE ABOVE SLANTED EQUAL
    "\u2AA9",  # GREATER-THAN CLOSED BY CURVE ABOVE SLANTED EQUAL
    "\u2AAA",  # SMALLER THAN
    "\u2AAB",  # LARGER THAN
    "\u2AAC",  # SMALLER THAN OR EQUAL TO
    "\u2AAD",  # LARGER THAN OR EQUAL TO
    "\u2AAE",  # EQUALS SIGN WITH BUMPY ABOVE
    "\u2AAF",  # PRECEDES ABOVE SINGLE-LINE EQUALS SIGN
    "\u2AB0",  # SUCCEEDS ABOVE SINGLE-LINE EQUALS SIGN
    "\u2AB1",  # PRECEDES ABOVE SINGLE-LINE NOT EQUAL TO
    "\u2AB2",  # SUCCEEDS ABOVE SINGLE-LINE NOT EQUAL TO
    "\u2AB3",  # PRECEDES ABOVE EQUALS SIGN
    "\u2AB4",  # SUCCEEDS ABOVE EQUALS SIGN
    "\u2AB5",  # PRECEDES ABOVE NOT EQUAL TO
    "\u2AB6",  # SUCCEEDS ABOVE NOT EQUAL TO
    "\u2AB7",  # PRECEDES ABOVE ALMOST EQUAL TO
    "\u2AB8",  # SUCCEEDS ABOVE ALMOST EQUAL TO
    "\u2AB9",  # PRECEDES ABOVE NOT ALMOST EQUAL TO
    "\u2ABA",  # SUCCEEDS ABOVE NOT ALMOST EQUAL TO
    "\u2ABB",  # DOUBLE PRECEDES
    "\u2ABC",  # DOUBLE SUCCEEDS
    "\u2ABD",  # SUBSET WITH DOT
    "\u2ABE",  # SUPERSET WITH DOT
    "\u2ABF",  # SUBSET WITH PLUS SIGN BELOW
    "\u2AC0",  # SUPERSET WITH PLUS SIGN BELOW
    "\u2AC1",  # SUBSET WITH MULTIPLICATION SIGN BELOW
    "\u2AC2",  # SUPERSET WITH MULTIPLICATION SIGN BELOW
    "\u2AC3",  # SUBSET OF OR EQUAL TO WITH DOT ABOVE
    "\u2AC4",  # SUPERSET OF OR EQUAL TO WITH DOT ABOVE
    "\u2AC5",  # SUBSET OF ABOVE EQUALS SIGN
    "\u2AC6",  # SUPERSET OF ABOVE EQUALS SIGN
    "\u2AC7",  # SUBSET OF ABOVE TILDE OPERATOR
    "\u2AC8",  # SUPERSET OF ABOVE TILDE OPERATOR
    "\u2AC9",  # SUBSET OF ABOVE ALMOST EQUAL TO
    "\u2ACA",  # SUPERSET OF ABOVE ALMOST EQUAL TO
    "\u2ACB",  # SUBSET OF ABOVE NOT EQUAL TO
    "\u2ACC",  # SUPERSET OF ABOVE NOT EQUAL TO
    "\u2ACD",  # SQUARE LEFT OPEN BOX OPERATOR
    "\u2ACE",  # SQUARE RIGHT OPEN BOX OPERATOR
    "\u2ACF",  # CLOSED SUBSET
    "\u2AD0",  # CLOSED SUPERSET
    "\u2AD1",  # CLOSED SUBSET OR EQUAL TO
    "\u2AD2",  # CLOSED SUPERSET OR EQUAL TO
    "\u2AD3",  # SUBSET ABOVE SUPERSET
    "\u2AD4",  # SUPERSET ABOVE SUBSET
    "\u2AD5",  # SUBSET ABOVE SUBSET
    "\u2AD6",  # SUPERSET ABOVE SUPERSET
    "\u2AD7",  # SUPERSET BESIDE SUBSET
    "\u2AD8",  # SUPERSET BESIDE AND JOINED BY DASH WITH SUBSET
    "\u2AD9",  # ELEMENT OF OPENING DOWNWARDS
    "\u2ADA",  # PITCHFORK WITH TEE TOP
    "\u2ADB",  # TRANSVERSAL INTERSECTION
    "\u2ADC",  # FORKING
    "\u2ADD",  # NONFORKING
    "\u2ADE",  # SHORT LEFT TACK
    "\u2ADF",  # SHORT DOWN TACK
    "\u2AE0",  # SHORT UP TACK
    "\u2AE1",  # PERPENDICULAR WITH S
    "\u2AE2",  # VERTICAL BAR TRIPLE RIGHT TURNSTILE
    "\u2AE3",  # DOUBLE VERTICAL BAR LEFT TURNSTILE
    "\u2AE4",  # VERTICAL BAR DOUBLE LEFT TURNSTILE
    "\u2AE5",  # DOUBLE VERTICAL BAR DOUBLE LEFT TURNSTILE
    "\u2AE6",  # LONG DASH FROM LEFT MEMBER OF DOUBLE VERTICAL
    "\u2AE7",  # SHORT DOWN TACK WITH OVERBAR
    "\u2AE8",  # SHORT UP TACK WITH UNDERBAR
    "\u2AE9",  # SHORT UP TACK ABOVE SHORT DOWN TACK
    "\u2AEA",  # DOUBLE DOWN TACK
    "\u2AEB",  # DOUBLE UP TACK
    "\u2AEC",  # DOUBLE STROKE NOT SIGN
    "\u2AED",  # REVERSED DOUBLE STROKE NOT SIGN
    "\u2AEE",  # DOES NOT DIVIDE WITH REVERSED NEGATION SLASH
    "\u2AEF",  # VERTICAL LINE WITH CIRCLE ABOVE
    "\u2AF0",  # VERTICAL LINE WITH CIRCLE BELOW
    "\u2AF1",  # DOWN TACK WITH CIRCLE BELOW
    "\u2AF2",  # PARALLEL WITH HORIZONTAL STROKE
    "\u2AF3",  # PARALLEL WITH TILDE OPERATOR
    "\u2AF4",  # TRIPLE VERTICAL BAR BINARY RELATION
    "\u2AF5",  # TRIPLE VERTICAL BAR WITH HORIZONTAL STROKE
    "\u2AF6",  # TRIPLE COLON OPERATOR
    "\u2AF7",  # TRIPLE NESTED LESS-THAN
    "\u2AF8",  # TRIPLE NESTED GREATER-THAN
    "\u2AF9",  # DOUBLE-LINE SLANTED LESS-THAN OR EQUAL TO
    "\u2AFA",  # DOUBLE-LINE SLANTED GREATER-THAN OR EQUAL TO
    "\u2AFB",  # TRIPLE SOLIDUS BINARY RELATION
    "\u2AFC",  # LARGE TRIPLE VERTICAL BAR OPERATOR
    "\u2AFD",  # DOUBLE SOLIDUS OPERATOR
    "\u2AFE",  # WHITE VERTICAL BAR
    "\u2AFF",  # N-ARY WHITE VERTICAL BAR
    "\u2B00",  # NORTH EAST WHITE ARROW
    "\u2B01",  # NORTH WEST WHITE ARROW
    "\u2B02",  # SOUTH EAST WHITE ARROW
    "\u2B03",  # SOUTH WEST WHITE ARROW
    "\u2B04",  # LEFT RIGHT WHITE ARROW
    "\u2B05",  # LEFTWARDS BLACK ARROW
    "\u2B06",  # UPWARDS BLACK ARROW
    "\u2B07",  # DOWNWARDS BLACK ARROW
    "\u2B08",  # NORTH EAST BLACK ARROW
    "\u2B09",  # NORTH WEST BLACK ARROW
    "\u2B0A",  # SOUTH EAST BLACK ARROW
    "\u2B0B",  # SOUTH WEST BLACK ARROW
    "\u2B0C",  # LEFT RIGHT BLACK ARROW
    "\u2B0D",  # UP DOWN BLACK ARROW
    "\u2B0E",  # RIGHTWARDS ARROW WITH TIP DOWNWARDS
    "\u2B0F",  # RIGHTWARDS ARROW WITH TIP UPWARDS
    "\u2B10",  # LEFTWARDS ARROW WITH TIP DOWNWARDS
    "\u2B11",  # LEFTWARDS ARROW WITH TIP UPWARDS
    "\u2B12",  # SQUARE WITH TOP HALF BLACK
    "\u2B13",  # SQUARE WITH BOTTOM HALF BLACK
    "\u2B14",  # SQUARE WITH UPPER RIGHT DIAGONAL HALF BLACK
    "\u2B15",  # SQUARE WITH LOWER LEFT DIAGONAL HALF BLACK
    "\u2B16",  # DIAMOND WITH LEFT HALF BLACK
    "\u2B17",  # DIAMOND WITH RIGHT HALF BLACK
    "\u2B18",  # DIAMOND WITH TOP HALF BLACK
    "\u2B19",  # DIAMOND WITH BOTTOM HALF BLACK
    "\u2B1A",  # DOTTED SQUARE
    "\u2B1B",  # BLACK LARGE SQUARE
    "\u2B1C",  # WHITE LARGE SQUARE
    "\u2B1D",  # BLACK VERY SMALL SQUARE
    "\u2B1E",  # WHITE VERY SMALL SQUARE
    "\u2B1F",  # BLACK PENTAGON
    "\u2B20",  # WHITE PENTAGON
    "\u2B21",  # WHITE HEXAGON
    "\u2B22",  # BLACK HEXAGON
    "\u2B23",  # HORIZONTAL BLACK HEXAGON
    "\u2B24",  # BLACK LARGE CIRCLE
    "\u2B25",  # BLACK MEDIUM DIAMOND
    "\u2B26",  # WHITE MEDIUM DIAMOND
    "\u2B27",  # BLACK MEDIUM LOZENGE
    "\u2B28",  # WHITE MEDIUM LOZENGE
    "\u2B29",  # BLACK SMALL DIAMOND
    "\u2B2A",  # BLACK SMALL LOZENGE
    "\u2B2B",  # WHITE SMALL LOZENGE
    "\u2B2C",  # BLACK HORIZONTAL ELLIPSE
    "\u2B2D",  # WHITE HORIZONTAL ELLIPSE
    "\u2B2E",  # BLACK VERTICAL ELLIPSE
    "\u2B2F",  # WHITE VERTICAL ELLIPSE
    "\u2B30",  # LEFT ARROW WITH SMALL CIRCLE
    "\u2B31",  # THREE LEFTWARDS ARROWS
    "\u2B32",  # LEFT ARROW WITH CIRCLED PLUS
    "\u2B33",  # LONG LEFTWARDS SQUIGGLE ARROW
    "\u2B34",  # LEFTWARDS TWO-HEADED ARROW WITH VERTICAL STROKE
    "\u2B35",  # LEFTWARDS TWO-HEADED ARROW WITH DOUBLE VERTICAL STROKE
    "\u2B36",  # LEFTWARDS TWO-HEADED ARROW FROM BAR
    "\u2B37",  # LEFTWARDS TWO-HEADED TRIPLE DASH ARROW
    "\u2B38",  # LEFTWARDS ARROW WITH DOTTED STEM
    "\u2B39",  # LEFTWARDS ARROW WITH TAIL WITH VERTICAL STROKE
    "\u2B3A",  # LEFTWARDS ARROW WITH TAIL WITH DOUBLE VERTICAL STROKE
    "\u2B3B",  # LEFTWARDS TWO-HEADED ARROW WITH TAIL
    "\u2B3C",  # LEFTWARDS TWO-HEADED ARROW WITH TAIL WITH VERTICAL STROKE
    "\u2B3D",  # LEFTWARDS TWO-HEADED ARROW WITH TAIL WITH DOUBLE VERTICAL STROKE
    "\u2B3E",  # LEFTWARDS ARROW THROUGH X
    "\u2B3F",  # WAVE ARROW POINTING DIRECTLY LEFT
    "\u2B40",  # EQUALS SIGN ABOVE LEFTWARDS ARROW
    "\u2B41",  # REVERSE TILDE OPERATOR ABOVE LEFTWARDS ARROW
    "\u2B42",  # LEFTWARDS ARROW ABOVE REVERSE ALMOST EQUAL TO
    "\u2B43",  # RIGHTWARDS ARROW THROUGH GREATER-THAN
    "\u2B44",  # RIGHTWARDS ARROW THROUGH SUPERSET
    "\u2B45",  # LEFTWARDS QUADRUPLE ARROW
    "\u2B46",  # RIGHTWARDS QUADRUPLE ARROW
    "\u2B47",  # REVERSE TILDE OPERATOR ABOVE RIGHTWARDS ARROW
    "\u2B48",  # RIGHTWARDS ARROW ABOVE REVERSE ALMOST EQUAL TO
    "\u2B49",  # TILDE OPERATOR ABOVE LEFTWARDS ARROW
    "\u2B4A",  # LEFTWARDS ARROW ABOVE ALMOST EQUAL TO
    "\u2B4B",  # LEFTWARDS ARROW ABOVE REVERSE TILDE OPERATOR
    "\u2B4C",  # RIGHTWARDS ARROW ABOVE REVERSE TILDE OPERATOR
    "\u2B4D",  # DOWNWARDS TRIANGLE-HEADED ZIGZAG ARROW
    "\u2B4E",  # SHORT SLANTED NORTH ARROW
    "\u2B4F",  # SHORT BACKSLANTED SOUTH ARROW
    "\u2B50",  # WHITE MEDIUM STAR
    "\u2B51",  # BLACK SMALL STAR
    "\u2B52",  # WHITE SMALL STAR
    "\u2B53",  # BLACK RIGHT-POINTING PENTAGON
    "\u2B54",  # WHITE RIGHT-POINTING PENTAGON
    "\u2B55",  # HEAVY LARGE CIRCLE
    "\u2B56",  # HEAVY OVAL WITH OVAL INSIDE
    "\u2B57",  # HEAVY CIRCLE WITH CIRCLE INSIDE
    "\u2B58",  # HEAVY CIRCLE
    "\u2B59",  # HEAVY CIRCLED SALTIRE
    "\u2B5A",  # SLANTED NORTH ARROW WITH HOOKED HEAD
    "\u2B5B",  # BACKSLANTED SOUTH ARROW WITH HOOKED TAIL
    "\u2B5C",  # SLANTED NORTH ARROW WITH HORIZONTAL TAIL
    "\u2B5D",  # BACKSLANTED SOUTH ARROW WITH HORIZONTAL TAIL
    "\u2B5E",  # BENT ARROW POINTING DOWNWARDS THEN NORTH EAST
    "\u2B5F",  # SHORT BENT ARROW POINTING DOWNWARDS THEN NORTH EAST
    "\u2B60",  # LEFTWARDS TRIANGLE-HEADED ARROW
    "\u2B61",  # UPWARDS TRIANGLE-HEADED ARROW
    "\u2B62",  # RIGHTWARDS TRIANGLE-HEADED ARROW
    "\u2B63",  # DOWNWARDS TRIANGLE-HEADED ARROW
    "\u2B64",  # LEFT RIGHT TRIANGLE-HEADED ARROW
    "\u2B65",  # UP DOWN TRIANGLE-HEADED ARROW
    "\u2B66",  # NORTH WEST TRIANGLE-HEADED ARROW
    "\u2B67",  # NORTH EAST TRIANGLE-HEADED ARROW
    "\u2B68",  # SOUTH EAST TRIANGLE-HEADED ARROW
    "\u2B69",  # SOUTH WEST TRIANGLE-HEADED ARROW
    "\u2B6A",  # LEFTWARDS TRIANGLE-HEADED DASHED ARROW
    "\u2B6B",  # UPWARDS TRIANGLE-HEADED DASHED ARROW
    "\u2B6C",  # RIGHTWARDS TRIANGLE-HEADED DASHED ARROW
    "\u2B6D",  # DOWNWARDS TRIANGLE-HEADED DASHED ARROW
    "\u2B6E",  # CLOCKWISE TRIANGLE-HEADED OPEN CIRCLE ARROW
    "\u2B6F",  # ANTICLOCKWISE TRIANGLE-HEADED OPEN CIRCLE ARROW
    "\u2B70",  # LEFTWARDS TRIANGLE-HEADED ARROW TO BAR
    "\u2B71",  # UPWARDS TRIANGLE-HEADED ARROW TO BAR
    "\u2B72",  # RIGHTWARDS TRIANGLE-HEADED ARROW TO BAR
    "\u2B73",  # DOWNWARDS TRIANGLE-HEADED ARROW TO BAR
    "\u2B76",  # NORTH WEST TRIANGLE-HEADED ARROW TO BAR
    "\u2B77",  # NORTH EAST TRIANGLE-HEADED ARROW TO BAR
    "\u2B78",  # SOUTH EAST TRIANGLE-HEADED ARROW TO BAR
    "\u2B79",  # SOUTH WEST TRIANGLE-HEADED ARROW TO BAR
    "\u2B7A",  # LEFTWARDS TRIANGLE-HEADED ARROW WITH DOUBLE HORIZONTAL STROKE
    "\u2B7B",  # UPWARDS TRIANGLE-HEADED ARROW WITH DOUBLE HORIZONTAL STROKE
    "\u2B7C",  # RIGHTWARDS TRIANGLE-HEADED ARROW WITH DOUBLE HORIZONTAL STROKE
    "\u2B7D",  # DOWNWARDS TRIANGLE-HEADED ARROW WITH DOUBLE HORIZONTAL STROKE
    "\u2B7E",  # HORIZONTAL TAB KEY
    "\u2B7F",  # VERTICAL TAB KEY
    "\u2B80",  # LEFTWARDS TRIANGLE-HEADED ARROW OVER RIGHTWARDS TRIANGLE-HEADED ARROW
    "\u2B81",  # UPWARDS TRIANGLE-HEADED ARROW LEFTWARDS OF DOWNWARDS TRIANGLE-HEADED ARROW
    "\u2B82",  # RIGHTWARDS TRIANGLE-HEADED ARROW OVER LEFTWARDS TRIANGLE-HEADED ARROW
    "\u2B83",  # DOWNWARDS TRIANGLE-HEADED ARROW LEFTWARDS OF UPWARDS TRIANGLE-HEADED ARROW
    "\u2B84",  # LEFTWARDS TRIANGLE-HEADED PAIRED ARROWS
    "\u2B85",  # UPWARDS TRIANGLE-HEADED PAIRED ARROWS
    "\u2B86",  # RIGHTWARDS TRIANGLE-HEADED PAIRED ARROWS
    "\u2B87",  # DOWNWARDS TRIANGLE-HEADED PAIRED ARROWS
    "\u2B88",  # LEFTWARDS BLACK CIRCLED WHITE ARROW
    "\u2B89",  # UPWARDS BLACK CIRCLED WHITE ARROW
    "\u2B8A",  # RIGHTWARDS BLACK CIRCLED WHITE ARROW
    "\u2B8B",  # DOWNWARDS BLACK CIRCLED WHITE ARROW
    "\u2B8C",  # ANTICLOCKWISE TRIANGLE-HEADED RIGHT U-SHAPED ARROW
    "\u2B8D",  # ANTICLOCKWISE TRIANGLE-HEADED BOTTOM U-SHAPED ARROW
    "\u2B8E",  # ANTICLOCKWISE TRIANGLE-HEADED LEFT U-SHAPED ARROW
    "\u2B8F",  # ANTICLOCKWISE TRIANGLE-HEADED TOP U-SHAPED ARROW
    "\u2B90",  # RETURN LEFT
    "\u2B91",  # RETURN RIGHT
    "\u2B92",  # NEWLINE LEFT
    "\u2B93",  # NEWLINE RIGHT
    "\u2B94",  # FOUR CORNER ARROWS CIRCLING ANTICLOCKWISE
    "\u2B95",  # RIGHTWARDS BLACK ARROW
    "\u2B98",  # THREE-D TOP-LIGHTED LEFTWARDS EQUILATERAL ARROWHEAD
    "\u2B99",  # THREE-D RIGHT-LIGHTED UPWARDS EQUILATERAL ARROWHEAD
    "\u2B9A",  # THREE-D TOP-LIGHTED RIGHTWARDS EQUILATERAL ARROWHEAD
    "\u2B9B",  # THREE-D LEFT-LIGHTED DOWNWARDS EQUILATERAL ARROWHEAD
    "\u2B9C",  # BLACK LEFTWARDS EQUILATERAL ARROWHEAD
    "\u2B9D",  # BLACK UPWARDS EQUILATERAL ARROWHEAD
    "\u2B9E",  # BLACK RIGHTWARDS EQUILATERAL ARROWHEAD
    "\u2B9F",  # BLACK DOWNWARDS EQUILATERAL ARROWHEAD
    "\u2BA0",  # DOWNWARDS TRIANGLE-HEADED ARROW WITH LONG TIP LEFTWARDS
    "\u2BA1",  # DOWNWARDS TRIANGLE-HEADED ARROW WITH LONG TIP RIGHTWARDS
    "\u2BA2",  # UPWARDS TRIANGLE-HEADED ARROW WITH LONG TIP LEFTWARDS
    "\u2BA3",  # UPWARDS TRIANGLE-HEADED ARROW WITH LONG TIP RIGHTWARDS
    "\u2BA4",  # LEFTWARDS TRIANGLE-HEADED ARROW WITH LONG TIP UPWARDS
    "\u2BA5",  # RIGHTWARDS TRIANGLE-HEADED ARROW WITH LONG TIP UPWARDS
    "\u2BA6",  # LEFTWARDS TRIANGLE-HEADED ARROW WITH LONG TIP DOWNWARDS
    "\u2BA7",  # RIGHTWARDS TRIANGLE-HEADED ARROW WITH LONG TIP DOWNWARDS
    "\u2BA8",  # BLACK CURVED DOWNWARDS AND LEFTWARDS ARROW
    "\u2BA9",  # BLACK CURVED DOWNWARDS AND RIGHTWARDS ARROW
    "\u2BAA",  # BLACK CURVED UPWARDS AND LEFTWARDS ARROW
    "\u2BAB",  # BLACK CURVED UPWARDS AND RIGHTWARDS ARROW
    "\u2BAC",  # BLACK CURVED LEFTWARDS AND UPWARDS ARROW
    "\u2BAD",  # BLACK CURVED RIGHTWARDS AND UPWARDS ARROW
    "\u2BAE",  # BLACK CURVED LEFTWARDS AND DOWNWARDS ARROW
    "\u2BAF",  # BLACK CURVED RIGHTWARDS AND DOWNWARDS ARROW
    "\u2BB0",  # RIBBON ARROW DOWN LEFT
    "\u2BB1",  # RIBBON ARROW DOWN RIGHT
    "\u2BB2",  # RIBBON ARROW UP LEFT
    "\u2BB3",  # RIBBON ARROW UP RIGHT
    "\u2BB4",  # RIBBON ARROW LEFT UP
    "\u2BB5",  # RIBBON ARROW RIGHT UP
    "\u2BB6",  # RIBBON ARROW LEFT DOWN
    "\u2BB7",  # RIBBON ARROW RIGHT DOWN
    "\u2BB8",  # UPWARDS WHITE ARROW FROM BAR WITH HORIZONTAL BAR
    "\u2BB9",  # UP ARROWHEAD IN A RECTANGLE BOX
    "\u2BBD",  # BALLOT BOX WITH LIGHT X
    "\u2BBE",  # CIRCLED X
    "\u2BBF",  # CIRCLED BOLD X
    "\u2BC0",  # BLACK SQUARE CENTRED
    "\u2BC1",  # BLACK DIAMOND CENTRED
    "\u2BC2",  # TURNED BLACK PENTAGON
    "\u2BC3",  # HORIZONTAL BLACK OCTAGON
    "\u2BC4",  # BLACK OCTAGON
    "\u2BC5",  # BLACK MEDIUM UP-POINTING TRIANGLE CENTRED
    "\u2BC6",  # BLACK MEDIUM DOWN-POINTING TRIANGLE CENTRED
    "\u2BC7",  # BLACK MEDIUM LEFT-POINTING TRIANGLE CENTRED
    "\u2BC8",  # BLACK MEDIUM RIGHT-POINTING TRIANGLE CENTRED
    "\u2BCA",  # TOP HALF BLACK CIRCLE
    "\u2BCB",  # BOTTOM HALF BLACK CIRCLE
    "\u2BCC",  # LIGHT FOUR POINTED BLACK CUSP
    "\u2BCD",  # ROTATED LIGHT FOUR POINTED BLACK CUSP
    "\u2BCE",  # WHITE FOUR POINTED CUSP
    "\u2BCF",  # ROTATED WHITE FOUR POINTED CUSP
    "\u2BD0",  # SQUARE POSITION INDICATOR
    "\u2BD1",  # UNCERTAINTY SIGN
    "\u2BD2",  # GROUP MARK
    "\u2BEC",  # LEFTWARDS TWO-HEADED ARROW WITH TRIANGLE ARROWHEADS
    "\u2BED",  # UPWARDS TWO-HEADED ARROW WITH TRIANGLE ARROWHEADS
    "\u2BEE",  # RIGHTWARDS TWO-HEADED ARROW WITH TRIANGLE ARROWHEADS
    "\u2BEF",  # DOWNWARDS TWO-HEADED ARROW WITH TRIANGLE ARROWHEADS
    "\u2C00",  # GLAGOLITIC CAPITAL LETTER AZU
    "\u2C01",  # GLAGOLITIC CAPITAL LETTER BUKY
    "\u2C02",  # GLAGOLITIC CAPITAL LETTER VEDE
    "\u2C03",  # GLAGOLITIC CAPITAL LETTER GLAGOLI
    "\u2C04",  # GLAGOLITIC CAPITAL LETTER DOBRO
    "\u2C05",  # GLAGOLITIC CAPITAL LETTER YESTU
    "\u2C06",  # GLAGOLITIC CAPITAL LETTER ZHIVETE
    "\u2C07",  # GLAGOLITIC CAPITAL LETTER DZELO
    "\u2C08",  # GLAGOLITIC CAPITAL LETTER ZEMLJA
    "\u2C09",  # GLAGOLITIC CAPITAL LETTER IZHE
    "\u2C0A",  # GLAGOLITIC CAPITAL LETTER INITIAL IZHE
    "\u2C0B",  # GLAGOLITIC CAPITAL LETTER I
    "\u2C0C",  # GLAGOLITIC CAPITAL LETTER DJERVI
    "\u2C0D",  # GLAGOLITIC CAPITAL LETTER KAKO
    "\u2C0E",  # GLAGOLITIC CAPITAL LETTER LJUDIJE
    "\u2C0F",  # GLAGOLITIC CAPITAL LETTER MYSLITE
    "\u2C10",  # GLAGOLITIC CAPITAL LETTER NASHI
    "\u2C11",  # GLAGOLITIC CAPITAL LETTER ONU
    "\u2C12",  # GLAGOLITIC CAPITAL LETTER POKOJI
    "\u2C13",  # GLAGOLITIC CAPITAL LETTER RITSI
    "\u2C14",  # GLAGOLITIC CAPITAL LETTER SLOVO
    "\u2C15",  # GLAGOLITIC CAPITAL LETTER TVRIDO
    "\u2C16",  # GLAGOLITIC CAPITAL LETTER UKU
    "\u2C17",  # GLAGOLITIC CAPITAL LETTER FRITU
    "\u2C18",  # GLAGOLITIC CAPITAL LETTER HERU
    "\u2C19",  # GLAGOLITIC CAPITAL LETTER OTU
    "\u2C1A",  # GLAGOLITIC CAPITAL LETTER PE
    "\u2C1B",  # GLAGOLITIC CAPITAL LETTER SHTA
    "\u2C1C",  # GLAGOLITIC CAPITAL LETTER TSI
    "\u2C1D",  # GLAGOLITIC CAPITAL LETTER CHRIVI
    "\u2C1E",  # GLAGOLITIC CAPITAL LETTER SHA
    "\u2C1F",  # GLAGOLITIC CAPITAL LETTER YERU
    "\u2C20",  # GLAGOLITIC CAPITAL LETTER YERI
    "\u2C21",  # GLAGOLITIC CAPITAL LETTER YATI
    "\u2C22",  # GLAGOLITIC CAPITAL LETTER SPIDERY HA
    "\u2C23",  # GLAGOLITIC CAPITAL LETTER YU
    "\u2C24",  # GLAGOLITIC CAPITAL LETTER SMALL YUS
    "\u2C25",  # GLAGOLITIC CAPITAL LETTER SMALL YUS WITH TAIL
    "\u2C26",  # GLAGOLITIC CAPITAL LETTER YO
    "\u2C27",  # GLAGOLITIC CAPITAL LETTER IOTATED SMALL YUS
    "\u2C28",  # GLAGOLITIC CAPITAL LETTER BIG YUS
    "\u2C29",  # GLAGOLITIC CAPITAL LETTER IOTATED BIG YUS
    "\u2C2A",  # GLAGOLITIC CAPITAL LETTER FITA
    "\u2C2B",  # GLAGOLITIC CAPITAL LETTER IZHITSA
    "\u2C2C",  # GLAGOLITIC CAPITAL LETTER SHTAPIC
    "\u2C2D",  # GLAGOLITIC CAPITAL LETTER TROKUTASTI A
    "\u2C2E",  # GLAGOLITIC CAPITAL LETTER LATINATE MYSLITE
    "\u2C30",  # GLAGOLITIC SMALL LETTER AZU
    "\u2C31",  # GLAGOLITIC SMALL LETTER BUKY
    "\u2C32",  # GLAGOLITIC SMALL LETTER VEDE
    "\u2C33",  # GLAGOLITIC SMALL LETTER GLAGOLI
    "\u2C34",  # GLAGOLITIC SMALL LETTER DOBRO
    "\u2C35",  # GLAGOLITIC SMALL LETTER YESTU
    "\u2C36",  # GLAGOLITIC SMALL LETTER ZHIVETE
    "\u2C37",  # GLAGOLITIC SMALL LETTER DZELO
    "\u2C38",  # GLAGOLITIC SMALL LETTER ZEMLJA
    "\u2C39",  # GLAGOLITIC SMALL LETTER IZHE
    "\u2C3A",  # GLAGOLITIC SMALL LETTER INITIAL IZHE
    "\u2C3B",  # GLAGOLITIC SMALL LETTER I
    "\u2C3C",  # GLAGOLITIC SMALL LETTER DJERVI
    "\u2C3D",  # GLAGOLITIC SMALL LETTER KAKO
    "\u2C3E",  # GLAGOLITIC SMALL LETTER LJUDIJE
    "\u2C3F",  # GLAGOLITIC SMALL LETTER MYSLITE
    "\u2C40",  # GLAGOLITIC SMALL LETTER NASHI
    "\u2C41",  # GLAGOLITIC SMALL LETTER ONU
    "\u2C42",  # GLAGOLITIC SMALL LETTER POKOJI
    "\u2C43",  # GLAGOLITIC SMALL LETTER RITSI
    "\u2C44",  # GLAGOLITIC SMALL LETTER SLOVO
    "\u2C45",  # GLAGOLITIC SMALL LETTER TVRIDO
    "\u2C46",  # GLAGOLITIC SMALL LETTER UKU
    "\u2C47",  # GLAGOLITIC SMALL LETTER FRITU
    "\u2C48",  # GLAGOLITIC SMALL LETTER HERU
    "\u2C49",  # GLAGOLITIC SMALL LETTER OTU
    "\u2C4A",  # GLAGOLITIC SMALL LETTER PE
    "\u2C4B",  # GLAGOLITIC SMALL LETTER SHTA
    "\u2C4C",  # GLAGOLITIC SMALL LETTER TSI
    "\u2C4D",  # GLAGOLITIC SMALL LETTER CHRIVI
    "\u2C4E",  # GLAGOLITIC SMALL LETTER SHA
    "\u2C4F",  # GLAGOLITIC SMALL LETTER YERU
    "\u2C50",  # GLAGOLITIC SMALL LETTER YERI
    "\u2C51",  # GLAGOLITIC SMALL LETTER YATI
    "\u2C52",  # GLAGOLITIC SMALL LETTER SPIDERY HA
    "\u2C53",  # GLAGOLITIC SMALL LETTER YU
    "\u2C54",  # GLAGOLITIC SMALL LETTER SMALL YUS
    "\u2C55",  # GLAGOLITIC SMALL LETTER SMALL YUS WITH TAIL
    "\u2C56",  # GLAGOLITIC SMALL LETTER YO
    "\u2C57",  # GLAGOLITIC SMALL LETTER IOTATED SMALL YUS
    "\u2C58",  # GLAGOLITIC SMALL LETTER BIG YUS
    "\u2C59",  # GLAGOLITIC SMALL LETTER IOTATED BIG YUS
    "\u2C5A",  # GLAGOLITIC SMALL LETTER FITA
    "\u2C5B",  # GLAGOLITIC SMALL LETTER IZHITSA
    "\u2C5C",  # GLAGOLITIC SMALL LETTER SHTAPIC
    "\u2C5D",  # GLAGOLITIC SMALL LETTER TROKUTASTI A
    "\u2C5E",  # GLAGOLITIC SMALL LETTER LATINATE MYSLITE
    "\u2C60",  # LATIN CAPITAL LETTER L WITH DOUBLE BAR
    "\u2C61",  # LATIN SMALL LETTER L WITH DOUBLE BAR
    "\u2C62",  # LATIN CAPITAL LETTER L WITH MIDDLE TILDE
    "\u2C63",  # LATIN CAPITAL LETTER P WITH STROKE
    "\u2C64",  # LATIN CAPITAL LETTER R WITH TAIL
    "\u2C65",  # LATIN SMALL LETTER A WITH STROKE
    "\u2C66",  # LATIN SMALL LETTER T WITH DIAGONAL STROKE
    "\u2C67",  # LATIN CAPITAL LETTER H WITH DESCENDER
    "\u2C68",  # LATIN SMALL LETTER H WITH DESCENDER
    "\u2C69",  # LATIN CAPITAL LETTER K WITH DESCENDER
    "\u2C6A",  # LATIN SMALL LETTER K WITH DESCENDER
    "\u2C6B",  # LATIN CAPITAL LETTER Z WITH DESCENDER
    "\u2C6C",  # LATIN SMALL LETTER Z WITH DESCENDER
    "\u2C6D",  # LATIN CAPITAL LETTER ALPHA
    "\u2C6E",  # LATIN CAPITAL LETTER M WITH HOOK
    "\u2C6F",  # LATIN CAPITAL LETTER TURNED A
    "\u2C70",  # LATIN CAPITAL LETTER TURNED ALPHA
    "\u2C71",  # LATIN SMALL LETTER V WITH RIGHT HOOK
    "\u2C72",  # LATIN CAPITAL LETTER W WITH HOOK
    "\u2C73",  # LATIN SMALL LETTER W WITH HOOK
    "\u2C74",  # LATIN SMALL LETTER V WITH CURL
    "\u2C75",  # LATIN CAPITAL LETTER HALF H
    "\u2C76",  # LATIN SMALL LETTER HALF H
    "\u2C77",  # LATIN SMALL LETTER TAILLESS PHI
    "\u2C78",  # LATIN SMALL LETTER E WITH NOTCH
    "\u2C79",  # LATIN SMALL LETTER TURNED R WITH TAIL
    "\u2C7A",  # LATIN SMALL LETTER O WITH LOW RING INSIDE
    "\u2C7B",  # LATIN LETTER SMALL CAPITAL TURNED E
    "\u2C7C",  # LATIN SUBSCRIPT SMALL LETTER J
    "\u2C7D",  # MODIFIER LETTER CAPITAL V
    "\u2C7E",  # LATIN CAPITAL LETTER S WITH SWASH TAIL
    "\u2C7F",  # LATIN CAPITAL LETTER Z WITH SWASH TAIL
    "\u2C80",  # COPTIC CAPITAL LETTER ALFA
    "\u2C81",  # COPTIC SMALL LETTER ALFA
    "\u2C82",  # COPTIC CAPITAL LETTER VIDA
    "\u2C83",  # COPTIC SMALL LETTER VIDA
    "\u2C84",  # COPTIC CAPITAL LETTER GAMMA
    "\u2C85",  # COPTIC SMALL LETTER GAMMA
    "\u2C86",  # COPTIC CAPITAL LETTER DALDA
    "\u2C87",  # COPTIC SMALL LETTER DALDA
    "\u2C88",  # COPTIC CAPITAL LETTER EIE
    "\u2C89",  # COPTIC SMALL LETTER EIE
    "\u2C8A",  # COPTIC CAPITAL LETTER SOU
    "\u2C8B",  # COPTIC SMALL LETTER SOU
    "\u2C8C",  # COPTIC CAPITAL LETTER ZATA
    "\u2C8D",  # COPTIC SMALL LETTER ZATA
    "\u2C8E",  # COPTIC CAPITAL LETTER HATE
    "\u2C8F",  # COPTIC SMALL LETTER HATE
    "\u2C90",  # COPTIC CAPITAL LETTER THETHE
    "\u2C91",  # COPTIC SMALL LETTER THETHE
    "\u2C92",  # COPTIC CAPITAL LETTER IAUDA
    "\u2C93",  # COPTIC SMALL LETTER IAUDA
    "\u2C94",  # COPTIC CAPITAL LETTER KAPA
    "\u2C95",  # COPTIC SMALL LETTER KAPA
    "\u2C96",  # COPTIC CAPITAL LETTER LAULA
    "\u2C97",  # COPTIC SMALL LETTER LAULA
    "\u2C98",  # COPTIC CAPITAL LETTER MI
    "\u2C99",  # COPTIC SMALL LETTER MI
    "\u2C9A",  # COPTIC CAPITAL LETTER NI
    "\u2C9B",  # COPTIC SMALL LETTER NI
    "\u2C9C",  # COPTIC CAPITAL LETTER KSI
    "\u2C9D",  # COPTIC SMALL LETTER KSI
    "\u2C9E",  # COPTIC CAPITAL LETTER O
    "\u2C9F",  # COPTIC SMALL LETTER O
    "\u2CA0",  # COPTIC CAPITAL LETTER PI
    "\u2CA1",  # COPTIC SMALL LETTER PI
    "\u2CA2",  # COPTIC CAPITAL LETTER RO
    "\u2CA3",  # COPTIC SMALL LETTER RO
    "\u2CA4",  # COPTIC CAPITAL LETTER SIMA
    "\u2CA5",  # COPTIC SMALL LETTER SIMA
    "\u2CA6",  # COPTIC CAPITAL LETTER TAU
    "\u2CA7",  # COPTIC SMALL LETTER TAU
    "\u2CA8",  # COPTIC CAPITAL LETTER UA
    "\u2CA9",  # COPTIC SMALL LETTER UA
    "\u2CAA",  # COPTIC CAPITAL LETTER FI
    "\u2CAB",  # COPTIC SMALL LETTER FI
    "\u2CAC",  # COPTIC CAPITAL LETTER KHI
    "\u2CAD",  # COPTIC SMALL LETTER KHI
    "\u2CAE",  # COPTIC CAPITAL LETTER PSI
    "\u2CAF",  # COPTIC SMALL LETTER PSI
    "\u2CB0",  # COPTIC CAPITAL LETTER OOU
    "\u2CB1",  # COPTIC SMALL LETTER OOU
    "\u2CB2",  # COPTIC CAPITAL LETTER DIALECT-P ALEF
    "\u2CB3",  # COPTIC SMALL LETTER DIALECT-P ALEF
    "\u2CB4",  # COPTIC CAPITAL LETTER OLD COPTIC AIN
    "\u2CB5",  # COPTIC SMALL LETTER OLD COPTIC AIN
    "\u2CB6",  # COPTIC CAPITAL LETTER CRYPTOGRAMMIC EIE
    "\u2CB7",  # COPTIC SMALL LETTER CRYPTOGRAMMIC EIE
    "\u2CB8",  # COPTIC CAPITAL LETTER DIALECT-P KAPA
    "\u2CB9",  # COPTIC SMALL LETTER DIALECT-P KAPA
    "\u2CBA",  # COPTIC CAPITAL LETTER DIALECT-P NI
    "\u2CBB",  # COPTIC SMALL LETTER DIALECT-P NI
    "\u2CBC",  # COPTIC CAPITAL LETTER CRYPTOGRAMMIC NI
    "\u2CBD",  # COPTIC SMALL LETTER CRYPTOGRAMMIC NI
    "\u2CBE",  # COPTIC CAPITAL LETTER OLD COPTIC OOU
    "\u2CBF",  # COPTIC SMALL LETTER OLD COPTIC OOU
    "\u2CC0",  # COPTIC CAPITAL LETTER SAMPI
    "\u2CC1",  # COPTIC SMALL LETTER SAMPI
    "\u2CC2",  # COPTIC CAPITAL LETTER CROSSED SHEI
    "\u2CC3",  # COPTIC SMALL LETTER CROSSED SHEI
    "\u2CC4",  # COPTIC CAPITAL LETTER OLD COPTIC SHEI
    "\u2CC5",  # COPTIC SMALL LETTER OLD COPTIC SHEI
    "\u2CC6",  # COPTIC CAPITAL LETTER OLD COPTIC ESH
    "\u2CC7",  # COPTIC SMALL LETTER OLD COPTIC ESH
    "\u2CC8",  # COPTIC CAPITAL LETTER AKHMIMIC KHEI
    "\u2CC9",  # COPTIC SMALL LETTER AKHMIMIC KHEI
    "\u2CCA",  # COPTIC CAPITAL LETTER DIALECT-P HORI
    "\u2CCB",  # COPTIC SMALL LETTER DIALECT-P HORI
    "\u2CCC",  # COPTIC CAPITAL LETTER OLD COPTIC HORI
    "\u2CCD",  # COPTIC SMALL LETTER OLD COPTIC HORI
    "\u2CCE",  # COPTIC CAPITAL LETTER OLD COPTIC HA
    "\u2CCF",  # COPTIC SMALL LETTER OLD COPTIC HA
    "\u2CD0",  # COPTIC CAPITAL LETTER L-SHAPED HA
    "\u2CD1",  # COPTIC SMALL LETTER L-SHAPED HA
    "\u2CD2",  # COPTIC CAPITAL LETTER OLD COPTIC HEI
    "\u2CD3",  # COPTIC SMALL LETTER OLD COPTIC HEI
    "\u2CD4",  # COPTIC CAPITAL LETTER OLD COPTIC HAT
    "\u2CD5",  # COPTIC SMALL LETTER OLD COPTIC HAT
    "\u2CD6",  # COPTIC CAPITAL LETTER OLD COPTIC GANGIA
    "\u2CD7",  # COPTIC SMALL LETTER OLD COPTIC GANGIA
    "\u2CD8",  # COPTIC CAPITAL LETTER OLD COPTIC DJA
    "\u2CD9",  # COPTIC SMALL LETTER OLD COPTIC DJA
    "\u2CDA",  # COPTIC CAPITAL LETTER OLD COPTIC SHIMA
    "\u2CDB",  # COPTIC SMALL LETTER OLD COPTIC SHIMA
    "\u2CDC",  # COPTIC CAPITAL LETTER OLD NUBIAN SHIMA
    "\u2CDD",  # COPTIC SMALL LETTER OLD NUBIAN SHIMA
    "\u2CDE",  # COPTIC CAPITAL LETTER OLD NUBIAN NGI
    "\u2CDF",  # COPTIC SMALL LETTER OLD NUBIAN NGI
    "\u2CE0",  # COPTIC CAPITAL LETTER OLD NUBIAN NYI
    "\u2CE1",  # COPTIC SMALL LETTER OLD NUBIAN NYI
    "\u2CE2",  # COPTIC CAPITAL LETTER OLD NUBIAN WAU
    "\u2CE3",  # COPTIC SMALL LETTER OLD NUBIAN WAU
    "\u2CE4",  # COPTIC SYMBOL KAI
    "\u2CE5",  # COPTIC SYMBOL MI RO
    "\u2CE6",  # COPTIC SYMBOL PI RO
    "\u2CE7",  # COPTIC SYMBOL STAUROS
    "\u2CE8",  # COPTIC SYMBOL TAU RO
    "\u2CE9",  # COPTIC SYMBOL KHI RO
    "\u2CEA",  # COPTIC SYMBOL SHIMA SIMA
    "\u2CEB",  # COPTIC CAPITAL LETTER CRYPTOGRAMMIC SHEI
    "\u2CEC",  # COPTIC SMALL LETTER CRYPTOGRAMMIC SHEI
    "\u2CED",  # COPTIC CAPITAL LETTER CRYPTOGRAMMIC GANGIA
    "\u2CEE",  # COPTIC SMALL LETTER CRYPTOGRAMMIC GANGIA
    "\u2CEF",  # COPTIC COMBINING NI ABOVE
    "\u2CF0",  # COPTIC COMBINING SPIRITUS ASPER
    "\u2CF1",  # COPTIC COMBINING SPIRITUS LENIS
    "\u2CF2",  # COPTIC CAPITAL LETTER BOHAIRIC KHEI
    "\u2CF3",  # COPTIC SMALL LETTER BOHAIRIC KHEI
    "\u2CF9",  # COPTIC OLD NUBIAN FULL STOP
    "\u2CFA",  # COPTIC OLD NUBIAN DIRECT QUESTION MARK
    "\u2CFB",  # COPTIC OLD NUBIAN INDIRECT QUESTION MARK
    "\u2CFC",  # COPTIC OLD NUBIAN VERSE DIVIDER
    "\u2CFD",  # COPTIC FRACTION ONE HALF
    "\u2CFE",  # COPTIC FULL STOP
    "\u2CFF",  # COPTIC MORPHOLOGICAL DIVIDER
    "\u2D00",  # GEORGIAN SMALL LETTER AN
    "\u2D01",  # GEORGIAN SMALL LETTER BAN
    "\u2D02",  # GEORGIAN SMALL LETTER GAN
    "\u2D03",  # GEORGIAN SMALL LETTER DON
    "\u2D04",  # GEORGIAN SMALL LETTER EN
    "\u2D05",  # GEORGIAN SMALL LETTER VIN
    "\u2D06",  # GEORGIAN SMALL LETTER ZEN
    "\u2D07",  # GEORGIAN SMALL LETTER TAN
    "\u2D08",  # GEORGIAN SMALL LETTER IN
    "\u2D09",  # GEORGIAN SMALL LETTER KAN
    "\u2D0A",  # GEORGIAN SMALL LETTER LAS
    "\u2D0B",  # GEORGIAN SMALL LETTER MAN
    "\u2D0C",  # GEORGIAN SMALL LETTER NAR
    "\u2D0D",  # GEORGIAN SMALL LETTER ON
    "\u2D0E",  # GEORGIAN SMALL LETTER PAR
    "\u2D0F",  # GEORGIAN SMALL LETTER ZHAR
    "\u2D10",  # GEORGIAN SMALL LETTER RAE
    "\u2D11",  # GEORGIAN SMALL LETTER SAN
    "\u2D12",  # GEORGIAN SMALL LETTER TAR
    "\u2D13",  # GEORGIAN SMALL LETTER UN
    "\u2D14",  # GEORGIAN SMALL LETTER PHAR
    "\u2D15",  # GEORGIAN SMALL LETTER KHAR
    "\u2D16",  # GEORGIAN SMALL LETTER GHAN
    "\u2D17",  # GEORGIAN SMALL LETTER QAR
    "\u2D18",  # GEORGIAN SMALL LETTER SHIN
    "\u2D19",  # GEORGIAN SMALL LETTER CHIN
    "\u2D1A",  # GEORGIAN SMALL LETTER CAN
    "\u2D1B",  # GEORGIAN SMALL LETTER JIL
    "\u2D1C",  # GEORGIAN SMALL LETTER CIL
    "\u2D1D",  # GEORGIAN SMALL LETTER CHAR
    "\u2D1E",  # GEORGIAN SMALL LETTER XAN
    "\u2D1F",  # GEORGIAN SMALL LETTER JHAN
    "\u2D20",  # GEORGIAN SMALL LETTER HAE
    "\u2D21",  # GEORGIAN SMALL LETTER HE
    "\u2D22",  # GEORGIAN SMALL LETTER HIE
    "\u2D23",  # GEORGIAN SMALL LETTER WE
    "\u2D24",  # GEORGIAN SMALL LETTER HAR
    "\u2D25",  # GEORGIAN SMALL LETTER HOE
    "\u2D27",  # GEORGIAN SMALL LETTER YN
    "\u2D2D",  # GEORGIAN SMALL LETTER AEN
    "\u2D30",  # TIFINAGH LETTER YA
    "\u2D31",  # TIFINAGH LETTER YAB
    "\u2D32",  # TIFINAGH LETTER YABH
    "\u2D33",  # TIFINAGH LETTER YAG
    "\u2D34",  # TIFINAGH LETTER YAGHH
    "\u2D35",  # TIFINAGH LETTER BERBER ACADEMY YAJ
    "\u2D36",  # TIFINAGH LETTER YAJ
    "\u2D37",  # TIFINAGH LETTER YAD
    "\u2D38",  # TIFINAGH LETTER YADH
    "\u2D39",  # TIFINAGH LETTER YADD
    "\u2D3A",  # TIFINAGH LETTER YADDH
    "\u2D3B",  # TIFINAGH LETTER YEY
    "\u2D3C",  # TIFINAGH LETTER YAF
    "\u2D3D",  # TIFINAGH LETTER YAK
    "\u2D3E",  # TIFINAGH LETTER TUAREG YAK
    "\u2D3F",  # TIFINAGH LETTER YAKHH
    "\u2D40",  # TIFINAGH LETTER YAH
    "\u2D41",  # TIFINAGH LETTER BERBER ACADEMY YAH
    "\u2D42",  # TIFINAGH LETTER TUAREG YAH
    "\u2D43",  # TIFINAGH LETTER YAHH
    "\u2D44",  # TIFINAGH LETTER YAA
    "\u2D45",  # TIFINAGH LETTER YAKH
    "\u2D46",  # TIFINAGH LETTER TUAREG YAKH
    "\u2D47",  # TIFINAGH LETTER YAQ
    "\u2D48",  # TIFINAGH LETTER TUAREG YAQ
    "\u2D49",  # TIFINAGH LETTER YI
    "\u2D4A",  # TIFINAGH LETTER YAZH
    "\u2D4B",  # TIFINAGH LETTER AHAGGAR YAZH
    "\u2D4C",  # TIFINAGH LETTER TUAREG YAZH
    "\u2D4D",  # TIFINAGH LETTER YAL
    "\u2D4E",  # TIFINAGH LETTER YAM
    "\u2D4F",  # TIFINAGH LETTER YAN
    "\u2D50",  # TIFINAGH LETTER TUAREG YAGN
    "\u2D51",  # TIFINAGH LETTER TUAREG YANG
    "\u2D52",  # TIFINAGH LETTER YAP
    "\u2D53",  # TIFINAGH LETTER YU
    "\u2D54",  # TIFINAGH LETTER YAR
    "\u2D55",  # TIFINAGH LETTER YARR
    "\u2D56",  # TIFINAGH LETTER YAGH
    "\u2D57",  # TIFINAGH LETTER TUAREG YAGH
    "\u2D58",  # TIFINAGH LETTER AYER YAGH
    "\u2D59",  # TIFINAGH LETTER YAS
    "\u2D5A",  # TIFINAGH LETTER YASS
    "\u2D5B",  # TIFINAGH LETTER YASH
    "\u2D5C",  # TIFINAGH LETTER YAT
    "\u2D5D",  # TIFINAGH LETTER YATH
    "\u2D5E",  # TIFINAGH LETTER YACH
    "\u2D5F",  # TIFINAGH LETTER YATT
    "\u2D60",  # TIFINAGH LETTER YAV
    "\u2D61",  # TIFINAGH LETTER YAW
    "\u2D62",  # TIFINAGH LETTER YAY
    "\u2D63",  # TIFINAGH LETTER YAZ
    "\u2D64",  # TIFINAGH LETTER TAWELLEMET YAZ
    "\u2D65",  # TIFINAGH LETTER YAZZ
    "\u2D66",  # TIFINAGH LETTER YE
    "\u2D67",  # TIFINAGH LETTER YO
    "\u2D6F",  # TIFINAGH MODIFIER LETTER LABIALIZATION MARK
    "\u2D70",  # TIFINAGH SEPARATOR MARK
    "\u2D7F",  # TIFINAGH CONSONANT JOINER
    "\u2D80",  # ETHIOPIC SYLLABLE LOA
    "\u2D81",  # ETHIOPIC SYLLABLE MOA
    "\u2D82",  # ETHIOPIC SYLLABLE ROA
    "\u2D83",  # ETHIOPIC SYLLABLE SOA
    "\u2D84",  # ETHIOPIC SYLLABLE SHOA
    "\u2D85",  # ETHIOPIC SYLLABLE BOA
    "\u2D86",  # ETHIOPIC SYLLABLE TOA
    "\u2D87",  # ETHIOPIC SYLLABLE COA
    "\u2D88",  # ETHIOPIC SYLLABLE NOA
    "\u2D89",  # ETHIOPIC SYLLABLE NYOA
    "\u2D8A",  # ETHIOPIC SYLLABLE GLOTTAL OA
    "\u2D8B",  # ETHIOPIC SYLLABLE ZOA
    "\u2D8C",  # ETHIOPIC SYLLABLE DOA
    "\u2D8D",  # ETHIOPIC SYLLABLE DDOA
    "\u2D8E",  # ETHIOPIC SYLLABLE JOA
    "\u2D8F",  # ETHIOPIC SYLLABLE THOA
    "\u2D90",  # ETHIOPIC SYLLABLE CHOA
    "\u2D91",  # ETHIOPIC SYLLABLE PHOA
    "\u2D92",  # ETHIOPIC SYLLABLE POA
    "\u2D93",  # ETHIOPIC SYLLABLE GGWA
    "\u2D94",  # ETHIOPIC SYLLABLE GGWI
    "\u2D95",  # ETHIOPIC SYLLABLE GGWEE
    "\u2D96",  # ETHIOPIC SYLLABLE GGWE
    "\u2DA0",  # ETHIOPIC SYLLABLE SSA
    "\u2DA1",  # ETHIOPIC SYLLABLE SSU
    "\u2DA2",  # ETHIOPIC SYLLABLE SSI
    "\u2DA3",  # ETHIOPIC SYLLABLE SSAA
    "\u2DA4",  # ETHIOPIC SYLLABLE SSEE
    "\u2DA5",  # ETHIOPIC SYLLABLE SSE
    "\u2DA6",  # ETHIOPIC SYLLABLE SSO
    "\u2DA8",  # ETHIOPIC SYLLABLE CCA
    "\u2DA9",  # ETHIOPIC SYLLABLE CCU
    "\u2DAA",  # ETHIOPIC SYLLABLE CCI
    "\u2DAB",  # ETHIOPIC SYLLABLE CCAA
    "\u2DAC",  # ETHIOPIC SYLLABLE CCEE
    "\u2DAD",  # ETHIOPIC SYLLABLE CCE
    "\u2DAE",  # ETHIOPIC SYLLABLE CCO
    "\u2DB0",  # ETHIOPIC SYLLABLE ZZA
    "\u2DB1",  # ETHIOPIC SYLLABLE ZZU
    "\u2DB2",  # ETHIOPIC SYLLABLE ZZI
    "\u2DB3",  # ETHIOPIC SYLLABLE ZZAA
    "\u2DB4",  # ETHIOPIC SYLLABLE ZZEE
    "\u2DB5",  # ETHIOPIC SYLLABLE ZZE
    "\u2DB6",  # ETHIOPIC SYLLABLE ZZO
    "\u2DB8",  # ETHIOPIC SYLLABLE CCHA
    "\u2DB9",  # ETHIOPIC SYLLABLE CCHU
    "\u2DBA",  # ETHIOPIC SYLLABLE CCHI
    "\u2DBB",  # ETHIOPIC SYLLABLE CCHAA
    "\u2DBC",  # ETHIOPIC SYLLABLE CCHEE
    "\u2DBD",  # ETHIOPIC SYLLABLE CCHE
    "\u2DBE",  # ETHIOPIC SYLLABLE CCHO
    "\u2DC0",  # ETHIOPIC SYLLABLE QYA
    "\u2DC1",  # ETHIOPIC SYLLABLE QYU
    "\u2DC2",  # ETHIOPIC SYLLABLE QYI
    "\u2DC3",  # ETHIOPIC SYLLABLE QYAA
    "\u2DC4",  # ETHIOPIC SYLLABLE QYEE
    "\u2DC5",  # ETHIOPIC SYLLABLE QYE
    "\u2DC6",  # ETHIOPIC SYLLABLE QYO
    "\u2DC8",  # ETHIOPIC SYLLABLE KYA
    "\u2DC9",  # ETHIOPIC SYLLABLE KYU
    "\u2DCA",  # ETHIOPIC SYLLABLE KYI
    "\u2DCB",  # ETHIOPIC SYLLABLE KYAA
    "\u2DCC",  # ETHIOPIC SYLLABLE KYEE
    "\u2DCD",  # ETHIOPIC SYLLABLE KYE
    "\u2DCE",  # ETHIOPIC SYLLABLE KYO
    "\u2DD0",  # ETHIOPIC SYLLABLE XYA
    "\u2DD1",  # ETHIOPIC SYLLABLE XYU
    "\u2DD2",  # ETHIOPIC SYLLABLE XYI
    "\u2DD3",  # ETHIOPIC SYLLABLE XYAA
    "\u2DD4",  # ETHIOPIC SYLLABLE XYEE
    "\u2DD5",  # ETHIOPIC SYLLABLE XYE
    "\u2DD6",  # ETHIOPIC SYLLABLE XYO
    "\u2DD8",  # ETHIOPIC SYLLABLE GYA
    "\u2DD9",  # ETHIOPIC SYLLABLE GYU
    "\u2DDA",  # ETHIOPIC SYLLABLE GYI
    "\u2DDB",  # ETHIOPIC SYLLABLE GYAA
    "\u2DDC",  # ETHIOPIC SYLLABLE GYEE
    "\u2DDD",  # ETHIOPIC SYLLABLE GYE
    "\u2DDE",  # ETHIOPIC SYLLABLE GYO
    "\u2DE0",  # COMBINING CYRILLIC LETTER BE
    "\u2DE1",  # COMBINING CYRILLIC LETTER VE
    "\u2DE2",  # COMBINING CYRILLIC LETTER GHE
    "\u2DE3",  # COMBINING CYRILLIC LETTER DE
    "\u2DE4",  # COMBINING CYRILLIC LETTER ZHE
    "\u2DE5",  # COMBINING CYRILLIC LETTER ZE
    "\u2DE6",  # COMBINING CYRILLIC LETTER KA
    "\u2DE7",  # COMBINING CYRILLIC LETTER EL
    "\u2DE8",  # COMBINING CYRILLIC LETTER EM
    "\u2DE9",  # COMBINING CYRILLIC LETTER EN
    "\u2DEA",  # COMBINING CYRILLIC LETTER O
    "\u2DEB",  # COMBINING CYRILLIC LETTER PE
    "\u2DEC",  # COMBINING CYRILLIC LETTER ER
    "\u2DED",  # COMBINING CYRILLIC LETTER ES
    "\u2DEE",  # COMBINING CYRILLIC LETTER TE
    "\u2DEF",  # COMBINING CYRILLIC LETTER HA
    "\u2DF0",  # COMBINING CYRILLIC LETTER TSE
    "\u2DF1",  # COMBINING CYRILLIC LETTER CHE
    "\u2DF2",  # COMBINING CYRILLIC LETTER SHA
    "\u2DF3",  # COMBINING CYRILLIC LETTER SHCHA
    "\u2DF4",  # COMBINING CYRILLIC LETTER FITA
    "\u2DF5",  # COMBINING CYRILLIC LETTER ES-TE
    "\u2DF6",  # COMBINING CYRILLIC LETTER A
    "\u2DF7",  # COMBINING CYRILLIC LETTER IE
    "\u2DF8",  # COMBINING CYRILLIC LETTER DJERV
    "\u2DF9",  # COMBINING CYRILLIC LETTER MONOGRAPH UK
    "\u2DFA",  # COMBINING CYRILLIC LETTER YAT
    "\u2DFB",  # COMBINING CYRILLIC LETTER YU
    "\u2DFC",  # COMBINING CYRILLIC LETTER IOTIFIED A
    "\u2DFD",  # COMBINING CYRILLIC LETTER LITTLE YUS
    "\u2DFE",  # COMBINING CYRILLIC LETTER BIG YUS
    "\u2DFF",  # COMBINING CYRILLIC LETTER IOTIFIED BIG YUS
    "\u2E00",  # RIGHT ANGLE SUBSTITUTION MARKER
    "\u2E01",  # RIGHT ANGLE DOTTED SUBSTITUTION MARKER
    "\u2E02",  # LEFT SUBSTITUTION BRACKET
    "\u2E03",  # RIGHT SUBSTITUTION BRACKET
    "\u2E04",  # LEFT DOTTED SUBSTITUTION BRACKET
    "\u2E05",  # RIGHT DOTTED SUBSTITUTION BRACKET
    "\u2E06",  # RAISED INTERPOLATION MARKER
    "\u2E07",  # RAISED DOTTED INTERPOLATION MARKER
    "\u2E08",  # DOTTED TRANSPOSITION MARKER
    "\u2E09",  # LEFT TRANSPOSITION BRACKET
    "\u2E0A",  # RIGHT TRANSPOSITION BRACKET
    "\u2E0B",  # RAISED SQUARE
    "\u2E0C",  # LEFT RAISED OMISSION BRACKET
    "\u2E0D",  # RIGHT RAISED OMISSION BRACKET
    "\u2E0E",  # EDITORIAL CORONIS
    "\u2E0F",  # PARAGRAPHOS
    "\u2E10",  # FORKED PARAGRAPHOS
    "\u2E11",  # REVERSED FORKED PARAGRAPHOS
    "\u2E12",  # HYPODIASTOLE
    "\u2E13",  # DOTTED OBELOS
    "\u2E14",  # DOWNWARDS ANCORA
    "\u2E15",  # UPWARDS ANCORA
    "\u2E16",  # DOTTED RIGHT-POINTING ANGLE
    "\u2E17",  # DOUBLE OBLIQUE HYPHEN
    "\u2E18",  # INVERTED INTERROBANG
    "\u2E19",  # PALM BRANCH
    "\u2E1A",  # HYPHEN WITH DIAERESIS
    "\u2E1B",  # TILDE WITH RING ABOVE
    "\u2E1C",  # LEFT LOW PARAPHRASE BRACKET
    "\u2E1D",  # RIGHT LOW PARAPHRASE BRACKET
    "\u2E1E",  # TILDE WITH DOT ABOVE
    "\u2E1F",  # TILDE WITH DOT BELOW
    "\u2E20",  # LEFT VERTICAL BAR WITH QUILL
    "\u2E21",  # RIGHT VERTICAL BAR WITH QUILL
    "\u2E22",  # TOP LEFT HALF BRACKET
    "\u2E23",  # TOP RIGHT HALF BRACKET
    "\u2E24",  # BOTTOM LEFT HALF BRACKET
    "\u2E25",  # BOTTOM RIGHT HALF BRACKET
    "\u2E26",  # LEFT SIDEWAYS U BRACKET
    "\u2E27",  # RIGHT SIDEWAYS U BRACKET
    "\u2E28",  # LEFT DOUBLE PARENTHESIS
    "\u2E29",  # RIGHT DOUBLE PARENTHESIS
    "\u2E2A",  # TWO DOTS OVER ONE DOT PUNCTUATION
    "\u2E2B",  # ONE DOT OVER TWO DOTS PUNCTUATION
    "\u2E2C",  # SQUARED FOUR DOT PUNCTUATION
    "\u2E2D",  # FIVE DOT MARK
    "\u2E2E",  # REVERSED QUESTION MARK
    "\u2E2F",  # VERTICAL TILDE
    "\u2E30",  # RING POINT
    "\u2E31",  # WORD SEPARATOR MIDDLE DOT
    "\u2E32",  # TURNED COMMA
    "\u2E33",  # RAISED DOT
    "\u2E34",  # RAISED COMMA
    "\u2E35",  # TURNED SEMICOLON
    "\u2E36",  # DAGGER WITH LEFT GUARD
    "\u2E37",  # DAGGER WITH RIGHT GUARD
    "\u2E38",  # TURNED DAGGER
    "\u2E39",  # TOP HALF SECTION SIGN
    "\u2E3A",  # TWO-EM DASH
    "\u2E3B",  # THREE-EM DASH
    "\u2E3C",  # STENOGRAPHIC FULL STOP
    "\u2E3D",  # VERTICAL SIX DOTS
    "\u2E3E",  # WIGGLY VERTICAL LINE
    "\u2E3F",  # CAPITULUM
    "\u2E40",  # DOUBLE HYPHEN
    "\u2E41",  # REVERSED COMMA
    "\u2E42",  # DOUBLE LOW-REVERSED-9 QUOTATION MARK
    "\u2E43",  # DASH WITH LEFT UPTURN
    "\u2E44",  # DOUBLE SUSPENSION MARK
    "\u2E45",  # INVERTED LOW KAVYKA
    "\u2E46",  # INVERTED LOW KAVYKA WITH KAVYKA ABOVE
    "\u2E47",  # LOW KAVYKA
    "\u2E48",  # LOW KAVYKA WITH DOT
    "\u2E49",  # DOUBLE STACKED COMMA
    "\u2E80",  # CJK RADICAL REPEAT
    "\u2E81",  # CJK RADICAL CLIFF
    "\u2E82",  # CJK RADICAL SECOND ONE
    "\u2E83",  # CJK RADICAL SECOND TWO
    "\u2E84",  # CJK RADICAL SECOND THREE
    "\u2E85",  # CJK RADICAL PERSON
    "\u2E86",  # CJK RADICAL BOX
    "\u2E87",  # CJK RADICAL TABLE
    "\u2E88",  # CJK RADICAL KNIFE ONE
    "\u2E89",  # CJK RADICAL KNIFE TWO
    "\u2E8A",  # CJK RADICAL DIVINATION
    "\u2E8B",  # CJK RADICAL SEAL
    "\u2E8C",  # CJK RADICAL SMALL ONE
    "\u2E8D",  # CJK RADICAL SMALL TWO
    "\u2E8E",  # CJK RADICAL LAME ONE
    "\u2E8F",  # CJK RADICAL LAME TWO
    "\u2E90",  # CJK RADICAL LAME THREE
    "\u2E91",  # CJK RADICAL LAME FOUR
    "\u2E92",  # CJK RADICAL SNAKE
    "\u2E93",  # CJK RADICAL THREAD
    "\u2E94",  # CJK RADICAL SNOUT ONE
    "\u2E95",  # CJK RADICAL SNOUT TWO
    "\u2E96",  # CJK RADICAL HEART ONE
    "\u2E97",  # CJK RADICAL HEART TWO
    "\u2E98",  # CJK RADICAL HAND
    "\u2E99",  # CJK RADICAL RAP
    "\u2E9B",  # CJK RADICAL CHOKE
    "\u2E9C",  # CJK RADICAL SUN
    "\u2E9D",  # CJK RADICAL MOON
    "\u2E9E",  # CJK RADICAL DEATH
    "\u2E9F",  # CJK RADICAL MOTHER
    "\u2EA0",  # CJK RADICAL CIVILIAN
    "\u2EA1",  # CJK RADICAL WATER ONE
    "\u2EA2",  # CJK RADICAL WATER TWO
    "\u2EA3",  # CJK RADICAL FIRE
    "\u2EA4",  # CJK RADICAL PAW ONE
    "\u2EA5",  # CJK RADICAL PAW TWO
    "\u2EA6",  # CJK RADICAL SIMPLIFIED HALF TREE TRUNK
    "\u2EA7",  # CJK RADICAL COW
    "\u2EA8",  # CJK RADICAL DOG
    "\u2EA9",  # CJK RADICAL JADE
    "\u2EAA",  # CJK RADICAL BOLT OF CLOTH
    "\u2EAB",  # CJK RADICAL EYE
    "\u2EAC",  # CJK RADICAL SPIRIT ONE
    "\u2EAD",  # CJK RADICAL SPIRIT TWO
    "\u2EAE",  # CJK RADICAL BAMBOO
    "\u2EAF",  # CJK RADICAL SILK
    "\u2EB0",  # CJK RADICAL C-SIMPLIFIED SILK
    "\u2EB1",  # CJK RADICAL NET ONE
    "\u2EB2",  # CJK RADICAL NET TWO
    "\u2EB3",  # CJK RADICAL NET THREE
    "\u2EB4",  # CJK RADICAL NET FOUR
    "\u2EB5",  # CJK RADICAL MESH
    "\u2EB6",  # CJK RADICAL SHEEP
    "\u2EB7",  # CJK RADICAL RAM
    "\u2EB8",  # CJK RADICAL EWE
    "\u2EB9",  # CJK RADICAL OLD
    "\u2EBA",  # CJK RADICAL BRUSH ONE
    "\u2EBB",  # CJK RADICAL BRUSH TWO
    "\u2EBC",  # CJK RADICAL MEAT
    "\u2EBD",  # CJK RADICAL MORTAR
    "\u2EBE",  # CJK RADICAL GRASS ONE
    "\u2EBF",  # CJK RADICAL GRASS TWO
    "\u2EC0",  # CJK RADICAL GRASS THREE
    "\u2EC1",  # CJK RADICAL TIGER
    "\u2EC2",  # CJK RADICAL CLOTHES
    "\u2EC3",  # CJK RADICAL WEST ONE
    "\u2EC4",  # CJK RADICAL WEST TWO
    "\u2EC5",  # CJK RADICAL C-SIMPLIFIED SEE
    "\u2EC6",  # CJK RADICAL SIMPLIFIED HORN
    "\u2EC7",  # CJK RADICAL HORN
    "\u2EC8",  # CJK RADICAL C-SIMPLIFIED SPEECH
    "\u2EC9",  # CJK RADICAL C-SIMPLIFIED SHELL
    "\u2ECA",  # CJK RADICAL FOOT
    "\u2ECB",  # CJK RADICAL C-SIMPLIFIED CART
    "\u2ECC",  # CJK RADICAL SIMPLIFIED WALK
    "\u2ECD",  # CJK RADICAL WALK ONE
    "\u2ECE",  # CJK RADICAL WALK TWO
    "\u2ECF",  # CJK RADICAL CITY
    "\u2ED0",  # CJK RADICAL C-SIMPLIFIED GOLD
    "\u2ED1",  # CJK RADICAL LONG ONE
    "\u2ED2",  # CJK RADICAL LONG TWO
    "\u2ED3",  # CJK RADICAL C-SIMPLIFIED LONG
    "\u2ED4",  # CJK RADICAL C-SIMPLIFIED GATE
    "\u2ED5",  # CJK RADICAL MOUND ONE
    "\u2ED6",  # CJK RADICAL MOUND TWO
    "\u2ED7",  # CJK RADICAL RAIN
    "\u2ED8",  # CJK RADICAL BLUE
    "\u2ED9",  # CJK RADICAL C-SIMPLIFIED TANNED LEATHER
    "\u2EDA",  # CJK RADICAL C-SIMPLIFIED LEAF
    "\u2EDB",  # CJK RADICAL C-SIMPLIFIED WIND
    "\u2EDC",  # CJK RADICAL C-SIMPLIFIED FLY
    "\u2EDD",  # CJK RADICAL EAT ONE
    "\u2EDE",  # CJK RADICAL EAT TWO
    "\u2EDF",  # CJK RADICAL EAT THREE
    "\u2EE0",  # CJK RADICAL C-SIMPLIFIED EAT
    "\u2EE1",  # CJK RADICAL HEAD
    "\u2EE2",  # CJK RADICAL C-SIMPLIFIED HORSE
    "\u2EE3",  # CJK RADICAL BONE
    "\u2EE4",  # CJK RADICAL GHOST
    "\u2EE5",  # CJK RADICAL C-SIMPLIFIED FISH
    "\u2EE6",  # CJK RADICAL C-SIMPLIFIED BIRD
    "\u2EE7",  # CJK RADICAL C-SIMPLIFIED SALT
    "\u2EE8",  # CJK RADICAL SIMPLIFIED WHEAT
    "\u2EE9",  # CJK RADICAL SIMPLIFIED YELLOW
    "\u2EEA",  # CJK RADICAL C-SIMPLIFIED FROG
    "\u2EEB",  # CJK RADICAL J-SIMPLIFIED EVEN
    "\u2EEC",  # CJK RADICAL C-SIMPLIFIED EVEN
    "\u2EED",  # CJK RADICAL J-SIMPLIFIED TOOTH
    "\u2EEE",  # CJK RADICAL C-SIMPLIFIED TOOTH
    "\u2EEF",  # CJK RADICAL J-SIMPLIFIED DRAGON
    "\u2EF0",  # CJK RADICAL C-SIMPLIFIED DRAGON
    "\u2EF1",  # CJK RADICAL TURTLE
    "\u2EF2",  # CJK RADICAL J-SIMPLIFIED TURTLE
    "\u2EF3",  # CJK RADICAL C-SIMPLIFIED TURTLE
    "\u2F00",  # KANGXI RADICAL ONE
    "\u2F01",  # KANGXI RADICAL LINE
    "\u2F02",  # KANGXI RADICAL DOT
    "\u2F03",  # KANGXI RADICAL SLASH
    "\u2F04",  # KANGXI RADICAL SECOND
    "\u2F05",  # KANGXI RADICAL HOOK
    "\u2F06",  # KANGXI RADICAL TWO
    "\u2F07",  # KANGXI RADICAL LID
    "\u2F08",  # KANGXI RADICAL MAN
    "\u2F09",  # KANGXI RADICAL LEGS
    "\u2F0A",  # KANGXI RADICAL ENTER
    "\u2F0B",  # KANGXI RADICAL EIGHT
    "\u2F0C",  # KANGXI RADICAL DOWN BOX
    "\u2F0D",  # KANGXI RADICAL COVER
    "\u2F0E",  # KANGXI RADICAL ICE
    "\u2F0F",  # KANGXI RADICAL TABLE
    "\u2F10",  # KANGXI RADICAL OPEN BOX
    "\u2F11",  # KANGXI RADICAL KNIFE
    "\u2F12",  # KANGXI RADICAL POWER
    "\u2F13",  # KANGXI RADICAL WRAP
    "\u2F14",  # KANGXI RADICAL SPOON
    "\u2F15",  # KANGXI RADICAL RIGHT OPEN BOX
    "\u2F16",  # KANGXI RADICAL HIDING ENCLOSURE
    "\u2F17",  # KANGXI RADICAL TEN
    "\u2F18",  # KANGXI RADICAL DIVINATION
    "\u2F19",  # KANGXI RADICAL SEAL
    "\u2F1A",  # KANGXI RADICAL CLIFF
    "\u2F1B",  # KANGXI RADICAL PRIVATE
    "\u2F1C",  # KANGXI RADICAL AGAIN
    "\u2F1D",  # KANGXI RADICAL MOUTH
    "\u2F1E",  # KANGXI RADICAL ENCLOSURE
    "\u2F1F",  # KANGXI RADICAL EARTH
    "\u2F20",  # KANGXI RADICAL SCHOLAR
    "\u2F21",  # KANGXI RADICAL GO
    "\u2F22",  # KANGXI RADICAL GO SLOWLY
    "\u2F23",  # KANGXI RADICAL EVENING
    "\u2F24",  # KANGXI RADICAL BIG
    "\u2F25",  # KANGXI RADICAL WOMAN
    "\u2F26",  # KANGXI RADICAL CHILD
    "\u2F27",  # KANGXI RADICAL ROOF
    "\u2F28",  # KANGXI RADICAL INCH
    "\u2F29",  # KANGXI RADICAL SMALL
    "\u2F2A",  # KANGXI RADICAL LAME
    "\u2F2B",  # KANGXI RADICAL CORPSE
    "\u2F2C",  # KANGXI RADICAL SPROUT
    "\u2F2D",  # KANGXI RADICAL MOUNTAIN
    "\u2F2E",  # KANGXI RADICAL RIVER
    "\u2F2F",  # KANGXI RADICAL WORK
    "\u2F30",  # KANGXI RADICAL ONESELF
    "\u2F31",  # KANGXI RADICAL TURBAN
    "\u2F32",  # KANGXI RADICAL DRY
    "\u2F33",  # KANGXI RADICAL SHORT THREAD
    "\u2F34",  # KANGXI RADICAL DOTTED CLIFF
    "\u2F35",  # KANGXI RADICAL LONG STRIDE
    "\u2F36",  # KANGXI RADICAL TWO HANDS
    "\u2F37",  # KANGXI RADICAL SHOOT
    "\u2F38",  # KANGXI RADICAL BOW
    "\u2F39",  # KANGXI RADICAL SNOUT
    "\u2F3A",  # KANGXI RADICAL BRISTLE
    "\u2F3B",  # KANGXI RADICAL STEP
    "\u2F3C",  # KANGXI RADICAL HEART
    "\u2F3D",  # KANGXI RADICAL HALBERD
    "\u2F3E",  # KANGXI RADICAL DOOR
    "\u2F3F",  # KANGXI RADICAL HAND
    "\u2F40",  # KANGXI RADICAL BRANCH
    "\u2F41",  # KANGXI RADICAL RAP
    "\u2F42",  # KANGXI RADICAL SCRIPT
    "\u2F43",  # KANGXI RADICAL DIPPER
    "\u2F44",  # KANGXI RADICAL AXE
    "\u2F45",  # KANGXI RADICAL SQUARE
    "\u2F46",  # KANGXI RADICAL NOT
    "\u2F47",  # KANGXI RADICAL SUN
    "\u2F48",  # KANGXI RADICAL SAY
    "\u2F49",  # KANGXI RADICAL MOON
    "\u2F4A",  # KANGXI RADICAL TREE
    "\u2F4B",  # KANGXI RADICAL LACK
    "\u2F4C",  # KANGXI RADICAL STOP
    "\u2F4D",  # KANGXI RADICAL DEATH
    "\u2F4E",  # KANGXI RADICAL WEAPON
    "\u2F4F",  # KANGXI RADICAL DO NOT
    "\u2F50",  # KANGXI RADICAL COMPARE
    "\u2F51",  # KANGXI RADICAL FUR
    "\u2F52",  # KANGXI RADICAL CLAN
    "\u2F53",  # KANGXI RADICAL STEAM
    "\u2F54",  # KANGXI RADICAL WATER
    "\u2F55",  # KANGXI RADICAL FIRE
    "\u2F56",  # KANGXI RADICAL CLAW
    "\u2F57",  # KANGXI RADICAL FATHER
    "\u2F58",  # KANGXI RADICAL DOUBLE X
    "\u2F59",  # KANGXI RADICAL HALF TREE TRUNK
    "\u2F5A",  # KANGXI RADICAL SLICE
    "\u2F5B",  # KANGXI RADICAL FANG
    "\u2F5C",  # KANGXI RADICAL COW
    "\u2F5D",  # KANGXI RADICAL DOG
    "\u2F5E",  # KANGXI RADICAL PROFOUND
    "\u2F5F",  # KANGXI RADICAL JADE
    "\u2F60",  # KANGXI RADICAL MELON
    "\u2F61",  # KANGXI RADICAL TILE
    "\u2F62",  # KANGXI RADICAL SWEET
    "\u2F63",  # KANGXI RADICAL LIFE
    "\u2F64",  # KANGXI RADICAL USE
    "\u2F65",  # KANGXI RADICAL FIELD
    "\u2F66",  # KANGXI RADICAL BOLT OF CLOTH
    "\u2F67",  # KANGXI RADICAL SICKNESS
    "\u2F68",  # KANGXI RADICAL DOTTED TENT
    "\u2F69",  # KANGXI RADICAL WHITE
    "\u2F6A",  # KANGXI RADICAL SKIN
    "\u2F6B",  # KANGXI RADICAL DISH
    "\u2F6C",  # KANGXI RADICAL EYE
    "\u2F6D",  # KANGXI RADICAL SPEAR
    "\u2F6E",  # KANGXI RADICAL ARROW
    "\u2F6F",  # KANGXI RADICAL STONE
    "\u2F70",  # KANGXI RADICAL SPIRIT
    "\u2F71",  # KANGXI RADICAL TRACK
    "\u2F72",  # KANGXI RADICAL GRAIN
    "\u2F73",  # KANGXI RADICAL CAVE
    "\u2F74",  # KANGXI RADICAL STAND
    "\u2F75",  # KANGXI RADICAL BAMBOO
    "\u2F76",  # KANGXI RADICAL RICE
    "\u2F77",  # KANGXI RADICAL SILK
    "\u2F78",  # KANGXI RADICAL JAR
    "\u2F79",  # KANGXI RADICAL NET
    "\u2F7A",  # KANGXI RADICAL SHEEP
    "\u2F7B",  # KANGXI RADICAL FEATHER
    "\u2F7C",  # KANGXI RADICAL OLD
    "\u2F7D",  # KANGXI RADICAL AND
    "\u2F7E",  # KANGXI RADICAL PLOW
    "\u2F7F",  # KANGXI RADICAL EAR
    "\u2F80",  # KANGXI RADICAL BRUSH
    "\u2F81",  # KANGXI RADICAL MEAT
    "\u2F82",  # KANGXI RADICAL MINISTER
    "\u2F83",  # KANGXI RADICAL SELF
    "\u2F84",  # KANGXI RADICAL ARRIVE
    "\u2F85",  # KANGXI RADICAL MORTAR
    "\u2F86",  # KANGXI RADICAL TONGUE
    "\u2F87",  # KANGXI RADICAL OPPOSE
    "\u2F88",  # KANGXI RADICAL BOAT
    "\u2F89",  # KANGXI RADICAL STOPPING
    "\u2F8A",  # KANGXI RADICAL COLOR
    "\u2F8B",  # KANGXI RADICAL GRASS
    "\u2F8C",  # KANGXI RADICAL TIGER
    "\u2F8D",  # KANGXI RADICAL INSECT
    "\u2F8E",  # KANGXI RADICAL BLOOD
    "\u2F8F",  # KANGXI RADICAL WALK ENCLOSURE
    "\u2F90",  # KANGXI RADICAL CLOTHES
    "\u2F91",  # KANGXI RADICAL WEST
    "\u2F92",  # KANGXI RADICAL SEE
    "\u2F93",  # KANGXI RADICAL HORN
    "\u2F94",  # KANGXI RADICAL SPEECH
    "\u2F95",  # KANGXI RADICAL VALLEY
    "\u2F96",  # KANGXI RADICAL BEAN
    "\u2F97",  # KANGXI RADICAL PIG
    "\u2F98",  # KANGXI RADICAL BADGER
    "\u2F99",  # KANGXI RADICAL SHELL
    "\u2F9A",  # KANGXI RADICAL RED
    "\u2F9B",  # KANGXI RADICAL RUN
    "\u2F9C",  # KANGXI RADICAL FOOT
    "\u2F9D",  # KANGXI RADICAL BODY
    "\u2F9E",  # KANGXI RADICAL CART
    "\u2F9F",  # KANGXI RADICAL BITTER
    "\u2FA0",  # KANGXI RADICAL MORNING
    "\u2FA1",  # KANGXI RADICAL WALK
    "\u2FA2",  # KANGXI RADICAL CITY
    "\u2FA3",  # KANGXI RADICAL WINE
    "\u2FA4",  # KANGXI RADICAL DISTINGUISH
    "\u2FA5",  # KANGXI RADICAL VILLAGE
    "\u2FA6",  # KANGXI RADICAL GOLD
    "\u2FA7",  # KANGXI RADICAL LONG
    "\u2FA8",  # KANGXI RADICAL GATE
    "\u2FA9",  # KANGXI RADICAL MOUND
    "\u2FAA",  # KANGXI RADICAL SLAVE
    "\u2FAB",  # KANGXI RADICAL SHORT TAILED BIRD
    "\u2FAC",  # KANGXI RADICAL RAIN
    "\u2FAD",  # KANGXI RADICAL BLUE
    "\u2FAE",  # KANGXI RADICAL WRONG
    "\u2FAF",  # KANGXI RADICAL FACE
    "\u2FB0",  # KANGXI RADICAL LEATHER
    "\u2FB1",  # KANGXI RADICAL TANNED LEATHER
    "\u2FB2",  # KANGXI RADICAL LEEK
    "\u2FB3",  # KANGXI RADICAL SOUND
    "\u2FB4",  # KANGXI RADICAL LEAF
    "\u2FB5",  # KANGXI RADICAL WIND
    "\u2FB6",  # KANGXI RADICAL FLY
    "\u2FB7",  # KANGXI RADICAL EAT
    "\u2FB8",  # KANGXI RADICAL HEAD
    "\u2FB9",  # KANGXI RADICAL FRAGRANT
    "\u2FBA",  # KANGXI RADICAL HORSE
    "\u2FBB",  # KANGXI RADICAL BONE
    "\u2FBC",  # KANGXI RADICAL TALL
    "\u2FBD",  # KANGXI RADICAL HAIR
    "\u2FBE",  # KANGXI RADICAL FIGHT
    "\u2FBF",  # KANGXI RADICAL SACRIFICIAL WINE
    "\u2FC0",  # KANGXI RADICAL CAULDRON
    "\u2FC1",  # KANGXI RADICAL GHOST
    "\u2FC2",  # KANGXI RADICAL FISH
    "\u2FC3",  # KANGXI RADICAL BIRD
    "\u2FC4",  # KANGXI RADICAL SALT
    "\u2FC5",  # KANGXI RADICAL DEER
    "\u2FC6",  # KANGXI RADICAL WHEAT
    "\u2FC7",  # KANGXI RADICAL HEMP
    "\u2FC8",  # KANGXI RADICAL YELLOW
    "\u2FC9",  # KANGXI RADICAL MILLET
    "\u2FCA",  # KANGXI RADICAL BLACK
    "\u2FCB",  # KANGXI RADICAL EMBROIDERY
    "\u2FCC",  # KANGXI RADICAL FROG
    "\u2FCD",  # KANGXI RADICAL TRIPOD
    "\u2FCE",  # KANGXI RADICAL DRUM
    "\u2FCF",  # KANGXI RADICAL RAT
    "\u2FD0",  # KANGXI RADICAL NOSE
    "\u2FD1",  # KANGXI RADICAL EVEN
    "\u2FD2",  # KANGXI RADICAL TOOTH
    "\u2FD3",  # KANGXI RADICAL DRAGON
    "\u2FD4",  # KANGXI RADICAL TURTLE
    "\u2FD5",  # KANGXI RADICAL FLUTE
    "\u2FF0",  # IDEOGRAPHIC DESCRIPTION CHARACTER LEFT TO RIGHT
    "\u2FF1",  # IDEOGRAPHIC DESCRIPTION CHARACTER ABOVE TO BELOW
    "\u2FF2",  # IDEOGRAPHIC DESCRIPTION CHARACTER LEFT TO MIDDLE AND RIGHT
    "\u2FF3",  # IDEOGRAPHIC DESCRIPTION CHARACTER ABOVE TO MIDDLE AND BELOW
    "\u2FF4",  # IDEOGRAPHIC DESCRIPTION CHARACTER FULL SURROUND
    "\u2FF5",  # IDEOGRAPHIC DESCRIPTION CHARACTER SURROUND FROM ABOVE
    "\u2FF6",  # IDEOGRAPHIC DESCRIPTION CHARACTER SURROUND FROM BELOW
    "\u2FF7",  # IDEOGRAPHIC DESCRIPTION CHARACTER SURROUND FROM LEFT
    "\u2FF8",  # IDEOGRAPHIC DESCRIPTION CHARACTER SURROUND FROM UPPER LEFT
    "\u2FF9",  # IDEOGRAPHIC DESCRIPTION CHARACTER SURROUND FROM UPPER RIGHT
    "\u2FFA",  # IDEOGRAPHIC DESCRIPTION CHARACTER SURROUND FROM LOWER LEFT
    "\u2FFB",  # IDEOGRAPHIC DESCRIPTION CHARACTER OVERLAID
    "\u3000",  # IDEOGRAPHIC SPACE
    "\u3001",  # IDEOGRAPHIC COMMA
    "\u3002",  # IDEOGRAPHIC FULL STOP
    "\u3003",  # DITTO MARK
    "\u3004",  # JAPANESE INDUSTRIAL STANDARD SYMBOL
    "\u3005",  # IDEOGRAPHIC ITERATION MARK
    "\u3006",  # IDEOGRAPHIC CLOSING MARK
    "\u3007",  # IDEOGRAPHIC NUMBER ZERO
    "\u3008",  # LEFT ANGLE BRACKET
    "\u3009",  # RIGHT ANGLE BRACKET
    "\u300A",  # LEFT DOUBLE ANGLE BRACKET
    "\u300B",  # RIGHT DOUBLE ANGLE BRACKET
    "\u300C",  # LEFT CORNER BRACKET
    "\u300D",  # RIGHT CORNER BRACKET
    "\u300E",  # LEFT WHITE CORNER BRACKET
    "\u300F",  # RIGHT WHITE CORNER BRACKET
    "\u3010",  # LEFT BLACK LENTICULAR BRACKET
    "\u3011",  # RIGHT BLACK LENTICULAR BRACKET
    "\u3012",  # POSTAL MARK
    "\u3013",  # GETA MARK
    "\u3014",  # LEFT TORTOISE SHELL BRACKET
    "\u3015",  # RIGHT TORTOISE SHELL BRACKET
    "\u3016",  # LEFT WHITE LENTICULAR BRACKET
    "\u3017",  # RIGHT WHITE LENTICULAR BRACKET
    "\u3018",  # LEFT WHITE TORTOISE SHELL BRACKET
    "\u3019",  # RIGHT WHITE TORTOISE SHELL BRACKET
    "\u301A",  # LEFT WHITE SQUARE BRACKET
    "\u301B",  # RIGHT WHITE SQUARE BRACKET
    "\u301C",  # WAVE DASH
    "\u301D",  # REVERSED DOUBLE PRIME QUOTATION MARK
    "\u301E",  # DOUBLE PRIME QUOTATION MARK
    "\u301F",  # LOW DOUBLE PRIME QUOTATION MARK
    "\u3020",  # POSTAL MARK FACE
    "\u3021",  # HANGZHOU NUMERAL ONE
    "\u3022",  # HANGZHOU NUMERAL TWO
    "\u3023",  # HANGZHOU NUMERAL THREE
    "\u3024",  # HANGZHOU NUMERAL FOUR
    "\u3025",  # HANGZHOU NUMERAL FIVE
    "\u3026",  # HANGZHOU NUMERAL SIX
    "\u3027",  # HANGZHOU NUMERAL SEVEN
    "\u3028",  # HANGZHOU NUMERAL EIGHT
    "\u3029",  # HANGZHOU NUMERAL NINE
    "\u302A",  # IDEOGRAPHIC LEVEL TONE MARK
    "\u302B",  # IDEOGRAPHIC RISING TONE MARK
    "\u302C",  # IDEOGRAPHIC DEPARTING TONE MARK
    "\u302D",  # IDEOGRAPHIC ENTERING TONE MARK
    "\u302E",  # HANGUL SINGLE DOT TONE MARK
    "\u302F",  # HANGUL DOUBLE DOT TONE MARK
    "\u3030",  # WAVY DASH
    "\u3031",  # VERTICAL KANA REPEAT MARK
    "\u3032",  # VERTICAL KANA REPEAT WITH VOICED SOUND MARK
    "\u3033",  # VERTICAL KANA REPEAT MARK UPPER HALF
    "\u3034",  # VERTICAL KANA REPEAT WITH VOICED SOUND MARK UPPER HALF
    "\u3035",  # VERTICAL KANA REPEAT MARK LOWER HALF
    "\u3036",  # CIRCLED POSTAL MARK
    "\u3037",  # IDEOGRAPHIC TELEGRAPH LINE FEED SEPARATOR SYMBOL
    "\u3038",  # HANGZHOU NUMERAL TEN
    "\u3039",  # HANGZHOU NUMERAL TWENTY
    "\u303A",  # HANGZHOU NUMERAL THIRTY
    "\u303B",  # VERTICAL IDEOGRAPHIC ITERATION MARK
    "\u303C",  # MASU MARK
    "\u303D",  # PART ALTERNATION MARK
    "\u303E",  # IDEOGRAPHIC VARIATION INDICATOR
    "\u303F",  # IDEOGRAPHIC HALF FILL SPACE
    "\u3041",  # HIRAGANA LETTER SMALL A
    "\u3042",  # HIRAGANA LETTER A
    "\u3043",  # HIRAGANA LETTER SMALL I
    "\u3044",  # HIRAGANA LETTER I
    "\u3045",  # HIRAGANA LETTER SMALL U
    "\u3046",  # HIRAGANA LETTER U
    "\u3047",  # HIRAGANA LETTER SMALL E
    "\u3048",  # HIRAGANA LETTER E
    "\u3049",  # HIRAGANA LETTER SMALL O
    "\u304A",  # HIRAGANA LETTER O
    "\u304B",  # HIRAGANA LETTER KA
    "\u304C",  # HIRAGANA LETTER GA
    "\u304D",  # HIRAGANA LETTER KI
    "\u304E",  # HIRAGANA LETTER GI
    "\u304F",  # HIRAGANA LETTER KU
    "\u3050",  # HIRAGANA LETTER GU
    "\u3051",  # HIRAGANA LETTER KE
    "\u3052",  # HIRAGANA LETTER GE
    "\u3053",  # HIRAGANA LETTER KO
    "\u3054",  # HIRAGANA LETTER GO
    "\u3055",  # HIRAGANA LETTER SA
    "\u3056",  # HIRAGANA LETTER ZA
    "\u3057",  # HIRAGANA LETTER SI
    "\u3058",  # HIRAGANA LETTER ZI
    "\u3059",  # HIRAGANA LETTER SU
    "\u305A",  # HIRAGANA LETTER ZU
    "\u305B",  # HIRAGANA LETTER SE
    "\u305C",  # HIRAGANA LETTER ZE
    "\u305D",  # HIRAGANA LETTER SO
    "\u305E",  # HIRAGANA LETTER ZO
    "\u305F",  # HIRAGANA LETTER TA
    "\u3060",  # HIRAGANA LETTER DA
    "\u3061",  # HIRAGANA LETTER TI
    "\u3062",  # HIRAGANA LETTER DI
    "\u3063",  # HIRAGANA LETTER SMALL TU
    "\u3064",  # HIRAGANA LETTER TU
    "\u3065",  # HIRAGANA LETTER DU
    "\u3066",  # HIRAGANA LETTER TE
    "\u3067",  # HIRAGANA LETTER DE
    "\u3068",  # HIRAGANA LETTER TO
    "\u3069",  # HIRAGANA LETTER DO
    "\u306A",  # HIRAGANA LETTER NA
    "\u306B",  # HIRAGANA LETTER NI
    "\u306C",  # HIRAGANA LETTER NU
    "\u306D",  # HIRAGANA LETTER NE
    "\u306E",  # HIRAGANA LETTER NO
    "\u306F",  # HIRAGANA LETTER HA
    "\u3070",  # HIRAGANA LETTER BA
    "\u3071",  # HIRAGANA LETTER PA
    "\u3072",  # HIRAGANA LETTER HI
    "\u3073",  # HIRAGANA LETTER BI
    "\u3074",  # HIRAGANA LETTER PI
    "\u3075",  # HIRAGANA LETTER HU
    "\u3076",  # HIRAGANA LETTER BU
    "\u3077",  # HIRAGANA LETTER PU
    "\u3078",  # HIRAGANA LETTER HE
    "\u3079",  # HIRAGANA LETTER BE
    "\u307A",  # HIRAGANA LETTER PE
    "\u307B",  # HIRAGANA LETTER HO
    "\u307C",  # HIRAGANA LETTER BO
    "\u307D",  # HIRAGANA LETTER PO
    "\u307E",  # HIRAGANA LETTER MA
    "\u307F",  # HIRAGANA LETTER MI
    "\u3080",  # HIRAGANA LETTER MU
    "\u3081",  # HIRAGANA LETTER ME
    "\u3082",  # HIRAGANA LETTER MO
    "\u3083",  # HIRAGANA LETTER SMALL YA
    "\u3084",  # HIRAGANA LETTER YA
    "\u3085",  # HIRAGANA LETTER SMALL YU
    "\u3086",  # HIRAGANA LETTER YU
    "\u3087",  # HIRAGANA LETTER SMALL YO
    "\u3088",  # HIRAGANA LETTER YO
    "\u3089",  # HIRAGANA LETTER RA
    "\u308A",  # HIRAGANA LETTER RI
    "\u308B",  # HIRAGANA LETTER RU
    "\u308C",  # HIRAGANA LETTER RE
    "\u308D",  # HIRAGANA LETTER RO
    "\u308E",  # HIRAGANA LETTER SMALL WA
    "\u308F",  # HIRAGANA LETTER WA
    "\u3090",  # HIRAGANA LETTER WI
    "\u3091",  # HIRAGANA LETTER WE
    "\u3092",  # HIRAGANA LETTER WO
    "\u3093",  # HIRAGANA LETTER N
    "\u3094",  # HIRAGANA LETTER VU
    "\u3095",  # HIRAGANA LETTER SMALL KA
    "\u3096",  # HIRAGANA LETTER SMALL KE
    "\u3099",  # COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK
    "\u309A",  # COMBINING KATAKANA-HIRAGANA SEMI-VOICED SOUND MARK
    "\u309B",  # KATAKANA-HIRAGANA VOICED SOUND MARK
    "\u309C",  # KATAKANA-HIRAGANA SEMI-VOICED SOUND MARK
    "\u309D",  # HIRAGANA ITERATION MARK
    "\u309E",  # HIRAGANA VOICED ITERATION MARK
    "\u309F",  # HIRAGANA DIGRAPH YORI
    "\u30A0",  # KATAKANA-HIRAGANA DOUBLE HYPHEN
    "\u30A1",  # KATAKANA LETTER SMALL A
    "\u30A2",  # KATAKANA LETTER A
    "\u30A3",  # KATAKANA LETTER SMALL I
    "\u30A4",  # KATAKANA LETTER I
    "\u30A5",  # KATAKANA LETTER SMALL U
    "\u30A6",  # KATAKANA LETTER U
    "\u30A7",  # KATAKANA LETTER SMALL E
    "\u30A8",  # KATAKANA LETTER E
    "\u30A9",  # KATAKANA LETTER SMALL O
    "\u30AA",  # KATAKANA LETTER O
    "\u30AB",  # KATAKANA LETTER KA
    "\u30AC",  # KATAKANA LETTER GA
    "\u30AD",  # KATAKANA LETTER KI
    "\u30AE",  # KATAKANA LETTER GI
    "\u30AF",  # KATAKANA LETTER KU
    "\u30B0",  # KATAKANA LETTER GU
    "\u30B1",  # KATAKANA LETTER KE
    "\u30B2",  # KATAKANA LETTER GE
    "\u30B3",  # KATAKANA LETTER KO
    "\u30B4",  # KATAKANA LETTER GO
    "\u30B5",  # KATAKANA LETTER SA
    "\u30B6",  # KATAKANA LETTER ZA
    "\u30B7",  # KATAKANA LETTER SI
    "\u30B8",  # KATAKANA LETTER ZI
    "\u30B9",  # KATAKANA LETTER SU
    "\u30BA",  # KATAKANA LETTER ZU
    "\u30BB",  # KATAKANA LETTER SE
    "\u30BC",  # KATAKANA LETTER ZE
    "\u30BD",  # KATAKANA LETTER SO
    "\u30BE",  # KATAKANA LETTER ZO
    "\u30BF",  # KATAKANA LETTER TA
    "\u30C0",  # KATAKANA LETTER DA
    "\u30C1",  # KATAKANA LETTER TI
    "\u30C2",  # KATAKANA LETTER DI
    "\u30C3",  # KATAKANA LETTER SMALL TU
    "\u30C4",  # KATAKANA LETTER TU
    "\u30C5",  # KATAKANA LETTER DU
    "\u30C6",  # KATAKANA LETTER TE
    "\u30C7",  # KATAKANA LETTER DE
    "\u30C8",  # KATAKANA LETTER TO
    "\u30C9",  # KATAKANA LETTER DO
    "\u30CA",  # KATAKANA LETTER NA
    "\u30CB",  # KATAKANA LETTER NI
    "\u30CC",  # KATAKANA LETTER NU
    "\u30CD",  # KATAKANA LETTER NE
    "\u30CE",  # KATAKANA LETTER NO
    "\u30CF",  # KATAKANA LETTER HA
    "\u30D0",  # KATAKANA LETTER BA
    "\u30D1",  # KATAKANA LETTER PA
    "\u30D2",  # KATAKANA LETTER HI
    "\u30D3",  # KATAKANA LETTER BI
    "\u30D4",  # KATAKANA LETTER PI
    "\u30D5",  # KATAKANA LETTER HU
    "\u30D6",  # KATAKANA LETTER BU
    "\u30D7",  # KATAKANA LETTER PU
    "\u30D8",  # KATAKANA LETTER HE
    "\u30D9",  # KATAKANA LETTER BE
    "\u30DA",  # KATAKANA LETTER PE
    "\u30DB",  # KATAKANA LETTER HO
    "\u30DC",  # KATAKANA LETTER BO
    "\u30DD",  # KATAKANA LETTER PO
    "\u30DE",  # KATAKANA LETTER MA
    "\u30DF",  # KATAKANA LETTER MI
    "\u30E0",  # KATAKANA LETTER MU
    "\u30E1",  # KATAKANA LETTER ME
    "\u30E2",  # KATAKANA LETTER MO
    "\u30E3",  # KATAKANA LETTER SMALL YA
    "\u30E4",  # KATAKANA LETTER YA
    "\u30E5",  # KATAKANA LETTER SMALL YU
    "\u30E6",  # KATAKANA LETTER YU
    "\u30E7",  # KATAKANA LETTER SMALL YO
    "\u30E8",  # KATAKANA LETTER YO
    "\u30E9",  # KATAKANA LETTER RA
    "\u30EA",  # KATAKANA LETTER RI
    "\u30EB",  # KATAKANA LETTER RU
    "\u30EC",  # KATAKANA LETTER RE
    "\u30ED",  # KATAKANA LETTER RO
    "\u30EE",  # KATAKANA LETTER SMALL WA
    "\u30EF",  # KATAKANA LETTER WA
    "\u30F0",  # KATAKANA LETTER WI
    "\u30F1",  # KATAKANA LETTER WE
    "\u30F2",  # KATAKANA LETTER WO
    "\u30F3",  # KATAKANA LETTER N
    "\u30F4",  # KATAKANA LETTER VU
    "\u30F5",  # KATAKANA LETTER SMALL KA
    "\u30F6",  # KATAKANA LETTER SMALL KE
    "\u30F7",  # KATAKANA LETTER VA
    "\u30F8",  # KATAKANA LETTER VI
    "\u30F9",  # KATAKANA LETTER VE
    "\u30FA",  # KATAKANA LETTER VO
    "\u30FB",  # KATAKANA MIDDLE DOT
    "\u30FC",  # KATAKANA-HIRAGANA PROLONGED SOUND MARK
    "\u30FD",  # KATAKANA ITERATION MARK
    "\u30FE",  # KATAKANA VOICED ITERATION MARK
    "\u30FF",  # KATAKANA DIGRAPH KOTO
    "\u3105",  # BOPOMOFO LETTER B
    "\u3106",  # BOPOMOFO LETTER P
    "\u3107",  # BOPOMOFO LETTER M
    "\u3108",  # BOPOMOFO LETTER F
    "\u3109",  # BOPOMOFO LETTER D
    "\u310A",  # BOPOMOFO LETTER T
    "\u310B",  # BOPOMOFO LETTER N
    "\u310C",  # BOPOMOFO LETTER L
    "\u310D",  # BOPOMOFO LETTER G
    "\u310E",  # BOPOMOFO LETTER K
    "\u310F",  # BOPOMOFO LETTER H
    "\u3110",  # BOPOMOFO LETTER J
    "\u3111",  # BOPOMOFO LETTER Q
    "\u3112",  # BOPOMOFO LETTER X
    "\u3113",  # BOPOMOFO LETTER ZH
    "\u3114",  # BOPOMOFO LETTER CH
    "\u3115",  # BOPOMOFO LETTER SH
    "\u3116",  # BOPOMOFO LETTER R
    "\u3117",  # BOPOMOFO LETTER Z
    "\u3118",  # BOPOMOFO LETTER C
    "\u3119",  # BOPOMOFO LETTER S
    "\u311A",  # BOPOMOFO LETTER A
    "\u311B",  # BOPOMOFO LETTER O
    "\u311C",  # BOPOMOFO LETTER E
    "\u311D",  # BOPOMOFO LETTER EH
    "\u311E",  # BOPOMOFO LETTER AI
    "\u311F",  # BOPOMOFO LETTER EI
    "\u3120",  # BOPOMOFO LETTER AU
    "\u3121",  # BOPOMOFO LETTER OU
    "\u3122",  # BOPOMOFO LETTER AN
    "\u3123",  # BOPOMOFO LETTER EN
    "\u3124",  # BOPOMOFO LETTER ANG
    "\u3125",  # BOPOMOFO LETTER ENG
    "\u3126",  # BOPOMOFO LETTER ER
    "\u3127",  # BOPOMOFO LETTER I
    "\u3128",  # BOPOMOFO LETTER U
    "\u3129",  # BOPOMOFO LETTER IU
    "\u312A",  # BOPOMOFO LETTER V
    "\u312B",  # BOPOMOFO LETTER NG
    "\u312C",  # BOPOMOFO LETTER GN
    "\u312D",  # BOPOMOFO LETTER IH
    "\u312E",  # BOPOMOFO LETTER O WITH DOT ABOVE
    "\u3131",  # HANGUL LETTER KIYEOK
    "\u3132",  # HANGUL LETTER SSANGKIYEOK
    "\u3133",  # HANGUL LETTER KIYEOK-SIOS
    "\u3134",  # HANGUL LETTER NIEUN
    "\u3135",  # HANGUL LETTER NIEUN-CIEUC
    "\u3136",  # HANGUL LETTER NIEUN-HIEUH
    "\u3137",  # HANGUL LETTER TIKEUT
    "\u3138",  # HANGUL LETTER SSANGTIKEUT
    "\u3139",  # HANGUL LETTER RIEUL
    "\u313A",  # HANGUL LETTER RIEUL-KIYEOK
    "\u313B",  # HANGUL LETTER RIEUL-MIEUM
    "\u313C",  # HANGUL LETTER RIEUL-PIEUP
    "\u313D",  # HANGUL LETTER RIEUL-SIOS
    "\u313E",  # HANGUL LETTER RIEUL-THIEUTH
    "\u313F",  # HANGUL LETTER RIEUL-PHIEUPH
    "\u3140",  # HANGUL LETTER RIEUL-HIEUH
    "\u3141",  # HANGUL LETTER MIEUM
    "\u3142",  # HANGUL LETTER PIEUP
    "\u3143",  # HANGUL LETTER SSANGPIEUP
    "\u3144",  # HANGUL LETTER PIEUP-SIOS
    "\u3145",  # HANGUL LETTER SIOS
    "\u3146",  # HANGUL LETTER SSANGSIOS
    "\u3147",  # HANGUL LETTER IEUNG
    "\u3148",  # HANGUL LETTER CIEUC
    "\u3149",  # HANGUL LETTER SSANGCIEUC
    "\u314A",  # HANGUL LETTER CHIEUCH
    "\u314B",  # HANGUL LETTER KHIEUKH
    "\u314C",  # HANGUL LETTER THIEUTH
    "\u314D",  # HANGUL LETTER PHIEUPH
    "\u314E",  # HANGUL LETTER HIEUH
    "\u314F",  # HANGUL LETTER A
    "\u3150",  # HANGUL LETTER AE
    "\u3151",  # HANGUL LETTER YA
    "\u3152",  # HANGUL LETTER YAE
    "\u3153",  # HANGUL LETTER EO
    "\u3154",  # HANGUL LETTER E
    "\u3155",  # HANGUL LETTER YEO
    "\u3156",  # HANGUL LETTER YE
    "\u3157",  # HANGUL LETTER O
    "\u3158",  # HANGUL LETTER WA
    "\u3159",  # HANGUL LETTER WAE
    "\u315A",  # HANGUL LETTER OE
    "\u315B",  # HANGUL LETTER YO
    "\u315C",  # HANGUL LETTER U
    "\u315D",  # HANGUL LETTER WEO
    "\u315E",  # HANGUL LETTER WE
    "\u315F",  # HANGUL LETTER WI
    "\u3160",  # HANGUL LETTER YU
    "\u3161",  # HANGUL LETTER EU
    "\u3162",  # HANGUL LETTER YI
    "\u3163",  # HANGUL LETTER I
    "\u3164",  # HANGUL FILLER
    "\u3165",  # HANGUL LETTER SSANGNIEUN
    "\u3166",  # HANGUL LETTER NIEUN-TIKEUT
    "\u3167",  # HANGUL LETTER NIEUN-SIOS
    "\u3168",  # HANGUL LETTER NIEUN-PANSIOS
    "\u3169",  # HANGUL LETTER RIEUL-KIYEOK-SIOS
    "\u316A",  # HANGUL LETTER RIEUL-TIKEUT
    "\u316B",  # HANGUL LETTER RIEUL-PIEUP-SIOS
    "\u316C",  # HANGUL LETTER RIEUL-PANSIOS
    "\u316D",  # HANGUL LETTER RIEUL-YEORINHIEUH
    "\u316E",  # HANGUL LETTER MIEUM-PIEUP
    "\u316F",  # HANGUL LETTER MIEUM-SIOS
    "\u3170",  # HANGUL LETTER MIEUM-PANSIOS
    "\u3171",  # HANGUL LETTER KAPYEOUNMIEUM
    "\u3172",  # HANGUL LETTER PIEUP-KIYEOK
    "\u3173",  # HANGUL LETTER PIEUP-TIKEUT
    "\u3174",  # HANGUL LETTER PIEUP-SIOS-KIYEOK
    "\u3175",  # HANGUL LETTER PIEUP-SIOS-TIKEUT
    "\u3176",  # HANGUL LETTER PIEUP-CIEUC
    "\u3177",  # HANGUL LETTER PIEUP-THIEUTH
    "\u3178",  # HANGUL LETTER KAPYEOUNPIEUP
    "\u3179",  # HANGUL LETTER KAPYEOUNSSANGPIEUP
    "\u317A",  # HANGUL LETTER SIOS-KIYEOK
    "\u317B",  # HANGUL LETTER SIOS-NIEUN
    "\u317C",  # HANGUL LETTER SIOS-TIKEUT
    "\u317D",  # HANGUL LETTER SIOS-PIEUP
    "\u317E",  # HANGUL LETTER SIOS-CIEUC
    "\u317F",  # HANGUL LETTER PANSIOS
    "\u3180",  # HANGUL LETTER SSANGIEUNG
    "\u3181",  # HANGUL LETTER YESIEUNG
    "\u3182",  # HANGUL LETTER YESIEUNG-SIOS
    "\u3183",  # HANGUL LETTER YESIEUNG-PANSIOS
    "\u3184",  # HANGUL LETTER KAPYEOUNPHIEUPH
    "\u3185",  # HANGUL LETTER SSANGHIEUH
    "\u3186",  # HANGUL LETTER YEORINHIEUH
    "\u3187",  # HANGUL LETTER YO-YA
    "\u3188",  # HANGUL LETTER YO-YAE
    "\u3189",  # HANGUL LETTER YO-I
    "\u318A",  # HANGUL LETTER YU-YEO
    "\u318B",  # HANGUL LETTER YU-YE
    "\u318C",  # HANGUL LETTER YU-I
    "\u318D",  # HANGUL LETTER ARAEA
    "\u318E",  # HANGUL LETTER ARAEAE
    "\u3190",  # IDEOGRAPHIC ANNOTATION LINKING MARK
    "\u3191",  # IDEOGRAPHIC ANNOTATION REVERSE MARK
    "\u3192",  # IDEOGRAPHIC ANNOTATION ONE MARK
    "\u3193",  # IDEOGRAPHIC ANNOTATION TWO MARK
    "\u3194",  # IDEOGRAPHIC ANNOTATION THREE MARK
    "\u3195",  # IDEOGRAPHIC ANNOTATION FOUR MARK
    "\u3196",  # IDEOGRAPHIC ANNOTATION TOP MARK
    "\u3197",  # IDEOGRAPHIC ANNOTATION MIDDLE MARK
    "\u3198",  # IDEOGRAPHIC ANNOTATION BOTTOM MARK
    "\u3199",  # IDEOGRAPHIC ANNOTATION FIRST MARK
    "\u319A",  # IDEOGRAPHIC ANNOTATION SECOND MARK
    "\u319B",  # IDEOGRAPHIC ANNOTATION THIRD MARK
    "\u319C",  # IDEOGRAPHIC ANNOTATION FOURTH MARK
    "\u319D",  # IDEOGRAPHIC ANNOTATION HEAVEN MARK
    "\u319E",  # IDEOGRAPHIC ANNOTATION EARTH MARK
    "\u319F",  # IDEOGRAPHIC ANNOTATION MAN MARK
    "\u31A0",  # BOPOMOFO LETTER BU
    "\u31A1",  # BOPOMOFO LETTER ZI
    "\u31A2",  # BOPOMOFO LETTER JI
    "\u31A3",  # BOPOMOFO LETTER GU
    "\u31A4",  # BOPOMOFO LETTER EE
    "\u31A5",  # BOPOMOFO LETTER ENN
    "\u31A6",  # BOPOMOFO LETTER OO
    "\u31A7",  # BOPOMOFO LETTER ONN
    "\u31A8",  # BOPOMOFO LETTER IR
    "\u31A9",  # BOPOMOFO LETTER ANN
    "\u31AA",  # BOPOMOFO LETTER INN
    "\u31AB",  # BOPOMOFO LETTER UNN
    "\u31AC",  # BOPOMOFO LETTER IM
    "\u31AD",  # BOPOMOFO LETTER NGG
    "\u31AE",  # BOPOMOFO LETTER AINN
    "\u31AF",  # BOPOMOFO LETTER AUNN
    "\u31B0",  # BOPOMOFO LETTER AM
    "\u31B1",  # BOPOMOFO LETTER OM
    "\u31B2",  # BOPOMOFO LETTER ONG
    "\u31B3",  # BOPOMOFO LETTER INNN
    "\u31B4",  # BOPOMOFO FINAL LETTER P
    "\u31B5",  # BOPOMOFO FINAL LETTER T
    "\u31B6",  # BOPOMOFO FINAL LETTER K
    "\u31B7",  # BOPOMOFO FINAL LETTER H
    "\u31B8",  # BOPOMOFO LETTER GH
    "\u31B9",  # BOPOMOFO LETTER LH
    "\u31BA",  # BOPOMOFO LETTER ZY
    "\u31C0",  # CJK STROKE T
    "\u31C1",  # CJK STROKE WG
    "\u31C2",  # CJK STROKE XG
    "\u31C3",  # CJK STROKE BXG
    "\u31C4",  # CJK STROKE SW
    "\u31C5",  # CJK STROKE HZZ
    "\u31C6",  # CJK STROKE HZG
    "\u31C7",  # CJK STROKE HP
    "\u31C8",  # CJK STROKE HZWG
    "\u31C9",  # CJK STROKE SZWG
    "\u31CA",  # CJK STROKE HZT
    "\u31CB",  # CJK STROKE HZZP
    "\u31CC",  # CJK STROKE HPWG
    "\u31CD",  # CJK STROKE HZW
    "\u31CE",  # CJK STROKE HZZZ
    "\u31CF",  # CJK STROKE N
    "\u31D0",  # CJK STROKE H
    "\u31D1",  # CJK STROKE S
    "\u31D2",  # CJK STROKE P
    "\u31D3",  # CJK STROKE SP
    "\u31D4",  # CJK STROKE D
    "\u31D5",  # CJK STROKE HZ
    "\u31D6",  # CJK STROKE HG
    "\u31D7",  # CJK STROKE SZ
    "\u31D8",  # CJK STROKE SWZ
    "\u31D9",  # CJK STROKE ST
    "\u31DA",  # CJK STROKE SG
    "\u31DB",  # CJK STROKE PD
    "\u31DC",  # CJK STROKE PZ
    "\u31DD",  # CJK STROKE TN
    "\u31DE",  # CJK STROKE SZZ
    "\u31DF",  # CJK STROKE SWG
    "\u31E0",  # CJK STROKE HXWG
    "\u31E1",  # CJK STROKE HZZZG
    "\u31E2",  # CJK STROKE PG
    "\u31E3",  # CJK STROKE Q
    "\u31F0",  # KATAKANA LETTER SMALL KU
    "\u31F1",  # KATAKANA LETTER SMALL SI
    "\u31F2",  # KATAKANA LETTER SMALL SU
    "\u31F3",  # KATAKANA LETTER SMALL TO
    "\u31F4",  # KATAKANA LETTER SMALL NU
    "\u31F5",  # KATAKANA LETTER SMALL HA
    "\u31F6",  # KATAKANA LETTER SMALL HI
    "\u31F7",  # KATAKANA LETTER SMALL HU
    "\u31F8",  # KATAKANA LETTER SMALL HE
    "\u31F9",  # KATAKANA LETTER SMALL HO
    "\u31FA",  # KATAKANA LETTER SMALL MU
    "\u31FB",  # KATAKANA LETTER SMALL RA
    "\u31FC",  # KATAKANA LETTER SMALL RI
    "\u31FD",  # KATAKANA LETTER SMALL RU
    "\u31FE",  # KATAKANA LETTER SMALL RE
    "\u31FF",  # KATAKANA LETTER SMALL RO
    "\u3200",  # PARENTHESIZED HANGUL KIYEOK
    "\u3201",  # PARENTHESIZED HANGUL NIEUN
    "\u3202",  # PARENTHESIZED HANGUL TIKEUT
    "\u3203",  # PARENTHESIZED HANGUL RIEUL
    "\u3204",  # PARENTHESIZED HANGUL MIEUM
    "\u3205",  # PARENTHESIZED HANGUL PIEUP
    "\u3206",  # PARENTHESIZED HANGUL SIOS
    "\u3207",  # PARENTHESIZED HANGUL IEUNG
    "\u3208",  # PARENTHESIZED HANGUL CIEUC
    "\u3209",  # PARENTHESIZED HANGUL CHIEUCH
    "\u320A",  # PARENTHESIZED HANGUL KHIEUKH
    "\u320B",  # PARENTHESIZED HANGUL THIEUTH
    "\u320C",  # PARENTHESIZED HANGUL PHIEUPH
    "\u320D",  # PARENTHESIZED HANGUL HIEUH
    "\u320E",  # PARENTHESIZED HANGUL KIYEOK A
    "\u320F",  # PARENTHESIZED HANGUL NIEUN A
    "\u3210",  # PARENTHESIZED HANGUL TIKEUT A
    "\u3211",  # PARENTHESIZED HANGUL RIEUL A
    "\u3212",  # PARENTHESIZED HANGUL MIEUM A
    "\u3213",  # PARENTHESIZED HANGUL PIEUP A
    "\u3214",  # PARENTHESIZED HANGUL SIOS A
    "\u3215",  # PARENTHESIZED HANGUL IEUNG A
    "\u3216",  # PARENTHESIZED HANGUL CIEUC A
    "\u3217",  # PARENTHESIZED HANGUL CHIEUCH A
    "\u3218",  # PARENTHESIZED HANGUL KHIEUKH A
    "\u3219",  # PARENTHESIZED HANGUL THIEUTH A
    "\u321A",  # PARENTHESIZED HANGUL PHIEUPH A
    "\u321B",  # PARENTHESIZED HANGUL HIEUH A
    "\u321C",  # PARENTHESIZED HANGUL CIEUC U
    "\u321D",  # PARENTHESIZED KOREAN CHARACTER OJEON
    "\u321E",  # PARENTHESIZED KOREAN CHARACTER O HU
    "\u3220",  # PARENTHESIZED IDEOGRAPH ONE
    "\u3221",  # PARENTHESIZED IDEOGRAPH TWO
    "\u3222",  # PARENTHESIZED IDEOGRAPH THREE
    "\u3223",  # PARENTHESIZED IDEOGRAPH FOUR
    "\u3224",  # PARENTHESIZED IDEOGRAPH FIVE
    "\u3225",  # PARENTHESIZED IDEOGRAPH SIX
    "\u3226",  # PARENTHESIZED IDEOGRAPH SEVEN
    "\u3227",  # PARENTHESIZED IDEOGRAPH EIGHT
    "\u3228",  # PARENTHESIZED IDEOGRAPH NINE
    "\u3229",  # PARENTHESIZED IDEOGRAPH TEN
    "\u322A",  # PARENTHESIZED IDEOGRAPH MOON
    "\u322B",  # PARENTHESIZED IDEOGRAPH FIRE
    "\u322C",  # PARENTHESIZED IDEOGRAPH WATER
    "\u322D",  # PARENTHESIZED IDEOGRAPH WOOD
    "\u322E",  # PARENTHESIZED IDEOGRAPH METAL
    "\u322F",  # PARENTHESIZED IDEOGRAPH EARTH
    "\u3230",  # PARENTHESIZED IDEOGRAPH SUN
    "\u3231",  # PARENTHESIZED IDEOGRAPH STOCK
    "\u3232",  # PARENTHESIZED IDEOGRAPH HAVE
    "\u3233",  # PARENTHESIZED IDEOGRAPH SOCIETY
    "\u3234",  # PARENTHESIZED IDEOGRAPH NAME
    "\u3235",  # PARENTHESIZED IDEOGRAPH SPECIAL
    "\u3236",  # PARENTHESIZED IDEOGRAPH FINANCIAL
    "\u3237",  # PARENTHESIZED IDEOGRAPH CONGRATULATION
    "\u3238",  # PARENTHESIZED IDEOGRAPH LABOR
    "\u3239",  # PARENTHESIZED IDEOGRAPH REPRESENT
    "\u323A",  # PARENTHESIZED IDEOGRAPH CALL
    "\u323B",  # PARENTHESIZED IDEOGRAPH STUDY
    "\u323C",  # PARENTHESIZED IDEOGRAPH SUPERVISE
    "\u323D",  # PARENTHESIZED IDEOGRAPH ENTERPRISE
    "\u323E",  # PARENTHESIZED IDEOGRAPH RESOURCE
    "\u323F",  # PARENTHESIZED IDEOGRAPH ALLIANCE
    "\u3240",  # PARENTHESIZED IDEOGRAPH FESTIVAL
    "\u3241",  # PARENTHESIZED IDEOGRAPH REST
    "\u3242",  # PARENTHESIZED IDEOGRAPH SELF
    "\u3243",  # PARENTHESIZED IDEOGRAPH REACH
    "\u3244",  # CIRCLED IDEOGRAPH QUESTION
    "\u3245",  # CIRCLED IDEOGRAPH KINDERGARTEN
    "\u3246",  # CIRCLED IDEOGRAPH SCHOOL
    "\u3247",  # CIRCLED IDEOGRAPH KOTO
    "\u3248",  # CIRCLED NUMBER TEN ON BLACK SQUARE
    "\u3249",  # CIRCLED NUMBER TWENTY ON BLACK SQUARE
    "\u324A",  # CIRCLED NUMBER THIRTY ON BLACK SQUARE
    "\u324B",  # CIRCLED NUMBER FORTY ON BLACK SQUARE
    "\u324C",  # CIRCLED NUMBER FIFTY ON BLACK SQUARE
    "\u324D",  # CIRCLED NUMBER SIXTY ON BLACK SQUARE
    "\u324E",  # CIRCLED NUMBER SEVENTY ON BLACK SQUARE
    "\u324F",  # CIRCLED NUMBER EIGHTY ON BLACK SQUARE
    "\u3250",  # PARTNERSHIP SIGN
    "\u3251",  # CIRCLED NUMBER TWENTY ONE
    "\u3252",  # CIRCLED NUMBER TWENTY TWO
    "\u3253",  # CIRCLED NUMBER TWENTY THREE
    "\u3254",  # CIRCLED NUMBER TWENTY FOUR
    "\u3255",  # CIRCLED NUMBER TWENTY FIVE
    "\u3256",  # CIRCLED NUMBER TWENTY SIX
    "\u3257",  # CIRCLED NUMBER TWENTY SEVEN
    "\u3258",  # CIRCLED NUMBER TWENTY EIGHT
    "\u3259",  # CIRCLED NUMBER TWENTY NINE
    "\u325A",  # CIRCLED NUMBER THIRTY
    "\u325B",  # CIRCLED NUMBER THIRTY ONE
    "\u325C",  # CIRCLED NUMBER THIRTY TWO
    "\u325D",  # CIRCLED NUMBER THIRTY THREE
    "\u325E",  # CIRCLED NUMBER THIRTY FOUR
    "\u325F",  # CIRCLED NUMBER THIRTY FIVE
    "\u3260",  # CIRCLED HANGUL KIYEOK
    "\u3261",  # CIRCLED HANGUL NIEUN
    "\u3262",  # CIRCLED HANGUL TIKEUT
    "\u3263",  # CIRCLED HANGUL RIEUL
    "\u3264",  # CIRCLED HANGUL MIEUM
    "\u3265",  # CIRCLED HANGUL PIEUP
    "\u3266",  # CIRCLED HANGUL SIOS
    "\u3267",  # CIRCLED HANGUL IEUNG
    "\u3268",  # CIRCLED HANGUL CIEUC
    "\u3269",  # CIRCLED HANGUL CHIEUCH
    "\u326A",  # CIRCLED HANGUL KHIEUKH
    "\u326B",  # CIRCLED HANGUL THIEUTH
    "\u326C",  # CIRCLED HANGUL PHIEUPH
    "\u326D",  # CIRCLED HANGUL HIEUH
    "\u326E",  # CIRCLED HANGUL KIYEOK A
    "\u326F",  # CIRCLED HANGUL NIEUN A
    "\u3270",  # CIRCLED HANGUL TIKEUT A
    "\u3271",  # CIRCLED HANGUL RIEUL A
    "\u3272",  # CIRCLED HANGUL MIEUM A
    "\u3273",  # CIRCLED HANGUL PIEUP A
    "\u3274",  # CIRCLED HANGUL SIOS A
    "\u3275",  # CIRCLED HANGUL IEUNG A
    "\u3276",  # CIRCLED HANGUL CIEUC A
    "\u3277",  # CIRCLED HANGUL CHIEUCH A
    "\u3278",  # CIRCLED HANGUL KHIEUKH A
    "\u3279",  # CIRCLED HANGUL THIEUTH A
    "\u327A",  # CIRCLED HANGUL PHIEUPH A
    "\u327B",  # CIRCLED HANGUL HIEUH A
    "\u327C",  # CIRCLED KOREAN CHARACTER CHAMKO
    "\u327D",  # CIRCLED KOREAN CHARACTER JUEUI
    "\u327E",  # CIRCLED HANGUL IEUNG U
    "\u327F",  # KOREAN STANDARD SYMBOL
    "\u3280",  # CIRCLED IDEOGRAPH ONE
    "\u3281",  # CIRCLED IDEOGRAPH TWO
    "\u3282",  # CIRCLED IDEOGRAPH THREE
    "\u3283",  # CIRCLED IDEOGRAPH FOUR
    "\u3284",  # CIRCLED IDEOGRAPH FIVE
    "\u3285",  # CIRCLED IDEOGRAPH SIX
    "\u3286",  # CIRCLED IDEOGRAPH SEVEN
    "\u3287",  # CIRCLED IDEOGRAPH EIGHT
    "\u3288",  # CIRCLED IDEOGRAPH NINE
    "\u3289",  # CIRCLED IDEOGRAPH TEN
    "\u328A",  # CIRCLED IDEOGRAPH MOON
    "\u328B",  # CIRCLED IDEOGRAPH FIRE
    "\u328C",  # CIRCLED IDEOGRAPH WATER
    "\u328D",  # CIRCLED IDEOGRAPH WOOD
    "\u328E",  # CIRCLED IDEOGRAPH METAL
    "\u328F",  # CIRCLED IDEOGRAPH EARTH
    "\u3290",  # CIRCLED IDEOGRAPH SUN
    "\u3291",  # CIRCLED IDEOGRAPH STOCK
    "\u3292",  # CIRCLED IDEOGRAPH HAVE
    "\u3293",  # CIRCLED IDEOGRAPH SOCIETY
    "\u3294",  # CIRCLED IDEOGRAPH NAME
    "\u3295",  # CIRCLED IDEOGRAPH SPECIAL
    "\u3296",  # CIRCLED IDEOGRAPH FINANCIAL
    "\u3297",  # CIRCLED IDEOGRAPH CONGRATULATION
    "\u3298",  # CIRCLED IDEOGRAPH LABOR
    "\u3299",  # CIRCLED IDEOGRAPH SECRET
    "\u329A",  # CIRCLED IDEOGRAPH MALE
    "\u329B",  # CIRCLED IDEOGRAPH FEMALE
    "\u329C",  # CIRCLED IDEOGRAPH SUITABLE
    "\u329D",  # CIRCLED IDEOGRAPH EXCELLENT
    "\u329E",  # CIRCLED IDEOGRAPH PRINT
    "\u329F",  # CIRCLED IDEOGRAPH ATTENTION
    "\u32A0",  # CIRCLED IDEOGRAPH ITEM
    "\u32A1",  # CIRCLED IDEOGRAPH REST
    "\u32A2",  # CIRCLED IDEOGRAPH COPY
    "\u32A3",  # CIRCLED IDEOGRAPH CORRECT
    "\u32A4",  # CIRCLED IDEOGRAPH HIGH
    "\u32A5",  # CIRCLED IDEOGRAPH CENTRE
    "\u32A6",  # CIRCLED IDEOGRAPH LOW
    "\u32A7",  # CIRCLED IDEOGRAPH LEFT
    "\u32A8",  # CIRCLED IDEOGRAPH RIGHT
    "\u32A9",  # CIRCLED IDEOGRAPH MEDICINE
    "\u32AA",  # CIRCLED IDEOGRAPH RELIGION
    "\u32AB",  # CIRCLED IDEOGRAPH STUDY
    "\u32AC",  # CIRCLED IDEOGRAPH SUPERVISE
    "\u32AD",  # CIRCLED IDEOGRAPH ENTERPRISE
    "\u32AE",  # CIRCLED IDEOGRAPH RESOURCE
    "\u32AF",  # CIRCLED IDEOGRAPH ALLIANCE
    "\u32B0",  # CIRCLED IDEOGRAPH NIGHT
    "\u32B1",  # CIRCLED NUMBER THIRTY SIX
    "\u32B2",  # CIRCLED NUMBER THIRTY SEVEN
    "\u32B3",  # CIRCLED NUMBER THIRTY EIGHT
    "\u32B4",  # CIRCLED NUMBER THIRTY NINE
    "\u32B5",  # CIRCLED NUMBER FORTY
    "\u32B6",  # CIRCLED NUMBER FORTY ONE
    "\u32B7",  # CIRCLED NUMBER FORTY TWO
    "\u32B8",  # CIRCLED NUMBER FORTY THREE
    "\u32B9",  # CIRCLED NUMBER FORTY FOUR
    "\u32BA",  # CIRCLED NUMBER FORTY FIVE
    "\u32BB",  # CIRCLED NUMBER FORTY SIX
    "\u32BC",  # CIRCLED NUMBER FORTY SEVEN
    "\u32BD",  # CIRCLED NUMBER FORTY EIGHT
    "\u32BE",  # CIRCLED NUMBER FORTY NINE
    "\u32BF",  # CIRCLED NUMBER FIFTY
    "\u32C0",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR JANUARY
    "\u32C1",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR FEBRUARY
    "\u32C2",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR MARCH
    "\u32C3",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR APRIL
    "\u32C4",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR MAY
    "\u32C5",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR JUNE
    "\u32C6",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR JULY
    "\u32C7",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR AUGUST
    "\u32C8",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR SEPTEMBER
    "\u32C9",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR OCTOBER
    "\u32CA",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR NOVEMBER
    "\u32CB",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DECEMBER
    "\u32CC",  # SQUARE HG
    "\u32CD",  # SQUARE ERG
    "\u32CE",  # SQUARE EV
    "\u32CF",  # LIMITED LIABILITY SIGN
    "\u32D0",  # CIRCLED KATAKANA A
    "\u32D1",  # CIRCLED KATAKANA I
    "\u32D2",  # CIRCLED KATAKANA U
    "\u32D3",  # CIRCLED KATAKANA E
    "\u32D4",  # CIRCLED KATAKANA O
    "\u32D5",  # CIRCLED KATAKANA KA
    "\u32D6",  # CIRCLED KATAKANA KI
    "\u32D7",  # CIRCLED KATAKANA KU
    "\u32D8",  # CIRCLED KATAKANA KE
    "\u32D9",  # CIRCLED KATAKANA KO
    "\u32DA",  # CIRCLED KATAKANA SA
    "\u32DB",  # CIRCLED KATAKANA SI
    "\u32DC",  # CIRCLED KATAKANA SU
    "\u32DD",  # CIRCLED KATAKANA SE
    "\u32DE",  # CIRCLED KATAKANA SO
    "\u32DF",  # CIRCLED KATAKANA TA
    "\u32E0",  # CIRCLED KATAKANA TI
    "\u32E1",  # CIRCLED KATAKANA TU
    "\u32E2",  # CIRCLED KATAKANA TE
    "\u32E3",  # CIRCLED KATAKANA TO
    "\u32E4",  # CIRCLED KATAKANA NA
    "\u32E5",  # CIRCLED KATAKANA NI
    "\u32E6",  # CIRCLED KATAKANA NU
    "\u32E7",  # CIRCLED KATAKANA NE
    "\u32E8",  # CIRCLED KATAKANA NO
    "\u32E9",  # CIRCLED KATAKANA HA
    "\u32EA",  # CIRCLED KATAKANA HI
    "\u32EB",  # CIRCLED KATAKANA HU
    "\u32EC",  # CIRCLED KATAKANA HE
    "\u32ED",  # CIRCLED KATAKANA HO
    "\u32EE",  # CIRCLED KATAKANA MA
    "\u32EF",  # CIRCLED KATAKANA MI
    "\u32F0",  # CIRCLED KATAKANA MU
    "\u32F1",  # CIRCLED KATAKANA ME
    "\u32F2",  # CIRCLED KATAKANA MO
    "\u32F3",  # CIRCLED KATAKANA YA
    "\u32F4",  # CIRCLED KATAKANA YU
    "\u32F5",  # CIRCLED KATAKANA YO
    "\u32F6",  # CIRCLED KATAKANA RA
    "\u32F7",  # CIRCLED KATAKANA RI
    "\u32F8",  # CIRCLED KATAKANA RU
    "\u32F9",  # CIRCLED KATAKANA RE
    "\u32FA",  # CIRCLED KATAKANA RO
    "\u32FB",  # CIRCLED KATAKANA WA
    "\u32FC",  # CIRCLED KATAKANA WI
    "\u32FD",  # CIRCLED KATAKANA WE
    "\u32FE",  # CIRCLED KATAKANA WO
    "\u3300",  # SQUARE APAATO
    "\u3301",  # SQUARE ARUHUA
    "\u3302",  # SQUARE ANPEA
    "\u3303",  # SQUARE AARU
    "\u3304",  # SQUARE ININGU
    "\u3305",  # SQUARE INTI
    "\u3306",  # SQUARE UON
    "\u3307",  # SQUARE ESUKUUDO
    "\u3308",  # SQUARE EEKAA
    "\u3309",  # SQUARE ONSU
    "\u330A",  # SQUARE OOMU
    "\u330B",  # SQUARE KAIRI
    "\u330C",  # SQUARE KARATTO
    "\u330D",  # SQUARE KARORII
    "\u330E",  # SQUARE GARON
    "\u330F",  # SQUARE GANMA
    "\u3310",  # SQUARE GIGA
    "\u3311",  # SQUARE GINII
    "\u3312",  # SQUARE KYURII
    "\u3313",  # SQUARE GIRUDAA
    "\u3314",  # SQUARE KIRO
    "\u3315",  # SQUARE KIROGURAMU
    "\u3316",  # SQUARE KIROMEETORU
    "\u3317",  # SQUARE KIROWATTO
    "\u3318",  # SQUARE GURAMU
    "\u3319",  # SQUARE GURAMUTON
    "\u331A",  # SQUARE KURUZEIRO
    "\u331B",  # SQUARE KUROONE
    "\u331C",  # SQUARE KEESU
    "\u331D",  # SQUARE KORUNA
    "\u331E",  # SQUARE KOOPO
    "\u331F",  # SQUARE SAIKURU
    "\u3320",  # SQUARE SANTIIMU
    "\u3321",  # SQUARE SIRINGU
    "\u3322",  # SQUARE SENTI
    "\u3323",  # SQUARE SENTO
    "\u3324",  # SQUARE DAASU
    "\u3325",  # SQUARE DESI
    "\u3326",  # SQUARE DORU
    "\u3327",  # SQUARE TON
    "\u3328",  # SQUARE NANO
    "\u3329",  # SQUARE NOTTO
    "\u332A",  # SQUARE HAITU
    "\u332B",  # SQUARE PAASENTO
    "\u332C",  # SQUARE PAATU
    "\u332D",  # SQUARE BAARERU
    "\u332E",  # SQUARE PIASUTORU
    "\u332F",  # SQUARE PIKURU
    "\u3330",  # SQUARE PIKO
    "\u3331",  # SQUARE BIRU
    "\u3332",  # SQUARE HUARADDO
    "\u3333",  # SQUARE HUIITO
    "\u3334",  # SQUARE BUSSYERU
    "\u3335",  # SQUARE HURAN
    "\u3336",  # SQUARE HEKUTAARU
    "\u3337",  # SQUARE PESO
    "\u3338",  # SQUARE PENIHI
    "\u3339",  # SQUARE HERUTU
    "\u333A",  # SQUARE PENSU
    "\u333B",  # SQUARE PEEZI
    "\u333C",  # SQUARE BEETA
    "\u333D",  # SQUARE POINTO
    "\u333E",  # SQUARE BORUTO
    "\u333F",  # SQUARE HON
    "\u3340",  # SQUARE PONDO
    "\u3341",  # SQUARE HOORU
    "\u3342",  # SQUARE HOON
    "\u3343",  # SQUARE MAIKURO
    "\u3344",  # SQUARE MAIRU
    "\u3345",  # SQUARE MAHHA
    "\u3346",  # SQUARE MARUKU
    "\u3347",  # SQUARE MANSYON
    "\u3348",  # SQUARE MIKURON
    "\u3349",  # SQUARE MIRI
    "\u334A",  # SQUARE MIRIBAARU
    "\u334B",  # SQUARE MEGA
    "\u334C",  # SQUARE MEGATON
    "\u334D",  # SQUARE MEETORU
    "\u334E",  # SQUARE YAADO
    "\u334F",  # SQUARE YAARU
    "\u3350",  # SQUARE YUAN
    "\u3351",  # SQUARE RITTORU
    "\u3352",  # SQUARE RIRA
    "\u3353",  # SQUARE RUPII
    "\u3354",  # SQUARE RUUBURU
    "\u3355",  # SQUARE REMU
    "\u3356",  # SQUARE RENTOGEN
    "\u3357",  # SQUARE WATTO
    "\u3358",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR ZERO
    "\u3359",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR ONE
    "\u335A",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWO
    "\u335B",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR THREE
    "\u335C",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR FOUR
    "\u335D",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR FIVE
    "\u335E",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR SIX
    "\u335F",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR SEVEN
    "\u3360",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR EIGHT
    "\u3361",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR NINE
    "\u3362",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TEN
    "\u3363",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR ELEVEN
    "\u3364",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWELVE
    "\u3365",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR THIRTEEN
    "\u3366",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR FOURTEEN
    "\u3367",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR FIFTEEN
    "\u3368",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR SIXTEEN
    "\u3369",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR SEVENTEEN
    "\u336A",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR EIGHTEEN
    "\u336B",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR NINETEEN
    "\u336C",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY
    "\u336D",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY-ONE
    "\u336E",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY-TWO
    "\u336F",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY-THREE
    "\u3370",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY-FOUR
    "\u3371",  # SQUARE HPA
    "\u3372",  # SQUARE DA
    "\u3373",  # SQUARE AU
    "\u3374",  # SQUARE BAR
    "\u3375",  # SQUARE OV
    "\u3376",  # SQUARE PC
    "\u3377",  # SQUARE DM
    "\u3378",  # SQUARE DM SQUARED
    "\u3379",  # SQUARE DM CUBED
    "\u337A",  # SQUARE IU
    "\u337B",  # SQUARE ERA NAME HEISEI
    "\u337C",  # SQUARE ERA NAME SYOUWA
    "\u337D",  # SQUARE ERA NAME TAISYOU
    "\u337E",  # SQUARE ERA NAME MEIZI
    "\u337F",  # SQUARE CORPORATION
    "\u3380",  # SQUARE PA AMPS
    "\u3381",  # SQUARE NA
    "\u3382",  # SQUARE MU A
    "\u3383",  # SQUARE MA
    "\u3384",  # SQUARE KA
    "\u3385",  # SQUARE KB
    "\u3386",  # SQUARE MB
    "\u3387",  # SQUARE GB
    "\u3388",  # SQUARE CAL
    "\u3389",  # SQUARE KCAL
    "\u338A",  # SQUARE PF
    "\u338B",  # SQUARE NF
    "\u338C",  # SQUARE MU F
    "\u338D",  # SQUARE MU G
    "\u338E",  # SQUARE MG
    "\u338F",  # SQUARE KG
    "\u3390",  # SQUARE HZ
    "\u3391",  # SQUARE KHZ
    "\u3392",  # SQUARE MHZ
    "\u3393",  # SQUARE GHZ
    "\u3394",  # SQUARE THZ
    "\u3395",  # SQUARE MU L
    "\u3396",  # SQUARE ML
    "\u3397",  # SQUARE DL
    "\u3398",  # SQUARE KL
    "\u3399",  # SQUARE FM
    "\u339A",  # SQUARE NM
    "\u339B",  # SQUARE MU M
    "\u339C",  # SQUARE MM
    "\u339D",  # SQUARE CM
    "\u339E",  # SQUARE KM
    "\u339F",  # SQUARE MM SQUARED
    "\u33A0",  # SQUARE CM SQUARED
    "\u33A1",  # SQUARE M SQUARED
    "\u33A2",  # SQUARE KM SQUARED
    "\u33A3",  # SQUARE MM CUBED
    "\u33A4",  # SQUARE CM CUBED
    "\u33A5",  # SQUARE M CUBED
    "\u33A6",  # SQUARE KM CUBED
    "\u33A7",  # SQUARE M OVER S
    "\u33A8",  # SQUARE M OVER S SQUARED
    "\u33A9",  # SQUARE PA
    "\u33AA",  # SQUARE KPA
    "\u33AB",  # SQUARE MPA
    "\u33AC",  # SQUARE GPA
    "\u33AD",  # SQUARE RAD
    "\u33AE",  # SQUARE RAD OVER S
    "\u33AF",  # SQUARE RAD OVER S SQUARED
    "\u33B0",  # SQUARE PS
    "\u33B1",  # SQUARE NS
    "\u33B2",  # SQUARE MU S
    "\u33B3",  # SQUARE MS
    "\u33B4",  # SQUARE PV
    "\u33B5",  # SQUARE NV
    "\u33B6",  # SQUARE MU V
    "\u33B7",  # SQUARE MV
    "\u33B8",  # SQUARE KV
    "\u33B9",  # SQUARE MV MEGA
    "\u33BA",  # SQUARE PW
    "\u33BB",  # SQUARE NW
    "\u33BC",  # SQUARE MU W
    "\u33BD",  # SQUARE MW
    "\u33BE",  # SQUARE KW
    "\u33BF",  # SQUARE MW MEGA
    "\u33C0",  # SQUARE K OHM
    "\u33C1",  # SQUARE M OHM
    "\u33C2",  # SQUARE AM
    "\u33C3",  # SQUARE BQ
    "\u33C4",  # SQUARE CC
    "\u33C5",  # SQUARE CD
    "\u33C6",  # SQUARE C OVER KG
    "\u33C7",  # SQUARE CO
    "\u33C8",  # SQUARE DB
    "\u33C9",  # SQUARE GY
    "\u33CA",  # SQUARE HA
    "\u33CB",  # SQUARE HP
    "\u33CC",  # SQUARE IN
    "\u33CD",  # SQUARE KK
    "\u33CE",  # SQUARE KM CAPITAL
    "\u33CF",  # SQUARE KT
    "\u33D0",  # SQUARE LM
    "\u33D1",  # SQUARE LN
    "\u33D2",  # SQUARE LOG
    "\u33D3",  # SQUARE LX
    "\u33D4",  # SQUARE MB SMALL
    "\u33D5",  # SQUARE MIL
    "\u33D6",  # SQUARE MOL
    "\u33D7",  # SQUARE PH
    "\u33D8",  # SQUARE PM
    "\u33D9",  # SQUARE PPM
    "\u33DA",  # SQUARE PR
    "\u33DB",  # SQUARE SR
    "\u33DC",  # SQUARE SV
    "\u33DD",  # SQUARE WB
    "\u33DE",  # SQUARE V OVER M
    "\u33DF",  # SQUARE A OVER M
    "\u33E0",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY ONE
    "\u33E1",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWO
    "\u33E2",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY THREE
    "\u33E3",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY FOUR
    "\u33E4",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY FIVE
    "\u33E5",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY SIX
    "\u33E6",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY SEVEN
    "\u33E7",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY EIGHT
    "\u33E8",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY NINE
    "\u33E9",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TEN
    "\u33EA",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY ELEVEN
    "\u33EB",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWELVE
    "\u33EC",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY THIRTEEN
    "\u33ED",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY FOURTEEN
    "\u33EE",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY FIFTEEN
    "\u33EF",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY SIXTEEN
    "\u33F0",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY SEVENTEEN
    "\u33F1",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY EIGHTEEN
    "\u33F2",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY NINETEEN
    "\u33F3",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY
    "\u33F4",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-ONE
    "\u33F5",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-TWO
    "\u33F6",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-THREE
    "\u33F7",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-FOUR
    "\u33F8",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-FIVE
    "\u33F9",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-SIX
    "\u33FA",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-SEVEN
    "\u33FB",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-EIGHT
    "\u33FC",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-NINE
    "\u33FD",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY THIRTY
    "\u33FE",  # IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY THIRTY-ONE
    "\u33FF",  # SQUARE GAL
    "\u4DC0",  # HEXAGRAM FOR THE CREATIVE HEAVEN
    "\u4DC1",  # HEXAGRAM FOR THE RECEPTIVE EARTH
    "\u4DC2",  # HEXAGRAM FOR DIFFICULTY AT THE BEGINNING
    "\u4DC3",  # HEXAGRAM FOR YOUTHFUL FOLLY
    "\u4DC4",  # HEXAGRAM FOR WAITING
    "\u4DC5",  # HEXAGRAM FOR CONFLICT
    "\u4DC6",  # HEXAGRAM FOR THE ARMY
    "\u4DC7",  # HEXAGRAM FOR HOLDING TOGETHER
    "\u4DC8",  # HEXAGRAM FOR SMALL TAMING
    "\u4DC9",  # HEXAGRAM FOR TREADING
    "\u4DCA",  # HEXAGRAM FOR PEACE
    "\u4DCB",  # HEXAGRAM FOR STANDSTILL
    "\u4DCC",  # HEXAGRAM FOR FELLOWSHIP
    "\u4DCD",  # HEXAGRAM FOR GREAT POSSESSION
    "\u4DCE",  # HEXAGRAM FOR MODESTY
    "\u4DCF",  # HEXAGRAM FOR ENTHUSIASM
    "\u4DD0",  # HEXAGRAM FOR FOLLOWING
    "\u4DD1",  # HEXAGRAM FOR WORK ON THE DECAYED
    "\u4DD2",  # HEXAGRAM FOR APPROACH
    "\u4DD3",  # HEXAGRAM FOR CONTEMPLATION
    "\u4DD4",  # HEXAGRAM FOR BITING THROUGH
    "\u4DD5",  # HEXAGRAM FOR GRACE
    "\u4DD6",  # HEXAGRAM FOR SPLITTING APART
    "\u4DD7",  # HEXAGRAM FOR RETURN
    "\u4DD8",  # HEXAGRAM FOR INNOCENCE
    "\u4DD9",  # HEXAGRAM FOR GREAT TAMING
    "\u4DDA",  # HEXAGRAM FOR MOUTH CORNERS
    "\u4DDB",  # HEXAGRAM FOR GREAT PREPONDERANCE
    "\u4DDC",  # HEXAGRAM FOR THE ABYSMAL WATER
    "\u4DDD",  # HEXAGRAM FOR THE CLINGING FIRE
    "\u4DDE",  # HEXAGRAM FOR INFLUENCE
    "\u4DDF",  # HEXAGRAM FOR DURATION
    "\u4DE0",  # HEXAGRAM FOR RETREAT
    "\u4DE1",  # HEXAGRAM FOR GREAT POWER
    "\u4DE2",  # HEXAGRAM FOR PROGRESS
    "\u4DE3",  # HEXAGRAM FOR DARKENING OF THE LIGHT
    "\u4DE4",  # HEXAGRAM FOR THE FAMILY
    "\u4DE5",  # HEXAGRAM FOR OPPOSITION
    "\u4DE6",  # HEXAGRAM FOR OBSTRUCTION
    "\u4DE7",  # HEXAGRAM FOR DELIVERANCE
    "\u4DE8",  # HEXAGRAM FOR DECREASE
    "\u4DE9",  # HEXAGRAM FOR INCREASE
    "\u4DEA",  # HEXAGRAM FOR BREAKTHROUGH
    "\u4DEB",  # HEXAGRAM FOR COMING TO MEET
    "\u4DEC",  # HEXAGRAM FOR GATHERING TOGETHER
    "\u4DED",  # HEXAGRAM FOR PUSHING UPWARD
    "\u4DEE",  # HEXAGRAM FOR OPPRESSION
    "\u4DEF",  # HEXAGRAM FOR THE WELL
    "\u4DF0",  # HEXAGRAM FOR REVOLUTION
    "\u4DF1",  # HEXAGRAM FOR THE CAULDRON
    "\u4DF2",  # HEXAGRAM FOR THE AROUSING THUNDER
    "\u4DF3",  # HEXAGRAM FOR THE KEEPING STILL MOUNTAIN
    "\u4DF4",  # HEXAGRAM FOR DEVELOPMENT
    "\u4DF5",  # HEXAGRAM FOR THE MARRYING MAIDEN
    "\u4DF6",  # HEXAGRAM FOR ABUNDANCE
    "\u4DF7",  # HEXAGRAM FOR THE WANDERER
    "\u4DF8",  # HEXAGRAM FOR THE GENTLE WIND
    "\u4DF9",  # HEXAGRAM FOR THE JOYOUS LAKE
    "\u4DFA",  # HEXAGRAM FOR DISPERSION
    "\u4DFB",  # HEXAGRAM FOR LIMITATION
    "\u4DFC",  # HEXAGRAM FOR INNER TRUTH
    "\u4DFD",  # HEXAGRAM FOR SMALL PREPONDERANCE
    "\u4DFE",  # HEXAGRAM FOR AFTER COMPLETION
    "\u4DFF",  # HEXAGRAM FOR BEFORE COMPLETION
    "\uA000",  # YI SYLLABLE IT
    "\uA001",  # YI SYLLABLE IX
    "\uA002",  # YI SYLLABLE I
    "\uA003",  # YI SYLLABLE IP
    "\uA004",  # YI SYLLABLE IET
    "\uA005",  # YI SYLLABLE IEX
    "\uA006",  # YI SYLLABLE IE
    "\uA007",  # YI SYLLABLE IEP
    "\uA008",  # YI SYLLABLE AT
    "\uA009",  # YI SYLLABLE AX
    "\uA00A",  # YI SYLLABLE A
    "\uA00B",  # YI SYLLABLE AP
    "\uA00C",  # YI SYLLABLE UOX
    "\uA00D",  # YI SYLLABLE UO
    "\uA00E",  # YI SYLLABLE UOP
    "\uA00F",  # YI SYLLABLE OT
    "\uA010",  # YI SYLLABLE OX
    "\uA011",  # YI SYLLABLE O
    "\uA012",  # YI SYLLABLE OP
    "\uA013",  # YI SYLLABLE EX
    "\uA014",  # YI SYLLABLE E
    "\uA015",  # YI SYLLABLE WU
    "\uA016",  # YI SYLLABLE BIT
    "\uA017",  # YI SYLLABLE BIX
    "\uA018",  # YI SYLLABLE BI
    "\uA019",  # YI SYLLABLE BIP
    "\uA01A",  # YI SYLLABLE BIET
    "\uA01B",  # YI SYLLABLE BIEX
    "\uA01C",  # YI SYLLABLE BIE
    "\uA01D",  # YI SYLLABLE BIEP
    "\uA01E",  # YI SYLLABLE BAT
    "\uA01F",  # YI SYLLABLE BAX
    "\uA020",  # YI SYLLABLE BA
    "\uA021",  # YI SYLLABLE BAP
    "\uA022",  # YI SYLLABLE BUOX
    "\uA023",  # YI SYLLABLE BUO
    "\uA024",  # YI SYLLABLE BUOP
    "\uA025",  # YI SYLLABLE BOT
    "\uA026",  # YI SYLLABLE BOX
    "\uA027",  # YI SYLLABLE BO
    "\uA028",  # YI SYLLABLE BOP
    "\uA029",  # YI SYLLABLE BEX
    "\uA02A",  # YI SYLLABLE BE
    "\uA02B",  # YI SYLLABLE BEP
    "\uA02C",  # YI SYLLABLE BUT
    "\uA02D",  # YI SYLLABLE BUX
    "\uA02E",  # YI SYLLABLE BU
    "\uA02F",  # YI SYLLABLE BUP
    "\uA030",  # YI SYLLABLE BURX
    "\uA031",  # YI SYLLABLE BUR
    "\uA032",  # YI SYLLABLE BYT
    "\uA033",  # YI SYLLABLE BYX
    "\uA034",  # YI SYLLABLE BY
    "\uA035",  # YI SYLLABLE BYP
    "\uA036",  # YI SYLLABLE BYRX
    "\uA037",  # YI SYLLABLE BYR
    "\uA038",  # YI SYLLABLE PIT
    "\uA039",  # YI SYLLABLE PIX
    "\uA03A",  # YI SYLLABLE PI
    "\uA03B",  # YI SYLLABLE PIP
    "\uA03C",  # YI SYLLABLE PIEX
    "\uA03D",  # YI SYLLABLE PIE
    "\uA03E",  # YI SYLLABLE PIEP
    "\uA03F",  # YI SYLLABLE PAT
    "\uA040",  # YI SYLLABLE PAX
    "\uA041",  # YI SYLLABLE PA
    "\uA042",  # YI SYLLABLE PAP
    "\uA043",  # YI SYLLABLE PUOX
    "\uA044",  # YI SYLLABLE PUO
    "\uA045",  # YI SYLLABLE PUOP
    "\uA046",  # YI SYLLABLE POT
    "\uA047",  # YI SYLLABLE POX
    "\uA048",  # YI SYLLABLE PO
    "\uA049",  # YI SYLLABLE POP
    "\uA04A",  # YI SYLLABLE PUT
    "\uA04B",  # YI SYLLABLE PUX
    "\uA04C",  # YI SYLLABLE PU
    "\uA04D",  # YI SYLLABLE PUP
    "\uA04E",  # YI SYLLABLE PURX
    "\uA04F",  # YI SYLLABLE PUR
    "\uA050",  # YI SYLLABLE PYT
    "\uA051",  # YI SYLLABLE PYX
    "\uA052",  # YI SYLLABLE PY
    "\uA053",  # YI SYLLABLE PYP
    "\uA054",  # YI SYLLABLE PYRX
    "\uA055",  # YI SYLLABLE PYR
    "\uA056",  # YI SYLLABLE BBIT
    "\uA057",  # YI SYLLABLE BBIX
    "\uA058",  # YI SYLLABLE BBI
    "\uA059",  # YI SYLLABLE BBIP
    "\uA05A",  # YI SYLLABLE BBIET
    "\uA05B",  # YI SYLLABLE BBIEX
    "\uA05C",  # YI SYLLABLE BBIE
    "\uA05D",  # YI SYLLABLE BBIEP
    "\uA05E",  # YI SYLLABLE BBAT
    "\uA05F",  # YI SYLLABLE BBAX
    "\uA060",  # YI SYLLABLE BBA
    "\uA061",  # YI SYLLABLE BBAP
    "\uA062",  # YI SYLLABLE BBUOX
    "\uA063",  # YI SYLLABLE BBUO
    "\uA064",  # YI SYLLABLE BBUOP
    "\uA065",  # YI SYLLABLE BBOT
    "\uA066",  # YI SYLLABLE BBOX
    "\uA067",  # YI SYLLABLE BBO
    "\uA068",  # YI SYLLABLE BBOP
    "\uA069",  # YI SYLLABLE BBEX
    "\uA06A",  # YI SYLLABLE BBE
    "\uA06B",  # YI SYLLABLE BBEP
    "\uA06C",  # YI SYLLABLE BBUT
    "\uA06D",  # YI SYLLABLE BBUX
    "\uA06E",  # YI SYLLABLE BBU
    "\uA06F",  # YI SYLLABLE BBUP
    "\uA070",  # YI SYLLABLE BBURX
    "\uA071",  # YI SYLLABLE BBUR
    "\uA072",  # YI SYLLABLE BBYT
    "\uA073",  # YI SYLLABLE BBYX
    "\uA074",  # YI SYLLABLE BBY
    "\uA075",  # YI SYLLABLE BBYP
    "\uA076",  # YI SYLLABLE NBIT
    "\uA077",  # YI SYLLABLE NBIX
    "\uA078",  # YI SYLLABLE NBI
    "\uA079",  # YI SYLLABLE NBIP
    "\uA07A",  # YI SYLLABLE NBIEX
    "\uA07B",  # YI SYLLABLE NBIE
    "\uA07C",  # YI SYLLABLE NBIEP
    "\uA07D",  # YI SYLLABLE NBAT
    "\uA07E",  # YI SYLLABLE NBAX
    "\uA07F",  # YI SYLLABLE NBA
    "\uA080",  # YI SYLLABLE NBAP
    "\uA081",  # YI SYLLABLE NBOT
    "\uA082",  # YI SYLLABLE NBOX
    "\uA083",  # YI SYLLABLE NBO
    "\uA084",  # YI SYLLABLE NBOP
    "\uA085",  # YI SYLLABLE NBUT
    "\uA086",  # YI SYLLABLE NBUX
    "\uA087",  # YI SYLLABLE NBU
    "\uA088",  # YI SYLLABLE NBUP
    "\uA089",  # YI SYLLABLE NBURX
    "\uA08A",  # YI SYLLABLE NBUR
    "\uA08B",  # YI SYLLABLE NBYT
    "\uA08C",  # YI SYLLABLE NBYX
    "\uA08D",  # YI SYLLABLE NBY
    "\uA08E",  # YI SYLLABLE NBYP
    "\uA08F",  # YI SYLLABLE NBYRX
    "\uA090",  # YI SYLLABLE NBYR
    "\uA091",  # YI SYLLABLE HMIT
    "\uA092",  # YI SYLLABLE HMIX
    "\uA093",  # YI SYLLABLE HMI
    "\uA094",  # YI SYLLABLE HMIP
    "\uA095",  # YI SYLLABLE HMIEX
    "\uA096",  # YI SYLLABLE HMIE
    "\uA097",  # YI SYLLABLE HMIEP
    "\uA098",  # YI SYLLABLE HMAT
    "\uA099",  # YI SYLLABLE HMAX
    "\uA09A",  # YI SYLLABLE HMA
    "\uA09B",  # YI SYLLABLE HMAP
    "\uA09C",  # YI SYLLABLE HMUOX
    "\uA09D",  # YI SYLLABLE HMUO
    "\uA09E",  # YI SYLLABLE HMUOP
    "\uA09F",  # YI SYLLABLE HMOT
    "\uA0A0",  # YI SYLLABLE HMOX
    "\uA0A1",  # YI SYLLABLE HMO
    "\uA0A2",  # YI SYLLABLE HMOP
    "\uA0A3",  # YI SYLLABLE HMUT
    "\uA0A4",  # YI SYLLABLE HMUX
    "\uA0A5",  # YI SYLLABLE HMU
    "\uA0A6",  # YI SYLLABLE HMUP
    "\uA0A7",  # YI SYLLABLE HMURX
    "\uA0A8",  # YI SYLLABLE HMUR
    "\uA0A9",  # YI SYLLABLE HMYX
    "\uA0AA",  # YI SYLLABLE HMY
    "\uA0AB",  # YI SYLLABLE HMYP
    "\uA0AC",  # YI SYLLABLE HMYRX
    "\uA0AD",  # YI SYLLABLE HMYR
    "\uA0AE",  # YI SYLLABLE MIT
    "\uA0AF",  # YI SYLLABLE MIX
    "\uA0B0",  # YI SYLLABLE MI
    "\uA0B1",  # YI SYLLABLE MIP
    "\uA0B2",  # YI SYLLABLE MIEX
    "\uA0B3",  # YI SYLLABLE MIE
    "\uA0B4",  # YI SYLLABLE MIEP
    "\uA0B5",  # YI SYLLABLE MAT
    "\uA0B6",  # YI SYLLABLE MAX
    "\uA0B7",  # YI SYLLABLE MA
    "\uA0B8",  # YI SYLLABLE MAP
    "\uA0B9",  # YI SYLLABLE MUOT
    "\uA0BA",  # YI SYLLABLE MUOX
    "\uA0BB",  # YI SYLLABLE MUO
    "\uA0BC",  # YI SYLLABLE MUOP
    "\uA0BD",  # YI SYLLABLE MOT
    "\uA0BE",  # YI SYLLABLE MOX
    "\uA0BF",  # YI SYLLABLE MO
    "\uA0C0",  # YI SYLLABLE MOP
    "\uA0C1",  # YI SYLLABLE MEX
    "\uA0C2",  # YI SYLLABLE ME
    "\uA0C3",  # YI SYLLABLE MUT
    "\uA0C4",  # YI SYLLABLE MUX
    "\uA0C5",  # YI SYLLABLE MU
    "\uA0C6",  # YI SYLLABLE MUP
    "\uA0C7",  # YI SYLLABLE MURX
    "\uA0C8",  # YI SYLLABLE MUR
    "\uA0C9",  # YI SYLLABLE MYT
    "\uA0CA",  # YI SYLLABLE MYX
    "\uA0CB",  # YI SYLLABLE MY
    "\uA0CC",  # YI SYLLABLE MYP
    "\uA0CD",  # YI SYLLABLE FIT
    "\uA0CE",  # YI SYLLABLE FIX
    "\uA0CF",  # YI SYLLABLE FI
    "\uA0D0",  # YI SYLLABLE FIP
    "\uA0D1",  # YI SYLLABLE FAT
    "\uA0D2",  # YI SYLLABLE FAX
    "\uA0D3",  # YI SYLLABLE FA
    "\uA0D4",  # YI SYLLABLE FAP
    "\uA0D5",  # YI SYLLABLE FOX
    "\uA0D6",  # YI SYLLABLE FO
    "\uA0D7",  # YI SYLLABLE FOP
    "\uA0D8",  # YI SYLLABLE FUT
    "\uA0D9",  # YI SYLLABLE FUX
    "\uA0DA",  # YI SYLLABLE FU
    "\uA0DB",  # YI SYLLABLE FUP
    "\uA0DC",  # YI SYLLABLE FURX
    "\uA0DD",  # YI SYLLABLE FUR
    "\uA0DE",  # YI SYLLABLE FYT
    "\uA0DF",  # YI SYLLABLE FYX
    "\uA0E0",  # YI SYLLABLE FY
    "\uA0E1",  # YI SYLLABLE FYP
    "\uA0E2",  # YI SYLLABLE VIT
    "\uA0E3",  # YI SYLLABLE VIX
    "\uA0E4",  # YI SYLLABLE VI
    "\uA0E5",  # YI SYLLABLE VIP
    "\uA0E6",  # YI SYLLABLE VIET
    "\uA0E7",  # YI SYLLABLE VIEX
    "\uA0E8",  # YI SYLLABLE VIE
    "\uA0E9",  # YI SYLLABLE VIEP
    "\uA0EA",  # YI SYLLABLE VAT
    "\uA0EB",  # YI SYLLABLE VAX
    "\uA0EC",  # YI SYLLABLE VA
    "\uA0ED",  # YI SYLLABLE VAP
    "\uA0EE",  # YI SYLLABLE VOT
    "\uA0EF",  # YI SYLLABLE VOX
    "\uA0F0",  # YI SYLLABLE VO
    "\uA0F1",  # YI SYLLABLE VOP
    "\uA0F2",  # YI SYLLABLE VEX
    "\uA0F3",  # YI SYLLABLE VEP
    "\uA0F4",  # YI SYLLABLE VUT
    "\uA0F5",  # YI SYLLABLE VUX
    "\uA0F6",  # YI SYLLABLE VU
    "\uA0F7",  # YI SYLLABLE VUP
    "\uA0F8",  # YI SYLLABLE VURX
    "\uA0F9",  # YI SYLLABLE VUR
    "\uA0FA",  # YI SYLLABLE VYT
    "\uA0FB",  # YI SYLLABLE VYX
    "\uA0FC",  # YI SYLLABLE VY
    "\uA0FD",  # YI SYLLABLE VYP
    "\uA0FE",  # YI SYLLABLE VYRX
    "\uA0FF",  # YI SYLLABLE VYR
    "\uA100",  # YI SYLLABLE DIT
    "\uA101",  # YI SYLLABLE DIX
    "\uA102",  # YI SYLLABLE DI
    "\uA103",  # YI SYLLABLE DIP
    "\uA104",  # YI SYLLABLE DIEX
    "\uA105",  # YI SYLLABLE DIE
    "\uA106",  # YI SYLLABLE DIEP
    "\uA107",  # YI SYLLABLE DAT
    "\uA108",  # YI SYLLABLE DAX
    "\uA109",  # YI SYLLABLE DA
    "\uA10A",  # YI SYLLABLE DAP
    "\uA10B",  # YI SYLLABLE DUOX
    "\uA10C",  # YI SYLLABLE DUO
    "\uA10D",  # YI SYLLABLE DOT
    "\uA10E",  # YI SYLLABLE DOX
    "\uA10F",  # YI SYLLABLE DO
    "\uA110",  # YI SYLLABLE DOP
    "\uA111",  # YI SYLLABLE DEX
    "\uA112",  # YI SYLLABLE DE
    "\uA113",  # YI SYLLABLE DEP
    "\uA114",  # YI SYLLABLE DUT
    "\uA115",  # YI SYLLABLE DUX
    "\uA116",  # YI SYLLABLE DU
    "\uA117",  # YI SYLLABLE DUP
    "\uA118",  # YI SYLLABLE DURX
    "\uA119",  # YI SYLLABLE DUR
    "\uA11A",  # YI SYLLABLE TIT
    "\uA11B",  # YI SYLLABLE TIX
    "\uA11C",  # YI SYLLABLE TI
    "\uA11D",  # YI SYLLABLE TIP
    "\uA11E",  # YI SYLLABLE TIEX
    "\uA11F",  # YI SYLLABLE TIE
    "\uA120",  # YI SYLLABLE TIEP
    "\uA121",  # YI SYLLABLE TAT
    "\uA122",  # YI SYLLABLE TAX
    "\uA123",  # YI SYLLABLE TA
    "\uA124",  # YI SYLLABLE TAP
    "\uA125",  # YI SYLLABLE TUOT
    "\uA126",  # YI SYLLABLE TUOX
    "\uA127",  # YI SYLLABLE TUO
    "\uA128",  # YI SYLLABLE TUOP
    "\uA129",  # YI SYLLABLE TOT
    "\uA12A",  # YI SYLLABLE TOX
    "\uA12B",  # YI SYLLABLE TO
    "\uA12C",  # YI SYLLABLE TOP
    "\uA12D",  # YI SYLLABLE TEX
    "\uA12E",  # YI SYLLABLE TE
    "\uA12F",  # YI SYLLABLE TEP
    "\uA130",  # YI SYLLABLE TUT
    "\uA131",  # YI SYLLABLE TUX
    "\uA132",  # YI SYLLABLE TU
    "\uA133",  # YI SYLLABLE TUP
    "\uA134",  # YI SYLLABLE TURX
    "\uA135",  # YI SYLLABLE TUR
    "\uA136",  # YI SYLLABLE DDIT
    "\uA137",  # YI SYLLABLE DDIX
    "\uA138",  # YI SYLLABLE DDI
    "\uA139",  # YI SYLLABLE DDIP
    "\uA13A",  # YI SYLLABLE DDIEX
    "\uA13B",  # YI SYLLABLE DDIE
    "\uA13C",  # YI SYLLABLE DDIEP
    "\uA13D",  # YI SYLLABLE DDAT
    "\uA13E",  # YI SYLLABLE DDAX
    "\uA13F",  # YI SYLLABLE DDA
    "\uA140",  # YI SYLLABLE DDAP
    "\uA141",  # YI SYLLABLE DDUOX
    "\uA142",  # YI SYLLABLE DDUO
    "\uA143",  # YI SYLLABLE DDUOP
    "\uA144",  # YI SYLLABLE DDOT
    "\uA145",  # YI SYLLABLE DDOX
    "\uA146",  # YI SYLLABLE DDO
    "\uA147",  # YI SYLLABLE DDOP
    "\uA148",  # YI SYLLABLE DDEX
    "\uA149",  # YI SYLLABLE DDE
    "\uA14A",  # YI SYLLABLE DDEP
    "\uA14B",  # YI SYLLABLE DDUT
    "\uA14C",  # YI SYLLABLE DDUX
    "\uA14D",  # YI SYLLABLE DDU
    "\uA14E",  # YI SYLLABLE DDUP
    "\uA14F",  # YI SYLLABLE DDURX
    "\uA150",  # YI SYLLABLE DDUR
    "\uA151",  # YI SYLLABLE NDIT
    "\uA152",  # YI SYLLABLE NDIX
    "\uA153",  # YI SYLLABLE NDI
    "\uA154",  # YI SYLLABLE NDIP
    "\uA155",  # YI SYLLABLE NDIEX
    "\uA156",  # YI SYLLABLE NDIE
    "\uA157",  # YI SYLLABLE NDAT
    "\uA158",  # YI SYLLABLE NDAX
    "\uA159",  # YI SYLLABLE NDA
    "\uA15A",  # YI SYLLABLE NDAP
    "\uA15B",  # YI SYLLABLE NDOT
    "\uA15C",  # YI SYLLABLE NDOX
    "\uA15D",  # YI SYLLABLE NDO
    "\uA15E",  # YI SYLLABLE NDOP
    "\uA15F",  # YI SYLLABLE NDEX
    "\uA160",  # YI SYLLABLE NDE
    "\uA161",  # YI SYLLABLE NDEP
    "\uA162",  # YI SYLLABLE NDUT
    "\uA163",  # YI SYLLABLE NDUX
    "\uA164",  # YI SYLLABLE NDU
    "\uA165",  # YI SYLLABLE NDUP
    "\uA166",  # YI SYLLABLE NDURX
    "\uA167",  # YI SYLLABLE NDUR
    "\uA168",  # YI SYLLABLE HNIT
    "\uA169",  # YI SYLLABLE HNIX
    "\uA16A",  # YI SYLLABLE HNI
    "\uA16B",  # YI SYLLABLE HNIP
    "\uA16C",  # YI SYLLABLE HNIET
    "\uA16D",  # YI SYLLABLE HNIEX
    "\uA16E",  # YI SYLLABLE HNIE
    "\uA16F",  # YI SYLLABLE HNIEP
    "\uA170",  # YI SYLLABLE HNAT
    "\uA171",  # YI SYLLABLE HNAX
    "\uA172",  # YI SYLLABLE HNA
    "\uA173",  # YI SYLLABLE HNAP
    "\uA174",  # YI SYLLABLE HNUOX
    "\uA175",  # YI SYLLABLE HNUO
    "\uA176",  # YI SYLLABLE HNOT
    "\uA177",  # YI SYLLABLE HNOX
    "\uA178",  # YI SYLLABLE HNOP
    "\uA179",  # YI SYLLABLE HNEX
    "\uA17A",  # YI SYLLABLE HNE
    "\uA17B",  # YI SYLLABLE HNEP
    "\uA17C",  # YI SYLLABLE HNUT
    "\uA17D",  # YI SYLLABLE NIT
    "\uA17E",  # YI SYLLABLE NIX
    "\uA17F",  # YI SYLLABLE NI
    "\uA180",  # YI SYLLABLE NIP
    "\uA181",  # YI SYLLABLE NIEX
    "\uA182",  # YI SYLLABLE NIE
    "\uA183",  # YI SYLLABLE NIEP
    "\uA184",  # YI SYLLABLE NAX
    "\uA185",  # YI SYLLABLE NA
    "\uA186",  # YI SYLLABLE NAP
    "\uA187",  # YI SYLLABLE NUOX
    "\uA188",  # YI SYLLABLE NUO
    "\uA189",  # YI SYLLABLE NUOP
    "\uA18A",  # YI SYLLABLE NOT
    "\uA18B",  # YI SYLLABLE NOX
    "\uA18C",  # YI SYLLABLE NO
    "\uA18D",  # YI SYLLABLE NOP
    "\uA18E",  # YI SYLLABLE NEX
    "\uA18F",  # YI SYLLABLE NE
    "\uA190",  # YI SYLLABLE NEP
    "\uA191",  # YI SYLLABLE NUT
    "\uA192",  # YI SYLLABLE NUX
    "\uA193",  # YI SYLLABLE NU
    "\uA194",  # YI SYLLABLE NUP
    "\uA195",  # YI SYLLABLE NURX
    "\uA196",  # YI SYLLABLE NUR
    "\uA197",  # YI SYLLABLE HLIT
    "\uA198",  # YI SYLLABLE HLIX
    "\uA199",  # YI SYLLABLE HLI
    "\uA19A",  # YI SYLLABLE HLIP
    "\uA19B",  # YI SYLLABLE HLIEX
    "\uA19C",  # YI SYLLABLE HLIE
    "\uA19D",  # YI SYLLABLE HLIEP
    "\uA19E",  # YI SYLLABLE HLAT
    "\uA19F",  # YI SYLLABLE HLAX
    "\uA1A0",  # YI SYLLABLE HLA
    "\uA1A1",  # YI SYLLABLE HLAP
    "\uA1A2",  # YI SYLLABLE HLUOX
    "\uA1A3",  # YI SYLLABLE HLUO
    "\uA1A4",  # YI SYLLABLE HLUOP
    "\uA1A5",  # YI SYLLABLE HLOX
    "\uA1A6",  # YI SYLLABLE HLO
    "\uA1A7",  # YI SYLLABLE HLOP
    "\uA1A8",  # YI SYLLABLE HLEX
    "\uA1A9",  # YI SYLLABLE HLE
    "\uA1AA",  # YI SYLLABLE HLEP
    "\uA1AB",  # YI SYLLABLE HLUT
    "\uA1AC",  # YI SYLLABLE HLUX
    "\uA1AD",  # YI SYLLABLE HLU
    "\uA1AE",  # YI SYLLABLE HLUP
    "\uA1AF",  # YI SYLLABLE HLURX
    "\uA1B0",  # YI SYLLABLE HLUR
    "\uA1B1",  # YI SYLLABLE HLYT
    "\uA1B2",  # YI SYLLABLE HLYX
    "\uA1B3",  # YI SYLLABLE HLY
    "\uA1B4",  # YI SYLLABLE HLYP
    "\uA1B5",  # YI SYLLABLE HLYRX
    "\uA1B6",  # YI SYLLABLE HLYR
    "\uA1B7",  # YI SYLLABLE LIT
    "\uA1B8",  # YI SYLLABLE LIX
    "\uA1B9",  # YI SYLLABLE LI
    "\uA1BA",  # YI SYLLABLE LIP
    "\uA1BB",  # YI SYLLABLE LIET
    "\uA1BC",  # YI SYLLABLE LIEX
    "\uA1BD",  # YI SYLLABLE LIE
    "\uA1BE",  # YI SYLLABLE LIEP
    "\uA1BF",  # YI SYLLABLE LAT
    "\uA1C0",  # YI SYLLABLE LAX
    "\uA1C1",  # YI SYLLABLE LA
    "\uA1C2",  # YI SYLLABLE LAP
    "\uA1C3",  # YI SYLLABLE LUOT
    "\uA1C4",  # YI SYLLABLE LUOX
    "\uA1C5",  # YI SYLLABLE LUO
    "\uA1C6",  # YI SYLLABLE LUOP
    "\uA1C7",  # YI SYLLABLE LOT
    "\uA1C8",  # YI SYLLABLE LOX
    "\uA1C9",  # YI SYLLABLE LO
    "\uA1CA",  # YI SYLLABLE LOP
    "\uA1CB",  # YI SYLLABLE LEX
    "\uA1CC",  # YI SYLLABLE LE
    "\uA1CD",  # YI SYLLABLE LEP
    "\uA1CE",  # YI SYLLABLE LUT
    "\uA1CF",  # YI SYLLABLE LUX
    "\uA1D0",  # YI SYLLABLE LU
    "\uA1D1",  # YI SYLLABLE LUP
    "\uA1D2",  # YI SYLLABLE LURX
    "\uA1D3",  # YI SYLLABLE LUR
    "\uA1D4",  # YI SYLLABLE LYT
    "\uA1D5",  # YI SYLLABLE LYX
    "\uA1D6",  # YI SYLLABLE LY
    "\uA1D7",  # YI SYLLABLE LYP
    "\uA1D8",  # YI SYLLABLE LYRX
    "\uA1D9",  # YI SYLLABLE LYR
    "\uA1DA",  # YI SYLLABLE GIT
    "\uA1DB",  # YI SYLLABLE GIX
    "\uA1DC",  # YI SYLLABLE GI
    "\uA1DD",  # YI SYLLABLE GIP
    "\uA1DE",  # YI SYLLABLE GIET
    "\uA1DF",  # YI SYLLABLE GIEX
    "\uA1E0",  # YI SYLLABLE GIE
    "\uA1E1",  # YI SYLLABLE GIEP
    "\uA1E2",  # YI SYLLABLE GAT
    "\uA1E3",  # YI SYLLABLE GAX
    "\uA1E4",  # YI SYLLABLE GA
    "\uA1E5",  # YI SYLLABLE GAP
    "\uA1E6",  # YI SYLLABLE GUOT
    "\uA1E7",  # YI SYLLABLE GUOX
    "\uA1E8",  # YI SYLLABLE GUO
    "\uA1E9",  # YI SYLLABLE GUOP
    "\uA1EA",  # YI SYLLABLE GOT
    "\uA1EB",  # YI SYLLABLE GOX
    "\uA1EC",  # YI SYLLABLE GO
    "\uA1ED",  # YI SYLLABLE GOP
    "\uA1EE",  # YI SYLLABLE GET
    "\uA1EF",  # YI SYLLABLE GEX
    "\uA1F0",  # YI SYLLABLE GE
    "\uA1F1",  # YI SYLLABLE GEP
    "\uA1F2",  # YI SYLLABLE GUT
    "\uA1F3",  # YI SYLLABLE GUX
    "\uA1F4",  # YI SYLLABLE GU
    "\uA1F5",  # YI SYLLABLE GUP
    "\uA1F6",  # YI SYLLABLE GURX
    "\uA1F7",  # YI SYLLABLE GUR
    "\uA1F8",  # YI SYLLABLE KIT
    "\uA1F9",  # YI SYLLABLE KIX
    "\uA1FA",  # YI SYLLABLE KI
    "\uA1FB",  # YI SYLLABLE KIP
    "\uA1FC",  # YI SYLLABLE KIEX
    "\uA1FD",  # YI SYLLABLE KIE
    "\uA1FE",  # YI SYLLABLE KIEP
    "\uA1FF",  # YI SYLLABLE KAT
    "\uA200",  # YI SYLLABLE KAX
    "\uA201",  # YI SYLLABLE KA
    "\uA202",  # YI SYLLABLE KAP
    "\uA203",  # YI SYLLABLE KUOX
    "\uA204",  # YI SYLLABLE KUO
    "\uA205",  # YI SYLLABLE KUOP
    "\uA206",  # YI SYLLABLE KOT
    "\uA207",  # YI SYLLABLE KOX
    "\uA208",  # YI SYLLABLE KO
    "\uA209",  # YI SYLLABLE KOP
    "\uA20A",  # YI SYLLABLE KET
    "\uA20B",  # YI SYLLABLE KEX
    "\uA20C",  # YI SYLLABLE KE
    "\uA20D",  # YI SYLLABLE KEP
    "\uA20E",  # YI SYLLABLE KUT
    "\uA20F",  # YI SYLLABLE KUX
    "\uA210",  # YI SYLLABLE KU
    "\uA211",  # YI SYLLABLE KUP
    "\uA212",  # YI SYLLABLE KURX
    "\uA213",  # YI SYLLABLE KUR
    "\uA214",  # YI SYLLABLE GGIT
    "\uA215",  # YI SYLLABLE GGIX
    "\uA216",  # YI SYLLABLE GGI
    "\uA217",  # YI SYLLABLE GGIEX
    "\uA218",  # YI SYLLABLE GGIE
    "\uA219",  # YI SYLLABLE GGIEP
    "\uA21A",  # YI SYLLABLE GGAT
    "\uA21B",  # YI SYLLABLE GGAX
    "\uA21C",  # YI SYLLABLE GGA
    "\uA21D",  # YI SYLLABLE GGAP
    "\uA21E",  # YI SYLLABLE GGUOT
    "\uA21F",  # YI SYLLABLE GGUOX
    "\uA220",  # YI SYLLABLE GGUO
    "\uA221",  # YI SYLLABLE GGUOP
    "\uA222",  # YI SYLLABLE GGOT
    "\uA223",  # YI SYLLABLE GGOX
    "\uA224",  # YI SYLLABLE GGO
    "\uA225",  # YI SYLLABLE GGOP
    "\uA226",  # YI SYLLABLE GGET
    "\uA227",  # YI SYLLABLE GGEX
    "\uA228",  # YI SYLLABLE GGE
    "\uA229",  # YI SYLLABLE GGEP
    "\uA22A",  # YI SYLLABLE GGUT
    "\uA22B",  # YI SYLLABLE GGUX
    "\uA22C",  # YI SYLLABLE GGU
    "\uA22D",  # YI SYLLABLE GGUP
    "\uA22E",  # YI SYLLABLE GGURX
    "\uA22F",  # YI SYLLABLE GGUR
    "\uA230",  # YI SYLLABLE MGIEX
    "\uA231",  # YI SYLLABLE MGIE
    "\uA232",  # YI SYLLABLE MGAT
    "\uA233",  # YI SYLLABLE MGAX
    "\uA234",  # YI SYLLABLE MGA
    "\uA235",  # YI SYLLABLE MGAP
    "\uA236",  # YI SYLLABLE MGUOX
    "\uA237",  # YI SYLLABLE MGUO
    "\uA238",  # YI SYLLABLE MGUOP
    "\uA239",  # YI SYLLABLE MGOT
    "\uA23A",  # YI SYLLABLE MGOX
    "\uA23B",  # YI SYLLABLE MGO
    "\uA23C",  # YI SYLLABLE MGOP
    "\uA23D",  # YI SYLLABLE MGEX
    "\uA23E",  # YI SYLLABLE MGE
    "\uA23F",  # YI SYLLABLE MGEP
    "\uA240",  # YI SYLLABLE MGUT
    "\uA241",  # YI SYLLABLE MGUX
    "\uA242",  # YI SYLLABLE MGU
    "\uA243",  # YI SYLLABLE MGUP
    "\uA244",  # YI SYLLABLE MGURX
    "\uA245",  # YI SYLLABLE MGUR
    "\uA246",  # YI SYLLABLE HXIT
    "\uA247",  # YI SYLLABLE HXIX
    "\uA248",  # YI SYLLABLE HXI
    "\uA249",  # YI SYLLABLE HXIP
    "\uA24A",  # YI SYLLABLE HXIET
    "\uA24B",  # YI SYLLABLE HXIEX
    "\uA24C",  # YI SYLLABLE HXIE
    "\uA24D",  # YI SYLLABLE HXIEP
    "\uA24E",  # YI SYLLABLE HXAT
    "\uA24F",  # YI SYLLABLE HXAX
    "\uA250",  # YI SYLLABLE HXA
    "\uA251",  # YI SYLLABLE HXAP
    "\uA252",  # YI SYLLABLE HXUOT
    "\uA253",  # YI SYLLABLE HXUOX
    "\uA254",  # YI SYLLABLE HXUO
    "\uA255",  # YI SYLLABLE HXUOP
    "\uA256",  # YI SYLLABLE HXOT
    "\uA257",  # YI SYLLABLE HXOX
    "\uA258",  # YI SYLLABLE HXO
    "\uA259",  # YI SYLLABLE HXOP
    "\uA25A",  # YI SYLLABLE HXEX
    "\uA25B",  # YI SYLLABLE HXE
    "\uA25C",  # YI SYLLABLE HXEP
    "\uA25D",  # YI SYLLABLE NGIEX
    "\uA25E",  # YI SYLLABLE NGIE
    "\uA25F",  # YI SYLLABLE NGIEP
    "\uA260",  # YI SYLLABLE NGAT
    "\uA261",  # YI SYLLABLE NGAX
    "\uA262",  # YI SYLLABLE NGA
    "\uA263",  # YI SYLLABLE NGAP
    "\uA264",  # YI SYLLABLE NGUOT
    "\uA265",  # YI SYLLABLE NGUOX
    "\uA266",  # YI SYLLABLE NGUO
    "\uA267",  # YI SYLLABLE NGOT
    "\uA268",  # YI SYLLABLE NGOX
    "\uA269",  # YI SYLLABLE NGO
    "\uA26A",  # YI SYLLABLE NGOP
    "\uA26B",  # YI SYLLABLE NGEX
    "\uA26C",  # YI SYLLABLE NGE
    "\uA26D",  # YI SYLLABLE NGEP
    "\uA26E",  # YI SYLLABLE HIT
    "\uA26F",  # YI SYLLABLE HIEX
    "\uA270",  # YI SYLLABLE HIE
    "\uA271",  # YI SYLLABLE HAT
    "\uA272",  # YI SYLLABLE HAX
    "\uA273",  # YI SYLLABLE HA
    "\uA274",  # YI SYLLABLE HAP
    "\uA275",  # YI SYLLABLE HUOT
    "\uA276",  # YI SYLLABLE HUOX
    "\uA277",  # YI SYLLABLE HUO
    "\uA278",  # YI SYLLABLE HUOP
    "\uA279",  # YI SYLLABLE HOT
    "\uA27A",  # YI SYLLABLE HOX
    "\uA27B",  # YI SYLLABLE HO
    "\uA27C",  # YI SYLLABLE HOP
    "\uA27D",  # YI SYLLABLE HEX
    "\uA27E",  # YI SYLLABLE HE
    "\uA27F",  # YI SYLLABLE HEP
    "\uA280",  # YI SYLLABLE WAT
    "\uA281",  # YI SYLLABLE WAX
    "\uA282",  # YI SYLLABLE WA
    "\uA283",  # YI SYLLABLE WAP
    "\uA284",  # YI SYLLABLE WUOX
    "\uA285",  # YI SYLLABLE WUO
    "\uA286",  # YI SYLLABLE WUOP
    "\uA287",  # YI SYLLABLE WOX
    "\uA288",  # YI SYLLABLE WO
    "\uA289",  # YI SYLLABLE WOP
    "\uA28A",  # YI SYLLABLE WEX
    "\uA28B",  # YI SYLLABLE WE
    "\uA28C",  # YI SYLLABLE WEP
    "\uA28D",  # YI SYLLABLE ZIT
    "\uA28E",  # YI SYLLABLE ZIX
    "\uA28F",  # YI SYLLABLE ZI
    "\uA290",  # YI SYLLABLE ZIP
    "\uA291",  # YI SYLLABLE ZIEX
    "\uA292",  # YI SYLLABLE ZIE
    "\uA293",  # YI SYLLABLE ZIEP
    "\uA294",  # YI SYLLABLE ZAT
    "\uA295",  # YI SYLLABLE ZAX
    "\uA296",  # YI SYLLABLE ZA
    "\uA297",  # YI SYLLABLE ZAP
    "\uA298",  # YI SYLLABLE ZUOX
    "\uA299",  # YI SYLLABLE ZUO
    "\uA29A",  # YI SYLLABLE ZUOP
    "\uA29B",  # YI SYLLABLE ZOT
    "\uA29C",  # YI SYLLABLE ZOX
    "\uA29D",  # YI SYLLABLE ZO
    "\uA29E",  # YI SYLLABLE ZOP
    "\uA29F",  # YI SYLLABLE ZEX
    "\uA2A0",  # YI SYLLABLE ZE
    "\uA2A1",  # YI SYLLABLE ZEP
    "\uA2A2",  # YI SYLLABLE ZUT
    "\uA2A3",  # YI SYLLABLE ZUX
    "\uA2A4",  # YI SYLLABLE ZU
    "\uA2A5",  # YI SYLLABLE ZUP
    "\uA2A6",  # YI SYLLABLE ZURX
    "\uA2A7",  # YI SYLLABLE ZUR
    "\uA2A8",  # YI SYLLABLE ZYT
    "\uA2A9",  # YI SYLLABLE ZYX
    "\uA2AA",  # YI SYLLABLE ZY
    "\uA2AB",  # YI SYLLABLE ZYP
    "\uA2AC",  # YI SYLLABLE ZYRX
    "\uA2AD",  # YI SYLLABLE ZYR
    "\uA2AE",  # YI SYLLABLE CIT
    "\uA2AF",  # YI SYLLABLE CIX
    "\uA2B0",  # YI SYLLABLE CI
    "\uA2B1",  # YI SYLLABLE CIP
    "\uA2B2",  # YI SYLLABLE CIET
    "\uA2B3",  # YI SYLLABLE CIEX
    "\uA2B4",  # YI SYLLABLE CIE
    "\uA2B5",  # YI SYLLABLE CIEP
    "\uA2B6",  # YI SYLLABLE CAT
    "\uA2B7",  # YI SYLLABLE CAX
    "\uA2B8",  # YI SYLLABLE CA
    "\uA2B9",  # YI SYLLABLE CAP
    "\uA2BA",  # YI SYLLABLE CUOX
    "\uA2BB",  # YI SYLLABLE CUO
    "\uA2BC",  # YI SYLLABLE CUOP
    "\uA2BD",  # YI SYLLABLE COT
    "\uA2BE",  # YI SYLLABLE COX
    "\uA2BF",  # YI SYLLABLE CO
    "\uA2C0",  # YI SYLLABLE COP
    "\uA2C1",  # YI SYLLABLE CEX
    "\uA2C2",  # YI SYLLABLE CE
    "\uA2C3",  # YI SYLLABLE CEP
    "\uA2C4",  # YI SYLLABLE CUT
    "\uA2C5",  # YI SYLLABLE CUX
    "\uA2C6",  # YI SYLLABLE CU
    "\uA2C7",  # YI SYLLABLE CUP
    "\uA2C8",  # YI SYLLABLE CURX
    "\uA2C9",  # YI SYLLABLE CUR
    "\uA2CA",  # YI SYLLABLE CYT
    "\uA2CB",  # YI SYLLABLE CYX
    "\uA2CC",  # YI SYLLABLE CY
    "\uA2CD",  # YI SYLLABLE CYP
    "\uA2CE",  # YI SYLLABLE CYRX
    "\uA2CF",  # YI SYLLABLE CYR
    "\uA2D0",  # YI SYLLABLE ZZIT
    "\uA2D1",  # YI SYLLABLE ZZIX
    "\uA2D2",  # YI SYLLABLE ZZI
    "\uA2D3",  # YI SYLLABLE ZZIP
    "\uA2D4",  # YI SYLLABLE ZZIET
    "\uA2D5",  # YI SYLLABLE ZZIEX
    "\uA2D6",  # YI SYLLABLE ZZIE
    "\uA2D7",  # YI SYLLABLE ZZIEP
    "\uA2D8",  # YI SYLLABLE ZZAT
    "\uA2D9",  # YI SYLLABLE ZZAX
    "\uA2DA",  # YI SYLLABLE ZZA
    "\uA2DB",  # YI SYLLABLE ZZAP
    "\uA2DC",  # YI SYLLABLE ZZOX
    "\uA2DD",  # YI SYLLABLE ZZO
    "\uA2DE",  # YI SYLLABLE ZZOP
    "\uA2DF",  # YI SYLLABLE ZZEX
    "\uA2E0",  # YI SYLLABLE ZZE
    "\uA2E1",  # YI SYLLABLE ZZEP
    "\uA2E2",  # YI SYLLABLE ZZUX
    "\uA2E3",  # YI SYLLABLE ZZU
    "\uA2E4",  # YI SYLLABLE ZZUP
    "\uA2E5",  # YI SYLLABLE ZZURX
    "\uA2E6",  # YI SYLLABLE ZZUR
    "\uA2E7",  # YI SYLLABLE ZZYT
    "\uA2E8",  # YI SYLLABLE ZZYX
    "\uA2E9",  # YI SYLLABLE ZZY
    "\uA2EA",  # YI SYLLABLE ZZYP
    "\uA2EB",  # YI SYLLABLE ZZYRX
    "\uA2EC",  # YI SYLLABLE ZZYR
    "\uA2ED",  # YI SYLLABLE NZIT
    "\uA2EE",  # YI SYLLABLE NZIX
    "\uA2EF",  # YI SYLLABLE NZI
    "\uA2F0",  # YI SYLLABLE NZIP
    "\uA2F1",  # YI SYLLABLE NZIEX
    "\uA2F2",  # YI SYLLABLE NZIE
    "\uA2F3",  # YI SYLLABLE NZIEP
    "\uA2F4",  # YI SYLLABLE NZAT
    "\uA2F5",  # YI SYLLABLE NZAX
    "\uA2F6",  # YI SYLLABLE NZA
    "\uA2F7",  # YI SYLLABLE NZAP
    "\uA2F8",  # YI SYLLABLE NZUOX
    "\uA2F9",  # YI SYLLABLE NZUO
    "\uA2FA",  # YI SYLLABLE NZOX
    "\uA2FB",  # YI SYLLABLE NZOP
    "\uA2FC",  # YI SYLLABLE NZEX
    "\uA2FD",  # YI SYLLABLE NZE
    "\uA2FE",  # YI SYLLABLE NZUX
    "\uA2FF",  # YI SYLLABLE NZU
    "\uA300",  # YI SYLLABLE NZUP
    "\uA301",  # YI SYLLABLE NZURX
    "\uA302",  # YI SYLLABLE NZUR
    "\uA303",  # YI SYLLABLE NZYT
    "\uA304",  # YI SYLLABLE NZYX
    "\uA305",  # YI SYLLABLE NZY
    "\uA306",  # YI SYLLABLE NZYP
    "\uA307",  # YI SYLLABLE NZYRX
    "\uA308",  # YI SYLLABLE NZYR
    "\uA309",  # YI SYLLABLE SIT
    "\uA30A",  # YI SYLLABLE SIX
    "\uA30B",  # YI SYLLABLE SI
    "\uA30C",  # YI SYLLABLE SIP
    "\uA30D",  # YI SYLLABLE SIEX
    "\uA30E",  # YI SYLLABLE SIE
    "\uA30F",  # YI SYLLABLE SIEP
    "\uA310",  # YI SYLLABLE SAT
    "\uA311",  # YI SYLLABLE SAX
    "\uA312",  # YI SYLLABLE SA
    "\uA313",  # YI SYLLABLE SAP
    "\uA314",  # YI SYLLABLE SUOX
    "\uA315",  # YI SYLLABLE SUO
    "\uA316",  # YI SYLLABLE SUOP
    "\uA317",  # YI SYLLABLE SOT
    "\uA318",  # YI SYLLABLE SOX
    "\uA319",  # YI SYLLABLE SO
    "\uA31A",  # YI SYLLABLE SOP
    "\uA31B",  # YI SYLLABLE SEX
    "\uA31C",  # YI SYLLABLE SE
    "\uA31D",  # YI SYLLABLE SEP
    "\uA31E",  # YI SYLLABLE SUT
    "\uA31F",  # YI SYLLABLE SUX
    "\uA320",  # YI SYLLABLE SU
    "\uA321",  # YI SYLLABLE SUP
    "\uA322",  # YI SYLLABLE SURX
    "\uA323",  # YI SYLLABLE SUR
    "\uA324",  # YI SYLLABLE SYT
    "\uA325",  # YI SYLLABLE SYX
    "\uA326",  # YI SYLLABLE SY
    "\uA327",  # YI SYLLABLE SYP
    "\uA328",  # YI SYLLABLE SYRX
    "\uA329",  # YI SYLLABLE SYR
    "\uA32A",  # YI SYLLABLE SSIT
    "\uA32B",  # YI SYLLABLE SSIX
    "\uA32C",  # YI SYLLABLE SSI
    "\uA32D",  # YI SYLLABLE SSIP
    "\uA32E",  # YI SYLLABLE SSIEX
    "\uA32F",  # YI SYLLABLE SSIE
    "\uA330",  # YI SYLLABLE SSIEP
    "\uA331",  # YI SYLLABLE SSAT
    "\uA332",  # YI SYLLABLE SSAX
    "\uA333",  # YI SYLLABLE SSA
    "\uA334",  # YI SYLLABLE SSAP
    "\uA335",  # YI SYLLABLE SSOT
    "\uA336",  # YI SYLLABLE SSOX
    "\uA337",  # YI SYLLABLE SSO
    "\uA338",  # YI SYLLABLE SSOP
    "\uA339",  # YI SYLLABLE SSEX
    "\uA33A",  # YI SYLLABLE SSE
    "\uA33B",  # YI SYLLABLE SSEP
    "\uA33C",  # YI SYLLABLE SSUT
    "\uA33D",  # YI SYLLABLE SSUX
    "\uA33E",  # YI SYLLABLE SSU
    "\uA33F",  # YI SYLLABLE SSUP
    "\uA340",  # YI SYLLABLE SSYT
    "\uA341",  # YI SYLLABLE SSYX
    "\uA342",  # YI SYLLABLE SSY
    "\uA343",  # YI SYLLABLE SSYP
    "\uA344",  # YI SYLLABLE SSYRX
    "\uA345",  # YI SYLLABLE SSYR
    "\uA346",  # YI SYLLABLE ZHAT
    "\uA347",  # YI SYLLABLE ZHAX
    "\uA348",  # YI SYLLABLE ZHA
    "\uA349",  # YI SYLLABLE ZHAP
    "\uA34A",  # YI SYLLABLE ZHUOX
    "\uA34B",  # YI SYLLABLE ZHUO
    "\uA34C",  # YI SYLLABLE ZHUOP
    "\uA34D",  # YI SYLLABLE ZHOT
    "\uA34E",  # YI SYLLABLE ZHOX
    "\uA34F",  # YI SYLLABLE ZHO
    "\uA350",  # YI SYLLABLE ZHOP
    "\uA351",  # YI SYLLABLE ZHET
    "\uA352",  # YI SYLLABLE ZHEX
    "\uA353",  # YI SYLLABLE ZHE
    "\uA354",  # YI SYLLABLE ZHEP
    "\uA355",  # YI SYLLABLE ZHUT
    "\uA356",  # YI SYLLABLE ZHUX
    "\uA357",  # YI SYLLABLE ZHU
    "\uA358",  # YI SYLLABLE ZHUP
    "\uA359",  # YI SYLLABLE ZHURX
    "\uA35A",  # YI SYLLABLE ZHUR
    "\uA35B",  # YI SYLLABLE ZHYT
    "\uA35C",  # YI SYLLABLE ZHYX
    "\uA35D",  # YI SYLLABLE ZHY
    "\uA35E",  # YI SYLLABLE ZHYP
    "\uA35F",  # YI SYLLABLE ZHYRX
    "\uA360",  # YI SYLLABLE ZHYR
    "\uA361",  # YI SYLLABLE CHAT
    "\uA362",  # YI SYLLABLE CHAX
    "\uA363",  # YI SYLLABLE CHA
    "\uA364",  # YI SYLLABLE CHAP
    "\uA365",  # YI SYLLABLE CHUOT
    "\uA366",  # YI SYLLABLE CHUOX
    "\uA367",  # YI SYLLABLE CHUO
    "\uA368",  # YI SYLLABLE CHUOP
    "\uA369",  # YI SYLLABLE CHOT
    "\uA36A",  # YI SYLLABLE CHOX
    "\uA36B",  # YI SYLLABLE CHO
    "\uA36C",  # YI SYLLABLE CHOP
    "\uA36D",  # YI SYLLABLE CHET
    "\uA36E",  # YI SYLLABLE CHEX
    "\uA36F",  # YI SYLLABLE CHE
    "\uA370",  # YI SYLLABLE CHEP
    "\uA371",  # YI SYLLABLE CHUX
    "\uA372",  # YI SYLLABLE CHU
    "\uA373",  # YI SYLLABLE CHUP
    "\uA374",  # YI SYLLABLE CHURX
    "\uA375",  # YI SYLLABLE CHUR
    "\uA376",  # YI SYLLABLE CHYT
    "\uA377",  # YI SYLLABLE CHYX
    "\uA378",  # YI SYLLABLE CHY
    "\uA379",  # YI SYLLABLE CHYP
    "\uA37A",  # YI SYLLABLE CHYRX
    "\uA37B",  # YI SYLLABLE CHYR
    "\uA37C",  # YI SYLLABLE RRAX
    "\uA37D",  # YI SYLLABLE RRA
    "\uA37E",  # YI SYLLABLE RRUOX
    "\uA37F",  # YI SYLLABLE RRUO
    "\uA380",  # YI SYLLABLE RROT
    "\uA381",  # YI SYLLABLE RROX
    "\uA382",  # YI SYLLABLE RRO
    "\uA383",  # YI SYLLABLE RROP
    "\uA384",  # YI SYLLABLE RRET
    "\uA385",  # YI SYLLABLE RREX
    "\uA386",  # YI SYLLABLE RRE
    "\uA387",  # YI SYLLABLE RREP
    "\uA388",  # YI SYLLABLE RRUT
    "\uA389",  # YI SYLLABLE RRUX
    "\uA38A",  # YI SYLLABLE RRU
    "\uA38B",  # YI SYLLABLE RRUP
    "\uA38C",  # YI SYLLABLE RRURX
    "\uA38D",  # YI SYLLABLE RRUR
    "\uA38E",  # YI SYLLABLE RRYT
    "\uA38F",  # YI SYLLABLE RRYX
    "\uA390",  # YI SYLLABLE RRY
    "\uA391",  # YI SYLLABLE RRYP
    "\uA392",  # YI SYLLABLE RRYRX
    "\uA393",  # YI SYLLABLE RRYR
    "\uA394",  # YI SYLLABLE NRAT
    "\uA395",  # YI SYLLABLE NRAX
    "\uA396",  # YI SYLLABLE NRA
    "\uA397",  # YI SYLLABLE NRAP
    "\uA398",  # YI SYLLABLE NROX
    "\uA399",  # YI SYLLABLE NRO
    "\uA39A",  # YI SYLLABLE NROP
    "\uA39B",  # YI SYLLABLE NRET
    "\uA39C",  # YI SYLLABLE NREX
    "\uA39D",  # YI SYLLABLE NRE
    "\uA39E",  # YI SYLLABLE NREP
    "\uA39F",  # YI SYLLABLE NRUT
    "\uA3A0",  # YI SYLLABLE NRUX
    "\uA3A1",  # YI SYLLABLE NRU
    "\uA3A2",  # YI SYLLABLE NRUP
    "\uA3A3",  # YI SYLLABLE NRURX
    "\uA3A4",  # YI SYLLABLE NRUR
    "\uA3A5",  # YI SYLLABLE NRYT
    "\uA3A6",  # YI SYLLABLE NRYX
    "\uA3A7",  # YI SYLLABLE NRY
    "\uA3A8",  # YI SYLLABLE NRYP
    "\uA3A9",  # YI SYLLABLE NRYRX
    "\uA3AA",  # YI SYLLABLE NRYR
    "\uA3AB",  # YI SYLLABLE SHAT
    "\uA3AC",  # YI SYLLABLE SHAX
    "\uA3AD",  # YI SYLLABLE SHA
    "\uA3AE",  # YI SYLLABLE SHAP
    "\uA3AF",  # YI SYLLABLE SHUOX
    "\uA3B0",  # YI SYLLABLE SHUO
    "\uA3B1",  # YI SYLLABLE SHUOP
    "\uA3B2",  # YI SYLLABLE SHOT
    "\uA3B3",  # YI SYLLABLE SHOX
    "\uA3B4",  # YI SYLLABLE SHO
    "\uA3B5",  # YI SYLLABLE SHOP
    "\uA3B6",  # YI SYLLABLE SHET
    "\uA3B7",  # YI SYLLABLE SHEX
    "\uA3B8",  # YI SYLLABLE SHE
    "\uA3B9",  # YI SYLLABLE SHEP
    "\uA3BA",  # YI SYLLABLE SHUT
    "\uA3BB",  # YI SYLLABLE SHUX
    "\uA3BC",  # YI SYLLABLE SHU
    "\uA3BD",  # YI SYLLABLE SHUP
    "\uA3BE",  # YI SYLLABLE SHURX
    "\uA3BF",  # YI SYLLABLE SHUR
    "\uA3C0",  # YI SYLLABLE SHYT
    "\uA3C1",  # YI SYLLABLE SHYX
    "\uA3C2",  # YI SYLLABLE SHY
    "\uA3C3",  # YI SYLLABLE SHYP
    "\uA3C4",  # YI SYLLABLE SHYRX
    "\uA3C5",  # YI SYLLABLE SHYR
    "\uA3C6",  # YI SYLLABLE RAT
    "\uA3C7",  # YI SYLLABLE RAX
    "\uA3C8",  # YI SYLLABLE RA
    "\uA3C9",  # YI SYLLABLE RAP
    "\uA3CA",  # YI SYLLABLE RUOX
    "\uA3CB",  # YI SYLLABLE RUO
    "\uA3CC",  # YI SYLLABLE RUOP
    "\uA3CD",  # YI SYLLABLE ROT
    "\uA3CE",  # YI SYLLABLE ROX
    "\uA3CF",  # YI SYLLABLE RO
    "\uA3D0",  # YI SYLLABLE ROP
    "\uA3D1",  # YI SYLLABLE REX
    "\uA3D2",  # YI SYLLABLE RE
    "\uA3D3",  # YI SYLLABLE REP
    "\uA3D4",  # YI SYLLABLE RUT
    "\uA3D5",  # YI SYLLABLE RUX
    "\uA3D6",  # YI SYLLABLE RU
    "\uA3D7",  # YI SYLLABLE RUP
    "\uA3D8",  # YI SYLLABLE RURX
    "\uA3D9",  # YI SYLLABLE RUR
    "\uA3DA",  # YI SYLLABLE RYT
    "\uA3DB",  # YI SYLLABLE RYX
    "\uA3DC",  # YI SYLLABLE RY
    "\uA3DD",  # YI SYLLABLE RYP
    "\uA3DE",  # YI SYLLABLE RYRX
    "\uA3DF",  # YI SYLLABLE RYR
    "\uA3E0",  # YI SYLLABLE JIT
    "\uA3E1",  # YI SYLLABLE JIX
    "\uA3E2",  # YI SYLLABLE JI
    "\uA3E3",  # YI SYLLABLE JIP
    "\uA3E4",  # YI SYLLABLE JIET
    "\uA3E5",  # YI SYLLABLE JIEX
    "\uA3E6",  # YI SYLLABLE JIE
    "\uA3E7",  # YI SYLLABLE JIEP
    "\uA3E8",  # YI SYLLABLE JUOT
    "\uA3E9",  # YI SYLLABLE JUOX
    "\uA3EA",  # YI SYLLABLE JUO
    "\uA3EB",  # YI SYLLABLE JUOP
    "\uA3EC",  # YI SYLLABLE JOT
    "\uA3ED",  # YI SYLLABLE JOX
    "\uA3EE",  # YI SYLLABLE JO
    "\uA3EF",  # YI SYLLABLE JOP
    "\uA3F0",  # YI SYLLABLE JUT
    "\uA3F1",  # YI SYLLABLE JUX
    "\uA3F2",  # YI SYLLABLE JU
    "\uA3F3",  # YI SYLLABLE JUP
    "\uA3F4",  # YI SYLLABLE JURX
    "\uA3F5",  # YI SYLLABLE JUR
    "\uA3F6",  # YI SYLLABLE JYT
    "\uA3F7",  # YI SYLLABLE JYX
    "\uA3F8",  # YI SYLLABLE JY
    "\uA3F9",  # YI SYLLABLE JYP
    "\uA3FA",  # YI SYLLABLE JYRX
    "\uA3FB",  # YI SYLLABLE JYR
    "\uA3FC",  # YI SYLLABLE QIT
    "\uA3FD",  # YI SYLLABLE QIX
    "\uA3FE",  # YI SYLLABLE QI
    "\uA3FF",  # YI SYLLABLE QIP
    "\uA400",  # YI SYLLABLE QIET
    "\uA401",  # YI SYLLABLE QIEX
    "\uA402",  # YI SYLLABLE QIE
    "\uA403",  # YI SYLLABLE QIEP
    "\uA404",  # YI SYLLABLE QUOT
    "\uA405",  # YI SYLLABLE QUOX
    "\uA406",  # YI SYLLABLE QUO
    "\uA407",  # YI SYLLABLE QUOP
    "\uA408",  # YI SYLLABLE QOT
    "\uA409",  # YI SYLLABLE QOX
    "\uA40A",  # YI SYLLABLE QO
    "\uA40B",  # YI SYLLABLE QOP
    "\uA40C",  # YI SYLLABLE QUT
    "\uA40D",  # YI SYLLABLE QUX
    "\uA40E",  # YI SYLLABLE QU
    "\uA40F",  # YI SYLLABLE QUP
    "\uA410",  # YI SYLLABLE QURX
    "\uA411",  # YI SYLLABLE QUR
    "\uA412",  # YI SYLLABLE QYT
    "\uA413",  # YI SYLLABLE QYX
    "\uA414",  # YI SYLLABLE QY
    "\uA415",  # YI SYLLABLE QYP
    "\uA416",  # YI SYLLABLE QYRX
    "\uA417",  # YI SYLLABLE QYR
    "\uA418",  # YI SYLLABLE JJIT
    "\uA419",  # YI SYLLABLE JJIX
    "\uA41A",  # YI SYLLABLE JJI
    "\uA41B",  # YI SYLLABLE JJIP
    "\uA41C",  # YI SYLLABLE JJIET
    "\uA41D",  # YI SYLLABLE JJIEX
    "\uA41E",  # YI SYLLABLE JJIE
    "\uA41F",  # YI SYLLABLE JJIEP
    "\uA420",  # YI SYLLABLE JJUOX
    "\uA421",  # YI SYLLABLE JJUO
    "\uA422",  # YI SYLLABLE JJUOP
    "\uA423",  # YI SYLLABLE JJOT
    "\uA424",  # YI SYLLABLE JJOX
    "\uA425",  # YI SYLLABLE JJO
    "\uA426",  # YI SYLLABLE JJOP
    "\uA427",  # YI SYLLABLE JJUT
    "\uA428",  # YI SYLLABLE JJUX
    "\uA429",  # YI SYLLABLE JJU
    "\uA42A",  # YI SYLLABLE JJUP
    "\uA42B",  # YI SYLLABLE JJURX
    "\uA42C",  # YI SYLLABLE JJUR
    "\uA42D",  # YI SYLLABLE JJYT
    "\uA42E",  # YI SYLLABLE JJYX
    "\uA42F",  # YI SYLLABLE JJY
    "\uA430",  # YI SYLLABLE JJYP
    "\uA431",  # YI SYLLABLE NJIT
    "\uA432",  # YI SYLLABLE NJIX
    "\uA433",  # YI SYLLABLE NJI
    "\uA434",  # YI SYLLABLE NJIP
    "\uA435",  # YI SYLLABLE NJIET
    "\uA436",  # YI SYLLABLE NJIEX
    "\uA437",  # YI SYLLABLE NJIE
    "\uA438",  # YI SYLLABLE NJIEP
    "\uA439",  # YI SYLLABLE NJUOX
    "\uA43A",  # YI SYLLABLE NJUO
    "\uA43B",  # YI SYLLABLE NJOT
    "\uA43C",  # YI SYLLABLE NJOX
    "\uA43D",  # YI SYLLABLE NJO
    "\uA43E",  # YI SYLLABLE NJOP
    "\uA43F",  # YI SYLLABLE NJUX
    "\uA440",  # YI SYLLABLE NJU
    "\uA441",  # YI SYLLABLE NJUP
    "\uA442",  # YI SYLLABLE NJURX
    "\uA443",  # YI SYLLABLE NJUR
    "\uA444",  # YI SYLLABLE NJYT
    "\uA445",  # YI SYLLABLE NJYX
    "\uA446",  # YI SYLLABLE NJY
    "\uA447",  # YI SYLLABLE NJYP
    "\uA448",  # YI SYLLABLE NJYRX
    "\uA449",  # YI SYLLABLE NJYR
    "\uA44A",  # YI SYLLABLE NYIT
    "\uA44B",  # YI SYLLABLE NYIX
    "\uA44C",  # YI SYLLABLE NYI
    "\uA44D",  # YI SYLLABLE NYIP
    "\uA44E",  # YI SYLLABLE NYIET
    "\uA44F",  # YI SYLLABLE NYIEX
    "\uA450",  # YI SYLLABLE NYIE
    "\uA451",  # YI SYLLABLE NYIEP
    "\uA452",  # YI SYLLABLE NYUOX
    "\uA453",  # YI SYLLABLE NYUO
    "\uA454",  # YI SYLLABLE NYUOP
    "\uA455",  # YI SYLLABLE NYOT
    "\uA456",  # YI SYLLABLE NYOX
    "\uA457",  # YI SYLLABLE NYO
    "\uA458",  # YI SYLLABLE NYOP
    "\uA459",  # YI SYLLABLE NYUT
    "\uA45A",  # YI SYLLABLE NYUX
    "\uA45B",  # YI SYLLABLE NYU
    "\uA45C",  # YI SYLLABLE NYUP
    "\uA45D",  # YI SYLLABLE XIT
    "\uA45E",  # YI SYLLABLE XIX
    "\uA45F",  # YI SYLLABLE XI
    "\uA460",  # YI SYLLABLE XIP
    "\uA461",  # YI SYLLABLE XIET
    "\uA462",  # YI SYLLABLE XIEX
    "\uA463",  # YI SYLLABLE XIE
    "\uA464",  # YI SYLLABLE XIEP
    "\uA465",  # YI SYLLABLE XUOX
    "\uA466",  # YI SYLLABLE XUO
    "\uA467",  # YI SYLLABLE XOT
    "\uA468",  # YI SYLLABLE XOX
    "\uA469",  # YI SYLLABLE XO
    "\uA46A",  # YI SYLLABLE XOP
    "\uA46B",  # YI SYLLABLE XYT
    "\uA46C",  # YI SYLLABLE XYX
    "\uA46D",  # YI SYLLABLE XY
    "\uA46E",  # YI SYLLABLE XYP
    "\uA46F",  # YI SYLLABLE XYRX
    "\uA470",  # YI SYLLABLE XYR
    "\uA471",  # YI SYLLABLE YIT
    "\uA472",  # YI SYLLABLE YIX
    "\uA473",  # YI SYLLABLE YI
    "\uA474",  # YI SYLLABLE YIP
    "\uA475",  # YI SYLLABLE YIET
    "\uA476",  # YI SYLLABLE YIEX
    "\uA477",  # YI SYLLABLE YIE
    "\uA478",  # YI SYLLABLE YIEP
    "\uA479",  # YI SYLLABLE YUOT
    "\uA47A",  # YI SYLLABLE YUOX
    "\uA47B",  # YI SYLLABLE YUO
    "\uA47C",  # YI SYLLABLE YUOP
    "\uA47D",  # YI SYLLABLE YOT
    "\uA47E",  # YI SYLLABLE YOX
    "\uA47F",  # YI SYLLABLE YO
    "\uA480",  # YI SYLLABLE YOP
    "\uA481",  # YI SYLLABLE YUT
    "\uA482",  # YI SYLLABLE YUX
    "\uA483",  # YI SYLLABLE YU
    "\uA484",  # YI SYLLABLE YUP
    "\uA485",  # YI SYLLABLE YURX
    "\uA486",  # YI SYLLABLE YUR
    "\uA487",  # YI SYLLABLE YYT
    "\uA488",  # YI SYLLABLE YYX
    "\uA489",  # YI SYLLABLE YY
    "\uA48A",  # YI SYLLABLE YYP
    "\uA48B",  # YI SYLLABLE YYRX
    "\uA48C",  # YI SYLLABLE YYR
    "\uA490",  # YI RADICAL QOT
    "\uA491",  # YI RADICAL LI
    "\uA492",  # YI RADICAL KIT
    "\uA493",  # YI RADICAL NYIP
    "\uA494",  # YI RADICAL CYP
    "\uA495",  # YI RADICAL SSI
    "\uA496",  # YI RADICAL GGOP
    "\uA497",  # YI RADICAL GEP
    "\uA498",  # YI RADICAL MI
    "\uA499",  # YI RADICAL HXIT
    "\uA49A",  # YI RADICAL LYR
    "\uA49B",  # YI RADICAL BBUT
    "\uA49C",  # YI RADICAL MOP
    "\uA49D",  # YI RADICAL YO
    "\uA49E",  # YI RADICAL PUT
    "\uA49F",  # YI RADICAL HXUO
    "\uA4A0",  # YI RADICAL TAT
    "\uA4A1",  # YI RADICAL GA
    "\uA4A2",  # YI RADICAL ZUP
    "\uA4A3",  # YI RADICAL CYT
    "\uA4A4",  # YI RADICAL DDUR
    "\uA4A5",  # YI RADICAL BUR
    "\uA4A6",  # YI RADICAL GGUO
    "\uA4A7",  # YI RADICAL NYOP
    "\uA4A8",  # YI RADICAL TU
    "\uA4A9",  # YI RADICAL OP
    "\uA4AA",  # YI RADICAL JJUT
    "\uA4AB",  # YI RADICAL ZOT
    "\uA4AC",  # YI RADICAL PYT
    "\uA4AD",  # YI RADICAL HMO
    "\uA4AE",  # YI RADICAL YIT
    "\uA4AF",  # YI RADICAL VUR
    "\uA4B0",  # YI RADICAL SHY
    "\uA4B1",  # YI RADICAL VEP
    "\uA4B2",  # YI RADICAL ZA
    "\uA4B3",  # YI RADICAL JO
    "\uA4B4",  # YI RADICAL NZUP
    "\uA4B5",  # YI RADICAL JJY
    "\uA4B6",  # YI RADICAL GOT
    "\uA4B7",  # YI RADICAL JJIE
    "\uA4B8",  # YI RADICAL WO
    "\uA4B9",  # YI RADICAL DU
    "\uA4BA",  # YI RADICAL SHUR
    "\uA4BB",  # YI RADICAL LIE
    "\uA4BC",  # YI RADICAL CY
    "\uA4BD",  # YI RADICAL CUOP
    "\uA4BE",  # YI RADICAL CIP
    "\uA4BF",  # YI RADICAL HXOP
    "\uA4C0",  # YI RADICAL SHAT
    "\uA4C1",  # YI RADICAL ZUR
    "\uA4C2",  # YI RADICAL SHOP
    "\uA4C3",  # YI RADICAL CHE
    "\uA4C4",  # YI RADICAL ZZIET
    "\uA4C5",  # YI RADICAL NBIE
    "\uA4C6",  # YI RADICAL KE
    "\uA4D0",  # LISU LETTER BA
    "\uA4D1",  # LISU LETTER PA
    "\uA4D2",  # LISU LETTER PHA
    "\uA4D3",  # LISU LETTER DA
    "\uA4D4",  # LISU LETTER TA
    "\uA4D5",  # LISU LETTER THA
    "\uA4D6",  # LISU LETTER GA
    "\uA4D7",  # LISU LETTER KA
    "\uA4D8",  # LISU LETTER KHA
    "\uA4D9",  # LISU LETTER JA
    "\uA4DA",  # LISU LETTER CA
    "\uA4DB",  # LISU LETTER CHA
    "\uA4DC",  # LISU LETTER DZA
    "\uA4DD",  # LISU LETTER TSA
    "\uA4DE",  # LISU LETTER TSHA
    "\uA4DF",  # LISU LETTER MA
    "\uA4E0",  # LISU LETTER NA
    "\uA4E1",  # LISU LETTER LA
    "\uA4E2",  # LISU LETTER SA
    "\uA4E3",  # LISU LETTER ZHA
    "\uA4E4",  # LISU LETTER ZA
    "\uA4E5",  # LISU LETTER NGA
    "\uA4E6",  # LISU LETTER HA
    "\uA4E7",  # LISU LETTER XA
    "\uA4E8",  # LISU LETTER HHA
    "\uA4E9",  # LISU LETTER FA
    "\uA4EA",  # LISU LETTER WA
    "\uA4EB",  # LISU LETTER SHA
    "\uA4EC",  # LISU LETTER YA
    "\uA4ED",  # LISU LETTER GHA
    "\uA4EE",  # LISU LETTER A
    "\uA4EF",  # LISU LETTER AE
    "\uA4F0",  # LISU LETTER E
    "\uA4F1",  # LISU LETTER EU
    "\uA4F2",  # LISU LETTER I
    "\uA4F3",  # LISU LETTER O
    "\uA4F4",  # LISU LETTER U
    "\uA4F5",  # LISU LETTER UE
    "\uA4F6",  # LISU LETTER UH
    "\uA4F7",  # LISU LETTER OE
    "\uA4F8",  # LISU LETTER TONE MYA TI
    "\uA4F9",  # LISU LETTER TONE NA PO
    "\uA4FA",  # LISU LETTER TONE MYA CYA
    "\uA4FB",  # LISU LETTER TONE MYA BO
    "\uA4FC",  # LISU LETTER TONE MYA NA
    "\uA4FD",  # LISU LETTER TONE MYA JEU
    "\uA4FE",  # LISU PUNCTUATION COMMA
    "\uA4FF",  # LISU PUNCTUATION FULL STOP
    "\uA500",  # VAI SYLLABLE EE
    "\uA501",  # VAI SYLLABLE EEN
    "\uA502",  # VAI SYLLABLE HEE
    "\uA503",  # VAI SYLLABLE WEE
    "\uA504",  # VAI SYLLABLE WEEN
    "\uA505",  # VAI SYLLABLE PEE
    "\uA506",  # VAI SYLLABLE BHEE
    "\uA507",  # VAI SYLLABLE BEE
    "\uA508",  # VAI SYLLABLE MBEE
    "\uA509",  # VAI SYLLABLE KPEE
    "\uA50A",  # VAI SYLLABLE MGBEE
    "\uA50B",  # VAI SYLLABLE GBEE
    "\uA50C",  # VAI SYLLABLE FEE
    "\uA50D",  # VAI SYLLABLE VEE
    "\uA50E",  # VAI SYLLABLE TEE
    "\uA50F",  # VAI SYLLABLE THEE
    "\uA510",  # VAI SYLLABLE DHEE
    "\uA511",  # VAI SYLLABLE DHHEE
    "\uA512",  # VAI SYLLABLE LEE
    "\uA513",  # VAI SYLLABLE REE
    "\uA514",  # VAI SYLLABLE DEE
    "\uA515",  # VAI SYLLABLE NDEE
    "\uA516",  # VAI SYLLABLE SEE
    "\uA517",  # VAI SYLLABLE SHEE
    "\uA518",  # VAI SYLLABLE ZEE
    "\uA519",  # VAI SYLLABLE ZHEE
    "\uA51A",  # VAI SYLLABLE CEE
    "\uA51B",  # VAI SYLLABLE JEE
    "\uA51C",  # VAI SYLLABLE NJEE
    "\uA51D",  # VAI SYLLABLE YEE
    "\uA51E",  # VAI SYLLABLE KEE
    "\uA51F",  # VAI SYLLABLE NGGEE
    "\uA520",  # VAI SYLLABLE GEE
    "\uA521",  # VAI SYLLABLE MEE
    "\uA522",  # VAI SYLLABLE NEE
    "\uA523",  # VAI SYLLABLE NYEE
    "\uA524",  # VAI SYLLABLE I
    "\uA525",  # VAI SYLLABLE IN
    "\uA526",  # VAI SYLLABLE HI
    "\uA527",  # VAI SYLLABLE HIN
    "\uA528",  # VAI SYLLABLE WI
    "\uA529",  # VAI SYLLABLE WIN
    "\uA52A",  # VAI SYLLABLE PI
    "\uA52B",  # VAI SYLLABLE BHI
    "\uA52C",  # VAI SYLLABLE BI
    "\uA52D",  # VAI SYLLABLE MBI
    "\uA52E",  # VAI SYLLABLE KPI
    "\uA52F",  # VAI SYLLABLE MGBI
    "\uA530",  # VAI SYLLABLE GBI
    "\uA531",  # VAI SYLLABLE FI
    "\uA532",  # VAI SYLLABLE VI
    "\uA533",  # VAI SYLLABLE TI
    "\uA534",  # VAI SYLLABLE THI
    "\uA535",  # VAI SYLLABLE DHI
    "\uA536",  # VAI SYLLABLE DHHI
    "\uA537",  # VAI SYLLABLE LI
    "\uA538",  # VAI SYLLABLE RI
    "\uA539",  # VAI SYLLABLE DI
    "\uA53A",  # VAI SYLLABLE NDI
    "\uA53B",  # VAI SYLLABLE SI
    "\uA53C",  # VAI SYLLABLE SHI
    "\uA53D",  # VAI SYLLABLE ZI
    "\uA53E",  # VAI SYLLABLE ZHI
    "\uA53F",  # VAI SYLLABLE CI
    "\uA540",  # VAI SYLLABLE JI
    "\uA541",  # VAI SYLLABLE NJI
    "\uA542",  # VAI SYLLABLE YI
    "\uA543",  # VAI SYLLABLE KI
    "\uA544",  # VAI SYLLABLE NGGI
    "\uA545",  # VAI SYLLABLE GI
    "\uA546",  # VAI SYLLABLE MI
    "\uA547",  # VAI SYLLABLE NI
    "\uA548",  # VAI SYLLABLE NYI
    "\uA549",  # VAI SYLLABLE A
    "\uA54A",  # VAI SYLLABLE AN
    "\uA54B",  # VAI SYLLABLE NGAN
    "\uA54C",  # VAI SYLLABLE HA
    "\uA54D",  # VAI SYLLABLE HAN
    "\uA54E",  # VAI SYLLABLE WA
    "\uA54F",  # VAI SYLLABLE WAN
    "\uA550",  # VAI SYLLABLE PA
    "\uA551",  # VAI SYLLABLE BHA
    "\uA552",  # VAI SYLLABLE BA
    "\uA553",  # VAI SYLLABLE MBA
    "\uA554",  # VAI SYLLABLE KPA
    "\uA555",  # VAI SYLLABLE KPAN
    "\uA556",  # VAI SYLLABLE MGBA
    "\uA557",  # VAI SYLLABLE GBA
    "\uA558",  # VAI SYLLABLE FA
    "\uA559",  # VAI SYLLABLE VA
    "\uA55A",  # VAI SYLLABLE TA
    "\uA55B",  # VAI SYLLABLE THA
    "\uA55C",  # VAI SYLLABLE DHA
    "\uA55D",  # VAI SYLLABLE DHHA
    "\uA55E",  # VAI SYLLABLE LA
    "\uA55F",  # VAI SYLLABLE RA
    "\uA560",  # VAI SYLLABLE DA
    "\uA561",  # VAI SYLLABLE NDA
    "\uA562",  # VAI SYLLABLE SA
    "\uA563",  # VAI SYLLABLE SHA
    "\uA564",  # VAI SYLLABLE ZA
    "\uA565",  # VAI SYLLABLE ZHA
    "\uA566",  # VAI SYLLABLE CA
    "\uA567",  # VAI SYLLABLE JA
    "\uA568",  # VAI SYLLABLE NJA
    "\uA569",  # VAI SYLLABLE YA
    "\uA56A",  # VAI SYLLABLE KA
    "\uA56B",  # VAI SYLLABLE KAN
    "\uA56C",  # VAI SYLLABLE NGGA
    "\uA56D",  # VAI SYLLABLE GA
    "\uA56E",  # VAI SYLLABLE MA
    "\uA56F",  # VAI SYLLABLE NA
    "\uA570",  # VAI SYLLABLE NYA
    "\uA571",  # VAI SYLLABLE OO
    "\uA572",  # VAI SYLLABLE OON
    "\uA573",  # VAI SYLLABLE HOO
    "\uA574",  # VAI SYLLABLE WOO
    "\uA575",  # VAI SYLLABLE WOON
    "\uA576",  # VAI SYLLABLE POO
    "\uA577",  # VAI SYLLABLE BHOO
    "\uA578",  # VAI SYLLABLE BOO
    "\uA579",  # VAI SYLLABLE MBOO
    "\uA57A",  # VAI SYLLABLE KPOO
    "\uA57B",  # VAI SYLLABLE MGBOO
    "\uA57C",  # VAI SYLLABLE GBOO
    "\uA57D",  # VAI SYLLABLE FOO
    "\uA57E",  # VAI SYLLABLE VOO
    "\uA57F",  # VAI SYLLABLE TOO
    "\uA580",  # VAI SYLLABLE THOO
    "\uA581",  # VAI SYLLABLE DHOO
    "\uA582",  # VAI SYLLABLE DHHOO
    "\uA583",  # VAI SYLLABLE LOO
    "\uA584",  # VAI SYLLABLE ROO
    "\uA585",  # VAI SYLLABLE DOO
    "\uA586",  # VAI SYLLABLE NDOO
    "\uA587",  # VAI SYLLABLE SOO
    "\uA588",  # VAI SYLLABLE SHOO
    "\uA589",  # VAI SYLLABLE ZOO
    "\uA58A",  # VAI SYLLABLE ZHOO
    "\uA58B",  # VAI SYLLABLE COO
    "\uA58C",  # VAI SYLLABLE JOO
    "\uA58D",  # VAI SYLLABLE NJOO
    "\uA58E",  # VAI SYLLABLE YOO
    "\uA58F",  # VAI SYLLABLE KOO
    "\uA590",  # VAI SYLLABLE NGGOO
    "\uA591",  # VAI SYLLABLE GOO
    "\uA592",  # VAI SYLLABLE MOO
    "\uA593",  # VAI SYLLABLE NOO
    "\uA594",  # VAI SYLLABLE NYOO
    "\uA595",  # VAI SYLLABLE U
    "\uA596",  # VAI SYLLABLE UN
    "\uA597",  # VAI SYLLABLE HU
    "\uA598",  # VAI SYLLABLE HUN
    "\uA599",  # VAI SYLLABLE WU
    "\uA59A",  # VAI SYLLABLE WUN
    "\uA59B",  # VAI SYLLABLE PU
    "\uA59C",  # VAI SYLLABLE BHU
    "\uA59D",  # VAI SYLLABLE BU
    "\uA59E",  # VAI SYLLABLE MBU
    "\uA59F",  # VAI SYLLABLE KPU
    "\uA5A0",  # VAI SYLLABLE MGBU
    "\uA5A1",  # VAI SYLLABLE GBU
    "\uA5A2",  # VAI SYLLABLE FU
    "\uA5A3",  # VAI SYLLABLE VU
    "\uA5A4",  # VAI SYLLABLE TU
    "\uA5A5",  # VAI SYLLABLE THU
    "\uA5A6",  # VAI SYLLABLE DHU
    "\uA5A7",  # VAI SYLLABLE DHHU
    "\uA5A8",  # VAI SYLLABLE LU
    "\uA5A9",  # VAI SYLLABLE RU
    "\uA5AA",  # VAI SYLLABLE DU
    "\uA5AB",  # VAI SYLLABLE NDU
    "\uA5AC",  # VAI SYLLABLE SU
    "\uA5AD",  # VAI SYLLABLE SHU
    "\uA5AE",  # VAI SYLLABLE ZU
    "\uA5AF",  # VAI SYLLABLE ZHU
    "\uA5B0",  # VAI SYLLABLE CU
    "\uA5B1",  # VAI SYLLABLE JU
    "\uA5B2",  # VAI SYLLABLE NJU
    "\uA5B3",  # VAI SYLLABLE YU
    "\uA5B4",  # VAI SYLLABLE KU
    "\uA5B5",  # VAI SYLLABLE NGGU
    "\uA5B6",  # VAI SYLLABLE GU
    "\uA5B7",  # VAI SYLLABLE MU
    "\uA5B8",  # VAI SYLLABLE NU
    "\uA5B9",  # VAI SYLLABLE NYU
    "\uA5BA",  # VAI SYLLABLE O
    "\uA5BB",  # VAI SYLLABLE ON
    "\uA5BC",  # VAI SYLLABLE NGON
    "\uA5BD",  # VAI SYLLABLE HO
    "\uA5BE",  # VAI SYLLABLE HON
    "\uA5BF",  # VAI SYLLABLE WO
    "\uA5C0",  # VAI SYLLABLE WON
    "\uA5C1",  # VAI SYLLABLE PO
    "\uA5C2",  # VAI SYLLABLE BHO
    "\uA5C3",  # VAI SYLLABLE BO
    "\uA5C4",  # VAI SYLLABLE MBO
    "\uA5C5",  # VAI SYLLABLE KPO
    "\uA5C6",  # VAI SYLLABLE MGBO
    "\uA5C7",  # VAI SYLLABLE GBO
    "\uA5C8",  # VAI SYLLABLE GBON
    "\uA5C9",  # VAI SYLLABLE FO
    "\uA5CA",  # VAI SYLLABLE VO
    "\uA5CB",  # VAI SYLLABLE TO
    "\uA5CC",  # VAI SYLLABLE THO
    "\uA5CD",  # VAI SYLLABLE DHO
    "\uA5CE",  # VAI SYLLABLE DHHO
    "\uA5CF",  # VAI SYLLABLE LO
    "\uA5D0",  # VAI SYLLABLE RO
    "\uA5D1",  # VAI SYLLABLE DO
    "\uA5D2",  # VAI SYLLABLE NDO
    "\uA5D3",  # VAI SYLLABLE SO
    "\uA5D4",  # VAI SYLLABLE SHO
    "\uA5D5",  # VAI SYLLABLE ZO
    "\uA5D6",  # VAI SYLLABLE ZHO
    "\uA5D7",  # VAI SYLLABLE CO
    "\uA5D8",  # VAI SYLLABLE JO
    "\uA5D9",  # VAI SYLLABLE NJO
    "\uA5DA",  # VAI SYLLABLE YO
    "\uA5DB",  # VAI SYLLABLE KO
    "\uA5DC",  # VAI SYLLABLE NGGO
    "\uA5DD",  # VAI SYLLABLE GO
    "\uA5DE",  # VAI SYLLABLE MO
    "\uA5DF",  # VAI SYLLABLE NO
    "\uA5E0",  # VAI SYLLABLE NYO
    "\uA5E1",  # VAI SYLLABLE E
    "\uA5E2",  # VAI SYLLABLE EN
    "\uA5E3",  # VAI SYLLABLE NGEN
    "\uA5E4",  # VAI SYLLABLE HE
    "\uA5E5",  # VAI SYLLABLE HEN
    "\uA5E6",  # VAI SYLLABLE WE
    "\uA5E7",  # VAI SYLLABLE WEN
    "\uA5E8",  # VAI SYLLABLE PE
    "\uA5E9",  # VAI SYLLABLE BHE
    "\uA5EA",  # VAI SYLLABLE BE
    "\uA5EB",  # VAI SYLLABLE MBE
    "\uA5EC",  # VAI SYLLABLE KPE
    "\uA5ED",  # VAI SYLLABLE KPEN
    "\uA5EE",  # VAI SYLLABLE MGBE
    "\uA5EF",  # VAI SYLLABLE GBE
    "\uA5F0",  # VAI SYLLABLE GBEN
    "\uA5F1",  # VAI SYLLABLE FE
    "\uA5F2",  # VAI SYLLABLE VE
    "\uA5F3",  # VAI SYLLABLE TE
    "\uA5F4",  # VAI SYLLABLE THE
    "\uA5F5",  # VAI SYLLABLE DHE
    "\uA5F6",  # VAI SYLLABLE DHHE
    "\uA5F7",  # VAI SYLLABLE LE
    "\uA5F8",  # VAI SYLLABLE RE
    "\uA5F9",  # VAI SYLLABLE DE
    "\uA5FA",  # VAI SYLLABLE NDE
    "\uA5FB",  # VAI SYLLABLE SE
    "\uA5FC",  # VAI SYLLABLE SHE
    "\uA5FD",  # VAI SYLLABLE ZE
    "\uA5FE",  # VAI SYLLABLE ZHE
    "\uA5FF",  # VAI SYLLABLE CE
    "\uA600",  # VAI SYLLABLE JE
    "\uA601",  # VAI SYLLABLE NJE
    "\uA602",  # VAI SYLLABLE YE
    "\uA603",  # VAI SYLLABLE KE
    "\uA604",  # VAI SYLLABLE NGGE
    "\uA605",  # VAI SYLLABLE NGGEN
    "\uA606",  # VAI SYLLABLE GE
    "\uA607",  # VAI SYLLABLE GEN
    "\uA608",  # VAI SYLLABLE ME
    "\uA609",  # VAI SYLLABLE NE
    "\uA60A",  # VAI SYLLABLE NYE
    "\uA60B",  # VAI SYLLABLE NG
    "\uA60C",  # VAI SYLLABLE LENGTHENER
    "\uA60D",  # VAI COMMA
    "\uA60E",  # VAI FULL STOP
    "\uA60F",  # VAI QUESTION MARK
    "\uA610",  # VAI SYLLABLE NDOLE FA
    "\uA611",  # VAI SYLLABLE NDOLE KA
    "\uA612",  # VAI SYLLABLE NDOLE SOO
    "\uA613",  # VAI SYMBOL FEENG
    "\uA614",  # VAI SYMBOL KEENG
    "\uA615",  # VAI SYMBOL TING
    "\uA616",  # VAI SYMBOL NII
    "\uA617",  # VAI SYMBOL BANG
    "\uA618",  # VAI SYMBOL FAA
    "\uA619",  # VAI SYMBOL TAA
    "\uA61A",  # VAI SYMBOL DANG
    "\uA61B",  # VAI SYMBOL DOONG
    "\uA61C",  # VAI SYMBOL KUNG
    "\uA61D",  # VAI SYMBOL TONG
    "\uA61E",  # VAI SYMBOL DO-O
    "\uA61F",  # VAI SYMBOL JONG
    "\uA620",  # VAI DIGIT ZERO
    "\uA621",  # VAI DIGIT ONE
    "\uA622",  # VAI DIGIT TWO
    "\uA623",  # VAI DIGIT THREE
    "\uA624",  # VAI DIGIT FOUR
    "\uA625",  # VAI DIGIT FIVE
    "\uA626",  # VAI DIGIT SIX
    "\uA627",  # VAI DIGIT SEVEN
    "\uA628",  # VAI DIGIT EIGHT
    "\uA629",  # VAI DIGIT NINE
    "\uA62A",  # VAI SYLLABLE NDOLE MA
    "\uA62B",  # VAI SYLLABLE NDOLE DO
    "\uA640",  # CYRILLIC CAPITAL LETTER ZEMLYA
    "\uA641",  # CYRILLIC SMALL LETTER ZEMLYA
    "\uA642",  # CYRILLIC CAPITAL LETTER DZELO
    "\uA643",  # CYRILLIC SMALL LETTER DZELO
    "\uA644",  # CYRILLIC CAPITAL LETTER REVERSED DZE
    "\uA645",  # CYRILLIC SMALL LETTER REVERSED DZE
    "\uA646",  # CYRILLIC CAPITAL LETTER IOTA
    "\uA647",  # CYRILLIC SMALL LETTER IOTA
    "\uA648",  # CYRILLIC CAPITAL LETTER DJERV
    "\uA649",  # CYRILLIC SMALL LETTER DJERV
    "\uA64A",  # CYRILLIC CAPITAL LETTER MONOGRAPH UK
    "\uA64B",  # CYRILLIC SMALL LETTER MONOGRAPH UK
    "\uA64C",  # CYRILLIC CAPITAL LETTER BROAD OMEGA
    "\uA64D",  # CYRILLIC SMALL LETTER BROAD OMEGA
    "\uA64E",  # CYRILLIC CAPITAL LETTER NEUTRAL YER
    "\uA64F",  # CYRILLIC SMALL LETTER NEUTRAL YER
    "\uA650",  # CYRILLIC CAPITAL LETTER YERU WITH BACK YER
    "\uA651",  # CYRILLIC SMALL LETTER YERU WITH BACK YER
    "\uA652",  # CYRILLIC CAPITAL LETTER IOTIFIED YAT
    "\uA653",  # CYRILLIC SMALL LETTER IOTIFIED YAT
    "\uA654",  # CYRILLIC CAPITAL LETTER REVERSED YU
    "\uA655",  # CYRILLIC SMALL LETTER REVERSED YU
    "\uA656",  # CYRILLIC CAPITAL LETTER IOTIFIED A
    "\uA657",  # CYRILLIC SMALL LETTER IOTIFIED A
    "\uA658",  # CYRILLIC CAPITAL LETTER CLOSED LITTLE YUS
    "\uA659",  # CYRILLIC SMALL LETTER CLOSED LITTLE YUS
    "\uA65A",  # CYRILLIC CAPITAL LETTER BLENDED YUS
    "\uA65B",  # CYRILLIC SMALL LETTER BLENDED YUS
    "\uA65C",  # CYRILLIC CAPITAL LETTER IOTIFIED CLOSED LITTLE YUS
    "\uA65D",  # CYRILLIC SMALL LETTER IOTIFIED CLOSED LITTLE YUS
    "\uA65E",  # CYRILLIC CAPITAL LETTER YN
    "\uA65F",  # CYRILLIC SMALL LETTER YN
    "\uA660",  # CYRILLIC CAPITAL LETTER REVERSED TSE
    "\uA661",  # CYRILLIC SMALL LETTER REVERSED TSE
    "\uA662",  # CYRILLIC CAPITAL LETTER SOFT DE
    "\uA663",  # CYRILLIC SMALL LETTER SOFT DE
    "\uA664",  # CYRILLIC CAPITAL LETTER SOFT EL
    "\uA665",  # CYRILLIC SMALL LETTER SOFT EL
    "\uA666",  # CYRILLIC CAPITAL LETTER SOFT EM
    "\uA667",  # CYRILLIC SMALL LETTER SOFT EM
    "\uA668",  # CYRILLIC CAPITAL LETTER MONOCULAR O
    "\uA669",  # CYRILLIC SMALL LETTER MONOCULAR O
    "\uA66A",  # CYRILLIC CAPITAL LETTER BINOCULAR O
    "\uA66B",  # CYRILLIC SMALL LETTER BINOCULAR O
    "\uA66C",  # CYRILLIC CAPITAL LETTER DOUBLE MONOCULAR O
    "\uA66D",  # CYRILLIC SMALL LETTER DOUBLE MONOCULAR O
    "\uA66E",  # CYRILLIC LETTER MULTIOCULAR O
    "\uA66F",  # COMBINING CYRILLIC VZMET
    "\uA670",  # COMBINING CYRILLIC TEN MILLIONS SIGN
    "\uA671",  # COMBINING CYRILLIC HUNDRED MILLIONS SIGN
    "\uA672",  # COMBINING CYRILLIC THOUSAND MILLIONS SIGN
    "\uA673",  # SLAVONIC ASTERISK
    "\uA674",  # COMBINING CYRILLIC LETTER UKRAINIAN IE
    "\uA675",  # COMBINING CYRILLIC LETTER I
    "\uA676",  # COMBINING CYRILLIC LETTER YI
    "\uA677",  # COMBINING CYRILLIC LETTER U
    "\uA678",  # COMBINING CYRILLIC LETTER HARD SIGN
    "\uA679",  # COMBINING CYRILLIC LETTER YERU
    "\uA67A",  # COMBINING CYRILLIC LETTER SOFT SIGN
    "\uA67B",  # COMBINING CYRILLIC LETTER OMEGA
    "\uA67C",  # COMBINING CYRILLIC KAVYKA
    "\uA67D",  # COMBINING CYRILLIC PAYEROK
    "\uA67E",  # CYRILLIC KAVYKA
    "\uA67F",  # CYRILLIC PAYEROK
    "\uA680",  # CYRILLIC CAPITAL LETTER DWE
    "\uA681",  # CYRILLIC SMALL LETTER DWE
    "\uA682",  # CYRILLIC CAPITAL LETTER DZWE
    "\uA683",  # CYRILLIC SMALL LETTER DZWE
    "\uA684",  # CYRILLIC CAPITAL LETTER ZHWE
    "\uA685",  # CYRILLIC SMALL LETTER ZHWE
    "\uA686",  # CYRILLIC CAPITAL LETTER CCHE
    "\uA687",  # CYRILLIC SMALL LETTER CCHE
    "\uA688",  # CYRILLIC CAPITAL LETTER DZZE
    "\uA689",  # CYRILLIC SMALL LETTER DZZE
    "\uA68A",  # CYRILLIC CAPITAL LETTER TE WITH MIDDLE HOOK
    "\uA68B",  # CYRILLIC SMALL LETTER TE WITH MIDDLE HOOK
    "\uA68C",  # CYRILLIC CAPITAL LETTER TWE
    "\uA68D",  # CYRILLIC SMALL LETTER TWE
    "\uA68E",  # CYRILLIC CAPITAL LETTER TSWE
    "\uA68F",  # CYRILLIC SMALL LETTER TSWE
    "\uA690",  # CYRILLIC CAPITAL LETTER TSSE
    "\uA691",  # CYRILLIC SMALL LETTER TSSE
    "\uA692",  # CYRILLIC CAPITAL LETTER TCHE
    "\uA693",  # CYRILLIC SMALL LETTER TCHE
    "\uA694",  # CYRILLIC CAPITAL LETTER HWE
    "\uA695",  # CYRILLIC SMALL LETTER HWE
    "\uA696",  # CYRILLIC CAPITAL LETTER SHWE
    "\uA697",  # CYRILLIC SMALL LETTER SHWE
    "\uA698",  # CYRILLIC CAPITAL LETTER DOUBLE O
    "\uA699",  # CYRILLIC SMALL LETTER DOUBLE O
    "\uA69A",  # CYRILLIC CAPITAL LETTER CROSSED O
    "\uA69B",  # CYRILLIC SMALL LETTER CROSSED O
    "\uA69C",  # MODIFIER LETTER CYRILLIC HARD SIGN
    "\uA69D",  # MODIFIER LETTER CYRILLIC SOFT SIGN
    "\uA69E",  # COMBINING CYRILLIC LETTER EF
    "\uA69F",  # COMBINING CYRILLIC LETTER IOTIFIED E
    "\uA6A0",  # BAMUM LETTER A
    "\uA6A1",  # BAMUM LETTER KA
    "\uA6A2",  # BAMUM LETTER U
    "\uA6A3",  # BAMUM LETTER KU
    "\uA6A4",  # BAMUM LETTER EE
    "\uA6A5",  # BAMUM LETTER REE
    "\uA6A6",  # BAMUM LETTER TAE
    "\uA6A7",  # BAMUM LETTER O
    "\uA6A8",  # BAMUM LETTER NYI
    "\uA6A9",  # BAMUM LETTER I
    "\uA6AA",  # BAMUM LETTER LA
    "\uA6AB",  # BAMUM LETTER PA
    "\uA6AC",  # BAMUM LETTER RII
    "\uA6AD",  # BAMUM LETTER RIEE
    "\uA6AE",  # BAMUM LETTER LEEEE
    "\uA6AF",  # BAMUM LETTER MEEEE
    "\uA6B0",  # BAMUM LETTER TAA
    "\uA6B1",  # BAMUM LETTER NDAA
    "\uA6B2",  # BAMUM LETTER NJAEM
    "\uA6B3",  # BAMUM LETTER M
    "\uA6B4",  # BAMUM LETTER SUU
    "\uA6B5",  # BAMUM LETTER MU
    "\uA6B6",  # BAMUM LETTER SHII
    "\uA6B7",  # BAMUM LETTER SI
    "\uA6B8",  # BAMUM LETTER SHEUX
    "\uA6B9",  # BAMUM LETTER SEUX
    "\uA6BA",  # BAMUM LETTER KYEE
    "\uA6BB",  # BAMUM LETTER KET
    "\uA6BC",  # BAMUM LETTER NUAE
    "\uA6BD",  # BAMUM LETTER NU
    "\uA6BE",  # BAMUM LETTER NJUAE
    "\uA6BF",  # BAMUM LETTER YOQ
    "\uA6C0",  # BAMUM LETTER SHU
    "\uA6C1",  # BAMUM LETTER YUQ
    "\uA6C2",  # BAMUM LETTER YA
    "\uA6C3",  # BAMUM LETTER NSHA
    "\uA6C4",  # BAMUM LETTER KEUX
    "\uA6C5",  # BAMUM LETTER PEUX
    "\uA6C6",  # BAMUM LETTER NJEE
    "\uA6C7",  # BAMUM LETTER NTEE
    "\uA6C8",  # BAMUM LETTER PUE
    "\uA6C9",  # BAMUM LETTER WUE
    "\uA6CA",  # BAMUM LETTER PEE
    "\uA6CB",  # BAMUM LETTER FEE
    "\uA6CC",  # BAMUM LETTER RU
    "\uA6CD",  # BAMUM LETTER LU
    "\uA6CE",  # BAMUM LETTER MI
    "\uA6CF",  # BAMUM LETTER NI
    "\uA6D0",  # BAMUM LETTER REUX
    "\uA6D1",  # BAMUM LETTER RAE
    "\uA6D2",  # BAMUM LETTER KEN
    "\uA6D3",  # BAMUM LETTER NGKWAEN
    "\uA6D4",  # BAMUM LETTER NGGA
    "\uA6D5",  # BAMUM LETTER NGA
    "\uA6D6",  # BAMUM LETTER SHO
    "\uA6D7",  # BAMUM LETTER PUAE
    "\uA6D8",  # BAMUM LETTER FU
    "\uA6D9",  # BAMUM LETTER FOM
    "\uA6DA",  # BAMUM LETTER WA
    "\uA6DB",  # BAMUM LETTER NA
    "\uA6DC",  # BAMUM LETTER LI
    "\uA6DD",  # BAMUM LETTER PI
    "\uA6DE",  # BAMUM LETTER LOQ
    "\uA6DF",  # BAMUM LETTER KO
    "\uA6E0",  # BAMUM LETTER MBEN
    "\uA6E1",  # BAMUM LETTER REN
    "\uA6E2",  # BAMUM LETTER MEN
    "\uA6E3",  # BAMUM LETTER MA
    "\uA6E4",  # BAMUM LETTER TI
    "\uA6E5",  # BAMUM LETTER KI
    "\uA6E6",  # BAMUM LETTER MO
    "\uA6E7",  # BAMUM LETTER MBAA
    "\uA6E8",  # BAMUM LETTER TET
    "\uA6E9",  # BAMUM LETTER KPA
    "\uA6EA",  # BAMUM LETTER TEN
    "\uA6EB",  # BAMUM LETTER NTUU
    "\uA6EC",  # BAMUM LETTER SAMBA
    "\uA6ED",  # BAMUM LETTER FAAMAE
    "\uA6EE",  # BAMUM LETTER KOVUU
    "\uA6EF",  # BAMUM LETTER KOGHOM
    "\uA6F0",  # BAMUM COMBINING MARK KOQNDON
    "\uA6F1",  # BAMUM COMBINING MARK TUKWENTIS
    "\uA6F2",  # BAMUM NJAEMLI
    "\uA6F3",  # BAMUM FULL STOP
    "\uA6F4",  # BAMUM COLON
    "\uA6F5",  # BAMUM COMMA
    "\uA6F6",  # BAMUM SEMICOLON
    "\uA6F7",  # BAMUM QUESTION MARK
    "\uA700",  # MODIFIER LETTER CHINESE TONE YIN PING
    "\uA701",  # MODIFIER LETTER CHINESE TONE YANG PING
    "\uA702",  # MODIFIER LETTER CHINESE TONE YIN SHANG
    "\uA703",  # MODIFIER LETTER CHINESE TONE YANG SHANG
    "\uA704",  # MODIFIER LETTER CHINESE TONE YIN QU
    "\uA705",  # MODIFIER LETTER CHINESE TONE YANG QU
    "\uA706",  # MODIFIER LETTER CHINESE TONE YIN RU
    "\uA707",  # MODIFIER LETTER CHINESE TONE YANG RU
    "\uA708",  # MODIFIER LETTER EXTRA-HIGH DOTTED TONE BAR
    "\uA709",  # MODIFIER LETTER HIGH DOTTED TONE BAR
    "\uA70A",  # MODIFIER LETTER MID DOTTED TONE BAR
    "\uA70B",  # MODIFIER LETTER LOW DOTTED TONE BAR
    "\uA70C",  # MODIFIER LETTER EXTRA-LOW DOTTED TONE BAR
    "\uA70D",  # MODIFIER LETTER EXTRA-HIGH DOTTED LEFT-STEM TONE BAR
    "\uA70E",  # MODIFIER LETTER HIGH DOTTED LEFT-STEM TONE BAR
    "\uA70F",  # MODIFIER LETTER MID DOTTED LEFT-STEM TONE BAR
    "\uA710",  # MODIFIER LETTER LOW DOTTED LEFT-STEM TONE BAR
    "\uA711",  # MODIFIER LETTER EXTRA-LOW DOTTED LEFT-STEM TONE BAR
    "\uA712",  # MODIFIER LETTER EXTRA-HIGH LEFT-STEM TONE BAR
    "\uA713",  # MODIFIER LETTER HIGH LEFT-STEM TONE BAR
    "\uA714",  # MODIFIER LETTER MID LEFT-STEM TONE BAR
    "\uA715",  # MODIFIER LETTER LOW LEFT-STEM TONE BAR
    "\uA716",  # MODIFIER LETTER EXTRA-LOW LEFT-STEM TONE BAR
    "\uA717",  # MODIFIER LETTER DOT VERTICAL BAR
    "\uA718",  # MODIFIER LETTER DOT SLASH
    "\uA719",  # MODIFIER LETTER DOT HORIZONTAL BAR
    "\uA71A",  # MODIFIER LETTER LOWER RIGHT CORNER ANGLE
    "\uA71B",  # MODIFIER LETTER RAISED UP ARROW
    "\uA71C",  # MODIFIER LETTER RAISED DOWN ARROW
    "\uA71D",  # MODIFIER LETTER RAISED EXCLAMATION MARK
    "\uA71E",  # MODIFIER LETTER RAISED INVERTED EXCLAMATION MARK
    "\uA71F",  # MODIFIER LETTER LOW INVERTED EXCLAMATION MARK
    "\uA720",  # MODIFIER LETTER STRESS AND HIGH TONE
    "\uA721",  # MODIFIER LETTER STRESS AND LOW TONE
    "\uA722",  # LATIN CAPITAL LETTER EGYPTOLOGICAL ALEF
    "\uA723",  # LATIN SMALL LETTER EGYPTOLOGICAL ALEF
    "\uA724",  # LATIN CAPITAL LETTER EGYPTOLOGICAL AIN
    "\uA725",  # LATIN SMALL LETTER EGYPTOLOGICAL AIN
    "\uA726",  # LATIN CAPITAL LETTER HENG
    "\uA727",  # LATIN SMALL LETTER HENG
    "\uA728",  # LATIN CAPITAL LETTER TZ
    "\uA729",  # LATIN SMALL LETTER TZ
    "\uA72A",  # LATIN CAPITAL LETTER TRESILLO
    "\uA72B",  # LATIN SMALL LETTER TRESILLO
    "\uA72C",  # LATIN CAPITAL LETTER CUATRILLO
    "\uA72D",  # LATIN SMALL LETTER CUATRILLO
    "\uA72E",  # LATIN CAPITAL LETTER CUATRILLO WITH COMMA
    "\uA72F",  # LATIN SMALL LETTER CUATRILLO WITH COMMA
    "\uA730",  # LATIN LETTER SMALL CAPITAL F
    "\uA731",  # LATIN LETTER SMALL CAPITAL S
    "\uA732",  # LATIN CAPITAL LETTER AA
    "\uA733",  # LATIN SMALL LETTER AA
    "\uA734",  # LATIN CAPITAL LETTER AO
    "\uA735",  # LATIN SMALL LETTER AO
    "\uA736",  # LATIN CAPITAL LETTER AU
    "\uA737",  # LATIN SMALL LETTER AU
    "\uA738",  # LATIN CAPITAL LETTER AV
    "\uA739",  # LATIN SMALL LETTER AV
    "\uA73A",  # LATIN CAPITAL LETTER AV WITH HORIZONTAL BAR
    "\uA73B",  # LATIN SMALL LETTER AV WITH HORIZONTAL BAR
    "\uA73C",  # LATIN CAPITAL LETTER AY
    "\uA73D",  # LATIN SMALL LETTER AY
    "\uA73E",  # LATIN CAPITAL LETTER REVERSED C WITH DOT
    "\uA73F",  # LATIN SMALL LETTER REVERSED C WITH DOT
    "\uA740",  # LATIN CAPITAL LETTER K WITH STROKE
    "\uA741",  # LATIN SMALL LETTER K WITH STROKE
    "\uA742",  # LATIN CAPITAL LETTER K WITH DIAGONAL STROKE
    "\uA743",  # LATIN SMALL LETTER K WITH DIAGONAL STROKE
    "\uA744",  # LATIN CAPITAL LETTER K WITH STROKE AND DIAGONAL STROKE
    "\uA745",  # LATIN SMALL LETTER K WITH STROKE AND DIAGONAL STROKE
    "\uA746",  # LATIN CAPITAL LETTER BROKEN L
    "\uA747",  # LATIN SMALL LETTER BROKEN L
    "\uA748",  # LATIN CAPITAL LETTER L WITH HIGH STROKE
    "\uA749",  # LATIN SMALL LETTER L WITH HIGH STROKE
    "\uA74A",  # LATIN CAPITAL LETTER O WITH LONG STROKE OVERLAY
    "\uA74B",  # LATIN SMALL LETTER O WITH LONG STROKE OVERLAY
    "\uA74C",  # LATIN CAPITAL LETTER O WITH LOOP
    "\uA74D",  # LATIN SMALL LETTER O WITH LOOP
    "\uA74E",  # LATIN CAPITAL LETTER OO
    "\uA74F",  # LATIN SMALL LETTER OO
    "\uA750",  # LATIN CAPITAL LETTER P WITH STROKE THROUGH DESCENDER
    "\uA751",  # LATIN SMALL LETTER P WITH STROKE THROUGH DESCENDER
    "\uA752",  # LATIN CAPITAL LETTER P WITH FLOURISH
    "\uA753",  # LATIN SMALL LETTER P WITH FLOURISH
    "\uA754",  # LATIN CAPITAL LETTER P WITH SQUIRREL TAIL
    "\uA755",  # LATIN SMALL LETTER P WITH SQUIRREL TAIL
    "\uA756",  # LATIN CAPITAL LETTER Q WITH STROKE THROUGH DESCENDER
    "\uA757",  # LATIN SMALL LETTER Q WITH STROKE THROUGH DESCENDER
    "\uA758",  # LATIN CAPITAL LETTER Q WITH DIAGONAL STROKE
    "\uA759",  # LATIN SMALL LETTER Q WITH DIAGONAL STROKE
    "\uA75A",  # LATIN CAPITAL LETTER R ROTUNDA
    "\uA75B",  # LATIN SMALL LETTER R ROTUNDA
    "\uA75C",  # LATIN CAPITAL LETTER RUM ROTUNDA
    "\uA75D",  # LATIN SMALL LETTER RUM ROTUNDA
    "\uA75E",  # LATIN CAPITAL LETTER V WITH DIAGONAL STROKE
    "\uA75F",  # LATIN SMALL LETTER V WITH DIAGONAL STROKE
    "\uA760",  # LATIN CAPITAL LETTER VY
    "\uA761",  # LATIN SMALL LETTER VY
    "\uA762",  # LATIN CAPITAL LETTER VISIGOTHIC Z
    "\uA763",  # LATIN SMALL LETTER VISIGOTHIC Z
    "\uA764",  # LATIN CAPITAL LETTER THORN WITH STROKE
    "\uA765",  # LATIN SMALL LETTER THORN WITH STROKE
    "\uA766",  # LATIN CAPITAL LETTER THORN WITH STROKE THROUGH DESCENDER
    "\uA767",  # LATIN SMALL LETTER THORN WITH STROKE THROUGH DESCENDER
    "\uA768",  # LATIN CAPITAL LETTER VEND
    "\uA769",  # LATIN SMALL LETTER VEND
    "\uA76A",  # LATIN CAPITAL LETTER ET
    "\uA76B",  # LATIN SMALL LETTER ET
    "\uA76C",  # LATIN CAPITAL LETTER IS
    "\uA76D",  # LATIN SMALL LETTER IS
    "\uA76E",  # LATIN CAPITAL LETTER CON
    "\uA76F",  # LATIN SMALL LETTER CON
    "\uA770",  # MODIFIER LETTER US
    "\uA771",  # LATIN SMALL LETTER DUM
    "\uA772",  # LATIN SMALL LETTER LUM
    "\uA773",  # LATIN SMALL LETTER MUM
    "\uA774",  # LATIN SMALL LETTER NUM
    "\uA775",  # LATIN SMALL LETTER RUM
    "\uA776",  # LATIN LETTER SMALL CAPITAL RUM
    "\uA777",  # LATIN SMALL LETTER TUM
    "\uA778",  # LATIN SMALL LETTER UM
    "\uA779",  # LATIN CAPITAL LETTER INSULAR D
    "\uA77A",  # LATIN SMALL LETTER INSULAR D
    "\uA77B",  # LATIN CAPITAL LETTER INSULAR F
    "\uA77C",  # LATIN SMALL LETTER INSULAR F
    "\uA77D",  # LATIN CAPITAL LETTER INSULAR G
    "\uA77E",  # LATIN CAPITAL LETTER TURNED INSULAR G
    "\uA77F",  # LATIN SMALL LETTER TURNED INSULAR G
    "\uA780",  # LATIN CAPITAL LETTER TURNED L
    "\uA781",  # LATIN SMALL LETTER TURNED L
    "\uA782",  # LATIN CAPITAL LETTER INSULAR R
    "\uA783",  # LATIN SMALL LETTER INSULAR R
    "\uA784",  # LATIN CAPITAL LETTER INSULAR S
    "\uA785",  # LATIN SMALL LETTER INSULAR S
    "\uA786",  # LATIN CAPITAL LETTER INSULAR T
    "\uA787",  # LATIN SMALL LETTER INSULAR T
    "\uA788",  # MODIFIER LETTER LOW CIRCUMFLEX ACCENT
    "\uA789",  # MODIFIER LETTER COLON
    "\uA78A",  # MODIFIER LETTER SHORT EQUALS SIGN
    "\uA78B",  # LATIN CAPITAL LETTER SALTILLO
    "\uA78C",  # LATIN SMALL LETTER SALTILLO
    "\uA78D",  # LATIN CAPITAL LETTER TURNED H
    "\uA78E",  # LATIN SMALL LETTER L WITH RETROFLEX HOOK AND BELT
    "\uA78F",  # LATIN LETTER SINOLOGICAL DOT
    "\uA790",  # LATIN CAPITAL LETTER N WITH DESCENDER
    "\uA791",  # LATIN SMALL LETTER N WITH DESCENDER
    "\uA792",  # LATIN CAPITAL LETTER C WITH BAR
    "\uA793",  # LATIN SMALL LETTER C WITH BAR
    "\uA794",  # LATIN SMALL LETTER C WITH PALATAL HOOK
    "\uA795",  # LATIN SMALL LETTER H WITH PALATAL HOOK
    "\uA796",  # LATIN CAPITAL LETTER B WITH FLOURISH
    "\uA797",  # LATIN SMALL LETTER B WITH FLOURISH
    "\uA798",  # LATIN CAPITAL LETTER F WITH STROKE
    "\uA799",  # LATIN SMALL LETTER F WITH STROKE
    "\uA79A",  # LATIN CAPITAL LETTER VOLAPUK AE
    "\uA79B",  # LATIN SMALL LETTER VOLAPUK AE
    "\uA79C",  # LATIN CAPITAL LETTER VOLAPUK OE
    "\uA79D",  # LATIN SMALL LETTER VOLAPUK OE
    "\uA79E",  # LATIN CAPITAL LETTER VOLAPUK UE
    "\uA79F",  # LATIN SMALL LETTER VOLAPUK UE
    "\uA7A0",  # LATIN CAPITAL LETTER G WITH OBLIQUE STROKE
    "\uA7A1",  # LATIN SMALL LETTER G WITH OBLIQUE STROKE
    "\uA7A2",  # LATIN CAPITAL LETTER K WITH OBLIQUE STROKE
    "\uA7A3",  # LATIN SMALL LETTER K WITH OBLIQUE STROKE
    "\uA7A4",  # LATIN CAPITAL LETTER N WITH OBLIQUE STROKE
    "\uA7A5",  # LATIN SMALL LETTER N WITH OBLIQUE STROKE
    "\uA7A6",  # LATIN CAPITAL LETTER R WITH OBLIQUE STROKE
    "\uA7A7",  # LATIN SMALL LETTER R WITH OBLIQUE STROKE
    "\uA7A8",  # LATIN CAPITAL LETTER S WITH OBLIQUE STROKE
    "\uA7A9",  # LATIN SMALL LETTER S WITH OBLIQUE STROKE
    "\uA7AA",  # LATIN CAPITAL LETTER H WITH HOOK
    "\uA7AB",  # LATIN CAPITAL LETTER REVERSED OPEN E
    "\uA7AC",  # LATIN CAPITAL LETTER SCRIPT G
    "\uA7AD",  # LATIN CAPITAL LETTER L WITH BELT
    "\uA7AE",  # LATIN CAPITAL LETTER SMALL CAPITAL I
    "\uA7B0",  # LATIN CAPITAL LETTER TURNED K
    "\uA7B1",  # LATIN CAPITAL LETTER TURNED T
    "\uA7B2",  # LATIN CAPITAL LETTER J WITH CROSSED-TAIL
    "\uA7B3",  # LATIN CAPITAL LETTER CHI
    "\uA7B4",  # LATIN CAPITAL LETTER BETA
    "\uA7B5",  # LATIN SMALL LETTER BETA
    "\uA7B6",  # LATIN CAPITAL LETTER OMEGA
    "\uA7B7",  # LATIN SMALL LETTER OMEGA
    "\uA7F7",  # LATIN EPIGRAPHIC LETTER SIDEWAYS I
    "\uA7F8",  # MODIFIER LETTER CAPITAL H WITH STROKE
    "\uA7F9",  # MODIFIER LETTER SMALL LIGATURE OE
    "\uA7FA",  # LATIN LETTER SMALL CAPITAL TURNED M
    "\uA7FB",  # LATIN EPIGRAPHIC LETTER REVERSED F
    "\uA7FC",  # LATIN EPIGRAPHIC LETTER REVERSED P
    "\uA7FD",  # LATIN EPIGRAPHIC LETTER INVERTED M
    "\uA7FE",  # LATIN EPIGRAPHIC LETTER I LONGA
    "\uA7FF",  # LATIN EPIGRAPHIC LETTER ARCHAIC M
    "\uA800",  # SYLOTI NAGRI LETTER A
    "\uA801",  # SYLOTI NAGRI LETTER I
    "\uA802",  # SYLOTI NAGRI SIGN DVISVARA
    "\uA803",  # SYLOTI NAGRI LETTER U
    "\uA804",  # SYLOTI NAGRI LETTER E
    "\uA805",  # SYLOTI NAGRI LETTER O
    "\uA806",  # SYLOTI NAGRI SIGN HASANTA
    "\uA807",  # SYLOTI NAGRI LETTER KO
    "\uA808",  # SYLOTI NAGRI LETTER KHO
    "\uA809",  # SYLOTI NAGRI LETTER GO
    "\uA80A",  # SYLOTI NAGRI LETTER GHO
    "\uA80B",  # SYLOTI NAGRI SIGN ANUSVARA
    "\uA80C",  # SYLOTI NAGRI LETTER CO
    "\uA80D",  # SYLOTI NAGRI LETTER CHO
    "\uA80E",  # SYLOTI NAGRI LETTER JO
    "\uA80F",  # SYLOTI NAGRI LETTER JHO
    "\uA810",  # SYLOTI NAGRI LETTER TTO
    "\uA811",  # SYLOTI NAGRI LETTER TTHO
    "\uA812",  # SYLOTI NAGRI LETTER DDO
    "\uA813",  # SYLOTI NAGRI LETTER DDHO
    "\uA814",  # SYLOTI NAGRI LETTER TO
    "\uA815",  # SYLOTI NAGRI LETTER THO
    "\uA816",  # SYLOTI NAGRI LETTER DO
    "\uA817",  # SYLOTI NAGRI LETTER DHO
    "\uA818",  # SYLOTI NAGRI LETTER NO
    "\uA819",  # SYLOTI NAGRI LETTER PO
    "\uA81A",  # SYLOTI NAGRI LETTER PHO
    "\uA81B",  # SYLOTI NAGRI LETTER BO
    "\uA81C",  # SYLOTI NAGRI LETTER BHO
    "\uA81D",  # SYLOTI NAGRI LETTER MO
    "\uA81E",  # SYLOTI NAGRI LETTER RO
    "\uA81F",  # SYLOTI NAGRI LETTER LO
    "\uA820",  # SYLOTI NAGRI LETTER RRO
    "\uA821",  # SYLOTI NAGRI LETTER SO
    "\uA822",  # SYLOTI NAGRI LETTER HO
    "\uA823",  # SYLOTI NAGRI VOWEL SIGN A
    "\uA824",  # SYLOTI NAGRI VOWEL SIGN I
    "\uA825",  # SYLOTI NAGRI VOWEL SIGN U
    "\uA826",  # SYLOTI NAGRI VOWEL SIGN E
    "\uA827",  # SYLOTI NAGRI VOWEL SIGN OO
    "\uA828",  # SYLOTI NAGRI POETRY MARK-1
    "\uA829",  # SYLOTI NAGRI POETRY MARK-2
    "\uA82A",  # SYLOTI NAGRI POETRY MARK-3
    "\uA82B",  # SYLOTI NAGRI POETRY MARK-4
    "\uA830",  # NORTH INDIC FRACTION ONE QUARTER
    "\uA831",  # NORTH INDIC FRACTION ONE HALF
    "\uA832",  # NORTH INDIC FRACTION THREE QUARTERS
    "\uA833",  # NORTH INDIC FRACTION ONE SIXTEENTH
    "\uA834",  # NORTH INDIC FRACTION ONE EIGHTH
    "\uA835",  # NORTH INDIC FRACTION THREE SIXTEENTHS
    "\uA836",  # NORTH INDIC QUARTER MARK
    "\uA837",  # NORTH INDIC PLACEHOLDER MARK
    "\uA838",  # NORTH INDIC RUPEE MARK
    "\uA839",  # NORTH INDIC QUANTITY MARK
    "\uA840",  # PHAGS-PA LETTER KA
    "\uA841",  # PHAGS-PA LETTER KHA
    "\uA842",  # PHAGS-PA LETTER GA
    "\uA843",  # PHAGS-PA LETTER NGA
    "\uA844",  # PHAGS-PA LETTER CA
    "\uA845",  # PHAGS-PA LETTER CHA
    "\uA846",  # PHAGS-PA LETTER JA
    "\uA847",  # PHAGS-PA LETTER NYA
    "\uA848",  # PHAGS-PA LETTER TA
    "\uA849",  # PHAGS-PA LETTER THA
    "\uA84A",  # PHAGS-PA LETTER DA
    "\uA84B",  # PHAGS-PA LETTER NA
    "\uA84C",  # PHAGS-PA LETTER PA
    "\uA84D",  # PHAGS-PA LETTER PHA
    "\uA84E",  # PHAGS-PA LETTER BA
    "\uA84F",  # PHAGS-PA LETTER MA
    "\uA850",  # PHAGS-PA LETTER TSA
    "\uA851",  # PHAGS-PA LETTER TSHA
    "\uA852",  # PHAGS-PA LETTER DZA
    "\uA853",  # PHAGS-PA LETTER WA
    "\uA854",  # PHAGS-PA LETTER ZHA
    "\uA855",  # PHAGS-PA LETTER ZA
    "\uA856",  # PHAGS-PA LETTER SMALL A
    "\uA857",  # PHAGS-PA LETTER YA
    "\uA858",  # PHAGS-PA LETTER RA
    "\uA859",  # PHAGS-PA LETTER LA
    "\uA85A",  # PHAGS-PA LETTER SHA
    "\uA85B",  # PHAGS-PA LETTER SA
    "\uA85C",  # PHAGS-PA LETTER HA
    "\uA85D",  # PHAGS-PA LETTER A
    "\uA85E",  # PHAGS-PA LETTER I
    "\uA85F",  # PHAGS-PA LETTER U
    "\uA860",  # PHAGS-PA LETTER E
    "\uA861",  # PHAGS-PA LETTER O
    "\uA862",  # PHAGS-PA LETTER QA
    "\uA863",  # PHAGS-PA LETTER XA
    "\uA864",  # PHAGS-PA LETTER FA
    "\uA865",  # PHAGS-PA LETTER GGA
    "\uA866",  # PHAGS-PA LETTER EE
    "\uA867",  # PHAGS-PA SUBJOINED LETTER WA
    "\uA868",  # PHAGS-PA SUBJOINED LETTER YA
    "\uA869",  # PHAGS-PA LETTER TTA
    "\uA86A",  # PHAGS-PA LETTER TTHA
    "\uA86B",  # PHAGS-PA LETTER DDA
    "\uA86C",  # PHAGS-PA LETTER NNA
    "\uA86D",  # PHAGS-PA LETTER ALTERNATE YA
    "\uA86E",  # PHAGS-PA LETTER VOICELESS SHA
    "\uA86F",  # PHAGS-PA LETTER VOICED HA
    "\uA870",  # PHAGS-PA LETTER ASPIRATED FA
    "\uA871",  # PHAGS-PA SUBJOINED LETTER RA
    "\uA872",  # PHAGS-PA SUPERFIXED LETTER RA
    "\uA873",  # PHAGS-PA LETTER CANDRABINDU
    "\uA874",  # PHAGS-PA SINGLE HEAD MARK
    "\uA875",  # PHAGS-PA DOUBLE HEAD MARK
    "\uA876",  # PHAGS-PA MARK SHAD
    "\uA877",  # PHAGS-PA MARK DOUBLE SHAD
    "\uA880",  # SAURASHTRA SIGN ANUSVARA
    "\uA881",  # SAURASHTRA SIGN VISARGA
    "\uA882",  # SAURASHTRA LETTER A
    "\uA883",  # SAURASHTRA LETTER AA
    "\uA884",  # SAURASHTRA LETTER I
    "\uA885",  # SAURASHTRA LETTER II
    "\uA886",  # SAURASHTRA LETTER U
    "\uA887",  # SAURASHTRA LETTER UU
    "\uA888",  # SAURASHTRA LETTER VOCALIC R
    "\uA889",  # SAURASHTRA LETTER VOCALIC RR
    "\uA88A",  # SAURASHTRA LETTER VOCALIC L
    "\uA88B",  # SAURASHTRA LETTER VOCALIC LL
    "\uA88C",  # SAURASHTRA LETTER E
    "\uA88D",  # SAURASHTRA LETTER EE
    "\uA88E",  # SAURASHTRA LETTER AI
    "\uA88F",  # SAURASHTRA LETTER O
    "\uA890",  # SAURASHTRA LETTER OO
    "\uA891",  # SAURASHTRA LETTER AU
    "\uA892",  # SAURASHTRA LETTER KA
    "\uA893",  # SAURASHTRA LETTER KHA
    "\uA894",  # SAURASHTRA LETTER GA
    "\uA895",  # SAURASHTRA LETTER GHA
    "\uA896",  # SAURASHTRA LETTER NGA
    "\uA897",  # SAURASHTRA LETTER CA
    "\uA898",  # SAURASHTRA LETTER CHA
    "\uA899",  # SAURASHTRA LETTER JA
    "\uA89A",  # SAURASHTRA LETTER JHA
    "\uA89B",  # SAURASHTRA LETTER NYA
    "\uA89C",  # SAURASHTRA LETTER TTA
    "\uA89D",  # SAURASHTRA LETTER TTHA
    "\uA89E",  # SAURASHTRA LETTER DDA
    "\uA89F",  # SAURASHTRA LETTER DDHA
    "\uA8A0",  # SAURASHTRA LETTER NNA
    "\uA8A1",  # SAURASHTRA LETTER TA
    "\uA8A2",  # SAURASHTRA LETTER THA
    "\uA8A3",  # SAURASHTRA LETTER DA
    "\uA8A4",  # SAURASHTRA LETTER DHA
    "\uA8A5",  # SAURASHTRA LETTER NA
    "\uA8A6",  # SAURASHTRA LETTER PA
    "\uA8A7",  # SAURASHTRA LETTER PHA
    "\uA8A8",  # SAURASHTRA LETTER BA
    "\uA8A9",  # SAURASHTRA LETTER BHA
    "\uA8AA",  # SAURASHTRA LETTER MA
    "\uA8AB",  # SAURASHTRA LETTER YA
    "\uA8AC",  # SAURASHTRA LETTER RA
    "\uA8AD",  # SAURASHTRA LETTER LA
    "\uA8AE",  # SAURASHTRA LETTER VA
    "\uA8AF",  # SAURASHTRA LETTER SHA
    "\uA8B0",  # SAURASHTRA LETTER SSA
    "\uA8B1",  # SAURASHTRA LETTER SA
    "\uA8B2",  # SAURASHTRA LETTER HA
    "\uA8B3",  # SAURASHTRA LETTER LLA
    "\uA8B4",  # SAURASHTRA CONSONANT SIGN HAARU
    "\uA8B5",  # SAURASHTRA VOWEL SIGN AA
    "\uA8B6",  # SAURASHTRA VOWEL SIGN I
    "\uA8B7",  # SAURASHTRA VOWEL SIGN II
    "\uA8B8",  # SAURASHTRA VOWEL SIGN U
    "\uA8B9",  # SAURASHTRA VOWEL SIGN UU
    "\uA8BA",  # SAURASHTRA VOWEL SIGN VOCALIC R
    "\uA8BB",  # SAURASHTRA VOWEL SIGN VOCALIC RR
    "\uA8BC",  # SAURASHTRA VOWEL SIGN VOCALIC L
    "\uA8BD",  # SAURASHTRA VOWEL SIGN VOCALIC LL
    "\uA8BE",  # SAURASHTRA VOWEL SIGN E
    "\uA8BF",  # SAURASHTRA VOWEL SIGN EE
    "\uA8C0",  # SAURASHTRA VOWEL SIGN AI
    "\uA8C1",  # SAURASHTRA VOWEL SIGN O
    "\uA8C2",  # SAURASHTRA VOWEL SIGN OO
    "\uA8C3",  # SAURASHTRA VOWEL SIGN AU
    "\uA8C4",  # SAURASHTRA SIGN VIRAMA
    "\uA8C5",  # SAURASHTRA SIGN CANDRABINDU
    "\uA8CE",  # SAURASHTRA DANDA
    "\uA8CF",  # SAURASHTRA DOUBLE DANDA
    "\uA8D0",  # SAURASHTRA DIGIT ZERO
    "\uA8D1",  # SAURASHTRA DIGIT ONE
    "\uA8D2",  # SAURASHTRA DIGIT TWO
    "\uA8D3",  # SAURASHTRA DIGIT THREE
    "\uA8D4",  # SAURASHTRA DIGIT FOUR
    "\uA8D5",  # SAURASHTRA DIGIT FIVE
    "\uA8D6",  # SAURASHTRA DIGIT SIX
    "\uA8D7",  # SAURASHTRA DIGIT SEVEN
    "\uA8D8",  # SAURASHTRA DIGIT EIGHT
    "\uA8D9",  # SAURASHTRA DIGIT NINE
    "\uA8E0",  # COMBINING DEVANAGARI DIGIT ZERO
    "\uA8E1",  # COMBINING DEVANAGARI DIGIT ONE
    "\uA8E2",  # COMBINING DEVANAGARI DIGIT TWO
    "\uA8E3",  # COMBINING DEVANAGARI DIGIT THREE
    "\uA8E4",  # COMBINING DEVANAGARI DIGIT FOUR
    "\uA8E5",  # COMBINING DEVANAGARI DIGIT FIVE
    "\uA8E6",  # COMBINING DEVANAGARI DIGIT SIX
    "\uA8E7",  # COMBINING DEVANAGARI DIGIT SEVEN
    "\uA8E8",  # COMBINING DEVANAGARI DIGIT EIGHT
    "\uA8E9",  # COMBINING DEVANAGARI DIGIT NINE
    "\uA8EA",  # COMBINING DEVANAGARI LETTER A
    "\uA8EB",  # COMBINING DEVANAGARI LETTER U
    "\uA8EC",  # COMBINING DEVANAGARI LETTER KA
    "\uA8ED",  # COMBINING DEVANAGARI LETTER NA
    "\uA8EE",  # COMBINING DEVANAGARI LETTER PA
    "\uA8EF",  # COMBINING DEVANAGARI LETTER RA
    "\uA8F0",  # COMBINING DEVANAGARI LETTER VI
    "\uA8F1",  # COMBINING DEVANAGARI SIGN AVAGRAHA
    "\uA8F2",  # DEVANAGARI SIGN SPACING CANDRABINDU
    "\uA8F3",  # DEVANAGARI SIGN CANDRABINDU VIRAMA
    "\uA8F4",  # DEVANAGARI SIGN DOUBLE CANDRABINDU VIRAMA
    "\uA8F5",  # DEVANAGARI SIGN CANDRABINDU TWO
    "\uA8F6",  # DEVANAGARI SIGN CANDRABINDU THREE
    "\uA8F7",  # DEVANAGARI SIGN CANDRABINDU AVAGRAHA
    "\uA8F8",  # DEVANAGARI SIGN PUSHPIKA
    "\uA8F9",  # DEVANAGARI GAP FILLER
    "\uA8FA",  # DEVANAGARI CARET
    "\uA8FB",  # DEVANAGARI HEADSTROKE
    "\uA8FC",  # DEVANAGARI SIGN SIDDHAM
    "\uA8FD",  # DEVANAGARI JAIN OM
    "\uA900",  # KAYAH LI DIGIT ZERO
    "\uA901",  # KAYAH LI DIGIT ONE
    "\uA902",  # KAYAH LI DIGIT TWO
    "\uA903",  # KAYAH LI DIGIT THREE
    "\uA904",  # KAYAH LI DIGIT FOUR
    "\uA905",  # KAYAH LI DIGIT FIVE
    "\uA906",  # KAYAH LI DIGIT SIX
    "\uA907",  # KAYAH LI DIGIT SEVEN
    "\uA908",  # KAYAH LI DIGIT EIGHT
    "\uA909",  # KAYAH LI DIGIT NINE
    "\uA90A",  # KAYAH LI LETTER KA
    "\uA90B",  # KAYAH LI LETTER KHA
    "\uA90C",  # KAYAH LI LETTER GA
    "\uA90D",  # KAYAH LI LETTER NGA
    "\uA90E",  # KAYAH LI LETTER SA
    "\uA90F",  # KAYAH LI LETTER SHA
    "\uA910",  # KAYAH LI LETTER ZA
    "\uA911",  # KAYAH LI LETTER NYA
    "\uA912",  # KAYAH LI LETTER TA
    "\uA913",  # KAYAH LI LETTER HTA
    "\uA914",  # KAYAH LI LETTER NA
    "\uA915",  # KAYAH LI LETTER PA
    "\uA916",  # KAYAH LI LETTER PHA
    "\uA917",  # KAYAH LI LETTER MA
    "\uA918",  # KAYAH LI LETTER DA
    "\uA919",  # KAYAH LI LETTER BA
    "\uA91A",  # KAYAH LI LETTER RA
    "\uA91B",  # KAYAH LI LETTER YA
    "\uA91C",  # KAYAH LI LETTER LA
    "\uA91D",  # KAYAH LI LETTER WA
    "\uA91E",  # KAYAH LI LETTER THA
    "\uA91F",  # KAYAH LI LETTER HA
    "\uA920",  # KAYAH LI LETTER VA
    "\uA921",  # KAYAH LI LETTER CA
    "\uA922",  # KAYAH LI LETTER A
    "\uA923",  # KAYAH LI LETTER OE
    "\uA924",  # KAYAH LI LETTER I
    "\uA925",  # KAYAH LI LETTER OO
    "\uA926",  # KAYAH LI VOWEL UE
    "\uA927",  # KAYAH LI VOWEL E
    "\uA928",  # KAYAH LI VOWEL U
    "\uA929",  # KAYAH LI VOWEL EE
    "\uA92A",  # KAYAH LI VOWEL O
    "\uA92B",  # KAYAH LI TONE PLOPHU
    "\uA92C",  # KAYAH LI TONE CALYA
    "\uA92D",  # KAYAH LI TONE CALYA PLOPHU
    "\uA92E",  # KAYAH LI SIGN CWI
    "\uA92F",  # KAYAH LI SIGN SHYA
    "\uA930",  # REJANG LETTER KA
    "\uA931",  # REJANG LETTER GA
    "\uA932",  # REJANG LETTER NGA
    "\uA933",  # REJANG LETTER TA
    "\uA934",  # REJANG LETTER DA
    "\uA935",  # REJANG LETTER NA
    "\uA936",  # REJANG LETTER PA
    "\uA937",  # REJANG LETTER BA
    "\uA938",  # REJANG LETTER MA
    "\uA939",  # REJANG LETTER CA
    "\uA93A",  # REJANG LETTER JA
    "\uA93B",  # REJANG LETTER NYA
    "\uA93C",  # REJANG LETTER SA
    "\uA93D",  # REJANG LETTER RA
    "\uA93E",  # REJANG LETTER LA
    "\uA93F",  # REJANG LETTER YA
    "\uA940",  # REJANG LETTER WA
    "\uA941",  # REJANG LETTER HA
    "\uA942",  # REJANG LETTER MBA
    "\uA943",  # REJANG LETTER NGGA
    "\uA944",  # REJANG LETTER NDA
    "\uA945",  # REJANG LETTER NYJA
    "\uA946",  # REJANG LETTER A
    "\uA947",  # REJANG VOWEL SIGN I
    "\uA948",  # REJANG VOWEL SIGN U
    "\uA949",  # REJANG VOWEL SIGN E
    "\uA94A",  # REJANG VOWEL SIGN AI
    "\uA94B",  # REJANG VOWEL SIGN O
    "\uA94C",  # REJANG VOWEL SIGN AU
    "\uA94D",  # REJANG VOWEL SIGN EU
    "\uA94E",  # REJANG VOWEL SIGN EA
    "\uA94F",  # REJANG CONSONANT SIGN NG
    "\uA950",  # REJANG CONSONANT SIGN N
    "\uA951",  # REJANG CONSONANT SIGN R
    "\uA952",  # REJANG CONSONANT SIGN H
    "\uA953",  # REJANG VIRAMA
    "\uA95F",  # REJANG SECTION MARK
    "\uA960",  # HANGUL CHOSEONG TIKEUT-MIEUM
    "\uA961",  # HANGUL CHOSEONG TIKEUT-PIEUP
    "\uA962",  # HANGUL CHOSEONG TIKEUT-SIOS
    "\uA963",  # HANGUL CHOSEONG TIKEUT-CIEUC
    "\uA964",  # HANGUL CHOSEONG RIEUL-KIYEOK
    "\uA965",  # HANGUL CHOSEONG RIEUL-SSANGKIYEOK
    "\uA966",  # HANGUL CHOSEONG RIEUL-TIKEUT
    "\uA967",  # HANGUL CHOSEONG RIEUL-SSANGTIKEUT
    "\uA968",  # HANGUL CHOSEONG RIEUL-MIEUM
    "\uA969",  # HANGUL CHOSEONG RIEUL-PIEUP
    "\uA96A",  # HANGUL CHOSEONG RIEUL-SSANGPIEUP
    "\uA96B",  # HANGUL CHOSEONG RIEUL-KAPYEOUNPIEUP
    "\uA96C",  # HANGUL CHOSEONG RIEUL-SIOS
    "\uA96D",  # HANGUL CHOSEONG RIEUL-CIEUC
    "\uA96E",  # HANGUL CHOSEONG RIEUL-KHIEUKH
    "\uA96F",  # HANGUL CHOSEONG MIEUM-KIYEOK
    "\uA970",  # HANGUL CHOSEONG MIEUM-TIKEUT
    "\uA971",  # HANGUL CHOSEONG MIEUM-SIOS
    "\uA972",  # HANGUL CHOSEONG PIEUP-SIOS-THIEUTH
    "\uA973",  # HANGUL CHOSEONG PIEUP-KHIEUKH
    "\uA974",  # HANGUL CHOSEONG PIEUP-HIEUH
    "\uA975",  # HANGUL CHOSEONG SSANGSIOS-PIEUP
    "\uA976",  # HANGUL CHOSEONG IEUNG-RIEUL
    "\uA977",  # HANGUL CHOSEONG IEUNG-HIEUH
    "\uA978",  # HANGUL CHOSEONG SSANGCIEUC-HIEUH
    "\uA979",  # HANGUL CHOSEONG SSANGTHIEUTH
    "\uA97A",  # HANGUL CHOSEONG PHIEUPH-HIEUH
    "\uA97B",  # HANGUL CHOSEONG HIEUH-SIOS
    "\uA97C",  # HANGUL CHOSEONG SSANGYEORINHIEUH
    "\uA980",  # JAVANESE SIGN PANYANGGA
    "\uA981",  # JAVANESE SIGN CECAK
    "\uA982",  # JAVANESE SIGN LAYAR
    "\uA983",  # JAVANESE SIGN WIGNYAN
    "\uA984",  # JAVANESE LETTER A
    "\uA985",  # JAVANESE LETTER I KAWI
    "\uA986",  # JAVANESE LETTER I
    "\uA987",  # JAVANESE LETTER II
    "\uA988",  # JAVANESE LETTER U
    "\uA989",  # JAVANESE LETTER PA CEREK
    "\uA98A",  # JAVANESE LETTER NGA LELET
    "\uA98B",  # JAVANESE LETTER NGA LELET RASWADI
    "\uA98C",  # JAVANESE LETTER E
    "\uA98D",  # JAVANESE LETTER AI
    "\uA98E",  # JAVANESE LETTER O
    "\uA98F",  # JAVANESE LETTER KA
    "\uA990",  # JAVANESE LETTER KA SASAK
    "\uA991",  # JAVANESE LETTER KA MURDA
    "\uA992",  # JAVANESE LETTER GA
    "\uA993",  # JAVANESE LETTER GA MURDA
    "\uA994",  # JAVANESE LETTER NGA
    "\uA995",  # JAVANESE LETTER CA
    "\uA996",  # JAVANESE LETTER CA MURDA
    "\uA997",  # JAVANESE LETTER JA
    "\uA998",  # JAVANESE LETTER NYA MURDA
    "\uA999",  # JAVANESE LETTER JA MAHAPRANA
    "\uA99A",  # JAVANESE LETTER NYA
    "\uA99B",  # JAVANESE LETTER TTA
    "\uA99C",  # JAVANESE LETTER TTA MAHAPRANA
    "\uA99D",  # JAVANESE LETTER DDA
    "\uA99E",  # JAVANESE LETTER DDA MAHAPRANA
    "\uA99F",  # JAVANESE LETTER NA MURDA
    "\uA9A0",  # JAVANESE LETTER TA
    "\uA9A1",  # JAVANESE LETTER TA MURDA
    "\uA9A2",  # JAVANESE LETTER DA
    "\uA9A3",  # JAVANESE LETTER DA MAHAPRANA
    "\uA9A4",  # JAVANESE LETTER NA
    "\uA9A5",  # JAVANESE LETTER PA
    "\uA9A6",  # JAVANESE LETTER PA MURDA
    "\uA9A7",  # JAVANESE LETTER BA
    "\uA9A8",  # JAVANESE LETTER BA MURDA
    "\uA9A9",  # JAVANESE LETTER MA
    "\uA9AA",  # JAVANESE LETTER YA
    "\uA9AB",  # JAVANESE LETTER RA
    "\uA9AC",  # JAVANESE LETTER RA AGUNG
    "\uA9AD",  # JAVANESE LETTER LA
    "\uA9AE",  # JAVANESE LETTER WA
    "\uA9AF",  # JAVANESE LETTER SA MURDA
    "\uA9B0",  # JAVANESE LETTER SA MAHAPRANA
    "\uA9B1",  # JAVANESE LETTER SA
    "\uA9B2",  # JAVANESE LETTER HA
    "\uA9B3",  # JAVANESE SIGN CECAK TELU
    "\uA9B4",  # JAVANESE VOWEL SIGN TARUNG
    "\uA9B5",  # JAVANESE VOWEL SIGN TOLONG
    "\uA9B6",  # JAVANESE VOWEL SIGN WULU
    "\uA9B7",  # JAVANESE VOWEL SIGN WULU MELIK
    "\uA9B8",  # JAVANESE VOWEL SIGN SUKU
    "\uA9B9",  # JAVANESE VOWEL SIGN SUKU MENDUT
    "\uA9BA",  # JAVANESE VOWEL SIGN TALING
    "\uA9BB",  # JAVANESE VOWEL SIGN DIRGA MURE
    "\uA9BC",  # JAVANESE VOWEL SIGN PEPET
    "\uA9BD",  # JAVANESE CONSONANT SIGN KERET
    "\uA9BE",  # JAVANESE CONSONANT SIGN PENGKAL
    "\uA9BF",  # JAVANESE CONSONANT SIGN CAKRA
    "\uA9C0",  # JAVANESE PANGKON
    "\uA9C1",  # JAVANESE LEFT RERENGGAN
    "\uA9C2",  # JAVANESE RIGHT RERENGGAN
    "\uA9C3",  # JAVANESE PADA ANDAP
    "\uA9C4",  # JAVANESE PADA MADYA
    "\uA9C5",  # JAVANESE PADA LUHUR
    "\uA9C6",  # JAVANESE PADA WINDU
    "\uA9C7",  # JAVANESE PADA PANGKAT
    "\uA9C8",  # JAVANESE PADA LINGSA
    "\uA9C9",  # JAVANESE PADA LUNGSI
    "\uA9CA",  # JAVANESE PADA ADEG
    "\uA9CB",  # JAVANESE PADA ADEG ADEG
    "\uA9CC",  # JAVANESE PADA PISELEH
    "\uA9CD",  # JAVANESE TURNED PADA PISELEH
    "\uA9CF",  # JAVANESE PANGRANGKEP
    "\uA9D0",  # JAVANESE DIGIT ZERO
    "\uA9D1",  # JAVANESE DIGIT ONE
    "\uA9D2",  # JAVANESE DIGIT TWO
    "\uA9D3",  # JAVANESE DIGIT THREE
    "\uA9D4",  # JAVANESE DIGIT FOUR
    "\uA9D5",  # JAVANESE DIGIT FIVE
    "\uA9D6",  # JAVANESE DIGIT SIX
    "\uA9D7",  # JAVANESE DIGIT SEVEN
    "\uA9D8",  # JAVANESE DIGIT EIGHT
    "\uA9D9",  # JAVANESE DIGIT NINE
    "\uA9DE",  # JAVANESE PADA TIRTA TUMETES
    "\uA9DF",  # JAVANESE PADA ISEN-ISEN
    "\uA9E0",  # MYANMAR LETTER SHAN GHA
    "\uA9E1",  # MYANMAR LETTER SHAN CHA
    "\uA9E2",  # MYANMAR LETTER SHAN JHA
    "\uA9E3",  # MYANMAR LETTER SHAN NNA
    "\uA9E4",  # MYANMAR LETTER SHAN BHA
    "\uA9E5",  # MYANMAR SIGN SHAN SAW
    "\uA9E6",  # MYANMAR MODIFIER LETTER SHAN REDUPLICATION
    "\uA9E7",  # MYANMAR LETTER TAI LAING NYA
    "\uA9E8",  # MYANMAR LETTER TAI LAING FA
    "\uA9E9",  # MYANMAR LETTER TAI LAING GA
    "\uA9EA",  # MYANMAR LETTER TAI LAING GHA
    "\uA9EB",  # MYANMAR LETTER TAI LAING JA
    "\uA9EC",  # MYANMAR LETTER TAI LAING JHA
    "\uA9ED",  # MYANMAR LETTER TAI LAING DDA
    "\uA9EE",  # MYANMAR LETTER TAI LAING DDHA
    "\uA9EF",  # MYANMAR LETTER TAI LAING NNA
    "\uA9F0",  # MYANMAR TAI LAING DIGIT ZERO
    "\uA9F1",  # MYANMAR TAI LAING DIGIT ONE
    "\uA9F2",  # MYANMAR TAI LAING DIGIT TWO
    "\uA9F3",  # MYANMAR TAI LAING DIGIT THREE
    "\uA9F4",  # MYANMAR TAI LAING DIGIT FOUR
    "\uA9F5",  # MYANMAR TAI LAING DIGIT FIVE
    "\uA9F6",  # MYANMAR TAI LAING DIGIT SIX
    "\uA9F7",  # MYANMAR TAI LAING DIGIT SEVEN
    "\uA9F8",  # MYANMAR TAI LAING DIGIT EIGHT
    "\uA9F9",  # MYANMAR TAI LAING DIGIT NINE
    "\uA9FA",  # MYANMAR LETTER TAI LAING LLA
    "\uA9FB",  # MYANMAR LETTER TAI LAING DA
    "\uA9FC",  # MYANMAR LETTER TAI LAING DHA
    "\uA9FD",  # MYANMAR LETTER TAI LAING BA
    "\uA9FE",  # MYANMAR LETTER TAI LAING BHA
    "\uAA00",  # CHAM LETTER A
    "\uAA01",  # CHAM LETTER I
    "\uAA02",  # CHAM LETTER U
    "\uAA03",  # CHAM LETTER E
    "\uAA04",  # CHAM LETTER AI
    "\uAA05",  # CHAM LETTER O
    "\uAA06",  # CHAM LETTER KA
    "\uAA07",  # CHAM LETTER KHA
    "\uAA08",  # CHAM LETTER GA
    "\uAA09",  # CHAM LETTER GHA
    "\uAA0A",  # CHAM LETTER NGUE
    "\uAA0B",  # CHAM LETTER NGA
    "\uAA0C",  # CHAM LETTER CHA
    "\uAA0D",  # CHAM LETTER CHHA
    "\uAA0E",  # CHAM LETTER JA
    "\uAA0F",  # CHAM LETTER JHA
    "\uAA10",  # CHAM LETTER NHUE
    "\uAA11",  # CHAM LETTER NHA
    "\uAA12",  # CHAM LETTER NHJA
    "\uAA13",  # CHAM LETTER TA
    "\uAA14",  # CHAM LETTER THA
    "\uAA15",  # CHAM LETTER DA
    "\uAA16",  # CHAM LETTER DHA
    "\uAA17",  # CHAM LETTER NUE
    "\uAA18",  # CHAM LETTER NA
    "\uAA19",  # CHAM LETTER DDA
    "\uAA1A",  # CHAM LETTER PA
    "\uAA1B",  # CHAM LETTER PPA
    "\uAA1C",  # CHAM LETTER PHA
    "\uAA1D",  # CHAM LETTER BA
    "\uAA1E",  # CHAM LETTER BHA
    "\uAA1F",  # CHAM LETTER MUE
    "\uAA20",  # CHAM LETTER MA
    "\uAA21",  # CHAM LETTER BBA
    "\uAA22",  # CHAM LETTER YA
    "\uAA23",  # CHAM LETTER RA
    "\uAA24",  # CHAM LETTER LA
    "\uAA25",  # CHAM LETTER VA
    "\uAA26",  # CHAM LETTER SSA
    "\uAA27",  # CHAM LETTER SA
    "\uAA28",  # CHAM LETTER HA
    "\uAA29",  # CHAM VOWEL SIGN AA
    "\uAA2A",  # CHAM VOWEL SIGN I
    "\uAA2B",  # CHAM VOWEL SIGN II
    "\uAA2C",  # CHAM VOWEL SIGN EI
    "\uAA2D",  # CHAM VOWEL SIGN U
    "\uAA2E",  # CHAM VOWEL SIGN OE
    "\uAA2F",  # CHAM VOWEL SIGN O
    "\uAA30",  # CHAM VOWEL SIGN AI
    "\uAA31",  # CHAM VOWEL SIGN AU
    "\uAA32",  # CHAM VOWEL SIGN UE
    "\uAA33",  # CHAM CONSONANT SIGN YA
    "\uAA34",  # CHAM CONSONANT SIGN RA
    "\uAA35",  # CHAM CONSONANT SIGN LA
    "\uAA36",  # CHAM CONSONANT SIGN WA
    "\uAA40",  # CHAM LETTER FINAL K
    "\uAA41",  # CHAM LETTER FINAL G
    "\uAA42",  # CHAM LETTER FINAL NG
    "\uAA43",  # CHAM CONSONANT SIGN FINAL NG
    "\uAA44",  # CHAM LETTER FINAL CH
    "\uAA45",  # CHAM LETTER FINAL T
    "\uAA46",  # CHAM LETTER FINAL N
    "\uAA47",  # CHAM LETTER FINAL P
    "\uAA48",  # CHAM LETTER FINAL Y
    "\uAA49",  # CHAM LETTER FINAL R
    "\uAA4A",  # CHAM LETTER FINAL L
    "\uAA4B",  # CHAM LETTER FINAL SS
    "\uAA4C",  # CHAM CONSONANT SIGN FINAL M
    "\uAA4D",  # CHAM CONSONANT SIGN FINAL H
    "\uAA50",  # CHAM DIGIT ZERO
    "\uAA51",  # CHAM DIGIT ONE
    "\uAA52",  # CHAM DIGIT TWO
    "\uAA53",  # CHAM DIGIT THREE
    "\uAA54",  # CHAM DIGIT FOUR
    "\uAA55",  # CHAM DIGIT FIVE
    "\uAA56",  # CHAM DIGIT SIX
    "\uAA57",  # CHAM DIGIT SEVEN
    "\uAA58",  # CHAM DIGIT EIGHT
    "\uAA59",  # CHAM DIGIT NINE
    "\uAA5C",  # CHAM PUNCTUATION SPIRAL
    "\uAA5D",  # CHAM PUNCTUATION DANDA
    "\uAA5E",  # CHAM PUNCTUATION DOUBLE DANDA
    "\uAA5F",  # CHAM PUNCTUATION TRIPLE DANDA
    "\uAA60",  # MYANMAR LETTER KHAMTI GA
    "\uAA61",  # MYANMAR LETTER KHAMTI CA
    "\uAA62",  # MYANMAR LETTER KHAMTI CHA
    "\uAA63",  # MYANMAR LETTER KHAMTI JA
    "\uAA64",  # MYANMAR LETTER KHAMTI JHA
    "\uAA65",  # MYANMAR LETTER KHAMTI NYA
    "\uAA66",  # MYANMAR LETTER KHAMTI TTA
    "\uAA67",  # MYANMAR LETTER KHAMTI TTHA
    "\uAA68",  # MYANMAR LETTER KHAMTI DDA
    "\uAA69",  # MYANMAR LETTER KHAMTI DDHA
    "\uAA6A",  # MYANMAR LETTER KHAMTI DHA
    "\uAA6B",  # MYANMAR LETTER KHAMTI NA
    "\uAA6C",  # MYANMAR LETTER KHAMTI SA
    "\uAA6D",  # MYANMAR LETTER KHAMTI HA
    "\uAA6E",  # MYANMAR LETTER KHAMTI HHA
    "\uAA6F",  # MYANMAR LETTER KHAMTI FA
    "\uAA70",  # MYANMAR MODIFIER LETTER KHAMTI REDUPLICATION
    "\uAA71",  # MYANMAR LETTER KHAMTI XA
    "\uAA72",  # MYANMAR LETTER KHAMTI ZA
    "\uAA73",  # MYANMAR LETTER KHAMTI RA
    "\uAA74",  # MYANMAR LOGOGRAM KHAMTI OAY
    "\uAA75",  # MYANMAR LOGOGRAM KHAMTI QN
    "\uAA76",  # MYANMAR LOGOGRAM KHAMTI HM
    "\uAA77",  # MYANMAR SYMBOL AITON EXCLAMATION
    "\uAA78",  # MYANMAR SYMBOL AITON ONE
    "\uAA79",  # MYANMAR SYMBOL AITON TWO
    "\uAA7A",  # MYANMAR LETTER AITON RA
    "\uAA7B",  # MYANMAR SIGN PAO KAREN TONE
    "\uAA7C",  # MYANMAR SIGN TAI LAING TONE-2
    "\uAA7D",  # MYANMAR SIGN TAI LAING TONE-5
    "\uAA7E",  # MYANMAR LETTER SHWE PALAUNG CHA
    "\uAA7F",  # MYANMAR LETTER SHWE PALAUNG SHA
    "\uAA80",  # TAI VIET LETTER LOW KO
    "\uAA81",  # TAI VIET LETTER HIGH KO
    "\uAA82",  # TAI VIET LETTER LOW KHO
    "\uAA83",  # TAI VIET LETTER HIGH KHO
    "\uAA84",  # TAI VIET LETTER LOW KHHO
    "\uAA85",  # TAI VIET LETTER HIGH KHHO
    "\uAA86",  # TAI VIET LETTER LOW GO
    "\uAA87",  # TAI VIET LETTER HIGH GO
    "\uAA88",  # TAI VIET LETTER LOW NGO
    "\uAA89",  # TAI VIET LETTER HIGH NGO
    "\uAA8A",  # TAI VIET LETTER LOW CO
    "\uAA8B",  # TAI VIET LETTER HIGH CO
    "\uAA8C",  # TAI VIET LETTER LOW CHO
    "\uAA8D",  # TAI VIET LETTER HIGH CHO
    "\uAA8E",  # TAI VIET LETTER LOW SO
    "\uAA8F",  # TAI VIET LETTER HIGH SO
    "\uAA90",  # TAI VIET LETTER LOW NYO
    "\uAA91",  # TAI VIET LETTER HIGH NYO
    "\uAA92",  # TAI VIET LETTER LOW DO
    "\uAA93",  # TAI VIET LETTER HIGH DO
    "\uAA94",  # TAI VIET LETTER LOW TO
    "\uAA95",  # TAI VIET LETTER HIGH TO
    "\uAA96",  # TAI VIET LETTER LOW THO
    "\uAA97",  # TAI VIET LETTER HIGH THO
    "\uAA98",  # TAI VIET LETTER LOW NO
    "\uAA99",  # TAI VIET LETTER HIGH NO
    "\uAA9A",  # TAI VIET LETTER LOW BO
    "\uAA9B",  # TAI VIET LETTER HIGH BO
    "\uAA9C",  # TAI VIET LETTER LOW PO
    "\uAA9D",  # TAI VIET LETTER HIGH PO
    "\uAA9E",  # TAI VIET LETTER LOW PHO
    "\uAA9F",  # TAI VIET LETTER HIGH PHO
    "\uAAA0",  # TAI VIET LETTER LOW FO
    "\uAAA1",  # TAI VIET LETTER HIGH FO
    "\uAAA2",  # TAI VIET LETTER LOW MO
    "\uAAA3",  # TAI VIET LETTER HIGH MO
    "\uAAA4",  # TAI VIET LETTER LOW YO
    "\uAAA5",  # TAI VIET LETTER HIGH YO
    "\uAAA6",  # TAI VIET LETTER LOW RO
    "\uAAA7",  # TAI VIET LETTER HIGH RO
    "\uAAA8",  # TAI VIET LETTER LOW LO
    "\uAAA9",  # TAI VIET LETTER HIGH LO
    "\uAAAA",  # TAI VIET LETTER LOW VO
    "\uAAAB",  # TAI VIET LETTER HIGH VO
    "\uAAAC",  # TAI VIET LETTER LOW HO
    "\uAAAD",  # TAI VIET LETTER HIGH HO
    "\uAAAE",  # TAI VIET LETTER LOW O
    "\uAAAF",  # TAI VIET LETTER HIGH O
    "\uAAB0",  # TAI VIET MAI KANG
    "\uAAB1",  # TAI VIET VOWEL AA
    "\uAAB2",  # TAI VIET VOWEL I
    "\uAAB3",  # TAI VIET VOWEL UE
    "\uAAB4",  # TAI VIET VOWEL U
    "\uAAB5",  # TAI VIET VOWEL E
    "\uAAB6",  # TAI VIET VOWEL O
    "\uAAB7",  # TAI VIET MAI KHIT
    "\uAAB8",  # TAI VIET VOWEL IA
    "\uAAB9",  # TAI VIET VOWEL UEA
    "\uAABA",  # TAI VIET VOWEL UA
    "\uAABB",  # TAI VIET VOWEL AUE
    "\uAABC",  # TAI VIET VOWEL AY
    "\uAABD",  # TAI VIET VOWEL AN
    "\uAABE",  # TAI VIET VOWEL AM
    "\uAABF",  # TAI VIET TONE MAI EK
    "\uAAC0",  # TAI VIET TONE MAI NUENG
    "\uAAC1",  # TAI VIET TONE MAI THO
    "\uAAC2",  # TAI VIET TONE MAI SONG
    "\uAADB",  # TAI VIET SYMBOL KON
    "\uAADC",  # TAI VIET SYMBOL NUENG
    "\uAADD",  # TAI VIET SYMBOL SAM
    "\uAADE",  # TAI VIET SYMBOL HO HOI
    "\uAADF",  # TAI VIET SYMBOL KOI KOI
    "\uAAE0",  # MEETEI MAYEK LETTER E
    "\uAAE1",  # MEETEI MAYEK LETTER O
    "\uAAE2",  # MEETEI MAYEK LETTER CHA
    "\uAAE3",  # MEETEI MAYEK LETTER NYA
    "\uAAE4",  # MEETEI MAYEK LETTER TTA
    "\uAAE5",  # MEETEI MAYEK LETTER TTHA
    "\uAAE6",  # MEETEI MAYEK LETTER DDA
    "\uAAE7",  # MEETEI MAYEK LETTER DDHA
    "\uAAE8",  # MEETEI MAYEK LETTER NNA
    "\uAAE9",  # MEETEI MAYEK LETTER SHA
    "\uAAEA",  # MEETEI MAYEK LETTER SSA
    "\uAAEB",  # MEETEI MAYEK VOWEL SIGN II
    "\uAAEC",  # MEETEI MAYEK VOWEL SIGN UU
    "\uAAED",  # MEETEI MAYEK VOWEL SIGN AAI
    "\uAAEE",  # MEETEI MAYEK VOWEL SIGN AU
    "\uAAEF",  # MEETEI MAYEK VOWEL SIGN AAU
    "\uAAF0",  # MEETEI MAYEK CHEIKHAN
    "\uAAF1",  # MEETEI MAYEK AHANG KHUDAM
    "\uAAF2",  # MEETEI MAYEK ANJI
    "\uAAF3",  # MEETEI MAYEK SYLLABLE REPETITION MARK
    "\uAAF4",  # MEETEI MAYEK WORD REPETITION MARK
    "\uAAF5",  # MEETEI MAYEK VOWEL SIGN VISARGA
    "\uAAF6",  # MEETEI MAYEK VIRAMA
    "\uAB01",  # ETHIOPIC SYLLABLE TTHU
    "\uAB02",  # ETHIOPIC SYLLABLE TTHI
    "\uAB03",  # ETHIOPIC SYLLABLE TTHAA
    "\uAB04",  # ETHIOPIC SYLLABLE TTHEE
    "\uAB05",  # ETHIOPIC SYLLABLE TTHE
    "\uAB06",  # ETHIOPIC SYLLABLE TTHO
    "\uAB09",  # ETHIOPIC SYLLABLE DDHU
    "\uAB0A",  # ETHIOPIC SYLLABLE DDHI
    "\uAB0B",  # ETHIOPIC SYLLABLE DDHAA
    "\uAB0C",  # ETHIOPIC SYLLABLE DDHEE
    "\uAB0D",  # ETHIOPIC SYLLABLE DDHE
    "\uAB0E",  # ETHIOPIC SYLLABLE DDHO
    "\uAB11",  # ETHIOPIC SYLLABLE DZU
    "\uAB12",  # ETHIOPIC SYLLABLE DZI
    "\uAB13",  # ETHIOPIC SYLLABLE DZAA
    "\uAB14",  # ETHIOPIC SYLLABLE DZEE
    "\uAB15",  # ETHIOPIC SYLLABLE DZE
    "\uAB16",  # ETHIOPIC SYLLABLE DZO
    "\uAB20",  # ETHIOPIC SYLLABLE CCHHA
    "\uAB21",  # ETHIOPIC SYLLABLE CCHHU
    "\uAB22",  # ETHIOPIC SYLLABLE CCHHI
    "\uAB23",  # ETHIOPIC SYLLABLE CCHHAA
    "\uAB24",  # ETHIOPIC SYLLABLE CCHHEE
    "\uAB25",  # ETHIOPIC SYLLABLE CCHHE
    "\uAB26",  # ETHIOPIC SYLLABLE CCHHO
    "\uAB28",  # ETHIOPIC SYLLABLE BBA
    "\uAB29",  # ETHIOPIC SYLLABLE BBU
    "\uAB2A",  # ETHIOPIC SYLLABLE BBI
    "\uAB2B",  # ETHIOPIC SYLLABLE BBAA
    "\uAB2C",  # ETHIOPIC SYLLABLE BBEE
    "\uAB2D",  # ETHIOPIC SYLLABLE BBE
    "\uAB2E",  # ETHIOPIC SYLLABLE BBO
    "\uAB30",  # LATIN SMALL LETTER BARRED ALPHA
    "\uAB31",  # LATIN SMALL LETTER A REVERSED-SCHWA
    "\uAB32",  # LATIN SMALL LETTER BLACKLETTER E
    "\uAB33",  # LATIN SMALL LETTER BARRED E
    "\uAB34",  # LATIN SMALL LETTER E WITH FLOURISH
    "\uAB35",  # LATIN SMALL LETTER LENIS F
    "\uAB36",  # LATIN SMALL LETTER SCRIPT G WITH CROSSED-TAIL
    "\uAB37",  # LATIN SMALL LETTER L WITH INVERTED LAZY S
    "\uAB38",  # LATIN SMALL LETTER L WITH DOUBLE MIDDLE TILDE
    "\uAB39",  # LATIN SMALL LETTER L WITH MIDDLE RING
    "\uAB3A",  # LATIN SMALL LETTER M WITH CROSSED-TAIL
    "\uAB3B",  # LATIN SMALL LETTER N WITH CROSSED-TAIL
    "\uAB3C",  # LATIN SMALL LETTER ENG WITH CROSSED-TAIL
    "\uAB3D",  # LATIN SMALL LETTER BLACKLETTER O
    "\uAB3E",  # LATIN SMALL LETTER BLACKLETTER O WITH STROKE
    "\uAB3F",  # LATIN SMALL LETTER OPEN O WITH STROKE
    "\uAB40",  # LATIN SMALL LETTER INVERTED OE
    "\uAB41",  # LATIN SMALL LETTER TURNED OE WITH STROKE
    "\uAB42",  # LATIN SMALL LETTER TURNED OE WITH HORIZONTAL STROKE
    "\uAB43",  # LATIN SMALL LETTER TURNED O OPEN-O
    "\uAB44",  # LATIN SMALL LETTER TURNED O OPEN-O WITH STROKE
    "\uAB45",  # LATIN SMALL LETTER STIRRUP R
    "\uAB46",  # LATIN LETTER SMALL CAPITAL R WITH RIGHT LEG
    "\uAB47",  # LATIN SMALL LETTER R WITHOUT HANDLE
    "\uAB48",  # LATIN SMALL LETTER DOUBLE R
    "\uAB49",  # LATIN SMALL LETTER R WITH CROSSED-TAIL
    "\uAB4A",  # LATIN SMALL LETTER DOUBLE R WITH CROSSED-TAIL
    "\uAB4B",  # LATIN SMALL LETTER SCRIPT R
    "\uAB4C",  # LATIN SMALL LETTER SCRIPT R WITH RING
    "\uAB4D",  # LATIN SMALL LETTER BASELINE ESH
    "\uAB4E",  # LATIN SMALL LETTER U WITH SHORT RIGHT LEG
    "\uAB4F",  # LATIN SMALL LETTER U BAR WITH SHORT RIGHT LEG
    "\uAB50",  # LATIN SMALL LETTER UI
    "\uAB51",  # LATIN SMALL LETTER TURNED UI
    "\uAB52",  # LATIN SMALL LETTER U WITH LEFT HOOK
    "\uAB53",  # LATIN SMALL LETTER CHI
    "\uAB54",  # LATIN SMALL LETTER CHI WITH LOW RIGHT RING
    "\uAB55",  # LATIN SMALL LETTER CHI WITH LOW LEFT SERIF
    "\uAB56",  # LATIN SMALL LETTER X WITH LOW RIGHT RING
    "\uAB57",  # LATIN SMALL LETTER X WITH LONG LEFT LEG
    "\uAB58",  # LATIN SMALL LETTER X WITH LONG LEFT LEG AND LOW RIGHT RING
    "\uAB59",  # LATIN SMALL LETTER X WITH LONG LEFT LEG WITH SERIF
    "\uAB5A",  # LATIN SMALL LETTER Y WITH SHORT RIGHT LEG
    "\uAB5B",  # MODIFIER BREVE WITH INVERTED BREVE
    "\uAB5C",  # MODIFIER LETTER SMALL HENG
    "\uAB5D",  # MODIFIER LETTER SMALL L WITH INVERTED LAZY S
    "\uAB5E",  # MODIFIER LETTER SMALL L WITH MIDDLE TILDE
    "\uAB5F",  # MODIFIER LETTER SMALL U WITH LEFT HOOK
    "\uAB60",  # LATIN SMALL LETTER SAKHA YAT
    "\uAB61",  # LATIN SMALL LETTER IOTIFIED E
    "\uAB62",  # LATIN SMALL LETTER OPEN OE
    "\uAB63",  # LATIN SMALL LETTER UO
    "\uAB64",  # LATIN SMALL LETTER INVERTED ALPHA
    "\uAB65",  # GREEK LETTER SMALL CAPITAL OMEGA
    "\uAB70",  # CHEROKEE SMALL LETTER A
    "\uAB71",  # CHEROKEE SMALL LETTER E
    "\uAB72",  # CHEROKEE SMALL LETTER I
    "\uAB73",  # CHEROKEE SMALL LETTER O
    "\uAB74",  # CHEROKEE SMALL LETTER U
    "\uAB75",  # CHEROKEE SMALL LETTER V
    "\uAB76",  # CHEROKEE SMALL LETTER GA
    "\uAB77",  # CHEROKEE SMALL LETTER KA
    "\uAB78",  # CHEROKEE SMALL LETTER GE
    "\uAB79",  # CHEROKEE SMALL LETTER GI
    "\uAB7A",  # CHEROKEE SMALL LETTER GO
    "\uAB7B",  # CHEROKEE SMALL LETTER GU
    "\uAB7C",  # CHEROKEE SMALL LETTER GV
    "\uAB7D",  # CHEROKEE SMALL LETTER HA
    "\uAB7E",  # CHEROKEE SMALL LETTER HE
    "\uAB7F",  # CHEROKEE SMALL LETTER HI
    "\uAB80",  # CHEROKEE SMALL LETTER HO
    "\uAB81",  # CHEROKEE SMALL LETTER HU
    "\uAB82",  # CHEROKEE SMALL LETTER HV
    "\uAB83",  # CHEROKEE SMALL LETTER LA
    "\uAB84",  # CHEROKEE SMALL LETTER LE
    "\uAB85",  # CHEROKEE SMALL LETTER LI
    "\uAB86",  # CHEROKEE SMALL LETTER LO
    "\uAB87",  # CHEROKEE SMALL LETTER LU
    "\uAB88",  # CHEROKEE SMALL LETTER LV
    "\uAB89",  # CHEROKEE SMALL LETTER MA
    "\uAB8A",  # CHEROKEE SMALL LETTER ME
    "\uAB8B",  # CHEROKEE SMALL LETTER MI
    "\uAB8C",  # CHEROKEE SMALL LETTER MO
    "\uAB8D",  # CHEROKEE SMALL LETTER MU
    "\uAB8E",  # CHEROKEE SMALL LETTER NA
    "\uAB8F",  # CHEROKEE SMALL LETTER HNA
    "\uAB90",  # CHEROKEE SMALL LETTER NAH
    "\uAB91",  # CHEROKEE SMALL LETTER NE
    "\uAB92",  # CHEROKEE SMALL LETTER NI
    "\uAB93",  # CHEROKEE SMALL LETTER NO
    "\uAB94",  # CHEROKEE SMALL LETTER NU
    "\uAB95",  # CHEROKEE SMALL LETTER NV
    "\uAB96",  # CHEROKEE SMALL LETTER QUA
    "\uAB97",  # CHEROKEE SMALL LETTER QUE
    "\uAB98",  # CHEROKEE SMALL LETTER QUI
    "\uAB99",  # CHEROKEE SMALL LETTER QUO
    "\uAB9A",  # CHEROKEE SMALL LETTER QUU
    "\uAB9B",  # CHEROKEE SMALL LETTER QUV
    "\uAB9C",  # CHEROKEE SMALL LETTER SA
    "\uAB9D",  # CHEROKEE SMALL LETTER S
    "\uAB9E",  # CHEROKEE SMALL LETTER SE
    "\uAB9F",  # CHEROKEE SMALL LETTER SI
    "\uABA0",  # CHEROKEE SMALL LETTER SO
    "\uABA1",  # CHEROKEE SMALL LETTER SU
    "\uABA2",  # CHEROKEE SMALL LETTER SV
    "\uABA3",  # CHEROKEE SMALL LETTER DA
    "\uABA4",  # CHEROKEE SMALL LETTER TA
    "\uABA5",  # CHEROKEE SMALL LETTER DE
    "\uABA6",  # CHEROKEE SMALL LETTER TE
    "\uABA7",  # CHEROKEE SMALL LETTER DI
    "\uABA8",  # CHEROKEE SMALL LETTER TI
    "\uABA9",  # CHEROKEE SMALL LETTER DO
    "\uABAA",  # CHEROKEE SMALL LETTER DU
    "\uABAB",  # CHEROKEE SMALL LETTER DV
    "\uABAC",  # CHEROKEE SMALL LETTER DLA
    "\uABAD",  # CHEROKEE SMALL LETTER TLA
    "\uABAE",  # CHEROKEE SMALL LETTER TLE
    "\uABAF",  # CHEROKEE SMALL LETTER TLI
    "\uABB0",  # CHEROKEE SMALL LETTER TLO
    "\uABB1",  # CHEROKEE SMALL LETTER TLU
    "\uABB2",  # CHEROKEE SMALL LETTER TLV
    "\uABB3",  # CHEROKEE SMALL LETTER TSA
    "\uABB4",  # CHEROKEE SMALL LETTER TSE
    "\uABB5",  # CHEROKEE SMALL LETTER TSI
    "\uABB6",  # CHEROKEE SMALL LETTER TSO
    "\uABB7",  # CHEROKEE SMALL LETTER TSU
    "\uABB8",  # CHEROKEE SMALL LETTER TSV
    "\uABB9",  # CHEROKEE SMALL LETTER WA
    "\uABBA",  # CHEROKEE SMALL LETTER WE
    "\uABBB",  # CHEROKEE SMALL LETTER WI
    "\uABBC",  # CHEROKEE SMALL LETTER WO
    "\uABBD",  # CHEROKEE SMALL LETTER WU
    "\uABBE",  # CHEROKEE SMALL LETTER WV
    "\uABBF",  # CHEROKEE SMALL LETTER YA
    "\uABC0",  # MEETEI MAYEK LETTER KOK
    "\uABC1",  # MEETEI MAYEK LETTER SAM
    "\uABC2",  # MEETEI MAYEK LETTER LAI
    "\uABC3",  # MEETEI MAYEK LETTER MIT
    "\uABC4",  # MEETEI MAYEK LETTER PA
    "\uABC5",  # MEETEI MAYEK LETTER NA
    "\uABC6",  # MEETEI MAYEK LETTER CHIL
    "\uABC7",  # MEETEI MAYEK LETTER TIL
    "\uABC8",  # MEETEI MAYEK LETTER KHOU
    "\uABC9",  # MEETEI MAYEK LETTER NGOU
    "\uABCA",  # MEETEI MAYEK LETTER THOU
    "\uABCB",  # MEETEI MAYEK LETTER WAI
    "\uABCC",  # MEETEI MAYEK LETTER YANG
    "\uABCD",  # MEETEI MAYEK LETTER HUK
    "\uABCE",  # MEETEI MAYEK LETTER UN
    "\uABCF",  # MEETEI MAYEK LETTER I
    "\uABD0",  # MEETEI MAYEK LETTER PHAM
    "\uABD1",  # MEETEI MAYEK LETTER ATIYA
    "\uABD2",  # MEETEI MAYEK LETTER GOK
    "\uABD3",  # MEETEI MAYEK LETTER JHAM
    "\uABD4",  # MEETEI MAYEK LETTER RAI
    "\uABD5",  # MEETEI MAYEK LETTER BA
    "\uABD6",  # MEETEI MAYEK LETTER JIL
    "\uABD7",  # MEETEI MAYEK LETTER DIL
    "\uABD8",  # MEETEI MAYEK LETTER GHOU
    "\uABD9",  # MEETEI MAYEK LETTER DHOU
    "\uABDA",  # MEETEI MAYEK LETTER BHAM
    "\uABDB",  # MEETEI MAYEK LETTER KOK LONSUM
    "\uABDC",  # MEETEI MAYEK LETTER LAI LONSUM
    "\uABDD",  # MEETEI MAYEK LETTER MIT LONSUM
    "\uABDE",  # MEETEI MAYEK LETTER PA LONSUM
    "\uABDF",  # MEETEI MAYEK LETTER NA LONSUM
    "\uABE0",  # MEETEI MAYEK LETTER TIL LONSUM
    "\uABE1",  # MEETEI MAYEK LETTER NGOU LONSUM
    "\uABE2",  # MEETEI MAYEK LETTER I LONSUM
    "\uABE3",  # MEETEI MAYEK VOWEL SIGN ONAP
    "\uABE4",  # MEETEI MAYEK VOWEL SIGN INAP
    "\uABE5",  # MEETEI MAYEK VOWEL SIGN ANAP
    "\uABE6",  # MEETEI MAYEK VOWEL SIGN YENAP
    "\uABE7",  # MEETEI MAYEK VOWEL SIGN SOUNAP
    "\uABE8",  # MEETEI MAYEK VOWEL SIGN UNAP
    "\uABE9",  # MEETEI MAYEK VOWEL SIGN CHEINAP
    "\uABEA",  # MEETEI MAYEK VOWEL SIGN NUNG
    "\uABEB",  # MEETEI MAYEK CHEIKHEI
    "\uABEC",  # MEETEI MAYEK LUM IYEK
    "\uABED",  # MEETEI MAYEK APUN IYEK
    "\uABF0",  # MEETEI MAYEK DIGIT ZERO
    "\uABF1",  # MEETEI MAYEK DIGIT ONE
    "\uABF2",  # MEETEI MAYEK DIGIT TWO
    "\uABF3",  # MEETEI MAYEK DIGIT THREE
    "\uABF4",  # MEETEI MAYEK DIGIT FOUR
    "\uABF5",  # MEETEI MAYEK DIGIT FIVE
    "\uABF6",  # MEETEI MAYEK DIGIT SIX
    "\uABF7",  # MEETEI MAYEK DIGIT SEVEN
    "\uABF8",  # MEETEI MAYEK DIGIT EIGHT
    "\uABF9",  # MEETEI MAYEK DIGIT NINE
    "\uD7B0",  # HANGUL JUNGSEONG O-YEO
    "\uD7B1",  # HANGUL JUNGSEONG O-O-I
    "\uD7B2",  # HANGUL JUNGSEONG YO-A
    "\uD7B3",  # HANGUL JUNGSEONG YO-AE
    "\uD7B4",  # HANGUL JUNGSEONG YO-EO
    "\uD7B5",  # HANGUL JUNGSEONG U-YEO
    "\uD7B6",  # HANGUL JUNGSEONG U-I-I
    "\uD7B7",  # HANGUL JUNGSEONG YU-AE
    "\uD7B8",  # HANGUL JUNGSEONG YU-O
    "\uD7B9",  # HANGUL JUNGSEONG EU-A
    "\uD7BA",  # HANGUL JUNGSEONG EU-EO
    "\uD7BB",  # HANGUL JUNGSEONG EU-E
    "\uD7BC",  # HANGUL JUNGSEONG EU-O
    "\uD7BD",  # HANGUL JUNGSEONG I-YA-O
    "\uD7BE",  # HANGUL JUNGSEONG I-YAE
    "\uD7BF",  # HANGUL JUNGSEONG I-YEO
    "\uD7C0",  # HANGUL JUNGSEONG I-YE
    "\uD7C1",  # HANGUL JUNGSEONG I-O-I
    "\uD7C2",  # HANGUL JUNGSEONG I-YO
    "\uD7C3",  # HANGUL JUNGSEONG I-YU
    "\uD7C4",  # HANGUL JUNGSEONG I-I
    "\uD7C5",  # HANGUL JUNGSEONG ARAEA-A
    "\uD7C6",  # HANGUL JUNGSEONG ARAEA-E
    "\uD7CB",  # HANGUL JONGSEONG NIEUN-RIEUL
    "\uD7CC",  # HANGUL JONGSEONG NIEUN-CHIEUCH
    "\uD7CD",  # HANGUL JONGSEONG SSANGTIKEUT
    "\uD7CE",  # HANGUL JONGSEONG SSANGTIKEUT-PIEUP
    "\uD7CF",  # HANGUL JONGSEONG TIKEUT-PIEUP
    "\uD7D0",  # HANGUL JONGSEONG TIKEUT-SIOS
    "\uD7D1",  # HANGUL JONGSEONG TIKEUT-SIOS-KIYEOK
    "\uD7D2",  # HANGUL JONGSEONG TIKEUT-CIEUC
    "\uD7D3",  # HANGUL JONGSEONG TIKEUT-CHIEUCH
    "\uD7D4",  # HANGUL JONGSEONG TIKEUT-THIEUTH
    "\uD7D5",  # HANGUL JONGSEONG RIEUL-SSANGKIYEOK
    "\uD7D6",  # HANGUL JONGSEONG RIEUL-KIYEOK-HIEUH
    "\uD7D7",  # HANGUL JONGSEONG SSANGRIEUL-KHIEUKH
    "\uD7D8",  # HANGUL JONGSEONG RIEUL-MIEUM-HIEUH
    "\uD7D9",  # HANGUL JONGSEONG RIEUL-PIEUP-TIKEUT
    "\uD7DA",  # HANGUL JONGSEONG RIEUL-PIEUP-PHIEUPH
    "\uD7DB",  # HANGUL JONGSEONG RIEUL-YESIEUNG
    "\uD7DC",  # HANGUL JONGSEONG RIEUL-YEORINHIEUH-HIEUH
    "\uD7DD",  # HANGUL JONGSEONG KAPYEOUNRIEUL
    "\uD7DE",  # HANGUL JONGSEONG MIEUM-NIEUN
    "\uD7DF",  # HANGUL JONGSEONG MIEUM-SSANGNIEUN
    "\uD7E0",  # HANGUL JONGSEONG SSANGMIEUM
    "\uD7E1",  # HANGUL JONGSEONG MIEUM-PIEUP-SIOS
    "\uD7E2",  # HANGUL JONGSEONG MIEUM-CIEUC
    "\uD7E3",  # HANGUL JONGSEONG PIEUP-TIKEUT
    "\uD7E4",  # HANGUL JONGSEONG PIEUP-RIEUL-PHIEUPH
    "\uD7E5",  # HANGUL JONGSEONG PIEUP-MIEUM
    "\uD7E6",  # HANGUL JONGSEONG SSANGPIEUP
    "\uD7E7",  # HANGUL JONGSEONG PIEUP-SIOS-TIKEUT
    "\uD7E8",  # HANGUL JONGSEONG PIEUP-CIEUC
    "\uD7E9",  # HANGUL JONGSEONG PIEUP-CHIEUCH
    "\uD7EA",  # HANGUL JONGSEONG SIOS-MIEUM
    "\uD7EB",  # HANGUL JONGSEONG SIOS-KAPYEOUNPIEUP
    "\uD7EC",  # HANGUL JONGSEONG SSANGSIOS-KIYEOK
    "\uD7ED",  # HANGUL JONGSEONG SSANGSIOS-TIKEUT
    "\uD7EE",  # HANGUL JONGSEONG SIOS-PANSIOS
    "\uD7EF",  # HANGUL JONGSEONG SIOS-CIEUC
    "\uD7F0",  # HANGUL JONGSEONG SIOS-CHIEUCH
    "\uD7F1",  # HANGUL JONGSEONG SIOS-THIEUTH
    "\uD7F2",  # HANGUL JONGSEONG SIOS-HIEUH
    "\uD7F3",  # HANGUL JONGSEONG PANSIOS-PIEUP
    "\uD7F4",  # HANGUL JONGSEONG PANSIOS-KAPYEOUNPIEUP
    "\uD7F5",  # HANGUL JONGSEONG YESIEUNG-MIEUM
    "\uD7F6",  # HANGUL JONGSEONG YESIEUNG-HIEUH
    "\uD7F7",  # HANGUL JONGSEONG CIEUC-PIEUP
    "\uD7F8",  # HANGUL JONGSEONG CIEUC-SSANGPIEUP
    "\uD7F9",  # HANGUL JONGSEONG SSANGCIEUC
    "\uD7FA",  # HANGUL JONGSEONG PHIEUPH-SIOS
    "\uD7FB",  # HANGUL JONGSEONG PHIEUPH-THIEUTH
    "\uF900",  # CJK COMPATIBILITY IDEOGRAPH-F900
    "\uF901",  # CJK COMPATIBILITY IDEOGRAPH-F901
    "\uF902",  # CJK COMPATIBILITY IDEOGRAPH-F902
    "\uF903",  # CJK COMPATIBILITY IDEOGRAPH-F903
    "\uF904",  # CJK COMPATIBILITY IDEOGRAPH-F904
    "\uF905",  # CJK COMPATIBILITY IDEOGRAPH-F905
    "\uF906",  # CJK COMPATIBILITY IDEOGRAPH-F906
    "\uF907",  # CJK COMPATIBILITY IDEOGRAPH-F907
    "\uF908",  # CJK COMPATIBILITY IDEOGRAPH-F908
    "\uF909",  # CJK COMPATIBILITY IDEOGRAPH-F909
    "\uF90A",  # CJK COMPATIBILITY IDEOGRAPH-F90A
    "\uF90B",  # CJK COMPATIBILITY IDEOGRAPH-F90B
    "\uF90C",  # CJK COMPATIBILITY IDEOGRAPH-F90C
    "\uF90D",  # CJK COMPATIBILITY IDEOGRAPH-F90D
    "\uF90E",  # CJK COMPATIBILITY IDEOGRAPH-F90E
    "\uF90F",  # CJK COMPATIBILITY IDEOGRAPH-F90F
    "\uF910",  # CJK COMPATIBILITY IDEOGRAPH-F910
    "\uF911",  # CJK COMPATIBILITY IDEOGRAPH-F911
    "\uF912",  # CJK COMPATIBILITY IDEOGRAPH-F912
    "\uF913",  # CJK COMPATIBILITY IDEOGRAPH-F913
    "\uF914",  # CJK COMPATIBILITY IDEOGRAPH-F914
    "\uF915",  # CJK COMPATIBILITY IDEOGRAPH-F915
    "\uF916",  # CJK COMPATIBILITY IDEOGRAPH-F916
    "\uF917",  # CJK COMPATIBILITY IDEOGRAPH-F917
    "\uF918",  # CJK COMPATIBILITY IDEOGRAPH-F918
    "\uF919",  # CJK COMPATIBILITY IDEOGRAPH-F919
    "\uF91A",  # CJK COMPATIBILITY IDEOGRAPH-F91A
    "\uF91B",  # CJK COMPATIBILITY IDEOGRAPH-F91B
    "\uF91C",  # CJK COMPATIBILITY IDEOGRAPH-F91C
    "\uF91D",  # CJK COMPATIBILITY IDEOGRAPH-F91D
    "\uF91E",  # CJK COMPATIBILITY IDEOGRAPH-F91E
    "\uF91F",  # CJK COMPATIBILITY IDEOGRAPH-F91F
    "\uF920",  # CJK COMPATIBILITY IDEOGRAPH-F920
    "\uF921",  # CJK COMPATIBILITY IDEOGRAPH-F921
    "\uF922",  # CJK COMPATIBILITY IDEOGRAPH-F922
    "\uF923",  # CJK COMPATIBILITY IDEOGRAPH-F923
    "\uF924",  # CJK COMPATIBILITY IDEOGRAPH-F924
    "\uF925",  # CJK COMPATIBILITY IDEOGRAPH-F925
    "\uF926",  # CJK COMPATIBILITY IDEOGRAPH-F926
    "\uF927",  # CJK COMPATIBILITY IDEOGRAPH-F927
    "\uF928",  # CJK COMPATIBILITY IDEOGRAPH-F928
    "\uF929",  # CJK COMPATIBILITY IDEOGRAPH-F929
    "\uF92A",  # CJK COMPATIBILITY IDEOGRAPH-F92A
    "\uF92B",  # CJK COMPATIBILITY IDEOGRAPH-F92B
    "\uF92C",  # CJK COMPATIBILITY IDEOGRAPH-F92C
    "\uF92D",  # CJK COMPATIBILITY IDEOGRAPH-F92D
    "\uF92E",  # CJK COMPATIBILITY IDEOGRAPH-F92E
    "\uF92F",  # CJK COMPATIBILITY IDEOGRAPH-F92F
    "\uF930",  # CJK COMPATIBILITY IDEOGRAPH-F930
    "\uF931",  # CJK COMPATIBILITY IDEOGRAPH-F931
    "\uF932",  # CJK COMPATIBILITY IDEOGRAPH-F932
    "\uF933",  # CJK COMPATIBILITY IDEOGRAPH-F933
    "\uF934",  # CJK COMPATIBILITY IDEOGRAPH-F934
    "\uF935",  # CJK COMPATIBILITY IDEOGRAPH-F935
    "\uF936",  # CJK COMPATIBILITY IDEOGRAPH-F936
    "\uF937",  # CJK COMPATIBILITY IDEOGRAPH-F937
    "\uF938",  # CJK COMPATIBILITY IDEOGRAPH-F938
    "\uF939",  # CJK COMPATIBILITY IDEOGRAPH-F939
    "\uF93A",  # CJK COMPATIBILITY IDEOGRAPH-F93A
    "\uF93B",  # CJK COMPATIBILITY IDEOGRAPH-F93B
    "\uF93C",  # CJK COMPATIBILITY IDEOGRAPH-F93C
    "\uF93D",  # CJK COMPATIBILITY IDEOGRAPH-F93D
    "\uF93E",  # CJK COMPATIBILITY IDEOGRAPH-F93E
    "\uF93F",  # CJK COMPATIBILITY IDEOGRAPH-F93F
    "\uF940",  # CJK COMPATIBILITY IDEOGRAPH-F940
    "\uF941",  # CJK COMPATIBILITY IDEOGRAPH-F941
    "\uF942",  # CJK COMPATIBILITY IDEOGRAPH-F942
    "\uF943",  # CJK COMPATIBILITY IDEOGRAPH-F943
    "\uF944",  # CJK COMPATIBILITY IDEOGRAPH-F944
    "\uF945",  # CJK COMPATIBILITY IDEOGRAPH-F945
    "\uF946",  # CJK COMPATIBILITY IDEOGRAPH-F946
    "\uF947",  # CJK COMPATIBILITY IDEOGRAPH-F947
    "\uF948",  # CJK COMPATIBILITY IDEOGRAPH-F948
    "\uF949",  # CJK COMPATIBILITY IDEOGRAPH-F949
    "\uF94A",  # CJK COMPATIBILITY IDEOGRAPH-F94A
    "\uF94B",  # CJK COMPATIBILITY IDEOGRAPH-F94B
    "\uF94C",  # CJK COMPATIBILITY IDEOGRAPH-F94C
    "\uF94D",  # CJK COMPATIBILITY IDEOGRAPH-F94D
    "\uF94E",  # CJK COMPATIBILITY IDEOGRAPH-F94E
    "\uF94F",  # CJK COMPATIBILITY IDEOGRAPH-F94F
    "\uF950",  # CJK COMPATIBILITY IDEOGRAPH-F950
    "\uF951",  # CJK COMPATIBILITY IDEOGRAPH-F951
    "\uF952",  # CJK COMPATIBILITY IDEOGRAPH-F952
    "\uF953",  # CJK COMPATIBILITY IDEOGRAPH-F953
    "\uF954",  # CJK COMPATIBILITY IDEOGRAPH-F954
    "\uF955",  # CJK COMPATIBILITY IDEOGRAPH-F955
    "\uF956",  # CJK COMPATIBILITY IDEOGRAPH-F956
    "\uF957",  # CJK COMPATIBILITY IDEOGRAPH-F957
    "\uF958",  # CJK COMPATIBILITY IDEOGRAPH-F958
    "\uF959",  # CJK COMPATIBILITY IDEOGRAPH-F959
    "\uF95A",  # CJK COMPATIBILITY IDEOGRAPH-F95A
    "\uF95B",  # CJK COMPATIBILITY IDEOGRAPH-F95B
    "\uF95C",  # CJK COMPATIBILITY IDEOGRAPH-F95C
    "\uF95D",  # CJK COMPATIBILITY IDEOGRAPH-F95D
    "\uF95E",  # CJK COMPATIBILITY IDEOGRAPH-F95E
    "\uF95F",  # CJK COMPATIBILITY IDEOGRAPH-F95F
    "\uF960",  # CJK COMPATIBILITY IDEOGRAPH-F960
    "\uF961",  # CJK COMPATIBILITY IDEOGRAPH-F961
    "\uF962",  # CJK COMPATIBILITY IDEOGRAPH-F962
    "\uF963",  # CJK COMPATIBILITY IDEOGRAPH-F963
    "\uF964",  # CJK COMPATIBILITY IDEOGRAPH-F964
    "\uF965",  # CJK COMPATIBILITY IDEOGRAPH-F965
    "\uF966",  # CJK COMPATIBILITY IDEOGRAPH-F966
    "\uF967",  # CJK COMPATIBILITY IDEOGRAPH-F967
    "\uF968",  # CJK COMPATIBILITY IDEOGRAPH-F968
    "\uF969",  # CJK COMPATIBILITY IDEOGRAPH-F969
    "\uF96A",  # CJK COMPATIBILITY IDEOGRAPH-F96A
    "\uF96B",  # CJK COMPATIBILITY IDEOGRAPH-F96B
    "\uF96C",  # CJK COMPATIBILITY IDEOGRAPH-F96C
    "\uF96D",  # CJK COMPATIBILITY IDEOGRAPH-F96D
    "\uF96E",  # CJK COMPATIBILITY IDEOGRAPH-F96E
    "\uF96F",  # CJK COMPATIBILITY IDEOGRAPH-F96F
    "\uF970",  # CJK COMPATIBILITY IDEOGRAPH-F970
    "\uF971",  # CJK COMPATIBILITY IDEOGRAPH-F971
    "\uF972",  # CJK COMPATIBILITY IDEOGRAPH-F972
    "\uF973",  # CJK COMPATIBILITY IDEOGRAPH-F973
    "\uF974",  # CJK COMPATIBILITY IDEOGRAPH-F974
    "\uF975",  # CJK COMPATIBILITY IDEOGRAPH-F975
    "\uF976",  # CJK COMPATIBILITY IDEOGRAPH-F976
    "\uF977",  # CJK COMPATIBILITY IDEOGRAPH-F977
    "\uF978",  # CJK COMPATIBILITY IDEOGRAPH-F978
    "\uF979",  # CJK COMPATIBILITY IDEOGRAPH-F979
    "\uF97A",  # CJK COMPATIBILITY IDEOGRAPH-F97A
    "\uF97B",  # CJK COMPATIBILITY IDEOGRAPH-F97B
    "\uF97C",  # CJK COMPATIBILITY IDEOGRAPH-F97C
    "\uF97D",  # CJK COMPATIBILITY IDEOGRAPH-F97D
    "\uF97E",  # CJK COMPATIBILITY IDEOGRAPH-F97E
    "\uF97F",  # CJK COMPATIBILITY IDEOGRAPH-F97F
    "\uF980",  # CJK COMPATIBILITY IDEOGRAPH-F980
    "\uF981",  # CJK COMPATIBILITY IDEOGRAPH-F981
    "\uF982",  # CJK COMPATIBILITY IDEOGRAPH-F982
    "\uF983",  # CJK COMPATIBILITY IDEOGRAPH-F983
    "\uF984",  # CJK COMPATIBILITY IDEOGRAPH-F984
    "\uF985",  # CJK COMPATIBILITY IDEOGRAPH-F985
    "\uF986",  # CJK COMPATIBILITY IDEOGRAPH-F986
    "\uF987",  # CJK COMPATIBILITY IDEOGRAPH-F987
    "\uF988",  # CJK COMPATIBILITY IDEOGRAPH-F988
    "\uF989",  # CJK COMPATIBILITY IDEOGRAPH-F989
    "\uF98A",  # CJK COMPATIBILITY IDEOGRAPH-F98A
    "\uF98B",  # CJK COMPATIBILITY IDEOGRAPH-F98B
    "\uF98C",  # CJK COMPATIBILITY IDEOGRAPH-F98C
    "\uF98D",  # CJK COMPATIBILITY IDEOGRAPH-F98D
    "\uF98E",  # CJK COMPATIBILITY IDEOGRAPH-F98E
    "\uF98F",  # CJK COMPATIBILITY IDEOGRAPH-F98F
    "\uF990",  # CJK COMPATIBILITY IDEOGRAPH-F990
    "\uF991",  # CJK COMPATIBILITY IDEOGRAPH-F991
    "\uF992",  # CJK COMPATIBILITY IDEOGRAPH-F992
    "\uF993",  # CJK COMPATIBILITY IDEOGRAPH-F993
    "\uF994",  # CJK COMPATIBILITY IDEOGRAPH-F994
    "\uF995",  # CJK COMPATIBILITY IDEOGRAPH-F995
    "\uF996",  # CJK COMPATIBILITY IDEOGRAPH-F996
    "\uF997",  # CJK COMPATIBILITY IDEOGRAPH-F997
    "\uF998",  # CJK COMPATIBILITY IDEOGRAPH-F998
    "\uF999",  # CJK COMPATIBILITY IDEOGRAPH-F999
    "\uF99A",  # CJK COMPATIBILITY IDEOGRAPH-F99A
    "\uF99B",  # CJK COMPATIBILITY IDEOGRAPH-F99B
    "\uF99C",  # CJK COMPATIBILITY IDEOGRAPH-F99C
    "\uF99D",  # CJK COMPATIBILITY IDEOGRAPH-F99D
    "\uF99E",  # CJK COMPATIBILITY IDEOGRAPH-F99E
    "\uF99F",  # CJK COMPATIBILITY IDEOGRAPH-F99F
    "\uF9A0",  # CJK COMPATIBILITY IDEOGRAPH-F9A0
    "\uF9A1",  # CJK COMPATIBILITY IDEOGRAPH-F9A1
    "\uF9A2",  # CJK COMPATIBILITY IDEOGRAPH-F9A2
    "\uF9A3",  # CJK COMPATIBILITY IDEOGRAPH-F9A3
    "\uF9A4",  # CJK COMPATIBILITY IDEOGRAPH-F9A4
    "\uF9A5",  # CJK COMPATIBILITY IDEOGRAPH-F9A5
    "\uF9A6",  # CJK COMPATIBILITY IDEOGRAPH-F9A6
    "\uF9A7",  # CJK COMPATIBILITY IDEOGRAPH-F9A7
    "\uF9A8",  # CJK COMPATIBILITY IDEOGRAPH-F9A8
    "\uF9A9",  # CJK COMPATIBILITY IDEOGRAPH-F9A9
    "\uF9AA",  # CJK COMPATIBILITY IDEOGRAPH-F9AA
    "\uF9AB",  # CJK COMPATIBILITY IDEOGRAPH-F9AB
    "\uF9AC",  # CJK COMPATIBILITY IDEOGRAPH-F9AC
    "\uF9AD",  # CJK COMPATIBILITY IDEOGRAPH-F9AD
    "\uF9AE",  # CJK COMPATIBILITY IDEOGRAPH-F9AE
    "\uF9AF",  # CJK COMPATIBILITY IDEOGRAPH-F9AF
    "\uF9B0",  # CJK COMPATIBILITY IDEOGRAPH-F9B0
    "\uF9B1",  # CJK COMPATIBILITY IDEOGRAPH-F9B1
    "\uF9B2",  # CJK COMPATIBILITY IDEOGRAPH-F9B2
    "\uF9B3",  # CJK COMPATIBILITY IDEOGRAPH-F9B3
    "\uF9B4",  # CJK COMPATIBILITY IDEOGRAPH-F9B4
    "\uF9B5",  # CJK COMPATIBILITY IDEOGRAPH-F9B5
    "\uF9B6",  # CJK COMPATIBILITY IDEOGRAPH-F9B6
    "\uF9B7",  # CJK COMPATIBILITY IDEOGRAPH-F9B7
    "\uF9B8",  # CJK COMPATIBILITY IDEOGRAPH-F9B8
    "\uF9B9",  # CJK COMPATIBILITY IDEOGRAPH-F9B9
    "\uF9BA",  # CJK COMPATIBILITY IDEOGRAPH-F9BA
    "\uF9BB",  # CJK COMPATIBILITY IDEOGRAPH-F9BB
    "\uF9BC",  # CJK COMPATIBILITY IDEOGRAPH-F9BC
    "\uF9BD",  # CJK COMPATIBILITY IDEOGRAPH-F9BD
    "\uF9BE",  # CJK COMPATIBILITY IDEOGRAPH-F9BE
    "\uF9BF",  # CJK COMPATIBILITY IDEOGRAPH-F9BF
    "\uF9C0",  # CJK COMPATIBILITY IDEOGRAPH-F9C0
    "\uF9C1",  # CJK COMPATIBILITY IDEOGRAPH-F9C1
    "\uF9C2",  # CJK COMPATIBILITY IDEOGRAPH-F9C2
    "\uF9C3",  # CJK COMPATIBILITY IDEOGRAPH-F9C3
    "\uF9C4",  # CJK COMPATIBILITY IDEOGRAPH-F9C4
    "\uF9C5",  # CJK COMPATIBILITY IDEOGRAPH-F9C5
    "\uF9C6",  # CJK COMPATIBILITY IDEOGRAPH-F9C6
    "\uF9C7",  # CJK COMPATIBILITY IDEOGRAPH-F9C7
    "\uF9C8",  # CJK COMPATIBILITY IDEOGRAPH-F9C8
    "\uF9C9",  # CJK COMPATIBILITY IDEOGRAPH-F9C9
    "\uF9CA",  # CJK COMPATIBILITY IDEOGRAPH-F9CA
    "\uF9CB",  # CJK COMPATIBILITY IDEOGRAPH-F9CB
    "\uF9CC",  # CJK COMPATIBILITY IDEOGRAPH-F9CC
    "\uF9CD",  # CJK COMPATIBILITY IDEOGRAPH-F9CD
    "\uF9CE",  # CJK COMPATIBILITY IDEOGRAPH-F9CE
    "\uF9CF",  # CJK COMPATIBILITY IDEOGRAPH-F9CF
    "\uF9D0",  # CJK COMPATIBILITY IDEOGRAPH-F9D0
    "\uF9D1",  # CJK COMPATIBILITY IDEOGRAPH-F9D1
    "\uF9D2",  # CJK COMPATIBILITY IDEOGRAPH-F9D2
    "\uF9D3",  # CJK COMPATIBILITY IDEOGRAPH-F9D3
    "\uF9D4",  # CJK COMPATIBILITY IDEOGRAPH-F9D4
    "\uF9D5",  # CJK COMPATIBILITY IDEOGRAPH-F9D5
    "\uF9D6",  # CJK COMPATIBILITY IDEOGRAPH-F9D6
    "\uF9D7",  # CJK COMPATIBILITY IDEOGRAPH-F9D7
    "\uF9D8",  # CJK COMPATIBILITY IDEOGRAPH-F9D8
    "\uF9D9",  # CJK COMPATIBILITY IDEOGRAPH-F9D9
    "\uF9DA",  # CJK COMPATIBILITY IDEOGRAPH-F9DA
    "\uF9DB",  # CJK COMPATIBILITY IDEOGRAPH-F9DB
    "\uF9DC",  # CJK COMPATIBILITY IDEOGRAPH-F9DC
    "\uF9DD",  # CJK COMPATIBILITY IDEOGRAPH-F9DD
    "\uF9DE",  # CJK COMPATIBILITY IDEOGRAPH-F9DE
    "\uF9DF",  # CJK COMPATIBILITY IDEOGRAPH-F9DF
    "\uF9E0",  # CJK COMPATIBILITY IDEOGRAPH-F9E0
    "\uF9E1",  # CJK COMPATIBILITY IDEOGRAPH-F9E1
    "\uF9E2",  # CJK COMPATIBILITY IDEOGRAPH-F9E2
    "\uF9E3",  # CJK COMPATIBILITY IDEOGRAPH-F9E3
    "\uF9E4",  # CJK COMPATIBILITY IDEOGRAPH-F9E4
    "\uF9E5",  # CJK COMPATIBILITY IDEOGRAPH-F9E5
    "\uF9E6",  # CJK COMPATIBILITY IDEOGRAPH-F9E6
    "\uF9E7",  # CJK COMPATIBILITY IDEOGRAPH-F9E7
    "\uF9E8",  # CJK COMPATIBILITY IDEOGRAPH-F9E8
    "\uF9E9",  # CJK COMPATIBILITY IDEOGRAPH-F9E9
    "\uF9EA",  # CJK COMPATIBILITY IDEOGRAPH-F9EA
    "\uF9EB",  # CJK COMPATIBILITY IDEOGRAPH-F9EB
    "\uF9EC",  # CJK COMPATIBILITY IDEOGRAPH-F9EC
    "\uF9ED",  # CJK COMPATIBILITY IDEOGRAPH-F9ED
    "\uF9EE",  # CJK COMPATIBILITY IDEOGRAPH-F9EE
    "\uF9EF",  # CJK COMPATIBILITY IDEOGRAPH-F9EF
    "\uF9F0",  # CJK COMPATIBILITY IDEOGRAPH-F9F0
    "\uF9F1",  # CJK COMPATIBILITY IDEOGRAPH-F9F1
    "\uF9F2",  # CJK COMPATIBILITY IDEOGRAPH-F9F2
    "\uF9F3",  # CJK COMPATIBILITY IDEOGRAPH-F9F3
    "\uF9F4",  # CJK COMPATIBILITY IDEOGRAPH-F9F4
    "\uF9F5",  # CJK COMPATIBILITY IDEOGRAPH-F9F5
    "\uF9F6",  # CJK COMPATIBILITY IDEOGRAPH-F9F6
    "\uF9F7",  # CJK COMPATIBILITY IDEOGRAPH-F9F7
    "\uF9F8",  # CJK COMPATIBILITY IDEOGRAPH-F9F8
    "\uF9F9",  # CJK COMPATIBILITY IDEOGRAPH-F9F9
    "\uF9FA",  # CJK COMPATIBILITY IDEOGRAPH-F9FA
    "\uF9FB",  # CJK COMPATIBILITY IDEOGRAPH-F9FB
    "\uF9FC",  # CJK COMPATIBILITY IDEOGRAPH-F9FC
    "\uF9FD",  # CJK COMPATIBILITY IDEOGRAPH-F9FD
    "\uF9FE",  # CJK COMPATIBILITY IDEOGRAPH-F9FE
    "\uF9FF",  # CJK COMPATIBILITY IDEOGRAPH-F9FF
    "\uFA00",  # CJK COMPATIBILITY IDEOGRAPH-FA00
    "\uFA01",  # CJK COMPATIBILITY IDEOGRAPH-FA01
    "\uFA02",  # CJK COMPATIBILITY IDEOGRAPH-FA02
    "\uFA03",  # CJK COMPATIBILITY IDEOGRAPH-FA03
    "\uFA04",  # CJK COMPATIBILITY IDEOGRAPH-FA04
    "\uFA05",  # CJK COMPATIBILITY IDEOGRAPH-FA05
    "\uFA06",  # CJK COMPATIBILITY IDEOGRAPH-FA06
    "\uFA07",  # CJK COMPATIBILITY IDEOGRAPH-FA07
    "\uFA08",  # CJK COMPATIBILITY IDEOGRAPH-FA08
    "\uFA09",  # CJK COMPATIBILITY IDEOGRAPH-FA09
    "\uFA0A",  # CJK COMPATIBILITY IDEOGRAPH-FA0A
    "\uFA0B",  # CJK COMPATIBILITY IDEOGRAPH-FA0B
    "\uFA0C",  # CJK COMPATIBILITY IDEOGRAPH-FA0C
    "\uFA0D",  # CJK COMPATIBILITY IDEOGRAPH-FA0D
    "\uFA0E",  # CJK COMPATIBILITY IDEOGRAPH-FA0E
    "\uFA0F",  # CJK COMPATIBILITY IDEOGRAPH-FA0F
    "\uFA10",  # CJK COMPATIBILITY IDEOGRAPH-FA10
    "\uFA11",  # CJK COMPATIBILITY IDEOGRAPH-FA11
    "\uFA12",  # CJK COMPATIBILITY IDEOGRAPH-FA12
    "\uFA13",  # CJK COMPATIBILITY IDEOGRAPH-FA13
    "\uFA14",  # CJK COMPATIBILITY IDEOGRAPH-FA14
    "\uFA15",  # CJK COMPATIBILITY IDEOGRAPH-FA15
    "\uFA16",  # CJK COMPATIBILITY IDEOGRAPH-FA16
    "\uFA17",  # CJK COMPATIBILITY IDEOGRAPH-FA17
    "\uFA18",  # CJK COMPATIBILITY IDEOGRAPH-FA18
    "\uFA19",  # CJK COMPATIBILITY IDEOGRAPH-FA19
    "\uFA1A",  # CJK COMPATIBILITY IDEOGRAPH-FA1A
    "\uFA1B",  # CJK COMPATIBILITY IDEOGRAPH-FA1B
    "\uFA1C",  # CJK COMPATIBILITY IDEOGRAPH-FA1C
    "\uFA1D",  # CJK COMPATIBILITY IDEOGRAPH-FA1D
    "\uFA1E",  # CJK COMPATIBILITY IDEOGRAPH-FA1E
    "\uFA1F",  # CJK COMPATIBILITY IDEOGRAPH-FA1F
    "\uFA20",  # CJK COMPATIBILITY IDEOGRAPH-FA20
    "\uFA21",  # CJK COMPATIBILITY IDEOGRAPH-FA21
    "\uFA22",  # CJK COMPATIBILITY IDEOGRAPH-FA22
    "\uFA23",  # CJK COMPATIBILITY IDEOGRAPH-FA23
    "\uFA24",  # CJK COMPATIBILITY IDEOGRAPH-FA24
    "\uFA25",  # CJK COMPATIBILITY IDEOGRAPH-FA25
    "\uFA26",  # CJK COMPATIBILITY IDEOGRAPH-FA26
    "\uFA27",  # CJK COMPATIBILITY IDEOGRAPH-FA27
    "\uFA28",  # CJK COMPATIBILITY IDEOGRAPH-FA28
    "\uFA29",  # CJK COMPATIBILITY IDEOGRAPH-FA29
    "\uFA2A",  # CJK COMPATIBILITY IDEOGRAPH-FA2A
    "\uFA2B",  # CJK COMPATIBILITY IDEOGRAPH-FA2B
    "\uFA2C",  # CJK COMPATIBILITY IDEOGRAPH-FA2C
    "\uFA2D",  # CJK COMPATIBILITY IDEOGRAPH-FA2D
    "\uFA2E",  # CJK COMPATIBILITY IDEOGRAPH-FA2E
    "\uFA2F",  # CJK COMPATIBILITY IDEOGRAPH-FA2F
    "\uFA30",  # CJK COMPATIBILITY IDEOGRAPH-FA30
    "\uFA31",  # CJK COMPATIBILITY IDEOGRAPH-FA31
    "\uFA32",  # CJK COMPATIBILITY IDEOGRAPH-FA32
    "\uFA33",  # CJK COMPATIBILITY IDEOGRAPH-FA33
    "\uFA34",  # CJK COMPATIBILITY IDEOGRAPH-FA34
    "\uFA35",  # CJK COMPATIBILITY IDEOGRAPH-FA35
    "\uFA36",  # CJK COMPATIBILITY IDEOGRAPH-FA36
    "\uFA37",  # CJK COMPATIBILITY IDEOGRAPH-FA37
    "\uFA38",  # CJK COMPATIBILITY IDEOGRAPH-FA38
    "\uFA39",  # CJK COMPATIBILITY IDEOGRAPH-FA39
    "\uFA3A",  # CJK COMPATIBILITY IDEOGRAPH-FA3A
    "\uFA3B",  # CJK COMPATIBILITY IDEOGRAPH-FA3B
    "\uFA3C",  # CJK COMPATIBILITY IDEOGRAPH-FA3C
    "\uFA3D",  # CJK COMPATIBILITY IDEOGRAPH-FA3D
    "\uFA3E",  # CJK COMPATIBILITY IDEOGRAPH-FA3E
    "\uFA3F",  # CJK COMPATIBILITY IDEOGRAPH-FA3F
    "\uFA40",  # CJK COMPATIBILITY IDEOGRAPH-FA40
    "\uFA41",  # CJK COMPATIBILITY IDEOGRAPH-FA41
    "\uFA42",  # CJK COMPATIBILITY IDEOGRAPH-FA42
    "\uFA43",  # CJK COMPATIBILITY IDEOGRAPH-FA43
    "\uFA44",  # CJK COMPATIBILITY IDEOGRAPH-FA44
    "\uFA45",  # CJK COMPATIBILITY IDEOGRAPH-FA45
    "\uFA46",  # CJK COMPATIBILITY IDEOGRAPH-FA46
    "\uFA47",  # CJK COMPATIBILITY IDEOGRAPH-FA47
    "\uFA48",  # CJK COMPATIBILITY IDEOGRAPH-FA48
    "\uFA49",  # CJK COMPATIBILITY IDEOGRAPH-FA49
    "\uFA4A",  # CJK COMPATIBILITY IDEOGRAPH-FA4A
    "\uFA4B",  # CJK COMPATIBILITY IDEOGRAPH-FA4B
    "\uFA4C",  # CJK COMPATIBILITY IDEOGRAPH-FA4C
    "\uFA4D",  # CJK COMPATIBILITY IDEOGRAPH-FA4D
    "\uFA4E",  # CJK COMPATIBILITY IDEOGRAPH-FA4E
    "\uFA4F",  # CJK COMPATIBILITY IDEOGRAPH-FA4F
    "\uFA50",  # CJK COMPATIBILITY IDEOGRAPH-FA50
    "\uFA51",  # CJK COMPATIBILITY IDEOGRAPH-FA51
    "\uFA52",  # CJK COMPATIBILITY IDEOGRAPH-FA52
    "\uFA53",  # CJK COMPATIBILITY IDEOGRAPH-FA53
    "\uFA54",  # CJK COMPATIBILITY IDEOGRAPH-FA54
    "\uFA55",  # CJK COMPATIBILITY IDEOGRAPH-FA55
    "\uFA56",  # CJK COMPATIBILITY IDEOGRAPH-FA56
    "\uFA57",  # CJK COMPATIBILITY IDEOGRAPH-FA57
    "\uFA58",  # CJK COMPATIBILITY IDEOGRAPH-FA58
    "\uFA59",  # CJK COMPATIBILITY IDEOGRAPH-FA59
    "\uFA5A",  # CJK COMPATIBILITY IDEOGRAPH-FA5A
    "\uFA5B",  # CJK COMPATIBILITY IDEOGRAPH-FA5B
    "\uFA5C",  # CJK COMPATIBILITY IDEOGRAPH-FA5C
    "\uFA5D",  # CJK COMPATIBILITY IDEOGRAPH-FA5D
    "\uFA5E",  # CJK COMPATIBILITY IDEOGRAPH-FA5E
    "\uFA5F",  # CJK COMPATIBILITY IDEOGRAPH-FA5F
    "\uFA60",  # CJK COMPATIBILITY IDEOGRAPH-FA60
    "\uFA61",  # CJK COMPATIBILITY IDEOGRAPH-FA61
    "\uFA62",  # CJK COMPATIBILITY IDEOGRAPH-FA62
    "\uFA63",  # CJK COMPATIBILITY IDEOGRAPH-FA63
    "\uFA64",  # CJK COMPATIBILITY IDEOGRAPH-FA64
    "\uFA65",  # CJK COMPATIBILITY IDEOGRAPH-FA65
    "\uFA66",  # CJK COMPATIBILITY IDEOGRAPH-FA66
    "\uFA67",  # CJK COMPATIBILITY IDEOGRAPH-FA67
    "\uFA68",  # CJK COMPATIBILITY IDEOGRAPH-FA68
    "\uFA69",  # CJK COMPATIBILITY IDEOGRAPH-FA69
    "\uFA6A",  # CJK COMPATIBILITY IDEOGRAPH-FA6A
    "\uFA6B",  # CJK COMPATIBILITY IDEOGRAPH-FA6B
    "\uFA6C",  # CJK COMPATIBILITY IDEOGRAPH-FA6C
    "\uFA6D",  # CJK COMPATIBILITY IDEOGRAPH-FA6D
    "\uFA70",  # CJK COMPATIBILITY IDEOGRAPH-FA70
    "\uFA71",  # CJK COMPATIBILITY IDEOGRAPH-FA71
    "\uFA72",  # CJK COMPATIBILITY IDEOGRAPH-FA72
    "\uFA73",  # CJK COMPATIBILITY IDEOGRAPH-FA73
    "\uFA74",  # CJK COMPATIBILITY IDEOGRAPH-FA74
    "\uFA75",  # CJK COMPATIBILITY IDEOGRAPH-FA75
    "\uFA76",  # CJK COMPATIBILITY IDEOGRAPH-FA76
    "\uFA77",  # CJK COMPATIBILITY IDEOGRAPH-FA77
    "\uFA78",  # CJK COMPATIBILITY IDEOGRAPH-FA78
    "\uFA79",  # CJK COMPATIBILITY IDEOGRAPH-FA79
    "\uFA7A",  # CJK COMPATIBILITY IDEOGRAPH-FA7A
    "\uFA7B",  # CJK COMPATIBILITY IDEOGRAPH-FA7B
    "\uFA7C",  # CJK COMPATIBILITY IDEOGRAPH-FA7C
    "\uFA7D",  # CJK COMPATIBILITY IDEOGRAPH-FA7D
    "\uFA7E",  # CJK COMPATIBILITY IDEOGRAPH-FA7E
    "\uFA7F",  # CJK COMPATIBILITY IDEOGRAPH-FA7F
    "\uFA80",  # CJK COMPATIBILITY IDEOGRAPH-FA80
    "\uFA81",  # CJK COMPATIBILITY IDEOGRAPH-FA81
    "\uFA82",  # CJK COMPATIBILITY IDEOGRAPH-FA82
    "\uFA83",  # CJK COMPATIBILITY IDEOGRAPH-FA83
    "\uFA84",  # CJK COMPATIBILITY IDEOGRAPH-FA84
    "\uFA85",  # CJK COMPATIBILITY IDEOGRAPH-FA85
    "\uFA86",  # CJK COMPATIBILITY IDEOGRAPH-FA86
    "\uFA87",  # CJK COMPATIBILITY IDEOGRAPH-FA87
    "\uFA88",  # CJK COMPATIBILITY IDEOGRAPH-FA88
    "\uFA89",  # CJK COMPATIBILITY IDEOGRAPH-FA89
    "\uFA8A",  # CJK COMPATIBILITY IDEOGRAPH-FA8A
    "\uFA8B",  # CJK COMPATIBILITY IDEOGRAPH-FA8B
    "\uFA8C",  # CJK COMPATIBILITY IDEOGRAPH-FA8C
    "\uFA8D",  # CJK COMPATIBILITY IDEOGRAPH-FA8D
    "\uFA8E",  # CJK COMPATIBILITY IDEOGRAPH-FA8E
    "\uFA8F",  # CJK COMPATIBILITY IDEOGRAPH-FA8F
    "\uFA90",  # CJK COMPATIBILITY IDEOGRAPH-FA90
    "\uFA91",  # CJK COMPATIBILITY IDEOGRAPH-FA91
    "\uFA92",  # CJK COMPATIBILITY IDEOGRAPH-FA92
    "\uFA93",  # CJK COMPATIBILITY IDEOGRAPH-FA93
    "\uFA94",  # CJK COMPATIBILITY IDEOGRAPH-FA94
    "\uFA95",  # CJK COMPATIBILITY IDEOGRAPH-FA95
    "\uFA96",  # CJK COMPATIBILITY IDEOGRAPH-FA96
    "\uFA97",  # CJK COMPATIBILITY IDEOGRAPH-FA97
    "\uFA98",  # CJK COMPATIBILITY IDEOGRAPH-FA98
    "\uFA99",  # CJK COMPATIBILITY IDEOGRAPH-FA99
    "\uFA9A",  # CJK COMPATIBILITY IDEOGRAPH-FA9A
    "\uFA9B",  # CJK COMPATIBILITY IDEOGRAPH-FA9B
    "\uFA9C",  # CJK COMPATIBILITY IDEOGRAPH-FA9C
    "\uFA9D",  # CJK COMPATIBILITY IDEOGRAPH-FA9D
    "\uFA9E",  # CJK COMPATIBILITY IDEOGRAPH-FA9E
    "\uFA9F",  # CJK COMPATIBILITY IDEOGRAPH-FA9F
    "\uFAA0",  # CJK COMPATIBILITY IDEOGRAPH-FAA0
    "\uFAA1",  # CJK COMPATIBILITY IDEOGRAPH-FAA1
    "\uFAA2",  # CJK COMPATIBILITY IDEOGRAPH-FAA2
    "\uFAA3",  # CJK COMPATIBILITY IDEOGRAPH-FAA3
    "\uFAA4",  # CJK COMPATIBILITY IDEOGRAPH-FAA4
    "\uFAA5",  # CJK COMPATIBILITY IDEOGRAPH-FAA5
    "\uFAA6",  # CJK COMPATIBILITY IDEOGRAPH-FAA6
    "\uFAA7",  # CJK COMPATIBILITY IDEOGRAPH-FAA7
    "\uFAA8",  # CJK COMPATIBILITY IDEOGRAPH-FAA8
    "\uFAA9",  # CJK COMPATIBILITY IDEOGRAPH-FAA9
    "\uFAAA",  # CJK COMPATIBILITY IDEOGRAPH-FAAA
    "\uFAAB",  # CJK COMPATIBILITY IDEOGRAPH-FAAB
    "\uFAAC",  # CJK COMPATIBILITY IDEOGRAPH-FAAC
    "\uFAAD",  # CJK COMPATIBILITY IDEOGRAPH-FAAD
    "\uFAAE",  # CJK COMPATIBILITY IDEOGRAPH-FAAE
    "\uFAAF",  # CJK COMPATIBILITY IDEOGRAPH-FAAF
    "\uFAB0",  # CJK COMPATIBILITY IDEOGRAPH-FAB0
    "\uFAB1",  # CJK COMPATIBILITY IDEOGRAPH-FAB1
    "\uFAB2",  # CJK COMPATIBILITY IDEOGRAPH-FAB2
    "\uFAB3",  # CJK COMPATIBILITY IDEOGRAPH-FAB3
    "\uFAB4",  # CJK COMPATIBILITY IDEOGRAPH-FAB4
    "\uFAB5",  # CJK COMPATIBILITY IDEOGRAPH-FAB5
    "\uFAB6",  # CJK COMPATIBILITY IDEOGRAPH-FAB6
    "\uFAB7",  # CJK COMPATIBILITY IDEOGRAPH-FAB7
    "\uFAB8",  # CJK COMPATIBILITY IDEOGRAPH-FAB8
    "\uFAB9",  # CJK COMPATIBILITY IDEOGRAPH-FAB9
    "\uFABA",  # CJK COMPATIBILITY IDEOGRAPH-FABA
    "\uFABB",  # CJK COMPATIBILITY IDEOGRAPH-FABB
    "\uFABC",  # CJK COMPATIBILITY IDEOGRAPH-FABC
    "\uFABD",  # CJK COMPATIBILITY IDEOGRAPH-FABD
    "\uFABE",  # CJK COMPATIBILITY IDEOGRAPH-FABE
    "\uFABF",  # CJK COMPATIBILITY IDEOGRAPH-FABF
    "\uFAC0",  # CJK COMPATIBILITY IDEOGRAPH-FAC0
    "\uFAC1",  # CJK COMPATIBILITY IDEOGRAPH-FAC1
    "\uFAC2",  # CJK COMPATIBILITY IDEOGRAPH-FAC2
    "\uFAC3",  # CJK COMPATIBILITY IDEOGRAPH-FAC3
    "\uFAC4",  # CJK COMPATIBILITY IDEOGRAPH-FAC4
    "\uFAC5",  # CJK COMPATIBILITY IDEOGRAPH-FAC5
    "\uFAC6",  # CJK COMPATIBILITY IDEOGRAPH-FAC6
    "\uFAC7",  # CJK COMPATIBILITY IDEOGRAPH-FAC7
    "\uFAC8",  # CJK COMPATIBILITY IDEOGRAPH-FAC8
    "\uFAC9",  # CJK COMPATIBILITY IDEOGRAPH-FAC9
    "\uFACA",  # CJK COMPATIBILITY IDEOGRAPH-FACA
    "\uFACB",  # CJK COMPATIBILITY IDEOGRAPH-FACB
    "\uFACC",  # CJK COMPATIBILITY IDEOGRAPH-FACC
    "\uFACD",  # CJK COMPATIBILITY IDEOGRAPH-FACD
    "\uFACE",  # CJK COMPATIBILITY IDEOGRAPH-FACE
    "\uFACF",  # CJK COMPATIBILITY IDEOGRAPH-FACF
    "\uFAD0",  # CJK COMPATIBILITY IDEOGRAPH-FAD0
    "\uFAD1",  # CJK COMPATIBILITY IDEOGRAPH-FAD1
    "\uFAD2",  # CJK COMPATIBILITY IDEOGRAPH-FAD2
    "\uFAD3",  # CJK COMPATIBILITY IDEOGRAPH-FAD3
    "\uFAD4",  # CJK COMPATIBILITY IDEOGRAPH-FAD4
    "\uFAD5",  # CJK COMPATIBILITY IDEOGRAPH-FAD5
    "\uFAD6",  # CJK COMPATIBILITY IDEOGRAPH-FAD6
    "\uFAD7",  # CJK COMPATIBILITY IDEOGRAPH-FAD7
    "\uFAD8",  # CJK COMPATIBILITY IDEOGRAPH-FAD8
    "\uFAD9",  # CJK COMPATIBILITY IDEOGRAPH-FAD9
    "\uFB00",  # LATIN SMALL LIGATURE FF
    "\uFB01",  # LATIN SMALL LIGATURE FI
    "\uFB02",  # LATIN SMALL LIGATURE FL
    "\uFB03",  # LATIN SMALL LIGATURE FFI
    "\uFB04",  # LATIN SMALL LIGATURE FFL
    "\uFB05",  # LATIN SMALL LIGATURE LONG S T
    "\uFB06",  # LATIN SMALL LIGATURE ST
    "\uFB13",  # ARMENIAN SMALL LIGATURE MEN NOW
    "\uFB14",  # ARMENIAN SMALL LIGATURE MEN ECH
    "\uFB15",  # ARMENIAN SMALL LIGATURE MEN INI
    "\uFB16",  # ARMENIAN SMALL LIGATURE VEW NOW
    "\uFB17",  # ARMENIAN SMALL LIGATURE MEN XEH
    "\uFB1D",  # HEBREW LETTER YOD WITH HIRIQ
    "\uFB1E",  # HEBREW POINT JUDEO-SPANISH VARIKA
    "\uFB1F",  # HEBREW LIGATURE YIDDISH YOD YOD PATAH
    "\uFB20",  # HEBREW LETTER ALTERNATIVE AYIN
    "\uFB21",  # HEBREW LETTER WIDE ALEF
    "\uFB22",  # HEBREW LETTER WIDE DALET
    "\uFB23",  # HEBREW LETTER WIDE HE
    "\uFB24",  # HEBREW LETTER WIDE KAF
    "\uFB25",  # HEBREW LETTER WIDE LAMED
    "\uFB26",  # HEBREW LETTER WIDE FINAL MEM
    "\uFB27",  # HEBREW LETTER WIDE RESH
    "\uFB28",  # HEBREW LETTER WIDE TAV
    "\uFB29",  # HEBREW LETTER ALTERNATIVE PLUS SIGN
    "\uFB2A",  # HEBREW LETTER SHIN WITH SHIN DOT
    "\uFB2B",  # HEBREW LETTER SHIN WITH SIN DOT
    "\uFB2C",  # HEBREW LETTER SHIN WITH DAGESH AND SHIN DOT
    "\uFB2D",  # HEBREW LETTER SHIN WITH DAGESH AND SIN DOT
    "\uFB2E",  # HEBREW LETTER ALEF WITH PATAH
    "\uFB2F",  # HEBREW LETTER ALEF WITH QAMATS
    "\uFB30",  # HEBREW LETTER ALEF WITH MAPIQ
    "\uFB31",  # HEBREW LETTER BET WITH DAGESH
    "\uFB32",  # HEBREW LETTER GIMEL WITH DAGESH
    "\uFB33",  # HEBREW LETTER DALET WITH DAGESH
    "\uFB34",  # HEBREW LETTER HE WITH MAPIQ
    "\uFB35",  # HEBREW LETTER VAV WITH DAGESH
    "\uFB36",  # HEBREW LETTER ZAYIN WITH DAGESH
    "\uFB38",  # HEBREW LETTER TET WITH DAGESH
    "\uFB39",  # HEBREW LETTER YOD WITH DAGESH
    "\uFB3A",  # HEBREW LETTER FINAL KAF WITH DAGESH
    "\uFB3B",  # HEBREW LETTER KAF WITH DAGESH
    "\uFB3C",  # HEBREW LETTER LAMED WITH DAGESH
    "\uFB3E",  # HEBREW LETTER MEM WITH DAGESH
    "\uFB40",  # HEBREW LETTER NUN WITH DAGESH
    "\uFB41",  # HEBREW LETTER SAMEKH WITH DAGESH
    "\uFB43",  # HEBREW LETTER FINAL PE WITH DAGESH
    "\uFB44",  # HEBREW LETTER PE WITH DAGESH
    "\uFB46",  # HEBREW LETTER TSADI WITH DAGESH
    "\uFB47",  # HEBREW LETTER QOF WITH DAGESH
    "\uFB48",  # HEBREW LETTER RESH WITH DAGESH
    "\uFB49",  # HEBREW LETTER SHIN WITH DAGESH
    "\uFB4A",  # HEBREW LETTER TAV WITH DAGESH
    "\uFB4B",  # HEBREW LETTER VAV WITH HOLAM
    "\uFB4C",  # HEBREW LETTER BET WITH RAFE
    "\uFB4D",  # HEBREW LETTER KAF WITH RAFE
    "\uFB4E",  # HEBREW LETTER PE WITH RAFE
    "\uFB4F",  # HEBREW LIGATURE ALEF LAMED
    "\uFB50",  # ARABIC LETTER ALEF WASLA ISOLATED FORM
    "\uFB51",  # ARABIC LETTER ALEF WASLA FINAL FORM
    "\uFB52",  # ARABIC LETTER BEEH ISOLATED FORM
    "\uFB53",  # ARABIC LETTER BEEH FINAL FORM
    "\uFB54",  # ARABIC LETTER BEEH INITIAL FORM
    "\uFB55",  # ARABIC LETTER BEEH MEDIAL FORM
    "\uFB56",  # ARABIC LETTER PEH ISOLATED FORM
    "\uFB57",  # ARABIC LETTER PEH FINAL FORM
    "\uFB58",  # ARABIC LETTER PEH INITIAL FORM
    "\uFB59",  # ARABIC LETTER PEH MEDIAL FORM
    "\uFB5A",  # ARABIC LETTER BEHEH ISOLATED FORM
    "\uFB5B",  # ARABIC LETTER BEHEH FINAL FORM
    "\uFB5C",  # ARABIC LETTER BEHEH INITIAL FORM
    "\uFB5D",  # ARABIC LETTER BEHEH MEDIAL FORM
    "\uFB5E",  # ARABIC LETTER TTEHEH ISOLATED FORM
    "\uFB5F",  # ARABIC LETTER TTEHEH FINAL FORM
    "\uFB60",  # ARABIC LETTER TTEHEH INITIAL FORM
    "\uFB61",  # ARABIC LETTER TTEHEH MEDIAL FORM
    "\uFB62",  # ARABIC LETTER TEHEH ISOLATED FORM
    "\uFB63",  # ARABIC LETTER TEHEH FINAL FORM
    "\uFB64",  # ARABIC LETTER TEHEH INITIAL FORM
    "\uFB65",  # ARABIC LETTER TEHEH MEDIAL FORM
    "\uFB66",  # ARABIC LETTER TTEH ISOLATED FORM
    "\uFB67",  # ARABIC LETTER TTEH FINAL FORM
    "\uFB68",  # ARABIC LETTER TTEH INITIAL FORM
    "\uFB69",  # ARABIC LETTER TTEH MEDIAL FORM
    "\uFB6A",  # ARABIC LETTER VEH ISOLATED FORM
    "\uFB6B",  # ARABIC LETTER VEH FINAL FORM
    "\uFB6C",  # ARABIC LETTER VEH INITIAL FORM
    "\uFB6D",  # ARABIC LETTER VEH MEDIAL FORM
    "\uFB6E",  # ARABIC LETTER PEHEH ISOLATED FORM
    "\uFB6F",  # ARABIC LETTER PEHEH FINAL FORM
    "\uFB70",  # ARABIC LETTER PEHEH INITIAL FORM
    "\uFB71",  # ARABIC LETTER PEHEH MEDIAL FORM
    "\uFB72",  # ARABIC LETTER DYEH ISOLATED FORM
    "\uFB73",  # ARABIC LETTER DYEH FINAL FORM
    "\uFB74",  # ARABIC LETTER DYEH INITIAL FORM
    "\uFB75",  # ARABIC LETTER DYEH MEDIAL FORM
    "\uFB76",  # ARABIC LETTER NYEH ISOLATED FORM
    "\uFB77",  # ARABIC LETTER NYEH FINAL FORM
    "\uFB78",  # ARABIC LETTER NYEH INITIAL FORM
    "\uFB79",  # ARABIC LETTER NYEH MEDIAL FORM
    "\uFB7A",  # ARABIC LETTER TCHEH ISOLATED FORM
    "\uFB7B",  # ARABIC LETTER TCHEH FINAL FORM
    "\uFB7C",  # ARABIC LETTER TCHEH INITIAL FORM
    "\uFB7D",  # ARABIC LETTER TCHEH MEDIAL FORM
    "\uFB7E",  # ARABIC LETTER TCHEHEH ISOLATED FORM
    "\uFB7F",  # ARABIC LETTER TCHEHEH FINAL FORM
    "\uFB80",  # ARABIC LETTER TCHEHEH INITIAL FORM
    "\uFB81",  # ARABIC LETTER TCHEHEH MEDIAL FORM
    "\uFB82",  # ARABIC LETTER DDAHAL ISOLATED FORM
    "\uFB83",  # ARABIC LETTER DDAHAL FINAL FORM
    "\uFB84",  # ARABIC LETTER DAHAL ISOLATED FORM
    "\uFB85",  # ARABIC LETTER DAHAL FINAL FORM
    "\uFB86",  # ARABIC LETTER DUL ISOLATED FORM
    "\uFB87",  # ARABIC LETTER DUL FINAL FORM
    "\uFB88",  # ARABIC LETTER DDAL ISOLATED FORM
    "\uFB89",  # ARABIC LETTER DDAL FINAL FORM
    "\uFB8A",  # ARABIC LETTER JEH ISOLATED FORM
    "\uFB8B",  # ARABIC LETTER JEH FINAL FORM
    "\uFB8C",  # ARABIC LETTER RREH ISOLATED FORM
    "\uFB8D",  # ARABIC LETTER RREH FINAL FORM
    "\uFB8E",  # ARABIC LETTER KEHEH ISOLATED FORM
    "\uFB8F",  # ARABIC LETTER KEHEH FINAL FORM
    "\uFB90",  # ARABIC LETTER KEHEH INITIAL FORM
    "\uFB91",  # ARABIC LETTER KEHEH MEDIAL FORM
    "\uFB92",  # ARABIC LETTER GAF ISOLATED FORM
    "\uFB93",  # ARABIC LETTER GAF FINAL FORM
    "\uFB94",  # ARABIC LETTER GAF INITIAL FORM
    "\uFB95",  # ARABIC LETTER GAF MEDIAL FORM
    "\uFB96",  # ARABIC LETTER GUEH ISOLATED FORM
    "\uFB97",  # ARABIC LETTER GUEH FINAL FORM
    "\uFB98",  # ARABIC LETTER GUEH INITIAL FORM
    "\uFB99",  # ARABIC LETTER GUEH MEDIAL FORM
    "\uFB9A",  # ARABIC LETTER NGOEH ISOLATED FORM
    "\uFB9B",  # ARABIC LETTER NGOEH FINAL FORM
    "\uFB9C",  # ARABIC LETTER NGOEH INITIAL FORM
    "\uFB9D",  # ARABIC LETTER NGOEH MEDIAL FORM
    "\uFB9E",  # ARABIC LETTER NOON GHUNNA ISOLATED FORM
    "\uFB9F",  # ARABIC LETTER NOON GHUNNA FINAL FORM
    "\uFBA0",  # ARABIC LETTER RNOON ISOLATED FORM
    "\uFBA1",  # ARABIC LETTER RNOON FINAL FORM
    "\uFBA2",  # ARABIC LETTER RNOON INITIAL FORM
    "\uFBA3",  # ARABIC LETTER RNOON MEDIAL FORM
    "\uFBA4",  # ARABIC LETTER HEH WITH YEH ABOVE ISOLATED FORM
    "\uFBA5",  # ARABIC LETTER HEH WITH YEH ABOVE FINAL FORM
    "\uFBA6",  # ARABIC LETTER HEH GOAL ISOLATED FORM
    "\uFBA7",  # ARABIC LETTER HEH GOAL FINAL FORM
    "\uFBA8",  # ARABIC LETTER HEH GOAL INITIAL FORM
    "\uFBA9",  # ARABIC LETTER HEH GOAL MEDIAL FORM
    "\uFBAA",  # ARABIC LETTER HEH DOACHASHMEE ISOLATED FORM
    "\uFBAB",  # ARABIC LETTER HEH DOACHASHMEE FINAL FORM
    "\uFBAC",  # ARABIC LETTER HEH DOACHASHMEE INITIAL FORM
    "\uFBAD",  # ARABIC LETTER HEH DOACHASHMEE MEDIAL FORM
    "\uFBAE",  # ARABIC LETTER YEH BARREE ISOLATED FORM
    "\uFBAF",  # ARABIC LETTER YEH BARREE FINAL FORM
    "\uFBB0",  # ARABIC LETTER YEH BARREE WITH HAMZA ABOVE ISOLATED FORM
    "\uFBB1",  # ARABIC LETTER YEH BARREE WITH HAMZA ABOVE FINAL FORM
    "\uFBB2",  # ARABIC SYMBOL DOT ABOVE
    "\uFBB3",  # ARABIC SYMBOL DOT BELOW
    "\uFBB4",  # ARABIC SYMBOL TWO DOTS ABOVE
    "\uFBB5",  # ARABIC SYMBOL TWO DOTS BELOW
    "\uFBB6",  # ARABIC SYMBOL THREE DOTS ABOVE
    "\uFBB7",  # ARABIC SYMBOL THREE DOTS BELOW
    "\uFBB8",  # ARABIC SYMBOL THREE DOTS POINTING DOWNWARDS ABOVE
    "\uFBB9",  # ARABIC SYMBOL THREE DOTS POINTING DOWNWARDS BELOW
    "\uFBBA",  # ARABIC SYMBOL FOUR DOTS ABOVE
    "\uFBBB",  # ARABIC SYMBOL FOUR DOTS BELOW
    "\uFBBC",  # ARABIC SYMBOL DOUBLE VERTICAL BAR BELOW
    "\uFBBD",  # ARABIC SYMBOL TWO DOTS VERTICALLY ABOVE
    "\uFBBE",  # ARABIC SYMBOL TWO DOTS VERTICALLY BELOW
    "\uFBBF",  # ARABIC SYMBOL RING
    "\uFBC0",  # ARABIC SYMBOL SMALL TAH ABOVE
    "\uFBC1",  # ARABIC SYMBOL SMALL TAH BELOW
    "\uFBD3",  # ARABIC LETTER NG ISOLATED FORM
    "\uFBD4",  # ARABIC LETTER NG FINAL FORM
    "\uFBD5",  # ARABIC LETTER NG INITIAL FORM
    "\uFBD6",  # ARABIC LETTER NG MEDIAL FORM
    "\uFBD7",  # ARABIC LETTER U ISOLATED FORM
    "\uFBD8",  # ARABIC LETTER U FINAL FORM
    "\uFBD9",  # ARABIC LETTER OE ISOLATED FORM
    "\uFBDA",  # ARABIC LETTER OE FINAL FORM
    "\uFBDB",  # ARABIC LETTER YU ISOLATED FORM
    "\uFBDC",  # ARABIC LETTER YU FINAL FORM
    "\uFBDD",  # ARABIC LETTER U WITH HAMZA ABOVE ISOLATED FORM
    "\uFBDE",  # ARABIC LETTER VE ISOLATED FORM
    "\uFBDF",  # ARABIC LETTER VE FINAL FORM
    "\uFBE0",  # ARABIC LETTER KIRGHIZ OE ISOLATED FORM
    "\uFBE1",  # ARABIC LETTER KIRGHIZ OE FINAL FORM
    "\uFBE2",  # ARABIC LETTER KIRGHIZ YU ISOLATED FORM
    "\uFBE3",  # ARABIC LETTER KIRGHIZ YU FINAL FORM
    "\uFBE4",  # ARABIC LETTER E ISOLATED FORM
    "\uFBE5",  # ARABIC LETTER E FINAL FORM
    "\uFBE6",  # ARABIC LETTER E INITIAL FORM
    "\uFBE7",  # ARABIC LETTER E MEDIAL FORM
    "\uFBE8",  # ARABIC LETTER UIGHUR KAZAKH KIRGHIZ ALEF MAKSURA INITIAL FORM
    "\uFBE9",  # ARABIC LETTER UIGHUR KAZAKH KIRGHIZ ALEF MAKSURA MEDIAL FORM
    "\uFBEA",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ALEF ISOLATED FORM
    "\uFBEB",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ALEF FINAL FORM
    "\uFBEC",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH AE ISOLATED FORM
    "\uFBED",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH AE FINAL FORM
    "\uFBEE",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH WAW ISOLATED FORM
    "\uFBEF",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH WAW FINAL FORM
    "\uFBF0",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH U ISOLATED FORM
    "\uFBF1",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH U FINAL FORM
    "\uFBF2",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH OE ISOLATED FORM
    "\uFBF3",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH OE FINAL FORM
    "\uFBF4",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH YU ISOLATED FORM
    "\uFBF5",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH YU FINAL FORM
    "\uFBF6",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH E ISOLATED FORM
    "\uFBF7",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH E FINAL FORM
    "\uFBF8",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH E INITIAL FORM
    "\uFBF9",  # ARABIC LIGATURE UIGHUR KIRGHIZ YEH WITH HAMZA ABOVE WITH ALEF MAKSURA ISOLATED FORM
    "\uFBFA",  # ARABIC LIGATURE UIGHUR KIRGHIZ YEH WITH HAMZA ABOVE WITH ALEF MAKSURA FINAL FORM
    "\uFBFB",  # ARABIC LIGATURE UIGHUR KIRGHIZ YEH WITH HAMZA ABOVE WITH ALEF MAKSURA INITIAL FORM
    "\uFBFC",  # ARABIC LETTER FARSI YEH ISOLATED FORM
    "\uFBFD",  # ARABIC LETTER FARSI YEH FINAL FORM
    "\uFBFE",  # ARABIC LETTER FARSI YEH INITIAL FORM
    "\uFBFF",  # ARABIC LETTER FARSI YEH MEDIAL FORM
    "\uFC00",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH JEEM ISOLATED FORM
    "\uFC01",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH HAH ISOLATED FORM
    "\uFC02",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH MEEM ISOLATED FORM
    "\uFC03",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ALEF MAKSURA ISOLATED FORM
    "\uFC04",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH YEH ISOLATED FORM
    "\uFC05",  # ARABIC LIGATURE BEH WITH JEEM ISOLATED FORM
    "\uFC06",  # ARABIC LIGATURE BEH WITH HAH ISOLATED FORM
    "\uFC07",  # ARABIC LIGATURE BEH WITH KHAH ISOLATED FORM
    "\uFC08",  # ARABIC LIGATURE BEH WITH MEEM ISOLATED FORM
    "\uFC09",  # ARABIC LIGATURE BEH WITH ALEF MAKSURA ISOLATED FORM
    "\uFC0A",  # ARABIC LIGATURE BEH WITH YEH ISOLATED FORM
    "\uFC0B",  # ARABIC LIGATURE TEH WITH JEEM ISOLATED FORM
    "\uFC0C",  # ARABIC LIGATURE TEH WITH HAH ISOLATED FORM
    "\uFC0D",  # ARABIC LIGATURE TEH WITH KHAH ISOLATED FORM
    "\uFC0E",  # ARABIC LIGATURE TEH WITH MEEM ISOLATED FORM
    "\uFC0F",  # ARABIC LIGATURE TEH WITH ALEF MAKSURA ISOLATED FORM
    "\uFC10",  # ARABIC LIGATURE TEH WITH YEH ISOLATED FORM
    "\uFC11",  # ARABIC LIGATURE THEH WITH JEEM ISOLATED FORM
    "\uFC12",  # ARABIC LIGATURE THEH WITH MEEM ISOLATED FORM
    "\uFC13",  # ARABIC LIGATURE THEH WITH ALEF MAKSURA ISOLATED FORM
    "\uFC14",  # ARABIC LIGATURE THEH WITH YEH ISOLATED FORM
    "\uFC15",  # ARABIC LIGATURE JEEM WITH HAH ISOLATED FORM
    "\uFC16",  # ARABIC LIGATURE JEEM WITH MEEM ISOLATED FORM
    "\uFC17",  # ARABIC LIGATURE HAH WITH JEEM ISOLATED FORM
    "\uFC18",  # ARABIC LIGATURE HAH WITH MEEM ISOLATED FORM
    "\uFC19",  # ARABIC LIGATURE KHAH WITH JEEM ISOLATED FORM
    "\uFC1A",  # ARABIC LIGATURE KHAH WITH HAH ISOLATED FORM
    "\uFC1B",  # ARABIC LIGATURE KHAH WITH MEEM ISOLATED FORM
    "\uFC1C",  # ARABIC LIGATURE SEEN WITH JEEM ISOLATED FORM
    "\uFC1D",  # ARABIC LIGATURE SEEN WITH HAH ISOLATED FORM
    "\uFC1E",  # ARABIC LIGATURE SEEN WITH KHAH ISOLATED FORM
    "\uFC1F",  # ARABIC LIGATURE SEEN WITH MEEM ISOLATED FORM
    "\uFC20",  # ARABIC LIGATURE SAD WITH HAH ISOLATED FORM
    "\uFC21",  # ARABIC LIGATURE SAD WITH MEEM ISOLATED FORM
    "\uFC22",  # ARABIC LIGATURE DAD WITH JEEM ISOLATED FORM
    "\uFC23",  # ARABIC LIGATURE DAD WITH HAH ISOLATED FORM
    "\uFC24",  # ARABIC LIGATURE DAD WITH KHAH ISOLATED FORM
    "\uFC25",  # ARABIC LIGATURE DAD WITH MEEM ISOLATED FORM
    "\uFC26",  # ARABIC LIGATURE TAH WITH HAH ISOLATED FORM
    "\uFC27",  # ARABIC LIGATURE TAH WITH MEEM ISOLATED FORM
    "\uFC28",  # ARABIC LIGATURE ZAH WITH MEEM ISOLATED FORM
    "\uFC29",  # ARABIC LIGATURE AIN WITH JEEM ISOLATED FORM
    "\uFC2A",  # ARABIC LIGATURE AIN WITH MEEM ISOLATED FORM
    "\uFC2B",  # ARABIC LIGATURE GHAIN WITH JEEM ISOLATED FORM
    "\uFC2C",  # ARABIC LIGATURE GHAIN WITH MEEM ISOLATED FORM
    "\uFC2D",  # ARABIC LIGATURE FEH WITH JEEM ISOLATED FORM
    "\uFC2E",  # ARABIC LIGATURE FEH WITH HAH ISOLATED FORM
    "\uFC2F",  # ARABIC LIGATURE FEH WITH KHAH ISOLATED FORM
    "\uFC30",  # ARABIC LIGATURE FEH WITH MEEM ISOLATED FORM
    "\uFC31",  # ARABIC LIGATURE FEH WITH ALEF MAKSURA ISOLATED FORM
    "\uFC32",  # ARABIC LIGATURE FEH WITH YEH ISOLATED FORM
    "\uFC33",  # ARABIC LIGATURE QAF WITH HAH ISOLATED FORM
    "\uFC34",  # ARABIC LIGATURE QAF WITH MEEM ISOLATED FORM
    "\uFC35",  # ARABIC LIGATURE QAF WITH ALEF MAKSURA ISOLATED FORM
    "\uFC36",  # ARABIC LIGATURE QAF WITH YEH ISOLATED FORM
    "\uFC37",  # ARABIC LIGATURE KAF WITH ALEF ISOLATED FORM
    "\uFC38",  # ARABIC LIGATURE KAF WITH JEEM ISOLATED FORM
    "\uFC39",  # ARABIC LIGATURE KAF WITH HAH ISOLATED FORM
    "\uFC3A",  # ARABIC LIGATURE KAF WITH KHAH ISOLATED FORM
    "\uFC3B",  # ARABIC LIGATURE KAF WITH LAM ISOLATED FORM
    "\uFC3C",  # ARABIC LIGATURE KAF WITH MEEM ISOLATED FORM
    "\uFC3D",  # ARABIC LIGATURE KAF WITH ALEF MAKSURA ISOLATED FORM
    "\uFC3E",  # ARABIC LIGATURE KAF WITH YEH ISOLATED FORM
    "\uFC3F",  # ARABIC LIGATURE LAM WITH JEEM ISOLATED FORM
    "\uFC40",  # ARABIC LIGATURE LAM WITH HAH ISOLATED FORM
    "\uFC41",  # ARABIC LIGATURE LAM WITH KHAH ISOLATED FORM
    "\uFC42",  # ARABIC LIGATURE LAM WITH MEEM ISOLATED FORM
    "\uFC43",  # ARABIC LIGATURE LAM WITH ALEF MAKSURA ISOLATED FORM
    "\uFC44",  # ARABIC LIGATURE LAM WITH YEH ISOLATED FORM
    "\uFC45",  # ARABIC LIGATURE MEEM WITH JEEM ISOLATED FORM
    "\uFC46",  # ARABIC LIGATURE MEEM WITH HAH ISOLATED FORM
    "\uFC47",  # ARABIC LIGATURE MEEM WITH KHAH ISOLATED FORM
    "\uFC48",  # ARABIC LIGATURE MEEM WITH MEEM ISOLATED FORM
    "\uFC49",  # ARABIC LIGATURE MEEM WITH ALEF MAKSURA ISOLATED FORM
    "\uFC4A",  # ARABIC LIGATURE MEEM WITH YEH ISOLATED FORM
    "\uFC4B",  # ARABIC LIGATURE NOON WITH JEEM ISOLATED FORM
    "\uFC4C",  # ARABIC LIGATURE NOON WITH HAH ISOLATED FORM
    "\uFC4D",  # ARABIC LIGATURE NOON WITH KHAH ISOLATED FORM
    "\uFC4E",  # ARABIC LIGATURE NOON WITH MEEM ISOLATED FORM
    "\uFC4F",  # ARABIC LIGATURE NOON WITH ALEF MAKSURA ISOLATED FORM
    "\uFC50",  # ARABIC LIGATURE NOON WITH YEH ISOLATED FORM
    "\uFC51",  # ARABIC LIGATURE HEH WITH JEEM ISOLATED FORM
    "\uFC52",  # ARABIC LIGATURE HEH WITH MEEM ISOLATED FORM
    "\uFC53",  # ARABIC LIGATURE HEH WITH ALEF MAKSURA ISOLATED FORM
    "\uFC54",  # ARABIC LIGATURE HEH WITH YEH ISOLATED FORM
    "\uFC55",  # ARABIC LIGATURE YEH WITH JEEM ISOLATED FORM
    "\uFC56",  # ARABIC LIGATURE YEH WITH HAH ISOLATED FORM
    "\uFC57",  # ARABIC LIGATURE YEH WITH KHAH ISOLATED FORM
    "\uFC58",  # ARABIC LIGATURE YEH WITH MEEM ISOLATED FORM
    "\uFC59",  # ARABIC LIGATURE YEH WITH ALEF MAKSURA ISOLATED FORM
    "\uFC5A",  # ARABIC LIGATURE YEH WITH YEH ISOLATED FORM
    "\uFC5B",  # ARABIC LIGATURE THAL WITH SUPERSCRIPT ALEF ISOLATED FORM
    "\uFC5C",  # ARABIC LIGATURE REH WITH SUPERSCRIPT ALEF ISOLATED FORM
    "\uFC5D",  # ARABIC LIGATURE ALEF MAKSURA WITH SUPERSCRIPT ALEF ISOLATED FORM
    "\uFC5E",  # ARABIC LIGATURE SHADDA WITH DAMMATAN ISOLATED FORM
    "\uFC5F",  # ARABIC LIGATURE SHADDA WITH KASRATAN ISOLATED FORM
    "\uFC60",  # ARABIC LIGATURE SHADDA WITH FATHA ISOLATED FORM
    "\uFC61",  # ARABIC LIGATURE SHADDA WITH DAMMA ISOLATED FORM
    "\uFC62",  # ARABIC LIGATURE SHADDA WITH KASRA ISOLATED FORM
    "\uFC63",  # ARABIC LIGATURE SHADDA WITH SUPERSCRIPT ALEF ISOLATED FORM
    "\uFC64",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH REH FINAL FORM
    "\uFC65",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ZAIN FINAL FORM
    "\uFC66",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH MEEM FINAL FORM
    "\uFC67",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH NOON FINAL FORM
    "\uFC68",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ALEF MAKSURA FINAL FORM
    "\uFC69",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH YEH FINAL FORM
    "\uFC6A",  # ARABIC LIGATURE BEH WITH REH FINAL FORM
    "\uFC6B",  # ARABIC LIGATURE BEH WITH ZAIN FINAL FORM
    "\uFC6C",  # ARABIC LIGATURE BEH WITH MEEM FINAL FORM
    "\uFC6D",  # ARABIC LIGATURE BEH WITH NOON FINAL FORM
    "\uFC6E",  # ARABIC LIGATURE BEH WITH ALEF MAKSURA FINAL FORM
    "\uFC6F",  # ARABIC LIGATURE BEH WITH YEH FINAL FORM
    "\uFC70",  # ARABIC LIGATURE TEH WITH REH FINAL FORM
    "\uFC71",  # ARABIC LIGATURE TEH WITH ZAIN FINAL FORM
    "\uFC72",  # ARABIC LIGATURE TEH WITH MEEM FINAL FORM
    "\uFC73",  # ARABIC LIGATURE TEH WITH NOON FINAL FORM
    "\uFC74",  # ARABIC LIGATURE TEH WITH ALEF MAKSURA FINAL FORM
    "\uFC75",  # ARABIC LIGATURE TEH WITH YEH FINAL FORM
    "\uFC76",  # ARABIC LIGATURE THEH WITH REH FINAL FORM
    "\uFC77",  # ARABIC LIGATURE THEH WITH ZAIN FINAL FORM
    "\uFC78",  # ARABIC LIGATURE THEH WITH MEEM FINAL FORM
    "\uFC79",  # ARABIC LIGATURE THEH WITH NOON FINAL FORM
    "\uFC7A",  # ARABIC LIGATURE THEH WITH ALEF MAKSURA FINAL FORM
    "\uFC7B",  # ARABIC LIGATURE THEH WITH YEH FINAL FORM
    "\uFC7C",  # ARABIC LIGATURE FEH WITH ALEF MAKSURA FINAL FORM
    "\uFC7D",  # ARABIC LIGATURE FEH WITH YEH FINAL FORM
    "\uFC7E",  # ARABIC LIGATURE QAF WITH ALEF MAKSURA FINAL FORM
    "\uFC7F",  # ARABIC LIGATURE QAF WITH YEH FINAL FORM
    "\uFC80",  # ARABIC LIGATURE KAF WITH ALEF FINAL FORM
    "\uFC81",  # ARABIC LIGATURE KAF WITH LAM FINAL FORM
    "\uFC82",  # ARABIC LIGATURE KAF WITH MEEM FINAL FORM
    "\uFC83",  # ARABIC LIGATURE KAF WITH ALEF MAKSURA FINAL FORM
    "\uFC84",  # ARABIC LIGATURE KAF WITH YEH FINAL FORM
    "\uFC85",  # ARABIC LIGATURE LAM WITH MEEM FINAL FORM
    "\uFC86",  # ARABIC LIGATURE LAM WITH ALEF MAKSURA FINAL FORM
    "\uFC87",  # ARABIC LIGATURE LAM WITH YEH FINAL FORM
    "\uFC88",  # ARABIC LIGATURE MEEM WITH ALEF FINAL FORM
    "\uFC89",  # ARABIC LIGATURE MEEM WITH MEEM FINAL FORM
    "\uFC8A",  # ARABIC LIGATURE NOON WITH REH FINAL FORM
    "\uFC8B",  # ARABIC LIGATURE NOON WITH ZAIN FINAL FORM
    "\uFC8C",  # ARABIC LIGATURE NOON WITH MEEM FINAL FORM
    "\uFC8D",  # ARABIC LIGATURE NOON WITH NOON FINAL FORM
    "\uFC8E",  # ARABIC LIGATURE NOON WITH ALEF MAKSURA FINAL FORM
    "\uFC8F",  # ARABIC LIGATURE NOON WITH YEH FINAL FORM
    "\uFC90",  # ARABIC LIGATURE ALEF MAKSURA WITH SUPERSCRIPT ALEF FINAL FORM
    "\uFC91",  # ARABIC LIGATURE YEH WITH REH FINAL FORM
    "\uFC92",  # ARABIC LIGATURE YEH WITH ZAIN FINAL FORM
    "\uFC93",  # ARABIC LIGATURE YEH WITH MEEM FINAL FORM
    "\uFC94",  # ARABIC LIGATURE YEH WITH NOON FINAL FORM
    "\uFC95",  # ARABIC LIGATURE YEH WITH ALEF MAKSURA FINAL FORM
    "\uFC96",  # ARABIC LIGATURE YEH WITH YEH FINAL FORM
    "\uFC97",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH JEEM INITIAL FORM
    "\uFC98",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH HAH INITIAL FORM
    "\uFC99",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH KHAH INITIAL FORM
    "\uFC9A",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH MEEM INITIAL FORM
    "\uFC9B",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH HEH INITIAL FORM
    "\uFC9C",  # ARABIC LIGATURE BEH WITH JEEM INITIAL FORM
    "\uFC9D",  # ARABIC LIGATURE BEH WITH HAH INITIAL FORM
    "\uFC9E",  # ARABIC LIGATURE BEH WITH KHAH INITIAL FORM
    "\uFC9F",  # ARABIC LIGATURE BEH WITH MEEM INITIAL FORM
    "\uFCA0",  # ARABIC LIGATURE BEH WITH HEH INITIAL FORM
    "\uFCA1",  # ARABIC LIGATURE TEH WITH JEEM INITIAL FORM
    "\uFCA2",  # ARABIC LIGATURE TEH WITH HAH INITIAL FORM
    "\uFCA3",  # ARABIC LIGATURE TEH WITH KHAH INITIAL FORM
    "\uFCA4",  # ARABIC LIGATURE TEH WITH MEEM INITIAL FORM
    "\uFCA5",  # ARABIC LIGATURE TEH WITH HEH INITIAL FORM
    "\uFCA6",  # ARABIC LIGATURE THEH WITH MEEM INITIAL FORM
    "\uFCA7",  # ARABIC LIGATURE JEEM WITH HAH INITIAL FORM
    "\uFCA8",  # ARABIC LIGATURE JEEM WITH MEEM INITIAL FORM
    "\uFCA9",  # ARABIC LIGATURE HAH WITH JEEM INITIAL FORM
    "\uFCAA",  # ARABIC LIGATURE HAH WITH MEEM INITIAL FORM
    "\uFCAB",  # ARABIC LIGATURE KHAH WITH JEEM INITIAL FORM
    "\uFCAC",  # ARABIC LIGATURE KHAH WITH MEEM INITIAL FORM
    "\uFCAD",  # ARABIC LIGATURE SEEN WITH JEEM INITIAL FORM
    "\uFCAE",  # ARABIC LIGATURE SEEN WITH HAH INITIAL FORM
    "\uFCAF",  # ARABIC LIGATURE SEEN WITH KHAH INITIAL FORM
    "\uFCB0",  # ARABIC LIGATURE SEEN WITH MEEM INITIAL FORM
    "\uFCB1",  # ARABIC LIGATURE SAD WITH HAH INITIAL FORM
    "\uFCB2",  # ARABIC LIGATURE SAD WITH KHAH INITIAL FORM
    "\uFCB3",  # ARABIC LIGATURE SAD WITH MEEM INITIAL FORM
    "\uFCB4",  # ARABIC LIGATURE DAD WITH JEEM INITIAL FORM
    "\uFCB5",  # ARABIC LIGATURE DAD WITH HAH INITIAL FORM
    "\uFCB6",  # ARABIC LIGATURE DAD WITH KHAH INITIAL FORM
    "\uFCB7",  # ARABIC LIGATURE DAD WITH MEEM INITIAL FORM
    "\uFCB8",  # ARABIC LIGATURE TAH WITH HAH INITIAL FORM
    "\uFCB9",  # ARABIC LIGATURE ZAH WITH MEEM INITIAL FORM
    "\uFCBA",  # ARABIC LIGATURE AIN WITH JEEM INITIAL FORM
    "\uFCBB",  # ARABIC LIGATURE AIN WITH MEEM INITIAL FORM
    "\uFCBC",  # ARABIC LIGATURE GHAIN WITH JEEM INITIAL FORM
    "\uFCBD",  # ARABIC LIGATURE GHAIN WITH MEEM INITIAL FORM
    "\uFCBE",  # ARABIC LIGATURE FEH WITH JEEM INITIAL FORM
    "\uFCBF",  # ARABIC LIGATURE FEH WITH HAH INITIAL FORM
    "\uFCC0",  # ARABIC LIGATURE FEH WITH KHAH INITIAL FORM
    "\uFCC1",  # ARABIC LIGATURE FEH WITH MEEM INITIAL FORM
    "\uFCC2",  # ARABIC LIGATURE QAF WITH HAH INITIAL FORM
    "\uFCC3",  # ARABIC LIGATURE QAF WITH MEEM INITIAL FORM
    "\uFCC4",  # ARABIC LIGATURE KAF WITH JEEM INITIAL FORM
    "\uFCC5",  # ARABIC LIGATURE KAF WITH HAH INITIAL FORM
    "\uFCC6",  # ARABIC LIGATURE KAF WITH KHAH INITIAL FORM
    "\uFCC7",  # ARABIC LIGATURE KAF WITH LAM INITIAL FORM
    "\uFCC8",  # ARABIC LIGATURE KAF WITH MEEM INITIAL FORM
    "\uFCC9",  # ARABIC LIGATURE LAM WITH JEEM INITIAL FORM
    "\uFCCA",  # ARABIC LIGATURE LAM WITH HAH INITIAL FORM
    "\uFCCB",  # ARABIC LIGATURE LAM WITH KHAH INITIAL FORM
    "\uFCCC",  # ARABIC LIGATURE LAM WITH MEEM INITIAL FORM
    "\uFCCD",  # ARABIC LIGATURE LAM WITH HEH INITIAL FORM
    "\uFCCE",  # ARABIC LIGATURE MEEM WITH JEEM INITIAL FORM
    "\uFCCF",  # ARABIC LIGATURE MEEM WITH HAH INITIAL FORM
    "\uFCD0",  # ARABIC LIGATURE MEEM WITH KHAH INITIAL FORM
    "\uFCD1",  # ARABIC LIGATURE MEEM WITH MEEM INITIAL FORM
    "\uFCD2",  # ARABIC LIGATURE NOON WITH JEEM INITIAL FORM
    "\uFCD3",  # ARABIC LIGATURE NOON WITH HAH INITIAL FORM
    "\uFCD4",  # ARABIC LIGATURE NOON WITH KHAH INITIAL FORM
    "\uFCD5",  # ARABIC LIGATURE NOON WITH MEEM INITIAL FORM
    "\uFCD6",  # ARABIC LIGATURE NOON WITH HEH INITIAL FORM
    "\uFCD7",  # ARABIC LIGATURE HEH WITH JEEM INITIAL FORM
    "\uFCD8",  # ARABIC LIGATURE HEH WITH MEEM INITIAL FORM
    "\uFCD9",  # ARABIC LIGATURE HEH WITH SUPERSCRIPT ALEF INITIAL FORM
    "\uFCDA",  # ARABIC LIGATURE YEH WITH JEEM INITIAL FORM
    "\uFCDB",  # ARABIC LIGATURE YEH WITH HAH INITIAL FORM
    "\uFCDC",  # ARABIC LIGATURE YEH WITH KHAH INITIAL FORM
    "\uFCDD",  # ARABIC LIGATURE YEH WITH MEEM INITIAL FORM
    "\uFCDE",  # ARABIC LIGATURE YEH WITH HEH INITIAL FORM
    "\uFCDF",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH MEEM MEDIAL FORM
    "\uFCE0",  # ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH HEH MEDIAL FORM
    "\uFCE1",  # ARABIC LIGATURE BEH WITH MEEM MEDIAL FORM
    "\uFCE2",  # ARABIC LIGATURE BEH WITH HEH MEDIAL FORM
    "\uFCE3",  # ARABIC LIGATURE TEH WITH MEEM MEDIAL FORM
    "\uFCE4",  # ARABIC LIGATURE TEH WITH HEH MEDIAL FORM
    "\uFCE5",  # ARABIC LIGATURE THEH WITH MEEM MEDIAL FORM
    "\uFCE6",  # ARABIC LIGATURE THEH WITH HEH MEDIAL FORM
    "\uFCE7",  # ARABIC LIGATURE SEEN WITH MEEM MEDIAL FORM
    "\uFCE8",  # ARABIC LIGATURE SEEN WITH HEH MEDIAL FORM
    "\uFCE9",  # ARABIC LIGATURE SHEEN WITH MEEM MEDIAL FORM
    "\uFCEA",  # ARABIC LIGATURE SHEEN WITH HEH MEDIAL FORM
    "\uFCEB",  # ARABIC LIGATURE KAF WITH LAM MEDIAL FORM
    "\uFCEC",  # ARABIC LIGATURE KAF WITH MEEM MEDIAL FORM
    "\uFCED",  # ARABIC LIGATURE LAM WITH MEEM MEDIAL FORM
    "\uFCEE",  # ARABIC LIGATURE NOON WITH MEEM MEDIAL FORM
    "\uFCEF",  # ARABIC LIGATURE NOON WITH HEH MEDIAL FORM
    "\uFCF0",  # ARABIC LIGATURE YEH WITH MEEM MEDIAL FORM
    "\uFCF1",  # ARABIC LIGATURE YEH WITH HEH MEDIAL FORM
    "\uFCF2",  # ARABIC LIGATURE SHADDA WITH FATHA MEDIAL FORM
    "\uFCF3",  # ARABIC LIGATURE SHADDA WITH DAMMA MEDIAL FORM
    "\uFCF4",  # ARABIC LIGATURE SHADDA WITH KASRA MEDIAL FORM
    "\uFCF5",  # ARABIC LIGATURE TAH WITH ALEF MAKSURA ISOLATED FORM
    "\uFCF6",  # ARABIC LIGATURE TAH WITH YEH ISOLATED FORM
    "\uFCF7",  # ARABIC LIGATURE AIN WITH ALEF MAKSURA ISOLATED FORM
    "\uFCF8",  # ARABIC LIGATURE AIN WITH YEH ISOLATED FORM
    "\uFCF9",  # ARABIC LIGATURE GHAIN WITH ALEF MAKSURA ISOLATED FORM
    "\uFCFA",  # ARABIC LIGATURE GHAIN WITH YEH ISOLATED FORM
    "\uFCFB",  # ARABIC LIGATURE SEEN WITH ALEF MAKSURA ISOLATED FORM
    "\uFCFC",  # ARABIC LIGATURE SEEN WITH YEH ISOLATED FORM
    "\uFCFD",  # ARABIC LIGATURE SHEEN WITH ALEF MAKSURA ISOLATED FORM
    "\uFCFE",  # ARABIC LIGATURE SHEEN WITH YEH ISOLATED FORM
    "\uFCFF",  # ARABIC LIGATURE HAH WITH ALEF MAKSURA ISOLATED FORM
    "\uFD00",  # ARABIC LIGATURE HAH WITH YEH ISOLATED FORM
    "\uFD01",  # ARABIC LIGATURE JEEM WITH ALEF MAKSURA ISOLATED FORM
    "\uFD02",  # ARABIC LIGATURE JEEM WITH YEH ISOLATED FORM
    "\uFD03",  # ARABIC LIGATURE KHAH WITH ALEF MAKSURA ISOLATED FORM
    "\uFD04",  # ARABIC LIGATURE KHAH WITH YEH ISOLATED FORM
    "\uFD05",  # ARABIC LIGATURE SAD WITH ALEF MAKSURA ISOLATED FORM
    "\uFD06",  # ARABIC LIGATURE SAD WITH YEH ISOLATED FORM
    "\uFD07",  # ARABIC LIGATURE DAD WITH ALEF MAKSURA ISOLATED FORM
    "\uFD08",  # ARABIC LIGATURE DAD WITH YEH ISOLATED FORM
    "\uFD09",  # ARABIC LIGATURE SHEEN WITH JEEM ISOLATED FORM
    "\uFD0A",  # ARABIC LIGATURE SHEEN WITH HAH ISOLATED FORM
    "\uFD0B",  # ARABIC LIGATURE SHEEN WITH KHAH ISOLATED FORM
    "\uFD0C",  # ARABIC LIGATURE SHEEN WITH MEEM ISOLATED FORM
    "\uFD0D",  # ARABIC LIGATURE SHEEN WITH REH ISOLATED FORM
    "\uFD0E",  # ARABIC LIGATURE SEEN WITH REH ISOLATED FORM
    "\uFD0F",  # ARABIC LIGATURE SAD WITH REH ISOLATED FORM
    "\uFD10",  # ARABIC LIGATURE DAD WITH REH ISOLATED FORM
    "\uFD11",  # ARABIC LIGATURE TAH WITH ALEF MAKSURA FINAL FORM
    "\uFD12",  # ARABIC LIGATURE TAH WITH YEH FINAL FORM
    "\uFD13",  # ARABIC LIGATURE AIN WITH ALEF MAKSURA FINAL FORM
    "\uFD14",  # ARABIC LIGATURE AIN WITH YEH FINAL FORM
    "\uFD15",  # ARABIC LIGATURE GHAIN WITH ALEF MAKSURA FINAL FORM
    "\uFD16",  # ARABIC LIGATURE GHAIN WITH YEH FINAL FORM
    "\uFD17",  # ARABIC LIGATURE SEEN WITH ALEF MAKSURA FINAL FORM
    "\uFD18",  # ARABIC LIGATURE SEEN WITH YEH FINAL FORM
    "\uFD19",  # ARABIC LIGATURE SHEEN WITH ALEF MAKSURA FINAL FORM
    "\uFD1A",  # ARABIC LIGATURE SHEEN WITH YEH FINAL FORM
    "\uFD1B",  # ARABIC LIGATURE HAH WITH ALEF MAKSURA FINAL FORM
    "\uFD1C",  # ARABIC LIGATURE HAH WITH YEH FINAL FORM
    "\uFD1D",  # ARABIC LIGATURE JEEM WITH ALEF MAKSURA FINAL FORM
    "\uFD1E",  # ARABIC LIGATURE JEEM WITH YEH FINAL FORM
    "\uFD1F",  # ARABIC LIGATURE KHAH WITH ALEF MAKSURA FINAL FORM
    "\uFD20",  # ARABIC LIGATURE KHAH WITH YEH FINAL FORM
    "\uFD21",  # ARABIC LIGATURE SAD WITH ALEF MAKSURA FINAL FORM
    "\uFD22",  # ARABIC LIGATURE SAD WITH YEH FINAL FORM
    "\uFD23",  # ARABIC LIGATURE DAD WITH ALEF MAKSURA FINAL FORM
    "\uFD24",  # ARABIC LIGATURE DAD WITH YEH FINAL FORM
    "\uFD25",  # ARABIC LIGATURE SHEEN WITH JEEM FINAL FORM
    "\uFD26",  # ARABIC LIGATURE SHEEN WITH HAH FINAL FORM
    "\uFD27",  # ARABIC LIGATURE SHEEN WITH KHAH FINAL FORM
    "\uFD28",  # ARABIC LIGATURE SHEEN WITH MEEM FINAL FORM
    "\uFD29",  # ARABIC LIGATURE SHEEN WITH REH FINAL FORM
    "\uFD2A",  # ARABIC LIGATURE SEEN WITH REH FINAL FORM
    "\uFD2B",  # ARABIC LIGATURE SAD WITH REH FINAL FORM
    "\uFD2C",  # ARABIC LIGATURE DAD WITH REH FINAL FORM
    "\uFD2D",  # ARABIC LIGATURE SHEEN WITH JEEM INITIAL FORM
    "\uFD2E",  # ARABIC LIGATURE SHEEN WITH HAH INITIAL FORM
    "\uFD2F",  # ARABIC LIGATURE SHEEN WITH KHAH INITIAL FORM
    "\uFD30",  # ARABIC LIGATURE SHEEN WITH MEEM INITIAL FORM
    "\uFD31",  # ARABIC LIGATURE SEEN WITH HEH INITIAL FORM
    "\uFD32",  # ARABIC LIGATURE SHEEN WITH HEH INITIAL FORM
    "\uFD33",  # ARABIC LIGATURE TAH WITH MEEM INITIAL FORM
    "\uFD34",  # ARABIC LIGATURE SEEN WITH JEEM MEDIAL FORM
    "\uFD35",  # ARABIC LIGATURE SEEN WITH HAH MEDIAL FORM
    "\uFD36",  # ARABIC LIGATURE SEEN WITH KHAH MEDIAL FORM
    "\uFD37",  # ARABIC LIGATURE SHEEN WITH JEEM MEDIAL FORM
    "\uFD38",  # ARABIC LIGATURE SHEEN WITH HAH MEDIAL FORM
    "\uFD39",  # ARABIC LIGATURE SHEEN WITH KHAH MEDIAL FORM
    "\uFD3A",  # ARABIC LIGATURE TAH WITH MEEM MEDIAL FORM
    "\uFD3B",  # ARABIC LIGATURE ZAH WITH MEEM MEDIAL FORM
    "\uFD3C",  # ARABIC LIGATURE ALEF WITH FATHATAN FINAL FORM
    "\uFD3D",  # ARABIC LIGATURE ALEF WITH FATHATAN ISOLATED FORM
    "\uFD3E",  # ORNATE LEFT PARENTHESIS
    "\uFD3F",  # ORNATE RIGHT PARENTHESIS
    "\uFD50",  # ARABIC LIGATURE TEH WITH JEEM WITH MEEM INITIAL FORM
    "\uFD51",  # ARABIC LIGATURE TEH WITH HAH WITH JEEM FINAL FORM
    "\uFD52",  # ARABIC LIGATURE TEH WITH HAH WITH JEEM INITIAL FORM
    "\uFD53",  # ARABIC LIGATURE TEH WITH HAH WITH MEEM INITIAL FORM
    "\uFD54",  # ARABIC LIGATURE TEH WITH KHAH WITH MEEM INITIAL FORM
    "\uFD55",  # ARABIC LIGATURE TEH WITH MEEM WITH JEEM INITIAL FORM
    "\uFD56",  # ARABIC LIGATURE TEH WITH MEEM WITH HAH INITIAL FORM
    "\uFD57",  # ARABIC LIGATURE TEH WITH MEEM WITH KHAH INITIAL FORM
    "\uFD58",  # ARABIC LIGATURE JEEM WITH MEEM WITH HAH FINAL FORM
    "\uFD59",  # ARABIC LIGATURE JEEM WITH MEEM WITH HAH INITIAL FORM
    "\uFD5A",  # ARABIC LIGATURE HAH WITH MEEM WITH YEH FINAL FORM
    "\uFD5B",  # ARABIC LIGATURE HAH WITH MEEM WITH ALEF MAKSURA FINAL FORM
    "\uFD5C",  # ARABIC LIGATURE SEEN WITH HAH WITH JEEM INITIAL FORM
    "\uFD5D",  # ARABIC LIGATURE SEEN WITH JEEM WITH HAH INITIAL FORM
    "\uFD5E",  # ARABIC LIGATURE SEEN WITH JEEM WITH ALEF MAKSURA FINAL FORM
    "\uFD5F",  # ARABIC LIGATURE SEEN WITH MEEM WITH HAH FINAL FORM
    "\uFD60",  # ARABIC LIGATURE SEEN WITH MEEM WITH HAH INITIAL FORM
    "\uFD61",  # ARABIC LIGATURE SEEN WITH MEEM WITH JEEM INITIAL FORM
    "\uFD62",  # ARABIC LIGATURE SEEN WITH MEEM WITH MEEM FINAL FORM
    "\uFD63",  # ARABIC LIGATURE SEEN WITH MEEM WITH MEEM INITIAL FORM
    "\uFD64",  # ARABIC LIGATURE SAD WITH HAH WITH HAH FINAL FORM
    "\uFD65",  # ARABIC LIGATURE SAD WITH HAH WITH HAH INITIAL FORM
    "\uFD66",  # ARABIC LIGATURE SAD WITH MEEM WITH MEEM FINAL FORM
    "\uFD67",  # ARABIC LIGATURE SHEEN WITH HAH WITH MEEM FINAL FORM
    "\uFD68",  # ARABIC LIGATURE SHEEN WITH HAH WITH MEEM INITIAL FORM
    "\uFD69",  # ARABIC LIGATURE SHEEN WITH JEEM WITH YEH FINAL FORM
    "\uFD6A",  # ARABIC LIGATURE SHEEN WITH MEEM WITH KHAH FINAL FORM
    "\uFD6B",  # ARABIC LIGATURE SHEEN WITH MEEM WITH KHAH INITIAL FORM
    "\uFD6C",  # ARABIC LIGATURE SHEEN WITH MEEM WITH MEEM FINAL FORM
    "\uFD6D",  # ARABIC LIGATURE SHEEN WITH MEEM WITH MEEM INITIAL FORM
    "\uFD6E",  # ARABIC LIGATURE DAD WITH HAH WITH ALEF MAKSURA FINAL FORM
    "\uFD6F",  # ARABIC LIGATURE DAD WITH KHAH WITH MEEM FINAL FORM
    "\uFD70",  # ARABIC LIGATURE DAD WITH KHAH WITH MEEM INITIAL FORM
    "\uFD71",  # ARABIC LIGATURE TAH WITH MEEM WITH HAH FINAL FORM
    "\uFD72",  # ARABIC LIGATURE TAH WITH MEEM WITH HAH INITIAL FORM
    "\uFD73",  # ARABIC LIGATURE TAH WITH MEEM WITH MEEM INITIAL FORM
    "\uFD74",  # ARABIC LIGATURE TAH WITH MEEM WITH YEH FINAL FORM
    "\uFD75",  # ARABIC LIGATURE AIN WITH JEEM WITH MEEM FINAL FORM
    "\uFD76",  # ARABIC LIGATURE AIN WITH MEEM WITH MEEM FINAL FORM
    "\uFD77",  # ARABIC LIGATURE AIN WITH MEEM WITH MEEM INITIAL FORM
    "\uFD78",  # ARABIC LIGATURE AIN WITH MEEM WITH ALEF MAKSURA FINAL FORM
    "\uFD79",  # ARABIC LIGATURE GHAIN WITH MEEM WITH MEEM FINAL FORM
    "\uFD7A",  # ARABIC LIGATURE GHAIN WITH MEEM WITH YEH FINAL FORM
    "\uFD7B",  # ARABIC LIGATURE GHAIN WITH MEEM WITH ALEF MAKSURA FINAL FORM
    "\uFD7C",  # ARABIC LIGATURE FEH WITH KHAH WITH MEEM FINAL FORM
    "\uFD7D",  # ARABIC LIGATURE FEH WITH KHAH WITH MEEM INITIAL FORM
    "\uFD7E",  # ARABIC LIGATURE QAF WITH MEEM WITH HAH FINAL FORM
    "\uFD7F",  # ARABIC LIGATURE QAF WITH MEEM WITH MEEM FINAL FORM
    "\uFD80",  # ARABIC LIGATURE LAM WITH HAH WITH MEEM FINAL FORM
    "\uFD81",  # ARABIC LIGATURE LAM WITH HAH WITH YEH FINAL FORM
    "\uFD82",  # ARABIC LIGATURE LAM WITH HAH WITH ALEF MAKSURA FINAL FORM
    "\uFD83",  # ARABIC LIGATURE LAM WITH JEEM WITH JEEM INITIAL FORM
    "\uFD84",  # ARABIC LIGATURE LAM WITH JEEM WITH JEEM FINAL FORM
    "\uFD85",  # ARABIC LIGATURE LAM WITH KHAH WITH MEEM FINAL FORM
    "\uFD86",  # ARABIC LIGATURE LAM WITH KHAH WITH MEEM INITIAL FORM
    "\uFD87",  # ARABIC LIGATURE LAM WITH MEEM WITH HAH FINAL FORM
    "\uFD88",  # ARABIC LIGATURE LAM WITH MEEM WITH HAH INITIAL FORM
    "\uFD89",  # ARABIC LIGATURE MEEM WITH HAH WITH JEEM INITIAL FORM
    "\uFD8A",  # ARABIC LIGATURE MEEM WITH HAH WITH MEEM INITIAL FORM
    "\uFD8B",  # ARABIC LIGATURE MEEM WITH HAH WITH YEH FINAL FORM
    "\uFD8C",  # ARABIC LIGATURE MEEM WITH JEEM WITH HAH INITIAL FORM
    "\uFD8D",  # ARABIC LIGATURE MEEM WITH JEEM WITH MEEM INITIAL FORM
    "\uFD8E",  # ARABIC LIGATURE MEEM WITH KHAH WITH JEEM INITIAL FORM
    "\uFD8F",  # ARABIC LIGATURE MEEM WITH KHAH WITH MEEM INITIAL FORM
    "\uFD92",  # ARABIC LIGATURE MEEM WITH JEEM WITH KHAH INITIAL FORM
    "\uFD93",  # ARABIC LIGATURE HEH WITH MEEM WITH JEEM INITIAL FORM
    "\uFD94",  # ARABIC LIGATURE HEH WITH MEEM WITH MEEM INITIAL FORM
    "\uFD95",  # ARABIC LIGATURE NOON WITH HAH WITH MEEM INITIAL FORM
    "\uFD96",  # ARABIC LIGATURE NOON WITH HAH WITH ALEF MAKSURA FINAL FORM
    "\uFD97",  # ARABIC LIGATURE NOON WITH JEEM WITH MEEM FINAL FORM
    "\uFD98",  # ARABIC LIGATURE NOON WITH JEEM WITH MEEM INITIAL FORM
    "\uFD99",  # ARABIC LIGATURE NOON WITH JEEM WITH ALEF MAKSURA FINAL FORM
    "\uFD9A",  # ARABIC LIGATURE NOON WITH MEEM WITH YEH FINAL FORM
    "\uFD9B",  # ARABIC LIGATURE NOON WITH MEEM WITH ALEF MAKSURA FINAL FORM
    "\uFD9C",  # ARABIC LIGATURE YEH WITH MEEM WITH MEEM FINAL FORM
    "\uFD9D",  # ARABIC LIGATURE YEH WITH MEEM WITH MEEM INITIAL FORM
    "\uFD9E",  # ARABIC LIGATURE BEH WITH KHAH WITH YEH FINAL FORM
    "\uFD9F",  # ARABIC LIGATURE TEH WITH JEEM WITH YEH FINAL FORM
    "\uFDA0",  # ARABIC LIGATURE TEH WITH JEEM WITH ALEF MAKSURA FINAL FORM
    "\uFDA1",  # ARABIC LIGATURE TEH WITH KHAH WITH YEH FINAL FORM
    "\uFDA2",  # ARABIC LIGATURE TEH WITH KHAH WITH ALEF MAKSURA FINAL FORM
    "\uFDA3",  # ARABIC LIGATURE TEH WITH MEEM WITH YEH FINAL FORM
    "\uFDA4",  # ARABIC LIGATURE TEH WITH MEEM WITH ALEF MAKSURA FINAL FORM
    "\uFDA5",  # ARABIC LIGATURE JEEM WITH MEEM WITH YEH FINAL FORM
    "\uFDA6",  # ARABIC LIGATURE JEEM WITH HAH WITH ALEF MAKSURA FINAL FORM
    "\uFDA7",  # ARABIC LIGATURE JEEM WITH MEEM WITH ALEF MAKSURA FINAL FORM
    "\uFDA8",  # ARABIC LIGATURE SEEN WITH KHAH WITH ALEF MAKSURA FINAL FORM
    "\uFDA9",  # ARABIC LIGATURE SAD WITH HAH WITH YEH FINAL FORM
    "\uFDAA",  # ARABIC LIGATURE SHEEN WITH HAH WITH YEH FINAL FORM
    "\uFDAB",  # ARABIC LIGATURE DAD WITH HAH WITH YEH FINAL FORM
    "\uFDAC",  # ARABIC LIGATURE LAM WITH JEEM WITH YEH FINAL FORM
    "\uFDAD",  # ARABIC LIGATURE LAM WITH MEEM WITH YEH FINAL FORM
    "\uFDAE",  # ARABIC LIGATURE YEH WITH HAH WITH YEH FINAL FORM
    "\uFDAF",  # ARABIC LIGATURE YEH WITH JEEM WITH YEH FINAL FORM
    "\uFDB0",  # ARABIC LIGATURE YEH WITH MEEM WITH YEH FINAL FORM
    "\uFDB1",  # ARABIC LIGATURE MEEM WITH MEEM WITH YEH FINAL FORM
    "\uFDB2",  # ARABIC LIGATURE QAF WITH MEEM WITH YEH FINAL FORM
    "\uFDB3",  # ARABIC LIGATURE NOON WITH HAH WITH YEH FINAL FORM
    "\uFDB4",  # ARABIC LIGATURE QAF WITH MEEM WITH HAH INITIAL FORM
    "\uFDB5",  # ARABIC LIGATURE LAM WITH HAH WITH MEEM INITIAL FORM
    "\uFDB6",  # ARABIC LIGATURE AIN WITH MEEM WITH YEH FINAL FORM
    "\uFDB7",  # ARABIC LIGATURE KAF WITH MEEM WITH YEH FINAL FORM
    "\uFDB8",  # ARABIC LIGATURE NOON WITH JEEM WITH HAH INITIAL FORM
    "\uFDB9",  # ARABIC LIGATURE MEEM WITH KHAH WITH YEH FINAL FORM
    "\uFDBA",  # ARABIC LIGATURE LAM WITH JEEM WITH MEEM INITIAL FORM
    "\uFDBB",  # ARABIC LIGATURE KAF WITH MEEM WITH MEEM FINAL FORM
    "\uFDBC",  # ARABIC LIGATURE LAM WITH JEEM WITH MEEM FINAL FORM
    "\uFDBD",  # ARABIC LIGATURE NOON WITH JEEM WITH HAH FINAL FORM
    "\uFDBE",  # ARABIC LIGATURE JEEM WITH HAH WITH YEH FINAL FORM
    "\uFDBF",  # ARABIC LIGATURE HAH WITH JEEM WITH YEH FINAL FORM
    "\uFDC0",  # ARABIC LIGATURE MEEM WITH JEEM WITH YEH FINAL FORM
    "\uFDC1",  # ARABIC LIGATURE FEH WITH MEEM WITH YEH FINAL FORM
    "\uFDC2",  # ARABIC LIGATURE BEH WITH HAH WITH YEH FINAL FORM
    "\uFDC3",  # ARABIC LIGATURE KAF WITH MEEM WITH MEEM INITIAL FORM
    "\uFDC4",  # ARABIC LIGATURE AIN WITH JEEM WITH MEEM INITIAL FORM
    "\uFDC5",  # ARABIC LIGATURE SAD WITH MEEM WITH MEEM INITIAL FORM
    "\uFDC6",  # ARABIC LIGATURE SEEN WITH KHAH WITH YEH FINAL FORM
    "\uFDC7",  # ARABIC LIGATURE NOON WITH JEEM WITH YEH FINAL FORM
    "\uFDD0",  # <not a character>
    "\uFDD1",  # <not a character>
    "\uFDD2",  # <not a character>
    "\uFDD3",  # <not a character>
    "\uFDD4",  # <not a character>
    "\uFDD5",  # <not a character>
    "\uFDD6",  # <not a character>
    "\uFDD7",  # <not a character>
    "\uFDD8",  # <not a character>
    "\uFDD9",  # <not a character>
    "\uFDDA",  # <not a character>
    "\uFDDB",  # <not a character>
    "\uFDDC",  # <not a character>
    "\uFDDD",  # <not a character>
    "\uFDDE",  # <not a character>
    "\uFDDF",  # <not a character>
    "\uFDE0",  # <not a character>
    "\uFDE1",  # <not a character>
    "\uFDE2",  # <not a character>
    "\uFDE3",  # <not a character>
    "\uFDE4",  # <not a character>
    "\uFDE5",  # <not a character>
    "\uFDE6",  # <not a character>
    "\uFDE7",  # <not a character>
    "\uFDE8",  # <not a character>
    "\uFDE9",  # <not a character>
    "\uFDEA",  # <not a character>
    "\uFDEB",  # <not a character>
    "\uFDEC",  # <not a character>
    "\uFDED",  # <not a character>
    "\uFDEE",  # <not a character>
    "\uFDEF",  # <not a character>
    "\uFDF0",  # ARABIC LIGATURE SALLA USED AS KORANIC STOP SIGN ISOLATED FORM
    "\uFDF1",  # ARABIC LIGATURE QALA USED AS KORANIC STOP SIGN ISOLATED FORM
    "\uFDF2",  # ARABIC LIGATURE ALLAH ISOLATED FORM
    "\uFDF3",  # ARABIC LIGATURE AKBAR ISOLATED FORM
    "\uFDF4",  # ARABIC LIGATURE MOHAMMAD ISOLATED FORM
    "\uFDF5",  # ARABIC LIGATURE SALAM ISOLATED FORM
    "\uFDF6",  # ARABIC LIGATURE RASOUL ISOLATED FORM
    "\uFDF7",  # ARABIC LIGATURE ALAYHE ISOLATED FORM
    "\uFDF8",  # ARABIC LIGATURE WASALLAM ISOLATED FORM
    "\uFDF9",  # ARABIC LIGATURE SALLA ISOLATED FORM
    "\uFDFA",  # ARABIC LIGATURE SALLALLAHOU ALAYHE WASALLAM
    "\uFDFB",  # ARABIC LIGATURE JALLAJALALOUHOU
    "\uFDFC",  # RIAL SIGN
    "\uFDFD",  # ARABIC LIGATURE BISMILLAH AR-RAHMAN AR-RAHEEM
    "\uFE00",  # VARIATION SELECTOR-1
    "\uFE01",  # VARIATION SELECTOR-2
    "\uFE02",  # VARIATION SELECTOR-3
    "\uFE03",  # VARIATION SELECTOR-4
    "\uFE04",  # VARIATION SELECTOR-5
    "\uFE05",  # VARIATION SELECTOR-6
    "\uFE06",  # VARIATION SELECTOR-7
    "\uFE07",  # VARIATION SELECTOR-8
    "\uFE08",  # VARIATION SELECTOR-9
    "\uFE09",  # VARIATION SELECTOR-10
    "\uFE0A",  # VARIATION SELECTOR-11
    "\uFE0B",  # VARIATION SELECTOR-12
    "\uFE0C",  # VARIATION SELECTOR-13
    "\uFE0D",  # VARIATION SELECTOR-14
    "\uFE0E",  # VARIATION SELECTOR-15
    "\uFE0F",  # VARIATION SELECTOR-16
    "\uFE10",  # PRESENTATION FORM FOR VERTICAL COMMA
    "\uFE11",  # PRESENTATION FORM FOR VERTICAL IDEOGRAPHIC COMMA
    "\uFE12",  # PRESENTATION FORM FOR VERTICAL IDEOGRAPHIC FULL STOP
    "\uFE13",  # PRESENTATION FORM FOR VERTICAL COLON
    "\uFE14",  # PRESENTATION FORM FOR VERTICAL SEMICOLON
    "\uFE15",  # PRESENTATION FORM FOR VERTICAL EXCLAMATION MARK
    "\uFE16",  # PRESENTATION FORM FOR VERTICAL QUESTION MARK
    "\uFE17",  # PRESENTATION FORM FOR VERTICAL LEFT WHITE LENTICULAR BRACKET
    "\uFE18",  # PRESENTATION FORM FOR VERTICAL RIGHT WHITE LENTICULAR BRAKCET
    "\uFE19",  # PRESENTATION FORM FOR VERTICAL HORIZONTAL ELLIPSIS
    "\uFE20",  # COMBINING LIGATURE LEFT HALF
    "\uFE21",  # COMBINING LIGATURE RIGHT HALF
    "\uFE22",  # COMBINING DOUBLE TILDE LEFT HALF
    "\uFE23",  # COMBINING DOUBLE TILDE RIGHT HALF
    "\uFE24",  # COMBINING MACRON LEFT HALF
    "\uFE25",  # COMBINING MACRON RIGHT HALF
    "\uFE26",  # COMBINING CONJOINING MACRON
    "\uFE27",  # COMBINING LIGATURE LEFT HALF BELOW
    "\uFE28",  # COMBINING LIGATURE RIGHT HALF BELOW
    "\uFE29",  # COMBINING TILDE LEFT HALF BELOW
    "\uFE2A",  # COMBINING TILDE RIGHT HALF BELOW
    "\uFE2B",  # COMBINING MACRON LEFT HALF BELOW
    "\uFE2C",  # COMBINING MACRON RIGHT HALF BELOW
    "\uFE2D",  # COMBINING CONJOINING MACRON BELOW
    "\uFE2E",  # COMBINING CYRILLIC TITLO LEFT HALF
    "\uFE2F",  # COMBINING CYRILLIC TITLO RIGHT HALF
    "\uFE30",  # PRESENTATION FORM FOR VERTICAL TWO DOT LEADER
    "\uFE31",  # PRESENTATION FORM FOR VERTICAL EM DASH
    "\uFE32",  # PRESENTATION FORM FOR VERTICAL EN DASH
    "\uFE33",  # PRESENTATION FORM FOR VERTICAL LOW LINE
    "\uFE34",  # PRESENTATION FORM FOR VERTICAL WAVY LOW LINE
    "\uFE35",  # PRESENTATION FORM FOR VERTICAL LEFT PARENTHESIS
    "\uFE36",  # PRESENTATION FORM FOR VERTICAL RIGHT PARENTHESIS
    "\uFE37",  # PRESENTATION FORM FOR VERTICAL LEFT CURLY BRACKET
    "\uFE38",  # PRESENTATION FORM FOR VERTICAL RIGHT CURLY BRACKET
    "\uFE39",  # PRESENTATION FORM FOR VERTICAL LEFT TORTOISE SHELL BRACKET
    "\uFE3A",  # PRESENTATION FORM FOR VERTICAL RIGHT TORTOISE SHELL BRACKET
    "\uFE3B",  # PRESENTATION FORM FOR VERTICAL LEFT BLACK LENTICULAR BRACKET
    "\uFE3C",  # PRESENTATION FORM FOR VERTICAL RIGHT BLACK LENTICULAR BRACKET
    "\uFE3D",  # PRESENTATION FORM FOR VERTICAL LEFT DOUBLE ANGLE BRACKET
    "\uFE3E",  # PRESENTATION FORM FOR VERTICAL RIGHT DOUBLE ANGLE BRACKET
    "\uFE3F",  # PRESENTATION FORM FOR VERTICAL LEFT ANGLE BRACKET
    "\uFE40",  # PRESENTATION FORM FOR VERTICAL RIGHT ANGLE BRACKET
    "\uFE41",  # PRESENTATION FORM FOR VERTICAL LEFT CORNER BRACKET
    "\uFE42",  # PRESENTATION FORM FOR VERTICAL RIGHT CORNER BRACKET
    "\uFE43",  # PRESENTATION FORM FOR VERTICAL LEFT WHITE CORNER BRACKET
    "\uFE44",  # PRESENTATION FORM FOR VERTICAL RIGHT WHITE CORNER BRACKET
    "\uFE45",  # SESAME DOT
    "\uFE46",  # WHITE SESAME DOT
    "\uFE47",  # PRESENTATION FORM FOR VERTICAL LEFT SQUARE BRACKET
    "\uFE48",  # PRESENTATION FORM FOR VERTICAL RIGHT SQUARE BRACKET
    "\uFE49",  # DASHED OVERLINE
    "\uFE4A",  # CENTRELINE OVERLINE
    "\uFE4B",  # WAVY OVERLINE
    "\uFE4C",  # DOUBLE WAVY OVERLINE
    "\uFE4D",  # DASHED LOW LINE
    "\uFE4E",  # CENTRELINE LOW LINE
    "\uFE4F",  # WAVY LOW LINE
    "\uFE50",  # SMALL COMMA
    "\uFE51",  # SMALL IDEOGRAPHIC COMMA
    "\uFE52",  # SMALL FULL STOP
    "\uFE54",  # SMALL SEMICOLON
    "\uFE55",  # SMALL COLON
    "\uFE56",  # SMALL QUESTION MARK
    "\uFE57",  # SMALL EXCLAMATION MARK
    "\uFE58",  # SMALL EM DASH
    "\uFE59",  # SMALL LEFT PARENTHESIS
    "\uFE5A",  # SMALL RIGHT PARENTHESIS
    "\uFE5B",  # SMALL LEFT CURLY BRACKET
    "\uFE5C",  # SMALL RIGHT CURLY BRACKET
    "\uFE5D",  # SMALL LEFT TORTOISE SHELL BRACKET
    "\uFE5E",  # SMALL RIGHT TORTOISE SHELL BRACKET
    "\uFE5F",  # SMALL NUMBER SIGN
    "\uFE60",  # SMALL AMPERSAND
    "\uFE61",  # SMALL ASTERISK
    "\uFE62",  # SMALL PLUS SIGN
    "\uFE63",  # SMALL HYPHEN-MINUS
    "\uFE64",  # SMALL LESS-THAN SIGN
    "\uFE65",  # SMALL GREATER-THAN SIGN
    "\uFE66",  # SMALL EQUALS SIGN
    "\uFE68",  # SMALL REVERSE SOLIDUS
    "\uFE69",  # SMALL DOLLAR SIGN
    "\uFE6A",  # SMALL PERCENT SIGN
    "\uFE6B",  # SMALL COMMERCIAL AT
    "\uFE70",  # ARABIC FATHATAN ISOLATED FORM
    "\uFE71",  # ARABIC TATWEEL WITH FATHATAN ABOVE
    "\uFE72",  # ARABIC DAMMATAN ISOLATED FORM
    "\uFE73",  # ARABIC TAIL FRAGMENT
    "\uFE74",  # ARABIC KASRATAN ISOLATED FORM
    "\uFE76",  # ARABIC FATHA ISOLATED FORM
    "\uFE77",  # ARABIC FATHA MEDIAL FORM
    "\uFE78",  # ARABIC DAMMA ISOLATED FORM
    "\uFE79",  # ARABIC DAMMA MEDIAL FORM
    "\uFE7A",  # ARABIC KASRA ISOLATED FORM
    "\uFE7B",  # ARABIC KASRA MEDIAL FORM
    "\uFE7C",  # ARABIC SHADDA ISOLATED FORM
    "\uFE7D",  # ARABIC SHADDA MEDIAL FORM
    "\uFE7E",  # ARABIC SUKUN ISOLATED FORM
    "\uFE7F",  # ARABIC SUKUN MEDIAL FORM
    "\uFE80",  # ARABIC LETTER HAMZA ISOLATED FORM
    "\uFE81",  # ARABIC LETTER ALEF WITH MADDA ABOVE ISOLATED FORM
    "\uFE82",  # ARABIC LETTER ALEF WITH MADDA ABOVE FINAL FORM
    "\uFE83",  # ARABIC LETTER ALEF WITH HAMZA ABOVE ISOLATED FORM
    "\uFE84",  # ARABIC LETTER ALEF WITH HAMZA ABOVE FINAL FORM
    "\uFE85",  # ARABIC LETTER WAW WITH HAMZA ABOVE ISOLATED FORM
    "\uFE86",  # ARABIC LETTER WAW WITH HAMZA ABOVE FINAL FORM
    "\uFE87",  # ARABIC LETTER ALEF WITH HAMZA BELOW ISOLATED FORM
    "\uFE88",  # ARABIC LETTER ALEF WITH HAMZA BELOW FINAL FORM
    "\uFE89",  # ARABIC LETTER YEH WITH HAMZA ABOVE ISOLATED FORM
    "\uFE8A",  # ARABIC LETTER YEH WITH HAMZA ABOVE FINAL FORM
    "\uFE8B",  # ARABIC LETTER YEH WITH HAMZA ABOVE INITIAL FORM
    "\uFE8C",  # ARABIC LETTER YEH WITH HAMZA ABOVE MEDIAL FORM
    "\uFE8D",  # ARABIC LETTER ALEF ISOLATED FORM
    "\uFE8E",  # ARABIC LETTER ALEF FINAL FORM
    "\uFE8F",  # ARABIC LETTER BEH ISOLATED FORM
    "\uFE90",  # ARABIC LETTER BEH FINAL FORM
    "\uFE91",  # ARABIC LETTER BEH INITIAL FORM
    "\uFE92",  # ARABIC LETTER BEH MEDIAL FORM
    "\uFE93",  # ARABIC LETTER TEH MARBUTA ISOLATED FORM
    "\uFE94",  # ARABIC LETTER TEH MARBUTA FINAL FORM
    "\uFE95",  # ARABIC LETTER TEH ISOLATED FORM
    "\uFE96",  # ARABIC LETTER TEH FINAL FORM
    "\uFE97",  # ARABIC LETTER TEH INITIAL FORM
    "\uFE98",  # ARABIC LETTER TEH MEDIAL FORM
    "\uFE99",  # ARABIC LETTER THEH ISOLATED FORM
    "\uFE9A",  # ARABIC LETTER THEH FINAL FORM
    "\uFE9B",  # ARABIC LETTER THEH INITIAL FORM
    "\uFE9C",  # ARABIC LETTER THEH MEDIAL FORM
    "\uFE9D",  # ARABIC LETTER JEEM ISOLATED FORM
    "\uFE9E",  # ARABIC LETTER JEEM FINAL FORM
    "\uFE9F",  # ARABIC LETTER JEEM INITIAL FORM
    "\uFEA0",  # ARABIC LETTER JEEM MEDIAL FORM
    "\uFEA1",  # ARABIC LETTER HAH ISOLATED FORM
    "\uFEA2",  # ARABIC LETTER HAH FINAL FORM
    "\uFEA3",  # ARABIC LETTER HAH INITIAL FORM
    "\uFEA4",  # ARABIC LETTER HAH MEDIAL FORM
    "\uFEA5",  # ARABIC LETTER KHAH ISOLATED FORM
    "\uFEA6",  # ARABIC LETTER KHAH FINAL FORM
    "\uFEA7",  # ARABIC LETTER KHAH INITIAL FORM
    "\uFEA8",  # ARABIC LETTER KHAH MEDIAL FORM
    "\uFEA9",  # ARABIC LETTER DAL ISOLATED FORM
    "\uFEAA",  # ARABIC LETTER DAL FINAL FORM
    "\uFEAB",  # ARABIC LETTER THAL ISOLATED FORM
    "\uFEAC",  # ARABIC LETTER THAL FINAL FORM
    "\uFEAD",  # ARABIC LETTER REH ISOLATED FORM
    "\uFEAE",  # ARABIC LETTER REH FINAL FORM
    "\uFEAF",  # ARABIC LETTER ZAIN ISOLATED FORM
    "\uFEB0",  # ARABIC LETTER ZAIN FINAL FORM
    "\uFEB1",  # ARABIC LETTER SEEN ISOLATED FORM
    "\uFEB2",  # ARABIC LETTER SEEN FINAL FORM
    "\uFEB3",  # ARABIC LETTER SEEN INITIAL FORM
    "\uFEB4",  # ARABIC LETTER SEEN MEDIAL FORM
    "\uFEB5",  # ARABIC LETTER SHEEN ISOLATED FORM
    "\uFEB6",  # ARABIC LETTER SHEEN FINAL FORM
    "\uFEB7",  # ARABIC LETTER SHEEN INITIAL FORM
    "\uFEB8",  # ARABIC LETTER SHEEN MEDIAL FORM
    "\uFEB9",  # ARABIC LETTER SAD ISOLATED FORM
    "\uFEBA",  # ARABIC LETTER SAD FINAL FORM
    "\uFEBB",  # ARABIC LETTER SAD INITIAL FORM
    "\uFEBC",  # ARABIC LETTER SAD MEDIAL FORM
    "\uFEBD",  # ARABIC LETTER DAD ISOLATED FORM
    "\uFEBE",  # ARABIC LETTER DAD FINAL FORM
    "\uFEBF",  # ARABIC LETTER DAD INITIAL FORM
    "\uFEC0",  # ARABIC LETTER DAD MEDIAL FORM
    "\uFEC1",  # ARABIC LETTER TAH ISOLATED FORM
    "\uFEC2",  # ARABIC LETTER TAH FINAL FORM
    "\uFEC3",  # ARABIC LETTER TAH INITIAL FORM
    "\uFEC4",  # ARABIC LETTER TAH MEDIAL FORM
    "\uFEC5",  # ARABIC LETTER ZAH ISOLATED FORM
    "\uFEC6",  # ARABIC LETTER ZAH FINAL FORM
    "\uFEC7",  # ARABIC LETTER ZAH INITIAL FORM
    "\uFEC8",  # ARABIC LETTER ZAH MEDIAL FORM
    "\uFEC9",  # ARABIC LETTER AIN ISOLATED FORM
    "\uFECA",  # ARABIC LETTER AIN FINAL FORM
    "\uFECB",  # ARABIC LETTER AIN INITIAL FORM
    "\uFECC",  # ARABIC LETTER AIN MEDIAL FORM
    "\uFECD",  # ARABIC LETTER GHAIN ISOLATED FORM
    "\uFECE",  # ARABIC LETTER GHAIN FINAL FORM
    "\uFECF",  # ARABIC LETTER GHAIN INITIAL FORM
    "\uFED0",  # ARABIC LETTER GHAIN MEDIAL FORM
    "\uFED1",  # ARABIC LETTER FEH ISOLATED FORM
    "\uFED2",  # ARABIC LETTER FEH FINAL FORM
    "\uFED3",  # ARABIC LETTER FEH INITIAL FORM
    "\uFED4",  # ARABIC LETTER FEH MEDIAL FORM
    "\uFED5",  # ARABIC LETTER QAF ISOLATED FORM
    "\uFED6",  # ARABIC LETTER QAF FINAL FORM
    "\uFED7",  # ARABIC LETTER QAF INITIAL FORM
    "\uFED8",  # ARABIC LETTER QAF MEDIAL FORM
    "\uFED9",  # ARABIC LETTER KAF ISOLATED FORM
    "\uFEDA",  # ARABIC LETTER KAF FINAL FORM
    "\uFEDB",  # ARABIC LETTER KAF INITIAL FORM
    "\uFEDC",  # ARABIC LETTER KAF MEDIAL FORM
    "\uFEDD",  # ARABIC LETTER LAM ISOLATED FORM
    "\uFEDE",  # ARABIC LETTER LAM FINAL FORM
    "\uFEDF",  # ARABIC LETTER LAM INITIAL FORM
    "\uFEE0",  # ARABIC LETTER LAM MEDIAL FORM
    "\uFEE1",  # ARABIC LETTER MEEM ISOLATED FORM
    "\uFEE2",  # ARABIC LETTER MEEM FINAL FORM
    "\uFEE3",  # ARABIC LETTER MEEM INITIAL FORM
    "\uFEE4",  # ARABIC LETTER MEEM MEDIAL FORM
    "\uFEE5",  # ARABIC LETTER NOON ISOLATED FORM
    "\uFEE6",  # ARABIC LETTER NOON FINAL FORM
    "\uFEE7",  # ARABIC LETTER NOON INITIAL FORM
    "\uFEE8",  # ARABIC LETTER NOON MEDIAL FORM
    "\uFEE9",  # ARABIC LETTER HEH ISOLATED FORM
    "\uFEEA",  # ARABIC LETTER HEH FINAL FORM
    "\uFEEB",  # ARABIC LETTER HEH INITIAL FORM
    "\uFEEC",  # ARABIC LETTER HEH MEDIAL FORM
    "\uFEED",  # ARABIC LETTER WAW ISOLATED FORM
    "\uFEEE",  # ARABIC LETTER WAW FINAL FORM
    "\uFEEF",  # ARABIC LETTER ALEF MAKSURA ISOLATED FORM
    "\uFEF0",  # ARABIC LETTER ALEF MAKSURA FINAL FORM
    "\uFEF1",  # ARABIC LETTER YEH ISOLATED FORM
    "\uFEF2",  # ARABIC LETTER YEH FINAL FORM
    "\uFEF3",  # ARABIC LETTER YEH INITIAL FORM
    "\uFEF4",  # ARABIC LETTER YEH MEDIAL FORM
    "\uFEF5",  # ARABIC LIGATURE LAM WITH ALEF WITH MADDA ABOVE ISOLATED FORM
    "\uFEF6",  # ARABIC LIGATURE LAM WITH ALEF WITH MADDA ABOVE FINAL FORM
    "\uFEF7",  # ARABIC LIGATURE LAM WITH ALEF WITH HAMZA ABOVE ISOLATED FORM
    "\uFEF8",  # ARABIC LIGATURE LAM WITH ALEF WITH HAMZA ABOVE FINAL FORM
    "\uFEF9",  # ARABIC LIGATURE LAM WITH ALEF WITH HAMZA BELOW ISOLATED FORM
    "\uFEFA",  # ARABIC LIGATURE LAM WITH ALEF WITH HAMZA BELOW FINAL FORM
    "\uFEFB",  # ARABIC LIGATURE LAM WITH ALEF ISOLATED FORM
    "\uFEFC",  # ARABIC LIGATURE LAM WITH ALEF FINAL FORM
    "\uFEFF",  # ZERO WIDTH NO-BREAK SPACE
    "\uFF01",  # FULLWIDTH EXCLAMATION MARK
    "\uFF02",  # FULLWIDTH QUOTATION MARK
    "\uFF03",  # FULLWIDTH NUMBER SIGN
    "\uFF04",  # FULLWIDTH DOLLAR SIGN
    "\uFF05",  # FULLWIDTH PERCENT SIGN
    "\uFF06",  # FULLWIDTH AMPERSAND
    "\uFF07",  # FULLWIDTH APOSTROPHE
    "\uFF08",  # FULLWIDTH LEFT PARENTHESIS
    "\uFF09",  # FULLWIDTH RIGHT PARENTHESIS
    "\uFF0A",  # FULLWIDTH ASTERISK
    "\uFF0B",  # FULLWIDTH PLUS SIGN
    "\uFF0C",  # FULLWIDTH COMMA
    "\uFF0D",  # FULLWIDTH HYPHEN-MINUS
    "\uFF0E",  # FULLWIDTH FULL STOP
    "\uFF0F",  # FULLWIDTH SOLIDUS
    "\uFF10",  # FULLWIDTH DIGIT ZERO
    "\uFF11",  # FULLWIDTH DIGIT ONE
    "\uFF12",  # FULLWIDTH DIGIT TWO
    "\uFF13",  # FULLWIDTH DIGIT THREE
    "\uFF14",  # FULLWIDTH DIGIT FOUR
    "\uFF15",  # FULLWIDTH DIGIT FIVE
    "\uFF16",  # FULLWIDTH DIGIT SIX
    "\uFF17",  # FULLWIDTH DIGIT SEVEN
    "\uFF18",  # FULLWIDTH DIGIT EIGHT
    "\uFF19",  # FULLWIDTH DIGIT NINE
    "\uFF1A",  # FULLWIDTH COLON
    "\uFF1B",  # FULLWIDTH SEMICOLON
    "\uFF1C",  # FULLWIDTH LESS-THAN SIGN
    "\uFF1D",  # FULLWIDTH EQUALS SIGN
    "\uFF1E",  # FULLWIDTH GREATER-THAN SIGN
    "\uFF1F",  # FULLWIDTH QUESTION MARK
    "\uFF20",  # FULLWIDTH COMMERCIAL AT
    "\uFF21",  # FULLWIDTH LATIN CAPITAL LETTER A
    "\uFF22",  # FULLWIDTH LATIN CAPITAL LETTER B
    "\uFF23",  # FULLWIDTH LATIN CAPITAL LETTER C
    "\uFF24",  # FULLWIDTH LATIN CAPITAL LETTER D
    "\uFF25",  # FULLWIDTH LATIN CAPITAL LETTER E
    "\uFF26",  # FULLWIDTH LATIN CAPITAL LETTER F
    "\uFF27",  # FULLWIDTH LATIN CAPITAL LETTER G
    "\uFF28",  # FULLWIDTH LATIN CAPITAL LETTER H
    "\uFF29",  # FULLWIDTH LATIN CAPITAL LETTER I
    "\uFF2A",  # FULLWIDTH LATIN CAPITAL LETTER J
    "\uFF2B",  # FULLWIDTH LATIN CAPITAL LETTER K
    "\uFF2C",  # FULLWIDTH LATIN CAPITAL LETTER L
    "\uFF2D",  # FULLWIDTH LATIN CAPITAL LETTER M
    "\uFF2E",  # FULLWIDTH LATIN CAPITAL LETTER N
    "\uFF2F",  # FULLWIDTH LATIN CAPITAL LETTER O
    "\uFF30",  # FULLWIDTH LATIN CAPITAL LETTER P
    "\uFF31",  # FULLWIDTH LATIN CAPITAL LETTER Q
    "\uFF32",  # FULLWIDTH LATIN CAPITAL LETTER R
    "\uFF33",  # FULLWIDTH LATIN CAPITAL LETTER S
    "\uFF34",  # FULLWIDTH LATIN CAPITAL LETTER T
    "\uFF35",  # FULLWIDTH LATIN CAPITAL LETTER U
    "\uFF36",  # FULLWIDTH LATIN CAPITAL LETTER V
    "\uFF37",  # FULLWIDTH LATIN CAPITAL LETTER W
    "\uFF38",  # FULLWIDTH LATIN CAPITAL LETTER X
    "\uFF39",  # FULLWIDTH LATIN CAPITAL LETTER Y
    "\uFF3A",  # FULLWIDTH LATIN CAPITAL LETTER Z
    "\uFF3B",  # FULLWIDTH LEFT SQUARE BRACKET
    "\uFF3C",  # FULLWIDTH REVERSE SOLIDUS
    "\uFF3D",  # FULLWIDTH RIGHT SQUARE BRACKET
    "\uFF3E",  # FULLWIDTH CIRCUMFLEX ACCENT
    "\uFF3F",  # FULLWIDTH LOW LINE
    "\uFF40",  # FULLWIDTH GRAVE ACCENT
    "\uFF41",  # FULLWIDTH LATIN SMALL LETTER A
    "\uFF42",  # FULLWIDTH LATIN SMALL LETTER B
    "\uFF43",  # FULLWIDTH LATIN SMALL LETTER C
    "\uFF44",  # FULLWIDTH LATIN SMALL LETTER D
    "\uFF45",  # FULLWIDTH LATIN SMALL LETTER E
    "\uFF46",  # FULLWIDTH LATIN SMALL LETTER F
    "\uFF47",  # FULLWIDTH LATIN SMALL LETTER G
    "\uFF48",  # FULLWIDTH LATIN SMALL LETTER H
    "\uFF49",  # FULLWIDTH LATIN SMALL LETTER I
    "\uFF4A",  # FULLWIDTH LATIN SMALL LETTER J
    "\uFF4B",  # FULLWIDTH LATIN SMALL LETTER K
    "\uFF4C",  # FULLWIDTH LATIN SMALL LETTER L
    "\uFF4D",  # FULLWIDTH LATIN SMALL LETTER M
    "\uFF4E",  # FULLWIDTH LATIN SMALL LETTER N
    "\uFF4F",  # FULLWIDTH LATIN SMALL LETTER O
    "\uFF50",  # FULLWIDTH LATIN SMALL LETTER P
    "\uFF51",  # FULLWIDTH LATIN SMALL LETTER Q
    "\uFF52",  # FULLWIDTH LATIN SMALL LETTER R
    "\uFF53",  # FULLWIDTH LATIN SMALL LETTER S
    "\uFF54",  # FULLWIDTH LATIN SMALL LETTER T
    "\uFF55",  # FULLWIDTH LATIN SMALL LETTER U
    "\uFF56",  # FULLWIDTH LATIN SMALL LETTER V
    "\uFF57",  # FULLWIDTH LATIN SMALL LETTER W
    "\uFF58",  # FULLWIDTH LATIN SMALL LETTER X
    "\uFF59",  # FULLWIDTH LATIN SMALL LETTER Y
    "\uFF5A",  # FULLWIDTH LATIN SMALL LETTER Z
    "\uFF5B",  # FULLWIDTH LEFT CURLY BRACKET
    "\uFF5C",  # FULLWIDTH VERTICAL LINE
    "\uFF5D",  # FULLWIDTH RIGHT CURLY BRACKET
    "\uFF5E",  # FULLWIDTH TILDE
    "\uFF5F",  # FULLWIDTH LEFT WHITE PARENTHESIS
    "\uFF60",  # FULLWIDTH RIGHT WHITE PARENTHESIS
    "\uFF61",  # HALFWIDTH IDEOGRAPHIC FULL STOP
    "\uFF62",  # HALFWIDTH LEFT CORNER BRACKET
    "\uFF63",  # HALFWIDTH RIGHT CORNER BRACKET
    "\uFF64",  # HALFWIDTH IDEOGRAPHIC COMMA
    "\uFF65",  # HALFWIDTH KATAKANA MIDDLE DOT
    "\uFF66",  # HALFWIDTH KATAKANA LETTER WO
    "\uFF67",  # HALFWIDTH KATAKANA LETTER SMALL A
    "\uFF68",  # HALFWIDTH KATAKANA LETTER SMALL I
    "\uFF69",  # HALFWIDTH KATAKANA LETTER SMALL U
    "\uFF6A",  # HALFWIDTH KATAKANA LETTER SMALL E
    "\uFF6B",  # HALFWIDTH KATAKANA LETTER SMALL O
    "\uFF6C",  # HALFWIDTH KATAKANA LETTER SMALL YA
    "\uFF6D",  # HALFWIDTH KATAKANA LETTER SMALL YU
    "\uFF6E",  # HALFWIDTH KATAKANA LETTER SMALL YO
    "\uFF6F",  # HALFWIDTH KATAKANA LETTER SMALL TU
    "\uFF70",  # HALFWIDTH KATAKANA-HIRAGANA PROLONGED SOUND MARK
    "\uFF71",  # HALFWIDTH KATAKANA LETTER A
    "\uFF72",  # HALFWIDTH KATAKANA LETTER I
    "\uFF73",  # HALFWIDTH KATAKANA LETTER U
    "\uFF74",  # HALFWIDTH KATAKANA LETTER E
    "\uFF75",  # HALFWIDTH KATAKANA LETTER O
    "\uFF76",  # HALFWIDTH KATAKANA LETTER KA
    "\uFF77",  # HALFWIDTH KATAKANA LETTER KI
    "\uFF78",  # HALFWIDTH KATAKANA LETTER KU
    "\uFF79",  # HALFWIDTH KATAKANA LETTER KE
    "\uFF7A",  # HALFWIDTH KATAKANA LETTER KO
    "\uFF7B",  # HALFWIDTH KATAKANA LETTER SA
    "\uFF7C",  # HALFWIDTH KATAKANA LETTER SI
    "\uFF7D",  # HALFWIDTH KATAKANA LETTER SU
    "\uFF7E",  # HALFWIDTH KATAKANA LETTER SE
    "\uFF7F",  # HALFWIDTH KATAKANA LETTER SO
    "\uFF80",  # HALFWIDTH KATAKANA LETTER TA
    "\uFF81",  # HALFWIDTH KATAKANA LETTER TI
    "\uFF82",  # HALFWIDTH KATAKANA LETTER TU
    "\uFF83",  # HALFWIDTH KATAKANA LETTER TE
    "\uFF84",  # HALFWIDTH KATAKANA LETTER TO
    "\uFF85",  # HALFWIDTH KATAKANA LETTER NA
    "\uFF86",  # HALFWIDTH KATAKANA LETTER NI
    "\uFF87",  # HALFWIDTH KATAKANA LETTER NU
    "\uFF88",  # HALFWIDTH KATAKANA LETTER NE
    "\uFF89",  # HALFWIDTH KATAKANA LETTER NO
    "\uFF8A",  # HALFWIDTH KATAKANA LETTER HA
    "\uFF8B",  # HALFWIDTH KATAKANA LETTER HI
    "\uFF8C",  # HALFWIDTH KATAKANA LETTER HU
    "\uFF8D",  # HALFWIDTH KATAKANA LETTER HE
    "\uFF8E",  # HALFWIDTH KATAKANA LETTER HO
    "\uFF8F",  # HALFWIDTH KATAKANA LETTER MA
    "\uFF90",  # HALFWIDTH KATAKANA LETTER MI
    "\uFF91",  # HALFWIDTH KATAKANA LETTER MU
    "\uFF92",  # HALFWIDTH KATAKANA LETTER ME
    "\uFF93",  # HALFWIDTH KATAKANA LETTER MO
    "\uFF94",  # HALFWIDTH KATAKANA LETTER YA
    "\uFF95",  # HALFWIDTH KATAKANA LETTER YU
    "\uFF96",  # HALFWIDTH KATAKANA LETTER YO
    "\uFF97",  # HALFWIDTH KATAKANA LETTER RA
    "\uFF98",  # HALFWIDTH KATAKANA LETTER RI
    "\uFF99",  # HALFWIDTH KATAKANA LETTER RU
    "\uFF9A",  # HALFWIDTH KATAKANA LETTER RE
    "\uFF9B",  # HALFWIDTH KATAKANA LETTER RO
    "\uFF9C",  # HALFWIDTH KATAKANA LETTER WA
    "\uFF9D",  # HALFWIDTH KATAKANA LETTER N
    "\uFF9E",  # HALFWIDTH KATAKANA VOICED SOUND MARK
    "\uFF9F",  # HALFWIDTH KATAKANA SEMI-VOICED SOUND MARK
    "\uFFA0",  # HALFWIDTH HANGUL FILLER
    "\uFFA1",  # HALFWIDTH HANGUL LETTER KIYEOK
    "\uFFA2",  # HALFWIDTH HANGUL LETTER SSANGKIYEOK
    "\uFFA3",  # HALFWIDTH HANGUL LETTER KIYEOK-SIOS
    "\uFFA4",  # HALFWIDTH HANGUL LETTER NIEUN
    "\uFFA5",  # HALFWIDTH HANGUL LETTER NIEUN-CIEUC
    "\uFFA6",  # HALFWIDTH HANGUL LETTER NIEUN-HIEUH
    "\uFFA7",  # HALFWIDTH HANGUL LETTER TIKEUT
    "\uFFA8",  # HALFWIDTH HANGUL LETTER SSANGTIKEUT
    "\uFFA9",  # HALFWIDTH HANGUL LETTER RIEUL
    "\uFFAA",  # HALFWIDTH HANGUL LETTER RIEUL-KIYEOK
    "\uFFAB",  # HALFWIDTH HANGUL LETTER RIEUL-MIEUM
    "\uFFAC",  # HALFWIDTH HANGUL LETTER RIEUL-PIEUP
    "\uFFAD",  # HALFWIDTH HANGUL LETTER RIEUL-SIOS
    "\uFFAE",  # HALFWIDTH HANGUL LETTER RIEUL-THIEUTH
    "\uFFAF",  # HALFWIDTH HANGUL LETTER RIEUL-PHIEUPH
    "\uFFB0",  # HALFWIDTH HANGUL LETTER RIEUL-HIEUH
    "\uFFB1",  # HALFWIDTH HANGUL LETTER MIEUM
    "\uFFB2",  # HALFWIDTH HANGUL LETTER PIEUP
    "\uFFB3",  # HALFWIDTH HANGUL LETTER SSANGPIEUP
    "\uFFB4",  # HALFWIDTH HANGUL LETTER PIEUP-SIOS
    "\uFFB5",  # HALFWIDTH HANGUL LETTER SIOS
    "\uFFB6",  # HALFWIDTH HANGUL LETTER SSANGSIOS
    "\uFFB7",  # HALFWIDTH HANGUL LETTER IEUNG
    "\uFFB8",  # HALFWIDTH HANGUL LETTER CIEUC
    "\uFFB9",  # HALFWIDTH HANGUL LETTER SSANGCIEUC
    "\uFFBA",  # HALFWIDTH HANGUL LETTER CHIEUCH
    "\uFFBB",  # HALFWIDTH HANGUL LETTER KHIEUKH
    "\uFFBC",  # HALFWIDTH HANGUL LETTER THIEUTH
    "\uFFBD",  # HALFWIDTH HANGUL LETTER PHIEUPH
    "\uFFBE",  # HALFWIDTH HANGUL LETTER HIEUH
    "\uFFC2",  # HALFWIDTH HANGUL LETTER A
    "\uFFC3",  # HALFWIDTH HANGUL LETTER AE
    "\uFFC4",  # HALFWIDTH HANGUL LETTER YA
    "\uFFC5",  # HALFWIDTH HANGUL LETTER YAE
    "\uFFC6",  # HALFWIDTH HANGUL LETTER EO
    "\uFFC7",  # HALFWIDTH HANGUL LETTER E
    "\uFFCA",  # HALFWIDTH HANGUL LETTER YEO
    "\uFFCB",  # HALFWIDTH HANGUL LETTER YE
    "\uFFCC",  # HALFWIDTH HANGUL LETTER O
    "\uFFCD",  # HALFWIDTH HANGUL LETTER WA
    "\uFFCE",  # HALFWIDTH HANGUL LETTER WAE
    "\uFFCF",  # HALFWIDTH HANGUL LETTER OE
    "\uFFD2",  # HALFWIDTH HANGUL LETTER YO
    "\uFFD3",  # HALFWIDTH HANGUL LETTER U
    "\uFFD4",  # HALFWIDTH HANGUL LETTER WEO
    "\uFFD5",  # HALFWIDTH HANGUL LETTER WE
    "\uFFD6",  # HALFWIDTH HANGUL LETTER WI
    "\uFFD7",  # HALFWIDTH HANGUL LETTER YU
    "\uFFDA",  # HALFWIDTH HANGUL LETTER EU
    "\uFFDB",  # HALFWIDTH HANGUL LETTER YI
    "\uFFDC",  # HALFWIDTH HANGUL LETTER I
    "\uFFE0",  # FULLWIDTH CENT SIGN
    "\uFFE1",  # FULLWIDTH POUND SIGN
    "\uFFE2",  # FULLWIDTH NOT SIGN
    "\uFFE3",  # FULLWIDTH MACRON
    "\uFFE4",  # FULLWIDTH BROKEN BAR
    "\uFFE5",  # FULLWIDTH YEN SIGN
    "\uFFE6",  # FULLWIDTH WON SIGN
    "\uFFE8",  # HALFWIDTH FORMS LIGHT VERTICAL
    "\uFFE9",  # HALFWIDTH LEFTWARDS ARROW
    "\uFFEA",  # HALFWIDTH UPWARDS ARROW
    "\uFFEB",  # HALFWIDTH RIGHTWARDS ARROW
    "\uFFEC",  # HALFWIDTH DOWNWARDS ARROW
    "\uFFED",  # HALFWIDTH BLACK SQUARE
    "\uFFEE",  # HALFWIDTH WHITE CIRCLE
    "\uFFF9",  # INTERLINEAR ANNOTATION ANCHOR
    "\uFFFA",  # INTERLINEAR ANNOTATION SEPARATOR
    "\uFFFB",  # INTERLINEAR ANNOTATION TERMINATOR
    "\uFFFC",  # OBJECT REPLACEMENT CHARACTER
    "\uFFFD",  # REPLACEMENT CHARACTER
    "\uFFFE",  # <not a character>
    "\uFFFF",  # <not a character>
    "\u10000",  # LINEAR B SYLLABLE B008 A
    "\u10001",  # LINEAR B SYLLABLE B038 E
    "\u10002",  # LINEAR B SYLLABLE B028 I
    "\u10003",  # LINEAR B SYLLABLE B061 O
    "\u10004",  # LINEAR B SYLLABLE B010 U
    "\u10005",  # LINEAR B SYLLABLE B001 DA
    "\u10006",  # LINEAR B SYLLABLE B045 DE
    "\u10007",  # LINEAR B SYLLABLE B007 DI
    "\u10008",  # LINEAR B SYLLABLE B014 DO
    "\u10009",  # LINEAR B SYLLABLE B051 DU
    "\u1000A",  # LINEAR B SYLLABLE B057 JA
    "\u1000B",  # LINEAR B SYLLABLE B046 JE
    "\u1000D",  # LINEAR B SYLLABLE B036 JO
    "\u1000E",  # LINEAR B SYLLABLE B065 JU
    "\u1000F",  # LINEAR B SYLLABLE B077 KA
    "\u10010",  # LINEAR B SYLLABLE B044 KE
    "\u10011",  # LINEAR B SYLLABLE B067 KI
    "\u10012",  # LINEAR B SYLLABLE B070 KO
    "\u10013",  # LINEAR B SYLLABLE B081 KU
    "\u10014",  # LINEAR B SYLLABLE B080 MA
    "\u10015",  # LINEAR B SYLLABLE B013 ME
    "\u10016",  # LINEAR B SYLLABLE B073 MI
    "\u10017",  # LINEAR B SYLLABLE B015 MO
    "\u10018",  # LINEAR B SYLLABLE B023 MU
    "\u10019",  # LINEAR B SYLLABLE B006 NA
    "\u1001A",  # LINEAR B SYLLABLE B024 NE
    "\u1001B",  # LINEAR B SYLLABLE B030 NI
    "\u1001C",  # LINEAR B SYLLABLE B052 NO
    "\u1001D",  # LINEAR B SYLLABLE B055 NU
    "\u1001E",  # LINEAR B SYLLABLE B003 PA
    "\u1001F",  # LINEAR B SYLLABLE B072 PE
    "\u10020",  # LINEAR B SYLLABLE B039 PI
    "\u10021",  # LINEAR B SYLLABLE B011 PO
    "\u10022",  # LINEAR B SYLLABLE B050 PU
    "\u10023",  # LINEAR B SYLLABLE B016 QA
    "\u10024",  # LINEAR B SYLLABLE B078 QE
    "\u10025",  # LINEAR B SYLLABLE B021 QI
    "\u10026",  # LINEAR B SYLLABLE B032 QO
    "\u10028",  # LINEAR B SYLLABLE B060 RA
    "\u10029",  # LINEAR B SYLLABLE B027 RE
    "\u1002A",  # LINEAR B SYLLABLE B053 RI
    "\u1002B",  # LINEAR B SYLLABLE B002 RO
    "\u1002C",  # LINEAR B SYLLABLE B026 RU
    "\u1002D",  # LINEAR B SYLLABLE B031 SA
    "\u1002E",  # LINEAR B SYLLABLE B009 SE
    "\u1002F",  # LINEAR B SYLLABLE B041 SI
    "\u10030",  # LINEAR B SYLLABLE B012 SO
    "\u10031",  # LINEAR B SYLLABLE B058 SU
    "\u10032",  # LINEAR B SYLLABLE B059 TA
    "\u10033",  # LINEAR B SYLLABLE B004 TE
    "\u10034",  # LINEAR B SYLLABLE B037 TI
    "\u10035",  # LINEAR B SYLLABLE B005 TO
    "\u10036",  # LINEAR B SYLLABLE B069 TU
    "\u10037",  # LINEAR B SYLLABLE B054 WA
    "\u10038",  # LINEAR B SYLLABLE B075 WE
    "\u10039",  # LINEAR B SYLLABLE B040 WI
    "\u1003A",  # LINEAR B SYLLABLE B042 WO
    "\u1003C",  # LINEAR B SYLLABLE B017 ZA
    "\u1003D",  # LINEAR B SYLLABLE B074 ZE
    "\u1003F",  # LINEAR B SYLLABLE B020 ZO
    "\u10040",  # LINEAR B SYLLABLE B025 A2
    "\u10041",  # LINEAR B SYLLABLE B043 A3
    "\u10042",  # LINEAR B SYLLABLE B085 AU
    "\u10043",  # LINEAR B SYLLABLE B071 DWE
    "\u10044",  # LINEAR B SYLLABLE B090 DWO
    "\u10045",  # LINEAR B SYLLABLE B048 NWA
    "\u10046",  # LINEAR B SYLLABLE B029 PU2
    "\u10047",  # LINEAR B SYLLABLE B062 PTE
    "\u10048",  # LINEAR B SYLLABLE B076 RA2
    "\u10049",  # LINEAR B SYLLABLE B033 RA3
    "\u1004A",  # LINEAR B SYLLABLE B068 RO2
    "\u1004B",  # LINEAR B SYLLABLE B066 TA2
    "\u1004C",  # LINEAR B SYLLABLE B087 TWE
    "\u1004D",  # LINEAR B SYLLABLE B091 TWO
    "\u10050",  # LINEAR B SYMBOL B018
    "\u10051",  # LINEAR B SYMBOL B019
    "\u10052",  # LINEAR B SYMBOL B022
    "\u10053",  # LINEAR B SYMBOL B034
    "\u10054",  # LINEAR B SYMBOL B047
    "\u10055",  # LINEAR B SYMBOL B049
    "\u10056",  # LINEAR B SYMBOL B056
    "\u10057",  # LINEAR B SYMBOL B063
    "\u10058",  # LINEAR B SYMBOL B064
    "\u10059",  # LINEAR B SYMBOL B079
    "\u1005A",  # LINEAR B SYMBOL B082
    "\u1005B",  # LINEAR B SYMBOL B083
    "\u1005C",  # LINEAR B SYMBOL B086
    "\u1005D",  # LINEAR B SYMBOL B089
    "\u10080",  # LINEAR B IDEOGRAM B100 MAN
    "\u10081",  # LINEAR B IDEOGRAM B102 WOMAN
    "\u10082",  # LINEAR B IDEOGRAM B104 DEER
    "\u10083",  # LINEAR B IDEOGRAM B105 EQUID
    "\u10084",  # LINEAR B IDEOGRAM B105F MARE
    "\u10085",  # LINEAR B IDEOGRAM B105M STALLION
    "\u10086",  # LINEAR B IDEOGRAM B106F EWE
    "\u10087",  # LINEAR B IDEOGRAM B106M RAM
    "\u10088",  # LINEAR B IDEOGRAM B107F SHE-GOAT
    "\u10089",  # LINEAR B IDEOGRAM B107M HE-GOAT
    "\u1008A",  # LINEAR B IDEOGRAM B108F SOW
    "\u1008B",  # LINEAR B IDEOGRAM B108M BOAR
    "\u1008C",  # LINEAR B IDEOGRAM B109F COW
    "\u1008D",  # LINEAR B IDEOGRAM B109M BULL
    "\u1008E",  # LINEAR B IDEOGRAM B120 WHEAT
    "\u1008F",  # LINEAR B IDEOGRAM B121 BARLEY
    "\u10090",  # LINEAR B IDEOGRAM B122 OLIVE
    "\u10091",  # LINEAR B IDEOGRAM B123 SPICE
    "\u10092",  # LINEAR B IDEOGRAM B125 CYPERUS
    "\u10093",  # LINEAR B MONOGRAM B127 KAPO
    "\u10094",  # LINEAR B MONOGRAM B128 KANAKO
    "\u10095",  # LINEAR B IDEOGRAM B130 OIL
    "\u10096",  # LINEAR B IDEOGRAM B131 WINE
    "\u10097",  # LINEAR B IDEOGRAM B132
    "\u10098",  # LINEAR B MONOGRAM B133 AREPA
    "\u10099",  # LINEAR B MONOGRAM B135 MERI
    "\u1009A",  # LINEAR B IDEOGRAM B140 BRONZE
    "\u1009B",  # LINEAR B IDEOGRAM B141 GOLD
    "\u1009C",  # LINEAR B IDEOGRAM B142
    "\u1009D",  # LINEAR B IDEOGRAM B145 WOOL
    "\u1009E",  # LINEAR B IDEOGRAM B146
    "\u1009F",  # LINEAR B IDEOGRAM B150
    "\u100A0",  # LINEAR B IDEOGRAM B151 HORN
    "\u100A1",  # LINEAR B IDEOGRAM B152
    "\u100A2",  # LINEAR B IDEOGRAM B153
    "\u100A3",  # LINEAR B IDEOGRAM B154
    "\u100A4",  # LINEAR B MONOGRAM B156 TURO2
    "\u100A5",  # LINEAR B IDEOGRAM B157
    "\u100A6",  # LINEAR B IDEOGRAM B158
    "\u100A7",  # LINEAR B IDEOGRAM B159 CLOTH
    "\u100A8",  # LINEAR B IDEOGRAM B160
    "\u100A9",  # LINEAR B IDEOGRAM B161
    "\u100AA",  # LINEAR B IDEOGRAM B162 GARMENT
    "\u100AB",  # LINEAR B IDEOGRAM B163 ARMOUR
    "\u100AC",  # LINEAR B IDEOGRAM B164
    "\u100AD",  # LINEAR B IDEOGRAM B165
    "\u100AE",  # LINEAR B IDEOGRAM B166
    "\u100AF",  # LINEAR B IDEOGRAM B167
    "\u100B0",  # LINEAR B IDEOGRAM B168
    "\u100B1",  # LINEAR B IDEOGRAM B169
    "\u100B2",  # LINEAR B IDEOGRAM B170
    "\u100B3",  # LINEAR B IDEOGRAM B171
    "\u100B4",  # LINEAR B IDEOGRAM B172
    "\u100B5",  # LINEAR B IDEOGRAM B173 MONTH
    "\u100B6",  # LINEAR B IDEOGRAM B174
    "\u100B7",  # LINEAR B IDEOGRAM B176 TREE
    "\u100B8",  # LINEAR B IDEOGRAM B177
    "\u100B9",  # LINEAR B IDEOGRAM B178
    "\u100BA",  # LINEAR B IDEOGRAM B179
    "\u100BB",  # LINEAR B IDEOGRAM B180
    "\u100BC",  # LINEAR B IDEOGRAM B181
    "\u100BD",  # LINEAR B IDEOGRAM B182
    "\u100BE",  # LINEAR B IDEOGRAM B183
    "\u100BF",  # LINEAR B IDEOGRAM B184
    "\u100C0",  # LINEAR B IDEOGRAM B185
    "\u100C1",  # LINEAR B IDEOGRAM B189
    "\u100C2",  # LINEAR B IDEOGRAM B190
    "\u100C3",  # LINEAR B IDEOGRAM B191 HELMET
    "\u100C4",  # LINEAR B IDEOGRAM B220 FOOTSTOOL
    "\u100C5",  # LINEAR B IDEOGRAM B225 BATHTUB
    "\u100C6",  # LINEAR B IDEOGRAM B230 SPEAR
    "\u100C7",  # LINEAR B IDEOGRAM B231 ARROW
    "\u100C8",  # LINEAR B IDEOGRAM B232
    "\u100C9",  # LINEAR B IDEOGRAM B233 SWORD
    "\u100CA",  # LINEAR B IDEOGRAM B234
    "\u100CB",  # LINEAR B IDEOGRAM B236
    "\u100CC",  # LINEAR B IDEOGRAM B240 WHEELED CHARIOT
    "\u100CD",  # LINEAR B IDEOGRAM B241 CHARIOT
    "\u100CE",  # LINEAR B IDEOGRAM B242 CHARIOT FRAME
    "\u100CF",  # LINEAR B IDEOGRAM B243 WHEEL
    "\u100D0",  # LINEAR B IDEOGRAM B245
    "\u100D1",  # LINEAR B IDEOGRAM B246
    "\u100D2",  # LINEAR B MONOGRAM B247 DIPTE
    "\u100D3",  # LINEAR B IDEOGRAM B248
    "\u100D4",  # LINEAR B IDEOGRAM B249
    "\u100D5",  # LINEAR B IDEOGRAM B251
    "\u100D6",  # LINEAR B IDEOGRAM B252
    "\u100D7",  # LINEAR B IDEOGRAM B253
    "\u100D8",  # LINEAR B IDEOGRAM B254 DART
    "\u100D9",  # LINEAR B IDEOGRAM B255
    "\u100DA",  # LINEAR B IDEOGRAM B256
    "\u100DB",  # LINEAR B IDEOGRAM B257
    "\u100DC",  # LINEAR B IDEOGRAM B258
    "\u100DD",  # LINEAR B IDEOGRAM B259
    "\u100DE",  # LINEAR B IDEOGRAM VESSEL B155
    "\u100DF",  # LINEAR B IDEOGRAM VESSEL B200
    "\u100E0",  # LINEAR B IDEOGRAM VESSEL B201
    "\u100E1",  # LINEAR B IDEOGRAM VESSEL B202
    "\u100E2",  # LINEAR B IDEOGRAM VESSEL B203
    "\u100E3",  # LINEAR B IDEOGRAM VESSEL B204
    "\u100E4",  # LINEAR B IDEOGRAM VESSEL B205
    "\u100E5",  # LINEAR B IDEOGRAM VESSEL B206
    "\u100E6",  # LINEAR B IDEOGRAM VESSEL B207
    "\u100E7",  # LINEAR B IDEOGRAM VESSEL B208
    "\u100E8",  # LINEAR B IDEOGRAM VESSEL B209
    "\u100E9",  # LINEAR B IDEOGRAM VESSEL B210
    "\u100EA",  # LINEAR B IDEOGRAM VESSEL B211
    "\u100EB",  # LINEAR B IDEOGRAM VESSEL B212
    "\u100EC",  # LINEAR B IDEOGRAM VESSEL B213
    "\u100ED",  # LINEAR B IDEOGRAM VESSEL B214
    "\u100EE",  # LINEAR B IDEOGRAM VESSEL B215
    "\u100EF",  # LINEAR B IDEOGRAM VESSEL B216
    "\u100F0",  # LINEAR B IDEOGRAM VESSEL B217
    "\u100F1",  # LINEAR B IDEOGRAM VESSEL B218
    "\u100F2",  # LINEAR B IDEOGRAM VESSEL B219
    "\u100F3",  # LINEAR B IDEOGRAM VESSEL B221
    "\u100F4",  # LINEAR B IDEOGRAM VESSEL B222
    "\u100F5",  # LINEAR B IDEOGRAM VESSEL B226
    "\u100F6",  # LINEAR B IDEOGRAM VESSEL B227
    "\u100F7",  # LINEAR B IDEOGRAM VESSEL B228
    "\u100F8",  # LINEAR B IDEOGRAM VESSEL B229
    "\u100F9",  # LINEAR B IDEOGRAM VESSEL B250
    "\u100FA",  # LINEAR B IDEOGRAM VESSEL B305
    "\u10100",  # AEGEAN WORD SEPARATOR LINE
    "\u10101",  # AEGEAN WORD SEPARATOR DOT
    "\u10102",  # AEGEAN CHECK MARK
    "\u10107",  # AEGEAN NUMBER ONE
    "\u10108",  # AEGEAN NUMBER TWO
    "\u10109",  # AEGEAN NUMBER THREE
    "\u1010A",  # AEGEAN NUMBER FOUR
    "\u1010B",  # AEGEAN NUMBER FIVE
    "\u1010C",  # AEGEAN NUMBER SIX
    "\u1010D",  # AEGEAN NUMBER SEVEN
    "\u1010E",  # AEGEAN NUMBER EIGHT
    "\u1010F",  # AEGEAN NUMBER NINE
    "\u10110",  # AEGEAN NUMBER TEN
    "\u10111",  # AEGEAN NUMBER TWENTY
    "\u10112",  # AEGEAN NUMBER THIRTY
    "\u10113",  # AEGEAN NUMBER FORTY
    "\u10114",  # AEGEAN NUMBER FIFTY
    "\u10115",  # AEGEAN NUMBER SIXTY
    "\u10116",  # AEGEAN NUMBER SEVENTY
    "\u10117",  # AEGEAN NUMBER EIGHTY
    "\u10118",  # AEGEAN NUMBER NINETY
    "\u10119",  # AEGEAN NUMBER ONE HUNDRED
    "\u1011A",  # AEGEAN NUMBER TWO HUNDRED
    "\u1011B",  # AEGEAN NUMBER THREE HUNDRED
    "\u1011C",  # AEGEAN NUMBER FOUR HUNDRED
    "\u1011D",  # AEGEAN NUMBER FIVE HUNDRED
    "\u1011E",  # AEGEAN NUMBER SIX HUNDRED
    "\u1011F",  # AEGEAN NUMBER SEVEN HUNDRED
    "\u10120",  # AEGEAN NUMBER EIGHT HUNDRED
    "\u10121",  # AEGEAN NUMBER NINE HUNDRED
    "\u10122",  # AEGEAN NUMBER ONE THOUSAND
    "\u10123",  # AEGEAN NUMBER TWO THOUSAND
    "\u10124",  # AEGEAN NUMBER THREE THOUSAND
    "\u10125",  # AEGEAN NUMBER FOUR THOUSAND
    "\u10126",  # AEGEAN NUMBER FIVE THOUSAND
    "\u10127",  # AEGEAN NUMBER SIX THOUSAND
    "\u10128",  # AEGEAN NUMBER SEVEN THOUSAND
    "\u10129",  # AEGEAN NUMBER EIGHT THOUSAND
    "\u1012A",  # AEGEAN NUMBER NINE THOUSAND
    "\u1012B",  # AEGEAN NUMBER TEN THOUSAND
    "\u1012C",  # AEGEAN NUMBER TWENTY THOUSAND
    "\u1012D",  # AEGEAN NUMBER THIRTY THOUSAND
    "\u1012E",  # AEGEAN NUMBER FORTY THOUSAND
    "\u1012F",  # AEGEAN NUMBER FIFTY THOUSAND
    "\u10130",  # AEGEAN NUMBER SIXTY THOUSAND
    "\u10131",  # AEGEAN NUMBER SEVENTY THOUSAND
    "\u10132",  # AEGEAN NUMBER EIGHTY THOUSAND
    "\u10133",  # AEGEAN NUMBER NINETY THOUSAND
    "\u10137",  # AEGEAN WEIGHT BASE UNIT
    "\u10138",  # AEGEAN WEIGHT FIRST SUBUNIT
    "\u10139",  # AEGEAN WEIGHT SECOND SUBUNIT
    "\u1013A",  # AEGEAN WEIGHT THIRD SUBUNIT
    "\u1013B",  # AEGEAN WEIGHT FOURTH SUBUNIT
    "\u1013C",  # AEGEAN DRY MEASURE FIRST SUBUNIT
    "\u1013D",  # AEGEAN LIQUID MEASURE FIRST SUBUNIT
    "\u1013E",  # AEGEAN MEASURE SECOND SUBUNIT
    "\u1013F",  # AEGEAN MEASURE THIRD SUBUNIT
    "\u10140",  # GREEK ACROPHONIC ATTIC ONE QUARTER
    "\u10141",  # GREEK ACROPHONIC ATTIC ONE HALF
    "\u10142",  # GREEK ACROPHONIC ATTIC ONE DRACHMA
    "\u10143",  # GREEK ACROPHONIC ATTIC FIVE
    "\u10144",  # GREEK ACROPHONIC ATTIC FIFTY
    "\u10145",  # GREEK ACROPHONIC ATTIC FIVE HUNDRED
    "\u10146",  # GREEK ACROPHONIC ATTIC FIVE THOUSAND
    "\u10147",  # GREEK ACROPHONIC ATTIC FIFTY THOUSAND
    "\u10148",  # GREEK ACROPHONIC ATTIC FIVE TALENTS
    "\u10149",  # GREEK ACROPHONIC ATTIC TEN TALENTS
    "\u1014A",  # GREEK ACROPHONIC ATTIC FIFTY TALENTS
    "\u1014B",  # GREEK ACROPHONIC ATTIC ONE HUNDRED TALENTS
    "\u1014C",  # GREEK ACROPHONIC ATTIC FIVE HUNDRED TALENTS
    "\u1014D",  # GREEK ACROPHONIC ATTIC ONE THOUSAND TALENTS
    "\u1014E",  # GREEK ACROPHONIC ATTIC FIVE THOUSAND TALENTS
    "\u1014F",  # GREEK ACROPHONIC ATTIC FIVE STATERS
    "\u10150",  # GREEK ACROPHONIC ATTIC TEN STATERS
    "\u10151",  # GREEK ACROPHONIC ATTIC FIFTY STATERS
    "\u10152",  # GREEK ACROPHONIC ATTIC ONE HUNDRED STATERS
    "\u10153",  # GREEK ACROPHONIC ATTIC FIVE HUNDRED STATERS
    "\u10154",  # GREEK ACROPHONIC ATTIC ONE THOUSAND STATERS
    "\u10155",  # GREEK ACROPHONIC ATTIC TEN THOUSAND STATERS
    "\u10156",  # GREEK ACROPHONIC ATTIC FIFTY THOUSAND STATERS
    "\u10157",  # GREEK ACROPHONIC ATTIC TEN MNAS
    "\u10158",  # GREEK ACROPHONIC HERAEUM ONE PLETHRON
    "\u10159",  # GREEK ACROPHONIC THESPIAN ONE
    "\u1015A",  # GREEK ACROPHONIC HERMIONIAN ONE
    "\u1015B",  # GREEK ACROPHONIC EPIDAUREAN TWO
    "\u1015C",  # GREEK ACROPHONIC THESPIAN TWO
    "\u1015D",  # GREEK ACROPHONIC CYRENAIC TWO DRACHMAS
    "\u1015E",  # GREEK ACROPHONIC EPIDAUREAN TWO DRACHMAS
    "\u1015F",  # GREEK ACROPHONIC TROEZENIAN FIVE
    "\u10160",  # GREEK ACROPHONIC TROEZENIAN TEN
    "\u10161",  # GREEK ACROPHONIC TROEZENIAN TEN ALTERNATE FORM
    "\u10162",  # GREEK ACROPHONIC HERMIONIAN TEN
    "\u10163",  # GREEK ACROPHONIC MESSENIAN TEN
    "\u10164",  # GREEK ACROPHONIC THESPIAN TEN
    "\u10165",  # GREEK ACROPHONIC THESPIAN THIRTY
    "\u10166",  # GREEK ACROPHONIC TROEZENIAN FIFTY
    "\u10167",  # GREEK ACROPHONIC TROEZENIAN FIFTY ALTERNATE FORM
    "\u10168",  # GREEK ACROPHONIC HERMIONIAN FIFTY
    "\u10169",  # GREEK ACROPHONIC THESPIAN FIFTY
    "\u1016A",  # GREEK ACROPHONIC THESPIAN ONE HUNDRED
    "\u1016B",  # GREEK ACROPHONIC THESPIAN THREE HUNDRED
    "\u1016C",  # GREEK ACROPHONIC EPIDAUREAN FIVE HUNDRED
    "\u1016D",  # GREEK ACROPHONIC TROEZENIAN FIVE HUNDRED
    "\u1016E",  # GREEK ACROPHONIC THESPIAN FIVE HUNDRED
    "\u1016F",  # GREEK ACROPHONIC CARYSTIAN FIVE HUNDRED
    "\u10170",  # GREEK ACROPHONIC NAXIAN FIVE HUNDRED
    "\u10171",  # GREEK ACROPHONIC THESPIAN ONE THOUSAND
    "\u10172",  # GREEK ACROPHONIC THESPIAN FIVE THOUSAND
    "\u10173",  # GREEK ACROPHONIC DELPHIC FIVE MNAS
    "\u10174",  # GREEK ACROPHONIC STRATIAN FIFTY MNAS
    "\u10175",  # GREEK ONE HALF SIGN
    "\u10176",  # GREEK ONE HALF SIGN ALTERNATE FORM
    "\u10177",  # GREEK TWO THIRDS SIGN
    "\u10178",  # GREEK THREE QUARTERS SIGN
    "\u10179",  # GREEK YEAR SIGN
    "\u1017A",  # GREEK TALENT SIGN
    "\u1017B",  # GREEK DRACHMA SIGN
    "\u1017C",  # GREEK OBOL SIGN
    "\u1017D",  # GREEK TWO OBOLS SIGN
    "\u1017E",  # GREEK THREE OBOLS SIGN
    "\u1017F",  # GREEK FOUR OBOLS SIGN
    "\u10180",  # GREEK FIVE OBOLS SIGN
    "\u10181",  # GREEK METRETES SIGN
    "\u10182",  # GREEK KYATHOS BASE SIGN
    "\u10183",  # GREEK LITRA SIGN
    "\u10184",  # GREEK OUNKIA SIGN
    "\u10185",  # GREEK XESTES SIGN
    "\u10186",  # GREEK ARTABE SIGN
    "\u10187",  # GREEK AROURA SIGN
    "\u10188",  # GREEK GRAMMA SIGN
    "\u10189",  # GREEK TRYBLION BASE SIGN
    "\u1018A",  # GREEK ZERO SIGN
    "\u1018B",  # GREEK ONE QUARTER SIGN
    "\u1018C",  # GREEK SINUSOID SIGN
    "\u1018D",  # GREEK INDICTION SIGN
    "\u1018E",  # NOMISMA SIGN
    "\u10190",  # ROMAN SEXTANS SIGN
    "\u10191",  # ROMAN UNCIA SIGN
    "\u10192",  # ROMAN SEMUNCIA SIGN
    "\u10193",  # ROMAN SEXTULA SIGN
    "\u10194",  # ROMAN DIMIDIA SEXTULA SIGN
    "\u10195",  # ROMAN SILIQUA SIGN
    "\u10196",  # ROMAN DENARIUS SIGN
    "\u10197",  # ROMAN QUINARIUS SIGN
    "\u10198",  # ROMAN SESTERTIUS SIGN
    "\u10199",  # ROMAN DUPONDIUS SIGN
    "\u1019A",  # ROMAN AS SIGN
    "\u1019B",  # ROMAN CENTURIAL SIGN
    "\u101A0",  # GREEK SYMBOL TAU RHO
    "\u101D0",  # PHAISTOS DISC SIGN PEDESTRIAN
    "\u101D1",  # PHAISTOS DISC SIGN PLUMED HEAD
    "\u101D2",  # PHAISTOS DISC SIGN TATTOOED HEAD
    "\u101D3",  # PHAISTOS DISC SIGN CAPTIVE
    "\u101D4",  # PHAISTOS DISC SIGN CHILD
    "\u101D5",  # PHAISTOS DISC SIGN WOMAN
    "\u101D6",  # PHAISTOS DISC SIGN HELMET
    "\u101D7",  # PHAISTOS DISC SIGN GAUNTLET
    "\u101D8",  # PHAISTOS DISC SIGN TIARA
    "\u101D9",  # PHAISTOS DISC SIGN ARROW
    "\u101DA",  # PHAISTOS DISC SIGN BOW
    "\u101DB",  # PHAISTOS DISC SIGN SHIELD
    "\u101DC",  # PHAISTOS DISC SIGN CLUB
    "\u101DD",  # PHAISTOS DISC SIGN MANACLES
    "\u101DE",  # PHAISTOS DISC SIGN MATTOCK
    "\u101DF",  # PHAISTOS DISC SIGN SAW
    "\u101E0",  # PHAISTOS DISC SIGN LID
    "\u101E1",  # PHAISTOS DISC SIGN BOOMERANG
    "\u101E2",  # PHAISTOS DISC SIGN CARPENTRY PLANE
    "\u101E3",  # PHAISTOS DISC SIGN DOLIUM
    "\u101E4",  # PHAISTOS DISC SIGN COMB
    "\u101E5",  # PHAISTOS DISC SIGN SLING
    "\u101E6",  # PHAISTOS DISC SIGN COLUMN
    "\u101E7",  # PHAISTOS DISC SIGN BEEHIVE
    "\u101E8",  # PHAISTOS DISC SIGN SHIP
    "\u101E9",  # PHAISTOS DISC SIGN HORN
    "\u101EA",  # PHAISTOS DISC SIGN HIDE
    "\u101EB",  # PHAISTOS DISC SIGN BULLS LEG
    "\u101EC",  # PHAISTOS DISC SIGN CAT
    "\u101ED",  # PHAISTOS DISC SIGN RAM
    "\u101EE",  # PHAISTOS DISC SIGN EAGLE
    "\u101EF",  # PHAISTOS DISC SIGN DOVE
    "\u101F0",  # PHAISTOS DISC SIGN TUNNY
    "\u101F1",  # PHAISTOS DISC SIGN BEE
    "\u101F2",  # PHAISTOS DISC SIGN PLANE TREE
    "\u101F3",  # PHAISTOS DISC SIGN VINE
    "\u101F4",  # PHAISTOS DISC SIGN PAPYRUS
    "\u101F5",  # PHAISTOS DISC SIGN ROSETTE
    "\u101F6",  # PHAISTOS DISC SIGN LILY
    "\u101F7",  # PHAISTOS DISC SIGN OX BACK
    "\u101F8",  # PHAISTOS DISC SIGN FLUTE
    "\u101F9",  # PHAISTOS DISC SIGN GRATER
    "\u101FA",  # PHAISTOS DISC SIGN STRAINER
    "\u101FB",  # PHAISTOS DISC SIGN SMALL AXE
    "\u101FC",  # PHAISTOS DISC SIGN WAVY BAND
    "\u101FD",  # PHAISTOS DISC SIGN COMBINING OBLIQUE STROKE
    "\u10280",  # LYCIAN LETTER A
    "\u10281",  # LYCIAN LETTER E
    "\u10282",  # LYCIAN LETTER B
    "\u10283",  # LYCIAN LETTER BH
    "\u10284",  # LYCIAN LETTER G
    "\u10285",  # LYCIAN LETTER D
    "\u10286",  # LYCIAN LETTER I
    "\u10287",  # LYCIAN LETTER W
    "\u10288",  # LYCIAN LETTER Z
    "\u10289",  # LYCIAN LETTER TH
    "\u1028A",  # LYCIAN LETTER J
    "\u1028B",  # LYCIAN LETTER K
    "\u1028C",  # LYCIAN LETTER Q
    "\u1028D",  # LYCIAN LETTER L
    "\u1028E",  # LYCIAN LETTER M
    "\u1028F",  # LYCIAN LETTER N
    "\u10290",  # LYCIAN LETTER MM
    "\u10291",  # LYCIAN LETTER NN
    "\u10292",  # LYCIAN LETTER U
    "\u10293",  # LYCIAN LETTER P
    "\u10294",  # LYCIAN LETTER KK
    "\u10295",  # LYCIAN LETTER R
    "\u10296",  # LYCIAN LETTER S
    "\u10297",  # LYCIAN LETTER T
    "\u10298",  # LYCIAN LETTER TT
    "\u10299",  # LYCIAN LETTER AN
    "\u1029A",  # LYCIAN LETTER EN
    "\u1029B",  # LYCIAN LETTER H
    "\u1029C",  # LYCIAN LETTER X
    "\u102A0",  # CARIAN LETTER A
    "\u102A1",  # CARIAN LETTER P2
    "\u102A2",  # CARIAN LETTER D
    "\u102A3",  # CARIAN LETTER L
    "\u102A4",  # CARIAN LETTER UUU
    "\u102A5",  # CARIAN LETTER R
    "\u102A6",  # CARIAN LETTER LD
    "\u102A7",  # CARIAN LETTER A2
    "\u102A8",  # CARIAN LETTER Q
    "\u102A9",  # CARIAN LETTER B
    "\u102AA",  # CARIAN LETTER M
    "\u102AB",  # CARIAN LETTER O
    "\u102AC",  # CARIAN LETTER D2
    "\u102AD",  # CARIAN LETTER T
    "\u102AE",  # CARIAN LETTER SH
    "\u102AF",  # CARIAN LETTER SH2
    "\u102B0",  # CARIAN LETTER S
    "\u102B1",  # CARIAN LETTER C-18
    "\u102B2",  # CARIAN LETTER U
    "\u102B3",  # CARIAN LETTER NN
    "\u102B4",  # CARIAN LETTER X
    "\u102B5",  # CARIAN LETTER N
    "\u102B6",  # CARIAN LETTER TT2
    "\u102B7",  # CARIAN LETTER P
    "\u102B8",  # CARIAN LETTER SS
    "\u102B9",  # CARIAN LETTER I
    "\u102BA",  # CARIAN LETTER E
    "\u102BB",  # CARIAN LETTER UUUU
    "\u102BC",  # CARIAN LETTER K
    "\u102BD",  # CARIAN LETTER K2
    "\u102BE",  # CARIAN LETTER ND
    "\u102BF",  # CARIAN LETTER UU
    "\u102C0",  # CARIAN LETTER G
    "\u102C1",  # CARIAN LETTER G2
    "\u102C2",  # CARIAN LETTER ST
    "\u102C3",  # CARIAN LETTER ST2
    "\u102C4",  # CARIAN LETTER NG
    "\u102C5",  # CARIAN LETTER II
    "\u102C6",  # CARIAN LETTER C-39
    "\u102C7",  # CARIAN LETTER TT
    "\u102C8",  # CARIAN LETTER UUU2
    "\u102C9",  # CARIAN LETTER RR
    "\u102CA",  # CARIAN LETTER MB
    "\u102CB",  # CARIAN LETTER MB2
    "\u102CC",  # CARIAN LETTER MB3
    "\u102CD",  # CARIAN LETTER MB4
    "\u102CE",  # CARIAN LETTER LD2
    "\u102CF",  # CARIAN LETTER E2
    "\u102D0",  # CARIAN LETTER UUU3
    "\u102E0",  # COPTIC EPACT THOUSANDS MARK
    "\u102E1",  # COPTIC EPACT DIGIT ONE
    "\u102E2",  # COPTIC EPACT DIGIT TWO
    "\u102E3",  # COPTIC EPACT DIGIT THREE
    "\u102E4",  # COPTIC EPACT DIGIT FOUR
    "\u102E5",  # COPTIC EPACT DIGIT FIVE
    "\u102E6",  # COPTIC EPACT DIGIT SIX
    "\u102E7",  # COPTIC EPACT DIGIT SEVEN
    "\u102E8",  # COPTIC EPACT DIGIT EIGHT
    "\u102E9",  # COPTIC EPACT DIGIT NINE
    "\u102EA",  # COPTIC EPACT NUMBER TEN
    "\u102EB",  # COPTIC EPACT NUMBER TWENTY
    "\u102EC",  # COPTIC EPACT NUMBER THIRTY
    "\u102ED",  # COPTIC EPACT NUMBER FORTY
    "\u102EE",  # COPTIC EPACT NUMBER FIFTY
    "\u102EF",  # COPTIC EPACT NUMBER SIXTY
    "\u102F0",  # COPTIC EPACT NUMBER SEVENTY
    "\u102F1",  # COPTIC EPACT NUMBER EIGHTY
    "\u102F2",  # COPTIC EPACT NUMBER NINETY
    "\u102F3",  # COPTIC EPACT NUMBER ONE HUNDRED
    "\u102F4",  # COPTIC EPACT NUMBER TWO HUNDRED
    "\u102F5",  # COPTIC EPACT NUMBER THREE HUNDRED
    "\u102F6",  # COPTIC EPACT NUMBER FOUR HUNDRED
    "\u102F7",  # COPTIC EPACT NUMBER FIVE HUNDRED
    "\u102F8",  # COPTIC EPACT NUMBER SIX HUNDRED
    "\u102F9",  # COPTIC EPACT NUMBER SEVEN HUNDRED
    "\u102FA",  # COPTIC EPACT NUMBER EIGHT HUNDRED
    "\u102FB",  # COPTIC EPACT NUMBER NINE HUNDRED
    "\u10300",  # OLD ITALIC LETTER A
    "\u10301",  # OLD ITALIC LETTER BE
    "\u10302",  # OLD ITALIC LETTER KE
    "\u10303",  # OLD ITALIC LETTER DE
    "\u10304",  # OLD ITALIC LETTER E
    "\u10305",  # OLD ITALIC LETTER VE
    "\u10306",  # OLD ITALIC LETTER ZE
    "\u10307",  # OLD ITALIC LETTER HE
    "\u10308",  # OLD ITALIC LETTER THE
    "\u10309",  # OLD ITALIC LETTER I
    "\u1030A",  # OLD ITALIC LETTER KA
    "\u1030B",  # OLD ITALIC LETTER EL
    "\u1030C",  # OLD ITALIC LETTER EM
    "\u1030D",  # OLD ITALIC LETTER EN
    "\u1030E",  # OLD ITALIC LETTER ESH
    "\u1030F",  # OLD ITALIC LETTER O
    "\u10310",  # OLD ITALIC LETTER PE
    "\u10311",  # OLD ITALIC LETTER SHE
    "\u10312",  # OLD ITALIC LETTER KU
    "\u10313",  # OLD ITALIC LETTER ER
    "\u10314",  # OLD ITALIC LETTER ES
    "\u10315",  # OLD ITALIC LETTER TE
    "\u10316",  # OLD ITALIC LETTER U
    "\u10317",  # OLD ITALIC LETTER EKS
    "\u10318",  # OLD ITALIC LETTER PHE
    "\u10319",  # OLD ITALIC LETTER KHE
    "\u1031A",  # OLD ITALIC LETTER EF
    "\u1031B",  # OLD ITALIC LETTER ERS
    "\u1031C",  # OLD ITALIC LETTER CHE
    "\u1031D",  # OLD ITALIC LETTER II
    "\u1031E",  # OLD ITALIC LETTER UU
    "\u1031F",  # OLD ITALIC LETTER ESS
    "\u10320",  # OLD ITALIC NUMERAL ONE
    "\u10321",  # OLD ITALIC NUMERAL FIVE
    "\u10322",  # OLD ITALIC NUMERAL TEN
    "\u10323",  # OLD ITALIC NUMERAL FIFTY
    "\u1032D",  # OLD ITALIC LETTER YE
    "\u1032E",  # OLD ITALIC LETTER NORTHERN TSE
    "\u1032F",  # OLD ITALIC LETTER SOUTHERN TSE
    "\u10330",  # GOTHIC LETTER AHSA
    "\u10331",  # GOTHIC LETTER BAIRKAN
    "\u10332",  # GOTHIC LETTER GIBA
    "\u10333",  # GOTHIC LETTER DAGS
    "\u10334",  # GOTHIC LETTER AIHVUS
    "\u10335",  # GOTHIC LETTER QAIRTHRA
    "\u10336",  # GOTHIC LETTER IUJA
    "\u10337",  # GOTHIC LETTER HAGL
    "\u10338",  # GOTHIC LETTER THIUTH
    "\u10339",  # GOTHIC LETTER EIS
    "\u1033A",  # GOTHIC LETTER KUSMA
    "\u1033B",  # GOTHIC LETTER LAGUS
    "\u1033C",  # GOTHIC LETTER MANNA
    "\u1033D",  # GOTHIC LETTER NAUTHS
    "\u1033E",  # GOTHIC LETTER JER
    "\u1033F",  # GOTHIC LETTER URUS
    "\u10340",  # GOTHIC LETTER PAIRTHRA
    "\u10341",  # GOTHIC LETTER NINETY
    "\u10342",  # GOTHIC LETTER RAIDA
    "\u10343",  # GOTHIC LETTER SAUIL
    "\u10344",  # GOTHIC LETTER TEIWS
    "\u10345",  # GOTHIC LETTER WINJA
    "\u10346",  # GOTHIC LETTER FAIHU
    "\u10347",  # GOTHIC LETTER IGGWS
    "\u10348",  # GOTHIC LETTER HWAIR
    "\u10349",  # GOTHIC LETTER OTHAL
    "\u1034A",  # GOTHIC LETTER NINE HUNDRED
    "\u10350",  # OLD PERMIC LETTER AN
    "\u10351",  # OLD PERMIC LETTER BUR
    "\u10352",  # OLD PERMIC LETTER GAI
    "\u10353",  # OLD PERMIC LETTER DOI
    "\u10354",  # OLD PERMIC LETTER E
    "\u10355",  # OLD PERMIC LETTER ZHOI
    "\u10356",  # OLD PERMIC LETTER DZHOI
    "\u10357",  # OLD PERMIC LETTER ZATA
    "\u10358",  # OLD PERMIC LETTER DZITA
    "\u10359",  # OLD PERMIC LETTER I
    "\u1035A",  # OLD PERMIC LETTER KOKE
    "\u1035B",  # OLD PERMIC LETTER LEI
    "\u1035C",  # OLD PERMIC LETTER MENOE
    "\u1035D",  # OLD PERMIC LETTER NENOE
    "\u1035E",  # OLD PERMIC LETTER VOOI
    "\u1035F",  # OLD PERMIC LETTER PEEI
    "\u10360",  # OLD PERMIC LETTER REI
    "\u10361",  # OLD PERMIC LETTER SII
    "\u10362",  # OLD PERMIC LETTER TAI
    "\u10363",  # OLD PERMIC LETTER U
    "\u10364",  # OLD PERMIC LETTER CHERY
    "\u10365",  # OLD PERMIC LETTER SHOOI
    "\u10366",  # OLD PERMIC LETTER SHCHOOI
    "\u10367",  # OLD PERMIC LETTER YRY
    "\u10368",  # OLD PERMIC LETTER YERU
    "\u10369",  # OLD PERMIC LETTER O
    "\u1036A",  # OLD PERMIC LETTER OO
    "\u1036B",  # OLD PERMIC LETTER EF
    "\u1036C",  # OLD PERMIC LETTER HA
    "\u1036D",  # OLD PERMIC LETTER TSIU
    "\u1036E",  # OLD PERMIC LETTER VER
    "\u1036F",  # OLD PERMIC LETTER YER
    "\u10370",  # OLD PERMIC LETTER YERI
    "\u10371",  # OLD PERMIC LETTER YAT
    "\u10372",  # OLD PERMIC LETTER IE
    "\u10373",  # OLD PERMIC LETTER YU
    "\u10374",  # OLD PERMIC LETTER YA
    "\u10375",  # OLD PERMIC LETTER IA
    "\u10376",  # COMBINING OLD PERMIC LETTER AN
    "\u10377",  # COMBINING OLD PERMIC LETTER DOI
    "\u10378",  # COMBINING OLD PERMIC LETTER ZATA
    "\u10379",  # COMBINING OLD PERMIC LETTER NENOE
    "\u1037A",  # COMBINING OLD PERMIC LETTER SII
    "\u10380",  # UGARITIC LETTER ALPA
    "\u10381",  # UGARITIC LETTER BETA
    "\u10382",  # UGARITIC LETTER GAMLA
    "\u10383",  # UGARITIC LETTER KHA
    "\u10384",  # UGARITIC LETTER DELTA
    "\u10385",  # UGARITIC LETTER HO
    "\u10386",  # UGARITIC LETTER WO
    "\u10387",  # UGARITIC LETTER ZETA
    "\u10388",  # UGARITIC LETTER HOTA
    "\u10389",  # UGARITIC LETTER TET
    "\u1038A",  # UGARITIC LETTER YOD
    "\u1038B",  # UGARITIC LETTER KAF
    "\u1038C",  # UGARITIC LETTER SHIN
    "\u1038D",  # UGARITIC LETTER LAMDA
    "\u1038E",  # UGARITIC LETTER MEM
    "\u1038F",  # UGARITIC LETTER DHAL
    "\u10390",  # UGARITIC LETTER NUN
    "\u10391",  # UGARITIC LETTER ZU
    "\u10392",  # UGARITIC LETTER SAMKA
    "\u10393",  # UGARITIC LETTER AIN
    "\u10394",  # UGARITIC LETTER PU
    "\u10395",  # UGARITIC LETTER SADE
    "\u10396",  # UGARITIC LETTER QOPA
    "\u10397",  # UGARITIC LETTER RASHA
    "\u10398",  # UGARITIC LETTER THANNA
    "\u10399",  # UGARITIC LETTER GHAIN
    "\u1039A",  # UGARITIC LETTER TO
    "\u1039B",  # UGARITIC LETTER I
    "\u1039C",  # UGARITIC LETTER U
    "\u1039D",  # UGARITIC LETTER SSU
    "\u1039F",  # UGARITIC WORD DIVIDER
    "\u103A0",  # OLD PERSIAN SIGN A
    "\u103A1",  # OLD PERSIAN SIGN I
    "\u103A2",  # OLD PERSIAN SIGN U
    "\u103A3",  # OLD PERSIAN SIGN KA
    "\u103A4",  # OLD PERSIAN SIGN KU
    "\u103A5",  # OLD PERSIAN SIGN GA
    "\u103A6",  # OLD PERSIAN SIGN GU
    "\u103A7",  # OLD PERSIAN SIGN XA
    "\u103A8",  # OLD PERSIAN SIGN CA
    "\u103A9",  # OLD PERSIAN SIGN JA
    "\u103AA",  # OLD PERSIAN SIGN JI
    "\u103AB",  # OLD PERSIAN SIGN TA
    "\u103AC",  # OLD PERSIAN SIGN TU
    "\u103AD",  # OLD PERSIAN SIGN DA
    "\u103AE",  # OLD PERSIAN SIGN DI
    "\u103AF",  # OLD PERSIAN SIGN DU
    "\u103B0",  # OLD PERSIAN SIGN THA
    "\u103B1",  # OLD PERSIAN SIGN PA
    "\u103B2",  # OLD PERSIAN SIGN BA
    "\u103B3",  # OLD PERSIAN SIGN FA
    "\u103B4",  # OLD PERSIAN SIGN NA
    "\u103B5",  # OLD PERSIAN SIGN NU
    "\u103B6",  # OLD PERSIAN SIGN MA
    "\u103B7",  # OLD PERSIAN SIGN MI
    "\u103B8",  # OLD PERSIAN SIGN MU
    "\u103B9",  # OLD PERSIAN SIGN YA
    "\u103BA",  # OLD PERSIAN SIGN VA
    "\u103BB",  # OLD PERSIAN SIGN VI
    "\u103BC",  # OLD PERSIAN SIGN RA
    "\u103BD",  # OLD PERSIAN SIGN RU
    "\u103BE",  # OLD PERSIAN SIGN LA
    "\u103BF",  # OLD PERSIAN SIGN SA
    "\u103C0",  # OLD PERSIAN SIGN ZA
    "\u103C1",  # OLD PERSIAN SIGN SHA
    "\u103C2",  # OLD PERSIAN SIGN SSA
    "\u103C3",  # OLD PERSIAN SIGN HA
    "\u103C8",  # OLD PERSIAN SIGN AURAMAZDAA
    "\u103C9",  # OLD PERSIAN SIGN AURAMAZDAA-2
    "\u103CA",  # OLD PERSIAN SIGN AURAMAZDAAHA
    "\u103CB",  # OLD PERSIAN SIGN XSHAAYATHIYA
    "\u103CC",  # OLD PERSIAN SIGN DAHYAAUSH
    "\u103CD",  # OLD PERSIAN SIGN DAHYAAUSH-2
    "\u103CE",  # OLD PERSIAN SIGN BAGA
    "\u103CF",  # OLD PERSIAN SIGN BUUMISH
    "\u103D0",  # OLD PERSIAN WORD DIVIDER
    "\u103D1",  # OLD PERSIAN NUMBER ONE
    "\u103D2",  # OLD PERSIAN NUMBER TWO
    "\u103D3",  # OLD PERSIAN NUMBER TEN
    "\u103D4",  # OLD PERSIAN NUMBER TWENTY
    "\u103D5",  # OLD PERSIAN NUMBER HUNDRED
    "\u10400",  # DESERET CAPITAL LETTER LONG I
    "\u10401",  # DESERET CAPITAL LETTER LONG E
    "\u10402",  # DESERET CAPITAL LETTER LONG A
    "\u10403",  # DESERET CAPITAL LETTER LONG AH
    "\u10404",  # DESERET CAPITAL LETTER LONG O
    "\u10405",  # DESERET CAPITAL LETTER LONG OO
    "\u10406",  # DESERET CAPITAL LETTER SHORT I
    "\u10407",  # DESERET CAPITAL LETTER SHORT E
    "\u10408",  # DESERET CAPITAL LETTER SHORT A
    "\u10409",  # DESERET CAPITAL LETTER SHORT AH
    "\u1040A",  # DESERET CAPITAL LETTER SHORT O
    "\u1040B",  # DESERET CAPITAL LETTER SHORT OO
    "\u1040C",  # DESERET CAPITAL LETTER AY
    "\u1040D",  # DESERET CAPITAL LETTER OW
    "\u1040E",  # DESERET CAPITAL LETTER WU
    "\u1040F",  # DESERET CAPITAL LETTER YEE
    "\u10410",  # DESERET CAPITAL LETTER H
    "\u10411",  # DESERET CAPITAL LETTER PEE
    "\u10412",  # DESERET CAPITAL LETTER BEE
    "\u10413",  # DESERET CAPITAL LETTER TEE
    "\u10414",  # DESERET CAPITAL LETTER DEE
    "\u10415",  # DESERET CAPITAL LETTER CHEE
    "\u10416",  # DESERET CAPITAL LETTER JEE
    "\u10417",  # DESERET CAPITAL LETTER KAY
    "\u10418",  # DESERET CAPITAL LETTER GAY
    "\u10419",  # DESERET CAPITAL LETTER EF
    "\u1041A",  # DESERET CAPITAL LETTER VEE
    "\u1041B",  # DESERET CAPITAL LETTER ETH
    "\u1041C",  # DESERET CAPITAL LETTER THEE
    "\u1041D",  # DESERET CAPITAL LETTER ES
    "\u1041E",  # DESERET CAPITAL LETTER ZEE
    "\u1041F",  # DESERET CAPITAL LETTER ESH
    "\u10420",  # DESERET CAPITAL LETTER ZHEE
    "\u10421",  # DESERET CAPITAL LETTER ER
    "\u10422",  # DESERET CAPITAL LETTER EL
    "\u10423",  # DESERET CAPITAL LETTER EM
    "\u10424",  # DESERET CAPITAL LETTER EN
    "\u10425",  # DESERET CAPITAL LETTER ENG
    "\u10426",  # DESERET CAPITAL LETTER OI
    "\u10427",  # DESERET CAPITAL LETTER EW
    "\u10428",  # DESERET SMALL LETTER LONG I
    "\u10429",  # DESERET SMALL LETTER LONG E
    "\u1042A",  # DESERET SMALL LETTER LONG A
    "\u1042B",  # DESERET SMALL LETTER LONG AH
    "\u1042C",  # DESERET SMALL LETTER LONG O
    "\u1042D",  # DESERET SMALL LETTER LONG OO
    "\u1042E",  # DESERET SMALL LETTER SHORT I
    "\u1042F",  # DESERET SMALL LETTER SHORT E
    "\u10430",  # DESERET SMALL LETTER SHORT A
    "\u10431",  # DESERET SMALL LETTER SHORT AH
    "\u10432",  # DESERET SMALL LETTER SHORT O
    "\u10433",  # DESERET SMALL LETTER SHORT OO
    "\u10434",  # DESERET SMALL LETTER AY
    "\u10435",  # DESERET SMALL LETTER OW
    "\u10436",  # DESERET SMALL LETTER WU
    "\u10437",  # DESERET SMALL LETTER YEE
    "\u10438",  # DESERET SMALL LETTER H
    "\u10439",  # DESERET SMALL LETTER PEE
    "\u1043A",  # DESERET SMALL LETTER BEE
    "\u1043B",  # DESERET SMALL LETTER TEE
    "\u1043C",  # DESERET SMALL LETTER DEE
    "\u1043D",  # DESERET SMALL LETTER CHEE
    "\u1043E",  # DESERET SMALL LETTER JEE
    "\u1043F",  # DESERET SMALL LETTER KAY
    "\u10440",  # DESERET SMALL LETTER GAY
    "\u10441",  # DESERET SMALL LETTER EF
    "\u10442",  # DESERET SMALL LETTER VEE
    "\u10443",  # DESERET SMALL LETTER ETH
    "\u10444",  # DESERET SMALL LETTER THEE
    "\u10445",  # DESERET SMALL LETTER ES
    "\u10446",  # DESERET SMALL LETTER ZEE
    "\u10447",  # DESERET SMALL LETTER ESH
    "\u10448",  # DESERET SMALL LETTER ZHEE
    "\u10449",  # DESERET SMALL LETTER ER
    "\u1044A",  # DESERET SMALL LETTER EL
    "\u1044B",  # DESERET SMALL LETTER EM
    "\u1044C",  # DESERET SMALL LETTER EN
    "\u1044D",  # DESERET SMALL LETTER ENG
    "\u1044E",  # DESERET SMALL LETTER OI
    "\u1044F",  # DESERET SMALL LETTER EW
    "\u10450",  # SHAVIAN LETTER PEEP
    "\u10451",  # SHAVIAN LETTER TOT
    "\u10452",  # SHAVIAN LETTER KICK
    "\u10453",  # SHAVIAN LETTER FEE
    "\u10454",  # SHAVIAN LETTER THIGH
    "\u10455",  # SHAVIAN LETTER SO
    "\u10456",  # SHAVIAN LETTER SURE
    "\u10457",  # SHAVIAN LETTER CHURCH
    "\u10458",  # SHAVIAN LETTER YEA
    "\u10459",  # SHAVIAN LETTER HUNG
    "\u1045A",  # SHAVIAN LETTER BIB
    "\u1045B",  # SHAVIAN LETTER DEAD
    "\u1045C",  # SHAVIAN LETTER GAG
    "\u1045D",  # SHAVIAN LETTER VOW
    "\u1045E",  # SHAVIAN LETTER THEY
    "\u1045F",  # SHAVIAN LETTER ZOO
    "\u10460",  # SHAVIAN LETTER MEASURE
    "\u10461",  # SHAVIAN LETTER JUDGE
    "\u10462",  # SHAVIAN LETTER WOE
    "\u10463",  # SHAVIAN LETTER HA-HA
    "\u10464",  # SHAVIAN LETTER LOLL
    "\u10465",  # SHAVIAN LETTER MIME
    "\u10466",  # SHAVIAN LETTER IF
    "\u10467",  # SHAVIAN LETTER EGG
    "\u10468",  # SHAVIAN LETTER ASH
    "\u10469",  # SHAVIAN LETTER ADO
    "\u1046A",  # SHAVIAN LETTER ON
    "\u1046B",  # SHAVIAN LETTER WOOL
    "\u1046C",  # SHAVIAN LETTER OUT
    "\u1046D",  # SHAVIAN LETTER AH
    "\u1046E",  # SHAVIAN LETTER ROAR
    "\u1046F",  # SHAVIAN LETTER NUN
    "\u10470",  # SHAVIAN LETTER EAT
    "\u10471",  # SHAVIAN LETTER AGE
    "\u10472",  # SHAVIAN LETTER ICE
    "\u10473",  # SHAVIAN LETTER UP
    "\u10474",  # SHAVIAN LETTER OAK
    "\u10475",  # SHAVIAN LETTER OOZE
    "\u10476",  # SHAVIAN LETTER OIL
    "\u10477",  # SHAVIAN LETTER AWE
    "\u10478",  # SHAVIAN LETTER ARE
    "\u10479",  # SHAVIAN LETTER OR
    "\u1047A",  # SHAVIAN LETTER AIR
    "\u1047B",  # SHAVIAN LETTER ERR
    "\u1047C",  # SHAVIAN LETTER ARRAY
    "\u1047D",  # SHAVIAN LETTER EAR
    "\u1047E",  # SHAVIAN LETTER IAN
    "\u1047F",  # SHAVIAN LETTER YEW
    "\u10480",  # OSMANYA LETTER ALEF
    "\u10481",  # OSMANYA LETTER BA
    "\u10482",  # OSMANYA LETTER TA
    "\u10483",  # OSMANYA LETTER JA
    "\u10484",  # OSMANYA LETTER XA
    "\u10485",  # OSMANYA LETTER KHA
    "\u10486",  # OSMANYA LETTER DEEL
    "\u10487",  # OSMANYA LETTER RA
    "\u10488",  # OSMANYA LETTER SA
    "\u10489",  # OSMANYA LETTER SHIIN
    "\u1048A",  # OSMANYA LETTER DHA
    "\u1048B",  # OSMANYA LETTER CAYN
    "\u1048C",  # OSMANYA LETTER GA
    "\u1048D",  # OSMANYA LETTER FA
    "\u1048E",  # OSMANYA LETTER QAAF
    "\u1048F",  # OSMANYA LETTER KAAF
    "\u10490",  # OSMANYA LETTER LAAN
    "\u10491",  # OSMANYA LETTER MIIN
    "\u10492",  # OSMANYA LETTER NUUN
    "\u10493",  # OSMANYA LETTER WAW
    "\u10494",  # OSMANYA LETTER HA
    "\u10495",  # OSMANYA LETTER YA
    "\u10496",  # OSMANYA LETTER A
    "\u10497",  # OSMANYA LETTER E
    "\u10498",  # OSMANYA LETTER I
    "\u10499",  # OSMANYA LETTER O
    "\u1049A",  # OSMANYA LETTER U
    "\u1049B",  # OSMANYA LETTER AA
    "\u1049C",  # OSMANYA LETTER EE
    "\u1049D",  # OSMANYA LETTER OO
    "\u104A0",  # OSMANYA DIGIT ZERO
    "\u104A1",  # OSMANYA DIGIT ONE
    "\u104A2",  # OSMANYA DIGIT TWO
    "\u104A3",  # OSMANYA DIGIT THREE
    "\u104A4",  # OSMANYA DIGIT FOUR
    "\u104A5",  # OSMANYA DIGIT FIVE
    "\u104A6",  # OSMANYA DIGIT SIX
    "\u104A7",  # OSMANYA DIGIT SEVEN
    "\u104A8",  # OSMANYA DIGIT EIGHT
    "\u104A9",  # OSMANYA DIGIT NINE
    "\u104B0",  # OSAGE CAPITAL LETTER A
    "\u104B1",  # OSAGE CAPITAL LETTER AI
    "\u104B2",  # OSAGE CAPITAL LETTER AIN
    "\u104B3",  # OSAGE CAPITAL LETTER AH
    "\u104B4",  # OSAGE CAPITAL LETTER BRA
    "\u104B5",  # OSAGE CAPITAL LETTER CHA
    "\u104B6",  # OSAGE CAPITAL LETTER EHCHA
    "\u104B7",  # OSAGE CAPITAL LETTER E
    "\u104B8",  # OSAGE CAPITAL LETTER EIN
    "\u104B9",  # OSAGE CAPITAL LETTER HA
    "\u104BA",  # OSAGE CAPITAL LETTER HYA
    "\u104BB",  # OSAGE CAPITAL LETTER I
    "\u104BC",  # OSAGE CAPITAL LETTER KA
    "\u104BD",  # OSAGE CAPITAL LETTER EHKA
    "\u104BE",  # OSAGE CAPITAL LETTER KYA
    "\u104BF",  # OSAGE CAPITAL LETTER LA
    "\u104C0",  # OSAGE CAPITAL LETTER MA
    "\u104C1",  # OSAGE CAPITAL LETTER NA
    "\u104C2",  # OSAGE CAPITAL LETTER O
    "\u104C3",  # OSAGE CAPITAL LETTER OIN
    "\u104C4",  # OSAGE CAPITAL LETTER PA
    "\u104C5",  # OSAGE CAPITAL LETTER EHPA
    "\u104C6",  # OSAGE CAPITAL LETTER SA
    "\u104C7",  # OSAGE CAPITAL LETTER SHA
    "\u104C8",  # OSAGE CAPITAL LETTER TA
    "\u104C9",  # OSAGE CAPITAL LETTER EHTA
    "\u104CA",  # OSAGE CAPITAL LETTER TSA
    "\u104CB",  # OSAGE CAPITAL LETTER EHTSA
    "\u104CC",  # OSAGE CAPITAL LETTER TSHA
    "\u104CD",  # OSAGE CAPITAL LETTER DHA
    "\u104CE",  # OSAGE CAPITAL LETTER U
    "\u104CF",  # OSAGE CAPITAL LETTER WA
    "\u104D0",  # OSAGE CAPITAL LETTER KHA
    "\u104D1",  # OSAGE CAPITAL LETTER GHA
    "\u104D2",  # OSAGE CAPITAL LETTER ZA
    "\u104D3",  # OSAGE CAPITAL LETTER ZHA
    "\u104D8",  # OSAGE SMALL LETTER A
    "\u104D9",  # OSAGE SMALL LETTER AI
    "\u104DA",  # OSAGE SMALL LETTER AIN
    "\u104DB",  # OSAGE SMALL LETTER AH
    "\u104DC",  # OSAGE SMALL LETTER BRA
    "\u104DD",  # OSAGE SMALL LETTER CHA
    "\u104DE",  # OSAGE SMALL LETTER EHCHA
    "\u104DF",  # OSAGE SMALL LETTER E
    "\u104E0",  # OSAGE SMALL LETTER EIN
    "\u104E1",  # OSAGE SMALL LETTER HA
    "\u104E2",  # OSAGE SMALL LETTER HYA
    "\u104E3",  # OSAGE SMALL LETTER I
    "\u104E4",  # OSAGE SMALL LETTER KA
    "\u104E5",  # OSAGE SMALL LETTER EHKA
    "\u104E6",  # OSAGE SMALL LETTER KYA
    "\u104E7",  # OSAGE SMALL LETTER LA
    "\u104E8",  # OSAGE SMALL LETTER MA
    "\u104E9",  # OSAGE SMALL LETTER NA
    "\u104EA",  # OSAGE SMALL LETTER O
    "\u104EB",  # OSAGE SMALL LETTER OIN
    "\u104EC",  # OSAGE SMALL LETTER PA
    "\u104ED",  # OSAGE SMALL LETTER EHPA
    "\u104EE",  # OSAGE SMALL LETTER SA
    "\u104EF",  # OSAGE SMALL LETTER SHA
    "\u104F0",  # OSAGE SMALL LETTER TA
    "\u104F1",  # OSAGE SMALL LETTER EHTA
    "\u104F2",  # OSAGE SMALL LETTER TSA
    "\u104F3",  # OSAGE SMALL LETTER EHTSA
    "\u104F4",  # OSAGE SMALL LETTER TSHA
    "\u104F5",  # OSAGE SMALL LETTER DHA
    "\u104F6",  # OSAGE SMALL LETTER U
    "\u104F7",  # OSAGE SMALL LETTER WA
    "\u104F8",  # OSAGE SMALL LETTER KHA
    "\u104F9",  # OSAGE SMALL LETTER GHA
    "\u104FA",  # OSAGE SMALL LETTER ZA
    "\u104FB",  # OSAGE SMALL LETTER ZHA
    "\u10500",  # ELBASAN LETTER A
    "\u10501",  # ELBASAN LETTER BE
    "\u10502",  # ELBASAN LETTER CE
    "\u10503",  # ELBASAN LETTER CHE
    "\u10504",  # ELBASAN LETTER DE
    "\u10505",  # ELBASAN LETTER NDE
    "\u10506",  # ELBASAN LETTER DHE
    "\u10507",  # ELBASAN LETTER EI
    "\u10508",  # ELBASAN LETTER E
    "\u10509",  # ELBASAN LETTER FE
    "\u1050A",  # ELBASAN LETTER GE
    "\u1050B",  # ELBASAN LETTER GJE
    "\u1050C",  # ELBASAN LETTER HE
    "\u1050D",  # ELBASAN LETTER I
    "\u1050E",  # ELBASAN LETTER JE
    "\u1050F",  # ELBASAN LETTER KE
    "\u10510",  # ELBASAN LETTER LE
    "\u10511",  # ELBASAN LETTER LLE
    "\u10512",  # ELBASAN LETTER ME
    "\u10513",  # ELBASAN LETTER NE
    "\u10514",  # ELBASAN LETTER NA
    "\u10515",  # ELBASAN LETTER NJE
    "\u10516",  # ELBASAN LETTER O
    "\u10517",  # ELBASAN LETTER PE
    "\u10518",  # ELBASAN LETTER QE
    "\u10519",  # ELBASAN LETTER RE
    "\u1051A",  # ELBASAN LETTER RRE
    "\u1051B",  # ELBASAN LETTER SE
    "\u1051C",  # ELBASAN LETTER SHE
    "\u1051D",  # ELBASAN LETTER TE
    "\u1051E",  # ELBASAN LETTER THE
    "\u1051F",  # ELBASAN LETTER U
    "\u10520",  # ELBASAN LETTER VE
    "\u10521",  # ELBASAN LETTER XE
    "\u10522",  # ELBASAN LETTER Y
    "\u10523",  # ELBASAN LETTER ZE
    "\u10524",  # ELBASAN LETTER ZHE
    "\u10525",  # ELBASAN LETTER GHE
    "\u10526",  # ELBASAN LETTER GHAMMA
    "\u10527",  # ELBASAN LETTER KHE
    "\u10530",  # CAUCASIAN ALBANIAN LETTER ALT
    "\u10531",  # CAUCASIAN ALBANIAN LETTER BET
    "\u10532",  # CAUCASIAN ALBANIAN LETTER GIM
    "\u10533",  # CAUCASIAN ALBANIAN LETTER DAT
    "\u10534",  # CAUCASIAN ALBANIAN LETTER EB
    "\u10535",  # CAUCASIAN ALBANIAN LETTER ZARL
    "\u10536",  # CAUCASIAN ALBANIAN LETTER EYN
    "\u10537",  # CAUCASIAN ALBANIAN LETTER ZHIL
    "\u10538",  # CAUCASIAN ALBANIAN LETTER TAS
    "\u10539",  # CAUCASIAN ALBANIAN LETTER CHA
    "\u1053A",  # CAUCASIAN ALBANIAN LETTER YOWD
    "\u1053B",  # CAUCASIAN ALBANIAN LETTER ZHA
    "\u1053C",  # CAUCASIAN ALBANIAN LETTER IRB
    "\u1053D",  # CAUCASIAN ALBANIAN LETTER SHA
    "\u1053E",  # CAUCASIAN ALBANIAN LETTER LAN
    "\u1053F",  # CAUCASIAN ALBANIAN LETTER INYA
    "\u10540",  # CAUCASIAN ALBANIAN LETTER XEYN
    "\u10541",  # CAUCASIAN ALBANIAN LETTER DYAN
    "\u10542",  # CAUCASIAN ALBANIAN LETTER CAR
    "\u10543",  # CAUCASIAN ALBANIAN LETTER JHOX
    "\u10544",  # CAUCASIAN ALBANIAN LETTER KAR
    "\u10545",  # CAUCASIAN ALBANIAN LETTER LYIT
    "\u10546",  # CAUCASIAN ALBANIAN LETTER HEYT
    "\u10547",  # CAUCASIAN ALBANIAN LETTER QAY
    "\u10548",  # CAUCASIAN ALBANIAN LETTER AOR
    "\u10549",  # CAUCASIAN ALBANIAN LETTER CHOY
    "\u1054A",  # CAUCASIAN ALBANIAN LETTER CHI
    "\u1054B",  # CAUCASIAN ALBANIAN LETTER CYAY
    "\u1054C",  # CAUCASIAN ALBANIAN LETTER MAQ
    "\u1054D",  # CAUCASIAN ALBANIAN LETTER QAR
    "\u1054E",  # CAUCASIAN ALBANIAN LETTER NOWC
    "\u1054F",  # CAUCASIAN ALBANIAN LETTER DZYAY
    "\u10550",  # CAUCASIAN ALBANIAN LETTER SHAK
    "\u10551",  # CAUCASIAN ALBANIAN LETTER JAYN
    "\u10552",  # CAUCASIAN ALBANIAN LETTER ON
    "\u10553",  # CAUCASIAN ALBANIAN LETTER TYAY
    "\u10554",  # CAUCASIAN ALBANIAN LETTER FAM
    "\u10555",  # CAUCASIAN ALBANIAN LETTER DZAY
    "\u10556",  # CAUCASIAN ALBANIAN LETTER CHAT
    "\u10557",  # CAUCASIAN ALBANIAN LETTER PEN
    "\u10558",  # CAUCASIAN ALBANIAN LETTER GHEYS
    "\u10559",  # CAUCASIAN ALBANIAN LETTER RAT
    "\u1055A",  # CAUCASIAN ALBANIAN LETTER SEYK
    "\u1055B",  # CAUCASIAN ALBANIAN LETTER VEYZ
    "\u1055C",  # CAUCASIAN ALBANIAN LETTER TIWR
    "\u1055D",  # CAUCASIAN ALBANIAN LETTER SHOY
    "\u1055E",  # CAUCASIAN ALBANIAN LETTER IWN
    "\u1055F",  # CAUCASIAN ALBANIAN LETTER CYAW
    "\u10560",  # CAUCASIAN ALBANIAN LETTER CAYN
    "\u10561",  # CAUCASIAN ALBANIAN LETTER YAYD
    "\u10562",  # CAUCASIAN ALBANIAN LETTER PIWR
    "\u10563",  # CAUCASIAN ALBANIAN LETTER KIW
    "\u1056F",  # CAUCASIAN ALBANIAN CITATION MARK
    "\u10600",  # LINEAR A SIGN AB001
    "\u10601",  # LINEAR A SIGN AB002
    "\u10602",  # LINEAR A SIGN AB003
    "\u10603",  # LINEAR A SIGN AB004
    "\u10604",  # LINEAR A SIGN AB005
    "\u10605",  # LINEAR A SIGN AB006
    "\u10606",  # LINEAR A SIGN AB007
    "\u10607",  # LINEAR A SIGN AB008
    "\u10608",  # LINEAR A SIGN AB009
    "\u10609",  # LINEAR A SIGN AB010
    "\u1060A",  # LINEAR A SIGN AB011
    "\u1060B",  # LINEAR A SIGN AB013
    "\u1060C",  # LINEAR A SIGN AB016
    "\u1060D",  # LINEAR A SIGN AB017
    "\u1060E",  # LINEAR A SIGN AB020
    "\u1060F",  # LINEAR A SIGN AB021
    "\u10610",  # LINEAR A SIGN AB021F
    "\u10611",  # LINEAR A SIGN AB021M
    "\u10612",  # LINEAR A SIGN AB022
    "\u10613",  # LINEAR A SIGN AB022F
    "\u10614",  # LINEAR A SIGN AB022M
    "\u10615",  # LINEAR A SIGN AB023
    "\u10616",  # LINEAR A SIGN AB023M
    "\u10617",  # LINEAR A SIGN AB024
    "\u10618",  # LINEAR A SIGN AB026
    "\u10619",  # LINEAR A SIGN AB027
    "\u1061A",  # LINEAR A SIGN AB028
    "\u1061B",  # LINEAR A SIGN A028B
    "\u1061C",  # LINEAR A SIGN AB029
    "\u1061D",  # LINEAR A SIGN AB030
    "\u1061E",  # LINEAR A SIGN AB031
    "\u1061F",  # LINEAR A SIGN AB034
    "\u10620",  # LINEAR A SIGN AB037
    "\u10621",  # LINEAR A SIGN AB038
    "\u10622",  # LINEAR A SIGN AB039
    "\u10623",  # LINEAR A SIGN AB040
    "\u10624",  # LINEAR A SIGN AB041
    "\u10625",  # LINEAR A SIGN AB044
    "\u10626",  # LINEAR A SIGN AB045
    "\u10627",  # LINEAR A SIGN AB046
    "\u10628",  # LINEAR A SIGN AB047
    "\u10629",  # LINEAR A SIGN AB048
    "\u1062A",  # LINEAR A SIGN AB049
    "\u1062B",  # LINEAR A SIGN AB050
    "\u1062C",  # LINEAR A SIGN AB051
    "\u1062D",  # LINEAR A SIGN AB053
    "\u1062E",  # LINEAR A SIGN AB054
    "\u1062F",  # LINEAR A SIGN AB055
    "\u10630",  # LINEAR A SIGN AB056
    "\u10631",  # LINEAR A SIGN AB057
    "\u10632",  # LINEAR A SIGN AB058
    "\u10633",  # LINEAR A SIGN AB059
    "\u10634",  # LINEAR A SIGN AB060
    "\u10635",  # LINEAR A SIGN AB061
    "\u10636",  # LINEAR A SIGN AB065
    "\u10637",  # LINEAR A SIGN AB066
    "\u10638",  # LINEAR A SIGN AB067
    "\u10639",  # LINEAR A SIGN AB069
    "\u1063A",  # LINEAR A SIGN AB070
    "\u1063B",  # LINEAR A SIGN AB073
    "\u1063C",  # LINEAR A SIGN AB074
    "\u1063D",  # LINEAR A SIGN AB076
    "\u1063E",  # LINEAR A SIGN AB077
    "\u1063F",  # LINEAR A SIGN AB078
    "\u10640",  # LINEAR A SIGN AB079
    "\u10641",  # LINEAR A SIGN AB080
    "\u10642",  # LINEAR A SIGN AB081
    "\u10643",  # LINEAR A SIGN AB082
    "\u10644",  # LINEAR A SIGN AB085
    "\u10645",  # LINEAR A SIGN AB086
    "\u10646",  # LINEAR A SIGN AB087
    "\u10647",  # LINEAR A SIGN A100-102
    "\u10648",  # LINEAR A SIGN AB118
    "\u10649",  # LINEAR A SIGN AB120
    "\u1064A",  # LINEAR A SIGN A120B
    "\u1064B",  # LINEAR A SIGN AB122
    "\u1064C",  # LINEAR A SIGN AB123
    "\u1064D",  # LINEAR A SIGN AB131A
    "\u1064E",  # LINEAR A SIGN AB131B
    "\u1064F",  # LINEAR A SIGN A131C
    "\u10650",  # LINEAR A SIGN AB164
    "\u10651",  # LINEAR A SIGN AB171
    "\u10652",  # LINEAR A SIGN AB180
    "\u10653",  # LINEAR A SIGN AB188
    "\u10654",  # LINEAR A SIGN AB191
    "\u10655",  # LINEAR A SIGN A301
    "\u10656",  # LINEAR A SIGN A302
    "\u10657",  # LINEAR A SIGN A303
    "\u10658",  # LINEAR A SIGN A304
    "\u10659",  # LINEAR A SIGN A305
    "\u1065A",  # LINEAR A SIGN A306
    "\u1065B",  # LINEAR A SIGN A307
    "\u1065C",  # LINEAR A SIGN A308
    "\u1065D",  # LINEAR A SIGN A309A
    "\u1065E",  # LINEAR A SIGN A309B
    "\u1065F",  # LINEAR A SIGN A309C
    "\u10660",  # LINEAR A SIGN A310
    "\u10661",  # LINEAR A SIGN A311
    "\u10662",  # LINEAR A SIGN A312
    "\u10663",  # LINEAR A SIGN A313A
    "\u10664",  # LINEAR A SIGN A313B
    "\u10665",  # LINEAR A SIGN A313C
    "\u10666",  # LINEAR A SIGN A314
    "\u10667",  # LINEAR A SIGN A315
    "\u10668",  # LINEAR A SIGN A316
    "\u10669",  # LINEAR A SIGN A317
    "\u1066A",  # LINEAR A SIGN A318
    "\u1066B",  # LINEAR A SIGN A319
    "\u1066C",  # LINEAR A SIGN A320
    "\u1066D",  # LINEAR A SIGN A321
    "\u1066E",  # LINEAR A SIGN A322
    "\u1066F",  # LINEAR A SIGN A323
    "\u10670",  # LINEAR A SIGN A324
    "\u10671",  # LINEAR A SIGN A325
    "\u10672",  # LINEAR A SIGN A326
    "\u10673",  # LINEAR A SIGN A327
    "\u10674",  # LINEAR A SIGN A328
    "\u10675",  # LINEAR A SIGN A329
    "\u10676",  # LINEAR A SIGN A330
    "\u10677",  # LINEAR A SIGN A331
    "\u10678",  # LINEAR A SIGN A332
    "\u10679",  # LINEAR A SIGN A333
    "\u1067A",  # LINEAR A SIGN A334
    "\u1067B",  # LINEAR A SIGN A335
    "\u1067C",  # LINEAR A SIGN A336
    "\u1067D",  # LINEAR A SIGN A337
    "\u1067E",  # LINEAR A SIGN A338
    "\u1067F",  # LINEAR A SIGN A339
    "\u10680",  # LINEAR A SIGN A340
    "\u10681",  # LINEAR A SIGN A341
    "\u10682",  # LINEAR A SIGN A342
    "\u10683",  # LINEAR A SIGN A343
    "\u10684",  # LINEAR A SIGN A344
    "\u10685",  # LINEAR A SIGN A345
    "\u10686",  # LINEAR A SIGN A346
    "\u10687",  # LINEAR A SIGN A347
    "\u10688",  # LINEAR A SIGN A348
    "\u10689",  # LINEAR A SIGN A349
    "\u1068A",  # LINEAR A SIGN A350
    "\u1068B",  # LINEAR A SIGN A351
    "\u1068C",  # LINEAR A SIGN A352
    "\u1068D",  # LINEAR A SIGN A353
    "\u1068E",  # LINEAR A SIGN A354
    "\u1068F",  # LINEAR A SIGN A355
    "\u10690",  # LINEAR A SIGN A356
    "\u10691",  # LINEAR A SIGN A357
    "\u10692",  # LINEAR A SIGN A358
    "\u10693",  # LINEAR A SIGN A359
    "\u10694",  # LINEAR A SIGN A360
    "\u10695",  # LINEAR A SIGN A361
    "\u10696",  # LINEAR A SIGN A362
    "\u10697",  # LINEAR A SIGN A363
    "\u10698",  # LINEAR A SIGN A364
    "\u10699",  # LINEAR A SIGN A365
    "\u1069A",  # LINEAR A SIGN A366
    "\u1069B",  # LINEAR A SIGN A367
    "\u1069C",  # LINEAR A SIGN A368
    "\u1069D",  # LINEAR A SIGN A369
    "\u1069E",  # LINEAR A SIGN A370
    "\u1069F",  # LINEAR A SIGN A371
    "\u106A0",  # LINEAR A SIGN A400-VAS
    "\u106A1",  # LINEAR A SIGN A401-VAS
    "\u106A2",  # LINEAR A SIGN A402-VAS
    "\u106A3",  # LINEAR A SIGN A403-VAS
    "\u106A4",  # LINEAR A SIGN A404-VAS
    "\u106A5",  # LINEAR A SIGN A405-VAS
    "\u106A6",  # LINEAR A SIGN A406-VAS
    "\u106A7",  # LINEAR A SIGN A407-VAS
    "\u106A8",  # LINEAR A SIGN A408-VAS
    "\u106A9",  # LINEAR A SIGN A409-VAS
    "\u106AA",  # LINEAR A SIGN A410-VAS
    "\u106AB",  # LINEAR A SIGN A411-VAS
    "\u106AC",  # LINEAR A SIGN A412-VAS
    "\u106AD",  # LINEAR A SIGN A413-VAS
    "\u106AE",  # LINEAR A SIGN A414-VAS
    "\u106AF",  # LINEAR A SIGN A415-VAS
    "\u106B0",  # LINEAR A SIGN A416-VAS
    "\u106B1",  # LINEAR A SIGN A417-VAS
    "\u106B2",  # LINEAR A SIGN A418-VAS
    "\u106B3",  # LINEAR A SIGN A501
    "\u106B4",  # LINEAR A SIGN A502
    "\u106B5",  # LINEAR A SIGN A503
    "\u106B6",  # LINEAR A SIGN A504
    "\u106B7",  # LINEAR A SIGN A505
    "\u106B8",  # LINEAR A SIGN A506
    "\u106B9",  # LINEAR A SIGN A508
    "\u106BA",  # LINEAR A SIGN A509
    "\u106BB",  # LINEAR A SIGN A510
    "\u106BC",  # LINEAR A SIGN A511
    "\u106BD",  # LINEAR A SIGN A512
    "\u106BE",  # LINEAR A SIGN A513
    "\u106BF",  # LINEAR A SIGN A515
    "\u106C0",  # LINEAR A SIGN A516
    "\u106C1",  # LINEAR A SIGN A520
    "\u106C2",  # LINEAR A SIGN A521
    "\u106C3",  # LINEAR A SIGN A523
    "\u106C4",  # LINEAR A SIGN A524
    "\u106C5",  # LINEAR A SIGN A525
    "\u106C6",  # LINEAR A SIGN A526
    "\u106C7",  # LINEAR A SIGN A527
    "\u106C8",  # LINEAR A SIGN A528
    "\u106C9",  # LINEAR A SIGN A529
    "\u106CA",  # LINEAR A SIGN A530
    "\u106CB",  # LINEAR A SIGN A531
    "\u106CC",  # LINEAR A SIGN A532
    "\u106CD",  # LINEAR A SIGN A534
    "\u106CE",  # LINEAR A SIGN A535
    "\u106CF",  # LINEAR A SIGN A536
    "\u106D0",  # LINEAR A SIGN A537
    "\u106D1",  # LINEAR A SIGN A538
    "\u106D2",  # LINEAR A SIGN A539
    "\u106D3",  # LINEAR A SIGN A540
    "\u106D4",  # LINEAR A SIGN A541
    "\u106D5",  # LINEAR A SIGN A542
    "\u106D6",  # LINEAR A SIGN A545
    "\u106D7",  # LINEAR A SIGN A547
    "\u106D8",  # LINEAR A SIGN A548
    "\u106D9",  # LINEAR A SIGN A549
    "\u106DA",  # LINEAR A SIGN A550
    "\u106DB",  # LINEAR A SIGN A551
    "\u106DC",  # LINEAR A SIGN A552
    "\u106DD",  # LINEAR A SIGN A553
    "\u106DE",  # LINEAR A SIGN A554
    "\u106DF",  # LINEAR A SIGN A555
    "\u106E0",  # LINEAR A SIGN A556
    "\u106E1",  # LINEAR A SIGN A557
    "\u106E2",  # LINEAR A SIGN A559
    "\u106E3",  # LINEAR A SIGN A563
    "\u106E4",  # LINEAR A SIGN A564
    "\u106E5",  # LINEAR A SIGN A565
    "\u106E6",  # LINEAR A SIGN A566
    "\u106E7",  # LINEAR A SIGN A568
    "\u106E8",  # LINEAR A SIGN A569
    "\u106E9",  # LINEAR A SIGN A570
    "\u106EA",  # LINEAR A SIGN A571
    "\u106EB",  # LINEAR A SIGN A572
    "\u106EC",  # LINEAR A SIGN A573
    "\u106ED",  # LINEAR A SIGN A574
    "\u106EE",  # LINEAR A SIGN A575
    "\u106EF",  # LINEAR A SIGN A576
    "\u106F0",  # LINEAR A SIGN A577
    "\u106F1",  # LINEAR A SIGN A578
    "\u106F2",  # LINEAR A SIGN A579
    "\u106F3",  # LINEAR A SIGN A580
    "\u106F4",  # LINEAR A SIGN A581
    "\u106F5",  # LINEAR A SIGN A582
    "\u106F6",  # LINEAR A SIGN A583
    "\u106F7",  # LINEAR A SIGN A584
    "\u106F8",  # LINEAR A SIGN A585
    "\u106F9",  # LINEAR A SIGN A586
    "\u106FA",  # LINEAR A SIGN A587
    "\u106FB",  # LINEAR A SIGN A588
    "\u106FC",  # LINEAR A SIGN A589
    "\u106FD",  # LINEAR A SIGN A591
    "\u106FE",  # LINEAR A SIGN A592
    "\u106FF",  # LINEAR A SIGN A594
    "\u10700",  # LINEAR A SIGN A595
    "\u10701",  # LINEAR A SIGN A596
    "\u10702",  # LINEAR A SIGN A598
    "\u10703",  # LINEAR A SIGN A600
    "\u10704",  # LINEAR A SIGN A601
    "\u10705",  # LINEAR A SIGN A602
    "\u10706",  # LINEAR A SIGN A603
    "\u10707",  # LINEAR A SIGN A604
    "\u10708",  # LINEAR A SIGN A606
    "\u10709",  # LINEAR A SIGN A608
    "\u1070A",  # LINEAR A SIGN A609
    "\u1070B",  # LINEAR A SIGN A610
    "\u1070C",  # LINEAR A SIGN A611
    "\u1070D",  # LINEAR A SIGN A612
    "\u1070E",  # LINEAR A SIGN A613
    "\u1070F",  # LINEAR A SIGN A614
    "\u10710",  # LINEAR A SIGN A615
    "\u10711",  # LINEAR A SIGN A616
    "\u10712",  # LINEAR A SIGN A617
    "\u10713",  # LINEAR A SIGN A618
    "\u10714",  # LINEAR A SIGN A619
    "\u10715",  # LINEAR A SIGN A620
    "\u10716",  # LINEAR A SIGN A621
    "\u10717",  # LINEAR A SIGN A622
    "\u10718",  # LINEAR A SIGN A623
    "\u10719",  # LINEAR A SIGN A624
    "\u1071A",  # LINEAR A SIGN A626
    "\u1071B",  # LINEAR A SIGN A627
    "\u1071C",  # LINEAR A SIGN A628
    "\u1071D",  # LINEAR A SIGN A629
    "\u1071E",  # LINEAR A SIGN A634
    "\u1071F",  # LINEAR A SIGN A637
    "\u10720",  # LINEAR A SIGN A638
    "\u10721",  # LINEAR A SIGN A640
    "\u10722",  # LINEAR A SIGN A642
    "\u10723",  # LINEAR A SIGN A643
    "\u10724",  # LINEAR A SIGN A644
    "\u10725",  # LINEAR A SIGN A645
    "\u10726",  # LINEAR A SIGN A646
    "\u10727",  # LINEAR A SIGN A648
    "\u10728",  # LINEAR A SIGN A649
    "\u10729",  # LINEAR A SIGN A651
    "\u1072A",  # LINEAR A SIGN A652
    "\u1072B",  # LINEAR A SIGN A653
    "\u1072C",  # LINEAR A SIGN A654
    "\u1072D",  # LINEAR A SIGN A655
    "\u1072E",  # LINEAR A SIGN A656
    "\u1072F",  # LINEAR A SIGN A657
    "\u10730",  # LINEAR A SIGN A658
    "\u10731",  # LINEAR A SIGN A659
    "\u10732",  # LINEAR A SIGN A660
    "\u10733",  # LINEAR A SIGN A661
    "\u10734",  # LINEAR A SIGN A662
    "\u10735",  # LINEAR A SIGN A663
    "\u10736",  # LINEAR A SIGN A664
    "\u10740",  # LINEAR A SIGN A701 A
    "\u10741",  # LINEAR A SIGN A702 B
    "\u10742",  # LINEAR A SIGN A703 D
    "\u10743",  # LINEAR A SIGN A704 E
    "\u10744",  # LINEAR A SIGN A705 F
    "\u10745",  # LINEAR A SIGN A706 H
    "\u10746",  # LINEAR A SIGN A707 J
    "\u10747",  # LINEAR A SIGN A708 K
    "\u10748",  # LINEAR A SIGN A709 L
    "\u10749",  # LINEAR A SIGN A709-2 L2
    "\u1074A",  # LINEAR A SIGN A709-3 L3
    "\u1074B",  # LINEAR A SIGN A709-4 L4
    "\u1074C",  # LINEAR A SIGN A709-6 L6
    "\u1074D",  # LINEAR A SIGN A710 W
    "\u1074E",  # LINEAR A SIGN A711 X
    "\u1074F",  # LINEAR A SIGN A712 Y
    "\u10750",  # LINEAR A SIGN A713 OMEGA
    "\u10751",  # LINEAR A SIGN A714 ABB
    "\u10752",  # LINEAR A SIGN A715 BB
    "\u10753",  # LINEAR A SIGN A717 DD
    "\u10754",  # LINEAR A SIGN A726 EYYY
    "\u10755",  # LINEAR A SIGN A732 JE
    "\u10760",  # LINEAR A SIGN A800
    "\u10761",  # LINEAR A SIGN A801
    "\u10762",  # LINEAR A SIGN A802
    "\u10763",  # LINEAR A SIGN A803
    "\u10764",  # LINEAR A SIGN A804
    "\u10765",  # LINEAR A SIGN A805
    "\u10766",  # LINEAR A SIGN A806
    "\u10767",  # LINEAR A SIGN A807
    "\u10800",  # CYPRIOT SYLLABLE A
    "\u10801",  # CYPRIOT SYLLABLE E
    "\u10802",  # CYPRIOT SYLLABLE I
    "\u10803",  # CYPRIOT SYLLABLE O
    "\u10804",  # CYPRIOT SYLLABLE U
    "\u10805",  # CYPRIOT SYLLABLE JA
    "\u10808",  # CYPRIOT SYLLABLE JO
    "\u1080A",  # CYPRIOT SYLLABLE KA
    "\u1080B",  # CYPRIOT SYLLABLE KE
    "\u1080C",  # CYPRIOT SYLLABLE KI
    "\u1080D",  # CYPRIOT SYLLABLE KO
    "\u1080E",  # CYPRIOT SYLLABLE KU
    "\u1080F",  # CYPRIOT SYLLABLE LA
    "\u10810",  # CYPRIOT SYLLABLE LE
    "\u10811",  # CYPRIOT SYLLABLE LI
    "\u10812",  # CYPRIOT SYLLABLE LO
    "\u10813",  # CYPRIOT SYLLABLE LU
    "\u10814",  # CYPRIOT SYLLABLE MA
    "\u10815",  # CYPRIOT SYLLABLE ME
    "\u10816",  # CYPRIOT SYLLABLE MI
    "\u10817",  # CYPRIOT SYLLABLE MO
    "\u10818",  # CYPRIOT SYLLABLE MU
    "\u10819",  # CYPRIOT SYLLABLE NA
    "\u1081A",  # CYPRIOT SYLLABLE NE
    "\u1081B",  # CYPRIOT SYLLABLE NI
    "\u1081C",  # CYPRIOT SYLLABLE NO
    "\u1081D",  # CYPRIOT SYLLABLE NU
    "\u1081E",  # CYPRIOT SYLLABLE PA
    "\u1081F",  # CYPRIOT SYLLABLE PE
    "\u10820",  # CYPRIOT SYLLABLE PI
    "\u10821",  # CYPRIOT SYLLABLE PO
    "\u10822",  # CYPRIOT SYLLABLE PU
    "\u10823",  # CYPRIOT SYLLABLE RA
    "\u10824",  # CYPRIOT SYLLABLE RE
    "\u10825",  # CYPRIOT SYLLABLE RI
    "\u10826",  # CYPRIOT SYLLABLE RO
    "\u10827",  # CYPRIOT SYLLABLE RU
    "\u10828",  # CYPRIOT SYLLABLE SA
    "\u10829",  # CYPRIOT SYLLABLE SE
    "\u1082A",  # CYPRIOT SYLLABLE SI
    "\u1082B",  # CYPRIOT SYLLABLE SO
    "\u1082C",  # CYPRIOT SYLLABLE SU
    "\u1082D",  # CYPRIOT SYLLABLE TA
    "\u1082E",  # CYPRIOT SYLLABLE TE
    "\u1082F",  # CYPRIOT SYLLABLE TI
    "\u10830",  # CYPRIOT SYLLABLE TO
    "\u10831",  # CYPRIOT SYLLABLE TU
    "\u10832",  # CYPRIOT SYLLABLE WA
    "\u10833",  # CYPRIOT SYLLABLE WE
    "\u10834",  # CYPRIOT SYLLABLE WI
    "\u10835",  # CYPRIOT SYLLABLE WO
    "\u10837",  # CYPRIOT SYLLABLE XA
    "\u10838",  # CYPRIOT SYLLABLE XE
    "\u1083C",  # CYPRIOT SYLLABLE ZA
    "\u1083F",  # CYPRIOT SYLLABLE ZO
    "\u10840",  # IMPERIAL ARAMAIC LETTER ALEPH
    "\u10841",  # IMPERIAL ARAMAIC LETTER BETH
    "\u10842",  # IMPERIAL ARAMAIC LETTER GIMEL
    "\u10843",  # IMPERIAL ARAMAIC LETTER DALETH
    "\u10844",  # IMPERIAL ARAMAIC LETTER HE
    "\u10845",  # IMPERIAL ARAMAIC LETTER WAW
    "\u10846",  # IMPERIAL ARAMAIC LETTER ZAYIN
    "\u10847",  # IMPERIAL ARAMAIC LETTER HETH
    "\u10848",  # IMPERIAL ARAMAIC LETTER TETH
    "\u10849",  # IMPERIAL ARAMAIC LETTER YODH
    "\u1084A",  # IMPERIAL ARAMAIC LETTER KAPH
    "\u1084B",  # IMPERIAL ARAMAIC LETTER LAMEDH
    "\u1084C",  # IMPERIAL ARAMAIC LETTER MEM
    "\u1084D",  # IMPERIAL ARAMAIC LETTER NUN
    "\u1084E",  # IMPERIAL ARAMAIC LETTER SAMEKH
    "\u1084F",  # IMPERIAL ARAMAIC LETTER AYIN
    "\u10850",  # IMPERIAL ARAMAIC LETTER PE
    "\u10851",  # IMPERIAL ARAMAIC LETTER SADHE
    "\u10852",  # IMPERIAL ARAMAIC LETTER QOPH
    "\u10853",  # IMPERIAL ARAMAIC LETTER RESH
    "\u10854",  # IMPERIAL ARAMAIC LETTER SHIN
    "\u10855",  # IMPERIAL ARAMAIC LETTER TAW
    "\u10857",  # IMPERIAL ARAMAIC SECTION SIGN
    "\u10858",  # IMPERIAL ARAMAIC NUMBER ONE
    "\u10859",  # IMPERIAL ARAMAIC NUMBER TWO
    "\u1085A",  # IMPERIAL ARAMAIC NUMBER THREE
    "\u1085B",  # IMPERIAL ARAMAIC NUMBER TEN
    "\u1085C",  # IMPERIAL ARAMAIC NUMBER TWENTY
    "\u1085D",  # IMPERIAL ARAMAIC NUMBER ONE HUNDRED
    "\u1085E",  # IMPERIAL ARAMAIC NUMBER ONE THOUSAND
    "\u1085F",  # IMPERIAL ARAMAIC NUMBER TEN THOUSAND
    "\u10860",  # PALMYRENE LETTER ALEPH
    "\u10861",  # PALMYRENE LETTER BETH
    "\u10862",  # PALMYRENE LETTER GIMEL
    "\u10863",  # PALMYRENE LETTER DALETH
    "\u10864",  # PALMYRENE LETTER HE
    "\u10865",  # PALMYRENE LETTER WAW
    "\u10866",  # PALMYRENE LETTER ZAYIN
    "\u10867",  # PALMYRENE LETTER HETH
    "\u10868",  # PALMYRENE LETTER TETH
    "\u10869",  # PALMYRENE LETTER YODH
    "\u1086A",  # PALMYRENE LETTER KAPH
    "\u1086B",  # PALMYRENE LETTER LAMEDH
    "\u1086C",  # PALMYRENE LETTER MEM
    "\u1086D",  # PALMYRENE LETTER FINAL NUN
    "\u1086E",  # PALMYRENE LETTER NUN
    "\u1086F",  # PALMYRENE LETTER SAMEKH
    "\u10870",  # PALMYRENE LETTER AYIN
    "\u10871",  # PALMYRENE LETTER PE
    "\u10872",  # PALMYRENE LETTER SADHE
    "\u10873",  # PALMYRENE LETTER QOPH
    "\u10874",  # PALMYRENE LETTER RESH
    "\u10875",  # PALMYRENE LETTER SHIN
    "\u10876",  # PALMYRENE LETTER TAW
    "\u10877",  # PALMYRENE LEFT-POINTING FLEURON
    "\u10878",  # PALMYRENE RIGHT-POINTING FLEURON
    "\u10879",  # PALMYRENE NUMBER ONE
    "\u1087A",  # PALMYRENE NUMBER TWO
    "\u1087B",  # PALMYRENE NUMBER THREE
    "\u1087C",  # PALMYRENE NUMBER FOUR
    "\u1087D",  # PALMYRENE NUMBER FIVE
    "\u1087E",  # PALMYRENE NUMBER TEN
    "\u1087F",  # PALMYRENE NUMBER TWENTY
    "\u10880",  # NABATAEAN LETTER FINAL ALEPH
    "\u10881",  # NABATAEAN LETTER ALEPH
    "\u10882",  # NABATAEAN LETTER FINAL BETH
    "\u10883",  # NABATAEAN LETTER BETH
    "\u10884",  # NABATAEAN LETTER GIMEL
    "\u10885",  # NABATAEAN LETTER DALETH
    "\u10886",  # NABATAEAN LETTER FINAL HE
    "\u10887",  # NABATAEAN LETTER HE
    "\u10888",  # NABATAEAN LETTER WAW
    "\u10889",  # NABATAEAN LETTER ZAYIN
    "\u1088A",  # NABATAEAN LETTER HETH
    "\u1088B",  # NABATAEAN LETTER TETH
    "\u1088C",  # NABATAEAN LETTER FINAL YODH
    "\u1088D",  # NABATAEAN LETTER YODH
    "\u1088E",  # NABATAEAN LETTER FINAL KAPH
    "\u1088F",  # NABATAEAN LETTER KAPH
    "\u10890",  # NABATAEAN LETTER FINAL LAMEDH
    "\u10891",  # NABATAEAN LETTER LAMEDH
    "\u10892",  # NABATAEAN LETTER FINAL MEM
    "\u10893",  # NABATAEAN LETTER MEM
    "\u10894",  # NABATAEAN LETTER FINAL NUN
    "\u10895",  # NABATAEAN LETTER NUN
    "\u10896",  # NABATAEAN LETTER SAMEKH
    "\u10897",  # NABATAEAN LETTER AYIN
    "\u10898",  # NABATAEAN LETTER PE
    "\u10899",  # NABATAEAN LETTER SADHE
    "\u1089A",  # NABATAEAN LETTER QOPH
    "\u1089B",  # NABATAEAN LETTER RESH
    "\u1089C",  # NABATAEAN LETTER FINAL SHIN
    "\u1089D",  # NABATAEAN LETTER SHIN
    "\u1089E",  # NABATAEAN LETTER TAW
    "\u108A7",  # NABATAEAN NUMBER ONE
    "\u108A8",  # NABATAEAN NUMBER TWO
    "\u108A9",  # NABATAEAN NUMBER THREE
    "\u108AA",  # NABATAEAN NUMBER FOUR
    "\u108AB",  # NABATAEAN CRUCIFORM NUMBER FOUR
    "\u108AC",  # NABATAEAN NUMBER FIVE
    "\u108AD",  # NABATAEAN NUMBER TEN
    "\u108AE",  # NABATAEAN NUMBER TWENTY
    "\u108AF",  # NABATAEAN NUMBER ONE HUNDRED
    "\u108E0",  # HATRAN LETTER ALEPH
    "\u108E1",  # HATRAN LETTER BETH
    "\u108E2",  # HATRAN LETTER GIMEL
    "\u108E3",  # HATRAN LETTER DALETH-RESH
    "\u108E4",  # HATRAN LETTER HE
    "\u108E5",  # HATRAN LETTER WAW
    "\u108E6",  # HATRAN LETTER ZAYN
    "\u108E7",  # HATRAN LETTER HETH
    "\u108E8",  # HATRAN LETTER TETH
    "\u108E9",  # HATRAN LETTER YODH
    "\u108EA",  # HATRAN LETTER KAPH
    "\u108EB",  # HATRAN LETTER LAMEDH
    "\u108EC",  # HATRAN LETTER MEM
    "\u108ED",  # HATRAN LETTER NUN
    "\u108EE",  # HATRAN LETTER SAMEKH
    "\u108EF",  # HATRAN LETTER AYN
    "\u108F0",  # HATRAN LETTER PE
    "\u108F1",  # HATRAN LETTER SADHE
    "\u108F2",  # HATRAN LETTER QOPH
    "\u108F4",  # HATRAN LETTER SHIN
    "\u108F5",  # HATRAN LETTER TAW
    "\u108FB",  # HATRAN NUMBER ONE
    "\u108FC",  # HATRAN NUMBER FIVE
    "\u108FD",  # HATRAN NUMBER TEN
    "\u108FE",  # HATRAN NUMBER TWENTY
    "\u108FF",  # HATRAN NUMBER ONE HUNDRED
    "\u10900",  # PHOENICIAN LETTER ALF
    "\u10901",  # PHOENICIAN LETTER BET
    "\u10902",  # PHOENICIAN LETTER GAML
    "\u10903",  # PHOENICIAN LETTER DELT
    "\u10904",  # PHOENICIAN LETTER HE
    "\u10905",  # PHOENICIAN LETTER WAU
    "\u10906",  # PHOENICIAN LETTER ZAI
    "\u10907",  # PHOENICIAN LETTER HET
    "\u10908",  # PHOENICIAN LETTER TET
    "\u10909",  # PHOENICIAN LETTER YOD
    "\u1090A",  # PHOENICIAN LETTER KAF
    "\u1090B",  # PHOENICIAN LETTER LAMD
    "\u1090C",  # PHOENICIAN LETTER MEM
    "\u1090D",  # PHOENICIAN LETTER NUN
    "\u1090E",  # PHOENICIAN LETTER SEMK
    "\u1090F",  # PHOENICIAN LETTER AIN
    "\u10910",  # PHOENICIAN LETTER PE
    "\u10911",  # PHOENICIAN LETTER SADE
    "\u10912",  # PHOENICIAN LETTER QOF
    "\u10913",  # PHOENICIAN LETTER ROSH
    "\u10914",  # PHOENICIAN LETTER SHIN
    "\u10915",  # PHOENICIAN LETTER TAU
    "\u10916",  # PHOENICIAN NUMBER ONE
    "\u10917",  # PHOENICIAN NUMBER TEN
    "\u10918",  # PHOENICIAN NUMBER TWENTY
    "\u10919",  # PHOENICIAN NUMBER ONE HUNDRED
    "\u1091A",  # PHOENICIAN NUMBER TWO
    "\u1091B",  # PHOENICIAN NUMBER THREE
    "\u1091F",  # PHOENICIAN WORD SEPARATOR
    "\u10920",  # LYDIAN LETTER A
    "\u10921",  # LYDIAN LETTER B
    "\u10922",  # LYDIAN LETTER G
    "\u10923",  # LYDIAN LETTER D
    "\u10924",  # LYDIAN LETTER E
    "\u10925",  # LYDIAN LETTER V
    "\u10926",  # LYDIAN LETTER I
    "\u10927",  # LYDIAN LETTER Y
    "\u10928",  # LYDIAN LETTER K
    "\u10929",  # LYDIAN LETTER L
    "\u1092A",  # LYDIAN LETTER M
    "\u1092B",  # LYDIAN LETTER N
    "\u1092C",  # LYDIAN LETTER O
    "\u1092D",  # LYDIAN LETTER R
    "\u1092E",  # LYDIAN LETTER SS
    "\u1092F",  # LYDIAN LETTER T
    "\u10930",  # LYDIAN LETTER U
    "\u10931",  # LYDIAN LETTER F
    "\u10932",  # LYDIAN LETTER Q
    "\u10933",  # LYDIAN LETTER S
    "\u10934",  # LYDIAN LETTER TT
    "\u10935",  # LYDIAN LETTER AN
    "\u10936",  # LYDIAN LETTER EN
    "\u10937",  # LYDIAN LETTER LY
    "\u10938",  # LYDIAN LETTER NN
    "\u10939",  # LYDIAN LETTER C
    "\u1093F",  # LYDIAN TRIANGULAR MARK
    "\u10980",  # MEROITIC HIEROGLYPHIC LETTER A
    "\u10981",  # MEROITIC HIEROGLYPHIC LETTER E
    "\u10982",  # MEROITIC HIEROGLYPHIC LETTER I
    "\u10983",  # MEROITIC HIEROGLYPHIC LETTER O
    "\u10984",  # MEROITIC HIEROGLYPHIC LETTER YA
    "\u10985",  # MEROITIC HIEROGLYPHIC LETTER WA
    "\u10986",  # MEROITIC HIEROGLYPHIC LETTER BA
    "\u10987",  # MEROITIC HIEROGLYPHIC LETTER BA-2
    "\u10988",  # MEROITIC HIEROGLYPHIC LETTER PA
    "\u10989",  # MEROITIC HIEROGLYPHIC LETTER MA
    "\u1098A",  # MEROITIC HIEROGLYPHIC LETTER NA
    "\u1098B",  # MEROITIC HIEROGLYPHIC LETTER NA-2
    "\u1098C",  # MEROITIC HIEROGLYPHIC LETTER NE
    "\u1098D",  # MEROITIC HIEROGLYPHIC LETTER NE-2
    "\u1098E",  # MEROITIC HIEROGLYPHIC LETTER RA
    "\u1098F",  # MEROITIC HIEROGLYPHIC LETTER RA-2
    "\u10990",  # MEROITIC HIEROGLYPHIC LETTER LA
    "\u10991",  # MEROITIC HIEROGLYPHIC LETTER KHA
    "\u10992",  # MEROITIC HIEROGLYPHIC LETTER HHA
    "\u10993",  # MEROITIC HIEROGLYPHIC LETTER SA
    "\u10994",  # MEROITIC HIEROGLYPHIC LETTER SA-2
    "\u10995",  # MEROITIC HIEROGLYPHIC LETTER SE
    "\u10996",  # MEROITIC HIEROGLYPHIC LETTER KA
    "\u10997",  # MEROITIC HIEROGLYPHIC LETTER QA
    "\u10998",  # MEROITIC HIEROGLYPHIC LETTER TA
    "\u10999",  # MEROITIC HIEROGLYPHIC LETTER TA-2
    "\u1099A",  # MEROITIC HIEROGLYPHIC LETTER TE
    "\u1099B",  # MEROITIC HIEROGLYPHIC LETTER TE-2
    "\u1099C",  # MEROITIC HIEROGLYPHIC LETTER TO
    "\u1099D",  # MEROITIC HIEROGLYPHIC LETTER DA
    "\u1099E",  # MEROITIC HIEROGLYPHIC SYMBOL VIDJ
    "\u1099F",  # MEROITIC HIEROGLYPHIC SYMBOL VIDJ-2
    "\u109A0",  # MEROITIC CURSIVE LETTER A
    "\u109A1",  # MEROITIC CURSIVE LETTER E
    "\u109A2",  # MEROITIC CURSIVE LETTER I
    "\u109A3",  # MEROITIC CURSIVE LETTER O
    "\u109A4",  # MEROITIC CURSIVE LETTER YA
    "\u109A5",  # MEROITIC CURSIVE LETTER WA
    "\u109A6",  # MEROITIC CURSIVE LETTER BA
    "\u109A7",  # MEROITIC CURSIVE LETTER PA
    "\u109A8",  # MEROITIC CURSIVE LETTER MA
    "\u109A9",  # MEROITIC CURSIVE LETTER NA
    "\u109AA",  # MEROITIC CURSIVE LETTER NE
    "\u109AB",  # MEROITIC CURSIVE LETTER RA
    "\u109AC",  # MEROITIC CURSIVE LETTER LA
    "\u109AD",  # MEROITIC CURSIVE LETTER KHA
    "\u109AE",  # MEROITIC CURSIVE LETTER HHA
    "\u109AF",  # MEROITIC CURSIVE LETTER SA
    "\u109B0",  # MEROITIC CURSIVE LETTER ARCHAIC SA
    "\u109B1",  # MEROITIC CURSIVE LETTER SE
    "\u109B2",  # MEROITIC CURSIVE LETTER KA
    "\u109B3",  # MEROITIC CURSIVE LETTER QA
    "\u109B4",  # MEROITIC CURSIVE LETTER TA
    "\u109B5",  # MEROITIC CURSIVE LETTER TE
    "\u109B6",  # MEROITIC CURSIVE LETTER TO
    "\u109B7",  # MEROITIC CURSIVE LETTER DA
    "\u109BC",  # MEROITIC CURSIVE FRACTION ELEVEN TWELFTHS
    "\u109BD",  # MEROITIC CURSIVE FRACTION ONE HALF
    "\u109BE",  # MEROITIC CURSIVE LOGOGRAM RMT
    "\u109BF",  # MEROITIC CURSIVE LOGOGRAM IMN
    "\u109C0",  # MEROITIC CURSIVE NUMBER ONE
    "\u109C1",  # MEROITIC CURSIVE NUMBER TWO
    "\u109C2",  # MEROITIC CURSIVE NUMBER THREE
    "\u109C3",  # MEROITIC CURSIVE NUMBER FOUR
    "\u109C4",  # MEROITIC CURSIVE NUMBER FIVE
    "\u109C5",  # MEROITIC CURSIVE NUMBER SIX
    "\u109C6",  # MEROITIC CURSIVE NUMBER SEVEN
    "\u109C7",  # MEROITIC CURSIVE NUMBER EIGHT
    "\u109C8",  # MEROITIC CURSIVE NUMBER NINE
    "\u109C9",  # MEROITIC CURSIVE NUMBER TEN
    "\u109CA",  # MEROITIC CURSIVE NUMBER TWENTY
    "\u109CB",  # MEROITIC CURSIVE NUMBER THIRTY
    "\u109CC",  # MEROITIC CURSIVE NUMBER FORTY
    "\u109CD",  # MEROITIC CURSIVE NUMBER FIFTY
    "\u109CE",  # MEROITIC CURSIVE NUMBER SIXTY
    "\u109CF",  # MEROITIC CURSIVE NUMBER SEVENTY
    "\u109D2",  # MEROITIC CURSIVE NUMBER ONE HUNDRED
    "\u109D3",  # MEROITIC CURSIVE NUMBER TWO HUNDRED
    "\u109D4",  # MEROITIC CURSIVE NUMBER THREE HUNDRED
    "\u109D5",  # MEROITIC CURSIVE NUMBER FOUR HUNDRED
    "\u109D6",  # MEROITIC CURSIVE NUMBER FIVE HUNDRED
    "\u109D7",  # MEROITIC CURSIVE NUMBER SIX HUNDRED
    "\u109D8",  # MEROITIC CURSIVE NUMBER SEVEN HUNDRED
    "\u109D9",  # MEROITIC CURSIVE NUMBER EIGHT HUNDRED
    "\u109DA",  # MEROITIC CURSIVE NUMBER NINE HUNDRED
    "\u109DB",  # MEROITIC CURSIVE NUMBER ONE THOUSAND
    "\u109DC",  # MEROITIC CURSIVE NUMBER TWO THOUSAND
    "\u109DD",  # MEROITIC CURSIVE NUMBER THREE THOUSAND
    "\u109DE",  # MEROITIC CURSIVE NUMBER FOUR THOUSAND
    "\u109DF",  # MEROITIC CURSIVE NUMBER FIVE THOUSAND
    "\u109E0",  # MEROITIC CURSIVE NUMBER SIX THOUSAND
    "\u109E1",  # MEROITIC CURSIVE NUMBER SEVEN THOUSAND
    "\u109E2",  # MEROITIC CURSIVE NUMBER EIGHT THOUSAND
    "\u109E3",  # MEROITIC CURSIVE NUMBER NINE THOUSAND
    "\u109E4",  # MEROITIC CURSIVE NUMBER TEN THOUSAND
    "\u109E5",  # MEROITIC CURSIVE NUMBER TWENTY THOUSAND
    "\u109E6",  # MEROITIC CURSIVE NUMBER THIRTY THOUSAND
    "\u109E7",  # MEROITIC CURSIVE NUMBER FORTY THOUSAND
    "\u109E8",  # MEROITIC CURSIVE NUMBER FIFTY THOUSAND
    "\u109E9",  # MEROITIC CURSIVE NUMBER SIXTY THOUSAND
    "\u109EA",  # MEROITIC CURSIVE NUMBER SEVENTY THOUSAND
    "\u109EB",  # MEROITIC CURSIVE NUMBER EIGHTY THOUSAND
    "\u109EC",  # MEROITIC CURSIVE NUMBER NINETY THOUSAND
    "\u109ED",  # MEROITIC CURSIVE NUMBER ONE HUNDRED THOUSAND
    "\u109EE",  # MEROITIC CURSIVE NUMBER TWO HUNDRED THOUSAND
    "\u109EF",  # MEROITIC CURSIVE NUMBER THREE HUNDRED THOUSAND
    "\u109F0",  # MEROITIC CURSIVE NUMBER FOUR HUNDRED THOUSAND
    "\u109F1",  # MEROITIC CURSIVE NUMBER FIVE HUNDRED THOUSAND
    "\u109F2",  # MEROITIC CURSIVE NUMBER SIX HUNDRED THOUSAND
    "\u109F3",  # MEROITIC CURSIVE NUMBER SEVEN HUNDRED THOUSAND
    "\u109F4",  # MEROITIC CURSIVE NUMBER EIGHT HUNDRED THOUSAND
    "\u109F5",  # MEROITIC CURSIVE NUMBER NINE HUNDRED THOUSAND
    "\u109F6",  # MEROITIC CURSIVE FRACTION ONE TWELFTH
    "\u109F7",  # MEROITIC CURSIVE FRACTION TWO TWELFTHS
    "\u109F8",  # MEROITIC CURSIVE FRACTION THREE TWELFTHS
    "\u109F9",  # MEROITIC CURSIVE FRACTION FOUR TWELFTHS
    "\u109FA",  # MEROITIC CURSIVE FRACTION FIVE TWELFTHS
    "\u109FB",  # MEROITIC CURSIVE FRACTION SIX TWELFTHS
    "\u109FC",  # MEROITIC CURSIVE FRACTION SEVEN TWELFTHS
    "\u109FD",  # MEROITIC CURSIVE FRACTION EIGHT TWELFTHS
    "\u109FE",  # MEROITIC CURSIVE FRACTION NINE TWELFTHS
    "\u109FF",  # MEROITIC CURSIVE FRACTION TEN TWELFTHS
    "\u10A00",  # KHAROSHTHI LETTER A
    "\u10A01",  # KHAROSHTHI VOWEL SIGN I
    "\u10A02",  # KHAROSHTHI VOWEL SIGN U
    "\u10A03",  # KHAROSHTHI VOWEL SIGN VOCALIC R
    "\u10A05",  # KHAROSHTHI VOWEL SIGN E
    "\u10A06",  # KHAROSHTHI VOWEL SIGN O
    "\u10A0C",  # KHAROSHTHI VOWEL LENGTH MARK
    "\u10A0D",  # KHAROSHTHI SIGN DOUBLE RING BELOW
    "\u10A0E",  # KHAROSHTHI SIGN ANUSVARA
    "\u10A0F",  # KHAROSHTHI SIGN VISARGA
    "\u10A10",  # KHAROSHTHI LETTER KA
    "\u10A11",  # KHAROSHTHI LETTER KHA
    "\u10A12",  # KHAROSHTHI LETTER GA
    "\u10A13",  # KHAROSHTHI LETTER GHA
    "\u10A15",  # KHAROSHTHI LETTER CA
    "\u10A16",  # KHAROSHTHI LETTER CHA
    "\u10A17",  # KHAROSHTHI LETTER JA
    "\u10A19",  # KHAROSHTHI LETTER NYA
    "\u10A1A",  # KHAROSHTHI LETTER TTA
    "\u10A1B",  # KHAROSHTHI LETTER TTHA
    "\u10A1C",  # KHAROSHTHI LETTER DDA
    "\u10A1D",  # KHAROSHTHI LETTER DDHA
    "\u10A1E",  # KHAROSHTHI LETTER NNA
    "\u10A1F",  # KHAROSHTHI LETTER TA
    "\u10A20",  # KHAROSHTHI LETTER THA
    "\u10A21",  # KHAROSHTHI LETTER DA
    "\u10A22",  # KHAROSHTHI LETTER DHA
    "\u10A23",  # KHAROSHTHI LETTER NA
    "\u10A24",  # KHAROSHTHI LETTER PA
    "\u10A25",  # KHAROSHTHI LETTER PHA
    "\u10A26",  # KHAROSHTHI LETTER BA
    "\u10A27",  # KHAROSHTHI LETTER BHA
    "\u10A28",  # KHAROSHTHI LETTER MA
    "\u10A29",  # KHAROSHTHI LETTER YA
    "\u10A2A",  # KHAROSHTHI LETTER RA
    "\u10A2B",  # KHAROSHTHI LETTER LA
    "\u10A2C",  # KHAROSHTHI LETTER VA
    "\u10A2D",  # KHAROSHTHI LETTER SHA
    "\u10A2E",  # KHAROSHTHI LETTER SSA
    "\u10A2F",  # KHAROSHTHI LETTER SA
    "\u10A30",  # KHAROSHTHI LETTER ZA
    "\u10A31",  # KHAROSHTHI LETTER HA
    "\u10A32",  # KHAROSHTHI LETTER KKA
    "\u10A33",  # KHAROSHTHI LETTER TTTHA
    "\u10A38",  # KHAROSHTHI SIGN BAR ABOVE
    "\u10A39",  # KHAROSHTHI SIGN CAUDA
    "\u10A3A",  # KHAROSHTHI SIGN DOT BELOW
    "\u10A3F",  # KHAROSHTHI VIRAMA
    "\u10A40",  # KHAROSHTHI DIGIT ONE
    "\u10A41",  # KHAROSHTHI DIGIT TWO
    "\u10A42",  # KHAROSHTHI DIGIT THREE
    "\u10A43",  # KHAROSHTHI DIGIT FOUR
    "\u10A44",  # KHAROSHTHI NUMBER TEN
    "\u10A45",  # KHAROSHTHI NUMBER TWENTY
    "\u10A46",  # KHAROSHTHI NUMBER ONE HUNDRED
    "\u10A47",  # KHAROSHTHI NUMBER ONE THOUSAND
    "\u10A50",  # KHAROSHTHI PUNCTUATION DOT
    "\u10A51",  # KHAROSHTHI PUNCTUATION SMALL CIRCLE
    "\u10A52",  # KHAROSHTHI PUNCTUATION CIRCLE
    "\u10A53",  # KHAROSHTHI PUNCTUATION CRESCENT BAR
    "\u10A54",  # KHAROSHTHI PUNCTUATION MANGALAM
    "\u10A55",  # KHAROSHTHI PUNCTUATION LOTUS
    "\u10A56",  # KHAROSHTHI PUNCTUATION DANDA
    "\u10A57",  # KHAROSHTHI PUNCTUATION DOUBLE DANDA
    "\u10A58",  # KHAROSHTHI PUNCTUATION LINES
    "\u10A60",  # OLD SOUTH ARABIAN LETTER HE
    "\u10A61",  # OLD SOUTH ARABIAN LETTER LAMEDH
    "\u10A62",  # OLD SOUTH ARABIAN LETTER HETH
    "\u10A63",  # OLD SOUTH ARABIAN LETTER MEM
    "\u10A64",  # OLD SOUTH ARABIAN LETTER QOPH
    "\u10A65",  # OLD SOUTH ARABIAN LETTER WAW
    "\u10A66",  # OLD SOUTH ARABIAN LETTER SHIN
    "\u10A67",  # OLD SOUTH ARABIAN LETTER RESH
    "\u10A68",  # OLD SOUTH ARABIAN LETTER BETH
    "\u10A69",  # OLD SOUTH ARABIAN LETTER TAW
    "\u10A6A",  # OLD SOUTH ARABIAN LETTER SAT
    "\u10A6B",  # OLD SOUTH ARABIAN LETTER KAPH
    "\u10A6C",  # OLD SOUTH ARABIAN LETTER NUN
    "\u10A6D",  # OLD SOUTH ARABIAN LETTER KHETH
    "\u10A6E",  # OLD SOUTH ARABIAN LETTER SADHE
    "\u10A6F",  # OLD SOUTH ARABIAN LETTER SAMEKH
    "\u10A70",  # OLD SOUTH ARABIAN LETTER FE
    "\u10A71",  # OLD SOUTH ARABIAN LETTER ALEF
    "\u10A72",  # OLD SOUTH ARABIAN LETTER AYN
    "\u10A73",  # OLD SOUTH ARABIAN LETTER DHADHE
    "\u10A74",  # OLD SOUTH ARABIAN LETTER GIMEL
    "\u10A75",  # OLD SOUTH ARABIAN LETTER DALETH
    "\u10A76",  # OLD SOUTH ARABIAN LETTER GHAYN
    "\u10A77",  # OLD SOUTH ARABIAN LETTER TETH
    "\u10A78",  # OLD SOUTH ARABIAN LETTER ZAYN
    "\u10A79",  # OLD SOUTH ARABIAN LETTER DHALETH
    "\u10A7A",  # OLD SOUTH ARABIAN LETTER YODH
    "\u10A7B",  # OLD SOUTH ARABIAN LETTER THAW
    "\u10A7C",  # OLD SOUTH ARABIAN LETTER THETH
    "\u10A7D",  # OLD SOUTH ARABIAN NUMBER ONE
    "\u10A7E",  # OLD SOUTH ARABIAN NUMBER FIFTY
    "\u10A7F",  # OLD SOUTH ARABIAN NUMERIC INDICATOR
    "\u10A80",  # OLD NORTH ARABIAN LETTER HEH
    "\u10A81",  # OLD NORTH ARABIAN LETTER LAM
    "\u10A82",  # OLD NORTH ARABIAN LETTER HAH
    "\u10A83",  # OLD NORTH ARABIAN LETTER MEEM
    "\u10A84",  # OLD NORTH ARABIAN LETTER QAF
    "\u10A85",  # OLD NORTH ARABIAN LETTER WAW
    "\u10A86",  # OLD NORTH ARABIAN LETTER ES-2
    "\u10A87",  # OLD NORTH ARABIAN LETTER REH
    "\u10A88",  # OLD NORTH ARABIAN LETTER BEH
    "\u10A89",  # OLD NORTH ARABIAN LETTER TEH
    "\u10A8A",  # OLD NORTH ARABIAN LETTER ES-1
    "\u10A8B",  # OLD NORTH ARABIAN LETTER KAF
    "\u10A8C",  # OLD NORTH ARABIAN LETTER NOON
    "\u10A8D",  # OLD NORTH ARABIAN LETTER KHAH
    "\u10A8E",  # OLD NORTH ARABIAN LETTER SAD
    "\u10A8F",  # OLD NORTH ARABIAN LETTER ES-3
    "\u10A90",  # OLD NORTH ARABIAN LETTER FEH
    "\u10A91",  # OLD NORTH ARABIAN LETTER ALEF
    "\u10A92",  # OLD NORTH ARABIAN LETTER AIN
    "\u10A93",  # OLD NORTH ARABIAN LETTER DAD
    "\u10A94",  # OLD NORTH ARABIAN LETTER GEEM
    "\u10A95",  # OLD NORTH ARABIAN LETTER DAL
    "\u10A96",  # OLD NORTH ARABIAN LETTER GHAIN
    "\u10A97",  # OLD NORTH ARABIAN LETTER TAH
    "\u10A98",  # OLD NORTH ARABIAN LETTER ZAIN
    "\u10A99",  # OLD NORTH ARABIAN LETTER THAL
    "\u10A9A",  # OLD NORTH ARABIAN LETTER YEH
    "\u10A9B",  # OLD NORTH ARABIAN LETTER THEH
    "\u10A9C",  # OLD NORTH ARABIAN LETTER ZAH
    "\u10A9D",  # OLD NORTH ARABIAN NUMBER ONE
    "\u10A9E",  # OLD NORTH ARABIAN NUMBER TEN
    "\u10A9F",  # OLD NORTH ARABIAN NUMBER TWENTY
    "\u10AC0",  # MANICHAEAN LETTER ALEPH
    "\u10AC1",  # MANICHAEAN LETTER BETH
    "\u10AC2",  # MANICHAEAN LETTER BHETH
    "\u10AC3",  # MANICHAEAN LETTER GIMEL
    "\u10AC4",  # MANICHAEAN LETTER GHIMEL
    "\u10AC5",  # MANICHAEAN LETTER DALETH
    "\u10AC6",  # MANICHAEAN LETTER HE
    "\u10AC7",  # MANICHAEAN LETTER WAW
    "\u10AC8",  # MANICHAEAN SIGN UD
    "\u10AC9",  # MANICHAEAN LETTER ZAYIN
    "\u10ACA",  # MANICHAEAN LETTER ZHAYIN
    "\u10ACB",  # MANICHAEAN LETTER JAYIN
    "\u10ACC",  # MANICHAEAN LETTER JHAYIN
    "\u10ACD",  # MANICHAEAN LETTER HETH
    "\u10ACE",  # MANICHAEAN LETTER TETH
    "\u10ACF",  # MANICHAEAN LETTER YODH
    "\u10AD0",  # MANICHAEAN LETTER KAPH
    "\u10AD1",  # MANICHAEAN LETTER XAPH
    "\u10AD2",  # MANICHAEAN LETTER KHAPH
    "\u10AD3",  # MANICHAEAN LETTER LAMEDH
    "\u10AD4",  # MANICHAEAN LETTER DHAMEDH
    "\u10AD5",  # MANICHAEAN LETTER THAMEDH
    "\u10AD6",  # MANICHAEAN LETTER MEM
    "\u10AD7",  # MANICHAEAN LETTER NUN
    "\u10AD8",  # MANICHAEAN LETTER SAMEKH
    "\u10AD9",  # MANICHAEAN LETTER AYIN
    "\u10ADA",  # MANICHAEAN LETTER AAYIN
    "\u10ADB",  # MANICHAEAN LETTER PE
    "\u10ADC",  # MANICHAEAN LETTER FE
    "\u10ADD",  # MANICHAEAN LETTER SADHE
    "\u10ADE",  # MANICHAEAN LETTER QOPH
    "\u10ADF",  # MANICHAEAN LETTER XOPH
    "\u10AE0",  # MANICHAEAN LETTER QHOPH
    "\u10AE1",  # MANICHAEAN LETTER RESH
    "\u10AE2",  # MANICHAEAN LETTER SHIN
    "\u10AE3",  # MANICHAEAN LETTER SSHIN
    "\u10AE4",  # MANICHAEAN LETTER TAW
    "\u10AE5",  # MANICHAEAN ABBREVIATION MARK ABOVE
    "\u10AE6",  # MANICHAEAN ABBREVIATION MARK BELOW
    "\u10AEB",  # MANICHAEAN NUMBER ONE
    "\u10AEC",  # MANICHAEAN NUMBER FIVE
    "\u10AED",  # MANICHAEAN NUMBER TEN
    "\u10AEE",  # MANICHAEAN NUMBER TWENTY
    "\u10AEF",  # MANICHAEAN NUMBER ONE HUNDRED
    "\u10AF0",  # MANICHAEAN PUNCTUATION STAR
    "\u10AF1",  # MANICHAEAN PUNCTUATION FLEURON
    "\u10AF2",  # MANICHAEAN PUNCTUATION DOUBLE DOT WITHIN DOT
    "\u10AF3",  # MANICHAEAN PUNCTUATION DOT WITHIN DOT
    "\u10AF4",  # MANICHAEAN PUNCTUATION DOT
    "\u10AF5",  # MANICHAEAN PUNCTUATION TWO DOTS
    "\u10AF6",  # MANICHAEAN PUNCTUATION LINE FILLER
    "\u10B00",  # AVESTAN LETTER A
    "\u10B01",  # AVESTAN LETTER AA
    "\u10B02",  # AVESTAN LETTER AO
    "\u10B03",  # AVESTAN LETTER AAO
    "\u10B04",  # AVESTAN LETTER AN
    "\u10B05",  # AVESTAN LETTER AAN
    "\u10B06",  # AVESTAN LETTER AE
    "\u10B07",  # AVESTAN LETTER AEE
    "\u10B08",  # AVESTAN LETTER E
    "\u10B09",  # AVESTAN LETTER EE
    "\u10B0A",  # AVESTAN LETTER O
    "\u10B0B",  # AVESTAN LETTER OO
    "\u10B0C",  # AVESTAN LETTER I
    "\u10B0D",  # AVESTAN LETTER II
    "\u10B0E",  # AVESTAN LETTER U
    "\u10B0F",  # AVESTAN LETTER UU
    "\u10B10",  # AVESTAN LETTER KE
    "\u10B11",  # AVESTAN LETTER XE
    "\u10B12",  # AVESTAN LETTER XYE
    "\u10B13",  # AVESTAN LETTER XVE
    "\u10B14",  # AVESTAN LETTER GE
    "\u10B15",  # AVESTAN LETTER GGE
    "\u10B16",  # AVESTAN LETTER GHE
    "\u10B17",  # AVESTAN LETTER CE
    "\u10B18",  # AVESTAN LETTER JE
    "\u10B19",  # AVESTAN LETTER TE
    "\u10B1A",  # AVESTAN LETTER THE
    "\u10B1B",  # AVESTAN LETTER DE
    "\u10B1C",  # AVESTAN LETTER DHE
    "\u10B1D",  # AVESTAN LETTER TTE
    "\u10B1E",  # AVESTAN LETTER PE
    "\u10B1F",  # AVESTAN LETTER FE
    "\u10B20",  # AVESTAN LETTER BE
    "\u10B21",  # AVESTAN LETTER BHE
    "\u10B22",  # AVESTAN LETTER NGE
    "\u10B23",  # AVESTAN LETTER NGYE
    "\u10B24",  # AVESTAN LETTER NGVE
    "\u10B25",  # AVESTAN LETTER NE
    "\u10B26",  # AVESTAN LETTER NYE
    "\u10B27",  # AVESTAN LETTER NNE
    "\u10B28",  # AVESTAN LETTER ME
    "\u10B29",  # AVESTAN LETTER HME
    "\u10B2A",  # AVESTAN LETTER YYE
    "\u10B2B",  # AVESTAN LETTER YE
    "\u10B2C",  # AVESTAN LETTER VE
    "\u10B2D",  # AVESTAN LETTER RE
    "\u10B2E",  # AVESTAN LETTER LE
    "\u10B2F",  # AVESTAN LETTER SE
    "\u10B30",  # AVESTAN LETTER ZE
    "\u10B31",  # AVESTAN LETTER SHE
    "\u10B32",  # AVESTAN LETTER ZHE
    "\u10B33",  # AVESTAN LETTER SHYE
    "\u10B34",  # AVESTAN LETTER SSHE
    "\u10B35",  # AVESTAN LETTER HE
    "\u10B39",  # AVESTAN ABBREVIATION MARK
    "\u10B3A",  # TINY TWO DOTS OVER ONE DOT PUNCTUATION
    "\u10B3B",  # SMALL TWO DOTS OVER ONE DOT PUNCTUATION
    "\u10B3C",  # LARGE TWO DOTS OVER ONE DOT PUNCTUATION
    "\u10B3D",  # LARGE ONE DOT OVER TWO DOTS PUNCTUATION
    "\u10B3E",  # LARGE TWO RINGS OVER ONE RING PUNCTUATION
    "\u10B3F",  # LARGE ONE RING OVER TWO RINGS PUNCTUATION
    "\u10B40",  # INSCRIPTIONAL PARTHIAN LETTER ALEPH
    "\u10B41",  # INSCRIPTIONAL PARTHIAN LETTER BETH
    "\u10B42",  # INSCRIPTIONAL PARTHIAN LETTER GIMEL
    "\u10B43",  # INSCRIPTIONAL PARTHIAN LETTER DALETH
    "\u10B44",  # INSCRIPTIONAL PARTHIAN LETTER HE
    "\u10B45",  # INSCRIPTIONAL PARTHIAN LETTER WAW
    "\u10B46",  # INSCRIPTIONAL PARTHIAN LETTER ZAYIN
    "\u10B47",  # INSCRIPTIONAL PARTHIAN LETTER HETH
    "\u10B48",  # INSCRIPTIONAL PARTHIAN LETTER TETH
    "\u10B49",  # INSCRIPTIONAL PARTHIAN LETTER YODH
    "\u10B4A",  # INSCRIPTIONAL PARTHIAN LETTER KAPH
    "\u10B4B",  # INSCRIPTIONAL PARTHIAN LETTER LAMEDH
    "\u10B4C",  # INSCRIPTIONAL PARTHIAN LETTER MEM
    "\u10B4D",  # INSCRIPTIONAL PARTHIAN LETTER NUN
    "\u10B4E",  # INSCRIPTIONAL PARTHIAN LETTER SAMEKH
    "\u10B4F",  # INSCRIPTIONAL PARTHIAN LETTER AYIN
    "\u10B50",  # INSCRIPTIONAL PARTHIAN LETTER PE
    "\u10B51",  # INSCRIPTIONAL PARTHIAN LETTER SADHE
    "\u10B52",  # INSCRIPTIONAL PARTHIAN LETTER QOPH
    "\u10B53",  # INSCRIPTIONAL PARTHIAN LETTER RESH
    "\u10B54",  # INSCRIPTIONAL PARTHIAN LETTER SHIN
    "\u10B55",  # INSCRIPTIONAL PARTHIAN LETTER TAW
    "\u10B58",  # INSCRIPTIONAL PARTHIAN NUMBER ONE
    "\u10B59",  # INSCRIPTIONAL PARTHIAN NUMBER TWO
    "\u10B5A",  # INSCRIPTIONAL PARTHIAN NUMBER THREE
    "\u10B5B",  # INSCRIPTIONAL PARTHIAN NUMBER FOUR
    "\u10B5C",  # INSCRIPTIONAL PARTHIAN NUMBER TEN
    "\u10B5D",  # INSCRIPTIONAL PARTHIAN NUMBER TWENTY
    "\u10B5E",  # INSCRIPTIONAL PARTHIAN NUMBER ONE HUNDRED
    "\u10B5F",  # INSCRIPTIONAL PARTHIAN NUMBER ONE THOUSAND
    "\u10B60",  # INSCRIPTIONAL PAHLAVI LETTER ALEPH
    "\u10B61",  # INSCRIPTIONAL PAHLAVI LETTER BETH
    "\u10B62",  # INSCRIPTIONAL PAHLAVI LETTER GIMEL
    "\u10B63",  # INSCRIPTIONAL PAHLAVI LETTER DALETH
    "\u10B64",  # INSCRIPTIONAL PAHLAVI LETTER HE
    "\u10B65",  # INSCRIPTIONAL PAHLAVI LETTER WAW-AYIN-RESH
    "\u10B66",  # INSCRIPTIONAL PAHLAVI LETTER ZAYIN
    "\u10B67",  # INSCRIPTIONAL PAHLAVI LETTER HETH
    "\u10B68",  # INSCRIPTIONAL PAHLAVI LETTER TETH
    "\u10B69",  # INSCRIPTIONAL PAHLAVI LETTER YODH
    "\u10B6A",  # INSCRIPTIONAL PAHLAVI LETTER KAPH
    "\u10B6B",  # INSCRIPTIONAL PAHLAVI LETTER LAMEDH
    "\u10B6C",  # INSCRIPTIONAL PAHLAVI LETTER MEM-QOPH
    "\u10B6D",  # INSCRIPTIONAL PAHLAVI LETTER NUN
    "\u10B6E",  # INSCRIPTIONAL PAHLAVI LETTER SAMEKH
    "\u10B6F",  # INSCRIPTIONAL PAHLAVI LETTER PE
    "\u10B70",  # INSCRIPTIONAL PAHLAVI LETTER SADHE
    "\u10B71",  # INSCRIPTIONAL PAHLAVI LETTER SHIN
    "\u10B72",  # INSCRIPTIONAL PAHLAVI LETTER TAW
    "\u10B78",  # INSCRIPTIONAL PAHLAVI NUMBER ONE
    "\u10B79",  # INSCRIPTIONAL PAHLAVI NUMBER TWO
    "\u10B7A",  # INSCRIPTIONAL PAHLAVI NUMBER THREE
    "\u10B7B",  # INSCRIPTIONAL PAHLAVI NUMBER FOUR
    "\u10B7C",  # INSCRIPTIONAL PAHLAVI NUMBER TEN
    "\u10B7D",  # INSCRIPTIONAL PAHLAVI NUMBER TWENTY
    "\u10B7E",  # INSCRIPTIONAL PAHLAVI NUMBER ONE HUNDRED
    "\u10B7F",  # INSCRIPTIONAL PAHLAVI NUMBER ONE THOUSAND
    "\u10B80",  # PSALTER PAHLAVI LETTER ALEPH
    "\u10B81",  # PSALTER PAHLAVI LETTER BETH
    "\u10B82",  # PSALTER PAHLAVI LETTER GIMEL
    "\u10B83",  # PSALTER PAHLAVI LETTER DALETH
    "\u10B84",  # PSALTER PAHLAVI LETTER HE
    "\u10B85",  # PSALTER PAHLAVI LETTER WAW-AYIN-RESH
    "\u10B86",  # PSALTER PAHLAVI LETTER ZAYIN
    "\u10B87",  # PSALTER PAHLAVI LETTER HETH
    "\u10B88",  # PSALTER PAHLAVI LETTER YODH
    "\u10B89",  # PSALTER PAHLAVI LETTER KAPH
    "\u10B8A",  # PSALTER PAHLAVI LETTER LAMEDH
    "\u10B8B",  # PSALTER PAHLAVI LETTER MEM-QOPH
    "\u10B8C",  # PSALTER PAHLAVI LETTER NUN
    "\u10B8D",  # PSALTER PAHLAVI LETTER SAMEKH
    "\u10B8E",  # PSALTER PAHLAVI LETTER PE
    "\u10B8F",  # PSALTER PAHLAVI LETTER SADHE
    "\u10B90",  # PSALTER PAHLAVI LETTER SHIN
    "\u10B91",  # PSALTER PAHLAVI LETTER TAW
    "\u10B99",  # PSALTER PAHLAVI SECTION MARK
    "\u10B9A",  # PSALTER PAHLAVI TURNED SECTION MARK
    "\u10B9B",  # PSALTER PAHLAVI FOUR DOTS WITH CROSS
    "\u10B9C",  # PSALTER PAHLAVI FOUR DOTS WITH DOT
    "\u10BA9",  # PSALTER PAHLAVI NUMBER ONE
    "\u10BAA",  # PSALTER PAHLAVI NUMBER TWO
    "\u10BAB",  # PSALTER PAHLAVI NUMBER THREE
    "\u10BAC",  # PSALTER PAHLAVI NUMBER FOUR
    "\u10BAD",  # PSALTER PAHLAVI NUMBER TEN
    "\u10BAE",  # PSALTER PAHLAVI NUMBER TWENTY
    "\u10BAF",  # PSALTER PAHLAVI NUMBER ONE HUNDRED
    "\u10C00",  # OLD TURKIC LETTER ORKHON A
    "\u10C01",  # OLD TURKIC LETTER YENISEI A
    "\u10C02",  # OLD TURKIC LETTER YENISEI AE
    "\u10C03",  # OLD TURKIC LETTER ORKHON I
    "\u10C04",  # OLD TURKIC LETTER YENISEI I
    "\u10C05",  # OLD TURKIC LETTER YENISEI E
    "\u10C06",  # OLD TURKIC LETTER ORKHON O
    "\u10C07",  # OLD TURKIC LETTER ORKHON OE
    "\u10C08",  # OLD TURKIC LETTER YENISEI OE
    "\u10C09",  # OLD TURKIC LETTER ORKHON AB
    "\u10C0A",  # OLD TURKIC LETTER YENISEI AB
    "\u10C0B",  # OLD TURKIC LETTER ORKHON AEB
    "\u10C0C",  # OLD TURKIC LETTER YENISEI AEB
    "\u10C0D",  # OLD TURKIC LETTER ORKHON AG
    "\u10C0E",  # OLD TURKIC LETTER YENISEI AG
    "\u10C0F",  # OLD TURKIC LETTER ORKHON AEG
    "\u10C10",  # OLD TURKIC LETTER YENISEI AEG
    "\u10C11",  # OLD TURKIC LETTER ORKHON AD
    "\u10C12",  # OLD TURKIC LETTER YENISEI AD
    "\u10C13",  # OLD TURKIC LETTER ORKHON AED
    "\u10C14",  # OLD TURKIC LETTER ORKHON EZ
    "\u10C15",  # OLD TURKIC LETTER YENISEI EZ
    "\u10C16",  # OLD TURKIC LETTER ORKHON AY
    "\u10C17",  # OLD TURKIC LETTER YENISEI AY
    "\u10C18",  # OLD TURKIC LETTER ORKHON AEY
    "\u10C19",  # OLD TURKIC LETTER YENISEI AEY
    "\u10C1A",  # OLD TURKIC LETTER ORKHON AEK
    "\u10C1B",  # OLD TURKIC LETTER YENISEI AEK
    "\u10C1C",  # OLD TURKIC LETTER ORKHON OEK
    "\u10C1D",  # OLD TURKIC LETTER YENISEI OEK
    "\u10C1E",  # OLD TURKIC LETTER ORKHON AL
    "\u10C1F",  # OLD TURKIC LETTER YENISEI AL
    "\u10C20",  # OLD TURKIC LETTER ORKHON AEL
    "\u10C21",  # OLD TURKIC LETTER ORKHON ELT
    "\u10C22",  # OLD TURKIC LETTER ORKHON EM
    "\u10C23",  # OLD TURKIC LETTER ORKHON AN
    "\u10C24",  # OLD TURKIC LETTER ORKHON AEN
    "\u10C25",  # OLD TURKIC LETTER YENISEI AEN
    "\u10C26",  # OLD TURKIC LETTER ORKHON ENT
    "\u10C27",  # OLD TURKIC LETTER YENISEI ENT
    "\u10C28",  # OLD TURKIC LETTER ORKHON ENC
    "\u10C29",  # OLD TURKIC LETTER YENISEI ENC
    "\u10C2A",  # OLD TURKIC LETTER ORKHON ENY
    "\u10C2B",  # OLD TURKIC LETTER YENISEI ENY
    "\u10C2C",  # OLD TURKIC LETTER YENISEI ANG
    "\u10C2D",  # OLD TURKIC LETTER ORKHON ENG
    "\u10C2E",  # OLD TURKIC LETTER YENISEI AENG
    "\u10C2F",  # OLD TURKIC LETTER ORKHON EP
    "\u10C30",  # OLD TURKIC LETTER ORKHON OP
    "\u10C31",  # OLD TURKIC LETTER ORKHON IC
    "\u10C32",  # OLD TURKIC LETTER ORKHON EC
    "\u10C33",  # OLD TURKIC LETTER YENISEI EC
    "\u10C34",  # OLD TURKIC LETTER ORKHON AQ
    "\u10C35",  # OLD TURKIC LETTER YENISEI AQ
    "\u10C36",  # OLD TURKIC LETTER ORKHON IQ
    "\u10C37",  # OLD TURKIC LETTER YENISEI IQ
    "\u10C38",  # OLD TURKIC LETTER ORKHON OQ
    "\u10C39",  # OLD TURKIC LETTER YENISEI OQ
    "\u10C3A",  # OLD TURKIC LETTER ORKHON AR
    "\u10C3B",  # OLD TURKIC LETTER YENISEI AR
    "\u10C3C",  # OLD TURKIC LETTER ORKHON AER
    "\u10C3D",  # OLD TURKIC LETTER ORKHON AS
    "\u10C3E",  # OLD TURKIC LETTER ORKHON AES
    "\u10C3F",  # OLD TURKIC LETTER ORKHON ASH
    "\u10C40",  # OLD TURKIC LETTER YENISEI ASH
    "\u10C41",  # OLD TURKIC LETTER ORKHON ESH
    "\u10C42",  # OLD TURKIC LETTER YENISEI ESH
    "\u10C43",  # OLD TURKIC LETTER ORKHON AT
    "\u10C44",  # OLD TURKIC LETTER YENISEI AT
    "\u10C45",  # OLD TURKIC LETTER ORKHON AET
    "\u10C46",  # OLD TURKIC LETTER YENISEI AET
    "\u10C47",  # OLD TURKIC LETTER ORKHON OT
    "\u10C48",  # OLD TURKIC LETTER ORKHON BASH
    "\u10C80",  # OLD HUNGARIAN CAPITAL LETTER A
    "\u10C81",  # OLD HUNGARIAN CAPITAL LETTER AA
    "\u10C82",  # OLD HUNGARIAN CAPITAL LETTER EB
    "\u10C83",  # OLD HUNGARIAN CAPITAL LETTER AMB
    "\u10C84",  # OLD HUNGARIAN CAPITAL LETTER EC
    "\u10C85",  # OLD HUNGARIAN CAPITAL LETTER ENC
    "\u10C86",  # OLD HUNGARIAN CAPITAL LETTER ECS
    "\u10C87",  # OLD HUNGARIAN CAPITAL LETTER ED
    "\u10C88",  # OLD HUNGARIAN CAPITAL LETTER AND
    "\u10C89",  # OLD HUNGARIAN CAPITAL LETTER E
    "\u10C8A",  # OLD HUNGARIAN CAPITAL LETTER CLOSE E
    "\u10C8B",  # OLD HUNGARIAN CAPITAL LETTER EE
    "\u10C8C",  # OLD HUNGARIAN CAPITAL LETTER EF
    "\u10C8D",  # OLD HUNGARIAN CAPITAL LETTER EG
    "\u10C8E",  # OLD HUNGARIAN CAPITAL LETTER EGY
    "\u10C8F",  # OLD HUNGARIAN CAPITAL LETTER EH
    "\u10C90",  # OLD HUNGARIAN CAPITAL LETTER I
    "\u10C91",  # OLD HUNGARIAN CAPITAL LETTER II
    "\u10C92",  # OLD HUNGARIAN CAPITAL LETTER EJ
    "\u10C93",  # OLD HUNGARIAN CAPITAL LETTER EK
    "\u10C94",  # OLD HUNGARIAN CAPITAL LETTER AK
    "\u10C95",  # OLD HUNGARIAN CAPITAL LETTER UNK
    "\u10C96",  # OLD HUNGARIAN CAPITAL LETTER EL
    "\u10C97",  # OLD HUNGARIAN CAPITAL LETTER ELY
    "\u10C98",  # OLD HUNGARIAN CAPITAL LETTER EM
    "\u10C99",  # OLD HUNGARIAN CAPITAL LETTER EN
    "\u10C9A",  # OLD HUNGARIAN CAPITAL LETTER ENY
    "\u10C9B",  # OLD HUNGARIAN CAPITAL LETTER O
    "\u10C9C",  # OLD HUNGARIAN CAPITAL LETTER OO
    "\u10C9D",  # OLD HUNGARIAN CAPITAL LETTER NIKOLSBURG OE
    "\u10C9E",  # OLD HUNGARIAN CAPITAL LETTER RUDIMENTA OE
    "\u10C9F",  # OLD HUNGARIAN CAPITAL LETTER OEE
    "\u10CA0",  # OLD HUNGARIAN CAPITAL LETTER EP
    "\u10CA1",  # OLD HUNGARIAN CAPITAL LETTER EMP
    "\u10CA2",  # OLD HUNGARIAN CAPITAL LETTER ER
    "\u10CA3",  # OLD HUNGARIAN CAPITAL LETTER SHORT ER
    "\u10CA4",  # OLD HUNGARIAN CAPITAL LETTER ES
    "\u10CA5",  # OLD HUNGARIAN CAPITAL LETTER ESZ
    "\u10CA6",  # OLD HUNGARIAN CAPITAL LETTER ET
    "\u10CA7",  # OLD HUNGARIAN CAPITAL LETTER ENT
    "\u10CA8",  # OLD HUNGARIAN CAPITAL LETTER ETY
    "\u10CA9",  # OLD HUNGARIAN CAPITAL LETTER ECH
    "\u10CAA",  # OLD HUNGARIAN CAPITAL LETTER U
    "\u10CAB",  # OLD HUNGARIAN CAPITAL LETTER UU
    "\u10CAC",  # OLD HUNGARIAN CAPITAL LETTER NIKOLSBURG UE
    "\u10CAD",  # OLD HUNGARIAN CAPITAL LETTER RUDIMENTA UE
    "\u10CAE",  # OLD HUNGARIAN CAPITAL LETTER EV
    "\u10CAF",  # OLD HUNGARIAN CAPITAL LETTER EZ
    "\u10CB0",  # OLD HUNGARIAN CAPITAL LETTER EZS
    "\u10CB1",  # OLD HUNGARIAN CAPITAL LETTER ENT-SHAPED SIGN
    "\u10CB2",  # OLD HUNGARIAN CAPITAL LETTER US
    "\u10CC0",  # OLD HUNGARIAN SMALL LETTER A
    "\u10CC1",  # OLD HUNGARIAN SMALL LETTER AA
    "\u10CC2",  # OLD HUNGARIAN SMALL LETTER EB
    "\u10CC3",  # OLD HUNGARIAN SMALL LETTER AMB
    "\u10CC4",  # OLD HUNGARIAN SMALL LETTER EC
    "\u10CC5",  # OLD HUNGARIAN SMALL LETTER ENC
    "\u10CC6",  # OLD HUNGARIAN SMALL LETTER ECS
    "\u10CC7",  # OLD HUNGARIAN SMALL LETTER ED
    "\u10CC8",  # OLD HUNGARIAN SMALL LETTER AND
    "\u10CC9",  # OLD HUNGARIAN SMALL LETTER E
    "\u10CCA",  # OLD HUNGARIAN SMALL LETTER CLOSE E
    "\u10CCB",  # OLD HUNGARIAN SMALL LETTER EE
    "\u10CCC",  # OLD HUNGARIAN SMALL LETTER EF
    "\u10CCD",  # OLD HUNGARIAN SMALL LETTER EG
    "\u10CCE",  # OLD HUNGARIAN SMALL LETTER EGY
    "\u10CCF",  # OLD HUNGARIAN SMALL LETTER EH
    "\u10CD0",  # OLD HUNGARIAN SMALL LETTER I
    "\u10CD1",  # OLD HUNGARIAN SMALL LETTER II
    "\u10CD2",  # OLD HUNGARIAN SMALL LETTER EJ
    "\u10CD3",  # OLD HUNGARIAN SMALL LETTER EK
    "\u10CD4",  # OLD HUNGARIAN SMALL LETTER AK
    "\u10CD5",  # OLD HUNGARIAN SMALL LETTER UNK
    "\u10CD6",  # OLD HUNGARIAN SMALL LETTER EL
    "\u10CD7",  # OLD HUNGARIAN SMALL LETTER ELY
    "\u10CD8",  # OLD HUNGARIAN SMALL LETTER EM
    "\u10CD9",  # OLD HUNGARIAN SMALL LETTER EN
    "\u10CDA",  # OLD HUNGARIAN SMALL LETTER ENY
    "\u10CDB",  # OLD HUNGARIAN SMALL LETTER O
    "\u10CDC",  # OLD HUNGARIAN SMALL LETTER OO
    "\u10CDD",  # OLD HUNGARIAN SMALL LETTER NIKOLSBURG OE
    "\u10CDE",  # OLD HUNGARIAN SMALL LETTER RUDIMENTA OE
    "\u10CDF",  # OLD HUNGARIAN SMALL LETTER OEE
    "\u10CE0",  # OLD HUNGARIAN SMALL LETTER EP
    "\u10CE1",  # OLD HUNGARIAN SMALL LETTER EMP
    "\u10CE2",  # OLD HUNGARIAN SMALL LETTER ER
    "\u10CE3",  # OLD HUNGARIAN SMALL LETTER SHORT ER
    "\u10CE4",  # OLD HUNGARIAN SMALL LETTER ES
    "\u10CE5",  # OLD HUNGARIAN SMALL LETTER ESZ
    "\u10CE6",  # OLD HUNGARIAN SMALL LETTER ET
    "\u10CE7",  # OLD HUNGARIAN SMALL LETTER ENT
    "\u10CE8",  # OLD HUNGARIAN SMALL LETTER ETY
    "\u10CE9",  # OLD HUNGARIAN SMALL LETTER ECH
    "\u10CEA",  # OLD HUNGARIAN SMALL LETTER U
    "\u10CEB",  # OLD HUNGARIAN SMALL LETTER UU
    "\u10CEC",  # OLD HUNGARIAN SMALL LETTER NIKOLSBURG UE
    "\u10CED",  # OLD HUNGARIAN SMALL LETTER RUDIMENTA UE
    "\u10CEE",  # OLD HUNGARIAN SMALL LETTER EV
    "\u10CEF",  # OLD HUNGARIAN SMALL LETTER EZ
    "\u10CF0",  # OLD HUNGARIAN SMALL LETTER EZS
    "\u10CF1",  # OLD HUNGARIAN SMALL LETTER ENT-SHAPED SIGN
    "\u10CF2",  # OLD HUNGARIAN SMALL LETTER US
    "\u10CFA",  # OLD HUNGARIAN NUMBER ONE
    "\u10CFB",  # OLD HUNGARIAN NUMBER FIVE
    "\u10CFC",  # OLD HUNGARIAN NUMBER TEN
    "\u10CFD",  # OLD HUNGARIAN NUMBER FIFTY
    "\u10CFE",  # OLD HUNGARIAN NUMBER ONE HUNDRED
    "\u10CFF",  # OLD HUNGARIAN NUMBER ONE THOUSAND
    "\u10E60",  # RUMI DIGIT ONE
    "\u10E61",  # RUMI DIGIT TWO
    "\u10E62",  # RUMI DIGIT THREE
    "\u10E63",  # RUMI DIGIT FOUR
    "\u10E64",  # RUMI DIGIT FIVE
    "\u10E65",  # RUMI DIGIT SIX
    "\u10E66",  # RUMI DIGIT SEVEN
    "\u10E67",  # RUMI DIGIT EIGHT
    "\u10E68",  # RUMI DIGIT NINE
    "\u10E69",  # RUMI NUMBER TEN
    "\u10E6A",  # RUMI NUMBER TWENTY
    "\u10E6B",  # RUMI NUMBER THIRTY
    "\u10E6C",  # RUMI NUMBER FORTY
    "\u10E6D",  # RUMI NUMBER FIFTY
    "\u10E6E",  # RUMI NUMBER SIXTY
    "\u10E6F",  # RUMI NUMBER SEVENTY
    "\u10E70",  # RUMI NUMBER EIGHTY
    "\u10E71",  # RUMI NUMBER NINETY
    "\u10E72",  # RUMI NUMBER ONE HUNDRED
    "\u10E73",  # RUMI NUMBER TWO HUNDRED
    "\u10E74",  # RUMI NUMBER THREE HUNDRED
    "\u10E75",  # RUMI NUMBER FOUR HUNDRED
    "\u10E76",  # RUMI NUMBER FIVE HUNDRED
    "\u10E77",  # RUMI NUMBER SIX HUNDRED
    "\u10E78",  # RUMI NUMBER SEVEN HUNDRED
    "\u10E79",  # RUMI NUMBER EIGHT HUNDRED
    "\u10E7A",  # RUMI NUMBER NINE HUNDRED
    "\u10E7B",  # RUMI FRACTION ONE HALF
    "\u10E7C",  # RUMI FRACTION ONE QUARTER
    "\u10E7D",  # RUMI FRACTION ONE THIRD
    "\u10E7E",  # RUMI FRACTION TWO THIRDS
    "\u11000",  # BRAHMI SIGN CANDRABINDU
    "\u11001",  # BRAHMI SIGN ANUSVARA
    "\u11002",  # BRAHMI SIGN VISARGA
    "\u11003",  # BRAHMI SIGN JIHVAMULIYA
    "\u11004",  # BRAHMI SIGN UPADHMANIYA
    "\u11005",  # BRAHMI LETTER A
    "\u11006",  # BRAHMI LETTER AA
    "\u11007",  # BRAHMI LETTER I
    "\u11008",  # BRAHMI LETTER II
    "\u11009",  # BRAHMI LETTER U
    "\u1100A",  # BRAHMI LETTER UU
    "\u1100B",  # BRAHMI LETTER VOCALIC R
    "\u1100C",  # BRAHMI LETTER VOCALIC RR
    "\u1100D",  # BRAHMI LETTER VOCALIC L
    "\u1100E",  # BRAHMI LETTER VOCALIC LL
    "\u1100F",  # BRAHMI LETTER E
    "\u11010",  # BRAHMI LETTER AI
    "\u11011",  # BRAHMI LETTER O
    "\u11012",  # BRAHMI LETTER AU
    "\u11013",  # BRAHMI LETTER KA
    "\u11014",  # BRAHMI LETTER KHA
    "\u11015",  # BRAHMI LETTER GA
    "\u11016",  # BRAHMI LETTER GHA
    "\u11017",  # BRAHMI LETTER NGA
    "\u11018",  # BRAHMI LETTER CA
    "\u11019",  # BRAHMI LETTER CHA
    "\u1101A",  # BRAHMI LETTER JA
    "\u1101B",  # BRAHMI LETTER JHA
    "\u1101C",  # BRAHMI LETTER NYA
    "\u1101D",  # BRAHMI LETTER TTA
    "\u1101E",  # BRAHMI LETTER TTHA
    "\u1101F",  # BRAHMI LETTER DDA
    "\u11020",  # BRAHMI LETTER DDHA
    "\u11021",  # BRAHMI LETTER NNA
    "\u11022",  # BRAHMI LETTER TA
    "\u11023",  # BRAHMI LETTER THA
    "\u11024",  # BRAHMI LETTER DA
    "\u11025",  # BRAHMI LETTER DHA
    "\u11026",  # BRAHMI LETTER NA
    "\u11027",  # BRAHMI LETTER PA
    "\u11028",  # BRAHMI LETTER PHA
    "\u11029",  # BRAHMI LETTER BA
    "\u1102A",  # BRAHMI LETTER BHA
    "\u1102B",  # BRAHMI LETTER MA
    "\u1102C",  # BRAHMI LETTER YA
    "\u1102D",  # BRAHMI LETTER RA
    "\u1102E",  # BRAHMI LETTER LA
    "\u1102F",  # BRAHMI LETTER VA
    "\u11030",  # BRAHMI LETTER SHA
    "\u11031",  # BRAHMI LETTER SSA
    "\u11032",  # BRAHMI LETTER SA
    "\u11033",  # BRAHMI LETTER HA
    "\u11034",  # BRAHMI LETTER LLA
    "\u11035",  # BRAHMI LETTER OLD TAMIL LLLA
    "\u11036",  # BRAHMI LETTER OLD TAMIL RRA
    "\u11037",  # BRAHMI LETTER OLD TAMIL NNNA
    "\u11038",  # BRAHMI VOWEL SIGN AA
    "\u11039",  # BRAHMI VOWEL SIGN BHATTIPROLU AA
    "\u1103A",  # BRAHMI VOWEL SIGN I
    "\u1103B",  # BRAHMI VOWEL SIGN II
    "\u1103C",  # BRAHMI VOWEL SIGN U
    "\u1103D",  # BRAHMI VOWEL SIGN UU
    "\u1103E",  # BRAHMI VOWEL SIGN VOCALIC R
    "\u1103F",  # BRAHMI VOWEL SIGN VOCALIC RR
    "\u11040",  # BRAHMI VOWEL SIGN VOCALIC L
    "\u11041",  # BRAHMI VOWEL SIGN VOCALIC LL
    "\u11042",  # BRAHMI VOWEL SIGN E
    "\u11043",  # BRAHMI VOWEL SIGN AI
    "\u11044",  # BRAHMI VOWEL SIGN O
    "\u11045",  # BRAHMI VOWEL SIGN AU
    "\u11046",  # BRAHMI VIRAMA
    "\u11047",  # BRAHMI DANDA
    "\u11048",  # BRAHMI DOUBLE DANDA
    "\u11049",  # BRAHMI PUNCTUATION DOT
    "\u1104A",  # BRAHMI PUNCTUATION DOUBLE DOT
    "\u1104B",  # BRAHMI PUNCTUATION LINE
    "\u1104C",  # BRAHMI PUNCTUATION CRESCENT BAR
    "\u1104D",  # BRAHMI PUNCTUATION LOTUS
    "\u11052",  # BRAHMI NUMBER ONE
    "\u11053",  # BRAHMI NUMBER TWO
    "\u11054",  # BRAHMI NUMBER THREE
    "\u11055",  # BRAHMI NUMBER FOUR
    "\u11056",  # BRAHMI NUMBER FIVE
    "\u11057",  # BRAHMI NUMBER SIX
    "\u11058",  # BRAHMI NUMBER SEVEN
    "\u11059",  # BRAHMI NUMBER EIGHT
    "\u1105A",  # BRAHMI NUMBER NINE
    "\u1105B",  # BRAHMI NUMBER TEN
    "\u1105C",  # BRAHMI NUMBER TWENTY
    "\u1105D",  # BRAHMI NUMBER THIRTY
    "\u1105E",  # BRAHMI NUMBER FORTY
    "\u1105F",  # BRAHMI NUMBER FIFTY
    "\u11060",  # BRAHMI NUMBER SIXTY
    "\u11061",  # BRAHMI NUMBER SEVENTY
    "\u11062",  # BRAHMI NUMBER EIGHTY
    "\u11063",  # BRAHMI NUMBER NINETY
    "\u11064",  # BRAHMI NUMBER ONE HUNDRED
    "\u11065",  # BRAHMI NUMBER ONE THOUSAND
    "\u11066",  # BRAHMI DIGIT ZERO
    "\u11067",  # BRAHMI DIGIT ONE
    "\u11068",  # BRAHMI DIGIT TWO
    "\u11069",  # BRAHMI DIGIT THREE
    "\u1106A",  # BRAHMI DIGIT FOUR
    "\u1106B",  # BRAHMI DIGIT FIVE
    "\u1106C",  # BRAHMI DIGIT SIX
    "\u1106D",  # BRAHMI DIGIT SEVEN
    "\u1106E",  # BRAHMI DIGIT EIGHT
    "\u1106F",  # BRAHMI DIGIT NINE
    "\u1107F",  # BRAHMI NUMBER JOINER
    "\u11080",  # KAITHI SIGN CANDRABINDU
    "\u11081",  # KAITHI SIGN ANUSVARA
    "\u11082",  # KAITHI SIGN VISARGA
    "\u11083",  # KAITHI LETTER A
    "\u11084",  # KAITHI LETTER AA
    "\u11085",  # KAITHI LETTER I
    "\u11086",  # KAITHI LETTER II
    "\u11087",  # KAITHI LETTER U
    "\u11088",  # KAITHI LETTER UU
    "\u11089",  # KAITHI LETTER E
    "\u1108A",  # KAITHI LETTER AI
    "\u1108B",  # KAITHI LETTER O
    "\u1108C",  # KAITHI LETTER AU
    "\u1108D",  # KAITHI LETTER KA
    "\u1108E",  # KAITHI LETTER KHA
    "\u1108F",  # KAITHI LETTER GA
    "\u11090",  # KAITHI LETTER GHA
    "\u11091",  # KAITHI LETTER NGA
    "\u11092",  # KAITHI LETTER CA
    "\u11093",  # KAITHI LETTER CHA
    "\u11094",  # KAITHI LETTER JA
    "\u11095",  # KAITHI LETTER JHA
    "\u11096",  # KAITHI LETTER NYA
    "\u11097",  # KAITHI LETTER TTA
    "\u11098",  # KAITHI LETTER TTHA
    "\u11099",  # KAITHI LETTER DDA
    "\u1109A",  # KAITHI LETTER DDDHA
    "\u1109B",  # KAITHI LETTER DDHA
    "\u1109C",  # KAITHI LETTER RHA
    "\u1109D",  # KAITHI LETTER NNA
    "\u1109E",  # KAITHI LETTER TA
    "\u1109F",  # KAITHI LETTER THA
    "\u110A0",  # KAITHI LETTER DA
    "\u110A1",  # KAITHI LETTER DHA
    "\u110A2",  # KAITHI LETTER NA
    "\u110A3",  # KAITHI LETTER PA
    "\u110A4",  # KAITHI LETTER PHA
    "\u110A5",  # KAITHI LETTER BA
    "\u110A6",  # KAITHI LETTER BHA
    "\u110A7",  # KAITHI LETTER MA
    "\u110A8",  # KAITHI LETTER YA
    "\u110A9",  # KAITHI LETTER RA
    "\u110AA",  # KAITHI LETTER LA
    "\u110AB",  # KAITHI LETTER VA
    "\u110AC",  # KAITHI LETTER SHA
    "\u110AD",  # KAITHI LETTER SSA
    "\u110AE",  # KAITHI LETTER SA
    "\u110AF",  # KAITHI LETTER HA
    "\u110B0",  # KAITHI VOWEL SIGN AA
    "\u110B1",  # KAITHI VOWEL SIGN I
    "\u110B2",  # KAITHI VOWEL SIGN II
    "\u110B3",  # KAITHI VOWEL SIGN U
    "\u110B4",  # KAITHI VOWEL SIGN UU
    "\u110B5",  # KAITHI VOWEL SIGN E
    "\u110B6",  # KAITHI VOWEL SIGN AI
    "\u110B7",  # KAITHI VOWEL SIGN O
    "\u110B8",  # KAITHI VOWEL SIGN AU
    "\u110B9",  # KAITHI SIGN VIRAMA
    "\u110BA",  # KAITHI SIGN NUKTA
    "\u110BB",  # KAITHI ABBREVIATION SIGN
    "\u110BC",  # KAITHI ENUMERATION SIGN
    "\u110BD",  # KAITHI NUMBER SIGN
    "\u110BE",  # KAITHI SECTION MARK
    "\u110BF",  # KAITHI DOUBLE SECTION MARK
    "\u110C0",  # KAITHI DANDA
    "\u110C1",  # KAITHI DOUBLE DANDA
    "\u110D0",  # SORA SOMPENG LETTER SAH
    "\u110D1",  # SORA SOMPENG LETTER TAH
    "\u110D2",  # SORA SOMPENG LETTER BAH
    "\u110D3",  # SORA SOMPENG LETTER CAH
    "\u110D4",  # SORA SOMPENG LETTER DAH
    "\u110D5",  # SORA SOMPENG LETTER GAH
    "\u110D6",  # SORA SOMPENG LETTER MAH
    "\u110D7",  # SORA SOMPENG LETTER NGAH
    "\u110D8",  # SORA SOMPENG LETTER LAH
    "\u110D9",  # SORA SOMPENG LETTER NAH
    "\u110DA",  # SORA SOMPENG LETTER VAH
    "\u110DB",  # SORA SOMPENG LETTER PAH
    "\u110DC",  # SORA SOMPENG LETTER YAH
    "\u110DD",  # SORA SOMPENG LETTER RAH
    "\u110DE",  # SORA SOMPENG LETTER HAH
    "\u110DF",  # SORA SOMPENG LETTER KAH
    "\u110E0",  # SORA SOMPENG LETTER JAH
    "\u110E1",  # SORA SOMPENG LETTER NYAH
    "\u110E2",  # SORA SOMPENG LETTER AH
    "\u110E3",  # SORA SOMPENG LETTER EEH
    "\u110E4",  # SORA SOMPENG LETTER IH
    "\u110E5",  # SORA SOMPENG LETTER UH
    "\u110E6",  # SORA SOMPENG LETTER OH
    "\u110E7",  # SORA SOMPENG LETTER EH
    "\u110E8",  # SORA SOMPENG LETTER MAE
    "\u110F0",  # SORA SOMPENG DIGIT ZERO
    "\u110F1",  # SORA SOMPENG DIGIT ONE
    "\u110F2",  # SORA SOMPENG DIGIT TWO
    "\u110F3",  # SORA SOMPENG DIGIT THREE
    "\u110F4",  # SORA SOMPENG DIGIT FOUR
    "\u110F5",  # SORA SOMPENG DIGIT FIVE
    "\u110F6",  # SORA SOMPENG DIGIT SIX
    "\u110F7",  # SORA SOMPENG DIGIT SEVEN
    "\u110F8",  # SORA SOMPENG DIGIT EIGHT
    "\u110F9",  # SORA SOMPENG DIGIT NINE
    "\u11100",  # CHAKMA SIGN CANDRABINDU
    "\u11101",  # CHAKMA SIGN ANUSVARA
    "\u11102",  # CHAKMA SIGN VISARGA
    "\u11103",  # CHAKMA LETTER AA
    "\u11104",  # CHAKMA LETTER I
    "\u11105",  # CHAKMA LETTER U
    "\u11106",  # CHAKMA LETTER E
    "\u11107",  # CHAKMA LETTER KAA
    "\u11108",  # CHAKMA LETTER KHAA
    "\u11109",  # CHAKMA LETTER GAA
    "\u1110A",  # CHAKMA LETTER GHAA
    "\u1110B",  # CHAKMA LETTER NGAA
    "\u1110C",  # CHAKMA LETTER CAA
    "\u1110D",  # CHAKMA LETTER CHAA
    "\u1110E",  # CHAKMA LETTER JAA
    "\u1110F",  # CHAKMA LETTER JHAA
    "\u11110",  # CHAKMA LETTER NYAA
    "\u11111",  # CHAKMA LETTER TTAA
    "\u11112",  # CHAKMA LETTER TTHAA
    "\u11113",  # CHAKMA LETTER DDAA
    "\u11114",  # CHAKMA LETTER DDHAA
    "\u11115",  # CHAKMA LETTER NNAA
    "\u11116",  # CHAKMA LETTER TAA
    "\u11117",  # CHAKMA LETTER THAA
    "\u11118",  # CHAKMA LETTER DAA
    "\u11119",  # CHAKMA LETTER DHAA
    "\u1111A",  # CHAKMA LETTER NAA
    "\u1111B",  # CHAKMA LETTER PAA
    "\u1111C",  # CHAKMA LETTER PHAA
    "\u1111D",  # CHAKMA LETTER BAA
    "\u1111E",  # CHAKMA LETTER BHAA
    "\u1111F",  # CHAKMA LETTER MAA
    "\u11120",  # CHAKMA LETTER YYAA
    "\u11121",  # CHAKMA LETTER YAA
    "\u11122",  # CHAKMA LETTER RAA
    "\u11123",  # CHAKMA LETTER LAA
    "\u11124",  # CHAKMA LETTER WAA
    "\u11125",  # CHAKMA LETTER SAA
    "\u11126",  # CHAKMA LETTER HAA
    "\u11127",  # CHAKMA VOWEL SIGN A
    "\u11128",  # CHAKMA VOWEL SIGN I
    "\u11129",  # CHAKMA VOWEL SIGN II
    "\u1112A",  # CHAKMA VOWEL SIGN U
    "\u1112B",  # CHAKMA VOWEL SIGN UU
    "\u1112C",  # CHAKMA VOWEL SIGN E
    "\u1112D",  # CHAKMA VOWEL SIGN AI
    "\u1112E",  # CHAKMA VOWEL SIGN O
    "\u1112F",  # CHAKMA VOWEL SIGN AU
    "\u11130",  # CHAKMA VOWEL SIGN OI
    "\u11131",  # CHAKMA O MARK
    "\u11132",  # CHAKMA AU MARK
    "\u11133",  # CHAKMA VIRAMA
    "\u11134",  # CHAKMA MAAYYAA
    "\u11136",  # CHAKMA DIGIT ZERO
    "\u11137",  # CHAKMA DIGIT ONE
    "\u11138",  # CHAKMA DIGIT TWO
    "\u11139",  # CHAKMA DIGIT THREE
    "\u1113A",  # CHAKMA DIGIT FOUR
    "\u1113B",  # CHAKMA DIGIT FIVE
    "\u1113C",  # CHAKMA DIGIT SIX
    "\u1113D",  # CHAKMA DIGIT SEVEN
    "\u1113E",  # CHAKMA DIGIT EIGHT
    "\u1113F",  # CHAKMA DIGIT NINE
    "\u11140",  # CHAKMA SECTION MARK
    "\u11141",  # CHAKMA DANDA
    "\u11142",  # CHAKMA DOUBLE DANDA
    "\u11143",  # CHAKMA QUESTION MARK
    "\u11150",  # MAHAJANI LETTER A
    "\u11151",  # MAHAJANI LETTER I
    "\u11152",  # MAHAJANI LETTER U
    "\u11153",  # MAHAJANI LETTER E
    "\u11154",  # MAHAJANI LETTER O
    "\u11155",  # MAHAJANI LETTER KA
    "\u11156",  # MAHAJANI LETTER KHA
    "\u11157",  # MAHAJANI LETTER GA
    "\u11158",  # MAHAJANI LETTER GHA
    "\u11159",  # MAHAJANI LETTER CA
    "\u1115A",  # MAHAJANI LETTER CHA
    "\u1115B",  # MAHAJANI LETTER JA
    "\u1115C",  # MAHAJANI LETTER JHA
    "\u1115D",  # MAHAJANI LETTER NYA
    "\u1115E",  # MAHAJANI LETTER TTA
    "\u1115F",  # MAHAJANI LETTER TTHA
    "\u11160",  # MAHAJANI LETTER DDA
    "\u11161",  # MAHAJANI LETTER DDHA
    "\u11162",  # MAHAJANI LETTER NNA
    "\u11163",  # MAHAJANI LETTER TA
    "\u11164",  # MAHAJANI LETTER THA
    "\u11165",  # MAHAJANI LETTER DA
    "\u11166",  # MAHAJANI LETTER DHA
    "\u11167",  # MAHAJANI LETTER NA
    "\u11168",  # MAHAJANI LETTER PA
    "\u11169",  # MAHAJANI LETTER PHA
    "\u1116A",  # MAHAJANI LETTER BA
    "\u1116B",  # MAHAJANI LETTER BHA
    "\u1116C",  # MAHAJANI LETTER MA
    "\u1116D",  # MAHAJANI LETTER RA
    "\u1116E",  # MAHAJANI LETTER LA
    "\u1116F",  # MAHAJANI LETTER VA
    "\u11170",  # MAHAJANI LETTER SA
    "\u11171",  # MAHAJANI LETTER HA
    "\u11172",  # MAHAJANI LETTER RRA
    "\u11173",  # MAHAJANI SIGN NUKTA
    "\u11174",  # MAHAJANI ABBREVIATION SIGN
    "\u11175",  # MAHAJANI SECTION MARK
    "\u11176",  # MAHAJANI LIGATURE SHRI
    "\u11180",  # SHARADA SIGN CANDRABINDU
    "\u11181",  # SHARADA SIGN ANUSVARA
    "\u11182",  # SHARADA SIGN VISARGA
    "\u11183",  # SHARADA LETTER A
    "\u11184",  # SHARADA LETTER AA
    "\u11185",  # SHARADA LETTER I
    "\u11186",  # SHARADA LETTER II
    "\u11187",  # SHARADA LETTER U
    "\u11188",  # SHARADA LETTER UU
    "\u11189",  # SHARADA LETTER VOCALIC R
    "\u1118A",  # SHARADA LETTER VOCALIC RR
    "\u1118B",  # SHARADA LETTER VOCALIC L
    "\u1118C",  # SHARADA LETTER VOCALIC LL
    "\u1118D",  # SHARADA LETTER E
    "\u1118E",  # SHARADA LETTER AI
    "\u1118F",  # SHARADA LETTER O
    "\u11190",  # SHARADA LETTER AU
    "\u11191",  # SHARADA LETTER KA
    "\u11192",  # SHARADA LETTER KHA
    "\u11193",  # SHARADA LETTER GA
    "\u11194",  # SHARADA LETTER GHA
    "\u11195",  # SHARADA LETTER NGA
    "\u11196",  # SHARADA LETTER CA
    "\u11197",  # SHARADA LETTER CHA
    "\u11198",  # SHARADA LETTER JA
    "\u11199",  # SHARADA LETTER JHA
    "\u1119A",  # SHARADA LETTER NYA
    "\u1119B",  # SHARADA LETTER TTA
    "\u1119C",  # SHARADA LETTER TTHA
    "\u1119D",  # SHARADA LETTER DDA
    "\u1119E",  # SHARADA LETTER DDHA
    "\u1119F",  # SHARADA LETTER NNA
    "\u111A0",  # SHARADA LETTER TA
    "\u111A1",  # SHARADA LETTER THA
    "\u111A2",  # SHARADA LETTER DA
    "\u111A3",  # SHARADA LETTER DHA
    "\u111A4",  # SHARADA LETTER NA
    "\u111A5",  # SHARADA LETTER PA
    "\u111A6",  # SHARADA LETTER PHA
    "\u111A7",  # SHARADA LETTER BA
    "\u111A8",  # SHARADA LETTER BHA
    "\u111A9",  # SHARADA LETTER MA
    "\u111AA",  # SHARADA LETTER YA
    "\u111AB",  # SHARADA LETTER RA
    "\u111AC",  # SHARADA LETTER LA
    "\u111AD",  # SHARADA LETTER LLA
    "\u111AE",  # SHARADA LETTER VA
    "\u111AF",  # SHARADA LETTER SHA
    "\u111B0",  # SHARADA LETTER SSA
    "\u111B1",  # SHARADA LETTER SA
    "\u111B2",  # SHARADA LETTER HA
    "\u111B3",  # SHARADA VOWEL SIGN AA
    "\u111B4",  # SHARADA VOWEL SIGN I
    "\u111B5",  # SHARADA VOWEL SIGN II
    "\u111B6",  # SHARADA VOWEL SIGN U
    "\u111B7",  # SHARADA VOWEL SIGN UU
    "\u111B8",  # SHARADA VOWEL SIGN VOCALIC R
    "\u111B9",  # SHARADA VOWEL SIGN VOCALIC RR
    "\u111BA",  # SHARADA VOWEL SIGN VOCALIC L
    "\u111BB",  # SHARADA VOWEL SIGN VOCALIC LL
    "\u111BC",  # SHARADA VOWEL SIGN E
    "\u111BD",  # SHARADA VOWEL SIGN AI
    "\u111BE",  # SHARADA VOWEL SIGN O
    "\u111BF",  # SHARADA VOWEL SIGN AU
    "\u111C0",  # SHARADA SIGN VIRAMA
    "\u111C1",  # SHARADA SIGN AVAGRAHA
    "\u111C2",  # SHARADA SIGN JIHVAMULIYA
    "\u111C3",  # SHARADA SIGN UPADHMANIYA
    "\u111C4",  # SHARADA OM
    "\u111C5",  # SHARADA DANDA
    "\u111C6",  # SHARADA DOUBLE DANDA
    "\u111C7",  # SHARADA ABBREVIATION SIGN
    "\u111C8",  # SHARADA SEPARATOR
    "\u111C9",  # SHARADA SANDHI MARK
    "\u111CA",  # SHARADA SIGN NUKTA
    "\u111CB",  # SHARADA VOWEL MODIFIER MARK
    "\u111CC",  # SHARADA EXTRA SHORT VOWEL MARK
    "\u111CD",  # SHARADA SUTRA MARK
    "\u111D0",  # SHARADA DIGIT ZERO
    "\u111D1",  # SHARADA DIGIT ONE
    "\u111D2",  # SHARADA DIGIT TWO
    "\u111D3",  # SHARADA DIGIT THREE
    "\u111D4",  # SHARADA DIGIT FOUR
    "\u111D5",  # SHARADA DIGIT FIVE
    "\u111D6",  # SHARADA DIGIT SIX
    "\u111D7",  # SHARADA DIGIT SEVEN
    "\u111D8",  # SHARADA DIGIT EIGHT
    "\u111D9",  # SHARADA DIGIT NINE
    "\u111DA",  # SHARADA EKAM
    "\u111DB",  # SHARADA SIGN SIDDHAM
    "\u111DC",  # SHARADA HEADSTROKE
    "\u111DD",  # SHARADA CONTINUATION SIGN
    "\u111DE",  # SHARADA SECTION MARK-1
    "\u111DF",  # SHARADA SECTION MARK-2
    "\u111E1",  # SINHALA ARCHAIC DIGIT ONE
    "\u111E2",  # SINHALA ARCHAIC DIGIT TWO
    "\u111E3",  # SINHALA ARCHAIC DIGIT THREE
    "\u111E4",  # SINHALA ARCHAIC DIGIT FOUR
    "\u111E5",  # SINHALA ARCHAIC DIGIT FIVE
    "\u111E6",  # SINHALA ARCHAIC DIGIT SIX
    "\u111E7",  # SINHALA ARCHAIC DIGIT SEVEN
    "\u111E8",  # SINHALA ARCHAIC DIGIT EIGHT
    "\u111E9",  # SINHALA ARCHAIC DIGIT NINE
    "\u111EA",  # SINHALA ARCHAIC NUMBER TEN
    "\u111EB",  # SINHALA ARCHAIC NUMBER TWENTY
    "\u111EC",  # SINHALA ARCHAIC NUMBER THIRTY
    "\u111ED",  # SINHALA ARCHAIC NUMBER FORTY
    "\u111EE",  # SINHALA ARCHAIC NUMBER FIFTY
    "\u111EF",  # SINHALA ARCHAIC NUMBER SIXTY
    "\u111F0",  # SINHALA ARCHAIC NUMBER SEVENTY
    "\u111F1",  # SINHALA ARCHAIC NUMBER EIGHTY
    "\u111F2",  # SINHALA ARCHAIC NUMBER NINETY
    "\u111F3",  # SINHALA ARCHAIC NUMBER ONE HUNDRED
    "\u111F4",  # SINHALA ARCHAIC NUMBER ONE THOUSAND
    "\u11200",  # KHOJKI LETTER A
    "\u11201",  # KHOJKI LETTER AA
    "\u11202",  # KHOJKI LETTER I
    "\u11203",  # KHOJKI LETTER U
    "\u11204",  # KHOJKI LETTER E
    "\u11205",  # KHOJKI LETTER AI
    "\u11206",  # KHOJKI LETTER O
    "\u11207",  # KHOJKI LETTER AU
    "\u11208",  # KHOJKI LETTER KA
    "\u11209",  # KHOJKI LETTER KHA
    "\u1120A",  # KHOJKI LETTER GA
    "\u1120B",  # KHOJKI LETTER GGA
    "\u1120C",  # KHOJKI LETTER GHA
    "\u1120D",  # KHOJKI LETTER NGA
    "\u1120E",  # KHOJKI LETTER CA
    "\u1120F",  # KHOJKI LETTER CHA
    "\u11210",  # KHOJKI LETTER JA
    "\u11211",  # KHOJKI LETTER JJA
    "\u11213",  # KHOJKI LETTER NYA
    "\u11214",  # KHOJKI LETTER TTA
    "\u11215",  # KHOJKI LETTER TTHA
    "\u11216",  # KHOJKI LETTER DDA
    "\u11217",  # KHOJKI LETTER DDHA
    "\u11218",  # KHOJKI LETTER NNA
    "\u11219",  # KHOJKI LETTER TA
    "\u1121A",  # KHOJKI LETTER THA
    "\u1121B",  # KHOJKI LETTER DA
    "\u1121C",  # KHOJKI LETTER DDDA
    "\u1121D",  # KHOJKI LETTER DHA
    "\u1121E",  # KHOJKI LETTER NA
    "\u1121F",  # KHOJKI LETTER PA
    "\u11220",  # KHOJKI LETTER PHA
    "\u11221",  # KHOJKI LETTER BA
    "\u11222",  # KHOJKI LETTER BBA
    "\u11223",  # KHOJKI LETTER BHA
    "\u11224",  # KHOJKI LETTER MA
    "\u11225",  # KHOJKI LETTER YA
    "\u11226",  # KHOJKI LETTER RA
    "\u11227",  # KHOJKI LETTER LA
    "\u11228",  # KHOJKI LETTER VA
    "\u11229",  # KHOJKI LETTER SA
    "\u1122A",  # KHOJKI LETTER HA
    "\u1122B",  # KHOJKI LETTER LLA
    "\u1122C",  # KHOJKI VOWEL SIGN AA
    "\u1122D",  # KHOJKI VOWEL SIGN I
    "\u1122E",  # KHOJKI VOWEL SIGN II
    "\u1122F",  # KHOJKI VOWEL SIGN U
    "\u11230",  # KHOJKI VOWEL SIGN E
    "\u11231",  # KHOJKI VOWEL SIGN AI
    "\u11232",  # KHOJKI VOWEL SIGN O
    "\u11233",  # KHOJKI VOWEL SIGN AU
    "\u11234",  # KHOJKI SIGN ANUSVARA
    "\u11235",  # KHOJKI SIGN VIRAMA
    "\u11236",  # KHOJKI SIGN NUKTA
    "\u11237",  # KHOJKI SIGN SHADDA
    "\u11238",  # KHOJKI DANDA
    "\u11239",  # KHOJKI DOUBLE DANDA
    "\u1123A",  # KHOJKI WORD SEPARATOR
    "\u1123B",  # KHOJKI SECTION MARK
    "\u1123C",  # KHOJKI DOUBLE SECTION MARK
    "\u1123D",  # KHOJKI ABBREVIATION SIGN
    "\u1123E",  # KHOJKI SIGN SUKUN
    "\u11280",  # MULTANI LETTER A
    "\u11281",  # MULTANI LETTER I
    "\u11282",  # MULTANI LETTER U
    "\u11283",  # MULTANI LETTER E
    "\u11284",  # MULTANI LETTER KA
    "\u11285",  # MULTANI LETTER KHA
    "\u11286",  # MULTANI LETTER GA
    "\u11288",  # MULTANI LETTER GHA
    "\u1128A",  # MULTANI LETTER CA
    "\u1128B",  # MULTANI LETTER CHA
    "\u1128C",  # MULTANI LETTER JA
    "\u1128D",  # MULTANI LETTER JJA
    "\u1128F",  # MULTANI LETTER NYA
    "\u11290",  # MULTANI LETTER TTA
    "\u11291",  # MULTANI LETTER TTHA
    "\u11292",  # MULTANI LETTER DDA
    "\u11293",  # MULTANI LETTER DDDA
    "\u11294",  # MULTANI LETTER DDHA
    "\u11295",  # MULTANI LETTER NNA
    "\u11296",  # MULTANI LETTER TA
    "\u11297",  # MULTANI LETTER THA
    "\u11298",  # MULTANI LETTER DA
    "\u11299",  # MULTANI LETTER DHA
    "\u1129A",  # MULTANI LETTER NA
    "\u1129B",  # MULTANI LETTER PA
    "\u1129C",  # MULTANI LETTER PHA
    "\u1129D",  # MULTANI LETTER BA
    "\u1129F",  # MULTANI LETTER BHA
    "\u112A0",  # MULTANI LETTER MA
    "\u112A1",  # MULTANI LETTER YA
    "\u112A2",  # MULTANI LETTER RA
    "\u112A3",  # MULTANI LETTER LA
    "\u112A4",  # MULTANI LETTER VA
    "\u112A5",  # MULTANI LETTER SA
    "\u112A6",  # MULTANI LETTER HA
    "\u112A7",  # MULTANI LETTER RRA
    "\u112A8",  # MULTANI LETTER RHA
    "\u112A9",  # MULTANI SECTION MARK
    "\u112B0",  # KHUDAWADI LETTER A
    "\u112B1",  # KHUDAWADI LETTER AA
    "\u112B2",  # KHUDAWADI LETTER I
    "\u112B3",  # KHUDAWADI LETTER II
    "\u112B4",  # KHUDAWADI LETTER U
    "\u112B5",  # KHUDAWADI LETTER UU
    "\u112B6",  # KHUDAWADI LETTER E
    "\u112B7",  # KHUDAWADI LETTER AI
    "\u112B8",  # KHUDAWADI LETTER O
    "\u112B9",  # KHUDAWADI LETTER AU
    "\u112BA",  # KHUDAWADI LETTER KA
    "\u112BB",  # KHUDAWADI LETTER KHA
    "\u112BC",  # KHUDAWADI LETTER GA
    "\u112BD",  # KHUDAWADI LETTER GGA
    "\u112BE",  # KHUDAWADI LETTER GHA
    "\u112BF",  # KHUDAWADI LETTER NGA
    "\u112C0",  # KHUDAWADI LETTER CA
    "\u112C1",  # KHUDAWADI LETTER CHA
    "\u112C2",  # KHUDAWADI LETTER JA
    "\u112C3",  # KHUDAWADI LETTER JJA
    "\u112C4",  # KHUDAWADI LETTER JHA
    "\u112C5",  # KHUDAWADI LETTER NYA
    "\u112C6",  # KHUDAWADI LETTER TTA
    "\u112C7",  # KHUDAWADI LETTER TTHA
    "\u112C8",  # KHUDAWADI LETTER DDA
    "\u112C9",  # KHUDAWADI LETTER DDDA
    "\u112CA",  # KHUDAWADI LETTER RRA
    "\u112CB",  # KHUDAWADI LETTER DDHA
    "\u112CC",  # KHUDAWADI LETTER NNA
    "\u112CD",  # KHUDAWADI LETTER TA
    "\u112CE",  # KHUDAWADI LETTER THA
    "\u112CF",  # KHUDAWADI LETTER DA
    "\u112D0",  # KHUDAWADI LETTER DHA
    "\u112D1",  # KHUDAWADI LETTER NA
    "\u112D2",  # KHUDAWADI LETTER PA
    "\u112D3",  # KHUDAWADI LETTER PHA
    "\u112D4",  # KHUDAWADI LETTER BA
    "\u112D5",  # KHUDAWADI LETTER BBA
    "\u112D6",  # KHUDAWADI LETTER BHA
    "\u112D7",  # KHUDAWADI LETTER MA
    "\u112D8",  # KHUDAWADI LETTER YA
    "\u112D9",  # KHUDAWADI LETTER RA
    "\u112DA",  # KHUDAWADI LETTER LA
    "\u112DB",  # KHUDAWADI LETTER VA
    "\u112DC",  # KHUDAWADI LETTER SHA
    "\u112DD",  # KHUDAWADI LETTER SA
    "\u112DE",  # KHUDAWADI LETTER HA
    "\u112DF",  # KHUDAWADI SIGN ANUSVARA
    "\u112E0",  # KHUDAWADI VOWEL SIGN AA
    "\u112E1",  # KHUDAWADI VOWEL SIGN I
    "\u112E2",  # KHUDAWADI VOWEL SIGN II
    "\u112E3",  # KHUDAWADI VOWEL SIGN U
    "\u112E4",  # KHUDAWADI VOWEL SIGN UU
    "\u112E5",  # KHUDAWADI VOWEL SIGN E
    "\u112E6",  # KHUDAWADI VOWEL SIGN AI
    "\u112E7",  # KHUDAWADI VOWEL SIGN O
    "\u112E8",  # KHUDAWADI VOWEL SIGN AU
    "\u112E9",  # KHUDAWADI SIGN NUKTA
    "\u112EA",  # KHUDAWADI SIGN VIRAMA
    "\u112F0",  # KHUDAWADI DIGIT ZERO
    "\u112F1",  # KHUDAWADI DIGIT ONE
    "\u112F2",  # KHUDAWADI DIGIT TWO
    "\u112F3",  # KHUDAWADI DIGIT THREE
    "\u112F4",  # KHUDAWADI DIGIT FOUR
    "\u112F5",  # KHUDAWADI DIGIT FIVE
    "\u112F6",  # KHUDAWADI DIGIT SIX
    "\u112F7",  # KHUDAWADI DIGIT SEVEN
    "\u112F8",  # KHUDAWADI DIGIT EIGHT
    "\u112F9",  # KHUDAWADI DIGIT NINE
    "\u11300",  # GRANTHA SIGN COMBINING ANUSVARA ABOVE
    "\u11301",  # GRANTHA SIGN CANDRABINDU
    "\u11302",  # GRANTHA SIGN ANUSVARA
    "\u11303",  # GRANTHA SIGN VISARGA
    "\u11305",  # GRANTHA LETTER A
    "\u11306",  # GRANTHA LETTER AA
    "\u11307",  # GRANTHA LETTER I
    "\u11308",  # GRANTHA LETTER II
    "\u11309",  # GRANTHA LETTER U
    "\u1130A",  # GRANTHA LETTER UU
    "\u1130B",  # GRANTHA LETTER VOCALIC R
    "\u1130C",  # GRANTHA LETTER VOCALIC L
    "\u1130F",  # GRANTHA LETTER EE
    "\u11310",  # GRANTHA LETTER AI
    "\u11313",  # GRANTHA LETTER OO
    "\u11314",  # GRANTHA LETTER AU
    "\u11315",  # GRANTHA LETTER KA
    "\u11316",  # GRANTHA LETTER KHA
    "\u11317",  # GRANTHA LETTER GA
    "\u11318",  # GRANTHA LETTER GHA
    "\u11319",  # GRANTHA LETTER NGA
    "\u1131A",  # GRANTHA LETTER CA
    "\u1131B",  # GRANTHA LETTER CHA
    "\u1131C",  # GRANTHA LETTER JA
    "\u1131D",  # GRANTHA LETTER JHA
    "\u1131E",  # GRANTHA LETTER NYA
    "\u1131F",  # GRANTHA LETTER TTA
    "\u11320",  # GRANTHA LETTER TTHA
    "\u11321",  # GRANTHA LETTER DDA
    "\u11322",  # GRANTHA LETTER DDHA
    "\u11323",  # GRANTHA LETTER NNA
    "\u11324",  # GRANTHA LETTER TA
    "\u11325",  # GRANTHA LETTER THA
    "\u11326",  # GRANTHA LETTER DA
    "\u11327",  # GRANTHA LETTER DHA
    "\u11328",  # GRANTHA LETTER NA
    "\u1132A",  # GRANTHA LETTER PA
    "\u1132B",  # GRANTHA LETTER PHA
    "\u1132C",  # GRANTHA LETTER BA
    "\u1132D",  # GRANTHA LETTER BHA
    "\u1132E",  # GRANTHA LETTER MA
    "\u1132F",  # GRANTHA LETTER YA
    "\u11330",  # GRANTHA LETTER RA
    "\u11332",  # GRANTHA LETTER LA
    "\u11333",  # GRANTHA LETTER LLA
    "\u11335",  # GRANTHA LETTER VA
    "\u11336",  # GRANTHA LETTER SHA
    "\u11337",  # GRANTHA LETTER SSA
    "\u11338",  # GRANTHA LETTER SA
    "\u11339",  # GRANTHA LETTER HA
    "\u1133C",  # GRANTHA SIGN NUKTA
    "\u1133D",  # GRANTHA SIGN AVAGRAHA
    "\u1133E",  # GRANTHA VOWEL SIGN AA
    "\u1133F",  # GRANTHA VOWEL SIGN I
    "\u11340",  # GRANTHA VOWEL SIGN II
    "\u11341",  # GRANTHA VOWEL SIGN U
    "\u11342",  # GRANTHA VOWEL SIGN UU
    "\u11343",  # GRANTHA VOWEL SIGN VOCALIC R
    "\u11344",  # GRANTHA VOWEL SIGN VOCALIC RR
    "\u11347",  # GRANTHA VOWEL SIGN EE
    "\u11348",  # GRANTHA VOWEL SIGN AI
    "\u1134B",  # GRANTHA VOWEL SIGN OO
    "\u1134C",  # GRANTHA VOWEL SIGN AU
    "\u1134D",  # GRANTHA SIGN VIRAMA
    "\u11350",  # GRANTHA OM
    "\u11357",  # GRANTHA AU LENGTH MARK
    "\u1135D",  # GRANTHA SIGN PLUTA
    "\u1135E",  # GRANTHA LETTER VEDIC ANUSVARA
    "\u1135F",  # GRANTHA LETTER VEDIC DOUBLE ANUSVARA
    "\u11360",  # GRANTHA LETTER VOCALIC RR
    "\u11361",  # GRANTHA LETTER VOCALIC LL
    "\u11362",  # GRANTHA VOWEL SIGN VOCALIC L
    "\u11363",  # GRANTHA VOWEL SIGN VOCALIC LL
    "\u11366",  # COMBINING GRANTHA DIGIT ZERO
    "\u11367",  # COMBINING GRANTHA DIGIT ONE
    "\u11368",  # COMBINING GRANTHA DIGIT TWO
    "\u11369",  # COMBINING GRANTHA DIGIT THREE
    "\u1136A",  # COMBINING GRANTHA DIGIT FOUR
    "\u1136B",  # COMBINING GRANTHA DIGIT FIVE
    "\u1136C",  # COMBINING GRANTHA DIGIT SIX
    "\u11370",  # COMBINING GRANTHA LETTER A
    "\u11371",  # COMBINING GRANTHA LETTER KA
    "\u11372",  # COMBINING GRANTHA LETTER NA
    "\u11373",  # COMBINING GRANTHA LETTER VI
    "\u11374",  # COMBINING GRANTHA LETTER PA
    "\u11400",  # NEWA LETTER A
    "\u11401",  # NEWA LETTER AA
    "\u11402",  # NEWA LETTER I
    "\u11403",  # NEWA LETTER II
    "\u11404",  # NEWA LETTER U
    "\u11405",  # NEWA LETTER UU
    "\u11406",  # NEWA LETTER VOCALIC R
    "\u11407",  # NEWA LETTER VOCALIC RR
    "\u11408",  # NEWA LETTER VOCALIC L
    "\u11409",  # NEWA LETTER VOCALIC LL
    "\u1140A",  # NEWA LETTER E
    "\u1140B",  # NEWA LETTER AI
    "\u1140C",  # NEWA LETTER O
    "\u1140D",  # NEWA LETTER AU
    "\u1140E",  # NEWA LETTER KA
    "\u1140F",  # NEWA LETTER KHA
    "\u11410",  # NEWA LETTER GA
    "\u11411",  # NEWA LETTER GHA
    "\u11412",  # NEWA LETTER NGA
    "\u11413",  # NEWA LETTER NGHA
    "\u11414",  # NEWA LETTER CA
    "\u11415",  # NEWA LETTER CHA
    "\u11416",  # NEWA LETTER JA
    "\u11417",  # NEWA LETTER JHA
    "\u11418",  # NEWA LETTER NYA
    "\u11419",  # NEWA LETTER NYHA
    "\u1141A",  # NEWA LETTER TTA
    "\u1141B",  # NEWA LETTER TTHA
    "\u1141C",  # NEWA LETTER DDA
    "\u1141D",  # NEWA LETTER DDHA
    "\u1141E",  # NEWA LETTER NNA
    "\u1141F",  # NEWA LETTER TA
    "\u11420",  # NEWA LETTER THA
    "\u11421",  # NEWA LETTER DA
    "\u11422",  # NEWA LETTER DHA
    "\u11423",  # NEWA LETTER NA
    "\u11424",  # NEWA LETTER NHA
    "\u11425",  # NEWA LETTER PA
    "\u11426",  # NEWA LETTER PHA
    "\u11427",  # NEWA LETTER BA
    "\u11428",  # NEWA LETTER BHA
    "\u11429",  # NEWA LETTER MA
    "\u1142A",  # NEWA LETTER MHA
    "\u1142B",  # NEWA LETTER YA
    "\u1142C",  # NEWA LETTER RA
    "\u1142D",  # NEWA LETTER RHA
    "\u1142E",  # NEWA LETTER LA
    "\u1142F",  # NEWA LETTER LHA
    "\u11430",  # NEWA LETTER WA
    "\u11431",  # NEWA LETTER SHA
    "\u11432",  # NEWA LETTER SSA
    "\u11433",  # NEWA LETTER SA
    "\u11434",  # NEWA LETTER HA
    "\u11435",  # NEWA VOWEL SIGN AA
    "\u11436",  # NEWA VOWEL SIGN I
    "\u11437",  # NEWA VOWEL SIGN II
    "\u11438",  # NEWA VOWEL SIGN U
    "\u11439",  # NEWA VOWEL SIGN UU
    "\u1143A",  # NEWA VOWEL SIGN VOCALIC R
    "\u1143B",  # NEWA VOWEL SIGN VOCALIC RR
    "\u1143C",  # NEWA VOWEL SIGN VOCALIC L
    "\u1143D",  # NEWA VOWEL SIGN VOCALIC LL
    "\u1143E",  # NEWA VOWEL SIGN E
    "\u1143F",  # NEWA VOWEL SIGN AI
    "\u11440",  # NEWA VOWEL SIGN O
    "\u11441",  # NEWA VOWEL SIGN AU
    "\u11442",  # NEWA SIGN VIRAMA
    "\u11443",  # NEWA SIGN CANDRABINDU
    "\u11444",  # NEWA SIGN ANUSVARA
    "\u11445",  # NEWA SIGN VISARGA
    "\u11446",  # NEWA SIGN NUKTA
    "\u11447",  # NEWA SIGN AVAGRAHA
    "\u11448",  # NEWA SIGN FINAL ANUSVARA
    "\u11449",  # NEWA OM
    "\u1144A",  # NEWA SIDDHI
    "\u1144B",  # NEWA DANDA
    "\u1144C",  # NEWA DOUBLE DANDA
    "\u1144D",  # NEWA COMMA
    "\u1144E",  # NEWA GAP FILLER
    "\u1144F",  # NEWA ABBREVIATION SIGN
    "\u11450",  # NEWA DIGIT ZERO
    "\u11451",  # NEWA DIGIT ONE
    "\u11452",  # NEWA DIGIT TWO
    "\u11453",  # NEWA DIGIT THREE
    "\u11454",  # NEWA DIGIT FOUR
    "\u11455",  # NEWA DIGIT FIVE
    "\u11456",  # NEWA DIGIT SIX
    "\u11457",  # NEWA DIGIT SEVEN
    "\u11458",  # NEWA DIGIT EIGHT
    "\u11459",  # NEWA DIGIT NINE
    "\u1145B",  # NEWA PLACEHOLDER MARK
    "\u1145D",  # NEWA INSERTION SIGN
    "\u11480",  # TIRHUTA ANJI
    "\u11481",  # TIRHUTA LETTER A
    "\u11482",  # TIRHUTA LETTER AA
    "\u11483",  # TIRHUTA LETTER I
    "\u11484",  # TIRHUTA LETTER II
    "\u11485",  # TIRHUTA LETTER U
    "\u11486",  # TIRHUTA LETTER UU
    "\u11487",  # TIRHUTA LETTER VOCALIC R
    "\u11488",  # TIRHUTA LETTER VOCALIC RR
    "\u11489",  # TIRHUTA LETTER VOCALIC L
    "\u1148A",  # TIRHUTA LETTER VOCALIC LL
    "\u1148B",  # TIRHUTA LETTER E
    "\u1148C",  # TIRHUTA LETTER AI
    "\u1148D",  # TIRHUTA LETTER O
    "\u1148E",  # TIRHUTA LETTER AU
    "\u1148F",  # TIRHUTA LETTER KA
    "\u11490",  # TIRHUTA LETTER KHA
    "\u11491",  # TIRHUTA LETTER GA
    "\u11492",  # TIRHUTA LETTER GHA
    "\u11493",  # TIRHUTA LETTER NGA
    "\u11494",  # TIRHUTA LETTER CA
    "\u11495",  # TIRHUTA LETTER CHA
    "\u11496",  # TIRHUTA LETTER JA
    "\u11497",  # TIRHUTA LETTER JHA
    "\u11498",  # TIRHUTA LETTER NYA
    "\u11499",  # TIRHUTA LETTER TTA
    "\u1149A",  # TIRHUTA LETTER TTHA
    "\u1149B",  # TIRHUTA LETTER DDA
    "\u1149C",  # TIRHUTA LETTER DDHA
    "\u1149D",  # TIRHUTA LETTER NNA
    "\u1149E",  # TIRHUTA LETTER TA
    "\u1149F",  # TIRHUTA LETTER THA
    "\u114A0",  # TIRHUTA LETTER DA
    "\u114A1",  # TIRHUTA LETTER DHA
    "\u114A2",  # TIRHUTA LETTER NA
    "\u114A3",  # TIRHUTA LETTER PA
    "\u114A4",  # TIRHUTA LETTER PHA
    "\u114A5",  # TIRHUTA LETTER BA
    "\u114A6",  # TIRHUTA LETTER BHA
    "\u114A7",  # TIRHUTA LETTER MA
    "\u114A8",  # TIRHUTA LETTER YA
    "\u114A9",  # TIRHUTA LETTER RA
    "\u114AA",  # TIRHUTA LETTER LA
    "\u114AB",  # TIRHUTA LETTER VA
    "\u114AC",  # TIRHUTA LETTER SHA
    "\u114AD",  # TIRHUTA LETTER SSA
    "\u114AE",  # TIRHUTA LETTER SA
    "\u114AF",  # TIRHUTA LETTER HA
    "\u114B0",  # TIRHUTA VOWEL SIGN AA
    "\u114B1",  # TIRHUTA VOWEL SIGN I
    "\u114B2",  # TIRHUTA VOWEL SIGN II
    "\u114B3",  # TIRHUTA VOWEL SIGN U
    "\u114B4",  # TIRHUTA VOWEL SIGN UU
    "\u114B5",  # TIRHUTA VOWEL SIGN VOCALIC R
    "\u114B6",  # TIRHUTA VOWEL SIGN VOCALIC RR
    "\u114B7",  # TIRHUTA VOWEL SIGN VOCALIC L
    "\u114B8",  # TIRHUTA VOWEL SIGN VOCALIC LL
    "\u114B9",  # TIRHUTA VOWEL SIGN E
    "\u114BA",  # TIRHUTA VOWEL SIGN SHORT E
    "\u114BB",  # TIRHUTA VOWEL SIGN AI
    "\u114BC",  # TIRHUTA VOWEL SIGN O
    "\u114BD",  # TIRHUTA VOWEL SIGN SHORT O
    "\u114BE",  # TIRHUTA VOWEL SIGN AU
    "\u114BF",  # TIRHUTA SIGN CANDRABINDU
    "\u114C0",  # TIRHUTA SIGN ANUSVARA
    "\u114C1",  # TIRHUTA SIGN VISARGA
    "\u114C2",  # TIRHUTA SIGN VIRAMA
    "\u114C3",  # TIRHUTA SIGN NUKTA
    "\u114C4",  # TIRHUTA SIGN AVAGRAHA
    "\u114C5",  # TIRHUTA GVANG
    "\u114C6",  # TIRHUTA ABBREVIATION SIGN
    "\u114C7",  # TIRHUTA OM
    "\u114D0",  # TIRHUTA DIGIT ZERO
    "\u114D1",  # TIRHUTA DIGIT ONE
    "\u114D2",  # TIRHUTA DIGIT TWO
    "\u114D3",  # TIRHUTA DIGIT THREE
    "\u114D4",  # TIRHUTA DIGIT FOUR
    "\u114D5",  # TIRHUTA DIGIT FIVE
    "\u114D6",  # TIRHUTA DIGIT SIX
    "\u114D7",  # TIRHUTA DIGIT SEVEN
    "\u114D8",  # TIRHUTA DIGIT EIGHT
    "\u114D9",  # TIRHUTA DIGIT NINE
    "\u11580",  # SIDDHAM LETTER A
    "\u11581",  # SIDDHAM LETTER AA
    "\u11582",  # SIDDHAM LETTER I
    "\u11583",  # SIDDHAM LETTER II
    "\u11584",  # SIDDHAM LETTER U
    "\u11585",  # SIDDHAM LETTER UU
    "\u11586",  # SIDDHAM LETTER VOCALIC R
    "\u11587",  # SIDDHAM LETTER VOCALIC RR
    "\u11588",  # SIDDHAM LETTER VOCALIC L
    "\u11589",  # SIDDHAM LETTER VOCALIC LL
    "\u1158A",  # SIDDHAM LETTER E
    "\u1158B",  # SIDDHAM LETTER AI
    "\u1158C",  # SIDDHAM LETTER O
    "\u1158D",  # SIDDHAM LETTER AU
    "\u1158E",  # SIDDHAM LETTER KA
    "\u1158F",  # SIDDHAM LETTER KHA
    "\u11590",  # SIDDHAM LETTER GA
    "\u11591",  # SIDDHAM LETTER GHA
    "\u11592",  # SIDDHAM LETTER NGA
    "\u11593",  # SIDDHAM LETTER CA
    "\u11594",  # SIDDHAM LETTER CHA
    "\u11595",  # SIDDHAM LETTER JA
    "\u11596",  # SIDDHAM LETTER JHA
    "\u11597",  # SIDDHAM LETTER NYA
    "\u11598",  # SIDDHAM LETTER TTA
    "\u11599",  # SIDDHAM LETTER TTHA
    "\u1159A",  # SIDDHAM LETTER DDA
    "\u1159B",  # SIDDHAM LETTER DDHA
    "\u1159C",  # SIDDHAM LETTER NNA
    "\u1159D",  # SIDDHAM LETTER TA
    "\u1159E",  # SIDDHAM LETTER THA
    "\u1159F",  # SIDDHAM LETTER DA
    "\u115A0",  # SIDDHAM LETTER DHA
    "\u115A1",  # SIDDHAM LETTER NA
    "\u115A2",  # SIDDHAM LETTER PA
    "\u115A3",  # SIDDHAM LETTER PHA
    "\u115A4",  # SIDDHAM LETTER BA
    "\u115A5",  # SIDDHAM LETTER BHA
    "\u115A6",  # SIDDHAM LETTER MA
    "\u115A7",  # SIDDHAM LETTER YA
    "\u115A8",  # SIDDHAM LETTER RA
    "\u115A9",  # SIDDHAM LETTER LA
    "\u115AA",  # SIDDHAM LETTER VA
    "\u115AB",  # SIDDHAM LETTER SHA
    "\u115AC",  # SIDDHAM LETTER SSA
    "\u115AD",  # SIDDHAM LETTER SA
    "\u115AE",  # SIDDHAM LETTER HA
    "\u115AF",  # SIDDHAM VOWEL SIGN AA
    "\u115B0",  # SIDDHAM VOWEL SIGN I
    "\u115B1",  # SIDDHAM VOWEL SIGN II
    "\u115B2",  # SIDDHAM VOWEL SIGN U
    "\u115B3",  # SIDDHAM VOWEL SIGN UU
    "\u115B4",  # SIDDHAM VOWEL SIGN VOCALIC R
    "\u115B5",  # SIDDHAM VOWEL SIGN VOCALIC RR
    "\u115B8",  # SIDDHAM VOWEL SIGN E
    "\u115B9",  # SIDDHAM VOWEL SIGN AI
    "\u115BA",  # SIDDHAM VOWEL SIGN O
    "\u115BB",  # SIDDHAM VOWEL SIGN AU
    "\u115BC",  # SIDDHAM SIGN CANDRABINDU
    "\u115BD",  # SIDDHAM SIGN ANUSVARA
    "\u115BE",  # SIDDHAM SIGN VISARGA
    "\u115BF",  # SIDDHAM SIGN VIRAMA
    "\u115C0",  # SIDDHAM SIGN NUKTA
    "\u115C1",  # SIDDHAM SIGN SIDDHAM
    "\u115C2",  # SIDDHAM DANDA
    "\u115C3",  # SIDDHAM DOUBLE DANDA
    "\u115C4",  # SIDDHAM SEPARATOR DOT
    "\u115C5",  # SIDDHAM SEPARATOR BAR
    "\u115C6",  # SIDDHAM REPETITION MARK-1
    "\u115C7",  # SIDDHAM REPETITION MARK-2
    "\u115C8",  # SIDDHAM REPETITION MARK-3
    "\u115C9",  # SIDDHAM END OF TEXT MARK
    "\u115CA",  # SIDDHAM SECTION MARK WITH TRIDENT AND U-SHAPED ORNAMENTS
    "\u115CB",  # SIDDHAM SECTION MARK WITH TRIDENT AND DOTTED CRESCENTS
    "\u115CC",  # SIDDHAM SECTION MARK WITH RAYS AND DOTTED CRESCENTS
    "\u115CD",  # SIDDHAM SECTION MARK WITH RAYS AND DOTTED DOUBLE CRESCENTS
    "\u115CE",  # SIDDHAM SECTION MARK WITH RAYS AND DOTTED TRIPLE CRESCENTS
    "\u115CF",  # SIDDHAM SECTION MARK DOUBLE RING
    "\u115D0",  # SIDDHAM SECTION MARK DOUBLE RING WITH RAYS
    "\u115D1",  # SIDDHAM SECTION MARK WITH DOUBLE CRESCENTS
    "\u115D2",  # SIDDHAM SECTION MARK WITH TRIPLE CRESCENTS
    "\u115D3",  # SIDDHAM SECTION MARK WITH QUADRUPLE CRESCENTS
    "\u115D4",  # SIDDHAM SECTION MARK WITH SEPTUPLE CRESCENTS
    "\u115D5",  # SIDDHAM SECTION MARK WITH CIRCLES AND RAYS
    "\u115D6",  # SIDDHAM SECTION MARK WITH CIRCLES AND TWO ENCLOSURES
    "\u115D7",  # SIDDHAM SECTION MARK WITH CIRCLES AND FOUR ENCLOSURES
    "\u115D8",  # SIDDHAM LETTER THREE-CIRCLE ALTERNATE I
    "\u115D9",  # SIDDHAM LETTER TWO-CIRCLE ALTERNATE I
    "\u115DA",  # SIDDHAM LETTER TWO-CIRCLE ALTERNATE II
    "\u115DB",  # SIDDHAM LETTER ALTERNATE U
    "\u115DC",  # SIDDHAM VOWEL SIGN ALTERNATE U
    "\u115DD",  # SIDDHAM VOWEL SIGN ALTERNATE UU
    "\u11600",  # MODI LETTER A
    "\u11601",  # MODI LETTER AA
    "\u11602",  # MODI LETTER I
    "\u11603",  # MODI LETTER II
    "\u11604",  # MODI LETTER U
    "\u11605",  # MODI LETTER UU
    "\u11606",  # MODI LETTER VOCALIC R
    "\u11607",  # MODI LETTER VOCALIC RR
    "\u11608",  # MODI LETTER VOCALIC L
    "\u11609",  # MODI LETTER VOCALIC LL
    "\u1160A",  # MODI LETTER E
    "\u1160B",  # MODI LETTER AI
    "\u1160C",  # MODI LETTER O
    "\u1160D",  # MODI LETTER AU
    "\u1160E",  # MODI LETTER KA
    "\u1160F",  # MODI LETTER KHA
    "\u11610",  # MODI LETTER GA
    "\u11611",  # MODI LETTER GHA
    "\u11612",  # MODI LETTER NGA
    "\u11613",  # MODI LETTER CA
    "\u11614",  # MODI LETTER CHA
    "\u11615",  # MODI LETTER JA
    "\u11616",  # MODI LETTER JHA
    "\u11617",  # MODI LETTER NYA
    "\u11618",  # MODI LETTER TTA
    "\u11619",  # MODI LETTER TTHA
    "\u1161A",  # MODI LETTER DDA
    "\u1161B",  # MODI LETTER DDHA
    "\u1161C",  # MODI LETTER NNA
    "\u1161D",  # MODI LETTER TA
    "\u1161E",  # MODI LETTER THA
    "\u1161F",  # MODI LETTER DA
    "\u11620",  # MODI LETTER DHA
    "\u11621",  # MODI LETTER NA
    "\u11622",  # MODI LETTER PA
    "\u11623",  # MODI LETTER PHA
    "\u11624",  # MODI LETTER BA
    "\u11625",  # MODI LETTER BHA
    "\u11626",  # MODI LETTER MA
    "\u11627",  # MODI LETTER YA
    "\u11628",  # MODI LETTER RA
    "\u11629",  # MODI LETTER LA
    "\u1162A",  # MODI LETTER VA
    "\u1162B",  # MODI LETTER SHA
    "\u1162C",  # MODI LETTER SSA
    "\u1162D",  # MODI LETTER SA
    "\u1162E",  # MODI LETTER HA
    "\u1162F",  # MODI LETTER LLA
    "\u11630",  # MODI VOWEL SIGN AA
    "\u11631",  # MODI VOWEL SIGN I
    "\u11632",  # MODI VOWEL SIGN II
    "\u11633",  # MODI VOWEL SIGN U
    "\u11634",  # MODI VOWEL SIGN UU
    "\u11635",  # MODI VOWEL SIGN VOCALIC R
    "\u11636",  # MODI VOWEL SIGN VOCALIC RR
    "\u11637",  # MODI VOWEL SIGN VOCALIC L
    "\u11638",  # MODI VOWEL SIGN VOCALIC LL
    "\u11639",  # MODI VOWEL SIGN E
    "\u1163A",  # MODI VOWEL SIGN AI
    "\u1163B",  # MODI VOWEL SIGN O
    "\u1163C",  # MODI VOWEL SIGN AU
    "\u1163D",  # MODI SIGN ANUSVARA
    "\u1163E",  # MODI SIGN VISARGA
    "\u1163F",  # MODI SIGN VIRAMA
    "\u11640",  # MODI SIGN ARDHACANDRA
    "\u11641",  # MODI DANDA
    "\u11642",  # MODI DOUBLE DANDA
    "\u11643",  # MODI ABBREVIATION SIGN
    "\u11644",  # MODI SIGN HUVA
    "\u11650",  # MODI DIGIT ZERO
    "\u11651",  # MODI DIGIT ONE
    "\u11652",  # MODI DIGIT TWO
    "\u11653",  # MODI DIGIT THREE
    "\u11654",  # MODI DIGIT FOUR
    "\u11655",  # MODI DIGIT FIVE
    "\u11656",  # MODI DIGIT SIX
    "\u11657",  # MODI DIGIT SEVEN
    "\u11658",  # MODI DIGIT EIGHT
    "\u11659",  # MODI DIGIT NINE
    "\u11660",  # MONGOLIAN BIRGA WITH ORNAMENT
    "\u11661",  # MONGOLIAN ROTATED BIRGA
    "\u11662",  # MONGOLIAN DOUBLE BIRGA WITH ORNAMENT
    "\u11663",  # MONGOLIAN TRIPLE BIRGA WITH ORNAMENT
    "\u11664",  # MONGOLIAN BIRGA WITH DOUBLE ORNAMENT
    "\u11665",  # MONGOLIAN ROTATED BIRGA WITH ORNAMENT
    "\u11666",  # MONGOLIAN ROTATED BIRGA WITH DOUBLE ORNAMENT
    "\u11667",  # MONGOLIAN INVERTED BIRGA
    "\u11668",  # MONGOLIAN INVERTED BIRGA WITH DOUBLE ORNAMENT
    "\u11669",  # MONGOLIAN SWIRL BIRGA
    "\u1166A",  # MONGOLIAN SWIRL BIRGA WITH ORNAMENT
    "\u1166B",  # MONGOLIAN SWIRL BIRGA WITH DOUBLE ORNAMENT
    "\u1166C",  # MONGOLIAN TURNED SWIRL BIRGA WITH DOUBLE ORNAMENT
    "\u11680",  # TAKRI LETTER A
    "\u11681",  # TAKRI LETTER AA
    "\u11682",  # TAKRI LETTER I
    "\u11683",  # TAKRI LETTER II
    "\u11684",  # TAKRI LETTER U
    "\u11685",  # TAKRI LETTER UU
    "\u11686",  # TAKRI LETTER E
    "\u11687",  # TAKRI LETTER AI
    "\u11688",  # TAKRI LETTER O
    "\u11689",  # TAKRI LETTER AU
    "\u1168A",  # TAKRI LETTER KA
    "\u1168B",  # TAKRI LETTER KHA
    "\u1168C",  # TAKRI LETTER GA
    "\u1168D",  # TAKRI LETTER GHA
    "\u1168E",  # TAKRI LETTER NGA
    "\u1168F",  # TAKRI LETTER CA
    "\u11690",  # TAKRI LETTER CHA
    "\u11691",  # TAKRI LETTER JA
    "\u11692",  # TAKRI LETTER JHA
    "\u11693",  # TAKRI LETTER NYA
    "\u11694",  # TAKRI LETTER TTA
    "\u11695",  # TAKRI LETTER TTHA
    "\u11696",  # TAKRI LETTER DDA
    "\u11697",  # TAKRI LETTER DDHA
    "\u11698",  # TAKRI LETTER NNA
    "\u11699",  # TAKRI LETTER TA
    "\u1169A",  # TAKRI LETTER THA
    "\u1169B",  # TAKRI LETTER DA
    "\u1169C",  # TAKRI LETTER DHA
    "\u1169D",  # TAKRI LETTER NA
    "\u1169E",  # TAKRI LETTER PA
    "\u1169F",  # TAKRI LETTER PHA
    "\u116A0",  # TAKRI LETTER BA
    "\u116A1",  # TAKRI LETTER BHA
    "\u116A2",  # TAKRI LETTER MA
    "\u116A3",  # TAKRI LETTER YA
    "\u116A4",  # TAKRI LETTER RA
    "\u116A5",  # TAKRI LETTER LA
    "\u116A6",  # TAKRI LETTER VA
    "\u116A7",  # TAKRI LETTER SHA
    "\u116A8",  # TAKRI LETTER SA
    "\u116A9",  # TAKRI LETTER HA
    "\u116AA",  # TAKRI LETTER RRA
    "\u116AB",  # TAKRI SIGN ANUSVARA
    "\u116AC",  # TAKRI SIGN VISARGA
    "\u116AD",  # TAKRI VOWEL SIGN AA
    "\u116AE",  # TAKRI VOWEL SIGN I
    "\u116AF",  # TAKRI VOWEL SIGN II
    "\u116B0",  # TAKRI VOWEL SIGN U
    "\u116B1",  # TAKRI VOWEL SIGN UU
    "\u116B2",  # TAKRI VOWEL SIGN E
    "\u116B3",  # TAKRI VOWEL SIGN AI
    "\u116B4",  # TAKRI VOWEL SIGN O
    "\u116B5",  # TAKRI VOWEL SIGN AU
    "\u116B6",  # TAKRI SIGN VIRAMA
    "\u116B7",  # TAKRI SIGN NUKTA
    "\u116C0",  # TAKRI DIGIT ZERO
    "\u116C1",  # TAKRI DIGIT ONE
    "\u116C2",  # TAKRI DIGIT TWO
    "\u116C3",  # TAKRI DIGIT THREE
    "\u116C4",  # TAKRI DIGIT FOUR
    "\u116C5",  # TAKRI DIGIT FIVE
    "\u116C6",  # TAKRI DIGIT SIX
    "\u116C7",  # TAKRI DIGIT SEVEN
    "\u116C8",  # TAKRI DIGIT EIGHT
    "\u116C9",  # TAKRI DIGIT NINE
    "\u11700",  # AHOM LETTER KA
    "\u11701",  # AHOM LETTER KHA
    "\u11702",  # AHOM LETTER NGA
    "\u11703",  # AHOM LETTER NA
    "\u11704",  # AHOM LETTER TA
    "\u11705",  # AHOM LETTER ALTERNATE TA
    "\u11706",  # AHOM LETTER PA
    "\u11707",  # AHOM LETTER PHA
    "\u11708",  # AHOM LETTER BA
    "\u11709",  # AHOM LETTER MA
    "\u1170A",  # AHOM LETTER JA
    "\u1170B",  # AHOM LETTER CHA
    "\u1170C",  # AHOM LETTER THA
    "\u1170D",  # AHOM LETTER RA
    "\u1170E",  # AHOM LETTER LA
    "\u1170F",  # AHOM LETTER SA
    "\u11710",  # AHOM LETTER NYA
    "\u11711",  # AHOM LETTER HA
    "\u11712",  # AHOM LETTER A
    "\u11713",  # AHOM LETTER DA
    "\u11714",  # AHOM LETTER DHA
    "\u11715",  # AHOM LETTER GA
    "\u11716",  # AHOM LETTER ALTERNATE GA
    "\u11717",  # AHOM LETTER GHA
    "\u11718",  # AHOM LETTER BHA
    "\u11719",  # AHOM LETTER JHA
    "\u1171D",  # AHOM CONSONANT SIGN MEDIAL LA
    "\u1171E",  # AHOM CONSONANT SIGN MEDIAL RA
    "\u1171F",  # AHOM CONSONANT SIGN MEDIAL LIGATING RA
    "\u11720",  # AHOM VOWEL SIGN A
    "\u11721",  # AHOM VOWEL SIGN AA
    "\u11722",  # AHOM VOWEL SIGN I
    "\u11723",  # AHOM VOWEL SIGN II
    "\u11724",  # AHOM VOWEL SIGN U
    "\u11725",  # AHOM VOWEL SIGN UU
    "\u11726",  # AHOM VOWEL SIGN E
    "\u11727",  # AHOM VOWEL SIGN AW
    "\u11728",  # AHOM VOWEL SIGN O
    "\u11729",  # AHOM VOWEL SIGN AI
    "\u1172A",  # AHOM VOWEL SIGN AM
    "\u1172B",  # AHOM SIGN KILLER
    "\u11730",  # AHOM DIGIT ZERO
    "\u11731",  # AHOM DIGIT ONE
    "\u11732",  # AHOM DIGIT TWO
    "\u11733",  # AHOM DIGIT THREE
    "\u11734",  # AHOM DIGIT FOUR
    "\u11735",  # AHOM DIGIT FIVE
    "\u11736",  # AHOM DIGIT SIX
    "\u11737",  # AHOM DIGIT SEVEN
    "\u11738",  # AHOM DIGIT EIGHT
    "\u11739",  # AHOM DIGIT NINE
    "\u1173A",  # AHOM NUMBER TEN
    "\u1173B",  # AHOM NUMBER TWENTY
    "\u1173C",  # AHOM SIGN SMALL SECTION
    "\u1173D",  # AHOM SIGN SECTION
    "\u1173E",  # AHOM SIGN RULAI
    "\u1173F",  # AHOM SYMBOL VI
    "\u118A0",  # WARANG CITI CAPITAL LETTER NGAA
    "\u118A1",  # WARANG CITI CAPITAL LETTER A
    "\u118A2",  # WARANG CITI CAPITAL LETTER WI
    "\u118A3",  # WARANG CITI CAPITAL LETTER YU
    "\u118A4",  # WARANG CITI CAPITAL LETTER YA
    "\u118A5",  # WARANG CITI CAPITAL LETTER YO
    "\u118A6",  # WARANG CITI CAPITAL LETTER II
    "\u118A7",  # WARANG CITI CAPITAL LETTER UU
    "\u118A8",  # WARANG CITI CAPITAL LETTER E
    "\u118A9",  # WARANG CITI CAPITAL LETTER O
    "\u118AA",  # WARANG CITI CAPITAL LETTER ANG
    "\u118AB",  # WARANG CITI CAPITAL LETTER GA
    "\u118AC",  # WARANG CITI CAPITAL LETTER KO
    "\u118AD",  # WARANG CITI CAPITAL LETTER ENY
    "\u118AE",  # WARANG CITI CAPITAL LETTER YUJ
    "\u118AF",  # WARANG CITI CAPITAL LETTER UC
    "\u118B0",  # WARANG CITI CAPITAL LETTER ENN
    "\u118B1",  # WARANG CITI CAPITAL LETTER ODD
    "\u118B2",  # WARANG CITI CAPITAL LETTER TTE
    "\u118B3",  # WARANG CITI CAPITAL LETTER NUNG
    "\u118B4",  # WARANG CITI CAPITAL LETTER DA
    "\u118B5",  # WARANG CITI CAPITAL LETTER AT
    "\u118B6",  # WARANG CITI CAPITAL LETTER AM
    "\u118B7",  # WARANG CITI CAPITAL LETTER BU
    "\u118B8",  # WARANG CITI CAPITAL LETTER PU
    "\u118B9",  # WARANG CITI CAPITAL LETTER HIYO
    "\u118BA",  # WARANG CITI CAPITAL LETTER HOLO
    "\u118BB",  # WARANG CITI CAPITAL LETTER HORR
    "\u118BC",  # WARANG CITI CAPITAL LETTER HAR
    "\u118BD",  # WARANG CITI CAPITAL LETTER SSUU
    "\u118BE",  # WARANG CITI CAPITAL LETTER SII
    "\u118BF",  # WARANG CITI CAPITAL LETTER VIYO
    "\u118C0",  # WARANG CITI SMALL LETTER NGAA
    "\u118C1",  # WARANG CITI SMALL LETTER A
    "\u118C2",  # WARANG CITI SMALL LETTER WI
    "\u118C3",  # WARANG CITI SMALL LETTER YU
    "\u118C4",  # WARANG CITI SMALL LETTER YA
    "\u118C5",  # WARANG CITI SMALL LETTER YO
    "\u118C6",  # WARANG CITI SMALL LETTER II
    "\u118C7",  # WARANG CITI SMALL LETTER UU
    "\u118C8",  # WARANG CITI SMALL LETTER E
    "\u118C9",  # WARANG CITI SMALL LETTER O
    "\u118CA",  # WARANG CITI SMALL LETTER ANG
    "\u118CB",  # WARANG CITI SMALL LETTER GA
    "\u118CC",  # WARANG CITI SMALL LETTER KO
    "\u118CD",  # WARANG CITI SMALL LETTER ENY
    "\u118CE",  # WARANG CITI SMALL LETTER YUJ
    "\u118CF",  # WARANG CITI SMALL LETTER UC
    "\u118D0",  # WARANG CITI SMALL LETTER ENN
    "\u118D1",  # WARANG CITI SMALL LETTER ODD
    "\u118D2",  # WARANG CITI SMALL LETTER TTE
    "\u118D3",  # WARANG CITI SMALL LETTER NUNG
    "\u118D4",  # WARANG CITI SMALL LETTER DA
    "\u118D5",  # WARANG CITI SMALL LETTER AT
    "\u118D6",  # WARANG CITI SMALL LETTER AM
    "\u118D7",  # WARANG CITI SMALL LETTER BU
    "\u118D8",  # WARANG CITI SMALL LETTER PU
    "\u118D9",  # WARANG CITI SMALL LETTER HIYO
    "\u118DA",  # WARANG CITI SMALL LETTER HOLO
    "\u118DB",  # WARANG CITI SMALL LETTER HORR
    "\u118DC",  # WARANG CITI SMALL LETTER HAR
    "\u118DD",  # WARANG CITI SMALL LETTER SSUU
    "\u118DE",  # WARANG CITI SMALL LETTER SII
    "\u118DF",  # WARANG CITI SMALL LETTER VIYO
    "\u118E0",  # WARANG CITI DIGIT ZERO
    "\u118E1",  # WARANG CITI DIGIT ONE
    "\u118E2",  # WARANG CITI DIGIT TWO
    "\u118E3",  # WARANG CITI DIGIT THREE
    "\u118E4",  # WARANG CITI DIGIT FOUR
    "\u118E5",  # WARANG CITI DIGIT FIVE
    "\u118E6",  # WARANG CITI DIGIT SIX
    "\u118E7",  # WARANG CITI DIGIT SEVEN
    "\u118E8",  # WARANG CITI DIGIT EIGHT
    "\u118E9",  # WARANG CITI DIGIT NINE
    "\u118EA",  # WARANG CITI NUMBER TEN
    "\u118EB",  # WARANG CITI NUMBER TWENTY
    "\u118EC",  # WARANG CITI NUMBER THIRTY
    "\u118ED",  # WARANG CITI NUMBER FORTY
    "\u118EE",  # WARANG CITI NUMBER FIFTY
    "\u118EF",  # WARANG CITI NUMBER SIXTY
    "\u118F0",  # WARANG CITI NUMBER SEVENTY
    "\u118F1",  # WARANG CITI NUMBER EIGHTY
    "\u118F2",  # WARANG CITI NUMBER NINETY
    "\u118FF",  # WARANG CITI OM
    "\u11A00",  # ZANABAZAR SQUARE LETTER A
    "\u11A01",  # ZANABAZAR SQUARE VOWEL SIGN I
    "\u11A02",  # ZANABAZAR SQUARE VOWEL SIGN UE
    "\u11A03",  # ZANABAZAR SQUARE VOWEL SIGN U
    "\u11A04",  # ZANABAZAR SQUARE VOWEL SIGN E
    "\u11A05",  # ZANABAZAR SQUARE VOWEL SIGN OE
    "\u11A06",  # ZANABAZAR SQUARE VOWEL SIGN O
    "\u11A07",  # ZANABAZAR SQUARE VOWEL SIGN AI
    "\u11A08",  # ZANABAZAR SQUARE VOWEL SIGN AU
    "\u11A09",  # ZANABAZAR SQUARE VOWEL SIGN REVERSED I
    "\u11A0A",  # ZANABAZAR SQUARE VOWEL LENGTH MARK
    "\u11A0B",  # ZANABAZAR SQUARE LETTER KA
    "\u11A0C",  # ZANABAZAR SQUARE LETTER KHA
    "\u11A0D",  # ZANABAZAR SQUARE LETTER GA
    "\u11A0E",  # ZANABAZAR SQUARE LETTER GHA
    "\u11A0F",  # ZANABAZAR SQUARE LETTER NGA
    "\u11A10",  # ZANABAZAR SQUARE LETTER CA
    "\u11A11",  # ZANABAZAR SQUARE LETTER CHA
    "\u11A12",  # ZANABAZAR SQUARE LETTER JA
    "\u11A13",  # ZANABAZAR SQUARE LETTER NYA
    "\u11A14",  # ZANABAZAR SQUARE LETTER TTA
    "\u11A15",  # ZANABAZAR SQUARE LETTER TTHA
    "\u11A16",  # ZANABAZAR SQUARE LETTER DDA
    "\u11A17",  # ZANABAZAR SQUARE LETTER DDHA
    "\u11A18",  # ZANABAZAR SQUARE LETTER NNA
    "\u11A19",  # ZANABAZAR SQUARE LETTER TA
    "\u11A1A",  # ZANABAZAR SQUARE LETTER THA
    "\u11A1B",  # ZANABAZAR SQUARE LETTER DA
    "\u11A1C",  # ZANABAZAR SQUARE LETTER DHA
    "\u11A1D",  # ZANABAZAR SQUARE LETTER NA
    "\u11A1E",  # ZANABAZAR SQUARE LETTER PA
    "\u11A1F",  # ZANABAZAR SQUARE LETTER PHA
    "\u11A20",  # ZANABAZAR SQUARE LETTER BA
    "\u11A21",  # ZANABAZAR SQUARE LETTER BHA
    "\u11A22",  # ZANABAZAR SQUARE LETTER MA
    "\u11A23",  # ZANABAZAR SQUARE LETTER TSA
    "\u11A24",  # ZANABAZAR SQUARE LETTER TSHA
    "\u11A25",  # ZANABAZAR SQUARE LETTER DZA
    "\u11A26",  # ZANABAZAR SQUARE LETTER DZHA
    "\u11A27",  # ZANABAZAR SQUARE LETTER ZHA
    "\u11A28",  # ZANABAZAR SQUARE LETTER ZA
    "\u11A29",  # ZANABAZAR SQUARE LETTER -A
    "\u11A2A",  # ZANABAZAR SQUARE LETTER YA
    "\u11A2B",  # ZANABAZAR SQUARE LETTER RA
    "\u11A2C",  # ZANABAZAR SQUARE LETTER LA
    "\u11A2D",  # ZANABAZAR SQUARE LETTER VA
    "\u11A2E",  # ZANABAZAR SQUARE LETTER SHA
    "\u11A2F",  # ZANABAZAR SQUARE LETTER SSA
    "\u11A30",  # ZANABAZAR SQUARE LETTER SA
    "\u11A31",  # ZANABAZAR SQUARE LETTER HA
    "\u11A32",  # ZANABAZAR SQUARE LETTER KSSA
    "\u11A33",  # ZANABAZAR SQUARE FINAL CONSONANT MARK
    "\u11A34",  # ZANABAZAR SQUARE SIGN VIRAMA
    "\u11A35",  # ZANABAZAR SQUARE SIGN CANDRABINDU
    "\u11A36",  # ZANABAZAR SQUARE SIGN CANDRABINDU WITH ORNAMENT
    "\u11A37",  # ZANABAZAR SQUARE SIGN CANDRA WITH ORNAMENT
    "\u11A38",  # ZANABAZAR SQUARE SIGN ANUSVARA
    "\u11A39",  # ZANABAZAR SQUARE SIGN VISARGA
    "\u11A3A",  # ZANABAZAR SQUARE CLUSTER-INITIAL LETTER RA
    "\u11A3B",  # ZANABAZAR SQUARE CLUSTER-FINAL LETTER YA
    "\u11A3C",  # ZANABAZAR SQUARE CLUSTER-FINAL LETTER RA
    "\u11A3D",  # ZANABAZAR SQUARE CLUSTER-FINAL LETTER LA
    "\u11A3E",  # ZANABAZAR SQUARE CLUSTER-FINAL LETTER VA
    "\u11A3F",  # ZANABAZAR SQUARE INITIAL HEAD MARK
    "\u11A40",  # ZANABAZAR SQUARE CLOSING HEAD MARK
    "\u11A41",  # ZANABAZAR SQUARE MARK TSHEG
    "\u11A42",  # ZANABAZAR SQUARE MARK SHAD
    "\u11A43",  # ZANABAZAR SQUARE MARK DOUBLE SHAD
    "\u11A44",  # ZANABAZAR SQUARE MARK LONG TSHEG
    "\u11A45",  # ZANABAZAR SQUARE INITIAL DOUBLE-LINED HEAD MARK
    "\u11A46",  # ZANABAZAR SQUARE CLOSING DOUBLE-LINED HEAD MARK
    "\u11A47",  # ZANABAZAR SQUARE SUBJOINER
    "\u11A50",  # SOYOMBO LETTER A
    "\u11A51",  # SOYOMBO VOWEL SIGN I
    "\u11A52",  # SOYOMBO VOWEL SIGN UE
    "\u11A53",  # SOYOMBO VOWEL SIGN U
    "\u11A54",  # SOYOMBO VOWEL SIGN E
    "\u11A55",  # SOYOMBO VOWEL SIGN O
    "\u11A56",  # SOYOMBO VOWEL SIGN OE
    "\u11A57",  # SOYOMBO VOWEL SIGN AI
    "\u11A58",  # SOYOMBO VOWEL SIGN AU
    "\u11A59",  # SOYOMBO VOWEL SIGN VOCALIC R
    "\u11A5A",  # SOYOMBO VOWEL SIGN VOCALIC L
    "\u11A5B",  # SOYOMBO VOWEL LENGTH MARK
    "\u11A5C",  # SOYOMBO LETTER KA
    "\u11A5D",  # SOYOMBO LETTER KHA
    "\u11A5E",  # SOYOMBO LETTER GA
    "\u11A5F",  # SOYOMBO LETTER GHA
    "\u11A60",  # SOYOMBO LETTER NGA
    "\u11A61",  # SOYOMBO LETTER CA
    "\u11A62",  # SOYOMBO LETTER CHA
    "\u11A63",  # SOYOMBO LETTER JA
    "\u11A64",  # SOYOMBO LETTER JHA
    "\u11A65",  # SOYOMBO LETTER NYA
    "\u11A66",  # SOYOMBO LETTER TTA
    "\u11A67",  # SOYOMBO LETTER TTHA
    "\u11A68",  # SOYOMBO LETTER DDA
    "\u11A69",  # SOYOMBO LETTER DDHA
    "\u11A6A",  # SOYOMBO LETTER NNA
    "\u11A6B",  # SOYOMBO LETTER TA
    "\u11A6C",  # SOYOMBO LETTER THA
    "\u11A6D",  # SOYOMBO LETTER DA
    "\u11A6E",  # SOYOMBO LETTER DHA
    "\u11A6F",  # SOYOMBO LETTER NA
    "\u11A70",  # SOYOMBO LETTER PA
    "\u11A71",  # SOYOMBO LETTER PHA
    "\u11A72",  # SOYOMBO LETTER BA
    "\u11A73",  # SOYOMBO LETTER BHA
    "\u11A74",  # SOYOMBO LETTER MA
    "\u11A75",  # SOYOMBO LETTER TSA
    "\u11A76",  # SOYOMBO LETTER TSHA
    "\u11A77",  # SOYOMBO LETTER DZA
    "\u11A78",  # SOYOMBO LETTER ZHA
    "\u11A79",  # SOYOMBO LETTER ZA
    "\u11A7A",  # SOYOMBO LETTER -A
    "\u11A7B",  # SOYOMBO LETTER YA
    "\u11A7C",  # SOYOMBO LETTER RA
    "\u11A7D",  # SOYOMBO LETTER LA
    "\u11A7E",  # SOYOMBO LETTER VA
    "\u11A7F",  # SOYOMBO LETTER SHA
    "\u11A80",  # SOYOMBO LETTER SSA
    "\u11A81",  # SOYOMBO LETTER SA
    "\u11A82",  # SOYOMBO LETTER HA
    "\u11A83",  # SOYOMBO LETTER KSSA
    "\u11A86",  # SOYOMBO CLUSTER-INITIAL LETTER RA
    "\u11A87",  # SOYOMBO CLUSTER-INITIAL LETTER LA
    "\u11A88",  # SOYOMBO CLUSTER-INITIAL LETTER SHA
    "\u11A89",  # SOYOMBO CLUSTER-INITIAL LETTER SA
    "\u11A8A",  # SOYOMBO FINAL CONSONANT SIGN G
    "\u11A8B",  # SOYOMBO FINAL CONSONANT SIGN K
    "\u11A8C",  # SOYOMBO FINAL CONSONANT SIGN NG
    "\u11A8D",  # SOYOMBO FINAL CONSONANT SIGN D
    "\u11A8E",  # SOYOMBO FINAL CONSONANT SIGN N
    "\u11A8F",  # SOYOMBO FINAL CONSONANT SIGN B
    "\u11A90",  # SOYOMBO FINAL CONSONANT SIGN M
    "\u11A91",  # SOYOMBO FINAL CONSONANT SIGN R
    "\u11A92",  # SOYOMBO FINAL CONSONANT SIGN L
    "\u11A93",  # SOYOMBO FINAL CONSONANT SIGN SH
    "\u11A94",  # SOYOMBO FINAL CONSONANT SIGN S
    "\u11A95",  # SOYOMBO FINAL CONSONANT SIGN -A
    "\u11A96",  # SOYOMBO SIGN ANUSVARA
    "\u11A97",  # SOYOMBO SIGN VISARGA
    "\u11A98",  # SOYOMBO GEMINATION MARK
    "\u11A99",  # SOYOMBO SUBJOINER
    "\u11A9A",  # SOYOMBO MARK TSHEG
    "\u11A9B",  # SOYOMBO MARK SHAD
    "\u11A9C",  # SOYOMBO MARK DOUBLE SHAD
    "\u11A9E",  # SOYOMBO HEAD MARK WITH MOON AND SUN AND TRIPLE FLAME
    "\u11A9F",  # SOYOMBO HEAD MARK WITH MOON AND SUN AND FLAME
    "\u11AA0",  # SOYOMBO HEAD MARK WITH MOON AND SUN
    "\u11AA1",  # SOYOMBO TERMINAL MARK-1
    "\u11AA2",  # SOYOMBO TERMINAL MARK-2
    "\u11AC0",  # PAU CIN HAU LETTER PA
    "\u11AC1",  # PAU CIN HAU LETTER KA
    "\u11AC2",  # PAU CIN HAU LETTER LA
    "\u11AC3",  # PAU CIN HAU LETTER MA
    "\u11AC4",  # PAU CIN HAU LETTER DA
    "\u11AC5",  # PAU CIN HAU LETTER ZA
    "\u11AC6",  # PAU CIN HAU LETTER VA
    "\u11AC7",  # PAU CIN HAU LETTER NGA
    "\u11AC8",  # PAU CIN HAU LETTER HA
    "\u11AC9",  # PAU CIN HAU LETTER GA
    "\u11ACA",  # PAU CIN HAU LETTER KHA
    "\u11ACB",  # PAU CIN HAU LETTER SA
    "\u11ACC",  # PAU CIN HAU LETTER BA
    "\u11ACD",  # PAU CIN HAU LETTER CA
    "\u11ACE",  # PAU CIN HAU LETTER TA
    "\u11ACF",  # PAU CIN HAU LETTER THA
    "\u11AD0",  # PAU CIN HAU LETTER NA
    "\u11AD1",  # PAU CIN HAU LETTER PHA
    "\u11AD2",  # PAU CIN HAU LETTER RA
    "\u11AD3",  # PAU CIN HAU LETTER FA
    "\u11AD4",  # PAU CIN HAU LETTER CHA
    "\u11AD5",  # PAU CIN HAU LETTER A
    "\u11AD6",  # PAU CIN HAU LETTER E
    "\u11AD7",  # PAU CIN HAU LETTER I
    "\u11AD8",  # PAU CIN HAU LETTER O
    "\u11AD9",  # PAU CIN HAU LETTER U
    "\u11ADA",  # PAU CIN HAU LETTER UA
    "\u11ADB",  # PAU CIN HAU LETTER IA
    "\u11ADC",  # PAU CIN HAU LETTER FINAL P
    "\u11ADD",  # PAU CIN HAU LETTER FINAL K
    "\u11ADE",  # PAU CIN HAU LETTER FINAL T
    "\u11ADF",  # PAU CIN HAU LETTER FINAL M
    "\u11AE0",  # PAU CIN HAU LETTER FINAL N
    "\u11AE1",  # PAU CIN HAU LETTER FINAL L
    "\u11AE2",  # PAU CIN HAU LETTER FINAL W
    "\u11AE3",  # PAU CIN HAU LETTER FINAL NG
    "\u11AE4",  # PAU CIN HAU LETTER FINAL Y
    "\u11AE5",  # PAU CIN HAU RISING TONE LONG
    "\u11AE6",  # PAU CIN HAU RISING TONE
    "\u11AE7",  # PAU CIN HAU SANDHI GLOTTAL STOP
    "\u11AE8",  # PAU CIN HAU RISING TONE LONG FINAL
    "\u11AE9",  # PAU CIN HAU RISING TONE FINAL
    "\u11AEA",  # PAU CIN HAU SANDHI GLOTTAL STOP FINAL
    "\u11AEB",  # PAU CIN HAU SANDHI TONE LONG
    "\u11AEC",  # PAU CIN HAU SANDHI TONE
    "\u11AED",  # PAU CIN HAU SANDHI TONE LONG FINAL
    "\u11AEE",  # PAU CIN HAU SANDHI TONE FINAL
    "\u11AEF",  # PAU CIN HAU MID-LEVEL TONE
    "\u11AF0",  # PAU CIN HAU GLOTTAL STOP VARIANT
    "\u11AF1",  # PAU CIN HAU MID-LEVEL TONE LONG FINAL
    "\u11AF2",  # PAU CIN HAU MID-LEVEL TONE FINAL
    "\u11AF3",  # PAU CIN HAU LOW-FALLING TONE LONG
    "\u11AF4",  # PAU CIN HAU LOW-FALLING TONE
    "\u11AF5",  # PAU CIN HAU GLOTTAL STOP
    "\u11AF6",  # PAU CIN HAU LOW-FALLING TONE LONG FINAL
    "\u11AF7",  # PAU CIN HAU LOW-FALLING TONE FINAL
    "\u11AF8",  # PAU CIN HAU GLOTTAL STOP FINAL
    "\u11C00",  # BHAIKSUKI LETTER A
    "\u11C01",  # BHAIKSUKI LETTER AA
    "\u11C02",  # BHAIKSUKI LETTER I
    "\u11C03",  # BHAIKSUKI LETTER II
    "\u11C04",  # BHAIKSUKI LETTER U
    "\u11C05",  # BHAIKSUKI LETTER UU
    "\u11C06",  # BHAIKSUKI LETTER VOCALIC R
    "\u11C07",  # BHAIKSUKI LETTER VOCALIC RR
    "\u11C08",  # BHAIKSUKI LETTER VOCALIC L
    "\u11C0A",  # BHAIKSUKI LETTER E
    "\u11C0B",  # BHAIKSUKI LETTER AI
    "\u11C0C",  # BHAIKSUKI LETTER O
    "\u11C0D",  # BHAIKSUKI LETTER AU
    "\u11C0E",  # BHAIKSUKI LETTER KA
    "\u11C0F",  # BHAIKSUKI LETTER KHA
    "\u11C10",  # BHAIKSUKI LETTER GA
    "\u11C11",  # BHAIKSUKI LETTER GHA
    "\u11C12",  # BHAIKSUKI LETTER NGA
    "\u11C13",  # BHAIKSUKI LETTER CA
    "\u11C14",  # BHAIKSUKI LETTER CHA
    "\u11C15",  # BHAIKSUKI LETTER JA
    "\u11C16",  # BHAIKSUKI LETTER JHA
    "\u11C17",  # BHAIKSUKI LETTER NYA
    "\u11C18",  # BHAIKSUKI LETTER TTA
    "\u11C19",  # BHAIKSUKI LETTER TTHA
    "\u11C1A",  # BHAIKSUKI LETTER DDA
    "\u11C1B",  # BHAIKSUKI LETTER DDHA
    "\u11C1C",  # BHAIKSUKI LETTER NNA
    "\u11C1D",  # BHAIKSUKI LETTER TA
    "\u11C1E",  # BHAIKSUKI LETTER THA
    "\u11C1F",  # BHAIKSUKI LETTER DA
    "\u11C20",  # BHAIKSUKI LETTER DHA
    "\u11C21",  # BHAIKSUKI LETTER NA
    "\u11C22",  # BHAIKSUKI LETTER PA
    "\u11C23",  # BHAIKSUKI LETTER PHA
    "\u11C24",  # BHAIKSUKI LETTER BA
    "\u11C25",  # BHAIKSUKI LETTER BHA
    "\u11C26",  # BHAIKSUKI LETTER MA
    "\u11C27",  # BHAIKSUKI LETTER YA
    "\u11C28",  # BHAIKSUKI LETTER RA
    "\u11C29",  # BHAIKSUKI LETTER LA
    "\u11C2A",  # BHAIKSUKI LETTER VA
    "\u11C2B",  # BHAIKSUKI LETTER SHA
    "\u11C2C",  # BHAIKSUKI LETTER SSA
    "\u11C2D",  # BHAIKSUKI LETTER SA
    "\u11C2E",  # BHAIKSUKI LETTER HA
    "\u11C2F",  # BHAIKSUKI VOWEL SIGN AA
    "\u11C30",  # BHAIKSUKI VOWEL SIGN I
    "\u11C31",  # BHAIKSUKI VOWEL SIGN II
    "\u11C32",  # BHAIKSUKI VOWEL SIGN U
    "\u11C33",  # BHAIKSUKI VOWEL SIGN UU
    "\u11C34",  # BHAIKSUKI VOWEL SIGN VOCALIC R
    "\u11C35",  # BHAIKSUKI VOWEL SIGN VOCALIC RR
    "\u11C36",  # BHAIKSUKI VOWEL SIGN VOCALIC L
    "\u11C38",  # BHAIKSUKI VOWEL SIGN E
    "\u11C39",  # BHAIKSUKI VOWEL SIGN AI
    "\u11C3A",  # BHAIKSUKI VOWEL SIGN O
    "\u11C3B",  # BHAIKSUKI VOWEL SIGN AU
    "\u11C3C",  # BHAIKSUKI SIGN CANDRABINDU
    "\u11C3D",  # BHAIKSUKI SIGN ANUSVARA
    "\u11C3E",  # BHAIKSUKI SIGN VISARGA
    "\u11C3F",  # BHAIKSUKI SIGN VIRAMA
    "\u11C40",  # BHAIKSUKI SIGN AVAGRAHA
    "\u11C41",  # BHAIKSUKI DANDA
    "\u11C42",  # BHAIKSUKI DOUBLE DANDA
    "\u11C43",  # BHAIKSUKI WORD SEPARATOR
    "\u11C44",  # BHAIKSUKI GAP FILLER-1
    "\u11C45",  # BHAIKSUKI GAP FILLER-2
    "\u11C50",  # BHAIKSUKI DIGIT ZERO
    "\u11C51",  # BHAIKSUKI DIGIT ONE
    "\u11C52",  # BHAIKSUKI DIGIT TWO
    "\u11C53",  # BHAIKSUKI DIGIT THREE
    "\u11C54",  # BHAIKSUKI DIGIT FOUR
    "\u11C55",  # BHAIKSUKI DIGIT FIVE
    "\u11C56",  # BHAIKSUKI DIGIT SIX
    "\u11C57",  # BHAIKSUKI DIGIT SEVEN
    "\u11C58",  # BHAIKSUKI DIGIT EIGHT
    "\u11C59",  # BHAIKSUKI DIGIT NINE
    "\u11C5A",  # BHAIKSUKI NUMBER ONE
    "\u11C5B",  # BHAIKSUKI NUMBER TWO
    "\u11C5C",  # BHAIKSUKI NUMBER THREE
    "\u11C5D",  # BHAIKSUKI NUMBER FOUR
    "\u11C5E",  # BHAIKSUKI NUMBER FIVE
    "\u11C5F",  # BHAIKSUKI NUMBER SIX
    "\u11C60",  # BHAIKSUKI NUMBER SEVEN
    "\u11C61",  # BHAIKSUKI NUMBER EIGHT
    "\u11C62",  # BHAIKSUKI NUMBER NINE
    "\u11C63",  # BHAIKSUKI NUMBER TEN
    "\u11C64",  # BHAIKSUKI NUMBER TWENTY
    "\u11C65",  # BHAIKSUKI NUMBER THIRTY
    "\u11C66",  # BHAIKSUKI NUMBER FORTY
    "\u11C67",  # BHAIKSUKI NUMBER FIFTY
    "\u11C68",  # BHAIKSUKI NUMBER SIXTY
    "\u11C69",  # BHAIKSUKI NUMBER SEVENTY
    "\u11C6A",  # BHAIKSUKI NUMBER EIGHTY
    "\u11C6B",  # BHAIKSUKI NUMBER NINETY
    "\u11C6C",  # BHAIKSUKI HUNDREDS UNIT MARK
    "\u11C70",  # MARCHEN HEAD MARK
    "\u11C71",  # MARCHEN MARK SHAD
    "\u11C72",  # MARCHEN LETTER KA
    "\u11C73",  # MARCHEN LETTER KHA
    "\u11C74",  # MARCHEN LETTER GA
    "\u11C75",  # MARCHEN LETTER NGA
    "\u11C76",  # MARCHEN LETTER CA
    "\u11C77",  # MARCHEN LETTER CHA
    "\u11C78",  # MARCHEN LETTER JA
    "\u11C79",  # MARCHEN LETTER NYA
    "\u11C7A",  # MARCHEN LETTER TA
    "\u11C7B",  # MARCHEN LETTER THA
    "\u11C7C",  # MARCHEN LETTER DA
    "\u11C7D",  # MARCHEN LETTER NA
    "\u11C7E",  # MARCHEN LETTER PA
    "\u11C7F",  # MARCHEN LETTER PHA
    "\u11C80",  # MARCHEN LETTER BA
    "\u11C81",  # MARCHEN LETTER MA
    "\u11C82",  # MARCHEN LETTER TSA
    "\u11C83",  # MARCHEN LETTER TSHA
    "\u11C84",  # MARCHEN LETTER DZA
    "\u11C85",  # MARCHEN LETTER WA
    "\u11C86",  # MARCHEN LETTER ZHA
    "\u11C87",  # MARCHEN LETTER ZA
    "\u11C88",  # MARCHEN LETTER -A
    "\u11C89",  # MARCHEN LETTER YA
    "\u11C8A",  # MARCHEN LETTER RA
    "\u11C8B",  # MARCHEN LETTER LA
    "\u11C8C",  # MARCHEN LETTER SHA
    "\u11C8D",  # MARCHEN LETTER SA
    "\u11C8E",  # MARCHEN LETTER HA
    "\u11C8F",  # MARCHEN LETTER A
    "\u11C92",  # MARCHEN SUBJOINED LETTER KA
    "\u11C93",  # MARCHEN SUBJOINED LETTER KHA
    "\u11C94",  # MARCHEN SUBJOINED LETTER GA
    "\u11C95",  # MARCHEN SUBJOINED LETTER NGA
    "\u11C96",  # MARCHEN SUBJOINED LETTER CA
    "\u11C97",  # MARCHEN SUBJOINED LETTER CHA
    "\u11C98",  # MARCHEN SUBJOINED LETTER JA
    "\u11C99",  # MARCHEN SUBJOINED LETTER NYA
    "\u11C9A",  # MARCHEN SUBJOINED LETTER TA
    "\u11C9B",  # MARCHEN SUBJOINED LETTER THA
    "\u11C9C",  # MARCHEN SUBJOINED LETTER DA
    "\u11C9D",  # MARCHEN SUBJOINED LETTER NA
    "\u11C9E",  # MARCHEN SUBJOINED LETTER PA
    "\u11C9F",  # MARCHEN SUBJOINED LETTER PHA
    "\u11CA0",  # MARCHEN SUBJOINED LETTER BA
    "\u11CA1",  # MARCHEN SUBJOINED LETTER MA
    "\u11CA2",  # MARCHEN SUBJOINED LETTER TSA
    "\u11CA3",  # MARCHEN SUBJOINED LETTER TSHA
    "\u11CA4",  # MARCHEN SUBJOINED LETTER DZA
    "\u11CA5",  # MARCHEN SUBJOINED LETTER WA
    "\u11CA6",  # MARCHEN SUBJOINED LETTER ZHA
    "\u11CA7",  # MARCHEN SUBJOINED LETTER ZA
    "\u11CA9",  # MARCHEN SUBJOINED LETTER YA
    "\u11CAA",  # MARCHEN SUBJOINED LETTER RA
    "\u11CAB",  # MARCHEN SUBJOINED LETTER LA
    "\u11CAC",  # MARCHEN SUBJOINED LETTER SHA
    "\u11CAD",  # MARCHEN SUBJOINED LETTER SA
    "\u11CAE",  # MARCHEN SUBJOINED LETTER HA
    "\u11CAF",  # MARCHEN SUBJOINED LETTER A
    "\u11CB0",  # MARCHEN VOWEL SIGN AA
    "\u11CB1",  # MARCHEN VOWEL SIGN I
    "\u11CB2",  # MARCHEN VOWEL SIGN U
    "\u11CB3",  # MARCHEN VOWEL SIGN E
    "\u11CB4",  # MARCHEN VOWEL SIGN O
    "\u11CB5",  # MARCHEN SIGN ANUSVARA
    "\u11CB6",  # MARCHEN SIGN CANDRABINDU
    "\u11D00",  # MASARAM GONDI LETTER A
    "\u11D01",  # MASARAM GONDI LETTER AA
    "\u11D02",  # MASARAM GONDI LETTER I
    "\u11D03",  # MASARAM GONDI LETTER II
    "\u11D04",  # MASARAM GONDI LETTER U
    "\u11D05",  # MASARAM GONDI LETTER UU
    "\u11D06",  # MASARAM GONDI LETTER E
    "\u11D08",  # MASARAM GONDI LETTER AI
    "\u11D09",  # MASARAM GONDI LETTER O
    "\u11D0B",  # MASARAM GONDI LETTER AU
    "\u11D0C",  # MASARAM GONDI LETTER KA
    "\u11D0D",  # MASARAM GONDI LETTER KHA
    "\u11D0E",  # MASARAM GONDI LETTER GA
    "\u11D0F",  # MASARAM GONDI LETTER GHA
    "\u11D10",  # MASARAM GONDI LETTER NGA
    "\u11D11",  # MASARAM GONDI LETTER CA
    "\u11D12",  # MASARAM GONDI LETTER CHA
    "\u11D13",  # MASARAM GONDI LETTER JA
    "\u11D14",  # MASARAM GONDI LETTER JHA
    "\u11D15",  # MASARAM GONDI LETTER NYA
    "\u11D16",  # MASARAM GONDI LETTER TTA
    "\u11D17",  # MASARAM GONDI LETTER TTHA
    "\u11D18",  # MASARAM GONDI LETTER DDA
    "\u11D19",  # MASARAM GONDI LETTER DDHA
    "\u11D1A",  # MASARAM GONDI LETTER NNA
    "\u11D1B",  # MASARAM GONDI LETTER TA
    "\u11D1C",  # MASARAM GONDI LETTER THA
    "\u11D1D",  # MASARAM GONDI LETTER DA
    "\u11D1E",  # MASARAM GONDI LETTER DHA
    "\u11D1F",  # MASARAM GONDI LETTER NA
    "\u11D20",  # MASARAM GONDI LETTER PA
    "\u11D21",  # MASARAM GONDI LETTER PHA
    "\u11D22",  # MASARAM GONDI LETTER BA
    "\u11D23",  # MASARAM GONDI LETTER BHA
    "\u11D24",  # MASARAM GONDI LETTER MA
    "\u11D25",  # MASARAM GONDI LETTER YA
    "\u11D26",  # MASARAM GONDI LETTER RA
    "\u11D27",  # MASARAM GONDI LETTER LA
    "\u11D28",  # MASARAM GONDI LETTER VA
    "\u11D29",  # MASARAM GONDI LETTER SHA
    "\u11D2A",  # MASARAM GONDI LETTER SSA
    "\u11D2B",  # MASARAM GONDI LETTER SA
    "\u11D2C",  # MASARAM GONDI LETTER HA
    "\u11D2D",  # MASARAM GONDI LETTER LLA
    "\u11D2E",  # MASARAM GONDI LETTER KSSA
    "\u11D2F",  # MASARAM GONDI LETTER JNYA
    "\u11D30",  # MASARAM GONDI LETTER TRA
    "\u11D31",  # MASARAM GONDI VOWEL SIGN AA
    "\u11D32",  # MASARAM GONDI VOWEL SIGN I
    "\u11D33",  # MASARAM GONDI VOWEL SIGN II
    "\u11D34",  # MASARAM GONDI VOWEL SIGN U
    "\u11D35",  # MASARAM GONDI VOWEL SIGN UU
    "\u11D36",  # MASARAM GONDI VOWEL SIGN VOCALIC R
    "\u11D3A",  # MASARAM GONDI VOWEL SIGN E
    "\u11D3C",  # MASARAM GONDI VOWEL SIGN AI
    "\u11D3D",  # MASARAM GONDI VOWEL SIGN O
    "\u11D3F",  # MASARAM GONDI VOWEL SIGN AU
    "\u11D40",  # MASARAM GONDI SIGN ANUSVARA
    "\u11D41",  # MASARAM GONDI SIGN VISARGA
    "\u11D42",  # MASARAM GONDI SIGN NUKTA
    "\u11D43",  # MASARAM GONDI SIGN CANDRA
    "\u11D44",  # MASARAM GONDI SIGN HALANTA
    "\u11D45",  # MASARAM GONDI VIRAMA
    "\u11D46",  # MASARAM GONDI REPHA
    "\u11D47",  # MASARAM GONDI RA-KARA
    "\u11D50",  # MASARAM GONDI DIGIT ZERO
    "\u11D51",  # MASARAM GONDI DIGIT ONE
    "\u11D52",  # MASARAM GONDI DIGIT TWO
    "\u11D53",  # MASARAM GONDI DIGIT THREE
    "\u11D54",  # MASARAM GONDI DIGIT FOUR
    "\u11D55",  # MASARAM GONDI DIGIT FIVE
    "\u11D56",  # MASARAM GONDI DIGIT SIX
    "\u11D57",  # MASARAM GONDI DIGIT SEVEN
    "\u11D58",  # MASARAM GONDI DIGIT EIGHT
    "\u11D59",  # MASARAM GONDI DIGIT NINE
    "\u12000",  # CUNEIFORM SIGN A
    "\u12001",  # CUNEIFORM SIGN A TIMES A
    "\u12002",  # CUNEIFORM SIGN A TIMES BAD
    "\u12003",  # CUNEIFORM SIGN A TIMES GAN2 TENU
    "\u12004",  # CUNEIFORM SIGN A TIMES HA
    "\u12005",  # CUNEIFORM SIGN A TIMES IGI
    "\u12006",  # CUNEIFORM SIGN A TIMES LAGAR GUNU
    "\u12007",  # CUNEIFORM SIGN A TIMES MUSH
    "\u12008",  # CUNEIFORM SIGN A TIMES SAG
    "\u12009",  # CUNEIFORM SIGN A2
    "\u1200A",  # CUNEIFORM SIGN AB
    "\u1200B",  # CUNEIFORM SIGN AB TIMES ASH2
    "\u1200C",  # CUNEIFORM SIGN AB TIMES DUN3 GUNU
    "\u1200D",  # CUNEIFORM SIGN AB TIMES GAL
    "\u1200E",  # CUNEIFORM SIGN AB TIMES GAN2 TENU
    "\u1200F",  # CUNEIFORM SIGN AB TIMES HA
    "\u12010",  # CUNEIFORM SIGN AB TIMES IGI GUNU
    "\u12011",  # CUNEIFORM SIGN AB TIMES IMIN
    "\u12012",  # CUNEIFORM SIGN AB TIMES LAGAB
    "\u12013",  # CUNEIFORM SIGN AB TIMES SHESH
    "\u12014",  # CUNEIFORM SIGN AB TIMES U PLUS U PLUS U
    "\u12015",  # CUNEIFORM SIGN AB GUNU
    "\u12016",  # CUNEIFORM SIGN AB2
    "\u12017",  # CUNEIFORM SIGN AB2 TIMES BALAG
    "\u12018",  # CUNEIFORM SIGN AB2 TIMES GAN2 TENU
    "\u12019",  # CUNEIFORM SIGN AB2 TIMES ME PLUS EN
    "\u1201A",  # CUNEIFORM SIGN AB2 TIMES SHA3
    "\u1201B",  # CUNEIFORM SIGN AB2 TIMES TAK4
    "\u1201C",  # CUNEIFORM SIGN AD
    "\u1201D",  # CUNEIFORM SIGN AK
    "\u1201E",  # CUNEIFORM SIGN AK TIMES ERIN2
    "\u1201F",  # CUNEIFORM SIGN AK TIMES SHITA PLUS GISH
    "\u12020",  # CUNEIFORM SIGN AL
    "\u12021",  # CUNEIFORM SIGN AL TIMES AL
    "\u12022",  # CUNEIFORM SIGN AL TIMES DIM2
    "\u12023",  # CUNEIFORM SIGN AL TIMES GISH
    "\u12024",  # CUNEIFORM SIGN AL TIMES HA
    "\u12025",  # CUNEIFORM SIGN AL TIMES KAD3
    "\u12026",  # CUNEIFORM SIGN AL TIMES KI
    "\u12027",  # CUNEIFORM SIGN AL TIMES SHE
    "\u12028",  # CUNEIFORM SIGN AL TIMES USH
    "\u12029",  # CUNEIFORM SIGN ALAN
    "\u1202A",  # CUNEIFORM SIGN ALEPH
    "\u1202B",  # CUNEIFORM SIGN AMAR
    "\u1202C",  # CUNEIFORM SIGN AMAR TIMES SHE
    "\u1202D",  # CUNEIFORM SIGN AN
    "\u1202E",  # CUNEIFORM SIGN AN OVER AN
    "\u1202F",  # CUNEIFORM SIGN AN THREE TIMES
    "\u12030",  # CUNEIFORM SIGN AN PLUS NAGA OPPOSING AN PLUS NAGA
    "\u12031",  # CUNEIFORM SIGN AN PLUS NAGA SQUARED
    "\u12032",  # CUNEIFORM SIGN ANSHE
    "\u12033",  # CUNEIFORM SIGN APIN
    "\u12034",  # CUNEIFORM SIGN ARAD
    "\u12035",  # CUNEIFORM SIGN ARAD TIMES KUR
    "\u12036",  # CUNEIFORM SIGN ARKAB
    "\u12037",  # CUNEIFORM SIGN ASAL2
    "\u12038",  # CUNEIFORM SIGN ASH
    "\u12039",  # CUNEIFORM SIGN ASH ZIDA TENU
    "\u1203A",  # CUNEIFORM SIGN ASH KABA TENU
    "\u1203B",  # CUNEIFORM SIGN ASH OVER ASH TUG2 OVER TUG2 TUG2 OVER TUG2 PAP
    "\u1203C",  # CUNEIFORM SIGN ASH OVER ASH OVER ASH
    "\u1203D",  # CUNEIFORM SIGN ASH OVER ASH OVER ASH CROSSING ASH OVER ASH OVER ASH
    "\u1203E",  # CUNEIFORM SIGN ASH2
    "\u1203F",  # CUNEIFORM SIGN ASHGAB
    "\u12040",  # CUNEIFORM SIGN BA
    "\u12041",  # CUNEIFORM SIGN BAD
    "\u12042",  # CUNEIFORM SIGN BAG3
    "\u12043",  # CUNEIFORM SIGN BAHAR2
    "\u12044",  # CUNEIFORM SIGN BAL
    "\u12045",  # CUNEIFORM SIGN BAL OVER BAL
    "\u12046",  # CUNEIFORM SIGN BALAG
    "\u12047",  # CUNEIFORM SIGN BAR
    "\u12048",  # CUNEIFORM SIGN BARA2
    "\u12049",  # CUNEIFORM SIGN BI
    "\u1204A",  # CUNEIFORM SIGN BI TIMES A
    "\u1204B",  # CUNEIFORM SIGN BI TIMES GAR
    "\u1204C",  # CUNEIFORM SIGN BI TIMES IGI GUNU
    "\u1204D",  # CUNEIFORM SIGN BU
    "\u1204E",  # CUNEIFORM SIGN BU OVER BU AB
    "\u1204F",  # CUNEIFORM SIGN BU OVER BU UN
    "\u12050",  # CUNEIFORM SIGN BU CROSSING BU
    "\u12051",  # CUNEIFORM SIGN BULUG
    "\u12052",  # CUNEIFORM SIGN BULUG OVER BULUG
    "\u12053",  # CUNEIFORM SIGN BUR
    "\u12054",  # CUNEIFORM SIGN BUR2
    "\u12055",  # CUNEIFORM SIGN DA
    "\u12056",  # CUNEIFORM SIGN DAG
    "\u12057",  # CUNEIFORM SIGN DAG KISIM5 TIMES A PLUS MASH
    "\u12058",  # CUNEIFORM SIGN DAG KISIM5 TIMES AMAR
    "\u12059",  # CUNEIFORM SIGN DAG KISIM5 TIMES BALAG
    "\u1205A",  # CUNEIFORM SIGN DAG KISIM5 TIMES BI
    "\u1205B",  # CUNEIFORM SIGN DAG KISIM5 TIMES GA
    "\u1205C",  # CUNEIFORM SIGN DAG KISIM5 TIMES GA PLUS MASH
    "\u1205D",  # CUNEIFORM SIGN DAG KISIM5 TIMES GI
    "\u1205E",  # CUNEIFORM SIGN DAG KISIM5 TIMES GIR2
    "\u1205F",  # CUNEIFORM SIGN DAG KISIM5 TIMES GUD
    "\u12060",  # CUNEIFORM SIGN DAG KISIM5 TIMES HA
    "\u12061",  # CUNEIFORM SIGN DAG KISIM5 TIMES IR
    "\u12062",  # CUNEIFORM SIGN DAG KISIM5 TIMES IR PLUS LU
    "\u12063",  # CUNEIFORM SIGN DAG KISIM5 TIMES KAK
    "\u12064",  # CUNEIFORM SIGN DAG KISIM5 TIMES LA
    "\u12065",  # CUNEIFORM SIGN DAG KISIM5 TIMES LU
    "\u12066",  # CUNEIFORM SIGN DAG KISIM5 TIMES LU PLUS MASH2
    "\u12067",  # CUNEIFORM SIGN DAG KISIM5 TIMES LUM
    "\u12068",  # CUNEIFORM SIGN DAG KISIM5 TIMES NE
    "\u12069",  # CUNEIFORM SIGN DAG KISIM5 TIMES PAP PLUS PAP
    "\u1206A",  # CUNEIFORM SIGN DAG KISIM5 TIMES SI
    "\u1206B",  # CUNEIFORM SIGN DAG KISIM5 TIMES TAK4
    "\u1206C",  # CUNEIFORM SIGN DAG KISIM5 TIMES U2 PLUS GIR2
    "\u1206D",  # CUNEIFORM SIGN DAG KISIM5 TIMES USH
    "\u1206E",  # CUNEIFORM SIGN DAM
    "\u1206F",  # CUNEIFORM SIGN DAR
    "\u12070",  # CUNEIFORM SIGN DARA3
    "\u12071",  # CUNEIFORM SIGN DARA4
    "\u12072",  # CUNEIFORM SIGN DI
    "\u12073",  # CUNEIFORM SIGN DIB
    "\u12074",  # CUNEIFORM SIGN DIM
    "\u12075",  # CUNEIFORM SIGN DIM TIMES SHE
    "\u12076",  # CUNEIFORM SIGN DIM2
    "\u12077",  # CUNEIFORM SIGN DIN
    "\u12078",  # CUNEIFORM SIGN DIN KASKAL U GUNU DISH
    "\u12079",  # CUNEIFORM SIGN DISH
    "\u1207A",  # CUNEIFORM SIGN DU
    "\u1207B",  # CUNEIFORM SIGN DU OVER DU
    "\u1207C",  # CUNEIFORM SIGN DU GUNU
    "\u1207D",  # CUNEIFORM SIGN DU SHESHIG
    "\u1207E",  # CUNEIFORM SIGN DUB
    "\u1207F",  # CUNEIFORM SIGN DUB TIMES ESH2
    "\u12080",  # CUNEIFORM SIGN DUB2
    "\u12081",  # CUNEIFORM SIGN DUG
    "\u12082",  # CUNEIFORM SIGN DUGUD
    "\u12083",  # CUNEIFORM SIGN DUH
    "\u12084",  # CUNEIFORM SIGN DUN
    "\u12085",  # CUNEIFORM SIGN DUN3
    "\u12086",  # CUNEIFORM SIGN DUN3 GUNU
    "\u12087",  # CUNEIFORM SIGN DUN3 GUNU GUNU
    "\u12088",  # CUNEIFORM SIGN DUN4
    "\u12089",  # CUNEIFORM SIGN DUR2
    "\u1208A",  # CUNEIFORM SIGN E
    "\u1208B",  # CUNEIFORM SIGN E TIMES PAP
    "\u1208C",  # CUNEIFORM SIGN E OVER E NUN OVER NUN
    "\u1208D",  # CUNEIFORM SIGN E2
    "\u1208E",  # CUNEIFORM SIGN E2 TIMES A PLUS HA PLUS DA
    "\u1208F",  # CUNEIFORM SIGN E2 TIMES GAR
    "\u12090",  # CUNEIFORM SIGN E2 TIMES MI
    "\u12091",  # CUNEIFORM SIGN E2 TIMES SAL
    "\u12092",  # CUNEIFORM SIGN E2 TIMES SHE
    "\u12093",  # CUNEIFORM SIGN E2 TIMES U
    "\u12094",  # CUNEIFORM SIGN EDIN
    "\u12095",  # CUNEIFORM SIGN EGIR
    "\u12096",  # CUNEIFORM SIGN EL
    "\u12097",  # CUNEIFORM SIGN EN
    "\u12098",  # CUNEIFORM SIGN EN TIMES GAN2
    "\u12099",  # CUNEIFORM SIGN EN TIMES GAN2 TENU
    "\u1209A",  # CUNEIFORM SIGN EN TIMES ME
    "\u1209B",  # CUNEIFORM SIGN EN CROSSING EN
    "\u1209C",  # CUNEIFORM SIGN EN OPPOSING EN
    "\u1209D",  # CUNEIFORM SIGN EN SQUARED
    "\u1209E",  # CUNEIFORM SIGN EREN
    "\u1209F",  # CUNEIFORM SIGN ERIN2
    "\u120A0",  # CUNEIFORM SIGN ESH2
    "\u120A1",  # CUNEIFORM SIGN EZEN
    "\u120A2",  # CUNEIFORM SIGN EZEN TIMES A
    "\u120A3",  # CUNEIFORM SIGN EZEN TIMES A PLUS LAL
    "\u120A4",  # CUNEIFORM SIGN EZEN TIMES A PLUS LAL TIMES LAL
    "\u120A5",  # CUNEIFORM SIGN EZEN TIMES AN
    "\u120A6",  # CUNEIFORM SIGN EZEN TIMES BAD
    "\u120A7",  # CUNEIFORM SIGN EZEN TIMES DUN3 GUNU
    "\u120A8",  # CUNEIFORM SIGN EZEN TIMES DUN3 GUNU GUNU
    "\u120A9",  # CUNEIFORM SIGN EZEN TIMES HA
    "\u120AA",  # CUNEIFORM SIGN EZEN TIMES HA GUNU
    "\u120AB",  # CUNEIFORM SIGN EZEN TIMES IGI GUNU
    "\u120AC",  # CUNEIFORM SIGN EZEN TIMES KASKAL
    "\u120AD",  # CUNEIFORM SIGN EZEN TIMES KASKAL SQUARED
    "\u120AE",  # CUNEIFORM SIGN EZEN TIMES KU3
    "\u120AF",  # CUNEIFORM SIGN EZEN TIMES LA
    "\u120B0",  # CUNEIFORM SIGN EZEN TIMES LAL TIMES LAL
    "\u120B1",  # CUNEIFORM SIGN EZEN TIMES LI
    "\u120B2",  # CUNEIFORM SIGN EZEN TIMES LU
    "\u120B3",  # CUNEIFORM SIGN EZEN TIMES U2
    "\u120B4",  # CUNEIFORM SIGN EZEN TIMES UD
    "\u120B5",  # CUNEIFORM SIGN GA
    "\u120B6",  # CUNEIFORM SIGN GA GUNU
    "\u120B7",  # CUNEIFORM SIGN GA2
    "\u120B8",  # CUNEIFORM SIGN GA2 TIMES A PLUS DA PLUS HA
    "\u120B9",  # CUNEIFORM SIGN GA2 TIMES A PLUS HA
    "\u120BA",  # CUNEIFORM SIGN GA2 TIMES A PLUS IGI
    "\u120BB",  # CUNEIFORM SIGN GA2 TIMES AB2 TENU PLUS TAB
    "\u120BC",  # CUNEIFORM SIGN GA2 TIMES AN
    "\u120BD",  # CUNEIFORM SIGN GA2 TIMES ASH
    "\u120BE",  # CUNEIFORM SIGN GA2 TIMES ASH2 PLUS GAL
    "\u120BF",  # CUNEIFORM SIGN GA2 TIMES BAD
    "\u120C0",  # CUNEIFORM SIGN GA2 TIMES BAR PLUS RA
    "\u120C1",  # CUNEIFORM SIGN GA2 TIMES BUR
    "\u120C2",  # CUNEIFORM SIGN GA2 TIMES BUR PLUS RA
    "\u120C3",  # CUNEIFORM SIGN GA2 TIMES DA
    "\u120C4",  # CUNEIFORM SIGN GA2 TIMES DI
    "\u120C5",  # CUNEIFORM SIGN GA2 TIMES DIM TIMES SHE
    "\u120C6",  # CUNEIFORM SIGN GA2 TIMES DUB
    "\u120C7",  # CUNEIFORM SIGN GA2 TIMES EL
    "\u120C8",  # CUNEIFORM SIGN GA2 TIMES EL PLUS LA
    "\u120C9",  # CUNEIFORM SIGN GA2 TIMES EN
    "\u120CA",  # CUNEIFORM SIGN GA2 TIMES EN TIMES GAN2 TENU
    "\u120CB",  # CUNEIFORM SIGN GA2 TIMES GAN2 TENU
    "\u120CC",  # CUNEIFORM SIGN GA2 TIMES GAR
    "\u120CD",  # CUNEIFORM SIGN GA2 TIMES GI
    "\u120CE",  # CUNEIFORM SIGN GA2 TIMES GI4
    "\u120CF",  # CUNEIFORM SIGN GA2 TIMES GI4 PLUS A
    "\u120D0",  # CUNEIFORM SIGN GA2 TIMES GIR2 PLUS SU
    "\u120D1",  # CUNEIFORM SIGN GA2 TIMES HA PLUS LU PLUS ESH2
    "\u120D2",  # CUNEIFORM SIGN GA2 TIMES HAL
    "\u120D3",  # CUNEIFORM SIGN GA2 TIMES HAL PLUS LA
    "\u120D4",  # CUNEIFORM SIGN GA2 TIMES HI PLUS LI
    "\u120D5",  # CUNEIFORM SIGN GA2 TIMES HUB2
    "\u120D6",  # CUNEIFORM SIGN GA2 TIMES IGI GUNU
    "\u120D7",  # CUNEIFORM SIGN GA2 TIMES ISH PLUS HU PLUS ASH
    "\u120D8",  # CUNEIFORM SIGN GA2 TIMES KAK
    "\u120D9",  # CUNEIFORM SIGN GA2 TIMES KASKAL
    "\u120DA",  # CUNEIFORM SIGN GA2 TIMES KID
    "\u120DB",  # CUNEIFORM SIGN GA2 TIMES KID PLUS LAL
    "\u120DC",  # CUNEIFORM SIGN GA2 TIMES KU3 PLUS AN
    "\u120DD",  # CUNEIFORM SIGN GA2 TIMES LA
    "\u120DE",  # CUNEIFORM SIGN GA2 TIMES ME PLUS EN
    "\u120DF",  # CUNEIFORM SIGN GA2 TIMES MI
    "\u120E0",  # CUNEIFORM SIGN GA2 TIMES NUN
    "\u120E1",  # CUNEIFORM SIGN GA2 TIMES NUN OVER NUN
    "\u120E2",  # CUNEIFORM SIGN GA2 TIMES PA
    "\u120E3",  # CUNEIFORM SIGN GA2 TIMES SAL
    "\u120E4",  # CUNEIFORM SIGN GA2 TIMES SAR
    "\u120E5",  # CUNEIFORM SIGN GA2 TIMES SHE
    "\u120E6",  # CUNEIFORM SIGN GA2 TIMES SHE PLUS TUR
    "\u120E7",  # CUNEIFORM SIGN GA2 TIMES SHID
    "\u120E8",  # CUNEIFORM SIGN GA2 TIMES SUM
    "\u120E9",  # CUNEIFORM SIGN GA2 TIMES TAK4
    "\u120EA",  # CUNEIFORM SIGN GA2 TIMES U
    "\u120EB",  # CUNEIFORM SIGN GA2 TIMES UD
    "\u120EC",  # CUNEIFORM SIGN GA2 TIMES UD PLUS DU
    "\u120ED",  # CUNEIFORM SIGN GA2 OVER GA2
    "\u120EE",  # CUNEIFORM SIGN GABA
    "\u120EF",  # CUNEIFORM SIGN GABA CROSSING GABA
    "\u120F0",  # CUNEIFORM SIGN GAD
    "\u120F1",  # CUNEIFORM SIGN GAD OVER GAD GAR OVER GAR
    "\u120F2",  # CUNEIFORM SIGN GAL
    "\u120F3",  # CUNEIFORM SIGN GAL GAD OVER GAD GAR OVER GAR
    "\u120F4",  # CUNEIFORM SIGN GALAM
    "\u120F5",  # CUNEIFORM SIGN GAM
    "\u120F6",  # CUNEIFORM SIGN GAN
    "\u120F7",  # CUNEIFORM SIGN GAN2
    "\u120F8",  # CUNEIFORM SIGN GAN2 TENU
    "\u120F9",  # CUNEIFORM SIGN GAN2 OVER GAN2
    "\u120FA",  # CUNEIFORM SIGN GAN2 CROSSING GAN2
    "\u120FB",  # CUNEIFORM SIGN GAR
    "\u120FC",  # CUNEIFORM SIGN GAR3
    "\u120FD",  # CUNEIFORM SIGN GASHAN
    "\u120FE",  # CUNEIFORM SIGN GESHTIN
    "\u120FF",  # CUNEIFORM SIGN GESHTIN TIMES KUR
    "\u12100",  # CUNEIFORM SIGN GI
    "\u12101",  # CUNEIFORM SIGN GI TIMES E
    "\u12102",  # CUNEIFORM SIGN GI TIMES U
    "\u12103",  # CUNEIFORM SIGN GI CROSSING GI
    "\u12104",  # CUNEIFORM SIGN GI4
    "\u12105",  # CUNEIFORM SIGN GI4 OVER GI4
    "\u12106",  # CUNEIFORM SIGN GI4 CROSSING GI4
    "\u12107",  # CUNEIFORM SIGN GIDIM
    "\u12108",  # CUNEIFORM SIGN GIR2
    "\u12109",  # CUNEIFORM SIGN GIR2 GUNU
    "\u1210A",  # CUNEIFORM SIGN GIR3
    "\u1210B",  # CUNEIFORM SIGN GIR3 TIMES A PLUS IGI
    "\u1210C",  # CUNEIFORM SIGN GIR3 TIMES GAN2 TENU
    "\u1210D",  # CUNEIFORM SIGN GIR3 TIMES IGI
    "\u1210E",  # CUNEIFORM SIGN GIR3 TIMES LU PLUS IGI
    "\u1210F",  # CUNEIFORM SIGN GIR3 TIMES PA
    "\u12110",  # CUNEIFORM SIGN GISAL
    "\u12111",  # CUNEIFORM SIGN GISH
    "\u12112",  # CUNEIFORM SIGN GISH CROSSING GISH
    "\u12113",  # CUNEIFORM SIGN GISH TIMES BAD
    "\u12114",  # CUNEIFORM SIGN GISH TIMES TAK4
    "\u12115",  # CUNEIFORM SIGN GISH TENU
    "\u12116",  # CUNEIFORM SIGN GU
    "\u12117",  # CUNEIFORM SIGN GU CROSSING GU
    "\u12118",  # CUNEIFORM SIGN GU2
    "\u12119",  # CUNEIFORM SIGN GU2 TIMES KAK
    "\u1211A",  # CUNEIFORM SIGN GU2 TIMES KAK TIMES IGI GUNU
    "\u1211B",  # CUNEIFORM SIGN GU2 TIMES NUN
    "\u1211C",  # CUNEIFORM SIGN GU2 TIMES SAL PLUS TUG2
    "\u1211D",  # CUNEIFORM SIGN GU2 GUNU
    "\u1211E",  # CUNEIFORM SIGN GUD
    "\u1211F",  # CUNEIFORM SIGN GUD TIMES A PLUS KUR
    "\u12120",  # CUNEIFORM SIGN GUD TIMES KUR
    "\u12121",  # CUNEIFORM SIGN GUD OVER GUD LUGAL
    "\u12122",  # CUNEIFORM SIGN GUL
    "\u12123",  # CUNEIFORM SIGN GUM
    "\u12124",  # CUNEIFORM SIGN GUM TIMES SHE
    "\u12125",  # CUNEIFORM SIGN GUR
    "\u12126",  # CUNEIFORM SIGN GUR7
    "\u12127",  # CUNEIFORM SIGN GURUN
    "\u12128",  # CUNEIFORM SIGN GURUSH
    "\u12129",  # CUNEIFORM SIGN HA
    "\u1212A",  # CUNEIFORM SIGN HA TENU
    "\u1212B",  # CUNEIFORM SIGN HA GUNU
    "\u1212C",  # CUNEIFORM SIGN HAL
    "\u1212D",  # CUNEIFORM SIGN HI
    "\u1212E",  # CUNEIFORM SIGN HI TIMES ASH
    "\u1212F",  # CUNEIFORM SIGN HI TIMES ASH2
    "\u12130",  # CUNEIFORM SIGN HI TIMES BAD
    "\u12131",  # CUNEIFORM SIGN HI TIMES DISH
    "\u12132",  # CUNEIFORM SIGN HI TIMES GAD
    "\u12133",  # CUNEIFORM SIGN HI TIMES KIN
    "\u12134",  # CUNEIFORM SIGN HI TIMES NUN
    "\u12135",  # CUNEIFORM SIGN HI TIMES SHE
    "\u12136",  # CUNEIFORM SIGN HI TIMES U
    "\u12137",  # CUNEIFORM SIGN HU
    "\u12138",  # CUNEIFORM SIGN HUB2
    "\u12139",  # CUNEIFORM SIGN HUB2 TIMES AN
    "\u1213A",  # CUNEIFORM SIGN HUB2 TIMES HAL
    "\u1213B",  # CUNEIFORM SIGN HUB2 TIMES KASKAL
    "\u1213C",  # CUNEIFORM SIGN HUB2 TIMES LISH
    "\u1213D",  # CUNEIFORM SIGN HUB2 TIMES UD
    "\u1213E",  # CUNEIFORM SIGN HUL2
    "\u1213F",  # CUNEIFORM SIGN I
    "\u12140",  # CUNEIFORM SIGN I A
    "\u12141",  # CUNEIFORM SIGN IB
    "\u12142",  # CUNEIFORM SIGN IDIM
    "\u12143",  # CUNEIFORM SIGN IDIM OVER IDIM BUR
    "\u12144",  # CUNEIFORM SIGN IDIM OVER IDIM SQUARED
    "\u12145",  # CUNEIFORM SIGN IG
    "\u12146",  # CUNEIFORM SIGN IGI
    "\u12147",  # CUNEIFORM SIGN IGI DIB
    "\u12148",  # CUNEIFORM SIGN IGI RI
    "\u12149",  # CUNEIFORM SIGN IGI OVER IGI SHIR OVER SHIR UD OVER UD
    "\u1214A",  # CUNEIFORM SIGN IGI GUNU
    "\u1214B",  # CUNEIFORM SIGN IL
    "\u1214C",  # CUNEIFORM SIGN IL TIMES GAN2 TENU
    "\u1214D",  # CUNEIFORM SIGN IL2
    "\u1214E",  # CUNEIFORM SIGN IM
    "\u1214F",  # CUNEIFORM SIGN IM TIMES TAK4
    "\u12150",  # CUNEIFORM SIGN IM CROSSING IM
    "\u12151",  # CUNEIFORM SIGN IM OPPOSING IM
    "\u12152",  # CUNEIFORM SIGN IM SQUARED
    "\u12153",  # CUNEIFORM SIGN IMIN
    "\u12154",  # CUNEIFORM SIGN IN
    "\u12155",  # CUNEIFORM SIGN IR
    "\u12156",  # CUNEIFORM SIGN ISH
    "\u12157",  # CUNEIFORM SIGN KA
    "\u12158",  # CUNEIFORM SIGN KA TIMES A
    "\u12159",  # CUNEIFORM SIGN KA TIMES AD
    "\u1215A",  # CUNEIFORM SIGN KA TIMES AD PLUS KU3
    "\u1215B",  # CUNEIFORM SIGN KA TIMES ASH2
    "\u1215C",  # CUNEIFORM SIGN KA TIMES BAD
    "\u1215D",  # CUNEIFORM SIGN KA TIMES BALAG
    "\u1215E",  # CUNEIFORM SIGN KA TIMES BAR
    "\u1215F",  # CUNEIFORM SIGN KA TIMES BI
    "\u12160",  # CUNEIFORM SIGN KA TIMES ERIN2
    "\u12161",  # CUNEIFORM SIGN KA TIMES ESH2
    "\u12162",  # CUNEIFORM SIGN KA TIMES GA
    "\u12163",  # CUNEIFORM SIGN KA TIMES GAL
    "\u12164",  # CUNEIFORM SIGN KA TIMES GAN2 TENU
    "\u12165",  # CUNEIFORM SIGN KA TIMES GAR
    "\u12166",  # CUNEIFORM SIGN KA TIMES GAR PLUS SHA3 PLUS A
    "\u12167",  # CUNEIFORM SIGN KA TIMES GI
    "\u12168",  # CUNEIFORM SIGN KA TIMES GIR2
    "\u12169",  # CUNEIFORM SIGN KA TIMES GISH PLUS SAR
    "\u1216A",  # CUNEIFORM SIGN KA TIMES GISH CROSSING GISH
    "\u1216B",  # CUNEIFORM SIGN KA TIMES GU
    "\u1216C",  # CUNEIFORM SIGN KA TIMES GUR7
    "\u1216D",  # CUNEIFORM SIGN KA TIMES IGI
    "\u1216E",  # CUNEIFORM SIGN KA TIMES IM
    "\u1216F",  # CUNEIFORM SIGN KA TIMES KAK
    "\u12170",  # CUNEIFORM SIGN KA TIMES KI
    "\u12171",  # CUNEIFORM SIGN KA TIMES KID
    "\u12172",  # CUNEIFORM SIGN KA TIMES LI
    "\u12173",  # CUNEIFORM SIGN KA TIMES LU
    "\u12174",  # CUNEIFORM SIGN KA TIMES ME
    "\u12175",  # CUNEIFORM SIGN KA TIMES ME PLUS DU
    "\u12176",  # CUNEIFORM SIGN KA TIMES ME PLUS GI
    "\u12177",  # CUNEIFORM SIGN KA TIMES ME PLUS TE
    "\u12178",  # CUNEIFORM SIGN KA TIMES MI
    "\u12179",  # CUNEIFORM SIGN KA TIMES MI PLUS NUNUZ
    "\u1217A",  # CUNEIFORM SIGN KA TIMES NE
    "\u1217B",  # CUNEIFORM SIGN KA TIMES NUN
    "\u1217C",  # CUNEIFORM SIGN KA TIMES PI
    "\u1217D",  # CUNEIFORM SIGN KA TIMES RU
    "\u1217E",  # CUNEIFORM SIGN KA TIMES SA
    "\u1217F",  # CUNEIFORM SIGN KA TIMES SAR
    "\u12180",  # CUNEIFORM SIGN KA TIMES SHA
    "\u12181",  # CUNEIFORM SIGN KA TIMES SHE
    "\u12182",  # CUNEIFORM SIGN KA TIMES SHID
    "\u12183",  # CUNEIFORM SIGN KA TIMES SHU
    "\u12184",  # CUNEIFORM SIGN KA TIMES SIG
    "\u12185",  # CUNEIFORM SIGN KA TIMES SUHUR
    "\u12186",  # CUNEIFORM SIGN KA TIMES TAR
    "\u12187",  # CUNEIFORM SIGN KA TIMES U
    "\u12188",  # CUNEIFORM SIGN KA TIMES U2
    "\u12189",  # CUNEIFORM SIGN KA TIMES UD
    "\u1218A",  # CUNEIFORM SIGN KA TIMES UMUM TIMES PA
    "\u1218B",  # CUNEIFORM SIGN KA TIMES USH
    "\u1218C",  # CUNEIFORM SIGN KA TIMES ZI
    "\u1218D",  # CUNEIFORM SIGN KA2
    "\u1218E",  # CUNEIFORM SIGN KA2 CROSSING KA2
    "\u1218F",  # CUNEIFORM SIGN KAB
    "\u12190",  # CUNEIFORM SIGN KAD2
    "\u12191",  # CUNEIFORM SIGN KAD3
    "\u12192",  # CUNEIFORM SIGN KAD4
    "\u12193",  # CUNEIFORM SIGN KAD5
    "\u12194",  # CUNEIFORM SIGN KAD5 OVER KAD5
    "\u12195",  # CUNEIFORM SIGN KAK
    "\u12196",  # CUNEIFORM SIGN KAK TIMES IGI GUNU
    "\u12197",  # CUNEIFORM SIGN KAL
    "\u12198",  # CUNEIFORM SIGN KAL TIMES BAD
    "\u12199",  # CUNEIFORM SIGN KAL CROSSING KAL
    "\u1219A",  # CUNEIFORM SIGN KAM2
    "\u1219B",  # CUNEIFORM SIGN KAM4
    "\u1219C",  # CUNEIFORM SIGN KASKAL
    "\u1219D",  # CUNEIFORM SIGN KASKAL LAGAB TIMES U OVER LAGAB TIMES U
    "\u1219E",  # CUNEIFORM SIGN KASKAL OVER KASKAL LAGAB TIMES U OVER LAGAB TIMES U
    "\u1219F",  # CUNEIFORM SIGN KESH2
    "\u121A0",  # CUNEIFORM SIGN KI
    "\u121A1",  # CUNEIFORM SIGN KI TIMES BAD
    "\u121A2",  # CUNEIFORM SIGN KI TIMES U
    "\u121A3",  # CUNEIFORM SIGN KI TIMES UD
    "\u121A4",  # CUNEIFORM SIGN KID
    "\u121A5",  # CUNEIFORM SIGN KIN
    "\u121A6",  # CUNEIFORM SIGN KISAL
    "\u121A7",  # CUNEIFORM SIGN KISH
    "\u121A8",  # CUNEIFORM SIGN KISIM5
    "\u121A9",  # CUNEIFORM SIGN KISIM5 OVER KISIM5
    "\u121AA",  # CUNEIFORM SIGN KU
    "\u121AB",  # CUNEIFORM SIGN KU OVER HI TIMES ASH2 KU OVER HI TIMES ASH2
    "\u121AC",  # CUNEIFORM SIGN KU3
    "\u121AD",  # CUNEIFORM SIGN KU4
    "\u121AE",  # CUNEIFORM SIGN KU4 VARIANT FORM
    "\u121AF",  # CUNEIFORM SIGN KU7
    "\u121B0",  # CUNEIFORM SIGN KUL
    "\u121B1",  # CUNEIFORM SIGN KUL GUNU
    "\u121B2",  # CUNEIFORM SIGN KUN
    "\u121B3",  # CUNEIFORM SIGN KUR
    "\u121B4",  # CUNEIFORM SIGN KUR OPPOSING KUR
    "\u121B5",  # CUNEIFORM SIGN KUSHU2
    "\u121B6",  # CUNEIFORM SIGN KWU318
    "\u121B7",  # CUNEIFORM SIGN LA
    "\u121B8",  # CUNEIFORM SIGN LAGAB
    "\u121B9",  # CUNEIFORM SIGN LAGAB TIMES A
    "\u121BA",  # CUNEIFORM SIGN LAGAB TIMES A PLUS DA PLUS HA
    "\u121BB",  # CUNEIFORM SIGN LAGAB TIMES A PLUS GAR
    "\u121BC",  # CUNEIFORM SIGN LAGAB TIMES A PLUS LAL
    "\u121BD",  # CUNEIFORM SIGN LAGAB TIMES AL
    "\u121BE",  # CUNEIFORM SIGN LAGAB TIMES AN
    "\u121BF",  # CUNEIFORM SIGN LAGAB TIMES ASH ZIDA TENU
    "\u121C0",  # CUNEIFORM SIGN LAGAB TIMES BAD
    "\u121C1",  # CUNEIFORM SIGN LAGAB TIMES BI
    "\u121C2",  # CUNEIFORM SIGN LAGAB TIMES DAR
    "\u121C3",  # CUNEIFORM SIGN LAGAB TIMES EN
    "\u121C4",  # CUNEIFORM SIGN LAGAB TIMES GA
    "\u121C5",  # CUNEIFORM SIGN LAGAB TIMES GAR
    "\u121C6",  # CUNEIFORM SIGN LAGAB TIMES GUD
    "\u121C7",  # CUNEIFORM SIGN LAGAB TIMES GUD PLUS GUD
    "\u121C8",  # CUNEIFORM SIGN LAGAB TIMES HA
    "\u121C9",  # CUNEIFORM SIGN LAGAB TIMES HAL
    "\u121CA",  # CUNEIFORM SIGN LAGAB TIMES HI TIMES NUN
    "\u121CB",  # CUNEIFORM SIGN LAGAB TIMES IGI GUNU
    "\u121CC",  # CUNEIFORM SIGN LAGAB TIMES IM
    "\u121CD",  # CUNEIFORM SIGN LAGAB TIMES IM PLUS HA
    "\u121CE",  # CUNEIFORM SIGN LAGAB TIMES IM PLUS LU
    "\u121CF",  # CUNEIFORM SIGN LAGAB TIMES KI
    "\u121D0",  # CUNEIFORM SIGN LAGAB TIMES KIN
    "\u121D1",  # CUNEIFORM SIGN LAGAB TIMES KU3
    "\u121D2",  # CUNEIFORM SIGN LAGAB TIMES KUL
    "\u121D3",  # CUNEIFORM SIGN LAGAB TIMES KUL PLUS HI PLUS A
    "\u121D4",  # CUNEIFORM SIGN LAGAB TIMES LAGAB
    "\u121D5",  # CUNEIFORM SIGN LAGAB TIMES LISH
    "\u121D6",  # CUNEIFORM SIGN LAGAB TIMES LU
    "\u121D7",  # CUNEIFORM SIGN LAGAB TIMES LUL
    "\u121D8",  # CUNEIFORM SIGN LAGAB TIMES ME
    "\u121D9",  # CUNEIFORM SIGN LAGAB TIMES ME PLUS EN
    "\u121DA",  # CUNEIFORM SIGN LAGAB TIMES MUSH
    "\u121DB",  # CUNEIFORM SIGN LAGAB TIMES NE
    "\u121DC",  # CUNEIFORM SIGN LAGAB TIMES SHE PLUS SUM
    "\u121DD",  # CUNEIFORM SIGN LAGAB TIMES SHITA PLUS GISH PLUS ERIN2
    "\u121DE",  # CUNEIFORM SIGN LAGAB TIMES SHITA PLUS GISH TENU
    "\u121DF",  # CUNEIFORM SIGN LAGAB TIMES SHU2
    "\u121E0",  # CUNEIFORM SIGN LAGAB TIMES SHU2 PLUS SHU2
    "\u121E1",  # CUNEIFORM SIGN LAGAB TIMES SUM
    "\u121E2",  # CUNEIFORM SIGN LAGAB TIMES TAG
    "\u121E3",  # CUNEIFORM SIGN LAGAB TIMES TAK4
    "\u121E4",  # CUNEIFORM SIGN LAGAB TIMES TE PLUS A PLUS SU PLUS NA
    "\u121E5",  # CUNEIFORM SIGN LAGAB TIMES U
    "\u121E6",  # CUNEIFORM SIGN LAGAB TIMES U PLUS A
    "\u121E7",  # CUNEIFORM SIGN LAGAB TIMES U PLUS U PLUS U
    "\u121E8",  # CUNEIFORM SIGN LAGAB TIMES U2 PLUS ASH
    "\u121E9",  # CUNEIFORM SIGN LAGAB TIMES UD
    "\u121EA",  # CUNEIFORM SIGN LAGAB TIMES USH
    "\u121EB",  # CUNEIFORM SIGN LAGAB SQUARED
    "\u121EC",  # CUNEIFORM SIGN LAGAR
    "\u121ED",  # CUNEIFORM SIGN LAGAR TIMES SHE
    "\u121EE",  # CUNEIFORM SIGN LAGAR TIMES SHE PLUS SUM
    "\u121EF",  # CUNEIFORM SIGN LAGAR GUNU
    "\u121F0",  # CUNEIFORM SIGN LAGAR GUNU OVER LAGAR GUNU SHE
    "\u121F1",  # CUNEIFORM SIGN LAHSHU
    "\u121F2",  # CUNEIFORM SIGN LAL
    "\u121F3",  # CUNEIFORM SIGN LAL TIMES LAL
    "\u121F4",  # CUNEIFORM SIGN LAM
    "\u121F5",  # CUNEIFORM SIGN LAM TIMES KUR
    "\u121F6",  # CUNEIFORM SIGN LAM TIMES KUR PLUS RU
    "\u121F7",  # CUNEIFORM SIGN LI
    "\u121F8",  # CUNEIFORM SIGN LIL
    "\u121F9",  # CUNEIFORM SIGN LIMMU2
    "\u121FA",  # CUNEIFORM SIGN LISH
    "\u121FB",  # CUNEIFORM SIGN LU
    "\u121FC",  # CUNEIFORM SIGN LU TIMES BAD
    "\u121FD",  # CUNEIFORM SIGN LU2
    "\u121FE",  # CUNEIFORM SIGN LU2 TIMES AL
    "\u121FF",  # CUNEIFORM SIGN LU2 TIMES BAD
    "\u12200",  # CUNEIFORM SIGN LU2 TIMES ESH2
    "\u12201",  # CUNEIFORM SIGN LU2 TIMES ESH2 TENU
    "\u12202",  # CUNEIFORM SIGN LU2 TIMES GAN2 TENU
    "\u12203",  # CUNEIFORM SIGN LU2 TIMES HI TIMES BAD
    "\u12204",  # CUNEIFORM SIGN LU2 TIMES IM
    "\u12205",  # CUNEIFORM SIGN LU2 TIMES KAD2
    "\u12206",  # CUNEIFORM SIGN LU2 TIMES KAD3
    "\u12207",  # CUNEIFORM SIGN LU2 TIMES KAD3 PLUS ASH
    "\u12208",  # CUNEIFORM SIGN LU2 TIMES KI
    "\u12209",  # CUNEIFORM SIGN LU2 TIMES LA PLUS ASH
    "\u1220A",  # CUNEIFORM SIGN LU2 TIMES LAGAB
    "\u1220B",  # CUNEIFORM SIGN LU2 TIMES ME PLUS EN
    "\u1220C",  # CUNEIFORM SIGN LU2 TIMES NE
    "\u1220D",  # CUNEIFORM SIGN LU2 TIMES NU
    "\u1220E",  # CUNEIFORM SIGN LU2 TIMES SI PLUS ASH
    "\u1220F",  # CUNEIFORM SIGN LU2 TIMES SIK2 PLUS BU
    "\u12210",  # CUNEIFORM SIGN LU2 TIMES TUG2
    "\u12211",  # CUNEIFORM SIGN LU2 TENU
    "\u12212",  # CUNEIFORM SIGN LU2 CROSSING LU2
    "\u12213",  # CUNEIFORM SIGN LU2 OPPOSING LU2
    "\u12214",  # CUNEIFORM SIGN LU2 SQUARED
    "\u12215",  # CUNEIFORM SIGN LU2 SHESHIG
    "\u12216",  # CUNEIFORM SIGN LU3
    "\u12217",  # CUNEIFORM SIGN LUGAL
    "\u12218",  # CUNEIFORM SIGN LUGAL OVER LUGAL
    "\u12219",  # CUNEIFORM SIGN LUGAL OPPOSING LUGAL
    "\u1221A",  # CUNEIFORM SIGN LUGAL SHESHIG
    "\u1221B",  # CUNEIFORM SIGN LUH
    "\u1221C",  # CUNEIFORM SIGN LUL
    "\u1221D",  # CUNEIFORM SIGN LUM
    "\u1221E",  # CUNEIFORM SIGN LUM OVER LUM
    "\u1221F",  # CUNEIFORM SIGN LUM OVER LUM GAR OVER GAR
    "\u12220",  # CUNEIFORM SIGN MA
    "\u12221",  # CUNEIFORM SIGN MA TIMES TAK4
    "\u12222",  # CUNEIFORM SIGN MA GUNU
    "\u12223",  # CUNEIFORM SIGN MA2
    "\u12224",  # CUNEIFORM SIGN MAH
    "\u12225",  # CUNEIFORM SIGN MAR
    "\u12226",  # CUNEIFORM SIGN MASH
    "\u12227",  # CUNEIFORM SIGN MASH2
    "\u12228",  # CUNEIFORM SIGN ME
    "\u12229",  # CUNEIFORM SIGN MES
    "\u1222A",  # CUNEIFORM SIGN MI
    "\u1222B",  # CUNEIFORM SIGN MIN
    "\u1222C",  # CUNEIFORM SIGN MU
    "\u1222D",  # CUNEIFORM SIGN MU OVER MU
    "\u1222E",  # CUNEIFORM SIGN MUG
    "\u1222F",  # CUNEIFORM SIGN MUG GUNU
    "\u12230",  # CUNEIFORM SIGN MUNSUB
    "\u12231",  # CUNEIFORM SIGN MURGU2
    "\u12232",  # CUNEIFORM SIGN MUSH
    "\u12233",  # CUNEIFORM SIGN MUSH TIMES A
    "\u12234",  # CUNEIFORM SIGN MUSH TIMES KUR
    "\u12235",  # CUNEIFORM SIGN MUSH TIMES ZA
    "\u12236",  # CUNEIFORM SIGN MUSH OVER MUSH
    "\u12237",  # CUNEIFORM SIGN MUSH OVER MUSH TIMES A PLUS NA
    "\u12238",  # CUNEIFORM SIGN MUSH CROSSING MUSH
    "\u12239",  # CUNEIFORM SIGN MUSH3
    "\u1223A",  # CUNEIFORM SIGN MUSH3 TIMES A
    "\u1223B",  # CUNEIFORM SIGN MUSH3 TIMES A PLUS DI
    "\u1223C",  # CUNEIFORM SIGN MUSH3 TIMES DI
    "\u1223D",  # CUNEIFORM SIGN MUSH3 GUNU
    "\u1223E",  # CUNEIFORM SIGN NA
    "\u1223F",  # CUNEIFORM SIGN NA2
    "\u12240",  # CUNEIFORM SIGN NAGA
    "\u12241",  # CUNEIFORM SIGN NAGA INVERTED
    "\u12242",  # CUNEIFORM SIGN NAGA TIMES SHU TENU
    "\u12243",  # CUNEIFORM SIGN NAGA OPPOSING NAGA
    "\u12244",  # CUNEIFORM SIGN NAGAR
    "\u12245",  # CUNEIFORM SIGN NAM NUTILLU
    "\u12246",  # CUNEIFORM SIGN NAM
    "\u12247",  # CUNEIFORM SIGN NAM2
    "\u12248",  # CUNEIFORM SIGN NE
    "\u12249",  # CUNEIFORM SIGN NE TIMES A
    "\u1224A",  # CUNEIFORM SIGN NE TIMES UD
    "\u1224B",  # CUNEIFORM SIGN NE SHESHIG
    "\u1224C",  # CUNEIFORM SIGN NI
    "\u1224D",  # CUNEIFORM SIGN NI TIMES E
    "\u1224E",  # CUNEIFORM SIGN NI2
    "\u1224F",  # CUNEIFORM SIGN NIM
    "\u12250",  # CUNEIFORM SIGN NIM TIMES GAN2 TENU
    "\u12251",  # CUNEIFORM SIGN NIM TIMES GAR PLUS GAN2 TENU
    "\u12252",  # CUNEIFORM SIGN NINDA2
    "\u12253",  # CUNEIFORM SIGN NINDA2 TIMES AN
    "\u12254",  # CUNEIFORM SIGN NINDA2 TIMES ASH
    "\u12255",  # CUNEIFORM SIGN NINDA2 TIMES ASH PLUS ASH
    "\u12256",  # CUNEIFORM SIGN NINDA2 TIMES GUD
    "\u12257",  # CUNEIFORM SIGN NINDA2 TIMES ME PLUS GAN2 TENU
    "\u12258",  # CUNEIFORM SIGN NINDA2 TIMES NE
    "\u12259",  # CUNEIFORM SIGN NINDA2 TIMES NUN
    "\u1225A",  # CUNEIFORM SIGN NINDA2 TIMES SHE
    "\u1225B",  # CUNEIFORM SIGN NINDA2 TIMES SHE PLUS A AN
    "\u1225C",  # CUNEIFORM SIGN NINDA2 TIMES SHE PLUS ASH
    "\u1225D",  # CUNEIFORM SIGN NINDA2 TIMES SHE PLUS ASH PLUS ASH
    "\u1225E",  # CUNEIFORM SIGN NINDA2 TIMES U2 PLUS ASH
    "\u1225F",  # CUNEIFORM SIGN NINDA2 TIMES USH
    "\u12260",  # CUNEIFORM SIGN NISAG
    "\u12261",  # CUNEIFORM SIGN NU
    "\u12262",  # CUNEIFORM SIGN NU11
    "\u12263",  # CUNEIFORM SIGN NUN
    "\u12264",  # CUNEIFORM SIGN NUN LAGAR TIMES GAR
    "\u12265",  # CUNEIFORM SIGN NUN LAGAR TIMES MASH
    "\u12266",  # CUNEIFORM SIGN NUN LAGAR TIMES SAL
    "\u12267",  # CUNEIFORM SIGN NUN LAGAR TIMES SAL OVER NUN LAGAR TIMES SAL
    "\u12268",  # CUNEIFORM SIGN NUN LAGAR TIMES USH
    "\u12269",  # CUNEIFORM SIGN NUN TENU
    "\u1226A",  # CUNEIFORM SIGN NUN OVER NUN
    "\u1226B",  # CUNEIFORM SIGN NUN CROSSING NUN
    "\u1226C",  # CUNEIFORM SIGN NUN CROSSING NUN LAGAR OVER LAGAR
    "\u1226D",  # CUNEIFORM SIGN NUNUZ
    "\u1226E",  # CUNEIFORM SIGN NUNUZ AB2 TIMES ASHGAB
    "\u1226F",  # CUNEIFORM SIGN NUNUZ AB2 TIMES BI
    "\u12270",  # CUNEIFORM SIGN NUNUZ AB2 TIMES DUG
    "\u12271",  # CUNEIFORM SIGN NUNUZ AB2 TIMES GUD
    "\u12272",  # CUNEIFORM SIGN NUNUZ AB2 TIMES IGI GUNU
    "\u12273",  # CUNEIFORM SIGN NUNUZ AB2 TIMES KAD3
    "\u12274",  # CUNEIFORM SIGN NUNUZ AB2 TIMES LA
    "\u12275",  # CUNEIFORM SIGN NUNUZ AB2 TIMES NE
    "\u12276",  # CUNEIFORM SIGN NUNUZ AB2 TIMES SILA3
    "\u12277",  # CUNEIFORM SIGN NUNUZ AB2 TIMES U2
    "\u12278",  # CUNEIFORM SIGN NUNUZ KISIM5 TIMES BI
    "\u12279",  # CUNEIFORM SIGN NUNUZ KISIM5 TIMES BI U
    "\u1227A",  # CUNEIFORM SIGN PA
    "\u1227B",  # CUNEIFORM SIGN PAD
    "\u1227C",  # CUNEIFORM SIGN PAN
    "\u1227D",  # CUNEIFORM SIGN PAP
    "\u1227E",  # CUNEIFORM SIGN PESH2
    "\u1227F",  # CUNEIFORM SIGN PI
    "\u12280",  # CUNEIFORM SIGN PI TIMES A
    "\u12281",  # CUNEIFORM SIGN PI TIMES AB
    "\u12282",  # CUNEIFORM SIGN PI TIMES BI
    "\u12283",  # CUNEIFORM SIGN PI TIMES BU
    "\u12284",  # CUNEIFORM SIGN PI TIMES E
    "\u12285",  # CUNEIFORM SIGN PI TIMES I
    "\u12286",  # CUNEIFORM SIGN PI TIMES IB
    "\u12287",  # CUNEIFORM SIGN PI TIMES U
    "\u12288",  # CUNEIFORM SIGN PI TIMES U2
    "\u12289",  # CUNEIFORM SIGN PI CROSSING PI
    "\u1228A",  # CUNEIFORM SIGN PIRIG
    "\u1228B",  # CUNEIFORM SIGN PIRIG TIMES KAL
    "\u1228C",  # CUNEIFORM SIGN PIRIG TIMES UD
    "\u1228D",  # CUNEIFORM SIGN PIRIG TIMES ZA
    "\u1228E",  # CUNEIFORM SIGN PIRIG OPPOSING PIRIG
    "\u1228F",  # CUNEIFORM SIGN RA
    "\u12290",  # CUNEIFORM SIGN RAB
    "\u12291",  # CUNEIFORM SIGN RI
    "\u12292",  # CUNEIFORM SIGN RU
    "\u12293",  # CUNEIFORM SIGN SA
    "\u12294",  # CUNEIFORM SIGN SAG NUTILLU
    "\u12295",  # CUNEIFORM SIGN SAG
    "\u12296",  # CUNEIFORM SIGN SAG TIMES A
    "\u12297",  # CUNEIFORM SIGN SAG TIMES DU
    "\u12298",  # CUNEIFORM SIGN SAG TIMES DUB
    "\u12299",  # CUNEIFORM SIGN SAG TIMES HA
    "\u1229A",  # CUNEIFORM SIGN SAG TIMES KAK
    "\u1229B",  # CUNEIFORM SIGN SAG TIMES KUR
    "\u1229C",  # CUNEIFORM SIGN SAG TIMES LUM
    "\u1229D",  # CUNEIFORM SIGN SAG TIMES MI
    "\u1229E",  # CUNEIFORM SIGN SAG TIMES NUN
    "\u1229F",  # CUNEIFORM SIGN SAG TIMES SAL
    "\u122A0",  # CUNEIFORM SIGN SAG TIMES SHID
    "\u122A1",  # CUNEIFORM SIGN SAG TIMES TAB
    "\u122A2",  # CUNEIFORM SIGN SAG TIMES U2
    "\u122A3",  # CUNEIFORM SIGN SAG TIMES UB
    "\u122A4",  # CUNEIFORM SIGN SAG TIMES UM
    "\u122A5",  # CUNEIFORM SIGN SAG TIMES UR
    "\u122A6",  # CUNEIFORM SIGN SAG TIMES USH
    "\u122A7",  # CUNEIFORM SIGN SAG OVER SAG
    "\u122A8",  # CUNEIFORM SIGN SAG GUNU
    "\u122A9",  # CUNEIFORM SIGN SAL
    "\u122AA",  # CUNEIFORM SIGN SAL LAGAB TIMES ASH2
    "\u122AB",  # CUNEIFORM SIGN SANGA2
    "\u122AC",  # CUNEIFORM SIGN SAR
    "\u122AD",  # CUNEIFORM SIGN SHA
    "\u122AE",  # CUNEIFORM SIGN SHA3
    "\u122AF",  # CUNEIFORM SIGN SHA3 TIMES A
    "\u122B0",  # CUNEIFORM SIGN SHA3 TIMES BAD
    "\u122B1",  # CUNEIFORM SIGN SHA3 TIMES GISH
    "\u122B2",  # CUNEIFORM SIGN SHA3 TIMES NE
    "\u122B3",  # CUNEIFORM SIGN SHA3 TIMES SHU2
    "\u122B4",  # CUNEIFORM SIGN SHA3 TIMES TUR
    "\u122B5",  # CUNEIFORM SIGN SHA3 TIMES U
    "\u122B6",  # CUNEIFORM SIGN SHA3 TIMES U PLUS A
    "\u122B7",  # CUNEIFORM SIGN SHA6
    "\u122B8",  # CUNEIFORM SIGN SHAB6
    "\u122B9",  # CUNEIFORM SIGN SHAR2
    "\u122BA",  # CUNEIFORM SIGN SHE
    "\u122BB",  # CUNEIFORM SIGN SHE HU
    "\u122BC",  # CUNEIFORM SIGN SHE OVER SHE GAD OVER GAD GAR OVER GAR
    "\u122BD",  # CUNEIFORM SIGN SHE OVER SHE TAB OVER TAB GAR OVER GAR
    "\u122BE",  # CUNEIFORM SIGN SHEG9
    "\u122BF",  # CUNEIFORM SIGN SHEN
    "\u122C0",  # CUNEIFORM SIGN SHESH
    "\u122C1",  # CUNEIFORM SIGN SHESH2
    "\u122C2",  # CUNEIFORM SIGN SHESHLAM
    "\u122C3",  # CUNEIFORM SIGN SHID
    "\u122C4",  # CUNEIFORM SIGN SHID TIMES A
    "\u122C5",  # CUNEIFORM SIGN SHID TIMES IM
    "\u122C6",  # CUNEIFORM SIGN SHIM
    "\u122C7",  # CUNEIFORM SIGN SHIM TIMES A
    "\u122C8",  # CUNEIFORM SIGN SHIM TIMES BAL
    "\u122C9",  # CUNEIFORM SIGN SHIM TIMES BULUG
    "\u122CA",  # CUNEIFORM SIGN SHIM TIMES DIN
    "\u122CB",  # CUNEIFORM SIGN SHIM TIMES GAR
    "\u122CC",  # CUNEIFORM SIGN SHIM TIMES IGI
    "\u122CD",  # CUNEIFORM SIGN SHIM TIMES IGI GUNU
    "\u122CE",  # CUNEIFORM SIGN SHIM TIMES KUSHU2
    "\u122CF",  # CUNEIFORM SIGN SHIM TIMES LUL
    "\u122D0",  # CUNEIFORM SIGN SHIM TIMES MUG
    "\u122D1",  # CUNEIFORM SIGN SHIM TIMES SAL
    "\u122D2",  # CUNEIFORM SIGN SHINIG
    "\u122D3",  # CUNEIFORM SIGN SHIR
    "\u122D4",  # CUNEIFORM SIGN SHIR TENU
    "\u122D5",  # CUNEIFORM SIGN SHIR OVER SHIR BUR OVER BUR
    "\u122D6",  # CUNEIFORM SIGN SHITA
    "\u122D7",  # CUNEIFORM SIGN SHU
    "\u122D8",  # CUNEIFORM SIGN SHU OVER INVERTED SHU
    "\u122D9",  # CUNEIFORM SIGN SHU2
    "\u122DA",  # CUNEIFORM SIGN SHUBUR
    "\u122DB",  # CUNEIFORM SIGN SI
    "\u122DC",  # CUNEIFORM SIGN SI GUNU
    "\u122DD",  # CUNEIFORM SIGN SIG
    "\u122DE",  # CUNEIFORM SIGN SIG4
    "\u122DF",  # CUNEIFORM SIGN SIG4 OVER SIG4 SHU2
    "\u122E0",  # CUNEIFORM SIGN SIK2
    "\u122E1",  # CUNEIFORM SIGN SILA3
    "\u122E2",  # CUNEIFORM SIGN SU
    "\u122E3",  # CUNEIFORM SIGN SU OVER SU
    "\u122E4",  # CUNEIFORM SIGN SUD
    "\u122E5",  # CUNEIFORM SIGN SUD2
    "\u122E6",  # CUNEIFORM SIGN SUHUR
    "\u122E7",  # CUNEIFORM SIGN SUM
    "\u122E8",  # CUNEIFORM SIGN SUMASH
    "\u122E9",  # CUNEIFORM SIGN SUR
    "\u122EA",  # CUNEIFORM SIGN SUR9
    "\u122EB",  # CUNEIFORM SIGN TA
    "\u122EC",  # CUNEIFORM SIGN TA ASTERISK
    "\u122ED",  # CUNEIFORM SIGN TA TIMES HI
    "\u122EE",  # CUNEIFORM SIGN TA TIMES MI
    "\u122EF",  # CUNEIFORM SIGN TA GUNU
    "\u122F0",  # CUNEIFORM SIGN TAB
    "\u122F1",  # CUNEIFORM SIGN TAB OVER TAB NI OVER NI DISH OVER DISH
    "\u122F2",  # CUNEIFORM SIGN TAB SQUARED
    "\u122F3",  # CUNEIFORM SIGN TAG
    "\u122F4",  # CUNEIFORM SIGN TAG TIMES BI
    "\u122F5",  # CUNEIFORM SIGN TAG TIMES GUD
    "\u122F6",  # CUNEIFORM SIGN TAG TIMES SHE
    "\u122F7",  # CUNEIFORM SIGN TAG TIMES SHU
    "\u122F8",  # CUNEIFORM SIGN TAG TIMES TUG2
    "\u122F9",  # CUNEIFORM SIGN TAG TIMES UD
    "\u122FA",  # CUNEIFORM SIGN TAK4
    "\u122FB",  # CUNEIFORM SIGN TAR
    "\u122FC",  # CUNEIFORM SIGN TE
    "\u122FD",  # CUNEIFORM SIGN TE GUNU
    "\u122FE",  # CUNEIFORM SIGN TI
    "\u122FF",  # CUNEIFORM SIGN TI TENU
    "\u12300",  # CUNEIFORM SIGN TIL
    "\u12301",  # CUNEIFORM SIGN TIR
    "\u12302",  # CUNEIFORM SIGN TIR TIMES TAK4
    "\u12303",  # CUNEIFORM SIGN TIR OVER TIR
    "\u12304",  # CUNEIFORM SIGN TIR OVER TIR GAD OVER GAD GAR OVER GAR
    "\u12305",  # CUNEIFORM SIGN TU
    "\u12306",  # CUNEIFORM SIGN TUG2
    "\u12307",  # CUNEIFORM SIGN TUK
    "\u12308",  # CUNEIFORM SIGN TUM
    "\u12309",  # CUNEIFORM SIGN TUR
    "\u1230A",  # CUNEIFORM SIGN TUR OVER TUR ZA OVER ZA
    "\u1230B",  # CUNEIFORM SIGN U
    "\u1230C",  # CUNEIFORM SIGN U GUD
    "\u1230D",  # CUNEIFORM SIGN U U U
    "\u1230E",  # CUNEIFORM SIGN U OVER U PA OVER PA GAR OVER GAR
    "\u1230F",  # CUNEIFORM SIGN U OVER U SUR OVER SUR
    "\u12310",  # CUNEIFORM SIGN U OVER U U REVERSED OVER U REVERSED
    "\u12311",  # CUNEIFORM SIGN U2
    "\u12312",  # CUNEIFORM SIGN UB
    "\u12313",  # CUNEIFORM SIGN UD
    "\u12314",  # CUNEIFORM SIGN UD KUSHU2
    "\u12315",  # CUNEIFORM SIGN UD TIMES BAD
    "\u12316",  # CUNEIFORM SIGN UD TIMES MI
    "\u12317",  # CUNEIFORM SIGN UD TIMES U PLUS U PLUS U
    "\u12318",  # CUNEIFORM SIGN UD TIMES U PLUS U PLUS U GUNU
    "\u12319",  # CUNEIFORM SIGN UD GUNU
    "\u1231A",  # CUNEIFORM SIGN UD SHESHIG
    "\u1231B",  # CUNEIFORM SIGN UD SHESHIG TIMES BAD
    "\u1231C",  # CUNEIFORM SIGN UDUG
    "\u1231D",  # CUNEIFORM SIGN UM
    "\u1231E",  # CUNEIFORM SIGN UM TIMES LAGAB
    "\u1231F",  # CUNEIFORM SIGN UM TIMES ME PLUS DA
    "\u12320",  # CUNEIFORM SIGN UM TIMES SHA3
    "\u12321",  # CUNEIFORM SIGN UM TIMES U
    "\u12322",  # CUNEIFORM SIGN UMBIN
    "\u12323",  # CUNEIFORM SIGN UMUM
    "\u12324",  # CUNEIFORM SIGN UMUM TIMES KASKAL
    "\u12325",  # CUNEIFORM SIGN UMUM TIMES PA
    "\u12326",  # CUNEIFORM SIGN UN
    "\u12327",  # CUNEIFORM SIGN UN GUNU
    "\u12328",  # CUNEIFORM SIGN UR
    "\u12329",  # CUNEIFORM SIGN UR CROSSING UR
    "\u1232A",  # CUNEIFORM SIGN UR SHESHIG
    "\u1232B",  # CUNEIFORM SIGN UR2
    "\u1232C",  # CUNEIFORM SIGN UR2 TIMES A PLUS HA
    "\u1232D",  # CUNEIFORM SIGN UR2 TIMES A PLUS NA
    "\u1232E",  # CUNEIFORM SIGN UR2 TIMES AL
    "\u1232F",  # CUNEIFORM SIGN UR2 TIMES HA
    "\u12330",  # CUNEIFORM SIGN UR2 TIMES NUN
    "\u12331",  # CUNEIFORM SIGN UR2 TIMES U2
    "\u12332",  # CUNEIFORM SIGN UR2 TIMES U2 PLUS ASH
    "\u12333",  # CUNEIFORM SIGN UR2 TIMES U2 PLUS BI
    "\u12334",  # CUNEIFORM SIGN UR4
    "\u12335",  # CUNEIFORM SIGN URI
    "\u12336",  # CUNEIFORM SIGN URI3
    "\u12337",  # CUNEIFORM SIGN URU
    "\u12338",  # CUNEIFORM SIGN URU TIMES A
    "\u12339",  # CUNEIFORM SIGN URU TIMES ASHGAB
    "\u1233A",  # CUNEIFORM SIGN URU TIMES BAR
    "\u1233B",  # CUNEIFORM SIGN URU TIMES DUN
    "\u1233C",  # CUNEIFORM SIGN URU TIMES GA
    "\u1233D",  # CUNEIFORM SIGN URU TIMES GAL
    "\u1233E",  # CUNEIFORM SIGN URU TIMES GAN2 TENU
    "\u1233F",  # CUNEIFORM SIGN URU TIMES GAR
    "\u12340",  # CUNEIFORM SIGN URU TIMES GU
    "\u12341",  # CUNEIFORM SIGN URU TIMES HA
    "\u12342",  # CUNEIFORM SIGN URU TIMES IGI
    "\u12343",  # CUNEIFORM SIGN URU TIMES IM
    "\u12344",  # CUNEIFORM SIGN URU TIMES ISH
    "\u12345",  # CUNEIFORM SIGN URU TIMES KI
    "\u12346",  # CUNEIFORM SIGN URU TIMES LUM
    "\u12347",  # CUNEIFORM SIGN URU TIMES MIN
    "\u12348",  # CUNEIFORM SIGN URU TIMES PA
    "\u12349",  # CUNEIFORM SIGN URU TIMES SHE
    "\u1234A",  # CUNEIFORM SIGN URU TIMES SIG4
    "\u1234B",  # CUNEIFORM SIGN URU TIMES TU
    "\u1234C",  # CUNEIFORM SIGN URU TIMES U PLUS GUD
    "\u1234D",  # CUNEIFORM SIGN URU TIMES UD
    "\u1234E",  # CUNEIFORM SIGN URU TIMES URUDA
    "\u1234F",  # CUNEIFORM SIGN URUDA
    "\u12350",  # CUNEIFORM SIGN URUDA TIMES U
    "\u12351",  # CUNEIFORM SIGN USH
    "\u12352",  # CUNEIFORM SIGN USH TIMES A
    "\u12353",  # CUNEIFORM SIGN USH TIMES KU
    "\u12354",  # CUNEIFORM SIGN USH TIMES KUR
    "\u12355",  # CUNEIFORM SIGN USH TIMES TAK4
    "\u12356",  # CUNEIFORM SIGN USHX
    "\u12357",  # CUNEIFORM SIGN USH2
    "\u12358",  # CUNEIFORM SIGN USHUMX
    "\u12359",  # CUNEIFORM SIGN UTUKI
    "\u1235A",  # CUNEIFORM SIGN UZ3
    "\u1235B",  # CUNEIFORM SIGN UZ3 TIMES KASKAL
    "\u1235C",  # CUNEIFORM SIGN UZU
    "\u1235D",  # CUNEIFORM SIGN ZA
    "\u1235E",  # CUNEIFORM SIGN ZA TENU
    "\u1235F",  # CUNEIFORM SIGN ZA SQUARED TIMES KUR
    "\u12360",  # CUNEIFORM SIGN ZAG
    "\u12361",  # CUNEIFORM SIGN ZAMX
    "\u12362",  # CUNEIFORM SIGN ZE2
    "\u12363",  # CUNEIFORM SIGN ZI
    "\u12364",  # CUNEIFORM SIGN ZI OVER ZI
    "\u12365",  # CUNEIFORM SIGN ZI3
    "\u12366",  # CUNEIFORM SIGN ZIB
    "\u12367",  # CUNEIFORM SIGN ZIB KABA TENU
    "\u12368",  # CUNEIFORM SIGN ZIG
    "\u12369",  # CUNEIFORM SIGN ZIZ2
    "\u1236A",  # CUNEIFORM SIGN ZU
    "\u1236B",  # CUNEIFORM SIGN ZU5
    "\u1236C",  # CUNEIFORM SIGN ZU5 TIMES A
    "\u1236D",  # CUNEIFORM SIGN ZUBUR
    "\u1236E",  # CUNEIFORM SIGN ZUM
    "\u1236F",  # CUNEIFORM SIGN KAP ELAMITE
    "\u12370",  # CUNEIFORM SIGN AB TIMES NUN
    "\u12371",  # CUNEIFORM SIGN AB2 TIMES A
    "\u12372",  # CUNEIFORM SIGN AMAR TIMES KUG
    "\u12373",  # CUNEIFORM SIGN DAG KISIM5 TIMES U2 PLUS MASH
    "\u12374",  # CUNEIFORM SIGN DAG3
    "\u12375",  # CUNEIFORM SIGN DISH PLUS SHU
    "\u12376",  # CUNEIFORM SIGN DUB TIMES SHE
    "\u12377",  # CUNEIFORM SIGN EZEN TIMES GUD
    "\u12378",  # CUNEIFORM SIGN EZEN TIMES SHE
    "\u12379",  # CUNEIFORM SIGN GA2 TIMES AN PLUS KAK PLUS A
    "\u1237A",  # CUNEIFORM SIGN GA2 TIMES ASH2
    "\u1237B",  # CUNEIFORM SIGN GE22
    "\u1237C",  # CUNEIFORM SIGN GIG
    "\u1237D",  # CUNEIFORM SIGN HUSH
    "\u1237E",  # CUNEIFORM SIGN KA TIMES ANSHE
    "\u1237F",  # CUNEIFORM SIGN KA TIMES ASH3
    "\u12380",  # CUNEIFORM SIGN KA TIMES GISH
    "\u12381",  # CUNEIFORM SIGN KA TIMES GUD
    "\u12382",  # CUNEIFORM SIGN KA TIMES HI TIMES ASH2
    "\u12383",  # CUNEIFORM SIGN KA TIMES LUM
    "\u12384",  # CUNEIFORM SIGN KA TIMES PA
    "\u12385",  # CUNEIFORM SIGN KA TIMES SHUL
    "\u12386",  # CUNEIFORM SIGN KA TIMES TU
    "\u12387",  # CUNEIFORM SIGN KA TIMES UR2
    "\u12388",  # CUNEIFORM SIGN LAGAB TIMES GI
    "\u12389",  # CUNEIFORM SIGN LU2 SHESHIG TIMES BAD
    "\u1238A",  # CUNEIFORM SIGN LU2 TIMES ESH2 PLUS LAL
    "\u1238B",  # CUNEIFORM SIGN LU2 TIMES SHU
    "\u1238C",  # CUNEIFORM SIGN MESH
    "\u1238D",  # CUNEIFORM SIGN MUSH3 TIMES ZA
    "\u1238E",  # CUNEIFORM SIGN NA4
    "\u1238F",  # CUNEIFORM SIGN NIN
    "\u12390",  # CUNEIFORM SIGN NIN9
    "\u12391",  # CUNEIFORM SIGN NINDA2 TIMES BAL
    "\u12392",  # CUNEIFORM SIGN NINDA2 TIMES GI
    "\u12393",  # CUNEIFORM SIGN NU11 ROTATED NINETY DEGREES
    "\u12394",  # CUNEIFORM SIGN PESH2 ASTERISK
    "\u12395",  # CUNEIFORM SIGN PIR2
    "\u12396",  # CUNEIFORM SIGN SAG TIMES IGI GUNU
    "\u12397",  # CUNEIFORM SIGN TI2
    "\u12398",  # CUNEIFORM SIGN UM TIMES ME
    "\u12399",  # CUNEIFORM SIGN U U
    "\u12400",  # CUNEIFORM NUMERIC SIGN TWO ASH
    "\u12401",  # CUNEIFORM NUMERIC SIGN THREE ASH
    "\u12402",  # CUNEIFORM NUMERIC SIGN FOUR ASH
    "\u12403",  # CUNEIFORM NUMERIC SIGN FIVE ASH
    "\u12404",  # CUNEIFORM NUMERIC SIGN SIX ASH
    "\u12405",  # CUNEIFORM NUMERIC SIGN SEVEN ASH
    "\u12406",  # CUNEIFORM NUMERIC SIGN EIGHT ASH
    "\u12407",  # CUNEIFORM NUMERIC SIGN NINE ASH
    "\u12408",  # CUNEIFORM NUMERIC SIGN THREE DISH
    "\u12409",  # CUNEIFORM NUMERIC SIGN FOUR DISH
    "\u1240A",  # CUNEIFORM NUMERIC SIGN FIVE DISH
    "\u1240B",  # CUNEIFORM NUMERIC SIGN SIX DISH
    "\u1240C",  # CUNEIFORM NUMERIC SIGN SEVEN DISH
    "\u1240D",  # CUNEIFORM NUMERIC SIGN EIGHT DISH
    "\u1240E",  # CUNEIFORM NUMERIC SIGN NINE DISH
    "\u1240F",  # CUNEIFORM NUMERIC SIGN FOUR U
    "\u12410",  # CUNEIFORM NUMERIC SIGN FIVE U
    "\u12411",  # CUNEIFORM NUMERIC SIGN SIX U
    "\u12412",  # CUNEIFORM NUMERIC SIGN SEVEN U
    "\u12413",  # CUNEIFORM NUMERIC SIGN EIGHT U
    "\u12414",  # CUNEIFORM NUMERIC SIGN NINE U
    "\u12415",  # CUNEIFORM NUMERIC SIGN ONE GESH2
    "\u12416",  # CUNEIFORM NUMERIC SIGN TWO GESH2
    "\u12417",  # CUNEIFORM NUMERIC SIGN THREE GESH2
    "\u12418",  # CUNEIFORM NUMERIC SIGN FOUR GESH2
    "\u12419",  # CUNEIFORM NUMERIC SIGN FIVE GESH2
    "\u1241A",  # CUNEIFORM NUMERIC SIGN SIX GESH2
    "\u1241B",  # CUNEIFORM NUMERIC SIGN SEVEN GESH2
    "\u1241C",  # CUNEIFORM NUMERIC SIGN EIGHT GESH2
    "\u1241D",  # CUNEIFORM NUMERIC SIGN NINE GESH2
    "\u1241E",  # CUNEIFORM NUMERIC SIGN ONE GESHU
    "\u1241F",  # CUNEIFORM NUMERIC SIGN TWO GESHU
    "\u12420",  # CUNEIFORM NUMERIC SIGN THREE GESHU
    "\u12421",  # CUNEIFORM NUMERIC SIGN FOUR GESHU
    "\u12422",  # CUNEIFORM NUMERIC SIGN FIVE GESHU
    "\u12423",  # CUNEIFORM NUMERIC SIGN TWO SHAR2
    "\u12424",  # CUNEIFORM NUMERIC SIGN THREE SHAR2
    "\u12425",  # CUNEIFORM NUMERIC SIGN THREE SHAR2 VARIANT FORM
    "\u12426",  # CUNEIFORM NUMERIC SIGN FOUR SHAR2
    "\u12427",  # CUNEIFORM NUMERIC SIGN FIVE SHAR2
    "\u12428",  # CUNEIFORM NUMERIC SIGN SIX SHAR2
    "\u12429",  # CUNEIFORM NUMERIC SIGN SEVEN SHAR2
    "\u1242A",  # CUNEIFORM NUMERIC SIGN EIGHT SHAR2
    "\u1242B",  # CUNEIFORM NUMERIC SIGN NINE SHAR2
    "\u1242C",  # CUNEIFORM NUMERIC SIGN ONE SHARU
    "\u1242D",  # CUNEIFORM NUMERIC SIGN TWO SHARU
    "\u1242E",  # CUNEIFORM NUMERIC SIGN THREE SHARU
    "\u1242F",  # CUNEIFORM NUMERIC SIGN THREE SHARU VARIANT FORM
    "\u12430",  # CUNEIFORM NUMERIC SIGN FOUR SHARU
    "\u12431",  # CUNEIFORM NUMERIC SIGN FIVE SHARU
    "\u12432",  # CUNEIFORM NUMERIC SIGN SHAR2 TIMES GAL PLUS DISH
    "\u12433",  # CUNEIFORM NUMERIC SIGN SHAR2 TIMES GAL PLUS MIN
    "\u12434",  # CUNEIFORM NUMERIC SIGN ONE BURU
    "\u12435",  # CUNEIFORM NUMERIC SIGN TWO BURU
    "\u12436",  # CUNEIFORM NUMERIC SIGN THREE BURU
    "\u12437",  # CUNEIFORM NUMERIC SIGN THREE BURU VARIANT FORM
    "\u12438",  # CUNEIFORM NUMERIC SIGN FOUR BURU
    "\u12439",  # CUNEIFORM NUMERIC SIGN FIVE BURU
    "\u1243A",  # CUNEIFORM NUMERIC SIGN THREE VARIANT FORM ESH16
    "\u1243B",  # CUNEIFORM NUMERIC SIGN THREE VARIANT FORM ESH21
    "\u1243C",  # CUNEIFORM NUMERIC SIGN FOUR VARIANT FORM LIMMU
    "\u1243D",  # CUNEIFORM NUMERIC SIGN FOUR VARIANT FORM LIMMU4
    "\u1243E",  # CUNEIFORM NUMERIC SIGN FOUR VARIANT FORM LIMMU A
    "\u1243F",  # CUNEIFORM NUMERIC SIGN FOUR VARIANT FORM LIMMU B
    "\u12440",  # CUNEIFORM NUMERIC SIGN SIX VARIANT FORM ASH9
    "\u12441",  # CUNEIFORM NUMERIC SIGN SEVEN VARIANT FORM IMIN3
    "\u12442",  # CUNEIFORM NUMERIC SIGN SEVEN VARIANT FORM IMIN A
    "\u12443",  # CUNEIFORM NUMERIC SIGN SEVEN VARIANT FORM IMIN B
    "\u12444",  # CUNEIFORM NUMERIC SIGN EIGHT VARIANT FORM USSU
    "\u12445",  # CUNEIFORM NUMERIC SIGN EIGHT VARIANT FORM USSU3
    "\u12446",  # CUNEIFORM NUMERIC SIGN NINE VARIANT FORM ILIMMU
    "\u12447",  # CUNEIFORM NUMERIC SIGN NINE VARIANT FORM ILIMMU3
    "\u12448",  # CUNEIFORM NUMERIC SIGN NINE VARIANT FORM ILIMMU4
    "\u12449",  # CUNEIFORM NUMERIC SIGN NINE VARIANT FORM ILIMMU A
    "\u1244A",  # CUNEIFORM NUMERIC SIGN TWO ASH TENU
    "\u1244B",  # CUNEIFORM NUMERIC SIGN THREE ASH TENU
    "\u1244C",  # CUNEIFORM NUMERIC SIGN FOUR ASH TENU
    "\u1244D",  # CUNEIFORM NUMERIC SIGN FIVE ASH TENU
    "\u1244E",  # CUNEIFORM NUMERIC SIGN SIX ASH TENU
    "\u1244F",  # CUNEIFORM NUMERIC SIGN ONE BAN2
    "\u12450",  # CUNEIFORM NUMERIC SIGN TWO BAN2
    "\u12451",  # CUNEIFORM NUMERIC SIGN THREE BAN2
    "\u12452",  # CUNEIFORM NUMERIC SIGN FOUR BAN2
    "\u12453",  # CUNEIFORM NUMERIC SIGN FOUR BAN2 VARIANT FORM
    "\u12454",  # CUNEIFORM NUMERIC SIGN FIVE BAN2
    "\u12455",  # CUNEIFORM NUMERIC SIGN FIVE BAN2 VARIANT FORM
    "\u12456",  # CUNEIFORM NUMERIC SIGN NIGIDAMIN
    "\u12457",  # CUNEIFORM NUMERIC SIGN NIGIDAESH
    "\u12458",  # CUNEIFORM NUMERIC SIGN ONE ESHE3
    "\u12459",  # CUNEIFORM NUMERIC SIGN TWO ESHE3
    "\u1245A",  # CUNEIFORM NUMERIC SIGN ONE THIRD DISH
    "\u1245B",  # CUNEIFORM NUMERIC SIGN TWO THIRDS DISH
    "\u1245C",  # CUNEIFORM NUMERIC SIGN FIVE SIXTHS DISH
    "\u1245D",  # CUNEIFORM NUMERIC SIGN ONE THIRD VARIANT FORM A
    "\u1245E",  # CUNEIFORM NUMERIC SIGN TWO THIRDS VARIANT FORM A
    "\u1245F",  # CUNEIFORM NUMERIC SIGN ONE EIGHTH ASH
    "\u12460",  # CUNEIFORM NUMERIC SIGN ONE QUARTER ASH
    "\u12461",  # CUNEIFORM NUMERIC SIGN OLD ASSYRIAN ONE SIXTH
    "\u12462",  # CUNEIFORM NUMERIC SIGN OLD ASSYRIAN ONE QUARTER
    "\u12463",  # CUNEIFORM NUMERIC SIGN ONE QUARTER GUR
    "\u12464",  # CUNEIFORM NUMERIC SIGN ONE HALF GUR
    "\u12465",  # CUNEIFORM NUMERIC SIGN ELAMITE ONE THIRD
    "\u12466",  # CUNEIFORM NUMERIC SIGN ELAMITE TWO THIRDS
    "\u12467",  # CUNEIFORM NUMERIC SIGN ELAMITE FORTY
    "\u12468",  # CUNEIFORM NUMERIC SIGN ELAMITE FIFTY
    "\u12469",  # CUNEIFORM NUMERIC SIGN FOUR U VARIANT FORM
    "\u1246A",  # CUNEIFORM NUMERIC SIGN FIVE U VARIANT FORM
    "\u1246B",  # CUNEIFORM NUMERIC SIGN SIX U VARIANT FORM
    "\u1246C",  # CUNEIFORM NUMERIC SIGN SEVEN U VARIANT FORM
    "\u1246D",  # CUNEIFORM NUMERIC SIGN EIGHT U VARIANT FORM
    "\u1246E",  # CUNEIFORM NUMERIC SIGN NINE U VARIANT FORM
    "\u12470",  # CUNEIFORM PUNCTUATION SIGN OLD ASSYRIAN WORD DIVIDER
    "\u12471",  # CUNEIFORM PUNCTUATION SIGN VERTICAL COLON
    "\u12472",  # CUNEIFORM PUNCTUATION SIGN DIAGONAL COLON
    "\u12473",  # CUNEIFORM PUNCTUATION SIGN DIAGONAL TRICOLON
    "\u12474",  # CUNEIFORM PUNCTUATION SIGN DIAGONAL QUADCOLON
    "\u12480",  # CUNEIFORM SIGN AB TIMES NUN TENU
    "\u12481",  # CUNEIFORM SIGN AB TIMES SHU2
    "\u12482",  # CUNEIFORM SIGN AD TIMES ESH2
    "\u12483",  # CUNEIFORM SIGN BAD TIMES DISH TENU
    "\u12484",  # CUNEIFORM SIGN BAHAR2 TIMES AB2
    "\u12485",  # CUNEIFORM SIGN BAHAR2 TIMES NI
    "\u12486",  # CUNEIFORM SIGN BAHAR2 TIMES ZA
    "\u12487",  # CUNEIFORM SIGN BU OVER BU TIMES NA2
    "\u12488",  # CUNEIFORM SIGN DA TIMES TAK4
    "\u12489",  # CUNEIFORM SIGN DAG TIMES KUR
    "\u1248A",  # CUNEIFORM SIGN DIM TIMES IGI
    "\u1248B",  # CUNEIFORM SIGN DIM TIMES U U U
    "\u1248C",  # CUNEIFORM SIGN DIM2 TIMES UD
    "\u1248D",  # CUNEIFORM SIGN DUG TIMES ANSHE
    "\u1248E",  # CUNEIFORM SIGN DUG TIMES ASH
    "\u1248F",  # CUNEIFORM SIGN DUG TIMES ASH AT LEFT
    "\u12490",  # CUNEIFORM SIGN DUG TIMES DIN
    "\u12491",  # CUNEIFORM SIGN DUG TIMES DUN
    "\u12492",  # CUNEIFORM SIGN DUG TIMES ERIN2
    "\u12493",  # CUNEIFORM SIGN DUG TIMES GA
    "\u12494",  # CUNEIFORM SIGN DUG TIMES GI
    "\u12495",  # CUNEIFORM SIGN DUG TIMES GIR2 GUNU
    "\u12496",  # CUNEIFORM SIGN DUG TIMES GISH
    "\u12497",  # CUNEIFORM SIGN DUG TIMES HA
    "\u12498",  # CUNEIFORM SIGN DUG TIMES HI
    "\u12499",  # CUNEIFORM SIGN DUG TIMES IGI GUNU
    "\u1249A",  # CUNEIFORM SIGN DUG TIMES KASKAL
    "\u1249B",  # CUNEIFORM SIGN DUG TIMES KUR
    "\u1249C",  # CUNEIFORM SIGN DUG TIMES KUSHU2
    "\u1249D",  # CUNEIFORM SIGN DUG TIMES KUSHU2 PLUS KASKAL
    "\u1249E",  # CUNEIFORM SIGN DUG TIMES LAK-020
    "\u1249F",  # CUNEIFORM SIGN DUG TIMES LAM
    "\u124A0",  # CUNEIFORM SIGN DUG TIMES LAM TIMES KUR
    "\u124A1",  # CUNEIFORM SIGN DUG TIMES LUH PLUS GISH
    "\u124A2",  # CUNEIFORM SIGN DUG TIMES MASH
    "\u124A3",  # CUNEIFORM SIGN DUG TIMES MES
    "\u124A4",  # CUNEIFORM SIGN DUG TIMES MI
    "\u124A5",  # CUNEIFORM SIGN DUG TIMES NI
    "\u124A6",  # CUNEIFORM SIGN DUG TIMES PI
    "\u124A7",  # CUNEIFORM SIGN DUG TIMES SHE
    "\u124A8",  # CUNEIFORM SIGN DUG TIMES SI GUNU
    "\u124A9",  # CUNEIFORM SIGN E2 TIMES KUR
    "\u124AA",  # CUNEIFORM SIGN E2 TIMES PAP
    "\u124AB",  # CUNEIFORM SIGN ERIN2 X
    "\u124AC",  # CUNEIFORM SIGN ESH2 CROSSING ESH2
    "\u124AD",  # CUNEIFORM SIGN EZEN SHESHIG TIMES ASH
    "\u124AE",  # CUNEIFORM SIGN EZEN SHESHIG TIMES HI
    "\u124AF",  # CUNEIFORM SIGN EZEN SHESHIG TIMES IGI GUNU
    "\u124B0",  # CUNEIFORM SIGN EZEN SHESHIG TIMES LA
    "\u124B1",  # CUNEIFORM SIGN EZEN SHESHIG TIMES LAL
    "\u124B2",  # CUNEIFORM SIGN EZEN SHESHIG TIMES ME
    "\u124B3",  # CUNEIFORM SIGN EZEN SHESHIG TIMES MES
    "\u124B4",  # CUNEIFORM SIGN EZEN SHESHIG TIMES SU
    "\u124B5",  # CUNEIFORM SIGN EZEN TIMES SU
    "\u124B6",  # CUNEIFORM SIGN GA2 TIMES BAHAR2
    "\u124B7",  # CUNEIFORM SIGN GA2 TIMES DIM GUNU
    "\u124B8",  # CUNEIFORM SIGN GA2 TIMES DUG TIMES IGI GUNU
    "\u124B9",  # CUNEIFORM SIGN GA2 TIMES DUG TIMES KASKAL
    "\u124BA",  # CUNEIFORM SIGN GA2 TIMES EREN
    "\u124BB",  # CUNEIFORM SIGN GA2 TIMES GA
    "\u124BC",  # CUNEIFORM SIGN GA2 TIMES GAR PLUS DI
    "\u124BD",  # CUNEIFORM SIGN GA2 TIMES GAR PLUS NE
    "\u124BE",  # CUNEIFORM SIGN GA2 TIMES HA PLUS A
    "\u124BF",  # CUNEIFORM SIGN GA2 TIMES KUSHU2 PLUS KASKAL
    "\u124C0",  # CUNEIFORM SIGN GA2 TIMES LAM
    "\u124C1",  # CUNEIFORM SIGN GA2 TIMES LAM TIMES KUR
    "\u124C2",  # CUNEIFORM SIGN GA2 TIMES LUH
    "\u124C3",  # CUNEIFORM SIGN GA2 TIMES MUSH
    "\u124C4",  # CUNEIFORM SIGN GA2 TIMES NE
    "\u124C5",  # CUNEIFORM SIGN GA2 TIMES NE PLUS E2
    "\u124C6",  # CUNEIFORM SIGN GA2 TIMES NE PLUS GI
    "\u124C7",  # CUNEIFORM SIGN GA2 TIMES SHIM
    "\u124C8",  # CUNEIFORM SIGN GA2 TIMES ZIZ2
    "\u124C9",  # CUNEIFORM SIGN GABA ROTATED NINETY DEGREES
    "\u124CA",  # CUNEIFORM SIGN GESHTIN TIMES U
    "\u124CB",  # CUNEIFORM SIGN GISH TIMES GISH CROSSING GISH
    "\u124CC",  # CUNEIFORM SIGN GU2 TIMES IGI GUNU
    "\u124CD",  # CUNEIFORM SIGN GUD PLUS GISH TIMES TAK4
    "\u124CE",  # CUNEIFORM SIGN HA TENU GUNU
    "\u124CF",  # CUNEIFORM SIGN HI TIMES ASH OVER HI TIMES ASH
    "\u124D0",  # CUNEIFORM SIGN KA TIMES BU
    "\u124D1",  # CUNEIFORM SIGN KA TIMES KA
    "\u124D2",  # CUNEIFORM SIGN KA TIMES U U U
    "\u124D3",  # CUNEIFORM SIGN KA TIMES UR
    "\u124D4",  # CUNEIFORM SIGN LAGAB TIMES ZU OVER ZU
    "\u124D5",  # CUNEIFORM SIGN LAK-003
    "\u124D6",  # CUNEIFORM SIGN LAK-021
    "\u124D7",  # CUNEIFORM SIGN LAK-025
    "\u124D8",  # CUNEIFORM SIGN LAK-030
    "\u124D9",  # CUNEIFORM SIGN LAK-050
    "\u124DA",  # CUNEIFORM SIGN LAK-051
    "\u124DB",  # CUNEIFORM SIGN LAK-062
    "\u124DC",  # CUNEIFORM SIGN LAK-079 OVER LAK-079 GUNU
    "\u124DD",  # CUNEIFORM SIGN LAK-080
    "\u124DE",  # CUNEIFORM SIGN LAK-081 OVER LAK-081
    "\u124DF",  # CUNEIFORM SIGN LAK-092
    "\u124E0",  # CUNEIFORM SIGN LAK-130
    "\u124E1",  # CUNEIFORM SIGN LAK-142
    "\u124E2",  # CUNEIFORM SIGN LAK-210
    "\u124E3",  # CUNEIFORM SIGN LAK-219
    "\u124E4",  # CUNEIFORM SIGN LAK-220
    "\u124E5",  # CUNEIFORM SIGN LAK-225
    "\u124E6",  # CUNEIFORM SIGN LAK-228
    "\u124E7",  # CUNEIFORM SIGN LAK-238
    "\u124E8",  # CUNEIFORM SIGN LAK-265
    "\u124E9",  # CUNEIFORM SIGN LAK-266
    "\u124EA",  # CUNEIFORM SIGN LAK-343
    "\u124EB",  # CUNEIFORM SIGN LAK-347
    "\u124EC",  # CUNEIFORM SIGN LAK-348
    "\u124ED",  # CUNEIFORM SIGN LAK-383
    "\u124EE",  # CUNEIFORM SIGN LAK-384
    "\u124EF",  # CUNEIFORM SIGN LAK-390
    "\u124F0",  # CUNEIFORM SIGN LAK-441
    "\u124F1",  # CUNEIFORM SIGN LAK-449
    "\u124F2",  # CUNEIFORM SIGN LAK-449 TIMES GU
    "\u124F3",  # CUNEIFORM SIGN LAK-449 TIMES IGI
    "\u124F4",  # CUNEIFORM SIGN LAK-449 TIMES PAP PLUS LU3
    "\u124F5",  # CUNEIFORM SIGN LAK-449 TIMES PAP PLUS PAP PLUS LU3
    "\u124F6",  # CUNEIFORM SIGN LAK-449 TIMES U2 PLUS BA
    "\u124F7",  # CUNEIFORM SIGN LAK-450
    "\u124F8",  # CUNEIFORM SIGN LAK-457
    "\u124F9",  # CUNEIFORM SIGN LAK-470
    "\u124FA",  # CUNEIFORM SIGN LAK-483
    "\u124FB",  # CUNEIFORM SIGN LAK-490
    "\u124FC",  # CUNEIFORM SIGN LAK-492
    "\u124FD",  # CUNEIFORM SIGN LAK-493
    "\u124FE",  # CUNEIFORM SIGN LAK-495
    "\u124FF",  # CUNEIFORM SIGN LAK-550
    "\u12500",  # CUNEIFORM SIGN LAK-608
    "\u12501",  # CUNEIFORM SIGN LAK-617
    "\u12502",  # CUNEIFORM SIGN LAK-617 TIMES ASH
    "\u12503",  # CUNEIFORM SIGN LAK-617 TIMES BAD
    "\u12504",  # CUNEIFORM SIGN LAK-617 TIMES DUN3 GUNU GUNU
    "\u12505",  # CUNEIFORM SIGN LAK-617 TIMES KU3
    "\u12506",  # CUNEIFORM SIGN LAK-617 TIMES LA
    "\u12507",  # CUNEIFORM SIGN LAK-617 TIMES TAR
    "\u12508",  # CUNEIFORM SIGN LAK-617 TIMES TE
    "\u12509",  # CUNEIFORM SIGN LAK-617 TIMES U2
    "\u1250A",  # CUNEIFORM SIGN LAK-617 TIMES UD
    "\u1250B",  # CUNEIFORM SIGN LAK-617 TIMES URUDA
    "\u1250C",  # CUNEIFORM SIGN LAK-636
    "\u1250D",  # CUNEIFORM SIGN LAK-648
    "\u1250E",  # CUNEIFORM SIGN LAK-648 TIMES DUB
    "\u1250F",  # CUNEIFORM SIGN LAK-648 TIMES GA
    "\u12510",  # CUNEIFORM SIGN LAK-648 TIMES IGI
    "\u12511",  # CUNEIFORM SIGN LAK-648 TIMES IGI GUNU
    "\u12512",  # CUNEIFORM SIGN LAK-648 TIMES NI
    "\u12513",  # CUNEIFORM SIGN LAK-648 TIMES PAP PLUS PAP PLUS LU3
    "\u12514",  # CUNEIFORM SIGN LAK-648 TIMES SHESH PLUS KI
    "\u12515",  # CUNEIFORM SIGN LAK-648 TIMES UD
    "\u12516",  # CUNEIFORM SIGN LAK-648 TIMES URUDA
    "\u12517",  # CUNEIFORM SIGN LAK-724
    "\u12518",  # CUNEIFORM SIGN LAK-749
    "\u12519",  # CUNEIFORM SIGN LU2 GUNU TIMES ASH
    "\u1251A",  # CUNEIFORM SIGN LU2 TIMES DISH
    "\u1251B",  # CUNEIFORM SIGN LU2 TIMES HAL
    "\u1251C",  # CUNEIFORM SIGN LU2 TIMES PAP
    "\u1251D",  # CUNEIFORM SIGN LU2 TIMES PAP PLUS PAP PLUS LU3
    "\u1251E",  # CUNEIFORM SIGN LU2 TIMES TAK4
    "\u1251F",  # CUNEIFORM SIGN MI PLUS ZA7
    "\u12520",  # CUNEIFORM SIGN MUSH OVER MUSH TIMES GA
    "\u12521",  # CUNEIFORM SIGN MUSH OVER MUSH TIMES KAK
    "\u12522",  # CUNEIFORM SIGN NINDA2 TIMES DIM GUNU
    "\u12523",  # CUNEIFORM SIGN NINDA2 TIMES GISH
    "\u12524",  # CUNEIFORM SIGN NINDA2 TIMES GUL
    "\u12525",  # CUNEIFORM SIGN NINDA2 TIMES HI
    "\u12526",  # CUNEIFORM SIGN NINDA2 TIMES KESH2
    "\u12527",  # CUNEIFORM SIGN NINDA2 TIMES LAK-050
    "\u12528",  # CUNEIFORM SIGN NINDA2 TIMES MASH
    "\u12529",  # CUNEIFORM SIGN NINDA2 TIMES PAP PLUS PAP
    "\u1252A",  # CUNEIFORM SIGN NINDA2 TIMES U
    "\u1252B",  # CUNEIFORM SIGN NINDA2 TIMES U PLUS U
    "\u1252C",  # CUNEIFORM SIGN NINDA2 TIMES URUDA
    "\u1252D",  # CUNEIFORM SIGN SAG GUNU TIMES HA
    "\u1252E",  # CUNEIFORM SIGN SAG TIMES EN
    "\u1252F",  # CUNEIFORM SIGN SAG TIMES SHE AT LEFT
    "\u12530",  # CUNEIFORM SIGN SAG TIMES TAK4
    "\u12531",  # CUNEIFORM SIGN SHA6 TENU
    "\u12532",  # CUNEIFORM SIGN SHE OVER SHE
    "\u12533",  # CUNEIFORM SIGN SHE PLUS HUB2
    "\u12534",  # CUNEIFORM SIGN SHE PLUS NAM2
    "\u12535",  # CUNEIFORM SIGN SHE PLUS SAR
    "\u12536",  # CUNEIFORM SIGN SHU2 PLUS DUG TIMES NI
    "\u12537",  # CUNEIFORM SIGN SHU2 PLUS E2 TIMES AN
    "\u12538",  # CUNEIFORM SIGN SI TIMES TAK4
    "\u12539",  # CUNEIFORM SIGN TAK4 PLUS SAG
    "\u1253A",  # CUNEIFORM SIGN TUM TIMES GAN2 TENU
    "\u1253B",  # CUNEIFORM SIGN TUM TIMES THREE DISH
    "\u1253C",  # CUNEIFORM SIGN UR2 INVERTED
    "\u1253D",  # CUNEIFORM SIGN UR2 TIMES UD
    "\u1253E",  # CUNEIFORM SIGN URU TIMES DARA3
    "\u1253F",  # CUNEIFORM SIGN URU TIMES LAK-668
    "\u12540",  # CUNEIFORM SIGN URU TIMES LU3
    "\u12541",  # CUNEIFORM SIGN ZA7
    "\u12542",  # CUNEIFORM SIGN ZU OVER ZU PLUS SAR
    "\u12543",  # CUNEIFORM SIGN ZU5 TIMES THREE DISH TENU
    "\u13000",  # EGYPTIAN HIEROGLYPH A001
    "\u13001",  # EGYPTIAN HIEROGLYPH A002
    "\u13002",  # EGYPTIAN HIEROGLYPH A003
    "\u13003",  # EGYPTIAN HIEROGLYPH A004
    "\u13004",  # EGYPTIAN HIEROGLYPH A005
    "\u13005",  # EGYPTIAN HIEROGLYPH A005A
    "\u13006",  # EGYPTIAN HIEROGLYPH A006
    "\u13007",  # EGYPTIAN HIEROGLYPH A006A
    "\u13008",  # EGYPTIAN HIEROGLYPH A006B
    "\u13009",  # EGYPTIAN HIEROGLYPH A007
    "\u1300A",  # EGYPTIAN HIEROGLYPH A008
    "\u1300B",  # EGYPTIAN HIEROGLYPH A009
    "\u1300C",  # EGYPTIAN HIEROGLYPH A010
    "\u1300D",  # EGYPTIAN HIEROGLYPH A011
    "\u1300E",  # EGYPTIAN HIEROGLYPH A012
    "\u1300F",  # EGYPTIAN HIEROGLYPH A013
    "\u13010",  # EGYPTIAN HIEROGLYPH A014
    "\u13011",  # EGYPTIAN HIEROGLYPH A014A
    "\u13012",  # EGYPTIAN HIEROGLYPH A015
    "\u13013",  # EGYPTIAN HIEROGLYPH A016
    "\u13014",  # EGYPTIAN HIEROGLYPH A017
    "\u13015",  # EGYPTIAN HIEROGLYPH A017A
    "\u13016",  # EGYPTIAN HIEROGLYPH A018
    "\u13017",  # EGYPTIAN HIEROGLYPH A019
    "\u13018",  # EGYPTIAN HIEROGLYPH A020
    "\u13019",  # EGYPTIAN HIEROGLYPH A021
    "\u1301A",  # EGYPTIAN HIEROGLYPH A022
    "\u1301B",  # EGYPTIAN HIEROGLYPH A023
    "\u1301C",  # EGYPTIAN HIEROGLYPH A024
    "\u1301D",  # EGYPTIAN HIEROGLYPH A025
    "\u1301E",  # EGYPTIAN HIEROGLYPH A026
    "\u1301F",  # EGYPTIAN HIEROGLYPH A027
    "\u13020",  # EGYPTIAN HIEROGLYPH A028
    "\u13021",  # EGYPTIAN HIEROGLYPH A029
    "\u13022",  # EGYPTIAN HIEROGLYPH A030
    "\u13023",  # EGYPTIAN HIEROGLYPH A031
    "\u13024",  # EGYPTIAN HIEROGLYPH A032
    "\u13025",  # EGYPTIAN HIEROGLYPH A032A
    "\u13026",  # EGYPTIAN HIEROGLYPH A033
    "\u13027",  # EGYPTIAN HIEROGLYPH A034
    "\u13028",  # EGYPTIAN HIEROGLYPH A035
    "\u13029",  # EGYPTIAN HIEROGLYPH A036
    "\u1302A",  # EGYPTIAN HIEROGLYPH A037
    "\u1302B",  # EGYPTIAN HIEROGLYPH A038
    "\u1302C",  # EGYPTIAN HIEROGLYPH A039
    "\u1302D",  # EGYPTIAN HIEROGLYPH A040
    "\u1302E",  # EGYPTIAN HIEROGLYPH A040A
    "\u1302F",  # EGYPTIAN HIEROGLYPH A041
    "\u13030",  # EGYPTIAN HIEROGLYPH A042
    "\u13031",  # EGYPTIAN HIEROGLYPH A042A
    "\u13032",  # EGYPTIAN HIEROGLYPH A043
    "\u13033",  # EGYPTIAN HIEROGLYPH A043A
    "\u13034",  # EGYPTIAN HIEROGLYPH A044
    "\u13035",  # EGYPTIAN HIEROGLYPH A045
    "\u13036",  # EGYPTIAN HIEROGLYPH A045A
    "\u13037",  # EGYPTIAN HIEROGLYPH A046
    "\u13038",  # EGYPTIAN HIEROGLYPH A047
    "\u13039",  # EGYPTIAN HIEROGLYPH A048
    "\u1303A",  # EGYPTIAN HIEROGLYPH A049
    "\u1303B",  # EGYPTIAN HIEROGLYPH A050
    "\u1303C",  # EGYPTIAN HIEROGLYPH A051
    "\u1303D",  # EGYPTIAN HIEROGLYPH A052
    "\u1303E",  # EGYPTIAN HIEROGLYPH A053
    "\u1303F",  # EGYPTIAN HIEROGLYPH A054
    "\u13040",  # EGYPTIAN HIEROGLYPH A055
    "\u13041",  # EGYPTIAN HIEROGLYPH A056
    "\u13042",  # EGYPTIAN HIEROGLYPH A057
    "\u13043",  # EGYPTIAN HIEROGLYPH A058
    "\u13044",  # EGYPTIAN HIEROGLYPH A059
    "\u13045",  # EGYPTIAN HIEROGLYPH A060
    "\u13046",  # EGYPTIAN HIEROGLYPH A061
    "\u13047",  # EGYPTIAN HIEROGLYPH A062
    "\u13048",  # EGYPTIAN HIEROGLYPH A063
    "\u13049",  # EGYPTIAN HIEROGLYPH A064
    "\u1304A",  # EGYPTIAN HIEROGLYPH A065
    "\u1304B",  # EGYPTIAN HIEROGLYPH A066
    "\u1304C",  # EGYPTIAN HIEROGLYPH A067
    "\u1304D",  # EGYPTIAN HIEROGLYPH A068
    "\u1304E",  # EGYPTIAN HIEROGLYPH A069
    "\u1304F",  # EGYPTIAN HIEROGLYPH A070
    "\u13050",  # EGYPTIAN HIEROGLYPH B001
    "\u13051",  # EGYPTIAN HIEROGLYPH B002
    "\u13052",  # EGYPTIAN HIEROGLYPH B003
    "\u13053",  # EGYPTIAN HIEROGLYPH B004
    "\u13054",  # EGYPTIAN HIEROGLYPH B005
    "\u13055",  # EGYPTIAN HIEROGLYPH B005A
    "\u13056",  # EGYPTIAN HIEROGLYPH B006
    "\u13057",  # EGYPTIAN HIEROGLYPH B007
    "\u13058",  # EGYPTIAN HIEROGLYPH B008
    "\u13059",  # EGYPTIAN HIEROGLYPH B009
    "\u1305A",  # EGYPTIAN HIEROGLYPH C001
    "\u1305B",  # EGYPTIAN HIEROGLYPH C002
    "\u1305C",  # EGYPTIAN HIEROGLYPH C002A
    "\u1305D",  # EGYPTIAN HIEROGLYPH C002B
    "\u1305E",  # EGYPTIAN HIEROGLYPH C002C
    "\u1305F",  # EGYPTIAN HIEROGLYPH C003
    "\u13060",  # EGYPTIAN HIEROGLYPH C004
    "\u13061",  # EGYPTIAN HIEROGLYPH C005
    "\u13062",  # EGYPTIAN HIEROGLYPH C006
    "\u13063",  # EGYPTIAN HIEROGLYPH C007
    "\u13064",  # EGYPTIAN HIEROGLYPH C008
    "\u13065",  # EGYPTIAN HIEROGLYPH C009
    "\u13066",  # EGYPTIAN HIEROGLYPH C010
    "\u13067",  # EGYPTIAN HIEROGLYPH C010A
    "\u13068",  # EGYPTIAN HIEROGLYPH C011
    "\u13069",  # EGYPTIAN HIEROGLYPH C012
    "\u1306A",  # EGYPTIAN HIEROGLYPH C013
    "\u1306B",  # EGYPTIAN HIEROGLYPH C014
    "\u1306C",  # EGYPTIAN HIEROGLYPH C015
    "\u1306D",  # EGYPTIAN HIEROGLYPH C016
    "\u1306E",  # EGYPTIAN HIEROGLYPH C017
    "\u1306F",  # EGYPTIAN HIEROGLYPH C018
    "\u13070",  # EGYPTIAN HIEROGLYPH C019
    "\u13071",  # EGYPTIAN HIEROGLYPH C020
    "\u13072",  # EGYPTIAN HIEROGLYPH C021
    "\u13073",  # EGYPTIAN HIEROGLYPH C022
    "\u13074",  # EGYPTIAN HIEROGLYPH C023
    "\u13075",  # EGYPTIAN HIEROGLYPH C024
    "\u13076",  # EGYPTIAN HIEROGLYPH D001
    "\u13077",  # EGYPTIAN HIEROGLYPH D002
    "\u13078",  # EGYPTIAN HIEROGLYPH D003
    "\u13079",  # EGYPTIAN HIEROGLYPH D004
    "\u1307A",  # EGYPTIAN HIEROGLYPH D005
    "\u1307B",  # EGYPTIAN HIEROGLYPH D006
    "\u1307C",  # EGYPTIAN HIEROGLYPH D007
    "\u1307D",  # EGYPTIAN HIEROGLYPH D008
    "\u1307E",  # EGYPTIAN HIEROGLYPH D008A
    "\u1307F",  # EGYPTIAN HIEROGLYPH D009
    "\u13080",  # EGYPTIAN HIEROGLYPH D010
    "\u13081",  # EGYPTIAN HIEROGLYPH D011
    "\u13082",  # EGYPTIAN HIEROGLYPH D012
    "\u13083",  # EGYPTIAN HIEROGLYPH D013
    "\u13084",  # EGYPTIAN HIEROGLYPH D014
    "\u13085",  # EGYPTIAN HIEROGLYPH D015
    "\u13086",  # EGYPTIAN HIEROGLYPH D016
    "\u13087",  # EGYPTIAN HIEROGLYPH D017
    "\u13088",  # EGYPTIAN HIEROGLYPH D018
    "\u13089",  # EGYPTIAN HIEROGLYPH D019
    "\u1308A",  # EGYPTIAN HIEROGLYPH D020
    "\u1308B",  # EGYPTIAN HIEROGLYPH D021
    "\u1308C",  # EGYPTIAN HIEROGLYPH D022
    "\u1308D",  # EGYPTIAN HIEROGLYPH D023
    "\u1308E",  # EGYPTIAN HIEROGLYPH D024
    "\u1308F",  # EGYPTIAN HIEROGLYPH D025
    "\u13090",  # EGYPTIAN HIEROGLYPH D026
    "\u13091",  # EGYPTIAN HIEROGLYPH D027
    "\u13092",  # EGYPTIAN HIEROGLYPH D027A
    "\u13093",  # EGYPTIAN HIEROGLYPH D028
    "\u13094",  # EGYPTIAN HIEROGLYPH D029
    "\u13095",  # EGYPTIAN HIEROGLYPH D030
    "\u13096",  # EGYPTIAN HIEROGLYPH D031
    "\u13097",  # EGYPTIAN HIEROGLYPH D031A
    "\u13098",  # EGYPTIAN HIEROGLYPH D032
    "\u13099",  # EGYPTIAN HIEROGLYPH D033
    "\u1309A",  # EGYPTIAN HIEROGLYPH D034
    "\u1309B",  # EGYPTIAN HIEROGLYPH D034A
    "\u1309C",  # EGYPTIAN HIEROGLYPH D035
    "\u1309D",  # EGYPTIAN HIEROGLYPH D036
    "\u1309E",  # EGYPTIAN HIEROGLYPH D037
    "\u1309F",  # EGYPTIAN HIEROGLYPH D038
    "\u130A0",  # EGYPTIAN HIEROGLYPH D039
    "\u130A1",  # EGYPTIAN HIEROGLYPH D040
    "\u130A2",  # EGYPTIAN HIEROGLYPH D041
    "\u130A3",  # EGYPTIAN HIEROGLYPH D042
    "\u130A4",  # EGYPTIAN HIEROGLYPH D043
    "\u130A5",  # EGYPTIAN HIEROGLYPH D044
    "\u130A6",  # EGYPTIAN HIEROGLYPH D045
    "\u130A7",  # EGYPTIAN HIEROGLYPH D046
    "\u130A8",  # EGYPTIAN HIEROGLYPH D046A
    "\u130A9",  # EGYPTIAN HIEROGLYPH D047
    "\u130AA",  # EGYPTIAN HIEROGLYPH D048
    "\u130AB",  # EGYPTIAN HIEROGLYPH D048A
    "\u130AC",  # EGYPTIAN HIEROGLYPH D049
    "\u130AD",  # EGYPTIAN HIEROGLYPH D050
    "\u130AE",  # EGYPTIAN HIEROGLYPH D050A
    "\u130AF",  # EGYPTIAN HIEROGLYPH D050B
    "\u130B0",  # EGYPTIAN HIEROGLYPH D050C
    "\u130B1",  # EGYPTIAN HIEROGLYPH D050D
    "\u130B2",  # EGYPTIAN HIEROGLYPH D050E
    "\u130B3",  # EGYPTIAN HIEROGLYPH D050F
    "\u130B4",  # EGYPTIAN HIEROGLYPH D050G
    "\u130B5",  # EGYPTIAN HIEROGLYPH D050H
    "\u130B6",  # EGYPTIAN HIEROGLYPH D050I
    "\u130B7",  # EGYPTIAN HIEROGLYPH D051
    "\u130B8",  # EGYPTIAN HIEROGLYPH D052
    "\u130B9",  # EGYPTIAN HIEROGLYPH D052A
    "\u130BA",  # EGYPTIAN HIEROGLYPH D053
    "\u130BB",  # EGYPTIAN HIEROGLYPH D054
    "\u130BC",  # EGYPTIAN HIEROGLYPH D054A
    "\u130BD",  # EGYPTIAN HIEROGLYPH D055
    "\u130BE",  # EGYPTIAN HIEROGLYPH D056
    "\u130BF",  # EGYPTIAN HIEROGLYPH D057
    "\u130C0",  # EGYPTIAN HIEROGLYPH D058
    "\u130C1",  # EGYPTIAN HIEROGLYPH D059
    "\u130C2",  # EGYPTIAN HIEROGLYPH D060
    "\u130C3",  # EGYPTIAN HIEROGLYPH D061
    "\u130C4",  # EGYPTIAN HIEROGLYPH D062
    "\u130C5",  # EGYPTIAN HIEROGLYPH D063
    "\u130C6",  # EGYPTIAN HIEROGLYPH D064
    "\u130C7",  # EGYPTIAN HIEROGLYPH D065
    "\u130C8",  # EGYPTIAN HIEROGLYPH D066
    "\u130C9",  # EGYPTIAN HIEROGLYPH D067
    "\u130CA",  # EGYPTIAN HIEROGLYPH D067A
    "\u130CB",  # EGYPTIAN HIEROGLYPH D067B
    "\u130CC",  # EGYPTIAN HIEROGLYPH D067C
    "\u130CD",  # EGYPTIAN HIEROGLYPH D067D
    "\u130CE",  # EGYPTIAN HIEROGLYPH D067E
    "\u130CF",  # EGYPTIAN HIEROGLYPH D067F
    "\u130D0",  # EGYPTIAN HIEROGLYPH D067G
    "\u130D1",  # EGYPTIAN HIEROGLYPH D067H
    "\u130D2",  # EGYPTIAN HIEROGLYPH E001
    "\u130D3",  # EGYPTIAN HIEROGLYPH E002
    "\u130D4",  # EGYPTIAN HIEROGLYPH E003
    "\u130D5",  # EGYPTIAN HIEROGLYPH E004
    "\u130D6",  # EGYPTIAN HIEROGLYPH E005
    "\u130D7",  # EGYPTIAN HIEROGLYPH E006
    "\u130D8",  # EGYPTIAN HIEROGLYPH E007
    "\u130D9",  # EGYPTIAN HIEROGLYPH E008
    "\u130DA",  # EGYPTIAN HIEROGLYPH E008A
    "\u130DB",  # EGYPTIAN HIEROGLYPH E009
    "\u130DC",  # EGYPTIAN HIEROGLYPH E009A
    "\u130DD",  # EGYPTIAN HIEROGLYPH E010
    "\u130DE",  # EGYPTIAN HIEROGLYPH E011
    "\u130DF",  # EGYPTIAN HIEROGLYPH E012
    "\u130E0",  # EGYPTIAN HIEROGLYPH E013
    "\u130E1",  # EGYPTIAN HIEROGLYPH E014
    "\u130E2",  # EGYPTIAN HIEROGLYPH E015
    "\u130E3",  # EGYPTIAN HIEROGLYPH E016
    "\u130E4",  # EGYPTIAN HIEROGLYPH E016A
    "\u130E5",  # EGYPTIAN HIEROGLYPH E017
    "\u130E6",  # EGYPTIAN HIEROGLYPH E017A
    "\u130E7",  # EGYPTIAN HIEROGLYPH E018
    "\u130E8",  # EGYPTIAN HIEROGLYPH E019
    "\u130E9",  # EGYPTIAN HIEROGLYPH E020
    "\u130EA",  # EGYPTIAN HIEROGLYPH E020A
    "\u130EB",  # EGYPTIAN HIEROGLYPH E021
    "\u130EC",  # EGYPTIAN HIEROGLYPH E022
    "\u130ED",  # EGYPTIAN HIEROGLYPH E023
    "\u130EE",  # EGYPTIAN HIEROGLYPH E024
    "\u130EF",  # EGYPTIAN HIEROGLYPH E025
    "\u130F0",  # EGYPTIAN HIEROGLYPH E026
    "\u130F1",  # EGYPTIAN HIEROGLYPH E027
    "\u130F2",  # EGYPTIAN HIEROGLYPH E028
    "\u130F3",  # EGYPTIAN HIEROGLYPH E028A
    "\u130F4",  # EGYPTIAN HIEROGLYPH E029
    "\u130F5",  # EGYPTIAN HIEROGLYPH E030
    "\u130F6",  # EGYPTIAN HIEROGLYPH E031
    "\u130F7",  # EGYPTIAN HIEROGLYPH E032
    "\u130F8",  # EGYPTIAN HIEROGLYPH E033
    "\u130F9",  # EGYPTIAN HIEROGLYPH E034
    "\u130FA",  # EGYPTIAN HIEROGLYPH E034A
    "\u130FB",  # EGYPTIAN HIEROGLYPH E036
    "\u130FC",  # EGYPTIAN HIEROGLYPH E037
    "\u130FD",  # EGYPTIAN HIEROGLYPH E038
    "\u130FE",  # EGYPTIAN HIEROGLYPH F001
    "\u130FF",  # EGYPTIAN HIEROGLYPH F001A
    "\u13100",  # EGYPTIAN HIEROGLYPH F002
    "\u13101",  # EGYPTIAN HIEROGLYPH F003
    "\u13102",  # EGYPTIAN HIEROGLYPH F004
    "\u13103",  # EGYPTIAN HIEROGLYPH F005
    "\u13104",  # EGYPTIAN HIEROGLYPH F006
    "\u13105",  # EGYPTIAN HIEROGLYPH F007
    "\u13106",  # EGYPTIAN HIEROGLYPH F008
    "\u13107",  # EGYPTIAN HIEROGLYPH F009
    "\u13108",  # EGYPTIAN HIEROGLYPH F010
    "\u13109",  # EGYPTIAN HIEROGLYPH F011
    "\u1310A",  # EGYPTIAN HIEROGLYPH F012
    "\u1310B",  # EGYPTIAN HIEROGLYPH F013
    "\u1310C",  # EGYPTIAN HIEROGLYPH F013A
    "\u1310D",  # EGYPTIAN HIEROGLYPH F014
    "\u1310E",  # EGYPTIAN HIEROGLYPH F015
    "\u1310F",  # EGYPTIAN HIEROGLYPH F016
    "\u13110",  # EGYPTIAN HIEROGLYPH F017
    "\u13111",  # EGYPTIAN HIEROGLYPH F018
    "\u13112",  # EGYPTIAN HIEROGLYPH F019
    "\u13113",  # EGYPTIAN HIEROGLYPH F020
    "\u13114",  # EGYPTIAN HIEROGLYPH F021
    "\u13115",  # EGYPTIAN HIEROGLYPH F021A
    "\u13116",  # EGYPTIAN HIEROGLYPH F022
    "\u13117",  # EGYPTIAN HIEROGLYPH F023
    "\u13118",  # EGYPTIAN HIEROGLYPH F024
    "\u13119",  # EGYPTIAN HIEROGLYPH F025
    "\u1311A",  # EGYPTIAN HIEROGLYPH F026
    "\u1311B",  # EGYPTIAN HIEROGLYPH F027
    "\u1311C",  # EGYPTIAN HIEROGLYPH F028
    "\u1311D",  # EGYPTIAN HIEROGLYPH F029
    "\u1311E",  # EGYPTIAN HIEROGLYPH F030
    "\u1311F",  # EGYPTIAN HIEROGLYPH F031
    "\u13120",  # EGYPTIAN HIEROGLYPH F031A
    "\u13121",  # EGYPTIAN HIEROGLYPH F032
    "\u13122",  # EGYPTIAN HIEROGLYPH F033
    "\u13123",  # EGYPTIAN HIEROGLYPH F034
    "\u13124",  # EGYPTIAN HIEROGLYPH F035
    "\u13125",  # EGYPTIAN HIEROGLYPH F036
    "\u13126",  # EGYPTIAN HIEROGLYPH F037
    "\u13127",  # EGYPTIAN HIEROGLYPH F037A
    "\u13128",  # EGYPTIAN HIEROGLYPH F038
    "\u13129",  # EGYPTIAN HIEROGLYPH F038A
    "\u1312A",  # EGYPTIAN HIEROGLYPH F039
    "\u1312B",  # EGYPTIAN HIEROGLYPH F040
    "\u1312C",  # EGYPTIAN HIEROGLYPH F041
    "\u1312D",  # EGYPTIAN HIEROGLYPH F042
    "\u1312E",  # EGYPTIAN HIEROGLYPH F043
    "\u1312F",  # EGYPTIAN HIEROGLYPH F044
    "\u13130",  # EGYPTIAN HIEROGLYPH F045
    "\u13131",  # EGYPTIAN HIEROGLYPH F045A
    "\u13132",  # EGYPTIAN HIEROGLYPH F046
    "\u13133",  # EGYPTIAN HIEROGLYPH F046A
    "\u13134",  # EGYPTIAN HIEROGLYPH F047
    "\u13135",  # EGYPTIAN HIEROGLYPH F047A
    "\u13136",  # EGYPTIAN HIEROGLYPH F048
    "\u13137",  # EGYPTIAN HIEROGLYPH F049
    "\u13138",  # EGYPTIAN HIEROGLYPH F050
    "\u13139",  # EGYPTIAN HIEROGLYPH F051
    "\u1313A",  # EGYPTIAN HIEROGLYPH F051A
    "\u1313B",  # EGYPTIAN HIEROGLYPH F051B
    "\u1313C",  # EGYPTIAN HIEROGLYPH F051C
    "\u1313D",  # EGYPTIAN HIEROGLYPH F052
    "\u1313E",  # EGYPTIAN HIEROGLYPH F053
    "\u1313F",  # EGYPTIAN HIEROGLYPH G001
    "\u13140",  # EGYPTIAN HIEROGLYPH G002
    "\u13141",  # EGYPTIAN HIEROGLYPH G003
    "\u13142",  # EGYPTIAN HIEROGLYPH G004
    "\u13143",  # EGYPTIAN HIEROGLYPH G005
    "\u13144",  # EGYPTIAN HIEROGLYPH G006
    "\u13145",  # EGYPTIAN HIEROGLYPH G006A
    "\u13146",  # EGYPTIAN HIEROGLYPH G007
    "\u13147",  # EGYPTIAN HIEROGLYPH G007A
    "\u13148",  # EGYPTIAN HIEROGLYPH G007B
    "\u13149",  # EGYPTIAN HIEROGLYPH G008
    "\u1314A",  # EGYPTIAN HIEROGLYPH G009
    "\u1314B",  # EGYPTIAN HIEROGLYPH G010
    "\u1314C",  # EGYPTIAN HIEROGLYPH G011
    "\u1314D",  # EGYPTIAN HIEROGLYPH G011A
    "\u1314E",  # EGYPTIAN HIEROGLYPH G012
    "\u1314F",  # EGYPTIAN HIEROGLYPH G013
    "\u13150",  # EGYPTIAN HIEROGLYPH G014
    "\u13151",  # EGYPTIAN HIEROGLYPH G015
    "\u13152",  # EGYPTIAN HIEROGLYPH G016
    "\u13153",  # EGYPTIAN HIEROGLYPH G017
    "\u13154",  # EGYPTIAN HIEROGLYPH G018
    "\u13155",  # EGYPTIAN HIEROGLYPH G019
    "\u13156",  # EGYPTIAN HIEROGLYPH G020
    "\u13157",  # EGYPTIAN HIEROGLYPH G020A
    "\u13158",  # EGYPTIAN HIEROGLYPH G021
    "\u13159",  # EGYPTIAN HIEROGLYPH G022
    "\u1315A",  # EGYPTIAN HIEROGLYPH G023
    "\u1315B",  # EGYPTIAN HIEROGLYPH G024
    "\u1315C",  # EGYPTIAN HIEROGLYPH G025
    "\u1315D",  # EGYPTIAN HIEROGLYPH G026
    "\u1315E",  # EGYPTIAN HIEROGLYPH G026A
    "\u1315F",  # EGYPTIAN HIEROGLYPH G027
    "\u13160",  # EGYPTIAN HIEROGLYPH G028
    "\u13161",  # EGYPTIAN HIEROGLYPH G029
    "\u13162",  # EGYPTIAN HIEROGLYPH G030
    "\u13163",  # EGYPTIAN HIEROGLYPH G031
    "\u13164",  # EGYPTIAN HIEROGLYPH G032
    "\u13165",  # EGYPTIAN HIEROGLYPH G033
    "\u13166",  # EGYPTIAN HIEROGLYPH G034
    "\u13167",  # EGYPTIAN HIEROGLYPH G035
    "\u13168",  # EGYPTIAN HIEROGLYPH G036
    "\u13169",  # EGYPTIAN HIEROGLYPH G036A
    "\u1316A",  # EGYPTIAN HIEROGLYPH G037
    "\u1316B",  # EGYPTIAN HIEROGLYPH G037A
    "\u1316C",  # EGYPTIAN HIEROGLYPH G038
    "\u1316D",  # EGYPTIAN HIEROGLYPH G039
    "\u1316E",  # EGYPTIAN HIEROGLYPH G040
    "\u1316F",  # EGYPTIAN HIEROGLYPH G041
    "\u13170",  # EGYPTIAN HIEROGLYPH G042
    "\u13171",  # EGYPTIAN HIEROGLYPH G043
    "\u13172",  # EGYPTIAN HIEROGLYPH G043A
    "\u13173",  # EGYPTIAN HIEROGLYPH G044
    "\u13174",  # EGYPTIAN HIEROGLYPH G045
    "\u13175",  # EGYPTIAN HIEROGLYPH G045A
    "\u13176",  # EGYPTIAN HIEROGLYPH G046
    "\u13177",  # EGYPTIAN HIEROGLYPH G047
    "\u13178",  # EGYPTIAN HIEROGLYPH G048
    "\u13179",  # EGYPTIAN HIEROGLYPH G049
    "\u1317A",  # EGYPTIAN HIEROGLYPH G050
    "\u1317B",  # EGYPTIAN HIEROGLYPH G051
    "\u1317C",  # EGYPTIAN HIEROGLYPH G052
    "\u1317D",  # EGYPTIAN HIEROGLYPH G053
    "\u1317E",  # EGYPTIAN HIEROGLYPH G054
    "\u1317F",  # EGYPTIAN HIEROGLYPH H001
    "\u13180",  # EGYPTIAN HIEROGLYPH H002
    "\u13181",  # EGYPTIAN HIEROGLYPH H003
    "\u13182",  # EGYPTIAN HIEROGLYPH H004
    "\u13183",  # EGYPTIAN HIEROGLYPH H005
    "\u13184",  # EGYPTIAN HIEROGLYPH H006
    "\u13185",  # EGYPTIAN HIEROGLYPH H006A
    "\u13186",  # EGYPTIAN HIEROGLYPH H007
    "\u13187",  # EGYPTIAN HIEROGLYPH H008
    "\u13188",  # EGYPTIAN HIEROGLYPH I001
    "\u13189",  # EGYPTIAN HIEROGLYPH I002
    "\u1318A",  # EGYPTIAN HIEROGLYPH I003
    "\u1318B",  # EGYPTIAN HIEROGLYPH I004
    "\u1318C",  # EGYPTIAN HIEROGLYPH I005
    "\u1318D",  # EGYPTIAN HIEROGLYPH I005A
    "\u1318E",  # EGYPTIAN HIEROGLYPH I006
    "\u1318F",  # EGYPTIAN HIEROGLYPH I007
    "\u13190",  # EGYPTIAN HIEROGLYPH I008
    "\u13191",  # EGYPTIAN HIEROGLYPH I009
    "\u13192",  # EGYPTIAN HIEROGLYPH I009A
    "\u13193",  # EGYPTIAN HIEROGLYPH I010
    "\u13194",  # EGYPTIAN HIEROGLYPH I010A
    "\u13195",  # EGYPTIAN HIEROGLYPH I011
    "\u13196",  # EGYPTIAN HIEROGLYPH I011A
    "\u13197",  # EGYPTIAN HIEROGLYPH I012
    "\u13198",  # EGYPTIAN HIEROGLYPH I013
    "\u13199",  # EGYPTIAN HIEROGLYPH I014
    "\u1319A",  # EGYPTIAN HIEROGLYPH I015
    "\u1319B",  # EGYPTIAN HIEROGLYPH K001
    "\u1319C",  # EGYPTIAN HIEROGLYPH K002
    "\u1319D",  # EGYPTIAN HIEROGLYPH K003
    "\u1319E",  # EGYPTIAN HIEROGLYPH K004
    "\u1319F",  # EGYPTIAN HIEROGLYPH K005
    "\u131A0",  # EGYPTIAN HIEROGLYPH K006
    "\u131A1",  # EGYPTIAN HIEROGLYPH K007
    "\u131A2",  # EGYPTIAN HIEROGLYPH K008
    "\u131A3",  # EGYPTIAN HIEROGLYPH L001
    "\u131A4",  # EGYPTIAN HIEROGLYPH L002
    "\u131A5",  # EGYPTIAN HIEROGLYPH L002A
    "\u131A6",  # EGYPTIAN HIEROGLYPH L003
    "\u131A7",  # EGYPTIAN HIEROGLYPH L004
    "\u131A8",  # EGYPTIAN HIEROGLYPH L005
    "\u131A9",  # EGYPTIAN HIEROGLYPH L006
    "\u131AA",  # EGYPTIAN HIEROGLYPH L006A
    "\u131AB",  # EGYPTIAN HIEROGLYPH L007
    "\u131AC",  # EGYPTIAN HIEROGLYPH L008
    "\u131AD",  # EGYPTIAN HIEROGLYPH M001
    "\u131AE",  # EGYPTIAN HIEROGLYPH M001A
    "\u131AF",  # EGYPTIAN HIEROGLYPH M001B
    "\u131B0",  # EGYPTIAN HIEROGLYPH M002
    "\u131B1",  # EGYPTIAN HIEROGLYPH M003
    "\u131B2",  # EGYPTIAN HIEROGLYPH M003A
    "\u131B3",  # EGYPTIAN HIEROGLYPH M004
    "\u131B4",  # EGYPTIAN HIEROGLYPH M005
    "\u131B5",  # EGYPTIAN HIEROGLYPH M006
    "\u131B6",  # EGYPTIAN HIEROGLYPH M007
    "\u131B7",  # EGYPTIAN HIEROGLYPH M008
    "\u131B8",  # EGYPTIAN HIEROGLYPH M009
    "\u131B9",  # EGYPTIAN HIEROGLYPH M010
    "\u131BA",  # EGYPTIAN HIEROGLYPH M010A
    "\u131BB",  # EGYPTIAN HIEROGLYPH M011
    "\u131BC",  # EGYPTIAN HIEROGLYPH M012
    "\u131BD",  # EGYPTIAN HIEROGLYPH M012A
    "\u131BE",  # EGYPTIAN HIEROGLYPH M012B
    "\u131BF",  # EGYPTIAN HIEROGLYPH M012C
    "\u131C0",  # EGYPTIAN HIEROGLYPH M012D
    "\u131C1",  # EGYPTIAN HIEROGLYPH M012E
    "\u131C2",  # EGYPTIAN HIEROGLYPH M012F
    "\u131C3",  # EGYPTIAN HIEROGLYPH M012G
    "\u131C4",  # EGYPTIAN HIEROGLYPH M012H
    "\u131C5",  # EGYPTIAN HIEROGLYPH M013
    "\u131C6",  # EGYPTIAN HIEROGLYPH M014
    "\u131C7",  # EGYPTIAN HIEROGLYPH M015
    "\u131C8",  # EGYPTIAN HIEROGLYPH M015A
    "\u131C9",  # EGYPTIAN HIEROGLYPH M016
    "\u131CA",  # EGYPTIAN HIEROGLYPH M016A
    "\u131CB",  # EGYPTIAN HIEROGLYPH M017
    "\u131CC",  # EGYPTIAN HIEROGLYPH M017A
    "\u131CD",  # EGYPTIAN HIEROGLYPH M018
    "\u131CE",  # EGYPTIAN HIEROGLYPH M019
    "\u131CF",  # EGYPTIAN HIEROGLYPH M020
    "\u131D0",  # EGYPTIAN HIEROGLYPH M021
    "\u131D1",  # EGYPTIAN HIEROGLYPH M022
    "\u131D2",  # EGYPTIAN HIEROGLYPH M022A
    "\u131D3",  # EGYPTIAN HIEROGLYPH M023
    "\u131D4",  # EGYPTIAN HIEROGLYPH M024
    "\u131D5",  # EGYPTIAN HIEROGLYPH M024A
    "\u131D6",  # EGYPTIAN HIEROGLYPH M025
    "\u131D7",  # EGYPTIAN HIEROGLYPH M026
    "\u131D8",  # EGYPTIAN HIEROGLYPH M027
    "\u131D9",  # EGYPTIAN HIEROGLYPH M028
    "\u131DA",  # EGYPTIAN HIEROGLYPH M028A
    "\u131DB",  # EGYPTIAN HIEROGLYPH M029
    "\u131DC",  # EGYPTIAN HIEROGLYPH M030
    "\u131DD",  # EGYPTIAN HIEROGLYPH M031
    "\u131DE",  # EGYPTIAN HIEROGLYPH M031A
    "\u131DF",  # EGYPTIAN HIEROGLYPH M032
    "\u131E0",  # EGYPTIAN HIEROGLYPH M033
    "\u131E1",  # EGYPTIAN HIEROGLYPH M033A
    "\u131E2",  # EGYPTIAN HIEROGLYPH M033B
    "\u131E3",  # EGYPTIAN HIEROGLYPH M034
    "\u131E4",  # EGYPTIAN HIEROGLYPH M035
    "\u131E5",  # EGYPTIAN HIEROGLYPH M036
    "\u131E6",  # EGYPTIAN HIEROGLYPH M037
    "\u131E7",  # EGYPTIAN HIEROGLYPH M038
    "\u131E8",  # EGYPTIAN HIEROGLYPH M039
    "\u131E9",  # EGYPTIAN HIEROGLYPH M040
    "\u131EA",  # EGYPTIAN HIEROGLYPH M040A
    "\u131EB",  # EGYPTIAN HIEROGLYPH M041
    "\u131EC",  # EGYPTIAN HIEROGLYPH M042
    "\u131ED",  # EGYPTIAN HIEROGLYPH M043
    "\u131EE",  # EGYPTIAN HIEROGLYPH M044
    "\u131EF",  # EGYPTIAN HIEROGLYPH N001
    "\u131F0",  # EGYPTIAN HIEROGLYPH N002
    "\u131F1",  # EGYPTIAN HIEROGLYPH N003
    "\u131F2",  # EGYPTIAN HIEROGLYPH N004
    "\u131F3",  # EGYPTIAN HIEROGLYPH N005
    "\u131F4",  # EGYPTIAN HIEROGLYPH N006
    "\u131F5",  # EGYPTIAN HIEROGLYPH N007
    "\u131F6",  # EGYPTIAN HIEROGLYPH N008
    "\u131F7",  # EGYPTIAN HIEROGLYPH N009
    "\u131F8",  # EGYPTIAN HIEROGLYPH N010
    "\u131F9",  # EGYPTIAN HIEROGLYPH N011
    "\u131FA",  # EGYPTIAN HIEROGLYPH N012
    "\u131FB",  # EGYPTIAN HIEROGLYPH N013
    "\u131FC",  # EGYPTIAN HIEROGLYPH N014
    "\u131FD",  # EGYPTIAN HIEROGLYPH N015
    "\u131FE",  # EGYPTIAN HIEROGLYPH N016
    "\u131FF",  # EGYPTIAN HIEROGLYPH N017
    "\u13200",  # EGYPTIAN HIEROGLYPH N018
    "\u13201",  # EGYPTIAN HIEROGLYPH N018A
    "\u13202",  # EGYPTIAN HIEROGLYPH N018B
    "\u13203",  # EGYPTIAN HIEROGLYPH N019
    "\u13204",  # EGYPTIAN HIEROGLYPH N020
    "\u13205",  # EGYPTIAN HIEROGLYPH N021
    "\u13206",  # EGYPTIAN HIEROGLYPH N022
    "\u13207",  # EGYPTIAN HIEROGLYPH N023
    "\u13208",  # EGYPTIAN HIEROGLYPH N024
    "\u13209",  # EGYPTIAN HIEROGLYPH N025
    "\u1320A",  # EGYPTIAN HIEROGLYPH N025A
    "\u1320B",  # EGYPTIAN HIEROGLYPH N026
    "\u1320C",  # EGYPTIAN HIEROGLYPH N027
    "\u1320D",  # EGYPTIAN HIEROGLYPH N028
    "\u1320E",  # EGYPTIAN HIEROGLYPH N029
    "\u1320F",  # EGYPTIAN HIEROGLYPH N030
    "\u13210",  # EGYPTIAN HIEROGLYPH N031
    "\u13211",  # EGYPTIAN HIEROGLYPH N032
    "\u13212",  # EGYPTIAN HIEROGLYPH N033
    "\u13213",  # EGYPTIAN HIEROGLYPH N033A
    "\u13214",  # EGYPTIAN HIEROGLYPH N034
    "\u13215",  # EGYPTIAN HIEROGLYPH N034A
    "\u13216",  # EGYPTIAN HIEROGLYPH N035
    "\u13217",  # EGYPTIAN HIEROGLYPH N035A
    "\u13218",  # EGYPTIAN HIEROGLYPH N036
    "\u13219",  # EGYPTIAN HIEROGLYPH N037
    "\u1321A",  # EGYPTIAN HIEROGLYPH N037A
    "\u1321B",  # EGYPTIAN HIEROGLYPH N038
    "\u1321C",  # EGYPTIAN HIEROGLYPH N039
    "\u1321D",  # EGYPTIAN HIEROGLYPH N040
    "\u1321E",  # EGYPTIAN HIEROGLYPH N041
    "\u1321F",  # EGYPTIAN HIEROGLYPH N042
    "\u13220",  # EGYPTIAN HIEROGLYPH NL001
    "\u13221",  # EGYPTIAN HIEROGLYPH NL002
    "\u13222",  # EGYPTIAN HIEROGLYPH NL003
    "\u13223",  # EGYPTIAN HIEROGLYPH NL004
    "\u13224",  # EGYPTIAN HIEROGLYPH NL005
    "\u13225",  # EGYPTIAN HIEROGLYPH NL005A
    "\u13226",  # EGYPTIAN HIEROGLYPH NL006
    "\u13227",  # EGYPTIAN HIEROGLYPH NL007
    "\u13228",  # EGYPTIAN HIEROGLYPH NL008
    "\u13229",  # EGYPTIAN HIEROGLYPH NL009
    "\u1322A",  # EGYPTIAN HIEROGLYPH NL010
    "\u1322B",  # EGYPTIAN HIEROGLYPH NL011
    "\u1322C",  # EGYPTIAN HIEROGLYPH NL012
    "\u1322D",  # EGYPTIAN HIEROGLYPH NL013
    "\u1322E",  # EGYPTIAN HIEROGLYPH NL014
    "\u1322F",  # EGYPTIAN HIEROGLYPH NL015
    "\u13230",  # EGYPTIAN HIEROGLYPH NL016
    "\u13231",  # EGYPTIAN HIEROGLYPH NL017
    "\u13232",  # EGYPTIAN HIEROGLYPH NL017A
    "\u13233",  # EGYPTIAN HIEROGLYPH NL018
    "\u13234",  # EGYPTIAN HIEROGLYPH NL019
    "\u13235",  # EGYPTIAN HIEROGLYPH NL020
    "\u13236",  # EGYPTIAN HIEROGLYPH NU001
    "\u13237",  # EGYPTIAN HIEROGLYPH NU002
    "\u13238",  # EGYPTIAN HIEROGLYPH NU003
    "\u13239",  # EGYPTIAN HIEROGLYPH NU004
    "\u1323A",  # EGYPTIAN HIEROGLYPH NU005
    "\u1323B",  # EGYPTIAN HIEROGLYPH NU006
    "\u1323C",  # EGYPTIAN HIEROGLYPH NU007
    "\u1323D",  # EGYPTIAN HIEROGLYPH NU008
    "\u1323E",  # EGYPTIAN HIEROGLYPH NU009
    "\u1323F",  # EGYPTIAN HIEROGLYPH NU010
    "\u13240",  # EGYPTIAN HIEROGLYPH NU010A
    "\u13241",  # EGYPTIAN HIEROGLYPH NU011
    "\u13242",  # EGYPTIAN HIEROGLYPH NU011A
    "\u13243",  # EGYPTIAN HIEROGLYPH NU012
    "\u13244",  # EGYPTIAN HIEROGLYPH NU013
    "\u13245",  # EGYPTIAN HIEROGLYPH NU014
    "\u13246",  # EGYPTIAN HIEROGLYPH NU015
    "\u13247",  # EGYPTIAN HIEROGLYPH NU016
    "\u13248",  # EGYPTIAN HIEROGLYPH NU017
    "\u13249",  # EGYPTIAN HIEROGLYPH NU018
    "\u1324A",  # EGYPTIAN HIEROGLYPH NU018A
    "\u1324B",  # EGYPTIAN HIEROGLYPH NU019
    "\u1324C",  # EGYPTIAN HIEROGLYPH NU020
    "\u1324D",  # EGYPTIAN HIEROGLYPH NU021
    "\u1324E",  # EGYPTIAN HIEROGLYPH NU022
    "\u1324F",  # EGYPTIAN HIEROGLYPH NU022A
    "\u13250",  # EGYPTIAN HIEROGLYPH O001
    "\u13251",  # EGYPTIAN HIEROGLYPH O001A
    "\u13252",  # EGYPTIAN HIEROGLYPH O002
    "\u13253",  # EGYPTIAN HIEROGLYPH O003
    "\u13254",  # EGYPTIAN HIEROGLYPH O004
    "\u13255",  # EGYPTIAN HIEROGLYPH O005
    "\u13256",  # EGYPTIAN HIEROGLYPH O005A
    "\u13257",  # EGYPTIAN HIEROGLYPH O006
    "\u13258",  # EGYPTIAN HIEROGLYPH O006A
    "\u13259",  # EGYPTIAN HIEROGLYPH O006B
    "\u1325A",  # EGYPTIAN HIEROGLYPH O006C
    "\u1325B",  # EGYPTIAN HIEROGLYPH O006D
    "\u1325C",  # EGYPTIAN HIEROGLYPH O006E
    "\u1325D",  # EGYPTIAN HIEROGLYPH O006F
    "\u1325E",  # EGYPTIAN HIEROGLYPH O007
    "\u1325F",  # EGYPTIAN HIEROGLYPH O008
    "\u13260",  # EGYPTIAN HIEROGLYPH O009
    "\u13261",  # EGYPTIAN HIEROGLYPH O010
    "\u13262",  # EGYPTIAN HIEROGLYPH O010A
    "\u13263",  # EGYPTIAN HIEROGLYPH O010B
    "\u13264",  # EGYPTIAN HIEROGLYPH O010C
    "\u13265",  # EGYPTIAN HIEROGLYPH O011
    "\u13266",  # EGYPTIAN HIEROGLYPH O012
    "\u13267",  # EGYPTIAN HIEROGLYPH O013
    "\u13268",  # EGYPTIAN HIEROGLYPH O014
    "\u13269",  # EGYPTIAN HIEROGLYPH O015
    "\u1326A",  # EGYPTIAN HIEROGLYPH O016
    "\u1326B",  # EGYPTIAN HIEROGLYPH O017
    "\u1326C",  # EGYPTIAN HIEROGLYPH O018
    "\u1326D",  # EGYPTIAN HIEROGLYPH O019
    "\u1326E",  # EGYPTIAN HIEROGLYPH O019A
    "\u1326F",  # EGYPTIAN HIEROGLYPH O020
    "\u13270",  # EGYPTIAN HIEROGLYPH O020A
    "\u13271",  # EGYPTIAN HIEROGLYPH O021
    "\u13272",  # EGYPTIAN HIEROGLYPH O022
    "\u13273",  # EGYPTIAN HIEROGLYPH O023
    "\u13274",  # EGYPTIAN HIEROGLYPH O024
    "\u13275",  # EGYPTIAN HIEROGLYPH O024A
    "\u13276",  # EGYPTIAN HIEROGLYPH O025
    "\u13277",  # EGYPTIAN HIEROGLYPH O025A
    "\u13278",  # EGYPTIAN HIEROGLYPH O026
    "\u13279",  # EGYPTIAN HIEROGLYPH O027
    "\u1327A",  # EGYPTIAN HIEROGLYPH O028
    "\u1327B",  # EGYPTIAN HIEROGLYPH O029
    "\u1327C",  # EGYPTIAN HIEROGLYPH O029A
    "\u1327D",  # EGYPTIAN HIEROGLYPH O030
    "\u1327E",  # EGYPTIAN HIEROGLYPH O030A
    "\u1327F",  # EGYPTIAN HIEROGLYPH O031
    "\u13280",  # EGYPTIAN HIEROGLYPH O032
    "\u13281",  # EGYPTIAN HIEROGLYPH O033
    "\u13282",  # EGYPTIAN HIEROGLYPH O033A
    "\u13283",  # EGYPTIAN HIEROGLYPH O034
    "\u13284",  # EGYPTIAN HIEROGLYPH O035
    "\u13285",  # EGYPTIAN HIEROGLYPH O036
    "\u13286",  # EGYPTIAN HIEROGLYPH O036A
    "\u13287",  # EGYPTIAN HIEROGLYPH O036B
    "\u13288",  # EGYPTIAN HIEROGLYPH O036C
    "\u13289",  # EGYPTIAN HIEROGLYPH O036D
    "\u1328A",  # EGYPTIAN HIEROGLYPH O037
    "\u1328B",  # EGYPTIAN HIEROGLYPH O038
    "\u1328C",  # EGYPTIAN HIEROGLYPH O039
    "\u1328D",  # EGYPTIAN HIEROGLYPH O040
    "\u1328E",  # EGYPTIAN HIEROGLYPH O041
    "\u1328F",  # EGYPTIAN HIEROGLYPH O042
    "\u13290",  # EGYPTIAN HIEROGLYPH O043
    "\u13291",  # EGYPTIAN HIEROGLYPH O044
    "\u13292",  # EGYPTIAN HIEROGLYPH O045
    "\u13293",  # EGYPTIAN HIEROGLYPH O046
    "\u13294",  # EGYPTIAN HIEROGLYPH O047
    "\u13295",  # EGYPTIAN HIEROGLYPH O048
    "\u13296",  # EGYPTIAN HIEROGLYPH O049
    "\u13297",  # EGYPTIAN HIEROGLYPH O050
    "\u13298",  # EGYPTIAN HIEROGLYPH O050A
    "\u13299",  # EGYPTIAN HIEROGLYPH O050B
    "\u1329A",  # EGYPTIAN HIEROGLYPH O051
    "\u1329B",  # EGYPTIAN HIEROGLYPH P001
    "\u1329C",  # EGYPTIAN HIEROGLYPH P001A
    "\u1329D",  # EGYPTIAN HIEROGLYPH P002
    "\u1329E",  # EGYPTIAN HIEROGLYPH P003
    "\u1329F",  # EGYPTIAN HIEROGLYPH P003A
    "\u132A0",  # EGYPTIAN HIEROGLYPH P004
    "\u132A1",  # EGYPTIAN HIEROGLYPH P005
    "\u132A2",  # EGYPTIAN HIEROGLYPH P006
    "\u132A3",  # EGYPTIAN HIEROGLYPH P007
    "\u132A4",  # EGYPTIAN HIEROGLYPH P008
    "\u132A5",  # EGYPTIAN HIEROGLYPH P009
    "\u132A6",  # EGYPTIAN HIEROGLYPH P010
    "\u132A7",  # EGYPTIAN HIEROGLYPH P011
    "\u132A8",  # EGYPTIAN HIEROGLYPH Q001
    "\u132A9",  # EGYPTIAN HIEROGLYPH Q002
    "\u132AA",  # EGYPTIAN HIEROGLYPH Q003
    "\u132AB",  # EGYPTIAN HIEROGLYPH Q004
    "\u132AC",  # EGYPTIAN HIEROGLYPH Q005
    "\u132AD",  # EGYPTIAN HIEROGLYPH Q006
    "\u132AE",  # EGYPTIAN HIEROGLYPH Q007
    "\u132AF",  # EGYPTIAN HIEROGLYPH R001
    "\u132B0",  # EGYPTIAN HIEROGLYPH R002
    "\u132B1",  # EGYPTIAN HIEROGLYPH R002A
    "\u132B2",  # EGYPTIAN HIEROGLYPH R003
    "\u132B3",  # EGYPTIAN HIEROGLYPH R003A
    "\u132B4",  # EGYPTIAN HIEROGLYPH R003B
    "\u132B5",  # EGYPTIAN HIEROGLYPH R004
    "\u132B6",  # EGYPTIAN HIEROGLYPH R005
    "\u132B7",  # EGYPTIAN HIEROGLYPH R006
    "\u132B8",  # EGYPTIAN HIEROGLYPH R007
    "\u132B9",  # EGYPTIAN HIEROGLYPH R008
    "\u132BA",  # EGYPTIAN HIEROGLYPH R009
    "\u132BB",  # EGYPTIAN HIEROGLYPH R010
    "\u132BC",  # EGYPTIAN HIEROGLYPH R010A
    "\u132BD",  # EGYPTIAN HIEROGLYPH R011
    "\u132BE",  # EGYPTIAN HIEROGLYPH R012
    "\u132BF",  # EGYPTIAN HIEROGLYPH R013
    "\u132C0",  # EGYPTIAN HIEROGLYPH R014
    "\u132C1",  # EGYPTIAN HIEROGLYPH R015
    "\u132C2",  # EGYPTIAN HIEROGLYPH R016
    "\u132C3",  # EGYPTIAN HIEROGLYPH R016A
    "\u132C4",  # EGYPTIAN HIEROGLYPH R017
    "\u132C5",  # EGYPTIAN HIEROGLYPH R018
    "\u132C6",  # EGYPTIAN HIEROGLYPH R019
    "\u132C7",  # EGYPTIAN HIEROGLYPH R020
    "\u132C8",  # EGYPTIAN HIEROGLYPH R021
    "\u132C9",  # EGYPTIAN HIEROGLYPH R022
    "\u132CA",  # EGYPTIAN HIEROGLYPH R023
    "\u132CB",  # EGYPTIAN HIEROGLYPH R024
    "\u132CC",  # EGYPTIAN HIEROGLYPH R025
    "\u132CD",  # EGYPTIAN HIEROGLYPH R026
    "\u132CE",  # EGYPTIAN HIEROGLYPH R027
    "\u132CF",  # EGYPTIAN HIEROGLYPH R028
    "\u132D0",  # EGYPTIAN HIEROGLYPH R029
    "\u132D1",  # EGYPTIAN HIEROGLYPH S001
    "\u132D2",  # EGYPTIAN HIEROGLYPH S002
    "\u132D3",  # EGYPTIAN HIEROGLYPH S002A
    "\u132D4",  # EGYPTIAN HIEROGLYPH S003
    "\u132D5",  # EGYPTIAN HIEROGLYPH S004
    "\u132D6",  # EGYPTIAN HIEROGLYPH S005
    "\u132D7",  # EGYPTIAN HIEROGLYPH S006
    "\u132D8",  # EGYPTIAN HIEROGLYPH S006A
    "\u132D9",  # EGYPTIAN HIEROGLYPH S007
    "\u132DA",  # EGYPTIAN HIEROGLYPH S008
    "\u132DB",  # EGYPTIAN HIEROGLYPH S009
    "\u132DC",  # EGYPTIAN HIEROGLYPH S010
    "\u132DD",  # EGYPTIAN HIEROGLYPH S011
    "\u132DE",  # EGYPTIAN HIEROGLYPH S012
    "\u132DF",  # EGYPTIAN HIEROGLYPH S013
    "\u132E0",  # EGYPTIAN HIEROGLYPH S014
    "\u132E1",  # EGYPTIAN HIEROGLYPH S014A
    "\u132E2",  # EGYPTIAN HIEROGLYPH S014B
    "\u132E3",  # EGYPTIAN HIEROGLYPH S015
    "\u132E4",  # EGYPTIAN HIEROGLYPH S016
    "\u132E5",  # EGYPTIAN HIEROGLYPH S017
    "\u132E6",  # EGYPTIAN HIEROGLYPH S017A
    "\u132E7",  # EGYPTIAN HIEROGLYPH S018
    "\u132E8",  # EGYPTIAN HIEROGLYPH S019
    "\u132E9",  # EGYPTIAN HIEROGLYPH S020
    "\u132EA",  # EGYPTIAN HIEROGLYPH S021
    "\u132EB",  # EGYPTIAN HIEROGLYPH S022
    "\u132EC",  # EGYPTIAN HIEROGLYPH S023
    "\u132ED",  # EGYPTIAN HIEROGLYPH S024
    "\u132EE",  # EGYPTIAN HIEROGLYPH S025
    "\u132EF",  # EGYPTIAN HIEROGLYPH S026
    "\u132F0",  # EGYPTIAN HIEROGLYPH S026A
    "\u132F1",  # EGYPTIAN HIEROGLYPH S026B
    "\u132F2",  # EGYPTIAN HIEROGLYPH S027
    "\u132F3",  # EGYPTIAN HIEROGLYPH S028
    "\u132F4",  # EGYPTIAN HIEROGLYPH S029
    "\u132F5",  # EGYPTIAN HIEROGLYPH S030
    "\u132F6",  # EGYPTIAN HIEROGLYPH S031
    "\u132F7",  # EGYPTIAN HIEROGLYPH S032
    "\u132F8",  # EGYPTIAN HIEROGLYPH S033
    "\u132F9",  # EGYPTIAN HIEROGLYPH S034
    "\u132FA",  # EGYPTIAN HIEROGLYPH S035
    "\u132FB",  # EGYPTIAN HIEROGLYPH S035A
    "\u132FC",  # EGYPTIAN HIEROGLYPH S036
    "\u132FD",  # EGYPTIAN HIEROGLYPH S037
    "\u132FE",  # EGYPTIAN HIEROGLYPH S038
    "\u132FF",  # EGYPTIAN HIEROGLYPH S039
    "\u13300",  # EGYPTIAN HIEROGLYPH S040
    "\u13301",  # EGYPTIAN HIEROGLYPH S041
    "\u13302",  # EGYPTIAN HIEROGLYPH S042
    "\u13303",  # EGYPTIAN HIEROGLYPH S043
    "\u13304",  # EGYPTIAN HIEROGLYPH S044
    "\u13305",  # EGYPTIAN HIEROGLYPH S045
    "\u13306",  # EGYPTIAN HIEROGLYPH S046
    "\u13307",  # EGYPTIAN HIEROGLYPH T001
    "\u13308",  # EGYPTIAN HIEROGLYPH T002
    "\u13309",  # EGYPTIAN HIEROGLYPH T003
    "\u1330A",  # EGYPTIAN HIEROGLYPH T003A
    "\u1330B",  # EGYPTIAN HIEROGLYPH T004
    "\u1330C",  # EGYPTIAN HIEROGLYPH T005
    "\u1330D",  # EGYPTIAN HIEROGLYPH T006
    "\u1330E",  # EGYPTIAN HIEROGLYPH T007
    "\u1330F",  # EGYPTIAN HIEROGLYPH T007A
    "\u13310",  # EGYPTIAN HIEROGLYPH T008
    "\u13311",  # EGYPTIAN HIEROGLYPH T008A
    "\u13312",  # EGYPTIAN HIEROGLYPH T009
    "\u13313",  # EGYPTIAN HIEROGLYPH T009A
    "\u13314",  # EGYPTIAN HIEROGLYPH T010
    "\u13315",  # EGYPTIAN HIEROGLYPH T011
    "\u13316",  # EGYPTIAN HIEROGLYPH T011A
    "\u13317",  # EGYPTIAN HIEROGLYPH T012
    "\u13318",  # EGYPTIAN HIEROGLYPH T013
    "\u13319",  # EGYPTIAN HIEROGLYPH T014
    "\u1331A",  # EGYPTIAN HIEROGLYPH T015
    "\u1331B",  # EGYPTIAN HIEROGLYPH T016
    "\u1331C",  # EGYPTIAN HIEROGLYPH T016A
    "\u1331D",  # EGYPTIAN HIEROGLYPH T017
    "\u1331E",  # EGYPTIAN HIEROGLYPH T018
    "\u1331F",  # EGYPTIAN HIEROGLYPH T019
    "\u13320",  # EGYPTIAN HIEROGLYPH T020
    "\u13321",  # EGYPTIAN HIEROGLYPH T021
    "\u13322",  # EGYPTIAN HIEROGLYPH T022
    "\u13323",  # EGYPTIAN HIEROGLYPH T023
    "\u13324",  # EGYPTIAN HIEROGLYPH T024
    "\u13325",  # EGYPTIAN HIEROGLYPH T025
    "\u13326",  # EGYPTIAN HIEROGLYPH T026
    "\u13327",  # EGYPTIAN HIEROGLYPH T027
    "\u13328",  # EGYPTIAN HIEROGLYPH T028
    "\u13329",  # EGYPTIAN HIEROGLYPH T029
    "\u1332A",  # EGYPTIAN HIEROGLYPH T030
    "\u1332B",  # EGYPTIAN HIEROGLYPH T031
    "\u1332C",  # EGYPTIAN HIEROGLYPH T032
    "\u1332D",  # EGYPTIAN HIEROGLYPH T032A
    "\u1332E",  # EGYPTIAN HIEROGLYPH T033
    "\u1332F",  # EGYPTIAN HIEROGLYPH T033A
    "\u13330",  # EGYPTIAN HIEROGLYPH T034
    "\u13331",  # EGYPTIAN HIEROGLYPH T035
    "\u13332",  # EGYPTIAN HIEROGLYPH T036
    "\u13333",  # EGYPTIAN HIEROGLYPH U001
    "\u13334",  # EGYPTIAN HIEROGLYPH U002
    "\u13335",  # EGYPTIAN HIEROGLYPH U003
    "\u13336",  # EGYPTIAN HIEROGLYPH U004
    "\u13337",  # EGYPTIAN HIEROGLYPH U005
    "\u13338",  # EGYPTIAN HIEROGLYPH U006
    "\u13339",  # EGYPTIAN HIEROGLYPH U006A
    "\u1333A",  # EGYPTIAN HIEROGLYPH U006B
    "\u1333B",  # EGYPTIAN HIEROGLYPH U007
    "\u1333C",  # EGYPTIAN HIEROGLYPH U008
    "\u1333D",  # EGYPTIAN HIEROGLYPH U009
    "\u1333E",  # EGYPTIAN HIEROGLYPH U010
    "\u1333F",  # EGYPTIAN HIEROGLYPH U011
    "\u13340",  # EGYPTIAN HIEROGLYPH U012
    "\u13341",  # EGYPTIAN HIEROGLYPH U013
    "\u13342",  # EGYPTIAN HIEROGLYPH U014
    "\u13343",  # EGYPTIAN HIEROGLYPH U015
    "\u13344",  # EGYPTIAN HIEROGLYPH U016
    "\u13345",  # EGYPTIAN HIEROGLYPH U017
    "\u13346",  # EGYPTIAN HIEROGLYPH U018
    "\u13347",  # EGYPTIAN HIEROGLYPH U019
    "\u13348",  # EGYPTIAN HIEROGLYPH U020
    "\u13349",  # EGYPTIAN HIEROGLYPH U021
    "\u1334A",  # EGYPTIAN HIEROGLYPH U022
    "\u1334B",  # EGYPTIAN HIEROGLYPH U023
    "\u1334C",  # EGYPTIAN HIEROGLYPH U023A
    "\u1334D",  # EGYPTIAN HIEROGLYPH U024
    "\u1334E",  # EGYPTIAN HIEROGLYPH U025
    "\u1334F",  # EGYPTIAN HIEROGLYPH U026
    "\u13350",  # EGYPTIAN HIEROGLYPH U027
    "\u13351",  # EGYPTIAN HIEROGLYPH U028
    "\u13352",  # EGYPTIAN HIEROGLYPH U029
    "\u13353",  # EGYPTIAN HIEROGLYPH U029A
    "\u13354",  # EGYPTIAN HIEROGLYPH U030
    "\u13355",  # EGYPTIAN HIEROGLYPH U031
    "\u13356",  # EGYPTIAN HIEROGLYPH U032
    "\u13357",  # EGYPTIAN HIEROGLYPH U032A
    "\u13358",  # EGYPTIAN HIEROGLYPH U033
    "\u13359",  # EGYPTIAN HIEROGLYPH U034
    "\u1335A",  # EGYPTIAN HIEROGLYPH U035
    "\u1335B",  # EGYPTIAN HIEROGLYPH U036
    "\u1335C",  # EGYPTIAN HIEROGLYPH U037
    "\u1335D",  # EGYPTIAN HIEROGLYPH U038
    "\u1335E",  # EGYPTIAN HIEROGLYPH U039
    "\u1335F",  # EGYPTIAN HIEROGLYPH U040
    "\u13360",  # EGYPTIAN HIEROGLYPH U041
    "\u13361",  # EGYPTIAN HIEROGLYPH U042
    "\u13362",  # EGYPTIAN HIEROGLYPH V001
    "\u13363",  # EGYPTIAN HIEROGLYPH V001A
    "\u13364",  # EGYPTIAN HIEROGLYPH V001B
    "\u13365",  # EGYPTIAN HIEROGLYPH V001C
    "\u13366",  # EGYPTIAN HIEROGLYPH V001D
    "\u13367",  # EGYPTIAN HIEROGLYPH V001E
    "\u13368",  # EGYPTIAN HIEROGLYPH V001F
    "\u13369",  # EGYPTIAN HIEROGLYPH V001G
    "\u1336A",  # EGYPTIAN HIEROGLYPH V001H
    "\u1336B",  # EGYPTIAN HIEROGLYPH V001I
    "\u1336C",  # EGYPTIAN HIEROGLYPH V002
    "\u1336D",  # EGYPTIAN HIEROGLYPH V002A
    "\u1336E",  # EGYPTIAN HIEROGLYPH V003
    "\u1336F",  # EGYPTIAN HIEROGLYPH V004
    "\u13370",  # EGYPTIAN HIEROGLYPH V005
    "\u13371",  # EGYPTIAN HIEROGLYPH V006
    "\u13372",  # EGYPTIAN HIEROGLYPH V007
    "\u13373",  # EGYPTIAN HIEROGLYPH V007A
    "\u13374",  # EGYPTIAN HIEROGLYPH V007B
    "\u13375",  # EGYPTIAN HIEROGLYPH V008
    "\u13376",  # EGYPTIAN HIEROGLYPH V009
    "\u13377",  # EGYPTIAN HIEROGLYPH V010
    "\u13378",  # EGYPTIAN HIEROGLYPH V011
    "\u13379",  # EGYPTIAN HIEROGLYPH V011A
    "\u1337A",  # EGYPTIAN HIEROGLYPH V011B
    "\u1337B",  # EGYPTIAN HIEROGLYPH V011C
    "\u1337C",  # EGYPTIAN HIEROGLYPH V012
    "\u1337D",  # EGYPTIAN HIEROGLYPH V012A
    "\u1337E",  # EGYPTIAN HIEROGLYPH V012B
    "\u1337F",  # EGYPTIAN HIEROGLYPH V013
    "\u13380",  # EGYPTIAN HIEROGLYPH V014
    "\u13381",  # EGYPTIAN HIEROGLYPH V015
    "\u13382",  # EGYPTIAN HIEROGLYPH V016
    "\u13383",  # EGYPTIAN HIEROGLYPH V017
    "\u13384",  # EGYPTIAN HIEROGLYPH V018
    "\u13385",  # EGYPTIAN HIEROGLYPH V019
    "\u13386",  # EGYPTIAN HIEROGLYPH V020
    "\u13387",  # EGYPTIAN HIEROGLYPH V020A
    "\u13388",  # EGYPTIAN HIEROGLYPH V020B
    "\u13389",  # EGYPTIAN HIEROGLYPH V020C
    "\u1338A",  # EGYPTIAN HIEROGLYPH V020D
    "\u1338B",  # EGYPTIAN HIEROGLYPH V020E
    "\u1338C",  # EGYPTIAN HIEROGLYPH V020F
    "\u1338D",  # EGYPTIAN HIEROGLYPH V020G
    "\u1338E",  # EGYPTIAN HIEROGLYPH V020H
    "\u1338F",  # EGYPTIAN HIEROGLYPH V020I
    "\u13390",  # EGYPTIAN HIEROGLYPH V020J
    "\u13391",  # EGYPTIAN HIEROGLYPH V020K
    "\u13392",  # EGYPTIAN HIEROGLYPH V020L
    "\u13393",  # EGYPTIAN HIEROGLYPH V021
    "\u13394",  # EGYPTIAN HIEROGLYPH V022
    "\u13395",  # EGYPTIAN HIEROGLYPH V023
    "\u13396",  # EGYPTIAN HIEROGLYPH V023A
    "\u13397",  # EGYPTIAN HIEROGLYPH V024
    "\u13398",  # EGYPTIAN HIEROGLYPH V025
    "\u13399",  # EGYPTIAN HIEROGLYPH V026
    "\u1339A",  # EGYPTIAN HIEROGLYPH V027
    "\u1339B",  # EGYPTIAN HIEROGLYPH V028
    "\u1339C",  # EGYPTIAN HIEROGLYPH V028A
    "\u1339D",  # EGYPTIAN HIEROGLYPH V029
    "\u1339E",  # EGYPTIAN HIEROGLYPH V029A
    "\u1339F",  # EGYPTIAN HIEROGLYPH V030
    "\u133A0",  # EGYPTIAN HIEROGLYPH V030A
    "\u133A1",  # EGYPTIAN HIEROGLYPH V031
    "\u133A2",  # EGYPTIAN HIEROGLYPH V031A
    "\u133A3",  # EGYPTIAN HIEROGLYPH V032
    "\u133A4",  # EGYPTIAN HIEROGLYPH V033
    "\u133A5",  # EGYPTIAN HIEROGLYPH V033A
    "\u133A6",  # EGYPTIAN HIEROGLYPH V034
    "\u133A7",  # EGYPTIAN HIEROGLYPH V035
    "\u133A8",  # EGYPTIAN HIEROGLYPH V036
    "\u133A9",  # EGYPTIAN HIEROGLYPH V037
    "\u133AA",  # EGYPTIAN HIEROGLYPH V037A
    "\u133AB",  # EGYPTIAN HIEROGLYPH V038
    "\u133AC",  # EGYPTIAN HIEROGLYPH V039
    "\u133AD",  # EGYPTIAN HIEROGLYPH V040
    "\u133AE",  # EGYPTIAN HIEROGLYPH V040A
    "\u133AF",  # EGYPTIAN HIEROGLYPH W001
    "\u133B0",  # EGYPTIAN HIEROGLYPH W002
    "\u133B1",  # EGYPTIAN HIEROGLYPH W003
    "\u133B2",  # EGYPTIAN HIEROGLYPH W003A
    "\u133B3",  # EGYPTIAN HIEROGLYPH W004
    "\u133B4",  # EGYPTIAN HIEROGLYPH W005
    "\u133B5",  # EGYPTIAN HIEROGLYPH W006
    "\u133B6",  # EGYPTIAN HIEROGLYPH W007
    "\u133B7",  # EGYPTIAN HIEROGLYPH W008
    "\u133B8",  # EGYPTIAN HIEROGLYPH W009
    "\u133B9",  # EGYPTIAN HIEROGLYPH W009A
    "\u133BA",  # EGYPTIAN HIEROGLYPH W010
    "\u133BB",  # EGYPTIAN HIEROGLYPH W010A
    "\u133BC",  # EGYPTIAN HIEROGLYPH W011
    "\u133BD",  # EGYPTIAN HIEROGLYPH W012
    "\u133BE",  # EGYPTIAN HIEROGLYPH W013
    "\u133BF",  # EGYPTIAN HIEROGLYPH W014
    "\u133C0",  # EGYPTIAN HIEROGLYPH W014A
    "\u133C1",  # EGYPTIAN HIEROGLYPH W015
    "\u133C2",  # EGYPTIAN HIEROGLYPH W016
    "\u133C3",  # EGYPTIAN HIEROGLYPH W017
    "\u133C4",  # EGYPTIAN HIEROGLYPH W017A
    "\u133C5",  # EGYPTIAN HIEROGLYPH W018
    "\u133C6",  # EGYPTIAN HIEROGLYPH W018A
    "\u133C7",  # EGYPTIAN HIEROGLYPH W019
    "\u133C8",  # EGYPTIAN HIEROGLYPH W020
    "\u133C9",  # EGYPTIAN HIEROGLYPH W021
    "\u133CA",  # EGYPTIAN HIEROGLYPH W022
    "\u133CB",  # EGYPTIAN HIEROGLYPH W023
    "\u133CC",  # EGYPTIAN HIEROGLYPH W024
    "\u133CD",  # EGYPTIAN HIEROGLYPH W024A
    "\u133CE",  # EGYPTIAN HIEROGLYPH W025
    "\u133CF",  # EGYPTIAN HIEROGLYPH X001
    "\u133D0",  # EGYPTIAN HIEROGLYPH X002
    "\u133D1",  # EGYPTIAN HIEROGLYPH X003
    "\u133D2",  # EGYPTIAN HIEROGLYPH X004
    "\u133D3",  # EGYPTIAN HIEROGLYPH X004A
    "\u133D4",  # EGYPTIAN HIEROGLYPH X004B
    "\u133D5",  # EGYPTIAN HIEROGLYPH X005
    "\u133D6",  # EGYPTIAN HIEROGLYPH X006
    "\u133D7",  # EGYPTIAN HIEROGLYPH X006A
    "\u133D8",  # EGYPTIAN HIEROGLYPH X007
    "\u133D9",  # EGYPTIAN HIEROGLYPH X008
    "\u133DA",  # EGYPTIAN HIEROGLYPH X008A
    "\u133DB",  # EGYPTIAN HIEROGLYPH Y001
    "\u133DC",  # EGYPTIAN HIEROGLYPH Y001A
    "\u133DD",  # EGYPTIAN HIEROGLYPH Y002
    "\u133DE",  # EGYPTIAN HIEROGLYPH Y003
    "\u133DF",  # EGYPTIAN HIEROGLYPH Y004
    "\u133E0",  # EGYPTIAN HIEROGLYPH Y005
    "\u133E1",  # EGYPTIAN HIEROGLYPH Y006
    "\u133E2",  # EGYPTIAN HIEROGLYPH Y007
    "\u133E3",  # EGYPTIAN HIEROGLYPH Y008
    "\u133E4",  # EGYPTIAN HIEROGLYPH Z001
    "\u133E5",  # EGYPTIAN HIEROGLYPH Z002
    "\u133E6",  # EGYPTIAN HIEROGLYPH Z002A
    "\u133E7",  # EGYPTIAN HIEROGLYPH Z002B
    "\u133E8",  # EGYPTIAN HIEROGLYPH Z002C
    "\u133E9",  # EGYPTIAN HIEROGLYPH Z002D
    "\u133EA",  # EGYPTIAN HIEROGLYPH Z003
    "\u133EB",  # EGYPTIAN HIEROGLYPH Z003A
    "\u133EC",  # EGYPTIAN HIEROGLYPH Z003B
    "\u133ED",  # EGYPTIAN HIEROGLYPH Z004
    "\u133EE",  # EGYPTIAN HIEROGLYPH Z004A
    "\u133EF",  # EGYPTIAN HIEROGLYPH Z005
    "\u133F0",  # EGYPTIAN HIEROGLYPH Z005A
    "\u133F1",  # EGYPTIAN HIEROGLYPH Z006
    "\u133F2",  # EGYPTIAN HIEROGLYPH Z007
    "\u133F3",  # EGYPTIAN HIEROGLYPH Z008
    "\u133F4",  # EGYPTIAN HIEROGLYPH Z009
    "\u133F5",  # EGYPTIAN HIEROGLYPH Z010
    "\u133F6",  # EGYPTIAN HIEROGLYPH Z011
    "\u133F7",  # EGYPTIAN HIEROGLYPH Z012
    "\u133F8",  # EGYPTIAN HIEROGLYPH Z013
    "\u133F9",  # EGYPTIAN HIEROGLYPH Z014
    "\u133FA",  # EGYPTIAN HIEROGLYPH Z015
    "\u133FB",  # EGYPTIAN HIEROGLYPH Z015A
    "\u133FC",  # EGYPTIAN HIEROGLYPH Z015B
    "\u133FD",  # EGYPTIAN HIEROGLYPH Z015C
    "\u133FE",  # EGYPTIAN HIEROGLYPH Z015D
    "\u133FF",  # EGYPTIAN HIEROGLYPH Z015E
    "\u13400",  # EGYPTIAN HIEROGLYPH Z015F
    "\u13401",  # EGYPTIAN HIEROGLYPH Z015G
    "\u13402",  # EGYPTIAN HIEROGLYPH Z015H
    "\u13403",  # EGYPTIAN HIEROGLYPH Z015I
    "\u13404",  # EGYPTIAN HIEROGLYPH Z016
    "\u13405",  # EGYPTIAN HIEROGLYPH Z016A
    "\u13406",  # EGYPTIAN HIEROGLYPH Z016B
    "\u13407",  # EGYPTIAN HIEROGLYPH Z016C
    "\u13408",  # EGYPTIAN HIEROGLYPH Z016D
    "\u13409",  # EGYPTIAN HIEROGLYPH Z016E
    "\u1340A",  # EGYPTIAN HIEROGLYPH Z016F
    "\u1340B",  # EGYPTIAN HIEROGLYPH Z016G
    "\u1340C",  # EGYPTIAN HIEROGLYPH Z016H
    "\u1340D",  # EGYPTIAN HIEROGLYPH AA001
    "\u1340E",  # EGYPTIAN HIEROGLYPH AA002
    "\u1340F",  # EGYPTIAN HIEROGLYPH AA003
    "\u13410",  # EGYPTIAN HIEROGLYPH AA004
    "\u13411",  # EGYPTIAN HIEROGLYPH AA005
    "\u13412",  # EGYPTIAN HIEROGLYPH AA006
    "\u13413",  # EGYPTIAN HIEROGLYPH AA007
    "\u13414",  # EGYPTIAN HIEROGLYPH AA007A
    "\u13415",  # EGYPTIAN HIEROGLYPH AA007B
    "\u13416",  # EGYPTIAN HIEROGLYPH AA008
    "\u13417",  # EGYPTIAN HIEROGLYPH AA009
    "\u13418",  # EGYPTIAN HIEROGLYPH AA010
    "\u13419",  # EGYPTIAN HIEROGLYPH AA011
    "\u1341A",  # EGYPTIAN HIEROGLYPH AA012
    "\u1341B",  # EGYPTIAN HIEROGLYPH AA013
    "\u1341C",  # EGYPTIAN HIEROGLYPH AA014
    "\u1341D",  # EGYPTIAN HIEROGLYPH AA015
    "\u1341E",  # EGYPTIAN HIEROGLYPH AA016
    "\u1341F",  # EGYPTIAN HIEROGLYPH AA017
    "\u13420",  # EGYPTIAN HIEROGLYPH AA018
    "\u13421",  # EGYPTIAN HIEROGLYPH AA019
    "\u13422",  # EGYPTIAN HIEROGLYPH AA020
    "\u13423",  # EGYPTIAN HIEROGLYPH AA021
    "\u13424",  # EGYPTIAN HIEROGLYPH AA022
    "\u13425",  # EGYPTIAN HIEROGLYPH AA023
    "\u13426",  # EGYPTIAN HIEROGLYPH AA024
    "\u13427",  # EGYPTIAN HIEROGLYPH AA025
    "\u13428",  # EGYPTIAN HIEROGLYPH AA026
    "\u13429",  # EGYPTIAN HIEROGLYPH AA027
    "\u1342A",  # EGYPTIAN HIEROGLYPH AA028
    "\u1342B",  # EGYPTIAN HIEROGLYPH AA029
    "\u1342C",  # EGYPTIAN HIEROGLYPH AA030
    "\u1342D",  # EGYPTIAN HIEROGLYPH AA031
    "\u1342E",  # EGYPTIAN HIEROGLYPH AA032
    "\u14400",  # ANATOLIAN HIEROGLYPH A001
    "\u14401",  # ANATOLIAN HIEROGLYPH A002
    "\u14402",  # ANATOLIAN HIEROGLYPH A003
    "\u14403",  # ANATOLIAN HIEROGLYPH A004
    "\u14404",  # ANATOLIAN HIEROGLYPH A005
    "\u14405",  # ANATOLIAN HIEROGLYPH A006
    "\u14406",  # ANATOLIAN HIEROGLYPH A007
    "\u14407",  # ANATOLIAN HIEROGLYPH A008
    "\u14408",  # ANATOLIAN HIEROGLYPH A009
    "\u14409",  # ANATOLIAN HIEROGLYPH A010
    "\u1440A",  # ANATOLIAN HIEROGLYPH A010A
    "\u1440B",  # ANATOLIAN HIEROGLYPH A011
    "\u1440C",  # ANATOLIAN HIEROGLYPH A012
    "\u1440D",  # ANATOLIAN HIEROGLYPH A013
    "\u1440E",  # ANATOLIAN HIEROGLYPH A014
    "\u1440F",  # ANATOLIAN HIEROGLYPH A015
    "\u14410",  # ANATOLIAN HIEROGLYPH A016
    "\u14411",  # ANATOLIAN HIEROGLYPH A017
    "\u14412",  # ANATOLIAN HIEROGLYPH A018
    "\u14413",  # ANATOLIAN HIEROGLYPH A019
    "\u14414",  # ANATOLIAN HIEROGLYPH A020
    "\u14415",  # ANATOLIAN HIEROGLYPH A021
    "\u14416",  # ANATOLIAN HIEROGLYPH A022
    "\u14417",  # ANATOLIAN HIEROGLYPH A023
    "\u14418",  # ANATOLIAN HIEROGLYPH A024
    "\u14419",  # ANATOLIAN HIEROGLYPH A025
    "\u1441A",  # ANATOLIAN HIEROGLYPH A026
    "\u1441B",  # ANATOLIAN HIEROGLYPH A026A
    "\u1441C",  # ANATOLIAN HIEROGLYPH A027
    "\u1441D",  # ANATOLIAN HIEROGLYPH A028
    "\u1441E",  # ANATOLIAN HIEROGLYPH A029
    "\u1441F",  # ANATOLIAN HIEROGLYPH A030
    "\u14420",  # ANATOLIAN HIEROGLYPH A031
    "\u14421",  # ANATOLIAN HIEROGLYPH A032
    "\u14422",  # ANATOLIAN HIEROGLYPH A033
    "\u14423",  # ANATOLIAN HIEROGLYPH A034
    "\u14424",  # ANATOLIAN HIEROGLYPH A035
    "\u14425",  # ANATOLIAN HIEROGLYPH A036
    "\u14426",  # ANATOLIAN HIEROGLYPH A037
    "\u14427",  # ANATOLIAN HIEROGLYPH A038
    "\u14428",  # ANATOLIAN HIEROGLYPH A039
    "\u14429",  # ANATOLIAN HIEROGLYPH A039A
    "\u1442A",  # ANATOLIAN HIEROGLYPH A040
    "\u1442B",  # ANATOLIAN HIEROGLYPH A041
    "\u1442C",  # ANATOLIAN HIEROGLYPH A041A
    "\u1442D",  # ANATOLIAN HIEROGLYPH A042
    "\u1442E",  # ANATOLIAN HIEROGLYPH A043
    "\u1442F",  # ANATOLIAN HIEROGLYPH A044
    "\u14430",  # ANATOLIAN HIEROGLYPH A045
    "\u14431",  # ANATOLIAN HIEROGLYPH A045A
    "\u14432",  # ANATOLIAN HIEROGLYPH A046
    "\u14433",  # ANATOLIAN HIEROGLYPH A046A
    "\u14434",  # ANATOLIAN HIEROGLYPH A046B
    "\u14435",  # ANATOLIAN HIEROGLYPH A047
    "\u14436",  # ANATOLIAN HIEROGLYPH A048
    "\u14437",  # ANATOLIAN HIEROGLYPH A049
    "\u14438",  # ANATOLIAN HIEROGLYPH A050
    "\u14439",  # ANATOLIAN HIEROGLYPH A051
    "\u1443A",  # ANATOLIAN HIEROGLYPH A052
    "\u1443B",  # ANATOLIAN HIEROGLYPH A053
    "\u1443C",  # ANATOLIAN HIEROGLYPH A054
    "\u1443D",  # ANATOLIAN HIEROGLYPH A055
    "\u1443E",  # ANATOLIAN HIEROGLYPH A056
    "\u1443F",  # ANATOLIAN HIEROGLYPH A057
    "\u14440",  # ANATOLIAN HIEROGLYPH A058
    "\u14441",  # ANATOLIAN HIEROGLYPH A059
    "\u14442",  # ANATOLIAN HIEROGLYPH A060
    "\u14443",  # ANATOLIAN HIEROGLYPH A061
    "\u14444",  # ANATOLIAN HIEROGLYPH A062
    "\u14445",  # ANATOLIAN HIEROGLYPH A063
    "\u14446",  # ANATOLIAN HIEROGLYPH A064
    "\u14447",  # ANATOLIAN HIEROGLYPH A065
    "\u14448",  # ANATOLIAN HIEROGLYPH A066
    "\u14449",  # ANATOLIAN HIEROGLYPH A066A
    "\u1444A",  # ANATOLIAN HIEROGLYPH A066B
    "\u1444B",  # ANATOLIAN HIEROGLYPH A066C
    "\u1444C",  # ANATOLIAN HIEROGLYPH A067
    "\u1444D",  # ANATOLIAN HIEROGLYPH A068
    "\u1444E",  # ANATOLIAN HIEROGLYPH A069
    "\u1444F",  # ANATOLIAN HIEROGLYPH A070
    "\u14450",  # ANATOLIAN HIEROGLYPH A071
    "\u14451",  # ANATOLIAN HIEROGLYPH A072
    "\u14452",  # ANATOLIAN HIEROGLYPH A073
    "\u14453",  # ANATOLIAN HIEROGLYPH A074
    "\u14454",  # ANATOLIAN HIEROGLYPH A075
    "\u14455",  # ANATOLIAN HIEROGLYPH A076
    "\u14456",  # ANATOLIAN HIEROGLYPH A077
    "\u14457",  # ANATOLIAN HIEROGLYPH A078
    "\u14458",  # ANATOLIAN HIEROGLYPH A079
    "\u14459",  # ANATOLIAN HIEROGLYPH A080
    "\u1445A",  # ANATOLIAN HIEROGLYPH A081
    "\u1445B",  # ANATOLIAN HIEROGLYPH A082
    "\u1445C",  # ANATOLIAN HIEROGLYPH A083
    "\u1445D",  # ANATOLIAN HIEROGLYPH A084
    "\u1445E",  # ANATOLIAN HIEROGLYPH A085
    "\u1445F",  # ANATOLIAN HIEROGLYPH A086
    "\u14460",  # ANATOLIAN HIEROGLYPH A087
    "\u14461",  # ANATOLIAN HIEROGLYPH A088
    "\u14462",  # ANATOLIAN HIEROGLYPH A089
    "\u14463",  # ANATOLIAN HIEROGLYPH A090
    "\u14464",  # ANATOLIAN HIEROGLYPH A091
    "\u14465",  # ANATOLIAN HIEROGLYPH A092
    "\u14466",  # ANATOLIAN HIEROGLYPH A093
    "\u14467",  # ANATOLIAN HIEROGLYPH A094
    "\u14468",  # ANATOLIAN HIEROGLYPH A095
    "\u14469",  # ANATOLIAN HIEROGLYPH A096
    "\u1446A",  # ANATOLIAN HIEROGLYPH A097
    "\u1446B",  # ANATOLIAN HIEROGLYPH A097A
    "\u1446C",  # ANATOLIAN HIEROGLYPH A098
    "\u1446D",  # ANATOLIAN HIEROGLYPH A098A
    "\u1446E",  # ANATOLIAN HIEROGLYPH A099
    "\u1446F",  # ANATOLIAN HIEROGLYPH A100
    "\u14470",  # ANATOLIAN HIEROGLYPH A100A
    "\u14471",  # ANATOLIAN HIEROGLYPH A101
    "\u14472",  # ANATOLIAN HIEROGLYPH A101A
    "\u14473",  # ANATOLIAN HIEROGLYPH A102
    "\u14474",  # ANATOLIAN HIEROGLYPH A102A
    "\u14475",  # ANATOLIAN HIEROGLYPH A103
    "\u14476",  # ANATOLIAN HIEROGLYPH A104
    "\u14477",  # ANATOLIAN HIEROGLYPH A104A
    "\u14478",  # ANATOLIAN HIEROGLYPH A104B
    "\u14479",  # ANATOLIAN HIEROGLYPH A104C
    "\u1447A",  # ANATOLIAN HIEROGLYPH A105
    "\u1447B",  # ANATOLIAN HIEROGLYPH A105A
    "\u1447C",  # ANATOLIAN HIEROGLYPH A105B
    "\u1447D",  # ANATOLIAN HIEROGLYPH A106
    "\u1447E",  # ANATOLIAN HIEROGLYPH A107
    "\u1447F",  # ANATOLIAN HIEROGLYPH A107A
    "\u14480",  # ANATOLIAN HIEROGLYPH A107B
    "\u14481",  # ANATOLIAN HIEROGLYPH A107C
    "\u14482",  # ANATOLIAN HIEROGLYPH A108
    "\u14483",  # ANATOLIAN HIEROGLYPH A109
    "\u14484",  # ANATOLIAN HIEROGLYPH A110
    "\u14485",  # ANATOLIAN HIEROGLYPH A110A
    "\u14486",  # ANATOLIAN HIEROGLYPH A110B
    "\u14487",  # ANATOLIAN HIEROGLYPH A111
    "\u14488",  # ANATOLIAN HIEROGLYPH A112
    "\u14489",  # ANATOLIAN HIEROGLYPH A113
    "\u1448A",  # ANATOLIAN HIEROGLYPH A114
    "\u1448B",  # ANATOLIAN HIEROGLYPH A115
    "\u1448C",  # ANATOLIAN HIEROGLYPH A115A
    "\u1448D",  # ANATOLIAN HIEROGLYPH A116
    "\u1448E",  # ANATOLIAN HIEROGLYPH A117
    "\u1448F",  # ANATOLIAN HIEROGLYPH A118
    "\u14490",  # ANATOLIAN HIEROGLYPH A119
    "\u14491",  # ANATOLIAN HIEROGLYPH A120
    "\u14492",  # ANATOLIAN HIEROGLYPH A121
    "\u14493",  # ANATOLIAN HIEROGLYPH A122
    "\u14494",  # ANATOLIAN HIEROGLYPH A123
    "\u14495",  # ANATOLIAN HIEROGLYPH A124
    "\u14496",  # ANATOLIAN HIEROGLYPH A125
    "\u14497",  # ANATOLIAN HIEROGLYPH A125A
    "\u14498",  # ANATOLIAN HIEROGLYPH A126
    "\u14499",  # ANATOLIAN HIEROGLYPH A127
    "\u1449A",  # ANATOLIAN HIEROGLYPH A128
    "\u1449B",  # ANATOLIAN HIEROGLYPH A129
    "\u1449C",  # ANATOLIAN HIEROGLYPH A130
    "\u1449D",  # ANATOLIAN HIEROGLYPH A131
    "\u1449E",  # ANATOLIAN HIEROGLYPH A132
    "\u1449F",  # ANATOLIAN HIEROGLYPH A133
    "\u144A0",  # ANATOLIAN HIEROGLYPH A134
    "\u144A1",  # ANATOLIAN HIEROGLYPH A135
    "\u144A2",  # ANATOLIAN HIEROGLYPH A135A
    "\u144A3",  # ANATOLIAN HIEROGLYPH A136
    "\u144A4",  # ANATOLIAN HIEROGLYPH A137
    "\u144A5",  # ANATOLIAN HIEROGLYPH A138
    "\u144A6",  # ANATOLIAN HIEROGLYPH A139
    "\u144A7",  # ANATOLIAN HIEROGLYPH A140
    "\u144A8",  # ANATOLIAN HIEROGLYPH A141
    "\u144A9",  # ANATOLIAN HIEROGLYPH A142
    "\u144AA",  # ANATOLIAN HIEROGLYPH A143
    "\u144AB",  # ANATOLIAN HIEROGLYPH A144
    "\u144AC",  # ANATOLIAN HIEROGLYPH A145
    "\u144AD",  # ANATOLIAN HIEROGLYPH A146
    "\u144AE",  # ANATOLIAN HIEROGLYPH A147
    "\u144AF",  # ANATOLIAN HIEROGLYPH A148
    "\u144B0",  # ANATOLIAN HIEROGLYPH A149
    "\u144B1",  # ANATOLIAN HIEROGLYPH A150
    "\u144B2",  # ANATOLIAN HIEROGLYPH A151
    "\u144B3",  # ANATOLIAN HIEROGLYPH A152
    "\u144B4",  # ANATOLIAN HIEROGLYPH A153
    "\u144B5",  # ANATOLIAN HIEROGLYPH A154
    "\u144B6",  # ANATOLIAN HIEROGLYPH A155
    "\u144B7",  # ANATOLIAN HIEROGLYPH A156
    "\u144B8",  # ANATOLIAN HIEROGLYPH A157
    "\u144B9",  # ANATOLIAN HIEROGLYPH A158
    "\u144BA",  # ANATOLIAN HIEROGLYPH A159
    "\u144BB",  # ANATOLIAN HIEROGLYPH A160
    "\u144BC",  # ANATOLIAN HIEROGLYPH A161
    "\u144BD",  # ANATOLIAN HIEROGLYPH A162
    "\u144BE",  # ANATOLIAN HIEROGLYPH A163
    "\u144BF",  # ANATOLIAN HIEROGLYPH A164
    "\u144C0",  # ANATOLIAN HIEROGLYPH A165
    "\u144C1",  # ANATOLIAN HIEROGLYPH A166
    "\u144C2",  # ANATOLIAN HIEROGLYPH A167
    "\u144C3",  # ANATOLIAN HIEROGLYPH A168
    "\u144C4",  # ANATOLIAN HIEROGLYPH A169
    "\u144C5",  # ANATOLIAN HIEROGLYPH A170
    "\u144C6",  # ANATOLIAN HIEROGLYPH A171
    "\u144C7",  # ANATOLIAN HIEROGLYPH A172
    "\u144C8",  # ANATOLIAN HIEROGLYPH A173
    "\u144C9",  # ANATOLIAN HIEROGLYPH A174
    "\u144CA",  # ANATOLIAN HIEROGLYPH A175
    "\u144CB",  # ANATOLIAN HIEROGLYPH A176
    "\u144CC",  # ANATOLIAN HIEROGLYPH A177
    "\u144CD",  # ANATOLIAN HIEROGLYPH A178
    "\u144CE",  # ANATOLIAN HIEROGLYPH A179
    "\u144CF",  # ANATOLIAN HIEROGLYPH A180
    "\u144D0",  # ANATOLIAN HIEROGLYPH A181
    "\u144D1",  # ANATOLIAN HIEROGLYPH A182
    "\u144D2",  # ANATOLIAN HIEROGLYPH A183
    "\u144D3",  # ANATOLIAN HIEROGLYPH A184
    "\u144D4",  # ANATOLIAN HIEROGLYPH A185
    "\u144D5",  # ANATOLIAN HIEROGLYPH A186
    "\u144D6",  # ANATOLIAN HIEROGLYPH A187
    "\u144D7",  # ANATOLIAN HIEROGLYPH A188
    "\u144D8",  # ANATOLIAN HIEROGLYPH A189
    "\u144D9",  # ANATOLIAN HIEROGLYPH A190
    "\u144DA",  # ANATOLIAN HIEROGLYPH A191
    "\u144DB",  # ANATOLIAN HIEROGLYPH A192
    "\u144DC",  # ANATOLIAN HIEROGLYPH A193
    "\u144DD",  # ANATOLIAN HIEROGLYPH A194
    "\u144DE",  # ANATOLIAN HIEROGLYPH A195
    "\u144DF",  # ANATOLIAN HIEROGLYPH A196
    "\u144E0",  # ANATOLIAN HIEROGLYPH A197
    "\u144E1",  # ANATOLIAN HIEROGLYPH A198
    "\u144E2",  # ANATOLIAN HIEROGLYPH A199
    "\u144E3",  # ANATOLIAN HIEROGLYPH A200
    "\u144E4",  # ANATOLIAN HIEROGLYPH A201
    "\u144E5",  # ANATOLIAN HIEROGLYPH A202
    "\u144E6",  # ANATOLIAN HIEROGLYPH A202A
    "\u144E7",  # ANATOLIAN HIEROGLYPH A202B
    "\u144E8",  # ANATOLIAN HIEROGLYPH A203
    "\u144E9",  # ANATOLIAN HIEROGLYPH A204
    "\u144EA",  # ANATOLIAN HIEROGLYPH A205
    "\u144EB",  # ANATOLIAN HIEROGLYPH A206
    "\u144EC",  # ANATOLIAN HIEROGLYPH A207
    "\u144ED",  # ANATOLIAN HIEROGLYPH A207A
    "\u144EE",  # ANATOLIAN HIEROGLYPH A208
    "\u144EF",  # ANATOLIAN HIEROGLYPH A209
    "\u144F0",  # ANATOLIAN HIEROGLYPH A209A
    "\u144F1",  # ANATOLIAN HIEROGLYPH A210
    "\u144F2",  # ANATOLIAN HIEROGLYPH A211
    "\u144F3",  # ANATOLIAN HIEROGLYPH A212
    "\u144F4",  # ANATOLIAN HIEROGLYPH A213
    "\u144F5",  # ANATOLIAN HIEROGLYPH A214
    "\u144F6",  # ANATOLIAN HIEROGLYPH A215
    "\u144F7",  # ANATOLIAN HIEROGLYPH A215A
    "\u144F8",  # ANATOLIAN HIEROGLYPH A216
    "\u144F9",  # ANATOLIAN HIEROGLYPH A216A
    "\u144FA",  # ANATOLIAN HIEROGLYPH A217
    "\u144FB",  # ANATOLIAN HIEROGLYPH A218
    "\u144FC",  # ANATOLIAN HIEROGLYPH A219
    "\u144FD",  # ANATOLIAN HIEROGLYPH A220
    "\u144FE",  # ANATOLIAN HIEROGLYPH A221
    "\u144FF",  # ANATOLIAN HIEROGLYPH A222
    "\u14500",  # ANATOLIAN HIEROGLYPH A223
    "\u14501",  # ANATOLIAN HIEROGLYPH A224
    "\u14502",  # ANATOLIAN HIEROGLYPH A225
    "\u14503",  # ANATOLIAN HIEROGLYPH A226
    "\u14504",  # ANATOLIAN HIEROGLYPH A227
    "\u14505",  # ANATOLIAN HIEROGLYPH A227A
    "\u14506",  # ANATOLIAN HIEROGLYPH A228
    "\u14507",  # ANATOLIAN HIEROGLYPH A229
    "\u14508",  # ANATOLIAN HIEROGLYPH A230
    "\u14509",  # ANATOLIAN HIEROGLYPH A231
    "\u1450A",  # ANATOLIAN HIEROGLYPH A232
    "\u1450B",  # ANATOLIAN HIEROGLYPH A233
    "\u1450C",  # ANATOLIAN HIEROGLYPH A234
    "\u1450D",  # ANATOLIAN HIEROGLYPH A235
    "\u1450E",  # ANATOLIAN HIEROGLYPH A236
    "\u1450F",  # ANATOLIAN HIEROGLYPH A237
    "\u14510",  # ANATOLIAN HIEROGLYPH A238
    "\u14511",  # ANATOLIAN HIEROGLYPH A239
    "\u14512",  # ANATOLIAN HIEROGLYPH A240
    "\u14513",  # ANATOLIAN HIEROGLYPH A241
    "\u14514",  # ANATOLIAN HIEROGLYPH A242
    "\u14515",  # ANATOLIAN HIEROGLYPH A243
    "\u14516",  # ANATOLIAN HIEROGLYPH A244
    "\u14517",  # ANATOLIAN HIEROGLYPH A245
    "\u14518",  # ANATOLIAN HIEROGLYPH A246
    "\u14519",  # ANATOLIAN HIEROGLYPH A247
    "\u1451A",  # ANATOLIAN HIEROGLYPH A248
    "\u1451B",  # ANATOLIAN HIEROGLYPH A249
    "\u1451C",  # ANATOLIAN HIEROGLYPH A250
    "\u1451D",  # ANATOLIAN HIEROGLYPH A251
    "\u1451E",  # ANATOLIAN HIEROGLYPH A252
    "\u1451F",  # ANATOLIAN HIEROGLYPH A253
    "\u14520",  # ANATOLIAN HIEROGLYPH A254
    "\u14521",  # ANATOLIAN HIEROGLYPH A255
    "\u14522",  # ANATOLIAN HIEROGLYPH A256
    "\u14523",  # ANATOLIAN HIEROGLYPH A257
    "\u14524",  # ANATOLIAN HIEROGLYPH A258
    "\u14525",  # ANATOLIAN HIEROGLYPH A259
    "\u14526",  # ANATOLIAN HIEROGLYPH A260
    "\u14527",  # ANATOLIAN HIEROGLYPH A261
    "\u14528",  # ANATOLIAN HIEROGLYPH A262
    "\u14529",  # ANATOLIAN HIEROGLYPH A263
    "\u1452A",  # ANATOLIAN HIEROGLYPH A264
    "\u1452B",  # ANATOLIAN HIEROGLYPH A265
    "\u1452C",  # ANATOLIAN HIEROGLYPH A266
    "\u1452D",  # ANATOLIAN HIEROGLYPH A267
    "\u1452E",  # ANATOLIAN HIEROGLYPH A267A
    "\u1452F",  # ANATOLIAN HIEROGLYPH A268
    "\u14530",  # ANATOLIAN HIEROGLYPH A269
    "\u14531",  # ANATOLIAN HIEROGLYPH A270
    "\u14532",  # ANATOLIAN HIEROGLYPH A271
    "\u14533",  # ANATOLIAN HIEROGLYPH A272
    "\u14534",  # ANATOLIAN HIEROGLYPH A273
    "\u14535",  # ANATOLIAN HIEROGLYPH A274
    "\u14536",  # ANATOLIAN HIEROGLYPH A275
    "\u14537",  # ANATOLIAN HIEROGLYPH A276
    "\u14538",  # ANATOLIAN HIEROGLYPH A277
    "\u14539",  # ANATOLIAN HIEROGLYPH A278
    "\u1453A",  # ANATOLIAN HIEROGLYPH A279
    "\u1453B",  # ANATOLIAN HIEROGLYPH A280
    "\u1453C",  # ANATOLIAN HIEROGLYPH A281
    "\u1453D",  # ANATOLIAN HIEROGLYPH A282
    "\u1453E",  # ANATOLIAN HIEROGLYPH A283
    "\u1453F",  # ANATOLIAN HIEROGLYPH A284
    "\u14540",  # ANATOLIAN HIEROGLYPH A285
    "\u14541",  # ANATOLIAN HIEROGLYPH A286
    "\u14542",  # ANATOLIAN HIEROGLYPH A287
    "\u14543",  # ANATOLIAN HIEROGLYPH A288
    "\u14544",  # ANATOLIAN HIEROGLYPH A289
    "\u14545",  # ANATOLIAN HIEROGLYPH A289A
    "\u14546",  # ANATOLIAN HIEROGLYPH A290
    "\u14547",  # ANATOLIAN HIEROGLYPH A291
    "\u14548",  # ANATOLIAN HIEROGLYPH A292
    "\u14549",  # ANATOLIAN HIEROGLYPH A293
    "\u1454A",  # ANATOLIAN HIEROGLYPH A294
    "\u1454B",  # ANATOLIAN HIEROGLYPH A294A
    "\u1454C",  # ANATOLIAN HIEROGLYPH A295
    "\u1454D",  # ANATOLIAN HIEROGLYPH A296
    "\u1454E",  # ANATOLIAN HIEROGLYPH A297
    "\u1454F",  # ANATOLIAN HIEROGLYPH A298
    "\u14550",  # ANATOLIAN HIEROGLYPH A299
    "\u14551",  # ANATOLIAN HIEROGLYPH A299A
    "\u14552",  # ANATOLIAN HIEROGLYPH A300
    "\u14553",  # ANATOLIAN HIEROGLYPH A301
    "\u14554",  # ANATOLIAN HIEROGLYPH A302
    "\u14555",  # ANATOLIAN HIEROGLYPH A303
    "\u14556",  # ANATOLIAN HIEROGLYPH A304
    "\u14557",  # ANATOLIAN HIEROGLYPH A305
    "\u14558",  # ANATOLIAN HIEROGLYPH A306
    "\u14559",  # ANATOLIAN HIEROGLYPH A307
    "\u1455A",  # ANATOLIAN HIEROGLYPH A308
    "\u1455B",  # ANATOLIAN HIEROGLYPH A309
    "\u1455C",  # ANATOLIAN HIEROGLYPH A309A
    "\u1455D",  # ANATOLIAN HIEROGLYPH A310
    "\u1455E",  # ANATOLIAN HIEROGLYPH A311
    "\u1455F",  # ANATOLIAN HIEROGLYPH A312
    "\u14560",  # ANATOLIAN HIEROGLYPH A313
    "\u14561",  # ANATOLIAN HIEROGLYPH A314
    "\u14562",  # ANATOLIAN HIEROGLYPH A315
    "\u14563",  # ANATOLIAN HIEROGLYPH A316
    "\u14564",  # ANATOLIAN HIEROGLYPH A317
    "\u14565",  # ANATOLIAN HIEROGLYPH A318
    "\u14566",  # ANATOLIAN HIEROGLYPH A319
    "\u14567",  # ANATOLIAN HIEROGLYPH A320
    "\u14568",  # ANATOLIAN HIEROGLYPH A321
    "\u14569",  # ANATOLIAN HIEROGLYPH A322
    "\u1456A",  # ANATOLIAN HIEROGLYPH A323
    "\u1456B",  # ANATOLIAN HIEROGLYPH A324
    "\u1456C",  # ANATOLIAN HIEROGLYPH A325
    "\u1456D",  # ANATOLIAN HIEROGLYPH A326
    "\u1456E",  # ANATOLIAN HIEROGLYPH A327
    "\u1456F",  # ANATOLIAN HIEROGLYPH A328
    "\u14570",  # ANATOLIAN HIEROGLYPH A329
    "\u14571",  # ANATOLIAN HIEROGLYPH A329A
    "\u14572",  # ANATOLIAN HIEROGLYPH A330
    "\u14573",  # ANATOLIAN HIEROGLYPH A331
    "\u14574",  # ANATOLIAN HIEROGLYPH A332A
    "\u14575",  # ANATOLIAN HIEROGLYPH A332B
    "\u14576",  # ANATOLIAN HIEROGLYPH A332C
    "\u14577",  # ANATOLIAN HIEROGLYPH A333
    "\u14578",  # ANATOLIAN HIEROGLYPH A334
    "\u14579",  # ANATOLIAN HIEROGLYPH A335
    "\u1457A",  # ANATOLIAN HIEROGLYPH A336
    "\u1457B",  # ANATOLIAN HIEROGLYPH A336A
    "\u1457C",  # ANATOLIAN HIEROGLYPH A336B
    "\u1457D",  # ANATOLIAN HIEROGLYPH A336C
    "\u1457E",  # ANATOLIAN HIEROGLYPH A337
    "\u1457F",  # ANATOLIAN HIEROGLYPH A338
    "\u14580",  # ANATOLIAN HIEROGLYPH A339
    "\u14581",  # ANATOLIAN HIEROGLYPH A340
    "\u14582",  # ANATOLIAN HIEROGLYPH A341
    "\u14583",  # ANATOLIAN HIEROGLYPH A342
    "\u14584",  # ANATOLIAN HIEROGLYPH A343
    "\u14585",  # ANATOLIAN HIEROGLYPH A344
    "\u14586",  # ANATOLIAN HIEROGLYPH A345
    "\u14587",  # ANATOLIAN HIEROGLYPH A346
    "\u14588",  # ANATOLIAN HIEROGLYPH A347
    "\u14589",  # ANATOLIAN HIEROGLYPH A348
    "\u1458A",  # ANATOLIAN HIEROGLYPH A349
    "\u1458B",  # ANATOLIAN HIEROGLYPH A350
    "\u1458C",  # ANATOLIAN HIEROGLYPH A351
    "\u1458D",  # ANATOLIAN HIEROGLYPH A352
    "\u1458E",  # ANATOLIAN HIEROGLYPH A353
    "\u1458F",  # ANATOLIAN HIEROGLYPH A354
    "\u14590",  # ANATOLIAN HIEROGLYPH A355
    "\u14591",  # ANATOLIAN HIEROGLYPH A356
    "\u14592",  # ANATOLIAN HIEROGLYPH A357
    "\u14593",  # ANATOLIAN HIEROGLYPH A358
    "\u14594",  # ANATOLIAN HIEROGLYPH A359
    "\u14595",  # ANATOLIAN HIEROGLYPH A359A
    "\u14596",  # ANATOLIAN HIEROGLYPH A360
    "\u14597",  # ANATOLIAN HIEROGLYPH A361
    "\u14598",  # ANATOLIAN HIEROGLYPH A362
    "\u14599",  # ANATOLIAN HIEROGLYPH A363
    "\u1459A",  # ANATOLIAN HIEROGLYPH A364
    "\u1459B",  # ANATOLIAN HIEROGLYPH A364A
    "\u1459C",  # ANATOLIAN HIEROGLYPH A365
    "\u1459D",  # ANATOLIAN HIEROGLYPH A366
    "\u1459E",  # ANATOLIAN HIEROGLYPH A367
    "\u1459F",  # ANATOLIAN HIEROGLYPH A368
    "\u145A0",  # ANATOLIAN HIEROGLYPH A368A
    "\u145A1",  # ANATOLIAN HIEROGLYPH A369
    "\u145A2",  # ANATOLIAN HIEROGLYPH A370
    "\u145A3",  # ANATOLIAN HIEROGLYPH A371
    "\u145A4",  # ANATOLIAN HIEROGLYPH A371A
    "\u145A5",  # ANATOLIAN HIEROGLYPH A372
    "\u145A6",  # ANATOLIAN HIEROGLYPH A373
    "\u145A7",  # ANATOLIAN HIEROGLYPH A374
    "\u145A8",  # ANATOLIAN HIEROGLYPH A375
    "\u145A9",  # ANATOLIAN HIEROGLYPH A376
    "\u145AA",  # ANATOLIAN HIEROGLYPH A377
    "\u145AB",  # ANATOLIAN HIEROGLYPH A378
    "\u145AC",  # ANATOLIAN HIEROGLYPH A379
    "\u145AD",  # ANATOLIAN HIEROGLYPH A380
    "\u145AE",  # ANATOLIAN HIEROGLYPH A381
    "\u145AF",  # ANATOLIAN HIEROGLYPH A381A
    "\u145B0",  # ANATOLIAN HIEROGLYPH A382
    "\u145B1",  # ANATOLIAN HIEROGLYPH A383 RA OR RI
    "\u145B2",  # ANATOLIAN HIEROGLYPH A383A
    "\u145B3",  # ANATOLIAN HIEROGLYPH A384
    "\u145B4",  # ANATOLIAN HIEROGLYPH A385
    "\u145B5",  # ANATOLIAN HIEROGLYPH A386
    "\u145B6",  # ANATOLIAN HIEROGLYPH A386A
    "\u145B7",  # ANATOLIAN HIEROGLYPH A387
    "\u145B8",  # ANATOLIAN HIEROGLYPH A388
    "\u145B9",  # ANATOLIAN HIEROGLYPH A389
    "\u145BA",  # ANATOLIAN HIEROGLYPH A390
    "\u145BB",  # ANATOLIAN HIEROGLYPH A391
    "\u145BC",  # ANATOLIAN HIEROGLYPH A392
    "\u145BD",  # ANATOLIAN HIEROGLYPH A393 EIGHT
    "\u145BE",  # ANATOLIAN HIEROGLYPH A394
    "\u145BF",  # ANATOLIAN HIEROGLYPH A395
    "\u145C0",  # ANATOLIAN HIEROGLYPH A396
    "\u145C1",  # ANATOLIAN HIEROGLYPH A397
    "\u145C2",  # ANATOLIAN HIEROGLYPH A398
    "\u145C3",  # ANATOLIAN HIEROGLYPH A399
    "\u145C4",  # ANATOLIAN HIEROGLYPH A400
    "\u145C5",  # ANATOLIAN HIEROGLYPH A401
    "\u145C6",  # ANATOLIAN HIEROGLYPH A402
    "\u145C7",  # ANATOLIAN HIEROGLYPH A403
    "\u145C8",  # ANATOLIAN HIEROGLYPH A404
    "\u145C9",  # ANATOLIAN HIEROGLYPH A405
    "\u145CA",  # ANATOLIAN HIEROGLYPH A406
    "\u145CB",  # ANATOLIAN HIEROGLYPH A407
    "\u145CC",  # ANATOLIAN HIEROGLYPH A408
    "\u145CD",  # ANATOLIAN HIEROGLYPH A409
    "\u145CE",  # ANATOLIAN HIEROGLYPH A410 BEGIN LOGOGRAM MARK
    "\u145CF",  # ANATOLIAN HIEROGLYPH A410A END LOGOGRAM MARK
    "\u145D0",  # ANATOLIAN HIEROGLYPH A411
    "\u145D1",  # ANATOLIAN HIEROGLYPH A412
    "\u145D2",  # ANATOLIAN HIEROGLYPH A413
    "\u145D3",  # ANATOLIAN HIEROGLYPH A414
    "\u145D4",  # ANATOLIAN HIEROGLYPH A415
    "\u145D5",  # ANATOLIAN HIEROGLYPH A416
    "\u145D6",  # ANATOLIAN HIEROGLYPH A417
    "\u145D7",  # ANATOLIAN HIEROGLYPH A418
    "\u145D8",  # ANATOLIAN HIEROGLYPH A419
    "\u145D9",  # ANATOLIAN HIEROGLYPH A420
    "\u145DA",  # ANATOLIAN HIEROGLYPH A421
    "\u145DB",  # ANATOLIAN HIEROGLYPH A422
    "\u145DC",  # ANATOLIAN HIEROGLYPH A423
    "\u145DD",  # ANATOLIAN HIEROGLYPH A424
    "\u145DE",  # ANATOLIAN HIEROGLYPH A425
    "\u145DF",  # ANATOLIAN HIEROGLYPH A426
    "\u145E0",  # ANATOLIAN HIEROGLYPH A427
    "\u145E1",  # ANATOLIAN HIEROGLYPH A428
    "\u145E2",  # ANATOLIAN HIEROGLYPH A429
    "\u145E3",  # ANATOLIAN HIEROGLYPH A430
    "\u145E4",  # ANATOLIAN HIEROGLYPH A431
    "\u145E5",  # ANATOLIAN HIEROGLYPH A432
    "\u145E6",  # ANATOLIAN HIEROGLYPH A433
    "\u145E7",  # ANATOLIAN HIEROGLYPH A434
    "\u145E8",  # ANATOLIAN HIEROGLYPH A435
    "\u145E9",  # ANATOLIAN HIEROGLYPH A436
    "\u145EA",  # ANATOLIAN HIEROGLYPH A437
    "\u145EB",  # ANATOLIAN HIEROGLYPH A438
    "\u145EC",  # ANATOLIAN HIEROGLYPH A439
    "\u145ED",  # ANATOLIAN HIEROGLYPH A440
    "\u145EE",  # ANATOLIAN HIEROGLYPH A441
    "\u145EF",  # ANATOLIAN HIEROGLYPH A442
    "\u145F0",  # ANATOLIAN HIEROGLYPH A443
    "\u145F1",  # ANATOLIAN HIEROGLYPH A444
    "\u145F2",  # ANATOLIAN HIEROGLYPH A445
    "\u145F3",  # ANATOLIAN HIEROGLYPH A446
    "\u145F4",  # ANATOLIAN HIEROGLYPH A447
    "\u145F5",  # ANATOLIAN HIEROGLYPH A448
    "\u145F6",  # ANATOLIAN HIEROGLYPH A449
    "\u145F7",  # ANATOLIAN HIEROGLYPH A450
    "\u145F8",  # ANATOLIAN HIEROGLYPH A450A
    "\u145F9",  # ANATOLIAN HIEROGLYPH A451
    "\u145FA",  # ANATOLIAN HIEROGLYPH A452
    "\u145FB",  # ANATOLIAN HIEROGLYPH A453
    "\u145FC",  # ANATOLIAN HIEROGLYPH A454
    "\u145FD",  # ANATOLIAN HIEROGLYPH A455
    "\u145FE",  # ANATOLIAN HIEROGLYPH A456
    "\u145FF",  # ANATOLIAN HIEROGLYPH A457
    "\u14600",  # ANATOLIAN HIEROGLYPH A457A
    "\u14601",  # ANATOLIAN HIEROGLYPH A458
    "\u14602",  # ANATOLIAN HIEROGLYPH A459
    "\u14603",  # ANATOLIAN HIEROGLYPH A460
    "\u14604",  # ANATOLIAN HIEROGLYPH A461
    "\u14605",  # ANATOLIAN HIEROGLYPH A462
    "\u14606",  # ANATOLIAN HIEROGLYPH A463
    "\u14607",  # ANATOLIAN HIEROGLYPH A464
    "\u14608",  # ANATOLIAN HIEROGLYPH A465
    "\u14609",  # ANATOLIAN HIEROGLYPH A466
    "\u1460A",  # ANATOLIAN HIEROGLYPH A467
    "\u1460B",  # ANATOLIAN HIEROGLYPH A468
    "\u1460C",  # ANATOLIAN HIEROGLYPH A469
    "\u1460D",  # ANATOLIAN HIEROGLYPH A470
    "\u1460E",  # ANATOLIAN HIEROGLYPH A471
    "\u1460F",  # ANATOLIAN HIEROGLYPH A472
    "\u14610",  # ANATOLIAN HIEROGLYPH A473
    "\u14611",  # ANATOLIAN HIEROGLYPH A474
    "\u14612",  # ANATOLIAN HIEROGLYPH A475
    "\u14613",  # ANATOLIAN HIEROGLYPH A476
    "\u14614",  # ANATOLIAN HIEROGLYPH A477
    "\u14615",  # ANATOLIAN HIEROGLYPH A478
    "\u14616",  # ANATOLIAN HIEROGLYPH A479
    "\u14617",  # ANATOLIAN HIEROGLYPH A480
    "\u14618",  # ANATOLIAN HIEROGLYPH A481
    "\u14619",  # ANATOLIAN HIEROGLYPH A482
    "\u1461A",  # ANATOLIAN HIEROGLYPH A483
    "\u1461B",  # ANATOLIAN HIEROGLYPH A484
    "\u1461C",  # ANATOLIAN HIEROGLYPH A485
    "\u1461D",  # ANATOLIAN HIEROGLYPH A486
    "\u1461E",  # ANATOLIAN HIEROGLYPH A487
    "\u1461F",  # ANATOLIAN HIEROGLYPH A488
    "\u14620",  # ANATOLIAN HIEROGLYPH A489
    "\u14621",  # ANATOLIAN HIEROGLYPH A490
    "\u14622",  # ANATOLIAN HIEROGLYPH A491
    "\u14623",  # ANATOLIAN HIEROGLYPH A492
    "\u14624",  # ANATOLIAN HIEROGLYPH A493
    "\u14625",  # ANATOLIAN HIEROGLYPH A494
    "\u14626",  # ANATOLIAN HIEROGLYPH A495
    "\u14627",  # ANATOLIAN HIEROGLYPH A496
    "\u14628",  # ANATOLIAN HIEROGLYPH A497
    "\u14629",  # ANATOLIAN HIEROGLYPH A501
    "\u1462A",  # ANATOLIAN HIEROGLYPH A502
    "\u1462B",  # ANATOLIAN HIEROGLYPH A503
    "\u1462C",  # ANATOLIAN HIEROGLYPH A504
    "\u1462D",  # ANATOLIAN HIEROGLYPH A505
    "\u1462E",  # ANATOLIAN HIEROGLYPH A506
    "\u1462F",  # ANATOLIAN HIEROGLYPH A507
    "\u14630",  # ANATOLIAN HIEROGLYPH A508
    "\u14631",  # ANATOLIAN HIEROGLYPH A509
    "\u14632",  # ANATOLIAN HIEROGLYPH A510
    "\u14633",  # ANATOLIAN HIEROGLYPH A511
    "\u14634",  # ANATOLIAN HIEROGLYPH A512
    "\u14635",  # ANATOLIAN HIEROGLYPH A513
    "\u14636",  # ANATOLIAN HIEROGLYPH A514
    "\u14637",  # ANATOLIAN HIEROGLYPH A515
    "\u14638",  # ANATOLIAN HIEROGLYPH A516
    "\u14639",  # ANATOLIAN HIEROGLYPH A517
    "\u1463A",  # ANATOLIAN HIEROGLYPH A518
    "\u1463B",  # ANATOLIAN HIEROGLYPH A519
    "\u1463C",  # ANATOLIAN HIEROGLYPH A520
    "\u1463D",  # ANATOLIAN HIEROGLYPH A521
    "\u1463E",  # ANATOLIAN HIEROGLYPH A522
    "\u1463F",  # ANATOLIAN HIEROGLYPH A523
    "\u14640",  # ANATOLIAN HIEROGLYPH A524
    "\u14641",  # ANATOLIAN HIEROGLYPH A525
    "\u14642",  # ANATOLIAN HIEROGLYPH A526
    "\u14643",  # ANATOLIAN HIEROGLYPH A527
    "\u14644",  # ANATOLIAN HIEROGLYPH A528
    "\u14645",  # ANATOLIAN HIEROGLYPH A529
    "\u14646",  # ANATOLIAN HIEROGLYPH A530
    "\u16800",  # BAMUM LETTER PHASE-A NGKUE MFON
    "\u16801",  # BAMUM LETTER PHASE-A GBIEE FON
    "\u16802",  # BAMUM LETTER PHASE-A PON MFON PIPAEMGBIEE
    "\u16803",  # BAMUM LETTER PHASE-A PON MFON PIPAEMBA
    "\u16804",  # BAMUM LETTER PHASE-A NAA MFON
    "\u16805",  # BAMUM LETTER PHASE-A SHUENSHUET
    "\u16806",  # BAMUM LETTER PHASE-A TITA MFON
    "\u16807",  # BAMUM LETTER PHASE-A NZA MFON
    "\u16808",  # BAMUM LETTER PHASE-A SHINDA PA NJI
    "\u16809",  # BAMUM LETTER PHASE-A PON PA NJI PIPAEMGBIEE
    "\u1680A",  # BAMUM LETTER PHASE-A PON PA NJI PIPAEMBA
    "\u1680B",  # BAMUM LETTER PHASE-A MAEMBGBIEE
    "\u1680C",  # BAMUM LETTER PHASE-A TU MAEMBA
    "\u1680D",  # BAMUM LETTER PHASE-A NGANGU
    "\u1680E",  # BAMUM LETTER PHASE-A MAEMVEUX
    "\u1680F",  # BAMUM LETTER PHASE-A MANSUAE
    "\u16810",  # BAMUM LETTER PHASE-A MVEUAENGAM
    "\u16811",  # BAMUM LETTER PHASE-A SEUNYAM
    "\u16812",  # BAMUM LETTER PHASE-A NTOQPEN
    "\u16813",  # BAMUM LETTER PHASE-A KEUKEUTNDA
    "\u16814",  # BAMUM LETTER PHASE-A NKINDI
    "\u16815",  # BAMUM LETTER PHASE-A SUU
    "\u16816",  # BAMUM LETTER PHASE-A NGKUENZEUM
    "\u16817",  # BAMUM LETTER PHASE-A LAPAQ
    "\u16818",  # BAMUM LETTER PHASE-A LET KUT
    "\u16819",  # BAMUM LETTER PHASE-A NTAP MFAA
    "\u1681A",  # BAMUM LETTER PHASE-A MAEKEUP
    "\u1681B",  # BAMUM LETTER PHASE-A PASHAE
    "\u1681C",  # BAMUM LETTER PHASE-A GHEUAERAE
    "\u1681D",  # BAMUM LETTER PHASE-A PAMSHAE
    "\u1681E",  # BAMUM LETTER PHASE-A MON NGGEUAET
    "\u1681F",  # BAMUM LETTER PHASE-A NZUN MEUT
    "\u16820",  # BAMUM LETTER PHASE-A U YUQ NAE
    "\u16821",  # BAMUM LETTER PHASE-A GHEUAEGHEUAE
    "\u16822",  # BAMUM LETTER PHASE-A NTAP NTAA
    "\u16823",  # BAMUM LETTER PHASE-A SISA
    "\u16824",  # BAMUM LETTER PHASE-A MGBASA
    "\u16825",  # BAMUM LETTER PHASE-A MEUNJOMNDEUQ
    "\u16826",  # BAMUM LETTER PHASE-A MOOMPUQ
    "\u16827",  # BAMUM LETTER PHASE-A KAFA
    "\u16828",  # BAMUM LETTER PHASE-A PA LEERAEWA
    "\u16829",  # BAMUM LETTER PHASE-A NDA LEERAEWA
    "\u1682A",  # BAMUM LETTER PHASE-A PET
    "\u1682B",  # BAMUM LETTER PHASE-A MAEMKPEN
    "\u1682C",  # BAMUM LETTER PHASE-A NIKA
    "\u1682D",  # BAMUM LETTER PHASE-A PUP
    "\u1682E",  # BAMUM LETTER PHASE-A TUAEP
    "\u1682F",  # BAMUM LETTER PHASE-A LUAEP
    "\u16830",  # BAMUM LETTER PHASE-A SONJAM
    "\u16831",  # BAMUM LETTER PHASE-A TEUTEUWEN
    "\u16832",  # BAMUM LETTER PHASE-A MAENYI
    "\u16833",  # BAMUM LETTER PHASE-A KET
    "\u16834",  # BAMUM LETTER PHASE-A NDAANGGEUAET
    "\u16835",  # BAMUM LETTER PHASE-A KUOQ
    "\u16836",  # BAMUM LETTER PHASE-A MOOMEUT
    "\u16837",  # BAMUM LETTER PHASE-A SHUM
    "\u16838",  # BAMUM LETTER PHASE-A LOMMAE
    "\u16839",  # BAMUM LETTER PHASE-A FIRI
    "\u1683A",  # BAMUM LETTER PHASE-A ROM
    "\u1683B",  # BAMUM LETTER PHASE-A KPOQ
    "\u1683C",  # BAMUM LETTER PHASE-A SOQ
    "\u1683D",  # BAMUM LETTER PHASE-A MAP PIEET
    "\u1683E",  # BAMUM LETTER PHASE-A SHIRAE
    "\u1683F",  # BAMUM LETTER PHASE-A NTAP
    "\u16840",  # BAMUM LETTER PHASE-A SHOQ NSHUT YUM
    "\u16841",  # BAMUM LETTER PHASE-A NYIT MONGKEUAEQ
    "\u16842",  # BAMUM LETTER PHASE-A PAARAE
    "\u16843",  # BAMUM LETTER PHASE-A NKAARAE
    "\u16844",  # BAMUM LETTER PHASE-A UNKNOWN
    "\u16845",  # BAMUM LETTER PHASE-A NGGEN
    "\u16846",  # BAMUM LETTER PHASE-A MAESI
    "\u16847",  # BAMUM LETTER PHASE-A NJAM
    "\u16848",  # BAMUM LETTER PHASE-A MBANYI
    "\u16849",  # BAMUM LETTER PHASE-A NYET
    "\u1684A",  # BAMUM LETTER PHASE-A TEUAEN
    "\u1684B",  # BAMUM LETTER PHASE-A SOT
    "\u1684C",  # BAMUM LETTER PHASE-A PAAM
    "\u1684D",  # BAMUM LETTER PHASE-A NSHIEE
    "\u1684E",  # BAMUM LETTER PHASE-A MAEM
    "\u1684F",  # BAMUM LETTER PHASE-A NYI
    "\u16850",  # BAMUM LETTER PHASE-A KAQ
    "\u16851",  # BAMUM LETTER PHASE-A NSHA
    "\u16852",  # BAMUM LETTER PHASE-A VEE
    "\u16853",  # BAMUM LETTER PHASE-A LU
    "\u16854",  # BAMUM LETTER PHASE-A NEN
    "\u16855",  # BAMUM LETTER PHASE-A NAQ
    "\u16856",  # BAMUM LETTER PHASE-A MBAQ
    "\u16857",  # BAMUM LETTER PHASE-B NSHUET
    "\u16858",  # BAMUM LETTER PHASE-B TU MAEMGBIEE
    "\u16859",  # BAMUM LETTER PHASE-B SIEE
    "\u1685A",  # BAMUM LETTER PHASE-B SET TU
    "\u1685B",  # BAMUM LETTER PHASE-B LOM NTEUM
    "\u1685C",  # BAMUM LETTER PHASE-B MBA MAELEE
    "\u1685D",  # BAMUM LETTER PHASE-B KIEEM
    "\u1685E",  # BAMUM LETTER PHASE-B YEURAE
    "\u1685F",  # BAMUM LETTER PHASE-B MBAARAE
    "\u16860",  # BAMUM LETTER PHASE-B KAM
    "\u16861",  # BAMUM LETTER PHASE-B PEESHI
    "\u16862",  # BAMUM LETTER PHASE-B YAFU LEERAEWA
    "\u16863",  # BAMUM LETTER PHASE-B LAM NSHUT NYAM
    "\u16864",  # BAMUM LETTER PHASE-B NTIEE SHEUOQ
    "\u16865",  # BAMUM LETTER PHASE-B NDU NJAA
    "\u16866",  # BAMUM LETTER PHASE-B GHEUGHEUAEM
    "\u16867",  # BAMUM LETTER PHASE-B PIT
    "\u16868",  # BAMUM LETTER PHASE-B TU NSIEE
    "\u16869",  # BAMUM LETTER PHASE-B SHET NJAQ
    "\u1686A",  # BAMUM LETTER PHASE-B SHEUAEQTU
    "\u1686B",  # BAMUM LETTER PHASE-B MFON TEUAEQ
    "\u1686C",  # BAMUM LETTER PHASE-B MBIT MBAAKET
    "\u1686D",  # BAMUM LETTER PHASE-B NYI NTEUM
    "\u1686E",  # BAMUM LETTER PHASE-B KEUPUQ
    "\u1686F",  # BAMUM LETTER PHASE-B GHEUGHEN
    "\u16870",  # BAMUM LETTER PHASE-B KEUYEUX
    "\u16871",  # BAMUM LETTER PHASE-B LAANAE
    "\u16872",  # BAMUM LETTER PHASE-B PARUM
    "\u16873",  # BAMUM LETTER PHASE-B VEUM
    "\u16874",  # BAMUM LETTER PHASE-B NGKINDI MVOP
    "\u16875",  # BAMUM LETTER PHASE-B NGGEU MBU
    "\u16876",  # BAMUM LETTER PHASE-B WUAET
    "\u16877",  # BAMUM LETTER PHASE-B SAKEUAE
    "\u16878",  # BAMUM LETTER PHASE-B TAAM
    "\u16879",  # BAMUM LETTER PHASE-B MEUQ
    "\u1687A",  # BAMUM LETTER PHASE-B NGGUOQ
    "\u1687B",  # BAMUM LETTER PHASE-B NGGUOQ LARGE
    "\u1687C",  # BAMUM LETTER PHASE-B MFIYAQ
    "\u1687D",  # BAMUM LETTER PHASE-B SUE
    "\u1687E",  # BAMUM LETTER PHASE-B MBEURI
    "\u1687F",  # BAMUM LETTER PHASE-B MONTIEEN
    "\u16880",  # BAMUM LETTER PHASE-B NYAEMAE
    "\u16881",  # BAMUM LETTER PHASE-B PUNGAAM
    "\u16882",  # BAMUM LETTER PHASE-B MEUT NGGEET
    "\u16883",  # BAMUM LETTER PHASE-B FEUX
    "\u16884",  # BAMUM LETTER PHASE-B MBUOQ
    "\u16885",  # BAMUM LETTER PHASE-B FEE
    "\u16886",  # BAMUM LETTER PHASE-B KEUAEM
    "\u16887",  # BAMUM LETTER PHASE-B MA NJEUAENA
    "\u16888",  # BAMUM LETTER PHASE-B MA NJUQA
    "\u16889",  # BAMUM LETTER PHASE-B LET
    "\u1688A",  # BAMUM LETTER PHASE-B NGGAAM
    "\u1688B",  # BAMUM LETTER PHASE-B NSEN
    "\u1688C",  # BAMUM LETTER PHASE-B MA
    "\u1688D",  # BAMUM LETTER PHASE-B KIQ
    "\u1688E",  # BAMUM LETTER PHASE-B NGOM
    "\u1688F",  # BAMUM LETTER PHASE-C NGKUE MAEMBA
    "\u16890",  # BAMUM LETTER PHASE-C NZA
    "\u16891",  # BAMUM LETTER PHASE-C YUM
    "\u16892",  # BAMUM LETTER PHASE-C WANGKUOQ
    "\u16893",  # BAMUM LETTER PHASE-C NGGEN
    "\u16894",  # BAMUM LETTER PHASE-C NDEUAEREE
    "\u16895",  # BAMUM LETTER PHASE-C NGKAQ
    "\u16896",  # BAMUM LETTER PHASE-C GHARAE
    "\u16897",  # BAMUM LETTER PHASE-C MBEEKEET
    "\u16898",  # BAMUM LETTER PHASE-C GBAYI
    "\u16899",  # BAMUM LETTER PHASE-C NYIR MKPARAQ MEUN
    "\u1689A",  # BAMUM LETTER PHASE-C NTU MBIT
    "\u1689B",  # BAMUM LETTER PHASE-C MBEUM
    "\u1689C",  # BAMUM LETTER PHASE-C PIRIEEN
    "\u1689D",  # BAMUM LETTER PHASE-C NDOMBU
    "\u1689E",  # BAMUM LETTER PHASE-C MBAA CABBAGE-TREE
    "\u1689F",  # BAMUM LETTER PHASE-C KEUSHEUAEP
    "\u168A0",  # BAMUM LETTER PHASE-C GHAP
    "\u168A1",  # BAMUM LETTER PHASE-C KEUKAQ
    "\u168A2",  # BAMUM LETTER PHASE-C YU MUOMAE
    "\u168A3",  # BAMUM LETTER PHASE-C NZEUM
    "\u168A4",  # BAMUM LETTER PHASE-C MBUE
    "\u168A5",  # BAMUM LETTER PHASE-C NSEUAEN
    "\u168A6",  # BAMUM LETTER PHASE-C MBIT
    "\u168A7",  # BAMUM LETTER PHASE-C YEUQ
    "\u168A8",  # BAMUM LETTER PHASE-C KPARAQ
    "\u168A9",  # BAMUM LETTER PHASE-C KAA
    "\u168AA",  # BAMUM LETTER PHASE-C SEUX
    "\u168AB",  # BAMUM LETTER PHASE-C NDIDA
    "\u168AC",  # BAMUM LETTER PHASE-C TAASHAE
    "\u168AD",  # BAMUM LETTER PHASE-C NJUEQ
    "\u168AE",  # BAMUM LETTER PHASE-C TITA YUE
    "\u168AF",  # BAMUM LETTER PHASE-C SUAET
    "\u168B0",  # BAMUM LETTER PHASE-C NGGUAEN NYAM
    "\u168B1",  # BAMUM LETTER PHASE-C VEUX
    "\u168B2",  # BAMUM LETTER PHASE-C NANSANAQ
    "\u168B3",  # BAMUM LETTER PHASE-C MA KEUAERI
    "\u168B4",  # BAMUM LETTER PHASE-C NTAA
    "\u168B5",  # BAMUM LETTER PHASE-C NGGUON
    "\u168B6",  # BAMUM LETTER PHASE-C LAP
    "\u168B7",  # BAMUM LETTER PHASE-C MBIRIEEN
    "\u168B8",  # BAMUM LETTER PHASE-C MGBASAQ
    "\u168B9",  # BAMUM LETTER PHASE-C NTEUNGBA
    "\u168BA",  # BAMUM LETTER PHASE-C TEUTEUX
    "\u168BB",  # BAMUM LETTER PHASE-C NGGUM
    "\u168BC",  # BAMUM LETTER PHASE-C FUE
    "\u168BD",  # BAMUM LETTER PHASE-C NDEUT
    "\u168BE",  # BAMUM LETTER PHASE-C NSA
    "\u168BF",  # BAMUM LETTER PHASE-C NSHAQ
    "\u168C0",  # BAMUM LETTER PHASE-C BUNG
    "\u168C1",  # BAMUM LETTER PHASE-C VEUAEPEN
    "\u168C2",  # BAMUM LETTER PHASE-C MBERAE
    "\u168C3",  # BAMUM LETTER PHASE-C RU
    "\u168C4",  # BAMUM LETTER PHASE-C NJAEM
    "\u168C5",  # BAMUM LETTER PHASE-C LAM
    "\u168C6",  # BAMUM LETTER PHASE-C TITUAEP
    "\u168C7",  # BAMUM LETTER PHASE-C NSUOT NGOM
    "\u168C8",  # BAMUM LETTER PHASE-C NJEEEE
    "\u168C9",  # BAMUM LETTER PHASE-C KET
    "\u168CA",  # BAMUM LETTER PHASE-C NGGU
    "\u168CB",  # BAMUM LETTER PHASE-C MAESI
    "\u168CC",  # BAMUM LETTER PHASE-C MBUAEM
    "\u168CD",  # BAMUM LETTER PHASE-C LU
    "\u168CE",  # BAMUM LETTER PHASE-C KUT
    "\u168CF",  # BAMUM LETTER PHASE-C NJAM
    "\u168D0",  # BAMUM LETTER PHASE-C NGOM
    "\u168D1",  # BAMUM LETTER PHASE-C WUP
    "\u168D2",  # BAMUM LETTER PHASE-C NGGUEET
    "\u168D3",  # BAMUM LETTER PHASE-C NSOM
    "\u168D4",  # BAMUM LETTER PHASE-C NTEN
    "\u168D5",  # BAMUM LETTER PHASE-C KUOP NKAARAE
    "\u168D6",  # BAMUM LETTER PHASE-C NSUN
    "\u168D7",  # BAMUM LETTER PHASE-C NDAM
    "\u168D8",  # BAMUM LETTER PHASE-C MA NSIEE
    "\u168D9",  # BAMUM LETTER PHASE-C YAA
    "\u168DA",  # BAMUM LETTER PHASE-C NDAP
    "\u168DB",  # BAMUM LETTER PHASE-C SHUEQ
    "\u168DC",  # BAMUM LETTER PHASE-C SETFON
    "\u168DD",  # BAMUM LETTER PHASE-C MBI
    "\u168DE",  # BAMUM LETTER PHASE-C MAEMBA
    "\u168DF",  # BAMUM LETTER PHASE-C MBANYI
    "\u168E0",  # BAMUM LETTER PHASE-C KEUSEUX
    "\u168E1",  # BAMUM LETTER PHASE-C MBEUX
    "\u168E2",  # BAMUM LETTER PHASE-C KEUM
    "\u168E3",  # BAMUM LETTER PHASE-C MBAA PICKET
    "\u168E4",  # BAMUM LETTER PHASE-C YUWOQ
    "\u168E5",  # BAMUM LETTER PHASE-C NJEUX
    "\u168E6",  # BAMUM LETTER PHASE-C MIEE
    "\u168E7",  # BAMUM LETTER PHASE-C MUAE
    "\u168E8",  # BAMUM LETTER PHASE-C SHIQ
    "\u168E9",  # BAMUM LETTER PHASE-C KEN LAW
    "\u168EA",  # BAMUM LETTER PHASE-C KEN FATIGUE
    "\u168EB",  # BAMUM LETTER PHASE-C NGAQ
    "\u168EC",  # BAMUM LETTER PHASE-C NAQ
    "\u168ED",  # BAMUM LETTER PHASE-C LIQ
    "\u168EE",  # BAMUM LETTER PHASE-C PIN
    "\u168EF",  # BAMUM LETTER PHASE-C PEN
    "\u168F0",  # BAMUM LETTER PHASE-C TET
    "\u168F1",  # BAMUM LETTER PHASE-D MBUO
    "\u168F2",  # BAMUM LETTER PHASE-D WAP
    "\u168F3",  # BAMUM LETTER PHASE-D NJI
    "\u168F4",  # BAMUM LETTER PHASE-D MFON
    "\u168F5",  # BAMUM LETTER PHASE-D NJIEE
    "\u168F6",  # BAMUM LETTER PHASE-D LIEE
    "\u168F7",  # BAMUM LETTER PHASE-D NJEUT
    "\u168F8",  # BAMUM LETTER PHASE-D NSHEE
    "\u168F9",  # BAMUM LETTER PHASE-D NGGAAMAE
    "\u168FA",  # BAMUM LETTER PHASE-D NYAM
    "\u168FB",  # BAMUM LETTER PHASE-D WUAEN
    "\u168FC",  # BAMUM LETTER PHASE-D NGKUN
    "\u168FD",  # BAMUM LETTER PHASE-D SHEE
    "\u168FE",  # BAMUM LETTER PHASE-D NGKAP
    "\u168FF",  # BAMUM LETTER PHASE-D KEUAETMEUN
    "\u16900",  # BAMUM LETTER PHASE-D TEUT
    "\u16901",  # BAMUM LETTER PHASE-D SHEUAE
    "\u16902",  # BAMUM LETTER PHASE-D NJAP
    "\u16903",  # BAMUM LETTER PHASE-D SUE
    "\u16904",  # BAMUM LETTER PHASE-D KET
    "\u16905",  # BAMUM LETTER PHASE-D YAEMMAE
    "\u16906",  # BAMUM LETTER PHASE-D KUOM
    "\u16907",  # BAMUM LETTER PHASE-D SAP
    "\u16908",  # BAMUM LETTER PHASE-D MFEUT
    "\u16909",  # BAMUM LETTER PHASE-D NDEUX
    "\u1690A",  # BAMUM LETTER PHASE-D MALEERI
    "\u1690B",  # BAMUM LETTER PHASE-D MEUT
    "\u1690C",  # BAMUM LETTER PHASE-D SEUAEQ
    "\u1690D",  # BAMUM LETTER PHASE-D YEN
    "\u1690E",  # BAMUM LETTER PHASE-D NJEUAEM
    "\u1690F",  # BAMUM LETTER PHASE-D KEUOT MBUAE
    "\u16910",  # BAMUM LETTER PHASE-D NGKEURI
    "\u16911",  # BAMUM LETTER PHASE-D TU
    "\u16912",  # BAMUM LETTER PHASE-D GHAA
    "\u16913",  # BAMUM LETTER PHASE-D NGKYEE
    "\u16914",  # BAMUM LETTER PHASE-D FEUFEUAET
    "\u16915",  # BAMUM LETTER PHASE-D NDEE
    "\u16916",  # BAMUM LETTER PHASE-D MGBOFUM
    "\u16917",  # BAMUM LETTER PHASE-D LEUAEP
    "\u16918",  # BAMUM LETTER PHASE-D NDON
    "\u16919",  # BAMUM LETTER PHASE-D MONI
    "\u1691A",  # BAMUM LETTER PHASE-D MGBEUN
    "\u1691B",  # BAMUM LETTER PHASE-D PUUT
    "\u1691C",  # BAMUM LETTER PHASE-D MGBIEE
    "\u1691D",  # BAMUM LETTER PHASE-D MFO
    "\u1691E",  # BAMUM LETTER PHASE-D LUM
    "\u1691F",  # BAMUM LETTER PHASE-D NSIEEP
    "\u16920",  # BAMUM LETTER PHASE-D MBAA
    "\u16921",  # BAMUM LETTER PHASE-D KWAET
    "\u16922",  # BAMUM LETTER PHASE-D NYET
    "\u16923",  # BAMUM LETTER PHASE-D TEUAEN
    "\u16924",  # BAMUM LETTER PHASE-D SOT
    "\u16925",  # BAMUM LETTER PHASE-D YUWOQ
    "\u16926",  # BAMUM LETTER PHASE-D KEUM
    "\u16927",  # BAMUM LETTER PHASE-D RAEM
    "\u16928",  # BAMUM LETTER PHASE-D TEEEE
    "\u16929",  # BAMUM LETTER PHASE-D NGKEUAEQ
    "\u1692A",  # BAMUM LETTER PHASE-D MFEUAE
    "\u1692B",  # BAMUM LETTER PHASE-D NSIEET
    "\u1692C",  # BAMUM LETTER PHASE-D KEUP
    "\u1692D",  # BAMUM LETTER PHASE-D PIP
    "\u1692E",  # BAMUM LETTER PHASE-D PEUTAE
    "\u1692F",  # BAMUM LETTER PHASE-D NYUE
    "\u16930",  # BAMUM LETTER PHASE-D LET
    "\u16931",  # BAMUM LETTER PHASE-D NGGAAM
    "\u16932",  # BAMUM LETTER PHASE-D MFIEE
    "\u16933",  # BAMUM LETTER PHASE-D NGGWAEN
    "\u16934",  # BAMUM LETTER PHASE-D YUOM
    "\u16935",  # BAMUM LETTER PHASE-D PAP
    "\u16936",  # BAMUM LETTER PHASE-D YUOP
    "\u16937",  # BAMUM LETTER PHASE-D NDAM
    "\u16938",  # BAMUM LETTER PHASE-D NTEUM
    "\u16939",  # BAMUM LETTER PHASE-D SUAE
    "\u1693A",  # BAMUM LETTER PHASE-D KUN
    "\u1693B",  # BAMUM LETTER PHASE-D NGGEUX
    "\u1693C",  # BAMUM LETTER PHASE-D NGKIEE
    "\u1693D",  # BAMUM LETTER PHASE-D TUOT
    "\u1693E",  # BAMUM LETTER PHASE-D MEUN
    "\u1693F",  # BAMUM LETTER PHASE-D KUQ
    "\u16940",  # BAMUM LETTER PHASE-D NSUM
    "\u16941",  # BAMUM LETTER PHASE-D TEUN
    "\u16942",  # BAMUM LETTER PHASE-D MAENJET
    "\u16943",  # BAMUM LETTER PHASE-D NGGAP
    "\u16944",  # BAMUM LETTER PHASE-D LEUM
    "\u16945",  # BAMUM LETTER PHASE-D NGGUOM
    "\u16946",  # BAMUM LETTER PHASE-D NSHUT
    "\u16947",  # BAMUM LETTER PHASE-D NJUEQ
    "\u16948",  # BAMUM LETTER PHASE-D GHEUAE
    "\u16949",  # BAMUM LETTER PHASE-D KU
    "\u1694A",  # BAMUM LETTER PHASE-D REN OLD
    "\u1694B",  # BAMUM LETTER PHASE-D TAE
    "\u1694C",  # BAMUM LETTER PHASE-D TOQ
    "\u1694D",  # BAMUM LETTER PHASE-D NYI
    "\u1694E",  # BAMUM LETTER PHASE-D RII
    "\u1694F",  # BAMUM LETTER PHASE-D LEEEE
    "\u16950",  # BAMUM LETTER PHASE-D MEEEE
    "\u16951",  # BAMUM LETTER PHASE-D M
    "\u16952",  # BAMUM LETTER PHASE-D SUU
    "\u16953",  # BAMUM LETTER PHASE-D MU
    "\u16954",  # BAMUM LETTER PHASE-D SHII
    "\u16955",  # BAMUM LETTER PHASE-D SHEUX
    "\u16956",  # BAMUM LETTER PHASE-D KYEE
    "\u16957",  # BAMUM LETTER PHASE-D NU
    "\u16958",  # BAMUM LETTER PHASE-D SHU
    "\u16959",  # BAMUM LETTER PHASE-D NTEE
    "\u1695A",  # BAMUM LETTER PHASE-D PEE
    "\u1695B",  # BAMUM LETTER PHASE-D NI
    "\u1695C",  # BAMUM LETTER PHASE-D SHOQ
    "\u1695D",  # BAMUM LETTER PHASE-D PUQ
    "\u1695E",  # BAMUM LETTER PHASE-D MVOP
    "\u1695F",  # BAMUM LETTER PHASE-D LOQ
    "\u16960",  # BAMUM LETTER PHASE-D REN MUCH
    "\u16961",  # BAMUM LETTER PHASE-D TI
    "\u16962",  # BAMUM LETTER PHASE-D NTUU
    "\u16963",  # BAMUM LETTER PHASE-D MBAA SEVEN
    "\u16964",  # BAMUM LETTER PHASE-D SAQ
    "\u16965",  # BAMUM LETTER PHASE-D FAA
    "\u16966",  # BAMUM LETTER PHASE-E NDAP
    "\u16967",  # BAMUM LETTER PHASE-E TOON
    "\u16968",  # BAMUM LETTER PHASE-E MBEUM
    "\u16969",  # BAMUM LETTER PHASE-E LAP
    "\u1696A",  # BAMUM LETTER PHASE-E VOM
    "\u1696B",  # BAMUM LETTER PHASE-E LOON
    "\u1696C",  # BAMUM LETTER PHASE-E PAA
    "\u1696D",  # BAMUM LETTER PHASE-E SOM
    "\u1696E",  # BAMUM LETTER PHASE-E RAQ
    "\u1696F",  # BAMUM LETTER PHASE-E NSHUOP
    "\u16970",  # BAMUM LETTER PHASE-E NDUN
    "\u16971",  # BAMUM LETTER PHASE-E PUAE
    "\u16972",  # BAMUM LETTER PHASE-E TAM
    "\u16973",  # BAMUM LETTER PHASE-E NGKA
    "\u16974",  # BAMUM LETTER PHASE-E KPEUX
    "\u16975",  # BAMUM LETTER PHASE-E WUO
    "\u16976",  # BAMUM LETTER PHASE-E SEE
    "\u16977",  # BAMUM LETTER PHASE-E NGGEUAET
    "\u16978",  # BAMUM LETTER PHASE-E PAAM
    "\u16979",  # BAMUM LETTER PHASE-E TOO
    "\u1697A",  # BAMUM LETTER PHASE-E KUOP
    "\u1697B",  # BAMUM LETTER PHASE-E LOM
    "\u1697C",  # BAMUM LETTER PHASE-E NSHIEE
    "\u1697D",  # BAMUM LETTER PHASE-E NGOP
    "\u1697E",  # BAMUM LETTER PHASE-E MAEM
    "\u1697F",  # BAMUM LETTER PHASE-E NGKEUX
    "\u16980",  # BAMUM LETTER PHASE-E NGOQ
    "\u16981",  # BAMUM LETTER PHASE-E NSHUE
    "\u16982",  # BAMUM LETTER PHASE-E RIMGBA
    "\u16983",  # BAMUM LETTER PHASE-E NJEUX
    "\u16984",  # BAMUM LETTER PHASE-E PEEM
    "\u16985",  # BAMUM LETTER PHASE-E SAA
    "\u16986",  # BAMUM LETTER PHASE-E NGGURAE
    "\u16987",  # BAMUM LETTER PHASE-E MGBA
    "\u16988",  # BAMUM LETTER PHASE-E GHEUX
    "\u16989",  # BAMUM LETTER PHASE-E NGKEUAEM
    "\u1698A",  # BAMUM LETTER PHASE-E NJAEMLI
    "\u1698B",  # BAMUM LETTER PHASE-E MAP
    "\u1698C",  # BAMUM LETTER PHASE-E LOOT
    "\u1698D",  # BAMUM LETTER PHASE-E NGGEEEE
    "\u1698E",  # BAMUM LETTER PHASE-E NDIQ
    "\u1698F",  # BAMUM LETTER PHASE-E TAEN NTEUM
    "\u16990",  # BAMUM LETTER PHASE-E SET
    "\u16991",  # BAMUM LETTER PHASE-E PUM
    "\u16992",  # BAMUM LETTER PHASE-E NDAA SOFTNESS
    "\u16993",  # BAMUM LETTER PHASE-E NGGUAESHAE NYAM
    "\u16994",  # BAMUM LETTER PHASE-E YIEE
    "\u16995",  # BAMUM LETTER PHASE-E GHEUN
    "\u16996",  # BAMUM LETTER PHASE-E TUAE
    "\u16997",  # BAMUM LETTER PHASE-E YEUAE
    "\u16998",  # BAMUM LETTER PHASE-E PO
    "\u16999",  # BAMUM LETTER PHASE-E TUMAE
    "\u1699A",  # BAMUM LETTER PHASE-E KEUAE
    "\u1699B",  # BAMUM LETTER PHASE-E SUAEN
    "\u1699C",  # BAMUM LETTER PHASE-E TEUAEQ
    "\u1699D",  # BAMUM LETTER PHASE-E VEUAE
    "\u1699E",  # BAMUM LETTER PHASE-E WEUX
    "\u1699F",  # BAMUM LETTER PHASE-E LAAM
    "\u169A0",  # BAMUM LETTER PHASE-E PU
    "\u169A1",  # BAMUM LETTER PHASE-E TAAQ
    "\u169A2",  # BAMUM LETTER PHASE-E GHAAMAE
    "\u169A3",  # BAMUM LETTER PHASE-E NGEUREUT
    "\u169A4",  # BAMUM LETTER PHASE-E SHEUAEQ
    "\u169A5",  # BAMUM LETTER PHASE-E MGBEN
    "\u169A6",  # BAMUM LETTER PHASE-E MBEE
    "\u169A7",  # BAMUM LETTER PHASE-E NZAQ
    "\u169A8",  # BAMUM LETTER PHASE-E NKOM
    "\u169A9",  # BAMUM LETTER PHASE-E GBET
    "\u169AA",  # BAMUM LETTER PHASE-E TUM
    "\u169AB",  # BAMUM LETTER PHASE-E KUET
    "\u169AC",  # BAMUM LETTER PHASE-E YAP
    "\u169AD",  # BAMUM LETTER PHASE-E NYI CLEAVER
    "\u169AE",  # BAMUM LETTER PHASE-E YIT
    "\u169AF",  # BAMUM LETTER PHASE-E MFEUQ
    "\u169B0",  # BAMUM LETTER PHASE-E NDIAQ
    "\u169B1",  # BAMUM LETTER PHASE-E PIEEQ
    "\u169B2",  # BAMUM LETTER PHASE-E YUEQ
    "\u169B3",  # BAMUM LETTER PHASE-E LEUAEM
    "\u169B4",  # BAMUM LETTER PHASE-E FUE
    "\u169B5",  # BAMUM LETTER PHASE-E GBEUX
    "\u169B6",  # BAMUM LETTER PHASE-E NGKUP
    "\u169B7",  # BAMUM LETTER PHASE-E KET
    "\u169B8",  # BAMUM LETTER PHASE-E MAE
    "\u169B9",  # BAMUM LETTER PHASE-E NGKAAMI
    "\u169BA",  # BAMUM LETTER PHASE-E GHET
    "\u169BB",  # BAMUM LETTER PHASE-E FA
    "\u169BC",  # BAMUM LETTER PHASE-E NTUM
    "\u169BD",  # BAMUM LETTER PHASE-E PEUT
    "\u169BE",  # BAMUM LETTER PHASE-E YEUM
    "\u169BF",  # BAMUM LETTER PHASE-E NGGEUAE
    "\u169C0",  # BAMUM LETTER PHASE-E NYI BETWEEN
    "\u169C1",  # BAMUM LETTER PHASE-E NZUQ
    "\u169C2",  # BAMUM LETTER PHASE-E POON
    "\u169C3",  # BAMUM LETTER PHASE-E MIEE
    "\u169C4",  # BAMUM LETTER PHASE-E FUET
    "\u169C5",  # BAMUM LETTER PHASE-E NAE
    "\u169C6",  # BAMUM LETTER PHASE-E MUAE
    "\u169C7",  # BAMUM LETTER PHASE-E GHEUAE
    "\u169C8",  # BAMUM LETTER PHASE-E FU I
    "\u169C9",  # BAMUM LETTER PHASE-E MVI
    "\u169CA",  # BAMUM LETTER PHASE-E PUAQ
    "\u169CB",  # BAMUM LETTER PHASE-E NGKUM
    "\u169CC",  # BAMUM LETTER PHASE-E KUT
    "\u169CD",  # BAMUM LETTER PHASE-E PIET
    "\u169CE",  # BAMUM LETTER PHASE-E NTAP
    "\u169CF",  # BAMUM LETTER PHASE-E YEUAET
    "\u169D0",  # BAMUM LETTER PHASE-E NGGUP
    "\u169D1",  # BAMUM LETTER PHASE-E PA PEOPLE
    "\u169D2",  # BAMUM LETTER PHASE-E FU CALL
    "\u169D3",  # BAMUM LETTER PHASE-E FOM
    "\u169D4",  # BAMUM LETTER PHASE-E NJEE
    "\u169D5",  # BAMUM LETTER PHASE-E A
    "\u169D6",  # BAMUM LETTER PHASE-E TOQ
    "\u169D7",  # BAMUM LETTER PHASE-E O
    "\u169D8",  # BAMUM LETTER PHASE-E I
    "\u169D9",  # BAMUM LETTER PHASE-E LAQ
    "\u169DA",  # BAMUM LETTER PHASE-E PA PLURAL
    "\u169DB",  # BAMUM LETTER PHASE-E TAA
    "\u169DC",  # BAMUM LETTER PHASE-E TAQ
    "\u169DD",  # BAMUM LETTER PHASE-E NDAA MY HOUSE
    "\u169DE",  # BAMUM LETTER PHASE-E SHIQ
    "\u169DF",  # BAMUM LETTER PHASE-E YEUX
    "\u169E0",  # BAMUM LETTER PHASE-E NGUAE
    "\u169E1",  # BAMUM LETTER PHASE-E YUAEN
    "\u169E2",  # BAMUM LETTER PHASE-E YOQ SWIMMING
    "\u169E3",  # BAMUM LETTER PHASE-E YOQ COVER
    "\u169E4",  # BAMUM LETTER PHASE-E YUQ
    "\u169E5",  # BAMUM LETTER PHASE-E YUN
    "\u169E6",  # BAMUM LETTER PHASE-E KEUX
    "\u169E7",  # BAMUM LETTER PHASE-E PEUX
    "\u169E8",  # BAMUM LETTER PHASE-E NJEE EPOCH
    "\u169E9",  # BAMUM LETTER PHASE-E PUE
    "\u169EA",  # BAMUM LETTER PHASE-E WUE
    "\u169EB",  # BAMUM LETTER PHASE-E FEE
    "\u169EC",  # BAMUM LETTER PHASE-E VEE
    "\u169ED",  # BAMUM LETTER PHASE-E LU
    "\u169EE",  # BAMUM LETTER PHASE-E MI
    "\u169EF",  # BAMUM LETTER PHASE-E REUX
    "\u169F0",  # BAMUM LETTER PHASE-E RAE
    "\u169F1",  # BAMUM LETTER PHASE-E NGUAET
    "\u169F2",  # BAMUM LETTER PHASE-E NGA
    "\u169F3",  # BAMUM LETTER PHASE-E SHO
    "\u169F4",  # BAMUM LETTER PHASE-E SHOQ
    "\u169F5",  # BAMUM LETTER PHASE-E FU REMEDY
    "\u169F6",  # BAMUM LETTER PHASE-E NA
    "\u169F7",  # BAMUM LETTER PHASE-E PI
    "\u169F8",  # BAMUM LETTER PHASE-E LOQ
    "\u169F9",  # BAMUM LETTER PHASE-E KO
    "\u169FA",  # BAMUM LETTER PHASE-E MEN
    "\u169FB",  # BAMUM LETTER PHASE-E MA
    "\u169FC",  # BAMUM LETTER PHASE-E MAQ
    "\u169FD",  # BAMUM LETTER PHASE-E TEU
    "\u169FE",  # BAMUM LETTER PHASE-E KI
    "\u169FF",  # BAMUM LETTER PHASE-E MON
    "\u16A00",  # BAMUM LETTER PHASE-E TEN
    "\u16A01",  # BAMUM LETTER PHASE-E FAQ
    "\u16A02",  # BAMUM LETTER PHASE-E GHOM
    "\u16A03",  # BAMUM LETTER PHASE-F KA
    "\u16A04",  # BAMUM LETTER PHASE-F U
    "\u16A05",  # BAMUM LETTER PHASE-F KU
    "\u16A06",  # BAMUM LETTER PHASE-F EE
    "\u16A07",  # BAMUM LETTER PHASE-F REE
    "\u16A08",  # BAMUM LETTER PHASE-F TAE
    "\u16A09",  # BAMUM LETTER PHASE-F NYI
    "\u16A0A",  # BAMUM LETTER PHASE-F LA
    "\u16A0B",  # BAMUM LETTER PHASE-F RII
    "\u16A0C",  # BAMUM LETTER PHASE-F RIEE
    "\u16A0D",  # BAMUM LETTER PHASE-F MEEEE
    "\u16A0E",  # BAMUM LETTER PHASE-F TAA
    "\u16A0F",  # BAMUM LETTER PHASE-F NDAA
    "\u16A10",  # BAMUM LETTER PHASE-F NJAEM
    "\u16A11",  # BAMUM LETTER PHASE-F M
    "\u16A12",  # BAMUM LETTER PHASE-F SUU
    "\u16A13",  # BAMUM LETTER PHASE-F SHII
    "\u16A14",  # BAMUM LETTER PHASE-F SI
    "\u16A15",  # BAMUM LETTER PHASE-F SEUX
    "\u16A16",  # BAMUM LETTER PHASE-F KYEE
    "\u16A17",  # BAMUM LETTER PHASE-F KET
    "\u16A18",  # BAMUM LETTER PHASE-F NUAE
    "\u16A19",  # BAMUM LETTER PHASE-F NU
    "\u16A1A",  # BAMUM LETTER PHASE-F NJUAE
    "\u16A1B",  # BAMUM LETTER PHASE-F YOQ
    "\u16A1C",  # BAMUM LETTER PHASE-F SHU
    "\u16A1D",  # BAMUM LETTER PHASE-F YA
    "\u16A1E",  # BAMUM LETTER PHASE-F NSHA
    "\u16A1F",  # BAMUM LETTER PHASE-F PEUX
    "\u16A20",  # BAMUM LETTER PHASE-F NTEE
    "\u16A21",  # BAMUM LETTER PHASE-F WUE
    "\u16A22",  # BAMUM LETTER PHASE-F PEE
    "\u16A23",  # BAMUM LETTER PHASE-F RU
    "\u16A24",  # BAMUM LETTER PHASE-F NI
    "\u16A25",  # BAMUM LETTER PHASE-F REUX
    "\u16A26",  # BAMUM LETTER PHASE-F KEN
    "\u16A27",  # BAMUM LETTER PHASE-F NGKWAEN
    "\u16A28",  # BAMUM LETTER PHASE-F NGGA
    "\u16A29",  # BAMUM LETTER PHASE-F SHO
    "\u16A2A",  # BAMUM LETTER PHASE-F PUAE
    "\u16A2B",  # BAMUM LETTER PHASE-F FOM
    "\u16A2C",  # BAMUM LETTER PHASE-F WA
    "\u16A2D",  # BAMUM LETTER PHASE-F LI
    "\u16A2E",  # BAMUM LETTER PHASE-F LOQ
    "\u16A2F",  # BAMUM LETTER PHASE-F KO
    "\u16A30",  # BAMUM LETTER PHASE-F MBEN
    "\u16A31",  # BAMUM LETTER PHASE-F REN
    "\u16A32",  # BAMUM LETTER PHASE-F MA
    "\u16A33",  # BAMUM LETTER PHASE-F MO
    "\u16A34",  # BAMUM LETTER PHASE-F MBAA
    "\u16A35",  # BAMUM LETTER PHASE-F TET
    "\u16A36",  # BAMUM LETTER PHASE-F KPA
    "\u16A37",  # BAMUM LETTER PHASE-F SAMBA
    "\u16A38",  # BAMUM LETTER PHASE-F VUEQ
    "\u16A40",  # MRO LETTER TA
    "\u16A41",  # MRO LETTER NGI
    "\u16A42",  # MRO LETTER YO
    "\u16A43",  # MRO LETTER MIM
    "\u16A44",  # MRO LETTER BA
    "\u16A45",  # MRO LETTER DA
    "\u16A46",  # MRO LETTER A
    "\u16A47",  # MRO LETTER PHI
    "\u16A48",  # MRO LETTER KHAI
    "\u16A49",  # MRO LETTER HAO
    "\u16A4A",  # MRO LETTER DAI
    "\u16A4B",  # MRO LETTER CHU
    "\u16A4C",  # MRO LETTER KEAAE
    "\u16A4D",  # MRO LETTER OL
    "\u16A4E",  # MRO LETTER MAEM
    "\u16A4F",  # MRO LETTER NIN
    "\u16A50",  # MRO LETTER PA
    "\u16A51",  # MRO LETTER OO
    "\u16A52",  # MRO LETTER O
    "\u16A53",  # MRO LETTER RO
    "\u16A54",  # MRO LETTER SHI
    "\u16A55",  # MRO LETTER THEA
    "\u16A56",  # MRO LETTER EA
    "\u16A57",  # MRO LETTER WA
    "\u16A58",  # MRO LETTER E
    "\u16A59",  # MRO LETTER KO
    "\u16A5A",  # MRO LETTER LAN
    "\u16A5B",  # MRO LETTER LA
    "\u16A5C",  # MRO LETTER HAI
    "\u16A5D",  # MRO LETTER RI
    "\u16A5E",  # MRO LETTER TEK
    "\u16A60",  # MRO DIGIT ZERO
    "\u16A61",  # MRO DIGIT ONE
    "\u16A62",  # MRO DIGIT TWO
    "\u16A63",  # MRO DIGIT THREE
    "\u16A64",  # MRO DIGIT FOUR
    "\u16A65",  # MRO DIGIT FIVE
    "\u16A66",  # MRO DIGIT SIX
    "\u16A67",  # MRO DIGIT SEVEN
    "\u16A68",  # MRO DIGIT EIGHT
    "\u16A69",  # MRO DIGIT NINE
    "\u16A6E",  # MRO DANDA
    "\u16A6F",  # MRO DOUBLE DANDA
    "\u16AD0",  # BASSA VAH LETTER ENNI
    "\u16AD1",  # BASSA VAH LETTER KA
    "\u16AD2",  # BASSA VAH LETTER SE
    "\u16AD3",  # BASSA VAH LETTER FA
    "\u16AD4",  # BASSA VAH LETTER MBE
    "\u16AD5",  # BASSA VAH LETTER YIE
    "\u16AD6",  # BASSA VAH LETTER GAH
    "\u16AD7",  # BASSA VAH LETTER DHII
    "\u16AD8",  # BASSA VAH LETTER KPAH
    "\u16AD9",  # BASSA VAH LETTER JO
    "\u16ADA",  # BASSA VAH LETTER HWAH
    "\u16ADB",  # BASSA VAH LETTER WA
    "\u16ADC",  # BASSA VAH LETTER ZO
    "\u16ADD",  # BASSA VAH LETTER GBU
    "\u16ADE",  # BASSA VAH LETTER DO
    "\u16ADF",  # BASSA VAH LETTER CE
    "\u16AE0",  # BASSA VAH LETTER UWU
    "\u16AE1",  # BASSA VAH LETTER TO
    "\u16AE2",  # BASSA VAH LETTER BA
    "\u16AE3",  # BASSA VAH LETTER VU
    "\u16AE4",  # BASSA VAH LETTER YEIN
    "\u16AE5",  # BASSA VAH LETTER PA
    "\u16AE6",  # BASSA VAH LETTER WADDA
    "\u16AE7",  # BASSA VAH LETTER A
    "\u16AE8",  # BASSA VAH LETTER O
    "\u16AE9",  # BASSA VAH LETTER OO
    "\u16AEA",  # BASSA VAH LETTER U
    "\u16AEB",  # BASSA VAH LETTER EE
    "\u16AEC",  # BASSA VAH LETTER E
    "\u16AED",  # BASSA VAH LETTER I
    "\u16AF0",  # BASSA VAH COMBINING HIGH TONE
    "\u16AF1",  # BASSA VAH COMBINING LOW TONE
    "\u16AF2",  # BASSA VAH COMBINING MID TONE
    "\u16AF3",  # BASSA VAH COMBINING LOW-MID TONE
    "\u16AF4",  # BASSA VAH COMBINING HIGH-LOW TONE
    "\u16AF5",  # BASSA VAH FULL STOP
    "\u16B00",  # PAHAWH HMONG VOWEL KEEB
    "\u16B01",  # PAHAWH HMONG VOWEL KEEV
    "\u16B02",  # PAHAWH HMONG VOWEL KIB
    "\u16B03",  # PAHAWH HMONG VOWEL KIV
    "\u16B04",  # PAHAWH HMONG VOWEL KAUB
    "\u16B05",  # PAHAWH HMONG VOWEL KAUV
    "\u16B06",  # PAHAWH HMONG VOWEL KUB
    "\u16B07",  # PAHAWH HMONG VOWEL KUV
    "\u16B08",  # PAHAWH HMONG VOWEL KEB
    "\u16B09",  # PAHAWH HMONG VOWEL KEV
    "\u16B0A",  # PAHAWH HMONG VOWEL KAIB
    "\u16B0B",  # PAHAWH HMONG VOWEL KAIV
    "\u16B0C",  # PAHAWH HMONG VOWEL KOOB
    "\u16B0D",  # PAHAWH HMONG VOWEL KOOV
    "\u16B0E",  # PAHAWH HMONG VOWEL KAWB
    "\u16B0F",  # PAHAWH HMONG VOWEL KAWV
    "\u16B10",  # PAHAWH HMONG VOWEL KUAB
    "\u16B11",  # PAHAWH HMONG VOWEL KUAV
    "\u16B12",  # PAHAWH HMONG VOWEL KOB
    "\u16B13",  # PAHAWH HMONG VOWEL KOV
    "\u16B14",  # PAHAWH HMONG VOWEL KIAB
    "\u16B15",  # PAHAWH HMONG VOWEL KIAV
    "\u16B16",  # PAHAWH HMONG VOWEL KAB
    "\u16B17",  # PAHAWH HMONG VOWEL KAV
    "\u16B18",  # PAHAWH HMONG VOWEL KWB
    "\u16B19",  # PAHAWH HMONG VOWEL KWV
    "\u16B1A",  # PAHAWH HMONG VOWEL KAAB
    "\u16B1B",  # PAHAWH HMONG VOWEL KAAV
    "\u16B1C",  # PAHAWH HMONG CONSONANT VAU
    "\u16B1D",  # PAHAWH HMONG CONSONANT NTSAU
    "\u16B1E",  # PAHAWH HMONG CONSONANT LAU
    "\u16B1F",  # PAHAWH HMONG CONSONANT HAU
    "\u16B20",  # PAHAWH HMONG CONSONANT NLAU
    "\u16B21",  # PAHAWH HMONG CONSONANT RAU
    "\u16B22",  # PAHAWH HMONG CONSONANT NKAU
    "\u16B23",  # PAHAWH HMONG CONSONANT QHAU
    "\u16B24",  # PAHAWH HMONG CONSONANT YAU
    "\u16B25",  # PAHAWH HMONG CONSONANT HLAU
    "\u16B26",  # PAHAWH HMONG CONSONANT MAU
    "\u16B27",  # PAHAWH HMONG CONSONANT CHAU
    "\u16B28",  # PAHAWH HMONG CONSONANT NCHAU
    "\u16B29",  # PAHAWH HMONG CONSONANT HNAU
    "\u16B2A",  # PAHAWH HMONG CONSONANT PLHAU
    "\u16B2B",  # PAHAWH HMONG CONSONANT NTHAU
    "\u16B2C",  # PAHAWH HMONG CONSONANT NAU
    "\u16B2D",  # PAHAWH HMONG CONSONANT AU
    "\u16B2E",  # PAHAWH HMONG CONSONANT XAU
    "\u16B2F",  # PAHAWH HMONG CONSONANT CAU
    "\u16B30",  # PAHAWH HMONG MARK CIM TUB
    "\u16B31",  # PAHAWH HMONG MARK CIM SO
    "\u16B32",  # PAHAWH HMONG MARK CIM KES
    "\u16B33",  # PAHAWH HMONG MARK CIM KHAV
    "\u16B34",  # PAHAWH HMONG MARK CIM SUAM
    "\u16B35",  # PAHAWH HMONG MARK CIM HOM
    "\u16B36",  # PAHAWH HMONG MARK CIM TAUM
    "\u16B37",  # PAHAWH HMONG SIGN VOS THOM
    "\u16B38",  # PAHAWH HMONG SIGN VOS TSHAB CEEB
    "\u16B39",  # PAHAWH HMONG SIGN CIM CHEEM
    "\u16B3A",  # PAHAWH HMONG SIGN VOS THIAB
    "\u16B3B",  # PAHAWH HMONG SIGN VOS FEEM
    "\u16B3C",  # PAHAWH HMONG SIGN XYEEM NTXIV
    "\u16B3D",  # PAHAWH HMONG SIGN XYEEM RHO
    "\u16B3E",  # PAHAWH HMONG SIGN XYEEM TOV
    "\u16B3F",  # PAHAWH HMONG SIGN XYEEM FAIB
    "\u16B40",  # PAHAWH HMONG SIGN VOS SEEV
    "\u16B41",  # PAHAWH HMONG SIGN MEEJ SUAB
    "\u16B42",  # PAHAWH HMONG SIGN VOS NRUA
    "\u16B43",  # PAHAWH HMONG SIGN IB YAM
    "\u16B44",  # PAHAWH HMONG SIGN XAUS
    "\u16B45",  # PAHAWH HMONG SIGN CIM TSOV ROG
    "\u16B50",  # PAHAWH HMONG DIGIT ZERO
    "\u16B51",  # PAHAWH HMONG DIGIT ONE
    "\u16B52",  # PAHAWH HMONG DIGIT TWO
    "\u16B53",  # PAHAWH HMONG DIGIT THREE
    "\u16B54",  # PAHAWH HMONG DIGIT FOUR
    "\u16B55",  # PAHAWH HMONG DIGIT FIVE
    "\u16B56",  # PAHAWH HMONG DIGIT SIX
    "\u16B57",  # PAHAWH HMONG DIGIT SEVEN
    "\u16B58",  # PAHAWH HMONG DIGIT EIGHT
    "\u16B59",  # PAHAWH HMONG DIGIT NINE
    "\u16B5B",  # PAHAWH HMONG NUMBER TENS
    "\u16B5C",  # PAHAWH HMONG NUMBER HUNDREDS
    "\u16B5D",  # PAHAWH HMONG NUMBER TEN THOUSANDS
    "\u16B5E",  # PAHAWH HMONG NUMBER MILLIONS
    "\u16B5F",  # PAHAWH HMONG NUMBER HUNDRED MILLIONS
    "\u16B60",  # PAHAWH HMONG NUMBER TEN BILLIONS
    "\u16B61",  # PAHAWH HMONG NUMBER TRILLIONS
    "\u16B63",  # PAHAWH HMONG SIGN VOS LUB
    "\u16B64",  # PAHAWH HMONG SIGN XYOO
    "\u16B65",  # PAHAWH HMONG SIGN HLI
    "\u16B66",  # PAHAWH HMONG SIGN THIRD-STAGE HLI
    "\u16B67",  # PAHAWH HMONG SIGN ZWJ THAJ
    "\u16B68",  # PAHAWH HMONG SIGN HNUB
    "\u16B69",  # PAHAWH HMONG SIGN NQIG
    "\u16B6A",  # PAHAWH HMONG SIGN XIAB
    "\u16B6B",  # PAHAWH HMONG SIGN NTUJ
    "\u16B6C",  # PAHAWH HMONG SIGN AV
    "\u16B6D",  # PAHAWH HMONG SIGN TXHEEJ CEEV
    "\u16B6E",  # PAHAWH HMONG SIGN MEEJ TSEEB
    "\u16B6F",  # PAHAWH HMONG SIGN TAU
    "\u16B70",  # PAHAWH HMONG SIGN LOS
    "\u16B71",  # PAHAWH HMONG SIGN MUS
    "\u16B72",  # PAHAWH HMONG SIGN CIM HAIS LUS NTOG NTOG
    "\u16B73",  # PAHAWH HMONG SIGN CIM CUAM TSHOOJ
    "\u16B74",  # PAHAWH HMONG SIGN CIM TXWV
    "\u16B75",  # PAHAWH HMONG SIGN CIM TXWV CHWV
    "\u16B76",  # PAHAWH HMONG SIGN CIM PUB DAWB
    "\u16B77",  # PAHAWH HMONG SIGN CIM NRES TOS
    "\u16B7D",  # PAHAWH HMONG CLAN SIGN TSHEEJ
    "\u16B7E",  # PAHAWH HMONG CLAN SIGN YEEG
    "\u16B7F",  # PAHAWH HMONG CLAN SIGN LIS
    "\u16B80",  # PAHAWH HMONG CLAN SIGN LAUJ
    "\u16B81",  # PAHAWH HMONG CLAN SIGN XYOOJ
    "\u16B82",  # PAHAWH HMONG CLAN SIGN KOO
    "\u16B83",  # PAHAWH HMONG CLAN SIGN HAWJ
    "\u16B84",  # PAHAWH HMONG CLAN SIGN MUAS
    "\u16B85",  # PAHAWH HMONG CLAN SIGN THOJ
    "\u16B86",  # PAHAWH HMONG CLAN SIGN TSAB
    "\u16B87",  # PAHAWH HMONG CLAN SIGN PHAB
    "\u16B88",  # PAHAWH HMONG CLAN SIGN KHAB
    "\u16B89",  # PAHAWH HMONG CLAN SIGN HAM
    "\u16B8A",  # PAHAWH HMONG CLAN SIGN VAJ
    "\u16B8B",  # PAHAWH HMONG CLAN SIGN FAJ
    "\u16B8C",  # PAHAWH HMONG CLAN SIGN YAJ
    "\u16B8D",  # PAHAWH HMONG CLAN SIGN TSWB
    "\u16B8E",  # PAHAWH HMONG CLAN SIGN KWM
    "\u16B8F",  # PAHAWH HMONG CLAN SIGN VWJ
    "\u16F00",  # MIAO LETTER PA
    "\u16F01",  # MIAO LETTER BA
    "\u16F02",  # MIAO LETTER YI PA
    "\u16F03",  # MIAO LETTER PLA
    "\u16F04",  # MIAO LETTER MA
    "\u16F05",  # MIAO LETTER MHA
    "\u16F06",  # MIAO LETTER ARCHAIC MA
    "\u16F07",  # MIAO LETTER FA
    "\u16F08",  # MIAO LETTER VA
    "\u16F09",  # MIAO LETTER VFA
    "\u16F0A",  # MIAO LETTER TA
    "\u16F0B",  # MIAO LETTER DA
    "\u16F0C",  # MIAO LETTER YI TTA
    "\u16F0D",  # MIAO LETTER YI TA
    "\u16F0E",  # MIAO LETTER TTA
    "\u16F0F",  # MIAO LETTER DDA
    "\u16F10",  # MIAO LETTER NA
    "\u16F11",  # MIAO LETTER NHA
    "\u16F12",  # MIAO LETTER YI NNA
    "\u16F13",  # MIAO LETTER ARCHAIC NA
    "\u16F14",  # MIAO LETTER NNA
    "\u16F15",  # MIAO LETTER NNHA
    "\u16F16",  # MIAO LETTER LA
    "\u16F17",  # MIAO LETTER LYA
    "\u16F18",  # MIAO LETTER LHA
    "\u16F19",  # MIAO LETTER LHYA
    "\u16F1A",  # MIAO LETTER TLHA
    "\u16F1B",  # MIAO LETTER DLHA
    "\u16F1C",  # MIAO LETTER TLHYA
    "\u16F1D",  # MIAO LETTER DLHYA
    "\u16F1E",  # MIAO LETTER KA
    "\u16F1F",  # MIAO LETTER GA
    "\u16F20",  # MIAO LETTER YI KA
    "\u16F21",  # MIAO LETTER QA
    "\u16F22",  # MIAO LETTER QGA
    "\u16F23",  # MIAO LETTER NGA
    "\u16F24",  # MIAO LETTER NGHA
    "\u16F25",  # MIAO LETTER ARCHAIC NGA
    "\u16F26",  # MIAO LETTER HA
    "\u16F27",  # MIAO LETTER XA
    "\u16F28",  # MIAO LETTER GHA
    "\u16F29",  # MIAO LETTER GHHA
    "\u16F2A",  # MIAO LETTER TSSA
    "\u16F2B",  # MIAO LETTER DZZA
    "\u16F2C",  # MIAO LETTER NYA
    "\u16F2D",  # MIAO LETTER NYHA
    "\u16F2E",  # MIAO LETTER TSHA
    "\u16F2F",  # MIAO LETTER DZHA
    "\u16F30",  # MIAO LETTER YI TSHA
    "\u16F31",  # MIAO LETTER YI DZHA
    "\u16F32",  # MIAO LETTER REFORMED TSHA
    "\u16F33",  # MIAO LETTER SHA
    "\u16F34",  # MIAO LETTER SSA
    "\u16F35",  # MIAO LETTER ZHA
    "\u16F36",  # MIAO LETTER ZSHA
    "\u16F37",  # MIAO LETTER TSA
    "\u16F38",  # MIAO LETTER DZA
    "\u16F39",  # MIAO LETTER YI TSA
    "\u16F3A",  # MIAO LETTER SA
    "\u16F3B",  # MIAO LETTER ZA
    "\u16F3C",  # MIAO LETTER ZSA
    "\u16F3D",  # MIAO LETTER ZZA
    "\u16F3E",  # MIAO LETTER ZZSA
    "\u16F3F",  # MIAO LETTER ARCHAIC ZZA
    "\u16F40",  # MIAO LETTER ZZYA
    "\u16F41",  # MIAO LETTER ZZSYA
    "\u16F42",  # MIAO LETTER WA
    "\u16F43",  # MIAO LETTER AH
    "\u16F44",  # MIAO LETTER HHA
    "\u16F50",  # MIAO LETTER NASALIZATION
    "\u16F51",  # MIAO SIGN ASPIRATION
    "\u16F52",  # MIAO SIGN REFORMED VOICING
    "\u16F53",  # MIAO SIGN REFORMED ASPIRATION
    "\u16F54",  # MIAO VOWEL SIGN A
    "\u16F55",  # MIAO VOWEL SIGN AA
    "\u16F56",  # MIAO VOWEL SIGN AHH
    "\u16F57",  # MIAO VOWEL SIGN AN
    "\u16F58",  # MIAO VOWEL SIGN ANG
    "\u16F59",  # MIAO VOWEL SIGN O
    "\u16F5A",  # MIAO VOWEL SIGN OO
    "\u16F5B",  # MIAO VOWEL SIGN WO
    "\u16F5C",  # MIAO VOWEL SIGN W
    "\u16F5D",  # MIAO VOWEL SIGN E
    "\u16F5E",  # MIAO VOWEL SIGN EN
    "\u16F5F",  # MIAO VOWEL SIGN ENG
    "\u16F60",  # MIAO VOWEL SIGN OEY
    "\u16F61",  # MIAO VOWEL SIGN I
    "\u16F62",  # MIAO VOWEL SIGN IA
    "\u16F63",  # MIAO VOWEL SIGN IAN
    "\u16F64",  # MIAO VOWEL SIGN IANG
    "\u16F65",  # MIAO VOWEL SIGN IO
    "\u16F66",  # MIAO VOWEL SIGN IE
    "\u16F67",  # MIAO VOWEL SIGN II
    "\u16F68",  # MIAO VOWEL SIGN IU
    "\u16F69",  # MIAO VOWEL SIGN ING
    "\u16F6A",  # MIAO VOWEL SIGN U
    "\u16F6B",  # MIAO VOWEL SIGN UA
    "\u16F6C",  # MIAO VOWEL SIGN UAN
    "\u16F6D",  # MIAO VOWEL SIGN UANG
    "\u16F6E",  # MIAO VOWEL SIGN UU
    "\u16F6F",  # MIAO VOWEL SIGN UEI
    "\u16F70",  # MIAO VOWEL SIGN UNG
    "\u16F71",  # MIAO VOWEL SIGN Y
    "\u16F72",  # MIAO VOWEL SIGN YI
    "\u16F73",  # MIAO VOWEL SIGN AE
    "\u16F74",  # MIAO VOWEL SIGN AEE
    "\u16F75",  # MIAO VOWEL SIGN ERR
    "\u16F76",  # MIAO VOWEL SIGN ROUNDED ERR
    "\u16F77",  # MIAO VOWEL SIGN ER
    "\u16F78",  # MIAO VOWEL SIGN ROUNDED ER
    "\u16F79",  # MIAO VOWEL SIGN AI
    "\u16F7A",  # MIAO VOWEL SIGN EI
    "\u16F7B",  # MIAO VOWEL SIGN AU
    "\u16F7C",  # MIAO VOWEL SIGN OU
    "\u16F7D",  # MIAO VOWEL SIGN N
    "\u16F7E",  # MIAO VOWEL SIGN NG
    "\u16F8F",  # MIAO TONE RIGHT
    "\u16F90",  # MIAO TONE TOP RIGHT
    "\u16F91",  # MIAO TONE ABOVE
    "\u16F92",  # MIAO TONE BELOW
    "\u16F93",  # MIAO LETTER TONE-2
    "\u16F94",  # MIAO LETTER TONE-3
    "\u16F95",  # MIAO LETTER TONE-4
    "\u16F96",  # MIAO LETTER TONE-5
    "\u16F97",  # MIAO LETTER TONE-6
    "\u16F98",  # MIAO LETTER TONE-7
    "\u16F99",  # MIAO LETTER TONE-8
    "\u16F9A",  # MIAO LETTER REFORMED TONE-1
    "\u16F9B",  # MIAO LETTER REFORMED TONE-2
    "\u16F9C",  # MIAO LETTER REFORMED TONE-4
    "\u16F9D",  # MIAO LETTER REFORMED TONE-5
    "\u16F9E",  # MIAO LETTER REFORMED TONE-6
    "\u16F9F",  # MIAO LETTER REFORMED TONE-8
    "\u16FE0",  # TANGUT ITERATION MARK
    "\u16FE1",  # NUSHU ITERATION MARK
    "\u18800",  # TANGUT COMPONENT-001
    "\u18801",  # TANGUT COMPONENT-002
    "\u18802",  # TANGUT COMPONENT-003
    "\u18803",  # TANGUT COMPONENT-004
    "\u18804",  # TANGUT COMPONENT-005
    "\u18805",  # TANGUT COMPONENT-006
    "\u18806",  # TANGUT COMPONENT-007
    "\u18807",  # TANGUT COMPONENT-008
    "\u18808",  # TANGUT COMPONENT-009
    "\u18809",  # TANGUT COMPONENT-010
    "\u1880A",  # TANGUT COMPONENT-011
    "\u1880B",  # TANGUT COMPONENT-012
    "\u1880C",  # TANGUT COMPONENT-013
    "\u1880D",  # TANGUT COMPONENT-014
    "\u1880E",  # TANGUT COMPONENT-015
    "\u1880F",  # TANGUT COMPONENT-016
    "\u18810",  # TANGUT COMPONENT-017
    "\u18811",  # TANGUT COMPONENT-018
    "\u18812",  # TANGUT COMPONENT-019
    "\u18813",  # TANGUT COMPONENT-020
    "\u18814",  # TANGUT COMPONENT-021
    "\u18815",  # TANGUT COMPONENT-022
    "\u18816",  # TANGUT COMPONENT-023
    "\u18817",  # TANGUT COMPONENT-024
    "\u18818",  # TANGUT COMPONENT-025
    "\u18819",  # TANGUT COMPONENT-026
    "\u1881A",  # TANGUT COMPONENT-027
    "\u1881B",  # TANGUT COMPONENT-028
    "\u1881C",  # TANGUT COMPONENT-029
    "\u1881D",  # TANGUT COMPONENT-030
    "\u1881E",  # TANGUT COMPONENT-031
    "\u1881F",  # TANGUT COMPONENT-032
    "\u18820",  # TANGUT COMPONENT-033
    "\u18821",  # TANGUT COMPONENT-034
    "\u18822",  # TANGUT COMPONENT-035
    "\u18823",  # TANGUT COMPONENT-036
    "\u18824",  # TANGUT COMPONENT-037
    "\u18825",  # TANGUT COMPONENT-038
    "\u18826",  # TANGUT COMPONENT-039
    "\u18827",  # TANGUT COMPONENT-040
    "\u18828",  # TANGUT COMPONENT-041
    "\u18829",  # TANGUT COMPONENT-042
    "\u1882A",  # TANGUT COMPONENT-043
    "\u1882B",  # TANGUT COMPONENT-044
    "\u1882C",  # TANGUT COMPONENT-045
    "\u1882D",  # TANGUT COMPONENT-046
    "\u1882E",  # TANGUT COMPONENT-047
    "\u1882F",  # TANGUT COMPONENT-048
    "\u18830",  # TANGUT COMPONENT-049
    "\u18831",  # TANGUT COMPONENT-050
    "\u18832",  # TANGUT COMPONENT-051
    "\u18833",  # TANGUT COMPONENT-052
    "\u18834",  # TANGUT COMPONENT-053
    "\u18835",  # TANGUT COMPONENT-054
    "\u18836",  # TANGUT COMPONENT-055
    "\u18837",  # TANGUT COMPONENT-056
    "\u18838",  # TANGUT COMPONENT-057
    "\u18839",  # TANGUT COMPONENT-058
    "\u1883A",  # TANGUT COMPONENT-059
    "\u1883B",  # TANGUT COMPONENT-060
    "\u1883C",  # TANGUT COMPONENT-061
    "\u1883D",  # TANGUT COMPONENT-062
    "\u1883E",  # TANGUT COMPONENT-063
    "\u1883F",  # TANGUT COMPONENT-064
    "\u18840",  # TANGUT COMPONENT-065
    "\u18841",  # TANGUT COMPONENT-066
    "\u18842",  # TANGUT COMPONENT-067
    "\u18843",  # TANGUT COMPONENT-068
    "\u18844",  # TANGUT COMPONENT-069
    "\u18845",  # TANGUT COMPONENT-070
    "\u18846",  # TANGUT COMPONENT-071
    "\u18847",  # TANGUT COMPONENT-072
    "\u18848",  # TANGUT COMPONENT-073
    "\u18849",  # TANGUT COMPONENT-074
    "\u1884A",  # TANGUT COMPONENT-075
    "\u1884B",  # TANGUT COMPONENT-076
    "\u1884C",  # TANGUT COMPONENT-077
    "\u1884D",  # TANGUT COMPONENT-078
    "\u1884E",  # TANGUT COMPONENT-079
    "\u1884F",  # TANGUT COMPONENT-080
    "\u18850",  # TANGUT COMPONENT-081
    "\u18851",  # TANGUT COMPONENT-082
    "\u18852",  # TANGUT COMPONENT-083
    "\u18853",  # TANGUT COMPONENT-084
    "\u18854",  # TANGUT COMPONENT-085
    "\u18855",  # TANGUT COMPONENT-086
    "\u18856",  # TANGUT COMPONENT-087
    "\u18857",  # TANGUT COMPONENT-088
    "\u18858",  # TANGUT COMPONENT-089
    "\u18859",  # TANGUT COMPONENT-090
    "\u1885A",  # TANGUT COMPONENT-091
    "\u1885B",  # TANGUT COMPONENT-092
    "\u1885C",  # TANGUT COMPONENT-093
    "\u1885D",  # TANGUT COMPONENT-094
    "\u1885E",  # TANGUT COMPONENT-095
    "\u1885F",  # TANGUT COMPONENT-096
    "\u18860",  # TANGUT COMPONENT-097
    "\u18861",  # TANGUT COMPONENT-098
    "\u18862",  # TANGUT COMPONENT-099
    "\u18863",  # TANGUT COMPONENT-100
    "\u18864",  # TANGUT COMPONENT-101
    "\u18865",  # TANGUT COMPONENT-102
    "\u18866",  # TANGUT COMPONENT-103
    "\u18867",  # TANGUT COMPONENT-104
    "\u18868",  # TANGUT COMPONENT-105
    "\u18869",  # TANGUT COMPONENT-106
    "\u1886A",  # TANGUT COMPONENT-107
    "\u1886B",  # TANGUT COMPONENT-108
    "\u1886C",  # TANGUT COMPONENT-109
    "\u1886D",  # TANGUT COMPONENT-110
    "\u1886E",  # TANGUT COMPONENT-111
    "\u1886F",  # TANGUT COMPONENT-112
    "\u18870",  # TANGUT COMPONENT-113
    "\u18871",  # TANGUT COMPONENT-114
    "\u18872",  # TANGUT COMPONENT-115
    "\u18873",  # TANGUT COMPONENT-116
    "\u18874",  # TANGUT COMPONENT-117
    "\u18875",  # TANGUT COMPONENT-118
    "\u18876",  # TANGUT COMPONENT-119
    "\u18877",  # TANGUT COMPONENT-120
    "\u18878",  # TANGUT COMPONENT-121
    "\u18879",  # TANGUT COMPONENT-122
    "\u1887A",  # TANGUT COMPONENT-123
    "\u1887B",  # TANGUT COMPONENT-124
    "\u1887C",  # TANGUT COMPONENT-125
    "\u1887D",  # TANGUT COMPONENT-126
    "\u1887E",  # TANGUT COMPONENT-127
    "\u1887F",  # TANGUT COMPONENT-128
    "\u18880",  # TANGUT COMPONENT-129
    "\u18881",  # TANGUT COMPONENT-130
    "\u18882",  # TANGUT COMPONENT-131
    "\u18883",  # TANGUT COMPONENT-132
    "\u18884",  # TANGUT COMPONENT-133
    "\u18885",  # TANGUT COMPONENT-134
    "\u18886",  # TANGUT COMPONENT-135
    "\u18887",  # TANGUT COMPONENT-136
    "\u18888",  # TANGUT COMPONENT-137
    "\u18889",  # TANGUT COMPONENT-138
    "\u1888A",  # TANGUT COMPONENT-139
    "\u1888B",  # TANGUT COMPONENT-140
    "\u1888C",  # TANGUT COMPONENT-141
    "\u1888D",  # TANGUT COMPONENT-142
    "\u1888E",  # TANGUT COMPONENT-143
    "\u1888F",  # TANGUT COMPONENT-144
    "\u18890",  # TANGUT COMPONENT-145
    "\u18891",  # TANGUT COMPONENT-146
    "\u18892",  # TANGUT COMPONENT-147
    "\u18893",  # TANGUT COMPONENT-148
    "\u18894",  # TANGUT COMPONENT-149
    "\u18895",  # TANGUT COMPONENT-150
    "\u18896",  # TANGUT COMPONENT-151
    "\u18897",  # TANGUT COMPONENT-152
    "\u18898",  # TANGUT COMPONENT-153
    "\u18899",  # TANGUT COMPONENT-154
    "\u1889A",  # TANGUT COMPONENT-155
    "\u1889B",  # TANGUT COMPONENT-156
    "\u1889C",  # TANGUT COMPONENT-157
    "\u1889D",  # TANGUT COMPONENT-158
    "\u1889E",  # TANGUT COMPONENT-159
    "\u1889F",  # TANGUT COMPONENT-160
    "\u188A0",  # TANGUT COMPONENT-161
    "\u188A1",  # TANGUT COMPONENT-162
    "\u188A2",  # TANGUT COMPONENT-163
    "\u188A3",  # TANGUT COMPONENT-164
    "\u188A4",  # TANGUT COMPONENT-165
    "\u188A5",  # TANGUT COMPONENT-166
    "\u188A6",  # TANGUT COMPONENT-167
    "\u188A7",  # TANGUT COMPONENT-168
    "\u188A8",  # TANGUT COMPONENT-169
    "\u188A9",  # TANGUT COMPONENT-170
    "\u188AA",  # TANGUT COMPONENT-171
    "\u188AB",  # TANGUT COMPONENT-172
    "\u188AC",  # TANGUT COMPONENT-173
    "\u188AD",  # TANGUT COMPONENT-174
    "\u188AE",  # TANGUT COMPONENT-175
    "\u188AF",  # TANGUT COMPONENT-176
    "\u188B0",  # TANGUT COMPONENT-177
    "\u188B1",  # TANGUT COMPONENT-178
    "\u188B2",  # TANGUT COMPONENT-179
    "\u188B3",  # TANGUT COMPONENT-180
    "\u188B4",  # TANGUT COMPONENT-181
    "\u188B5",  # TANGUT COMPONENT-182
    "\u188B6",  # TANGUT COMPONENT-183
    "\u188B7",  # TANGUT COMPONENT-184
    "\u188B8",  # TANGUT COMPONENT-185
    "\u188B9",  # TANGUT COMPONENT-186
    "\u188BA",  # TANGUT COMPONENT-187
    "\u188BB",  # TANGUT COMPONENT-188
    "\u188BC",  # TANGUT COMPONENT-189
    "\u188BD",  # TANGUT COMPONENT-190
    "\u188BE",  # TANGUT COMPONENT-191
    "\u188BF",  # TANGUT COMPONENT-192
    "\u188C0",  # TANGUT COMPONENT-193
    "\u188C1",  # TANGUT COMPONENT-194
    "\u188C2",  # TANGUT COMPONENT-195
    "\u188C3",  # TANGUT COMPONENT-196
    "\u188C4",  # TANGUT COMPONENT-197
    "\u188C5",  # TANGUT COMPONENT-198
    "\u188C6",  # TANGUT COMPONENT-199
    "\u188C7",  # TANGUT COMPONENT-200
    "\u188C8",  # TANGUT COMPONENT-201
    "\u188C9",  # TANGUT COMPONENT-202
    "\u188CA",  # TANGUT COMPONENT-203
    "\u188CB",  # TANGUT COMPONENT-204
    "\u188CC",  # TANGUT COMPONENT-205
    "\u188CD",  # TANGUT COMPONENT-206
    "\u188CE",  # TANGUT COMPONENT-207
    "\u188CF",  # TANGUT COMPONENT-208
    "\u188D0",  # TANGUT COMPONENT-209
    "\u188D1",  # TANGUT COMPONENT-210
    "\u188D2",  # TANGUT COMPONENT-211
    "\u188D3",  # TANGUT COMPONENT-212
    "\u188D4",  # TANGUT COMPONENT-213
    "\u188D5",  # TANGUT COMPONENT-214
    "\u188D6",  # TANGUT COMPONENT-215
    "\u188D7",  # TANGUT COMPONENT-216
    "\u188D8",  # TANGUT COMPONENT-217
    "\u188D9",  # TANGUT COMPONENT-218
    "\u188DA",  # TANGUT COMPONENT-219
    "\u188DB",  # TANGUT COMPONENT-220
    "\u188DC",  # TANGUT COMPONENT-221
    "\u188DD",  # TANGUT COMPONENT-222
    "\u188DE",  # TANGUT COMPONENT-223
    "\u188DF",  # TANGUT COMPONENT-224
    "\u188E0",  # TANGUT COMPONENT-225
    "\u188E1",  # TANGUT COMPONENT-226
    "\u188E2",  # TANGUT COMPONENT-227
    "\u188E3",  # TANGUT COMPONENT-228
    "\u188E4",  # TANGUT COMPONENT-229
    "\u188E5",  # TANGUT COMPONENT-230
    "\u188E6",  # TANGUT COMPONENT-231
    "\u188E7",  # TANGUT COMPONENT-232
    "\u188E8",  # TANGUT COMPONENT-233
    "\u188E9",  # TANGUT COMPONENT-234
    "\u188EA",  # TANGUT COMPONENT-235
    "\u188EB",  # TANGUT COMPONENT-236
    "\u188EC",  # TANGUT COMPONENT-237
    "\u188ED",  # TANGUT COMPONENT-238
    "\u188EE",  # TANGUT COMPONENT-239
    "\u188EF",  # TANGUT COMPONENT-240
    "\u188F0",  # TANGUT COMPONENT-241
    "\u188F1",  # TANGUT COMPONENT-242
    "\u188F2",  # TANGUT COMPONENT-243
    "\u188F3",  # TANGUT COMPONENT-244
    "\u188F4",  # TANGUT COMPONENT-245
    "\u188F5",  # TANGUT COMPONENT-246
    "\u188F6",  # TANGUT COMPONENT-247
    "\u188F7",  # TANGUT COMPONENT-248
    "\u188F8",  # TANGUT COMPONENT-249
    "\u188F9",  # TANGUT COMPONENT-250
    "\u188FA",  # TANGUT COMPONENT-251
    "\u188FB",  # TANGUT COMPONENT-252
    "\u188FC",  # TANGUT COMPONENT-253
    "\u188FD",  # TANGUT COMPONENT-254
    "\u188FE",  # TANGUT COMPONENT-255
    "\u188FF",  # TANGUT COMPONENT-256
    "\u18900",  # TANGUT COMPONENT-257
    "\u18901",  # TANGUT COMPONENT-258
    "\u18902",  # TANGUT COMPONENT-259
    "\u18903",  # TANGUT COMPONENT-260
    "\u18904",  # TANGUT COMPONENT-261
    "\u18905",  # TANGUT COMPONENT-262
    "\u18906",  # TANGUT COMPONENT-263
    "\u18907",  # TANGUT COMPONENT-264
    "\u18908",  # TANGUT COMPONENT-265
    "\u18909",  # TANGUT COMPONENT-266
    "\u1890A",  # TANGUT COMPONENT-267
    "\u1890B",  # TANGUT COMPONENT-268
    "\u1890C",  # TANGUT COMPONENT-269
    "\u1890D",  # TANGUT COMPONENT-270
    "\u1890E",  # TANGUT COMPONENT-271
    "\u1890F",  # TANGUT COMPONENT-272
    "\u18910",  # TANGUT COMPONENT-273
    "\u18911",  # TANGUT COMPONENT-274
    "\u18912",  # TANGUT COMPONENT-275
    "\u18913",  # TANGUT COMPONENT-276
    "\u18914",  # TANGUT COMPONENT-277
    "\u18915",  # TANGUT COMPONENT-278
    "\u18916",  # TANGUT COMPONENT-279
    "\u18917",  # TANGUT COMPONENT-280
    "\u18918",  # TANGUT COMPONENT-281
    "\u18919",  # TANGUT COMPONENT-282
    "\u1891A",  # TANGUT COMPONENT-283
    "\u1891B",  # TANGUT COMPONENT-284
    "\u1891C",  # TANGUT COMPONENT-285
    "\u1891D",  # TANGUT COMPONENT-286
    "\u1891E",  # TANGUT COMPONENT-287
    "\u1891F",  # TANGUT COMPONENT-288
    "\u18920",  # TANGUT COMPONENT-289
    "\u18921",  # TANGUT COMPONENT-290
    "\u18922",  # TANGUT COMPONENT-291
    "\u18923",  # TANGUT COMPONENT-292
    "\u18924",  # TANGUT COMPONENT-293
    "\u18925",  # TANGUT COMPONENT-294
    "\u18926",  # TANGUT COMPONENT-295
    "\u18927",  # TANGUT COMPONENT-296
    "\u18928",  # TANGUT COMPONENT-297
    "\u18929",  # TANGUT COMPONENT-298
    "\u1892A",  # TANGUT COMPONENT-299
    "\u1892B",  # TANGUT COMPONENT-300
    "\u1892C",  # TANGUT COMPONENT-301
    "\u1892D",  # TANGUT COMPONENT-302
    "\u1892E",  # TANGUT COMPONENT-303
    "\u1892F",  # TANGUT COMPONENT-304
    "\u18930",  # TANGUT COMPONENT-305
    "\u18931",  # TANGUT COMPONENT-306
    "\u18932",  # TANGUT COMPONENT-307
    "\u18933",  # TANGUT COMPONENT-308
    "\u18934",  # TANGUT COMPONENT-309
    "\u18935",  # TANGUT COMPONENT-310
    "\u18936",  # TANGUT COMPONENT-311
    "\u18937",  # TANGUT COMPONENT-312
    "\u18938",  # TANGUT COMPONENT-313
    "\u18939",  # TANGUT COMPONENT-314
    "\u1893A",  # TANGUT COMPONENT-315
    "\u1893B",  # TANGUT COMPONENT-316
    "\u1893C",  # TANGUT COMPONENT-317
    "\u1893D",  # TANGUT COMPONENT-318
    "\u1893E",  # TANGUT COMPONENT-319
    "\u1893F",  # TANGUT COMPONENT-320
    "\u18940",  # TANGUT COMPONENT-321
    "\u18941",  # TANGUT COMPONENT-322
    "\u18942",  # TANGUT COMPONENT-323
    "\u18943",  # TANGUT COMPONENT-324
    "\u18944",  # TANGUT COMPONENT-325
    "\u18945",  # TANGUT COMPONENT-326
    "\u18946",  # TANGUT COMPONENT-327
    "\u18947",  # TANGUT COMPONENT-328
    "\u18948",  # TANGUT COMPONENT-329
    "\u18949",  # TANGUT COMPONENT-330
    "\u1894A",  # TANGUT COMPONENT-331
    "\u1894B",  # TANGUT COMPONENT-332
    "\u1894C",  # TANGUT COMPONENT-333
    "\u1894D",  # TANGUT COMPONENT-334
    "\u1894E",  # TANGUT COMPONENT-335
    "\u1894F",  # TANGUT COMPONENT-336
    "\u18950",  # TANGUT COMPONENT-337
    "\u18951",  # TANGUT COMPONENT-338
    "\u18952",  # TANGUT COMPONENT-339
    "\u18953",  # TANGUT COMPONENT-340
    "\u18954",  # TANGUT COMPONENT-341
    "\u18955",  # TANGUT COMPONENT-342
    "\u18956",  # TANGUT COMPONENT-343
    "\u18957",  # TANGUT COMPONENT-344
    "\u18958",  # TANGUT COMPONENT-345
    "\u18959",  # TANGUT COMPONENT-346
    "\u1895A",  # TANGUT COMPONENT-347
    "\u1895B",  # TANGUT COMPONENT-348
    "\u1895C",  # TANGUT COMPONENT-349
    "\u1895D",  # TANGUT COMPONENT-350
    "\u1895E",  # TANGUT COMPONENT-351
    "\u1895F",  # TANGUT COMPONENT-352
    "\u18960",  # TANGUT COMPONENT-353
    "\u18961",  # TANGUT COMPONENT-354
    "\u18962",  # TANGUT COMPONENT-355
    "\u18963",  # TANGUT COMPONENT-356
    "\u18964",  # TANGUT COMPONENT-357
    "\u18965",  # TANGUT COMPONENT-358
    "\u18966",  # TANGUT COMPONENT-359
    "\u18967",  # TANGUT COMPONENT-360
    "\u18968",  # TANGUT COMPONENT-361
    "\u18969",  # TANGUT COMPONENT-362
    "\u1896A",  # TANGUT COMPONENT-363
    "\u1896B",  # TANGUT COMPONENT-364
    "\u1896C",  # TANGUT COMPONENT-365
    "\u1896D",  # TANGUT COMPONENT-366
    "\u1896E",  # TANGUT COMPONENT-367
    "\u1896F",  # TANGUT COMPONENT-368
    "\u18970",  # TANGUT COMPONENT-369
    "\u18971",  # TANGUT COMPONENT-370
    "\u18972",  # TANGUT COMPONENT-371
    "\u18973",  # TANGUT COMPONENT-372
    "\u18974",  # TANGUT COMPONENT-373
    "\u18975",  # TANGUT COMPONENT-374
    "\u18976",  # TANGUT COMPONENT-375
    "\u18977",  # TANGUT COMPONENT-376
    "\u18978",  # TANGUT COMPONENT-377
    "\u18979",  # TANGUT COMPONENT-378
    "\u1897A",  # TANGUT COMPONENT-379
    "\u1897B",  # TANGUT COMPONENT-380
    "\u1897C",  # TANGUT COMPONENT-381
    "\u1897D",  # TANGUT COMPONENT-382
    "\u1897E",  # TANGUT COMPONENT-383
    "\u1897F",  # TANGUT COMPONENT-384
    "\u18980",  # TANGUT COMPONENT-385
    "\u18981",  # TANGUT COMPONENT-386
    "\u18982",  # TANGUT COMPONENT-387
    "\u18983",  # TANGUT COMPONENT-388
    "\u18984",  # TANGUT COMPONENT-389
    "\u18985",  # TANGUT COMPONENT-390
    "\u18986",  # TANGUT COMPONENT-391
    "\u18987",  # TANGUT COMPONENT-392
    "\u18988",  # TANGUT COMPONENT-393
    "\u18989",  # TANGUT COMPONENT-394
    "\u1898A",  # TANGUT COMPONENT-395
    "\u1898B",  # TANGUT COMPONENT-396
    "\u1898C",  # TANGUT COMPONENT-397
    "\u1898D",  # TANGUT COMPONENT-398
    "\u1898E",  # TANGUT COMPONENT-399
    "\u1898F",  # TANGUT COMPONENT-400
    "\u18990",  # TANGUT COMPONENT-401
    "\u18991",  # TANGUT COMPONENT-402
    "\u18992",  # TANGUT COMPONENT-403
    "\u18993",  # TANGUT COMPONENT-404
    "\u18994",  # TANGUT COMPONENT-405
    "\u18995",  # TANGUT COMPONENT-406
    "\u18996",  # TANGUT COMPONENT-407
    "\u18997",  # TANGUT COMPONENT-408
    "\u18998",  # TANGUT COMPONENT-409
    "\u18999",  # TANGUT COMPONENT-410
    "\u1899A",  # TANGUT COMPONENT-411
    "\u1899B",  # TANGUT COMPONENT-412
    "\u1899C",  # TANGUT COMPONENT-413
    "\u1899D",  # TANGUT COMPONENT-414
    "\u1899E",  # TANGUT COMPONENT-415
    "\u1899F",  # TANGUT COMPONENT-416
    "\u189A0",  # TANGUT COMPONENT-417
    "\u189A1",  # TANGUT COMPONENT-418
    "\u189A2",  # TANGUT COMPONENT-419
    "\u189A3",  # TANGUT COMPONENT-420
    "\u189A4",  # TANGUT COMPONENT-421
    "\u189A5",  # TANGUT COMPONENT-422
    "\u189A6",  # TANGUT COMPONENT-423
    "\u189A7",  # TANGUT COMPONENT-424
    "\u189A8",  # TANGUT COMPONENT-425
    "\u189A9",  # TANGUT COMPONENT-426
    "\u189AA",  # TANGUT COMPONENT-427
    "\u189AB",  # TANGUT COMPONENT-428
    "\u189AC",  # TANGUT COMPONENT-429
    "\u189AD",  # TANGUT COMPONENT-430
    "\u189AE",  # TANGUT COMPONENT-431
    "\u189AF",  # TANGUT COMPONENT-432
    "\u189B0",  # TANGUT COMPONENT-433
    "\u189B1",  # TANGUT COMPONENT-434
    "\u189B2",  # TANGUT COMPONENT-435
    "\u189B3",  # TANGUT COMPONENT-436
    "\u189B4",  # TANGUT COMPONENT-437
    "\u189B5",  # TANGUT COMPONENT-438
    "\u189B6",  # TANGUT COMPONENT-439
    "\u189B7",  # TANGUT COMPONENT-440
    "\u189B8",  # TANGUT COMPONENT-441
    "\u189B9",  # TANGUT COMPONENT-442
    "\u189BA",  # TANGUT COMPONENT-443
    "\u189BB",  # TANGUT COMPONENT-444
    "\u189BC",  # TANGUT COMPONENT-445
    "\u189BD",  # TANGUT COMPONENT-446
    "\u189BE",  # TANGUT COMPONENT-447
    "\u189BF",  # TANGUT COMPONENT-448
    "\u189C0",  # TANGUT COMPONENT-449
    "\u189C1",  # TANGUT COMPONENT-450
    "\u189C2",  # TANGUT COMPONENT-451
    "\u189C3",  # TANGUT COMPONENT-452
    "\u189C4",  # TANGUT COMPONENT-453
    "\u189C5",  # TANGUT COMPONENT-454
    "\u189C6",  # TANGUT COMPONENT-455
    "\u189C7",  # TANGUT COMPONENT-456
    "\u189C8",  # TANGUT COMPONENT-457
    "\u189C9",  # TANGUT COMPONENT-458
    "\u189CA",  # TANGUT COMPONENT-459
    "\u189CB",  # TANGUT COMPONENT-460
    "\u189CC",  # TANGUT COMPONENT-461
    "\u189CD",  # TANGUT COMPONENT-462
    "\u189CE",  # TANGUT COMPONENT-463
    "\u189CF",  # TANGUT COMPONENT-464
    "\u189D0",  # TANGUT COMPONENT-465
    "\u189D1",  # TANGUT COMPONENT-466
    "\u189D2",  # TANGUT COMPONENT-467
    "\u189D3",  # TANGUT COMPONENT-468
    "\u189D4",  # TANGUT COMPONENT-469
    "\u189D5",  # TANGUT COMPONENT-470
    "\u189D6",  # TANGUT COMPONENT-471
    "\u189D7",  # TANGUT COMPONENT-472
    "\u189D8",  # TANGUT COMPONENT-473
    "\u189D9",  # TANGUT COMPONENT-474
    "\u189DA",  # TANGUT COMPONENT-475
    "\u189DB",  # TANGUT COMPONENT-476
    "\u189DC",  # TANGUT COMPONENT-477
    "\u189DD",  # TANGUT COMPONENT-478
    "\u189DE",  # TANGUT COMPONENT-479
    "\u189DF",  # TANGUT COMPONENT-480
    "\u189E0",  # TANGUT COMPONENT-481
    "\u189E1",  # TANGUT COMPONENT-482
    "\u189E2",  # TANGUT COMPONENT-483
    "\u189E3",  # TANGUT COMPONENT-484
    "\u189E4",  # TANGUT COMPONENT-485
    "\u189E5",  # TANGUT COMPONENT-486
    "\u189E6",  # TANGUT COMPONENT-487
    "\u189E7",  # TANGUT COMPONENT-488
    "\u189E8",  # TANGUT COMPONENT-489
    "\u189E9",  # TANGUT COMPONENT-490
    "\u189EA",  # TANGUT COMPONENT-491
    "\u189EB",  # TANGUT COMPONENT-492
    "\u189EC",  # TANGUT COMPONENT-493
    "\u189ED",  # TANGUT COMPONENT-494
    "\u189EE",  # TANGUT COMPONENT-495
    "\u189EF",  # TANGUT COMPONENT-496
    "\u189F0",  # TANGUT COMPONENT-497
    "\u189F1",  # TANGUT COMPONENT-498
    "\u189F2",  # TANGUT COMPONENT-499
    "\u189F3",  # TANGUT COMPONENT-500
    "\u189F4",  # TANGUT COMPONENT-501
    "\u189F5",  # TANGUT COMPONENT-502
    "\u189F6",  # TANGUT COMPONENT-503
    "\u189F7",  # TANGUT COMPONENT-504
    "\u189F8",  # TANGUT COMPONENT-505
    "\u189F9",  # TANGUT COMPONENT-506
    "\u189FA",  # TANGUT COMPONENT-507
    "\u189FB",  # TANGUT COMPONENT-508
    "\u189FC",  # TANGUT COMPONENT-509
    "\u189FD",  # TANGUT COMPONENT-510
    "\u189FE",  # TANGUT COMPONENT-511
    "\u189FF",  # TANGUT COMPONENT-512
    "\u18A00",  # TANGUT COMPONENT-513
    "\u18A01",  # TANGUT COMPONENT-514
    "\u18A02",  # TANGUT COMPONENT-515
    "\u18A03",  # TANGUT COMPONENT-516
    "\u18A04",  # TANGUT COMPONENT-517
    "\u18A05",  # TANGUT COMPONENT-518
    "\u18A06",  # TANGUT COMPONENT-519
    "\u18A07",  # TANGUT COMPONENT-520
    "\u18A08",  # TANGUT COMPONENT-521
    "\u18A09",  # TANGUT COMPONENT-522
    "\u18A0A",  # TANGUT COMPONENT-523
    "\u18A0B",  # TANGUT COMPONENT-524
    "\u18A0C",  # TANGUT COMPONENT-525
    "\u18A0D",  # TANGUT COMPONENT-526
    "\u18A0E",  # TANGUT COMPONENT-527
    "\u18A0F",  # TANGUT COMPONENT-528
    "\u18A10",  # TANGUT COMPONENT-529
    "\u18A11",  # TANGUT COMPONENT-530
    "\u18A12",  # TANGUT COMPONENT-531
    "\u18A13",  # TANGUT COMPONENT-532
    "\u18A14",  # TANGUT COMPONENT-533
    "\u18A15",  # TANGUT COMPONENT-534
    "\u18A16",  # TANGUT COMPONENT-535
    "\u18A17",  # TANGUT COMPONENT-536
    "\u18A18",  # TANGUT COMPONENT-537
    "\u18A19",  # TANGUT COMPONENT-538
    "\u18A1A",  # TANGUT COMPONENT-539
    "\u18A1B",  # TANGUT COMPONENT-540
    "\u18A1C",  # TANGUT COMPONENT-541
    "\u18A1D",  # TANGUT COMPONENT-542
    "\u18A1E",  # TANGUT COMPONENT-543
    "\u18A1F",  # TANGUT COMPONENT-544
    "\u18A20",  # TANGUT COMPONENT-545
    "\u18A21",  # TANGUT COMPONENT-546
    "\u18A22",  # TANGUT COMPONENT-547
    "\u18A23",  # TANGUT COMPONENT-548
    "\u18A24",  # TANGUT COMPONENT-549
    "\u18A25",  # TANGUT COMPONENT-550
    "\u18A26",  # TANGUT COMPONENT-551
    "\u18A27",  # TANGUT COMPONENT-552
    "\u18A28",  # TANGUT COMPONENT-553
    "\u18A29",  # TANGUT COMPONENT-554
    "\u18A2A",  # TANGUT COMPONENT-555
    "\u18A2B",  # TANGUT COMPONENT-556
    "\u18A2C",  # TANGUT COMPONENT-557
    "\u18A2D",  # TANGUT COMPONENT-558
    "\u18A2E",  # TANGUT COMPONENT-559
    "\u18A2F",  # TANGUT COMPONENT-560
    "\u18A30",  # TANGUT COMPONENT-561
    "\u18A31",  # TANGUT COMPONENT-562
    "\u18A32",  # TANGUT COMPONENT-563
    "\u18A33",  # TANGUT COMPONENT-564
    "\u18A34",  # TANGUT COMPONENT-565
    "\u18A35",  # TANGUT COMPONENT-566
    "\u18A36",  # TANGUT COMPONENT-567
    "\u18A37",  # TANGUT COMPONENT-568
    "\u18A38",  # TANGUT COMPONENT-569
    "\u18A39",  # TANGUT COMPONENT-570
    "\u18A3A",  # TANGUT COMPONENT-571
    "\u18A3B",  # TANGUT COMPONENT-572
    "\u18A3C",  # TANGUT COMPONENT-573
    "\u18A3D",  # TANGUT COMPONENT-574
    "\u18A3E",  # TANGUT COMPONENT-575
    "\u18A3F",  # TANGUT COMPONENT-576
    "\u18A40",  # TANGUT COMPONENT-577
    "\u18A41",  # TANGUT COMPONENT-578
    "\u18A42",  # TANGUT COMPONENT-579
    "\u18A43",  # TANGUT COMPONENT-580
    "\u18A44",  # TANGUT COMPONENT-581
    "\u18A45",  # TANGUT COMPONENT-582
    "\u18A46",  # TANGUT COMPONENT-583
    "\u18A47",  # TANGUT COMPONENT-584
    "\u18A48",  # TANGUT COMPONENT-585
    "\u18A49",  # TANGUT COMPONENT-586
    "\u18A4A",  # TANGUT COMPONENT-587
    "\u18A4B",  # TANGUT COMPONENT-588
    "\u18A4C",  # TANGUT COMPONENT-589
    "\u18A4D",  # TANGUT COMPONENT-590
    "\u18A4E",  # TANGUT COMPONENT-591
    "\u18A4F",  # TANGUT COMPONENT-592
    "\u18A50",  # TANGUT COMPONENT-593
    "\u18A51",  # TANGUT COMPONENT-594
    "\u18A52",  # TANGUT COMPONENT-595
    "\u18A53",  # TANGUT COMPONENT-596
    "\u18A54",  # TANGUT COMPONENT-597
    "\u18A55",  # TANGUT COMPONENT-598
    "\u18A56",  # TANGUT COMPONENT-599
    "\u18A57",  # TANGUT COMPONENT-600
    "\u18A58",  # TANGUT COMPONENT-601
    "\u18A59",  # TANGUT COMPONENT-602
    "\u18A5A",  # TANGUT COMPONENT-603
    "\u18A5B",  # TANGUT COMPONENT-604
    "\u18A5C",  # TANGUT COMPONENT-605
    "\u18A5D",  # TANGUT COMPONENT-606
    "\u18A5E",  # TANGUT COMPONENT-607
    "\u18A5F",  # TANGUT COMPONENT-608
    "\u18A60",  # TANGUT COMPONENT-609
    "\u18A61",  # TANGUT COMPONENT-610
    "\u18A62",  # TANGUT COMPONENT-611
    "\u18A63",  # TANGUT COMPONENT-612
    "\u18A64",  # TANGUT COMPONENT-613
    "\u18A65",  # TANGUT COMPONENT-614
    "\u18A66",  # TANGUT COMPONENT-615
    "\u18A67",  # TANGUT COMPONENT-616
    "\u18A68",  # TANGUT COMPONENT-617
    "\u18A69",  # TANGUT COMPONENT-618
    "\u18A6A",  # TANGUT COMPONENT-619
    "\u18A6B",  # TANGUT COMPONENT-620
    "\u18A6C",  # TANGUT COMPONENT-621
    "\u18A6D",  # TANGUT COMPONENT-622
    "\u18A6E",  # TANGUT COMPONENT-623
    "\u18A6F",  # TANGUT COMPONENT-624
    "\u18A70",  # TANGUT COMPONENT-625
    "\u18A71",  # TANGUT COMPONENT-626
    "\u18A72",  # TANGUT COMPONENT-627
    "\u18A73",  # TANGUT COMPONENT-628
    "\u18A74",  # TANGUT COMPONENT-629
    "\u18A75",  # TANGUT COMPONENT-630
    "\u18A76",  # TANGUT COMPONENT-631
    "\u18A77",  # TANGUT COMPONENT-632
    "\u18A78",  # TANGUT COMPONENT-633
    "\u18A79",  # TANGUT COMPONENT-634
    "\u18A7A",  # TANGUT COMPONENT-635
    "\u18A7B",  # TANGUT COMPONENT-636
    "\u18A7C",  # TANGUT COMPONENT-637
    "\u18A7D",  # TANGUT COMPONENT-638
    "\u18A7E",  # TANGUT COMPONENT-639
    "\u18A7F",  # TANGUT COMPONENT-640
    "\u18A80",  # TANGUT COMPONENT-641
    "\u18A81",  # TANGUT COMPONENT-642
    "\u18A82",  # TANGUT COMPONENT-643
    "\u18A83",  # TANGUT COMPONENT-644
    "\u18A84",  # TANGUT COMPONENT-645
    "\u18A85",  # TANGUT COMPONENT-646
    "\u18A86",  # TANGUT COMPONENT-647
    "\u18A87",  # TANGUT COMPONENT-648
    "\u18A88",  # TANGUT COMPONENT-649
    "\u18A89",  # TANGUT COMPONENT-650
    "\u18A8A",  # TANGUT COMPONENT-651
    "\u18A8B",  # TANGUT COMPONENT-652
    "\u18A8C",  # TANGUT COMPONENT-653
    "\u18A8D",  # TANGUT COMPONENT-654
    "\u18A8E",  # TANGUT COMPONENT-655
    "\u18A8F",  # TANGUT COMPONENT-656
    "\u18A90",  # TANGUT COMPONENT-657
    "\u18A91",  # TANGUT COMPONENT-658
    "\u18A92",  # TANGUT COMPONENT-659
    "\u18A93",  # TANGUT COMPONENT-660
    "\u18A94",  # TANGUT COMPONENT-661
    "\u18A95",  # TANGUT COMPONENT-662
    "\u18A96",  # TANGUT COMPONENT-663
    "\u18A97",  # TANGUT COMPONENT-664
    "\u18A98",  # TANGUT COMPONENT-665
    "\u18A99",  # TANGUT COMPONENT-666
    "\u18A9A",  # TANGUT COMPONENT-667
    "\u18A9B",  # TANGUT COMPONENT-668
    "\u18A9C",  # TANGUT COMPONENT-669
    "\u18A9D",  # TANGUT COMPONENT-670
    "\u18A9E",  # TANGUT COMPONENT-671
    "\u18A9F",  # TANGUT COMPONENT-672
    "\u18AA0",  # TANGUT COMPONENT-673
    "\u18AA1",  # TANGUT COMPONENT-674
    "\u18AA2",  # TANGUT COMPONENT-675
    "\u18AA3",  # TANGUT COMPONENT-676
    "\u18AA4",  # TANGUT COMPONENT-677
    "\u18AA5",  # TANGUT COMPONENT-678
    "\u18AA6",  # TANGUT COMPONENT-679
    "\u18AA7",  # TANGUT COMPONENT-680
    "\u18AA8",  # TANGUT COMPONENT-681
    "\u18AA9",  # TANGUT COMPONENT-682
    "\u18AAA",  # TANGUT COMPONENT-683
    "\u18AAB",  # TANGUT COMPONENT-684
    "\u18AAC",  # TANGUT COMPONENT-685
    "\u18AAD",  # TANGUT COMPONENT-686
    "\u18AAE",  # TANGUT COMPONENT-687
    "\u18AAF",  # TANGUT COMPONENT-688
    "\u18AB0",  # TANGUT COMPONENT-689
    "\u18AB1",  # TANGUT COMPONENT-690
    "\u18AB2",  # TANGUT COMPONENT-691
    "\u18AB3",  # TANGUT COMPONENT-692
    "\u18AB4",  # TANGUT COMPONENT-693
    "\u18AB5",  # TANGUT COMPONENT-694
    "\u18AB6",  # TANGUT COMPONENT-695
    "\u18AB7",  # TANGUT COMPONENT-696
    "\u18AB8",  # TANGUT COMPONENT-697
    "\u18AB9",  # TANGUT COMPONENT-698
    "\u18ABA",  # TANGUT COMPONENT-699
    "\u18ABB",  # TANGUT COMPONENT-700
    "\u18ABC",  # TANGUT COMPONENT-701
    "\u18ABD",  # TANGUT COMPONENT-702
    "\u18ABE",  # TANGUT COMPONENT-703
    "\u18ABF",  # TANGUT COMPONENT-704
    "\u18AC0",  # TANGUT COMPONENT-705
    "\u18AC1",  # TANGUT COMPONENT-706
    "\u18AC2",  # TANGUT COMPONENT-707
    "\u18AC3",  # TANGUT COMPONENT-708
    "\u18AC4",  # TANGUT COMPONENT-709
    "\u18AC5",  # TANGUT COMPONENT-710
    "\u18AC6",  # TANGUT COMPONENT-711
    "\u18AC7",  # TANGUT COMPONENT-712
    "\u18AC8",  # TANGUT COMPONENT-713
    "\u18AC9",  # TANGUT COMPONENT-714
    "\u18ACA",  # TANGUT COMPONENT-715
    "\u18ACB",  # TANGUT COMPONENT-716
    "\u18ACC",  # TANGUT COMPONENT-717
    "\u18ACD",  # TANGUT COMPONENT-718
    "\u18ACE",  # TANGUT COMPONENT-719
    "\u18ACF",  # TANGUT COMPONENT-720
    "\u18AD0",  # TANGUT COMPONENT-721
    "\u18AD1",  # TANGUT COMPONENT-722
    "\u18AD2",  # TANGUT COMPONENT-723
    "\u18AD3",  # TANGUT COMPONENT-724
    "\u18AD4",  # TANGUT COMPONENT-725
    "\u18AD5",  # TANGUT COMPONENT-726
    "\u18AD6",  # TANGUT COMPONENT-727
    "\u18AD7",  # TANGUT COMPONENT-728
    "\u18AD8",  # TANGUT COMPONENT-729
    "\u18AD9",  # TANGUT COMPONENT-730
    "\u18ADA",  # TANGUT COMPONENT-731
    "\u18ADB",  # TANGUT COMPONENT-732
    "\u18ADC",  # TANGUT COMPONENT-733
    "\u18ADD",  # TANGUT COMPONENT-734
    "\u18ADE",  # TANGUT COMPONENT-735
    "\u18ADF",  # TANGUT COMPONENT-736
    "\u18AE0",  # TANGUT COMPONENT-737
    "\u18AE1",  # TANGUT COMPONENT-738
    "\u18AE2",  # TANGUT COMPONENT-739
    "\u18AE3",  # TANGUT COMPONENT-740
    "\u18AE4",  # TANGUT COMPONENT-741
    "\u18AE5",  # TANGUT COMPONENT-742
    "\u18AE6",  # TANGUT COMPONENT-743
    "\u18AE7",  # TANGUT COMPONENT-744
    "\u18AE8",  # TANGUT COMPONENT-745
    "\u18AE9",  # TANGUT COMPONENT-746
    "\u18AEA",  # TANGUT COMPONENT-747
    "\u18AEB",  # TANGUT COMPONENT-748
    "\u18AEC",  # TANGUT COMPONENT-749
    "\u18AED",  # TANGUT COMPONENT-750
    "\u18AEE",  # TANGUT COMPONENT-751
    "\u18AEF",  # TANGUT COMPONENT-752
    "\u18AF0",  # TANGUT COMPONENT-753
    "\u18AF1",  # TANGUT COMPONENT-754
    "\u18AF2",  # TANGUT COMPONENT-755
    "\u1B000",  # KATAKANA LETTER ARCHAIC E
    "\u1B001",  # HIRAGANA LETTER ARCHAIC YE
    "\u1B002",  # HENTAIGANA LETTER A-1
    "\u1B003",  # HENTAIGANA LETTER A-2
    "\u1B004",  # HENTAIGANA LETTER A-3
    "\u1B005",  # HENTAIGANA LETTER A-WO
    "\u1B006",  # HENTAIGANA LETTER I-1
    "\u1B007",  # HENTAIGANA LETTER I-2
    "\u1B008",  # HENTAIGANA LETTER I-3
    "\u1B009",  # HENTAIGANA LETTER I-4
    "\u1B00A",  # HENTAIGANA LETTER U-1
    "\u1B00B",  # HENTAIGANA LETTER U-2
    "\u1B00C",  # HENTAIGANA LETTER U-3
    "\u1B00D",  # HENTAIGANA LETTER U-4
    "\u1B00E",  # HENTAIGANA LETTER U-5
    "\u1B00F",  # HENTAIGANA LETTER E-2
    "\u1B010",  # HENTAIGANA LETTER E-3
    "\u1B011",  # HENTAIGANA LETTER E-4
    "\u1B012",  # HENTAIGANA LETTER E-5
    "\u1B013",  # HENTAIGANA LETTER E-6
    "\u1B014",  # HENTAIGANA LETTER O-1
    "\u1B015",  # HENTAIGANA LETTER O-2
    "\u1B016",  # HENTAIGANA LETTER O-3
    "\u1B017",  # HENTAIGANA LETTER KA-1
    "\u1B018",  # HENTAIGANA LETTER KA-2
    "\u1B019",  # HENTAIGANA LETTER KA-3
    "\u1B01A",  # HENTAIGANA LETTER KA-4
    "\u1B01B",  # HENTAIGANA LETTER KA-5
    "\u1B01C",  # HENTAIGANA LETTER KA-6
    "\u1B01D",  # HENTAIGANA LETTER KA-7
    "\u1B01E",  # HENTAIGANA LETTER KA-8
    "\u1B01F",  # HENTAIGANA LETTER KA-9
    "\u1B020",  # HENTAIGANA LETTER KA-10
    "\u1B021",  # HENTAIGANA LETTER KA-11
    "\u1B022",  # HENTAIGANA LETTER KA-KE
    "\u1B023",  # HENTAIGANA LETTER KI-1
    "\u1B024",  # HENTAIGANA LETTER KI-2
    "\u1B025",  # HENTAIGANA LETTER KI-3
    "\u1B026",  # HENTAIGANA LETTER KI-4
    "\u1B027",  # HENTAIGANA LETTER KI-5
    "\u1B028",  # HENTAIGANA LETTER KI-6
    "\u1B029",  # HENTAIGANA LETTER KI-7
    "\u1B02A",  # HENTAIGANA LETTER KI-8
    "\u1B02B",  # HENTAIGANA LETTER KU-1
    "\u1B02C",  # HENTAIGANA LETTER KU-2
    "\u1B02D",  # HENTAIGANA LETTER KU-3
    "\u1B02E",  # HENTAIGANA LETTER KU-4
    "\u1B02F",  # HENTAIGANA LETTER KU-5
    "\u1B030",  # HENTAIGANA LETTER KU-6
    "\u1B031",  # HENTAIGANA LETTER KU-7
    "\u1B032",  # HENTAIGANA LETTER KE-1
    "\u1B033",  # HENTAIGANA LETTER KE-2
    "\u1B034",  # HENTAIGANA LETTER KE-3
    "\u1B035",  # HENTAIGANA LETTER KE-4
    "\u1B036",  # HENTAIGANA LETTER KE-5
    "\u1B037",  # HENTAIGANA LETTER KE-6
    "\u1B038",  # HENTAIGANA LETTER KO-1
    "\u1B039",  # HENTAIGANA LETTER KO-2
    "\u1B03A",  # HENTAIGANA LETTER KO-3
    "\u1B03B",  # HENTAIGANA LETTER KO-KI
    "\u1B03C",  # HENTAIGANA LETTER SA-1
    "\u1B03D",  # HENTAIGANA LETTER SA-2
    "\u1B03E",  # HENTAIGANA LETTER SA-3
    "\u1B03F",  # HENTAIGANA LETTER SA-4
    "\u1B040",  # HENTAIGANA LETTER SA-5
    "\u1B041",  # HENTAIGANA LETTER SA-6
    "\u1B042",  # HENTAIGANA LETTER SA-7
    "\u1B043",  # HENTAIGANA LETTER SA-8
    "\u1B044",  # HENTAIGANA LETTER SI-1
    "\u1B045",  # HENTAIGANA LETTER SI-2
    "\u1B046",  # HENTAIGANA LETTER SI-3
    "\u1B047",  # HENTAIGANA LETTER SI-4
    "\u1B048",  # HENTAIGANA LETTER SI-5
    "\u1B049",  # HENTAIGANA LETTER SI-6
    "\u1B04A",  # HENTAIGANA LETTER SU-1
    "\u1B04B",  # HENTAIGANA LETTER SU-2
    "\u1B04C",  # HENTAIGANA LETTER SU-3
    "\u1B04D",  # HENTAIGANA LETTER SU-4
    "\u1B04E",  # HENTAIGANA LETTER SU-5
    "\u1B04F",  # HENTAIGANA LETTER SU-6
    "\u1B050",  # HENTAIGANA LETTER SU-7
    "\u1B051",  # HENTAIGANA LETTER SU-8
    "\u1B052",  # HENTAIGANA LETTER SE-1
    "\u1B053",  # HENTAIGANA LETTER SE-2
    "\u1B054",  # HENTAIGANA LETTER SE-3
    "\u1B055",  # HENTAIGANA LETTER SE-4
    "\u1B056",  # HENTAIGANA LETTER SE-5
    "\u1B057",  # HENTAIGANA LETTER SO-1
    "\u1B058",  # HENTAIGANA LETTER SO-2
    "\u1B059",  # HENTAIGANA LETTER SO-3
    "\u1B05A",  # HENTAIGANA LETTER SO-4
    "\u1B05B",  # HENTAIGANA LETTER SO-5
    "\u1B05C",  # HENTAIGANA LETTER SO-6
    "\u1B05D",  # HENTAIGANA LETTER SO-7
    "\u1B05E",  # HENTAIGANA LETTER TA-1
    "\u1B05F",  # HENTAIGANA LETTER TA-2
    "\u1B060",  # HENTAIGANA LETTER TA-3
    "\u1B061",  # HENTAIGANA LETTER TA-4
    "\u1B062",  # HENTAIGANA LETTER TI-1
    "\u1B063",  # HENTAIGANA LETTER TI-2
    "\u1B064",  # HENTAIGANA LETTER TI-3
    "\u1B065",  # HENTAIGANA LETTER TI-4
    "\u1B066",  # HENTAIGANA LETTER TI-5
    "\u1B067",  # HENTAIGANA LETTER TI-6
    "\u1B068",  # HENTAIGANA LETTER TI-7
    "\u1B069",  # HENTAIGANA LETTER TU-1
    "\u1B06A",  # HENTAIGANA LETTER TU-2
    "\u1B06B",  # HENTAIGANA LETTER TU-3
    "\u1B06C",  # HENTAIGANA LETTER TU-4
    "\u1B06D",  # HENTAIGANA LETTER TU-TO
    "\u1B06E",  # HENTAIGANA LETTER TE-1
    "\u1B06F",  # HENTAIGANA LETTER TE-2
    "\u1B070",  # HENTAIGANA LETTER TE-3
    "\u1B071",  # HENTAIGANA LETTER TE-4
    "\u1B072",  # HENTAIGANA LETTER TE-5
    "\u1B073",  # HENTAIGANA LETTER TE-6
    "\u1B074",  # HENTAIGANA LETTER TE-7
    "\u1B075",  # HENTAIGANA LETTER TE-8
    "\u1B076",  # HENTAIGANA LETTER TE-9
    "\u1B077",  # HENTAIGANA LETTER TO-1
    "\u1B078",  # HENTAIGANA LETTER TO-2
    "\u1B079",  # HENTAIGANA LETTER TO-3
    "\u1B07A",  # HENTAIGANA LETTER TO-4
    "\u1B07B",  # HENTAIGANA LETTER TO-5
    "\u1B07C",  # HENTAIGANA LETTER TO-6
    "\u1B07D",  # HENTAIGANA LETTER TO-RA
    "\u1B07E",  # HENTAIGANA LETTER NA-1
    "\u1B07F",  # HENTAIGANA LETTER NA-2
    "\u1B080",  # HENTAIGANA LETTER NA-3
    "\u1B081",  # HENTAIGANA LETTER NA-4
    "\u1B082",  # HENTAIGANA LETTER NA-5
    "\u1B083",  # HENTAIGANA LETTER NA-6
    "\u1B084",  # HENTAIGANA LETTER NA-7
    "\u1B085",  # HENTAIGANA LETTER NA-8
    "\u1B086",  # HENTAIGANA LETTER NA-9
    "\u1B087",  # HENTAIGANA LETTER NI-1
    "\u1B088",  # HENTAIGANA LETTER NI-2
    "\u1B089",  # HENTAIGANA LETTER NI-3
    "\u1B08A",  # HENTAIGANA LETTER NI-4
    "\u1B08B",  # HENTAIGANA LETTER NI-5
    "\u1B08C",  # HENTAIGANA LETTER NI-6
    "\u1B08D",  # HENTAIGANA LETTER NI-7
    "\u1B08E",  # HENTAIGANA LETTER NI-TE
    "\u1B08F",  # HENTAIGANA LETTER NU-1
    "\u1B090",  # HENTAIGANA LETTER NU-2
    "\u1B091",  # HENTAIGANA LETTER NU-3
    "\u1B092",  # HENTAIGANA LETTER NE-1
    "\u1B093",  # HENTAIGANA LETTER NE-2
    "\u1B094",  # HENTAIGANA LETTER NE-3
    "\u1B095",  # HENTAIGANA LETTER NE-4
    "\u1B096",  # HENTAIGANA LETTER NE-5
    "\u1B097",  # HENTAIGANA LETTER NE-6
    "\u1B098",  # HENTAIGANA LETTER NE-KO
    "\u1B099",  # HENTAIGANA LETTER NO-1
    "\u1B09A",  # HENTAIGANA LETTER NO-2
    "\u1B09B",  # HENTAIGANA LETTER NO-3
    "\u1B09C",  # HENTAIGANA LETTER NO-4
    "\u1B09D",  # HENTAIGANA LETTER NO-5
    "\u1B09E",  # HENTAIGANA LETTER HA-1
    "\u1B09F",  # HENTAIGANA LETTER HA-2
    "\u1B0A0",  # HENTAIGANA LETTER HA-3
    "\u1B0A1",  # HENTAIGANA LETTER HA-4
    "\u1B0A2",  # HENTAIGANA LETTER HA-5
    "\u1B0A3",  # HENTAIGANA LETTER HA-6
    "\u1B0A4",  # HENTAIGANA LETTER HA-7
    "\u1B0A5",  # HENTAIGANA LETTER HA-8
    "\u1B0A6",  # HENTAIGANA LETTER HA-9
    "\u1B0A7",  # HENTAIGANA LETTER HA-10
    "\u1B0A8",  # HENTAIGANA LETTER HA-11
    "\u1B0A9",  # HENTAIGANA LETTER HI-1
    "\u1B0AA",  # HENTAIGANA LETTER HI-2
    "\u1B0AB",  # HENTAIGANA LETTER HI-3
    "\u1B0AC",  # HENTAIGANA LETTER HI-4
    "\u1B0AD",  # HENTAIGANA LETTER HI-5
    "\u1B0AE",  # HENTAIGANA LETTER HI-6
    "\u1B0AF",  # HENTAIGANA LETTER HI-7
    "\u1B0B0",  # HENTAIGANA LETTER HU-1
    "\u1B0B1",  # HENTAIGANA LETTER HU-2
    "\u1B0B2",  # HENTAIGANA LETTER HU-3
    "\u1B0B3",  # HENTAIGANA LETTER HE-1
    "\u1B0B4",  # HENTAIGANA LETTER HE-2
    "\u1B0B5",  # HENTAIGANA LETTER HE-3
    "\u1B0B6",  # HENTAIGANA LETTER HE-4
    "\u1B0B7",  # HENTAIGANA LETTER HE-5
    "\u1B0B8",  # HENTAIGANA LETTER HE-6
    "\u1B0B9",  # HENTAIGANA LETTER HE-7
    "\u1B0BA",  # HENTAIGANA LETTER HO-1
    "\u1B0BB",  # HENTAIGANA LETTER HO-2
    "\u1B0BC",  # HENTAIGANA LETTER HO-3
    "\u1B0BD",  # HENTAIGANA LETTER HO-4
    "\u1B0BE",  # HENTAIGANA LETTER HO-5
    "\u1B0BF",  # HENTAIGANA LETTER HO-6
    "\u1B0C0",  # HENTAIGANA LETTER HO-7
    "\u1B0C1",  # HENTAIGANA LETTER HO-8
    "\u1B0C2",  # HENTAIGANA LETTER MA-1
    "\u1B0C3",  # HENTAIGANA LETTER MA-2
    "\u1B0C4",  # HENTAIGANA LETTER MA-3
    "\u1B0C5",  # HENTAIGANA LETTER MA-4
    "\u1B0C6",  # HENTAIGANA LETTER MA-5
    "\u1B0C7",  # HENTAIGANA LETTER MA-6
    "\u1B0C8",  # HENTAIGANA LETTER MA-7
    "\u1B0C9",  # HENTAIGANA LETTER MI-1
    "\u1B0CA",  # HENTAIGANA LETTER MI-2
    "\u1B0CB",  # HENTAIGANA LETTER MI-3
    "\u1B0CC",  # HENTAIGANA LETTER MI-4
    "\u1B0CD",  # HENTAIGANA LETTER MI-5
    "\u1B0CE",  # HENTAIGANA LETTER MI-6
    "\u1B0CF",  # HENTAIGANA LETTER MI-7
    "\u1B0D0",  # HENTAIGANA LETTER MU-1
    "\u1B0D1",  # HENTAIGANA LETTER MU-2
    "\u1B0D2",  # HENTAIGANA LETTER MU-3
    "\u1B0D3",  # HENTAIGANA LETTER MU-4
    "\u1B0D4",  # HENTAIGANA LETTER ME-1
    "\u1B0D5",  # HENTAIGANA LETTER ME-2
    "\u1B0D6",  # HENTAIGANA LETTER ME-MA
    "\u1B0D7",  # HENTAIGANA LETTER MO-1
    "\u1B0D8",  # HENTAIGANA LETTER MO-2
    "\u1B0D9",  # HENTAIGANA LETTER MO-3
    "\u1B0DA",  # HENTAIGANA LETTER MO-4
    "\u1B0DB",  # HENTAIGANA LETTER MO-5
    "\u1B0DC",  # HENTAIGANA LETTER MO-6
    "\u1B0DD",  # HENTAIGANA LETTER YA-1
    "\u1B0DE",  # HENTAIGANA LETTER YA-2
    "\u1B0DF",  # HENTAIGANA LETTER YA-3
    "\u1B0E0",  # HENTAIGANA LETTER YA-4
    "\u1B0E1",  # HENTAIGANA LETTER YA-5
    "\u1B0E2",  # HENTAIGANA LETTER YA-YO
    "\u1B0E3",  # HENTAIGANA LETTER YU-1
    "\u1B0E4",  # HENTAIGANA LETTER YU-2
    "\u1B0E5",  # HENTAIGANA LETTER YU-3
    "\u1B0E6",  # HENTAIGANA LETTER YU-4
    "\u1B0E7",  # HENTAIGANA LETTER YO-1
    "\u1B0E8",  # HENTAIGANA LETTER YO-2
    "\u1B0E9",  # HENTAIGANA LETTER YO-3
    "\u1B0EA",  # HENTAIGANA LETTER YO-4
    "\u1B0EB",  # HENTAIGANA LETTER YO-5
    "\u1B0EC",  # HENTAIGANA LETTER YO-6
    "\u1B0ED",  # HENTAIGANA LETTER RA-1
    "\u1B0EE",  # HENTAIGANA LETTER RA-2
    "\u1B0EF",  # HENTAIGANA LETTER RA-3
    "\u1B0F0",  # HENTAIGANA LETTER RA-4
    "\u1B0F1",  # HENTAIGANA LETTER RI-1
    "\u1B0F2",  # HENTAIGANA LETTER RI-2
    "\u1B0F3",  # HENTAIGANA LETTER RI-3
    "\u1B0F4",  # HENTAIGANA LETTER RI-4
    "\u1B0F5",  # HENTAIGANA LETTER RI-5
    "\u1B0F6",  # HENTAIGANA LETTER RI-6
    "\u1B0F7",  # HENTAIGANA LETTER RI-7
    "\u1B0F8",  # HENTAIGANA LETTER RU-1
    "\u1B0F9",  # HENTAIGANA LETTER RU-2
    "\u1B0FA",  # HENTAIGANA LETTER RU-3
    "\u1B0FB",  # HENTAIGANA LETTER RU-4
    "\u1B0FC",  # HENTAIGANA LETTER RU-5
    "\u1B0FD",  # HENTAIGANA LETTER RU-6
    "\u1B0FE",  # HENTAIGANA LETTER RE-1
    "\u1B0FF",  # HENTAIGANA LETTER RE-2
    "\u1B100",  # HENTAIGANA LETTER RE-3
    "\u1B101",  # HENTAIGANA LETTER RE-4
    "\u1B102",  # HENTAIGANA LETTER RO-1
    "\u1B103",  # HENTAIGANA LETTER RO-2
    "\u1B104",  # HENTAIGANA LETTER RO-3
    "\u1B105",  # HENTAIGANA LETTER RO-4
    "\u1B106",  # HENTAIGANA LETTER RO-5
    "\u1B107",  # HENTAIGANA LETTER RO-6
    "\u1B108",  # HENTAIGANA LETTER WA-1
    "\u1B109",  # HENTAIGANA LETTER WA-2
    "\u1B10A",  # HENTAIGANA LETTER WA-3
    "\u1B10B",  # HENTAIGANA LETTER WA-4
    "\u1B10C",  # HENTAIGANA LETTER WA-5
    "\u1B10D",  # HENTAIGANA LETTER WI-1
    "\u1B10E",  # HENTAIGANA LETTER WI-2
    "\u1B10F",  # HENTAIGANA LETTER WI-3
    "\u1B110",  # HENTAIGANA LETTER WI-4
    "\u1B111",  # HENTAIGANA LETTER WI-5
    "\u1B112",  # HENTAIGANA LETTER WE-1
    "\u1B113",  # HENTAIGANA LETTER WE-2
    "\u1B114",  # HENTAIGANA LETTER WE-3
    "\u1B115",  # HENTAIGANA LETTER WE-4
    "\u1B116",  # HENTAIGANA LETTER WO-1
    "\u1B117",  # HENTAIGANA LETTER WO-2
    "\u1B118",  # HENTAIGANA LETTER WO-3
    "\u1B119",  # HENTAIGANA LETTER WO-4
    "\u1B11A",  # HENTAIGANA LETTER WO-5
    "\u1B11B",  # HENTAIGANA LETTER WO-6
    "\u1B11C",  # HENTAIGANA LETTER WO-7
    "\u1B11D",  # HENTAIGANA LETTER N-MU-MO-1
    "\u1B11E",  # HENTAIGANA LETTER N-MU-MO-2
    "\u1B170",  # NUSHU CHARACTER-1B170
    "\u1B171",  # NUSHU CHARACTER-1B171
    "\u1B172",  # NUSHU CHARACTER-1B172
    "\u1B173",  # NUSHU CHARACTER-1B173
    "\u1B174",  # NUSHU CHARACTER-1B174
    "\u1B175",  # NUSHU CHARACTER-1B175
    "\u1B176",  # NUSHU CHARACTER-1B176
    "\u1B177",  # NUSHU CHARACTER-1B177
    "\u1B178",  # NUSHU CHARACTER-1B178
    "\u1B179",  # NUSHU CHARACTER-1B179
    "\u1B17A",  # NUSHU CHARACTER-1B17A
    "\u1B17B",  # NUSHU CHARACTER-1B17B
    "\u1B17C",  # NUSHU CHARACTER-1B17C
    "\u1B17D",  # NUSHU CHARACTER-1B17D
    "\u1B17E",  # NUSHU CHARACTER-1B17E
    "\u1B17F",  # NUSHU CHARACTER-1B17F
    "\u1B180",  # NUSHU CHARACTER-1B180
    "\u1B181",  # NUSHU CHARACTER-1B181
    "\u1B182",  # NUSHU CHARACTER-1B182
    "\u1B183",  # NUSHU CHARACTER-1B183
    "\u1B184",  # NUSHU CHARACTER-1B184
    "\u1B185",  # NUSHU CHARACTER-1B185
    "\u1B186",  # NUSHU CHARACTER-1B186
    "\u1B187",  # NUSHU CHARACTER-1B187
    "\u1B188",  # NUSHU CHARACTER-1B188
    "\u1B189",  # NUSHU CHARACTER-1B189
    "\u1B18A",  # NUSHU CHARACTER-1B18A
    "\u1B18B",  # NUSHU CHARACTER-1B18B
    "\u1B18C",  # NUSHU CHARACTER-1B18C
    "\u1B18D",  # NUSHU CHARACTER-1B18D
    "\u1B18E",  # NUSHU CHARACTER-1B18E
    "\u1B18F",  # NUSHU CHARACTER-1B18F
    "\u1B190",  # NUSHU CHARACTER-1B190
    "\u1B191",  # NUSHU CHARACTER-1B191
    "\u1B192",  # NUSHU CHARACTER-1B192
    "\u1B193",  # NUSHU CHARACTER-1B193
    "\u1B194",  # NUSHU CHARACTER-1B194
    "\u1B195",  # NUSHU CHARACTER-1B195
    "\u1B196",  # NUSHU CHARACTER-1B196
    "\u1B197",  # NUSHU CHARACTER-1B197
    "\u1B198",  # NUSHU CHARACTER-1B198
    "\u1B199",  # NUSHU CHARACTER-1B199
    "\u1B19A",  # NUSHU CHARACTER-1B19A
    "\u1B19B",  # NUSHU CHARACTER-1B19B
    "\u1B19C",  # NUSHU CHARACTER-1B19C
    "\u1B19D",  # NUSHU CHARACTER-1B19D
    "\u1B19E",  # NUSHU CHARACTER-1B19E
    "\u1B19F",  # NUSHU CHARACTER-1B19F
    "\u1B1A0",  # NUSHU CHARACTER-1B1A0
    "\u1B1A1",  # NUSHU CHARACTER-1B1A1
    "\u1B1A2",  # NUSHU CHARACTER-1B1A2
    "\u1B1A3",  # NUSHU CHARACTER-1B1A3
    "\u1B1A4",  # NUSHU CHARACTER-1B1A4
    "\u1B1A5",  # NUSHU CHARACTER-1B1A5
    "\u1B1A6",  # NUSHU CHARACTER-1B1A6
    "\u1B1A7",  # NUSHU CHARACTER-1B1A7
    "\u1B1A8",  # NUSHU CHARACTER-1B1A8
    "\u1B1A9",  # NUSHU CHARACTER-1B1A9
    "\u1B1AA",  # NUSHU CHARACTER-1B1AA
    "\u1B1AB",  # NUSHU CHARACTER-1B1AB
    "\u1B1AC",  # NUSHU CHARACTER-1B1AC
    "\u1B1AD",  # NUSHU CHARACTER-1B1AD
    "\u1B1AE",  # NUSHU CHARACTER-1B1AE
    "\u1B1AF",  # NUSHU CHARACTER-1B1AF
    "\u1B1B0",  # NUSHU CHARACTER-1B1B0
    "\u1B1B1",  # NUSHU CHARACTER-1B1B1
    "\u1B1B2",  # NUSHU CHARACTER-1B1B2
    "\u1B1B3",  # NUSHU CHARACTER-1B1B3
    "\u1B1B4",  # NUSHU CHARACTER-1B1B4
    "\u1B1B5",  # NUSHU CHARACTER-1B1B5
    "\u1B1B6",  # NUSHU CHARACTER-1B1B6
    "\u1B1B7",  # NUSHU CHARACTER-1B1B7
    "\u1B1B8",  # NUSHU CHARACTER-1B1B8
    "\u1B1B9",  # NUSHU CHARACTER-1B1B9
    "\u1B1BA",  # NUSHU CHARACTER-1B1BA
    "\u1B1BB",  # NUSHU CHARACTER-1B1BB
    "\u1B1BC",  # NUSHU CHARACTER-1B1BC
    "\u1B1BD",  # NUSHU CHARACTER-1B1BD
    "\u1B1BE",  # NUSHU CHARACTER-1B1BE
    "\u1B1BF",  # NUSHU CHARACTER-1B1BF
    "\u1B1C0",  # NUSHU CHARACTER-1B1C0
    "\u1B1C1",  # NUSHU CHARACTER-1B1C1
    "\u1B1C2",  # NUSHU CHARACTER-1B1C2
    "\u1B1C3",  # NUSHU CHARACTER-1B1C3
    "\u1B1C4",  # NUSHU CHARACTER-1B1C4
    "\u1B1C5",  # NUSHU CHARACTER-1B1C5
    "\u1B1C6",  # NUSHU CHARACTER-1B1C6
    "\u1B1C7",  # NUSHU CHARACTER-1B1C7
    "\u1B1C8",  # NUSHU CHARACTER-1B1C8
    "\u1B1C9",  # NUSHU CHARACTER-1B1C9
    "\u1B1CA",  # NUSHU CHARACTER-1B1CA
    "\u1B1CB",  # NUSHU CHARACTER-1B1CB
    "\u1B1CC",  # NUSHU CHARACTER-1B1CC
    "\u1B1CD",  # NUSHU CHARACTER-1B1CD
    "\u1B1CE",  # NUSHU CHARACTER-1B1CE
    "\u1B1CF",  # NUSHU CHARACTER-1B1CF
    "\u1B1D0",  # NUSHU CHARACTER-1B1D0
    "\u1B1D1",  # NUSHU CHARACTER-1B1D1
    "\u1B1D2",  # NUSHU CHARACTER-1B1D2
    "\u1B1D3",  # NUSHU CHARACTER-1B1D3
    "\u1B1D4",  # NUSHU CHARACTER-1B1D4
    "\u1B1D5",  # NUSHU CHARACTER-1B1D5
    "\u1B1D6",  # NUSHU CHARACTER-1B1D6
    "\u1B1D7",  # NUSHU CHARACTER-1B1D7
    "\u1B1D8",  # NUSHU CHARACTER-1B1D8
    "\u1B1D9",  # NUSHU CHARACTER-1B1D9
    "\u1B1DA",  # NUSHU CHARACTER-1B1DA
    "\u1B1DB",  # NUSHU CHARACTER-1B1DB
    "\u1B1DC",  # NUSHU CHARACTER-1B1DC
    "\u1B1DD",  # NUSHU CHARACTER-1B1DD
    "\u1B1DE",  # NUSHU CHARACTER-1B1DE
    "\u1B1DF",  # NUSHU CHARACTER-1B1DF
    "\u1B1E0",  # NUSHU CHARACTER-1B1E0
    "\u1B1E1",  # NUSHU CHARACTER-1B1E1
    "\u1B1E2",  # NUSHU CHARACTER-1B1E2
    "\u1B1E3",  # NUSHU CHARACTER-1B1E3
    "\u1B1E4",  # NUSHU CHARACTER-1B1E4
    "\u1B1E5",  # NUSHU CHARACTER-1B1E5
    "\u1B1E6",  # NUSHU CHARACTER-1B1E6
    "\u1B1E7",  # NUSHU CHARACTER-1B1E7
    "\u1B1E8",  # NUSHU CHARACTER-1B1E8
    "\u1B1E9",  # NUSHU CHARACTER-1B1E9
    "\u1B1EA",  # NUSHU CHARACTER-1B1EA
    "\u1B1EB",  # NUSHU CHARACTER-1B1EB
    "\u1B1EC",  # NUSHU CHARACTER-1B1EC
    "\u1B1ED",  # NUSHU CHARACTER-1B1ED
    "\u1B1EE",  # NUSHU CHARACTER-1B1EE
    "\u1B1EF",  # NUSHU CHARACTER-1B1EF
    "\u1B1F0",  # NUSHU CHARACTER-1B1F0
    "\u1B1F1",  # NUSHU CHARACTER-1B1F1
    "\u1B1F2",  # NUSHU CHARACTER-1B1F2
    "\u1B1F3",  # NUSHU CHARACTER-1B1F3
    "\u1B1F4",  # NUSHU CHARACTER-1B1F4
    "\u1B1F5",  # NUSHU CHARACTER-1B1F5
    "\u1B1F6",  # NUSHU CHARACTER-1B1F6
    "\u1B1F7",  # NUSHU CHARACTER-1B1F7
    "\u1B1F8",  # NUSHU CHARACTER-1B1F8
    "\u1B1F9",  # NUSHU CHARACTER-1B1F9
    "\u1B1FA",  # NUSHU CHARACTER-1B1FA
    "\u1B1FB",  # NUSHU CHARACTER-1B1FB
    "\u1B1FC",  # NUSHU CHARACTER-1B1FC
    "\u1B1FD",  # NUSHU CHARACTER-1B1FD
    "\u1B1FE",  # NUSHU CHARACTER-1B1FE
    "\u1B1FF",  # NUSHU CHARACTER-1B1FF
    "\u1B200",  # NUSHU CHARACTER-1B200
    "\u1B201",  # NUSHU CHARACTER-1B201
    "\u1B202",  # NUSHU CHARACTER-1B202
    "\u1B203",  # NUSHU CHARACTER-1B203
    "\u1B204",  # NUSHU CHARACTER-1B204
    "\u1B205",  # NUSHU CHARACTER-1B205
    "\u1B206",  # NUSHU CHARACTER-1B206
    "\u1B207",  # NUSHU CHARACTER-1B207
    "\u1B208",  # NUSHU CHARACTER-1B208
    "\u1B209",  # NUSHU CHARACTER-1B209
    "\u1B20A",  # NUSHU CHARACTER-1B20A
    "\u1B20B",  # NUSHU CHARACTER-1B20B
    "\u1B20C",  # NUSHU CHARACTER-1B20C
    "\u1B20D",  # NUSHU CHARACTER-1B20D
    "\u1B20E",  # NUSHU CHARACTER-1B20E
    "\u1B20F",  # NUSHU CHARACTER-1B20F
    "\u1B210",  # NUSHU CHARACTER-1B210
    "\u1B211",  # NUSHU CHARACTER-1B211
    "\u1B212",  # NUSHU CHARACTER-1B212
    "\u1B213",  # NUSHU CHARACTER-1B213
    "\u1B214",  # NUSHU CHARACTER-1B214
    "\u1B215",  # NUSHU CHARACTER-1B215
    "\u1B216",  # NUSHU CHARACTER-1B216
    "\u1B217",  # NUSHU CHARACTER-1B217
    "\u1B218",  # NUSHU CHARACTER-1B218
    "\u1B219",  # NUSHU CHARACTER-1B219
    "\u1B21A",  # NUSHU CHARACTER-1B21A
    "\u1B21B",  # NUSHU CHARACTER-1B21B
    "\u1B21C",  # NUSHU CHARACTER-1B21C
    "\u1B21D",  # NUSHU CHARACTER-1B21D
    "\u1B21E",  # NUSHU CHARACTER-1B21E
    "\u1B21F",  # NUSHU CHARACTER-1B21F
    "\u1B220",  # NUSHU CHARACTER-1B220
    "\u1B221",  # NUSHU CHARACTER-1B221
    "\u1B222",  # NUSHU CHARACTER-1B222
    "\u1B223",  # NUSHU CHARACTER-1B223
    "\u1B224",  # NUSHU CHARACTER-1B224
    "\u1B225",  # NUSHU CHARACTER-1B225
    "\u1B226",  # NUSHU CHARACTER-1B226
    "\u1B227",  # NUSHU CHARACTER-1B227
    "\u1B228",  # NUSHU CHARACTER-1B228
    "\u1B229",  # NUSHU CHARACTER-1B229
    "\u1B22A",  # NUSHU CHARACTER-1B22A
    "\u1B22B",  # NUSHU CHARACTER-1B22B
    "\u1B22C",  # NUSHU CHARACTER-1B22C
    "\u1B22D",  # NUSHU CHARACTER-1B22D
    "\u1B22E",  # NUSHU CHARACTER-1B22E
    "\u1B22F",  # NUSHU CHARACTER-1B22F
    "\u1B230",  # NUSHU CHARACTER-1B230
    "\u1B231",  # NUSHU CHARACTER-1B231
    "\u1B232",  # NUSHU CHARACTER-1B232
    "\u1B233",  # NUSHU CHARACTER-1B233
    "\u1B234",  # NUSHU CHARACTER-1B234
    "\u1B235",  # NUSHU CHARACTER-1B235
    "\u1B236",  # NUSHU CHARACTER-1B236
    "\u1B237",  # NUSHU CHARACTER-1B237
    "\u1B238",  # NUSHU CHARACTER-1B238
    "\u1B239",  # NUSHU CHARACTER-1B239
    "\u1B23A",  # NUSHU CHARACTER-1B23A
    "\u1B23B",  # NUSHU CHARACTER-1B23B
    "\u1B23C",  # NUSHU CHARACTER-1B23C
    "\u1B23D",  # NUSHU CHARACTER-1B23D
    "\u1B23E",  # NUSHU CHARACTER-1B23E
    "\u1B23F",  # NUSHU CHARACTER-1B23F
    "\u1B240",  # NUSHU CHARACTER-1B240
    "\u1B241",  # NUSHU CHARACTER-1B241
    "\u1B242",  # NUSHU CHARACTER-1B242
    "\u1B243",  # NUSHU CHARACTER-1B243
    "\u1B244",  # NUSHU CHARACTER-1B244
    "\u1B245",  # NUSHU CHARACTER-1B245
    "\u1B246",  # NUSHU CHARACTER-1B246
    "\u1B247",  # NUSHU CHARACTER-1B247
    "\u1B248",  # NUSHU CHARACTER-1B248
    "\u1B249",  # NUSHU CHARACTER-1B249
    "\u1B24A",  # NUSHU CHARACTER-1B24A
    "\u1B24B",  # NUSHU CHARACTER-1B24B
    "\u1B24C",  # NUSHU CHARACTER-1B24C
    "\u1B24D",  # NUSHU CHARACTER-1B24D
    "\u1B24E",  # NUSHU CHARACTER-1B24E
    "\u1B24F",  # NUSHU CHARACTER-1B24F
    "\u1B250",  # NUSHU CHARACTER-1B250
    "\u1B251",  # NUSHU CHARACTER-1B251
    "\u1B252",  # NUSHU CHARACTER-1B252
    "\u1B253",  # NUSHU CHARACTER-1B253
    "\u1B254",  # NUSHU CHARACTER-1B254
    "\u1B255",  # NUSHU CHARACTER-1B255
    "\u1B256",  # NUSHU CHARACTER-1B256
    "\u1B257",  # NUSHU CHARACTER-1B257
    "\u1B258",  # NUSHU CHARACTER-1B258
    "\u1B259",  # NUSHU CHARACTER-1B259
    "\u1B25A",  # NUSHU CHARACTER-1B25A
    "\u1B25B",  # NUSHU CHARACTER-1B25B
    "\u1B25C",  # NUSHU CHARACTER-1B25C
    "\u1B25D",  # NUSHU CHARACTER-1B25D
    "\u1B25E",  # NUSHU CHARACTER-1B25E
    "\u1B25F",  # NUSHU CHARACTER-1B25F
    "\u1B260",  # NUSHU CHARACTER-1B260
    "\u1B261",  # NUSHU CHARACTER-1B261
    "\u1B262",  # NUSHU CHARACTER-1B262
    "\u1B263",  # NUSHU CHARACTER-1B263
    "\u1B264",  # NUSHU CHARACTER-1B264
    "\u1B265",  # NUSHU CHARACTER-1B265
    "\u1B266",  # NUSHU CHARACTER-1B266
    "\u1B267",  # NUSHU CHARACTER-1B267
    "\u1B268",  # NUSHU CHARACTER-1B268
    "\u1B269",  # NUSHU CHARACTER-1B269
    "\u1B26A",  # NUSHU CHARACTER-1B26A
    "\u1B26B",  # NUSHU CHARACTER-1B26B
    "\u1B26C",  # NUSHU CHARACTER-1B26C
    "\u1B26D",  # NUSHU CHARACTER-1B26D
    "\u1B26E",  # NUSHU CHARACTER-1B26E
    "\u1B26F",  # NUSHU CHARACTER-1B26F
    "\u1B270",  # NUSHU CHARACTER-1B270
    "\u1B271",  # NUSHU CHARACTER-1B271
    "\u1B272",  # NUSHU CHARACTER-1B272
    "\u1B273",  # NUSHU CHARACTER-1B273
    "\u1B274",  # NUSHU CHARACTER-1B274
    "\u1B275",  # NUSHU CHARACTER-1B275
    "\u1B276",  # NUSHU CHARACTER-1B276
    "\u1B277",  # NUSHU CHARACTER-1B277
    "\u1B278",  # NUSHU CHARACTER-1B278
    "\u1B279",  # NUSHU CHARACTER-1B279
    "\u1B27A",  # NUSHU CHARACTER-1B27A
    "\u1B27B",  # NUSHU CHARACTER-1B27B
    "\u1B27C",  # NUSHU CHARACTER-1B27C
    "\u1B27D",  # NUSHU CHARACTER-1B27D
    "\u1B27E",  # NUSHU CHARACTER-1B27E
    "\u1B27F",  # NUSHU CHARACTER-1B27F
    "\u1B280",  # NUSHU CHARACTER-1B280
    "\u1B281",  # NUSHU CHARACTER-1B281
    "\u1B282",  # NUSHU CHARACTER-1B282
    "\u1B283",  # NUSHU CHARACTER-1B283
    "\u1B284",  # NUSHU CHARACTER-1B284
    "\u1B285",  # NUSHU CHARACTER-1B285
    "\u1B286",  # NUSHU CHARACTER-1B286
    "\u1B287",  # NUSHU CHARACTER-1B287
    "\u1B288",  # NUSHU CHARACTER-1B288
    "\u1B289",  # NUSHU CHARACTER-1B289
    "\u1B28A",  # NUSHU CHARACTER-1B28A
    "\u1B28B",  # NUSHU CHARACTER-1B28B
    "\u1B28C",  # NUSHU CHARACTER-1B28C
    "\u1B28D",  # NUSHU CHARACTER-1B28D
    "\u1B28E",  # NUSHU CHARACTER-1B28E
    "\u1B28F",  # NUSHU CHARACTER-1B28F
    "\u1B290",  # NUSHU CHARACTER-1B290
    "\u1B291",  # NUSHU CHARACTER-1B291
    "\u1B292",  # NUSHU CHARACTER-1B292
    "\u1B293",  # NUSHU CHARACTER-1B293
    "\u1B294",  # NUSHU CHARACTER-1B294
    "\u1B295",  # NUSHU CHARACTER-1B295
    "\u1B296",  # NUSHU CHARACTER-1B296
    "\u1B297",  # NUSHU CHARACTER-1B297
    "\u1B298",  # NUSHU CHARACTER-1B298
    "\u1B299",  # NUSHU CHARACTER-1B299
    "\u1B29A",  # NUSHU CHARACTER-1B29A
    "\u1B29B",  # NUSHU CHARACTER-1B29B
    "\u1B29C",  # NUSHU CHARACTER-1B29C
    "\u1B29D",  # NUSHU CHARACTER-1B29D
    "\u1B29E",  # NUSHU CHARACTER-1B29E
    "\u1B29F",  # NUSHU CHARACTER-1B29F
    "\u1B2A0",  # NUSHU CHARACTER-1B2A0
    "\u1B2A1",  # NUSHU CHARACTER-1B2A1
    "\u1B2A2",  # NUSHU CHARACTER-1B2A2
    "\u1B2A3",  # NUSHU CHARACTER-1B2A3
    "\u1B2A4",  # NUSHU CHARACTER-1B2A4
    "\u1B2A5",  # NUSHU CHARACTER-1B2A5
    "\u1B2A6",  # NUSHU CHARACTER-1B2A6
    "\u1B2A7",  # NUSHU CHARACTER-1B2A7
    "\u1B2A8",  # NUSHU CHARACTER-1B2A8
    "\u1B2A9",  # NUSHU CHARACTER-1B2A9
    "\u1B2AA",  # NUSHU CHARACTER-1B2AA
    "\u1B2AB",  # NUSHU CHARACTER-1B2AB
    "\u1B2AC",  # NUSHU CHARACTER-1B2AC
    "\u1B2AD",  # NUSHU CHARACTER-1B2AD
    "\u1B2AE",  # NUSHU CHARACTER-1B2AE
    "\u1B2AF",  # NUSHU CHARACTER-1B2AF
    "\u1B2B0",  # NUSHU CHARACTER-1B2B0
    "\u1B2B1",  # NUSHU CHARACTER-1B2B1
    "\u1B2B2",  # NUSHU CHARACTER-1B2B2
    "\u1B2B3",  # NUSHU CHARACTER-1B2B3
    "\u1B2B4",  # NUSHU CHARACTER-1B2B4
    "\u1B2B5",  # NUSHU CHARACTER-1B2B5
    "\u1B2B6",  # NUSHU CHARACTER-1B2B6
    "\u1B2B7",  # NUSHU CHARACTER-1B2B7
    "\u1B2B8",  # NUSHU CHARACTER-1B2B8
    "\u1B2B9",  # NUSHU CHARACTER-1B2B9
    "\u1B2BA",  # NUSHU CHARACTER-1B2BA
    "\u1B2BB",  # NUSHU CHARACTER-1B2BB
    "\u1B2BC",  # NUSHU CHARACTER-1B2BC
    "\u1B2BD",  # NUSHU CHARACTER-1B2BD
    "\u1B2BE",  # NUSHU CHARACTER-1B2BE
    "\u1B2BF",  # NUSHU CHARACTER-1B2BF
    "\u1B2C0",  # NUSHU CHARACTER-1B2C0
    "\u1B2C1",  # NUSHU CHARACTER-1B2C1
    "\u1B2C2",  # NUSHU CHARACTER-1B2C2
    "\u1B2C3",  # NUSHU CHARACTER-1B2C3
    "\u1B2C4",  # NUSHU CHARACTER-1B2C4
    "\u1B2C5",  # NUSHU CHARACTER-1B2C5
    "\u1B2C6",  # NUSHU CHARACTER-1B2C6
    "\u1B2C7",  # NUSHU CHARACTER-1B2C7
    "\u1B2C8",  # NUSHU CHARACTER-1B2C8
    "\u1B2C9",  # NUSHU CHARACTER-1B2C9
    "\u1B2CA",  # NUSHU CHARACTER-1B2CA
    "\u1B2CB",  # NUSHU CHARACTER-1B2CB
    "\u1B2CC",  # NUSHU CHARACTER-1B2CC
    "\u1B2CD",  # NUSHU CHARACTER-1B2CD
    "\u1B2CE",  # NUSHU CHARACTER-1B2CE
    "\u1B2CF",  # NUSHU CHARACTER-1B2CF
    "\u1B2D0",  # NUSHU CHARACTER-1B2D0
    "\u1B2D1",  # NUSHU CHARACTER-1B2D1
    "\u1B2D2",  # NUSHU CHARACTER-1B2D2
    "\u1B2D3",  # NUSHU CHARACTER-1B2D3
    "\u1B2D4",  # NUSHU CHARACTER-1B2D4
    "\u1B2D5",  # NUSHU CHARACTER-1B2D5
    "\u1B2D6",  # NUSHU CHARACTER-1B2D6
    "\u1B2D7",  # NUSHU CHARACTER-1B2D7
    "\u1B2D8",  # NUSHU CHARACTER-1B2D8
    "\u1B2D9",  # NUSHU CHARACTER-1B2D9
    "\u1B2DA",  # NUSHU CHARACTER-1B2DA
    "\u1B2DB",  # NUSHU CHARACTER-1B2DB
    "\u1B2DC",  # NUSHU CHARACTER-1B2DC
    "\u1B2DD",  # NUSHU CHARACTER-1B2DD
    "\u1B2DE",  # NUSHU CHARACTER-1B2DE
    "\u1B2DF",  # NUSHU CHARACTER-1B2DF
    "\u1B2E0",  # NUSHU CHARACTER-1B2E0
    "\u1B2E1",  # NUSHU CHARACTER-1B2E1
    "\u1B2E2",  # NUSHU CHARACTER-1B2E2
    "\u1B2E3",  # NUSHU CHARACTER-1B2E3
    "\u1B2E4",  # NUSHU CHARACTER-1B2E4
    "\u1B2E5",  # NUSHU CHARACTER-1B2E5
    "\u1B2E6",  # NUSHU CHARACTER-1B2E6
    "\u1B2E7",  # NUSHU CHARACTER-1B2E7
    "\u1B2E8",  # NUSHU CHARACTER-1B2E8
    "\u1B2E9",  # NUSHU CHARACTER-1B2E9
    "\u1B2EA",  # NUSHU CHARACTER-1B2EA
    "\u1B2EB",  # NUSHU CHARACTER-1B2EB
    "\u1B2EC",  # NUSHU CHARACTER-1B2EC
    "\u1B2ED",  # NUSHU CHARACTER-1B2ED
    "\u1B2EE",  # NUSHU CHARACTER-1B2EE
    "\u1B2EF",  # NUSHU CHARACTER-1B2EF
    "\u1B2F0",  # NUSHU CHARACTER-1B2F0
    "\u1B2F1",  # NUSHU CHARACTER-1B2F1
    "\u1B2F2",  # NUSHU CHARACTER-1B2F2
    "\u1B2F3",  # NUSHU CHARACTER-1B2F3
    "\u1B2F4",  # NUSHU CHARACTER-1B2F4
    "\u1B2F5",  # NUSHU CHARACTER-1B2F5
    "\u1B2F6",  # NUSHU CHARACTER-1B2F6
    "\u1B2F7",  # NUSHU CHARACTER-1B2F7
    "\u1B2F8",  # NUSHU CHARACTER-1B2F8
    "\u1B2F9",  # NUSHU CHARACTER-1B2F9
    "\u1B2FA",  # NUSHU CHARACTER-1B2FA
    "\u1B2FB",  # NUSHU CHARACTER-1B2FB
    "\u1BC00",  # DUPLOYAN LETTER H
    "\u1BC01",  # DUPLOYAN LETTER X
    "\u1BC02",  # DUPLOYAN LETTER P
    "\u1BC03",  # DUPLOYAN LETTER T
    "\u1BC04",  # DUPLOYAN LETTER F
    "\u1BC05",  # DUPLOYAN LETTER K
    "\u1BC06",  # DUPLOYAN LETTER L
    "\u1BC07",  # DUPLOYAN LETTER B
    "\u1BC08",  # DUPLOYAN LETTER D
    "\u1BC09",  # DUPLOYAN LETTER V
    "\u1BC0A",  # DUPLOYAN LETTER G
    "\u1BC0B",  # DUPLOYAN LETTER R
    "\u1BC0C",  # DUPLOYAN LETTER P N
    "\u1BC0D",  # DUPLOYAN LETTER D S
    "\u1BC0E",  # DUPLOYAN LETTER F N
    "\u1BC0F",  # DUPLOYAN LETTER K M
    "\u1BC10",  # DUPLOYAN LETTER R S
    "\u1BC11",  # DUPLOYAN LETTER TH
    "\u1BC12",  # DUPLOYAN LETTER SLOAN DH
    "\u1BC13",  # DUPLOYAN LETTER DH
    "\u1BC14",  # DUPLOYAN LETTER KK
    "\u1BC15",  # DUPLOYAN LETTER SLOAN J
    "\u1BC16",  # DUPLOYAN LETTER HL
    "\u1BC17",  # DUPLOYAN LETTER LH
    "\u1BC18",  # DUPLOYAN LETTER RH
    "\u1BC19",  # DUPLOYAN LETTER M
    "\u1BC1A",  # DUPLOYAN LETTER N
    "\u1BC1B",  # DUPLOYAN LETTER J
    "\u1BC1C",  # DUPLOYAN LETTER S
    "\u1BC1D",  # DUPLOYAN LETTER M N
    "\u1BC1E",  # DUPLOYAN LETTER N M
    "\u1BC1F",  # DUPLOYAN LETTER J M
    "\u1BC20",  # DUPLOYAN LETTER S J
    "\u1BC21",  # DUPLOYAN LETTER M WITH DOT
    "\u1BC22",  # DUPLOYAN LETTER N WITH DOT
    "\u1BC23",  # DUPLOYAN LETTER J WITH DOT
    "\u1BC24",  # DUPLOYAN LETTER J WITH DOTS INSIDE AND ABOVE
    "\u1BC25",  # DUPLOYAN LETTER S WITH DOT
    "\u1BC26",  # DUPLOYAN LETTER S WITH DOT BELOW
    "\u1BC27",  # DUPLOYAN LETTER M S
    "\u1BC28",  # DUPLOYAN LETTER N S
    "\u1BC29",  # DUPLOYAN LETTER J S
    "\u1BC2A",  # DUPLOYAN LETTER S S
    "\u1BC2B",  # DUPLOYAN LETTER M N S
    "\u1BC2C",  # DUPLOYAN LETTER N M S
    "\u1BC2D",  # DUPLOYAN LETTER J M S
    "\u1BC2E",  # DUPLOYAN LETTER S J S
    "\u1BC2F",  # DUPLOYAN LETTER J S WITH DOT
    "\u1BC30",  # DUPLOYAN LETTER J N
    "\u1BC31",  # DUPLOYAN LETTER J N S
    "\u1BC32",  # DUPLOYAN LETTER S T
    "\u1BC33",  # DUPLOYAN LETTER S T R
    "\u1BC34",  # DUPLOYAN LETTER S P
    "\u1BC35",  # DUPLOYAN LETTER S P R
    "\u1BC36",  # DUPLOYAN LETTER T S
    "\u1BC37",  # DUPLOYAN LETTER T R S
    "\u1BC38",  # DUPLOYAN LETTER W
    "\u1BC39",  # DUPLOYAN LETTER WH
    "\u1BC3A",  # DUPLOYAN LETTER W R
    "\u1BC3B",  # DUPLOYAN LETTER S N
    "\u1BC3C",  # DUPLOYAN LETTER S M
    "\u1BC3D",  # DUPLOYAN LETTER K R S
    "\u1BC3E",  # DUPLOYAN LETTER G R S
    "\u1BC3F",  # DUPLOYAN LETTER S K
    "\u1BC40",  # DUPLOYAN LETTER S K R
    "\u1BC41",  # DUPLOYAN LETTER A
    "\u1BC42",  # DUPLOYAN LETTER SLOAN OW
    "\u1BC43",  # DUPLOYAN LETTER OA
    "\u1BC44",  # DUPLOYAN LETTER O
    "\u1BC45",  # DUPLOYAN LETTER AOU
    "\u1BC46",  # DUPLOYAN LETTER I
    "\u1BC47",  # DUPLOYAN LETTER E
    "\u1BC48",  # DUPLOYAN LETTER IE
    "\u1BC49",  # DUPLOYAN LETTER SHORT I
    "\u1BC4A",  # DUPLOYAN LETTER UI
    "\u1BC4B",  # DUPLOYAN LETTER EE
    "\u1BC4C",  # DUPLOYAN LETTER SLOAN EH
    "\u1BC4D",  # DUPLOYAN LETTER ROMANIAN I
    "\u1BC4E",  # DUPLOYAN LETTER SLOAN EE
    "\u1BC4F",  # DUPLOYAN LETTER LONG I
    "\u1BC50",  # DUPLOYAN LETTER YE
    "\u1BC51",  # DUPLOYAN LETTER U
    "\u1BC52",  # DUPLOYAN LETTER EU
    "\u1BC53",  # DUPLOYAN LETTER XW
    "\u1BC54",  # DUPLOYAN LETTER U N
    "\u1BC55",  # DUPLOYAN LETTER LONG U
    "\u1BC56",  # DUPLOYAN LETTER ROMANIAN U
    "\u1BC57",  # DUPLOYAN LETTER UH
    "\u1BC58",  # DUPLOYAN LETTER SLOAN U
    "\u1BC59",  # DUPLOYAN LETTER OOH
    "\u1BC5A",  # DUPLOYAN LETTER OW
    "\u1BC5B",  # DUPLOYAN LETTER OU
    "\u1BC5C",  # DUPLOYAN LETTER WA
    "\u1BC5D",  # DUPLOYAN LETTER WO
    "\u1BC5E",  # DUPLOYAN LETTER WI
    "\u1BC5F",  # DUPLOYAN LETTER WEI
    "\u1BC60",  # DUPLOYAN LETTER WOW
    "\u1BC61",  # DUPLOYAN LETTER NASAL U
    "\u1BC62",  # DUPLOYAN LETTER NASAL O
    "\u1BC63",  # DUPLOYAN LETTER NASAL I
    "\u1BC64",  # DUPLOYAN LETTER NASAL A
    "\u1BC65",  # DUPLOYAN LETTER PERNIN AN
    "\u1BC66",  # DUPLOYAN LETTER PERNIN AM
    "\u1BC67",  # DUPLOYAN LETTER SLOAN EN
    "\u1BC68",  # DUPLOYAN LETTER SLOAN AN
    "\u1BC69",  # DUPLOYAN LETTER SLOAN ON
    "\u1BC6A",  # DUPLOYAN LETTER VOCALIC M
    "\u1BC70",  # DUPLOYAN AFFIX LEFT HORIZONTAL SECANT
    "\u1BC71",  # DUPLOYAN AFFIX MID HORIZONTAL SECANT
    "\u1BC72",  # DUPLOYAN AFFIX RIGHT HORIZONTAL SECANT
    "\u1BC73",  # DUPLOYAN AFFIX LOW VERTICAL SECANT
    "\u1BC74",  # DUPLOYAN AFFIX MID VERTICAL SECANT
    "\u1BC75",  # DUPLOYAN AFFIX HIGH VERTICAL SECANT
    "\u1BC76",  # DUPLOYAN AFFIX ATTACHED SECANT
    "\u1BC77",  # DUPLOYAN AFFIX ATTACHED LEFT-TO-RIGHT SECANT
    "\u1BC78",  # DUPLOYAN AFFIX ATTACHED TANGENT
    "\u1BC79",  # DUPLOYAN AFFIX ATTACHED TAIL
    "\u1BC7A",  # DUPLOYAN AFFIX ATTACHED E HOOK
    "\u1BC7B",  # DUPLOYAN AFFIX ATTACHED I HOOK
    "\u1BC7C",  # DUPLOYAN AFFIX ATTACHED TANGENT HOOK
    "\u1BC80",  # DUPLOYAN AFFIX HIGH ACUTE
    "\u1BC81",  # DUPLOYAN AFFIX HIGH TIGHT ACUTE
    "\u1BC82",  # DUPLOYAN AFFIX HIGH GRAVE
    "\u1BC83",  # DUPLOYAN AFFIX HIGH LONG GRAVE
    "\u1BC84",  # DUPLOYAN AFFIX HIGH DOT
    "\u1BC85",  # DUPLOYAN AFFIX HIGH CIRCLE
    "\u1BC86",  # DUPLOYAN AFFIX HIGH LINE
    "\u1BC87",  # DUPLOYAN AFFIX HIGH WAVE
    "\u1BC88",  # DUPLOYAN AFFIX HIGH VERTICAL
    "\u1BC90",  # DUPLOYAN AFFIX LOW ACUTE
    "\u1BC91",  # DUPLOYAN AFFIX LOW TIGHT ACUTE
    "\u1BC92",  # DUPLOYAN AFFIX LOW GRAVE
    "\u1BC93",  # DUPLOYAN AFFIX LOW LONG GRAVE
    "\u1BC94",  # DUPLOYAN AFFIX LOW DOT
    "\u1BC95",  # DUPLOYAN AFFIX LOW CIRCLE
    "\u1BC96",  # DUPLOYAN AFFIX LOW LINE
    "\u1BC97",  # DUPLOYAN AFFIX LOW WAVE
    "\u1BC98",  # DUPLOYAN AFFIX LOW VERTICAL
    "\u1BC99",  # DUPLOYAN AFFIX LOW ARROW
    "\u1BC9C",  # DUPLOYAN SIGN O WITH CROSS
    "\u1BC9D",  # DUPLOYAN THICK LETTER SELECTOR
    "\u1BC9E",  # DUPLOYAN DOUBLE MARK
    "\u1BC9F",  # DUPLOYAN PUNCTUATION CHINOOK FULL STOP
    "\u1BCA0",  # SHORTHAND FORMAT LETTER OVERLAP
    "\u1BCA1",  # SHORTHAND FORMAT CONTINUING OVERLAP
    "\u1BCA2",  # SHORTHAND FORMAT DOWN STEP
    "\u1BCA3",  # SHORTHAND FORMAT UP STEP
    "\u1D000",  # BYZANTINE MUSICAL SYMBOL PSILI
    "\u1D001",  # BYZANTINE MUSICAL SYMBOL DASEIA
    "\u1D002",  # BYZANTINE MUSICAL SYMBOL PERISPOMENI
    "\u1D003",  # BYZANTINE MUSICAL SYMBOL OXEIA EKFONITIKON
    "\u1D004",  # BYZANTINE MUSICAL SYMBOL OXEIA DIPLI
    "\u1D005",  # BYZANTINE MUSICAL SYMBOL VAREIA EKFONITIKON
    "\u1D006",  # BYZANTINE MUSICAL SYMBOL VAREIA DIPLI
    "\u1D007",  # BYZANTINE MUSICAL SYMBOL KATHISTI
    "\u1D008",  # BYZANTINE MUSICAL SYMBOL SYRMATIKI
    "\u1D009",  # BYZANTINE MUSICAL SYMBOL PARAKLITIKI
    "\u1D00A",  # BYZANTINE MUSICAL SYMBOL YPOKRISIS
    "\u1D00B",  # BYZANTINE MUSICAL SYMBOL YPOKRISIS DIPLI
    "\u1D00C",  # BYZANTINE MUSICAL SYMBOL KREMASTI
    "\u1D00D",  # BYZANTINE MUSICAL SYMBOL APESO EKFONITIKON
    "\u1D00E",  # BYZANTINE MUSICAL SYMBOL EXO EKFONITIKON
    "\u1D00F",  # BYZANTINE MUSICAL SYMBOL TELEIA
    "\u1D010",  # BYZANTINE MUSICAL SYMBOL KENTIMATA
    "\u1D011",  # BYZANTINE MUSICAL SYMBOL APOSTROFOS
    "\u1D012",  # BYZANTINE MUSICAL SYMBOL APOSTROFOS DIPLI
    "\u1D013",  # BYZANTINE MUSICAL SYMBOL SYNEVMA
    "\u1D014",  # BYZANTINE MUSICAL SYMBOL THITA
    "\u1D015",  # BYZANTINE MUSICAL SYMBOL OLIGON ARCHAION
    "\u1D016",  # BYZANTINE MUSICAL SYMBOL GORGON ARCHAION
    "\u1D017",  # BYZANTINE MUSICAL SYMBOL PSILON
    "\u1D018",  # BYZANTINE MUSICAL SYMBOL CHAMILON
    "\u1D019",  # BYZANTINE MUSICAL SYMBOL VATHY
    "\u1D01A",  # BYZANTINE MUSICAL SYMBOL ISON ARCHAION
    "\u1D01B",  # BYZANTINE MUSICAL SYMBOL KENTIMA ARCHAION
    "\u1D01C",  # BYZANTINE MUSICAL SYMBOL KENTIMATA ARCHAION
    "\u1D01D",  # BYZANTINE MUSICAL SYMBOL SAXIMATA
    "\u1D01E",  # BYZANTINE MUSICAL SYMBOL PARICHON
    "\u1D01F",  # BYZANTINE MUSICAL SYMBOL STAVROS APODEXIA
    "\u1D020",  # BYZANTINE MUSICAL SYMBOL OXEIAI ARCHAION
    "\u1D021",  # BYZANTINE MUSICAL SYMBOL VAREIAI ARCHAION
    "\u1D022",  # BYZANTINE MUSICAL SYMBOL APODERMA ARCHAION
    "\u1D023",  # BYZANTINE MUSICAL SYMBOL APOTHEMA
    "\u1D024",  # BYZANTINE MUSICAL SYMBOL KLASMA
    "\u1D025",  # BYZANTINE MUSICAL SYMBOL REVMA
    "\u1D026",  # BYZANTINE MUSICAL SYMBOL PIASMA ARCHAION
    "\u1D027",  # BYZANTINE MUSICAL SYMBOL TINAGMA
    "\u1D028",  # BYZANTINE MUSICAL SYMBOL ANATRICHISMA
    "\u1D029",  # BYZANTINE MUSICAL SYMBOL SEISMA
    "\u1D02A",  # BYZANTINE MUSICAL SYMBOL SYNAGMA ARCHAION
    "\u1D02B",  # BYZANTINE MUSICAL SYMBOL SYNAGMA META STAVROU
    "\u1D02C",  # BYZANTINE MUSICAL SYMBOL OYRANISMA ARCHAION
    "\u1D02D",  # BYZANTINE MUSICAL SYMBOL THEMA
    "\u1D02E",  # BYZANTINE MUSICAL SYMBOL LEMOI
    "\u1D02F",  # BYZANTINE MUSICAL SYMBOL DYO
    "\u1D030",  # BYZANTINE MUSICAL SYMBOL TRIA
    "\u1D031",  # BYZANTINE MUSICAL SYMBOL TESSERA
    "\u1D032",  # BYZANTINE MUSICAL SYMBOL KRATIMATA
    "\u1D033",  # BYZANTINE MUSICAL SYMBOL APESO EXO NEO
    "\u1D034",  # BYZANTINE MUSICAL SYMBOL FTHORA ARCHAION
    "\u1D035",  # BYZANTINE MUSICAL SYMBOL IMIFTHORA
    "\u1D036",  # BYZANTINE MUSICAL SYMBOL TROMIKON ARCHAION
    "\u1D037",  # BYZANTINE MUSICAL SYMBOL KATAVA TROMIKON
    "\u1D038",  # BYZANTINE MUSICAL SYMBOL PELASTON
    "\u1D039",  # BYZANTINE MUSICAL SYMBOL PSIFISTON
    "\u1D03A",  # BYZANTINE MUSICAL SYMBOL KONTEVMA
    "\u1D03B",  # BYZANTINE MUSICAL SYMBOL CHOREVMA ARCHAION
    "\u1D03C",  # BYZANTINE MUSICAL SYMBOL RAPISMA
    "\u1D03D",  # BYZANTINE MUSICAL SYMBOL PARAKALESMA ARCHAION
    "\u1D03E",  # BYZANTINE MUSICAL SYMBOL PARAKLITIKI ARCHAION
    "\u1D03F",  # BYZANTINE MUSICAL SYMBOL ICHADIN
    "\u1D040",  # BYZANTINE MUSICAL SYMBOL NANA
    "\u1D041",  # BYZANTINE MUSICAL SYMBOL PETASMA
    "\u1D042",  # BYZANTINE MUSICAL SYMBOL KONTEVMA ALLO
    "\u1D043",  # BYZANTINE MUSICAL SYMBOL TROMIKON ALLO
    "\u1D044",  # BYZANTINE MUSICAL SYMBOL STRAGGISMATA
    "\u1D045",  # BYZANTINE MUSICAL SYMBOL GRONTHISMATA
    "\u1D046",  # BYZANTINE MUSICAL SYMBOL ISON NEO
    "\u1D047",  # BYZANTINE MUSICAL SYMBOL OLIGON NEO
    "\u1D048",  # BYZANTINE MUSICAL SYMBOL OXEIA NEO
    "\u1D049",  # BYZANTINE MUSICAL SYMBOL PETASTI
    "\u1D04A",  # BYZANTINE MUSICAL SYMBOL KOUFISMA
    "\u1D04B",  # BYZANTINE MUSICAL SYMBOL PETASTOKOUFISMA
    "\u1D04C",  # BYZANTINE MUSICAL SYMBOL KRATIMOKOUFISMA
    "\u1D04D",  # BYZANTINE MUSICAL SYMBOL PELASTON NEO
    "\u1D04E",  # BYZANTINE MUSICAL SYMBOL KENTIMATA NEO ANO
    "\u1D04F",  # BYZANTINE MUSICAL SYMBOL KENTIMA NEO ANO
    "\u1D050",  # BYZANTINE MUSICAL SYMBOL YPSILI
    "\u1D051",  # BYZANTINE MUSICAL SYMBOL APOSTROFOS NEO
    "\u1D052",  # BYZANTINE MUSICAL SYMBOL APOSTROFOI SYNDESMOS NEO
    "\u1D053",  # BYZANTINE MUSICAL SYMBOL YPORROI
    "\u1D054",  # BYZANTINE MUSICAL SYMBOL KRATIMOYPORROON
    "\u1D055",  # BYZANTINE MUSICAL SYMBOL ELAFRON
    "\u1D056",  # BYZANTINE MUSICAL SYMBOL CHAMILI
    "\u1D057",  # BYZANTINE MUSICAL SYMBOL MIKRON ISON
    "\u1D058",  # BYZANTINE MUSICAL SYMBOL VAREIA NEO
    "\u1D059",  # BYZANTINE MUSICAL SYMBOL PIASMA NEO
    "\u1D05A",  # BYZANTINE MUSICAL SYMBOL PSIFISTON NEO
    "\u1D05B",  # BYZANTINE MUSICAL SYMBOL OMALON
    "\u1D05C",  # BYZANTINE MUSICAL SYMBOL ANTIKENOMA
    "\u1D05D",  # BYZANTINE MUSICAL SYMBOL LYGISMA
    "\u1D05E",  # BYZANTINE MUSICAL SYMBOL PARAKLITIKI NEO
    "\u1D05F",  # BYZANTINE MUSICAL SYMBOL PARAKALESMA NEO
    "\u1D060",  # BYZANTINE MUSICAL SYMBOL ETERON PARAKALESMA
    "\u1D061",  # BYZANTINE MUSICAL SYMBOL KYLISMA
    "\u1D062",  # BYZANTINE MUSICAL SYMBOL ANTIKENOKYLISMA
    "\u1D063",  # BYZANTINE MUSICAL SYMBOL TROMIKON NEO
    "\u1D064",  # BYZANTINE MUSICAL SYMBOL EKSTREPTON
    "\u1D065",  # BYZANTINE MUSICAL SYMBOL SYNAGMA NEO
    "\u1D066",  # BYZANTINE MUSICAL SYMBOL SYRMA
    "\u1D067",  # BYZANTINE MUSICAL SYMBOL CHOREVMA NEO
    "\u1D068",  # BYZANTINE MUSICAL SYMBOL EPEGERMA
    "\u1D069",  # BYZANTINE MUSICAL SYMBOL SEISMA NEO
    "\u1D06A",  # BYZANTINE MUSICAL SYMBOL XIRON KLASMA
    "\u1D06B",  # BYZANTINE MUSICAL SYMBOL TROMIKOPSIFISTON
    "\u1D06C",  # BYZANTINE MUSICAL SYMBOL PSIFISTOLYGISMA
    "\u1D06D",  # BYZANTINE MUSICAL SYMBOL TROMIKOLYGISMA
    "\u1D06E",  # BYZANTINE MUSICAL SYMBOL TROMIKOPARAKALESMA
    "\u1D06F",  # BYZANTINE MUSICAL SYMBOL PSIFISTOPARAKALESMA
    "\u1D070",  # BYZANTINE MUSICAL SYMBOL TROMIKOSYNAGMA
    "\u1D071",  # BYZANTINE MUSICAL SYMBOL PSIFISTOSYNAGMA
    "\u1D072",  # BYZANTINE MUSICAL SYMBOL GORGOSYNTHETON
    "\u1D073",  # BYZANTINE MUSICAL SYMBOL ARGOSYNTHETON
    "\u1D074",  # BYZANTINE MUSICAL SYMBOL ETERON ARGOSYNTHETON
    "\u1D075",  # BYZANTINE MUSICAL SYMBOL OYRANISMA NEO
    "\u1D076",  # BYZANTINE MUSICAL SYMBOL THEMATISMOS ESO
    "\u1D077",  # BYZANTINE MUSICAL SYMBOL THEMATISMOS EXO
    "\u1D078",  # BYZANTINE MUSICAL SYMBOL THEMA APLOUN
    "\u1D079",  # BYZANTINE MUSICAL SYMBOL THES KAI APOTHES
    "\u1D07A",  # BYZANTINE MUSICAL SYMBOL KATAVASMA
    "\u1D07B",  # BYZANTINE MUSICAL SYMBOL ENDOFONON
    "\u1D07C",  # BYZANTINE MUSICAL SYMBOL YFEN KATO
    "\u1D07D",  # BYZANTINE MUSICAL SYMBOL YFEN ANO
    "\u1D07E",  # BYZANTINE MUSICAL SYMBOL STAVROS
    "\u1D07F",  # BYZANTINE MUSICAL SYMBOL KLASMA ANO
    "\u1D080",  # BYZANTINE MUSICAL SYMBOL DIPLI ARCHAION
    "\u1D081",  # BYZANTINE MUSICAL SYMBOL KRATIMA ARCHAION
    "\u1D082",  # BYZANTINE MUSICAL SYMBOL KRATIMA ALLO
    "\u1D083",  # BYZANTINE MUSICAL SYMBOL KRATIMA NEO
    "\u1D084",  # BYZANTINE MUSICAL SYMBOL APODERMA NEO
    "\u1D085",  # BYZANTINE MUSICAL SYMBOL APLI
    "\u1D086",  # BYZANTINE MUSICAL SYMBOL DIPLI
    "\u1D087",  # BYZANTINE MUSICAL SYMBOL TRIPLI
    "\u1D088",  # BYZANTINE MUSICAL SYMBOL TETRAPLI
    "\u1D089",  # BYZANTINE MUSICAL SYMBOL KORONIS
    "\u1D08A",  # BYZANTINE MUSICAL SYMBOL LEIMMA ENOS CHRONOU
    "\u1D08B",  # BYZANTINE MUSICAL SYMBOL LEIMMA DYO CHRONON
    "\u1D08C",  # BYZANTINE MUSICAL SYMBOL LEIMMA TRION CHRONON
    "\u1D08D",  # BYZANTINE MUSICAL SYMBOL LEIMMA TESSARON CHRONON
    "\u1D08E",  # BYZANTINE MUSICAL SYMBOL LEIMMA IMISEOS CHRONOU
    "\u1D08F",  # BYZANTINE MUSICAL SYMBOL GORGON NEO ANO
    "\u1D090",  # BYZANTINE MUSICAL SYMBOL GORGON PARESTIGMENON ARISTERA
    "\u1D091",  # BYZANTINE MUSICAL SYMBOL GORGON PARESTIGMENON DEXIA
    "\u1D092",  # BYZANTINE MUSICAL SYMBOL DIGORGON
    "\u1D093",  # BYZANTINE MUSICAL SYMBOL DIGORGON PARESTIGMENON ARISTERA KATO
    "\u1D094",  # BYZANTINE MUSICAL SYMBOL DIGORGON PARESTIGMENON ARISTERA ANO
    "\u1D095",  # BYZANTINE MUSICAL SYMBOL DIGORGON PARESTIGMENON DEXIA
    "\u1D096",  # BYZANTINE MUSICAL SYMBOL TRIGORGON
    "\u1D097",  # BYZANTINE MUSICAL SYMBOL ARGON
    "\u1D098",  # BYZANTINE MUSICAL SYMBOL IMIDIARGON
    "\u1D099",  # BYZANTINE MUSICAL SYMBOL DIARGON
    "\u1D09A",  # BYZANTINE MUSICAL SYMBOL AGOGI POLI ARGI
    "\u1D09B",  # BYZANTINE MUSICAL SYMBOL AGOGI ARGOTERI
    "\u1D09C",  # BYZANTINE MUSICAL SYMBOL AGOGI ARGI
    "\u1D09D",  # BYZANTINE MUSICAL SYMBOL AGOGI METRIA
    "\u1D09E",  # BYZANTINE MUSICAL SYMBOL AGOGI MESI
    "\u1D09F",  # BYZANTINE MUSICAL SYMBOL AGOGI GORGI
    "\u1D0A0",  # BYZANTINE MUSICAL SYMBOL AGOGI GORGOTERI
    "\u1D0A1",  # BYZANTINE MUSICAL SYMBOL AGOGI POLI GORGI
    "\u1D0A2",  # BYZANTINE MUSICAL SYMBOL MARTYRIA PROTOS ICHOS
    "\u1D0A3",  # BYZANTINE MUSICAL SYMBOL MARTYRIA ALLI PROTOS ICHOS
    "\u1D0A4",  # BYZANTINE MUSICAL SYMBOL MARTYRIA DEYTEROS ICHOS
    "\u1D0A5",  # BYZANTINE MUSICAL SYMBOL MARTYRIA ALLI DEYTEROS ICHOS
    "\u1D0A6",  # BYZANTINE MUSICAL SYMBOL MARTYRIA TRITOS ICHOS
    "\u1D0A7",  # BYZANTINE MUSICAL SYMBOL MARTYRIA TRIFONIAS
    "\u1D0A8",  # BYZANTINE MUSICAL SYMBOL MARTYRIA TETARTOS ICHOS
    "\u1D0A9",  # BYZANTINE MUSICAL SYMBOL MARTYRIA TETARTOS LEGETOS ICHOS
    "\u1D0AA",  # BYZANTINE MUSICAL SYMBOL MARTYRIA LEGETOS ICHOS
    "\u1D0AB",  # BYZANTINE MUSICAL SYMBOL MARTYRIA PLAGIOS ICHOS
    "\u1D0AC",  # BYZANTINE MUSICAL SYMBOL ISAKIA TELOUS ICHIMATOS
    "\u1D0AD",  # BYZANTINE MUSICAL SYMBOL APOSTROFOI TELOUS ICHIMATOS
    "\u1D0AE",  # BYZANTINE MUSICAL SYMBOL FANEROSIS TETRAFONIAS
    "\u1D0AF",  # BYZANTINE MUSICAL SYMBOL FANEROSIS MONOFONIAS
    "\u1D0B0",  # BYZANTINE MUSICAL SYMBOL FANEROSIS DIFONIAS
    "\u1D0B1",  # BYZANTINE MUSICAL SYMBOL MARTYRIA VARYS ICHOS
    "\u1D0B2",  # BYZANTINE MUSICAL SYMBOL MARTYRIA PROTOVARYS ICHOS
    "\u1D0B3",  # BYZANTINE MUSICAL SYMBOL MARTYRIA PLAGIOS TETARTOS ICHOS
    "\u1D0B4",  # BYZANTINE MUSICAL SYMBOL GORTHMIKON N APLOUN
    "\u1D0B5",  # BYZANTINE MUSICAL SYMBOL GORTHMIKON N DIPLOUN
    "\u1D0B6",  # BYZANTINE MUSICAL SYMBOL ENARXIS KAI FTHORA VOU
    "\u1D0B7",  # BYZANTINE MUSICAL SYMBOL IMIFONON
    "\u1D0B8",  # BYZANTINE MUSICAL SYMBOL IMIFTHORON
    "\u1D0B9",  # BYZANTINE MUSICAL SYMBOL FTHORA ARCHAION DEYTEROU ICHOU
    "\u1D0BA",  # BYZANTINE MUSICAL SYMBOL FTHORA DIATONIKI PA
    "\u1D0BB",  # BYZANTINE MUSICAL SYMBOL FTHORA DIATONIKI NANA
    "\u1D0BC",  # BYZANTINE MUSICAL SYMBOL FTHORA NAOS ICHOS
    "\u1D0BD",  # BYZANTINE MUSICAL SYMBOL FTHORA DIATONIKI DI
    "\u1D0BE",  # BYZANTINE MUSICAL SYMBOL FTHORA SKLIRON DIATONON DI
    "\u1D0BF",  # BYZANTINE MUSICAL SYMBOL FTHORA DIATONIKI KE
    "\u1D0C0",  # BYZANTINE MUSICAL SYMBOL FTHORA DIATONIKI ZO
    "\u1D0C1",  # BYZANTINE MUSICAL SYMBOL FTHORA DIATONIKI NI KATO
    "\u1D0C2",  # BYZANTINE MUSICAL SYMBOL FTHORA DIATONIKI NI ANO
    "\u1D0C3",  # BYZANTINE MUSICAL SYMBOL FTHORA MALAKON CHROMA DIFONIAS
    "\u1D0C4",  # BYZANTINE MUSICAL SYMBOL FTHORA MALAKON CHROMA MONOFONIAS
    "\u1D0C5",  # BYZANTINE MUSICAL SYMBOL FHTORA SKLIRON CHROMA VASIS
    "\u1D0C6",  # BYZANTINE MUSICAL SYMBOL FTHORA SKLIRON CHROMA SYNAFI
    "\u1D0C7",  # BYZANTINE MUSICAL SYMBOL FTHORA NENANO
    "\u1D0C8",  # BYZANTINE MUSICAL SYMBOL CHROA ZYGOS
    "\u1D0C9",  # BYZANTINE MUSICAL SYMBOL CHROA KLITON
    "\u1D0CA",  # BYZANTINE MUSICAL SYMBOL CHROA SPATHI
    "\u1D0CB",  # BYZANTINE MUSICAL SYMBOL FTHORA I YFESIS TETARTIMORION
    "\u1D0CC",  # BYZANTINE MUSICAL SYMBOL FTHORA ENARMONIOS ANTIFONIA
    "\u1D0CD",  # BYZANTINE MUSICAL SYMBOL YFESIS TRITIMORION
    "\u1D0CE",  # BYZANTINE MUSICAL SYMBOL DIESIS TRITIMORION
    "\u1D0CF",  # BYZANTINE MUSICAL SYMBOL DIESIS TETARTIMORION
    "\u1D0D0",  # BYZANTINE MUSICAL SYMBOL DIESIS APLI DYO DODEKATA
    "\u1D0D1",  # BYZANTINE MUSICAL SYMBOL DIESIS MONOGRAMMOS TESSERA DODEKATA
    "\u1D0D2",  # BYZANTINE MUSICAL SYMBOL DIESIS DIGRAMMOS EX DODEKATA
    "\u1D0D3",  # BYZANTINE MUSICAL SYMBOL DIESIS TRIGRAMMOS OKTO DODEKATA
    "\u1D0D4",  # BYZANTINE MUSICAL SYMBOL YFESIS APLI DYO DODEKATA
    "\u1D0D5",  # BYZANTINE MUSICAL SYMBOL YFESIS MONOGRAMMOS TESSERA DODEKATA
    "\u1D0D6",  # BYZANTINE MUSICAL SYMBOL YFESIS DIGRAMMOS EX DODEKATA
    "\u1D0D7",  # BYZANTINE MUSICAL SYMBOL YFESIS TRIGRAMMOS OKTO DODEKATA
    "\u1D0D8",  # BYZANTINE MUSICAL SYMBOL GENIKI DIESIS
    "\u1D0D9",  # BYZANTINE MUSICAL SYMBOL GENIKI YFESIS
    "\u1D0DA",  # BYZANTINE MUSICAL SYMBOL DIASTOLI APLI MIKRI
    "\u1D0DB",  # BYZANTINE MUSICAL SYMBOL DIASTOLI APLI MEGALI
    "\u1D0DC",  # BYZANTINE MUSICAL SYMBOL DIASTOLI DIPLI
    "\u1D0DD",  # BYZANTINE MUSICAL SYMBOL DIASTOLI THESEOS
    "\u1D0DE",  # BYZANTINE MUSICAL SYMBOL SIMANSIS THESEOS
    "\u1D0DF",  # BYZANTINE MUSICAL SYMBOL SIMANSIS THESEOS DISIMOU
    "\u1D0E0",  # BYZANTINE MUSICAL SYMBOL SIMANSIS THESEOS TRISIMOU
    "\u1D0E1",  # BYZANTINE MUSICAL SYMBOL SIMANSIS THESEOS TETRASIMOU
    "\u1D0E2",  # BYZANTINE MUSICAL SYMBOL SIMANSIS ARSEOS
    "\u1D0E3",  # BYZANTINE MUSICAL SYMBOL SIMANSIS ARSEOS DISIMOU
    "\u1D0E4",  # BYZANTINE MUSICAL SYMBOL SIMANSIS ARSEOS TRISIMOU
    "\u1D0E5",  # BYZANTINE MUSICAL SYMBOL SIMANSIS ARSEOS TETRASIMOU
    "\u1D0E6",  # BYZANTINE MUSICAL SYMBOL DIGRAMMA GG
    "\u1D0E7",  # BYZANTINE MUSICAL SYMBOL DIFTOGGOS OU
    "\u1D0E8",  # BYZANTINE MUSICAL SYMBOL STIGMA
    "\u1D0E9",  # BYZANTINE MUSICAL SYMBOL ARKTIKO PA
    "\u1D0EA",  # BYZANTINE MUSICAL SYMBOL ARKTIKO VOU
    "\u1D0EB",  # BYZANTINE MUSICAL SYMBOL ARKTIKO GA
    "\u1D0EC",  # BYZANTINE MUSICAL SYMBOL ARKTIKO DI
    "\u1D0ED",  # BYZANTINE MUSICAL SYMBOL ARKTIKO KE
    "\u1D0EE",  # BYZANTINE MUSICAL SYMBOL ARKTIKO ZO
    "\u1D0EF",  # BYZANTINE MUSICAL SYMBOL ARKTIKO NI
    "\u1D0F0",  # BYZANTINE MUSICAL SYMBOL KENTIMATA NEO MESO
    "\u1D0F1",  # BYZANTINE MUSICAL SYMBOL KENTIMA NEO MESO
    "\u1D0F2",  # BYZANTINE MUSICAL SYMBOL KENTIMATA NEO KATO
    "\u1D0F3",  # BYZANTINE MUSICAL SYMBOL KENTIMA NEO KATO
    "\u1D0F4",  # BYZANTINE MUSICAL SYMBOL KLASMA KATO
    "\u1D0F5",  # BYZANTINE MUSICAL SYMBOL GORGON NEO KATO
    "\u1D100",  # MUSICAL SYMBOL SINGLE BARLINE
    "\u1D101",  # MUSICAL SYMBOL DOUBLE BARLINE
    "\u1D102",  # MUSICAL SYMBOL FINAL BARLINE
    "\u1D103",  # MUSICAL SYMBOL REVERSE FINAL BARLINE
    "\u1D104",  # MUSICAL SYMBOL DASHED BARLINE
    "\u1D105",  # MUSICAL SYMBOL SHORT BARLINE
    "\u1D106",  # MUSICAL SYMBOL LEFT REPEAT SIGN
    "\u1D107",  # MUSICAL SYMBOL RIGHT REPEAT SIGN
    "\u1D108",  # MUSICAL SYMBOL REPEAT DOTS
    "\u1D109",  # MUSICAL SYMBOL DAL SEGNO
    "\u1D10A",  # MUSICAL SYMBOL DA CAPO
    "\u1D10B",  # MUSICAL SYMBOL SEGNO
    "\u1D10C",  # MUSICAL SYMBOL CODA
    "\u1D10D",  # MUSICAL SYMBOL REPEATED FIGURE-1
    "\u1D10E",  # MUSICAL SYMBOL REPEATED FIGURE-2
    "\u1D10F",  # MUSICAL SYMBOL REPEATED FIGURE-3
    "\u1D110",  # MUSICAL SYMBOL FERMATA
    "\u1D111",  # MUSICAL SYMBOL FERMATA BELOW
    "\u1D112",  # MUSICAL SYMBOL BREATH MARK
    "\u1D113",  # MUSICAL SYMBOL CAESURA
    "\u1D114",  # MUSICAL SYMBOL BRACE
    "\u1D115",  # MUSICAL SYMBOL BRACKET
    "\u1D116",  # MUSICAL SYMBOL ONE-LINE STAFF
    "\u1D117",  # MUSICAL SYMBOL TWO-LINE STAFF
    "\u1D118",  # MUSICAL SYMBOL THREE-LINE STAFF
    "\u1D119",  # MUSICAL SYMBOL FOUR-LINE STAFF
    "\u1D11A",  # MUSICAL SYMBOL FIVE-LINE STAFF
    "\u1D11B",  # MUSICAL SYMBOL SIX-LINE STAFF
    "\u1D11C",  # MUSICAL SYMBOL SIX-STRING FRETBOARD
    "\u1D11D",  # MUSICAL SYMBOL FOUR-STRING FRETBOARD
    "\u1D11E",  # MUSICAL SYMBOL G CLEF
    "\u1D11F",  # MUSICAL SYMBOL G CLEF OTTAVA ALTA
    "\u1D120",  # MUSICAL SYMBOL G CLEF OTTAVA BASSA
    "\u1D121",  # MUSICAL SYMBOL C CLEF
    "\u1D122",  # MUSICAL SYMBOL F CLEF
    "\u1D123",  # MUSICAL SYMBOL F CLEF OTTAVA ALTA
    "\u1D124",  # MUSICAL SYMBOL F CLEF OTTAVA BASSA
    "\u1D125",  # MUSICAL SYMBOL DRUM CLEF-1
    "\u1D126",  # MUSICAL SYMBOL DRUM CLEF-2
    "\u1D129",  # MUSICAL SYMBOL MULTIPLE MEASURE REST
    "\u1D12A",  # MUSICAL SYMBOL DOUBLE SHARP
    "\u1D12B",  # MUSICAL SYMBOL DOUBLE FLAT
    "\u1D12C",  # MUSICAL SYMBOL FLAT UP
    "\u1D12D",  # MUSICAL SYMBOL FLAT DOWN
    "\u1D12E",  # MUSICAL SYMBOL NATURAL UP
    "\u1D12F",  # MUSICAL SYMBOL NATURAL DOWN
    "\u1D130",  # MUSICAL SYMBOL SHARP UP
    "\u1D131",  # MUSICAL SYMBOL SHARP DOWN
    "\u1D132",  # MUSICAL SYMBOL QUARTER TONE SHARP
    "\u1D133",  # MUSICAL SYMBOL QUARTER TONE FLAT
    "\u1D134",  # MUSICAL SYMBOL COMMON TIME
    "\u1D135",  # MUSICAL SYMBOL CUT TIME
    "\u1D136",  # MUSICAL SYMBOL OTTAVA ALTA
    "\u1D137",  # MUSICAL SYMBOL OTTAVA BASSA
    "\u1D138",  # MUSICAL SYMBOL QUINDICESIMA ALTA
    "\u1D139",  # MUSICAL SYMBOL QUINDICESIMA BASSA
    "\u1D13A",  # MUSICAL SYMBOL MULTI REST
    "\u1D13B",  # MUSICAL SYMBOL WHOLE REST
    "\u1D13C",  # MUSICAL SYMBOL HALF REST
    "\u1D13D",  # MUSICAL SYMBOL QUARTER REST
    "\u1D13E",  # MUSICAL SYMBOL EIGHTH REST
    "\u1D13F",  # MUSICAL SYMBOL SIXTEENTH REST
    "\u1D140",  # MUSICAL SYMBOL THIRTY-SECOND REST
    "\u1D141",  # MUSICAL SYMBOL SIXTY-FOURTH REST
    "\u1D142",  # MUSICAL SYMBOL ONE HUNDRED TWENTY-EIGHTH REST
    "\u1D143",  # MUSICAL SYMBOL X NOTEHEAD
    "\u1D144",  # MUSICAL SYMBOL PLUS NOTEHEAD
    "\u1D145",  # MUSICAL SYMBOL CIRCLE X NOTEHEAD
    "\u1D146",  # MUSICAL SYMBOL SQUARE NOTEHEAD WHITE
    "\u1D147",  # MUSICAL SYMBOL SQUARE NOTEHEAD BLACK
    "\u1D148",  # MUSICAL SYMBOL TRIANGLE NOTEHEAD UP WHITE
    "\u1D149",  # MUSICAL SYMBOL TRIANGLE NOTEHEAD UP BLACK
    "\u1D14A",  # MUSICAL SYMBOL TRIANGLE NOTEHEAD LEFT WHITE
    "\u1D14B",  # MUSICAL SYMBOL TRIANGLE NOTEHEAD LEFT BLACK
    "\u1D14C",  # MUSICAL SYMBOL TRIANGLE NOTEHEAD RIGHT WHITE
    "\u1D14D",  # MUSICAL SYMBOL TRIANGLE NOTEHEAD RIGHT BLACK
    "\u1D14E",  # MUSICAL SYMBOL TRIANGLE NOTEHEAD DOWN WHITE
    "\u1D14F",  # MUSICAL SYMBOL TRIANGLE NOTEHEAD DOWN BLACK
    "\u1D150",  # MUSICAL SYMBOL TRIANGLE NOTEHEAD UP RIGHT WHITE
    "\u1D151",  # MUSICAL SYMBOL TRIANGLE NOTEHEAD UP RIGHT BLACK
    "\u1D152",  # MUSICAL SYMBOL MOON NOTEHEAD WHITE
    "\u1D153",  # MUSICAL SYMBOL MOON NOTEHEAD BLACK
    "\u1D154",  # MUSICAL SYMBOL TRIANGLE-ROUND NOTEHEAD DOWN WHITE
    "\u1D155",  # MUSICAL SYMBOL TRIANGLE-ROUND NOTEHEAD DOWN BLACK
    "\u1D156",  # MUSICAL SYMBOL PARENTHESIS NOTEHEAD
    "\u1D157",  # MUSICAL SYMBOL VOID NOTEHEAD
    "\u1D158",  # MUSICAL SYMBOL NOTEHEAD BLACK
    "\u1D159",  # MUSICAL SYMBOL NULL NOTEHEAD
    "\u1D15A",  # MUSICAL SYMBOL CLUSTER NOTEHEAD WHITE
    "\u1D15B",  # MUSICAL SYMBOL CLUSTER NOTEHEAD BLACK
    "\u1D15C",  # MUSICAL SYMBOL BREVE
    "\u1D15D",  # MUSICAL SYMBOL WHOLE NOTE
    "\u1D15E",  # MUSICAL SYMBOL HALF NOTE
    "\u1D15F",  # MUSICAL SYMBOL QUARTER NOTE
    "\u1D160",  # MUSICAL SYMBOL EIGHTH NOTE
    "\u1D161",  # MUSICAL SYMBOL SIXTEENTH NOTE
    "\u1D162",  # MUSICAL SYMBOL THIRTY-SECOND NOTE
    "\u1D163",  # MUSICAL SYMBOL SIXTY-FOURTH NOTE
    "\u1D164",  # MUSICAL SYMBOL ONE HUNDRED TWENTY-EIGHTH NOTE
    "\u1D165",  # MUSICAL SYMBOL COMBINING STEM
    "\u1D166",  # MUSICAL SYMBOL COMBINING SPRECHGESANG STEM
    "\u1D167",  # MUSICAL SYMBOL COMBINING TREMOLO-1
    "\u1D168",  # MUSICAL SYMBOL COMBINING TREMOLO-2
    "\u1D169",  # MUSICAL SYMBOL COMBINING TREMOLO-3
    "\u1D16A",  # MUSICAL SYMBOL FINGERED TREMOLO-1
    "\u1D16B",  # MUSICAL SYMBOL FINGERED TREMOLO-2
    "\u1D16C",  # MUSICAL SYMBOL FINGERED TREMOLO-3
    "\u1D16D",  # MUSICAL SYMBOL COMBINING AUGMENTATION DOT
    "\u1D16E",  # MUSICAL SYMBOL COMBINING FLAG-1
    "\u1D16F",  # MUSICAL SYMBOL COMBINING FLAG-2
    "\u1D170",  # MUSICAL SYMBOL COMBINING FLAG-3
    "\u1D171",  # MUSICAL SYMBOL COMBINING FLAG-4
    "\u1D172",  # MUSICAL SYMBOL COMBINING FLAG-5
    "\u1D173",  # MUSICAL SYMBOL BEGIN BEAM
    "\u1D174",  # MUSICAL SYMBOL END BEAM
    "\u1D175",  # MUSICAL SYMBOL BEGIN TIE
    "\u1D176",  # MUSICAL SYMBOL END TIE
    "\u1D177",  # MUSICAL SYMBOL BEGIN SLUR
    "\u1D178",  # MUSICAL SYMBOL END SLUR
    "\u1D179",  # MUSICAL SYMBOL BEGIN PHRASE
    "\u1D17A",  # MUSICAL SYMBOL END PHRASE
    "\u1D17B",  # MUSICAL SYMBOL COMBINING ACCENT
    "\u1D17C",  # MUSICAL SYMBOL COMBINING STACCATO
    "\u1D17D",  # MUSICAL SYMBOL COMBINING TENUTO
    "\u1D17E",  # MUSICAL SYMBOL COMBINING STACCATISSIMO
    "\u1D17F",  # MUSICAL SYMBOL COMBINING MARCATO
    "\u1D180",  # MUSICAL SYMBOL COMBINING MARCATO-STACCATO
    "\u1D181",  # MUSICAL SYMBOL COMBINING ACCENT-STACCATO
    "\u1D182",  # MUSICAL SYMBOL COMBINING LOURE
    "\u1D183",  # MUSICAL SYMBOL ARPEGGIATO UP
    "\u1D184",  # MUSICAL SYMBOL ARPEGGIATO DOWN
    "\u1D185",  # MUSICAL SYMBOL COMBINING DOIT
    "\u1D186",  # MUSICAL SYMBOL COMBINING RIP
    "\u1D187",  # MUSICAL SYMBOL COMBINING FLIP
    "\u1D188",  # MUSICAL SYMBOL COMBINING SMEAR
    "\u1D189",  # MUSICAL SYMBOL COMBINING BEND
    "\u1D18A",  # MUSICAL SYMBOL COMBINING DOUBLE TONGUE
    "\u1D18B",  # MUSICAL SYMBOL COMBINING TRIPLE TONGUE
    "\u1D18C",  # MUSICAL SYMBOL RINFORZANDO
    "\u1D18D",  # MUSICAL SYMBOL SUBITO
    "\u1D18E",  # MUSICAL SYMBOL Z
    "\u1D18F",  # MUSICAL SYMBOL PIANO
    "\u1D190",  # MUSICAL SYMBOL MEZZO
    "\u1D191",  # MUSICAL SYMBOL FORTE
    "\u1D192",  # MUSICAL SYMBOL CRESCENDO
    "\u1D193",  # MUSICAL SYMBOL DECRESCENDO
    "\u1D194",  # MUSICAL SYMBOL GRACE NOTE SLASH
    "\u1D195",  # MUSICAL SYMBOL GRACE NOTE NO SLASH
    "\u1D196",  # MUSICAL SYMBOL TR
    "\u1D197",  # MUSICAL SYMBOL TURN
    "\u1D198",  # MUSICAL SYMBOL INVERTED TURN
    "\u1D199",  # MUSICAL SYMBOL TURN SLASH
    "\u1D19A",  # MUSICAL SYMBOL TURN UP
    "\u1D19B",  # MUSICAL SYMBOL ORNAMENT STROKE-1
    "\u1D19C",  # MUSICAL SYMBOL ORNAMENT STROKE-2
    "\u1D19D",  # MUSICAL SYMBOL ORNAMENT STROKE-3
    "\u1D19E",  # MUSICAL SYMBOL ORNAMENT STROKE-4
    "\u1D19F",  # MUSICAL SYMBOL ORNAMENT STROKE-5
    "\u1D1A0",  # MUSICAL SYMBOL ORNAMENT STROKE-6
    "\u1D1A1",  # MUSICAL SYMBOL ORNAMENT STROKE-7
    "\u1D1A2",  # MUSICAL SYMBOL ORNAMENT STROKE-8
    "\u1D1A3",  # MUSICAL SYMBOL ORNAMENT STROKE-9
    "\u1D1A4",  # MUSICAL SYMBOL ORNAMENT STROKE-10
    "\u1D1A5",  # MUSICAL SYMBOL ORNAMENT STROKE-11
    "\u1D1A6",  # MUSICAL SYMBOL HAUPTSTIMME
    "\u1D1A7",  # MUSICAL SYMBOL NEBENSTIMME
    "\u1D1A8",  # MUSICAL SYMBOL END OF STIMME
    "\u1D1A9",  # MUSICAL SYMBOL DEGREE SLASH
    "\u1D1AA",  # MUSICAL SYMBOL COMBINING DOWN BOW
    "\u1D1AB",  # MUSICAL SYMBOL COMBINING UP BOW
    "\u1D1AC",  # MUSICAL SYMBOL COMBINING HARMONIC
    "\u1D1AD",  # MUSICAL SYMBOL COMBINING SNAP PIZZICATO
    "\u1D1AE",  # MUSICAL SYMBOL PEDAL MARK
    "\u1D1AF",  # MUSICAL SYMBOL PEDAL UP MARK
    "\u1D1B0",  # MUSICAL SYMBOL HALF PEDAL MARK
    "\u1D1B1",  # MUSICAL SYMBOL GLISSANDO UP
    "\u1D1B2",  # MUSICAL SYMBOL GLISSANDO DOWN
    "\u1D1B3",  # MUSICAL SYMBOL WITH FINGERNAILS
    "\u1D1B4",  # MUSICAL SYMBOL DAMP
    "\u1D1B5",  # MUSICAL SYMBOL DAMP ALL
    "\u1D1B6",  # MUSICAL SYMBOL MAXIMA
    "\u1D1B7",  # MUSICAL SYMBOL LONGA
    "\u1D1B8",  # MUSICAL SYMBOL BREVIS
    "\u1D1B9",  # MUSICAL SYMBOL SEMIBREVIS WHITE
    "\u1D1BA",  # MUSICAL SYMBOL SEMIBREVIS BLACK
    "\u1D1BB",  # MUSICAL SYMBOL MINIMA
    "\u1D1BC",  # MUSICAL SYMBOL MINIMA BLACK
    "\u1D1BD",  # MUSICAL SYMBOL SEMIMINIMA WHITE
    "\u1D1BE",  # MUSICAL SYMBOL SEMIMINIMA BLACK
    "\u1D1BF",  # MUSICAL SYMBOL FUSA WHITE
    "\u1D1C0",  # MUSICAL SYMBOL FUSA BLACK
    "\u1D1C1",  # MUSICAL SYMBOL LONGA PERFECTA REST
    "\u1D1C2",  # MUSICAL SYMBOL LONGA IMPERFECTA REST
    "\u1D1C3",  # MUSICAL SYMBOL BREVIS REST
    "\u1D1C4",  # MUSICAL SYMBOL SEMIBREVIS REST
    "\u1D1C5",  # MUSICAL SYMBOL MINIMA REST
    "\u1D1C6",  # MUSICAL SYMBOL SEMIMINIMA REST
    "\u1D1C7",  # MUSICAL SYMBOL TEMPUS PERFECTUM CUM PROLATIONE PERFECTA
    "\u1D1C8",  # MUSICAL SYMBOL TEMPUS PERFECTUM CUM PROLATIONE IMPERFECTA
    "\u1D1C9",  # MUSICAL SYMBOL TEMPUS PERFECTUM CUM PROLATIONE PERFECTA DIMINUTION-1
    "\u1D1CA",  # MUSICAL SYMBOL TEMPUS IMPERFECTUM CUM PROLATIONE PERFECTA
    "\u1D1CB",  # MUSICAL SYMBOL TEMPUS IMPERFECTUM CUM PROLATIONE IMPERFECTA
    "\u1D1CC",  # MUSICAL SYMBOL TEMPUS IMPERFECTUM CUM PROLATIONE IMPERFECTA DIMINUTION-1
    "\u1D1CD",  # MUSICAL SYMBOL TEMPUS IMPERFECTUM CUM PROLATIONE IMPERFECTA DIMINUTION-2
    "\u1D1CE",  # MUSICAL SYMBOL TEMPUS IMPERFECTUM CUM PROLATIONE IMPERFECTA DIMINUTION-3
    "\u1D1CF",  # MUSICAL SYMBOL CROIX
    "\u1D1D0",  # MUSICAL SYMBOL GREGORIAN C CLEF
    "\u1D1D1",  # MUSICAL SYMBOL GREGORIAN F CLEF
    "\u1D1D2",  # MUSICAL SYMBOL SQUARE B
    "\u1D1D3",  # MUSICAL SYMBOL VIRGA
    "\u1D1D4",  # MUSICAL SYMBOL PODATUS
    "\u1D1D5",  # MUSICAL SYMBOL CLIVIS
    "\u1D1D6",  # MUSICAL SYMBOL SCANDICUS
    "\u1D1D7",  # MUSICAL SYMBOL CLIMACUS
    "\u1D1D8",  # MUSICAL SYMBOL TORCULUS
    "\u1D1D9",  # MUSICAL SYMBOL PORRECTUS
    "\u1D1DA",  # MUSICAL SYMBOL PORRECTUS FLEXUS
    "\u1D1DB",  # MUSICAL SYMBOL SCANDICUS FLEXUS
    "\u1D1DC",  # MUSICAL SYMBOL TORCULUS RESUPINUS
    "\u1D1DD",  # MUSICAL SYMBOL PES SUBPUNCTIS
    "\u1D1DE",  # MUSICAL SYMBOL KIEVAN C CLEF
    "\u1D1DF",  # MUSICAL SYMBOL KIEVAN END OF PIECE
    "\u1D1E0",  # MUSICAL SYMBOL KIEVAN FINAL NOTE
    "\u1D1E1",  # MUSICAL SYMBOL KIEVAN RECITATIVE MARK
    "\u1D1E2",  # MUSICAL SYMBOL KIEVAN WHOLE NOTE
    "\u1D1E3",  # MUSICAL SYMBOL KIEVAN HALF NOTE
    "\u1D1E4",  # MUSICAL SYMBOL KIEVAN QUARTER NOTE STEM DOWN
    "\u1D1E5",  # MUSICAL SYMBOL KIEVAN QUARTER NOTE STEM UP
    "\u1D1E6",  # MUSICAL SYMBOL KIEVAN EIGHTH NOTE STEM DOWN
    "\u1D1E7",  # MUSICAL SYMBOL KIEVAN EIGHTH NOTE STEM UP
    "\u1D1E8",  # MUSICAL SYMBOL KIEVAN FLAT SIGN
    "\u1D200",  # GREEK VOCAL NOTATION SYMBOL-1
    "\u1D201",  # GREEK VOCAL NOTATION SYMBOL-2
    "\u1D202",  # GREEK VOCAL NOTATION SYMBOL-3
    "\u1D203",  # GREEK VOCAL NOTATION SYMBOL-4
    "\u1D204",  # GREEK VOCAL NOTATION SYMBOL-5
    "\u1D205",  # GREEK VOCAL NOTATION SYMBOL-6
    "\u1D206",  # GREEK VOCAL NOTATION SYMBOL-7
    "\u1D207",  # GREEK VOCAL NOTATION SYMBOL-8
    "\u1D208",  # GREEK VOCAL NOTATION SYMBOL-9
    "\u1D209",  # GREEK VOCAL NOTATION SYMBOL-10
    "\u1D20A",  # GREEK VOCAL NOTATION SYMBOL-11
    "\u1D20B",  # GREEK VOCAL NOTATION SYMBOL-12
    "\u1D20C",  # GREEK VOCAL NOTATION SYMBOL-13
    "\u1D20D",  # GREEK VOCAL NOTATION SYMBOL-14
    "\u1D20E",  # GREEK VOCAL NOTATION SYMBOL-15
    "\u1D20F",  # GREEK VOCAL NOTATION SYMBOL-16
    "\u1D210",  # GREEK VOCAL NOTATION SYMBOL-17
    "\u1D211",  # GREEK VOCAL NOTATION SYMBOL-18
    "\u1D212",  # GREEK VOCAL NOTATION SYMBOL-19
    "\u1D213",  # GREEK VOCAL NOTATION SYMBOL-20
    "\u1D214",  # GREEK VOCAL NOTATION SYMBOL-21
    "\u1D215",  # GREEK VOCAL NOTATION SYMBOL-22
    "\u1D216",  # GREEK VOCAL NOTATION SYMBOL-23
    "\u1D217",  # GREEK VOCAL NOTATION SYMBOL-24
    "\u1D218",  # GREEK VOCAL NOTATION SYMBOL-50
    "\u1D219",  # GREEK VOCAL NOTATION SYMBOL-51
    "\u1D21A",  # GREEK VOCAL NOTATION SYMBOL-52
    "\u1D21B",  # GREEK VOCAL NOTATION SYMBOL-53
    "\u1D21C",  # GREEK VOCAL NOTATION SYMBOL-54
    "\u1D21D",  # GREEK INSTRUMENTAL NOTATION SYMBOL-1
    "\u1D21E",  # GREEK INSTRUMENTAL NOTATION SYMBOL-2
    "\u1D21F",  # GREEK INSTRUMENTAL NOTATION SYMBOL-4
    "\u1D220",  # GREEK INSTRUMENTAL NOTATION SYMBOL-5
    "\u1D221",  # GREEK INSTRUMENTAL NOTATION SYMBOL-7
    "\u1D222",  # GREEK INSTRUMENTAL NOTATION SYMBOL-8
    "\u1D223",  # GREEK INSTRUMENTAL NOTATION SYMBOL-11
    "\u1D224",  # GREEK INSTRUMENTAL NOTATION SYMBOL-12
    "\u1D225",  # GREEK INSTRUMENTAL NOTATION SYMBOL-13
    "\u1D226",  # GREEK INSTRUMENTAL NOTATION SYMBOL-14
    "\u1D227",  # GREEK INSTRUMENTAL NOTATION SYMBOL-17
    "\u1D228",  # GREEK INSTRUMENTAL NOTATION SYMBOL-18
    "\u1D229",  # GREEK INSTRUMENTAL NOTATION SYMBOL-19
    "\u1D22A",  # GREEK INSTRUMENTAL NOTATION SYMBOL-23
    "\u1D22B",  # GREEK INSTRUMENTAL NOTATION SYMBOL-24
    "\u1D22C",  # GREEK INSTRUMENTAL NOTATION SYMBOL-25
    "\u1D22D",  # GREEK INSTRUMENTAL NOTATION SYMBOL-26
    "\u1D22E",  # GREEK INSTRUMENTAL NOTATION SYMBOL-27
    "\u1D22F",  # GREEK INSTRUMENTAL NOTATION SYMBOL-29
    "\u1D230",  # GREEK INSTRUMENTAL NOTATION SYMBOL-30
    "\u1D231",  # GREEK INSTRUMENTAL NOTATION SYMBOL-32
    "\u1D232",  # GREEK INSTRUMENTAL NOTATION SYMBOL-36
    "\u1D233",  # GREEK INSTRUMENTAL NOTATION SYMBOL-37
    "\u1D234",  # GREEK INSTRUMENTAL NOTATION SYMBOL-38
    "\u1D235",  # GREEK INSTRUMENTAL NOTATION SYMBOL-39
    "\u1D236",  # GREEK INSTRUMENTAL NOTATION SYMBOL-40
    "\u1D237",  # GREEK INSTRUMENTAL NOTATION SYMBOL-42
    "\u1D238",  # GREEK INSTRUMENTAL NOTATION SYMBOL-43
    "\u1D239",  # GREEK INSTRUMENTAL NOTATION SYMBOL-45
    "\u1D23A",  # GREEK INSTRUMENTAL NOTATION SYMBOL-47
    "\u1D23B",  # GREEK INSTRUMENTAL NOTATION SYMBOL-48
    "\u1D23C",  # GREEK INSTRUMENTAL NOTATION SYMBOL-49
    "\u1D23D",  # GREEK INSTRUMENTAL NOTATION SYMBOL-50
    "\u1D23E",  # GREEK INSTRUMENTAL NOTATION SYMBOL-51
    "\u1D23F",  # GREEK INSTRUMENTAL NOTATION SYMBOL-52
    "\u1D240",  # GREEK INSTRUMENTAL NOTATION SYMBOL-53
    "\u1D241",  # GREEK INSTRUMENTAL NOTATION SYMBOL-54
    "\u1D242",  # COMBINING GREEK MUSICAL TRISEME
    "\u1D243",  # COMBINING GREEK MUSICAL TETRASEME
    "\u1D244",  # COMBINING GREEK MUSICAL PENTASEME
    "\u1D245",  # GREEK MUSICAL LEIMMA
    "\u1D300",  # MONOGRAM FOR EARTH
    "\u1D301",  # DIGRAM FOR HEAVENLY EARTH
    "\u1D302",  # DIGRAM FOR HUMAN EARTH
    "\u1D303",  # DIGRAM FOR EARTHLY HEAVEN
    "\u1D304",  # DIGRAM FOR EARTHLY HUMAN
    "\u1D305",  # DIGRAM FOR EARTH
    "\u1D306",  # TETRAGRAM FOR CENTRE
    "\u1D307",  # TETRAGRAM FOR FULL CIRCLE
    "\u1D308",  # TETRAGRAM FOR MIRED
    "\u1D309",  # TETRAGRAM FOR BARRIER
    "\u1D30A",  # TETRAGRAM FOR KEEPING SMALL
    "\u1D30B",  # TETRAGRAM FOR CONTRARIETY
    "\u1D30C",  # TETRAGRAM FOR ASCENT
    "\u1D30D",  # TETRAGRAM FOR OPPOSITION
    "\u1D30E",  # TETRAGRAM FOR BRANCHING OUT
    "\u1D30F",  # TETRAGRAM FOR DEFECTIVENESS OR DISTORTION
    "\u1D310",  # TETRAGRAM FOR DIVERGENCE
    "\u1D311",  # TETRAGRAM FOR YOUTHFULNESS
    "\u1D312",  # TETRAGRAM FOR INCREASE
    "\u1D313",  # TETRAGRAM FOR PENETRATION
    "\u1D314",  # TETRAGRAM FOR REACH
    "\u1D315",  # TETRAGRAM FOR CONTACT
    "\u1D316",  # TETRAGRAM FOR HOLDING BACK
    "\u1D317",  # TETRAGRAM FOR WAITING
    "\u1D318",  # TETRAGRAM FOR FOLLOWING
    "\u1D319",  # TETRAGRAM FOR ADVANCE
    "\u1D31A",  # TETRAGRAM FOR RELEASE
    "\u1D31B",  # TETRAGRAM FOR RESISTANCE
    "\u1D31C",  # TETRAGRAM FOR EASE
    "\u1D31D",  # TETRAGRAM FOR JOY
    "\u1D31E",  # TETRAGRAM FOR CONTENTION
    "\u1D31F",  # TETRAGRAM FOR ENDEAVOUR
    "\u1D320",  # TETRAGRAM FOR DUTIES
    "\u1D321",  # TETRAGRAM FOR CHANGE
    "\u1D322",  # TETRAGRAM FOR DECISIVENESS
    "\u1D323",  # TETRAGRAM FOR BOLD RESOLUTION
    "\u1D324",  # TETRAGRAM FOR PACKING
    "\u1D325",  # TETRAGRAM FOR LEGION
    "\u1D326",  # TETRAGRAM FOR CLOSENESS
    "\u1D327",  # TETRAGRAM FOR KINSHIP
    "\u1D328",  # TETRAGRAM FOR GATHERING
    "\u1D329",  # TETRAGRAM FOR STRENGTH
    "\u1D32A",  # TETRAGRAM FOR PURITY
    "\u1D32B",  # TETRAGRAM FOR FULLNESS
    "\u1D32C",  # TETRAGRAM FOR RESIDENCE
    "\u1D32D",  # TETRAGRAM FOR LAW OR MODEL
    "\u1D32E",  # TETRAGRAM FOR RESPONSE
    "\u1D32F",  # TETRAGRAM FOR GOING TO MEET
    "\u1D330",  # TETRAGRAM FOR ENCOUNTERS
    "\u1D331",  # TETRAGRAM FOR STOVE
    "\u1D332",  # TETRAGRAM FOR GREATNESS
    "\u1D333",  # TETRAGRAM FOR ENLARGEMENT
    "\u1D334",  # TETRAGRAM FOR PATTERN
    "\u1D335",  # TETRAGRAM FOR RITUAL
    "\u1D336",  # TETRAGRAM FOR FLIGHT
    "\u1D337",  # TETRAGRAM FOR VASTNESS OR WASTING
    "\u1D338",  # TETRAGRAM FOR CONSTANCY
    "\u1D339",  # TETRAGRAM FOR MEASURE
    "\u1D33A",  # TETRAGRAM FOR ETERNITY
    "\u1D33B",  # TETRAGRAM FOR UNITY
    "\u1D33C",  # TETRAGRAM FOR DIMINISHMENT
    "\u1D33D",  # TETRAGRAM FOR CLOSED MOUTH
    "\u1D33E",  # TETRAGRAM FOR GUARDEDNESS
    "\u1D33F",  # TETRAGRAM FOR GATHERING IN
    "\u1D340",  # TETRAGRAM FOR MASSING
    "\u1D341",  # TETRAGRAM FOR ACCUMULATION
    "\u1D342",  # TETRAGRAM FOR EMBELLISHMENT
    "\u1D343",  # TETRAGRAM FOR DOUBT
    "\u1D344",  # TETRAGRAM FOR WATCH
    "\u1D345",  # TETRAGRAM FOR SINKING
    "\u1D346",  # TETRAGRAM FOR INNER
    "\u1D347",  # TETRAGRAM FOR DEPARTURE
    "\u1D348",  # TETRAGRAM FOR DARKENING
    "\u1D349",  # TETRAGRAM FOR DIMMING
    "\u1D34A",  # TETRAGRAM FOR EXHAUSTION
    "\u1D34B",  # TETRAGRAM FOR SEVERANCE
    "\u1D34C",  # TETRAGRAM FOR STOPPAGE
    "\u1D34D",  # TETRAGRAM FOR HARDNESS
    "\u1D34E",  # TETRAGRAM FOR COMPLETION
    "\u1D34F",  # TETRAGRAM FOR CLOSURE
    "\u1D350",  # TETRAGRAM FOR FAILURE
    "\u1D351",  # TETRAGRAM FOR AGGRAVATION
    "\u1D352",  # TETRAGRAM FOR COMPLIANCE
    "\u1D353",  # TETRAGRAM FOR ON THE VERGE
    "\u1D354",  # TETRAGRAM FOR DIFFICULTIES
    "\u1D355",  # TETRAGRAM FOR LABOURING
    "\u1D356",  # TETRAGRAM FOR FOSTERING
    "\u1D360",  # COUNTING ROD UNIT DIGIT ONE
    "\u1D361",  # COUNTING ROD UNIT DIGIT TWO
    "\u1D362",  # COUNTING ROD UNIT DIGIT THREE
    "\u1D363",  # COUNTING ROD UNIT DIGIT FOUR
    "\u1D364",  # COUNTING ROD UNIT DIGIT FIVE
    "\u1D365",  # COUNTING ROD UNIT DIGIT SIX
    "\u1D366",  # COUNTING ROD UNIT DIGIT SEVEN
    "\u1D367",  # COUNTING ROD UNIT DIGIT EIGHT
    "\u1D368",  # COUNTING ROD UNIT DIGIT NINE
    "\u1D369",  # COUNTING ROD TENS DIGIT ONE
    "\u1D36A",  # COUNTING ROD TENS DIGIT TWO
    "\u1D36B",  # COUNTING ROD TENS DIGIT THREE
    "\u1D36C",  # COUNTING ROD TENS DIGIT FOUR
    "\u1D36D",  # COUNTING ROD TENS DIGIT FIVE
    "\u1D36E",  # COUNTING ROD TENS DIGIT SIX
    "\u1D36F",  # COUNTING ROD TENS DIGIT SEVEN
    "\u1D370",  # COUNTING ROD TENS DIGIT EIGHT
    "\u1D371",  # COUNTING ROD TENS DIGIT NINE
    "\u1D400",  # MATHEMATICAL BOLD CAPITAL A
    "\u1D401",  # MATHEMATICAL BOLD CAPITAL B
    "\u1D402",  # MATHEMATICAL BOLD CAPITAL C
    "\u1D403",  # MATHEMATICAL BOLD CAPITAL D
    "\u1D404",  # MATHEMATICAL BOLD CAPITAL E
    "\u1D405",  # MATHEMATICAL BOLD CAPITAL F
    "\u1D406",  # MATHEMATICAL BOLD CAPITAL G
    "\u1D407",  # MATHEMATICAL BOLD CAPITAL H
    "\u1D408",  # MATHEMATICAL BOLD CAPITAL I
    "\u1D409",  # MATHEMATICAL BOLD CAPITAL J
    "\u1D40A",  # MATHEMATICAL BOLD CAPITAL K
    "\u1D40B",  # MATHEMATICAL BOLD CAPITAL L
    "\u1D40C",  # MATHEMATICAL BOLD CAPITAL M
    "\u1D40D",  # MATHEMATICAL BOLD CAPITAL N
    "\u1D40E",  # MATHEMATICAL BOLD CAPITAL O
    "\u1D40F",  # MATHEMATICAL BOLD CAPITAL P
    "\u1D410",  # MATHEMATICAL BOLD CAPITAL Q
    "\u1D411",  # MATHEMATICAL BOLD CAPITAL R
    "\u1D412",  # MATHEMATICAL BOLD CAPITAL S
    "\u1D413",  # MATHEMATICAL BOLD CAPITAL T
    "\u1D414",  # MATHEMATICAL BOLD CAPITAL U
    "\u1D415",  # MATHEMATICAL BOLD CAPITAL V
    "\u1D416",  # MATHEMATICAL BOLD CAPITAL W
    "\u1D417",  # MATHEMATICAL BOLD CAPITAL X
    "\u1D418",  # MATHEMATICAL BOLD CAPITAL Y
    "\u1D419",  # MATHEMATICAL BOLD CAPITAL Z
    "\u1D41A",  # MATHEMATICAL BOLD SMALL A
    "\u1D41B",  # MATHEMATICAL BOLD SMALL B
    "\u1D41C",  # MATHEMATICAL BOLD SMALL C
    "\u1D41D",  # MATHEMATICAL BOLD SMALL D
    "\u1D41E",  # MATHEMATICAL BOLD SMALL E
    "\u1D41F",  # MATHEMATICAL BOLD SMALL F
    "\u1D420",  # MATHEMATICAL BOLD SMALL G
    "\u1D421",  # MATHEMATICAL BOLD SMALL H
    "\u1D422",  # MATHEMATICAL BOLD SMALL I
    "\u1D423",  # MATHEMATICAL BOLD SMALL J
    "\u1D424",  # MATHEMATICAL BOLD SMALL K
    "\u1D425",  # MATHEMATICAL BOLD SMALL L
    "\u1D426",  # MATHEMATICAL BOLD SMALL M
    "\u1D427",  # MATHEMATICAL BOLD SMALL N
    "\u1D428",  # MATHEMATICAL BOLD SMALL O
    "\u1D429",  # MATHEMATICAL BOLD SMALL P
    "\u1D42A",  # MATHEMATICAL BOLD SMALL Q
    "\u1D42B",  # MATHEMATICAL BOLD SMALL R
    "\u1D42C",  # MATHEMATICAL BOLD SMALL S
    "\u1D42D",  # MATHEMATICAL BOLD SMALL T
    "\u1D42E",  # MATHEMATICAL BOLD SMALL U
    "\u1D42F",  # MATHEMATICAL BOLD SMALL V
    "\u1D430",  # MATHEMATICAL BOLD SMALL W
    "\u1D431",  # MATHEMATICAL BOLD SMALL X
    "\u1D432",  # MATHEMATICAL BOLD SMALL Y
    "\u1D433",  # MATHEMATICAL BOLD SMALL Z
    "\u1D434",  # MATHEMATICAL ITALIC CAPITAL A
    "\u1D435",  # MATHEMATICAL ITALIC CAPITAL B
    "\u1D436",  # MATHEMATICAL ITALIC CAPITAL C
    "\u1D437",  # MATHEMATICAL ITALIC CAPITAL D
    "\u1D438",  # MATHEMATICAL ITALIC CAPITAL E
    "\u1D439",  # MATHEMATICAL ITALIC CAPITAL F
    "\u1D43A",  # MATHEMATICAL ITALIC CAPITAL G
    "\u1D43B",  # MATHEMATICAL ITALIC CAPITAL H
    "\u1D43C",  # MATHEMATICAL ITALIC CAPITAL I
    "\u1D43D",  # MATHEMATICAL ITALIC CAPITAL J
    "\u1D43E",  # MATHEMATICAL ITALIC CAPITAL K
    "\u1D43F",  # MATHEMATICAL ITALIC CAPITAL L
    "\u1D440",  # MATHEMATICAL ITALIC CAPITAL M
    "\u1D441",  # MATHEMATICAL ITALIC CAPITAL N
    "\u1D442",  # MATHEMATICAL ITALIC CAPITAL O
    "\u1D443",  # MATHEMATICAL ITALIC CAPITAL P
    "\u1D444",  # MATHEMATICAL ITALIC CAPITAL Q
    "\u1D445",  # MATHEMATICAL ITALIC CAPITAL R
    "\u1D446",  # MATHEMATICAL ITALIC CAPITAL S
    "\u1D447",  # MATHEMATICAL ITALIC CAPITAL T
    "\u1D448",  # MATHEMATICAL ITALIC CAPITAL U
    "\u1D449",  # MATHEMATICAL ITALIC CAPITAL V
    "\u1D44A",  # MATHEMATICAL ITALIC CAPITAL W
    "\u1D44B",  # MATHEMATICAL ITALIC CAPITAL X
    "\u1D44C",  # MATHEMATICAL ITALIC CAPITAL Y
    "\u1D44D",  # MATHEMATICAL ITALIC CAPITAL Z
    "\u1D44E",  # MATHEMATICAL ITALIC SMALL A
    "\u1D44F",  # MATHEMATICAL ITALIC SMALL B
    "\u1D450",  # MATHEMATICAL ITALIC SMALL C
    "\u1D451",  # MATHEMATICAL ITALIC SMALL D
    "\u1D452",  # MATHEMATICAL ITALIC SMALL E
    "\u1D453",  # MATHEMATICAL ITALIC SMALL F
    "\u1D454",  # MATHEMATICAL ITALIC SMALL G
    "\u1D455",  # <reserved>
    "\u1D456",  # MATHEMATICAL ITALIC SMALL I
    "\u1D457",  # MATHEMATICAL ITALIC SMALL J
    "\u1D458",  # MATHEMATICAL ITALIC SMALL K
    "\u1D459",  # MATHEMATICAL ITALIC SMALL L
    "\u1D45A",  # MATHEMATICAL ITALIC SMALL M
    "\u1D45B",  # MATHEMATICAL ITALIC SMALL N
    "\u1D45C",  # MATHEMATICAL ITALIC SMALL O
    "\u1D45D",  # MATHEMATICAL ITALIC SMALL P
    "\u1D45E",  # MATHEMATICAL ITALIC SMALL Q
    "\u1D45F",  # MATHEMATICAL ITALIC SMALL R
    "\u1D460",  # MATHEMATICAL ITALIC SMALL S
    "\u1D461",  # MATHEMATICAL ITALIC SMALL T
    "\u1D462",  # MATHEMATICAL ITALIC SMALL U
    "\u1D463",  # MATHEMATICAL ITALIC SMALL V
    "\u1D464",  # MATHEMATICAL ITALIC SMALL W
    "\u1D465",  # MATHEMATICAL ITALIC SMALL X
    "\u1D466",  # MATHEMATICAL ITALIC SMALL Y
    "\u1D467",  # MATHEMATICAL ITALIC SMALL Z
    "\u1D468",  # MATHEMATICAL BOLD ITALIC CAPITAL A
    "\u1D469",  # MATHEMATICAL BOLD ITALIC CAPITAL B
    "\u1D46A",  # MATHEMATICAL BOLD ITALIC CAPITAL C
    "\u1D46B",  # MATHEMATICAL BOLD ITALIC CAPITAL D
    "\u1D46C",  # MATHEMATICAL BOLD ITALIC CAPITAL E
    "\u1D46D",  # MATHEMATICAL BOLD ITALIC CAPITAL F
    "\u1D46E",  # MATHEMATICAL BOLD ITALIC CAPITAL G
    "\u1D46F",  # MATHEMATICAL BOLD ITALIC CAPITAL H
    "\u1D470",  # MATHEMATICAL BOLD ITALIC CAPITAL I
    "\u1D471",  # MATHEMATICAL BOLD ITALIC CAPITAL J
    "\u1D472",  # MATHEMATICAL BOLD ITALIC CAPITAL K
    "\u1D473",  # MATHEMATICAL BOLD ITALIC CAPITAL L
    "\u1D474",  # MATHEMATICAL BOLD ITALIC CAPITAL M
    "\u1D475",  # MATHEMATICAL BOLD ITALIC CAPITAL N
    "\u1D476",  # MATHEMATICAL BOLD ITALIC CAPITAL O
    "\u1D477",  # MATHEMATICAL BOLD ITALIC CAPITAL P
    "\u1D478",  # MATHEMATICAL BOLD ITALIC CAPITAL Q
    "\u1D479",  # MATHEMATICAL BOLD ITALIC CAPITAL R
    "\u1D47A",  # MATHEMATICAL BOLD ITALIC CAPITAL S
    "\u1D47B",  # MATHEMATICAL BOLD ITALIC CAPITAL T
    "\u1D47C",  # MATHEMATICAL BOLD ITALIC CAPITAL U
    "\u1D47D",  # MATHEMATICAL BOLD ITALIC CAPITAL V
    "\u1D47E",  # MATHEMATICAL BOLD ITALIC CAPITAL W
    "\u1D47F",  # MATHEMATICAL BOLD ITALIC CAPITAL X
    "\u1D480",  # MATHEMATICAL BOLD ITALIC CAPITAL Y
    "\u1D481",  # MATHEMATICAL BOLD ITALIC CAPITAL Z
    "\u1D482",  # MATHEMATICAL BOLD ITALIC SMALL A
    "\u1D483",  # MATHEMATICAL BOLD ITALIC SMALL B
    "\u1D484",  # MATHEMATICAL BOLD ITALIC SMALL C
    "\u1D485",  # MATHEMATICAL BOLD ITALIC SMALL D
    "\u1D486",  # MATHEMATICAL BOLD ITALIC SMALL E
    "\u1D487",  # MATHEMATICAL BOLD ITALIC SMALL F
    "\u1D488",  # MATHEMATICAL BOLD ITALIC SMALL G
    "\u1D489",  # MATHEMATICAL BOLD ITALIC SMALL H
    "\u1D48A",  # MATHEMATICAL BOLD ITALIC SMALL I
    "\u1D48B",  # MATHEMATICAL BOLD ITALIC SMALL J
    "\u1D48C",  # MATHEMATICAL BOLD ITALIC SMALL K
    "\u1D48D",  # MATHEMATICAL BOLD ITALIC SMALL L
    "\u1D48E",  # MATHEMATICAL BOLD ITALIC SMALL M
    "\u1D48F",  # MATHEMATICAL BOLD ITALIC SMALL N
    "\u1D490",  # MATHEMATICAL BOLD ITALIC SMALL O
    "\u1D491",  # MATHEMATICAL BOLD ITALIC SMALL P
    "\u1D492",  # MATHEMATICAL BOLD ITALIC SMALL Q
    "\u1D493",  # MATHEMATICAL BOLD ITALIC SMALL R
    "\u1D494",  # MATHEMATICAL BOLD ITALIC SMALL S
    "\u1D495",  # MATHEMATICAL BOLD ITALIC SMALL T
    "\u1D496",  # MATHEMATICAL BOLD ITALIC SMALL U
    "\u1D497",  # MATHEMATICAL BOLD ITALIC SMALL V
    "\u1D498",  # MATHEMATICAL BOLD ITALIC SMALL W
    "\u1D499",  # MATHEMATICAL BOLD ITALIC SMALL X
    "\u1D49A",  # MATHEMATICAL BOLD ITALIC SMALL Y
    "\u1D49B",  # MATHEMATICAL BOLD ITALIC SMALL Z
    "\u1D49C",  # MATHEMATICAL SCRIPT CAPITAL A
    "\u1D49D",  # <reserved>
    "\u1D49E",  # MATHEMATICAL SCRIPT CAPITAL C
    "\u1D49F",  # MATHEMATICAL SCRIPT CAPITAL D
    "\u1D4A0",  # <reserved>
    "\u1D4A1",  # <reserved>
    "\u1D4A2",  # MATHEMATICAL SCRIPT CAPITAL G
    "\u1D4A3",  # <reserved>
    "\u1D4A4",  # <reserved>
    "\u1D4A5",  # MATHEMATICAL SCRIPT CAPITAL J
    "\u1D4A6",  # MATHEMATICAL SCRIPT CAPITAL K
    "\u1D4A7",  # <reserved>
    "\u1D4A8",  # <reserved>
    "\u1D4A9",  # MATHEMATICAL SCRIPT CAPITAL N
    "\u1D4AA",  # MATHEMATICAL SCRIPT CAPITAL O
    "\u1D4AB",  # MATHEMATICAL SCRIPT CAPITAL P
    "\u1D4AC",  # MATHEMATICAL SCRIPT CAPITAL Q
    "\u1D4AD",  # <reserved>
    "\u1D4AE",  # MATHEMATICAL SCRIPT CAPITAL S
    "\u1D4AF",  # MATHEMATICAL SCRIPT CAPITAL T
    "\u1D4B0",  # MATHEMATICAL SCRIPT CAPITAL U
    "\u1D4B1",  # MATHEMATICAL SCRIPT CAPITAL V
    "\u1D4B2",  # MATHEMATICAL SCRIPT CAPITAL W
    "\u1D4B3",  # MATHEMATICAL SCRIPT CAPITAL X
    "\u1D4B4",  # MATHEMATICAL SCRIPT CAPITAL Y
    "\u1D4B5",  # MATHEMATICAL SCRIPT CAPITAL Z
    "\u1D4B6",  # MATHEMATICAL SCRIPT SMALL A
    "\u1D4B7",  # MATHEMATICAL SCRIPT SMALL B
    "\u1D4B8",  # MATHEMATICAL SCRIPT SMALL C
    "\u1D4B9",  # MATHEMATICAL SCRIPT SMALL D
    "\u1D4BA",  # <reserved>
    "\u1D4BB",  # MATHEMATICAL SCRIPT SMALL F
    "\u1D4BC",  # <reserved>
    "\u1D4BD",  # MATHEMATICAL SCRIPT SMALL H
    "\u1D4BE",  # MATHEMATICAL SCRIPT SMALL I
    "\u1D4BF",  # MATHEMATICAL SCRIPT SMALL J
    "\u1D4C0",  # MATHEMATICAL SCRIPT SMALL K
    "\u1D4C1",  # MATHEMATICAL SCRIPT SMALL L
    "\u1D4C2",  # MATHEMATICAL SCRIPT SMALL M
    "\u1D4C3",  # MATHEMATICAL SCRIPT SMALL N
    "\u1D4C4",  # <reserved>
    "\u1D4C5",  # MATHEMATICAL SCRIPT SMALL P
    "\u1D4C6",  # MATHEMATICAL SCRIPT SMALL Q
    "\u1D4C7",  # MATHEMATICAL SCRIPT SMALL R
    "\u1D4C8",  # MATHEMATICAL SCRIPT SMALL S
    "\u1D4C9",  # MATHEMATICAL SCRIPT SMALL T
    "\u1D4CA",  # MATHEMATICAL SCRIPT SMALL U
    "\u1D4CB",  # MATHEMATICAL SCRIPT SMALL V
    "\u1D4CC",  # MATHEMATICAL SCRIPT SMALL W
    "\u1D4CD",  # MATHEMATICAL SCRIPT SMALL X
    "\u1D4CE",  # MATHEMATICAL SCRIPT SMALL Y
    "\u1D4CF",  # MATHEMATICAL SCRIPT SMALL Z
    "\u1D4D0",  # MATHEMATICAL BOLD SCRIPT CAPITAL A
    "\u1D4D1",  # MATHEMATICAL BOLD SCRIPT CAPITAL B
    "\u1D4D2",  # MATHEMATICAL BOLD SCRIPT CAPITAL C
    "\u1D4D3",  # MATHEMATICAL BOLD SCRIPT CAPITAL D
    "\u1D4D4",  # MATHEMATICAL BOLD SCRIPT CAPITAL E
    "\u1D4D5",  # MATHEMATICAL BOLD SCRIPT CAPITAL F
    "\u1D4D6",  # MATHEMATICAL BOLD SCRIPT CAPITAL G
    "\u1D4D7",  # MATHEMATICAL BOLD SCRIPT CAPITAL H
    "\u1D4D8",  # MATHEMATICAL BOLD SCRIPT CAPITAL I
    "\u1D4D9",  # MATHEMATICAL BOLD SCRIPT CAPITAL J
    "\u1D4DA",  # MATHEMATICAL BOLD SCRIPT CAPITAL K
    "\u1D4DB",  # MATHEMATICAL BOLD SCRIPT CAPITAL L
    "\u1D4DC",  # MATHEMATICAL BOLD SCRIPT CAPITAL M
    "\u1D4DD",  # MATHEMATICAL BOLD SCRIPT CAPITAL N
    "\u1D4DE",  # MATHEMATICAL BOLD SCRIPT CAPITAL O
    "\u1D4DF",  # MATHEMATICAL BOLD SCRIPT CAPITAL P
    "\u1D4E0",  # MATHEMATICAL BOLD SCRIPT CAPITAL Q
    "\u1D4E1",  # MATHEMATICAL BOLD SCRIPT CAPITAL R
    "\u1D4E2",  # MATHEMATICAL BOLD SCRIPT CAPITAL S
    "\u1D4E3",  # MATHEMATICAL BOLD SCRIPT CAPITAL T
    "\u1D4E4",  # MATHEMATICAL BOLD SCRIPT CAPITAL U
    "\u1D4E5",  # MATHEMATICAL BOLD SCRIPT CAPITAL V
    "\u1D4E6",  # MATHEMATICAL BOLD SCRIPT CAPITAL W
    "\u1D4E7",  # MATHEMATICAL BOLD SCRIPT CAPITAL X
    "\u1D4E8",  # MATHEMATICAL BOLD SCRIPT CAPITAL Y
    "\u1D4E9",  # MATHEMATICAL BOLD SCRIPT CAPITAL Z
    "\u1D4EA",  # MATHEMATICAL BOLD SCRIPT SMALL A
    "\u1D4EB",  # MATHEMATICAL BOLD SCRIPT SMALL B
    "\u1D4EC",  # MATHEMATICAL BOLD SCRIPT SMALL C
    "\u1D4ED",  # MATHEMATICAL BOLD SCRIPT SMALL D
    "\u1D4EE",  # MATHEMATICAL BOLD SCRIPT SMALL E
    "\u1D4EF",  # MATHEMATICAL BOLD SCRIPT SMALL F
    "\u1D4F0",  # MATHEMATICAL BOLD SCRIPT SMALL G
    "\u1D4F1",  # MATHEMATICAL BOLD SCRIPT SMALL H
    "\u1D4F2",  # MATHEMATICAL BOLD SCRIPT SMALL I
    "\u1D4F3",  # MATHEMATICAL BOLD SCRIPT SMALL J
    "\u1D4F4",  # MATHEMATICAL BOLD SCRIPT SMALL K
    "\u1D4F5",  # MATHEMATICAL BOLD SCRIPT SMALL L
    "\u1D4F6",  # MATHEMATICAL BOLD SCRIPT SMALL M
    "\u1D4F7",  # MATHEMATICAL BOLD SCRIPT SMALL N
    "\u1D4F8",  # MATHEMATICAL BOLD SCRIPT SMALL O
    "\u1D4F9",  # MATHEMATICAL BOLD SCRIPT SMALL P
    "\u1D4FA",  # MATHEMATICAL BOLD SCRIPT SMALL Q
    "\u1D4FB",  # MATHEMATICAL BOLD SCRIPT SMALL R
    "\u1D4FC",  # MATHEMATICAL BOLD SCRIPT SMALL S
    "\u1D4FD",  # MATHEMATICAL BOLD SCRIPT SMALL T
    "\u1D4FE",  # MATHEMATICAL BOLD SCRIPT SMALL U
    "\u1D4FF",  # MATHEMATICAL BOLD SCRIPT SMALL V
    "\u1D500",  # MATHEMATICAL BOLD SCRIPT SMALL W
    "\u1D501",  # MATHEMATICAL BOLD SCRIPT SMALL X
    "\u1D502",  # MATHEMATICAL BOLD SCRIPT SMALL Y
    "\u1D503",  # MATHEMATICAL BOLD SCRIPT SMALL Z
    "\u1D504",  # MATHEMATICAL FRAKTUR CAPITAL A
    "\u1D505",  # MATHEMATICAL FRAKTUR CAPITAL B
    "\u1D506",  # <reserved>
    "\u1D507",  # MATHEMATICAL FRAKTUR CAPITAL D
    "\u1D508",  # MATHEMATICAL FRAKTUR CAPITAL E
    "\u1D509",  # MATHEMATICAL FRAKTUR CAPITAL F
    "\u1D50A",  # MATHEMATICAL FRAKTUR CAPITAL G
    "\u1D50B",  # <reserved>
    "\u1D50C",  # <reserved>
    "\u1D50D",  # MATHEMATICAL FRAKTUR CAPITAL J
    "\u1D50E",  # MATHEMATICAL FRAKTUR CAPITAL K
    "\u1D50F",  # MATHEMATICAL FRAKTUR CAPITAL L
    "\u1D510",  # MATHEMATICAL FRAKTUR CAPITAL M
    "\u1D511",  # MATHEMATICAL FRAKTUR CAPITAL N
    "\u1D512",  # MATHEMATICAL FRAKTUR CAPITAL O
    "\u1D513",  # MATHEMATICAL FRAKTUR CAPITAL P
    "\u1D514",  # MATHEMATICAL FRAKTUR CAPITAL Q
    "\u1D515",  # <reserved>
    "\u1D516",  # MATHEMATICAL FRAKTUR CAPITAL S
    "\u1D517",  # MATHEMATICAL FRAKTUR CAPITAL T
    "\u1D518",  # MATHEMATICAL FRAKTUR CAPITAL U
    "\u1D519",  # MATHEMATICAL FRAKTUR CAPITAL V
    "\u1D51A",  # MATHEMATICAL FRAKTUR CAPITAL W
    "\u1D51B",  # MATHEMATICAL FRAKTUR CAPITAL X
    "\u1D51C",  # MATHEMATICAL FRAKTUR CAPITAL Y
    "\u1D51D",  # <reserved>
    "\u1D51E",  # MATHEMATICAL FRAKTUR SMALL A
    "\u1D51F",  # MATHEMATICAL FRAKTUR SMALL B
    "\u1D520",  # MATHEMATICAL FRAKTUR SMALL C
    "\u1D521",  # MATHEMATICAL FRAKTUR SMALL D
    "\u1D522",  # MATHEMATICAL FRAKTUR SMALL E
    "\u1D523",  # MATHEMATICAL FRAKTUR SMALL F
    "\u1D524",  # MATHEMATICAL FRAKTUR SMALL G
    "\u1D525",  # MATHEMATICAL FRAKTUR SMALL H
    "\u1D526",  # MATHEMATICAL FRAKTUR SMALL I
    "\u1D527",  # MATHEMATICAL FRAKTUR SMALL J
    "\u1D528",  # MATHEMATICAL FRAKTUR SMALL K
    "\u1D529",  # MATHEMATICAL FRAKTUR SMALL L
    "\u1D52A",  # MATHEMATICAL FRAKTUR SMALL M
    "\u1D52B",  # MATHEMATICAL FRAKTUR SMALL N
    "\u1D52C",  # MATHEMATICAL FRAKTUR SMALL O
    "\u1D52D",  # MATHEMATICAL FRAKTUR SMALL P
    "\u1D52E",  # MATHEMATICAL FRAKTUR SMALL Q
    "\u1D52F",  # MATHEMATICAL FRAKTUR SMALL R
    "\u1D530",  # MATHEMATICAL FRAKTUR SMALL S
    "\u1D531",  # MATHEMATICAL FRAKTUR SMALL T
    "\u1D532",  # MATHEMATICAL FRAKTUR SMALL U
    "\u1D533",  # MATHEMATICAL FRAKTUR SMALL V
    "\u1D534",  # MATHEMATICAL FRAKTUR SMALL W
    "\u1D535",  # MATHEMATICAL FRAKTUR SMALL X
    "\u1D536",  # MATHEMATICAL FRAKTUR SMALL Y
    "\u1D537",  # MATHEMATICAL FRAKTUR SMALL Z
    "\u1D538",  # MATHEMATICAL DOUBLE-STRUCK CAPITAL A
    "\u1D539",  # MATHEMATICAL DOUBLE-STRUCK CAPITAL B
    "\u1D53A",  # <reserved>
    "\u1D53B",  # MATHEMATICAL DOUBLE-STRUCK CAPITAL D
    "\u1D53C",  # MATHEMATICAL DOUBLE-STRUCK CAPITAL E
    "\u1D53D",  # MATHEMATICAL DOUBLE-STRUCK CAPITAL F
    "\u1D53E",  # MATHEMATICAL DOUBLE-STRUCK CAPITAL G
    "\u1D53F",  # <reserved>
    "\u1D540",  # MATHEMATICAL DOUBLE-STRUCK CAPITAL I
    "\u1D541",  # MATHEMATICAL DOUBLE-STRUCK CAPITAL J
    "\u1D542",  # MATHEMATICAL DOUBLE-STRUCK CAPITAL K
    "\u1D543",  # MATHEMATICAL DOUBLE-STRUCK CAPITAL L
    "\u1D544",  # MATHEMATICAL DOUBLE-STRUCK CAPITAL M
    "\u1D545",  # <reserved>
    "\u1D546",  # MATHEMATICAL DOUBLE-STRUCK CAPITAL O
    "\u1D547",  # <reserved>
    "\u1D548",  # <reserved>
    "\u1D549",  # <reserved>
    "\u1D54A",  # MATHEMATICAL DOUBLE-STRUCK CAPITAL S
    "\u1D54B",  # MATHEMATICAL DOUBLE-STRUCK CAPITAL T
    "\u1D54C",  # MATHEMATICAL DOUBLE-STRUCK CAPITAL U
    "\u1D54D",  # MATHEMATICAL DOUBLE-STRUCK CAPITAL V
    "\u1D54E",  # MATHEMATICAL DOUBLE-STRUCK CAPITAL W
    "\u1D54F",  # MATHEMATICAL DOUBLE-STRUCK CAPITAL X
    "\u1D550",  # MATHEMATICAL DOUBLE-STRUCK CAPITAL Y
    "\u1D551",  # <reserved>
    "\u1D552",  # MATHEMATICAL DOUBLE-STRUCK SMALL A
    "\u1D553",  # MATHEMATICAL DOUBLE-STRUCK SMALL B
    "\u1D554",  # MATHEMATICAL DOUBLE-STRUCK SMALL C
    "\u1D555",  # MATHEMATICAL DOUBLE-STRUCK SMALL D
    "\u1D556",  # MATHEMATICAL DOUBLE-STRUCK SMALL E
    "\u1D557",  # MATHEMATICAL DOUBLE-STRUCK SMALL F
    "\u1D558",  # MATHEMATICAL DOUBLE-STRUCK SMALL G
    "\u1D559",  # MATHEMATICAL DOUBLE-STRUCK SMALL H
    "\u1D55A",  # MATHEMATICAL DOUBLE-STRUCK SMALL I
    "\u1D55B",  # MATHEMATICAL DOUBLE-STRUCK SMALL J
    "\u1D55C",  # MATHEMATICAL DOUBLE-STRUCK SMALL K
    "\u1D55D",  # MATHEMATICAL DOUBLE-STRUCK SMALL L
    "\u1D55E",  # MATHEMATICAL DOUBLE-STRUCK SMALL M
    "\u1D55F",  # MATHEMATICAL DOUBLE-STRUCK SMALL N
    "\u1D560",  # MATHEMATICAL DOUBLE-STRUCK SMALL O
    "\u1D561",  # MATHEMATICAL DOUBLE-STRUCK SMALL P
    "\u1D562",  # MATHEMATICAL DOUBLE-STRUCK SMALL Q
    "\u1D563",  # MATHEMATICAL DOUBLE-STRUCK SMALL R
    "\u1D564",  # MATHEMATICAL DOUBLE-STRUCK SMALL S
    "\u1D565",  # MATHEMATICAL DOUBLE-STRUCK SMALL T
    "\u1D566",  # MATHEMATICAL DOUBLE-STRUCK SMALL U
    "\u1D567",  # MATHEMATICAL DOUBLE-STRUCK SMALL V
    "\u1D568",  # MATHEMATICAL DOUBLE-STRUCK SMALL W
    "\u1D569",  # MATHEMATICAL DOUBLE-STRUCK SMALL X
    "\u1D56A",  # MATHEMATICAL DOUBLE-STRUCK SMALL Y
    "\u1D56B",  # MATHEMATICAL DOUBLE-STRUCK SMALL Z
    "\u1D56C",  # MATHEMATICAL BOLD FRAKTUR CAPITAL A
    "\u1D56D",  # MATHEMATICAL BOLD FRAKTUR CAPITAL B
    "\u1D56E",  # MATHEMATICAL BOLD FRAKTUR CAPITAL C
    "\u1D56F",  # MATHEMATICAL BOLD FRAKTUR CAPITAL D
    "\u1D570",  # MATHEMATICAL BOLD FRAKTUR CAPITAL E
    "\u1D571",  # MATHEMATICAL BOLD FRAKTUR CAPITAL F
    "\u1D572",  # MATHEMATICAL BOLD FRAKTUR CAPITAL G
    "\u1D573",  # MATHEMATICAL BOLD FRAKTUR CAPITAL H
    "\u1D574",  # MATHEMATICAL BOLD FRAKTUR CAPITAL I
    "\u1D575",  # MATHEMATICAL BOLD FRAKTUR CAPITAL J
    "\u1D576",  # MATHEMATICAL BOLD FRAKTUR CAPITAL K
    "\u1D577",  # MATHEMATICAL BOLD FRAKTUR CAPITAL L
    "\u1D578",  # MATHEMATICAL BOLD FRAKTUR CAPITAL M
    "\u1D579",  # MATHEMATICAL BOLD FRAKTUR CAPITAL N
    "\u1D57A",  # MATHEMATICAL BOLD FRAKTUR CAPITAL O
    "\u1D57B",  # MATHEMATICAL BOLD FRAKTUR CAPITAL P
    "\u1D57C",  # MATHEMATICAL BOLD FRAKTUR CAPITAL Q
    "\u1D57D",  # MATHEMATICAL BOLD FRAKTUR CAPITAL R
    "\u1D57E",  # MATHEMATICAL BOLD FRAKTUR CAPITAL S
    "\u1D57F",  # MATHEMATICAL BOLD FRAKTUR CAPITAL T
    "\u1D580",  # MATHEMATICAL BOLD FRAKTUR CAPITAL U
    "\u1D581",  # MATHEMATICAL BOLD FRAKTUR CAPITAL V
    "\u1D582",  # MATHEMATICAL BOLD FRAKTUR CAPITAL W
    "\u1D583",  # MATHEMATICAL BOLD FRAKTUR CAPITAL X
    "\u1D584",  # MATHEMATICAL BOLD FRAKTUR CAPITAL Y
    "\u1D585",  # MATHEMATICAL BOLD FRAKTUR CAPITAL Z
    "\u1D586",  # MATHEMATICAL BOLD FRAKTUR SMALL A
    "\u1D587",  # MATHEMATICAL BOLD FRAKTUR SMALL B
    "\u1D588",  # MATHEMATICAL BOLD FRAKTUR SMALL C
    "\u1D589",  # MATHEMATICAL BOLD FRAKTUR SMALL D
    "\u1D58A",  # MATHEMATICAL BOLD FRAKTUR SMALL E
    "\u1D58B",  # MATHEMATICAL BOLD FRAKTUR SMALL F
    "\u1D58C",  # MATHEMATICAL BOLD FRAKTUR SMALL G
    "\u1D58D",  # MATHEMATICAL BOLD FRAKTUR SMALL H
    "\u1D58E",  # MATHEMATICAL BOLD FRAKTUR SMALL I
    "\u1D58F",  # MATHEMATICAL BOLD FRAKTUR SMALL J
    "\u1D590",  # MATHEMATICAL BOLD FRAKTUR SMALL K
    "\u1D591",  # MATHEMATICAL BOLD FRAKTUR SMALL L
    "\u1D592",  # MATHEMATICAL BOLD FRAKTUR SMALL M
    "\u1D593",  # MATHEMATICAL BOLD FRAKTUR SMALL N
    "\u1D594",  # MATHEMATICAL BOLD FRAKTUR SMALL O
    "\u1D595",  # MATHEMATICAL BOLD FRAKTUR SMALL P
    "\u1D596",  # MATHEMATICAL BOLD FRAKTUR SMALL Q
    "\u1D597",  # MATHEMATICAL BOLD FRAKTUR SMALL R
    "\u1D598",  # MATHEMATICAL BOLD FRAKTUR SMALL S
    "\u1D599",  # MATHEMATICAL BOLD FRAKTUR SMALL T
    "\u1D59A",  # MATHEMATICAL BOLD FRAKTUR SMALL U
    "\u1D59B",  # MATHEMATICAL BOLD FRAKTUR SMALL V
    "\u1D59C",  # MATHEMATICAL BOLD FRAKTUR SMALL W
    "\u1D59D",  # MATHEMATICAL BOLD FRAKTUR SMALL X
    "\u1D59E",  # MATHEMATICAL BOLD FRAKTUR SMALL Y
    "\u1D59F",  # MATHEMATICAL BOLD FRAKTUR SMALL Z
    "\u1D5A0",  # MATHEMATICAL SANS-SERIF CAPITAL A
    "\u1D5A1",  # MATHEMATICAL SANS-SERIF CAPITAL B
    "\u1D5A2",  # MATHEMATICAL SANS-SERIF CAPITAL C
    "\u1D5A3",  # MATHEMATICAL SANS-SERIF CAPITAL D
    "\u1D5A4",  # MATHEMATICAL SANS-SERIF CAPITAL E
    "\u1D5A5",  # MATHEMATICAL SANS-SERIF CAPITAL F
    "\u1D5A6",  # MATHEMATICAL SANS-SERIF CAPITAL G
    "\u1D5A7",  # MATHEMATICAL SANS-SERIF CAPITAL H
    "\u1D5A8",  # MATHEMATICAL SANS-SERIF CAPITAL I
    "\u1D5A9",  # MATHEMATICAL SANS-SERIF CAPITAL J
    "\u1D5AA",  # MATHEMATICAL SANS-SERIF CAPITAL K
    "\u1D5AB",  # MATHEMATICAL SANS-SERIF CAPITAL L
    "\u1D5AC",  # MATHEMATICAL SANS-SERIF CAPITAL M
    "\u1D5AD",  # MATHEMATICAL SANS-SERIF CAPITAL N
    "\u1D5AE",  # MATHEMATICAL SANS-SERIF CAPITAL O
    "\u1D5AF",  # MATHEMATICAL SANS-SERIF CAPITAL P
    "\u1D5B0",  # MATHEMATICAL SANS-SERIF CAPITAL Q
    "\u1D5B1",  # MATHEMATICAL SANS-SERIF CAPITAL R
    "\u1D5B2",  # MATHEMATICAL SANS-SERIF CAPITAL S
    "\u1D5B3",  # MATHEMATICAL SANS-SERIF CAPITAL T
    "\u1D5B4",  # MATHEMATICAL SANS-SERIF CAPITAL U
    "\u1D5B5",  # MATHEMATICAL SANS-SERIF CAPITAL V
    "\u1D5B6",  # MATHEMATICAL SANS-SERIF CAPITAL W
    "\u1D5B7",  # MATHEMATICAL SANS-SERIF CAPITAL X
    "\u1D5B8",  # MATHEMATICAL SANS-SERIF CAPITAL Y
    "\u1D5B9",  # MATHEMATICAL SANS-SERIF CAPITAL Z
    "\u1D5BA",  # MATHEMATICAL SANS-SERIF SMALL A
    "\u1D5BB",  # MATHEMATICAL SANS-SERIF SMALL B
    "\u1D5BC",  # MATHEMATICAL SANS-SERIF SMALL C
    "\u1D5BD",  # MATHEMATICAL SANS-SERIF SMALL D
    "\u1D5BE",  # MATHEMATICAL SANS-SERIF SMALL E
    "\u1D5BF",  # MATHEMATICAL SANS-SERIF SMALL F
    "\u1D5C0",  # MATHEMATICAL SANS-SERIF SMALL G
    "\u1D5C1",  # MATHEMATICAL SANS-SERIF SMALL H
    "\u1D5C2",  # MATHEMATICAL SANS-SERIF SMALL I
    "\u1D5C3",  # MATHEMATICAL SANS-SERIF SMALL J
    "\u1D5C4",  # MATHEMATICAL SANS-SERIF SMALL K
    "\u1D5C5",  # MATHEMATICAL SANS-SERIF SMALL L
    "\u1D5C6",  # MATHEMATICAL SANS-SERIF SMALL M
    "\u1D5C7",  # MATHEMATICAL SANS-SERIF SMALL N
    "\u1D5C8",  # MATHEMATICAL SANS-SERIF SMALL O
    "\u1D5C9",  # MATHEMATICAL SANS-SERIF SMALL P
    "\u1D5CA",  # MATHEMATICAL SANS-SERIF SMALL Q
    "\u1D5CB",  # MATHEMATICAL SANS-SERIF SMALL R
    "\u1D5CC",  # MATHEMATICAL SANS-SERIF SMALL S
    "\u1D5CD",  # MATHEMATICAL SANS-SERIF SMALL T
    "\u1D5CE",  # MATHEMATICAL SANS-SERIF SMALL U
    "\u1D5CF",  # MATHEMATICAL SANS-SERIF SMALL V
    "\u1D5D0",  # MATHEMATICAL SANS-SERIF SMALL W
    "\u1D5D1",  # MATHEMATICAL SANS-SERIF SMALL X
    "\u1D5D2",  # MATHEMATICAL SANS-SERIF SMALL Y
    "\u1D5D3",  # MATHEMATICAL SANS-SERIF SMALL Z
    "\u1D5D4",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL A
    "\u1D5D5",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL B
    "\u1D5D6",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL C
    "\u1D5D7",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL D
    "\u1D5D8",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL E
    "\u1D5D9",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL F
    "\u1D5DA",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL G
    "\u1D5DB",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL H
    "\u1D5DC",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL I
    "\u1D5DD",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL J
    "\u1D5DE",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL K
    "\u1D5DF",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL L
    "\u1D5E0",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL M
    "\u1D5E1",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL N
    "\u1D5E2",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL O
    "\u1D5E3",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL P
    "\u1D5E4",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL Q
    "\u1D5E5",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL R
    "\u1D5E6",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL S
    "\u1D5E7",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL T
    "\u1D5E8",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL U
    "\u1D5E9",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL V
    "\u1D5EA",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL W
    "\u1D5EB",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL X
    "\u1D5EC",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL Y
    "\u1D5ED",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL Z
    "\u1D5EE",  # MATHEMATICAL SANS-SERIF BOLD SMALL A
    "\u1D5EF",  # MATHEMATICAL SANS-SERIF BOLD SMALL B
    "\u1D5F0",  # MATHEMATICAL SANS-SERIF BOLD SMALL C
    "\u1D5F1",  # MATHEMATICAL SANS-SERIF BOLD SMALL D
    "\u1D5F2",  # MATHEMATICAL SANS-SERIF BOLD SMALL E
    "\u1D5F3",  # MATHEMATICAL SANS-SERIF BOLD SMALL F
    "\u1D5F4",  # MATHEMATICAL SANS-SERIF BOLD SMALL G
    "\u1D5F5",  # MATHEMATICAL SANS-SERIF BOLD SMALL H
    "\u1D5F6",  # MATHEMATICAL SANS-SERIF BOLD SMALL I
    "\u1D5F7",  # MATHEMATICAL SANS-SERIF BOLD SMALL J
    "\u1D5F8",  # MATHEMATICAL SANS-SERIF BOLD SMALL K
    "\u1D5F9",  # MATHEMATICAL SANS-SERIF BOLD SMALL L
    "\u1D5FA",  # MATHEMATICAL SANS-SERIF BOLD SMALL M
    "\u1D5FB",  # MATHEMATICAL SANS-SERIF BOLD SMALL N
    "\u1D5FC",  # MATHEMATICAL SANS-SERIF BOLD SMALL O
    "\u1D5FD",  # MATHEMATICAL SANS-SERIF BOLD SMALL P
    "\u1D5FE",  # MATHEMATICAL SANS-SERIF BOLD SMALL Q
    "\u1D5FF",  # MATHEMATICAL SANS-SERIF BOLD SMALL R
    "\u1D600",  # MATHEMATICAL SANS-SERIF BOLD SMALL S
    "\u1D601",  # MATHEMATICAL SANS-SERIF BOLD SMALL T
    "\u1D602",  # MATHEMATICAL SANS-SERIF BOLD SMALL U
    "\u1D603",  # MATHEMATICAL SANS-SERIF BOLD SMALL V
    "\u1D604",  # MATHEMATICAL SANS-SERIF BOLD SMALL W
    "\u1D605",  # MATHEMATICAL SANS-SERIF BOLD SMALL X
    "\u1D606",  # MATHEMATICAL SANS-SERIF BOLD SMALL Y
    "\u1D607",  # MATHEMATICAL SANS-SERIF BOLD SMALL Z
    "\u1D608",  # MATHEMATICAL SANS-SERIF ITALIC CAPITAL A
    "\u1D609",  # MATHEMATICAL SANS-SERIF ITALIC CAPITAL B
    "\u1D60A",  # MATHEMATICAL SANS-SERIF ITALIC CAPITAL C
    "\u1D60B",  # MATHEMATICAL SANS-SERIF ITALIC CAPITAL D
    "\u1D60C",  # MATHEMATICAL SANS-SERIF ITALIC CAPITAL E
    "\u1D60D",  # MATHEMATICAL SANS-SERIF ITALIC CAPITAL F
    "\u1D60E",  # MATHEMATICAL SANS-SERIF ITALIC CAPITAL G
    "\u1D60F",  # MATHEMATICAL SANS-SERIF ITALIC CAPITAL H
    "\u1D610",  # MATHEMATICAL SANS-SERIF ITALIC CAPITAL I
    "\u1D611",  # MATHEMATICAL SANS-SERIF ITALIC CAPITAL J
    "\u1D612",  # MATHEMATICAL SANS-SERIF ITALIC CAPITAL K
    "\u1D613",  # MATHEMATICAL SANS-SERIF ITALIC CAPITAL L
    "\u1D614",  # MATHEMATICAL SANS-SERIF ITALIC CAPITAL M
    "\u1D615",  # MATHEMATICAL SANS-SERIF ITALIC CAPITAL N
    "\u1D616",  # MATHEMATICAL SANS-SERIF ITALIC CAPITAL O
    "\u1D617",  # MATHEMATICAL SANS-SERIF ITALIC CAPITAL P
    "\u1D618",  # MATHEMATICAL SANS-SERIF ITALIC CAPITAL Q
    "\u1D619",  # MATHEMATICAL SANS-SERIF ITALIC CAPITAL R
    "\u1D61A",  # MATHEMATICAL SANS-SERIF ITALIC CAPITAL S
    "\u1D61B",  # MATHEMATICAL SANS-SERIF ITALIC CAPITAL T
    "\u1D61C",  # MATHEMATICAL SANS-SERIF ITALIC CAPITAL U
    "\u1D61D",  # MATHEMATICAL SANS-SERIF ITALIC CAPITAL V
    "\u1D61E",  # MATHEMATICAL SANS-SERIF ITALIC CAPITAL W
    "\u1D61F",  # MATHEMATICAL SANS-SERIF ITALIC CAPITAL X
    "\u1D620",  # MATHEMATICAL SANS-SERIF ITALIC CAPITAL Y
    "\u1D621",  # MATHEMATICAL SANS-SERIF ITALIC CAPITAL Z
    "\u1D622",  # MATHEMATICAL SANS-SERIF ITALIC SMALL A
    "\u1D623",  # MATHEMATICAL SANS-SERIF ITALIC SMALL B
    "\u1D624",  # MATHEMATICAL SANS-SERIF ITALIC SMALL C
    "\u1D625",  # MATHEMATICAL SANS-SERIF ITALIC SMALL D
    "\u1D626",  # MATHEMATICAL SANS-SERIF ITALIC SMALL E
    "\u1D627",  # MATHEMATICAL SANS-SERIF ITALIC SMALL F
    "\u1D628",  # MATHEMATICAL SANS-SERIF ITALIC SMALL G
    "\u1D629",  # MATHEMATICAL SANS-SERIF ITALIC SMALL H
    "\u1D62A",  # MATHEMATICAL SANS-SERIF ITALIC SMALL I
    "\u1D62B",  # MATHEMATICAL SANS-SERIF ITALIC SMALL J
    "\u1D62C",  # MATHEMATICAL SANS-SERIF ITALIC SMALL K
    "\u1D62D",  # MATHEMATICAL SANS-SERIF ITALIC SMALL L
    "\u1D62E",  # MATHEMATICAL SANS-SERIF ITALIC SMALL M
    "\u1D62F",  # MATHEMATICAL SANS-SERIF ITALIC SMALL N
    "\u1D630",  # MATHEMATICAL SANS-SERIF ITALIC SMALL O
    "\u1D631",  # MATHEMATICAL SANS-SERIF ITALIC SMALL P
    "\u1D632",  # MATHEMATICAL SANS-SERIF ITALIC SMALL Q
    "\u1D633",  # MATHEMATICAL SANS-SERIF ITALIC SMALL R
    "\u1D634",  # MATHEMATICAL SANS-SERIF ITALIC SMALL S
    "\u1D635",  # MATHEMATICAL SANS-SERIF ITALIC SMALL T
    "\u1D636",  # MATHEMATICAL SANS-SERIF ITALIC SMALL U
    "\u1D637",  # MATHEMATICAL SANS-SERIF ITALIC SMALL V
    "\u1D638",  # MATHEMATICAL SANS-SERIF ITALIC SMALL W
    "\u1D639",  # MATHEMATICAL SANS-SERIF ITALIC SMALL X
    "\u1D63A",  # MATHEMATICAL SANS-SERIF ITALIC SMALL Y
    "\u1D63B",  # MATHEMATICAL SANS-SERIF ITALIC SMALL Z
    "\u1D63C",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL A
    "\u1D63D",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL B
    "\u1D63E",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL C
    "\u1D63F",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL D
    "\u1D640",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL E
    "\u1D641",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL F
    "\u1D642",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL G
    "\u1D643",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL H
    "\u1D644",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL I
    "\u1D645",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL J
    "\u1D646",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL K
    "\u1D647",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL L
    "\u1D648",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL M
    "\u1D649",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL N
    "\u1D64A",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL O
    "\u1D64B",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL P
    "\u1D64C",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL Q
    "\u1D64D",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL R
    "\u1D64E",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL S
    "\u1D64F",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL T
    "\u1D650",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL U
    "\u1D651",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL V
    "\u1D652",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL W
    "\u1D653",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL X
    "\u1D654",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL Y
    "\u1D655",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL Z
    "\u1D656",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL A
    "\u1D657",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL B
    "\u1D658",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL C
    "\u1D659",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL D
    "\u1D65A",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL E
    "\u1D65B",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL F
    "\u1D65C",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL G
    "\u1D65D",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL H
    "\u1D65E",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL I
    "\u1D65F",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL J
    "\u1D660",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL K
    "\u1D661",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL L
    "\u1D662",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL M
    "\u1D663",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL N
    "\u1D664",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL O
    "\u1D665",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL P
    "\u1D666",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL Q
    "\u1D667",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL R
    "\u1D668",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL S
    "\u1D669",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL T
    "\u1D66A",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL U
    "\u1D66B",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL V
    "\u1D66C",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL W
    "\u1D66D",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL X
    "\u1D66E",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL Y
    "\u1D66F",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL Z
    "\u1D670",  # MATHEMATICAL MONOSPACE CAPITAL A
    "\u1D671",  # MATHEMATICAL MONOSPACE CAPITAL B
    "\u1D672",  # MATHEMATICAL MONOSPACE CAPITAL C
    "\u1D673",  # MATHEMATICAL MONOSPACE CAPITAL D
    "\u1D674",  # MATHEMATICAL MONOSPACE CAPITAL E
    "\u1D675",  # MATHEMATICAL MONOSPACE CAPITAL F
    "\u1D676",  # MATHEMATICAL MONOSPACE CAPITAL G
    "\u1D677",  # MATHEMATICAL MONOSPACE CAPITAL H
    "\u1D678",  # MATHEMATICAL MONOSPACE CAPITAL I
    "\u1D679",  # MATHEMATICAL MONOSPACE CAPITAL J
    "\u1D67A",  # MATHEMATICAL MONOSPACE CAPITAL K
    "\u1D67B",  # MATHEMATICAL MONOSPACE CAPITAL L
    "\u1D67C",  # MATHEMATICAL MONOSPACE CAPITAL M
    "\u1D67D",  # MATHEMATICAL MONOSPACE CAPITAL N
    "\u1D67E",  # MATHEMATICAL MONOSPACE CAPITAL O
    "\u1D67F",  # MATHEMATICAL MONOSPACE CAPITAL P
    "\u1D680",  # MATHEMATICAL MONOSPACE CAPITAL Q
    "\u1D681",  # MATHEMATICAL MONOSPACE CAPITAL R
    "\u1D682",  # MATHEMATICAL MONOSPACE CAPITAL S
    "\u1D683",  # MATHEMATICAL MONOSPACE CAPITAL T
    "\u1D684",  # MATHEMATICAL MONOSPACE CAPITAL U
    "\u1D685",  # MATHEMATICAL MONOSPACE CAPITAL V
    "\u1D686",  # MATHEMATICAL MONOSPACE CAPITAL W
    "\u1D687",  # MATHEMATICAL MONOSPACE CAPITAL X
    "\u1D688",  # MATHEMATICAL MONOSPACE CAPITAL Y
    "\u1D689",  # MATHEMATICAL MONOSPACE CAPITAL Z
    "\u1D68A",  # MATHEMATICAL MONOSPACE SMALL A
    "\u1D68B",  # MATHEMATICAL MONOSPACE SMALL B
    "\u1D68C",  # MATHEMATICAL MONOSPACE SMALL C
    "\u1D68D",  # MATHEMATICAL MONOSPACE SMALL D
    "\u1D68E",  # MATHEMATICAL MONOSPACE SMALL E
    "\u1D68F",  # MATHEMATICAL MONOSPACE SMALL F
    "\u1D690",  # MATHEMATICAL MONOSPACE SMALL G
    "\u1D691",  # MATHEMATICAL MONOSPACE SMALL H
    "\u1D692",  # MATHEMATICAL MONOSPACE SMALL I
    "\u1D693",  # MATHEMATICAL MONOSPACE SMALL J
    "\u1D694",  # MATHEMATICAL MONOSPACE SMALL K
    "\u1D695",  # MATHEMATICAL MONOSPACE SMALL L
    "\u1D696",  # MATHEMATICAL MONOSPACE SMALL M
    "\u1D697",  # MATHEMATICAL MONOSPACE SMALL N
    "\u1D698",  # MATHEMATICAL MONOSPACE SMALL O
    "\u1D699",  # MATHEMATICAL MONOSPACE SMALL P
    "\u1D69A",  # MATHEMATICAL MONOSPACE SMALL Q
    "\u1D69B",  # MATHEMATICAL MONOSPACE SMALL R
    "\u1D69C",  # MATHEMATICAL MONOSPACE SMALL S
    "\u1D69D",  # MATHEMATICAL MONOSPACE SMALL T
    "\u1D69E",  # MATHEMATICAL MONOSPACE SMALL U
    "\u1D69F",  # MATHEMATICAL MONOSPACE SMALL V
    "\u1D6A0",  # MATHEMATICAL MONOSPACE SMALL W
    "\u1D6A1",  # MATHEMATICAL MONOSPACE SMALL X
    "\u1D6A2",  # MATHEMATICAL MONOSPACE SMALL Y
    "\u1D6A3",  # MATHEMATICAL MONOSPACE SMALL Z
    "\u1D6A4",  # MATHEMATICAL ITALIC SMALL DOTLESS I
    "\u1D6A5",  # MATHEMATICAL ITALIC SMALL DOTLESS J
    "\u1D6A8",  # MATHEMATICAL BOLD CAPITAL ALPHA
    "\u1D6A9",  # MATHEMATICAL BOLD CAPITAL BETA
    "\u1D6AA",  # MATHEMATICAL BOLD CAPITAL GAMMA
    "\u1D6AB",  # MATHEMATICAL BOLD CAPITAL DELTA
    "\u1D6AC",  # MATHEMATICAL BOLD CAPITAL EPSILON
    "\u1D6AD",  # MATHEMATICAL BOLD CAPITAL ZETA
    "\u1D6AE",  # MATHEMATICAL BOLD CAPITAL ETA
    "\u1D6AF",  # MATHEMATICAL BOLD CAPITAL THETA
    "\u1D6B0",  # MATHEMATICAL BOLD CAPITAL IOTA
    "\u1D6B1",  # MATHEMATICAL BOLD CAPITAL KAPPA
    "\u1D6B2",  # MATHEMATICAL BOLD CAPITAL LAMDA
    "\u1D6B3",  # MATHEMATICAL BOLD CAPITAL MU
    "\u1D6B4",  # MATHEMATICAL BOLD CAPITAL NU
    "\u1D6B5",  # MATHEMATICAL BOLD CAPITAL XI
    "\u1D6B6",  # MATHEMATICAL BOLD CAPITAL OMICRON
    "\u1D6B7",  # MATHEMATICAL BOLD CAPITAL PI
    "\u1D6B8",  # MATHEMATICAL BOLD CAPITAL RHO
    "\u1D6B9",  # MATHEMATICAL BOLD CAPITAL THETA SYMBOL
    "\u1D6BA",  # MATHEMATICAL BOLD CAPITAL SIGMA
    "\u1D6BB",  # MATHEMATICAL BOLD CAPITAL TAU
    "\u1D6BC",  # MATHEMATICAL BOLD CAPITAL UPSILON
    "\u1D6BD",  # MATHEMATICAL BOLD CAPITAL PHI
    "\u1D6BE",  # MATHEMATICAL BOLD CAPITAL CHI
    "\u1D6BF",  # MATHEMATICAL BOLD CAPITAL PSI
    "\u1D6C0",  # MATHEMATICAL BOLD CAPITAL OMEGA
    "\u1D6C1",  # MATHEMATICAL BOLD NABLA
    "\u1D6C2",  # MATHEMATICAL BOLD SMALL ALPHA
    "\u1D6C3",  # MATHEMATICAL BOLD SMALL BETA
    "\u1D6C4",  # MATHEMATICAL BOLD SMALL GAMMA
    "\u1D6C5",  # MATHEMATICAL BOLD SMALL DELTA
    "\u1D6C6",  # MATHEMATICAL BOLD SMALL EPSILON
    "\u1D6C7",  # MATHEMATICAL BOLD SMALL ZETA
    "\u1D6C8",  # MATHEMATICAL BOLD SMALL ETA
    "\u1D6C9",  # MATHEMATICAL BOLD SMALL THETA
    "\u1D6CA",  # MATHEMATICAL BOLD SMALL IOTA
    "\u1D6CB",  # MATHEMATICAL BOLD SMALL KAPPA
    "\u1D6CC",  # MATHEMATICAL BOLD SMALL LAMDA
    "\u1D6CD",  # MATHEMATICAL BOLD SMALL MU
    "\u1D6CE",  # MATHEMATICAL BOLD SMALL NU
    "\u1D6CF",  # MATHEMATICAL BOLD SMALL XI
    "\u1D6D0",  # MATHEMATICAL BOLD SMALL OMICRON
    "\u1D6D1",  # MATHEMATICAL BOLD SMALL PI
    "\u1D6D2",  # MATHEMATICAL BOLD SMALL RHO
    "\u1D6D3",  # MATHEMATICAL BOLD SMALL FINAL SIGMA
    "\u1D6D4",  # MATHEMATICAL BOLD SMALL SIGMA
    "\u1D6D5",  # MATHEMATICAL BOLD SMALL TAU
    "\u1D6D6",  # MATHEMATICAL BOLD SMALL UPSILON
    "\u1D6D7",  # MATHEMATICAL BOLD SMALL PHI
    "\u1D6D8",  # MATHEMATICAL BOLD SMALL CHI
    "\u1D6D9",  # MATHEMATICAL BOLD SMALL PSI
    "\u1D6DA",  # MATHEMATICAL BOLD SMALL OMEGA
    "\u1D6DB",  # MATHEMATICAL BOLD PARTIAL DIFFERENTIAL
    "\u1D6DC",  # MATHEMATICAL BOLD EPSILON SYMBOL
    "\u1D6DD",  # MATHEMATICAL BOLD THETA SYMBOL
    "\u1D6DE",  # MATHEMATICAL BOLD KAPPA SYMBOL
    "\u1D6DF",  # MATHEMATICAL BOLD PHI SYMBOL
    "\u1D6E0",  # MATHEMATICAL BOLD RHO SYMBOL
    "\u1D6E1",  # MATHEMATICAL BOLD PI SYMBOL
    "\u1D6E2",  # MATHEMATICAL ITALIC CAPITAL ALPHA
    "\u1D6E3",  # MATHEMATICAL ITALIC CAPITAL BETA
    "\u1D6E4",  # MATHEMATICAL ITALIC CAPITAL GAMMA
    "\u1D6E5",  # MATHEMATICAL ITALIC CAPITAL DELTA
    "\u1D6E6",  # MATHEMATICAL ITALIC CAPITAL EPSILON
    "\u1D6E7",  # MATHEMATICAL ITALIC CAPITAL ZETA
    "\u1D6E8",  # MATHEMATICAL ITALIC CAPITAL ETA
    "\u1D6E9",  # MATHEMATICAL ITALIC CAPITAL THETA
    "\u1D6EA",  # MATHEMATICAL ITALIC CAPITAL IOTA
    "\u1D6EB",  # MATHEMATICAL ITALIC CAPITAL KAPPA
    "\u1D6EC",  # MATHEMATICAL ITALIC CAPITAL LAMDA
    "\u1D6ED",  # MATHEMATICAL ITALIC CAPITAL MU
    "\u1D6EE",  # MATHEMATICAL ITALIC CAPITAL NU
    "\u1D6EF",  # MATHEMATICAL ITALIC CAPITAL XI
    "\u1D6F0",  # MATHEMATICAL ITALIC CAPITAL OMICRON
    "\u1D6F1",  # MATHEMATICAL ITALIC CAPITAL PI
    "\u1D6F2",  # MATHEMATICAL ITALIC CAPITAL RHO
    "\u1D6F3",  # MATHEMATICAL ITALIC CAPITAL THETA SYMBOL
    "\u1D6F4",  # MATHEMATICAL ITALIC CAPITAL SIGMA
    "\u1D6F5",  # MATHEMATICAL ITALIC CAPITAL TAU
    "\u1D6F6",  # MATHEMATICAL ITALIC CAPITAL UPSILON
    "\u1D6F7",  # MATHEMATICAL ITALIC CAPITAL PHI
    "\u1D6F8",  # MATHEMATICAL ITALIC CAPITAL CHI
    "\u1D6F9",  # MATHEMATICAL ITALIC CAPITAL PSI
    "\u1D6FA",  # MATHEMATICAL ITALIC CAPITAL OMEGA
    "\u1D6FB",  # MATHEMATICAL ITALIC NABLA
    "\u1D6FC",  # MATHEMATICAL ITALIC SMALL ALPHA
    "\u1D6FD",  # MATHEMATICAL ITALIC SMALL BETA
    "\u1D6FE",  # MATHEMATICAL ITALIC SMALL GAMMA
    "\u1D6FF",  # MATHEMATICAL ITALIC SMALL DELTA
    "\u1D700",  # MATHEMATICAL ITALIC SMALL EPSILON
    "\u1D701",  # MATHEMATICAL ITALIC SMALL ZETA
    "\u1D702",  # MATHEMATICAL ITALIC SMALL ETA
    "\u1D703",  # MATHEMATICAL ITALIC SMALL THETA
    "\u1D704",  # MATHEMATICAL ITALIC SMALL IOTA
    "\u1D705",  # MATHEMATICAL ITALIC SMALL KAPPA
    "\u1D706",  # MATHEMATICAL ITALIC SMALL LAMDA
    "\u1D707",  # MATHEMATICAL ITALIC SMALL MU
    "\u1D708",  # MATHEMATICAL ITALIC SMALL NU
    "\u1D709",  # MATHEMATICAL ITALIC SMALL XI
    "\u1D70A",  # MATHEMATICAL ITALIC SMALL OMICRON
    "\u1D70B",  # MATHEMATICAL ITALIC SMALL PI
    "\u1D70C",  # MATHEMATICAL ITALIC SMALL RHO
    "\u1D70D",  # MATHEMATICAL ITALIC SMALL FINAL SIGMA
    "\u1D70E",  # MATHEMATICAL ITALIC SMALL SIGMA
    "\u1D70F",  # MATHEMATICAL ITALIC SMALL TAU
    "\u1D710",  # MATHEMATICAL ITALIC SMALL UPSILON
    "\u1D711",  # MATHEMATICAL ITALIC SMALL PHI
    "\u1D712",  # MATHEMATICAL ITALIC SMALL CHI
    "\u1D713",  # MATHEMATICAL ITALIC SMALL PSI
    "\u1D714",  # MATHEMATICAL ITALIC SMALL OMEGA
    "\u1D715",  # MATHEMATICAL ITALIC PARTIAL DIFFERENTIAL
    "\u1D716",  # MATHEMATICAL ITALIC EPSILON SYMBOL
    "\u1D717",  # MATHEMATICAL ITALIC THETA SYMBOL
    "\u1D718",  # MATHEMATICAL ITALIC KAPPA SYMBOL
    "\u1D719",  # MATHEMATICAL ITALIC PHI SYMBOL
    "\u1D71A",  # MATHEMATICAL ITALIC RHO SYMBOL
    "\u1D71B",  # MATHEMATICAL ITALIC PI SYMBOL
    "\u1D71C",  # MATHEMATICAL BOLD ITALIC CAPITAL ALPHA
    "\u1D71D",  # MATHEMATICAL BOLD ITALIC CAPITAL BETA
    "\u1D71E",  # MATHEMATICAL BOLD ITALIC CAPITAL GAMMA
    "\u1D71F",  # MATHEMATICAL BOLD ITALIC CAPITAL DELTA
    "\u1D720",  # MATHEMATICAL BOLD ITALIC CAPITAL EPSILON
    "\u1D721",  # MATHEMATICAL BOLD ITALIC CAPITAL ZETA
    "\u1D722",  # MATHEMATICAL BOLD ITALIC CAPITAL ETA
    "\u1D723",  # MATHEMATICAL BOLD ITALIC CAPITAL THETA
    "\u1D724",  # MATHEMATICAL BOLD ITALIC CAPITAL IOTA
    "\u1D725",  # MATHEMATICAL BOLD ITALIC CAPITAL KAPPA
    "\u1D726",  # MATHEMATICAL BOLD ITALIC CAPITAL LAMDA
    "\u1D727",  # MATHEMATICAL BOLD ITALIC CAPITAL MU
    "\u1D728",  # MATHEMATICAL BOLD ITALIC CAPITAL NU
    "\u1D729",  # MATHEMATICAL BOLD ITALIC CAPITAL XI
    "\u1D72A",  # MATHEMATICAL BOLD ITALIC CAPITAL OMICRON
    "\u1D72B",  # MATHEMATICAL BOLD ITALIC CAPITAL PI
    "\u1D72C",  # MATHEMATICAL BOLD ITALIC CAPITAL RHO
    "\u1D72D",  # MATHEMATICAL BOLD ITALIC CAPITAL THETA SYMBOL
    "\u1D72E",  # MATHEMATICAL BOLD ITALIC CAPITAL SIGMA
    "\u1D72F",  # MATHEMATICAL BOLD ITALIC CAPITAL TAU
    "\u1D730",  # MATHEMATICAL BOLD ITALIC CAPITAL UPSILON
    "\u1D731",  # MATHEMATICAL BOLD ITALIC CAPITAL PHI
    "\u1D732",  # MATHEMATICAL BOLD ITALIC CAPITAL CHI
    "\u1D733",  # MATHEMATICAL BOLD ITALIC CAPITAL PSI
    "\u1D734",  # MATHEMATICAL BOLD ITALIC CAPITAL OMEGA
    "\u1D735",  # MATHEMATICAL BOLD ITALIC NABLA
    "\u1D736",  # MATHEMATICAL BOLD ITALIC SMALL ALPHA
    "\u1D737",  # MATHEMATICAL BOLD ITALIC SMALL BETA
    "\u1D738",  # MATHEMATICAL BOLD ITALIC SMALL GAMMA
    "\u1D739",  # MATHEMATICAL BOLD ITALIC SMALL DELTA
    "\u1D73A",  # MATHEMATICAL BOLD ITALIC SMALL EPSILON
    "\u1D73B",  # MATHEMATICAL BOLD ITALIC SMALL ZETA
    "\u1D73C",  # MATHEMATICAL BOLD ITALIC SMALL ETA
    "\u1D73D",  # MATHEMATICAL BOLD ITALIC SMALL THETA
    "\u1D73E",  # MATHEMATICAL BOLD ITALIC SMALL IOTA
    "\u1D73F",  # MATHEMATICAL BOLD ITALIC SMALL KAPPA
    "\u1D740",  # MATHEMATICAL BOLD ITALIC SMALL LAMDA
    "\u1D741",  # MATHEMATICAL BOLD ITALIC SMALL MU
    "\u1D742",  # MATHEMATICAL BOLD ITALIC SMALL NU
    "\u1D743",  # MATHEMATICAL BOLD ITALIC SMALL XI
    "\u1D744",  # MATHEMATICAL BOLD ITALIC SMALL OMICRON
    "\u1D745",  # MATHEMATICAL BOLD ITALIC SMALL PI
    "\u1D746",  # MATHEMATICAL BOLD ITALIC SMALL RHO
    "\u1D747",  # MATHEMATICAL BOLD ITALIC SMALL FINAL SIGMA
    "\u1D748",  # MATHEMATICAL BOLD ITALIC SMALL SIGMA
    "\u1D749",  # MATHEMATICAL BOLD ITALIC SMALL TAU
    "\u1D74A",  # MATHEMATICAL BOLD ITALIC SMALL UPSILON
    "\u1D74B",  # MATHEMATICAL BOLD ITALIC SMALL PHI
    "\u1D74C",  # MATHEMATICAL BOLD ITALIC SMALL CHI
    "\u1D74D",  # MATHEMATICAL BOLD ITALIC SMALL PSI
    "\u1D74E",  # MATHEMATICAL BOLD ITALIC SMALL OMEGA
    "\u1D74F",  # MATHEMATICAL BOLD ITALIC PARTIAL DIFFERENTIAL
    "\u1D750",  # MATHEMATICAL BOLD ITALIC EPSILON SYMBOL
    "\u1D751",  # MATHEMATICAL BOLD ITALIC THETA SYMBOL
    "\u1D752",  # MATHEMATICAL BOLD ITALIC KAPPA SYMBOL
    "\u1D753",  # MATHEMATICAL BOLD ITALIC PHI SYMBOL
    "\u1D754",  # MATHEMATICAL BOLD ITALIC RHO SYMBOL
    "\u1D755",  # MATHEMATICAL BOLD ITALIC PI SYMBOL
    "\u1D756",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL ALPHA
    "\u1D757",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL BETA
    "\u1D758",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL GAMMA
    "\u1D759",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL DELTA
    "\u1D75A",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL EPSILON
    "\u1D75B",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL ZETA
    "\u1D75C",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL ETA
    "\u1D75D",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL THETA
    "\u1D75E",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL IOTA
    "\u1D75F",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL KAPPA
    "\u1D760",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL LAMDA
    "\u1D761",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL MU
    "\u1D762",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL NU
    "\u1D763",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL XI
    "\u1D764",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL OMICRON
    "\u1D765",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL PI
    "\u1D766",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL RHO
    "\u1D767",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL THETA SYMBOL
    "\u1D768",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL SIGMA
    "\u1D769",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL TAU
    "\u1D76A",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL UPSILON
    "\u1D76B",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL PHI
    "\u1D76C",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL CHI
    "\u1D76D",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL PSI
    "\u1D76E",  # MATHEMATICAL SANS-SERIF BOLD CAPITAL OMEGA
    "\u1D76F",  # MATHEMATICAL SANS-SERIF BOLD NABLA
    "\u1D770",  # MATHEMATICAL SANS-SERIF BOLD SMALL ALPHA
    "\u1D771",  # MATHEMATICAL SANS-SERIF BOLD SMALL BETA
    "\u1D772",  # MATHEMATICAL SANS-SERIF BOLD SMALL GAMMA
    "\u1D773",  # MATHEMATICAL SANS-SERIF BOLD SMALL DELTA
    "\u1D774",  # MATHEMATICAL SANS-SERIF BOLD SMALL EPSILON
    "\u1D775",  # MATHEMATICAL SANS-SERIF BOLD SMALL ZETA
    "\u1D776",  # MATHEMATICAL SANS-SERIF BOLD SMALL ETA
    "\u1D777",  # MATHEMATICAL SANS-SERIF BOLD SMALL THETA
    "\u1D778",  # MATHEMATICAL SANS-SERIF BOLD SMALL IOTA
    "\u1D779",  # MATHEMATICAL SANS-SERIF BOLD SMALL KAPPA
    "\u1D77A",  # MATHEMATICAL SANS-SERIF BOLD SMALL LAMDA
    "\u1D77B",  # MATHEMATICAL SANS-SERIF BOLD SMALL MU
    "\u1D77C",  # MATHEMATICAL SANS-SERIF BOLD SMALL NU
    "\u1D77D",  # MATHEMATICAL SANS-SERIF BOLD SMALL XI
    "\u1D77E",  # MATHEMATICAL SANS-SERIF BOLD SMALL OMICRON
    "\u1D77F",  # MATHEMATICAL SANS-SERIF BOLD SMALL PI
    "\u1D780",  # MATHEMATICAL SANS-SERIF BOLD SMALL RHO
    "\u1D781",  # MATHEMATICAL SANS-SERIF BOLD SMALL FINAL SIGMA
    "\u1D782",  # MATHEMATICAL SANS-SERIF BOLD SMALL SIGMA
    "\u1D783",  # MATHEMATICAL SANS-SERIF BOLD SMALL TAU
    "\u1D784",  # MATHEMATICAL SANS-SERIF BOLD SMALL UPSILON
    "\u1D785",  # MATHEMATICAL SANS-SERIF BOLD SMALL PHI
    "\u1D786",  # MATHEMATICAL SANS-SERIF BOLD SMALL CHI
    "\u1D787",  # MATHEMATICAL SANS-SERIF BOLD SMALL PSI
    "\u1D788",  # MATHEMATICAL SANS-SERIF BOLD SMALL OMEGA
    "\u1D789",  # MATHEMATICAL SANS-SERIF BOLD PARTIAL DIFFERENTIAL
    "\u1D78A",  # MATHEMATICAL SANS-SERIF BOLD EPSILON SYMBOL
    "\u1D78B",  # MATHEMATICAL SANS-SERIF BOLD THETA SYMBOL
    "\u1D78C",  # MATHEMATICAL SANS-SERIF BOLD KAPPA SYMBOL
    "\u1D78D",  # MATHEMATICAL SANS-SERIF BOLD PHI SYMBOL
    "\u1D78E",  # MATHEMATICAL SANS-SERIF BOLD RHO SYMBOL
    "\u1D78F",  # MATHEMATICAL SANS-SERIF BOLD PI SYMBOL
    "\u1D790",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL ALPHA
    "\u1D791",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL BETA
    "\u1D792",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL GAMMA
    "\u1D793",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL DELTA
    "\u1D794",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL EPSILON
    "\u1D795",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL ZETA
    "\u1D796",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL ETA
    "\u1D797",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL THETA
    "\u1D798",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL IOTA
    "\u1D799",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL KAPPA
    "\u1D79A",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL LAMDA
    "\u1D79B",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL MU
    "\u1D79C",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL NU
    "\u1D79D",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL XI
    "\u1D79E",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL OMICRON
    "\u1D79F",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL PI
    "\u1D7A0",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL RHO
    "\u1D7A1",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL THETA SYMBOL
    "\u1D7A2",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL SIGMA
    "\u1D7A3",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL TAU
    "\u1D7A4",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL UPSILON
    "\u1D7A5",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL PHI
    "\u1D7A6",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL CHI
    "\u1D7A7",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL PSI
    "\u1D7A8",  # MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL OMEGA
    "\u1D7A9",  # MATHEMATICAL SANS-SERIF BOLD ITALIC NABLA
    "\u1D7AA",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL ALPHA
    "\u1D7AB",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL BETA
    "\u1D7AC",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL GAMMA
    "\u1D7AD",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL DELTA
    "\u1D7AE",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL EPSILON
    "\u1D7AF",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL ZETA
    "\u1D7B0",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL ETA
    "\u1D7B1",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL THETA
    "\u1D7B2",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL IOTA
    "\u1D7B3",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL KAPPA
    "\u1D7B4",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL LAMDA
    "\u1D7B5",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL MU
    "\u1D7B6",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL NU
    "\u1D7B7",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL XI
    "\u1D7B8",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL OMICRON
    "\u1D7B9",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL PI
    "\u1D7BA",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL RHO
    "\u1D7BB",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL FINAL SIGMA
    "\u1D7BC",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL SIGMA
    "\u1D7BD",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL TAU
    "\u1D7BE",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL UPSILON
    "\u1D7BF",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL PHI
    "\u1D7C0",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL CHI
    "\u1D7C1",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL PSI
    "\u1D7C2",  # MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL OMEGA
    "\u1D7C3",  # MATHEMATICAL SANS-SERIF BOLD ITALIC PARTIAL DIFFERENTIAL
    "\u1D7C4",  # MATHEMATICAL SANS-SERIF BOLD ITALIC EPSILON SYMBOL
    "\u1D7C5",  # MATHEMATICAL SANS-SERIF BOLD ITALIC THETA SYMBOL
    "\u1D7C6",  # MATHEMATICAL SANS-SERIF BOLD ITALIC KAPPA SYMBOL
    "\u1D7C7",  # MATHEMATICAL SANS-SERIF BOLD ITALIC PHI SYMBOL
    "\u1D7C8",  # MATHEMATICAL SANS-SERIF BOLD ITALIC RHO SYMBOL
    "\u1D7C9",  # MATHEMATICAL SANS-SERIF BOLD ITALIC PI SYMBOL
    "\u1D7CA",  # MATHEMATICAL BOLD CAPITAL DIGAMMA
    "\u1D7CB",  # MATHEMATICAL BOLD SMALL DIGAMMA
    "\u1D7CE",  # MATHEMATICAL BOLD DIGIT ZERO
    "\u1D7CF",  # MATHEMATICAL BOLD DIGIT ONE
    "\u1D7D0",  # MATHEMATICAL BOLD DIGIT TWO
    "\u1D7D1",  # MATHEMATICAL BOLD DIGIT THREE
    "\u1D7D2",  # MATHEMATICAL BOLD DIGIT FOUR
    "\u1D7D3",  # MATHEMATICAL BOLD DIGIT FIVE
    "\u1D7D4",  # MATHEMATICAL BOLD DIGIT SIX
    "\u1D7D5",  # MATHEMATICAL BOLD DIGIT SEVEN
    "\u1D7D6",  # MATHEMATICAL BOLD DIGIT EIGHT
    "\u1D7D7",  # MATHEMATICAL BOLD DIGIT NINE
    "\u1D7D8",  # MATHEMATICAL DOUBLE-STRUCK DIGIT ZERO
    "\u1D7D9",  # MATHEMATICAL DOUBLE-STRUCK DIGIT ONE
    "\u1D7DA",  # MATHEMATICAL DOUBLE-STRUCK DIGIT TWO
    "\u1D7DB",  # MATHEMATICAL DOUBLE-STRUCK DIGIT THREE
    "\u1D7DC",  # MATHEMATICAL DOUBLE-STRUCK DIGIT FOUR
    "\u1D7DD",  # MATHEMATICAL DOUBLE-STRUCK DIGIT FIVE
    "\u1D7DE",  # MATHEMATICAL DOUBLE-STRUCK DIGIT SIX
    "\u1D7DF",  # MATHEMATICAL DOUBLE-STRUCK DIGIT SEVEN
    "\u1D7E0",  # MATHEMATICAL DOUBLE-STRUCK DIGIT EIGHT
    "\u1D7E1",  # MATHEMATICAL DOUBLE-STRUCK DIGIT NINE
    "\u1D7E2",  # MATHEMATICAL SANS-SERIF DIGIT ZERO
    "\u1D7E3",  # MATHEMATICAL SANS-SERIF DIGIT ONE
    "\u1D7E4",  # MATHEMATICAL SANS-SERIF DIGIT TWO
    "\u1D7E5",  # MATHEMATICAL SANS-SERIF DIGIT THREE
    "\u1D7E6",  # MATHEMATICAL SANS-SERIF DIGIT FOUR
    "\u1D7E7",  # MATHEMATICAL SANS-SERIF DIGIT FIVE
    "\u1D7E8",  # MATHEMATICAL SANS-SERIF DIGIT SIX
    "\u1D7E9",  # MATHEMATICAL SANS-SERIF DIGIT SEVEN
    "\u1D7EA",  # MATHEMATICAL SANS-SERIF DIGIT EIGHT
    "\u1D7EB",  # MATHEMATICAL SANS-SERIF DIGIT NINE
    "\u1D7EC",  # MATHEMATICAL SANS-SERIF BOLD DIGIT ZERO
    "\u1D7ED",  # MATHEMATICAL SANS-SERIF BOLD DIGIT ONE
    "\u1D7EE",  # MATHEMATICAL SANS-SERIF BOLD DIGIT TWO
    "\u1D7EF",  # MATHEMATICAL SANS-SERIF BOLD DIGIT THREE
    "\u1D7F0",  # MATHEMATICAL SANS-SERIF BOLD DIGIT FOUR
    "\u1D7F1",  # MATHEMATICAL SANS-SERIF BOLD DIGIT FIVE
    "\u1D7F2",  # MATHEMATICAL SANS-SERIF BOLD DIGIT SIX
    "\u1D7F3",  # MATHEMATICAL SANS-SERIF BOLD DIGIT SEVEN
    "\u1D7F4",  # MATHEMATICAL SANS-SERIF BOLD DIGIT EIGHT
    "\u1D7F5",  # MATHEMATICAL SANS-SERIF BOLD DIGIT NINE
    "\u1D7F6",  # MATHEMATICAL MONOSPACE DIGIT ZERO
    "\u1D7F7",  # MATHEMATICAL MONOSPACE DIGIT ONE
    "\u1D7F8",  # MATHEMATICAL MONOSPACE DIGIT TWO
    "\u1D7F9",  # MATHEMATICAL MONOSPACE DIGIT THREE
    "\u1D7FA",  # MATHEMATICAL MONOSPACE DIGIT FOUR
    "\u1D7FB",  # MATHEMATICAL MONOSPACE DIGIT FIVE
    "\u1D7FC",  # MATHEMATICAL MONOSPACE DIGIT SIX
    "\u1D7FD",  # MATHEMATICAL MONOSPACE DIGIT SEVEN
    "\u1D7FE",  # MATHEMATICAL MONOSPACE DIGIT EIGHT
    "\u1D7FF",  # MATHEMATICAL MONOSPACE DIGIT NINE
    "\u1D800",  # SIGNWRITING HAND-FIST INDEX
    "\u1D801",  # SIGNWRITING HAND-CIRCLE INDEX
    "\u1D802",  # SIGNWRITING HAND-CUP INDEX
    "\u1D803",  # SIGNWRITING HAND-OVAL INDEX
    "\u1D804",  # SIGNWRITING HAND-HINGE INDEX
    "\u1D805",  # SIGNWRITING HAND-ANGLE INDEX
    "\u1D806",  # SIGNWRITING HAND-FIST INDEX BENT
    "\u1D807",  # SIGNWRITING HAND-CIRCLE INDEX BENT
    "\u1D808",  # SIGNWRITING HAND-FIST THUMB UNDER INDEX BENT
    "\u1D809",  # SIGNWRITING HAND-FIST INDEX RAISED KNUCKLE
    "\u1D80A",  # SIGNWRITING HAND-FIST INDEX CUPPED
    "\u1D80B",  # SIGNWRITING HAND-FIST INDEX HINGED
    "\u1D80C",  # SIGNWRITING HAND-FIST INDEX HINGED LOW
    "\u1D80D",  # SIGNWRITING HAND-CIRCLE INDEX HINGE
    "\u1D80E",  # SIGNWRITING HAND-FIST INDEX MIDDLE
    "\u1D80F",  # SIGNWRITING HAND-CIRCLE INDEX MIDDLE
    "\u1D810",  # SIGNWRITING HAND-FIST INDEX MIDDLE BENT
    "\u1D811",  # SIGNWRITING HAND-FIST INDEX MIDDLE RAISED KNUCKLES
    "\u1D812",  # SIGNWRITING HAND-FIST INDEX MIDDLE HINGED
    "\u1D813",  # SIGNWRITING HAND-FIST INDEX UP MIDDLE HINGED
    "\u1D814",  # SIGNWRITING HAND-FIST INDEX HINGED MIDDLE UP
    "\u1D815",  # SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED
    "\u1D816",  # SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED INDEX BENT
    "\u1D817",  # SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED MIDDLE BENT
    "\u1D818",  # SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED CUPPED
    "\u1D819",  # SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED HINGED
    "\u1D81A",  # SIGNWRITING HAND-FIST INDEX MIDDLE CROSSED
    "\u1D81B",  # SIGNWRITING HAND-CIRCLE INDEX MIDDLE CROSSED
    "\u1D81C",  # SIGNWRITING HAND-FIST MIDDLE BENT OVER INDEX
    "\u1D81D",  # SIGNWRITING HAND-FIST INDEX BENT OVER MIDDLE
    "\u1D81E",  # SIGNWRITING HAND-FIST INDEX MIDDLE THUMB
    "\u1D81F",  # SIGNWRITING HAND-CIRCLE INDEX MIDDLE THUMB
    "\u1D820",  # SIGNWRITING HAND-FIST INDEX MIDDLE STRAIGHT THUMB BENT
    "\u1D821",  # SIGNWRITING HAND-FIST INDEX MIDDLE BENT THUMB STRAIGHT
    "\u1D822",  # SIGNWRITING HAND-FIST INDEX MIDDLE THUMB BENT
    "\u1D823",  # SIGNWRITING HAND-FIST INDEX MIDDLE HINGED SPREAD THUMB SIDE
    "\u1D824",  # SIGNWRITING HAND-FIST INDEX UP MIDDLE HINGED THUMB SIDE
    "\u1D825",  # SIGNWRITING HAND-FIST INDEX UP MIDDLE HINGED THUMB CONJOINED
    "\u1D826",  # SIGNWRITING HAND-FIST INDEX HINGED MIDDLE UP THUMB SIDE
    "\u1D827",  # SIGNWRITING HAND-FIST INDEX MIDDLE UP SPREAD THUMB FORWARD
    "\u1D828",  # SIGNWRITING HAND-FIST INDEX MIDDLE THUMB CUPPED
    "\u1D829",  # SIGNWRITING HAND-FIST INDEX MIDDLE THUMB CIRCLED
    "\u1D82A",  # SIGNWRITING HAND-FIST INDEX MIDDLE THUMB HOOKED
    "\u1D82B",  # SIGNWRITING HAND-FIST INDEX MIDDLE THUMB HINGED
    "\u1D82C",  # SIGNWRITING HAND-FIST THUMB BETWEEN INDEX MIDDLE STRAIGHT
    "\u1D82D",  # SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED THUMB SIDE
    "\u1D82E",  # SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED THUMB SIDE CONJOINED
    "\u1D82F",  # SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED THUMB SIDE BENT
    "\u1D830",  # SIGNWRITING HAND-FIST MIDDLE THUMB HOOKED INDEX UP
    "\u1D831",  # SIGNWRITING HAND-FIST INDEX THUMB HOOKED MIDDLE UP
    "\u1D832",  # SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED HINGED THUMB SIDE
    "\u1D833",  # SIGNWRITING HAND-FIST INDEX MIDDLE CROSSED THUMB SIDE
    "\u1D834",  # SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED THUMB FORWARD
    "\u1D835",  # SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED CUPPED THUMB FORWARD
    "\u1D836",  # SIGNWRITING HAND-FIST MIDDLE THUMB CUPPED INDEX UP
    "\u1D837",  # SIGNWRITING HAND-FIST INDEX THUMB CUPPED MIDDLE UP
    "\u1D838",  # SIGNWRITING HAND-FIST MIDDLE THUMB CIRCLED INDEX UP
    "\u1D839",  # SIGNWRITING HAND-FIST MIDDLE THUMB CIRCLED INDEX HINGED
    "\u1D83A",  # SIGNWRITING HAND-FIST INDEX THUMB ANGLED OUT MIDDLE UP
    "\u1D83B",  # SIGNWRITING HAND-FIST INDEX THUMB ANGLED IN MIDDLE UP
    "\u1D83C",  # SIGNWRITING HAND-FIST INDEX THUMB CIRCLED MIDDLE UP
    "\u1D83D",  # SIGNWRITING HAND-FIST INDEX MIDDLE THUMB CONJOINED HINGED
    "\u1D83E",  # SIGNWRITING HAND-FIST INDEX MIDDLE THUMB ANGLED OUT
    "\u1D83F",  # SIGNWRITING HAND-FIST INDEX MIDDLE THUMB ANGLED
    "\u1D840",  # SIGNWRITING HAND-FIST MIDDLE THUMB ANGLED OUT INDEX UP
    "\u1D841",  # SIGNWRITING HAND-FIST MIDDLE THUMB ANGLED OUT INDEX CROSSED
    "\u1D842",  # SIGNWRITING HAND-FIST MIDDLE THUMB ANGLED INDEX UP
    "\u1D843",  # SIGNWRITING HAND-FIST INDEX THUMB HOOKED MIDDLE HINGED
    "\u1D844",  # SIGNWRITING HAND-FLAT FOUR FINGERS
    "\u1D845",  # SIGNWRITING HAND-FLAT FOUR FINGERS BENT
    "\u1D846",  # SIGNWRITING HAND-FLAT FOUR FINGERS HINGED
    "\u1D847",  # SIGNWRITING HAND-FLAT FOUR FINGERS CONJOINED
    "\u1D848",  # SIGNWRITING HAND-FLAT FOUR FINGERS CONJOINED SPLIT
    "\u1D849",  # SIGNWRITING HAND-CLAW FOUR FINGERS CONJOINED
    "\u1D84A",  # SIGNWRITING HAND-FIST FOUR FINGERS CONJOINED BENT
    "\u1D84B",  # SIGNWRITING HAND-HINGE FOUR FINGERS CONJOINED
    "\u1D84C",  # SIGNWRITING HAND-FLAT FIVE FINGERS SPREAD
    "\u1D84D",  # SIGNWRITING HAND-FLAT HEEL FIVE FINGERS SPREAD
    "\u1D84E",  # SIGNWRITING HAND-FLAT FIVE FINGERS SPREAD FOUR BENT
    "\u1D84F",  # SIGNWRITING HAND-FLAT HEEL FIVE FINGERS SPREAD FOUR BENT
    "\u1D850",  # SIGNWRITING HAND-FLAT FIVE FINGERS SPREAD BENT
    "\u1D851",  # SIGNWRITING HAND-FLAT HEEL FIVE FINGERS SPREAD BENT
    "\u1D852",  # SIGNWRITING HAND-FLAT FIVE FINGERS SPREAD THUMB FORWARD
    "\u1D853",  # SIGNWRITING HAND-CUP FIVE FINGERS SPREAD
    "\u1D854",  # SIGNWRITING HAND-CUP FIVE FINGERS SPREAD OPEN
    "\u1D855",  # SIGNWRITING HAND-HINGE FIVE FINGERS SPREAD OPEN
    "\u1D856",  # SIGNWRITING HAND-OVAL FIVE FINGERS SPREAD
    "\u1D857",  # SIGNWRITING HAND-FLAT FIVE FINGERS SPREAD HINGED
    "\u1D858",  # SIGNWRITING HAND-FLAT FIVE FINGERS SPREAD HINGED THUMB SIDE
    "\u1D859",  # SIGNWRITING HAND-FLAT FIVE FINGERS SPREAD HINGED NO THUMB
    "\u1D85A",  # SIGNWRITING HAND-FLAT
    "\u1D85B",  # SIGNWRITING HAND-FLAT BETWEEN PALM FACINGS
    "\u1D85C",  # SIGNWRITING HAND-FLAT HEEL
    "\u1D85D",  # SIGNWRITING HAND-FLAT THUMB SIDE
    "\u1D85E",  # SIGNWRITING HAND-FLAT HEEL THUMB SIDE
    "\u1D85F",  # SIGNWRITING HAND-FLAT THUMB BENT
    "\u1D860",  # SIGNWRITING HAND-FLAT THUMB FORWARD
    "\u1D861",  # SIGNWRITING HAND-FLAT SPLIT INDEX THUMB SIDE
    "\u1D862",  # SIGNWRITING HAND-FLAT SPLIT CENTRE
    "\u1D863",  # SIGNWRITING HAND-FLAT SPLIT CENTRE THUMB SIDE
    "\u1D864",  # SIGNWRITING HAND-FLAT SPLIT CENTRE THUMB SIDE BENT
    "\u1D865",  # SIGNWRITING HAND-FLAT SPLIT LITTLE
    "\u1D866",  # SIGNWRITING HAND-CLAW
    "\u1D867",  # SIGNWRITING HAND-CLAW THUMB SIDE
    "\u1D868",  # SIGNWRITING HAND-CLAW NO THUMB
    "\u1D869",  # SIGNWRITING HAND-CLAW THUMB FORWARD
    "\u1D86A",  # SIGNWRITING HAND-HOOK CURLICUE
    "\u1D86B",  # SIGNWRITING HAND-HOOK
    "\u1D86C",  # SIGNWRITING HAND-CUP OPEN
    "\u1D86D",  # SIGNWRITING HAND-CUP
    "\u1D86E",  # SIGNWRITING HAND-CUP OPEN THUMB SIDE
    "\u1D86F",  # SIGNWRITING HAND-CUP THUMB SIDE
    "\u1D870",  # SIGNWRITING HAND-CUP OPEN NO THUMB
    "\u1D871",  # SIGNWRITING HAND-CUP NO THUMB
    "\u1D872",  # SIGNWRITING HAND-CUP OPEN THUMB FORWARD
    "\u1D873",  # SIGNWRITING HAND-CUP THUMB FORWARD
    "\u1D874",  # SIGNWRITING HAND-CURLICUE OPEN
    "\u1D875",  # SIGNWRITING HAND-CURLICUE
    "\u1D876",  # SIGNWRITING HAND-CIRCLE
    "\u1D877",  # SIGNWRITING HAND-OVAL
    "\u1D878",  # SIGNWRITING HAND-OVAL THUMB SIDE
    "\u1D879",  # SIGNWRITING HAND-OVAL NO THUMB
    "\u1D87A",  # SIGNWRITING HAND-OVAL THUMB FORWARD
    "\u1D87B",  # SIGNWRITING HAND-HINGE OPEN
    "\u1D87C",  # SIGNWRITING HAND-HINGE OPEN THUMB FORWARD
    "\u1D87D",  # SIGNWRITING HAND-HINGE
    "\u1D87E",  # SIGNWRITING HAND-HINGE SMALL
    "\u1D87F",  # SIGNWRITING HAND-HINGE OPEN THUMB SIDE
    "\u1D880",  # SIGNWRITING HAND-HINGE THUMB SIDE
    "\u1D881",  # SIGNWRITING HAND-HINGE OPEN NO THUMB
    "\u1D882",  # SIGNWRITING HAND-HINGE NO THUMB
    "\u1D883",  # SIGNWRITING HAND-HINGE THUMB SIDE TOUCHING INDEX
    "\u1D884",  # SIGNWRITING HAND-HINGE THUMB BETWEEN MIDDLE RING
    "\u1D885",  # SIGNWRITING HAND-ANGLE
    "\u1D886",  # SIGNWRITING HAND-FIST INDEX MIDDLE RING
    "\u1D887",  # SIGNWRITING HAND-CIRCLE INDEX MIDDLE RING
    "\u1D888",  # SIGNWRITING HAND-HINGE INDEX MIDDLE RING
    "\u1D889",  # SIGNWRITING HAND-ANGLE INDEX MIDDLE RING
    "\u1D88A",  # SIGNWRITING HAND-HINGE LITTLE
    "\u1D88B",  # SIGNWRITING HAND-FIST INDEX MIDDLE RING BENT
    "\u1D88C",  # SIGNWRITING HAND-FIST INDEX MIDDLE RING CONJOINED
    "\u1D88D",  # SIGNWRITING HAND-HINGE INDEX MIDDLE RING CONJOINED
    "\u1D88E",  # SIGNWRITING HAND-FIST LITTLE DOWN
    "\u1D88F",  # SIGNWRITING HAND-FIST LITTLE DOWN RIPPLE STRAIGHT
    "\u1D890",  # SIGNWRITING HAND-FIST LITTLE DOWN RIPPLE CURVED
    "\u1D891",  # SIGNWRITING HAND-FIST LITTLE DOWN OTHERS CIRCLED
    "\u1D892",  # SIGNWRITING HAND-FIST LITTLE UP
    "\u1D893",  # SIGNWRITING HAND-FIST THUMB UNDER LITTLE UP
    "\u1D894",  # SIGNWRITING HAND-CIRCLE LITTLE UP
    "\u1D895",  # SIGNWRITING HAND-OVAL LITTLE UP
    "\u1D896",  # SIGNWRITING HAND-ANGLE LITTLE UP
    "\u1D897",  # SIGNWRITING HAND-FIST LITTLE RAISED KNUCKLE
    "\u1D898",  # SIGNWRITING HAND-FIST LITTLE BENT
    "\u1D899",  # SIGNWRITING HAND-FIST LITTLE TOUCHES THUMB
    "\u1D89A",  # SIGNWRITING HAND-FIST LITTLE THUMB
    "\u1D89B",  # SIGNWRITING HAND-HINGE LITTLE THUMB
    "\u1D89C",  # SIGNWRITING HAND-FIST LITTLE INDEX THUMB
    "\u1D89D",  # SIGNWRITING HAND-HINGE LITTLE INDEX THUMB
    "\u1D89E",  # SIGNWRITING HAND-ANGLE LITTLE INDEX THUMB INDEX THUMB OUT
    "\u1D89F",  # SIGNWRITING HAND-ANGLE LITTLE INDEX THUMB INDEX THUMB
    "\u1D8A0",  # SIGNWRITING HAND-FIST LITTLE INDEX
    "\u1D8A1",  # SIGNWRITING HAND-CIRCLE LITTLE INDEX
    "\u1D8A2",  # SIGNWRITING HAND-HINGE LITTLE INDEX
    "\u1D8A3",  # SIGNWRITING HAND-ANGLE LITTLE INDEX
    "\u1D8A4",  # SIGNWRITING HAND-FIST INDEX MIDDLE LITTLE
    "\u1D8A5",  # SIGNWRITING HAND-CIRCLE INDEX MIDDLE LITTLE
    "\u1D8A6",  # SIGNWRITING HAND-HINGE INDEX MIDDLE LITTLE
    "\u1D8A7",  # SIGNWRITING HAND-HINGE RING
    "\u1D8A8",  # SIGNWRITING HAND-ANGLE INDEX MIDDLE LITTLE
    "\u1D8A9",  # SIGNWRITING HAND-FIST INDEX MIDDLE CROSS LITTLE
    "\u1D8AA",  # SIGNWRITING HAND-CIRCLE INDEX MIDDLE CROSS LITTLE
    "\u1D8AB",  # SIGNWRITING HAND-FIST RING DOWN
    "\u1D8AC",  # SIGNWRITING HAND-HINGE RING DOWN INDEX THUMB HOOK MIDDLE
    "\u1D8AD",  # SIGNWRITING HAND-ANGLE RING DOWN MIDDLE THUMB INDEX CROSS
    "\u1D8AE",  # SIGNWRITING HAND-FIST RING UP
    "\u1D8AF",  # SIGNWRITING HAND-FIST RING RAISED KNUCKLE
    "\u1D8B0",  # SIGNWRITING HAND-FIST RING LITTLE
    "\u1D8B1",  # SIGNWRITING HAND-CIRCLE RING LITTLE
    "\u1D8B2",  # SIGNWRITING HAND-OVAL RING LITTLE
    "\u1D8B3",  # SIGNWRITING HAND-ANGLE RING LITTLE
    "\u1D8B4",  # SIGNWRITING HAND-FIST RING MIDDLE
    "\u1D8B5",  # SIGNWRITING HAND-FIST RING MIDDLE CONJOINED
    "\u1D8B6",  # SIGNWRITING HAND-FIST RING MIDDLE RAISED KNUCKLES
    "\u1D8B7",  # SIGNWRITING HAND-FIST RING INDEX
    "\u1D8B8",  # SIGNWRITING HAND-FIST RING THUMB
    "\u1D8B9",  # SIGNWRITING HAND-HOOK RING THUMB
    "\u1D8BA",  # SIGNWRITING HAND-FIST INDEX RING LITTLE
    "\u1D8BB",  # SIGNWRITING HAND-CIRCLE INDEX RING LITTLE
    "\u1D8BC",  # SIGNWRITING HAND-CURLICUE INDEX RING LITTLE ON
    "\u1D8BD",  # SIGNWRITING HAND-HOOK INDEX RING LITTLE OUT
    "\u1D8BE",  # SIGNWRITING HAND-HOOK INDEX RING LITTLE IN
    "\u1D8BF",  # SIGNWRITING HAND-HOOK INDEX RING LITTLE UNDER
    "\u1D8C0",  # SIGNWRITING HAND-CUP INDEX RING LITTLE
    "\u1D8C1",  # SIGNWRITING HAND-HINGE INDEX RING LITTLE
    "\u1D8C2",  # SIGNWRITING HAND-ANGLE INDEX RING LITTLE OUT
    "\u1D8C3",  # SIGNWRITING HAND-ANGLE INDEX RING LITTLE
    "\u1D8C4",  # SIGNWRITING HAND-FIST MIDDLE DOWN
    "\u1D8C5",  # SIGNWRITING HAND-HINGE MIDDLE
    "\u1D8C6",  # SIGNWRITING HAND-FIST MIDDLE UP
    "\u1D8C7",  # SIGNWRITING HAND-CIRCLE MIDDLE UP
    "\u1D8C8",  # SIGNWRITING HAND-FIST MIDDLE RAISED KNUCKLE
    "\u1D8C9",  # SIGNWRITING HAND-FIST MIDDLE UP THUMB SIDE
    "\u1D8CA",  # SIGNWRITING HAND-HOOK MIDDLE THUMB
    "\u1D8CB",  # SIGNWRITING HAND-FIST MIDDLE THUMB LITTLE
    "\u1D8CC",  # SIGNWRITING HAND-FIST MIDDLE LITTLE
    "\u1D8CD",  # SIGNWRITING HAND-FIST MIDDLE RING LITTLE
    "\u1D8CE",  # SIGNWRITING HAND-CIRCLE MIDDLE RING LITTLE
    "\u1D8CF",  # SIGNWRITING HAND-CURLICUE MIDDLE RING LITTLE ON
    "\u1D8D0",  # SIGNWRITING HAND-CUP MIDDLE RING LITTLE
    "\u1D8D1",  # SIGNWRITING HAND-HINGE MIDDLE RING LITTLE
    "\u1D8D2",  # SIGNWRITING HAND-ANGLE MIDDLE RING LITTLE OUT
    "\u1D8D3",  # SIGNWRITING HAND-ANGLE MIDDLE RING LITTLE IN
    "\u1D8D4",  # SIGNWRITING HAND-ANGLE MIDDLE RING LITTLE
    "\u1D8D5",  # SIGNWRITING HAND-CIRCLE MIDDLE RING LITTLE BENT
    "\u1D8D6",  # SIGNWRITING HAND-CLAW MIDDLE RING LITTLE CONJOINED
    "\u1D8D7",  # SIGNWRITING HAND-CLAW MIDDLE RING LITTLE CONJOINED SIDE
    "\u1D8D8",  # SIGNWRITING HAND-HOOK MIDDLE RING LITTLE CONJOINED OUT
    "\u1D8D9",  # SIGNWRITING HAND-HOOK MIDDLE RING LITTLE CONJOINED IN
    "\u1D8DA",  # SIGNWRITING HAND-HOOK MIDDLE RING LITTLE CONJOINED
    "\u1D8DB",  # SIGNWRITING HAND-HINGE INDEX HINGED
    "\u1D8DC",  # SIGNWRITING HAND-FIST INDEX THUMB SIDE
    "\u1D8DD",  # SIGNWRITING HAND-HINGE INDEX THUMB SIDE
    "\u1D8DE",  # SIGNWRITING HAND-FIST INDEX THUMB SIDE THUMB DIAGONAL
    "\u1D8DF",  # SIGNWRITING HAND-FIST INDEX THUMB SIDE THUMB CONJOINED
    "\u1D8E0",  # SIGNWRITING HAND-FIST INDEX THUMB SIDE THUMB BENT
    "\u1D8E1",  # SIGNWRITING HAND-FIST INDEX THUMB SIDE INDEX BENT
    "\u1D8E2",  # SIGNWRITING HAND-FIST INDEX THUMB SIDE BOTH BENT
    "\u1D8E3",  # SIGNWRITING HAND-FIST INDEX THUMB SIDE INDEX HINGE
    "\u1D8E4",  # SIGNWRITING HAND-FIST INDEX THUMB FORWARD INDEX STRAIGHT
    "\u1D8E5",  # SIGNWRITING HAND-FIST INDEX THUMB FORWARD INDEX BENT
    "\u1D8E6",  # SIGNWRITING HAND-FIST INDEX THUMB HOOK
    "\u1D8E7",  # SIGNWRITING HAND-FIST INDEX THUMB CURLICUE
    "\u1D8E8",  # SIGNWRITING HAND-FIST INDEX THUMB CURVE THUMB INSIDE
    "\u1D8E9",  # SIGNWRITING HAND-CLAW INDEX THUMB CURVE THUMB INSIDE
    "\u1D8EA",  # SIGNWRITING HAND-FIST INDEX THUMB CURVE THUMB UNDER
    "\u1D8EB",  # SIGNWRITING HAND-FIST INDEX THUMB CIRCLE
    "\u1D8EC",  # SIGNWRITING HAND-CUP INDEX THUMB
    "\u1D8ED",  # SIGNWRITING HAND-CUP INDEX THUMB OPEN
    "\u1D8EE",  # SIGNWRITING HAND-HINGE INDEX THUMB OPEN
    "\u1D8EF",  # SIGNWRITING HAND-HINGE INDEX THUMB LARGE
    "\u1D8F0",  # SIGNWRITING HAND-HINGE INDEX THUMB
    "\u1D8F1",  # SIGNWRITING HAND-HINGE INDEX THUMB SMALL
    "\u1D8F2",  # SIGNWRITING HAND-ANGLE INDEX THUMB OUT
    "\u1D8F3",  # SIGNWRITING HAND-ANGLE INDEX THUMB IN
    "\u1D8F4",  # SIGNWRITING HAND-ANGLE INDEX THUMB
    "\u1D8F5",  # SIGNWRITING HAND-FIST THUMB
    "\u1D8F6",  # SIGNWRITING HAND-FIST THUMB HEEL
    "\u1D8F7",  # SIGNWRITING HAND-FIST THUMB SIDE DIAGONAL
    "\u1D8F8",  # SIGNWRITING HAND-FIST THUMB SIDE CONJOINED
    "\u1D8F9",  # SIGNWRITING HAND-FIST THUMB SIDE BENT
    "\u1D8FA",  # SIGNWRITING HAND-FIST THUMB FORWARD
    "\u1D8FB",  # SIGNWRITING HAND-FIST THUMB BETWEEN INDEX MIDDLE
    "\u1D8FC",  # SIGNWRITING HAND-FIST THUMB BETWEEN MIDDLE RING
    "\u1D8FD",  # SIGNWRITING HAND-FIST THUMB BETWEEN RING LITTLE
    "\u1D8FE",  # SIGNWRITING HAND-FIST THUMB UNDER TWO FINGERS
    "\u1D8FF",  # SIGNWRITING HAND-FIST THUMB OVER TWO FINGERS
    "\u1D900",  # SIGNWRITING HAND-FIST THUMB UNDER THREE FINGERS
    "\u1D901",  # SIGNWRITING HAND-FIST THUMB UNDER FOUR FINGERS
    "\u1D902",  # SIGNWRITING HAND-FIST THUMB OVER FOUR RAISED KNUCKLES
    "\u1D903",  # SIGNWRITING HAND-FIST
    "\u1D904",  # SIGNWRITING HAND-FIST HEEL
    "\u1D905",  # SIGNWRITING TOUCH SINGLE
    "\u1D906",  # SIGNWRITING TOUCH MULTIPLE
    "\u1D907",  # SIGNWRITING TOUCH BETWEEN
    "\u1D908",  # SIGNWRITING GRASP SINGLE
    "\u1D909",  # SIGNWRITING GRASP MULTIPLE
    "\u1D90A",  # SIGNWRITING GRASP BETWEEN
    "\u1D90B",  # SIGNWRITING STRIKE SINGLE
    "\u1D90C",  # SIGNWRITING STRIKE MULTIPLE
    "\u1D90D",  # SIGNWRITING STRIKE BETWEEN
    "\u1D90E",  # SIGNWRITING BRUSH SINGLE
    "\u1D90F",  # SIGNWRITING BRUSH MULTIPLE
    "\u1D910",  # SIGNWRITING BRUSH BETWEEN
    "\u1D911",  # SIGNWRITING RUB SINGLE
    "\u1D912",  # SIGNWRITING RUB MULTIPLE
    "\u1D913",  # SIGNWRITING RUB BETWEEN
    "\u1D914",  # SIGNWRITING SURFACE SYMBOLS
    "\u1D915",  # SIGNWRITING SURFACE BETWEEN
    "\u1D916",  # SIGNWRITING SQUEEZE LARGE SINGLE
    "\u1D917",  # SIGNWRITING SQUEEZE SMALL SINGLE
    "\u1D918",  # SIGNWRITING SQUEEZE LARGE MULTIPLE
    "\u1D919",  # SIGNWRITING SQUEEZE SMALL MULTIPLE
    "\u1D91A",  # SIGNWRITING SQUEEZE SEQUENTIAL
    "\u1D91B",  # SIGNWRITING FLICK LARGE SINGLE
    "\u1D91C",  # SIGNWRITING FLICK SMALL SINGLE
    "\u1D91D",  # SIGNWRITING FLICK LARGE MULTIPLE
    "\u1D91E",  # SIGNWRITING FLICK SMALL MULTIPLE
    "\u1D91F",  # SIGNWRITING FLICK SEQUENTIAL
    "\u1D920",  # SIGNWRITING SQUEEZE FLICK ALTERNATING
    "\u1D921",  # SIGNWRITING MOVEMENT-HINGE UP DOWN LARGE
    "\u1D922",  # SIGNWRITING MOVEMENT-HINGE UP DOWN SMALL
    "\u1D923",  # SIGNWRITING MOVEMENT-HINGE UP SEQUENTIAL
    "\u1D924",  # SIGNWRITING MOVEMENT-HINGE DOWN SEQUENTIAL
    "\u1D925",  # SIGNWRITING MOVEMENT-HINGE UP DOWN ALTERNATING LARGE
    "\u1D926",  # SIGNWRITING MOVEMENT-HINGE UP DOWN ALTERNATING SMALL
    "\u1D927",  # SIGNWRITING MOVEMENT-HINGE SIDE TO SIDE SCISSORS
    "\u1D928",  # SIGNWRITING MOVEMENT-WALLPLANE FINGER CONTACT
    "\u1D929",  # SIGNWRITING MOVEMENT-FLOORPLANE FINGER CONTACT
    "\u1D92A",  # SIGNWRITING MOVEMENT-WALLPLANE SINGLE STRAIGHT SMALL
    "\u1D92B",  # SIGNWRITING MOVEMENT-WALLPLANE SINGLE STRAIGHT MEDIUM
    "\u1D92C",  # SIGNWRITING MOVEMENT-WALLPLANE SINGLE STRAIGHT LARGE
    "\u1D92D",  # SIGNWRITING MOVEMENT-WALLPLANE SINGLE STRAIGHT LARGEST
    "\u1D92E",  # SIGNWRITING MOVEMENT-WALLPLANE SINGLE WRIST FLEX
    "\u1D92F",  # SIGNWRITING MOVEMENT-WALLPLANE DOUBLE STRAIGHT
    "\u1D930",  # SIGNWRITING MOVEMENT-WALLPLANE DOUBLE WRIST FLEX
    "\u1D931",  # SIGNWRITING MOVEMENT-WALLPLANE DOUBLE ALTERNATING
    "\u1D932",  # SIGNWRITING MOVEMENT-WALLPLANE DOUBLE ALTERNATING WRIST FLEX
    "\u1D933",  # SIGNWRITING MOVEMENT-WALLPLANE CROSS
    "\u1D934",  # SIGNWRITING MOVEMENT-WALLPLANE TRIPLE STRAIGHT MOVEMENT
    "\u1D935",  # SIGNWRITING MOVEMENT-WALLPLANE TRIPLE WRIST FLEX
    "\u1D936",  # SIGNWRITING MOVEMENT-WALLPLANE TRIPLE ALTERNATING
    "\u1D937",  # SIGNWRITING MOVEMENT-WALLPLANE TRIPLE ALTERNATING WRIST FLEX
    "\u1D938",  # SIGNWRITING MOVEMENT-WALLPLANE BEND SMALL
    "\u1D939",  # SIGNWRITING MOVEMENT-WALLPLANE BEND MEDIUM
    "\u1D93A",  # SIGNWRITING MOVEMENT-WALLPLANE BEND LARGE
    "\u1D93B",  # SIGNWRITING MOVEMENT-WALLPLANE CORNER SMALL
    "\u1D93C",  # SIGNWRITING MOVEMENT-WALLPLANE CORNER MEDIUM
    "\u1D93D",  # SIGNWRITING MOVEMENT-WALLPLANE CORNER LARGE
    "\u1D93E",  # SIGNWRITING MOVEMENT-WALLPLANE CORNER ROTATION
    "\u1D93F",  # SIGNWRITING MOVEMENT-WALLPLANE CHECK SMALL
    "\u1D940",  # SIGNWRITING MOVEMENT-WALLPLANE CHECK MEDIUM
    "\u1D941",  # SIGNWRITING MOVEMENT-WALLPLANE CHECK LARGE
    "\u1D942",  # SIGNWRITING MOVEMENT-WALLPLANE BOX SMALL
    "\u1D943",  # SIGNWRITING MOVEMENT-WALLPLANE BOX MEDIUM
    "\u1D944",  # SIGNWRITING MOVEMENT-WALLPLANE BOX LARGE
    "\u1D945",  # SIGNWRITING MOVEMENT-WALLPLANE ZIGZAG SMALL
    "\u1D946",  # SIGNWRITING MOVEMENT-WALLPLANE ZIGZAG MEDIUM
    "\u1D947",  # SIGNWRITING MOVEMENT-WALLPLANE ZIGZAG LARGE
    "\u1D948",  # SIGNWRITING MOVEMENT-WALLPLANE PEAKS SMALL
    "\u1D949",  # SIGNWRITING MOVEMENT-WALLPLANE PEAKS MEDIUM
    "\u1D94A",  # SIGNWRITING MOVEMENT-WALLPLANE PEAKS LARGE
    "\u1D94B",  # SIGNWRITING TRAVEL-WALLPLANE ROTATION-WALLPLANE SINGLE
    "\u1D94C",  # SIGNWRITING TRAVEL-WALLPLANE ROTATION-WALLPLANE DOUBLE
    "\u1D94D",  # SIGNWRITING TRAVEL-WALLPLANE ROTATION-WALLPLANE ALTERNATING
    "\u1D94E",  # SIGNWRITING TRAVEL-WALLPLANE ROTATION-FLOORPLANE SINGLE
    "\u1D94F",  # SIGNWRITING TRAVEL-WALLPLANE ROTATION-FLOORPLANE DOUBLE
    "\u1D950",  # SIGNWRITING TRAVEL-WALLPLANE ROTATION-FLOORPLANE ALTERNATING
    "\u1D951",  # SIGNWRITING TRAVEL-WALLPLANE SHAKING
    "\u1D952",  # SIGNWRITING TRAVEL-WALLPLANE ARM SPIRAL SINGLE
    "\u1D953",  # SIGNWRITING TRAVEL-WALLPLANE ARM SPIRAL DOUBLE
    "\u1D954",  # SIGNWRITING TRAVEL-WALLPLANE ARM SPIRAL TRIPLE
    "\u1D955",  # SIGNWRITING MOVEMENT-DIAGONAL AWAY SMALL
    "\u1D956",  # SIGNWRITING MOVEMENT-DIAGONAL AWAY MEDIUM
    "\u1D957",  # SIGNWRITING MOVEMENT-DIAGONAL AWAY LARGE
    "\u1D958",  # SIGNWRITING MOVEMENT-DIAGONAL AWAY LARGEST
    "\u1D959",  # SIGNWRITING MOVEMENT-DIAGONAL TOWARDS SMALL
    "\u1D95A",  # SIGNWRITING MOVEMENT-DIAGONAL TOWARDS MEDIUM
    "\u1D95B",  # SIGNWRITING MOVEMENT-DIAGONAL TOWARDS LARGE
    "\u1D95C",  # SIGNWRITING MOVEMENT-DIAGONAL TOWARDS LARGEST
    "\u1D95D",  # SIGNWRITING MOVEMENT-DIAGONAL BETWEEN AWAY SMALL
    "\u1D95E",  # SIGNWRITING MOVEMENT-DIAGONAL BETWEEN AWAY MEDIUM
    "\u1D95F",  # SIGNWRITING MOVEMENT-DIAGONAL BETWEEN AWAY LARGE
    "\u1D960",  # SIGNWRITING MOVEMENT-DIAGONAL BETWEEN AWAY LARGEST
    "\u1D961",  # SIGNWRITING MOVEMENT-DIAGONAL BETWEEN TOWARDS SMALL
    "\u1D962",  # SIGNWRITING MOVEMENT-DIAGONAL BETWEEN TOWARDS MEDIUM
    "\u1D963",  # SIGNWRITING MOVEMENT-DIAGONAL BETWEEN TOWARDS LARGE
    "\u1D964",  # SIGNWRITING MOVEMENT-DIAGONAL BETWEEN TOWARDS LARGEST
    "\u1D965",  # SIGNWRITING MOVEMENT-FLOORPLANE SINGLE STRAIGHT SMALL
    "\u1D966",  # SIGNWRITING MOVEMENT-FLOORPLANE SINGLE STRAIGHT MEDIUM
    "\u1D967",  # SIGNWRITING MOVEMENT-FLOORPLANE SINGLE STRAIGHT LARGE
    "\u1D968",  # SIGNWRITING MOVEMENT-FLOORPLANE SINGLE STRAIGHT LARGEST
    "\u1D969",  # SIGNWRITING MOVEMENT-FLOORPLANE SINGLE WRIST FLEX
    "\u1D96A",  # SIGNWRITING MOVEMENT-FLOORPLANE DOUBLE STRAIGHT
    "\u1D96B",  # SIGNWRITING MOVEMENT-FLOORPLANE DOUBLE WRIST FLEX
    "\u1D96C",  # SIGNWRITING MOVEMENT-FLOORPLANE DOUBLE ALTERNATING
    "\u1D96D",  # SIGNWRITING MOVEMENT-FLOORPLANE DOUBLE ALTERNATING WRIST FLEX
    "\u1D96E",  # SIGNWRITING MOVEMENT-FLOORPLANE CROSS
    "\u1D96F",  # SIGNWRITING MOVEMENT-FLOORPLANE TRIPLE STRAIGHT MOVEMENT
    "\u1D970",  # SIGNWRITING MOVEMENT-FLOORPLANE TRIPLE WRIST FLEX
    "\u1D971",  # SIGNWRITING MOVEMENT-FLOORPLANE TRIPLE ALTERNATING MOVEMENT
    "\u1D972",  # SIGNWRITING MOVEMENT-FLOORPLANE TRIPLE ALTERNATING WRIST FLEX
    "\u1D973",  # SIGNWRITING MOVEMENT-FLOORPLANE BEND
    "\u1D974",  # SIGNWRITING MOVEMENT-FLOORPLANE CORNER SMALL
    "\u1D975",  # SIGNWRITING MOVEMENT-FLOORPLANE CORNER MEDIUM
    "\u1D976",  # SIGNWRITING MOVEMENT-FLOORPLANE CORNER LARGE
    "\u1D977",  # SIGNWRITING MOVEMENT-FLOORPLANE CHECK
    "\u1D978",  # SIGNWRITING MOVEMENT-FLOORPLANE BOX SMALL
    "\u1D979",  # SIGNWRITING MOVEMENT-FLOORPLANE BOX MEDIUM
    "\u1D97A",  # SIGNWRITING MOVEMENT-FLOORPLANE BOX LARGE
    "\u1D97B",  # SIGNWRITING MOVEMENT-FLOORPLANE ZIGZAG SMALL
    "\u1D97C",  # SIGNWRITING MOVEMENT-FLOORPLANE ZIGZAG MEDIUM
    "\u1D97D",  # SIGNWRITING MOVEMENT-FLOORPLANE ZIGZAG LARGE
    "\u1D97E",  # SIGNWRITING MOVEMENT-FLOORPLANE PEAKS SMALL
    "\u1D97F",  # SIGNWRITING MOVEMENT-FLOORPLANE PEAKS MEDIUM
    "\u1D980",  # SIGNWRITING MOVEMENT-FLOORPLANE PEAKS LARGE
    "\u1D981",  # SIGNWRITING TRAVEL-FLOORPLANE ROTATION-FLOORPLANE SINGLE
    "\u1D982",  # SIGNWRITING TRAVEL-FLOORPLANE ROTATION-FLOORPLANE DOUBLE
    "\u1D983",  # SIGNWRITING TRAVEL-FLOORPLANE ROTATION-FLOORPLANE ALTERNATING
    "\u1D984",  # SIGNWRITING TRAVEL-FLOORPLANE ROTATION-WALLPLANE SINGLE
    "\u1D985",  # SIGNWRITING TRAVEL-FLOORPLANE ROTATION-WALLPLANE DOUBLE
    "\u1D986",  # SIGNWRITING TRAVEL-FLOORPLANE ROTATION-WALLPLANE ALTERNATING
    "\u1D987",  # SIGNWRITING TRAVEL-FLOORPLANE SHAKING
    "\u1D988",  # SIGNWRITING MOVEMENT-WALLPLANE CURVE QUARTER SMALL
    "\u1D989",  # SIGNWRITING MOVEMENT-WALLPLANE CURVE QUARTER MEDIUM
    "\u1D98A",  # SIGNWRITING MOVEMENT-WALLPLANE CURVE QUARTER LARGE
    "\u1D98B",  # SIGNWRITING MOVEMENT-WALLPLANE CURVE QUARTER LARGEST
    "\u1D98C",  # SIGNWRITING MOVEMENT-WALLPLANE CURVE HALF-CIRCLE SMALL
    "\u1D98D",  # SIGNWRITING MOVEMENT-WALLPLANE CURVE HALF-CIRCLE MEDIUM
    "\u1D98E",  # SIGNWRITING MOVEMENT-WALLPLANE CURVE HALF-CIRCLE LARGE
    "\u1D98F",  # SIGNWRITING MOVEMENT-WALLPLANE CURVE HALF-CIRCLE LARGEST
    "\u1D990",  # SIGNWRITING MOVEMENT-WALLPLANE CURVE THREE-QUARTER CIRCLE SMALL
    "\u1D991",  # SIGNWRITING MOVEMENT-WALLPLANE CURVE THREE-QUARTER CIRCLE MEDIUM
    "\u1D992",  # SIGNWRITING MOVEMENT-WALLPLANE HUMP SMALL
    "\u1D993",  # SIGNWRITING MOVEMENT-WALLPLANE HUMP MEDIUM
    "\u1D994",  # SIGNWRITING MOVEMENT-WALLPLANE HUMP LARGE
    "\u1D995",  # SIGNWRITING MOVEMENT-WALLPLANE LOOP SMALL
    "\u1D996",  # SIGNWRITING MOVEMENT-WALLPLANE LOOP MEDIUM
    "\u1D997",  # SIGNWRITING MOVEMENT-WALLPLANE LOOP LARGE
    "\u1D998",  # SIGNWRITING MOVEMENT-WALLPLANE LOOP SMALL DOUBLE
    "\u1D999",  # SIGNWRITING MOVEMENT-WALLPLANE WAVE CURVE DOUBLE SMALL
    "\u1D99A",  # SIGNWRITING MOVEMENT-WALLPLANE WAVE CURVE DOUBLE MEDIUM
    "\u1D99B",  # SIGNWRITING MOVEMENT-WALLPLANE WAVE CURVE DOUBLE LARGE
    "\u1D99C",  # SIGNWRITING MOVEMENT-WALLPLANE WAVE CURVE TRIPLE SMALL
    "\u1D99D",  # SIGNWRITING MOVEMENT-WALLPLANE WAVE CURVE TRIPLE MEDIUM
    "\u1D99E",  # SIGNWRITING MOVEMENT-WALLPLANE WAVE CURVE TRIPLE LARGE
    "\u1D99F",  # SIGNWRITING MOVEMENT-WALLPLANE CURVE THEN STRAIGHT
    "\u1D9A0",  # SIGNWRITING MOVEMENT-WALLPLANE CURVED CROSS SMALL
    "\u1D9A1",  # SIGNWRITING MOVEMENT-WALLPLANE CURVED CROSS MEDIUM
    "\u1D9A2",  # SIGNWRITING ROTATION-WALLPLANE SINGLE
    "\u1D9A3",  # SIGNWRITING ROTATION-WALLPLANE DOUBLE
    "\u1D9A4",  # SIGNWRITING ROTATION-WALLPLANE ALTERNATE
    "\u1D9A5",  # SIGNWRITING MOVEMENT-WALLPLANE SHAKING
    "\u1D9A6",  # SIGNWRITING MOVEMENT-WALLPLANE CURVE HITTING FRONT WALL
    "\u1D9A7",  # SIGNWRITING MOVEMENT-WALLPLANE HUMP HITTING FRONT WALL
    "\u1D9A8",  # SIGNWRITING MOVEMENT-WALLPLANE LOOP HITTING FRONT WALL
    "\u1D9A9",  # SIGNWRITING MOVEMENT-WALLPLANE WAVE HITTING FRONT WALL
    "\u1D9AA",  # SIGNWRITING ROTATION-WALLPLANE SINGLE HITTING FRONT WALL
    "\u1D9AB",  # SIGNWRITING ROTATION-WALLPLANE DOUBLE HITTING FRONT WALL
    "\u1D9AC",  # SIGNWRITING ROTATION-WALLPLANE ALTERNATING HITTING FRONT WALL
    "\u1D9AD",  # SIGNWRITING MOVEMENT-WALLPLANE CURVE HITTING CHEST
    "\u1D9AE",  # SIGNWRITING MOVEMENT-WALLPLANE HUMP HITTING CHEST
    "\u1D9AF",  # SIGNWRITING MOVEMENT-WALLPLANE LOOP HITTING CHEST
    "\u1D9B0",  # SIGNWRITING MOVEMENT-WALLPLANE WAVE HITTING CHEST
    "\u1D9B1",  # SIGNWRITING ROTATION-WALLPLANE SINGLE HITTING CHEST
    "\u1D9B2",  # SIGNWRITING ROTATION-WALLPLANE DOUBLE HITTING CHEST
    "\u1D9B3",  # SIGNWRITING ROTATION-WALLPLANE ALTERNATING HITTING CHEST
    "\u1D9B4",  # SIGNWRITING MOVEMENT-WALLPLANE WAVE DIAGONAL PATH SMALL
    "\u1D9B5",  # SIGNWRITING MOVEMENT-WALLPLANE WAVE DIAGONAL PATH MEDIUM
    "\u1D9B6",  # SIGNWRITING MOVEMENT-WALLPLANE WAVE DIAGONAL PATH LARGE
    "\u1D9B7",  # SIGNWRITING MOVEMENT-FLOORPLANE CURVE HITTING CEILING SMALL
    "\u1D9B8",  # SIGNWRITING MOVEMENT-FLOORPLANE CURVE HITTING CEILING LARGE
    "\u1D9B9",  # SIGNWRITING MOVEMENT-FLOORPLANE HUMP HITTING CEILING SMALL DOUBLE
    "\u1D9BA",  # SIGNWRITING MOVEMENT-FLOORPLANE HUMP HITTING CEILING LARGE DOUBLE
    "\u1D9BB",  # SIGNWRITING MOVEMENT-FLOORPLANE HUMP HITTING CEILING SMALL TRIPLE
    "\u1D9BC",  # SIGNWRITING MOVEMENT-FLOORPLANE HUMP HITTING CEILING LARGE TRIPLE
    "\u1D9BD",  # SIGNWRITING MOVEMENT-FLOORPLANE LOOP HITTING CEILING SMALL SINGLE
    "\u1D9BE",  # SIGNWRITING MOVEMENT-FLOORPLANE LOOP HITTING CEILING LARGE SINGLE
    "\u1D9BF",  # SIGNWRITING MOVEMENT-FLOORPLANE LOOP HITTING CEILING SMALL DOUBLE
    "\u1D9C0",  # SIGNWRITING MOVEMENT-FLOORPLANE LOOP HITTING CEILING LARGE DOUBLE
    "\u1D9C1",  # SIGNWRITING MOVEMENT-FLOORPLANE WAVE HITTING CEILING SMALL
    "\u1D9C2",  # SIGNWRITING MOVEMENT-FLOORPLANE WAVE HITTING CEILING LARGE
    "\u1D9C3",  # SIGNWRITING ROTATION-FLOORPLANE SINGLE HITTING CEILING
    "\u1D9C4",  # SIGNWRITING ROTATION-FLOORPLANE DOUBLE HITTING CEILING
    "\u1D9C5",  # SIGNWRITING ROTATION-FLOORPLANE ALTERNATING HITTING CEILING
    "\u1D9C6",  # SIGNWRITING MOVEMENT-FLOORPLANE CURVE HITTING FLOOR SMALL
    "\u1D9C7",  # SIGNWRITING MOVEMENT-FLOORPLANE CURVE HITTING FLOOR LARGE
    "\u1D9C8",  # SIGNWRITING MOVEMENT-FLOORPLANE HUMP HITTING FLOOR SMALL DOUBLE
    "\u1D9C9",  # SIGNWRITING MOVEMENT-FLOORPLANE HUMP HITTING FLOOR LARGE DOUBLE
    "\u1D9CA",  # SIGNWRITING MOVEMENT-FLOORPLANE HUMP HITTING FLOOR TRIPLE SMALL TRIPLE
    "\u1D9CB",  # SIGNWRITING MOVEMENT-FLOORPLANE HUMP HITTING FLOOR TRIPLE LARGE TRIPLE
    "\u1D9CC",  # SIGNWRITING MOVEMENT-FLOORPLANE LOOP HITTING FLOOR SMALL SINGLE
    "\u1D9CD",  # SIGNWRITING MOVEMENT-FLOORPLANE LOOP HITTING FLOOR LARGE SINGLE
    "\u1D9CE",  # SIGNWRITING MOVEMENT-FLOORPLANE LOOP HITTING FLOOR SMALL DOUBLE
    "\u1D9CF",  # SIGNWRITING MOVEMENT-FLOORPLANE LOOP HITTING FLOOR LARGE DOUBLE
    "\u1D9D0",  # SIGNWRITING MOVEMENT-FLOORPLANE WAVE HITTING FLOOR SMALL
    "\u1D9D1",  # SIGNWRITING MOVEMENT-FLOORPLANE WAVE HITTING FLOOR LARGE
    "\u1D9D2",  # SIGNWRITING ROTATION-FLOORPLANE SINGLE HITTING FLOOR
    "\u1D9D3",  # SIGNWRITING ROTATION-FLOORPLANE DOUBLE HITTING FLOOR
    "\u1D9D4",  # SIGNWRITING ROTATION-FLOORPLANE ALTERNATING HITTING FLOOR
    "\u1D9D5",  # SIGNWRITING MOVEMENT-FLOORPLANE CURVE SMALL
    "\u1D9D6",  # SIGNWRITING MOVEMENT-FLOORPLANE CURVE MEDIUM
    "\u1D9D7",  # SIGNWRITING MOVEMENT-FLOORPLANE CURVE LARGE
    "\u1D9D8",  # SIGNWRITING MOVEMENT-FLOORPLANE CURVE LARGEST
    "\u1D9D9",  # SIGNWRITING MOVEMENT-FLOORPLANE CURVE COMBINED
    "\u1D9DA",  # SIGNWRITING MOVEMENT-FLOORPLANE HUMP SMALL
    "\u1D9DB",  # SIGNWRITING MOVEMENT-FLOORPLANE LOOP SMALL
    "\u1D9DC",  # SIGNWRITING MOVEMENT-FLOORPLANE WAVE SNAKE
    "\u1D9DD",  # SIGNWRITING MOVEMENT-FLOORPLANE WAVE SMALL
    "\u1D9DE",  # SIGNWRITING MOVEMENT-FLOORPLANE WAVE LARGE
    "\u1D9DF",  # SIGNWRITING ROTATION-FLOORPLANE SINGLE
    "\u1D9E0",  # SIGNWRITING ROTATION-FLOORPLANE DOUBLE
    "\u1D9E1",  # SIGNWRITING ROTATION-FLOORPLANE ALTERNATING
    "\u1D9E2",  # SIGNWRITING MOVEMENT-FLOORPLANE SHAKING PARALLEL
    "\u1D9E3",  # SIGNWRITING MOVEMENT-WALLPLANE ARM CIRCLE SMALL SINGLE
    "\u1D9E4",  # SIGNWRITING MOVEMENT-WALLPLANE ARM CIRCLE MEDIUM SINGLE
    "\u1D9E5",  # SIGNWRITING MOVEMENT-WALLPLANE ARM CIRCLE SMALL DOUBLE
    "\u1D9E6",  # SIGNWRITING MOVEMENT-WALLPLANE ARM CIRCLE MEDIUM DOUBLE
    "\u1D9E7",  # SIGNWRITING MOVEMENT-FLOORPLANE ARM CIRCLE HITTING WALL SMALL SINGLE
    "\u1D9E8",  # SIGNWRITING MOVEMENT-FLOORPLANE ARM CIRCLE HITTING WALL MEDIUM SINGLE
    "\u1D9E9",  # SIGNWRITING MOVEMENT-FLOORPLANE ARM CIRCLE HITTING WALL LARGE SINGLE
    "\u1D9EA",  # SIGNWRITING MOVEMENT-FLOORPLANE ARM CIRCLE HITTING WALL SMALL DOUBLE
    "\u1D9EB",  # SIGNWRITING MOVEMENT-FLOORPLANE ARM CIRCLE HITTING WALL MEDIUM DOUBLE
    "\u1D9EC",  # SIGNWRITING MOVEMENT-FLOORPLANE ARM CIRCLE HITTING WALL LARGE DOUBLE
    "\u1D9ED",  # SIGNWRITING MOVEMENT-WALLPLANE WRIST CIRCLE FRONT SINGLE
    "\u1D9EE",  # SIGNWRITING MOVEMENT-WALLPLANE WRIST CIRCLE FRONT DOUBLE
    "\u1D9EF",  # SIGNWRITING MOVEMENT-FLOORPLANE WRIST CIRCLE HITTING WALL SINGLE
    "\u1D9F0",  # SIGNWRITING MOVEMENT-FLOORPLANE WRIST CIRCLE HITTING WALL DOUBLE
    "\u1D9F1",  # SIGNWRITING MOVEMENT-WALLPLANE FINGER CIRCLES SINGLE
    "\u1D9F2",  # SIGNWRITING MOVEMENT-WALLPLANE FINGER CIRCLES DOUBLE
    "\u1D9F3",  # SIGNWRITING MOVEMENT-FLOORPLANE FINGER CIRCLES HITTING WALL SINGLE
    "\u1D9F4",  # SIGNWRITING MOVEMENT-FLOORPLANE FINGER CIRCLES HITTING WALL DOUBLE
    "\u1D9F5",  # SIGNWRITING DYNAMIC ARROWHEAD SMALL
    "\u1D9F6",  # SIGNWRITING DYNAMIC ARROWHEAD LARGE
    "\u1D9F7",  # SIGNWRITING DYNAMIC FAST
    "\u1D9F8",  # SIGNWRITING DYNAMIC SLOW
    "\u1D9F9",  # SIGNWRITING DYNAMIC TENSE
    "\u1D9FA",  # SIGNWRITING DYNAMIC RELAXED
    "\u1D9FB",  # SIGNWRITING DYNAMIC SIMULTANEOUS
    "\u1D9FC",  # SIGNWRITING DYNAMIC SIMULTANEOUS ALTERNATING
    "\u1D9FD",  # SIGNWRITING DYNAMIC EVERY OTHER TIME
    "\u1D9FE",  # SIGNWRITING DYNAMIC GRADUAL
    "\u1D9FF",  # SIGNWRITING HEAD
    "\u1DA00",  # SIGNWRITING HEAD RIM
    "\u1DA01",  # SIGNWRITING HEAD MOVEMENT-WALLPLANE STRAIGHT
    "\u1DA02",  # SIGNWRITING HEAD MOVEMENT-WALLPLANE TILT
    "\u1DA03",  # SIGNWRITING HEAD MOVEMENT-FLOORPLANE STRAIGHT
    "\u1DA04",  # SIGNWRITING HEAD MOVEMENT-WALLPLANE CURVE
    "\u1DA05",  # SIGNWRITING HEAD MOVEMENT-FLOORPLANE CURVE
    "\u1DA06",  # SIGNWRITING HEAD MOVEMENT CIRCLE
    "\u1DA07",  # SIGNWRITING FACE DIRECTION POSITION NOSE FORWARD TILTING
    "\u1DA08",  # SIGNWRITING FACE DIRECTION POSITION NOSE UP OR DOWN
    "\u1DA09",  # SIGNWRITING FACE DIRECTION POSITION NOSE UP OR DOWN TILTING
    "\u1DA0A",  # SIGNWRITING EYEBROWS STRAIGHT UP
    "\u1DA0B",  # SIGNWRITING EYEBROWS STRAIGHT NEUTRAL
    "\u1DA0C",  # SIGNWRITING EYEBROWS STRAIGHT DOWN
    "\u1DA0D",  # SIGNWRITING DREAMY EYEBROWS NEUTRAL DOWN
    "\u1DA0E",  # SIGNWRITING DREAMY EYEBROWS DOWN NEUTRAL
    "\u1DA0F",  # SIGNWRITING DREAMY EYEBROWS UP NEUTRAL
    "\u1DA10",  # SIGNWRITING DREAMY EYEBROWS NEUTRAL UP
    "\u1DA11",  # SIGNWRITING FOREHEAD NEUTRAL
    "\u1DA12",  # SIGNWRITING FOREHEAD CONTACT
    "\u1DA13",  # SIGNWRITING FOREHEAD WRINKLED
    "\u1DA14",  # SIGNWRITING EYES OPEN
    "\u1DA15",  # SIGNWRITING EYES SQUEEZED
    "\u1DA16",  # SIGNWRITING EYES CLOSED
    "\u1DA17",  # SIGNWRITING EYE BLINK SINGLE
    "\u1DA18",  # SIGNWRITING EYE BLINK MULTIPLE
    "\u1DA19",  # SIGNWRITING EYES HALF OPEN
    "\u1DA1A",  # SIGNWRITING EYES WIDE OPEN
    "\u1DA1B",  # SIGNWRITING EYES HALF CLOSED
    "\u1DA1C",  # SIGNWRITING EYES WIDENING MOVEMENT
    "\u1DA1D",  # SIGNWRITING EYE WINK
    "\u1DA1E",  # SIGNWRITING EYELASHES UP
    "\u1DA1F",  # SIGNWRITING EYELASHES DOWN
    "\u1DA20",  # SIGNWRITING EYELASHES FLUTTERING
    "\u1DA21",  # SIGNWRITING EYEGAZE-WALLPLANE STRAIGHT
    "\u1DA22",  # SIGNWRITING EYEGAZE-WALLPLANE STRAIGHT DOUBLE
    "\u1DA23",  # SIGNWRITING EYEGAZE-WALLPLANE STRAIGHT ALTERNATING
    "\u1DA24",  # SIGNWRITING EYEGAZE-FLOORPLANE STRAIGHT
    "\u1DA25",  # SIGNWRITING EYEGAZE-FLOORPLANE STRAIGHT DOUBLE
    "\u1DA26",  # SIGNWRITING EYEGAZE-FLOORPLANE STRAIGHT ALTERNATING
    "\u1DA27",  # SIGNWRITING EYEGAZE-WALLPLANE CURVED
    "\u1DA28",  # SIGNWRITING EYEGAZE-FLOORPLANE CURVED
    "\u1DA29",  # SIGNWRITING EYEGAZE-WALLPLANE CIRCLING
    "\u1DA2A",  # SIGNWRITING CHEEKS PUFFED
    "\u1DA2B",  # SIGNWRITING CHEEKS NEUTRAL
    "\u1DA2C",  # SIGNWRITING CHEEKS SUCKED
    "\u1DA2D",  # SIGNWRITING TENSE CHEEKS HIGH
    "\u1DA2E",  # SIGNWRITING TENSE CHEEKS MIDDLE
    "\u1DA2F",  # SIGNWRITING TENSE CHEEKS LOW
    "\u1DA30",  # SIGNWRITING EARS
    "\u1DA31",  # SIGNWRITING NOSE NEUTRAL
    "\u1DA32",  # SIGNWRITING NOSE CONTACT
    "\u1DA33",  # SIGNWRITING NOSE WRINKLES
    "\u1DA34",  # SIGNWRITING NOSE WIGGLES
    "\u1DA35",  # SIGNWRITING AIR BLOWING OUT
    "\u1DA36",  # SIGNWRITING AIR SUCKING IN
    "\u1DA37",  # SIGNWRITING AIR BLOW SMALL ROTATIONS
    "\u1DA38",  # SIGNWRITING AIR SUCK SMALL ROTATIONS
    "\u1DA39",  # SIGNWRITING BREATH INHALE
    "\u1DA3A",  # SIGNWRITING BREATH EXHALE
    "\u1DA3B",  # SIGNWRITING MOUTH CLOSED NEUTRAL
    "\u1DA3C",  # SIGNWRITING MOUTH CLOSED FORWARD
    "\u1DA3D",  # SIGNWRITING MOUTH CLOSED CONTACT
    "\u1DA3E",  # SIGNWRITING MOUTH SMILE
    "\u1DA3F",  # SIGNWRITING MOUTH SMILE WRINKLED
    "\u1DA40",  # SIGNWRITING MOUTH SMILE OPEN
    "\u1DA41",  # SIGNWRITING MOUTH FROWN
    "\u1DA42",  # SIGNWRITING MOUTH FROWN WRINKLED
    "\u1DA43",  # SIGNWRITING MOUTH FROWN OPEN
    "\u1DA44",  # SIGNWRITING MOUTH OPEN CIRCLE
    "\u1DA45",  # SIGNWRITING MOUTH OPEN FORWARD
    "\u1DA46",  # SIGNWRITING MOUTH OPEN WRINKLED
    "\u1DA47",  # SIGNWRITING MOUTH OPEN OVAL
    "\u1DA48",  # SIGNWRITING MOUTH OPEN OVAL WRINKLED
    "\u1DA49",  # SIGNWRITING MOUTH OPEN OVAL YAWN
    "\u1DA4A",  # SIGNWRITING MOUTH OPEN RECTANGLE
    "\u1DA4B",  # SIGNWRITING MOUTH OPEN RECTANGLE WRINKLED
    "\u1DA4C",  # SIGNWRITING MOUTH OPEN RECTANGLE YAWN
    "\u1DA4D",  # SIGNWRITING MOUTH KISS
    "\u1DA4E",  # SIGNWRITING MOUTH KISS FORWARD
    "\u1DA4F",  # SIGNWRITING MOUTH KISS WRINKLED
    "\u1DA50",  # SIGNWRITING MOUTH TENSE
    "\u1DA51",  # SIGNWRITING MOUTH TENSE FORWARD
    "\u1DA52",  # SIGNWRITING MOUTH TENSE SUCKED
    "\u1DA53",  # SIGNWRITING LIPS PRESSED TOGETHER
    "\u1DA54",  # SIGNWRITING LIP LOWER OVER UPPER
    "\u1DA55",  # SIGNWRITING LIP UPPER OVER LOWER
    "\u1DA56",  # SIGNWRITING MOUTH CORNERS
    "\u1DA57",  # SIGNWRITING MOUTH WRINKLES SINGLE
    "\u1DA58",  # SIGNWRITING MOUTH WRINKLES DOUBLE
    "\u1DA59",  # SIGNWRITING TONGUE STICKING OUT FAR
    "\u1DA5A",  # SIGNWRITING TONGUE LICKING LIPS
    "\u1DA5B",  # SIGNWRITING TONGUE TIP BETWEEN LIPS
    "\u1DA5C",  # SIGNWRITING TONGUE TIP TOUCHING INSIDE MOUTH
    "\u1DA5D",  # SIGNWRITING TONGUE INSIDE MOUTH RELAXED
    "\u1DA5E",  # SIGNWRITING TONGUE MOVES AGAINST CHEEK
    "\u1DA5F",  # SIGNWRITING TONGUE CENTRE STICKING OUT
    "\u1DA60",  # SIGNWRITING TONGUE CENTRE INSIDE MOUTH
    "\u1DA61",  # SIGNWRITING TEETH
    "\u1DA62",  # SIGNWRITING TEETH MOVEMENT
    "\u1DA63",  # SIGNWRITING TEETH ON TONGUE
    "\u1DA64",  # SIGNWRITING TEETH ON TONGUE MOVEMENT
    "\u1DA65",  # SIGNWRITING TEETH ON LIPS
    "\u1DA66",  # SIGNWRITING TEETH ON LIPS MOVEMENT
    "\u1DA67",  # SIGNWRITING TEETH BITE LIPS
    "\u1DA68",  # SIGNWRITING MOVEMENT-WALLPLANE JAW
    "\u1DA69",  # SIGNWRITING MOVEMENT-FLOORPLANE JAW
    "\u1DA6A",  # SIGNWRITING NECK
    "\u1DA6B",  # SIGNWRITING HAIR
    "\u1DA6C",  # SIGNWRITING EXCITEMENT
    "\u1DA6D",  # SIGNWRITING SHOULDER HIP SPINE
    "\u1DA6E",  # SIGNWRITING SHOULDER HIP POSITIONS
    "\u1DA6F",  # SIGNWRITING WALLPLANE SHOULDER HIP MOVE
    "\u1DA70",  # SIGNWRITING FLOORPLANE SHOULDER HIP MOVE
    "\u1DA71",  # SIGNWRITING SHOULDER TILTING FROM WAIST
    "\u1DA72",  # SIGNWRITING TORSO-WALLPLANE STRAIGHT STRETCH
    "\u1DA73",  # SIGNWRITING TORSO-WALLPLANE CURVED BEND
    "\u1DA74",  # SIGNWRITING TORSO-FLOORPLANE TWISTING
    "\u1DA75",  # SIGNWRITING UPPER BODY TILTING FROM HIP JOINTS
    "\u1DA76",  # SIGNWRITING LIMB COMBINATION
    "\u1DA77",  # SIGNWRITING LIMB LENGTH-1
    "\u1DA78",  # SIGNWRITING LIMB LENGTH-2
    "\u1DA79",  # SIGNWRITING LIMB LENGTH-3
    "\u1DA7A",  # SIGNWRITING LIMB LENGTH-4
    "\u1DA7B",  # SIGNWRITING LIMB LENGTH-5
    "\u1DA7C",  # SIGNWRITING LIMB LENGTH-6
    "\u1DA7D",  # SIGNWRITING LIMB LENGTH-7
    "\u1DA7E",  # SIGNWRITING FINGER
    "\u1DA7F",  # SIGNWRITING LOCATION-WALLPLANE SPACE
    "\u1DA80",  # SIGNWRITING LOCATION-FLOORPLANE SPACE
    "\u1DA81",  # SIGNWRITING LOCATION HEIGHT
    "\u1DA82",  # SIGNWRITING LOCATION WIDTH
    "\u1DA83",  # SIGNWRITING LOCATION DEPTH
    "\u1DA84",  # SIGNWRITING LOCATION HEAD NECK
    "\u1DA85",  # SIGNWRITING LOCATION TORSO
    "\u1DA86",  # SIGNWRITING LOCATION LIMBS DIGITS
    "\u1DA87",  # SIGNWRITING COMMA
    "\u1DA88",  # SIGNWRITING FULL STOP
    "\u1DA89",  # SIGNWRITING SEMICOLON
    "\u1DA8A",  # SIGNWRITING COLON
    "\u1DA8B",  # SIGNWRITING PARENTHESIS
    "\u1DA9B",  # SIGNWRITING FILL MODIFIER-2
    "\u1DA9C",  # SIGNWRITING FILL MODIFIER-3
    "\u1DA9D",  # SIGNWRITING FILL MODIFIER-4
    "\u1DA9E",  # SIGNWRITING FILL MODIFIER-5
    "\u1DA9F",  # SIGNWRITING FILL MODIFIER-6
    "\u1DAA1",  # SIGNWRITING ROTATION MODIFIER-2
    "\u1DAA2",  # SIGNWRITING ROTATION MODIFIER-3
    "\u1DAA3",  # SIGNWRITING ROTATION MODIFIER-4
    "\u1DAA4",  # SIGNWRITING ROTATION MODIFIER-5
    "\u1DAA5",  # SIGNWRITING ROTATION MODIFIER-6
    "\u1DAA6",  # SIGNWRITING ROTATION MODIFIER-7
    "\u1DAA7",  # SIGNWRITING ROTATION MODIFIER-8
    "\u1DAA8",  # SIGNWRITING ROTATION MODIFIER-9
    "\u1DAA9",  # SIGNWRITING ROTATION MODIFIER-10
    "\u1DAAA",  # SIGNWRITING ROTATION MODIFIER-11
    "\u1DAAB",  # SIGNWRITING ROTATION MODIFIER-12
    "\u1DAAC",  # SIGNWRITING ROTATION MODIFIER-13
    "\u1DAAD",  # SIGNWRITING ROTATION MODIFIER-14
    "\u1DAAE",  # SIGNWRITING ROTATION MODIFIER-15
    "\u1DAAF",  # SIGNWRITING ROTATION MODIFIER-16
    "\u1E000",  # COMBINING GLAGOLITIC LETTER AZU
    "\u1E001",  # COMBINING GLAGOLITIC LETTER BUKY
    "\u1E002",  # COMBINING GLAGOLITIC LETTER VEDE
    "\u1E003",  # COMBINING GLAGOLITIC LETTER GLAGOLI
    "\u1E004",  # COMBINING GLAGOLITIC LETTER DOBRO
    "\u1E005",  # COMBINING GLAGOLITIC LETTER YESTU
    "\u1E006",  # COMBINING GLAGOLITIC LETTER ZHIVETE
    "\u1E008",  # COMBINING GLAGOLITIC LETTER ZEMLJA
    "\u1E009",  # COMBINING GLAGOLITIC LETTER IZHE
    "\u1E00A",  # COMBINING GLAGOLITIC LETTER INITIAL IZHE
    "\u1E00B",  # COMBINING GLAGOLITIC LETTER I
    "\u1E00C",  # COMBINING GLAGOLITIC LETTER DJERVI
    "\u1E00D",  # COMBINING GLAGOLITIC LETTER KAKO
    "\u1E00E",  # COMBINING GLAGOLITIC LETTER LJUDIJE
    "\u1E00F",  # COMBINING GLAGOLITIC LETTER MYSLITE
    "\u1E010",  # COMBINING GLAGOLITIC LETTER NASHI
    "\u1E011",  # COMBINING GLAGOLITIC LETTER ONU
    "\u1E012",  # COMBINING GLAGOLITIC LETTER POKOJI
    "\u1E013",  # COMBINING GLAGOLITIC LETTER RITSI
    "\u1E014",  # COMBINING GLAGOLITIC LETTER SLOVO
    "\u1E015",  # COMBINING GLAGOLITIC LETTER TVRIDO
    "\u1E016",  # COMBINING GLAGOLITIC LETTER UKU
    "\u1E017",  # COMBINING GLAGOLITIC LETTER FRITU
    "\u1E018",  # COMBINING GLAGOLITIC LETTER HERU
    "\u1E01B",  # COMBINING GLAGOLITIC LETTER SHTA
    "\u1E01C",  # COMBINING GLAGOLITIC LETTER TSI
    "\u1E01D",  # COMBINING GLAGOLITIC LETTER CHRIVI
    "\u1E01E",  # COMBINING GLAGOLITIC LETTER SHA
    "\u1E01F",  # COMBINING GLAGOLITIC LETTER YERU
    "\u1E020",  # COMBINING GLAGOLITIC LETTER YERI
    "\u1E021",  # COMBINING GLAGOLITIC LETTER YATI
    "\u1E023",  # COMBINING GLAGOLITIC LETTER YU
    "\u1E024",  # COMBINING GLAGOLITIC LETTER SMALL YUS
    "\u1E026",  # COMBINING GLAGOLITIC LETTER YO
    "\u1E027",  # COMBINING GLAGOLITIC LETTER IOTATED SMALL YUS
    "\u1E028",  # COMBINING GLAGOLITIC LETTER BIG YUS
    "\u1E029",  # COMBINING GLAGOLITIC LETTER IOTATED BIG YUS
    "\u1E02A",  # COMBINING GLAGOLITIC LETTER FITA
    "\u1E800",  # MENDE KIKAKUI SYLLABLE M001 KI
    "\u1E801",  # MENDE KIKAKUI SYLLABLE M002 KA
    "\u1E802",  # MENDE KIKAKUI SYLLABLE M003 KU
    "\u1E803",  # MENDE KIKAKUI SYLLABLE M065 KEE
    "\u1E804",  # MENDE KIKAKUI SYLLABLE M095 KE
    "\u1E805",  # MENDE KIKAKUI SYLLABLE M076 KOO
    "\u1E806",  # MENDE KIKAKUI SYLLABLE M048 KO
    "\u1E807",  # MENDE KIKAKUI SYLLABLE M179 KUA
    "\u1E808",  # MENDE KIKAKUI SYLLABLE M004 WI
    "\u1E809",  # MENDE KIKAKUI SYLLABLE M005 WA
    "\u1E80A",  # MENDE KIKAKUI SYLLABLE M006 WU
    "\u1E80B",  # MENDE KIKAKUI SYLLABLE M126 WEE
    "\u1E80C",  # MENDE KIKAKUI SYLLABLE M118 WE
    "\u1E80D",  # MENDE KIKAKUI SYLLABLE M114 WOO
    "\u1E80E",  # MENDE KIKAKUI SYLLABLE M045 WO
    "\u1E80F",  # MENDE KIKAKUI SYLLABLE M194 WUI
    "\u1E810",  # MENDE KIKAKUI SYLLABLE M143 WEI
    "\u1E811",  # MENDE KIKAKUI SYLLABLE M061 WVI
    "\u1E812",  # MENDE KIKAKUI SYLLABLE M049 WVA
    "\u1E813",  # MENDE KIKAKUI SYLLABLE M139 WVE
    "\u1E814",  # MENDE KIKAKUI SYLLABLE M007 MIN
    "\u1E815",  # MENDE KIKAKUI SYLLABLE M008 MAN
    "\u1E816",  # MENDE KIKAKUI SYLLABLE M009 MUN
    "\u1E817",  # MENDE KIKAKUI SYLLABLE M059 MEN
    "\u1E818",  # MENDE KIKAKUI SYLLABLE M094 MON
    "\u1E819",  # MENDE KIKAKUI SYLLABLE M154 MUAN
    "\u1E81A",  # MENDE KIKAKUI SYLLABLE M189 MUEN
    "\u1E81B",  # MENDE KIKAKUI SYLLABLE M010 BI
    "\u1E81C",  # MENDE KIKAKUI SYLLABLE M011 BA
    "\u1E81D",  # MENDE KIKAKUI SYLLABLE M012 BU
    "\u1E81E",  # MENDE KIKAKUI SYLLABLE M150 BEE
    "\u1E81F",  # MENDE KIKAKUI SYLLABLE M097 BE
    "\u1E820",  # MENDE KIKAKUI SYLLABLE M103 BOO
    "\u1E821",  # MENDE KIKAKUI SYLLABLE M138 BO
    "\u1E822",  # MENDE KIKAKUI SYLLABLE M013 I
    "\u1E823",  # MENDE KIKAKUI SYLLABLE M014 A
    "\u1E824",  # MENDE KIKAKUI SYLLABLE M015 U
    "\u1E825",  # MENDE KIKAKUI SYLLABLE M163 EE
    "\u1E826",  # MENDE KIKAKUI SYLLABLE M100 E
    "\u1E827",  # MENDE KIKAKUI SYLLABLE M165 OO
    "\u1E828",  # MENDE KIKAKUI SYLLABLE M147 O
    "\u1E829",  # MENDE KIKAKUI SYLLABLE M137 EI
    "\u1E82A",  # MENDE KIKAKUI SYLLABLE M131 IN
    "\u1E82B",  # MENDE KIKAKUI SYLLABLE M135 IN
    "\u1E82C",  # MENDE KIKAKUI SYLLABLE M195 AN
    "\u1E82D",  # MENDE KIKAKUI SYLLABLE M178 EN
    "\u1E82E",  # MENDE KIKAKUI SYLLABLE M019 SI
    "\u1E82F",  # MENDE KIKAKUI SYLLABLE M020 SA
    "\u1E830",  # MENDE KIKAKUI SYLLABLE M021 SU
    "\u1E831",  # MENDE KIKAKUI SYLLABLE M162 SEE
    "\u1E832",  # MENDE KIKAKUI SYLLABLE M116 SE
    "\u1E833",  # MENDE KIKAKUI SYLLABLE M136 SOO
    "\u1E834",  # MENDE KIKAKUI SYLLABLE M079 SO
    "\u1E835",  # MENDE KIKAKUI SYLLABLE M196 SIA
    "\u1E836",  # MENDE KIKAKUI SYLLABLE M025 LI
    "\u1E837",  # MENDE KIKAKUI SYLLABLE M026 LA
    "\u1E838",  # MENDE KIKAKUI SYLLABLE M027 LU
    "\u1E839",  # MENDE KIKAKUI SYLLABLE M084 LEE
    "\u1E83A",  # MENDE KIKAKUI SYLLABLE M073 LE
    "\u1E83B",  # MENDE KIKAKUI SYLLABLE M054 LOO
    "\u1E83C",  # MENDE KIKAKUI SYLLABLE M153 LO
    "\u1E83D",  # MENDE KIKAKUI SYLLABLE M110 LONG LE
    "\u1E83E",  # MENDE KIKAKUI SYLLABLE M016 DI
    "\u1E83F",  # MENDE KIKAKUI SYLLABLE M017 DA
    "\u1E840",  # MENDE KIKAKUI SYLLABLE M018 DU
    "\u1E841",  # MENDE KIKAKUI SYLLABLE M089 DEE
    "\u1E842",  # MENDE KIKAKUI SYLLABLE M180 DOO
    "\u1E843",  # MENDE KIKAKUI SYLLABLE M181 DO
    "\u1E844",  # MENDE KIKAKUI SYLLABLE M022 TI
    "\u1E845",  # MENDE KIKAKUI SYLLABLE M023 TA
    "\u1E846",  # MENDE KIKAKUI SYLLABLE M024 TU
    "\u1E847",  # MENDE KIKAKUI SYLLABLE M091 TEE
    "\u1E848",  # MENDE KIKAKUI SYLLABLE M055 TE
    "\u1E849",  # MENDE KIKAKUI SYLLABLE M104 TOO
    "\u1E84A",  # MENDE KIKAKUI SYLLABLE M069 TO
    "\u1E84B",  # MENDE KIKAKUI SYLLABLE M028 JI
    "\u1E84C",  # MENDE KIKAKUI SYLLABLE M029 JA
    "\u1E84D",  # MENDE KIKAKUI SYLLABLE M030 JU
    "\u1E84E",  # MENDE KIKAKUI SYLLABLE M157 JEE
    "\u1E84F",  # MENDE KIKAKUI SYLLABLE M113 JE
    "\u1E850",  # MENDE KIKAKUI SYLLABLE M160 JOO
    "\u1E851",  # MENDE KIKAKUI SYLLABLE M063 JO
    "\u1E852",  # MENDE KIKAKUI SYLLABLE M175 LONG JO
    "\u1E853",  # MENDE KIKAKUI SYLLABLE M031 YI
    "\u1E854",  # MENDE KIKAKUI SYLLABLE M032 YA
    "\u1E855",  # MENDE KIKAKUI SYLLABLE M033 YU
    "\u1E856",  # MENDE KIKAKUI SYLLABLE M109 YEE
    "\u1E857",  # MENDE KIKAKUI SYLLABLE M080 YE
    "\u1E858",  # MENDE KIKAKUI SYLLABLE M141 YOO
    "\u1E859",  # MENDE KIKAKUI SYLLABLE M121 YO
    "\u1E85A",  # MENDE KIKAKUI SYLLABLE M034 FI
    "\u1E85B",  # MENDE KIKAKUI SYLLABLE M035 FA
    "\u1E85C",  # MENDE KIKAKUI SYLLABLE M036 FU
    "\u1E85D",  # MENDE KIKAKUI SYLLABLE M078 FEE
    "\u1E85E",  # MENDE KIKAKUI SYLLABLE M075 FE
    "\u1E85F",  # MENDE KIKAKUI SYLLABLE M133 FOO
    "\u1E860",  # MENDE KIKAKUI SYLLABLE M088 FO
    "\u1E861",  # MENDE KIKAKUI SYLLABLE M197 FUA
    "\u1E862",  # MENDE KIKAKUI SYLLABLE M101 FAN
    "\u1E863",  # MENDE KIKAKUI SYLLABLE M037 NIN
    "\u1E864",  # MENDE KIKAKUI SYLLABLE M038 NAN
    "\u1E865",  # MENDE KIKAKUI SYLLABLE M039 NUN
    "\u1E866",  # MENDE KIKAKUI SYLLABLE M117 NEN
    "\u1E867",  # MENDE KIKAKUI SYLLABLE M169 NON
    "\u1E868",  # MENDE KIKAKUI SYLLABLE M176 HI
    "\u1E869",  # MENDE KIKAKUI SYLLABLE M041 HA
    "\u1E86A",  # MENDE KIKAKUI SYLLABLE M186 HU
    "\u1E86B",  # MENDE KIKAKUI SYLLABLE M040 HEE
    "\u1E86C",  # MENDE KIKAKUI SYLLABLE M096 HE
    "\u1E86D",  # MENDE KIKAKUI SYLLABLE M042 HOO
    "\u1E86E",  # MENDE KIKAKUI SYLLABLE M140 HO
    "\u1E86F",  # MENDE KIKAKUI SYLLABLE M083 HEEI
    "\u1E870",  # MENDE KIKAKUI SYLLABLE M128 HOOU
    "\u1E871",  # MENDE KIKAKUI SYLLABLE M053 HIN
    "\u1E872",  # MENDE KIKAKUI SYLLABLE M130 HAN
    "\u1E873",  # MENDE KIKAKUI SYLLABLE M087 HUN
    "\u1E874",  # MENDE KIKAKUI SYLLABLE M052 HEN
    "\u1E875",  # MENDE KIKAKUI SYLLABLE M193 HON
    "\u1E876",  # MENDE KIKAKUI SYLLABLE M046 HUAN
    "\u1E877",  # MENDE KIKAKUI SYLLABLE M090 NGGI
    "\u1E878",  # MENDE KIKAKUI SYLLABLE M043 NGGA
    "\u1E879",  # MENDE KIKAKUI SYLLABLE M082 NGGU
    "\u1E87A",  # MENDE KIKAKUI SYLLABLE M115 NGGEE
    "\u1E87B",  # MENDE KIKAKUI SYLLABLE M146 NGGE
    "\u1E87C",  # MENDE KIKAKUI SYLLABLE M156 NGGOO
    "\u1E87D",  # MENDE KIKAKUI SYLLABLE M120 NGGO
    "\u1E87E",  # MENDE KIKAKUI SYLLABLE M159 NGGAA
    "\u1E87F",  # MENDE KIKAKUI SYLLABLE M127 NGGUA
    "\u1E880",  # MENDE KIKAKUI SYLLABLE M086 LONG NGGE
    "\u1E881",  # MENDE KIKAKUI SYLLABLE M106 LONG NGGOO
    "\u1E882",  # MENDE KIKAKUI SYLLABLE M183 LONG NGGO
    "\u1E883",  # MENDE KIKAKUI SYLLABLE M155 GI
    "\u1E884",  # MENDE KIKAKUI SYLLABLE M111 GA
    "\u1E885",  # MENDE KIKAKUI SYLLABLE M168 GU
    "\u1E886",  # MENDE KIKAKUI SYLLABLE M190 GEE
    "\u1E887",  # MENDE KIKAKUI SYLLABLE M166 GUEI
    "\u1E888",  # MENDE KIKAKUI SYLLABLE M167 GUAN
    "\u1E889",  # MENDE KIKAKUI SYLLABLE M184 NGEN
    "\u1E88A",  # MENDE KIKAKUI SYLLABLE M057 NGON
    "\u1E88B",  # MENDE KIKAKUI SYLLABLE M177 NGUAN
    "\u1E88C",  # MENDE KIKAKUI SYLLABLE M068 PI
    "\u1E88D",  # MENDE KIKAKUI SYLLABLE M099 PA
    "\u1E88E",  # MENDE KIKAKUI SYLLABLE M050 PU
    "\u1E88F",  # MENDE KIKAKUI SYLLABLE M081 PEE
    "\u1E890",  # MENDE KIKAKUI SYLLABLE M051 PE
    "\u1E891",  # MENDE KIKAKUI SYLLABLE M102 POO
    "\u1E892",  # MENDE KIKAKUI SYLLABLE M066 PO
    "\u1E893",  # MENDE KIKAKUI SYLLABLE M145 MBI
    "\u1E894",  # MENDE KIKAKUI SYLLABLE M062 MBA
    "\u1E895",  # MENDE KIKAKUI SYLLABLE M122 MBU
    "\u1E896",  # MENDE KIKAKUI SYLLABLE M047 MBEE
    "\u1E897",  # MENDE KIKAKUI SYLLABLE M188 MBEE
    "\u1E898",  # MENDE KIKAKUI SYLLABLE M072 MBE
    "\u1E899",  # MENDE KIKAKUI SYLLABLE M172 MBOO
    "\u1E89A",  # MENDE KIKAKUI SYLLABLE M174 MBO
    "\u1E89B",  # MENDE KIKAKUI SYLLABLE M187 MBUU
    "\u1E89C",  # MENDE KIKAKUI SYLLABLE M161 LONG MBE
    "\u1E89D",  # MENDE KIKAKUI SYLLABLE M105 LONG MBOO
    "\u1E89E",  # MENDE KIKAKUI SYLLABLE M142 LONG MBO
    "\u1E89F",  # MENDE KIKAKUI SYLLABLE M132 KPI
    "\u1E8A0",  # MENDE KIKAKUI SYLLABLE M092 KPA
    "\u1E8A1",  # MENDE KIKAKUI SYLLABLE M074 KPU
    "\u1E8A2",  # MENDE KIKAKUI SYLLABLE M044 KPEE
    "\u1E8A3",  # MENDE KIKAKUI SYLLABLE M108 KPE
    "\u1E8A4",  # MENDE KIKAKUI SYLLABLE M112 KPOO
    "\u1E8A5",  # MENDE KIKAKUI SYLLABLE M158 KPO
    "\u1E8A6",  # MENDE KIKAKUI SYLLABLE M124 GBI
    "\u1E8A7",  # MENDE KIKAKUI SYLLABLE M056 GBA
    "\u1E8A8",  # MENDE KIKAKUI SYLLABLE M148 GBU
    "\u1E8A9",  # MENDE KIKAKUI SYLLABLE M093 GBEE
    "\u1E8AA",  # MENDE KIKAKUI SYLLABLE M107 GBE
    "\u1E8AB",  # MENDE KIKAKUI SYLLABLE M071 GBOO
    "\u1E8AC",  # MENDE KIKAKUI SYLLABLE M070 GBO
    "\u1E8AD",  # MENDE KIKAKUI SYLLABLE M171 RA
    "\u1E8AE",  # MENDE KIKAKUI SYLLABLE M123 NDI
    "\u1E8AF",  # MENDE KIKAKUI SYLLABLE M129 NDA
    "\u1E8B0",  # MENDE KIKAKUI SYLLABLE M125 NDU
    "\u1E8B1",  # MENDE KIKAKUI SYLLABLE M191 NDEE
    "\u1E8B2",  # MENDE KIKAKUI SYLLABLE M119 NDE
    "\u1E8B3",  # MENDE KIKAKUI SYLLABLE M067 NDOO
    "\u1E8B4",  # MENDE KIKAKUI SYLLABLE M064 NDO
    "\u1E8B5",  # MENDE KIKAKUI SYLLABLE M152 NJA
    "\u1E8B6",  # MENDE KIKAKUI SYLLABLE M192 NJU
    "\u1E8B7",  # MENDE KIKAKUI SYLLABLE M149 NJEE
    "\u1E8B8",  # MENDE KIKAKUI SYLLABLE M134 NJOO
    "\u1E8B9",  # MENDE KIKAKUI SYLLABLE M182 VI
    "\u1E8BA",  # MENDE KIKAKUI SYLLABLE M185 VA
    "\u1E8BB",  # MENDE KIKAKUI SYLLABLE M151 VU
    "\u1E8BC",  # MENDE KIKAKUI SYLLABLE M173 VEE
    "\u1E8BD",  # MENDE KIKAKUI SYLLABLE M085 VE
    "\u1E8BE",  # MENDE KIKAKUI SYLLABLE M144 VOO
    "\u1E8BF",  # MENDE KIKAKUI SYLLABLE M077 VO
    "\u1E8C0",  # MENDE KIKAKUI SYLLABLE M164 NYIN
    "\u1E8C1",  # MENDE KIKAKUI SYLLABLE M058 NYAN
    "\u1E8C2",  # MENDE KIKAKUI SYLLABLE M170 NYUN
    "\u1E8C3",  # MENDE KIKAKUI SYLLABLE M098 NYEN
    "\u1E8C4",  # MENDE KIKAKUI SYLLABLE M060 NYON
    "\u1E8C7",  # MENDE KIKAKUI DIGIT ONE
    "\u1E8C8",  # MENDE KIKAKUI DIGIT TWO
    "\u1E8C9",  # MENDE KIKAKUI DIGIT THREE
    "\u1E8CA",  # MENDE KIKAKUI DIGIT FOUR
    "\u1E8CB",  # MENDE KIKAKUI DIGIT FIVE
    "\u1E8CC",  # MENDE KIKAKUI DIGIT SIX
    "\u1E8CD",  # MENDE KIKAKUI DIGIT SEVEN
    "\u1E8CE",  # MENDE KIKAKUI DIGIT EIGHT
    "\u1E8CF",  # MENDE KIKAKUI DIGIT NINE
    "\u1E8D0",  # MENDE KIKAKUI COMBINING NUMBER TEENS
    "\u1E8D1",  # MENDE KIKAKUI COMBINING NUMBER TENS
    "\u1E8D2",  # MENDE KIKAKUI COMBINING NUMBER HUNDREDS
    "\u1E8D3",  # MENDE KIKAKUI COMBINING NUMBER THOUSANDS
    "\u1E8D4",  # MENDE KIKAKUI COMBINING NUMBER TEN THOUSANDS
    "\u1E8D5",  # MENDE KIKAKUI COMBINING NUMBER HUNDRED THOUSANDS
    "\u1E8D6",  # MENDE KIKAKUI COMBINING NUMBER MILLIONS
    "\u1E900",  # ADLAM CAPITAL LETTER ALIF
    "\u1E901",  # ADLAM CAPITAL LETTER DAALI
    "\u1E902",  # ADLAM CAPITAL LETTER LAAM
    "\u1E903",  # ADLAM CAPITAL LETTER MIIM
    "\u1E904",  # ADLAM CAPITAL LETTER BA
    "\u1E905",  # ADLAM CAPITAL LETTER SINNYIIYHE
    "\u1E906",  # ADLAM CAPITAL LETTER PE
    "\u1E907",  # ADLAM CAPITAL LETTER BHE
    "\u1E908",  # ADLAM CAPITAL LETTER RA
    "\u1E909",  # ADLAM CAPITAL LETTER E
    "\u1E90A",  # ADLAM CAPITAL LETTER FA
    "\u1E90B",  # ADLAM CAPITAL LETTER I
    "\u1E90C",  # ADLAM CAPITAL LETTER O
    "\u1E90D",  # ADLAM CAPITAL LETTER DHA
    "\u1E90E",  # ADLAM CAPITAL LETTER YHE
    "\u1E90F",  # ADLAM CAPITAL LETTER WAW
    "\u1E910",  # ADLAM CAPITAL LETTER NUN
    "\u1E911",  # ADLAM CAPITAL LETTER KAF
    "\u1E912",  # ADLAM CAPITAL LETTER YA
    "\u1E913",  # ADLAM CAPITAL LETTER U
    "\u1E914",  # ADLAM CAPITAL LETTER JIIM
    "\u1E915",  # ADLAM CAPITAL LETTER CHI
    "\u1E916",  # ADLAM CAPITAL LETTER HA
    "\u1E917",  # ADLAM CAPITAL LETTER QAAF
    "\u1E918",  # ADLAM CAPITAL LETTER GA
    "\u1E919",  # ADLAM CAPITAL LETTER NYA
    "\u1E91A",  # ADLAM CAPITAL LETTER TU
    "\u1E91B",  # ADLAM CAPITAL LETTER NHA
    "\u1E91C",  # ADLAM CAPITAL LETTER VA
    "\u1E91D",  # ADLAM CAPITAL LETTER KHA
    "\u1E91E",  # ADLAM CAPITAL LETTER GBE
    "\u1E91F",  # ADLAM CAPITAL LETTER ZAL
    "\u1E920",  # ADLAM CAPITAL LETTER KPO
    "\u1E921",  # ADLAM CAPITAL LETTER SHA
    "\u1E922",  # ADLAM SMALL LETTER ALIF
    "\u1E923",  # ADLAM SMALL LETTER DAALI
    "\u1E924",  # ADLAM SMALL LETTER LAAM
    "\u1E925",  # ADLAM SMALL LETTER MIIM
    "\u1E926",  # ADLAM SMALL LETTER BA
    "\u1E927",  # ADLAM SMALL LETTER SINNYIIYHE
    "\u1E928",  # ADLAM SMALL LETTER PE
    "\u1E929",  # ADLAM SMALL LETTER BHE
    "\u1E92A",  # ADLAM SMALL LETTER RA
    "\u1E92B",  # ADLAM SMALL LETTER E
    "\u1E92C",  # ADLAM SMALL LETTER FA
    "\u1E92D",  # ADLAM SMALL LETTER I
    "\u1E92E",  # ADLAM SMALL LETTER O
    "\u1E92F",  # ADLAM SMALL LETTER DHA
    "\u1E930",  # ADLAM SMALL LETTER YHE
    "\u1E931",  # ADLAM SMALL LETTER WAW
    "\u1E932",  # ADLAM SMALL LETTER NUN
    "\u1E933",  # ADLAM SMALL LETTER KAF
    "\u1E934",  # ADLAM SMALL LETTER YA
    "\u1E935",  # ADLAM SMALL LETTER U
    "\u1E936",  # ADLAM SMALL LETTER JIIM
    "\u1E937",  # ADLAM SMALL LETTER CHI
    "\u1E938",  # ADLAM SMALL LETTER HA
    "\u1E939",  # ADLAM SMALL LETTER QAAF
    "\u1E93A",  # ADLAM SMALL LETTER GA
    "\u1E93B",  # ADLAM SMALL LETTER NYA
    "\u1E93C",  # ADLAM SMALL LETTER TU
    "\u1E93D",  # ADLAM SMALL LETTER NHA
    "\u1E93E",  # ADLAM SMALL LETTER VA
    "\u1E93F",  # ADLAM SMALL LETTER KHA
    "\u1E940",  # ADLAM SMALL LETTER GBE
    "\u1E941",  # ADLAM SMALL LETTER ZAL
    "\u1E942",  # ADLAM SMALL LETTER KPO
    "\u1E943",  # ADLAM SMALL LETTER SHA
    "\u1E944",  # ADLAM ALIF LENGTHENER
    "\u1E945",  # ADLAM VOWEL LENGTHENER
    "\u1E946",  # ADLAM GEMINATION MARK
    "\u1E947",  # ADLAM HAMZA
    "\u1E948",  # ADLAM CONSONANT MODIFIER
    "\u1E949",  # ADLAM GEMINATE CONSONANT MODIFIER
    "\u1E94A",  # ADLAM NUKTA
    "\u1E950",  # ADLAM DIGIT ZERO
    "\u1E951",  # ADLAM DIGIT ONE
    "\u1E952",  # ADLAM DIGIT TWO
    "\u1E953",  # ADLAM DIGIT THREE
    "\u1E954",  # ADLAM DIGIT FOUR
    "\u1E955",  # ADLAM DIGIT FIVE
    "\u1E956",  # ADLAM DIGIT SIX
    "\u1E957",  # ADLAM DIGIT SEVEN
    "\u1E958",  # ADLAM DIGIT EIGHT
    "\u1E959",  # ADLAM DIGIT NINE
    "\u1E95E",  # ADLAM INITIAL EXCLAMATION MARK
    "\u1E95F",  # ADLAM INITIAL QUESTION MARK
    "\u1EE00",  # ARABIC MATHEMATICAL ALEF
    "\u1EE01",  # ARABIC MATHEMATICAL BEH
    "\u1EE02",  # ARABIC MATHEMATICAL JEEM
    "\u1EE03",  # ARABIC MATHEMATICAL DAL
    "\u1EE05",  # ARABIC MATHEMATICAL WAW
    "\u1EE06",  # ARABIC MATHEMATICAL ZAIN
    "\u1EE07",  # ARABIC MATHEMATICAL HAH
    "\u1EE08",  # ARABIC MATHEMATICAL TAH
    "\u1EE09",  # ARABIC MATHEMATICAL YEH
    "\u1EE0A",  # ARABIC MATHEMATICAL KAF
    "\u1EE0B",  # ARABIC MATHEMATICAL LAM
    "\u1EE0C",  # ARABIC MATHEMATICAL MEEM
    "\u1EE0D",  # ARABIC MATHEMATICAL NOON
    "\u1EE0E",  # ARABIC MATHEMATICAL SEEN
    "\u1EE0F",  # ARABIC MATHEMATICAL AIN
    "\u1EE10",  # ARABIC MATHEMATICAL FEH
    "\u1EE11",  # ARABIC MATHEMATICAL SAD
    "\u1EE12",  # ARABIC MATHEMATICAL QAF
    "\u1EE13",  # ARABIC MATHEMATICAL REH
    "\u1EE14",  # ARABIC MATHEMATICAL SHEEN
    "\u1EE15",  # ARABIC MATHEMATICAL TEH
    "\u1EE16",  # ARABIC MATHEMATICAL THEH
    "\u1EE17",  # ARABIC MATHEMATICAL KHAH
    "\u1EE18",  # ARABIC MATHEMATICAL THAL
    "\u1EE19",  # ARABIC MATHEMATICAL DAD
    "\u1EE1A",  # ARABIC MATHEMATICAL ZAH
    "\u1EE1B",  # ARABIC MATHEMATICAL GHAIN
    "\u1EE1C",  # ARABIC MATHEMATICAL DOTLESS BEH
    "\u1EE1D",  # ARABIC MATHEMATICAL DOTLESS NOON
    "\u1EE1E",  # ARABIC MATHEMATICAL DOTLESS FEH
    "\u1EE1F",  # ARABIC MATHEMATICAL DOTLESS QAF
    "\u1EE21",  # ARABIC MATHEMATICAL INITIAL BEH
    "\u1EE22",  # ARABIC MATHEMATICAL INITIAL JEEM
    "\u1EE24",  # ARABIC MATHEMATICAL INITIAL HEH
    "\u1EE27",  # ARABIC MATHEMATICAL INITIAL HAH
    "\u1EE29",  # ARABIC MATHEMATICAL INITIAL YEH
    "\u1EE2A",  # ARABIC MATHEMATICAL INITIAL KAF
    "\u1EE2B",  # ARABIC MATHEMATICAL INITIAL LAM
    "\u1EE2C",  # ARABIC MATHEMATICAL INITIAL MEEM
    "\u1EE2D",  # ARABIC MATHEMATICAL INITIAL NOON
    "\u1EE2E",  # ARABIC MATHEMATICAL INITIAL SEEN
    "\u1EE2F",  # ARABIC MATHEMATICAL INITIAL AIN
    "\u1EE30",  # ARABIC MATHEMATICAL INITIAL FEH
    "\u1EE31",  # ARABIC MATHEMATICAL INITIAL SAD
    "\u1EE32",  # ARABIC MATHEMATICAL INITIAL QAF
    "\u1EE34",  # ARABIC MATHEMATICAL INITIAL SHEEN
    "\u1EE35",  # ARABIC MATHEMATICAL INITIAL TEH
    "\u1EE36",  # ARABIC MATHEMATICAL INITIAL THEH
    "\u1EE37",  # ARABIC MATHEMATICAL INITIAL KHAH
    "\u1EE39",  # ARABIC MATHEMATICAL INITIAL DAD
    "\u1EE3B",  # ARABIC MATHEMATICAL INITIAL GHAIN
    "\u1EE42",  # ARABIC MATHEMATICAL TAILED JEEM
    "\u1EE47",  # ARABIC MATHEMATICAL TAILED HAH
    "\u1EE49",  # ARABIC MATHEMATICAL TAILED YEH
    "\u1EE4B",  # ARABIC MATHEMATICAL TAILED LAM
    "\u1EE4D",  # ARABIC MATHEMATICAL TAILED NOON
    "\u1EE4E",  # ARABIC MATHEMATICAL TAILED SEEN
    "\u1EE4F",  # ARABIC MATHEMATICAL TAILED AIN
    "\u1EE51",  # ARABIC MATHEMATICAL TAILED SAD
    "\u1EE52",  # ARABIC MATHEMATICAL TAILED QAF
    "\u1EE54",  # ARABIC MATHEMATICAL TAILED SHEEN
    "\u1EE57",  # ARABIC MATHEMATICAL TAILED KHAH
    "\u1EE59",  # ARABIC MATHEMATICAL TAILED DAD
    "\u1EE5B",  # ARABIC MATHEMATICAL TAILED GHAIN
    "\u1EE5D",  # ARABIC MATHEMATICAL TAILED DOTLESS NOON
    "\u1EE5F",  # ARABIC MATHEMATICAL TAILED DOTLESS QAF
    "\u1EE61",  # ARABIC MATHEMATICAL STRETCHED BEH
    "\u1EE62",  # ARABIC MATHEMATICAL STRETCHED JEEM
    "\u1EE64",  # ARABIC MATHEMATICAL STRETCHED HEH
    "\u1EE67",  # ARABIC MATHEMATICAL STRETCHED HAH
    "\u1EE68",  # ARABIC MATHEMATICAL STRETCHED TAH
    "\u1EE69",  # ARABIC MATHEMATICAL STRETCHED YEH
    "\u1EE6A",  # ARABIC MATHEMATICAL STRETCHED KAF
    "\u1EE6C",  # ARABIC MATHEMATICAL STRETCHED MEEM
    "\u1EE6D",  # ARABIC MATHEMATICAL STRETCHED NOON
    "\u1EE6E",  # ARABIC MATHEMATICAL STRETCHED SEEN
    "\u1EE6F",  # ARABIC MATHEMATICAL STRETCHED AIN
    "\u1EE70",  # ARABIC MATHEMATICAL STRETCHED FEH
    "\u1EE71",  # ARABIC MATHEMATICAL STRETCHED SAD
    "\u1EE72",  # ARABIC MATHEMATICAL STRETCHED QAF
    "\u1EE74",  # ARABIC MATHEMATICAL STRETCHED SHEEN
    "\u1EE75",  # ARABIC MATHEMATICAL STRETCHED TEH
    "\u1EE76",  # ARABIC MATHEMATICAL STRETCHED THEH
    "\u1EE77",  # ARABIC MATHEMATICAL STRETCHED KHAH
    "\u1EE79",  # ARABIC MATHEMATICAL STRETCHED DAD
    "\u1EE7A",  # ARABIC MATHEMATICAL STRETCHED ZAH
    "\u1EE7B",  # ARABIC MATHEMATICAL STRETCHED GHAIN
    "\u1EE7C",  # ARABIC MATHEMATICAL STRETCHED DOTLESS BEH
    "\u1EE7E",  # ARABIC MATHEMATICAL STRETCHED DOTLESS FEH
    "\u1EE80",  # ARABIC MATHEMATICAL LOOPED ALEF
    "\u1EE81",  # ARABIC MATHEMATICAL LOOPED BEH
    "\u1EE82",  # ARABIC MATHEMATICAL LOOPED JEEM
    "\u1EE83",  # ARABIC MATHEMATICAL LOOPED DAL
    "\u1EE84",  # ARABIC MATHEMATICAL LOOPED HEH
    "\u1EE85",  # ARABIC MATHEMATICAL LOOPED WAW
    "\u1EE86",  # ARABIC MATHEMATICAL LOOPED ZAIN
    "\u1EE87",  # ARABIC MATHEMATICAL LOOPED HAH
    "\u1EE88",  # ARABIC MATHEMATICAL LOOPED TAH
    "\u1EE89",  # ARABIC MATHEMATICAL LOOPED YEH
    "\u1EE8B",  # ARABIC MATHEMATICAL LOOPED LAM
    "\u1EE8C",  # ARABIC MATHEMATICAL LOOPED MEEM
    "\u1EE8D",  # ARABIC MATHEMATICAL LOOPED NOON
    "\u1EE8E",  # ARABIC MATHEMATICAL LOOPED SEEN
    "\u1EE8F",  # ARABIC MATHEMATICAL LOOPED AIN
    "\u1EE90",  # ARABIC MATHEMATICAL LOOPED FEH
    "\u1EE91",  # ARABIC MATHEMATICAL LOOPED SAD
    "\u1EE92",  # ARABIC MATHEMATICAL LOOPED QAF
    "\u1EE93",  # ARABIC MATHEMATICAL LOOPED REH
    "\u1EE94",  # ARABIC MATHEMATICAL LOOPED SHEEN
    "\u1EE95",  # ARABIC MATHEMATICAL LOOPED TEH
    "\u1EE96",  # ARABIC MATHEMATICAL LOOPED THEH
    "\u1EE97",  # ARABIC MATHEMATICAL LOOPED KHAH
    "\u1EE98",  # ARABIC MATHEMATICAL LOOPED THAL
    "\u1EE99",  # ARABIC MATHEMATICAL LOOPED DAD
    "\u1EE9A",  # ARABIC MATHEMATICAL LOOPED ZAH
    "\u1EE9B",  # ARABIC MATHEMATICAL LOOPED GHAIN
    "\u1EEA1",  # ARABIC MATHEMATICAL DOUBLE-STRUCK BEH
    "\u1EEA2",  # ARABIC MATHEMATICAL DOUBLE-STRUCK JEEM
    "\u1EEA3",  # ARABIC MATHEMATICAL DOUBLE-STRUCK DAL
    "\u1EEA5",  # ARABIC MATHEMATICAL DOUBLE-STRUCK WAW
    "\u1EEA6",  # ARABIC MATHEMATICAL DOUBLE-STRUCK ZAIN
    "\u1EEA7",  # ARABIC MATHEMATICAL DOUBLE-STRUCK HAH
    "\u1EEA8",  # ARABIC MATHEMATICAL DOUBLE-STRUCK TAH
    "\u1EEA9",  # ARABIC MATHEMATICAL DOUBLE-STRUCK YEH
    "\u1EEAB",  # ARABIC MATHEMATICAL DOUBLE-STRUCK LAM
    "\u1EEAC",  # ARABIC MATHEMATICAL DOUBLE-STRUCK MEEM
    "\u1EEAD",  # ARABIC MATHEMATICAL DOUBLE-STRUCK NOON
    "\u1EEAE",  # ARABIC MATHEMATICAL DOUBLE-STRUCK SEEN
    "\u1EEAF",  # ARABIC MATHEMATICAL DOUBLE-STRUCK AIN
    "\u1EEB0",  # ARABIC MATHEMATICAL DOUBLE-STRUCK FEH
    "\u1EEB1",  # ARABIC MATHEMATICAL DOUBLE-STRUCK SAD
    "\u1EEB2",  # ARABIC MATHEMATICAL DOUBLE-STRUCK QAF
    "\u1EEB3",  # ARABIC MATHEMATICAL DOUBLE-STRUCK REH
    "\u1EEB4",  # ARABIC MATHEMATICAL DOUBLE-STRUCK SHEEN
    "\u1EEB5",  # ARABIC MATHEMATICAL DOUBLE-STRUCK TEH
    "\u1EEB6",  # ARABIC MATHEMATICAL DOUBLE-STRUCK THEH
    "\u1EEB7",  # ARABIC MATHEMATICAL DOUBLE-STRUCK KHAH
    "\u1EEB8",  # ARABIC MATHEMATICAL DOUBLE-STRUCK THAL
    "\u1EEB9",  # ARABIC MATHEMATICAL DOUBLE-STRUCK DAD
    "\u1EEBA",  # ARABIC MATHEMATICAL DOUBLE-STRUCK ZAH
    "\u1EEBB",  # ARABIC MATHEMATICAL DOUBLE-STRUCK GHAIN
    "\u1EEF0",  # ARABIC MATHEMATICAL OPERATOR MEEM WITH HAH WITH TATWEEL
    "\u1EEF1",  # ARABIC MATHEMATICAL OPERATOR HAH WITH DAL
    "\u1F000",  # MAHJONG TILE EAST WIND
    "\u1F001",  # MAHJONG TILE SOUTH WIND
    "\u1F002",  # MAHJONG TILE WEST WIND
    "\u1F003",  # MAHJONG TILE NORTH WIND
    "\u1F004",  # MAHJONG TILE RED DRAGON
    "\u1F005",  # MAHJONG TILE GREEN DRAGON
    "\u1F006",  # MAHJONG TILE WHITE DRAGON
    "\u1F007",  # MAHJONG TILE ONE OF CHARACTERS
    "\u1F008",  # MAHJONG TILE TWO OF CHARACTERS
    "\u1F009",  # MAHJONG TILE THREE OF CHARACTERS
    "\u1F00A",  # MAHJONG TILE FOUR OF CHARACTERS
    "\u1F00B",  # MAHJONG TILE FIVE OF CHARACTERS
    "\u1F00C",  # MAHJONG TILE SIX OF CHARACTERS
    "\u1F00D",  # MAHJONG TILE SEVEN OF CHARACTERS
    "\u1F00E",  # MAHJONG TILE EIGHT OF CHARACTERS
    "\u1F00F",  # MAHJONG TILE NINE OF CHARACTERS
    "\u1F010",  # MAHJONG TILE ONE OF BAMBOOS
    "\u1F011",  # MAHJONG TILE TWO OF BAMBOOS
    "\u1F012",  # MAHJONG TILE THREE OF BAMBOOS
    "\u1F013",  # MAHJONG TILE FOUR OF BAMBOOS
    "\u1F014",  # MAHJONG TILE FIVE OF BAMBOOS
    "\u1F015",  # MAHJONG TILE SIX OF BAMBOOS
    "\u1F016",  # MAHJONG TILE SEVEN OF BAMBOOS
    "\u1F017",  # MAHJONG TILE EIGHT OF BAMBOOS
    "\u1F018",  # MAHJONG TILE NINE OF BAMBOOS
    "\u1F019",  # MAHJONG TILE ONE OF CIRCLES
    "\u1F01A",  # MAHJONG TILE TWO OF CIRCLES
    "\u1F01B",  # MAHJONG TILE THREE OF CIRCLES
    "\u1F01C",  # MAHJONG TILE FOUR OF CIRCLES
    "\u1F01D",  # MAHJONG TILE FIVE OF CIRCLES
    "\u1F01E",  # MAHJONG TILE SIX OF CIRCLES
    "\u1F01F",  # MAHJONG TILE SEVEN OF CIRCLES
    "\u1F020",  # MAHJONG TILE EIGHT OF CIRCLES
    "\u1F021",  # MAHJONG TILE NINE OF CIRCLES
    "\u1F022",  # MAHJONG TILE PLUM
    "\u1F023",  # MAHJONG TILE ORCHID
    "\u1F024",  # MAHJONG TILE BAMBOO
    "\u1F025",  # MAHJONG TILE CHRYSANTHEMUM
    "\u1F026",  # MAHJONG TILE SPRING
    "\u1F027",  # MAHJONG TILE SUMMER
    "\u1F028",  # MAHJONG TILE AUTUMN
    "\u1F029",  # MAHJONG TILE WINTER
    "\u1F02A",  # MAHJONG TILE JOKER
    "\u1F02B",  # MAHJONG TILE BACK
    "\u1F030",  # DOMINO TILE HORIZONTAL BACK
    "\u1F031",  # DOMINO TILE HORIZONTAL-00-00
    "\u1F032",  # DOMINO TILE HORIZONTAL-00-01
    "\u1F033",  # DOMINO TILE HORIZONTAL-00-02
    "\u1F034",  # DOMINO TILE HORIZONTAL-00-03
    "\u1F035",  # DOMINO TILE HORIZONTAL-00-04
    "\u1F036",  # DOMINO TILE HORIZONTAL-00-05
    "\u1F037",  # DOMINO TILE HORIZONTAL-00-06
    "\u1F038",  # DOMINO TILE HORIZONTAL-01-00
    "\u1F039",  # DOMINO TILE HORIZONTAL-01-01
    "\u1F03A",  # DOMINO TILE HORIZONTAL-01-02
    "\u1F03B",  # DOMINO TILE HORIZONTAL-01-03
    "\u1F03C",  # DOMINO TILE HORIZONTAL-01-04
    "\u1F03D",  # DOMINO TILE HORIZONTAL-01-05
    "\u1F03E",  # DOMINO TILE HORIZONTAL-01-06
    "\u1F03F",  # DOMINO TILE HORIZONTAL-02-00
    "\u1F040",  # DOMINO TILE HORIZONTAL-02-01
    "\u1F041",  # DOMINO TILE HORIZONTAL-02-02
    "\u1F042",  # DOMINO TILE HORIZONTAL-02-03
    "\u1F043",  # DOMINO TILE HORIZONTAL-02-04
    "\u1F044",  # DOMINO TILE HORIZONTAL-02-05
    "\u1F045",  # DOMINO TILE HORIZONTAL-02-06
    "\u1F046",  # DOMINO TILE HORIZONTAL-03-00
    "\u1F047",  # DOMINO TILE HORIZONTAL-03-01
    "\u1F048",  # DOMINO TILE HORIZONTAL-03-02
    "\u1F049",  # DOMINO TILE HORIZONTAL-03-03
    "\u1F04A",  # DOMINO TILE HORIZONTAL-03-04
    "\u1F04B",  # DOMINO TILE HORIZONTAL-03-05
    "\u1F04C",  # DOMINO TILE HORIZONTAL-03-06
    "\u1F04D",  # DOMINO TILE HORIZONTAL-04-00
    "\u1F04E",  # DOMINO TILE HORIZONTAL-04-01
    "\u1F04F",  # DOMINO TILE HORIZONTAL-04-02
    "\u1F050",  # DOMINO TILE HORIZONTAL-04-03
    "\u1F051",  # DOMINO TILE HORIZONTAL-04-04
    "\u1F052",  # DOMINO TILE HORIZONTAL-04-05
    "\u1F053",  # DOMINO TILE HORIZONTAL-04-06
    "\u1F054",  # DOMINO TILE HORIZONTAL-05-00
    "\u1F055",  # DOMINO TILE HORIZONTAL-05-01
    "\u1F056",  # DOMINO TILE HORIZONTAL-05-02
    "\u1F057",  # DOMINO TILE HORIZONTAL-05-03
    "\u1F058",  # DOMINO TILE HORIZONTAL-05-04
    "\u1F059",  # DOMINO TILE HORIZONTAL-05-05
    "\u1F05A",  # DOMINO TILE HORIZONTAL-05-06
    "\u1F05B",  # DOMINO TILE HORIZONTAL-06-00
    "\u1F05C",  # DOMINO TILE HORIZONTAL-06-01
    "\u1F05D",  # DOMINO TILE HORIZONTAL-06-02
    "\u1F05E",  # DOMINO TILE HORIZONTAL-06-03
    "\u1F05F",  # DOMINO TILE HORIZONTAL-06-04
    "\u1F060",  # DOMINO TILE HORIZONTAL-06-05
    "\u1F061",  # DOMINO TILE HORIZONTAL-06-06
    "\u1F062",  # DOMINO TILE VERTICAL BACK
    "\u1F063",  # DOMINO TILE VERTICAL-00-00
    "\u1F064",  # DOMINO TILE VERTICAL-00-01
    "\u1F065",  # DOMINO TILE VERTICAL-00-02
    "\u1F066",  # DOMINO TILE VERTICAL-00-03
    "\u1F067",  # DOMINO TILE VERTICAL-00-04
    "\u1F068",  # DOMINO TILE VERTICAL-00-05
    "\u1F069",  # DOMINO TILE VERTICAL-00-06
    "\u1F06A",  # DOMINO TILE VERTICAL-01-00
    "\u1F06B",  # DOMINO TILE VERTICAL-01-01
    "\u1F06C",  # DOMINO TILE VERTICAL-01-02
    "\u1F06D",  # DOMINO TILE VERTICAL-01-03
    "\u1F06E",  # DOMINO TILE VERTICAL-01-04
    "\u1F06F",  # DOMINO TILE VERTICAL-01-05
    "\u1F070",  # DOMINO TILE VERTICAL-01-06
    "\u1F071",  # DOMINO TILE VERTICAL-02-00
    "\u1F072",  # DOMINO TILE VERTICAL-02-01
    "\u1F073",  # DOMINO TILE VERTICAL-02-02
    "\u1F074",  # DOMINO TILE VERTICAL-02-03
    "\u1F075",  # DOMINO TILE VERTICAL-02-04
    "\u1F076",  # DOMINO TILE VERTICAL-02-05
    "\u1F077",  # DOMINO TILE VERTICAL-02-06
    "\u1F078",  # DOMINO TILE VERTICAL-03-00
    "\u1F079",  # DOMINO TILE VERTICAL-03-01
    "\u1F07A",  # DOMINO TILE VERTICAL-03-02
    "\u1F07B",  # DOMINO TILE VERTICAL-03-03
    "\u1F07C",  # DOMINO TILE VERTICAL-03-04
    "\u1F07D",  # DOMINO TILE VERTICAL-03-05
    "\u1F07E",  # DOMINO TILE VERTICAL-03-06
    "\u1F07F",  # DOMINO TILE VERTICAL-04-00
    "\u1F080",  # DOMINO TILE VERTICAL-04-01
    "\u1F081",  # DOMINO TILE VERTICAL-04-02
    "\u1F082",  # DOMINO TILE VERTICAL-04-03
    "\u1F083",  # DOMINO TILE VERTICAL-04-04
    "\u1F084",  # DOMINO TILE VERTICAL-04-05
    "\u1F085",  # DOMINO TILE VERTICAL-04-06
    "\u1F086",  # DOMINO TILE VERTICAL-05-00
    "\u1F087",  # DOMINO TILE VERTICAL-05-01
    "\u1F088",  # DOMINO TILE VERTICAL-05-02
    "\u1F089",  # DOMINO TILE VERTICAL-05-03
    "\u1F08A",  # DOMINO TILE VERTICAL-05-04
    "\u1F08B",  # DOMINO TILE VERTICAL-05-05
    "\u1F08C",  # DOMINO TILE VERTICAL-05-06
    "\u1F08D",  # DOMINO TILE VERTICAL-06-00
    "\u1F08E",  # DOMINO TILE VERTICAL-06-01
    "\u1F08F",  # DOMINO TILE VERTICAL-06-02
    "\u1F090",  # DOMINO TILE VERTICAL-06-03
    "\u1F091",  # DOMINO TILE VERTICAL-06-04
    "\u1F092",  # DOMINO TILE VERTICAL-06-05
    "\u1F093",  # DOMINO TILE VERTICAL-06-06
    "\u1F0A0",  # PLAYING CARD BACK
    "\u1F0A1",  # PLAYING CARD ACE OF SPADES
    "\u1F0A2",  # PLAYING CARD TWO OF SPADES
    "\u1F0A3",  # PLAYING CARD THREE OF SPADES
    "\u1F0A4",  # PLAYING CARD FOUR OF SPADES
    "\u1F0A5",  # PLAYING CARD FIVE OF SPADES
    "\u1F0A6",  # PLAYING CARD SIX OF SPADES
    "\u1F0A7",  # PLAYING CARD SEVEN OF SPADES
    "\u1F0A8",  # PLAYING CARD EIGHT OF SPADES
    "\u1F0A9",  # PLAYING CARD NINE OF SPADES
    "\u1F0AA",  # PLAYING CARD TEN OF SPADES
    "\u1F0AB",  # PLAYING CARD JACK OF SPADES
    "\u1F0AC",  # PLAYING CARD KNIGHT OF SPADES
    "\u1F0AD",  # PLAYING CARD QUEEN OF SPADES
    "\u1F0AE",  # PLAYING CARD KING OF SPADES
    "\u1F0B1",  # PLAYING CARD ACE OF HEARTS
    "\u1F0B2",  # PLAYING CARD TWO OF HEARTS
    "\u1F0B3",  # PLAYING CARD THREE OF HEARTS
    "\u1F0B4",  # PLAYING CARD FOUR OF HEARTS
    "\u1F0B5",  # PLAYING CARD FIVE OF HEARTS
    "\u1F0B6",  # PLAYING CARD SIX OF HEARTS
    "\u1F0B7",  # PLAYING CARD SEVEN OF HEARTS
    "\u1F0B8",  # PLAYING CARD EIGHT OF HEARTS
    "\u1F0B9",  # PLAYING CARD NINE OF HEARTS
    "\u1F0BA",  # PLAYING CARD TEN OF HEARTS
    "\u1F0BB",  # PLAYING CARD JACK OF HEARTS
    "\u1F0BC",  # PLAYING CARD KNIGHT OF HEARTS
    "\u1F0BD",  # PLAYING CARD QUEEN OF HEARTS
    "\u1F0BE",  # PLAYING CARD KING OF HEARTS
    "\u1F0BF",  # PLAYING CARD RED JOKER
    "\u1F0C1",  # PLAYING CARD ACE OF DIAMONDS
    "\u1F0C2",  # PLAYING CARD TWO OF DIAMONDS
    "\u1F0C3",  # PLAYING CARD THREE OF DIAMONDS
    "\u1F0C4",  # PLAYING CARD FOUR OF DIAMONDS
    "\u1F0C5",  # PLAYING CARD FIVE OF DIAMONDS
    "\u1F0C6",  # PLAYING CARD SIX OF DIAMONDS
    "\u1F0C7",  # PLAYING CARD SEVEN OF DIAMONDS
    "\u1F0C8",  # PLAYING CARD EIGHT OF DIAMONDS
    "\u1F0C9",  # PLAYING CARD NINE OF DIAMONDS
    "\u1F0CA",  # PLAYING CARD TEN OF DIAMONDS
    "\u1F0CB",  # PLAYING CARD JACK OF DIAMONDS
    "\u1F0CC",  # PLAYING CARD KNIGHT OF DIAMONDS
    "\u1F0CD",  # PLAYING CARD QUEEN OF DIAMONDS
    "\u1F0CE",  # PLAYING CARD KING OF DIAMONDS
    "\u1F0CF",  # PLAYING CARD BLACK JOKER
    "\u1F0D1",  # PLAYING CARD ACE OF CLUBS
    "\u1F0D2",  # PLAYING CARD TWO OF CLUBS
    "\u1F0D3",  # PLAYING CARD THREE OF CLUBS
    "\u1F0D4",  # PLAYING CARD FOUR OF CLUBS
    "\u1F0D5",  # PLAYING CARD FIVE OF CLUBS
    "\u1F0D6",  # PLAYING CARD SIX OF CLUBS
    "\u1F0D7",  # PLAYING CARD SEVEN OF CLUBS
    "\u1F0D8",  # PLAYING CARD EIGHT OF CLUBS
    "\u1F0D9",  # PLAYING CARD NINE OF CLUBS
    "\u1F0DA",  # PLAYING CARD TEN OF CLUBS
    "\u1F0DB",  # PLAYING CARD JACK OF CLUBS
    "\u1F0DC",  # PLAYING CARD KNIGHT OF CLUBS
    "\u1F0DD",  # PLAYING CARD QUEEN OF CLUBS
    "\u1F0DE",  # PLAYING CARD KING OF CLUBS
    "\u1F0DF",  # PLAYING CARD WHITE JOKER
    "\u1F0E0",  # PLAYING CARD FOOL
    "\u1F0E1",  # PLAYING CARD TRUMP-1
    "\u1F0E2",  # PLAYING CARD TRUMP-2
    "\u1F0E3",  # PLAYING CARD TRUMP-3
    "\u1F0E4",  # PLAYING CARD TRUMP-4
    "\u1F0E5",  # PLAYING CARD TRUMP-5
    "\u1F0E6",  # PLAYING CARD TRUMP-6
    "\u1F0E7",  # PLAYING CARD TRUMP-7
    "\u1F0E8",  # PLAYING CARD TRUMP-8
    "\u1F0E9",  # PLAYING CARD TRUMP-9
    "\u1F0EA",  # PLAYING CARD TRUMP-10
    "\u1F0EB",  # PLAYING CARD TRUMP-11
    "\u1F0EC",  # PLAYING CARD TRUMP-12
    "\u1F0ED",  # PLAYING CARD TRUMP-13
    "\u1F0EE",  # PLAYING CARD TRUMP-14
    "\u1F0EF",  # PLAYING CARD TRUMP-15
    "\u1F0F0",  # PLAYING CARD TRUMP-16
    "\u1F0F1",  # PLAYING CARD TRUMP-17
    "\u1F0F2",  # PLAYING CARD TRUMP-18
    "\u1F0F3",  # PLAYING CARD TRUMP-19
    "\u1F0F4",  # PLAYING CARD TRUMP-20
    "\u1F0F5",  # PLAYING CARD TRUMP-21
    "\u1F100",  # DIGIT ZERO FULL STOP
    "\u1F101",  # DIGIT ZERO COMMA
    "\u1F102",  # DIGIT ONE COMMA
    "\u1F103",  # DIGIT TWO COMMA
    "\u1F104",  # DIGIT THREE COMMA
    "\u1F105",  # DIGIT FOUR COMMA
    "\u1F106",  # DIGIT FIVE COMMA
    "\u1F107",  # DIGIT SIX COMMA
    "\u1F108",  # DIGIT SEVEN COMMA
    "\u1F109",  # DIGIT EIGHT COMMA
    "\u1F10A",  # DIGIT NINE COMMA
    "\u1F10B",  # DINGBAT CIRCLED SANS-SERIF DIGIT ZERO
    "\u1F10C",  # DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT ZERO
    "\u1F110",  # PARENTHESIZED LATIN CAPITAL LETTER A
    "\u1F111",  # PARENTHESIZED LATIN CAPITAL LETTER B
    "\u1F112",  # PARENTHESIZED LATIN CAPITAL LETTER C
    "\u1F113",  # PARENTHESIZED LATIN CAPITAL LETTER D
    "\u1F114",  # PARENTHESIZED LATIN CAPITAL LETTER E
    "\u1F115",  # PARENTHESIZED LATIN CAPITAL LETTER F
    "\u1F116",  # PARENTHESIZED LATIN CAPITAL LETTER G
    "\u1F117",  # PARENTHESIZED LATIN CAPITAL LETTER H
    "\u1F118",  # PARENTHESIZED LATIN CAPITAL LETTER I
    "\u1F119",  # PARENTHESIZED LATIN CAPITAL LETTER J
    "\u1F11A",  # PARENTHESIZED LATIN CAPITAL LETTER K
    "\u1F11B",  # PARENTHESIZED LATIN CAPITAL LETTER L
    "\u1F11C",  # PARENTHESIZED LATIN CAPITAL LETTER M
    "\u1F11D",  # PARENTHESIZED LATIN CAPITAL LETTER N
    "\u1F11E",  # PARENTHESIZED LATIN CAPITAL LETTER O
    "\u1F11F",  # PARENTHESIZED LATIN CAPITAL LETTER P
    "\u1F120",  # PARENTHESIZED LATIN CAPITAL LETTER Q
    "\u1F121",  # PARENTHESIZED LATIN CAPITAL LETTER R
    "\u1F122",  # PARENTHESIZED LATIN CAPITAL LETTER S
    "\u1F123",  # PARENTHESIZED LATIN CAPITAL LETTER T
    "\u1F124",  # PARENTHESIZED LATIN CAPITAL LETTER U
    "\u1F125",  # PARENTHESIZED LATIN CAPITAL LETTER V
    "\u1F126",  # PARENTHESIZED LATIN CAPITAL LETTER W
    "\u1F127",  # PARENTHESIZED LATIN CAPITAL LETTER X
    "\u1F128",  # PARENTHESIZED LATIN CAPITAL LETTER Y
    "\u1F129",  # PARENTHESIZED LATIN CAPITAL LETTER Z
    "\u1F12A",  # TORTOISE SHELL BRACKETED LATIN CAPITAL LETTER S
    "\u1F12B",  # CIRCLED ITALIC LATIN CAPITAL LETTER C
    "\u1F12C",  # CIRCLED ITALIC LATIN CAPITAL LETTER R
    "\u1F12D",  # CIRCLED CD
    "\u1F12E",  # CIRCLED WZ
    "\u1F130",  # SQUARED LATIN CAPITAL LETTER A
    "\u1F131",  # SQUARED LATIN CAPITAL LETTER B
    "\u1F132",  # SQUARED LATIN CAPITAL LETTER C
    "\u1F133",  # SQUARED LATIN CAPITAL LETTER D
    "\u1F134",  # SQUARED LATIN CAPITAL LETTER E
    "\u1F135",  # SQUARED LATIN CAPITAL LETTER F
    "\u1F136",  # SQUARED LATIN CAPITAL LETTER G
    "\u1F137",  # SQUARED LATIN CAPITAL LETTER H
    "\u1F138",  # SQUARED LATIN CAPITAL LETTER I
    "\u1F139",  # SQUARED LATIN CAPITAL LETTER J
    "\u1F13A",  # SQUARED LATIN CAPITAL LETTER K
    "\u1F13B",  # SQUARED LATIN CAPITAL LETTER L
    "\u1F13C",  # SQUARED LATIN CAPITAL LETTER M
    "\u1F13D",  # SQUARED LATIN CAPITAL LETTER N
    "\u1F13E",  # SQUARED LATIN CAPITAL LETTER O
    "\u1F13F",  # SQUARED LATIN CAPITAL LETTER P
    "\u1F140",  # SQUARED LATIN CAPITAL LETTER Q
    "\u1F141",  # SQUARED LATIN CAPITAL LETTER R
    "\u1F142",  # SQUARED LATIN CAPITAL LETTER S
    "\u1F143",  # SQUARED LATIN CAPITAL LETTER T
    "\u1F144",  # SQUARED LATIN CAPITAL LETTER U
    "\u1F145",  # SQUARED LATIN CAPITAL LETTER V
    "\u1F146",  # SQUARED LATIN CAPITAL LETTER W
    "\u1F147",  # SQUARED LATIN CAPITAL LETTER X
    "\u1F148",  # SQUARED LATIN CAPITAL LETTER Y
    "\u1F149",  # SQUARED LATIN CAPITAL LETTER Z
    "\u1F14A",  # SQUARED HV
    "\u1F14B",  # SQUARED MV
    "\u1F14C",  # SQUARED SD
    "\u1F14D",  # SQUARED SS
    "\u1F14E",  # SQUARED PPV
    "\u1F14F",  # SQUARED WC
    "\u1F150",  # NEGATIVE CIRCLED LATIN CAPITAL LETTER A
    "\u1F151",  # NEGATIVE CIRCLED LATIN CAPITAL LETTER B
    "\u1F152",  # NEGATIVE CIRCLED LATIN CAPITAL LETTER C
    "\u1F153",  # NEGATIVE CIRCLED LATIN CAPITAL LETTER D
    "\u1F154",  # NEGATIVE CIRCLED LATIN CAPITAL LETTER E
    "\u1F155",  # NEGATIVE CIRCLED LATIN CAPITAL LETTER F
    "\u1F156",  # NEGATIVE CIRCLED LATIN CAPITAL LETTER G
    "\u1F157",  # NEGATIVE CIRCLED LATIN CAPITAL LETTER H
    "\u1F158",  # NEGATIVE CIRCLED LATIN CAPITAL LETTER I
    "\u1F159",  # NEGATIVE CIRCLED LATIN CAPITAL LETTER J
    "\u1F15A",  # NEGATIVE CIRCLED LATIN CAPITAL LETTER K
    "\u1F15B",  # NEGATIVE CIRCLED LATIN CAPITAL LETTER L
    "\u1F15C",  # NEGATIVE CIRCLED LATIN CAPITAL LETTER M
    "\u1F15D",  # NEGATIVE CIRCLED LATIN CAPITAL LETTER N
    "\u1F15E",  # NEGATIVE CIRCLED LATIN CAPITAL LETTER O
    "\u1F15F",  # NEGATIVE CIRCLED LATIN CAPITAL LETTER P
    "\u1F160",  # NEGATIVE CIRCLED LATIN CAPITAL LETTER Q
    "\u1F161",  # NEGATIVE CIRCLED LATIN CAPITAL LETTER R
    "\u1F162",  # NEGATIVE CIRCLED LATIN CAPITAL LETTER S
    "\u1F163",  # NEGATIVE CIRCLED LATIN CAPITAL LETTER T
    "\u1F164",  # NEGATIVE CIRCLED LATIN CAPITAL LETTER U
    "\u1F165",  # NEGATIVE CIRCLED LATIN CAPITAL LETTER V
    "\u1F166",  # NEGATIVE CIRCLED LATIN CAPITAL LETTER W
    "\u1F167",  # NEGATIVE CIRCLED LATIN CAPITAL LETTER X
    "\u1F168",  # NEGATIVE CIRCLED LATIN CAPITAL LETTER Y
    "\u1F169",  # NEGATIVE CIRCLED LATIN CAPITAL LETTER Z
    "\u1F16A",  # RAISED MC SIGN
    "\u1F16B",  # RAISED MD SIGN
    "\u1F170",  # NEGATIVE SQUARED LATIN CAPITAL LETTER A
    "\u1F171",  # NEGATIVE SQUARED LATIN CAPITAL LETTER B
    "\u1F172",  # NEGATIVE SQUARED LATIN CAPITAL LETTER C
    "\u1F173",  # NEGATIVE SQUARED LATIN CAPITAL LETTER D
    "\u1F174",  # NEGATIVE SQUARED LATIN CAPITAL LETTER E
    "\u1F175",  # NEGATIVE SQUARED LATIN CAPITAL LETTER F
    "\u1F176",  # NEGATIVE SQUARED LATIN CAPITAL LETTER G
    "\u1F177",  # NEGATIVE SQUARED LATIN CAPITAL LETTER H
    "\u1F178",  # NEGATIVE SQUARED LATIN CAPITAL LETTER I
    "\u1F179",  # NEGATIVE SQUARED LATIN CAPITAL LETTER J
    "\u1F17A",  # NEGATIVE SQUARED LATIN CAPITAL LETTER K
    "\u1F17B",  # NEGATIVE SQUARED LATIN CAPITAL LETTER L
    "\u1F17C",  # NEGATIVE SQUARED LATIN CAPITAL LETTER M
    "\u1F17D",  # NEGATIVE SQUARED LATIN CAPITAL LETTER N
    "\u1F17E",  # NEGATIVE SQUARED LATIN CAPITAL LETTER O
    "\u1F17F",  # NEGATIVE SQUARED LATIN CAPITAL LETTER P
    "\u1F180",  # NEGATIVE SQUARED LATIN CAPITAL LETTER Q
    "\u1F181",  # NEGATIVE SQUARED LATIN CAPITAL LETTER R
    "\u1F182",  # NEGATIVE SQUARED LATIN CAPITAL LETTER S
    "\u1F183",  # NEGATIVE SQUARED LATIN CAPITAL LETTER T
    "\u1F184",  # NEGATIVE SQUARED LATIN CAPITAL LETTER U
    "\u1F185",  # NEGATIVE SQUARED LATIN CAPITAL LETTER V
    "\u1F186",  # NEGATIVE SQUARED LATIN CAPITAL LETTER W
    "\u1F187",  # NEGATIVE SQUARED LATIN CAPITAL LETTER X
    "\u1F188",  # NEGATIVE SQUARED LATIN CAPITAL LETTER Y
    "\u1F189",  # NEGATIVE SQUARED LATIN CAPITAL LETTER Z
    "\u1F18A",  # CROSSED NEGATIVE SQUARED LATIN CAPITAL LETTER P
    "\u1F18B",  # NEGATIVE SQUARED IC
    "\u1F18C",  # NEGATIVE SQUARED PA
    "\u1F18D",  # NEGATIVE SQUARED SA
    "\u1F18E",  # NEGATIVE SQUARED AB
    "\u1F18F",  # NEGATIVE SQUARED WC
    "\u1F190",  # SQUARE DJ
    "\u1F191",  # SQUARED CL
    "\u1F192",  # SQUARED COOL
    "\u1F193",  # SQUARED FREE
    "\u1F194",  # SQUARED ID
    "\u1F195",  # SQUARED NEW
    "\u1F196",  # SQUARED NG
    "\u1F197",  # SQUARED OK
    "\u1F198",  # SQUARED SOS
    "\u1F199",  # SQUARED UP WITH EXCLAMATION MARK
    "\u1F19A",  # SQUARED VS
    "\u1F19B",  # SQUARED THREE D
    "\u1F19C",  # SQUARED SECOND SCREEN
    "\u1F19D",  # SQUARED TWO K
    "\u1F19E",  # SQUARED FOUR K
    "\u1F19F",  # SQUARED EIGHT K
    "\u1F1A0",  # SQUARED FIVE POINT ONE
    "\u1F1A1",  # SQUARED SEVEN POINT ONE
    "\u1F1A2",  # SQUARED TWENTY-TWO POINT TWO
    "\u1F1A3",  # SQUARED SIXTY P
    "\u1F1A4",  # SQUARED ONE HUNDRED TWENTY P
    "\u1F1A5",  # SQUARED LATIN SMALL LETTER D
    "\u1F1A6",  # SQUARED HC
    "\u1F1A7",  # SQUARED HDR
    "\u1F1A8",  # SQUARED HI-RES
    "\u1F1A9",  # SQUARED LOSSLESS
    "\u1F1AA",  # SQUARED SHV
    "\u1F1AB",  # SQUARED UHD
    "\u1F1AC",  # SQUARED VOD
    "\u1F1E6",  # REGIONAL INDICATOR SYMBOL LETTER A
    "\u1F1E7",  # REGIONAL INDICATOR SYMBOL LETTER B
    "\u1F1E8",  # REGIONAL INDICATOR SYMBOL LETTER C
    "\u1F1E9",  # REGIONAL INDICATOR SYMBOL LETTER D
    "\u1F1EA",  # REGIONAL INDICATOR SYMBOL LETTER E
    "\u1F1EB",  # REGIONAL INDICATOR SYMBOL LETTER F
    "\u1F1EC",  # REGIONAL INDICATOR SYMBOL LETTER G
    "\u1F1ED",  # REGIONAL INDICATOR SYMBOL LETTER H
    "\u1F1EE",  # REGIONAL INDICATOR SYMBOL LETTER I
    "\u1F1EF",  # REGIONAL INDICATOR SYMBOL LETTER J
    "\u1F1F0",  # REGIONAL INDICATOR SYMBOL LETTER K
    "\u1F1F1",  # REGIONAL INDICATOR SYMBOL LETTER L
    "\u1F1F2",  # REGIONAL INDICATOR SYMBOL LETTER M
    "\u1F1F3",  # REGIONAL INDICATOR SYMBOL LETTER N
    "\u1F1F4",  # REGIONAL INDICATOR SYMBOL LETTER O
    "\u1F1F5",  # REGIONAL INDICATOR SYMBOL LETTER P
    "\u1F1F6",  # REGIONAL INDICATOR SYMBOL LETTER Q
    "\u1F1F7",  # REGIONAL INDICATOR SYMBOL LETTER R
    "\u1F1F8",  # REGIONAL INDICATOR SYMBOL LETTER S
    "\u1F1F9",  # REGIONAL INDICATOR SYMBOL LETTER T
    "\u1F1FA",  # REGIONAL INDICATOR SYMBOL LETTER U
    "\u1F1FB",  # REGIONAL INDICATOR SYMBOL LETTER V
    "\u1F1FC",  # REGIONAL INDICATOR SYMBOL LETTER W
    "\u1F1FD",  # REGIONAL INDICATOR SYMBOL LETTER X
    "\u1F1FE",  # REGIONAL INDICATOR SYMBOL LETTER Y
    "\u1F1FF",  # REGIONAL INDICATOR SYMBOL LETTER Z
    "\u1F200",  # SQUARE HIRAGANA HOKA
    "\u1F201",  # SQUARED KATAKANA KOKO
    "\u1F202",  # SQUARED KATAKANA SA
    "\u1F210",  # SQUARED CJK UNIFIED IDEOGRAPH-624B
    "\u1F211",  # SQUARED CJK UNIFIED IDEOGRAPH-5B57
    "\u1F212",  # SQUARED CJK UNIFIED IDEOGRAPH-53CC
    "\u1F213",  # SQUARED KATAKANA DE
    "\u1F214",  # SQUARED CJK UNIFIED IDEOGRAPH-4E8C
    "\u1F215",  # SQUARED CJK UNIFIED IDEOGRAPH-591A
    "\u1F216",  # SQUARED CJK UNIFIED IDEOGRAPH-89E3
    "\u1F217",  # SQUARED CJK UNIFIED IDEOGRAPH-5929
    "\u1F218",  # SQUARED CJK UNIFIED IDEOGRAPH-4EA4
    "\u1F219",  # SQUARED CJK UNIFIED IDEOGRAPH-6620
    "\u1F21A",  # SQUARED CJK UNIFIED IDEOGRAPH-7121
    "\u1F21B",  # SQUARED CJK UNIFIED IDEOGRAPH-6599
    "\u1F21C",  # SQUARED CJK UNIFIED IDEOGRAPH-524D
    "\u1F21D",  # SQUARED CJK UNIFIED IDEOGRAPH-5F8C
    "\u1F21E",  # SQUARED CJK UNIFIED IDEOGRAPH-518D
    "\u1F21F",  # SQUARED CJK UNIFIED IDEOGRAPH-65B0
    "\u1F220",  # SQUARED CJK UNIFIED IDEOGRAPH-521D
    "\u1F221",  # SQUARED CJK UNIFIED IDEOGRAPH-7D42
    "\u1F222",  # SQUARED CJK UNIFIED IDEOGRAPH-751F
    "\u1F223",  # SQUARED CJK UNIFIED IDEOGRAPH-8CA9
    "\u1F224",  # SQUARED CJK UNIFIED IDEOGRAPH-58F0
    "\u1F225",  # SQUARED CJK UNIFIED IDEOGRAPH-5439
    "\u1F226",  # SQUARED CJK UNIFIED IDEOGRAPH-6F14
    "\u1F227",  # SQUARED CJK UNIFIED IDEOGRAPH-6295
    "\u1F228",  # SQUARED CJK UNIFIED IDEOGRAPH-6355
    "\u1F229",  # SQUARED CJK UNIFIED IDEOGRAPH-4E00
    "\u1F22A",  # SQUARED CJK UNIFIED IDEOGRAPH-4E09
    "\u1F22B",  # SQUARED CJK UNIFIED IDEOGRAPH-904A
    "\u1F22C",  # SQUARED CJK UNIFIED IDEOGRAPH-5DE6
    "\u1F22D",  # SQUARED CJK UNIFIED IDEOGRAPH-4E2D
    "\u1F22E",  # SQUARED CJK UNIFIED IDEOGRAPH-53F3
    "\u1F22F",  # SQUARED CJK UNIFIED IDEOGRAPH-6307
    "\u1F230",  # SQUARED CJK UNIFIED IDEOGRAPH-8D70
    "\u1F231",  # SQUARED CJK UNIFIED IDEOGRAPH-6253
    "\u1F232",  # SQUARED CJK UNIFIED IDEOGRAPH-7981
    "\u1F233",  # SQUARED CJK UNIFIED IDEOGRAPH-7A7A
    "\u1F234",  # SQUARED CJK UNIFIED IDEOGRAPH-5408
    "\u1F235",  # SQUARED CJK UNIFIED IDEOGRAPH-6E80
    "\u1F236",  # SQUARED CJK UNIFIED IDEOGRAPH-6709
    "\u1F237",  # SQUARED CJK UNIFIED IDEOGRAPH-6708
    "\u1F238",  # SQUARED CJK UNIFIED IDEOGRAPH-7533
    "\u1F239",  # SQUARED CJK UNIFIED IDEOGRAPH-5272
    "\u1F23A",  # SQUARED CJK UNIFIED IDEOGRAPH-55B6
    "\u1F23B",  # SQUARED CJK UNIFIED IDEOGRAPH-914D
    "\u1F240",  # TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-672C
    "\u1F241",  # TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-4E09
    "\u1F242",  # TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-4E8C
    "\u1F243",  # TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-5B89
    "\u1F244",  # TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-70B9
    "\u1F245",  # TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-6253
    "\u1F246",  # TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-76D7
    "\u1F247",  # TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-52DD
    "\u1F248",  # TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-6557
    "\u1F250",  # CIRCLED IDEOGRAPH ADVANTAGE
    "\u1F251",  # CIRCLED IDEOGRAPH ACCEPT
    "\u1F260",  # ROUNDED SYMBOL FOR FU
    "\u1F261",  # ROUNDED SYMBOL FOR LU
    "\u1F262",  # ROUNDED SYMBOL FOR SHOU
    "\u1F263",  # ROUNDED SYMBOL FOR XI
    "\u1F264",  # ROUNDED SYMBOL FOR SHUANGXI
    "\u1F265",  # ROUNDED SYMBOL FOR CAI
    "\u1F300",  # CYCLONE
    "\u1F301",  # FOGGY
    "\u1F302",  # CLOSED UMBRELLA
    "\u1F303",  # NIGHT WITH STARS
    "\u1F304",  # SUNRISE OVER MOUNTAINS
    "\u1F305",  # SUNRISE
    "\u1F306",  # CITYSCAPE AT DUSK
    "\u1F307",  # SUNSET OVER BUILDINGS
    "\u1F308",  # RAINBOW
    "\u1F309",  # BRIDGE AT NIGHT
    "\u1F30A",  # WATER WAVE
    "\u1F30B",  # VOLCANO
    "\u1F30C",  # MILKY WAY
    "\u1F30D",  # EARTH GLOBE EUROPE-AFRICA
    "\u1F30E",  # EARTH GLOBE AMERICAS
    "\u1F30F",  # EARTH GLOBE ASIA-AUSTRALIA
    "\u1F310",  # GLOBE WITH MERIDIANS
    "\u1F311",  # NEW MOON SYMBOL
    "\u1F312",  # WAXING CRESCENT MOON SYMBOL
    "\u1F313",  # FIRST QUARTER MOON SYMBOL
    "\u1F314",  # WAXING GIBBOUS MOON SYMBOL
    "\u1F315",  # FULL MOON SYMBOL
    "\u1F316",  # WANING GIBBOUS MOON SYMBOL
    "\u1F317",  # LAST QUARTER MOON SYMBOL
    "\u1F318",  # WANING CRESCENT MOON SYMBOL
    "\u1F319",  # CRESCENT MOON
    "\u1F31A",  # NEW MOON WITH FACE
    "\u1F31B",  # FIRST QUARTER MOON WITH FACE
    "\u1F31C",  # LAST QUARTER MOON WITH FACE
    "\u1F31D",  # FULL MOON WITH FACE
    "\u1F31E",  # SUN WITH FACE
    "\u1F31F",  # GLOWING STAR
    "\u1F320",  # SHOOTING STAR
    "\u1F321",  # THERMOMETER
    "\u1F322",  # BLACK DROPLET
    "\u1F323",  # WHITE SUN
    "\u1F324",  # WHITE SUN WITH SMALL CLOUD
    "\u1F325",  # WHITE SUN BEHIND CLOUD
    "\u1F326",  # WHITE SUN BEHIND CLOUD WITH RAIN
    "\u1F327",  # CLOUD WITH RAIN
    "\u1F328",  # CLOUD WITH SNOW
    "\u1F329",  # CLOUD WITH LIGHTNING
    "\u1F32A",  # CLOUD WITH TORNADO
    "\u1F32B",  # FOG
    "\u1F32C",  # WIND BLOWING FACE
    "\u1F32D",  # HOT DOG
    "\u1F32E",  # TACO
    "\u1F32F",  # BURRITO
    "\u1F330",  # CHESTNUT
    "\u1F331",  # SEEDLING
    "\u1F332",  # EVERGREEN TREE
    "\u1F333",  # DECIDUOUS TREE
    "\u1F334",  # PALM TREE
    "\u1F335",  # CACTUS
    "\u1F336",  # HOT PEPPER
    "\u1F337",  # TULIP
    "\u1F338",  # CHERRY BLOSSOM
    "\u1F339",  # ROSE
    "\u1F33A",  # HIBISCUS
    "\u1F33B",  # SUNFLOWER
    "\u1F33C",  # BLOSSOM
    "\u1F33D",  # EAR OF MAIZE
    "\u1F33E",  # EAR OF RICE
    "\u1F33F",  # HERB
    "\u1F340",  # FOUR LEAF CLOVER
    "\u1F341",  # MAPLE LEAF
    "\u1F342",  # FALLEN LEAF
    "\u1F343",  # LEAF FLUTTERING IN WIND
    "\u1F344",  # MUSHROOM
    "\u1F345",  # TOMATO
    "\u1F346",  # AUBERGINE
    "\u1F347",  # GRAPES
    "\u1F348",  # MELON
    "\u1F349",  # WATERMELON
    "\u1F34A",  # TANGERINE
    "\u1F34B",  # LEMON
    "\u1F34C",  # BANANA
    "\u1F34D",  # PINEAPPLE
    "\u1F34E",  # RED APPLE
    "\u1F34F",  # GREEN APPLE
    "\u1F350",  # PEAR
    "\u1F351",  # PEACH
    "\u1F352",  # CHERRIES
    "\u1F353",  # STRAWBERRY
    "\u1F354",  # HAMBURGER
    "\u1F355",  # SLICE OF PIZZA
    "\u1F356",  # MEAT ON BONE
    "\u1F357",  # POULTRY LEG
    "\u1F358",  # RICE CRACKER
    "\u1F359",  # RICE BALL
    "\u1F35A",  # COOKED RICE
    "\u1F35B",  # CURRY AND RICE
    "\u1F35C",  # STEAMING BOWL
    "\u1F35D",  # SPAGHETTI
    "\u1F35E",  # BREAD
    "\u1F35F",  # FRENCH FRIES
    "\u1F360",  # ROASTED SWEET POTATO
    "\u1F361",  # DANGO
    "\u1F362",  # ODEN
    "\u1F363",  # SUSHI
    "\u1F364",  # FRIED SHRIMP
    "\u1F365",  # FISH CAKE WITH SWIRL DESIGN
    "\u1F366",  # SOFT ICE CREAM
    "\u1F367",  # SHAVED ICE
    "\u1F368",  # ICE CREAM
    "\u1F369",  # DOUGHNUT
    "\u1F36A",  # COOKIE
    "\u1F36B",  # CHOCOLATE BAR
    "\u1F36C",  # CANDY
    "\u1F36D",  # LOLLIPOP
    "\u1F36E",  # CUSTARD
    "\u1F36F",  # HONEY POT
    "\u1F370",  # SHORTCAKE
    "\u1F371",  # BENTO BOX
    "\u1F372",  # POT OF FOOD
    "\u1F373",  # COOKING
    "\u1F374",  # FORK AND KNIFE
    "\u1F375",  # TEACUP WITHOUT HANDLE
    "\u1F376",  # SAKE BOTTLE AND CUP
    "\u1F377",  # WINE GLASS
    "\u1F378",  # COCKTAIL GLASS
    "\u1F379",  # TROPICAL DRINK
    "\u1F37A",  # BEER MUG
    "\u1F37B",  # CLINKING BEER MUGS
    "\u1F37C",  # BABY BOTTLE
    "\u1F37D",  # FORK AND KNIFE WITH PLATE
    "\u1F37E",  # BOTTLE WITH POPPING CORK
    "\u1F37F",  # POPCORN
    "\u1F380",  # RIBBON
    "\u1F381",  # WRAPPED PRESENT
    "\u1F382",  # BIRTHDAY CAKE
    "\u1F383",  # JACK-O-LANTERN
    "\u1F384",  # CHRISTMAS TREE
    "\u1F385",  # FATHER CHRISTMAS
    "\u1F386",  # FIREWORKS
    "\u1F387",  # FIREWORK SPARKLER
    "\u1F388",  # BALLOON
    "\u1F389",  # PARTY POPPER
    "\u1F38A",  # CONFETTI BALL
    "\u1F38B",  # TANABATA TREE
    "\u1F38C",  # CROSSED FLAGS
    "\u1F38D",  # PINE DECORATION
    "\u1F38E",  # JAPANESE DOLLS
    "\u1F38F",  # CARP STREAMER
    "\u1F390",  # WIND CHIME
    "\u1F391",  # MOON VIEWING CEREMONY
    "\u1F392",  # SCHOOL SATCHEL
    "\u1F393",  # GRADUATION CAP
    "\u1F394",  # HEART WITH TIP ON THE LEFT
    "\u1F395",  # BOUQUET OF FLOWERS
    "\u1F396",  # MILITARY MEDAL
    "\u1F397",  # REMINDER RIBBON
    "\u1F398",  # MUSICAL KEYBOARD WITH JACKS
    "\u1F399",  # STUDIO MICROPHONE
    "\u1F39A",  # LEVEL SLIDER
    "\u1F39B",  # CONTROL KNOBS
    "\u1F39C",  # BEAMED ASCENDING MUSICAL NOTES
    "\u1F39D",  # BEAMED DESCENDING MUSICAL NOTES
    "\u1F39E",  # FILM FRAMES
    "\u1F39F",  # ADMISSION TICKETS
    "\u1F3A0",  # CAROUSEL HORSE
    "\u1F3A1",  # FERRIS WHEEL
    "\u1F3A2",  # ROLLER COASTER
    "\u1F3A3",  # FISHING POLE AND FISH
    "\u1F3A4",  # MICROPHONE
    "\u1F3A5",  # MOVIE CAMERA
    "\u1F3A6",  # CINEMA
    "\u1F3A7",  # HEADPHONE
    "\u1F3A8",  # ARTIST PALETTE
    "\u1F3A9",  # TOP HAT
    "\u1F3AA",  # CIRCUS TENT
    "\u1F3AB",  # TICKET
    "\u1F3AC",  # CLAPPER BOARD
    "\u1F3AD",  # PERFORMING ARTS
    "\u1F3AE",  # VIDEO GAME
    "\u1F3AF",  # DIRECT HIT
    "\u1F3B0",  # SLOT MACHINE
    "\u1F3B1",  # BILLIARDS
    "\u1F3B2",  # GAME DIE
    "\u1F3B3",  # BOWLING
    "\u1F3B4",  # FLOWER PLAYING CARDS
    "\u1F3B5",  # MUSICAL NOTE
    "\u1F3B6",  # MULTIPLE MUSICAL NOTES
    "\u1F3B7",  # SAXOPHONE
    "\u1F3B8",  # GUITAR
    "\u1F3B9",  # MUSICAL KEYBOARD
    "\u1F3BA",  # TRUMPET
    "\u1F3BB",  # VIOLIN
    "\u1F3BC",  # MUSICAL SCORE
    "\u1F3BD",  # RUNNING SHIRT WITH SASH
    "\u1F3BE",  # TENNIS RACQUET AND BALL
    "\u1F3BF",  # SKI AND SKI BOOT
    "\u1F3C0",  # BASKETBALL AND HOOP
    "\u1F3C1",  # CHEQUERED FLAG
    "\u1F3C2",  # SNOWBOARDER
    "\u1F3C3",  # RUNNER
    "\u1F3C4",  # SURFER
    "\u1F3C5",  # SPORTS MEDAL
    "\u1F3C6",  # TROPHY
    "\u1F3C7",  # HORSE RACING
    "\u1F3C8",  # AMERICAN FOOTBALL
    "\u1F3C9",  # RUGBY FOOTBALL
    "\u1F3CA",  # SWIMMER
    "\u1F3CB",  # WEIGHT LIFTER
    "\u1F3CC",  # GOLFER
    "\u1F3CD",  # RACING MOTORCYCLE
    "\u1F3CE",  # RACING CAR
    "\u1F3CF",  # CRICKET BAT AND BALL
    "\u1F3D0",  # VOLLEYBALL
    "\u1F3D1",  # FIELD HOCKEY STICK AND BALL
    "\u1F3D2",  # ICE HOCKEY STICK AND PUCK
    "\u1F3D3",  # TABLE TENNIS PADDLE AND BALL
    "\u1F3D4",  # SNOW CAPPED MOUNTAIN
    "\u1F3D5",  # CAMPING
    "\u1F3D6",  # BEACH WITH UMBRELLA
    "\u1F3D7",  # BUILDING CONSTRUCTION
    "\u1F3D8",  # HOUSE BUILDINGS
    "\u1F3D9",  # CITYSCAPE
    "\u1F3DA",  # DERELICT HOUSE BUILDING
    "\u1F3DB",  # CLASSICAL BUILDING
    "\u1F3DC",  # DESERT
    "\u1F3DD",  # DESERT ISLAND
    "\u1F3DE",  # NATIONAL PARK
    "\u1F3DF",  # STADIUM
    "\u1F3E0",  # HOUSE BUILDING
    "\u1F3E1",  # HOUSE WITH GARDEN
    "\u1F3E2",  # OFFICE BUILDING
    "\u1F3E3",  # JAPANESE POST OFFICE
    "\u1F3E4",  # EUROPEAN POST OFFICE
    "\u1F3E5",  # HOSPITAL
    "\u1F3E6",  # BANK
    "\u1F3E7",  # AUTOMATED TELLER MACHINE
    "\u1F3E8",  # HOTEL
    "\u1F3E9",  # LOVE HOTEL
    "\u1F3EA",  # CONVENIENCE STORE
    "\u1F3EB",  # SCHOOL
    "\u1F3EC",  # DEPARTMENT STORE
    "\u1F3ED",  # FACTORY
    "\u1F3EE",  # IZAKAYA LANTERN
    "\u1F3EF",  # JAPANESE CASTLE
    "\u1F3F0",  # EUROPEAN CASTLE
    "\u1F3F1",  # WHITE PENNANT
    "\u1F3F2",  # BLACK PENNANT
    "\u1F3F3",  # WAVING WHITE FLAG
    "\u1F3F4",  # WAVING BLACK FLAG
    "\u1F3F5",  # ROSETTE
    "\u1F3F6",  # BLACK ROSETTE
    "\u1F3F7",  # LABEL
    "\u1F3F8",  # BADMINTON RACQUET AND SHUTTLECOCK
    "\u1F3F9",  # BOW AND ARROW
    "\u1F3FA",  # AMPHORA
    "\u1F3FB",  # EMOJI MODIFIER FITZPATRICK TYPE-1-2
    "\u1F3FC",  # EMOJI MODIFIER FITZPATRICK TYPE-3
    "\u1F3FD",  # EMOJI MODIFIER FITZPATRICK TYPE-4
    "\u1F3FE",  # EMOJI MODIFIER FITZPATRICK TYPE-5
    "\u1F3FF",  # EMOJI MODIFIER FITZPATRICK TYPE-6
    "\u1F400",  # RAT
    "\u1F401",  # MOUSE
    "\u1F402",  # OX
    "\u1F403",  # WATER BUFFALO
    "\u1F404",  # COW
    "\u1F405",  # TIGER
    "\u1F406",  # LEOPARD
    "\u1F407",  # RABBIT
    "\u1F408",  # CAT
    "\u1F409",  # DRAGON
    "\u1F40A",  # CROCODILE
    "\u1F40B",  # WHALE
    "\u1F40C",  # SNAIL
    "\u1F40D",  # SNAKE
    "\u1F40E",  # HORSE
    "\u1F40F",  # RAM
    "\u1F410",  # GOAT
    "\u1F411",  # SHEEP
    "\u1F412",  # MONKEY
    "\u1F413",  # ROOSTER
    "\u1F414",  # CHICKEN
    "\u1F415",  # DOG
    "\u1F416",  # PIG
    "\u1F417",  # BOAR
    "\u1F418",  # ELEPHANT
    "\u1F419",  # OCTOPUS
    "\u1F41A",  # SPIRAL SHELL
    "\u1F41B",  # BUG
    "\u1F41C",  # ANT
    "\u1F41D",  # HONEYBEE
    "\u1F41E",  # LADY BEETLE
    "\u1F41F",  # FISH
    "\u1F420",  # TROPICAL FISH
    "\u1F421",  # BLOWFISH
    "\u1F422",  # TURTLE
    "\u1F423",  # HATCHING CHICK
    "\u1F424",  # BABY CHICK
    "\u1F425",  # FRONT-FACING BABY CHICK
    "\u1F426",  # BIRD
    "\u1F427",  # PENGUIN
    "\u1F428",  # KOALA
    "\u1F429",  # POODLE
    "\u1F42A",  # DROMEDARY CAMEL
    "\u1F42B",  # BACTRIAN CAMEL
    "\u1F42C",  # DOLPHIN
    "\u1F42D",  # MOUSE FACE
    "\u1F42E",  # COW FACE
    "\u1F42F",  # TIGER FACE
    "\u1F430",  # RABBIT FACE
    "\u1F431",  # CAT FACE
    "\u1F432",  # DRAGON FACE
    "\u1F433",  # SPOUTING WHALE
    "\u1F434",  # HORSE FACE
    "\u1F435",  # MONKEY FACE
    "\u1F436",  # DOG FACE
    "\u1F437",  # PIG FACE
    "\u1F438",  # FROG FACE
    "\u1F439",  # HAMSTER FACE
    "\u1F43A",  # WOLF FACE
    "\u1F43B",  # BEAR FACE
    "\u1F43C",  # PANDA FACE
    "\u1F43D",  # PIG NOSE
    "\u1F43E",  # PAW PRINTS
    "\u1F43F",  # CHIPMUNK
    "\u1F440",  # EYES
    "\u1F441",  # EYE
    "\u1F442",  # EAR
    "\u1F443",  # NOSE
    "\u1F444",  # MOUTH
    "\u1F445",  # TONGUE
    "\u1F446",  # WHITE UP POINTING BACKHAND INDEX
    "\u1F447",  # WHITE DOWN POINTING BACKHAND INDEX
    "\u1F448",  # WHITE LEFT POINTING BACKHAND INDEX
    "\u1F449",  # WHITE RIGHT POINTING BACKHAND INDEX
    "\u1F44A",  # FISTED HAND SIGN
    "\u1F44B",  # WAVING HAND SIGN
    "\u1F44C",  # OK HAND SIGN
    "\u1F44D",  # THUMBS UP SIGN
    "\u1F44E",  # THUMBS DOWN SIGN
    "\u1F44F",  # CLAPPING HANDS SIGN
    "\u1F450",  # OPEN HANDS SIGN
    "\u1F451",  # CROWN
    "\u1F452",  # WOMANS HAT
    "\u1F453",  # EYEGLASSES
    "\u1F454",  # NECKTIE
    "\u1F455",  # T-SHIRT
    "\u1F456",  # JEANS
    "\u1F457",  # DRESS
    "\u1F458",  # KIMONO
    "\u1F459",  # BIKINI
    "\u1F45A",  # WOMANS CLOTHES
    "\u1F45B",  # PURSE
    "\u1F45C",  # HANDBAG
    "\u1F45D",  # POUCH
    "\u1F45E",  # MANS SHOE
    "\u1F45F",  # ATHLETIC SHOE
    "\u1F460",  # HIGH-HEELED SHOE
    "\u1F461",  # WOMANS SANDAL
    "\u1F462",  # WOMANS BOOTS
    "\u1F463",  # FOOTPRINTS
    "\u1F464",  # BUST IN SILHOUETTE
    "\u1F465",  # BUSTS IN SILHOUETTE
    "\u1F466",  # BOY
    "\u1F467",  # GIRL
    "\u1F468",  # MAN
    "\u1F469",  # WOMAN
    "\u1F46A",  # FAMILY
    "\u1F46B",  # MAN AND WOMAN HOLDING HANDS
    "\u1F46C",  # TWO MEN HOLDING HANDS
    "\u1F46D",  # TWO WOMEN HOLDING HANDS
    "\u1F46E",  # POLICE OFFICER
    "\u1F46F",  # WOMAN WITH BUNNY EARS
    "\u1F470",  # BRIDE WITH VEIL
    "\u1F471",  # PERSON WITH BLOND HAIR
    "\u1F472",  # MAN WITH GUA PI MAO
    "\u1F473",  # MAN WITH TURBAN
    "\u1F474",  # OLDER MAN
    "\u1F475",  # OLDER WOMAN
    "\u1F476",  # BABY
    "\u1F477",  # CONSTRUCTION WORKER
    "\u1F478",  # PRINCESS
    "\u1F479",  # JAPANESE OGRE
    "\u1F47A",  # JAPANESE GOBLIN
    "\u1F47B",  # GHOST
    "\u1F47C",  # BABY ANGEL
    "\u1F47D",  # EXTRATERRESTRIAL ALIEN
    "\u1F47E",  # ALIEN MONSTER
    "\u1F47F",  # IMP
    "\u1F480",  # SKULL
    "\u1F481",  # INFORMATION DESK PERSON
    "\u1F482",  # GUARDSMAN
    "\u1F483",  # DANCER
    "\u1F484",  # LIPSTICK
    "\u1F485",  # NAIL POLISH
    "\u1F486",  # FACE MASSAGE
    "\u1F487",  # HAIRCUT
    "\u1F488",  # BARBER POLE
    "\u1F489",  # SYRINGE
    "\u1F48A",  # PILL
    "\u1F48B",  # KISS MARK
    "\u1F48C",  # LOVE LETTER
    "\u1F48D",  # RING
    "\u1F48E",  # GEM STONE
    "\u1F48F",  # KISS
    "\u1F490",  # BOUQUET
    "\u1F491",  # COUPLE WITH HEART
    "\u1F492",  # WEDDING
    "\u1F493",  # BEATING HEART
    "\u1F494",  # BROKEN HEART
    "\u1F495",  # TWO HEARTS
    "\u1F496",  # SPARKLING HEART
    "\u1F497",  # GROWING HEART
    "\u1F498",  # HEART WITH ARROW
    "\u1F499",  # BLUE HEART
    "\u1F49A",  # GREEN HEART
    "\u1F49B",  # YELLOW HEART
    "\u1F49C",  # PURPLE HEART
    "\u1F49D",  # HEART WITH RIBBON
    "\u1F49E",  # REVOLVING HEARTS
    "\u1F49F",  # HEART DECORATION
    "\u1F4A0",  # DIAMOND SHAPE WITH A DOT INSIDE
    "\u1F4A1",  # ELECTRIC LIGHT BULB
    "\u1F4A2",  # ANGER SYMBOL
    "\u1F4A3",  # BOMB
    "\u1F4A4",  # SLEEPING SYMBOL
    "\u1F4A5",  # COLLISION SYMBOL
    "\u1F4A6",  # SPLASHING SWEAT SYMBOL
    "\u1F4A7",  # DROPLET
    "\u1F4A8",  # DASH SYMBOL
    "\u1F4A9",  # PILE OF POO
    "\u1F4AA",  # FLEXED BICEPS
    "\u1F4AB",  # DIZZY SYMBOL
    "\u1F4AC",  # SPEECH BALLOON
    "\u1F4AD",  # THOUGHT BALLOON
    "\u1F4AE",  # WHITE FLOWER
    "\u1F4AF",  # HUNDRED POINTS SYMBOL
    "\u1F4B0",  # MONEY BAG
    "\u1F4B1",  # CURRENCY EXCHANGE
    "\u1F4B2",  # HEAVY DOLLAR SIGN
    "\u1F4B3",  # CREDIT CARD
    "\u1F4B4",  # BANKNOTE WITH YEN SIGN
    "\u1F4B5",  # BANKNOTE WITH DOLLAR SIGN
    "\u1F4B6",  # BANKNOTE WITH EURO SIGN
    "\u1F4B7",  # BANKNOTE WITH POUND SIGN
    "\u1F4B8",  # MONEY WITH WINGS
    "\u1F4B9",  # CHART WITH UPWARDS TREND AND YEN SIGN
    "\u1F4BA",  # SEAT
    "\u1F4BB",  # PERSONAL COMPUTER
    "\u1F4BC",  # BRIEFCASE
    "\u1F4BD",  # MINIDISC
    "\u1F4BE",  # FLOPPY DISK
    "\u1F4BF",  # OPTICAL DISC
    "\u1F4C0",  # DVD
    "\u1F4C1",  # FILE FOLDER
    "\u1F4C2",  # OPEN FILE FOLDER
    "\u1F4C3",  # PAGE WITH CURL
    "\u1F4C4",  # PAGE FACING UP
    "\u1F4C5",  # CALENDAR
    "\u1F4C6",  # TEAR-OFF CALENDAR
    "\u1F4C7",  # CARD INDEX
    "\u1F4C8",  # CHART WITH UPWARDS TREND
    "\u1F4C9",  # CHART WITH DOWNWARDS TREND
    "\u1F4CA",  # BAR CHART
    "\u1F4CB",  # CLIPBOARD
    "\u1F4CC",  # PUSHPIN
    "\u1F4CD",  # ROUND PUSHPIN
    "\u1F4CE",  # PAPERCLIP
    "\u1F4CF",  # STRAIGHT RULER
    "\u1F4D0",  # TRIANGULAR RULER
    "\u1F4D1",  # BOOKMARK TABS
    "\u1F4D2",  # LEDGER
    "\u1F4D3",  # NOTEBOOK
    "\u1F4D4",  # NOTEBOOK WITH DECORATIVE COVER
    "\u1F4D5",  # CLOSED BOOK
    "\u1F4D6",  # OPEN BOOK
    "\u1F4D7",  # GREEN BOOK
    "\u1F4D8",  # BLUE BOOK
    "\u1F4D9",  # ORANGE BOOK
    "\u1F4DA",  # BOOKS
    "\u1F4DB",  # NAME BADGE
    "\u1F4DC",  # SCROLL
    "\u1F4DD",  # MEMO
    "\u1F4DE",  # TELEPHONE RECEIVER
    "\u1F4DF",  # PAGER
    "\u1F4E0",  # FAX MACHINE
    "\u1F4E1",  # SATELLITE ANTENNA
    "\u1F4E2",  # PUBLIC ADDRESS LOUDSPEAKER
    "\u1F4E3",  # CHEERING MEGAPHONE
    "\u1F4E4",  # OUTBOX TRAY
    "\u1F4E5",  # INBOX TRAY
    "\u1F4E6",  # PACKAGE
    "\u1F4E7",  # E-MAIL SYMBOL
    "\u1F4E8",  # INCOMING ENVELOPE
    "\u1F4E9",  # ENVELOPE WITH DOWNWARDS ARROW ABOVE
    "\u1F4EA",  # CLOSED MAILBOX WITH LOWERED FLAG
    "\u1F4EB",  # CLOSED MAILBOX WITH RAISED FLAG
    "\u1F4EC",  # OPEN MAILBOX WITH RAISED FLAG
    "\u1F4ED",  # OPEN MAILBOX WITH LOWERED FLAG
    "\u1F4EE",  # POSTBOX
    "\u1F4EF",  # POSTAL HORN
    "\u1F4F0",  # NEWSPAPER
    "\u1F4F1",  # MOBILE PHONE
    "\u1F4F2",  # MOBILE PHONE WITH RIGHTWARDS ARROW AT LEFT
    "\u1F4F3",  # VIBRATION MODE
    "\u1F4F4",  # MOBILE PHONE OFF
    "\u1F4F5",  # NO MOBILE PHONES
    "\u1F4F6",  # ANTENNA WITH BARS
    "\u1F4F7",  # CAMERA
    "\u1F4F8",  # CAMERA WITH FLASH
    "\u1F4F9",  # VIDEO CAMERA
    "\u1F4FA",  # TELEVISION
    "\u1F4FB",  # RADIO
    "\u1F4FC",  # VIDEOCASSETTE
    "\u1F4FD",  # FILM PROJECTOR
    "\u1F4FE",  # PORTABLE STEREO
    "\u1F4FF",  # PRAYER BEADS
    "\u1F500",  # TWISTED RIGHTWARDS ARROWS
    "\u1F501",  # CLOCKWISE RIGHTWARDS AND LEFTWARDS OPEN CIRCLE ARROWS
    "\u1F502",  # CLOCKWISE RIGHTWARDS AND LEFTWARDS OPEN CIRCLE ARROWS WITH CIRCLED ONE OVERLAY
    "\u1F503",  # CLOCKWISE DOWNWARDS AND UPWARDS OPEN CIRCLE ARROWS
    "\u1F504",  # ANTICLOCKWISE DOWNWARDS AND UPWARDS OPEN CIRCLE ARROWS
    "\u1F505",  # LOW BRIGHTNESS SYMBOL
    "\u1F506",  # HIGH BRIGHTNESS SYMBOL
    "\u1F507",  # SPEAKER WITH CANCELLATION STROKE
    "\u1F508",  # SPEAKER
    "\u1F509",  # SPEAKER WITH ONE SOUND WAVE
    "\u1F50A",  # SPEAKER WITH THREE SOUND WAVES
    "\u1F50B",  # BATTERY
    "\u1F50C",  # ELECTRIC PLUG
    "\u1F50D",  # LEFT-POINTING MAGNIFYING GLASS
    "\u1F50E",  # RIGHT-POINTING MAGNIFYING GLASS
    "\u1F50F",  # LOCK WITH INK PEN
    "\u1F510",  # CLOSED LOCK WITH KEY
    "\u1F511",  # KEY
    "\u1F512",  # LOCK
    "\u1F513",  # OPEN LOCK
    "\u1F514",  # BELL
    "\u1F515",  # BELL WITH CANCELLATION STROKE
    "\u1F516",  # BOOKMARK
    "\u1F517",  # LINK SYMBOL
    "\u1F518",  # RADIO BUTTON
    "\u1F519",  # BACK WITH LEFTWARDS ARROW ABOVE
    "\u1F51A",  # END WITH LEFTWARDS ARROW ABOVE
    "\u1F51B",  # ON WITH EXCLAMATION MARK WITH LEFT RIGHT ARROW ABOVE
    "\u1F51C",  # SOON WITH RIGHTWARDS ARROW ABOVE
    "\u1F51D",  # TOP WITH UPWARDS ARROW ABOVE
    "\u1F51E",  # NO ONE UNDER EIGHTEEN SYMBOL
    "\u1F51F",  # KEYCAP TEN
    "\u1F520",  # INPUT SYMBOL FOR LATIN CAPITAL LETTERS
    "\u1F521",  # INPUT SYMBOL FOR LATIN SMALL LETTERS
    "\u1F522",  # INPUT SYMBOL FOR NUMBERS
    "\u1F523",  # INPUT SYMBOL FOR SYMBOLS
    "\u1F524",  # INPUT SYMBOL FOR LATIN LETTERS
    "\u1F525",  # FIRE
    "\u1F526",  # ELECTRIC TORCH
    "\u1F527",  # WRENCH
    "\u1F528",  # HAMMER
    "\u1F529",  # NUT AND BOLT
    "\u1F52A",  # HOCHO
    "\u1F52B",  # PISTOL
    "\u1F52C",  # MICROSCOPE
    "\u1F52D",  # TELESCOPE
    "\u1F52E",  # CRYSTAL BALL
    "\u1F52F",  # SIX POINTED STAR WITH MIDDLE DOT
    "\u1F530",  # JAPANESE SYMBOL FOR BEGINNER
    "\u1F531",  # TRIDENT EMBLEM
    "\u1F532",  # BLACK SQUARE BUTTON
    "\u1F533",  # WHITE SQUARE BUTTON
    "\u1F534",  # LARGE RED CIRCLE
    "\u1F535",  # LARGE BLUE CIRCLE
    "\u1F536",  # LARGE ORANGE DIAMOND
    "\u1F537",  # LARGE BLUE DIAMOND
    "\u1F538",  # SMALL ORANGE DIAMOND
    "\u1F539",  # SMALL BLUE DIAMOND
    "\u1F53A",  # UP-POINTING RED TRIANGLE
    "\u1F53B",  # DOWN-POINTING RED TRIANGLE
    "\u1F53C",  # UP-POINTING SMALL RED TRIANGLE
    "\u1F53D",  # DOWN-POINTING SMALL RED TRIANGLE
    "\u1F53E",  # LOWER RIGHT SHADOWED WHITE CIRCLE
    "\u1F53F",  # UPPER RIGHT SHADOWED WHITE CIRCLE
    "\u1F540",  # CIRCLED CROSS POMMEE
    "\u1F541",  # CROSS POMMEE WITH HALF-CIRCLE BELOW
    "\u1F542",  # CROSS POMMEE
    "\u1F543",  # NOTCHED LEFT SEMICIRCLE WITH THREE DOTS
    "\u1F544",  # NOTCHED RIGHT SEMICIRCLE WITH THREE DOTS
    "\u1F545",  # SYMBOL FOR MARKS CHAPTER
    "\u1F546",  # WHITE LATIN CROSS
    "\u1F547",  # HEAVY LATIN CROSS
    "\u1F548",  # CELTIC CROSS
    "\u1F549",  # OM SYMBOL
    "\u1F54A",  # DOVE OF PEACE
    "\u1F54B",  # KAABA
    "\u1F54C",  # MOSQUE
    "\u1F54D",  # SYNAGOGUE
    "\u1F54E",  # MENORAH WITH NINE BRANCHES
    "\u1F54F",  # BOWL OF HYGIEIA
    "\u1F550",  # CLOCK FACE ONE OCLOCK
    "\u1F551",  # CLOCK FACE TWO OCLOCK
    "\u1F552",  # CLOCK FACE THREE OCLOCK
    "\u1F553",  # CLOCK FACE FOUR OCLOCK
    "\u1F554",  # CLOCK FACE FIVE OCLOCK
    "\u1F555",  # CLOCK FACE SIX OCLOCK
    "\u1F556",  # CLOCK FACE SEVEN OCLOCK
    "\u1F557",  # CLOCK FACE EIGHT OCLOCK
    "\u1F558",  # CLOCK FACE NINE OCLOCK
    "\u1F559",  # CLOCK FACE TEN OCLOCK
    "\u1F55A",  # CLOCK FACE ELEVEN OCLOCK
    "\u1F55B",  # CLOCK FACE TWELVE OCLOCK
    "\u1F55C",  # CLOCK FACE ONE-THIRTY
    "\u1F55D",  # CLOCK FACE TWO-THIRTY
    "\u1F55E",  # CLOCK FACE THREE-THIRTY
    "\u1F55F",  # CLOCK FACE FOUR-THIRTY
    "\u1F560",  # CLOCK FACE FIVE-THIRTY
    "\u1F561",  # CLOCK FACE SIX-THIRTY
    "\u1F562",  # CLOCK FACE SEVEN-THIRTY
    "\u1F563",  # CLOCK FACE EIGHT-THIRTY
    "\u1F564",  # CLOCK FACE NINE-THIRTY
    "\u1F565",  # CLOCK FACE TEN-THIRTY
    "\u1F566",  # CLOCK FACE ELEVEN-THIRTY
    "\u1F567",  # CLOCK FACE TWELVE-THIRTY
    "\u1F568",  # RIGHT SPEAKER
    "\u1F569",  # RIGHT SPEAKER WITH ONE SOUND WAVE
    "\u1F56A",  # RIGHT SPEAKER WITH THREE SOUND WAVES
    "\u1F56B",  # BULLHORN
    "\u1F56C",  # BULLHORN WITH SOUND WAVES
    "\u1F56D",  # RINGING BELL
    "\u1F56E",  # BOOK
    "\u1F56F",  # CANDLE
    "\u1F570",  # MANTELPIECE CLOCK
    "\u1F571",  # BLACK SKULL AND CROSSBONES
    "\u1F572",  # NO PIRACY
    "\u1F573",  # HOLE
    "\u1F574",  # MAN IN BUSINESS SUIT LEVITATING
    "\u1F575",  # SLEUTH OR SPY
    "\u1F576",  # DARK SUNGLASSES
    "\u1F577",  # SPIDER
    "\u1F578",  # SPIDER WEB
    "\u1F579",  # JOYSTICK
    "\u1F57A",  # MAN DANCING
    "\u1F57B",  # LEFT HAND TELEPHONE RECEIVER
    "\u1F57C",  # TELEPHONE RECEIVER WITH PAGE
    "\u1F57D",  # RIGHT HAND TELEPHONE RECEIVER
    "\u1F57E",  # WHITE TOUCHTONE TELEPHONE
    "\u1F57F",  # BLACK TOUCHTONE TELEPHONE
    "\u1F580",  # TELEPHONE ON TOP OF MODEM
    "\u1F581",  # CLAMSHELL MOBILE PHONE
    "\u1F582",  # BACK OF ENVELOPE
    "\u1F583",  # STAMPED ENVELOPE
    "\u1F584",  # ENVELOPE WITH LIGHTNING
    "\u1F585",  # FLYING ENVELOPE
    "\u1F586",  # PEN OVER STAMPED ENVELOPE
    "\u1F587",  # LINKED PAPERCLIPS
    "\u1F588",  # BLACK PUSHPIN
    "\u1F589",  # LOWER LEFT PENCIL
    "\u1F58A",  # LOWER LEFT BALLPOINT PEN
    "\u1F58B",  # LOWER LEFT FOUNTAIN PEN
    "\u1F58C",  # LOWER LEFT PAINTBRUSH
    "\u1F58D",  # LOWER LEFT CRAYON
    "\u1F58E",  # LEFT WRITING HAND
    "\u1F58F",  # TURNED OK HAND SIGN
    "\u1F590",  # RAISED HAND WITH FINGERS SPLAYED
    "\u1F591",  # REVERSED RAISED HAND WITH FINGERS SPLAYED
    "\u1F592",  # REVERSED THUMBS UP SIGN
    "\u1F593",  # REVERSED THUMBS DOWN SIGN
    "\u1F594",  # REVERSED VICTORY HAND
    "\u1F595",  # REVERSED HAND WITH MIDDLE FINGER EXTENDED
    "\u1F596",  # RAISED HAND WITH PART BETWEEN MIDDLE AND RING FINGERS
    "\u1F597",  # WHITE DOWN POINTING LEFT HAND INDEX
    "\u1F598",  # SIDEWAYS WHITE LEFT POINTING INDEX
    "\u1F599",  # SIDEWAYS WHITE RIGHT POINTING INDEX
    "\u1F59A",  # SIDEWAYS BLACK LEFT POINTING INDEX
    "\u1F59B",  # SIDEWAYS BLACK RIGHT POINTING INDEX
    "\u1F59C",  # BLACK LEFT POINTING BACKHAND INDEX
    "\u1F59D",  # BLACK RIGHT POINTING BACKHAND INDEX
    "\u1F59E",  # SIDEWAYS WHITE UP POINTING INDEX
    "\u1F59F",  # SIDEWAYS WHITE DOWN POINTING INDEX
    "\u1F5A0",  # SIDEWAYS BLACK UP POINTING INDEX
    "\u1F5A1",  # SIDEWAYS BLACK DOWN POINTING INDEX
    "\u1F5A2",  # BLACK UP POINTING BACKHAND INDEX
    "\u1F5A3",  # BLACK DOWN POINTING BACKHAND INDEX
    "\u1F5A4",  # BLACK HEART
    "\u1F5A5",  # DESKTOP COMPUTER
    "\u1F5A6",  # KEYBOARD AND MOUSE
    "\u1F5A7",  # THREE NETWORKED COMPUTERS
    "\u1F5A8",  # PRINTER
    "\u1F5A9",  # POCKET CALCULATOR
    "\u1F5AA",  # BLACK HARD SHELL FLOPPY DISK
    "\u1F5AB",  # WHITE HARD SHELL FLOPPY DISK
    "\u1F5AC",  # SOFT SHELL FLOPPY DISK
    "\u1F5AD",  # TAPE CARTRIDGE
    "\u1F5AE",  # WIRED KEYBOARD
    "\u1F5AF",  # ONE BUTTON MOUSE
    "\u1F5B0",  # TWO BUTTON MOUSE
    "\u1F5B1",  # THREE BUTTON MOUSE
    "\u1F5B2",  # TRACKBALL
    "\u1F5B3",  # OLD PERSONAL COMPUTER
    "\u1F5B4",  # HARD DISK
    "\u1F5B5",  # SCREEN
    "\u1F5B6",  # PRINTER ICON
    "\u1F5B7",  # FAX ICON
    "\u1F5B8",  # OPTICAL DISC ICON
    "\u1F5B9",  # DOCUMENT WITH TEXT
    "\u1F5BA",  # DOCUMENT WITH TEXT AND PICTURE
    "\u1F5BB",  # DOCUMENT WITH PICTURE
    "\u1F5BC",  # FRAME WITH PICTURE
    "\u1F5BD",  # FRAME WITH TILES
    "\u1F5BE",  # FRAME WITH AN X
    "\u1F5BF",  # BLACK FOLDER
    "\u1F5C0",  # FOLDER
    "\u1F5C1",  # OPEN FOLDER
    "\u1F5C2",  # CARD INDEX DIVIDERS
    "\u1F5C3",  # CARD FILE BOX
    "\u1F5C4",  # FILE CABINET
    "\u1F5C5",  # EMPTY NOTE
    "\u1F5C6",  # EMPTY NOTE PAGE
    "\u1F5C7",  # EMPTY NOTE PAD
    "\u1F5C8",  # NOTE
    "\u1F5C9",  # NOTE PAGE
    "\u1F5CA",  # NOTE PAD
    "\u1F5CB",  # EMPTY DOCUMENT
    "\u1F5CC",  # EMPTY PAGE
    "\u1F5CD",  # EMPTY PAGES
    "\u1F5CE",  # DOCUMENT
    "\u1F5CF",  # PAGE
    "\u1F5D0",  # PAGES
    "\u1F5D1",  # WASTEBASKET
    "\u1F5D2",  # SPIRAL NOTE PAD
    "\u1F5D3",  # SPIRAL CALENDAR PAD
    "\u1F5D4",  # DESKTOP WINDOW
    "\u1F5D5",  # MINIMIZE
    "\u1F5D6",  # MAXIMIZE
    "\u1F5D7",  # OVERLAP
    "\u1F5D8",  # CLOCKWISE RIGHT AND LEFT SEMICIRCLE ARROWS
    "\u1F5D9",  # CANCELLATION X
    "\u1F5DA",  # INCREASE FONT SIZE SYMBOL
    "\u1F5DB",  # DECREASE FONT SIZE SYMBOL
    "\u1F5DC",  # COMPRESSION
    "\u1F5DD",  # OLD KEY
    "\u1F5DE",  # ROLLED-UP NEWSPAPER
    "\u1F5DF",  # PAGE WITH CIRCLED TEXT
    "\u1F5E0",  # STOCK CHART
    "\u1F5E1",  # DAGGER KNIFE
    "\u1F5E2",  # LIPS
    "\u1F5E3",  # SPEAKING HEAD IN SILHOUETTE
    "\u1F5E4",  # THREE RAYS ABOVE
    "\u1F5E5",  # THREE RAYS BELOW
    "\u1F5E6",  # THREE RAYS LEFT
    "\u1F5E7",  # THREE RAYS RIGHT
    "\u1F5E8",  # LEFT SPEECH BUBBLE
    "\u1F5E9",  # RIGHT SPEECH BUBBLE
    "\u1F5EA",  # TWO SPEECH BUBBLES
    "\u1F5EB",  # THREE SPEECH BUBBLES
    "\u1F5EC",  # LEFT THOUGHT BUBBLE
    "\u1F5ED",  # RIGHT THOUGHT BUBBLE
    "\u1F5EE",  # LEFT ANGER BUBBLE
    "\u1F5EF",  # RIGHT ANGER BUBBLE
    "\u1F5F0",  # MOOD BUBBLE
    "\u1F5F1",  # LIGHTNING MOOD BUBBLE
    "\u1F5F2",  # LIGHTNING MOOD
    "\u1F5F3",  # BALLOT BOX WITH BALLOT
    "\u1F5F4",  # BALLOT SCRIPT X
    "\u1F5F5",  # BALLOT BOX WITH SCRIPT X
    "\u1F5F6",  # BALLOT BOLD SCRIPT X
    "\u1F5F7",  # BALLOT BOX WITH BOLD SCRIPT X
    "\u1F5F8",  # LIGHT CHECK MARK
    "\u1F5F9",  # BALLOT BOX WITH BOLD CHECK
    "\u1F5FA",  # WORLD MAP
    "\u1F5FB",  # MOUNT FUJI
    "\u1F5FC",  # TOKYO TOWER
    "\u1F5FD",  # STATUE OF LIBERTY
    "\u1F5FE",  # SILHOUETTE OF JAPAN
    "\u1F5FF",  # MOYAI
    "\u1F600",  # GRINNING FACE
    "\u1F601",  # GRINNING FACE WITH SMILING EYES
    "\u1F602",  # FACE WITH TEARS OF JOY
    "\u1F603",  # SMILING FACE WITH OPEN MOUTH
    "\u1F604",  # SMILING FACE WITH OPEN MOUTH AND SMILING EYES
    "\u1F605",  # SMILING FACE WITH OPEN MOUTH AND COLD SWEAT
    "\u1F606",  # SMILING FACE WITH OPEN MOUTH AND TIGHTLY-CLOSED EYES
    "\u1F607",  # SMILING FACE WITH HALO
    "\u1F608",  # SMILING FACE WITH HORNS
    "\u1F609",  # WINKING FACE
    "\u1F60A",  # SMILING FACE WITH SMILING EYES
    "\u1F60B",  # FACE SAVOURING DELICIOUS FOOD
    "\u1F60C",  # RELIEVED FACE
    "\u1F60D",  # SMILING FACE WITH HEART-SHAPED EYES
    "\u1F60E",  # SMILING FACE WITH SUNGLASSES
    "\u1F60F",  # SMIRKING FACE
    "\u1F610",  # NEUTRAL FACE
    "\u1F611",  # EXPRESSIONLESS FACE
    "\u1F612",  # UNAMUSED FACE
    "\u1F613",  # FACE WITH COLD SWEAT
    "\u1F614",  # PENSIVE FACE
    "\u1F615",  # CONFUSED FACE
    "\u1F616",  # CONFOUNDED FACE
    "\u1F617",  # KISSING FACE
    "\u1F618",  # FACE THROWING A KISS
    "\u1F619",  # KISSING FACE WITH SMILING EYES
    "\u1F61A",  # KISSING FACE WITH CLOSED EYES
    "\u1F61B",  # FACE WITH STUCK-OUT TONGUE
    "\u1F61C",  # FACE WITH STUCK-OUT TONGUE AND WINKING EYE
    "\u1F61D",  # FACE WITH STUCK-OUT TONGUE AND TIGHTLY-CLOSED EYES
    "\u1F61E",  # DISAPPOINTED FACE
    "\u1F61F",  # WORRIED FACE
    "\u1F620",  # ANGRY FACE
    "\u1F621",  # POUTING FACE
    "\u1F622",  # CRYING FACE
    "\u1F623",  # PERSEVERING FACE
    "\u1F624",  # FACE WITH LOOK OF TRIUMPH
    "\u1F625",  # DISAPPOINTED BUT RELIEVED FACE
    "\u1F626",  # FROWNING FACE WITH OPEN MOUTH
    "\u1F627",  # ANGUISHED FACE
    "\u1F628",  # FEARFUL FACE
    "\u1F629",  # WEARY FACE
    "\u1F62A",  # SLEEPY FACE
    "\u1F62B",  # TIRED FACE
    "\u1F62C",  # GRIMACING FACE
    "\u1F62D",  # LOUDLY CRYING FACE
    "\u1F62E",  # FACE WITH OPEN MOUTH
    "\u1F62F",  # HUSHED FACE
    "\u1F630",  # FACE WITH OPEN MOUTH AND COLD SWEAT
    "\u1F631",  # FACE SCREAMING IN FEAR
    "\u1F632",  # ASTONISHED FACE
    "\u1F633",  # FLUSHED FACE
    "\u1F634",  # SLEEPING FACE
    "\u1F635",  # DIZZY FACE
    "\u1F636",  # FACE WITHOUT MOUTH
    "\u1F637",  # FACE WITH MEDICAL MASK
    "\u1F638",  # GRINNING CAT FACE WITH SMILING EYES
    "\u1F639",  # CAT FACE WITH TEARS OF JOY
    "\u1F63A",  # SMILING CAT FACE WITH OPEN MOUTH
    "\u1F63B",  # SMILING CAT FACE WITH HEART-SHAPED EYES
    "\u1F63C",  # CAT FACE WITH WRY SMILE
    "\u1F63D",  # KISSING CAT FACE WITH CLOSED EYES
    "\u1F63E",  # POUTING CAT FACE
    "\u1F63F",  # CRYING CAT FACE
    "\u1F640",  # WEARY CAT FACE
    "\u1F641",  # SLIGHTLY FROWNING FACE
    "\u1F642",  # SLIGHTLY SMILING FACE
    "\u1F643",  # UPSIDE-DOWN FACE
    "\u1F644",  # FACE WITH ROLLING EYES
    "\u1F645",  # FACE WITH NO GOOD GESTURE
    "\u1F646",  # FACE WITH OK GESTURE
    "\u1F647",  # PERSON BOWING DEEPLY
    "\u1F648",  # SEE-NO-EVIL MONKEY
    "\u1F649",  # HEAR-NO-EVIL MONKEY
    "\u1F64A",  # SPEAK-NO-EVIL MONKEY
    "\u1F64B",  # HAPPY PERSON RAISING ONE HAND
    "\u1F64C",  # PERSON RAISING BOTH HANDS IN CELEBRATION
    "\u1F64D",  # PERSON FROWNING
    "\u1F64E",  # PERSON WITH POUTING FACE
    "\u1F64F",  # PERSON WITH FOLDED HANDS
    "\u1F650",  # NORTH WEST POINTING LEAF
    "\u1F651",  # SOUTH WEST POINTING LEAF
    "\u1F652",  # NORTH EAST POINTING LEAF
    "\u1F653",  # SOUTH EAST POINTING LEAF
    "\u1F654",  # TURNED NORTH WEST POINTING LEAF
    "\u1F655",  # TURNED SOUTH WEST POINTING LEAF
    "\u1F656",  # TURNED NORTH EAST POINTING LEAF
    "\u1F657",  # TURNED SOUTH EAST POINTING LEAF
    "\u1F658",  # NORTH WEST POINTING VINE LEAF
    "\u1F659",  # SOUTH WEST POINTING VINE LEAF
    "\u1F65A",  # NORTH EAST POINTING VINE LEAF
    "\u1F65B",  # SOUTH EAST POINTING VINE LEAF
    "\u1F65C",  # HEAVY NORTH WEST POINTING VINE LEAF
    "\u1F65D",  # HEAVY SOUTH WEST POINTING VINE LEAF
    "\u1F65E",  # HEAVY NORTH EAST POINTING VINE LEAF
    "\u1F65F",  # HEAVY SOUTH EAST POINTING VINE LEAF
    "\u1F660",  # NORTH WEST POINTING BUD
    "\u1F661",  # SOUTH WEST POINTING BUD
    "\u1F662",  # NORTH EAST POINTING BUD
    "\u1F663",  # SOUTH EAST POINTING BUD
    "\u1F664",  # HEAVY NORTH WEST POINTING BUD
    "\u1F665",  # HEAVY SOUTH WEST POINTING BUD
    "\u1F666",  # HEAVY NORTH EAST POINTING BUD
    "\u1F667",  # HEAVY SOUTH EAST POINTING BUD
    "\u1F668",  # HOLLOW QUILT SQUARE ORNAMENT
    "\u1F669",  # HOLLOW QUILT SQUARE ORNAMENT IN BLACK SQUARE
    "\u1F66A",  # SOLID QUILT SQUARE ORNAMENT
    "\u1F66B",  # SOLID QUILT SQUARE ORNAMENT IN BLACK SQUARE
    "\u1F66C",  # LEFTWARDS ROCKET
    "\u1F66D",  # UPWARDS ROCKET
    "\u1F66E",  # RIGHTWARDS ROCKET
    "\u1F66F",  # DOWNWARDS ROCKET
    "\u1F670",  # SCRIPT LIGATURE ET ORNAMENT
    "\u1F671",  # HEAVY SCRIPT LIGATURE ET ORNAMENT
    "\u1F672",  # LIGATURE OPEN ET ORNAMENT
    "\u1F673",  # HEAVY LIGATURE OPEN ET ORNAMENT
    "\u1F674",  # HEAVY AMPERSAND ORNAMENT
    "\u1F675",  # SWASH AMPERSAND ORNAMENT
    "\u1F676",  # SANS-SERIF HEAVY DOUBLE TURNED COMMA QUOTATION MARK ORNAMENT
    "\u1F677",  # SANS-SERIF HEAVY DOUBLE COMMA QUOTATION MARK ORNAMENT
    "\u1F678",  # SANS-SERIF HEAVY LOW DOUBLE COMMA QUOTATION MARK ORNAMENT
    "\u1F679",  # HEAVY INTERROBANG ORNAMENT
    "\u1F67A",  # SANS-SERIF INTERROBANG ORNAMENT
    "\u1F67B",  # HEAVY SANS-SERIF INTERROBANG ORNAMENT
    "\u1F67C",  # VERY HEAVY SOLIDUS
    "\u1F67D",  # VERY HEAVY REVERSE SOLIDUS
    "\u1F67E",  # CHECKER BOARD
    "\u1F67F",  # REVERSE CHECKER BOARD
    "\u1F680",  # ROCKET
    "\u1F681",  # HELICOPTER
    "\u1F682",  # STEAM LOCOMOTIVE
    "\u1F683",  # RAILWAY CAR
    "\u1F684",  # HIGH-SPEED TRAIN
    "\u1F685",  # HIGH-SPEED TRAIN WITH BULLET NOSE
    "\u1F686",  # TRAIN
    "\u1F687",  # METRO
    "\u1F688",  # LIGHT RAIL
    "\u1F689",  # STATION
    "\u1F68A",  # TRAM
    "\u1F68B",  # TRAM CAR
    "\u1F68C",  # BUS
    "\u1F68D",  # ONCOMING BUS
    "\u1F68E",  # TROLLEYBUS
    "\u1F68F",  # BUS STOP
    "\u1F690",  # MINIBUS
    "\u1F691",  # AMBULANCE
    "\u1F692",  # FIRE ENGINE
    "\u1F693",  # POLICE CAR
    "\u1F694",  # ONCOMING POLICE CAR
    "\u1F695",  # TAXI
    "\u1F696",  # ONCOMING TAXI
    "\u1F697",  # AUTOMOBILE
    "\u1F698",  # ONCOMING AUTOMOBILE
    "\u1F699",  # RECREATIONAL VEHICLE
    "\u1F69A",  # DELIVERY TRUCK
    "\u1F69B",  # ARTICULATED LORRY
    "\u1F69C",  # TRACTOR
    "\u1F69D",  # MONORAIL
    "\u1F69E",  # MOUNTAIN RAILWAY
    "\u1F69F",  # SUSPENSION RAILWAY
    "\u1F6A0",  # MOUNTAIN CABLEWAY
    "\u1F6A1",  # AERIAL TRAMWAY
    "\u1F6A2",  # SHIP
    "\u1F6A3",  # ROWBOAT
    "\u1F6A4",  # SPEEDBOAT
    "\u1F6A5",  # HORIZONTAL TRAFFIC LIGHT
    "\u1F6A6",  # VERTICAL TRAFFIC LIGHT
    "\u1F6A7",  # CONSTRUCTION SIGN
    "\u1F6A8",  # POLICE CARS REVOLVING LIGHT
    "\u1F6A9",  # TRIANGULAR FLAG ON POST
    "\u1F6AA",  # DOOR
    "\u1F6AB",  # NO ENTRY SIGN
    "\u1F6AC",  # SMOKING SYMBOL
    "\u1F6AD",  # NO SMOKING SYMBOL
    "\u1F6AE",  # PUT LITTER IN ITS PLACE SYMBOL
    "\u1F6AF",  # DO NOT LITTER SYMBOL
    "\u1F6B0",  # POTABLE WATER SYMBOL
    "\u1F6B1",  # NON-POTABLE WATER SYMBOL
    "\u1F6B2",  # BICYCLE
    "\u1F6B3",  # NO BICYCLES
    "\u1F6B4",  # BICYCLIST
    "\u1F6B5",  # MOUNTAIN BICYCLIST
    "\u1F6B6",  # PEDESTRIAN
    "\u1F6B7",  # NO PEDESTRIANS
    "\u1F6B8",  # CHILDREN CROSSING
    "\u1F6B9",  # MENS SYMBOL
    "\u1F6BA",  # WOMENS SYMBOL
    "\u1F6BB",  # RESTROOM
    "\u1F6BC",  # BABY SYMBOL
    "\u1F6BD",  # TOILET
    "\u1F6BE",  # WATER CLOSET
    "\u1F6BF",  # SHOWER
    "\u1F6C0",  # BATH
    "\u1F6C1",  # BATHTUB
    "\u1F6C2",  # PASSPORT CONTROL
    "\u1F6C3",  # CUSTOMS
    "\u1F6C4",  # BAGGAGE CLAIM
    "\u1F6C5",  # LEFT LUGGAGE
    "\u1F6C6",  # TRIANGLE WITH ROUNDED CORNERS
    "\u1F6C7",  # PROHIBITED SIGN
    "\u1F6C8",  # CIRCLED INFORMATION SOURCE
    "\u1F6C9",  # BOYS SYMBOL
    "\u1F6CA",  # GIRLS SYMBOL
    "\u1F6CB",  # COUCH AND LAMP
    "\u1F6CC",  # SLEEPING ACCOMMODATION
    "\u1F6CD",  # SHOPPING BAGS
    "\u1F6CE",  # BELLHOP BELL
    "\u1F6CF",  # BED
    "\u1F6D0",  # PLACE OF WORSHIP
    "\u1F6D1",  # OCTAGONAL SIGN
    "\u1F6D2",  # SHOPPING TROLLEY
    "\u1F6D3",  # STUPA
    "\u1F6D4",  # PAGODA
    "\u1F6E0",  # HAMMER AND WRENCH
    "\u1F6E1",  # SHIELD
    "\u1F6E2",  # OIL DRUM
    "\u1F6E3",  # MOTORWAY
    "\u1F6E4",  # RAILWAY TRACK
    "\u1F6E5",  # MOTOR BOAT
    "\u1F6E6",  # UP-POINTING MILITARY AIRPLANE
    "\u1F6E7",  # UP-POINTING AIRPLANE
    "\u1F6E8",  # UP-POINTING SMALL AIRPLANE
    "\u1F6E9",  # SMALL AIRPLANE
    "\u1F6EA",  # NORTHEAST-POINTING AIRPLANE
    "\u1F6EB",  # AIRPLANE DEPARTURE
    "\u1F6EC",  # AIRPLANE ARRIVING
    "\u1F6F0",  # SATELLITE
    "\u1F6F1",  # ONCOMING FIRE ENGINE
    "\u1F6F2",  # DIESEL LOCOMOTIVE
    "\u1F6F3",  # PASSENGER SHIP
    "\u1F6F4",  # SCOOTER
    "\u1F6F5",  # MOTOR SCOOTER
    "\u1F6F6",  # CANOE
    "\u1F6F7",  # SLED
    "\u1F6F8",  # FLYING SAUCER
    "\u1F700",  # ALCHEMICAL SYMBOL FOR QUINTESSENCE
    "\u1F701",  # ALCHEMICAL SYMBOL FOR AIR
    "\u1F702",  # ALCHEMICAL SYMBOL FOR FIRE
    "\u1F703",  # ALCHEMICAL SYMBOL FOR EARTH
    "\u1F704",  # ALCHEMICAL SYMBOL FOR WATER
    "\u1F705",  # ALCHEMICAL SYMBOL FOR AQUAFORTIS
    "\u1F706",  # ALCHEMICAL SYMBOL FOR AQUA REGIA
    "\u1F707",  # ALCHEMICAL SYMBOL FOR AQUA REGIA-2
    "\u1F708",  # ALCHEMICAL SYMBOL FOR AQUA VITAE
    "\u1F709",  # ALCHEMICAL SYMBOL FOR AQUA VITAE-2
    "\u1F70A",  # ALCHEMICAL SYMBOL FOR VINEGAR
    "\u1F70B",  # ALCHEMICAL SYMBOL FOR VINEGAR-2
    "\u1F70C",  # ALCHEMICAL SYMBOL FOR VINEGAR-3
    "\u1F70D",  # ALCHEMICAL SYMBOL FOR SULFUR
    "\u1F70E",  # ALCHEMICAL SYMBOL FOR PHILOSOPHERS SULFUR
    "\u1F70F",  # ALCHEMICAL SYMBOL FOR BLACK SULFUR
    "\u1F710",  # ALCHEMICAL SYMBOL FOR MERCURY SUBLIMATE
    "\u1F711",  # ALCHEMICAL SYMBOL FOR MERCURY SUBLIMATE-2
    "\u1F712",  # ALCHEMICAL SYMBOL FOR MERCURY SUBLIMATE-3
    "\u1F713",  # ALCHEMICAL SYMBOL FOR CINNABAR
    "\u1F714",  # ALCHEMICAL SYMBOL FOR SALT
    "\u1F715",  # ALCHEMICAL SYMBOL FOR NITRE
    "\u1F716",  # ALCHEMICAL SYMBOL FOR VITRIOL
    "\u1F717",  # ALCHEMICAL SYMBOL FOR VITRIOL-2
    "\u1F718",  # ALCHEMICAL SYMBOL FOR ROCK SALT
    "\u1F719",  # ALCHEMICAL SYMBOL FOR ROCK SALT-2
    "\u1F71A",  # ALCHEMICAL SYMBOL FOR GOLD
    "\u1F71B",  # ALCHEMICAL SYMBOL FOR SILVER
    "\u1F71C",  # ALCHEMICAL SYMBOL FOR IRON ORE
    "\u1F71D",  # ALCHEMICAL SYMBOL FOR IRON ORE-2
    "\u1F71E",  # ALCHEMICAL SYMBOL FOR CROCUS OF IRON
    "\u1F71F",  # ALCHEMICAL SYMBOL FOR REGULUS OF IRON
    "\u1F720",  # ALCHEMICAL SYMBOL FOR COPPER ORE
    "\u1F721",  # ALCHEMICAL SYMBOL FOR IRON-COPPER ORE
    "\u1F722",  # ALCHEMICAL SYMBOL FOR SUBLIMATE OF COPPER
    "\u1F723",  # ALCHEMICAL SYMBOL FOR CROCUS OF COPPER
    "\u1F724",  # ALCHEMICAL SYMBOL FOR CROCUS OF COPPER-2
    "\u1F725",  # ALCHEMICAL SYMBOL FOR COPPER ANTIMONIATE
    "\u1F726",  # ALCHEMICAL SYMBOL FOR SALT OF COPPER ANTIMONIATE
    "\u1F727",  # ALCHEMICAL SYMBOL FOR SUBLIMATE OF SALT OF COPPER
    "\u1F728",  # ALCHEMICAL SYMBOL FOR VERDIGRIS
    "\u1F729",  # ALCHEMICAL SYMBOL FOR TIN ORE
    "\u1F72A",  # ALCHEMICAL SYMBOL FOR LEAD ORE
    "\u1F72B",  # ALCHEMICAL SYMBOL FOR ANTIMONY ORE
    "\u1F72C",  # ALCHEMICAL SYMBOL FOR SUBLIMATE OF ANTIMONY
    "\u1F72D",  # ALCHEMICAL SYMBOL FOR SALT OF ANTIMONY
    "\u1F72E",  # ALCHEMICAL SYMBOL FOR SUBLIMATE OF SALT OF ANTIMONY
    "\u1F72F",  # ALCHEMICAL SYMBOL FOR VINEGAR OF ANTIMONY
    "\u1F730",  # ALCHEMICAL SYMBOL FOR REGULUS OF ANTIMONY
    "\u1F731",  # ALCHEMICAL SYMBOL FOR REGULUS OF ANTIMONY-2
    "\u1F732",  # ALCHEMICAL SYMBOL FOR REGULUS
    "\u1F733",  # ALCHEMICAL SYMBOL FOR REGULUS-2
    "\u1F734",  # ALCHEMICAL SYMBOL FOR REGULUS-3
    "\u1F735",  # ALCHEMICAL SYMBOL FOR REGULUS-4
    "\u1F736",  # ALCHEMICAL SYMBOL FOR ALKALI
    "\u1F737",  # ALCHEMICAL SYMBOL FOR ALKALI-2
    "\u1F738",  # ALCHEMICAL SYMBOL FOR MARCASITE
    "\u1F739",  # ALCHEMICAL SYMBOL FOR SAL-AMMONIAC
    "\u1F73A",  # ALCHEMICAL SYMBOL FOR ARSENIC
    "\u1F73B",  # ALCHEMICAL SYMBOL FOR REALGAR
    "\u1F73C",  # ALCHEMICAL SYMBOL FOR REALGAR-2
    "\u1F73D",  # ALCHEMICAL SYMBOL FOR AURIPIGMENT
    "\u1F73E",  # ALCHEMICAL SYMBOL FOR BISMUTH ORE
    "\u1F73F",  # ALCHEMICAL SYMBOL FOR TARTAR
    "\u1F740",  # ALCHEMICAL SYMBOL FOR TARTAR-2
    "\u1F741",  # ALCHEMICAL SYMBOL FOR QUICK LIME
    "\u1F742",  # ALCHEMICAL SYMBOL FOR BORAX
    "\u1F743",  # ALCHEMICAL SYMBOL FOR BORAX-2
    "\u1F744",  # ALCHEMICAL SYMBOL FOR BORAX-3
    "\u1F745",  # ALCHEMICAL SYMBOL FOR ALUM
    "\u1F746",  # ALCHEMICAL SYMBOL FOR OIL
    "\u1F747",  # ALCHEMICAL SYMBOL FOR SPIRIT
    "\u1F748",  # ALCHEMICAL SYMBOL FOR TINCTURE
    "\u1F749",  # ALCHEMICAL SYMBOL FOR GUM
    "\u1F74A",  # ALCHEMICAL SYMBOL FOR WAX
    "\u1F74B",  # ALCHEMICAL SYMBOL FOR POWDER
    "\u1F74C",  # ALCHEMICAL SYMBOL FOR CALX
    "\u1F74D",  # ALCHEMICAL SYMBOL FOR TUTTY
    "\u1F74E",  # ALCHEMICAL SYMBOL FOR CAPUT MORTUUM
    "\u1F74F",  # ALCHEMICAL SYMBOL FOR SCEPTER OF JOVE
    "\u1F750",  # ALCHEMICAL SYMBOL FOR CADUCEUS
    "\u1F751",  # ALCHEMICAL SYMBOL FOR TRIDENT
    "\u1F752",  # ALCHEMICAL SYMBOL FOR STARRED TRIDENT
    "\u1F753",  # ALCHEMICAL SYMBOL FOR LODESTONE
    "\u1F754",  # ALCHEMICAL SYMBOL FOR SOAP
    "\u1F755",  # ALCHEMICAL SYMBOL FOR URINE
    "\u1F756",  # ALCHEMICAL SYMBOL FOR HORSE DUNG
    "\u1F757",  # ALCHEMICAL SYMBOL FOR ASHES
    "\u1F758",  # ALCHEMICAL SYMBOL FOR POT ASHES
    "\u1F759",  # ALCHEMICAL SYMBOL FOR BRICK
    "\u1F75A",  # ALCHEMICAL SYMBOL FOR POWDERED BRICK
    "\u1F75B",  # ALCHEMICAL SYMBOL FOR AMALGAM
    "\u1F75C",  # ALCHEMICAL SYMBOL FOR STRATUM SUPER STRATUM
    "\u1F75D",  # ALCHEMICAL SYMBOL FOR STRATUM SUPER STRATUM-2
    "\u1F75E",  # ALCHEMICAL SYMBOL FOR SUBLIMATION
    "\u1F75F",  # ALCHEMICAL SYMBOL FOR PRECIPITATE
    "\u1F760",  # ALCHEMICAL SYMBOL FOR DISTILL
    "\u1F761",  # ALCHEMICAL SYMBOL FOR DISSOLVE
    "\u1F762",  # ALCHEMICAL SYMBOL FOR DISSOLVE-2
    "\u1F763",  # ALCHEMICAL SYMBOL FOR PURIFY
    "\u1F764",  # ALCHEMICAL SYMBOL FOR PUTREFACTION
    "\u1F765",  # ALCHEMICAL SYMBOL FOR CRUCIBLE
    "\u1F766",  # ALCHEMICAL SYMBOL FOR CRUCIBLE-2
    "\u1F767",  # ALCHEMICAL SYMBOL FOR CRUCIBLE-3
    "\u1F768",  # ALCHEMICAL SYMBOL FOR CRUCIBLE-4
    "\u1F769",  # ALCHEMICAL SYMBOL FOR CRUCIBLE-5
    "\u1F76A",  # ALCHEMICAL SYMBOL FOR ALEMBIC
    "\u1F76B",  # ALCHEMICAL SYMBOL FOR BATH OF MARY
    "\u1F76C",  # ALCHEMICAL SYMBOL FOR BATH OF VAPOURS
    "\u1F76D",  # ALCHEMICAL SYMBOL FOR RETORT
    "\u1F76E",  # ALCHEMICAL SYMBOL FOR HOUR
    "\u1F76F",  # ALCHEMICAL SYMBOL FOR NIGHT
    "\u1F770",  # ALCHEMICAL SYMBOL FOR DAY-NIGHT
    "\u1F771",  # ALCHEMICAL SYMBOL FOR MONTH
    "\u1F772",  # ALCHEMICAL SYMBOL FOR HALF DRAM
    "\u1F773",  # ALCHEMICAL SYMBOL FOR HALF OUNCE
    "\u1F780",  # BLACK LEFT-POINTING ISOSCELES RIGHT TRIANGLE
    "\u1F781",  # BLACK UP-POINTING ISOSCELES RIGHT TRIANGLE
    "\u1F782",  # BLACK RIGHT-POINTING ISOSCELES RIGHT TRIANGLE
    "\u1F783",  # BLACK DOWN-POINTING ISOSCELES RIGHT TRIANGLE
    "\u1F784",  # BLACK SLIGHTLY SMALL CIRCLE
    "\u1F785",  # MEDIUM BOLD WHITE CIRCLE
    "\u1F786",  # BOLD WHITE CIRCLE
    "\u1F787",  # HEAVY WHITE CIRCLE
    "\u1F788",  # VERY HEAVY WHITE CIRCLE
    "\u1F789",  # EXTREMELY HEAVY WHITE CIRCLE
    "\u1F78A",  # WHITE CIRCLE CONTAINING BLACK SMALL CIRCLE
    "\u1F78B",  # ROUND TARGET
    "\u1F78C",  # BLACK TINY SQUARE
    "\u1F78D",  # BLACK SLIGHTLY SMALL SQUARE
    "\u1F78E",  # LIGHT WHITE SQUARE
    "\u1F78F",  # MEDIUM WHITE SQUARE
    "\u1F790",  # BOLD WHITE SQUARE
    "\u1F791",  # HEAVY WHITE SQUARE
    "\u1F792",  # VERY HEAVY WHITE SQUARE
    "\u1F793",  # EXTREMELY HEAVY WHITE SQUARE
    "\u1F794",  # WHITE SQUARE CONTAINING BLACK VERY SMALL SQUARE
    "\u1F795",  # WHITE SQUARE CONTAINING BLACK MEDIUM SQUARE
    "\u1F796",  # SQUARE TARGET
    "\u1F797",  # BLACK TINY DIAMOND
    "\u1F798",  # BLACK VERY SMALL DIAMOND
    "\u1F799",  # BLACK MEDIUM SMALL DIAMOND
    "\u1F79A",  # WHITE DIAMOND CONTAINING BLACK VERY SMALL DIAMOND
    "\u1F79B",  # WHITE DIAMOND CONTAINING BLACK MEDIUM DIAMOND
    "\u1F79C",  # DIAMOND TARGET
    "\u1F79D",  # BLACK TINY LOZENGE
    "\u1F79E",  # BLACK VERY SMALL LOZENGE
    "\u1F79F",  # BLACK MEDIUM SMALL LOZENGE
    "\u1F7A0",  # WHITE LOZENGE CONTAINING BLACK SMALL LOZENGE
    "\u1F7A1",  # THIN GREEK CROSS
    "\u1F7A2",  # LIGHT GREEK CROSS
    "\u1F7A3",  # MEDIUM GREEK CROSS
    "\u1F7A4",  # BOLD GREEK CROSS
    "\u1F7A5",  # VERY BOLD GREEK CROSS
    "\u1F7A6",  # VERY HEAVY GREEK CROSS
    "\u1F7A7",  # EXTREMELY HEAVY GREEK CROSS
    "\u1F7A8",  # THIN SALTIRE
    "\u1F7A9",  # LIGHT SALTIRE
    "\u1F7AA",  # MEDIUM SALTIRE
    "\u1F7AB",  # BOLD SALTIRE
    "\u1F7AC",  # HEAVY SALTIRE
    "\u1F7AD",  # VERY HEAVY SALTIRE
    "\u1F7AE",  # EXTREMELY HEAVY SALTIRE
    "\u1F7AF",  # LIGHT FIVE SPOKED ASTERISK
    "\u1F7B0",  # MEDIUM FIVE SPOKED ASTERISK
    "\u1F7B1",  # BOLD FIVE SPOKED ASTERISK
    "\u1F7B2",  # HEAVY FIVE SPOKED ASTERISK
    "\u1F7B3",  # VERY HEAVY FIVE SPOKED ASTERISK
    "\u1F7B4",  # EXTREMELY HEAVY FIVE SPOKED ASTERISK
    "\u1F7B5",  # LIGHT SIX SPOKED ASTERISK
    "\u1F7B6",  # MEDIUM SIX SPOKED ASTERISK
    "\u1F7B7",  # BOLD SIX SPOKED ASTERISK
    "\u1F7B8",  # HEAVY SIX SPOKED ASTERISK
    "\u1F7B9",  # VERY HEAVY SIX SPOKED ASTERISK
    "\u1F7BA",  # EXTREMELY HEAVY SIX SPOKED ASTERISK
    "\u1F7BB",  # LIGHT EIGHT SPOKED ASTERISK
    "\u1F7BC",  # MEDIUM EIGHT SPOKED ASTERISK
    "\u1F7BD",  # BOLD EIGHT SPOKED ASTERISK
    "\u1F7BE",  # HEAVY EIGHT SPOKED ASTERISK
    "\u1F7BF",  # VERY HEAVY EIGHT SPOKED ASTERISK
    "\u1F7C0",  # LIGHT THREE POINTED BLACK STAR
    "\u1F7C1",  # MEDIUM THREE POINTED BLACK STAR
    "\u1F7C2",  # THREE POINTED BLACK STAR
    "\u1F7C3",  # MEDIUM THREE POINTED PINWHEEL STAR
    "\u1F7C4",  # LIGHT FOUR POINTED BLACK STAR
    "\u1F7C5",  # MEDIUM FOUR POINTED BLACK STAR
    "\u1F7C6",  # FOUR POINTED BLACK STAR
    "\u1F7C7",  # MEDIUM FOUR POINTED PINWHEEL STAR
    "\u1F7C8",  # REVERSE LIGHT FOUR POINTED PINWHEEL STAR
    "\u1F7C9",  # LIGHT FIVE POINTED BLACK STAR
    "\u1F7CA",  # HEAVY FIVE POINTED BLACK STAR
    "\u1F7CB",  # MEDIUM SIX POINTED BLACK STAR
    "\u1F7CC",  # HEAVY SIX POINTED BLACK STAR
    "\u1F7CD",  # SIX POINTED PINWHEEL STAR
    "\u1F7CE",  # MEDIUM EIGHT POINTED BLACK STAR
    "\u1F7CF",  # HEAVY EIGHT POINTED BLACK STAR
    "\u1F7D0",  # VERY HEAVY EIGHT POINTED BLACK STAR
    "\u1F7D1",  # HEAVY EIGHT POINTED PINWHEEL STAR
    "\u1F7D2",  # LIGHT TWELVE POINTED BLACK STAR
    "\u1F7D3",  # HEAVY TWELVE POINTED BLACK STAR
    "\u1F7D4",  # HEAVY TWELVE POINTED PINWHEEL STAR
    "\u1F800",  # LEFTWARDS ARROW WITH SMALL TRIANGLE ARROWHEAD
    "\u1F801",  # UPWARDS ARROW WITH SMALL TRIANGLE ARROWHEAD
    "\u1F802",  # RIGHTWARDS ARROW WITH SMALL TRIANGLE ARROWHEAD
    "\u1F803",  # DOWNWARDS ARROW WITH SMALL TRIANGLE ARROWHEAD
    "\u1F804",  # LEFTWARDS ARROW WITH MEDIUM TRIANGLE ARROWHEAD
    "\u1F805",  # UPWARDS ARROW WITH MEDIUM TRIANGLE ARROWHEAD
    "\u1F806",  # RIGHTWARDS ARROW WITH MEDIUM TRIANGLE ARROWHEAD
    "\u1F807",  # DOWNWARDS ARROW WITH MEDIUM TRIANGLE ARROWHEAD
    "\u1F808",  # LEFTWARDS ARROW WITH LARGE TRIANGLE ARROWHEAD
    "\u1F809",  # UPWARDS ARROW WITH LARGE TRIANGLE ARROWHEAD
    "\u1F80A",  # RIGHTWARDS ARROW WITH LARGE TRIANGLE ARROWHEAD
    "\u1F80B",  # DOWNWARDS ARROW WITH LARGE TRIANGLE ARROWHEAD
    "\u1F810",  # LEFTWARDS ARROW WITH SMALL EQUILATERAL ARROWHEAD
    "\u1F811",  # UPWARDS ARROW WITH SMALL EQUILATERAL ARROWHEAD
    "\u1F812",  # RIGHTWARDS ARROW WITH SMALL EQUILATERAL ARROWHEAD
    "\u1F813",  # DOWNWARDS ARROW WITH SMALL EQUILATERAL ARROWHEAD
    "\u1F814",  # LEFTWARDS ARROW WITH EQUILATERAL ARROWHEAD
    "\u1F815",  # UPWARDS ARROW WITH EQUILATERAL ARROWHEAD
    "\u1F816",  # RIGHTWARDS ARROW WITH EQUILATERAL ARROWHEAD
    "\u1F817",  # DOWNWARDS ARROW WITH EQUILATERAL ARROWHEAD
    "\u1F818",  # HEAVY LEFTWARDS ARROW WITH EQUILATERAL ARROWHEAD
    "\u1F819",  # HEAVY UPWARDS ARROW WITH EQUILATERAL ARROWHEAD
    "\u1F81A",  # HEAVY RIGHTWARDS ARROW WITH EQUILATERAL ARROWHEAD
    "\u1F81B",  # HEAVY DOWNWARDS ARROW WITH EQUILATERAL ARROWHEAD
    "\u1F81C",  # HEAVY LEFTWARDS ARROW WITH LARGE EQUILATERAL ARROWHEAD
    "\u1F81D",  # HEAVY UPWARDS ARROW WITH LARGE EQUILATERAL ARROWHEAD
    "\u1F81E",  # HEAVY RIGHTWARDS ARROW WITH LARGE EQUILATERAL ARROWHEAD
    "\u1F81F",  # HEAVY DOWNWARDS ARROW WITH LARGE EQUILATERAL ARROWHEAD
    "\u1F820",  # LEFTWARDS TRIANGLE-HEADED ARROW WITH NARROW SHAFT
    "\u1F821",  # UPWARDS TRIANGLE-HEADED ARROW WITH NARROW SHAFT
    "\u1F822",  # RIGHTWARDS TRIANGLE-HEADED ARROW WITH NARROW SHAFT
    "\u1F823",  # DOWNWARDS TRIANGLE-HEADED ARROW WITH NARROW SHAFT
    "\u1F824",  # LEFTWARDS TRIANGLE-HEADED ARROW WITH MEDIUM SHAFT
    "\u1F825",  # UPWARDS TRIANGLE-HEADED ARROW WITH MEDIUM SHAFT
    "\u1F826",  # RIGHTWARDS TRIANGLE-HEADED ARROW WITH MEDIUM SHAFT
    "\u1F827",  # DOWNWARDS TRIANGLE-HEADED ARROW WITH MEDIUM SHAFT
    "\u1F828",  # LEFTWARDS TRIANGLE-HEADED ARROW WITH BOLD SHAFT
    "\u1F829",  # UPWARDS TRIANGLE-HEADED ARROW WITH BOLD SHAFT
    "\u1F82A",  # RIGHTWARDS TRIANGLE-HEADED ARROW WITH BOLD SHAFT
    "\u1F82B",  # DOWNWARDS TRIANGLE-HEADED ARROW WITH BOLD SHAFT
    "\u1F82C",  # LEFTWARDS TRIANGLE-HEADED ARROW WITH HEAVY SHAFT
    "\u1F82D",  # UPWARDS TRIANGLE-HEADED ARROW WITH HEAVY SHAFT
    "\u1F82E",  # RIGHTWARDS TRIANGLE-HEADED ARROW WITH HEAVY SHAFT
    "\u1F82F",  # DOWNWARDS TRIANGLE-HEADED ARROW WITH HEAVY SHAFT
    "\u1F830",  # LEFTWARDS TRIANGLE-HEADED ARROW WITH VERY HEAVY SHAFT
    "\u1F831",  # UPWARDS TRIANGLE-HEADED ARROW WITH VERY HEAVY SHAFT
    "\u1F832",  # RIGHTWARDS TRIANGLE-HEADED ARROW WITH VERY HEAVY SHAFT
    "\u1F833",  # DOWNWARDS TRIANGLE-HEADED ARROW WITH VERY HEAVY SHAFT
    "\u1F834",  # LEFTWARDS FINGER-POST ARROW
    "\u1F835",  # UPWARDS FINGER-POST ARROW
    "\u1F836",  # RIGHTWARDS FINGER-POST ARROW
    "\u1F837",  # DOWNWARDS FINGER-POST ARROW
    "\u1F838",  # LEFTWARDS SQUARED ARROW
    "\u1F839",  # UPWARDS SQUARED ARROW
    "\u1F83A",  # RIGHTWARDS SQUARED ARROW
    "\u1F83B",  # DOWNWARDS SQUARED ARROW
    "\u1F83C",  # LEFTWARDS COMPRESSED ARROW
    "\u1F83D",  # UPWARDS COMPRESSED ARROW
    "\u1F83E",  # RIGHTWARDS COMPRESSED ARROW
    "\u1F83F",  # DOWNWARDS COMPRESSED ARROW
    "\u1F840",  # LEFTWARDS HEAVY COMPRESSED ARROW
    "\u1F841",  # UPWARDS HEAVY COMPRESSED ARROW
    "\u1F842",  # RIGHTWARDS HEAVY COMPRESSED ARROW
    "\u1F843",  # DOWNWARDS HEAVY COMPRESSED ARROW
    "\u1F844",  # LEFTWARDS HEAVY ARROW
    "\u1F845",  # UPWARDS HEAVY ARROW
    "\u1F846",  # RIGHTWARDS HEAVY ARROW
    "\u1F847",  # DOWNWARDS HEAVY ARROW
    "\u1F850",  # LEFTWARDS SANS-SERIF ARROW
    "\u1F851",  # UPWARDS SANS-SERIF ARROW
    "\u1F852",  # RIGHTWARDS SANS-SERIF ARROW
    "\u1F853",  # DOWNWARDS SANS-SERIF ARROW
    "\u1F854",  # NORTH WEST SANS-SERIF ARROW
    "\u1F855",  # NORTH EAST SANS-SERIF ARROW
    "\u1F856",  # SOUTH EAST SANS-SERIF ARROW
    "\u1F857",  # SOUTH WEST SANS-SERIF ARROW
    "\u1F858",  # LEFT RIGHT SANS-SERIF ARROW
    "\u1F859",  # UP DOWN SANS-SERIF ARROW
    "\u1F860",  # WIDE-HEADED LEFTWARDS LIGHT BARB ARROW
    "\u1F861",  # WIDE-HEADED UPWARDS LIGHT BARB ARROW
    "\u1F862",  # WIDE-HEADED RIGHTWARDS LIGHT BARB ARROW
    "\u1F863",  # WIDE-HEADED DOWNWARDS LIGHT BARB ARROW
    "\u1F864",  # WIDE-HEADED NORTH WEST LIGHT BARB ARROW
    "\u1F865",  # WIDE-HEADED NORTH EAST LIGHT BARB ARROW
    "\u1F866",  # WIDE-HEADED SOUTH EAST LIGHT BARB ARROW
    "\u1F867",  # WIDE-HEADED SOUTH WEST LIGHT BARB ARROW
    "\u1F868",  # WIDE-HEADED LEFTWARDS BARB ARROW
    "\u1F869",  # WIDE-HEADED UPWARDS BARB ARROW
    "\u1F86A",  # WIDE-HEADED RIGHTWARDS BARB ARROW
    "\u1F86B",  # WIDE-HEADED DOWNWARDS BARB ARROW
    "\u1F86C",  # WIDE-HEADED NORTH WEST BARB ARROW
    "\u1F86D",  # WIDE-HEADED NORTH EAST BARB ARROW
    "\u1F86E",  # WIDE-HEADED SOUTH EAST BARB ARROW
    "\u1F86F",  # WIDE-HEADED SOUTH WEST BARB ARROW
    "\u1F870",  # WIDE-HEADED LEFTWARDS MEDIUM BARB ARROW
    "\u1F871",  # WIDE-HEADED UPWARDS MEDIUM BARB ARROW
    "\u1F872",  # WIDE-HEADED RIGHTWARDS MEDIUM BARB ARROW
    "\u1F873",  # WIDE-HEADED DOWNWARDS MEDIUM BARB ARROW
    "\u1F874",  # WIDE-HEADED NORTH WEST MEDIUM BARB ARROW
    "\u1F875",  # WIDE-HEADED NORTH EAST MEDIUM BARB ARROW
    "\u1F876",  # WIDE-HEADED SOUTH EAST MEDIUM BARB ARROW
    "\u1F877",  # WIDE-HEADED SOUTH WEST MEDIUM BARB ARROW
    "\u1F878",  # WIDE-HEADED LEFTWARDS HEAVY BARB ARROW
    "\u1F879",  # WIDE-HEADED UPWARDS HEAVY BARB ARROW
    "\u1F87A",  # WIDE-HEADED RIGHTWARDS HEAVY BARB ARROW
    "\u1F87B",  # WIDE-HEADED DOWNWARDS HEAVY BARB ARROW
    "\u1F87C",  # WIDE-HEADED NORTH WEST HEAVY BARB ARROW
    "\u1F87D",  # WIDE-HEADED NORTH EAST HEAVY BARB ARROW
    "\u1F87E",  # WIDE-HEADED SOUTH EAST HEAVY BARB ARROW
    "\u1F87F",  # WIDE-HEADED SOUTH WEST HEAVY BARB ARROW
    "\u1F880",  # WIDE-HEADED LEFTWARDS VERY HEAVY BARB ARROW
    "\u1F881",  # WIDE-HEADED UPWARDS VERY HEAVY BARB ARROW
    "\u1F882",  # WIDE-HEADED RIGHTWARDS VERY HEAVY BARB ARROW
    "\u1F883",  # WIDE-HEADED DOWNWARDS VERY HEAVY BARB ARROW
    "\u1F884",  # WIDE-HEADED NORTH WEST VERY HEAVY BARB ARROW
    "\u1F885",  # WIDE-HEADED NORTH EAST VERY HEAVY BARB ARROW
    "\u1F886",  # WIDE-HEADED SOUTH EAST VERY HEAVY BARB ARROW
    "\u1F887",  # WIDE-HEADED SOUTH WEST VERY HEAVY BARB ARROW
    "\u1F890",  # LEFTWARDS TRIANGLE ARROWHEAD
    "\u1F891",  # UPWARDS TRIANGLE ARROWHEAD
    "\u1F892",  # RIGHTWARDS TRIANGLE ARROWHEAD
    "\u1F893",  # DOWNWARDS TRIANGLE ARROWHEAD
    "\u1F894",  # LEFTWARDS WHITE ARROW WITHIN TRIANGLE ARROWHEAD
    "\u1F895",  # UPWARDS WHITE ARROW WITHIN TRIANGLE ARROWHEAD
    "\u1F896",  # RIGHTWARDS WHITE ARROW WITHIN TRIANGLE ARROWHEAD
    "\u1F897",  # DOWNWARDS WHITE ARROW WITHIN TRIANGLE ARROWHEAD
    "\u1F898",  # LEFTWARDS ARROW WITH NOTCHED TAIL
    "\u1F899",  # UPWARDS ARROW WITH NOTCHED TAIL
    "\u1F89A",  # RIGHTWARDS ARROW WITH NOTCHED TAIL
    "\u1F89B",  # DOWNWARDS ARROW WITH NOTCHED TAIL
    "\u1F89C",  # HEAVY ARROW SHAFT WIDTH ONE
    "\u1F89D",  # HEAVY ARROW SHAFT WIDTH TWO THIRDS
    "\u1F89E",  # HEAVY ARROW SHAFT WIDTH ONE HALF
    "\u1F89F",  # HEAVY ARROW SHAFT WIDTH ONE THIRD
    "\u1F8A0",  # LEFTWARDS BOTTOM-SHADED WHITE ARROW
    "\u1F8A1",  # RIGHTWARDS BOTTOM SHADED WHITE ARROW
    "\u1F8A2",  # LEFTWARDS TOP SHADED WHITE ARROW
    "\u1F8A3",  # RIGHTWARDS TOP SHADED WHITE ARROW
    "\u1F8A4",  # LEFTWARDS LEFT-SHADED WHITE ARROW
    "\u1F8A5",  # RIGHTWARDS RIGHT-SHADED WHITE ARROW
    "\u1F8A6",  # LEFTWARDS RIGHT-SHADED WHITE ARROW
    "\u1F8A7",  # RIGHTWARDS LEFT-SHADED WHITE ARROW
    "\u1F8A8",  # LEFTWARDS BACK-TILTED SHADOWED WHITE ARROW
    "\u1F8A9",  # RIGHTWARDS BACK-TILTED SHADOWED WHITE ARROW
    "\u1F8AA",  # LEFTWARDS FRONT-TILTED SHADOWED WHITE ARROW
    "\u1F8AB",  # RIGHTWARDS FRONT-TILTED SHADOWED WHITE ARROW
    "\u1F8AC",  # WHITE ARROW SHAFT WIDTH ONE
    "\u1F8AD",  # WHITE ARROW SHAFT WIDTH TWO THIRDS
    "\u1F900",  # CIRCLED CROSS FORMEE WITH FOUR DOTS
    "\u1F901",  # CIRCLED CROSS FORMEE WITH TWO DOTS
    "\u1F902",  # CIRCLED CROSS FORMEE
    "\u1F903",  # LEFT HALF CIRCLE WITH FOUR DOTS
    "\u1F904",  # LEFT HALF CIRCLE WITH THREE DOTS
    "\u1F905",  # LEFT HALF CIRCLE WITH TWO DOTS
    "\u1F906",  # LEFT HALF CIRCLE WITH DOT
    "\u1F907",  # LEFT HALF CIRCLE
    "\u1F908",  # DOWNWARD FACING HOOK
    "\u1F909",  # DOWNWARD FACING NOTCHED HOOK
    "\u1F90A",  # DOWNWARD FACING HOOK WITH DOT
    "\u1F90B",  # DOWNWARD FACING NOTCHED HOOK WITH DOT
    "\u1F910",  # ZIPPER-MOUTH FACE
    "\u1F911",  # MONEY-MOUTH FACE
    "\u1F912",  # FACE WITH THERMOMETER
    "\u1F913",  # NERD FACE
    "\u1F914",  # THINKING FACE
    "\u1F915",  # FACE WITH HEAD-BANDAGE
    "\u1F916",  # ROBOT FACE
    "\u1F917",  # HUGGING FACE
    "\u1F918",  # SIGN OF THE HORNS
    "\u1F919",  # CALL ME HAND
    "\u1F91A",  # RAISED BACK OF HAND
    "\u1F91B",  # LEFT-FACING FIST
    "\u1F91C",  # RIGHT-FACING FIST
    "\u1F91D",  # HANDSHAKE
    "\u1F91E",  # HAND WITH INDEX AND MIDDLE FINGERS CROSSED
    "\u1F91F",  # I LOVE YOU HAND SIGN
    "\u1F920",  # FACE WITH COWBOY HAT
    "\u1F921",  # CLOWN FACE
    "\u1F922",  # NAUSEATED FACE
    "\u1F923",  # ROLLING ON THE FLOOR LAUGHING
    "\u1F924",  # DROOLING FACE
    "\u1F925",  # LYING FACE
    "\u1F926",  # FACE PALM
    "\u1F927",  # SNEEZING FACE
    "\u1F928",  # FACE WITH ONE EYEBROW RAISED
    "\u1F929",  # GRINNING FACE WITH STAR EYES
    "\u1F92A",  # GRINNING FACE WITH ONE LARGE AND ONE SMALL EYE
    "\u1F92B",  # FACE WITH FINGER COVERING CLOSED LIPS
    "\u1F92C",  # SERIOUS FACE WITH SYMBOLS COVERING MOUTH
    "\u1F92D",  # SMILING FACE WITH SMILING EYES AND HAND COVERING MOUTH
    "\u1F92E",  # FACE WITH OPEN MOUTH VOMITING
    "\u1F92F",  # SHOCKED FACE WITH EXPLODING HEAD
    "\u1F930",  # PREGNANT WOMAN
    "\u1F931",  # BREAST-FEEDING
    "\u1F932",  # PALMS UP TOGETHER
    "\u1F933",  # SELFIE
    "\u1F934",  # PRINCE
    "\u1F935",  # MAN IN TUXEDO
    "\u1F936",  # MOTHER CHRISTMAS
    "\u1F937",  # SHRUG
    "\u1F938",  # PERSON DOING CARTWHEEL
    "\u1F939",  # JUGGLING
    "\u1F93A",  # FENCER
    "\u1F93B",  # MODERN PENTATHLON
    "\u1F93C",  # WRESTLERS
    "\u1F93D",  # WATER POLO
    "\u1F93E",  # HANDBALL
    "\u1F940",  # WILTED FLOWER
    "\u1F941",  # DRUM WITH DRUMSTICKS
    "\u1F942",  # CLINKING GLASSES
    "\u1F943",  # TUMBLER GLASS
    "\u1F944",  # SPOON
    "\u1F945",  # GOAL NET
    "\u1F946",  # RIFLE
    "\u1F947",  # FIRST PLACE MEDAL
    "\u1F948",  # SECOND PLACE MEDAL
    "\u1F949",  # THIRD PLACE MEDAL
    "\u1F94A",  # BOXING GLOVE
    "\u1F94B",  # MARTIAL ARTS UNIFORM
    "\u1F94C",  # CURLING STONE
    "\u1F950",  # CROISSANT
    "\u1F951",  # AVOCADO
    "\u1F952",  # CUCUMBER
    "\u1F953",  # BACON
    "\u1F954",  # POTATO
    "\u1F955",  # CARROT
    "\u1F956",  # BAGUETTE BREAD
    "\u1F957",  # GREEN SALAD
    "\u1F958",  # SHALLOW PAN OF FOOD
    "\u1F959",  # STUFFED FLATBREAD
    "\u1F95A",  # EGG
    "\u1F95B",  # GLASS OF MILK
    "\u1F95C",  # PEANUTS
    "\u1F95D",  # KIWIFRUIT
    "\u1F95E",  # PANCAKES
    "\u1F95F",  # DUMPLING
    "\u1F960",  # FORTUNE COOKIE
    "\u1F961",  # TAKEOUT BOX
    "\u1F962",  # CHOPSTICKS
    "\u1F963",  # BOWL WITH SPOON
    "\u1F964",  # CUP WITH STRAW
    "\u1F965",  # COCONUT
    "\u1F966",  # BROCCOLI
    "\u1F967",  # PIE
    "\u1F968",  # PRETZEL
    "\u1F969",  # CUT OF MEAT
    "\u1F96A",  # SANDWICH
    "\u1F96B",  # CANNED FOOD
    "\u1F980",  # CRAB
    "\u1F981",  # LION FACE
    "\u1F982",  # SCORPION
    "\u1F983",  # TURKEY
    "\u1F984",  # UNICORN FACE
    "\u1F985",  # EAGLE
    "\u1F986",  # DUCK
    "\u1F987",  # BAT
    "\u1F988",  # SHARK
    "\u1F989",  # OWL
    "\u1F98A",  # FOX FACE
    "\u1F98B",  # BUTTERFLY
    "\u1F98C",  # DEER
    "\u1F98D",  # GORILLA
    "\u1F98E",  # LIZARD
    "\u1F98F",  # RHINOCEROS
    "\u1F990",  # SHRIMP
    "\u1F991",  # SQUID
    "\u1F992",  # GIRAFFE FACE
    "\u1F993",  # ZEBRA FACE
    "\u1F994",  # HEDGEHOG
    "\u1F995",  # SAUROPOD
    "\u1F996",  # T-REX
    "\u1F997",  # CRICKET
    "\u1F9C0",  # CHEESE WEDGE
    "\u1F9D0",  # FACE WITH MONOCLE
    "\u1F9D1",  # ADULT
    "\u1F9D2",  # CHILD
    "\u1F9D3",  # OLDER ADULT
    "\u1F9D4",  # BEARDED PERSON
    "\u1F9D5",  # PERSON WITH HEADSCARF
    "\u1F9D6",  # PERSON IN STEAMY ROOM
    "\u1F9D7",  # PERSON CLIMBING
    "\u1F9D8",  # PERSON IN LOTUS POSITION
    "\u1F9D9",  # MAGE
    "\u1F9DA",  # FAIRY
    "\u1F9DB",  # VAMPIRE
    "\u1F9DC",  # MERPERSON
    "\u1F9DD",  # ELF
    "\u1F9DE",  # GENIE
    "\u1F9DF",  # ZOMBIE
    "\u1F9E0",  # BRAIN
    "\u1F9E1",  # ORANGE HEART
    "\u1F9E2",  # BILLED CAP
    "\u1F9E3",  # SCARF
    "\u1F9E4",  # GLOVES
    "\u1F9E5",  # COAT
    "\u1F9E6",  # SOCKS
    "\u1FFFE",  # <not a character>
    "\u1FFFF",  # <not a character>
    "\u2F800",  # CJK COMPATIBILITY IDEOGRAPH-2F800
    "\u2F801",  # CJK COMPATIBILITY IDEOGRAPH-2F801
    "\u2F802",  # CJK COMPATIBILITY IDEOGRAPH-2F802
    "\u2F803",  # CJK COMPATIBILITY IDEOGRAPH-2F803
    "\u2F804",  # CJK COMPATIBILITY IDEOGRAPH-2F804
    "\u2F805",  # CJK COMPATIBILITY IDEOGRAPH-2F805
    "\u2F806",  # CJK COMPATIBILITY IDEOGRAPH-2F806
    "\u2F807",  # CJK COMPATIBILITY IDEOGRAPH-2F807
    "\u2F808",  # CJK COMPATIBILITY IDEOGRAPH-2F808
    "\u2F809",  # CJK COMPATIBILITY IDEOGRAPH-2F809
    "\u2F80A",  # CJK COMPATIBILITY IDEOGRAPH-2F80A
    "\u2F80B",  # CJK COMPATIBILITY IDEOGRAPH-2F80B
    "\u2F80C",  # CJK COMPATIBILITY IDEOGRAPH-2F80C
    "\u2F80D",  # CJK COMPATIBILITY IDEOGRAPH-2F80D
    "\u2F80E",  # CJK COMPATIBILITY IDEOGRAPH-2F80E
    "\u2F80F",  # CJK COMPATIBILITY IDEOGRAPH-2F80F
    "\u2F810",  # CJK COMPATIBILITY IDEOGRAPH-2F810
    "\u2F811",  # CJK COMPATIBILITY IDEOGRAPH-2F811
    "\u2F812",  # CJK COMPATIBILITY IDEOGRAPH-2F812
    "\u2F813",  # CJK COMPATIBILITY IDEOGRAPH-2F813
    "\u2F814",  # CJK COMPATIBILITY IDEOGRAPH-2F814
    "\u2F815",  # CJK COMPATIBILITY IDEOGRAPH-2F815
    "\u2F816",  # CJK COMPATIBILITY IDEOGRAPH-2F816
    "\u2F817",  # CJK COMPATIBILITY IDEOGRAPH-2F817
    "\u2F818",  # CJK COMPATIBILITY IDEOGRAPH-2F818
    "\u2F819",  # CJK COMPATIBILITY IDEOGRAPH-2F819
    "\u2F81A",  # CJK COMPATIBILITY IDEOGRAPH-2F81A
    "\u2F81B",  # CJK COMPATIBILITY IDEOGRAPH-2F81B
    "\u2F81C",  # CJK COMPATIBILITY IDEOGRAPH-2F81C
    "\u2F81D",  # CJK COMPATIBILITY IDEOGRAPH-2F81D
    "\u2F81E",  # CJK COMPATIBILITY IDEOGRAPH-2F81E
    "\u2F81F",  # CJK COMPATIBILITY IDEOGRAPH-2F81F
    "\u2F820",  # CJK COMPATIBILITY IDEOGRAPH-2F820
    "\u2F821",  # CJK COMPATIBILITY IDEOGRAPH-2F821
    "\u2F822",  # CJK COMPATIBILITY IDEOGRAPH-2F822
    "\u2F823",  # CJK COMPATIBILITY IDEOGRAPH-2F823
    "\u2F824",  # CJK COMPATIBILITY IDEOGRAPH-2F824
    "\u2F825",  # CJK COMPATIBILITY IDEOGRAPH-2F825
    "\u2F826",  # CJK COMPATIBILITY IDEOGRAPH-2F826
    "\u2F827",  # CJK COMPATIBILITY IDEOGRAPH-2F827
    "\u2F828",  # CJK COMPATIBILITY IDEOGRAPH-2F828
    "\u2F829",  # CJK COMPATIBILITY IDEOGRAPH-2F829
    "\u2F82A",  # CJK COMPATIBILITY IDEOGRAPH-2F82A
    "\u2F82B",  # CJK COMPATIBILITY IDEOGRAPH-2F82B
    "\u2F82C",  # CJK COMPATIBILITY IDEOGRAPH-2F82C
    "\u2F82D",  # CJK COMPATIBILITY IDEOGRAPH-2F82D
    "\u2F82E",  # CJK COMPATIBILITY IDEOGRAPH-2F82E
    "\u2F82F",  # CJK COMPATIBILITY IDEOGRAPH-2F82F
    "\u2F830",  # CJK COMPATIBILITY IDEOGRAPH-2F830
    "\u2F831",  # CJK COMPATIBILITY IDEOGRAPH-2F831
    "\u2F832",  # CJK COMPATIBILITY IDEOGRAPH-2F832
    "\u2F833",  # CJK COMPATIBILITY IDEOGRAPH-2F833
    "\u2F834",  # CJK COMPATIBILITY IDEOGRAPH-2F834
    "\u2F835",  # CJK COMPATIBILITY IDEOGRAPH-2F835
    "\u2F836",  # CJK COMPATIBILITY IDEOGRAPH-2F836
    "\u2F837",  # CJK COMPATIBILITY IDEOGRAPH-2F837
    "\u2F838",  # CJK COMPATIBILITY IDEOGRAPH-2F838
    "\u2F839",  # CJK COMPATIBILITY IDEOGRAPH-2F839
    "\u2F83A",  # CJK COMPATIBILITY IDEOGRAPH-2F83A
    "\u2F83B",  # CJK COMPATIBILITY IDEOGRAPH-2F83B
    "\u2F83C",  # CJK COMPATIBILITY IDEOGRAPH-2F83C
    "\u2F83D",  # CJK COMPATIBILITY IDEOGRAPH-2F83D
    "\u2F83E",  # CJK COMPATIBILITY IDEOGRAPH-2F83E
    "\u2F83F",  # CJK COMPATIBILITY IDEOGRAPH-2F83F
    "\u2F840",  # CJK COMPATIBILITY IDEOGRAPH-2F840
    "\u2F841",  # CJK COMPATIBILITY IDEOGRAPH-2F841
    "\u2F842",  # CJK COMPATIBILITY IDEOGRAPH-2F842
    "\u2F843",  # CJK COMPATIBILITY IDEOGRAPH-2F843
    "\u2F844",  # CJK COMPATIBILITY IDEOGRAPH-2F844
    "\u2F845",  # CJK COMPATIBILITY IDEOGRAPH-2F845
    "\u2F846",  # CJK COMPATIBILITY IDEOGRAPH-2F846
    "\u2F847",  # CJK COMPATIBILITY IDEOGRAPH-2F847
    "\u2F848",  # CJK COMPATIBILITY IDEOGRAPH-2F848
    "\u2F849",  # CJK COMPATIBILITY IDEOGRAPH-2F849
    "\u2F84A",  # CJK COMPATIBILITY IDEOGRAPH-2F84A
    "\u2F84B",  # CJK COMPATIBILITY IDEOGRAPH-2F84B
    "\u2F84C",  # CJK COMPATIBILITY IDEOGRAPH-2F84C
    "\u2F84D",  # CJK COMPATIBILITY IDEOGRAPH-2F84D
    "\u2F84E",  # CJK COMPATIBILITY IDEOGRAPH-2F84E
    "\u2F84F",  # CJK COMPATIBILITY IDEOGRAPH-2F84F
    "\u2F850",  # CJK COMPATIBILITY IDEOGRAPH-2F850
    "\u2F851",  # CJK COMPATIBILITY IDEOGRAPH-2F851
    "\u2F852",  # CJK COMPATIBILITY IDEOGRAPH-2F852
    "\u2F853",  # CJK COMPATIBILITY IDEOGRAPH-2F853
    "\u2F854",  # CJK COMPATIBILITY IDEOGRAPH-2F854
    "\u2F855",  # CJK COMPATIBILITY IDEOGRAPH-2F855
    "\u2F856",  # CJK COMPATIBILITY IDEOGRAPH-2F856
    "\u2F857",  # CJK COMPATIBILITY IDEOGRAPH-2F857
    "\u2F858",  # CJK COMPATIBILITY IDEOGRAPH-2F858
    "\u2F859",  # CJK COMPATIBILITY IDEOGRAPH-2F859
    "\u2F85A",  # CJK COMPATIBILITY IDEOGRAPH-2F85A
    "\u2F85B",  # CJK COMPATIBILITY IDEOGRAPH-2F85B
    "\u2F85C",  # CJK COMPATIBILITY IDEOGRAPH-2F85C
    "\u2F85D",  # CJK COMPATIBILITY IDEOGRAPH-2F85D
    "\u2F85E",  # CJK COMPATIBILITY IDEOGRAPH-2F85E
    "\u2F85F",  # CJK COMPATIBILITY IDEOGRAPH-2F85F
    "\u2F860",  # CJK COMPATIBILITY IDEOGRAPH-2F860
    "\u2F861",  # CJK COMPATIBILITY IDEOGRAPH-2F861
    "\u2F862",  # CJK COMPATIBILITY IDEOGRAPH-2F862
    "\u2F863",  # CJK COMPATIBILITY IDEOGRAPH-2F863
    "\u2F864",  # CJK COMPATIBILITY IDEOGRAPH-2F864
    "\u2F865",  # CJK COMPATIBILITY IDEOGRAPH-2F865
    "\u2F866",  # CJK COMPATIBILITY IDEOGRAPH-2F866
    "\u2F867",  # CJK COMPATIBILITY IDEOGRAPH-2F867
    "\u2F868",  # CJK COMPATIBILITY IDEOGRAPH-2F868
    "\u2F869",  # CJK COMPATIBILITY IDEOGRAPH-2F869
    "\u2F86A",  # CJK COMPATIBILITY IDEOGRAPH-2F86A
    "\u2F86B",  # CJK COMPATIBILITY IDEOGRAPH-2F86B
    "\u2F86C",  # CJK COMPATIBILITY IDEOGRAPH-2F86C
    "\u2F86D",  # CJK COMPATIBILITY IDEOGRAPH-2F86D
    "\u2F86E",  # CJK COMPATIBILITY IDEOGRAPH-2F86E
    "\u2F86F",  # CJK COMPATIBILITY IDEOGRAPH-2F86F
    "\u2F870",  # CJK COMPATIBILITY IDEOGRAPH-2F870
    "\u2F871",  # CJK COMPATIBILITY IDEOGRAPH-2F871
    "\u2F872",  # CJK COMPATIBILITY IDEOGRAPH-2F872
    "\u2F873",  # CJK COMPATIBILITY IDEOGRAPH-2F873
    "\u2F874",  # CJK COMPATIBILITY IDEOGRAPH-2F874
    "\u2F875",  # CJK COMPATIBILITY IDEOGRAPH-2F875
    "\u2F876",  # CJK COMPATIBILITY IDEOGRAPH-2F876
    "\u2F877",  # CJK COMPATIBILITY IDEOGRAPH-2F877
    "\u2F878",  # CJK COMPATIBILITY IDEOGRAPH-2F878
    "\u2F879",  # CJK COMPATIBILITY IDEOGRAPH-2F879
    "\u2F87A",  # CJK COMPATIBILITY IDEOGRAPH-2F87A
    "\u2F87B",  # CJK COMPATIBILITY IDEOGRAPH-2F87B
    "\u2F87C",  # CJK COMPATIBILITY IDEOGRAPH-2F87C
    "\u2F87D",  # CJK COMPATIBILITY IDEOGRAPH-2F87D
    "\u2F87E",  # CJK COMPATIBILITY IDEOGRAPH-2F87E
    "\u2F87F",  # CJK COMPATIBILITY IDEOGRAPH-2F87F
    "\u2F880",  # CJK COMPATIBILITY IDEOGRAPH-2F880
    "\u2F881",  # CJK COMPATIBILITY IDEOGRAPH-2F881
    "\u2F882",  # CJK COMPATIBILITY IDEOGRAPH-2F882
    "\u2F883",  # CJK COMPATIBILITY IDEOGRAPH-2F883
    "\u2F884",  # CJK COMPATIBILITY IDEOGRAPH-2F884
    "\u2F885",  # CJK COMPATIBILITY IDEOGRAPH-2F885
    "\u2F886",  # CJK COMPATIBILITY IDEOGRAPH-2F886
    "\u2F887",  # CJK COMPATIBILITY IDEOGRAPH-2F887
    "\u2F888",  # CJK COMPATIBILITY IDEOGRAPH-2F888
    "\u2F889",  # CJK COMPATIBILITY IDEOGRAPH-2F889
    "\u2F88A",  # CJK COMPATIBILITY IDEOGRAPH-2F88A
    "\u2F88B",  # CJK COMPATIBILITY IDEOGRAPH-2F88B
    "\u2F88C",  # CJK COMPATIBILITY IDEOGRAPH-2F88C
    "\u2F88D",  # CJK COMPATIBILITY IDEOGRAPH-2F88D
    "\u2F88E",  # CJK COMPATIBILITY IDEOGRAPH-2F88E
    "\u2F88F",  # CJK COMPATIBILITY IDEOGRAPH-2F88F
    "\u2F890",  # CJK COMPATIBILITY IDEOGRAPH-2F890
    "\u2F891",  # CJK COMPATIBILITY IDEOGRAPH-2F891
    "\u2F892",  # CJK COMPATIBILITY IDEOGRAPH-2F892
    "\u2F893",  # CJK COMPATIBILITY IDEOGRAPH-2F893
    "\u2F894",  # CJK COMPATIBILITY IDEOGRAPH-2F894
    "\u2F895",  # CJK COMPATIBILITY IDEOGRAPH-2F895
    "\u2F896",  # CJK COMPATIBILITY IDEOGRAPH-2F896
    "\u2F897",  # CJK COMPATIBILITY IDEOGRAPH-2F897
    "\u2F898",  # CJK COMPATIBILITY IDEOGRAPH-2F898
    "\u2F899",  # CJK COMPATIBILITY IDEOGRAPH-2F899
    "\u2F89A",  # CJK COMPATIBILITY IDEOGRAPH-2F89A
    "\u2F89B",  # CJK COMPATIBILITY IDEOGRAPH-2F89B
    "\u2F89C",  # CJK COMPATIBILITY IDEOGRAPH-2F89C
    "\u2F89D",  # CJK COMPATIBILITY IDEOGRAPH-2F89D
    "\u2F89E",  # CJK COMPATIBILITY IDEOGRAPH-2F89E
    "\u2F89F",  # CJK COMPATIBILITY IDEOGRAPH-2F89F
    "\u2F8A0",  # CJK COMPATIBILITY IDEOGRAPH-2F8A0
    "\u2F8A1",  # CJK COMPATIBILITY IDEOGRAPH-2F8A1
    "\u2F8A2",  # CJK COMPATIBILITY IDEOGRAPH-2F8A2
    "\u2F8A3",  # CJK COMPATIBILITY IDEOGRAPH-2F8A3
    "\u2F8A4",  # CJK COMPATIBILITY IDEOGRAPH-2F8A4
    "\u2F8A5",  # CJK COMPATIBILITY IDEOGRAPH-2F8A5
    "\u2F8A6",  # CJK COMPATIBILITY IDEOGRAPH-2F8A6
    "\u2F8A7",  # CJK COMPATIBILITY IDEOGRAPH-2F8A7
    "\u2F8A8",  # CJK COMPATIBILITY IDEOGRAPH-2F8A8
    "\u2F8A9",  # CJK COMPATIBILITY IDEOGRAPH-2F8A9
    "\u2F8AA",  # CJK COMPATIBILITY IDEOGRAPH-2F8AA
    "\u2F8AB",  # CJK COMPATIBILITY IDEOGRAPH-2F8AB
    "\u2F8AC",  # CJK COMPATIBILITY IDEOGRAPH-2F8AC
    "\u2F8AD",  # CJK COMPATIBILITY IDEOGRAPH-2F8AD
    "\u2F8AE",  # CJK COMPATIBILITY IDEOGRAPH-2F8AE
    "\u2F8AF",  # CJK COMPATIBILITY IDEOGRAPH-2F8AF
    "\u2F8B0",  # CJK COMPATIBILITY IDEOGRAPH-2F8B0
    "\u2F8B1",  # CJK COMPATIBILITY IDEOGRAPH-2F8B1
    "\u2F8B2",  # CJK COMPATIBILITY IDEOGRAPH-2F8B2
    "\u2F8B3",  # CJK COMPATIBILITY IDEOGRAPH-2F8B3
    "\u2F8B4",  # CJK COMPATIBILITY IDEOGRAPH-2F8B4
    "\u2F8B5",  # CJK COMPATIBILITY IDEOGRAPH-2F8B5
    "\u2F8B6",  # CJK COMPATIBILITY IDEOGRAPH-2F8B6
    "\u2F8B7",  # CJK COMPATIBILITY IDEOGRAPH-2F8B7
    "\u2F8B8",  # CJK COMPATIBILITY IDEOGRAPH-2F8B8
    "\u2F8B9",  # CJK COMPATIBILITY IDEOGRAPH-2F8B9
    "\u2F8BA",  # CJK COMPATIBILITY IDEOGRAPH-2F8BA
    "\u2F8BB",  # CJK COMPATIBILITY IDEOGRAPH-2F8BB
    "\u2F8BC",  # CJK COMPATIBILITY IDEOGRAPH-2F8BC
    "\u2F8BD",  # CJK COMPATIBILITY IDEOGRAPH-2F8BD
    "\u2F8BE",  # CJK COMPATIBILITY IDEOGRAPH-2F8BE
    "\u2F8BF",  # CJK COMPATIBILITY IDEOGRAPH-2F8BF
    "\u2F8C0",  # CJK COMPATIBILITY IDEOGRAPH-2F8C0
    "\u2F8C1",  # CJK COMPATIBILITY IDEOGRAPH-2F8C1
    "\u2F8C2",  # CJK COMPATIBILITY IDEOGRAPH-2F8C2
    "\u2F8C3",  # CJK COMPATIBILITY IDEOGRAPH-2F8C3
    "\u2F8C4",  # CJK COMPATIBILITY IDEOGRAPH-2F8C4
    "\u2F8C5",  # CJK COMPATIBILITY IDEOGRAPH-2F8C5
    "\u2F8C6",  # CJK COMPATIBILITY IDEOGRAPH-2F8C6
    "\u2F8C7",  # CJK COMPATIBILITY IDEOGRAPH-2F8C7
    "\u2F8C8",  # CJK COMPATIBILITY IDEOGRAPH-2F8C8
    "\u2F8C9",  # CJK COMPATIBILITY IDEOGRAPH-2F8C9
    "\u2F8CA",  # CJK COMPATIBILITY IDEOGRAPH-2F8CA
    "\u2F8CB",  # CJK COMPATIBILITY IDEOGRAPH-2F8CB
    "\u2F8CC",  # CJK COMPATIBILITY IDEOGRAPH-2F8CC
    "\u2F8CD",  # CJK COMPATIBILITY IDEOGRAPH-2F8CD
    "\u2F8CE",  # CJK COMPATIBILITY IDEOGRAPH-2F8CE
    "\u2F8CF",  # CJK COMPATIBILITY IDEOGRAPH-2F8CF
    "\u2F8D0",  # CJK COMPATIBILITY IDEOGRAPH-2F8D0
    "\u2F8D1",  # CJK COMPATIBILITY IDEOGRAPH-2F8D1
    "\u2F8D2",  # CJK COMPATIBILITY IDEOGRAPH-2F8D2
    "\u2F8D3",  # CJK COMPATIBILITY IDEOGRAPH-2F8D3
    "\u2F8D4",  # CJK COMPATIBILITY IDEOGRAPH-2F8D4
    "\u2F8D5",  # CJK COMPATIBILITY IDEOGRAPH-2F8D5
    "\u2F8D6",  # CJK COMPATIBILITY IDEOGRAPH-2F8D6
    "\u2F8D7",  # CJK COMPATIBILITY IDEOGRAPH-2F8D7
    "\u2F8D8",  # CJK COMPATIBILITY IDEOGRAPH-2F8D8
    "\u2F8D9",  # CJK COMPATIBILITY IDEOGRAPH-2F8D9
    "\u2F8DA",  # CJK COMPATIBILITY IDEOGRAPH-2F8DA
    "\u2F8DB",  # CJK COMPATIBILITY IDEOGRAPH-2F8DB
    "\u2F8DC",  # CJK COMPATIBILITY IDEOGRAPH-2F8DC
    "\u2F8DD",  # CJK COMPATIBILITY IDEOGRAPH-2F8DD
    "\u2F8DE",  # CJK COMPATIBILITY IDEOGRAPH-2F8DE
    "\u2F8DF",  # CJK COMPATIBILITY IDEOGRAPH-2F8DF
    "\u2F8E0",  # CJK COMPATIBILITY IDEOGRAPH-2F8E0
    "\u2F8E1",  # CJK COMPATIBILITY IDEOGRAPH-2F8E1
    "\u2F8E2",  # CJK COMPATIBILITY IDEOGRAPH-2F8E2
    "\u2F8E3",  # CJK COMPATIBILITY IDEOGRAPH-2F8E3
    "\u2F8E4",  # CJK COMPATIBILITY IDEOGRAPH-2F8E4
    "\u2F8E5",  # CJK COMPATIBILITY IDEOGRAPH-2F8E5
    "\u2F8E6",  # CJK COMPATIBILITY IDEOGRAPH-2F8E6
    "\u2F8E7",  # CJK COMPATIBILITY IDEOGRAPH-2F8E7
    "\u2F8E8",  # CJK COMPATIBILITY IDEOGRAPH-2F8E8
    "\u2F8E9",  # CJK COMPATIBILITY IDEOGRAPH-2F8E9
    "\u2F8EA",  # CJK COMPATIBILITY IDEOGRAPH-2F8EA
    "\u2F8EB",  # CJK COMPATIBILITY IDEOGRAPH-2F8EB
    "\u2F8EC",  # CJK COMPATIBILITY IDEOGRAPH-2F8EC
    "\u2F8ED",  # CJK COMPATIBILITY IDEOGRAPH-2F8ED
    "\u2F8EE",  # CJK COMPATIBILITY IDEOGRAPH-2F8EE
    "\u2F8EF",  # CJK COMPATIBILITY IDEOGRAPH-2F8EF
    "\u2F8F0",  # CJK COMPATIBILITY IDEOGRAPH-2F8F0
    "\u2F8F1",  # CJK COMPATIBILITY IDEOGRAPH-2F8F1
    "\u2F8F2",  # CJK COMPATIBILITY IDEOGRAPH-2F8F2
    "\u2F8F3",  # CJK COMPATIBILITY IDEOGRAPH-2F8F3
    "\u2F8F4",  # CJK COMPATIBILITY IDEOGRAPH-2F8F4
    "\u2F8F5",  # CJK COMPATIBILITY IDEOGRAPH-2F8F5
    "\u2F8F6",  # CJK COMPATIBILITY IDEOGRAPH-2F8F6
    "\u2F8F7",  # CJK COMPATIBILITY IDEOGRAPH-2F8F7
    "\u2F8F8",  # CJK COMPATIBILITY IDEOGRAPH-2F8F8
    "\u2F8F9",  # CJK COMPATIBILITY IDEOGRAPH-2F8F9
    "\u2F8FA",  # CJK COMPATIBILITY IDEOGRAPH-2F8FA
    "\u2F8FB",  # CJK COMPATIBILITY IDEOGRAPH-2F8FB
    "\u2F8FC",  # CJK COMPATIBILITY IDEOGRAPH-2F8FC
    "\u2F8FD",  # CJK COMPATIBILITY IDEOGRAPH-2F8FD
    "\u2F8FE",  # CJK COMPATIBILITY IDEOGRAPH-2F8FE
    "\u2F8FF",  # CJK COMPATIBILITY IDEOGRAPH-2F8FF
    "\u2F900",  # CJK COMPATIBILITY IDEOGRAPH-2F900
    "\u2F901",  # CJK COMPATIBILITY IDEOGRAPH-2F901
    "\u2F902",  # CJK COMPATIBILITY IDEOGRAPH-2F902
    "\u2F903",  # CJK COMPATIBILITY IDEOGRAPH-2F903
    "\u2F904",  # CJK COMPATIBILITY IDEOGRAPH-2F904
    "\u2F905",  # CJK COMPATIBILITY IDEOGRAPH-2F905
    "\u2F906",  # CJK COMPATIBILITY IDEOGRAPH-2F906
    "\u2F907",  # CJK COMPATIBILITY IDEOGRAPH-2F907
    "\u2F908",  # CJK COMPATIBILITY IDEOGRAPH-2F908
    "\u2F909",  # CJK COMPATIBILITY IDEOGRAPH-2F909
    "\u2F90A",  # CJK COMPATIBILITY IDEOGRAPH-2F90A
    "\u2F90B",  # CJK COMPATIBILITY IDEOGRAPH-2F90B
    "\u2F90C",  # CJK COMPATIBILITY IDEOGRAPH-2F90C
    "\u2F90D",  # CJK COMPATIBILITY IDEOGRAPH-2F90D
    "\u2F90E",  # CJK COMPATIBILITY IDEOGRAPH-2F90E
    "\u2F90F",  # CJK COMPATIBILITY IDEOGRAPH-2F90F
    "\u2F910",  # CJK COMPATIBILITY IDEOGRAPH-2F910
    "\u2F911",  # CJK COMPATIBILITY IDEOGRAPH-2F911
    "\u2F912",  # CJK COMPATIBILITY IDEOGRAPH-2F912
    "\u2F913",  # CJK COMPATIBILITY IDEOGRAPH-2F913
    "\u2F914",  # CJK COMPATIBILITY IDEOGRAPH-2F914
    "\u2F915",  # CJK COMPATIBILITY IDEOGRAPH-2F915
    "\u2F916",  # CJK COMPATIBILITY IDEOGRAPH-2F916
    "\u2F917",  # CJK COMPATIBILITY IDEOGRAPH-2F917
    "\u2F918",  # CJK COMPATIBILITY IDEOGRAPH-2F918
    "\u2F919",  # CJK COMPATIBILITY IDEOGRAPH-2F919
    "\u2F91A",  # CJK COMPATIBILITY IDEOGRAPH-2F91A
    "\u2F91B",  # CJK COMPATIBILITY IDEOGRAPH-2F91B
    "\u2F91C",  # CJK COMPATIBILITY IDEOGRAPH-2F91C
    "\u2F91D",  # CJK COMPATIBILITY IDEOGRAPH-2F91D
    "\u2F91E",  # CJK COMPATIBILITY IDEOGRAPH-2F91E
    "\u2F91F",  # CJK COMPATIBILITY IDEOGRAPH-2F91F
    "\u2F920",  # CJK COMPATIBILITY IDEOGRAPH-2F920
    "\u2F921",  # CJK COMPATIBILITY IDEOGRAPH-2F921
    "\u2F922",  # CJK COMPATIBILITY IDEOGRAPH-2F922
    "\u2F923",  # CJK COMPATIBILITY IDEOGRAPH-2F923
    "\u2F924",  # CJK COMPATIBILITY IDEOGRAPH-2F924
    "\u2F925",  # CJK COMPATIBILITY IDEOGRAPH-2F925
    "\u2F926",  # CJK COMPATIBILITY IDEOGRAPH-2F926
    "\u2F927",  # CJK COMPATIBILITY IDEOGRAPH-2F927
    "\u2F928",  # CJK COMPATIBILITY IDEOGRAPH-2F928
    "\u2F929",  # CJK COMPATIBILITY IDEOGRAPH-2F929
    "\u2F92A",  # CJK COMPATIBILITY IDEOGRAPH-2F92A
    "\u2F92B",  # CJK COMPATIBILITY IDEOGRAPH-2F92B
    "\u2F92C",  # CJK COMPATIBILITY IDEOGRAPH-2F92C
    "\u2F92D",  # CJK COMPATIBILITY IDEOGRAPH-2F92D
    "\u2F92E",  # CJK COMPATIBILITY IDEOGRAPH-2F92E
    "\u2F92F",  # CJK COMPATIBILITY IDEOGRAPH-2F92F
    "\u2F930",  # CJK COMPATIBILITY IDEOGRAPH-2F930
    "\u2F931",  # CJK COMPATIBILITY IDEOGRAPH-2F931
    "\u2F932",  # CJK COMPATIBILITY IDEOGRAPH-2F932
    "\u2F933",  # CJK COMPATIBILITY IDEOGRAPH-2F933
    "\u2F934",  # CJK COMPATIBILITY IDEOGRAPH-2F934
    "\u2F935",  # CJK COMPATIBILITY IDEOGRAPH-2F935
    "\u2F936",  # CJK COMPATIBILITY IDEOGRAPH-2F936
    "\u2F937",  # CJK COMPATIBILITY IDEOGRAPH-2F937
    "\u2F938",  # CJK COMPATIBILITY IDEOGRAPH-2F938
    "\u2F939",  # CJK COMPATIBILITY IDEOGRAPH-2F939
    "\u2F93A",  # CJK COMPATIBILITY IDEOGRAPH-2F93A
    "\u2F93B",  # CJK COMPATIBILITY IDEOGRAPH-2F93B
    "\u2F93C",  # CJK COMPATIBILITY IDEOGRAPH-2F93C
    "\u2F93D",  # CJK COMPATIBILITY IDEOGRAPH-2F93D
    "\u2F93E",  # CJK COMPATIBILITY IDEOGRAPH-2F93E
    "\u2F93F",  # CJK COMPATIBILITY IDEOGRAPH-2F93F
    "\u2F940",  # CJK COMPATIBILITY IDEOGRAPH-2F940
    "\u2F941",  # CJK COMPATIBILITY IDEOGRAPH-2F941
    "\u2F942",  # CJK COMPATIBILITY IDEOGRAPH-2F942
    "\u2F943",  # CJK COMPATIBILITY IDEOGRAPH-2F943
    "\u2F944",  # CJK COMPATIBILITY IDEOGRAPH-2F944
    "\u2F945",  # CJK COMPATIBILITY IDEOGRAPH-2F945
    "\u2F946",  # CJK COMPATIBILITY IDEOGRAPH-2F946
    "\u2F947",  # CJK COMPATIBILITY IDEOGRAPH-2F947
    "\u2F948",  # CJK COMPATIBILITY IDEOGRAPH-2F948
    "\u2F949",  # CJK COMPATIBILITY IDEOGRAPH-2F949
    "\u2F94A",  # CJK COMPATIBILITY IDEOGRAPH-2F94A
    "\u2F94B",  # CJK COMPATIBILITY IDEOGRAPH-2F94B
    "\u2F94C",  # CJK COMPATIBILITY IDEOGRAPH-2F94C
    "\u2F94D",  # CJK COMPATIBILITY IDEOGRAPH-2F94D
    "\u2F94E",  # CJK COMPATIBILITY IDEOGRAPH-2F94E
    "\u2F94F",  # CJK COMPATIBILITY IDEOGRAPH-2F94F
    "\u2F950",  # CJK COMPATIBILITY IDEOGRAPH-2F950
    "\u2F951",  # CJK COMPATIBILITY IDEOGRAPH-2F951
    "\u2F952",  # CJK COMPATIBILITY IDEOGRAPH-2F952
    "\u2F953",  # CJK COMPATIBILITY IDEOGRAPH-2F953
    "\u2F954",  # CJK COMPATIBILITY IDEOGRAPH-2F954
    "\u2F955",  # CJK COMPATIBILITY IDEOGRAPH-2F955
    "\u2F956",  # CJK COMPATIBILITY IDEOGRAPH-2F956
    "\u2F957",  # CJK COMPATIBILITY IDEOGRAPH-2F957
    "\u2F958",  # CJK COMPATIBILITY IDEOGRAPH-2F958
    "\u2F959",  # CJK COMPATIBILITY IDEOGRAPH-2F959
    "\u2F95A",  # CJK COMPATIBILITY IDEOGRAPH-2F95A
    "\u2F95B",  # CJK COMPATIBILITY IDEOGRAPH-2F95B
    "\u2F95C",  # CJK COMPATIBILITY IDEOGRAPH-2F95C
    "\u2F95D",  # CJK COMPATIBILITY IDEOGRAPH-2F95D
    "\u2F95E",  # CJK COMPATIBILITY IDEOGRAPH-2F95E
    "\u2F95F",  # CJK COMPATIBILITY IDEOGRAPH-2F95F
    "\u2F960",  # CJK COMPATIBILITY IDEOGRAPH-2F960
    "\u2F961",  # CJK COMPATIBILITY IDEOGRAPH-2F961
    "\u2F962",  # CJK COMPATIBILITY IDEOGRAPH-2F962
    "\u2F963",  # CJK COMPATIBILITY IDEOGRAPH-2F963
    "\u2F964",  # CJK COMPATIBILITY IDEOGRAPH-2F964
    "\u2F965",  # CJK COMPATIBILITY IDEOGRAPH-2F965
    "\u2F966",  # CJK COMPATIBILITY IDEOGRAPH-2F966
    "\u2F967",  # CJK COMPATIBILITY IDEOGRAPH-2F967
    "\u2F968",  # CJK COMPATIBILITY IDEOGRAPH-2F968
    "\u2F969",  # CJK COMPATIBILITY IDEOGRAPH-2F969
    "\u2F96A",  # CJK COMPATIBILITY IDEOGRAPH-2F96A
    "\u2F96B",  # CJK COMPATIBILITY IDEOGRAPH-2F96B
    "\u2F96C",  # CJK COMPATIBILITY IDEOGRAPH-2F96C
    "\u2F96D",  # CJK COMPATIBILITY IDEOGRAPH-2F96D
    "\u2F96E",  # CJK COMPATIBILITY IDEOGRAPH-2F96E
    "\u2F96F",  # CJK COMPATIBILITY IDEOGRAPH-2F96F
    "\u2F970",  # CJK COMPATIBILITY IDEOGRAPH-2F970
    "\u2F971",  # CJK COMPATIBILITY IDEOGRAPH-2F971
    "\u2F972",  # CJK COMPATIBILITY IDEOGRAPH-2F972
    "\u2F973",  # CJK COMPATIBILITY IDEOGRAPH-2F973
    "\u2F974",  # CJK COMPATIBILITY IDEOGRAPH-2F974
    "\u2F975",  # CJK COMPATIBILITY IDEOGRAPH-2F975
    "\u2F976",  # CJK COMPATIBILITY IDEOGRAPH-2F976
    "\u2F977",  # CJK COMPATIBILITY IDEOGRAPH-2F977
    "\u2F978",  # CJK COMPATIBILITY IDEOGRAPH-2F978
    "\u2F979",  # CJK COMPATIBILITY IDEOGRAPH-2F979
    "\u2F97A",  # CJK COMPATIBILITY IDEOGRAPH-2F97A
    "\u2F97B",  # CJK COMPATIBILITY IDEOGRAPH-2F97B
    "\u2F97C",  # CJK COMPATIBILITY IDEOGRAPH-2F97C
    "\u2F97D",  # CJK COMPATIBILITY IDEOGRAPH-2F97D
    "\u2F97E",  # CJK COMPATIBILITY IDEOGRAPH-2F97E
    "\u2F97F",  # CJK COMPATIBILITY IDEOGRAPH-2F97F
    "\u2F980",  # CJK COMPATIBILITY IDEOGRAPH-2F980
    "\u2F981",  # CJK COMPATIBILITY IDEOGRAPH-2F981
    "\u2F982",  # CJK COMPATIBILITY IDEOGRAPH-2F982
    "\u2F983",  # CJK COMPATIBILITY IDEOGRAPH-2F983
    "\u2F984",  # CJK COMPATIBILITY IDEOGRAPH-2F984
    "\u2F985",  # CJK COMPATIBILITY IDEOGRAPH-2F985
    "\u2F986",  # CJK COMPATIBILITY IDEOGRAPH-2F986
    "\u2F987",  # CJK COMPATIBILITY IDEOGRAPH-2F987
    "\u2F988",  # CJK COMPATIBILITY IDEOGRAPH-2F988
    "\u2F989",  # CJK COMPATIBILITY IDEOGRAPH-2F989
    "\u2F98A",  # CJK COMPATIBILITY IDEOGRAPH-2F98A
    "\u2F98B",  # CJK COMPATIBILITY IDEOGRAPH-2F98B
    "\u2F98C",  # CJK COMPATIBILITY IDEOGRAPH-2F98C
    "\u2F98D",  # CJK COMPATIBILITY IDEOGRAPH-2F98D
    "\u2F98E",  # CJK COMPATIBILITY IDEOGRAPH-2F98E
    "\u2F98F",  # CJK COMPATIBILITY IDEOGRAPH-2F98F
    "\u2F990",  # CJK COMPATIBILITY IDEOGRAPH-2F990
    "\u2F991",  # CJK COMPATIBILITY IDEOGRAPH-2F991
    "\u2F992",  # CJK COMPATIBILITY IDEOGRAPH-2F992
    "\u2F993",  # CJK COMPATIBILITY IDEOGRAPH-2F993
    "\u2F994",  # CJK COMPATIBILITY IDEOGRAPH-2F994
    "\u2F995",  # CJK COMPATIBILITY IDEOGRAPH-2F995
    "\u2F996",  # CJK COMPATIBILITY IDEOGRAPH-2F996
    "\u2F997",  # CJK COMPATIBILITY IDEOGRAPH-2F997
    "\u2F998",  # CJK COMPATIBILITY IDEOGRAPH-2F998
    "\u2F999",  # CJK COMPATIBILITY IDEOGRAPH-2F999
    "\u2F99A",  # CJK COMPATIBILITY IDEOGRAPH-2F99A
    "\u2F99B",  # CJK COMPATIBILITY IDEOGRAPH-2F99B
    "\u2F99C",  # CJK COMPATIBILITY IDEOGRAPH-2F99C
    "\u2F99D",  # CJK COMPATIBILITY IDEOGRAPH-2F99D
    "\u2F99E",  # CJK COMPATIBILITY IDEOGRAPH-2F99E
    "\u2F99F",  # CJK COMPATIBILITY IDEOGRAPH-2F99F
    "\u2F9A0",  # CJK COMPATIBILITY IDEOGRAPH-2F9A0
    "\u2F9A1",  # CJK COMPATIBILITY IDEOGRAPH-2F9A1
    "\u2F9A2",  # CJK COMPATIBILITY IDEOGRAPH-2F9A2
    "\u2F9A3",  # CJK COMPATIBILITY IDEOGRAPH-2F9A3
    "\u2F9A4",  # CJK COMPATIBILITY IDEOGRAPH-2F9A4
    "\u2F9A5",  # CJK COMPATIBILITY IDEOGRAPH-2F9A5
    "\u2F9A6",  # CJK COMPATIBILITY IDEOGRAPH-2F9A6
    "\u2F9A7",  # CJK COMPATIBILITY IDEOGRAPH-2F9A7
    "\u2F9A8",  # CJK COMPATIBILITY IDEOGRAPH-2F9A8
    "\u2F9A9",  # CJK COMPATIBILITY IDEOGRAPH-2F9A9
    "\u2F9AA",  # CJK COMPATIBILITY IDEOGRAPH-2F9AA
    "\u2F9AB",  # CJK COMPATIBILITY IDEOGRAPH-2F9AB
    "\u2F9AC",  # CJK COMPATIBILITY IDEOGRAPH-2F9AC
    "\u2F9AD",  # CJK COMPATIBILITY IDEOGRAPH-2F9AD
    "\u2F9AE",  # CJK COMPATIBILITY IDEOGRAPH-2F9AE
    "\u2F9AF",  # CJK COMPATIBILITY IDEOGRAPH-2F9AF
    "\u2F9B0",  # CJK COMPATIBILITY IDEOGRAPH-2F9B0
    "\u2F9B1",  # CJK COMPATIBILITY IDEOGRAPH-2F9B1
    "\u2F9B2",  # CJK COMPATIBILITY IDEOGRAPH-2F9B2
    "\u2F9B3",  # CJK COMPATIBILITY IDEOGRAPH-2F9B3
    "\u2F9B4",  # CJK COMPATIBILITY IDEOGRAPH-2F9B4
    "\u2F9B5",  # CJK COMPATIBILITY IDEOGRAPH-2F9B5
    "\u2F9B6",  # CJK COMPATIBILITY IDEOGRAPH-2F9B6
    "\u2F9B7",  # CJK COMPATIBILITY IDEOGRAPH-2F9B7
    "\u2F9B8",  # CJK COMPATIBILITY IDEOGRAPH-2F9B8
    "\u2F9B9",  # CJK COMPATIBILITY IDEOGRAPH-2F9B9
    "\u2F9BA",  # CJK COMPATIBILITY IDEOGRAPH-2F9BA
    "\u2F9BB",  # CJK COMPATIBILITY IDEOGRAPH-2F9BB
    "\u2F9BC",  # CJK COMPATIBILITY IDEOGRAPH-2F9BC
    "\u2F9BD",  # CJK COMPATIBILITY IDEOGRAPH-2F9BD
    "\u2F9BE",  # CJK COMPATIBILITY IDEOGRAPH-2F9BE
    "\u2F9BF",  # CJK COMPATIBILITY IDEOGRAPH-2F9BF
    "\u2F9C0",  # CJK COMPATIBILITY IDEOGRAPH-2F9C0
    "\u2F9C1",  # CJK COMPATIBILITY IDEOGRAPH-2F9C1
    "\u2F9C2",  # CJK COMPATIBILITY IDEOGRAPH-2F9C2
    "\u2F9C3",  # CJK COMPATIBILITY IDEOGRAPH-2F9C3
    "\u2F9C4",  # CJK COMPATIBILITY IDEOGRAPH-2F9C4
    "\u2F9C5",  # CJK COMPATIBILITY IDEOGRAPH-2F9C5
    "\u2F9C6",  # CJK COMPATIBILITY IDEOGRAPH-2F9C6
    "\u2F9C7",  # CJK COMPATIBILITY IDEOGRAPH-2F9C7
    "\u2F9C8",  # CJK COMPATIBILITY IDEOGRAPH-2F9C8
    "\u2F9C9",  # CJK COMPATIBILITY IDEOGRAPH-2F9C9
    "\u2F9CA",  # CJK COMPATIBILITY IDEOGRAPH-2F9CA
    "\u2F9CB",  # CJK COMPATIBILITY IDEOGRAPH-2F9CB
    "\u2F9CC",  # CJK COMPATIBILITY IDEOGRAPH-2F9CC
    "\u2F9CD",  # CJK COMPATIBILITY IDEOGRAPH-2F9CD
    "\u2F9CE",  # CJK COMPATIBILITY IDEOGRAPH-2F9CE
    "\u2F9CF",  # CJK COMPATIBILITY IDEOGRAPH-2F9CF
    "\u2F9D0",  # CJK COMPATIBILITY IDEOGRAPH-2F9D0
    "\u2F9D1",  # CJK COMPATIBILITY IDEOGRAPH-2F9D1
    "\u2F9D2",  # CJK COMPATIBILITY IDEOGRAPH-2F9D2
    "\u2F9D3",  # CJK COMPATIBILITY IDEOGRAPH-2F9D3
    "\u2F9D4",  # CJK COMPATIBILITY IDEOGRAPH-2F9D4
    "\u2F9D5",  # CJK COMPATIBILITY IDEOGRAPH-2F9D5
    "\u2F9D6",  # CJK COMPATIBILITY IDEOGRAPH-2F9D6
    "\u2F9D7",  # CJK COMPATIBILITY IDEOGRAPH-2F9D7
    "\u2F9D8",  # CJK COMPATIBILITY IDEOGRAPH-2F9D8
    "\u2F9D9",  # CJK COMPATIBILITY IDEOGRAPH-2F9D9
    "\u2F9DA",  # CJK COMPATIBILITY IDEOGRAPH-2F9DA
    "\u2F9DB",  # CJK COMPATIBILITY IDEOGRAPH-2F9DB
    "\u2F9DC",  # CJK COMPATIBILITY IDEOGRAPH-2F9DC
    "\u2F9DD",  # CJK COMPATIBILITY IDEOGRAPH-2F9DD
    "\u2F9DE",  # CJK COMPATIBILITY IDEOGRAPH-2F9DE
    "\u2F9DF",  # CJK COMPATIBILITY IDEOGRAPH-2F9DF
    "\u2F9E0",  # CJK COMPATIBILITY IDEOGRAPH-2F9E0
    "\u2F9E1",  # CJK COMPATIBILITY IDEOGRAPH-2F9E1
    "\u2F9E2",  # CJK COMPATIBILITY IDEOGRAPH-2F9E2
    "\u2F9E3",  # CJK COMPATIBILITY IDEOGRAPH-2F9E3
    "\u2F9E4",  # CJK COMPATIBILITY IDEOGRAPH-2F9E4
    "\u2F9E5",  # CJK COMPATIBILITY IDEOGRAPH-2F9E5
    "\u2F9E6",  # CJK COMPATIBILITY IDEOGRAPH-2F9E6
    "\u2F9E7",  # CJK COMPATIBILITY IDEOGRAPH-2F9E7
    "\u2F9E8",  # CJK COMPATIBILITY IDEOGRAPH-2F9E8
    "\u2F9E9",  # CJK COMPATIBILITY IDEOGRAPH-2F9E9
    "\u2F9EA",  # CJK COMPATIBILITY IDEOGRAPH-2F9EA
    "\u2F9EB",  # CJK COMPATIBILITY IDEOGRAPH-2F9EB
    "\u2F9EC",  # CJK COMPATIBILITY IDEOGRAPH-2F9EC
    "\u2F9ED",  # CJK COMPATIBILITY IDEOGRAPH-2F9ED
    "\u2F9EE",  # CJK COMPATIBILITY IDEOGRAPH-2F9EE
    "\u2F9EF",  # CJK COMPATIBILITY IDEOGRAPH-2F9EF
    "\u2F9F0",  # CJK COMPATIBILITY IDEOGRAPH-2F9F0
    "\u2F9F1",  # CJK COMPATIBILITY IDEOGRAPH-2F9F1
    "\u2F9F2",  # CJK COMPATIBILITY IDEOGRAPH-2F9F2
    "\u2F9F3",  # CJK COMPATIBILITY IDEOGRAPH-2F9F3
    "\u2F9F4",  # CJK COMPATIBILITY IDEOGRAPH-2F9F4
    "\u2F9F5",  # CJK COMPATIBILITY IDEOGRAPH-2F9F5
    "\u2F9F6",  # CJK COMPATIBILITY IDEOGRAPH-2F9F6
    "\u2F9F7",  # CJK COMPATIBILITY IDEOGRAPH-2F9F7
    "\u2F9F8",  # CJK COMPATIBILITY IDEOGRAPH-2F9F8
    "\u2F9F9",  # CJK COMPATIBILITY IDEOGRAPH-2F9F9
    "\u2F9FA",  # CJK COMPATIBILITY IDEOGRAPH-2F9FA
    "\u2F9FB",  # CJK COMPATIBILITY IDEOGRAPH-2F9FB
    "\u2F9FC",  # CJK COMPATIBILITY IDEOGRAPH-2F9FC
    "\u2F9FD",  # CJK COMPATIBILITY IDEOGRAPH-2F9FD
    "\u2F9FE",  # CJK COMPATIBILITY IDEOGRAPH-2F9FE
    "\u2F9FF",  # CJK COMPATIBILITY IDEOGRAPH-2F9FF
    "\u2FA00",  # CJK COMPATIBILITY IDEOGRAPH-2FA00
    "\u2FA01",  # CJK COMPATIBILITY IDEOGRAPH-2FA01
    "\u2FA02",  # CJK COMPATIBILITY IDEOGRAPH-2FA02
    "\u2FA03",  # CJK COMPATIBILITY IDEOGRAPH-2FA03
    "\u2FA04",  # CJK COMPATIBILITY IDEOGRAPH-2FA04
    "\u2FA05",  # CJK COMPATIBILITY IDEOGRAPH-2FA05
    "\u2FA06",  # CJK COMPATIBILITY IDEOGRAPH-2FA06
    "\u2FA07",  # CJK COMPATIBILITY IDEOGRAPH-2FA07
    "\u2FA08",  # CJK COMPATIBILITY IDEOGRAPH-2FA08
    "\u2FA09",  # CJK COMPATIBILITY IDEOGRAPH-2FA09
    "\u2FA0A",  # CJK COMPATIBILITY IDEOGRAPH-2FA0A
    "\u2FA0B",  # CJK COMPATIBILITY IDEOGRAPH-2FA0B
    "\u2FA0C",  # CJK COMPATIBILITY IDEOGRAPH-2FA0C
    "\u2FA0D",  # CJK COMPATIBILITY IDEOGRAPH-2FA0D
    "\u2FA0E",  # CJK COMPATIBILITY IDEOGRAPH-2FA0E
    "\u2FA0F",  # CJK COMPATIBILITY IDEOGRAPH-2FA0F
    "\u2FA10",  # CJK COMPATIBILITY IDEOGRAPH-2FA10
    "\u2FA11",  # CJK COMPATIBILITY IDEOGRAPH-2FA11
    "\u2FA12",  # CJK COMPATIBILITY IDEOGRAPH-2FA12
    "\u2FA13",  # CJK COMPATIBILITY IDEOGRAPH-2FA13
    "\u2FA14",  # CJK COMPATIBILITY IDEOGRAPH-2FA14
    "\u2FA15",  # CJK COMPATIBILITY IDEOGRAPH-2FA15
    "\u2FA16",  # CJK COMPATIBILITY IDEOGRAPH-2FA16
    "\u2FA17",  # CJK COMPATIBILITY IDEOGRAPH-2FA17
    "\u2FA18",  # CJK COMPATIBILITY IDEOGRAPH-2FA18
    "\u2FA19",  # CJK COMPATIBILITY IDEOGRAPH-2FA19
    "\u2FA1A",  # CJK COMPATIBILITY IDEOGRAPH-2FA1A
    "\u2FA1B",  # CJK COMPATIBILITY IDEOGRAPH-2FA1B
    "\u2FA1C",  # CJK COMPATIBILITY IDEOGRAPH-2FA1C
    "\u2FA1D",  # CJK COMPATIBILITY IDEOGRAPH-2FA1D
    "\u2FFFE",  # <not a character>
    "\u2FFFF",  # <not a character>
    "\u3FFFE",  # <not a character>
    "\u3FFFF",  # <not a character>
    "\u4FFFE",  # <not a character>
    "\u4FFFF",  # <not a character>
    "\u5FFFE",  # <not a character>
    "\u5FFFF",  # <not a character>
    "\u6FFFE",  # <not a character>
    "\u6FFFF",  # <not a character>
    "\u7FFFE",  # <not a character>
    "\u7FFFF",  # <not a character>
    "\u8FFFE",  # <not a character>
    "\u8FFFF",  # <not a character>
    "\u9FFFE",  # <not a character>
    "\u9FFFF",  # <not a character>
    "\uAFFFE",  # <not a character>
    "\uAFFFF",  # <not a character>
    "\uBFFFE",  # <not a character>
    "\uBFFFF",  # <not a character>
    "\uCFFFE",  # <not a character>
    "\uCFFFF",  # <not a character>
    "\uE0001",  # LANGUAGE TAG
    "\uE0020",  # TAG SPACE
    "\uE0021",  # TAG EXCLAMATION MARK
    "\uE0022",  # TAG QUOTATION MARK
    "\uE0023",  # TAG NUMBER SIGN
    "\uE0024",  # TAG DOLLAR SIGN
    "\uE0025",  # TAG PERCENT SIGN
    "\uE0026",  # TAG AMPERSAND
    "\uE0027",  # TAG APOSTROPHE
    "\uE0028",  # TAG LEFT PARENTHESIS
    "\uE0029",  # TAG RIGHT PARENTHESIS
    "\uE002A",  # TAG ASTERISK
    "\uE002B",  # TAG PLUS SIGN
    "\uE002C",  # TAG COMMA
    "\uE002D",  # TAG HYPHEN-MINUS
    "\uE002E",  # TAG FULL STOP
    "\uE002F",  # TAG SOLIDUS
    "\uE0030",  # TAG DIGIT ZERO
    "\uE0031",  # TAG DIGIT ONE
    "\uE0032",  # TAG DIGIT TWO
    "\uE0033",  # TAG DIGIT THREE
    "\uE0034",  # TAG DIGIT FOUR
    "\uE0035",  # TAG DIGIT FIVE
    "\uE0036",  # TAG DIGIT SIX
    "\uE0037",  # TAG DIGIT SEVEN
    "\uE0038",  # TAG DIGIT EIGHT
    "\uE0039",  # TAG DIGIT NINE
    "\uE003A",  # TAG COLON
    "\uE003B",  # TAG SEMICOLON
    "\uE003C",  # TAG LESS-THAN SIGN
    "\uE003D",  # TAG EQUALS SIGN
    "\uE003E",  # TAG GREATER-THAN SIGN
    "\uE003F",  # TAG QUESTION MARK
    "\uE0040",  # TAG COMMERCIAL AT
    "\uE0041",  # TAG LATIN CAPITAL LETTER A
    "\uE0042",  # TAG LATIN CAPITAL LETTER B
    "\uE0043",  # TAG LATIN CAPITAL LETTER C
    "\uE0044",  # TAG LATIN CAPITAL LETTER D
    "\uE0045",  # TAG LATIN CAPITAL LETTER E
    "\uE0046",  # TAG LATIN CAPITAL LETTER F
    "\uE0047",  # TAG LATIN CAPITAL LETTER G
    "\uE0048",  # TAG LATIN CAPITAL LETTER H
    "\uE0049",  # TAG LATIN CAPITAL LETTER I
    "\uE004A",  # TAG LATIN CAPITAL LETTER J
    "\uE004B",  # TAG LATIN CAPITAL LETTER K
    "\uE004C",  # TAG LATIN CAPITAL LETTER L
    "\uE004D",  # TAG LATIN CAPITAL LETTER M
    "\uE004E",  # TAG LATIN CAPITAL LETTER N
    "\uE004F",  # TAG LATIN CAPITAL LETTER O
    "\uE0050",  # TAG LATIN CAPITAL LETTER P
    "\uE0051",  # TAG LATIN CAPITAL LETTER Q
    "\uE0052",  # TAG LATIN CAPITAL LETTER R
    "\uE0053",  # TAG LATIN CAPITAL LETTER S
    "\uE0054",  # TAG LATIN CAPITAL LETTER T
    "\uE0055",  # TAG LATIN CAPITAL LETTER U
    "\uE0056",  # TAG LATIN CAPITAL LETTER V
    "\uE0057",  # TAG LATIN CAPITAL LETTER W
    "\uE0058",  # TAG LATIN CAPITAL LETTER X
    "\uE0059",  # TAG LATIN CAPITAL LETTER Y
    "\uE005A",  # TAG LATIN CAPITAL LETTER Z
    "\uE005B",  # TAG LEFT SQUARE BRACKET
    "\uE005C",  # TAG REVERSE SOLIDUS
    "\uE005D",  # TAG RIGHT SQUARE BRACKET
    "\uE005E",  # TAG CIRCUMFLEX ACCENT
    "\uE005F",  # TAG LOW LINE
    "\uE0060",  # TAG GRAVE ACCENT
    "\uE0061",  # TAG LATIN SMALL LETTER A
    "\uE0062",  # TAG LATIN SMALL LETTER B
    "\uE0063",  # TAG LATIN SMALL LETTER C
    "\uE0064",  # TAG LATIN SMALL LETTER D
    "\uE0065",  # TAG LATIN SMALL LETTER E
    "\uE0066",  # TAG LATIN SMALL LETTER F
    "\uE0067",  # TAG LATIN SMALL LETTER G
    "\uE0068",  # TAG LATIN SMALL LETTER H
    "\uE0069",  # TAG LATIN SMALL LETTER I
    "\uE006A",  # TAG LATIN SMALL LETTER J
    "\uE006B",  # TAG LATIN SMALL LETTER K
    "\uE006C",  # TAG LATIN SMALL LETTER L
    "\uE006D",  # TAG LATIN SMALL LETTER M
    "\uE006E",  # TAG LATIN SMALL LETTER N
    "\uE006F",  # TAG LATIN SMALL LETTER O
    "\uE0070",  # TAG LATIN SMALL LETTER P
    "\uE0071",  # TAG LATIN SMALL LETTER Q
    "\uE0072",  # TAG LATIN SMALL LETTER R
    "\uE0073",  # TAG LATIN SMALL LETTER S
    "\uE0074",  # TAG LATIN SMALL LETTER T
    "\uE0075",  # TAG LATIN SMALL LETTER U
    "\uE0076",  # TAG LATIN SMALL LETTER V
    "\uE0077",  # TAG LATIN SMALL LETTER W
    "\uE0078",  # TAG LATIN SMALL LETTER X
    "\uE0079",  # TAG LATIN SMALL LETTER Y
    "\uE007A",  # TAG LATIN SMALL LETTER Z
    "\uE007B",  # TAG LEFT CURLY BRACKET
    "\uE007C",  # TAG VERTICAL LINE
    "\uE007D",  # TAG RIGHT CURLY BRACKET
    "\uE007E",  # TAG TILDE
    "\uE007F",  # CANCEL TAG
    "\uE0100",  # VARIATION SELECTOR-17
    "\uE0101",  # VARIATION SELECTOR-18
    "\uE0102",  # VARIATION SELECTOR-19
    "\uE0103",  # VARIATION SELECTOR-20
    "\uE0104",  # VARIATION SELECTOR-21
    "\uE0105",  # VARIATION SELECTOR-22
    "\uE0106",  # VARIATION SELECTOR-23
    "\uE0107",  # VARIATION SELECTOR-24
    "\uE0108",  # VARIATION SELECTOR-25
    "\uE0109",  # VARIATION SELECTOR-26
    "\uE010A",  # VARIATION SELECTOR-27
    "\uE010B",  # VARIATION SELECTOR-28
    "\uE010C",  # VARIATION SELECTOR-29
    "\uE010D",  # VARIATION SELECTOR-30
    "\uE010E",  # VARIATION SELECTOR-31
    "\uE010F",  # VARIATION SELECTOR-32
    "\uE0110",  # VARIATION SELECTOR-33
    "\uE0111",  # VARIATION SELECTOR-34
    "\uE0112",  # VARIATION SELECTOR-35
    "\uE0113",  # VARIATION SELECTOR-36
    "\uE0114",  # VARIATION SELECTOR-37
    "\uE0115",  # VARIATION SELECTOR-38
    "\uE0116",  # VARIATION SELECTOR-39
    "\uE0117",  # VARIATION SELECTOR-40
    "\uE0118",  # VARIATION SELECTOR-41
    "\uE0119",  # VARIATION SELECTOR-42
    "\uE011A",  # VARIATION SELECTOR-43
    "\uE011B",  # VARIATION SELECTOR-44
    "\uE011C",  # VARIATION SELECTOR-45
    "\uE011D",  # VARIATION SELECTOR-46
    "\uE011E",  # VARIATION SELECTOR-47
    "\uE011F",  # VARIATION SELECTOR-48
    "\uE0120",  # VARIATION SELECTOR-49
    "\uE0121",  # VARIATION SELECTOR-50
    "\uE0122",  # VARIATION SELECTOR-51
    "\uE0123",  # VARIATION SELECTOR-52
    "\uE0124",  # VARIATION SELECTOR-53
    "\uE0125",  # VARIATION SELECTOR-54
    "\uE0126",  # VARIATION SELECTOR-55
    "\uE0127",  # VARIATION SELECTOR-56
    "\uE0128",  # VARIATION SELECTOR-57
    "\uE0129",  # VARIATION SELECTOR-58
    "\uE012A",  # VARIATION SELECTOR-59
    "\uE012B",  # VARIATION SELECTOR-60
    "\uE012C",  # VARIATION SELECTOR-61
    "\uE012D",  # VARIATION SELECTOR-62
    "\uE012E",  # VARIATION SELECTOR-63
    "\uE012F",  # VARIATION SELECTOR-64
    "\uE0130",  # VARIATION SELECTOR-65
    "\uE0131",  # VARIATION SELECTOR-66
    "\uE0132",  # VARIATION SELECTOR-67
    "\uE0133",  # VARIATION SELECTOR-68
    "\uE0134",  # VARIATION SELECTOR-69
    "\uE0135",  # VARIATION SELECTOR-70
    "\uE0136",  # VARIATION SELECTOR-71
    "\uE0137",  # VARIATION SELECTOR-72
    "\uE0138",  # VARIATION SELECTOR-73
    "\uE0139",  # VARIATION SELECTOR-74
    "\uE013A",  # VARIATION SELECTOR-75
    "\uE013B",  # VARIATION SELECTOR-76
    "\uE013C",  # VARIATION SELECTOR-77
    "\uE013D",  # VARIATION SELECTOR-78
    "\uE013E",  # VARIATION SELECTOR-79
    "\uE013F",  # VARIATION SELECTOR-80
    "\uE0140",  # VARIATION SELECTOR-81
    "\uE0141",  # VARIATION SELECTOR-82
    "\uE0142",  # VARIATION SELECTOR-83
    "\uE0143",  # VARIATION SELECTOR-84
    "\uE0144",  # VARIATION SELECTOR-85
    "\uE0145",  # VARIATION SELECTOR-86
    "\uE0146",  # VARIATION SELECTOR-87
    "\uE0147",  # VARIATION SELECTOR-88
    "\uE0148",  # VARIATION SELECTOR-89
    "\uE0149",  # VARIATION SELECTOR-90
    "\uE014A",  # VARIATION SELECTOR-91
    "\uE014B",  # VARIATION SELECTOR-92
    "\uE014C",  # VARIATION SELECTOR-93
    "\uE014D",  # VARIATION SELECTOR-94
    "\uE014E",  # VARIATION SELECTOR-95
    "\uE014F",  # VARIATION SELECTOR-96
    "\uE0150",  # VARIATION SELECTOR-97
    "\uE0151",  # VARIATION SELECTOR-98
    "\uE0152",  # VARIATION SELECTOR-99
    "\uE0153",  # VARIATION SELECTOR-100
    "\uE0154",  # VARIATION SELECTOR-101
    "\uE0155",  # VARIATION SELECTOR-102
    "\uE0156",  # VARIATION SELECTOR-103
    "\uE0157",  # VARIATION SELECTOR-104
    "\uE0158",  # VARIATION SELECTOR-105
    "\uE0159",  # VARIATION SELECTOR-106
    "\uE015A",  # VARIATION SELECTOR-107
    "\uE015B",  # VARIATION SELECTOR-108
    "\uE015C",  # VARIATION SELECTOR-109
    "\uE015D",  # VARIATION SELECTOR-110
    "\uE015E",  # VARIATION SELECTOR-111
    "\uE015F",  # VARIATION SELECTOR-112
    "\uE0160",  # VARIATION SELECTOR-113
    "\uE0161",  # VARIATION SELECTOR-114
    "\uE0162",  # VARIATION SELECTOR-115
    "\uE0163",  # VARIATION SELECTOR-116
    "\uE0164",  # VARIATION SELECTOR-117
    "\uE0165",  # VARIATION SELECTOR-118
    "\uE0166",  # VARIATION SELECTOR-119
    "\uE0167",  # VARIATION SELECTOR-120
    "\uE0168",  # VARIATION SELECTOR-121
    "\uE0169",  # VARIATION SELECTOR-122
    "\uE016A",  # VARIATION SELECTOR-123
    "\uE016B",  # VARIATION SELECTOR-124
    "\uE016C",  # VARIATION SELECTOR-125
    "\uE016D",  # VARIATION SELECTOR-126
    "\uE016E",  # VARIATION SELECTOR-127
    "\uE016F",  # VARIATION SELECTOR-128
    "\uE0170",  # VARIATION SELECTOR-129
    "\uE0171",  # VARIATION SELECTOR-130
    "\uE0172",  # VARIATION SELECTOR-131
    "\uE0173",  # VARIATION SELECTOR-132
    "\uE0174",  # VARIATION SELECTOR-133
    "\uE0175",  # VARIATION SELECTOR-134
    "\uE0176",  # VARIATION SELECTOR-135
    "\uE0177",  # VARIATION SELECTOR-136
    "\uE0178",  # VARIATION SELECTOR-137
    "\uE0179",  # VARIATION SELECTOR-138
    "\uE017A",  # VARIATION SELECTOR-139
    "\uE017B",  # VARIATION SELECTOR-140
    "\uE017C",  # VARIATION SELECTOR-141
    "\uE017D",  # VARIATION SELECTOR-142
    "\uE017E",  # VARIATION SELECTOR-143
    "\uE017F",  # VARIATION SELECTOR-144
    "\uE0180",  # VARIATION SELECTOR-145
    "\uE0181",  # VARIATION SELECTOR-146
    "\uE0182",  # VARIATION SELECTOR-147
    "\uE0183",  # VARIATION SELECTOR-148
    "\uE0184",  # VARIATION SELECTOR-149
    "\uE0185",  # VARIATION SELECTOR-150
    "\uE0186",  # VARIATION SELECTOR-151
    "\uE0187",  # VARIATION SELECTOR-152
    "\uE0188",  # VARIATION SELECTOR-153
    "\uE0189",  # VARIATION SELECTOR-154
    "\uE018A",  # VARIATION SELECTOR-155
    "\uE018B",  # VARIATION SELECTOR-156
    "\uE018C",  # VARIATION SELECTOR-157
    "\uE018D",  # VARIATION SELECTOR-158
    "\uE018E",  # VARIATION SELECTOR-159
    "\uE018F",  # VARIATION SELECTOR-160
    "\uE0190",  # VARIATION SELECTOR-161
    "\uE0191",  # VARIATION SELECTOR-162
    "\uE0192",  # VARIATION SELECTOR-163
    "\uE0193",  # VARIATION SELECTOR-164
    "\uE0194",  # VARIATION SELECTOR-165
    "\uE0195",  # VARIATION SELECTOR-166
    "\uE0196",  # VARIATION SELECTOR-167
    "\uE0197",  # VARIATION SELECTOR-168
    "\uE0198",  # VARIATION SELECTOR-169
    "\uE0199",  # VARIATION SELECTOR-170
    "\uE019A",  # VARIATION SELECTOR-171
    "\uE019B",  # VARIATION SELECTOR-172
    "\uE019C",  # VARIATION SELECTOR-173
    "\uE019D",  # VARIATION SELECTOR-174
    "\uE019E",  # VARIATION SELECTOR-175
    "\uE019F",  # VARIATION SELECTOR-176
    "\uE01A0",  # VARIATION SELECTOR-177
    "\uE01A1",  # VARIATION SELECTOR-178
    "\uE01A2",  # VARIATION SELECTOR-179
    "\uE01A3",  # VARIATION SELECTOR-180
    "\uE01A4",  # VARIATION SELECTOR-181
    "\uE01A5",  # VARIATION SELECTOR-182
    "\uE01A6",  # VARIATION SELECTOR-183
    "\uE01A7",  # VARIATION SELECTOR-184
    "\uE01A8",  # VARIATION SELECTOR-185
    "\uE01A9",  # VARIATION SELECTOR-186
    "\uE01AA",  # VARIATION SELECTOR-187
    "\uE01AB",  # VARIATION SELECTOR-188
    "\uE01AC",  # VARIATION SELECTOR-189
    "\uE01AD",  # VARIATION SELECTOR-190
    "\uE01AE",  # VARIATION SELECTOR-191
    "\uE01AF",  # VARIATION SELECTOR-192
    "\uE01B0",  # VARIATION SELECTOR-193
    "\uE01B1",  # VARIATION SELECTOR-194
    "\uE01B2",  # VARIATION SELECTOR-195
    "\uE01B3",  # VARIATION SELECTOR-196
    "\uE01B4",  # VARIATION SELECTOR-197
    "\uE01B5",  # VARIATION SELECTOR-198
    "\uE01B6",  # VARIATION SELECTOR-199
    "\uE01B7",  # VARIATION SELECTOR-200
    "\uE01B8",  # VARIATION SELECTOR-201
    "\uE01B9",  # VARIATION SELECTOR-202
    "\uE01BA",  # VARIATION SELECTOR-203
    "\uE01BB",  # VARIATION SELECTOR-204
    "\uE01BC",  # VARIATION SELECTOR-205
    "\uE01BD",  # VARIATION SELECTOR-206
    "\uE01BE",  # VARIATION SELECTOR-207
    "\uE01BF",  # VARIATION SELECTOR-208
    "\uE01C0",  # VARIATION SELECTOR-209
    "\uE01C1",  # VARIATION SELECTOR-210
    "\uE01C2",  # VARIATION SELECTOR-211
    "\uE01C3",  # VARIATION SELECTOR-212
    "\uE01C4",  # VARIATION SELECTOR-213
    "\uE01C5",  # VARIATION SELECTOR-214
    "\uE01C6",  # VARIATION SELECTOR-215
    "\uE01C7",  # VARIATION SELECTOR-216
    "\uE01C8",  # VARIATION SELECTOR-217
    "\uE01C9",  # VARIATION SELECTOR-218
    "\uE01CA",  # VARIATION SELECTOR-219
    "\uE01CB",  # VARIATION SELECTOR-220
    "\uE01CC",  # VARIATION SELECTOR-221
    "\uE01CD",  # VARIATION SELECTOR-222
    "\uE01CE",  # VARIATION SELECTOR-223
    "\uE01CF",  # VARIATION SELECTOR-224
    "\uE01D0",  # VARIATION SELECTOR-225
    "\uE01D1",  # VARIATION SELECTOR-226
    "\uE01D2",  # VARIATION SELECTOR-227
    "\uE01D3",  # VARIATION SELECTOR-228
    "\uE01D4",  # VARIATION SELECTOR-229
    "\uE01D5",  # VARIATION SELECTOR-230
    "\uE01D6",  # VARIATION SELECTOR-231
    "\uE01D7",  # VARIATION SELECTOR-232
    "\uE01D8",  # VARIATION SELECTOR-233
    "\uE01D9",  # VARIATION SELECTOR-234
    "\uE01DA",  # VARIATION SELECTOR-235
    "\uE01DB",  # VARIATION SELECTOR-236
    "\uE01DC",  # VARIATION SELECTOR-237
    "\uE01DD",  # VARIATION SELECTOR-238
    "\uE01DE",  # VARIATION SELECTOR-239
    "\uE01DF",  # VARIATION SELECTOR-240
    "\uE01E0",  # VARIATION SELECTOR-241
    "\uE01E1",  # VARIATION SELECTOR-242
    "\uE01E2",  # VARIATION SELECTOR-243
    "\uE01E3",  # VARIATION SELECTOR-244
    "\uE01E4",  # VARIATION SELECTOR-245
    "\uE01E5",  # VARIATION SELECTOR-246
    "\uE01E6",  # VARIATION SELECTOR-247
    "\uE01E7",  # VARIATION SELECTOR-248
    "\uE01E8",  # VARIATION SELECTOR-249
    "\uE01E9",  # VARIATION SELECTOR-250
    "\uE01EA",  # VARIATION SELECTOR-251
    "\uE01EB",  # VARIATION SELECTOR-252
    "\uE01EC",  # VARIATION SELECTOR-253
    "\uE01ED",  # VARIATION SELECTOR-254
    "\uE01EE",  # VARIATION SELECTOR-255
    "\uE01EF",  # VARIATION SELECTOR-256
    "\uEFFFE",  # <not a character>
    "\uEFFFF",  # <not a character>
    "\uFFFFE",  # <not a character>
    "\uFFFFF",  # <not a character>
    "\u10FFFE",  # <not a character>
    "\u10FFFF",  # <not a character>
    ]
    test_data.each do |string|
      assert @validator.valid_encoding?(string), "U10_NamesList: #{string}"
      assert string.force_encoding("UTF-8").valid_encoding?, "U10_NamesList: #{string}" if @vercheck
    end
  end

end
