# encoding: utf-8
#
# This file is machine generated.  DO NOT EDIT!
#
if Kernel.respond_to?(:require_relative)
  require_relative("./helper")
else
  $:.unshift(File.dirname(__FILE__))
  require 'helper'
end
#
# == Purpose
#
# Tests for the #{UTF8::Validator} implementation.
#
# Test data pulled and generated from:
#
# https://www.unicode.org/Public/10.0.0/ucd/
#
class TestUnicode10NormalizationTest < Test::Unit::TestCase
  #
  def setup
    @validator = UTF8::Validator.new
    @vercheck = ((RUBY_VERSION =~ /1.9/) or (RUBY_VERSION =~ /2./)) ? true : false
  end

  #
  def teardown
    @validator = nil
  end

  def test_unicode10_NormalizationTest
    test_data = [
      "\u1E0A",  # (Ḋ; Ḋ; D◌̇; Ḋ; D◌̇; ) LATIN CAPITAL LETTER D WITH DOT ABOVE
      "\u1E0C",  # (Ḍ; Ḍ; D◌̣; Ḍ; D◌̣; ) LATIN CAPITAL LETTER D WITH DOT BELOW
      "\u1E0A 0323",  # (Ḋ◌̣; Ḍ◌̇; D◌̣◌̇; Ḍ◌̇; D◌̣◌̇; ) LATIN CAPITAL LETTER D WITH DOT ABOVE, COMBINING DOT BELOW
      "\u1E0C 0307",  # (Ḍ◌̇; Ḍ◌̇; D◌̣◌̇; Ḍ◌̇; D◌̣◌̇; ) LATIN CAPITAL LETTER D WITH DOT BELOW, COMBINING DOT ABOVE
      "\u0044 0307 0323",  # (D◌̇◌̣; Ḍ◌̇; D◌̣◌̇; Ḍ◌̇; D◌̣◌̇; ) LATIN CAPITAL LETTER D, COMBINING DOT ABOVE, COMBINING DOT BELOW
      "\u0044 0323 0307",  # (D◌̣◌̇; Ḍ◌̇; D◌̣◌̇; Ḍ◌̇; D◌̣◌̇; ) LATIN CAPITAL LETTER D, COMBINING DOT BELOW, COMBINING DOT ABOVE
      "\u1E0A 031B",  # (Ḋ◌̛; Ḋ◌̛; D◌̛◌̇; Ḋ◌̛; D◌̛◌̇; ) LATIN CAPITAL LETTER D WITH DOT ABOVE, COMBINING HORN
      "\u1E0C 031B",  # (Ḍ◌̛; Ḍ◌̛; D◌̛◌̣; Ḍ◌̛; D◌̛◌̣; ) LATIN CAPITAL LETTER D WITH DOT BELOW, COMBINING HORN
      "\u1E0A 031B 0323",  # (Ḋ◌̛◌̣; Ḍ◌̛◌̇; D◌̛◌̣◌̇; Ḍ◌̛◌̇; D◌̛◌̣◌̇; ) LATIN CAPITAL LETTER D WITH DOT ABOVE, COMBINING HORN, COMBINING DOT BELOW
      "\u1E0C 031B 0307",  # (Ḍ◌̛◌̇; Ḍ◌̛◌̇; D◌̛◌̣◌̇; Ḍ◌̛◌̇; D◌̛◌̣◌̇; ) LATIN CAPITAL LETTER D WITH DOT BELOW, COMBINING HORN, COMBINING DOT ABOVE
      "\u0044 031B 0307 0323",  # (D◌̛◌̇◌̣; Ḍ◌̛◌̇; D◌̛◌̣◌̇; Ḍ◌̛◌̇; D◌̛◌̣◌̇; ) LATIN CAPITAL LETTER D, COMBINING HORN, COMBINING DOT ABOVE, COMBINING DOT BELOW
      "\u0044 031B 0323 0307",  # (D◌̛◌̣◌̇; Ḍ◌̛◌̇; D◌̛◌̣◌̇; Ḍ◌̛◌̇; D◌̛◌̣◌̇; ) LATIN CAPITAL LETTER D, COMBINING HORN, COMBINING DOT BELOW, COMBINING DOT ABOVE
      "\u00C8",  # (È; È; E◌̀; È; E◌̀; ) LATIN CAPITAL LETTER E WITH GRAVE
      "\u0112",  # (Ē; Ē; E◌̄; Ē; E◌̄; ) LATIN CAPITAL LETTER E WITH MACRON
      "\u0045 0300",  # (E◌̀; È; E◌̀; È; E◌̀; ) LATIN CAPITAL LETTER E, COMBINING GRAVE ACCENT
      "\u0045 0304",  # (E◌̄; Ē; E◌̄; Ē; E◌̄; ) LATIN CAPITAL LETTER E, COMBINING MACRON
      "\u1E14",  # (Ḕ; Ḕ; E◌̄◌̀; Ḕ; E◌̄◌̀; ) LATIN CAPITAL LETTER E WITH MACRON AND GRAVE
      "\u0112 0300",  # (Ē◌̀; Ḕ; E◌̄◌̀; Ḕ; E◌̄◌̀; ) LATIN CAPITAL LETTER E WITH MACRON, COMBINING GRAVE ACCENT
      "\u1E14 0304",  # (Ḕ◌̄; Ḕ◌̄; E◌̄◌̀◌̄; Ḕ◌̄; E◌̄◌̀◌̄; ) LATIN CAPITAL LETTER E WITH MACRON AND GRAVE, COMBINING MACRON
      "\u0045 0304 0300",  # (E◌̄◌̀; Ḕ; E◌̄◌̀; Ḕ; E◌̄◌̀; ) LATIN CAPITAL LETTER E, COMBINING MACRON, COMBINING GRAVE ACCENT
      "\u0045 0300 0304",  # (E◌̀◌̄; È◌̄; E◌̀◌̄; È◌̄; E◌̀◌̄; ) LATIN CAPITAL LETTER E, COMBINING GRAVE ACCENT, COMBINING MACRON
      "\u05B8 05B9 05B1 0591 05C3 05B0 05AC 059F",  # (◌ָ◌ֹ◌ֱ◌֑׃◌ְ◌֬◌֟; ◌ֱ◌ָ◌ֹ◌֑׃◌ְ◌֬◌֟; ◌ֱ◌ָ◌ֹ◌֑׃◌ְ◌֬◌֟; ◌ֱ◌ָ◌ֹ◌֑׃◌ְ◌֬◌֟; ◌ֱ◌ָ◌ֹ◌֑׃◌ְ◌֬◌֟; ) HEBREW POINT QAMATS, HEBREW POINT HOLAM, HEBREW POINT HATAF SEGOL, HEBREW ACCENT ETNAHTA, HEBREW PUNCTUATION SOF PASUQ, HEBREW POINT SHEVA, HEBREW ACCENT ILUY, HEBREW ACCENT QARNEY PARA
      "\u0592 05B7 05BC 05A5 05B0 05C0 05C4 05AD",  # (◌֒◌ַ◌ּ◌֥◌ְ׀◌ׄ◌֭; ◌ְ◌ַ◌ּ◌֥◌֒׀◌֭◌ׄ; ◌ְ◌ַ◌ּ◌֥◌֒׀◌֭◌ׄ; ◌ְ◌ַ◌ּ◌֥◌֒׀◌֭◌ׄ; ◌ְ◌ַ◌ּ◌֥◌֒׀◌֭◌ׄ; ) HEBREW ACCENT SEGOL, HEBREW POINT PATAH, HEBREW POINT DAGESH OR MAPIQ, HEBREW ACCENT MERKHA, HEBREW POINT SHEVA, HEBREW PUNCTUATION PASEQ, HEBREW MARK UPPER DOT, HEBREW ACCENT DEHI
      "\u1100 AC00 11A8",  # (ᄀ각; ᄀ각; ᄀ각; ᄀ각; ᄀ각; ) HANGUL CHOSEONG KIYEOK, HANGUL SYLLABLE GA, HANGUL JONGSEONG KIYEOK
      "\u1100 AC00 11A8 11A8",  # (ᄀ각ᆨ; ᄀ각ᆨ; ᄀ각ᆨ; ᄀ각ᆨ; ᄀ각ᆨ; ) HANGUL CHOSEONG KIYEOK, HANGUL SYLLABLE GA, HANGUL JONGSEONG KIYEOK, HANGUL JONGSEONG KIYEOK
      "\u00A0",  # ( ;  ;  ;  ;  ; ) NO-BREAK SPACE
      "\u00A8",  # (¨; ¨; ¨;  ◌̈;  ◌̈; ) DIAERESIS
      "\u00AA",  # (ª; ª; ª; a; a; ) FEMININE ORDINAL INDICATOR
      "\u00AF",  # (¯; ¯; ¯;  ◌̄;  ◌̄; ) MACRON
      "\u00B2",  # (²; ²; ²; 2; 2; ) SUPERSCRIPT TWO
      "\u00B3",  # (³; ³; ³; 3; 3; ) SUPERSCRIPT THREE
      "\u00B4",  # (´; ´; ´;  ◌́;  ◌́; ) ACUTE ACCENT
      "\u00B5",  # (µ; µ; µ; μ; μ; ) MICRO SIGN
      "\u00B8",  # (¸; ¸; ¸;  ◌̧;  ◌̧; ) CEDILLA
      "\u00B9",  # (¹; ¹; ¹; 1; 1; ) SUPERSCRIPT ONE
      "\u00BA",  # (º; º; º; o; o; ) MASCULINE ORDINAL INDICATOR
      "\u00BC",  # (¼; ¼; ¼; 1⁄4; 1⁄4; ) VULGAR FRACTION ONE QUARTER
      "\u00BD",  # (½; ½; ½; 1⁄2; 1⁄2; ) VULGAR FRACTION ONE HALF
      "\u00BE",  # (¾; ¾; ¾; 3⁄4; 3⁄4; ) VULGAR FRACTION THREE QUARTERS
      "\u00C0",  # (À; À; A◌̀; À; A◌̀; ) LATIN CAPITAL LETTER A WITH GRAVE
      "\u00C1",  # (Á; Á; A◌́; Á; A◌́; ) LATIN CAPITAL LETTER A WITH ACUTE
      "\u00C2",  # (Â; Â; A◌̂; Â; A◌̂; ) LATIN CAPITAL LETTER A WITH CIRCUMFLEX
      "\u00C3",  # (Ã; Ã; A◌̃; Ã; A◌̃; ) LATIN CAPITAL LETTER A WITH TILDE
      "\u00C4",  # (Ä; Ä; A◌̈; Ä; A◌̈; ) LATIN CAPITAL LETTER A WITH DIAERESIS
      "\u00C5",  # (Å; Å; A◌̊; Å; A◌̊; ) LATIN CAPITAL LETTER A WITH RING ABOVE
      "\u00C7",  # (Ç; Ç; C◌̧; Ç; C◌̧; ) LATIN CAPITAL LETTER C WITH CEDILLA
      "\u00C8",  # (È; È; E◌̀; È; E◌̀; ) LATIN CAPITAL LETTER E WITH GRAVE
      "\u00C9",  # (É; É; E◌́; É; E◌́; ) LATIN CAPITAL LETTER E WITH ACUTE
      "\u00CA",  # (Ê; Ê; E◌̂; Ê; E◌̂; ) LATIN CAPITAL LETTER E WITH CIRCUMFLEX
      "\u00CB",  # (Ë; Ë; E◌̈; Ë; E◌̈; ) LATIN CAPITAL LETTER E WITH DIAERESIS
      "\u00CC",  # (Ì; Ì; I◌̀; Ì; I◌̀; ) LATIN CAPITAL LETTER I WITH GRAVE
      "\u00CD",  # (Í; Í; I◌́; Í; I◌́; ) LATIN CAPITAL LETTER I WITH ACUTE
      "\u00CE",  # (Î; Î; I◌̂; Î; I◌̂; ) LATIN CAPITAL LETTER I WITH CIRCUMFLEX
      "\u00CF",  # (Ï; Ï; I◌̈; Ï; I◌̈; ) LATIN CAPITAL LETTER I WITH DIAERESIS
      "\u00D1",  # (Ñ; Ñ; N◌̃; Ñ; N◌̃; ) LATIN CAPITAL LETTER N WITH TILDE
      "\u00D2",  # (Ò; Ò; O◌̀; Ò; O◌̀; ) LATIN CAPITAL LETTER O WITH GRAVE
      "\u00D3",  # (Ó; Ó; O◌́; Ó; O◌́; ) LATIN CAPITAL LETTER O WITH ACUTE
      "\u00D4",  # (Ô; Ô; O◌̂; Ô; O◌̂; ) LATIN CAPITAL LETTER O WITH CIRCUMFLEX
      "\u00D5",  # (Õ; Õ; O◌̃; Õ; O◌̃; ) LATIN CAPITAL LETTER O WITH TILDE
      "\u00D6",  # (Ö; Ö; O◌̈; Ö; O◌̈; ) LATIN CAPITAL LETTER O WITH DIAERESIS
      "\u00D9",  # (Ù; Ù; U◌̀; Ù; U◌̀; ) LATIN CAPITAL LETTER U WITH GRAVE
      "\u00DA",  # (Ú; Ú; U◌́; Ú; U◌́; ) LATIN CAPITAL LETTER U WITH ACUTE
      "\u00DB",  # (Û; Û; U◌̂; Û; U◌̂; ) LATIN CAPITAL LETTER U WITH CIRCUMFLEX
      "\u00DC",  # (Ü; Ü; U◌̈; Ü; U◌̈; ) LATIN CAPITAL LETTER U WITH DIAERESIS
      "\u00DD",  # (Ý; Ý; Y◌́; Ý; Y◌́; ) LATIN CAPITAL LETTER Y WITH ACUTE
      "\u00E0",  # (à; à; a◌̀; à; a◌̀; ) LATIN SMALL LETTER A WITH GRAVE
      "\u00E1",  # (á; á; a◌́; á; a◌́; ) LATIN SMALL LETTER A WITH ACUTE
      "\u00E2",  # (â; â; a◌̂; â; a◌̂; ) LATIN SMALL LETTER A WITH CIRCUMFLEX
      "\u00E3",  # (ã; ã; a◌̃; ã; a◌̃; ) LATIN SMALL LETTER A WITH TILDE
      "\u00E4",  # (ä; ä; a◌̈; ä; a◌̈; ) LATIN SMALL LETTER A WITH DIAERESIS
      "\u00E5",  # (å; å; a◌̊; å; a◌̊; ) LATIN SMALL LETTER A WITH RING ABOVE
      "\u00E7",  # (ç; ç; c◌̧; ç; c◌̧; ) LATIN SMALL LETTER C WITH CEDILLA
      "\u00E8",  # (è; è; e◌̀; è; e◌̀; ) LATIN SMALL LETTER E WITH GRAVE
      "\u00E9",  # (é; é; e◌́; é; e◌́; ) LATIN SMALL LETTER E WITH ACUTE
      "\u00EA",  # (ê; ê; e◌̂; ê; e◌̂; ) LATIN SMALL LETTER E WITH CIRCUMFLEX
      "\u00EB",  # (ë; ë; e◌̈; ë; e◌̈; ) LATIN SMALL LETTER E WITH DIAERESIS
      "\u00EC",  # (ì; ì; i◌̀; ì; i◌̀; ) LATIN SMALL LETTER I WITH GRAVE
      "\u00ED",  # (í; í; i◌́; í; i◌́; ) LATIN SMALL LETTER I WITH ACUTE
      "\u00EE",  # (î; î; i◌̂; î; i◌̂; ) LATIN SMALL LETTER I WITH CIRCUMFLEX
      "\u00EF",  # (ï; ï; i◌̈; ï; i◌̈; ) LATIN SMALL LETTER I WITH DIAERESIS
      "\u00F1",  # (ñ; ñ; n◌̃; ñ; n◌̃; ) LATIN SMALL LETTER N WITH TILDE
      "\u00F2",  # (ò; ò; o◌̀; ò; o◌̀; ) LATIN SMALL LETTER O WITH GRAVE
      "\u00F3",  # (ó; ó; o◌́; ó; o◌́; ) LATIN SMALL LETTER O WITH ACUTE
      "\u00F4",  # (ô; ô; o◌̂; ô; o◌̂; ) LATIN SMALL LETTER O WITH CIRCUMFLEX
      "\u00F5",  # (õ; õ; o◌̃; õ; o◌̃; ) LATIN SMALL LETTER O WITH TILDE
      "\u00F6",  # (ö; ö; o◌̈; ö; o◌̈; ) LATIN SMALL LETTER O WITH DIAERESIS
      "\u00F9",  # (ù; ù; u◌̀; ù; u◌̀; ) LATIN SMALL LETTER U WITH GRAVE
      "\u00FA",  # (ú; ú; u◌́; ú; u◌́; ) LATIN SMALL LETTER U WITH ACUTE
      "\u00FB",  # (û; û; u◌̂; û; u◌̂; ) LATIN SMALL LETTER U WITH CIRCUMFLEX
      "\u00FC",  # (ü; ü; u◌̈; ü; u◌̈; ) LATIN SMALL LETTER U WITH DIAERESIS
      "\u00FD",  # (ý; ý; y◌́; ý; y◌́; ) LATIN SMALL LETTER Y WITH ACUTE
      "\u00FF",  # (ÿ; ÿ; y◌̈; ÿ; y◌̈; ) LATIN SMALL LETTER Y WITH DIAERESIS
      "\u0100",  # (Ā; Ā; A◌̄; Ā; A◌̄; ) LATIN CAPITAL LETTER A WITH MACRON
      "\u0101",  # (ā; ā; a◌̄; ā; a◌̄; ) LATIN SMALL LETTER A WITH MACRON
      "\u0102",  # (Ă; Ă; A◌̆; Ă; A◌̆; ) LATIN CAPITAL LETTER A WITH BREVE
      "\u0103",  # (ă; ă; a◌̆; ă; a◌̆; ) LATIN SMALL LETTER A WITH BREVE
      "\u0104",  # (Ą; Ą; A◌̨; Ą; A◌̨; ) LATIN CAPITAL LETTER A WITH OGONEK
      "\u0105",  # (ą; ą; a◌̨; ą; a◌̨; ) LATIN SMALL LETTER A WITH OGONEK
      "\u0106",  # (Ć; Ć; C◌́; Ć; C◌́; ) LATIN CAPITAL LETTER C WITH ACUTE
      "\u0107",  # (ć; ć; c◌́; ć; c◌́; ) LATIN SMALL LETTER C WITH ACUTE
      "\u0108",  # (Ĉ; Ĉ; C◌̂; Ĉ; C◌̂; ) LATIN CAPITAL LETTER C WITH CIRCUMFLEX
      "\u0109",  # (ĉ; ĉ; c◌̂; ĉ; c◌̂; ) LATIN SMALL LETTER C WITH CIRCUMFLEX
      "\u010A",  # (Ċ; Ċ; C◌̇; Ċ; C◌̇; ) LATIN CAPITAL LETTER C WITH DOT ABOVE
      "\u010B",  # (ċ; ċ; c◌̇; ċ; c◌̇; ) LATIN SMALL LETTER C WITH DOT ABOVE
      "\u010C",  # (Č; Č; C◌̌; Č; C◌̌; ) LATIN CAPITAL LETTER C WITH CARON
      "\u010D",  # (č; č; c◌̌; č; c◌̌; ) LATIN SMALL LETTER C WITH CARON
      "\u010E",  # (Ď; Ď; D◌̌; Ď; D◌̌; ) LATIN CAPITAL LETTER D WITH CARON
      "\u010F",  # (ď; ď; d◌̌; ď; d◌̌; ) LATIN SMALL LETTER D WITH CARON
      "\u0112",  # (Ē; Ē; E◌̄; Ē; E◌̄; ) LATIN CAPITAL LETTER E WITH MACRON
      "\u0113",  # (ē; ē; e◌̄; ē; e◌̄; ) LATIN SMALL LETTER E WITH MACRON
      "\u0114",  # (Ĕ; Ĕ; E◌̆; Ĕ; E◌̆; ) LATIN CAPITAL LETTER E WITH BREVE
      "\u0115",  # (ĕ; ĕ; e◌̆; ĕ; e◌̆; ) LATIN SMALL LETTER E WITH BREVE
      "\u0116",  # (Ė; Ė; E◌̇; Ė; E◌̇; ) LATIN CAPITAL LETTER E WITH DOT ABOVE
      "\u0117",  # (ė; ė; e◌̇; ė; e◌̇; ) LATIN SMALL LETTER E WITH DOT ABOVE
      "\u0118",  # (Ę; Ę; E◌̨; Ę; E◌̨; ) LATIN CAPITAL LETTER E WITH OGONEK
      "\u0119",  # (ę; ę; e◌̨; ę; e◌̨; ) LATIN SMALL LETTER E WITH OGONEK
      "\u011A",  # (Ě; Ě; E◌̌; Ě; E◌̌; ) LATIN CAPITAL LETTER E WITH CARON
      "\u011B",  # (ě; ě; e◌̌; ě; e◌̌; ) LATIN SMALL LETTER E WITH CARON
      "\u011C",  # (Ĝ; Ĝ; G◌̂; Ĝ; G◌̂; ) LATIN CAPITAL LETTER G WITH CIRCUMFLEX
      "\u011D",  # (ĝ; ĝ; g◌̂; ĝ; g◌̂; ) LATIN SMALL LETTER G WITH CIRCUMFLEX
      "\u011E",  # (Ğ; Ğ; G◌̆; Ğ; G◌̆; ) LATIN CAPITAL LETTER G WITH BREVE
      "\u011F",  # (ğ; ğ; g◌̆; ğ; g◌̆; ) LATIN SMALL LETTER G WITH BREVE
      "\u0120",  # (Ġ; Ġ; G◌̇; Ġ; G◌̇; ) LATIN CAPITAL LETTER G WITH DOT ABOVE
      "\u0121",  # (ġ; ġ; g◌̇; ġ; g◌̇; ) LATIN SMALL LETTER G WITH DOT ABOVE
      "\u0122",  # (Ģ; Ģ; G◌̧; Ģ; G◌̧; ) LATIN CAPITAL LETTER G WITH CEDILLA
      "\u0123",  # (ģ; ģ; g◌̧; ģ; g◌̧; ) LATIN SMALL LETTER G WITH CEDILLA
      "\u0124",  # (Ĥ; Ĥ; H◌̂; Ĥ; H◌̂; ) LATIN CAPITAL LETTER H WITH CIRCUMFLEX
      "\u0125",  # (ĥ; ĥ; h◌̂; ĥ; h◌̂; ) LATIN SMALL LETTER H WITH CIRCUMFLEX
      "\u0128",  # (Ĩ; Ĩ; I◌̃; Ĩ; I◌̃; ) LATIN CAPITAL LETTER I WITH TILDE
      "\u0129",  # (ĩ; ĩ; i◌̃; ĩ; i◌̃; ) LATIN SMALL LETTER I WITH TILDE
      "\u012A",  # (Ī; Ī; I◌̄; Ī; I◌̄; ) LATIN CAPITAL LETTER I WITH MACRON
      "\u012B",  # (ī; ī; i◌̄; ī; i◌̄; ) LATIN SMALL LETTER I WITH MACRON
      "\u012C",  # (Ĭ; Ĭ; I◌̆; Ĭ; I◌̆; ) LATIN CAPITAL LETTER I WITH BREVE
      "\u012D",  # (ĭ; ĭ; i◌̆; ĭ; i◌̆; ) LATIN SMALL LETTER I WITH BREVE
      "\u012E",  # (Į; Į; I◌̨; Į; I◌̨; ) LATIN CAPITAL LETTER I WITH OGONEK
      "\u012F",  # (į; į; i◌̨; į; i◌̨; ) LATIN SMALL LETTER I WITH OGONEK
      "\u0130",  # (İ; İ; I◌̇; İ; I◌̇; ) LATIN CAPITAL LETTER I WITH DOT ABOVE
      "\u0132",  # (Ĳ; Ĳ; Ĳ; IJ; IJ; ) LATIN CAPITAL LIGATURE IJ
      "\u0133",  # (ĳ; ĳ; ĳ; ij; ij; ) LATIN SMALL LIGATURE IJ
      "\u0134",  # (Ĵ; Ĵ; J◌̂; Ĵ; J◌̂; ) LATIN CAPITAL LETTER J WITH CIRCUMFLEX
      "\u0135",  # (ĵ; ĵ; j◌̂; ĵ; j◌̂; ) LATIN SMALL LETTER J WITH CIRCUMFLEX
      "\u0136",  # (Ķ; Ķ; K◌̧; Ķ; K◌̧; ) LATIN CAPITAL LETTER K WITH CEDILLA
      "\u0137",  # (ķ; ķ; k◌̧; ķ; k◌̧; ) LATIN SMALL LETTER K WITH CEDILLA
      "\u0139",  # (Ĺ; Ĺ; L◌́; Ĺ; L◌́; ) LATIN CAPITAL LETTER L WITH ACUTE
      "\u013A",  # (ĺ; ĺ; l◌́; ĺ; l◌́; ) LATIN SMALL LETTER L WITH ACUTE
      "\u013B",  # (Ļ; Ļ; L◌̧; Ļ; L◌̧; ) LATIN CAPITAL LETTER L WITH CEDILLA
      "\u013C",  # (ļ; ļ; l◌̧; ļ; l◌̧; ) LATIN SMALL LETTER L WITH CEDILLA
      "\u013D",  # (Ľ; Ľ; L◌̌; Ľ; L◌̌; ) LATIN CAPITAL LETTER L WITH CARON
      "\u013E",  # (ľ; ľ; l◌̌; ľ; l◌̌; ) LATIN SMALL LETTER L WITH CARON
      "\u013F",  # (Ŀ; Ŀ; Ŀ; L·; L·; ) LATIN CAPITAL LETTER L WITH MIDDLE DOT
      "\u0140",  # (ŀ; ŀ; ŀ; l·; l·; ) LATIN SMALL LETTER L WITH MIDDLE DOT
      "\u0143",  # (Ń; Ń; N◌́; Ń; N◌́; ) LATIN CAPITAL LETTER N WITH ACUTE
      "\u0144",  # (ń; ń; n◌́; ń; n◌́; ) LATIN SMALL LETTER N WITH ACUTE
      "\u0145",  # (Ņ; Ņ; N◌̧; Ņ; N◌̧; ) LATIN CAPITAL LETTER N WITH CEDILLA
      "\u0146",  # (ņ; ņ; n◌̧; ņ; n◌̧; ) LATIN SMALL LETTER N WITH CEDILLA
      "\u0147",  # (Ň; Ň; N◌̌; Ň; N◌̌; ) LATIN CAPITAL LETTER N WITH CARON
      "\u0148",  # (ň; ň; n◌̌; ň; n◌̌; ) LATIN SMALL LETTER N WITH CARON
      "\u0149",  # (ŉ; ŉ; ŉ; ʼn; ʼn; ) LATIN SMALL LETTER N PRECEDED BY APOSTROPHE
      "\u014C",  # (Ō; Ō; O◌̄; Ō; O◌̄; ) LATIN CAPITAL LETTER O WITH MACRON
      "\u014D",  # (ō; ō; o◌̄; ō; o◌̄; ) LATIN SMALL LETTER O WITH MACRON
      "\u014E",  # (Ŏ; Ŏ; O◌̆; Ŏ; O◌̆; ) LATIN CAPITAL LETTER O WITH BREVE
      "\u014F",  # (ŏ; ŏ; o◌̆; ŏ; o◌̆; ) LATIN SMALL LETTER O WITH BREVE
      "\u0150",  # (Ő; Ő; O◌̋; Ő; O◌̋; ) LATIN CAPITAL LETTER O WITH DOUBLE ACUTE
      "\u0151",  # (ő; ő; o◌̋; ő; o◌̋; ) LATIN SMALL LETTER O WITH DOUBLE ACUTE
      "\u0154",  # (Ŕ; Ŕ; R◌́; Ŕ; R◌́; ) LATIN CAPITAL LETTER R WITH ACUTE
      "\u0155",  # (ŕ; ŕ; r◌́; ŕ; r◌́; ) LATIN SMALL LETTER R WITH ACUTE
      "\u0156",  # (Ŗ; Ŗ; R◌̧; Ŗ; R◌̧; ) LATIN CAPITAL LETTER R WITH CEDILLA
      "\u0157",  # (ŗ; ŗ; r◌̧; ŗ; r◌̧; ) LATIN SMALL LETTER R WITH CEDILLA
      "\u0158",  # (Ř; Ř; R◌̌; Ř; R◌̌; ) LATIN CAPITAL LETTER R WITH CARON
      "\u0159",  # (ř; ř; r◌̌; ř; r◌̌; ) LATIN SMALL LETTER R WITH CARON
      "\u015A",  # (Ś; Ś; S◌́; Ś; S◌́; ) LATIN CAPITAL LETTER S WITH ACUTE
      "\u015B",  # (ś; ś; s◌́; ś; s◌́; ) LATIN SMALL LETTER S WITH ACUTE
      "\u015C",  # (Ŝ; Ŝ; S◌̂; Ŝ; S◌̂; ) LATIN CAPITAL LETTER S WITH CIRCUMFLEX
      "\u015D",  # (ŝ; ŝ; s◌̂; ŝ; s◌̂; ) LATIN SMALL LETTER S WITH CIRCUMFLEX
      "\u015E",  # (Ş; Ş; S◌̧; Ş; S◌̧; ) LATIN CAPITAL LETTER S WITH CEDILLA
      "\u015F",  # (ş; ş; s◌̧; ş; s◌̧; ) LATIN SMALL LETTER S WITH CEDILLA
      "\u0160",  # (Š; Š; S◌̌; Š; S◌̌; ) LATIN CAPITAL LETTER S WITH CARON
      "\u0161",  # (š; š; s◌̌; š; s◌̌; ) LATIN SMALL LETTER S WITH CARON
      "\u0162",  # (Ţ; Ţ; T◌̧; Ţ; T◌̧; ) LATIN CAPITAL LETTER T WITH CEDILLA
      "\u0163",  # (ţ; ţ; t◌̧; ţ; t◌̧; ) LATIN SMALL LETTER T WITH CEDILLA
      "\u0164",  # (Ť; Ť; T◌̌; Ť; T◌̌; ) LATIN CAPITAL LETTER T WITH CARON
      "\u0165",  # (ť; ť; t◌̌; ť; t◌̌; ) LATIN SMALL LETTER T WITH CARON
      "\u0168",  # (Ũ; Ũ; U◌̃; Ũ; U◌̃; ) LATIN CAPITAL LETTER U WITH TILDE
      "\u0169",  # (ũ; ũ; u◌̃; ũ; u◌̃; ) LATIN SMALL LETTER U WITH TILDE
      "\u016A",  # (Ū; Ū; U◌̄; Ū; U◌̄; ) LATIN CAPITAL LETTER U WITH MACRON
      "\u016B",  # (ū; ū; u◌̄; ū; u◌̄; ) LATIN SMALL LETTER U WITH MACRON
      "\u016C",  # (Ŭ; Ŭ; U◌̆; Ŭ; U◌̆; ) LATIN CAPITAL LETTER U WITH BREVE
      "\u016D",  # (ŭ; ŭ; u◌̆; ŭ; u◌̆; ) LATIN SMALL LETTER U WITH BREVE
      "\u016E",  # (Ů; Ů; U◌̊; Ů; U◌̊; ) LATIN CAPITAL LETTER U WITH RING ABOVE
      "\u016F",  # (ů; ů; u◌̊; ů; u◌̊; ) LATIN SMALL LETTER U WITH RING ABOVE
      "\u0170",  # (Ű; Ű; U◌̋; Ű; U◌̋; ) LATIN CAPITAL LETTER U WITH DOUBLE ACUTE
      "\u0171",  # (ű; ű; u◌̋; ű; u◌̋; ) LATIN SMALL LETTER U WITH DOUBLE ACUTE
      "\u0172",  # (Ų; Ų; U◌̨; Ų; U◌̨; ) LATIN CAPITAL LETTER U WITH OGONEK
      "\u0173",  # (ų; ų; u◌̨; ų; u◌̨; ) LATIN SMALL LETTER U WITH OGONEK
      "\u0174",  # (Ŵ; Ŵ; W◌̂; Ŵ; W◌̂; ) LATIN CAPITAL LETTER W WITH CIRCUMFLEX
      "\u0175",  # (ŵ; ŵ; w◌̂; ŵ; w◌̂; ) LATIN SMALL LETTER W WITH CIRCUMFLEX
      "\u0176",  # (Ŷ; Ŷ; Y◌̂; Ŷ; Y◌̂; ) LATIN CAPITAL LETTER Y WITH CIRCUMFLEX
      "\u0177",  # (ŷ; ŷ; y◌̂; ŷ; y◌̂; ) LATIN SMALL LETTER Y WITH CIRCUMFLEX
      "\u0178",  # (Ÿ; Ÿ; Y◌̈; Ÿ; Y◌̈; ) LATIN CAPITAL LETTER Y WITH DIAERESIS
      "\u0179",  # (Ź; Ź; Z◌́; Ź; Z◌́; ) LATIN CAPITAL LETTER Z WITH ACUTE
      "\u017A",  # (ź; ź; z◌́; ź; z◌́; ) LATIN SMALL LETTER Z WITH ACUTE
      "\u017B",  # (Ż; Ż; Z◌̇; Ż; Z◌̇; ) LATIN CAPITAL LETTER Z WITH DOT ABOVE
      "\u017C",  # (ż; ż; z◌̇; ż; z◌̇; ) LATIN SMALL LETTER Z WITH DOT ABOVE
      "\u017D",  # (Ž; Ž; Z◌̌; Ž; Z◌̌; ) LATIN CAPITAL LETTER Z WITH CARON
      "\u017E",  # (ž; ž; z◌̌; ž; z◌̌; ) LATIN SMALL LETTER Z WITH CARON
      "\u017F",  # (ſ; ſ; ſ; s; s; ) LATIN SMALL LETTER LONG S
      "\u01A0",  # (Ơ; Ơ; O◌̛; Ơ; O◌̛; ) LATIN CAPITAL LETTER O WITH HORN
      "\u01A1",  # (ơ; ơ; o◌̛; ơ; o◌̛; ) LATIN SMALL LETTER O WITH HORN
      "\u01AF",  # (Ư; Ư; U◌̛; Ư; U◌̛; ) LATIN CAPITAL LETTER U WITH HORN
      "\u01B0",  # (ư; ư; u◌̛; ư; u◌̛; ) LATIN SMALL LETTER U WITH HORN
      "\u01C4",  # (Ǆ; Ǆ; Ǆ; DŽ; DZ◌̌; ) LATIN CAPITAL LETTER DZ WITH CARON
      "\u01C5",  # (ǅ; ǅ; ǅ; Dž; Dz◌̌; ) LATIN CAPITAL LETTER D WITH SMALL LETTER Z WITH CARON
      "\u01C6",  # (ǆ; ǆ; ǆ; dž; dz◌̌; ) LATIN SMALL LETTER DZ WITH CARON
      "\u01C7",  # (Ǉ; Ǉ; Ǉ; LJ; LJ; ) LATIN CAPITAL LETTER LJ
      "\u01C8",  # (ǈ; ǈ; ǈ; Lj; Lj; ) LATIN CAPITAL LETTER L WITH SMALL LETTER J
      "\u01C9",  # (ǉ; ǉ; ǉ; lj; lj; ) LATIN SMALL LETTER LJ
      "\u01CA",  # (Ǌ; Ǌ; Ǌ; NJ; NJ; ) LATIN CAPITAL LETTER NJ
      "\u01CB",  # (ǋ; ǋ; ǋ; Nj; Nj; ) LATIN CAPITAL LETTER N WITH SMALL LETTER J
      "\u01CC",  # (ǌ; ǌ; ǌ; nj; nj; ) LATIN SMALL LETTER NJ
      "\u01CD",  # (Ǎ; Ǎ; A◌̌; Ǎ; A◌̌; ) LATIN CAPITAL LETTER A WITH CARON
      "\u01CE",  # (ǎ; ǎ; a◌̌; ǎ; a◌̌; ) LATIN SMALL LETTER A WITH CARON
      "\u01CF",  # (Ǐ; Ǐ; I◌̌; Ǐ; I◌̌; ) LATIN CAPITAL LETTER I WITH CARON
      "\u01D0",  # (ǐ; ǐ; i◌̌; ǐ; i◌̌; ) LATIN SMALL LETTER I WITH CARON
      "\u01D1",  # (Ǒ; Ǒ; O◌̌; Ǒ; O◌̌; ) LATIN CAPITAL LETTER O WITH CARON
      "\u01D2",  # (ǒ; ǒ; o◌̌; ǒ; o◌̌; ) LATIN SMALL LETTER O WITH CARON
      "\u01D3",  # (Ǔ; Ǔ; U◌̌; Ǔ; U◌̌; ) LATIN CAPITAL LETTER U WITH CARON
      "\u01D4",  # (ǔ; ǔ; u◌̌; ǔ; u◌̌; ) LATIN SMALL LETTER U WITH CARON
      "\u01D5",  # (Ǖ; Ǖ; U◌̈◌̄; Ǖ; U◌̈◌̄; ) LATIN CAPITAL LETTER U WITH DIAERESIS AND MACRON
      "\u01D6",  # (ǖ; ǖ; u◌̈◌̄; ǖ; u◌̈◌̄; ) LATIN SMALL LETTER U WITH DIAERESIS AND MACRON
      "\u01D7",  # (Ǘ; Ǘ; U◌̈◌́; Ǘ; U◌̈◌́; ) LATIN CAPITAL LETTER U WITH DIAERESIS AND ACUTE
      "\u01D8",  # (ǘ; ǘ; u◌̈◌́; ǘ; u◌̈◌́; ) LATIN SMALL LETTER U WITH DIAERESIS AND ACUTE
      "\u01D9",  # (Ǚ; Ǚ; U◌̈◌̌; Ǚ; U◌̈◌̌; ) LATIN CAPITAL LETTER U WITH DIAERESIS AND CARON
      "\u01DA",  # (ǚ; ǚ; u◌̈◌̌; ǚ; u◌̈◌̌; ) LATIN SMALL LETTER U WITH DIAERESIS AND CARON
      "\u01DB",  # (Ǜ; Ǜ; U◌̈◌̀; Ǜ; U◌̈◌̀; ) LATIN CAPITAL LETTER U WITH DIAERESIS AND GRAVE
      "\u01DC",  # (ǜ; ǜ; u◌̈◌̀; ǜ; u◌̈◌̀; ) LATIN SMALL LETTER U WITH DIAERESIS AND GRAVE
      "\u01DE",  # (Ǟ; Ǟ; A◌̈◌̄; Ǟ; A◌̈◌̄; ) LATIN CAPITAL LETTER A WITH DIAERESIS AND MACRON
      "\u01DF",  # (ǟ; ǟ; a◌̈◌̄; ǟ; a◌̈◌̄; ) LATIN SMALL LETTER A WITH DIAERESIS AND MACRON
      "\u01E0",  # (Ǡ; Ǡ; A◌̇◌̄; Ǡ; A◌̇◌̄; ) LATIN CAPITAL LETTER A WITH DOT ABOVE AND MACRON
      "\u01E1",  # (ǡ; ǡ; a◌̇◌̄; ǡ; a◌̇◌̄; ) LATIN SMALL LETTER A WITH DOT ABOVE AND MACRON
      "\u01E2",  # (Ǣ; Ǣ; Æ◌̄; Ǣ; Æ◌̄; ) LATIN CAPITAL LETTER AE WITH MACRON
      "\u01E3",  # (ǣ; ǣ; æ◌̄; ǣ; æ◌̄; ) LATIN SMALL LETTER AE WITH MACRON
      "\u01E6",  # (Ǧ; Ǧ; G◌̌; Ǧ; G◌̌; ) LATIN CAPITAL LETTER G WITH CARON
      "\u01E7",  # (ǧ; ǧ; g◌̌; ǧ; g◌̌; ) LATIN SMALL LETTER G WITH CARON
      "\u01E8",  # (Ǩ; Ǩ; K◌̌; Ǩ; K◌̌; ) LATIN CAPITAL LETTER K WITH CARON
      "\u01E9",  # (ǩ; ǩ; k◌̌; ǩ; k◌̌; ) LATIN SMALL LETTER K WITH CARON
      "\u01EA",  # (Ǫ; Ǫ; O◌̨; Ǫ; O◌̨; ) LATIN CAPITAL LETTER O WITH OGONEK
      "\u01EB",  # (ǫ; ǫ; o◌̨; ǫ; o◌̨; ) LATIN SMALL LETTER O WITH OGONEK
      "\u01EC",  # (Ǭ; Ǭ; O◌̨◌̄; Ǭ; O◌̨◌̄; ) LATIN CAPITAL LETTER O WITH OGONEK AND MACRON
      "\u01ED",  # (ǭ; ǭ; o◌̨◌̄; ǭ; o◌̨◌̄; ) LATIN SMALL LETTER O WITH OGONEK AND MACRON
      "\u01EE",  # (Ǯ; Ǯ; Ʒ◌̌; Ǯ; Ʒ◌̌; ) LATIN CAPITAL LETTER EZH WITH CARON
      "\u01EF",  # (ǯ; ǯ; ʒ◌̌; ǯ; ʒ◌̌; ) LATIN SMALL LETTER EZH WITH CARON
      "\u01F0",  # (ǰ; ǰ; j◌̌; ǰ; j◌̌; ) LATIN SMALL LETTER J WITH CARON
      "\u01F1",  # (Ǳ; Ǳ; Ǳ; DZ; DZ; ) LATIN CAPITAL LETTER DZ
      "\u01F2",  # (ǲ; ǲ; ǲ; Dz; Dz; ) LATIN CAPITAL LETTER D WITH SMALL LETTER Z
      "\u01F3",  # (ǳ; ǳ; ǳ; dz; dz; ) LATIN SMALL LETTER DZ
      "\u01F4",  # (Ǵ; Ǵ; G◌́; Ǵ; G◌́; ) LATIN CAPITAL LETTER G WITH ACUTE
      "\u01F5",  # (ǵ; ǵ; g◌́; ǵ; g◌́; ) LATIN SMALL LETTER G WITH ACUTE
      "\u01F8",  # (Ǹ; Ǹ; N◌̀; Ǹ; N◌̀; ) LATIN CAPITAL LETTER N WITH GRAVE
      "\u01F9",  # (ǹ; ǹ; n◌̀; ǹ; n◌̀; ) LATIN SMALL LETTER N WITH GRAVE
      "\u01FA",  # (Ǻ; Ǻ; A◌̊◌́; Ǻ; A◌̊◌́; ) LATIN CAPITAL LETTER A WITH RING ABOVE AND ACUTE
      "\u01FB",  # (ǻ; ǻ; a◌̊◌́; ǻ; a◌̊◌́; ) LATIN SMALL LETTER A WITH RING ABOVE AND ACUTE
      "\u01FC",  # (Ǽ; Ǽ; Æ◌́; Ǽ; Æ◌́; ) LATIN CAPITAL LETTER AE WITH ACUTE
      "\u01FD",  # (ǽ; ǽ; æ◌́; ǽ; æ◌́; ) LATIN SMALL LETTER AE WITH ACUTE
      "\u01FE",  # (Ǿ; Ǿ; Ø◌́; Ǿ; Ø◌́; ) LATIN CAPITAL LETTER O WITH STROKE AND ACUTE
      "\u01FF",  # (ǿ; ǿ; ø◌́; ǿ; ø◌́; ) LATIN SMALL LETTER O WITH STROKE AND ACUTE
      "\u0200",  # (Ȁ; Ȁ; A◌̏; Ȁ; A◌̏; ) LATIN CAPITAL LETTER A WITH DOUBLE GRAVE
      "\u0201",  # (ȁ; ȁ; a◌̏; ȁ; a◌̏; ) LATIN SMALL LETTER A WITH DOUBLE GRAVE
      "\u0202",  # (Ȃ; Ȃ; A◌̑; Ȃ; A◌̑; ) LATIN CAPITAL LETTER A WITH INVERTED BREVE
      "\u0203",  # (ȃ; ȃ; a◌̑; ȃ; a◌̑; ) LATIN SMALL LETTER A WITH INVERTED BREVE
      "\u0204",  # (Ȅ; Ȅ; E◌̏; Ȅ; E◌̏; ) LATIN CAPITAL LETTER E WITH DOUBLE GRAVE
      "\u0205",  # (ȅ; ȅ; e◌̏; ȅ; e◌̏; ) LATIN SMALL LETTER E WITH DOUBLE GRAVE
      "\u0206",  # (Ȇ; Ȇ; E◌̑; Ȇ; E◌̑; ) LATIN CAPITAL LETTER E WITH INVERTED BREVE
      "\u0207",  # (ȇ; ȇ; e◌̑; ȇ; e◌̑; ) LATIN SMALL LETTER E WITH INVERTED BREVE
      "\u0208",  # (Ȉ; Ȉ; I◌̏; Ȉ; I◌̏; ) LATIN CAPITAL LETTER I WITH DOUBLE GRAVE
      "\u0209",  # (ȉ; ȉ; i◌̏; ȉ; i◌̏; ) LATIN SMALL LETTER I WITH DOUBLE GRAVE
      "\u020A",  # (Ȋ; Ȋ; I◌̑; Ȋ; I◌̑; ) LATIN CAPITAL LETTER I WITH INVERTED BREVE
      "\u020B",  # (ȋ; ȋ; i◌̑; ȋ; i◌̑; ) LATIN SMALL LETTER I WITH INVERTED BREVE
      "\u020C",  # (Ȍ; Ȍ; O◌̏; Ȍ; O◌̏; ) LATIN CAPITAL LETTER O WITH DOUBLE GRAVE
      "\u020D",  # (ȍ; ȍ; o◌̏; ȍ; o◌̏; ) LATIN SMALL LETTER O WITH DOUBLE GRAVE
      "\u020E",  # (Ȏ; Ȏ; O◌̑; Ȏ; O◌̑; ) LATIN CAPITAL LETTER O WITH INVERTED BREVE
      "\u020F",  # (ȏ; ȏ; o◌̑; ȏ; o◌̑; ) LATIN SMALL LETTER O WITH INVERTED BREVE
      "\u0210",  # (Ȑ; Ȑ; R◌̏; Ȑ; R◌̏; ) LATIN CAPITAL LETTER R WITH DOUBLE GRAVE
      "\u0211",  # (ȑ; ȑ; r◌̏; ȑ; r◌̏; ) LATIN SMALL LETTER R WITH DOUBLE GRAVE
      "\u0212",  # (Ȓ; Ȓ; R◌̑; Ȓ; R◌̑; ) LATIN CAPITAL LETTER R WITH INVERTED BREVE
      "\u0213",  # (ȓ; ȓ; r◌̑; ȓ; r◌̑; ) LATIN SMALL LETTER R WITH INVERTED BREVE
      "\u0214",  # (Ȕ; Ȕ; U◌̏; Ȕ; U◌̏; ) LATIN CAPITAL LETTER U WITH DOUBLE GRAVE
      "\u0215",  # (ȕ; ȕ; u◌̏; ȕ; u◌̏; ) LATIN SMALL LETTER U WITH DOUBLE GRAVE
      "\u0216",  # (Ȗ; Ȗ; U◌̑; Ȗ; U◌̑; ) LATIN CAPITAL LETTER U WITH INVERTED BREVE
      "\u0217",  # (ȗ; ȗ; u◌̑; ȗ; u◌̑; ) LATIN SMALL LETTER U WITH INVERTED BREVE
      "\u0218",  # (Ș; Ș; S◌̦; Ș; S◌̦; ) LATIN CAPITAL LETTER S WITH COMMA BELOW
      "\u0219",  # (ș; ș; s◌̦; ș; s◌̦; ) LATIN SMALL LETTER S WITH COMMA BELOW
      "\u021A",  # (Ț; Ț; T◌̦; Ț; T◌̦; ) LATIN CAPITAL LETTER T WITH COMMA BELOW
      "\u021B",  # (ț; ț; t◌̦; ț; t◌̦; ) LATIN SMALL LETTER T WITH COMMA BELOW
      "\u021E",  # (Ȟ; Ȟ; H◌̌; Ȟ; H◌̌; ) LATIN CAPITAL LETTER H WITH CARON
      "\u021F",  # (ȟ; ȟ; h◌̌; ȟ; h◌̌; ) LATIN SMALL LETTER H WITH CARON
      "\u0226",  # (Ȧ; Ȧ; A◌̇; Ȧ; A◌̇; ) LATIN CAPITAL LETTER A WITH DOT ABOVE
      "\u0227",  # (ȧ; ȧ; a◌̇; ȧ; a◌̇; ) LATIN SMALL LETTER A WITH DOT ABOVE
      "\u0228",  # (Ȩ; Ȩ; E◌̧; Ȩ; E◌̧; ) LATIN CAPITAL LETTER E WITH CEDILLA
      "\u0229",  # (ȩ; ȩ; e◌̧; ȩ; e◌̧; ) LATIN SMALL LETTER E WITH CEDILLA
      "\u022A",  # (Ȫ; Ȫ; O◌̈◌̄; Ȫ; O◌̈◌̄; ) LATIN CAPITAL LETTER O WITH DIAERESIS AND MACRON
      "\u022B",  # (ȫ; ȫ; o◌̈◌̄; ȫ; o◌̈◌̄; ) LATIN SMALL LETTER O WITH DIAERESIS AND MACRON
      "\u022C",  # (Ȭ; Ȭ; O◌̃◌̄; Ȭ; O◌̃◌̄; ) LATIN CAPITAL LETTER O WITH TILDE AND MACRON
      "\u022D",  # (ȭ; ȭ; o◌̃◌̄; ȭ; o◌̃◌̄; ) LATIN SMALL LETTER O WITH TILDE AND MACRON
      "\u022E",  # (Ȯ; Ȯ; O◌̇; Ȯ; O◌̇; ) LATIN CAPITAL LETTER O WITH DOT ABOVE
      "\u022F",  # (ȯ; ȯ; o◌̇; ȯ; o◌̇; ) LATIN SMALL LETTER O WITH DOT ABOVE
      "\u0230",  # (Ȱ; Ȱ; O◌̇◌̄; Ȱ; O◌̇◌̄; ) LATIN CAPITAL LETTER O WITH DOT ABOVE AND MACRON
      "\u0231",  # (ȱ; ȱ; o◌̇◌̄; ȱ; o◌̇◌̄; ) LATIN SMALL LETTER O WITH DOT ABOVE AND MACRON
      "\u0232",  # (Ȳ; Ȳ; Y◌̄; Ȳ; Y◌̄; ) LATIN CAPITAL LETTER Y WITH MACRON
      "\u0233",  # (ȳ; ȳ; y◌̄; ȳ; y◌̄; ) LATIN SMALL LETTER Y WITH MACRON
      "\u02B0",  # (ʰ; ʰ; ʰ; h; h; ) MODIFIER LETTER SMALL H
      "\u02B1",  # (ʱ; ʱ; ʱ; ɦ; ɦ; ) MODIFIER LETTER SMALL H WITH HOOK
      "\u02B2",  # (ʲ; ʲ; ʲ; j; j; ) MODIFIER LETTER SMALL J
      "\u02B3",  # (ʳ; ʳ; ʳ; r; r; ) MODIFIER LETTER SMALL R
      "\u02B4",  # (ʴ; ʴ; ʴ; ɹ; ɹ; ) MODIFIER LETTER SMALL TURNED R
      "\u02B5",  # (ʵ; ʵ; ʵ; ɻ; ɻ; ) MODIFIER LETTER SMALL TURNED R WITH HOOK
      "\u02B6",  # (ʶ; ʶ; ʶ; ʁ; ʁ; ) MODIFIER LETTER SMALL CAPITAL INVERTED R
      "\u02B7",  # (ʷ; ʷ; ʷ; w; w; ) MODIFIER LETTER SMALL W
      "\u02B8",  # (ʸ; ʸ; ʸ; y; y; ) MODIFIER LETTER SMALL Y
      "\u02D8",  # (˘; ˘; ˘;  ◌̆;  ◌̆; ) BREVE
      "\u02D9",  # (˙; ˙; ˙;  ◌̇;  ◌̇; ) DOT ABOVE
      "\u02DA",  # (˚; ˚; ˚;  ◌̊;  ◌̊; ) RING ABOVE
      "\u02DB",  # (˛; ˛; ˛;  ◌̨;  ◌̨; ) OGONEK
      "\u02DC",  # (˜; ˜; ˜;  ◌̃;  ◌̃; ) SMALL TILDE
      "\u02DD",  # (˝; ˝; ˝;  ◌̋;  ◌̋; ) DOUBLE ACUTE ACCENT
      "\u02E0",  # (ˠ; ˠ; ˠ; ɣ; ɣ; ) MODIFIER LETTER SMALL GAMMA
      "\u02E1",  # (ˡ; ˡ; ˡ; l; l; ) MODIFIER LETTER SMALL L
      "\u02E2",  # (ˢ; ˢ; ˢ; s; s; ) MODIFIER LETTER SMALL S
      "\u02E3",  # (ˣ; ˣ; ˣ; x; x; ) MODIFIER LETTER SMALL X
      "\u02E4",  # (ˤ; ˤ; ˤ; ʕ; ʕ; ) MODIFIER LETTER SMALL REVERSED GLOTTAL STOP
      "\u0340",  # (◌̀; ◌̀; ◌̀; ◌̀; ◌̀; ) COMBINING GRAVE TONE MARK
      "\u0341",  # (◌́; ◌́; ◌́; ◌́; ◌́; ) COMBINING ACUTE TONE MARK
      "\u0343",  # (◌̓; ◌̓; ◌̓; ◌̓; ◌̓; ) COMBINING GREEK KORONIS
      "\u0344",  # (◌̈́; ◌̈◌́; ◌̈◌́; ◌̈◌́; ◌̈◌́; ) COMBINING GREEK DIALYTIKA TONOS
      "\u0374",  # (ʹ; ʹ; ʹ; ʹ; ʹ; ) GREEK NUMERAL SIGN
      "\u037A",  # (ͺ; ͺ; ͺ;  ◌ͅ;  ◌ͅ; ) GREEK YPOGEGRAMMENI
      "\u037E",  # (;; ;; ;; ;; ;; ) GREEK QUESTION MARK
      "\u0384",  # (΄; ΄; ΄;  ◌́;  ◌́; ) GREEK TONOS
      "\u0385",  # (΅; ΅; ¨◌́;  ◌̈◌́;  ◌̈◌́; ) GREEK DIALYTIKA TONOS
      "\u0386",  # (Ά; Ά; Α◌́; Ά; Α◌́; ) GREEK CAPITAL LETTER ALPHA WITH TONOS
      "\u0387",  # (·; ·; ·; ·; ·; ) GREEK ANO TELEIA
      "\u0388",  # (Έ; Έ; Ε◌́; Έ; Ε◌́; ) GREEK CAPITAL LETTER EPSILON WITH TONOS
      "\u0389",  # (Ή; Ή; Η◌́; Ή; Η◌́; ) GREEK CAPITAL LETTER ETA WITH TONOS
      "\u038A",  # (Ί; Ί; Ι◌́; Ί; Ι◌́; ) GREEK CAPITAL LETTER IOTA WITH TONOS
      "\u038C",  # (Ό; Ό; Ο◌́; Ό; Ο◌́; ) GREEK CAPITAL LETTER OMICRON WITH TONOS
      "\u038E",  # (Ύ; Ύ; Υ◌́; Ύ; Υ◌́; ) GREEK CAPITAL LETTER UPSILON WITH TONOS
      "\u038F",  # (Ώ; Ώ; Ω◌́; Ώ; Ω◌́; ) GREEK CAPITAL LETTER OMEGA WITH TONOS
      "\u0390",  # (ΐ; ΐ; ι◌̈◌́; ΐ; ι◌̈◌́; ) GREEK SMALL LETTER IOTA WITH DIALYTIKA AND TONOS
      "\u03AA",  # (Ϊ; Ϊ; Ι◌̈; Ϊ; Ι◌̈; ) GREEK CAPITAL LETTER IOTA WITH DIALYTIKA
      "\u03AB",  # (Ϋ; Ϋ; Υ◌̈; Ϋ; Υ◌̈; ) GREEK CAPITAL LETTER UPSILON WITH DIALYTIKA
      "\u03AC",  # (ά; ά; α◌́; ά; α◌́; ) GREEK SMALL LETTER ALPHA WITH TONOS
      "\u03AD",  # (έ; έ; ε◌́; έ; ε◌́; ) GREEK SMALL LETTER EPSILON WITH TONOS
      "\u03AE",  # (ή; ή; η◌́; ή; η◌́; ) GREEK SMALL LETTER ETA WITH TONOS
      "\u03AF",  # (ί; ί; ι◌́; ί; ι◌́; ) GREEK SMALL LETTER IOTA WITH TONOS
      "\u03B0",  # (ΰ; ΰ; υ◌̈◌́; ΰ; υ◌̈◌́; ) GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND TONOS
      "\u03CA",  # (ϊ; ϊ; ι◌̈; ϊ; ι◌̈; ) GREEK SMALL LETTER IOTA WITH DIALYTIKA
      "\u03CB",  # (ϋ; ϋ; υ◌̈; ϋ; υ◌̈; ) GREEK SMALL LETTER UPSILON WITH DIALYTIKA
      "\u03CC",  # (ό; ό; ο◌́; ό; ο◌́; ) GREEK SMALL LETTER OMICRON WITH TONOS
      "\u03CD",  # (ύ; ύ; υ◌́; ύ; υ◌́; ) GREEK SMALL LETTER UPSILON WITH TONOS
      "\u03CE",  # (ώ; ώ; ω◌́; ώ; ω◌́; ) GREEK SMALL LETTER OMEGA WITH TONOS
      "\u03D0",  # (ϐ; ϐ; ϐ; β; β; ) GREEK BETA SYMBOL
      "\u03D1",  # (ϑ; ϑ; ϑ; θ; θ; ) GREEK THETA SYMBOL
      "\u03D2",  # (ϒ; ϒ; ϒ; Υ; Υ; ) GREEK UPSILON WITH HOOK SYMBOL
      "\u03D3",  # (ϓ; ϓ; ϒ◌́; Ύ; Υ◌́; ) GREEK UPSILON WITH ACUTE AND HOOK SYMBOL
      "\u03D4",  # (ϔ; ϔ; ϒ◌̈; Ϋ; Υ◌̈; ) GREEK UPSILON WITH DIAERESIS AND HOOK SYMBOL
      "\u03D5",  # (ϕ; ϕ; ϕ; φ; φ; ) GREEK PHI SYMBOL
      "\u03D6",  # (ϖ; ϖ; ϖ; π; π; ) GREEK PI SYMBOL
      "\u03F0",  # (ϰ; ϰ; ϰ; κ; κ; ) GREEK KAPPA SYMBOL
      "\u03F1",  # (ϱ; ϱ; ϱ; ρ; ρ; ) GREEK RHO SYMBOL
      "\u03F2",  # (ϲ; ϲ; ϲ; ς; ς; ) GREEK LUNATE SIGMA SYMBOL
      "\u03F4",  # (ϴ; ϴ; ϴ; Θ; Θ; ) GREEK CAPITAL THETA SYMBOL
      "\u03F5",  # (ϵ; ϵ; ϵ; ε; ε; ) GREEK LUNATE EPSILON SYMBOL
      "\u03F9",  # (Ϲ; Ϲ; Ϲ; Σ; Σ; ) GREEK CAPITAL LUNATE SIGMA SYMBOL
      "\u0400",  # (Ѐ; Ѐ; Е◌̀; Ѐ; Е◌̀; ) CYRILLIC CAPITAL LETTER IE WITH GRAVE
      "\u0401",  # (Ё; Ё; Е◌̈; Ё; Е◌̈; ) CYRILLIC CAPITAL LETTER IO
      "\u0403",  # (Ѓ; Ѓ; Г◌́; Ѓ; Г◌́; ) CYRILLIC CAPITAL LETTER GJE
      "\u0407",  # (Ї; Ї; І◌̈; Ї; І◌̈; ) CYRILLIC CAPITAL LETTER YI
      "\u040C",  # (Ќ; Ќ; К◌́; Ќ; К◌́; ) CYRILLIC CAPITAL LETTER KJE
      "\u040D",  # (Ѝ; Ѝ; И◌̀; Ѝ; И◌̀; ) CYRILLIC CAPITAL LETTER I WITH GRAVE
      "\u040E",  # (Ў; Ў; У◌̆; Ў; У◌̆; ) CYRILLIC CAPITAL LETTER SHORT U
      "\u0419",  # (Й; Й; И◌̆; Й; И◌̆; ) CYRILLIC CAPITAL LETTER SHORT I
      "\u0439",  # (й; й; и◌̆; й; и◌̆; ) CYRILLIC SMALL LETTER SHORT I
      "\u0450",  # (ѐ; ѐ; е◌̀; ѐ; е◌̀; ) CYRILLIC SMALL LETTER IE WITH GRAVE
      "\u0451",  # (ё; ё; е◌̈; ё; е◌̈; ) CYRILLIC SMALL LETTER IO
      "\u0453",  # (ѓ; ѓ; г◌́; ѓ; г◌́; ) CYRILLIC SMALL LETTER GJE
      "\u0457",  # (ї; ї; і◌̈; ї; і◌̈; ) CYRILLIC SMALL LETTER YI
      "\u045C",  # (ќ; ќ; к◌́; ќ; к◌́; ) CYRILLIC SMALL LETTER KJE
      "\u045D",  # (ѝ; ѝ; и◌̀; ѝ; и◌̀; ) CYRILLIC SMALL LETTER I WITH GRAVE
      "\u045E",  # (ў; ў; у◌̆; ў; у◌̆; ) CYRILLIC SMALL LETTER SHORT U
      "\u0476",  # (Ѷ; Ѷ; Ѵ◌̏; Ѷ; Ѵ◌̏; ) CYRILLIC CAPITAL LETTER IZHITSA WITH DOUBLE GRAVE ACCENT
      "\u0477",  # (ѷ; ѷ; ѵ◌̏; ѷ; ѵ◌̏; ) CYRILLIC SMALL LETTER IZHITSA WITH DOUBLE GRAVE ACCENT
      "\u04C1",  # (Ӂ; Ӂ; Ж◌̆; Ӂ; Ж◌̆; ) CYRILLIC CAPITAL LETTER ZHE WITH BREVE
      "\u04C2",  # (ӂ; ӂ; ж◌̆; ӂ; ж◌̆; ) CYRILLIC SMALL LETTER ZHE WITH BREVE
      "\u04D0",  # (Ӑ; Ӑ; А◌̆; Ӑ; А◌̆; ) CYRILLIC CAPITAL LETTER A WITH BREVE
      "\u04D1",  # (ӑ; ӑ; а◌̆; ӑ; а◌̆; ) CYRILLIC SMALL LETTER A WITH BREVE
      "\u04D2",  # (Ӓ; Ӓ; А◌̈; Ӓ; А◌̈; ) CYRILLIC CAPITAL LETTER A WITH DIAERESIS
      "\u04D3",  # (ӓ; ӓ; а◌̈; ӓ; а◌̈; ) CYRILLIC SMALL LETTER A WITH DIAERESIS
      "\u04D6",  # (Ӗ; Ӗ; Е◌̆; Ӗ; Е◌̆; ) CYRILLIC CAPITAL LETTER IE WITH BREVE
      "\u04D7",  # (ӗ; ӗ; е◌̆; ӗ; е◌̆; ) CYRILLIC SMALL LETTER IE WITH BREVE
      "\u04DA",  # (Ӛ; Ӛ; Ә◌̈; Ӛ; Ә◌̈; ) CYRILLIC CAPITAL LETTER SCHWA WITH DIAERESIS
      "\u04DB",  # (ӛ; ӛ; ә◌̈; ӛ; ә◌̈; ) CYRILLIC SMALL LETTER SCHWA WITH DIAERESIS
      "\u04DC",  # (Ӝ; Ӝ; Ж◌̈; Ӝ; Ж◌̈; ) CYRILLIC CAPITAL LETTER ZHE WITH DIAERESIS
      "\u04DD",  # (ӝ; ӝ; ж◌̈; ӝ; ж◌̈; ) CYRILLIC SMALL LETTER ZHE WITH DIAERESIS
      "\u04DE",  # (Ӟ; Ӟ; З◌̈; Ӟ; З◌̈; ) CYRILLIC CAPITAL LETTER ZE WITH DIAERESIS
      "\u04DF",  # (ӟ; ӟ; з◌̈; ӟ; з◌̈; ) CYRILLIC SMALL LETTER ZE WITH DIAERESIS
      "\u04E2",  # (Ӣ; Ӣ; И◌̄; Ӣ; И◌̄; ) CYRILLIC CAPITAL LETTER I WITH MACRON
      "\u04E3",  # (ӣ; ӣ; и◌̄; ӣ; и◌̄; ) CYRILLIC SMALL LETTER I WITH MACRON
      "\u04E4",  # (Ӥ; Ӥ; И◌̈; Ӥ; И◌̈; ) CYRILLIC CAPITAL LETTER I WITH DIAERESIS
      "\u04E5",  # (ӥ; ӥ; и◌̈; ӥ; и◌̈; ) CYRILLIC SMALL LETTER I WITH DIAERESIS
      "\u04E6",  # (Ӧ; Ӧ; О◌̈; Ӧ; О◌̈; ) CYRILLIC CAPITAL LETTER O WITH DIAERESIS
      "\u04E7",  # (ӧ; ӧ; о◌̈; ӧ; о◌̈; ) CYRILLIC SMALL LETTER O WITH DIAERESIS
      "\u04EA",  # (Ӫ; Ӫ; Ө◌̈; Ӫ; Ө◌̈; ) CYRILLIC CAPITAL LETTER BARRED O WITH DIAERESIS
      "\u04EB",  # (ӫ; ӫ; ө◌̈; ӫ; ө◌̈; ) CYRILLIC SMALL LETTER BARRED O WITH DIAERESIS
      "\u04EC",  # (Ӭ; Ӭ; Э◌̈; Ӭ; Э◌̈; ) CYRILLIC CAPITAL LETTER E WITH DIAERESIS
      "\u04ED",  # (ӭ; ӭ; э◌̈; ӭ; э◌̈; ) CYRILLIC SMALL LETTER E WITH DIAERESIS
      "\u04EE",  # (Ӯ; Ӯ; У◌̄; Ӯ; У◌̄; ) CYRILLIC CAPITAL LETTER U WITH MACRON
      "\u04EF",  # (ӯ; ӯ; у◌̄; ӯ; у◌̄; ) CYRILLIC SMALL LETTER U WITH MACRON
      "\u04F0",  # (Ӱ; Ӱ; У◌̈; Ӱ; У◌̈; ) CYRILLIC CAPITAL LETTER U WITH DIAERESIS
      "\u04F1",  # (ӱ; ӱ; у◌̈; ӱ; у◌̈; ) CYRILLIC SMALL LETTER U WITH DIAERESIS
      "\u04F2",  # (Ӳ; Ӳ; У◌̋; Ӳ; У◌̋; ) CYRILLIC CAPITAL LETTER U WITH DOUBLE ACUTE
      "\u04F3",  # (ӳ; ӳ; у◌̋; ӳ; у◌̋; ) CYRILLIC SMALL LETTER U WITH DOUBLE ACUTE
      "\u04F4",  # (Ӵ; Ӵ; Ч◌̈; Ӵ; Ч◌̈; ) CYRILLIC CAPITAL LETTER CHE WITH DIAERESIS
      "\u04F5",  # (ӵ; ӵ; ч◌̈; ӵ; ч◌̈; ) CYRILLIC SMALL LETTER CHE WITH DIAERESIS
      "\u04F8",  # (Ӹ; Ӹ; Ы◌̈; Ӹ; Ы◌̈; ) CYRILLIC CAPITAL LETTER YERU WITH DIAERESIS
      "\u04F9",  # (ӹ; ӹ; ы◌̈; ӹ; ы◌̈; ) CYRILLIC SMALL LETTER YERU WITH DIAERESIS
      "\u0587",  # (և; և; և; եւ; եւ; ) ARMENIAN SMALL LIGATURE ECH YIWN
      "\u0622",  # (آ; آ; ا◌ٓ; آ; ا◌ٓ; ) ARABIC LETTER ALEF WITH MADDA ABOVE
      "\u0623",  # (أ; أ; ا◌ٔ; أ; ا◌ٔ; ) ARABIC LETTER ALEF WITH HAMZA ABOVE
      "\u0624",  # (ؤ; ؤ; و◌ٔ; ؤ; و◌ٔ; ) ARABIC LETTER WAW WITH HAMZA ABOVE
      "\u0625",  # (إ; إ; ا◌ٕ; إ; ا◌ٕ; ) ARABIC LETTER ALEF WITH HAMZA BELOW
      "\u0626",  # (ئ; ئ; ي◌ٔ; ئ; ي◌ٔ; ) ARABIC LETTER YEH WITH HAMZA ABOVE
      "\u0675",  # (ٵ; ٵ; ٵ; اٴ; اٴ; ) ARABIC LETTER HIGH HAMZA ALEF
      "\u0676",  # (ٶ; ٶ; ٶ; وٴ; وٴ; ) ARABIC LETTER HIGH HAMZA WAW
      "\u0677",  # (ٷ; ٷ; ٷ; ۇٴ; ۇٴ; ) ARABIC LETTER U WITH HAMZA ABOVE
      "\u0678",  # (ٸ; ٸ; ٸ; يٴ; يٴ; ) ARABIC LETTER HIGH HAMZA YEH
      "\u06C0",  # (ۀ; ۀ; ە◌ٔ; ۀ; ە◌ٔ; ) ARABIC LETTER HEH WITH YEH ABOVE
      "\u06C2",  # (ۂ; ۂ; ہ◌ٔ; ۂ; ہ◌ٔ; ) ARABIC LETTER HEH GOAL WITH HAMZA ABOVE
      "\u06D3",  # (ۓ; ۓ; ے◌ٔ; ۓ; ے◌ٔ; ) ARABIC LETTER YEH BARREE WITH HAMZA ABOVE
      "\u0929",  # (ऩ; ऩ; न◌़; ऩ; न◌़; ) DEVANAGARI LETTER NNNA
      "\u0931",  # (ऱ; ऱ; र◌़; ऱ; र◌़; ) DEVANAGARI LETTER RRA
      "\u0934",  # (ऴ; ऴ; ळ◌़; ऴ; ळ◌़; ) DEVANAGARI LETTER LLLA
      "\u0958",  # (क़; क◌़; क◌़; क◌़; क◌़; ) DEVANAGARI LETTER QA
      "\u0959",  # (ख़; ख◌़; ख◌़; ख◌़; ख◌़; ) DEVANAGARI LETTER KHHA
      "\u095A",  # (ग़; ग◌़; ग◌़; ग◌़; ग◌़; ) DEVANAGARI LETTER GHHA
      "\u095B",  # (ज़; ज◌़; ज◌़; ज◌़; ज◌़; ) DEVANAGARI LETTER ZA
      "\u095C",  # (ड़; ड◌़; ड◌़; ड◌़; ड◌़; ) DEVANAGARI LETTER DDDHA
      "\u095D",  # (ढ़; ढ◌़; ढ◌़; ढ◌़; ढ◌़; ) DEVANAGARI LETTER RHA
      "\u095E",  # (फ़; फ◌़; फ◌़; फ◌़; फ◌़; ) DEVANAGARI LETTER FA
      "\u095F",  # (य़; य◌़; य◌़; य◌़; य◌़; ) DEVANAGARI LETTER YYA
      "\u09CB",  # (ো; ো; ো; ো; ো; ) BENGALI VOWEL SIGN O
      "\u09CC",  # (ৌ; ৌ; ৌ; ৌ; ৌ; ) BENGALI VOWEL SIGN AU
      "\u09DC",  # (ড়; ড◌়; ড◌়; ড◌়; ড◌়; ) BENGALI LETTER RRA
      "\u09DD",  # (ঢ়; ঢ◌়; ঢ◌়; ঢ◌়; ঢ◌়; ) BENGALI LETTER RHA
      "\u09DF",  # (য়; য◌়; য◌়; য◌়; য◌়; ) BENGALI LETTER YYA
      "\u0A33",  # (ਲ਼; ਲ◌਼; ਲ◌਼; ਲ◌਼; ਲ◌਼; ) GURMUKHI LETTER LLA
      "\u0A36",  # (ਸ਼; ਸ◌਼; ਸ◌਼; ਸ◌਼; ਸ◌਼; ) GURMUKHI LETTER SHA
      "\u0A59",  # (ਖ਼; ਖ◌਼; ਖ◌਼; ਖ◌਼; ਖ◌਼; ) GURMUKHI LETTER KHHA
      "\u0A5A",  # (ਗ਼; ਗ◌਼; ਗ◌਼; ਗ◌਼; ਗ◌਼; ) GURMUKHI LETTER GHHA
      "\u0A5B",  # (ਜ਼; ਜ◌਼; ਜ◌਼; ਜ◌਼; ਜ◌਼; ) GURMUKHI LETTER ZA
      "\u0A5E",  # (ਫ਼; ਫ◌਼; ਫ◌਼; ਫ◌਼; ਫ◌਼; ) GURMUKHI LETTER FA
      "\u0B48",  # (ୈ; ୈ; େ◌ୖ; ୈ; େ◌ୖ; ) ORIYA VOWEL SIGN AI
      "\u0B4B",  # (ୋ; ୋ; ୋ; ୋ; ୋ; ) ORIYA VOWEL SIGN O
      "\u0B4C",  # (ୌ; ୌ; ୌ; ୌ; ୌ; ) ORIYA VOWEL SIGN AU
      "\u0B5C",  # (ଡ଼; ଡ◌଼; ଡ◌଼; ଡ◌଼; ଡ◌଼; ) ORIYA LETTER RRA
      "\u0B5D",  # (ଢ଼; ଢ◌଼; ଢ◌଼; ଢ◌଼; ଢ◌଼; ) ORIYA LETTER RHA
      "\u0B94",  # (ஔ; ஔ; ஔ; ஔ; ஔ; ) TAMIL LETTER AU
      "\u0BCA",  # (ொ; ொ; ொ; ொ; ொ; ) TAMIL VOWEL SIGN O
      "\u0BCB",  # (ோ; ோ; ோ; ோ; ோ; ) TAMIL VOWEL SIGN OO
      "\u0BCC",  # (ௌ; ௌ; ௌ; ௌ; ௌ; ) TAMIL VOWEL SIGN AU
      "\u0C48",  # (◌ై; ◌ై; ◌ె◌ౖ; ◌ై; ◌ె◌ౖ; ) TELUGU VOWEL SIGN AI
      "\u0CC0",  # (ೀ; ೀ; ◌ೀ; ೀ; ◌ೀ; ) KANNADA VOWEL SIGN II
      "\u0CC7",  # (ೇ; ೇ; ◌ೇ; ೇ; ◌ೇ; ) KANNADA VOWEL SIGN EE
      "\u0CC8",  # (ೈ; ೈ; ◌ೈ; ೈ; ◌ೈ; ) KANNADA VOWEL SIGN AI
      "\u0CCA",  # (ೊ; ೊ; ◌ೊ; ೊ; ◌ೊ; ) KANNADA VOWEL SIGN O
      "\u0CCB",  # (ೋ; ೋ; ◌ೋ; ೋ; ◌ೋ; ) KANNADA VOWEL SIGN OO
      "\u0D4A",  # (ൊ; ൊ; ൊ; ൊ; ൊ; ) MALAYALAM VOWEL SIGN O
      "\u0D4B",  # (ോ; ോ; ോ; ോ; ോ; ) MALAYALAM VOWEL SIGN OO
      "\u0D4C",  # (ൌ; ൌ; ൌ; ൌ; ൌ; ) MALAYALAM VOWEL SIGN AU
      "\u0DDA",  # (ේ; ේ; ෙ◌්; ේ; ෙ◌්; ) SINHALA VOWEL SIGN DIGA KOMBUVA
      "\u0DDC",  # (ො; ො; ො; ො; ො; ) SINHALA VOWEL SIGN KOMBUVA HAA AELA-PILLA
      "\u0DDD",  # (ෝ; ෝ; ො◌්; ෝ; ො◌්; ) SINHALA VOWEL SIGN KOMBUVA HAA DIGA AELA-PILLA
      "\u0DDE",  # (ෞ; ෞ; ෞ; ෞ; ෞ; ) SINHALA VOWEL SIGN KOMBUVA HAA GAYANUKITTA
      "\u0E33",  # (ำ; ำ; ำ; ◌ํา; ◌ํา; ) THAI CHARACTER SARA AM
      "\u0EB3",  # (ຳ; ຳ; ຳ; ◌ໍາ; ◌ໍາ; ) LAO VOWEL SIGN AM
      "\u0EDC",  # (ໜ; ໜ; ໜ; ຫນ; ຫນ; ) LAO HO NO
      "\u0EDD",  # (ໝ; ໝ; ໝ; ຫມ; ຫມ; ) LAO HO MO
      "\u0F0C",  # (༌; ༌; ༌; ་; ་; ) TIBETAN MARK DELIMITER TSHEG BSTAR
      "\u0F43",  # (གྷ; ག◌ྷ; ག◌ྷ; ག◌ྷ; ག◌ྷ; ) TIBETAN LETTER GHA
      "\u0F4D",  # (ཌྷ; ཌ◌ྷ; ཌ◌ྷ; ཌ◌ྷ; ཌ◌ྷ; ) TIBETAN LETTER DDHA
      "\u0F52",  # (དྷ; ད◌ྷ; ད◌ྷ; ད◌ྷ; ད◌ྷ; ) TIBETAN LETTER DHA
      "\u0F57",  # (བྷ; བ◌ྷ; བ◌ྷ; བ◌ྷ; བ◌ྷ; ) TIBETAN LETTER BHA
      "\u0F5C",  # (ཛྷ; ཛ◌ྷ; ཛ◌ྷ; ཛ◌ྷ; ཛ◌ྷ; ) TIBETAN LETTER DZHA
      "\u0F69",  # (ཀྵ; ཀ◌ྵ; ཀ◌ྵ; ཀ◌ྵ; ཀ◌ྵ; ) TIBETAN LETTER KSSA
      "\u0F73",  # (◌ཱི; ◌ཱ◌ི; ◌ཱ◌ི; ◌ཱ◌ི; ◌ཱ◌ི; ) TIBETAN VOWEL SIGN II
      "\u0F75",  # (◌ཱུ; ◌ཱ◌ུ; ◌ཱ◌ུ; ◌ཱ◌ུ; ◌ཱ◌ུ; ) TIBETAN VOWEL SIGN UU
      "\u0F76",  # (◌ྲྀ; ◌ྲ◌ྀ; ◌ྲ◌ྀ; ◌ྲ◌ྀ; ◌ྲ◌ྀ; ) TIBETAN VOWEL SIGN VOCALIC R
      "\u0F77",  # (◌ཷ; ◌ཷ; ◌ཷ; ◌ྲ◌ཱ◌ྀ; ◌ྲ◌ཱ◌ྀ; ) TIBETAN VOWEL SIGN VOCALIC RR
      "\u0F78",  # (◌ླྀ; ◌ླ◌ྀ; ◌ླ◌ྀ; ◌ླ◌ྀ; ◌ླ◌ྀ; ) TIBETAN VOWEL SIGN VOCALIC L
      "\u0F79",  # (◌ཹ; ◌ཹ; ◌ཹ; ◌ླ◌ཱ◌ྀ; ◌ླ◌ཱ◌ྀ; ) TIBETAN VOWEL SIGN VOCALIC LL
      "\u0F81",  # (◌ཱྀ; ◌ཱ◌ྀ; ◌ཱ◌ྀ; ◌ཱ◌ྀ; ◌ཱ◌ྀ; ) TIBETAN VOWEL SIGN REVERSED II
      "\u0F93",  # (◌ྒྷ; ◌ྒ◌ྷ; ◌ྒ◌ྷ; ◌ྒ◌ྷ; ◌ྒ◌ྷ; ) TIBETAN SUBJOINED LETTER GHA
      "\u0F9D",  # (◌ྜྷ; ◌ྜ◌ྷ; ◌ྜ◌ྷ; ◌ྜ◌ྷ; ◌ྜ◌ྷ; ) TIBETAN SUBJOINED LETTER DDHA
      "\u0FA2",  # (◌ྡྷ; ◌ྡ◌ྷ; ◌ྡ◌ྷ; ◌ྡ◌ྷ; ◌ྡ◌ྷ; ) TIBETAN SUBJOINED LETTER DHA
      "\u0FA7",  # (◌ྦྷ; ◌ྦ◌ྷ; ◌ྦ◌ྷ; ◌ྦ◌ྷ; ◌ྦ◌ྷ; ) TIBETAN SUBJOINED LETTER BHA
      "\u0FAC",  # (◌ྫྷ; ◌ྫ◌ྷ; ◌ྫ◌ྷ; ◌ྫ◌ྷ; ◌ྫ◌ྷ; ) TIBETAN SUBJOINED LETTER DZHA
      "\u0FB9",  # (◌ྐྵ; ◌ྐ◌ྵ; ◌ྐ◌ྵ; ◌ྐ◌ྵ; ◌ྐ◌ྵ; ) TIBETAN SUBJOINED LETTER KSSA
      "\u1026",  # (ဦ; ဦ; ဥ◌ီ; ဦ; ဥ◌ီ; ) MYANMAR LETTER UU
      "\u10FC",  # (ჼ; ჼ; ჼ; ნ; ნ; ) MODIFIER LETTER GEORGIAN NAR
      "\u1B06",  # (ᬆ; ᬆ; ᬆ; ᬆ; ᬆ; ) BALINESE LETTER AKARA TEDUNG
      "\u1B08",  # (ᬈ; ᬈ; ᬈ; ᬈ; ᬈ; ) BALINESE LETTER IKARA TEDUNG
      "\u1B0A",  # (ᬊ; ᬊ; ᬊ; ᬊ; ᬊ; ) BALINESE LETTER UKARA TEDUNG
      "\u1B0C",  # (ᬌ; ᬌ; ᬌ; ᬌ; ᬌ; ) BALINESE LETTER RA REPA TEDUNG
      "\u1B0E",  # (ᬎ; ᬎ; ᬎ; ᬎ; ᬎ; ) BALINESE LETTER LA LENGA TEDUNG
      "\u1B12",  # (ᬒ; ᬒ; ᬒ; ᬒ; ᬒ; ) BALINESE LETTER OKARA TEDUNG
      "\u1B3B",  # (ᬻ; ᬻ; ◌ᬻ; ᬻ; ◌ᬻ; ) BALINESE VOWEL SIGN RA REPA TEDUNG
      "\u1B3D",  # (ᬽ; ᬽ; ◌ᬽ; ᬽ; ◌ᬽ; ) BALINESE VOWEL SIGN LA LENGA TEDUNG
      "\u1B40",  # (ᭀ; ᭀ; ᭀ; ᭀ; ᭀ; ) BALINESE VOWEL SIGN TALING TEDUNG
      "\u1B41",  # (ᭁ; ᭁ; ᭁ; ᭁ; ᭁ; ) BALINESE VOWEL SIGN TALING REPA TEDUNG
      "\u1B43",  # (ᭃ; ᭃ; ◌ᭃ; ᭃ; ◌ᭃ; ) BALINESE VOWEL SIGN PEPET TEDUNG
      "\u1D2C",  # (ᴬ; ᴬ; ᴬ; A; A; ) MODIFIER LETTER CAPITAL A
      "\u1D2D",  # (ᴭ; ᴭ; ᴭ; Æ; Æ; ) MODIFIER LETTER CAPITAL AE
      "\u1D2E",  # (ᴮ; ᴮ; ᴮ; B; B; ) MODIFIER LETTER CAPITAL B
      "\u1D30",  # (ᴰ; ᴰ; ᴰ; D; D; ) MODIFIER LETTER CAPITAL D
      "\u1D31",  # (ᴱ; ᴱ; ᴱ; E; E; ) MODIFIER LETTER CAPITAL E
      "\u1D32",  # (ᴲ; ᴲ; ᴲ; Ǝ; Ǝ; ) MODIFIER LETTER CAPITAL REVERSED E
      "\u1D33",  # (ᴳ; ᴳ; ᴳ; G; G; ) MODIFIER LETTER CAPITAL G
      "\u1D34",  # (ᴴ; ᴴ; ᴴ; H; H; ) MODIFIER LETTER CAPITAL H
      "\u1D35",  # (ᴵ; ᴵ; ᴵ; I; I; ) MODIFIER LETTER CAPITAL I
      "\u1D36",  # (ᴶ; ᴶ; ᴶ; J; J; ) MODIFIER LETTER CAPITAL J
      "\u1D37",  # (ᴷ; ᴷ; ᴷ; K; K; ) MODIFIER LETTER CAPITAL K
      "\u1D38",  # (ᴸ; ᴸ; ᴸ; L; L; ) MODIFIER LETTER CAPITAL L
      "\u1D39",  # (ᴹ; ᴹ; ᴹ; M; M; ) MODIFIER LETTER CAPITAL M
      "\u1D3A",  # (ᴺ; ᴺ; ᴺ; N; N; ) MODIFIER LETTER CAPITAL N
      "\u1D3C",  # (ᴼ; ᴼ; ᴼ; O; O; ) MODIFIER LETTER CAPITAL O
      "\u1D3D",  # (ᴽ; ᴽ; ᴽ; Ȣ; Ȣ; ) MODIFIER LETTER CAPITAL OU
      "\u1D3E",  # (ᴾ; ᴾ; ᴾ; P; P; ) MODIFIER LETTER CAPITAL P
      "\u1D3F",  # (ᴿ; ᴿ; ᴿ; R; R; ) MODIFIER LETTER CAPITAL R
      "\u1D40",  # (ᵀ; ᵀ; ᵀ; T; T; ) MODIFIER LETTER CAPITAL T
      "\u1D41",  # (ᵁ; ᵁ; ᵁ; U; U; ) MODIFIER LETTER CAPITAL U
      "\u1D42",  # (ᵂ; ᵂ; ᵂ; W; W; ) MODIFIER LETTER CAPITAL W
      "\u1D43",  # (ᵃ; ᵃ; ᵃ; a; a; ) MODIFIER LETTER SMALL A
      "\u1D44",  # (ᵄ; ᵄ; ᵄ; ɐ; ɐ; ) MODIFIER LETTER SMALL TURNED A
      "\u1D45",  # (ᵅ; ᵅ; ᵅ; ɑ; ɑ; ) MODIFIER LETTER SMALL ALPHA
      "\u1D46",  # (ᵆ; ᵆ; ᵆ; ᴂ; ᴂ; ) MODIFIER LETTER SMALL TURNED AE
      "\u1D47",  # (ᵇ; ᵇ; ᵇ; b; b; ) MODIFIER LETTER SMALL B
      "\u1D48",  # (ᵈ; ᵈ; ᵈ; d; d; ) MODIFIER LETTER SMALL D
      "\u1D49",  # (ᵉ; ᵉ; ᵉ; e; e; ) MODIFIER LETTER SMALL E
      "\u1D4A",  # (ᵊ; ᵊ; ᵊ; ə; ə; ) MODIFIER LETTER SMALL SCHWA
      "\u1D4B",  # (ᵋ; ᵋ; ᵋ; ɛ; ɛ; ) MODIFIER LETTER SMALL OPEN E
      "\u1D4C",  # (ᵌ; ᵌ; ᵌ; ɜ; ɜ; ) MODIFIER LETTER SMALL TURNED OPEN E
      "\u1D4D",  # (ᵍ; ᵍ; ᵍ; g; g; ) MODIFIER LETTER SMALL G
      "\u1D4F",  # (ᵏ; ᵏ; ᵏ; k; k; ) MODIFIER LETTER SMALL K
      "\u1D50",  # (ᵐ; ᵐ; ᵐ; m; m; ) MODIFIER LETTER SMALL M
      "\u1D51",  # (ᵑ; ᵑ; ᵑ; ŋ; ŋ; ) MODIFIER LETTER SMALL ENG
      "\u1D52",  # (ᵒ; ᵒ; ᵒ; o; o; ) MODIFIER LETTER SMALL O
      "\u1D53",  # (ᵓ; ᵓ; ᵓ; ɔ; ɔ; ) MODIFIER LETTER SMALL OPEN O
      "\u1D54",  # (ᵔ; ᵔ; ᵔ; ᴖ; ᴖ; ) MODIFIER LETTER SMALL TOP HALF O
      "\u1D55",  # (ᵕ; ᵕ; ᵕ; ᴗ; ᴗ; ) MODIFIER LETTER SMALL BOTTOM HALF O
      "\u1D56",  # (ᵖ; ᵖ; ᵖ; p; p; ) MODIFIER LETTER SMALL P
      "\u1D57",  # (ᵗ; ᵗ; ᵗ; t; t; ) MODIFIER LETTER SMALL T
      "\u1D58",  # (ᵘ; ᵘ; ᵘ; u; u; ) MODIFIER LETTER SMALL U
      "\u1D59",  # (ᵙ; ᵙ; ᵙ; ᴝ; ᴝ; ) MODIFIER LETTER SMALL SIDEWAYS U
      "\u1D5A",  # (ᵚ; ᵚ; ᵚ; ɯ; ɯ; ) MODIFIER LETTER SMALL TURNED M
      "\u1D5B",  # (ᵛ; ᵛ; ᵛ; v; v; ) MODIFIER LETTER SMALL V
      "\u1D5C",  # (ᵜ; ᵜ; ᵜ; ᴥ; ᴥ; ) MODIFIER LETTER SMALL AIN
      "\u1D5D",  # (ᵝ; ᵝ; ᵝ; β; β; ) MODIFIER LETTER SMALL BETA
      "\u1D5E",  # (ᵞ; ᵞ; ᵞ; γ; γ; ) MODIFIER LETTER SMALL GREEK GAMMA
      "\u1D5F",  # (ᵟ; ᵟ; ᵟ; δ; δ; ) MODIFIER LETTER SMALL DELTA
      "\u1D60",  # (ᵠ; ᵠ; ᵠ; φ; φ; ) MODIFIER LETTER SMALL GREEK PHI
      "\u1D61",  # (ᵡ; ᵡ; ᵡ; χ; χ; ) MODIFIER LETTER SMALL CHI
      "\u1D62",  # (ᵢ; ᵢ; ᵢ; i; i; ) LATIN SUBSCRIPT SMALL LETTER I
      "\u1D63",  # (ᵣ; ᵣ; ᵣ; r; r; ) LATIN SUBSCRIPT SMALL LETTER R
      "\u1D64",  # (ᵤ; ᵤ; ᵤ; u; u; ) LATIN SUBSCRIPT SMALL LETTER U
      "\u1D65",  # (ᵥ; ᵥ; ᵥ; v; v; ) LATIN SUBSCRIPT SMALL LETTER V
      "\u1D66",  # (ᵦ; ᵦ; ᵦ; β; β; ) GREEK SUBSCRIPT SMALL LETTER BETA
      "\u1D67",  # (ᵧ; ᵧ; ᵧ; γ; γ; ) GREEK SUBSCRIPT SMALL LETTER GAMMA
      "\u1D68",  # (ᵨ; ᵨ; ᵨ; ρ; ρ; ) GREEK SUBSCRIPT SMALL LETTER RHO
      "\u1D69",  # (ᵩ; ᵩ; ᵩ; φ; φ; ) GREEK SUBSCRIPT SMALL LETTER PHI
      "\u1D6A",  # (ᵪ; ᵪ; ᵪ; χ; χ; ) GREEK SUBSCRIPT SMALL LETTER CHI
      "\u1D78",  # (ᵸ; ᵸ; ᵸ; н; н; ) MODIFIER LETTER CYRILLIC EN
      "\u1D9B",  # (ᶛ; ᶛ; ᶛ; ɒ; ɒ; ) MODIFIER LETTER SMALL TURNED ALPHA
      "\u1D9C",  # (ᶜ; ᶜ; ᶜ; c; c; ) MODIFIER LETTER SMALL C
      "\u1D9D",  # (ᶝ; ᶝ; ᶝ; ɕ; ɕ; ) MODIFIER LETTER SMALL C WITH CURL
      "\u1D9E",  # (ᶞ; ᶞ; ᶞ; ð; ð; ) MODIFIER LETTER SMALL ETH
      "\u1D9F",  # (ᶟ; ᶟ; ᶟ; ɜ; ɜ; ) MODIFIER LETTER SMALL REVERSED OPEN E
      "\u1DA0",  # (ᶠ; ᶠ; ᶠ; f; f; ) MODIFIER LETTER SMALL F
      "\u1DA1",  # (ᶡ; ᶡ; ᶡ; ɟ; ɟ; ) MODIFIER LETTER SMALL DOTLESS J WITH STROKE
      "\u1DA2",  # (ᶢ; ᶢ; ᶢ; ɡ; ɡ; ) MODIFIER LETTER SMALL SCRIPT G
      "\u1DA3",  # (ᶣ; ᶣ; ᶣ; ɥ; ɥ; ) MODIFIER LETTER SMALL TURNED H
      "\u1DA4",  # (ᶤ; ᶤ; ᶤ; ɨ; ɨ; ) MODIFIER LETTER SMALL I WITH STROKE
      "\u1DA5",  # (ᶥ; ᶥ; ᶥ; ɩ; ɩ; ) MODIFIER LETTER SMALL IOTA
      "\u1DA6",  # (ᶦ; ᶦ; ᶦ; ɪ; ɪ; ) MODIFIER LETTER SMALL CAPITAL I
      "\u1DA7",  # (ᶧ; ᶧ; ᶧ; ᵻ; ᵻ; ) MODIFIER LETTER SMALL CAPITAL I WITH STROKE
      "\u1DA8",  # (ᶨ; ᶨ; ᶨ; ʝ; ʝ; ) MODIFIER LETTER SMALL J WITH CROSSED-TAIL
      "\u1DA9",  # (ᶩ; ᶩ; ᶩ; ɭ; ɭ; ) MODIFIER LETTER SMALL L WITH RETROFLEX HOOK
      "\u1DAA",  # (ᶪ; ᶪ; ᶪ; ᶅ; ᶅ; ) MODIFIER LETTER SMALL L WITH PALATAL HOOK
      "\u1DAB",  # (ᶫ; ᶫ; ᶫ; ʟ; ʟ; ) MODIFIER LETTER SMALL CAPITAL L
      "\u1DAC",  # (ᶬ; ᶬ; ᶬ; ɱ; ɱ; ) MODIFIER LETTER SMALL M WITH HOOK
      "\u1DAD",  # (ᶭ; ᶭ; ᶭ; ɰ; ɰ; ) MODIFIER LETTER SMALL TURNED M WITH LONG LEG
      "\u1DAE",  # (ᶮ; ᶮ; ᶮ; ɲ; ɲ; ) MODIFIER LETTER SMALL N WITH LEFT HOOK
      "\u1DAF",  # (ᶯ; ᶯ; ᶯ; ɳ; ɳ; ) MODIFIER LETTER SMALL N WITH RETROFLEX HOOK
      "\u1DB0",  # (ᶰ; ᶰ; ᶰ; ɴ; ɴ; ) MODIFIER LETTER SMALL CAPITAL N
      "\u1DB1",  # (ᶱ; ᶱ; ᶱ; ɵ; ɵ; ) MODIFIER LETTER SMALL BARRED O
      "\u1DB2",  # (ᶲ; ᶲ; ᶲ; ɸ; ɸ; ) MODIFIER LETTER SMALL PHI
      "\u1DB3",  # (ᶳ; ᶳ; ᶳ; ʂ; ʂ; ) MODIFIER LETTER SMALL S WITH HOOK
      "\u1DB4",  # (ᶴ; ᶴ; ᶴ; ʃ; ʃ; ) MODIFIER LETTER SMALL ESH
      "\u1DB5",  # (ᶵ; ᶵ; ᶵ; ƫ; ƫ; ) MODIFIER LETTER SMALL T WITH PALATAL HOOK
      "\u1DB6",  # (ᶶ; ᶶ; ᶶ; ʉ; ʉ; ) MODIFIER LETTER SMALL U BAR
      "\u1DB7",  # (ᶷ; ᶷ; ᶷ; ʊ; ʊ; ) MODIFIER LETTER SMALL UPSILON
      "\u1DB8",  # (ᶸ; ᶸ; ᶸ; ᴜ; ᴜ; ) MODIFIER LETTER SMALL CAPITAL U
      "\u1DB9",  # (ᶹ; ᶹ; ᶹ; ʋ; ʋ; ) MODIFIER LETTER SMALL V WITH HOOK
      "\u1DBA",  # (ᶺ; ᶺ; ᶺ; ʌ; ʌ; ) MODIFIER LETTER SMALL TURNED V
      "\u1DBB",  # (ᶻ; ᶻ; ᶻ; z; z; ) MODIFIER LETTER SMALL Z
      "\u1DBC",  # (ᶼ; ᶼ; ᶼ; ʐ; ʐ; ) MODIFIER LETTER SMALL Z WITH RETROFLEX HOOK
      "\u1DBD",  # (ᶽ; ᶽ; ᶽ; ʑ; ʑ; ) MODIFIER LETTER SMALL Z WITH CURL
      "\u1DBE",  # (ᶾ; ᶾ; ᶾ; ʒ; ʒ; ) MODIFIER LETTER SMALL EZH
      "\u1DBF",  # (ᶿ; ᶿ; ᶿ; θ; θ; ) MODIFIER LETTER SMALL THETA
      "\u1E00",  # (Ḁ; Ḁ; A◌̥; Ḁ; A◌̥; ) LATIN CAPITAL LETTER A WITH RING BELOW
      "\u1E01",  # (ḁ; ḁ; a◌̥; ḁ; a◌̥; ) LATIN SMALL LETTER A WITH RING BELOW
      "\u1E02",  # (Ḃ; Ḃ; B◌̇; Ḃ; B◌̇; ) LATIN CAPITAL LETTER B WITH DOT ABOVE
      "\u1E03",  # (ḃ; ḃ; b◌̇; ḃ; b◌̇; ) LATIN SMALL LETTER B WITH DOT ABOVE
      "\u1E04",  # (Ḅ; Ḅ; B◌̣; Ḅ; B◌̣; ) LATIN CAPITAL LETTER B WITH DOT BELOW
      "\u1E05",  # (ḅ; ḅ; b◌̣; ḅ; b◌̣; ) LATIN SMALL LETTER B WITH DOT BELOW
      "\u1E06",  # (Ḇ; Ḇ; B◌̱; Ḇ; B◌̱; ) LATIN CAPITAL LETTER B WITH LINE BELOW
      "\u1E07",  # (ḇ; ḇ; b◌̱; ḇ; b◌̱; ) LATIN SMALL LETTER B WITH LINE BELOW
      "\u1E08",  # (Ḉ; Ḉ; C◌̧◌́; Ḉ; C◌̧◌́; ) LATIN CAPITAL LETTER C WITH CEDILLA AND ACUTE
      "\u1E09",  # (ḉ; ḉ; c◌̧◌́; ḉ; c◌̧◌́; ) LATIN SMALL LETTER C WITH CEDILLA AND ACUTE
      "\u1E0A",  # (Ḋ; Ḋ; D◌̇; Ḋ; D◌̇; ) LATIN CAPITAL LETTER D WITH DOT ABOVE
      "\u1E0B",  # (ḋ; ḋ; d◌̇; ḋ; d◌̇; ) LATIN SMALL LETTER D WITH DOT ABOVE
      "\u1E0C",  # (Ḍ; Ḍ; D◌̣; Ḍ; D◌̣; ) LATIN CAPITAL LETTER D WITH DOT BELOW
      "\u1E0D",  # (ḍ; ḍ; d◌̣; ḍ; d◌̣; ) LATIN SMALL LETTER D WITH DOT BELOW
      "\u1E0E",  # (Ḏ; Ḏ; D◌̱; Ḏ; D◌̱; ) LATIN CAPITAL LETTER D WITH LINE BELOW
      "\u1E0F",  # (ḏ; ḏ; d◌̱; ḏ; d◌̱; ) LATIN SMALL LETTER D WITH LINE BELOW
      "\u1E10",  # (Ḑ; Ḑ; D◌̧; Ḑ; D◌̧; ) LATIN CAPITAL LETTER D WITH CEDILLA
      "\u1E11",  # (ḑ; ḑ; d◌̧; ḑ; d◌̧; ) LATIN SMALL LETTER D WITH CEDILLA
      "\u1E12",  # (Ḓ; Ḓ; D◌̭; Ḓ; D◌̭; ) LATIN CAPITAL LETTER D WITH CIRCUMFLEX BELOW
      "\u1E13",  # (ḓ; ḓ; d◌̭; ḓ; d◌̭; ) LATIN SMALL LETTER D WITH CIRCUMFLEX BELOW
      "\u1E14",  # (Ḕ; Ḕ; E◌̄◌̀; Ḕ; E◌̄◌̀; ) LATIN CAPITAL LETTER E WITH MACRON AND GRAVE
      "\u1E15",  # (ḕ; ḕ; e◌̄◌̀; ḕ; e◌̄◌̀; ) LATIN SMALL LETTER E WITH MACRON AND GRAVE
      "\u1E16",  # (Ḗ; Ḗ; E◌̄◌́; Ḗ; E◌̄◌́; ) LATIN CAPITAL LETTER E WITH MACRON AND ACUTE
      "\u1E17",  # (ḗ; ḗ; e◌̄◌́; ḗ; e◌̄◌́; ) LATIN SMALL LETTER E WITH MACRON AND ACUTE
      "\u1E18",  # (Ḙ; Ḙ; E◌̭; Ḙ; E◌̭; ) LATIN CAPITAL LETTER E WITH CIRCUMFLEX BELOW
      "\u1E19",  # (ḙ; ḙ; e◌̭; ḙ; e◌̭; ) LATIN SMALL LETTER E WITH CIRCUMFLEX BELOW
      "\u1E1A",  # (Ḛ; Ḛ; E◌̰; Ḛ; E◌̰; ) LATIN CAPITAL LETTER E WITH TILDE BELOW
      "\u1E1B",  # (ḛ; ḛ; e◌̰; ḛ; e◌̰; ) LATIN SMALL LETTER E WITH TILDE BELOW
      "\u1E1C",  # (Ḝ; Ḝ; E◌̧◌̆; Ḝ; E◌̧◌̆; ) LATIN CAPITAL LETTER E WITH CEDILLA AND BREVE
      "\u1E1D",  # (ḝ; ḝ; e◌̧◌̆; ḝ; e◌̧◌̆; ) LATIN SMALL LETTER E WITH CEDILLA AND BREVE
      "\u1E1E",  # (Ḟ; Ḟ; F◌̇; Ḟ; F◌̇; ) LATIN CAPITAL LETTER F WITH DOT ABOVE
      "\u1E1F",  # (ḟ; ḟ; f◌̇; ḟ; f◌̇; ) LATIN SMALL LETTER F WITH DOT ABOVE
      "\u1E20",  # (Ḡ; Ḡ; G◌̄; Ḡ; G◌̄; ) LATIN CAPITAL LETTER G WITH MACRON
      "\u1E21",  # (ḡ; ḡ; g◌̄; ḡ; g◌̄; ) LATIN SMALL LETTER G WITH MACRON
      "\u1E22",  # (Ḣ; Ḣ; H◌̇; Ḣ; H◌̇; ) LATIN CAPITAL LETTER H WITH DOT ABOVE
      "\u1E23",  # (ḣ; ḣ; h◌̇; ḣ; h◌̇; ) LATIN SMALL LETTER H WITH DOT ABOVE
      "\u1E24",  # (Ḥ; Ḥ; H◌̣; Ḥ; H◌̣; ) LATIN CAPITAL LETTER H WITH DOT BELOW
      "\u1E25",  # (ḥ; ḥ; h◌̣; ḥ; h◌̣; ) LATIN SMALL LETTER H WITH DOT BELOW
      "\u1E26",  # (Ḧ; Ḧ; H◌̈; Ḧ; H◌̈; ) LATIN CAPITAL LETTER H WITH DIAERESIS
      "\u1E27",  # (ḧ; ḧ; h◌̈; ḧ; h◌̈; ) LATIN SMALL LETTER H WITH DIAERESIS
      "\u1E28",  # (Ḩ; Ḩ; H◌̧; Ḩ; H◌̧; ) LATIN CAPITAL LETTER H WITH CEDILLA
      "\u1E29",  # (ḩ; ḩ; h◌̧; ḩ; h◌̧; ) LATIN SMALL LETTER H WITH CEDILLA
      "\u1E2A",  # (Ḫ; Ḫ; H◌̮; Ḫ; H◌̮; ) LATIN CAPITAL LETTER H WITH BREVE BELOW
      "\u1E2B",  # (ḫ; ḫ; h◌̮; ḫ; h◌̮; ) LATIN SMALL LETTER H WITH BREVE BELOW
      "\u1E2C",  # (Ḭ; Ḭ; I◌̰; Ḭ; I◌̰; ) LATIN CAPITAL LETTER I WITH TILDE BELOW
      "\u1E2D",  # (ḭ; ḭ; i◌̰; ḭ; i◌̰; ) LATIN SMALL LETTER I WITH TILDE BELOW
      "\u1E2E",  # (Ḯ; Ḯ; I◌̈◌́; Ḯ; I◌̈◌́; ) LATIN CAPITAL LETTER I WITH DIAERESIS AND ACUTE
      "\u1E2F",  # (ḯ; ḯ; i◌̈◌́; ḯ; i◌̈◌́; ) LATIN SMALL LETTER I WITH DIAERESIS AND ACUTE
      "\u1E30",  # (Ḱ; Ḱ; K◌́; Ḱ; K◌́; ) LATIN CAPITAL LETTER K WITH ACUTE
      "\u1E31",  # (ḱ; ḱ; k◌́; ḱ; k◌́; ) LATIN SMALL LETTER K WITH ACUTE
      "\u1E32",  # (Ḳ; Ḳ; K◌̣; Ḳ; K◌̣; ) LATIN CAPITAL LETTER K WITH DOT BELOW
      "\u1E33",  # (ḳ; ḳ; k◌̣; ḳ; k◌̣; ) LATIN SMALL LETTER K WITH DOT BELOW
      "\u1E34",  # (Ḵ; Ḵ; K◌̱; Ḵ; K◌̱; ) LATIN CAPITAL LETTER K WITH LINE BELOW
      "\u1E35",  # (ḵ; ḵ; k◌̱; ḵ; k◌̱; ) LATIN SMALL LETTER K WITH LINE BELOW
      "\u1E36",  # (Ḷ; Ḷ; L◌̣; Ḷ; L◌̣; ) LATIN CAPITAL LETTER L WITH DOT BELOW
      "\u1E37",  # (ḷ; ḷ; l◌̣; ḷ; l◌̣; ) LATIN SMALL LETTER L WITH DOT BELOW
      "\u1E38",  # (Ḹ; Ḹ; L◌̣◌̄; Ḹ; L◌̣◌̄; ) LATIN CAPITAL LETTER L WITH DOT BELOW AND MACRON
      "\u1E39",  # (ḹ; ḹ; l◌̣◌̄; ḹ; l◌̣◌̄; ) LATIN SMALL LETTER L WITH DOT BELOW AND MACRON
      "\u1E3A",  # (Ḻ; Ḻ; L◌̱; Ḻ; L◌̱; ) LATIN CAPITAL LETTER L WITH LINE BELOW
      "\u1E3B",  # (ḻ; ḻ; l◌̱; ḻ; l◌̱; ) LATIN SMALL LETTER L WITH LINE BELOW
      "\u1E3C",  # (Ḽ; Ḽ; L◌̭; Ḽ; L◌̭; ) LATIN CAPITAL LETTER L WITH CIRCUMFLEX BELOW
      "\u1E3D",  # (ḽ; ḽ; l◌̭; ḽ; l◌̭; ) LATIN SMALL LETTER L WITH CIRCUMFLEX BELOW
      "\u1E3E",  # (Ḿ; Ḿ; M◌́; Ḿ; M◌́; ) LATIN CAPITAL LETTER M WITH ACUTE
      "\u1E3F",  # (ḿ; ḿ; m◌́; ḿ; m◌́; ) LATIN SMALL LETTER M WITH ACUTE
      "\u1E40",  # (Ṁ; Ṁ; M◌̇; Ṁ; M◌̇; ) LATIN CAPITAL LETTER M WITH DOT ABOVE
      "\u1E41",  # (ṁ; ṁ; m◌̇; ṁ; m◌̇; ) LATIN SMALL LETTER M WITH DOT ABOVE
      "\u1E42",  # (Ṃ; Ṃ; M◌̣; Ṃ; M◌̣; ) LATIN CAPITAL LETTER M WITH DOT BELOW
      "\u1E43",  # (ṃ; ṃ; m◌̣; ṃ; m◌̣; ) LATIN SMALL LETTER M WITH DOT BELOW
      "\u1E44",  # (Ṅ; Ṅ; N◌̇; Ṅ; N◌̇; ) LATIN CAPITAL LETTER N WITH DOT ABOVE
      "\u1E45",  # (ṅ; ṅ; n◌̇; ṅ; n◌̇; ) LATIN SMALL LETTER N WITH DOT ABOVE
      "\u1E46",  # (Ṇ; Ṇ; N◌̣; Ṇ; N◌̣; ) LATIN CAPITAL LETTER N WITH DOT BELOW
      "\u1E47",  # (ṇ; ṇ; n◌̣; ṇ; n◌̣; ) LATIN SMALL LETTER N WITH DOT BELOW
      "\u1E48",  # (Ṉ; Ṉ; N◌̱; Ṉ; N◌̱; ) LATIN CAPITAL LETTER N WITH LINE BELOW
      "\u1E49",  # (ṉ; ṉ; n◌̱; ṉ; n◌̱; ) LATIN SMALL LETTER N WITH LINE BELOW
      "\u1E4A",  # (Ṋ; Ṋ; N◌̭; Ṋ; N◌̭; ) LATIN CAPITAL LETTER N WITH CIRCUMFLEX BELOW
      "\u1E4B",  # (ṋ; ṋ; n◌̭; ṋ; n◌̭; ) LATIN SMALL LETTER N WITH CIRCUMFLEX BELOW
      "\u1E4C",  # (Ṍ; Ṍ; O◌̃◌́; Ṍ; O◌̃◌́; ) LATIN CAPITAL LETTER O WITH TILDE AND ACUTE
      "\u1E4D",  # (ṍ; ṍ; o◌̃◌́; ṍ; o◌̃◌́; ) LATIN SMALL LETTER O WITH TILDE AND ACUTE
      "\u1E4E",  # (Ṏ; Ṏ; O◌̃◌̈; Ṏ; O◌̃◌̈; ) LATIN CAPITAL LETTER O WITH TILDE AND DIAERESIS
      "\u1E4F",  # (ṏ; ṏ; o◌̃◌̈; ṏ; o◌̃◌̈; ) LATIN SMALL LETTER O WITH TILDE AND DIAERESIS
      "\u1E50",  # (Ṑ; Ṑ; O◌̄◌̀; Ṑ; O◌̄◌̀; ) LATIN CAPITAL LETTER O WITH MACRON AND GRAVE
      "\u1E51",  # (ṑ; ṑ; o◌̄◌̀; ṑ; o◌̄◌̀; ) LATIN SMALL LETTER O WITH MACRON AND GRAVE
      "\u1E52",  # (Ṓ; Ṓ; O◌̄◌́; Ṓ; O◌̄◌́; ) LATIN CAPITAL LETTER O WITH MACRON AND ACUTE
      "\u1E53",  # (ṓ; ṓ; o◌̄◌́; ṓ; o◌̄◌́; ) LATIN SMALL LETTER O WITH MACRON AND ACUTE
      "\u1E54",  # (Ṕ; Ṕ; P◌́; Ṕ; P◌́; ) LATIN CAPITAL LETTER P WITH ACUTE
      "\u1E55",  # (ṕ; ṕ; p◌́; ṕ; p◌́; ) LATIN SMALL LETTER P WITH ACUTE
      "\u1E56",  # (Ṗ; Ṗ; P◌̇; Ṗ; P◌̇; ) LATIN CAPITAL LETTER P WITH DOT ABOVE
      "\u1E57",  # (ṗ; ṗ; p◌̇; ṗ; p◌̇; ) LATIN SMALL LETTER P WITH DOT ABOVE
      "\u1E58",  # (Ṙ; Ṙ; R◌̇; Ṙ; R◌̇; ) LATIN CAPITAL LETTER R WITH DOT ABOVE
      "\u1E59",  # (ṙ; ṙ; r◌̇; ṙ; r◌̇; ) LATIN SMALL LETTER R WITH DOT ABOVE
      "\u1E5A",  # (Ṛ; Ṛ; R◌̣; Ṛ; R◌̣; ) LATIN CAPITAL LETTER R WITH DOT BELOW
      "\u1E5B",  # (ṛ; ṛ; r◌̣; ṛ; r◌̣; ) LATIN SMALL LETTER R WITH DOT BELOW
      "\u1E5C",  # (Ṝ; Ṝ; R◌̣◌̄; Ṝ; R◌̣◌̄; ) LATIN CAPITAL LETTER R WITH DOT BELOW AND MACRON
      "\u1E5D",  # (ṝ; ṝ; r◌̣◌̄; ṝ; r◌̣◌̄; ) LATIN SMALL LETTER R WITH DOT BELOW AND MACRON
      "\u1E5E",  # (Ṟ; Ṟ; R◌̱; Ṟ; R◌̱; ) LATIN CAPITAL LETTER R WITH LINE BELOW
      "\u1E5F",  # (ṟ; ṟ; r◌̱; ṟ; r◌̱; ) LATIN SMALL LETTER R WITH LINE BELOW
      "\u1E60",  # (Ṡ; Ṡ; S◌̇; Ṡ; S◌̇; ) LATIN CAPITAL LETTER S WITH DOT ABOVE
      "\u1E61",  # (ṡ; ṡ; s◌̇; ṡ; s◌̇; ) LATIN SMALL LETTER S WITH DOT ABOVE
      "\u1E62",  # (Ṣ; Ṣ; S◌̣; Ṣ; S◌̣; ) LATIN CAPITAL LETTER S WITH DOT BELOW
      "\u1E63",  # (ṣ; ṣ; s◌̣; ṣ; s◌̣; ) LATIN SMALL LETTER S WITH DOT BELOW
      "\u1E64",  # (Ṥ; Ṥ; S◌́◌̇; Ṥ; S◌́◌̇; ) LATIN CAPITAL LETTER S WITH ACUTE AND DOT ABOVE
      "\u1E65",  # (ṥ; ṥ; s◌́◌̇; ṥ; s◌́◌̇; ) LATIN SMALL LETTER S WITH ACUTE AND DOT ABOVE
      "\u1E66",  # (Ṧ; Ṧ; S◌̌◌̇; Ṧ; S◌̌◌̇; ) LATIN CAPITAL LETTER S WITH CARON AND DOT ABOVE
      "\u1E67",  # (ṧ; ṧ; s◌̌◌̇; ṧ; s◌̌◌̇; ) LATIN SMALL LETTER S WITH CARON AND DOT ABOVE
      "\u1E68",  # (Ṩ; Ṩ; S◌̣◌̇; Ṩ; S◌̣◌̇; ) LATIN CAPITAL LETTER S WITH DOT BELOW AND DOT ABOVE
      "\u1E69",  # (ṩ; ṩ; s◌̣◌̇; ṩ; s◌̣◌̇; ) LATIN SMALL LETTER S WITH DOT BELOW AND DOT ABOVE
      "\u1E6A",  # (Ṫ; Ṫ; T◌̇; Ṫ; T◌̇; ) LATIN CAPITAL LETTER T WITH DOT ABOVE
      "\u1E6B",  # (ṫ; ṫ; t◌̇; ṫ; t◌̇; ) LATIN SMALL LETTER T WITH DOT ABOVE
      "\u1E6C",  # (Ṭ; Ṭ; T◌̣; Ṭ; T◌̣; ) LATIN CAPITAL LETTER T WITH DOT BELOW
      "\u1E6D",  # (ṭ; ṭ; t◌̣; ṭ; t◌̣; ) LATIN SMALL LETTER T WITH DOT BELOW
      "\u1E6E",  # (Ṯ; Ṯ; T◌̱; Ṯ; T◌̱; ) LATIN CAPITAL LETTER T WITH LINE BELOW
      "\u1E6F",  # (ṯ; ṯ; t◌̱; ṯ; t◌̱; ) LATIN SMALL LETTER T WITH LINE BELOW
      "\u1E70",  # (Ṱ; Ṱ; T◌̭; Ṱ; T◌̭; ) LATIN CAPITAL LETTER T WITH CIRCUMFLEX BELOW
      "\u1E71",  # (ṱ; ṱ; t◌̭; ṱ; t◌̭; ) LATIN SMALL LETTER T WITH CIRCUMFLEX BELOW
      "\u1E72",  # (Ṳ; Ṳ; U◌̤; Ṳ; U◌̤; ) LATIN CAPITAL LETTER U WITH DIAERESIS BELOW
      "\u1E73",  # (ṳ; ṳ; u◌̤; ṳ; u◌̤; ) LATIN SMALL LETTER U WITH DIAERESIS BELOW
      "\u1E74",  # (Ṵ; Ṵ; U◌̰; Ṵ; U◌̰; ) LATIN CAPITAL LETTER U WITH TILDE BELOW
      "\u1E75",  # (ṵ; ṵ; u◌̰; ṵ; u◌̰; ) LATIN SMALL LETTER U WITH TILDE BELOW
      "\u1E76",  # (Ṷ; Ṷ; U◌̭; Ṷ; U◌̭; ) LATIN CAPITAL LETTER U WITH CIRCUMFLEX BELOW
      "\u1E77",  # (ṷ; ṷ; u◌̭; ṷ; u◌̭; ) LATIN SMALL LETTER U WITH CIRCUMFLEX BELOW
      "\u1E78",  # (Ṹ; Ṹ; U◌̃◌́; Ṹ; U◌̃◌́; ) LATIN CAPITAL LETTER U WITH TILDE AND ACUTE
      "\u1E79",  # (ṹ; ṹ; u◌̃◌́; ṹ; u◌̃◌́; ) LATIN SMALL LETTER U WITH TILDE AND ACUTE
      "\u1E7A",  # (Ṻ; Ṻ; U◌̄◌̈; Ṻ; U◌̄◌̈; ) LATIN CAPITAL LETTER U WITH MACRON AND DIAERESIS
      "\u1E7B",  # (ṻ; ṻ; u◌̄◌̈; ṻ; u◌̄◌̈; ) LATIN SMALL LETTER U WITH MACRON AND DIAERESIS
      "\u1E7C",  # (Ṽ; Ṽ; V◌̃; Ṽ; V◌̃; ) LATIN CAPITAL LETTER V WITH TILDE
      "\u1E7D",  # (ṽ; ṽ; v◌̃; ṽ; v◌̃; ) LATIN SMALL LETTER V WITH TILDE
      "\u1E7E",  # (Ṿ; Ṿ; V◌̣; Ṿ; V◌̣; ) LATIN CAPITAL LETTER V WITH DOT BELOW
      "\u1E7F",  # (ṿ; ṿ; v◌̣; ṿ; v◌̣; ) LATIN SMALL LETTER V WITH DOT BELOW
      "\u1E80",  # (Ẁ; Ẁ; W◌̀; Ẁ; W◌̀; ) LATIN CAPITAL LETTER W WITH GRAVE
      "\u1E81",  # (ẁ; ẁ; w◌̀; ẁ; w◌̀; ) LATIN SMALL LETTER W WITH GRAVE
      "\u1E82",  # (Ẃ; Ẃ; W◌́; Ẃ; W◌́; ) LATIN CAPITAL LETTER W WITH ACUTE
      "\u1E83",  # (ẃ; ẃ; w◌́; ẃ; w◌́; ) LATIN SMALL LETTER W WITH ACUTE
      "\u1E84",  # (Ẅ; Ẅ; W◌̈; Ẅ; W◌̈; ) LATIN CAPITAL LETTER W WITH DIAERESIS
      "\u1E85",  # (ẅ; ẅ; w◌̈; ẅ; w◌̈; ) LATIN SMALL LETTER W WITH DIAERESIS
      "\u1E86",  # (Ẇ; Ẇ; W◌̇; Ẇ; W◌̇; ) LATIN CAPITAL LETTER W WITH DOT ABOVE
      "\u1E87",  # (ẇ; ẇ; w◌̇; ẇ; w◌̇; ) LATIN SMALL LETTER W WITH DOT ABOVE
      "\u1E88",  # (Ẉ; Ẉ; W◌̣; Ẉ; W◌̣; ) LATIN CAPITAL LETTER W WITH DOT BELOW
      "\u1E89",  # (ẉ; ẉ; w◌̣; ẉ; w◌̣; ) LATIN SMALL LETTER W WITH DOT BELOW
      "\u1E8A",  # (Ẋ; Ẋ; X◌̇; Ẋ; X◌̇; ) LATIN CAPITAL LETTER X WITH DOT ABOVE
      "\u1E8B",  # (ẋ; ẋ; x◌̇; ẋ; x◌̇; ) LATIN SMALL LETTER X WITH DOT ABOVE
      "\u1E8C",  # (Ẍ; Ẍ; X◌̈; Ẍ; X◌̈; ) LATIN CAPITAL LETTER X WITH DIAERESIS
      "\u1E8D",  # (ẍ; ẍ; x◌̈; ẍ; x◌̈; ) LATIN SMALL LETTER X WITH DIAERESIS
      "\u1E8E",  # (Ẏ; Ẏ; Y◌̇; Ẏ; Y◌̇; ) LATIN CAPITAL LETTER Y WITH DOT ABOVE
      "\u1E8F",  # (ẏ; ẏ; y◌̇; ẏ; y◌̇; ) LATIN SMALL LETTER Y WITH DOT ABOVE
      "\u1E90",  # (Ẑ; Ẑ; Z◌̂; Ẑ; Z◌̂; ) LATIN CAPITAL LETTER Z WITH CIRCUMFLEX
      "\u1E91",  # (ẑ; ẑ; z◌̂; ẑ; z◌̂; ) LATIN SMALL LETTER Z WITH CIRCUMFLEX
      "\u1E92",  # (Ẓ; Ẓ; Z◌̣; Ẓ; Z◌̣; ) LATIN CAPITAL LETTER Z WITH DOT BELOW
      "\u1E93",  # (ẓ; ẓ; z◌̣; ẓ; z◌̣; ) LATIN SMALL LETTER Z WITH DOT BELOW
      "\u1E94",  # (Ẕ; Ẕ; Z◌̱; Ẕ; Z◌̱; ) LATIN CAPITAL LETTER Z WITH LINE BELOW
      "\u1E95",  # (ẕ; ẕ; z◌̱; ẕ; z◌̱; ) LATIN SMALL LETTER Z WITH LINE BELOW
      "\u1E96",  # (ẖ; ẖ; h◌̱; ẖ; h◌̱; ) LATIN SMALL LETTER H WITH LINE BELOW
      "\u1E97",  # (ẗ; ẗ; t◌̈; ẗ; t◌̈; ) LATIN SMALL LETTER T WITH DIAERESIS
      "\u1E98",  # (ẘ; ẘ; w◌̊; ẘ; w◌̊; ) LATIN SMALL LETTER W WITH RING ABOVE
      "\u1E99",  # (ẙ; ẙ; y◌̊; ẙ; y◌̊; ) LATIN SMALL LETTER Y WITH RING ABOVE
      "\u1E9A",  # (ẚ; ẚ; ẚ; aʾ; aʾ; ) LATIN SMALL LETTER A WITH RIGHT HALF RING
      "\u1E9B",  # (ẛ; ẛ; ſ◌̇; ṡ; s◌̇; ) LATIN SMALL LETTER LONG S WITH DOT ABOVE
      "\u1EA0",  # (Ạ; Ạ; A◌̣; Ạ; A◌̣; ) LATIN CAPITAL LETTER A WITH DOT BELOW
      "\u1EA1",  # (ạ; ạ; a◌̣; ạ; a◌̣; ) LATIN SMALL LETTER A WITH DOT BELOW
      "\u1EA2",  # (Ả; Ả; A◌̉; Ả; A◌̉; ) LATIN CAPITAL LETTER A WITH HOOK ABOVE
      "\u1EA3",  # (ả; ả; a◌̉; ả; a◌̉; ) LATIN SMALL LETTER A WITH HOOK ABOVE
      "\u1EA4",  # (Ấ; Ấ; A◌̂◌́; Ấ; A◌̂◌́; ) LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND ACUTE
      "\u1EA5",  # (ấ; ấ; a◌̂◌́; ấ; a◌̂◌́; ) LATIN SMALL LETTER A WITH CIRCUMFLEX AND ACUTE
      "\u1EA6",  # (Ầ; Ầ; A◌̂◌̀; Ầ; A◌̂◌̀; ) LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND GRAVE
      "\u1EA7",  # (ầ; ầ; a◌̂◌̀; ầ; a◌̂◌̀; ) LATIN SMALL LETTER A WITH CIRCUMFLEX AND GRAVE
      "\u1EA8",  # (Ẩ; Ẩ; A◌̂◌̉; Ẩ; A◌̂◌̉; ) LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE
      "\u1EA9",  # (ẩ; ẩ; a◌̂◌̉; ẩ; a◌̂◌̉; ) LATIN SMALL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE
      "\u1EAA",  # (Ẫ; Ẫ; A◌̂◌̃; Ẫ; A◌̂◌̃; ) LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND TILDE
      "\u1EAB",  # (ẫ; ẫ; a◌̂◌̃; ẫ; a◌̂◌̃; ) LATIN SMALL LETTER A WITH CIRCUMFLEX AND TILDE
      "\u1EAC",  # (Ậ; Ậ; A◌̣◌̂; Ậ; A◌̣◌̂; ) LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND DOT BELOW
      "\u1EAD",  # (ậ; ậ; a◌̣◌̂; ậ; a◌̣◌̂; ) LATIN SMALL LETTER A WITH CIRCUMFLEX AND DOT BELOW
      "\u1EAE",  # (Ắ; Ắ; A◌̆◌́; Ắ; A◌̆◌́; ) LATIN CAPITAL LETTER A WITH BREVE AND ACUTE
      "\u1EAF",  # (ắ; ắ; a◌̆◌́; ắ; a◌̆◌́; ) LATIN SMALL LETTER A WITH BREVE AND ACUTE
      "\u1EB0",  # (Ằ; Ằ; A◌̆◌̀; Ằ; A◌̆◌̀; ) LATIN CAPITAL LETTER A WITH BREVE AND GRAVE
      "\u1EB1",  # (ằ; ằ; a◌̆◌̀; ằ; a◌̆◌̀; ) LATIN SMALL LETTER A WITH BREVE AND GRAVE
      "\u1EB2",  # (Ẳ; Ẳ; A◌̆◌̉; Ẳ; A◌̆◌̉; ) LATIN CAPITAL LETTER A WITH BREVE AND HOOK ABOVE
      "\u1EB3",  # (ẳ; ẳ; a◌̆◌̉; ẳ; a◌̆◌̉; ) LATIN SMALL LETTER A WITH BREVE AND HOOK ABOVE
      "\u1EB4",  # (Ẵ; Ẵ; A◌̆◌̃; Ẵ; A◌̆◌̃; ) LATIN CAPITAL LETTER A WITH BREVE AND TILDE
      "\u1EB5",  # (ẵ; ẵ; a◌̆◌̃; ẵ; a◌̆◌̃; ) LATIN SMALL LETTER A WITH BREVE AND TILDE
      "\u1EB6",  # (Ặ; Ặ; A◌̣◌̆; Ặ; A◌̣◌̆; ) LATIN CAPITAL LETTER A WITH BREVE AND DOT BELOW
      "\u1EB7",  # (ặ; ặ; a◌̣◌̆; ặ; a◌̣◌̆; ) LATIN SMALL LETTER A WITH BREVE AND DOT BELOW
      "\u1EB8",  # (Ẹ; Ẹ; E◌̣; Ẹ; E◌̣; ) LATIN CAPITAL LETTER E WITH DOT BELOW
      "\u1EB9",  # (ẹ; ẹ; e◌̣; ẹ; e◌̣; ) LATIN SMALL LETTER E WITH DOT BELOW
      "\u1EBA",  # (Ẻ; Ẻ; E◌̉; Ẻ; E◌̉; ) LATIN CAPITAL LETTER E WITH HOOK ABOVE
      "\u1EBB",  # (ẻ; ẻ; e◌̉; ẻ; e◌̉; ) LATIN SMALL LETTER E WITH HOOK ABOVE
      "\u1EBC",  # (Ẽ; Ẽ; E◌̃; Ẽ; E◌̃; ) LATIN CAPITAL LETTER E WITH TILDE
      "\u1EBD",  # (ẽ; ẽ; e◌̃; ẽ; e◌̃; ) LATIN SMALL LETTER E WITH TILDE
      "\u1EBE",  # (Ế; Ế; E◌̂◌́; Ế; E◌̂◌́; ) LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND ACUTE
      "\u1EBF",  # (ế; ế; e◌̂◌́; ế; e◌̂◌́; ) LATIN SMALL LETTER E WITH CIRCUMFLEX AND ACUTE
      "\u1EC0",  # (Ề; Ề; E◌̂◌̀; Ề; E◌̂◌̀; ) LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND GRAVE
      "\u1EC1",  # (ề; ề; e◌̂◌̀; ề; e◌̂◌̀; ) LATIN SMALL LETTER E WITH CIRCUMFLEX AND GRAVE
      "\u1EC2",  # (Ể; Ể; E◌̂◌̉; Ể; E◌̂◌̉; ) LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE
      "\u1EC3",  # (ể; ể; e◌̂◌̉; ể; e◌̂◌̉; ) LATIN SMALL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE
      "\u1EC4",  # (Ễ; Ễ; E◌̂◌̃; Ễ; E◌̂◌̃; ) LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND TILDE
      "\u1EC5",  # (ễ; ễ; e◌̂◌̃; ễ; e◌̂◌̃; ) LATIN SMALL LETTER E WITH CIRCUMFLEX AND TILDE
      "\u1EC6",  # (Ệ; Ệ; E◌̣◌̂; Ệ; E◌̣◌̂; ) LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND DOT BELOW
      "\u1EC7",  # (ệ; ệ; e◌̣◌̂; ệ; e◌̣◌̂; ) LATIN SMALL LETTER E WITH CIRCUMFLEX AND DOT BELOW
      "\u1EC8",  # (Ỉ; Ỉ; I◌̉; Ỉ; I◌̉; ) LATIN CAPITAL LETTER I WITH HOOK ABOVE
      "\u1EC9",  # (ỉ; ỉ; i◌̉; ỉ; i◌̉; ) LATIN SMALL LETTER I WITH HOOK ABOVE
      "\u1ECA",  # (Ị; Ị; I◌̣; Ị; I◌̣; ) LATIN CAPITAL LETTER I WITH DOT BELOW
      "\u1ECB",  # (ị; ị; i◌̣; ị; i◌̣; ) LATIN SMALL LETTER I WITH DOT BELOW
      "\u1ECC",  # (Ọ; Ọ; O◌̣; Ọ; O◌̣; ) LATIN CAPITAL LETTER O WITH DOT BELOW
      "\u1ECD",  # (ọ; ọ; o◌̣; ọ; o◌̣; ) LATIN SMALL LETTER O WITH DOT BELOW
      "\u1ECE",  # (Ỏ; Ỏ; O◌̉; Ỏ; O◌̉; ) LATIN CAPITAL LETTER O WITH HOOK ABOVE
      "\u1ECF",  # (ỏ; ỏ; o◌̉; ỏ; o◌̉; ) LATIN SMALL LETTER O WITH HOOK ABOVE
      "\u1ED0",  # (Ố; Ố; O◌̂◌́; Ố; O◌̂◌́; ) LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND ACUTE
      "\u1ED1",  # (ố; ố; o◌̂◌́; ố; o◌̂◌́; ) LATIN SMALL LETTER O WITH CIRCUMFLEX AND ACUTE
      "\u1ED2",  # (Ồ; Ồ; O◌̂◌̀; Ồ; O◌̂◌̀; ) LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND GRAVE
      "\u1ED3",  # (ồ; ồ; o◌̂◌̀; ồ; o◌̂◌̀; ) LATIN SMALL LETTER O WITH CIRCUMFLEX AND GRAVE
      "\u1ED4",  # (Ổ; Ổ; O◌̂◌̉; Ổ; O◌̂◌̉; ) LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE
      "\u1ED5",  # (ổ; ổ; o◌̂◌̉; ổ; o◌̂◌̉; ) LATIN SMALL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE
      "\u1ED6",  # (Ỗ; Ỗ; O◌̂◌̃; Ỗ; O◌̂◌̃; ) LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND TILDE
      "\u1ED7",  # (ỗ; ỗ; o◌̂◌̃; ỗ; o◌̂◌̃; ) LATIN SMALL LETTER O WITH CIRCUMFLEX AND TILDE
      "\u1ED8",  # (Ộ; Ộ; O◌̣◌̂; Ộ; O◌̣◌̂; ) LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND DOT BELOW
      "\u1ED9",  # (ộ; ộ; o◌̣◌̂; ộ; o◌̣◌̂; ) LATIN SMALL LETTER O WITH CIRCUMFLEX AND DOT BELOW
      "\u1EDA",  # (Ớ; Ớ; O◌̛◌́; Ớ; O◌̛◌́; ) LATIN CAPITAL LETTER O WITH HORN AND ACUTE
      "\u1EDB",  # (ớ; ớ; o◌̛◌́; ớ; o◌̛◌́; ) LATIN SMALL LETTER O WITH HORN AND ACUTE
      "\u1EDC",  # (Ờ; Ờ; O◌̛◌̀; Ờ; O◌̛◌̀; ) LATIN CAPITAL LETTER O WITH HORN AND GRAVE
      "\u1EDD",  # (ờ; ờ; o◌̛◌̀; ờ; o◌̛◌̀; ) LATIN SMALL LETTER O WITH HORN AND GRAVE
      "\u1EDE",  # (Ở; Ở; O◌̛◌̉; Ở; O◌̛◌̉; ) LATIN CAPITAL LETTER O WITH HORN AND HOOK ABOVE
      "\u1EDF",  # (ở; ở; o◌̛◌̉; ở; o◌̛◌̉; ) LATIN SMALL LETTER O WITH HORN AND HOOK ABOVE
      "\u1EE0",  # (Ỡ; Ỡ; O◌̛◌̃; Ỡ; O◌̛◌̃; ) LATIN CAPITAL LETTER O WITH HORN AND TILDE
      "\u1EE1",  # (ỡ; ỡ; o◌̛◌̃; ỡ; o◌̛◌̃; ) LATIN SMALL LETTER O WITH HORN AND TILDE
      "\u1EE2",  # (Ợ; Ợ; O◌̛◌̣; Ợ; O◌̛◌̣; ) LATIN CAPITAL LETTER O WITH HORN AND DOT BELOW
      "\u1EE3",  # (ợ; ợ; o◌̛◌̣; ợ; o◌̛◌̣; ) LATIN SMALL LETTER O WITH HORN AND DOT BELOW
      "\u1EE4",  # (Ụ; Ụ; U◌̣; Ụ; U◌̣; ) LATIN CAPITAL LETTER U WITH DOT BELOW
      "\u1EE5",  # (ụ; ụ; u◌̣; ụ; u◌̣; ) LATIN SMALL LETTER U WITH DOT BELOW
      "\u1EE6",  # (Ủ; Ủ; U◌̉; Ủ; U◌̉; ) LATIN CAPITAL LETTER U WITH HOOK ABOVE
      "\u1EE7",  # (ủ; ủ; u◌̉; ủ; u◌̉; ) LATIN SMALL LETTER U WITH HOOK ABOVE
      "\u1EE8",  # (Ứ; Ứ; U◌̛◌́; Ứ; U◌̛◌́; ) LATIN CAPITAL LETTER U WITH HORN AND ACUTE
      "\u1EE9",  # (ứ; ứ; u◌̛◌́; ứ; u◌̛◌́; ) LATIN SMALL LETTER U WITH HORN AND ACUTE
      "\u1EEA",  # (Ừ; Ừ; U◌̛◌̀; Ừ; U◌̛◌̀; ) LATIN CAPITAL LETTER U WITH HORN AND GRAVE
      "\u1EEB",  # (ừ; ừ; u◌̛◌̀; ừ; u◌̛◌̀; ) LATIN SMALL LETTER U WITH HORN AND GRAVE
      "\u1EEC",  # (Ử; Ử; U◌̛◌̉; Ử; U◌̛◌̉; ) LATIN CAPITAL LETTER U WITH HORN AND HOOK ABOVE
      "\u1EED",  # (ử; ử; u◌̛◌̉; ử; u◌̛◌̉; ) LATIN SMALL LETTER U WITH HORN AND HOOK ABOVE
      "\u1EEE",  # (Ữ; Ữ; U◌̛◌̃; Ữ; U◌̛◌̃; ) LATIN CAPITAL LETTER U WITH HORN AND TILDE
      "\u1EEF",  # (ữ; ữ; u◌̛◌̃; ữ; u◌̛◌̃; ) LATIN SMALL LETTER U WITH HORN AND TILDE
      "\u1EF0",  # (Ự; Ự; U◌̛◌̣; Ự; U◌̛◌̣; ) LATIN CAPITAL LETTER U WITH HORN AND DOT BELOW
      "\u1EF1",  # (ự; ự; u◌̛◌̣; ự; u◌̛◌̣; ) LATIN SMALL LETTER U WITH HORN AND DOT BELOW
      "\u1EF2",  # (Ỳ; Ỳ; Y◌̀; Ỳ; Y◌̀; ) LATIN CAPITAL LETTER Y WITH GRAVE
      "\u1EF3",  # (ỳ; ỳ; y◌̀; ỳ; y◌̀; ) LATIN SMALL LETTER Y WITH GRAVE
      "\u1EF4",  # (Ỵ; Ỵ; Y◌̣; Ỵ; Y◌̣; ) LATIN CAPITAL LETTER Y WITH DOT BELOW
      "\u1EF5",  # (ỵ; ỵ; y◌̣; ỵ; y◌̣; ) LATIN SMALL LETTER Y WITH DOT BELOW
      "\u1EF6",  # (Ỷ; Ỷ; Y◌̉; Ỷ; Y◌̉; ) LATIN CAPITAL LETTER Y WITH HOOK ABOVE
      "\u1EF7",  # (ỷ; ỷ; y◌̉; ỷ; y◌̉; ) LATIN SMALL LETTER Y WITH HOOK ABOVE
      "\u1EF8",  # (Ỹ; Ỹ; Y◌̃; Ỹ; Y◌̃; ) LATIN CAPITAL LETTER Y WITH TILDE
      "\u1EF9",  # (ỹ; ỹ; y◌̃; ỹ; y◌̃; ) LATIN SMALL LETTER Y WITH TILDE
      "\u1F00",  # (ἀ; ἀ; α◌̓; ἀ; α◌̓; ) GREEK SMALL LETTER ALPHA WITH PSILI
      "\u1F01",  # (ἁ; ἁ; α◌̔; ἁ; α◌̔; ) GREEK SMALL LETTER ALPHA WITH DASIA
      "\u1F02",  # (ἂ; ἂ; α◌̓◌̀; ἂ; α◌̓◌̀; ) GREEK SMALL LETTER ALPHA WITH PSILI AND VARIA
      "\u1F03",  # (ἃ; ἃ; α◌̔◌̀; ἃ; α◌̔◌̀; ) GREEK SMALL LETTER ALPHA WITH DASIA AND VARIA
      "\u1F04",  # (ἄ; ἄ; α◌̓◌́; ἄ; α◌̓◌́; ) GREEK SMALL LETTER ALPHA WITH PSILI AND OXIA
      "\u1F05",  # (ἅ; ἅ; α◌̔◌́; ἅ; α◌̔◌́; ) GREEK SMALL LETTER ALPHA WITH DASIA AND OXIA
      "\u1F06",  # (ἆ; ἆ; α◌̓◌͂; ἆ; α◌̓◌͂; ) GREEK SMALL LETTER ALPHA WITH PSILI AND PERISPOMENI
      "\u1F07",  # (ἇ; ἇ; α◌̔◌͂; ἇ; α◌̔◌͂; ) GREEK SMALL LETTER ALPHA WITH DASIA AND PERISPOMENI
      "\u1F08",  # (Ἀ; Ἀ; Α◌̓; Ἀ; Α◌̓; ) GREEK CAPITAL LETTER ALPHA WITH PSILI
      "\u1F09",  # (Ἁ; Ἁ; Α◌̔; Ἁ; Α◌̔; ) GREEK CAPITAL LETTER ALPHA WITH DASIA
      "\u1F0A",  # (Ἂ; Ἂ; Α◌̓◌̀; Ἂ; Α◌̓◌̀; ) GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA
      "\u1F0B",  # (Ἃ; Ἃ; Α◌̔◌̀; Ἃ; Α◌̔◌̀; ) GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA
      "\u1F0C",  # (Ἄ; Ἄ; Α◌̓◌́; Ἄ; Α◌̓◌́; ) GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA
      "\u1F0D",  # (Ἅ; Ἅ; Α◌̔◌́; Ἅ; Α◌̔◌́; ) GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA
      "\u1F0E",  # (Ἆ; Ἆ; Α◌̓◌͂; Ἆ; Α◌̓◌͂; ) GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI
      "\u1F0F",  # (Ἇ; Ἇ; Α◌̔◌͂; Ἇ; Α◌̔◌͂; ) GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI
      "\u1F10",  # (ἐ; ἐ; ε◌̓; ἐ; ε◌̓; ) GREEK SMALL LETTER EPSILON WITH PSILI
      "\u1F11",  # (ἑ; ἑ; ε◌̔; ἑ; ε◌̔; ) GREEK SMALL LETTER EPSILON WITH DASIA
      "\u1F12",  # (ἒ; ἒ; ε◌̓◌̀; ἒ; ε◌̓◌̀; ) GREEK SMALL LETTER EPSILON WITH PSILI AND VARIA
      "\u1F13",  # (ἓ; ἓ; ε◌̔◌̀; ἓ; ε◌̔◌̀; ) GREEK SMALL LETTER EPSILON WITH DASIA AND VARIA
      "\u1F14",  # (ἔ; ἔ; ε◌̓◌́; ἔ; ε◌̓◌́; ) GREEK SMALL LETTER EPSILON WITH PSILI AND OXIA
      "\u1F15",  # (ἕ; ἕ; ε◌̔◌́; ἕ; ε◌̔◌́; ) GREEK SMALL LETTER EPSILON WITH DASIA AND OXIA
      "\u1F18",  # (Ἐ; Ἐ; Ε◌̓; Ἐ; Ε◌̓; ) GREEK CAPITAL LETTER EPSILON WITH PSILI
      "\u1F19",  # (Ἑ; Ἑ; Ε◌̔; Ἑ; Ε◌̔; ) GREEK CAPITAL LETTER EPSILON WITH DASIA
      "\u1F1A",  # (Ἒ; Ἒ; Ε◌̓◌̀; Ἒ; Ε◌̓◌̀; ) GREEK CAPITAL LETTER EPSILON WITH PSILI AND VARIA
      "\u1F1B",  # (Ἓ; Ἓ; Ε◌̔◌̀; Ἓ; Ε◌̔◌̀; ) GREEK CAPITAL LETTER EPSILON WITH DASIA AND VARIA
      "\u1F1C",  # (Ἔ; Ἔ; Ε◌̓◌́; Ἔ; Ε◌̓◌́; ) GREEK CAPITAL LETTER EPSILON WITH PSILI AND OXIA
      "\u1F1D",  # (Ἕ; Ἕ; Ε◌̔◌́; Ἕ; Ε◌̔◌́; ) GREEK CAPITAL LETTER EPSILON WITH DASIA AND OXIA
      "\u1F20",  # (ἠ; ἠ; η◌̓; ἠ; η◌̓; ) GREEK SMALL LETTER ETA WITH PSILI
      "\u1F21",  # (ἡ; ἡ; η◌̔; ἡ; η◌̔; ) GREEK SMALL LETTER ETA WITH DASIA
      "\u1F22",  # (ἢ; ἢ; η◌̓◌̀; ἢ; η◌̓◌̀; ) GREEK SMALL LETTER ETA WITH PSILI AND VARIA
      "\u1F23",  # (ἣ; ἣ; η◌̔◌̀; ἣ; η◌̔◌̀; ) GREEK SMALL LETTER ETA WITH DASIA AND VARIA
      "\u1F24",  # (ἤ; ἤ; η◌̓◌́; ἤ; η◌̓◌́; ) GREEK SMALL LETTER ETA WITH PSILI AND OXIA
      "\u1F25",  # (ἥ; ἥ; η◌̔◌́; ἥ; η◌̔◌́; ) GREEK SMALL LETTER ETA WITH DASIA AND OXIA
      "\u1F26",  # (ἦ; ἦ; η◌̓◌͂; ἦ; η◌̓◌͂; ) GREEK SMALL LETTER ETA WITH PSILI AND PERISPOMENI
      "\u1F27",  # (ἧ; ἧ; η◌̔◌͂; ἧ; η◌̔◌͂; ) GREEK SMALL LETTER ETA WITH DASIA AND PERISPOMENI
      "\u1F28",  # (Ἠ; Ἠ; Η◌̓; Ἠ; Η◌̓; ) GREEK CAPITAL LETTER ETA WITH PSILI
      "\u1F29",  # (Ἡ; Ἡ; Η◌̔; Ἡ; Η◌̔; ) GREEK CAPITAL LETTER ETA WITH DASIA
      "\u1F2A",  # (Ἢ; Ἢ; Η◌̓◌̀; Ἢ; Η◌̓◌̀; ) GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA
      "\u1F2B",  # (Ἣ; Ἣ; Η◌̔◌̀; Ἣ; Η◌̔◌̀; ) GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA
      "\u1F2C",  # (Ἤ; Ἤ; Η◌̓◌́; Ἤ; Η◌̓◌́; ) GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA
      "\u1F2D",  # (Ἥ; Ἥ; Η◌̔◌́; Ἥ; Η◌̔◌́; ) GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA
      "\u1F2E",  # (Ἦ; Ἦ; Η◌̓◌͂; Ἦ; Η◌̓◌͂; ) GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI
      "\u1F2F",  # (Ἧ; Ἧ; Η◌̔◌͂; Ἧ; Η◌̔◌͂; ) GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI
      "\u1F30",  # (ἰ; ἰ; ι◌̓; ἰ; ι◌̓; ) GREEK SMALL LETTER IOTA WITH PSILI
      "\u1F31",  # (ἱ; ἱ; ι◌̔; ἱ; ι◌̔; ) GREEK SMALL LETTER IOTA WITH DASIA
      "\u1F32",  # (ἲ; ἲ; ι◌̓◌̀; ἲ; ι◌̓◌̀; ) GREEK SMALL LETTER IOTA WITH PSILI AND VARIA
      "\u1F33",  # (ἳ; ἳ; ι◌̔◌̀; ἳ; ι◌̔◌̀; ) GREEK SMALL LETTER IOTA WITH DASIA AND VARIA
      "\u1F34",  # (ἴ; ἴ; ι◌̓◌́; ἴ; ι◌̓◌́; ) GREEK SMALL LETTER IOTA WITH PSILI AND OXIA
      "\u1F35",  # (ἵ; ἵ; ι◌̔◌́; ἵ; ι◌̔◌́; ) GREEK SMALL LETTER IOTA WITH DASIA AND OXIA
      "\u1F36",  # (ἶ; ἶ; ι◌̓◌͂; ἶ; ι◌̓◌͂; ) GREEK SMALL LETTER IOTA WITH PSILI AND PERISPOMENI
      "\u1F37",  # (ἷ; ἷ; ι◌̔◌͂; ἷ; ι◌̔◌͂; ) GREEK SMALL LETTER IOTA WITH DASIA AND PERISPOMENI
      "\u1F38",  # (Ἰ; Ἰ; Ι◌̓; Ἰ; Ι◌̓; ) GREEK CAPITAL LETTER IOTA WITH PSILI
      "\u1F39",  # (Ἱ; Ἱ; Ι◌̔; Ἱ; Ι◌̔; ) GREEK CAPITAL LETTER IOTA WITH DASIA
      "\u1F3A",  # (Ἲ; Ἲ; Ι◌̓◌̀; Ἲ; Ι◌̓◌̀; ) GREEK CAPITAL LETTER IOTA WITH PSILI AND VARIA
      "\u1F3B",  # (Ἳ; Ἳ; Ι◌̔◌̀; Ἳ; Ι◌̔◌̀; ) GREEK CAPITAL LETTER IOTA WITH DASIA AND VARIA
      "\u1F3C",  # (Ἴ; Ἴ; Ι◌̓◌́; Ἴ; Ι◌̓◌́; ) GREEK CAPITAL LETTER IOTA WITH PSILI AND OXIA
      "\u1F3D",  # (Ἵ; Ἵ; Ι◌̔◌́; Ἵ; Ι◌̔◌́; ) GREEK CAPITAL LETTER IOTA WITH DASIA AND OXIA
      "\u1F3E",  # (Ἶ; Ἶ; Ι◌̓◌͂; Ἶ; Ι◌̓◌͂; ) GREEK CAPITAL LETTER IOTA WITH PSILI AND PERISPOMENI
      "\u1F3F",  # (Ἷ; Ἷ; Ι◌̔◌͂; Ἷ; Ι◌̔◌͂; ) GREEK CAPITAL LETTER IOTA WITH DASIA AND PERISPOMENI
      "\u1F40",  # (ὀ; ὀ; ο◌̓; ὀ; ο◌̓; ) GREEK SMALL LETTER OMICRON WITH PSILI
      "\u1F41",  # (ὁ; ὁ; ο◌̔; ὁ; ο◌̔; ) GREEK SMALL LETTER OMICRON WITH DASIA
      "\u1F42",  # (ὂ; ὂ; ο◌̓◌̀; ὂ; ο◌̓◌̀; ) GREEK SMALL LETTER OMICRON WITH PSILI AND VARIA
      "\u1F43",  # (ὃ; ὃ; ο◌̔◌̀; ὃ; ο◌̔◌̀; ) GREEK SMALL LETTER OMICRON WITH DASIA AND VARIA
      "\u1F44",  # (ὄ; ὄ; ο◌̓◌́; ὄ; ο◌̓◌́; ) GREEK SMALL LETTER OMICRON WITH PSILI AND OXIA
      "\u1F45",  # (ὅ; ὅ; ο◌̔◌́; ὅ; ο◌̔◌́; ) GREEK SMALL LETTER OMICRON WITH DASIA AND OXIA
      "\u1F48",  # (Ὀ; Ὀ; Ο◌̓; Ὀ; Ο◌̓; ) GREEK CAPITAL LETTER OMICRON WITH PSILI
      "\u1F49",  # (Ὁ; Ὁ; Ο◌̔; Ὁ; Ο◌̔; ) GREEK CAPITAL LETTER OMICRON WITH DASIA
      "\u1F4A",  # (Ὂ; Ὂ; Ο◌̓◌̀; Ὂ; Ο◌̓◌̀; ) GREEK CAPITAL LETTER OMICRON WITH PSILI AND VARIA
      "\u1F4B",  # (Ὃ; Ὃ; Ο◌̔◌̀; Ὃ; Ο◌̔◌̀; ) GREEK CAPITAL LETTER OMICRON WITH DASIA AND VARIA
      "\u1F4C",  # (Ὄ; Ὄ; Ο◌̓◌́; Ὄ; Ο◌̓◌́; ) GREEK CAPITAL LETTER OMICRON WITH PSILI AND OXIA
      "\u1F4D",  # (Ὅ; Ὅ; Ο◌̔◌́; Ὅ; Ο◌̔◌́; ) GREEK CAPITAL LETTER OMICRON WITH DASIA AND OXIA
      "\u1F50",  # (ὐ; ὐ; υ◌̓; ὐ; υ◌̓; ) GREEK SMALL LETTER UPSILON WITH PSILI
      "\u1F51",  # (ὑ; ὑ; υ◌̔; ὑ; υ◌̔; ) GREEK SMALL LETTER UPSILON WITH DASIA
      "\u1F52",  # (ὒ; ὒ; υ◌̓◌̀; ὒ; υ◌̓◌̀; ) GREEK SMALL LETTER UPSILON WITH PSILI AND VARIA
      "\u1F53",  # (ὓ; ὓ; υ◌̔◌̀; ὓ; υ◌̔◌̀; ) GREEK SMALL LETTER UPSILON WITH DASIA AND VARIA
      "\u1F54",  # (ὔ; ὔ; υ◌̓◌́; ὔ; υ◌̓◌́; ) GREEK SMALL LETTER UPSILON WITH PSILI AND OXIA
      "\u1F55",  # (ὕ; ὕ; υ◌̔◌́; ὕ; υ◌̔◌́; ) GREEK SMALL LETTER UPSILON WITH DASIA AND OXIA
      "\u1F56",  # (ὖ; ὖ; υ◌̓◌͂; ὖ; υ◌̓◌͂; ) GREEK SMALL LETTER UPSILON WITH PSILI AND PERISPOMENI
      "\u1F57",  # (ὗ; ὗ; υ◌̔◌͂; ὗ; υ◌̔◌͂; ) GREEK SMALL LETTER UPSILON WITH DASIA AND PERISPOMENI
      "\u1F59",  # (Ὑ; Ὑ; Υ◌̔; Ὑ; Υ◌̔; ) GREEK CAPITAL LETTER UPSILON WITH DASIA
      "\u1F5B",  # (Ὓ; Ὓ; Υ◌̔◌̀; Ὓ; Υ◌̔◌̀; ) GREEK CAPITAL LETTER UPSILON WITH DASIA AND VARIA
      "\u1F5D",  # (Ὕ; Ὕ; Υ◌̔◌́; Ὕ; Υ◌̔◌́; ) GREEK CAPITAL LETTER UPSILON WITH DASIA AND OXIA
      "\u1F5F",  # (Ὗ; Ὗ; Υ◌̔◌͂; Ὗ; Υ◌̔◌͂; ) GREEK CAPITAL LETTER UPSILON WITH DASIA AND PERISPOMENI
      "\u1F60",  # (ὠ; ὠ; ω◌̓; ὠ; ω◌̓; ) GREEK SMALL LETTER OMEGA WITH PSILI
      "\u1F61",  # (ὡ; ὡ; ω◌̔; ὡ; ω◌̔; ) GREEK SMALL LETTER OMEGA WITH DASIA
      "\u1F62",  # (ὢ; ὢ; ω◌̓◌̀; ὢ; ω◌̓◌̀; ) GREEK SMALL LETTER OMEGA WITH PSILI AND VARIA
      "\u1F63",  # (ὣ; ὣ; ω◌̔◌̀; ὣ; ω◌̔◌̀; ) GREEK SMALL LETTER OMEGA WITH DASIA AND VARIA
      "\u1F64",  # (ὤ; ὤ; ω◌̓◌́; ὤ; ω◌̓◌́; ) GREEK SMALL LETTER OMEGA WITH PSILI AND OXIA
      "\u1F65",  # (ὥ; ὥ; ω◌̔◌́; ὥ; ω◌̔◌́; ) GREEK SMALL LETTER OMEGA WITH DASIA AND OXIA
      "\u1F66",  # (ὦ; ὦ; ω◌̓◌͂; ὦ; ω◌̓◌͂; ) GREEK SMALL LETTER OMEGA WITH PSILI AND PERISPOMENI
      "\u1F67",  # (ὧ; ὧ; ω◌̔◌͂; ὧ; ω◌̔◌͂; ) GREEK SMALL LETTER OMEGA WITH DASIA AND PERISPOMENI
      "\u1F68",  # (Ὠ; Ὠ; Ω◌̓; Ὠ; Ω◌̓; ) GREEK CAPITAL LETTER OMEGA WITH PSILI
      "\u1F69",  # (Ὡ; Ὡ; Ω◌̔; Ὡ; Ω◌̔; ) GREEK CAPITAL LETTER OMEGA WITH DASIA
      "\u1F6A",  # (Ὢ; Ὢ; Ω◌̓◌̀; Ὢ; Ω◌̓◌̀; ) GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA
      "\u1F6B",  # (Ὣ; Ὣ; Ω◌̔◌̀; Ὣ; Ω◌̔◌̀; ) GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA
      "\u1F6C",  # (Ὤ; Ὤ; Ω◌̓◌́; Ὤ; Ω◌̓◌́; ) GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA
      "\u1F6D",  # (Ὥ; Ὥ; Ω◌̔◌́; Ὥ; Ω◌̔◌́; ) GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA
      "\u1F6E",  # (Ὦ; Ὦ; Ω◌̓◌͂; Ὦ; Ω◌̓◌͂; ) GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI
      "\u1F6F",  # (Ὧ; Ὧ; Ω◌̔◌͂; Ὧ; Ω◌̔◌͂; ) GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI
      "\u1F70",  # (ὰ; ὰ; α◌̀; ὰ; α◌̀; ) GREEK SMALL LETTER ALPHA WITH VARIA
      "\u1F71",  # (ά; ά; α◌́; ά; α◌́; ) GREEK SMALL LETTER ALPHA WITH OXIA
      "\u1F72",  # (ὲ; ὲ; ε◌̀; ὲ; ε◌̀; ) GREEK SMALL LETTER EPSILON WITH VARIA
      "\u1F73",  # (έ; έ; ε◌́; έ; ε◌́; ) GREEK SMALL LETTER EPSILON WITH OXIA
      "\u1F74",  # (ὴ; ὴ; η◌̀; ὴ; η◌̀; ) GREEK SMALL LETTER ETA WITH VARIA
      "\u1F75",  # (ή; ή; η◌́; ή; η◌́; ) GREEK SMALL LETTER ETA WITH OXIA
      "\u1F76",  # (ὶ; ὶ; ι◌̀; ὶ; ι◌̀; ) GREEK SMALL LETTER IOTA WITH VARIA
      "\u1F77",  # (ί; ί; ι◌́; ί; ι◌́; ) GREEK SMALL LETTER IOTA WITH OXIA
      "\u1F78",  # (ὸ; ὸ; ο◌̀; ὸ; ο◌̀; ) GREEK SMALL LETTER OMICRON WITH VARIA
      "\u1F79",  # (ό; ό; ο◌́; ό; ο◌́; ) GREEK SMALL LETTER OMICRON WITH OXIA
      "\u1F7A",  # (ὺ; ὺ; υ◌̀; ὺ; υ◌̀; ) GREEK SMALL LETTER UPSILON WITH VARIA
      "\u1F7B",  # (ύ; ύ; υ◌́; ύ; υ◌́; ) GREEK SMALL LETTER UPSILON WITH OXIA
      "\u1F7C",  # (ὼ; ὼ; ω◌̀; ὼ; ω◌̀; ) GREEK SMALL LETTER OMEGA WITH VARIA
      "\u1F7D",  # (ώ; ώ; ω◌́; ώ; ω◌́; ) GREEK SMALL LETTER OMEGA WITH OXIA
      "\u1F80",  # (ᾀ; ᾀ; α◌̓◌ͅ; ᾀ; α◌̓◌ͅ; ) GREEK SMALL LETTER ALPHA WITH PSILI AND YPOGEGRAMMENI
      "\u1F81",  # (ᾁ; ᾁ; α◌̔◌ͅ; ᾁ; α◌̔◌ͅ; ) GREEK SMALL LETTER ALPHA WITH DASIA AND YPOGEGRAMMENI
      "\u1F82",  # (ᾂ; ᾂ; α◌̓◌̀◌ͅ; ᾂ; α◌̓◌̀◌ͅ; ) GREEK SMALL LETTER ALPHA WITH PSILI AND VARIA AND YPOGEGRAMMENI
      "\u1F83",  # (ᾃ; ᾃ; α◌̔◌̀◌ͅ; ᾃ; α◌̔◌̀◌ͅ; ) GREEK SMALL LETTER ALPHA WITH DASIA AND VARIA AND YPOGEGRAMMENI
      "\u1F84",  # (ᾄ; ᾄ; α◌̓◌́◌ͅ; ᾄ; α◌̓◌́◌ͅ; ) GREEK SMALL LETTER ALPHA WITH PSILI AND OXIA AND YPOGEGRAMMENI
      "\u1F85",  # (ᾅ; ᾅ; α◌̔◌́◌ͅ; ᾅ; α◌̔◌́◌ͅ; ) GREEK SMALL LETTER ALPHA WITH DASIA AND OXIA AND YPOGEGRAMMENI
      "\u1F86",  # (ᾆ; ᾆ; α◌̓◌͂◌ͅ; ᾆ; α◌̓◌͂◌ͅ; ) GREEK SMALL LETTER ALPHA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI
      "\u1F87",  # (ᾇ; ᾇ; α◌̔◌͂◌ͅ; ᾇ; α◌̔◌͂◌ͅ; ) GREEK SMALL LETTER ALPHA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI
      "\u1F88",  # (ᾈ; ᾈ; Α◌̓◌ͅ; ᾈ; Α◌̓◌ͅ; ) GREEK CAPITAL LETTER ALPHA WITH PSILI AND PROSGEGRAMMENI
      "\u1F89",  # (ᾉ; ᾉ; Α◌̔◌ͅ; ᾉ; Α◌̔◌ͅ; ) GREEK CAPITAL LETTER ALPHA WITH DASIA AND PROSGEGRAMMENI
      "\u1F8A",  # (ᾊ; ᾊ; Α◌̓◌̀◌ͅ; ᾊ; Α◌̓◌̀◌ͅ; ) GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA AND PROSGEGRAMMENI
      "\u1F8B",  # (ᾋ; ᾋ; Α◌̔◌̀◌ͅ; ᾋ; Α◌̔◌̀◌ͅ; ) GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA AND PROSGEGRAMMENI
      "\u1F8C",  # (ᾌ; ᾌ; Α◌̓◌́◌ͅ; ᾌ; Α◌̓◌́◌ͅ; ) GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA AND PROSGEGRAMMENI
      "\u1F8D",  # (ᾍ; ᾍ; Α◌̔◌́◌ͅ; ᾍ; Α◌̔◌́◌ͅ; ) GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA AND PROSGEGRAMMENI
      "\u1F8E",  # (ᾎ; ᾎ; Α◌̓◌͂◌ͅ; ᾎ; Α◌̓◌͂◌ͅ; ) GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI
      "\u1F8F",  # (ᾏ; ᾏ; Α◌̔◌͂◌ͅ; ᾏ; Α◌̔◌͂◌ͅ; ) GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI
      "\u1F90",  # (ᾐ; ᾐ; η◌̓◌ͅ; ᾐ; η◌̓◌ͅ; ) GREEK SMALL LETTER ETA WITH PSILI AND YPOGEGRAMMENI
      "\u1F91",  # (ᾑ; ᾑ; η◌̔◌ͅ; ᾑ; η◌̔◌ͅ; ) GREEK SMALL LETTER ETA WITH DASIA AND YPOGEGRAMMENI
      "\u1F92",  # (ᾒ; ᾒ; η◌̓◌̀◌ͅ; ᾒ; η◌̓◌̀◌ͅ; ) GREEK SMALL LETTER ETA WITH PSILI AND VARIA AND YPOGEGRAMMENI
      "\u1F93",  # (ᾓ; ᾓ; η◌̔◌̀◌ͅ; ᾓ; η◌̔◌̀◌ͅ; ) GREEK SMALL LETTER ETA WITH DASIA AND VARIA AND YPOGEGRAMMENI
      "\u1F94",  # (ᾔ; ᾔ; η◌̓◌́◌ͅ; ᾔ; η◌̓◌́◌ͅ; ) GREEK SMALL LETTER ETA WITH PSILI AND OXIA AND YPOGEGRAMMENI
      "\u1F95",  # (ᾕ; ᾕ; η◌̔◌́◌ͅ; ᾕ; η◌̔◌́◌ͅ; ) GREEK SMALL LETTER ETA WITH DASIA AND OXIA AND YPOGEGRAMMENI
      "\u1F96",  # (ᾖ; ᾖ; η◌̓◌͂◌ͅ; ᾖ; η◌̓◌͂◌ͅ; ) GREEK SMALL LETTER ETA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI
      "\u1F97",  # (ᾗ; ᾗ; η◌̔◌͂◌ͅ; ᾗ; η◌̔◌͂◌ͅ; ) GREEK SMALL LETTER ETA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI
      "\u1F98",  # (ᾘ; ᾘ; Η◌̓◌ͅ; ᾘ; Η◌̓◌ͅ; ) GREEK CAPITAL LETTER ETA WITH PSILI AND PROSGEGRAMMENI
      "\u1F99",  # (ᾙ; ᾙ; Η◌̔◌ͅ; ᾙ; Η◌̔◌ͅ; ) GREEK CAPITAL LETTER ETA WITH DASIA AND PROSGEGRAMMENI
      "\u1F9A",  # (ᾚ; ᾚ; Η◌̓◌̀◌ͅ; ᾚ; Η◌̓◌̀◌ͅ; ) GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI
      "\u1F9B",  # (ᾛ; ᾛ; Η◌̔◌̀◌ͅ; ᾛ; Η◌̔◌̀◌ͅ; ) GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI
      "\u1F9C",  # (ᾜ; ᾜ; Η◌̓◌́◌ͅ; ᾜ; Η◌̓◌́◌ͅ; ) GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI
      "\u1F9D",  # (ᾝ; ᾝ; Η◌̔◌́◌ͅ; ᾝ; Η◌̔◌́◌ͅ; ) GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI
      "\u1F9E",  # (ᾞ; ᾞ; Η◌̓◌͂◌ͅ; ᾞ; Η◌̓◌͂◌ͅ; ) GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI
      "\u1F9F",  # (ᾟ; ᾟ; Η◌̔◌͂◌ͅ; ᾟ; Η◌̔◌͂◌ͅ; ) GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI
      "\u1FA0",  # (ᾠ; ᾠ; ω◌̓◌ͅ; ᾠ; ω◌̓◌ͅ; ) GREEK SMALL LETTER OMEGA WITH PSILI AND YPOGEGRAMMENI
      "\u1FA1",  # (ᾡ; ᾡ; ω◌̔◌ͅ; ᾡ; ω◌̔◌ͅ; ) GREEK SMALL LETTER OMEGA WITH DASIA AND YPOGEGRAMMENI
      "\u1FA2",  # (ᾢ; ᾢ; ω◌̓◌̀◌ͅ; ᾢ; ω◌̓◌̀◌ͅ; ) GREEK SMALL LETTER OMEGA WITH PSILI AND VARIA AND YPOGEGRAMMENI
      "\u1FA3",  # (ᾣ; ᾣ; ω◌̔◌̀◌ͅ; ᾣ; ω◌̔◌̀◌ͅ; ) GREEK SMALL LETTER OMEGA WITH DASIA AND VARIA AND YPOGEGRAMMENI
      "\u1FA4",  # (ᾤ; ᾤ; ω◌̓◌́◌ͅ; ᾤ; ω◌̓◌́◌ͅ; ) GREEK SMALL LETTER OMEGA WITH PSILI AND OXIA AND YPOGEGRAMMENI
      "\u1FA5",  # (ᾥ; ᾥ; ω◌̔◌́◌ͅ; ᾥ; ω◌̔◌́◌ͅ; ) GREEK SMALL LETTER OMEGA WITH DASIA AND OXIA AND YPOGEGRAMMENI
      "\u1FA6",  # (ᾦ; ᾦ; ω◌̓◌͂◌ͅ; ᾦ; ω◌̓◌͂◌ͅ; ) GREEK SMALL LETTER OMEGA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI
      "\u1FA7",  # (ᾧ; ᾧ; ω◌̔◌͂◌ͅ; ᾧ; ω◌̔◌͂◌ͅ; ) GREEK SMALL LETTER OMEGA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI
      "\u1FA8",  # (ᾨ; ᾨ; Ω◌̓◌ͅ; ᾨ; Ω◌̓◌ͅ; ) GREEK CAPITAL LETTER OMEGA WITH PSILI AND PROSGEGRAMMENI
      "\u1FA9",  # (ᾩ; ᾩ; Ω◌̔◌ͅ; ᾩ; Ω◌̔◌ͅ; ) GREEK CAPITAL LETTER OMEGA WITH DASIA AND PROSGEGRAMMENI
      "\u1FAA",  # (ᾪ; ᾪ; Ω◌̓◌̀◌ͅ; ᾪ; Ω◌̓◌̀◌ͅ; ) GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA AND PROSGEGRAMMENI
      "\u1FAB",  # (ᾫ; ᾫ; Ω◌̔◌̀◌ͅ; ᾫ; Ω◌̔◌̀◌ͅ; ) GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA AND PROSGEGRAMMENI
      "\u1FAC",  # (ᾬ; ᾬ; Ω◌̓◌́◌ͅ; ᾬ; Ω◌̓◌́◌ͅ; ) GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA AND PROSGEGRAMMENI
      "\u1FAD",  # (ᾭ; ᾭ; Ω◌̔◌́◌ͅ; ᾭ; Ω◌̔◌́◌ͅ; ) GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA AND PROSGEGRAMMENI
      "\u1FAE",  # (ᾮ; ᾮ; Ω◌̓◌͂◌ͅ; ᾮ; Ω◌̓◌͂◌ͅ; ) GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI
      "\u1FAF",  # (ᾯ; ᾯ; Ω◌̔◌͂◌ͅ; ᾯ; Ω◌̔◌͂◌ͅ; ) GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI
      "\u1FB0",  # (ᾰ; ᾰ; α◌̆; ᾰ; α◌̆; ) GREEK SMALL LETTER ALPHA WITH VRACHY
      "\u1FB1",  # (ᾱ; ᾱ; α◌̄; ᾱ; α◌̄; ) GREEK SMALL LETTER ALPHA WITH MACRON
      "\u1FB2",  # (ᾲ; ᾲ; α◌̀◌ͅ; ᾲ; α◌̀◌ͅ; ) GREEK SMALL LETTER ALPHA WITH VARIA AND YPOGEGRAMMENI
      "\u1FB3",  # (ᾳ; ᾳ; α◌ͅ; ᾳ; α◌ͅ; ) GREEK SMALL LETTER ALPHA WITH YPOGEGRAMMENI
      "\u1FB4",  # (ᾴ; ᾴ; α◌́◌ͅ; ᾴ; α◌́◌ͅ; ) GREEK SMALL LETTER ALPHA WITH OXIA AND YPOGEGRAMMENI
      "\u1FB6",  # (ᾶ; ᾶ; α◌͂; ᾶ; α◌͂; ) GREEK SMALL LETTER ALPHA WITH PERISPOMENI
      "\u1FB7",  # (ᾷ; ᾷ; α◌͂◌ͅ; ᾷ; α◌͂◌ͅ; ) GREEK SMALL LETTER ALPHA WITH PERISPOMENI AND YPOGEGRAMMENI
      "\u1FB8",  # (Ᾰ; Ᾰ; Α◌̆; Ᾰ; Α◌̆; ) GREEK CAPITAL LETTER ALPHA WITH VRACHY
      "\u1FB9",  # (Ᾱ; Ᾱ; Α◌̄; Ᾱ; Α◌̄; ) GREEK CAPITAL LETTER ALPHA WITH MACRON
      "\u1FBA",  # (Ὰ; Ὰ; Α◌̀; Ὰ; Α◌̀; ) GREEK CAPITAL LETTER ALPHA WITH VARIA
      "\u1FBB",  # (Ά; Ά; Α◌́; Ά; Α◌́; ) GREEK CAPITAL LETTER ALPHA WITH OXIA
      "\u1FBC",  # (ᾼ; ᾼ; Α◌ͅ; ᾼ; Α◌ͅ; ) GREEK CAPITAL LETTER ALPHA WITH PROSGEGRAMMENI
      "\u1FBD",  # (᾽; ᾽; ᾽;  ◌̓;  ◌̓; ) GREEK KORONIS
      "\u1FBE",  # (ι; ι; ι; ι; ι; ) GREEK PROSGEGRAMMENI
      "\u1FBF",  # (᾿; ᾿; ᾿;  ◌̓;  ◌̓; ) GREEK PSILI
      "\u1FC0",  # (῀; ῀; ῀;  ◌͂;  ◌͂; ) GREEK PERISPOMENI
      "\u1FC1",  # (῁; ῁; ¨◌͂;  ◌̈◌͂;  ◌̈◌͂; ) GREEK DIALYTIKA AND PERISPOMENI
      "\u1FC2",  # (ῂ; ῂ; η◌̀◌ͅ; ῂ; η◌̀◌ͅ; ) GREEK SMALL LETTER ETA WITH VARIA AND YPOGEGRAMMENI
      "\u1FC3",  # (ῃ; ῃ; η◌ͅ; ῃ; η◌ͅ; ) GREEK SMALL LETTER ETA WITH YPOGEGRAMMENI
      "\u1FC4",  # (ῄ; ῄ; η◌́◌ͅ; ῄ; η◌́◌ͅ; ) GREEK SMALL LETTER ETA WITH OXIA AND YPOGEGRAMMENI
      "\u1FC6",  # (ῆ; ῆ; η◌͂; ῆ; η◌͂; ) GREEK SMALL LETTER ETA WITH PERISPOMENI
      "\u1FC7",  # (ῇ; ῇ; η◌͂◌ͅ; ῇ; η◌͂◌ͅ; ) GREEK SMALL LETTER ETA WITH PERISPOMENI AND YPOGEGRAMMENI
      "\u1FC8",  # (Ὲ; Ὲ; Ε◌̀; Ὲ; Ε◌̀; ) GREEK CAPITAL LETTER EPSILON WITH VARIA
      "\u1FC9",  # (Έ; Έ; Ε◌́; Έ; Ε◌́; ) GREEK CAPITAL LETTER EPSILON WITH OXIA
      "\u1FCA",  # (Ὴ; Ὴ; Η◌̀; Ὴ; Η◌̀; ) GREEK CAPITAL LETTER ETA WITH VARIA
      "\u1FCB",  # (Ή; Ή; Η◌́; Ή; Η◌́; ) GREEK CAPITAL LETTER ETA WITH OXIA
      "\u1FCC",  # (ῌ; ῌ; Η◌ͅ; ῌ; Η◌ͅ; ) GREEK CAPITAL LETTER ETA WITH PROSGEGRAMMENI
      "\u1FCD",  # (῍; ῍; ᾿◌̀;  ◌̓◌̀;  ◌̓◌̀; ) GREEK PSILI AND VARIA
      "\u1FCE",  # (῎; ῎; ᾿◌́;  ◌̓◌́;  ◌̓◌́; ) GREEK PSILI AND OXIA
      "\u1FCF",  # (῏; ῏; ᾿◌͂;  ◌̓◌͂;  ◌̓◌͂; ) GREEK PSILI AND PERISPOMENI
      "\u1FD0",  # (ῐ; ῐ; ι◌̆; ῐ; ι◌̆; ) GREEK SMALL LETTER IOTA WITH VRACHY
      "\u1FD1",  # (ῑ; ῑ; ι◌̄; ῑ; ι◌̄; ) GREEK SMALL LETTER IOTA WITH MACRON
      "\u1FD2",  # (ῒ; ῒ; ι◌̈◌̀; ῒ; ι◌̈◌̀; ) GREEK SMALL LETTER IOTA WITH DIALYTIKA AND VARIA
      "\u1FD3",  # (ΐ; ΐ; ι◌̈◌́; ΐ; ι◌̈◌́; ) GREEK SMALL LETTER IOTA WITH DIALYTIKA AND OXIA
      "\u1FD6",  # (ῖ; ῖ; ι◌͂; ῖ; ι◌͂; ) GREEK SMALL LETTER IOTA WITH PERISPOMENI
      "\u1FD7",  # (ῗ; ῗ; ι◌̈◌͂; ῗ; ι◌̈◌͂; ) GREEK SMALL LETTER IOTA WITH DIALYTIKA AND PERISPOMENI
      "\u1FD8",  # (Ῐ; Ῐ; Ι◌̆; Ῐ; Ι◌̆; ) GREEK CAPITAL LETTER IOTA WITH VRACHY
      "\u1FD9",  # (Ῑ; Ῑ; Ι◌̄; Ῑ; Ι◌̄; ) GREEK CAPITAL LETTER IOTA WITH MACRON
      "\u1FDA",  # (Ὶ; Ὶ; Ι◌̀; Ὶ; Ι◌̀; ) GREEK CAPITAL LETTER IOTA WITH VARIA
      "\u1FDB",  # (Ί; Ί; Ι◌́; Ί; Ι◌́; ) GREEK CAPITAL LETTER IOTA WITH OXIA
      "\u1FDD",  # (῝; ῝; ῾◌̀;  ◌̔◌̀;  ◌̔◌̀; ) GREEK DASIA AND VARIA
      "\u1FDE",  # (῞; ῞; ῾◌́;  ◌̔◌́;  ◌̔◌́; ) GREEK DASIA AND OXIA
      "\u1FDF",  # (῟; ῟; ῾◌͂;  ◌̔◌͂;  ◌̔◌͂; ) GREEK DASIA AND PERISPOMENI
      "\u1FE0",  # (ῠ; ῠ; υ◌̆; ῠ; υ◌̆; ) GREEK SMALL LETTER UPSILON WITH VRACHY
      "\u1FE1",  # (ῡ; ῡ; υ◌̄; ῡ; υ◌̄; ) GREEK SMALL LETTER UPSILON WITH MACRON
      "\u1FE2",  # (ῢ; ῢ; υ◌̈◌̀; ῢ; υ◌̈◌̀; ) GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND VARIA
      "\u1FE3",  # (ΰ; ΰ; υ◌̈◌́; ΰ; υ◌̈◌́; ) GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND OXIA
      "\u1FE4",  # (ῤ; ῤ; ρ◌̓; ῤ; ρ◌̓; ) GREEK SMALL LETTER RHO WITH PSILI
      "\u1FE5",  # (ῥ; ῥ; ρ◌̔; ῥ; ρ◌̔; ) GREEK SMALL LETTER RHO WITH DASIA
      "\u1FE6",  # (ῦ; ῦ; υ◌͂; ῦ; υ◌͂; ) GREEK SMALL LETTER UPSILON WITH PERISPOMENI
      "\u1FE7",  # (ῧ; ῧ; υ◌̈◌͂; ῧ; υ◌̈◌͂; ) GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND PERISPOMENI
      "\u1FE8",  # (Ῠ; Ῠ; Υ◌̆; Ῠ; Υ◌̆; ) GREEK CAPITAL LETTER UPSILON WITH VRACHY
      "\u1FE9",  # (Ῡ; Ῡ; Υ◌̄; Ῡ; Υ◌̄; ) GREEK CAPITAL LETTER UPSILON WITH MACRON
      "\u1FEA",  # (Ὺ; Ὺ; Υ◌̀; Ὺ; Υ◌̀; ) GREEK CAPITAL LETTER UPSILON WITH VARIA
      "\u1FEB",  # (Ύ; Ύ; Υ◌́; Ύ; Υ◌́; ) GREEK CAPITAL LETTER UPSILON WITH OXIA
      "\u1FEC",  # (Ῥ; Ῥ; Ρ◌̔; Ῥ; Ρ◌̔; ) GREEK CAPITAL LETTER RHO WITH DASIA
      "\u1FED",  # (῭; ῭; ¨◌̀;  ◌̈◌̀;  ◌̈◌̀; ) GREEK DIALYTIKA AND VARIA
      "\u1FEE",  # (΅; ΅; ¨◌́;  ◌̈◌́;  ◌̈◌́; ) GREEK DIALYTIKA AND OXIA
      "\u1FEF",  # (`; `; `; `; `; ) GREEK VARIA
      "\u1FF2",  # (ῲ; ῲ; ω◌̀◌ͅ; ῲ; ω◌̀◌ͅ; ) GREEK SMALL LETTER OMEGA WITH VARIA AND YPOGEGRAMMENI
      "\u1FF3",  # (ῳ; ῳ; ω◌ͅ; ῳ; ω◌ͅ; ) GREEK SMALL LETTER OMEGA WITH YPOGEGRAMMENI
      "\u1FF4",  # (ῴ; ῴ; ω◌́◌ͅ; ῴ; ω◌́◌ͅ; ) GREEK SMALL LETTER OMEGA WITH OXIA AND YPOGEGRAMMENI
      "\u1FF6",  # (ῶ; ῶ; ω◌͂; ῶ; ω◌͂; ) GREEK SMALL LETTER OMEGA WITH PERISPOMENI
      "\u1FF7",  # (ῷ; ῷ; ω◌͂◌ͅ; ῷ; ω◌͂◌ͅ; ) GREEK SMALL LETTER OMEGA WITH PERISPOMENI AND YPOGEGRAMMENI
      "\u1FF8",  # (Ὸ; Ὸ; Ο◌̀; Ὸ; Ο◌̀; ) GREEK CAPITAL LETTER OMICRON WITH VARIA
      "\u1FF9",  # (Ό; Ό; Ο◌́; Ό; Ο◌́; ) GREEK CAPITAL LETTER OMICRON WITH OXIA
      "\u1FFA",  # (Ὼ; Ὼ; Ω◌̀; Ὼ; Ω◌̀; ) GREEK CAPITAL LETTER OMEGA WITH VARIA
      "\u1FFB",  # (Ώ; Ώ; Ω◌́; Ώ; Ω◌́; ) GREEK CAPITAL LETTER OMEGA WITH OXIA
      "\u1FFC",  # (ῼ; ῼ; Ω◌ͅ; ῼ; Ω◌ͅ; ) GREEK CAPITAL LETTER OMEGA WITH PROSGEGRAMMENI
      "\u1FFD",  # (´; ´; ´;  ◌́;  ◌́; ) GREEK OXIA
      "\u1FFE",  # (῾; ῾; ῾;  ◌̔;  ◌̔; ) GREEK DASIA
      "\u2000",  # ( ;  ;  ;  ;  ; ) EN QUAD
      "\u2001",  # ( ;  ;  ;  ;  ; ) EM QUAD
      "\u2002",  # ( ;  ;  ;  ;  ; ) EN SPACE
      "\u2003",  # ( ;  ;  ;  ;  ; ) EM SPACE
      "\u2004",  # ( ;  ;  ;  ;  ; ) THREE-PER-EM SPACE
      "\u2005",  # ( ;  ;  ;  ;  ; ) FOUR-PER-EM SPACE
      "\u2006",  # ( ;  ;  ;  ;  ; ) SIX-PER-EM SPACE
      "\u2007",  # ( ;  ;  ;  ;  ; ) FIGURE SPACE
      "\u2008",  # ( ;  ;  ;  ;  ; ) PUNCTUATION SPACE
      "\u2009",  # ( ;  ;  ;  ;  ; ) THIN SPACE
      "\u200A",  # ( ;  ;  ;  ;  ; ) HAIR SPACE
      "\u2011",  # (‑; ‑; ‑; ‐; ‐; ) NON-BREAKING HYPHEN
      "\u2017",  # (‗; ‗; ‗;  ◌̳;  ◌̳; ) DOUBLE LOW LINE
      "\u2024",  # (․; ․; ․; .; .; ) ONE DOT LEADER
      "\u2025",  # (‥; ‥; ‥; ..; ..; ) TWO DOT LEADER
      "\u2026",  # (…; …; …; ...; ...; ) HORIZONTAL ELLIPSIS
      "\u202F",  # ( ;  ;  ;  ;  ; ) NARROW NO-BREAK SPACE
      "\u2033",  # (″; ″; ″; ′′; ′′; ) DOUBLE PRIME
      "\u2034",  # (‴; ‴; ‴; ′′′; ′′′; ) TRIPLE PRIME
      "\u2036",  # (‶; ‶; ‶; ‵‵; ‵‵; ) REVERSED DOUBLE PRIME
      "\u2037",  # (‷; ‷; ‷; ‵‵‵; ‵‵‵; ) REVERSED TRIPLE PRIME
      "\u203C",  # (‼; ‼; ‼; !!; !!; ) DOUBLE EXCLAMATION MARK
      "\u203E",  # (‾; ‾; ‾;  ◌̅;  ◌̅; ) OVERLINE
      "\u2047",  # (⁇; ⁇; ⁇; ??; ??; ) DOUBLE QUESTION MARK
      "\u2048",  # (⁈; ⁈; ⁈; ?!; ?!; ) QUESTION EXCLAMATION MARK
      "\u2049",  # (⁉; ⁉; ⁉; !?; !?; ) EXCLAMATION QUESTION MARK
      "\u2057",  # (⁗; ⁗; ⁗; ′′′′; ′′′′; ) QUADRUPLE PRIME
      "\u205F",  # ( ;  ;  ;  ;  ; ) MEDIUM MATHEMATICAL SPACE
      "\u2070",  # (⁰; ⁰; ⁰; 0; 0; ) SUPERSCRIPT ZERO
      "\u2071",  # (ⁱ; ⁱ; ⁱ; i; i; ) SUPERSCRIPT LATIN SMALL LETTER I
      "\u2074",  # (⁴; ⁴; ⁴; 4; 4; ) SUPERSCRIPT FOUR
      "\u2075",  # (⁵; ⁵; ⁵; 5; 5; ) SUPERSCRIPT FIVE
      "\u2076",  # (⁶; ⁶; ⁶; 6; 6; ) SUPERSCRIPT SIX
      "\u2077",  # (⁷; ⁷; ⁷; 7; 7; ) SUPERSCRIPT SEVEN
      "\u2078",  # (⁸; ⁸; ⁸; 8; 8; ) SUPERSCRIPT EIGHT
      "\u2079",  # (⁹; ⁹; ⁹; 9; 9; ) SUPERSCRIPT NINE
      "\u207A",  # (⁺; ⁺; ⁺; +; +; ) SUPERSCRIPT PLUS SIGN
      "\u207B",  # (⁻; ⁻; ⁻; −; −; ) SUPERSCRIPT MINUS
      "\u207C",  # (⁼; ⁼; ⁼; =; =; ) SUPERSCRIPT EQUALS SIGN
      "\u207D",  # (⁽; ⁽; ⁽; (; (; ) SUPERSCRIPT LEFT PARENTHESIS
      "\u207E",  # (⁾; ⁾; ⁾; ); ); ) SUPERSCRIPT RIGHT PARENTHESIS
      "\u207F",  # (ⁿ; ⁿ; ⁿ; n; n; ) SUPERSCRIPT LATIN SMALL LETTER N
      "\u2080",  # (₀; ₀; ₀; 0; 0; ) SUBSCRIPT ZERO
      "\u2081",  # (₁; ₁; ₁; 1; 1; ) SUBSCRIPT ONE
      "\u2082",  # (₂; ₂; ₂; 2; 2; ) SUBSCRIPT TWO
      "\u2083",  # (₃; ₃; ₃; 3; 3; ) SUBSCRIPT THREE
      "\u2084",  # (₄; ₄; ₄; 4; 4; ) SUBSCRIPT FOUR
      "\u2085",  # (₅; ₅; ₅; 5; 5; ) SUBSCRIPT FIVE
      "\u2086",  # (₆; ₆; ₆; 6; 6; ) SUBSCRIPT SIX
      "\u2087",  # (₇; ₇; ₇; 7; 7; ) SUBSCRIPT SEVEN
      "\u2088",  # (₈; ₈; ₈; 8; 8; ) SUBSCRIPT EIGHT
      "\u2089",  # (₉; ₉; ₉; 9; 9; ) SUBSCRIPT NINE
      "\u208A",  # (₊; ₊; ₊; +; +; ) SUBSCRIPT PLUS SIGN
      "\u208B",  # (₋; ₋; ₋; −; −; ) SUBSCRIPT MINUS
      "\u208C",  # (₌; ₌; ₌; =; =; ) SUBSCRIPT EQUALS SIGN
      "\u208D",  # (₍; ₍; ₍; (; (; ) SUBSCRIPT LEFT PARENTHESIS
      "\u208E",  # (₎; ₎; ₎; ); ); ) SUBSCRIPT RIGHT PARENTHESIS
      "\u2090",  # (ₐ; ₐ; ₐ; a; a; ) LATIN SUBSCRIPT SMALL LETTER A
      "\u2091",  # (ₑ; ₑ; ₑ; e; e; ) LATIN SUBSCRIPT SMALL LETTER E
      "\u2092",  # (ₒ; ₒ; ₒ; o; o; ) LATIN SUBSCRIPT SMALL LETTER O
      "\u2093",  # (ₓ; ₓ; ₓ; x; x; ) LATIN SUBSCRIPT SMALL LETTER X
      "\u2094",  # (ₔ; ₔ; ₔ; ə; ə; ) LATIN SUBSCRIPT SMALL LETTER SCHWA
      "\u2095",  # (ₕ; ₕ; ₕ; h; h; ) LATIN SUBSCRIPT SMALL LETTER H
      "\u2096",  # (ₖ; ₖ; ₖ; k; k; ) LATIN SUBSCRIPT SMALL LETTER K
      "\u2097",  # (ₗ; ₗ; ₗ; l; l; ) LATIN SUBSCRIPT SMALL LETTER L
      "\u2098",  # (ₘ; ₘ; ₘ; m; m; ) LATIN SUBSCRIPT SMALL LETTER M
      "\u2099",  # (ₙ; ₙ; ₙ; n; n; ) LATIN SUBSCRIPT SMALL LETTER N
      "\u209A",  # (ₚ; ₚ; ₚ; p; p; ) LATIN SUBSCRIPT SMALL LETTER P
      "\u209B",  # (ₛ; ₛ; ₛ; s; s; ) LATIN SUBSCRIPT SMALL LETTER S
      "\u209C",  # (ₜ; ₜ; ₜ; t; t; ) LATIN SUBSCRIPT SMALL LETTER T
      "\u20A8",  # (₨; ₨; ₨; Rs; Rs; ) RUPEE SIGN
      "\u2100",  # (℀; ℀; ℀; a/c; a/c; ) ACCOUNT OF
      "\u2101",  # (℁; ℁; ℁; a/s; a/s; ) ADDRESSED TO THE SUBJECT
      "\u2102",  # (ℂ; ℂ; ℂ; C; C; ) DOUBLE-STRUCK CAPITAL C
      "\u2103",  # (℃; ℃; ℃; °C; °C; ) DEGREE CELSIUS
      "\u2105",  # (℅; ℅; ℅; c/o; c/o; ) CARE OF
      "\u2106",  # (℆; ℆; ℆; c/u; c/u; ) CADA UNA
      "\u2107",  # (ℇ; ℇ; ℇ; Ɛ; Ɛ; ) EULER CONSTANT
      "\u2109",  # (℉; ℉; ℉; °F; °F; ) DEGREE FAHRENHEIT
      "\u210A",  # (ℊ; ℊ; ℊ; g; g; ) SCRIPT SMALL G
      "\u210B",  # (ℋ; ℋ; ℋ; H; H; ) SCRIPT CAPITAL H
      "\u210C",  # (ℌ; ℌ; ℌ; H; H; ) BLACK-LETTER CAPITAL H
      "\u210D",  # (ℍ; ℍ; ℍ; H; H; ) DOUBLE-STRUCK CAPITAL H
      "\u210E",  # (ℎ; ℎ; ℎ; h; h; ) PLANCK CONSTANT
      "\u210F",  # (ℏ; ℏ; ℏ; ħ; ħ; ) PLANCK CONSTANT OVER TWO PI
      "\u2110",  # (ℐ; ℐ; ℐ; I; I; ) SCRIPT CAPITAL I
      "\u2111",  # (ℑ; ℑ; ℑ; I; I; ) BLACK-LETTER CAPITAL I
      "\u2112",  # (ℒ; ℒ; ℒ; L; L; ) SCRIPT CAPITAL L
      "\u2113",  # (ℓ; ℓ; ℓ; l; l; ) SCRIPT SMALL L
      "\u2115",  # (ℕ; ℕ; ℕ; N; N; ) DOUBLE-STRUCK CAPITAL N
      "\u2116",  # (№; №; №; No; No; ) NUMERO SIGN
      "\u2119",  # (ℙ; ℙ; ℙ; P; P; ) DOUBLE-STRUCK CAPITAL P
      "\u211A",  # (ℚ; ℚ; ℚ; Q; Q; ) DOUBLE-STRUCK CAPITAL Q
      "\u211B",  # (ℛ; ℛ; ℛ; R; R; ) SCRIPT CAPITAL R
      "\u211C",  # (ℜ; ℜ; ℜ; R; R; ) BLACK-LETTER CAPITAL R
      "\u211D",  # (ℝ; ℝ; ℝ; R; R; ) DOUBLE-STRUCK CAPITAL R
      "\u2120",  # (℠; ℠; ℠; SM; SM; ) SERVICE MARK
      "\u2121",  # (℡; ℡; ℡; TEL; TEL; ) TELEPHONE SIGN
      "\u2122",  # (™; ™; ™; TM; TM; ) TRADE MARK SIGN
      "\u2124",  # (ℤ; ℤ; ℤ; Z; Z; ) DOUBLE-STRUCK CAPITAL Z
      "\u2126",  # (Ω; Ω; Ω; Ω; Ω; ) OHM SIGN
      "\u2128",  # (ℨ; ℨ; ℨ; Z; Z; ) BLACK-LETTER CAPITAL Z
      "\u212A",  # (K; K; K; K; K; ) KELVIN SIGN
      "\u212B",  # (Å; Å; A◌̊; Å; A◌̊; ) ANGSTROM SIGN
      "\u212C",  # (ℬ; ℬ; ℬ; B; B; ) SCRIPT CAPITAL B
      "\u212D",  # (ℭ; ℭ; ℭ; C; C; ) BLACK-LETTER CAPITAL C
      "\u212F",  # (ℯ; ℯ; ℯ; e; e; ) SCRIPT SMALL E
      "\u2130",  # (ℰ; ℰ; ℰ; E; E; ) SCRIPT CAPITAL E
      "\u2131",  # (ℱ; ℱ; ℱ; F; F; ) SCRIPT CAPITAL F
      "\u2133",  # (ℳ; ℳ; ℳ; M; M; ) SCRIPT CAPITAL M
      "\u2134",  # (ℴ; ℴ; ℴ; o; o; ) SCRIPT SMALL O
      "\u2135",  # (ℵ; ℵ; ℵ; א; א; ) ALEF SYMBOL
      "\u2136",  # (ℶ; ℶ; ℶ; ב; ב; ) BET SYMBOL
      "\u2137",  # (ℷ; ℷ; ℷ; ג; ג; ) GIMEL SYMBOL
      "\u2138",  # (ℸ; ℸ; ℸ; ד; ד; ) DALET SYMBOL
      "\u2139",  # (ℹ; ℹ; ℹ; i; i; ) INFORMATION SOURCE
      "\u213B",  # (℻; ℻; ℻; FAX; FAX; ) FACSIMILE SIGN
      "\u213C",  # (ℼ; ℼ; ℼ; π; π; ) DOUBLE-STRUCK SMALL PI
      "\u213D",  # (ℽ; ℽ; ℽ; γ; γ; ) DOUBLE-STRUCK SMALL GAMMA
      "\u213E",  # (ℾ; ℾ; ℾ; Γ; Γ; ) DOUBLE-STRUCK CAPITAL GAMMA
      "\u213F",  # (ℿ; ℿ; ℿ; Π; Π; ) DOUBLE-STRUCK CAPITAL PI
      "\u2140",  # (⅀; ⅀; ⅀; ∑; ∑; ) DOUBLE-STRUCK N-ARY SUMMATION
      "\u2145",  # (ⅅ; ⅅ; ⅅ; D; D; ) DOUBLE-STRUCK ITALIC CAPITAL D
      "\u2146",  # (ⅆ; ⅆ; ⅆ; d; d; ) DOUBLE-STRUCK ITALIC SMALL D
      "\u2147",  # (ⅇ; ⅇ; ⅇ; e; e; ) DOUBLE-STRUCK ITALIC SMALL E
      "\u2148",  # (ⅈ; ⅈ; ⅈ; i; i; ) DOUBLE-STRUCK ITALIC SMALL I
      "\u2149",  # (ⅉ; ⅉ; ⅉ; j; j; ) DOUBLE-STRUCK ITALIC SMALL J
      "\u2150",  # (⅐; ⅐; ⅐; 1⁄7; 1⁄7; ) VULGAR FRACTION ONE SEVENTH
      "\u2151",  # (⅑; ⅑; ⅑; 1⁄9; 1⁄9; ) VULGAR FRACTION ONE NINTH
      "\u2152",  # (⅒; ⅒; ⅒; 1⁄10; 1⁄10; ) VULGAR FRACTION ONE TENTH
      "\u2153",  # (⅓; ⅓; ⅓; 1⁄3; 1⁄3; ) VULGAR FRACTION ONE THIRD
      "\u2154",  # (⅔; ⅔; ⅔; 2⁄3; 2⁄3; ) VULGAR FRACTION TWO THIRDS
      "\u2155",  # (⅕; ⅕; ⅕; 1⁄5; 1⁄5; ) VULGAR FRACTION ONE FIFTH
      "\u2156",  # (⅖; ⅖; ⅖; 2⁄5; 2⁄5; ) VULGAR FRACTION TWO FIFTHS
      "\u2157",  # (⅗; ⅗; ⅗; 3⁄5; 3⁄5; ) VULGAR FRACTION THREE FIFTHS
      "\u2158",  # (⅘; ⅘; ⅘; 4⁄5; 4⁄5; ) VULGAR FRACTION FOUR FIFTHS
      "\u2159",  # (⅙; ⅙; ⅙; 1⁄6; 1⁄6; ) VULGAR FRACTION ONE SIXTH
      "\u215A",  # (⅚; ⅚; ⅚; 5⁄6; 5⁄6; ) VULGAR FRACTION FIVE SIXTHS
      "\u215B",  # (⅛; ⅛; ⅛; 1⁄8; 1⁄8; ) VULGAR FRACTION ONE EIGHTH
      "\u215C",  # (⅜; ⅜; ⅜; 3⁄8; 3⁄8; ) VULGAR FRACTION THREE EIGHTHS
      "\u215D",  # (⅝; ⅝; ⅝; 5⁄8; 5⁄8; ) VULGAR FRACTION FIVE EIGHTHS
      "\u215E",  # (⅞; ⅞; ⅞; 7⁄8; 7⁄8; ) VULGAR FRACTION SEVEN EIGHTHS
      "\u215F",  # (⅟; ⅟; ⅟; 1⁄; 1⁄; ) FRACTION NUMERATOR ONE
      "\u2160",  # (Ⅰ; Ⅰ; Ⅰ; I; I; ) ROMAN NUMERAL ONE
      "\u2161",  # (Ⅱ; Ⅱ; Ⅱ; II; II; ) ROMAN NUMERAL TWO
      "\u2162",  # (Ⅲ; Ⅲ; Ⅲ; III; III; ) ROMAN NUMERAL THREE
      "\u2163",  # (Ⅳ; Ⅳ; Ⅳ; IV; IV; ) ROMAN NUMERAL FOUR
      "\u2164",  # (Ⅴ; Ⅴ; Ⅴ; V; V; ) ROMAN NUMERAL FIVE
      "\u2165",  # (Ⅵ; Ⅵ; Ⅵ; VI; VI; ) ROMAN NUMERAL SIX
      "\u2166",  # (Ⅶ; Ⅶ; Ⅶ; VII; VII; ) ROMAN NUMERAL SEVEN
      "\u2167",  # (Ⅷ; Ⅷ; Ⅷ; VIII; VIII; ) ROMAN NUMERAL EIGHT
      "\u2168",  # (Ⅸ; Ⅸ; Ⅸ; IX; IX; ) ROMAN NUMERAL NINE
      "\u2169",  # (Ⅹ; Ⅹ; Ⅹ; X; X; ) ROMAN NUMERAL TEN
      "\u216A",  # (Ⅺ; Ⅺ; Ⅺ; XI; XI; ) ROMAN NUMERAL ELEVEN
      "\u216B",  # (Ⅻ; Ⅻ; Ⅻ; XII; XII; ) ROMAN NUMERAL TWELVE
      "\u216C",  # (Ⅼ; Ⅼ; Ⅼ; L; L; ) ROMAN NUMERAL FIFTY
      "\u216D",  # (Ⅽ; Ⅽ; Ⅽ; C; C; ) ROMAN NUMERAL ONE HUNDRED
      "\u216E",  # (Ⅾ; Ⅾ; Ⅾ; D; D; ) ROMAN NUMERAL FIVE HUNDRED
      "\u216F",  # (Ⅿ; Ⅿ; Ⅿ; M; M; ) ROMAN NUMERAL ONE THOUSAND
      "\u2170",  # (ⅰ; ⅰ; ⅰ; i; i; ) SMALL ROMAN NUMERAL ONE
      "\u2171",  # (ⅱ; ⅱ; ⅱ; ii; ii; ) SMALL ROMAN NUMERAL TWO
      "\u2172",  # (ⅲ; ⅲ; ⅲ; iii; iii; ) SMALL ROMAN NUMERAL THREE
      "\u2173",  # (ⅳ; ⅳ; ⅳ; iv; iv; ) SMALL ROMAN NUMERAL FOUR
      "\u2174",  # (ⅴ; ⅴ; ⅴ; v; v; ) SMALL ROMAN NUMERAL FIVE
      "\u2175",  # (ⅵ; ⅵ; ⅵ; vi; vi; ) SMALL ROMAN NUMERAL SIX
      "\u2176",  # (ⅶ; ⅶ; ⅶ; vii; vii; ) SMALL ROMAN NUMERAL SEVEN
      "\u2177",  # (ⅷ; ⅷ; ⅷ; viii; viii; ) SMALL ROMAN NUMERAL EIGHT
      "\u2178",  # (ⅸ; ⅸ; ⅸ; ix; ix; ) SMALL ROMAN NUMERAL NINE
      "\u2179",  # (ⅹ; ⅹ; ⅹ; x; x; ) SMALL ROMAN NUMERAL TEN
      "\u217A",  # (ⅺ; ⅺ; ⅺ; xi; xi; ) SMALL ROMAN NUMERAL ELEVEN
      "\u217B",  # (ⅻ; ⅻ; ⅻ; xii; xii; ) SMALL ROMAN NUMERAL TWELVE
      "\u217C",  # (ⅼ; ⅼ; ⅼ; l; l; ) SMALL ROMAN NUMERAL FIFTY
      "\u217D",  # (ⅽ; ⅽ; ⅽ; c; c; ) SMALL ROMAN NUMERAL ONE HUNDRED
      "\u217E",  # (ⅾ; ⅾ; ⅾ; d; d; ) SMALL ROMAN NUMERAL FIVE HUNDRED
      "\u217F",  # (ⅿ; ⅿ; ⅿ; m; m; ) SMALL ROMAN NUMERAL ONE THOUSAND
      "\u2189",  # (↉; ↉; ↉; 0⁄3; 0⁄3; ) VULGAR FRACTION ZERO THIRDS
      "\u219A",  # (↚; ↚; ←◌̸; ↚; ←◌̸; ) LEFTWARDS ARROW WITH STROKE
      "\u219B",  # (↛; ↛; →◌̸; ↛; →◌̸; ) RIGHTWARDS ARROW WITH STROKE
      "\u21AE",  # (↮; ↮; ↔◌̸; ↮; ↔◌̸; ) LEFT RIGHT ARROW WITH STROKE
      "\u21CD",  # (⇍; ⇍; ⇐◌̸; ⇍; ⇐◌̸; ) LEFTWARDS DOUBLE ARROW WITH STROKE
      "\u21CE",  # (⇎; ⇎; ⇔◌̸; ⇎; ⇔◌̸; ) LEFT RIGHT DOUBLE ARROW WITH STROKE
      "\u21CF",  # (⇏; ⇏; ⇒◌̸; ⇏; ⇒◌̸; ) RIGHTWARDS DOUBLE ARROW WITH STROKE
      "\u2204",  # (∄; ∄; ∃◌̸; ∄; ∃◌̸; ) THERE DOES NOT EXIST
      "\u2209",  # (∉; ∉; ∈◌̸; ∉; ∈◌̸; ) NOT AN ELEMENT OF
      "\u220C",  # (∌; ∌; ∋◌̸; ∌; ∋◌̸; ) DOES NOT CONTAIN AS MEMBER
      "\u2224",  # (∤; ∤; ∣◌̸; ∤; ∣◌̸; ) DOES NOT DIVIDE
      "\u2226",  # (∦; ∦; ∥◌̸; ∦; ∥◌̸; ) NOT PARALLEL TO
      "\u222C",  # (∬; ∬; ∬; ∫∫; ∫∫; ) DOUBLE INTEGRAL
      "\u222D",  # (∭; ∭; ∭; ∫∫∫; ∫∫∫; ) TRIPLE INTEGRAL
      "\u222F",  # (∯; ∯; ∯; ∮∮; ∮∮; ) SURFACE INTEGRAL
      "\u2230",  # (∰; ∰; ∰; ∮∮∮; ∮∮∮; ) VOLUME INTEGRAL
      "\u2241",  # (≁; ≁; ∼◌̸; ≁; ∼◌̸; ) NOT TILDE
      "\u2244",  # (≄; ≄; ≃◌̸; ≄; ≃◌̸; ) NOT ASYMPTOTICALLY EQUAL TO
      "\u2247",  # (≇; ≇; ≅◌̸; ≇; ≅◌̸; ) NEITHER APPROXIMATELY NOR ACTUALLY EQUAL TO
      "\u2249",  # (≉; ≉; ≈◌̸; ≉; ≈◌̸; ) NOT ALMOST EQUAL TO
      "\u2260",  # (≠; ≠; =◌̸; ≠; =◌̸; ) NOT EQUAL TO
      "\u2262",  # (≢; ≢; ≡◌̸; ≢; ≡◌̸; ) NOT IDENTICAL TO
      "\u226D",  # (≭; ≭; ≍◌̸; ≭; ≍◌̸; ) NOT EQUIVALENT TO
      "\u226E",  # (≮; ≮; <◌̸; ≮; <◌̸; ) NOT LESS-THAN
      "\u226F",  # (≯; ≯; >◌̸; ≯; >◌̸; ) NOT GREATER-THAN
      "\u2270",  # (≰; ≰; ≤◌̸; ≰; ≤◌̸; ) NEITHER LESS-THAN NOR EQUAL TO
      "\u2271",  # (≱; ≱; ≥◌̸; ≱; ≥◌̸; ) NEITHER GREATER-THAN NOR EQUAL TO
      "\u2274",  # (≴; ≴; ≲◌̸; ≴; ≲◌̸; ) NEITHER LESS-THAN NOR EQUIVALENT TO
      "\u2275",  # (≵; ≵; ≳◌̸; ≵; ≳◌̸; ) NEITHER GREATER-THAN NOR EQUIVALENT TO
      "\u2278",  # (≸; ≸; ≶◌̸; ≸; ≶◌̸; ) NEITHER LESS-THAN NOR GREATER-THAN
      "\u2279",  # (≹; ≹; ≷◌̸; ≹; ≷◌̸; ) NEITHER GREATER-THAN NOR LESS-THAN
      "\u2280",  # (⊀; ⊀; ≺◌̸; ⊀; ≺◌̸; ) DOES NOT PRECEDE
      "\u2281",  # (⊁; ⊁; ≻◌̸; ⊁; ≻◌̸; ) DOES NOT SUCCEED
      "\u2284",  # (⊄; ⊄; ⊂◌̸; ⊄; ⊂◌̸; ) NOT A SUBSET OF
      "\u2285",  # (⊅; ⊅; ⊃◌̸; ⊅; ⊃◌̸; ) NOT A SUPERSET OF
      "\u2288",  # (⊈; ⊈; ⊆◌̸; ⊈; ⊆◌̸; ) NEITHER A SUBSET OF NOR EQUAL TO
      "\u2289",  # (⊉; ⊉; ⊇◌̸; ⊉; ⊇◌̸; ) NEITHER A SUPERSET OF NOR EQUAL TO
      "\u22AC",  # (⊬; ⊬; ⊢◌̸; ⊬; ⊢◌̸; ) DOES NOT PROVE
      "\u22AD",  # (⊭; ⊭; ⊨◌̸; ⊭; ⊨◌̸; ) NOT TRUE
      "\u22AE",  # (⊮; ⊮; ⊩◌̸; ⊮; ⊩◌̸; ) DOES NOT FORCE
      "\u22AF",  # (⊯; ⊯; ⊫◌̸; ⊯; ⊫◌̸; ) NEGATED DOUBLE VERTICAL BAR DOUBLE RIGHT TURNSTILE
      "\u22E0",  # (⋠; ⋠; ≼◌̸; ⋠; ≼◌̸; ) DOES NOT PRECEDE OR EQUAL
      "\u22E1",  # (⋡; ⋡; ≽◌̸; ⋡; ≽◌̸; ) DOES NOT SUCCEED OR EQUAL
      "\u22E2",  # (⋢; ⋢; ⊑◌̸; ⋢; ⊑◌̸; ) NOT SQUARE IMAGE OF OR EQUAL TO
      "\u22E3",  # (⋣; ⋣; ⊒◌̸; ⋣; ⊒◌̸; ) NOT SQUARE ORIGINAL OF OR EQUAL TO
      "\u22EA",  # (⋪; ⋪; ⊲◌̸; ⋪; ⊲◌̸; ) NOT NORMAL SUBGROUP OF
      "\u22EB",  # (⋫; ⋫; ⊳◌̸; ⋫; ⊳◌̸; ) DOES NOT CONTAIN AS NORMAL SUBGROUP
      "\u22EC",  # (⋬; ⋬; ⊴◌̸; ⋬; ⊴◌̸; ) NOT NORMAL SUBGROUP OF OR EQUAL TO
      "\u22ED",  # (⋭; ⋭; ⊵◌̸; ⋭; ⊵◌̸; ) DOES NOT CONTAIN AS NORMAL SUBGROUP OR EQUAL
      "\u2329",  # (〈; 〈; 〈; 〈; 〈; ) LEFT-POINTING ANGLE BRACKET
      "\u232A",  # (〉; 〉; 〉; 〉; 〉; ) RIGHT-POINTING ANGLE BRACKET
      "\u2460",  # (①; ①; ①; 1; 1; ) CIRCLED DIGIT ONE
      "\u2461",  # (②; ②; ②; 2; 2; ) CIRCLED DIGIT TWO
      "\u2462",  # (③; ③; ③; 3; 3; ) CIRCLED DIGIT THREE
      "\u2463",  # (④; ④; ④; 4; 4; ) CIRCLED DIGIT FOUR
      "\u2464",  # (⑤; ⑤; ⑤; 5; 5; ) CIRCLED DIGIT FIVE
      "\u2465",  # (⑥; ⑥; ⑥; 6; 6; ) CIRCLED DIGIT SIX
      "\u2466",  # (⑦; ⑦; ⑦; 7; 7; ) CIRCLED DIGIT SEVEN
      "\u2467",  # (⑧; ⑧; ⑧; 8; 8; ) CIRCLED DIGIT EIGHT
      "\u2468",  # (⑨; ⑨; ⑨; 9; 9; ) CIRCLED DIGIT NINE
      "\u2469",  # (⑩; ⑩; ⑩; 10; 10; ) CIRCLED NUMBER TEN
      "\u246A",  # (⑪; ⑪; ⑪; 11; 11; ) CIRCLED NUMBER ELEVEN
      "\u246B",  # (⑫; ⑫; ⑫; 12; 12; ) CIRCLED NUMBER TWELVE
      "\u246C",  # (⑬; ⑬; ⑬; 13; 13; ) CIRCLED NUMBER THIRTEEN
      "\u246D",  # (⑭; ⑭; ⑭; 14; 14; ) CIRCLED NUMBER FOURTEEN
      "\u246E",  # (⑮; ⑮; ⑮; 15; 15; ) CIRCLED NUMBER FIFTEEN
      "\u246F",  # (⑯; ⑯; ⑯; 16; 16; ) CIRCLED NUMBER SIXTEEN
      "\u2470",  # (⑰; ⑰; ⑰; 17; 17; ) CIRCLED NUMBER SEVENTEEN
      "\u2471",  # (⑱; ⑱; ⑱; 18; 18; ) CIRCLED NUMBER EIGHTEEN
      "\u2472",  # (⑲; ⑲; ⑲; 19; 19; ) CIRCLED NUMBER NINETEEN
      "\u2473",  # (⑳; ⑳; ⑳; 20; 20; ) CIRCLED NUMBER TWENTY
      "\u2474",  # (⑴; ⑴; ⑴; (1); (1); ) PARENTHESIZED DIGIT ONE
      "\u2475",  # (⑵; ⑵; ⑵; (2); (2); ) PARENTHESIZED DIGIT TWO
      "\u2476",  # (⑶; ⑶; ⑶; (3); (3); ) PARENTHESIZED DIGIT THREE
      "\u2477",  # (⑷; ⑷; ⑷; (4); (4); ) PARENTHESIZED DIGIT FOUR
      "\u2478",  # (⑸; ⑸; ⑸; (5); (5); ) PARENTHESIZED DIGIT FIVE
      "\u2479",  # (⑹; ⑹; ⑹; (6); (6); ) PARENTHESIZED DIGIT SIX
      "\u247A",  # (⑺; ⑺; ⑺; (7); (7); ) PARENTHESIZED DIGIT SEVEN
      "\u247B",  # (⑻; ⑻; ⑻; (8); (8); ) PARENTHESIZED DIGIT EIGHT
      "\u247C",  # (⑼; ⑼; ⑼; (9); (9); ) PARENTHESIZED DIGIT NINE
      "\u247D",  # (⑽; ⑽; ⑽; (10); (10); ) PARENTHESIZED NUMBER TEN
      "\u247E",  # (⑾; ⑾; ⑾; (11); (11); ) PARENTHESIZED NUMBER ELEVEN
      "\u247F",  # (⑿; ⑿; ⑿; (12); (12); ) PARENTHESIZED NUMBER TWELVE
      "\u2480",  # (⒀; ⒀; ⒀; (13); (13); ) PARENTHESIZED NUMBER THIRTEEN
      "\u2481",  # (⒁; ⒁; ⒁; (14); (14); ) PARENTHESIZED NUMBER FOURTEEN
      "\u2482",  # (⒂; ⒂; ⒂; (15); (15); ) PARENTHESIZED NUMBER FIFTEEN
      "\u2483",  # (⒃; ⒃; ⒃; (16); (16); ) PARENTHESIZED NUMBER SIXTEEN
      "\u2484",  # (⒄; ⒄; ⒄; (17); (17); ) PARENTHESIZED NUMBER SEVENTEEN
      "\u2485",  # (⒅; ⒅; ⒅; (18); (18); ) PARENTHESIZED NUMBER EIGHTEEN
      "\u2486",  # (⒆; ⒆; ⒆; (19); (19); ) PARENTHESIZED NUMBER NINETEEN
      "\u2487",  # (⒇; ⒇; ⒇; (20); (20); ) PARENTHESIZED NUMBER TWENTY
      "\u2488",  # (⒈; ⒈; ⒈; 1.; 1.; ) DIGIT ONE FULL STOP
      "\u2489",  # (⒉; ⒉; ⒉; 2.; 2.; ) DIGIT TWO FULL STOP
      "\u248A",  # (⒊; ⒊; ⒊; 3.; 3.; ) DIGIT THREE FULL STOP
      "\u248B",  # (⒋; ⒋; ⒋; 4.; 4.; ) DIGIT FOUR FULL STOP
      "\u248C",  # (⒌; ⒌; ⒌; 5.; 5.; ) DIGIT FIVE FULL STOP
      "\u248D",  # (⒍; ⒍; ⒍; 6.; 6.; ) DIGIT SIX FULL STOP
      "\u248E",  # (⒎; ⒎; ⒎; 7.; 7.; ) DIGIT SEVEN FULL STOP
      "\u248F",  # (⒏; ⒏; ⒏; 8.; 8.; ) DIGIT EIGHT FULL STOP
      "\u2490",  # (⒐; ⒐; ⒐; 9.; 9.; ) DIGIT NINE FULL STOP
      "\u2491",  # (⒑; ⒑; ⒑; 10.; 10.; ) NUMBER TEN FULL STOP
      "\u2492",  # (⒒; ⒒; ⒒; 11.; 11.; ) NUMBER ELEVEN FULL STOP
      "\u2493",  # (⒓; ⒓; ⒓; 12.; 12.; ) NUMBER TWELVE FULL STOP
      "\u2494",  # (⒔; ⒔; ⒔; 13.; 13.; ) NUMBER THIRTEEN FULL STOP
      "\u2495",  # (⒕; ⒕; ⒕; 14.; 14.; ) NUMBER FOURTEEN FULL STOP
      "\u2496",  # (⒖; ⒖; ⒖; 15.; 15.; ) NUMBER FIFTEEN FULL STOP
      "\u2497",  # (⒗; ⒗; ⒗; 16.; 16.; ) NUMBER SIXTEEN FULL STOP
      "\u2498",  # (⒘; ⒘; ⒘; 17.; 17.; ) NUMBER SEVENTEEN FULL STOP
      "\u2499",  # (⒙; ⒙; ⒙; 18.; 18.; ) NUMBER EIGHTEEN FULL STOP
      "\u249A",  # (⒚; ⒚; ⒚; 19.; 19.; ) NUMBER NINETEEN FULL STOP
      "\u249B",  # (⒛; ⒛; ⒛; 20.; 20.; ) NUMBER TWENTY FULL STOP
      "\u249C",  # (⒜; ⒜; ⒜; (a); (a); ) PARENTHESIZED LATIN SMALL LETTER A
      "\u249D",  # (⒝; ⒝; ⒝; (b); (b); ) PARENTHESIZED LATIN SMALL LETTER B
      "\u249E",  # (⒞; ⒞; ⒞; (c); (c); ) PARENTHESIZED LATIN SMALL LETTER C
      "\u249F",  # (⒟; ⒟; ⒟; (d); (d); ) PARENTHESIZED LATIN SMALL LETTER D
      "\u24A0",  # (⒠; ⒠; ⒠; (e); (e); ) PARENTHESIZED LATIN SMALL LETTER E
      "\u24A1",  # (⒡; ⒡; ⒡; (f); (f); ) PARENTHESIZED LATIN SMALL LETTER F
      "\u24A2",  # (⒢; ⒢; ⒢; (g); (g); ) PARENTHESIZED LATIN SMALL LETTER G
      "\u24A3",  # (⒣; ⒣; ⒣; (h); (h); ) PARENTHESIZED LATIN SMALL LETTER H
      "\u24A4",  # (⒤; ⒤; ⒤; (i); (i); ) PARENTHESIZED LATIN SMALL LETTER I
      "\u24A5",  # (⒥; ⒥; ⒥; (j); (j); ) PARENTHESIZED LATIN SMALL LETTER J
      "\u24A6",  # (⒦; ⒦; ⒦; (k); (k); ) PARENTHESIZED LATIN SMALL LETTER K
      "\u24A7",  # (⒧; ⒧; ⒧; (l); (l); ) PARENTHESIZED LATIN SMALL LETTER L
      "\u24A8",  # (⒨; ⒨; ⒨; (m); (m); ) PARENTHESIZED LATIN SMALL LETTER M
      "\u24A9",  # (⒩; ⒩; ⒩; (n); (n); ) PARENTHESIZED LATIN SMALL LETTER N
      "\u24AA",  # (⒪; ⒪; ⒪; (o); (o); ) PARENTHESIZED LATIN SMALL LETTER O
      "\u24AB",  # (⒫; ⒫; ⒫; (p); (p); ) PARENTHESIZED LATIN SMALL LETTER P
      "\u24AC",  # (⒬; ⒬; ⒬; (q); (q); ) PARENTHESIZED LATIN SMALL LETTER Q
      "\u24AD",  # (⒭; ⒭; ⒭; (r); (r); ) PARENTHESIZED LATIN SMALL LETTER R
      "\u24AE",  # (⒮; ⒮; ⒮; (s); (s); ) PARENTHESIZED LATIN SMALL LETTER S
      "\u24AF",  # (⒯; ⒯; ⒯; (t); (t); ) PARENTHESIZED LATIN SMALL LETTER T
      "\u24B0",  # (⒰; ⒰; ⒰; (u); (u); ) PARENTHESIZED LATIN SMALL LETTER U
      "\u24B1",  # (⒱; ⒱; ⒱; (v); (v); ) PARENTHESIZED LATIN SMALL LETTER V
      "\u24B2",  # (⒲; ⒲; ⒲; (w); (w); ) PARENTHESIZED LATIN SMALL LETTER W
      "\u24B3",  # (⒳; ⒳; ⒳; (x); (x); ) PARENTHESIZED LATIN SMALL LETTER X
      "\u24B4",  # (⒴; ⒴; ⒴; (y); (y); ) PARENTHESIZED LATIN SMALL LETTER Y
      "\u24B5",  # (⒵; ⒵; ⒵; (z); (z); ) PARENTHESIZED LATIN SMALL LETTER Z
      "\u24B6",  # (Ⓐ; Ⓐ; Ⓐ; A; A; ) CIRCLED LATIN CAPITAL LETTER A
      "\u24B7",  # (Ⓑ; Ⓑ; Ⓑ; B; B; ) CIRCLED LATIN CAPITAL LETTER B
      "\u24B8",  # (Ⓒ; Ⓒ; Ⓒ; C; C; ) CIRCLED LATIN CAPITAL LETTER C
      "\u24B9",  # (Ⓓ; Ⓓ; Ⓓ; D; D; ) CIRCLED LATIN CAPITAL LETTER D
      "\u24BA",  # (Ⓔ; Ⓔ; Ⓔ; E; E; ) CIRCLED LATIN CAPITAL LETTER E
      "\u24BB",  # (Ⓕ; Ⓕ; Ⓕ; F; F; ) CIRCLED LATIN CAPITAL LETTER F
      "\u24BC",  # (Ⓖ; Ⓖ; Ⓖ; G; G; ) CIRCLED LATIN CAPITAL LETTER G
      "\u24BD",  # (Ⓗ; Ⓗ; Ⓗ; H; H; ) CIRCLED LATIN CAPITAL LETTER H
      "\u24BE",  # (Ⓘ; Ⓘ; Ⓘ; I; I; ) CIRCLED LATIN CAPITAL LETTER I
      "\u24BF",  # (Ⓙ; Ⓙ; Ⓙ; J; J; ) CIRCLED LATIN CAPITAL LETTER J
      "\u24C0",  # (Ⓚ; Ⓚ; Ⓚ; K; K; ) CIRCLED LATIN CAPITAL LETTER K
      "\u24C1",  # (Ⓛ; Ⓛ; Ⓛ; L; L; ) CIRCLED LATIN CAPITAL LETTER L
      "\u24C2",  # (Ⓜ; Ⓜ; Ⓜ; M; M; ) CIRCLED LATIN CAPITAL LETTER M
      "\u24C3",  # (Ⓝ; Ⓝ; Ⓝ; N; N; ) CIRCLED LATIN CAPITAL LETTER N
      "\u24C4",  # (Ⓞ; Ⓞ; Ⓞ; O; O; ) CIRCLED LATIN CAPITAL LETTER O
      "\u24C5",  # (Ⓟ; Ⓟ; Ⓟ; P; P; ) CIRCLED LATIN CAPITAL LETTER P
      "\u24C6",  # (Ⓠ; Ⓠ; Ⓠ; Q; Q; ) CIRCLED LATIN CAPITAL LETTER Q
      "\u24C7",  # (Ⓡ; Ⓡ; Ⓡ; R; R; ) CIRCLED LATIN CAPITAL LETTER R
      "\u24C8",  # (Ⓢ; Ⓢ; Ⓢ; S; S; ) CIRCLED LATIN CAPITAL LETTER S
      "\u24C9",  # (Ⓣ; Ⓣ; Ⓣ; T; T; ) CIRCLED LATIN CAPITAL LETTER T
      "\u24CA",  # (Ⓤ; Ⓤ; Ⓤ; U; U; ) CIRCLED LATIN CAPITAL LETTER U
      "\u24CB",  # (Ⓥ; Ⓥ; Ⓥ; V; V; ) CIRCLED LATIN CAPITAL LETTER V
      "\u24CC",  # (Ⓦ; Ⓦ; Ⓦ; W; W; ) CIRCLED LATIN CAPITAL LETTER W
      "\u24CD",  # (Ⓧ; Ⓧ; Ⓧ; X; X; ) CIRCLED LATIN CAPITAL LETTER X
      "\u24CE",  # (Ⓨ; Ⓨ; Ⓨ; Y; Y; ) CIRCLED LATIN CAPITAL LETTER Y
      "\u24CF",  # (Ⓩ; Ⓩ; Ⓩ; Z; Z; ) CIRCLED LATIN CAPITAL LETTER Z
      "\u24D0",  # (ⓐ; ⓐ; ⓐ; a; a; ) CIRCLED LATIN SMALL LETTER A
      "\u24D1",  # (ⓑ; ⓑ; ⓑ; b; b; ) CIRCLED LATIN SMALL LETTER B
      "\u24D2",  # (ⓒ; ⓒ; ⓒ; c; c; ) CIRCLED LATIN SMALL LETTER C
      "\u24D3",  # (ⓓ; ⓓ; ⓓ; d; d; ) CIRCLED LATIN SMALL LETTER D
      "\u24D4",  # (ⓔ; ⓔ; ⓔ; e; e; ) CIRCLED LATIN SMALL LETTER E
      "\u24D5",  # (ⓕ; ⓕ; ⓕ; f; f; ) CIRCLED LATIN SMALL LETTER F
      "\u24D6",  # (ⓖ; ⓖ; ⓖ; g; g; ) CIRCLED LATIN SMALL LETTER G
      "\u24D7",  # (ⓗ; ⓗ; ⓗ; h; h; ) CIRCLED LATIN SMALL LETTER H
      "\u24D8",  # (ⓘ; ⓘ; ⓘ; i; i; ) CIRCLED LATIN SMALL LETTER I
      "\u24D9",  # (ⓙ; ⓙ; ⓙ; j; j; ) CIRCLED LATIN SMALL LETTER J
      "\u24DA",  # (ⓚ; ⓚ; ⓚ; k; k; ) CIRCLED LATIN SMALL LETTER K
      "\u24DB",  # (ⓛ; ⓛ; ⓛ; l; l; ) CIRCLED LATIN SMALL LETTER L
      "\u24DC",  # (ⓜ; ⓜ; ⓜ; m; m; ) CIRCLED LATIN SMALL LETTER M
      "\u24DD",  # (ⓝ; ⓝ; ⓝ; n; n; ) CIRCLED LATIN SMALL LETTER N
      "\u24DE",  # (ⓞ; ⓞ; ⓞ; o; o; ) CIRCLED LATIN SMALL LETTER O
      "\u24DF",  # (ⓟ; ⓟ; ⓟ; p; p; ) CIRCLED LATIN SMALL LETTER P
      "\u24E0",  # (ⓠ; ⓠ; ⓠ; q; q; ) CIRCLED LATIN SMALL LETTER Q
      "\u24E1",  # (ⓡ; ⓡ; ⓡ; r; r; ) CIRCLED LATIN SMALL LETTER R
      "\u24E2",  # (ⓢ; ⓢ; ⓢ; s; s; ) CIRCLED LATIN SMALL LETTER S
      "\u24E3",  # (ⓣ; ⓣ; ⓣ; t; t; ) CIRCLED LATIN SMALL LETTER T
      "\u24E4",  # (ⓤ; ⓤ; ⓤ; u; u; ) CIRCLED LATIN SMALL LETTER U
      "\u24E5",  # (ⓥ; ⓥ; ⓥ; v; v; ) CIRCLED LATIN SMALL LETTER V
      "\u24E6",  # (ⓦ; ⓦ; ⓦ; w; w; ) CIRCLED LATIN SMALL LETTER W
      "\u24E7",  # (ⓧ; ⓧ; ⓧ; x; x; ) CIRCLED LATIN SMALL LETTER X
      "\u24E8",  # (ⓨ; ⓨ; ⓨ; y; y; ) CIRCLED LATIN SMALL LETTER Y
      "\u24E9",  # (ⓩ; ⓩ; ⓩ; z; z; ) CIRCLED LATIN SMALL LETTER Z
      "\u24EA",  # (⓪; ⓪; ⓪; 0; 0; ) CIRCLED DIGIT ZERO
      "\u2A0C",  # (⨌; ⨌; ⨌; ∫∫∫∫; ∫∫∫∫; ) QUADRUPLE INTEGRAL OPERATOR
      "\u2A74",  # (⩴; ⩴; ⩴; ::=; ::=; ) DOUBLE COLON EQUAL
      "\u2A75",  # (⩵; ⩵; ⩵; ==; ==; ) TWO CONSECUTIVE EQUALS SIGNS
      "\u2A76",  # (⩶; ⩶; ⩶; ===; ===; ) THREE CONSECUTIVE EQUALS SIGNS
      "\u2ADC",  # (⫝̸; ⫝◌̸; ⫝◌̸; ⫝◌̸; ⫝◌̸; ) FORKING
      "\u2C7C",  # (ⱼ; ⱼ; ⱼ; j; j; ) LATIN SUBSCRIPT SMALL LETTER J
      "\u2C7D",  # (ⱽ; ⱽ; ⱽ; V; V; ) MODIFIER LETTER CAPITAL V
      "\u2D6F",  # (ⵯ; ⵯ; ⵯ; ⵡ; ⵡ; ) TIFINAGH MODIFIER LETTER LABIALIZATION MARK
      "\u2E9F",  # (⺟; ⺟; ⺟; 母; 母; ) CJK RADICAL MOTHER
      "\u2EF3",  # (⻳; ⻳; ⻳; 龟; 龟; ) CJK RADICAL C-SIMPLIFIED TURTLE
      "\u2F00",  # (⼀; ⼀; ⼀; 一; 一; ) KANGXI RADICAL ONE
      "\u2F01",  # (⼁; ⼁; ⼁; 丨; 丨; ) KANGXI RADICAL LINE
      "\u2F02",  # (⼂; ⼂; ⼂; 丶; 丶; ) KANGXI RADICAL DOT
      "\u2F03",  # (⼃; ⼃; ⼃; 丿; 丿; ) KANGXI RADICAL SLASH
      "\u2F04",  # (⼄; ⼄; ⼄; 乙; 乙; ) KANGXI RADICAL SECOND
      "\u2F05",  # (⼅; ⼅; ⼅; 亅; 亅; ) KANGXI RADICAL HOOK
      "\u2F06",  # (⼆; ⼆; ⼆; 二; 二; ) KANGXI RADICAL TWO
      "\u2F07",  # (⼇; ⼇; ⼇; 亠; 亠; ) KANGXI RADICAL LID
      "\u2F08",  # (⼈; ⼈; ⼈; 人; 人; ) KANGXI RADICAL MAN
      "\u2F09",  # (⼉; ⼉; ⼉; 儿; 儿; ) KANGXI RADICAL LEGS
      "\u2F0A",  # (⼊; ⼊; ⼊; 入; 入; ) KANGXI RADICAL ENTER
      "\u2F0B",  # (⼋; ⼋; ⼋; 八; 八; ) KANGXI RADICAL EIGHT
      "\u2F0C",  # (⼌; ⼌; ⼌; 冂; 冂; ) KANGXI RADICAL DOWN BOX
      "\u2F0D",  # (⼍; ⼍; ⼍; 冖; 冖; ) KANGXI RADICAL COVER
      "\u2F0E",  # (⼎; ⼎; ⼎; 冫; 冫; ) KANGXI RADICAL ICE
      "\u2F0F",  # (⼏; ⼏; ⼏; 几; 几; ) KANGXI RADICAL TABLE
      "\u2F10",  # (⼐; ⼐; ⼐; 凵; 凵; ) KANGXI RADICAL OPEN BOX
      "\u2F11",  # (⼑; ⼑; ⼑; 刀; 刀; ) KANGXI RADICAL KNIFE
      "\u2F12",  # (⼒; ⼒; ⼒; 力; 力; ) KANGXI RADICAL POWER
      "\u2F13",  # (⼓; ⼓; ⼓; 勹; 勹; ) KANGXI RADICAL WRAP
      "\u2F14",  # (⼔; ⼔; ⼔; 匕; 匕; ) KANGXI RADICAL SPOON
      "\u2F15",  # (⼕; ⼕; ⼕; 匚; 匚; ) KANGXI RADICAL RIGHT OPEN BOX
      "\u2F16",  # (⼖; ⼖; ⼖; 匸; 匸; ) KANGXI RADICAL HIDING ENCLOSURE
      "\u2F17",  # (⼗; ⼗; ⼗; 十; 十; ) KANGXI RADICAL TEN
      "\u2F18",  # (⼘; ⼘; ⼘; 卜; 卜; ) KANGXI RADICAL DIVINATION
      "\u2F19",  # (⼙; ⼙; ⼙; 卩; 卩; ) KANGXI RADICAL SEAL
      "\u2F1A",  # (⼚; ⼚; ⼚; 厂; 厂; ) KANGXI RADICAL CLIFF
      "\u2F1B",  # (⼛; ⼛; ⼛; 厶; 厶; ) KANGXI RADICAL PRIVATE
      "\u2F1C",  # (⼜; ⼜; ⼜; 又; 又; ) KANGXI RADICAL AGAIN
      "\u2F1D",  # (⼝; ⼝; ⼝; 口; 口; ) KANGXI RADICAL MOUTH
      "\u2F1E",  # (⼞; ⼞; ⼞; 囗; 囗; ) KANGXI RADICAL ENCLOSURE
      "\u2F1F",  # (⼟; ⼟; ⼟; 土; 土; ) KANGXI RADICAL EARTH
      "\u2F20",  # (⼠; ⼠; ⼠; 士; 士; ) KANGXI RADICAL SCHOLAR
      "\u2F21",  # (⼡; ⼡; ⼡; 夂; 夂; ) KANGXI RADICAL GO
      "\u2F22",  # (⼢; ⼢; ⼢; 夊; 夊; ) KANGXI RADICAL GO SLOWLY
      "\u2F23",  # (⼣; ⼣; ⼣; 夕; 夕; ) KANGXI RADICAL EVENING
      "\u2F24",  # (⼤; ⼤; ⼤; 大; 大; ) KANGXI RADICAL BIG
      "\u2F25",  # (⼥; ⼥; ⼥; 女; 女; ) KANGXI RADICAL WOMAN
      "\u2F26",  # (⼦; ⼦; ⼦; 子; 子; ) KANGXI RADICAL CHILD
      "\u2F27",  # (⼧; ⼧; ⼧; 宀; 宀; ) KANGXI RADICAL ROOF
      "\u2F28",  # (⼨; ⼨; ⼨; 寸; 寸; ) KANGXI RADICAL INCH
      "\u2F29",  # (⼩; ⼩; ⼩; 小; 小; ) KANGXI RADICAL SMALL
      "\u2F2A",  # (⼪; ⼪; ⼪; 尢; 尢; ) KANGXI RADICAL LAME
      "\u2F2B",  # (⼫; ⼫; ⼫; 尸; 尸; ) KANGXI RADICAL CORPSE
      "\u2F2C",  # (⼬; ⼬; ⼬; 屮; 屮; ) KANGXI RADICAL SPROUT
      "\u2F2D",  # (⼭; ⼭; ⼭; 山; 山; ) KANGXI RADICAL MOUNTAIN
      "\u2F2E",  # (⼮; ⼮; ⼮; 巛; 巛; ) KANGXI RADICAL RIVER
      "\u2F2F",  # (⼯; ⼯; ⼯; 工; 工; ) KANGXI RADICAL WORK
      "\u2F30",  # (⼰; ⼰; ⼰; 己; 己; ) KANGXI RADICAL ONESELF
      "\u2F31",  # (⼱; ⼱; ⼱; 巾; 巾; ) KANGXI RADICAL TURBAN
      "\u2F32",  # (⼲; ⼲; ⼲; 干; 干; ) KANGXI RADICAL DRY
      "\u2F33",  # (⼳; ⼳; ⼳; 幺; 幺; ) KANGXI RADICAL SHORT THREAD
      "\u2F34",  # (⼴; ⼴; ⼴; 广; 广; ) KANGXI RADICAL DOTTED CLIFF
      "\u2F35",  # (⼵; ⼵; ⼵; 廴; 廴; ) KANGXI RADICAL LONG STRIDE
      "\u2F36",  # (⼶; ⼶; ⼶; 廾; 廾; ) KANGXI RADICAL TWO HANDS
      "\u2F37",  # (⼷; ⼷; ⼷; 弋; 弋; ) KANGXI RADICAL SHOOT
      "\u2F38",  # (⼸; ⼸; ⼸; 弓; 弓; ) KANGXI RADICAL BOW
      "\u2F39",  # (⼹; ⼹; ⼹; 彐; 彐; ) KANGXI RADICAL SNOUT
      "\u2F3A",  # (⼺; ⼺; ⼺; 彡; 彡; ) KANGXI RADICAL BRISTLE
      "\u2F3B",  # (⼻; ⼻; ⼻; 彳; 彳; ) KANGXI RADICAL STEP
      "\u2F3C",  # (⼼; ⼼; ⼼; 心; 心; ) KANGXI RADICAL HEART
      "\u2F3D",  # (⼽; ⼽; ⼽; 戈; 戈; ) KANGXI RADICAL HALBERD
      "\u2F3E",  # (⼾; ⼾; ⼾; 戶; 戶; ) KANGXI RADICAL DOOR
      "\u2F3F",  # (⼿; ⼿; ⼿; 手; 手; ) KANGXI RADICAL HAND
      "\u2F40",  # (⽀; ⽀; ⽀; 支; 支; ) KANGXI RADICAL BRANCH
      "\u2F41",  # (⽁; ⽁; ⽁; 攴; 攴; ) KANGXI RADICAL RAP
      "\u2F42",  # (⽂; ⽂; ⽂; 文; 文; ) KANGXI RADICAL SCRIPT
      "\u2F43",  # (⽃; ⽃; ⽃; 斗; 斗; ) KANGXI RADICAL DIPPER
      "\u2F44",  # (⽄; ⽄; ⽄; 斤; 斤; ) KANGXI RADICAL AXE
      "\u2F45",  # (⽅; ⽅; ⽅; 方; 方; ) KANGXI RADICAL SQUARE
      "\u2F46",  # (⽆; ⽆; ⽆; 无; 无; ) KANGXI RADICAL NOT
      "\u2F47",  # (⽇; ⽇; ⽇; 日; 日; ) KANGXI RADICAL SUN
      "\u2F48",  # (⽈; ⽈; ⽈; 曰; 曰; ) KANGXI RADICAL SAY
      "\u2F49",  # (⽉; ⽉; ⽉; 月; 月; ) KANGXI RADICAL MOON
      "\u2F4A",  # (⽊; ⽊; ⽊; 木; 木; ) KANGXI RADICAL TREE
      "\u2F4B",  # (⽋; ⽋; ⽋; 欠; 欠; ) KANGXI RADICAL LACK
      "\u2F4C",  # (⽌; ⽌; ⽌; 止; 止; ) KANGXI RADICAL STOP
      "\u2F4D",  # (⽍; ⽍; ⽍; 歹; 歹; ) KANGXI RADICAL DEATH
      "\u2F4E",  # (⽎; ⽎; ⽎; 殳; 殳; ) KANGXI RADICAL WEAPON
      "\u2F4F",  # (⽏; ⽏; ⽏; 毋; 毋; ) KANGXI RADICAL DO NOT
      "\u2F50",  # (⽐; ⽐; ⽐; 比; 比; ) KANGXI RADICAL COMPARE
      "\u2F51",  # (⽑; ⽑; ⽑; 毛; 毛; ) KANGXI RADICAL FUR
      "\u2F52",  # (⽒; ⽒; ⽒; 氏; 氏; ) KANGXI RADICAL CLAN
      "\u2F53",  # (⽓; ⽓; ⽓; 气; 气; ) KANGXI RADICAL STEAM
      "\u2F54",  # (⽔; ⽔; ⽔; 水; 水; ) KANGXI RADICAL WATER
      "\u2F55",  # (⽕; ⽕; ⽕; 火; 火; ) KANGXI RADICAL FIRE
      "\u2F56",  # (⽖; ⽖; ⽖; 爪; 爪; ) KANGXI RADICAL CLAW
      "\u2F57",  # (⽗; ⽗; ⽗; 父; 父; ) KANGXI RADICAL FATHER
      "\u2F58",  # (⽘; ⽘; ⽘; 爻; 爻; ) KANGXI RADICAL DOUBLE X
      "\u2F59",  # (⽙; ⽙; ⽙; 爿; 爿; ) KANGXI RADICAL HALF TREE TRUNK
      "\u2F5A",  # (⽚; ⽚; ⽚; 片; 片; ) KANGXI RADICAL SLICE
      "\u2F5B",  # (⽛; ⽛; ⽛; 牙; 牙; ) KANGXI RADICAL FANG
      "\u2F5C",  # (⽜; ⽜; ⽜; 牛; 牛; ) KANGXI RADICAL COW
      "\u2F5D",  # (⽝; ⽝; ⽝; 犬; 犬; ) KANGXI RADICAL DOG
      "\u2F5E",  # (⽞; ⽞; ⽞; 玄; 玄; ) KANGXI RADICAL PROFOUND
      "\u2F5F",  # (⽟; ⽟; ⽟; 玉; 玉; ) KANGXI RADICAL JADE
      "\u2F60",  # (⽠; ⽠; ⽠; 瓜; 瓜; ) KANGXI RADICAL MELON
      "\u2F61",  # (⽡; ⽡; ⽡; 瓦; 瓦; ) KANGXI RADICAL TILE
      "\u2F62",  # (⽢; ⽢; ⽢; 甘; 甘; ) KANGXI RADICAL SWEET
      "\u2F63",  # (⽣; ⽣; ⽣; 生; 生; ) KANGXI RADICAL LIFE
      "\u2F64",  # (⽤; ⽤; ⽤; 用; 用; ) KANGXI RADICAL USE
      "\u2F65",  # (⽥; ⽥; ⽥; 田; 田; ) KANGXI RADICAL FIELD
      "\u2F66",  # (⽦; ⽦; ⽦; 疋; 疋; ) KANGXI RADICAL BOLT OF CLOTH
      "\u2F67",  # (⽧; ⽧; ⽧; 疒; 疒; ) KANGXI RADICAL SICKNESS
      "\u2F68",  # (⽨; ⽨; ⽨; 癶; 癶; ) KANGXI RADICAL DOTTED TENT
      "\u2F69",  # (⽩; ⽩; ⽩; 白; 白; ) KANGXI RADICAL WHITE
      "\u2F6A",  # (⽪; ⽪; ⽪; 皮; 皮; ) KANGXI RADICAL SKIN
      "\u2F6B",  # (⽫; ⽫; ⽫; 皿; 皿; ) KANGXI RADICAL DISH
      "\u2F6C",  # (⽬; ⽬; ⽬; 目; 目; ) KANGXI RADICAL EYE
      "\u2F6D",  # (⽭; ⽭; ⽭; 矛; 矛; ) KANGXI RADICAL SPEAR
      "\u2F6E",  # (⽮; ⽮; ⽮; 矢; 矢; ) KANGXI RADICAL ARROW
      "\u2F6F",  # (⽯; ⽯; ⽯; 石; 石; ) KANGXI RADICAL STONE
      "\u2F70",  # (⽰; ⽰; ⽰; 示; 示; ) KANGXI RADICAL SPIRIT
      "\u2F71",  # (⽱; ⽱; ⽱; 禸; 禸; ) KANGXI RADICAL TRACK
      "\u2F72",  # (⽲; ⽲; ⽲; 禾; 禾; ) KANGXI RADICAL GRAIN
      "\u2F73",  # (⽳; ⽳; ⽳; 穴; 穴; ) KANGXI RADICAL CAVE
      "\u2F74",  # (⽴; ⽴; ⽴; 立; 立; ) KANGXI RADICAL STAND
      "\u2F75",  # (⽵; ⽵; ⽵; 竹; 竹; ) KANGXI RADICAL BAMBOO
      "\u2F76",  # (⽶; ⽶; ⽶; 米; 米; ) KANGXI RADICAL RICE
      "\u2F77",  # (⽷; ⽷; ⽷; 糸; 糸; ) KANGXI RADICAL SILK
      "\u2F78",  # (⽸; ⽸; ⽸; 缶; 缶; ) KANGXI RADICAL JAR
      "\u2F79",  # (⽹; ⽹; ⽹; 网; 网; ) KANGXI RADICAL NET
      "\u2F7A",  # (⽺; ⽺; ⽺; 羊; 羊; ) KANGXI RADICAL SHEEP
      "\u2F7B",  # (⽻; ⽻; ⽻; 羽; 羽; ) KANGXI RADICAL FEATHER
      "\u2F7C",  # (⽼; ⽼; ⽼; 老; 老; ) KANGXI RADICAL OLD
      "\u2F7D",  # (⽽; ⽽; ⽽; 而; 而; ) KANGXI RADICAL AND
      "\u2F7E",  # (⽾; ⽾; ⽾; 耒; 耒; ) KANGXI RADICAL PLOW
      "\u2F7F",  # (⽿; ⽿; ⽿; 耳; 耳; ) KANGXI RADICAL EAR
      "\u2F80",  # (⾀; ⾀; ⾀; 聿; 聿; ) KANGXI RADICAL BRUSH
      "\u2F81",  # (⾁; ⾁; ⾁; 肉; 肉; ) KANGXI RADICAL MEAT
      "\u2F82",  # (⾂; ⾂; ⾂; 臣; 臣; ) KANGXI RADICAL MINISTER
      "\u2F83",  # (⾃; ⾃; ⾃; 自; 自; ) KANGXI RADICAL SELF
      "\u2F84",  # (⾄; ⾄; ⾄; 至; 至; ) KANGXI RADICAL ARRIVE
      "\u2F85",  # (⾅; ⾅; ⾅; 臼; 臼; ) KANGXI RADICAL MORTAR
      "\u2F86",  # (⾆; ⾆; ⾆; 舌; 舌; ) KANGXI RADICAL TONGUE
      "\u2F87",  # (⾇; ⾇; ⾇; 舛; 舛; ) KANGXI RADICAL OPPOSE
      "\u2F88",  # (⾈; ⾈; ⾈; 舟; 舟; ) KANGXI RADICAL BOAT
      "\u2F89",  # (⾉; ⾉; ⾉; 艮; 艮; ) KANGXI RADICAL STOPPING
      "\u2F8A",  # (⾊; ⾊; ⾊; 色; 色; ) KANGXI RADICAL COLOR
      "\u2F8B",  # (⾋; ⾋; ⾋; 艸; 艸; ) KANGXI RADICAL GRASS
      "\u2F8C",  # (⾌; ⾌; ⾌; 虍; 虍; ) KANGXI RADICAL TIGER
      "\u2F8D",  # (⾍; ⾍; ⾍; 虫; 虫; ) KANGXI RADICAL INSECT
      "\u2F8E",  # (⾎; ⾎; ⾎; 血; 血; ) KANGXI RADICAL BLOOD
      "\u2F8F",  # (⾏; ⾏; ⾏; 行; 行; ) KANGXI RADICAL WALK ENCLOSURE
      "\u2F90",  # (⾐; ⾐; ⾐; 衣; 衣; ) KANGXI RADICAL CLOTHES
      "\u2F91",  # (⾑; ⾑; ⾑; 襾; 襾; ) KANGXI RADICAL WEST
      "\u2F92",  # (⾒; ⾒; ⾒; 見; 見; ) KANGXI RADICAL SEE
      "\u2F93",  # (⾓; ⾓; ⾓; 角; 角; ) KANGXI RADICAL HORN
      "\u2F94",  # (⾔; ⾔; ⾔; 言; 言; ) KANGXI RADICAL SPEECH
      "\u2F95",  # (⾕; ⾕; ⾕; 谷; 谷; ) KANGXI RADICAL VALLEY
      "\u2F96",  # (⾖; ⾖; ⾖; 豆; 豆; ) KANGXI RADICAL BEAN
      "\u2F97",  # (⾗; ⾗; ⾗; 豕; 豕; ) KANGXI RADICAL PIG
      "\u2F98",  # (⾘; ⾘; ⾘; 豸; 豸; ) KANGXI RADICAL BADGER
      "\u2F99",  # (⾙; ⾙; ⾙; 貝; 貝; ) KANGXI RADICAL SHELL
      "\u2F9A",  # (⾚; ⾚; ⾚; 赤; 赤; ) KANGXI RADICAL RED
      "\u2F9B",  # (⾛; ⾛; ⾛; 走; 走; ) KANGXI RADICAL RUN
      "\u2F9C",  # (⾜; ⾜; ⾜; 足; 足; ) KANGXI RADICAL FOOT
      "\u2F9D",  # (⾝; ⾝; ⾝; 身; 身; ) KANGXI RADICAL BODY
      "\u2F9E",  # (⾞; ⾞; ⾞; 車; 車; ) KANGXI RADICAL CART
      "\u2F9F",  # (⾟; ⾟; ⾟; 辛; 辛; ) KANGXI RADICAL BITTER
      "\u2FA0",  # (⾠; ⾠; ⾠; 辰; 辰; ) KANGXI RADICAL MORNING
      "\u2FA1",  # (⾡; ⾡; ⾡; 辵; 辵; ) KANGXI RADICAL WALK
      "\u2FA2",  # (⾢; ⾢; ⾢; 邑; 邑; ) KANGXI RADICAL CITY
      "\u2FA3",  # (⾣; ⾣; ⾣; 酉; 酉; ) KANGXI RADICAL WINE
      "\u2FA4",  # (⾤; ⾤; ⾤; 釆; 釆; ) KANGXI RADICAL DISTINGUISH
      "\u2FA5",  # (⾥; ⾥; ⾥; 里; 里; ) KANGXI RADICAL VILLAGE
      "\u2FA6",  # (⾦; ⾦; ⾦; 金; 金; ) KANGXI RADICAL GOLD
      "\u2FA7",  # (⾧; ⾧; ⾧; 長; 長; ) KANGXI RADICAL LONG
      "\u2FA8",  # (⾨; ⾨; ⾨; 門; 門; ) KANGXI RADICAL GATE
      "\u2FA9",  # (⾩; ⾩; ⾩; 阜; 阜; ) KANGXI RADICAL MOUND
      "\u2FAA",  # (⾪; ⾪; ⾪; 隶; 隶; ) KANGXI RADICAL SLAVE
      "\u2FAB",  # (⾫; ⾫; ⾫; 隹; 隹; ) KANGXI RADICAL SHORT TAILED BIRD
      "\u2FAC",  # (⾬; ⾬; ⾬; 雨; 雨; ) KANGXI RADICAL RAIN
      "\u2FAD",  # (⾭; ⾭; ⾭; 靑; 靑; ) KANGXI RADICAL BLUE
      "\u2FAE",  # (⾮; ⾮; ⾮; 非; 非; ) KANGXI RADICAL WRONG
      "\u2FAF",  # (⾯; ⾯; ⾯; 面; 面; ) KANGXI RADICAL FACE
      "\u2FB0",  # (⾰; ⾰; ⾰; 革; 革; ) KANGXI RADICAL LEATHER
      "\u2FB1",  # (⾱; ⾱; ⾱; 韋; 韋; ) KANGXI RADICAL TANNED LEATHER
      "\u2FB2",  # (⾲; ⾲; ⾲; 韭; 韭; ) KANGXI RADICAL LEEK
      "\u2FB3",  # (⾳; ⾳; ⾳; 音; 音; ) KANGXI RADICAL SOUND
      "\u2FB4",  # (⾴; ⾴; ⾴; 頁; 頁; ) KANGXI RADICAL LEAF
      "\u2FB5",  # (⾵; ⾵; ⾵; 風; 風; ) KANGXI RADICAL WIND
      "\u2FB6",  # (⾶; ⾶; ⾶; 飛; 飛; ) KANGXI RADICAL FLY
      "\u2FB7",  # (⾷; ⾷; ⾷; 食; 食; ) KANGXI RADICAL EAT
      "\u2FB8",  # (⾸; ⾸; ⾸; 首; 首; ) KANGXI RADICAL HEAD
      "\u2FB9",  # (⾹; ⾹; ⾹; 香; 香; ) KANGXI RADICAL FRAGRANT
      "\u2FBA",  # (⾺; ⾺; ⾺; 馬; 馬; ) KANGXI RADICAL HORSE
      "\u2FBB",  # (⾻; ⾻; ⾻; 骨; 骨; ) KANGXI RADICAL BONE
      "\u2FBC",  # (⾼; ⾼; ⾼; 高; 高; ) KANGXI RADICAL TALL
      "\u2FBD",  # (⾽; ⾽; ⾽; 髟; 髟; ) KANGXI RADICAL HAIR
      "\u2FBE",  # (⾾; ⾾; ⾾; 鬥; 鬥; ) KANGXI RADICAL FIGHT
      "\u2FBF",  # (⾿; ⾿; ⾿; 鬯; 鬯; ) KANGXI RADICAL SACRIFICIAL WINE
      "\u2FC0",  # (⿀; ⿀; ⿀; 鬲; 鬲; ) KANGXI RADICAL CAULDRON
      "\u2FC1",  # (⿁; ⿁; ⿁; 鬼; 鬼; ) KANGXI RADICAL GHOST
      "\u2FC2",  # (⿂; ⿂; ⿂; 魚; 魚; ) KANGXI RADICAL FISH
      "\u2FC3",  # (⿃; ⿃; ⿃; 鳥; 鳥; ) KANGXI RADICAL BIRD
      "\u2FC4",  # (⿄; ⿄; ⿄; 鹵; 鹵; ) KANGXI RADICAL SALT
      "\u2FC5",  # (⿅; ⿅; ⿅; 鹿; 鹿; ) KANGXI RADICAL DEER
      "\u2FC6",  # (⿆; ⿆; ⿆; 麥; 麥; ) KANGXI RADICAL WHEAT
      "\u2FC7",  # (⿇; ⿇; ⿇; 麻; 麻; ) KANGXI RADICAL HEMP
      "\u2FC8",  # (⿈; ⿈; ⿈; 黃; 黃; ) KANGXI RADICAL YELLOW
      "\u2FC9",  # (⿉; ⿉; ⿉; 黍; 黍; ) KANGXI RADICAL MILLET
      "\u2FCA",  # (⿊; ⿊; ⿊; 黑; 黑; ) KANGXI RADICAL BLACK
      "\u2FCB",  # (⿋; ⿋; ⿋; 黹; 黹; ) KANGXI RADICAL EMBROIDERY
      "\u2FCC",  # (⿌; ⿌; ⿌; 黽; 黽; ) KANGXI RADICAL FROG
      "\u2FCD",  # (⿍; ⿍; ⿍; 鼎; 鼎; ) KANGXI RADICAL TRIPOD
      "\u2FCE",  # (⿎; ⿎; ⿎; 鼓; 鼓; ) KANGXI RADICAL DRUM
      "\u2FCF",  # (⿏; ⿏; ⿏; 鼠; 鼠; ) KANGXI RADICAL RAT
      "\u2FD0",  # (⿐; ⿐; ⿐; 鼻; 鼻; ) KANGXI RADICAL NOSE
      "\u2FD1",  # (⿑; ⿑; ⿑; 齊; 齊; ) KANGXI RADICAL EVEN
      "\u2FD2",  # (⿒; ⿒; ⿒; 齒; 齒; ) KANGXI RADICAL TOOTH
      "\u2FD3",  # (⿓; ⿓; ⿓; 龍; 龍; ) KANGXI RADICAL DRAGON
      "\u2FD4",  # (⿔; ⿔; ⿔; 龜; 龜; ) KANGXI RADICAL TURTLE
      "\u2FD5",  # (⿕; ⿕; ⿕; 龠; 龠; ) KANGXI RADICAL FLUTE
      "\u3000",  # (　; 　; 　;  ;  ; ) IDEOGRAPHIC SPACE
      "\u3036",  # (〶; 〶; 〶; 〒; 〒; ) CIRCLED POSTAL MARK
      "\u3038",  # (〸; 〸; 〸; 十; 十; ) HANGZHOU NUMERAL TEN
      "\u3039",  # (〹; 〹; 〹; 卄; 卄; ) HANGZHOU NUMERAL TWENTY
      "\u303A",  # (〺; 〺; 〺; 卅; 卅; ) HANGZHOU NUMERAL THIRTY
      "\u304C",  # (が; が; か◌゙; が; か◌゙; ) HIRAGANA LETTER GA
      "\u304E",  # (ぎ; ぎ; き◌゙; ぎ; き◌゙; ) HIRAGANA LETTER GI
      "\u3050",  # (ぐ; ぐ; く◌゙; ぐ; く◌゙; ) HIRAGANA LETTER GU
      "\u3052",  # (げ; げ; け◌゙; げ; け◌゙; ) HIRAGANA LETTER GE
      "\u3054",  # (ご; ご; こ◌゙; ご; こ◌゙; ) HIRAGANA LETTER GO
      "\u3056",  # (ざ; ざ; さ◌゙; ざ; さ◌゙; ) HIRAGANA LETTER ZA
      "\u3058",  # (じ; じ; し◌゙; じ; し◌゙; ) HIRAGANA LETTER ZI
      "\u305A",  # (ず; ず; す◌゙; ず; す◌゙; ) HIRAGANA LETTER ZU
      "\u305C",  # (ぜ; ぜ; せ◌゙; ぜ; せ◌゙; ) HIRAGANA LETTER ZE
      "\u305E",  # (ぞ; ぞ; そ◌゙; ぞ; そ◌゙; ) HIRAGANA LETTER ZO
      "\u3060",  # (だ; だ; た◌゙; だ; た◌゙; ) HIRAGANA LETTER DA
      "\u3062",  # (ぢ; ぢ; ち◌゙; ぢ; ち◌゙; ) HIRAGANA LETTER DI
      "\u3065",  # (づ; づ; つ◌゙; づ; つ◌゙; ) HIRAGANA LETTER DU
      "\u3067",  # (で; で; て◌゙; で; て◌゙; ) HIRAGANA LETTER DE
      "\u3069",  # (ど; ど; と◌゙; ど; と◌゙; ) HIRAGANA LETTER DO
      "\u3070",  # (ば; ば; は◌゙; ば; は◌゙; ) HIRAGANA LETTER BA
      "\u3071",  # (ぱ; ぱ; は◌゚; ぱ; は◌゚; ) HIRAGANA LETTER PA
      "\u3073",  # (び; び; ひ◌゙; び; ひ◌゙; ) HIRAGANA LETTER BI
      "\u3074",  # (ぴ; ぴ; ひ◌゚; ぴ; ひ◌゚; ) HIRAGANA LETTER PI
      "\u3076",  # (ぶ; ぶ; ふ◌゙; ぶ; ふ◌゙; ) HIRAGANA LETTER BU
      "\u3077",  # (ぷ; ぷ; ふ◌゚; ぷ; ふ◌゚; ) HIRAGANA LETTER PU
      "\u3079",  # (べ; べ; へ◌゙; べ; へ◌゙; ) HIRAGANA LETTER BE
      "\u307A",  # (ぺ; ぺ; へ◌゚; ぺ; へ◌゚; ) HIRAGANA LETTER PE
      "\u307C",  # (ぼ; ぼ; ほ◌゙; ぼ; ほ◌゙; ) HIRAGANA LETTER BO
      "\u307D",  # (ぽ; ぽ; ほ◌゚; ぽ; ほ◌゚; ) HIRAGANA LETTER PO
      "\u3094",  # (ゔ; ゔ; う◌゙; ゔ; う◌゙; ) HIRAGANA LETTER VU
      "\u309B",  # (゛; ゛; ゛;  ◌゙;  ◌゙; ) KATAKANA-HIRAGANA VOICED SOUND MARK
      "\u309C",  # (゜; ゜; ゜;  ◌゚;  ◌゚; ) KATAKANA-HIRAGANA SEMI-VOICED SOUND MARK
      "\u309E",  # (ゞ; ゞ; ゝ◌゙; ゞ; ゝ◌゙; ) HIRAGANA VOICED ITERATION MARK
      "\u309F",  # (ゟ; ゟ; ゟ; より; より; ) HIRAGANA DIGRAPH YORI
      "\u30AC",  # (ガ; ガ; カ◌゙; ガ; カ◌゙; ) KATAKANA LETTER GA
      "\u30AE",  # (ギ; ギ; キ◌゙; ギ; キ◌゙; ) KATAKANA LETTER GI
      "\u30B0",  # (グ; グ; ク◌゙; グ; ク◌゙; ) KATAKANA LETTER GU
      "\u30B2",  # (ゲ; ゲ; ケ◌゙; ゲ; ケ◌゙; ) KATAKANA LETTER GE
      "\u30B4",  # (ゴ; ゴ; コ◌゙; ゴ; コ◌゙; ) KATAKANA LETTER GO
      "\u30B6",  # (ザ; ザ; サ◌゙; ザ; サ◌゙; ) KATAKANA LETTER ZA
      "\u30B8",  # (ジ; ジ; シ◌゙; ジ; シ◌゙; ) KATAKANA LETTER ZI
      "\u30BA",  # (ズ; ズ; ス◌゙; ズ; ス◌゙; ) KATAKANA LETTER ZU
      "\u30BC",  # (ゼ; ゼ; セ◌゙; ゼ; セ◌゙; ) KATAKANA LETTER ZE
      "\u30BE",  # (ゾ; ゾ; ソ◌゙; ゾ; ソ◌゙; ) KATAKANA LETTER ZO
      "\u30C0",  # (ダ; ダ; タ◌゙; ダ; タ◌゙; ) KATAKANA LETTER DA
      "\u30C2",  # (ヂ; ヂ; チ◌゙; ヂ; チ◌゙; ) KATAKANA LETTER DI
      "\u30C5",  # (ヅ; ヅ; ツ◌゙; ヅ; ツ◌゙; ) KATAKANA LETTER DU
      "\u30C7",  # (デ; デ; テ◌゙; デ; テ◌゙; ) KATAKANA LETTER DE
      "\u30C9",  # (ド; ド; ト◌゙; ド; ト◌゙; ) KATAKANA LETTER DO
      "\u30D0",  # (バ; バ; ハ◌゙; バ; ハ◌゙; ) KATAKANA LETTER BA
      "\u30D1",  # (パ; パ; ハ◌゚; パ; ハ◌゚; ) KATAKANA LETTER PA
      "\u30D3",  # (ビ; ビ; ヒ◌゙; ビ; ヒ◌゙; ) KATAKANA LETTER BI
      "\u30D4",  # (ピ; ピ; ヒ◌゚; ピ; ヒ◌゚; ) KATAKANA LETTER PI
      "\u30D6",  # (ブ; ブ; フ◌゙; ブ; フ◌゙; ) KATAKANA LETTER BU
      "\u30D7",  # (プ; プ; フ◌゚; プ; フ◌゚; ) KATAKANA LETTER PU
      "\u30D9",  # (ベ; ベ; ヘ◌゙; ベ; ヘ◌゙; ) KATAKANA LETTER BE
      "\u30DA",  # (ペ; ペ; ヘ◌゚; ペ; ヘ◌゚; ) KATAKANA LETTER PE
      "\u30DC",  # (ボ; ボ; ホ◌゙; ボ; ホ◌゙; ) KATAKANA LETTER BO
      "\u30DD",  # (ポ; ポ; ホ◌゚; ポ; ホ◌゚; ) KATAKANA LETTER PO
      "\u30F4",  # (ヴ; ヴ; ウ◌゙; ヴ; ウ◌゙; ) KATAKANA LETTER VU
      "\u30F7",  # (ヷ; ヷ; ワ◌゙; ヷ; ワ◌゙; ) KATAKANA LETTER VA
      "\u30F8",  # (ヸ; ヸ; ヰ◌゙; ヸ; ヰ◌゙; ) KATAKANA LETTER VI
      "\u30F9",  # (ヹ; ヹ; ヱ◌゙; ヹ; ヱ◌゙; ) KATAKANA LETTER VE
      "\u30FA",  # (ヺ; ヺ; ヲ◌゙; ヺ; ヲ◌゙; ) KATAKANA LETTER VO
      "\u30FE",  # (ヾ; ヾ; ヽ◌゙; ヾ; ヽ◌゙; ) KATAKANA VOICED ITERATION MARK
      "\u30FF",  # (ヿ; ヿ; ヿ; コト; コト; ) KATAKANA DIGRAPH KOTO
      "\u3131",  # (ㄱ; ㄱ; ㄱ; ᄀ; ᄀ; ) HANGUL LETTER KIYEOK
      "\u3132",  # (ㄲ; ㄲ; ㄲ; ᄁ; ᄁ; ) HANGUL LETTER SSANGKIYEOK
      "\u3133",  # (ㄳ; ㄳ; ㄳ; ᆪ; ᆪ; ) HANGUL LETTER KIYEOK-SIOS
      "\u3134",  # (ㄴ; ㄴ; ㄴ; ᄂ; ᄂ; ) HANGUL LETTER NIEUN
      "\u3135",  # (ㄵ; ㄵ; ㄵ; ᆬ; ᆬ; ) HANGUL LETTER NIEUN-CIEUC
      "\u3136",  # (ㄶ; ㄶ; ㄶ; ᆭ; ᆭ; ) HANGUL LETTER NIEUN-HIEUH
      "\u3137",  # (ㄷ; ㄷ; ㄷ; ᄃ; ᄃ; ) HANGUL LETTER TIKEUT
      "\u3138",  # (ㄸ; ㄸ; ㄸ; ᄄ; ᄄ; ) HANGUL LETTER SSANGTIKEUT
      "\u3139",  # (ㄹ; ㄹ; ㄹ; ᄅ; ᄅ; ) HANGUL LETTER RIEUL
      "\u313A",  # (ㄺ; ㄺ; ㄺ; ᆰ; ᆰ; ) HANGUL LETTER RIEUL-KIYEOK
      "\u313B",  # (ㄻ; ㄻ; ㄻ; ᆱ; ᆱ; ) HANGUL LETTER RIEUL-MIEUM
      "\u313C",  # (ㄼ; ㄼ; ㄼ; ᆲ; ᆲ; ) HANGUL LETTER RIEUL-PIEUP
      "\u313D",  # (ㄽ; ㄽ; ㄽ; ᆳ; ᆳ; ) HANGUL LETTER RIEUL-SIOS
      "\u313E",  # (ㄾ; ㄾ; ㄾ; ᆴ; ᆴ; ) HANGUL LETTER RIEUL-THIEUTH
      "\u313F",  # (ㄿ; ㄿ; ㄿ; ᆵ; ᆵ; ) HANGUL LETTER RIEUL-PHIEUPH
      "\u3140",  # (ㅀ; ㅀ; ㅀ; ᄚ; ᄚ; ) HANGUL LETTER RIEUL-HIEUH
      "\u3141",  # (ㅁ; ㅁ; ㅁ; ᄆ; ᄆ; ) HANGUL LETTER MIEUM
      "\u3142",  # (ㅂ; ㅂ; ㅂ; ᄇ; ᄇ; ) HANGUL LETTER PIEUP
      "\u3143",  # (ㅃ; ㅃ; ㅃ; ᄈ; ᄈ; ) HANGUL LETTER SSANGPIEUP
      "\u3144",  # (ㅄ; ㅄ; ㅄ; ᄡ; ᄡ; ) HANGUL LETTER PIEUP-SIOS
      "\u3145",  # (ㅅ; ㅅ; ㅅ; ᄉ; ᄉ; ) HANGUL LETTER SIOS
      "\u3146",  # (ㅆ; ㅆ; ㅆ; ᄊ; ᄊ; ) HANGUL LETTER SSANGSIOS
      "\u3147",  # (ㅇ; ㅇ; ㅇ; ᄋ; ᄋ; ) HANGUL LETTER IEUNG
      "\u3148",  # (ㅈ; ㅈ; ㅈ; ᄌ; ᄌ; ) HANGUL LETTER CIEUC
      "\u3149",  # (ㅉ; ㅉ; ㅉ; ᄍ; ᄍ; ) HANGUL LETTER SSANGCIEUC
      "\u314A",  # (ㅊ; ㅊ; ㅊ; ᄎ; ᄎ; ) HANGUL LETTER CHIEUCH
      "\u314B",  # (ㅋ; ㅋ; ㅋ; ᄏ; ᄏ; ) HANGUL LETTER KHIEUKH
      "\u314C",  # (ㅌ; ㅌ; ㅌ; ᄐ; ᄐ; ) HANGUL LETTER THIEUTH
      "\u314D",  # (ㅍ; ㅍ; ㅍ; ᄑ; ᄑ; ) HANGUL LETTER PHIEUPH
      "\u314E",  # (ㅎ; ㅎ; ㅎ; ᄒ; ᄒ; ) HANGUL LETTER HIEUH
      "\u314F",  # (ㅏ; ㅏ; ㅏ; ᅡ; ᅡ; ) HANGUL LETTER A
      "\u3150",  # (ㅐ; ㅐ; ㅐ; ᅢ; ᅢ; ) HANGUL LETTER AE
      "\u3151",  # (ㅑ; ㅑ; ㅑ; ᅣ; ᅣ; ) HANGUL LETTER YA
      "\u3152",  # (ㅒ; ㅒ; ㅒ; ᅤ; ᅤ; ) HANGUL LETTER YAE
      "\u3153",  # (ㅓ; ㅓ; ㅓ; ᅥ; ᅥ; ) HANGUL LETTER EO
      "\u3154",  # (ㅔ; ㅔ; ㅔ; ᅦ; ᅦ; ) HANGUL LETTER E
      "\u3155",  # (ㅕ; ㅕ; ㅕ; ᅧ; ᅧ; ) HANGUL LETTER YEO
      "\u3156",  # (ㅖ; ㅖ; ㅖ; ᅨ; ᅨ; ) HANGUL LETTER YE
      "\u3157",  # (ㅗ; ㅗ; ㅗ; ᅩ; ᅩ; ) HANGUL LETTER O
      "\u3158",  # (ㅘ; ㅘ; ㅘ; ᅪ; ᅪ; ) HANGUL LETTER WA
      "\u3159",  # (ㅙ; ㅙ; ㅙ; ᅫ; ᅫ; ) HANGUL LETTER WAE
      "\u315A",  # (ㅚ; ㅚ; ㅚ; ᅬ; ᅬ; ) HANGUL LETTER OE
      "\u315B",  # (ㅛ; ㅛ; ㅛ; ᅭ; ᅭ; ) HANGUL LETTER YO
      "\u315C",  # (ㅜ; ㅜ; ㅜ; ᅮ; ᅮ; ) HANGUL LETTER U
      "\u315D",  # (ㅝ; ㅝ; ㅝ; ᅯ; ᅯ; ) HANGUL LETTER WEO
      "\u315E",  # (ㅞ; ㅞ; ㅞ; ᅰ; ᅰ; ) HANGUL LETTER WE
      "\u315F",  # (ㅟ; ㅟ; ㅟ; ᅱ; ᅱ; ) HANGUL LETTER WI
      "\u3160",  # (ㅠ; ㅠ; ㅠ; ᅲ; ᅲ; ) HANGUL LETTER YU
      "\u3161",  # (ㅡ; ㅡ; ㅡ; ᅳ; ᅳ; ) HANGUL LETTER EU
      "\u3162",  # (ㅢ; ㅢ; ㅢ; ᅴ; ᅴ; ) HANGUL LETTER YI
      "\u3163",  # (ㅣ; ㅣ; ㅣ; ᅵ; ᅵ; ) HANGUL LETTER I
      "\u3164",  # (ㅤ; ㅤ; ㅤ; ᅠ; ᅠ; ) HANGUL FILLER
      "\u3165",  # (ㅥ; ㅥ; ㅥ; ᄔ; ᄔ; ) HANGUL LETTER SSANGNIEUN
      "\u3166",  # (ㅦ; ㅦ; ㅦ; ᄕ; ᄕ; ) HANGUL LETTER NIEUN-TIKEUT
      "\u3167",  # (ㅧ; ㅧ; ㅧ; ᇇ; ᇇ; ) HANGUL LETTER NIEUN-SIOS
      "\u3168",  # (ㅨ; ㅨ; ㅨ; ᇈ; ᇈ; ) HANGUL LETTER NIEUN-PANSIOS
      "\u3169",  # (ㅩ; ㅩ; ㅩ; ᇌ; ᇌ; ) HANGUL LETTER RIEUL-KIYEOK-SIOS
      "\u316A",  # (ㅪ; ㅪ; ㅪ; ᇎ; ᇎ; ) HANGUL LETTER RIEUL-TIKEUT
      "\u316B",  # (ㅫ; ㅫ; ㅫ; ᇓ; ᇓ; ) HANGUL LETTER RIEUL-PIEUP-SIOS
      "\u316C",  # (ㅬ; ㅬ; ㅬ; ᇗ; ᇗ; ) HANGUL LETTER RIEUL-PANSIOS
      "\u316D",  # (ㅭ; ㅭ; ㅭ; ᇙ; ᇙ; ) HANGUL LETTER RIEUL-YEORINHIEUH
      "\u316E",  # (ㅮ; ㅮ; ㅮ; ᄜ; ᄜ; ) HANGUL LETTER MIEUM-PIEUP
      "\u316F",  # (ㅯ; ㅯ; ㅯ; ᇝ; ᇝ; ) HANGUL LETTER MIEUM-SIOS
      "\u3170",  # (ㅰ; ㅰ; ㅰ; ᇟ; ᇟ; ) HANGUL LETTER MIEUM-PANSIOS
      "\u3171",  # (ㅱ; ㅱ; ㅱ; ᄝ; ᄝ; ) HANGUL LETTER KAPYEOUNMIEUM
      "\u3172",  # (ㅲ; ㅲ; ㅲ; ᄞ; ᄞ; ) HANGUL LETTER PIEUP-KIYEOK
      "\u3173",  # (ㅳ; ㅳ; ㅳ; ᄠ; ᄠ; ) HANGUL LETTER PIEUP-TIKEUT
      "\u3174",  # (ㅴ; ㅴ; ㅴ; ᄢ; ᄢ; ) HANGUL LETTER PIEUP-SIOS-KIYEOK
      "\u3175",  # (ㅵ; ㅵ; ㅵ; ᄣ; ᄣ; ) HANGUL LETTER PIEUP-SIOS-TIKEUT
      "\u3176",  # (ㅶ; ㅶ; ㅶ; ᄧ; ᄧ; ) HANGUL LETTER PIEUP-CIEUC
      "\u3177",  # (ㅷ; ㅷ; ㅷ; ᄩ; ᄩ; ) HANGUL LETTER PIEUP-THIEUTH
      "\u3178",  # (ㅸ; ㅸ; ㅸ; ᄫ; ᄫ; ) HANGUL LETTER KAPYEOUNPIEUP
      "\u3179",  # (ㅹ; ㅹ; ㅹ; ᄬ; ᄬ; ) HANGUL LETTER KAPYEOUNSSANGPIEUP
      "\u317A",  # (ㅺ; ㅺ; ㅺ; ᄭ; ᄭ; ) HANGUL LETTER SIOS-KIYEOK
      "\u317B",  # (ㅻ; ㅻ; ㅻ; ᄮ; ᄮ; ) HANGUL LETTER SIOS-NIEUN
      "\u317C",  # (ㅼ; ㅼ; ㅼ; ᄯ; ᄯ; ) HANGUL LETTER SIOS-TIKEUT
      "\u317D",  # (ㅽ; ㅽ; ㅽ; ᄲ; ᄲ; ) HANGUL LETTER SIOS-PIEUP
      "\u317E",  # (ㅾ; ㅾ; ㅾ; ᄶ; ᄶ; ) HANGUL LETTER SIOS-CIEUC
      "\u317F",  # (ㅿ; ㅿ; ㅿ; ᅀ; ᅀ; ) HANGUL LETTER PANSIOS
      "\u3180",  # (ㆀ; ㆀ; ㆀ; ᅇ; ᅇ; ) HANGUL LETTER SSANGIEUNG
      "\u3181",  # (ㆁ; ㆁ; ㆁ; ᅌ; ᅌ; ) HANGUL LETTER YESIEUNG
      "\u3182",  # (ㆂ; ㆂ; ㆂ; ᇱ; ᇱ; ) HANGUL LETTER YESIEUNG-SIOS
      "\u3183",  # (ㆃ; ㆃ; ㆃ; ᇲ; ᇲ; ) HANGUL LETTER YESIEUNG-PANSIOS
      "\u3184",  # (ㆄ; ㆄ; ㆄ; ᅗ; ᅗ; ) HANGUL LETTER KAPYEOUNPHIEUPH
      "\u3185",  # (ㆅ; ㆅ; ㆅ; ᅘ; ᅘ; ) HANGUL LETTER SSANGHIEUH
      "\u3186",  # (ㆆ; ㆆ; ㆆ; ᅙ; ᅙ; ) HANGUL LETTER YEORINHIEUH
      "\u3187",  # (ㆇ; ㆇ; ㆇ; ᆄ; ᆄ; ) HANGUL LETTER YO-YA
      "\u3188",  # (ㆈ; ㆈ; ㆈ; ᆅ; ᆅ; ) HANGUL LETTER YO-YAE
      "\u3189",  # (ㆉ; ㆉ; ㆉ; ᆈ; ᆈ; ) HANGUL LETTER YO-I
      "\u318A",  # (ㆊ; ㆊ; ㆊ; ᆑ; ᆑ; ) HANGUL LETTER YU-YEO
      "\u318B",  # (ㆋ; ㆋ; ㆋ; ᆒ; ᆒ; ) HANGUL LETTER YU-YE
      "\u318C",  # (ㆌ; ㆌ; ㆌ; ᆔ; ᆔ; ) HANGUL LETTER YU-I
      "\u318D",  # (ㆍ; ㆍ; ㆍ; ᆞ; ᆞ; ) HANGUL LETTER ARAEA
      "\u318E",  # (ㆎ; ㆎ; ㆎ; ᆡ; ᆡ; ) HANGUL LETTER ARAEAE
      "\u3192",  # (㆒; ㆒; ㆒; 一; 一; ) IDEOGRAPHIC ANNOTATION ONE MARK
      "\u3193",  # (㆓; ㆓; ㆓; 二; 二; ) IDEOGRAPHIC ANNOTATION TWO MARK
      "\u3194",  # (㆔; ㆔; ㆔; 三; 三; ) IDEOGRAPHIC ANNOTATION THREE MARK
      "\u3195",  # (㆕; ㆕; ㆕; 四; 四; ) IDEOGRAPHIC ANNOTATION FOUR MARK
      "\u3196",  # (㆖; ㆖; ㆖; 上; 上; ) IDEOGRAPHIC ANNOTATION TOP MARK
      "\u3197",  # (㆗; ㆗; ㆗; 中; 中; ) IDEOGRAPHIC ANNOTATION MIDDLE MARK
      "\u3198",  # (㆘; ㆘; ㆘; 下; 下; ) IDEOGRAPHIC ANNOTATION BOTTOM MARK
      "\u3199",  # (㆙; ㆙; ㆙; 甲; 甲; ) IDEOGRAPHIC ANNOTATION FIRST MARK
      "\u319A",  # (㆚; ㆚; ㆚; 乙; 乙; ) IDEOGRAPHIC ANNOTATION SECOND MARK
      "\u319B",  # (㆛; ㆛; ㆛; 丙; 丙; ) IDEOGRAPHIC ANNOTATION THIRD MARK
      "\u319C",  # (㆜; ㆜; ㆜; 丁; 丁; ) IDEOGRAPHIC ANNOTATION FOURTH MARK
      "\u319D",  # (㆝; ㆝; ㆝; 天; 天; ) IDEOGRAPHIC ANNOTATION HEAVEN MARK
      "\u319E",  # (㆞; ㆞; ㆞; 地; 地; ) IDEOGRAPHIC ANNOTATION EARTH MARK
      "\u319F",  # (㆟; ㆟; ㆟; 人; 人; ) IDEOGRAPHIC ANNOTATION MAN MARK
      "\u3200",  # (㈀; ㈀; ㈀; (ᄀ); (ᄀ); ) PARENTHESIZED HANGUL KIYEOK
      "\u3201",  # (㈁; ㈁; ㈁; (ᄂ); (ᄂ); ) PARENTHESIZED HANGUL NIEUN
      "\u3202",  # (㈂; ㈂; ㈂; (ᄃ); (ᄃ); ) PARENTHESIZED HANGUL TIKEUT
      "\u3203",  # (㈃; ㈃; ㈃; (ᄅ); (ᄅ); ) PARENTHESIZED HANGUL RIEUL
      "\u3204",  # (㈄; ㈄; ㈄; (ᄆ); (ᄆ); ) PARENTHESIZED HANGUL MIEUM
      "\u3205",  # (㈅; ㈅; ㈅; (ᄇ); (ᄇ); ) PARENTHESIZED HANGUL PIEUP
      "\u3206",  # (㈆; ㈆; ㈆; (ᄉ); (ᄉ); ) PARENTHESIZED HANGUL SIOS
      "\u3207",  # (㈇; ㈇; ㈇; (ᄋ); (ᄋ); ) PARENTHESIZED HANGUL IEUNG
      "\u3208",  # (㈈; ㈈; ㈈; (ᄌ); (ᄌ); ) PARENTHESIZED HANGUL CIEUC
      "\u3209",  # (㈉; ㈉; ㈉; (ᄎ); (ᄎ); ) PARENTHESIZED HANGUL CHIEUCH
      "\u320A",  # (㈊; ㈊; ㈊; (ᄏ); (ᄏ); ) PARENTHESIZED HANGUL KHIEUKH
      "\u320B",  # (㈋; ㈋; ㈋; (ᄐ); (ᄐ); ) PARENTHESIZED HANGUL THIEUTH
      "\u320C",  # (㈌; ㈌; ㈌; (ᄑ); (ᄑ); ) PARENTHESIZED HANGUL PHIEUPH
      "\u320D",  # (㈍; ㈍; ㈍; (ᄒ); (ᄒ); ) PARENTHESIZED HANGUL HIEUH
      "\u320E",  # (㈎; ㈎; ㈎; (가); (가); ) PARENTHESIZED HANGUL KIYEOK A
      "\u320F",  # (㈏; ㈏; ㈏; (나); (나); ) PARENTHESIZED HANGUL NIEUN A
      "\u3210",  # (㈐; ㈐; ㈐; (다); (다); ) PARENTHESIZED HANGUL TIKEUT A
      "\u3211",  # (㈑; ㈑; ㈑; (라); (라); ) PARENTHESIZED HANGUL RIEUL A
      "\u3212",  # (㈒; ㈒; ㈒; (마); (마); ) PARENTHESIZED HANGUL MIEUM A
      "\u3213",  # (㈓; ㈓; ㈓; (바); (바); ) PARENTHESIZED HANGUL PIEUP A
      "\u3214",  # (㈔; ㈔; ㈔; (사); (사); ) PARENTHESIZED HANGUL SIOS A
      "\u3215",  # (㈕; ㈕; ㈕; (아); (아); ) PARENTHESIZED HANGUL IEUNG A
      "\u3216",  # (㈖; ㈖; ㈖; (자); (자); ) PARENTHESIZED HANGUL CIEUC A
      "\u3217",  # (㈗; ㈗; ㈗; (차); (차); ) PARENTHESIZED HANGUL CHIEUCH A
      "\u3218",  # (㈘; ㈘; ㈘; (카); (카); ) PARENTHESIZED HANGUL KHIEUKH A
      "\u3219",  # (㈙; ㈙; ㈙; (타); (타); ) PARENTHESIZED HANGUL THIEUTH A
      "\u321A",  # (㈚; ㈚; ㈚; (파); (파); ) PARENTHESIZED HANGUL PHIEUPH A
      "\u321B",  # (㈛; ㈛; ㈛; (하); (하); ) PARENTHESIZED HANGUL HIEUH A
      "\u321C",  # (㈜; ㈜; ㈜; (주); (주); ) PARENTHESIZED HANGUL CIEUC U
      "\u321D",  # (㈝; ㈝; ㈝; (오전); (오전); ) PARENTHESIZED KOREAN CHARACTER OJEON
      "\u321E",  # (㈞; ㈞; ㈞; (오후); (오후); ) PARENTHESIZED KOREAN CHARACTER O HU
      "\u3220",  # (㈠; ㈠; ㈠; (一); (一); ) PARENTHESIZED IDEOGRAPH ONE
      "\u3221",  # (㈡; ㈡; ㈡; (二); (二); ) PARENTHESIZED IDEOGRAPH TWO
      "\u3222",  # (㈢; ㈢; ㈢; (三); (三); ) PARENTHESIZED IDEOGRAPH THREE
      "\u3223",  # (㈣; ㈣; ㈣; (四); (四); ) PARENTHESIZED IDEOGRAPH FOUR
      "\u3224",  # (㈤; ㈤; ㈤; (五); (五); ) PARENTHESIZED IDEOGRAPH FIVE
      "\u3225",  # (㈥; ㈥; ㈥; (六); (六); ) PARENTHESIZED IDEOGRAPH SIX
      "\u3226",  # (㈦; ㈦; ㈦; (七); (七); ) PARENTHESIZED IDEOGRAPH SEVEN
      "\u3227",  # (㈧; ㈧; ㈧; (八); (八); ) PARENTHESIZED IDEOGRAPH EIGHT
      "\u3228",  # (㈨; ㈨; ㈨; (九); (九); ) PARENTHESIZED IDEOGRAPH NINE
      "\u3229",  # (㈩; ㈩; ㈩; (十); (十); ) PARENTHESIZED IDEOGRAPH TEN
      "\u322A",  # (㈪; ㈪; ㈪; (月); (月); ) PARENTHESIZED IDEOGRAPH MOON
      "\u322B",  # (㈫; ㈫; ㈫; (火); (火); ) PARENTHESIZED IDEOGRAPH FIRE
      "\u322C",  # (㈬; ㈬; ㈬; (水); (水); ) PARENTHESIZED IDEOGRAPH WATER
      "\u322D",  # (㈭; ㈭; ㈭; (木); (木); ) PARENTHESIZED IDEOGRAPH WOOD
      "\u322E",  # (㈮; ㈮; ㈮; (金); (金); ) PARENTHESIZED IDEOGRAPH METAL
      "\u322F",  # (㈯; ㈯; ㈯; (土); (土); ) PARENTHESIZED IDEOGRAPH EARTH
      "\u3230",  # (㈰; ㈰; ㈰; (日); (日); ) PARENTHESIZED IDEOGRAPH SUN
      "\u3231",  # (㈱; ㈱; ㈱; (株); (株); ) PARENTHESIZED IDEOGRAPH STOCK
      "\u3232",  # (㈲; ㈲; ㈲; (有); (有); ) PARENTHESIZED IDEOGRAPH HAVE
      "\u3233",  # (㈳; ㈳; ㈳; (社); (社); ) PARENTHESIZED IDEOGRAPH SOCIETY
      "\u3234",  # (㈴; ㈴; ㈴; (名); (名); ) PARENTHESIZED IDEOGRAPH NAME
      "\u3235",  # (㈵; ㈵; ㈵; (特); (特); ) PARENTHESIZED IDEOGRAPH SPECIAL
      "\u3236",  # (㈶; ㈶; ㈶; (財); (財); ) PARENTHESIZED IDEOGRAPH FINANCIAL
      "\u3237",  # (㈷; ㈷; ㈷; (祝); (祝); ) PARENTHESIZED IDEOGRAPH CONGRATULATION
      "\u3238",  # (㈸; ㈸; ㈸; (労); (労); ) PARENTHESIZED IDEOGRAPH LABOR
      "\u3239",  # (㈹; ㈹; ㈹; (代); (代); ) PARENTHESIZED IDEOGRAPH REPRESENT
      "\u323A",  # (㈺; ㈺; ㈺; (呼); (呼); ) PARENTHESIZED IDEOGRAPH CALL
      "\u323B",  # (㈻; ㈻; ㈻; (学); (学); ) PARENTHESIZED IDEOGRAPH STUDY
      "\u323C",  # (㈼; ㈼; ㈼; (監); (監); ) PARENTHESIZED IDEOGRAPH SUPERVISE
      "\u323D",  # (㈽; ㈽; ㈽; (企); (企); ) PARENTHESIZED IDEOGRAPH ENTERPRISE
      "\u323E",  # (㈾; ㈾; ㈾; (資); (資); ) PARENTHESIZED IDEOGRAPH RESOURCE
      "\u323F",  # (㈿; ㈿; ㈿; (協); (協); ) PARENTHESIZED IDEOGRAPH ALLIANCE
      "\u3240",  # (㉀; ㉀; ㉀; (祭); (祭); ) PARENTHESIZED IDEOGRAPH FESTIVAL
      "\u3241",  # (㉁; ㉁; ㉁; (休); (休); ) PARENTHESIZED IDEOGRAPH REST
      "\u3242",  # (㉂; ㉂; ㉂; (自); (自); ) PARENTHESIZED IDEOGRAPH SELF
      "\u3243",  # (㉃; ㉃; ㉃; (至); (至); ) PARENTHESIZED IDEOGRAPH REACH
      "\u3244",  # (㉄; ㉄; ㉄; 問; 問; ) CIRCLED IDEOGRAPH QUESTION
      "\u3245",  # (㉅; ㉅; ㉅; 幼; 幼; ) CIRCLED IDEOGRAPH KINDERGARTEN
      "\u3246",  # (㉆; ㉆; ㉆; 文; 文; ) CIRCLED IDEOGRAPH SCHOOL
      "\u3247",  # (㉇; ㉇; ㉇; 箏; 箏; ) CIRCLED IDEOGRAPH KOTO
      "\u3250",  # (㉐; ㉐; ㉐; PTE; PTE; ) PARTNERSHIP SIGN
      "\u3251",  # (㉑; ㉑; ㉑; 21; 21; ) CIRCLED NUMBER TWENTY ONE
      "\u3252",  # (㉒; ㉒; ㉒; 22; 22; ) CIRCLED NUMBER TWENTY TWO
      "\u3253",  # (㉓; ㉓; ㉓; 23; 23; ) CIRCLED NUMBER TWENTY THREE
      "\u3254",  # (㉔; ㉔; ㉔; 24; 24; ) CIRCLED NUMBER TWENTY FOUR
      "\u3255",  # (㉕; ㉕; ㉕; 25; 25; ) CIRCLED NUMBER TWENTY FIVE
      "\u3256",  # (㉖; ㉖; ㉖; 26; 26; ) CIRCLED NUMBER TWENTY SIX
      "\u3257",  # (㉗; ㉗; ㉗; 27; 27; ) CIRCLED NUMBER TWENTY SEVEN
      "\u3258",  # (㉘; ㉘; ㉘; 28; 28; ) CIRCLED NUMBER TWENTY EIGHT
      "\u3259",  # (㉙; ㉙; ㉙; 29; 29; ) CIRCLED NUMBER TWENTY NINE
      "\u325A",  # (㉚; ㉚; ㉚; 30; 30; ) CIRCLED NUMBER THIRTY
      "\u325B",  # (㉛; ㉛; ㉛; 31; 31; ) CIRCLED NUMBER THIRTY ONE
      "\u325C",  # (㉜; ㉜; ㉜; 32; 32; ) CIRCLED NUMBER THIRTY TWO
      "\u325D",  # (㉝; ㉝; ㉝; 33; 33; ) CIRCLED NUMBER THIRTY THREE
      "\u325E",  # (㉞; ㉞; ㉞; 34; 34; ) CIRCLED NUMBER THIRTY FOUR
      "\u325F",  # (㉟; ㉟; ㉟; 35; 35; ) CIRCLED NUMBER THIRTY FIVE
      "\u3260",  # (㉠; ㉠; ㉠; ᄀ; ᄀ; ) CIRCLED HANGUL KIYEOK
      "\u3261",  # (㉡; ㉡; ㉡; ᄂ; ᄂ; ) CIRCLED HANGUL NIEUN
      "\u3262",  # (㉢; ㉢; ㉢; ᄃ; ᄃ; ) CIRCLED HANGUL TIKEUT
      "\u3263",  # (㉣; ㉣; ㉣; ᄅ; ᄅ; ) CIRCLED HANGUL RIEUL
      "\u3264",  # (㉤; ㉤; ㉤; ᄆ; ᄆ; ) CIRCLED HANGUL MIEUM
      "\u3265",  # (㉥; ㉥; ㉥; ᄇ; ᄇ; ) CIRCLED HANGUL PIEUP
      "\u3266",  # (㉦; ㉦; ㉦; ᄉ; ᄉ; ) CIRCLED HANGUL SIOS
      "\u3267",  # (㉧; ㉧; ㉧; ᄋ; ᄋ; ) CIRCLED HANGUL IEUNG
      "\u3268",  # (㉨; ㉨; ㉨; ᄌ; ᄌ; ) CIRCLED HANGUL CIEUC
      "\u3269",  # (㉩; ㉩; ㉩; ᄎ; ᄎ; ) CIRCLED HANGUL CHIEUCH
      "\u326A",  # (㉪; ㉪; ㉪; ᄏ; ᄏ; ) CIRCLED HANGUL KHIEUKH
      "\u326B",  # (㉫; ㉫; ㉫; ᄐ; ᄐ; ) CIRCLED HANGUL THIEUTH
      "\u326C",  # (㉬; ㉬; ㉬; ᄑ; ᄑ; ) CIRCLED HANGUL PHIEUPH
      "\u326D",  # (㉭; ㉭; ㉭; ᄒ; ᄒ; ) CIRCLED HANGUL HIEUH
      "\u326E",  # (㉮; ㉮; ㉮; 가; 가; ) CIRCLED HANGUL KIYEOK A
      "\u326F",  # (㉯; ㉯; ㉯; 나; 나; ) CIRCLED HANGUL NIEUN A
      "\u3270",  # (㉰; ㉰; ㉰; 다; 다; ) CIRCLED HANGUL TIKEUT A
      "\u3271",  # (㉱; ㉱; ㉱; 라; 라; ) CIRCLED HANGUL RIEUL A
      "\u3272",  # (㉲; ㉲; ㉲; 마; 마; ) CIRCLED HANGUL MIEUM A
      "\u3273",  # (㉳; ㉳; ㉳; 바; 바; ) CIRCLED HANGUL PIEUP A
      "\u3274",  # (㉴; ㉴; ㉴; 사; 사; ) CIRCLED HANGUL SIOS A
      "\u3275",  # (㉵; ㉵; ㉵; 아; 아; ) CIRCLED HANGUL IEUNG A
      "\u3276",  # (㉶; ㉶; ㉶; 자; 자; ) CIRCLED HANGUL CIEUC A
      "\u3277",  # (㉷; ㉷; ㉷; 차; 차; ) CIRCLED HANGUL CHIEUCH A
      "\u3278",  # (㉸; ㉸; ㉸; 카; 카; ) CIRCLED HANGUL KHIEUKH A
      "\u3279",  # (㉹; ㉹; ㉹; 타; 타; ) CIRCLED HANGUL THIEUTH A
      "\u327A",  # (㉺; ㉺; ㉺; 파; 파; ) CIRCLED HANGUL PHIEUPH A
      "\u327B",  # (㉻; ㉻; ㉻; 하; 하; ) CIRCLED HANGUL HIEUH A
      "\u327C",  # (㉼; ㉼; ㉼; 참고; 참고; ) CIRCLED KOREAN CHARACTER CHAMKO
      "\u327D",  # (㉽; ㉽; ㉽; 주의; 주의; ) CIRCLED KOREAN CHARACTER JUEUI
      "\u327E",  # (㉾; ㉾; ㉾; 우; 우; ) CIRCLED HANGUL IEUNG U
      "\u3280",  # (㊀; ㊀; ㊀; 一; 一; ) CIRCLED IDEOGRAPH ONE
      "\u3281",  # (㊁; ㊁; ㊁; 二; 二; ) CIRCLED IDEOGRAPH TWO
      "\u3282",  # (㊂; ㊂; ㊂; 三; 三; ) CIRCLED IDEOGRAPH THREE
      "\u3283",  # (㊃; ㊃; ㊃; 四; 四; ) CIRCLED IDEOGRAPH FOUR
      "\u3284",  # (㊄; ㊄; ㊄; 五; 五; ) CIRCLED IDEOGRAPH FIVE
      "\u3285",  # (㊅; ㊅; ㊅; 六; 六; ) CIRCLED IDEOGRAPH SIX
      "\u3286",  # (㊆; ㊆; ㊆; 七; 七; ) CIRCLED IDEOGRAPH SEVEN
      "\u3287",  # (㊇; ㊇; ㊇; 八; 八; ) CIRCLED IDEOGRAPH EIGHT
      "\u3288",  # (㊈; ㊈; ㊈; 九; 九; ) CIRCLED IDEOGRAPH NINE
      "\u3289",  # (㊉; ㊉; ㊉; 十; 十; ) CIRCLED IDEOGRAPH TEN
      "\u328A",  # (㊊; ㊊; ㊊; 月; 月; ) CIRCLED IDEOGRAPH MOON
      "\u328B",  # (㊋; ㊋; ㊋; 火; 火; ) CIRCLED IDEOGRAPH FIRE
      "\u328C",  # (㊌; ㊌; ㊌; 水; 水; ) CIRCLED IDEOGRAPH WATER
      "\u328D",  # (㊍; ㊍; ㊍; 木; 木; ) CIRCLED IDEOGRAPH WOOD
      "\u328E",  # (㊎; ㊎; ㊎; 金; 金; ) CIRCLED IDEOGRAPH METAL
      "\u328F",  # (㊏; ㊏; ㊏; 土; 土; ) CIRCLED IDEOGRAPH EARTH
      "\u3290",  # (㊐; ㊐; ㊐; 日; 日; ) CIRCLED IDEOGRAPH SUN
      "\u3291",  # (㊑; ㊑; ㊑; 株; 株; ) CIRCLED IDEOGRAPH STOCK
      "\u3292",  # (㊒; ㊒; ㊒; 有; 有; ) CIRCLED IDEOGRAPH HAVE
      "\u3293",  # (㊓; ㊓; ㊓; 社; 社; ) CIRCLED IDEOGRAPH SOCIETY
      "\u3294",  # (㊔; ㊔; ㊔; 名; 名; ) CIRCLED IDEOGRAPH NAME
      "\u3295",  # (㊕; ㊕; ㊕; 特; 特; ) CIRCLED IDEOGRAPH SPECIAL
      "\u3296",  # (㊖; ㊖; ㊖; 財; 財; ) CIRCLED IDEOGRAPH FINANCIAL
      "\u3297",  # (㊗; ㊗; ㊗; 祝; 祝; ) CIRCLED IDEOGRAPH CONGRATULATION
      "\u3298",  # (㊘; ㊘; ㊘; 労; 労; ) CIRCLED IDEOGRAPH LABOR
      "\u3299",  # (㊙; ㊙; ㊙; 秘; 秘; ) CIRCLED IDEOGRAPH SECRET
      "\u329A",  # (㊚; ㊚; ㊚; 男; 男; ) CIRCLED IDEOGRAPH MALE
      "\u329B",  # (㊛; ㊛; ㊛; 女; 女; ) CIRCLED IDEOGRAPH FEMALE
      "\u329C",  # (㊜; ㊜; ㊜; 適; 適; ) CIRCLED IDEOGRAPH SUITABLE
      "\u329D",  # (㊝; ㊝; ㊝; 優; 優; ) CIRCLED IDEOGRAPH EXCELLENT
      "\u329E",  # (㊞; ㊞; ㊞; 印; 印; ) CIRCLED IDEOGRAPH PRINT
      "\u329F",  # (㊟; ㊟; ㊟; 注; 注; ) CIRCLED IDEOGRAPH ATTENTION
      "\u32A0",  # (㊠; ㊠; ㊠; 項; 項; ) CIRCLED IDEOGRAPH ITEM
      "\u32A1",  # (㊡; ㊡; ㊡; 休; 休; ) CIRCLED IDEOGRAPH REST
      "\u32A2",  # (㊢; ㊢; ㊢; 写; 写; ) CIRCLED IDEOGRAPH COPY
      "\u32A3",  # (㊣; ㊣; ㊣; 正; 正; ) CIRCLED IDEOGRAPH CORRECT
      "\u32A4",  # (㊤; ㊤; ㊤; 上; 上; ) CIRCLED IDEOGRAPH HIGH
      "\u32A5",  # (㊥; ㊥; ㊥; 中; 中; ) CIRCLED IDEOGRAPH CENTRE
      "\u32A6",  # (㊦; ㊦; ㊦; 下; 下; ) CIRCLED IDEOGRAPH LOW
      "\u32A7",  # (㊧; ㊧; ㊧; 左; 左; ) CIRCLED IDEOGRAPH LEFT
      "\u32A8",  # (㊨; ㊨; ㊨; 右; 右; ) CIRCLED IDEOGRAPH RIGHT
      "\u32A9",  # (㊩; ㊩; ㊩; 医; 医; ) CIRCLED IDEOGRAPH MEDICINE
      "\u32AA",  # (㊪; ㊪; ㊪; 宗; 宗; ) CIRCLED IDEOGRAPH RELIGION
      "\u32AB",  # (㊫; ㊫; ㊫; 学; 学; ) CIRCLED IDEOGRAPH STUDY
      "\u32AC",  # (㊬; ㊬; ㊬; 監; 監; ) CIRCLED IDEOGRAPH SUPERVISE
      "\u32AD",  # (㊭; ㊭; ㊭; 企; 企; ) CIRCLED IDEOGRAPH ENTERPRISE
      "\u32AE",  # (㊮; ㊮; ㊮; 資; 資; ) CIRCLED IDEOGRAPH RESOURCE
      "\u32AF",  # (㊯; ㊯; ㊯; 協; 協; ) CIRCLED IDEOGRAPH ALLIANCE
      "\u32B0",  # (㊰; ㊰; ㊰; 夜; 夜; ) CIRCLED IDEOGRAPH NIGHT
      "\u32B1",  # (㊱; ㊱; ㊱; 36; 36; ) CIRCLED NUMBER THIRTY SIX
      "\u32B2",  # (㊲; ㊲; ㊲; 37; 37; ) CIRCLED NUMBER THIRTY SEVEN
      "\u32B3",  # (㊳; ㊳; ㊳; 38; 38; ) CIRCLED NUMBER THIRTY EIGHT
      "\u32B4",  # (㊴; ㊴; ㊴; 39; 39; ) CIRCLED NUMBER THIRTY NINE
      "\u32B5",  # (㊵; ㊵; ㊵; 40; 40; ) CIRCLED NUMBER FORTY
      "\u32B6",  # (㊶; ㊶; ㊶; 41; 41; ) CIRCLED NUMBER FORTY ONE
      "\u32B7",  # (㊷; ㊷; ㊷; 42; 42; ) CIRCLED NUMBER FORTY TWO
      "\u32B8",  # (㊸; ㊸; ㊸; 43; 43; ) CIRCLED NUMBER FORTY THREE
      "\u32B9",  # (㊹; ㊹; ㊹; 44; 44; ) CIRCLED NUMBER FORTY FOUR
      "\u32BA",  # (㊺; ㊺; ㊺; 45; 45; ) CIRCLED NUMBER FORTY FIVE
      "\u32BB",  # (㊻; ㊻; ㊻; 46; 46; ) CIRCLED NUMBER FORTY SIX
      "\u32BC",  # (㊼; ㊼; ㊼; 47; 47; ) CIRCLED NUMBER FORTY SEVEN
      "\u32BD",  # (㊽; ㊽; ㊽; 48; 48; ) CIRCLED NUMBER FORTY EIGHT
      "\u32BE",  # (㊾; ㊾; ㊾; 49; 49; ) CIRCLED NUMBER FORTY NINE
      "\u32BF",  # (㊿; ㊿; ㊿; 50; 50; ) CIRCLED NUMBER FIFTY
      "\u32C0",  # (㋀; ㋀; ㋀; 1月; 1月; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR JANUARY
      "\u32C1",  # (㋁; ㋁; ㋁; 2月; 2月; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR FEBRUARY
      "\u32C2",  # (㋂; ㋂; ㋂; 3月; 3月; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR MARCH
      "\u32C3",  # (㋃; ㋃; ㋃; 4月; 4月; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR APRIL
      "\u32C4",  # (㋄; ㋄; ㋄; 5月; 5月; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR MAY
      "\u32C5",  # (㋅; ㋅; ㋅; 6月; 6月; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR JUNE
      "\u32C6",  # (㋆; ㋆; ㋆; 7月; 7月; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR JULY
      "\u32C7",  # (㋇; ㋇; ㋇; 8月; 8月; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR AUGUST
      "\u32C8",  # (㋈; ㋈; ㋈; 9月; 9月; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR SEPTEMBER
      "\u32C9",  # (㋉; ㋉; ㋉; 10月; 10月; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR OCTOBER
      "\u32CA",  # (㋊; ㋊; ㋊; 11月; 11月; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR NOVEMBER
      "\u32CB",  # (㋋; ㋋; ㋋; 12月; 12月; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DECEMBER
      "\u32CC",  # (㋌; ㋌; ㋌; Hg; Hg; ) SQUARE HG
      "\u32CD",  # (㋍; ㋍; ㋍; erg; erg; ) SQUARE ERG
      "\u32CE",  # (㋎; ㋎; ㋎; eV; eV; ) SQUARE EV
      "\u32CF",  # (㋏; ㋏; ㋏; LTD; LTD; ) LIMITED LIABILITY SIGN
      "\u32D0",  # (㋐; ㋐; ㋐; ア; ア; ) CIRCLED KATAKANA A
      "\u32D1",  # (㋑; ㋑; ㋑; イ; イ; ) CIRCLED KATAKANA I
      "\u32D2",  # (㋒; ㋒; ㋒; ウ; ウ; ) CIRCLED KATAKANA U
      "\u32D3",  # (㋓; ㋓; ㋓; エ; エ; ) CIRCLED KATAKANA E
      "\u32D4",  # (㋔; ㋔; ㋔; オ; オ; ) CIRCLED KATAKANA O
      "\u32D5",  # (㋕; ㋕; ㋕; カ; カ; ) CIRCLED KATAKANA KA
      "\u32D6",  # (㋖; ㋖; ㋖; キ; キ; ) CIRCLED KATAKANA KI
      "\u32D7",  # (㋗; ㋗; ㋗; ク; ク; ) CIRCLED KATAKANA KU
      "\u32D8",  # (㋘; ㋘; ㋘; ケ; ケ; ) CIRCLED KATAKANA KE
      "\u32D9",  # (㋙; ㋙; ㋙; コ; コ; ) CIRCLED KATAKANA KO
      "\u32DA",  # (㋚; ㋚; ㋚; サ; サ; ) CIRCLED KATAKANA SA
      "\u32DB",  # (㋛; ㋛; ㋛; シ; シ; ) CIRCLED KATAKANA SI
      "\u32DC",  # (㋜; ㋜; ㋜; ス; ス; ) CIRCLED KATAKANA SU
      "\u32DD",  # (㋝; ㋝; ㋝; セ; セ; ) CIRCLED KATAKANA SE
      "\u32DE",  # (㋞; ㋞; ㋞; ソ; ソ; ) CIRCLED KATAKANA SO
      "\u32DF",  # (㋟; ㋟; ㋟; タ; タ; ) CIRCLED KATAKANA TA
      "\u32E0",  # (㋠; ㋠; ㋠; チ; チ; ) CIRCLED KATAKANA TI
      "\u32E1",  # (㋡; ㋡; ㋡; ツ; ツ; ) CIRCLED KATAKANA TU
      "\u32E2",  # (㋢; ㋢; ㋢; テ; テ; ) CIRCLED KATAKANA TE
      "\u32E3",  # (㋣; ㋣; ㋣; ト; ト; ) CIRCLED KATAKANA TO
      "\u32E4",  # (㋤; ㋤; ㋤; ナ; ナ; ) CIRCLED KATAKANA NA
      "\u32E5",  # (㋥; ㋥; ㋥; ニ; ニ; ) CIRCLED KATAKANA NI
      "\u32E6",  # (㋦; ㋦; ㋦; ヌ; ヌ; ) CIRCLED KATAKANA NU
      "\u32E7",  # (㋧; ㋧; ㋧; ネ; ネ; ) CIRCLED KATAKANA NE
      "\u32E8",  # (㋨; ㋨; ㋨; ノ; ノ; ) CIRCLED KATAKANA NO
      "\u32E9",  # (㋩; ㋩; ㋩; ハ; ハ; ) CIRCLED KATAKANA HA
      "\u32EA",  # (㋪; ㋪; ㋪; ヒ; ヒ; ) CIRCLED KATAKANA HI
      "\u32EB",  # (㋫; ㋫; ㋫; フ; フ; ) CIRCLED KATAKANA HU
      "\u32EC",  # (㋬; ㋬; ㋬; ヘ; ヘ; ) CIRCLED KATAKANA HE
      "\u32ED",  # (㋭; ㋭; ㋭; ホ; ホ; ) CIRCLED KATAKANA HO
      "\u32EE",  # (㋮; ㋮; ㋮; マ; マ; ) CIRCLED KATAKANA MA
      "\u32EF",  # (㋯; ㋯; ㋯; ミ; ミ; ) CIRCLED KATAKANA MI
      "\u32F0",  # (㋰; ㋰; ㋰; ム; ム; ) CIRCLED KATAKANA MU
      "\u32F1",  # (㋱; ㋱; ㋱; メ; メ; ) CIRCLED KATAKANA ME
      "\u32F2",  # (㋲; ㋲; ㋲; モ; モ; ) CIRCLED KATAKANA MO
      "\u32F3",  # (㋳; ㋳; ㋳; ヤ; ヤ; ) CIRCLED KATAKANA YA
      "\u32F4",  # (㋴; ㋴; ㋴; ユ; ユ; ) CIRCLED KATAKANA YU
      "\u32F5",  # (㋵; ㋵; ㋵; ヨ; ヨ; ) CIRCLED KATAKANA YO
      "\u32F6",  # (㋶; ㋶; ㋶; ラ; ラ; ) CIRCLED KATAKANA RA
      "\u32F7",  # (㋷; ㋷; ㋷; リ; リ; ) CIRCLED KATAKANA RI
      "\u32F8",  # (㋸; ㋸; ㋸; ル; ル; ) CIRCLED KATAKANA RU
      "\u32F9",  # (㋹; ㋹; ㋹; レ; レ; ) CIRCLED KATAKANA RE
      "\u32FA",  # (㋺; ㋺; ㋺; ロ; ロ; ) CIRCLED KATAKANA RO
      "\u32FB",  # (㋻; ㋻; ㋻; ワ; ワ; ) CIRCLED KATAKANA WA
      "\u32FC",  # (㋼; ㋼; ㋼; ヰ; ヰ; ) CIRCLED KATAKANA WI
      "\u32FD",  # (㋽; ㋽; ㋽; ヱ; ヱ; ) CIRCLED KATAKANA WE
      "\u32FE",  # (㋾; ㋾; ㋾; ヲ; ヲ; ) CIRCLED KATAKANA WO
      "\u3300",  # (㌀; ㌀; ㌀; アパート; アハ◌゚ート; ) SQUARE APAATO
      "\u3301",  # (㌁; ㌁; ㌁; アルファ; アルファ; ) SQUARE ARUHUA
      "\u3302",  # (㌂; ㌂; ㌂; アンペア; アンヘ◌゚ア; ) SQUARE ANPEA
      "\u3303",  # (㌃; ㌃; ㌃; アール; アール; ) SQUARE AARU
      "\u3304",  # (㌄; ㌄; ㌄; イニング; イニンク◌゙; ) SQUARE ININGU
      "\u3305",  # (㌅; ㌅; ㌅; インチ; インチ; ) SQUARE INTI
      "\u3306",  # (㌆; ㌆; ㌆; ウォン; ウォン; ) SQUARE UON
      "\u3307",  # (㌇; ㌇; ㌇; エスクード; エスクート◌゙; ) SQUARE ESUKUUDO
      "\u3308",  # (㌈; ㌈; ㌈; エーカー; エーカー; ) SQUARE EEKAA
      "\u3309",  # (㌉; ㌉; ㌉; オンス; オンス; ) SQUARE ONSU
      "\u330A",  # (㌊; ㌊; ㌊; オーム; オーム; ) SQUARE OOMU
      "\u330B",  # (㌋; ㌋; ㌋; カイリ; カイリ; ) SQUARE KAIRI
      "\u330C",  # (㌌; ㌌; ㌌; カラット; カラット; ) SQUARE KARATTO
      "\u330D",  # (㌍; ㌍; ㌍; カロリー; カロリー; ) SQUARE KARORII
      "\u330E",  # (㌎; ㌎; ㌎; ガロン; カ◌゙ロン; ) SQUARE GARON
      "\u330F",  # (㌏; ㌏; ㌏; ガンマ; カ◌゙ンマ; ) SQUARE GANMA
      "\u3310",  # (㌐; ㌐; ㌐; ギガ; キ◌゙カ◌゙; ) SQUARE GIGA
      "\u3311",  # (㌑; ㌑; ㌑; ギニー; キ◌゙ニー; ) SQUARE GINII
      "\u3312",  # (㌒; ㌒; ㌒; キュリー; キュリー; ) SQUARE KYURII
      "\u3313",  # (㌓; ㌓; ㌓; ギルダー; キ◌゙ルタ◌゙ー; ) SQUARE GIRUDAA
      "\u3314",  # (㌔; ㌔; ㌔; キロ; キロ; ) SQUARE KIRO
      "\u3315",  # (㌕; ㌕; ㌕; キログラム; キロク◌゙ラム; ) SQUARE KIROGURAMU
      "\u3316",  # (㌖; ㌖; ㌖; キロメートル; キロメートル; ) SQUARE KIROMEETORU
      "\u3317",  # (㌗; ㌗; ㌗; キロワット; キロワット; ) SQUARE KIROWATTO
      "\u3318",  # (㌘; ㌘; ㌘; グラム; ク◌゙ラム; ) SQUARE GURAMU
      "\u3319",  # (㌙; ㌙; ㌙; グラムトン; ク◌゙ラムトン; ) SQUARE GURAMUTON
      "\u331A",  # (㌚; ㌚; ㌚; クルゼイロ; クルセ◌゙イロ; ) SQUARE KURUZEIRO
      "\u331B",  # (㌛; ㌛; ㌛; クローネ; クローネ; ) SQUARE KUROONE
      "\u331C",  # (㌜; ㌜; ㌜; ケース; ケース; ) SQUARE KEESU
      "\u331D",  # (㌝; ㌝; ㌝; コルナ; コルナ; ) SQUARE KORUNA
      "\u331E",  # (㌞; ㌞; ㌞; コーポ; コーホ◌゚; ) SQUARE KOOPO
      "\u331F",  # (㌟; ㌟; ㌟; サイクル; サイクル; ) SQUARE SAIKURU
      "\u3320",  # (㌠; ㌠; ㌠; サンチーム; サンチーム; ) SQUARE SANTIIMU
      "\u3321",  # (㌡; ㌡; ㌡; シリング; シリンク◌゙; ) SQUARE SIRINGU
      "\u3322",  # (㌢; ㌢; ㌢; センチ; センチ; ) SQUARE SENTI
      "\u3323",  # (㌣; ㌣; ㌣; セント; セント; ) SQUARE SENTO
      "\u3324",  # (㌤; ㌤; ㌤; ダース; タ◌゙ース; ) SQUARE DAASU
      "\u3325",  # (㌥; ㌥; ㌥; デシ; テ◌゙シ; ) SQUARE DESI
      "\u3326",  # (㌦; ㌦; ㌦; ドル; ト◌゙ル; ) SQUARE DORU
      "\u3327",  # (㌧; ㌧; ㌧; トン; トン; ) SQUARE TON
      "\u3328",  # (㌨; ㌨; ㌨; ナノ; ナノ; ) SQUARE NANO
      "\u3329",  # (㌩; ㌩; ㌩; ノット; ノット; ) SQUARE NOTTO
      "\u332A",  # (㌪; ㌪; ㌪; ハイツ; ハイツ; ) SQUARE HAITU
      "\u332B",  # (㌫; ㌫; ㌫; パーセント; ハ◌゚ーセント; ) SQUARE PAASENTO
      "\u332C",  # (㌬; ㌬; ㌬; パーツ; ハ◌゚ーツ; ) SQUARE PAATU
      "\u332D",  # (㌭; ㌭; ㌭; バーレル; ハ◌゙ーレル; ) SQUARE BAARERU
      "\u332E",  # (㌮; ㌮; ㌮; ピアストル; ヒ◌゚アストル; ) SQUARE PIASUTORU
      "\u332F",  # (㌯; ㌯; ㌯; ピクル; ヒ◌゚クル; ) SQUARE PIKURU
      "\u3330",  # (㌰; ㌰; ㌰; ピコ; ヒ◌゚コ; ) SQUARE PIKO
      "\u3331",  # (㌱; ㌱; ㌱; ビル; ヒ◌゙ル; ) SQUARE BIRU
      "\u3332",  # (㌲; ㌲; ㌲; ファラッド; ファラット◌゙; ) SQUARE HUARADDO
      "\u3333",  # (㌳; ㌳; ㌳; フィート; フィート; ) SQUARE HUIITO
      "\u3334",  # (㌴; ㌴; ㌴; ブッシェル; フ◌゙ッシェル; ) SQUARE BUSSYERU
      "\u3335",  # (㌵; ㌵; ㌵; フラン; フラン; ) SQUARE HURAN
      "\u3336",  # (㌶; ㌶; ㌶; ヘクタール; ヘクタール; ) SQUARE HEKUTAARU
      "\u3337",  # (㌷; ㌷; ㌷; ペソ; ヘ◌゚ソ; ) SQUARE PESO
      "\u3338",  # (㌸; ㌸; ㌸; ペニヒ; ヘ◌゚ニヒ; ) SQUARE PENIHI
      "\u3339",  # (㌹; ㌹; ㌹; ヘルツ; ヘルツ; ) SQUARE HERUTU
      "\u333A",  # (㌺; ㌺; ㌺; ペンス; ヘ◌゚ンス; ) SQUARE PENSU
      "\u333B",  # (㌻; ㌻; ㌻; ページ; ヘ◌゚ーシ◌゙; ) SQUARE PEEZI
      "\u333C",  # (㌼; ㌼; ㌼; ベータ; ヘ◌゙ータ; ) SQUARE BEETA
      "\u333D",  # (㌽; ㌽; ㌽; ポイント; ホ◌゚イント; ) SQUARE POINTO
      "\u333E",  # (㌾; ㌾; ㌾; ボルト; ホ◌゙ルト; ) SQUARE BORUTO
      "\u333F",  # (㌿; ㌿; ㌿; ホン; ホン; ) SQUARE HON
      "\u3340",  # (㍀; ㍀; ㍀; ポンド; ホ◌゚ント◌゙; ) SQUARE PONDO
      "\u3341",  # (㍁; ㍁; ㍁; ホール; ホール; ) SQUARE HOORU
      "\u3342",  # (㍂; ㍂; ㍂; ホーン; ホーン; ) SQUARE HOON
      "\u3343",  # (㍃; ㍃; ㍃; マイクロ; マイクロ; ) SQUARE MAIKURO
      "\u3344",  # (㍄; ㍄; ㍄; マイル; マイル; ) SQUARE MAIRU
      "\u3345",  # (㍅; ㍅; ㍅; マッハ; マッハ; ) SQUARE MAHHA
      "\u3346",  # (㍆; ㍆; ㍆; マルク; マルク; ) SQUARE MARUKU
      "\u3347",  # (㍇; ㍇; ㍇; マンション; マンション; ) SQUARE MANSYON
      "\u3348",  # (㍈; ㍈; ㍈; ミクロン; ミクロン; ) SQUARE MIKURON
      "\u3349",  # (㍉; ㍉; ㍉; ミリ; ミリ; ) SQUARE MIRI
      "\u334A",  # (㍊; ㍊; ㍊; ミリバール; ミリハ◌゙ール; ) SQUARE MIRIBAARU
      "\u334B",  # (㍋; ㍋; ㍋; メガ; メカ◌゙; ) SQUARE MEGA
      "\u334C",  # (㍌; ㍌; ㍌; メガトン; メカ◌゙トン; ) SQUARE MEGATON
      "\u334D",  # (㍍; ㍍; ㍍; メートル; メートル; ) SQUARE MEETORU
      "\u334E",  # (㍎; ㍎; ㍎; ヤード; ヤート◌゙; ) SQUARE YAADO
      "\u334F",  # (㍏; ㍏; ㍏; ヤール; ヤール; ) SQUARE YAARU
      "\u3350",  # (㍐; ㍐; ㍐; ユアン; ユアン; ) SQUARE YUAN
      "\u3351",  # (㍑; ㍑; ㍑; リットル; リットル; ) SQUARE RITTORU
      "\u3352",  # (㍒; ㍒; ㍒; リラ; リラ; ) SQUARE RIRA
      "\u3353",  # (㍓; ㍓; ㍓; ルピー; ルヒ◌゚ー; ) SQUARE RUPII
      "\u3354",  # (㍔; ㍔; ㍔; ルーブル; ルーフ◌゙ル; ) SQUARE RUUBURU
      "\u3355",  # (㍕; ㍕; ㍕; レム; レム; ) SQUARE REMU
      "\u3356",  # (㍖; ㍖; ㍖; レントゲン; レントケ◌゙ン; ) SQUARE RENTOGEN
      "\u3357",  # (㍗; ㍗; ㍗; ワット; ワット; ) SQUARE WATTO
      "\u3358",  # (㍘; ㍘; ㍘; 0点; 0点; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR ZERO
      "\u3359",  # (㍙; ㍙; ㍙; 1点; 1点; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR ONE
      "\u335A",  # (㍚; ㍚; ㍚; 2点; 2点; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWO
      "\u335B",  # (㍛; ㍛; ㍛; 3点; 3点; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR THREE
      "\u335C",  # (㍜; ㍜; ㍜; 4点; 4点; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR FOUR
      "\u335D",  # (㍝; ㍝; ㍝; 5点; 5点; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR FIVE
      "\u335E",  # (㍞; ㍞; ㍞; 6点; 6点; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR SIX
      "\u335F",  # (㍟; ㍟; ㍟; 7点; 7点; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR SEVEN
      "\u3360",  # (㍠; ㍠; ㍠; 8点; 8点; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR EIGHT
      "\u3361",  # (㍡; ㍡; ㍡; 9点; 9点; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR NINE
      "\u3362",  # (㍢; ㍢; ㍢; 10点; 10点; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TEN
      "\u3363",  # (㍣; ㍣; ㍣; 11点; 11点; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR ELEVEN
      "\u3364",  # (㍤; ㍤; ㍤; 12点; 12点; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWELVE
      "\u3365",  # (㍥; ㍥; ㍥; 13点; 13点; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR THIRTEEN
      "\u3366",  # (㍦; ㍦; ㍦; 14点; 14点; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR FOURTEEN
      "\u3367",  # (㍧; ㍧; ㍧; 15点; 15点; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR FIFTEEN
      "\u3368",  # (㍨; ㍨; ㍨; 16点; 16点; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR SIXTEEN
      "\u3369",  # (㍩; ㍩; ㍩; 17点; 17点; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR SEVENTEEN
      "\u336A",  # (㍪; ㍪; ㍪; 18点; 18点; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR EIGHTEEN
      "\u336B",  # (㍫; ㍫; ㍫; 19点; 19点; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR NINETEEN
      "\u336C",  # (㍬; ㍬; ㍬; 20点; 20点; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY
      "\u336D",  # (㍭; ㍭; ㍭; 21点; 21点; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY-ONE
      "\u336E",  # (㍮; ㍮; ㍮; 22点; 22点; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY-TWO
      "\u336F",  # (㍯; ㍯; ㍯; 23点; 23点; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY-THREE
      "\u3370",  # (㍰; ㍰; ㍰; 24点; 24点; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY-FOUR
      "\u3371",  # (㍱; ㍱; ㍱; hPa; hPa; ) SQUARE HPA
      "\u3372",  # (㍲; ㍲; ㍲; da; da; ) SQUARE DA
      "\u3373",  # (㍳; ㍳; ㍳; AU; AU; ) SQUARE AU
      "\u3374",  # (㍴; ㍴; ㍴; bar; bar; ) SQUARE BAR
      "\u3375",  # (㍵; ㍵; ㍵; oV; oV; ) SQUARE OV
      "\u3376",  # (㍶; ㍶; ㍶; pc; pc; ) SQUARE PC
      "\u3377",  # (㍷; ㍷; ㍷; dm; dm; ) SQUARE DM
      "\u3378",  # (㍸; ㍸; ㍸; dm2; dm2; ) SQUARE DM SQUARED
      "\u3379",  # (㍹; ㍹; ㍹; dm3; dm3; ) SQUARE DM CUBED
      "\u337A",  # (㍺; ㍺; ㍺; IU; IU; ) SQUARE IU
      "\u337B",  # (㍻; ㍻; ㍻; 平成; 平成; ) SQUARE ERA NAME HEISEI
      "\u337C",  # (㍼; ㍼; ㍼; 昭和; 昭和; ) SQUARE ERA NAME SYOUWA
      "\u337D",  # (㍽; ㍽; ㍽; 大正; 大正; ) SQUARE ERA NAME TAISYOU
      "\u337E",  # (㍾; ㍾; ㍾; 明治; 明治; ) SQUARE ERA NAME MEIZI
      "\u337F",  # (㍿; ㍿; ㍿; 株式会社; 株式会社; ) SQUARE CORPORATION
      "\u3380",  # (㎀; ㎀; ㎀; pA; pA; ) SQUARE PA AMPS
      "\u3381",  # (㎁; ㎁; ㎁; nA; nA; ) SQUARE NA
      "\u3382",  # (㎂; ㎂; ㎂; μA; μA; ) SQUARE MU A
      "\u3383",  # (㎃; ㎃; ㎃; mA; mA; ) SQUARE MA
      "\u3384",  # (㎄; ㎄; ㎄; kA; kA; ) SQUARE KA
      "\u3385",  # (㎅; ㎅; ㎅; KB; KB; ) SQUARE KB
      "\u3386",  # (㎆; ㎆; ㎆; MB; MB; ) SQUARE MB
      "\u3387",  # (㎇; ㎇; ㎇; GB; GB; ) SQUARE GB
      "\u3388",  # (㎈; ㎈; ㎈; cal; cal; ) SQUARE CAL
      "\u3389",  # (㎉; ㎉; ㎉; kcal; kcal; ) SQUARE KCAL
      "\u338A",  # (㎊; ㎊; ㎊; pF; pF; ) SQUARE PF
      "\u338B",  # (㎋; ㎋; ㎋; nF; nF; ) SQUARE NF
      "\u338C",  # (㎌; ㎌; ㎌; μF; μF; ) SQUARE MU F
      "\u338D",  # (㎍; ㎍; ㎍; μg; μg; ) SQUARE MU G
      "\u338E",  # (㎎; ㎎; ㎎; mg; mg; ) SQUARE MG
      "\u338F",  # (㎏; ㎏; ㎏; kg; kg; ) SQUARE KG
      "\u3390",  # (㎐; ㎐; ㎐; Hz; Hz; ) SQUARE HZ
      "\u3391",  # (㎑; ㎑; ㎑; kHz; kHz; ) SQUARE KHZ
      "\u3392",  # (㎒; ㎒; ㎒; MHz; MHz; ) SQUARE MHZ
      "\u3393",  # (㎓; ㎓; ㎓; GHz; GHz; ) SQUARE GHZ
      "\u3394",  # (㎔; ㎔; ㎔; THz; THz; ) SQUARE THZ
      "\u3395",  # (㎕; ㎕; ㎕; μl; μl; ) SQUARE MU L
      "\u3396",  # (㎖; ㎖; ㎖; ml; ml; ) SQUARE ML
      "\u3397",  # (㎗; ㎗; ㎗; dl; dl; ) SQUARE DL
      "\u3398",  # (㎘; ㎘; ㎘; kl; kl; ) SQUARE KL
      "\u3399",  # (㎙; ㎙; ㎙; fm; fm; ) SQUARE FM
      "\u339A",  # (㎚; ㎚; ㎚; nm; nm; ) SQUARE NM
      "\u339B",  # (㎛; ㎛; ㎛; μm; μm; ) SQUARE MU M
      "\u339C",  # (㎜; ㎜; ㎜; mm; mm; ) SQUARE MM
      "\u339D",  # (㎝; ㎝; ㎝; cm; cm; ) SQUARE CM
      "\u339E",  # (㎞; ㎞; ㎞; km; km; ) SQUARE KM
      "\u339F",  # (㎟; ㎟; ㎟; mm2; mm2; ) SQUARE MM SQUARED
      "\u33A0",  # (㎠; ㎠; ㎠; cm2; cm2; ) SQUARE CM SQUARED
      "\u33A1",  # (㎡; ㎡; ㎡; m2; m2; ) SQUARE M SQUARED
      "\u33A2",  # (㎢; ㎢; ㎢; km2; km2; ) SQUARE KM SQUARED
      "\u33A3",  # (㎣; ㎣; ㎣; mm3; mm3; ) SQUARE MM CUBED
      "\u33A4",  # (㎤; ㎤; ㎤; cm3; cm3; ) SQUARE CM CUBED
      "\u33A5",  # (㎥; ㎥; ㎥; m3; m3; ) SQUARE M CUBED
      "\u33A6",  # (㎦; ㎦; ㎦; km3; km3; ) SQUARE KM CUBED
      "\u33A7",  # (㎧; ㎧; ㎧; m∕s; m∕s; ) SQUARE M OVER S
      "\u33A8",  # (㎨; ㎨; ㎨; m∕s2; m∕s2; ) SQUARE M OVER S SQUARED
      "\u33A9",  # (㎩; ㎩; ㎩; Pa; Pa; ) SQUARE PA
      "\u33AA",  # (㎪; ㎪; ㎪; kPa; kPa; ) SQUARE KPA
      "\u33AB",  # (㎫; ㎫; ㎫; MPa; MPa; ) SQUARE MPA
      "\u33AC",  # (㎬; ㎬; ㎬; GPa; GPa; ) SQUARE GPA
      "\u33AD",  # (㎭; ㎭; ㎭; rad; rad; ) SQUARE RAD
      "\u33AE",  # (㎮; ㎮; ㎮; rad∕s; rad∕s; ) SQUARE RAD OVER S
      "\u33AF",  # (㎯; ㎯; ㎯; rad∕s2; rad∕s2; ) SQUARE RAD OVER S SQUARED
      "\u33B0",  # (㎰; ㎰; ㎰; ps; ps; ) SQUARE PS
      "\u33B1",  # (㎱; ㎱; ㎱; ns; ns; ) SQUARE NS
      "\u33B2",  # (㎲; ㎲; ㎲; μs; μs; ) SQUARE MU S
      "\u33B3",  # (㎳; ㎳; ㎳; ms; ms; ) SQUARE MS
      "\u33B4",  # (㎴; ㎴; ㎴; pV; pV; ) SQUARE PV
      "\u33B5",  # (㎵; ㎵; ㎵; nV; nV; ) SQUARE NV
      "\u33B6",  # (㎶; ㎶; ㎶; μV; μV; ) SQUARE MU V
      "\u33B7",  # (㎷; ㎷; ㎷; mV; mV; ) SQUARE MV
      "\u33B8",  # (㎸; ㎸; ㎸; kV; kV; ) SQUARE KV
      "\u33B9",  # (㎹; ㎹; ㎹; MV; MV; ) SQUARE MV MEGA
      "\u33BA",  # (㎺; ㎺; ㎺; pW; pW; ) SQUARE PW
      "\u33BB",  # (㎻; ㎻; ㎻; nW; nW; ) SQUARE NW
      "\u33BC",  # (㎼; ㎼; ㎼; μW; μW; ) SQUARE MU W
      "\u33BD",  # (㎽; ㎽; ㎽; mW; mW; ) SQUARE MW
      "\u33BE",  # (㎾; ㎾; ㎾; kW; kW; ) SQUARE KW
      "\u33BF",  # (㎿; ㎿; ㎿; MW; MW; ) SQUARE MW MEGA
      "\u33C0",  # (㏀; ㏀; ㏀; kΩ; kΩ; ) SQUARE K OHM
      "\u33C1",  # (㏁; ㏁; ㏁; MΩ; MΩ; ) SQUARE M OHM
      "\u33C2",  # (㏂; ㏂; ㏂; a.m.; a.m.; ) SQUARE AM
      "\u33C3",  # (㏃; ㏃; ㏃; Bq; Bq; ) SQUARE BQ
      "\u33C4",  # (㏄; ㏄; ㏄; cc; cc; ) SQUARE CC
      "\u33C5",  # (㏅; ㏅; ㏅; cd; cd; ) SQUARE CD
      "\u33C6",  # (㏆; ㏆; ㏆; C∕kg; C∕kg; ) SQUARE C OVER KG
      "\u33C7",  # (㏇; ㏇; ㏇; Co.; Co.; ) SQUARE CO
      "\u33C8",  # (㏈; ㏈; ㏈; dB; dB; ) SQUARE DB
      "\u33C9",  # (㏉; ㏉; ㏉; Gy; Gy; ) SQUARE GY
      "\u33CA",  # (㏊; ㏊; ㏊; ha; ha; ) SQUARE HA
      "\u33CB",  # (㏋; ㏋; ㏋; HP; HP; ) SQUARE HP
      "\u33CC",  # (㏌; ㏌; ㏌; in; in; ) SQUARE IN
      "\u33CD",  # (㏍; ㏍; ㏍; KK; KK; ) SQUARE KK
      "\u33CE",  # (㏎; ㏎; ㏎; KM; KM; ) SQUARE KM CAPITAL
      "\u33CF",  # (㏏; ㏏; ㏏; kt; kt; ) SQUARE KT
      "\u33D0",  # (㏐; ㏐; ㏐; lm; lm; ) SQUARE LM
      "\u33D1",  # (㏑; ㏑; ㏑; ln; ln; ) SQUARE LN
      "\u33D2",  # (㏒; ㏒; ㏒; log; log; ) SQUARE LOG
      "\u33D3",  # (㏓; ㏓; ㏓; lx; lx; ) SQUARE LX
      "\u33D4",  # (㏔; ㏔; ㏔; mb; mb; ) SQUARE MB SMALL
      "\u33D5",  # (㏕; ㏕; ㏕; mil; mil; ) SQUARE MIL
      "\u33D6",  # (㏖; ㏖; ㏖; mol; mol; ) SQUARE MOL
      "\u33D7",  # (㏗; ㏗; ㏗; PH; PH; ) SQUARE PH
      "\u33D8",  # (㏘; ㏘; ㏘; p.m.; p.m.; ) SQUARE PM
      "\u33D9",  # (㏙; ㏙; ㏙; PPM; PPM; ) SQUARE PPM
      "\u33DA",  # (㏚; ㏚; ㏚; PR; PR; ) SQUARE PR
      "\u33DB",  # (㏛; ㏛; ㏛; sr; sr; ) SQUARE SR
      "\u33DC",  # (㏜; ㏜; ㏜; Sv; Sv; ) SQUARE SV
      "\u33DD",  # (㏝; ㏝; ㏝; Wb; Wb; ) SQUARE WB
      "\u33DE",  # (㏞; ㏞; ㏞; V∕m; V∕m; ) SQUARE V OVER M
      "\u33DF",  # (㏟; ㏟; ㏟; A∕m; A∕m; ) SQUARE A OVER M
      "\u33E0",  # (㏠; ㏠; ㏠; 1日; 1日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY ONE
      "\u33E1",  # (㏡; ㏡; ㏡; 2日; 2日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWO
      "\u33E2",  # (㏢; ㏢; ㏢; 3日; 3日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY THREE
      "\u33E3",  # (㏣; ㏣; ㏣; 4日; 4日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY FOUR
      "\u33E4",  # (㏤; ㏤; ㏤; 5日; 5日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY FIVE
      "\u33E5",  # (㏥; ㏥; ㏥; 6日; 6日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY SIX
      "\u33E6",  # (㏦; ㏦; ㏦; 7日; 7日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY SEVEN
      "\u33E7",  # (㏧; ㏧; ㏧; 8日; 8日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY EIGHT
      "\u33E8",  # (㏨; ㏨; ㏨; 9日; 9日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY NINE
      "\u33E9",  # (㏩; ㏩; ㏩; 10日; 10日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TEN
      "\u33EA",  # (㏪; ㏪; ㏪; 11日; 11日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY ELEVEN
      "\u33EB",  # (㏫; ㏫; ㏫; 12日; 12日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWELVE
      "\u33EC",  # (㏬; ㏬; ㏬; 13日; 13日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY THIRTEEN
      "\u33ED",  # (㏭; ㏭; ㏭; 14日; 14日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY FOURTEEN
      "\u33EE",  # (㏮; ㏮; ㏮; 15日; 15日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY FIFTEEN
      "\u33EF",  # (㏯; ㏯; ㏯; 16日; 16日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY SIXTEEN
      "\u33F0",  # (㏰; ㏰; ㏰; 17日; 17日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY SEVENTEEN
      "\u33F1",  # (㏱; ㏱; ㏱; 18日; 18日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY EIGHTEEN
      "\u33F2",  # (㏲; ㏲; ㏲; 19日; 19日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY NINETEEN
      "\u33F3",  # (㏳; ㏳; ㏳; 20日; 20日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY
      "\u33F4",  # (㏴; ㏴; ㏴; 21日; 21日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-ONE
      "\u33F5",  # (㏵; ㏵; ㏵; 22日; 22日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-TWO
      "\u33F6",  # (㏶; ㏶; ㏶; 23日; 23日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-THREE
      "\u33F7",  # (㏷; ㏷; ㏷; 24日; 24日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-FOUR
      "\u33F8",  # (㏸; ㏸; ㏸; 25日; 25日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-FIVE
      "\u33F9",  # (㏹; ㏹; ㏹; 26日; 26日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-SIX
      "\u33FA",  # (㏺; ㏺; ㏺; 27日; 27日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-SEVEN
      "\u33FB",  # (㏻; ㏻; ㏻; 28日; 28日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-EIGHT
      "\u33FC",  # (㏼; ㏼; ㏼; 29日; 29日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-NINE
      "\u33FD",  # (㏽; ㏽; ㏽; 30日; 30日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY THIRTY
      "\u33FE",  # (㏾; ㏾; ㏾; 31日; 31日; ) IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY THIRTY-ONE
      "\u33FF",  # (㏿; ㏿; ㏿; gal; gal; ) SQUARE GAL
      "\uA69C",  # (ꚜ; ꚜ; ꚜ; ъ; ъ; ) MODIFIER LETTER CYRILLIC HARD SIGN
      "\uA69D",  # (ꚝ; ꚝ; ꚝ; ь; ь; ) MODIFIER LETTER CYRILLIC SOFT SIGN
      "\uA770",  # (ꝰ; ꝰ; ꝰ; ꝯ; ꝯ; ) MODIFIER LETTER US
      "\uA7F8",  # (ꟸ; ꟸ; ꟸ; Ħ; Ħ; ) MODIFIER LETTER CAPITAL H WITH STROKE
      "\uA7F9",  # (ꟹ; ꟹ; ꟹ; œ; œ; ) MODIFIER LETTER SMALL LIGATURE OE
      "\uAB5C",  # (ꭜ; ꭜ; ꭜ; ꜧ; ꜧ; ) MODIFIER LETTER SMALL HENG
      "\uAB5D",  # (ꭝ; ꭝ; ꭝ; ꬷ; ꬷ; ) MODIFIER LETTER SMALL L WITH INVERTED LAZY S
      "\uAB5E",  # (ꭞ; ꭞ; ꭞ; ɫ; ɫ; ) MODIFIER LETTER SMALL L WITH MIDDLE TILDE
      "\uAB5F",  # (ꭟ; ꭟ; ꭟ; ꭒ; ꭒ; ) MODIFIER LETTER SMALL U WITH LEFT HOOK
      "\uAC00",  # (가; 가; 가; 가; 가; ) HANGUL SYLLABLE GA
      "\uAC01",  # (각; 각; 각; 각; 각; ) HANGUL SYLLABLE GAG
      "\uAC02",  # (갂; 갂; 갂; 갂; 갂; ) HANGUL SYLLABLE GAGG
      "\uAC03",  # (갃; 갃; 갃; 갃; 갃; ) HANGUL SYLLABLE GAGS
      "\uAC04",  # (간; 간; 간; 간; 간; ) HANGUL SYLLABLE GAN
      "\uAC05",  # (갅; 갅; 갅; 갅; 갅; ) HANGUL SYLLABLE GANJ
      "\uAC06",  # (갆; 갆; 갆; 갆; 갆; ) HANGUL SYLLABLE GANH
      "\uAC07",  # (갇; 갇; 갇; 갇; 갇; ) HANGUL SYLLABLE GAD
      "\uAC08",  # (갈; 갈; 갈; 갈; 갈; ) HANGUL SYLLABLE GAL
      "\uAC09",  # (갉; 갉; 갉; 갉; 갉; ) HANGUL SYLLABLE GALG
      "\uAC0A",  # (갊; 갊; 갊; 갊; 갊; ) HANGUL SYLLABLE GALM
      "\uAC0B",  # (갋; 갋; 갋; 갋; 갋; ) HANGUL SYLLABLE GALB
      "\uAC0C",  # (갌; 갌; 갌; 갌; 갌; ) HANGUL SYLLABLE GALS
      "\uAC0D",  # (갍; 갍; 갍; 갍; 갍; ) HANGUL SYLLABLE GALT
      "\uAC0E",  # (갎; 갎; 갎; 갎; 갎; ) HANGUL SYLLABLE GALP
      "\uAC0F",  # (갏; 갏; 갏; 갏; 갏; ) HANGUL SYLLABLE GALH
      "\uAC10",  # (감; 감; 감; 감; 감; ) HANGUL SYLLABLE GAM
      "\uAC11",  # (갑; 갑; 갑; 갑; 갑; ) HANGUL SYLLABLE GAB
      "\uAC12",  # (값; 값; 값; 값; 값; ) HANGUL SYLLABLE GABS
      "\uAC13",  # (갓; 갓; 갓; 갓; 갓; ) HANGUL SYLLABLE GAS
      "\uAC14",  # (갔; 갔; 갔; 갔; 갔; ) HANGUL SYLLABLE GASS
      "\uAC15",  # (강; 강; 강; 강; 강; ) HANGUL SYLLABLE GANG
      "\uAC16",  # (갖; 갖; 갖; 갖; 갖; ) HANGUL SYLLABLE GAJ
      "\uAC17",  # (갗; 갗; 갗; 갗; 갗; ) HANGUL SYLLABLE GAC
      "\uAC18",  # (갘; 갘; 갘; 갘; 갘; ) HANGUL SYLLABLE GAK
      "\uAC19",  # (같; 같; 같; 같; 같; ) HANGUL SYLLABLE GAT
      "\uAC1A",  # (갚; 갚; 갚; 갚; 갚; ) HANGUL SYLLABLE GAP
      "\uAC1B",  # (갛; 갛; 갛; 갛; 갛; ) HANGUL SYLLABLE GAH
      "\uAC1C",  # (개; 개; 개; 개; 개; ) HANGUL SYLLABLE GAE
      "\uAC1D",  # (객; 객; 객; 객; 객; ) HANGUL SYLLABLE GAEG
      "\uAC1E",  # (갞; 갞; 갞; 갞; 갞; ) HANGUL SYLLABLE GAEGG
      "\uAC1F",  # (갟; 갟; 갟; 갟; 갟; ) HANGUL SYLLABLE GAEGS
      "\uAC20",  # (갠; 갠; 갠; 갠; 갠; ) HANGUL SYLLABLE GAEN
      "\uAC21",  # (갡; 갡; 갡; 갡; 갡; ) HANGUL SYLLABLE GAENJ
      "\uAC22",  # (갢; 갢; 갢; 갢; 갢; ) HANGUL SYLLABLE GAENH
      "\uAC23",  # (갣; 갣; 갣; 갣; 갣; ) HANGUL SYLLABLE GAED
      "\uAC24",  # (갤; 갤; 갤; 갤; 갤; ) HANGUL SYLLABLE GAEL
      "\uAC25",  # (갥; 갥; 갥; 갥; 갥; ) HANGUL SYLLABLE GAELG
      "\uAC26",  # (갦; 갦; 갦; 갦; 갦; ) HANGUL SYLLABLE GAELM
      "\uAC27",  # (갧; 갧; 갧; 갧; 갧; ) HANGUL SYLLABLE GAELB
      "\uAC28",  # (갨; 갨; 갨; 갨; 갨; ) HANGUL SYLLABLE GAELS
      "\uAC29",  # (갩; 갩; 갩; 갩; 갩; ) HANGUL SYLLABLE GAELT
      "\uAC2A",  # (갪; 갪; 갪; 갪; 갪; ) HANGUL SYLLABLE GAELP
      "\uAC2B",  # (갫; 갫; 갫; 갫; 갫; ) HANGUL SYLLABLE GAELH
      "\uAC2C",  # (갬; 갬; 갬; 갬; 갬; ) HANGUL SYLLABLE GAEM
      "\uAC2D",  # (갭; 갭; 갭; 갭; 갭; ) HANGUL SYLLABLE GAEB
      "\uAC2E",  # (갮; 갮; 갮; 갮; 갮; ) HANGUL SYLLABLE GAEBS
      "\uAC2F",  # (갯; 갯; 갯; 갯; 갯; ) HANGUL SYLLABLE GAES
      "\uAC30",  # (갰; 갰; 갰; 갰; 갰; ) HANGUL SYLLABLE GAESS
      "\uAC31",  # (갱; 갱; 갱; 갱; 갱; ) HANGUL SYLLABLE GAENG
      "\uAC32",  # (갲; 갲; 갲; 갲; 갲; ) HANGUL SYLLABLE GAEJ
      "\uAC33",  # (갳; 갳; 갳; 갳; 갳; ) HANGUL SYLLABLE GAEC
      "\uAC34",  # (갴; 갴; 갴; 갴; 갴; ) HANGUL SYLLABLE GAEK
      "\uAC35",  # (갵; 갵; 갵; 갵; 갵; ) HANGUL SYLLABLE GAET
      "\uAC36",  # (갶; 갶; 갶; 갶; 갶; ) HANGUL SYLLABLE GAEP
      "\uAC37",  # (갷; 갷; 갷; 갷; 갷; ) HANGUL SYLLABLE GAEH
      "\uAC38",  # (갸; 갸; 갸; 갸; 갸; ) HANGUL SYLLABLE GYA
      "\uAC39",  # (갹; 갹; 갹; 갹; 갹; ) HANGUL SYLLABLE GYAG
      "\uAC3A",  # (갺; 갺; 갺; 갺; 갺; ) HANGUL SYLLABLE GYAGG
      "\uAC3B",  # (갻; 갻; 갻; 갻; 갻; ) HANGUL SYLLABLE GYAGS
      "\uAC3C",  # (갼; 갼; 갼; 갼; 갼; ) HANGUL SYLLABLE GYAN
      "\uAC3D",  # (갽; 갽; 갽; 갽; 갽; ) HANGUL SYLLABLE GYANJ
      "\uAC3E",  # (갾; 갾; 갾; 갾; 갾; ) HANGUL SYLLABLE GYANH
      "\uAC3F",  # (갿; 갿; 갿; 갿; 갿; ) HANGUL SYLLABLE GYAD
      "\uAC40",  # (걀; 걀; 걀; 걀; 걀; ) HANGUL SYLLABLE GYAL
      "\uAC41",  # (걁; 걁; 걁; 걁; 걁; ) HANGUL SYLLABLE GYALG
      "\uAC42",  # (걂; 걂; 걂; 걂; 걂; ) HANGUL SYLLABLE GYALM
      "\uAC43",  # (걃; 걃; 걃; 걃; 걃; ) HANGUL SYLLABLE GYALB
      "\uAC44",  # (걄; 걄; 걄; 걄; 걄; ) HANGUL SYLLABLE GYALS
      "\uAC45",  # (걅; 걅; 걅; 걅; 걅; ) HANGUL SYLLABLE GYALT
      "\uAC46",  # (걆; 걆; 걆; 걆; 걆; ) HANGUL SYLLABLE GYALP
      "\uAC47",  # (걇; 걇; 걇; 걇; 걇; ) HANGUL SYLLABLE GYALH
      "\uAC48",  # (걈; 걈; 걈; 걈; 걈; ) HANGUL SYLLABLE GYAM
      "\uAC49",  # (걉; 걉; 걉; 걉; 걉; ) HANGUL SYLLABLE GYAB
      "\uAC4A",  # (걊; 걊; 걊; 걊; 걊; ) HANGUL SYLLABLE GYABS
      "\uAC4B",  # (걋; 걋; 걋; 걋; 걋; ) HANGUL SYLLABLE GYAS
      "\uAC4C",  # (걌; 걌; 걌; 걌; 걌; ) HANGUL SYLLABLE GYASS
      "\uAC4D",  # (걍; 걍; 걍; 걍; 걍; ) HANGUL SYLLABLE GYANG
      "\uAC4E",  # (걎; 걎; 걎; 걎; 걎; ) HANGUL SYLLABLE GYAJ
      "\uAC4F",  # (걏; 걏; 걏; 걏; 걏; ) HANGUL SYLLABLE GYAC
      "\uAC50",  # (걐; 걐; 걐; 걐; 걐; ) HANGUL SYLLABLE GYAK
      "\uAC51",  # (걑; 걑; 걑; 걑; 걑; ) HANGUL SYLLABLE GYAT
      "\uAC52",  # (걒; 걒; 걒; 걒; 걒; ) HANGUL SYLLABLE GYAP
      "\uAC53",  # (걓; 걓; 걓; 걓; 걓; ) HANGUL SYLLABLE GYAH
      "\uAC54",  # (걔; 걔; 걔; 걔; 걔; ) HANGUL SYLLABLE GYAE
      "\uAC55",  # (걕; 걕; 걕; 걕; 걕; ) HANGUL SYLLABLE GYAEG
      "\uAC56",  # (걖; 걖; 걖; 걖; 걖; ) HANGUL SYLLABLE GYAEGG
      "\uAC57",  # (걗; 걗; 걗; 걗; 걗; ) HANGUL SYLLABLE GYAEGS
      "\uAC58",  # (걘; 걘; 걘; 걘; 걘; ) HANGUL SYLLABLE GYAEN
      "\uAC59",  # (걙; 걙; 걙; 걙; 걙; ) HANGUL SYLLABLE GYAENJ
      "\uAC5A",  # (걚; 걚; 걚; 걚; 걚; ) HANGUL SYLLABLE GYAENH
      "\uAC5B",  # (걛; 걛; 걛; 걛; 걛; ) HANGUL SYLLABLE GYAED
      "\uAC5C",  # (걜; 걜; 걜; 걜; 걜; ) HANGUL SYLLABLE GYAEL
      "\uAC5D",  # (걝; 걝; 걝; 걝; 걝; ) HANGUL SYLLABLE GYAELG
      "\uAC5E",  # (걞; 걞; 걞; 걞; 걞; ) HANGUL SYLLABLE GYAELM
      "\uAC5F",  # (걟; 걟; 걟; 걟; 걟; ) HANGUL SYLLABLE GYAELB
      "\uAC60",  # (걠; 걠; 걠; 걠; 걠; ) HANGUL SYLLABLE GYAELS
      "\uAC61",  # (걡; 걡; 걡; 걡; 걡; ) HANGUL SYLLABLE GYAELT
      "\uAC62",  # (걢; 걢; 걢; 걢; 걢; ) HANGUL SYLLABLE GYAELP
      "\uAC63",  # (걣; 걣; 걣; 걣; 걣; ) HANGUL SYLLABLE GYAELH
      "\uAC64",  # (걤; 걤; 걤; 걤; 걤; ) HANGUL SYLLABLE GYAEM
      "\uAC65",  # (걥; 걥; 걥; 걥; 걥; ) HANGUL SYLLABLE GYAEB
      "\uAC66",  # (걦; 걦; 걦; 걦; 걦; ) HANGUL SYLLABLE GYAEBS
      "\uAC67",  # (걧; 걧; 걧; 걧; 걧; ) HANGUL SYLLABLE GYAES
      "\uAC68",  # (걨; 걨; 걨; 걨; 걨; ) HANGUL SYLLABLE GYAESS
      "\uAC69",  # (걩; 걩; 걩; 걩; 걩; ) HANGUL SYLLABLE GYAENG
      "\uAC6A",  # (걪; 걪; 걪; 걪; 걪; ) HANGUL SYLLABLE GYAEJ
      "\uAC6B",  # (걫; 걫; 걫; 걫; 걫; ) HANGUL SYLLABLE GYAEC
      "\uAC6C",  # (걬; 걬; 걬; 걬; 걬; ) HANGUL SYLLABLE GYAEK
      "\uAC6D",  # (걭; 걭; 걭; 걭; 걭; ) HANGUL SYLLABLE GYAET
      "\uAC6E",  # (걮; 걮; 걮; 걮; 걮; ) HANGUL SYLLABLE GYAEP
      "\uAC6F",  # (걯; 걯; 걯; 걯; 걯; ) HANGUL SYLLABLE GYAEH
      "\uAC70",  # (거; 거; 거; 거; 거; ) HANGUL SYLLABLE GEO
      "\uAC71",  # (걱; 걱; 걱; 걱; 걱; ) HANGUL SYLLABLE GEOG
      "\uAC72",  # (걲; 걲; 걲; 걲; 걲; ) HANGUL SYLLABLE GEOGG
      "\uAC73",  # (걳; 걳; 걳; 걳; 걳; ) HANGUL SYLLABLE GEOGS
      "\uAC74",  # (건; 건; 건; 건; 건; ) HANGUL SYLLABLE GEON
      "\uAC75",  # (걵; 걵; 걵; 걵; 걵; ) HANGUL SYLLABLE GEONJ
      "\uAC76",  # (걶; 걶; 걶; 걶; 걶; ) HANGUL SYLLABLE GEONH
      "\uAC77",  # (걷; 걷; 걷; 걷; 걷; ) HANGUL SYLLABLE GEOD
      "\uAC78",  # (걸; 걸; 걸; 걸; 걸; ) HANGUL SYLLABLE GEOL
      "\uAC79",  # (걹; 걹; 걹; 걹; 걹; ) HANGUL SYLLABLE GEOLG
      "\uAC7A",  # (걺; 걺; 걺; 걺; 걺; ) HANGUL SYLLABLE GEOLM
      "\uAC7B",  # (걻; 걻; 걻; 걻; 걻; ) HANGUL SYLLABLE GEOLB
      "\uAC7C",  # (걼; 걼; 걼; 걼; 걼; ) HANGUL SYLLABLE GEOLS
      "\uAC7D",  # (걽; 걽; 걽; 걽; 걽; ) HANGUL SYLLABLE GEOLT
      "\uAC7E",  # (걾; 걾; 걾; 걾; 걾; ) HANGUL SYLLABLE GEOLP
      "\uAC7F",  # (걿; 걿; 걿; 걿; 걿; ) HANGUL SYLLABLE GEOLH
      "\uAC80",  # (검; 검; 검; 검; 검; ) HANGUL SYLLABLE GEOM
      "\uAC81",  # (겁; 겁; 겁; 겁; 겁; ) HANGUL SYLLABLE GEOB
      "\uAC82",  # (겂; 겂; 겂; 겂; 겂; ) HANGUL SYLLABLE GEOBS
      "\uAC83",  # (것; 것; 것; 것; 것; ) HANGUL SYLLABLE GEOS
      "\uAC84",  # (겄; 겄; 겄; 겄; 겄; ) HANGUL SYLLABLE GEOSS
      "\uAC85",  # (겅; 겅; 겅; 겅; 겅; ) HANGUL SYLLABLE GEONG
      "\uAC86",  # (겆; 겆; 겆; 겆; 겆; ) HANGUL SYLLABLE GEOJ
      "\uAC87",  # (겇; 겇; 겇; 겇; 겇; ) HANGUL SYLLABLE GEOC
      "\uAC88",  # (겈; 겈; 겈; 겈; 겈; ) HANGUL SYLLABLE GEOK
      "\uAC89",  # (겉; 겉; 겉; 겉; 겉; ) HANGUL SYLLABLE GEOT
      "\uAC8A",  # (겊; 겊; 겊; 겊; 겊; ) HANGUL SYLLABLE GEOP
      "\uAC8B",  # (겋; 겋; 겋; 겋; 겋; ) HANGUL SYLLABLE GEOH
      "\uAC8C",  # (게; 게; 게; 게; 게; ) HANGUL SYLLABLE GE
      "\uAC8D",  # (겍; 겍; 겍; 겍; 겍; ) HANGUL SYLLABLE GEG
      "\uAC8E",  # (겎; 겎; 겎; 겎; 겎; ) HANGUL SYLLABLE GEGG
      "\uAC8F",  # (겏; 겏; 겏; 겏; 겏; ) HANGUL SYLLABLE GEGS
      "\uAC90",  # (겐; 겐; 겐; 겐; 겐; ) HANGUL SYLLABLE GEN
      "\uAC91",  # (겑; 겑; 겑; 겑; 겑; ) HANGUL SYLLABLE GENJ
      "\uAC92",  # (겒; 겒; 겒; 겒; 겒; ) HANGUL SYLLABLE GENH
      "\uAC93",  # (겓; 겓; 겓; 겓; 겓; ) HANGUL SYLLABLE GED
      "\uAC94",  # (겔; 겔; 겔; 겔; 겔; ) HANGUL SYLLABLE GEL
      "\uAC95",  # (겕; 겕; 겕; 겕; 겕; ) HANGUL SYLLABLE GELG
      "\uAC96",  # (겖; 겖; 겖; 겖; 겖; ) HANGUL SYLLABLE GELM
      "\uAC97",  # (겗; 겗; 겗; 겗; 겗; ) HANGUL SYLLABLE GELB
      "\uAC98",  # (겘; 겘; 겘; 겘; 겘; ) HANGUL SYLLABLE GELS
      "\uAC99",  # (겙; 겙; 겙; 겙; 겙; ) HANGUL SYLLABLE GELT
      "\uAC9A",  # (겚; 겚; 겚; 겚; 겚; ) HANGUL SYLLABLE GELP
      "\uAC9B",  # (겛; 겛; 겛; 겛; 겛; ) HANGUL SYLLABLE GELH
      "\uAC9C",  # (겜; 겜; 겜; 겜; 겜; ) HANGUL SYLLABLE GEM
      "\uAC9D",  # (겝; 겝; 겝; 겝; 겝; ) HANGUL SYLLABLE GEB
      "\uAC9E",  # (겞; 겞; 겞; 겞; 겞; ) HANGUL SYLLABLE GEBS
      "\uAC9F",  # (겟; 겟; 겟; 겟; 겟; ) HANGUL SYLLABLE GES
      "\uACA0",  # (겠; 겠; 겠; 겠; 겠; ) HANGUL SYLLABLE GESS
      "\uACA1",  # (겡; 겡; 겡; 겡; 겡; ) HANGUL SYLLABLE GENG
      "\uACA2",  # (겢; 겢; 겢; 겢; 겢; ) HANGUL SYLLABLE GEJ
      "\uACA3",  # (겣; 겣; 겣; 겣; 겣; ) HANGUL SYLLABLE GEC
      "\uACA4",  # (겤; 겤; 겤; 겤; 겤; ) HANGUL SYLLABLE GEK
      "\uACA5",  # (겥; 겥; 겥; 겥; 겥; ) HANGUL SYLLABLE GET
      "\uACA6",  # (겦; 겦; 겦; 겦; 겦; ) HANGUL SYLLABLE GEP
      "\uACA7",  # (겧; 겧; 겧; 겧; 겧; ) HANGUL SYLLABLE GEH
      "\uACA8",  # (겨; 겨; 겨; 겨; 겨; ) HANGUL SYLLABLE GYEO
      "\uACA9",  # (격; 격; 격; 격; 격; ) HANGUL SYLLABLE GYEOG
      "\uACAA",  # (겪; 겪; 겪; 겪; 겪; ) HANGUL SYLLABLE GYEOGG
      "\uACAB",  # (겫; 겫; 겫; 겫; 겫; ) HANGUL SYLLABLE GYEOGS
      "\uACAC",  # (견; 견; 견; 견; 견; ) HANGUL SYLLABLE GYEON
      "\uACAD",  # (겭; 겭; 겭; 겭; 겭; ) HANGUL SYLLABLE GYEONJ
      "\uACAE",  # (겮; 겮; 겮; 겮; 겮; ) HANGUL SYLLABLE GYEONH
      "\uACAF",  # (겯; 겯; 겯; 겯; 겯; ) HANGUL SYLLABLE GYEOD
      "\uACB0",  # (결; 결; 결; 결; 결; ) HANGUL SYLLABLE GYEOL
      "\uACB1",  # (겱; 겱; 겱; 겱; 겱; ) HANGUL SYLLABLE GYEOLG
      "\uACB2",  # (겲; 겲; 겲; 겲; 겲; ) HANGUL SYLLABLE GYEOLM
      "\uACB3",  # (겳; 겳; 겳; 겳; 겳; ) HANGUL SYLLABLE GYEOLB
      "\uACB4",  # (겴; 겴; 겴; 겴; 겴; ) HANGUL SYLLABLE GYEOLS
      "\uACB5",  # (겵; 겵; 겵; 겵; 겵; ) HANGUL SYLLABLE GYEOLT
      "\uACB6",  # (겶; 겶; 겶; 겶; 겶; ) HANGUL SYLLABLE GYEOLP
      "\uACB7",  # (겷; 겷; 겷; 겷; 겷; ) HANGUL SYLLABLE GYEOLH
      "\uACB8",  # (겸; 겸; 겸; 겸; 겸; ) HANGUL SYLLABLE GYEOM
      "\uACB9",  # (겹; 겹; 겹; 겹; 겹; ) HANGUL SYLLABLE GYEOB
      "\uACBA",  # (겺; 겺; 겺; 겺; 겺; ) HANGUL SYLLABLE GYEOBS
      "\uACBB",  # (겻; 겻; 겻; 겻; 겻; ) HANGUL SYLLABLE GYEOS
      "\uACBC",  # (겼; 겼; 겼; 겼; 겼; ) HANGUL SYLLABLE GYEOSS
      "\uACBD",  # (경; 경; 경; 경; 경; ) HANGUL SYLLABLE GYEONG
      "\uACBE",  # (겾; 겾; 겾; 겾; 겾; ) HANGUL SYLLABLE GYEOJ
      "\uACBF",  # (겿; 겿; 겿; 겿; 겿; ) HANGUL SYLLABLE GYEOC
      "\uACC0",  # (곀; 곀; 곀; 곀; 곀; ) HANGUL SYLLABLE GYEOK
      "\uACC1",  # (곁; 곁; 곁; 곁; 곁; ) HANGUL SYLLABLE GYEOT
      "\uACC2",  # (곂; 곂; 곂; 곂; 곂; ) HANGUL SYLLABLE GYEOP
      "\uACC3",  # (곃; 곃; 곃; 곃; 곃; ) HANGUL SYLLABLE GYEOH
      "\uACC4",  # (계; 계; 계; 계; 계; ) HANGUL SYLLABLE GYE
      "\uACC5",  # (곅; 곅; 곅; 곅; 곅; ) HANGUL SYLLABLE GYEG
      "\uACC6",  # (곆; 곆; 곆; 곆; 곆; ) HANGUL SYLLABLE GYEGG
      "\uACC7",  # (곇; 곇; 곇; 곇; 곇; ) HANGUL SYLLABLE GYEGS
      "\uACC8",  # (곈; 곈; 곈; 곈; 곈; ) HANGUL SYLLABLE GYEN
      "\uACC9",  # (곉; 곉; 곉; 곉; 곉; ) HANGUL SYLLABLE GYENJ
      "\uACCA",  # (곊; 곊; 곊; 곊; 곊; ) HANGUL SYLLABLE GYENH
      "\uACCB",  # (곋; 곋; 곋; 곋; 곋; ) HANGUL SYLLABLE GYED
      "\uACCC",  # (곌; 곌; 곌; 곌; 곌; ) HANGUL SYLLABLE GYEL
      "\uACCD",  # (곍; 곍; 곍; 곍; 곍; ) HANGUL SYLLABLE GYELG
      "\uACCE",  # (곎; 곎; 곎; 곎; 곎; ) HANGUL SYLLABLE GYELM
      "\uACCF",  # (곏; 곏; 곏; 곏; 곏; ) HANGUL SYLLABLE GYELB
      "\uACD0",  # (곐; 곐; 곐; 곐; 곐; ) HANGUL SYLLABLE GYELS
      "\uACD1",  # (곑; 곑; 곑; 곑; 곑; ) HANGUL SYLLABLE GYELT
      "\uACD2",  # (곒; 곒; 곒; 곒; 곒; ) HANGUL SYLLABLE GYELP
      "\uACD3",  # (곓; 곓; 곓; 곓; 곓; ) HANGUL SYLLABLE GYELH
      "\uACD4",  # (곔; 곔; 곔; 곔; 곔; ) HANGUL SYLLABLE GYEM
      "\uACD5",  # (곕; 곕; 곕; 곕; 곕; ) HANGUL SYLLABLE GYEB
      "\uACD6",  # (곖; 곖; 곖; 곖; 곖; ) HANGUL SYLLABLE GYEBS
      "\uACD7",  # (곗; 곗; 곗; 곗; 곗; ) HANGUL SYLLABLE GYES
      "\uACD8",  # (곘; 곘; 곘; 곘; 곘; ) HANGUL SYLLABLE GYESS
      "\uACD9",  # (곙; 곙; 곙; 곙; 곙; ) HANGUL SYLLABLE GYENG
      "\uACDA",  # (곚; 곚; 곚; 곚; 곚; ) HANGUL SYLLABLE GYEJ
      "\uACDB",  # (곛; 곛; 곛; 곛; 곛; ) HANGUL SYLLABLE GYEC
      "\uACDC",  # (곜; 곜; 곜; 곜; 곜; ) HANGUL SYLLABLE GYEK
      "\uACDD",  # (곝; 곝; 곝; 곝; 곝; ) HANGUL SYLLABLE GYET
      "\uACDE",  # (곞; 곞; 곞; 곞; 곞; ) HANGUL SYLLABLE GYEP
      "\uACDF",  # (곟; 곟; 곟; 곟; 곟; ) HANGUL SYLLABLE GYEH
      "\uACE0",  # (고; 고; 고; 고; 고; ) HANGUL SYLLABLE GO
      "\uACE1",  # (곡; 곡; 곡; 곡; 곡; ) HANGUL SYLLABLE GOG
      "\uACE2",  # (곢; 곢; 곢; 곢; 곢; ) HANGUL SYLLABLE GOGG
      "\uACE3",  # (곣; 곣; 곣; 곣; 곣; ) HANGUL SYLLABLE GOGS
      "\uACE4",  # (곤; 곤; 곤; 곤; 곤; ) HANGUL SYLLABLE GON
      "\uACE5",  # (곥; 곥; 곥; 곥; 곥; ) HANGUL SYLLABLE GONJ
      "\uACE6",  # (곦; 곦; 곦; 곦; 곦; ) HANGUL SYLLABLE GONH
      "\uACE7",  # (곧; 곧; 곧; 곧; 곧; ) HANGUL SYLLABLE GOD
      "\uACE8",  # (골; 골; 골; 골; 골; ) HANGUL SYLLABLE GOL
      "\uACE9",  # (곩; 곩; 곩; 곩; 곩; ) HANGUL SYLLABLE GOLG
      "\uACEA",  # (곪; 곪; 곪; 곪; 곪; ) HANGUL SYLLABLE GOLM
      "\uACEB",  # (곫; 곫; 곫; 곫; 곫; ) HANGUL SYLLABLE GOLB
      "\uACEC",  # (곬; 곬; 곬; 곬; 곬; ) HANGUL SYLLABLE GOLS
      "\uACED",  # (곭; 곭; 곭; 곭; 곭; ) HANGUL SYLLABLE GOLT
      "\uACEE",  # (곮; 곮; 곮; 곮; 곮; ) HANGUL SYLLABLE GOLP
      "\uACEF",  # (곯; 곯; 곯; 곯; 곯; ) HANGUL SYLLABLE GOLH
      "\uACF0",  # (곰; 곰; 곰; 곰; 곰; ) HANGUL SYLLABLE GOM
      "\uACF1",  # (곱; 곱; 곱; 곱; 곱; ) HANGUL SYLLABLE GOB
      "\uACF2",  # (곲; 곲; 곲; 곲; 곲; ) HANGUL SYLLABLE GOBS
      "\uACF3",  # (곳; 곳; 곳; 곳; 곳; ) HANGUL SYLLABLE GOS
      "\uACF4",  # (곴; 곴; 곴; 곴; 곴; ) HANGUL SYLLABLE GOSS
      "\uACF5",  # (공; 공; 공; 공; 공; ) HANGUL SYLLABLE GONG
      "\uACF6",  # (곶; 곶; 곶; 곶; 곶; ) HANGUL SYLLABLE GOJ
      "\uACF7",  # (곷; 곷; 곷; 곷; 곷; ) HANGUL SYLLABLE GOC
      "\uACF8",  # (곸; 곸; 곸; 곸; 곸; ) HANGUL SYLLABLE GOK
      "\uACF9",  # (곹; 곹; 곹; 곹; 곹; ) HANGUL SYLLABLE GOT
      "\uACFA",  # (곺; 곺; 곺; 곺; 곺; ) HANGUL SYLLABLE GOP
      "\uACFB",  # (곻; 곻; 곻; 곻; 곻; ) HANGUL SYLLABLE GOH
      "\uACFC",  # (과; 과; 과; 과; 과; ) HANGUL SYLLABLE GWA
      "\uACFD",  # (곽; 곽; 곽; 곽; 곽; ) HANGUL SYLLABLE GWAG
      "\uACFE",  # (곾; 곾; 곾; 곾; 곾; ) HANGUL SYLLABLE GWAGG
      "\uACFF",  # (곿; 곿; 곿; 곿; 곿; ) HANGUL SYLLABLE GWAGS
      "\uAD00",  # (관; 관; 관; 관; 관; ) HANGUL SYLLABLE GWAN
      "\uAD01",  # (괁; 괁; 괁; 괁; 괁; ) HANGUL SYLLABLE GWANJ
      "\uAD02",  # (괂; 괂; 괂; 괂; 괂; ) HANGUL SYLLABLE GWANH
      "\uAD03",  # (괃; 괃; 괃; 괃; 괃; ) HANGUL SYLLABLE GWAD
      "\uAD04",  # (괄; 괄; 괄; 괄; 괄; ) HANGUL SYLLABLE GWAL
      "\uAD05",  # (괅; 괅; 괅; 괅; 괅; ) HANGUL SYLLABLE GWALG
      "\uAD06",  # (괆; 괆; 괆; 괆; 괆; ) HANGUL SYLLABLE GWALM
      "\uAD07",  # (괇; 괇; 괇; 괇; 괇; ) HANGUL SYLLABLE GWALB
      "\uAD08",  # (괈; 괈; 괈; 괈; 괈; ) HANGUL SYLLABLE GWALS
      "\uAD09",  # (괉; 괉; 괉; 괉; 괉; ) HANGUL SYLLABLE GWALT
      "\uAD0A",  # (괊; 괊; 괊; 괊; 괊; ) HANGUL SYLLABLE GWALP
      "\uAD0B",  # (괋; 괋; 괋; 괋; 괋; ) HANGUL SYLLABLE GWALH
      "\uAD0C",  # (괌; 괌; 괌; 괌; 괌; ) HANGUL SYLLABLE GWAM
      "\uAD0D",  # (괍; 괍; 괍; 괍; 괍; ) HANGUL SYLLABLE GWAB
      "\uAD0E",  # (괎; 괎; 괎; 괎; 괎; ) HANGUL SYLLABLE GWABS
      "\uAD0F",  # (괏; 괏; 괏; 괏; 괏; ) HANGUL SYLLABLE GWAS
      "\uAD10",  # (괐; 괐; 괐; 괐; 괐; ) HANGUL SYLLABLE GWASS
      "\uAD11",  # (광; 광; 광; 광; 광; ) HANGUL SYLLABLE GWANG
      "\uAD12",  # (괒; 괒; 괒; 괒; 괒; ) HANGUL SYLLABLE GWAJ
      "\uAD13",  # (괓; 괓; 괓; 괓; 괓; ) HANGUL SYLLABLE GWAC
      "\uAD14",  # (괔; 괔; 괔; 괔; 괔; ) HANGUL SYLLABLE GWAK
      "\uAD15",  # (괕; 괕; 괕; 괕; 괕; ) HANGUL SYLLABLE GWAT
      "\uAD16",  # (괖; 괖; 괖; 괖; 괖; ) HANGUL SYLLABLE GWAP
      "\uAD17",  # (괗; 괗; 괗; 괗; 괗; ) HANGUL SYLLABLE GWAH
      "\uAD18",  # (괘; 괘; 괘; 괘; 괘; ) HANGUL SYLLABLE GWAE
      "\uAD19",  # (괙; 괙; 괙; 괙; 괙; ) HANGUL SYLLABLE GWAEG
      "\uAD1A",  # (괚; 괚; 괚; 괚; 괚; ) HANGUL SYLLABLE GWAEGG
      "\uAD1B",  # (괛; 괛; 괛; 괛; 괛; ) HANGUL SYLLABLE GWAEGS
      "\uAD1C",  # (괜; 괜; 괜; 괜; 괜; ) HANGUL SYLLABLE GWAEN
      "\uAD1D",  # (괝; 괝; 괝; 괝; 괝; ) HANGUL SYLLABLE GWAENJ
      "\uAD1E",  # (괞; 괞; 괞; 괞; 괞; ) HANGUL SYLLABLE GWAENH
      "\uAD1F",  # (괟; 괟; 괟; 괟; 괟; ) HANGUL SYLLABLE GWAED
      "\uAD20",  # (괠; 괠; 괠; 괠; 괠; ) HANGUL SYLLABLE GWAEL
      "\uAD21",  # (괡; 괡; 괡; 괡; 괡; ) HANGUL SYLLABLE GWAELG
      "\uAD22",  # (괢; 괢; 괢; 괢; 괢; ) HANGUL SYLLABLE GWAELM
      "\uAD23",  # (괣; 괣; 괣; 괣; 괣; ) HANGUL SYLLABLE GWAELB
      "\uAD24",  # (괤; 괤; 괤; 괤; 괤; ) HANGUL SYLLABLE GWAELS
      "\uAD25",  # (괥; 괥; 괥; 괥; 괥; ) HANGUL SYLLABLE GWAELT
      "\uAD26",  # (괦; 괦; 괦; 괦; 괦; ) HANGUL SYLLABLE GWAELP
      "\uAD27",  # (괧; 괧; 괧; 괧; 괧; ) HANGUL SYLLABLE GWAELH
      "\uAD28",  # (괨; 괨; 괨; 괨; 괨; ) HANGUL SYLLABLE GWAEM
      "\uAD29",  # (괩; 괩; 괩; 괩; 괩; ) HANGUL SYLLABLE GWAEB
      "\uAD2A",  # (괪; 괪; 괪; 괪; 괪; ) HANGUL SYLLABLE GWAEBS
      "\uAD2B",  # (괫; 괫; 괫; 괫; 괫; ) HANGUL SYLLABLE GWAES
      "\uAD2C",  # (괬; 괬; 괬; 괬; 괬; ) HANGUL SYLLABLE GWAESS
      "\uAD2D",  # (괭; 괭; 괭; 괭; 괭; ) HANGUL SYLLABLE GWAENG
      "\uAD2E",  # (괮; 괮; 괮; 괮; 괮; ) HANGUL SYLLABLE GWAEJ
      "\uAD2F",  # (괯; 괯; 괯; 괯; 괯; ) HANGUL SYLLABLE GWAEC
      "\uAD30",  # (괰; 괰; 괰; 괰; 괰; ) HANGUL SYLLABLE GWAEK
      "\uAD31",  # (괱; 괱; 괱; 괱; 괱; ) HANGUL SYLLABLE GWAET
      "\uAD32",  # (괲; 괲; 괲; 괲; 괲; ) HANGUL SYLLABLE GWAEP
      "\uAD33",  # (괳; 괳; 괳; 괳; 괳; ) HANGUL SYLLABLE GWAEH
      "\uAD34",  # (괴; 괴; 괴; 괴; 괴; ) HANGUL SYLLABLE GOE
      "\uAD35",  # (괵; 괵; 괵; 괵; 괵; ) HANGUL SYLLABLE GOEG
      "\uAD36",  # (괶; 괶; 괶; 괶; 괶; ) HANGUL SYLLABLE GOEGG
      "\uAD37",  # (괷; 괷; 괷; 괷; 괷; ) HANGUL SYLLABLE GOEGS
      "\uAD38",  # (괸; 괸; 괸; 괸; 괸; ) HANGUL SYLLABLE GOEN
      "\uAD39",  # (괹; 괹; 괹; 괹; 괹; ) HANGUL SYLLABLE GOENJ
      "\uAD3A",  # (괺; 괺; 괺; 괺; 괺; ) HANGUL SYLLABLE GOENH
      "\uAD3B",  # (괻; 괻; 괻; 괻; 괻; ) HANGUL SYLLABLE GOED
      "\uAD3C",  # (괼; 괼; 괼; 괼; 괼; ) HANGUL SYLLABLE GOEL
      "\uAD3D",  # (괽; 괽; 괽; 괽; 괽; ) HANGUL SYLLABLE GOELG
      "\uAD3E",  # (괾; 괾; 괾; 괾; 괾; ) HANGUL SYLLABLE GOELM
      "\uAD3F",  # (괿; 괿; 괿; 괿; 괿; ) HANGUL SYLLABLE GOELB
      "\uAD40",  # (굀; 굀; 굀; 굀; 굀; ) HANGUL SYLLABLE GOELS
      "\uAD41",  # (굁; 굁; 굁; 굁; 굁; ) HANGUL SYLLABLE GOELT
      "\uAD42",  # (굂; 굂; 굂; 굂; 굂; ) HANGUL SYLLABLE GOELP
      "\uAD43",  # (굃; 굃; 굃; 굃; 굃; ) HANGUL SYLLABLE GOELH
      "\uAD44",  # (굄; 굄; 굄; 굄; 굄; ) HANGUL SYLLABLE GOEM
      "\uAD45",  # (굅; 굅; 굅; 굅; 굅; ) HANGUL SYLLABLE GOEB
      "\uAD46",  # (굆; 굆; 굆; 굆; 굆; ) HANGUL SYLLABLE GOEBS
      "\uAD47",  # (굇; 굇; 굇; 굇; 굇; ) HANGUL SYLLABLE GOES
      "\uAD48",  # (굈; 굈; 굈; 굈; 굈; ) HANGUL SYLLABLE GOESS
      "\uAD49",  # (굉; 굉; 굉; 굉; 굉; ) HANGUL SYLLABLE GOENG
      "\uAD4A",  # (굊; 굊; 굊; 굊; 굊; ) HANGUL SYLLABLE GOEJ
      "\uAD4B",  # (굋; 굋; 굋; 굋; 굋; ) HANGUL SYLLABLE GOEC
      "\uAD4C",  # (굌; 굌; 굌; 굌; 굌; ) HANGUL SYLLABLE GOEK
      "\uAD4D",  # (굍; 굍; 굍; 굍; 굍; ) HANGUL SYLLABLE GOET
      "\uAD4E",  # (굎; 굎; 굎; 굎; 굎; ) HANGUL SYLLABLE GOEP
      "\uAD4F",  # (굏; 굏; 굏; 굏; 굏; ) HANGUL SYLLABLE GOEH
      "\uAD50",  # (교; 교; 교; 교; 교; ) HANGUL SYLLABLE GYO
      "\uAD51",  # (굑; 굑; 굑; 굑; 굑; ) HANGUL SYLLABLE GYOG
      "\uAD52",  # (굒; 굒; 굒; 굒; 굒; ) HANGUL SYLLABLE GYOGG
      "\uAD53",  # (굓; 굓; 굓; 굓; 굓; ) HANGUL SYLLABLE GYOGS
      "\uAD54",  # (굔; 굔; 굔; 굔; 굔; ) HANGUL SYLLABLE GYON
      "\uAD55",  # (굕; 굕; 굕; 굕; 굕; ) HANGUL SYLLABLE GYONJ
      "\uAD56",  # (굖; 굖; 굖; 굖; 굖; ) HANGUL SYLLABLE GYONH
      "\uAD57",  # (굗; 굗; 굗; 굗; 굗; ) HANGUL SYLLABLE GYOD
      "\uAD58",  # (굘; 굘; 굘; 굘; 굘; ) HANGUL SYLLABLE GYOL
      "\uAD59",  # (굙; 굙; 굙; 굙; 굙; ) HANGUL SYLLABLE GYOLG
      "\uAD5A",  # (굚; 굚; 굚; 굚; 굚; ) HANGUL SYLLABLE GYOLM
      "\uAD5B",  # (굛; 굛; 굛; 굛; 굛; ) HANGUL SYLLABLE GYOLB
      "\uAD5C",  # (굜; 굜; 굜; 굜; 굜; ) HANGUL SYLLABLE GYOLS
      "\uAD5D",  # (굝; 굝; 굝; 굝; 굝; ) HANGUL SYLLABLE GYOLT
      "\uAD5E",  # (굞; 굞; 굞; 굞; 굞; ) HANGUL SYLLABLE GYOLP
      "\uAD5F",  # (굟; 굟; 굟; 굟; 굟; ) HANGUL SYLLABLE GYOLH
      "\uAD60",  # (굠; 굠; 굠; 굠; 굠; ) HANGUL SYLLABLE GYOM
      "\uAD61",  # (굡; 굡; 굡; 굡; 굡; ) HANGUL SYLLABLE GYOB
      "\uAD62",  # (굢; 굢; 굢; 굢; 굢; ) HANGUL SYLLABLE GYOBS
      "\uAD63",  # (굣; 굣; 굣; 굣; 굣; ) HANGUL SYLLABLE GYOS
      "\uAD64",  # (굤; 굤; 굤; 굤; 굤; ) HANGUL SYLLABLE GYOSS
      "\uAD65",  # (굥; 굥; 굥; 굥; 굥; ) HANGUL SYLLABLE GYONG
      "\uAD66",  # (굦; 굦; 굦; 굦; 굦; ) HANGUL SYLLABLE GYOJ
      "\uAD67",  # (굧; 굧; 굧; 굧; 굧; ) HANGUL SYLLABLE GYOC
      "\uAD68",  # (굨; 굨; 굨; 굨; 굨; ) HANGUL SYLLABLE GYOK
      "\uAD69",  # (굩; 굩; 굩; 굩; 굩; ) HANGUL SYLLABLE GYOT
      "\uAD6A",  # (굪; 굪; 굪; 굪; 굪; ) HANGUL SYLLABLE GYOP
      "\uAD6B",  # (굫; 굫; 굫; 굫; 굫; ) HANGUL SYLLABLE GYOH
      "\uAD6C",  # (구; 구; 구; 구; 구; ) HANGUL SYLLABLE GU
      "\uAD6D",  # (국; 국; 국; 국; 국; ) HANGUL SYLLABLE GUG
      "\uAD6E",  # (굮; 굮; 굮; 굮; 굮; ) HANGUL SYLLABLE GUGG
      "\uAD6F",  # (굯; 굯; 굯; 굯; 굯; ) HANGUL SYLLABLE GUGS
      "\uAD70",  # (군; 군; 군; 군; 군; ) HANGUL SYLLABLE GUN
      "\uAD71",  # (굱; 굱; 굱; 굱; 굱; ) HANGUL SYLLABLE GUNJ
      "\uAD72",  # (굲; 굲; 굲; 굲; 굲; ) HANGUL SYLLABLE GUNH
      "\uAD73",  # (굳; 굳; 굳; 굳; 굳; ) HANGUL SYLLABLE GUD
      "\uAD74",  # (굴; 굴; 굴; 굴; 굴; ) HANGUL SYLLABLE GUL
      "\uAD75",  # (굵; 굵; 굵; 굵; 굵; ) HANGUL SYLLABLE GULG
      "\uAD76",  # (굶; 굶; 굶; 굶; 굶; ) HANGUL SYLLABLE GULM
      "\uAD77",  # (굷; 굷; 굷; 굷; 굷; ) HANGUL SYLLABLE GULB
      "\uAD78",  # (굸; 굸; 굸; 굸; 굸; ) HANGUL SYLLABLE GULS
      "\uAD79",  # (굹; 굹; 굹; 굹; 굹; ) HANGUL SYLLABLE GULT
      "\uAD7A",  # (굺; 굺; 굺; 굺; 굺; ) HANGUL SYLLABLE GULP
      "\uAD7B",  # (굻; 굻; 굻; 굻; 굻; ) HANGUL SYLLABLE GULH
      "\uAD7C",  # (굼; 굼; 굼; 굼; 굼; ) HANGUL SYLLABLE GUM
      "\uAD7D",  # (굽; 굽; 굽; 굽; 굽; ) HANGUL SYLLABLE GUB
      "\uAD7E",  # (굾; 굾; 굾; 굾; 굾; ) HANGUL SYLLABLE GUBS
      "\uAD7F",  # (굿; 굿; 굿; 굿; 굿; ) HANGUL SYLLABLE GUS
      "\uAD80",  # (궀; 궀; 궀; 궀; 궀; ) HANGUL SYLLABLE GUSS
      "\uAD81",  # (궁; 궁; 궁; 궁; 궁; ) HANGUL SYLLABLE GUNG
      "\uAD82",  # (궂; 궂; 궂; 궂; 궂; ) HANGUL SYLLABLE GUJ
      "\uAD83",  # (궃; 궃; 궃; 궃; 궃; ) HANGUL SYLLABLE GUC
      "\uAD84",  # (궄; 궄; 궄; 궄; 궄; ) HANGUL SYLLABLE GUK
      "\uAD85",  # (궅; 궅; 궅; 궅; 궅; ) HANGUL SYLLABLE GUT
      "\uAD86",  # (궆; 궆; 궆; 궆; 궆; ) HANGUL SYLLABLE GUP
      "\uAD87",  # (궇; 궇; 궇; 궇; 궇; ) HANGUL SYLLABLE GUH
      "\uAD88",  # (궈; 궈; 궈; 궈; 궈; ) HANGUL SYLLABLE GWEO
      "\uAD89",  # (궉; 궉; 궉; 궉; 궉; ) HANGUL SYLLABLE GWEOG
      "\uAD8A",  # (궊; 궊; 궊; 궊; 궊; ) HANGUL SYLLABLE GWEOGG
      "\uAD8B",  # (궋; 궋; 궋; 궋; 궋; ) HANGUL SYLLABLE GWEOGS
      "\uAD8C",  # (권; 권; 권; 권; 권; ) HANGUL SYLLABLE GWEON
      "\uAD8D",  # (궍; 궍; 궍; 궍; 궍; ) HANGUL SYLLABLE GWEONJ
      "\uAD8E",  # (궎; 궎; 궎; 궎; 궎; ) HANGUL SYLLABLE GWEONH
      "\uAD8F",  # (궏; 궏; 궏; 궏; 궏; ) HANGUL SYLLABLE GWEOD
      "\uAD90",  # (궐; 궐; 궐; 궐; 궐; ) HANGUL SYLLABLE GWEOL
      "\uAD91",  # (궑; 궑; 궑; 궑; 궑; ) HANGUL SYLLABLE GWEOLG
      "\uAD92",  # (궒; 궒; 궒; 궒; 궒; ) HANGUL SYLLABLE GWEOLM
      "\uAD93",  # (궓; 궓; 궓; 궓; 궓; ) HANGUL SYLLABLE GWEOLB
      "\uAD94",  # (궔; 궔; 궔; 궔; 궔; ) HANGUL SYLLABLE GWEOLS
      "\uAD95",  # (궕; 궕; 궕; 궕; 궕; ) HANGUL SYLLABLE GWEOLT
      "\uAD96",  # (궖; 궖; 궖; 궖; 궖; ) HANGUL SYLLABLE GWEOLP
      "\uAD97",  # (궗; 궗; 궗; 궗; 궗; ) HANGUL SYLLABLE GWEOLH
      "\uAD98",  # (궘; 궘; 궘; 궘; 궘; ) HANGUL SYLLABLE GWEOM
      "\uAD99",  # (궙; 궙; 궙; 궙; 궙; ) HANGUL SYLLABLE GWEOB
      "\uAD9A",  # (궚; 궚; 궚; 궚; 궚; ) HANGUL SYLLABLE GWEOBS
      "\uAD9B",  # (궛; 궛; 궛; 궛; 궛; ) HANGUL SYLLABLE GWEOS
      "\uAD9C",  # (궜; 궜; 궜; 궜; 궜; ) HANGUL SYLLABLE GWEOSS
      "\uAD9D",  # (궝; 궝; 궝; 궝; 궝; ) HANGUL SYLLABLE GWEONG
      "\uAD9E",  # (궞; 궞; 궞; 궞; 궞; ) HANGUL SYLLABLE GWEOJ
      "\uAD9F",  # (궟; 궟; 궟; 궟; 궟; ) HANGUL SYLLABLE GWEOC
      "\uADA0",  # (궠; 궠; 궠; 궠; 궠; ) HANGUL SYLLABLE GWEOK
      "\uADA1",  # (궡; 궡; 궡; 궡; 궡; ) HANGUL SYLLABLE GWEOT
      "\uADA2",  # (궢; 궢; 궢; 궢; 궢; ) HANGUL SYLLABLE GWEOP
      "\uADA3",  # (궣; 궣; 궣; 궣; 궣; ) HANGUL SYLLABLE GWEOH
      "\uADA4",  # (궤; 궤; 궤; 궤; 궤; ) HANGUL SYLLABLE GWE
      "\uADA5",  # (궥; 궥; 궥; 궥; 궥; ) HANGUL SYLLABLE GWEG
      "\uADA6",  # (궦; 궦; 궦; 궦; 궦; ) HANGUL SYLLABLE GWEGG
      "\uADA7",  # (궧; 궧; 궧; 궧; 궧; ) HANGUL SYLLABLE GWEGS
      "\uADA8",  # (궨; 궨; 궨; 궨; 궨; ) HANGUL SYLLABLE GWEN
      "\uADA9",  # (궩; 궩; 궩; 궩; 궩; ) HANGUL SYLLABLE GWENJ
      "\uADAA",  # (궪; 궪; 궪; 궪; 궪; ) HANGUL SYLLABLE GWENH
      "\uADAB",  # (궫; 궫; 궫; 궫; 궫; ) HANGUL SYLLABLE GWED
      "\uADAC",  # (궬; 궬; 궬; 궬; 궬; ) HANGUL SYLLABLE GWEL
      "\uADAD",  # (궭; 궭; 궭; 궭; 궭; ) HANGUL SYLLABLE GWELG
      "\uADAE",  # (궮; 궮; 궮; 궮; 궮; ) HANGUL SYLLABLE GWELM
      "\uADAF",  # (궯; 궯; 궯; 궯; 궯; ) HANGUL SYLLABLE GWELB
      "\uADB0",  # (궰; 궰; 궰; 궰; 궰; ) HANGUL SYLLABLE GWELS
      "\uADB1",  # (궱; 궱; 궱; 궱; 궱; ) HANGUL SYLLABLE GWELT
      "\uADB2",  # (궲; 궲; 궲; 궲; 궲; ) HANGUL SYLLABLE GWELP
      "\uADB3",  # (궳; 궳; 궳; 궳; 궳; ) HANGUL SYLLABLE GWELH
      "\uADB4",  # (궴; 궴; 궴; 궴; 궴; ) HANGUL SYLLABLE GWEM
      "\uADB5",  # (궵; 궵; 궵; 궵; 궵; ) HANGUL SYLLABLE GWEB
      "\uADB6",  # (궶; 궶; 궶; 궶; 궶; ) HANGUL SYLLABLE GWEBS
      "\uADB7",  # (궷; 궷; 궷; 궷; 궷; ) HANGUL SYLLABLE GWES
      "\uADB8",  # (궸; 궸; 궸; 궸; 궸; ) HANGUL SYLLABLE GWESS
      "\uADB9",  # (궹; 궹; 궹; 궹; 궹; ) HANGUL SYLLABLE GWENG
      "\uADBA",  # (궺; 궺; 궺; 궺; 궺; ) HANGUL SYLLABLE GWEJ
      "\uADBB",  # (궻; 궻; 궻; 궻; 궻; ) HANGUL SYLLABLE GWEC
      "\uADBC",  # (궼; 궼; 궼; 궼; 궼; ) HANGUL SYLLABLE GWEK
      "\uADBD",  # (궽; 궽; 궽; 궽; 궽; ) HANGUL SYLLABLE GWET
      "\uADBE",  # (궾; 궾; 궾; 궾; 궾; ) HANGUL SYLLABLE GWEP
      "\uADBF",  # (궿; 궿; 궿; 궿; 궿; ) HANGUL SYLLABLE GWEH
      "\uADC0",  # (귀; 귀; 귀; 귀; 귀; ) HANGUL SYLLABLE GWI
      "\uADC1",  # (귁; 귁; 귁; 귁; 귁; ) HANGUL SYLLABLE GWIG
      "\uADC2",  # (귂; 귂; 귂; 귂; 귂; ) HANGUL SYLLABLE GWIGG
      "\uADC3",  # (귃; 귃; 귃; 귃; 귃; ) HANGUL SYLLABLE GWIGS
      "\uADC4",  # (귄; 귄; 귄; 귄; 귄; ) HANGUL SYLLABLE GWIN
      "\uADC5",  # (귅; 귅; 귅; 귅; 귅; ) HANGUL SYLLABLE GWINJ
      "\uADC6",  # (귆; 귆; 귆; 귆; 귆; ) HANGUL SYLLABLE GWINH
      "\uADC7",  # (귇; 귇; 귇; 귇; 귇; ) HANGUL SYLLABLE GWID
      "\uADC8",  # (귈; 귈; 귈; 귈; 귈; ) HANGUL SYLLABLE GWIL
      "\uADC9",  # (귉; 귉; 귉; 귉; 귉; ) HANGUL SYLLABLE GWILG
      "\uADCA",  # (귊; 귊; 귊; 귊; 귊; ) HANGUL SYLLABLE GWILM
      "\uADCB",  # (귋; 귋; 귋; 귋; 귋; ) HANGUL SYLLABLE GWILB
      "\uADCC",  # (귌; 귌; 귌; 귌; 귌; ) HANGUL SYLLABLE GWILS
      "\uADCD",  # (귍; 귍; 귍; 귍; 귍; ) HANGUL SYLLABLE GWILT
      "\uADCE",  # (귎; 귎; 귎; 귎; 귎; ) HANGUL SYLLABLE GWILP
      "\uADCF",  # (귏; 귏; 귏; 귏; 귏; ) HANGUL SYLLABLE GWILH
      "\uADD0",  # (귐; 귐; 귐; 귐; 귐; ) HANGUL SYLLABLE GWIM
      "\uADD1",  # (귑; 귑; 귑; 귑; 귑; ) HANGUL SYLLABLE GWIB
      "\uADD2",  # (귒; 귒; 귒; 귒; 귒; ) HANGUL SYLLABLE GWIBS
      "\uADD3",  # (귓; 귓; 귓; 귓; 귓; ) HANGUL SYLLABLE GWIS
      "\uADD4",  # (귔; 귔; 귔; 귔; 귔; ) HANGUL SYLLABLE GWISS
      "\uADD5",  # (귕; 귕; 귕; 귕; 귕; ) HANGUL SYLLABLE GWING
      "\uADD6",  # (귖; 귖; 귖; 귖; 귖; ) HANGUL SYLLABLE GWIJ
      "\uADD7",  # (귗; 귗; 귗; 귗; 귗; ) HANGUL SYLLABLE GWIC
      "\uADD8",  # (귘; 귘; 귘; 귘; 귘; ) HANGUL SYLLABLE GWIK
      "\uADD9",  # (귙; 귙; 귙; 귙; 귙; ) HANGUL SYLLABLE GWIT
      "\uADDA",  # (귚; 귚; 귚; 귚; 귚; ) HANGUL SYLLABLE GWIP
      "\uADDB",  # (귛; 귛; 귛; 귛; 귛; ) HANGUL SYLLABLE GWIH
      "\uADDC",  # (규; 규; 규; 규; 규; ) HANGUL SYLLABLE GYU
      "\uADDD",  # (귝; 귝; 귝; 귝; 귝; ) HANGUL SYLLABLE GYUG
      "\uADDE",  # (귞; 귞; 귞; 귞; 귞; ) HANGUL SYLLABLE GYUGG
      "\uADDF",  # (귟; 귟; 귟; 귟; 귟; ) HANGUL SYLLABLE GYUGS
      "\uADE0",  # (균; 균; 균; 균; 균; ) HANGUL SYLLABLE GYUN
      "\uADE1",  # (귡; 귡; 귡; 귡; 귡; ) HANGUL SYLLABLE GYUNJ
      "\uADE2",  # (귢; 귢; 귢; 귢; 귢; ) HANGUL SYLLABLE GYUNH
      "\uADE3",  # (귣; 귣; 귣; 귣; 귣; ) HANGUL SYLLABLE GYUD
      "\uADE4",  # (귤; 귤; 귤; 귤; 귤; ) HANGUL SYLLABLE GYUL
      "\uADE5",  # (귥; 귥; 귥; 귥; 귥; ) HANGUL SYLLABLE GYULG
      "\uADE6",  # (귦; 귦; 귦; 귦; 귦; ) HANGUL SYLLABLE GYULM
      "\uADE7",  # (귧; 귧; 귧; 귧; 귧; ) HANGUL SYLLABLE GYULB
      "\uADE8",  # (귨; 귨; 귨; 귨; 귨; ) HANGUL SYLLABLE GYULS
      "\uADE9",  # (귩; 귩; 귩; 귩; 귩; ) HANGUL SYLLABLE GYULT
      "\uADEA",  # (귪; 귪; 귪; 귪; 귪; ) HANGUL SYLLABLE GYULP
      "\uADEB",  # (귫; 귫; 귫; 귫; 귫; ) HANGUL SYLLABLE GYULH
      "\uADEC",  # (귬; 귬; 귬; 귬; 귬; ) HANGUL SYLLABLE GYUM
      "\uADED",  # (귭; 귭; 귭; 귭; 귭; ) HANGUL SYLLABLE GYUB
      "\uADEE",  # (귮; 귮; 귮; 귮; 귮; ) HANGUL SYLLABLE GYUBS
      "\uADEF",  # (귯; 귯; 귯; 귯; 귯; ) HANGUL SYLLABLE GYUS
      "\uADF0",  # (귰; 귰; 귰; 귰; 귰; ) HANGUL SYLLABLE GYUSS
      "\uADF1",  # (귱; 귱; 귱; 귱; 귱; ) HANGUL SYLLABLE GYUNG
      "\uADF2",  # (귲; 귲; 귲; 귲; 귲; ) HANGUL SYLLABLE GYUJ
      "\uADF3",  # (귳; 귳; 귳; 귳; 귳; ) HANGUL SYLLABLE GYUC
      "\uADF4",  # (귴; 귴; 귴; 귴; 귴; ) HANGUL SYLLABLE GYUK
      "\uADF5",  # (귵; 귵; 귵; 귵; 귵; ) HANGUL SYLLABLE GYUT
      "\uADF6",  # (귶; 귶; 귶; 귶; 귶; ) HANGUL SYLLABLE GYUP
      "\uADF7",  # (귷; 귷; 귷; 귷; 귷; ) HANGUL SYLLABLE GYUH
      "\uADF8",  # (그; 그; 그; 그; 그; ) HANGUL SYLLABLE GEU
      "\uADF9",  # (극; 극; 극; 극; 극; ) HANGUL SYLLABLE GEUG
      "\uADFA",  # (귺; 귺; 귺; 귺; 귺; ) HANGUL SYLLABLE GEUGG
      "\uADFB",  # (귻; 귻; 귻; 귻; 귻; ) HANGUL SYLLABLE GEUGS
      "\uADFC",  # (근; 근; 근; 근; 근; ) HANGUL SYLLABLE GEUN
      "\uADFD",  # (귽; 귽; 귽; 귽; 귽; ) HANGUL SYLLABLE GEUNJ
      "\uADFE",  # (귾; 귾; 귾; 귾; 귾; ) HANGUL SYLLABLE GEUNH
      "\uADFF",  # (귿; 귿; 귿; 귿; 귿; ) HANGUL SYLLABLE GEUD
      "\uAE00",  # (글; 글; 글; 글; 글; ) HANGUL SYLLABLE GEUL
      "\uAE01",  # (긁; 긁; 긁; 긁; 긁; ) HANGUL SYLLABLE GEULG
      "\uAE02",  # (긂; 긂; 긂; 긂; 긂; ) HANGUL SYLLABLE GEULM
      "\uAE03",  # (긃; 긃; 긃; 긃; 긃; ) HANGUL SYLLABLE GEULB
      "\uAE04",  # (긄; 긄; 긄; 긄; 긄; ) HANGUL SYLLABLE GEULS
      "\uAE05",  # (긅; 긅; 긅; 긅; 긅; ) HANGUL SYLLABLE GEULT
      "\uAE06",  # (긆; 긆; 긆; 긆; 긆; ) HANGUL SYLLABLE GEULP
      "\uAE07",  # (긇; 긇; 긇; 긇; 긇; ) HANGUL SYLLABLE GEULH
      "\uAE08",  # (금; 금; 금; 금; 금; ) HANGUL SYLLABLE GEUM
      "\uAE09",  # (급; 급; 급; 급; 급; ) HANGUL SYLLABLE GEUB
      "\uAE0A",  # (긊; 긊; 긊; 긊; 긊; ) HANGUL SYLLABLE GEUBS
      "\uAE0B",  # (긋; 긋; 긋; 긋; 긋; ) HANGUL SYLLABLE GEUS
      "\uAE0C",  # (긌; 긌; 긌; 긌; 긌; ) HANGUL SYLLABLE GEUSS
      "\uAE0D",  # (긍; 긍; 긍; 긍; 긍; ) HANGUL SYLLABLE GEUNG
      "\uAE0E",  # (긎; 긎; 긎; 긎; 긎; ) HANGUL SYLLABLE GEUJ
      "\uAE0F",  # (긏; 긏; 긏; 긏; 긏; ) HANGUL SYLLABLE GEUC
      "\uAE10",  # (긐; 긐; 긐; 긐; 긐; ) HANGUL SYLLABLE GEUK
      "\uAE11",  # (긑; 긑; 긑; 긑; 긑; ) HANGUL SYLLABLE GEUT
      "\uAE12",  # (긒; 긒; 긒; 긒; 긒; ) HANGUL SYLLABLE GEUP
      "\uAE13",  # (긓; 긓; 긓; 긓; 긓; ) HANGUL SYLLABLE GEUH
      "\uAE14",  # (긔; 긔; 긔; 긔; 긔; ) HANGUL SYLLABLE GYI
      "\uAE15",  # (긕; 긕; 긕; 긕; 긕; ) HANGUL SYLLABLE GYIG
      "\uAE16",  # (긖; 긖; 긖; 긖; 긖; ) HANGUL SYLLABLE GYIGG
      "\uAE17",  # (긗; 긗; 긗; 긗; 긗; ) HANGUL SYLLABLE GYIGS
      "\uAE18",  # (긘; 긘; 긘; 긘; 긘; ) HANGUL SYLLABLE GYIN
      "\uAE19",  # (긙; 긙; 긙; 긙; 긙; ) HANGUL SYLLABLE GYINJ
      "\uAE1A",  # (긚; 긚; 긚; 긚; 긚; ) HANGUL SYLLABLE GYINH
      "\uAE1B",  # (긛; 긛; 긛; 긛; 긛; ) HANGUL SYLLABLE GYID
      "\uAE1C",  # (긜; 긜; 긜; 긜; 긜; ) HANGUL SYLLABLE GYIL
      "\uAE1D",  # (긝; 긝; 긝; 긝; 긝; ) HANGUL SYLLABLE GYILG
      "\uAE1E",  # (긞; 긞; 긞; 긞; 긞; ) HANGUL SYLLABLE GYILM
      "\uAE1F",  # (긟; 긟; 긟; 긟; 긟; ) HANGUL SYLLABLE GYILB
      "\uAE20",  # (긠; 긠; 긠; 긠; 긠; ) HANGUL SYLLABLE GYILS
      "\uAE21",  # (긡; 긡; 긡; 긡; 긡; ) HANGUL SYLLABLE GYILT
      "\uAE22",  # (긢; 긢; 긢; 긢; 긢; ) HANGUL SYLLABLE GYILP
      "\uAE23",  # (긣; 긣; 긣; 긣; 긣; ) HANGUL SYLLABLE GYILH
      "\uAE24",  # (긤; 긤; 긤; 긤; 긤; ) HANGUL SYLLABLE GYIM
      "\uAE25",  # (긥; 긥; 긥; 긥; 긥; ) HANGUL SYLLABLE GYIB
      "\uAE26",  # (긦; 긦; 긦; 긦; 긦; ) HANGUL SYLLABLE GYIBS
      "\uAE27",  # (긧; 긧; 긧; 긧; 긧; ) HANGUL SYLLABLE GYIS
      "\uAE28",  # (긨; 긨; 긨; 긨; 긨; ) HANGUL SYLLABLE GYISS
      "\uAE29",  # (긩; 긩; 긩; 긩; 긩; ) HANGUL SYLLABLE GYING
      "\uAE2A",  # (긪; 긪; 긪; 긪; 긪; ) HANGUL SYLLABLE GYIJ
      "\uAE2B",  # (긫; 긫; 긫; 긫; 긫; ) HANGUL SYLLABLE GYIC
      "\uAE2C",  # (긬; 긬; 긬; 긬; 긬; ) HANGUL SYLLABLE GYIK
      "\uAE2D",  # (긭; 긭; 긭; 긭; 긭; ) HANGUL SYLLABLE GYIT
      "\uAE2E",  # (긮; 긮; 긮; 긮; 긮; ) HANGUL SYLLABLE GYIP
      "\uAE2F",  # (긯; 긯; 긯; 긯; 긯; ) HANGUL SYLLABLE GYIH
      "\uAE30",  # (기; 기; 기; 기; 기; ) HANGUL SYLLABLE GI
      "\uAE31",  # (긱; 긱; 긱; 긱; 긱; ) HANGUL SYLLABLE GIG
      "\uAE32",  # (긲; 긲; 긲; 긲; 긲; ) HANGUL SYLLABLE GIGG
      "\uAE33",  # (긳; 긳; 긳; 긳; 긳; ) HANGUL SYLLABLE GIGS
      "\uAE34",  # (긴; 긴; 긴; 긴; 긴; ) HANGUL SYLLABLE GIN
      "\uAE35",  # (긵; 긵; 긵; 긵; 긵; ) HANGUL SYLLABLE GINJ
      "\uAE36",  # (긶; 긶; 긶; 긶; 긶; ) HANGUL SYLLABLE GINH
      "\uAE37",  # (긷; 긷; 긷; 긷; 긷; ) HANGUL SYLLABLE GID
      "\uAE38",  # (길; 길; 길; 길; 길; ) HANGUL SYLLABLE GIL
      "\uAE39",  # (긹; 긹; 긹; 긹; 긹; ) HANGUL SYLLABLE GILG
      "\uAE3A",  # (긺; 긺; 긺; 긺; 긺; ) HANGUL SYLLABLE GILM
      "\uAE3B",  # (긻; 긻; 긻; 긻; 긻; ) HANGUL SYLLABLE GILB
      "\uAE3C",  # (긼; 긼; 긼; 긼; 긼; ) HANGUL SYLLABLE GILS
      "\uAE3D",  # (긽; 긽; 긽; 긽; 긽; ) HANGUL SYLLABLE GILT
      "\uAE3E",  # (긾; 긾; 긾; 긾; 긾; ) HANGUL SYLLABLE GILP
      "\uAE3F",  # (긿; 긿; 긿; 긿; 긿; ) HANGUL SYLLABLE GILH
      "\uAE40",  # (김; 김; 김; 김; 김; ) HANGUL SYLLABLE GIM
      "\uAE41",  # (깁; 깁; 깁; 깁; 깁; ) HANGUL SYLLABLE GIB
      "\uAE42",  # (깂; 깂; 깂; 깂; 깂; ) HANGUL SYLLABLE GIBS
      "\uAE43",  # (깃; 깃; 깃; 깃; 깃; ) HANGUL SYLLABLE GIS
      "\uAE44",  # (깄; 깄; 깄; 깄; 깄; ) HANGUL SYLLABLE GISS
      "\uAE45",  # (깅; 깅; 깅; 깅; 깅; ) HANGUL SYLLABLE GING
      "\uAE46",  # (깆; 깆; 깆; 깆; 깆; ) HANGUL SYLLABLE GIJ
      "\uAE47",  # (깇; 깇; 깇; 깇; 깇; ) HANGUL SYLLABLE GIC
      "\uAE48",  # (깈; 깈; 깈; 깈; 깈; ) HANGUL SYLLABLE GIK
      "\uAE49",  # (깉; 깉; 깉; 깉; 깉; ) HANGUL SYLLABLE GIT
      "\uAE4A",  # (깊; 깊; 깊; 깊; 깊; ) HANGUL SYLLABLE GIP
      "\uAE4B",  # (깋; 깋; 깋; 깋; 깋; ) HANGUL SYLLABLE GIH
      "\uAE4C",  # (까; 까; 까; 까; 까; ) HANGUL SYLLABLE GGA
      "\uAE4D",  # (깍; 깍; 깍; 깍; 깍; ) HANGUL SYLLABLE GGAG
      "\uAE4E",  # (깎; 깎; 깎; 깎; 깎; ) HANGUL SYLLABLE GGAGG
      "\uAE4F",  # (깏; 깏; 깏; 깏; 깏; ) HANGUL SYLLABLE GGAGS
      "\uAE50",  # (깐; 깐; 깐; 깐; 깐; ) HANGUL SYLLABLE GGAN
      "\uAE51",  # (깑; 깑; 깑; 깑; 깑; ) HANGUL SYLLABLE GGANJ
      "\uAE52",  # (깒; 깒; 깒; 깒; 깒; ) HANGUL SYLLABLE GGANH
      "\uAE53",  # (깓; 깓; 깓; 깓; 깓; ) HANGUL SYLLABLE GGAD
      "\uAE54",  # (깔; 깔; 깔; 깔; 깔; ) HANGUL SYLLABLE GGAL
      "\uAE55",  # (깕; 깕; 깕; 깕; 깕; ) HANGUL SYLLABLE GGALG
      "\uAE56",  # (깖; 깖; 깖; 깖; 깖; ) HANGUL SYLLABLE GGALM
      "\uAE57",  # (깗; 깗; 깗; 깗; 깗; ) HANGUL SYLLABLE GGALB
      "\uAE58",  # (깘; 깘; 깘; 깘; 깘; ) HANGUL SYLLABLE GGALS
      "\uAE59",  # (깙; 깙; 깙; 깙; 깙; ) HANGUL SYLLABLE GGALT
      "\uAE5A",  # (깚; 깚; 깚; 깚; 깚; ) HANGUL SYLLABLE GGALP
      "\uAE5B",  # (깛; 깛; 깛; 깛; 깛; ) HANGUL SYLLABLE GGALH
      "\uAE5C",  # (깜; 깜; 깜; 깜; 깜; ) HANGUL SYLLABLE GGAM
      "\uAE5D",  # (깝; 깝; 깝; 깝; 깝; ) HANGUL SYLLABLE GGAB
      "\uAE5E",  # (깞; 깞; 깞; 깞; 깞; ) HANGUL SYLLABLE GGABS
      "\uAE5F",  # (깟; 깟; 깟; 깟; 깟; ) HANGUL SYLLABLE GGAS
      "\uAE60",  # (깠; 깠; 깠; 깠; 깠; ) HANGUL SYLLABLE GGASS
      "\uAE61",  # (깡; 깡; 깡; 깡; 깡; ) HANGUL SYLLABLE GGANG
      "\uAE62",  # (깢; 깢; 깢; 깢; 깢; ) HANGUL SYLLABLE GGAJ
      "\uAE63",  # (깣; 깣; 깣; 깣; 깣; ) HANGUL SYLLABLE GGAC
      "\uAE64",  # (깤; 깤; 깤; 깤; 깤; ) HANGUL SYLLABLE GGAK
      "\uAE65",  # (깥; 깥; 깥; 깥; 깥; ) HANGUL SYLLABLE GGAT
      "\uAE66",  # (깦; 깦; 깦; 깦; 깦; ) HANGUL SYLLABLE GGAP
      "\uAE67",  # (깧; 깧; 깧; 깧; 깧; ) HANGUL SYLLABLE GGAH
      "\uAE68",  # (깨; 깨; 깨; 깨; 깨; ) HANGUL SYLLABLE GGAE
      "\uAE69",  # (깩; 깩; 깩; 깩; 깩; ) HANGUL SYLLABLE GGAEG
      "\uAE6A",  # (깪; 깪; 깪; 깪; 깪; ) HANGUL SYLLABLE GGAEGG
      "\uAE6B",  # (깫; 깫; 깫; 깫; 깫; ) HANGUL SYLLABLE GGAEGS
      "\uAE6C",  # (깬; 깬; 깬; 깬; 깬; ) HANGUL SYLLABLE GGAEN
      "\uAE6D",  # (깭; 깭; 깭; 깭; 깭; ) HANGUL SYLLABLE GGAENJ
      "\uAE6E",  # (깮; 깮; 깮; 깮; 깮; ) HANGUL SYLLABLE GGAENH
      "\uAE6F",  # (깯; 깯; 깯; 깯; 깯; ) HANGUL SYLLABLE GGAED
      "\uAE70",  # (깰; 깰; 깰; 깰; 깰; ) HANGUL SYLLABLE GGAEL
      "\uAE71",  # (깱; 깱; 깱; 깱; 깱; ) HANGUL SYLLABLE GGAELG
      "\uAE72",  # (깲; 깲; 깲; 깲; 깲; ) HANGUL SYLLABLE GGAELM
      "\uAE73",  # (깳; 깳; 깳; 깳; 깳; ) HANGUL SYLLABLE GGAELB
      "\uAE74",  # (깴; 깴; 깴; 깴; 깴; ) HANGUL SYLLABLE GGAELS
      "\uAE75",  # (깵; 깵; 깵; 깵; 깵; ) HANGUL SYLLABLE GGAELT
      "\uAE76",  # (깶; 깶; 깶; 깶; 깶; ) HANGUL SYLLABLE GGAELP
      "\uAE77",  # (깷; 깷; 깷; 깷; 깷; ) HANGUL SYLLABLE GGAELH
      "\uAE78",  # (깸; 깸; 깸; 깸; 깸; ) HANGUL SYLLABLE GGAEM
      "\uAE79",  # (깹; 깹; 깹; 깹; 깹; ) HANGUL SYLLABLE GGAEB
      "\uAE7A",  # (깺; 깺; 깺; 깺; 깺; ) HANGUL SYLLABLE GGAEBS
      "\uAE7B",  # (깻; 깻; 깻; 깻; 깻; ) HANGUL SYLLABLE GGAES
      "\uAE7C",  # (깼; 깼; 깼; 깼; 깼; ) HANGUL SYLLABLE GGAESS
      "\uAE7D",  # (깽; 깽; 깽; 깽; 깽; ) HANGUL SYLLABLE GGAENG
      "\uAE7E",  # (깾; 깾; 깾; 깾; 깾; ) HANGUL SYLLABLE GGAEJ
      "\uAE7F",  # (깿; 깿; 깿; 깿; 깿; ) HANGUL SYLLABLE GGAEC
      "\uAE80",  # (꺀; 꺀; 꺀; 꺀; 꺀; ) HANGUL SYLLABLE GGAEK
      "\uAE81",  # (꺁; 꺁; 꺁; 꺁; 꺁; ) HANGUL SYLLABLE GGAET
      "\uAE82",  # (꺂; 꺂; 꺂; 꺂; 꺂; ) HANGUL SYLLABLE GGAEP
      "\uAE83",  # (꺃; 꺃; 꺃; 꺃; 꺃; ) HANGUL SYLLABLE GGAEH
      "\uAE84",  # (꺄; 꺄; 꺄; 꺄; 꺄; ) HANGUL SYLLABLE GGYA
      "\uAE85",  # (꺅; 꺅; 꺅; 꺅; 꺅; ) HANGUL SYLLABLE GGYAG
      "\uAE86",  # (꺆; 꺆; 꺆; 꺆; 꺆; ) HANGUL SYLLABLE GGYAGG
      "\uAE87",  # (꺇; 꺇; 꺇; 꺇; 꺇; ) HANGUL SYLLABLE GGYAGS
      "\uAE88",  # (꺈; 꺈; 꺈; 꺈; 꺈; ) HANGUL SYLLABLE GGYAN
      "\uAE89",  # (꺉; 꺉; 꺉; 꺉; 꺉; ) HANGUL SYLLABLE GGYANJ
      "\uAE8A",  # (꺊; 꺊; 꺊; 꺊; 꺊; ) HANGUL SYLLABLE GGYANH
      "\uAE8B",  # (꺋; 꺋; 꺋; 꺋; 꺋; ) HANGUL SYLLABLE GGYAD
      "\uAE8C",  # (꺌; 꺌; 꺌; 꺌; 꺌; ) HANGUL SYLLABLE GGYAL
      "\uAE8D",  # (꺍; 꺍; 꺍; 꺍; 꺍; ) HANGUL SYLLABLE GGYALG
      "\uAE8E",  # (꺎; 꺎; 꺎; 꺎; 꺎; ) HANGUL SYLLABLE GGYALM
      "\uAE8F",  # (꺏; 꺏; 꺏; 꺏; 꺏; ) HANGUL SYLLABLE GGYALB
      "\uAE90",  # (꺐; 꺐; 꺐; 꺐; 꺐; ) HANGUL SYLLABLE GGYALS
      "\uAE91",  # (꺑; 꺑; 꺑; 꺑; 꺑; ) HANGUL SYLLABLE GGYALT
      "\uAE92",  # (꺒; 꺒; 꺒; 꺒; 꺒; ) HANGUL SYLLABLE GGYALP
      "\uAE93",  # (꺓; 꺓; 꺓; 꺓; 꺓; ) HANGUL SYLLABLE GGYALH
      "\uAE94",  # (꺔; 꺔; 꺔; 꺔; 꺔; ) HANGUL SYLLABLE GGYAM
      "\uAE95",  # (꺕; 꺕; 꺕; 꺕; 꺕; ) HANGUL SYLLABLE GGYAB
      "\uAE96",  # (꺖; 꺖; 꺖; 꺖; 꺖; ) HANGUL SYLLABLE GGYABS
      "\uAE97",  # (꺗; 꺗; 꺗; 꺗; 꺗; ) HANGUL SYLLABLE GGYAS
      "\uAE98",  # (꺘; 꺘; 꺘; 꺘; 꺘; ) HANGUL SYLLABLE GGYASS
      "\uAE99",  # (꺙; 꺙; 꺙; 꺙; 꺙; ) HANGUL SYLLABLE GGYANG
      "\uAE9A",  # (꺚; 꺚; 꺚; 꺚; 꺚; ) HANGUL SYLLABLE GGYAJ
      "\uAE9B",  # (꺛; 꺛; 꺛; 꺛; 꺛; ) HANGUL SYLLABLE GGYAC
      "\uAE9C",  # (꺜; 꺜; 꺜; 꺜; 꺜; ) HANGUL SYLLABLE GGYAK
      "\uAE9D",  # (꺝; 꺝; 꺝; 꺝; 꺝; ) HANGUL SYLLABLE GGYAT
      "\uAE9E",  # (꺞; 꺞; 꺞; 꺞; 꺞; ) HANGUL SYLLABLE GGYAP
      "\uAE9F",  # (꺟; 꺟; 꺟; 꺟; 꺟; ) HANGUL SYLLABLE GGYAH
      "\uAEA0",  # (꺠; 꺠; 꺠; 꺠; 꺠; ) HANGUL SYLLABLE GGYAE
      "\uAEA1",  # (꺡; 꺡; 꺡; 꺡; 꺡; ) HANGUL SYLLABLE GGYAEG
      "\uAEA2",  # (꺢; 꺢; 꺢; 꺢; 꺢; ) HANGUL SYLLABLE GGYAEGG
      "\uAEA3",  # (꺣; 꺣; 꺣; 꺣; 꺣; ) HANGUL SYLLABLE GGYAEGS
      "\uAEA4",  # (꺤; 꺤; 꺤; 꺤; 꺤; ) HANGUL SYLLABLE GGYAEN
      "\uAEA5",  # (꺥; 꺥; 꺥; 꺥; 꺥; ) HANGUL SYLLABLE GGYAENJ
      "\uAEA6",  # (꺦; 꺦; 꺦; 꺦; 꺦; ) HANGUL SYLLABLE GGYAENH
      "\uAEA7",  # (꺧; 꺧; 꺧; 꺧; 꺧; ) HANGUL SYLLABLE GGYAED
      "\uAEA8",  # (꺨; 꺨; 꺨; 꺨; 꺨; ) HANGUL SYLLABLE GGYAEL
      "\uAEA9",  # (꺩; 꺩; 꺩; 꺩; 꺩; ) HANGUL SYLLABLE GGYAELG
      "\uAEAA",  # (꺪; 꺪; 꺪; 꺪; 꺪; ) HANGUL SYLLABLE GGYAELM
      "\uAEAB",  # (꺫; 꺫; 꺫; 꺫; 꺫; ) HANGUL SYLLABLE GGYAELB
      "\uAEAC",  # (꺬; 꺬; 꺬; 꺬; 꺬; ) HANGUL SYLLABLE GGYAELS
      "\uAEAD",  # (꺭; 꺭; 꺭; 꺭; 꺭; ) HANGUL SYLLABLE GGYAELT
      "\uAEAE",  # (꺮; 꺮; 꺮; 꺮; 꺮; ) HANGUL SYLLABLE GGYAELP
      "\uAEAF",  # (꺯; 꺯; 꺯; 꺯; 꺯; ) HANGUL SYLLABLE GGYAELH
      "\uAEB0",  # (꺰; 꺰; 꺰; 꺰; 꺰; ) HANGUL SYLLABLE GGYAEM
      "\uAEB1",  # (꺱; 꺱; 꺱; 꺱; 꺱; ) HANGUL SYLLABLE GGYAEB
      "\uAEB2",  # (꺲; 꺲; 꺲; 꺲; 꺲; ) HANGUL SYLLABLE GGYAEBS
      "\uAEB3",  # (꺳; 꺳; 꺳; 꺳; 꺳; ) HANGUL SYLLABLE GGYAES
      "\uAEB4",  # (꺴; 꺴; 꺴; 꺴; 꺴; ) HANGUL SYLLABLE GGYAESS
      "\uAEB5",  # (꺵; 꺵; 꺵; 꺵; 꺵; ) HANGUL SYLLABLE GGYAENG
      "\uAEB6",  # (꺶; 꺶; 꺶; 꺶; 꺶; ) HANGUL SYLLABLE GGYAEJ
      "\uAEB7",  # (꺷; 꺷; 꺷; 꺷; 꺷; ) HANGUL SYLLABLE GGYAEC
      "\uAEB8",  # (꺸; 꺸; 꺸; 꺸; 꺸; ) HANGUL SYLLABLE GGYAEK
      "\uAEB9",  # (꺹; 꺹; 꺹; 꺹; 꺹; ) HANGUL SYLLABLE GGYAET
      "\uAEBA",  # (꺺; 꺺; 꺺; 꺺; 꺺; ) HANGUL SYLLABLE GGYAEP
      "\uAEBB",  # (꺻; 꺻; 꺻; 꺻; 꺻; ) HANGUL SYLLABLE GGYAEH
      "\uAEBC",  # (꺼; 꺼; 꺼; 꺼; 꺼; ) HANGUL SYLLABLE GGEO
      "\uAEBD",  # (꺽; 꺽; 꺽; 꺽; 꺽; ) HANGUL SYLLABLE GGEOG
      "\uAEBE",  # (꺾; 꺾; 꺾; 꺾; 꺾; ) HANGUL SYLLABLE GGEOGG
      "\uAEBF",  # (꺿; 꺿; 꺿; 꺿; 꺿; ) HANGUL SYLLABLE GGEOGS
      "\uAEC0",  # (껀; 껀; 껀; 껀; 껀; ) HANGUL SYLLABLE GGEON
      "\uAEC1",  # (껁; 껁; 껁; 껁; 껁; ) HANGUL SYLLABLE GGEONJ
      "\uAEC2",  # (껂; 껂; 껂; 껂; 껂; ) HANGUL SYLLABLE GGEONH
      "\uAEC3",  # (껃; 껃; 껃; 껃; 껃; ) HANGUL SYLLABLE GGEOD
      "\uAEC4",  # (껄; 껄; 껄; 껄; 껄; ) HANGUL SYLLABLE GGEOL
      "\uAEC5",  # (껅; 껅; 껅; 껅; 껅; ) HANGUL SYLLABLE GGEOLG
      "\uAEC6",  # (껆; 껆; 껆; 껆; 껆; ) HANGUL SYLLABLE GGEOLM
      "\uAEC7",  # (껇; 껇; 껇; 껇; 껇; ) HANGUL SYLLABLE GGEOLB
      "\uAEC8",  # (껈; 껈; 껈; 껈; 껈; ) HANGUL SYLLABLE GGEOLS
      "\uAEC9",  # (껉; 껉; 껉; 껉; 껉; ) HANGUL SYLLABLE GGEOLT
      "\uAECA",  # (껊; 껊; 껊; 껊; 껊; ) HANGUL SYLLABLE GGEOLP
      "\uAECB",  # (껋; 껋; 껋; 껋; 껋; ) HANGUL SYLLABLE GGEOLH
      "\uAECC",  # (껌; 껌; 껌; 껌; 껌; ) HANGUL SYLLABLE GGEOM
      "\uAECD",  # (껍; 껍; 껍; 껍; 껍; ) HANGUL SYLLABLE GGEOB
      "\uAECE",  # (껎; 껎; 껎; 껎; 껎; ) HANGUL SYLLABLE GGEOBS
      "\uAECF",  # (껏; 껏; 껏; 껏; 껏; ) HANGUL SYLLABLE GGEOS
      "\uAED0",  # (껐; 껐; 껐; 껐; 껐; ) HANGUL SYLLABLE GGEOSS
      "\uAED1",  # (껑; 껑; 껑; 껑; 껑; ) HANGUL SYLLABLE GGEONG
      "\uAED2",  # (껒; 껒; 껒; 껒; 껒; ) HANGUL SYLLABLE GGEOJ
      "\uAED3",  # (껓; 껓; 껓; 껓; 껓; ) HANGUL SYLLABLE GGEOC
      "\uAED4",  # (껔; 껔; 껔; 껔; 껔; ) HANGUL SYLLABLE GGEOK
      "\uAED5",  # (껕; 껕; 껕; 껕; 껕; ) HANGUL SYLLABLE GGEOT
      "\uAED6",  # (껖; 껖; 껖; 껖; 껖; ) HANGUL SYLLABLE GGEOP
      "\uAED7",  # (껗; 껗; 껗; 껗; 껗; ) HANGUL SYLLABLE GGEOH
      "\uAED8",  # (께; 께; 께; 께; 께; ) HANGUL SYLLABLE GGE
      "\uAED9",  # (껙; 껙; 껙; 껙; 껙; ) HANGUL SYLLABLE GGEG
      "\uAEDA",  # (껚; 껚; 껚; 껚; 껚; ) HANGUL SYLLABLE GGEGG
      "\uAEDB",  # (껛; 껛; 껛; 껛; 껛; ) HANGUL SYLLABLE GGEGS
      "\uAEDC",  # (껜; 껜; 껜; 껜; 껜; ) HANGUL SYLLABLE GGEN
      "\uAEDD",  # (껝; 껝; 껝; 껝; 껝; ) HANGUL SYLLABLE GGENJ
      "\uAEDE",  # (껞; 껞; 껞; 껞; 껞; ) HANGUL SYLLABLE GGENH
      "\uAEDF",  # (껟; 껟; 껟; 껟; 껟; ) HANGUL SYLLABLE GGED
      "\uAEE0",  # (껠; 껠; 껠; 껠; 껠; ) HANGUL SYLLABLE GGEL
      "\uAEE1",  # (껡; 껡; 껡; 껡; 껡; ) HANGUL SYLLABLE GGELG
      "\uAEE2",  # (껢; 껢; 껢; 껢; 껢; ) HANGUL SYLLABLE GGELM
      "\uAEE3",  # (껣; 껣; 껣; 껣; 껣; ) HANGUL SYLLABLE GGELB
      "\uAEE4",  # (껤; 껤; 껤; 껤; 껤; ) HANGUL SYLLABLE GGELS
      "\uAEE5",  # (껥; 껥; 껥; 껥; 껥; ) HANGUL SYLLABLE GGELT
      "\uAEE6",  # (껦; 껦; 껦; 껦; 껦; ) HANGUL SYLLABLE GGELP
      "\uAEE7",  # (껧; 껧; 껧; 껧; 껧; ) HANGUL SYLLABLE GGELH
      "\uAEE8",  # (껨; 껨; 껨; 껨; 껨; ) HANGUL SYLLABLE GGEM
      "\uAEE9",  # (껩; 껩; 껩; 껩; 껩; ) HANGUL SYLLABLE GGEB
      "\uAEEA",  # (껪; 껪; 껪; 껪; 껪; ) HANGUL SYLLABLE GGEBS
      "\uAEEB",  # (껫; 껫; 껫; 껫; 껫; ) HANGUL SYLLABLE GGES
      "\uAEEC",  # (껬; 껬; 껬; 껬; 껬; ) HANGUL SYLLABLE GGESS
      "\uAEED",  # (껭; 껭; 껭; 껭; 껭; ) HANGUL SYLLABLE GGENG
      "\uAEEE",  # (껮; 껮; 껮; 껮; 껮; ) HANGUL SYLLABLE GGEJ
      "\uAEEF",  # (껯; 껯; 껯; 껯; 껯; ) HANGUL SYLLABLE GGEC
      "\uAEF0",  # (껰; 껰; 껰; 껰; 껰; ) HANGUL SYLLABLE GGEK
      "\uAEF1",  # (껱; 껱; 껱; 껱; 껱; ) HANGUL SYLLABLE GGET
      "\uAEF2",  # (껲; 껲; 껲; 껲; 껲; ) HANGUL SYLLABLE GGEP
      "\uAEF3",  # (껳; 껳; 껳; 껳; 껳; ) HANGUL SYLLABLE GGEH
      "\uAEF4",  # (껴; 껴; 껴; 껴; 껴; ) HANGUL SYLLABLE GGYEO
      "\uAEF5",  # (껵; 껵; 껵; 껵; 껵; ) HANGUL SYLLABLE GGYEOG
      "\uAEF6",  # (껶; 껶; 껶; 껶; 껶; ) HANGUL SYLLABLE GGYEOGG
      "\uAEF7",  # (껷; 껷; 껷; 껷; 껷; ) HANGUL SYLLABLE GGYEOGS
      "\uAEF8",  # (껸; 껸; 껸; 껸; 껸; ) HANGUL SYLLABLE GGYEON
      "\uAEF9",  # (껹; 껹; 껹; 껹; 껹; ) HANGUL SYLLABLE GGYEONJ
      "\uAEFA",  # (껺; 껺; 껺; 껺; 껺; ) HANGUL SYLLABLE GGYEONH
      "\uAEFB",  # (껻; 껻; 껻; 껻; 껻; ) HANGUL SYLLABLE GGYEOD
      "\uAEFC",  # (껼; 껼; 껼; 껼; 껼; ) HANGUL SYLLABLE GGYEOL
      "\uAEFD",  # (껽; 껽; 껽; 껽; 껽; ) HANGUL SYLLABLE GGYEOLG
      "\uAEFE",  # (껾; 껾; 껾; 껾; 껾; ) HANGUL SYLLABLE GGYEOLM
      "\uAEFF",  # (껿; 껿; 껿; 껿; 껿; ) HANGUL SYLLABLE GGYEOLB
      "\uAF00",  # (꼀; 꼀; 꼀; 꼀; 꼀; ) HANGUL SYLLABLE GGYEOLS
      "\uAF01",  # (꼁; 꼁; 꼁; 꼁; 꼁; ) HANGUL SYLLABLE GGYEOLT
      "\uAF02",  # (꼂; 꼂; 꼂; 꼂; 꼂; ) HANGUL SYLLABLE GGYEOLP
      "\uAF03",  # (꼃; 꼃; 꼃; 꼃; 꼃; ) HANGUL SYLLABLE GGYEOLH
      "\uAF04",  # (꼄; 꼄; 꼄; 꼄; 꼄; ) HANGUL SYLLABLE GGYEOM
      "\uAF05",  # (꼅; 꼅; 꼅; 꼅; 꼅; ) HANGUL SYLLABLE GGYEOB
      "\uAF06",  # (꼆; 꼆; 꼆; 꼆; 꼆; ) HANGUL SYLLABLE GGYEOBS
      "\uAF07",  # (꼇; 꼇; 꼇; 꼇; 꼇; ) HANGUL SYLLABLE GGYEOS
      "\uAF08",  # (꼈; 꼈; 꼈; 꼈; 꼈; ) HANGUL SYLLABLE GGYEOSS
      "\uAF09",  # (꼉; 꼉; 꼉; 꼉; 꼉; ) HANGUL SYLLABLE GGYEONG
      "\uAF0A",  # (꼊; 꼊; 꼊; 꼊; 꼊; ) HANGUL SYLLABLE GGYEOJ
      "\uAF0B",  # (꼋; 꼋; 꼋; 꼋; 꼋; ) HANGUL SYLLABLE GGYEOC
      "\uAF0C",  # (꼌; 꼌; 꼌; 꼌; 꼌; ) HANGUL SYLLABLE GGYEOK
      "\uAF0D",  # (꼍; 꼍; 꼍; 꼍; 꼍; ) HANGUL SYLLABLE GGYEOT
      "\uAF0E",  # (꼎; 꼎; 꼎; 꼎; 꼎; ) HANGUL SYLLABLE GGYEOP
      "\uAF0F",  # (꼏; 꼏; 꼏; 꼏; 꼏; ) HANGUL SYLLABLE GGYEOH
      "\uAF10",  # (꼐; 꼐; 꼐; 꼐; 꼐; ) HANGUL SYLLABLE GGYE
      "\uAF11",  # (꼑; 꼑; 꼑; 꼑; 꼑; ) HANGUL SYLLABLE GGYEG
      "\uAF12",  # (꼒; 꼒; 꼒; 꼒; 꼒; ) HANGUL SYLLABLE GGYEGG
      "\uAF13",  # (꼓; 꼓; 꼓; 꼓; 꼓; ) HANGUL SYLLABLE GGYEGS
      "\uAF14",  # (꼔; 꼔; 꼔; 꼔; 꼔; ) HANGUL SYLLABLE GGYEN
      "\uAF15",  # (꼕; 꼕; 꼕; 꼕; 꼕; ) HANGUL SYLLABLE GGYENJ
      "\uAF16",  # (꼖; 꼖; 꼖; 꼖; 꼖; ) HANGUL SYLLABLE GGYENH
      "\uAF17",  # (꼗; 꼗; 꼗; 꼗; 꼗; ) HANGUL SYLLABLE GGYED
      "\uAF18",  # (꼘; 꼘; 꼘; 꼘; 꼘; ) HANGUL SYLLABLE GGYEL
      "\uAF19",  # (꼙; 꼙; 꼙; 꼙; 꼙; ) HANGUL SYLLABLE GGYELG
      "\uAF1A",  # (꼚; 꼚; 꼚; 꼚; 꼚; ) HANGUL SYLLABLE GGYELM
      "\uAF1B",  # (꼛; 꼛; 꼛; 꼛; 꼛; ) HANGUL SYLLABLE GGYELB
      "\uAF1C",  # (꼜; 꼜; 꼜; 꼜; 꼜; ) HANGUL SYLLABLE GGYELS
      "\uAF1D",  # (꼝; 꼝; 꼝; 꼝; 꼝; ) HANGUL SYLLABLE GGYELT
      "\uAF1E",  # (꼞; 꼞; 꼞; 꼞; 꼞; ) HANGUL SYLLABLE GGYELP
      "\uAF1F",  # (꼟; 꼟; 꼟; 꼟; 꼟; ) HANGUL SYLLABLE GGYELH
      "\uAF20",  # (꼠; 꼠; 꼠; 꼠; 꼠; ) HANGUL SYLLABLE GGYEM
      "\uAF21",  # (꼡; 꼡; 꼡; 꼡; 꼡; ) HANGUL SYLLABLE GGYEB
      "\uAF22",  # (꼢; 꼢; 꼢; 꼢; 꼢; ) HANGUL SYLLABLE GGYEBS
      "\uAF23",  # (꼣; 꼣; 꼣; 꼣; 꼣; ) HANGUL SYLLABLE GGYES
      "\uAF24",  # (꼤; 꼤; 꼤; 꼤; 꼤; ) HANGUL SYLLABLE GGYESS
      "\uAF25",  # (꼥; 꼥; 꼥; 꼥; 꼥; ) HANGUL SYLLABLE GGYENG
      "\uAF26",  # (꼦; 꼦; 꼦; 꼦; 꼦; ) HANGUL SYLLABLE GGYEJ
      "\uAF27",  # (꼧; 꼧; 꼧; 꼧; 꼧; ) HANGUL SYLLABLE GGYEC
      "\uAF28",  # (꼨; 꼨; 꼨; 꼨; 꼨; ) HANGUL SYLLABLE GGYEK
      "\uAF29",  # (꼩; 꼩; 꼩; 꼩; 꼩; ) HANGUL SYLLABLE GGYET
      "\uAF2A",  # (꼪; 꼪; 꼪; 꼪; 꼪; ) HANGUL SYLLABLE GGYEP
      "\uAF2B",  # (꼫; 꼫; 꼫; 꼫; 꼫; ) HANGUL SYLLABLE GGYEH
      "\uAF2C",  # (꼬; 꼬; 꼬; 꼬; 꼬; ) HANGUL SYLLABLE GGO
      "\uAF2D",  # (꼭; 꼭; 꼭; 꼭; 꼭; ) HANGUL SYLLABLE GGOG
      "\uAF2E",  # (꼮; 꼮; 꼮; 꼮; 꼮; ) HANGUL SYLLABLE GGOGG
      "\uAF2F",  # (꼯; 꼯; 꼯; 꼯; 꼯; ) HANGUL SYLLABLE GGOGS
      "\uAF30",  # (꼰; 꼰; 꼰; 꼰; 꼰; ) HANGUL SYLLABLE GGON
      "\uAF31",  # (꼱; 꼱; 꼱; 꼱; 꼱; ) HANGUL SYLLABLE GGONJ
      "\uAF32",  # (꼲; 꼲; 꼲; 꼲; 꼲; ) HANGUL SYLLABLE GGONH
      "\uAF33",  # (꼳; 꼳; 꼳; 꼳; 꼳; ) HANGUL SYLLABLE GGOD
      "\uAF34",  # (꼴; 꼴; 꼴; 꼴; 꼴; ) HANGUL SYLLABLE GGOL
      "\uAF35",  # (꼵; 꼵; 꼵; 꼵; 꼵; ) HANGUL SYLLABLE GGOLG
      "\uAF36",  # (꼶; 꼶; 꼶; 꼶; 꼶; ) HANGUL SYLLABLE GGOLM
      "\uAF37",  # (꼷; 꼷; 꼷; 꼷; 꼷; ) HANGUL SYLLABLE GGOLB
      "\uAF38",  # (꼸; 꼸; 꼸; 꼸; 꼸; ) HANGUL SYLLABLE GGOLS
      "\uAF39",  # (꼹; 꼹; 꼹; 꼹; 꼹; ) HANGUL SYLLABLE GGOLT
      "\uAF3A",  # (꼺; 꼺; 꼺; 꼺; 꼺; ) HANGUL SYLLABLE GGOLP
      "\uAF3B",  # (꼻; 꼻; 꼻; 꼻; 꼻; ) HANGUL SYLLABLE GGOLH
      "\uAF3C",  # (꼼; 꼼; 꼼; 꼼; 꼼; ) HANGUL SYLLABLE GGOM
      "\uAF3D",  # (꼽; 꼽; 꼽; 꼽; 꼽; ) HANGUL SYLLABLE GGOB
      "\uAF3E",  # (꼾; 꼾; 꼾; 꼾; 꼾; ) HANGUL SYLLABLE GGOBS
      "\uAF3F",  # (꼿; 꼿; 꼿; 꼿; 꼿; ) HANGUL SYLLABLE GGOS
      "\uAF40",  # (꽀; 꽀; 꽀; 꽀; 꽀; ) HANGUL SYLLABLE GGOSS
      "\uAF41",  # (꽁; 꽁; 꽁; 꽁; 꽁; ) HANGUL SYLLABLE GGONG
      "\uAF42",  # (꽂; 꽂; 꽂; 꽂; 꽂; ) HANGUL SYLLABLE GGOJ
      "\uAF43",  # (꽃; 꽃; 꽃; 꽃; 꽃; ) HANGUL SYLLABLE GGOC
      "\uAF44",  # (꽄; 꽄; 꽄; 꽄; 꽄; ) HANGUL SYLLABLE GGOK
      "\uAF45",  # (꽅; 꽅; 꽅; 꽅; 꽅; ) HANGUL SYLLABLE GGOT
      "\uAF46",  # (꽆; 꽆; 꽆; 꽆; 꽆; ) HANGUL SYLLABLE GGOP
      "\uAF47",  # (꽇; 꽇; 꽇; 꽇; 꽇; ) HANGUL SYLLABLE GGOH
      "\uAF48",  # (꽈; 꽈; 꽈; 꽈; 꽈; ) HANGUL SYLLABLE GGWA
      "\uAF49",  # (꽉; 꽉; 꽉; 꽉; 꽉; ) HANGUL SYLLABLE GGWAG
      "\uAF4A",  # (꽊; 꽊; 꽊; 꽊; 꽊; ) HANGUL SYLLABLE GGWAGG
      "\uAF4B",  # (꽋; 꽋; 꽋; 꽋; 꽋; ) HANGUL SYLLABLE GGWAGS
      "\uAF4C",  # (꽌; 꽌; 꽌; 꽌; 꽌; ) HANGUL SYLLABLE GGWAN
      "\uAF4D",  # (꽍; 꽍; 꽍; 꽍; 꽍; ) HANGUL SYLLABLE GGWANJ
      "\uAF4E",  # (꽎; 꽎; 꽎; 꽎; 꽎; ) HANGUL SYLLABLE GGWANH
      "\uAF4F",  # (꽏; 꽏; 꽏; 꽏; 꽏; ) HANGUL SYLLABLE GGWAD
      "\uAF50",  # (꽐; 꽐; 꽐; 꽐; 꽐; ) HANGUL SYLLABLE GGWAL
      "\uAF51",  # (꽑; 꽑; 꽑; 꽑; 꽑; ) HANGUL SYLLABLE GGWALG
      "\uAF52",  # (꽒; 꽒; 꽒; 꽒; 꽒; ) HANGUL SYLLABLE GGWALM
      "\uAF53",  # (꽓; 꽓; 꽓; 꽓; 꽓; ) HANGUL SYLLABLE GGWALB
      "\uAF54",  # (꽔; 꽔; 꽔; 꽔; 꽔; ) HANGUL SYLLABLE GGWALS
      "\uAF55",  # (꽕; 꽕; 꽕; 꽕; 꽕; ) HANGUL SYLLABLE GGWALT
      "\uAF56",  # (꽖; 꽖; 꽖; 꽖; 꽖; ) HANGUL SYLLABLE GGWALP
      "\uAF57",  # (꽗; 꽗; 꽗; 꽗; 꽗; ) HANGUL SYLLABLE GGWALH
      "\uAF58",  # (꽘; 꽘; 꽘; 꽘; 꽘; ) HANGUL SYLLABLE GGWAM
      "\uAF59",  # (꽙; 꽙; 꽙; 꽙; 꽙; ) HANGUL SYLLABLE GGWAB
      "\uAF5A",  # (꽚; 꽚; 꽚; 꽚; 꽚; ) HANGUL SYLLABLE GGWABS
      "\uAF5B",  # (꽛; 꽛; 꽛; 꽛; 꽛; ) HANGUL SYLLABLE GGWAS
      "\uAF5C",  # (꽜; 꽜; 꽜; 꽜; 꽜; ) HANGUL SYLLABLE GGWASS
      "\uAF5D",  # (꽝; 꽝; 꽝; 꽝; 꽝; ) HANGUL SYLLABLE GGWANG
      "\uAF5E",  # (꽞; 꽞; 꽞; 꽞; 꽞; ) HANGUL SYLLABLE GGWAJ
      "\uAF5F",  # (꽟; 꽟; 꽟; 꽟; 꽟; ) HANGUL SYLLABLE GGWAC
      "\uAF60",  # (꽠; 꽠; 꽠; 꽠; 꽠; ) HANGUL SYLLABLE GGWAK
      "\uAF61",  # (꽡; 꽡; 꽡; 꽡; 꽡; ) HANGUL SYLLABLE GGWAT
      "\uAF62",  # (꽢; 꽢; 꽢; 꽢; 꽢; ) HANGUL SYLLABLE GGWAP
      "\uAF63",  # (꽣; 꽣; 꽣; 꽣; 꽣; ) HANGUL SYLLABLE GGWAH
      "\uAF64",  # (꽤; 꽤; 꽤; 꽤; 꽤; ) HANGUL SYLLABLE GGWAE
      "\uAF65",  # (꽥; 꽥; 꽥; 꽥; 꽥; ) HANGUL SYLLABLE GGWAEG
      "\uAF66",  # (꽦; 꽦; 꽦; 꽦; 꽦; ) HANGUL SYLLABLE GGWAEGG
      "\uAF67",  # (꽧; 꽧; 꽧; 꽧; 꽧; ) HANGUL SYLLABLE GGWAEGS
      "\uAF68",  # (꽨; 꽨; 꽨; 꽨; 꽨; ) HANGUL SYLLABLE GGWAEN
      "\uAF69",  # (꽩; 꽩; 꽩; 꽩; 꽩; ) HANGUL SYLLABLE GGWAENJ
      "\uAF6A",  # (꽪; 꽪; 꽪; 꽪; 꽪; ) HANGUL SYLLABLE GGWAENH
      "\uAF6B",  # (꽫; 꽫; 꽫; 꽫; 꽫; ) HANGUL SYLLABLE GGWAED
      "\uAF6C",  # (꽬; 꽬; 꽬; 꽬; 꽬; ) HANGUL SYLLABLE GGWAEL
      "\uAF6D",  # (꽭; 꽭; 꽭; 꽭; 꽭; ) HANGUL SYLLABLE GGWAELG
      "\uAF6E",  # (꽮; 꽮; 꽮; 꽮; 꽮; ) HANGUL SYLLABLE GGWAELM
      "\uAF6F",  # (꽯; 꽯; 꽯; 꽯; 꽯; ) HANGUL SYLLABLE GGWAELB
      "\uAF70",  # (꽰; 꽰; 꽰; 꽰; 꽰; ) HANGUL SYLLABLE GGWAELS
      "\uAF71",  # (꽱; 꽱; 꽱; 꽱; 꽱; ) HANGUL SYLLABLE GGWAELT
      "\uAF72",  # (꽲; 꽲; 꽲; 꽲; 꽲; ) HANGUL SYLLABLE GGWAELP
      "\uAF73",  # (꽳; 꽳; 꽳; 꽳; 꽳; ) HANGUL SYLLABLE GGWAELH
      "\uAF74",  # (꽴; 꽴; 꽴; 꽴; 꽴; ) HANGUL SYLLABLE GGWAEM
      "\uAF75",  # (꽵; 꽵; 꽵; 꽵; 꽵; ) HANGUL SYLLABLE GGWAEB
      "\uAF76",  # (꽶; 꽶; 꽶; 꽶; 꽶; ) HANGUL SYLLABLE GGWAEBS
      "\uAF77",  # (꽷; 꽷; 꽷; 꽷; 꽷; ) HANGUL SYLLABLE GGWAES
      "\uAF78",  # (꽸; 꽸; 꽸; 꽸; 꽸; ) HANGUL SYLLABLE GGWAESS
      "\uAF79",  # (꽹; 꽹; 꽹; 꽹; 꽹; ) HANGUL SYLLABLE GGWAENG
      "\uAF7A",  # (꽺; 꽺; 꽺; 꽺; 꽺; ) HANGUL SYLLABLE GGWAEJ
      "\uAF7B",  # (꽻; 꽻; 꽻; 꽻; 꽻; ) HANGUL SYLLABLE GGWAEC
      "\uAF7C",  # (꽼; 꽼; 꽼; 꽼; 꽼; ) HANGUL SYLLABLE GGWAEK
      "\uAF7D",  # (꽽; 꽽; 꽽; 꽽; 꽽; ) HANGUL SYLLABLE GGWAET
      "\uAF7E",  # (꽾; 꽾; 꽾; 꽾; 꽾; ) HANGUL SYLLABLE GGWAEP
      "\uAF7F",  # (꽿; 꽿; 꽿; 꽿; 꽿; ) HANGUL SYLLABLE GGWAEH
      "\uAF80",  # (꾀; 꾀; 꾀; 꾀; 꾀; ) HANGUL SYLLABLE GGOE
      "\uAF81",  # (꾁; 꾁; 꾁; 꾁; 꾁; ) HANGUL SYLLABLE GGOEG
      "\uAF82",  # (꾂; 꾂; 꾂; 꾂; 꾂; ) HANGUL SYLLABLE GGOEGG
      "\uAF83",  # (꾃; 꾃; 꾃; 꾃; 꾃; ) HANGUL SYLLABLE GGOEGS
      "\uAF84",  # (꾄; 꾄; 꾄; 꾄; 꾄; ) HANGUL SYLLABLE GGOEN
      "\uAF85",  # (꾅; 꾅; 꾅; 꾅; 꾅; ) HANGUL SYLLABLE GGOENJ
      "\uAF86",  # (꾆; 꾆; 꾆; 꾆; 꾆; ) HANGUL SYLLABLE GGOENH
      "\uAF87",  # (꾇; 꾇; 꾇; 꾇; 꾇; ) HANGUL SYLLABLE GGOED
      "\uAF88",  # (꾈; 꾈; 꾈; 꾈; 꾈; ) HANGUL SYLLABLE GGOEL
      "\uAF89",  # (꾉; 꾉; 꾉; 꾉; 꾉; ) HANGUL SYLLABLE GGOELG
      "\uAF8A",  # (꾊; 꾊; 꾊; 꾊; 꾊; ) HANGUL SYLLABLE GGOELM
      "\uAF8B",  # (꾋; 꾋; 꾋; 꾋; 꾋; ) HANGUL SYLLABLE GGOELB
      "\uAF8C",  # (꾌; 꾌; 꾌; 꾌; 꾌; ) HANGUL SYLLABLE GGOELS
      "\uAF8D",  # (꾍; 꾍; 꾍; 꾍; 꾍; ) HANGUL SYLLABLE GGOELT
      "\uAF8E",  # (꾎; 꾎; 꾎; 꾎; 꾎; ) HANGUL SYLLABLE GGOELP
      "\uAF8F",  # (꾏; 꾏; 꾏; 꾏; 꾏; ) HANGUL SYLLABLE GGOELH
      "\uAF90",  # (꾐; 꾐; 꾐; 꾐; 꾐; ) HANGUL SYLLABLE GGOEM
      "\uAF91",  # (꾑; 꾑; 꾑; 꾑; 꾑; ) HANGUL SYLLABLE GGOEB
      "\uAF92",  # (꾒; 꾒; 꾒; 꾒; 꾒; ) HANGUL SYLLABLE GGOEBS
      "\uAF93",  # (꾓; 꾓; 꾓; 꾓; 꾓; ) HANGUL SYLLABLE GGOES
      "\uAF94",  # (꾔; 꾔; 꾔; 꾔; 꾔; ) HANGUL SYLLABLE GGOESS
      "\uAF95",  # (꾕; 꾕; 꾕; 꾕; 꾕; ) HANGUL SYLLABLE GGOENG
      "\uAF96",  # (꾖; 꾖; 꾖; 꾖; 꾖; ) HANGUL SYLLABLE GGOEJ
      "\uAF97",  # (꾗; 꾗; 꾗; 꾗; 꾗; ) HANGUL SYLLABLE GGOEC
      "\uAF98",  # (꾘; 꾘; 꾘; 꾘; 꾘; ) HANGUL SYLLABLE GGOEK
      "\uAF99",  # (꾙; 꾙; 꾙; 꾙; 꾙; ) HANGUL SYLLABLE GGOET
      "\uAF9A",  # (꾚; 꾚; 꾚; 꾚; 꾚; ) HANGUL SYLLABLE GGOEP
      "\uAF9B",  # (꾛; 꾛; 꾛; 꾛; 꾛; ) HANGUL SYLLABLE GGOEH
      "\uAF9C",  # (꾜; 꾜; 꾜; 꾜; 꾜; ) HANGUL SYLLABLE GGYO
      "\uAF9D",  # (꾝; 꾝; 꾝; 꾝; 꾝; ) HANGUL SYLLABLE GGYOG
      "\uAF9E",  # (꾞; 꾞; 꾞; 꾞; 꾞; ) HANGUL SYLLABLE GGYOGG
      "\uAF9F",  # (꾟; 꾟; 꾟; 꾟; 꾟; ) HANGUL SYLLABLE GGYOGS
      "\uAFA0",  # (꾠; 꾠; 꾠; 꾠; 꾠; ) HANGUL SYLLABLE GGYON
      "\uAFA1",  # (꾡; 꾡; 꾡; 꾡; 꾡; ) HANGUL SYLLABLE GGYONJ
      "\uAFA2",  # (꾢; 꾢; 꾢; 꾢; 꾢; ) HANGUL SYLLABLE GGYONH
      "\uAFA3",  # (꾣; 꾣; 꾣; 꾣; 꾣; ) HANGUL SYLLABLE GGYOD
      "\uAFA4",  # (꾤; 꾤; 꾤; 꾤; 꾤; ) HANGUL SYLLABLE GGYOL
      "\uAFA5",  # (꾥; 꾥; 꾥; 꾥; 꾥; ) HANGUL SYLLABLE GGYOLG
      "\uAFA6",  # (꾦; 꾦; 꾦; 꾦; 꾦; ) HANGUL SYLLABLE GGYOLM
      "\uAFA7",  # (꾧; 꾧; 꾧; 꾧; 꾧; ) HANGUL SYLLABLE GGYOLB
      "\uAFA8",  # (꾨; 꾨; 꾨; 꾨; 꾨; ) HANGUL SYLLABLE GGYOLS
      "\uAFA9",  # (꾩; 꾩; 꾩; 꾩; 꾩; ) HANGUL SYLLABLE GGYOLT
      "\uAFAA",  # (꾪; 꾪; 꾪; 꾪; 꾪; ) HANGUL SYLLABLE GGYOLP
      "\uAFAB",  # (꾫; 꾫; 꾫; 꾫; 꾫; ) HANGUL SYLLABLE GGYOLH
      "\uAFAC",  # (꾬; 꾬; 꾬; 꾬; 꾬; ) HANGUL SYLLABLE GGYOM
      "\uAFAD",  # (꾭; 꾭; 꾭; 꾭; 꾭; ) HANGUL SYLLABLE GGYOB
      "\uAFAE",  # (꾮; 꾮; 꾮; 꾮; 꾮; ) HANGUL SYLLABLE GGYOBS
      "\uAFAF",  # (꾯; 꾯; 꾯; 꾯; 꾯; ) HANGUL SYLLABLE GGYOS
      "\uAFB0",  # (꾰; 꾰; 꾰; 꾰; 꾰; ) HANGUL SYLLABLE GGYOSS
      "\uAFB1",  # (꾱; 꾱; 꾱; 꾱; 꾱; ) HANGUL SYLLABLE GGYONG
      "\uAFB2",  # (꾲; 꾲; 꾲; 꾲; 꾲; ) HANGUL SYLLABLE GGYOJ
      "\uAFB3",  # (꾳; 꾳; 꾳; 꾳; 꾳; ) HANGUL SYLLABLE GGYOC
      "\uAFB4",  # (꾴; 꾴; 꾴; 꾴; 꾴; ) HANGUL SYLLABLE GGYOK
      "\uAFB5",  # (꾵; 꾵; 꾵; 꾵; 꾵; ) HANGUL SYLLABLE GGYOT
      "\uAFB6",  # (꾶; 꾶; 꾶; 꾶; 꾶; ) HANGUL SYLLABLE GGYOP
      "\uAFB7",  # (꾷; 꾷; 꾷; 꾷; 꾷; ) HANGUL SYLLABLE GGYOH
      "\uAFB8",  # (꾸; 꾸; 꾸; 꾸; 꾸; ) HANGUL SYLLABLE GGU
      "\uAFB9",  # (꾹; 꾹; 꾹; 꾹; 꾹; ) HANGUL SYLLABLE GGUG
      "\uAFBA",  # (꾺; 꾺; 꾺; 꾺; 꾺; ) HANGUL SYLLABLE GGUGG
      "\uAFBB",  # (꾻; 꾻; 꾻; 꾻; 꾻; ) HANGUL SYLLABLE GGUGS
      "\uAFBC",  # (꾼; 꾼; 꾼; 꾼; 꾼; ) HANGUL SYLLABLE GGUN
      "\uAFBD",  # (꾽; 꾽; 꾽; 꾽; 꾽; ) HANGUL SYLLABLE GGUNJ
      "\uAFBE",  # (꾾; 꾾; 꾾; 꾾; 꾾; ) HANGUL SYLLABLE GGUNH
      "\uAFBF",  # (꾿; 꾿; 꾿; 꾿; 꾿; ) HANGUL SYLLABLE GGUD
      "\uAFC0",  # (꿀; 꿀; 꿀; 꿀; 꿀; ) HANGUL SYLLABLE GGUL
      "\uAFC1",  # (꿁; 꿁; 꿁; 꿁; 꿁; ) HANGUL SYLLABLE GGULG
      "\uAFC2",  # (꿂; 꿂; 꿂; 꿂; 꿂; ) HANGUL SYLLABLE GGULM
      "\uAFC3",  # (꿃; 꿃; 꿃; 꿃; 꿃; ) HANGUL SYLLABLE GGULB
      "\uAFC4",  # (꿄; 꿄; 꿄; 꿄; 꿄; ) HANGUL SYLLABLE GGULS
      "\uAFC5",  # (꿅; 꿅; 꿅; 꿅; 꿅; ) HANGUL SYLLABLE GGULT
      "\uAFC6",  # (꿆; 꿆; 꿆; 꿆; 꿆; ) HANGUL SYLLABLE GGULP
      "\uAFC7",  # (꿇; 꿇; 꿇; 꿇; 꿇; ) HANGUL SYLLABLE GGULH
      "\uAFC8",  # (꿈; 꿈; 꿈; 꿈; 꿈; ) HANGUL SYLLABLE GGUM
      "\uAFC9",  # (꿉; 꿉; 꿉; 꿉; 꿉; ) HANGUL SYLLABLE GGUB
      "\uAFCA",  # (꿊; 꿊; 꿊; 꿊; 꿊; ) HANGUL SYLLABLE GGUBS
      "\uAFCB",  # (꿋; 꿋; 꿋; 꿋; 꿋; ) HANGUL SYLLABLE GGUS
      "\uAFCC",  # (꿌; 꿌; 꿌; 꿌; 꿌; ) HANGUL SYLLABLE GGUSS
      "\uAFCD",  # (꿍; 꿍; 꿍; 꿍; 꿍; ) HANGUL SYLLABLE GGUNG
      "\uAFCE",  # (꿎; 꿎; 꿎; 꿎; 꿎; ) HANGUL SYLLABLE GGUJ
      "\uAFCF",  # (꿏; 꿏; 꿏; 꿏; 꿏; ) HANGUL SYLLABLE GGUC
      "\uAFD0",  # (꿐; 꿐; 꿐; 꿐; 꿐; ) HANGUL SYLLABLE GGUK
      "\uAFD1",  # (꿑; 꿑; 꿑; 꿑; 꿑; ) HANGUL SYLLABLE GGUT
      "\uAFD2",  # (꿒; 꿒; 꿒; 꿒; 꿒; ) HANGUL SYLLABLE GGUP
      "\uAFD3",  # (꿓; 꿓; 꿓; 꿓; 꿓; ) HANGUL SYLLABLE GGUH
      "\uAFD4",  # (꿔; 꿔; 꿔; 꿔; 꿔; ) HANGUL SYLLABLE GGWEO
      "\uAFD5",  # (꿕; 꿕; 꿕; 꿕; 꿕; ) HANGUL SYLLABLE GGWEOG
      "\uAFD6",  # (꿖; 꿖; 꿖; 꿖; 꿖; ) HANGUL SYLLABLE GGWEOGG
      "\uAFD7",  # (꿗; 꿗; 꿗; 꿗; 꿗; ) HANGUL SYLLABLE GGWEOGS
      "\uAFD8",  # (꿘; 꿘; 꿘; 꿘; 꿘; ) HANGUL SYLLABLE GGWEON
      "\uAFD9",  # (꿙; 꿙; 꿙; 꿙; 꿙; ) HANGUL SYLLABLE GGWEONJ
      "\uAFDA",  # (꿚; 꿚; 꿚; 꿚; 꿚; ) HANGUL SYLLABLE GGWEONH
      "\uAFDB",  # (꿛; 꿛; 꿛; 꿛; 꿛; ) HANGUL SYLLABLE GGWEOD
      "\uAFDC",  # (꿜; 꿜; 꿜; 꿜; 꿜; ) HANGUL SYLLABLE GGWEOL
      "\uAFDD",  # (꿝; 꿝; 꿝; 꿝; 꿝; ) HANGUL SYLLABLE GGWEOLG
      "\uAFDE",  # (꿞; 꿞; 꿞; 꿞; 꿞; ) HANGUL SYLLABLE GGWEOLM
      "\uAFDF",  # (꿟; 꿟; 꿟; 꿟; 꿟; ) HANGUL SYLLABLE GGWEOLB
      "\uAFE0",  # (꿠; 꿠; 꿠; 꿠; 꿠; ) HANGUL SYLLABLE GGWEOLS
      "\uAFE1",  # (꿡; 꿡; 꿡; 꿡; 꿡; ) HANGUL SYLLABLE GGWEOLT
      "\uAFE2",  # (꿢; 꿢; 꿢; 꿢; 꿢; ) HANGUL SYLLABLE GGWEOLP
      "\uAFE3",  # (꿣; 꿣; 꿣; 꿣; 꿣; ) HANGUL SYLLABLE GGWEOLH
      "\uAFE4",  # (꿤; 꿤; 꿤; 꿤; 꿤; ) HANGUL SYLLABLE GGWEOM
      "\uAFE5",  # (꿥; 꿥; 꿥; 꿥; 꿥; ) HANGUL SYLLABLE GGWEOB
      "\uAFE6",  # (꿦; 꿦; 꿦; 꿦; 꿦; ) HANGUL SYLLABLE GGWEOBS
      "\uAFE7",  # (꿧; 꿧; 꿧; 꿧; 꿧; ) HANGUL SYLLABLE GGWEOS
      "\uAFE8",  # (꿨; 꿨; 꿨; 꿨; 꿨; ) HANGUL SYLLABLE GGWEOSS
      "\uAFE9",  # (꿩; 꿩; 꿩; 꿩; 꿩; ) HANGUL SYLLABLE GGWEONG
      "\uAFEA",  # (꿪; 꿪; 꿪; 꿪; 꿪; ) HANGUL SYLLABLE GGWEOJ
      "\uAFEB",  # (꿫; 꿫; 꿫; 꿫; 꿫; ) HANGUL SYLLABLE GGWEOC
      "\uAFEC",  # (꿬; 꿬; 꿬; 꿬; 꿬; ) HANGUL SYLLABLE GGWEOK
      "\uAFED",  # (꿭; 꿭; 꿭; 꿭; 꿭; ) HANGUL SYLLABLE GGWEOT
      "\uAFEE",  # (꿮; 꿮; 꿮; 꿮; 꿮; ) HANGUL SYLLABLE GGWEOP
      "\uAFEF",  # (꿯; 꿯; 꿯; 꿯; 꿯; ) HANGUL SYLLABLE GGWEOH
      "\uAFF0",  # (꿰; 꿰; 꿰; 꿰; 꿰; ) HANGUL SYLLABLE GGWE
      "\uAFF1",  # (꿱; 꿱; 꿱; 꿱; 꿱; ) HANGUL SYLLABLE GGWEG
      "\uAFF2",  # (꿲; 꿲; 꿲; 꿲; 꿲; ) HANGUL SYLLABLE GGWEGG
      "\uAFF3",  # (꿳; 꿳; 꿳; 꿳; 꿳; ) HANGUL SYLLABLE GGWEGS
      "\uAFF4",  # (꿴; 꿴; 꿴; 꿴; 꿴; ) HANGUL SYLLABLE GGWEN
      "\uAFF5",  # (꿵; 꿵; 꿵; 꿵; 꿵; ) HANGUL SYLLABLE GGWENJ
      "\uAFF6",  # (꿶; 꿶; 꿶; 꿶; 꿶; ) HANGUL SYLLABLE GGWENH
      "\uAFF7",  # (꿷; 꿷; 꿷; 꿷; 꿷; ) HANGUL SYLLABLE GGWED
      "\uAFF8",  # (꿸; 꿸; 꿸; 꿸; 꿸; ) HANGUL SYLLABLE GGWEL
      "\uAFF9",  # (꿹; 꿹; 꿹; 꿹; 꿹; ) HANGUL SYLLABLE GGWELG
      "\uAFFA",  # (꿺; 꿺; 꿺; 꿺; 꿺; ) HANGUL SYLLABLE GGWELM
      "\uAFFB",  # (꿻; 꿻; 꿻; 꿻; 꿻; ) HANGUL SYLLABLE GGWELB
      "\uAFFC",  # (꿼; 꿼; 꿼; 꿼; 꿼; ) HANGUL SYLLABLE GGWELS
      "\uAFFD",  # (꿽; 꿽; 꿽; 꿽; 꿽; ) HANGUL SYLLABLE GGWELT
      "\uAFFE",  # (꿾; 꿾; 꿾; 꿾; 꿾; ) HANGUL SYLLABLE GGWELP
      "\uAFFF",  # (꿿; 꿿; 꿿; 꿿; 꿿; ) HANGUL SYLLABLE GGWELH
      "\uB000",  # (뀀; 뀀; 뀀; 뀀; 뀀; ) HANGUL SYLLABLE GGWEM
      "\uB001",  # (뀁; 뀁; 뀁; 뀁; 뀁; ) HANGUL SYLLABLE GGWEB
      "\uB002",  # (뀂; 뀂; 뀂; 뀂; 뀂; ) HANGUL SYLLABLE GGWEBS
      "\uB003",  # (뀃; 뀃; 뀃; 뀃; 뀃; ) HANGUL SYLLABLE GGWES
      "\uB004",  # (뀄; 뀄; 뀄; 뀄; 뀄; ) HANGUL SYLLABLE GGWESS
      "\uB005",  # (뀅; 뀅; 뀅; 뀅; 뀅; ) HANGUL SYLLABLE GGWENG
      "\uB006",  # (뀆; 뀆; 뀆; 뀆; 뀆; ) HANGUL SYLLABLE GGWEJ
      "\uB007",  # (뀇; 뀇; 뀇; 뀇; 뀇; ) HANGUL SYLLABLE GGWEC
      "\uB008",  # (뀈; 뀈; 뀈; 뀈; 뀈; ) HANGUL SYLLABLE GGWEK
      "\uB009",  # (뀉; 뀉; 뀉; 뀉; 뀉; ) HANGUL SYLLABLE GGWET
      "\uB00A",  # (뀊; 뀊; 뀊; 뀊; 뀊; ) HANGUL SYLLABLE GGWEP
      "\uB00B",  # (뀋; 뀋; 뀋; 뀋; 뀋; ) HANGUL SYLLABLE GGWEH
      "\uB00C",  # (뀌; 뀌; 뀌; 뀌; 뀌; ) HANGUL SYLLABLE GGWI
      "\uB00D",  # (뀍; 뀍; 뀍; 뀍; 뀍; ) HANGUL SYLLABLE GGWIG
      "\uB00E",  # (뀎; 뀎; 뀎; 뀎; 뀎; ) HANGUL SYLLABLE GGWIGG
      "\uB00F",  # (뀏; 뀏; 뀏; 뀏; 뀏; ) HANGUL SYLLABLE GGWIGS
      "\uB010",  # (뀐; 뀐; 뀐; 뀐; 뀐; ) HANGUL SYLLABLE GGWIN
      "\uB011",  # (뀑; 뀑; 뀑; 뀑; 뀑; ) HANGUL SYLLABLE GGWINJ
      "\uB012",  # (뀒; 뀒; 뀒; 뀒; 뀒; ) HANGUL SYLLABLE GGWINH
      "\uB013",  # (뀓; 뀓; 뀓; 뀓; 뀓; ) HANGUL SYLLABLE GGWID
      "\uB014",  # (뀔; 뀔; 뀔; 뀔; 뀔; ) HANGUL SYLLABLE GGWIL
      "\uB015",  # (뀕; 뀕; 뀕; 뀕; 뀕; ) HANGUL SYLLABLE GGWILG
      "\uB016",  # (뀖; 뀖; 뀖; 뀖; 뀖; ) HANGUL SYLLABLE GGWILM
      "\uB017",  # (뀗; 뀗; 뀗; 뀗; 뀗; ) HANGUL SYLLABLE GGWILB
      "\uB018",  # (뀘; 뀘; 뀘; 뀘; 뀘; ) HANGUL SYLLABLE GGWILS
      "\uB019",  # (뀙; 뀙; 뀙; 뀙; 뀙; ) HANGUL SYLLABLE GGWILT
      "\uB01A",  # (뀚; 뀚; 뀚; 뀚; 뀚; ) HANGUL SYLLABLE GGWILP
      "\uB01B",  # (뀛; 뀛; 뀛; 뀛; 뀛; ) HANGUL SYLLABLE GGWILH
      "\uB01C",  # (뀜; 뀜; 뀜; 뀜; 뀜; ) HANGUL SYLLABLE GGWIM
      "\uB01D",  # (뀝; 뀝; 뀝; 뀝; 뀝; ) HANGUL SYLLABLE GGWIB
      "\uB01E",  # (뀞; 뀞; 뀞; 뀞; 뀞; ) HANGUL SYLLABLE GGWIBS
      "\uB01F",  # (뀟; 뀟; 뀟; 뀟; 뀟; ) HANGUL SYLLABLE GGWIS
      "\uB020",  # (뀠; 뀠; 뀠; 뀠; 뀠; ) HANGUL SYLLABLE GGWISS
      "\uB021",  # (뀡; 뀡; 뀡; 뀡; 뀡; ) HANGUL SYLLABLE GGWING
      "\uB022",  # (뀢; 뀢; 뀢; 뀢; 뀢; ) HANGUL SYLLABLE GGWIJ
      "\uB023",  # (뀣; 뀣; 뀣; 뀣; 뀣; ) HANGUL SYLLABLE GGWIC
      "\uB024",  # (뀤; 뀤; 뀤; 뀤; 뀤; ) HANGUL SYLLABLE GGWIK
      "\uB025",  # (뀥; 뀥; 뀥; 뀥; 뀥; ) HANGUL SYLLABLE GGWIT
      "\uB026",  # (뀦; 뀦; 뀦; 뀦; 뀦; ) HANGUL SYLLABLE GGWIP
      "\uB027",  # (뀧; 뀧; 뀧; 뀧; 뀧; ) HANGUL SYLLABLE GGWIH
      "\uB028",  # (뀨; 뀨; 뀨; 뀨; 뀨; ) HANGUL SYLLABLE GGYU
      "\uB029",  # (뀩; 뀩; 뀩; 뀩; 뀩; ) HANGUL SYLLABLE GGYUG
      "\uB02A",  # (뀪; 뀪; 뀪; 뀪; 뀪; ) HANGUL SYLLABLE GGYUGG
      "\uB02B",  # (뀫; 뀫; 뀫; 뀫; 뀫; ) HANGUL SYLLABLE GGYUGS
      "\uB02C",  # (뀬; 뀬; 뀬; 뀬; 뀬; ) HANGUL SYLLABLE GGYUN
      "\uB02D",  # (뀭; 뀭; 뀭; 뀭; 뀭; ) HANGUL SYLLABLE GGYUNJ
      "\uB02E",  # (뀮; 뀮; 뀮; 뀮; 뀮; ) HANGUL SYLLABLE GGYUNH
      "\uB02F",  # (뀯; 뀯; 뀯; 뀯; 뀯; ) HANGUL SYLLABLE GGYUD
      "\uB030",  # (뀰; 뀰; 뀰; 뀰; 뀰; ) HANGUL SYLLABLE GGYUL
      "\uB031",  # (뀱; 뀱; 뀱; 뀱; 뀱; ) HANGUL SYLLABLE GGYULG
      "\uB032",  # (뀲; 뀲; 뀲; 뀲; 뀲; ) HANGUL SYLLABLE GGYULM
      "\uB033",  # (뀳; 뀳; 뀳; 뀳; 뀳; ) HANGUL SYLLABLE GGYULB
      "\uB034",  # (뀴; 뀴; 뀴; 뀴; 뀴; ) HANGUL SYLLABLE GGYULS
      "\uB035",  # (뀵; 뀵; 뀵; 뀵; 뀵; ) HANGUL SYLLABLE GGYULT
      "\uB036",  # (뀶; 뀶; 뀶; 뀶; 뀶; ) HANGUL SYLLABLE GGYULP
      "\uB037",  # (뀷; 뀷; 뀷; 뀷; 뀷; ) HANGUL SYLLABLE GGYULH
      "\uB038",  # (뀸; 뀸; 뀸; 뀸; 뀸; ) HANGUL SYLLABLE GGYUM
      "\uB039",  # (뀹; 뀹; 뀹; 뀹; 뀹; ) HANGUL SYLLABLE GGYUB
      "\uB03A",  # (뀺; 뀺; 뀺; 뀺; 뀺; ) HANGUL SYLLABLE GGYUBS
      "\uB03B",  # (뀻; 뀻; 뀻; 뀻; 뀻; ) HANGUL SYLLABLE GGYUS
      "\uB03C",  # (뀼; 뀼; 뀼; 뀼; 뀼; ) HANGUL SYLLABLE GGYUSS
      "\uB03D",  # (뀽; 뀽; 뀽; 뀽; 뀽; ) HANGUL SYLLABLE GGYUNG
      "\uB03E",  # (뀾; 뀾; 뀾; 뀾; 뀾; ) HANGUL SYLLABLE GGYUJ
      "\uB03F",  # (뀿; 뀿; 뀿; 뀿; 뀿; ) HANGUL SYLLABLE GGYUC
      "\uB040",  # (끀; 끀; 끀; 끀; 끀; ) HANGUL SYLLABLE GGYUK
      "\uB041",  # (끁; 끁; 끁; 끁; 끁; ) HANGUL SYLLABLE GGYUT
      "\uB042",  # (끂; 끂; 끂; 끂; 끂; ) HANGUL SYLLABLE GGYUP
      "\uB043",  # (끃; 끃; 끃; 끃; 끃; ) HANGUL SYLLABLE GGYUH
      "\uB044",  # (끄; 끄; 끄; 끄; 끄; ) HANGUL SYLLABLE GGEU
      "\uB045",  # (끅; 끅; 끅; 끅; 끅; ) HANGUL SYLLABLE GGEUG
      "\uB046",  # (끆; 끆; 끆; 끆; 끆; ) HANGUL SYLLABLE GGEUGG
      "\uB047",  # (끇; 끇; 끇; 끇; 끇; ) HANGUL SYLLABLE GGEUGS
      "\uB048",  # (끈; 끈; 끈; 끈; 끈; ) HANGUL SYLLABLE GGEUN
      "\uB049",  # (끉; 끉; 끉; 끉; 끉; ) HANGUL SYLLABLE GGEUNJ
      "\uB04A",  # (끊; 끊; 끊; 끊; 끊; ) HANGUL SYLLABLE GGEUNH
      "\uB04B",  # (끋; 끋; 끋; 끋; 끋; ) HANGUL SYLLABLE GGEUD
      "\uB04C",  # (끌; 끌; 끌; 끌; 끌; ) HANGUL SYLLABLE GGEUL
      "\uB04D",  # (끍; 끍; 끍; 끍; 끍; ) HANGUL SYLLABLE GGEULG
      "\uB04E",  # (끎; 끎; 끎; 끎; 끎; ) HANGUL SYLLABLE GGEULM
      "\uB04F",  # (끏; 끏; 끏; 끏; 끏; ) HANGUL SYLLABLE GGEULB
      "\uB050",  # (끐; 끐; 끐; 끐; 끐; ) HANGUL SYLLABLE GGEULS
      "\uB051",  # (끑; 끑; 끑; 끑; 끑; ) HANGUL SYLLABLE GGEULT
      "\uB052",  # (끒; 끒; 끒; 끒; 끒; ) HANGUL SYLLABLE GGEULP
      "\uB053",  # (끓; 끓; 끓; 끓; 끓; ) HANGUL SYLLABLE GGEULH
      "\uB054",  # (끔; 끔; 끔; 끔; 끔; ) HANGUL SYLLABLE GGEUM
      "\uB055",  # (끕; 끕; 끕; 끕; 끕; ) HANGUL SYLLABLE GGEUB
      "\uB056",  # (끖; 끖; 끖; 끖; 끖; ) HANGUL SYLLABLE GGEUBS
      "\uB057",  # (끗; 끗; 끗; 끗; 끗; ) HANGUL SYLLABLE GGEUS
      "\uB058",  # (끘; 끘; 끘; 끘; 끘; ) HANGUL SYLLABLE GGEUSS
      "\uB059",  # (끙; 끙; 끙; 끙; 끙; ) HANGUL SYLLABLE GGEUNG
      "\uB05A",  # (끚; 끚; 끚; 끚; 끚; ) HANGUL SYLLABLE GGEUJ
      "\uB05B",  # (끛; 끛; 끛; 끛; 끛; ) HANGUL SYLLABLE GGEUC
      "\uB05C",  # (끜; 끜; 끜; 끜; 끜; ) HANGUL SYLLABLE GGEUK
      "\uB05D",  # (끝; 끝; 끝; 끝; 끝; ) HANGUL SYLLABLE GGEUT
      "\uB05E",  # (끞; 끞; 끞; 끞; 끞; ) HANGUL SYLLABLE GGEUP
      "\uB05F",  # (끟; 끟; 끟; 끟; 끟; ) HANGUL SYLLABLE GGEUH
      "\uB060",  # (끠; 끠; 끠; 끠; 끠; ) HANGUL SYLLABLE GGYI
      "\uB061",  # (끡; 끡; 끡; 끡; 끡; ) HANGUL SYLLABLE GGYIG
      "\uB062",  # (끢; 끢; 끢; 끢; 끢; ) HANGUL SYLLABLE GGYIGG
      "\uB063",  # (끣; 끣; 끣; 끣; 끣; ) HANGUL SYLLABLE GGYIGS
      "\uB064",  # (끤; 끤; 끤; 끤; 끤; ) HANGUL SYLLABLE GGYIN
      "\uB065",  # (끥; 끥; 끥; 끥; 끥; ) HANGUL SYLLABLE GGYINJ
      "\uB066",  # (끦; 끦; 끦; 끦; 끦; ) HANGUL SYLLABLE GGYINH
      "\uB067",  # (끧; 끧; 끧; 끧; 끧; ) HANGUL SYLLABLE GGYID
      "\uB068",  # (끨; 끨; 끨; 끨; 끨; ) HANGUL SYLLABLE GGYIL
      "\uB069",  # (끩; 끩; 끩; 끩; 끩; ) HANGUL SYLLABLE GGYILG
      "\uB06A",  # (끪; 끪; 끪; 끪; 끪; ) HANGUL SYLLABLE GGYILM
      "\uB06B",  # (끫; 끫; 끫; 끫; 끫; ) HANGUL SYLLABLE GGYILB
      "\uB06C",  # (끬; 끬; 끬; 끬; 끬; ) HANGUL SYLLABLE GGYILS
      "\uB06D",  # (끭; 끭; 끭; 끭; 끭; ) HANGUL SYLLABLE GGYILT
      "\uB06E",  # (끮; 끮; 끮; 끮; 끮; ) HANGUL SYLLABLE GGYILP
      "\uB06F",  # (끯; 끯; 끯; 끯; 끯; ) HANGUL SYLLABLE GGYILH
      "\uB070",  # (끰; 끰; 끰; 끰; 끰; ) HANGUL SYLLABLE GGYIM
      "\uB071",  # (끱; 끱; 끱; 끱; 끱; ) HANGUL SYLLABLE GGYIB
      "\uB072",  # (끲; 끲; 끲; 끲; 끲; ) HANGUL SYLLABLE GGYIBS
      "\uB073",  # (끳; 끳; 끳; 끳; 끳; ) HANGUL SYLLABLE GGYIS
      "\uB074",  # (끴; 끴; 끴; 끴; 끴; ) HANGUL SYLLABLE GGYISS
      "\uB075",  # (끵; 끵; 끵; 끵; 끵; ) HANGUL SYLLABLE GGYING
      "\uB076",  # (끶; 끶; 끶; 끶; 끶; ) HANGUL SYLLABLE GGYIJ
      "\uB077",  # (끷; 끷; 끷; 끷; 끷; ) HANGUL SYLLABLE GGYIC
      "\uB078",  # (끸; 끸; 끸; 끸; 끸; ) HANGUL SYLLABLE GGYIK
      "\uB079",  # (끹; 끹; 끹; 끹; 끹; ) HANGUL SYLLABLE GGYIT
      "\uB07A",  # (끺; 끺; 끺; 끺; 끺; ) HANGUL SYLLABLE GGYIP
      "\uB07B",  # (끻; 끻; 끻; 끻; 끻; ) HANGUL SYLLABLE GGYIH
      "\uB07C",  # (끼; 끼; 끼; 끼; 끼; ) HANGUL SYLLABLE GGI
      "\uB07D",  # (끽; 끽; 끽; 끽; 끽; ) HANGUL SYLLABLE GGIG
      "\uB07E",  # (끾; 끾; 끾; 끾; 끾; ) HANGUL SYLLABLE GGIGG
      "\uB07F",  # (끿; 끿; 끿; 끿; 끿; ) HANGUL SYLLABLE GGIGS
      "\uB080",  # (낀; 낀; 낀; 낀; 낀; ) HANGUL SYLLABLE GGIN
      "\uB081",  # (낁; 낁; 낁; 낁; 낁; ) HANGUL SYLLABLE GGINJ
      "\uB082",  # (낂; 낂; 낂; 낂; 낂; ) HANGUL SYLLABLE GGINH
      "\uB083",  # (낃; 낃; 낃; 낃; 낃; ) HANGUL SYLLABLE GGID
      "\uB084",  # (낄; 낄; 낄; 낄; 낄; ) HANGUL SYLLABLE GGIL
      "\uB085",  # (낅; 낅; 낅; 낅; 낅; ) HANGUL SYLLABLE GGILG
      "\uB086",  # (낆; 낆; 낆; 낆; 낆; ) HANGUL SYLLABLE GGILM
      "\uB087",  # (낇; 낇; 낇; 낇; 낇; ) HANGUL SYLLABLE GGILB
      "\uB088",  # (낈; 낈; 낈; 낈; 낈; ) HANGUL SYLLABLE GGILS
      "\uB089",  # (낉; 낉; 낉; 낉; 낉; ) HANGUL SYLLABLE GGILT
      "\uB08A",  # (낊; 낊; 낊; 낊; 낊; ) HANGUL SYLLABLE GGILP
      "\uB08B",  # (낋; 낋; 낋; 낋; 낋; ) HANGUL SYLLABLE GGILH
      "\uB08C",  # (낌; 낌; 낌; 낌; 낌; ) HANGUL SYLLABLE GGIM
      "\uB08D",  # (낍; 낍; 낍; 낍; 낍; ) HANGUL SYLLABLE GGIB
      "\uB08E",  # (낎; 낎; 낎; 낎; 낎; ) HANGUL SYLLABLE GGIBS
      "\uB08F",  # (낏; 낏; 낏; 낏; 낏; ) HANGUL SYLLABLE GGIS
      "\uB090",  # (낐; 낐; 낐; 낐; 낐; ) HANGUL SYLLABLE GGISS
      "\uB091",  # (낑; 낑; 낑; 낑; 낑; ) HANGUL SYLLABLE GGING
      "\uB092",  # (낒; 낒; 낒; 낒; 낒; ) HANGUL SYLLABLE GGIJ
      "\uB093",  # (낓; 낓; 낓; 낓; 낓; ) HANGUL SYLLABLE GGIC
      "\uB094",  # (낔; 낔; 낔; 낔; 낔; ) HANGUL SYLLABLE GGIK
      "\uB095",  # (낕; 낕; 낕; 낕; 낕; ) HANGUL SYLLABLE GGIT
      "\uB096",  # (낖; 낖; 낖; 낖; 낖; ) HANGUL SYLLABLE GGIP
      "\uB097",  # (낗; 낗; 낗; 낗; 낗; ) HANGUL SYLLABLE GGIH
      "\uB098",  # (나; 나; 나; 나; 나; ) HANGUL SYLLABLE NA
      "\uB099",  # (낙; 낙; 낙; 낙; 낙; ) HANGUL SYLLABLE NAG
      "\uB09A",  # (낚; 낚; 낚; 낚; 낚; ) HANGUL SYLLABLE NAGG
      "\uB09B",  # (낛; 낛; 낛; 낛; 낛; ) HANGUL SYLLABLE NAGS
      "\uB09C",  # (난; 난; 난; 난; 난; ) HANGUL SYLLABLE NAN
      "\uB09D",  # (낝; 낝; 낝; 낝; 낝; ) HANGUL SYLLABLE NANJ
      "\uB09E",  # (낞; 낞; 낞; 낞; 낞; ) HANGUL SYLLABLE NANH
      "\uB09F",  # (낟; 낟; 낟; 낟; 낟; ) HANGUL SYLLABLE NAD
      "\uB0A0",  # (날; 날; 날; 날; 날; ) HANGUL SYLLABLE NAL
      "\uB0A1",  # (낡; 낡; 낡; 낡; 낡; ) HANGUL SYLLABLE NALG
      "\uB0A2",  # (낢; 낢; 낢; 낢; 낢; ) HANGUL SYLLABLE NALM
      "\uB0A3",  # (낣; 낣; 낣; 낣; 낣; ) HANGUL SYLLABLE NALB
      "\uB0A4",  # (낤; 낤; 낤; 낤; 낤; ) HANGUL SYLLABLE NALS
      "\uB0A5",  # (낥; 낥; 낥; 낥; 낥; ) HANGUL SYLLABLE NALT
      "\uB0A6",  # (낦; 낦; 낦; 낦; 낦; ) HANGUL SYLLABLE NALP
      "\uB0A7",  # (낧; 낧; 낧; 낧; 낧; ) HANGUL SYLLABLE NALH
      "\uB0A8",  # (남; 남; 남; 남; 남; ) HANGUL SYLLABLE NAM
      "\uB0A9",  # (납; 납; 납; 납; 납; ) HANGUL SYLLABLE NAB
      "\uB0AA",  # (낪; 낪; 낪; 낪; 낪; ) HANGUL SYLLABLE NABS
      "\uB0AB",  # (낫; 낫; 낫; 낫; 낫; ) HANGUL SYLLABLE NAS
      "\uB0AC",  # (났; 났; 났; 났; 났; ) HANGUL SYLLABLE NASS
      "\uB0AD",  # (낭; 낭; 낭; 낭; 낭; ) HANGUL SYLLABLE NANG
      "\uB0AE",  # (낮; 낮; 낮; 낮; 낮; ) HANGUL SYLLABLE NAJ
      "\uB0AF",  # (낯; 낯; 낯; 낯; 낯; ) HANGUL SYLLABLE NAC
      "\uB0B0",  # (낰; 낰; 낰; 낰; 낰; ) HANGUL SYLLABLE NAK
      "\uB0B1",  # (낱; 낱; 낱; 낱; 낱; ) HANGUL SYLLABLE NAT
      "\uB0B2",  # (낲; 낲; 낲; 낲; 낲; ) HANGUL SYLLABLE NAP
      "\uB0B3",  # (낳; 낳; 낳; 낳; 낳; ) HANGUL SYLLABLE NAH
      "\uB0B4",  # (내; 내; 내; 내; 내; ) HANGUL SYLLABLE NAE
      "\uB0B5",  # (낵; 낵; 낵; 낵; 낵; ) HANGUL SYLLABLE NAEG
      "\uB0B6",  # (낶; 낶; 낶; 낶; 낶; ) HANGUL SYLLABLE NAEGG
      "\uB0B7",  # (낷; 낷; 낷; 낷; 낷; ) HANGUL SYLLABLE NAEGS
      "\uB0B8",  # (낸; 낸; 낸; 낸; 낸; ) HANGUL SYLLABLE NAEN
      "\uB0B9",  # (낹; 낹; 낹; 낹; 낹; ) HANGUL SYLLABLE NAENJ
      "\uB0BA",  # (낺; 낺; 낺; 낺; 낺; ) HANGUL SYLLABLE NAENH
      "\uB0BB",  # (낻; 낻; 낻; 낻; 낻; ) HANGUL SYLLABLE NAED
      "\uB0BC",  # (낼; 낼; 낼; 낼; 낼; ) HANGUL SYLLABLE NAEL
      "\uB0BD",  # (낽; 낽; 낽; 낽; 낽; ) HANGUL SYLLABLE NAELG
      "\uB0BE",  # (낾; 낾; 낾; 낾; 낾; ) HANGUL SYLLABLE NAELM
      "\uB0BF",  # (낿; 낿; 낿; 낿; 낿; ) HANGUL SYLLABLE NAELB
      "\uB0C0",  # (냀; 냀; 냀; 냀; 냀; ) HANGUL SYLLABLE NAELS
      "\uB0C1",  # (냁; 냁; 냁; 냁; 냁; ) HANGUL SYLLABLE NAELT
      "\uB0C2",  # (냂; 냂; 냂; 냂; 냂; ) HANGUL SYLLABLE NAELP
      "\uB0C3",  # (냃; 냃; 냃; 냃; 냃; ) HANGUL SYLLABLE NAELH
      "\uB0C4",  # (냄; 냄; 냄; 냄; 냄; ) HANGUL SYLLABLE NAEM
      "\uB0C5",  # (냅; 냅; 냅; 냅; 냅; ) HANGUL SYLLABLE NAEB
      "\uB0C6",  # (냆; 냆; 냆; 냆; 냆; ) HANGUL SYLLABLE NAEBS
      "\uB0C7",  # (냇; 냇; 냇; 냇; 냇; ) HANGUL SYLLABLE NAES
      "\uB0C8",  # (냈; 냈; 냈; 냈; 냈; ) HANGUL SYLLABLE NAESS
      "\uB0C9",  # (냉; 냉; 냉; 냉; 냉; ) HANGUL SYLLABLE NAENG
      "\uB0CA",  # (냊; 냊; 냊; 냊; 냊; ) HANGUL SYLLABLE NAEJ
      "\uB0CB",  # (냋; 냋; 냋; 냋; 냋; ) HANGUL SYLLABLE NAEC
      "\uB0CC",  # (냌; 냌; 냌; 냌; 냌; ) HANGUL SYLLABLE NAEK
      "\uB0CD",  # (냍; 냍; 냍; 냍; 냍; ) HANGUL SYLLABLE NAET
      "\uB0CE",  # (냎; 냎; 냎; 냎; 냎; ) HANGUL SYLLABLE NAEP
      "\uB0CF",  # (냏; 냏; 냏; 냏; 냏; ) HANGUL SYLLABLE NAEH
      "\uB0D0",  # (냐; 냐; 냐; 냐; 냐; ) HANGUL SYLLABLE NYA
      "\uB0D1",  # (냑; 냑; 냑; 냑; 냑; ) HANGUL SYLLABLE NYAG
      "\uB0D2",  # (냒; 냒; 냒; 냒; 냒; ) HANGUL SYLLABLE NYAGG
      "\uB0D3",  # (냓; 냓; 냓; 냓; 냓; ) HANGUL SYLLABLE NYAGS
      "\uB0D4",  # (냔; 냔; 냔; 냔; 냔; ) HANGUL SYLLABLE NYAN
      "\uB0D5",  # (냕; 냕; 냕; 냕; 냕; ) HANGUL SYLLABLE NYANJ
      "\uB0D6",  # (냖; 냖; 냖; 냖; 냖; ) HANGUL SYLLABLE NYANH
      "\uB0D7",  # (냗; 냗; 냗; 냗; 냗; ) HANGUL SYLLABLE NYAD
      "\uB0D8",  # (냘; 냘; 냘; 냘; 냘; ) HANGUL SYLLABLE NYAL
      "\uB0D9",  # (냙; 냙; 냙; 냙; 냙; ) HANGUL SYLLABLE NYALG
      "\uB0DA",  # (냚; 냚; 냚; 냚; 냚; ) HANGUL SYLLABLE NYALM
      "\uB0DB",  # (냛; 냛; 냛; 냛; 냛; ) HANGUL SYLLABLE NYALB
      "\uB0DC",  # (냜; 냜; 냜; 냜; 냜; ) HANGUL SYLLABLE NYALS
      "\uB0DD",  # (냝; 냝; 냝; 냝; 냝; ) HANGUL SYLLABLE NYALT
      "\uB0DE",  # (냞; 냞; 냞; 냞; 냞; ) HANGUL SYLLABLE NYALP
      "\uB0DF",  # (냟; 냟; 냟; 냟; 냟; ) HANGUL SYLLABLE NYALH
      "\uB0E0",  # (냠; 냠; 냠; 냠; 냠; ) HANGUL SYLLABLE NYAM
      "\uB0E1",  # (냡; 냡; 냡; 냡; 냡; ) HANGUL SYLLABLE NYAB
      "\uB0E2",  # (냢; 냢; 냢; 냢; 냢; ) HANGUL SYLLABLE NYABS
      "\uB0E3",  # (냣; 냣; 냣; 냣; 냣; ) HANGUL SYLLABLE NYAS
      "\uB0E4",  # (냤; 냤; 냤; 냤; 냤; ) HANGUL SYLLABLE NYASS
      "\uB0E5",  # (냥; 냥; 냥; 냥; 냥; ) HANGUL SYLLABLE NYANG
      "\uB0E6",  # (냦; 냦; 냦; 냦; 냦; ) HANGUL SYLLABLE NYAJ
      "\uB0E7",  # (냧; 냧; 냧; 냧; 냧; ) HANGUL SYLLABLE NYAC
      "\uB0E8",  # (냨; 냨; 냨; 냨; 냨; ) HANGUL SYLLABLE NYAK
      "\uB0E9",  # (냩; 냩; 냩; 냩; 냩; ) HANGUL SYLLABLE NYAT
      "\uB0EA",  # (냪; 냪; 냪; 냪; 냪; ) HANGUL SYLLABLE NYAP
      "\uB0EB",  # (냫; 냫; 냫; 냫; 냫; ) HANGUL SYLLABLE NYAH
      "\uB0EC",  # (냬; 냬; 냬; 냬; 냬; ) HANGUL SYLLABLE NYAE
      "\uB0ED",  # (냭; 냭; 냭; 냭; 냭; ) HANGUL SYLLABLE NYAEG
      "\uB0EE",  # (냮; 냮; 냮; 냮; 냮; ) HANGUL SYLLABLE NYAEGG
      "\uB0EF",  # (냯; 냯; 냯; 냯; 냯; ) HANGUL SYLLABLE NYAEGS
      "\uB0F0",  # (냰; 냰; 냰; 냰; 냰; ) HANGUL SYLLABLE NYAEN
      "\uB0F1",  # (냱; 냱; 냱; 냱; 냱; ) HANGUL SYLLABLE NYAENJ
      "\uB0F2",  # (냲; 냲; 냲; 냲; 냲; ) HANGUL SYLLABLE NYAENH
      "\uB0F3",  # (냳; 냳; 냳; 냳; 냳; ) HANGUL SYLLABLE NYAED
      "\uB0F4",  # (냴; 냴; 냴; 냴; 냴; ) HANGUL SYLLABLE NYAEL
      "\uB0F5",  # (냵; 냵; 냵; 냵; 냵; ) HANGUL SYLLABLE NYAELG
      "\uB0F6",  # (냶; 냶; 냶; 냶; 냶; ) HANGUL SYLLABLE NYAELM
      "\uB0F7",  # (냷; 냷; 냷; 냷; 냷; ) HANGUL SYLLABLE NYAELB
      "\uB0F8",  # (냸; 냸; 냸; 냸; 냸; ) HANGUL SYLLABLE NYAELS
      "\uB0F9",  # (냹; 냹; 냹; 냹; 냹; ) HANGUL SYLLABLE NYAELT
      "\uB0FA",  # (냺; 냺; 냺; 냺; 냺; ) HANGUL SYLLABLE NYAELP
      "\uB0FB",  # (냻; 냻; 냻; 냻; 냻; ) HANGUL SYLLABLE NYAELH
      "\uB0FC",  # (냼; 냼; 냼; 냼; 냼; ) HANGUL SYLLABLE NYAEM
      "\uB0FD",  # (냽; 냽; 냽; 냽; 냽; ) HANGUL SYLLABLE NYAEB
      "\uB0FE",  # (냾; 냾; 냾; 냾; 냾; ) HANGUL SYLLABLE NYAEBS
      "\uB0FF",  # (냿; 냿; 냿; 냿; 냿; ) HANGUL SYLLABLE NYAES
      "\uB100",  # (넀; 넀; 넀; 넀; 넀; ) HANGUL SYLLABLE NYAESS
      "\uB101",  # (넁; 넁; 넁; 넁; 넁; ) HANGUL SYLLABLE NYAENG
      "\uB102",  # (넂; 넂; 넂; 넂; 넂; ) HANGUL SYLLABLE NYAEJ
      "\uB103",  # (넃; 넃; 넃; 넃; 넃; ) HANGUL SYLLABLE NYAEC
      "\uB104",  # (넄; 넄; 넄; 넄; 넄; ) HANGUL SYLLABLE NYAEK
      "\uB105",  # (넅; 넅; 넅; 넅; 넅; ) HANGUL SYLLABLE NYAET
      "\uB106",  # (넆; 넆; 넆; 넆; 넆; ) HANGUL SYLLABLE NYAEP
      "\uB107",  # (넇; 넇; 넇; 넇; 넇; ) HANGUL SYLLABLE NYAEH
      "\uB108",  # (너; 너; 너; 너; 너; ) HANGUL SYLLABLE NEO
      "\uB109",  # (넉; 넉; 넉; 넉; 넉; ) HANGUL SYLLABLE NEOG
      "\uB10A",  # (넊; 넊; 넊; 넊; 넊; ) HANGUL SYLLABLE NEOGG
      "\uB10B",  # (넋; 넋; 넋; 넋; 넋; ) HANGUL SYLLABLE NEOGS
      "\uB10C",  # (넌; 넌; 넌; 넌; 넌; ) HANGUL SYLLABLE NEON
      "\uB10D",  # (넍; 넍; 넍; 넍; 넍; ) HANGUL SYLLABLE NEONJ
      "\uB10E",  # (넎; 넎; 넎; 넎; 넎; ) HANGUL SYLLABLE NEONH
      "\uB10F",  # (넏; 넏; 넏; 넏; 넏; ) HANGUL SYLLABLE NEOD
      "\uB110",  # (널; 널; 널; 널; 널; ) HANGUL SYLLABLE NEOL
      "\uB111",  # (넑; 넑; 넑; 넑; 넑; ) HANGUL SYLLABLE NEOLG
      "\uB112",  # (넒; 넒; 넒; 넒; 넒; ) HANGUL SYLLABLE NEOLM
      "\uB113",  # (넓; 넓; 넓; 넓; 넓; ) HANGUL SYLLABLE NEOLB
      "\uB114",  # (넔; 넔; 넔; 넔; 넔; ) HANGUL SYLLABLE NEOLS
      "\uB115",  # (넕; 넕; 넕; 넕; 넕; ) HANGUL SYLLABLE NEOLT
      "\uB116",  # (넖; 넖; 넖; 넖; 넖; ) HANGUL SYLLABLE NEOLP
      "\uB117",  # (넗; 넗; 넗; 넗; 넗; ) HANGUL SYLLABLE NEOLH
      "\uB118",  # (넘; 넘; 넘; 넘; 넘; ) HANGUL SYLLABLE NEOM
      "\uB119",  # (넙; 넙; 넙; 넙; 넙; ) HANGUL SYLLABLE NEOB
      "\uB11A",  # (넚; 넚; 넚; 넚; 넚; ) HANGUL SYLLABLE NEOBS
      "\uB11B",  # (넛; 넛; 넛; 넛; 넛; ) HANGUL SYLLABLE NEOS
      "\uB11C",  # (넜; 넜; 넜; 넜; 넜; ) HANGUL SYLLABLE NEOSS
      "\uB11D",  # (넝; 넝; 넝; 넝; 넝; ) HANGUL SYLLABLE NEONG
      "\uB11E",  # (넞; 넞; 넞; 넞; 넞; ) HANGUL SYLLABLE NEOJ
      "\uB11F",  # (넟; 넟; 넟; 넟; 넟; ) HANGUL SYLLABLE NEOC
      "\uB120",  # (넠; 넠; 넠; 넠; 넠; ) HANGUL SYLLABLE NEOK
      "\uB121",  # (넡; 넡; 넡; 넡; 넡; ) HANGUL SYLLABLE NEOT
      "\uB122",  # (넢; 넢; 넢; 넢; 넢; ) HANGUL SYLLABLE NEOP
      "\uB123",  # (넣; 넣; 넣; 넣; 넣; ) HANGUL SYLLABLE NEOH
      "\uB124",  # (네; 네; 네; 네; 네; ) HANGUL SYLLABLE NE
      "\uB125",  # (넥; 넥; 넥; 넥; 넥; ) HANGUL SYLLABLE NEG
      "\uB126",  # (넦; 넦; 넦; 넦; 넦; ) HANGUL SYLLABLE NEGG
      "\uB127",  # (넧; 넧; 넧; 넧; 넧; ) HANGUL SYLLABLE NEGS
      "\uB128",  # (넨; 넨; 넨; 넨; 넨; ) HANGUL SYLLABLE NEN
      "\uB129",  # (넩; 넩; 넩; 넩; 넩; ) HANGUL SYLLABLE NENJ
      "\uB12A",  # (넪; 넪; 넪; 넪; 넪; ) HANGUL SYLLABLE NENH
      "\uB12B",  # (넫; 넫; 넫; 넫; 넫; ) HANGUL SYLLABLE NED
      "\uB12C",  # (넬; 넬; 넬; 넬; 넬; ) HANGUL SYLLABLE NEL
      "\uB12D",  # (넭; 넭; 넭; 넭; 넭; ) HANGUL SYLLABLE NELG
      "\uB12E",  # (넮; 넮; 넮; 넮; 넮; ) HANGUL SYLLABLE NELM
      "\uB12F",  # (넯; 넯; 넯; 넯; 넯; ) HANGUL SYLLABLE NELB
      "\uB130",  # (넰; 넰; 넰; 넰; 넰; ) HANGUL SYLLABLE NELS
      "\uB131",  # (넱; 넱; 넱; 넱; 넱; ) HANGUL SYLLABLE NELT
      "\uB132",  # (넲; 넲; 넲; 넲; 넲; ) HANGUL SYLLABLE NELP
      "\uB133",  # (넳; 넳; 넳; 넳; 넳; ) HANGUL SYLLABLE NELH
      "\uB134",  # (넴; 넴; 넴; 넴; 넴; ) HANGUL SYLLABLE NEM
      "\uB135",  # (넵; 넵; 넵; 넵; 넵; ) HANGUL SYLLABLE NEB
      "\uB136",  # (넶; 넶; 넶; 넶; 넶; ) HANGUL SYLLABLE NEBS
      "\uB137",  # (넷; 넷; 넷; 넷; 넷; ) HANGUL SYLLABLE NES
      "\uB138",  # (넸; 넸; 넸; 넸; 넸; ) HANGUL SYLLABLE NESS
      "\uB139",  # (넹; 넹; 넹; 넹; 넹; ) HANGUL SYLLABLE NENG
      "\uB13A",  # (넺; 넺; 넺; 넺; 넺; ) HANGUL SYLLABLE NEJ
      "\uB13B",  # (넻; 넻; 넻; 넻; 넻; ) HANGUL SYLLABLE NEC
      "\uB13C",  # (넼; 넼; 넼; 넼; 넼; ) HANGUL SYLLABLE NEK
      "\uB13D",  # (넽; 넽; 넽; 넽; 넽; ) HANGUL SYLLABLE NET
      "\uB13E",  # (넾; 넾; 넾; 넾; 넾; ) HANGUL SYLLABLE NEP
      "\uB13F",  # (넿; 넿; 넿; 넿; 넿; ) HANGUL SYLLABLE NEH
      "\uB140",  # (녀; 녀; 녀; 녀; 녀; ) HANGUL SYLLABLE NYEO
      "\uB141",  # (녁; 녁; 녁; 녁; 녁; ) HANGUL SYLLABLE NYEOG
      "\uB142",  # (녂; 녂; 녂; 녂; 녂; ) HANGUL SYLLABLE NYEOGG
      "\uB143",  # (녃; 녃; 녃; 녃; 녃; ) HANGUL SYLLABLE NYEOGS
      "\uB144",  # (년; 년; 년; 년; 년; ) HANGUL SYLLABLE NYEON
      "\uB145",  # (녅; 녅; 녅; 녅; 녅; ) HANGUL SYLLABLE NYEONJ
      "\uB146",  # (녆; 녆; 녆; 녆; 녆; ) HANGUL SYLLABLE NYEONH
      "\uB147",  # (녇; 녇; 녇; 녇; 녇; ) HANGUL SYLLABLE NYEOD
      "\uB148",  # (녈; 녈; 녈; 녈; 녈; ) HANGUL SYLLABLE NYEOL
      "\uB149",  # (녉; 녉; 녉; 녉; 녉; ) HANGUL SYLLABLE NYEOLG
      "\uB14A",  # (녊; 녊; 녊; 녊; 녊; ) HANGUL SYLLABLE NYEOLM
      "\uB14B",  # (녋; 녋; 녋; 녋; 녋; ) HANGUL SYLLABLE NYEOLB
      "\uB14C",  # (녌; 녌; 녌; 녌; 녌; ) HANGUL SYLLABLE NYEOLS
      "\uB14D",  # (녍; 녍; 녍; 녍; 녍; ) HANGUL SYLLABLE NYEOLT
      "\uB14E",  # (녎; 녎; 녎; 녎; 녎; ) HANGUL SYLLABLE NYEOLP
      "\uB14F",  # (녏; 녏; 녏; 녏; 녏; ) HANGUL SYLLABLE NYEOLH
      "\uB150",  # (념; 념; 념; 념; 념; ) HANGUL SYLLABLE NYEOM
      "\uB151",  # (녑; 녑; 녑; 녑; 녑; ) HANGUL SYLLABLE NYEOB
      "\uB152",  # (녒; 녒; 녒; 녒; 녒; ) HANGUL SYLLABLE NYEOBS
      "\uB153",  # (녓; 녓; 녓; 녓; 녓; ) HANGUL SYLLABLE NYEOS
      "\uB154",  # (녔; 녔; 녔; 녔; 녔; ) HANGUL SYLLABLE NYEOSS
      "\uB155",  # (녕; 녕; 녕; 녕; 녕; ) HANGUL SYLLABLE NYEONG
      "\uB156",  # (녖; 녖; 녖; 녖; 녖; ) HANGUL SYLLABLE NYEOJ
      "\uB157",  # (녗; 녗; 녗; 녗; 녗; ) HANGUL SYLLABLE NYEOC
      "\uB158",  # (녘; 녘; 녘; 녘; 녘; ) HANGUL SYLLABLE NYEOK
      "\uB159",  # (녙; 녙; 녙; 녙; 녙; ) HANGUL SYLLABLE NYEOT
      "\uB15A",  # (녚; 녚; 녚; 녚; 녚; ) HANGUL SYLLABLE NYEOP
      "\uB15B",  # (녛; 녛; 녛; 녛; 녛; ) HANGUL SYLLABLE NYEOH
      "\uB15C",  # (녜; 녜; 녜; 녜; 녜; ) HANGUL SYLLABLE NYE
      "\uB15D",  # (녝; 녝; 녝; 녝; 녝; ) HANGUL SYLLABLE NYEG
      "\uB15E",  # (녞; 녞; 녞; 녞; 녞; ) HANGUL SYLLABLE NYEGG
      "\uB15F",  # (녟; 녟; 녟; 녟; 녟; ) HANGUL SYLLABLE NYEGS
      "\uB160",  # (녠; 녠; 녠; 녠; 녠; ) HANGUL SYLLABLE NYEN
      "\uB161",  # (녡; 녡; 녡; 녡; 녡; ) HANGUL SYLLABLE NYENJ
      "\uB162",  # (녢; 녢; 녢; 녢; 녢; ) HANGUL SYLLABLE NYENH
      "\uB163",  # (녣; 녣; 녣; 녣; 녣; ) HANGUL SYLLABLE NYED
      "\uB164",  # (녤; 녤; 녤; 녤; 녤; ) HANGUL SYLLABLE NYEL
      "\uB165",  # (녥; 녥; 녥; 녥; 녥; ) HANGUL SYLLABLE NYELG
      "\uB166",  # (녦; 녦; 녦; 녦; 녦; ) HANGUL SYLLABLE NYELM
      "\uB167",  # (녧; 녧; 녧; 녧; 녧; ) HANGUL SYLLABLE NYELB
      "\uB168",  # (녨; 녨; 녨; 녨; 녨; ) HANGUL SYLLABLE NYELS
      "\uB169",  # (녩; 녩; 녩; 녩; 녩; ) HANGUL SYLLABLE NYELT
      "\uB16A",  # (녪; 녪; 녪; 녪; 녪; ) HANGUL SYLLABLE NYELP
      "\uB16B",  # (녫; 녫; 녫; 녫; 녫; ) HANGUL SYLLABLE NYELH
      "\uB16C",  # (녬; 녬; 녬; 녬; 녬; ) HANGUL SYLLABLE NYEM
      "\uB16D",  # (녭; 녭; 녭; 녭; 녭; ) HANGUL SYLLABLE NYEB
      "\uB16E",  # (녮; 녮; 녮; 녮; 녮; ) HANGUL SYLLABLE NYEBS
      "\uB16F",  # (녯; 녯; 녯; 녯; 녯; ) HANGUL SYLLABLE NYES
      "\uB170",  # (녰; 녰; 녰; 녰; 녰; ) HANGUL SYLLABLE NYESS
      "\uB171",  # (녱; 녱; 녱; 녱; 녱; ) HANGUL SYLLABLE NYENG
      "\uB172",  # (녲; 녲; 녲; 녲; 녲; ) HANGUL SYLLABLE NYEJ
      "\uB173",  # (녳; 녳; 녳; 녳; 녳; ) HANGUL SYLLABLE NYEC
      "\uB174",  # (녴; 녴; 녴; 녴; 녴; ) HANGUL SYLLABLE NYEK
      "\uB175",  # (녵; 녵; 녵; 녵; 녵; ) HANGUL SYLLABLE NYET
      "\uB176",  # (녶; 녶; 녶; 녶; 녶; ) HANGUL SYLLABLE NYEP
      "\uB177",  # (녷; 녷; 녷; 녷; 녷; ) HANGUL SYLLABLE NYEH
      "\uB178",  # (노; 노; 노; 노; 노; ) HANGUL SYLLABLE NO
      "\uB179",  # (녹; 녹; 녹; 녹; 녹; ) HANGUL SYLLABLE NOG
      "\uB17A",  # (녺; 녺; 녺; 녺; 녺; ) HANGUL SYLLABLE NOGG
      "\uB17B",  # (녻; 녻; 녻; 녻; 녻; ) HANGUL SYLLABLE NOGS
      "\uB17C",  # (논; 논; 논; 논; 논; ) HANGUL SYLLABLE NON
      "\uB17D",  # (녽; 녽; 녽; 녽; 녽; ) HANGUL SYLLABLE NONJ
      "\uB17E",  # (녾; 녾; 녾; 녾; 녾; ) HANGUL SYLLABLE NONH
      "\uB17F",  # (녿; 녿; 녿; 녿; 녿; ) HANGUL SYLLABLE NOD
      "\uB180",  # (놀; 놀; 놀; 놀; 놀; ) HANGUL SYLLABLE NOL
      "\uB181",  # (놁; 놁; 놁; 놁; 놁; ) HANGUL SYLLABLE NOLG
      "\uB182",  # (놂; 놂; 놂; 놂; 놂; ) HANGUL SYLLABLE NOLM
      "\uB183",  # (놃; 놃; 놃; 놃; 놃; ) HANGUL SYLLABLE NOLB
      "\uB184",  # (놄; 놄; 놄; 놄; 놄; ) HANGUL SYLLABLE NOLS
      "\uB185",  # (놅; 놅; 놅; 놅; 놅; ) HANGUL SYLLABLE NOLT
      "\uB186",  # (놆; 놆; 놆; 놆; 놆; ) HANGUL SYLLABLE NOLP
      "\uB187",  # (놇; 놇; 놇; 놇; 놇; ) HANGUL SYLLABLE NOLH
      "\uB188",  # (놈; 놈; 놈; 놈; 놈; ) HANGUL SYLLABLE NOM
      "\uB189",  # (놉; 놉; 놉; 놉; 놉; ) HANGUL SYLLABLE NOB
      "\uB18A",  # (놊; 놊; 놊; 놊; 놊; ) HANGUL SYLLABLE NOBS
      "\uB18B",  # (놋; 놋; 놋; 놋; 놋; ) HANGUL SYLLABLE NOS
      "\uB18C",  # (놌; 놌; 놌; 놌; 놌; ) HANGUL SYLLABLE NOSS
      "\uB18D",  # (농; 농; 농; 농; 농; ) HANGUL SYLLABLE NONG
      "\uB18E",  # (놎; 놎; 놎; 놎; 놎; ) HANGUL SYLLABLE NOJ
      "\uB18F",  # (놏; 놏; 놏; 놏; 놏; ) HANGUL SYLLABLE NOC
      "\uB190",  # (놐; 놐; 놐; 놐; 놐; ) HANGUL SYLLABLE NOK
      "\uB191",  # (놑; 놑; 놑; 놑; 놑; ) HANGUL SYLLABLE NOT
      "\uB192",  # (높; 높; 높; 높; 높; ) HANGUL SYLLABLE NOP
      "\uB193",  # (놓; 놓; 놓; 놓; 놓; ) HANGUL SYLLABLE NOH
      "\uB194",  # (놔; 놔; 놔; 놔; 놔; ) HANGUL SYLLABLE NWA
      "\uB195",  # (놕; 놕; 놕; 놕; 놕; ) HANGUL SYLLABLE NWAG
      "\uB196",  # (놖; 놖; 놖; 놖; 놖; ) HANGUL SYLLABLE NWAGG
      "\uB197",  # (놗; 놗; 놗; 놗; 놗; ) HANGUL SYLLABLE NWAGS
      "\uB198",  # (놘; 놘; 놘; 놘; 놘; ) HANGUL SYLLABLE NWAN
      "\uB199",  # (놙; 놙; 놙; 놙; 놙; ) HANGUL SYLLABLE NWANJ
      "\uB19A",  # (놚; 놚; 놚; 놚; 놚; ) HANGUL SYLLABLE NWANH
      "\uB19B",  # (놛; 놛; 놛; 놛; 놛; ) HANGUL SYLLABLE NWAD
      "\uB19C",  # (놜; 놜; 놜; 놜; 놜; ) HANGUL SYLLABLE NWAL
      "\uB19D",  # (놝; 놝; 놝; 놝; 놝; ) HANGUL SYLLABLE NWALG
      "\uB19E",  # (놞; 놞; 놞; 놞; 놞; ) HANGUL SYLLABLE NWALM
      "\uB19F",  # (놟; 놟; 놟; 놟; 놟; ) HANGUL SYLLABLE NWALB
      "\uB1A0",  # (놠; 놠; 놠; 놠; 놠; ) HANGUL SYLLABLE NWALS
      "\uB1A1",  # (놡; 놡; 놡; 놡; 놡; ) HANGUL SYLLABLE NWALT
      "\uB1A2",  # (놢; 놢; 놢; 놢; 놢; ) HANGUL SYLLABLE NWALP
      "\uB1A3",  # (놣; 놣; 놣; 놣; 놣; ) HANGUL SYLLABLE NWALH
      "\uB1A4",  # (놤; 놤; 놤; 놤; 놤; ) HANGUL SYLLABLE NWAM
      "\uB1A5",  # (놥; 놥; 놥; 놥; 놥; ) HANGUL SYLLABLE NWAB
      "\uB1A6",  # (놦; 놦; 놦; 놦; 놦; ) HANGUL SYLLABLE NWABS
      "\uB1A7",  # (놧; 놧; 놧; 놧; 놧; ) HANGUL SYLLABLE NWAS
      "\uB1A8",  # (놨; 놨; 놨; 놨; 놨; ) HANGUL SYLLABLE NWASS
      "\uB1A9",  # (놩; 놩; 놩; 놩; 놩; ) HANGUL SYLLABLE NWANG
      "\uB1AA",  # (놪; 놪; 놪; 놪; 놪; ) HANGUL SYLLABLE NWAJ
      "\uB1AB",  # (놫; 놫; 놫; 놫; 놫; ) HANGUL SYLLABLE NWAC
      "\uB1AC",  # (놬; 놬; 놬; 놬; 놬; ) HANGUL SYLLABLE NWAK
      "\uB1AD",  # (놭; 놭; 놭; 놭; 놭; ) HANGUL SYLLABLE NWAT
      "\uB1AE",  # (놮; 놮; 놮; 놮; 놮; ) HANGUL SYLLABLE NWAP
      "\uB1AF",  # (놯; 놯; 놯; 놯; 놯; ) HANGUL SYLLABLE NWAH
      "\uB1B0",  # (놰; 놰; 놰; 놰; 놰; ) HANGUL SYLLABLE NWAE
      "\uB1B1",  # (놱; 놱; 놱; 놱; 놱; ) HANGUL SYLLABLE NWAEG
      "\uB1B2",  # (놲; 놲; 놲; 놲; 놲; ) HANGUL SYLLABLE NWAEGG
      "\uB1B3",  # (놳; 놳; 놳; 놳; 놳; ) HANGUL SYLLABLE NWAEGS
      "\uB1B4",  # (놴; 놴; 놴; 놴; 놴; ) HANGUL SYLLABLE NWAEN
      "\uB1B5",  # (놵; 놵; 놵; 놵; 놵; ) HANGUL SYLLABLE NWAENJ
      "\uB1B6",  # (놶; 놶; 놶; 놶; 놶; ) HANGUL SYLLABLE NWAENH
      "\uB1B7",  # (놷; 놷; 놷; 놷; 놷; ) HANGUL SYLLABLE NWAED
      "\uB1B8",  # (놸; 놸; 놸; 놸; 놸; ) HANGUL SYLLABLE NWAEL
      "\uB1B9",  # (놹; 놹; 놹; 놹; 놹; ) HANGUL SYLLABLE NWAELG
      "\uB1BA",  # (놺; 놺; 놺; 놺; 놺; ) HANGUL SYLLABLE NWAELM
      "\uB1BB",  # (놻; 놻; 놻; 놻; 놻; ) HANGUL SYLLABLE NWAELB
      "\uB1BC",  # (놼; 놼; 놼; 놼; 놼; ) HANGUL SYLLABLE NWAELS
      "\uB1BD",  # (놽; 놽; 놽; 놽; 놽; ) HANGUL SYLLABLE NWAELT
      "\uB1BE",  # (놾; 놾; 놾; 놾; 놾; ) HANGUL SYLLABLE NWAELP
      "\uB1BF",  # (놿; 놿; 놿; 놿; 놿; ) HANGUL SYLLABLE NWAELH
      "\uB1C0",  # (뇀; 뇀; 뇀; 뇀; 뇀; ) HANGUL SYLLABLE NWAEM
      "\uB1C1",  # (뇁; 뇁; 뇁; 뇁; 뇁; ) HANGUL SYLLABLE NWAEB
      "\uB1C2",  # (뇂; 뇂; 뇂; 뇂; 뇂; ) HANGUL SYLLABLE NWAEBS
      "\uB1C3",  # (뇃; 뇃; 뇃; 뇃; 뇃; ) HANGUL SYLLABLE NWAES
      "\uB1C4",  # (뇄; 뇄; 뇄; 뇄; 뇄; ) HANGUL SYLLABLE NWAESS
      "\uB1C5",  # (뇅; 뇅; 뇅; 뇅; 뇅; ) HANGUL SYLLABLE NWAENG
      "\uB1C6",  # (뇆; 뇆; 뇆; 뇆; 뇆; ) HANGUL SYLLABLE NWAEJ
      "\uB1C7",  # (뇇; 뇇; 뇇; 뇇; 뇇; ) HANGUL SYLLABLE NWAEC
      "\uB1C8",  # (뇈; 뇈; 뇈; 뇈; 뇈; ) HANGUL SYLLABLE NWAEK
      "\uB1C9",  # (뇉; 뇉; 뇉; 뇉; 뇉; ) HANGUL SYLLABLE NWAET
      "\uB1CA",  # (뇊; 뇊; 뇊; 뇊; 뇊; ) HANGUL SYLLABLE NWAEP
      "\uB1CB",  # (뇋; 뇋; 뇋; 뇋; 뇋; ) HANGUL SYLLABLE NWAEH
      "\uB1CC",  # (뇌; 뇌; 뇌; 뇌; 뇌; ) HANGUL SYLLABLE NOE
      "\uB1CD",  # (뇍; 뇍; 뇍; 뇍; 뇍; ) HANGUL SYLLABLE NOEG
      "\uB1CE",  # (뇎; 뇎; 뇎; 뇎; 뇎; ) HANGUL SYLLABLE NOEGG
      "\uB1CF",  # (뇏; 뇏; 뇏; 뇏; 뇏; ) HANGUL SYLLABLE NOEGS
      "\uB1D0",  # (뇐; 뇐; 뇐; 뇐; 뇐; ) HANGUL SYLLABLE NOEN
      "\uB1D1",  # (뇑; 뇑; 뇑; 뇑; 뇑; ) HANGUL SYLLABLE NOENJ
      "\uB1D2",  # (뇒; 뇒; 뇒; 뇒; 뇒; ) HANGUL SYLLABLE NOENH
      "\uB1D3",  # (뇓; 뇓; 뇓; 뇓; 뇓; ) HANGUL SYLLABLE NOED
      "\uB1D4",  # (뇔; 뇔; 뇔; 뇔; 뇔; ) HANGUL SYLLABLE NOEL
      "\uB1D5",  # (뇕; 뇕; 뇕; 뇕; 뇕; ) HANGUL SYLLABLE NOELG
      "\uB1D6",  # (뇖; 뇖; 뇖; 뇖; 뇖; ) HANGUL SYLLABLE NOELM
      "\uB1D7",  # (뇗; 뇗; 뇗; 뇗; 뇗; ) HANGUL SYLLABLE NOELB
      "\uB1D8",  # (뇘; 뇘; 뇘; 뇘; 뇘; ) HANGUL SYLLABLE NOELS
      "\uB1D9",  # (뇙; 뇙; 뇙; 뇙; 뇙; ) HANGUL SYLLABLE NOELT
      "\uB1DA",  # (뇚; 뇚; 뇚; 뇚; 뇚; ) HANGUL SYLLABLE NOELP
      "\uB1DB",  # (뇛; 뇛; 뇛; 뇛; 뇛; ) HANGUL SYLLABLE NOELH
      "\uB1DC",  # (뇜; 뇜; 뇜; 뇜; 뇜; ) HANGUL SYLLABLE NOEM
      "\uB1DD",  # (뇝; 뇝; 뇝; 뇝; 뇝; ) HANGUL SYLLABLE NOEB
      "\uB1DE",  # (뇞; 뇞; 뇞; 뇞; 뇞; ) HANGUL SYLLABLE NOEBS
      "\uB1DF",  # (뇟; 뇟; 뇟; 뇟; 뇟; ) HANGUL SYLLABLE NOES
      "\uB1E0",  # (뇠; 뇠; 뇠; 뇠; 뇠; ) HANGUL SYLLABLE NOESS
      "\uB1E1",  # (뇡; 뇡; 뇡; 뇡; 뇡; ) HANGUL SYLLABLE NOENG
      "\uB1E2",  # (뇢; 뇢; 뇢; 뇢; 뇢; ) HANGUL SYLLABLE NOEJ
      "\uB1E3",  # (뇣; 뇣; 뇣; 뇣; 뇣; ) HANGUL SYLLABLE NOEC
      "\uB1E4",  # (뇤; 뇤; 뇤; 뇤; 뇤; ) HANGUL SYLLABLE NOEK
      "\uB1E5",  # (뇥; 뇥; 뇥; 뇥; 뇥; ) HANGUL SYLLABLE NOET
      "\uB1E6",  # (뇦; 뇦; 뇦; 뇦; 뇦; ) HANGUL SYLLABLE NOEP
      "\uB1E7",  # (뇧; 뇧; 뇧; 뇧; 뇧; ) HANGUL SYLLABLE NOEH
      "\uB1E8",  # (뇨; 뇨; 뇨; 뇨; 뇨; ) HANGUL SYLLABLE NYO
      "\uB1E9",  # (뇩; 뇩; 뇩; 뇩; 뇩; ) HANGUL SYLLABLE NYOG
      "\uB1EA",  # (뇪; 뇪; 뇪; 뇪; 뇪; ) HANGUL SYLLABLE NYOGG
      "\uB1EB",  # (뇫; 뇫; 뇫; 뇫; 뇫; ) HANGUL SYLLABLE NYOGS
      "\uB1EC",  # (뇬; 뇬; 뇬; 뇬; 뇬; ) HANGUL SYLLABLE NYON
      "\uB1ED",  # (뇭; 뇭; 뇭; 뇭; 뇭; ) HANGUL SYLLABLE NYONJ
      "\uB1EE",  # (뇮; 뇮; 뇮; 뇮; 뇮; ) HANGUL SYLLABLE NYONH
      "\uB1EF",  # (뇯; 뇯; 뇯; 뇯; 뇯; ) HANGUL SYLLABLE NYOD
      "\uB1F0",  # (뇰; 뇰; 뇰; 뇰; 뇰; ) HANGUL SYLLABLE NYOL
      "\uB1F1",  # (뇱; 뇱; 뇱; 뇱; 뇱; ) HANGUL SYLLABLE NYOLG
      "\uB1F2",  # (뇲; 뇲; 뇲; 뇲; 뇲; ) HANGUL SYLLABLE NYOLM
      "\uB1F3",  # (뇳; 뇳; 뇳; 뇳; 뇳; ) HANGUL SYLLABLE NYOLB
      "\uB1F4",  # (뇴; 뇴; 뇴; 뇴; 뇴; ) HANGUL SYLLABLE NYOLS
      "\uB1F5",  # (뇵; 뇵; 뇵; 뇵; 뇵; ) HANGUL SYLLABLE NYOLT
      "\uB1F6",  # (뇶; 뇶; 뇶; 뇶; 뇶; ) HANGUL SYLLABLE NYOLP
      "\uB1F7",  # (뇷; 뇷; 뇷; 뇷; 뇷; ) HANGUL SYLLABLE NYOLH
      "\uB1F8",  # (뇸; 뇸; 뇸; 뇸; 뇸; ) HANGUL SYLLABLE NYOM
      "\uB1F9",  # (뇹; 뇹; 뇹; 뇹; 뇹; ) HANGUL SYLLABLE NYOB
      "\uB1FA",  # (뇺; 뇺; 뇺; 뇺; 뇺; ) HANGUL SYLLABLE NYOBS
      "\uB1FB",  # (뇻; 뇻; 뇻; 뇻; 뇻; ) HANGUL SYLLABLE NYOS
      "\uB1FC",  # (뇼; 뇼; 뇼; 뇼; 뇼; ) HANGUL SYLLABLE NYOSS
      "\uB1FD",  # (뇽; 뇽; 뇽; 뇽; 뇽; ) HANGUL SYLLABLE NYONG
      "\uB1FE",  # (뇾; 뇾; 뇾; 뇾; 뇾; ) HANGUL SYLLABLE NYOJ
      "\uB1FF",  # (뇿; 뇿; 뇿; 뇿; 뇿; ) HANGUL SYLLABLE NYOC
      "\uB200",  # (눀; 눀; 눀; 눀; 눀; ) HANGUL SYLLABLE NYOK
      "\uB201",  # (눁; 눁; 눁; 눁; 눁; ) HANGUL SYLLABLE NYOT
      "\uB202",  # (눂; 눂; 눂; 눂; 눂; ) HANGUL SYLLABLE NYOP
      "\uB203",  # (눃; 눃; 눃; 눃; 눃; ) HANGUL SYLLABLE NYOH
      "\uB204",  # (누; 누; 누; 누; 누; ) HANGUL SYLLABLE NU
      "\uB205",  # (눅; 눅; 눅; 눅; 눅; ) HANGUL SYLLABLE NUG
      "\uB206",  # (눆; 눆; 눆; 눆; 눆; ) HANGUL SYLLABLE NUGG
      "\uB207",  # (눇; 눇; 눇; 눇; 눇; ) HANGUL SYLLABLE NUGS
      "\uB208",  # (눈; 눈; 눈; 눈; 눈; ) HANGUL SYLLABLE NUN
      "\uB209",  # (눉; 눉; 눉; 눉; 눉; ) HANGUL SYLLABLE NUNJ
      "\uB20A",  # (눊; 눊; 눊; 눊; 눊; ) HANGUL SYLLABLE NUNH
      "\uB20B",  # (눋; 눋; 눋; 눋; 눋; ) HANGUL SYLLABLE NUD
      "\uB20C",  # (눌; 눌; 눌; 눌; 눌; ) HANGUL SYLLABLE NUL
      "\uB20D",  # (눍; 눍; 눍; 눍; 눍; ) HANGUL SYLLABLE NULG
      "\uB20E",  # (눎; 눎; 눎; 눎; 눎; ) HANGUL SYLLABLE NULM
      "\uB20F",  # (눏; 눏; 눏; 눏; 눏; ) HANGUL SYLLABLE NULB
      "\uB210",  # (눐; 눐; 눐; 눐; 눐; ) HANGUL SYLLABLE NULS
      "\uB211",  # (눑; 눑; 눑; 눑; 눑; ) HANGUL SYLLABLE NULT
      "\uB212",  # (눒; 눒; 눒; 눒; 눒; ) HANGUL SYLLABLE NULP
      "\uB213",  # (눓; 눓; 눓; 눓; 눓; ) HANGUL SYLLABLE NULH
      "\uB214",  # (눔; 눔; 눔; 눔; 눔; ) HANGUL SYLLABLE NUM
      "\uB215",  # (눕; 눕; 눕; 눕; 눕; ) HANGUL SYLLABLE NUB
      "\uB216",  # (눖; 눖; 눖; 눖; 눖; ) HANGUL SYLLABLE NUBS
      "\uB217",  # (눗; 눗; 눗; 눗; 눗; ) HANGUL SYLLABLE NUS
      "\uB218",  # (눘; 눘; 눘; 눘; 눘; ) HANGUL SYLLABLE NUSS
      "\uB219",  # (눙; 눙; 눙; 눙; 눙; ) HANGUL SYLLABLE NUNG
      "\uB21A",  # (눚; 눚; 눚; 눚; 눚; ) HANGUL SYLLABLE NUJ
      "\uB21B",  # (눛; 눛; 눛; 눛; 눛; ) HANGUL SYLLABLE NUC
      "\uB21C",  # (눜; 눜; 눜; 눜; 눜; ) HANGUL SYLLABLE NUK
      "\uB21D",  # (눝; 눝; 눝; 눝; 눝; ) HANGUL SYLLABLE NUT
      "\uB21E",  # (눞; 눞; 눞; 눞; 눞; ) HANGUL SYLLABLE NUP
      "\uB21F",  # (눟; 눟; 눟; 눟; 눟; ) HANGUL SYLLABLE NUH
      "\uB220",  # (눠; 눠; 눠; 눠; 눠; ) HANGUL SYLLABLE NWEO
      "\uB221",  # (눡; 눡; 눡; 눡; 눡; ) HANGUL SYLLABLE NWEOG
      "\uB222",  # (눢; 눢; 눢; 눢; 눢; ) HANGUL SYLLABLE NWEOGG
      "\uB223",  # (눣; 눣; 눣; 눣; 눣; ) HANGUL SYLLABLE NWEOGS
      "\uB224",  # (눤; 눤; 눤; 눤; 눤; ) HANGUL SYLLABLE NWEON
      "\uB225",  # (눥; 눥; 눥; 눥; 눥; ) HANGUL SYLLABLE NWEONJ
      "\uB226",  # (눦; 눦; 눦; 눦; 눦; ) HANGUL SYLLABLE NWEONH
      "\uB227",  # (눧; 눧; 눧; 눧; 눧; ) HANGUL SYLLABLE NWEOD
      "\uB228",  # (눨; 눨; 눨; 눨; 눨; ) HANGUL SYLLABLE NWEOL
      "\uB229",  # (눩; 눩; 눩; 눩; 눩; ) HANGUL SYLLABLE NWEOLG
      "\uB22A",  # (눪; 눪; 눪; 눪; 눪; ) HANGUL SYLLABLE NWEOLM
      "\uB22B",  # (눫; 눫; 눫; 눫; 눫; ) HANGUL SYLLABLE NWEOLB
      "\uB22C",  # (눬; 눬; 눬; 눬; 눬; ) HANGUL SYLLABLE NWEOLS
      "\uB22D",  # (눭; 눭; 눭; 눭; 눭; ) HANGUL SYLLABLE NWEOLT
      "\uB22E",  # (눮; 눮; 눮; 눮; 눮; ) HANGUL SYLLABLE NWEOLP
      "\uB22F",  # (눯; 눯; 눯; 눯; 눯; ) HANGUL SYLLABLE NWEOLH
      "\uB230",  # (눰; 눰; 눰; 눰; 눰; ) HANGUL SYLLABLE NWEOM
      "\uB231",  # (눱; 눱; 눱; 눱; 눱; ) HANGUL SYLLABLE NWEOB
      "\uB232",  # (눲; 눲; 눲; 눲; 눲; ) HANGUL SYLLABLE NWEOBS
      "\uB233",  # (눳; 눳; 눳; 눳; 눳; ) HANGUL SYLLABLE NWEOS
      "\uB234",  # (눴; 눴; 눴; 눴; 눴; ) HANGUL SYLLABLE NWEOSS
      "\uB235",  # (눵; 눵; 눵; 눵; 눵; ) HANGUL SYLLABLE NWEONG
      "\uB236",  # (눶; 눶; 눶; 눶; 눶; ) HANGUL SYLLABLE NWEOJ
      "\uB237",  # (눷; 눷; 눷; 눷; 눷; ) HANGUL SYLLABLE NWEOC
      "\uB238",  # (눸; 눸; 눸; 눸; 눸; ) HANGUL SYLLABLE NWEOK
      "\uB239",  # (눹; 눹; 눹; 눹; 눹; ) HANGUL SYLLABLE NWEOT
      "\uB23A",  # (눺; 눺; 눺; 눺; 눺; ) HANGUL SYLLABLE NWEOP
      "\uB23B",  # (눻; 눻; 눻; 눻; 눻; ) HANGUL SYLLABLE NWEOH
      "\uB23C",  # (눼; 눼; 눼; 눼; 눼; ) HANGUL SYLLABLE NWE
      "\uB23D",  # (눽; 눽; 눽; 눽; 눽; ) HANGUL SYLLABLE NWEG
      "\uB23E",  # (눾; 눾; 눾; 눾; 눾; ) HANGUL SYLLABLE NWEGG
      "\uB23F",  # (눿; 눿; 눿; 눿; 눿; ) HANGUL SYLLABLE NWEGS
      "\uB240",  # (뉀; 뉀; 뉀; 뉀; 뉀; ) HANGUL SYLLABLE NWEN
      "\uB241",  # (뉁; 뉁; 뉁; 뉁; 뉁; ) HANGUL SYLLABLE NWENJ
      "\uB242",  # (뉂; 뉂; 뉂; 뉂; 뉂; ) HANGUL SYLLABLE NWENH
      "\uB243",  # (뉃; 뉃; 뉃; 뉃; 뉃; ) HANGUL SYLLABLE NWED
      "\uB244",  # (뉄; 뉄; 뉄; 뉄; 뉄; ) HANGUL SYLLABLE NWEL
      "\uB245",  # (뉅; 뉅; 뉅; 뉅; 뉅; ) HANGUL SYLLABLE NWELG
      "\uB246",  # (뉆; 뉆; 뉆; 뉆; 뉆; ) HANGUL SYLLABLE NWELM
      "\uB247",  # (뉇; 뉇; 뉇; 뉇; 뉇; ) HANGUL SYLLABLE NWELB
      "\uB248",  # (뉈; 뉈; 뉈; 뉈; 뉈; ) HANGUL SYLLABLE NWELS
      "\uB249",  # (뉉; 뉉; 뉉; 뉉; 뉉; ) HANGUL SYLLABLE NWELT
      "\uB24A",  # (뉊; 뉊; 뉊; 뉊; 뉊; ) HANGUL SYLLABLE NWELP
      "\uB24B",  # (뉋; 뉋; 뉋; 뉋; 뉋; ) HANGUL SYLLABLE NWELH
      "\uB24C",  # (뉌; 뉌; 뉌; 뉌; 뉌; ) HANGUL SYLLABLE NWEM
      "\uB24D",  # (뉍; 뉍; 뉍; 뉍; 뉍; ) HANGUL SYLLABLE NWEB
      "\uB24E",  # (뉎; 뉎; 뉎; 뉎; 뉎; ) HANGUL SYLLABLE NWEBS
      "\uB24F",  # (뉏; 뉏; 뉏; 뉏; 뉏; ) HANGUL SYLLABLE NWES
      "\uB250",  # (뉐; 뉐; 뉐; 뉐; 뉐; ) HANGUL SYLLABLE NWESS
      "\uB251",  # (뉑; 뉑; 뉑; 뉑; 뉑; ) HANGUL SYLLABLE NWENG
      "\uB252",  # (뉒; 뉒; 뉒; 뉒; 뉒; ) HANGUL SYLLABLE NWEJ
      "\uB253",  # (뉓; 뉓; 뉓; 뉓; 뉓; ) HANGUL SYLLABLE NWEC
      "\uB254",  # (뉔; 뉔; 뉔; 뉔; 뉔; ) HANGUL SYLLABLE NWEK
      "\uB255",  # (뉕; 뉕; 뉕; 뉕; 뉕; ) HANGUL SYLLABLE NWET
      "\uB256",  # (뉖; 뉖; 뉖; 뉖; 뉖; ) HANGUL SYLLABLE NWEP
      "\uB257",  # (뉗; 뉗; 뉗; 뉗; 뉗; ) HANGUL SYLLABLE NWEH
      "\uB258",  # (뉘; 뉘; 뉘; 뉘; 뉘; ) HANGUL SYLLABLE NWI
      "\uB259",  # (뉙; 뉙; 뉙; 뉙; 뉙; ) HANGUL SYLLABLE NWIG
      "\uB25A",  # (뉚; 뉚; 뉚; 뉚; 뉚; ) HANGUL SYLLABLE NWIGG
      "\uB25B",  # (뉛; 뉛; 뉛; 뉛; 뉛; ) HANGUL SYLLABLE NWIGS
      "\uB25C",  # (뉜; 뉜; 뉜; 뉜; 뉜; ) HANGUL SYLLABLE NWIN
      "\uB25D",  # (뉝; 뉝; 뉝; 뉝; 뉝; ) HANGUL SYLLABLE NWINJ
      "\uB25E",  # (뉞; 뉞; 뉞; 뉞; 뉞; ) HANGUL SYLLABLE NWINH
      "\uB25F",  # (뉟; 뉟; 뉟; 뉟; 뉟; ) HANGUL SYLLABLE NWID
      "\uB260",  # (뉠; 뉠; 뉠; 뉠; 뉠; ) HANGUL SYLLABLE NWIL
      "\uB261",  # (뉡; 뉡; 뉡; 뉡; 뉡; ) HANGUL SYLLABLE NWILG
      "\uB262",  # (뉢; 뉢; 뉢; 뉢; 뉢; ) HANGUL SYLLABLE NWILM
      "\uB263",  # (뉣; 뉣; 뉣; 뉣; 뉣; ) HANGUL SYLLABLE NWILB
      "\uB264",  # (뉤; 뉤; 뉤; 뉤; 뉤; ) HANGUL SYLLABLE NWILS
      "\uB265",  # (뉥; 뉥; 뉥; 뉥; 뉥; ) HANGUL SYLLABLE NWILT
      "\uB266",  # (뉦; 뉦; 뉦; 뉦; 뉦; ) HANGUL SYLLABLE NWILP
      "\uB267",  # (뉧; 뉧; 뉧; 뉧; 뉧; ) HANGUL SYLLABLE NWILH
      "\uB268",  # (뉨; 뉨; 뉨; 뉨; 뉨; ) HANGUL SYLLABLE NWIM
      "\uB269",  # (뉩; 뉩; 뉩; 뉩; 뉩; ) HANGUL SYLLABLE NWIB
      "\uB26A",  # (뉪; 뉪; 뉪; 뉪; 뉪; ) HANGUL SYLLABLE NWIBS
      "\uB26B",  # (뉫; 뉫; 뉫; 뉫; 뉫; ) HANGUL SYLLABLE NWIS
      "\uB26C",  # (뉬; 뉬; 뉬; 뉬; 뉬; ) HANGUL SYLLABLE NWISS
      "\uB26D",  # (뉭; 뉭; 뉭; 뉭; 뉭; ) HANGUL SYLLABLE NWING
      "\uB26E",  # (뉮; 뉮; 뉮; 뉮; 뉮; ) HANGUL SYLLABLE NWIJ
      "\uB26F",  # (뉯; 뉯; 뉯; 뉯; 뉯; ) HANGUL SYLLABLE NWIC
      "\uB270",  # (뉰; 뉰; 뉰; 뉰; 뉰; ) HANGUL SYLLABLE NWIK
      "\uB271",  # (뉱; 뉱; 뉱; 뉱; 뉱; ) HANGUL SYLLABLE NWIT
      "\uB272",  # (뉲; 뉲; 뉲; 뉲; 뉲; ) HANGUL SYLLABLE NWIP
      "\uB273",  # (뉳; 뉳; 뉳; 뉳; 뉳; ) HANGUL SYLLABLE NWIH
      "\uB274",  # (뉴; 뉴; 뉴; 뉴; 뉴; ) HANGUL SYLLABLE NYU
      "\uB275",  # (뉵; 뉵; 뉵; 뉵; 뉵; ) HANGUL SYLLABLE NYUG
      "\uB276",  # (뉶; 뉶; 뉶; 뉶; 뉶; ) HANGUL SYLLABLE NYUGG
      "\uB277",  # (뉷; 뉷; 뉷; 뉷; 뉷; ) HANGUL SYLLABLE NYUGS
      "\uB278",  # (뉸; 뉸; 뉸; 뉸; 뉸; ) HANGUL SYLLABLE NYUN
      "\uB279",  # (뉹; 뉹; 뉹; 뉹; 뉹; ) HANGUL SYLLABLE NYUNJ
      "\uB27A",  # (뉺; 뉺; 뉺; 뉺; 뉺; ) HANGUL SYLLABLE NYUNH
      "\uB27B",  # (뉻; 뉻; 뉻; 뉻; 뉻; ) HANGUL SYLLABLE NYUD
      "\uB27C",  # (뉼; 뉼; 뉼; 뉼; 뉼; ) HANGUL SYLLABLE NYUL
      "\uB27D",  # (뉽; 뉽; 뉽; 뉽; 뉽; ) HANGUL SYLLABLE NYULG
      "\uB27E",  # (뉾; 뉾; 뉾; 뉾; 뉾; ) HANGUL SYLLABLE NYULM
      "\uB27F",  # (뉿; 뉿; 뉿; 뉿; 뉿; ) HANGUL SYLLABLE NYULB
      "\uB280",  # (늀; 늀; 늀; 늀; 늀; ) HANGUL SYLLABLE NYULS
      "\uB281",  # (늁; 늁; 늁; 늁; 늁; ) HANGUL SYLLABLE NYULT
      "\uB282",  # (늂; 늂; 늂; 늂; 늂; ) HANGUL SYLLABLE NYULP
      "\uB283",  # (늃; 늃; 늃; 늃; 늃; ) HANGUL SYLLABLE NYULH
      "\uB284",  # (늄; 늄; 늄; 늄; 늄; ) HANGUL SYLLABLE NYUM
      "\uB285",  # (늅; 늅; 늅; 늅; 늅; ) HANGUL SYLLABLE NYUB
      "\uB286",  # (늆; 늆; 늆; 늆; 늆; ) HANGUL SYLLABLE NYUBS
      "\uB287",  # (늇; 늇; 늇; 늇; 늇; ) HANGUL SYLLABLE NYUS
      "\uB288",  # (늈; 늈; 늈; 늈; 늈; ) HANGUL SYLLABLE NYUSS
      "\uB289",  # (늉; 늉; 늉; 늉; 늉; ) HANGUL SYLLABLE NYUNG
      "\uB28A",  # (늊; 늊; 늊; 늊; 늊; ) HANGUL SYLLABLE NYUJ
      "\uB28B",  # (늋; 늋; 늋; 늋; 늋; ) HANGUL SYLLABLE NYUC
      "\uB28C",  # (늌; 늌; 늌; 늌; 늌; ) HANGUL SYLLABLE NYUK
      "\uB28D",  # (늍; 늍; 늍; 늍; 늍; ) HANGUL SYLLABLE NYUT
      "\uB28E",  # (늎; 늎; 늎; 늎; 늎; ) HANGUL SYLLABLE NYUP
      "\uB28F",  # (늏; 늏; 늏; 늏; 늏; ) HANGUL SYLLABLE NYUH
      "\uB290",  # (느; 느; 느; 느; 느; ) HANGUL SYLLABLE NEU
      "\uB291",  # (늑; 늑; 늑; 늑; 늑; ) HANGUL SYLLABLE NEUG
      "\uB292",  # (늒; 늒; 늒; 늒; 늒; ) HANGUL SYLLABLE NEUGG
      "\uB293",  # (늓; 늓; 늓; 늓; 늓; ) HANGUL SYLLABLE NEUGS
      "\uB294",  # (는; 는; 는; 는; 는; ) HANGUL SYLLABLE NEUN
      "\uB295",  # (늕; 늕; 늕; 늕; 늕; ) HANGUL SYLLABLE NEUNJ
      "\uB296",  # (늖; 늖; 늖; 늖; 늖; ) HANGUL SYLLABLE NEUNH
      "\uB297",  # (늗; 늗; 늗; 늗; 늗; ) HANGUL SYLLABLE NEUD
      "\uB298",  # (늘; 늘; 늘; 늘; 늘; ) HANGUL SYLLABLE NEUL
      "\uB299",  # (늙; 늙; 늙; 늙; 늙; ) HANGUL SYLLABLE NEULG
      "\uB29A",  # (늚; 늚; 늚; 늚; 늚; ) HANGUL SYLLABLE NEULM
      "\uB29B",  # (늛; 늛; 늛; 늛; 늛; ) HANGUL SYLLABLE NEULB
      "\uB29C",  # (늜; 늜; 늜; 늜; 늜; ) HANGUL SYLLABLE NEULS
      "\uB29D",  # (늝; 늝; 늝; 늝; 늝; ) HANGUL SYLLABLE NEULT
      "\uB29E",  # (늞; 늞; 늞; 늞; 늞; ) HANGUL SYLLABLE NEULP
      "\uB29F",  # (늟; 늟; 늟; 늟; 늟; ) HANGUL SYLLABLE NEULH
      "\uB2A0",  # (늠; 늠; 늠; 늠; 늠; ) HANGUL SYLLABLE NEUM
      "\uB2A1",  # (늡; 늡; 늡; 늡; 늡; ) HANGUL SYLLABLE NEUB
      "\uB2A2",  # (늢; 늢; 늢; 늢; 늢; ) HANGUL SYLLABLE NEUBS
      "\uB2A3",  # (늣; 늣; 늣; 늣; 늣; ) HANGUL SYLLABLE NEUS
      "\uB2A4",  # (늤; 늤; 늤; 늤; 늤; ) HANGUL SYLLABLE NEUSS
      "\uB2A5",  # (능; 능; 능; 능; 능; ) HANGUL SYLLABLE NEUNG
      "\uB2A6",  # (늦; 늦; 늦; 늦; 늦; ) HANGUL SYLLABLE NEUJ
      "\uB2A7",  # (늧; 늧; 늧; 늧; 늧; ) HANGUL SYLLABLE NEUC
      "\uB2A8",  # (늨; 늨; 늨; 늨; 늨; ) HANGUL SYLLABLE NEUK
      "\uB2A9",  # (늩; 늩; 늩; 늩; 늩; ) HANGUL SYLLABLE NEUT
      "\uB2AA",  # (늪; 늪; 늪; 늪; 늪; ) HANGUL SYLLABLE NEUP
      "\uB2AB",  # (늫; 늫; 늫; 늫; 늫; ) HANGUL SYLLABLE NEUH
      "\uB2AC",  # (늬; 늬; 늬; 늬; 늬; ) HANGUL SYLLABLE NYI
      "\uB2AD",  # (늭; 늭; 늭; 늭; 늭; ) HANGUL SYLLABLE NYIG
      "\uB2AE",  # (늮; 늮; 늮; 늮; 늮; ) HANGUL SYLLABLE NYIGG
      "\uB2AF",  # (늯; 늯; 늯; 늯; 늯; ) HANGUL SYLLABLE NYIGS
      "\uB2B0",  # (늰; 늰; 늰; 늰; 늰; ) HANGUL SYLLABLE NYIN
      "\uB2B1",  # (늱; 늱; 늱; 늱; 늱; ) HANGUL SYLLABLE NYINJ
      "\uB2B2",  # (늲; 늲; 늲; 늲; 늲; ) HANGUL SYLLABLE NYINH
      "\uB2B3",  # (늳; 늳; 늳; 늳; 늳; ) HANGUL SYLLABLE NYID
      "\uB2B4",  # (늴; 늴; 늴; 늴; 늴; ) HANGUL SYLLABLE NYIL
      "\uB2B5",  # (늵; 늵; 늵; 늵; 늵; ) HANGUL SYLLABLE NYILG
      "\uB2B6",  # (늶; 늶; 늶; 늶; 늶; ) HANGUL SYLLABLE NYILM
      "\uB2B7",  # (늷; 늷; 늷; 늷; 늷; ) HANGUL SYLLABLE NYILB
      "\uB2B8",  # (늸; 늸; 늸; 늸; 늸; ) HANGUL SYLLABLE NYILS
      "\uB2B9",  # (늹; 늹; 늹; 늹; 늹; ) HANGUL SYLLABLE NYILT
      "\uB2BA",  # (늺; 늺; 늺; 늺; 늺; ) HANGUL SYLLABLE NYILP
      "\uB2BB",  # (늻; 늻; 늻; 늻; 늻; ) HANGUL SYLLABLE NYILH
      "\uB2BC",  # (늼; 늼; 늼; 늼; 늼; ) HANGUL SYLLABLE NYIM
      "\uB2BD",  # (늽; 늽; 늽; 늽; 늽; ) HANGUL SYLLABLE NYIB
      "\uB2BE",  # (늾; 늾; 늾; 늾; 늾; ) HANGUL SYLLABLE NYIBS
      "\uB2BF",  # (늿; 늿; 늿; 늿; 늿; ) HANGUL SYLLABLE NYIS
      "\uB2C0",  # (닀; 닀; 닀; 닀; 닀; ) HANGUL SYLLABLE NYISS
      "\uB2C1",  # (닁; 닁; 닁; 닁; 닁; ) HANGUL SYLLABLE NYING
      "\uB2C2",  # (닂; 닂; 닂; 닂; 닂; ) HANGUL SYLLABLE NYIJ
      "\uB2C3",  # (닃; 닃; 닃; 닃; 닃; ) HANGUL SYLLABLE NYIC
      "\uB2C4",  # (닄; 닄; 닄; 닄; 닄; ) HANGUL SYLLABLE NYIK
      "\uB2C5",  # (닅; 닅; 닅; 닅; 닅; ) HANGUL SYLLABLE NYIT
      "\uB2C6",  # (닆; 닆; 닆; 닆; 닆; ) HANGUL SYLLABLE NYIP
      "\uB2C7",  # (닇; 닇; 닇; 닇; 닇; ) HANGUL SYLLABLE NYIH
      "\uB2C8",  # (니; 니; 니; 니; 니; ) HANGUL SYLLABLE NI
      "\uB2C9",  # (닉; 닉; 닉; 닉; 닉; ) HANGUL SYLLABLE NIG
      "\uB2CA",  # (닊; 닊; 닊; 닊; 닊; ) HANGUL SYLLABLE NIGG
      "\uB2CB",  # (닋; 닋; 닋; 닋; 닋; ) HANGUL SYLLABLE NIGS
      "\uB2CC",  # (닌; 닌; 닌; 닌; 닌; ) HANGUL SYLLABLE NIN
      "\uB2CD",  # (닍; 닍; 닍; 닍; 닍; ) HANGUL SYLLABLE NINJ
      "\uB2CE",  # (닎; 닎; 닎; 닎; 닎; ) HANGUL SYLLABLE NINH
      "\uB2CF",  # (닏; 닏; 닏; 닏; 닏; ) HANGUL SYLLABLE NID
      "\uB2D0",  # (닐; 닐; 닐; 닐; 닐; ) HANGUL SYLLABLE NIL
      "\uB2D1",  # (닑; 닑; 닑; 닑; 닑; ) HANGUL SYLLABLE NILG
      "\uB2D2",  # (닒; 닒; 닒; 닒; 닒; ) HANGUL SYLLABLE NILM
      "\uB2D3",  # (닓; 닓; 닓; 닓; 닓; ) HANGUL SYLLABLE NILB
      "\uB2D4",  # (닔; 닔; 닔; 닔; 닔; ) HANGUL SYLLABLE NILS
      "\uB2D5",  # (닕; 닕; 닕; 닕; 닕; ) HANGUL SYLLABLE NILT
      "\uB2D6",  # (닖; 닖; 닖; 닖; 닖; ) HANGUL SYLLABLE NILP
      "\uB2D7",  # (닗; 닗; 닗; 닗; 닗; ) HANGUL SYLLABLE NILH
      "\uB2D8",  # (님; 님; 님; 님; 님; ) HANGUL SYLLABLE NIM
      "\uB2D9",  # (닙; 닙; 닙; 닙; 닙; ) HANGUL SYLLABLE NIB
      "\uB2DA",  # (닚; 닚; 닚; 닚; 닚; ) HANGUL SYLLABLE NIBS
      "\uB2DB",  # (닛; 닛; 닛; 닛; 닛; ) HANGUL SYLLABLE NIS
      "\uB2DC",  # (닜; 닜; 닜; 닜; 닜; ) HANGUL SYLLABLE NISS
      "\uB2DD",  # (닝; 닝; 닝; 닝; 닝; ) HANGUL SYLLABLE NING
      "\uB2DE",  # (닞; 닞; 닞; 닞; 닞; ) HANGUL SYLLABLE NIJ
      "\uB2DF",  # (닟; 닟; 닟; 닟; 닟; ) HANGUL SYLLABLE NIC
      "\uB2E0",  # (닠; 닠; 닠; 닠; 닠; ) HANGUL SYLLABLE NIK
      "\uB2E1",  # (닡; 닡; 닡; 닡; 닡; ) HANGUL SYLLABLE NIT
      "\uB2E2",  # (닢; 닢; 닢; 닢; 닢; ) HANGUL SYLLABLE NIP
      "\uB2E3",  # (닣; 닣; 닣; 닣; 닣; ) HANGUL SYLLABLE NIH
      "\uB2E4",  # (다; 다; 다; 다; 다; ) HANGUL SYLLABLE DA
      "\uB2E5",  # (닥; 닥; 닥; 닥; 닥; ) HANGUL SYLLABLE DAG
      "\uB2E6",  # (닦; 닦; 닦; 닦; 닦; ) HANGUL SYLLABLE DAGG
      "\uB2E7",  # (닧; 닧; 닧; 닧; 닧; ) HANGUL SYLLABLE DAGS
      "\uB2E8",  # (단; 단; 단; 단; 단; ) HANGUL SYLLABLE DAN
      "\uB2E9",  # (닩; 닩; 닩; 닩; 닩; ) HANGUL SYLLABLE DANJ
      "\uB2EA",  # (닪; 닪; 닪; 닪; 닪; ) HANGUL SYLLABLE DANH
      "\uB2EB",  # (닫; 닫; 닫; 닫; 닫; ) HANGUL SYLLABLE DAD
      "\uB2EC",  # (달; 달; 달; 달; 달; ) HANGUL SYLLABLE DAL
      "\uB2ED",  # (닭; 닭; 닭; 닭; 닭; ) HANGUL SYLLABLE DALG
      "\uB2EE",  # (닮; 닮; 닮; 닮; 닮; ) HANGUL SYLLABLE DALM
      "\uB2EF",  # (닯; 닯; 닯; 닯; 닯; ) HANGUL SYLLABLE DALB
      "\uB2F0",  # (닰; 닰; 닰; 닰; 닰; ) HANGUL SYLLABLE DALS
      "\uB2F1",  # (닱; 닱; 닱; 닱; 닱; ) HANGUL SYLLABLE DALT
      "\uB2F2",  # (닲; 닲; 닲; 닲; 닲; ) HANGUL SYLLABLE DALP
      "\uB2F3",  # (닳; 닳; 닳; 닳; 닳; ) HANGUL SYLLABLE DALH
      "\uB2F4",  # (담; 담; 담; 담; 담; ) HANGUL SYLLABLE DAM
      "\uB2F5",  # (답; 답; 답; 답; 답; ) HANGUL SYLLABLE DAB
      "\uB2F6",  # (닶; 닶; 닶; 닶; 닶; ) HANGUL SYLLABLE DABS
      "\uB2F7",  # (닷; 닷; 닷; 닷; 닷; ) HANGUL SYLLABLE DAS
      "\uB2F8",  # (닸; 닸; 닸; 닸; 닸; ) HANGUL SYLLABLE DASS
      "\uB2F9",  # (당; 당; 당; 당; 당; ) HANGUL SYLLABLE DANG
      "\uB2FA",  # (닺; 닺; 닺; 닺; 닺; ) HANGUL SYLLABLE DAJ
      "\uB2FB",  # (닻; 닻; 닻; 닻; 닻; ) HANGUL SYLLABLE DAC
      "\uB2FC",  # (닼; 닼; 닼; 닼; 닼; ) HANGUL SYLLABLE DAK
      "\uB2FD",  # (닽; 닽; 닽; 닽; 닽; ) HANGUL SYLLABLE DAT
      "\uB2FE",  # (닾; 닾; 닾; 닾; 닾; ) HANGUL SYLLABLE DAP
      "\uB2FF",  # (닿; 닿; 닿; 닿; 닿; ) HANGUL SYLLABLE DAH
      "\uB300",  # (대; 대; 대; 대; 대; ) HANGUL SYLLABLE DAE
      "\uB301",  # (댁; 댁; 댁; 댁; 댁; ) HANGUL SYLLABLE DAEG
      "\uB302",  # (댂; 댂; 댂; 댂; 댂; ) HANGUL SYLLABLE DAEGG
      "\uB303",  # (댃; 댃; 댃; 댃; 댃; ) HANGUL SYLLABLE DAEGS
      "\uB304",  # (댄; 댄; 댄; 댄; 댄; ) HANGUL SYLLABLE DAEN
      "\uB305",  # (댅; 댅; 댅; 댅; 댅; ) HANGUL SYLLABLE DAENJ
      "\uB306",  # (댆; 댆; 댆; 댆; 댆; ) HANGUL SYLLABLE DAENH
      "\uB307",  # (댇; 댇; 댇; 댇; 댇; ) HANGUL SYLLABLE DAED
      "\uB308",  # (댈; 댈; 댈; 댈; 댈; ) HANGUL SYLLABLE DAEL
      "\uB309",  # (댉; 댉; 댉; 댉; 댉; ) HANGUL SYLLABLE DAELG
      "\uB30A",  # (댊; 댊; 댊; 댊; 댊; ) HANGUL SYLLABLE DAELM
      "\uB30B",  # (댋; 댋; 댋; 댋; 댋; ) HANGUL SYLLABLE DAELB
      "\uB30C",  # (댌; 댌; 댌; 댌; 댌; ) HANGUL SYLLABLE DAELS
      "\uB30D",  # (댍; 댍; 댍; 댍; 댍; ) HANGUL SYLLABLE DAELT
      "\uB30E",  # (댎; 댎; 댎; 댎; 댎; ) HANGUL SYLLABLE DAELP
      "\uB30F",  # (댏; 댏; 댏; 댏; 댏; ) HANGUL SYLLABLE DAELH
      "\uB310",  # (댐; 댐; 댐; 댐; 댐; ) HANGUL SYLLABLE DAEM
      "\uB311",  # (댑; 댑; 댑; 댑; 댑; ) HANGUL SYLLABLE DAEB
      "\uB312",  # (댒; 댒; 댒; 댒; 댒; ) HANGUL SYLLABLE DAEBS
      "\uB313",  # (댓; 댓; 댓; 댓; 댓; ) HANGUL SYLLABLE DAES
      "\uB314",  # (댔; 댔; 댔; 댔; 댔; ) HANGUL SYLLABLE DAESS
      "\uB315",  # (댕; 댕; 댕; 댕; 댕; ) HANGUL SYLLABLE DAENG
      "\uB316",  # (댖; 댖; 댖; 댖; 댖; ) HANGUL SYLLABLE DAEJ
      "\uB317",  # (댗; 댗; 댗; 댗; 댗; ) HANGUL SYLLABLE DAEC
      "\uB318",  # (댘; 댘; 댘; 댘; 댘; ) HANGUL SYLLABLE DAEK
      "\uB319",  # (댙; 댙; 댙; 댙; 댙; ) HANGUL SYLLABLE DAET
      "\uB31A",  # (댚; 댚; 댚; 댚; 댚; ) HANGUL SYLLABLE DAEP
      "\uB31B",  # (댛; 댛; 댛; 댛; 댛; ) HANGUL SYLLABLE DAEH
      "\uB31C",  # (댜; 댜; 댜; 댜; 댜; ) HANGUL SYLLABLE DYA
      "\uB31D",  # (댝; 댝; 댝; 댝; 댝; ) HANGUL SYLLABLE DYAG
      "\uB31E",  # (댞; 댞; 댞; 댞; 댞; ) HANGUL SYLLABLE DYAGG
      "\uB31F",  # (댟; 댟; 댟; 댟; 댟; ) HANGUL SYLLABLE DYAGS
      "\uB320",  # (댠; 댠; 댠; 댠; 댠; ) HANGUL SYLLABLE DYAN
      "\uB321",  # (댡; 댡; 댡; 댡; 댡; ) HANGUL SYLLABLE DYANJ
      "\uB322",  # (댢; 댢; 댢; 댢; 댢; ) HANGUL SYLLABLE DYANH
      "\uB323",  # (댣; 댣; 댣; 댣; 댣; ) HANGUL SYLLABLE DYAD
      "\uB324",  # (댤; 댤; 댤; 댤; 댤; ) HANGUL SYLLABLE DYAL
      "\uB325",  # (댥; 댥; 댥; 댥; 댥; ) HANGUL SYLLABLE DYALG
      "\uB326",  # (댦; 댦; 댦; 댦; 댦; ) HANGUL SYLLABLE DYALM
      "\uB327",  # (댧; 댧; 댧; 댧; 댧; ) HANGUL SYLLABLE DYALB
      "\uB328",  # (댨; 댨; 댨; 댨; 댨; ) HANGUL SYLLABLE DYALS
      "\uB329",  # (댩; 댩; 댩; 댩; 댩; ) HANGUL SYLLABLE DYALT
      "\uB32A",  # (댪; 댪; 댪; 댪; 댪; ) HANGUL SYLLABLE DYALP
      "\uB32B",  # (댫; 댫; 댫; 댫; 댫; ) HANGUL SYLLABLE DYALH
      "\uB32C",  # (댬; 댬; 댬; 댬; 댬; ) HANGUL SYLLABLE DYAM
      "\uB32D",  # (댭; 댭; 댭; 댭; 댭; ) HANGUL SYLLABLE DYAB
      "\uB32E",  # (댮; 댮; 댮; 댮; 댮; ) HANGUL SYLLABLE DYABS
      "\uB32F",  # (댯; 댯; 댯; 댯; 댯; ) HANGUL SYLLABLE DYAS
      "\uB330",  # (댰; 댰; 댰; 댰; 댰; ) HANGUL SYLLABLE DYASS
      "\uB331",  # (댱; 댱; 댱; 댱; 댱; ) HANGUL SYLLABLE DYANG
      "\uB332",  # (댲; 댲; 댲; 댲; 댲; ) HANGUL SYLLABLE DYAJ
      "\uB333",  # (댳; 댳; 댳; 댳; 댳; ) HANGUL SYLLABLE DYAC
      "\uB334",  # (댴; 댴; 댴; 댴; 댴; ) HANGUL SYLLABLE DYAK
      "\uB335",  # (댵; 댵; 댵; 댵; 댵; ) HANGUL SYLLABLE DYAT
      "\uB336",  # (댶; 댶; 댶; 댶; 댶; ) HANGUL SYLLABLE DYAP
      "\uB337",  # (댷; 댷; 댷; 댷; 댷; ) HANGUL SYLLABLE DYAH
      "\uB338",  # (댸; 댸; 댸; 댸; 댸; ) HANGUL SYLLABLE DYAE
      "\uB339",  # (댹; 댹; 댹; 댹; 댹; ) HANGUL SYLLABLE DYAEG
      "\uB33A",  # (댺; 댺; 댺; 댺; 댺; ) HANGUL SYLLABLE DYAEGG
      "\uB33B",  # (댻; 댻; 댻; 댻; 댻; ) HANGUL SYLLABLE DYAEGS
      "\uB33C",  # (댼; 댼; 댼; 댼; 댼; ) HANGUL SYLLABLE DYAEN
      "\uB33D",  # (댽; 댽; 댽; 댽; 댽; ) HANGUL SYLLABLE DYAENJ
      "\uB33E",  # (댾; 댾; 댾; 댾; 댾; ) HANGUL SYLLABLE DYAENH
      "\uB33F",  # (댿; 댿; 댿; 댿; 댿; ) HANGUL SYLLABLE DYAED
      "\uB340",  # (덀; 덀; 덀; 덀; 덀; ) HANGUL SYLLABLE DYAEL
      "\uB341",  # (덁; 덁; 덁; 덁; 덁; ) HANGUL SYLLABLE DYAELG
      "\uB342",  # (덂; 덂; 덂; 덂; 덂; ) HANGUL SYLLABLE DYAELM
      "\uB343",  # (덃; 덃; 덃; 덃; 덃; ) HANGUL SYLLABLE DYAELB
      "\uB344",  # (덄; 덄; 덄; 덄; 덄; ) HANGUL SYLLABLE DYAELS
      "\uB345",  # (덅; 덅; 덅; 덅; 덅; ) HANGUL SYLLABLE DYAELT
      "\uB346",  # (덆; 덆; 덆; 덆; 덆; ) HANGUL SYLLABLE DYAELP
      "\uB347",  # (덇; 덇; 덇; 덇; 덇; ) HANGUL SYLLABLE DYAELH
      "\uB348",  # (덈; 덈; 덈; 덈; 덈; ) HANGUL SYLLABLE DYAEM
      "\uB349",  # (덉; 덉; 덉; 덉; 덉; ) HANGUL SYLLABLE DYAEB
      "\uB34A",  # (덊; 덊; 덊; 덊; 덊; ) HANGUL SYLLABLE DYAEBS
      "\uB34B",  # (덋; 덋; 덋; 덋; 덋; ) HANGUL SYLLABLE DYAES
      "\uB34C",  # (덌; 덌; 덌; 덌; 덌; ) HANGUL SYLLABLE DYAESS
      "\uB34D",  # (덍; 덍; 덍; 덍; 덍; ) HANGUL SYLLABLE DYAENG
      "\uB34E",  # (덎; 덎; 덎; 덎; 덎; ) HANGUL SYLLABLE DYAEJ
      "\uB34F",  # (덏; 덏; 덏; 덏; 덏; ) HANGUL SYLLABLE DYAEC
      "\uB350",  # (덐; 덐; 덐; 덐; 덐; ) HANGUL SYLLABLE DYAEK
      "\uB351",  # (덑; 덑; 덑; 덑; 덑; ) HANGUL SYLLABLE DYAET
      "\uB352",  # (덒; 덒; 덒; 덒; 덒; ) HANGUL SYLLABLE DYAEP
      "\uB353",  # (덓; 덓; 덓; 덓; 덓; ) HANGUL SYLLABLE DYAEH
      "\uB354",  # (더; 더; 더; 더; 더; ) HANGUL SYLLABLE DEO
      "\uB355",  # (덕; 덕; 덕; 덕; 덕; ) HANGUL SYLLABLE DEOG
      "\uB356",  # (덖; 덖; 덖; 덖; 덖; ) HANGUL SYLLABLE DEOGG
      "\uB357",  # (덗; 덗; 덗; 덗; 덗; ) HANGUL SYLLABLE DEOGS
      "\uB358",  # (던; 던; 던; 던; 던; ) HANGUL SYLLABLE DEON
      "\uB359",  # (덙; 덙; 덙; 덙; 덙; ) HANGUL SYLLABLE DEONJ
      "\uB35A",  # (덚; 덚; 덚; 덚; 덚; ) HANGUL SYLLABLE DEONH
      "\uB35B",  # (덛; 덛; 덛; 덛; 덛; ) HANGUL SYLLABLE DEOD
      "\uB35C",  # (덜; 덜; 덜; 덜; 덜; ) HANGUL SYLLABLE DEOL
      "\uB35D",  # (덝; 덝; 덝; 덝; 덝; ) HANGUL SYLLABLE DEOLG
      "\uB35E",  # (덞; 덞; 덞; 덞; 덞; ) HANGUL SYLLABLE DEOLM
      "\uB35F",  # (덟; 덟; 덟; 덟; 덟; ) HANGUL SYLLABLE DEOLB
      "\uB360",  # (덠; 덠; 덠; 덠; 덠; ) HANGUL SYLLABLE DEOLS
      "\uB361",  # (덡; 덡; 덡; 덡; 덡; ) HANGUL SYLLABLE DEOLT
      "\uB362",  # (덢; 덢; 덢; 덢; 덢; ) HANGUL SYLLABLE DEOLP
      "\uB363",  # (덣; 덣; 덣; 덣; 덣; ) HANGUL SYLLABLE DEOLH
      "\uB364",  # (덤; 덤; 덤; 덤; 덤; ) HANGUL SYLLABLE DEOM
      "\uB365",  # (덥; 덥; 덥; 덥; 덥; ) HANGUL SYLLABLE DEOB
      "\uB366",  # (덦; 덦; 덦; 덦; 덦; ) HANGUL SYLLABLE DEOBS
      "\uB367",  # (덧; 덧; 덧; 덧; 덧; ) HANGUL SYLLABLE DEOS
      "\uB368",  # (덨; 덨; 덨; 덨; 덨; ) HANGUL SYLLABLE DEOSS
      "\uB369",  # (덩; 덩; 덩; 덩; 덩; ) HANGUL SYLLABLE DEONG
      "\uB36A",  # (덪; 덪; 덪; 덪; 덪; ) HANGUL SYLLABLE DEOJ
      "\uB36B",  # (덫; 덫; 덫; 덫; 덫; ) HANGUL SYLLABLE DEOC
      "\uB36C",  # (덬; 덬; 덬; 덬; 덬; ) HANGUL SYLLABLE DEOK
      "\uB36D",  # (덭; 덭; 덭; 덭; 덭; ) HANGUL SYLLABLE DEOT
      "\uB36E",  # (덮; 덮; 덮; 덮; 덮; ) HANGUL SYLLABLE DEOP
      "\uB36F",  # (덯; 덯; 덯; 덯; 덯; ) HANGUL SYLLABLE DEOH
      "\uB370",  # (데; 데; 데; 데; 데; ) HANGUL SYLLABLE DE
      "\uB371",  # (덱; 덱; 덱; 덱; 덱; ) HANGUL SYLLABLE DEG
      "\uB372",  # (덲; 덲; 덲; 덲; 덲; ) HANGUL SYLLABLE DEGG
      "\uB373",  # (덳; 덳; 덳; 덳; 덳; ) HANGUL SYLLABLE DEGS
      "\uB374",  # (덴; 덴; 덴; 덴; 덴; ) HANGUL SYLLABLE DEN
      "\uB375",  # (덵; 덵; 덵; 덵; 덵; ) HANGUL SYLLABLE DENJ
      "\uB376",  # (덶; 덶; 덶; 덶; 덶; ) HANGUL SYLLABLE DENH
      "\uB377",  # (덷; 덷; 덷; 덷; 덷; ) HANGUL SYLLABLE DED
      "\uB378",  # (델; 델; 델; 델; 델; ) HANGUL SYLLABLE DEL
      "\uB379",  # (덹; 덹; 덹; 덹; 덹; ) HANGUL SYLLABLE DELG
      "\uB37A",  # (덺; 덺; 덺; 덺; 덺; ) HANGUL SYLLABLE DELM
      "\uB37B",  # (덻; 덻; 덻; 덻; 덻; ) HANGUL SYLLABLE DELB
      "\uB37C",  # (덼; 덼; 덼; 덼; 덼; ) HANGUL SYLLABLE DELS
      "\uB37D",  # (덽; 덽; 덽; 덽; 덽; ) HANGUL SYLLABLE DELT
      "\uB37E",  # (덾; 덾; 덾; 덾; 덾; ) HANGUL SYLLABLE DELP
      "\uB37F",  # (덿; 덿; 덿; 덿; 덿; ) HANGUL SYLLABLE DELH
      "\uB380",  # (뎀; 뎀; 뎀; 뎀; 뎀; ) HANGUL SYLLABLE DEM
      "\uB381",  # (뎁; 뎁; 뎁; 뎁; 뎁; ) HANGUL SYLLABLE DEB
      "\uB382",  # (뎂; 뎂; 뎂; 뎂; 뎂; ) HANGUL SYLLABLE DEBS
      "\uB383",  # (뎃; 뎃; 뎃; 뎃; 뎃; ) HANGUL SYLLABLE DES
      "\uB384",  # (뎄; 뎄; 뎄; 뎄; 뎄; ) HANGUL SYLLABLE DESS
      "\uB385",  # (뎅; 뎅; 뎅; 뎅; 뎅; ) HANGUL SYLLABLE DENG
      "\uB386",  # (뎆; 뎆; 뎆; 뎆; 뎆; ) HANGUL SYLLABLE DEJ
      "\uB387",  # (뎇; 뎇; 뎇; 뎇; 뎇; ) HANGUL SYLLABLE DEC
      "\uB388",  # (뎈; 뎈; 뎈; 뎈; 뎈; ) HANGUL SYLLABLE DEK
      "\uB389",  # (뎉; 뎉; 뎉; 뎉; 뎉; ) HANGUL SYLLABLE DET
      "\uB38A",  # (뎊; 뎊; 뎊; 뎊; 뎊; ) HANGUL SYLLABLE DEP
      "\uB38B",  # (뎋; 뎋; 뎋; 뎋; 뎋; ) HANGUL SYLLABLE DEH
      "\uB38C",  # (뎌; 뎌; 뎌; 뎌; 뎌; ) HANGUL SYLLABLE DYEO
      "\uB38D",  # (뎍; 뎍; 뎍; 뎍; 뎍; ) HANGUL SYLLABLE DYEOG
      "\uB38E",  # (뎎; 뎎; 뎎; 뎎; 뎎; ) HANGUL SYLLABLE DYEOGG
      "\uB38F",  # (뎏; 뎏; 뎏; 뎏; 뎏; ) HANGUL SYLLABLE DYEOGS
      "\uB390",  # (뎐; 뎐; 뎐; 뎐; 뎐; ) HANGUL SYLLABLE DYEON
      "\uB391",  # (뎑; 뎑; 뎑; 뎑; 뎑; ) HANGUL SYLLABLE DYEONJ
      "\uB392",  # (뎒; 뎒; 뎒; 뎒; 뎒; ) HANGUL SYLLABLE DYEONH
      "\uB393",  # (뎓; 뎓; 뎓; 뎓; 뎓; ) HANGUL SYLLABLE DYEOD
      "\uB394",  # (뎔; 뎔; 뎔; 뎔; 뎔; ) HANGUL SYLLABLE DYEOL
      "\uB395",  # (뎕; 뎕; 뎕; 뎕; 뎕; ) HANGUL SYLLABLE DYEOLG
      "\uB396",  # (뎖; 뎖; 뎖; 뎖; 뎖; ) HANGUL SYLLABLE DYEOLM
      "\uB397",  # (뎗; 뎗; 뎗; 뎗; 뎗; ) HANGUL SYLLABLE DYEOLB
      "\uB398",  # (뎘; 뎘; 뎘; 뎘; 뎘; ) HANGUL SYLLABLE DYEOLS
      "\uB399",  # (뎙; 뎙; 뎙; 뎙; 뎙; ) HANGUL SYLLABLE DYEOLT
      "\uB39A",  # (뎚; 뎚; 뎚; 뎚; 뎚; ) HANGUL SYLLABLE DYEOLP
      "\uB39B",  # (뎛; 뎛; 뎛; 뎛; 뎛; ) HANGUL SYLLABLE DYEOLH
      "\uB39C",  # (뎜; 뎜; 뎜; 뎜; 뎜; ) HANGUL SYLLABLE DYEOM
      "\uB39D",  # (뎝; 뎝; 뎝; 뎝; 뎝; ) HANGUL SYLLABLE DYEOB
      "\uB39E",  # (뎞; 뎞; 뎞; 뎞; 뎞; ) HANGUL SYLLABLE DYEOBS
      "\uB39F",  # (뎟; 뎟; 뎟; 뎟; 뎟; ) HANGUL SYLLABLE DYEOS
      "\uB3A0",  # (뎠; 뎠; 뎠; 뎠; 뎠; ) HANGUL SYLLABLE DYEOSS
      "\uB3A1",  # (뎡; 뎡; 뎡; 뎡; 뎡; ) HANGUL SYLLABLE DYEONG
      "\uB3A2",  # (뎢; 뎢; 뎢; 뎢; 뎢; ) HANGUL SYLLABLE DYEOJ
      "\uB3A3",  # (뎣; 뎣; 뎣; 뎣; 뎣; ) HANGUL SYLLABLE DYEOC
      "\uB3A4",  # (뎤; 뎤; 뎤; 뎤; 뎤; ) HANGUL SYLLABLE DYEOK
      "\uB3A5",  # (뎥; 뎥; 뎥; 뎥; 뎥; ) HANGUL SYLLABLE DYEOT
      "\uB3A6",  # (뎦; 뎦; 뎦; 뎦; 뎦; ) HANGUL SYLLABLE DYEOP
      "\uB3A7",  # (뎧; 뎧; 뎧; 뎧; 뎧; ) HANGUL SYLLABLE DYEOH
      "\uB3A8",  # (뎨; 뎨; 뎨; 뎨; 뎨; ) HANGUL SYLLABLE DYE
      "\uB3A9",  # (뎩; 뎩; 뎩; 뎩; 뎩; ) HANGUL SYLLABLE DYEG
      "\uB3AA",  # (뎪; 뎪; 뎪; 뎪; 뎪; ) HANGUL SYLLABLE DYEGG
      "\uB3AB",  # (뎫; 뎫; 뎫; 뎫; 뎫; ) HANGUL SYLLABLE DYEGS
      "\uB3AC",  # (뎬; 뎬; 뎬; 뎬; 뎬; ) HANGUL SYLLABLE DYEN
      "\uB3AD",  # (뎭; 뎭; 뎭; 뎭; 뎭; ) HANGUL SYLLABLE DYENJ
      "\uB3AE",  # (뎮; 뎮; 뎮; 뎮; 뎮; ) HANGUL SYLLABLE DYENH
      "\uB3AF",  # (뎯; 뎯; 뎯; 뎯; 뎯; ) HANGUL SYLLABLE DYED
      "\uB3B0",  # (뎰; 뎰; 뎰; 뎰; 뎰; ) HANGUL SYLLABLE DYEL
      "\uB3B1",  # (뎱; 뎱; 뎱; 뎱; 뎱; ) HANGUL SYLLABLE DYELG
      "\uB3B2",  # (뎲; 뎲; 뎲; 뎲; 뎲; ) HANGUL SYLLABLE DYELM
      "\uB3B3",  # (뎳; 뎳; 뎳; 뎳; 뎳; ) HANGUL SYLLABLE DYELB
      "\uB3B4",  # (뎴; 뎴; 뎴; 뎴; 뎴; ) HANGUL SYLLABLE DYELS
      "\uB3B5",  # (뎵; 뎵; 뎵; 뎵; 뎵; ) HANGUL SYLLABLE DYELT
      "\uB3B6",  # (뎶; 뎶; 뎶; 뎶; 뎶; ) HANGUL SYLLABLE DYELP
      "\uB3B7",  # (뎷; 뎷; 뎷; 뎷; 뎷; ) HANGUL SYLLABLE DYELH
      "\uB3B8",  # (뎸; 뎸; 뎸; 뎸; 뎸; ) HANGUL SYLLABLE DYEM
      "\uB3B9",  # (뎹; 뎹; 뎹; 뎹; 뎹; ) HANGUL SYLLABLE DYEB
      "\uB3BA",  # (뎺; 뎺; 뎺; 뎺; 뎺; ) HANGUL SYLLABLE DYEBS
      "\uB3BB",  # (뎻; 뎻; 뎻; 뎻; 뎻; ) HANGUL SYLLABLE DYES
      "\uB3BC",  # (뎼; 뎼; 뎼; 뎼; 뎼; ) HANGUL SYLLABLE DYESS
      "\uB3BD",  # (뎽; 뎽; 뎽; 뎽; 뎽; ) HANGUL SYLLABLE DYENG
      "\uB3BE",  # (뎾; 뎾; 뎾; 뎾; 뎾; ) HANGUL SYLLABLE DYEJ
      "\uB3BF",  # (뎿; 뎿; 뎿; 뎿; 뎿; ) HANGUL SYLLABLE DYEC
      "\uB3C0",  # (돀; 돀; 돀; 돀; 돀; ) HANGUL SYLLABLE DYEK
      "\uB3C1",  # (돁; 돁; 돁; 돁; 돁; ) HANGUL SYLLABLE DYET
      "\uB3C2",  # (돂; 돂; 돂; 돂; 돂; ) HANGUL SYLLABLE DYEP
      "\uB3C3",  # (돃; 돃; 돃; 돃; 돃; ) HANGUL SYLLABLE DYEH
      "\uB3C4",  # (도; 도; 도; 도; 도; ) HANGUL SYLLABLE DO
      "\uB3C5",  # (독; 독; 독; 독; 독; ) HANGUL SYLLABLE DOG
      "\uB3C6",  # (돆; 돆; 돆; 돆; 돆; ) HANGUL SYLLABLE DOGG
      "\uB3C7",  # (돇; 돇; 돇; 돇; 돇; ) HANGUL SYLLABLE DOGS
      "\uB3C8",  # (돈; 돈; 돈; 돈; 돈; ) HANGUL SYLLABLE DON
      "\uB3C9",  # (돉; 돉; 돉; 돉; 돉; ) HANGUL SYLLABLE DONJ
      "\uB3CA",  # (돊; 돊; 돊; 돊; 돊; ) HANGUL SYLLABLE DONH
      "\uB3CB",  # (돋; 돋; 돋; 돋; 돋; ) HANGUL SYLLABLE DOD
      "\uB3CC",  # (돌; 돌; 돌; 돌; 돌; ) HANGUL SYLLABLE DOL
      "\uB3CD",  # (돍; 돍; 돍; 돍; 돍; ) HANGUL SYLLABLE DOLG
      "\uB3CE",  # (돎; 돎; 돎; 돎; 돎; ) HANGUL SYLLABLE DOLM
      "\uB3CF",  # (돏; 돏; 돏; 돏; 돏; ) HANGUL SYLLABLE DOLB
      "\uB3D0",  # (돐; 돐; 돐; 돐; 돐; ) HANGUL SYLLABLE DOLS
      "\uB3D1",  # (돑; 돑; 돑; 돑; 돑; ) HANGUL SYLLABLE DOLT
      "\uB3D2",  # (돒; 돒; 돒; 돒; 돒; ) HANGUL SYLLABLE DOLP
      "\uB3D3",  # (돓; 돓; 돓; 돓; 돓; ) HANGUL SYLLABLE DOLH
      "\uB3D4",  # (돔; 돔; 돔; 돔; 돔; ) HANGUL SYLLABLE DOM
      "\uB3D5",  # (돕; 돕; 돕; 돕; 돕; ) HANGUL SYLLABLE DOB
      "\uB3D6",  # (돖; 돖; 돖; 돖; 돖; ) HANGUL SYLLABLE DOBS
      "\uB3D7",  # (돗; 돗; 돗; 돗; 돗; ) HANGUL SYLLABLE DOS
      "\uB3D8",  # (돘; 돘; 돘; 돘; 돘; ) HANGUL SYLLABLE DOSS
      "\uB3D9",  # (동; 동; 동; 동; 동; ) HANGUL SYLLABLE DONG
      "\uB3DA",  # (돚; 돚; 돚; 돚; 돚; ) HANGUL SYLLABLE DOJ
      "\uB3DB",  # (돛; 돛; 돛; 돛; 돛; ) HANGUL SYLLABLE DOC
      "\uB3DC",  # (돜; 돜; 돜; 돜; 돜; ) HANGUL SYLLABLE DOK
      "\uB3DD",  # (돝; 돝; 돝; 돝; 돝; ) HANGUL SYLLABLE DOT
      "\uB3DE",  # (돞; 돞; 돞; 돞; 돞; ) HANGUL SYLLABLE DOP
      "\uB3DF",  # (돟; 돟; 돟; 돟; 돟; ) HANGUL SYLLABLE DOH
      "\uB3E0",  # (돠; 돠; 돠; 돠; 돠; ) HANGUL SYLLABLE DWA
      "\uB3E1",  # (돡; 돡; 돡; 돡; 돡; ) HANGUL SYLLABLE DWAG
      "\uB3E2",  # (돢; 돢; 돢; 돢; 돢; ) HANGUL SYLLABLE DWAGG
      "\uB3E3",  # (돣; 돣; 돣; 돣; 돣; ) HANGUL SYLLABLE DWAGS
      "\uB3E4",  # (돤; 돤; 돤; 돤; 돤; ) HANGUL SYLLABLE DWAN
      "\uB3E5",  # (돥; 돥; 돥; 돥; 돥; ) HANGUL SYLLABLE DWANJ
      "\uB3E6",  # (돦; 돦; 돦; 돦; 돦; ) HANGUL SYLLABLE DWANH
      "\uB3E7",  # (돧; 돧; 돧; 돧; 돧; ) HANGUL SYLLABLE DWAD
      "\uB3E8",  # (돨; 돨; 돨; 돨; 돨; ) HANGUL SYLLABLE DWAL
      "\uB3E9",  # (돩; 돩; 돩; 돩; 돩; ) HANGUL SYLLABLE DWALG
      "\uB3EA",  # (돪; 돪; 돪; 돪; 돪; ) HANGUL SYLLABLE DWALM
      "\uB3EB",  # (돫; 돫; 돫; 돫; 돫; ) HANGUL SYLLABLE DWALB
      "\uB3EC",  # (돬; 돬; 돬; 돬; 돬; ) HANGUL SYLLABLE DWALS
      "\uB3ED",  # (돭; 돭; 돭; 돭; 돭; ) HANGUL SYLLABLE DWALT
      "\uB3EE",  # (돮; 돮; 돮; 돮; 돮; ) HANGUL SYLLABLE DWALP
      "\uB3EF",  # (돯; 돯; 돯; 돯; 돯; ) HANGUL SYLLABLE DWALH
      "\uB3F0",  # (돰; 돰; 돰; 돰; 돰; ) HANGUL SYLLABLE DWAM
      "\uB3F1",  # (돱; 돱; 돱; 돱; 돱; ) HANGUL SYLLABLE DWAB
      "\uB3F2",  # (돲; 돲; 돲; 돲; 돲; ) HANGUL SYLLABLE DWABS
      "\uB3F3",  # (돳; 돳; 돳; 돳; 돳; ) HANGUL SYLLABLE DWAS
      "\uB3F4",  # (돴; 돴; 돴; 돴; 돴; ) HANGUL SYLLABLE DWASS
      "\uB3F5",  # (돵; 돵; 돵; 돵; 돵; ) HANGUL SYLLABLE DWANG
      "\uB3F6",  # (돶; 돶; 돶; 돶; 돶; ) HANGUL SYLLABLE DWAJ
      "\uB3F7",  # (돷; 돷; 돷; 돷; 돷; ) HANGUL SYLLABLE DWAC
      "\uB3F8",  # (돸; 돸; 돸; 돸; 돸; ) HANGUL SYLLABLE DWAK
      "\uB3F9",  # (돹; 돹; 돹; 돹; 돹; ) HANGUL SYLLABLE DWAT
      "\uB3FA",  # (돺; 돺; 돺; 돺; 돺; ) HANGUL SYLLABLE DWAP
      "\uB3FB",  # (돻; 돻; 돻; 돻; 돻; ) HANGUL SYLLABLE DWAH
      "\uB3FC",  # (돼; 돼; 돼; 돼; 돼; ) HANGUL SYLLABLE DWAE
      "\uB3FD",  # (돽; 돽; 돽; 돽; 돽; ) HANGUL SYLLABLE DWAEG
      "\uB3FE",  # (돾; 돾; 돾; 돾; 돾; ) HANGUL SYLLABLE DWAEGG
      "\uB3FF",  # (돿; 돿; 돿; 돿; 돿; ) HANGUL SYLLABLE DWAEGS
      "\uB400",  # (됀; 됀; 됀; 됀; 됀; ) HANGUL SYLLABLE DWAEN
      "\uB401",  # (됁; 됁; 됁; 됁; 됁; ) HANGUL SYLLABLE DWAENJ
      "\uB402",  # (됂; 됂; 됂; 됂; 됂; ) HANGUL SYLLABLE DWAENH
      "\uB403",  # (됃; 됃; 됃; 됃; 됃; ) HANGUL SYLLABLE DWAED
      "\uB404",  # (됄; 됄; 됄; 됄; 됄; ) HANGUL SYLLABLE DWAEL
      "\uB405",  # (됅; 됅; 됅; 됅; 됅; ) HANGUL SYLLABLE DWAELG
      "\uB406",  # (됆; 됆; 됆; 됆; 됆; ) HANGUL SYLLABLE DWAELM
      "\uB407",  # (됇; 됇; 됇; 됇; 됇; ) HANGUL SYLLABLE DWAELB
      "\uB408",  # (됈; 됈; 됈; 됈; 됈; ) HANGUL SYLLABLE DWAELS
      "\uB409",  # (됉; 됉; 됉; 됉; 됉; ) HANGUL SYLLABLE DWAELT
      "\uB40A",  # (됊; 됊; 됊; 됊; 됊; ) HANGUL SYLLABLE DWAELP
      "\uB40B",  # (됋; 됋; 됋; 됋; 됋; ) HANGUL SYLLABLE DWAELH
      "\uB40C",  # (됌; 됌; 됌; 됌; 됌; ) HANGUL SYLLABLE DWAEM
      "\uB40D",  # (됍; 됍; 됍; 됍; 됍; ) HANGUL SYLLABLE DWAEB
      "\uB40E",  # (됎; 됎; 됎; 됎; 됎; ) HANGUL SYLLABLE DWAEBS
      "\uB40F",  # (됏; 됏; 됏; 됏; 됏; ) HANGUL SYLLABLE DWAES
      "\uB410",  # (됐; 됐; 됐; 됐; 됐; ) HANGUL SYLLABLE DWAESS
      "\uB411",  # (됑; 됑; 됑; 됑; 됑; ) HANGUL SYLLABLE DWAENG
      "\uB412",  # (됒; 됒; 됒; 됒; 됒; ) HANGUL SYLLABLE DWAEJ
      "\uB413",  # (됓; 됓; 됓; 됓; 됓; ) HANGUL SYLLABLE DWAEC
      "\uB414",  # (됔; 됔; 됔; 됔; 됔; ) HANGUL SYLLABLE DWAEK
      "\uB415",  # (됕; 됕; 됕; 됕; 됕; ) HANGUL SYLLABLE DWAET
      "\uB416",  # (됖; 됖; 됖; 됖; 됖; ) HANGUL SYLLABLE DWAEP
      "\uB417",  # (됗; 됗; 됗; 됗; 됗; ) HANGUL SYLLABLE DWAEH
      "\uB418",  # (되; 되; 되; 되; 되; ) HANGUL SYLLABLE DOE
      "\uB419",  # (됙; 됙; 됙; 됙; 됙; ) HANGUL SYLLABLE DOEG
      "\uB41A",  # (됚; 됚; 됚; 됚; 됚; ) HANGUL SYLLABLE DOEGG
      "\uB41B",  # (됛; 됛; 됛; 됛; 됛; ) HANGUL SYLLABLE DOEGS
      "\uB41C",  # (된; 된; 된; 된; 된; ) HANGUL SYLLABLE DOEN
      "\uB41D",  # (됝; 됝; 됝; 됝; 됝; ) HANGUL SYLLABLE DOENJ
      "\uB41E",  # (됞; 됞; 됞; 됞; 됞; ) HANGUL SYLLABLE DOENH
      "\uB41F",  # (됟; 됟; 됟; 됟; 됟; ) HANGUL SYLLABLE DOED
      "\uB420",  # (될; 될; 될; 될; 될; ) HANGUL SYLLABLE DOEL
      "\uB421",  # (됡; 됡; 됡; 됡; 됡; ) HANGUL SYLLABLE DOELG
      "\uB422",  # (됢; 됢; 됢; 됢; 됢; ) HANGUL SYLLABLE DOELM
      "\uB423",  # (됣; 됣; 됣; 됣; 됣; ) HANGUL SYLLABLE DOELB
      "\uB424",  # (됤; 됤; 됤; 됤; 됤; ) HANGUL SYLLABLE DOELS
      "\uB425",  # (됥; 됥; 됥; 됥; 됥; ) HANGUL SYLLABLE DOELT
      "\uB426",  # (됦; 됦; 됦; 됦; 됦; ) HANGUL SYLLABLE DOELP
      "\uB427",  # (됧; 됧; 됧; 됧; 됧; ) HANGUL SYLLABLE DOELH
      "\uB428",  # (됨; 됨; 됨; 됨; 됨; ) HANGUL SYLLABLE DOEM
      "\uB429",  # (됩; 됩; 됩; 됩; 됩; ) HANGUL SYLLABLE DOEB
      "\uB42A",  # (됪; 됪; 됪; 됪; 됪; ) HANGUL SYLLABLE DOEBS
      "\uB42B",  # (됫; 됫; 됫; 됫; 됫; ) HANGUL SYLLABLE DOES
      "\uB42C",  # (됬; 됬; 됬; 됬; 됬; ) HANGUL SYLLABLE DOESS
      "\uB42D",  # (됭; 됭; 됭; 됭; 됭; ) HANGUL SYLLABLE DOENG
      "\uB42E",  # (됮; 됮; 됮; 됮; 됮; ) HANGUL SYLLABLE DOEJ
      "\uB42F",  # (됯; 됯; 됯; 됯; 됯; ) HANGUL SYLLABLE DOEC
      "\uB430",  # (됰; 됰; 됰; 됰; 됰; ) HANGUL SYLLABLE DOEK
      "\uB431",  # (됱; 됱; 됱; 됱; 됱; ) HANGUL SYLLABLE DOET
      "\uB432",  # (됲; 됲; 됲; 됲; 됲; ) HANGUL SYLLABLE DOEP
      "\uB433",  # (됳; 됳; 됳; 됳; 됳; ) HANGUL SYLLABLE DOEH
      "\uB434",  # (됴; 됴; 됴; 됴; 됴; ) HANGUL SYLLABLE DYO
      "\uB435",  # (됵; 됵; 됵; 됵; 됵; ) HANGUL SYLLABLE DYOG
      "\uB436",  # (됶; 됶; 됶; 됶; 됶; ) HANGUL SYLLABLE DYOGG
      "\uB437",  # (됷; 됷; 됷; 됷; 됷; ) HANGUL SYLLABLE DYOGS
      "\uB438",  # (됸; 됸; 됸; 됸; 됸; ) HANGUL SYLLABLE DYON
      "\uB439",  # (됹; 됹; 됹; 됹; 됹; ) HANGUL SYLLABLE DYONJ
      "\uB43A",  # (됺; 됺; 됺; 됺; 됺; ) HANGUL SYLLABLE DYONH
      "\uB43B",  # (됻; 됻; 됻; 됻; 됻; ) HANGUL SYLLABLE DYOD
      "\uB43C",  # (됼; 됼; 됼; 됼; 됼; ) HANGUL SYLLABLE DYOL
      "\uB43D",  # (됽; 됽; 됽; 됽; 됽; ) HANGUL SYLLABLE DYOLG
      "\uB43E",  # (됾; 됾; 됾; 됾; 됾; ) HANGUL SYLLABLE DYOLM
      "\uB43F",  # (됿; 됿; 됿; 됿; 됿; ) HANGUL SYLLABLE DYOLB
      "\uB440",  # (둀; 둀; 둀; 둀; 둀; ) HANGUL SYLLABLE DYOLS
      "\uB441",  # (둁; 둁; 둁; 둁; 둁; ) HANGUL SYLLABLE DYOLT
      "\uB442",  # (둂; 둂; 둂; 둂; 둂; ) HANGUL SYLLABLE DYOLP
      "\uB443",  # (둃; 둃; 둃; 둃; 둃; ) HANGUL SYLLABLE DYOLH
      "\uB444",  # (둄; 둄; 둄; 둄; 둄; ) HANGUL SYLLABLE DYOM
      "\uB445",  # (둅; 둅; 둅; 둅; 둅; ) HANGUL SYLLABLE DYOB
      "\uB446",  # (둆; 둆; 둆; 둆; 둆; ) HANGUL SYLLABLE DYOBS
      "\uB447",  # (둇; 둇; 둇; 둇; 둇; ) HANGUL SYLLABLE DYOS
      "\uB448",  # (둈; 둈; 둈; 둈; 둈; ) HANGUL SYLLABLE DYOSS
      "\uB449",  # (둉; 둉; 둉; 둉; 둉; ) HANGUL SYLLABLE DYONG
      "\uB44A",  # (둊; 둊; 둊; 둊; 둊; ) HANGUL SYLLABLE DYOJ
      "\uB44B",  # (둋; 둋; 둋; 둋; 둋; ) HANGUL SYLLABLE DYOC
      "\uB44C",  # (둌; 둌; 둌; 둌; 둌; ) HANGUL SYLLABLE DYOK
      "\uB44D",  # (둍; 둍; 둍; 둍; 둍; ) HANGUL SYLLABLE DYOT
      "\uB44E",  # (둎; 둎; 둎; 둎; 둎; ) HANGUL SYLLABLE DYOP
      "\uB44F",  # (둏; 둏; 둏; 둏; 둏; ) HANGUL SYLLABLE DYOH
      "\uB450",  # (두; 두; 두; 두; 두; ) HANGUL SYLLABLE DU
      "\uB451",  # (둑; 둑; 둑; 둑; 둑; ) HANGUL SYLLABLE DUG
      "\uB452",  # (둒; 둒; 둒; 둒; 둒; ) HANGUL SYLLABLE DUGG
      "\uB453",  # (둓; 둓; 둓; 둓; 둓; ) HANGUL SYLLABLE DUGS
      "\uB454",  # (둔; 둔; 둔; 둔; 둔; ) HANGUL SYLLABLE DUN
      "\uB455",  # (둕; 둕; 둕; 둕; 둕; ) HANGUL SYLLABLE DUNJ
      "\uB456",  # (둖; 둖; 둖; 둖; 둖; ) HANGUL SYLLABLE DUNH
      "\uB457",  # (둗; 둗; 둗; 둗; 둗; ) HANGUL SYLLABLE DUD
      "\uB458",  # (둘; 둘; 둘; 둘; 둘; ) HANGUL SYLLABLE DUL
      "\uB459",  # (둙; 둙; 둙; 둙; 둙; ) HANGUL SYLLABLE DULG
      "\uB45A",  # (둚; 둚; 둚; 둚; 둚; ) HANGUL SYLLABLE DULM
      "\uB45B",  # (둛; 둛; 둛; 둛; 둛; ) HANGUL SYLLABLE DULB
      "\uB45C",  # (둜; 둜; 둜; 둜; 둜; ) HANGUL SYLLABLE DULS
      "\uB45D",  # (둝; 둝; 둝; 둝; 둝; ) HANGUL SYLLABLE DULT
      "\uB45E",  # (둞; 둞; 둞; 둞; 둞; ) HANGUL SYLLABLE DULP
      "\uB45F",  # (둟; 둟; 둟; 둟; 둟; ) HANGUL SYLLABLE DULH
      "\uB460",  # (둠; 둠; 둠; 둠; 둠; ) HANGUL SYLLABLE DUM
      "\uB461",  # (둡; 둡; 둡; 둡; 둡; ) HANGUL SYLLABLE DUB
      "\uB462",  # (둢; 둢; 둢; 둢; 둢; ) HANGUL SYLLABLE DUBS
      "\uB463",  # (둣; 둣; 둣; 둣; 둣; ) HANGUL SYLLABLE DUS
      "\uB464",  # (둤; 둤; 둤; 둤; 둤; ) HANGUL SYLLABLE DUSS
      "\uB465",  # (둥; 둥; 둥; 둥; 둥; ) HANGUL SYLLABLE DUNG
      "\uB466",  # (둦; 둦; 둦; 둦; 둦; ) HANGUL SYLLABLE DUJ
      "\uB467",  # (둧; 둧; 둧; 둧; 둧; ) HANGUL SYLLABLE DUC
      "\uB468",  # (둨; 둨; 둨; 둨; 둨; ) HANGUL SYLLABLE DUK
      "\uB469",  # (둩; 둩; 둩; 둩; 둩; ) HANGUL SYLLABLE DUT
      "\uB46A",  # (둪; 둪; 둪; 둪; 둪; ) HANGUL SYLLABLE DUP
      "\uB46B",  # (둫; 둫; 둫; 둫; 둫; ) HANGUL SYLLABLE DUH
      "\uB46C",  # (둬; 둬; 둬; 둬; 둬; ) HANGUL SYLLABLE DWEO
      "\uB46D",  # (둭; 둭; 둭; 둭; 둭; ) HANGUL SYLLABLE DWEOG
      "\uB46E",  # (둮; 둮; 둮; 둮; 둮; ) HANGUL SYLLABLE DWEOGG
      "\uB46F",  # (둯; 둯; 둯; 둯; 둯; ) HANGUL SYLLABLE DWEOGS
      "\uB470",  # (둰; 둰; 둰; 둰; 둰; ) HANGUL SYLLABLE DWEON
      "\uB471",  # (둱; 둱; 둱; 둱; 둱; ) HANGUL SYLLABLE DWEONJ
      "\uB472",  # (둲; 둲; 둲; 둲; 둲; ) HANGUL SYLLABLE DWEONH
      "\uB473",  # (둳; 둳; 둳; 둳; 둳; ) HANGUL SYLLABLE DWEOD
      "\uB474",  # (둴; 둴; 둴; 둴; 둴; ) HANGUL SYLLABLE DWEOL
      "\uB475",  # (둵; 둵; 둵; 둵; 둵; ) HANGUL SYLLABLE DWEOLG
      "\uB476",  # (둶; 둶; 둶; 둶; 둶; ) HANGUL SYLLABLE DWEOLM
      "\uB477",  # (둷; 둷; 둷; 둷; 둷; ) HANGUL SYLLABLE DWEOLB
      "\uB478",  # (둸; 둸; 둸; 둸; 둸; ) HANGUL SYLLABLE DWEOLS
      "\uB479",  # (둹; 둹; 둹; 둹; 둹; ) HANGUL SYLLABLE DWEOLT
      "\uB47A",  # (둺; 둺; 둺; 둺; 둺; ) HANGUL SYLLABLE DWEOLP
      "\uB47B",  # (둻; 둻; 둻; 둻; 둻; ) HANGUL SYLLABLE DWEOLH
      "\uB47C",  # (둼; 둼; 둼; 둼; 둼; ) HANGUL SYLLABLE DWEOM
      "\uB47D",  # (둽; 둽; 둽; 둽; 둽; ) HANGUL SYLLABLE DWEOB
      "\uB47E",  # (둾; 둾; 둾; 둾; 둾; ) HANGUL SYLLABLE DWEOBS
      "\uB47F",  # (둿; 둿; 둿; 둿; 둿; ) HANGUL SYLLABLE DWEOS
      "\uB480",  # (뒀; 뒀; 뒀; 뒀; 뒀; ) HANGUL SYLLABLE DWEOSS
      "\uB481",  # (뒁; 뒁; 뒁; 뒁; 뒁; ) HANGUL SYLLABLE DWEONG
      "\uB482",  # (뒂; 뒂; 뒂; 뒂; 뒂; ) HANGUL SYLLABLE DWEOJ
      "\uB483",  # (뒃; 뒃; 뒃; 뒃; 뒃; ) HANGUL SYLLABLE DWEOC
      "\uB484",  # (뒄; 뒄; 뒄; 뒄; 뒄; ) HANGUL SYLLABLE DWEOK
      "\uB485",  # (뒅; 뒅; 뒅; 뒅; 뒅; ) HANGUL SYLLABLE DWEOT
      "\uB486",  # (뒆; 뒆; 뒆; 뒆; 뒆; ) HANGUL SYLLABLE DWEOP
      "\uB487",  # (뒇; 뒇; 뒇; 뒇; 뒇; ) HANGUL SYLLABLE DWEOH
      "\uB488",  # (뒈; 뒈; 뒈; 뒈; 뒈; ) HANGUL SYLLABLE DWE
      "\uB489",  # (뒉; 뒉; 뒉; 뒉; 뒉; ) HANGUL SYLLABLE DWEG
      "\uB48A",  # (뒊; 뒊; 뒊; 뒊; 뒊; ) HANGUL SYLLABLE DWEGG
      "\uB48B",  # (뒋; 뒋; 뒋; 뒋; 뒋; ) HANGUL SYLLABLE DWEGS
      "\uB48C",  # (뒌; 뒌; 뒌; 뒌; 뒌; ) HANGUL SYLLABLE DWEN
      "\uB48D",  # (뒍; 뒍; 뒍; 뒍; 뒍; ) HANGUL SYLLABLE DWENJ
      "\uB48E",  # (뒎; 뒎; 뒎; 뒎; 뒎; ) HANGUL SYLLABLE DWENH
      "\uB48F",  # (뒏; 뒏; 뒏; 뒏; 뒏; ) HANGUL SYLLABLE DWED
      "\uB490",  # (뒐; 뒐; 뒐; 뒐; 뒐; ) HANGUL SYLLABLE DWEL
      "\uB491",  # (뒑; 뒑; 뒑; 뒑; 뒑; ) HANGUL SYLLABLE DWELG
      "\uB492",  # (뒒; 뒒; 뒒; 뒒; 뒒; ) HANGUL SYLLABLE DWELM
      "\uB493",  # (뒓; 뒓; 뒓; 뒓; 뒓; ) HANGUL SYLLABLE DWELB
      "\uB494",  # (뒔; 뒔; 뒔; 뒔; 뒔; ) HANGUL SYLLABLE DWELS
      "\uB495",  # (뒕; 뒕; 뒕; 뒕; 뒕; ) HANGUL SYLLABLE DWELT
      "\uB496",  # (뒖; 뒖; 뒖; 뒖; 뒖; ) HANGUL SYLLABLE DWELP
      "\uB497",  # (뒗; 뒗; 뒗; 뒗; 뒗; ) HANGUL SYLLABLE DWELH
      "\uB498",  # (뒘; 뒘; 뒘; 뒘; 뒘; ) HANGUL SYLLABLE DWEM
      "\uB499",  # (뒙; 뒙; 뒙; 뒙; 뒙; ) HANGUL SYLLABLE DWEB
      "\uB49A",  # (뒚; 뒚; 뒚; 뒚; 뒚; ) HANGUL SYLLABLE DWEBS
      "\uB49B",  # (뒛; 뒛; 뒛; 뒛; 뒛; ) HANGUL SYLLABLE DWES
      "\uB49C",  # (뒜; 뒜; 뒜; 뒜; 뒜; ) HANGUL SYLLABLE DWESS
      "\uB49D",  # (뒝; 뒝; 뒝; 뒝; 뒝; ) HANGUL SYLLABLE DWENG
      "\uB49E",  # (뒞; 뒞; 뒞; 뒞; 뒞; ) HANGUL SYLLABLE DWEJ
      "\uB49F",  # (뒟; 뒟; 뒟; 뒟; 뒟; ) HANGUL SYLLABLE DWEC
      "\uB4A0",  # (뒠; 뒠; 뒠; 뒠; 뒠; ) HANGUL SYLLABLE DWEK
      "\uB4A1",  # (뒡; 뒡; 뒡; 뒡; 뒡; ) HANGUL SYLLABLE DWET
      "\uB4A2",  # (뒢; 뒢; 뒢; 뒢; 뒢; ) HANGUL SYLLABLE DWEP
      "\uB4A3",  # (뒣; 뒣; 뒣; 뒣; 뒣; ) HANGUL SYLLABLE DWEH
      "\uB4A4",  # (뒤; 뒤; 뒤; 뒤; 뒤; ) HANGUL SYLLABLE DWI
      "\uB4A5",  # (뒥; 뒥; 뒥; 뒥; 뒥; ) HANGUL SYLLABLE DWIG
      "\uB4A6",  # (뒦; 뒦; 뒦; 뒦; 뒦; ) HANGUL SYLLABLE DWIGG
      "\uB4A7",  # (뒧; 뒧; 뒧; 뒧; 뒧; ) HANGUL SYLLABLE DWIGS
      "\uB4A8",  # (뒨; 뒨; 뒨; 뒨; 뒨; ) HANGUL SYLLABLE DWIN
      "\uB4A9",  # (뒩; 뒩; 뒩; 뒩; 뒩; ) HANGUL SYLLABLE DWINJ
      "\uB4AA",  # (뒪; 뒪; 뒪; 뒪; 뒪; ) HANGUL SYLLABLE DWINH
      "\uB4AB",  # (뒫; 뒫; 뒫; 뒫; 뒫; ) HANGUL SYLLABLE DWID
      "\uB4AC",  # (뒬; 뒬; 뒬; 뒬; 뒬; ) HANGUL SYLLABLE DWIL
      "\uB4AD",  # (뒭; 뒭; 뒭; 뒭; 뒭; ) HANGUL SYLLABLE DWILG
      "\uB4AE",  # (뒮; 뒮; 뒮; 뒮; 뒮; ) HANGUL SYLLABLE DWILM
      "\uB4AF",  # (뒯; 뒯; 뒯; 뒯; 뒯; ) HANGUL SYLLABLE DWILB
      "\uB4B0",  # (뒰; 뒰; 뒰; 뒰; 뒰; ) HANGUL SYLLABLE DWILS
      "\uB4B1",  # (뒱; 뒱; 뒱; 뒱; 뒱; ) HANGUL SYLLABLE DWILT
      "\uB4B2",  # (뒲; 뒲; 뒲; 뒲; 뒲; ) HANGUL SYLLABLE DWILP
      "\uB4B3",  # (뒳; 뒳; 뒳; 뒳; 뒳; ) HANGUL SYLLABLE DWILH
      "\uB4B4",  # (뒴; 뒴; 뒴; 뒴; 뒴; ) HANGUL SYLLABLE DWIM
      "\uB4B5",  # (뒵; 뒵; 뒵; 뒵; 뒵; ) HANGUL SYLLABLE DWIB
      "\uB4B6",  # (뒶; 뒶; 뒶; 뒶; 뒶; ) HANGUL SYLLABLE DWIBS
      "\uB4B7",  # (뒷; 뒷; 뒷; 뒷; 뒷; ) HANGUL SYLLABLE DWIS
      "\uB4B8",  # (뒸; 뒸; 뒸; 뒸; 뒸; ) HANGUL SYLLABLE DWISS
      "\uB4B9",  # (뒹; 뒹; 뒹; 뒹; 뒹; ) HANGUL SYLLABLE DWING
      "\uB4BA",  # (뒺; 뒺; 뒺; 뒺; 뒺; ) HANGUL SYLLABLE DWIJ
      "\uB4BB",  # (뒻; 뒻; 뒻; 뒻; 뒻; ) HANGUL SYLLABLE DWIC
      "\uB4BC",  # (뒼; 뒼; 뒼; 뒼; 뒼; ) HANGUL SYLLABLE DWIK
      "\uB4BD",  # (뒽; 뒽; 뒽; 뒽; 뒽; ) HANGUL SYLLABLE DWIT
      "\uB4BE",  # (뒾; 뒾; 뒾; 뒾; 뒾; ) HANGUL SYLLABLE DWIP
      "\uB4BF",  # (뒿; 뒿; 뒿; 뒿; 뒿; ) HANGUL SYLLABLE DWIH
      "\uB4C0",  # (듀; 듀; 듀; 듀; 듀; ) HANGUL SYLLABLE DYU
      "\uB4C1",  # (듁; 듁; 듁; 듁; 듁; ) HANGUL SYLLABLE DYUG
      "\uB4C2",  # (듂; 듂; 듂; 듂; 듂; ) HANGUL SYLLABLE DYUGG
      "\uB4C3",  # (듃; 듃; 듃; 듃; 듃; ) HANGUL SYLLABLE DYUGS
      "\uB4C4",  # (듄; 듄; 듄; 듄; 듄; ) HANGUL SYLLABLE DYUN
      "\uB4C5",  # (듅; 듅; 듅; 듅; 듅; ) HANGUL SYLLABLE DYUNJ
      "\uB4C6",  # (듆; 듆; 듆; 듆; 듆; ) HANGUL SYLLABLE DYUNH
      "\uB4C7",  # (듇; 듇; 듇; 듇; 듇; ) HANGUL SYLLABLE DYUD
      "\uB4C8",  # (듈; 듈; 듈; 듈; 듈; ) HANGUL SYLLABLE DYUL
      "\uB4C9",  # (듉; 듉; 듉; 듉; 듉; ) HANGUL SYLLABLE DYULG
      "\uB4CA",  # (듊; 듊; 듊; 듊; 듊; ) HANGUL SYLLABLE DYULM
      "\uB4CB",  # (듋; 듋; 듋; 듋; 듋; ) HANGUL SYLLABLE DYULB
      "\uB4CC",  # (듌; 듌; 듌; 듌; 듌; ) HANGUL SYLLABLE DYULS
      "\uB4CD",  # (듍; 듍; 듍; 듍; 듍; ) HANGUL SYLLABLE DYULT
      "\uB4CE",  # (듎; 듎; 듎; 듎; 듎; ) HANGUL SYLLABLE DYULP
      "\uB4CF",  # (듏; 듏; 듏; 듏; 듏; ) HANGUL SYLLABLE DYULH
      "\uB4D0",  # (듐; 듐; 듐; 듐; 듐; ) HANGUL SYLLABLE DYUM
      "\uB4D1",  # (듑; 듑; 듑; 듑; 듑; ) HANGUL SYLLABLE DYUB
      "\uB4D2",  # (듒; 듒; 듒; 듒; 듒; ) HANGUL SYLLABLE DYUBS
      "\uB4D3",  # (듓; 듓; 듓; 듓; 듓; ) HANGUL SYLLABLE DYUS
      "\uB4D4",  # (듔; 듔; 듔; 듔; 듔; ) HANGUL SYLLABLE DYUSS
      "\uB4D5",  # (듕; 듕; 듕; 듕; 듕; ) HANGUL SYLLABLE DYUNG
      "\uB4D6",  # (듖; 듖; 듖; 듖; 듖; ) HANGUL SYLLABLE DYUJ
      "\uB4D7",  # (듗; 듗; 듗; 듗; 듗; ) HANGUL SYLLABLE DYUC
      "\uB4D8",  # (듘; 듘; 듘; 듘; 듘; ) HANGUL SYLLABLE DYUK
      "\uB4D9",  # (듙; 듙; 듙; 듙; 듙; ) HANGUL SYLLABLE DYUT
      "\uB4DA",  # (듚; 듚; 듚; 듚; 듚; ) HANGUL SYLLABLE DYUP
      "\uB4DB",  # (듛; 듛; 듛; 듛; 듛; ) HANGUL SYLLABLE DYUH
      "\uB4DC",  # (드; 드; 드; 드; 드; ) HANGUL SYLLABLE DEU
      "\uB4DD",  # (득; 득; 득; 득; 득; ) HANGUL SYLLABLE DEUG
      "\uB4DE",  # (듞; 듞; 듞; 듞; 듞; ) HANGUL SYLLABLE DEUGG
      "\uB4DF",  # (듟; 듟; 듟; 듟; 듟; ) HANGUL SYLLABLE DEUGS
      "\uB4E0",  # (든; 든; 든; 든; 든; ) HANGUL SYLLABLE DEUN
      "\uB4E1",  # (듡; 듡; 듡; 듡; 듡; ) HANGUL SYLLABLE DEUNJ
      "\uB4E2",  # (듢; 듢; 듢; 듢; 듢; ) HANGUL SYLLABLE DEUNH
      "\uB4E3",  # (듣; 듣; 듣; 듣; 듣; ) HANGUL SYLLABLE DEUD
      "\uB4E4",  # (들; 들; 들; 들; 들; ) HANGUL SYLLABLE DEUL
      "\uB4E5",  # (듥; 듥; 듥; 듥; 듥; ) HANGUL SYLLABLE DEULG
      "\uB4E6",  # (듦; 듦; 듦; 듦; 듦; ) HANGUL SYLLABLE DEULM
      "\uB4E7",  # (듧; 듧; 듧; 듧; 듧; ) HANGUL SYLLABLE DEULB
      "\uB4E8",  # (듨; 듨; 듨; 듨; 듨; ) HANGUL SYLLABLE DEULS
      "\uB4E9",  # (듩; 듩; 듩; 듩; 듩; ) HANGUL SYLLABLE DEULT
      "\uB4EA",  # (듪; 듪; 듪; 듪; 듪; ) HANGUL SYLLABLE DEULP
      "\uB4EB",  # (듫; 듫; 듫; 듫; 듫; ) HANGUL SYLLABLE DEULH
      "\uB4EC",  # (듬; 듬; 듬; 듬; 듬; ) HANGUL SYLLABLE DEUM
      "\uB4ED",  # (듭; 듭; 듭; 듭; 듭; ) HANGUL SYLLABLE DEUB
      "\uB4EE",  # (듮; 듮; 듮; 듮; 듮; ) HANGUL SYLLABLE DEUBS
      "\uB4EF",  # (듯; 듯; 듯; 듯; 듯; ) HANGUL SYLLABLE DEUS
      "\uB4F0",  # (듰; 듰; 듰; 듰; 듰; ) HANGUL SYLLABLE DEUSS
      "\uB4F1",  # (등; 등; 등; 등; 등; ) HANGUL SYLLABLE DEUNG
      "\uB4F2",  # (듲; 듲; 듲; 듲; 듲; ) HANGUL SYLLABLE DEUJ
      "\uB4F3",  # (듳; 듳; 듳; 듳; 듳; ) HANGUL SYLLABLE DEUC
      "\uB4F4",  # (듴; 듴; 듴; 듴; 듴; ) HANGUL SYLLABLE DEUK
      "\uB4F5",  # (듵; 듵; 듵; 듵; 듵; ) HANGUL SYLLABLE DEUT
      "\uB4F6",  # (듶; 듶; 듶; 듶; 듶; ) HANGUL SYLLABLE DEUP
      "\uB4F7",  # (듷; 듷; 듷; 듷; 듷; ) HANGUL SYLLABLE DEUH
      "\uB4F8",  # (듸; 듸; 듸; 듸; 듸; ) HANGUL SYLLABLE DYI
      "\uB4F9",  # (듹; 듹; 듹; 듹; 듹; ) HANGUL SYLLABLE DYIG
      "\uB4FA",  # (듺; 듺; 듺; 듺; 듺; ) HANGUL SYLLABLE DYIGG
      "\uB4FB",  # (듻; 듻; 듻; 듻; 듻; ) HANGUL SYLLABLE DYIGS
      "\uB4FC",  # (듼; 듼; 듼; 듼; 듼; ) HANGUL SYLLABLE DYIN
      "\uB4FD",  # (듽; 듽; 듽; 듽; 듽; ) HANGUL SYLLABLE DYINJ
      "\uB4FE",  # (듾; 듾; 듾; 듾; 듾; ) HANGUL SYLLABLE DYINH
      "\uB4FF",  # (듿; 듿; 듿; 듿; 듿; ) HANGUL SYLLABLE DYID
      "\uB500",  # (딀; 딀; 딀; 딀; 딀; ) HANGUL SYLLABLE DYIL
      "\uB501",  # (딁; 딁; 딁; 딁; 딁; ) HANGUL SYLLABLE DYILG
      "\uB502",  # (딂; 딂; 딂; 딂; 딂; ) HANGUL SYLLABLE DYILM
      "\uB503",  # (딃; 딃; 딃; 딃; 딃; ) HANGUL SYLLABLE DYILB
      "\uB504",  # (딄; 딄; 딄; 딄; 딄; ) HANGUL SYLLABLE DYILS
      "\uB505",  # (딅; 딅; 딅; 딅; 딅; ) HANGUL SYLLABLE DYILT
      "\uB506",  # (딆; 딆; 딆; 딆; 딆; ) HANGUL SYLLABLE DYILP
      "\uB507",  # (딇; 딇; 딇; 딇; 딇; ) HANGUL SYLLABLE DYILH
      "\uB508",  # (딈; 딈; 딈; 딈; 딈; ) HANGUL SYLLABLE DYIM
      "\uB509",  # (딉; 딉; 딉; 딉; 딉; ) HANGUL SYLLABLE DYIB
      "\uB50A",  # (딊; 딊; 딊; 딊; 딊; ) HANGUL SYLLABLE DYIBS
      "\uB50B",  # (딋; 딋; 딋; 딋; 딋; ) HANGUL SYLLABLE DYIS
      "\uB50C",  # (딌; 딌; 딌; 딌; 딌; ) HANGUL SYLLABLE DYISS
      "\uB50D",  # (딍; 딍; 딍; 딍; 딍; ) HANGUL SYLLABLE DYING
      "\uB50E",  # (딎; 딎; 딎; 딎; 딎; ) HANGUL SYLLABLE DYIJ
      "\uB50F",  # (딏; 딏; 딏; 딏; 딏; ) HANGUL SYLLABLE DYIC
      "\uB510",  # (딐; 딐; 딐; 딐; 딐; ) HANGUL SYLLABLE DYIK
      "\uB511",  # (딑; 딑; 딑; 딑; 딑; ) HANGUL SYLLABLE DYIT
      "\uB512",  # (딒; 딒; 딒; 딒; 딒; ) HANGUL SYLLABLE DYIP
      "\uB513",  # (딓; 딓; 딓; 딓; 딓; ) HANGUL SYLLABLE DYIH
      "\uB514",  # (디; 디; 디; 디; 디; ) HANGUL SYLLABLE DI
      "\uB515",  # (딕; 딕; 딕; 딕; 딕; ) HANGUL SYLLABLE DIG
      "\uB516",  # (딖; 딖; 딖; 딖; 딖; ) HANGUL SYLLABLE DIGG
      "\uB517",  # (딗; 딗; 딗; 딗; 딗; ) HANGUL SYLLABLE DIGS
      "\uB518",  # (딘; 딘; 딘; 딘; 딘; ) HANGUL SYLLABLE DIN
      "\uB519",  # (딙; 딙; 딙; 딙; 딙; ) HANGUL SYLLABLE DINJ
      "\uB51A",  # (딚; 딚; 딚; 딚; 딚; ) HANGUL SYLLABLE DINH
      "\uB51B",  # (딛; 딛; 딛; 딛; 딛; ) HANGUL SYLLABLE DID
      "\uB51C",  # (딜; 딜; 딜; 딜; 딜; ) HANGUL SYLLABLE DIL
      "\uB51D",  # (딝; 딝; 딝; 딝; 딝; ) HANGUL SYLLABLE DILG
      "\uB51E",  # (딞; 딞; 딞; 딞; 딞; ) HANGUL SYLLABLE DILM
      "\uB51F",  # (딟; 딟; 딟; 딟; 딟; ) HANGUL SYLLABLE DILB
      "\uB520",  # (딠; 딠; 딠; 딠; 딠; ) HANGUL SYLLABLE DILS
      "\uB521",  # (딡; 딡; 딡; 딡; 딡; ) HANGUL SYLLABLE DILT
      "\uB522",  # (딢; 딢; 딢; 딢; 딢; ) HANGUL SYLLABLE DILP
      "\uB523",  # (딣; 딣; 딣; 딣; 딣; ) HANGUL SYLLABLE DILH
      "\uB524",  # (딤; 딤; 딤; 딤; 딤; ) HANGUL SYLLABLE DIM
      "\uB525",  # (딥; 딥; 딥; 딥; 딥; ) HANGUL SYLLABLE DIB
      "\uB526",  # (딦; 딦; 딦; 딦; 딦; ) HANGUL SYLLABLE DIBS
      "\uB527",  # (딧; 딧; 딧; 딧; 딧; ) HANGUL SYLLABLE DIS
      "\uB528",  # (딨; 딨; 딨; 딨; 딨; ) HANGUL SYLLABLE DISS
      "\uB529",  # (딩; 딩; 딩; 딩; 딩; ) HANGUL SYLLABLE DING
      "\uB52A",  # (딪; 딪; 딪; 딪; 딪; ) HANGUL SYLLABLE DIJ
      "\uB52B",  # (딫; 딫; 딫; 딫; 딫; ) HANGUL SYLLABLE DIC
      "\uB52C",  # (딬; 딬; 딬; 딬; 딬; ) HANGUL SYLLABLE DIK
      "\uB52D",  # (딭; 딭; 딭; 딭; 딭; ) HANGUL SYLLABLE DIT
      "\uB52E",  # (딮; 딮; 딮; 딮; 딮; ) HANGUL SYLLABLE DIP
      "\uB52F",  # (딯; 딯; 딯; 딯; 딯; ) HANGUL SYLLABLE DIH
      "\uB530",  # (따; 따; 따; 따; 따; ) HANGUL SYLLABLE DDA
      "\uB531",  # (딱; 딱; 딱; 딱; 딱; ) HANGUL SYLLABLE DDAG
      "\uB532",  # (딲; 딲; 딲; 딲; 딲; ) HANGUL SYLLABLE DDAGG
      "\uB533",  # (딳; 딳; 딳; 딳; 딳; ) HANGUL SYLLABLE DDAGS
      "\uB534",  # (딴; 딴; 딴; 딴; 딴; ) HANGUL SYLLABLE DDAN
      "\uB535",  # (딵; 딵; 딵; 딵; 딵; ) HANGUL SYLLABLE DDANJ
      "\uB536",  # (딶; 딶; 딶; 딶; 딶; ) HANGUL SYLLABLE DDANH
      "\uB537",  # (딷; 딷; 딷; 딷; 딷; ) HANGUL SYLLABLE DDAD
      "\uB538",  # (딸; 딸; 딸; 딸; 딸; ) HANGUL SYLLABLE DDAL
      "\uB539",  # (딹; 딹; 딹; 딹; 딹; ) HANGUL SYLLABLE DDALG
      "\uB53A",  # (딺; 딺; 딺; 딺; 딺; ) HANGUL SYLLABLE DDALM
      "\uB53B",  # (딻; 딻; 딻; 딻; 딻; ) HANGUL SYLLABLE DDALB
      "\uB53C",  # (딼; 딼; 딼; 딼; 딼; ) HANGUL SYLLABLE DDALS
      "\uB53D",  # (딽; 딽; 딽; 딽; 딽; ) HANGUL SYLLABLE DDALT
      "\uB53E",  # (딾; 딾; 딾; 딾; 딾; ) HANGUL SYLLABLE DDALP
      "\uB53F",  # (딿; 딿; 딿; 딿; 딿; ) HANGUL SYLLABLE DDALH
      "\uB540",  # (땀; 땀; 땀; 땀; 땀; ) HANGUL SYLLABLE DDAM
      "\uB541",  # (땁; 땁; 땁; 땁; 땁; ) HANGUL SYLLABLE DDAB
      "\uB542",  # (땂; 땂; 땂; 땂; 땂; ) HANGUL SYLLABLE DDABS
      "\uB543",  # (땃; 땃; 땃; 땃; 땃; ) HANGUL SYLLABLE DDAS
      "\uB544",  # (땄; 땄; 땄; 땄; 땄; ) HANGUL SYLLABLE DDASS
      "\uB545",  # (땅; 땅; 땅; 땅; 땅; ) HANGUL SYLLABLE DDANG
      "\uB546",  # (땆; 땆; 땆; 땆; 땆; ) HANGUL SYLLABLE DDAJ
      "\uB547",  # (땇; 땇; 땇; 땇; 땇; ) HANGUL SYLLABLE DDAC
      "\uB548",  # (땈; 땈; 땈; 땈; 땈; ) HANGUL SYLLABLE DDAK
      "\uB549",  # (땉; 땉; 땉; 땉; 땉; ) HANGUL SYLLABLE DDAT
      "\uB54A",  # (땊; 땊; 땊; 땊; 땊; ) HANGUL SYLLABLE DDAP
      "\uB54B",  # (땋; 땋; 땋; 땋; 땋; ) HANGUL SYLLABLE DDAH
      "\uB54C",  # (때; 때; 때; 때; 때; ) HANGUL SYLLABLE DDAE
      "\uB54D",  # (땍; 땍; 땍; 땍; 땍; ) HANGUL SYLLABLE DDAEG
      "\uB54E",  # (땎; 땎; 땎; 땎; 땎; ) HANGUL SYLLABLE DDAEGG
      "\uB54F",  # (땏; 땏; 땏; 땏; 땏; ) HANGUL SYLLABLE DDAEGS
      "\uB550",  # (땐; 땐; 땐; 땐; 땐; ) HANGUL SYLLABLE DDAEN
      "\uB551",  # (땑; 땑; 땑; 땑; 땑; ) HANGUL SYLLABLE DDAENJ
      "\uB552",  # (땒; 땒; 땒; 땒; 땒; ) HANGUL SYLLABLE DDAENH
      "\uB553",  # (땓; 땓; 땓; 땓; 땓; ) HANGUL SYLLABLE DDAED
      "\uB554",  # (땔; 땔; 땔; 땔; 땔; ) HANGUL SYLLABLE DDAEL
      "\uB555",  # (땕; 땕; 땕; 땕; 땕; ) HANGUL SYLLABLE DDAELG
      "\uB556",  # (땖; 땖; 땖; 땖; 땖; ) HANGUL SYLLABLE DDAELM
      "\uB557",  # (땗; 땗; 땗; 땗; 땗; ) HANGUL SYLLABLE DDAELB
      "\uB558",  # (땘; 땘; 땘; 땘; 땘; ) HANGUL SYLLABLE DDAELS
      "\uB559",  # (땙; 땙; 땙; 땙; 땙; ) HANGUL SYLLABLE DDAELT
      "\uB55A",  # (땚; 땚; 땚; 땚; 땚; ) HANGUL SYLLABLE DDAELP
      "\uB55B",  # (땛; 땛; 땛; 땛; 땛; ) HANGUL SYLLABLE DDAELH
      "\uB55C",  # (땜; 땜; 땜; 땜; 땜; ) HANGUL SYLLABLE DDAEM
      "\uB55D",  # (땝; 땝; 땝; 땝; 땝; ) HANGUL SYLLABLE DDAEB
      "\uB55E",  # (땞; 땞; 땞; 땞; 땞; ) HANGUL SYLLABLE DDAEBS
      "\uB55F",  # (땟; 땟; 땟; 땟; 땟; ) HANGUL SYLLABLE DDAES
      "\uB560",  # (땠; 땠; 땠; 땠; 땠; ) HANGUL SYLLABLE DDAESS
      "\uB561",  # (땡; 땡; 땡; 땡; 땡; ) HANGUL SYLLABLE DDAENG
      "\uB562",  # (땢; 땢; 땢; 땢; 땢; ) HANGUL SYLLABLE DDAEJ
      "\uB563",  # (땣; 땣; 땣; 땣; 땣; ) HANGUL SYLLABLE DDAEC
      "\uB564",  # (땤; 땤; 땤; 땤; 땤; ) HANGUL SYLLABLE DDAEK
      "\uB565",  # (땥; 땥; 땥; 땥; 땥; ) HANGUL SYLLABLE DDAET
      "\uB566",  # (땦; 땦; 땦; 땦; 땦; ) HANGUL SYLLABLE DDAEP
      "\uB567",  # (땧; 땧; 땧; 땧; 땧; ) HANGUL SYLLABLE DDAEH
      "\uB568",  # (땨; 땨; 땨; 땨; 땨; ) HANGUL SYLLABLE DDYA
      "\uB569",  # (땩; 땩; 땩; 땩; 땩; ) HANGUL SYLLABLE DDYAG
      "\uB56A",  # (땪; 땪; 땪; 땪; 땪; ) HANGUL SYLLABLE DDYAGG
      "\uB56B",  # (땫; 땫; 땫; 땫; 땫; ) HANGUL SYLLABLE DDYAGS
      "\uB56C",  # (땬; 땬; 땬; 땬; 땬; ) HANGUL SYLLABLE DDYAN
      "\uB56D",  # (땭; 땭; 땭; 땭; 땭; ) HANGUL SYLLABLE DDYANJ
      "\uB56E",  # (땮; 땮; 땮; 땮; 땮; ) HANGUL SYLLABLE DDYANH
      "\uB56F",  # (땯; 땯; 땯; 땯; 땯; ) HANGUL SYLLABLE DDYAD
      "\uB570",  # (땰; 땰; 땰; 땰; 땰; ) HANGUL SYLLABLE DDYAL
      "\uB571",  # (땱; 땱; 땱; 땱; 땱; ) HANGUL SYLLABLE DDYALG
      "\uB572",  # (땲; 땲; 땲; 땲; 땲; ) HANGUL SYLLABLE DDYALM
      "\uB573",  # (땳; 땳; 땳; 땳; 땳; ) HANGUL SYLLABLE DDYALB
      "\uB574",  # (땴; 땴; 땴; 땴; 땴; ) HANGUL SYLLABLE DDYALS
      "\uB575",  # (땵; 땵; 땵; 땵; 땵; ) HANGUL SYLLABLE DDYALT
      "\uB576",  # (땶; 땶; 땶; 땶; 땶; ) HANGUL SYLLABLE DDYALP
      "\uB577",  # (땷; 땷; 땷; 땷; 땷; ) HANGUL SYLLABLE DDYALH
      "\uB578",  # (땸; 땸; 땸; 땸; 땸; ) HANGUL SYLLABLE DDYAM
      "\uB579",  # (땹; 땹; 땹; 땹; 땹; ) HANGUL SYLLABLE DDYAB
      "\uB57A",  # (땺; 땺; 땺; 땺; 땺; ) HANGUL SYLLABLE DDYABS
      "\uB57B",  # (땻; 땻; 땻; 땻; 땻; ) HANGUL SYLLABLE DDYAS
      "\uB57C",  # (땼; 땼; 땼; 땼; 땼; ) HANGUL SYLLABLE DDYASS
      "\uB57D",  # (땽; 땽; 땽; 땽; 땽; ) HANGUL SYLLABLE DDYANG
      "\uB57E",  # (땾; 땾; 땾; 땾; 땾; ) HANGUL SYLLABLE DDYAJ
      "\uB57F",  # (땿; 땿; 땿; 땿; 땿; ) HANGUL SYLLABLE DDYAC
      "\uB580",  # (떀; 떀; 떀; 떀; 떀; ) HANGUL SYLLABLE DDYAK
      "\uB581",  # (떁; 떁; 떁; 떁; 떁; ) HANGUL SYLLABLE DDYAT
      "\uB582",  # (떂; 떂; 떂; 떂; 떂; ) HANGUL SYLLABLE DDYAP
      "\uB583",  # (떃; 떃; 떃; 떃; 떃; ) HANGUL SYLLABLE DDYAH
      "\uB584",  # (떄; 떄; 떄; 떄; 떄; ) HANGUL SYLLABLE DDYAE
      "\uB585",  # (떅; 떅; 떅; 떅; 떅; ) HANGUL SYLLABLE DDYAEG
      "\uB586",  # (떆; 떆; 떆; 떆; 떆; ) HANGUL SYLLABLE DDYAEGG
      "\uB587",  # (떇; 떇; 떇; 떇; 떇; ) HANGUL SYLLABLE DDYAEGS
      "\uB588",  # (떈; 떈; 떈; 떈; 떈; ) HANGUL SYLLABLE DDYAEN
      "\uB589",  # (떉; 떉; 떉; 떉; 떉; ) HANGUL SYLLABLE DDYAENJ
      "\uB58A",  # (떊; 떊; 떊; 떊; 떊; ) HANGUL SYLLABLE DDYAENH
      "\uB58B",  # (떋; 떋; 떋; 떋; 떋; ) HANGUL SYLLABLE DDYAED
      "\uB58C",  # (떌; 떌; 떌; 떌; 떌; ) HANGUL SYLLABLE DDYAEL
      "\uB58D",  # (떍; 떍; 떍; 떍; 떍; ) HANGUL SYLLABLE DDYAELG
      "\uB58E",  # (떎; 떎; 떎; 떎; 떎; ) HANGUL SYLLABLE DDYAELM
      "\uB58F",  # (떏; 떏; 떏; 떏; 떏; ) HANGUL SYLLABLE DDYAELB
      "\uB590",  # (떐; 떐; 떐; 떐; 떐; ) HANGUL SYLLABLE DDYAELS
      "\uB591",  # (떑; 떑; 떑; 떑; 떑; ) HANGUL SYLLABLE DDYAELT
      "\uB592",  # (떒; 떒; 떒; 떒; 떒; ) HANGUL SYLLABLE DDYAELP
      "\uB593",  # (떓; 떓; 떓; 떓; 떓; ) HANGUL SYLLABLE DDYAELH
      "\uB594",  # (떔; 떔; 떔; 떔; 떔; ) HANGUL SYLLABLE DDYAEM
      "\uB595",  # (떕; 떕; 떕; 떕; 떕; ) HANGUL SYLLABLE DDYAEB
      "\uB596",  # (떖; 떖; 떖; 떖; 떖; ) HANGUL SYLLABLE DDYAEBS
      "\uB597",  # (떗; 떗; 떗; 떗; 떗; ) HANGUL SYLLABLE DDYAES
      "\uB598",  # (떘; 떘; 떘; 떘; 떘; ) HANGUL SYLLABLE DDYAESS
      "\uB599",  # (떙; 떙; 떙; 떙; 떙; ) HANGUL SYLLABLE DDYAENG
      "\uB59A",  # (떚; 떚; 떚; 떚; 떚; ) HANGUL SYLLABLE DDYAEJ
      "\uB59B",  # (떛; 떛; 떛; 떛; 떛; ) HANGUL SYLLABLE DDYAEC
      "\uB59C",  # (떜; 떜; 떜; 떜; 떜; ) HANGUL SYLLABLE DDYAEK
      "\uB59D",  # (떝; 떝; 떝; 떝; 떝; ) HANGUL SYLLABLE DDYAET
      "\uB59E",  # (떞; 떞; 떞; 떞; 떞; ) HANGUL SYLLABLE DDYAEP
      "\uB59F",  # (떟; 떟; 떟; 떟; 떟; ) HANGUL SYLLABLE DDYAEH
      "\uB5A0",  # (떠; 떠; 떠; 떠; 떠; ) HANGUL SYLLABLE DDEO
      "\uB5A1",  # (떡; 떡; 떡; 떡; 떡; ) HANGUL SYLLABLE DDEOG
      "\uB5A2",  # (떢; 떢; 떢; 떢; 떢; ) HANGUL SYLLABLE DDEOGG
      "\uB5A3",  # (떣; 떣; 떣; 떣; 떣; ) HANGUL SYLLABLE DDEOGS
      "\uB5A4",  # (떤; 떤; 떤; 떤; 떤; ) HANGUL SYLLABLE DDEON
      "\uB5A5",  # (떥; 떥; 떥; 떥; 떥; ) HANGUL SYLLABLE DDEONJ
      "\uB5A6",  # (떦; 떦; 떦; 떦; 떦; ) HANGUL SYLLABLE DDEONH
      "\uB5A7",  # (떧; 떧; 떧; 떧; 떧; ) HANGUL SYLLABLE DDEOD
      "\uB5A8",  # (떨; 떨; 떨; 떨; 떨; ) HANGUL SYLLABLE DDEOL
      "\uB5A9",  # (떩; 떩; 떩; 떩; 떩; ) HANGUL SYLLABLE DDEOLG
      "\uB5AA",  # (떪; 떪; 떪; 떪; 떪; ) HANGUL SYLLABLE DDEOLM
      "\uB5AB",  # (떫; 떫; 떫; 떫; 떫; ) HANGUL SYLLABLE DDEOLB
      "\uB5AC",  # (떬; 떬; 떬; 떬; 떬; ) HANGUL SYLLABLE DDEOLS
      "\uB5AD",  # (떭; 떭; 떭; 떭; 떭; ) HANGUL SYLLABLE DDEOLT
      "\uB5AE",  # (떮; 떮; 떮; 떮; 떮; ) HANGUL SYLLABLE DDEOLP
      "\uB5AF",  # (떯; 떯; 떯; 떯; 떯; ) HANGUL SYLLABLE DDEOLH
      "\uB5B0",  # (떰; 떰; 떰; 떰; 떰; ) HANGUL SYLLABLE DDEOM
      "\uB5B1",  # (떱; 떱; 떱; 떱; 떱; ) HANGUL SYLLABLE DDEOB
      "\uB5B2",  # (떲; 떲; 떲; 떲; 떲; ) HANGUL SYLLABLE DDEOBS
      "\uB5B3",  # (떳; 떳; 떳; 떳; 떳; ) HANGUL SYLLABLE DDEOS
      "\uB5B4",  # (떴; 떴; 떴; 떴; 떴; ) HANGUL SYLLABLE DDEOSS
      "\uB5B5",  # (떵; 떵; 떵; 떵; 떵; ) HANGUL SYLLABLE DDEONG
      "\uB5B6",  # (떶; 떶; 떶; 떶; 떶; ) HANGUL SYLLABLE DDEOJ
      "\uB5B7",  # (떷; 떷; 떷; 떷; 떷; ) HANGUL SYLLABLE DDEOC
      "\uB5B8",  # (떸; 떸; 떸; 떸; 떸; ) HANGUL SYLLABLE DDEOK
      "\uB5B9",  # (떹; 떹; 떹; 떹; 떹; ) HANGUL SYLLABLE DDEOT
      "\uB5BA",  # (떺; 떺; 떺; 떺; 떺; ) HANGUL SYLLABLE DDEOP
      "\uB5BB",  # (떻; 떻; 떻; 떻; 떻; ) HANGUL SYLLABLE DDEOH
      "\uB5BC",  # (떼; 떼; 떼; 떼; 떼; ) HANGUL SYLLABLE DDE
      "\uB5BD",  # (떽; 떽; 떽; 떽; 떽; ) HANGUL SYLLABLE DDEG
      "\uB5BE",  # (떾; 떾; 떾; 떾; 떾; ) HANGUL SYLLABLE DDEGG
      "\uB5BF",  # (떿; 떿; 떿; 떿; 떿; ) HANGUL SYLLABLE DDEGS
      "\uB5C0",  # (뗀; 뗀; 뗀; 뗀; 뗀; ) HANGUL SYLLABLE DDEN
      "\uB5C1",  # (뗁; 뗁; 뗁; 뗁; 뗁; ) HANGUL SYLLABLE DDENJ
      "\uB5C2",  # (뗂; 뗂; 뗂; 뗂; 뗂; ) HANGUL SYLLABLE DDENH
      "\uB5C3",  # (뗃; 뗃; 뗃; 뗃; 뗃; ) HANGUL SYLLABLE DDED
      "\uB5C4",  # (뗄; 뗄; 뗄; 뗄; 뗄; ) HANGUL SYLLABLE DDEL
      "\uB5C5",  # (뗅; 뗅; 뗅; 뗅; 뗅; ) HANGUL SYLLABLE DDELG
      "\uB5C6",  # (뗆; 뗆; 뗆; 뗆; 뗆; ) HANGUL SYLLABLE DDELM
      "\uB5C7",  # (뗇; 뗇; 뗇; 뗇; 뗇; ) HANGUL SYLLABLE DDELB
      "\uB5C8",  # (뗈; 뗈; 뗈; 뗈; 뗈; ) HANGUL SYLLABLE DDELS
      "\uB5C9",  # (뗉; 뗉; 뗉; 뗉; 뗉; ) HANGUL SYLLABLE DDELT
      "\uB5CA",  # (뗊; 뗊; 뗊; 뗊; 뗊; ) HANGUL SYLLABLE DDELP
      "\uB5CB",  # (뗋; 뗋; 뗋; 뗋; 뗋; ) HANGUL SYLLABLE DDELH
      "\uB5CC",  # (뗌; 뗌; 뗌; 뗌; 뗌; ) HANGUL SYLLABLE DDEM
      "\uB5CD",  # (뗍; 뗍; 뗍; 뗍; 뗍; ) HANGUL SYLLABLE DDEB
      "\uB5CE",  # (뗎; 뗎; 뗎; 뗎; 뗎; ) HANGUL SYLLABLE DDEBS
      "\uB5CF",  # (뗏; 뗏; 뗏; 뗏; 뗏; ) HANGUL SYLLABLE DDES
      "\uB5D0",  # (뗐; 뗐; 뗐; 뗐; 뗐; ) HANGUL SYLLABLE DDESS
      "\uB5D1",  # (뗑; 뗑; 뗑; 뗑; 뗑; ) HANGUL SYLLABLE DDENG
      "\uB5D2",  # (뗒; 뗒; 뗒; 뗒; 뗒; ) HANGUL SYLLABLE DDEJ
      "\uB5D3",  # (뗓; 뗓; 뗓; 뗓; 뗓; ) HANGUL SYLLABLE DDEC
      "\uB5D4",  # (뗔; 뗔; 뗔; 뗔; 뗔; ) HANGUL SYLLABLE DDEK
      "\uB5D5",  # (뗕; 뗕; 뗕; 뗕; 뗕; ) HANGUL SYLLABLE DDET
      "\uB5D6",  # (뗖; 뗖; 뗖; 뗖; 뗖; ) HANGUL SYLLABLE DDEP
      "\uB5D7",  # (뗗; 뗗; 뗗; 뗗; 뗗; ) HANGUL SYLLABLE DDEH
      "\uB5D8",  # (뗘; 뗘; 뗘; 뗘; 뗘; ) HANGUL SYLLABLE DDYEO
      "\uB5D9",  # (뗙; 뗙; 뗙; 뗙; 뗙; ) HANGUL SYLLABLE DDYEOG
      "\uB5DA",  # (뗚; 뗚; 뗚; 뗚; 뗚; ) HANGUL SYLLABLE DDYEOGG
      "\uB5DB",  # (뗛; 뗛; 뗛; 뗛; 뗛; ) HANGUL SYLLABLE DDYEOGS
      "\uB5DC",  # (뗜; 뗜; 뗜; 뗜; 뗜; ) HANGUL SYLLABLE DDYEON
      "\uB5DD",  # (뗝; 뗝; 뗝; 뗝; 뗝; ) HANGUL SYLLABLE DDYEONJ
      "\uB5DE",  # (뗞; 뗞; 뗞; 뗞; 뗞; ) HANGUL SYLLABLE DDYEONH
      "\uB5DF",  # (뗟; 뗟; 뗟; 뗟; 뗟; ) HANGUL SYLLABLE DDYEOD
      "\uB5E0",  # (뗠; 뗠; 뗠; 뗠; 뗠; ) HANGUL SYLLABLE DDYEOL
      "\uB5E1",  # (뗡; 뗡; 뗡; 뗡; 뗡; ) HANGUL SYLLABLE DDYEOLG
      "\uB5E2",  # (뗢; 뗢; 뗢; 뗢; 뗢; ) HANGUL SYLLABLE DDYEOLM
      "\uB5E3",  # (뗣; 뗣; 뗣; 뗣; 뗣; ) HANGUL SYLLABLE DDYEOLB
      "\uB5E4",  # (뗤; 뗤; 뗤; 뗤; 뗤; ) HANGUL SYLLABLE DDYEOLS
      "\uB5E5",  # (뗥; 뗥; 뗥; 뗥; 뗥; ) HANGUL SYLLABLE DDYEOLT
      "\uB5E6",  # (뗦; 뗦; 뗦; 뗦; 뗦; ) HANGUL SYLLABLE DDYEOLP
      "\uB5E7",  # (뗧; 뗧; 뗧; 뗧; 뗧; ) HANGUL SYLLABLE DDYEOLH
      "\uB5E8",  # (뗨; 뗨; 뗨; 뗨; 뗨; ) HANGUL SYLLABLE DDYEOM
      "\uB5E9",  # (뗩; 뗩; 뗩; 뗩; 뗩; ) HANGUL SYLLABLE DDYEOB
      "\uB5EA",  # (뗪; 뗪; 뗪; 뗪; 뗪; ) HANGUL SYLLABLE DDYEOBS
      "\uB5EB",  # (뗫; 뗫; 뗫; 뗫; 뗫; ) HANGUL SYLLABLE DDYEOS
      "\uB5EC",  # (뗬; 뗬; 뗬; 뗬; 뗬; ) HANGUL SYLLABLE DDYEOSS
      "\uB5ED",  # (뗭; 뗭; 뗭; 뗭; 뗭; ) HANGUL SYLLABLE DDYEONG
      "\uB5EE",  # (뗮; 뗮; 뗮; 뗮; 뗮; ) HANGUL SYLLABLE DDYEOJ
      "\uB5EF",  # (뗯; 뗯; 뗯; 뗯; 뗯; ) HANGUL SYLLABLE DDYEOC
      "\uB5F0",  # (뗰; 뗰; 뗰; 뗰; 뗰; ) HANGUL SYLLABLE DDYEOK
      "\uB5F1",  # (뗱; 뗱; 뗱; 뗱; 뗱; ) HANGUL SYLLABLE DDYEOT
      "\uB5F2",  # (뗲; 뗲; 뗲; 뗲; 뗲; ) HANGUL SYLLABLE DDYEOP
      "\uB5F3",  # (뗳; 뗳; 뗳; 뗳; 뗳; ) HANGUL SYLLABLE DDYEOH
      "\uB5F4",  # (뗴; 뗴; 뗴; 뗴; 뗴; ) HANGUL SYLLABLE DDYE
      "\uB5F5",  # (뗵; 뗵; 뗵; 뗵; 뗵; ) HANGUL SYLLABLE DDYEG
      "\uB5F6",  # (뗶; 뗶; 뗶; 뗶; 뗶; ) HANGUL SYLLABLE DDYEGG
      "\uB5F7",  # (뗷; 뗷; 뗷; 뗷; 뗷; ) HANGUL SYLLABLE DDYEGS
      "\uB5F8",  # (뗸; 뗸; 뗸; 뗸; 뗸; ) HANGUL SYLLABLE DDYEN
      "\uB5F9",  # (뗹; 뗹; 뗹; 뗹; 뗹; ) HANGUL SYLLABLE DDYENJ
      "\uB5FA",  # (뗺; 뗺; 뗺; 뗺; 뗺; ) HANGUL SYLLABLE DDYENH
      "\uB5FB",  # (뗻; 뗻; 뗻; 뗻; 뗻; ) HANGUL SYLLABLE DDYED
      "\uB5FC",  # (뗼; 뗼; 뗼; 뗼; 뗼; ) HANGUL SYLLABLE DDYEL
      "\uB5FD",  # (뗽; 뗽; 뗽; 뗽; 뗽; ) HANGUL SYLLABLE DDYELG
      "\uB5FE",  # (뗾; 뗾; 뗾; 뗾; 뗾; ) HANGUL SYLLABLE DDYELM
      "\uB5FF",  # (뗿; 뗿; 뗿; 뗿; 뗿; ) HANGUL SYLLABLE DDYELB
      "\uB600",  # (똀; 똀; 똀; 똀; 똀; ) HANGUL SYLLABLE DDYELS
      "\uB601",  # (똁; 똁; 똁; 똁; 똁; ) HANGUL SYLLABLE DDYELT
      "\uB602",  # (똂; 똂; 똂; 똂; 똂; ) HANGUL SYLLABLE DDYELP
      "\uB603",  # (똃; 똃; 똃; 똃; 똃; ) HANGUL SYLLABLE DDYELH
      "\uB604",  # (똄; 똄; 똄; 똄; 똄; ) HANGUL SYLLABLE DDYEM
      "\uB605",  # (똅; 똅; 똅; 똅; 똅; ) HANGUL SYLLABLE DDYEB
      "\uB606",  # (똆; 똆; 똆; 똆; 똆; ) HANGUL SYLLABLE DDYEBS
      "\uB607",  # (똇; 똇; 똇; 똇; 똇; ) HANGUL SYLLABLE DDYES
      "\uB608",  # (똈; 똈; 똈; 똈; 똈; ) HANGUL SYLLABLE DDYESS
      "\uB609",  # (똉; 똉; 똉; 똉; 똉; ) HANGUL SYLLABLE DDYENG
      "\uB60A",  # (똊; 똊; 똊; 똊; 똊; ) HANGUL SYLLABLE DDYEJ
      "\uB60B",  # (똋; 똋; 똋; 똋; 똋; ) HANGUL SYLLABLE DDYEC
      "\uB60C",  # (똌; 똌; 똌; 똌; 똌; ) HANGUL SYLLABLE DDYEK
      "\uB60D",  # (똍; 똍; 똍; 똍; 똍; ) HANGUL SYLLABLE DDYET
      "\uB60E",  # (똎; 똎; 똎; 똎; 똎; ) HANGUL SYLLABLE DDYEP
      "\uB60F",  # (똏; 똏; 똏; 똏; 똏; ) HANGUL SYLLABLE DDYEH
      "\uB610",  # (또; 또; 또; 또; 또; ) HANGUL SYLLABLE DDO
      "\uB611",  # (똑; 똑; 똑; 똑; 똑; ) HANGUL SYLLABLE DDOG
      "\uB612",  # (똒; 똒; 똒; 똒; 똒; ) HANGUL SYLLABLE DDOGG
      "\uB613",  # (똓; 똓; 똓; 똓; 똓; ) HANGUL SYLLABLE DDOGS
      "\uB614",  # (똔; 똔; 똔; 똔; 똔; ) HANGUL SYLLABLE DDON
      "\uB615",  # (똕; 똕; 똕; 똕; 똕; ) HANGUL SYLLABLE DDONJ
      "\uB616",  # (똖; 똖; 똖; 똖; 똖; ) HANGUL SYLLABLE DDONH
      "\uB617",  # (똗; 똗; 똗; 똗; 똗; ) HANGUL SYLLABLE DDOD
      "\uB618",  # (똘; 똘; 똘; 똘; 똘; ) HANGUL SYLLABLE DDOL
      "\uB619",  # (똙; 똙; 똙; 똙; 똙; ) HANGUL SYLLABLE DDOLG
      "\uB61A",  # (똚; 똚; 똚; 똚; 똚; ) HANGUL SYLLABLE DDOLM
      "\uB61B",  # (똛; 똛; 똛; 똛; 똛; ) HANGUL SYLLABLE DDOLB
      "\uB61C",  # (똜; 똜; 똜; 똜; 똜; ) HANGUL SYLLABLE DDOLS
      "\uB61D",  # (똝; 똝; 똝; 똝; 똝; ) HANGUL SYLLABLE DDOLT
      "\uB61E",  # (똞; 똞; 똞; 똞; 똞; ) HANGUL SYLLABLE DDOLP
      "\uB61F",  # (똟; 똟; 똟; 똟; 똟; ) HANGUL SYLLABLE DDOLH
      "\uB620",  # (똠; 똠; 똠; 똠; 똠; ) HANGUL SYLLABLE DDOM
      "\uB621",  # (똡; 똡; 똡; 똡; 똡; ) HANGUL SYLLABLE DDOB
      "\uB622",  # (똢; 똢; 똢; 똢; 똢; ) HANGUL SYLLABLE DDOBS
      "\uB623",  # (똣; 똣; 똣; 똣; 똣; ) HANGUL SYLLABLE DDOS
      "\uB624",  # (똤; 똤; 똤; 똤; 똤; ) HANGUL SYLLABLE DDOSS
      "\uB625",  # (똥; 똥; 똥; 똥; 똥; ) HANGUL SYLLABLE DDONG
      "\uB626",  # (똦; 똦; 똦; 똦; 똦; ) HANGUL SYLLABLE DDOJ
      "\uB627",  # (똧; 똧; 똧; 똧; 똧; ) HANGUL SYLLABLE DDOC
      "\uB628",  # (똨; 똨; 똨; 똨; 똨; ) HANGUL SYLLABLE DDOK
      "\uB629",  # (똩; 똩; 똩; 똩; 똩; ) HANGUL SYLLABLE DDOT
      "\uB62A",  # (똪; 똪; 똪; 똪; 똪; ) HANGUL SYLLABLE DDOP
      "\uB62B",  # (똫; 똫; 똫; 똫; 똫; ) HANGUL SYLLABLE DDOH
      "\uB62C",  # (똬; 똬; 똬; 똬; 똬; ) HANGUL SYLLABLE DDWA
      "\uB62D",  # (똭; 똭; 똭; 똭; 똭; ) HANGUL SYLLABLE DDWAG
      "\uB62E",  # (똮; 똮; 똮; 똮; 똮; ) HANGUL SYLLABLE DDWAGG
      "\uB62F",  # (똯; 똯; 똯; 똯; 똯; ) HANGUL SYLLABLE DDWAGS
      "\uB630",  # (똰; 똰; 똰; 똰; 똰; ) HANGUL SYLLABLE DDWAN
      "\uB631",  # (똱; 똱; 똱; 똱; 똱; ) HANGUL SYLLABLE DDWANJ
      "\uB632",  # (똲; 똲; 똲; 똲; 똲; ) HANGUL SYLLABLE DDWANH
      "\uB633",  # (똳; 똳; 똳; 똳; 똳; ) HANGUL SYLLABLE DDWAD
      "\uB634",  # (똴; 똴; 똴; 똴; 똴; ) HANGUL SYLLABLE DDWAL
      "\uB635",  # (똵; 똵; 똵; 똵; 똵; ) HANGUL SYLLABLE DDWALG
      "\uB636",  # (똶; 똶; 똶; 똶; 똶; ) HANGUL SYLLABLE DDWALM
      "\uB637",  # (똷; 똷; 똷; 똷; 똷; ) HANGUL SYLLABLE DDWALB
      "\uB638",  # (똸; 똸; 똸; 똸; 똸; ) HANGUL SYLLABLE DDWALS
      "\uB639",  # (똹; 똹; 똹; 똹; 똹; ) HANGUL SYLLABLE DDWALT
      "\uB63A",  # (똺; 똺; 똺; 똺; 똺; ) HANGUL SYLLABLE DDWALP
      "\uB63B",  # (똻; 똻; 똻; 똻; 똻; ) HANGUL SYLLABLE DDWALH
      "\uB63C",  # (똼; 똼; 똼; 똼; 똼; ) HANGUL SYLLABLE DDWAM
      "\uB63D",  # (똽; 똽; 똽; 똽; 똽; ) HANGUL SYLLABLE DDWAB
      "\uB63E",  # (똾; 똾; 똾; 똾; 똾; ) HANGUL SYLLABLE DDWABS
      "\uB63F",  # (똿; 똿; 똿; 똿; 똿; ) HANGUL SYLLABLE DDWAS
      "\uB640",  # (뙀; 뙀; 뙀; 뙀; 뙀; ) HANGUL SYLLABLE DDWASS
      "\uB641",  # (뙁; 뙁; 뙁; 뙁; 뙁; ) HANGUL SYLLABLE DDWANG
      "\uB642",  # (뙂; 뙂; 뙂; 뙂; 뙂; ) HANGUL SYLLABLE DDWAJ
      "\uB643",  # (뙃; 뙃; 뙃; 뙃; 뙃; ) HANGUL SYLLABLE DDWAC
      "\uB644",  # (뙄; 뙄; 뙄; 뙄; 뙄; ) HANGUL SYLLABLE DDWAK
      "\uB645",  # (뙅; 뙅; 뙅; 뙅; 뙅; ) HANGUL SYLLABLE DDWAT
      "\uB646",  # (뙆; 뙆; 뙆; 뙆; 뙆; ) HANGUL SYLLABLE DDWAP
      "\uB647",  # (뙇; 뙇; 뙇; 뙇; 뙇; ) HANGUL SYLLABLE DDWAH
      "\uB648",  # (뙈; 뙈; 뙈; 뙈; 뙈; ) HANGUL SYLLABLE DDWAE
      "\uB649",  # (뙉; 뙉; 뙉; 뙉; 뙉; ) HANGUL SYLLABLE DDWAEG
      "\uB64A",  # (뙊; 뙊; 뙊; 뙊; 뙊; ) HANGUL SYLLABLE DDWAEGG
      "\uB64B",  # (뙋; 뙋; 뙋; 뙋; 뙋; ) HANGUL SYLLABLE DDWAEGS
      "\uB64C",  # (뙌; 뙌; 뙌; 뙌; 뙌; ) HANGUL SYLLABLE DDWAEN
      "\uB64D",  # (뙍; 뙍; 뙍; 뙍; 뙍; ) HANGUL SYLLABLE DDWAENJ
      "\uB64E",  # (뙎; 뙎; 뙎; 뙎; 뙎; ) HANGUL SYLLABLE DDWAENH
      "\uB64F",  # (뙏; 뙏; 뙏; 뙏; 뙏; ) HANGUL SYLLABLE DDWAED
      "\uB650",  # (뙐; 뙐; 뙐; 뙐; 뙐; ) HANGUL SYLLABLE DDWAEL
      "\uB651",  # (뙑; 뙑; 뙑; 뙑; 뙑; ) HANGUL SYLLABLE DDWAELG
      "\uB652",  # (뙒; 뙒; 뙒; 뙒; 뙒; ) HANGUL SYLLABLE DDWAELM
      "\uB653",  # (뙓; 뙓; 뙓; 뙓; 뙓; ) HANGUL SYLLABLE DDWAELB
      "\uB654",  # (뙔; 뙔; 뙔; 뙔; 뙔; ) HANGUL SYLLABLE DDWAELS
      "\uB655",  # (뙕; 뙕; 뙕; 뙕; 뙕; ) HANGUL SYLLABLE DDWAELT
      "\uB656",  # (뙖; 뙖; 뙖; 뙖; 뙖; ) HANGUL SYLLABLE DDWAELP
      "\uB657",  # (뙗; 뙗; 뙗; 뙗; 뙗; ) HANGUL SYLLABLE DDWAELH
      "\uB658",  # (뙘; 뙘; 뙘; 뙘; 뙘; ) HANGUL SYLLABLE DDWAEM
      "\uB659",  # (뙙; 뙙; 뙙; 뙙; 뙙; ) HANGUL SYLLABLE DDWAEB
      "\uB65A",  # (뙚; 뙚; 뙚; 뙚; 뙚; ) HANGUL SYLLABLE DDWAEBS
      "\uB65B",  # (뙛; 뙛; 뙛; 뙛; 뙛; ) HANGUL SYLLABLE DDWAES
      "\uB65C",  # (뙜; 뙜; 뙜; 뙜; 뙜; ) HANGUL SYLLABLE DDWAESS
      "\uB65D",  # (뙝; 뙝; 뙝; 뙝; 뙝; ) HANGUL SYLLABLE DDWAENG
      "\uB65E",  # (뙞; 뙞; 뙞; 뙞; 뙞; ) HANGUL SYLLABLE DDWAEJ
      "\uB65F",  # (뙟; 뙟; 뙟; 뙟; 뙟; ) HANGUL SYLLABLE DDWAEC
      "\uB660",  # (뙠; 뙠; 뙠; 뙠; 뙠; ) HANGUL SYLLABLE DDWAEK
      "\uB661",  # (뙡; 뙡; 뙡; 뙡; 뙡; ) HANGUL SYLLABLE DDWAET
      "\uB662",  # (뙢; 뙢; 뙢; 뙢; 뙢; ) HANGUL SYLLABLE DDWAEP
      "\uB663",  # (뙣; 뙣; 뙣; 뙣; 뙣; ) HANGUL SYLLABLE DDWAEH
      "\uB664",  # (뙤; 뙤; 뙤; 뙤; 뙤; ) HANGUL SYLLABLE DDOE
      "\uB665",  # (뙥; 뙥; 뙥; 뙥; 뙥; ) HANGUL SYLLABLE DDOEG
      "\uB666",  # (뙦; 뙦; 뙦; 뙦; 뙦; ) HANGUL SYLLABLE DDOEGG
      "\uB667",  # (뙧; 뙧; 뙧; 뙧; 뙧; ) HANGUL SYLLABLE DDOEGS
      "\uB668",  # (뙨; 뙨; 뙨; 뙨; 뙨; ) HANGUL SYLLABLE DDOEN
      "\uB669",  # (뙩; 뙩; 뙩; 뙩; 뙩; ) HANGUL SYLLABLE DDOENJ
      "\uB66A",  # (뙪; 뙪; 뙪; 뙪; 뙪; ) HANGUL SYLLABLE DDOENH
      "\uB66B",  # (뙫; 뙫; 뙫; 뙫; 뙫; ) HANGUL SYLLABLE DDOED
      "\uB66C",  # (뙬; 뙬; 뙬; 뙬; 뙬; ) HANGUL SYLLABLE DDOEL
      "\uB66D",  # (뙭; 뙭; 뙭; 뙭; 뙭; ) HANGUL SYLLABLE DDOELG
      "\uB66E",  # (뙮; 뙮; 뙮; 뙮; 뙮; ) HANGUL SYLLABLE DDOELM
      "\uB66F",  # (뙯; 뙯; 뙯; 뙯; 뙯; ) HANGUL SYLLABLE DDOELB
      "\uB670",  # (뙰; 뙰; 뙰; 뙰; 뙰; ) HANGUL SYLLABLE DDOELS
      "\uB671",  # (뙱; 뙱; 뙱; 뙱; 뙱; ) HANGUL SYLLABLE DDOELT
      "\uB672",  # (뙲; 뙲; 뙲; 뙲; 뙲; ) HANGUL SYLLABLE DDOELP
      "\uB673",  # (뙳; 뙳; 뙳; 뙳; 뙳; ) HANGUL SYLLABLE DDOELH
      "\uB674",  # (뙴; 뙴; 뙴; 뙴; 뙴; ) HANGUL SYLLABLE DDOEM
      "\uB675",  # (뙵; 뙵; 뙵; 뙵; 뙵; ) HANGUL SYLLABLE DDOEB
      "\uB676",  # (뙶; 뙶; 뙶; 뙶; 뙶; ) HANGUL SYLLABLE DDOEBS
      "\uB677",  # (뙷; 뙷; 뙷; 뙷; 뙷; ) HANGUL SYLLABLE DDOES
      "\uB678",  # (뙸; 뙸; 뙸; 뙸; 뙸; ) HANGUL SYLLABLE DDOESS
      "\uB679",  # (뙹; 뙹; 뙹; 뙹; 뙹; ) HANGUL SYLLABLE DDOENG
      "\uB67A",  # (뙺; 뙺; 뙺; 뙺; 뙺; ) HANGUL SYLLABLE DDOEJ
      "\uB67B",  # (뙻; 뙻; 뙻; 뙻; 뙻; ) HANGUL SYLLABLE DDOEC
      "\uB67C",  # (뙼; 뙼; 뙼; 뙼; 뙼; ) HANGUL SYLLABLE DDOEK
      "\uB67D",  # (뙽; 뙽; 뙽; 뙽; 뙽; ) HANGUL SYLLABLE DDOET
      "\uB67E",  # (뙾; 뙾; 뙾; 뙾; 뙾; ) HANGUL SYLLABLE DDOEP
      "\uB67F",  # (뙿; 뙿; 뙿; 뙿; 뙿; ) HANGUL SYLLABLE DDOEH
      "\uB680",  # (뚀; 뚀; 뚀; 뚀; 뚀; ) HANGUL SYLLABLE DDYO
      "\uB681",  # (뚁; 뚁; 뚁; 뚁; 뚁; ) HANGUL SYLLABLE DDYOG
      "\uB682",  # (뚂; 뚂; 뚂; 뚂; 뚂; ) HANGUL SYLLABLE DDYOGG
      "\uB683",  # (뚃; 뚃; 뚃; 뚃; 뚃; ) HANGUL SYLLABLE DDYOGS
      "\uB684",  # (뚄; 뚄; 뚄; 뚄; 뚄; ) HANGUL SYLLABLE DDYON
      "\uB685",  # (뚅; 뚅; 뚅; 뚅; 뚅; ) HANGUL SYLLABLE DDYONJ
      "\uB686",  # (뚆; 뚆; 뚆; 뚆; 뚆; ) HANGUL SYLLABLE DDYONH
      "\uB687",  # (뚇; 뚇; 뚇; 뚇; 뚇; ) HANGUL SYLLABLE DDYOD
      "\uB688",  # (뚈; 뚈; 뚈; 뚈; 뚈; ) HANGUL SYLLABLE DDYOL
      "\uB689",  # (뚉; 뚉; 뚉; 뚉; 뚉; ) HANGUL SYLLABLE DDYOLG
      "\uB68A",  # (뚊; 뚊; 뚊; 뚊; 뚊; ) HANGUL SYLLABLE DDYOLM
      "\uB68B",  # (뚋; 뚋; 뚋; 뚋; 뚋; ) HANGUL SYLLABLE DDYOLB
      "\uB68C",  # (뚌; 뚌; 뚌; 뚌; 뚌; ) HANGUL SYLLABLE DDYOLS
      "\uB68D",  # (뚍; 뚍; 뚍; 뚍; 뚍; ) HANGUL SYLLABLE DDYOLT
      "\uB68E",  # (뚎; 뚎; 뚎; 뚎; 뚎; ) HANGUL SYLLABLE DDYOLP
      "\uB68F",  # (뚏; 뚏; 뚏; 뚏; 뚏; ) HANGUL SYLLABLE DDYOLH
      "\uB690",  # (뚐; 뚐; 뚐; 뚐; 뚐; ) HANGUL SYLLABLE DDYOM
      "\uB691",  # (뚑; 뚑; 뚑; 뚑; 뚑; ) HANGUL SYLLABLE DDYOB
      "\uB692",  # (뚒; 뚒; 뚒; 뚒; 뚒; ) HANGUL SYLLABLE DDYOBS
      "\uB693",  # (뚓; 뚓; 뚓; 뚓; 뚓; ) HANGUL SYLLABLE DDYOS
      "\uB694",  # (뚔; 뚔; 뚔; 뚔; 뚔; ) HANGUL SYLLABLE DDYOSS
      "\uB695",  # (뚕; 뚕; 뚕; 뚕; 뚕; ) HANGUL SYLLABLE DDYONG
      "\uB696",  # (뚖; 뚖; 뚖; 뚖; 뚖; ) HANGUL SYLLABLE DDYOJ
      "\uB697",  # (뚗; 뚗; 뚗; 뚗; 뚗; ) HANGUL SYLLABLE DDYOC
      "\uB698",  # (뚘; 뚘; 뚘; 뚘; 뚘; ) HANGUL SYLLABLE DDYOK
      "\uB699",  # (뚙; 뚙; 뚙; 뚙; 뚙; ) HANGUL SYLLABLE DDYOT
      "\uB69A",  # (뚚; 뚚; 뚚; 뚚; 뚚; ) HANGUL SYLLABLE DDYOP
      "\uB69B",  # (뚛; 뚛; 뚛; 뚛; 뚛; ) HANGUL SYLLABLE DDYOH
      "\uB69C",  # (뚜; 뚜; 뚜; 뚜; 뚜; ) HANGUL SYLLABLE DDU
      "\uB69D",  # (뚝; 뚝; 뚝; 뚝; 뚝; ) HANGUL SYLLABLE DDUG
      "\uB69E",  # (뚞; 뚞; 뚞; 뚞; 뚞; ) HANGUL SYLLABLE DDUGG
      "\uB69F",  # (뚟; 뚟; 뚟; 뚟; 뚟; ) HANGUL SYLLABLE DDUGS
      "\uB6A0",  # (뚠; 뚠; 뚠; 뚠; 뚠; ) HANGUL SYLLABLE DDUN
      "\uB6A1",  # (뚡; 뚡; 뚡; 뚡; 뚡; ) HANGUL SYLLABLE DDUNJ
      "\uB6A2",  # (뚢; 뚢; 뚢; 뚢; 뚢; ) HANGUL SYLLABLE DDUNH
      "\uB6A3",  # (뚣; 뚣; 뚣; 뚣; 뚣; ) HANGUL SYLLABLE DDUD
      "\uB6A4",  # (뚤; 뚤; 뚤; 뚤; 뚤; ) HANGUL SYLLABLE DDUL
      "\uB6A5",  # (뚥; 뚥; 뚥; 뚥; 뚥; ) HANGUL SYLLABLE DDULG
      "\uB6A6",  # (뚦; 뚦; 뚦; 뚦; 뚦; ) HANGUL SYLLABLE DDULM
      "\uB6A7",  # (뚧; 뚧; 뚧; 뚧; 뚧; ) HANGUL SYLLABLE DDULB
      "\uB6A8",  # (뚨; 뚨; 뚨; 뚨; 뚨; ) HANGUL SYLLABLE DDULS
      "\uB6A9",  # (뚩; 뚩; 뚩; 뚩; 뚩; ) HANGUL SYLLABLE DDULT
      "\uB6AA",  # (뚪; 뚪; 뚪; 뚪; 뚪; ) HANGUL SYLLABLE DDULP
      "\uB6AB",  # (뚫; 뚫; 뚫; 뚫; 뚫; ) HANGUL SYLLABLE DDULH
      "\uB6AC",  # (뚬; 뚬; 뚬; 뚬; 뚬; ) HANGUL SYLLABLE DDUM
      "\uB6AD",  # (뚭; 뚭; 뚭; 뚭; 뚭; ) HANGUL SYLLABLE DDUB
      "\uB6AE",  # (뚮; 뚮; 뚮; 뚮; 뚮; ) HANGUL SYLLABLE DDUBS
      "\uB6AF",  # (뚯; 뚯; 뚯; 뚯; 뚯; ) HANGUL SYLLABLE DDUS
      "\uB6B0",  # (뚰; 뚰; 뚰; 뚰; 뚰; ) HANGUL SYLLABLE DDUSS
      "\uB6B1",  # (뚱; 뚱; 뚱; 뚱; 뚱; ) HANGUL SYLLABLE DDUNG
      "\uB6B2",  # (뚲; 뚲; 뚲; 뚲; 뚲; ) HANGUL SYLLABLE DDUJ
      "\uB6B3",  # (뚳; 뚳; 뚳; 뚳; 뚳; ) HANGUL SYLLABLE DDUC
      "\uB6B4",  # (뚴; 뚴; 뚴; 뚴; 뚴; ) HANGUL SYLLABLE DDUK
      "\uB6B5",  # (뚵; 뚵; 뚵; 뚵; 뚵; ) HANGUL SYLLABLE DDUT
      "\uB6B6",  # (뚶; 뚶; 뚶; 뚶; 뚶; ) HANGUL SYLLABLE DDUP
      "\uB6B7",  # (뚷; 뚷; 뚷; 뚷; 뚷; ) HANGUL SYLLABLE DDUH
      "\uB6B8",  # (뚸; 뚸; 뚸; 뚸; 뚸; ) HANGUL SYLLABLE DDWEO
      "\uB6B9",  # (뚹; 뚹; 뚹; 뚹; 뚹; ) HANGUL SYLLABLE DDWEOG
      "\uB6BA",  # (뚺; 뚺; 뚺; 뚺; 뚺; ) HANGUL SYLLABLE DDWEOGG
      "\uB6BB",  # (뚻; 뚻; 뚻; 뚻; 뚻; ) HANGUL SYLLABLE DDWEOGS
      "\uB6BC",  # (뚼; 뚼; 뚼; 뚼; 뚼; ) HANGUL SYLLABLE DDWEON
      "\uB6BD",  # (뚽; 뚽; 뚽; 뚽; 뚽; ) HANGUL SYLLABLE DDWEONJ
      "\uB6BE",  # (뚾; 뚾; 뚾; 뚾; 뚾; ) HANGUL SYLLABLE DDWEONH
      "\uB6BF",  # (뚿; 뚿; 뚿; 뚿; 뚿; ) HANGUL SYLLABLE DDWEOD
      "\uB6C0",  # (뛀; 뛀; 뛀; 뛀; 뛀; ) HANGUL SYLLABLE DDWEOL
      "\uB6C1",  # (뛁; 뛁; 뛁; 뛁; 뛁; ) HANGUL SYLLABLE DDWEOLG
      "\uB6C2",  # (뛂; 뛂; 뛂; 뛂; 뛂; ) HANGUL SYLLABLE DDWEOLM
      "\uB6C3",  # (뛃; 뛃; 뛃; 뛃; 뛃; ) HANGUL SYLLABLE DDWEOLB
      "\uB6C4",  # (뛄; 뛄; 뛄; 뛄; 뛄; ) HANGUL SYLLABLE DDWEOLS
      "\uB6C5",  # (뛅; 뛅; 뛅; 뛅; 뛅; ) HANGUL SYLLABLE DDWEOLT
      "\uB6C6",  # (뛆; 뛆; 뛆; 뛆; 뛆; ) HANGUL SYLLABLE DDWEOLP
      "\uB6C7",  # (뛇; 뛇; 뛇; 뛇; 뛇; ) HANGUL SYLLABLE DDWEOLH
      "\uB6C8",  # (뛈; 뛈; 뛈; 뛈; 뛈; ) HANGUL SYLLABLE DDWEOM
      "\uB6C9",  # (뛉; 뛉; 뛉; 뛉; 뛉; ) HANGUL SYLLABLE DDWEOB
      "\uB6CA",  # (뛊; 뛊; 뛊; 뛊; 뛊; ) HANGUL SYLLABLE DDWEOBS
      "\uB6CB",  # (뛋; 뛋; 뛋; 뛋; 뛋; ) HANGUL SYLLABLE DDWEOS
      "\uB6CC",  # (뛌; 뛌; 뛌; 뛌; 뛌; ) HANGUL SYLLABLE DDWEOSS
      "\uB6CD",  # (뛍; 뛍; 뛍; 뛍; 뛍; ) HANGUL SYLLABLE DDWEONG
      "\uB6CE",  # (뛎; 뛎; 뛎; 뛎; 뛎; ) HANGUL SYLLABLE DDWEOJ
      "\uB6CF",  # (뛏; 뛏; 뛏; 뛏; 뛏; ) HANGUL SYLLABLE DDWEOC
      "\uB6D0",  # (뛐; 뛐; 뛐; 뛐; 뛐; ) HANGUL SYLLABLE DDWEOK
      "\uB6D1",  # (뛑; 뛑; 뛑; 뛑; 뛑; ) HANGUL SYLLABLE DDWEOT
      "\uB6D2",  # (뛒; 뛒; 뛒; 뛒; 뛒; ) HANGUL SYLLABLE DDWEOP
      "\uB6D3",  # (뛓; 뛓; 뛓; 뛓; 뛓; ) HANGUL SYLLABLE DDWEOH
      "\uB6D4",  # (뛔; 뛔; 뛔; 뛔; 뛔; ) HANGUL SYLLABLE DDWE
      "\uB6D5",  # (뛕; 뛕; 뛕; 뛕; 뛕; ) HANGUL SYLLABLE DDWEG
      "\uB6D6",  # (뛖; 뛖; 뛖; 뛖; 뛖; ) HANGUL SYLLABLE DDWEGG
      "\uB6D7",  # (뛗; 뛗; 뛗; 뛗; 뛗; ) HANGUL SYLLABLE DDWEGS
      "\uB6D8",  # (뛘; 뛘; 뛘; 뛘; 뛘; ) HANGUL SYLLABLE DDWEN
      "\uB6D9",  # (뛙; 뛙; 뛙; 뛙; 뛙; ) HANGUL SYLLABLE DDWENJ
      "\uB6DA",  # (뛚; 뛚; 뛚; 뛚; 뛚; ) HANGUL SYLLABLE DDWENH
      "\uB6DB",  # (뛛; 뛛; 뛛; 뛛; 뛛; ) HANGUL SYLLABLE DDWED
      "\uB6DC",  # (뛜; 뛜; 뛜; 뛜; 뛜; ) HANGUL SYLLABLE DDWEL
      "\uB6DD",  # (뛝; 뛝; 뛝; 뛝; 뛝; ) HANGUL SYLLABLE DDWELG
      "\uB6DE",  # (뛞; 뛞; 뛞; 뛞; 뛞; ) HANGUL SYLLABLE DDWELM
      "\uB6DF",  # (뛟; 뛟; 뛟; 뛟; 뛟; ) HANGUL SYLLABLE DDWELB
      "\uB6E0",  # (뛠; 뛠; 뛠; 뛠; 뛠; ) HANGUL SYLLABLE DDWELS
      "\uB6E1",  # (뛡; 뛡; 뛡; 뛡; 뛡; ) HANGUL SYLLABLE DDWELT
      "\uB6E2",  # (뛢; 뛢; 뛢; 뛢; 뛢; ) HANGUL SYLLABLE DDWELP
      "\uB6E3",  # (뛣; 뛣; 뛣; 뛣; 뛣; ) HANGUL SYLLABLE DDWELH
      "\uB6E4",  # (뛤; 뛤; 뛤; 뛤; 뛤; ) HANGUL SYLLABLE DDWEM
      "\uB6E5",  # (뛥; 뛥; 뛥; 뛥; 뛥; ) HANGUL SYLLABLE DDWEB
      "\uB6E6",  # (뛦; 뛦; 뛦; 뛦; 뛦; ) HANGUL SYLLABLE DDWEBS
      "\uB6E7",  # (뛧; 뛧; 뛧; 뛧; 뛧; ) HANGUL SYLLABLE DDWES
      "\uB6E8",  # (뛨; 뛨; 뛨; 뛨; 뛨; ) HANGUL SYLLABLE DDWESS
      "\uB6E9",  # (뛩; 뛩; 뛩; 뛩; 뛩; ) HANGUL SYLLABLE DDWENG
      "\uB6EA",  # (뛪; 뛪; 뛪; 뛪; 뛪; ) HANGUL SYLLABLE DDWEJ
      "\uB6EB",  # (뛫; 뛫; 뛫; 뛫; 뛫; ) HANGUL SYLLABLE DDWEC
      "\uB6EC",  # (뛬; 뛬; 뛬; 뛬; 뛬; ) HANGUL SYLLABLE DDWEK
      "\uB6ED",  # (뛭; 뛭; 뛭; 뛭; 뛭; ) HANGUL SYLLABLE DDWET
      "\uB6EE",  # (뛮; 뛮; 뛮; 뛮; 뛮; ) HANGUL SYLLABLE DDWEP
      "\uB6EF",  # (뛯; 뛯; 뛯; 뛯; 뛯; ) HANGUL SYLLABLE DDWEH
      "\uB6F0",  # (뛰; 뛰; 뛰; 뛰; 뛰; ) HANGUL SYLLABLE DDWI
      "\uB6F1",  # (뛱; 뛱; 뛱; 뛱; 뛱; ) HANGUL SYLLABLE DDWIG
      "\uB6F2",  # (뛲; 뛲; 뛲; 뛲; 뛲; ) HANGUL SYLLABLE DDWIGG
      "\uB6F3",  # (뛳; 뛳; 뛳; 뛳; 뛳; ) HANGUL SYLLABLE DDWIGS
      "\uB6F4",  # (뛴; 뛴; 뛴; 뛴; 뛴; ) HANGUL SYLLABLE DDWIN
      "\uB6F5",  # (뛵; 뛵; 뛵; 뛵; 뛵; ) HANGUL SYLLABLE DDWINJ
      "\uB6F6",  # (뛶; 뛶; 뛶; 뛶; 뛶; ) HANGUL SYLLABLE DDWINH
      "\uB6F7",  # (뛷; 뛷; 뛷; 뛷; 뛷; ) HANGUL SYLLABLE DDWID
      "\uB6F8",  # (뛸; 뛸; 뛸; 뛸; 뛸; ) HANGUL SYLLABLE DDWIL
      "\uB6F9",  # (뛹; 뛹; 뛹; 뛹; 뛹; ) HANGUL SYLLABLE DDWILG
      "\uB6FA",  # (뛺; 뛺; 뛺; 뛺; 뛺; ) HANGUL SYLLABLE DDWILM
      "\uB6FB",  # (뛻; 뛻; 뛻; 뛻; 뛻; ) HANGUL SYLLABLE DDWILB
      "\uB6FC",  # (뛼; 뛼; 뛼; 뛼; 뛼; ) HANGUL SYLLABLE DDWILS
      "\uB6FD",  # (뛽; 뛽; 뛽; 뛽; 뛽; ) HANGUL SYLLABLE DDWILT
      "\uB6FE",  # (뛾; 뛾; 뛾; 뛾; 뛾; ) HANGUL SYLLABLE DDWILP
      "\uB6FF",  # (뛿; 뛿; 뛿; 뛿; 뛿; ) HANGUL SYLLABLE DDWILH
      "\uB700",  # (뜀; 뜀; 뜀; 뜀; 뜀; ) HANGUL SYLLABLE DDWIM
      "\uB701",  # (뜁; 뜁; 뜁; 뜁; 뜁; ) HANGUL SYLLABLE DDWIB
      "\uB702",  # (뜂; 뜂; 뜂; 뜂; 뜂; ) HANGUL SYLLABLE DDWIBS
      "\uB703",  # (뜃; 뜃; 뜃; 뜃; 뜃; ) HANGUL SYLLABLE DDWIS
      "\uB704",  # (뜄; 뜄; 뜄; 뜄; 뜄; ) HANGUL SYLLABLE DDWISS
      "\uB705",  # (뜅; 뜅; 뜅; 뜅; 뜅; ) HANGUL SYLLABLE DDWING
      "\uB706",  # (뜆; 뜆; 뜆; 뜆; 뜆; ) HANGUL SYLLABLE DDWIJ
      "\uB707",  # (뜇; 뜇; 뜇; 뜇; 뜇; ) HANGUL SYLLABLE DDWIC
      "\uB708",  # (뜈; 뜈; 뜈; 뜈; 뜈; ) HANGUL SYLLABLE DDWIK
      "\uB709",  # (뜉; 뜉; 뜉; 뜉; 뜉; ) HANGUL SYLLABLE DDWIT
      "\uB70A",  # (뜊; 뜊; 뜊; 뜊; 뜊; ) HANGUL SYLLABLE DDWIP
      "\uB70B",  # (뜋; 뜋; 뜋; 뜋; 뜋; ) HANGUL SYLLABLE DDWIH
      "\uB70C",  # (뜌; 뜌; 뜌; 뜌; 뜌; ) HANGUL SYLLABLE DDYU
      "\uB70D",  # (뜍; 뜍; 뜍; 뜍; 뜍; ) HANGUL SYLLABLE DDYUG
      "\uB70E",  # (뜎; 뜎; 뜎; 뜎; 뜎; ) HANGUL SYLLABLE DDYUGG
      "\uB70F",  # (뜏; 뜏; 뜏; 뜏; 뜏; ) HANGUL SYLLABLE DDYUGS
      "\uB710",  # (뜐; 뜐; 뜐; 뜐; 뜐; ) HANGUL SYLLABLE DDYUN
      "\uB711",  # (뜑; 뜑; 뜑; 뜑; 뜑; ) HANGUL SYLLABLE DDYUNJ
      "\uB712",  # (뜒; 뜒; 뜒; 뜒; 뜒; ) HANGUL SYLLABLE DDYUNH
      "\uB713",  # (뜓; 뜓; 뜓; 뜓; 뜓; ) HANGUL SYLLABLE DDYUD
      "\uB714",  # (뜔; 뜔; 뜔; 뜔; 뜔; ) HANGUL SYLLABLE DDYUL
      "\uB715",  # (뜕; 뜕; 뜕; 뜕; 뜕; ) HANGUL SYLLABLE DDYULG
      "\uB716",  # (뜖; 뜖; 뜖; 뜖; 뜖; ) HANGUL SYLLABLE DDYULM
      "\uB717",  # (뜗; 뜗; 뜗; 뜗; 뜗; ) HANGUL SYLLABLE DDYULB
      "\uB718",  # (뜘; 뜘; 뜘; 뜘; 뜘; ) HANGUL SYLLABLE DDYULS
      "\uB719",  # (뜙; 뜙; 뜙; 뜙; 뜙; ) HANGUL SYLLABLE DDYULT
      "\uB71A",  # (뜚; 뜚; 뜚; 뜚; 뜚; ) HANGUL SYLLABLE DDYULP
      "\uB71B",  # (뜛; 뜛; 뜛; 뜛; 뜛; ) HANGUL SYLLABLE DDYULH
      "\uB71C",  # (뜜; 뜜; 뜜; 뜜; 뜜; ) HANGUL SYLLABLE DDYUM
      "\uB71D",  # (뜝; 뜝; 뜝; 뜝; 뜝; ) HANGUL SYLLABLE DDYUB
      "\uB71E",  # (뜞; 뜞; 뜞; 뜞; 뜞; ) HANGUL SYLLABLE DDYUBS
      "\uB71F",  # (뜟; 뜟; 뜟; 뜟; 뜟; ) HANGUL SYLLABLE DDYUS
      "\uB720",  # (뜠; 뜠; 뜠; 뜠; 뜠; ) HANGUL SYLLABLE DDYUSS
      "\uB721",  # (뜡; 뜡; 뜡; 뜡; 뜡; ) HANGUL SYLLABLE DDYUNG
      "\uB722",  # (뜢; 뜢; 뜢; 뜢; 뜢; ) HANGUL SYLLABLE DDYUJ
      "\uB723",  # (뜣; 뜣; 뜣; 뜣; 뜣; ) HANGUL SYLLABLE DDYUC
      "\uB724",  # (뜤; 뜤; 뜤; 뜤; 뜤; ) HANGUL SYLLABLE DDYUK
      "\uB725",  # (뜥; 뜥; 뜥; 뜥; 뜥; ) HANGUL SYLLABLE DDYUT
      "\uB726",  # (뜦; 뜦; 뜦; 뜦; 뜦; ) HANGUL SYLLABLE DDYUP
      "\uB727",  # (뜧; 뜧; 뜧; 뜧; 뜧; ) HANGUL SYLLABLE DDYUH
      "\uB728",  # (뜨; 뜨; 뜨; 뜨; 뜨; ) HANGUL SYLLABLE DDEU
      "\uB729",  # (뜩; 뜩; 뜩; 뜩; 뜩; ) HANGUL SYLLABLE DDEUG
      "\uB72A",  # (뜪; 뜪; 뜪; 뜪; 뜪; ) HANGUL SYLLABLE DDEUGG
      "\uB72B",  # (뜫; 뜫; 뜫; 뜫; 뜫; ) HANGUL SYLLABLE DDEUGS
      "\uB72C",  # (뜬; 뜬; 뜬; 뜬; 뜬; ) HANGUL SYLLABLE DDEUN
      "\uB72D",  # (뜭; 뜭; 뜭; 뜭; 뜭; ) HANGUL SYLLABLE DDEUNJ
      "\uB72E",  # (뜮; 뜮; 뜮; 뜮; 뜮; ) HANGUL SYLLABLE DDEUNH
      "\uB72F",  # (뜯; 뜯; 뜯; 뜯; 뜯; ) HANGUL SYLLABLE DDEUD
      "\uB730",  # (뜰; 뜰; 뜰; 뜰; 뜰; ) HANGUL SYLLABLE DDEUL
      "\uB731",  # (뜱; 뜱; 뜱; 뜱; 뜱; ) HANGUL SYLLABLE DDEULG
      "\uB732",  # (뜲; 뜲; 뜲; 뜲; 뜲; ) HANGUL SYLLABLE DDEULM
      "\uB733",  # (뜳; 뜳; 뜳; 뜳; 뜳; ) HANGUL SYLLABLE DDEULB
      "\uB734",  # (뜴; 뜴; 뜴; 뜴; 뜴; ) HANGUL SYLLABLE DDEULS
      "\uB735",  # (뜵; 뜵; 뜵; 뜵; 뜵; ) HANGUL SYLLABLE DDEULT
      "\uB736",  # (뜶; 뜶; 뜶; 뜶; 뜶; ) HANGUL SYLLABLE DDEULP
      "\uB737",  # (뜷; 뜷; 뜷; 뜷; 뜷; ) HANGUL SYLLABLE DDEULH
      "\uB738",  # (뜸; 뜸; 뜸; 뜸; 뜸; ) HANGUL SYLLABLE DDEUM
      "\uB739",  # (뜹; 뜹; 뜹; 뜹; 뜹; ) HANGUL SYLLABLE DDEUB
      "\uB73A",  # (뜺; 뜺; 뜺; 뜺; 뜺; ) HANGUL SYLLABLE DDEUBS
      "\uB73B",  # (뜻; 뜻; 뜻; 뜻; 뜻; ) HANGUL SYLLABLE DDEUS
      "\uB73C",  # (뜼; 뜼; 뜼; 뜼; 뜼; ) HANGUL SYLLABLE DDEUSS
      "\uB73D",  # (뜽; 뜽; 뜽; 뜽; 뜽; ) HANGUL SYLLABLE DDEUNG
      "\uB73E",  # (뜾; 뜾; 뜾; 뜾; 뜾; ) HANGUL SYLLABLE DDEUJ
      "\uB73F",  # (뜿; 뜿; 뜿; 뜿; 뜿; ) HANGUL SYLLABLE DDEUC
      "\uB740",  # (띀; 띀; 띀; 띀; 띀; ) HANGUL SYLLABLE DDEUK
      "\uB741",  # (띁; 띁; 띁; 띁; 띁; ) HANGUL SYLLABLE DDEUT
      "\uB742",  # (띂; 띂; 띂; 띂; 띂; ) HANGUL SYLLABLE DDEUP
      "\uB743",  # (띃; 띃; 띃; 띃; 띃; ) HANGUL SYLLABLE DDEUH
      "\uB744",  # (띄; 띄; 띄; 띄; 띄; ) HANGUL SYLLABLE DDYI
      "\uB745",  # (띅; 띅; 띅; 띅; 띅; ) HANGUL SYLLABLE DDYIG
      "\uB746",  # (띆; 띆; 띆; 띆; 띆; ) HANGUL SYLLABLE DDYIGG
      "\uB747",  # (띇; 띇; 띇; 띇; 띇; ) HANGUL SYLLABLE DDYIGS
      "\uB748",  # (띈; 띈; 띈; 띈; 띈; ) HANGUL SYLLABLE DDYIN
      "\uB749",  # (띉; 띉; 띉; 띉; 띉; ) HANGUL SYLLABLE DDYINJ
      "\uB74A",  # (띊; 띊; 띊; 띊; 띊; ) HANGUL SYLLABLE DDYINH
      "\uB74B",  # (띋; 띋; 띋; 띋; 띋; ) HANGUL SYLLABLE DDYID
      "\uB74C",  # (띌; 띌; 띌; 띌; 띌; ) HANGUL SYLLABLE DDYIL
      "\uB74D",  # (띍; 띍; 띍; 띍; 띍; ) HANGUL SYLLABLE DDYILG
      "\uB74E",  # (띎; 띎; 띎; 띎; 띎; ) HANGUL SYLLABLE DDYILM
      "\uB74F",  # (띏; 띏; 띏; 띏; 띏; ) HANGUL SYLLABLE DDYILB
      "\uB750",  # (띐; 띐; 띐; 띐; 띐; ) HANGUL SYLLABLE DDYILS
      "\uB751",  # (띑; 띑; 띑; 띑; 띑; ) HANGUL SYLLABLE DDYILT
      "\uB752",  # (띒; 띒; 띒; 띒; 띒; ) HANGUL SYLLABLE DDYILP
      "\uB753",  # (띓; 띓; 띓; 띓; 띓; ) HANGUL SYLLABLE DDYILH
      "\uB754",  # (띔; 띔; 띔; 띔; 띔; ) HANGUL SYLLABLE DDYIM
      "\uB755",  # (띕; 띕; 띕; 띕; 띕; ) HANGUL SYLLABLE DDYIB
      "\uB756",  # (띖; 띖; 띖; 띖; 띖; ) HANGUL SYLLABLE DDYIBS
      "\uB757",  # (띗; 띗; 띗; 띗; 띗; ) HANGUL SYLLABLE DDYIS
      "\uB758",  # (띘; 띘; 띘; 띘; 띘; ) HANGUL SYLLABLE DDYISS
      "\uB759",  # (띙; 띙; 띙; 띙; 띙; ) HANGUL SYLLABLE DDYING
      "\uB75A",  # (띚; 띚; 띚; 띚; 띚; ) HANGUL SYLLABLE DDYIJ
      "\uB75B",  # (띛; 띛; 띛; 띛; 띛; ) HANGUL SYLLABLE DDYIC
      "\uB75C",  # (띜; 띜; 띜; 띜; 띜; ) HANGUL SYLLABLE DDYIK
      "\uB75D",  # (띝; 띝; 띝; 띝; 띝; ) HANGUL SYLLABLE DDYIT
      "\uB75E",  # (띞; 띞; 띞; 띞; 띞; ) HANGUL SYLLABLE DDYIP
      "\uB75F",  # (띟; 띟; 띟; 띟; 띟; ) HANGUL SYLLABLE DDYIH
      "\uB760",  # (띠; 띠; 띠; 띠; 띠; ) HANGUL SYLLABLE DDI
      "\uB761",  # (띡; 띡; 띡; 띡; 띡; ) HANGUL SYLLABLE DDIG
      "\uB762",  # (띢; 띢; 띢; 띢; 띢; ) HANGUL SYLLABLE DDIGG
      "\uB763",  # (띣; 띣; 띣; 띣; 띣; ) HANGUL SYLLABLE DDIGS
      "\uB764",  # (띤; 띤; 띤; 띤; 띤; ) HANGUL SYLLABLE DDIN
      "\uB765",  # (띥; 띥; 띥; 띥; 띥; ) HANGUL SYLLABLE DDINJ
      "\uB766",  # (띦; 띦; 띦; 띦; 띦; ) HANGUL SYLLABLE DDINH
      "\uB767",  # (띧; 띧; 띧; 띧; 띧; ) HANGUL SYLLABLE DDID
      "\uB768",  # (띨; 띨; 띨; 띨; 띨; ) HANGUL SYLLABLE DDIL
      "\uB769",  # (띩; 띩; 띩; 띩; 띩; ) HANGUL SYLLABLE DDILG
      "\uB76A",  # (띪; 띪; 띪; 띪; 띪; ) HANGUL SYLLABLE DDILM
      "\uB76B",  # (띫; 띫; 띫; 띫; 띫; ) HANGUL SYLLABLE DDILB
      "\uB76C",  # (띬; 띬; 띬; 띬; 띬; ) HANGUL SYLLABLE DDILS
      "\uB76D",  # (띭; 띭; 띭; 띭; 띭; ) HANGUL SYLLABLE DDILT
      "\uB76E",  # (띮; 띮; 띮; 띮; 띮; ) HANGUL SYLLABLE DDILP
      "\uB76F",  # (띯; 띯; 띯; 띯; 띯; ) HANGUL SYLLABLE DDILH
      "\uB770",  # (띰; 띰; 띰; 띰; 띰; ) HANGUL SYLLABLE DDIM
      "\uB771",  # (띱; 띱; 띱; 띱; 띱; ) HANGUL SYLLABLE DDIB
      "\uB772",  # (띲; 띲; 띲; 띲; 띲; ) HANGUL SYLLABLE DDIBS
      "\uB773",  # (띳; 띳; 띳; 띳; 띳; ) HANGUL SYLLABLE DDIS
      "\uB774",  # (띴; 띴; 띴; 띴; 띴; ) HANGUL SYLLABLE DDISS
      "\uB775",  # (띵; 띵; 띵; 띵; 띵; ) HANGUL SYLLABLE DDING
      "\uB776",  # (띶; 띶; 띶; 띶; 띶; ) HANGUL SYLLABLE DDIJ
      "\uB777",  # (띷; 띷; 띷; 띷; 띷; ) HANGUL SYLLABLE DDIC
      "\uB778",  # (띸; 띸; 띸; 띸; 띸; ) HANGUL SYLLABLE DDIK
      "\uB779",  # (띹; 띹; 띹; 띹; 띹; ) HANGUL SYLLABLE DDIT
      "\uB77A",  # (띺; 띺; 띺; 띺; 띺; ) HANGUL SYLLABLE DDIP
      "\uB77B",  # (띻; 띻; 띻; 띻; 띻; ) HANGUL SYLLABLE DDIH
      "\uB77C",  # (라; 라; 라; 라; 라; ) HANGUL SYLLABLE RA
      "\uB77D",  # (락; 락; 락; 락; 락; ) HANGUL SYLLABLE RAG
      "\uB77E",  # (띾; 띾; 띾; 띾; 띾; ) HANGUL SYLLABLE RAGG
      "\uB77F",  # (띿; 띿; 띿; 띿; 띿; ) HANGUL SYLLABLE RAGS
      "\uB780",  # (란; 란; 란; 란; 란; ) HANGUL SYLLABLE RAN
      "\uB781",  # (랁; 랁; 랁; 랁; 랁; ) HANGUL SYLLABLE RANJ
      "\uB782",  # (랂; 랂; 랂; 랂; 랂; ) HANGUL SYLLABLE RANH
      "\uB783",  # (랃; 랃; 랃; 랃; 랃; ) HANGUL SYLLABLE RAD
      "\uB784",  # (랄; 랄; 랄; 랄; 랄; ) HANGUL SYLLABLE RAL
      "\uB785",  # (랅; 랅; 랅; 랅; 랅; ) HANGUL SYLLABLE RALG
      "\uB786",  # (랆; 랆; 랆; 랆; 랆; ) HANGUL SYLLABLE RALM
      "\uB787",  # (랇; 랇; 랇; 랇; 랇; ) HANGUL SYLLABLE RALB
      "\uB788",  # (랈; 랈; 랈; 랈; 랈; ) HANGUL SYLLABLE RALS
      "\uB789",  # (랉; 랉; 랉; 랉; 랉; ) HANGUL SYLLABLE RALT
      "\uB78A",  # (랊; 랊; 랊; 랊; 랊; ) HANGUL SYLLABLE RALP
      "\uB78B",  # (랋; 랋; 랋; 랋; 랋; ) HANGUL SYLLABLE RALH
      "\uB78C",  # (람; 람; 람; 람; 람; ) HANGUL SYLLABLE RAM
      "\uB78D",  # (랍; 랍; 랍; 랍; 랍; ) HANGUL SYLLABLE RAB
      "\uB78E",  # (랎; 랎; 랎; 랎; 랎; ) HANGUL SYLLABLE RABS
      "\uB78F",  # (랏; 랏; 랏; 랏; 랏; ) HANGUL SYLLABLE RAS
      "\uB790",  # (랐; 랐; 랐; 랐; 랐; ) HANGUL SYLLABLE RASS
      "\uB791",  # (랑; 랑; 랑; 랑; 랑; ) HANGUL SYLLABLE RANG
      "\uB792",  # (랒; 랒; 랒; 랒; 랒; ) HANGUL SYLLABLE RAJ
      "\uB793",  # (랓; 랓; 랓; 랓; 랓; ) HANGUL SYLLABLE RAC
      "\uB794",  # (랔; 랔; 랔; 랔; 랔; ) HANGUL SYLLABLE RAK
      "\uB795",  # (랕; 랕; 랕; 랕; 랕; ) HANGUL SYLLABLE RAT
      "\uB796",  # (랖; 랖; 랖; 랖; 랖; ) HANGUL SYLLABLE RAP
      "\uB797",  # (랗; 랗; 랗; 랗; 랗; ) HANGUL SYLLABLE RAH
      "\uB798",  # (래; 래; 래; 래; 래; ) HANGUL SYLLABLE RAE
      "\uB799",  # (랙; 랙; 랙; 랙; 랙; ) HANGUL SYLLABLE RAEG
      "\uB79A",  # (랚; 랚; 랚; 랚; 랚; ) HANGUL SYLLABLE RAEGG
      "\uB79B",  # (랛; 랛; 랛; 랛; 랛; ) HANGUL SYLLABLE RAEGS
      "\uB79C",  # (랜; 랜; 랜; 랜; 랜; ) HANGUL SYLLABLE RAEN
      "\uB79D",  # (랝; 랝; 랝; 랝; 랝; ) HANGUL SYLLABLE RAENJ
      "\uB79E",  # (랞; 랞; 랞; 랞; 랞; ) HANGUL SYLLABLE RAENH
      "\uB79F",  # (랟; 랟; 랟; 랟; 랟; ) HANGUL SYLLABLE RAED
      "\uB7A0",  # (랠; 랠; 랠; 랠; 랠; ) HANGUL SYLLABLE RAEL
      "\uB7A1",  # (랡; 랡; 랡; 랡; 랡; ) HANGUL SYLLABLE RAELG
      "\uB7A2",  # (랢; 랢; 랢; 랢; 랢; ) HANGUL SYLLABLE RAELM
      "\uB7A3",  # (랣; 랣; 랣; 랣; 랣; ) HANGUL SYLLABLE RAELB
      "\uB7A4",  # (랤; 랤; 랤; 랤; 랤; ) HANGUL SYLLABLE RAELS
      "\uB7A5",  # (랥; 랥; 랥; 랥; 랥; ) HANGUL SYLLABLE RAELT
      "\uB7A6",  # (랦; 랦; 랦; 랦; 랦; ) HANGUL SYLLABLE RAELP
      "\uB7A7",  # (랧; 랧; 랧; 랧; 랧; ) HANGUL SYLLABLE RAELH
      "\uB7A8",  # (램; 램; 램; 램; 램; ) HANGUL SYLLABLE RAEM
      "\uB7A9",  # (랩; 랩; 랩; 랩; 랩; ) HANGUL SYLLABLE RAEB
      "\uB7AA",  # (랪; 랪; 랪; 랪; 랪; ) HANGUL SYLLABLE RAEBS
      "\uB7AB",  # (랫; 랫; 랫; 랫; 랫; ) HANGUL SYLLABLE RAES
      "\uB7AC",  # (랬; 랬; 랬; 랬; 랬; ) HANGUL SYLLABLE RAESS
      "\uB7AD",  # (랭; 랭; 랭; 랭; 랭; ) HANGUL SYLLABLE RAENG
      "\uB7AE",  # (랮; 랮; 랮; 랮; 랮; ) HANGUL SYLLABLE RAEJ
      "\uB7AF",  # (랯; 랯; 랯; 랯; 랯; ) HANGUL SYLLABLE RAEC
      "\uB7B0",  # (랰; 랰; 랰; 랰; 랰; ) HANGUL SYLLABLE RAEK
      "\uB7B1",  # (랱; 랱; 랱; 랱; 랱; ) HANGUL SYLLABLE RAET
      "\uB7B2",  # (랲; 랲; 랲; 랲; 랲; ) HANGUL SYLLABLE RAEP
      "\uB7B3",  # (랳; 랳; 랳; 랳; 랳; ) HANGUL SYLLABLE RAEH
      "\uB7B4",  # (랴; 랴; 랴; 랴; 랴; ) HANGUL SYLLABLE RYA
      "\uB7B5",  # (략; 략; 략; 략; 략; ) HANGUL SYLLABLE RYAG
      "\uB7B6",  # (랶; 랶; 랶; 랶; 랶; ) HANGUL SYLLABLE RYAGG
      "\uB7B7",  # (랷; 랷; 랷; 랷; 랷; ) HANGUL SYLLABLE RYAGS
      "\uB7B8",  # (랸; 랸; 랸; 랸; 랸; ) HANGUL SYLLABLE RYAN
      "\uB7B9",  # (랹; 랹; 랹; 랹; 랹; ) HANGUL SYLLABLE RYANJ
      "\uB7BA",  # (랺; 랺; 랺; 랺; 랺; ) HANGUL SYLLABLE RYANH
      "\uB7BB",  # (랻; 랻; 랻; 랻; 랻; ) HANGUL SYLLABLE RYAD
      "\uB7BC",  # (랼; 랼; 랼; 랼; 랼; ) HANGUL SYLLABLE RYAL
      "\uB7BD",  # (랽; 랽; 랽; 랽; 랽; ) HANGUL SYLLABLE RYALG
      "\uB7BE",  # (랾; 랾; 랾; 랾; 랾; ) HANGUL SYLLABLE RYALM
      "\uB7BF",  # (랿; 랿; 랿; 랿; 랿; ) HANGUL SYLLABLE RYALB
      "\uB7C0",  # (럀; 럀; 럀; 럀; 럀; ) HANGUL SYLLABLE RYALS
      "\uB7C1",  # (럁; 럁; 럁; 럁; 럁; ) HANGUL SYLLABLE RYALT
      "\uB7C2",  # (럂; 럂; 럂; 럂; 럂; ) HANGUL SYLLABLE RYALP
      "\uB7C3",  # (럃; 럃; 럃; 럃; 럃; ) HANGUL SYLLABLE RYALH
      "\uB7C4",  # (럄; 럄; 럄; 럄; 럄; ) HANGUL SYLLABLE RYAM
      "\uB7C5",  # (럅; 럅; 럅; 럅; 럅; ) HANGUL SYLLABLE RYAB
      "\uB7C6",  # (럆; 럆; 럆; 럆; 럆; ) HANGUL SYLLABLE RYABS
      "\uB7C7",  # (럇; 럇; 럇; 럇; 럇; ) HANGUL SYLLABLE RYAS
      "\uB7C8",  # (럈; 럈; 럈; 럈; 럈; ) HANGUL SYLLABLE RYASS
      "\uB7C9",  # (량; 량; 량; 량; 량; ) HANGUL SYLLABLE RYANG
      "\uB7CA",  # (럊; 럊; 럊; 럊; 럊; ) HANGUL SYLLABLE RYAJ
      "\uB7CB",  # (럋; 럋; 럋; 럋; 럋; ) HANGUL SYLLABLE RYAC
      "\uB7CC",  # (럌; 럌; 럌; 럌; 럌; ) HANGUL SYLLABLE RYAK
      "\uB7CD",  # (럍; 럍; 럍; 럍; 럍; ) HANGUL SYLLABLE RYAT
      "\uB7CE",  # (럎; 럎; 럎; 럎; 럎; ) HANGUL SYLLABLE RYAP
      "\uB7CF",  # (럏; 럏; 럏; 럏; 럏; ) HANGUL SYLLABLE RYAH
      "\uB7D0",  # (럐; 럐; 럐; 럐; 럐; ) HANGUL SYLLABLE RYAE
      "\uB7D1",  # (럑; 럑; 럑; 럑; 럑; ) HANGUL SYLLABLE RYAEG
      "\uB7D2",  # (럒; 럒; 럒; 럒; 럒; ) HANGUL SYLLABLE RYAEGG
      "\uB7D3",  # (럓; 럓; 럓; 럓; 럓; ) HANGUL SYLLABLE RYAEGS
      "\uB7D4",  # (럔; 럔; 럔; 럔; 럔; ) HANGUL SYLLABLE RYAEN
      "\uB7D5",  # (럕; 럕; 럕; 럕; 럕; ) HANGUL SYLLABLE RYAENJ
      "\uB7D6",  # (럖; 럖; 럖; 럖; 럖; ) HANGUL SYLLABLE RYAENH
      "\uB7D7",  # (럗; 럗; 럗; 럗; 럗; ) HANGUL SYLLABLE RYAED
      "\uB7D8",  # (럘; 럘; 럘; 럘; 럘; ) HANGUL SYLLABLE RYAEL
      "\uB7D9",  # (럙; 럙; 럙; 럙; 럙; ) HANGUL SYLLABLE RYAELG
      "\uB7DA",  # (럚; 럚; 럚; 럚; 럚; ) HANGUL SYLLABLE RYAELM
      "\uB7DB",  # (럛; 럛; 럛; 럛; 럛; ) HANGUL SYLLABLE RYAELB
      "\uB7DC",  # (럜; 럜; 럜; 럜; 럜; ) HANGUL SYLLABLE RYAELS
      "\uB7DD",  # (럝; 럝; 럝; 럝; 럝; ) HANGUL SYLLABLE RYAELT
      "\uB7DE",  # (럞; 럞; 럞; 럞; 럞; ) HANGUL SYLLABLE RYAELP
      "\uB7DF",  # (럟; 럟; 럟; 럟; 럟; ) HANGUL SYLLABLE RYAELH
      "\uB7E0",  # (럠; 럠; 럠; 럠; 럠; ) HANGUL SYLLABLE RYAEM
      "\uB7E1",  # (럡; 럡; 럡; 럡; 럡; ) HANGUL SYLLABLE RYAEB
      "\uB7E2",  # (럢; 럢; 럢; 럢; 럢; ) HANGUL SYLLABLE RYAEBS
      "\uB7E3",  # (럣; 럣; 럣; 럣; 럣; ) HANGUL SYLLABLE RYAES
      "\uB7E4",  # (럤; 럤; 럤; 럤; 럤; ) HANGUL SYLLABLE RYAESS
      "\uB7E5",  # (럥; 럥; 럥; 럥; 럥; ) HANGUL SYLLABLE RYAENG
      "\uB7E6",  # (럦; 럦; 럦; 럦; 럦; ) HANGUL SYLLABLE RYAEJ
      "\uB7E7",  # (럧; 럧; 럧; 럧; 럧; ) HANGUL SYLLABLE RYAEC
      "\uB7E8",  # (럨; 럨; 럨; 럨; 럨; ) HANGUL SYLLABLE RYAEK
      "\uB7E9",  # (럩; 럩; 럩; 럩; 럩; ) HANGUL SYLLABLE RYAET
      "\uB7EA",  # (럪; 럪; 럪; 럪; 럪; ) HANGUL SYLLABLE RYAEP
      "\uB7EB",  # (럫; 럫; 럫; 럫; 럫; ) HANGUL SYLLABLE RYAEH
      "\uB7EC",  # (러; 러; 러; 러; 러; ) HANGUL SYLLABLE REO
      "\uB7ED",  # (럭; 럭; 럭; 럭; 럭; ) HANGUL SYLLABLE REOG
      "\uB7EE",  # (럮; 럮; 럮; 럮; 럮; ) HANGUL SYLLABLE REOGG
      "\uB7EF",  # (럯; 럯; 럯; 럯; 럯; ) HANGUL SYLLABLE REOGS
      "\uB7F0",  # (런; 런; 런; 런; 런; ) HANGUL SYLLABLE REON
      "\uB7F1",  # (럱; 럱; 럱; 럱; 럱; ) HANGUL SYLLABLE REONJ
      "\uB7F2",  # (럲; 럲; 럲; 럲; 럲; ) HANGUL SYLLABLE REONH
      "\uB7F3",  # (럳; 럳; 럳; 럳; 럳; ) HANGUL SYLLABLE REOD
      "\uB7F4",  # (럴; 럴; 럴; 럴; 럴; ) HANGUL SYLLABLE REOL
      "\uB7F5",  # (럵; 럵; 럵; 럵; 럵; ) HANGUL SYLLABLE REOLG
      "\uB7F6",  # (럶; 럶; 럶; 럶; 럶; ) HANGUL SYLLABLE REOLM
      "\uB7F7",  # (럷; 럷; 럷; 럷; 럷; ) HANGUL SYLLABLE REOLB
      "\uB7F8",  # (럸; 럸; 럸; 럸; 럸; ) HANGUL SYLLABLE REOLS
      "\uB7F9",  # (럹; 럹; 럹; 럹; 럹; ) HANGUL SYLLABLE REOLT
      "\uB7FA",  # (럺; 럺; 럺; 럺; 럺; ) HANGUL SYLLABLE REOLP
      "\uB7FB",  # (럻; 럻; 럻; 럻; 럻; ) HANGUL SYLLABLE REOLH
      "\uB7FC",  # (럼; 럼; 럼; 럼; 럼; ) HANGUL SYLLABLE REOM
      "\uB7FD",  # (럽; 럽; 럽; 럽; 럽; ) HANGUL SYLLABLE REOB
      "\uB7FE",  # (럾; 럾; 럾; 럾; 럾; ) HANGUL SYLLABLE REOBS
      "\uB7FF",  # (럿; 럿; 럿; 럿; 럿; ) HANGUL SYLLABLE REOS
      "\uB800",  # (렀; 렀; 렀; 렀; 렀; ) HANGUL SYLLABLE REOSS
      "\uB801",  # (렁; 렁; 렁; 렁; 렁; ) HANGUL SYLLABLE REONG
      "\uB802",  # (렂; 렂; 렂; 렂; 렂; ) HANGUL SYLLABLE REOJ
      "\uB803",  # (렃; 렃; 렃; 렃; 렃; ) HANGUL SYLLABLE REOC
      "\uB804",  # (렄; 렄; 렄; 렄; 렄; ) HANGUL SYLLABLE REOK
      "\uB805",  # (렅; 렅; 렅; 렅; 렅; ) HANGUL SYLLABLE REOT
      "\uB806",  # (렆; 렆; 렆; 렆; 렆; ) HANGUL SYLLABLE REOP
      "\uB807",  # (렇; 렇; 렇; 렇; 렇; ) HANGUL SYLLABLE REOH
      "\uB808",  # (레; 레; 레; 레; 레; ) HANGUL SYLLABLE RE
      "\uB809",  # (렉; 렉; 렉; 렉; 렉; ) HANGUL SYLLABLE REG
      "\uB80A",  # (렊; 렊; 렊; 렊; 렊; ) HANGUL SYLLABLE REGG
      "\uB80B",  # (렋; 렋; 렋; 렋; 렋; ) HANGUL SYLLABLE REGS
      "\uB80C",  # (렌; 렌; 렌; 렌; 렌; ) HANGUL SYLLABLE REN
      "\uB80D",  # (렍; 렍; 렍; 렍; 렍; ) HANGUL SYLLABLE RENJ
      "\uB80E",  # (렎; 렎; 렎; 렎; 렎; ) HANGUL SYLLABLE RENH
      "\uB80F",  # (렏; 렏; 렏; 렏; 렏; ) HANGUL SYLLABLE RED
      "\uB810",  # (렐; 렐; 렐; 렐; 렐; ) HANGUL SYLLABLE REL
      "\uB811",  # (렑; 렑; 렑; 렑; 렑; ) HANGUL SYLLABLE RELG
      "\uB812",  # (렒; 렒; 렒; 렒; 렒; ) HANGUL SYLLABLE RELM
      "\uB813",  # (렓; 렓; 렓; 렓; 렓; ) HANGUL SYLLABLE RELB
      "\uB814",  # (렔; 렔; 렔; 렔; 렔; ) HANGUL SYLLABLE RELS
      "\uB815",  # (렕; 렕; 렕; 렕; 렕; ) HANGUL SYLLABLE RELT
      "\uB816",  # (렖; 렖; 렖; 렖; 렖; ) HANGUL SYLLABLE RELP
      "\uB817",  # (렗; 렗; 렗; 렗; 렗; ) HANGUL SYLLABLE RELH
      "\uB818",  # (렘; 렘; 렘; 렘; 렘; ) HANGUL SYLLABLE REM
      "\uB819",  # (렙; 렙; 렙; 렙; 렙; ) HANGUL SYLLABLE REB
      "\uB81A",  # (렚; 렚; 렚; 렚; 렚; ) HANGUL SYLLABLE REBS
      "\uB81B",  # (렛; 렛; 렛; 렛; 렛; ) HANGUL SYLLABLE RES
      "\uB81C",  # (렜; 렜; 렜; 렜; 렜; ) HANGUL SYLLABLE RESS
      "\uB81D",  # (렝; 렝; 렝; 렝; 렝; ) HANGUL SYLLABLE RENG
      "\uB81E",  # (렞; 렞; 렞; 렞; 렞; ) HANGUL SYLLABLE REJ
      "\uB81F",  # (렟; 렟; 렟; 렟; 렟; ) HANGUL SYLLABLE REC
      "\uB820",  # (렠; 렠; 렠; 렠; 렠; ) HANGUL SYLLABLE REK
      "\uB821",  # (렡; 렡; 렡; 렡; 렡; ) HANGUL SYLLABLE RET
      "\uB822",  # (렢; 렢; 렢; 렢; 렢; ) HANGUL SYLLABLE REP
      "\uB823",  # (렣; 렣; 렣; 렣; 렣; ) HANGUL SYLLABLE REH
      "\uB824",  # (려; 려; 려; 려; 려; ) HANGUL SYLLABLE RYEO
      "\uB825",  # (력; 력; 력; 력; 력; ) HANGUL SYLLABLE RYEOG
      "\uB826",  # (렦; 렦; 렦; 렦; 렦; ) HANGUL SYLLABLE RYEOGG
      "\uB827",  # (렧; 렧; 렧; 렧; 렧; ) HANGUL SYLLABLE RYEOGS
      "\uB828",  # (련; 련; 련; 련; 련; ) HANGUL SYLLABLE RYEON
      "\uB829",  # (렩; 렩; 렩; 렩; 렩; ) HANGUL SYLLABLE RYEONJ
      "\uB82A",  # (렪; 렪; 렪; 렪; 렪; ) HANGUL SYLLABLE RYEONH
      "\uB82B",  # (렫; 렫; 렫; 렫; 렫; ) HANGUL SYLLABLE RYEOD
      "\uB82C",  # (렬; 렬; 렬; 렬; 렬; ) HANGUL SYLLABLE RYEOL
      "\uB82D",  # (렭; 렭; 렭; 렭; 렭; ) HANGUL SYLLABLE RYEOLG
      "\uB82E",  # (렮; 렮; 렮; 렮; 렮; ) HANGUL SYLLABLE RYEOLM
      "\uB82F",  # (렯; 렯; 렯; 렯; 렯; ) HANGUL SYLLABLE RYEOLB
      "\uB830",  # (렰; 렰; 렰; 렰; 렰; ) HANGUL SYLLABLE RYEOLS
      "\uB831",  # (렱; 렱; 렱; 렱; 렱; ) HANGUL SYLLABLE RYEOLT
      "\uB832",  # (렲; 렲; 렲; 렲; 렲; ) HANGUL SYLLABLE RYEOLP
      "\uB833",  # (렳; 렳; 렳; 렳; 렳; ) HANGUL SYLLABLE RYEOLH
      "\uB834",  # (렴; 렴; 렴; 렴; 렴; ) HANGUL SYLLABLE RYEOM
      "\uB835",  # (렵; 렵; 렵; 렵; 렵; ) HANGUL SYLLABLE RYEOB
      "\uB836",  # (렶; 렶; 렶; 렶; 렶; ) HANGUL SYLLABLE RYEOBS
      "\uB837",  # (렷; 렷; 렷; 렷; 렷; ) HANGUL SYLLABLE RYEOS
      "\uB838",  # (렸; 렸; 렸; 렸; 렸; ) HANGUL SYLLABLE RYEOSS
      "\uB839",  # (령; 령; 령; 령; 령; ) HANGUL SYLLABLE RYEONG
      "\uB83A",  # (렺; 렺; 렺; 렺; 렺; ) HANGUL SYLLABLE RYEOJ
      "\uB83B",  # (렻; 렻; 렻; 렻; 렻; ) HANGUL SYLLABLE RYEOC
      "\uB83C",  # (렼; 렼; 렼; 렼; 렼; ) HANGUL SYLLABLE RYEOK
      "\uB83D",  # (렽; 렽; 렽; 렽; 렽; ) HANGUL SYLLABLE RYEOT
      "\uB83E",  # (렾; 렾; 렾; 렾; 렾; ) HANGUL SYLLABLE RYEOP
      "\uB83F",  # (렿; 렿; 렿; 렿; 렿; ) HANGUL SYLLABLE RYEOH
      "\uB840",  # (례; 례; 례; 례; 례; ) HANGUL SYLLABLE RYE
      "\uB841",  # (롁; 롁; 롁; 롁; 롁; ) HANGUL SYLLABLE RYEG
      "\uB842",  # (롂; 롂; 롂; 롂; 롂; ) HANGUL SYLLABLE RYEGG
      "\uB843",  # (롃; 롃; 롃; 롃; 롃; ) HANGUL SYLLABLE RYEGS
      "\uB844",  # (롄; 롄; 롄; 롄; 롄; ) HANGUL SYLLABLE RYEN
      "\uB845",  # (롅; 롅; 롅; 롅; 롅; ) HANGUL SYLLABLE RYENJ
      "\uB846",  # (롆; 롆; 롆; 롆; 롆; ) HANGUL SYLLABLE RYENH
      "\uB847",  # (롇; 롇; 롇; 롇; 롇; ) HANGUL SYLLABLE RYED
      "\uB848",  # (롈; 롈; 롈; 롈; 롈; ) HANGUL SYLLABLE RYEL
      "\uB849",  # (롉; 롉; 롉; 롉; 롉; ) HANGUL SYLLABLE RYELG
      "\uB84A",  # (롊; 롊; 롊; 롊; 롊; ) HANGUL SYLLABLE RYELM
      "\uB84B",  # (롋; 롋; 롋; 롋; 롋; ) HANGUL SYLLABLE RYELB
      "\uB84C",  # (롌; 롌; 롌; 롌; 롌; ) HANGUL SYLLABLE RYELS
      "\uB84D",  # (롍; 롍; 롍; 롍; 롍; ) HANGUL SYLLABLE RYELT
      "\uB84E",  # (롎; 롎; 롎; 롎; 롎; ) HANGUL SYLLABLE RYELP
      "\uB84F",  # (롏; 롏; 롏; 롏; 롏; ) HANGUL SYLLABLE RYELH
      "\uB850",  # (롐; 롐; 롐; 롐; 롐; ) HANGUL SYLLABLE RYEM
      "\uB851",  # (롑; 롑; 롑; 롑; 롑; ) HANGUL SYLLABLE RYEB
      "\uB852",  # (롒; 롒; 롒; 롒; 롒; ) HANGUL SYLLABLE RYEBS
      "\uB853",  # (롓; 롓; 롓; 롓; 롓; ) HANGUL SYLLABLE RYES
      "\uB854",  # (롔; 롔; 롔; 롔; 롔; ) HANGUL SYLLABLE RYESS
      "\uB855",  # (롕; 롕; 롕; 롕; 롕; ) HANGUL SYLLABLE RYENG
      "\uB856",  # (롖; 롖; 롖; 롖; 롖; ) HANGUL SYLLABLE RYEJ
      "\uB857",  # (롗; 롗; 롗; 롗; 롗; ) HANGUL SYLLABLE RYEC
      "\uB858",  # (롘; 롘; 롘; 롘; 롘; ) HANGUL SYLLABLE RYEK
      "\uB859",  # (롙; 롙; 롙; 롙; 롙; ) HANGUL SYLLABLE RYET
      "\uB85A",  # (롚; 롚; 롚; 롚; 롚; ) HANGUL SYLLABLE RYEP
      "\uB85B",  # (롛; 롛; 롛; 롛; 롛; ) HANGUL SYLLABLE RYEH
      "\uB85C",  # (로; 로; 로; 로; 로; ) HANGUL SYLLABLE RO
      "\uB85D",  # (록; 록; 록; 록; 록; ) HANGUL SYLLABLE ROG
      "\uB85E",  # (롞; 롞; 롞; 롞; 롞; ) HANGUL SYLLABLE ROGG
      "\uB85F",  # (롟; 롟; 롟; 롟; 롟; ) HANGUL SYLLABLE ROGS
      "\uB860",  # (론; 론; 론; 론; 론; ) HANGUL SYLLABLE RON
      "\uB861",  # (롡; 롡; 롡; 롡; 롡; ) HANGUL SYLLABLE RONJ
      "\uB862",  # (롢; 롢; 롢; 롢; 롢; ) HANGUL SYLLABLE RONH
      "\uB863",  # (롣; 롣; 롣; 롣; 롣; ) HANGUL SYLLABLE ROD
      "\uB864",  # (롤; 롤; 롤; 롤; 롤; ) HANGUL SYLLABLE ROL
      "\uB865",  # (롥; 롥; 롥; 롥; 롥; ) HANGUL SYLLABLE ROLG
      "\uB866",  # (롦; 롦; 롦; 롦; 롦; ) HANGUL SYLLABLE ROLM
      "\uB867",  # (롧; 롧; 롧; 롧; 롧; ) HANGUL SYLLABLE ROLB
      "\uB868",  # (롨; 롨; 롨; 롨; 롨; ) HANGUL SYLLABLE ROLS
      "\uB869",  # (롩; 롩; 롩; 롩; 롩; ) HANGUL SYLLABLE ROLT
      "\uB86A",  # (롪; 롪; 롪; 롪; 롪; ) HANGUL SYLLABLE ROLP
      "\uB86B",  # (롫; 롫; 롫; 롫; 롫; ) HANGUL SYLLABLE ROLH
      "\uB86C",  # (롬; 롬; 롬; 롬; 롬; ) HANGUL SYLLABLE ROM
      "\uB86D",  # (롭; 롭; 롭; 롭; 롭; ) HANGUL SYLLABLE ROB
      "\uB86E",  # (롮; 롮; 롮; 롮; 롮; ) HANGUL SYLLABLE ROBS
      "\uB86F",  # (롯; 롯; 롯; 롯; 롯; ) HANGUL SYLLABLE ROS
      "\uB870",  # (롰; 롰; 롰; 롰; 롰; ) HANGUL SYLLABLE ROSS
      "\uB871",  # (롱; 롱; 롱; 롱; 롱; ) HANGUL SYLLABLE RONG
      "\uB872",  # (롲; 롲; 롲; 롲; 롲; ) HANGUL SYLLABLE ROJ
      "\uB873",  # (롳; 롳; 롳; 롳; 롳; ) HANGUL SYLLABLE ROC
      "\uB874",  # (롴; 롴; 롴; 롴; 롴; ) HANGUL SYLLABLE ROK
      "\uB875",  # (롵; 롵; 롵; 롵; 롵; ) HANGUL SYLLABLE ROT
      "\uB876",  # (롶; 롶; 롶; 롶; 롶; ) HANGUL SYLLABLE ROP
      "\uB877",  # (롷; 롷; 롷; 롷; 롷; ) HANGUL SYLLABLE ROH
      "\uB878",  # (롸; 롸; 롸; 롸; 롸; ) HANGUL SYLLABLE RWA
      "\uB879",  # (롹; 롹; 롹; 롹; 롹; ) HANGUL SYLLABLE RWAG
      "\uB87A",  # (롺; 롺; 롺; 롺; 롺; ) HANGUL SYLLABLE RWAGG
      "\uB87B",  # (롻; 롻; 롻; 롻; 롻; ) HANGUL SYLLABLE RWAGS
      "\uB87C",  # (롼; 롼; 롼; 롼; 롼; ) HANGUL SYLLABLE RWAN
      "\uB87D",  # (롽; 롽; 롽; 롽; 롽; ) HANGUL SYLLABLE RWANJ
      "\uB87E",  # (롾; 롾; 롾; 롾; 롾; ) HANGUL SYLLABLE RWANH
      "\uB87F",  # (롿; 롿; 롿; 롿; 롿; ) HANGUL SYLLABLE RWAD
      "\uB880",  # (뢀; 뢀; 뢀; 뢀; 뢀; ) HANGUL SYLLABLE RWAL
      "\uB881",  # (뢁; 뢁; 뢁; 뢁; 뢁; ) HANGUL SYLLABLE RWALG
      "\uB882",  # (뢂; 뢂; 뢂; 뢂; 뢂; ) HANGUL SYLLABLE RWALM
      "\uB883",  # (뢃; 뢃; 뢃; 뢃; 뢃; ) HANGUL SYLLABLE RWALB
      "\uB884",  # (뢄; 뢄; 뢄; 뢄; 뢄; ) HANGUL SYLLABLE RWALS
      "\uB885",  # (뢅; 뢅; 뢅; 뢅; 뢅; ) HANGUL SYLLABLE RWALT
      "\uB886",  # (뢆; 뢆; 뢆; 뢆; 뢆; ) HANGUL SYLLABLE RWALP
      "\uB887",  # (뢇; 뢇; 뢇; 뢇; 뢇; ) HANGUL SYLLABLE RWALH
      "\uB888",  # (뢈; 뢈; 뢈; 뢈; 뢈; ) HANGUL SYLLABLE RWAM
      "\uB889",  # (뢉; 뢉; 뢉; 뢉; 뢉; ) HANGUL SYLLABLE RWAB
      "\uB88A",  # (뢊; 뢊; 뢊; 뢊; 뢊; ) HANGUL SYLLABLE RWABS
      "\uB88B",  # (뢋; 뢋; 뢋; 뢋; 뢋; ) HANGUL SYLLABLE RWAS
      "\uB88C",  # (뢌; 뢌; 뢌; 뢌; 뢌; ) HANGUL SYLLABLE RWASS
      "\uB88D",  # (뢍; 뢍; 뢍; 뢍; 뢍; ) HANGUL SYLLABLE RWANG
      "\uB88E",  # (뢎; 뢎; 뢎; 뢎; 뢎; ) HANGUL SYLLABLE RWAJ
      "\uB88F",  # (뢏; 뢏; 뢏; 뢏; 뢏; ) HANGUL SYLLABLE RWAC
      "\uB890",  # (뢐; 뢐; 뢐; 뢐; 뢐; ) HANGUL SYLLABLE RWAK
      "\uB891",  # (뢑; 뢑; 뢑; 뢑; 뢑; ) HANGUL SYLLABLE RWAT
      "\uB892",  # (뢒; 뢒; 뢒; 뢒; 뢒; ) HANGUL SYLLABLE RWAP
      "\uB893",  # (뢓; 뢓; 뢓; 뢓; 뢓; ) HANGUL SYLLABLE RWAH
      "\uB894",  # (뢔; 뢔; 뢔; 뢔; 뢔; ) HANGUL SYLLABLE RWAE
      "\uB895",  # (뢕; 뢕; 뢕; 뢕; 뢕; ) HANGUL SYLLABLE RWAEG
      "\uB896",  # (뢖; 뢖; 뢖; 뢖; 뢖; ) HANGUL SYLLABLE RWAEGG
      "\uB897",  # (뢗; 뢗; 뢗; 뢗; 뢗; ) HANGUL SYLLABLE RWAEGS
      "\uB898",  # (뢘; 뢘; 뢘; 뢘; 뢘; ) HANGUL SYLLABLE RWAEN
      "\uB899",  # (뢙; 뢙; 뢙; 뢙; 뢙; ) HANGUL SYLLABLE RWAENJ
      "\uB89A",  # (뢚; 뢚; 뢚; 뢚; 뢚; ) HANGUL SYLLABLE RWAENH
      "\uB89B",  # (뢛; 뢛; 뢛; 뢛; 뢛; ) HANGUL SYLLABLE RWAED
      "\uB89C",  # (뢜; 뢜; 뢜; 뢜; 뢜; ) HANGUL SYLLABLE RWAEL
      "\uB89D",  # (뢝; 뢝; 뢝; 뢝; 뢝; ) HANGUL SYLLABLE RWAELG
      "\uB89E",  # (뢞; 뢞; 뢞; 뢞; 뢞; ) HANGUL SYLLABLE RWAELM
      "\uB89F",  # (뢟; 뢟; 뢟; 뢟; 뢟; ) HANGUL SYLLABLE RWAELB
      "\uB8A0",  # (뢠; 뢠; 뢠; 뢠; 뢠; ) HANGUL SYLLABLE RWAELS
      "\uB8A1",  # (뢡; 뢡; 뢡; 뢡; 뢡; ) HANGUL SYLLABLE RWAELT
      "\uB8A2",  # (뢢; 뢢; 뢢; 뢢; 뢢; ) HANGUL SYLLABLE RWAELP
      "\uB8A3",  # (뢣; 뢣; 뢣; 뢣; 뢣; ) HANGUL SYLLABLE RWAELH
      "\uB8A4",  # (뢤; 뢤; 뢤; 뢤; 뢤; ) HANGUL SYLLABLE RWAEM
      "\uB8A5",  # (뢥; 뢥; 뢥; 뢥; 뢥; ) HANGUL SYLLABLE RWAEB
      "\uB8A6",  # (뢦; 뢦; 뢦; 뢦; 뢦; ) HANGUL SYLLABLE RWAEBS
      "\uB8A7",  # (뢧; 뢧; 뢧; 뢧; 뢧; ) HANGUL SYLLABLE RWAES
      "\uB8A8",  # (뢨; 뢨; 뢨; 뢨; 뢨; ) HANGUL SYLLABLE RWAESS
      "\uB8A9",  # (뢩; 뢩; 뢩; 뢩; 뢩; ) HANGUL SYLLABLE RWAENG
      "\uB8AA",  # (뢪; 뢪; 뢪; 뢪; 뢪; ) HANGUL SYLLABLE RWAEJ
      "\uB8AB",  # (뢫; 뢫; 뢫; 뢫; 뢫; ) HANGUL SYLLABLE RWAEC
      "\uB8AC",  # (뢬; 뢬; 뢬; 뢬; 뢬; ) HANGUL SYLLABLE RWAEK
      "\uB8AD",  # (뢭; 뢭; 뢭; 뢭; 뢭; ) HANGUL SYLLABLE RWAET
      "\uB8AE",  # (뢮; 뢮; 뢮; 뢮; 뢮; ) HANGUL SYLLABLE RWAEP
      "\uB8AF",  # (뢯; 뢯; 뢯; 뢯; 뢯; ) HANGUL SYLLABLE RWAEH
      "\uB8B0",  # (뢰; 뢰; 뢰; 뢰; 뢰; ) HANGUL SYLLABLE ROE
      "\uB8B1",  # (뢱; 뢱; 뢱; 뢱; 뢱; ) HANGUL SYLLABLE ROEG
      "\uB8B2",  # (뢲; 뢲; 뢲; 뢲; 뢲; ) HANGUL SYLLABLE ROEGG
      "\uB8B3",  # (뢳; 뢳; 뢳; 뢳; 뢳; ) HANGUL SYLLABLE ROEGS
      "\uB8B4",  # (뢴; 뢴; 뢴; 뢴; 뢴; ) HANGUL SYLLABLE ROEN
      "\uB8B5",  # (뢵; 뢵; 뢵; 뢵; 뢵; ) HANGUL SYLLABLE ROENJ
      "\uB8B6",  # (뢶; 뢶; 뢶; 뢶; 뢶; ) HANGUL SYLLABLE ROENH
      "\uB8B7",  # (뢷; 뢷; 뢷; 뢷; 뢷; ) HANGUL SYLLABLE ROED
      "\uB8B8",  # (뢸; 뢸; 뢸; 뢸; 뢸; ) HANGUL SYLLABLE ROEL
      "\uB8B9",  # (뢹; 뢹; 뢹; 뢹; 뢹; ) HANGUL SYLLABLE ROELG
      "\uB8BA",  # (뢺; 뢺; 뢺; 뢺; 뢺; ) HANGUL SYLLABLE ROELM
      "\uB8BB",  # (뢻; 뢻; 뢻; 뢻; 뢻; ) HANGUL SYLLABLE ROELB
      "\uB8BC",  # (뢼; 뢼; 뢼; 뢼; 뢼; ) HANGUL SYLLABLE ROELS
      "\uB8BD",  # (뢽; 뢽; 뢽; 뢽; 뢽; ) HANGUL SYLLABLE ROELT
      "\uB8BE",  # (뢾; 뢾; 뢾; 뢾; 뢾; ) HANGUL SYLLABLE ROELP
      "\uB8BF",  # (뢿; 뢿; 뢿; 뢿; 뢿; ) HANGUL SYLLABLE ROELH
      "\uB8C0",  # (룀; 룀; 룀; 룀; 룀; ) HANGUL SYLLABLE ROEM
      "\uB8C1",  # (룁; 룁; 룁; 룁; 룁; ) HANGUL SYLLABLE ROEB
      "\uB8C2",  # (룂; 룂; 룂; 룂; 룂; ) HANGUL SYLLABLE ROEBS
      "\uB8C3",  # (룃; 룃; 룃; 룃; 룃; ) HANGUL SYLLABLE ROES
      "\uB8C4",  # (룄; 룄; 룄; 룄; 룄; ) HANGUL SYLLABLE ROESS
      "\uB8C5",  # (룅; 룅; 룅; 룅; 룅; ) HANGUL SYLLABLE ROENG
      "\uB8C6",  # (룆; 룆; 룆; 룆; 룆; ) HANGUL SYLLABLE ROEJ
      "\uB8C7",  # (룇; 룇; 룇; 룇; 룇; ) HANGUL SYLLABLE ROEC
      "\uB8C8",  # (룈; 룈; 룈; 룈; 룈; ) HANGUL SYLLABLE ROEK
      "\uB8C9",  # (룉; 룉; 룉; 룉; 룉; ) HANGUL SYLLABLE ROET
      "\uB8CA",  # (룊; 룊; 룊; 룊; 룊; ) HANGUL SYLLABLE ROEP
      "\uB8CB",  # (룋; 룋; 룋; 룋; 룋; ) HANGUL SYLLABLE ROEH
      "\uB8CC",  # (료; 료; 료; 료; 료; ) HANGUL SYLLABLE RYO
      "\uB8CD",  # (룍; 룍; 룍; 룍; 룍; ) HANGUL SYLLABLE RYOG
      "\uB8CE",  # (룎; 룎; 룎; 룎; 룎; ) HANGUL SYLLABLE RYOGG
      "\uB8CF",  # (룏; 룏; 룏; 룏; 룏; ) HANGUL SYLLABLE RYOGS
      "\uB8D0",  # (룐; 룐; 룐; 룐; 룐; ) HANGUL SYLLABLE RYON
      "\uB8D1",  # (룑; 룑; 룑; 룑; 룑; ) HANGUL SYLLABLE RYONJ
      "\uB8D2",  # (룒; 룒; 룒; 룒; 룒; ) HANGUL SYLLABLE RYONH
      "\uB8D3",  # (룓; 룓; 룓; 룓; 룓; ) HANGUL SYLLABLE RYOD
      "\uB8D4",  # (룔; 룔; 룔; 룔; 룔; ) HANGUL SYLLABLE RYOL
      "\uB8D5",  # (룕; 룕; 룕; 룕; 룕; ) HANGUL SYLLABLE RYOLG
      "\uB8D6",  # (룖; 룖; 룖; 룖; 룖; ) HANGUL SYLLABLE RYOLM
      "\uB8D7",  # (룗; 룗; 룗; 룗; 룗; ) HANGUL SYLLABLE RYOLB
      "\uB8D8",  # (룘; 룘; 룘; 룘; 룘; ) HANGUL SYLLABLE RYOLS
      "\uB8D9",  # (룙; 룙; 룙; 룙; 룙; ) HANGUL SYLLABLE RYOLT
      "\uB8DA",  # (룚; 룚; 룚; 룚; 룚; ) HANGUL SYLLABLE RYOLP
      "\uB8DB",  # (룛; 룛; 룛; 룛; 룛; ) HANGUL SYLLABLE RYOLH
      "\uB8DC",  # (룜; 룜; 룜; 룜; 룜; ) HANGUL SYLLABLE RYOM
      "\uB8DD",  # (룝; 룝; 룝; 룝; 룝; ) HANGUL SYLLABLE RYOB
      "\uB8DE",  # (룞; 룞; 룞; 룞; 룞; ) HANGUL SYLLABLE RYOBS
      "\uB8DF",  # (룟; 룟; 룟; 룟; 룟; ) HANGUL SYLLABLE RYOS
      "\uB8E0",  # (룠; 룠; 룠; 룠; 룠; ) HANGUL SYLLABLE RYOSS
      "\uB8E1",  # (룡; 룡; 룡; 룡; 룡; ) HANGUL SYLLABLE RYONG
      "\uB8E2",  # (룢; 룢; 룢; 룢; 룢; ) HANGUL SYLLABLE RYOJ
      "\uB8E3",  # (룣; 룣; 룣; 룣; 룣; ) HANGUL SYLLABLE RYOC
      "\uB8E4",  # (룤; 룤; 룤; 룤; 룤; ) HANGUL SYLLABLE RYOK
      "\uB8E5",  # (룥; 룥; 룥; 룥; 룥; ) HANGUL SYLLABLE RYOT
      "\uB8E6",  # (룦; 룦; 룦; 룦; 룦; ) HANGUL SYLLABLE RYOP
      "\uB8E7",  # (룧; 룧; 룧; 룧; 룧; ) HANGUL SYLLABLE RYOH
      "\uB8E8",  # (루; 루; 루; 루; 루; ) HANGUL SYLLABLE RU
      "\uB8E9",  # (룩; 룩; 룩; 룩; 룩; ) HANGUL SYLLABLE RUG
      "\uB8EA",  # (룪; 룪; 룪; 룪; 룪; ) HANGUL SYLLABLE RUGG
      "\uB8EB",  # (룫; 룫; 룫; 룫; 룫; ) HANGUL SYLLABLE RUGS
      "\uB8EC",  # (룬; 룬; 룬; 룬; 룬; ) HANGUL SYLLABLE RUN
      "\uB8ED",  # (룭; 룭; 룭; 룭; 룭; ) HANGUL SYLLABLE RUNJ
      "\uB8EE",  # (룮; 룮; 룮; 룮; 룮; ) HANGUL SYLLABLE RUNH
      "\uB8EF",  # (룯; 룯; 룯; 룯; 룯; ) HANGUL SYLLABLE RUD
      "\uB8F0",  # (룰; 룰; 룰; 룰; 룰; ) HANGUL SYLLABLE RUL
      "\uB8F1",  # (룱; 룱; 룱; 룱; 룱; ) HANGUL SYLLABLE RULG
      "\uB8F2",  # (룲; 룲; 룲; 룲; 룲; ) HANGUL SYLLABLE RULM
      "\uB8F3",  # (룳; 룳; 룳; 룳; 룳; ) HANGUL SYLLABLE RULB
      "\uB8F4",  # (룴; 룴; 룴; 룴; 룴; ) HANGUL SYLLABLE RULS
      "\uB8F5",  # (룵; 룵; 룵; 룵; 룵; ) HANGUL SYLLABLE RULT
      "\uB8F6",  # (룶; 룶; 룶; 룶; 룶; ) HANGUL SYLLABLE RULP
      "\uB8F7",  # (룷; 룷; 룷; 룷; 룷; ) HANGUL SYLLABLE RULH
      "\uB8F8",  # (룸; 룸; 룸; 룸; 룸; ) HANGUL SYLLABLE RUM
      "\uB8F9",  # (룹; 룹; 룹; 룹; 룹; ) HANGUL SYLLABLE RUB
      "\uB8FA",  # (룺; 룺; 룺; 룺; 룺; ) HANGUL SYLLABLE RUBS
      "\uB8FB",  # (룻; 룻; 룻; 룻; 룻; ) HANGUL SYLLABLE RUS
      "\uB8FC",  # (룼; 룼; 룼; 룼; 룼; ) HANGUL SYLLABLE RUSS
      "\uB8FD",  # (룽; 룽; 룽; 룽; 룽; ) HANGUL SYLLABLE RUNG
      "\uB8FE",  # (룾; 룾; 룾; 룾; 룾; ) HANGUL SYLLABLE RUJ
      "\uB8FF",  # (룿; 룿; 룿; 룿; 룿; ) HANGUL SYLLABLE RUC
      "\uB900",  # (뤀; 뤀; 뤀; 뤀; 뤀; ) HANGUL SYLLABLE RUK
      "\uB901",  # (뤁; 뤁; 뤁; 뤁; 뤁; ) HANGUL SYLLABLE RUT
      "\uB902",  # (뤂; 뤂; 뤂; 뤂; 뤂; ) HANGUL SYLLABLE RUP
      "\uB903",  # (뤃; 뤃; 뤃; 뤃; 뤃; ) HANGUL SYLLABLE RUH
      "\uB904",  # (뤄; 뤄; 뤄; 뤄; 뤄; ) HANGUL SYLLABLE RWEO
      "\uB905",  # (뤅; 뤅; 뤅; 뤅; 뤅; ) HANGUL SYLLABLE RWEOG
      "\uB906",  # (뤆; 뤆; 뤆; 뤆; 뤆; ) HANGUL SYLLABLE RWEOGG
      "\uB907",  # (뤇; 뤇; 뤇; 뤇; 뤇; ) HANGUL SYLLABLE RWEOGS
      "\uB908",  # (뤈; 뤈; 뤈; 뤈; 뤈; ) HANGUL SYLLABLE RWEON
      "\uB909",  # (뤉; 뤉; 뤉; 뤉; 뤉; ) HANGUL SYLLABLE RWEONJ
      "\uB90A",  # (뤊; 뤊; 뤊; 뤊; 뤊; ) HANGUL SYLLABLE RWEONH
      "\uB90B",  # (뤋; 뤋; 뤋; 뤋; 뤋; ) HANGUL SYLLABLE RWEOD
      "\uB90C",  # (뤌; 뤌; 뤌; 뤌; 뤌; ) HANGUL SYLLABLE RWEOL
      "\uB90D",  # (뤍; 뤍; 뤍; 뤍; 뤍; ) HANGUL SYLLABLE RWEOLG
      "\uB90E",  # (뤎; 뤎; 뤎; 뤎; 뤎; ) HANGUL SYLLABLE RWEOLM
      "\uB90F",  # (뤏; 뤏; 뤏; 뤏; 뤏; ) HANGUL SYLLABLE RWEOLB
      "\uB910",  # (뤐; 뤐; 뤐; 뤐; 뤐; ) HANGUL SYLLABLE RWEOLS
      "\uB911",  # (뤑; 뤑; 뤑; 뤑; 뤑; ) HANGUL SYLLABLE RWEOLT
      "\uB912",  # (뤒; 뤒; 뤒; 뤒; 뤒; ) HANGUL SYLLABLE RWEOLP
      "\uB913",  # (뤓; 뤓; 뤓; 뤓; 뤓; ) HANGUL SYLLABLE RWEOLH
      "\uB914",  # (뤔; 뤔; 뤔; 뤔; 뤔; ) HANGUL SYLLABLE RWEOM
      "\uB915",  # (뤕; 뤕; 뤕; 뤕; 뤕; ) HANGUL SYLLABLE RWEOB
      "\uB916",  # (뤖; 뤖; 뤖; 뤖; 뤖; ) HANGUL SYLLABLE RWEOBS
      "\uB917",  # (뤗; 뤗; 뤗; 뤗; 뤗; ) HANGUL SYLLABLE RWEOS
      "\uB918",  # (뤘; 뤘; 뤘; 뤘; 뤘; ) HANGUL SYLLABLE RWEOSS
      "\uB919",  # (뤙; 뤙; 뤙; 뤙; 뤙; ) HANGUL SYLLABLE RWEONG
      "\uB91A",  # (뤚; 뤚; 뤚; 뤚; 뤚; ) HANGUL SYLLABLE RWEOJ
      "\uB91B",  # (뤛; 뤛; 뤛; 뤛; 뤛; ) HANGUL SYLLABLE RWEOC
      "\uB91C",  # (뤜; 뤜; 뤜; 뤜; 뤜; ) HANGUL SYLLABLE RWEOK
      "\uB91D",  # (뤝; 뤝; 뤝; 뤝; 뤝; ) HANGUL SYLLABLE RWEOT
      "\uB91E",  # (뤞; 뤞; 뤞; 뤞; 뤞; ) HANGUL SYLLABLE RWEOP
      "\uB91F",  # (뤟; 뤟; 뤟; 뤟; 뤟; ) HANGUL SYLLABLE RWEOH
      "\uB920",  # (뤠; 뤠; 뤠; 뤠; 뤠; ) HANGUL SYLLABLE RWE
      "\uB921",  # (뤡; 뤡; 뤡; 뤡; 뤡; ) HANGUL SYLLABLE RWEG
      "\uB922",  # (뤢; 뤢; 뤢; 뤢; 뤢; ) HANGUL SYLLABLE RWEGG
      "\uB923",  # (뤣; 뤣; 뤣; 뤣; 뤣; ) HANGUL SYLLABLE RWEGS
      "\uB924",  # (뤤; 뤤; 뤤; 뤤; 뤤; ) HANGUL SYLLABLE RWEN
      "\uB925",  # (뤥; 뤥; 뤥; 뤥; 뤥; ) HANGUL SYLLABLE RWENJ
      "\uB926",  # (뤦; 뤦; 뤦; 뤦; 뤦; ) HANGUL SYLLABLE RWENH
      "\uB927",  # (뤧; 뤧; 뤧; 뤧; 뤧; ) HANGUL SYLLABLE RWED
      "\uB928",  # (뤨; 뤨; 뤨; 뤨; 뤨; ) HANGUL SYLLABLE RWEL
      "\uB929",  # (뤩; 뤩; 뤩; 뤩; 뤩; ) HANGUL SYLLABLE RWELG
      "\uB92A",  # (뤪; 뤪; 뤪; 뤪; 뤪; ) HANGUL SYLLABLE RWELM
      "\uB92B",  # (뤫; 뤫; 뤫; 뤫; 뤫; ) HANGUL SYLLABLE RWELB
      "\uB92C",  # (뤬; 뤬; 뤬; 뤬; 뤬; ) HANGUL SYLLABLE RWELS
      "\uB92D",  # (뤭; 뤭; 뤭; 뤭; 뤭; ) HANGUL SYLLABLE RWELT
      "\uB92E",  # (뤮; 뤮; 뤮; 뤮; 뤮; ) HANGUL SYLLABLE RWELP
      "\uB92F",  # (뤯; 뤯; 뤯; 뤯; 뤯; ) HANGUL SYLLABLE RWELH
      "\uB930",  # (뤰; 뤰; 뤰; 뤰; 뤰; ) HANGUL SYLLABLE RWEM
      "\uB931",  # (뤱; 뤱; 뤱; 뤱; 뤱; ) HANGUL SYLLABLE RWEB
      "\uB932",  # (뤲; 뤲; 뤲; 뤲; 뤲; ) HANGUL SYLLABLE RWEBS
      "\uB933",  # (뤳; 뤳; 뤳; 뤳; 뤳; ) HANGUL SYLLABLE RWES
      "\uB934",  # (뤴; 뤴; 뤴; 뤴; 뤴; ) HANGUL SYLLABLE RWESS
      "\uB935",  # (뤵; 뤵; 뤵; 뤵; 뤵; ) HANGUL SYLLABLE RWENG
      "\uB936",  # (뤶; 뤶; 뤶; 뤶; 뤶; ) HANGUL SYLLABLE RWEJ
      "\uB937",  # (뤷; 뤷; 뤷; 뤷; 뤷; ) HANGUL SYLLABLE RWEC
      "\uB938",  # (뤸; 뤸; 뤸; 뤸; 뤸; ) HANGUL SYLLABLE RWEK
      "\uB939",  # (뤹; 뤹; 뤹; 뤹; 뤹; ) HANGUL SYLLABLE RWET
      "\uB93A",  # (뤺; 뤺; 뤺; 뤺; 뤺; ) HANGUL SYLLABLE RWEP
      "\uB93B",  # (뤻; 뤻; 뤻; 뤻; 뤻; ) HANGUL SYLLABLE RWEH
      "\uB93C",  # (뤼; 뤼; 뤼; 뤼; 뤼; ) HANGUL SYLLABLE RWI
      "\uB93D",  # (뤽; 뤽; 뤽; 뤽; 뤽; ) HANGUL SYLLABLE RWIG
      "\uB93E",  # (뤾; 뤾; 뤾; 뤾; 뤾; ) HANGUL SYLLABLE RWIGG
      "\uB93F",  # (뤿; 뤿; 뤿; 뤿; 뤿; ) HANGUL SYLLABLE RWIGS
      "\uB940",  # (륀; 륀; 륀; 륀; 륀; ) HANGUL SYLLABLE RWIN
      "\uB941",  # (륁; 륁; 륁; 륁; 륁; ) HANGUL SYLLABLE RWINJ
      "\uB942",  # (륂; 륂; 륂; 륂; 륂; ) HANGUL SYLLABLE RWINH
      "\uB943",  # (륃; 륃; 륃; 륃; 륃; ) HANGUL SYLLABLE RWID
      "\uB944",  # (륄; 륄; 륄; 륄; 륄; ) HANGUL SYLLABLE RWIL
      "\uB945",  # (륅; 륅; 륅; 륅; 륅; ) HANGUL SYLLABLE RWILG
      "\uB946",  # (륆; 륆; 륆; 륆; 륆; ) HANGUL SYLLABLE RWILM
      "\uB947",  # (륇; 륇; 륇; 륇; 륇; ) HANGUL SYLLABLE RWILB
      "\uB948",  # (륈; 륈; 륈; 륈; 륈; ) HANGUL SYLLABLE RWILS
      "\uB949",  # (륉; 륉; 륉; 륉; 륉; ) HANGUL SYLLABLE RWILT
      "\uB94A",  # (륊; 륊; 륊; 륊; 륊; ) HANGUL SYLLABLE RWILP
      "\uB94B",  # (륋; 륋; 륋; 륋; 륋; ) HANGUL SYLLABLE RWILH
      "\uB94C",  # (륌; 륌; 륌; 륌; 륌; ) HANGUL SYLLABLE RWIM
      "\uB94D",  # (륍; 륍; 륍; 륍; 륍; ) HANGUL SYLLABLE RWIB
      "\uB94E",  # (륎; 륎; 륎; 륎; 륎; ) HANGUL SYLLABLE RWIBS
      "\uB94F",  # (륏; 륏; 륏; 륏; 륏; ) HANGUL SYLLABLE RWIS
      "\uB950",  # (륐; 륐; 륐; 륐; 륐; ) HANGUL SYLLABLE RWISS
      "\uB951",  # (륑; 륑; 륑; 륑; 륑; ) HANGUL SYLLABLE RWING
      "\uB952",  # (륒; 륒; 륒; 륒; 륒; ) HANGUL SYLLABLE RWIJ
      "\uB953",  # (륓; 륓; 륓; 륓; 륓; ) HANGUL SYLLABLE RWIC
      "\uB954",  # (륔; 륔; 륔; 륔; 륔; ) HANGUL SYLLABLE RWIK
      "\uB955",  # (륕; 륕; 륕; 륕; 륕; ) HANGUL SYLLABLE RWIT
      "\uB956",  # (륖; 륖; 륖; 륖; 륖; ) HANGUL SYLLABLE RWIP
      "\uB957",  # (륗; 륗; 륗; 륗; 륗; ) HANGUL SYLLABLE RWIH
      "\uB958",  # (류; 류; 류; 류; 류; ) HANGUL SYLLABLE RYU
      "\uB959",  # (륙; 륙; 륙; 륙; 륙; ) HANGUL SYLLABLE RYUG
      "\uB95A",  # (륚; 륚; 륚; 륚; 륚; ) HANGUL SYLLABLE RYUGG
      "\uB95B",  # (륛; 륛; 륛; 륛; 륛; ) HANGUL SYLLABLE RYUGS
      "\uB95C",  # (륜; 륜; 륜; 륜; 륜; ) HANGUL SYLLABLE RYUN
      "\uB95D",  # (륝; 륝; 륝; 륝; 륝; ) HANGUL SYLLABLE RYUNJ
      "\uB95E",  # (륞; 륞; 륞; 륞; 륞; ) HANGUL SYLLABLE RYUNH
      "\uB95F",  # (륟; 륟; 륟; 륟; 륟; ) HANGUL SYLLABLE RYUD
      "\uB960",  # (률; 률; 률; 률; 률; ) HANGUL SYLLABLE RYUL
      "\uB961",  # (륡; 륡; 륡; 륡; 륡; ) HANGUL SYLLABLE RYULG
      "\uB962",  # (륢; 륢; 륢; 륢; 륢; ) HANGUL SYLLABLE RYULM
      "\uB963",  # (륣; 륣; 륣; 륣; 륣; ) HANGUL SYLLABLE RYULB
      "\uB964",  # (륤; 륤; 륤; 륤; 륤; ) HANGUL SYLLABLE RYULS
      "\uB965",  # (륥; 륥; 륥; 륥; 륥; ) HANGUL SYLLABLE RYULT
      "\uB966",  # (륦; 륦; 륦; 륦; 륦; ) HANGUL SYLLABLE RYULP
      "\uB967",  # (륧; 륧; 륧; 륧; 륧; ) HANGUL SYLLABLE RYULH
      "\uB968",  # (륨; 륨; 륨; 륨; 륨; ) HANGUL SYLLABLE RYUM
      "\uB969",  # (륩; 륩; 륩; 륩; 륩; ) HANGUL SYLLABLE RYUB
      "\uB96A",  # (륪; 륪; 륪; 륪; 륪; ) HANGUL SYLLABLE RYUBS
      "\uB96B",  # (륫; 륫; 륫; 륫; 륫; ) HANGUL SYLLABLE RYUS
      "\uB96C",  # (륬; 륬; 륬; 륬; 륬; ) HANGUL SYLLABLE RYUSS
      "\uB96D",  # (륭; 륭; 륭; 륭; 륭; ) HANGUL SYLLABLE RYUNG
      "\uB96E",  # (륮; 륮; 륮; 륮; 륮; ) HANGUL SYLLABLE RYUJ
      "\uB96F",  # (륯; 륯; 륯; 륯; 륯; ) HANGUL SYLLABLE RYUC
      "\uB970",  # (륰; 륰; 륰; 륰; 륰; ) HANGUL SYLLABLE RYUK
      "\uB971",  # (륱; 륱; 륱; 륱; 륱; ) HANGUL SYLLABLE RYUT
      "\uB972",  # (륲; 륲; 륲; 륲; 륲; ) HANGUL SYLLABLE RYUP
      "\uB973",  # (륳; 륳; 륳; 륳; 륳; ) HANGUL SYLLABLE RYUH
      "\uB974",  # (르; 르; 르; 르; 르; ) HANGUL SYLLABLE REU
      "\uB975",  # (륵; 륵; 륵; 륵; 륵; ) HANGUL SYLLABLE REUG
      "\uB976",  # (륶; 륶; 륶; 륶; 륶; ) HANGUL SYLLABLE REUGG
      "\uB977",  # (륷; 륷; 륷; 륷; 륷; ) HANGUL SYLLABLE REUGS
      "\uB978",  # (른; 른; 른; 른; 른; ) HANGUL SYLLABLE REUN
      "\uB979",  # (륹; 륹; 륹; 륹; 륹; ) HANGUL SYLLABLE REUNJ
      "\uB97A",  # (륺; 륺; 륺; 륺; 륺; ) HANGUL SYLLABLE REUNH
      "\uB97B",  # (륻; 륻; 륻; 륻; 륻; ) HANGUL SYLLABLE REUD
      "\uB97C",  # (를; 를; 를; 를; 를; ) HANGUL SYLLABLE REUL
      "\uB97D",  # (륽; 륽; 륽; 륽; 륽; ) HANGUL SYLLABLE REULG
      "\uB97E",  # (륾; 륾; 륾; 륾; 륾; ) HANGUL SYLLABLE REULM
      "\uB97F",  # (륿; 륿; 륿; 륿; 륿; ) HANGUL SYLLABLE REULB
      "\uB980",  # (릀; 릀; 릀; 릀; 릀; ) HANGUL SYLLABLE REULS
      "\uB981",  # (릁; 릁; 릁; 릁; 릁; ) HANGUL SYLLABLE REULT
      "\uB982",  # (릂; 릂; 릂; 릂; 릂; ) HANGUL SYLLABLE REULP
      "\uB983",  # (릃; 릃; 릃; 릃; 릃; ) HANGUL SYLLABLE REULH
      "\uB984",  # (름; 름; 름; 름; 름; ) HANGUL SYLLABLE REUM
      "\uB985",  # (릅; 릅; 릅; 릅; 릅; ) HANGUL SYLLABLE REUB
      "\uB986",  # (릆; 릆; 릆; 릆; 릆; ) HANGUL SYLLABLE REUBS
      "\uB987",  # (릇; 릇; 릇; 릇; 릇; ) HANGUL SYLLABLE REUS
      "\uB988",  # (릈; 릈; 릈; 릈; 릈; ) HANGUL SYLLABLE REUSS
      "\uB989",  # (릉; 릉; 릉; 릉; 릉; ) HANGUL SYLLABLE REUNG
      "\uB98A",  # (릊; 릊; 릊; 릊; 릊; ) HANGUL SYLLABLE REUJ
      "\uB98B",  # (릋; 릋; 릋; 릋; 릋; ) HANGUL SYLLABLE REUC
      "\uB98C",  # (릌; 릌; 릌; 릌; 릌; ) HANGUL SYLLABLE REUK
      "\uB98D",  # (릍; 릍; 릍; 릍; 릍; ) HANGUL SYLLABLE REUT
      "\uB98E",  # (릎; 릎; 릎; 릎; 릎; ) HANGUL SYLLABLE REUP
      "\uB98F",  # (릏; 릏; 릏; 릏; 릏; ) HANGUL SYLLABLE REUH
      "\uB990",  # (릐; 릐; 릐; 릐; 릐; ) HANGUL SYLLABLE RYI
      "\uB991",  # (릑; 릑; 릑; 릑; 릑; ) HANGUL SYLLABLE RYIG
      "\uB992",  # (릒; 릒; 릒; 릒; 릒; ) HANGUL SYLLABLE RYIGG
      "\uB993",  # (릓; 릓; 릓; 릓; 릓; ) HANGUL SYLLABLE RYIGS
      "\uB994",  # (릔; 릔; 릔; 릔; 릔; ) HANGUL SYLLABLE RYIN
      "\uB995",  # (릕; 릕; 릕; 릕; 릕; ) HANGUL SYLLABLE RYINJ
      "\uB996",  # (릖; 릖; 릖; 릖; 릖; ) HANGUL SYLLABLE RYINH
      "\uB997",  # (릗; 릗; 릗; 릗; 릗; ) HANGUL SYLLABLE RYID
      "\uB998",  # (릘; 릘; 릘; 릘; 릘; ) HANGUL SYLLABLE RYIL
      "\uB999",  # (릙; 릙; 릙; 릙; 릙; ) HANGUL SYLLABLE RYILG
      "\uB99A",  # (릚; 릚; 릚; 릚; 릚; ) HANGUL SYLLABLE RYILM
      "\uB99B",  # (릛; 릛; 릛; 릛; 릛; ) HANGUL SYLLABLE RYILB
      "\uB99C",  # (릜; 릜; 릜; 릜; 릜; ) HANGUL SYLLABLE RYILS
      "\uB99D",  # (릝; 릝; 릝; 릝; 릝; ) HANGUL SYLLABLE RYILT
      "\uB99E",  # (릞; 릞; 릞; 릞; 릞; ) HANGUL SYLLABLE RYILP
      "\uB99F",  # (릟; 릟; 릟; 릟; 릟; ) HANGUL SYLLABLE RYILH
      "\uB9A0",  # (릠; 릠; 릠; 릠; 릠; ) HANGUL SYLLABLE RYIM
      "\uB9A1",  # (릡; 릡; 릡; 릡; 릡; ) HANGUL SYLLABLE RYIB
      "\uB9A2",  # (릢; 릢; 릢; 릢; 릢; ) HANGUL SYLLABLE RYIBS
      "\uB9A3",  # (릣; 릣; 릣; 릣; 릣; ) HANGUL SYLLABLE RYIS
      "\uB9A4",  # (릤; 릤; 릤; 릤; 릤; ) HANGUL SYLLABLE RYISS
      "\uB9A5",  # (릥; 릥; 릥; 릥; 릥; ) HANGUL SYLLABLE RYING
      "\uB9A6",  # (릦; 릦; 릦; 릦; 릦; ) HANGUL SYLLABLE RYIJ
      "\uB9A7",  # (릧; 릧; 릧; 릧; 릧; ) HANGUL SYLLABLE RYIC
      "\uB9A8",  # (릨; 릨; 릨; 릨; 릨; ) HANGUL SYLLABLE RYIK
      "\uB9A9",  # (릩; 릩; 릩; 릩; 릩; ) HANGUL SYLLABLE RYIT
      "\uB9AA",  # (릪; 릪; 릪; 릪; 릪; ) HANGUL SYLLABLE RYIP
      "\uB9AB",  # (릫; 릫; 릫; 릫; 릫; ) HANGUL SYLLABLE RYIH
      "\uB9AC",  # (리; 리; 리; 리; 리; ) HANGUL SYLLABLE RI
      "\uB9AD",  # (릭; 릭; 릭; 릭; 릭; ) HANGUL SYLLABLE RIG
      "\uB9AE",  # (릮; 릮; 릮; 릮; 릮; ) HANGUL SYLLABLE RIGG
      "\uB9AF",  # (릯; 릯; 릯; 릯; 릯; ) HANGUL SYLLABLE RIGS
      "\uB9B0",  # (린; 린; 린; 린; 린; ) HANGUL SYLLABLE RIN
      "\uB9B1",  # (릱; 릱; 릱; 릱; 릱; ) HANGUL SYLLABLE RINJ
      "\uB9B2",  # (릲; 릲; 릲; 릲; 릲; ) HANGUL SYLLABLE RINH
      "\uB9B3",  # (릳; 릳; 릳; 릳; 릳; ) HANGUL SYLLABLE RID
      "\uB9B4",  # (릴; 릴; 릴; 릴; 릴; ) HANGUL SYLLABLE RIL
      "\uB9B5",  # (릵; 릵; 릵; 릵; 릵; ) HANGUL SYLLABLE RILG
      "\uB9B6",  # (릶; 릶; 릶; 릶; 릶; ) HANGUL SYLLABLE RILM
      "\uB9B7",  # (릷; 릷; 릷; 릷; 릷; ) HANGUL SYLLABLE RILB
      "\uB9B8",  # (릸; 릸; 릸; 릸; 릸; ) HANGUL SYLLABLE RILS
      "\uB9B9",  # (릹; 릹; 릹; 릹; 릹; ) HANGUL SYLLABLE RILT
      "\uB9BA",  # (릺; 릺; 릺; 릺; 릺; ) HANGUL SYLLABLE RILP
      "\uB9BB",  # (릻; 릻; 릻; 릻; 릻; ) HANGUL SYLLABLE RILH
      "\uB9BC",  # (림; 림; 림; 림; 림; ) HANGUL SYLLABLE RIM
      "\uB9BD",  # (립; 립; 립; 립; 립; ) HANGUL SYLLABLE RIB
      "\uB9BE",  # (릾; 릾; 릾; 릾; 릾; ) HANGUL SYLLABLE RIBS
      "\uB9BF",  # (릿; 릿; 릿; 릿; 릿; ) HANGUL SYLLABLE RIS
      "\uB9C0",  # (맀; 맀; 맀; 맀; 맀; ) HANGUL SYLLABLE RISS
      "\uB9C1",  # (링; 링; 링; 링; 링; ) HANGUL SYLLABLE RING
      "\uB9C2",  # (맂; 맂; 맂; 맂; 맂; ) HANGUL SYLLABLE RIJ
      "\uB9C3",  # (맃; 맃; 맃; 맃; 맃; ) HANGUL SYLLABLE RIC
      "\uB9C4",  # (맄; 맄; 맄; 맄; 맄; ) HANGUL SYLLABLE RIK
      "\uB9C5",  # (맅; 맅; 맅; 맅; 맅; ) HANGUL SYLLABLE RIT
      "\uB9C6",  # (맆; 맆; 맆; 맆; 맆; ) HANGUL SYLLABLE RIP
      "\uB9C7",  # (맇; 맇; 맇; 맇; 맇; ) HANGUL SYLLABLE RIH
      "\uB9C8",  # (마; 마; 마; 마; 마; ) HANGUL SYLLABLE MA
      "\uB9C9",  # (막; 막; 막; 막; 막; ) HANGUL SYLLABLE MAG
      "\uB9CA",  # (맊; 맊; 맊; 맊; 맊; ) HANGUL SYLLABLE MAGG
      "\uB9CB",  # (맋; 맋; 맋; 맋; 맋; ) HANGUL SYLLABLE MAGS
      "\uB9CC",  # (만; 만; 만; 만; 만; ) HANGUL SYLLABLE MAN
      "\uB9CD",  # (맍; 맍; 맍; 맍; 맍; ) HANGUL SYLLABLE MANJ
      "\uB9CE",  # (많; 많; 많; 많; 많; ) HANGUL SYLLABLE MANH
      "\uB9CF",  # (맏; 맏; 맏; 맏; 맏; ) HANGUL SYLLABLE MAD
      "\uB9D0",  # (말; 말; 말; 말; 말; ) HANGUL SYLLABLE MAL
      "\uB9D1",  # (맑; 맑; 맑; 맑; 맑; ) HANGUL SYLLABLE MALG
      "\uB9D2",  # (맒; 맒; 맒; 맒; 맒; ) HANGUL SYLLABLE MALM
      "\uB9D3",  # (맓; 맓; 맓; 맓; 맓; ) HANGUL SYLLABLE MALB
      "\uB9D4",  # (맔; 맔; 맔; 맔; 맔; ) HANGUL SYLLABLE MALS
      "\uB9D5",  # (맕; 맕; 맕; 맕; 맕; ) HANGUL SYLLABLE MALT
      "\uB9D6",  # (맖; 맖; 맖; 맖; 맖; ) HANGUL SYLLABLE MALP
      "\uB9D7",  # (맗; 맗; 맗; 맗; 맗; ) HANGUL SYLLABLE MALH
      "\uB9D8",  # (맘; 맘; 맘; 맘; 맘; ) HANGUL SYLLABLE MAM
      "\uB9D9",  # (맙; 맙; 맙; 맙; 맙; ) HANGUL SYLLABLE MAB
      "\uB9DA",  # (맚; 맚; 맚; 맚; 맚; ) HANGUL SYLLABLE MABS
      "\uB9DB",  # (맛; 맛; 맛; 맛; 맛; ) HANGUL SYLLABLE MAS
      "\uB9DC",  # (맜; 맜; 맜; 맜; 맜; ) HANGUL SYLLABLE MASS
      "\uB9DD",  # (망; 망; 망; 망; 망; ) HANGUL SYLLABLE MANG
      "\uB9DE",  # (맞; 맞; 맞; 맞; 맞; ) HANGUL SYLLABLE MAJ
      "\uB9DF",  # (맟; 맟; 맟; 맟; 맟; ) HANGUL SYLLABLE MAC
      "\uB9E0",  # (맠; 맠; 맠; 맠; 맠; ) HANGUL SYLLABLE MAK
      "\uB9E1",  # (맡; 맡; 맡; 맡; 맡; ) HANGUL SYLLABLE MAT
      "\uB9E2",  # (맢; 맢; 맢; 맢; 맢; ) HANGUL SYLLABLE MAP
      "\uB9E3",  # (맣; 맣; 맣; 맣; 맣; ) HANGUL SYLLABLE MAH
      "\uB9E4",  # (매; 매; 매; 매; 매; ) HANGUL SYLLABLE MAE
      "\uB9E5",  # (맥; 맥; 맥; 맥; 맥; ) HANGUL SYLLABLE MAEG
      "\uB9E6",  # (맦; 맦; 맦; 맦; 맦; ) HANGUL SYLLABLE MAEGG
      "\uB9E7",  # (맧; 맧; 맧; 맧; 맧; ) HANGUL SYLLABLE MAEGS
      "\uB9E8",  # (맨; 맨; 맨; 맨; 맨; ) HANGUL SYLLABLE MAEN
      "\uB9E9",  # (맩; 맩; 맩; 맩; 맩; ) HANGUL SYLLABLE MAENJ
      "\uB9EA",  # (맪; 맪; 맪; 맪; 맪; ) HANGUL SYLLABLE MAENH
      "\uB9EB",  # (맫; 맫; 맫; 맫; 맫; ) HANGUL SYLLABLE MAED
      "\uB9EC",  # (맬; 맬; 맬; 맬; 맬; ) HANGUL SYLLABLE MAEL
      "\uB9ED",  # (맭; 맭; 맭; 맭; 맭; ) HANGUL SYLLABLE MAELG
      "\uB9EE",  # (맮; 맮; 맮; 맮; 맮; ) HANGUL SYLLABLE MAELM
      "\uB9EF",  # (맯; 맯; 맯; 맯; 맯; ) HANGUL SYLLABLE MAELB
      "\uB9F0",  # (맰; 맰; 맰; 맰; 맰; ) HANGUL SYLLABLE MAELS
      "\uB9F1",  # (맱; 맱; 맱; 맱; 맱; ) HANGUL SYLLABLE MAELT
      "\uB9F2",  # (맲; 맲; 맲; 맲; 맲; ) HANGUL SYLLABLE MAELP
      "\uB9F3",  # (맳; 맳; 맳; 맳; 맳; ) HANGUL SYLLABLE MAELH
      "\uB9F4",  # (맴; 맴; 맴; 맴; 맴; ) HANGUL SYLLABLE MAEM
      "\uB9F5",  # (맵; 맵; 맵; 맵; 맵; ) HANGUL SYLLABLE MAEB
      "\uB9F6",  # (맶; 맶; 맶; 맶; 맶; ) HANGUL SYLLABLE MAEBS
      "\uB9F7",  # (맷; 맷; 맷; 맷; 맷; ) HANGUL SYLLABLE MAES
      "\uB9F8",  # (맸; 맸; 맸; 맸; 맸; ) HANGUL SYLLABLE MAESS
      "\uB9F9",  # (맹; 맹; 맹; 맹; 맹; ) HANGUL SYLLABLE MAENG
      "\uB9FA",  # (맺; 맺; 맺; 맺; 맺; ) HANGUL SYLLABLE MAEJ
      "\uB9FB",  # (맻; 맻; 맻; 맻; 맻; ) HANGUL SYLLABLE MAEC
      "\uB9FC",  # (맼; 맼; 맼; 맼; 맼; ) HANGUL SYLLABLE MAEK
      "\uB9FD",  # (맽; 맽; 맽; 맽; 맽; ) HANGUL SYLLABLE MAET
      "\uB9FE",  # (맾; 맾; 맾; 맾; 맾; ) HANGUL SYLLABLE MAEP
      "\uB9FF",  # (맿; 맿; 맿; 맿; 맿; ) HANGUL SYLLABLE MAEH
      "\uBA00",  # (먀; 먀; 먀; 먀; 먀; ) HANGUL SYLLABLE MYA
      "\uBA01",  # (먁; 먁; 먁; 먁; 먁; ) HANGUL SYLLABLE MYAG
      "\uBA02",  # (먂; 먂; 먂; 먂; 먂; ) HANGUL SYLLABLE MYAGG
      "\uBA03",  # (먃; 먃; 먃; 먃; 먃; ) HANGUL SYLLABLE MYAGS
      "\uBA04",  # (먄; 먄; 먄; 먄; 먄; ) HANGUL SYLLABLE MYAN
      "\uBA05",  # (먅; 먅; 먅; 먅; 먅; ) HANGUL SYLLABLE MYANJ
      "\uBA06",  # (먆; 먆; 먆; 먆; 먆; ) HANGUL SYLLABLE MYANH
      "\uBA07",  # (먇; 먇; 먇; 먇; 먇; ) HANGUL SYLLABLE MYAD
      "\uBA08",  # (먈; 먈; 먈; 먈; 먈; ) HANGUL SYLLABLE MYAL
      "\uBA09",  # (먉; 먉; 먉; 먉; 먉; ) HANGUL SYLLABLE MYALG
      "\uBA0A",  # (먊; 먊; 먊; 먊; 먊; ) HANGUL SYLLABLE MYALM
      "\uBA0B",  # (먋; 먋; 먋; 먋; 먋; ) HANGUL SYLLABLE MYALB
      "\uBA0C",  # (먌; 먌; 먌; 먌; 먌; ) HANGUL SYLLABLE MYALS
      "\uBA0D",  # (먍; 먍; 먍; 먍; 먍; ) HANGUL SYLLABLE MYALT
      "\uBA0E",  # (먎; 먎; 먎; 먎; 먎; ) HANGUL SYLLABLE MYALP
      "\uBA0F",  # (먏; 먏; 먏; 먏; 먏; ) HANGUL SYLLABLE MYALH
      "\uBA10",  # (먐; 먐; 먐; 먐; 먐; ) HANGUL SYLLABLE MYAM
      "\uBA11",  # (먑; 먑; 먑; 먑; 먑; ) HANGUL SYLLABLE MYAB
      "\uBA12",  # (먒; 먒; 먒; 먒; 먒; ) HANGUL SYLLABLE MYABS
      "\uBA13",  # (먓; 먓; 먓; 먓; 먓; ) HANGUL SYLLABLE MYAS
      "\uBA14",  # (먔; 먔; 먔; 먔; 먔; ) HANGUL SYLLABLE MYASS
      "\uBA15",  # (먕; 먕; 먕; 먕; 먕; ) HANGUL SYLLABLE MYANG
      "\uBA16",  # (먖; 먖; 먖; 먖; 먖; ) HANGUL SYLLABLE MYAJ
      "\uBA17",  # (먗; 먗; 먗; 먗; 먗; ) HANGUL SYLLABLE MYAC
      "\uBA18",  # (먘; 먘; 먘; 먘; 먘; ) HANGUL SYLLABLE MYAK
      "\uBA19",  # (먙; 먙; 먙; 먙; 먙; ) HANGUL SYLLABLE MYAT
      "\uBA1A",  # (먚; 먚; 먚; 먚; 먚; ) HANGUL SYLLABLE MYAP
      "\uBA1B",  # (먛; 먛; 먛; 먛; 먛; ) HANGUL SYLLABLE MYAH
      "\uBA1C",  # (먜; 먜; 먜; 먜; 먜; ) HANGUL SYLLABLE MYAE
      "\uBA1D",  # (먝; 먝; 먝; 먝; 먝; ) HANGUL SYLLABLE MYAEG
      "\uBA1E",  # (먞; 먞; 먞; 먞; 먞; ) HANGUL SYLLABLE MYAEGG
      "\uBA1F",  # (먟; 먟; 먟; 먟; 먟; ) HANGUL SYLLABLE MYAEGS
      "\uBA20",  # (먠; 먠; 먠; 먠; 먠; ) HANGUL SYLLABLE MYAEN
      "\uBA21",  # (먡; 먡; 먡; 먡; 먡; ) HANGUL SYLLABLE MYAENJ
      "\uBA22",  # (먢; 먢; 먢; 먢; 먢; ) HANGUL SYLLABLE MYAENH
      "\uBA23",  # (먣; 먣; 먣; 먣; 먣; ) HANGUL SYLLABLE MYAED
      "\uBA24",  # (먤; 먤; 먤; 먤; 먤; ) HANGUL SYLLABLE MYAEL
      "\uBA25",  # (먥; 먥; 먥; 먥; 먥; ) HANGUL SYLLABLE MYAELG
      "\uBA26",  # (먦; 먦; 먦; 먦; 먦; ) HANGUL SYLLABLE MYAELM
      "\uBA27",  # (먧; 먧; 먧; 먧; 먧; ) HANGUL SYLLABLE MYAELB
      "\uBA28",  # (먨; 먨; 먨; 먨; 먨; ) HANGUL SYLLABLE MYAELS
      "\uBA29",  # (먩; 먩; 먩; 먩; 먩; ) HANGUL SYLLABLE MYAELT
      "\uBA2A",  # (먪; 먪; 먪; 먪; 먪; ) HANGUL SYLLABLE MYAELP
      "\uBA2B",  # (먫; 먫; 먫; 먫; 먫; ) HANGUL SYLLABLE MYAELH
      "\uBA2C",  # (먬; 먬; 먬; 먬; 먬; ) HANGUL SYLLABLE MYAEM
      "\uBA2D",  # (먭; 먭; 먭; 먭; 먭; ) HANGUL SYLLABLE MYAEB
      "\uBA2E",  # (먮; 먮; 먮; 먮; 먮; ) HANGUL SYLLABLE MYAEBS
      "\uBA2F",  # (먯; 먯; 먯; 먯; 먯; ) HANGUL SYLLABLE MYAES
      "\uBA30",  # (먰; 먰; 먰; 먰; 먰; ) HANGUL SYLLABLE MYAESS
      "\uBA31",  # (먱; 먱; 먱; 먱; 먱; ) HANGUL SYLLABLE MYAENG
      "\uBA32",  # (먲; 먲; 먲; 먲; 먲; ) HANGUL SYLLABLE MYAEJ
      "\uBA33",  # (먳; 먳; 먳; 먳; 먳; ) HANGUL SYLLABLE MYAEC
      "\uBA34",  # (먴; 먴; 먴; 먴; 먴; ) HANGUL SYLLABLE MYAEK
      "\uBA35",  # (먵; 먵; 먵; 먵; 먵; ) HANGUL SYLLABLE MYAET
      "\uBA36",  # (먶; 먶; 먶; 먶; 먶; ) HANGUL SYLLABLE MYAEP
      "\uBA37",  # (먷; 먷; 먷; 먷; 먷; ) HANGUL SYLLABLE MYAEH
      "\uBA38",  # (머; 머; 머; 머; 머; ) HANGUL SYLLABLE MEO
      "\uBA39",  # (먹; 먹; 먹; 먹; 먹; ) HANGUL SYLLABLE MEOG
      "\uBA3A",  # (먺; 먺; 먺; 먺; 먺; ) HANGUL SYLLABLE MEOGG
      "\uBA3B",  # (먻; 먻; 먻; 먻; 먻; ) HANGUL SYLLABLE MEOGS
      "\uBA3C",  # (먼; 먼; 먼; 먼; 먼; ) HANGUL SYLLABLE MEON
      "\uBA3D",  # (먽; 먽; 먽; 먽; 먽; ) HANGUL SYLLABLE MEONJ
      "\uBA3E",  # (먾; 먾; 먾; 먾; 먾; ) HANGUL SYLLABLE MEONH
      "\uBA3F",  # (먿; 먿; 먿; 먿; 먿; ) HANGUL SYLLABLE MEOD
      "\uBA40",  # (멀; 멀; 멀; 멀; 멀; ) HANGUL SYLLABLE MEOL
      "\uBA41",  # (멁; 멁; 멁; 멁; 멁; ) HANGUL SYLLABLE MEOLG
      "\uBA42",  # (멂; 멂; 멂; 멂; 멂; ) HANGUL SYLLABLE MEOLM
      "\uBA43",  # (멃; 멃; 멃; 멃; 멃; ) HANGUL SYLLABLE MEOLB
      "\uBA44",  # (멄; 멄; 멄; 멄; 멄; ) HANGUL SYLLABLE MEOLS
      "\uBA45",  # (멅; 멅; 멅; 멅; 멅; ) HANGUL SYLLABLE MEOLT
      "\uBA46",  # (멆; 멆; 멆; 멆; 멆; ) HANGUL SYLLABLE MEOLP
      "\uBA47",  # (멇; 멇; 멇; 멇; 멇; ) HANGUL SYLLABLE MEOLH
      "\uBA48",  # (멈; 멈; 멈; 멈; 멈; ) HANGUL SYLLABLE MEOM
      "\uBA49",  # (멉; 멉; 멉; 멉; 멉; ) HANGUL SYLLABLE MEOB
      "\uBA4A",  # (멊; 멊; 멊; 멊; 멊; ) HANGUL SYLLABLE MEOBS
      "\uBA4B",  # (멋; 멋; 멋; 멋; 멋; ) HANGUL SYLLABLE MEOS
      "\uBA4C",  # (멌; 멌; 멌; 멌; 멌; ) HANGUL SYLLABLE MEOSS
      "\uBA4D",  # (멍; 멍; 멍; 멍; 멍; ) HANGUL SYLLABLE MEONG
      "\uBA4E",  # (멎; 멎; 멎; 멎; 멎; ) HANGUL SYLLABLE MEOJ
      "\uBA4F",  # (멏; 멏; 멏; 멏; 멏; ) HANGUL SYLLABLE MEOC
      "\uBA50",  # (멐; 멐; 멐; 멐; 멐; ) HANGUL SYLLABLE MEOK
      "\uBA51",  # (멑; 멑; 멑; 멑; 멑; ) HANGUL SYLLABLE MEOT
      "\uBA52",  # (멒; 멒; 멒; 멒; 멒; ) HANGUL SYLLABLE MEOP
      "\uBA53",  # (멓; 멓; 멓; 멓; 멓; ) HANGUL SYLLABLE MEOH
      "\uBA54",  # (메; 메; 메; 메; 메; ) HANGUL SYLLABLE ME
      "\uBA55",  # (멕; 멕; 멕; 멕; 멕; ) HANGUL SYLLABLE MEG
      "\uBA56",  # (멖; 멖; 멖; 멖; 멖; ) HANGUL SYLLABLE MEGG
      "\uBA57",  # (멗; 멗; 멗; 멗; 멗; ) HANGUL SYLLABLE MEGS
      "\uBA58",  # (멘; 멘; 멘; 멘; 멘; ) HANGUL SYLLABLE MEN
      "\uBA59",  # (멙; 멙; 멙; 멙; 멙; ) HANGUL SYLLABLE MENJ
      "\uBA5A",  # (멚; 멚; 멚; 멚; 멚; ) HANGUL SYLLABLE MENH
      "\uBA5B",  # (멛; 멛; 멛; 멛; 멛; ) HANGUL SYLLABLE MED
      "\uBA5C",  # (멜; 멜; 멜; 멜; 멜; ) HANGUL SYLLABLE MEL
      "\uBA5D",  # (멝; 멝; 멝; 멝; 멝; ) HANGUL SYLLABLE MELG
      "\uBA5E",  # (멞; 멞; 멞; 멞; 멞; ) HANGUL SYLLABLE MELM
      "\uBA5F",  # (멟; 멟; 멟; 멟; 멟; ) HANGUL SYLLABLE MELB
      "\uBA60",  # (멠; 멠; 멠; 멠; 멠; ) HANGUL SYLLABLE MELS
      "\uBA61",  # (멡; 멡; 멡; 멡; 멡; ) HANGUL SYLLABLE MELT
      "\uBA62",  # (멢; 멢; 멢; 멢; 멢; ) HANGUL SYLLABLE MELP
      "\uBA63",  # (멣; 멣; 멣; 멣; 멣; ) HANGUL SYLLABLE MELH
      "\uBA64",  # (멤; 멤; 멤; 멤; 멤; ) HANGUL SYLLABLE MEM
      "\uBA65",  # (멥; 멥; 멥; 멥; 멥; ) HANGUL SYLLABLE MEB
      "\uBA66",  # (멦; 멦; 멦; 멦; 멦; ) HANGUL SYLLABLE MEBS
      "\uBA67",  # (멧; 멧; 멧; 멧; 멧; ) HANGUL SYLLABLE MES
      "\uBA68",  # (멨; 멨; 멨; 멨; 멨; ) HANGUL SYLLABLE MESS
      "\uBA69",  # (멩; 멩; 멩; 멩; 멩; ) HANGUL SYLLABLE MENG
      "\uBA6A",  # (멪; 멪; 멪; 멪; 멪; ) HANGUL SYLLABLE MEJ
      "\uBA6B",  # (멫; 멫; 멫; 멫; 멫; ) HANGUL SYLLABLE MEC
      "\uBA6C",  # (멬; 멬; 멬; 멬; 멬; ) HANGUL SYLLABLE MEK
      "\uBA6D",  # (멭; 멭; 멭; 멭; 멭; ) HANGUL SYLLABLE MET
      "\uBA6E",  # (멮; 멮; 멮; 멮; 멮; ) HANGUL SYLLABLE MEP
      "\uBA6F",  # (멯; 멯; 멯; 멯; 멯; ) HANGUL SYLLABLE MEH
      "\uBA70",  # (며; 며; 며; 며; 며; ) HANGUL SYLLABLE MYEO
      "\uBA71",  # (멱; 멱; 멱; 멱; 멱; ) HANGUL SYLLABLE MYEOG
      "\uBA72",  # (멲; 멲; 멲; 멲; 멲; ) HANGUL SYLLABLE MYEOGG
      "\uBA73",  # (멳; 멳; 멳; 멳; 멳; ) HANGUL SYLLABLE MYEOGS
      "\uBA74",  # (면; 면; 면; 면; 면; ) HANGUL SYLLABLE MYEON
      "\uBA75",  # (멵; 멵; 멵; 멵; 멵; ) HANGUL SYLLABLE MYEONJ
      "\uBA76",  # (멶; 멶; 멶; 멶; 멶; ) HANGUL SYLLABLE MYEONH
      "\uBA77",  # (멷; 멷; 멷; 멷; 멷; ) HANGUL SYLLABLE MYEOD
      "\uBA78",  # (멸; 멸; 멸; 멸; 멸; ) HANGUL SYLLABLE MYEOL
      "\uBA79",  # (멹; 멹; 멹; 멹; 멹; ) HANGUL SYLLABLE MYEOLG
      "\uBA7A",  # (멺; 멺; 멺; 멺; 멺; ) HANGUL SYLLABLE MYEOLM
      "\uBA7B",  # (멻; 멻; 멻; 멻; 멻; ) HANGUL SYLLABLE MYEOLB
      "\uBA7C",  # (멼; 멼; 멼; 멼; 멼; ) HANGUL SYLLABLE MYEOLS
      "\uBA7D",  # (멽; 멽; 멽; 멽; 멽; ) HANGUL SYLLABLE MYEOLT
      "\uBA7E",  # (멾; 멾; 멾; 멾; 멾; ) HANGUL SYLLABLE MYEOLP
      "\uBA7F",  # (멿; 멿; 멿; 멿; 멿; ) HANGUL SYLLABLE MYEOLH
      "\uBA80",  # (몀; 몀; 몀; 몀; 몀; ) HANGUL SYLLABLE MYEOM
      "\uBA81",  # (몁; 몁; 몁; 몁; 몁; ) HANGUL SYLLABLE MYEOB
      "\uBA82",  # (몂; 몂; 몂; 몂; 몂; ) HANGUL SYLLABLE MYEOBS
      "\uBA83",  # (몃; 몃; 몃; 몃; 몃; ) HANGUL SYLLABLE MYEOS
      "\uBA84",  # (몄; 몄; 몄; 몄; 몄; ) HANGUL SYLLABLE MYEOSS
      "\uBA85",  # (명; 명; 명; 명; 명; ) HANGUL SYLLABLE MYEONG
      "\uBA86",  # (몆; 몆; 몆; 몆; 몆; ) HANGUL SYLLABLE MYEOJ
      "\uBA87",  # (몇; 몇; 몇; 몇; 몇; ) HANGUL SYLLABLE MYEOC
      "\uBA88",  # (몈; 몈; 몈; 몈; 몈; ) HANGUL SYLLABLE MYEOK
      "\uBA89",  # (몉; 몉; 몉; 몉; 몉; ) HANGUL SYLLABLE MYEOT
      "\uBA8A",  # (몊; 몊; 몊; 몊; 몊; ) HANGUL SYLLABLE MYEOP
      "\uBA8B",  # (몋; 몋; 몋; 몋; 몋; ) HANGUL SYLLABLE MYEOH
      "\uBA8C",  # (몌; 몌; 몌; 몌; 몌; ) HANGUL SYLLABLE MYE
      "\uBA8D",  # (몍; 몍; 몍; 몍; 몍; ) HANGUL SYLLABLE MYEG
      "\uBA8E",  # (몎; 몎; 몎; 몎; 몎; ) HANGUL SYLLABLE MYEGG
      "\uBA8F",  # (몏; 몏; 몏; 몏; 몏; ) HANGUL SYLLABLE MYEGS
      "\uBA90",  # (몐; 몐; 몐; 몐; 몐; ) HANGUL SYLLABLE MYEN
      "\uBA91",  # (몑; 몑; 몑; 몑; 몑; ) HANGUL SYLLABLE MYENJ
      "\uBA92",  # (몒; 몒; 몒; 몒; 몒; ) HANGUL SYLLABLE MYENH
      "\uBA93",  # (몓; 몓; 몓; 몓; 몓; ) HANGUL SYLLABLE MYED
      "\uBA94",  # (몔; 몔; 몔; 몔; 몔; ) HANGUL SYLLABLE MYEL
      "\uBA95",  # (몕; 몕; 몕; 몕; 몕; ) HANGUL SYLLABLE MYELG
      "\uBA96",  # (몖; 몖; 몖; 몖; 몖; ) HANGUL SYLLABLE MYELM
      "\uBA97",  # (몗; 몗; 몗; 몗; 몗; ) HANGUL SYLLABLE MYELB
      "\uBA98",  # (몘; 몘; 몘; 몘; 몘; ) HANGUL SYLLABLE MYELS
      "\uBA99",  # (몙; 몙; 몙; 몙; 몙; ) HANGUL SYLLABLE MYELT
      "\uBA9A",  # (몚; 몚; 몚; 몚; 몚; ) HANGUL SYLLABLE MYELP
      "\uBA9B",  # (몛; 몛; 몛; 몛; 몛; ) HANGUL SYLLABLE MYELH
      "\uBA9C",  # (몜; 몜; 몜; 몜; 몜; ) HANGUL SYLLABLE MYEM
      "\uBA9D",  # (몝; 몝; 몝; 몝; 몝; ) HANGUL SYLLABLE MYEB
      "\uBA9E",  # (몞; 몞; 몞; 몞; 몞; ) HANGUL SYLLABLE MYEBS
      "\uBA9F",  # (몟; 몟; 몟; 몟; 몟; ) HANGUL SYLLABLE MYES
      "\uBAA0",  # (몠; 몠; 몠; 몠; 몠; ) HANGUL SYLLABLE MYESS
      "\uBAA1",  # (몡; 몡; 몡; 몡; 몡; ) HANGUL SYLLABLE MYENG
      "\uBAA2",  # (몢; 몢; 몢; 몢; 몢; ) HANGUL SYLLABLE MYEJ
      "\uBAA3",  # (몣; 몣; 몣; 몣; 몣; ) HANGUL SYLLABLE MYEC
      "\uBAA4",  # (몤; 몤; 몤; 몤; 몤; ) HANGUL SYLLABLE MYEK
      "\uBAA5",  # (몥; 몥; 몥; 몥; 몥; ) HANGUL SYLLABLE MYET
      "\uBAA6",  # (몦; 몦; 몦; 몦; 몦; ) HANGUL SYLLABLE MYEP
      "\uBAA7",  # (몧; 몧; 몧; 몧; 몧; ) HANGUL SYLLABLE MYEH
      "\uBAA8",  # (모; 모; 모; 모; 모; ) HANGUL SYLLABLE MO
      "\uBAA9",  # (목; 목; 목; 목; 목; ) HANGUL SYLLABLE MOG
      "\uBAAA",  # (몪; 몪; 몪; 몪; 몪; ) HANGUL SYLLABLE MOGG
      "\uBAAB",  # (몫; 몫; 몫; 몫; 몫; ) HANGUL SYLLABLE MOGS
      "\uBAAC",  # (몬; 몬; 몬; 몬; 몬; ) HANGUL SYLLABLE MON
      "\uBAAD",  # (몭; 몭; 몭; 몭; 몭; ) HANGUL SYLLABLE MONJ
      "\uBAAE",  # (몮; 몮; 몮; 몮; 몮; ) HANGUL SYLLABLE MONH
      "\uBAAF",  # (몯; 몯; 몯; 몯; 몯; ) HANGUL SYLLABLE MOD
      "\uBAB0",  # (몰; 몰; 몰; 몰; 몰; ) HANGUL SYLLABLE MOL
      "\uBAB1",  # (몱; 몱; 몱; 몱; 몱; ) HANGUL SYLLABLE MOLG
      "\uBAB2",  # (몲; 몲; 몲; 몲; 몲; ) HANGUL SYLLABLE MOLM
      "\uBAB3",  # (몳; 몳; 몳; 몳; 몳; ) HANGUL SYLLABLE MOLB
      "\uBAB4",  # (몴; 몴; 몴; 몴; 몴; ) HANGUL SYLLABLE MOLS
      "\uBAB5",  # (몵; 몵; 몵; 몵; 몵; ) HANGUL SYLLABLE MOLT
      "\uBAB6",  # (몶; 몶; 몶; 몶; 몶; ) HANGUL SYLLABLE MOLP
      "\uBAB7",  # (몷; 몷; 몷; 몷; 몷; ) HANGUL SYLLABLE MOLH
      "\uBAB8",  # (몸; 몸; 몸; 몸; 몸; ) HANGUL SYLLABLE MOM
      "\uBAB9",  # (몹; 몹; 몹; 몹; 몹; ) HANGUL SYLLABLE MOB
      "\uBABA",  # (몺; 몺; 몺; 몺; 몺; ) HANGUL SYLLABLE MOBS
      "\uBABB",  # (못; 못; 못; 못; 못; ) HANGUL SYLLABLE MOS
      "\uBABC",  # (몼; 몼; 몼; 몼; 몼; ) HANGUL SYLLABLE MOSS
      "\uBABD",  # (몽; 몽; 몽; 몽; 몽; ) HANGUL SYLLABLE MONG
      "\uBABE",  # (몾; 몾; 몾; 몾; 몾; ) HANGUL SYLLABLE MOJ
      "\uBABF",  # (몿; 몿; 몿; 몿; 몿; ) HANGUL SYLLABLE MOC
      "\uBAC0",  # (뫀; 뫀; 뫀; 뫀; 뫀; ) HANGUL SYLLABLE MOK
      "\uBAC1",  # (뫁; 뫁; 뫁; 뫁; 뫁; ) HANGUL SYLLABLE MOT
      "\uBAC2",  # (뫂; 뫂; 뫂; 뫂; 뫂; ) HANGUL SYLLABLE MOP
      "\uBAC3",  # (뫃; 뫃; 뫃; 뫃; 뫃; ) HANGUL SYLLABLE MOH
      "\uBAC4",  # (뫄; 뫄; 뫄; 뫄; 뫄; ) HANGUL SYLLABLE MWA
      "\uBAC5",  # (뫅; 뫅; 뫅; 뫅; 뫅; ) HANGUL SYLLABLE MWAG
      "\uBAC6",  # (뫆; 뫆; 뫆; 뫆; 뫆; ) HANGUL SYLLABLE MWAGG
      "\uBAC7",  # (뫇; 뫇; 뫇; 뫇; 뫇; ) HANGUL SYLLABLE MWAGS
      "\uBAC8",  # (뫈; 뫈; 뫈; 뫈; 뫈; ) HANGUL SYLLABLE MWAN
      "\uBAC9",  # (뫉; 뫉; 뫉; 뫉; 뫉; ) HANGUL SYLLABLE MWANJ
      "\uBACA",  # (뫊; 뫊; 뫊; 뫊; 뫊; ) HANGUL SYLLABLE MWANH
      "\uBACB",  # (뫋; 뫋; 뫋; 뫋; 뫋; ) HANGUL SYLLABLE MWAD
      "\uBACC",  # (뫌; 뫌; 뫌; 뫌; 뫌; ) HANGUL SYLLABLE MWAL
      "\uBACD",  # (뫍; 뫍; 뫍; 뫍; 뫍; ) HANGUL SYLLABLE MWALG
      "\uBACE",  # (뫎; 뫎; 뫎; 뫎; 뫎; ) HANGUL SYLLABLE MWALM
      "\uBACF",  # (뫏; 뫏; 뫏; 뫏; 뫏; ) HANGUL SYLLABLE MWALB
      "\uBAD0",  # (뫐; 뫐; 뫐; 뫐; 뫐; ) HANGUL SYLLABLE MWALS
      "\uBAD1",  # (뫑; 뫑; 뫑; 뫑; 뫑; ) HANGUL SYLLABLE MWALT
      "\uBAD2",  # (뫒; 뫒; 뫒; 뫒; 뫒; ) HANGUL SYLLABLE MWALP
      "\uBAD3",  # (뫓; 뫓; 뫓; 뫓; 뫓; ) HANGUL SYLLABLE MWALH
      "\uBAD4",  # (뫔; 뫔; 뫔; 뫔; 뫔; ) HANGUL SYLLABLE MWAM
      "\uBAD5",  # (뫕; 뫕; 뫕; 뫕; 뫕; ) HANGUL SYLLABLE MWAB
      "\uBAD6",  # (뫖; 뫖; 뫖; 뫖; 뫖; ) HANGUL SYLLABLE MWABS
      "\uBAD7",  # (뫗; 뫗; 뫗; 뫗; 뫗; ) HANGUL SYLLABLE MWAS
      "\uBAD8",  # (뫘; 뫘; 뫘; 뫘; 뫘; ) HANGUL SYLLABLE MWASS
      "\uBAD9",  # (뫙; 뫙; 뫙; 뫙; 뫙; ) HANGUL SYLLABLE MWANG
      "\uBADA",  # (뫚; 뫚; 뫚; 뫚; 뫚; ) HANGUL SYLLABLE MWAJ
      "\uBADB",  # (뫛; 뫛; 뫛; 뫛; 뫛; ) HANGUL SYLLABLE MWAC
      "\uBADC",  # (뫜; 뫜; 뫜; 뫜; 뫜; ) HANGUL SYLLABLE MWAK
      "\uBADD",  # (뫝; 뫝; 뫝; 뫝; 뫝; ) HANGUL SYLLABLE MWAT
      "\uBADE",  # (뫞; 뫞; 뫞; 뫞; 뫞; ) HANGUL SYLLABLE MWAP
      "\uBADF",  # (뫟; 뫟; 뫟; 뫟; 뫟; ) HANGUL SYLLABLE MWAH
      "\uBAE0",  # (뫠; 뫠; 뫠; 뫠; 뫠; ) HANGUL SYLLABLE MWAE
      "\uBAE1",  # (뫡; 뫡; 뫡; 뫡; 뫡; ) HANGUL SYLLABLE MWAEG
      "\uBAE2",  # (뫢; 뫢; 뫢; 뫢; 뫢; ) HANGUL SYLLABLE MWAEGG
      "\uBAE3",  # (뫣; 뫣; 뫣; 뫣; 뫣; ) HANGUL SYLLABLE MWAEGS
      "\uBAE4",  # (뫤; 뫤; 뫤; 뫤; 뫤; ) HANGUL SYLLABLE MWAEN
      "\uBAE5",  # (뫥; 뫥; 뫥; 뫥; 뫥; ) HANGUL SYLLABLE MWAENJ
      "\uBAE6",  # (뫦; 뫦; 뫦; 뫦; 뫦; ) HANGUL SYLLABLE MWAENH
      "\uBAE7",  # (뫧; 뫧; 뫧; 뫧; 뫧; ) HANGUL SYLLABLE MWAED
      "\uBAE8",  # (뫨; 뫨; 뫨; 뫨; 뫨; ) HANGUL SYLLABLE MWAEL
      "\uBAE9",  # (뫩; 뫩; 뫩; 뫩; 뫩; ) HANGUL SYLLABLE MWAELG
      "\uBAEA",  # (뫪; 뫪; 뫪; 뫪; 뫪; ) HANGUL SYLLABLE MWAELM
      "\uBAEB",  # (뫫; 뫫; 뫫; 뫫; 뫫; ) HANGUL SYLLABLE MWAELB
      "\uBAEC",  # (뫬; 뫬; 뫬; 뫬; 뫬; ) HANGUL SYLLABLE MWAELS
      "\uBAED",  # (뫭; 뫭; 뫭; 뫭; 뫭; ) HANGUL SYLLABLE MWAELT
      "\uBAEE",  # (뫮; 뫮; 뫮; 뫮; 뫮; ) HANGUL SYLLABLE MWAELP
      "\uBAEF",  # (뫯; 뫯; 뫯; 뫯; 뫯; ) HANGUL SYLLABLE MWAELH
      "\uBAF0",  # (뫰; 뫰; 뫰; 뫰; 뫰; ) HANGUL SYLLABLE MWAEM
      "\uBAF1",  # (뫱; 뫱; 뫱; 뫱; 뫱; ) HANGUL SYLLABLE MWAEB
      "\uBAF2",  # (뫲; 뫲; 뫲; 뫲; 뫲; ) HANGUL SYLLABLE MWAEBS
      "\uBAF3",  # (뫳; 뫳; 뫳; 뫳; 뫳; ) HANGUL SYLLABLE MWAES
      "\uBAF4",  # (뫴; 뫴; 뫴; 뫴; 뫴; ) HANGUL SYLLABLE MWAESS
      "\uBAF5",  # (뫵; 뫵; 뫵; 뫵; 뫵; ) HANGUL SYLLABLE MWAENG
      "\uBAF6",  # (뫶; 뫶; 뫶; 뫶; 뫶; ) HANGUL SYLLABLE MWAEJ
      "\uBAF7",  # (뫷; 뫷; 뫷; 뫷; 뫷; ) HANGUL SYLLABLE MWAEC
      "\uBAF8",  # (뫸; 뫸; 뫸; 뫸; 뫸; ) HANGUL SYLLABLE MWAEK
      "\uBAF9",  # (뫹; 뫹; 뫹; 뫹; 뫹; ) HANGUL SYLLABLE MWAET
      "\uBAFA",  # (뫺; 뫺; 뫺; 뫺; 뫺; ) HANGUL SYLLABLE MWAEP
      "\uBAFB",  # (뫻; 뫻; 뫻; 뫻; 뫻; ) HANGUL SYLLABLE MWAEH
      "\uBAFC",  # (뫼; 뫼; 뫼; 뫼; 뫼; ) HANGUL SYLLABLE MOE
      "\uBAFD",  # (뫽; 뫽; 뫽; 뫽; 뫽; ) HANGUL SYLLABLE MOEG
      "\uBAFE",  # (뫾; 뫾; 뫾; 뫾; 뫾; ) HANGUL SYLLABLE MOEGG
      "\uBAFF",  # (뫿; 뫿; 뫿; 뫿; 뫿; ) HANGUL SYLLABLE MOEGS
      "\uBB00",  # (묀; 묀; 묀; 묀; 묀; ) HANGUL SYLLABLE MOEN
      "\uBB01",  # (묁; 묁; 묁; 묁; 묁; ) HANGUL SYLLABLE MOENJ
      "\uBB02",  # (묂; 묂; 묂; 묂; 묂; ) HANGUL SYLLABLE MOENH
      "\uBB03",  # (묃; 묃; 묃; 묃; 묃; ) HANGUL SYLLABLE MOED
      "\uBB04",  # (묄; 묄; 묄; 묄; 묄; ) HANGUL SYLLABLE MOEL
      "\uBB05",  # (묅; 묅; 묅; 묅; 묅; ) HANGUL SYLLABLE MOELG
      "\uBB06",  # (묆; 묆; 묆; 묆; 묆; ) HANGUL SYLLABLE MOELM
      "\uBB07",  # (묇; 묇; 묇; 묇; 묇; ) HANGUL SYLLABLE MOELB
      "\uBB08",  # (묈; 묈; 묈; 묈; 묈; ) HANGUL SYLLABLE MOELS
      "\uBB09",  # (묉; 묉; 묉; 묉; 묉; ) HANGUL SYLLABLE MOELT
      "\uBB0A",  # (묊; 묊; 묊; 묊; 묊; ) HANGUL SYLLABLE MOELP
      "\uBB0B",  # (묋; 묋; 묋; 묋; 묋; ) HANGUL SYLLABLE MOELH
      "\uBB0C",  # (묌; 묌; 묌; 묌; 묌; ) HANGUL SYLLABLE MOEM
      "\uBB0D",  # (묍; 묍; 묍; 묍; 묍; ) HANGUL SYLLABLE MOEB
      "\uBB0E",  # (묎; 묎; 묎; 묎; 묎; ) HANGUL SYLLABLE MOEBS
      "\uBB0F",  # (묏; 묏; 묏; 묏; 묏; ) HANGUL SYLLABLE MOES
      "\uBB10",  # (묐; 묐; 묐; 묐; 묐; ) HANGUL SYLLABLE MOESS
      "\uBB11",  # (묑; 묑; 묑; 묑; 묑; ) HANGUL SYLLABLE MOENG
      "\uBB12",  # (묒; 묒; 묒; 묒; 묒; ) HANGUL SYLLABLE MOEJ
      "\uBB13",  # (묓; 묓; 묓; 묓; 묓; ) HANGUL SYLLABLE MOEC
      "\uBB14",  # (묔; 묔; 묔; 묔; 묔; ) HANGUL SYLLABLE MOEK
      "\uBB15",  # (묕; 묕; 묕; 묕; 묕; ) HANGUL SYLLABLE MOET
      "\uBB16",  # (묖; 묖; 묖; 묖; 묖; ) HANGUL SYLLABLE MOEP
      "\uBB17",  # (묗; 묗; 묗; 묗; 묗; ) HANGUL SYLLABLE MOEH
      "\uBB18",  # (묘; 묘; 묘; 묘; 묘; ) HANGUL SYLLABLE MYO
      "\uBB19",  # (묙; 묙; 묙; 묙; 묙; ) HANGUL SYLLABLE MYOG
      "\uBB1A",  # (묚; 묚; 묚; 묚; 묚; ) HANGUL SYLLABLE MYOGG
      "\uBB1B",  # (묛; 묛; 묛; 묛; 묛; ) HANGUL SYLLABLE MYOGS
      "\uBB1C",  # (묜; 묜; 묜; 묜; 묜; ) HANGUL SYLLABLE MYON
      "\uBB1D",  # (묝; 묝; 묝; 묝; 묝; ) HANGUL SYLLABLE MYONJ
      "\uBB1E",  # (묞; 묞; 묞; 묞; 묞; ) HANGUL SYLLABLE MYONH
      "\uBB1F",  # (묟; 묟; 묟; 묟; 묟; ) HANGUL SYLLABLE MYOD
      "\uBB20",  # (묠; 묠; 묠; 묠; 묠; ) HANGUL SYLLABLE MYOL
      "\uBB21",  # (묡; 묡; 묡; 묡; 묡; ) HANGUL SYLLABLE MYOLG
      "\uBB22",  # (묢; 묢; 묢; 묢; 묢; ) HANGUL SYLLABLE MYOLM
      "\uBB23",  # (묣; 묣; 묣; 묣; 묣; ) HANGUL SYLLABLE MYOLB
      "\uBB24",  # (묤; 묤; 묤; 묤; 묤; ) HANGUL SYLLABLE MYOLS
      "\uBB25",  # (묥; 묥; 묥; 묥; 묥; ) HANGUL SYLLABLE MYOLT
      "\uBB26",  # (묦; 묦; 묦; 묦; 묦; ) HANGUL SYLLABLE MYOLP
      "\uBB27",  # (묧; 묧; 묧; 묧; 묧; ) HANGUL SYLLABLE MYOLH
      "\uBB28",  # (묨; 묨; 묨; 묨; 묨; ) HANGUL SYLLABLE MYOM
      "\uBB29",  # (묩; 묩; 묩; 묩; 묩; ) HANGUL SYLLABLE MYOB
      "\uBB2A",  # (묪; 묪; 묪; 묪; 묪; ) HANGUL SYLLABLE MYOBS
      "\uBB2B",  # (묫; 묫; 묫; 묫; 묫; ) HANGUL SYLLABLE MYOS
      "\uBB2C",  # (묬; 묬; 묬; 묬; 묬; ) HANGUL SYLLABLE MYOSS
      "\uBB2D",  # (묭; 묭; 묭; 묭; 묭; ) HANGUL SYLLABLE MYONG
      "\uBB2E",  # (묮; 묮; 묮; 묮; 묮; ) HANGUL SYLLABLE MYOJ
      "\uBB2F",  # (묯; 묯; 묯; 묯; 묯; ) HANGUL SYLLABLE MYOC
      "\uBB30",  # (묰; 묰; 묰; 묰; 묰; ) HANGUL SYLLABLE MYOK
      "\uBB31",  # (묱; 묱; 묱; 묱; 묱; ) HANGUL SYLLABLE MYOT
      "\uBB32",  # (묲; 묲; 묲; 묲; 묲; ) HANGUL SYLLABLE MYOP
      "\uBB33",  # (묳; 묳; 묳; 묳; 묳; ) HANGUL SYLLABLE MYOH
      "\uBB34",  # (무; 무; 무; 무; 무; ) HANGUL SYLLABLE MU
      "\uBB35",  # (묵; 묵; 묵; 묵; 묵; ) HANGUL SYLLABLE MUG
      "\uBB36",  # (묶; 묶; 묶; 묶; 묶; ) HANGUL SYLLABLE MUGG
      "\uBB37",  # (묷; 묷; 묷; 묷; 묷; ) HANGUL SYLLABLE MUGS
      "\uBB38",  # (문; 문; 문; 문; 문; ) HANGUL SYLLABLE MUN
      "\uBB39",  # (묹; 묹; 묹; 묹; 묹; ) HANGUL SYLLABLE MUNJ
      "\uBB3A",  # (묺; 묺; 묺; 묺; 묺; ) HANGUL SYLLABLE MUNH
      "\uBB3B",  # (묻; 묻; 묻; 묻; 묻; ) HANGUL SYLLABLE MUD
      "\uBB3C",  # (물; 물; 물; 물; 물; ) HANGUL SYLLABLE MUL
      "\uBB3D",  # (묽; 묽; 묽; 묽; 묽; ) HANGUL SYLLABLE MULG
      "\uBB3E",  # (묾; 묾; 묾; 묾; 묾; ) HANGUL SYLLABLE MULM
      "\uBB3F",  # (묿; 묿; 묿; 묿; 묿; ) HANGUL SYLLABLE MULB
      "\uBB40",  # (뭀; 뭀; 뭀; 뭀; 뭀; ) HANGUL SYLLABLE MULS
      "\uBB41",  # (뭁; 뭁; 뭁; 뭁; 뭁; ) HANGUL SYLLABLE MULT
      "\uBB42",  # (뭂; 뭂; 뭂; 뭂; 뭂; ) HANGUL SYLLABLE MULP
      "\uBB43",  # (뭃; 뭃; 뭃; 뭃; 뭃; ) HANGUL SYLLABLE MULH
      "\uBB44",  # (뭄; 뭄; 뭄; 뭄; 뭄; ) HANGUL SYLLABLE MUM
      "\uBB45",  # (뭅; 뭅; 뭅; 뭅; 뭅; ) HANGUL SYLLABLE MUB
      "\uBB46",  # (뭆; 뭆; 뭆; 뭆; 뭆; ) HANGUL SYLLABLE MUBS
      "\uBB47",  # (뭇; 뭇; 뭇; 뭇; 뭇; ) HANGUL SYLLABLE MUS
      "\uBB48",  # (뭈; 뭈; 뭈; 뭈; 뭈; ) HANGUL SYLLABLE MUSS
      "\uBB49",  # (뭉; 뭉; 뭉; 뭉; 뭉; ) HANGUL SYLLABLE MUNG
      "\uBB4A",  # (뭊; 뭊; 뭊; 뭊; 뭊; ) HANGUL SYLLABLE MUJ
      "\uBB4B",  # (뭋; 뭋; 뭋; 뭋; 뭋; ) HANGUL SYLLABLE MUC
      "\uBB4C",  # (뭌; 뭌; 뭌; 뭌; 뭌; ) HANGUL SYLLABLE MUK
      "\uBB4D",  # (뭍; 뭍; 뭍; 뭍; 뭍; ) HANGUL SYLLABLE MUT
      "\uBB4E",  # (뭎; 뭎; 뭎; 뭎; 뭎; ) HANGUL SYLLABLE MUP
      "\uBB4F",  # (뭏; 뭏; 뭏; 뭏; 뭏; ) HANGUL SYLLABLE MUH
      "\uBB50",  # (뭐; 뭐; 뭐; 뭐; 뭐; ) HANGUL SYLLABLE MWEO
      "\uBB51",  # (뭑; 뭑; 뭑; 뭑; 뭑; ) HANGUL SYLLABLE MWEOG
      "\uBB52",  # (뭒; 뭒; 뭒; 뭒; 뭒; ) HANGUL SYLLABLE MWEOGG
      "\uBB53",  # (뭓; 뭓; 뭓; 뭓; 뭓; ) HANGUL SYLLABLE MWEOGS
      "\uBB54",  # (뭔; 뭔; 뭔; 뭔; 뭔; ) HANGUL SYLLABLE MWEON
      "\uBB55",  # (뭕; 뭕; 뭕; 뭕; 뭕; ) HANGUL SYLLABLE MWEONJ
      "\uBB56",  # (뭖; 뭖; 뭖; 뭖; 뭖; ) HANGUL SYLLABLE MWEONH
      "\uBB57",  # (뭗; 뭗; 뭗; 뭗; 뭗; ) HANGUL SYLLABLE MWEOD
      "\uBB58",  # (뭘; 뭘; 뭘; 뭘; 뭘; ) HANGUL SYLLABLE MWEOL
      "\uBB59",  # (뭙; 뭙; 뭙; 뭙; 뭙; ) HANGUL SYLLABLE MWEOLG
      "\uBB5A",  # (뭚; 뭚; 뭚; 뭚; 뭚; ) HANGUL SYLLABLE MWEOLM
      "\uBB5B",  # (뭛; 뭛; 뭛; 뭛; 뭛; ) HANGUL SYLLABLE MWEOLB
      "\uBB5C",  # (뭜; 뭜; 뭜; 뭜; 뭜; ) HANGUL SYLLABLE MWEOLS
      "\uBB5D",  # (뭝; 뭝; 뭝; 뭝; 뭝; ) HANGUL SYLLABLE MWEOLT
      "\uBB5E",  # (뭞; 뭞; 뭞; 뭞; 뭞; ) HANGUL SYLLABLE MWEOLP
      "\uBB5F",  # (뭟; 뭟; 뭟; 뭟; 뭟; ) HANGUL SYLLABLE MWEOLH
      "\uBB60",  # (뭠; 뭠; 뭠; 뭠; 뭠; ) HANGUL SYLLABLE MWEOM
      "\uBB61",  # (뭡; 뭡; 뭡; 뭡; 뭡; ) HANGUL SYLLABLE MWEOB
      "\uBB62",  # (뭢; 뭢; 뭢; 뭢; 뭢; ) HANGUL SYLLABLE MWEOBS
      "\uBB63",  # (뭣; 뭣; 뭣; 뭣; 뭣; ) HANGUL SYLLABLE MWEOS
      "\uBB64",  # (뭤; 뭤; 뭤; 뭤; 뭤; ) HANGUL SYLLABLE MWEOSS
      "\uBB65",  # (뭥; 뭥; 뭥; 뭥; 뭥; ) HANGUL SYLLABLE MWEONG
      "\uBB66",  # (뭦; 뭦; 뭦; 뭦; 뭦; ) HANGUL SYLLABLE MWEOJ
      "\uBB67",  # (뭧; 뭧; 뭧; 뭧; 뭧; ) HANGUL SYLLABLE MWEOC
      "\uBB68",  # (뭨; 뭨; 뭨; 뭨; 뭨; ) HANGUL SYLLABLE MWEOK
      "\uBB69",  # (뭩; 뭩; 뭩; 뭩; 뭩; ) HANGUL SYLLABLE MWEOT
      "\uBB6A",  # (뭪; 뭪; 뭪; 뭪; 뭪; ) HANGUL SYLLABLE MWEOP
      "\uBB6B",  # (뭫; 뭫; 뭫; 뭫; 뭫; ) HANGUL SYLLABLE MWEOH
      "\uBB6C",  # (뭬; 뭬; 뭬; 뭬; 뭬; ) HANGUL SYLLABLE MWE
      "\uBB6D",  # (뭭; 뭭; 뭭; 뭭; 뭭; ) HANGUL SYLLABLE MWEG
      "\uBB6E",  # (뭮; 뭮; 뭮; 뭮; 뭮; ) HANGUL SYLLABLE MWEGG
      "\uBB6F",  # (뭯; 뭯; 뭯; 뭯; 뭯; ) HANGUL SYLLABLE MWEGS
      "\uBB70",  # (뭰; 뭰; 뭰; 뭰; 뭰; ) HANGUL SYLLABLE MWEN
      "\uBB71",  # (뭱; 뭱; 뭱; 뭱; 뭱; ) HANGUL SYLLABLE MWENJ
      "\uBB72",  # (뭲; 뭲; 뭲; 뭲; 뭲; ) HANGUL SYLLABLE MWENH
      "\uBB73",  # (뭳; 뭳; 뭳; 뭳; 뭳; ) HANGUL SYLLABLE MWED
      "\uBB74",  # (뭴; 뭴; 뭴; 뭴; 뭴; ) HANGUL SYLLABLE MWEL
      "\uBB75",  # (뭵; 뭵; 뭵; 뭵; 뭵; ) HANGUL SYLLABLE MWELG
      "\uBB76",  # (뭶; 뭶; 뭶; 뭶; 뭶; ) HANGUL SYLLABLE MWELM
      "\uBB77",  # (뭷; 뭷; 뭷; 뭷; 뭷; ) HANGUL SYLLABLE MWELB
      "\uBB78",  # (뭸; 뭸; 뭸; 뭸; 뭸; ) HANGUL SYLLABLE MWELS
      "\uBB79",  # (뭹; 뭹; 뭹; 뭹; 뭹; ) HANGUL SYLLABLE MWELT
      "\uBB7A",  # (뭺; 뭺; 뭺; 뭺; 뭺; ) HANGUL SYLLABLE MWELP
      "\uBB7B",  # (뭻; 뭻; 뭻; 뭻; 뭻; ) HANGUL SYLLABLE MWELH
      "\uBB7C",  # (뭼; 뭼; 뭼; 뭼; 뭼; ) HANGUL SYLLABLE MWEM
      "\uBB7D",  # (뭽; 뭽; 뭽; 뭽; 뭽; ) HANGUL SYLLABLE MWEB
      "\uBB7E",  # (뭾; 뭾; 뭾; 뭾; 뭾; ) HANGUL SYLLABLE MWEBS
      "\uBB7F",  # (뭿; 뭿; 뭿; 뭿; 뭿; ) HANGUL SYLLABLE MWES
      "\uBB80",  # (뮀; 뮀; 뮀; 뮀; 뮀; ) HANGUL SYLLABLE MWESS
      "\uBB81",  # (뮁; 뮁; 뮁; 뮁; 뮁; ) HANGUL SYLLABLE MWENG
      "\uBB82",  # (뮂; 뮂; 뮂; 뮂; 뮂; ) HANGUL SYLLABLE MWEJ
      "\uBB83",  # (뮃; 뮃; 뮃; 뮃; 뮃; ) HANGUL SYLLABLE MWEC
      "\uBB84",  # (뮄; 뮄; 뮄; 뮄; 뮄; ) HANGUL SYLLABLE MWEK
      "\uBB85",  # (뮅; 뮅; 뮅; 뮅; 뮅; ) HANGUL SYLLABLE MWET
      "\uBB86",  # (뮆; 뮆; 뮆; 뮆; 뮆; ) HANGUL SYLLABLE MWEP
      "\uBB87",  # (뮇; 뮇; 뮇; 뮇; 뮇; ) HANGUL SYLLABLE MWEH
      "\uBB88",  # (뮈; 뮈; 뮈; 뮈; 뮈; ) HANGUL SYLLABLE MWI
      "\uBB89",  # (뮉; 뮉; 뮉; 뮉; 뮉; ) HANGUL SYLLABLE MWIG
      "\uBB8A",  # (뮊; 뮊; 뮊; 뮊; 뮊; ) HANGUL SYLLABLE MWIGG
      "\uBB8B",  # (뮋; 뮋; 뮋; 뮋; 뮋; ) HANGUL SYLLABLE MWIGS
      "\uBB8C",  # (뮌; 뮌; 뮌; 뮌; 뮌; ) HANGUL SYLLABLE MWIN
      "\uBB8D",  # (뮍; 뮍; 뮍; 뮍; 뮍; ) HANGUL SYLLABLE MWINJ
      "\uBB8E",  # (뮎; 뮎; 뮎; 뮎; 뮎; ) HANGUL SYLLABLE MWINH
      "\uBB8F",  # (뮏; 뮏; 뮏; 뮏; 뮏; ) HANGUL SYLLABLE MWID
      "\uBB90",  # (뮐; 뮐; 뮐; 뮐; 뮐; ) HANGUL SYLLABLE MWIL
      "\uBB91",  # (뮑; 뮑; 뮑; 뮑; 뮑; ) HANGUL SYLLABLE MWILG
      "\uBB92",  # (뮒; 뮒; 뮒; 뮒; 뮒; ) HANGUL SYLLABLE MWILM
      "\uBB93",  # (뮓; 뮓; 뮓; 뮓; 뮓; ) HANGUL SYLLABLE MWILB
      "\uBB94",  # (뮔; 뮔; 뮔; 뮔; 뮔; ) HANGUL SYLLABLE MWILS
      "\uBB95",  # (뮕; 뮕; 뮕; 뮕; 뮕; ) HANGUL SYLLABLE MWILT
      "\uBB96",  # (뮖; 뮖; 뮖; 뮖; 뮖; ) HANGUL SYLLABLE MWILP
      "\uBB97",  # (뮗; 뮗; 뮗; 뮗; 뮗; ) HANGUL SYLLABLE MWILH
      "\uBB98",  # (뮘; 뮘; 뮘; 뮘; 뮘; ) HANGUL SYLLABLE MWIM
      "\uBB99",  # (뮙; 뮙; 뮙; 뮙; 뮙; ) HANGUL SYLLABLE MWIB
      "\uBB9A",  # (뮚; 뮚; 뮚; 뮚; 뮚; ) HANGUL SYLLABLE MWIBS
      "\uBB9B",  # (뮛; 뮛; 뮛; 뮛; 뮛; ) HANGUL SYLLABLE MWIS
      "\uBB9C",  # (뮜; 뮜; 뮜; 뮜; 뮜; ) HANGUL SYLLABLE MWISS
      "\uBB9D",  # (뮝; 뮝; 뮝; 뮝; 뮝; ) HANGUL SYLLABLE MWING
      "\uBB9E",  # (뮞; 뮞; 뮞; 뮞; 뮞; ) HANGUL SYLLABLE MWIJ
      "\uBB9F",  # (뮟; 뮟; 뮟; 뮟; 뮟; ) HANGUL SYLLABLE MWIC
      "\uBBA0",  # (뮠; 뮠; 뮠; 뮠; 뮠; ) HANGUL SYLLABLE MWIK
      "\uBBA1",  # (뮡; 뮡; 뮡; 뮡; 뮡; ) HANGUL SYLLABLE MWIT
      "\uBBA2",  # (뮢; 뮢; 뮢; 뮢; 뮢; ) HANGUL SYLLABLE MWIP
      "\uBBA3",  # (뮣; 뮣; 뮣; 뮣; 뮣; ) HANGUL SYLLABLE MWIH
      "\uBBA4",  # (뮤; 뮤; 뮤; 뮤; 뮤; ) HANGUL SYLLABLE MYU
      "\uBBA5",  # (뮥; 뮥; 뮥; 뮥; 뮥; ) HANGUL SYLLABLE MYUG
      "\uBBA6",  # (뮦; 뮦; 뮦; 뮦; 뮦; ) HANGUL SYLLABLE MYUGG
      "\uBBA7",  # (뮧; 뮧; 뮧; 뮧; 뮧; ) HANGUL SYLLABLE MYUGS
      "\uBBA8",  # (뮨; 뮨; 뮨; 뮨; 뮨; ) HANGUL SYLLABLE MYUN
      "\uBBA9",  # (뮩; 뮩; 뮩; 뮩; 뮩; ) HANGUL SYLLABLE MYUNJ
      "\uBBAA",  # (뮪; 뮪; 뮪; 뮪; 뮪; ) HANGUL SYLLABLE MYUNH
      "\uBBAB",  # (뮫; 뮫; 뮫; 뮫; 뮫; ) HANGUL SYLLABLE MYUD
      "\uBBAC",  # (뮬; 뮬; 뮬; 뮬; 뮬; ) HANGUL SYLLABLE MYUL
      "\uBBAD",  # (뮭; 뮭; 뮭; 뮭; 뮭; ) HANGUL SYLLABLE MYULG
      "\uBBAE",  # (뮮; 뮮; 뮮; 뮮; 뮮; ) HANGUL SYLLABLE MYULM
      "\uBBAF",  # (뮯; 뮯; 뮯; 뮯; 뮯; ) HANGUL SYLLABLE MYULB
      "\uBBB0",  # (뮰; 뮰; 뮰; 뮰; 뮰; ) HANGUL SYLLABLE MYULS
      "\uBBB1",  # (뮱; 뮱; 뮱; 뮱; 뮱; ) HANGUL SYLLABLE MYULT
      "\uBBB2",  # (뮲; 뮲; 뮲; 뮲; 뮲; ) HANGUL SYLLABLE MYULP
      "\uBBB3",  # (뮳; 뮳; 뮳; 뮳; 뮳; ) HANGUL SYLLABLE MYULH
      "\uBBB4",  # (뮴; 뮴; 뮴; 뮴; 뮴; ) HANGUL SYLLABLE MYUM
      "\uBBB5",  # (뮵; 뮵; 뮵; 뮵; 뮵; ) HANGUL SYLLABLE MYUB
      "\uBBB6",  # (뮶; 뮶; 뮶; 뮶; 뮶; ) HANGUL SYLLABLE MYUBS
      "\uBBB7",  # (뮷; 뮷; 뮷; 뮷; 뮷; ) HANGUL SYLLABLE MYUS
      "\uBBB8",  # (뮸; 뮸; 뮸; 뮸; 뮸; ) HANGUL SYLLABLE MYUSS
      "\uBBB9",  # (뮹; 뮹; 뮹; 뮹; 뮹; ) HANGUL SYLLABLE MYUNG
      "\uBBBA",  # (뮺; 뮺; 뮺; 뮺; 뮺; ) HANGUL SYLLABLE MYUJ
      "\uBBBB",  # (뮻; 뮻; 뮻; 뮻; 뮻; ) HANGUL SYLLABLE MYUC
      "\uBBBC",  # (뮼; 뮼; 뮼; 뮼; 뮼; ) HANGUL SYLLABLE MYUK
      "\uBBBD",  # (뮽; 뮽; 뮽; 뮽; 뮽; ) HANGUL SYLLABLE MYUT
      "\uBBBE",  # (뮾; 뮾; 뮾; 뮾; 뮾; ) HANGUL SYLLABLE MYUP
      "\uBBBF",  # (뮿; 뮿; 뮿; 뮿; 뮿; ) HANGUL SYLLABLE MYUH
      "\uBBC0",  # (므; 므; 므; 므; 므; ) HANGUL SYLLABLE MEU
      "\uBBC1",  # (믁; 믁; 믁; 믁; 믁; ) HANGUL SYLLABLE MEUG
      "\uBBC2",  # (믂; 믂; 믂; 믂; 믂; ) HANGUL SYLLABLE MEUGG
      "\uBBC3",  # (믃; 믃; 믃; 믃; 믃; ) HANGUL SYLLABLE MEUGS
      "\uBBC4",  # (믄; 믄; 믄; 믄; 믄; ) HANGUL SYLLABLE MEUN
      "\uBBC5",  # (믅; 믅; 믅; 믅; 믅; ) HANGUL SYLLABLE MEUNJ
      "\uBBC6",  # (믆; 믆; 믆; 믆; 믆; ) HANGUL SYLLABLE MEUNH
      "\uBBC7",  # (믇; 믇; 믇; 믇; 믇; ) HANGUL SYLLABLE MEUD
      "\uBBC8",  # (믈; 믈; 믈; 믈; 믈; ) HANGUL SYLLABLE MEUL
      "\uBBC9",  # (믉; 믉; 믉; 믉; 믉; ) HANGUL SYLLABLE MEULG
      "\uBBCA",  # (믊; 믊; 믊; 믊; 믊; ) HANGUL SYLLABLE MEULM
      "\uBBCB",  # (믋; 믋; 믋; 믋; 믋; ) HANGUL SYLLABLE MEULB
      "\uBBCC",  # (믌; 믌; 믌; 믌; 믌; ) HANGUL SYLLABLE MEULS
      "\uBBCD",  # (믍; 믍; 믍; 믍; 믍; ) HANGUL SYLLABLE MEULT
      "\uBBCE",  # (믎; 믎; 믎; 믎; 믎; ) HANGUL SYLLABLE MEULP
      "\uBBCF",  # (믏; 믏; 믏; 믏; 믏; ) HANGUL SYLLABLE MEULH
      "\uBBD0",  # (믐; 믐; 믐; 믐; 믐; ) HANGUL SYLLABLE MEUM
      "\uBBD1",  # (믑; 믑; 믑; 믑; 믑; ) HANGUL SYLLABLE MEUB
      "\uBBD2",  # (믒; 믒; 믒; 믒; 믒; ) HANGUL SYLLABLE MEUBS
      "\uBBD3",  # (믓; 믓; 믓; 믓; 믓; ) HANGUL SYLLABLE MEUS
      "\uBBD4",  # (믔; 믔; 믔; 믔; 믔; ) HANGUL SYLLABLE MEUSS
      "\uBBD5",  # (믕; 믕; 믕; 믕; 믕; ) HANGUL SYLLABLE MEUNG
      "\uBBD6",  # (믖; 믖; 믖; 믖; 믖; ) HANGUL SYLLABLE MEUJ
      "\uBBD7",  # (믗; 믗; 믗; 믗; 믗; ) HANGUL SYLLABLE MEUC
      "\uBBD8",  # (믘; 믘; 믘; 믘; 믘; ) HANGUL SYLLABLE MEUK
      "\uBBD9",  # (믙; 믙; 믙; 믙; 믙; ) HANGUL SYLLABLE MEUT
      "\uBBDA",  # (믚; 믚; 믚; 믚; 믚; ) HANGUL SYLLABLE MEUP
      "\uBBDB",  # (믛; 믛; 믛; 믛; 믛; ) HANGUL SYLLABLE MEUH
      "\uBBDC",  # (믜; 믜; 믜; 믜; 믜; ) HANGUL SYLLABLE MYI
      "\uBBDD",  # (믝; 믝; 믝; 믝; 믝; ) HANGUL SYLLABLE MYIG
      "\uBBDE",  # (믞; 믞; 믞; 믞; 믞; ) HANGUL SYLLABLE MYIGG
      "\uBBDF",  # (믟; 믟; 믟; 믟; 믟; ) HANGUL SYLLABLE MYIGS
      "\uBBE0",  # (믠; 믠; 믠; 믠; 믠; ) HANGUL SYLLABLE MYIN
      "\uBBE1",  # (믡; 믡; 믡; 믡; 믡; ) HANGUL SYLLABLE MYINJ
      "\uBBE2",  # (믢; 믢; 믢; 믢; 믢; ) HANGUL SYLLABLE MYINH
      "\uBBE3",  # (믣; 믣; 믣; 믣; 믣; ) HANGUL SYLLABLE MYID
      "\uBBE4",  # (믤; 믤; 믤; 믤; 믤; ) HANGUL SYLLABLE MYIL
      "\uBBE5",  # (믥; 믥; 믥; 믥; 믥; ) HANGUL SYLLABLE MYILG
      "\uBBE6",  # (믦; 믦; 믦; 믦; 믦; ) HANGUL SYLLABLE MYILM
      "\uBBE7",  # (믧; 믧; 믧; 믧; 믧; ) HANGUL SYLLABLE MYILB
      "\uBBE8",  # (믨; 믨; 믨; 믨; 믨; ) HANGUL SYLLABLE MYILS
      "\uBBE9",  # (믩; 믩; 믩; 믩; 믩; ) HANGUL SYLLABLE MYILT
      "\uBBEA",  # (믪; 믪; 믪; 믪; 믪; ) HANGUL SYLLABLE MYILP
      "\uBBEB",  # (믫; 믫; 믫; 믫; 믫; ) HANGUL SYLLABLE MYILH
      "\uBBEC",  # (믬; 믬; 믬; 믬; 믬; ) HANGUL SYLLABLE MYIM
      "\uBBED",  # (믭; 믭; 믭; 믭; 믭; ) HANGUL SYLLABLE MYIB
      "\uBBEE",  # (믮; 믮; 믮; 믮; 믮; ) HANGUL SYLLABLE MYIBS
      "\uBBEF",  # (믯; 믯; 믯; 믯; 믯; ) HANGUL SYLLABLE MYIS
      "\uBBF0",  # (믰; 믰; 믰; 믰; 믰; ) HANGUL SYLLABLE MYISS
      "\uBBF1",  # (믱; 믱; 믱; 믱; 믱; ) HANGUL SYLLABLE MYING
      "\uBBF2",  # (믲; 믲; 믲; 믲; 믲; ) HANGUL SYLLABLE MYIJ
      "\uBBF3",  # (믳; 믳; 믳; 믳; 믳; ) HANGUL SYLLABLE MYIC
      "\uBBF4",  # (믴; 믴; 믴; 믴; 믴; ) HANGUL SYLLABLE MYIK
      "\uBBF5",  # (믵; 믵; 믵; 믵; 믵; ) HANGUL SYLLABLE MYIT
      "\uBBF6",  # (믶; 믶; 믶; 믶; 믶; ) HANGUL SYLLABLE MYIP
      "\uBBF7",  # (믷; 믷; 믷; 믷; 믷; ) HANGUL SYLLABLE MYIH
      "\uBBF8",  # (미; 미; 미; 미; 미; ) HANGUL SYLLABLE MI
      "\uBBF9",  # (믹; 믹; 믹; 믹; 믹; ) HANGUL SYLLABLE MIG
      "\uBBFA",  # (믺; 믺; 믺; 믺; 믺; ) HANGUL SYLLABLE MIGG
      "\uBBFB",  # (믻; 믻; 믻; 믻; 믻; ) HANGUL SYLLABLE MIGS
      "\uBBFC",  # (민; 민; 민; 민; 민; ) HANGUL SYLLABLE MIN
      "\uBBFD",  # (믽; 믽; 믽; 믽; 믽; ) HANGUL SYLLABLE MINJ
      "\uBBFE",  # (믾; 믾; 믾; 믾; 믾; ) HANGUL SYLLABLE MINH
      "\uBBFF",  # (믿; 믿; 믿; 믿; 믿; ) HANGUL SYLLABLE MID
      "\uBC00",  # (밀; 밀; 밀; 밀; 밀; ) HANGUL SYLLABLE MIL
      "\uBC01",  # (밁; 밁; 밁; 밁; 밁; ) HANGUL SYLLABLE MILG
      "\uBC02",  # (밂; 밂; 밂; 밂; 밂; ) HANGUL SYLLABLE MILM
      "\uBC03",  # (밃; 밃; 밃; 밃; 밃; ) HANGUL SYLLABLE MILB
      "\uBC04",  # (밄; 밄; 밄; 밄; 밄; ) HANGUL SYLLABLE MILS
      "\uBC05",  # (밅; 밅; 밅; 밅; 밅; ) HANGUL SYLLABLE MILT
      "\uBC06",  # (밆; 밆; 밆; 밆; 밆; ) HANGUL SYLLABLE MILP
      "\uBC07",  # (밇; 밇; 밇; 밇; 밇; ) HANGUL SYLLABLE MILH
      "\uBC08",  # (밈; 밈; 밈; 밈; 밈; ) HANGUL SYLLABLE MIM
      "\uBC09",  # (밉; 밉; 밉; 밉; 밉; ) HANGUL SYLLABLE MIB
      "\uBC0A",  # (밊; 밊; 밊; 밊; 밊; ) HANGUL SYLLABLE MIBS
      "\uBC0B",  # (밋; 밋; 밋; 밋; 밋; ) HANGUL SYLLABLE MIS
      "\uBC0C",  # (밌; 밌; 밌; 밌; 밌; ) HANGUL SYLLABLE MISS
      "\uBC0D",  # (밍; 밍; 밍; 밍; 밍; ) HANGUL SYLLABLE MING
      "\uBC0E",  # (밎; 밎; 밎; 밎; 밎; ) HANGUL SYLLABLE MIJ
      "\uBC0F",  # (및; 및; 및; 및; 및; ) HANGUL SYLLABLE MIC
      "\uBC10",  # (밐; 밐; 밐; 밐; 밐; ) HANGUL SYLLABLE MIK
      "\uBC11",  # (밑; 밑; 밑; 밑; 밑; ) HANGUL SYLLABLE MIT
      "\uBC12",  # (밒; 밒; 밒; 밒; 밒; ) HANGUL SYLLABLE MIP
      "\uBC13",  # (밓; 밓; 밓; 밓; 밓; ) HANGUL SYLLABLE MIH
      "\uBC14",  # (바; 바; 바; 바; 바; ) HANGUL SYLLABLE BA
      "\uBC15",  # (박; 박; 박; 박; 박; ) HANGUL SYLLABLE BAG
      "\uBC16",  # (밖; 밖; 밖; 밖; 밖; ) HANGUL SYLLABLE BAGG
      "\uBC17",  # (밗; 밗; 밗; 밗; 밗; ) HANGUL SYLLABLE BAGS
      "\uBC18",  # (반; 반; 반; 반; 반; ) HANGUL SYLLABLE BAN
      "\uBC19",  # (밙; 밙; 밙; 밙; 밙; ) HANGUL SYLLABLE BANJ
      "\uBC1A",  # (밚; 밚; 밚; 밚; 밚; ) HANGUL SYLLABLE BANH
      "\uBC1B",  # (받; 받; 받; 받; 받; ) HANGUL SYLLABLE BAD
      "\uBC1C",  # (발; 발; 발; 발; 발; ) HANGUL SYLLABLE BAL
      "\uBC1D",  # (밝; 밝; 밝; 밝; 밝; ) HANGUL SYLLABLE BALG
      "\uBC1E",  # (밞; 밞; 밞; 밞; 밞; ) HANGUL SYLLABLE BALM
      "\uBC1F",  # (밟; 밟; 밟; 밟; 밟; ) HANGUL SYLLABLE BALB
      "\uBC20",  # (밠; 밠; 밠; 밠; 밠; ) HANGUL SYLLABLE BALS
      "\uBC21",  # (밡; 밡; 밡; 밡; 밡; ) HANGUL SYLLABLE BALT
      "\uBC22",  # (밢; 밢; 밢; 밢; 밢; ) HANGUL SYLLABLE BALP
      "\uBC23",  # (밣; 밣; 밣; 밣; 밣; ) HANGUL SYLLABLE BALH
      "\uBC24",  # (밤; 밤; 밤; 밤; 밤; ) HANGUL SYLLABLE BAM
      "\uBC25",  # (밥; 밥; 밥; 밥; 밥; ) HANGUL SYLLABLE BAB
      "\uBC26",  # (밦; 밦; 밦; 밦; 밦; ) HANGUL SYLLABLE BABS
      "\uBC27",  # (밧; 밧; 밧; 밧; 밧; ) HANGUL SYLLABLE BAS
      "\uBC28",  # (밨; 밨; 밨; 밨; 밨; ) HANGUL SYLLABLE BASS
      "\uBC29",  # (방; 방; 방; 방; 방; ) HANGUL SYLLABLE BANG
      "\uBC2A",  # (밪; 밪; 밪; 밪; 밪; ) HANGUL SYLLABLE BAJ
      "\uBC2B",  # (밫; 밫; 밫; 밫; 밫; ) HANGUL SYLLABLE BAC
      "\uBC2C",  # (밬; 밬; 밬; 밬; 밬; ) HANGUL SYLLABLE BAK
      "\uBC2D",  # (밭; 밭; 밭; 밭; 밭; ) HANGUL SYLLABLE BAT
      "\uBC2E",  # (밮; 밮; 밮; 밮; 밮; ) HANGUL SYLLABLE BAP
      "\uBC2F",  # (밯; 밯; 밯; 밯; 밯; ) HANGUL SYLLABLE BAH
      "\uBC30",  # (배; 배; 배; 배; 배; ) HANGUL SYLLABLE BAE
      "\uBC31",  # (백; 백; 백; 백; 백; ) HANGUL SYLLABLE BAEG
      "\uBC32",  # (밲; 밲; 밲; 밲; 밲; ) HANGUL SYLLABLE BAEGG
      "\uBC33",  # (밳; 밳; 밳; 밳; 밳; ) HANGUL SYLLABLE BAEGS
      "\uBC34",  # (밴; 밴; 밴; 밴; 밴; ) HANGUL SYLLABLE BAEN
      "\uBC35",  # (밵; 밵; 밵; 밵; 밵; ) HANGUL SYLLABLE BAENJ
      "\uBC36",  # (밶; 밶; 밶; 밶; 밶; ) HANGUL SYLLABLE BAENH
      "\uBC37",  # (밷; 밷; 밷; 밷; 밷; ) HANGUL SYLLABLE BAED
      "\uBC38",  # (밸; 밸; 밸; 밸; 밸; ) HANGUL SYLLABLE BAEL
      "\uBC39",  # (밹; 밹; 밹; 밹; 밹; ) HANGUL SYLLABLE BAELG
      "\uBC3A",  # (밺; 밺; 밺; 밺; 밺; ) HANGUL SYLLABLE BAELM
      "\uBC3B",  # (밻; 밻; 밻; 밻; 밻; ) HANGUL SYLLABLE BAELB
      "\uBC3C",  # (밼; 밼; 밼; 밼; 밼; ) HANGUL SYLLABLE BAELS
      "\uBC3D",  # (밽; 밽; 밽; 밽; 밽; ) HANGUL SYLLABLE BAELT
      "\uBC3E",  # (밾; 밾; 밾; 밾; 밾; ) HANGUL SYLLABLE BAELP
      "\uBC3F",  # (밿; 밿; 밿; 밿; 밿; ) HANGUL SYLLABLE BAELH
      "\uBC40",  # (뱀; 뱀; 뱀; 뱀; 뱀; ) HANGUL SYLLABLE BAEM
      "\uBC41",  # (뱁; 뱁; 뱁; 뱁; 뱁; ) HANGUL SYLLABLE BAEB
      "\uBC42",  # (뱂; 뱂; 뱂; 뱂; 뱂; ) HANGUL SYLLABLE BAEBS
      "\uBC43",  # (뱃; 뱃; 뱃; 뱃; 뱃; ) HANGUL SYLLABLE BAES
      "\uBC44",  # (뱄; 뱄; 뱄; 뱄; 뱄; ) HANGUL SYLLABLE BAESS
      "\uBC45",  # (뱅; 뱅; 뱅; 뱅; 뱅; ) HANGUL SYLLABLE BAENG
      "\uBC46",  # (뱆; 뱆; 뱆; 뱆; 뱆; ) HANGUL SYLLABLE BAEJ
      "\uBC47",  # (뱇; 뱇; 뱇; 뱇; 뱇; ) HANGUL SYLLABLE BAEC
      "\uBC48",  # (뱈; 뱈; 뱈; 뱈; 뱈; ) HANGUL SYLLABLE BAEK
      "\uBC49",  # (뱉; 뱉; 뱉; 뱉; 뱉; ) HANGUL SYLLABLE BAET
      "\uBC4A",  # (뱊; 뱊; 뱊; 뱊; 뱊; ) HANGUL SYLLABLE BAEP
      "\uBC4B",  # (뱋; 뱋; 뱋; 뱋; 뱋; ) HANGUL SYLLABLE BAEH
      "\uBC4C",  # (뱌; 뱌; 뱌; 뱌; 뱌; ) HANGUL SYLLABLE BYA
      "\uBC4D",  # (뱍; 뱍; 뱍; 뱍; 뱍; ) HANGUL SYLLABLE BYAG
      "\uBC4E",  # (뱎; 뱎; 뱎; 뱎; 뱎; ) HANGUL SYLLABLE BYAGG
      "\uBC4F",  # (뱏; 뱏; 뱏; 뱏; 뱏; ) HANGUL SYLLABLE BYAGS
      "\uBC50",  # (뱐; 뱐; 뱐; 뱐; 뱐; ) HANGUL SYLLABLE BYAN
      "\uBC51",  # (뱑; 뱑; 뱑; 뱑; 뱑; ) HANGUL SYLLABLE BYANJ
      "\uBC52",  # (뱒; 뱒; 뱒; 뱒; 뱒; ) HANGUL SYLLABLE BYANH
      "\uBC53",  # (뱓; 뱓; 뱓; 뱓; 뱓; ) HANGUL SYLLABLE BYAD
      "\uBC54",  # (뱔; 뱔; 뱔; 뱔; 뱔; ) HANGUL SYLLABLE BYAL
      "\uBC55",  # (뱕; 뱕; 뱕; 뱕; 뱕; ) HANGUL SYLLABLE BYALG
      "\uBC56",  # (뱖; 뱖; 뱖; 뱖; 뱖; ) HANGUL SYLLABLE BYALM
      "\uBC57",  # (뱗; 뱗; 뱗; 뱗; 뱗; ) HANGUL SYLLABLE BYALB
      "\uBC58",  # (뱘; 뱘; 뱘; 뱘; 뱘; ) HANGUL SYLLABLE BYALS
      "\uBC59",  # (뱙; 뱙; 뱙; 뱙; 뱙; ) HANGUL SYLLABLE BYALT
      "\uBC5A",  # (뱚; 뱚; 뱚; 뱚; 뱚; ) HANGUL SYLLABLE BYALP
      "\uBC5B",  # (뱛; 뱛; 뱛; 뱛; 뱛; ) HANGUL SYLLABLE BYALH
      "\uBC5C",  # (뱜; 뱜; 뱜; 뱜; 뱜; ) HANGUL SYLLABLE BYAM
      "\uBC5D",  # (뱝; 뱝; 뱝; 뱝; 뱝; ) HANGUL SYLLABLE BYAB
      "\uBC5E",  # (뱞; 뱞; 뱞; 뱞; 뱞; ) HANGUL SYLLABLE BYABS
      "\uBC5F",  # (뱟; 뱟; 뱟; 뱟; 뱟; ) HANGUL SYLLABLE BYAS
      "\uBC60",  # (뱠; 뱠; 뱠; 뱠; 뱠; ) HANGUL SYLLABLE BYASS
      "\uBC61",  # (뱡; 뱡; 뱡; 뱡; 뱡; ) HANGUL SYLLABLE BYANG
      "\uBC62",  # (뱢; 뱢; 뱢; 뱢; 뱢; ) HANGUL SYLLABLE BYAJ
      "\uBC63",  # (뱣; 뱣; 뱣; 뱣; 뱣; ) HANGUL SYLLABLE BYAC
      "\uBC64",  # (뱤; 뱤; 뱤; 뱤; 뱤; ) HANGUL SYLLABLE BYAK
      "\uBC65",  # (뱥; 뱥; 뱥; 뱥; 뱥; ) HANGUL SYLLABLE BYAT
      "\uBC66",  # (뱦; 뱦; 뱦; 뱦; 뱦; ) HANGUL SYLLABLE BYAP
      "\uBC67",  # (뱧; 뱧; 뱧; 뱧; 뱧; ) HANGUL SYLLABLE BYAH
      "\uBC68",  # (뱨; 뱨; 뱨; 뱨; 뱨; ) HANGUL SYLLABLE BYAE
      "\uBC69",  # (뱩; 뱩; 뱩; 뱩; 뱩; ) HANGUL SYLLABLE BYAEG
      "\uBC6A",  # (뱪; 뱪; 뱪; 뱪; 뱪; ) HANGUL SYLLABLE BYAEGG
      "\uBC6B",  # (뱫; 뱫; 뱫; 뱫; 뱫; ) HANGUL SYLLABLE BYAEGS
      "\uBC6C",  # (뱬; 뱬; 뱬; 뱬; 뱬; ) HANGUL SYLLABLE BYAEN
      "\uBC6D",  # (뱭; 뱭; 뱭; 뱭; 뱭; ) HANGUL SYLLABLE BYAENJ
      "\uBC6E",  # (뱮; 뱮; 뱮; 뱮; 뱮; ) HANGUL SYLLABLE BYAENH
      "\uBC6F",  # (뱯; 뱯; 뱯; 뱯; 뱯; ) HANGUL SYLLABLE BYAED
      "\uBC70",  # (뱰; 뱰; 뱰; 뱰; 뱰; ) HANGUL SYLLABLE BYAEL
      "\uBC71",  # (뱱; 뱱; 뱱; 뱱; 뱱; ) HANGUL SYLLABLE BYAELG
      "\uBC72",  # (뱲; 뱲; 뱲; 뱲; 뱲; ) HANGUL SYLLABLE BYAELM
      "\uBC73",  # (뱳; 뱳; 뱳; 뱳; 뱳; ) HANGUL SYLLABLE BYAELB
      "\uBC74",  # (뱴; 뱴; 뱴; 뱴; 뱴; ) HANGUL SYLLABLE BYAELS
      "\uBC75",  # (뱵; 뱵; 뱵; 뱵; 뱵; ) HANGUL SYLLABLE BYAELT
      "\uBC76",  # (뱶; 뱶; 뱶; 뱶; 뱶; ) HANGUL SYLLABLE BYAELP
      "\uBC77",  # (뱷; 뱷; 뱷; 뱷; 뱷; ) HANGUL SYLLABLE BYAELH
      "\uBC78",  # (뱸; 뱸; 뱸; 뱸; 뱸; ) HANGUL SYLLABLE BYAEM
      "\uBC79",  # (뱹; 뱹; 뱹; 뱹; 뱹; ) HANGUL SYLLABLE BYAEB
      "\uBC7A",  # (뱺; 뱺; 뱺; 뱺; 뱺; ) HANGUL SYLLABLE BYAEBS
      "\uBC7B",  # (뱻; 뱻; 뱻; 뱻; 뱻; ) HANGUL SYLLABLE BYAES
      "\uBC7C",  # (뱼; 뱼; 뱼; 뱼; 뱼; ) HANGUL SYLLABLE BYAESS
      "\uBC7D",  # (뱽; 뱽; 뱽; 뱽; 뱽; ) HANGUL SYLLABLE BYAENG
      "\uBC7E",  # (뱾; 뱾; 뱾; 뱾; 뱾; ) HANGUL SYLLABLE BYAEJ
      "\uBC7F",  # (뱿; 뱿; 뱿; 뱿; 뱿; ) HANGUL SYLLABLE BYAEC
      "\uBC80",  # (벀; 벀; 벀; 벀; 벀; ) HANGUL SYLLABLE BYAEK
      "\uBC81",  # (벁; 벁; 벁; 벁; 벁; ) HANGUL SYLLABLE BYAET
      "\uBC82",  # (벂; 벂; 벂; 벂; 벂; ) HANGUL SYLLABLE BYAEP
      "\uBC83",  # (벃; 벃; 벃; 벃; 벃; ) HANGUL SYLLABLE BYAEH
      "\uBC84",  # (버; 버; 버; 버; 버; ) HANGUL SYLLABLE BEO
      "\uBC85",  # (벅; 벅; 벅; 벅; 벅; ) HANGUL SYLLABLE BEOG
      "\uBC86",  # (벆; 벆; 벆; 벆; 벆; ) HANGUL SYLLABLE BEOGG
      "\uBC87",  # (벇; 벇; 벇; 벇; 벇; ) HANGUL SYLLABLE BEOGS
      "\uBC88",  # (번; 번; 번; 번; 번; ) HANGUL SYLLABLE BEON
      "\uBC89",  # (벉; 벉; 벉; 벉; 벉; ) HANGUL SYLLABLE BEONJ
      "\uBC8A",  # (벊; 벊; 벊; 벊; 벊; ) HANGUL SYLLABLE BEONH
      "\uBC8B",  # (벋; 벋; 벋; 벋; 벋; ) HANGUL SYLLABLE BEOD
      "\uBC8C",  # (벌; 벌; 벌; 벌; 벌; ) HANGUL SYLLABLE BEOL
      "\uBC8D",  # (벍; 벍; 벍; 벍; 벍; ) HANGUL SYLLABLE BEOLG
      "\uBC8E",  # (벎; 벎; 벎; 벎; 벎; ) HANGUL SYLLABLE BEOLM
      "\uBC8F",  # (벏; 벏; 벏; 벏; 벏; ) HANGUL SYLLABLE BEOLB
      "\uBC90",  # (벐; 벐; 벐; 벐; 벐; ) HANGUL SYLLABLE BEOLS
      "\uBC91",  # (벑; 벑; 벑; 벑; 벑; ) HANGUL SYLLABLE BEOLT
      "\uBC92",  # (벒; 벒; 벒; 벒; 벒; ) HANGUL SYLLABLE BEOLP
      "\uBC93",  # (벓; 벓; 벓; 벓; 벓; ) HANGUL SYLLABLE BEOLH
      "\uBC94",  # (범; 범; 범; 범; 범; ) HANGUL SYLLABLE BEOM
      "\uBC95",  # (법; 법; 법; 법; 법; ) HANGUL SYLLABLE BEOB
      "\uBC96",  # (벖; 벖; 벖; 벖; 벖; ) HANGUL SYLLABLE BEOBS
      "\uBC97",  # (벗; 벗; 벗; 벗; 벗; ) HANGUL SYLLABLE BEOS
      "\uBC98",  # (벘; 벘; 벘; 벘; 벘; ) HANGUL SYLLABLE BEOSS
      "\uBC99",  # (벙; 벙; 벙; 벙; 벙; ) HANGUL SYLLABLE BEONG
      "\uBC9A",  # (벚; 벚; 벚; 벚; 벚; ) HANGUL SYLLABLE BEOJ
      "\uBC9B",  # (벛; 벛; 벛; 벛; 벛; ) HANGUL SYLLABLE BEOC
      "\uBC9C",  # (벜; 벜; 벜; 벜; 벜; ) HANGUL SYLLABLE BEOK
      "\uBC9D",  # (벝; 벝; 벝; 벝; 벝; ) HANGUL SYLLABLE BEOT
      "\uBC9E",  # (벞; 벞; 벞; 벞; 벞; ) HANGUL SYLLABLE BEOP
      "\uBC9F",  # (벟; 벟; 벟; 벟; 벟; ) HANGUL SYLLABLE BEOH
      "\uBCA0",  # (베; 베; 베; 베; 베; ) HANGUL SYLLABLE BE
      "\uBCA1",  # (벡; 벡; 벡; 벡; 벡; ) HANGUL SYLLABLE BEG
      "\uBCA2",  # (벢; 벢; 벢; 벢; 벢; ) HANGUL SYLLABLE BEGG
      "\uBCA3",  # (벣; 벣; 벣; 벣; 벣; ) HANGUL SYLLABLE BEGS
      "\uBCA4",  # (벤; 벤; 벤; 벤; 벤; ) HANGUL SYLLABLE BEN
      "\uBCA5",  # (벥; 벥; 벥; 벥; 벥; ) HANGUL SYLLABLE BENJ
      "\uBCA6",  # (벦; 벦; 벦; 벦; 벦; ) HANGUL SYLLABLE BENH
      "\uBCA7",  # (벧; 벧; 벧; 벧; 벧; ) HANGUL SYLLABLE BED
      "\uBCA8",  # (벨; 벨; 벨; 벨; 벨; ) HANGUL SYLLABLE BEL
      "\uBCA9",  # (벩; 벩; 벩; 벩; 벩; ) HANGUL SYLLABLE BELG
      "\uBCAA",  # (벪; 벪; 벪; 벪; 벪; ) HANGUL SYLLABLE BELM
      "\uBCAB",  # (벫; 벫; 벫; 벫; 벫; ) HANGUL SYLLABLE BELB
      "\uBCAC",  # (벬; 벬; 벬; 벬; 벬; ) HANGUL SYLLABLE BELS
      "\uBCAD",  # (벭; 벭; 벭; 벭; 벭; ) HANGUL SYLLABLE BELT
      "\uBCAE",  # (벮; 벮; 벮; 벮; 벮; ) HANGUL SYLLABLE BELP
      "\uBCAF",  # (벯; 벯; 벯; 벯; 벯; ) HANGUL SYLLABLE BELH
      "\uBCB0",  # (벰; 벰; 벰; 벰; 벰; ) HANGUL SYLLABLE BEM
      "\uBCB1",  # (벱; 벱; 벱; 벱; 벱; ) HANGUL SYLLABLE BEB
      "\uBCB2",  # (벲; 벲; 벲; 벲; 벲; ) HANGUL SYLLABLE BEBS
      "\uBCB3",  # (벳; 벳; 벳; 벳; 벳; ) HANGUL SYLLABLE BES
      "\uBCB4",  # (벴; 벴; 벴; 벴; 벴; ) HANGUL SYLLABLE BESS
      "\uBCB5",  # (벵; 벵; 벵; 벵; 벵; ) HANGUL SYLLABLE BENG
      "\uBCB6",  # (벶; 벶; 벶; 벶; 벶; ) HANGUL SYLLABLE BEJ
      "\uBCB7",  # (벷; 벷; 벷; 벷; 벷; ) HANGUL SYLLABLE BEC
      "\uBCB8",  # (벸; 벸; 벸; 벸; 벸; ) HANGUL SYLLABLE BEK
      "\uBCB9",  # (벹; 벹; 벹; 벹; 벹; ) HANGUL SYLLABLE BET
      "\uBCBA",  # (벺; 벺; 벺; 벺; 벺; ) HANGUL SYLLABLE BEP
      "\uBCBB",  # (벻; 벻; 벻; 벻; 벻; ) HANGUL SYLLABLE BEH
      "\uBCBC",  # (벼; 벼; 벼; 벼; 벼; ) HANGUL SYLLABLE BYEO
      "\uBCBD",  # (벽; 벽; 벽; 벽; 벽; ) HANGUL SYLLABLE BYEOG
      "\uBCBE",  # (벾; 벾; 벾; 벾; 벾; ) HANGUL SYLLABLE BYEOGG
      "\uBCBF",  # (벿; 벿; 벿; 벿; 벿; ) HANGUL SYLLABLE BYEOGS
      "\uBCC0",  # (변; 변; 변; 변; 변; ) HANGUL SYLLABLE BYEON
      "\uBCC1",  # (볁; 볁; 볁; 볁; 볁; ) HANGUL SYLLABLE BYEONJ
      "\uBCC2",  # (볂; 볂; 볂; 볂; 볂; ) HANGUL SYLLABLE BYEONH
      "\uBCC3",  # (볃; 볃; 볃; 볃; 볃; ) HANGUL SYLLABLE BYEOD
      "\uBCC4",  # (별; 별; 별; 별; 별; ) HANGUL SYLLABLE BYEOL
      "\uBCC5",  # (볅; 볅; 볅; 볅; 볅; ) HANGUL SYLLABLE BYEOLG
      "\uBCC6",  # (볆; 볆; 볆; 볆; 볆; ) HANGUL SYLLABLE BYEOLM
      "\uBCC7",  # (볇; 볇; 볇; 볇; 볇; ) HANGUL SYLLABLE BYEOLB
      "\uBCC8",  # (볈; 볈; 볈; 볈; 볈; ) HANGUL SYLLABLE BYEOLS
      "\uBCC9",  # (볉; 볉; 볉; 볉; 볉; ) HANGUL SYLLABLE BYEOLT
      "\uBCCA",  # (볊; 볊; 볊; 볊; 볊; ) HANGUL SYLLABLE BYEOLP
      "\uBCCB",  # (볋; 볋; 볋; 볋; 볋; ) HANGUL SYLLABLE BYEOLH
      "\uBCCC",  # (볌; 볌; 볌; 볌; 볌; ) HANGUL SYLLABLE BYEOM
      "\uBCCD",  # (볍; 볍; 볍; 볍; 볍; ) HANGUL SYLLABLE BYEOB
      "\uBCCE",  # (볎; 볎; 볎; 볎; 볎; ) HANGUL SYLLABLE BYEOBS
      "\uBCCF",  # (볏; 볏; 볏; 볏; 볏; ) HANGUL SYLLABLE BYEOS
      "\uBCD0",  # (볐; 볐; 볐; 볐; 볐; ) HANGUL SYLLABLE BYEOSS
      "\uBCD1",  # (병; 병; 병; 병; 병; ) HANGUL SYLLABLE BYEONG
      "\uBCD2",  # (볒; 볒; 볒; 볒; 볒; ) HANGUL SYLLABLE BYEOJ
      "\uBCD3",  # (볓; 볓; 볓; 볓; 볓; ) HANGUL SYLLABLE BYEOC
      "\uBCD4",  # (볔; 볔; 볔; 볔; 볔; ) HANGUL SYLLABLE BYEOK
      "\uBCD5",  # (볕; 볕; 볕; 볕; 볕; ) HANGUL SYLLABLE BYEOT
      "\uBCD6",  # (볖; 볖; 볖; 볖; 볖; ) HANGUL SYLLABLE BYEOP
      "\uBCD7",  # (볗; 볗; 볗; 볗; 볗; ) HANGUL SYLLABLE BYEOH
      "\uBCD8",  # (볘; 볘; 볘; 볘; 볘; ) HANGUL SYLLABLE BYE
      "\uBCD9",  # (볙; 볙; 볙; 볙; 볙; ) HANGUL SYLLABLE BYEG
      "\uBCDA",  # (볚; 볚; 볚; 볚; 볚; ) HANGUL SYLLABLE BYEGG
      "\uBCDB",  # (볛; 볛; 볛; 볛; 볛; ) HANGUL SYLLABLE BYEGS
      "\uBCDC",  # (볜; 볜; 볜; 볜; 볜; ) HANGUL SYLLABLE BYEN
      "\uBCDD",  # (볝; 볝; 볝; 볝; 볝; ) HANGUL SYLLABLE BYENJ
      "\uBCDE",  # (볞; 볞; 볞; 볞; 볞; ) HANGUL SYLLABLE BYENH
      "\uBCDF",  # (볟; 볟; 볟; 볟; 볟; ) HANGUL SYLLABLE BYED
      "\uBCE0",  # (볠; 볠; 볠; 볠; 볠; ) HANGUL SYLLABLE BYEL
      "\uBCE1",  # (볡; 볡; 볡; 볡; 볡; ) HANGUL SYLLABLE BYELG
      "\uBCE2",  # (볢; 볢; 볢; 볢; 볢; ) HANGUL SYLLABLE BYELM
      "\uBCE3",  # (볣; 볣; 볣; 볣; 볣; ) HANGUL SYLLABLE BYELB
      "\uBCE4",  # (볤; 볤; 볤; 볤; 볤; ) HANGUL SYLLABLE BYELS
      "\uBCE5",  # (볥; 볥; 볥; 볥; 볥; ) HANGUL SYLLABLE BYELT
      "\uBCE6",  # (볦; 볦; 볦; 볦; 볦; ) HANGUL SYLLABLE BYELP
      "\uBCE7",  # (볧; 볧; 볧; 볧; 볧; ) HANGUL SYLLABLE BYELH
      "\uBCE8",  # (볨; 볨; 볨; 볨; 볨; ) HANGUL SYLLABLE BYEM
      "\uBCE9",  # (볩; 볩; 볩; 볩; 볩; ) HANGUL SYLLABLE BYEB
      "\uBCEA",  # (볪; 볪; 볪; 볪; 볪; ) HANGUL SYLLABLE BYEBS
      "\uBCEB",  # (볫; 볫; 볫; 볫; 볫; ) HANGUL SYLLABLE BYES
      "\uBCEC",  # (볬; 볬; 볬; 볬; 볬; ) HANGUL SYLLABLE BYESS
      "\uBCED",  # (볭; 볭; 볭; 볭; 볭; ) HANGUL SYLLABLE BYENG
      "\uBCEE",  # (볮; 볮; 볮; 볮; 볮; ) HANGUL SYLLABLE BYEJ
      "\uBCEF",  # (볯; 볯; 볯; 볯; 볯; ) HANGUL SYLLABLE BYEC
      "\uBCF0",  # (볰; 볰; 볰; 볰; 볰; ) HANGUL SYLLABLE BYEK
      "\uBCF1",  # (볱; 볱; 볱; 볱; 볱; ) HANGUL SYLLABLE BYET
      "\uBCF2",  # (볲; 볲; 볲; 볲; 볲; ) HANGUL SYLLABLE BYEP
      "\uBCF3",  # (볳; 볳; 볳; 볳; 볳; ) HANGUL SYLLABLE BYEH
      "\uBCF4",  # (보; 보; 보; 보; 보; ) HANGUL SYLLABLE BO
      "\uBCF5",  # (복; 복; 복; 복; 복; ) HANGUL SYLLABLE BOG
      "\uBCF6",  # (볶; 볶; 볶; 볶; 볶; ) HANGUL SYLLABLE BOGG
      "\uBCF7",  # (볷; 볷; 볷; 볷; 볷; ) HANGUL SYLLABLE BOGS
      "\uBCF8",  # (본; 본; 본; 본; 본; ) HANGUL SYLLABLE BON
      "\uBCF9",  # (볹; 볹; 볹; 볹; 볹; ) HANGUL SYLLABLE BONJ
      "\uBCFA",  # (볺; 볺; 볺; 볺; 볺; ) HANGUL SYLLABLE BONH
      "\uBCFB",  # (볻; 볻; 볻; 볻; 볻; ) HANGUL SYLLABLE BOD
      "\uBCFC",  # (볼; 볼; 볼; 볼; 볼; ) HANGUL SYLLABLE BOL
      "\uBCFD",  # (볽; 볽; 볽; 볽; 볽; ) HANGUL SYLLABLE BOLG
      "\uBCFE",  # (볾; 볾; 볾; 볾; 볾; ) HANGUL SYLLABLE BOLM
      "\uBCFF",  # (볿; 볿; 볿; 볿; 볿; ) HANGUL SYLLABLE BOLB
      "\uBD00",  # (봀; 봀; 봀; 봀; 봀; ) HANGUL SYLLABLE BOLS
      "\uBD01",  # (봁; 봁; 봁; 봁; 봁; ) HANGUL SYLLABLE BOLT
      "\uBD02",  # (봂; 봂; 봂; 봂; 봂; ) HANGUL SYLLABLE BOLP
      "\uBD03",  # (봃; 봃; 봃; 봃; 봃; ) HANGUL SYLLABLE BOLH
      "\uBD04",  # (봄; 봄; 봄; 봄; 봄; ) HANGUL SYLLABLE BOM
      "\uBD05",  # (봅; 봅; 봅; 봅; 봅; ) HANGUL SYLLABLE BOB
      "\uBD06",  # (봆; 봆; 봆; 봆; 봆; ) HANGUL SYLLABLE BOBS
      "\uBD07",  # (봇; 봇; 봇; 봇; 봇; ) HANGUL SYLLABLE BOS
      "\uBD08",  # (봈; 봈; 봈; 봈; 봈; ) HANGUL SYLLABLE BOSS
      "\uBD09",  # (봉; 봉; 봉; 봉; 봉; ) HANGUL SYLLABLE BONG
      "\uBD0A",  # (봊; 봊; 봊; 봊; 봊; ) HANGUL SYLLABLE BOJ
      "\uBD0B",  # (봋; 봋; 봋; 봋; 봋; ) HANGUL SYLLABLE BOC
      "\uBD0C",  # (봌; 봌; 봌; 봌; 봌; ) HANGUL SYLLABLE BOK
      "\uBD0D",  # (봍; 봍; 봍; 봍; 봍; ) HANGUL SYLLABLE BOT
      "\uBD0E",  # (봎; 봎; 봎; 봎; 봎; ) HANGUL SYLLABLE BOP
      "\uBD0F",  # (봏; 봏; 봏; 봏; 봏; ) HANGUL SYLLABLE BOH
      "\uBD10",  # (봐; 봐; 봐; 봐; 봐; ) HANGUL SYLLABLE BWA
      "\uBD11",  # (봑; 봑; 봑; 봑; 봑; ) HANGUL SYLLABLE BWAG
      "\uBD12",  # (봒; 봒; 봒; 봒; 봒; ) HANGUL SYLLABLE BWAGG
      "\uBD13",  # (봓; 봓; 봓; 봓; 봓; ) HANGUL SYLLABLE BWAGS
      "\uBD14",  # (봔; 봔; 봔; 봔; 봔; ) HANGUL SYLLABLE BWAN
      "\uBD15",  # (봕; 봕; 봕; 봕; 봕; ) HANGUL SYLLABLE BWANJ
      "\uBD16",  # (봖; 봖; 봖; 봖; 봖; ) HANGUL SYLLABLE BWANH
      "\uBD17",  # (봗; 봗; 봗; 봗; 봗; ) HANGUL SYLLABLE BWAD
      "\uBD18",  # (봘; 봘; 봘; 봘; 봘; ) HANGUL SYLLABLE BWAL
      "\uBD19",  # (봙; 봙; 봙; 봙; 봙; ) HANGUL SYLLABLE BWALG
      "\uBD1A",  # (봚; 봚; 봚; 봚; 봚; ) HANGUL SYLLABLE BWALM
      "\uBD1B",  # (봛; 봛; 봛; 봛; 봛; ) HANGUL SYLLABLE BWALB
      "\uBD1C",  # (봜; 봜; 봜; 봜; 봜; ) HANGUL SYLLABLE BWALS
      "\uBD1D",  # (봝; 봝; 봝; 봝; 봝; ) HANGUL SYLLABLE BWALT
      "\uBD1E",  # (봞; 봞; 봞; 봞; 봞; ) HANGUL SYLLABLE BWALP
      "\uBD1F",  # (봟; 봟; 봟; 봟; 봟; ) HANGUL SYLLABLE BWALH
      "\uBD20",  # (봠; 봠; 봠; 봠; 봠; ) HANGUL SYLLABLE BWAM
      "\uBD21",  # (봡; 봡; 봡; 봡; 봡; ) HANGUL SYLLABLE BWAB
      "\uBD22",  # (봢; 봢; 봢; 봢; 봢; ) HANGUL SYLLABLE BWABS
      "\uBD23",  # (봣; 봣; 봣; 봣; 봣; ) HANGUL SYLLABLE BWAS
      "\uBD24",  # (봤; 봤; 봤; 봤; 봤; ) HANGUL SYLLABLE BWASS
      "\uBD25",  # (봥; 봥; 봥; 봥; 봥; ) HANGUL SYLLABLE BWANG
      "\uBD26",  # (봦; 봦; 봦; 봦; 봦; ) HANGUL SYLLABLE BWAJ
      "\uBD27",  # (봧; 봧; 봧; 봧; 봧; ) HANGUL SYLLABLE BWAC
      "\uBD28",  # (봨; 봨; 봨; 봨; 봨; ) HANGUL SYLLABLE BWAK
      "\uBD29",  # (봩; 봩; 봩; 봩; 봩; ) HANGUL SYLLABLE BWAT
      "\uBD2A",  # (봪; 봪; 봪; 봪; 봪; ) HANGUL SYLLABLE BWAP
      "\uBD2B",  # (봫; 봫; 봫; 봫; 봫; ) HANGUL SYLLABLE BWAH
      "\uBD2C",  # (봬; 봬; 봬; 봬; 봬; ) HANGUL SYLLABLE BWAE
      "\uBD2D",  # (봭; 봭; 봭; 봭; 봭; ) HANGUL SYLLABLE BWAEG
      "\uBD2E",  # (봮; 봮; 봮; 봮; 봮; ) HANGUL SYLLABLE BWAEGG
      "\uBD2F",  # (봯; 봯; 봯; 봯; 봯; ) HANGUL SYLLABLE BWAEGS
      "\uBD30",  # (봰; 봰; 봰; 봰; 봰; ) HANGUL SYLLABLE BWAEN
      "\uBD31",  # (봱; 봱; 봱; 봱; 봱; ) HANGUL SYLLABLE BWAENJ
      "\uBD32",  # (봲; 봲; 봲; 봲; 봲; ) HANGUL SYLLABLE BWAENH
      "\uBD33",  # (봳; 봳; 봳; 봳; 봳; ) HANGUL SYLLABLE BWAED
      "\uBD34",  # (봴; 봴; 봴; 봴; 봴; ) HANGUL SYLLABLE BWAEL
      "\uBD35",  # (봵; 봵; 봵; 봵; 봵; ) HANGUL SYLLABLE BWAELG
      "\uBD36",  # (봶; 봶; 봶; 봶; 봶; ) HANGUL SYLLABLE BWAELM
      "\uBD37",  # (봷; 봷; 봷; 봷; 봷; ) HANGUL SYLLABLE BWAELB
      "\uBD38",  # (봸; 봸; 봸; 봸; 봸; ) HANGUL SYLLABLE BWAELS
      "\uBD39",  # (봹; 봹; 봹; 봹; 봹; ) HANGUL SYLLABLE BWAELT
      "\uBD3A",  # (봺; 봺; 봺; 봺; 봺; ) HANGUL SYLLABLE BWAELP
      "\uBD3B",  # (봻; 봻; 봻; 봻; 봻; ) HANGUL SYLLABLE BWAELH
      "\uBD3C",  # (봼; 봼; 봼; 봼; 봼; ) HANGUL SYLLABLE BWAEM
      "\uBD3D",  # (봽; 봽; 봽; 봽; 봽; ) HANGUL SYLLABLE BWAEB
      "\uBD3E",  # (봾; 봾; 봾; 봾; 봾; ) HANGUL SYLLABLE BWAEBS
      "\uBD3F",  # (봿; 봿; 봿; 봿; 봿; ) HANGUL SYLLABLE BWAES
      "\uBD40",  # (뵀; 뵀; 뵀; 뵀; 뵀; ) HANGUL SYLLABLE BWAESS
      "\uBD41",  # (뵁; 뵁; 뵁; 뵁; 뵁; ) HANGUL SYLLABLE BWAENG
      "\uBD42",  # (뵂; 뵂; 뵂; 뵂; 뵂; ) HANGUL SYLLABLE BWAEJ
      "\uBD43",  # (뵃; 뵃; 뵃; 뵃; 뵃; ) HANGUL SYLLABLE BWAEC
      "\uBD44",  # (뵄; 뵄; 뵄; 뵄; 뵄; ) HANGUL SYLLABLE BWAEK
      "\uBD45",  # (뵅; 뵅; 뵅; 뵅; 뵅; ) HANGUL SYLLABLE BWAET
      "\uBD46",  # (뵆; 뵆; 뵆; 뵆; 뵆; ) HANGUL SYLLABLE BWAEP
      "\uBD47",  # (뵇; 뵇; 뵇; 뵇; 뵇; ) HANGUL SYLLABLE BWAEH
      "\uBD48",  # (뵈; 뵈; 뵈; 뵈; 뵈; ) HANGUL SYLLABLE BOE
      "\uBD49",  # (뵉; 뵉; 뵉; 뵉; 뵉; ) HANGUL SYLLABLE BOEG
      "\uBD4A",  # (뵊; 뵊; 뵊; 뵊; 뵊; ) HANGUL SYLLABLE BOEGG
      "\uBD4B",  # (뵋; 뵋; 뵋; 뵋; 뵋; ) HANGUL SYLLABLE BOEGS
      "\uBD4C",  # (뵌; 뵌; 뵌; 뵌; 뵌; ) HANGUL SYLLABLE BOEN
      "\uBD4D",  # (뵍; 뵍; 뵍; 뵍; 뵍; ) HANGUL SYLLABLE BOENJ
      "\uBD4E",  # (뵎; 뵎; 뵎; 뵎; 뵎; ) HANGUL SYLLABLE BOENH
      "\uBD4F",  # (뵏; 뵏; 뵏; 뵏; 뵏; ) HANGUL SYLLABLE BOED
      "\uBD50",  # (뵐; 뵐; 뵐; 뵐; 뵐; ) HANGUL SYLLABLE BOEL
      "\uBD51",  # (뵑; 뵑; 뵑; 뵑; 뵑; ) HANGUL SYLLABLE BOELG
      "\uBD52",  # (뵒; 뵒; 뵒; 뵒; 뵒; ) HANGUL SYLLABLE BOELM
      "\uBD53",  # (뵓; 뵓; 뵓; 뵓; 뵓; ) HANGUL SYLLABLE BOELB
      "\uBD54",  # (뵔; 뵔; 뵔; 뵔; 뵔; ) HANGUL SYLLABLE BOELS
      "\uBD55",  # (뵕; 뵕; 뵕; 뵕; 뵕; ) HANGUL SYLLABLE BOELT
      "\uBD56",  # (뵖; 뵖; 뵖; 뵖; 뵖; ) HANGUL SYLLABLE BOELP
      "\uBD57",  # (뵗; 뵗; 뵗; 뵗; 뵗; ) HANGUL SYLLABLE BOELH
      "\uBD58",  # (뵘; 뵘; 뵘; 뵘; 뵘; ) HANGUL SYLLABLE BOEM
      "\uBD59",  # (뵙; 뵙; 뵙; 뵙; 뵙; ) HANGUL SYLLABLE BOEB
      "\uBD5A",  # (뵚; 뵚; 뵚; 뵚; 뵚; ) HANGUL SYLLABLE BOEBS
      "\uBD5B",  # (뵛; 뵛; 뵛; 뵛; 뵛; ) HANGUL SYLLABLE BOES
      "\uBD5C",  # (뵜; 뵜; 뵜; 뵜; 뵜; ) HANGUL SYLLABLE BOESS
      "\uBD5D",  # (뵝; 뵝; 뵝; 뵝; 뵝; ) HANGUL SYLLABLE BOENG
      "\uBD5E",  # (뵞; 뵞; 뵞; 뵞; 뵞; ) HANGUL SYLLABLE BOEJ
      "\uBD5F",  # (뵟; 뵟; 뵟; 뵟; 뵟; ) HANGUL SYLLABLE BOEC
      "\uBD60",  # (뵠; 뵠; 뵠; 뵠; 뵠; ) HANGUL SYLLABLE BOEK
      "\uBD61",  # (뵡; 뵡; 뵡; 뵡; 뵡; ) HANGUL SYLLABLE BOET
      "\uBD62",  # (뵢; 뵢; 뵢; 뵢; 뵢; ) HANGUL SYLLABLE BOEP
      "\uBD63",  # (뵣; 뵣; 뵣; 뵣; 뵣; ) HANGUL SYLLABLE BOEH
      "\uBD64",  # (뵤; 뵤; 뵤; 뵤; 뵤; ) HANGUL SYLLABLE BYO
      "\uBD65",  # (뵥; 뵥; 뵥; 뵥; 뵥; ) HANGUL SYLLABLE BYOG
      "\uBD66",  # (뵦; 뵦; 뵦; 뵦; 뵦; ) HANGUL SYLLABLE BYOGG
      "\uBD67",  # (뵧; 뵧; 뵧; 뵧; 뵧; ) HANGUL SYLLABLE BYOGS
      "\uBD68",  # (뵨; 뵨; 뵨; 뵨; 뵨; ) HANGUL SYLLABLE BYON
      "\uBD69",  # (뵩; 뵩; 뵩; 뵩; 뵩; ) HANGUL SYLLABLE BYONJ
      "\uBD6A",  # (뵪; 뵪; 뵪; 뵪; 뵪; ) HANGUL SYLLABLE BYONH
      "\uBD6B",  # (뵫; 뵫; 뵫; 뵫; 뵫; ) HANGUL SYLLABLE BYOD
      "\uBD6C",  # (뵬; 뵬; 뵬; 뵬; 뵬; ) HANGUL SYLLABLE BYOL
      "\uBD6D",  # (뵭; 뵭; 뵭; 뵭; 뵭; ) HANGUL SYLLABLE BYOLG
      "\uBD6E",  # (뵮; 뵮; 뵮; 뵮; 뵮; ) HANGUL SYLLABLE BYOLM
      "\uBD6F",  # (뵯; 뵯; 뵯; 뵯; 뵯; ) HANGUL SYLLABLE BYOLB
      "\uBD70",  # (뵰; 뵰; 뵰; 뵰; 뵰; ) HANGUL SYLLABLE BYOLS
      "\uBD71",  # (뵱; 뵱; 뵱; 뵱; 뵱; ) HANGUL SYLLABLE BYOLT
      "\uBD72",  # (뵲; 뵲; 뵲; 뵲; 뵲; ) HANGUL SYLLABLE BYOLP
      "\uBD73",  # (뵳; 뵳; 뵳; 뵳; 뵳; ) HANGUL SYLLABLE BYOLH
      "\uBD74",  # (뵴; 뵴; 뵴; 뵴; 뵴; ) HANGUL SYLLABLE BYOM
      "\uBD75",  # (뵵; 뵵; 뵵; 뵵; 뵵; ) HANGUL SYLLABLE BYOB
      "\uBD76",  # (뵶; 뵶; 뵶; 뵶; 뵶; ) HANGUL SYLLABLE BYOBS
      "\uBD77",  # (뵷; 뵷; 뵷; 뵷; 뵷; ) HANGUL SYLLABLE BYOS
      "\uBD78",  # (뵸; 뵸; 뵸; 뵸; 뵸; ) HANGUL SYLLABLE BYOSS
      "\uBD79",  # (뵹; 뵹; 뵹; 뵹; 뵹; ) HANGUL SYLLABLE BYONG
      "\uBD7A",  # (뵺; 뵺; 뵺; 뵺; 뵺; ) HANGUL SYLLABLE BYOJ
      "\uBD7B",  # (뵻; 뵻; 뵻; 뵻; 뵻; ) HANGUL SYLLABLE BYOC
      "\uBD7C",  # (뵼; 뵼; 뵼; 뵼; 뵼; ) HANGUL SYLLABLE BYOK
      "\uBD7D",  # (뵽; 뵽; 뵽; 뵽; 뵽; ) HANGUL SYLLABLE BYOT
      "\uBD7E",  # (뵾; 뵾; 뵾; 뵾; 뵾; ) HANGUL SYLLABLE BYOP
      "\uBD7F",  # (뵿; 뵿; 뵿; 뵿; 뵿; ) HANGUL SYLLABLE BYOH
      "\uBD80",  # (부; 부; 부; 부; 부; ) HANGUL SYLLABLE BU
      "\uBD81",  # (북; 북; 북; 북; 북; ) HANGUL SYLLABLE BUG
      "\uBD82",  # (붂; 붂; 붂; 붂; 붂; ) HANGUL SYLLABLE BUGG
      "\uBD83",  # (붃; 붃; 붃; 붃; 붃; ) HANGUL SYLLABLE BUGS
      "\uBD84",  # (분; 분; 분; 분; 분; ) HANGUL SYLLABLE BUN
      "\uBD85",  # (붅; 붅; 붅; 붅; 붅; ) HANGUL SYLLABLE BUNJ
      "\uBD86",  # (붆; 붆; 붆; 붆; 붆; ) HANGUL SYLLABLE BUNH
      "\uBD87",  # (붇; 붇; 붇; 붇; 붇; ) HANGUL SYLLABLE BUD
      "\uBD88",  # (불; 불; 불; 불; 불; ) HANGUL SYLLABLE BUL
      "\uBD89",  # (붉; 붉; 붉; 붉; 붉; ) HANGUL SYLLABLE BULG
      "\uBD8A",  # (붊; 붊; 붊; 붊; 붊; ) HANGUL SYLLABLE BULM
      "\uBD8B",  # (붋; 붋; 붋; 붋; 붋; ) HANGUL SYLLABLE BULB
      "\uBD8C",  # (붌; 붌; 붌; 붌; 붌; ) HANGUL SYLLABLE BULS
      "\uBD8D",  # (붍; 붍; 붍; 붍; 붍; ) HANGUL SYLLABLE BULT
      "\uBD8E",  # (붎; 붎; 붎; 붎; 붎; ) HANGUL SYLLABLE BULP
      "\uBD8F",  # (붏; 붏; 붏; 붏; 붏; ) HANGUL SYLLABLE BULH
      "\uBD90",  # (붐; 붐; 붐; 붐; 붐; ) HANGUL SYLLABLE BUM
      "\uBD91",  # (붑; 붑; 붑; 붑; 붑; ) HANGUL SYLLABLE BUB
      "\uBD92",  # (붒; 붒; 붒; 붒; 붒; ) HANGUL SYLLABLE BUBS
      "\uBD93",  # (붓; 붓; 붓; 붓; 붓; ) HANGUL SYLLABLE BUS
      "\uBD94",  # (붔; 붔; 붔; 붔; 붔; ) HANGUL SYLLABLE BUSS
      "\uBD95",  # (붕; 붕; 붕; 붕; 붕; ) HANGUL SYLLABLE BUNG
      "\uBD96",  # (붖; 붖; 붖; 붖; 붖; ) HANGUL SYLLABLE BUJ
      "\uBD97",  # (붗; 붗; 붗; 붗; 붗; ) HANGUL SYLLABLE BUC
      "\uBD98",  # (붘; 붘; 붘; 붘; 붘; ) HANGUL SYLLABLE BUK
      "\uBD99",  # (붙; 붙; 붙; 붙; 붙; ) HANGUL SYLLABLE BUT
      "\uBD9A",  # (붚; 붚; 붚; 붚; 붚; ) HANGUL SYLLABLE BUP
      "\uBD9B",  # (붛; 붛; 붛; 붛; 붛; ) HANGUL SYLLABLE BUH
      "\uBD9C",  # (붜; 붜; 붜; 붜; 붜; ) HANGUL SYLLABLE BWEO
      "\uBD9D",  # (붝; 붝; 붝; 붝; 붝; ) HANGUL SYLLABLE BWEOG
      "\uBD9E",  # (붞; 붞; 붞; 붞; 붞; ) HANGUL SYLLABLE BWEOGG
      "\uBD9F",  # (붟; 붟; 붟; 붟; 붟; ) HANGUL SYLLABLE BWEOGS
      "\uBDA0",  # (붠; 붠; 붠; 붠; 붠; ) HANGUL SYLLABLE BWEON
      "\uBDA1",  # (붡; 붡; 붡; 붡; 붡; ) HANGUL SYLLABLE BWEONJ
      "\uBDA2",  # (붢; 붢; 붢; 붢; 붢; ) HANGUL SYLLABLE BWEONH
      "\uBDA3",  # (붣; 붣; 붣; 붣; 붣; ) HANGUL SYLLABLE BWEOD
      "\uBDA4",  # (붤; 붤; 붤; 붤; 붤; ) HANGUL SYLLABLE BWEOL
      "\uBDA5",  # (붥; 붥; 붥; 붥; 붥; ) HANGUL SYLLABLE BWEOLG
      "\uBDA6",  # (붦; 붦; 붦; 붦; 붦; ) HANGUL SYLLABLE BWEOLM
      "\uBDA7",  # (붧; 붧; 붧; 붧; 붧; ) HANGUL SYLLABLE BWEOLB
      "\uBDA8",  # (붨; 붨; 붨; 붨; 붨; ) HANGUL SYLLABLE BWEOLS
      "\uBDA9",  # (붩; 붩; 붩; 붩; 붩; ) HANGUL SYLLABLE BWEOLT
      "\uBDAA",  # (붪; 붪; 붪; 붪; 붪; ) HANGUL SYLLABLE BWEOLP
      "\uBDAB",  # (붫; 붫; 붫; 붫; 붫; ) HANGUL SYLLABLE BWEOLH
      "\uBDAC",  # (붬; 붬; 붬; 붬; 붬; ) HANGUL SYLLABLE BWEOM
      "\uBDAD",  # (붭; 붭; 붭; 붭; 붭; ) HANGUL SYLLABLE BWEOB
      "\uBDAE",  # (붮; 붮; 붮; 붮; 붮; ) HANGUL SYLLABLE BWEOBS
      "\uBDAF",  # (붯; 붯; 붯; 붯; 붯; ) HANGUL SYLLABLE BWEOS
      "\uBDB0",  # (붰; 붰; 붰; 붰; 붰; ) HANGUL SYLLABLE BWEOSS
      "\uBDB1",  # (붱; 붱; 붱; 붱; 붱; ) HANGUL SYLLABLE BWEONG
      "\uBDB2",  # (붲; 붲; 붲; 붲; 붲; ) HANGUL SYLLABLE BWEOJ
      "\uBDB3",  # (붳; 붳; 붳; 붳; 붳; ) HANGUL SYLLABLE BWEOC
      "\uBDB4",  # (붴; 붴; 붴; 붴; 붴; ) HANGUL SYLLABLE BWEOK
      "\uBDB5",  # (붵; 붵; 붵; 붵; 붵; ) HANGUL SYLLABLE BWEOT
      "\uBDB6",  # (붶; 붶; 붶; 붶; 붶; ) HANGUL SYLLABLE BWEOP
      "\uBDB7",  # (붷; 붷; 붷; 붷; 붷; ) HANGUL SYLLABLE BWEOH
      "\uBDB8",  # (붸; 붸; 붸; 붸; 붸; ) HANGUL SYLLABLE BWE
      "\uBDB9",  # (붹; 붹; 붹; 붹; 붹; ) HANGUL SYLLABLE BWEG
      "\uBDBA",  # (붺; 붺; 붺; 붺; 붺; ) HANGUL SYLLABLE BWEGG
      "\uBDBB",  # (붻; 붻; 붻; 붻; 붻; ) HANGUL SYLLABLE BWEGS
      "\uBDBC",  # (붼; 붼; 붼; 붼; 붼; ) HANGUL SYLLABLE BWEN
      "\uBDBD",  # (붽; 붽; 붽; 붽; 붽; ) HANGUL SYLLABLE BWENJ
      "\uBDBE",  # (붾; 붾; 붾; 붾; 붾; ) HANGUL SYLLABLE BWENH
      "\uBDBF",  # (붿; 붿; 붿; 붿; 붿; ) HANGUL SYLLABLE BWED
      "\uBDC0",  # (뷀; 뷀; 뷀; 뷀; 뷀; ) HANGUL SYLLABLE BWEL
      "\uBDC1",  # (뷁; 뷁; 뷁; 뷁; 뷁; ) HANGUL SYLLABLE BWELG
      "\uBDC2",  # (뷂; 뷂; 뷂; 뷂; 뷂; ) HANGUL SYLLABLE BWELM
      "\uBDC3",  # (뷃; 뷃; 뷃; 뷃; 뷃; ) HANGUL SYLLABLE BWELB
      "\uBDC4",  # (뷄; 뷄; 뷄; 뷄; 뷄; ) HANGUL SYLLABLE BWELS
      "\uBDC5",  # (뷅; 뷅; 뷅; 뷅; 뷅; ) HANGUL SYLLABLE BWELT
      "\uBDC6",  # (뷆; 뷆; 뷆; 뷆; 뷆; ) HANGUL SYLLABLE BWELP
      "\uBDC7",  # (뷇; 뷇; 뷇; 뷇; 뷇; ) HANGUL SYLLABLE BWELH
      "\uBDC8",  # (뷈; 뷈; 뷈; 뷈; 뷈; ) HANGUL SYLLABLE BWEM
      "\uBDC9",  # (뷉; 뷉; 뷉; 뷉; 뷉; ) HANGUL SYLLABLE BWEB
      "\uBDCA",  # (뷊; 뷊; 뷊; 뷊; 뷊; ) HANGUL SYLLABLE BWEBS
      "\uBDCB",  # (뷋; 뷋; 뷋; 뷋; 뷋; ) HANGUL SYLLABLE BWES
      "\uBDCC",  # (뷌; 뷌; 뷌; 뷌; 뷌; ) HANGUL SYLLABLE BWESS
      "\uBDCD",  # (뷍; 뷍; 뷍; 뷍; 뷍; ) HANGUL SYLLABLE BWENG
      "\uBDCE",  # (뷎; 뷎; 뷎; 뷎; 뷎; ) HANGUL SYLLABLE BWEJ
      "\uBDCF",  # (뷏; 뷏; 뷏; 뷏; 뷏; ) HANGUL SYLLABLE BWEC
      "\uBDD0",  # (뷐; 뷐; 뷐; 뷐; 뷐; ) HANGUL SYLLABLE BWEK
      "\uBDD1",  # (뷑; 뷑; 뷑; 뷑; 뷑; ) HANGUL SYLLABLE BWET
      "\uBDD2",  # (뷒; 뷒; 뷒; 뷒; 뷒; ) HANGUL SYLLABLE BWEP
      "\uBDD3",  # (뷓; 뷓; 뷓; 뷓; 뷓; ) HANGUL SYLLABLE BWEH
      "\uBDD4",  # (뷔; 뷔; 뷔; 뷔; 뷔; ) HANGUL SYLLABLE BWI
      "\uBDD5",  # (뷕; 뷕; 뷕; 뷕; 뷕; ) HANGUL SYLLABLE BWIG
      "\uBDD6",  # (뷖; 뷖; 뷖; 뷖; 뷖; ) HANGUL SYLLABLE BWIGG
      "\uBDD7",  # (뷗; 뷗; 뷗; 뷗; 뷗; ) HANGUL SYLLABLE BWIGS
      "\uBDD8",  # (뷘; 뷘; 뷘; 뷘; 뷘; ) HANGUL SYLLABLE BWIN
      "\uBDD9",  # (뷙; 뷙; 뷙; 뷙; 뷙; ) HANGUL SYLLABLE BWINJ
      "\uBDDA",  # (뷚; 뷚; 뷚; 뷚; 뷚; ) HANGUL SYLLABLE BWINH
      "\uBDDB",  # (뷛; 뷛; 뷛; 뷛; 뷛; ) HANGUL SYLLABLE BWID
      "\uBDDC",  # (뷜; 뷜; 뷜; 뷜; 뷜; ) HANGUL SYLLABLE BWIL
      "\uBDDD",  # (뷝; 뷝; 뷝; 뷝; 뷝; ) HANGUL SYLLABLE BWILG
      "\uBDDE",  # (뷞; 뷞; 뷞; 뷞; 뷞; ) HANGUL SYLLABLE BWILM
      "\uBDDF",  # (뷟; 뷟; 뷟; 뷟; 뷟; ) HANGUL SYLLABLE BWILB
      "\uBDE0",  # (뷠; 뷠; 뷠; 뷠; 뷠; ) HANGUL SYLLABLE BWILS
      "\uBDE1",  # (뷡; 뷡; 뷡; 뷡; 뷡; ) HANGUL SYLLABLE BWILT
      "\uBDE2",  # (뷢; 뷢; 뷢; 뷢; 뷢; ) HANGUL SYLLABLE BWILP
      "\uBDE3",  # (뷣; 뷣; 뷣; 뷣; 뷣; ) HANGUL SYLLABLE BWILH
      "\uBDE4",  # (뷤; 뷤; 뷤; 뷤; 뷤; ) HANGUL SYLLABLE BWIM
      "\uBDE5",  # (뷥; 뷥; 뷥; 뷥; 뷥; ) HANGUL SYLLABLE BWIB
      "\uBDE6",  # (뷦; 뷦; 뷦; 뷦; 뷦; ) HANGUL SYLLABLE BWIBS
      "\uBDE7",  # (뷧; 뷧; 뷧; 뷧; 뷧; ) HANGUL SYLLABLE BWIS
      "\uBDE8",  # (뷨; 뷨; 뷨; 뷨; 뷨; ) HANGUL SYLLABLE BWISS
      "\uBDE9",  # (뷩; 뷩; 뷩; 뷩; 뷩; ) HANGUL SYLLABLE BWING
      "\uBDEA",  # (뷪; 뷪; 뷪; 뷪; 뷪; ) HANGUL SYLLABLE BWIJ
      "\uBDEB",  # (뷫; 뷫; 뷫; 뷫; 뷫; ) HANGUL SYLLABLE BWIC
      "\uBDEC",  # (뷬; 뷬; 뷬; 뷬; 뷬; ) HANGUL SYLLABLE BWIK
      "\uBDED",  # (뷭; 뷭; 뷭; 뷭; 뷭; ) HANGUL SYLLABLE BWIT
      "\uBDEE",  # (뷮; 뷮; 뷮; 뷮; 뷮; ) HANGUL SYLLABLE BWIP
      "\uBDEF",  # (뷯; 뷯; 뷯; 뷯; 뷯; ) HANGUL SYLLABLE BWIH
      "\uBDF0",  # (뷰; 뷰; 뷰; 뷰; 뷰; ) HANGUL SYLLABLE BYU
      "\uBDF1",  # (뷱; 뷱; 뷱; 뷱; 뷱; ) HANGUL SYLLABLE BYUG
      "\uBDF2",  # (뷲; 뷲; 뷲; 뷲; 뷲; ) HANGUL SYLLABLE BYUGG
      "\uBDF3",  # (뷳; 뷳; 뷳; 뷳; 뷳; ) HANGUL SYLLABLE BYUGS
      "\uBDF4",  # (뷴; 뷴; 뷴; 뷴; 뷴; ) HANGUL SYLLABLE BYUN
      "\uBDF5",  # (뷵; 뷵; 뷵; 뷵; 뷵; ) HANGUL SYLLABLE BYUNJ
      "\uBDF6",  # (뷶; 뷶; 뷶; 뷶; 뷶; ) HANGUL SYLLABLE BYUNH
      "\uBDF7",  # (뷷; 뷷; 뷷; 뷷; 뷷; ) HANGUL SYLLABLE BYUD
      "\uBDF8",  # (뷸; 뷸; 뷸; 뷸; 뷸; ) HANGUL SYLLABLE BYUL
      "\uBDF9",  # (뷹; 뷹; 뷹; 뷹; 뷹; ) HANGUL SYLLABLE BYULG
      "\uBDFA",  # (뷺; 뷺; 뷺; 뷺; 뷺; ) HANGUL SYLLABLE BYULM
      "\uBDFB",  # (뷻; 뷻; 뷻; 뷻; 뷻; ) HANGUL SYLLABLE BYULB
      "\uBDFC",  # (뷼; 뷼; 뷼; 뷼; 뷼; ) HANGUL SYLLABLE BYULS
      "\uBDFD",  # (뷽; 뷽; 뷽; 뷽; 뷽; ) HANGUL SYLLABLE BYULT
      "\uBDFE",  # (뷾; 뷾; 뷾; 뷾; 뷾; ) HANGUL SYLLABLE BYULP
      "\uBDFF",  # (뷿; 뷿; 뷿; 뷿; 뷿; ) HANGUL SYLLABLE BYULH
      "\uBE00",  # (븀; 븀; 븀; 븀; 븀; ) HANGUL SYLLABLE BYUM
      "\uBE01",  # (븁; 븁; 븁; 븁; 븁; ) HANGUL SYLLABLE BYUB
      "\uBE02",  # (븂; 븂; 븂; 븂; 븂; ) HANGUL SYLLABLE BYUBS
      "\uBE03",  # (븃; 븃; 븃; 븃; 븃; ) HANGUL SYLLABLE BYUS
      "\uBE04",  # (븄; 븄; 븄; 븄; 븄; ) HANGUL SYLLABLE BYUSS
      "\uBE05",  # (븅; 븅; 븅; 븅; 븅; ) HANGUL SYLLABLE BYUNG
      "\uBE06",  # (븆; 븆; 븆; 븆; 븆; ) HANGUL SYLLABLE BYUJ
      "\uBE07",  # (븇; 븇; 븇; 븇; 븇; ) HANGUL SYLLABLE BYUC
      "\uBE08",  # (븈; 븈; 븈; 븈; 븈; ) HANGUL SYLLABLE BYUK
      "\uBE09",  # (븉; 븉; 븉; 븉; 븉; ) HANGUL SYLLABLE BYUT
      "\uBE0A",  # (븊; 븊; 븊; 븊; 븊; ) HANGUL SYLLABLE BYUP
      "\uBE0B",  # (븋; 븋; 븋; 븋; 븋; ) HANGUL SYLLABLE BYUH
      "\uBE0C",  # (브; 브; 브; 브; 브; ) HANGUL SYLLABLE BEU
      "\uBE0D",  # (븍; 븍; 븍; 븍; 븍; ) HANGUL SYLLABLE BEUG
      "\uBE0E",  # (븎; 븎; 븎; 븎; 븎; ) HANGUL SYLLABLE BEUGG
      "\uBE0F",  # (븏; 븏; 븏; 븏; 븏; ) HANGUL SYLLABLE BEUGS
      "\uBE10",  # (븐; 븐; 븐; 븐; 븐; ) HANGUL SYLLABLE BEUN
      "\uBE11",  # (븑; 븑; 븑; 븑; 븑; ) HANGUL SYLLABLE BEUNJ
      "\uBE12",  # (븒; 븒; 븒; 븒; 븒; ) HANGUL SYLLABLE BEUNH
      "\uBE13",  # (븓; 븓; 븓; 븓; 븓; ) HANGUL SYLLABLE BEUD
      "\uBE14",  # (블; 블; 블; 블; 블; ) HANGUL SYLLABLE BEUL
      "\uBE15",  # (븕; 븕; 븕; 븕; 븕; ) HANGUL SYLLABLE BEULG
      "\uBE16",  # (븖; 븖; 븖; 븖; 븖; ) HANGUL SYLLABLE BEULM
      "\uBE17",  # (븗; 븗; 븗; 븗; 븗; ) HANGUL SYLLABLE BEULB
      "\uBE18",  # (븘; 븘; 븘; 븘; 븘; ) HANGUL SYLLABLE BEULS
      "\uBE19",  # (븙; 븙; 븙; 븙; 븙; ) HANGUL SYLLABLE BEULT
      "\uBE1A",  # (븚; 븚; 븚; 븚; 븚; ) HANGUL SYLLABLE BEULP
      "\uBE1B",  # (븛; 븛; 븛; 븛; 븛; ) HANGUL SYLLABLE BEULH
      "\uBE1C",  # (븜; 븜; 븜; 븜; 븜; ) HANGUL SYLLABLE BEUM
      "\uBE1D",  # (븝; 븝; 븝; 븝; 븝; ) HANGUL SYLLABLE BEUB
      "\uBE1E",  # (븞; 븞; 븞; 븞; 븞; ) HANGUL SYLLABLE BEUBS
      "\uBE1F",  # (븟; 븟; 븟; 븟; 븟; ) HANGUL SYLLABLE BEUS
      "\uBE20",  # (븠; 븠; 븠; 븠; 븠; ) HANGUL SYLLABLE BEUSS
      "\uBE21",  # (븡; 븡; 븡; 븡; 븡; ) HANGUL SYLLABLE BEUNG
      "\uBE22",  # (븢; 븢; 븢; 븢; 븢; ) HANGUL SYLLABLE BEUJ
      "\uBE23",  # (븣; 븣; 븣; 븣; 븣; ) HANGUL SYLLABLE BEUC
      "\uBE24",  # (븤; 븤; 븤; 븤; 븤; ) HANGUL SYLLABLE BEUK
      "\uBE25",  # (븥; 븥; 븥; 븥; 븥; ) HANGUL SYLLABLE BEUT
      "\uBE26",  # (븦; 븦; 븦; 븦; 븦; ) HANGUL SYLLABLE BEUP
      "\uBE27",  # (븧; 븧; 븧; 븧; 븧; ) HANGUL SYLLABLE BEUH
      "\uBE28",  # (븨; 븨; 븨; 븨; 븨; ) HANGUL SYLLABLE BYI
      "\uBE29",  # (븩; 븩; 븩; 븩; 븩; ) HANGUL SYLLABLE BYIG
      "\uBE2A",  # (븪; 븪; 븪; 븪; 븪; ) HANGUL SYLLABLE BYIGG
      "\uBE2B",  # (븫; 븫; 븫; 븫; 븫; ) HANGUL SYLLABLE BYIGS
      "\uBE2C",  # (븬; 븬; 븬; 븬; 븬; ) HANGUL SYLLABLE BYIN
      "\uBE2D",  # (븭; 븭; 븭; 븭; 븭; ) HANGUL SYLLABLE BYINJ
      "\uBE2E",  # (븮; 븮; 븮; 븮; 븮; ) HANGUL SYLLABLE BYINH
      "\uBE2F",  # (븯; 븯; 븯; 븯; 븯; ) HANGUL SYLLABLE BYID
      "\uBE30",  # (븰; 븰; 븰; 븰; 븰; ) HANGUL SYLLABLE BYIL
      "\uBE31",  # (븱; 븱; 븱; 븱; 븱; ) HANGUL SYLLABLE BYILG
      "\uBE32",  # (븲; 븲; 븲; 븲; 븲; ) HANGUL SYLLABLE BYILM
      "\uBE33",  # (븳; 븳; 븳; 븳; 븳; ) HANGUL SYLLABLE BYILB
      "\uBE34",  # (븴; 븴; 븴; 븴; 븴; ) HANGUL SYLLABLE BYILS
      "\uBE35",  # (븵; 븵; 븵; 븵; 븵; ) HANGUL SYLLABLE BYILT
      "\uBE36",  # (븶; 븶; 븶; 븶; 븶; ) HANGUL SYLLABLE BYILP
      "\uBE37",  # (븷; 븷; 븷; 븷; 븷; ) HANGUL SYLLABLE BYILH
      "\uBE38",  # (븸; 븸; 븸; 븸; 븸; ) HANGUL SYLLABLE BYIM
      "\uBE39",  # (븹; 븹; 븹; 븹; 븹; ) HANGUL SYLLABLE BYIB
      "\uBE3A",  # (븺; 븺; 븺; 븺; 븺; ) HANGUL SYLLABLE BYIBS
      "\uBE3B",  # (븻; 븻; 븻; 븻; 븻; ) HANGUL SYLLABLE BYIS
      "\uBE3C",  # (븼; 븼; 븼; 븼; 븼; ) HANGUL SYLLABLE BYISS
      "\uBE3D",  # (븽; 븽; 븽; 븽; 븽; ) HANGUL SYLLABLE BYING
      "\uBE3E",  # (븾; 븾; 븾; 븾; 븾; ) HANGUL SYLLABLE BYIJ
      "\uBE3F",  # (븿; 븿; 븿; 븿; 븿; ) HANGUL SYLLABLE BYIC
      "\uBE40",  # (빀; 빀; 빀; 빀; 빀; ) HANGUL SYLLABLE BYIK
      "\uBE41",  # (빁; 빁; 빁; 빁; 빁; ) HANGUL SYLLABLE BYIT
      "\uBE42",  # (빂; 빂; 빂; 빂; 빂; ) HANGUL SYLLABLE BYIP
      "\uBE43",  # (빃; 빃; 빃; 빃; 빃; ) HANGUL SYLLABLE BYIH
      "\uBE44",  # (비; 비; 비; 비; 비; ) HANGUL SYLLABLE BI
      "\uBE45",  # (빅; 빅; 빅; 빅; 빅; ) HANGUL SYLLABLE BIG
      "\uBE46",  # (빆; 빆; 빆; 빆; 빆; ) HANGUL SYLLABLE BIGG
      "\uBE47",  # (빇; 빇; 빇; 빇; 빇; ) HANGUL SYLLABLE BIGS
      "\uBE48",  # (빈; 빈; 빈; 빈; 빈; ) HANGUL SYLLABLE BIN
      "\uBE49",  # (빉; 빉; 빉; 빉; 빉; ) HANGUL SYLLABLE BINJ
      "\uBE4A",  # (빊; 빊; 빊; 빊; 빊; ) HANGUL SYLLABLE BINH
      "\uBE4B",  # (빋; 빋; 빋; 빋; 빋; ) HANGUL SYLLABLE BID
      "\uBE4C",  # (빌; 빌; 빌; 빌; 빌; ) HANGUL SYLLABLE BIL
      "\uBE4D",  # (빍; 빍; 빍; 빍; 빍; ) HANGUL SYLLABLE BILG
      "\uBE4E",  # (빎; 빎; 빎; 빎; 빎; ) HANGUL SYLLABLE BILM
      "\uBE4F",  # (빏; 빏; 빏; 빏; 빏; ) HANGUL SYLLABLE BILB
      "\uBE50",  # (빐; 빐; 빐; 빐; 빐; ) HANGUL SYLLABLE BILS
      "\uBE51",  # (빑; 빑; 빑; 빑; 빑; ) HANGUL SYLLABLE BILT
      "\uBE52",  # (빒; 빒; 빒; 빒; 빒; ) HANGUL SYLLABLE BILP
      "\uBE53",  # (빓; 빓; 빓; 빓; 빓; ) HANGUL SYLLABLE BILH
      "\uBE54",  # (빔; 빔; 빔; 빔; 빔; ) HANGUL SYLLABLE BIM
      "\uBE55",  # (빕; 빕; 빕; 빕; 빕; ) HANGUL SYLLABLE BIB
      "\uBE56",  # (빖; 빖; 빖; 빖; 빖; ) HANGUL SYLLABLE BIBS
      "\uBE57",  # (빗; 빗; 빗; 빗; 빗; ) HANGUL SYLLABLE BIS
      "\uBE58",  # (빘; 빘; 빘; 빘; 빘; ) HANGUL SYLLABLE BISS
      "\uBE59",  # (빙; 빙; 빙; 빙; 빙; ) HANGUL SYLLABLE BING
      "\uBE5A",  # (빚; 빚; 빚; 빚; 빚; ) HANGUL SYLLABLE BIJ
      "\uBE5B",  # (빛; 빛; 빛; 빛; 빛; ) HANGUL SYLLABLE BIC
      "\uBE5C",  # (빜; 빜; 빜; 빜; 빜; ) HANGUL SYLLABLE BIK
      "\uBE5D",  # (빝; 빝; 빝; 빝; 빝; ) HANGUL SYLLABLE BIT
      "\uBE5E",  # (빞; 빞; 빞; 빞; 빞; ) HANGUL SYLLABLE BIP
      "\uBE5F",  # (빟; 빟; 빟; 빟; 빟; ) HANGUL SYLLABLE BIH
      "\uBE60",  # (빠; 빠; 빠; 빠; 빠; ) HANGUL SYLLABLE BBA
      "\uBE61",  # (빡; 빡; 빡; 빡; 빡; ) HANGUL SYLLABLE BBAG
      "\uBE62",  # (빢; 빢; 빢; 빢; 빢; ) HANGUL SYLLABLE BBAGG
      "\uBE63",  # (빣; 빣; 빣; 빣; 빣; ) HANGUL SYLLABLE BBAGS
      "\uBE64",  # (빤; 빤; 빤; 빤; 빤; ) HANGUL SYLLABLE BBAN
      "\uBE65",  # (빥; 빥; 빥; 빥; 빥; ) HANGUL SYLLABLE BBANJ
      "\uBE66",  # (빦; 빦; 빦; 빦; 빦; ) HANGUL SYLLABLE BBANH
      "\uBE67",  # (빧; 빧; 빧; 빧; 빧; ) HANGUL SYLLABLE BBAD
      "\uBE68",  # (빨; 빨; 빨; 빨; 빨; ) HANGUL SYLLABLE BBAL
      "\uBE69",  # (빩; 빩; 빩; 빩; 빩; ) HANGUL SYLLABLE BBALG
      "\uBE6A",  # (빪; 빪; 빪; 빪; 빪; ) HANGUL SYLLABLE BBALM
      "\uBE6B",  # (빫; 빫; 빫; 빫; 빫; ) HANGUL SYLLABLE BBALB
      "\uBE6C",  # (빬; 빬; 빬; 빬; 빬; ) HANGUL SYLLABLE BBALS
      "\uBE6D",  # (빭; 빭; 빭; 빭; 빭; ) HANGUL SYLLABLE BBALT
      "\uBE6E",  # (빮; 빮; 빮; 빮; 빮; ) HANGUL SYLLABLE BBALP
      "\uBE6F",  # (빯; 빯; 빯; 빯; 빯; ) HANGUL SYLLABLE BBALH
      "\uBE70",  # (빰; 빰; 빰; 빰; 빰; ) HANGUL SYLLABLE BBAM
      "\uBE71",  # (빱; 빱; 빱; 빱; 빱; ) HANGUL SYLLABLE BBAB
      "\uBE72",  # (빲; 빲; 빲; 빲; 빲; ) HANGUL SYLLABLE BBABS
      "\uBE73",  # (빳; 빳; 빳; 빳; 빳; ) HANGUL SYLLABLE BBAS
      "\uBE74",  # (빴; 빴; 빴; 빴; 빴; ) HANGUL SYLLABLE BBASS
      "\uBE75",  # (빵; 빵; 빵; 빵; 빵; ) HANGUL SYLLABLE BBANG
      "\uBE76",  # (빶; 빶; 빶; 빶; 빶; ) HANGUL SYLLABLE BBAJ
      "\uBE77",  # (빷; 빷; 빷; 빷; 빷; ) HANGUL SYLLABLE BBAC
      "\uBE78",  # (빸; 빸; 빸; 빸; 빸; ) HANGUL SYLLABLE BBAK
      "\uBE79",  # (빹; 빹; 빹; 빹; 빹; ) HANGUL SYLLABLE BBAT
      "\uBE7A",  # (빺; 빺; 빺; 빺; 빺; ) HANGUL SYLLABLE BBAP
      "\uBE7B",  # (빻; 빻; 빻; 빻; 빻; ) HANGUL SYLLABLE BBAH
      "\uBE7C",  # (빼; 빼; 빼; 빼; 빼; ) HANGUL SYLLABLE BBAE
      "\uBE7D",  # (빽; 빽; 빽; 빽; 빽; ) HANGUL SYLLABLE BBAEG
      "\uBE7E",  # (빾; 빾; 빾; 빾; 빾; ) HANGUL SYLLABLE BBAEGG
      "\uBE7F",  # (빿; 빿; 빿; 빿; 빿; ) HANGUL SYLLABLE BBAEGS
      "\uBE80",  # (뺀; 뺀; 뺀; 뺀; 뺀; ) HANGUL SYLLABLE BBAEN
      "\uBE81",  # (뺁; 뺁; 뺁; 뺁; 뺁; ) HANGUL SYLLABLE BBAENJ
      "\uBE82",  # (뺂; 뺂; 뺂; 뺂; 뺂; ) HANGUL SYLLABLE BBAENH
      "\uBE83",  # (뺃; 뺃; 뺃; 뺃; 뺃; ) HANGUL SYLLABLE BBAED
      "\uBE84",  # (뺄; 뺄; 뺄; 뺄; 뺄; ) HANGUL SYLLABLE BBAEL
      "\uBE85",  # (뺅; 뺅; 뺅; 뺅; 뺅; ) HANGUL SYLLABLE BBAELG
      "\uBE86",  # (뺆; 뺆; 뺆; 뺆; 뺆; ) HANGUL SYLLABLE BBAELM
      "\uBE87",  # (뺇; 뺇; 뺇; 뺇; 뺇; ) HANGUL SYLLABLE BBAELB
      "\uBE88",  # (뺈; 뺈; 뺈; 뺈; 뺈; ) HANGUL SYLLABLE BBAELS
      "\uBE89",  # (뺉; 뺉; 뺉; 뺉; 뺉; ) HANGUL SYLLABLE BBAELT
      "\uBE8A",  # (뺊; 뺊; 뺊; 뺊; 뺊; ) HANGUL SYLLABLE BBAELP
      "\uBE8B",  # (뺋; 뺋; 뺋; 뺋; 뺋; ) HANGUL SYLLABLE BBAELH
      "\uBE8C",  # (뺌; 뺌; 뺌; 뺌; 뺌; ) HANGUL SYLLABLE BBAEM
      "\uBE8D",  # (뺍; 뺍; 뺍; 뺍; 뺍; ) HANGUL SYLLABLE BBAEB
      "\uBE8E",  # (뺎; 뺎; 뺎; 뺎; 뺎; ) HANGUL SYLLABLE BBAEBS
      "\uBE8F",  # (뺏; 뺏; 뺏; 뺏; 뺏; ) HANGUL SYLLABLE BBAES
      "\uBE90",  # (뺐; 뺐; 뺐; 뺐; 뺐; ) HANGUL SYLLABLE BBAESS
      "\uBE91",  # (뺑; 뺑; 뺑; 뺑; 뺑; ) HANGUL SYLLABLE BBAENG
      "\uBE92",  # (뺒; 뺒; 뺒; 뺒; 뺒; ) HANGUL SYLLABLE BBAEJ
      "\uBE93",  # (뺓; 뺓; 뺓; 뺓; 뺓; ) HANGUL SYLLABLE BBAEC
      "\uBE94",  # (뺔; 뺔; 뺔; 뺔; 뺔; ) HANGUL SYLLABLE BBAEK
      "\uBE95",  # (뺕; 뺕; 뺕; 뺕; 뺕; ) HANGUL SYLLABLE BBAET
      "\uBE96",  # (뺖; 뺖; 뺖; 뺖; 뺖; ) HANGUL SYLLABLE BBAEP
      "\uBE97",  # (뺗; 뺗; 뺗; 뺗; 뺗; ) HANGUL SYLLABLE BBAEH
      "\uBE98",  # (뺘; 뺘; 뺘; 뺘; 뺘; ) HANGUL SYLLABLE BBYA
      "\uBE99",  # (뺙; 뺙; 뺙; 뺙; 뺙; ) HANGUL SYLLABLE BBYAG
      "\uBE9A",  # (뺚; 뺚; 뺚; 뺚; 뺚; ) HANGUL SYLLABLE BBYAGG
      "\uBE9B",  # (뺛; 뺛; 뺛; 뺛; 뺛; ) HANGUL SYLLABLE BBYAGS
      "\uBE9C",  # (뺜; 뺜; 뺜; 뺜; 뺜; ) HANGUL SYLLABLE BBYAN
      "\uBE9D",  # (뺝; 뺝; 뺝; 뺝; 뺝; ) HANGUL SYLLABLE BBYANJ
      "\uBE9E",  # (뺞; 뺞; 뺞; 뺞; 뺞; ) HANGUL SYLLABLE BBYANH
      "\uBE9F",  # (뺟; 뺟; 뺟; 뺟; 뺟; ) HANGUL SYLLABLE BBYAD
      "\uBEA0",  # (뺠; 뺠; 뺠; 뺠; 뺠; ) HANGUL SYLLABLE BBYAL
      "\uBEA1",  # (뺡; 뺡; 뺡; 뺡; 뺡; ) HANGUL SYLLABLE BBYALG
      "\uBEA2",  # (뺢; 뺢; 뺢; 뺢; 뺢; ) HANGUL SYLLABLE BBYALM
      "\uBEA3",  # (뺣; 뺣; 뺣; 뺣; 뺣; ) HANGUL SYLLABLE BBYALB
      "\uBEA4",  # (뺤; 뺤; 뺤; 뺤; 뺤; ) HANGUL SYLLABLE BBYALS
      "\uBEA5",  # (뺥; 뺥; 뺥; 뺥; 뺥; ) HANGUL SYLLABLE BBYALT
      "\uBEA6",  # (뺦; 뺦; 뺦; 뺦; 뺦; ) HANGUL SYLLABLE BBYALP
      "\uBEA7",  # (뺧; 뺧; 뺧; 뺧; 뺧; ) HANGUL SYLLABLE BBYALH
      "\uBEA8",  # (뺨; 뺨; 뺨; 뺨; 뺨; ) HANGUL SYLLABLE BBYAM
      "\uBEA9",  # (뺩; 뺩; 뺩; 뺩; 뺩; ) HANGUL SYLLABLE BBYAB
      "\uBEAA",  # (뺪; 뺪; 뺪; 뺪; 뺪; ) HANGUL SYLLABLE BBYABS
      "\uBEAB",  # (뺫; 뺫; 뺫; 뺫; 뺫; ) HANGUL SYLLABLE BBYAS
      "\uBEAC",  # (뺬; 뺬; 뺬; 뺬; 뺬; ) HANGUL SYLLABLE BBYASS
      "\uBEAD",  # (뺭; 뺭; 뺭; 뺭; 뺭; ) HANGUL SYLLABLE BBYANG
      "\uBEAE",  # (뺮; 뺮; 뺮; 뺮; 뺮; ) HANGUL SYLLABLE BBYAJ
      "\uBEAF",  # (뺯; 뺯; 뺯; 뺯; 뺯; ) HANGUL SYLLABLE BBYAC
      "\uBEB0",  # (뺰; 뺰; 뺰; 뺰; 뺰; ) HANGUL SYLLABLE BBYAK
      "\uBEB1",  # (뺱; 뺱; 뺱; 뺱; 뺱; ) HANGUL SYLLABLE BBYAT
      "\uBEB2",  # (뺲; 뺲; 뺲; 뺲; 뺲; ) HANGUL SYLLABLE BBYAP
      "\uBEB3",  # (뺳; 뺳; 뺳; 뺳; 뺳; ) HANGUL SYLLABLE BBYAH
      "\uBEB4",  # (뺴; 뺴; 뺴; 뺴; 뺴; ) HANGUL SYLLABLE BBYAE
      "\uBEB5",  # (뺵; 뺵; 뺵; 뺵; 뺵; ) HANGUL SYLLABLE BBYAEG
      "\uBEB6",  # (뺶; 뺶; 뺶; 뺶; 뺶; ) HANGUL SYLLABLE BBYAEGG
      "\uBEB7",  # (뺷; 뺷; 뺷; 뺷; 뺷; ) HANGUL SYLLABLE BBYAEGS
      "\uBEB8",  # (뺸; 뺸; 뺸; 뺸; 뺸; ) HANGUL SYLLABLE BBYAEN
      "\uBEB9",  # (뺹; 뺹; 뺹; 뺹; 뺹; ) HANGUL SYLLABLE BBYAENJ
      "\uBEBA",  # (뺺; 뺺; 뺺; 뺺; 뺺; ) HANGUL SYLLABLE BBYAENH
      "\uBEBB",  # (뺻; 뺻; 뺻; 뺻; 뺻; ) HANGUL SYLLABLE BBYAED
      "\uBEBC",  # (뺼; 뺼; 뺼; 뺼; 뺼; ) HANGUL SYLLABLE BBYAEL
      "\uBEBD",  # (뺽; 뺽; 뺽; 뺽; 뺽; ) HANGUL SYLLABLE BBYAELG
      "\uBEBE",  # (뺾; 뺾; 뺾; 뺾; 뺾; ) HANGUL SYLLABLE BBYAELM
      "\uBEBF",  # (뺿; 뺿; 뺿; 뺿; 뺿; ) HANGUL SYLLABLE BBYAELB
      "\uBEC0",  # (뻀; 뻀; 뻀; 뻀; 뻀; ) HANGUL SYLLABLE BBYAELS
      "\uBEC1",  # (뻁; 뻁; 뻁; 뻁; 뻁; ) HANGUL SYLLABLE BBYAELT
      "\uBEC2",  # (뻂; 뻂; 뻂; 뻂; 뻂; ) HANGUL SYLLABLE BBYAELP
      "\uBEC3",  # (뻃; 뻃; 뻃; 뻃; 뻃; ) HANGUL SYLLABLE BBYAELH
      "\uBEC4",  # (뻄; 뻄; 뻄; 뻄; 뻄; ) HANGUL SYLLABLE BBYAEM
      "\uBEC5",  # (뻅; 뻅; 뻅; 뻅; 뻅; ) HANGUL SYLLABLE BBYAEB
      "\uBEC6",  # (뻆; 뻆; 뻆; 뻆; 뻆; ) HANGUL SYLLABLE BBYAEBS
      "\uBEC7",  # (뻇; 뻇; 뻇; 뻇; 뻇; ) HANGUL SYLLABLE BBYAES
      "\uBEC8",  # (뻈; 뻈; 뻈; 뻈; 뻈; ) HANGUL SYLLABLE BBYAESS
      "\uBEC9",  # (뻉; 뻉; 뻉; 뻉; 뻉; ) HANGUL SYLLABLE BBYAENG
      "\uBECA",  # (뻊; 뻊; 뻊; 뻊; 뻊; ) HANGUL SYLLABLE BBYAEJ
      "\uBECB",  # (뻋; 뻋; 뻋; 뻋; 뻋; ) HANGUL SYLLABLE BBYAEC
      "\uBECC",  # (뻌; 뻌; 뻌; 뻌; 뻌; ) HANGUL SYLLABLE BBYAEK
      "\uBECD",  # (뻍; 뻍; 뻍; 뻍; 뻍; ) HANGUL SYLLABLE BBYAET
      "\uBECE",  # (뻎; 뻎; 뻎; 뻎; 뻎; ) HANGUL SYLLABLE BBYAEP
      "\uBECF",  # (뻏; 뻏; 뻏; 뻏; 뻏; ) HANGUL SYLLABLE BBYAEH
      "\uBED0",  # (뻐; 뻐; 뻐; 뻐; 뻐; ) HANGUL SYLLABLE BBEO
      "\uBED1",  # (뻑; 뻑; 뻑; 뻑; 뻑; ) HANGUL SYLLABLE BBEOG
      "\uBED2",  # (뻒; 뻒; 뻒; 뻒; 뻒; ) HANGUL SYLLABLE BBEOGG
      "\uBED3",  # (뻓; 뻓; 뻓; 뻓; 뻓; ) HANGUL SYLLABLE BBEOGS
      "\uBED4",  # (뻔; 뻔; 뻔; 뻔; 뻔; ) HANGUL SYLLABLE BBEON
      "\uBED5",  # (뻕; 뻕; 뻕; 뻕; 뻕; ) HANGUL SYLLABLE BBEONJ
      "\uBED6",  # (뻖; 뻖; 뻖; 뻖; 뻖; ) HANGUL SYLLABLE BBEONH
      "\uBED7",  # (뻗; 뻗; 뻗; 뻗; 뻗; ) HANGUL SYLLABLE BBEOD
      "\uBED8",  # (뻘; 뻘; 뻘; 뻘; 뻘; ) HANGUL SYLLABLE BBEOL
      "\uBED9",  # (뻙; 뻙; 뻙; 뻙; 뻙; ) HANGUL SYLLABLE BBEOLG
      "\uBEDA",  # (뻚; 뻚; 뻚; 뻚; 뻚; ) HANGUL SYLLABLE BBEOLM
      "\uBEDB",  # (뻛; 뻛; 뻛; 뻛; 뻛; ) HANGUL SYLLABLE BBEOLB
      "\uBEDC",  # (뻜; 뻜; 뻜; 뻜; 뻜; ) HANGUL SYLLABLE BBEOLS
      "\uBEDD",  # (뻝; 뻝; 뻝; 뻝; 뻝; ) HANGUL SYLLABLE BBEOLT
      "\uBEDE",  # (뻞; 뻞; 뻞; 뻞; 뻞; ) HANGUL SYLLABLE BBEOLP
      "\uBEDF",  # (뻟; 뻟; 뻟; 뻟; 뻟; ) HANGUL SYLLABLE BBEOLH
      "\uBEE0",  # (뻠; 뻠; 뻠; 뻠; 뻠; ) HANGUL SYLLABLE BBEOM
      "\uBEE1",  # (뻡; 뻡; 뻡; 뻡; 뻡; ) HANGUL SYLLABLE BBEOB
      "\uBEE2",  # (뻢; 뻢; 뻢; 뻢; 뻢; ) HANGUL SYLLABLE BBEOBS
      "\uBEE3",  # (뻣; 뻣; 뻣; 뻣; 뻣; ) HANGUL SYLLABLE BBEOS
      "\uBEE4",  # (뻤; 뻤; 뻤; 뻤; 뻤; ) HANGUL SYLLABLE BBEOSS
      "\uBEE5",  # (뻥; 뻥; 뻥; 뻥; 뻥; ) HANGUL SYLLABLE BBEONG
      "\uBEE6",  # (뻦; 뻦; 뻦; 뻦; 뻦; ) HANGUL SYLLABLE BBEOJ
      "\uBEE7",  # (뻧; 뻧; 뻧; 뻧; 뻧; ) HANGUL SYLLABLE BBEOC
      "\uBEE8",  # (뻨; 뻨; 뻨; 뻨; 뻨; ) HANGUL SYLLABLE BBEOK
      "\uBEE9",  # (뻩; 뻩; 뻩; 뻩; 뻩; ) HANGUL SYLLABLE BBEOT
      "\uBEEA",  # (뻪; 뻪; 뻪; 뻪; 뻪; ) HANGUL SYLLABLE BBEOP
      "\uBEEB",  # (뻫; 뻫; 뻫; 뻫; 뻫; ) HANGUL SYLLABLE BBEOH
      "\uBEEC",  # (뻬; 뻬; 뻬; 뻬; 뻬; ) HANGUL SYLLABLE BBE
      "\uBEED",  # (뻭; 뻭; 뻭; 뻭; 뻭; ) HANGUL SYLLABLE BBEG
      "\uBEEE",  # (뻮; 뻮; 뻮; 뻮; 뻮; ) HANGUL SYLLABLE BBEGG
      "\uBEEF",  # (뻯; 뻯; 뻯; 뻯; 뻯; ) HANGUL SYLLABLE BBEGS
      "\uBEF0",  # (뻰; 뻰; 뻰; 뻰; 뻰; ) HANGUL SYLLABLE BBEN
      "\uBEF1",  # (뻱; 뻱; 뻱; 뻱; 뻱; ) HANGUL SYLLABLE BBENJ
      "\uBEF2",  # (뻲; 뻲; 뻲; 뻲; 뻲; ) HANGUL SYLLABLE BBENH
      "\uBEF3",  # (뻳; 뻳; 뻳; 뻳; 뻳; ) HANGUL SYLLABLE BBED
      "\uBEF4",  # (뻴; 뻴; 뻴; 뻴; 뻴; ) HANGUL SYLLABLE BBEL
      "\uBEF5",  # (뻵; 뻵; 뻵; 뻵; 뻵; ) HANGUL SYLLABLE BBELG
      "\uBEF6",  # (뻶; 뻶; 뻶; 뻶; 뻶; ) HANGUL SYLLABLE BBELM
      "\uBEF7",  # (뻷; 뻷; 뻷; 뻷; 뻷; ) HANGUL SYLLABLE BBELB
      "\uBEF8",  # (뻸; 뻸; 뻸; 뻸; 뻸; ) HANGUL SYLLABLE BBELS
      "\uBEF9",  # (뻹; 뻹; 뻹; 뻹; 뻹; ) HANGUL SYLLABLE BBELT
      "\uBEFA",  # (뻺; 뻺; 뻺; 뻺; 뻺; ) HANGUL SYLLABLE BBELP
      "\uBEFB",  # (뻻; 뻻; 뻻; 뻻; 뻻; ) HANGUL SYLLABLE BBELH
      "\uBEFC",  # (뻼; 뻼; 뻼; 뻼; 뻼; ) HANGUL SYLLABLE BBEM
      "\uBEFD",  # (뻽; 뻽; 뻽; 뻽; 뻽; ) HANGUL SYLLABLE BBEB
      "\uBEFE",  # (뻾; 뻾; 뻾; 뻾; 뻾; ) HANGUL SYLLABLE BBEBS
      "\uBEFF",  # (뻿; 뻿; 뻿; 뻿; 뻿; ) HANGUL SYLLABLE BBES
      "\uBF00",  # (뼀; 뼀; 뼀; 뼀; 뼀; ) HANGUL SYLLABLE BBESS
      "\uBF01",  # (뼁; 뼁; 뼁; 뼁; 뼁; ) HANGUL SYLLABLE BBENG
      "\uBF02",  # (뼂; 뼂; 뼂; 뼂; 뼂; ) HANGUL SYLLABLE BBEJ
      "\uBF03",  # (뼃; 뼃; 뼃; 뼃; 뼃; ) HANGUL SYLLABLE BBEC
      "\uBF04",  # (뼄; 뼄; 뼄; 뼄; 뼄; ) HANGUL SYLLABLE BBEK
      "\uBF05",  # (뼅; 뼅; 뼅; 뼅; 뼅; ) HANGUL SYLLABLE BBET
      "\uBF06",  # (뼆; 뼆; 뼆; 뼆; 뼆; ) HANGUL SYLLABLE BBEP
      "\uBF07",  # (뼇; 뼇; 뼇; 뼇; 뼇; ) HANGUL SYLLABLE BBEH
      "\uBF08",  # (뼈; 뼈; 뼈; 뼈; 뼈; ) HANGUL SYLLABLE BBYEO
      "\uBF09",  # (뼉; 뼉; 뼉; 뼉; 뼉; ) HANGUL SYLLABLE BBYEOG
      "\uBF0A",  # (뼊; 뼊; 뼊; 뼊; 뼊; ) HANGUL SYLLABLE BBYEOGG
      "\uBF0B",  # (뼋; 뼋; 뼋; 뼋; 뼋; ) HANGUL SYLLABLE BBYEOGS
      "\uBF0C",  # (뼌; 뼌; 뼌; 뼌; 뼌; ) HANGUL SYLLABLE BBYEON
      "\uBF0D",  # (뼍; 뼍; 뼍; 뼍; 뼍; ) HANGUL SYLLABLE BBYEONJ
      "\uBF0E",  # (뼎; 뼎; 뼎; 뼎; 뼎; ) HANGUL SYLLABLE BBYEONH
      "\uBF0F",  # (뼏; 뼏; 뼏; 뼏; 뼏; ) HANGUL SYLLABLE BBYEOD
      "\uBF10",  # (뼐; 뼐; 뼐; 뼐; 뼐; ) HANGUL SYLLABLE BBYEOL
      "\uBF11",  # (뼑; 뼑; 뼑; 뼑; 뼑; ) HANGUL SYLLABLE BBYEOLG
      "\uBF12",  # (뼒; 뼒; 뼒; 뼒; 뼒; ) HANGUL SYLLABLE BBYEOLM
      "\uBF13",  # (뼓; 뼓; 뼓; 뼓; 뼓; ) HANGUL SYLLABLE BBYEOLB
      "\uBF14",  # (뼔; 뼔; 뼔; 뼔; 뼔; ) HANGUL SYLLABLE BBYEOLS
      "\uBF15",  # (뼕; 뼕; 뼕; 뼕; 뼕; ) HANGUL SYLLABLE BBYEOLT
      "\uBF16",  # (뼖; 뼖; 뼖; 뼖; 뼖; ) HANGUL SYLLABLE BBYEOLP
      "\uBF17",  # (뼗; 뼗; 뼗; 뼗; 뼗; ) HANGUL SYLLABLE BBYEOLH
      "\uBF18",  # (뼘; 뼘; 뼘; 뼘; 뼘; ) HANGUL SYLLABLE BBYEOM
      "\uBF19",  # (뼙; 뼙; 뼙; 뼙; 뼙; ) HANGUL SYLLABLE BBYEOB
      "\uBF1A",  # (뼚; 뼚; 뼚; 뼚; 뼚; ) HANGUL SYLLABLE BBYEOBS
      "\uBF1B",  # (뼛; 뼛; 뼛; 뼛; 뼛; ) HANGUL SYLLABLE BBYEOS
      "\uBF1C",  # (뼜; 뼜; 뼜; 뼜; 뼜; ) HANGUL SYLLABLE BBYEOSS
      "\uBF1D",  # (뼝; 뼝; 뼝; 뼝; 뼝; ) HANGUL SYLLABLE BBYEONG
      "\uBF1E",  # (뼞; 뼞; 뼞; 뼞; 뼞; ) HANGUL SYLLABLE BBYEOJ
      "\uBF1F",  # (뼟; 뼟; 뼟; 뼟; 뼟; ) HANGUL SYLLABLE BBYEOC
      "\uBF20",  # (뼠; 뼠; 뼠; 뼠; 뼠; ) HANGUL SYLLABLE BBYEOK
      "\uBF21",  # (뼡; 뼡; 뼡; 뼡; 뼡; ) HANGUL SYLLABLE BBYEOT
      "\uBF22",  # (뼢; 뼢; 뼢; 뼢; 뼢; ) HANGUL SYLLABLE BBYEOP
      "\uBF23",  # (뼣; 뼣; 뼣; 뼣; 뼣; ) HANGUL SYLLABLE BBYEOH
      "\uBF24",  # (뼤; 뼤; 뼤; 뼤; 뼤; ) HANGUL SYLLABLE BBYE
      "\uBF25",  # (뼥; 뼥; 뼥; 뼥; 뼥; ) HANGUL SYLLABLE BBYEG
      "\uBF26",  # (뼦; 뼦; 뼦; 뼦; 뼦; ) HANGUL SYLLABLE BBYEGG
      "\uBF27",  # (뼧; 뼧; 뼧; 뼧; 뼧; ) HANGUL SYLLABLE BBYEGS
      "\uBF28",  # (뼨; 뼨; 뼨; 뼨; 뼨; ) HANGUL SYLLABLE BBYEN
      "\uBF29",  # (뼩; 뼩; 뼩; 뼩; 뼩; ) HANGUL SYLLABLE BBYENJ
      "\uBF2A",  # (뼪; 뼪; 뼪; 뼪; 뼪; ) HANGUL SYLLABLE BBYENH
      "\uBF2B",  # (뼫; 뼫; 뼫; 뼫; 뼫; ) HANGUL SYLLABLE BBYED
      "\uBF2C",  # (뼬; 뼬; 뼬; 뼬; 뼬; ) HANGUL SYLLABLE BBYEL
      "\uBF2D",  # (뼭; 뼭; 뼭; 뼭; 뼭; ) HANGUL SYLLABLE BBYELG
      "\uBF2E",  # (뼮; 뼮; 뼮; 뼮; 뼮; ) HANGUL SYLLABLE BBYELM
      "\uBF2F",  # (뼯; 뼯; 뼯; 뼯; 뼯; ) HANGUL SYLLABLE BBYELB
      "\uBF30",  # (뼰; 뼰; 뼰; 뼰; 뼰; ) HANGUL SYLLABLE BBYELS
      "\uBF31",  # (뼱; 뼱; 뼱; 뼱; 뼱; ) HANGUL SYLLABLE BBYELT
      "\uBF32",  # (뼲; 뼲; 뼲; 뼲; 뼲; ) HANGUL SYLLABLE BBYELP
      "\uBF33",  # (뼳; 뼳; 뼳; 뼳; 뼳; ) HANGUL SYLLABLE BBYELH
      "\uBF34",  # (뼴; 뼴; 뼴; 뼴; 뼴; ) HANGUL SYLLABLE BBYEM
      "\uBF35",  # (뼵; 뼵; 뼵; 뼵; 뼵; ) HANGUL SYLLABLE BBYEB
      "\uBF36",  # (뼶; 뼶; 뼶; 뼶; 뼶; ) HANGUL SYLLABLE BBYEBS
      "\uBF37",  # (뼷; 뼷; 뼷; 뼷; 뼷; ) HANGUL SYLLABLE BBYES
      "\uBF38",  # (뼸; 뼸; 뼸; 뼸; 뼸; ) HANGUL SYLLABLE BBYESS
      "\uBF39",  # (뼹; 뼹; 뼹; 뼹; 뼹; ) HANGUL SYLLABLE BBYENG
      "\uBF3A",  # (뼺; 뼺; 뼺; 뼺; 뼺; ) HANGUL SYLLABLE BBYEJ
      "\uBF3B",  # (뼻; 뼻; 뼻; 뼻; 뼻; ) HANGUL SYLLABLE BBYEC
      "\uBF3C",  # (뼼; 뼼; 뼼; 뼼; 뼼; ) HANGUL SYLLABLE BBYEK
      "\uBF3D",  # (뼽; 뼽; 뼽; 뼽; 뼽; ) HANGUL SYLLABLE BBYET
      "\uBF3E",  # (뼾; 뼾; 뼾; 뼾; 뼾; ) HANGUL SYLLABLE BBYEP
      "\uBF3F",  # (뼿; 뼿; 뼿; 뼿; 뼿; ) HANGUL SYLLABLE BBYEH
      "\uBF40",  # (뽀; 뽀; 뽀; 뽀; 뽀; ) HANGUL SYLLABLE BBO
      "\uBF41",  # (뽁; 뽁; 뽁; 뽁; 뽁; ) HANGUL SYLLABLE BBOG
      "\uBF42",  # (뽂; 뽂; 뽂; 뽂; 뽂; ) HANGUL SYLLABLE BBOGG
      "\uBF43",  # (뽃; 뽃; 뽃; 뽃; 뽃; ) HANGUL SYLLABLE BBOGS
      "\uBF44",  # (뽄; 뽄; 뽄; 뽄; 뽄; ) HANGUL SYLLABLE BBON
      "\uBF45",  # (뽅; 뽅; 뽅; 뽅; 뽅; ) HANGUL SYLLABLE BBONJ
      "\uBF46",  # (뽆; 뽆; 뽆; 뽆; 뽆; ) HANGUL SYLLABLE BBONH
      "\uBF47",  # (뽇; 뽇; 뽇; 뽇; 뽇; ) HANGUL SYLLABLE BBOD
      "\uBF48",  # (뽈; 뽈; 뽈; 뽈; 뽈; ) HANGUL SYLLABLE BBOL
      "\uBF49",  # (뽉; 뽉; 뽉; 뽉; 뽉; ) HANGUL SYLLABLE BBOLG
      "\uBF4A",  # (뽊; 뽊; 뽊; 뽊; 뽊; ) HANGUL SYLLABLE BBOLM
      "\uBF4B",  # (뽋; 뽋; 뽋; 뽋; 뽋; ) HANGUL SYLLABLE BBOLB
      "\uBF4C",  # (뽌; 뽌; 뽌; 뽌; 뽌; ) HANGUL SYLLABLE BBOLS
      "\uBF4D",  # (뽍; 뽍; 뽍; 뽍; 뽍; ) HANGUL SYLLABLE BBOLT
      "\uBF4E",  # (뽎; 뽎; 뽎; 뽎; 뽎; ) HANGUL SYLLABLE BBOLP
      "\uBF4F",  # (뽏; 뽏; 뽏; 뽏; 뽏; ) HANGUL SYLLABLE BBOLH
      "\uBF50",  # (뽐; 뽐; 뽐; 뽐; 뽐; ) HANGUL SYLLABLE BBOM
      "\uBF51",  # (뽑; 뽑; 뽑; 뽑; 뽑; ) HANGUL SYLLABLE BBOB
      "\uBF52",  # (뽒; 뽒; 뽒; 뽒; 뽒; ) HANGUL SYLLABLE BBOBS
      "\uBF53",  # (뽓; 뽓; 뽓; 뽓; 뽓; ) HANGUL SYLLABLE BBOS
      "\uBF54",  # (뽔; 뽔; 뽔; 뽔; 뽔; ) HANGUL SYLLABLE BBOSS
      "\uBF55",  # (뽕; 뽕; 뽕; 뽕; 뽕; ) HANGUL SYLLABLE BBONG
      "\uBF56",  # (뽖; 뽖; 뽖; 뽖; 뽖; ) HANGUL SYLLABLE BBOJ
      "\uBF57",  # (뽗; 뽗; 뽗; 뽗; 뽗; ) HANGUL SYLLABLE BBOC
      "\uBF58",  # (뽘; 뽘; 뽘; 뽘; 뽘; ) HANGUL SYLLABLE BBOK
      "\uBF59",  # (뽙; 뽙; 뽙; 뽙; 뽙; ) HANGUL SYLLABLE BBOT
      "\uBF5A",  # (뽚; 뽚; 뽚; 뽚; 뽚; ) HANGUL SYLLABLE BBOP
      "\uBF5B",  # (뽛; 뽛; 뽛; 뽛; 뽛; ) HANGUL SYLLABLE BBOH
      "\uBF5C",  # (뽜; 뽜; 뽜; 뽜; 뽜; ) HANGUL SYLLABLE BBWA
      "\uBF5D",  # (뽝; 뽝; 뽝; 뽝; 뽝; ) HANGUL SYLLABLE BBWAG
      "\uBF5E",  # (뽞; 뽞; 뽞; 뽞; 뽞; ) HANGUL SYLLABLE BBWAGG
      "\uBF5F",  # (뽟; 뽟; 뽟; 뽟; 뽟; ) HANGUL SYLLABLE BBWAGS
      "\uBF60",  # (뽠; 뽠; 뽠; 뽠; 뽠; ) HANGUL SYLLABLE BBWAN
      "\uBF61",  # (뽡; 뽡; 뽡; 뽡; 뽡; ) HANGUL SYLLABLE BBWANJ
      "\uBF62",  # (뽢; 뽢; 뽢; 뽢; 뽢; ) HANGUL SYLLABLE BBWANH
      "\uBF63",  # (뽣; 뽣; 뽣; 뽣; 뽣; ) HANGUL SYLLABLE BBWAD
      "\uBF64",  # (뽤; 뽤; 뽤; 뽤; 뽤; ) HANGUL SYLLABLE BBWAL
      "\uBF65",  # (뽥; 뽥; 뽥; 뽥; 뽥; ) HANGUL SYLLABLE BBWALG
      "\uBF66",  # (뽦; 뽦; 뽦; 뽦; 뽦; ) HANGUL SYLLABLE BBWALM
      "\uBF67",  # (뽧; 뽧; 뽧; 뽧; 뽧; ) HANGUL SYLLABLE BBWALB
      "\uBF68",  # (뽨; 뽨; 뽨; 뽨; 뽨; ) HANGUL SYLLABLE BBWALS
      "\uBF69",  # (뽩; 뽩; 뽩; 뽩; 뽩; ) HANGUL SYLLABLE BBWALT
      "\uBF6A",  # (뽪; 뽪; 뽪; 뽪; 뽪; ) HANGUL SYLLABLE BBWALP
      "\uBF6B",  # (뽫; 뽫; 뽫; 뽫; 뽫; ) HANGUL SYLLABLE BBWALH
      "\uBF6C",  # (뽬; 뽬; 뽬; 뽬; 뽬; ) HANGUL SYLLABLE BBWAM
      "\uBF6D",  # (뽭; 뽭; 뽭; 뽭; 뽭; ) HANGUL SYLLABLE BBWAB
      "\uBF6E",  # (뽮; 뽮; 뽮; 뽮; 뽮; ) HANGUL SYLLABLE BBWABS
      "\uBF6F",  # (뽯; 뽯; 뽯; 뽯; 뽯; ) HANGUL SYLLABLE BBWAS
      "\uBF70",  # (뽰; 뽰; 뽰; 뽰; 뽰; ) HANGUL SYLLABLE BBWASS
      "\uBF71",  # (뽱; 뽱; 뽱; 뽱; 뽱; ) HANGUL SYLLABLE BBWANG
      "\uBF72",  # (뽲; 뽲; 뽲; 뽲; 뽲; ) HANGUL SYLLABLE BBWAJ
      "\uBF73",  # (뽳; 뽳; 뽳; 뽳; 뽳; ) HANGUL SYLLABLE BBWAC
      "\uBF74",  # (뽴; 뽴; 뽴; 뽴; 뽴; ) HANGUL SYLLABLE BBWAK
      "\uBF75",  # (뽵; 뽵; 뽵; 뽵; 뽵; ) HANGUL SYLLABLE BBWAT
      "\uBF76",  # (뽶; 뽶; 뽶; 뽶; 뽶; ) HANGUL SYLLABLE BBWAP
      "\uBF77",  # (뽷; 뽷; 뽷; 뽷; 뽷; ) HANGUL SYLLABLE BBWAH
      "\uBF78",  # (뽸; 뽸; 뽸; 뽸; 뽸; ) HANGUL SYLLABLE BBWAE
      "\uBF79",  # (뽹; 뽹; 뽹; 뽹; 뽹; ) HANGUL SYLLABLE BBWAEG
      "\uBF7A",  # (뽺; 뽺; 뽺; 뽺; 뽺; ) HANGUL SYLLABLE BBWAEGG
      "\uBF7B",  # (뽻; 뽻; 뽻; 뽻; 뽻; ) HANGUL SYLLABLE BBWAEGS
      "\uBF7C",  # (뽼; 뽼; 뽼; 뽼; 뽼; ) HANGUL SYLLABLE BBWAEN
      "\uBF7D",  # (뽽; 뽽; 뽽; 뽽; 뽽; ) HANGUL SYLLABLE BBWAENJ
      "\uBF7E",  # (뽾; 뽾; 뽾; 뽾; 뽾; ) HANGUL SYLLABLE BBWAENH
      "\uBF7F",  # (뽿; 뽿; 뽿; 뽿; 뽿; ) HANGUL SYLLABLE BBWAED
      "\uBF80",  # (뾀; 뾀; 뾀; 뾀; 뾀; ) HANGUL SYLLABLE BBWAEL
      "\uBF81",  # (뾁; 뾁; 뾁; 뾁; 뾁; ) HANGUL SYLLABLE BBWAELG
      "\uBF82",  # (뾂; 뾂; 뾂; 뾂; 뾂; ) HANGUL SYLLABLE BBWAELM
      "\uBF83",  # (뾃; 뾃; 뾃; 뾃; 뾃; ) HANGUL SYLLABLE BBWAELB
      "\uBF84",  # (뾄; 뾄; 뾄; 뾄; 뾄; ) HANGUL SYLLABLE BBWAELS
      "\uBF85",  # (뾅; 뾅; 뾅; 뾅; 뾅; ) HANGUL SYLLABLE BBWAELT
      "\uBF86",  # (뾆; 뾆; 뾆; 뾆; 뾆; ) HANGUL SYLLABLE BBWAELP
      "\uBF87",  # (뾇; 뾇; 뾇; 뾇; 뾇; ) HANGUL SYLLABLE BBWAELH
      "\uBF88",  # (뾈; 뾈; 뾈; 뾈; 뾈; ) HANGUL SYLLABLE BBWAEM
      "\uBF89",  # (뾉; 뾉; 뾉; 뾉; 뾉; ) HANGUL SYLLABLE BBWAEB
      "\uBF8A",  # (뾊; 뾊; 뾊; 뾊; 뾊; ) HANGUL SYLLABLE BBWAEBS
      "\uBF8B",  # (뾋; 뾋; 뾋; 뾋; 뾋; ) HANGUL SYLLABLE BBWAES
      "\uBF8C",  # (뾌; 뾌; 뾌; 뾌; 뾌; ) HANGUL SYLLABLE BBWAESS
      "\uBF8D",  # (뾍; 뾍; 뾍; 뾍; 뾍; ) HANGUL SYLLABLE BBWAENG
      "\uBF8E",  # (뾎; 뾎; 뾎; 뾎; 뾎; ) HANGUL SYLLABLE BBWAEJ
      "\uBF8F",  # (뾏; 뾏; 뾏; 뾏; 뾏; ) HANGUL SYLLABLE BBWAEC
      "\uBF90",  # (뾐; 뾐; 뾐; 뾐; 뾐; ) HANGUL SYLLABLE BBWAEK
      "\uBF91",  # (뾑; 뾑; 뾑; 뾑; 뾑; ) HANGUL SYLLABLE BBWAET
      "\uBF92",  # (뾒; 뾒; 뾒; 뾒; 뾒; ) HANGUL SYLLABLE BBWAEP
      "\uBF93",  # (뾓; 뾓; 뾓; 뾓; 뾓; ) HANGUL SYLLABLE BBWAEH
      "\uBF94",  # (뾔; 뾔; 뾔; 뾔; 뾔; ) HANGUL SYLLABLE BBOE
      "\uBF95",  # (뾕; 뾕; 뾕; 뾕; 뾕; ) HANGUL SYLLABLE BBOEG
      "\uBF96",  # (뾖; 뾖; 뾖; 뾖; 뾖; ) HANGUL SYLLABLE BBOEGG
      "\uBF97",  # (뾗; 뾗; 뾗; 뾗; 뾗; ) HANGUL SYLLABLE BBOEGS
      "\uBF98",  # (뾘; 뾘; 뾘; 뾘; 뾘; ) HANGUL SYLLABLE BBOEN
      "\uBF99",  # (뾙; 뾙; 뾙; 뾙; 뾙; ) HANGUL SYLLABLE BBOENJ
      "\uBF9A",  # (뾚; 뾚; 뾚; 뾚; 뾚; ) HANGUL SYLLABLE BBOENH
      "\uBF9B",  # (뾛; 뾛; 뾛; 뾛; 뾛; ) HANGUL SYLLABLE BBOED
      "\uBF9C",  # (뾜; 뾜; 뾜; 뾜; 뾜; ) HANGUL SYLLABLE BBOEL
      "\uBF9D",  # (뾝; 뾝; 뾝; 뾝; 뾝; ) HANGUL SYLLABLE BBOELG
      "\uBF9E",  # (뾞; 뾞; 뾞; 뾞; 뾞; ) HANGUL SYLLABLE BBOELM
      "\uBF9F",  # (뾟; 뾟; 뾟; 뾟; 뾟; ) HANGUL SYLLABLE BBOELB
      "\uBFA0",  # (뾠; 뾠; 뾠; 뾠; 뾠; ) HANGUL SYLLABLE BBOELS
      "\uBFA1",  # (뾡; 뾡; 뾡; 뾡; 뾡; ) HANGUL SYLLABLE BBOELT
      "\uBFA2",  # (뾢; 뾢; 뾢; 뾢; 뾢; ) HANGUL SYLLABLE BBOELP
      "\uBFA3",  # (뾣; 뾣; 뾣; 뾣; 뾣; ) HANGUL SYLLABLE BBOELH
      "\uBFA4",  # (뾤; 뾤; 뾤; 뾤; 뾤; ) HANGUL SYLLABLE BBOEM
      "\uBFA5",  # (뾥; 뾥; 뾥; 뾥; 뾥; ) HANGUL SYLLABLE BBOEB
      "\uBFA6",  # (뾦; 뾦; 뾦; 뾦; 뾦; ) HANGUL SYLLABLE BBOEBS
      "\uBFA7",  # (뾧; 뾧; 뾧; 뾧; 뾧; ) HANGUL SYLLABLE BBOES
      "\uBFA8",  # (뾨; 뾨; 뾨; 뾨; 뾨; ) HANGUL SYLLABLE BBOESS
      "\uBFA9",  # (뾩; 뾩; 뾩; 뾩; 뾩; ) HANGUL SYLLABLE BBOENG
      "\uBFAA",  # (뾪; 뾪; 뾪; 뾪; 뾪; ) HANGUL SYLLABLE BBOEJ
      "\uBFAB",  # (뾫; 뾫; 뾫; 뾫; 뾫; ) HANGUL SYLLABLE BBOEC
      "\uBFAC",  # (뾬; 뾬; 뾬; 뾬; 뾬; ) HANGUL SYLLABLE BBOEK
      "\uBFAD",  # (뾭; 뾭; 뾭; 뾭; 뾭; ) HANGUL SYLLABLE BBOET
      "\uBFAE",  # (뾮; 뾮; 뾮; 뾮; 뾮; ) HANGUL SYLLABLE BBOEP
      "\uBFAF",  # (뾯; 뾯; 뾯; 뾯; 뾯; ) HANGUL SYLLABLE BBOEH
      "\uBFB0",  # (뾰; 뾰; 뾰; 뾰; 뾰; ) HANGUL SYLLABLE BBYO
      "\uBFB1",  # (뾱; 뾱; 뾱; 뾱; 뾱; ) HANGUL SYLLABLE BBYOG
      "\uBFB2",  # (뾲; 뾲; 뾲; 뾲; 뾲; ) HANGUL SYLLABLE BBYOGG
      "\uBFB3",  # (뾳; 뾳; 뾳; 뾳; 뾳; ) HANGUL SYLLABLE BBYOGS
      "\uBFB4",  # (뾴; 뾴; 뾴; 뾴; 뾴; ) HANGUL SYLLABLE BBYON
      "\uBFB5",  # (뾵; 뾵; 뾵; 뾵; 뾵; ) HANGUL SYLLABLE BBYONJ
      "\uBFB6",  # (뾶; 뾶; 뾶; 뾶; 뾶; ) HANGUL SYLLABLE BBYONH
      "\uBFB7",  # (뾷; 뾷; 뾷; 뾷; 뾷; ) HANGUL SYLLABLE BBYOD
      "\uBFB8",  # (뾸; 뾸; 뾸; 뾸; 뾸; ) HANGUL SYLLABLE BBYOL
      "\uBFB9",  # (뾹; 뾹; 뾹; 뾹; 뾹; ) HANGUL SYLLABLE BBYOLG
      "\uBFBA",  # (뾺; 뾺; 뾺; 뾺; 뾺; ) HANGUL SYLLABLE BBYOLM
      "\uBFBB",  # (뾻; 뾻; 뾻; 뾻; 뾻; ) HANGUL SYLLABLE BBYOLB
      "\uBFBC",  # (뾼; 뾼; 뾼; 뾼; 뾼; ) HANGUL SYLLABLE BBYOLS
      "\uBFBD",  # (뾽; 뾽; 뾽; 뾽; 뾽; ) HANGUL SYLLABLE BBYOLT
      "\uBFBE",  # (뾾; 뾾; 뾾; 뾾; 뾾; ) HANGUL SYLLABLE BBYOLP
      "\uBFBF",  # (뾿; 뾿; 뾿; 뾿; 뾿; ) HANGUL SYLLABLE BBYOLH
      "\uBFC0",  # (뿀; 뿀; 뿀; 뿀; 뿀; ) HANGUL SYLLABLE BBYOM
      "\uBFC1",  # (뿁; 뿁; 뿁; 뿁; 뿁; ) HANGUL SYLLABLE BBYOB
      "\uBFC2",  # (뿂; 뿂; 뿂; 뿂; 뿂; ) HANGUL SYLLABLE BBYOBS
      "\uBFC3",  # (뿃; 뿃; 뿃; 뿃; 뿃; ) HANGUL SYLLABLE BBYOS
      "\uBFC4",  # (뿄; 뿄; 뿄; 뿄; 뿄; ) HANGUL SYLLABLE BBYOSS
      "\uBFC5",  # (뿅; 뿅; 뿅; 뿅; 뿅; ) HANGUL SYLLABLE BBYONG
      "\uBFC6",  # (뿆; 뿆; 뿆; 뿆; 뿆; ) HANGUL SYLLABLE BBYOJ
      "\uBFC7",  # (뿇; 뿇; 뿇; 뿇; 뿇; ) HANGUL SYLLABLE BBYOC
      "\uBFC8",  # (뿈; 뿈; 뿈; 뿈; 뿈; ) HANGUL SYLLABLE BBYOK
      "\uBFC9",  # (뿉; 뿉; 뿉; 뿉; 뿉; ) HANGUL SYLLABLE BBYOT
      "\uBFCA",  # (뿊; 뿊; 뿊; 뿊; 뿊; ) HANGUL SYLLABLE BBYOP
      "\uBFCB",  # (뿋; 뿋; 뿋; 뿋; 뿋; ) HANGUL SYLLABLE BBYOH
      "\uBFCC",  # (뿌; 뿌; 뿌; 뿌; 뿌; ) HANGUL SYLLABLE BBU
      "\uBFCD",  # (뿍; 뿍; 뿍; 뿍; 뿍; ) HANGUL SYLLABLE BBUG
      "\uBFCE",  # (뿎; 뿎; 뿎; 뿎; 뿎; ) HANGUL SYLLABLE BBUGG
      "\uBFCF",  # (뿏; 뿏; 뿏; 뿏; 뿏; ) HANGUL SYLLABLE BBUGS
      "\uBFD0",  # (뿐; 뿐; 뿐; 뿐; 뿐; ) HANGUL SYLLABLE BBUN
      "\uBFD1",  # (뿑; 뿑; 뿑; 뿑; 뿑; ) HANGUL SYLLABLE BBUNJ
      "\uBFD2",  # (뿒; 뿒; 뿒; 뿒; 뿒; ) HANGUL SYLLABLE BBUNH
      "\uBFD3",  # (뿓; 뿓; 뿓; 뿓; 뿓; ) HANGUL SYLLABLE BBUD
      "\uBFD4",  # (뿔; 뿔; 뿔; 뿔; 뿔; ) HANGUL SYLLABLE BBUL
      "\uBFD5",  # (뿕; 뿕; 뿕; 뿕; 뿕; ) HANGUL SYLLABLE BBULG
      "\uBFD6",  # (뿖; 뿖; 뿖; 뿖; 뿖; ) HANGUL SYLLABLE BBULM
      "\uBFD7",  # (뿗; 뿗; 뿗; 뿗; 뿗; ) HANGUL SYLLABLE BBULB
      "\uBFD8",  # (뿘; 뿘; 뿘; 뿘; 뿘; ) HANGUL SYLLABLE BBULS
      "\uBFD9",  # (뿙; 뿙; 뿙; 뿙; 뿙; ) HANGUL SYLLABLE BBULT
      "\uBFDA",  # (뿚; 뿚; 뿚; 뿚; 뿚; ) HANGUL SYLLABLE BBULP
      "\uBFDB",  # (뿛; 뿛; 뿛; 뿛; 뿛; ) HANGUL SYLLABLE BBULH
      "\uBFDC",  # (뿜; 뿜; 뿜; 뿜; 뿜; ) HANGUL SYLLABLE BBUM
      "\uBFDD",  # (뿝; 뿝; 뿝; 뿝; 뿝; ) HANGUL SYLLABLE BBUB
      "\uBFDE",  # (뿞; 뿞; 뿞; 뿞; 뿞; ) HANGUL SYLLABLE BBUBS
      "\uBFDF",  # (뿟; 뿟; 뿟; 뿟; 뿟; ) HANGUL SYLLABLE BBUS
      "\uBFE0",  # (뿠; 뿠; 뿠; 뿠; 뿠; ) HANGUL SYLLABLE BBUSS
      "\uBFE1",  # (뿡; 뿡; 뿡; 뿡; 뿡; ) HANGUL SYLLABLE BBUNG
      "\uBFE2",  # (뿢; 뿢; 뿢; 뿢; 뿢; ) HANGUL SYLLABLE BBUJ
      "\uBFE3",  # (뿣; 뿣; 뿣; 뿣; 뿣; ) HANGUL SYLLABLE BBUC
      "\uBFE4",  # (뿤; 뿤; 뿤; 뿤; 뿤; ) HANGUL SYLLABLE BBUK
      "\uBFE5",  # (뿥; 뿥; 뿥; 뿥; 뿥; ) HANGUL SYLLABLE BBUT
      "\uBFE6",  # (뿦; 뿦; 뿦; 뿦; 뿦; ) HANGUL SYLLABLE BBUP
      "\uBFE7",  # (뿧; 뿧; 뿧; 뿧; 뿧; ) HANGUL SYLLABLE BBUH
      "\uBFE8",  # (뿨; 뿨; 뿨; 뿨; 뿨; ) HANGUL SYLLABLE BBWEO
      "\uBFE9",  # (뿩; 뿩; 뿩; 뿩; 뿩; ) HANGUL SYLLABLE BBWEOG
      "\uBFEA",  # (뿪; 뿪; 뿪; 뿪; 뿪; ) HANGUL SYLLABLE BBWEOGG
      "\uBFEB",  # (뿫; 뿫; 뿫; 뿫; 뿫; ) HANGUL SYLLABLE BBWEOGS
      "\uBFEC",  # (뿬; 뿬; 뿬; 뿬; 뿬; ) HANGUL SYLLABLE BBWEON
      "\uBFED",  # (뿭; 뿭; 뿭; 뿭; 뿭; ) HANGUL SYLLABLE BBWEONJ
      "\uBFEE",  # (뿮; 뿮; 뿮; 뿮; 뿮; ) HANGUL SYLLABLE BBWEONH
      "\uBFEF",  # (뿯; 뿯; 뿯; 뿯; 뿯; ) HANGUL SYLLABLE BBWEOD
      "\uBFF0",  # (뿰; 뿰; 뿰; 뿰; 뿰; ) HANGUL SYLLABLE BBWEOL
      "\uBFF1",  # (뿱; 뿱; 뿱; 뿱; 뿱; ) HANGUL SYLLABLE BBWEOLG
      "\uBFF2",  # (뿲; 뿲; 뿲; 뿲; 뿲; ) HANGUL SYLLABLE BBWEOLM
      "\uBFF3",  # (뿳; 뿳; 뿳; 뿳; 뿳; ) HANGUL SYLLABLE BBWEOLB
      "\uBFF4",  # (뿴; 뿴; 뿴; 뿴; 뿴; ) HANGUL SYLLABLE BBWEOLS
      "\uBFF5",  # (뿵; 뿵; 뿵; 뿵; 뿵; ) HANGUL SYLLABLE BBWEOLT
      "\uBFF6",  # (뿶; 뿶; 뿶; 뿶; 뿶; ) HANGUL SYLLABLE BBWEOLP
      "\uBFF7",  # (뿷; 뿷; 뿷; 뿷; 뿷; ) HANGUL SYLLABLE BBWEOLH
      "\uBFF8",  # (뿸; 뿸; 뿸; 뿸; 뿸; ) HANGUL SYLLABLE BBWEOM
      "\uBFF9",  # (뿹; 뿹; 뿹; 뿹; 뿹; ) HANGUL SYLLABLE BBWEOB
      "\uBFFA",  # (뿺; 뿺; 뿺; 뿺; 뿺; ) HANGUL SYLLABLE BBWEOBS
      "\uBFFB",  # (뿻; 뿻; 뿻; 뿻; 뿻; ) HANGUL SYLLABLE BBWEOS
      "\uBFFC",  # (뿼; 뿼; 뿼; 뿼; 뿼; ) HANGUL SYLLABLE BBWEOSS
      "\uBFFD",  # (뿽; 뿽; 뿽; 뿽; 뿽; ) HANGUL SYLLABLE BBWEONG
      "\uBFFE",  # (뿾; 뿾; 뿾; 뿾; 뿾; ) HANGUL SYLLABLE BBWEOJ
      "\uBFFF",  # (뿿; 뿿; 뿿; 뿿; 뿿; ) HANGUL SYLLABLE BBWEOC
      "\uC000",  # (쀀; 쀀; 쀀; 쀀; 쀀; ) HANGUL SYLLABLE BBWEOK
      "\uC001",  # (쀁; 쀁; 쀁; 쀁; 쀁; ) HANGUL SYLLABLE BBWEOT
      "\uC002",  # (쀂; 쀂; 쀂; 쀂; 쀂; ) HANGUL SYLLABLE BBWEOP
      "\uC003",  # (쀃; 쀃; 쀃; 쀃; 쀃; ) HANGUL SYLLABLE BBWEOH
      "\uC004",  # (쀄; 쀄; 쀄; 쀄; 쀄; ) HANGUL SYLLABLE BBWE
      "\uC005",  # (쀅; 쀅; 쀅; 쀅; 쀅; ) HANGUL SYLLABLE BBWEG
      "\uC006",  # (쀆; 쀆; 쀆; 쀆; 쀆; ) HANGUL SYLLABLE BBWEGG
      "\uC007",  # (쀇; 쀇; 쀇; 쀇; 쀇; ) HANGUL SYLLABLE BBWEGS
      "\uC008",  # (쀈; 쀈; 쀈; 쀈; 쀈; ) HANGUL SYLLABLE BBWEN
      "\uC009",  # (쀉; 쀉; 쀉; 쀉; 쀉; ) HANGUL SYLLABLE BBWENJ
      "\uC00A",  # (쀊; 쀊; 쀊; 쀊; 쀊; ) HANGUL SYLLABLE BBWENH
      "\uC00B",  # (쀋; 쀋; 쀋; 쀋; 쀋; ) HANGUL SYLLABLE BBWED
      "\uC00C",  # (쀌; 쀌; 쀌; 쀌; 쀌; ) HANGUL SYLLABLE BBWEL
      "\uC00D",  # (쀍; 쀍; 쀍; 쀍; 쀍; ) HANGUL SYLLABLE BBWELG
      "\uC00E",  # (쀎; 쀎; 쀎; 쀎; 쀎; ) HANGUL SYLLABLE BBWELM
      "\uC00F",  # (쀏; 쀏; 쀏; 쀏; 쀏; ) HANGUL SYLLABLE BBWELB
      "\uC010",  # (쀐; 쀐; 쀐; 쀐; 쀐; ) HANGUL SYLLABLE BBWELS
      "\uC011",  # (쀑; 쀑; 쀑; 쀑; 쀑; ) HANGUL SYLLABLE BBWELT
      "\uC012",  # (쀒; 쀒; 쀒; 쀒; 쀒; ) HANGUL SYLLABLE BBWELP
      "\uC013",  # (쀓; 쀓; 쀓; 쀓; 쀓; ) HANGUL SYLLABLE BBWELH
      "\uC014",  # (쀔; 쀔; 쀔; 쀔; 쀔; ) HANGUL SYLLABLE BBWEM
      "\uC015",  # (쀕; 쀕; 쀕; 쀕; 쀕; ) HANGUL SYLLABLE BBWEB
      "\uC016",  # (쀖; 쀖; 쀖; 쀖; 쀖; ) HANGUL SYLLABLE BBWEBS
      "\uC017",  # (쀗; 쀗; 쀗; 쀗; 쀗; ) HANGUL SYLLABLE BBWES
      "\uC018",  # (쀘; 쀘; 쀘; 쀘; 쀘; ) HANGUL SYLLABLE BBWESS
      "\uC019",  # (쀙; 쀙; 쀙; 쀙; 쀙; ) HANGUL SYLLABLE BBWENG
      "\uC01A",  # (쀚; 쀚; 쀚; 쀚; 쀚; ) HANGUL SYLLABLE BBWEJ
      "\uC01B",  # (쀛; 쀛; 쀛; 쀛; 쀛; ) HANGUL SYLLABLE BBWEC
      "\uC01C",  # (쀜; 쀜; 쀜; 쀜; 쀜; ) HANGUL SYLLABLE BBWEK
      "\uC01D",  # (쀝; 쀝; 쀝; 쀝; 쀝; ) HANGUL SYLLABLE BBWET
      "\uC01E",  # (쀞; 쀞; 쀞; 쀞; 쀞; ) HANGUL SYLLABLE BBWEP
      "\uC01F",  # (쀟; 쀟; 쀟; 쀟; 쀟; ) HANGUL SYLLABLE BBWEH
      "\uC020",  # (쀠; 쀠; 쀠; 쀠; 쀠; ) HANGUL SYLLABLE BBWI
      "\uC021",  # (쀡; 쀡; 쀡; 쀡; 쀡; ) HANGUL SYLLABLE BBWIG
      "\uC022",  # (쀢; 쀢; 쀢; 쀢; 쀢; ) HANGUL SYLLABLE BBWIGG
      "\uC023",  # (쀣; 쀣; 쀣; 쀣; 쀣; ) HANGUL SYLLABLE BBWIGS
      "\uC024",  # (쀤; 쀤; 쀤; 쀤; 쀤; ) HANGUL SYLLABLE BBWIN
      "\uC025",  # (쀥; 쀥; 쀥; 쀥; 쀥; ) HANGUL SYLLABLE BBWINJ
      "\uC026",  # (쀦; 쀦; 쀦; 쀦; 쀦; ) HANGUL SYLLABLE BBWINH
      "\uC027",  # (쀧; 쀧; 쀧; 쀧; 쀧; ) HANGUL SYLLABLE BBWID
      "\uC028",  # (쀨; 쀨; 쀨; 쀨; 쀨; ) HANGUL SYLLABLE BBWIL
      "\uC029",  # (쀩; 쀩; 쀩; 쀩; 쀩; ) HANGUL SYLLABLE BBWILG
      "\uC02A",  # (쀪; 쀪; 쀪; 쀪; 쀪; ) HANGUL SYLLABLE BBWILM
      "\uC02B",  # (쀫; 쀫; 쀫; 쀫; 쀫; ) HANGUL SYLLABLE BBWILB
      "\uC02C",  # (쀬; 쀬; 쀬; 쀬; 쀬; ) HANGUL SYLLABLE BBWILS
      "\uC02D",  # (쀭; 쀭; 쀭; 쀭; 쀭; ) HANGUL SYLLABLE BBWILT
      "\uC02E",  # (쀮; 쀮; 쀮; 쀮; 쀮; ) HANGUL SYLLABLE BBWILP
      "\uC02F",  # (쀯; 쀯; 쀯; 쀯; 쀯; ) HANGUL SYLLABLE BBWILH
      "\uC030",  # (쀰; 쀰; 쀰; 쀰; 쀰; ) HANGUL SYLLABLE BBWIM
      "\uC031",  # (쀱; 쀱; 쀱; 쀱; 쀱; ) HANGUL SYLLABLE BBWIB
      "\uC032",  # (쀲; 쀲; 쀲; 쀲; 쀲; ) HANGUL SYLLABLE BBWIBS
      "\uC033",  # (쀳; 쀳; 쀳; 쀳; 쀳; ) HANGUL SYLLABLE BBWIS
      "\uC034",  # (쀴; 쀴; 쀴; 쀴; 쀴; ) HANGUL SYLLABLE BBWISS
      "\uC035",  # (쀵; 쀵; 쀵; 쀵; 쀵; ) HANGUL SYLLABLE BBWING
      "\uC036",  # (쀶; 쀶; 쀶; 쀶; 쀶; ) HANGUL SYLLABLE BBWIJ
      "\uC037",  # (쀷; 쀷; 쀷; 쀷; 쀷; ) HANGUL SYLLABLE BBWIC
      "\uC038",  # (쀸; 쀸; 쀸; 쀸; 쀸; ) HANGUL SYLLABLE BBWIK
      "\uC039",  # (쀹; 쀹; 쀹; 쀹; 쀹; ) HANGUL SYLLABLE BBWIT
      "\uC03A",  # (쀺; 쀺; 쀺; 쀺; 쀺; ) HANGUL SYLLABLE BBWIP
      "\uC03B",  # (쀻; 쀻; 쀻; 쀻; 쀻; ) HANGUL SYLLABLE BBWIH
      "\uC03C",  # (쀼; 쀼; 쀼; 쀼; 쀼; ) HANGUL SYLLABLE BBYU
      "\uC03D",  # (쀽; 쀽; 쀽; 쀽; 쀽; ) HANGUL SYLLABLE BBYUG
      "\uC03E",  # (쀾; 쀾; 쀾; 쀾; 쀾; ) HANGUL SYLLABLE BBYUGG
      "\uC03F",  # (쀿; 쀿; 쀿; 쀿; 쀿; ) HANGUL SYLLABLE BBYUGS
      "\uC040",  # (쁀; 쁀; 쁀; 쁀; 쁀; ) HANGUL SYLLABLE BBYUN
      "\uC041",  # (쁁; 쁁; 쁁; 쁁; 쁁; ) HANGUL SYLLABLE BBYUNJ
      "\uC042",  # (쁂; 쁂; 쁂; 쁂; 쁂; ) HANGUL SYLLABLE BBYUNH
      "\uC043",  # (쁃; 쁃; 쁃; 쁃; 쁃; ) HANGUL SYLLABLE BBYUD
      "\uC044",  # (쁄; 쁄; 쁄; 쁄; 쁄; ) HANGUL SYLLABLE BBYUL
      "\uC045",  # (쁅; 쁅; 쁅; 쁅; 쁅; ) HANGUL SYLLABLE BBYULG
      "\uC046",  # (쁆; 쁆; 쁆; 쁆; 쁆; ) HANGUL SYLLABLE BBYULM
      "\uC047",  # (쁇; 쁇; 쁇; 쁇; 쁇; ) HANGUL SYLLABLE BBYULB
      "\uC048",  # (쁈; 쁈; 쁈; 쁈; 쁈; ) HANGUL SYLLABLE BBYULS
      "\uC049",  # (쁉; 쁉; 쁉; 쁉; 쁉; ) HANGUL SYLLABLE BBYULT
      "\uC04A",  # (쁊; 쁊; 쁊; 쁊; 쁊; ) HANGUL SYLLABLE BBYULP
      "\uC04B",  # (쁋; 쁋; 쁋; 쁋; 쁋; ) HANGUL SYLLABLE BBYULH
      "\uC04C",  # (쁌; 쁌; 쁌; 쁌; 쁌; ) HANGUL SYLLABLE BBYUM
      "\uC04D",  # (쁍; 쁍; 쁍; 쁍; 쁍; ) HANGUL SYLLABLE BBYUB
      "\uC04E",  # (쁎; 쁎; 쁎; 쁎; 쁎; ) HANGUL SYLLABLE BBYUBS
      "\uC04F",  # (쁏; 쁏; 쁏; 쁏; 쁏; ) HANGUL SYLLABLE BBYUS
      "\uC050",  # (쁐; 쁐; 쁐; 쁐; 쁐; ) HANGUL SYLLABLE BBYUSS
      "\uC051",  # (쁑; 쁑; 쁑; 쁑; 쁑; ) HANGUL SYLLABLE BBYUNG
      "\uC052",  # (쁒; 쁒; 쁒; 쁒; 쁒; ) HANGUL SYLLABLE BBYUJ
      "\uC053",  # (쁓; 쁓; 쁓; 쁓; 쁓; ) HANGUL SYLLABLE BBYUC
      "\uC054",  # (쁔; 쁔; 쁔; 쁔; 쁔; ) HANGUL SYLLABLE BBYUK
      "\uC055",  # (쁕; 쁕; 쁕; 쁕; 쁕; ) HANGUL SYLLABLE BBYUT
      "\uC056",  # (쁖; 쁖; 쁖; 쁖; 쁖; ) HANGUL SYLLABLE BBYUP
      "\uC057",  # (쁗; 쁗; 쁗; 쁗; 쁗; ) HANGUL SYLLABLE BBYUH
      "\uC058",  # (쁘; 쁘; 쁘; 쁘; 쁘; ) HANGUL SYLLABLE BBEU
      "\uC059",  # (쁙; 쁙; 쁙; 쁙; 쁙; ) HANGUL SYLLABLE BBEUG
      "\uC05A",  # (쁚; 쁚; 쁚; 쁚; 쁚; ) HANGUL SYLLABLE BBEUGG
      "\uC05B",  # (쁛; 쁛; 쁛; 쁛; 쁛; ) HANGUL SYLLABLE BBEUGS
      "\uC05C",  # (쁜; 쁜; 쁜; 쁜; 쁜; ) HANGUL SYLLABLE BBEUN
      "\uC05D",  # (쁝; 쁝; 쁝; 쁝; 쁝; ) HANGUL SYLLABLE BBEUNJ
      "\uC05E",  # (쁞; 쁞; 쁞; 쁞; 쁞; ) HANGUL SYLLABLE BBEUNH
      "\uC05F",  # (쁟; 쁟; 쁟; 쁟; 쁟; ) HANGUL SYLLABLE BBEUD
      "\uC060",  # (쁠; 쁠; 쁠; 쁠; 쁠; ) HANGUL SYLLABLE BBEUL
      "\uC061",  # (쁡; 쁡; 쁡; 쁡; 쁡; ) HANGUL SYLLABLE BBEULG
      "\uC062",  # (쁢; 쁢; 쁢; 쁢; 쁢; ) HANGUL SYLLABLE BBEULM
      "\uC063",  # (쁣; 쁣; 쁣; 쁣; 쁣; ) HANGUL SYLLABLE BBEULB
      "\uC064",  # (쁤; 쁤; 쁤; 쁤; 쁤; ) HANGUL SYLLABLE BBEULS
      "\uC065",  # (쁥; 쁥; 쁥; 쁥; 쁥; ) HANGUL SYLLABLE BBEULT
      "\uC066",  # (쁦; 쁦; 쁦; 쁦; 쁦; ) HANGUL SYLLABLE BBEULP
      "\uC067",  # (쁧; 쁧; 쁧; 쁧; 쁧; ) HANGUL SYLLABLE BBEULH
      "\uC068",  # (쁨; 쁨; 쁨; 쁨; 쁨; ) HANGUL SYLLABLE BBEUM
      "\uC069",  # (쁩; 쁩; 쁩; 쁩; 쁩; ) HANGUL SYLLABLE BBEUB
      "\uC06A",  # (쁪; 쁪; 쁪; 쁪; 쁪; ) HANGUL SYLLABLE BBEUBS
      "\uC06B",  # (쁫; 쁫; 쁫; 쁫; 쁫; ) HANGUL SYLLABLE BBEUS
      "\uC06C",  # (쁬; 쁬; 쁬; 쁬; 쁬; ) HANGUL SYLLABLE BBEUSS
      "\uC06D",  # (쁭; 쁭; 쁭; 쁭; 쁭; ) HANGUL SYLLABLE BBEUNG
      "\uC06E",  # (쁮; 쁮; 쁮; 쁮; 쁮; ) HANGUL SYLLABLE BBEUJ
      "\uC06F",  # (쁯; 쁯; 쁯; 쁯; 쁯; ) HANGUL SYLLABLE BBEUC
      "\uC070",  # (쁰; 쁰; 쁰; 쁰; 쁰; ) HANGUL SYLLABLE BBEUK
      "\uC071",  # (쁱; 쁱; 쁱; 쁱; 쁱; ) HANGUL SYLLABLE BBEUT
      "\uC072",  # (쁲; 쁲; 쁲; 쁲; 쁲; ) HANGUL SYLLABLE BBEUP
      "\uC073",  # (쁳; 쁳; 쁳; 쁳; 쁳; ) HANGUL SYLLABLE BBEUH
      "\uC074",  # (쁴; 쁴; 쁴; 쁴; 쁴; ) HANGUL SYLLABLE BBYI
      "\uC075",  # (쁵; 쁵; 쁵; 쁵; 쁵; ) HANGUL SYLLABLE BBYIG
      "\uC076",  # (쁶; 쁶; 쁶; 쁶; 쁶; ) HANGUL SYLLABLE BBYIGG
      "\uC077",  # (쁷; 쁷; 쁷; 쁷; 쁷; ) HANGUL SYLLABLE BBYIGS
      "\uC078",  # (쁸; 쁸; 쁸; 쁸; 쁸; ) HANGUL SYLLABLE BBYIN
      "\uC079",  # (쁹; 쁹; 쁹; 쁹; 쁹; ) HANGUL SYLLABLE BBYINJ
      "\uC07A",  # (쁺; 쁺; 쁺; 쁺; 쁺; ) HANGUL SYLLABLE BBYINH
      "\uC07B",  # (쁻; 쁻; 쁻; 쁻; 쁻; ) HANGUL SYLLABLE BBYID
      "\uC07C",  # (쁼; 쁼; 쁼; 쁼; 쁼; ) HANGUL SYLLABLE BBYIL
      "\uC07D",  # (쁽; 쁽; 쁽; 쁽; 쁽; ) HANGUL SYLLABLE BBYILG
      "\uC07E",  # (쁾; 쁾; 쁾; 쁾; 쁾; ) HANGUL SYLLABLE BBYILM
      "\uC07F",  # (쁿; 쁿; 쁿; 쁿; 쁿; ) HANGUL SYLLABLE BBYILB
      "\uC080",  # (삀; 삀; 삀; 삀; 삀; ) HANGUL SYLLABLE BBYILS
      "\uC081",  # (삁; 삁; 삁; 삁; 삁; ) HANGUL SYLLABLE BBYILT
      "\uC082",  # (삂; 삂; 삂; 삂; 삂; ) HANGUL SYLLABLE BBYILP
      "\uC083",  # (삃; 삃; 삃; 삃; 삃; ) HANGUL SYLLABLE BBYILH
      "\uC084",  # (삄; 삄; 삄; 삄; 삄; ) HANGUL SYLLABLE BBYIM
      "\uC085",  # (삅; 삅; 삅; 삅; 삅; ) HANGUL SYLLABLE BBYIB
      "\uC086",  # (삆; 삆; 삆; 삆; 삆; ) HANGUL SYLLABLE BBYIBS
      "\uC087",  # (삇; 삇; 삇; 삇; 삇; ) HANGUL SYLLABLE BBYIS
      "\uC088",  # (삈; 삈; 삈; 삈; 삈; ) HANGUL SYLLABLE BBYISS
      "\uC089",  # (삉; 삉; 삉; 삉; 삉; ) HANGUL SYLLABLE BBYING
      "\uC08A",  # (삊; 삊; 삊; 삊; 삊; ) HANGUL SYLLABLE BBYIJ
      "\uC08B",  # (삋; 삋; 삋; 삋; 삋; ) HANGUL SYLLABLE BBYIC
      "\uC08C",  # (삌; 삌; 삌; 삌; 삌; ) HANGUL SYLLABLE BBYIK
      "\uC08D",  # (삍; 삍; 삍; 삍; 삍; ) HANGUL SYLLABLE BBYIT
      "\uC08E",  # (삎; 삎; 삎; 삎; 삎; ) HANGUL SYLLABLE BBYIP
      "\uC08F",  # (삏; 삏; 삏; 삏; 삏; ) HANGUL SYLLABLE BBYIH
      "\uC090",  # (삐; 삐; 삐; 삐; 삐; ) HANGUL SYLLABLE BBI
      "\uC091",  # (삑; 삑; 삑; 삑; 삑; ) HANGUL SYLLABLE BBIG
      "\uC092",  # (삒; 삒; 삒; 삒; 삒; ) HANGUL SYLLABLE BBIGG
      "\uC093",  # (삓; 삓; 삓; 삓; 삓; ) HANGUL SYLLABLE BBIGS
      "\uC094",  # (삔; 삔; 삔; 삔; 삔; ) HANGUL SYLLABLE BBIN
      "\uC095",  # (삕; 삕; 삕; 삕; 삕; ) HANGUL SYLLABLE BBINJ
      "\uC096",  # (삖; 삖; 삖; 삖; 삖; ) HANGUL SYLLABLE BBINH
      "\uC097",  # (삗; 삗; 삗; 삗; 삗; ) HANGUL SYLLABLE BBID
      "\uC098",  # (삘; 삘; 삘; 삘; 삘; ) HANGUL SYLLABLE BBIL
      "\uC099",  # (삙; 삙; 삙; 삙; 삙; ) HANGUL SYLLABLE BBILG
      "\uC09A",  # (삚; 삚; 삚; 삚; 삚; ) HANGUL SYLLABLE BBILM
      "\uC09B",  # (삛; 삛; 삛; 삛; 삛; ) HANGUL SYLLABLE BBILB
      "\uC09C",  # (삜; 삜; 삜; 삜; 삜; ) HANGUL SYLLABLE BBILS
      "\uC09D",  # (삝; 삝; 삝; 삝; 삝; ) HANGUL SYLLABLE BBILT
      "\uC09E",  # (삞; 삞; 삞; 삞; 삞; ) HANGUL SYLLABLE BBILP
      "\uC09F",  # (삟; 삟; 삟; 삟; 삟; ) HANGUL SYLLABLE BBILH
      "\uC0A0",  # (삠; 삠; 삠; 삠; 삠; ) HANGUL SYLLABLE BBIM
      "\uC0A1",  # (삡; 삡; 삡; 삡; 삡; ) HANGUL SYLLABLE BBIB
      "\uC0A2",  # (삢; 삢; 삢; 삢; 삢; ) HANGUL SYLLABLE BBIBS
      "\uC0A3",  # (삣; 삣; 삣; 삣; 삣; ) HANGUL SYLLABLE BBIS
      "\uC0A4",  # (삤; 삤; 삤; 삤; 삤; ) HANGUL SYLLABLE BBISS
      "\uC0A5",  # (삥; 삥; 삥; 삥; 삥; ) HANGUL SYLLABLE BBING
      "\uC0A6",  # (삦; 삦; 삦; 삦; 삦; ) HANGUL SYLLABLE BBIJ
      "\uC0A7",  # (삧; 삧; 삧; 삧; 삧; ) HANGUL SYLLABLE BBIC
      "\uC0A8",  # (삨; 삨; 삨; 삨; 삨; ) HANGUL SYLLABLE BBIK
      "\uC0A9",  # (삩; 삩; 삩; 삩; 삩; ) HANGUL SYLLABLE BBIT
      "\uC0AA",  # (삪; 삪; 삪; 삪; 삪; ) HANGUL SYLLABLE BBIP
      "\uC0AB",  # (삫; 삫; 삫; 삫; 삫; ) HANGUL SYLLABLE BBIH
      "\uC0AC",  # (사; 사; 사; 사; 사; ) HANGUL SYLLABLE SA
      "\uC0AD",  # (삭; 삭; 삭; 삭; 삭; ) HANGUL SYLLABLE SAG
      "\uC0AE",  # (삮; 삮; 삮; 삮; 삮; ) HANGUL SYLLABLE SAGG
      "\uC0AF",  # (삯; 삯; 삯; 삯; 삯; ) HANGUL SYLLABLE SAGS
      "\uC0B0",  # (산; 산; 산; 산; 산; ) HANGUL SYLLABLE SAN
      "\uC0B1",  # (삱; 삱; 삱; 삱; 삱; ) HANGUL SYLLABLE SANJ
      "\uC0B2",  # (삲; 삲; 삲; 삲; 삲; ) HANGUL SYLLABLE SANH
      "\uC0B3",  # (삳; 삳; 삳; 삳; 삳; ) HANGUL SYLLABLE SAD
      "\uC0B4",  # (살; 살; 살; 살; 살; ) HANGUL SYLLABLE SAL
      "\uC0B5",  # (삵; 삵; 삵; 삵; 삵; ) HANGUL SYLLABLE SALG
      "\uC0B6",  # (삶; 삶; 삶; 삶; 삶; ) HANGUL SYLLABLE SALM
      "\uC0B7",  # (삷; 삷; 삷; 삷; 삷; ) HANGUL SYLLABLE SALB
      "\uC0B8",  # (삸; 삸; 삸; 삸; 삸; ) HANGUL SYLLABLE SALS
      "\uC0B9",  # (삹; 삹; 삹; 삹; 삹; ) HANGUL SYLLABLE SALT
      "\uC0BA",  # (삺; 삺; 삺; 삺; 삺; ) HANGUL SYLLABLE SALP
      "\uC0BB",  # (삻; 삻; 삻; 삻; 삻; ) HANGUL SYLLABLE SALH
      "\uC0BC",  # (삼; 삼; 삼; 삼; 삼; ) HANGUL SYLLABLE SAM
      "\uC0BD",  # (삽; 삽; 삽; 삽; 삽; ) HANGUL SYLLABLE SAB
      "\uC0BE",  # (삾; 삾; 삾; 삾; 삾; ) HANGUL SYLLABLE SABS
      "\uC0BF",  # (삿; 삿; 삿; 삿; 삿; ) HANGUL SYLLABLE SAS
      "\uC0C0",  # (샀; 샀; 샀; 샀; 샀; ) HANGUL SYLLABLE SASS
      "\uC0C1",  # (상; 상; 상; 상; 상; ) HANGUL SYLLABLE SANG
      "\uC0C2",  # (샂; 샂; 샂; 샂; 샂; ) HANGUL SYLLABLE SAJ
      "\uC0C3",  # (샃; 샃; 샃; 샃; 샃; ) HANGUL SYLLABLE SAC
      "\uC0C4",  # (샄; 샄; 샄; 샄; 샄; ) HANGUL SYLLABLE SAK
      "\uC0C5",  # (샅; 샅; 샅; 샅; 샅; ) HANGUL SYLLABLE SAT
      "\uC0C6",  # (샆; 샆; 샆; 샆; 샆; ) HANGUL SYLLABLE SAP
      "\uC0C7",  # (샇; 샇; 샇; 샇; 샇; ) HANGUL SYLLABLE SAH
      "\uC0C8",  # (새; 새; 새; 새; 새; ) HANGUL SYLLABLE SAE
      "\uC0C9",  # (색; 색; 색; 색; 색; ) HANGUL SYLLABLE SAEG
      "\uC0CA",  # (샊; 샊; 샊; 샊; 샊; ) HANGUL SYLLABLE SAEGG
      "\uC0CB",  # (샋; 샋; 샋; 샋; 샋; ) HANGUL SYLLABLE SAEGS
      "\uC0CC",  # (샌; 샌; 샌; 샌; 샌; ) HANGUL SYLLABLE SAEN
      "\uC0CD",  # (샍; 샍; 샍; 샍; 샍; ) HANGUL SYLLABLE SAENJ
      "\uC0CE",  # (샎; 샎; 샎; 샎; 샎; ) HANGUL SYLLABLE SAENH
      "\uC0CF",  # (샏; 샏; 샏; 샏; 샏; ) HANGUL SYLLABLE SAED
      "\uC0D0",  # (샐; 샐; 샐; 샐; 샐; ) HANGUL SYLLABLE SAEL
      "\uC0D1",  # (샑; 샑; 샑; 샑; 샑; ) HANGUL SYLLABLE SAELG
      "\uC0D2",  # (샒; 샒; 샒; 샒; 샒; ) HANGUL SYLLABLE SAELM
      "\uC0D3",  # (샓; 샓; 샓; 샓; 샓; ) HANGUL SYLLABLE SAELB
      "\uC0D4",  # (샔; 샔; 샔; 샔; 샔; ) HANGUL SYLLABLE SAELS
      "\uC0D5",  # (샕; 샕; 샕; 샕; 샕; ) HANGUL SYLLABLE SAELT
      "\uC0D6",  # (샖; 샖; 샖; 샖; 샖; ) HANGUL SYLLABLE SAELP
      "\uC0D7",  # (샗; 샗; 샗; 샗; 샗; ) HANGUL SYLLABLE SAELH
      "\uC0D8",  # (샘; 샘; 샘; 샘; 샘; ) HANGUL SYLLABLE SAEM
      "\uC0D9",  # (샙; 샙; 샙; 샙; 샙; ) HANGUL SYLLABLE SAEB
      "\uC0DA",  # (샚; 샚; 샚; 샚; 샚; ) HANGUL SYLLABLE SAEBS
      "\uC0DB",  # (샛; 샛; 샛; 샛; 샛; ) HANGUL SYLLABLE SAES
      "\uC0DC",  # (샜; 샜; 샜; 샜; 샜; ) HANGUL SYLLABLE SAESS
      "\uC0DD",  # (생; 생; 생; 생; 생; ) HANGUL SYLLABLE SAENG
      "\uC0DE",  # (샞; 샞; 샞; 샞; 샞; ) HANGUL SYLLABLE SAEJ
      "\uC0DF",  # (샟; 샟; 샟; 샟; 샟; ) HANGUL SYLLABLE SAEC
      "\uC0E0",  # (샠; 샠; 샠; 샠; 샠; ) HANGUL SYLLABLE SAEK
      "\uC0E1",  # (샡; 샡; 샡; 샡; 샡; ) HANGUL SYLLABLE SAET
      "\uC0E2",  # (샢; 샢; 샢; 샢; 샢; ) HANGUL SYLLABLE SAEP
      "\uC0E3",  # (샣; 샣; 샣; 샣; 샣; ) HANGUL SYLLABLE SAEH
      "\uC0E4",  # (샤; 샤; 샤; 샤; 샤; ) HANGUL SYLLABLE SYA
      "\uC0E5",  # (샥; 샥; 샥; 샥; 샥; ) HANGUL SYLLABLE SYAG
      "\uC0E6",  # (샦; 샦; 샦; 샦; 샦; ) HANGUL SYLLABLE SYAGG
      "\uC0E7",  # (샧; 샧; 샧; 샧; 샧; ) HANGUL SYLLABLE SYAGS
      "\uC0E8",  # (샨; 샨; 샨; 샨; 샨; ) HANGUL SYLLABLE SYAN
      "\uC0E9",  # (샩; 샩; 샩; 샩; 샩; ) HANGUL SYLLABLE SYANJ
      "\uC0EA",  # (샪; 샪; 샪; 샪; 샪; ) HANGUL SYLLABLE SYANH
      "\uC0EB",  # (샫; 샫; 샫; 샫; 샫; ) HANGUL SYLLABLE SYAD
      "\uC0EC",  # (샬; 샬; 샬; 샬; 샬; ) HANGUL SYLLABLE SYAL
      "\uC0ED",  # (샭; 샭; 샭; 샭; 샭; ) HANGUL SYLLABLE SYALG
      "\uC0EE",  # (샮; 샮; 샮; 샮; 샮; ) HANGUL SYLLABLE SYALM
      "\uC0EF",  # (샯; 샯; 샯; 샯; 샯; ) HANGUL SYLLABLE SYALB
      "\uC0F0",  # (샰; 샰; 샰; 샰; 샰; ) HANGUL SYLLABLE SYALS
      "\uC0F1",  # (샱; 샱; 샱; 샱; 샱; ) HANGUL SYLLABLE SYALT
      "\uC0F2",  # (샲; 샲; 샲; 샲; 샲; ) HANGUL SYLLABLE SYALP
      "\uC0F3",  # (샳; 샳; 샳; 샳; 샳; ) HANGUL SYLLABLE SYALH
      "\uC0F4",  # (샴; 샴; 샴; 샴; 샴; ) HANGUL SYLLABLE SYAM
      "\uC0F5",  # (샵; 샵; 샵; 샵; 샵; ) HANGUL SYLLABLE SYAB
      "\uC0F6",  # (샶; 샶; 샶; 샶; 샶; ) HANGUL SYLLABLE SYABS
      "\uC0F7",  # (샷; 샷; 샷; 샷; 샷; ) HANGUL SYLLABLE SYAS
      "\uC0F8",  # (샸; 샸; 샸; 샸; 샸; ) HANGUL SYLLABLE SYASS
      "\uC0F9",  # (샹; 샹; 샹; 샹; 샹; ) HANGUL SYLLABLE SYANG
      "\uC0FA",  # (샺; 샺; 샺; 샺; 샺; ) HANGUL SYLLABLE SYAJ
      "\uC0FB",  # (샻; 샻; 샻; 샻; 샻; ) HANGUL SYLLABLE SYAC
      "\uC0FC",  # (샼; 샼; 샼; 샼; 샼; ) HANGUL SYLLABLE SYAK
      "\uC0FD",  # (샽; 샽; 샽; 샽; 샽; ) HANGUL SYLLABLE SYAT
      "\uC0FE",  # (샾; 샾; 샾; 샾; 샾; ) HANGUL SYLLABLE SYAP
      "\uC0FF",  # (샿; 샿; 샿; 샿; 샿; ) HANGUL SYLLABLE SYAH
      "\uC100",  # (섀; 섀; 섀; 섀; 섀; ) HANGUL SYLLABLE SYAE
      "\uC101",  # (섁; 섁; 섁; 섁; 섁; ) HANGUL SYLLABLE SYAEG
      "\uC102",  # (섂; 섂; 섂; 섂; 섂; ) HANGUL SYLLABLE SYAEGG
      "\uC103",  # (섃; 섃; 섃; 섃; 섃; ) HANGUL SYLLABLE SYAEGS
      "\uC104",  # (섄; 섄; 섄; 섄; 섄; ) HANGUL SYLLABLE SYAEN
      "\uC105",  # (섅; 섅; 섅; 섅; 섅; ) HANGUL SYLLABLE SYAENJ
      "\uC106",  # (섆; 섆; 섆; 섆; 섆; ) HANGUL SYLLABLE SYAENH
      "\uC107",  # (섇; 섇; 섇; 섇; 섇; ) HANGUL SYLLABLE SYAED
      "\uC108",  # (섈; 섈; 섈; 섈; 섈; ) HANGUL SYLLABLE SYAEL
      "\uC109",  # (섉; 섉; 섉; 섉; 섉; ) HANGUL SYLLABLE SYAELG
      "\uC10A",  # (섊; 섊; 섊; 섊; 섊; ) HANGUL SYLLABLE SYAELM
      "\uC10B",  # (섋; 섋; 섋; 섋; 섋; ) HANGUL SYLLABLE SYAELB
      "\uC10C",  # (섌; 섌; 섌; 섌; 섌; ) HANGUL SYLLABLE SYAELS
      "\uC10D",  # (섍; 섍; 섍; 섍; 섍; ) HANGUL SYLLABLE SYAELT
      "\uC10E",  # (섎; 섎; 섎; 섎; 섎; ) HANGUL SYLLABLE SYAELP
      "\uC10F",  # (섏; 섏; 섏; 섏; 섏; ) HANGUL SYLLABLE SYAELH
      "\uC110",  # (섐; 섐; 섐; 섐; 섐; ) HANGUL SYLLABLE SYAEM
      "\uC111",  # (섑; 섑; 섑; 섑; 섑; ) HANGUL SYLLABLE SYAEB
      "\uC112",  # (섒; 섒; 섒; 섒; 섒; ) HANGUL SYLLABLE SYAEBS
      "\uC113",  # (섓; 섓; 섓; 섓; 섓; ) HANGUL SYLLABLE SYAES
      "\uC114",  # (섔; 섔; 섔; 섔; 섔; ) HANGUL SYLLABLE SYAESS
      "\uC115",  # (섕; 섕; 섕; 섕; 섕; ) HANGUL SYLLABLE SYAENG
      "\uC116",  # (섖; 섖; 섖; 섖; 섖; ) HANGUL SYLLABLE SYAEJ
      "\uC117",  # (섗; 섗; 섗; 섗; 섗; ) HANGUL SYLLABLE SYAEC
      "\uC118",  # (섘; 섘; 섘; 섘; 섘; ) HANGUL SYLLABLE SYAEK
      "\uC119",  # (섙; 섙; 섙; 섙; 섙; ) HANGUL SYLLABLE SYAET
      "\uC11A",  # (섚; 섚; 섚; 섚; 섚; ) HANGUL SYLLABLE SYAEP
      "\uC11B",  # (섛; 섛; 섛; 섛; 섛; ) HANGUL SYLLABLE SYAEH
      "\uC11C",  # (서; 서; 서; 서; 서; ) HANGUL SYLLABLE SEO
      "\uC11D",  # (석; 석; 석; 석; 석; ) HANGUL SYLLABLE SEOG
      "\uC11E",  # (섞; 섞; 섞; 섞; 섞; ) HANGUL SYLLABLE SEOGG
      "\uC11F",  # (섟; 섟; 섟; 섟; 섟; ) HANGUL SYLLABLE SEOGS
      "\uC120",  # (선; 선; 선; 선; 선; ) HANGUL SYLLABLE SEON
      "\uC121",  # (섡; 섡; 섡; 섡; 섡; ) HANGUL SYLLABLE SEONJ
      "\uC122",  # (섢; 섢; 섢; 섢; 섢; ) HANGUL SYLLABLE SEONH
      "\uC123",  # (섣; 섣; 섣; 섣; 섣; ) HANGUL SYLLABLE SEOD
      "\uC124",  # (설; 설; 설; 설; 설; ) HANGUL SYLLABLE SEOL
      "\uC125",  # (섥; 섥; 섥; 섥; 섥; ) HANGUL SYLLABLE SEOLG
      "\uC126",  # (섦; 섦; 섦; 섦; 섦; ) HANGUL SYLLABLE SEOLM
      "\uC127",  # (섧; 섧; 섧; 섧; 섧; ) HANGUL SYLLABLE SEOLB
      "\uC128",  # (섨; 섨; 섨; 섨; 섨; ) HANGUL SYLLABLE SEOLS
      "\uC129",  # (섩; 섩; 섩; 섩; 섩; ) HANGUL SYLLABLE SEOLT
      "\uC12A",  # (섪; 섪; 섪; 섪; 섪; ) HANGUL SYLLABLE SEOLP
      "\uC12B",  # (섫; 섫; 섫; 섫; 섫; ) HANGUL SYLLABLE SEOLH
      "\uC12C",  # (섬; 섬; 섬; 섬; 섬; ) HANGUL SYLLABLE SEOM
      "\uC12D",  # (섭; 섭; 섭; 섭; 섭; ) HANGUL SYLLABLE SEOB
      "\uC12E",  # (섮; 섮; 섮; 섮; 섮; ) HANGUL SYLLABLE SEOBS
      "\uC12F",  # (섯; 섯; 섯; 섯; 섯; ) HANGUL SYLLABLE SEOS
      "\uC130",  # (섰; 섰; 섰; 섰; 섰; ) HANGUL SYLLABLE SEOSS
      "\uC131",  # (성; 성; 성; 성; 성; ) HANGUL SYLLABLE SEONG
      "\uC132",  # (섲; 섲; 섲; 섲; 섲; ) HANGUL SYLLABLE SEOJ
      "\uC133",  # (섳; 섳; 섳; 섳; 섳; ) HANGUL SYLLABLE SEOC
      "\uC134",  # (섴; 섴; 섴; 섴; 섴; ) HANGUL SYLLABLE SEOK
      "\uC135",  # (섵; 섵; 섵; 섵; 섵; ) HANGUL SYLLABLE SEOT
      "\uC136",  # (섶; 섶; 섶; 섶; 섶; ) HANGUL SYLLABLE SEOP
      "\uC137",  # (섷; 섷; 섷; 섷; 섷; ) HANGUL SYLLABLE SEOH
      "\uC138",  # (세; 세; 세; 세; 세; ) HANGUL SYLLABLE SE
      "\uC139",  # (섹; 섹; 섹; 섹; 섹; ) HANGUL SYLLABLE SEG
      "\uC13A",  # (섺; 섺; 섺; 섺; 섺; ) HANGUL SYLLABLE SEGG
      "\uC13B",  # (섻; 섻; 섻; 섻; 섻; ) HANGUL SYLLABLE SEGS
      "\uC13C",  # (센; 센; 센; 센; 센; ) HANGUL SYLLABLE SEN
      "\uC13D",  # (섽; 섽; 섽; 섽; 섽; ) HANGUL SYLLABLE SENJ
      "\uC13E",  # (섾; 섾; 섾; 섾; 섾; ) HANGUL SYLLABLE SENH
      "\uC13F",  # (섿; 섿; 섿; 섿; 섿; ) HANGUL SYLLABLE SED
      "\uC140",  # (셀; 셀; 셀; 셀; 셀; ) HANGUL SYLLABLE SEL
      "\uC141",  # (셁; 셁; 셁; 셁; 셁; ) HANGUL SYLLABLE SELG
      "\uC142",  # (셂; 셂; 셂; 셂; 셂; ) HANGUL SYLLABLE SELM
      "\uC143",  # (셃; 셃; 셃; 셃; 셃; ) HANGUL SYLLABLE SELB
      "\uC144",  # (셄; 셄; 셄; 셄; 셄; ) HANGUL SYLLABLE SELS
      "\uC145",  # (셅; 셅; 셅; 셅; 셅; ) HANGUL SYLLABLE SELT
      "\uC146",  # (셆; 셆; 셆; 셆; 셆; ) HANGUL SYLLABLE SELP
      "\uC147",  # (셇; 셇; 셇; 셇; 셇; ) HANGUL SYLLABLE SELH
      "\uC148",  # (셈; 셈; 셈; 셈; 셈; ) HANGUL SYLLABLE SEM
      "\uC149",  # (셉; 셉; 셉; 셉; 셉; ) HANGUL SYLLABLE SEB
      "\uC14A",  # (셊; 셊; 셊; 셊; 셊; ) HANGUL SYLLABLE SEBS
      "\uC14B",  # (셋; 셋; 셋; 셋; 셋; ) HANGUL SYLLABLE SES
      "\uC14C",  # (셌; 셌; 셌; 셌; 셌; ) HANGUL SYLLABLE SESS
      "\uC14D",  # (셍; 셍; 셍; 셍; 셍; ) HANGUL SYLLABLE SENG
      "\uC14E",  # (셎; 셎; 셎; 셎; 셎; ) HANGUL SYLLABLE SEJ
      "\uC14F",  # (셏; 셏; 셏; 셏; 셏; ) HANGUL SYLLABLE SEC
      "\uC150",  # (셐; 셐; 셐; 셐; 셐; ) HANGUL SYLLABLE SEK
      "\uC151",  # (셑; 셑; 셑; 셑; 셑; ) HANGUL SYLLABLE SET
      "\uC152",  # (셒; 셒; 셒; 셒; 셒; ) HANGUL SYLLABLE SEP
      "\uC153",  # (셓; 셓; 셓; 셓; 셓; ) HANGUL SYLLABLE SEH
      "\uC154",  # (셔; 셔; 셔; 셔; 셔; ) HANGUL SYLLABLE SYEO
      "\uC155",  # (셕; 셕; 셕; 셕; 셕; ) HANGUL SYLLABLE SYEOG
      "\uC156",  # (셖; 셖; 셖; 셖; 셖; ) HANGUL SYLLABLE SYEOGG
      "\uC157",  # (셗; 셗; 셗; 셗; 셗; ) HANGUL SYLLABLE SYEOGS
      "\uC158",  # (션; 션; 션; 션; 션; ) HANGUL SYLLABLE SYEON
      "\uC159",  # (셙; 셙; 셙; 셙; 셙; ) HANGUL SYLLABLE SYEONJ
      "\uC15A",  # (셚; 셚; 셚; 셚; 셚; ) HANGUL SYLLABLE SYEONH
      "\uC15B",  # (셛; 셛; 셛; 셛; 셛; ) HANGUL SYLLABLE SYEOD
      "\uC15C",  # (셜; 셜; 셜; 셜; 셜; ) HANGUL SYLLABLE SYEOL
      "\uC15D",  # (셝; 셝; 셝; 셝; 셝; ) HANGUL SYLLABLE SYEOLG
      "\uC15E",  # (셞; 셞; 셞; 셞; 셞; ) HANGUL SYLLABLE SYEOLM
      "\uC15F",  # (셟; 셟; 셟; 셟; 셟; ) HANGUL SYLLABLE SYEOLB
      "\uC160",  # (셠; 셠; 셠; 셠; 셠; ) HANGUL SYLLABLE SYEOLS
      "\uC161",  # (셡; 셡; 셡; 셡; 셡; ) HANGUL SYLLABLE SYEOLT
      "\uC162",  # (셢; 셢; 셢; 셢; 셢; ) HANGUL SYLLABLE SYEOLP
      "\uC163",  # (셣; 셣; 셣; 셣; 셣; ) HANGUL SYLLABLE SYEOLH
      "\uC164",  # (셤; 셤; 셤; 셤; 셤; ) HANGUL SYLLABLE SYEOM
      "\uC165",  # (셥; 셥; 셥; 셥; 셥; ) HANGUL SYLLABLE SYEOB
      "\uC166",  # (셦; 셦; 셦; 셦; 셦; ) HANGUL SYLLABLE SYEOBS
      "\uC167",  # (셧; 셧; 셧; 셧; 셧; ) HANGUL SYLLABLE SYEOS
      "\uC168",  # (셨; 셨; 셨; 셨; 셨; ) HANGUL SYLLABLE SYEOSS
      "\uC169",  # (셩; 셩; 셩; 셩; 셩; ) HANGUL SYLLABLE SYEONG
      "\uC16A",  # (셪; 셪; 셪; 셪; 셪; ) HANGUL SYLLABLE SYEOJ
      "\uC16B",  # (셫; 셫; 셫; 셫; 셫; ) HANGUL SYLLABLE SYEOC
      "\uC16C",  # (셬; 셬; 셬; 셬; 셬; ) HANGUL SYLLABLE SYEOK
      "\uC16D",  # (셭; 셭; 셭; 셭; 셭; ) HANGUL SYLLABLE SYEOT
      "\uC16E",  # (셮; 셮; 셮; 셮; 셮; ) HANGUL SYLLABLE SYEOP
      "\uC16F",  # (셯; 셯; 셯; 셯; 셯; ) HANGUL SYLLABLE SYEOH
      "\uC170",  # (셰; 셰; 셰; 셰; 셰; ) HANGUL SYLLABLE SYE
      "\uC171",  # (셱; 셱; 셱; 셱; 셱; ) HANGUL SYLLABLE SYEG
      "\uC172",  # (셲; 셲; 셲; 셲; 셲; ) HANGUL SYLLABLE SYEGG
      "\uC173",  # (셳; 셳; 셳; 셳; 셳; ) HANGUL SYLLABLE SYEGS
      "\uC174",  # (셴; 셴; 셴; 셴; 셴; ) HANGUL SYLLABLE SYEN
      "\uC175",  # (셵; 셵; 셵; 셵; 셵; ) HANGUL SYLLABLE SYENJ
      "\uC176",  # (셶; 셶; 셶; 셶; 셶; ) HANGUL SYLLABLE SYENH
      "\uC177",  # (셷; 셷; 셷; 셷; 셷; ) HANGUL SYLLABLE SYED
      "\uC178",  # (셸; 셸; 셸; 셸; 셸; ) HANGUL SYLLABLE SYEL
      "\uC179",  # (셹; 셹; 셹; 셹; 셹; ) HANGUL SYLLABLE SYELG
      "\uC17A",  # (셺; 셺; 셺; 셺; 셺; ) HANGUL SYLLABLE SYELM
      "\uC17B",  # (셻; 셻; 셻; 셻; 셻; ) HANGUL SYLLABLE SYELB
      "\uC17C",  # (셼; 셼; 셼; 셼; 셼; ) HANGUL SYLLABLE SYELS
      "\uC17D",  # (셽; 셽; 셽; 셽; 셽; ) HANGUL SYLLABLE SYELT
      "\uC17E",  # (셾; 셾; 셾; 셾; 셾; ) HANGUL SYLLABLE SYELP
      "\uC17F",  # (셿; 셿; 셿; 셿; 셿; ) HANGUL SYLLABLE SYELH
      "\uC180",  # (솀; 솀; 솀; 솀; 솀; ) HANGUL SYLLABLE SYEM
      "\uC181",  # (솁; 솁; 솁; 솁; 솁; ) HANGUL SYLLABLE SYEB
      "\uC182",  # (솂; 솂; 솂; 솂; 솂; ) HANGUL SYLLABLE SYEBS
      "\uC183",  # (솃; 솃; 솃; 솃; 솃; ) HANGUL SYLLABLE SYES
      "\uC184",  # (솄; 솄; 솄; 솄; 솄; ) HANGUL SYLLABLE SYESS
      "\uC185",  # (솅; 솅; 솅; 솅; 솅; ) HANGUL SYLLABLE SYENG
      "\uC186",  # (솆; 솆; 솆; 솆; 솆; ) HANGUL SYLLABLE SYEJ
      "\uC187",  # (솇; 솇; 솇; 솇; 솇; ) HANGUL SYLLABLE SYEC
      "\uC188",  # (솈; 솈; 솈; 솈; 솈; ) HANGUL SYLLABLE SYEK
      "\uC189",  # (솉; 솉; 솉; 솉; 솉; ) HANGUL SYLLABLE SYET
      "\uC18A",  # (솊; 솊; 솊; 솊; 솊; ) HANGUL SYLLABLE SYEP
      "\uC18B",  # (솋; 솋; 솋; 솋; 솋; ) HANGUL SYLLABLE SYEH
      "\uC18C",  # (소; 소; 소; 소; 소; ) HANGUL SYLLABLE SO
      "\uC18D",  # (속; 속; 속; 속; 속; ) HANGUL SYLLABLE SOG
      "\uC18E",  # (솎; 솎; 솎; 솎; 솎; ) HANGUL SYLLABLE SOGG
      "\uC18F",  # (솏; 솏; 솏; 솏; 솏; ) HANGUL SYLLABLE SOGS
      "\uC190",  # (손; 손; 손; 손; 손; ) HANGUL SYLLABLE SON
      "\uC191",  # (솑; 솑; 솑; 솑; 솑; ) HANGUL SYLLABLE SONJ
      "\uC192",  # (솒; 솒; 솒; 솒; 솒; ) HANGUL SYLLABLE SONH
      "\uC193",  # (솓; 솓; 솓; 솓; 솓; ) HANGUL SYLLABLE SOD
      "\uC194",  # (솔; 솔; 솔; 솔; 솔; ) HANGUL SYLLABLE SOL
      "\uC195",  # (솕; 솕; 솕; 솕; 솕; ) HANGUL SYLLABLE SOLG
      "\uC196",  # (솖; 솖; 솖; 솖; 솖; ) HANGUL SYLLABLE SOLM
      "\uC197",  # (솗; 솗; 솗; 솗; 솗; ) HANGUL SYLLABLE SOLB
      "\uC198",  # (솘; 솘; 솘; 솘; 솘; ) HANGUL SYLLABLE SOLS
      "\uC199",  # (솙; 솙; 솙; 솙; 솙; ) HANGUL SYLLABLE SOLT
      "\uC19A",  # (솚; 솚; 솚; 솚; 솚; ) HANGUL SYLLABLE SOLP
      "\uC19B",  # (솛; 솛; 솛; 솛; 솛; ) HANGUL SYLLABLE SOLH
      "\uC19C",  # (솜; 솜; 솜; 솜; 솜; ) HANGUL SYLLABLE SOM
      "\uC19D",  # (솝; 솝; 솝; 솝; 솝; ) HANGUL SYLLABLE SOB
      "\uC19E",  # (솞; 솞; 솞; 솞; 솞; ) HANGUL SYLLABLE SOBS
      "\uC19F",  # (솟; 솟; 솟; 솟; 솟; ) HANGUL SYLLABLE SOS
      "\uC1A0",  # (솠; 솠; 솠; 솠; 솠; ) HANGUL SYLLABLE SOSS
      "\uC1A1",  # (송; 송; 송; 송; 송; ) HANGUL SYLLABLE SONG
      "\uC1A2",  # (솢; 솢; 솢; 솢; 솢; ) HANGUL SYLLABLE SOJ
      "\uC1A3",  # (솣; 솣; 솣; 솣; 솣; ) HANGUL SYLLABLE SOC
      "\uC1A4",  # (솤; 솤; 솤; 솤; 솤; ) HANGUL SYLLABLE SOK
      "\uC1A5",  # (솥; 솥; 솥; 솥; 솥; ) HANGUL SYLLABLE SOT
      "\uC1A6",  # (솦; 솦; 솦; 솦; 솦; ) HANGUL SYLLABLE SOP
      "\uC1A7",  # (솧; 솧; 솧; 솧; 솧; ) HANGUL SYLLABLE SOH
      "\uC1A8",  # (솨; 솨; 솨; 솨; 솨; ) HANGUL SYLLABLE SWA
      "\uC1A9",  # (솩; 솩; 솩; 솩; 솩; ) HANGUL SYLLABLE SWAG
      "\uC1AA",  # (솪; 솪; 솪; 솪; 솪; ) HANGUL SYLLABLE SWAGG
      "\uC1AB",  # (솫; 솫; 솫; 솫; 솫; ) HANGUL SYLLABLE SWAGS
      "\uC1AC",  # (솬; 솬; 솬; 솬; 솬; ) HANGUL SYLLABLE SWAN
      "\uC1AD",  # (솭; 솭; 솭; 솭; 솭; ) HANGUL SYLLABLE SWANJ
      "\uC1AE",  # (솮; 솮; 솮; 솮; 솮; ) HANGUL SYLLABLE SWANH
      "\uC1AF",  # (솯; 솯; 솯; 솯; 솯; ) HANGUL SYLLABLE SWAD
      "\uC1B0",  # (솰; 솰; 솰; 솰; 솰; ) HANGUL SYLLABLE SWAL
      "\uC1B1",  # (솱; 솱; 솱; 솱; 솱; ) HANGUL SYLLABLE SWALG
      "\uC1B2",  # (솲; 솲; 솲; 솲; 솲; ) HANGUL SYLLABLE SWALM
      "\uC1B3",  # (솳; 솳; 솳; 솳; 솳; ) HANGUL SYLLABLE SWALB
      "\uC1B4",  # (솴; 솴; 솴; 솴; 솴; ) HANGUL SYLLABLE SWALS
      "\uC1B5",  # (솵; 솵; 솵; 솵; 솵; ) HANGUL SYLLABLE SWALT
      "\uC1B6",  # (솶; 솶; 솶; 솶; 솶; ) HANGUL SYLLABLE SWALP
      "\uC1B7",  # (솷; 솷; 솷; 솷; 솷; ) HANGUL SYLLABLE SWALH
      "\uC1B8",  # (솸; 솸; 솸; 솸; 솸; ) HANGUL SYLLABLE SWAM
      "\uC1B9",  # (솹; 솹; 솹; 솹; 솹; ) HANGUL SYLLABLE SWAB
      "\uC1BA",  # (솺; 솺; 솺; 솺; 솺; ) HANGUL SYLLABLE SWABS
      "\uC1BB",  # (솻; 솻; 솻; 솻; 솻; ) HANGUL SYLLABLE SWAS
      "\uC1BC",  # (솼; 솼; 솼; 솼; 솼; ) HANGUL SYLLABLE SWASS
      "\uC1BD",  # (솽; 솽; 솽; 솽; 솽; ) HANGUL SYLLABLE SWANG
      "\uC1BE",  # (솾; 솾; 솾; 솾; 솾; ) HANGUL SYLLABLE SWAJ
      "\uC1BF",  # (솿; 솿; 솿; 솿; 솿; ) HANGUL SYLLABLE SWAC
      "\uC1C0",  # (쇀; 쇀; 쇀; 쇀; 쇀; ) HANGUL SYLLABLE SWAK
      "\uC1C1",  # (쇁; 쇁; 쇁; 쇁; 쇁; ) HANGUL SYLLABLE SWAT
      "\uC1C2",  # (쇂; 쇂; 쇂; 쇂; 쇂; ) HANGUL SYLLABLE SWAP
      "\uC1C3",  # (쇃; 쇃; 쇃; 쇃; 쇃; ) HANGUL SYLLABLE SWAH
      "\uC1C4",  # (쇄; 쇄; 쇄; 쇄; 쇄; ) HANGUL SYLLABLE SWAE
      "\uC1C5",  # (쇅; 쇅; 쇅; 쇅; 쇅; ) HANGUL SYLLABLE SWAEG
      "\uC1C6",  # (쇆; 쇆; 쇆; 쇆; 쇆; ) HANGUL SYLLABLE SWAEGG
      "\uC1C7",  # (쇇; 쇇; 쇇; 쇇; 쇇; ) HANGUL SYLLABLE SWAEGS
      "\uC1C8",  # (쇈; 쇈; 쇈; 쇈; 쇈; ) HANGUL SYLLABLE SWAEN
      "\uC1C9",  # (쇉; 쇉; 쇉; 쇉; 쇉; ) HANGUL SYLLABLE SWAENJ
      "\uC1CA",  # (쇊; 쇊; 쇊; 쇊; 쇊; ) HANGUL SYLLABLE SWAENH
      "\uC1CB",  # (쇋; 쇋; 쇋; 쇋; 쇋; ) HANGUL SYLLABLE SWAED
      "\uC1CC",  # (쇌; 쇌; 쇌; 쇌; 쇌; ) HANGUL SYLLABLE SWAEL
      "\uC1CD",  # (쇍; 쇍; 쇍; 쇍; 쇍; ) HANGUL SYLLABLE SWAELG
      "\uC1CE",  # (쇎; 쇎; 쇎; 쇎; 쇎; ) HANGUL SYLLABLE SWAELM
      "\uC1CF",  # (쇏; 쇏; 쇏; 쇏; 쇏; ) HANGUL SYLLABLE SWAELB
      "\uC1D0",  # (쇐; 쇐; 쇐; 쇐; 쇐; ) HANGUL SYLLABLE SWAELS
      "\uC1D1",  # (쇑; 쇑; 쇑; 쇑; 쇑; ) HANGUL SYLLABLE SWAELT
      "\uC1D2",  # (쇒; 쇒; 쇒; 쇒; 쇒; ) HANGUL SYLLABLE SWAELP
      "\uC1D3",  # (쇓; 쇓; 쇓; 쇓; 쇓; ) HANGUL SYLLABLE SWAELH
      "\uC1D4",  # (쇔; 쇔; 쇔; 쇔; 쇔; ) HANGUL SYLLABLE SWAEM
      "\uC1D5",  # (쇕; 쇕; 쇕; 쇕; 쇕; ) HANGUL SYLLABLE SWAEB
      "\uC1D6",  # (쇖; 쇖; 쇖; 쇖; 쇖; ) HANGUL SYLLABLE SWAEBS
      "\uC1D7",  # (쇗; 쇗; 쇗; 쇗; 쇗; ) HANGUL SYLLABLE SWAES
      "\uC1D8",  # (쇘; 쇘; 쇘; 쇘; 쇘; ) HANGUL SYLLABLE SWAESS
      "\uC1D9",  # (쇙; 쇙; 쇙; 쇙; 쇙; ) HANGUL SYLLABLE SWAENG
      "\uC1DA",  # (쇚; 쇚; 쇚; 쇚; 쇚; ) HANGUL SYLLABLE SWAEJ
      "\uC1DB",  # (쇛; 쇛; 쇛; 쇛; 쇛; ) HANGUL SYLLABLE SWAEC
      "\uC1DC",  # (쇜; 쇜; 쇜; 쇜; 쇜; ) HANGUL SYLLABLE SWAEK
      "\uC1DD",  # (쇝; 쇝; 쇝; 쇝; 쇝; ) HANGUL SYLLABLE SWAET
      "\uC1DE",  # (쇞; 쇞; 쇞; 쇞; 쇞; ) HANGUL SYLLABLE SWAEP
      "\uC1DF",  # (쇟; 쇟; 쇟; 쇟; 쇟; ) HANGUL SYLLABLE SWAEH
      "\uC1E0",  # (쇠; 쇠; 쇠; 쇠; 쇠; ) HANGUL SYLLABLE SOE
      "\uC1E1",  # (쇡; 쇡; 쇡; 쇡; 쇡; ) HANGUL SYLLABLE SOEG
      "\uC1E2",  # (쇢; 쇢; 쇢; 쇢; 쇢; ) HANGUL SYLLABLE SOEGG
      "\uC1E3",  # (쇣; 쇣; 쇣; 쇣; 쇣; ) HANGUL SYLLABLE SOEGS
      "\uC1E4",  # (쇤; 쇤; 쇤; 쇤; 쇤; ) HANGUL SYLLABLE SOEN
      "\uC1E5",  # (쇥; 쇥; 쇥; 쇥; 쇥; ) HANGUL SYLLABLE SOENJ
      "\uC1E6",  # (쇦; 쇦; 쇦; 쇦; 쇦; ) HANGUL SYLLABLE SOENH
      "\uC1E7",  # (쇧; 쇧; 쇧; 쇧; 쇧; ) HANGUL SYLLABLE SOED
      "\uC1E8",  # (쇨; 쇨; 쇨; 쇨; 쇨; ) HANGUL SYLLABLE SOEL
      "\uC1E9",  # (쇩; 쇩; 쇩; 쇩; 쇩; ) HANGUL SYLLABLE SOELG
      "\uC1EA",  # (쇪; 쇪; 쇪; 쇪; 쇪; ) HANGUL SYLLABLE SOELM
      "\uC1EB",  # (쇫; 쇫; 쇫; 쇫; 쇫; ) HANGUL SYLLABLE SOELB
      "\uC1EC",  # (쇬; 쇬; 쇬; 쇬; 쇬; ) HANGUL SYLLABLE SOELS
      "\uC1ED",  # (쇭; 쇭; 쇭; 쇭; 쇭; ) HANGUL SYLLABLE SOELT
      "\uC1EE",  # (쇮; 쇮; 쇮; 쇮; 쇮; ) HANGUL SYLLABLE SOELP
      "\uC1EF",  # (쇯; 쇯; 쇯; 쇯; 쇯; ) HANGUL SYLLABLE SOELH
      "\uC1F0",  # (쇰; 쇰; 쇰; 쇰; 쇰; ) HANGUL SYLLABLE SOEM
      "\uC1F1",  # (쇱; 쇱; 쇱; 쇱; 쇱; ) HANGUL SYLLABLE SOEB
      "\uC1F2",  # (쇲; 쇲; 쇲; 쇲; 쇲; ) HANGUL SYLLABLE SOEBS
      "\uC1F3",  # (쇳; 쇳; 쇳; 쇳; 쇳; ) HANGUL SYLLABLE SOES
      "\uC1F4",  # (쇴; 쇴; 쇴; 쇴; 쇴; ) HANGUL SYLLABLE SOESS
      "\uC1F5",  # (쇵; 쇵; 쇵; 쇵; 쇵; ) HANGUL SYLLABLE SOENG
      "\uC1F6",  # (쇶; 쇶; 쇶; 쇶; 쇶; ) HANGUL SYLLABLE SOEJ
      "\uC1F7",  # (쇷; 쇷; 쇷; 쇷; 쇷; ) HANGUL SYLLABLE SOEC
      "\uC1F8",  # (쇸; 쇸; 쇸; 쇸; 쇸; ) HANGUL SYLLABLE SOEK
      "\uC1F9",  # (쇹; 쇹; 쇹; 쇹; 쇹; ) HANGUL SYLLABLE SOET
      "\uC1FA",  # (쇺; 쇺; 쇺; 쇺; 쇺; ) HANGUL SYLLABLE SOEP
      "\uC1FB",  # (쇻; 쇻; 쇻; 쇻; 쇻; ) HANGUL SYLLABLE SOEH
      "\uC1FC",  # (쇼; 쇼; 쇼; 쇼; 쇼; ) HANGUL SYLLABLE SYO
      "\uC1FD",  # (쇽; 쇽; 쇽; 쇽; 쇽; ) HANGUL SYLLABLE SYOG
      "\uC1FE",  # (쇾; 쇾; 쇾; 쇾; 쇾; ) HANGUL SYLLABLE SYOGG
      "\uC1FF",  # (쇿; 쇿; 쇿; 쇿; 쇿; ) HANGUL SYLLABLE SYOGS
      "\uC200",  # (숀; 숀; 숀; 숀; 숀; ) HANGUL SYLLABLE SYON
      "\uC201",  # (숁; 숁; 숁; 숁; 숁; ) HANGUL SYLLABLE SYONJ
      "\uC202",  # (숂; 숂; 숂; 숂; 숂; ) HANGUL SYLLABLE SYONH
      "\uC203",  # (숃; 숃; 숃; 숃; 숃; ) HANGUL SYLLABLE SYOD
      "\uC204",  # (숄; 숄; 숄; 숄; 숄; ) HANGUL SYLLABLE SYOL
      "\uC205",  # (숅; 숅; 숅; 숅; 숅; ) HANGUL SYLLABLE SYOLG
      "\uC206",  # (숆; 숆; 숆; 숆; 숆; ) HANGUL SYLLABLE SYOLM
      "\uC207",  # (숇; 숇; 숇; 숇; 숇; ) HANGUL SYLLABLE SYOLB
      "\uC208",  # (숈; 숈; 숈; 숈; 숈; ) HANGUL SYLLABLE SYOLS
      "\uC209",  # (숉; 숉; 숉; 숉; 숉; ) HANGUL SYLLABLE SYOLT
      "\uC20A",  # (숊; 숊; 숊; 숊; 숊; ) HANGUL SYLLABLE SYOLP
      "\uC20B",  # (숋; 숋; 숋; 숋; 숋; ) HANGUL SYLLABLE SYOLH
      "\uC20C",  # (숌; 숌; 숌; 숌; 숌; ) HANGUL SYLLABLE SYOM
      "\uC20D",  # (숍; 숍; 숍; 숍; 숍; ) HANGUL SYLLABLE SYOB
      "\uC20E",  # (숎; 숎; 숎; 숎; 숎; ) HANGUL SYLLABLE SYOBS
      "\uC20F",  # (숏; 숏; 숏; 숏; 숏; ) HANGUL SYLLABLE SYOS
      "\uC210",  # (숐; 숐; 숐; 숐; 숐; ) HANGUL SYLLABLE SYOSS
      "\uC211",  # (숑; 숑; 숑; 숑; 숑; ) HANGUL SYLLABLE SYONG
      "\uC212",  # (숒; 숒; 숒; 숒; 숒; ) HANGUL SYLLABLE SYOJ
      "\uC213",  # (숓; 숓; 숓; 숓; 숓; ) HANGUL SYLLABLE SYOC
      "\uC214",  # (숔; 숔; 숔; 숔; 숔; ) HANGUL SYLLABLE SYOK
      "\uC215",  # (숕; 숕; 숕; 숕; 숕; ) HANGUL SYLLABLE SYOT
      "\uC216",  # (숖; 숖; 숖; 숖; 숖; ) HANGUL SYLLABLE SYOP
      "\uC217",  # (숗; 숗; 숗; 숗; 숗; ) HANGUL SYLLABLE SYOH
      "\uC218",  # (수; 수; 수; 수; 수; ) HANGUL SYLLABLE SU
      "\uC219",  # (숙; 숙; 숙; 숙; 숙; ) HANGUL SYLLABLE SUG
      "\uC21A",  # (숚; 숚; 숚; 숚; 숚; ) HANGUL SYLLABLE SUGG
      "\uC21B",  # (숛; 숛; 숛; 숛; 숛; ) HANGUL SYLLABLE SUGS
      "\uC21C",  # (순; 순; 순; 순; 순; ) HANGUL SYLLABLE SUN
      "\uC21D",  # (숝; 숝; 숝; 숝; 숝; ) HANGUL SYLLABLE SUNJ
      "\uC21E",  # (숞; 숞; 숞; 숞; 숞; ) HANGUL SYLLABLE SUNH
      "\uC21F",  # (숟; 숟; 숟; 숟; 숟; ) HANGUL SYLLABLE SUD
      "\uC220",  # (술; 술; 술; 술; 술; ) HANGUL SYLLABLE SUL
      "\uC221",  # (숡; 숡; 숡; 숡; 숡; ) HANGUL SYLLABLE SULG
      "\uC222",  # (숢; 숢; 숢; 숢; 숢; ) HANGUL SYLLABLE SULM
      "\uC223",  # (숣; 숣; 숣; 숣; 숣; ) HANGUL SYLLABLE SULB
      "\uC224",  # (숤; 숤; 숤; 숤; 숤; ) HANGUL SYLLABLE SULS
      "\uC225",  # (숥; 숥; 숥; 숥; 숥; ) HANGUL SYLLABLE SULT
      "\uC226",  # (숦; 숦; 숦; 숦; 숦; ) HANGUL SYLLABLE SULP
      "\uC227",  # (숧; 숧; 숧; 숧; 숧; ) HANGUL SYLLABLE SULH
      "\uC228",  # (숨; 숨; 숨; 숨; 숨; ) HANGUL SYLLABLE SUM
      "\uC229",  # (숩; 숩; 숩; 숩; 숩; ) HANGUL SYLLABLE SUB
      "\uC22A",  # (숪; 숪; 숪; 숪; 숪; ) HANGUL SYLLABLE SUBS
      "\uC22B",  # (숫; 숫; 숫; 숫; 숫; ) HANGUL SYLLABLE SUS
      "\uC22C",  # (숬; 숬; 숬; 숬; 숬; ) HANGUL SYLLABLE SUSS
      "\uC22D",  # (숭; 숭; 숭; 숭; 숭; ) HANGUL SYLLABLE SUNG
      "\uC22E",  # (숮; 숮; 숮; 숮; 숮; ) HANGUL SYLLABLE SUJ
      "\uC22F",  # (숯; 숯; 숯; 숯; 숯; ) HANGUL SYLLABLE SUC
      "\uC230",  # (숰; 숰; 숰; 숰; 숰; ) HANGUL SYLLABLE SUK
      "\uC231",  # (숱; 숱; 숱; 숱; 숱; ) HANGUL SYLLABLE SUT
      "\uC232",  # (숲; 숲; 숲; 숲; 숲; ) HANGUL SYLLABLE SUP
      "\uC233",  # (숳; 숳; 숳; 숳; 숳; ) HANGUL SYLLABLE SUH
      "\uC234",  # (숴; 숴; 숴; 숴; 숴; ) HANGUL SYLLABLE SWEO
      "\uC235",  # (숵; 숵; 숵; 숵; 숵; ) HANGUL SYLLABLE SWEOG
      "\uC236",  # (숶; 숶; 숶; 숶; 숶; ) HANGUL SYLLABLE SWEOGG
      "\uC237",  # (숷; 숷; 숷; 숷; 숷; ) HANGUL SYLLABLE SWEOGS
      "\uC238",  # (숸; 숸; 숸; 숸; 숸; ) HANGUL SYLLABLE SWEON
      "\uC239",  # (숹; 숹; 숹; 숹; 숹; ) HANGUL SYLLABLE SWEONJ
      "\uC23A",  # (숺; 숺; 숺; 숺; 숺; ) HANGUL SYLLABLE SWEONH
      "\uC23B",  # (숻; 숻; 숻; 숻; 숻; ) HANGUL SYLLABLE SWEOD
      "\uC23C",  # (숼; 숼; 숼; 숼; 숼; ) HANGUL SYLLABLE SWEOL
      "\uC23D",  # (숽; 숽; 숽; 숽; 숽; ) HANGUL SYLLABLE SWEOLG
      "\uC23E",  # (숾; 숾; 숾; 숾; 숾; ) HANGUL SYLLABLE SWEOLM
      "\uC23F",  # (숿; 숿; 숿; 숿; 숿; ) HANGUL SYLLABLE SWEOLB
      "\uC240",  # (쉀; 쉀; 쉀; 쉀; 쉀; ) HANGUL SYLLABLE SWEOLS
      "\uC241",  # (쉁; 쉁; 쉁; 쉁; 쉁; ) HANGUL SYLLABLE SWEOLT
      "\uC242",  # (쉂; 쉂; 쉂; 쉂; 쉂; ) HANGUL SYLLABLE SWEOLP
      "\uC243",  # (쉃; 쉃; 쉃; 쉃; 쉃; ) HANGUL SYLLABLE SWEOLH
      "\uC244",  # (쉄; 쉄; 쉄; 쉄; 쉄; ) HANGUL SYLLABLE SWEOM
      "\uC245",  # (쉅; 쉅; 쉅; 쉅; 쉅; ) HANGUL SYLLABLE SWEOB
      "\uC246",  # (쉆; 쉆; 쉆; 쉆; 쉆; ) HANGUL SYLLABLE SWEOBS
      "\uC247",  # (쉇; 쉇; 쉇; 쉇; 쉇; ) HANGUL SYLLABLE SWEOS
      "\uC248",  # (쉈; 쉈; 쉈; 쉈; 쉈; ) HANGUL SYLLABLE SWEOSS
      "\uC249",  # (쉉; 쉉; 쉉; 쉉; 쉉; ) HANGUL SYLLABLE SWEONG
      "\uC24A",  # (쉊; 쉊; 쉊; 쉊; 쉊; ) HANGUL SYLLABLE SWEOJ
      "\uC24B",  # (쉋; 쉋; 쉋; 쉋; 쉋; ) HANGUL SYLLABLE SWEOC
      "\uC24C",  # (쉌; 쉌; 쉌; 쉌; 쉌; ) HANGUL SYLLABLE SWEOK
      "\uC24D",  # (쉍; 쉍; 쉍; 쉍; 쉍; ) HANGUL SYLLABLE SWEOT
      "\uC24E",  # (쉎; 쉎; 쉎; 쉎; 쉎; ) HANGUL SYLLABLE SWEOP
      "\uC24F",  # (쉏; 쉏; 쉏; 쉏; 쉏; ) HANGUL SYLLABLE SWEOH
      "\uC250",  # (쉐; 쉐; 쉐; 쉐; 쉐; ) HANGUL SYLLABLE SWE
      "\uC251",  # (쉑; 쉑; 쉑; 쉑; 쉑; ) HANGUL SYLLABLE SWEG
      "\uC252",  # (쉒; 쉒; 쉒; 쉒; 쉒; ) HANGUL SYLLABLE SWEGG
      "\uC253",  # (쉓; 쉓; 쉓; 쉓; 쉓; ) HANGUL SYLLABLE SWEGS
      "\uC254",  # (쉔; 쉔; 쉔; 쉔; 쉔; ) HANGUL SYLLABLE SWEN
      "\uC255",  # (쉕; 쉕; 쉕; 쉕; 쉕; ) HANGUL SYLLABLE SWENJ
      "\uC256",  # (쉖; 쉖; 쉖; 쉖; 쉖; ) HANGUL SYLLABLE SWENH
      "\uC257",  # (쉗; 쉗; 쉗; 쉗; 쉗; ) HANGUL SYLLABLE SWED
      "\uC258",  # (쉘; 쉘; 쉘; 쉘; 쉘; ) HANGUL SYLLABLE SWEL
      "\uC259",  # (쉙; 쉙; 쉙; 쉙; 쉙; ) HANGUL SYLLABLE SWELG
      "\uC25A",  # (쉚; 쉚; 쉚; 쉚; 쉚; ) HANGUL SYLLABLE SWELM
      "\uC25B",  # (쉛; 쉛; 쉛; 쉛; 쉛; ) HANGUL SYLLABLE SWELB
      "\uC25C",  # (쉜; 쉜; 쉜; 쉜; 쉜; ) HANGUL SYLLABLE SWELS
      "\uC25D",  # (쉝; 쉝; 쉝; 쉝; 쉝; ) HANGUL SYLLABLE SWELT
      "\uC25E",  # (쉞; 쉞; 쉞; 쉞; 쉞; ) HANGUL SYLLABLE SWELP
      "\uC25F",  # (쉟; 쉟; 쉟; 쉟; 쉟; ) HANGUL SYLLABLE SWELH
      "\uC260",  # (쉠; 쉠; 쉠; 쉠; 쉠; ) HANGUL SYLLABLE SWEM
      "\uC261",  # (쉡; 쉡; 쉡; 쉡; 쉡; ) HANGUL SYLLABLE SWEB
      "\uC262",  # (쉢; 쉢; 쉢; 쉢; 쉢; ) HANGUL SYLLABLE SWEBS
      "\uC263",  # (쉣; 쉣; 쉣; 쉣; 쉣; ) HANGUL SYLLABLE SWES
      "\uC264",  # (쉤; 쉤; 쉤; 쉤; 쉤; ) HANGUL SYLLABLE SWESS
      "\uC265",  # (쉥; 쉥; 쉥; 쉥; 쉥; ) HANGUL SYLLABLE SWENG
      "\uC266",  # (쉦; 쉦; 쉦; 쉦; 쉦; ) HANGUL SYLLABLE SWEJ
      "\uC267",  # (쉧; 쉧; 쉧; 쉧; 쉧; ) HANGUL SYLLABLE SWEC
      "\uC268",  # (쉨; 쉨; 쉨; 쉨; 쉨; ) HANGUL SYLLABLE SWEK
      "\uC269",  # (쉩; 쉩; 쉩; 쉩; 쉩; ) HANGUL SYLLABLE SWET
      "\uC26A",  # (쉪; 쉪; 쉪; 쉪; 쉪; ) HANGUL SYLLABLE SWEP
      "\uC26B",  # (쉫; 쉫; 쉫; 쉫; 쉫; ) HANGUL SYLLABLE SWEH
      "\uC26C",  # (쉬; 쉬; 쉬; 쉬; 쉬; ) HANGUL SYLLABLE SWI
      "\uC26D",  # (쉭; 쉭; 쉭; 쉭; 쉭; ) HANGUL SYLLABLE SWIG
      "\uC26E",  # (쉮; 쉮; 쉮; 쉮; 쉮; ) HANGUL SYLLABLE SWIGG
      "\uC26F",  # (쉯; 쉯; 쉯; 쉯; 쉯; ) HANGUL SYLLABLE SWIGS
      "\uC270",  # (쉰; 쉰; 쉰; 쉰; 쉰; ) HANGUL SYLLABLE SWIN
      "\uC271",  # (쉱; 쉱; 쉱; 쉱; 쉱; ) HANGUL SYLLABLE SWINJ
      "\uC272",  # (쉲; 쉲; 쉲; 쉲; 쉲; ) HANGUL SYLLABLE SWINH
      "\uC273",  # (쉳; 쉳; 쉳; 쉳; 쉳; ) HANGUL SYLLABLE SWID
      "\uC274",  # (쉴; 쉴; 쉴; 쉴; 쉴; ) HANGUL SYLLABLE SWIL
      "\uC275",  # (쉵; 쉵; 쉵; 쉵; 쉵; ) HANGUL SYLLABLE SWILG
      "\uC276",  # (쉶; 쉶; 쉶; 쉶; 쉶; ) HANGUL SYLLABLE SWILM
      "\uC277",  # (쉷; 쉷; 쉷; 쉷; 쉷; ) HANGUL SYLLABLE SWILB
      "\uC278",  # (쉸; 쉸; 쉸; 쉸; 쉸; ) HANGUL SYLLABLE SWILS
      "\uC279",  # (쉹; 쉹; 쉹; 쉹; 쉹; ) HANGUL SYLLABLE SWILT
      "\uC27A",  # (쉺; 쉺; 쉺; 쉺; 쉺; ) HANGUL SYLLABLE SWILP
      "\uC27B",  # (쉻; 쉻; 쉻; 쉻; 쉻; ) HANGUL SYLLABLE SWILH
      "\uC27C",  # (쉼; 쉼; 쉼; 쉼; 쉼; ) HANGUL SYLLABLE SWIM
      "\uC27D",  # (쉽; 쉽; 쉽; 쉽; 쉽; ) HANGUL SYLLABLE SWIB
      "\uC27E",  # (쉾; 쉾; 쉾; 쉾; 쉾; ) HANGUL SYLLABLE SWIBS
      "\uC27F",  # (쉿; 쉿; 쉿; 쉿; 쉿; ) HANGUL SYLLABLE SWIS
      "\uC280",  # (슀; 슀; 슀; 슀; 슀; ) HANGUL SYLLABLE SWISS
      "\uC281",  # (슁; 슁; 슁; 슁; 슁; ) HANGUL SYLLABLE SWING
      "\uC282",  # (슂; 슂; 슂; 슂; 슂; ) HANGUL SYLLABLE SWIJ
      "\uC283",  # (슃; 슃; 슃; 슃; 슃; ) HANGUL SYLLABLE SWIC
      "\uC284",  # (슄; 슄; 슄; 슄; 슄; ) HANGUL SYLLABLE SWIK
      "\uC285",  # (슅; 슅; 슅; 슅; 슅; ) HANGUL SYLLABLE SWIT
      "\uC286",  # (슆; 슆; 슆; 슆; 슆; ) HANGUL SYLLABLE SWIP
      "\uC287",  # (슇; 슇; 슇; 슇; 슇; ) HANGUL SYLLABLE SWIH
      "\uC288",  # (슈; 슈; 슈; 슈; 슈; ) HANGUL SYLLABLE SYU
      "\uC289",  # (슉; 슉; 슉; 슉; 슉; ) HANGUL SYLLABLE SYUG
      "\uC28A",  # (슊; 슊; 슊; 슊; 슊; ) HANGUL SYLLABLE SYUGG
      "\uC28B",  # (슋; 슋; 슋; 슋; 슋; ) HANGUL SYLLABLE SYUGS
      "\uC28C",  # (슌; 슌; 슌; 슌; 슌; ) HANGUL SYLLABLE SYUN
      "\uC28D",  # (슍; 슍; 슍; 슍; 슍; ) HANGUL SYLLABLE SYUNJ
      "\uC28E",  # (슎; 슎; 슎; 슎; 슎; ) HANGUL SYLLABLE SYUNH
      "\uC28F",  # (슏; 슏; 슏; 슏; 슏; ) HANGUL SYLLABLE SYUD
      "\uC290",  # (슐; 슐; 슐; 슐; 슐; ) HANGUL SYLLABLE SYUL
      "\uC291",  # (슑; 슑; 슑; 슑; 슑; ) HANGUL SYLLABLE SYULG
      "\uC292",  # (슒; 슒; 슒; 슒; 슒; ) HANGUL SYLLABLE SYULM
      "\uC293",  # (슓; 슓; 슓; 슓; 슓; ) HANGUL SYLLABLE SYULB
      "\uC294",  # (슔; 슔; 슔; 슔; 슔; ) HANGUL SYLLABLE SYULS
      "\uC295",  # (슕; 슕; 슕; 슕; 슕; ) HANGUL SYLLABLE SYULT
      "\uC296",  # (슖; 슖; 슖; 슖; 슖; ) HANGUL SYLLABLE SYULP
      "\uC297",  # (슗; 슗; 슗; 슗; 슗; ) HANGUL SYLLABLE SYULH
      "\uC298",  # (슘; 슘; 슘; 슘; 슘; ) HANGUL SYLLABLE SYUM
      "\uC299",  # (슙; 슙; 슙; 슙; 슙; ) HANGUL SYLLABLE SYUB
      "\uC29A",  # (슚; 슚; 슚; 슚; 슚; ) HANGUL SYLLABLE SYUBS
      "\uC29B",  # (슛; 슛; 슛; 슛; 슛; ) HANGUL SYLLABLE SYUS
      "\uC29C",  # (슜; 슜; 슜; 슜; 슜; ) HANGUL SYLLABLE SYUSS
      "\uC29D",  # (슝; 슝; 슝; 슝; 슝; ) HANGUL SYLLABLE SYUNG
      "\uC29E",  # (슞; 슞; 슞; 슞; 슞; ) HANGUL SYLLABLE SYUJ
      "\uC29F",  # (슟; 슟; 슟; 슟; 슟; ) HANGUL SYLLABLE SYUC
      "\uC2A0",  # (슠; 슠; 슠; 슠; 슠; ) HANGUL SYLLABLE SYUK
      "\uC2A1",  # (슡; 슡; 슡; 슡; 슡; ) HANGUL SYLLABLE SYUT
      "\uC2A2",  # (슢; 슢; 슢; 슢; 슢; ) HANGUL SYLLABLE SYUP
      "\uC2A3",  # (슣; 슣; 슣; 슣; 슣; ) HANGUL SYLLABLE SYUH
      "\uC2A4",  # (스; 스; 스; 스; 스; ) HANGUL SYLLABLE SEU
      "\uC2A5",  # (슥; 슥; 슥; 슥; 슥; ) HANGUL SYLLABLE SEUG
      "\uC2A6",  # (슦; 슦; 슦; 슦; 슦; ) HANGUL SYLLABLE SEUGG
      "\uC2A7",  # (슧; 슧; 슧; 슧; 슧; ) HANGUL SYLLABLE SEUGS
      "\uC2A8",  # (슨; 슨; 슨; 슨; 슨; ) HANGUL SYLLABLE SEUN
      "\uC2A9",  # (슩; 슩; 슩; 슩; 슩; ) HANGUL SYLLABLE SEUNJ
      "\uC2AA",  # (슪; 슪; 슪; 슪; 슪; ) HANGUL SYLLABLE SEUNH
      "\uC2AB",  # (슫; 슫; 슫; 슫; 슫; ) HANGUL SYLLABLE SEUD
      "\uC2AC",  # (슬; 슬; 슬; 슬; 슬; ) HANGUL SYLLABLE SEUL
      "\uC2AD",  # (슭; 슭; 슭; 슭; 슭; ) HANGUL SYLLABLE SEULG
      "\uC2AE",  # (슮; 슮; 슮; 슮; 슮; ) HANGUL SYLLABLE SEULM
      "\uC2AF",  # (슯; 슯; 슯; 슯; 슯; ) HANGUL SYLLABLE SEULB
      "\uC2B0",  # (슰; 슰; 슰; 슰; 슰; ) HANGUL SYLLABLE SEULS
      "\uC2B1",  # (슱; 슱; 슱; 슱; 슱; ) HANGUL SYLLABLE SEULT
      "\uC2B2",  # (슲; 슲; 슲; 슲; 슲; ) HANGUL SYLLABLE SEULP
      "\uC2B3",  # (슳; 슳; 슳; 슳; 슳; ) HANGUL SYLLABLE SEULH
      "\uC2B4",  # (슴; 슴; 슴; 슴; 슴; ) HANGUL SYLLABLE SEUM
      "\uC2B5",  # (습; 습; 습; 습; 습; ) HANGUL SYLLABLE SEUB
      "\uC2B6",  # (슶; 슶; 슶; 슶; 슶; ) HANGUL SYLLABLE SEUBS
      "\uC2B7",  # (슷; 슷; 슷; 슷; 슷; ) HANGUL SYLLABLE SEUS
      "\uC2B8",  # (슸; 슸; 슸; 슸; 슸; ) HANGUL SYLLABLE SEUSS
      "\uC2B9",  # (승; 승; 승; 승; 승; ) HANGUL SYLLABLE SEUNG
      "\uC2BA",  # (슺; 슺; 슺; 슺; 슺; ) HANGUL SYLLABLE SEUJ
      "\uC2BB",  # (슻; 슻; 슻; 슻; 슻; ) HANGUL SYLLABLE SEUC
      "\uC2BC",  # (슼; 슼; 슼; 슼; 슼; ) HANGUL SYLLABLE SEUK
      "\uC2BD",  # (슽; 슽; 슽; 슽; 슽; ) HANGUL SYLLABLE SEUT
      "\uC2BE",  # (슾; 슾; 슾; 슾; 슾; ) HANGUL SYLLABLE SEUP
      "\uC2BF",  # (슿; 슿; 슿; 슿; 슿; ) HANGUL SYLLABLE SEUH
      "\uC2C0",  # (싀; 싀; 싀; 싀; 싀; ) HANGUL SYLLABLE SYI
      "\uC2C1",  # (싁; 싁; 싁; 싁; 싁; ) HANGUL SYLLABLE SYIG
      "\uC2C2",  # (싂; 싂; 싂; 싂; 싂; ) HANGUL SYLLABLE SYIGG
      "\uC2C3",  # (싃; 싃; 싃; 싃; 싃; ) HANGUL SYLLABLE SYIGS
      "\uC2C4",  # (싄; 싄; 싄; 싄; 싄; ) HANGUL SYLLABLE SYIN
      "\uC2C5",  # (싅; 싅; 싅; 싅; 싅; ) HANGUL SYLLABLE SYINJ
      "\uC2C6",  # (싆; 싆; 싆; 싆; 싆; ) HANGUL SYLLABLE SYINH
      "\uC2C7",  # (싇; 싇; 싇; 싇; 싇; ) HANGUL SYLLABLE SYID
      "\uC2C8",  # (싈; 싈; 싈; 싈; 싈; ) HANGUL SYLLABLE SYIL
      "\uC2C9",  # (싉; 싉; 싉; 싉; 싉; ) HANGUL SYLLABLE SYILG
      "\uC2CA",  # (싊; 싊; 싊; 싊; 싊; ) HANGUL SYLLABLE SYILM
      "\uC2CB",  # (싋; 싋; 싋; 싋; 싋; ) HANGUL SYLLABLE SYILB
      "\uC2CC",  # (싌; 싌; 싌; 싌; 싌; ) HANGUL SYLLABLE SYILS
      "\uC2CD",  # (싍; 싍; 싍; 싍; 싍; ) HANGUL SYLLABLE SYILT
      "\uC2CE",  # (싎; 싎; 싎; 싎; 싎; ) HANGUL SYLLABLE SYILP
      "\uC2CF",  # (싏; 싏; 싏; 싏; 싏; ) HANGUL SYLLABLE SYILH
      "\uC2D0",  # (싐; 싐; 싐; 싐; 싐; ) HANGUL SYLLABLE SYIM
      "\uC2D1",  # (싑; 싑; 싑; 싑; 싑; ) HANGUL SYLLABLE SYIB
      "\uC2D2",  # (싒; 싒; 싒; 싒; 싒; ) HANGUL SYLLABLE SYIBS
      "\uC2D3",  # (싓; 싓; 싓; 싓; 싓; ) HANGUL SYLLABLE SYIS
      "\uC2D4",  # (싔; 싔; 싔; 싔; 싔; ) HANGUL SYLLABLE SYISS
      "\uC2D5",  # (싕; 싕; 싕; 싕; 싕; ) HANGUL SYLLABLE SYING
      "\uC2D6",  # (싖; 싖; 싖; 싖; 싖; ) HANGUL SYLLABLE SYIJ
      "\uC2D7",  # (싗; 싗; 싗; 싗; 싗; ) HANGUL SYLLABLE SYIC
      "\uC2D8",  # (싘; 싘; 싘; 싘; 싘; ) HANGUL SYLLABLE SYIK
      "\uC2D9",  # (싙; 싙; 싙; 싙; 싙; ) HANGUL SYLLABLE SYIT
      "\uC2DA",  # (싚; 싚; 싚; 싚; 싚; ) HANGUL SYLLABLE SYIP
      "\uC2DB",  # (싛; 싛; 싛; 싛; 싛; ) HANGUL SYLLABLE SYIH
      "\uC2DC",  # (시; 시; 시; 시; 시; ) HANGUL SYLLABLE SI
      "\uC2DD",  # (식; 식; 식; 식; 식; ) HANGUL SYLLABLE SIG
      "\uC2DE",  # (싞; 싞; 싞; 싞; 싞; ) HANGUL SYLLABLE SIGG
      "\uC2DF",  # (싟; 싟; 싟; 싟; 싟; ) HANGUL SYLLABLE SIGS
      "\uC2E0",  # (신; 신; 신; 신; 신; ) HANGUL SYLLABLE SIN
      "\uC2E1",  # (싡; 싡; 싡; 싡; 싡; ) HANGUL SYLLABLE SINJ
      "\uC2E2",  # (싢; 싢; 싢; 싢; 싢; ) HANGUL SYLLABLE SINH
      "\uC2E3",  # (싣; 싣; 싣; 싣; 싣; ) HANGUL SYLLABLE SID
      "\uC2E4",  # (실; 실; 실; 실; 실; ) HANGUL SYLLABLE SIL
      "\uC2E5",  # (싥; 싥; 싥; 싥; 싥; ) HANGUL SYLLABLE SILG
      "\uC2E6",  # (싦; 싦; 싦; 싦; 싦; ) HANGUL SYLLABLE SILM
      "\uC2E7",  # (싧; 싧; 싧; 싧; 싧; ) HANGUL SYLLABLE SILB
      "\uC2E8",  # (싨; 싨; 싨; 싨; 싨; ) HANGUL SYLLABLE SILS
      "\uC2E9",  # (싩; 싩; 싩; 싩; 싩; ) HANGUL SYLLABLE SILT
      "\uC2EA",  # (싪; 싪; 싪; 싪; 싪; ) HANGUL SYLLABLE SILP
      "\uC2EB",  # (싫; 싫; 싫; 싫; 싫; ) HANGUL SYLLABLE SILH
      "\uC2EC",  # (심; 심; 심; 심; 심; ) HANGUL SYLLABLE SIM
      "\uC2ED",  # (십; 십; 십; 십; 십; ) HANGUL SYLLABLE SIB
      "\uC2EE",  # (싮; 싮; 싮; 싮; 싮; ) HANGUL SYLLABLE SIBS
      "\uC2EF",  # (싯; 싯; 싯; 싯; 싯; ) HANGUL SYLLABLE SIS
      "\uC2F0",  # (싰; 싰; 싰; 싰; 싰; ) HANGUL SYLLABLE SISS
      "\uC2F1",  # (싱; 싱; 싱; 싱; 싱; ) HANGUL SYLLABLE SING
      "\uC2F2",  # (싲; 싲; 싲; 싲; 싲; ) HANGUL SYLLABLE SIJ
      "\uC2F3",  # (싳; 싳; 싳; 싳; 싳; ) HANGUL SYLLABLE SIC
      "\uC2F4",  # (싴; 싴; 싴; 싴; 싴; ) HANGUL SYLLABLE SIK
      "\uC2F5",  # (싵; 싵; 싵; 싵; 싵; ) HANGUL SYLLABLE SIT
      "\uC2F6",  # (싶; 싶; 싶; 싶; 싶; ) HANGUL SYLLABLE SIP
      "\uC2F7",  # (싷; 싷; 싷; 싷; 싷; ) HANGUL SYLLABLE SIH
      "\uC2F8",  # (싸; 싸; 싸; 싸; 싸; ) HANGUL SYLLABLE SSA
      "\uC2F9",  # (싹; 싹; 싹; 싹; 싹; ) HANGUL SYLLABLE SSAG
      "\uC2FA",  # (싺; 싺; 싺; 싺; 싺; ) HANGUL SYLLABLE SSAGG
      "\uC2FB",  # (싻; 싻; 싻; 싻; 싻; ) HANGUL SYLLABLE SSAGS
      "\uC2FC",  # (싼; 싼; 싼; 싼; 싼; ) HANGUL SYLLABLE SSAN
      "\uC2FD",  # (싽; 싽; 싽; 싽; 싽; ) HANGUL SYLLABLE SSANJ
      "\uC2FE",  # (싾; 싾; 싾; 싾; 싾; ) HANGUL SYLLABLE SSANH
      "\uC2FF",  # (싿; 싿; 싿; 싿; 싿; ) HANGUL SYLLABLE SSAD
      "\uC300",  # (쌀; 쌀; 쌀; 쌀; 쌀; ) HANGUL SYLLABLE SSAL
      "\uC301",  # (쌁; 쌁; 쌁; 쌁; 쌁; ) HANGUL SYLLABLE SSALG
      "\uC302",  # (쌂; 쌂; 쌂; 쌂; 쌂; ) HANGUL SYLLABLE SSALM
      "\uC303",  # (쌃; 쌃; 쌃; 쌃; 쌃; ) HANGUL SYLLABLE SSALB
      "\uC304",  # (쌄; 쌄; 쌄; 쌄; 쌄; ) HANGUL SYLLABLE SSALS
      "\uC305",  # (쌅; 쌅; 쌅; 쌅; 쌅; ) HANGUL SYLLABLE SSALT
      "\uC306",  # (쌆; 쌆; 쌆; 쌆; 쌆; ) HANGUL SYLLABLE SSALP
      "\uC307",  # (쌇; 쌇; 쌇; 쌇; 쌇; ) HANGUL SYLLABLE SSALH
      "\uC308",  # (쌈; 쌈; 쌈; 쌈; 쌈; ) HANGUL SYLLABLE SSAM
      "\uC309",  # (쌉; 쌉; 쌉; 쌉; 쌉; ) HANGUL SYLLABLE SSAB
      "\uC30A",  # (쌊; 쌊; 쌊; 쌊; 쌊; ) HANGUL SYLLABLE SSABS
      "\uC30B",  # (쌋; 쌋; 쌋; 쌋; 쌋; ) HANGUL SYLLABLE SSAS
      "\uC30C",  # (쌌; 쌌; 쌌; 쌌; 쌌; ) HANGUL SYLLABLE SSASS
      "\uC30D",  # (쌍; 쌍; 쌍; 쌍; 쌍; ) HANGUL SYLLABLE SSANG
      "\uC30E",  # (쌎; 쌎; 쌎; 쌎; 쌎; ) HANGUL SYLLABLE SSAJ
      "\uC30F",  # (쌏; 쌏; 쌏; 쌏; 쌏; ) HANGUL SYLLABLE SSAC
      "\uC310",  # (쌐; 쌐; 쌐; 쌐; 쌐; ) HANGUL SYLLABLE SSAK
      "\uC311",  # (쌑; 쌑; 쌑; 쌑; 쌑; ) HANGUL SYLLABLE SSAT
      "\uC312",  # (쌒; 쌒; 쌒; 쌒; 쌒; ) HANGUL SYLLABLE SSAP
      "\uC313",  # (쌓; 쌓; 쌓; 쌓; 쌓; ) HANGUL SYLLABLE SSAH
      "\uC314",  # (쌔; 쌔; 쌔; 쌔; 쌔; ) HANGUL SYLLABLE SSAE
      "\uC315",  # (쌕; 쌕; 쌕; 쌕; 쌕; ) HANGUL SYLLABLE SSAEG
      "\uC316",  # (쌖; 쌖; 쌖; 쌖; 쌖; ) HANGUL SYLLABLE SSAEGG
      "\uC317",  # (쌗; 쌗; 쌗; 쌗; 쌗; ) HANGUL SYLLABLE SSAEGS
      "\uC318",  # (쌘; 쌘; 쌘; 쌘; 쌘; ) HANGUL SYLLABLE SSAEN
      "\uC319",  # (쌙; 쌙; 쌙; 쌙; 쌙; ) HANGUL SYLLABLE SSAENJ
      "\uC31A",  # (쌚; 쌚; 쌚; 쌚; 쌚; ) HANGUL SYLLABLE SSAENH
      "\uC31B",  # (쌛; 쌛; 쌛; 쌛; 쌛; ) HANGUL SYLLABLE SSAED
      "\uC31C",  # (쌜; 쌜; 쌜; 쌜; 쌜; ) HANGUL SYLLABLE SSAEL
      "\uC31D",  # (쌝; 쌝; 쌝; 쌝; 쌝; ) HANGUL SYLLABLE SSAELG
      "\uC31E",  # (쌞; 쌞; 쌞; 쌞; 쌞; ) HANGUL SYLLABLE SSAELM
      "\uC31F",  # (쌟; 쌟; 쌟; 쌟; 쌟; ) HANGUL SYLLABLE SSAELB
      "\uC320",  # (쌠; 쌠; 쌠; 쌠; 쌠; ) HANGUL SYLLABLE SSAELS
      "\uC321",  # (쌡; 쌡; 쌡; 쌡; 쌡; ) HANGUL SYLLABLE SSAELT
      "\uC322",  # (쌢; 쌢; 쌢; 쌢; 쌢; ) HANGUL SYLLABLE SSAELP
      "\uC323",  # (쌣; 쌣; 쌣; 쌣; 쌣; ) HANGUL SYLLABLE SSAELH
      "\uC324",  # (쌤; 쌤; 쌤; 쌤; 쌤; ) HANGUL SYLLABLE SSAEM
      "\uC325",  # (쌥; 쌥; 쌥; 쌥; 쌥; ) HANGUL SYLLABLE SSAEB
      "\uC326",  # (쌦; 쌦; 쌦; 쌦; 쌦; ) HANGUL SYLLABLE SSAEBS
      "\uC327",  # (쌧; 쌧; 쌧; 쌧; 쌧; ) HANGUL SYLLABLE SSAES
      "\uC328",  # (쌨; 쌨; 쌨; 쌨; 쌨; ) HANGUL SYLLABLE SSAESS
      "\uC329",  # (쌩; 쌩; 쌩; 쌩; 쌩; ) HANGUL SYLLABLE SSAENG
      "\uC32A",  # (쌪; 쌪; 쌪; 쌪; 쌪; ) HANGUL SYLLABLE SSAEJ
      "\uC32B",  # (쌫; 쌫; 쌫; 쌫; 쌫; ) HANGUL SYLLABLE SSAEC
      "\uC32C",  # (쌬; 쌬; 쌬; 쌬; 쌬; ) HANGUL SYLLABLE SSAEK
      "\uC32D",  # (쌭; 쌭; 쌭; 쌭; 쌭; ) HANGUL SYLLABLE SSAET
      "\uC32E",  # (쌮; 쌮; 쌮; 쌮; 쌮; ) HANGUL SYLLABLE SSAEP
      "\uC32F",  # (쌯; 쌯; 쌯; 쌯; 쌯; ) HANGUL SYLLABLE SSAEH
      "\uC330",  # (쌰; 쌰; 쌰; 쌰; 쌰; ) HANGUL SYLLABLE SSYA
      "\uC331",  # (쌱; 쌱; 쌱; 쌱; 쌱; ) HANGUL SYLLABLE SSYAG
      "\uC332",  # (쌲; 쌲; 쌲; 쌲; 쌲; ) HANGUL SYLLABLE SSYAGG
      "\uC333",  # (쌳; 쌳; 쌳; 쌳; 쌳; ) HANGUL SYLLABLE SSYAGS
      "\uC334",  # (쌴; 쌴; 쌴; 쌴; 쌴; ) HANGUL SYLLABLE SSYAN
      "\uC335",  # (쌵; 쌵; 쌵; 쌵; 쌵; ) HANGUL SYLLABLE SSYANJ
      "\uC336",  # (쌶; 쌶; 쌶; 쌶; 쌶; ) HANGUL SYLLABLE SSYANH
      "\uC337",  # (쌷; 쌷; 쌷; 쌷; 쌷; ) HANGUL SYLLABLE SSYAD
      "\uC338",  # (쌸; 쌸; 쌸; 쌸; 쌸; ) HANGUL SYLLABLE SSYAL
      "\uC339",  # (쌹; 쌹; 쌹; 쌹; 쌹; ) HANGUL SYLLABLE SSYALG
      "\uC33A",  # (쌺; 쌺; 쌺; 쌺; 쌺; ) HANGUL SYLLABLE SSYALM
      "\uC33B",  # (쌻; 쌻; 쌻; 쌻; 쌻; ) HANGUL SYLLABLE SSYALB
      "\uC33C",  # (쌼; 쌼; 쌼; 쌼; 쌼; ) HANGUL SYLLABLE SSYALS
      "\uC33D",  # (쌽; 쌽; 쌽; 쌽; 쌽; ) HANGUL SYLLABLE SSYALT
      "\uC33E",  # (쌾; 쌾; 쌾; 쌾; 쌾; ) HANGUL SYLLABLE SSYALP
      "\uC33F",  # (쌿; 쌿; 쌿; 쌿; 쌿; ) HANGUL SYLLABLE SSYALH
      "\uC340",  # (썀; 썀; 썀; 썀; 썀; ) HANGUL SYLLABLE SSYAM
      "\uC341",  # (썁; 썁; 썁; 썁; 썁; ) HANGUL SYLLABLE SSYAB
      "\uC342",  # (썂; 썂; 썂; 썂; 썂; ) HANGUL SYLLABLE SSYABS
      "\uC343",  # (썃; 썃; 썃; 썃; 썃; ) HANGUL SYLLABLE SSYAS
      "\uC344",  # (썄; 썄; 썄; 썄; 썄; ) HANGUL SYLLABLE SSYASS
      "\uC345",  # (썅; 썅; 썅; 썅; 썅; ) HANGUL SYLLABLE SSYANG
      "\uC346",  # (썆; 썆; 썆; 썆; 썆; ) HANGUL SYLLABLE SSYAJ
      "\uC347",  # (썇; 썇; 썇; 썇; 썇; ) HANGUL SYLLABLE SSYAC
      "\uC348",  # (썈; 썈; 썈; 썈; 썈; ) HANGUL SYLLABLE SSYAK
      "\uC349",  # (썉; 썉; 썉; 썉; 썉; ) HANGUL SYLLABLE SSYAT
      "\uC34A",  # (썊; 썊; 썊; 썊; 썊; ) HANGUL SYLLABLE SSYAP
      "\uC34B",  # (썋; 썋; 썋; 썋; 썋; ) HANGUL SYLLABLE SSYAH
      "\uC34C",  # (썌; 썌; 썌; 썌; 썌; ) HANGUL SYLLABLE SSYAE
      "\uC34D",  # (썍; 썍; 썍; 썍; 썍; ) HANGUL SYLLABLE SSYAEG
      "\uC34E",  # (썎; 썎; 썎; 썎; 썎; ) HANGUL SYLLABLE SSYAEGG
      "\uC34F",  # (썏; 썏; 썏; 썏; 썏; ) HANGUL SYLLABLE SSYAEGS
      "\uC350",  # (썐; 썐; 썐; 썐; 썐; ) HANGUL SYLLABLE SSYAEN
      "\uC351",  # (썑; 썑; 썑; 썑; 썑; ) HANGUL SYLLABLE SSYAENJ
      "\uC352",  # (썒; 썒; 썒; 썒; 썒; ) HANGUL SYLLABLE SSYAENH
      "\uC353",  # (썓; 썓; 썓; 썓; 썓; ) HANGUL SYLLABLE SSYAED
      "\uC354",  # (썔; 썔; 썔; 썔; 썔; ) HANGUL SYLLABLE SSYAEL
      "\uC355",  # (썕; 썕; 썕; 썕; 썕; ) HANGUL SYLLABLE SSYAELG
      "\uC356",  # (썖; 썖; 썖; 썖; 썖; ) HANGUL SYLLABLE SSYAELM
      "\uC357",  # (썗; 썗; 썗; 썗; 썗; ) HANGUL SYLLABLE SSYAELB
      "\uC358",  # (썘; 썘; 썘; 썘; 썘; ) HANGUL SYLLABLE SSYAELS
      "\uC359",  # (썙; 썙; 썙; 썙; 썙; ) HANGUL SYLLABLE SSYAELT
      "\uC35A",  # (썚; 썚; 썚; 썚; 썚; ) HANGUL SYLLABLE SSYAELP
      "\uC35B",  # (썛; 썛; 썛; 썛; 썛; ) HANGUL SYLLABLE SSYAELH
      "\uC35C",  # (썜; 썜; 썜; 썜; 썜; ) HANGUL SYLLABLE SSYAEM
      "\uC35D",  # (썝; 썝; 썝; 썝; 썝; ) HANGUL SYLLABLE SSYAEB
      "\uC35E",  # (썞; 썞; 썞; 썞; 썞; ) HANGUL SYLLABLE SSYAEBS
      "\uC35F",  # (썟; 썟; 썟; 썟; 썟; ) HANGUL SYLLABLE SSYAES
      "\uC360",  # (썠; 썠; 썠; 썠; 썠; ) HANGUL SYLLABLE SSYAESS
      "\uC361",  # (썡; 썡; 썡; 썡; 썡; ) HANGUL SYLLABLE SSYAENG
      "\uC362",  # (썢; 썢; 썢; 썢; 썢; ) HANGUL SYLLABLE SSYAEJ
      "\uC363",  # (썣; 썣; 썣; 썣; 썣; ) HANGUL SYLLABLE SSYAEC
      "\uC364",  # (썤; 썤; 썤; 썤; 썤; ) HANGUL SYLLABLE SSYAEK
      "\uC365",  # (썥; 썥; 썥; 썥; 썥; ) HANGUL SYLLABLE SSYAET
      "\uC366",  # (썦; 썦; 썦; 썦; 썦; ) HANGUL SYLLABLE SSYAEP
      "\uC367",  # (썧; 썧; 썧; 썧; 썧; ) HANGUL SYLLABLE SSYAEH
      "\uC368",  # (써; 써; 써; 써; 써; ) HANGUL SYLLABLE SSEO
      "\uC369",  # (썩; 썩; 썩; 썩; 썩; ) HANGUL SYLLABLE SSEOG
      "\uC36A",  # (썪; 썪; 썪; 썪; 썪; ) HANGUL SYLLABLE SSEOGG
      "\uC36B",  # (썫; 썫; 썫; 썫; 썫; ) HANGUL SYLLABLE SSEOGS
      "\uC36C",  # (썬; 썬; 썬; 썬; 썬; ) HANGUL SYLLABLE SSEON
      "\uC36D",  # (썭; 썭; 썭; 썭; 썭; ) HANGUL SYLLABLE SSEONJ
      "\uC36E",  # (썮; 썮; 썮; 썮; 썮; ) HANGUL SYLLABLE SSEONH
      "\uC36F",  # (썯; 썯; 썯; 썯; 썯; ) HANGUL SYLLABLE SSEOD
      "\uC370",  # (썰; 썰; 썰; 썰; 썰; ) HANGUL SYLLABLE SSEOL
      "\uC371",  # (썱; 썱; 썱; 썱; 썱; ) HANGUL SYLLABLE SSEOLG
      "\uC372",  # (썲; 썲; 썲; 썲; 썲; ) HANGUL SYLLABLE SSEOLM
      "\uC373",  # (썳; 썳; 썳; 썳; 썳; ) HANGUL SYLLABLE SSEOLB
      "\uC374",  # (썴; 썴; 썴; 썴; 썴; ) HANGUL SYLLABLE SSEOLS
      "\uC375",  # (썵; 썵; 썵; 썵; 썵; ) HANGUL SYLLABLE SSEOLT
      "\uC376",  # (썶; 썶; 썶; 썶; 썶; ) HANGUL SYLLABLE SSEOLP
      "\uC377",  # (썷; 썷; 썷; 썷; 썷; ) HANGUL SYLLABLE SSEOLH
      "\uC378",  # (썸; 썸; 썸; 썸; 썸; ) HANGUL SYLLABLE SSEOM
      "\uC379",  # (썹; 썹; 썹; 썹; 썹; ) HANGUL SYLLABLE SSEOB
      "\uC37A",  # (썺; 썺; 썺; 썺; 썺; ) HANGUL SYLLABLE SSEOBS
      "\uC37B",  # (썻; 썻; 썻; 썻; 썻; ) HANGUL SYLLABLE SSEOS
      "\uC37C",  # (썼; 썼; 썼; 썼; 썼; ) HANGUL SYLLABLE SSEOSS
      "\uC37D",  # (썽; 썽; 썽; 썽; 썽; ) HANGUL SYLLABLE SSEONG
      "\uC37E",  # (썾; 썾; 썾; 썾; 썾; ) HANGUL SYLLABLE SSEOJ
      "\uC37F",  # (썿; 썿; 썿; 썿; 썿; ) HANGUL SYLLABLE SSEOC
      "\uC380",  # (쎀; 쎀; 쎀; 쎀; 쎀; ) HANGUL SYLLABLE SSEOK
      "\uC381",  # (쎁; 쎁; 쎁; 쎁; 쎁; ) HANGUL SYLLABLE SSEOT
      "\uC382",  # (쎂; 쎂; 쎂; 쎂; 쎂; ) HANGUL SYLLABLE SSEOP
      "\uC383",  # (쎃; 쎃; 쎃; 쎃; 쎃; ) HANGUL SYLLABLE SSEOH
      "\uC384",  # (쎄; 쎄; 쎄; 쎄; 쎄; ) HANGUL SYLLABLE SSE
      "\uC385",  # (쎅; 쎅; 쎅; 쎅; 쎅; ) HANGUL SYLLABLE SSEG
      "\uC386",  # (쎆; 쎆; 쎆; 쎆; 쎆; ) HANGUL SYLLABLE SSEGG
      "\uC387",  # (쎇; 쎇; 쎇; 쎇; 쎇; ) HANGUL SYLLABLE SSEGS
      "\uC388",  # (쎈; 쎈; 쎈; 쎈; 쎈; ) HANGUL SYLLABLE SSEN
      "\uC389",  # (쎉; 쎉; 쎉; 쎉; 쎉; ) HANGUL SYLLABLE SSENJ
      "\uC38A",  # (쎊; 쎊; 쎊; 쎊; 쎊; ) HANGUL SYLLABLE SSENH
      "\uC38B",  # (쎋; 쎋; 쎋; 쎋; 쎋; ) HANGUL SYLLABLE SSED
      "\uC38C",  # (쎌; 쎌; 쎌; 쎌; 쎌; ) HANGUL SYLLABLE SSEL
      "\uC38D",  # (쎍; 쎍; 쎍; 쎍; 쎍; ) HANGUL SYLLABLE SSELG
      "\uC38E",  # (쎎; 쎎; 쎎; 쎎; 쎎; ) HANGUL SYLLABLE SSELM
      "\uC38F",  # (쎏; 쎏; 쎏; 쎏; 쎏; ) HANGUL SYLLABLE SSELB
      "\uC390",  # (쎐; 쎐; 쎐; 쎐; 쎐; ) HANGUL SYLLABLE SSELS
      "\uC391",  # (쎑; 쎑; 쎑; 쎑; 쎑; ) HANGUL SYLLABLE SSELT
      "\uC392",  # (쎒; 쎒; 쎒; 쎒; 쎒; ) HANGUL SYLLABLE SSELP
      "\uC393",  # (쎓; 쎓; 쎓; 쎓; 쎓; ) HANGUL SYLLABLE SSELH
      "\uC394",  # (쎔; 쎔; 쎔; 쎔; 쎔; ) HANGUL SYLLABLE SSEM
      "\uC395",  # (쎕; 쎕; 쎕; 쎕; 쎕; ) HANGUL SYLLABLE SSEB
      "\uC396",  # (쎖; 쎖; 쎖; 쎖; 쎖; ) HANGUL SYLLABLE SSEBS
      "\uC397",  # (쎗; 쎗; 쎗; 쎗; 쎗; ) HANGUL SYLLABLE SSES
      "\uC398",  # (쎘; 쎘; 쎘; 쎘; 쎘; ) HANGUL SYLLABLE SSESS
      "\uC399",  # (쎙; 쎙; 쎙; 쎙; 쎙; ) HANGUL SYLLABLE SSENG
      "\uC39A",  # (쎚; 쎚; 쎚; 쎚; 쎚; ) HANGUL SYLLABLE SSEJ
      "\uC39B",  # (쎛; 쎛; 쎛; 쎛; 쎛; ) HANGUL SYLLABLE SSEC
      "\uC39C",  # (쎜; 쎜; 쎜; 쎜; 쎜; ) HANGUL SYLLABLE SSEK
      "\uC39D",  # (쎝; 쎝; 쎝; 쎝; 쎝; ) HANGUL SYLLABLE SSET
      "\uC39E",  # (쎞; 쎞; 쎞; 쎞; 쎞; ) HANGUL SYLLABLE SSEP
      "\uC39F",  # (쎟; 쎟; 쎟; 쎟; 쎟; ) HANGUL SYLLABLE SSEH
      "\uC3A0",  # (쎠; 쎠; 쎠; 쎠; 쎠; ) HANGUL SYLLABLE SSYEO
      "\uC3A1",  # (쎡; 쎡; 쎡; 쎡; 쎡; ) HANGUL SYLLABLE SSYEOG
      "\uC3A2",  # (쎢; 쎢; 쎢; 쎢; 쎢; ) HANGUL SYLLABLE SSYEOGG
      "\uC3A3",  # (쎣; 쎣; 쎣; 쎣; 쎣; ) HANGUL SYLLABLE SSYEOGS
      "\uC3A4",  # (쎤; 쎤; 쎤; 쎤; 쎤; ) HANGUL SYLLABLE SSYEON
      "\uC3A5",  # (쎥; 쎥; 쎥; 쎥; 쎥; ) HANGUL SYLLABLE SSYEONJ
      "\uC3A6",  # (쎦; 쎦; 쎦; 쎦; 쎦; ) HANGUL SYLLABLE SSYEONH
      "\uC3A7",  # (쎧; 쎧; 쎧; 쎧; 쎧; ) HANGUL SYLLABLE SSYEOD
      "\uC3A8",  # (쎨; 쎨; 쎨; 쎨; 쎨; ) HANGUL SYLLABLE SSYEOL
      "\uC3A9",  # (쎩; 쎩; 쎩; 쎩; 쎩; ) HANGUL SYLLABLE SSYEOLG
      "\uC3AA",  # (쎪; 쎪; 쎪; 쎪; 쎪; ) HANGUL SYLLABLE SSYEOLM
      "\uC3AB",  # (쎫; 쎫; 쎫; 쎫; 쎫; ) HANGUL SYLLABLE SSYEOLB
      "\uC3AC",  # (쎬; 쎬; 쎬; 쎬; 쎬; ) HANGUL SYLLABLE SSYEOLS
      "\uC3AD",  # (쎭; 쎭; 쎭; 쎭; 쎭; ) HANGUL SYLLABLE SSYEOLT
      "\uC3AE",  # (쎮; 쎮; 쎮; 쎮; 쎮; ) HANGUL SYLLABLE SSYEOLP
      "\uC3AF",  # (쎯; 쎯; 쎯; 쎯; 쎯; ) HANGUL SYLLABLE SSYEOLH
      "\uC3B0",  # (쎰; 쎰; 쎰; 쎰; 쎰; ) HANGUL SYLLABLE SSYEOM
      "\uC3B1",  # (쎱; 쎱; 쎱; 쎱; 쎱; ) HANGUL SYLLABLE SSYEOB
      "\uC3B2",  # (쎲; 쎲; 쎲; 쎲; 쎲; ) HANGUL SYLLABLE SSYEOBS
      "\uC3B3",  # (쎳; 쎳; 쎳; 쎳; 쎳; ) HANGUL SYLLABLE SSYEOS
      "\uC3B4",  # (쎴; 쎴; 쎴; 쎴; 쎴; ) HANGUL SYLLABLE SSYEOSS
      "\uC3B5",  # (쎵; 쎵; 쎵; 쎵; 쎵; ) HANGUL SYLLABLE SSYEONG
      "\uC3B6",  # (쎶; 쎶; 쎶; 쎶; 쎶; ) HANGUL SYLLABLE SSYEOJ
      "\uC3B7",  # (쎷; 쎷; 쎷; 쎷; 쎷; ) HANGUL SYLLABLE SSYEOC
      "\uC3B8",  # (쎸; 쎸; 쎸; 쎸; 쎸; ) HANGUL SYLLABLE SSYEOK
      "\uC3B9",  # (쎹; 쎹; 쎹; 쎹; 쎹; ) HANGUL SYLLABLE SSYEOT
      "\uC3BA",  # (쎺; 쎺; 쎺; 쎺; 쎺; ) HANGUL SYLLABLE SSYEOP
      "\uC3BB",  # (쎻; 쎻; 쎻; 쎻; 쎻; ) HANGUL SYLLABLE SSYEOH
      "\uC3BC",  # (쎼; 쎼; 쎼; 쎼; 쎼; ) HANGUL SYLLABLE SSYE
      "\uC3BD",  # (쎽; 쎽; 쎽; 쎽; 쎽; ) HANGUL SYLLABLE SSYEG
      "\uC3BE",  # (쎾; 쎾; 쎾; 쎾; 쎾; ) HANGUL SYLLABLE SSYEGG
      "\uC3BF",  # (쎿; 쎿; 쎿; 쎿; 쎿; ) HANGUL SYLLABLE SSYEGS
      "\uC3C0",  # (쏀; 쏀; 쏀; 쏀; 쏀; ) HANGUL SYLLABLE SSYEN
      "\uC3C1",  # (쏁; 쏁; 쏁; 쏁; 쏁; ) HANGUL SYLLABLE SSYENJ
      "\uC3C2",  # (쏂; 쏂; 쏂; 쏂; 쏂; ) HANGUL SYLLABLE SSYENH
      "\uC3C3",  # (쏃; 쏃; 쏃; 쏃; 쏃; ) HANGUL SYLLABLE SSYED
      "\uC3C4",  # (쏄; 쏄; 쏄; 쏄; 쏄; ) HANGUL SYLLABLE SSYEL
      "\uC3C5",  # (쏅; 쏅; 쏅; 쏅; 쏅; ) HANGUL SYLLABLE SSYELG
      "\uC3C6",  # (쏆; 쏆; 쏆; 쏆; 쏆; ) HANGUL SYLLABLE SSYELM
      "\uC3C7",  # (쏇; 쏇; 쏇; 쏇; 쏇; ) HANGUL SYLLABLE SSYELB
      "\uC3C8",  # (쏈; 쏈; 쏈; 쏈; 쏈; ) HANGUL SYLLABLE SSYELS
      "\uC3C9",  # (쏉; 쏉; 쏉; 쏉; 쏉; ) HANGUL SYLLABLE SSYELT
      "\uC3CA",  # (쏊; 쏊; 쏊; 쏊; 쏊; ) HANGUL SYLLABLE SSYELP
      "\uC3CB",  # (쏋; 쏋; 쏋; 쏋; 쏋; ) HANGUL SYLLABLE SSYELH
      "\uC3CC",  # (쏌; 쏌; 쏌; 쏌; 쏌; ) HANGUL SYLLABLE SSYEM
      "\uC3CD",  # (쏍; 쏍; 쏍; 쏍; 쏍; ) HANGUL SYLLABLE SSYEB
      "\uC3CE",  # (쏎; 쏎; 쏎; 쏎; 쏎; ) HANGUL SYLLABLE SSYEBS
      "\uC3CF",  # (쏏; 쏏; 쏏; 쏏; 쏏; ) HANGUL SYLLABLE SSYES
      "\uC3D0",  # (쏐; 쏐; 쏐; 쏐; 쏐; ) HANGUL SYLLABLE SSYESS
      "\uC3D1",  # (쏑; 쏑; 쏑; 쏑; 쏑; ) HANGUL SYLLABLE SSYENG
      "\uC3D2",  # (쏒; 쏒; 쏒; 쏒; 쏒; ) HANGUL SYLLABLE SSYEJ
      "\uC3D3",  # (쏓; 쏓; 쏓; 쏓; 쏓; ) HANGUL SYLLABLE SSYEC
      "\uC3D4",  # (쏔; 쏔; 쏔; 쏔; 쏔; ) HANGUL SYLLABLE SSYEK
      "\uC3D5",  # (쏕; 쏕; 쏕; 쏕; 쏕; ) HANGUL SYLLABLE SSYET
      "\uC3D6",  # (쏖; 쏖; 쏖; 쏖; 쏖; ) HANGUL SYLLABLE SSYEP
      "\uC3D7",  # (쏗; 쏗; 쏗; 쏗; 쏗; ) HANGUL SYLLABLE SSYEH
      "\uC3D8",  # (쏘; 쏘; 쏘; 쏘; 쏘; ) HANGUL SYLLABLE SSO
      "\uC3D9",  # (쏙; 쏙; 쏙; 쏙; 쏙; ) HANGUL SYLLABLE SSOG
      "\uC3DA",  # (쏚; 쏚; 쏚; 쏚; 쏚; ) HANGUL SYLLABLE SSOGG
      "\uC3DB",  # (쏛; 쏛; 쏛; 쏛; 쏛; ) HANGUL SYLLABLE SSOGS
      "\uC3DC",  # (쏜; 쏜; 쏜; 쏜; 쏜; ) HANGUL SYLLABLE SSON
      "\uC3DD",  # (쏝; 쏝; 쏝; 쏝; 쏝; ) HANGUL SYLLABLE SSONJ
      "\uC3DE",  # (쏞; 쏞; 쏞; 쏞; 쏞; ) HANGUL SYLLABLE SSONH
      "\uC3DF",  # (쏟; 쏟; 쏟; 쏟; 쏟; ) HANGUL SYLLABLE SSOD
      "\uC3E0",  # (쏠; 쏠; 쏠; 쏠; 쏠; ) HANGUL SYLLABLE SSOL
      "\uC3E1",  # (쏡; 쏡; 쏡; 쏡; 쏡; ) HANGUL SYLLABLE SSOLG
      "\uC3E2",  # (쏢; 쏢; 쏢; 쏢; 쏢; ) HANGUL SYLLABLE SSOLM
      "\uC3E3",  # (쏣; 쏣; 쏣; 쏣; 쏣; ) HANGUL SYLLABLE SSOLB
      "\uC3E4",  # (쏤; 쏤; 쏤; 쏤; 쏤; ) HANGUL SYLLABLE SSOLS
      "\uC3E5",  # (쏥; 쏥; 쏥; 쏥; 쏥; ) HANGUL SYLLABLE SSOLT
      "\uC3E6",  # (쏦; 쏦; 쏦; 쏦; 쏦; ) HANGUL SYLLABLE SSOLP
      "\uC3E7",  # (쏧; 쏧; 쏧; 쏧; 쏧; ) HANGUL SYLLABLE SSOLH
      "\uC3E8",  # (쏨; 쏨; 쏨; 쏨; 쏨; ) HANGUL SYLLABLE SSOM
      "\uC3E9",  # (쏩; 쏩; 쏩; 쏩; 쏩; ) HANGUL SYLLABLE SSOB
      "\uC3EA",  # (쏪; 쏪; 쏪; 쏪; 쏪; ) HANGUL SYLLABLE SSOBS
      "\uC3EB",  # (쏫; 쏫; 쏫; 쏫; 쏫; ) HANGUL SYLLABLE SSOS
      "\uC3EC",  # (쏬; 쏬; 쏬; 쏬; 쏬; ) HANGUL SYLLABLE SSOSS
      "\uC3ED",  # (쏭; 쏭; 쏭; 쏭; 쏭; ) HANGUL SYLLABLE SSONG
      "\uC3EE",  # (쏮; 쏮; 쏮; 쏮; 쏮; ) HANGUL SYLLABLE SSOJ
      "\uC3EF",  # (쏯; 쏯; 쏯; 쏯; 쏯; ) HANGUL SYLLABLE SSOC
      "\uC3F0",  # (쏰; 쏰; 쏰; 쏰; 쏰; ) HANGUL SYLLABLE SSOK
      "\uC3F1",  # (쏱; 쏱; 쏱; 쏱; 쏱; ) HANGUL SYLLABLE SSOT
      "\uC3F2",  # (쏲; 쏲; 쏲; 쏲; 쏲; ) HANGUL SYLLABLE SSOP
      "\uC3F3",  # (쏳; 쏳; 쏳; 쏳; 쏳; ) HANGUL SYLLABLE SSOH
      "\uC3F4",  # (쏴; 쏴; 쏴; 쏴; 쏴; ) HANGUL SYLLABLE SSWA
      "\uC3F5",  # (쏵; 쏵; 쏵; 쏵; 쏵; ) HANGUL SYLLABLE SSWAG
      "\uC3F6",  # (쏶; 쏶; 쏶; 쏶; 쏶; ) HANGUL SYLLABLE SSWAGG
      "\uC3F7",  # (쏷; 쏷; 쏷; 쏷; 쏷; ) HANGUL SYLLABLE SSWAGS
      "\uC3F8",  # (쏸; 쏸; 쏸; 쏸; 쏸; ) HANGUL SYLLABLE SSWAN
      "\uC3F9",  # (쏹; 쏹; 쏹; 쏹; 쏹; ) HANGUL SYLLABLE SSWANJ
      "\uC3FA",  # (쏺; 쏺; 쏺; 쏺; 쏺; ) HANGUL SYLLABLE SSWANH
      "\uC3FB",  # (쏻; 쏻; 쏻; 쏻; 쏻; ) HANGUL SYLLABLE SSWAD
      "\uC3FC",  # (쏼; 쏼; 쏼; 쏼; 쏼; ) HANGUL SYLLABLE SSWAL
      "\uC3FD",  # (쏽; 쏽; 쏽; 쏽; 쏽; ) HANGUL SYLLABLE SSWALG
      "\uC3FE",  # (쏾; 쏾; 쏾; 쏾; 쏾; ) HANGUL SYLLABLE SSWALM
      "\uC3FF",  # (쏿; 쏿; 쏿; 쏿; 쏿; ) HANGUL SYLLABLE SSWALB
      "\uC400",  # (쐀; 쐀; 쐀; 쐀; 쐀; ) HANGUL SYLLABLE SSWALS
      "\uC401",  # (쐁; 쐁; 쐁; 쐁; 쐁; ) HANGUL SYLLABLE SSWALT
      "\uC402",  # (쐂; 쐂; 쐂; 쐂; 쐂; ) HANGUL SYLLABLE SSWALP
      "\uC403",  # (쐃; 쐃; 쐃; 쐃; 쐃; ) HANGUL SYLLABLE SSWALH
      "\uC404",  # (쐄; 쐄; 쐄; 쐄; 쐄; ) HANGUL SYLLABLE SSWAM
      "\uC405",  # (쐅; 쐅; 쐅; 쐅; 쐅; ) HANGUL SYLLABLE SSWAB
      "\uC406",  # (쐆; 쐆; 쐆; 쐆; 쐆; ) HANGUL SYLLABLE SSWABS
      "\uC407",  # (쐇; 쐇; 쐇; 쐇; 쐇; ) HANGUL SYLLABLE SSWAS
      "\uC408",  # (쐈; 쐈; 쐈; 쐈; 쐈; ) HANGUL SYLLABLE SSWASS
      "\uC409",  # (쐉; 쐉; 쐉; 쐉; 쐉; ) HANGUL SYLLABLE SSWANG
      "\uC40A",  # (쐊; 쐊; 쐊; 쐊; 쐊; ) HANGUL SYLLABLE SSWAJ
      "\uC40B",  # (쐋; 쐋; 쐋; 쐋; 쐋; ) HANGUL SYLLABLE SSWAC
      "\uC40C",  # (쐌; 쐌; 쐌; 쐌; 쐌; ) HANGUL SYLLABLE SSWAK
      "\uC40D",  # (쐍; 쐍; 쐍; 쐍; 쐍; ) HANGUL SYLLABLE SSWAT
      "\uC40E",  # (쐎; 쐎; 쐎; 쐎; 쐎; ) HANGUL SYLLABLE SSWAP
      "\uC40F",  # (쐏; 쐏; 쐏; 쐏; 쐏; ) HANGUL SYLLABLE SSWAH
      "\uC410",  # (쐐; 쐐; 쐐; 쐐; 쐐; ) HANGUL SYLLABLE SSWAE
      "\uC411",  # (쐑; 쐑; 쐑; 쐑; 쐑; ) HANGUL SYLLABLE SSWAEG
      "\uC412",  # (쐒; 쐒; 쐒; 쐒; 쐒; ) HANGUL SYLLABLE SSWAEGG
      "\uC413",  # (쐓; 쐓; 쐓; 쐓; 쐓; ) HANGUL SYLLABLE SSWAEGS
      "\uC414",  # (쐔; 쐔; 쐔; 쐔; 쐔; ) HANGUL SYLLABLE SSWAEN
      "\uC415",  # (쐕; 쐕; 쐕; 쐕; 쐕; ) HANGUL SYLLABLE SSWAENJ
      "\uC416",  # (쐖; 쐖; 쐖; 쐖; 쐖; ) HANGUL SYLLABLE SSWAENH
      "\uC417",  # (쐗; 쐗; 쐗; 쐗; 쐗; ) HANGUL SYLLABLE SSWAED
      "\uC418",  # (쐘; 쐘; 쐘; 쐘; 쐘; ) HANGUL SYLLABLE SSWAEL
      "\uC419",  # (쐙; 쐙; 쐙; 쐙; 쐙; ) HANGUL SYLLABLE SSWAELG
      "\uC41A",  # (쐚; 쐚; 쐚; 쐚; 쐚; ) HANGUL SYLLABLE SSWAELM
      "\uC41B",  # (쐛; 쐛; 쐛; 쐛; 쐛; ) HANGUL SYLLABLE SSWAELB
      "\uC41C",  # (쐜; 쐜; 쐜; 쐜; 쐜; ) HANGUL SYLLABLE SSWAELS
      "\uC41D",  # (쐝; 쐝; 쐝; 쐝; 쐝; ) HANGUL SYLLABLE SSWAELT
      "\uC41E",  # (쐞; 쐞; 쐞; 쐞; 쐞; ) HANGUL SYLLABLE SSWAELP
      "\uC41F",  # (쐟; 쐟; 쐟; 쐟; 쐟; ) HANGUL SYLLABLE SSWAELH
      "\uC420",  # (쐠; 쐠; 쐠; 쐠; 쐠; ) HANGUL SYLLABLE SSWAEM
      "\uC421",  # (쐡; 쐡; 쐡; 쐡; 쐡; ) HANGUL SYLLABLE SSWAEB
      "\uC422",  # (쐢; 쐢; 쐢; 쐢; 쐢; ) HANGUL SYLLABLE SSWAEBS
      "\uC423",  # (쐣; 쐣; 쐣; 쐣; 쐣; ) HANGUL SYLLABLE SSWAES
      "\uC424",  # (쐤; 쐤; 쐤; 쐤; 쐤; ) HANGUL SYLLABLE SSWAESS
      "\uC425",  # (쐥; 쐥; 쐥; 쐥; 쐥; ) HANGUL SYLLABLE SSWAENG
      "\uC426",  # (쐦; 쐦; 쐦; 쐦; 쐦; ) HANGUL SYLLABLE SSWAEJ
      "\uC427",  # (쐧; 쐧; 쐧; 쐧; 쐧; ) HANGUL SYLLABLE SSWAEC
      "\uC428",  # (쐨; 쐨; 쐨; 쐨; 쐨; ) HANGUL SYLLABLE SSWAEK
      "\uC429",  # (쐩; 쐩; 쐩; 쐩; 쐩; ) HANGUL SYLLABLE SSWAET
      "\uC42A",  # (쐪; 쐪; 쐪; 쐪; 쐪; ) HANGUL SYLLABLE SSWAEP
      "\uC42B",  # (쐫; 쐫; 쐫; 쐫; 쐫; ) HANGUL SYLLABLE SSWAEH
      "\uC42C",  # (쐬; 쐬; 쐬; 쐬; 쐬; ) HANGUL SYLLABLE SSOE
      "\uC42D",  # (쐭; 쐭; 쐭; 쐭; 쐭; ) HANGUL SYLLABLE SSOEG
      "\uC42E",  # (쐮; 쐮; 쐮; 쐮; 쐮; ) HANGUL SYLLABLE SSOEGG
      "\uC42F",  # (쐯; 쐯; 쐯; 쐯; 쐯; ) HANGUL SYLLABLE SSOEGS
      "\uC430",  # (쐰; 쐰; 쐰; 쐰; 쐰; ) HANGUL SYLLABLE SSOEN
      "\uC431",  # (쐱; 쐱; 쐱; 쐱; 쐱; ) HANGUL SYLLABLE SSOENJ
      "\uC432",  # (쐲; 쐲; 쐲; 쐲; 쐲; ) HANGUL SYLLABLE SSOENH
      "\uC433",  # (쐳; 쐳; 쐳; 쐳; 쐳; ) HANGUL SYLLABLE SSOED
      "\uC434",  # (쐴; 쐴; 쐴; 쐴; 쐴; ) HANGUL SYLLABLE SSOEL
      "\uC435",  # (쐵; 쐵; 쐵; 쐵; 쐵; ) HANGUL SYLLABLE SSOELG
      "\uC436",  # (쐶; 쐶; 쐶; 쐶; 쐶; ) HANGUL SYLLABLE SSOELM
      "\uC437",  # (쐷; 쐷; 쐷; 쐷; 쐷; ) HANGUL SYLLABLE SSOELB
      "\uC438",  # (쐸; 쐸; 쐸; 쐸; 쐸; ) HANGUL SYLLABLE SSOELS
      "\uC439",  # (쐹; 쐹; 쐹; 쐹; 쐹; ) HANGUL SYLLABLE SSOELT
      "\uC43A",  # (쐺; 쐺; 쐺; 쐺; 쐺; ) HANGUL SYLLABLE SSOELP
      "\uC43B",  # (쐻; 쐻; 쐻; 쐻; 쐻; ) HANGUL SYLLABLE SSOELH
      "\uC43C",  # (쐼; 쐼; 쐼; 쐼; 쐼; ) HANGUL SYLLABLE SSOEM
      "\uC43D",  # (쐽; 쐽; 쐽; 쐽; 쐽; ) HANGUL SYLLABLE SSOEB
      "\uC43E",  # (쐾; 쐾; 쐾; 쐾; 쐾; ) HANGUL SYLLABLE SSOEBS
      "\uC43F",  # (쐿; 쐿; 쐿; 쐿; 쐿; ) HANGUL SYLLABLE SSOES
      "\uC440",  # (쑀; 쑀; 쑀; 쑀; 쑀; ) HANGUL SYLLABLE SSOESS
      "\uC441",  # (쑁; 쑁; 쑁; 쑁; 쑁; ) HANGUL SYLLABLE SSOENG
      "\uC442",  # (쑂; 쑂; 쑂; 쑂; 쑂; ) HANGUL SYLLABLE SSOEJ
      "\uC443",  # (쑃; 쑃; 쑃; 쑃; 쑃; ) HANGUL SYLLABLE SSOEC
      "\uC444",  # (쑄; 쑄; 쑄; 쑄; 쑄; ) HANGUL SYLLABLE SSOEK
      "\uC445",  # (쑅; 쑅; 쑅; 쑅; 쑅; ) HANGUL SYLLABLE SSOET
      "\uC446",  # (쑆; 쑆; 쑆; 쑆; 쑆; ) HANGUL SYLLABLE SSOEP
      "\uC447",  # (쑇; 쑇; 쑇; 쑇; 쑇; ) HANGUL SYLLABLE SSOEH
      "\uC448",  # (쑈; 쑈; 쑈; 쑈; 쑈; ) HANGUL SYLLABLE SSYO
      "\uC449",  # (쑉; 쑉; 쑉; 쑉; 쑉; ) HANGUL SYLLABLE SSYOG
      "\uC44A",  # (쑊; 쑊; 쑊; 쑊; 쑊; ) HANGUL SYLLABLE SSYOGG
      "\uC44B",  # (쑋; 쑋; 쑋; 쑋; 쑋; ) HANGUL SYLLABLE SSYOGS
      "\uC44C",  # (쑌; 쑌; 쑌; 쑌; 쑌; ) HANGUL SYLLABLE SSYON
      "\uC44D",  # (쑍; 쑍; 쑍; 쑍; 쑍; ) HANGUL SYLLABLE SSYONJ
      "\uC44E",  # (쑎; 쑎; 쑎; 쑎; 쑎; ) HANGUL SYLLABLE SSYONH
      "\uC44F",  # (쑏; 쑏; 쑏; 쑏; 쑏; ) HANGUL SYLLABLE SSYOD
      "\uC450",  # (쑐; 쑐; 쑐; 쑐; 쑐; ) HANGUL SYLLABLE SSYOL
      "\uC451",  # (쑑; 쑑; 쑑; 쑑; 쑑; ) HANGUL SYLLABLE SSYOLG
      "\uC452",  # (쑒; 쑒; 쑒; 쑒; 쑒; ) HANGUL SYLLABLE SSYOLM
      "\uC453",  # (쑓; 쑓; 쑓; 쑓; 쑓; ) HANGUL SYLLABLE SSYOLB
      "\uC454",  # (쑔; 쑔; 쑔; 쑔; 쑔; ) HANGUL SYLLABLE SSYOLS
      "\uC455",  # (쑕; 쑕; 쑕; 쑕; 쑕; ) HANGUL SYLLABLE SSYOLT
      "\uC456",  # (쑖; 쑖; 쑖; 쑖; 쑖; ) HANGUL SYLLABLE SSYOLP
      "\uC457",  # (쑗; 쑗; 쑗; 쑗; 쑗; ) HANGUL SYLLABLE SSYOLH
      "\uC458",  # (쑘; 쑘; 쑘; 쑘; 쑘; ) HANGUL SYLLABLE SSYOM
      "\uC459",  # (쑙; 쑙; 쑙; 쑙; 쑙; ) HANGUL SYLLABLE SSYOB
      "\uC45A",  # (쑚; 쑚; 쑚; 쑚; 쑚; ) HANGUL SYLLABLE SSYOBS
      "\uC45B",  # (쑛; 쑛; 쑛; 쑛; 쑛; ) HANGUL SYLLABLE SSYOS
      "\uC45C",  # (쑜; 쑜; 쑜; 쑜; 쑜; ) HANGUL SYLLABLE SSYOSS
      "\uC45D",  # (쑝; 쑝; 쑝; 쑝; 쑝; ) HANGUL SYLLABLE SSYONG
      "\uC45E",  # (쑞; 쑞; 쑞; 쑞; 쑞; ) HANGUL SYLLABLE SSYOJ
      "\uC45F",  # (쑟; 쑟; 쑟; 쑟; 쑟; ) HANGUL SYLLABLE SSYOC
      "\uC460",  # (쑠; 쑠; 쑠; 쑠; 쑠; ) HANGUL SYLLABLE SSYOK
      "\uC461",  # (쑡; 쑡; 쑡; 쑡; 쑡; ) HANGUL SYLLABLE SSYOT
      "\uC462",  # (쑢; 쑢; 쑢; 쑢; 쑢; ) HANGUL SYLLABLE SSYOP
      "\uC463",  # (쑣; 쑣; 쑣; 쑣; 쑣; ) HANGUL SYLLABLE SSYOH
      "\uC464",  # (쑤; 쑤; 쑤; 쑤; 쑤; ) HANGUL SYLLABLE SSU
      "\uC465",  # (쑥; 쑥; 쑥; 쑥; 쑥; ) HANGUL SYLLABLE SSUG
      "\uC466",  # (쑦; 쑦; 쑦; 쑦; 쑦; ) HANGUL SYLLABLE SSUGG
      "\uC467",  # (쑧; 쑧; 쑧; 쑧; 쑧; ) HANGUL SYLLABLE SSUGS
      "\uC468",  # (쑨; 쑨; 쑨; 쑨; 쑨; ) HANGUL SYLLABLE SSUN
      "\uC469",  # (쑩; 쑩; 쑩; 쑩; 쑩; ) HANGUL SYLLABLE SSUNJ
      "\uC46A",  # (쑪; 쑪; 쑪; 쑪; 쑪; ) HANGUL SYLLABLE SSUNH
      "\uC46B",  # (쑫; 쑫; 쑫; 쑫; 쑫; ) HANGUL SYLLABLE SSUD
      "\uC46C",  # (쑬; 쑬; 쑬; 쑬; 쑬; ) HANGUL SYLLABLE SSUL
      "\uC46D",  # (쑭; 쑭; 쑭; 쑭; 쑭; ) HANGUL SYLLABLE SSULG
      "\uC46E",  # (쑮; 쑮; 쑮; 쑮; 쑮; ) HANGUL SYLLABLE SSULM
      "\uC46F",  # (쑯; 쑯; 쑯; 쑯; 쑯; ) HANGUL SYLLABLE SSULB
      "\uC470",  # (쑰; 쑰; 쑰; 쑰; 쑰; ) HANGUL SYLLABLE SSULS
      "\uC471",  # (쑱; 쑱; 쑱; 쑱; 쑱; ) HANGUL SYLLABLE SSULT
      "\uC472",  # (쑲; 쑲; 쑲; 쑲; 쑲; ) HANGUL SYLLABLE SSULP
      "\uC473",  # (쑳; 쑳; 쑳; 쑳; 쑳; ) HANGUL SYLLABLE SSULH
      "\uC474",  # (쑴; 쑴; 쑴; 쑴; 쑴; ) HANGUL SYLLABLE SSUM
      "\uC475",  # (쑵; 쑵; 쑵; 쑵; 쑵; ) HANGUL SYLLABLE SSUB
      "\uC476",  # (쑶; 쑶; 쑶; 쑶; 쑶; ) HANGUL SYLLABLE SSUBS
      "\uC477",  # (쑷; 쑷; 쑷; 쑷; 쑷; ) HANGUL SYLLABLE SSUS
      "\uC478",  # (쑸; 쑸; 쑸; 쑸; 쑸; ) HANGUL SYLLABLE SSUSS
      "\uC479",  # (쑹; 쑹; 쑹; 쑹; 쑹; ) HANGUL SYLLABLE SSUNG
      "\uC47A",  # (쑺; 쑺; 쑺; 쑺; 쑺; ) HANGUL SYLLABLE SSUJ
      "\uC47B",  # (쑻; 쑻; 쑻; 쑻; 쑻; ) HANGUL SYLLABLE SSUC
      "\uC47C",  # (쑼; 쑼; 쑼; 쑼; 쑼; ) HANGUL SYLLABLE SSUK
      "\uC47D",  # (쑽; 쑽; 쑽; 쑽; 쑽; ) HANGUL SYLLABLE SSUT
      "\uC47E",  # (쑾; 쑾; 쑾; 쑾; 쑾; ) HANGUL SYLLABLE SSUP
      "\uC47F",  # (쑿; 쑿; 쑿; 쑿; 쑿; ) HANGUL SYLLABLE SSUH
      "\uC480",  # (쒀; 쒀; 쒀; 쒀; 쒀; ) HANGUL SYLLABLE SSWEO
      "\uC481",  # (쒁; 쒁; 쒁; 쒁; 쒁; ) HANGUL SYLLABLE SSWEOG
      "\uC482",  # (쒂; 쒂; 쒂; 쒂; 쒂; ) HANGUL SYLLABLE SSWEOGG
      "\uC483",  # (쒃; 쒃; 쒃; 쒃; 쒃; ) HANGUL SYLLABLE SSWEOGS
      "\uC484",  # (쒄; 쒄; 쒄; 쒄; 쒄; ) HANGUL SYLLABLE SSWEON
      "\uC485",  # (쒅; 쒅; 쒅; 쒅; 쒅; ) HANGUL SYLLABLE SSWEONJ
      "\uC486",  # (쒆; 쒆; 쒆; 쒆; 쒆; ) HANGUL SYLLABLE SSWEONH
      "\uC487",  # (쒇; 쒇; 쒇; 쒇; 쒇; ) HANGUL SYLLABLE SSWEOD
      "\uC488",  # (쒈; 쒈; 쒈; 쒈; 쒈; ) HANGUL SYLLABLE SSWEOL
      "\uC489",  # (쒉; 쒉; 쒉; 쒉; 쒉; ) HANGUL SYLLABLE SSWEOLG
      "\uC48A",  # (쒊; 쒊; 쒊; 쒊; 쒊; ) HANGUL SYLLABLE SSWEOLM
      "\uC48B",  # (쒋; 쒋; 쒋; 쒋; 쒋; ) HANGUL SYLLABLE SSWEOLB
      "\uC48C",  # (쒌; 쒌; 쒌; 쒌; 쒌; ) HANGUL SYLLABLE SSWEOLS
      "\uC48D",  # (쒍; 쒍; 쒍; 쒍; 쒍; ) HANGUL SYLLABLE SSWEOLT
      "\uC48E",  # (쒎; 쒎; 쒎; 쒎; 쒎; ) HANGUL SYLLABLE SSWEOLP
      "\uC48F",  # (쒏; 쒏; 쒏; 쒏; 쒏; ) HANGUL SYLLABLE SSWEOLH
      "\uC490",  # (쒐; 쒐; 쒐; 쒐; 쒐; ) HANGUL SYLLABLE SSWEOM
      "\uC491",  # (쒑; 쒑; 쒑; 쒑; 쒑; ) HANGUL SYLLABLE SSWEOB
      "\uC492",  # (쒒; 쒒; 쒒; 쒒; 쒒; ) HANGUL SYLLABLE SSWEOBS
      "\uC493",  # (쒓; 쒓; 쒓; 쒓; 쒓; ) HANGUL SYLLABLE SSWEOS
      "\uC494",  # (쒔; 쒔; 쒔; 쒔; 쒔; ) HANGUL SYLLABLE SSWEOSS
      "\uC495",  # (쒕; 쒕; 쒕; 쒕; 쒕; ) HANGUL SYLLABLE SSWEONG
      "\uC496",  # (쒖; 쒖; 쒖; 쒖; 쒖; ) HANGUL SYLLABLE SSWEOJ
      "\uC497",  # (쒗; 쒗; 쒗; 쒗; 쒗; ) HANGUL SYLLABLE SSWEOC
      "\uC498",  # (쒘; 쒘; 쒘; 쒘; 쒘; ) HANGUL SYLLABLE SSWEOK
      "\uC499",  # (쒙; 쒙; 쒙; 쒙; 쒙; ) HANGUL SYLLABLE SSWEOT
      "\uC49A",  # (쒚; 쒚; 쒚; 쒚; 쒚; ) HANGUL SYLLABLE SSWEOP
      "\uC49B",  # (쒛; 쒛; 쒛; 쒛; 쒛; ) HANGUL SYLLABLE SSWEOH
      "\uC49C",  # (쒜; 쒜; 쒜; 쒜; 쒜; ) HANGUL SYLLABLE SSWE
      "\uC49D",  # (쒝; 쒝; 쒝; 쒝; 쒝; ) HANGUL SYLLABLE SSWEG
      "\uC49E",  # (쒞; 쒞; 쒞; 쒞; 쒞; ) HANGUL SYLLABLE SSWEGG
      "\uC49F",  # (쒟; 쒟; 쒟; 쒟; 쒟; ) HANGUL SYLLABLE SSWEGS
      "\uC4A0",  # (쒠; 쒠; 쒠; 쒠; 쒠; ) HANGUL SYLLABLE SSWEN
      "\uC4A1",  # (쒡; 쒡; 쒡; 쒡; 쒡; ) HANGUL SYLLABLE SSWENJ
      "\uC4A2",  # (쒢; 쒢; 쒢; 쒢; 쒢; ) HANGUL SYLLABLE SSWENH
      "\uC4A3",  # (쒣; 쒣; 쒣; 쒣; 쒣; ) HANGUL SYLLABLE SSWED
      "\uC4A4",  # (쒤; 쒤; 쒤; 쒤; 쒤; ) HANGUL SYLLABLE SSWEL
      "\uC4A5",  # (쒥; 쒥; 쒥; 쒥; 쒥; ) HANGUL SYLLABLE SSWELG
      "\uC4A6",  # (쒦; 쒦; 쒦; 쒦; 쒦; ) HANGUL SYLLABLE SSWELM
      "\uC4A7",  # (쒧; 쒧; 쒧; 쒧; 쒧; ) HANGUL SYLLABLE SSWELB
      "\uC4A8",  # (쒨; 쒨; 쒨; 쒨; 쒨; ) HANGUL SYLLABLE SSWELS
      "\uC4A9",  # (쒩; 쒩; 쒩; 쒩; 쒩; ) HANGUL SYLLABLE SSWELT
      "\uC4AA",  # (쒪; 쒪; 쒪; 쒪; 쒪; ) HANGUL SYLLABLE SSWELP
      "\uC4AB",  # (쒫; 쒫; 쒫; 쒫; 쒫; ) HANGUL SYLLABLE SSWELH
      "\uC4AC",  # (쒬; 쒬; 쒬; 쒬; 쒬; ) HANGUL SYLLABLE SSWEM
      "\uC4AD",  # (쒭; 쒭; 쒭; 쒭; 쒭; ) HANGUL SYLLABLE SSWEB
      "\uC4AE",  # (쒮; 쒮; 쒮; 쒮; 쒮; ) HANGUL SYLLABLE SSWEBS
      "\uC4AF",  # (쒯; 쒯; 쒯; 쒯; 쒯; ) HANGUL SYLLABLE SSWES
      "\uC4B0",  # (쒰; 쒰; 쒰; 쒰; 쒰; ) HANGUL SYLLABLE SSWESS
      "\uC4B1",  # (쒱; 쒱; 쒱; 쒱; 쒱; ) HANGUL SYLLABLE SSWENG
      "\uC4B2",  # (쒲; 쒲; 쒲; 쒲; 쒲; ) HANGUL SYLLABLE SSWEJ
      "\uC4B3",  # (쒳; 쒳; 쒳; 쒳; 쒳; ) HANGUL SYLLABLE SSWEC
      "\uC4B4",  # (쒴; 쒴; 쒴; 쒴; 쒴; ) HANGUL SYLLABLE SSWEK
      "\uC4B5",  # (쒵; 쒵; 쒵; 쒵; 쒵; ) HANGUL SYLLABLE SSWET
      "\uC4B6",  # (쒶; 쒶; 쒶; 쒶; 쒶; ) HANGUL SYLLABLE SSWEP
      "\uC4B7",  # (쒷; 쒷; 쒷; 쒷; 쒷; ) HANGUL SYLLABLE SSWEH
      "\uC4B8",  # (쒸; 쒸; 쒸; 쒸; 쒸; ) HANGUL SYLLABLE SSWI
      "\uC4B9",  # (쒹; 쒹; 쒹; 쒹; 쒹; ) HANGUL SYLLABLE SSWIG
      "\uC4BA",  # (쒺; 쒺; 쒺; 쒺; 쒺; ) HANGUL SYLLABLE SSWIGG
      "\uC4BB",  # (쒻; 쒻; 쒻; 쒻; 쒻; ) HANGUL SYLLABLE SSWIGS
      "\uC4BC",  # (쒼; 쒼; 쒼; 쒼; 쒼; ) HANGUL SYLLABLE SSWIN
      "\uC4BD",  # (쒽; 쒽; 쒽; 쒽; 쒽; ) HANGUL SYLLABLE SSWINJ
      "\uC4BE",  # (쒾; 쒾; 쒾; 쒾; 쒾; ) HANGUL SYLLABLE SSWINH
      "\uC4BF",  # (쒿; 쒿; 쒿; 쒿; 쒿; ) HANGUL SYLLABLE SSWID
      "\uC4C0",  # (쓀; 쓀; 쓀; 쓀; 쓀; ) HANGUL SYLLABLE SSWIL
      "\uC4C1",  # (쓁; 쓁; 쓁; 쓁; 쓁; ) HANGUL SYLLABLE SSWILG
      "\uC4C2",  # (쓂; 쓂; 쓂; 쓂; 쓂; ) HANGUL SYLLABLE SSWILM
      "\uC4C3",  # (쓃; 쓃; 쓃; 쓃; 쓃; ) HANGUL SYLLABLE SSWILB
      "\uC4C4",  # (쓄; 쓄; 쓄; 쓄; 쓄; ) HANGUL SYLLABLE SSWILS
      "\uC4C5",  # (쓅; 쓅; 쓅; 쓅; 쓅; ) HANGUL SYLLABLE SSWILT
      "\uC4C6",  # (쓆; 쓆; 쓆; 쓆; 쓆; ) HANGUL SYLLABLE SSWILP
      "\uC4C7",  # (쓇; 쓇; 쓇; 쓇; 쓇; ) HANGUL SYLLABLE SSWILH
      "\uC4C8",  # (쓈; 쓈; 쓈; 쓈; 쓈; ) HANGUL SYLLABLE SSWIM
      "\uC4C9",  # (쓉; 쓉; 쓉; 쓉; 쓉; ) HANGUL SYLLABLE SSWIB
      "\uC4CA",  # (쓊; 쓊; 쓊; 쓊; 쓊; ) HANGUL SYLLABLE SSWIBS
      "\uC4CB",  # (쓋; 쓋; 쓋; 쓋; 쓋; ) HANGUL SYLLABLE SSWIS
      "\uC4CC",  # (쓌; 쓌; 쓌; 쓌; 쓌; ) HANGUL SYLLABLE SSWISS
      "\uC4CD",  # (쓍; 쓍; 쓍; 쓍; 쓍; ) HANGUL SYLLABLE SSWING
      "\uC4CE",  # (쓎; 쓎; 쓎; 쓎; 쓎; ) HANGUL SYLLABLE SSWIJ
      "\uC4CF",  # (쓏; 쓏; 쓏; 쓏; 쓏; ) HANGUL SYLLABLE SSWIC
      "\uC4D0",  # (쓐; 쓐; 쓐; 쓐; 쓐; ) HANGUL SYLLABLE SSWIK
      "\uC4D1",  # (쓑; 쓑; 쓑; 쓑; 쓑; ) HANGUL SYLLABLE SSWIT
      "\uC4D2",  # (쓒; 쓒; 쓒; 쓒; 쓒; ) HANGUL SYLLABLE SSWIP
      "\uC4D3",  # (쓓; 쓓; 쓓; 쓓; 쓓; ) HANGUL SYLLABLE SSWIH
      "\uC4D4",  # (쓔; 쓔; 쓔; 쓔; 쓔; ) HANGUL SYLLABLE SSYU
      "\uC4D5",  # (쓕; 쓕; 쓕; 쓕; 쓕; ) HANGUL SYLLABLE SSYUG
      "\uC4D6",  # (쓖; 쓖; 쓖; 쓖; 쓖; ) HANGUL SYLLABLE SSYUGG
      "\uC4D7",  # (쓗; 쓗; 쓗; 쓗; 쓗; ) HANGUL SYLLABLE SSYUGS
      "\uC4D8",  # (쓘; 쓘; 쓘; 쓘; 쓘; ) HANGUL SYLLABLE SSYUN
      "\uC4D9",  # (쓙; 쓙; 쓙; 쓙; 쓙; ) HANGUL SYLLABLE SSYUNJ
      "\uC4DA",  # (쓚; 쓚; 쓚; 쓚; 쓚; ) HANGUL SYLLABLE SSYUNH
      "\uC4DB",  # (쓛; 쓛; 쓛; 쓛; 쓛; ) HANGUL SYLLABLE SSYUD
      "\uC4DC",  # (쓜; 쓜; 쓜; 쓜; 쓜; ) HANGUL SYLLABLE SSYUL
      "\uC4DD",  # (쓝; 쓝; 쓝; 쓝; 쓝; ) HANGUL SYLLABLE SSYULG
      "\uC4DE",  # (쓞; 쓞; 쓞; 쓞; 쓞; ) HANGUL SYLLABLE SSYULM
      "\uC4DF",  # (쓟; 쓟; 쓟; 쓟; 쓟; ) HANGUL SYLLABLE SSYULB
      "\uC4E0",  # (쓠; 쓠; 쓠; 쓠; 쓠; ) HANGUL SYLLABLE SSYULS
      "\uC4E1",  # (쓡; 쓡; 쓡; 쓡; 쓡; ) HANGUL SYLLABLE SSYULT
      "\uC4E2",  # (쓢; 쓢; 쓢; 쓢; 쓢; ) HANGUL SYLLABLE SSYULP
      "\uC4E3",  # (쓣; 쓣; 쓣; 쓣; 쓣; ) HANGUL SYLLABLE SSYULH
      "\uC4E4",  # (쓤; 쓤; 쓤; 쓤; 쓤; ) HANGUL SYLLABLE SSYUM
      "\uC4E5",  # (쓥; 쓥; 쓥; 쓥; 쓥; ) HANGUL SYLLABLE SSYUB
      "\uC4E6",  # (쓦; 쓦; 쓦; 쓦; 쓦; ) HANGUL SYLLABLE SSYUBS
      "\uC4E7",  # (쓧; 쓧; 쓧; 쓧; 쓧; ) HANGUL SYLLABLE SSYUS
      "\uC4E8",  # (쓨; 쓨; 쓨; 쓨; 쓨; ) HANGUL SYLLABLE SSYUSS
      "\uC4E9",  # (쓩; 쓩; 쓩; 쓩; 쓩; ) HANGUL SYLLABLE SSYUNG
      "\uC4EA",  # (쓪; 쓪; 쓪; 쓪; 쓪; ) HANGUL SYLLABLE SSYUJ
      "\uC4EB",  # (쓫; 쓫; 쓫; 쓫; 쓫; ) HANGUL SYLLABLE SSYUC
      "\uC4EC",  # (쓬; 쓬; 쓬; 쓬; 쓬; ) HANGUL SYLLABLE SSYUK
      "\uC4ED",  # (쓭; 쓭; 쓭; 쓭; 쓭; ) HANGUL SYLLABLE SSYUT
      "\uC4EE",  # (쓮; 쓮; 쓮; 쓮; 쓮; ) HANGUL SYLLABLE SSYUP
      "\uC4EF",  # (쓯; 쓯; 쓯; 쓯; 쓯; ) HANGUL SYLLABLE SSYUH
      "\uC4F0",  # (쓰; 쓰; 쓰; 쓰; 쓰; ) HANGUL SYLLABLE SSEU
      "\uC4F1",  # (쓱; 쓱; 쓱; 쓱; 쓱; ) HANGUL SYLLABLE SSEUG
      "\uC4F2",  # (쓲; 쓲; 쓲; 쓲; 쓲; ) HANGUL SYLLABLE SSEUGG
      "\uC4F3",  # (쓳; 쓳; 쓳; 쓳; 쓳; ) HANGUL SYLLABLE SSEUGS
      "\uC4F4",  # (쓴; 쓴; 쓴; 쓴; 쓴; ) HANGUL SYLLABLE SSEUN
      "\uC4F5",  # (쓵; 쓵; 쓵; 쓵; 쓵; ) HANGUL SYLLABLE SSEUNJ
      "\uC4F6",  # (쓶; 쓶; 쓶; 쓶; 쓶; ) HANGUL SYLLABLE SSEUNH
      "\uC4F7",  # (쓷; 쓷; 쓷; 쓷; 쓷; ) HANGUL SYLLABLE SSEUD
      "\uC4F8",  # (쓸; 쓸; 쓸; 쓸; 쓸; ) HANGUL SYLLABLE SSEUL
      "\uC4F9",  # (쓹; 쓹; 쓹; 쓹; 쓹; ) HANGUL SYLLABLE SSEULG
      "\uC4FA",  # (쓺; 쓺; 쓺; 쓺; 쓺; ) HANGUL SYLLABLE SSEULM
      "\uC4FB",  # (쓻; 쓻; 쓻; 쓻; 쓻; ) HANGUL SYLLABLE SSEULB
      "\uC4FC",  # (쓼; 쓼; 쓼; 쓼; 쓼; ) HANGUL SYLLABLE SSEULS
      "\uC4FD",  # (쓽; 쓽; 쓽; 쓽; 쓽; ) HANGUL SYLLABLE SSEULT
      "\uC4FE",  # (쓾; 쓾; 쓾; 쓾; 쓾; ) HANGUL SYLLABLE SSEULP
      "\uC4FF",  # (쓿; 쓿; 쓿; 쓿; 쓿; ) HANGUL SYLLABLE SSEULH
      "\uC500",  # (씀; 씀; 씀; 씀; 씀; ) HANGUL SYLLABLE SSEUM
      "\uC501",  # (씁; 씁; 씁; 씁; 씁; ) HANGUL SYLLABLE SSEUB
      "\uC502",  # (씂; 씂; 씂; 씂; 씂; ) HANGUL SYLLABLE SSEUBS
      "\uC503",  # (씃; 씃; 씃; 씃; 씃; ) HANGUL SYLLABLE SSEUS
      "\uC504",  # (씄; 씄; 씄; 씄; 씄; ) HANGUL SYLLABLE SSEUSS
      "\uC505",  # (씅; 씅; 씅; 씅; 씅; ) HANGUL SYLLABLE SSEUNG
      "\uC506",  # (씆; 씆; 씆; 씆; 씆; ) HANGUL SYLLABLE SSEUJ
      "\uC507",  # (씇; 씇; 씇; 씇; 씇; ) HANGUL SYLLABLE SSEUC
      "\uC508",  # (씈; 씈; 씈; 씈; 씈; ) HANGUL SYLLABLE SSEUK
      "\uC509",  # (씉; 씉; 씉; 씉; 씉; ) HANGUL SYLLABLE SSEUT
      "\uC50A",  # (씊; 씊; 씊; 씊; 씊; ) HANGUL SYLLABLE SSEUP
      "\uC50B",  # (씋; 씋; 씋; 씋; 씋; ) HANGUL SYLLABLE SSEUH
      "\uC50C",  # (씌; 씌; 씌; 씌; 씌; ) HANGUL SYLLABLE SSYI
      "\uC50D",  # (씍; 씍; 씍; 씍; 씍; ) HANGUL SYLLABLE SSYIG
      "\uC50E",  # (씎; 씎; 씎; 씎; 씎; ) HANGUL SYLLABLE SSYIGG
      "\uC50F",  # (씏; 씏; 씏; 씏; 씏; ) HANGUL SYLLABLE SSYIGS
      "\uC510",  # (씐; 씐; 씐; 씐; 씐; ) HANGUL SYLLABLE SSYIN
      "\uC511",  # (씑; 씑; 씑; 씑; 씑; ) HANGUL SYLLABLE SSYINJ
      "\uC512",  # (씒; 씒; 씒; 씒; 씒; ) HANGUL SYLLABLE SSYINH
      "\uC513",  # (씓; 씓; 씓; 씓; 씓; ) HANGUL SYLLABLE SSYID
      "\uC514",  # (씔; 씔; 씔; 씔; 씔; ) HANGUL SYLLABLE SSYIL
      "\uC515",  # (씕; 씕; 씕; 씕; 씕; ) HANGUL SYLLABLE SSYILG
      "\uC516",  # (씖; 씖; 씖; 씖; 씖; ) HANGUL SYLLABLE SSYILM
      "\uC517",  # (씗; 씗; 씗; 씗; 씗; ) HANGUL SYLLABLE SSYILB
      "\uC518",  # (씘; 씘; 씘; 씘; 씘; ) HANGUL SYLLABLE SSYILS
      "\uC519",  # (씙; 씙; 씙; 씙; 씙; ) HANGUL SYLLABLE SSYILT
      "\uC51A",  # (씚; 씚; 씚; 씚; 씚; ) HANGUL SYLLABLE SSYILP
      "\uC51B",  # (씛; 씛; 씛; 씛; 씛; ) HANGUL SYLLABLE SSYILH
      "\uC51C",  # (씜; 씜; 씜; 씜; 씜; ) HANGUL SYLLABLE SSYIM
      "\uC51D",  # (씝; 씝; 씝; 씝; 씝; ) HANGUL SYLLABLE SSYIB
      "\uC51E",  # (씞; 씞; 씞; 씞; 씞; ) HANGUL SYLLABLE SSYIBS
      "\uC51F",  # (씟; 씟; 씟; 씟; 씟; ) HANGUL SYLLABLE SSYIS
      "\uC520",  # (씠; 씠; 씠; 씠; 씠; ) HANGUL SYLLABLE SSYISS
      "\uC521",  # (씡; 씡; 씡; 씡; 씡; ) HANGUL SYLLABLE SSYING
      "\uC522",  # (씢; 씢; 씢; 씢; 씢; ) HANGUL SYLLABLE SSYIJ
      "\uC523",  # (씣; 씣; 씣; 씣; 씣; ) HANGUL SYLLABLE SSYIC
      "\uC524",  # (씤; 씤; 씤; 씤; 씤; ) HANGUL SYLLABLE SSYIK
      "\uC525",  # (씥; 씥; 씥; 씥; 씥; ) HANGUL SYLLABLE SSYIT
      "\uC526",  # (씦; 씦; 씦; 씦; 씦; ) HANGUL SYLLABLE SSYIP
      "\uC527",  # (씧; 씧; 씧; 씧; 씧; ) HANGUL SYLLABLE SSYIH
      "\uC528",  # (씨; 씨; 씨; 씨; 씨; ) HANGUL SYLLABLE SSI
      "\uC529",  # (씩; 씩; 씩; 씩; 씩; ) HANGUL SYLLABLE SSIG
      "\uC52A",  # (씪; 씪; 씪; 씪; 씪; ) HANGUL SYLLABLE SSIGG
      "\uC52B",  # (씫; 씫; 씫; 씫; 씫; ) HANGUL SYLLABLE SSIGS
      "\uC52C",  # (씬; 씬; 씬; 씬; 씬; ) HANGUL SYLLABLE SSIN
      "\uC52D",  # (씭; 씭; 씭; 씭; 씭; ) HANGUL SYLLABLE SSINJ
      "\uC52E",  # (씮; 씮; 씮; 씮; 씮; ) HANGUL SYLLABLE SSINH
      "\uC52F",  # (씯; 씯; 씯; 씯; 씯; ) HANGUL SYLLABLE SSID
      "\uC530",  # (씰; 씰; 씰; 씰; 씰; ) HANGUL SYLLABLE SSIL
      "\uC531",  # (씱; 씱; 씱; 씱; 씱; ) HANGUL SYLLABLE SSILG
      "\uC532",  # (씲; 씲; 씲; 씲; 씲; ) HANGUL SYLLABLE SSILM
      "\uC533",  # (씳; 씳; 씳; 씳; 씳; ) HANGUL SYLLABLE SSILB
      "\uC534",  # (씴; 씴; 씴; 씴; 씴; ) HANGUL SYLLABLE SSILS
      "\uC535",  # (씵; 씵; 씵; 씵; 씵; ) HANGUL SYLLABLE SSILT
      "\uC536",  # (씶; 씶; 씶; 씶; 씶; ) HANGUL SYLLABLE SSILP
      "\uC537",  # (씷; 씷; 씷; 씷; 씷; ) HANGUL SYLLABLE SSILH
      "\uC538",  # (씸; 씸; 씸; 씸; 씸; ) HANGUL SYLLABLE SSIM
      "\uC539",  # (씹; 씹; 씹; 씹; 씹; ) HANGUL SYLLABLE SSIB
      "\uC53A",  # (씺; 씺; 씺; 씺; 씺; ) HANGUL SYLLABLE SSIBS
      "\uC53B",  # (씻; 씻; 씻; 씻; 씻; ) HANGUL SYLLABLE SSIS
      "\uC53C",  # (씼; 씼; 씼; 씼; 씼; ) HANGUL SYLLABLE SSISS
      "\uC53D",  # (씽; 씽; 씽; 씽; 씽; ) HANGUL SYLLABLE SSING
      "\uC53E",  # (씾; 씾; 씾; 씾; 씾; ) HANGUL SYLLABLE SSIJ
      "\uC53F",  # (씿; 씿; 씿; 씿; 씿; ) HANGUL SYLLABLE SSIC
      "\uC540",  # (앀; 앀; 앀; 앀; 앀; ) HANGUL SYLLABLE SSIK
      "\uC541",  # (앁; 앁; 앁; 앁; 앁; ) HANGUL SYLLABLE SSIT
      "\uC542",  # (앂; 앂; 앂; 앂; 앂; ) HANGUL SYLLABLE SSIP
      "\uC543",  # (앃; 앃; 앃; 앃; 앃; ) HANGUL SYLLABLE SSIH
      "\uC544",  # (아; 아; 아; 아; 아; ) HANGUL SYLLABLE A
      "\uC545",  # (악; 악; 악; 악; 악; ) HANGUL SYLLABLE AG
      "\uC546",  # (앆; 앆; 앆; 앆; 앆; ) HANGUL SYLLABLE AGG
      "\uC547",  # (앇; 앇; 앇; 앇; 앇; ) HANGUL SYLLABLE AGS
      "\uC548",  # (안; 안; 안; 안; 안; ) HANGUL SYLLABLE AN
      "\uC549",  # (앉; 앉; 앉; 앉; 앉; ) HANGUL SYLLABLE ANJ
      "\uC54A",  # (않; 않; 않; 않; 않; ) HANGUL SYLLABLE ANH
      "\uC54B",  # (앋; 앋; 앋; 앋; 앋; ) HANGUL SYLLABLE AD
      "\uC54C",  # (알; 알; 알; 알; 알; ) HANGUL SYLLABLE AL
      "\uC54D",  # (앍; 앍; 앍; 앍; 앍; ) HANGUL SYLLABLE ALG
      "\uC54E",  # (앎; 앎; 앎; 앎; 앎; ) HANGUL SYLLABLE ALM
      "\uC54F",  # (앏; 앏; 앏; 앏; 앏; ) HANGUL SYLLABLE ALB
      "\uC550",  # (앐; 앐; 앐; 앐; 앐; ) HANGUL SYLLABLE ALS
      "\uC551",  # (앑; 앑; 앑; 앑; 앑; ) HANGUL SYLLABLE ALT
      "\uC552",  # (앒; 앒; 앒; 앒; 앒; ) HANGUL SYLLABLE ALP
      "\uC553",  # (앓; 앓; 앓; 앓; 앓; ) HANGUL SYLLABLE ALH
      "\uC554",  # (암; 암; 암; 암; 암; ) HANGUL SYLLABLE AM
      "\uC555",  # (압; 압; 압; 압; 압; ) HANGUL SYLLABLE AB
      "\uC556",  # (앖; 앖; 앖; 앖; 앖; ) HANGUL SYLLABLE ABS
      "\uC557",  # (앗; 앗; 앗; 앗; 앗; ) HANGUL SYLLABLE AS
      "\uC558",  # (았; 았; 았; 았; 았; ) HANGUL SYLLABLE ASS
      "\uC559",  # (앙; 앙; 앙; 앙; 앙; ) HANGUL SYLLABLE ANG
      "\uC55A",  # (앚; 앚; 앚; 앚; 앚; ) HANGUL SYLLABLE AJ
      "\uC55B",  # (앛; 앛; 앛; 앛; 앛; ) HANGUL SYLLABLE AC
      "\uC55C",  # (앜; 앜; 앜; 앜; 앜; ) HANGUL SYLLABLE AK
      "\uC55D",  # (앝; 앝; 앝; 앝; 앝; ) HANGUL SYLLABLE AT
      "\uC55E",  # (앞; 앞; 앞; 앞; 앞; ) HANGUL SYLLABLE AP
      "\uC55F",  # (앟; 앟; 앟; 앟; 앟; ) HANGUL SYLLABLE AH
      "\uC560",  # (애; 애; 애; 애; 애; ) HANGUL SYLLABLE AE
      "\uC561",  # (액; 액; 액; 액; 액; ) HANGUL SYLLABLE AEG
      "\uC562",  # (앢; 앢; 앢; 앢; 앢; ) HANGUL SYLLABLE AEGG
      "\uC563",  # (앣; 앣; 앣; 앣; 앣; ) HANGUL SYLLABLE AEGS
      "\uC564",  # (앤; 앤; 앤; 앤; 앤; ) HANGUL SYLLABLE AEN
      "\uC565",  # (앥; 앥; 앥; 앥; 앥; ) HANGUL SYLLABLE AENJ
      "\uC566",  # (앦; 앦; 앦; 앦; 앦; ) HANGUL SYLLABLE AENH
      "\uC567",  # (앧; 앧; 앧; 앧; 앧; ) HANGUL SYLLABLE AED
      "\uC568",  # (앨; 앨; 앨; 앨; 앨; ) HANGUL SYLLABLE AEL
      "\uC569",  # (앩; 앩; 앩; 앩; 앩; ) HANGUL SYLLABLE AELG
      "\uC56A",  # (앪; 앪; 앪; 앪; 앪; ) HANGUL SYLLABLE AELM
      "\uC56B",  # (앫; 앫; 앫; 앫; 앫; ) HANGUL SYLLABLE AELB
      "\uC56C",  # (앬; 앬; 앬; 앬; 앬; ) HANGUL SYLLABLE AELS
      "\uC56D",  # (앭; 앭; 앭; 앭; 앭; ) HANGUL SYLLABLE AELT
      "\uC56E",  # (앮; 앮; 앮; 앮; 앮; ) HANGUL SYLLABLE AELP
      "\uC56F",  # (앯; 앯; 앯; 앯; 앯; ) HANGUL SYLLABLE AELH
      "\uC570",  # (앰; 앰; 앰; 앰; 앰; ) HANGUL SYLLABLE AEM
      "\uC571",  # (앱; 앱; 앱; 앱; 앱; ) HANGUL SYLLABLE AEB
      "\uC572",  # (앲; 앲; 앲; 앲; 앲; ) HANGUL SYLLABLE AEBS
      "\uC573",  # (앳; 앳; 앳; 앳; 앳; ) HANGUL SYLLABLE AES
      "\uC574",  # (앴; 앴; 앴; 앴; 앴; ) HANGUL SYLLABLE AESS
      "\uC575",  # (앵; 앵; 앵; 앵; 앵; ) HANGUL SYLLABLE AENG
      "\uC576",  # (앶; 앶; 앶; 앶; 앶; ) HANGUL SYLLABLE AEJ
      "\uC577",  # (앷; 앷; 앷; 앷; 앷; ) HANGUL SYLLABLE AEC
      "\uC578",  # (앸; 앸; 앸; 앸; 앸; ) HANGUL SYLLABLE AEK
      "\uC579",  # (앹; 앹; 앹; 앹; 앹; ) HANGUL SYLLABLE AET
      "\uC57A",  # (앺; 앺; 앺; 앺; 앺; ) HANGUL SYLLABLE AEP
      "\uC57B",  # (앻; 앻; 앻; 앻; 앻; ) HANGUL SYLLABLE AEH
      "\uC57C",  # (야; 야; 야; 야; 야; ) HANGUL SYLLABLE YA
      "\uC57D",  # (약; 약; 약; 약; 약; ) HANGUL SYLLABLE YAG
      "\uC57E",  # (앾; 앾; 앾; 앾; 앾; ) HANGUL SYLLABLE YAGG
      "\uC57F",  # (앿; 앿; 앿; 앿; 앿; ) HANGUL SYLLABLE YAGS
      "\uC580",  # (얀; 얀; 얀; 얀; 얀; ) HANGUL SYLLABLE YAN
      "\uC581",  # (얁; 얁; 얁; 얁; 얁; ) HANGUL SYLLABLE YANJ
      "\uC582",  # (얂; 얂; 얂; 얂; 얂; ) HANGUL SYLLABLE YANH
      "\uC583",  # (얃; 얃; 얃; 얃; 얃; ) HANGUL SYLLABLE YAD
      "\uC584",  # (얄; 얄; 얄; 얄; 얄; ) HANGUL SYLLABLE YAL
      "\uC585",  # (얅; 얅; 얅; 얅; 얅; ) HANGUL SYLLABLE YALG
      "\uC586",  # (얆; 얆; 얆; 얆; 얆; ) HANGUL SYLLABLE YALM
      "\uC587",  # (얇; 얇; 얇; 얇; 얇; ) HANGUL SYLLABLE YALB
      "\uC588",  # (얈; 얈; 얈; 얈; 얈; ) HANGUL SYLLABLE YALS
      "\uC589",  # (얉; 얉; 얉; 얉; 얉; ) HANGUL SYLLABLE YALT
      "\uC58A",  # (얊; 얊; 얊; 얊; 얊; ) HANGUL SYLLABLE YALP
      "\uC58B",  # (얋; 얋; 얋; 얋; 얋; ) HANGUL SYLLABLE YALH
      "\uC58C",  # (얌; 얌; 얌; 얌; 얌; ) HANGUL SYLLABLE YAM
      "\uC58D",  # (얍; 얍; 얍; 얍; 얍; ) HANGUL SYLLABLE YAB
      "\uC58E",  # (얎; 얎; 얎; 얎; 얎; ) HANGUL SYLLABLE YABS
      "\uC58F",  # (얏; 얏; 얏; 얏; 얏; ) HANGUL SYLLABLE YAS
      "\uC590",  # (얐; 얐; 얐; 얐; 얐; ) HANGUL SYLLABLE YASS
      "\uC591",  # (양; 양; 양; 양; 양; ) HANGUL SYLLABLE YANG
      "\uC592",  # (얒; 얒; 얒; 얒; 얒; ) HANGUL SYLLABLE YAJ
      "\uC593",  # (얓; 얓; 얓; 얓; 얓; ) HANGUL SYLLABLE YAC
      "\uC594",  # (얔; 얔; 얔; 얔; 얔; ) HANGUL SYLLABLE YAK
      "\uC595",  # (얕; 얕; 얕; 얕; 얕; ) HANGUL SYLLABLE YAT
      "\uC596",  # (얖; 얖; 얖; 얖; 얖; ) HANGUL SYLLABLE YAP
      "\uC597",  # (얗; 얗; 얗; 얗; 얗; ) HANGUL SYLLABLE YAH
      "\uC598",  # (얘; 얘; 얘; 얘; 얘; ) HANGUL SYLLABLE YAE
      "\uC599",  # (얙; 얙; 얙; 얙; 얙; ) HANGUL SYLLABLE YAEG
      "\uC59A",  # (얚; 얚; 얚; 얚; 얚; ) HANGUL SYLLABLE YAEGG
      "\uC59B",  # (얛; 얛; 얛; 얛; 얛; ) HANGUL SYLLABLE YAEGS
      "\uC59C",  # (얜; 얜; 얜; 얜; 얜; ) HANGUL SYLLABLE YAEN
      "\uC59D",  # (얝; 얝; 얝; 얝; 얝; ) HANGUL SYLLABLE YAENJ
      "\uC59E",  # (얞; 얞; 얞; 얞; 얞; ) HANGUL SYLLABLE YAENH
      "\uC59F",  # (얟; 얟; 얟; 얟; 얟; ) HANGUL SYLLABLE YAED
      "\uC5A0",  # (얠; 얠; 얠; 얠; 얠; ) HANGUL SYLLABLE YAEL
      "\uC5A1",  # (얡; 얡; 얡; 얡; 얡; ) HANGUL SYLLABLE YAELG
      "\uC5A2",  # (얢; 얢; 얢; 얢; 얢; ) HANGUL SYLLABLE YAELM
      "\uC5A3",  # (얣; 얣; 얣; 얣; 얣; ) HANGUL SYLLABLE YAELB
      "\uC5A4",  # (얤; 얤; 얤; 얤; 얤; ) HANGUL SYLLABLE YAELS
      "\uC5A5",  # (얥; 얥; 얥; 얥; 얥; ) HANGUL SYLLABLE YAELT
      "\uC5A6",  # (얦; 얦; 얦; 얦; 얦; ) HANGUL SYLLABLE YAELP
      "\uC5A7",  # (얧; 얧; 얧; 얧; 얧; ) HANGUL SYLLABLE YAELH
      "\uC5A8",  # (얨; 얨; 얨; 얨; 얨; ) HANGUL SYLLABLE YAEM
      "\uC5A9",  # (얩; 얩; 얩; 얩; 얩; ) HANGUL SYLLABLE YAEB
      "\uC5AA",  # (얪; 얪; 얪; 얪; 얪; ) HANGUL SYLLABLE YAEBS
      "\uC5AB",  # (얫; 얫; 얫; 얫; 얫; ) HANGUL SYLLABLE YAES
      "\uC5AC",  # (얬; 얬; 얬; 얬; 얬; ) HANGUL SYLLABLE YAESS
      "\uC5AD",  # (얭; 얭; 얭; 얭; 얭; ) HANGUL SYLLABLE YAENG
      "\uC5AE",  # (얮; 얮; 얮; 얮; 얮; ) HANGUL SYLLABLE YAEJ
      "\uC5AF",  # (얯; 얯; 얯; 얯; 얯; ) HANGUL SYLLABLE YAEC
      "\uC5B0",  # (얰; 얰; 얰; 얰; 얰; ) HANGUL SYLLABLE YAEK
      "\uC5B1",  # (얱; 얱; 얱; 얱; 얱; ) HANGUL SYLLABLE YAET
      "\uC5B2",  # (얲; 얲; 얲; 얲; 얲; ) HANGUL SYLLABLE YAEP
      "\uC5B3",  # (얳; 얳; 얳; 얳; 얳; ) HANGUL SYLLABLE YAEH
      "\uC5B4",  # (어; 어; 어; 어; 어; ) HANGUL SYLLABLE EO
      "\uC5B5",  # (억; 억; 억; 억; 억; ) HANGUL SYLLABLE EOG
      "\uC5B6",  # (얶; 얶; 얶; 얶; 얶; ) HANGUL SYLLABLE EOGG
      "\uC5B7",  # (얷; 얷; 얷; 얷; 얷; ) HANGUL SYLLABLE EOGS
      "\uC5B8",  # (언; 언; 언; 언; 언; ) HANGUL SYLLABLE EON
      "\uC5B9",  # (얹; 얹; 얹; 얹; 얹; ) HANGUL SYLLABLE EONJ
      "\uC5BA",  # (얺; 얺; 얺; 얺; 얺; ) HANGUL SYLLABLE EONH
      "\uC5BB",  # (얻; 얻; 얻; 얻; 얻; ) HANGUL SYLLABLE EOD
      "\uC5BC",  # (얼; 얼; 얼; 얼; 얼; ) HANGUL SYLLABLE EOL
      "\uC5BD",  # (얽; 얽; 얽; 얽; 얽; ) HANGUL SYLLABLE EOLG
      "\uC5BE",  # (얾; 얾; 얾; 얾; 얾; ) HANGUL SYLLABLE EOLM
      "\uC5BF",  # (얿; 얿; 얿; 얿; 얿; ) HANGUL SYLLABLE EOLB
      "\uC5C0",  # (엀; 엀; 엀; 엀; 엀; ) HANGUL SYLLABLE EOLS
      "\uC5C1",  # (엁; 엁; 엁; 엁; 엁; ) HANGUL SYLLABLE EOLT
      "\uC5C2",  # (엂; 엂; 엂; 엂; 엂; ) HANGUL SYLLABLE EOLP
      "\uC5C3",  # (엃; 엃; 엃; 엃; 엃; ) HANGUL SYLLABLE EOLH
      "\uC5C4",  # (엄; 엄; 엄; 엄; 엄; ) HANGUL SYLLABLE EOM
      "\uC5C5",  # (업; 업; 업; 업; 업; ) HANGUL SYLLABLE EOB
      "\uC5C6",  # (없; 없; 없; 없; 없; ) HANGUL SYLLABLE EOBS
      "\uC5C7",  # (엇; 엇; 엇; 엇; 엇; ) HANGUL SYLLABLE EOS
      "\uC5C8",  # (었; 었; 었; 었; 었; ) HANGUL SYLLABLE EOSS
      "\uC5C9",  # (엉; 엉; 엉; 엉; 엉; ) HANGUL SYLLABLE EONG
      "\uC5CA",  # (엊; 엊; 엊; 엊; 엊; ) HANGUL SYLLABLE EOJ
      "\uC5CB",  # (엋; 엋; 엋; 엋; 엋; ) HANGUL SYLLABLE EOC
      "\uC5CC",  # (엌; 엌; 엌; 엌; 엌; ) HANGUL SYLLABLE EOK
      "\uC5CD",  # (엍; 엍; 엍; 엍; 엍; ) HANGUL SYLLABLE EOT
      "\uC5CE",  # (엎; 엎; 엎; 엎; 엎; ) HANGUL SYLLABLE EOP
      "\uC5CF",  # (엏; 엏; 엏; 엏; 엏; ) HANGUL SYLLABLE EOH
      "\uC5D0",  # (에; 에; 에; 에; 에; ) HANGUL SYLLABLE E
      "\uC5D1",  # (엑; 엑; 엑; 엑; 엑; ) HANGUL SYLLABLE EG
      "\uC5D2",  # (엒; 엒; 엒; 엒; 엒; ) HANGUL SYLLABLE EGG
      "\uC5D3",  # (엓; 엓; 엓; 엓; 엓; ) HANGUL SYLLABLE EGS
      "\uC5D4",  # (엔; 엔; 엔; 엔; 엔; ) HANGUL SYLLABLE EN
      "\uC5D5",  # (엕; 엕; 엕; 엕; 엕; ) HANGUL SYLLABLE ENJ
      "\uC5D6",  # (엖; 엖; 엖; 엖; 엖; ) HANGUL SYLLABLE ENH
      "\uC5D7",  # (엗; 엗; 엗; 엗; 엗; ) HANGUL SYLLABLE ED
      "\uC5D8",  # (엘; 엘; 엘; 엘; 엘; ) HANGUL SYLLABLE EL
      "\uC5D9",  # (엙; 엙; 엙; 엙; 엙; ) HANGUL SYLLABLE ELG
      "\uC5DA",  # (엚; 엚; 엚; 엚; 엚; ) HANGUL SYLLABLE ELM
      "\uC5DB",  # (엛; 엛; 엛; 엛; 엛; ) HANGUL SYLLABLE ELB
      "\uC5DC",  # (엜; 엜; 엜; 엜; 엜; ) HANGUL SYLLABLE ELS
      "\uC5DD",  # (엝; 엝; 엝; 엝; 엝; ) HANGUL SYLLABLE ELT
      "\uC5DE",  # (엞; 엞; 엞; 엞; 엞; ) HANGUL SYLLABLE ELP
      "\uC5DF",  # (엟; 엟; 엟; 엟; 엟; ) HANGUL SYLLABLE ELH
      "\uC5E0",  # (엠; 엠; 엠; 엠; 엠; ) HANGUL SYLLABLE EM
      "\uC5E1",  # (엡; 엡; 엡; 엡; 엡; ) HANGUL SYLLABLE EB
      "\uC5E2",  # (엢; 엢; 엢; 엢; 엢; ) HANGUL SYLLABLE EBS
      "\uC5E3",  # (엣; 엣; 엣; 엣; 엣; ) HANGUL SYLLABLE ES
      "\uC5E4",  # (엤; 엤; 엤; 엤; 엤; ) HANGUL SYLLABLE ESS
      "\uC5E5",  # (엥; 엥; 엥; 엥; 엥; ) HANGUL SYLLABLE ENG
      "\uC5E6",  # (엦; 엦; 엦; 엦; 엦; ) HANGUL SYLLABLE EJ
      "\uC5E7",  # (엧; 엧; 엧; 엧; 엧; ) HANGUL SYLLABLE EC
      "\uC5E8",  # (엨; 엨; 엨; 엨; 엨; ) HANGUL SYLLABLE EK
      "\uC5E9",  # (엩; 엩; 엩; 엩; 엩; ) HANGUL SYLLABLE ET
      "\uC5EA",  # (엪; 엪; 엪; 엪; 엪; ) HANGUL SYLLABLE EP
      "\uC5EB",  # (엫; 엫; 엫; 엫; 엫; ) HANGUL SYLLABLE EH
      "\uC5EC",  # (여; 여; 여; 여; 여; ) HANGUL SYLLABLE YEO
      "\uC5ED",  # (역; 역; 역; 역; 역; ) HANGUL SYLLABLE YEOG
      "\uC5EE",  # (엮; 엮; 엮; 엮; 엮; ) HANGUL SYLLABLE YEOGG
      "\uC5EF",  # (엯; 엯; 엯; 엯; 엯; ) HANGUL SYLLABLE YEOGS
      "\uC5F0",  # (연; 연; 연; 연; 연; ) HANGUL SYLLABLE YEON
      "\uC5F1",  # (엱; 엱; 엱; 엱; 엱; ) HANGUL SYLLABLE YEONJ
      "\uC5F2",  # (엲; 엲; 엲; 엲; 엲; ) HANGUL SYLLABLE YEONH
      "\uC5F3",  # (엳; 엳; 엳; 엳; 엳; ) HANGUL SYLLABLE YEOD
      "\uC5F4",  # (열; 열; 열; 열; 열; ) HANGUL SYLLABLE YEOL
      "\uC5F5",  # (엵; 엵; 엵; 엵; 엵; ) HANGUL SYLLABLE YEOLG
      "\uC5F6",  # (엶; 엶; 엶; 엶; 엶; ) HANGUL SYLLABLE YEOLM
      "\uC5F7",  # (엷; 엷; 엷; 엷; 엷; ) HANGUL SYLLABLE YEOLB
      "\uC5F8",  # (엸; 엸; 엸; 엸; 엸; ) HANGUL SYLLABLE YEOLS
      "\uC5F9",  # (엹; 엹; 엹; 엹; 엹; ) HANGUL SYLLABLE YEOLT
      "\uC5FA",  # (엺; 엺; 엺; 엺; 엺; ) HANGUL SYLLABLE YEOLP
      "\uC5FB",  # (엻; 엻; 엻; 엻; 엻; ) HANGUL SYLLABLE YEOLH
      "\uC5FC",  # (염; 염; 염; 염; 염; ) HANGUL SYLLABLE YEOM
      "\uC5FD",  # (엽; 엽; 엽; 엽; 엽; ) HANGUL SYLLABLE YEOB
      "\uC5FE",  # (엾; 엾; 엾; 엾; 엾; ) HANGUL SYLLABLE YEOBS
      "\uC5FF",  # (엿; 엿; 엿; 엿; 엿; ) HANGUL SYLLABLE YEOS
      "\uC600",  # (였; 였; 였; 였; 였; ) HANGUL SYLLABLE YEOSS
      "\uC601",  # (영; 영; 영; 영; 영; ) HANGUL SYLLABLE YEONG
      "\uC602",  # (옂; 옂; 옂; 옂; 옂; ) HANGUL SYLLABLE YEOJ
      "\uC603",  # (옃; 옃; 옃; 옃; 옃; ) HANGUL SYLLABLE YEOC
      "\uC604",  # (옄; 옄; 옄; 옄; 옄; ) HANGUL SYLLABLE YEOK
      "\uC605",  # (옅; 옅; 옅; 옅; 옅; ) HANGUL SYLLABLE YEOT
      "\uC606",  # (옆; 옆; 옆; 옆; 옆; ) HANGUL SYLLABLE YEOP
      "\uC607",  # (옇; 옇; 옇; 옇; 옇; ) HANGUL SYLLABLE YEOH
      "\uC608",  # (예; 예; 예; 예; 예; ) HANGUL SYLLABLE YE
      "\uC609",  # (옉; 옉; 옉; 옉; 옉; ) HANGUL SYLLABLE YEG
      "\uC60A",  # (옊; 옊; 옊; 옊; 옊; ) HANGUL SYLLABLE YEGG
      "\uC60B",  # (옋; 옋; 옋; 옋; 옋; ) HANGUL SYLLABLE YEGS
      "\uC60C",  # (옌; 옌; 옌; 옌; 옌; ) HANGUL SYLLABLE YEN
      "\uC60D",  # (옍; 옍; 옍; 옍; 옍; ) HANGUL SYLLABLE YENJ
      "\uC60E",  # (옎; 옎; 옎; 옎; 옎; ) HANGUL SYLLABLE YENH
      "\uC60F",  # (옏; 옏; 옏; 옏; 옏; ) HANGUL SYLLABLE YED
      "\uC610",  # (옐; 옐; 옐; 옐; 옐; ) HANGUL SYLLABLE YEL
      "\uC611",  # (옑; 옑; 옑; 옑; 옑; ) HANGUL SYLLABLE YELG
      "\uC612",  # (옒; 옒; 옒; 옒; 옒; ) HANGUL SYLLABLE YELM
      "\uC613",  # (옓; 옓; 옓; 옓; 옓; ) HANGUL SYLLABLE YELB
      "\uC614",  # (옔; 옔; 옔; 옔; 옔; ) HANGUL SYLLABLE YELS
      "\uC615",  # (옕; 옕; 옕; 옕; 옕; ) HANGUL SYLLABLE YELT
      "\uC616",  # (옖; 옖; 옖; 옖; 옖; ) HANGUL SYLLABLE YELP
      "\uC617",  # (옗; 옗; 옗; 옗; 옗; ) HANGUL SYLLABLE YELH
      "\uC618",  # (옘; 옘; 옘; 옘; 옘; ) HANGUL SYLLABLE YEM
      "\uC619",  # (옙; 옙; 옙; 옙; 옙; ) HANGUL SYLLABLE YEB
      "\uC61A",  # (옚; 옚; 옚; 옚; 옚; ) HANGUL SYLLABLE YEBS
      "\uC61B",  # (옛; 옛; 옛; 옛; 옛; ) HANGUL SYLLABLE YES
      "\uC61C",  # (옜; 옜; 옜; 옜; 옜; ) HANGUL SYLLABLE YESS
      "\uC61D",  # (옝; 옝; 옝; 옝; 옝; ) HANGUL SYLLABLE YENG
      "\uC61E",  # (옞; 옞; 옞; 옞; 옞; ) HANGUL SYLLABLE YEJ
      "\uC61F",  # (옟; 옟; 옟; 옟; 옟; ) HANGUL SYLLABLE YEC
      "\uC620",  # (옠; 옠; 옠; 옠; 옠; ) HANGUL SYLLABLE YEK
      "\uC621",  # (옡; 옡; 옡; 옡; 옡; ) HANGUL SYLLABLE YET
      "\uC622",  # (옢; 옢; 옢; 옢; 옢; ) HANGUL SYLLABLE YEP
      "\uC623",  # (옣; 옣; 옣; 옣; 옣; ) HANGUL SYLLABLE YEH
      "\uC624",  # (오; 오; 오; 오; 오; ) HANGUL SYLLABLE O
      "\uC625",  # (옥; 옥; 옥; 옥; 옥; ) HANGUL SYLLABLE OG
      "\uC626",  # (옦; 옦; 옦; 옦; 옦; ) HANGUL SYLLABLE OGG
      "\uC627",  # (옧; 옧; 옧; 옧; 옧; ) HANGUL SYLLABLE OGS
      "\uC628",  # (온; 온; 온; 온; 온; ) HANGUL SYLLABLE ON
      "\uC629",  # (옩; 옩; 옩; 옩; 옩; ) HANGUL SYLLABLE ONJ
      "\uC62A",  # (옪; 옪; 옪; 옪; 옪; ) HANGUL SYLLABLE ONH
      "\uC62B",  # (옫; 옫; 옫; 옫; 옫; ) HANGUL SYLLABLE OD
      "\uC62C",  # (올; 올; 올; 올; 올; ) HANGUL SYLLABLE OL
      "\uC62D",  # (옭; 옭; 옭; 옭; 옭; ) HANGUL SYLLABLE OLG
      "\uC62E",  # (옮; 옮; 옮; 옮; 옮; ) HANGUL SYLLABLE OLM
      "\uC62F",  # (옯; 옯; 옯; 옯; 옯; ) HANGUL SYLLABLE OLB
      "\uC630",  # (옰; 옰; 옰; 옰; 옰; ) HANGUL SYLLABLE OLS
      "\uC631",  # (옱; 옱; 옱; 옱; 옱; ) HANGUL SYLLABLE OLT
      "\uC632",  # (옲; 옲; 옲; 옲; 옲; ) HANGUL SYLLABLE OLP
      "\uC633",  # (옳; 옳; 옳; 옳; 옳; ) HANGUL SYLLABLE OLH
      "\uC634",  # (옴; 옴; 옴; 옴; 옴; ) HANGUL SYLLABLE OM
      "\uC635",  # (옵; 옵; 옵; 옵; 옵; ) HANGUL SYLLABLE OB
      "\uC636",  # (옶; 옶; 옶; 옶; 옶; ) HANGUL SYLLABLE OBS
      "\uC637",  # (옷; 옷; 옷; 옷; 옷; ) HANGUL SYLLABLE OS
      "\uC638",  # (옸; 옸; 옸; 옸; 옸; ) HANGUL SYLLABLE OSS
      "\uC639",  # (옹; 옹; 옹; 옹; 옹; ) HANGUL SYLLABLE ONG
      "\uC63A",  # (옺; 옺; 옺; 옺; 옺; ) HANGUL SYLLABLE OJ
      "\uC63B",  # (옻; 옻; 옻; 옻; 옻; ) HANGUL SYLLABLE OC
      "\uC63C",  # (옼; 옼; 옼; 옼; 옼; ) HANGUL SYLLABLE OK
      "\uC63D",  # (옽; 옽; 옽; 옽; 옽; ) HANGUL SYLLABLE OT
      "\uC63E",  # (옾; 옾; 옾; 옾; 옾; ) HANGUL SYLLABLE OP
      "\uC63F",  # (옿; 옿; 옿; 옿; 옿; ) HANGUL SYLLABLE OH
      "\uC640",  # (와; 와; 와; 와; 와; ) HANGUL SYLLABLE WA
      "\uC641",  # (왁; 왁; 왁; 왁; 왁; ) HANGUL SYLLABLE WAG
      "\uC642",  # (왂; 왂; 왂; 왂; 왂; ) HANGUL SYLLABLE WAGG
      "\uC643",  # (왃; 왃; 왃; 왃; 왃; ) HANGUL SYLLABLE WAGS
      "\uC644",  # (완; 완; 완; 완; 완; ) HANGUL SYLLABLE WAN
      "\uC645",  # (왅; 왅; 왅; 왅; 왅; ) HANGUL SYLLABLE WANJ
      "\uC646",  # (왆; 왆; 왆; 왆; 왆; ) HANGUL SYLLABLE WANH
      "\uC647",  # (왇; 왇; 왇; 왇; 왇; ) HANGUL SYLLABLE WAD
      "\uC648",  # (왈; 왈; 왈; 왈; 왈; ) HANGUL SYLLABLE WAL
      "\uC649",  # (왉; 왉; 왉; 왉; 왉; ) HANGUL SYLLABLE WALG
      "\uC64A",  # (왊; 왊; 왊; 왊; 왊; ) HANGUL SYLLABLE WALM
      "\uC64B",  # (왋; 왋; 왋; 왋; 왋; ) HANGUL SYLLABLE WALB
      "\uC64C",  # (왌; 왌; 왌; 왌; 왌; ) HANGUL SYLLABLE WALS
      "\uC64D",  # (왍; 왍; 왍; 왍; 왍; ) HANGUL SYLLABLE WALT
      "\uC64E",  # (왎; 왎; 왎; 왎; 왎; ) HANGUL SYLLABLE WALP
      "\uC64F",  # (왏; 왏; 왏; 왏; 왏; ) HANGUL SYLLABLE WALH
      "\uC650",  # (왐; 왐; 왐; 왐; 왐; ) HANGUL SYLLABLE WAM
      "\uC651",  # (왑; 왑; 왑; 왑; 왑; ) HANGUL SYLLABLE WAB
      "\uC652",  # (왒; 왒; 왒; 왒; 왒; ) HANGUL SYLLABLE WABS
      "\uC653",  # (왓; 왓; 왓; 왓; 왓; ) HANGUL SYLLABLE WAS
      "\uC654",  # (왔; 왔; 왔; 왔; 왔; ) HANGUL SYLLABLE WASS
      "\uC655",  # (왕; 왕; 왕; 왕; 왕; ) HANGUL SYLLABLE WANG
      "\uC656",  # (왖; 왖; 왖; 왖; 왖; ) HANGUL SYLLABLE WAJ
      "\uC657",  # (왗; 왗; 왗; 왗; 왗; ) HANGUL SYLLABLE WAC
      "\uC658",  # (왘; 왘; 왘; 왘; 왘; ) HANGUL SYLLABLE WAK
      "\uC659",  # (왙; 왙; 왙; 왙; 왙; ) HANGUL SYLLABLE WAT
      "\uC65A",  # (왚; 왚; 왚; 왚; 왚; ) HANGUL SYLLABLE WAP
      "\uC65B",  # (왛; 왛; 왛; 왛; 왛; ) HANGUL SYLLABLE WAH
      "\uC65C",  # (왜; 왜; 왜; 왜; 왜; ) HANGUL SYLLABLE WAE
      "\uC65D",  # (왝; 왝; 왝; 왝; 왝; ) HANGUL SYLLABLE WAEG
      "\uC65E",  # (왞; 왞; 왞; 왞; 왞; ) HANGUL SYLLABLE WAEGG
      "\uC65F",  # (왟; 왟; 왟; 왟; 왟; ) HANGUL SYLLABLE WAEGS
      "\uC660",  # (왠; 왠; 왠; 왠; 왠; ) HANGUL SYLLABLE WAEN
      "\uC661",  # (왡; 왡; 왡; 왡; 왡; ) HANGUL SYLLABLE WAENJ
      "\uC662",  # (왢; 왢; 왢; 왢; 왢; ) HANGUL SYLLABLE WAENH
      "\uC663",  # (왣; 왣; 왣; 왣; 왣; ) HANGUL SYLLABLE WAED
      "\uC664",  # (왤; 왤; 왤; 왤; 왤; ) HANGUL SYLLABLE WAEL
      "\uC665",  # (왥; 왥; 왥; 왥; 왥; ) HANGUL SYLLABLE WAELG
      "\uC666",  # (왦; 왦; 왦; 왦; 왦; ) HANGUL SYLLABLE WAELM
      "\uC667",  # (왧; 왧; 왧; 왧; 왧; ) HANGUL SYLLABLE WAELB
      "\uC668",  # (왨; 왨; 왨; 왨; 왨; ) HANGUL SYLLABLE WAELS
      "\uC669",  # (왩; 왩; 왩; 왩; 왩; ) HANGUL SYLLABLE WAELT
      "\uC66A",  # (왪; 왪; 왪; 왪; 왪; ) HANGUL SYLLABLE WAELP
      "\uC66B",  # (왫; 왫; 왫; 왫; 왫; ) HANGUL SYLLABLE WAELH
      "\uC66C",  # (왬; 왬; 왬; 왬; 왬; ) HANGUL SYLLABLE WAEM
      "\uC66D",  # (왭; 왭; 왭; 왭; 왭; ) HANGUL SYLLABLE WAEB
      "\uC66E",  # (왮; 왮; 왮; 왮; 왮; ) HANGUL SYLLABLE WAEBS
      "\uC66F",  # (왯; 왯; 왯; 왯; 왯; ) HANGUL SYLLABLE WAES
      "\uC670",  # (왰; 왰; 왰; 왰; 왰; ) HANGUL SYLLABLE WAESS
      "\uC671",  # (왱; 왱; 왱; 왱; 왱; ) HANGUL SYLLABLE WAENG
      "\uC672",  # (왲; 왲; 왲; 왲; 왲; ) HANGUL SYLLABLE WAEJ
      "\uC673",  # (왳; 왳; 왳; 왳; 왳; ) HANGUL SYLLABLE WAEC
      "\uC674",  # (왴; 왴; 왴; 왴; 왴; ) HANGUL SYLLABLE WAEK
      "\uC675",  # (왵; 왵; 왵; 왵; 왵; ) HANGUL SYLLABLE WAET
      "\uC676",  # (왶; 왶; 왶; 왶; 왶; ) HANGUL SYLLABLE WAEP
      "\uC677",  # (왷; 왷; 왷; 왷; 왷; ) HANGUL SYLLABLE WAEH
      "\uC678",  # (외; 외; 외; 외; 외; ) HANGUL SYLLABLE OE
      "\uC679",  # (왹; 왹; 왹; 왹; 왹; ) HANGUL SYLLABLE OEG
      "\uC67A",  # (왺; 왺; 왺; 왺; 왺; ) HANGUL SYLLABLE OEGG
      "\uC67B",  # (왻; 왻; 왻; 왻; 왻; ) HANGUL SYLLABLE OEGS
      "\uC67C",  # (왼; 왼; 왼; 왼; 왼; ) HANGUL SYLLABLE OEN
      "\uC67D",  # (왽; 왽; 왽; 왽; 왽; ) HANGUL SYLLABLE OENJ
      "\uC67E",  # (왾; 왾; 왾; 왾; 왾; ) HANGUL SYLLABLE OENH
      "\uC67F",  # (왿; 왿; 왿; 왿; 왿; ) HANGUL SYLLABLE OED
      "\uC680",  # (욀; 욀; 욀; 욀; 욀; ) HANGUL SYLLABLE OEL
      "\uC681",  # (욁; 욁; 욁; 욁; 욁; ) HANGUL SYLLABLE OELG
      "\uC682",  # (욂; 욂; 욂; 욂; 욂; ) HANGUL SYLLABLE OELM
      "\uC683",  # (욃; 욃; 욃; 욃; 욃; ) HANGUL SYLLABLE OELB
      "\uC684",  # (욄; 욄; 욄; 욄; 욄; ) HANGUL SYLLABLE OELS
      "\uC685",  # (욅; 욅; 욅; 욅; 욅; ) HANGUL SYLLABLE OELT
      "\uC686",  # (욆; 욆; 욆; 욆; 욆; ) HANGUL SYLLABLE OELP
      "\uC687",  # (욇; 욇; 욇; 욇; 욇; ) HANGUL SYLLABLE OELH
      "\uC688",  # (욈; 욈; 욈; 욈; 욈; ) HANGUL SYLLABLE OEM
      "\uC689",  # (욉; 욉; 욉; 욉; 욉; ) HANGUL SYLLABLE OEB
      "\uC68A",  # (욊; 욊; 욊; 욊; 욊; ) HANGUL SYLLABLE OEBS
      "\uC68B",  # (욋; 욋; 욋; 욋; 욋; ) HANGUL SYLLABLE OES
      "\uC68C",  # (욌; 욌; 욌; 욌; 욌; ) HANGUL SYLLABLE OESS
      "\uC68D",  # (욍; 욍; 욍; 욍; 욍; ) HANGUL SYLLABLE OENG
      "\uC68E",  # (욎; 욎; 욎; 욎; 욎; ) HANGUL SYLLABLE OEJ
      "\uC68F",  # (욏; 욏; 욏; 욏; 욏; ) HANGUL SYLLABLE OEC
      "\uC690",  # (욐; 욐; 욐; 욐; 욐; ) HANGUL SYLLABLE OEK
      "\uC691",  # (욑; 욑; 욑; 욑; 욑; ) HANGUL SYLLABLE OET
      "\uC692",  # (욒; 욒; 욒; 욒; 욒; ) HANGUL SYLLABLE OEP
      "\uC693",  # (욓; 욓; 욓; 욓; 욓; ) HANGUL SYLLABLE OEH
      "\uC694",  # (요; 요; 요; 요; 요; ) HANGUL SYLLABLE YO
      "\uC695",  # (욕; 욕; 욕; 욕; 욕; ) HANGUL SYLLABLE YOG
      "\uC696",  # (욖; 욖; 욖; 욖; 욖; ) HANGUL SYLLABLE YOGG
      "\uC697",  # (욗; 욗; 욗; 욗; 욗; ) HANGUL SYLLABLE YOGS
      "\uC698",  # (욘; 욘; 욘; 욘; 욘; ) HANGUL SYLLABLE YON
      "\uC699",  # (욙; 욙; 욙; 욙; 욙; ) HANGUL SYLLABLE YONJ
      "\uC69A",  # (욚; 욚; 욚; 욚; 욚; ) HANGUL SYLLABLE YONH
      "\uC69B",  # (욛; 욛; 욛; 욛; 욛; ) HANGUL SYLLABLE YOD
      "\uC69C",  # (욜; 욜; 욜; 욜; 욜; ) HANGUL SYLLABLE YOL
      "\uC69D",  # (욝; 욝; 욝; 욝; 욝; ) HANGUL SYLLABLE YOLG
      "\uC69E",  # (욞; 욞; 욞; 욞; 욞; ) HANGUL SYLLABLE YOLM
      "\uC69F",  # (욟; 욟; 욟; 욟; 욟; ) HANGUL SYLLABLE YOLB
      "\uC6A0",  # (욠; 욠; 욠; 욠; 욠; ) HANGUL SYLLABLE YOLS
      "\uC6A1",  # (욡; 욡; 욡; 욡; 욡; ) HANGUL SYLLABLE YOLT
      "\uC6A2",  # (욢; 욢; 욢; 욢; 욢; ) HANGUL SYLLABLE YOLP
      "\uC6A3",  # (욣; 욣; 욣; 욣; 욣; ) HANGUL SYLLABLE YOLH
      "\uC6A4",  # (욤; 욤; 욤; 욤; 욤; ) HANGUL SYLLABLE YOM
      "\uC6A5",  # (욥; 욥; 욥; 욥; 욥; ) HANGUL SYLLABLE YOB
      "\uC6A6",  # (욦; 욦; 욦; 욦; 욦; ) HANGUL SYLLABLE YOBS
      "\uC6A7",  # (욧; 욧; 욧; 욧; 욧; ) HANGUL SYLLABLE YOS
      "\uC6A8",  # (욨; 욨; 욨; 욨; 욨; ) HANGUL SYLLABLE YOSS
      "\uC6A9",  # (용; 용; 용; 용; 용; ) HANGUL SYLLABLE YONG
      "\uC6AA",  # (욪; 욪; 욪; 욪; 욪; ) HANGUL SYLLABLE YOJ
      "\uC6AB",  # (욫; 욫; 욫; 욫; 욫; ) HANGUL SYLLABLE YOC
      "\uC6AC",  # (욬; 욬; 욬; 욬; 욬; ) HANGUL SYLLABLE YOK
      "\uC6AD",  # (욭; 욭; 욭; 욭; 욭; ) HANGUL SYLLABLE YOT
      "\uC6AE",  # (욮; 욮; 욮; 욮; 욮; ) HANGUL SYLLABLE YOP
      "\uC6AF",  # (욯; 욯; 욯; 욯; 욯; ) HANGUL SYLLABLE YOH
      "\uC6B0",  # (우; 우; 우; 우; 우; ) HANGUL SYLLABLE U
      "\uC6B1",  # (욱; 욱; 욱; 욱; 욱; ) HANGUL SYLLABLE UG
      "\uC6B2",  # (욲; 욲; 욲; 욲; 욲; ) HANGUL SYLLABLE UGG
      "\uC6B3",  # (욳; 욳; 욳; 욳; 욳; ) HANGUL SYLLABLE UGS
      "\uC6B4",  # (운; 운; 운; 운; 운; ) HANGUL SYLLABLE UN
      "\uC6B5",  # (욵; 욵; 욵; 욵; 욵; ) HANGUL SYLLABLE UNJ
      "\uC6B6",  # (욶; 욶; 욶; 욶; 욶; ) HANGUL SYLLABLE UNH
      "\uC6B7",  # (욷; 욷; 욷; 욷; 욷; ) HANGUL SYLLABLE UD
      "\uC6B8",  # (울; 울; 울; 울; 울; ) HANGUL SYLLABLE UL
      "\uC6B9",  # (욹; 욹; 욹; 욹; 욹; ) HANGUL SYLLABLE ULG
      "\uC6BA",  # (욺; 욺; 욺; 욺; 욺; ) HANGUL SYLLABLE ULM
      "\uC6BB",  # (욻; 욻; 욻; 욻; 욻; ) HANGUL SYLLABLE ULB
      "\uC6BC",  # (욼; 욼; 욼; 욼; 욼; ) HANGUL SYLLABLE ULS
      "\uC6BD",  # (욽; 욽; 욽; 욽; 욽; ) HANGUL SYLLABLE ULT
      "\uC6BE",  # (욾; 욾; 욾; 욾; 욾; ) HANGUL SYLLABLE ULP
      "\uC6BF",  # (욿; 욿; 욿; 욿; 욿; ) HANGUL SYLLABLE ULH
      "\uC6C0",  # (움; 움; 움; 움; 움; ) HANGUL SYLLABLE UM
      "\uC6C1",  # (웁; 웁; 웁; 웁; 웁; ) HANGUL SYLLABLE UB
      "\uC6C2",  # (웂; 웂; 웂; 웂; 웂; ) HANGUL SYLLABLE UBS
      "\uC6C3",  # (웃; 웃; 웃; 웃; 웃; ) HANGUL SYLLABLE US
      "\uC6C4",  # (웄; 웄; 웄; 웄; 웄; ) HANGUL SYLLABLE USS
      "\uC6C5",  # (웅; 웅; 웅; 웅; 웅; ) HANGUL SYLLABLE UNG
      "\uC6C6",  # (웆; 웆; 웆; 웆; 웆; ) HANGUL SYLLABLE UJ
      "\uC6C7",  # (웇; 웇; 웇; 웇; 웇; ) HANGUL SYLLABLE UC
      "\uC6C8",  # (웈; 웈; 웈; 웈; 웈; ) HANGUL SYLLABLE UK
      "\uC6C9",  # (웉; 웉; 웉; 웉; 웉; ) HANGUL SYLLABLE UT
      "\uC6CA",  # (웊; 웊; 웊; 웊; 웊; ) HANGUL SYLLABLE UP
      "\uC6CB",  # (웋; 웋; 웋; 웋; 웋; ) HANGUL SYLLABLE UH
      "\uC6CC",  # (워; 워; 워; 워; 워; ) HANGUL SYLLABLE WEO
      "\uC6CD",  # (웍; 웍; 웍; 웍; 웍; ) HANGUL SYLLABLE WEOG
      "\uC6CE",  # (웎; 웎; 웎; 웎; 웎; ) HANGUL SYLLABLE WEOGG
      "\uC6CF",  # (웏; 웏; 웏; 웏; 웏; ) HANGUL SYLLABLE WEOGS
      "\uC6D0",  # (원; 원; 원; 원; 원; ) HANGUL SYLLABLE WEON
      "\uC6D1",  # (웑; 웑; 웑; 웑; 웑; ) HANGUL SYLLABLE WEONJ
      "\uC6D2",  # (웒; 웒; 웒; 웒; 웒; ) HANGUL SYLLABLE WEONH
      "\uC6D3",  # (웓; 웓; 웓; 웓; 웓; ) HANGUL SYLLABLE WEOD
      "\uC6D4",  # (월; 월; 월; 월; 월; ) HANGUL SYLLABLE WEOL
      "\uC6D5",  # (웕; 웕; 웕; 웕; 웕; ) HANGUL SYLLABLE WEOLG
      "\uC6D6",  # (웖; 웖; 웖; 웖; 웖; ) HANGUL SYLLABLE WEOLM
      "\uC6D7",  # (웗; 웗; 웗; 웗; 웗; ) HANGUL SYLLABLE WEOLB
      "\uC6D8",  # (웘; 웘; 웘; 웘; 웘; ) HANGUL SYLLABLE WEOLS
      "\uC6D9",  # (웙; 웙; 웙; 웙; 웙; ) HANGUL SYLLABLE WEOLT
      "\uC6DA",  # (웚; 웚; 웚; 웚; 웚; ) HANGUL SYLLABLE WEOLP
      "\uC6DB",  # (웛; 웛; 웛; 웛; 웛; ) HANGUL SYLLABLE WEOLH
      "\uC6DC",  # (웜; 웜; 웜; 웜; 웜; ) HANGUL SYLLABLE WEOM
      "\uC6DD",  # (웝; 웝; 웝; 웝; 웝; ) HANGUL SYLLABLE WEOB
      "\uC6DE",  # (웞; 웞; 웞; 웞; 웞; ) HANGUL SYLLABLE WEOBS
      "\uC6DF",  # (웟; 웟; 웟; 웟; 웟; ) HANGUL SYLLABLE WEOS
      "\uC6E0",  # (웠; 웠; 웠; 웠; 웠; ) HANGUL SYLLABLE WEOSS
      "\uC6E1",  # (웡; 웡; 웡; 웡; 웡; ) HANGUL SYLLABLE WEONG
      "\uC6E2",  # (웢; 웢; 웢; 웢; 웢; ) HANGUL SYLLABLE WEOJ
      "\uC6E3",  # (웣; 웣; 웣; 웣; 웣; ) HANGUL SYLLABLE WEOC
      "\uC6E4",  # (웤; 웤; 웤; 웤; 웤; ) HANGUL SYLLABLE WEOK
      "\uC6E5",  # (웥; 웥; 웥; 웥; 웥; ) HANGUL SYLLABLE WEOT
      "\uC6E6",  # (웦; 웦; 웦; 웦; 웦; ) HANGUL SYLLABLE WEOP
      "\uC6E7",  # (웧; 웧; 웧; 웧; 웧; ) HANGUL SYLLABLE WEOH
      "\uC6E8",  # (웨; 웨; 웨; 웨; 웨; ) HANGUL SYLLABLE WE
      "\uC6E9",  # (웩; 웩; 웩; 웩; 웩; ) HANGUL SYLLABLE WEG
      "\uC6EA",  # (웪; 웪; 웪; 웪; 웪; ) HANGUL SYLLABLE WEGG
      "\uC6EB",  # (웫; 웫; 웫; 웫; 웫; ) HANGUL SYLLABLE WEGS
      "\uC6EC",  # (웬; 웬; 웬; 웬; 웬; ) HANGUL SYLLABLE WEN
      "\uC6ED",  # (웭; 웭; 웭; 웭; 웭; ) HANGUL SYLLABLE WENJ
      "\uC6EE",  # (웮; 웮; 웮; 웮; 웮; ) HANGUL SYLLABLE WENH
      "\uC6EF",  # (웯; 웯; 웯; 웯; 웯; ) HANGUL SYLLABLE WED
      "\uC6F0",  # (웰; 웰; 웰; 웰; 웰; ) HANGUL SYLLABLE WEL
      "\uC6F1",  # (웱; 웱; 웱; 웱; 웱; ) HANGUL SYLLABLE WELG
      "\uC6F2",  # (웲; 웲; 웲; 웲; 웲; ) HANGUL SYLLABLE WELM
      "\uC6F3",  # (웳; 웳; 웳; 웳; 웳; ) HANGUL SYLLABLE WELB
      "\uC6F4",  # (웴; 웴; 웴; 웴; 웴; ) HANGUL SYLLABLE WELS
      "\uC6F5",  # (웵; 웵; 웵; 웵; 웵; ) HANGUL SYLLABLE WELT
      "\uC6F6",  # (웶; 웶; 웶; 웶; 웶; ) HANGUL SYLLABLE WELP
      "\uC6F7",  # (웷; 웷; 웷; 웷; 웷; ) HANGUL SYLLABLE WELH
      "\uC6F8",  # (웸; 웸; 웸; 웸; 웸; ) HANGUL SYLLABLE WEM
      "\uC6F9",  # (웹; 웹; 웹; 웹; 웹; ) HANGUL SYLLABLE WEB
      "\uC6FA",  # (웺; 웺; 웺; 웺; 웺; ) HANGUL SYLLABLE WEBS
      "\uC6FB",  # (웻; 웻; 웻; 웻; 웻; ) HANGUL SYLLABLE WES
      "\uC6FC",  # (웼; 웼; 웼; 웼; 웼; ) HANGUL SYLLABLE WESS
      "\uC6FD",  # (웽; 웽; 웽; 웽; 웽; ) HANGUL SYLLABLE WENG
      "\uC6FE",  # (웾; 웾; 웾; 웾; 웾; ) HANGUL SYLLABLE WEJ
      "\uC6FF",  # (웿; 웿; 웿; 웿; 웿; ) HANGUL SYLLABLE WEC
      "\uC700",  # (윀; 윀; 윀; 윀; 윀; ) HANGUL SYLLABLE WEK
      "\uC701",  # (윁; 윁; 윁; 윁; 윁; ) HANGUL SYLLABLE WET
      "\uC702",  # (윂; 윂; 윂; 윂; 윂; ) HANGUL SYLLABLE WEP
      "\uC703",  # (윃; 윃; 윃; 윃; 윃; ) HANGUL SYLLABLE WEH
      "\uC704",  # (위; 위; 위; 위; 위; ) HANGUL SYLLABLE WI
      "\uC705",  # (윅; 윅; 윅; 윅; 윅; ) HANGUL SYLLABLE WIG
      "\uC706",  # (윆; 윆; 윆; 윆; 윆; ) HANGUL SYLLABLE WIGG
      "\uC707",  # (윇; 윇; 윇; 윇; 윇; ) HANGUL SYLLABLE WIGS
      "\uC708",  # (윈; 윈; 윈; 윈; 윈; ) HANGUL SYLLABLE WIN
      "\uC709",  # (윉; 윉; 윉; 윉; 윉; ) HANGUL SYLLABLE WINJ
      "\uC70A",  # (윊; 윊; 윊; 윊; 윊; ) HANGUL SYLLABLE WINH
      "\uC70B",  # (윋; 윋; 윋; 윋; 윋; ) HANGUL SYLLABLE WID
      "\uC70C",  # (윌; 윌; 윌; 윌; 윌; ) HANGUL SYLLABLE WIL
      "\uC70D",  # (윍; 윍; 윍; 윍; 윍; ) HANGUL SYLLABLE WILG
      "\uC70E",  # (윎; 윎; 윎; 윎; 윎; ) HANGUL SYLLABLE WILM
      "\uC70F",  # (윏; 윏; 윏; 윏; 윏; ) HANGUL SYLLABLE WILB
      "\uC710",  # (윐; 윐; 윐; 윐; 윐; ) HANGUL SYLLABLE WILS
      "\uC711",  # (윑; 윑; 윑; 윑; 윑; ) HANGUL SYLLABLE WILT
      "\uC712",  # (윒; 윒; 윒; 윒; 윒; ) HANGUL SYLLABLE WILP
      "\uC713",  # (윓; 윓; 윓; 윓; 윓; ) HANGUL SYLLABLE WILH
      "\uC714",  # (윔; 윔; 윔; 윔; 윔; ) HANGUL SYLLABLE WIM
      "\uC715",  # (윕; 윕; 윕; 윕; 윕; ) HANGUL SYLLABLE WIB
      "\uC716",  # (윖; 윖; 윖; 윖; 윖; ) HANGUL SYLLABLE WIBS
      "\uC717",  # (윗; 윗; 윗; 윗; 윗; ) HANGUL SYLLABLE WIS
      "\uC718",  # (윘; 윘; 윘; 윘; 윘; ) HANGUL SYLLABLE WISS
      "\uC719",  # (윙; 윙; 윙; 윙; 윙; ) HANGUL SYLLABLE WING
      "\uC71A",  # (윚; 윚; 윚; 윚; 윚; ) HANGUL SYLLABLE WIJ
      "\uC71B",  # (윛; 윛; 윛; 윛; 윛; ) HANGUL SYLLABLE WIC
      "\uC71C",  # (윜; 윜; 윜; 윜; 윜; ) HANGUL SYLLABLE WIK
      "\uC71D",  # (윝; 윝; 윝; 윝; 윝; ) HANGUL SYLLABLE WIT
      "\uC71E",  # (윞; 윞; 윞; 윞; 윞; ) HANGUL SYLLABLE WIP
      "\uC71F",  # (윟; 윟; 윟; 윟; 윟; ) HANGUL SYLLABLE WIH
      "\uC720",  # (유; 유; 유; 유; 유; ) HANGUL SYLLABLE YU
      "\uC721",  # (육; 육; 육; 육; 육; ) HANGUL SYLLABLE YUG
      "\uC722",  # (윢; 윢; 윢; 윢; 윢; ) HANGUL SYLLABLE YUGG
      "\uC723",  # (윣; 윣; 윣; 윣; 윣; ) HANGUL SYLLABLE YUGS
      "\uC724",  # (윤; 윤; 윤; 윤; 윤; ) HANGUL SYLLABLE YUN
      "\uC725",  # (윥; 윥; 윥; 윥; 윥; ) HANGUL SYLLABLE YUNJ
      "\uC726",  # (윦; 윦; 윦; 윦; 윦; ) HANGUL SYLLABLE YUNH
      "\uC727",  # (윧; 윧; 윧; 윧; 윧; ) HANGUL SYLLABLE YUD
      "\uC728",  # (율; 율; 율; 율; 율; ) HANGUL SYLLABLE YUL
      "\uC729",  # (윩; 윩; 윩; 윩; 윩; ) HANGUL SYLLABLE YULG
      "\uC72A",  # (윪; 윪; 윪; 윪; 윪; ) HANGUL SYLLABLE YULM
      "\uC72B",  # (윫; 윫; 윫; 윫; 윫; ) HANGUL SYLLABLE YULB
      "\uC72C",  # (윬; 윬; 윬; 윬; 윬; ) HANGUL SYLLABLE YULS
      "\uC72D",  # (윭; 윭; 윭; 윭; 윭; ) HANGUL SYLLABLE YULT
      "\uC72E",  # (윮; 윮; 윮; 윮; 윮; ) HANGUL SYLLABLE YULP
      "\uC72F",  # (윯; 윯; 윯; 윯; 윯; ) HANGUL SYLLABLE YULH
      "\uC730",  # (윰; 윰; 윰; 윰; 윰; ) HANGUL SYLLABLE YUM
      "\uC731",  # (윱; 윱; 윱; 윱; 윱; ) HANGUL SYLLABLE YUB
      "\uC732",  # (윲; 윲; 윲; 윲; 윲; ) HANGUL SYLLABLE YUBS
      "\uC733",  # (윳; 윳; 윳; 윳; 윳; ) HANGUL SYLLABLE YUS
      "\uC734",  # (윴; 윴; 윴; 윴; 윴; ) HANGUL SYLLABLE YUSS
      "\uC735",  # (융; 융; 융; 융; 융; ) HANGUL SYLLABLE YUNG
      "\uC736",  # (윶; 윶; 윶; 윶; 윶; ) HANGUL SYLLABLE YUJ
      "\uC737",  # (윷; 윷; 윷; 윷; 윷; ) HANGUL SYLLABLE YUC
      "\uC738",  # (윸; 윸; 윸; 윸; 윸; ) HANGUL SYLLABLE YUK
      "\uC739",  # (윹; 윹; 윹; 윹; 윹; ) HANGUL SYLLABLE YUT
      "\uC73A",  # (윺; 윺; 윺; 윺; 윺; ) HANGUL SYLLABLE YUP
      "\uC73B",  # (윻; 윻; 윻; 윻; 윻; ) HANGUL SYLLABLE YUH
      "\uC73C",  # (으; 으; 으; 으; 으; ) HANGUL SYLLABLE EU
      "\uC73D",  # (윽; 윽; 윽; 윽; 윽; ) HANGUL SYLLABLE EUG
      "\uC73E",  # (윾; 윾; 윾; 윾; 윾; ) HANGUL SYLLABLE EUGG
      "\uC73F",  # (윿; 윿; 윿; 윿; 윿; ) HANGUL SYLLABLE EUGS
      "\uC740",  # (은; 은; 은; 은; 은; ) HANGUL SYLLABLE EUN
      "\uC741",  # (읁; 읁; 읁; 읁; 읁; ) HANGUL SYLLABLE EUNJ
      "\uC742",  # (읂; 읂; 읂; 읂; 읂; ) HANGUL SYLLABLE EUNH
      "\uC743",  # (읃; 읃; 읃; 읃; 읃; ) HANGUL SYLLABLE EUD
      "\uC744",  # (을; 을; 을; 을; 을; ) HANGUL SYLLABLE EUL
      "\uC745",  # (읅; 읅; 읅; 읅; 읅; ) HANGUL SYLLABLE EULG
      "\uC746",  # (읆; 읆; 읆; 읆; 읆; ) HANGUL SYLLABLE EULM
      "\uC747",  # (읇; 읇; 읇; 읇; 읇; ) HANGUL SYLLABLE EULB
      "\uC748",  # (읈; 읈; 읈; 읈; 읈; ) HANGUL SYLLABLE EULS
      "\uC749",  # (읉; 읉; 읉; 읉; 읉; ) HANGUL SYLLABLE EULT
      "\uC74A",  # (읊; 읊; 읊; 읊; 읊; ) HANGUL SYLLABLE EULP
      "\uC74B",  # (읋; 읋; 읋; 읋; 읋; ) HANGUL SYLLABLE EULH
      "\uC74C",  # (음; 음; 음; 음; 음; ) HANGUL SYLLABLE EUM
      "\uC74D",  # (읍; 읍; 읍; 읍; 읍; ) HANGUL SYLLABLE EUB
      "\uC74E",  # (읎; 읎; 읎; 읎; 읎; ) HANGUL SYLLABLE EUBS
      "\uC74F",  # (읏; 읏; 읏; 읏; 읏; ) HANGUL SYLLABLE EUS
      "\uC750",  # (읐; 읐; 읐; 읐; 읐; ) HANGUL SYLLABLE EUSS
      "\uC751",  # (응; 응; 응; 응; 응; ) HANGUL SYLLABLE EUNG
      "\uC752",  # (읒; 읒; 읒; 읒; 읒; ) HANGUL SYLLABLE EUJ
      "\uC753",  # (읓; 읓; 읓; 읓; 읓; ) HANGUL SYLLABLE EUC
      "\uC754",  # (읔; 읔; 읔; 읔; 읔; ) HANGUL SYLLABLE EUK
      "\uC755",  # (읕; 읕; 읕; 읕; 읕; ) HANGUL SYLLABLE EUT
      "\uC756",  # (읖; 읖; 읖; 읖; 읖; ) HANGUL SYLLABLE EUP
      "\uC757",  # (읗; 읗; 읗; 읗; 읗; ) HANGUL SYLLABLE EUH
      "\uC758",  # (의; 의; 의; 의; 의; ) HANGUL SYLLABLE YI
      "\uC759",  # (읙; 읙; 읙; 읙; 읙; ) HANGUL SYLLABLE YIG
      "\uC75A",  # (읚; 읚; 읚; 읚; 읚; ) HANGUL SYLLABLE YIGG
      "\uC75B",  # (읛; 읛; 읛; 읛; 읛; ) HANGUL SYLLABLE YIGS
      "\uC75C",  # (읜; 읜; 읜; 읜; 읜; ) HANGUL SYLLABLE YIN
      "\uC75D",  # (읝; 읝; 읝; 읝; 읝; ) HANGUL SYLLABLE YINJ
      "\uC75E",  # (읞; 읞; 읞; 읞; 읞; ) HANGUL SYLLABLE YINH
      "\uC75F",  # (읟; 읟; 읟; 읟; 읟; ) HANGUL SYLLABLE YID
      "\uC760",  # (읠; 읠; 읠; 읠; 읠; ) HANGUL SYLLABLE YIL
      "\uC761",  # (읡; 읡; 읡; 읡; 읡; ) HANGUL SYLLABLE YILG
      "\uC762",  # (읢; 읢; 읢; 읢; 읢; ) HANGUL SYLLABLE YILM
      "\uC763",  # (읣; 읣; 읣; 읣; 읣; ) HANGUL SYLLABLE YILB
      "\uC764",  # (읤; 읤; 읤; 읤; 읤; ) HANGUL SYLLABLE YILS
      "\uC765",  # (읥; 읥; 읥; 읥; 읥; ) HANGUL SYLLABLE YILT
      "\uC766",  # (읦; 읦; 읦; 읦; 읦; ) HANGUL SYLLABLE YILP
      "\uC767",  # (읧; 읧; 읧; 읧; 읧; ) HANGUL SYLLABLE YILH
      "\uC768",  # (읨; 읨; 읨; 읨; 읨; ) HANGUL SYLLABLE YIM
      "\uC769",  # (읩; 읩; 읩; 읩; 읩; ) HANGUL SYLLABLE YIB
      "\uC76A",  # (읪; 읪; 읪; 읪; 읪; ) HANGUL SYLLABLE YIBS
      "\uC76B",  # (읫; 읫; 읫; 읫; 읫; ) HANGUL SYLLABLE YIS
      "\uC76C",  # (읬; 읬; 읬; 읬; 읬; ) HANGUL SYLLABLE YISS
      "\uC76D",  # (읭; 읭; 읭; 읭; 읭; ) HANGUL SYLLABLE YING
      "\uC76E",  # (읮; 읮; 읮; 읮; 읮; ) HANGUL SYLLABLE YIJ
      "\uC76F",  # (읯; 읯; 읯; 읯; 읯; ) HANGUL SYLLABLE YIC
      "\uC770",  # (읰; 읰; 읰; 읰; 읰; ) HANGUL SYLLABLE YIK
      "\uC771",  # (읱; 읱; 읱; 읱; 읱; ) HANGUL SYLLABLE YIT
      "\uC772",  # (읲; 읲; 읲; 읲; 읲; ) HANGUL SYLLABLE YIP
      "\uC773",  # (읳; 읳; 읳; 읳; 읳; ) HANGUL SYLLABLE YIH
      "\uC774",  # (이; 이; 이; 이; 이; ) HANGUL SYLLABLE I
      "\uC775",  # (익; 익; 익; 익; 익; ) HANGUL SYLLABLE IG
      "\uC776",  # (읶; 읶; 읶; 읶; 읶; ) HANGUL SYLLABLE IGG
      "\uC777",  # (읷; 읷; 읷; 읷; 읷; ) HANGUL SYLLABLE IGS
      "\uC778",  # (인; 인; 인; 인; 인; ) HANGUL SYLLABLE IN
      "\uC779",  # (읹; 읹; 읹; 읹; 읹; ) HANGUL SYLLABLE INJ
      "\uC77A",  # (읺; 읺; 읺; 읺; 읺; ) HANGUL SYLLABLE INH
      "\uC77B",  # (읻; 읻; 읻; 읻; 읻; ) HANGUL SYLLABLE ID
      "\uC77C",  # (일; 일; 일; 일; 일; ) HANGUL SYLLABLE IL
      "\uC77D",  # (읽; 읽; 읽; 읽; 읽; ) HANGUL SYLLABLE ILG
      "\uC77E",  # (읾; 읾; 읾; 읾; 읾; ) HANGUL SYLLABLE ILM
      "\uC77F",  # (읿; 읿; 읿; 읿; 읿; ) HANGUL SYLLABLE ILB
      "\uC780",  # (잀; 잀; 잀; 잀; 잀; ) HANGUL SYLLABLE ILS
      "\uC781",  # (잁; 잁; 잁; 잁; 잁; ) HANGUL SYLLABLE ILT
      "\uC782",  # (잂; 잂; 잂; 잂; 잂; ) HANGUL SYLLABLE ILP
      "\uC783",  # (잃; 잃; 잃; 잃; 잃; ) HANGUL SYLLABLE ILH
      "\uC784",  # (임; 임; 임; 임; 임; ) HANGUL SYLLABLE IM
      "\uC785",  # (입; 입; 입; 입; 입; ) HANGUL SYLLABLE IB
      "\uC786",  # (잆; 잆; 잆; 잆; 잆; ) HANGUL SYLLABLE IBS
      "\uC787",  # (잇; 잇; 잇; 잇; 잇; ) HANGUL SYLLABLE IS
      "\uC788",  # (있; 있; 있; 있; 있; ) HANGUL SYLLABLE ISS
      "\uC789",  # (잉; 잉; 잉; 잉; 잉; ) HANGUL SYLLABLE ING
      "\uC78A",  # (잊; 잊; 잊; 잊; 잊; ) HANGUL SYLLABLE IJ
      "\uC78B",  # (잋; 잋; 잋; 잋; 잋; ) HANGUL SYLLABLE IC
      "\uC78C",  # (잌; 잌; 잌; 잌; 잌; ) HANGUL SYLLABLE IK
      "\uC78D",  # (잍; 잍; 잍; 잍; 잍; ) HANGUL SYLLABLE IT
      "\uC78E",  # (잎; 잎; 잎; 잎; 잎; ) HANGUL SYLLABLE IP
      "\uC78F",  # (잏; 잏; 잏; 잏; 잏; ) HANGUL SYLLABLE IH
      "\uC790",  # (자; 자; 자; 자; 자; ) HANGUL SYLLABLE JA
      "\uC791",  # (작; 작; 작; 작; 작; ) HANGUL SYLLABLE JAG
      "\uC792",  # (잒; 잒; 잒; 잒; 잒; ) HANGUL SYLLABLE JAGG
      "\uC793",  # (잓; 잓; 잓; 잓; 잓; ) HANGUL SYLLABLE JAGS
      "\uC794",  # (잔; 잔; 잔; 잔; 잔; ) HANGUL SYLLABLE JAN
      "\uC795",  # (잕; 잕; 잕; 잕; 잕; ) HANGUL SYLLABLE JANJ
      "\uC796",  # (잖; 잖; 잖; 잖; 잖; ) HANGUL SYLLABLE JANH
      "\uC797",  # (잗; 잗; 잗; 잗; 잗; ) HANGUL SYLLABLE JAD
      "\uC798",  # (잘; 잘; 잘; 잘; 잘; ) HANGUL SYLLABLE JAL
      "\uC799",  # (잙; 잙; 잙; 잙; 잙; ) HANGUL SYLLABLE JALG
      "\uC79A",  # (잚; 잚; 잚; 잚; 잚; ) HANGUL SYLLABLE JALM
      "\uC79B",  # (잛; 잛; 잛; 잛; 잛; ) HANGUL SYLLABLE JALB
      "\uC79C",  # (잜; 잜; 잜; 잜; 잜; ) HANGUL SYLLABLE JALS
      "\uC79D",  # (잝; 잝; 잝; 잝; 잝; ) HANGUL SYLLABLE JALT
      "\uC79E",  # (잞; 잞; 잞; 잞; 잞; ) HANGUL SYLLABLE JALP
      "\uC79F",  # (잟; 잟; 잟; 잟; 잟; ) HANGUL SYLLABLE JALH
      "\uC7A0",  # (잠; 잠; 잠; 잠; 잠; ) HANGUL SYLLABLE JAM
      "\uC7A1",  # (잡; 잡; 잡; 잡; 잡; ) HANGUL SYLLABLE JAB
      "\uC7A2",  # (잢; 잢; 잢; 잢; 잢; ) HANGUL SYLLABLE JABS
      "\uC7A3",  # (잣; 잣; 잣; 잣; 잣; ) HANGUL SYLLABLE JAS
      "\uC7A4",  # (잤; 잤; 잤; 잤; 잤; ) HANGUL SYLLABLE JASS
      "\uC7A5",  # (장; 장; 장; 장; 장; ) HANGUL SYLLABLE JANG
      "\uC7A6",  # (잦; 잦; 잦; 잦; 잦; ) HANGUL SYLLABLE JAJ
      "\uC7A7",  # (잧; 잧; 잧; 잧; 잧; ) HANGUL SYLLABLE JAC
      "\uC7A8",  # (잨; 잨; 잨; 잨; 잨; ) HANGUL SYLLABLE JAK
      "\uC7A9",  # (잩; 잩; 잩; 잩; 잩; ) HANGUL SYLLABLE JAT
      "\uC7AA",  # (잪; 잪; 잪; 잪; 잪; ) HANGUL SYLLABLE JAP
      "\uC7AB",  # (잫; 잫; 잫; 잫; 잫; ) HANGUL SYLLABLE JAH
      "\uC7AC",  # (재; 재; 재; 재; 재; ) HANGUL SYLLABLE JAE
      "\uC7AD",  # (잭; 잭; 잭; 잭; 잭; ) HANGUL SYLLABLE JAEG
      "\uC7AE",  # (잮; 잮; 잮; 잮; 잮; ) HANGUL SYLLABLE JAEGG
      "\uC7AF",  # (잯; 잯; 잯; 잯; 잯; ) HANGUL SYLLABLE JAEGS
      "\uC7B0",  # (잰; 잰; 잰; 잰; 잰; ) HANGUL SYLLABLE JAEN
      "\uC7B1",  # (잱; 잱; 잱; 잱; 잱; ) HANGUL SYLLABLE JAENJ
      "\uC7B2",  # (잲; 잲; 잲; 잲; 잲; ) HANGUL SYLLABLE JAENH
      "\uC7B3",  # (잳; 잳; 잳; 잳; 잳; ) HANGUL SYLLABLE JAED
      "\uC7B4",  # (잴; 잴; 잴; 잴; 잴; ) HANGUL SYLLABLE JAEL
      "\uC7B5",  # (잵; 잵; 잵; 잵; 잵; ) HANGUL SYLLABLE JAELG
      "\uC7B6",  # (잶; 잶; 잶; 잶; 잶; ) HANGUL SYLLABLE JAELM
      "\uC7B7",  # (잷; 잷; 잷; 잷; 잷; ) HANGUL SYLLABLE JAELB
      "\uC7B8",  # (잸; 잸; 잸; 잸; 잸; ) HANGUL SYLLABLE JAELS
      "\uC7B9",  # (잹; 잹; 잹; 잹; 잹; ) HANGUL SYLLABLE JAELT
      "\uC7BA",  # (잺; 잺; 잺; 잺; 잺; ) HANGUL SYLLABLE JAELP
      "\uC7BB",  # (잻; 잻; 잻; 잻; 잻; ) HANGUL SYLLABLE JAELH
      "\uC7BC",  # (잼; 잼; 잼; 잼; 잼; ) HANGUL SYLLABLE JAEM
      "\uC7BD",  # (잽; 잽; 잽; 잽; 잽; ) HANGUL SYLLABLE JAEB
      "\uC7BE",  # (잾; 잾; 잾; 잾; 잾; ) HANGUL SYLLABLE JAEBS
      "\uC7BF",  # (잿; 잿; 잿; 잿; 잿; ) HANGUL SYLLABLE JAES
      "\uC7C0",  # (쟀; 쟀; 쟀; 쟀; 쟀; ) HANGUL SYLLABLE JAESS
      "\uC7C1",  # (쟁; 쟁; 쟁; 쟁; 쟁; ) HANGUL SYLLABLE JAENG
      "\uC7C2",  # (쟂; 쟂; 쟂; 쟂; 쟂; ) HANGUL SYLLABLE JAEJ
      "\uC7C3",  # (쟃; 쟃; 쟃; 쟃; 쟃; ) HANGUL SYLLABLE JAEC
      "\uC7C4",  # (쟄; 쟄; 쟄; 쟄; 쟄; ) HANGUL SYLLABLE JAEK
      "\uC7C5",  # (쟅; 쟅; 쟅; 쟅; 쟅; ) HANGUL SYLLABLE JAET
      "\uC7C6",  # (쟆; 쟆; 쟆; 쟆; 쟆; ) HANGUL SYLLABLE JAEP
      "\uC7C7",  # (쟇; 쟇; 쟇; 쟇; 쟇; ) HANGUL SYLLABLE JAEH
      "\uC7C8",  # (쟈; 쟈; 쟈; 쟈; 쟈; ) HANGUL SYLLABLE JYA
      "\uC7C9",  # (쟉; 쟉; 쟉; 쟉; 쟉; ) HANGUL SYLLABLE JYAG
      "\uC7CA",  # (쟊; 쟊; 쟊; 쟊; 쟊; ) HANGUL SYLLABLE JYAGG
      "\uC7CB",  # (쟋; 쟋; 쟋; 쟋; 쟋; ) HANGUL SYLLABLE JYAGS
      "\uC7CC",  # (쟌; 쟌; 쟌; 쟌; 쟌; ) HANGUL SYLLABLE JYAN
      "\uC7CD",  # (쟍; 쟍; 쟍; 쟍; 쟍; ) HANGUL SYLLABLE JYANJ
      "\uC7CE",  # (쟎; 쟎; 쟎; 쟎; 쟎; ) HANGUL SYLLABLE JYANH
      "\uC7CF",  # (쟏; 쟏; 쟏; 쟏; 쟏; ) HANGUL SYLLABLE JYAD
      "\uC7D0",  # (쟐; 쟐; 쟐; 쟐; 쟐; ) HANGUL SYLLABLE JYAL
      "\uC7D1",  # (쟑; 쟑; 쟑; 쟑; 쟑; ) HANGUL SYLLABLE JYALG
      "\uC7D2",  # (쟒; 쟒; 쟒; 쟒; 쟒; ) HANGUL SYLLABLE JYALM
      "\uC7D3",  # (쟓; 쟓; 쟓; 쟓; 쟓; ) HANGUL SYLLABLE JYALB
      "\uC7D4",  # (쟔; 쟔; 쟔; 쟔; 쟔; ) HANGUL SYLLABLE JYALS
      "\uC7D5",  # (쟕; 쟕; 쟕; 쟕; 쟕; ) HANGUL SYLLABLE JYALT
      "\uC7D6",  # (쟖; 쟖; 쟖; 쟖; 쟖; ) HANGUL SYLLABLE JYALP
      "\uC7D7",  # (쟗; 쟗; 쟗; 쟗; 쟗; ) HANGUL SYLLABLE JYALH
      "\uC7D8",  # (쟘; 쟘; 쟘; 쟘; 쟘; ) HANGUL SYLLABLE JYAM
      "\uC7D9",  # (쟙; 쟙; 쟙; 쟙; 쟙; ) HANGUL SYLLABLE JYAB
      "\uC7DA",  # (쟚; 쟚; 쟚; 쟚; 쟚; ) HANGUL SYLLABLE JYABS
      "\uC7DB",  # (쟛; 쟛; 쟛; 쟛; 쟛; ) HANGUL SYLLABLE JYAS
      "\uC7DC",  # (쟜; 쟜; 쟜; 쟜; 쟜; ) HANGUL SYLLABLE JYASS
      "\uC7DD",  # (쟝; 쟝; 쟝; 쟝; 쟝; ) HANGUL SYLLABLE JYANG
      "\uC7DE",  # (쟞; 쟞; 쟞; 쟞; 쟞; ) HANGUL SYLLABLE JYAJ
      "\uC7DF",  # (쟟; 쟟; 쟟; 쟟; 쟟; ) HANGUL SYLLABLE JYAC
      "\uC7E0",  # (쟠; 쟠; 쟠; 쟠; 쟠; ) HANGUL SYLLABLE JYAK
      "\uC7E1",  # (쟡; 쟡; 쟡; 쟡; 쟡; ) HANGUL SYLLABLE JYAT
      "\uC7E2",  # (쟢; 쟢; 쟢; 쟢; 쟢; ) HANGUL SYLLABLE JYAP
      "\uC7E3",  # (쟣; 쟣; 쟣; 쟣; 쟣; ) HANGUL SYLLABLE JYAH
      "\uC7E4",  # (쟤; 쟤; 쟤; 쟤; 쟤; ) HANGUL SYLLABLE JYAE
      "\uC7E5",  # (쟥; 쟥; 쟥; 쟥; 쟥; ) HANGUL SYLLABLE JYAEG
      "\uC7E6",  # (쟦; 쟦; 쟦; 쟦; 쟦; ) HANGUL SYLLABLE JYAEGG
      "\uC7E7",  # (쟧; 쟧; 쟧; 쟧; 쟧; ) HANGUL SYLLABLE JYAEGS
      "\uC7E8",  # (쟨; 쟨; 쟨; 쟨; 쟨; ) HANGUL SYLLABLE JYAEN
      "\uC7E9",  # (쟩; 쟩; 쟩; 쟩; 쟩; ) HANGUL SYLLABLE JYAENJ
      "\uC7EA",  # (쟪; 쟪; 쟪; 쟪; 쟪; ) HANGUL SYLLABLE JYAENH
      "\uC7EB",  # (쟫; 쟫; 쟫; 쟫; 쟫; ) HANGUL SYLLABLE JYAED
      "\uC7EC",  # (쟬; 쟬; 쟬; 쟬; 쟬; ) HANGUL SYLLABLE JYAEL
      "\uC7ED",  # (쟭; 쟭; 쟭; 쟭; 쟭; ) HANGUL SYLLABLE JYAELG
      "\uC7EE",  # (쟮; 쟮; 쟮; 쟮; 쟮; ) HANGUL SYLLABLE JYAELM
      "\uC7EF",  # (쟯; 쟯; 쟯; 쟯; 쟯; ) HANGUL SYLLABLE JYAELB
      "\uC7F0",  # (쟰; 쟰; 쟰; 쟰; 쟰; ) HANGUL SYLLABLE JYAELS
      "\uC7F1",  # (쟱; 쟱; 쟱; 쟱; 쟱; ) HANGUL SYLLABLE JYAELT
      "\uC7F2",  # (쟲; 쟲; 쟲; 쟲; 쟲; ) HANGUL SYLLABLE JYAELP
      "\uC7F3",  # (쟳; 쟳; 쟳; 쟳; 쟳; ) HANGUL SYLLABLE JYAELH
      "\uC7F4",  # (쟴; 쟴; 쟴; 쟴; 쟴; ) HANGUL SYLLABLE JYAEM
      "\uC7F5",  # (쟵; 쟵; 쟵; 쟵; 쟵; ) HANGUL SYLLABLE JYAEB
      "\uC7F6",  # (쟶; 쟶; 쟶; 쟶; 쟶; ) HANGUL SYLLABLE JYAEBS
      "\uC7F7",  # (쟷; 쟷; 쟷; 쟷; 쟷; ) HANGUL SYLLABLE JYAES
      "\uC7F8",  # (쟸; 쟸; 쟸; 쟸; 쟸; ) HANGUL SYLLABLE JYAESS
      "\uC7F9",  # (쟹; 쟹; 쟹; 쟹; 쟹; ) HANGUL SYLLABLE JYAENG
      "\uC7FA",  # (쟺; 쟺; 쟺; 쟺; 쟺; ) HANGUL SYLLABLE JYAEJ
      "\uC7FB",  # (쟻; 쟻; 쟻; 쟻; 쟻; ) HANGUL SYLLABLE JYAEC
      "\uC7FC",  # (쟼; 쟼; 쟼; 쟼; 쟼; ) HANGUL SYLLABLE JYAEK
      "\uC7FD",  # (쟽; 쟽; 쟽; 쟽; 쟽; ) HANGUL SYLLABLE JYAET
      "\uC7FE",  # (쟾; 쟾; 쟾; 쟾; 쟾; ) HANGUL SYLLABLE JYAEP
      "\uC7FF",  # (쟿; 쟿; 쟿; 쟿; 쟿; ) HANGUL SYLLABLE JYAEH
      "\uC800",  # (저; 저; 저; 저; 저; ) HANGUL SYLLABLE JEO
      "\uC801",  # (적; 적; 적; 적; 적; ) HANGUL SYLLABLE JEOG
      "\uC802",  # (젂; 젂; 젂; 젂; 젂; ) HANGUL SYLLABLE JEOGG
      "\uC803",  # (젃; 젃; 젃; 젃; 젃; ) HANGUL SYLLABLE JEOGS
      "\uC804",  # (전; 전; 전; 전; 전; ) HANGUL SYLLABLE JEON
      "\uC805",  # (젅; 젅; 젅; 젅; 젅; ) HANGUL SYLLABLE JEONJ
      "\uC806",  # (젆; 젆; 젆; 젆; 젆; ) HANGUL SYLLABLE JEONH
      "\uC807",  # (젇; 젇; 젇; 젇; 젇; ) HANGUL SYLLABLE JEOD
      "\uC808",  # (절; 절; 절; 절; 절; ) HANGUL SYLLABLE JEOL
      "\uC809",  # (젉; 젉; 젉; 젉; 젉; ) HANGUL SYLLABLE JEOLG
      "\uC80A",  # (젊; 젊; 젊; 젊; 젊; ) HANGUL SYLLABLE JEOLM
      "\uC80B",  # (젋; 젋; 젋; 젋; 젋; ) HANGUL SYLLABLE JEOLB
      "\uC80C",  # (젌; 젌; 젌; 젌; 젌; ) HANGUL SYLLABLE JEOLS
      "\uC80D",  # (젍; 젍; 젍; 젍; 젍; ) HANGUL SYLLABLE JEOLT
      "\uC80E",  # (젎; 젎; 젎; 젎; 젎; ) HANGUL SYLLABLE JEOLP
      "\uC80F",  # (젏; 젏; 젏; 젏; 젏; ) HANGUL SYLLABLE JEOLH
      "\uC810",  # (점; 점; 점; 점; 점; ) HANGUL SYLLABLE JEOM
      "\uC811",  # (접; 접; 접; 접; 접; ) HANGUL SYLLABLE JEOB
      "\uC812",  # (젒; 젒; 젒; 젒; 젒; ) HANGUL SYLLABLE JEOBS
      "\uC813",  # (젓; 젓; 젓; 젓; 젓; ) HANGUL SYLLABLE JEOS
      "\uC814",  # (젔; 젔; 젔; 젔; 젔; ) HANGUL SYLLABLE JEOSS
      "\uC815",  # (정; 정; 정; 정; 정; ) HANGUL SYLLABLE JEONG
      "\uC816",  # (젖; 젖; 젖; 젖; 젖; ) HANGUL SYLLABLE JEOJ
      "\uC817",  # (젗; 젗; 젗; 젗; 젗; ) HANGUL SYLLABLE JEOC
      "\uC818",  # (젘; 젘; 젘; 젘; 젘; ) HANGUL SYLLABLE JEOK
      "\uC819",  # (젙; 젙; 젙; 젙; 젙; ) HANGUL SYLLABLE JEOT
      "\uC81A",  # (젚; 젚; 젚; 젚; 젚; ) HANGUL SYLLABLE JEOP
      "\uC81B",  # (젛; 젛; 젛; 젛; 젛; ) HANGUL SYLLABLE JEOH
      "\uC81C",  # (제; 제; 제; 제; 제; ) HANGUL SYLLABLE JE
      "\uC81D",  # (젝; 젝; 젝; 젝; 젝; ) HANGUL SYLLABLE JEG
      "\uC81E",  # (젞; 젞; 젞; 젞; 젞; ) HANGUL SYLLABLE JEGG
      "\uC81F",  # (젟; 젟; 젟; 젟; 젟; ) HANGUL SYLLABLE JEGS
      "\uC820",  # (젠; 젠; 젠; 젠; 젠; ) HANGUL SYLLABLE JEN
      "\uC821",  # (젡; 젡; 젡; 젡; 젡; ) HANGUL SYLLABLE JENJ
      "\uC822",  # (젢; 젢; 젢; 젢; 젢; ) HANGUL SYLLABLE JENH
      "\uC823",  # (젣; 젣; 젣; 젣; 젣; ) HANGUL SYLLABLE JED
      "\uC824",  # (젤; 젤; 젤; 젤; 젤; ) HANGUL SYLLABLE JEL
      "\uC825",  # (젥; 젥; 젥; 젥; 젥; ) HANGUL SYLLABLE JELG
      "\uC826",  # (젦; 젦; 젦; 젦; 젦; ) HANGUL SYLLABLE JELM
      "\uC827",  # (젧; 젧; 젧; 젧; 젧; ) HANGUL SYLLABLE JELB
      "\uC828",  # (젨; 젨; 젨; 젨; 젨; ) HANGUL SYLLABLE JELS
      "\uC829",  # (젩; 젩; 젩; 젩; 젩; ) HANGUL SYLLABLE JELT
      "\uC82A",  # (젪; 젪; 젪; 젪; 젪; ) HANGUL SYLLABLE JELP
      "\uC82B",  # (젫; 젫; 젫; 젫; 젫; ) HANGUL SYLLABLE JELH
      "\uC82C",  # (젬; 젬; 젬; 젬; 젬; ) HANGUL SYLLABLE JEM
      "\uC82D",  # (젭; 젭; 젭; 젭; 젭; ) HANGUL SYLLABLE JEB
      "\uC82E",  # (젮; 젮; 젮; 젮; 젮; ) HANGUL SYLLABLE JEBS
      "\uC82F",  # (젯; 젯; 젯; 젯; 젯; ) HANGUL SYLLABLE JES
      "\uC830",  # (젰; 젰; 젰; 젰; 젰; ) HANGUL SYLLABLE JESS
      "\uC831",  # (젱; 젱; 젱; 젱; 젱; ) HANGUL SYLLABLE JENG
      "\uC832",  # (젲; 젲; 젲; 젲; 젲; ) HANGUL SYLLABLE JEJ
      "\uC833",  # (젳; 젳; 젳; 젳; 젳; ) HANGUL SYLLABLE JEC
      "\uC834",  # (젴; 젴; 젴; 젴; 젴; ) HANGUL SYLLABLE JEK
      "\uC835",  # (젵; 젵; 젵; 젵; 젵; ) HANGUL SYLLABLE JET
      "\uC836",  # (젶; 젶; 젶; 젶; 젶; ) HANGUL SYLLABLE JEP
      "\uC837",  # (젷; 젷; 젷; 젷; 젷; ) HANGUL SYLLABLE JEH
      "\uC838",  # (져; 져; 져; 져; 져; ) HANGUL SYLLABLE JYEO
      "\uC839",  # (젹; 젹; 젹; 젹; 젹; ) HANGUL SYLLABLE JYEOG
      "\uC83A",  # (젺; 젺; 젺; 젺; 젺; ) HANGUL SYLLABLE JYEOGG
      "\uC83B",  # (젻; 젻; 젻; 젻; 젻; ) HANGUL SYLLABLE JYEOGS
      "\uC83C",  # (젼; 젼; 젼; 젼; 젼; ) HANGUL SYLLABLE JYEON
      "\uC83D",  # (젽; 젽; 젽; 젽; 젽; ) HANGUL SYLLABLE JYEONJ
      "\uC83E",  # (젾; 젾; 젾; 젾; 젾; ) HANGUL SYLLABLE JYEONH
      "\uC83F",  # (젿; 젿; 젿; 젿; 젿; ) HANGUL SYLLABLE JYEOD
      "\uC840",  # (졀; 졀; 졀; 졀; 졀; ) HANGUL SYLLABLE JYEOL
      "\uC841",  # (졁; 졁; 졁; 졁; 졁; ) HANGUL SYLLABLE JYEOLG
      "\uC842",  # (졂; 졂; 졂; 졂; 졂; ) HANGUL SYLLABLE JYEOLM
      "\uC843",  # (졃; 졃; 졃; 졃; 졃; ) HANGUL SYLLABLE JYEOLB
      "\uC844",  # (졄; 졄; 졄; 졄; 졄; ) HANGUL SYLLABLE JYEOLS
      "\uC845",  # (졅; 졅; 졅; 졅; 졅; ) HANGUL SYLLABLE JYEOLT
      "\uC846",  # (졆; 졆; 졆; 졆; 졆; ) HANGUL SYLLABLE JYEOLP
      "\uC847",  # (졇; 졇; 졇; 졇; 졇; ) HANGUL SYLLABLE JYEOLH
      "\uC848",  # (졈; 졈; 졈; 졈; 졈; ) HANGUL SYLLABLE JYEOM
      "\uC849",  # (졉; 졉; 졉; 졉; 졉; ) HANGUL SYLLABLE JYEOB
      "\uC84A",  # (졊; 졊; 졊; 졊; 졊; ) HANGUL SYLLABLE JYEOBS
      "\uC84B",  # (졋; 졋; 졋; 졋; 졋; ) HANGUL SYLLABLE JYEOS
      "\uC84C",  # (졌; 졌; 졌; 졌; 졌; ) HANGUL SYLLABLE JYEOSS
      "\uC84D",  # (졍; 졍; 졍; 졍; 졍; ) HANGUL SYLLABLE JYEONG
      "\uC84E",  # (졎; 졎; 졎; 졎; 졎; ) HANGUL SYLLABLE JYEOJ
      "\uC84F",  # (졏; 졏; 졏; 졏; 졏; ) HANGUL SYLLABLE JYEOC
      "\uC850",  # (졐; 졐; 졐; 졐; 졐; ) HANGUL SYLLABLE JYEOK
      "\uC851",  # (졑; 졑; 졑; 졑; 졑; ) HANGUL SYLLABLE JYEOT
      "\uC852",  # (졒; 졒; 졒; 졒; 졒; ) HANGUL SYLLABLE JYEOP
      "\uC853",  # (졓; 졓; 졓; 졓; 졓; ) HANGUL SYLLABLE JYEOH
      "\uC854",  # (졔; 졔; 졔; 졔; 졔; ) HANGUL SYLLABLE JYE
      "\uC855",  # (졕; 졕; 졕; 졕; 졕; ) HANGUL SYLLABLE JYEG
      "\uC856",  # (졖; 졖; 졖; 졖; 졖; ) HANGUL SYLLABLE JYEGG
      "\uC857",  # (졗; 졗; 졗; 졗; 졗; ) HANGUL SYLLABLE JYEGS
      "\uC858",  # (졘; 졘; 졘; 졘; 졘; ) HANGUL SYLLABLE JYEN
      "\uC859",  # (졙; 졙; 졙; 졙; 졙; ) HANGUL SYLLABLE JYENJ
      "\uC85A",  # (졚; 졚; 졚; 졚; 졚; ) HANGUL SYLLABLE JYENH
      "\uC85B",  # (졛; 졛; 졛; 졛; 졛; ) HANGUL SYLLABLE JYED
      "\uC85C",  # (졜; 졜; 졜; 졜; 졜; ) HANGUL SYLLABLE JYEL
      "\uC85D",  # (졝; 졝; 졝; 졝; 졝; ) HANGUL SYLLABLE JYELG
      "\uC85E",  # (졞; 졞; 졞; 졞; 졞; ) HANGUL SYLLABLE JYELM
      "\uC85F",  # (졟; 졟; 졟; 졟; 졟; ) HANGUL SYLLABLE JYELB
      "\uC860",  # (졠; 졠; 졠; 졠; 졠; ) HANGUL SYLLABLE JYELS
      "\uC861",  # (졡; 졡; 졡; 졡; 졡; ) HANGUL SYLLABLE JYELT
      "\uC862",  # (졢; 졢; 졢; 졢; 졢; ) HANGUL SYLLABLE JYELP
      "\uC863",  # (졣; 졣; 졣; 졣; 졣; ) HANGUL SYLLABLE JYELH
      "\uC864",  # (졤; 졤; 졤; 졤; 졤; ) HANGUL SYLLABLE JYEM
      "\uC865",  # (졥; 졥; 졥; 졥; 졥; ) HANGUL SYLLABLE JYEB
      "\uC866",  # (졦; 졦; 졦; 졦; 졦; ) HANGUL SYLLABLE JYEBS
      "\uC867",  # (졧; 졧; 졧; 졧; 졧; ) HANGUL SYLLABLE JYES
      "\uC868",  # (졨; 졨; 졨; 졨; 졨; ) HANGUL SYLLABLE JYESS
      "\uC869",  # (졩; 졩; 졩; 졩; 졩; ) HANGUL SYLLABLE JYENG
      "\uC86A",  # (졪; 졪; 졪; 졪; 졪; ) HANGUL SYLLABLE JYEJ
      "\uC86B",  # (졫; 졫; 졫; 졫; 졫; ) HANGUL SYLLABLE JYEC
      "\uC86C",  # (졬; 졬; 졬; 졬; 졬; ) HANGUL SYLLABLE JYEK
      "\uC86D",  # (졭; 졭; 졭; 졭; 졭; ) HANGUL SYLLABLE JYET
      "\uC86E",  # (졮; 졮; 졮; 졮; 졮; ) HANGUL SYLLABLE JYEP
      "\uC86F",  # (졯; 졯; 졯; 졯; 졯; ) HANGUL SYLLABLE JYEH
      "\uC870",  # (조; 조; 조; 조; 조; ) HANGUL SYLLABLE JO
      "\uC871",  # (족; 족; 족; 족; 족; ) HANGUL SYLLABLE JOG
      "\uC872",  # (졲; 졲; 졲; 졲; 졲; ) HANGUL SYLLABLE JOGG
      "\uC873",  # (졳; 졳; 졳; 졳; 졳; ) HANGUL SYLLABLE JOGS
      "\uC874",  # (존; 존; 존; 존; 존; ) HANGUL SYLLABLE JON
      "\uC875",  # (졵; 졵; 졵; 졵; 졵; ) HANGUL SYLLABLE JONJ
      "\uC876",  # (졶; 졶; 졶; 졶; 졶; ) HANGUL SYLLABLE JONH
      "\uC877",  # (졷; 졷; 졷; 졷; 졷; ) HANGUL SYLLABLE JOD
      "\uC878",  # (졸; 졸; 졸; 졸; 졸; ) HANGUL SYLLABLE JOL
      "\uC879",  # (졹; 졹; 졹; 졹; 졹; ) HANGUL SYLLABLE JOLG
      "\uC87A",  # (졺; 졺; 졺; 졺; 졺; ) HANGUL SYLLABLE JOLM
      "\uC87B",  # (졻; 졻; 졻; 졻; 졻; ) HANGUL SYLLABLE JOLB
      "\uC87C",  # (졼; 졼; 졼; 졼; 졼; ) HANGUL SYLLABLE JOLS
      "\uC87D",  # (졽; 졽; 졽; 졽; 졽; ) HANGUL SYLLABLE JOLT
      "\uC87E",  # (졾; 졾; 졾; 졾; 졾; ) HANGUL SYLLABLE JOLP
      "\uC87F",  # (졿; 졿; 졿; 졿; 졿; ) HANGUL SYLLABLE JOLH
      "\uC880",  # (좀; 좀; 좀; 좀; 좀; ) HANGUL SYLLABLE JOM
      "\uC881",  # (좁; 좁; 좁; 좁; 좁; ) HANGUL SYLLABLE JOB
      "\uC882",  # (좂; 좂; 좂; 좂; 좂; ) HANGUL SYLLABLE JOBS
      "\uC883",  # (좃; 좃; 좃; 좃; 좃; ) HANGUL SYLLABLE JOS
      "\uC884",  # (좄; 좄; 좄; 좄; 좄; ) HANGUL SYLLABLE JOSS
      "\uC885",  # (종; 종; 종; 종; 종; ) HANGUL SYLLABLE JONG
      "\uC886",  # (좆; 좆; 좆; 좆; 좆; ) HANGUL SYLLABLE JOJ
      "\uC887",  # (좇; 좇; 좇; 좇; 좇; ) HANGUL SYLLABLE JOC
      "\uC888",  # (좈; 좈; 좈; 좈; 좈; ) HANGUL SYLLABLE JOK
      "\uC889",  # (좉; 좉; 좉; 좉; 좉; ) HANGUL SYLLABLE JOT
      "\uC88A",  # (좊; 좊; 좊; 좊; 좊; ) HANGUL SYLLABLE JOP
      "\uC88B",  # (좋; 좋; 좋; 좋; 좋; ) HANGUL SYLLABLE JOH
      "\uC88C",  # (좌; 좌; 좌; 좌; 좌; ) HANGUL SYLLABLE JWA
      "\uC88D",  # (좍; 좍; 좍; 좍; 좍; ) HANGUL SYLLABLE JWAG
      "\uC88E",  # (좎; 좎; 좎; 좎; 좎; ) HANGUL SYLLABLE JWAGG
      "\uC88F",  # (좏; 좏; 좏; 좏; 좏; ) HANGUL SYLLABLE JWAGS
      "\uC890",  # (좐; 좐; 좐; 좐; 좐; ) HANGUL SYLLABLE JWAN
      "\uC891",  # (좑; 좑; 좑; 좑; 좑; ) HANGUL SYLLABLE JWANJ
      "\uC892",  # (좒; 좒; 좒; 좒; 좒; ) HANGUL SYLLABLE JWANH
      "\uC893",  # (좓; 좓; 좓; 좓; 좓; ) HANGUL SYLLABLE JWAD
      "\uC894",  # (좔; 좔; 좔; 좔; 좔; ) HANGUL SYLLABLE JWAL
      "\uC895",  # (좕; 좕; 좕; 좕; 좕; ) HANGUL SYLLABLE JWALG
      "\uC896",  # (좖; 좖; 좖; 좖; 좖; ) HANGUL SYLLABLE JWALM
      "\uC897",  # (좗; 좗; 좗; 좗; 좗; ) HANGUL SYLLABLE JWALB
      "\uC898",  # (좘; 좘; 좘; 좘; 좘; ) HANGUL SYLLABLE JWALS
      "\uC899",  # (좙; 좙; 좙; 좙; 좙; ) HANGUL SYLLABLE JWALT
      "\uC89A",  # (좚; 좚; 좚; 좚; 좚; ) HANGUL SYLLABLE JWALP
      "\uC89B",  # (좛; 좛; 좛; 좛; 좛; ) HANGUL SYLLABLE JWALH
      "\uC89C",  # (좜; 좜; 좜; 좜; 좜; ) HANGUL SYLLABLE JWAM
      "\uC89D",  # (좝; 좝; 좝; 좝; 좝; ) HANGUL SYLLABLE JWAB
      "\uC89E",  # (좞; 좞; 좞; 좞; 좞; ) HANGUL SYLLABLE JWABS
      "\uC89F",  # (좟; 좟; 좟; 좟; 좟; ) HANGUL SYLLABLE JWAS
      "\uC8A0",  # (좠; 좠; 좠; 좠; 좠; ) HANGUL SYLLABLE JWASS
      "\uC8A1",  # (좡; 좡; 좡; 좡; 좡; ) HANGUL SYLLABLE JWANG
      "\uC8A2",  # (좢; 좢; 좢; 좢; 좢; ) HANGUL SYLLABLE JWAJ
      "\uC8A3",  # (좣; 좣; 좣; 좣; 좣; ) HANGUL SYLLABLE JWAC
      "\uC8A4",  # (좤; 좤; 좤; 좤; 좤; ) HANGUL SYLLABLE JWAK
      "\uC8A5",  # (좥; 좥; 좥; 좥; 좥; ) HANGUL SYLLABLE JWAT
      "\uC8A6",  # (좦; 좦; 좦; 좦; 좦; ) HANGUL SYLLABLE JWAP
      "\uC8A7",  # (좧; 좧; 좧; 좧; 좧; ) HANGUL SYLLABLE JWAH
      "\uC8A8",  # (좨; 좨; 좨; 좨; 좨; ) HANGUL SYLLABLE JWAE
      "\uC8A9",  # (좩; 좩; 좩; 좩; 좩; ) HANGUL SYLLABLE JWAEG
      "\uC8AA",  # (좪; 좪; 좪; 좪; 좪; ) HANGUL SYLLABLE JWAEGG
      "\uC8AB",  # (좫; 좫; 좫; 좫; 좫; ) HANGUL SYLLABLE JWAEGS
      "\uC8AC",  # (좬; 좬; 좬; 좬; 좬; ) HANGUL SYLLABLE JWAEN
      "\uC8AD",  # (좭; 좭; 좭; 좭; 좭; ) HANGUL SYLLABLE JWAENJ
      "\uC8AE",  # (좮; 좮; 좮; 좮; 좮; ) HANGUL SYLLABLE JWAENH
      "\uC8AF",  # (좯; 좯; 좯; 좯; 좯; ) HANGUL SYLLABLE JWAED
      "\uC8B0",  # (좰; 좰; 좰; 좰; 좰; ) HANGUL SYLLABLE JWAEL
      "\uC8B1",  # (좱; 좱; 좱; 좱; 좱; ) HANGUL SYLLABLE JWAELG
      "\uC8B2",  # (좲; 좲; 좲; 좲; 좲; ) HANGUL SYLLABLE JWAELM
      "\uC8B3",  # (좳; 좳; 좳; 좳; 좳; ) HANGUL SYLLABLE JWAELB
      "\uC8B4",  # (좴; 좴; 좴; 좴; 좴; ) HANGUL SYLLABLE JWAELS
      "\uC8B5",  # (좵; 좵; 좵; 좵; 좵; ) HANGUL SYLLABLE JWAELT
      "\uC8B6",  # (좶; 좶; 좶; 좶; 좶; ) HANGUL SYLLABLE JWAELP
      "\uC8B7",  # (좷; 좷; 좷; 좷; 좷; ) HANGUL SYLLABLE JWAELH
      "\uC8B8",  # (좸; 좸; 좸; 좸; 좸; ) HANGUL SYLLABLE JWAEM
      "\uC8B9",  # (좹; 좹; 좹; 좹; 좹; ) HANGUL SYLLABLE JWAEB
      "\uC8BA",  # (좺; 좺; 좺; 좺; 좺; ) HANGUL SYLLABLE JWAEBS
      "\uC8BB",  # (좻; 좻; 좻; 좻; 좻; ) HANGUL SYLLABLE JWAES
      "\uC8BC",  # (좼; 좼; 좼; 좼; 좼; ) HANGUL SYLLABLE JWAESS
      "\uC8BD",  # (좽; 좽; 좽; 좽; 좽; ) HANGUL SYLLABLE JWAENG
      "\uC8BE",  # (좾; 좾; 좾; 좾; 좾; ) HANGUL SYLLABLE JWAEJ
      "\uC8BF",  # (좿; 좿; 좿; 좿; 좿; ) HANGUL SYLLABLE JWAEC
      "\uC8C0",  # (죀; 죀; 죀; 죀; 죀; ) HANGUL SYLLABLE JWAEK
      "\uC8C1",  # (죁; 죁; 죁; 죁; 죁; ) HANGUL SYLLABLE JWAET
      "\uC8C2",  # (죂; 죂; 죂; 죂; 죂; ) HANGUL SYLLABLE JWAEP
      "\uC8C3",  # (죃; 죃; 죃; 죃; 죃; ) HANGUL SYLLABLE JWAEH
      "\uC8C4",  # (죄; 죄; 죄; 죄; 죄; ) HANGUL SYLLABLE JOE
      "\uC8C5",  # (죅; 죅; 죅; 죅; 죅; ) HANGUL SYLLABLE JOEG
      "\uC8C6",  # (죆; 죆; 죆; 죆; 죆; ) HANGUL SYLLABLE JOEGG
      "\uC8C7",  # (죇; 죇; 죇; 죇; 죇; ) HANGUL SYLLABLE JOEGS
      "\uC8C8",  # (죈; 죈; 죈; 죈; 죈; ) HANGUL SYLLABLE JOEN
      "\uC8C9",  # (죉; 죉; 죉; 죉; 죉; ) HANGUL SYLLABLE JOENJ
      "\uC8CA",  # (죊; 죊; 죊; 죊; 죊; ) HANGUL SYLLABLE JOENH
      "\uC8CB",  # (죋; 죋; 죋; 죋; 죋; ) HANGUL SYLLABLE JOED
      "\uC8CC",  # (죌; 죌; 죌; 죌; 죌; ) HANGUL SYLLABLE JOEL
      "\uC8CD",  # (죍; 죍; 죍; 죍; 죍; ) HANGUL SYLLABLE JOELG
      "\uC8CE",  # (죎; 죎; 죎; 죎; 죎; ) HANGUL SYLLABLE JOELM
      "\uC8CF",  # (죏; 죏; 죏; 죏; 죏; ) HANGUL SYLLABLE JOELB
      "\uC8D0",  # (죐; 죐; 죐; 죐; 죐; ) HANGUL SYLLABLE JOELS
      "\uC8D1",  # (죑; 죑; 죑; 죑; 죑; ) HANGUL SYLLABLE JOELT
      "\uC8D2",  # (죒; 죒; 죒; 죒; 죒; ) HANGUL SYLLABLE JOELP
      "\uC8D3",  # (죓; 죓; 죓; 죓; 죓; ) HANGUL SYLLABLE JOELH
      "\uC8D4",  # (죔; 죔; 죔; 죔; 죔; ) HANGUL SYLLABLE JOEM
      "\uC8D5",  # (죕; 죕; 죕; 죕; 죕; ) HANGUL SYLLABLE JOEB
      "\uC8D6",  # (죖; 죖; 죖; 죖; 죖; ) HANGUL SYLLABLE JOEBS
      "\uC8D7",  # (죗; 죗; 죗; 죗; 죗; ) HANGUL SYLLABLE JOES
      "\uC8D8",  # (죘; 죘; 죘; 죘; 죘; ) HANGUL SYLLABLE JOESS
      "\uC8D9",  # (죙; 죙; 죙; 죙; 죙; ) HANGUL SYLLABLE JOENG
      "\uC8DA",  # (죚; 죚; 죚; 죚; 죚; ) HANGUL SYLLABLE JOEJ
      "\uC8DB",  # (죛; 죛; 죛; 죛; 죛; ) HANGUL SYLLABLE JOEC
      "\uC8DC",  # (죜; 죜; 죜; 죜; 죜; ) HANGUL SYLLABLE JOEK
      "\uC8DD",  # (죝; 죝; 죝; 죝; 죝; ) HANGUL SYLLABLE JOET
      "\uC8DE",  # (죞; 죞; 죞; 죞; 죞; ) HANGUL SYLLABLE JOEP
      "\uC8DF",  # (죟; 죟; 죟; 죟; 죟; ) HANGUL SYLLABLE JOEH
      "\uC8E0",  # (죠; 죠; 죠; 죠; 죠; ) HANGUL SYLLABLE JYO
      "\uC8E1",  # (죡; 죡; 죡; 죡; 죡; ) HANGUL SYLLABLE JYOG
      "\uC8E2",  # (죢; 죢; 죢; 죢; 죢; ) HANGUL SYLLABLE JYOGG
      "\uC8E3",  # (죣; 죣; 죣; 죣; 죣; ) HANGUL SYLLABLE JYOGS
      "\uC8E4",  # (죤; 죤; 죤; 죤; 죤; ) HANGUL SYLLABLE JYON
      "\uC8E5",  # (죥; 죥; 죥; 죥; 죥; ) HANGUL SYLLABLE JYONJ
      "\uC8E6",  # (죦; 죦; 죦; 죦; 죦; ) HANGUL SYLLABLE JYONH
      "\uC8E7",  # (죧; 죧; 죧; 죧; 죧; ) HANGUL SYLLABLE JYOD
      "\uC8E8",  # (죨; 죨; 죨; 죨; 죨; ) HANGUL SYLLABLE JYOL
      "\uC8E9",  # (죩; 죩; 죩; 죩; 죩; ) HANGUL SYLLABLE JYOLG
      "\uC8EA",  # (죪; 죪; 죪; 죪; 죪; ) HANGUL SYLLABLE JYOLM
      "\uC8EB",  # (죫; 죫; 죫; 죫; 죫; ) HANGUL SYLLABLE JYOLB
      "\uC8EC",  # (죬; 죬; 죬; 죬; 죬; ) HANGUL SYLLABLE JYOLS
      "\uC8ED",  # (죭; 죭; 죭; 죭; 죭; ) HANGUL SYLLABLE JYOLT
      "\uC8EE",  # (죮; 죮; 죮; 죮; 죮; ) HANGUL SYLLABLE JYOLP
      "\uC8EF",  # (죯; 죯; 죯; 죯; 죯; ) HANGUL SYLLABLE JYOLH
      "\uC8F0",  # (죰; 죰; 죰; 죰; 죰; ) HANGUL SYLLABLE JYOM
      "\uC8F1",  # (죱; 죱; 죱; 죱; 죱; ) HANGUL SYLLABLE JYOB
      "\uC8F2",  # (죲; 죲; 죲; 죲; 죲; ) HANGUL SYLLABLE JYOBS
      "\uC8F3",  # (죳; 죳; 죳; 죳; 죳; ) HANGUL SYLLABLE JYOS
      "\uC8F4",  # (죴; 죴; 죴; 죴; 죴; ) HANGUL SYLLABLE JYOSS
      "\uC8F5",  # (죵; 죵; 죵; 죵; 죵; ) HANGUL SYLLABLE JYONG
      "\uC8F6",  # (죶; 죶; 죶; 죶; 죶; ) HANGUL SYLLABLE JYOJ
      "\uC8F7",  # (죷; 죷; 죷; 죷; 죷; ) HANGUL SYLLABLE JYOC
      "\uC8F8",  # (죸; 죸; 죸; 죸; 죸; ) HANGUL SYLLABLE JYOK
      "\uC8F9",  # (죹; 죹; 죹; 죹; 죹; ) HANGUL SYLLABLE JYOT
      "\uC8FA",  # (죺; 죺; 죺; 죺; 죺; ) HANGUL SYLLABLE JYOP
      "\uC8FB",  # (죻; 죻; 죻; 죻; 죻; ) HANGUL SYLLABLE JYOH
      "\uC8FC",  # (주; 주; 주; 주; 주; ) HANGUL SYLLABLE JU
      "\uC8FD",  # (죽; 죽; 죽; 죽; 죽; ) HANGUL SYLLABLE JUG
      "\uC8FE",  # (죾; 죾; 죾; 죾; 죾; ) HANGUL SYLLABLE JUGG
      "\uC8FF",  # (죿; 죿; 죿; 죿; 죿; ) HANGUL SYLLABLE JUGS
      "\uC900",  # (준; 준; 준; 준; 준; ) HANGUL SYLLABLE JUN
      "\uC901",  # (줁; 줁; 줁; 줁; 줁; ) HANGUL SYLLABLE JUNJ
      "\uC902",  # (줂; 줂; 줂; 줂; 줂; ) HANGUL SYLLABLE JUNH
      "\uC903",  # (줃; 줃; 줃; 줃; 줃; ) HANGUL SYLLABLE JUD
      "\uC904",  # (줄; 줄; 줄; 줄; 줄; ) HANGUL SYLLABLE JUL
      "\uC905",  # (줅; 줅; 줅; 줅; 줅; ) HANGUL SYLLABLE JULG
      "\uC906",  # (줆; 줆; 줆; 줆; 줆; ) HANGUL SYLLABLE JULM
      "\uC907",  # (줇; 줇; 줇; 줇; 줇; ) HANGUL SYLLABLE JULB
      "\uC908",  # (줈; 줈; 줈; 줈; 줈; ) HANGUL SYLLABLE JULS
      "\uC909",  # (줉; 줉; 줉; 줉; 줉; ) HANGUL SYLLABLE JULT
      "\uC90A",  # (줊; 줊; 줊; 줊; 줊; ) HANGUL SYLLABLE JULP
      "\uC90B",  # (줋; 줋; 줋; 줋; 줋; ) HANGUL SYLLABLE JULH
      "\uC90C",  # (줌; 줌; 줌; 줌; 줌; ) HANGUL SYLLABLE JUM
      "\uC90D",  # (줍; 줍; 줍; 줍; 줍; ) HANGUL SYLLABLE JUB
      "\uC90E",  # (줎; 줎; 줎; 줎; 줎; ) HANGUL SYLLABLE JUBS
      "\uC90F",  # (줏; 줏; 줏; 줏; 줏; ) HANGUL SYLLABLE JUS
      "\uC910",  # (줐; 줐; 줐; 줐; 줐; ) HANGUL SYLLABLE JUSS
      "\uC911",  # (중; 중; 중; 중; 중; ) HANGUL SYLLABLE JUNG
      "\uC912",  # (줒; 줒; 줒; 줒; 줒; ) HANGUL SYLLABLE JUJ
      "\uC913",  # (줓; 줓; 줓; 줓; 줓; ) HANGUL SYLLABLE JUC
      "\uC914",  # (줔; 줔; 줔; 줔; 줔; ) HANGUL SYLLABLE JUK
      "\uC915",  # (줕; 줕; 줕; 줕; 줕; ) HANGUL SYLLABLE JUT
      "\uC916",  # (줖; 줖; 줖; 줖; 줖; ) HANGUL SYLLABLE JUP
      "\uC917",  # (줗; 줗; 줗; 줗; 줗; ) HANGUL SYLLABLE JUH
      "\uC918",  # (줘; 줘; 줘; 줘; 줘; ) HANGUL SYLLABLE JWEO
      "\uC919",  # (줙; 줙; 줙; 줙; 줙; ) HANGUL SYLLABLE JWEOG
      "\uC91A",  # (줚; 줚; 줚; 줚; 줚; ) HANGUL SYLLABLE JWEOGG
      "\uC91B",  # (줛; 줛; 줛; 줛; 줛; ) HANGUL SYLLABLE JWEOGS
      "\uC91C",  # (줜; 줜; 줜; 줜; 줜; ) HANGUL SYLLABLE JWEON
      "\uC91D",  # (줝; 줝; 줝; 줝; 줝; ) HANGUL SYLLABLE JWEONJ
      "\uC91E",  # (줞; 줞; 줞; 줞; 줞; ) HANGUL SYLLABLE JWEONH
      "\uC91F",  # (줟; 줟; 줟; 줟; 줟; ) HANGUL SYLLABLE JWEOD
      "\uC920",  # (줠; 줠; 줠; 줠; 줠; ) HANGUL SYLLABLE JWEOL
      "\uC921",  # (줡; 줡; 줡; 줡; 줡; ) HANGUL SYLLABLE JWEOLG
      "\uC922",  # (줢; 줢; 줢; 줢; 줢; ) HANGUL SYLLABLE JWEOLM
      "\uC923",  # (줣; 줣; 줣; 줣; 줣; ) HANGUL SYLLABLE JWEOLB
      "\uC924",  # (줤; 줤; 줤; 줤; 줤; ) HANGUL SYLLABLE JWEOLS
      "\uC925",  # (줥; 줥; 줥; 줥; 줥; ) HANGUL SYLLABLE JWEOLT
      "\uC926",  # (줦; 줦; 줦; 줦; 줦; ) HANGUL SYLLABLE JWEOLP
      "\uC927",  # (줧; 줧; 줧; 줧; 줧; ) HANGUL SYLLABLE JWEOLH
      "\uC928",  # (줨; 줨; 줨; 줨; 줨; ) HANGUL SYLLABLE JWEOM
      "\uC929",  # (줩; 줩; 줩; 줩; 줩; ) HANGUL SYLLABLE JWEOB
      "\uC92A",  # (줪; 줪; 줪; 줪; 줪; ) HANGUL SYLLABLE JWEOBS
      "\uC92B",  # (줫; 줫; 줫; 줫; 줫; ) HANGUL SYLLABLE JWEOS
      "\uC92C",  # (줬; 줬; 줬; 줬; 줬; ) HANGUL SYLLABLE JWEOSS
      "\uC92D",  # (줭; 줭; 줭; 줭; 줭; ) HANGUL SYLLABLE JWEONG
      "\uC92E",  # (줮; 줮; 줮; 줮; 줮; ) HANGUL SYLLABLE JWEOJ
      "\uC92F",  # (줯; 줯; 줯; 줯; 줯; ) HANGUL SYLLABLE JWEOC
      "\uC930",  # (줰; 줰; 줰; 줰; 줰; ) HANGUL SYLLABLE JWEOK
      "\uC931",  # (줱; 줱; 줱; 줱; 줱; ) HANGUL SYLLABLE JWEOT
      "\uC932",  # (줲; 줲; 줲; 줲; 줲; ) HANGUL SYLLABLE JWEOP
      "\uC933",  # (줳; 줳; 줳; 줳; 줳; ) HANGUL SYLLABLE JWEOH
      "\uC934",  # (줴; 줴; 줴; 줴; 줴; ) HANGUL SYLLABLE JWE
      "\uC935",  # (줵; 줵; 줵; 줵; 줵; ) HANGUL SYLLABLE JWEG
      "\uC936",  # (줶; 줶; 줶; 줶; 줶; ) HANGUL SYLLABLE JWEGG
      "\uC937",  # (줷; 줷; 줷; 줷; 줷; ) HANGUL SYLLABLE JWEGS
      "\uC938",  # (줸; 줸; 줸; 줸; 줸; ) HANGUL SYLLABLE JWEN
      "\uC939",  # (줹; 줹; 줹; 줹; 줹; ) HANGUL SYLLABLE JWENJ
      "\uC93A",  # (줺; 줺; 줺; 줺; 줺; ) HANGUL SYLLABLE JWENH
      "\uC93B",  # (줻; 줻; 줻; 줻; 줻; ) HANGUL SYLLABLE JWED
      "\uC93C",  # (줼; 줼; 줼; 줼; 줼; ) HANGUL SYLLABLE JWEL
      "\uC93D",  # (줽; 줽; 줽; 줽; 줽; ) HANGUL SYLLABLE JWELG
      "\uC93E",  # (줾; 줾; 줾; 줾; 줾; ) HANGUL SYLLABLE JWELM
      "\uC93F",  # (줿; 줿; 줿; 줿; 줿; ) HANGUL SYLLABLE JWELB
      "\uC940",  # (쥀; 쥀; 쥀; 쥀; 쥀; ) HANGUL SYLLABLE JWELS
      "\uC941",  # (쥁; 쥁; 쥁; 쥁; 쥁; ) HANGUL SYLLABLE JWELT
      "\uC942",  # (쥂; 쥂; 쥂; 쥂; 쥂; ) HANGUL SYLLABLE JWELP
      "\uC943",  # (쥃; 쥃; 쥃; 쥃; 쥃; ) HANGUL SYLLABLE JWELH
      "\uC944",  # (쥄; 쥄; 쥄; 쥄; 쥄; ) HANGUL SYLLABLE JWEM
      "\uC945",  # (쥅; 쥅; 쥅; 쥅; 쥅; ) HANGUL SYLLABLE JWEB
      "\uC946",  # (쥆; 쥆; 쥆; 쥆; 쥆; ) HANGUL SYLLABLE JWEBS
      "\uC947",  # (쥇; 쥇; 쥇; 쥇; 쥇; ) HANGUL SYLLABLE JWES
      "\uC948",  # (쥈; 쥈; 쥈; 쥈; 쥈; ) HANGUL SYLLABLE JWESS
      "\uC949",  # (쥉; 쥉; 쥉; 쥉; 쥉; ) HANGUL SYLLABLE JWENG
      "\uC94A",  # (쥊; 쥊; 쥊; 쥊; 쥊; ) HANGUL SYLLABLE JWEJ
      "\uC94B",  # (쥋; 쥋; 쥋; 쥋; 쥋; ) HANGUL SYLLABLE JWEC
      "\uC94C",  # (쥌; 쥌; 쥌; 쥌; 쥌; ) HANGUL SYLLABLE JWEK
      "\uC94D",  # (쥍; 쥍; 쥍; 쥍; 쥍; ) HANGUL SYLLABLE JWET
      "\uC94E",  # (쥎; 쥎; 쥎; 쥎; 쥎; ) HANGUL SYLLABLE JWEP
      "\uC94F",  # (쥏; 쥏; 쥏; 쥏; 쥏; ) HANGUL SYLLABLE JWEH
      "\uC950",  # (쥐; 쥐; 쥐; 쥐; 쥐; ) HANGUL SYLLABLE JWI
      "\uC951",  # (쥑; 쥑; 쥑; 쥑; 쥑; ) HANGUL SYLLABLE JWIG
      "\uC952",  # (쥒; 쥒; 쥒; 쥒; 쥒; ) HANGUL SYLLABLE JWIGG
      "\uC953",  # (쥓; 쥓; 쥓; 쥓; 쥓; ) HANGUL SYLLABLE JWIGS
      "\uC954",  # (쥔; 쥔; 쥔; 쥔; 쥔; ) HANGUL SYLLABLE JWIN
      "\uC955",  # (쥕; 쥕; 쥕; 쥕; 쥕; ) HANGUL SYLLABLE JWINJ
      "\uC956",  # (쥖; 쥖; 쥖; 쥖; 쥖; ) HANGUL SYLLABLE JWINH
      "\uC957",  # (쥗; 쥗; 쥗; 쥗; 쥗; ) HANGUL SYLLABLE JWID
      "\uC958",  # (쥘; 쥘; 쥘; 쥘; 쥘; ) HANGUL SYLLABLE JWIL
      "\uC959",  # (쥙; 쥙; 쥙; 쥙; 쥙; ) HANGUL SYLLABLE JWILG
      "\uC95A",  # (쥚; 쥚; 쥚; 쥚; 쥚; ) HANGUL SYLLABLE JWILM
      "\uC95B",  # (쥛; 쥛; 쥛; 쥛; 쥛; ) HANGUL SYLLABLE JWILB
      "\uC95C",  # (쥜; 쥜; 쥜; 쥜; 쥜; ) HANGUL SYLLABLE JWILS
      "\uC95D",  # (쥝; 쥝; 쥝; 쥝; 쥝; ) HANGUL SYLLABLE JWILT
      "\uC95E",  # (쥞; 쥞; 쥞; 쥞; 쥞; ) HANGUL SYLLABLE JWILP
      "\uC95F",  # (쥟; 쥟; 쥟; 쥟; 쥟; ) HANGUL SYLLABLE JWILH
      "\uC960",  # (쥠; 쥠; 쥠; 쥠; 쥠; ) HANGUL SYLLABLE JWIM
      "\uC961",  # (쥡; 쥡; 쥡; 쥡; 쥡; ) HANGUL SYLLABLE JWIB
      "\uC962",  # (쥢; 쥢; 쥢; 쥢; 쥢; ) HANGUL SYLLABLE JWIBS
      "\uC963",  # (쥣; 쥣; 쥣; 쥣; 쥣; ) HANGUL SYLLABLE JWIS
      "\uC964",  # (쥤; 쥤; 쥤; 쥤; 쥤; ) HANGUL SYLLABLE JWISS
      "\uC965",  # (쥥; 쥥; 쥥; 쥥; 쥥; ) HANGUL SYLLABLE JWING
      "\uC966",  # (쥦; 쥦; 쥦; 쥦; 쥦; ) HANGUL SYLLABLE JWIJ
      "\uC967",  # (쥧; 쥧; 쥧; 쥧; 쥧; ) HANGUL SYLLABLE JWIC
      "\uC968",  # (쥨; 쥨; 쥨; 쥨; 쥨; ) HANGUL SYLLABLE JWIK
      "\uC969",  # (쥩; 쥩; 쥩; 쥩; 쥩; ) HANGUL SYLLABLE JWIT
      "\uC96A",  # (쥪; 쥪; 쥪; 쥪; 쥪; ) HANGUL SYLLABLE JWIP
      "\uC96B",  # (쥫; 쥫; 쥫; 쥫; 쥫; ) HANGUL SYLLABLE JWIH
      "\uC96C",  # (쥬; 쥬; 쥬; 쥬; 쥬; ) HANGUL SYLLABLE JYU
      "\uC96D",  # (쥭; 쥭; 쥭; 쥭; 쥭; ) HANGUL SYLLABLE JYUG
      "\uC96E",  # (쥮; 쥮; 쥮; 쥮; 쥮; ) HANGUL SYLLABLE JYUGG
      "\uC96F",  # (쥯; 쥯; 쥯; 쥯; 쥯; ) HANGUL SYLLABLE JYUGS
      "\uC970",  # (쥰; 쥰; 쥰; 쥰; 쥰; ) HANGUL SYLLABLE JYUN
      "\uC971",  # (쥱; 쥱; 쥱; 쥱; 쥱; ) HANGUL SYLLABLE JYUNJ
      "\uC972",  # (쥲; 쥲; 쥲; 쥲; 쥲; ) HANGUL SYLLABLE JYUNH
      "\uC973",  # (쥳; 쥳; 쥳; 쥳; 쥳; ) HANGUL SYLLABLE JYUD
      "\uC974",  # (쥴; 쥴; 쥴; 쥴; 쥴; ) HANGUL SYLLABLE JYUL
      "\uC975",  # (쥵; 쥵; 쥵; 쥵; 쥵; ) HANGUL SYLLABLE JYULG
      "\uC976",  # (쥶; 쥶; 쥶; 쥶; 쥶; ) HANGUL SYLLABLE JYULM
      "\uC977",  # (쥷; 쥷; 쥷; 쥷; 쥷; ) HANGUL SYLLABLE JYULB
      "\uC978",  # (쥸; 쥸; 쥸; 쥸; 쥸; ) HANGUL SYLLABLE JYULS
      "\uC979",  # (쥹; 쥹; 쥹; 쥹; 쥹; ) HANGUL SYLLABLE JYULT
      "\uC97A",  # (쥺; 쥺; 쥺; 쥺; 쥺; ) HANGUL SYLLABLE JYULP
      "\uC97B",  # (쥻; 쥻; 쥻; 쥻; 쥻; ) HANGUL SYLLABLE JYULH
      "\uC97C",  # (쥼; 쥼; 쥼; 쥼; 쥼; ) HANGUL SYLLABLE JYUM
      "\uC97D",  # (쥽; 쥽; 쥽; 쥽; 쥽; ) HANGUL SYLLABLE JYUB
      "\uC97E",  # (쥾; 쥾; 쥾; 쥾; 쥾; ) HANGUL SYLLABLE JYUBS
      "\uC97F",  # (쥿; 쥿; 쥿; 쥿; 쥿; ) HANGUL SYLLABLE JYUS
      "\uC980",  # (즀; 즀; 즀; 즀; 즀; ) HANGUL SYLLABLE JYUSS
      "\uC981",  # (즁; 즁; 즁; 즁; 즁; ) HANGUL SYLLABLE JYUNG
      "\uC982",  # (즂; 즂; 즂; 즂; 즂; ) HANGUL SYLLABLE JYUJ
      "\uC983",  # (즃; 즃; 즃; 즃; 즃; ) HANGUL SYLLABLE JYUC
      "\uC984",  # (즄; 즄; 즄; 즄; 즄; ) HANGUL SYLLABLE JYUK
      "\uC985",  # (즅; 즅; 즅; 즅; 즅; ) HANGUL SYLLABLE JYUT
      "\uC986",  # (즆; 즆; 즆; 즆; 즆; ) HANGUL SYLLABLE JYUP
      "\uC987",  # (즇; 즇; 즇; 즇; 즇; ) HANGUL SYLLABLE JYUH
      "\uC988",  # (즈; 즈; 즈; 즈; 즈; ) HANGUL SYLLABLE JEU
      "\uC989",  # (즉; 즉; 즉; 즉; 즉; ) HANGUL SYLLABLE JEUG
      "\uC98A",  # (즊; 즊; 즊; 즊; 즊; ) HANGUL SYLLABLE JEUGG
      "\uC98B",  # (즋; 즋; 즋; 즋; 즋; ) HANGUL SYLLABLE JEUGS
      "\uC98C",  # (즌; 즌; 즌; 즌; 즌; ) HANGUL SYLLABLE JEUN
      "\uC98D",  # (즍; 즍; 즍; 즍; 즍; ) HANGUL SYLLABLE JEUNJ
      "\uC98E",  # (즎; 즎; 즎; 즎; 즎; ) HANGUL SYLLABLE JEUNH
      "\uC98F",  # (즏; 즏; 즏; 즏; 즏; ) HANGUL SYLLABLE JEUD
      "\uC990",  # (즐; 즐; 즐; 즐; 즐; ) HANGUL SYLLABLE JEUL
      "\uC991",  # (즑; 즑; 즑; 즑; 즑; ) HANGUL SYLLABLE JEULG
      "\uC992",  # (즒; 즒; 즒; 즒; 즒; ) HANGUL SYLLABLE JEULM
      "\uC993",  # (즓; 즓; 즓; 즓; 즓; ) HANGUL SYLLABLE JEULB
      "\uC994",  # (즔; 즔; 즔; 즔; 즔; ) HANGUL SYLLABLE JEULS
      "\uC995",  # (즕; 즕; 즕; 즕; 즕; ) HANGUL SYLLABLE JEULT
      "\uC996",  # (즖; 즖; 즖; 즖; 즖; ) HANGUL SYLLABLE JEULP
      "\uC997",  # (즗; 즗; 즗; 즗; 즗; ) HANGUL SYLLABLE JEULH
      "\uC998",  # (즘; 즘; 즘; 즘; 즘; ) HANGUL SYLLABLE JEUM
      "\uC999",  # (즙; 즙; 즙; 즙; 즙; ) HANGUL SYLLABLE JEUB
      "\uC99A",  # (즚; 즚; 즚; 즚; 즚; ) HANGUL SYLLABLE JEUBS
      "\uC99B",  # (즛; 즛; 즛; 즛; 즛; ) HANGUL SYLLABLE JEUS
      "\uC99C",  # (즜; 즜; 즜; 즜; 즜; ) HANGUL SYLLABLE JEUSS
      "\uC99D",  # (증; 증; 증; 증; 증; ) HANGUL SYLLABLE JEUNG
      "\uC99E",  # (즞; 즞; 즞; 즞; 즞; ) HANGUL SYLLABLE JEUJ
      "\uC99F",  # (즟; 즟; 즟; 즟; 즟; ) HANGUL SYLLABLE JEUC
      "\uC9A0",  # (즠; 즠; 즠; 즠; 즠; ) HANGUL SYLLABLE JEUK
      "\uC9A1",  # (즡; 즡; 즡; 즡; 즡; ) HANGUL SYLLABLE JEUT
      "\uC9A2",  # (즢; 즢; 즢; 즢; 즢; ) HANGUL SYLLABLE JEUP
      "\uC9A3",  # (즣; 즣; 즣; 즣; 즣; ) HANGUL SYLLABLE JEUH
      "\uC9A4",  # (즤; 즤; 즤; 즤; 즤; ) HANGUL SYLLABLE JYI
      "\uC9A5",  # (즥; 즥; 즥; 즥; 즥; ) HANGUL SYLLABLE JYIG
      "\uC9A6",  # (즦; 즦; 즦; 즦; 즦; ) HANGUL SYLLABLE JYIGG
      "\uC9A7",  # (즧; 즧; 즧; 즧; 즧; ) HANGUL SYLLABLE JYIGS
      "\uC9A8",  # (즨; 즨; 즨; 즨; 즨; ) HANGUL SYLLABLE JYIN
      "\uC9A9",  # (즩; 즩; 즩; 즩; 즩; ) HANGUL SYLLABLE JYINJ
      "\uC9AA",  # (즪; 즪; 즪; 즪; 즪; ) HANGUL SYLLABLE JYINH
      "\uC9AB",  # (즫; 즫; 즫; 즫; 즫; ) HANGUL SYLLABLE JYID
      "\uC9AC",  # (즬; 즬; 즬; 즬; 즬; ) HANGUL SYLLABLE JYIL
      "\uC9AD",  # (즭; 즭; 즭; 즭; 즭; ) HANGUL SYLLABLE JYILG
      "\uC9AE",  # (즮; 즮; 즮; 즮; 즮; ) HANGUL SYLLABLE JYILM
      "\uC9AF",  # (즯; 즯; 즯; 즯; 즯; ) HANGUL SYLLABLE JYILB
      "\uC9B0",  # (즰; 즰; 즰; 즰; 즰; ) HANGUL SYLLABLE JYILS
      "\uC9B1",  # (즱; 즱; 즱; 즱; 즱; ) HANGUL SYLLABLE JYILT
      "\uC9B2",  # (즲; 즲; 즲; 즲; 즲; ) HANGUL SYLLABLE JYILP
      "\uC9B3",  # (즳; 즳; 즳; 즳; 즳; ) HANGUL SYLLABLE JYILH
      "\uC9B4",  # (즴; 즴; 즴; 즴; 즴; ) HANGUL SYLLABLE JYIM
      "\uC9B5",  # (즵; 즵; 즵; 즵; 즵; ) HANGUL SYLLABLE JYIB
      "\uC9B6",  # (즶; 즶; 즶; 즶; 즶; ) HANGUL SYLLABLE JYIBS
      "\uC9B7",  # (즷; 즷; 즷; 즷; 즷; ) HANGUL SYLLABLE JYIS
      "\uC9B8",  # (즸; 즸; 즸; 즸; 즸; ) HANGUL SYLLABLE JYISS
      "\uC9B9",  # (즹; 즹; 즹; 즹; 즹; ) HANGUL SYLLABLE JYING
      "\uC9BA",  # (즺; 즺; 즺; 즺; 즺; ) HANGUL SYLLABLE JYIJ
      "\uC9BB",  # (즻; 즻; 즻; 즻; 즻; ) HANGUL SYLLABLE JYIC
      "\uC9BC",  # (즼; 즼; 즼; 즼; 즼; ) HANGUL SYLLABLE JYIK
      "\uC9BD",  # (즽; 즽; 즽; 즽; 즽; ) HANGUL SYLLABLE JYIT
      "\uC9BE",  # (즾; 즾; 즾; 즾; 즾; ) HANGUL SYLLABLE JYIP
      "\uC9BF",  # (즿; 즿; 즿; 즿; 즿; ) HANGUL SYLLABLE JYIH
      "\uC9C0",  # (지; 지; 지; 지; 지; ) HANGUL SYLLABLE JI
      "\uC9C1",  # (직; 직; 직; 직; 직; ) HANGUL SYLLABLE JIG
      "\uC9C2",  # (짂; 짂; 짂; 짂; 짂; ) HANGUL SYLLABLE JIGG
      "\uC9C3",  # (짃; 짃; 짃; 짃; 짃; ) HANGUL SYLLABLE JIGS
      "\uC9C4",  # (진; 진; 진; 진; 진; ) HANGUL SYLLABLE JIN
      "\uC9C5",  # (짅; 짅; 짅; 짅; 짅; ) HANGUL SYLLABLE JINJ
      "\uC9C6",  # (짆; 짆; 짆; 짆; 짆; ) HANGUL SYLLABLE JINH
      "\uC9C7",  # (짇; 짇; 짇; 짇; 짇; ) HANGUL SYLLABLE JID
      "\uC9C8",  # (질; 질; 질; 질; 질; ) HANGUL SYLLABLE JIL
      "\uC9C9",  # (짉; 짉; 짉; 짉; 짉; ) HANGUL SYLLABLE JILG
      "\uC9CA",  # (짊; 짊; 짊; 짊; 짊; ) HANGUL SYLLABLE JILM
      "\uC9CB",  # (짋; 짋; 짋; 짋; 짋; ) HANGUL SYLLABLE JILB
      "\uC9CC",  # (짌; 짌; 짌; 짌; 짌; ) HANGUL SYLLABLE JILS
      "\uC9CD",  # (짍; 짍; 짍; 짍; 짍; ) HANGUL SYLLABLE JILT
      "\uC9CE",  # (짎; 짎; 짎; 짎; 짎; ) HANGUL SYLLABLE JILP
      "\uC9CF",  # (짏; 짏; 짏; 짏; 짏; ) HANGUL SYLLABLE JILH
      "\uC9D0",  # (짐; 짐; 짐; 짐; 짐; ) HANGUL SYLLABLE JIM
      "\uC9D1",  # (집; 집; 집; 집; 집; ) HANGUL SYLLABLE JIB
      "\uC9D2",  # (짒; 짒; 짒; 짒; 짒; ) HANGUL SYLLABLE JIBS
      "\uC9D3",  # (짓; 짓; 짓; 짓; 짓; ) HANGUL SYLLABLE JIS
      "\uC9D4",  # (짔; 짔; 짔; 짔; 짔; ) HANGUL SYLLABLE JISS
      "\uC9D5",  # (징; 징; 징; 징; 징; ) HANGUL SYLLABLE JING
      "\uC9D6",  # (짖; 짖; 짖; 짖; 짖; ) HANGUL SYLLABLE JIJ
      "\uC9D7",  # (짗; 짗; 짗; 짗; 짗; ) HANGUL SYLLABLE JIC
      "\uC9D8",  # (짘; 짘; 짘; 짘; 짘; ) HANGUL SYLLABLE JIK
      "\uC9D9",  # (짙; 짙; 짙; 짙; 짙; ) HANGUL SYLLABLE JIT
      "\uC9DA",  # (짚; 짚; 짚; 짚; 짚; ) HANGUL SYLLABLE JIP
      "\uC9DB",  # (짛; 짛; 짛; 짛; 짛; ) HANGUL SYLLABLE JIH
      "\uC9DC",  # (짜; 짜; 짜; 짜; 짜; ) HANGUL SYLLABLE JJA
      "\uC9DD",  # (짝; 짝; 짝; 짝; 짝; ) HANGUL SYLLABLE JJAG
      "\uC9DE",  # (짞; 짞; 짞; 짞; 짞; ) HANGUL SYLLABLE JJAGG
      "\uC9DF",  # (짟; 짟; 짟; 짟; 짟; ) HANGUL SYLLABLE JJAGS
      "\uC9E0",  # (짠; 짠; 짠; 짠; 짠; ) HANGUL SYLLABLE JJAN
      "\uC9E1",  # (짡; 짡; 짡; 짡; 짡; ) HANGUL SYLLABLE JJANJ
      "\uC9E2",  # (짢; 짢; 짢; 짢; 짢; ) HANGUL SYLLABLE JJANH
      "\uC9E3",  # (짣; 짣; 짣; 짣; 짣; ) HANGUL SYLLABLE JJAD
      "\uC9E4",  # (짤; 짤; 짤; 짤; 짤; ) HANGUL SYLLABLE JJAL
      "\uC9E5",  # (짥; 짥; 짥; 짥; 짥; ) HANGUL SYLLABLE JJALG
      "\uC9E6",  # (짦; 짦; 짦; 짦; 짦; ) HANGUL SYLLABLE JJALM
      "\uC9E7",  # (짧; 짧; 짧; 짧; 짧; ) HANGUL SYLLABLE JJALB
      "\uC9E8",  # (짨; 짨; 짨; 짨; 짨; ) HANGUL SYLLABLE JJALS
      "\uC9E9",  # (짩; 짩; 짩; 짩; 짩; ) HANGUL SYLLABLE JJALT
      "\uC9EA",  # (짪; 짪; 짪; 짪; 짪; ) HANGUL SYLLABLE JJALP
      "\uC9EB",  # (짫; 짫; 짫; 짫; 짫; ) HANGUL SYLLABLE JJALH
      "\uC9EC",  # (짬; 짬; 짬; 짬; 짬; ) HANGUL SYLLABLE JJAM
      "\uC9ED",  # (짭; 짭; 짭; 짭; 짭; ) HANGUL SYLLABLE JJAB
      "\uC9EE",  # (짮; 짮; 짮; 짮; 짮; ) HANGUL SYLLABLE JJABS
      "\uC9EF",  # (짯; 짯; 짯; 짯; 짯; ) HANGUL SYLLABLE JJAS
      "\uC9F0",  # (짰; 짰; 짰; 짰; 짰; ) HANGUL SYLLABLE JJASS
      "\uC9F1",  # (짱; 짱; 짱; 짱; 짱; ) HANGUL SYLLABLE JJANG
      "\uC9F2",  # (짲; 짲; 짲; 짲; 짲; ) HANGUL SYLLABLE JJAJ
      "\uC9F3",  # (짳; 짳; 짳; 짳; 짳; ) HANGUL SYLLABLE JJAC
      "\uC9F4",  # (짴; 짴; 짴; 짴; 짴; ) HANGUL SYLLABLE JJAK
      "\uC9F5",  # (짵; 짵; 짵; 짵; 짵; ) HANGUL SYLLABLE JJAT
      "\uC9F6",  # (짶; 짶; 짶; 짶; 짶; ) HANGUL SYLLABLE JJAP
      "\uC9F7",  # (짷; 짷; 짷; 짷; 짷; ) HANGUL SYLLABLE JJAH
      "\uC9F8",  # (째; 째; 째; 째; 째; ) HANGUL SYLLABLE JJAE
      "\uC9F9",  # (짹; 짹; 짹; 짹; 짹; ) HANGUL SYLLABLE JJAEG
      "\uC9FA",  # (짺; 짺; 짺; 짺; 짺; ) HANGUL SYLLABLE JJAEGG
      "\uC9FB",  # (짻; 짻; 짻; 짻; 짻; ) HANGUL SYLLABLE JJAEGS
      "\uC9FC",  # (짼; 짼; 짼; 짼; 짼; ) HANGUL SYLLABLE JJAEN
      "\uC9FD",  # (짽; 짽; 짽; 짽; 짽; ) HANGUL SYLLABLE JJAENJ
      "\uC9FE",  # (짾; 짾; 짾; 짾; 짾; ) HANGUL SYLLABLE JJAENH
      "\uC9FF",  # (짿; 짿; 짿; 짿; 짿; ) HANGUL SYLLABLE JJAED
      "\uCA00",  # (쨀; 쨀; 쨀; 쨀; 쨀; ) HANGUL SYLLABLE JJAEL
      "\uCA01",  # (쨁; 쨁; 쨁; 쨁; 쨁; ) HANGUL SYLLABLE JJAELG
      "\uCA02",  # (쨂; 쨂; 쨂; 쨂; 쨂; ) HANGUL SYLLABLE JJAELM
      "\uCA03",  # (쨃; 쨃; 쨃; 쨃; 쨃; ) HANGUL SYLLABLE JJAELB
      "\uCA04",  # (쨄; 쨄; 쨄; 쨄; 쨄; ) HANGUL SYLLABLE JJAELS
      "\uCA05",  # (쨅; 쨅; 쨅; 쨅; 쨅; ) HANGUL SYLLABLE JJAELT
      "\uCA06",  # (쨆; 쨆; 쨆; 쨆; 쨆; ) HANGUL SYLLABLE JJAELP
      "\uCA07",  # (쨇; 쨇; 쨇; 쨇; 쨇; ) HANGUL SYLLABLE JJAELH
      "\uCA08",  # (쨈; 쨈; 쨈; 쨈; 쨈; ) HANGUL SYLLABLE JJAEM
      "\uCA09",  # (쨉; 쨉; 쨉; 쨉; 쨉; ) HANGUL SYLLABLE JJAEB
      "\uCA0A",  # (쨊; 쨊; 쨊; 쨊; 쨊; ) HANGUL SYLLABLE JJAEBS
      "\uCA0B",  # (쨋; 쨋; 쨋; 쨋; 쨋; ) HANGUL SYLLABLE JJAES
      "\uCA0C",  # (쨌; 쨌; 쨌; 쨌; 쨌; ) HANGUL SYLLABLE JJAESS
      "\uCA0D",  # (쨍; 쨍; 쨍; 쨍; 쨍; ) HANGUL SYLLABLE JJAENG
      "\uCA0E",  # (쨎; 쨎; 쨎; 쨎; 쨎; ) HANGUL SYLLABLE JJAEJ
      "\uCA0F",  # (쨏; 쨏; 쨏; 쨏; 쨏; ) HANGUL SYLLABLE JJAEC
      "\uCA10",  # (쨐; 쨐; 쨐; 쨐; 쨐; ) HANGUL SYLLABLE JJAEK
      "\uCA11",  # (쨑; 쨑; 쨑; 쨑; 쨑; ) HANGUL SYLLABLE JJAET
      "\uCA12",  # (쨒; 쨒; 쨒; 쨒; 쨒; ) HANGUL SYLLABLE JJAEP
      "\uCA13",  # (쨓; 쨓; 쨓; 쨓; 쨓; ) HANGUL SYLLABLE JJAEH
      "\uCA14",  # (쨔; 쨔; 쨔; 쨔; 쨔; ) HANGUL SYLLABLE JJYA
      "\uCA15",  # (쨕; 쨕; 쨕; 쨕; 쨕; ) HANGUL SYLLABLE JJYAG
      "\uCA16",  # (쨖; 쨖; 쨖; 쨖; 쨖; ) HANGUL SYLLABLE JJYAGG
      "\uCA17",  # (쨗; 쨗; 쨗; 쨗; 쨗; ) HANGUL SYLLABLE JJYAGS
      "\uCA18",  # (쨘; 쨘; 쨘; 쨘; 쨘; ) HANGUL SYLLABLE JJYAN
      "\uCA19",  # (쨙; 쨙; 쨙; 쨙; 쨙; ) HANGUL SYLLABLE JJYANJ
      "\uCA1A",  # (쨚; 쨚; 쨚; 쨚; 쨚; ) HANGUL SYLLABLE JJYANH
      "\uCA1B",  # (쨛; 쨛; 쨛; 쨛; 쨛; ) HANGUL SYLLABLE JJYAD
      "\uCA1C",  # (쨜; 쨜; 쨜; 쨜; 쨜; ) HANGUL SYLLABLE JJYAL
      "\uCA1D",  # (쨝; 쨝; 쨝; 쨝; 쨝; ) HANGUL SYLLABLE JJYALG
      "\uCA1E",  # (쨞; 쨞; 쨞; 쨞; 쨞; ) HANGUL SYLLABLE JJYALM
      "\uCA1F",  # (쨟; 쨟; 쨟; 쨟; 쨟; ) HANGUL SYLLABLE JJYALB
      "\uCA20",  # (쨠; 쨠; 쨠; 쨠; 쨠; ) HANGUL SYLLABLE JJYALS
      "\uCA21",  # (쨡; 쨡; 쨡; 쨡; 쨡; ) HANGUL SYLLABLE JJYALT
      "\uCA22",  # (쨢; 쨢; 쨢; 쨢; 쨢; ) HANGUL SYLLABLE JJYALP
      "\uCA23",  # (쨣; 쨣; 쨣; 쨣; 쨣; ) HANGUL SYLLABLE JJYALH
      "\uCA24",  # (쨤; 쨤; 쨤; 쨤; 쨤; ) HANGUL SYLLABLE JJYAM
      "\uCA25",  # (쨥; 쨥; 쨥; 쨥; 쨥; ) HANGUL SYLLABLE JJYAB
      "\uCA26",  # (쨦; 쨦; 쨦; 쨦; 쨦; ) HANGUL SYLLABLE JJYABS
      "\uCA27",  # (쨧; 쨧; 쨧; 쨧; 쨧; ) HANGUL SYLLABLE JJYAS
      "\uCA28",  # (쨨; 쨨; 쨨; 쨨; 쨨; ) HANGUL SYLLABLE JJYASS
      "\uCA29",  # (쨩; 쨩; 쨩; 쨩; 쨩; ) HANGUL SYLLABLE JJYANG
      "\uCA2A",  # (쨪; 쨪; 쨪; 쨪; 쨪; ) HANGUL SYLLABLE JJYAJ
      "\uCA2B",  # (쨫; 쨫; 쨫; 쨫; 쨫; ) HANGUL SYLLABLE JJYAC
      "\uCA2C",  # (쨬; 쨬; 쨬; 쨬; 쨬; ) HANGUL SYLLABLE JJYAK
      "\uCA2D",  # (쨭; 쨭; 쨭; 쨭; 쨭; ) HANGUL SYLLABLE JJYAT
      "\uCA2E",  # (쨮; 쨮; 쨮; 쨮; 쨮; ) HANGUL SYLLABLE JJYAP
      "\uCA2F",  # (쨯; 쨯; 쨯; 쨯; 쨯; ) HANGUL SYLLABLE JJYAH
      "\uCA30",  # (쨰; 쨰; 쨰; 쨰; 쨰; ) HANGUL SYLLABLE JJYAE
      "\uCA31",  # (쨱; 쨱; 쨱; 쨱; 쨱; ) HANGUL SYLLABLE JJYAEG
      "\uCA32",  # (쨲; 쨲; 쨲; 쨲; 쨲; ) HANGUL SYLLABLE JJYAEGG
      "\uCA33",  # (쨳; 쨳; 쨳; 쨳; 쨳; ) HANGUL SYLLABLE JJYAEGS
      "\uCA34",  # (쨴; 쨴; 쨴; 쨴; 쨴; ) HANGUL SYLLABLE JJYAEN
      "\uCA35",  # (쨵; 쨵; 쨵; 쨵; 쨵; ) HANGUL SYLLABLE JJYAENJ
      "\uCA36",  # (쨶; 쨶; 쨶; 쨶; 쨶; ) HANGUL SYLLABLE JJYAENH
      "\uCA37",  # (쨷; 쨷; 쨷; 쨷; 쨷; ) HANGUL SYLLABLE JJYAED
      "\uCA38",  # (쨸; 쨸; 쨸; 쨸; 쨸; ) HANGUL SYLLABLE JJYAEL
      "\uCA39",  # (쨹; 쨹; 쨹; 쨹; 쨹; ) HANGUL SYLLABLE JJYAELG
      "\uCA3A",  # (쨺; 쨺; 쨺; 쨺; 쨺; ) HANGUL SYLLABLE JJYAELM
      "\uCA3B",  # (쨻; 쨻; 쨻; 쨻; 쨻; ) HANGUL SYLLABLE JJYAELB
      "\uCA3C",  # (쨼; 쨼; 쨼; 쨼; 쨼; ) HANGUL SYLLABLE JJYAELS
      "\uCA3D",  # (쨽; 쨽; 쨽; 쨽; 쨽; ) HANGUL SYLLABLE JJYAELT
      "\uCA3E",  # (쨾; 쨾; 쨾; 쨾; 쨾; ) HANGUL SYLLABLE JJYAELP
      "\uCA3F",  # (쨿; 쨿; 쨿; 쨿; 쨿; ) HANGUL SYLLABLE JJYAELH
      "\uCA40",  # (쩀; 쩀; 쩀; 쩀; 쩀; ) HANGUL SYLLABLE JJYAEM
      "\uCA41",  # (쩁; 쩁; 쩁; 쩁; 쩁; ) HANGUL SYLLABLE JJYAEB
      "\uCA42",  # (쩂; 쩂; 쩂; 쩂; 쩂; ) HANGUL SYLLABLE JJYAEBS
      "\uCA43",  # (쩃; 쩃; 쩃; 쩃; 쩃; ) HANGUL SYLLABLE JJYAES
      "\uCA44",  # (쩄; 쩄; 쩄; 쩄; 쩄; ) HANGUL SYLLABLE JJYAESS
      "\uCA45",  # (쩅; 쩅; 쩅; 쩅; 쩅; ) HANGUL SYLLABLE JJYAENG
      "\uCA46",  # (쩆; 쩆; 쩆; 쩆; 쩆; ) HANGUL SYLLABLE JJYAEJ
      "\uCA47",  # (쩇; 쩇; 쩇; 쩇; 쩇; ) HANGUL SYLLABLE JJYAEC
      "\uCA48",  # (쩈; 쩈; 쩈; 쩈; 쩈; ) HANGUL SYLLABLE JJYAEK
      "\uCA49",  # (쩉; 쩉; 쩉; 쩉; 쩉; ) HANGUL SYLLABLE JJYAET
      "\uCA4A",  # (쩊; 쩊; 쩊; 쩊; 쩊; ) HANGUL SYLLABLE JJYAEP
      "\uCA4B",  # (쩋; 쩋; 쩋; 쩋; 쩋; ) HANGUL SYLLABLE JJYAEH
      "\uCA4C",  # (쩌; 쩌; 쩌; 쩌; 쩌; ) HANGUL SYLLABLE JJEO
      "\uCA4D",  # (쩍; 쩍; 쩍; 쩍; 쩍; ) HANGUL SYLLABLE JJEOG
      "\uCA4E",  # (쩎; 쩎; 쩎; 쩎; 쩎; ) HANGUL SYLLABLE JJEOGG
      "\uCA4F",  # (쩏; 쩏; 쩏; 쩏; 쩏; ) HANGUL SYLLABLE JJEOGS
      "\uCA50",  # (쩐; 쩐; 쩐; 쩐; 쩐; ) HANGUL SYLLABLE JJEON
      "\uCA51",  # (쩑; 쩑; 쩑; 쩑; 쩑; ) HANGUL SYLLABLE JJEONJ
      "\uCA52",  # (쩒; 쩒; 쩒; 쩒; 쩒; ) HANGUL SYLLABLE JJEONH
      "\uCA53",  # (쩓; 쩓; 쩓; 쩓; 쩓; ) HANGUL SYLLABLE JJEOD
      "\uCA54",  # (쩔; 쩔; 쩔; 쩔; 쩔; ) HANGUL SYLLABLE JJEOL
      "\uCA55",  # (쩕; 쩕; 쩕; 쩕; 쩕; ) HANGUL SYLLABLE JJEOLG
      "\uCA56",  # (쩖; 쩖; 쩖; 쩖; 쩖; ) HANGUL SYLLABLE JJEOLM
      "\uCA57",  # (쩗; 쩗; 쩗; 쩗; 쩗; ) HANGUL SYLLABLE JJEOLB
      "\uCA58",  # (쩘; 쩘; 쩘; 쩘; 쩘; ) HANGUL SYLLABLE JJEOLS
      "\uCA59",  # (쩙; 쩙; 쩙; 쩙; 쩙; ) HANGUL SYLLABLE JJEOLT
      "\uCA5A",  # (쩚; 쩚; 쩚; 쩚; 쩚; ) HANGUL SYLLABLE JJEOLP
      "\uCA5B",  # (쩛; 쩛; 쩛; 쩛; 쩛; ) HANGUL SYLLABLE JJEOLH
      "\uCA5C",  # (쩜; 쩜; 쩜; 쩜; 쩜; ) HANGUL SYLLABLE JJEOM
      "\uCA5D",  # (쩝; 쩝; 쩝; 쩝; 쩝; ) HANGUL SYLLABLE JJEOB
      "\uCA5E",  # (쩞; 쩞; 쩞; 쩞; 쩞; ) HANGUL SYLLABLE JJEOBS
      "\uCA5F",  # (쩟; 쩟; 쩟; 쩟; 쩟; ) HANGUL SYLLABLE JJEOS
      "\uCA60",  # (쩠; 쩠; 쩠; 쩠; 쩠; ) HANGUL SYLLABLE JJEOSS
      "\uCA61",  # (쩡; 쩡; 쩡; 쩡; 쩡; ) HANGUL SYLLABLE JJEONG
      "\uCA62",  # (쩢; 쩢; 쩢; 쩢; 쩢; ) HANGUL SYLLABLE JJEOJ
      "\uCA63",  # (쩣; 쩣; 쩣; 쩣; 쩣; ) HANGUL SYLLABLE JJEOC
      "\uCA64",  # (쩤; 쩤; 쩤; 쩤; 쩤; ) HANGUL SYLLABLE JJEOK
      "\uCA65",  # (쩥; 쩥; 쩥; 쩥; 쩥; ) HANGUL SYLLABLE JJEOT
      "\uCA66",  # (쩦; 쩦; 쩦; 쩦; 쩦; ) HANGUL SYLLABLE JJEOP
      "\uCA67",  # (쩧; 쩧; 쩧; 쩧; 쩧; ) HANGUL SYLLABLE JJEOH
      "\uCA68",  # (쩨; 쩨; 쩨; 쩨; 쩨; ) HANGUL SYLLABLE JJE
      "\uCA69",  # (쩩; 쩩; 쩩; 쩩; 쩩; ) HANGUL SYLLABLE JJEG
      "\uCA6A",  # (쩪; 쩪; 쩪; 쩪; 쩪; ) HANGUL SYLLABLE JJEGG
      "\uCA6B",  # (쩫; 쩫; 쩫; 쩫; 쩫; ) HANGUL SYLLABLE JJEGS
      "\uCA6C",  # (쩬; 쩬; 쩬; 쩬; 쩬; ) HANGUL SYLLABLE JJEN
      "\uCA6D",  # (쩭; 쩭; 쩭; 쩭; 쩭; ) HANGUL SYLLABLE JJENJ
      "\uCA6E",  # (쩮; 쩮; 쩮; 쩮; 쩮; ) HANGUL SYLLABLE JJENH
      "\uCA6F",  # (쩯; 쩯; 쩯; 쩯; 쩯; ) HANGUL SYLLABLE JJED
      "\uCA70",  # (쩰; 쩰; 쩰; 쩰; 쩰; ) HANGUL SYLLABLE JJEL
      "\uCA71",  # (쩱; 쩱; 쩱; 쩱; 쩱; ) HANGUL SYLLABLE JJELG
      "\uCA72",  # (쩲; 쩲; 쩲; 쩲; 쩲; ) HANGUL SYLLABLE JJELM
      "\uCA73",  # (쩳; 쩳; 쩳; 쩳; 쩳; ) HANGUL SYLLABLE JJELB
      "\uCA74",  # (쩴; 쩴; 쩴; 쩴; 쩴; ) HANGUL SYLLABLE JJELS
      "\uCA75",  # (쩵; 쩵; 쩵; 쩵; 쩵; ) HANGUL SYLLABLE JJELT
      "\uCA76",  # (쩶; 쩶; 쩶; 쩶; 쩶; ) HANGUL SYLLABLE JJELP
      "\uCA77",  # (쩷; 쩷; 쩷; 쩷; 쩷; ) HANGUL SYLLABLE JJELH
      "\uCA78",  # (쩸; 쩸; 쩸; 쩸; 쩸; ) HANGUL SYLLABLE JJEM
      "\uCA79",  # (쩹; 쩹; 쩹; 쩹; 쩹; ) HANGUL SYLLABLE JJEB
      "\uCA7A",  # (쩺; 쩺; 쩺; 쩺; 쩺; ) HANGUL SYLLABLE JJEBS
      "\uCA7B",  # (쩻; 쩻; 쩻; 쩻; 쩻; ) HANGUL SYLLABLE JJES
      "\uCA7C",  # (쩼; 쩼; 쩼; 쩼; 쩼; ) HANGUL SYLLABLE JJESS
      "\uCA7D",  # (쩽; 쩽; 쩽; 쩽; 쩽; ) HANGUL SYLLABLE JJENG
      "\uCA7E",  # (쩾; 쩾; 쩾; 쩾; 쩾; ) HANGUL SYLLABLE JJEJ
      "\uCA7F",  # (쩿; 쩿; 쩿; 쩿; 쩿; ) HANGUL SYLLABLE JJEC
      "\uCA80",  # (쪀; 쪀; 쪀; 쪀; 쪀; ) HANGUL SYLLABLE JJEK
      "\uCA81",  # (쪁; 쪁; 쪁; 쪁; 쪁; ) HANGUL SYLLABLE JJET
      "\uCA82",  # (쪂; 쪂; 쪂; 쪂; 쪂; ) HANGUL SYLLABLE JJEP
      "\uCA83",  # (쪃; 쪃; 쪃; 쪃; 쪃; ) HANGUL SYLLABLE JJEH
      "\uCA84",  # (쪄; 쪄; 쪄; 쪄; 쪄; ) HANGUL SYLLABLE JJYEO
      "\uCA85",  # (쪅; 쪅; 쪅; 쪅; 쪅; ) HANGUL SYLLABLE JJYEOG
      "\uCA86",  # (쪆; 쪆; 쪆; 쪆; 쪆; ) HANGUL SYLLABLE JJYEOGG
      "\uCA87",  # (쪇; 쪇; 쪇; 쪇; 쪇; ) HANGUL SYLLABLE JJYEOGS
      "\uCA88",  # (쪈; 쪈; 쪈; 쪈; 쪈; ) HANGUL SYLLABLE JJYEON
      "\uCA89",  # (쪉; 쪉; 쪉; 쪉; 쪉; ) HANGUL SYLLABLE JJYEONJ
      "\uCA8A",  # (쪊; 쪊; 쪊; 쪊; 쪊; ) HANGUL SYLLABLE JJYEONH
      "\uCA8B",  # (쪋; 쪋; 쪋; 쪋; 쪋; ) HANGUL SYLLABLE JJYEOD
      "\uCA8C",  # (쪌; 쪌; 쪌; 쪌; 쪌; ) HANGUL SYLLABLE JJYEOL
      "\uCA8D",  # (쪍; 쪍; 쪍; 쪍; 쪍; ) HANGUL SYLLABLE JJYEOLG
      "\uCA8E",  # (쪎; 쪎; 쪎; 쪎; 쪎; ) HANGUL SYLLABLE JJYEOLM
      "\uCA8F",  # (쪏; 쪏; 쪏; 쪏; 쪏; ) HANGUL SYLLABLE JJYEOLB
      "\uCA90",  # (쪐; 쪐; 쪐; 쪐; 쪐; ) HANGUL SYLLABLE JJYEOLS
      "\uCA91",  # (쪑; 쪑; 쪑; 쪑; 쪑; ) HANGUL SYLLABLE JJYEOLT
      "\uCA92",  # (쪒; 쪒; 쪒; 쪒; 쪒; ) HANGUL SYLLABLE JJYEOLP
      "\uCA93",  # (쪓; 쪓; 쪓; 쪓; 쪓; ) HANGUL SYLLABLE JJYEOLH
      "\uCA94",  # (쪔; 쪔; 쪔; 쪔; 쪔; ) HANGUL SYLLABLE JJYEOM
      "\uCA95",  # (쪕; 쪕; 쪕; 쪕; 쪕; ) HANGUL SYLLABLE JJYEOB
      "\uCA96",  # (쪖; 쪖; 쪖; 쪖; 쪖; ) HANGUL SYLLABLE JJYEOBS
      "\uCA97",  # (쪗; 쪗; 쪗; 쪗; 쪗; ) HANGUL SYLLABLE JJYEOS
      "\uCA98",  # (쪘; 쪘; 쪘; 쪘; 쪘; ) HANGUL SYLLABLE JJYEOSS
      "\uCA99",  # (쪙; 쪙; 쪙; 쪙; 쪙; ) HANGUL SYLLABLE JJYEONG
      "\uCA9A",  # (쪚; 쪚; 쪚; 쪚; 쪚; ) HANGUL SYLLABLE JJYEOJ
      "\uCA9B",  # (쪛; 쪛; 쪛; 쪛; 쪛; ) HANGUL SYLLABLE JJYEOC
      "\uCA9C",  # (쪜; 쪜; 쪜; 쪜; 쪜; ) HANGUL SYLLABLE JJYEOK
      "\uCA9D",  # (쪝; 쪝; 쪝; 쪝; 쪝; ) HANGUL SYLLABLE JJYEOT
      "\uCA9E",  # (쪞; 쪞; 쪞; 쪞; 쪞; ) HANGUL SYLLABLE JJYEOP
      "\uCA9F",  # (쪟; 쪟; 쪟; 쪟; 쪟; ) HANGUL SYLLABLE JJYEOH
      "\uCAA0",  # (쪠; 쪠; 쪠; 쪠; 쪠; ) HANGUL SYLLABLE JJYE
      "\uCAA1",  # (쪡; 쪡; 쪡; 쪡; 쪡; ) HANGUL SYLLABLE JJYEG
      "\uCAA2",  # (쪢; 쪢; 쪢; 쪢; 쪢; ) HANGUL SYLLABLE JJYEGG
      "\uCAA3",  # (쪣; 쪣; 쪣; 쪣; 쪣; ) HANGUL SYLLABLE JJYEGS
      "\uCAA4",  # (쪤; 쪤; 쪤; 쪤; 쪤; ) HANGUL SYLLABLE JJYEN
      "\uCAA5",  # (쪥; 쪥; 쪥; 쪥; 쪥; ) HANGUL SYLLABLE JJYENJ
      "\uCAA6",  # (쪦; 쪦; 쪦; 쪦; 쪦; ) HANGUL SYLLABLE JJYENH
      "\uCAA7",  # (쪧; 쪧; 쪧; 쪧; 쪧; ) HANGUL SYLLABLE JJYED
      "\uCAA8",  # (쪨; 쪨; 쪨; 쪨; 쪨; ) HANGUL SYLLABLE JJYEL
      "\uCAA9",  # (쪩; 쪩; 쪩; 쪩; 쪩; ) HANGUL SYLLABLE JJYELG
      "\uCAAA",  # (쪪; 쪪; 쪪; 쪪; 쪪; ) HANGUL SYLLABLE JJYELM
      "\uCAAB",  # (쪫; 쪫; 쪫; 쪫; 쪫; ) HANGUL SYLLABLE JJYELB
      "\uCAAC",  # (쪬; 쪬; 쪬; 쪬; 쪬; ) HANGUL SYLLABLE JJYELS
      "\uCAAD",  # (쪭; 쪭; 쪭; 쪭; 쪭; ) HANGUL SYLLABLE JJYELT
      "\uCAAE",  # (쪮; 쪮; 쪮; 쪮; 쪮; ) HANGUL SYLLABLE JJYELP
      "\uCAAF",  # (쪯; 쪯; 쪯; 쪯; 쪯; ) HANGUL SYLLABLE JJYELH
      "\uCAB0",  # (쪰; 쪰; 쪰; 쪰; 쪰; ) HANGUL SYLLABLE JJYEM
      "\uCAB1",  # (쪱; 쪱; 쪱; 쪱; 쪱; ) HANGUL SYLLABLE JJYEB
      "\uCAB2",  # (쪲; 쪲; 쪲; 쪲; 쪲; ) HANGUL SYLLABLE JJYEBS
      "\uCAB3",  # (쪳; 쪳; 쪳; 쪳; 쪳; ) HANGUL SYLLABLE JJYES
      "\uCAB4",  # (쪴; 쪴; 쪴; 쪴; 쪴; ) HANGUL SYLLABLE JJYESS
      "\uCAB5",  # (쪵; 쪵; 쪵; 쪵; 쪵; ) HANGUL SYLLABLE JJYENG
      "\uCAB6",  # (쪶; 쪶; 쪶; 쪶; 쪶; ) HANGUL SYLLABLE JJYEJ
      "\uCAB7",  # (쪷; 쪷; 쪷; 쪷; 쪷; ) HANGUL SYLLABLE JJYEC
      "\uCAB8",  # (쪸; 쪸; 쪸; 쪸; 쪸; ) HANGUL SYLLABLE JJYEK
      "\uCAB9",  # (쪹; 쪹; 쪹; 쪹; 쪹; ) HANGUL SYLLABLE JJYET
      "\uCABA",  # (쪺; 쪺; 쪺; 쪺; 쪺; ) HANGUL SYLLABLE JJYEP
      "\uCABB",  # (쪻; 쪻; 쪻; 쪻; 쪻; ) HANGUL SYLLABLE JJYEH
      "\uCABC",  # (쪼; 쪼; 쪼; 쪼; 쪼; ) HANGUL SYLLABLE JJO
      "\uCABD",  # (쪽; 쪽; 쪽; 쪽; 쪽; ) HANGUL SYLLABLE JJOG
      "\uCABE",  # (쪾; 쪾; 쪾; 쪾; 쪾; ) HANGUL SYLLABLE JJOGG
      "\uCABF",  # (쪿; 쪿; 쪿; 쪿; 쪿; ) HANGUL SYLLABLE JJOGS
      "\uCAC0",  # (쫀; 쫀; 쫀; 쫀; 쫀; ) HANGUL SYLLABLE JJON
      "\uCAC1",  # (쫁; 쫁; 쫁; 쫁; 쫁; ) HANGUL SYLLABLE JJONJ
      "\uCAC2",  # (쫂; 쫂; 쫂; 쫂; 쫂; ) HANGUL SYLLABLE JJONH
      "\uCAC3",  # (쫃; 쫃; 쫃; 쫃; 쫃; ) HANGUL SYLLABLE JJOD
      "\uCAC4",  # (쫄; 쫄; 쫄; 쫄; 쫄; ) HANGUL SYLLABLE JJOL
      "\uCAC5",  # (쫅; 쫅; 쫅; 쫅; 쫅; ) HANGUL SYLLABLE JJOLG
      "\uCAC6",  # (쫆; 쫆; 쫆; 쫆; 쫆; ) HANGUL SYLLABLE JJOLM
      "\uCAC7",  # (쫇; 쫇; 쫇; 쫇; 쫇; ) HANGUL SYLLABLE JJOLB
      "\uCAC8",  # (쫈; 쫈; 쫈; 쫈; 쫈; ) HANGUL SYLLABLE JJOLS
      "\uCAC9",  # (쫉; 쫉; 쫉; 쫉; 쫉; ) HANGUL SYLLABLE JJOLT
      "\uCACA",  # (쫊; 쫊; 쫊; 쫊; 쫊; ) HANGUL SYLLABLE JJOLP
      "\uCACB",  # (쫋; 쫋; 쫋; 쫋; 쫋; ) HANGUL SYLLABLE JJOLH
      "\uCACC",  # (쫌; 쫌; 쫌; 쫌; 쫌; ) HANGUL SYLLABLE JJOM
      "\uCACD",  # (쫍; 쫍; 쫍; 쫍; 쫍; ) HANGUL SYLLABLE JJOB
      "\uCACE",  # (쫎; 쫎; 쫎; 쫎; 쫎; ) HANGUL SYLLABLE JJOBS
      "\uCACF",  # (쫏; 쫏; 쫏; 쫏; 쫏; ) HANGUL SYLLABLE JJOS
      "\uCAD0",  # (쫐; 쫐; 쫐; 쫐; 쫐; ) HANGUL SYLLABLE JJOSS
      "\uCAD1",  # (쫑; 쫑; 쫑; 쫑; 쫑; ) HANGUL SYLLABLE JJONG
      "\uCAD2",  # (쫒; 쫒; 쫒; 쫒; 쫒; ) HANGUL SYLLABLE JJOJ
      "\uCAD3",  # (쫓; 쫓; 쫓; 쫓; 쫓; ) HANGUL SYLLABLE JJOC
      "\uCAD4",  # (쫔; 쫔; 쫔; 쫔; 쫔; ) HANGUL SYLLABLE JJOK
      "\uCAD5",  # (쫕; 쫕; 쫕; 쫕; 쫕; ) HANGUL SYLLABLE JJOT
      "\uCAD6",  # (쫖; 쫖; 쫖; 쫖; 쫖; ) HANGUL SYLLABLE JJOP
      "\uCAD7",  # (쫗; 쫗; 쫗; 쫗; 쫗; ) HANGUL SYLLABLE JJOH
      "\uCAD8",  # (쫘; 쫘; 쫘; 쫘; 쫘; ) HANGUL SYLLABLE JJWA
      "\uCAD9",  # (쫙; 쫙; 쫙; 쫙; 쫙; ) HANGUL SYLLABLE JJWAG
      "\uCADA",  # (쫚; 쫚; 쫚; 쫚; 쫚; ) HANGUL SYLLABLE JJWAGG
      "\uCADB",  # (쫛; 쫛; 쫛; 쫛; 쫛; ) HANGUL SYLLABLE JJWAGS
      "\uCADC",  # (쫜; 쫜; 쫜; 쫜; 쫜; ) HANGUL SYLLABLE JJWAN
      "\uCADD",  # (쫝; 쫝; 쫝; 쫝; 쫝; ) HANGUL SYLLABLE JJWANJ
      "\uCADE",  # (쫞; 쫞; 쫞; 쫞; 쫞; ) HANGUL SYLLABLE JJWANH
      "\uCADF",  # (쫟; 쫟; 쫟; 쫟; 쫟; ) HANGUL SYLLABLE JJWAD
      "\uCAE0",  # (쫠; 쫠; 쫠; 쫠; 쫠; ) HANGUL SYLLABLE JJWAL
      "\uCAE1",  # (쫡; 쫡; 쫡; 쫡; 쫡; ) HANGUL SYLLABLE JJWALG
      "\uCAE2",  # (쫢; 쫢; 쫢; 쫢; 쫢; ) HANGUL SYLLABLE JJWALM
      "\uCAE3",  # (쫣; 쫣; 쫣; 쫣; 쫣; ) HANGUL SYLLABLE JJWALB
      "\uCAE4",  # (쫤; 쫤; 쫤; 쫤; 쫤; ) HANGUL SYLLABLE JJWALS
      "\uCAE5",  # (쫥; 쫥; 쫥; 쫥; 쫥; ) HANGUL SYLLABLE JJWALT
      "\uCAE6",  # (쫦; 쫦; 쫦; 쫦; 쫦; ) HANGUL SYLLABLE JJWALP
      "\uCAE7",  # (쫧; 쫧; 쫧; 쫧; 쫧; ) HANGUL SYLLABLE JJWALH
      "\uCAE8",  # (쫨; 쫨; 쫨; 쫨; 쫨; ) HANGUL SYLLABLE JJWAM
      "\uCAE9",  # (쫩; 쫩; 쫩; 쫩; 쫩; ) HANGUL SYLLABLE JJWAB
      "\uCAEA",  # (쫪; 쫪; 쫪; 쫪; 쫪; ) HANGUL SYLLABLE JJWABS
      "\uCAEB",  # (쫫; 쫫; 쫫; 쫫; 쫫; ) HANGUL SYLLABLE JJWAS
      "\uCAEC",  # (쫬; 쫬; 쫬; 쫬; 쫬; ) HANGUL SYLLABLE JJWASS
      "\uCAED",  # (쫭; 쫭; 쫭; 쫭; 쫭; ) HANGUL SYLLABLE JJWANG
      "\uCAEE",  # (쫮; 쫮; 쫮; 쫮; 쫮; ) HANGUL SYLLABLE JJWAJ
      "\uCAEF",  # (쫯; 쫯; 쫯; 쫯; 쫯; ) HANGUL SYLLABLE JJWAC
      "\uCAF0",  # (쫰; 쫰; 쫰; 쫰; 쫰; ) HANGUL SYLLABLE JJWAK
      "\uCAF1",  # (쫱; 쫱; 쫱; 쫱; 쫱; ) HANGUL SYLLABLE JJWAT
      "\uCAF2",  # (쫲; 쫲; 쫲; 쫲; 쫲; ) HANGUL SYLLABLE JJWAP
      "\uCAF3",  # (쫳; 쫳; 쫳; 쫳; 쫳; ) HANGUL SYLLABLE JJWAH
      "\uCAF4",  # (쫴; 쫴; 쫴; 쫴; 쫴; ) HANGUL SYLLABLE JJWAE
      "\uCAF5",  # (쫵; 쫵; 쫵; 쫵; 쫵; ) HANGUL SYLLABLE JJWAEG
      "\uCAF6",  # (쫶; 쫶; 쫶; 쫶; 쫶; ) HANGUL SYLLABLE JJWAEGG
      "\uCAF7",  # (쫷; 쫷; 쫷; 쫷; 쫷; ) HANGUL SYLLABLE JJWAEGS
      "\uCAF8",  # (쫸; 쫸; 쫸; 쫸; 쫸; ) HANGUL SYLLABLE JJWAEN
      "\uCAF9",  # (쫹; 쫹; 쫹; 쫹; 쫹; ) HANGUL SYLLABLE JJWAENJ
      "\uCAFA",  # (쫺; 쫺; 쫺; 쫺; 쫺; ) HANGUL SYLLABLE JJWAENH
      "\uCAFB",  # (쫻; 쫻; 쫻; 쫻; 쫻; ) HANGUL SYLLABLE JJWAED
      "\uCAFC",  # (쫼; 쫼; 쫼; 쫼; 쫼; ) HANGUL SYLLABLE JJWAEL
      "\uCAFD",  # (쫽; 쫽; 쫽; 쫽; 쫽; ) HANGUL SYLLABLE JJWAELG
      "\uCAFE",  # (쫾; 쫾; 쫾; 쫾; 쫾; ) HANGUL SYLLABLE JJWAELM
      "\uCAFF",  # (쫿; 쫿; 쫿; 쫿; 쫿; ) HANGUL SYLLABLE JJWAELB
      "\uCB00",  # (쬀; 쬀; 쬀; 쬀; 쬀; ) HANGUL SYLLABLE JJWAELS
      "\uCB01",  # (쬁; 쬁; 쬁; 쬁; 쬁; ) HANGUL SYLLABLE JJWAELT
      "\uCB02",  # (쬂; 쬂; 쬂; 쬂; 쬂; ) HANGUL SYLLABLE JJWAELP
      "\uCB03",  # (쬃; 쬃; 쬃; 쬃; 쬃; ) HANGUL SYLLABLE JJWAELH
      "\uCB04",  # (쬄; 쬄; 쬄; 쬄; 쬄; ) HANGUL SYLLABLE JJWAEM
      "\uCB05",  # (쬅; 쬅; 쬅; 쬅; 쬅; ) HANGUL SYLLABLE JJWAEB
      "\uCB06",  # (쬆; 쬆; 쬆; 쬆; 쬆; ) HANGUL SYLLABLE JJWAEBS
      "\uCB07",  # (쬇; 쬇; 쬇; 쬇; 쬇; ) HANGUL SYLLABLE JJWAES
      "\uCB08",  # (쬈; 쬈; 쬈; 쬈; 쬈; ) HANGUL SYLLABLE JJWAESS
      "\uCB09",  # (쬉; 쬉; 쬉; 쬉; 쬉; ) HANGUL SYLLABLE JJWAENG
      "\uCB0A",  # (쬊; 쬊; 쬊; 쬊; 쬊; ) HANGUL SYLLABLE JJWAEJ
      "\uCB0B",  # (쬋; 쬋; 쬋; 쬋; 쬋; ) HANGUL SYLLABLE JJWAEC
      "\uCB0C",  # (쬌; 쬌; 쬌; 쬌; 쬌; ) HANGUL SYLLABLE JJWAEK
      "\uCB0D",  # (쬍; 쬍; 쬍; 쬍; 쬍; ) HANGUL SYLLABLE JJWAET
      "\uCB0E",  # (쬎; 쬎; 쬎; 쬎; 쬎; ) HANGUL SYLLABLE JJWAEP
      "\uCB0F",  # (쬏; 쬏; 쬏; 쬏; 쬏; ) HANGUL SYLLABLE JJWAEH
      "\uCB10",  # (쬐; 쬐; 쬐; 쬐; 쬐; ) HANGUL SYLLABLE JJOE
      "\uCB11",  # (쬑; 쬑; 쬑; 쬑; 쬑; ) HANGUL SYLLABLE JJOEG
      "\uCB12",  # (쬒; 쬒; 쬒; 쬒; 쬒; ) HANGUL SYLLABLE JJOEGG
      "\uCB13",  # (쬓; 쬓; 쬓; 쬓; 쬓; ) HANGUL SYLLABLE JJOEGS
      "\uCB14",  # (쬔; 쬔; 쬔; 쬔; 쬔; ) HANGUL SYLLABLE JJOEN
      "\uCB15",  # (쬕; 쬕; 쬕; 쬕; 쬕; ) HANGUL SYLLABLE JJOENJ
      "\uCB16",  # (쬖; 쬖; 쬖; 쬖; 쬖; ) HANGUL SYLLABLE JJOENH
      "\uCB17",  # (쬗; 쬗; 쬗; 쬗; 쬗; ) HANGUL SYLLABLE JJOED
      "\uCB18",  # (쬘; 쬘; 쬘; 쬘; 쬘; ) HANGUL SYLLABLE JJOEL
      "\uCB19",  # (쬙; 쬙; 쬙; 쬙; 쬙; ) HANGUL SYLLABLE JJOELG
      "\uCB1A",  # (쬚; 쬚; 쬚; 쬚; 쬚; ) HANGUL SYLLABLE JJOELM
      "\uCB1B",  # (쬛; 쬛; 쬛; 쬛; 쬛; ) HANGUL SYLLABLE JJOELB
      "\uCB1C",  # (쬜; 쬜; 쬜; 쬜; 쬜; ) HANGUL SYLLABLE JJOELS
      "\uCB1D",  # (쬝; 쬝; 쬝; 쬝; 쬝; ) HANGUL SYLLABLE JJOELT
      "\uCB1E",  # (쬞; 쬞; 쬞; 쬞; 쬞; ) HANGUL SYLLABLE JJOELP
      "\uCB1F",  # (쬟; 쬟; 쬟; 쬟; 쬟; ) HANGUL SYLLABLE JJOELH
      "\uCB20",  # (쬠; 쬠; 쬠; 쬠; 쬠; ) HANGUL SYLLABLE JJOEM
      "\uCB21",  # (쬡; 쬡; 쬡; 쬡; 쬡; ) HANGUL SYLLABLE JJOEB
      "\uCB22",  # (쬢; 쬢; 쬢; 쬢; 쬢; ) HANGUL SYLLABLE JJOEBS
      "\uCB23",  # (쬣; 쬣; 쬣; 쬣; 쬣; ) HANGUL SYLLABLE JJOES
      "\uCB24",  # (쬤; 쬤; 쬤; 쬤; 쬤; ) HANGUL SYLLABLE JJOESS
      "\uCB25",  # (쬥; 쬥; 쬥; 쬥; 쬥; ) HANGUL SYLLABLE JJOENG
      "\uCB26",  # (쬦; 쬦; 쬦; 쬦; 쬦; ) HANGUL SYLLABLE JJOEJ
      "\uCB27",  # (쬧; 쬧; 쬧; 쬧; 쬧; ) HANGUL SYLLABLE JJOEC
      "\uCB28",  # (쬨; 쬨; 쬨; 쬨; 쬨; ) HANGUL SYLLABLE JJOEK
      "\uCB29",  # (쬩; 쬩; 쬩; 쬩; 쬩; ) HANGUL SYLLABLE JJOET
      "\uCB2A",  # (쬪; 쬪; 쬪; 쬪; 쬪; ) HANGUL SYLLABLE JJOEP
      "\uCB2B",  # (쬫; 쬫; 쬫; 쬫; 쬫; ) HANGUL SYLLABLE JJOEH
      "\uCB2C",  # (쬬; 쬬; 쬬; 쬬; 쬬; ) HANGUL SYLLABLE JJYO
      "\uCB2D",  # (쬭; 쬭; 쬭; 쬭; 쬭; ) HANGUL SYLLABLE JJYOG
      "\uCB2E",  # (쬮; 쬮; 쬮; 쬮; 쬮; ) HANGUL SYLLABLE JJYOGG
      "\uCB2F",  # (쬯; 쬯; 쬯; 쬯; 쬯; ) HANGUL SYLLABLE JJYOGS
      "\uCB30",  # (쬰; 쬰; 쬰; 쬰; 쬰; ) HANGUL SYLLABLE JJYON
      "\uCB31",  # (쬱; 쬱; 쬱; 쬱; 쬱; ) HANGUL SYLLABLE JJYONJ
      "\uCB32",  # (쬲; 쬲; 쬲; 쬲; 쬲; ) HANGUL SYLLABLE JJYONH
      "\uCB33",  # (쬳; 쬳; 쬳; 쬳; 쬳; ) HANGUL SYLLABLE JJYOD
      "\uCB34",  # (쬴; 쬴; 쬴; 쬴; 쬴; ) HANGUL SYLLABLE JJYOL
      "\uCB35",  # (쬵; 쬵; 쬵; 쬵; 쬵; ) HANGUL SYLLABLE JJYOLG
      "\uCB36",  # (쬶; 쬶; 쬶; 쬶; 쬶; ) HANGUL SYLLABLE JJYOLM
      "\uCB37",  # (쬷; 쬷; 쬷; 쬷; 쬷; ) HANGUL SYLLABLE JJYOLB
      "\uCB38",  # (쬸; 쬸; 쬸; 쬸; 쬸; ) HANGUL SYLLABLE JJYOLS
      "\uCB39",  # (쬹; 쬹; 쬹; 쬹; 쬹; ) HANGUL SYLLABLE JJYOLT
      "\uCB3A",  # (쬺; 쬺; 쬺; 쬺; 쬺; ) HANGUL SYLLABLE JJYOLP
      "\uCB3B",  # (쬻; 쬻; 쬻; 쬻; 쬻; ) HANGUL SYLLABLE JJYOLH
      "\uCB3C",  # (쬼; 쬼; 쬼; 쬼; 쬼; ) HANGUL SYLLABLE JJYOM
      "\uCB3D",  # (쬽; 쬽; 쬽; 쬽; 쬽; ) HANGUL SYLLABLE JJYOB
      "\uCB3E",  # (쬾; 쬾; 쬾; 쬾; 쬾; ) HANGUL SYLLABLE JJYOBS
      "\uCB3F",  # (쬿; 쬿; 쬿; 쬿; 쬿; ) HANGUL SYLLABLE JJYOS
      "\uCB40",  # (쭀; 쭀; 쭀; 쭀; 쭀; ) HANGUL SYLLABLE JJYOSS
      "\uCB41",  # (쭁; 쭁; 쭁; 쭁; 쭁; ) HANGUL SYLLABLE JJYONG
      "\uCB42",  # (쭂; 쭂; 쭂; 쭂; 쭂; ) HANGUL SYLLABLE JJYOJ
      "\uCB43",  # (쭃; 쭃; 쭃; 쭃; 쭃; ) HANGUL SYLLABLE JJYOC
      "\uCB44",  # (쭄; 쭄; 쭄; 쭄; 쭄; ) HANGUL SYLLABLE JJYOK
      "\uCB45",  # (쭅; 쭅; 쭅; 쭅; 쭅; ) HANGUL SYLLABLE JJYOT
      "\uCB46",  # (쭆; 쭆; 쭆; 쭆; 쭆; ) HANGUL SYLLABLE JJYOP
      "\uCB47",  # (쭇; 쭇; 쭇; 쭇; 쭇; ) HANGUL SYLLABLE JJYOH
      "\uCB48",  # (쭈; 쭈; 쭈; 쭈; 쭈; ) HANGUL SYLLABLE JJU
      "\uCB49",  # (쭉; 쭉; 쭉; 쭉; 쭉; ) HANGUL SYLLABLE JJUG
      "\uCB4A",  # (쭊; 쭊; 쭊; 쭊; 쭊; ) HANGUL SYLLABLE JJUGG
      "\uCB4B",  # (쭋; 쭋; 쭋; 쭋; 쭋; ) HANGUL SYLLABLE JJUGS
      "\uCB4C",  # (쭌; 쭌; 쭌; 쭌; 쭌; ) HANGUL SYLLABLE JJUN
      "\uCB4D",  # (쭍; 쭍; 쭍; 쭍; 쭍; ) HANGUL SYLLABLE JJUNJ
      "\uCB4E",  # (쭎; 쭎; 쭎; 쭎; 쭎; ) HANGUL SYLLABLE JJUNH
      "\uCB4F",  # (쭏; 쭏; 쭏; 쭏; 쭏; ) HANGUL SYLLABLE JJUD
      "\uCB50",  # (쭐; 쭐; 쭐; 쭐; 쭐; ) HANGUL SYLLABLE JJUL
      "\uCB51",  # (쭑; 쭑; 쭑; 쭑; 쭑; ) HANGUL SYLLABLE JJULG
      "\uCB52",  # (쭒; 쭒; 쭒; 쭒; 쭒; ) HANGUL SYLLABLE JJULM
      "\uCB53",  # (쭓; 쭓; 쭓; 쭓; 쭓; ) HANGUL SYLLABLE JJULB
      "\uCB54",  # (쭔; 쭔; 쭔; 쭔; 쭔; ) HANGUL SYLLABLE JJULS
      "\uCB55",  # (쭕; 쭕; 쭕; 쭕; 쭕; ) HANGUL SYLLABLE JJULT
      "\uCB56",  # (쭖; 쭖; 쭖; 쭖; 쭖; ) HANGUL SYLLABLE JJULP
      "\uCB57",  # (쭗; 쭗; 쭗; 쭗; 쭗; ) HANGUL SYLLABLE JJULH
      "\uCB58",  # (쭘; 쭘; 쭘; 쭘; 쭘; ) HANGUL SYLLABLE JJUM
      "\uCB59",  # (쭙; 쭙; 쭙; 쭙; 쭙; ) HANGUL SYLLABLE JJUB
      "\uCB5A",  # (쭚; 쭚; 쭚; 쭚; 쭚; ) HANGUL SYLLABLE JJUBS
      "\uCB5B",  # (쭛; 쭛; 쭛; 쭛; 쭛; ) HANGUL SYLLABLE JJUS
      "\uCB5C",  # (쭜; 쭜; 쭜; 쭜; 쭜; ) HANGUL SYLLABLE JJUSS
      "\uCB5D",  # (쭝; 쭝; 쭝; 쭝; 쭝; ) HANGUL SYLLABLE JJUNG
      "\uCB5E",  # (쭞; 쭞; 쭞; 쭞; 쭞; ) HANGUL SYLLABLE JJUJ
      "\uCB5F",  # (쭟; 쭟; 쭟; 쭟; 쭟; ) HANGUL SYLLABLE JJUC
      "\uCB60",  # (쭠; 쭠; 쭠; 쭠; 쭠; ) HANGUL SYLLABLE JJUK
      "\uCB61",  # (쭡; 쭡; 쭡; 쭡; 쭡; ) HANGUL SYLLABLE JJUT
      "\uCB62",  # (쭢; 쭢; 쭢; 쭢; 쭢; ) HANGUL SYLLABLE JJUP
      "\uCB63",  # (쭣; 쭣; 쭣; 쭣; 쭣; ) HANGUL SYLLABLE JJUH
      "\uCB64",  # (쭤; 쭤; 쭤; 쭤; 쭤; ) HANGUL SYLLABLE JJWEO
      "\uCB65",  # (쭥; 쭥; 쭥; 쭥; 쭥; ) HANGUL SYLLABLE JJWEOG
      "\uCB66",  # (쭦; 쭦; 쭦; 쭦; 쭦; ) HANGUL SYLLABLE JJWEOGG
      "\uCB67",  # (쭧; 쭧; 쭧; 쭧; 쭧; ) HANGUL SYLLABLE JJWEOGS
      "\uCB68",  # (쭨; 쭨; 쭨; 쭨; 쭨; ) HANGUL SYLLABLE JJWEON
      "\uCB69",  # (쭩; 쭩; 쭩; 쭩; 쭩; ) HANGUL SYLLABLE JJWEONJ
      "\uCB6A",  # (쭪; 쭪; 쭪; 쭪; 쭪; ) HANGUL SYLLABLE JJWEONH
      "\uCB6B",  # (쭫; 쭫; 쭫; 쭫; 쭫; ) HANGUL SYLLABLE JJWEOD
      "\uCB6C",  # (쭬; 쭬; 쭬; 쭬; 쭬; ) HANGUL SYLLABLE JJWEOL
      "\uCB6D",  # (쭭; 쭭; 쭭; 쭭; 쭭; ) HANGUL SYLLABLE JJWEOLG
      "\uCB6E",  # (쭮; 쭮; 쭮; 쭮; 쭮; ) HANGUL SYLLABLE JJWEOLM
      "\uCB6F",  # (쭯; 쭯; 쭯; 쭯; 쭯; ) HANGUL SYLLABLE JJWEOLB
      "\uCB70",  # (쭰; 쭰; 쭰; 쭰; 쭰; ) HANGUL SYLLABLE JJWEOLS
      "\uCB71",  # (쭱; 쭱; 쭱; 쭱; 쭱; ) HANGUL SYLLABLE JJWEOLT
      "\uCB72",  # (쭲; 쭲; 쭲; 쭲; 쭲; ) HANGUL SYLLABLE JJWEOLP
      "\uCB73",  # (쭳; 쭳; 쭳; 쭳; 쭳; ) HANGUL SYLLABLE JJWEOLH
      "\uCB74",  # (쭴; 쭴; 쭴; 쭴; 쭴; ) HANGUL SYLLABLE JJWEOM
      "\uCB75",  # (쭵; 쭵; 쭵; 쭵; 쭵; ) HANGUL SYLLABLE JJWEOB
      "\uCB76",  # (쭶; 쭶; 쭶; 쭶; 쭶; ) HANGUL SYLLABLE JJWEOBS
      "\uCB77",  # (쭷; 쭷; 쭷; 쭷; 쭷; ) HANGUL SYLLABLE JJWEOS
      "\uCB78",  # (쭸; 쭸; 쭸; 쭸; 쭸; ) HANGUL SYLLABLE JJWEOSS
      "\uCB79",  # (쭹; 쭹; 쭹; 쭹; 쭹; ) HANGUL SYLLABLE JJWEONG
      "\uCB7A",  # (쭺; 쭺; 쭺; 쭺; 쭺; ) HANGUL SYLLABLE JJWEOJ
      "\uCB7B",  # (쭻; 쭻; 쭻; 쭻; 쭻; ) HANGUL SYLLABLE JJWEOC
      "\uCB7C",  # (쭼; 쭼; 쭼; 쭼; 쭼; ) HANGUL SYLLABLE JJWEOK
      "\uCB7D",  # (쭽; 쭽; 쭽; 쭽; 쭽; ) HANGUL SYLLABLE JJWEOT
      "\uCB7E",  # (쭾; 쭾; 쭾; 쭾; 쭾; ) HANGUL SYLLABLE JJWEOP
      "\uCB7F",  # (쭿; 쭿; 쭿; 쭿; 쭿; ) HANGUL SYLLABLE JJWEOH
      "\uCB80",  # (쮀; 쮀; 쮀; 쮀; 쮀; ) HANGUL SYLLABLE JJWE
      "\uCB81",  # (쮁; 쮁; 쮁; 쮁; 쮁; ) HANGUL SYLLABLE JJWEG
      "\uCB82",  # (쮂; 쮂; 쮂; 쮂; 쮂; ) HANGUL SYLLABLE JJWEGG
      "\uCB83",  # (쮃; 쮃; 쮃; 쮃; 쮃; ) HANGUL SYLLABLE JJWEGS
      "\uCB84",  # (쮄; 쮄; 쮄; 쮄; 쮄; ) HANGUL SYLLABLE JJWEN
      "\uCB85",  # (쮅; 쮅; 쮅; 쮅; 쮅; ) HANGUL SYLLABLE JJWENJ
      "\uCB86",  # (쮆; 쮆; 쮆; 쮆; 쮆; ) HANGUL SYLLABLE JJWENH
      "\uCB87",  # (쮇; 쮇; 쮇; 쮇; 쮇; ) HANGUL SYLLABLE JJWED
      "\uCB88",  # (쮈; 쮈; 쮈; 쮈; 쮈; ) HANGUL SYLLABLE JJWEL
      "\uCB89",  # (쮉; 쮉; 쮉; 쮉; 쮉; ) HANGUL SYLLABLE JJWELG
      "\uCB8A",  # (쮊; 쮊; 쮊; 쮊; 쮊; ) HANGUL SYLLABLE JJWELM
      "\uCB8B",  # (쮋; 쮋; 쮋; 쮋; 쮋; ) HANGUL SYLLABLE JJWELB
      "\uCB8C",  # (쮌; 쮌; 쮌; 쮌; 쮌; ) HANGUL SYLLABLE JJWELS
      "\uCB8D",  # (쮍; 쮍; 쮍; 쮍; 쮍; ) HANGUL SYLLABLE JJWELT
      "\uCB8E",  # (쮎; 쮎; 쮎; 쮎; 쮎; ) HANGUL SYLLABLE JJWELP
      "\uCB8F",  # (쮏; 쮏; 쮏; 쮏; 쮏; ) HANGUL SYLLABLE JJWELH
      "\uCB90",  # (쮐; 쮐; 쮐; 쮐; 쮐; ) HANGUL SYLLABLE JJWEM
      "\uCB91",  # (쮑; 쮑; 쮑; 쮑; 쮑; ) HANGUL SYLLABLE JJWEB
      "\uCB92",  # (쮒; 쮒; 쮒; 쮒; 쮒; ) HANGUL SYLLABLE JJWEBS
      "\uCB93",  # (쮓; 쮓; 쮓; 쮓; 쮓; ) HANGUL SYLLABLE JJWES
      "\uCB94",  # (쮔; 쮔; 쮔; 쮔; 쮔; ) HANGUL SYLLABLE JJWESS
      "\uCB95",  # (쮕; 쮕; 쮕; 쮕; 쮕; ) HANGUL SYLLABLE JJWENG
      "\uCB96",  # (쮖; 쮖; 쮖; 쮖; 쮖; ) HANGUL SYLLABLE JJWEJ
      "\uCB97",  # (쮗; 쮗; 쮗; 쮗; 쮗; ) HANGUL SYLLABLE JJWEC
      "\uCB98",  # (쮘; 쮘; 쮘; 쮘; 쮘; ) HANGUL SYLLABLE JJWEK
      "\uCB99",  # (쮙; 쮙; 쮙; 쮙; 쮙; ) HANGUL SYLLABLE JJWET
      "\uCB9A",  # (쮚; 쮚; 쮚; 쮚; 쮚; ) HANGUL SYLLABLE JJWEP
      "\uCB9B",  # (쮛; 쮛; 쮛; 쮛; 쮛; ) HANGUL SYLLABLE JJWEH
      "\uCB9C",  # (쮜; 쮜; 쮜; 쮜; 쮜; ) HANGUL SYLLABLE JJWI
      "\uCB9D",  # (쮝; 쮝; 쮝; 쮝; 쮝; ) HANGUL SYLLABLE JJWIG
      "\uCB9E",  # (쮞; 쮞; 쮞; 쮞; 쮞; ) HANGUL SYLLABLE JJWIGG
      "\uCB9F",  # (쮟; 쮟; 쮟; 쮟; 쮟; ) HANGUL SYLLABLE JJWIGS
      "\uCBA0",  # (쮠; 쮠; 쮠; 쮠; 쮠; ) HANGUL SYLLABLE JJWIN
      "\uCBA1",  # (쮡; 쮡; 쮡; 쮡; 쮡; ) HANGUL SYLLABLE JJWINJ
      "\uCBA2",  # (쮢; 쮢; 쮢; 쮢; 쮢; ) HANGUL SYLLABLE JJWINH
      "\uCBA3",  # (쮣; 쮣; 쮣; 쮣; 쮣; ) HANGUL SYLLABLE JJWID
      "\uCBA4",  # (쮤; 쮤; 쮤; 쮤; 쮤; ) HANGUL SYLLABLE JJWIL
      "\uCBA5",  # (쮥; 쮥; 쮥; 쮥; 쮥; ) HANGUL SYLLABLE JJWILG
      "\uCBA6",  # (쮦; 쮦; 쮦; 쮦; 쮦; ) HANGUL SYLLABLE JJWILM
      "\uCBA7",  # (쮧; 쮧; 쮧; 쮧; 쮧; ) HANGUL SYLLABLE JJWILB
      "\uCBA8",  # (쮨; 쮨; 쮨; 쮨; 쮨; ) HANGUL SYLLABLE JJWILS
      "\uCBA9",  # (쮩; 쮩; 쮩; 쮩; 쮩; ) HANGUL SYLLABLE JJWILT
      "\uCBAA",  # (쮪; 쮪; 쮪; 쮪; 쮪; ) HANGUL SYLLABLE JJWILP
      "\uCBAB",  # (쮫; 쮫; 쮫; 쮫; 쮫; ) HANGUL SYLLABLE JJWILH
      "\uCBAC",  # (쮬; 쮬; 쮬; 쮬; 쮬; ) HANGUL SYLLABLE JJWIM
      "\uCBAD",  # (쮭; 쮭; 쮭; 쮭; 쮭; ) HANGUL SYLLABLE JJWIB
      "\uCBAE",  # (쮮; 쮮; 쮮; 쮮; 쮮; ) HANGUL SYLLABLE JJWIBS
      "\uCBAF",  # (쮯; 쮯; 쮯; 쮯; 쮯; ) HANGUL SYLLABLE JJWIS
      "\uCBB0",  # (쮰; 쮰; 쮰; 쮰; 쮰; ) HANGUL SYLLABLE JJWISS
      "\uCBB1",  # (쮱; 쮱; 쮱; 쮱; 쮱; ) HANGUL SYLLABLE JJWING
      "\uCBB2",  # (쮲; 쮲; 쮲; 쮲; 쮲; ) HANGUL SYLLABLE JJWIJ
      "\uCBB3",  # (쮳; 쮳; 쮳; 쮳; 쮳; ) HANGUL SYLLABLE JJWIC
      "\uCBB4",  # (쮴; 쮴; 쮴; 쮴; 쮴; ) HANGUL SYLLABLE JJWIK
      "\uCBB5",  # (쮵; 쮵; 쮵; 쮵; 쮵; ) HANGUL SYLLABLE JJWIT
      "\uCBB6",  # (쮶; 쮶; 쮶; 쮶; 쮶; ) HANGUL SYLLABLE JJWIP
      "\uCBB7",  # (쮷; 쮷; 쮷; 쮷; 쮷; ) HANGUL SYLLABLE JJWIH
      "\uCBB8",  # (쮸; 쮸; 쮸; 쮸; 쮸; ) HANGUL SYLLABLE JJYU
      "\uCBB9",  # (쮹; 쮹; 쮹; 쮹; 쮹; ) HANGUL SYLLABLE JJYUG
      "\uCBBA",  # (쮺; 쮺; 쮺; 쮺; 쮺; ) HANGUL SYLLABLE JJYUGG
      "\uCBBB",  # (쮻; 쮻; 쮻; 쮻; 쮻; ) HANGUL SYLLABLE JJYUGS
      "\uCBBC",  # (쮼; 쮼; 쮼; 쮼; 쮼; ) HANGUL SYLLABLE JJYUN
      "\uCBBD",  # (쮽; 쮽; 쮽; 쮽; 쮽; ) HANGUL SYLLABLE JJYUNJ
      "\uCBBE",  # (쮾; 쮾; 쮾; 쮾; 쮾; ) HANGUL SYLLABLE JJYUNH
      "\uCBBF",  # (쮿; 쮿; 쮿; 쮿; 쮿; ) HANGUL SYLLABLE JJYUD
      "\uCBC0",  # (쯀; 쯀; 쯀; 쯀; 쯀; ) HANGUL SYLLABLE JJYUL
      "\uCBC1",  # (쯁; 쯁; 쯁; 쯁; 쯁; ) HANGUL SYLLABLE JJYULG
      "\uCBC2",  # (쯂; 쯂; 쯂; 쯂; 쯂; ) HANGUL SYLLABLE JJYULM
      "\uCBC3",  # (쯃; 쯃; 쯃; 쯃; 쯃; ) HANGUL SYLLABLE JJYULB
      "\uCBC4",  # (쯄; 쯄; 쯄; 쯄; 쯄; ) HANGUL SYLLABLE JJYULS
      "\uCBC5",  # (쯅; 쯅; 쯅; 쯅; 쯅; ) HANGUL SYLLABLE JJYULT
      "\uCBC6",  # (쯆; 쯆; 쯆; 쯆; 쯆; ) HANGUL SYLLABLE JJYULP
      "\uCBC7",  # (쯇; 쯇; 쯇; 쯇; 쯇; ) HANGUL SYLLABLE JJYULH
      "\uCBC8",  # (쯈; 쯈; 쯈; 쯈; 쯈; ) HANGUL SYLLABLE JJYUM
      "\uCBC9",  # (쯉; 쯉; 쯉; 쯉; 쯉; ) HANGUL SYLLABLE JJYUB
      "\uCBCA",  # (쯊; 쯊; 쯊; 쯊; 쯊; ) HANGUL SYLLABLE JJYUBS
      "\uCBCB",  # (쯋; 쯋; 쯋; 쯋; 쯋; ) HANGUL SYLLABLE JJYUS
      "\uCBCC",  # (쯌; 쯌; 쯌; 쯌; 쯌; ) HANGUL SYLLABLE JJYUSS
      "\uCBCD",  # (쯍; 쯍; 쯍; 쯍; 쯍; ) HANGUL SYLLABLE JJYUNG
      "\uCBCE",  # (쯎; 쯎; 쯎; 쯎; 쯎; ) HANGUL SYLLABLE JJYUJ
      "\uCBCF",  # (쯏; 쯏; 쯏; 쯏; 쯏; ) HANGUL SYLLABLE JJYUC
      "\uCBD0",  # (쯐; 쯐; 쯐; 쯐; 쯐; ) HANGUL SYLLABLE JJYUK
      "\uCBD1",  # (쯑; 쯑; 쯑; 쯑; 쯑; ) HANGUL SYLLABLE JJYUT
      "\uCBD2",  # (쯒; 쯒; 쯒; 쯒; 쯒; ) HANGUL SYLLABLE JJYUP
      "\uCBD3",  # (쯓; 쯓; 쯓; 쯓; 쯓; ) HANGUL SYLLABLE JJYUH
      "\uCBD4",  # (쯔; 쯔; 쯔; 쯔; 쯔; ) HANGUL SYLLABLE JJEU
      "\uCBD5",  # (쯕; 쯕; 쯕; 쯕; 쯕; ) HANGUL SYLLABLE JJEUG
      "\uCBD6",  # (쯖; 쯖; 쯖; 쯖; 쯖; ) HANGUL SYLLABLE JJEUGG
      "\uCBD7",  # (쯗; 쯗; 쯗; 쯗; 쯗; ) HANGUL SYLLABLE JJEUGS
      "\uCBD8",  # (쯘; 쯘; 쯘; 쯘; 쯘; ) HANGUL SYLLABLE JJEUN
      "\uCBD9",  # (쯙; 쯙; 쯙; 쯙; 쯙; ) HANGUL SYLLABLE JJEUNJ
      "\uCBDA",  # (쯚; 쯚; 쯚; 쯚; 쯚; ) HANGUL SYLLABLE JJEUNH
      "\uCBDB",  # (쯛; 쯛; 쯛; 쯛; 쯛; ) HANGUL SYLLABLE JJEUD
      "\uCBDC",  # (쯜; 쯜; 쯜; 쯜; 쯜; ) HANGUL SYLLABLE JJEUL
      "\uCBDD",  # (쯝; 쯝; 쯝; 쯝; 쯝; ) HANGUL SYLLABLE JJEULG
      "\uCBDE",  # (쯞; 쯞; 쯞; 쯞; 쯞; ) HANGUL SYLLABLE JJEULM
      "\uCBDF",  # (쯟; 쯟; 쯟; 쯟; 쯟; ) HANGUL SYLLABLE JJEULB
      "\uCBE0",  # (쯠; 쯠; 쯠; 쯠; 쯠; ) HANGUL SYLLABLE JJEULS
      "\uCBE1",  # (쯡; 쯡; 쯡; 쯡; 쯡; ) HANGUL SYLLABLE JJEULT
      "\uCBE2",  # (쯢; 쯢; 쯢; 쯢; 쯢; ) HANGUL SYLLABLE JJEULP
      "\uCBE3",  # (쯣; 쯣; 쯣; 쯣; 쯣; ) HANGUL SYLLABLE JJEULH
      "\uCBE4",  # (쯤; 쯤; 쯤; 쯤; 쯤; ) HANGUL SYLLABLE JJEUM
      "\uCBE5",  # (쯥; 쯥; 쯥; 쯥; 쯥; ) HANGUL SYLLABLE JJEUB
      "\uCBE6",  # (쯦; 쯦; 쯦; 쯦; 쯦; ) HANGUL SYLLABLE JJEUBS
      "\uCBE7",  # (쯧; 쯧; 쯧; 쯧; 쯧; ) HANGUL SYLLABLE JJEUS
      "\uCBE8",  # (쯨; 쯨; 쯨; 쯨; 쯨; ) HANGUL SYLLABLE JJEUSS
      "\uCBE9",  # (쯩; 쯩; 쯩; 쯩; 쯩; ) HANGUL SYLLABLE JJEUNG
      "\uCBEA",  # (쯪; 쯪; 쯪; 쯪; 쯪; ) HANGUL SYLLABLE JJEUJ
      "\uCBEB",  # (쯫; 쯫; 쯫; 쯫; 쯫; ) HANGUL SYLLABLE JJEUC
      "\uCBEC",  # (쯬; 쯬; 쯬; 쯬; 쯬; ) HANGUL SYLLABLE JJEUK
      "\uCBED",  # (쯭; 쯭; 쯭; 쯭; 쯭; ) HANGUL SYLLABLE JJEUT
      "\uCBEE",  # (쯮; 쯮; 쯮; 쯮; 쯮; ) HANGUL SYLLABLE JJEUP
      "\uCBEF",  # (쯯; 쯯; 쯯; 쯯; 쯯; ) HANGUL SYLLABLE JJEUH
      "\uCBF0",  # (쯰; 쯰; 쯰; 쯰; 쯰; ) HANGUL SYLLABLE JJYI
      "\uCBF1",  # (쯱; 쯱; 쯱; 쯱; 쯱; ) HANGUL SYLLABLE JJYIG
      "\uCBF2",  # (쯲; 쯲; 쯲; 쯲; 쯲; ) HANGUL SYLLABLE JJYIGG
      "\uCBF3",  # (쯳; 쯳; 쯳; 쯳; 쯳; ) HANGUL SYLLABLE JJYIGS
      "\uCBF4",  # (쯴; 쯴; 쯴; 쯴; 쯴; ) HANGUL SYLLABLE JJYIN
      "\uCBF5",  # (쯵; 쯵; 쯵; 쯵; 쯵; ) HANGUL SYLLABLE JJYINJ
      "\uCBF6",  # (쯶; 쯶; 쯶; 쯶; 쯶; ) HANGUL SYLLABLE JJYINH
      "\uCBF7",  # (쯷; 쯷; 쯷; 쯷; 쯷; ) HANGUL SYLLABLE JJYID
      "\uCBF8",  # (쯸; 쯸; 쯸; 쯸; 쯸; ) HANGUL SYLLABLE JJYIL
      "\uCBF9",  # (쯹; 쯹; 쯹; 쯹; 쯹; ) HANGUL SYLLABLE JJYILG
      "\uCBFA",  # (쯺; 쯺; 쯺; 쯺; 쯺; ) HANGUL SYLLABLE JJYILM
      "\uCBFB",  # (쯻; 쯻; 쯻; 쯻; 쯻; ) HANGUL SYLLABLE JJYILB
      "\uCBFC",  # (쯼; 쯼; 쯼; 쯼; 쯼; ) HANGUL SYLLABLE JJYILS
      "\uCBFD",  # (쯽; 쯽; 쯽; 쯽; 쯽; ) HANGUL SYLLABLE JJYILT
      "\uCBFE",  # (쯾; 쯾; 쯾; 쯾; 쯾; ) HANGUL SYLLABLE JJYILP
      "\uCBFF",  # (쯿; 쯿; 쯿; 쯿; 쯿; ) HANGUL SYLLABLE JJYILH
      "\uCC00",  # (찀; 찀; 찀; 찀; 찀; ) HANGUL SYLLABLE JJYIM
      "\uCC01",  # (찁; 찁; 찁; 찁; 찁; ) HANGUL SYLLABLE JJYIB
      "\uCC02",  # (찂; 찂; 찂; 찂; 찂; ) HANGUL SYLLABLE JJYIBS
      "\uCC03",  # (찃; 찃; 찃; 찃; 찃; ) HANGUL SYLLABLE JJYIS
      "\uCC04",  # (찄; 찄; 찄; 찄; 찄; ) HANGUL SYLLABLE JJYISS
      "\uCC05",  # (찅; 찅; 찅; 찅; 찅; ) HANGUL SYLLABLE JJYING
      "\uCC06",  # (찆; 찆; 찆; 찆; 찆; ) HANGUL SYLLABLE JJYIJ
      "\uCC07",  # (찇; 찇; 찇; 찇; 찇; ) HANGUL SYLLABLE JJYIC
      "\uCC08",  # (찈; 찈; 찈; 찈; 찈; ) HANGUL SYLLABLE JJYIK
      "\uCC09",  # (찉; 찉; 찉; 찉; 찉; ) HANGUL SYLLABLE JJYIT
      "\uCC0A",  # (찊; 찊; 찊; 찊; 찊; ) HANGUL SYLLABLE JJYIP
      "\uCC0B",  # (찋; 찋; 찋; 찋; 찋; ) HANGUL SYLLABLE JJYIH
      "\uCC0C",  # (찌; 찌; 찌; 찌; 찌; ) HANGUL SYLLABLE JJI
      "\uCC0D",  # (찍; 찍; 찍; 찍; 찍; ) HANGUL SYLLABLE JJIG
      "\uCC0E",  # (찎; 찎; 찎; 찎; 찎; ) HANGUL SYLLABLE JJIGG
      "\uCC0F",  # (찏; 찏; 찏; 찏; 찏; ) HANGUL SYLLABLE JJIGS
      "\uCC10",  # (찐; 찐; 찐; 찐; 찐; ) HANGUL SYLLABLE JJIN
      "\uCC11",  # (찑; 찑; 찑; 찑; 찑; ) HANGUL SYLLABLE JJINJ
      "\uCC12",  # (찒; 찒; 찒; 찒; 찒; ) HANGUL SYLLABLE JJINH
      "\uCC13",  # (찓; 찓; 찓; 찓; 찓; ) HANGUL SYLLABLE JJID
      "\uCC14",  # (찔; 찔; 찔; 찔; 찔; ) HANGUL SYLLABLE JJIL
      "\uCC15",  # (찕; 찕; 찕; 찕; 찕; ) HANGUL SYLLABLE JJILG
      "\uCC16",  # (찖; 찖; 찖; 찖; 찖; ) HANGUL SYLLABLE JJILM
      "\uCC17",  # (찗; 찗; 찗; 찗; 찗; ) HANGUL SYLLABLE JJILB
      "\uCC18",  # (찘; 찘; 찘; 찘; 찘; ) HANGUL SYLLABLE JJILS
      "\uCC19",  # (찙; 찙; 찙; 찙; 찙; ) HANGUL SYLLABLE JJILT
      "\uCC1A",  # (찚; 찚; 찚; 찚; 찚; ) HANGUL SYLLABLE JJILP
      "\uCC1B",  # (찛; 찛; 찛; 찛; 찛; ) HANGUL SYLLABLE JJILH
      "\uCC1C",  # (찜; 찜; 찜; 찜; 찜; ) HANGUL SYLLABLE JJIM
      "\uCC1D",  # (찝; 찝; 찝; 찝; 찝; ) HANGUL SYLLABLE JJIB
      "\uCC1E",  # (찞; 찞; 찞; 찞; 찞; ) HANGUL SYLLABLE JJIBS
      "\uCC1F",  # (찟; 찟; 찟; 찟; 찟; ) HANGUL SYLLABLE JJIS
      "\uCC20",  # (찠; 찠; 찠; 찠; 찠; ) HANGUL SYLLABLE JJISS
      "\uCC21",  # (찡; 찡; 찡; 찡; 찡; ) HANGUL SYLLABLE JJING
      "\uCC22",  # (찢; 찢; 찢; 찢; 찢; ) HANGUL SYLLABLE JJIJ
      "\uCC23",  # (찣; 찣; 찣; 찣; 찣; ) HANGUL SYLLABLE JJIC
      "\uCC24",  # (찤; 찤; 찤; 찤; 찤; ) HANGUL SYLLABLE JJIK
      "\uCC25",  # (찥; 찥; 찥; 찥; 찥; ) HANGUL SYLLABLE JJIT
      "\uCC26",  # (찦; 찦; 찦; 찦; 찦; ) HANGUL SYLLABLE JJIP
      "\uCC27",  # (찧; 찧; 찧; 찧; 찧; ) HANGUL SYLLABLE JJIH
      "\uCC28",  # (차; 차; 차; 차; 차; ) HANGUL SYLLABLE CA
      "\uCC29",  # (착; 착; 착; 착; 착; ) HANGUL SYLLABLE CAG
      "\uCC2A",  # (찪; 찪; 찪; 찪; 찪; ) HANGUL SYLLABLE CAGG
      "\uCC2B",  # (찫; 찫; 찫; 찫; 찫; ) HANGUL SYLLABLE CAGS
      "\uCC2C",  # (찬; 찬; 찬; 찬; 찬; ) HANGUL SYLLABLE CAN
      "\uCC2D",  # (찭; 찭; 찭; 찭; 찭; ) HANGUL SYLLABLE CANJ
      "\uCC2E",  # (찮; 찮; 찮; 찮; 찮; ) HANGUL SYLLABLE CANH
      "\uCC2F",  # (찯; 찯; 찯; 찯; 찯; ) HANGUL SYLLABLE CAD
      "\uCC30",  # (찰; 찰; 찰; 찰; 찰; ) HANGUL SYLLABLE CAL
      "\uCC31",  # (찱; 찱; 찱; 찱; 찱; ) HANGUL SYLLABLE CALG
      "\uCC32",  # (찲; 찲; 찲; 찲; 찲; ) HANGUL SYLLABLE CALM
      "\uCC33",  # (찳; 찳; 찳; 찳; 찳; ) HANGUL SYLLABLE CALB
      "\uCC34",  # (찴; 찴; 찴; 찴; 찴; ) HANGUL SYLLABLE CALS
      "\uCC35",  # (찵; 찵; 찵; 찵; 찵; ) HANGUL SYLLABLE CALT
      "\uCC36",  # (찶; 찶; 찶; 찶; 찶; ) HANGUL SYLLABLE CALP
      "\uCC37",  # (찷; 찷; 찷; 찷; 찷; ) HANGUL SYLLABLE CALH
      "\uCC38",  # (참; 참; 참; 참; 참; ) HANGUL SYLLABLE CAM
      "\uCC39",  # (찹; 찹; 찹; 찹; 찹; ) HANGUL SYLLABLE CAB
      "\uCC3A",  # (찺; 찺; 찺; 찺; 찺; ) HANGUL SYLLABLE CABS
      "\uCC3B",  # (찻; 찻; 찻; 찻; 찻; ) HANGUL SYLLABLE CAS
      "\uCC3C",  # (찼; 찼; 찼; 찼; 찼; ) HANGUL SYLLABLE CASS
      "\uCC3D",  # (창; 창; 창; 창; 창; ) HANGUL SYLLABLE CANG
      "\uCC3E",  # (찾; 찾; 찾; 찾; 찾; ) HANGUL SYLLABLE CAJ
      "\uCC3F",  # (찿; 찿; 찿; 찿; 찿; ) HANGUL SYLLABLE CAC
      "\uCC40",  # (챀; 챀; 챀; 챀; 챀; ) HANGUL SYLLABLE CAK
      "\uCC41",  # (챁; 챁; 챁; 챁; 챁; ) HANGUL SYLLABLE CAT
      "\uCC42",  # (챂; 챂; 챂; 챂; 챂; ) HANGUL SYLLABLE CAP
      "\uCC43",  # (챃; 챃; 챃; 챃; 챃; ) HANGUL SYLLABLE CAH
      "\uCC44",  # (채; 채; 채; 채; 채; ) HANGUL SYLLABLE CAE
      "\uCC45",  # (책; 책; 책; 책; 책; ) HANGUL SYLLABLE CAEG
      "\uCC46",  # (챆; 챆; 챆; 챆; 챆; ) HANGUL SYLLABLE CAEGG
      "\uCC47",  # (챇; 챇; 챇; 챇; 챇; ) HANGUL SYLLABLE CAEGS
      "\uCC48",  # (챈; 챈; 챈; 챈; 챈; ) HANGUL SYLLABLE CAEN
      "\uCC49",  # (챉; 챉; 챉; 챉; 챉; ) HANGUL SYLLABLE CAENJ
      "\uCC4A",  # (챊; 챊; 챊; 챊; 챊; ) HANGUL SYLLABLE CAENH
      "\uCC4B",  # (챋; 챋; 챋; 챋; 챋; ) HANGUL SYLLABLE CAED
      "\uCC4C",  # (챌; 챌; 챌; 챌; 챌; ) HANGUL SYLLABLE CAEL
      "\uCC4D",  # (챍; 챍; 챍; 챍; 챍; ) HANGUL SYLLABLE CAELG
      "\uCC4E",  # (챎; 챎; 챎; 챎; 챎; ) HANGUL SYLLABLE CAELM
      "\uCC4F",  # (챏; 챏; 챏; 챏; 챏; ) HANGUL SYLLABLE CAELB
      "\uCC50",  # (챐; 챐; 챐; 챐; 챐; ) HANGUL SYLLABLE CAELS
      "\uCC51",  # (챑; 챑; 챑; 챑; 챑; ) HANGUL SYLLABLE CAELT
      "\uCC52",  # (챒; 챒; 챒; 챒; 챒; ) HANGUL SYLLABLE CAELP
      "\uCC53",  # (챓; 챓; 챓; 챓; 챓; ) HANGUL SYLLABLE CAELH
      "\uCC54",  # (챔; 챔; 챔; 챔; 챔; ) HANGUL SYLLABLE CAEM
      "\uCC55",  # (챕; 챕; 챕; 챕; 챕; ) HANGUL SYLLABLE CAEB
      "\uCC56",  # (챖; 챖; 챖; 챖; 챖; ) HANGUL SYLLABLE CAEBS
      "\uCC57",  # (챗; 챗; 챗; 챗; 챗; ) HANGUL SYLLABLE CAES
      "\uCC58",  # (챘; 챘; 챘; 챘; 챘; ) HANGUL SYLLABLE CAESS
      "\uCC59",  # (챙; 챙; 챙; 챙; 챙; ) HANGUL SYLLABLE CAENG
      "\uCC5A",  # (챚; 챚; 챚; 챚; 챚; ) HANGUL SYLLABLE CAEJ
      "\uCC5B",  # (챛; 챛; 챛; 챛; 챛; ) HANGUL SYLLABLE CAEC
      "\uCC5C",  # (챜; 챜; 챜; 챜; 챜; ) HANGUL SYLLABLE CAEK
      "\uCC5D",  # (챝; 챝; 챝; 챝; 챝; ) HANGUL SYLLABLE CAET
      "\uCC5E",  # (챞; 챞; 챞; 챞; 챞; ) HANGUL SYLLABLE CAEP
      "\uCC5F",  # (챟; 챟; 챟; 챟; 챟; ) HANGUL SYLLABLE CAEH
      "\uCC60",  # (챠; 챠; 챠; 챠; 챠; ) HANGUL SYLLABLE CYA
      "\uCC61",  # (챡; 챡; 챡; 챡; 챡; ) HANGUL SYLLABLE CYAG
      "\uCC62",  # (챢; 챢; 챢; 챢; 챢; ) HANGUL SYLLABLE CYAGG
      "\uCC63",  # (챣; 챣; 챣; 챣; 챣; ) HANGUL SYLLABLE CYAGS
      "\uCC64",  # (챤; 챤; 챤; 챤; 챤; ) HANGUL SYLLABLE CYAN
      "\uCC65",  # (챥; 챥; 챥; 챥; 챥; ) HANGUL SYLLABLE CYANJ
      "\uCC66",  # (챦; 챦; 챦; 챦; 챦; ) HANGUL SYLLABLE CYANH
      "\uCC67",  # (챧; 챧; 챧; 챧; 챧; ) HANGUL SYLLABLE CYAD
      "\uCC68",  # (챨; 챨; 챨; 챨; 챨; ) HANGUL SYLLABLE CYAL
      "\uCC69",  # (챩; 챩; 챩; 챩; 챩; ) HANGUL SYLLABLE CYALG
      "\uCC6A",  # (챪; 챪; 챪; 챪; 챪; ) HANGUL SYLLABLE CYALM
      "\uCC6B",  # (챫; 챫; 챫; 챫; 챫; ) HANGUL SYLLABLE CYALB
      "\uCC6C",  # (챬; 챬; 챬; 챬; 챬; ) HANGUL SYLLABLE CYALS
      "\uCC6D",  # (챭; 챭; 챭; 챭; 챭; ) HANGUL SYLLABLE CYALT
      "\uCC6E",  # (챮; 챮; 챮; 챮; 챮; ) HANGUL SYLLABLE CYALP
      "\uCC6F",  # (챯; 챯; 챯; 챯; 챯; ) HANGUL SYLLABLE CYALH
      "\uCC70",  # (챰; 챰; 챰; 챰; 챰; ) HANGUL SYLLABLE CYAM
      "\uCC71",  # (챱; 챱; 챱; 챱; 챱; ) HANGUL SYLLABLE CYAB
      "\uCC72",  # (챲; 챲; 챲; 챲; 챲; ) HANGUL SYLLABLE CYABS
      "\uCC73",  # (챳; 챳; 챳; 챳; 챳; ) HANGUL SYLLABLE CYAS
      "\uCC74",  # (챴; 챴; 챴; 챴; 챴; ) HANGUL SYLLABLE CYASS
      "\uCC75",  # (챵; 챵; 챵; 챵; 챵; ) HANGUL SYLLABLE CYANG
      "\uCC76",  # (챶; 챶; 챶; 챶; 챶; ) HANGUL SYLLABLE CYAJ
      "\uCC77",  # (챷; 챷; 챷; 챷; 챷; ) HANGUL SYLLABLE CYAC
      "\uCC78",  # (챸; 챸; 챸; 챸; 챸; ) HANGUL SYLLABLE CYAK
      "\uCC79",  # (챹; 챹; 챹; 챹; 챹; ) HANGUL SYLLABLE CYAT
      "\uCC7A",  # (챺; 챺; 챺; 챺; 챺; ) HANGUL SYLLABLE CYAP
      "\uCC7B",  # (챻; 챻; 챻; 챻; 챻; ) HANGUL SYLLABLE CYAH
      "\uCC7C",  # (챼; 챼; 챼; 챼; 챼; ) HANGUL SYLLABLE CYAE
      "\uCC7D",  # (챽; 챽; 챽; 챽; 챽; ) HANGUL SYLLABLE CYAEG
      "\uCC7E",  # (챾; 챾; 챾; 챾; 챾; ) HANGUL SYLLABLE CYAEGG
      "\uCC7F",  # (챿; 챿; 챿; 챿; 챿; ) HANGUL SYLLABLE CYAEGS
      "\uCC80",  # (첀; 첀; 첀; 첀; 첀; ) HANGUL SYLLABLE CYAEN
      "\uCC81",  # (첁; 첁; 첁; 첁; 첁; ) HANGUL SYLLABLE CYAENJ
      "\uCC82",  # (첂; 첂; 첂; 첂; 첂; ) HANGUL SYLLABLE CYAENH
      "\uCC83",  # (첃; 첃; 첃; 첃; 첃; ) HANGUL SYLLABLE CYAED
      "\uCC84",  # (첄; 첄; 첄; 첄; 첄; ) HANGUL SYLLABLE CYAEL
      "\uCC85",  # (첅; 첅; 첅; 첅; 첅; ) HANGUL SYLLABLE CYAELG
      "\uCC86",  # (첆; 첆; 첆; 첆; 첆; ) HANGUL SYLLABLE CYAELM
      "\uCC87",  # (첇; 첇; 첇; 첇; 첇; ) HANGUL SYLLABLE CYAELB
      "\uCC88",  # (첈; 첈; 첈; 첈; 첈; ) HANGUL SYLLABLE CYAELS
      "\uCC89",  # (첉; 첉; 첉; 첉; 첉; ) HANGUL SYLLABLE CYAELT
      "\uCC8A",  # (첊; 첊; 첊; 첊; 첊; ) HANGUL SYLLABLE CYAELP
      "\uCC8B",  # (첋; 첋; 첋; 첋; 첋; ) HANGUL SYLLABLE CYAELH
      "\uCC8C",  # (첌; 첌; 첌; 첌; 첌; ) HANGUL SYLLABLE CYAEM
      "\uCC8D",  # (첍; 첍; 첍; 첍; 첍; ) HANGUL SYLLABLE CYAEB
      "\uCC8E",  # (첎; 첎; 첎; 첎; 첎; ) HANGUL SYLLABLE CYAEBS
      "\uCC8F",  # (첏; 첏; 첏; 첏; 첏; ) HANGUL SYLLABLE CYAES
      "\uCC90",  # (첐; 첐; 첐; 첐; 첐; ) HANGUL SYLLABLE CYAESS
      "\uCC91",  # (첑; 첑; 첑; 첑; 첑; ) HANGUL SYLLABLE CYAENG
      "\uCC92",  # (첒; 첒; 첒; 첒; 첒; ) HANGUL SYLLABLE CYAEJ
      "\uCC93",  # (첓; 첓; 첓; 첓; 첓; ) HANGUL SYLLABLE CYAEC
      "\uCC94",  # (첔; 첔; 첔; 첔; 첔; ) HANGUL SYLLABLE CYAEK
      "\uCC95",  # (첕; 첕; 첕; 첕; 첕; ) HANGUL SYLLABLE CYAET
      "\uCC96",  # (첖; 첖; 첖; 첖; 첖; ) HANGUL SYLLABLE CYAEP
      "\uCC97",  # (첗; 첗; 첗; 첗; 첗; ) HANGUL SYLLABLE CYAEH
      "\uCC98",  # (처; 처; 처; 처; 처; ) HANGUL SYLLABLE CEO
      "\uCC99",  # (척; 척; 척; 척; 척; ) HANGUL SYLLABLE CEOG
      "\uCC9A",  # (첚; 첚; 첚; 첚; 첚; ) HANGUL SYLLABLE CEOGG
      "\uCC9B",  # (첛; 첛; 첛; 첛; 첛; ) HANGUL SYLLABLE CEOGS
      "\uCC9C",  # (천; 천; 천; 천; 천; ) HANGUL SYLLABLE CEON
      "\uCC9D",  # (첝; 첝; 첝; 첝; 첝; ) HANGUL SYLLABLE CEONJ
      "\uCC9E",  # (첞; 첞; 첞; 첞; 첞; ) HANGUL SYLLABLE CEONH
      "\uCC9F",  # (첟; 첟; 첟; 첟; 첟; ) HANGUL SYLLABLE CEOD
      "\uCCA0",  # (철; 철; 철; 철; 철; ) HANGUL SYLLABLE CEOL
      "\uCCA1",  # (첡; 첡; 첡; 첡; 첡; ) HANGUL SYLLABLE CEOLG
      "\uCCA2",  # (첢; 첢; 첢; 첢; 첢; ) HANGUL SYLLABLE CEOLM
      "\uCCA3",  # (첣; 첣; 첣; 첣; 첣; ) HANGUL SYLLABLE CEOLB
      "\uCCA4",  # (첤; 첤; 첤; 첤; 첤; ) HANGUL SYLLABLE CEOLS
      "\uCCA5",  # (첥; 첥; 첥; 첥; 첥; ) HANGUL SYLLABLE CEOLT
      "\uCCA6",  # (첦; 첦; 첦; 첦; 첦; ) HANGUL SYLLABLE CEOLP
      "\uCCA7",  # (첧; 첧; 첧; 첧; 첧; ) HANGUL SYLLABLE CEOLH
      "\uCCA8",  # (첨; 첨; 첨; 첨; 첨; ) HANGUL SYLLABLE CEOM
      "\uCCA9",  # (첩; 첩; 첩; 첩; 첩; ) HANGUL SYLLABLE CEOB
      "\uCCAA",  # (첪; 첪; 첪; 첪; 첪; ) HANGUL SYLLABLE CEOBS
      "\uCCAB",  # (첫; 첫; 첫; 첫; 첫; ) HANGUL SYLLABLE CEOS
      "\uCCAC",  # (첬; 첬; 첬; 첬; 첬; ) HANGUL SYLLABLE CEOSS
      "\uCCAD",  # (청; 청; 청; 청; 청; ) HANGUL SYLLABLE CEONG
      "\uCCAE",  # (첮; 첮; 첮; 첮; 첮; ) HANGUL SYLLABLE CEOJ
      "\uCCAF",  # (첯; 첯; 첯; 첯; 첯; ) HANGUL SYLLABLE CEOC
      "\uCCB0",  # (첰; 첰; 첰; 첰; 첰; ) HANGUL SYLLABLE CEOK
      "\uCCB1",  # (첱; 첱; 첱; 첱; 첱; ) HANGUL SYLLABLE CEOT
      "\uCCB2",  # (첲; 첲; 첲; 첲; 첲; ) HANGUL SYLLABLE CEOP
      "\uCCB3",  # (첳; 첳; 첳; 첳; 첳; ) HANGUL SYLLABLE CEOH
      "\uCCB4",  # (체; 체; 체; 체; 체; ) HANGUL SYLLABLE CE
      "\uCCB5",  # (첵; 첵; 첵; 첵; 첵; ) HANGUL SYLLABLE CEG
      "\uCCB6",  # (첶; 첶; 첶; 첶; 첶; ) HANGUL SYLLABLE CEGG
      "\uCCB7",  # (첷; 첷; 첷; 첷; 첷; ) HANGUL SYLLABLE CEGS
      "\uCCB8",  # (첸; 첸; 첸; 첸; 첸; ) HANGUL SYLLABLE CEN
      "\uCCB9",  # (첹; 첹; 첹; 첹; 첹; ) HANGUL SYLLABLE CENJ
      "\uCCBA",  # (첺; 첺; 첺; 첺; 첺; ) HANGUL SYLLABLE CENH
      "\uCCBB",  # (첻; 첻; 첻; 첻; 첻; ) HANGUL SYLLABLE CED
      "\uCCBC",  # (첼; 첼; 첼; 첼; 첼; ) HANGUL SYLLABLE CEL
      "\uCCBD",  # (첽; 첽; 첽; 첽; 첽; ) HANGUL SYLLABLE CELG
      "\uCCBE",  # (첾; 첾; 첾; 첾; 첾; ) HANGUL SYLLABLE CELM
      "\uCCBF",  # (첿; 첿; 첿; 첿; 첿; ) HANGUL SYLLABLE CELB
      "\uCCC0",  # (쳀; 쳀; 쳀; 쳀; 쳀; ) HANGUL SYLLABLE CELS
      "\uCCC1",  # (쳁; 쳁; 쳁; 쳁; 쳁; ) HANGUL SYLLABLE CELT
      "\uCCC2",  # (쳂; 쳂; 쳂; 쳂; 쳂; ) HANGUL SYLLABLE CELP
      "\uCCC3",  # (쳃; 쳃; 쳃; 쳃; 쳃; ) HANGUL SYLLABLE CELH
      "\uCCC4",  # (쳄; 쳄; 쳄; 쳄; 쳄; ) HANGUL SYLLABLE CEM
      "\uCCC5",  # (쳅; 쳅; 쳅; 쳅; 쳅; ) HANGUL SYLLABLE CEB
      "\uCCC6",  # (쳆; 쳆; 쳆; 쳆; 쳆; ) HANGUL SYLLABLE CEBS
      "\uCCC7",  # (쳇; 쳇; 쳇; 쳇; 쳇; ) HANGUL SYLLABLE CES
      "\uCCC8",  # (쳈; 쳈; 쳈; 쳈; 쳈; ) HANGUL SYLLABLE CESS
      "\uCCC9",  # (쳉; 쳉; 쳉; 쳉; 쳉; ) HANGUL SYLLABLE CENG
      "\uCCCA",  # (쳊; 쳊; 쳊; 쳊; 쳊; ) HANGUL SYLLABLE CEJ
      "\uCCCB",  # (쳋; 쳋; 쳋; 쳋; 쳋; ) HANGUL SYLLABLE CEC
      "\uCCCC",  # (쳌; 쳌; 쳌; 쳌; 쳌; ) HANGUL SYLLABLE CEK
      "\uCCCD",  # (쳍; 쳍; 쳍; 쳍; 쳍; ) HANGUL SYLLABLE CET
      "\uCCCE",  # (쳎; 쳎; 쳎; 쳎; 쳎; ) HANGUL SYLLABLE CEP
      "\uCCCF",  # (쳏; 쳏; 쳏; 쳏; 쳏; ) HANGUL SYLLABLE CEH
      "\uCCD0",  # (쳐; 쳐; 쳐; 쳐; 쳐; ) HANGUL SYLLABLE CYEO
      "\uCCD1",  # (쳑; 쳑; 쳑; 쳑; 쳑; ) HANGUL SYLLABLE CYEOG
      "\uCCD2",  # (쳒; 쳒; 쳒; 쳒; 쳒; ) HANGUL SYLLABLE CYEOGG
      "\uCCD3",  # (쳓; 쳓; 쳓; 쳓; 쳓; ) HANGUL SYLLABLE CYEOGS
      "\uCCD4",  # (쳔; 쳔; 쳔; 쳔; 쳔; ) HANGUL SYLLABLE CYEON
      "\uCCD5",  # (쳕; 쳕; 쳕; 쳕; 쳕; ) HANGUL SYLLABLE CYEONJ
      "\uCCD6",  # (쳖; 쳖; 쳖; 쳖; 쳖; ) HANGUL SYLLABLE CYEONH
      "\uCCD7",  # (쳗; 쳗; 쳗; 쳗; 쳗; ) HANGUL SYLLABLE CYEOD
      "\uCCD8",  # (쳘; 쳘; 쳘; 쳘; 쳘; ) HANGUL SYLLABLE CYEOL
      "\uCCD9",  # (쳙; 쳙; 쳙; 쳙; 쳙; ) HANGUL SYLLABLE CYEOLG
      "\uCCDA",  # (쳚; 쳚; 쳚; 쳚; 쳚; ) HANGUL SYLLABLE CYEOLM
      "\uCCDB",  # (쳛; 쳛; 쳛; 쳛; 쳛; ) HANGUL SYLLABLE CYEOLB
      "\uCCDC",  # (쳜; 쳜; 쳜; 쳜; 쳜; ) HANGUL SYLLABLE CYEOLS
      "\uCCDD",  # (쳝; 쳝; 쳝; 쳝; 쳝; ) HANGUL SYLLABLE CYEOLT
      "\uCCDE",  # (쳞; 쳞; 쳞; 쳞; 쳞; ) HANGUL SYLLABLE CYEOLP
      "\uCCDF",  # (쳟; 쳟; 쳟; 쳟; 쳟; ) HANGUL SYLLABLE CYEOLH
      "\uCCE0",  # (쳠; 쳠; 쳠; 쳠; 쳠; ) HANGUL SYLLABLE CYEOM
      "\uCCE1",  # (쳡; 쳡; 쳡; 쳡; 쳡; ) HANGUL SYLLABLE CYEOB
      "\uCCE2",  # (쳢; 쳢; 쳢; 쳢; 쳢; ) HANGUL SYLLABLE CYEOBS
      "\uCCE3",  # (쳣; 쳣; 쳣; 쳣; 쳣; ) HANGUL SYLLABLE CYEOS
      "\uCCE4",  # (쳤; 쳤; 쳤; 쳤; 쳤; ) HANGUL SYLLABLE CYEOSS
      "\uCCE5",  # (쳥; 쳥; 쳥; 쳥; 쳥; ) HANGUL SYLLABLE CYEONG
      "\uCCE6",  # (쳦; 쳦; 쳦; 쳦; 쳦; ) HANGUL SYLLABLE CYEOJ
      "\uCCE7",  # (쳧; 쳧; 쳧; 쳧; 쳧; ) HANGUL SYLLABLE CYEOC
      "\uCCE8",  # (쳨; 쳨; 쳨; 쳨; 쳨; ) HANGUL SYLLABLE CYEOK
      "\uCCE9",  # (쳩; 쳩; 쳩; 쳩; 쳩; ) HANGUL SYLLABLE CYEOT
      "\uCCEA",  # (쳪; 쳪; 쳪; 쳪; 쳪; ) HANGUL SYLLABLE CYEOP
      "\uCCEB",  # (쳫; 쳫; 쳫; 쳫; 쳫; ) HANGUL SYLLABLE CYEOH
      "\uCCEC",  # (쳬; 쳬; 쳬; 쳬; 쳬; ) HANGUL SYLLABLE CYE
      "\uCCED",  # (쳭; 쳭; 쳭; 쳭; 쳭; ) HANGUL SYLLABLE CYEG
      "\uCCEE",  # (쳮; 쳮; 쳮; 쳮; 쳮; ) HANGUL SYLLABLE CYEGG
      "\uCCEF",  # (쳯; 쳯; 쳯; 쳯; 쳯; ) HANGUL SYLLABLE CYEGS
      "\uCCF0",  # (쳰; 쳰; 쳰; 쳰; 쳰; ) HANGUL SYLLABLE CYEN
      "\uCCF1",  # (쳱; 쳱; 쳱; 쳱; 쳱; ) HANGUL SYLLABLE CYENJ
      "\uCCF2",  # (쳲; 쳲; 쳲; 쳲; 쳲; ) HANGUL SYLLABLE CYENH
      "\uCCF3",  # (쳳; 쳳; 쳳; 쳳; 쳳; ) HANGUL SYLLABLE CYED
      "\uCCF4",  # (쳴; 쳴; 쳴; 쳴; 쳴; ) HANGUL SYLLABLE CYEL
      "\uCCF5",  # (쳵; 쳵; 쳵; 쳵; 쳵; ) HANGUL SYLLABLE CYELG
      "\uCCF6",  # (쳶; 쳶; 쳶; 쳶; 쳶; ) HANGUL SYLLABLE CYELM
      "\uCCF7",  # (쳷; 쳷; 쳷; 쳷; 쳷; ) HANGUL SYLLABLE CYELB
      "\uCCF8",  # (쳸; 쳸; 쳸; 쳸; 쳸; ) HANGUL SYLLABLE CYELS
      "\uCCF9",  # (쳹; 쳹; 쳹; 쳹; 쳹; ) HANGUL SYLLABLE CYELT
      "\uCCFA",  # (쳺; 쳺; 쳺; 쳺; 쳺; ) HANGUL SYLLABLE CYELP
      "\uCCFB",  # (쳻; 쳻; 쳻; 쳻; 쳻; ) HANGUL SYLLABLE CYELH
      "\uCCFC",  # (쳼; 쳼; 쳼; 쳼; 쳼; ) HANGUL SYLLABLE CYEM
      "\uCCFD",  # (쳽; 쳽; 쳽; 쳽; 쳽; ) HANGUL SYLLABLE CYEB
      "\uCCFE",  # (쳾; 쳾; 쳾; 쳾; 쳾; ) HANGUL SYLLABLE CYEBS
      "\uCCFF",  # (쳿; 쳿; 쳿; 쳿; 쳿; ) HANGUL SYLLABLE CYES
      "\uCD00",  # (촀; 촀; 촀; 촀; 촀; ) HANGUL SYLLABLE CYESS
      "\uCD01",  # (촁; 촁; 촁; 촁; 촁; ) HANGUL SYLLABLE CYENG
      "\uCD02",  # (촂; 촂; 촂; 촂; 촂; ) HANGUL SYLLABLE CYEJ
      "\uCD03",  # (촃; 촃; 촃; 촃; 촃; ) HANGUL SYLLABLE CYEC
      "\uCD04",  # (촄; 촄; 촄; 촄; 촄; ) HANGUL SYLLABLE CYEK
      "\uCD05",  # (촅; 촅; 촅; 촅; 촅; ) HANGUL SYLLABLE CYET
      "\uCD06",  # (촆; 촆; 촆; 촆; 촆; ) HANGUL SYLLABLE CYEP
      "\uCD07",  # (촇; 촇; 촇; 촇; 촇; ) HANGUL SYLLABLE CYEH
      "\uCD08",  # (초; 초; 초; 초; 초; ) HANGUL SYLLABLE CO
      "\uCD09",  # (촉; 촉; 촉; 촉; 촉; ) HANGUL SYLLABLE COG
      "\uCD0A",  # (촊; 촊; 촊; 촊; 촊; ) HANGUL SYLLABLE COGG
      "\uCD0B",  # (촋; 촋; 촋; 촋; 촋; ) HANGUL SYLLABLE COGS
      "\uCD0C",  # (촌; 촌; 촌; 촌; 촌; ) HANGUL SYLLABLE CON
      "\uCD0D",  # (촍; 촍; 촍; 촍; 촍; ) HANGUL SYLLABLE CONJ
      "\uCD0E",  # (촎; 촎; 촎; 촎; 촎; ) HANGUL SYLLABLE CONH
      "\uCD0F",  # (촏; 촏; 촏; 촏; 촏; ) HANGUL SYLLABLE COD
      "\uCD10",  # (촐; 촐; 촐; 촐; 촐; ) HANGUL SYLLABLE COL
      "\uCD11",  # (촑; 촑; 촑; 촑; 촑; ) HANGUL SYLLABLE COLG
      "\uCD12",  # (촒; 촒; 촒; 촒; 촒; ) HANGUL SYLLABLE COLM
      "\uCD13",  # (촓; 촓; 촓; 촓; 촓; ) HANGUL SYLLABLE COLB
      "\uCD14",  # (촔; 촔; 촔; 촔; 촔; ) HANGUL SYLLABLE COLS
      "\uCD15",  # (촕; 촕; 촕; 촕; 촕; ) HANGUL SYLLABLE COLT
      "\uCD16",  # (촖; 촖; 촖; 촖; 촖; ) HANGUL SYLLABLE COLP
      "\uCD17",  # (촗; 촗; 촗; 촗; 촗; ) HANGUL SYLLABLE COLH
      "\uCD18",  # (촘; 촘; 촘; 촘; 촘; ) HANGUL SYLLABLE COM
      "\uCD19",  # (촙; 촙; 촙; 촙; 촙; ) HANGUL SYLLABLE COB
      "\uCD1A",  # (촚; 촚; 촚; 촚; 촚; ) HANGUL SYLLABLE COBS
      "\uCD1B",  # (촛; 촛; 촛; 촛; 촛; ) HANGUL SYLLABLE COS
      "\uCD1C",  # (촜; 촜; 촜; 촜; 촜; ) HANGUL SYLLABLE COSS
      "\uCD1D",  # (총; 총; 총; 총; 총; ) HANGUL SYLLABLE CONG
      "\uCD1E",  # (촞; 촞; 촞; 촞; 촞; ) HANGUL SYLLABLE COJ
      "\uCD1F",  # (촟; 촟; 촟; 촟; 촟; ) HANGUL SYLLABLE COC
      "\uCD20",  # (촠; 촠; 촠; 촠; 촠; ) HANGUL SYLLABLE COK
      "\uCD21",  # (촡; 촡; 촡; 촡; 촡; ) HANGUL SYLLABLE COT
      "\uCD22",  # (촢; 촢; 촢; 촢; 촢; ) HANGUL SYLLABLE COP
      "\uCD23",  # (촣; 촣; 촣; 촣; 촣; ) HANGUL SYLLABLE COH
      "\uCD24",  # (촤; 촤; 촤; 촤; 촤; ) HANGUL SYLLABLE CWA
      "\uCD25",  # (촥; 촥; 촥; 촥; 촥; ) HANGUL SYLLABLE CWAG
      "\uCD26",  # (촦; 촦; 촦; 촦; 촦; ) HANGUL SYLLABLE CWAGG
      "\uCD27",  # (촧; 촧; 촧; 촧; 촧; ) HANGUL SYLLABLE CWAGS
      "\uCD28",  # (촨; 촨; 촨; 촨; 촨; ) HANGUL SYLLABLE CWAN
      "\uCD29",  # (촩; 촩; 촩; 촩; 촩; ) HANGUL SYLLABLE CWANJ
      "\uCD2A",  # (촪; 촪; 촪; 촪; 촪; ) HANGUL SYLLABLE CWANH
      "\uCD2B",  # (촫; 촫; 촫; 촫; 촫; ) HANGUL SYLLABLE CWAD
      "\uCD2C",  # (촬; 촬; 촬; 촬; 촬; ) HANGUL SYLLABLE CWAL
      "\uCD2D",  # (촭; 촭; 촭; 촭; 촭; ) HANGUL SYLLABLE CWALG
      "\uCD2E",  # (촮; 촮; 촮; 촮; 촮; ) HANGUL SYLLABLE CWALM
      "\uCD2F",  # (촯; 촯; 촯; 촯; 촯; ) HANGUL SYLLABLE CWALB
      "\uCD30",  # (촰; 촰; 촰; 촰; 촰; ) HANGUL SYLLABLE CWALS
      "\uCD31",  # (촱; 촱; 촱; 촱; 촱; ) HANGUL SYLLABLE CWALT
      "\uCD32",  # (촲; 촲; 촲; 촲; 촲; ) HANGUL SYLLABLE CWALP
      "\uCD33",  # (촳; 촳; 촳; 촳; 촳; ) HANGUL SYLLABLE CWALH
      "\uCD34",  # (촴; 촴; 촴; 촴; 촴; ) HANGUL SYLLABLE CWAM
      "\uCD35",  # (촵; 촵; 촵; 촵; 촵; ) HANGUL SYLLABLE CWAB
      "\uCD36",  # (촶; 촶; 촶; 촶; 촶; ) HANGUL SYLLABLE CWABS
      "\uCD37",  # (촷; 촷; 촷; 촷; 촷; ) HANGUL SYLLABLE CWAS
      "\uCD38",  # (촸; 촸; 촸; 촸; 촸; ) HANGUL SYLLABLE CWASS
      "\uCD39",  # (촹; 촹; 촹; 촹; 촹; ) HANGUL SYLLABLE CWANG
      "\uCD3A",  # (촺; 촺; 촺; 촺; 촺; ) HANGUL SYLLABLE CWAJ
      "\uCD3B",  # (촻; 촻; 촻; 촻; 촻; ) HANGUL SYLLABLE CWAC
      "\uCD3C",  # (촼; 촼; 촼; 촼; 촼; ) HANGUL SYLLABLE CWAK
      "\uCD3D",  # (촽; 촽; 촽; 촽; 촽; ) HANGUL SYLLABLE CWAT
      "\uCD3E",  # (촾; 촾; 촾; 촾; 촾; ) HANGUL SYLLABLE CWAP
      "\uCD3F",  # (촿; 촿; 촿; 촿; 촿; ) HANGUL SYLLABLE CWAH
      "\uCD40",  # (쵀; 쵀; 쵀; 쵀; 쵀; ) HANGUL SYLLABLE CWAE
      "\uCD41",  # (쵁; 쵁; 쵁; 쵁; 쵁; ) HANGUL SYLLABLE CWAEG
      "\uCD42",  # (쵂; 쵂; 쵂; 쵂; 쵂; ) HANGUL SYLLABLE CWAEGG
      "\uCD43",  # (쵃; 쵃; 쵃; 쵃; 쵃; ) HANGUL SYLLABLE CWAEGS
      "\uCD44",  # (쵄; 쵄; 쵄; 쵄; 쵄; ) HANGUL SYLLABLE CWAEN
      "\uCD45",  # (쵅; 쵅; 쵅; 쵅; 쵅; ) HANGUL SYLLABLE CWAENJ
      "\uCD46",  # (쵆; 쵆; 쵆; 쵆; 쵆; ) HANGUL SYLLABLE CWAENH
      "\uCD47",  # (쵇; 쵇; 쵇; 쵇; 쵇; ) HANGUL SYLLABLE CWAED
      "\uCD48",  # (쵈; 쵈; 쵈; 쵈; 쵈; ) HANGUL SYLLABLE CWAEL
      "\uCD49",  # (쵉; 쵉; 쵉; 쵉; 쵉; ) HANGUL SYLLABLE CWAELG
      "\uCD4A",  # (쵊; 쵊; 쵊; 쵊; 쵊; ) HANGUL SYLLABLE CWAELM
      "\uCD4B",  # (쵋; 쵋; 쵋; 쵋; 쵋; ) HANGUL SYLLABLE CWAELB
      "\uCD4C",  # (쵌; 쵌; 쵌; 쵌; 쵌; ) HANGUL SYLLABLE CWAELS
      "\uCD4D",  # (쵍; 쵍; 쵍; 쵍; 쵍; ) HANGUL SYLLABLE CWAELT
      "\uCD4E",  # (쵎; 쵎; 쵎; 쵎; 쵎; ) HANGUL SYLLABLE CWAELP
      "\uCD4F",  # (쵏; 쵏; 쵏; 쵏; 쵏; ) HANGUL SYLLABLE CWAELH
      "\uCD50",  # (쵐; 쵐; 쵐; 쵐; 쵐; ) HANGUL SYLLABLE CWAEM
      "\uCD51",  # (쵑; 쵑; 쵑; 쵑; 쵑; ) HANGUL SYLLABLE CWAEB
      "\uCD52",  # (쵒; 쵒; 쵒; 쵒; 쵒; ) HANGUL SYLLABLE CWAEBS
      "\uCD53",  # (쵓; 쵓; 쵓; 쵓; 쵓; ) HANGUL SYLLABLE CWAES
      "\uCD54",  # (쵔; 쵔; 쵔; 쵔; 쵔; ) HANGUL SYLLABLE CWAESS
      "\uCD55",  # (쵕; 쵕; 쵕; 쵕; 쵕; ) HANGUL SYLLABLE CWAENG
      "\uCD56",  # (쵖; 쵖; 쵖; 쵖; 쵖; ) HANGUL SYLLABLE CWAEJ
      "\uCD57",  # (쵗; 쵗; 쵗; 쵗; 쵗; ) HANGUL SYLLABLE CWAEC
      "\uCD58",  # (쵘; 쵘; 쵘; 쵘; 쵘; ) HANGUL SYLLABLE CWAEK
      "\uCD59",  # (쵙; 쵙; 쵙; 쵙; 쵙; ) HANGUL SYLLABLE CWAET
      "\uCD5A",  # (쵚; 쵚; 쵚; 쵚; 쵚; ) HANGUL SYLLABLE CWAEP
      "\uCD5B",  # (쵛; 쵛; 쵛; 쵛; 쵛; ) HANGUL SYLLABLE CWAEH
      "\uCD5C",  # (최; 최; 최; 최; 최; ) HANGUL SYLLABLE COE
      "\uCD5D",  # (쵝; 쵝; 쵝; 쵝; 쵝; ) HANGUL SYLLABLE COEG
      "\uCD5E",  # (쵞; 쵞; 쵞; 쵞; 쵞; ) HANGUL SYLLABLE COEGG
      "\uCD5F",  # (쵟; 쵟; 쵟; 쵟; 쵟; ) HANGUL SYLLABLE COEGS
      "\uCD60",  # (쵠; 쵠; 쵠; 쵠; 쵠; ) HANGUL SYLLABLE COEN
      "\uCD61",  # (쵡; 쵡; 쵡; 쵡; 쵡; ) HANGUL SYLLABLE COENJ
      "\uCD62",  # (쵢; 쵢; 쵢; 쵢; 쵢; ) HANGUL SYLLABLE COENH
      "\uCD63",  # (쵣; 쵣; 쵣; 쵣; 쵣; ) HANGUL SYLLABLE COED
      "\uCD64",  # (쵤; 쵤; 쵤; 쵤; 쵤; ) HANGUL SYLLABLE COEL
      "\uCD65",  # (쵥; 쵥; 쵥; 쵥; 쵥; ) HANGUL SYLLABLE COELG
      "\uCD66",  # (쵦; 쵦; 쵦; 쵦; 쵦; ) HANGUL SYLLABLE COELM
      "\uCD67",  # (쵧; 쵧; 쵧; 쵧; 쵧; ) HANGUL SYLLABLE COELB
      "\uCD68",  # (쵨; 쵨; 쵨; 쵨; 쵨; ) HANGUL SYLLABLE COELS
      "\uCD69",  # (쵩; 쵩; 쵩; 쵩; 쵩; ) HANGUL SYLLABLE COELT
      "\uCD6A",  # (쵪; 쵪; 쵪; 쵪; 쵪; ) HANGUL SYLLABLE COELP
      "\uCD6B",  # (쵫; 쵫; 쵫; 쵫; 쵫; ) HANGUL SYLLABLE COELH
      "\uCD6C",  # (쵬; 쵬; 쵬; 쵬; 쵬; ) HANGUL SYLLABLE COEM
      "\uCD6D",  # (쵭; 쵭; 쵭; 쵭; 쵭; ) HANGUL SYLLABLE COEB
      "\uCD6E",  # (쵮; 쵮; 쵮; 쵮; 쵮; ) HANGUL SYLLABLE COEBS
      "\uCD6F",  # (쵯; 쵯; 쵯; 쵯; 쵯; ) HANGUL SYLLABLE COES
      "\uCD70",  # (쵰; 쵰; 쵰; 쵰; 쵰; ) HANGUL SYLLABLE COESS
      "\uCD71",  # (쵱; 쵱; 쵱; 쵱; 쵱; ) HANGUL SYLLABLE COENG
      "\uCD72",  # (쵲; 쵲; 쵲; 쵲; 쵲; ) HANGUL SYLLABLE COEJ
      "\uCD73",  # (쵳; 쵳; 쵳; 쵳; 쵳; ) HANGUL SYLLABLE COEC
      "\uCD74",  # (쵴; 쵴; 쵴; 쵴; 쵴; ) HANGUL SYLLABLE COEK
      "\uCD75",  # (쵵; 쵵; 쵵; 쵵; 쵵; ) HANGUL SYLLABLE COET
      "\uCD76",  # (쵶; 쵶; 쵶; 쵶; 쵶; ) HANGUL SYLLABLE COEP
      "\uCD77",  # (쵷; 쵷; 쵷; 쵷; 쵷; ) HANGUL SYLLABLE COEH
      "\uCD78",  # (쵸; 쵸; 쵸; 쵸; 쵸; ) HANGUL SYLLABLE CYO
      "\uCD79",  # (쵹; 쵹; 쵹; 쵹; 쵹; ) HANGUL SYLLABLE CYOG
      "\uCD7A",  # (쵺; 쵺; 쵺; 쵺; 쵺; ) HANGUL SYLLABLE CYOGG
      "\uCD7B",  # (쵻; 쵻; 쵻; 쵻; 쵻; ) HANGUL SYLLABLE CYOGS
      "\uCD7C",  # (쵼; 쵼; 쵼; 쵼; 쵼; ) HANGUL SYLLABLE CYON
      "\uCD7D",  # (쵽; 쵽; 쵽; 쵽; 쵽; ) HANGUL SYLLABLE CYONJ
      "\uCD7E",  # (쵾; 쵾; 쵾; 쵾; 쵾; ) HANGUL SYLLABLE CYONH
      "\uCD7F",  # (쵿; 쵿; 쵿; 쵿; 쵿; ) HANGUL SYLLABLE CYOD
      "\uCD80",  # (춀; 춀; 춀; 춀; 춀; ) HANGUL SYLLABLE CYOL
      "\uCD81",  # (춁; 춁; 춁; 춁; 춁; ) HANGUL SYLLABLE CYOLG
      "\uCD82",  # (춂; 춂; 춂; 춂; 춂; ) HANGUL SYLLABLE CYOLM
      "\uCD83",  # (춃; 춃; 춃; 춃; 춃; ) HANGUL SYLLABLE CYOLB
      "\uCD84",  # (춄; 춄; 춄; 춄; 춄; ) HANGUL SYLLABLE CYOLS
      "\uCD85",  # (춅; 춅; 춅; 춅; 춅; ) HANGUL SYLLABLE CYOLT
      "\uCD86",  # (춆; 춆; 춆; 춆; 춆; ) HANGUL SYLLABLE CYOLP
      "\uCD87",  # (춇; 춇; 춇; 춇; 춇; ) HANGUL SYLLABLE CYOLH
      "\uCD88",  # (춈; 춈; 춈; 춈; 춈; ) HANGUL SYLLABLE CYOM
      "\uCD89",  # (춉; 춉; 춉; 춉; 춉; ) HANGUL SYLLABLE CYOB
      "\uCD8A",  # (춊; 춊; 춊; 춊; 춊; ) HANGUL SYLLABLE CYOBS
      "\uCD8B",  # (춋; 춋; 춋; 춋; 춋; ) HANGUL SYLLABLE CYOS
      "\uCD8C",  # (춌; 춌; 춌; 춌; 춌; ) HANGUL SYLLABLE CYOSS
      "\uCD8D",  # (춍; 춍; 춍; 춍; 춍; ) HANGUL SYLLABLE CYONG
      "\uCD8E",  # (춎; 춎; 춎; 춎; 춎; ) HANGUL SYLLABLE CYOJ
      "\uCD8F",  # (춏; 춏; 춏; 춏; 춏; ) HANGUL SYLLABLE CYOC
      "\uCD90",  # (춐; 춐; 춐; 춐; 춐; ) HANGUL SYLLABLE CYOK
      "\uCD91",  # (춑; 춑; 춑; 춑; 춑; ) HANGUL SYLLABLE CYOT
      "\uCD92",  # (춒; 춒; 춒; 춒; 춒; ) HANGUL SYLLABLE CYOP
      "\uCD93",  # (춓; 춓; 춓; 춓; 춓; ) HANGUL SYLLABLE CYOH
      "\uCD94",  # (추; 추; 추; 추; 추; ) HANGUL SYLLABLE CU
      "\uCD95",  # (축; 축; 축; 축; 축; ) HANGUL SYLLABLE CUG
      "\uCD96",  # (춖; 춖; 춖; 춖; 춖; ) HANGUL SYLLABLE CUGG
      "\uCD97",  # (춗; 춗; 춗; 춗; 춗; ) HANGUL SYLLABLE CUGS
      "\uCD98",  # (춘; 춘; 춘; 춘; 춘; ) HANGUL SYLLABLE CUN
      "\uCD99",  # (춙; 춙; 춙; 춙; 춙; ) HANGUL SYLLABLE CUNJ
      "\uCD9A",  # (춚; 춚; 춚; 춚; 춚; ) HANGUL SYLLABLE CUNH
      "\uCD9B",  # (춛; 춛; 춛; 춛; 춛; ) HANGUL SYLLABLE CUD
      "\uCD9C",  # (출; 출; 출; 출; 출; ) HANGUL SYLLABLE CUL
      "\uCD9D",  # (춝; 춝; 춝; 춝; 춝; ) HANGUL SYLLABLE CULG
      "\uCD9E",  # (춞; 춞; 춞; 춞; 춞; ) HANGUL SYLLABLE CULM
      "\uCD9F",  # (춟; 춟; 춟; 춟; 춟; ) HANGUL SYLLABLE CULB
      "\uCDA0",  # (춠; 춠; 춠; 춠; 춠; ) HANGUL SYLLABLE CULS
      "\uCDA1",  # (춡; 춡; 춡; 춡; 춡; ) HANGUL SYLLABLE CULT
      "\uCDA2",  # (춢; 춢; 춢; 춢; 춢; ) HANGUL SYLLABLE CULP
      "\uCDA3",  # (춣; 춣; 춣; 춣; 춣; ) HANGUL SYLLABLE CULH
      "\uCDA4",  # (춤; 춤; 춤; 춤; 춤; ) HANGUL SYLLABLE CUM
      "\uCDA5",  # (춥; 춥; 춥; 춥; 춥; ) HANGUL SYLLABLE CUB
      "\uCDA6",  # (춦; 춦; 춦; 춦; 춦; ) HANGUL SYLLABLE CUBS
      "\uCDA7",  # (춧; 춧; 춧; 춧; 춧; ) HANGUL SYLLABLE CUS
      "\uCDA8",  # (춨; 춨; 춨; 춨; 춨; ) HANGUL SYLLABLE CUSS
      "\uCDA9",  # (충; 충; 충; 충; 충; ) HANGUL SYLLABLE CUNG
      "\uCDAA",  # (춪; 춪; 춪; 춪; 춪; ) HANGUL SYLLABLE CUJ
      "\uCDAB",  # (춫; 춫; 춫; 춫; 춫; ) HANGUL SYLLABLE CUC
      "\uCDAC",  # (춬; 춬; 춬; 춬; 춬; ) HANGUL SYLLABLE CUK
      "\uCDAD",  # (춭; 춭; 춭; 춭; 춭; ) HANGUL SYLLABLE CUT
      "\uCDAE",  # (춮; 춮; 춮; 춮; 춮; ) HANGUL SYLLABLE CUP
      "\uCDAF",  # (춯; 춯; 춯; 춯; 춯; ) HANGUL SYLLABLE CUH
      "\uCDB0",  # (춰; 춰; 춰; 춰; 춰; ) HANGUL SYLLABLE CWEO
      "\uCDB1",  # (춱; 춱; 춱; 춱; 춱; ) HANGUL SYLLABLE CWEOG
      "\uCDB2",  # (춲; 춲; 춲; 춲; 춲; ) HANGUL SYLLABLE CWEOGG
      "\uCDB3",  # (춳; 춳; 춳; 춳; 춳; ) HANGUL SYLLABLE CWEOGS
      "\uCDB4",  # (춴; 춴; 춴; 춴; 춴; ) HANGUL SYLLABLE CWEON
      "\uCDB5",  # (춵; 춵; 춵; 춵; 춵; ) HANGUL SYLLABLE CWEONJ
      "\uCDB6",  # (춶; 춶; 춶; 춶; 춶; ) HANGUL SYLLABLE CWEONH
      "\uCDB7",  # (춷; 춷; 춷; 춷; 춷; ) HANGUL SYLLABLE CWEOD
      "\uCDB8",  # (춸; 춸; 춸; 춸; 춸; ) HANGUL SYLLABLE CWEOL
      "\uCDB9",  # (춹; 춹; 춹; 춹; 춹; ) HANGUL SYLLABLE CWEOLG
      "\uCDBA",  # (춺; 춺; 춺; 춺; 춺; ) HANGUL SYLLABLE CWEOLM
      "\uCDBB",  # (춻; 춻; 춻; 춻; 춻; ) HANGUL SYLLABLE CWEOLB
      "\uCDBC",  # (춼; 춼; 춼; 춼; 춼; ) HANGUL SYLLABLE CWEOLS
      "\uCDBD",  # (춽; 춽; 춽; 춽; 춽; ) HANGUL SYLLABLE CWEOLT
      "\uCDBE",  # (춾; 춾; 춾; 춾; 춾; ) HANGUL SYLLABLE CWEOLP
      "\uCDBF",  # (춿; 춿; 춿; 춿; 춿; ) HANGUL SYLLABLE CWEOLH
      "\uCDC0",  # (췀; 췀; 췀; 췀; 췀; ) HANGUL SYLLABLE CWEOM
      "\uCDC1",  # (췁; 췁; 췁; 췁; 췁; ) HANGUL SYLLABLE CWEOB
      "\uCDC2",  # (췂; 췂; 췂; 췂; 췂; ) HANGUL SYLLABLE CWEOBS
      "\uCDC3",  # (췃; 췃; 췃; 췃; 췃; ) HANGUL SYLLABLE CWEOS
      "\uCDC4",  # (췄; 췄; 췄; 췄; 췄; ) HANGUL SYLLABLE CWEOSS
      "\uCDC5",  # (췅; 췅; 췅; 췅; 췅; ) HANGUL SYLLABLE CWEONG
      "\uCDC6",  # (췆; 췆; 췆; 췆; 췆; ) HANGUL SYLLABLE CWEOJ
      "\uCDC7",  # (췇; 췇; 췇; 췇; 췇; ) HANGUL SYLLABLE CWEOC
      "\uCDC8",  # (췈; 췈; 췈; 췈; 췈; ) HANGUL SYLLABLE CWEOK
      "\uCDC9",  # (췉; 췉; 췉; 췉; 췉; ) HANGUL SYLLABLE CWEOT
      "\uCDCA",  # (췊; 췊; 췊; 췊; 췊; ) HANGUL SYLLABLE CWEOP
      "\uCDCB",  # (췋; 췋; 췋; 췋; 췋; ) HANGUL SYLLABLE CWEOH
      "\uCDCC",  # (췌; 췌; 췌; 췌; 췌; ) HANGUL SYLLABLE CWE
      "\uCDCD",  # (췍; 췍; 췍; 췍; 췍; ) HANGUL SYLLABLE CWEG
      "\uCDCE",  # (췎; 췎; 췎; 췎; 췎; ) HANGUL SYLLABLE CWEGG
      "\uCDCF",  # (췏; 췏; 췏; 췏; 췏; ) HANGUL SYLLABLE CWEGS
      "\uCDD0",  # (췐; 췐; 췐; 췐; 췐; ) HANGUL SYLLABLE CWEN
      "\uCDD1",  # (췑; 췑; 췑; 췑; 췑; ) HANGUL SYLLABLE CWENJ
      "\uCDD2",  # (췒; 췒; 췒; 췒; 췒; ) HANGUL SYLLABLE CWENH
      "\uCDD3",  # (췓; 췓; 췓; 췓; 췓; ) HANGUL SYLLABLE CWED
      "\uCDD4",  # (췔; 췔; 췔; 췔; 췔; ) HANGUL SYLLABLE CWEL
      "\uCDD5",  # (췕; 췕; 췕; 췕; 췕; ) HANGUL SYLLABLE CWELG
      "\uCDD6",  # (췖; 췖; 췖; 췖; 췖; ) HANGUL SYLLABLE CWELM
      "\uCDD7",  # (췗; 췗; 췗; 췗; 췗; ) HANGUL SYLLABLE CWELB
      "\uCDD8",  # (췘; 췘; 췘; 췘; 췘; ) HANGUL SYLLABLE CWELS
      "\uCDD9",  # (췙; 췙; 췙; 췙; 췙; ) HANGUL SYLLABLE CWELT
      "\uCDDA",  # (췚; 췚; 췚; 췚; 췚; ) HANGUL SYLLABLE CWELP
      "\uCDDB",  # (췛; 췛; 췛; 췛; 췛; ) HANGUL SYLLABLE CWELH
      "\uCDDC",  # (췜; 췜; 췜; 췜; 췜; ) HANGUL SYLLABLE CWEM
      "\uCDDD",  # (췝; 췝; 췝; 췝; 췝; ) HANGUL SYLLABLE CWEB
      "\uCDDE",  # (췞; 췞; 췞; 췞; 췞; ) HANGUL SYLLABLE CWEBS
      "\uCDDF",  # (췟; 췟; 췟; 췟; 췟; ) HANGUL SYLLABLE CWES
      "\uCDE0",  # (췠; 췠; 췠; 췠; 췠; ) HANGUL SYLLABLE CWESS
      "\uCDE1",  # (췡; 췡; 췡; 췡; 췡; ) HANGUL SYLLABLE CWENG
      "\uCDE2",  # (췢; 췢; 췢; 췢; 췢; ) HANGUL SYLLABLE CWEJ
      "\uCDE3",  # (췣; 췣; 췣; 췣; 췣; ) HANGUL SYLLABLE CWEC
      "\uCDE4",  # (췤; 췤; 췤; 췤; 췤; ) HANGUL SYLLABLE CWEK
      "\uCDE5",  # (췥; 췥; 췥; 췥; 췥; ) HANGUL SYLLABLE CWET
      "\uCDE6",  # (췦; 췦; 췦; 췦; 췦; ) HANGUL SYLLABLE CWEP
      "\uCDE7",  # (췧; 췧; 췧; 췧; 췧; ) HANGUL SYLLABLE CWEH
      "\uCDE8",  # (취; 취; 취; 취; 취; ) HANGUL SYLLABLE CWI
      "\uCDE9",  # (췩; 췩; 췩; 췩; 췩; ) HANGUL SYLLABLE CWIG
      "\uCDEA",  # (췪; 췪; 췪; 췪; 췪; ) HANGUL SYLLABLE CWIGG
      "\uCDEB",  # (췫; 췫; 췫; 췫; 췫; ) HANGUL SYLLABLE CWIGS
      "\uCDEC",  # (췬; 췬; 췬; 췬; 췬; ) HANGUL SYLLABLE CWIN
      "\uCDED",  # (췭; 췭; 췭; 췭; 췭; ) HANGUL SYLLABLE CWINJ
      "\uCDEE",  # (췮; 췮; 췮; 췮; 췮; ) HANGUL SYLLABLE CWINH
      "\uCDEF",  # (췯; 췯; 췯; 췯; 췯; ) HANGUL SYLLABLE CWID
      "\uCDF0",  # (췰; 췰; 췰; 췰; 췰; ) HANGUL SYLLABLE CWIL
      "\uCDF1",  # (췱; 췱; 췱; 췱; 췱; ) HANGUL SYLLABLE CWILG
      "\uCDF2",  # (췲; 췲; 췲; 췲; 췲; ) HANGUL SYLLABLE CWILM
      "\uCDF3",  # (췳; 췳; 췳; 췳; 췳; ) HANGUL SYLLABLE CWILB
      "\uCDF4",  # (췴; 췴; 췴; 췴; 췴; ) HANGUL SYLLABLE CWILS
      "\uCDF5",  # (췵; 췵; 췵; 췵; 췵; ) HANGUL SYLLABLE CWILT
      "\uCDF6",  # (췶; 췶; 췶; 췶; 췶; ) HANGUL SYLLABLE CWILP
      "\uCDF7",  # (췷; 췷; 췷; 췷; 췷; ) HANGUL SYLLABLE CWILH
      "\uCDF8",  # (췸; 췸; 췸; 췸; 췸; ) HANGUL SYLLABLE CWIM
      "\uCDF9",  # (췹; 췹; 췹; 췹; 췹; ) HANGUL SYLLABLE CWIB
      "\uCDFA",  # (췺; 췺; 췺; 췺; 췺; ) HANGUL SYLLABLE CWIBS
      "\uCDFB",  # (췻; 췻; 췻; 췻; 췻; ) HANGUL SYLLABLE CWIS
      "\uCDFC",  # (췼; 췼; 췼; 췼; 췼; ) HANGUL SYLLABLE CWISS
      "\uCDFD",  # (췽; 췽; 췽; 췽; 췽; ) HANGUL SYLLABLE CWING
      "\uCDFE",  # (췾; 췾; 췾; 췾; 췾; ) HANGUL SYLLABLE CWIJ
      "\uCDFF",  # (췿; 췿; 췿; 췿; 췿; ) HANGUL SYLLABLE CWIC
      "\uCE00",  # (츀; 츀; 츀; 츀; 츀; ) HANGUL SYLLABLE CWIK
      "\uCE01",  # (츁; 츁; 츁; 츁; 츁; ) HANGUL SYLLABLE CWIT
      "\uCE02",  # (츂; 츂; 츂; 츂; 츂; ) HANGUL SYLLABLE CWIP
      "\uCE03",  # (츃; 츃; 츃; 츃; 츃; ) HANGUL SYLLABLE CWIH
      "\uCE04",  # (츄; 츄; 츄; 츄; 츄; ) HANGUL SYLLABLE CYU
      "\uCE05",  # (츅; 츅; 츅; 츅; 츅; ) HANGUL SYLLABLE CYUG
      "\uCE06",  # (츆; 츆; 츆; 츆; 츆; ) HANGUL SYLLABLE CYUGG
      "\uCE07",  # (츇; 츇; 츇; 츇; 츇; ) HANGUL SYLLABLE CYUGS
      "\uCE08",  # (츈; 츈; 츈; 츈; 츈; ) HANGUL SYLLABLE CYUN
      "\uCE09",  # (츉; 츉; 츉; 츉; 츉; ) HANGUL SYLLABLE CYUNJ
      "\uCE0A",  # (츊; 츊; 츊; 츊; 츊; ) HANGUL SYLLABLE CYUNH
      "\uCE0B",  # (츋; 츋; 츋; 츋; 츋; ) HANGUL SYLLABLE CYUD
      "\uCE0C",  # (츌; 츌; 츌; 츌; 츌; ) HANGUL SYLLABLE CYUL
      "\uCE0D",  # (츍; 츍; 츍; 츍; 츍; ) HANGUL SYLLABLE CYULG
      "\uCE0E",  # (츎; 츎; 츎; 츎; 츎; ) HANGUL SYLLABLE CYULM
      "\uCE0F",  # (츏; 츏; 츏; 츏; 츏; ) HANGUL SYLLABLE CYULB
      "\uCE10",  # (츐; 츐; 츐; 츐; 츐; ) HANGUL SYLLABLE CYULS
      "\uCE11",  # (츑; 츑; 츑; 츑; 츑; ) HANGUL SYLLABLE CYULT
      "\uCE12",  # (츒; 츒; 츒; 츒; 츒; ) HANGUL SYLLABLE CYULP
      "\uCE13",  # (츓; 츓; 츓; 츓; 츓; ) HANGUL SYLLABLE CYULH
      "\uCE14",  # (츔; 츔; 츔; 츔; 츔; ) HANGUL SYLLABLE CYUM
      "\uCE15",  # (츕; 츕; 츕; 츕; 츕; ) HANGUL SYLLABLE CYUB
      "\uCE16",  # (츖; 츖; 츖; 츖; 츖; ) HANGUL SYLLABLE CYUBS
      "\uCE17",  # (츗; 츗; 츗; 츗; 츗; ) HANGUL SYLLABLE CYUS
      "\uCE18",  # (츘; 츘; 츘; 츘; 츘; ) HANGUL SYLLABLE CYUSS
      "\uCE19",  # (츙; 츙; 츙; 츙; 츙; ) HANGUL SYLLABLE CYUNG
      "\uCE1A",  # (츚; 츚; 츚; 츚; 츚; ) HANGUL SYLLABLE CYUJ
      "\uCE1B",  # (츛; 츛; 츛; 츛; 츛; ) HANGUL SYLLABLE CYUC
      "\uCE1C",  # (츜; 츜; 츜; 츜; 츜; ) HANGUL SYLLABLE CYUK
      "\uCE1D",  # (츝; 츝; 츝; 츝; 츝; ) HANGUL SYLLABLE CYUT
      "\uCE1E",  # (츞; 츞; 츞; 츞; 츞; ) HANGUL SYLLABLE CYUP
      "\uCE1F",  # (츟; 츟; 츟; 츟; 츟; ) HANGUL SYLLABLE CYUH
      "\uCE20",  # (츠; 츠; 츠; 츠; 츠; ) HANGUL SYLLABLE CEU
      "\uCE21",  # (측; 측; 측; 측; 측; ) HANGUL SYLLABLE CEUG
      "\uCE22",  # (츢; 츢; 츢; 츢; 츢; ) HANGUL SYLLABLE CEUGG
      "\uCE23",  # (츣; 츣; 츣; 츣; 츣; ) HANGUL SYLLABLE CEUGS
      "\uCE24",  # (츤; 츤; 츤; 츤; 츤; ) HANGUL SYLLABLE CEUN
      "\uCE25",  # (츥; 츥; 츥; 츥; 츥; ) HANGUL SYLLABLE CEUNJ
      "\uCE26",  # (츦; 츦; 츦; 츦; 츦; ) HANGUL SYLLABLE CEUNH
      "\uCE27",  # (츧; 츧; 츧; 츧; 츧; ) HANGUL SYLLABLE CEUD
      "\uCE28",  # (츨; 츨; 츨; 츨; 츨; ) HANGUL SYLLABLE CEUL
      "\uCE29",  # (츩; 츩; 츩; 츩; 츩; ) HANGUL SYLLABLE CEULG
      "\uCE2A",  # (츪; 츪; 츪; 츪; 츪; ) HANGUL SYLLABLE CEULM
      "\uCE2B",  # (츫; 츫; 츫; 츫; 츫; ) HANGUL SYLLABLE CEULB
      "\uCE2C",  # (츬; 츬; 츬; 츬; 츬; ) HANGUL SYLLABLE CEULS
      "\uCE2D",  # (츭; 츭; 츭; 츭; 츭; ) HANGUL SYLLABLE CEULT
      "\uCE2E",  # (츮; 츮; 츮; 츮; 츮; ) HANGUL SYLLABLE CEULP
      "\uCE2F",  # (츯; 츯; 츯; 츯; 츯; ) HANGUL SYLLABLE CEULH
      "\uCE30",  # (츰; 츰; 츰; 츰; 츰; ) HANGUL SYLLABLE CEUM
      "\uCE31",  # (츱; 츱; 츱; 츱; 츱; ) HANGUL SYLLABLE CEUB
      "\uCE32",  # (츲; 츲; 츲; 츲; 츲; ) HANGUL SYLLABLE CEUBS
      "\uCE33",  # (츳; 츳; 츳; 츳; 츳; ) HANGUL SYLLABLE CEUS
      "\uCE34",  # (츴; 츴; 츴; 츴; 츴; ) HANGUL SYLLABLE CEUSS
      "\uCE35",  # (층; 층; 층; 층; 층; ) HANGUL SYLLABLE CEUNG
      "\uCE36",  # (츶; 츶; 츶; 츶; 츶; ) HANGUL SYLLABLE CEUJ
      "\uCE37",  # (츷; 츷; 츷; 츷; 츷; ) HANGUL SYLLABLE CEUC
      "\uCE38",  # (츸; 츸; 츸; 츸; 츸; ) HANGUL SYLLABLE CEUK
      "\uCE39",  # (츹; 츹; 츹; 츹; 츹; ) HANGUL SYLLABLE CEUT
      "\uCE3A",  # (츺; 츺; 츺; 츺; 츺; ) HANGUL SYLLABLE CEUP
      "\uCE3B",  # (츻; 츻; 츻; 츻; 츻; ) HANGUL SYLLABLE CEUH
      "\uCE3C",  # (츼; 츼; 츼; 츼; 츼; ) HANGUL SYLLABLE CYI
      "\uCE3D",  # (츽; 츽; 츽; 츽; 츽; ) HANGUL SYLLABLE CYIG
      "\uCE3E",  # (츾; 츾; 츾; 츾; 츾; ) HANGUL SYLLABLE CYIGG
      "\uCE3F",  # (츿; 츿; 츿; 츿; 츿; ) HANGUL SYLLABLE CYIGS
      "\uCE40",  # (칀; 칀; 칀; 칀; 칀; ) HANGUL SYLLABLE CYIN
      "\uCE41",  # (칁; 칁; 칁; 칁; 칁; ) HANGUL SYLLABLE CYINJ
      "\uCE42",  # (칂; 칂; 칂; 칂; 칂; ) HANGUL SYLLABLE CYINH
      "\uCE43",  # (칃; 칃; 칃; 칃; 칃; ) HANGUL SYLLABLE CYID
      "\uCE44",  # (칄; 칄; 칄; 칄; 칄; ) HANGUL SYLLABLE CYIL
      "\uCE45",  # (칅; 칅; 칅; 칅; 칅; ) HANGUL SYLLABLE CYILG
      "\uCE46",  # (칆; 칆; 칆; 칆; 칆; ) HANGUL SYLLABLE CYILM
      "\uCE47",  # (칇; 칇; 칇; 칇; 칇; ) HANGUL SYLLABLE CYILB
      "\uCE48",  # (칈; 칈; 칈; 칈; 칈; ) HANGUL SYLLABLE CYILS
      "\uCE49",  # (칉; 칉; 칉; 칉; 칉; ) HANGUL SYLLABLE CYILT
      "\uCE4A",  # (칊; 칊; 칊; 칊; 칊; ) HANGUL SYLLABLE CYILP
      "\uCE4B",  # (칋; 칋; 칋; 칋; 칋; ) HANGUL SYLLABLE CYILH
      "\uCE4C",  # (칌; 칌; 칌; 칌; 칌; ) HANGUL SYLLABLE CYIM
      "\uCE4D",  # (칍; 칍; 칍; 칍; 칍; ) HANGUL SYLLABLE CYIB
      "\uCE4E",  # (칎; 칎; 칎; 칎; 칎; ) HANGUL SYLLABLE CYIBS
      "\uCE4F",  # (칏; 칏; 칏; 칏; 칏; ) HANGUL SYLLABLE CYIS
      "\uCE50",  # (칐; 칐; 칐; 칐; 칐; ) HANGUL SYLLABLE CYISS
      "\uCE51",  # (칑; 칑; 칑; 칑; 칑; ) HANGUL SYLLABLE CYING
      "\uCE52",  # (칒; 칒; 칒; 칒; 칒; ) HANGUL SYLLABLE CYIJ
      "\uCE53",  # (칓; 칓; 칓; 칓; 칓; ) HANGUL SYLLABLE CYIC
      "\uCE54",  # (칔; 칔; 칔; 칔; 칔; ) HANGUL SYLLABLE CYIK
      "\uCE55",  # (칕; 칕; 칕; 칕; 칕; ) HANGUL SYLLABLE CYIT
      "\uCE56",  # (칖; 칖; 칖; 칖; 칖; ) HANGUL SYLLABLE CYIP
      "\uCE57",  # (칗; 칗; 칗; 칗; 칗; ) HANGUL SYLLABLE CYIH
      "\uCE58",  # (치; 치; 치; 치; 치; ) HANGUL SYLLABLE CI
      "\uCE59",  # (칙; 칙; 칙; 칙; 칙; ) HANGUL SYLLABLE CIG
      "\uCE5A",  # (칚; 칚; 칚; 칚; 칚; ) HANGUL SYLLABLE CIGG
      "\uCE5B",  # (칛; 칛; 칛; 칛; 칛; ) HANGUL SYLLABLE CIGS
      "\uCE5C",  # (친; 친; 친; 친; 친; ) HANGUL SYLLABLE CIN
      "\uCE5D",  # (칝; 칝; 칝; 칝; 칝; ) HANGUL SYLLABLE CINJ
      "\uCE5E",  # (칞; 칞; 칞; 칞; 칞; ) HANGUL SYLLABLE CINH
      "\uCE5F",  # (칟; 칟; 칟; 칟; 칟; ) HANGUL SYLLABLE CID
      "\uCE60",  # (칠; 칠; 칠; 칠; 칠; ) HANGUL SYLLABLE CIL
      "\uCE61",  # (칡; 칡; 칡; 칡; 칡; ) HANGUL SYLLABLE CILG
      "\uCE62",  # (칢; 칢; 칢; 칢; 칢; ) HANGUL SYLLABLE CILM
      "\uCE63",  # (칣; 칣; 칣; 칣; 칣; ) HANGUL SYLLABLE CILB
      "\uCE64",  # (칤; 칤; 칤; 칤; 칤; ) HANGUL SYLLABLE CILS
      "\uCE65",  # (칥; 칥; 칥; 칥; 칥; ) HANGUL SYLLABLE CILT
      "\uCE66",  # (칦; 칦; 칦; 칦; 칦; ) HANGUL SYLLABLE CILP
      "\uCE67",  # (칧; 칧; 칧; 칧; 칧; ) HANGUL SYLLABLE CILH
      "\uCE68",  # (침; 침; 침; 침; 침; ) HANGUL SYLLABLE CIM
      "\uCE69",  # (칩; 칩; 칩; 칩; 칩; ) HANGUL SYLLABLE CIB
      "\uCE6A",  # (칪; 칪; 칪; 칪; 칪; ) HANGUL SYLLABLE CIBS
      "\uCE6B",  # (칫; 칫; 칫; 칫; 칫; ) HANGUL SYLLABLE CIS
      "\uCE6C",  # (칬; 칬; 칬; 칬; 칬; ) HANGUL SYLLABLE CISS
      "\uCE6D",  # (칭; 칭; 칭; 칭; 칭; ) HANGUL SYLLABLE CING
      "\uCE6E",  # (칮; 칮; 칮; 칮; 칮; ) HANGUL SYLLABLE CIJ
      "\uCE6F",  # (칯; 칯; 칯; 칯; 칯; ) HANGUL SYLLABLE CIC
      "\uCE70",  # (칰; 칰; 칰; 칰; 칰; ) HANGUL SYLLABLE CIK
      "\uCE71",  # (칱; 칱; 칱; 칱; 칱; ) HANGUL SYLLABLE CIT
      "\uCE72",  # (칲; 칲; 칲; 칲; 칲; ) HANGUL SYLLABLE CIP
      "\uCE73",  # (칳; 칳; 칳; 칳; 칳; ) HANGUL SYLLABLE CIH
      "\uCE74",  # (카; 카; 카; 카; 카; ) HANGUL SYLLABLE KA
      "\uCE75",  # (칵; 칵; 칵; 칵; 칵; ) HANGUL SYLLABLE KAG
      "\uCE76",  # (칶; 칶; 칶; 칶; 칶; ) HANGUL SYLLABLE KAGG
      "\uCE77",  # (칷; 칷; 칷; 칷; 칷; ) HANGUL SYLLABLE KAGS
      "\uCE78",  # (칸; 칸; 칸; 칸; 칸; ) HANGUL SYLLABLE KAN
      "\uCE79",  # (칹; 칹; 칹; 칹; 칹; ) HANGUL SYLLABLE KANJ
      "\uCE7A",  # (칺; 칺; 칺; 칺; 칺; ) HANGUL SYLLABLE KANH
      "\uCE7B",  # (칻; 칻; 칻; 칻; 칻; ) HANGUL SYLLABLE KAD
      "\uCE7C",  # (칼; 칼; 칼; 칼; 칼; ) HANGUL SYLLABLE KAL
      "\uCE7D",  # (칽; 칽; 칽; 칽; 칽; ) HANGUL SYLLABLE KALG
      "\uCE7E",  # (칾; 칾; 칾; 칾; 칾; ) HANGUL SYLLABLE KALM
      "\uCE7F",  # (칿; 칿; 칿; 칿; 칿; ) HANGUL SYLLABLE KALB
      "\uCE80",  # (캀; 캀; 캀; 캀; 캀; ) HANGUL SYLLABLE KALS
      "\uCE81",  # (캁; 캁; 캁; 캁; 캁; ) HANGUL SYLLABLE KALT
      "\uCE82",  # (캂; 캂; 캂; 캂; 캂; ) HANGUL SYLLABLE KALP
      "\uCE83",  # (캃; 캃; 캃; 캃; 캃; ) HANGUL SYLLABLE KALH
      "\uCE84",  # (캄; 캄; 캄; 캄; 캄; ) HANGUL SYLLABLE KAM
      "\uCE85",  # (캅; 캅; 캅; 캅; 캅; ) HANGUL SYLLABLE KAB
      "\uCE86",  # (캆; 캆; 캆; 캆; 캆; ) HANGUL SYLLABLE KABS
      "\uCE87",  # (캇; 캇; 캇; 캇; 캇; ) HANGUL SYLLABLE KAS
      "\uCE88",  # (캈; 캈; 캈; 캈; 캈; ) HANGUL SYLLABLE KASS
      "\uCE89",  # (캉; 캉; 캉; 캉; 캉; ) HANGUL SYLLABLE KANG
      "\uCE8A",  # (캊; 캊; 캊; 캊; 캊; ) HANGUL SYLLABLE KAJ
      "\uCE8B",  # (캋; 캋; 캋; 캋; 캋; ) HANGUL SYLLABLE KAC
      "\uCE8C",  # (캌; 캌; 캌; 캌; 캌; ) HANGUL SYLLABLE KAK
      "\uCE8D",  # (캍; 캍; 캍; 캍; 캍; ) HANGUL SYLLABLE KAT
      "\uCE8E",  # (캎; 캎; 캎; 캎; 캎; ) HANGUL SYLLABLE KAP
      "\uCE8F",  # (캏; 캏; 캏; 캏; 캏; ) HANGUL SYLLABLE KAH
      "\uCE90",  # (캐; 캐; 캐; 캐; 캐; ) HANGUL SYLLABLE KAE
      "\uCE91",  # (캑; 캑; 캑; 캑; 캑; ) HANGUL SYLLABLE KAEG
      "\uCE92",  # (캒; 캒; 캒; 캒; 캒; ) HANGUL SYLLABLE KAEGG
      "\uCE93",  # (캓; 캓; 캓; 캓; 캓; ) HANGUL SYLLABLE KAEGS
      "\uCE94",  # (캔; 캔; 캔; 캔; 캔; ) HANGUL SYLLABLE KAEN
      "\uCE95",  # (캕; 캕; 캕; 캕; 캕; ) HANGUL SYLLABLE KAENJ
      "\uCE96",  # (캖; 캖; 캖; 캖; 캖; ) HANGUL SYLLABLE KAENH
      "\uCE97",  # (캗; 캗; 캗; 캗; 캗; ) HANGUL SYLLABLE KAED
      "\uCE98",  # (캘; 캘; 캘; 캘; 캘; ) HANGUL SYLLABLE KAEL
      "\uCE99",  # (캙; 캙; 캙; 캙; 캙; ) HANGUL SYLLABLE KAELG
      "\uCE9A",  # (캚; 캚; 캚; 캚; 캚; ) HANGUL SYLLABLE KAELM
      "\uCE9B",  # (캛; 캛; 캛; 캛; 캛; ) HANGUL SYLLABLE KAELB
      "\uCE9C",  # (캜; 캜; 캜; 캜; 캜; ) HANGUL SYLLABLE KAELS
      "\uCE9D",  # (캝; 캝; 캝; 캝; 캝; ) HANGUL SYLLABLE KAELT
      "\uCE9E",  # (캞; 캞; 캞; 캞; 캞; ) HANGUL SYLLABLE KAELP
      "\uCE9F",  # (캟; 캟; 캟; 캟; 캟; ) HANGUL SYLLABLE KAELH
      "\uCEA0",  # (캠; 캠; 캠; 캠; 캠; ) HANGUL SYLLABLE KAEM
      "\uCEA1",  # (캡; 캡; 캡; 캡; 캡; ) HANGUL SYLLABLE KAEB
      "\uCEA2",  # (캢; 캢; 캢; 캢; 캢; ) HANGUL SYLLABLE KAEBS
      "\uCEA3",  # (캣; 캣; 캣; 캣; 캣; ) HANGUL SYLLABLE KAES
      "\uCEA4",  # (캤; 캤; 캤; 캤; 캤; ) HANGUL SYLLABLE KAESS
      "\uCEA5",  # (캥; 캥; 캥; 캥; 캥; ) HANGUL SYLLABLE KAENG
      "\uCEA6",  # (캦; 캦; 캦; 캦; 캦; ) HANGUL SYLLABLE KAEJ
      "\uCEA7",  # (캧; 캧; 캧; 캧; 캧; ) HANGUL SYLLABLE KAEC
      "\uCEA8",  # (캨; 캨; 캨; 캨; 캨; ) HANGUL SYLLABLE KAEK
      "\uCEA9",  # (캩; 캩; 캩; 캩; 캩; ) HANGUL SYLLABLE KAET
      "\uCEAA",  # (캪; 캪; 캪; 캪; 캪; ) HANGUL SYLLABLE KAEP
      "\uCEAB",  # (캫; 캫; 캫; 캫; 캫; ) HANGUL SYLLABLE KAEH
      "\uCEAC",  # (캬; 캬; 캬; 캬; 캬; ) HANGUL SYLLABLE KYA
      "\uCEAD",  # (캭; 캭; 캭; 캭; 캭; ) HANGUL SYLLABLE KYAG
      "\uCEAE",  # (캮; 캮; 캮; 캮; 캮; ) HANGUL SYLLABLE KYAGG
      "\uCEAF",  # (캯; 캯; 캯; 캯; 캯; ) HANGUL SYLLABLE KYAGS
      "\uCEB0",  # (캰; 캰; 캰; 캰; 캰; ) HANGUL SYLLABLE KYAN
      "\uCEB1",  # (캱; 캱; 캱; 캱; 캱; ) HANGUL SYLLABLE KYANJ
      "\uCEB2",  # (캲; 캲; 캲; 캲; 캲; ) HANGUL SYLLABLE KYANH
      "\uCEB3",  # (캳; 캳; 캳; 캳; 캳; ) HANGUL SYLLABLE KYAD
      "\uCEB4",  # (캴; 캴; 캴; 캴; 캴; ) HANGUL SYLLABLE KYAL
      "\uCEB5",  # (캵; 캵; 캵; 캵; 캵; ) HANGUL SYLLABLE KYALG
      "\uCEB6",  # (캶; 캶; 캶; 캶; 캶; ) HANGUL SYLLABLE KYALM
      "\uCEB7",  # (캷; 캷; 캷; 캷; 캷; ) HANGUL SYLLABLE KYALB
      "\uCEB8",  # (캸; 캸; 캸; 캸; 캸; ) HANGUL SYLLABLE KYALS
      "\uCEB9",  # (캹; 캹; 캹; 캹; 캹; ) HANGUL SYLLABLE KYALT
      "\uCEBA",  # (캺; 캺; 캺; 캺; 캺; ) HANGUL SYLLABLE KYALP
      "\uCEBB",  # (캻; 캻; 캻; 캻; 캻; ) HANGUL SYLLABLE KYALH
      "\uCEBC",  # (캼; 캼; 캼; 캼; 캼; ) HANGUL SYLLABLE KYAM
      "\uCEBD",  # (캽; 캽; 캽; 캽; 캽; ) HANGUL SYLLABLE KYAB
      "\uCEBE",  # (캾; 캾; 캾; 캾; 캾; ) HANGUL SYLLABLE KYABS
      "\uCEBF",  # (캿; 캿; 캿; 캿; 캿; ) HANGUL SYLLABLE KYAS
      "\uCEC0",  # (컀; 컀; 컀; 컀; 컀; ) HANGUL SYLLABLE KYASS
      "\uCEC1",  # (컁; 컁; 컁; 컁; 컁; ) HANGUL SYLLABLE KYANG
      "\uCEC2",  # (컂; 컂; 컂; 컂; 컂; ) HANGUL SYLLABLE KYAJ
      "\uCEC3",  # (컃; 컃; 컃; 컃; 컃; ) HANGUL SYLLABLE KYAC
      "\uCEC4",  # (컄; 컄; 컄; 컄; 컄; ) HANGUL SYLLABLE KYAK
      "\uCEC5",  # (컅; 컅; 컅; 컅; 컅; ) HANGUL SYLLABLE KYAT
      "\uCEC6",  # (컆; 컆; 컆; 컆; 컆; ) HANGUL SYLLABLE KYAP
      "\uCEC7",  # (컇; 컇; 컇; 컇; 컇; ) HANGUL SYLLABLE KYAH
      "\uCEC8",  # (컈; 컈; 컈; 컈; 컈; ) HANGUL SYLLABLE KYAE
      "\uCEC9",  # (컉; 컉; 컉; 컉; 컉; ) HANGUL SYLLABLE KYAEG
      "\uCECA",  # (컊; 컊; 컊; 컊; 컊; ) HANGUL SYLLABLE KYAEGG
      "\uCECB",  # (컋; 컋; 컋; 컋; 컋; ) HANGUL SYLLABLE KYAEGS
      "\uCECC",  # (컌; 컌; 컌; 컌; 컌; ) HANGUL SYLLABLE KYAEN
      "\uCECD",  # (컍; 컍; 컍; 컍; 컍; ) HANGUL SYLLABLE KYAENJ
      "\uCECE",  # (컎; 컎; 컎; 컎; 컎; ) HANGUL SYLLABLE KYAENH
      "\uCECF",  # (컏; 컏; 컏; 컏; 컏; ) HANGUL SYLLABLE KYAED
      "\uCED0",  # (컐; 컐; 컐; 컐; 컐; ) HANGUL SYLLABLE KYAEL
      "\uCED1",  # (컑; 컑; 컑; 컑; 컑; ) HANGUL SYLLABLE KYAELG
      "\uCED2",  # (컒; 컒; 컒; 컒; 컒; ) HANGUL SYLLABLE KYAELM
      "\uCED3",  # (컓; 컓; 컓; 컓; 컓; ) HANGUL SYLLABLE KYAELB
      "\uCED4",  # (컔; 컔; 컔; 컔; 컔; ) HANGUL SYLLABLE KYAELS
      "\uCED5",  # (컕; 컕; 컕; 컕; 컕; ) HANGUL SYLLABLE KYAELT
      "\uCED6",  # (컖; 컖; 컖; 컖; 컖; ) HANGUL SYLLABLE KYAELP
      "\uCED7",  # (컗; 컗; 컗; 컗; 컗; ) HANGUL SYLLABLE KYAELH
      "\uCED8",  # (컘; 컘; 컘; 컘; 컘; ) HANGUL SYLLABLE KYAEM
      "\uCED9",  # (컙; 컙; 컙; 컙; 컙; ) HANGUL SYLLABLE KYAEB
      "\uCEDA",  # (컚; 컚; 컚; 컚; 컚; ) HANGUL SYLLABLE KYAEBS
      "\uCEDB",  # (컛; 컛; 컛; 컛; 컛; ) HANGUL SYLLABLE KYAES
      "\uCEDC",  # (컜; 컜; 컜; 컜; 컜; ) HANGUL SYLLABLE KYAESS
      "\uCEDD",  # (컝; 컝; 컝; 컝; 컝; ) HANGUL SYLLABLE KYAENG
      "\uCEDE",  # (컞; 컞; 컞; 컞; 컞; ) HANGUL SYLLABLE KYAEJ
      "\uCEDF",  # (컟; 컟; 컟; 컟; 컟; ) HANGUL SYLLABLE KYAEC
      "\uCEE0",  # (컠; 컠; 컠; 컠; 컠; ) HANGUL SYLLABLE KYAEK
      "\uCEE1",  # (컡; 컡; 컡; 컡; 컡; ) HANGUL SYLLABLE KYAET
      "\uCEE2",  # (컢; 컢; 컢; 컢; 컢; ) HANGUL SYLLABLE KYAEP
      "\uCEE3",  # (컣; 컣; 컣; 컣; 컣; ) HANGUL SYLLABLE KYAEH
      "\uCEE4",  # (커; 커; 커; 커; 커; ) HANGUL SYLLABLE KEO
      "\uCEE5",  # (컥; 컥; 컥; 컥; 컥; ) HANGUL SYLLABLE KEOG
      "\uCEE6",  # (컦; 컦; 컦; 컦; 컦; ) HANGUL SYLLABLE KEOGG
      "\uCEE7",  # (컧; 컧; 컧; 컧; 컧; ) HANGUL SYLLABLE KEOGS
      "\uCEE8",  # (컨; 컨; 컨; 컨; 컨; ) HANGUL SYLLABLE KEON
      "\uCEE9",  # (컩; 컩; 컩; 컩; 컩; ) HANGUL SYLLABLE KEONJ
      "\uCEEA",  # (컪; 컪; 컪; 컪; 컪; ) HANGUL SYLLABLE KEONH
      "\uCEEB",  # (컫; 컫; 컫; 컫; 컫; ) HANGUL SYLLABLE KEOD
      "\uCEEC",  # (컬; 컬; 컬; 컬; 컬; ) HANGUL SYLLABLE KEOL
      "\uCEED",  # (컭; 컭; 컭; 컭; 컭; ) HANGUL SYLLABLE KEOLG
      "\uCEEE",  # (컮; 컮; 컮; 컮; 컮; ) HANGUL SYLLABLE KEOLM
      "\uCEEF",  # (컯; 컯; 컯; 컯; 컯; ) HANGUL SYLLABLE KEOLB
      "\uCEF0",  # (컰; 컰; 컰; 컰; 컰; ) HANGUL SYLLABLE KEOLS
      "\uCEF1",  # (컱; 컱; 컱; 컱; 컱; ) HANGUL SYLLABLE KEOLT
      "\uCEF2",  # (컲; 컲; 컲; 컲; 컲; ) HANGUL SYLLABLE KEOLP
      "\uCEF3",  # (컳; 컳; 컳; 컳; 컳; ) HANGUL SYLLABLE KEOLH
      "\uCEF4",  # (컴; 컴; 컴; 컴; 컴; ) HANGUL SYLLABLE KEOM
      "\uCEF5",  # (컵; 컵; 컵; 컵; 컵; ) HANGUL SYLLABLE KEOB
      "\uCEF6",  # (컶; 컶; 컶; 컶; 컶; ) HANGUL SYLLABLE KEOBS
      "\uCEF7",  # (컷; 컷; 컷; 컷; 컷; ) HANGUL SYLLABLE KEOS
      "\uCEF8",  # (컸; 컸; 컸; 컸; 컸; ) HANGUL SYLLABLE KEOSS
      "\uCEF9",  # (컹; 컹; 컹; 컹; 컹; ) HANGUL SYLLABLE KEONG
      "\uCEFA",  # (컺; 컺; 컺; 컺; 컺; ) HANGUL SYLLABLE KEOJ
      "\uCEFB",  # (컻; 컻; 컻; 컻; 컻; ) HANGUL SYLLABLE KEOC
      "\uCEFC",  # (컼; 컼; 컼; 컼; 컼; ) HANGUL SYLLABLE KEOK
      "\uCEFD",  # (컽; 컽; 컽; 컽; 컽; ) HANGUL SYLLABLE KEOT
      "\uCEFE",  # (컾; 컾; 컾; 컾; 컾; ) HANGUL SYLLABLE KEOP
      "\uCEFF",  # (컿; 컿; 컿; 컿; 컿; ) HANGUL SYLLABLE KEOH
      "\uCF00",  # (케; 케; 케; 케; 케; ) HANGUL SYLLABLE KE
      "\uCF01",  # (켁; 켁; 켁; 켁; 켁; ) HANGUL SYLLABLE KEG
      "\uCF02",  # (켂; 켂; 켂; 켂; 켂; ) HANGUL SYLLABLE KEGG
      "\uCF03",  # (켃; 켃; 켃; 켃; 켃; ) HANGUL SYLLABLE KEGS
      "\uCF04",  # (켄; 켄; 켄; 켄; 켄; ) HANGUL SYLLABLE KEN
      "\uCF05",  # (켅; 켅; 켅; 켅; 켅; ) HANGUL SYLLABLE KENJ
      "\uCF06",  # (켆; 켆; 켆; 켆; 켆; ) HANGUL SYLLABLE KENH
      "\uCF07",  # (켇; 켇; 켇; 켇; 켇; ) HANGUL SYLLABLE KED
      "\uCF08",  # (켈; 켈; 켈; 켈; 켈; ) HANGUL SYLLABLE KEL
      "\uCF09",  # (켉; 켉; 켉; 켉; 켉; ) HANGUL SYLLABLE KELG
      "\uCF0A",  # (켊; 켊; 켊; 켊; 켊; ) HANGUL SYLLABLE KELM
      "\uCF0B",  # (켋; 켋; 켋; 켋; 켋; ) HANGUL SYLLABLE KELB
      "\uCF0C",  # (켌; 켌; 켌; 켌; 켌; ) HANGUL SYLLABLE KELS
      "\uCF0D",  # (켍; 켍; 켍; 켍; 켍; ) HANGUL SYLLABLE KELT
      "\uCF0E",  # (켎; 켎; 켎; 켎; 켎; ) HANGUL SYLLABLE KELP
      "\uCF0F",  # (켏; 켏; 켏; 켏; 켏; ) HANGUL SYLLABLE KELH
      "\uCF10",  # (켐; 켐; 켐; 켐; 켐; ) HANGUL SYLLABLE KEM
      "\uCF11",  # (켑; 켑; 켑; 켑; 켑; ) HANGUL SYLLABLE KEB
      "\uCF12",  # (켒; 켒; 켒; 켒; 켒; ) HANGUL SYLLABLE KEBS
      "\uCF13",  # (켓; 켓; 켓; 켓; 켓; ) HANGUL SYLLABLE KES
      "\uCF14",  # (켔; 켔; 켔; 켔; 켔; ) HANGUL SYLLABLE KESS
      "\uCF15",  # (켕; 켕; 켕; 켕; 켕; ) HANGUL SYLLABLE KENG
      "\uCF16",  # (켖; 켖; 켖; 켖; 켖; ) HANGUL SYLLABLE KEJ
      "\uCF17",  # (켗; 켗; 켗; 켗; 켗; ) HANGUL SYLLABLE KEC
      "\uCF18",  # (켘; 켘; 켘; 켘; 켘; ) HANGUL SYLLABLE KEK
      "\uCF19",  # (켙; 켙; 켙; 켙; 켙; ) HANGUL SYLLABLE KET
      "\uCF1A",  # (켚; 켚; 켚; 켚; 켚; ) HANGUL SYLLABLE KEP
      "\uCF1B",  # (켛; 켛; 켛; 켛; 켛; ) HANGUL SYLLABLE KEH
      "\uCF1C",  # (켜; 켜; 켜; 켜; 켜; ) HANGUL SYLLABLE KYEO
      "\uCF1D",  # (켝; 켝; 켝; 켝; 켝; ) HANGUL SYLLABLE KYEOG
      "\uCF1E",  # (켞; 켞; 켞; 켞; 켞; ) HANGUL SYLLABLE KYEOGG
      "\uCF1F",  # (켟; 켟; 켟; 켟; 켟; ) HANGUL SYLLABLE KYEOGS
      "\uCF20",  # (켠; 켠; 켠; 켠; 켠; ) HANGUL SYLLABLE KYEON
      "\uCF21",  # (켡; 켡; 켡; 켡; 켡; ) HANGUL SYLLABLE KYEONJ
      "\uCF22",  # (켢; 켢; 켢; 켢; 켢; ) HANGUL SYLLABLE KYEONH
      "\uCF23",  # (켣; 켣; 켣; 켣; 켣; ) HANGUL SYLLABLE KYEOD
      "\uCF24",  # (켤; 켤; 켤; 켤; 켤; ) HANGUL SYLLABLE KYEOL
      "\uCF25",  # (켥; 켥; 켥; 켥; 켥; ) HANGUL SYLLABLE KYEOLG
      "\uCF26",  # (켦; 켦; 켦; 켦; 켦; ) HANGUL SYLLABLE KYEOLM
      "\uCF27",  # (켧; 켧; 켧; 켧; 켧; ) HANGUL SYLLABLE KYEOLB
      "\uCF28",  # (켨; 켨; 켨; 켨; 켨; ) HANGUL SYLLABLE KYEOLS
      "\uCF29",  # (켩; 켩; 켩; 켩; 켩; ) HANGUL SYLLABLE KYEOLT
      "\uCF2A",  # (켪; 켪; 켪; 켪; 켪; ) HANGUL SYLLABLE KYEOLP
      "\uCF2B",  # (켫; 켫; 켫; 켫; 켫; ) HANGUL SYLLABLE KYEOLH
      "\uCF2C",  # (켬; 켬; 켬; 켬; 켬; ) HANGUL SYLLABLE KYEOM
      "\uCF2D",  # (켭; 켭; 켭; 켭; 켭; ) HANGUL SYLLABLE KYEOB
      "\uCF2E",  # (켮; 켮; 켮; 켮; 켮; ) HANGUL SYLLABLE KYEOBS
      "\uCF2F",  # (켯; 켯; 켯; 켯; 켯; ) HANGUL SYLLABLE KYEOS
      "\uCF30",  # (켰; 켰; 켰; 켰; 켰; ) HANGUL SYLLABLE KYEOSS
      "\uCF31",  # (켱; 켱; 켱; 켱; 켱; ) HANGUL SYLLABLE KYEONG
      "\uCF32",  # (켲; 켲; 켲; 켲; 켲; ) HANGUL SYLLABLE KYEOJ
      "\uCF33",  # (켳; 켳; 켳; 켳; 켳; ) HANGUL SYLLABLE KYEOC
      "\uCF34",  # (켴; 켴; 켴; 켴; 켴; ) HANGUL SYLLABLE KYEOK
      "\uCF35",  # (켵; 켵; 켵; 켵; 켵; ) HANGUL SYLLABLE KYEOT
      "\uCF36",  # (켶; 켶; 켶; 켶; 켶; ) HANGUL SYLLABLE KYEOP
      "\uCF37",  # (켷; 켷; 켷; 켷; 켷; ) HANGUL SYLLABLE KYEOH
      "\uCF38",  # (켸; 켸; 켸; 켸; 켸; ) HANGUL SYLLABLE KYE
      "\uCF39",  # (켹; 켹; 켹; 켹; 켹; ) HANGUL SYLLABLE KYEG
      "\uCF3A",  # (켺; 켺; 켺; 켺; 켺; ) HANGUL SYLLABLE KYEGG
      "\uCF3B",  # (켻; 켻; 켻; 켻; 켻; ) HANGUL SYLLABLE KYEGS
      "\uCF3C",  # (켼; 켼; 켼; 켼; 켼; ) HANGUL SYLLABLE KYEN
      "\uCF3D",  # (켽; 켽; 켽; 켽; 켽; ) HANGUL SYLLABLE KYENJ
      "\uCF3E",  # (켾; 켾; 켾; 켾; 켾; ) HANGUL SYLLABLE KYENH
      "\uCF3F",  # (켿; 켿; 켿; 켿; 켿; ) HANGUL SYLLABLE KYED
      "\uCF40",  # (콀; 콀; 콀; 콀; 콀; ) HANGUL SYLLABLE KYEL
      "\uCF41",  # (콁; 콁; 콁; 콁; 콁; ) HANGUL SYLLABLE KYELG
      "\uCF42",  # (콂; 콂; 콂; 콂; 콂; ) HANGUL SYLLABLE KYELM
      "\uCF43",  # (콃; 콃; 콃; 콃; 콃; ) HANGUL SYLLABLE KYELB
      "\uCF44",  # (콄; 콄; 콄; 콄; 콄; ) HANGUL SYLLABLE KYELS
      "\uCF45",  # (콅; 콅; 콅; 콅; 콅; ) HANGUL SYLLABLE KYELT
      "\uCF46",  # (콆; 콆; 콆; 콆; 콆; ) HANGUL SYLLABLE KYELP
      "\uCF47",  # (콇; 콇; 콇; 콇; 콇; ) HANGUL SYLLABLE KYELH
      "\uCF48",  # (콈; 콈; 콈; 콈; 콈; ) HANGUL SYLLABLE KYEM
      "\uCF49",  # (콉; 콉; 콉; 콉; 콉; ) HANGUL SYLLABLE KYEB
      "\uCF4A",  # (콊; 콊; 콊; 콊; 콊; ) HANGUL SYLLABLE KYEBS
      "\uCF4B",  # (콋; 콋; 콋; 콋; 콋; ) HANGUL SYLLABLE KYES
      "\uCF4C",  # (콌; 콌; 콌; 콌; 콌; ) HANGUL SYLLABLE KYESS
      "\uCF4D",  # (콍; 콍; 콍; 콍; 콍; ) HANGUL SYLLABLE KYENG
      "\uCF4E",  # (콎; 콎; 콎; 콎; 콎; ) HANGUL SYLLABLE KYEJ
      "\uCF4F",  # (콏; 콏; 콏; 콏; 콏; ) HANGUL SYLLABLE KYEC
      "\uCF50",  # (콐; 콐; 콐; 콐; 콐; ) HANGUL SYLLABLE KYEK
      "\uCF51",  # (콑; 콑; 콑; 콑; 콑; ) HANGUL SYLLABLE KYET
      "\uCF52",  # (콒; 콒; 콒; 콒; 콒; ) HANGUL SYLLABLE KYEP
      "\uCF53",  # (콓; 콓; 콓; 콓; 콓; ) HANGUL SYLLABLE KYEH
      "\uCF54",  # (코; 코; 코; 코; 코; ) HANGUL SYLLABLE KO
      "\uCF55",  # (콕; 콕; 콕; 콕; 콕; ) HANGUL SYLLABLE KOG
      "\uCF56",  # (콖; 콖; 콖; 콖; 콖; ) HANGUL SYLLABLE KOGG
      "\uCF57",  # (콗; 콗; 콗; 콗; 콗; ) HANGUL SYLLABLE KOGS
      "\uCF58",  # (콘; 콘; 콘; 콘; 콘; ) HANGUL SYLLABLE KON
      "\uCF59",  # (콙; 콙; 콙; 콙; 콙; ) HANGUL SYLLABLE KONJ
      "\uCF5A",  # (콚; 콚; 콚; 콚; 콚; ) HANGUL SYLLABLE KONH
      "\uCF5B",  # (콛; 콛; 콛; 콛; 콛; ) HANGUL SYLLABLE KOD
      "\uCF5C",  # (콜; 콜; 콜; 콜; 콜; ) HANGUL SYLLABLE KOL
      "\uCF5D",  # (콝; 콝; 콝; 콝; 콝; ) HANGUL SYLLABLE KOLG
      "\uCF5E",  # (콞; 콞; 콞; 콞; 콞; ) HANGUL SYLLABLE KOLM
      "\uCF5F",  # (콟; 콟; 콟; 콟; 콟; ) HANGUL SYLLABLE KOLB
      "\uCF60",  # (콠; 콠; 콠; 콠; 콠; ) HANGUL SYLLABLE KOLS
      "\uCF61",  # (콡; 콡; 콡; 콡; 콡; ) HANGUL SYLLABLE KOLT
      "\uCF62",  # (콢; 콢; 콢; 콢; 콢; ) HANGUL SYLLABLE KOLP
      "\uCF63",  # (콣; 콣; 콣; 콣; 콣; ) HANGUL SYLLABLE KOLH
      "\uCF64",  # (콤; 콤; 콤; 콤; 콤; ) HANGUL SYLLABLE KOM
      "\uCF65",  # (콥; 콥; 콥; 콥; 콥; ) HANGUL SYLLABLE KOB
      "\uCF66",  # (콦; 콦; 콦; 콦; 콦; ) HANGUL SYLLABLE KOBS
      "\uCF67",  # (콧; 콧; 콧; 콧; 콧; ) HANGUL SYLLABLE KOS
      "\uCF68",  # (콨; 콨; 콨; 콨; 콨; ) HANGUL SYLLABLE KOSS
      "\uCF69",  # (콩; 콩; 콩; 콩; 콩; ) HANGUL SYLLABLE KONG
      "\uCF6A",  # (콪; 콪; 콪; 콪; 콪; ) HANGUL SYLLABLE KOJ
      "\uCF6B",  # (콫; 콫; 콫; 콫; 콫; ) HANGUL SYLLABLE KOC
      "\uCF6C",  # (콬; 콬; 콬; 콬; 콬; ) HANGUL SYLLABLE KOK
      "\uCF6D",  # (콭; 콭; 콭; 콭; 콭; ) HANGUL SYLLABLE KOT
      "\uCF6E",  # (콮; 콮; 콮; 콮; 콮; ) HANGUL SYLLABLE KOP
      "\uCF6F",  # (콯; 콯; 콯; 콯; 콯; ) HANGUL SYLLABLE KOH
      "\uCF70",  # (콰; 콰; 콰; 콰; 콰; ) HANGUL SYLLABLE KWA
      "\uCF71",  # (콱; 콱; 콱; 콱; 콱; ) HANGUL SYLLABLE KWAG
      "\uCF72",  # (콲; 콲; 콲; 콲; 콲; ) HANGUL SYLLABLE KWAGG
      "\uCF73",  # (콳; 콳; 콳; 콳; 콳; ) HANGUL SYLLABLE KWAGS
      "\uCF74",  # (콴; 콴; 콴; 콴; 콴; ) HANGUL SYLLABLE KWAN
      "\uCF75",  # (콵; 콵; 콵; 콵; 콵; ) HANGUL SYLLABLE KWANJ
      "\uCF76",  # (콶; 콶; 콶; 콶; 콶; ) HANGUL SYLLABLE KWANH
      "\uCF77",  # (콷; 콷; 콷; 콷; 콷; ) HANGUL SYLLABLE KWAD
      "\uCF78",  # (콸; 콸; 콸; 콸; 콸; ) HANGUL SYLLABLE KWAL
      "\uCF79",  # (콹; 콹; 콹; 콹; 콹; ) HANGUL SYLLABLE KWALG
      "\uCF7A",  # (콺; 콺; 콺; 콺; 콺; ) HANGUL SYLLABLE KWALM
      "\uCF7B",  # (콻; 콻; 콻; 콻; 콻; ) HANGUL SYLLABLE KWALB
      "\uCF7C",  # (콼; 콼; 콼; 콼; 콼; ) HANGUL SYLLABLE KWALS
      "\uCF7D",  # (콽; 콽; 콽; 콽; 콽; ) HANGUL SYLLABLE KWALT
      "\uCF7E",  # (콾; 콾; 콾; 콾; 콾; ) HANGUL SYLLABLE KWALP
      "\uCF7F",  # (콿; 콿; 콿; 콿; 콿; ) HANGUL SYLLABLE KWALH
      "\uCF80",  # (쾀; 쾀; 쾀; 쾀; 쾀; ) HANGUL SYLLABLE KWAM
      "\uCF81",  # (쾁; 쾁; 쾁; 쾁; 쾁; ) HANGUL SYLLABLE KWAB
      "\uCF82",  # (쾂; 쾂; 쾂; 쾂; 쾂; ) HANGUL SYLLABLE KWABS
      "\uCF83",  # (쾃; 쾃; 쾃; 쾃; 쾃; ) HANGUL SYLLABLE KWAS
      "\uCF84",  # (쾄; 쾄; 쾄; 쾄; 쾄; ) HANGUL SYLLABLE KWASS
      "\uCF85",  # (쾅; 쾅; 쾅; 쾅; 쾅; ) HANGUL SYLLABLE KWANG
      "\uCF86",  # (쾆; 쾆; 쾆; 쾆; 쾆; ) HANGUL SYLLABLE KWAJ
      "\uCF87",  # (쾇; 쾇; 쾇; 쾇; 쾇; ) HANGUL SYLLABLE KWAC
      "\uCF88",  # (쾈; 쾈; 쾈; 쾈; 쾈; ) HANGUL SYLLABLE KWAK
      "\uCF89",  # (쾉; 쾉; 쾉; 쾉; 쾉; ) HANGUL SYLLABLE KWAT
      "\uCF8A",  # (쾊; 쾊; 쾊; 쾊; 쾊; ) HANGUL SYLLABLE KWAP
      "\uCF8B",  # (쾋; 쾋; 쾋; 쾋; 쾋; ) HANGUL SYLLABLE KWAH
      "\uCF8C",  # (쾌; 쾌; 쾌; 쾌; 쾌; ) HANGUL SYLLABLE KWAE
      "\uCF8D",  # (쾍; 쾍; 쾍; 쾍; 쾍; ) HANGUL SYLLABLE KWAEG
      "\uCF8E",  # (쾎; 쾎; 쾎; 쾎; 쾎; ) HANGUL SYLLABLE KWAEGG
      "\uCF8F",  # (쾏; 쾏; 쾏; 쾏; 쾏; ) HANGUL SYLLABLE KWAEGS
      "\uCF90",  # (쾐; 쾐; 쾐; 쾐; 쾐; ) HANGUL SYLLABLE KWAEN
      "\uCF91",  # (쾑; 쾑; 쾑; 쾑; 쾑; ) HANGUL SYLLABLE KWAENJ
      "\uCF92",  # (쾒; 쾒; 쾒; 쾒; 쾒; ) HANGUL SYLLABLE KWAENH
      "\uCF93",  # (쾓; 쾓; 쾓; 쾓; 쾓; ) HANGUL SYLLABLE KWAED
      "\uCF94",  # (쾔; 쾔; 쾔; 쾔; 쾔; ) HANGUL SYLLABLE KWAEL
      "\uCF95",  # (쾕; 쾕; 쾕; 쾕; 쾕; ) HANGUL SYLLABLE KWAELG
      "\uCF96",  # (쾖; 쾖; 쾖; 쾖; 쾖; ) HANGUL SYLLABLE KWAELM
      "\uCF97",  # (쾗; 쾗; 쾗; 쾗; 쾗; ) HANGUL SYLLABLE KWAELB
      "\uCF98",  # (쾘; 쾘; 쾘; 쾘; 쾘; ) HANGUL SYLLABLE KWAELS
      "\uCF99",  # (쾙; 쾙; 쾙; 쾙; 쾙; ) HANGUL SYLLABLE KWAELT
      "\uCF9A",  # (쾚; 쾚; 쾚; 쾚; 쾚; ) HANGUL SYLLABLE KWAELP
      "\uCF9B",  # (쾛; 쾛; 쾛; 쾛; 쾛; ) HANGUL SYLLABLE KWAELH
      "\uCF9C",  # (쾜; 쾜; 쾜; 쾜; 쾜; ) HANGUL SYLLABLE KWAEM
      "\uCF9D",  # (쾝; 쾝; 쾝; 쾝; 쾝; ) HANGUL SYLLABLE KWAEB
      "\uCF9E",  # (쾞; 쾞; 쾞; 쾞; 쾞; ) HANGUL SYLLABLE KWAEBS
      "\uCF9F",  # (쾟; 쾟; 쾟; 쾟; 쾟; ) HANGUL SYLLABLE KWAES
      "\uCFA0",  # (쾠; 쾠; 쾠; 쾠; 쾠; ) HANGUL SYLLABLE KWAESS
      "\uCFA1",  # (쾡; 쾡; 쾡; 쾡; 쾡; ) HANGUL SYLLABLE KWAENG
      "\uCFA2",  # (쾢; 쾢; 쾢; 쾢; 쾢; ) HANGUL SYLLABLE KWAEJ
      "\uCFA3",  # (쾣; 쾣; 쾣; 쾣; 쾣; ) HANGUL SYLLABLE KWAEC
      "\uCFA4",  # (쾤; 쾤; 쾤; 쾤; 쾤; ) HANGUL SYLLABLE KWAEK
      "\uCFA5",  # (쾥; 쾥; 쾥; 쾥; 쾥; ) HANGUL SYLLABLE KWAET
      "\uCFA6",  # (쾦; 쾦; 쾦; 쾦; 쾦; ) HANGUL SYLLABLE KWAEP
      "\uCFA7",  # (쾧; 쾧; 쾧; 쾧; 쾧; ) HANGUL SYLLABLE KWAEH
      "\uCFA8",  # (쾨; 쾨; 쾨; 쾨; 쾨; ) HANGUL SYLLABLE KOE
      "\uCFA9",  # (쾩; 쾩; 쾩; 쾩; 쾩; ) HANGUL SYLLABLE KOEG
      "\uCFAA",  # (쾪; 쾪; 쾪; 쾪; 쾪; ) HANGUL SYLLABLE KOEGG
      "\uCFAB",  # (쾫; 쾫; 쾫; 쾫; 쾫; ) HANGUL SYLLABLE KOEGS
      "\uCFAC",  # (쾬; 쾬; 쾬; 쾬; 쾬; ) HANGUL SYLLABLE KOEN
      "\uCFAD",  # (쾭; 쾭; 쾭; 쾭; 쾭; ) HANGUL SYLLABLE KOENJ
      "\uCFAE",  # (쾮; 쾮; 쾮; 쾮; 쾮; ) HANGUL SYLLABLE KOENH
      "\uCFAF",  # (쾯; 쾯; 쾯; 쾯; 쾯; ) HANGUL SYLLABLE KOED
      "\uCFB0",  # (쾰; 쾰; 쾰; 쾰; 쾰; ) HANGUL SYLLABLE KOEL
      "\uCFB1",  # (쾱; 쾱; 쾱; 쾱; 쾱; ) HANGUL SYLLABLE KOELG
      "\uCFB2",  # (쾲; 쾲; 쾲; 쾲; 쾲; ) HANGUL SYLLABLE KOELM
      "\uCFB3",  # (쾳; 쾳; 쾳; 쾳; 쾳; ) HANGUL SYLLABLE KOELB
      "\uCFB4",  # (쾴; 쾴; 쾴; 쾴; 쾴; ) HANGUL SYLLABLE KOELS
      "\uCFB5",  # (쾵; 쾵; 쾵; 쾵; 쾵; ) HANGUL SYLLABLE KOELT
      "\uCFB6",  # (쾶; 쾶; 쾶; 쾶; 쾶; ) HANGUL SYLLABLE KOELP
      "\uCFB7",  # (쾷; 쾷; 쾷; 쾷; 쾷; ) HANGUL SYLLABLE KOELH
      "\uCFB8",  # (쾸; 쾸; 쾸; 쾸; 쾸; ) HANGUL SYLLABLE KOEM
      "\uCFB9",  # (쾹; 쾹; 쾹; 쾹; 쾹; ) HANGUL SYLLABLE KOEB
      "\uCFBA",  # (쾺; 쾺; 쾺; 쾺; 쾺; ) HANGUL SYLLABLE KOEBS
      "\uCFBB",  # (쾻; 쾻; 쾻; 쾻; 쾻; ) HANGUL SYLLABLE KOES
      "\uCFBC",  # (쾼; 쾼; 쾼; 쾼; 쾼; ) HANGUL SYLLABLE KOESS
      "\uCFBD",  # (쾽; 쾽; 쾽; 쾽; 쾽; ) HANGUL SYLLABLE KOENG
      "\uCFBE",  # (쾾; 쾾; 쾾; 쾾; 쾾; ) HANGUL SYLLABLE KOEJ
      "\uCFBF",  # (쾿; 쾿; 쾿; 쾿; 쾿; ) HANGUL SYLLABLE KOEC
      "\uCFC0",  # (쿀; 쿀; 쿀; 쿀; 쿀; ) HANGUL SYLLABLE KOEK
      "\uCFC1",  # (쿁; 쿁; 쿁; 쿁; 쿁; ) HANGUL SYLLABLE KOET
      "\uCFC2",  # (쿂; 쿂; 쿂; 쿂; 쿂; ) HANGUL SYLLABLE KOEP
      "\uCFC3",  # (쿃; 쿃; 쿃; 쿃; 쿃; ) HANGUL SYLLABLE KOEH
      "\uCFC4",  # (쿄; 쿄; 쿄; 쿄; 쿄; ) HANGUL SYLLABLE KYO
      "\uCFC5",  # (쿅; 쿅; 쿅; 쿅; 쿅; ) HANGUL SYLLABLE KYOG
      "\uCFC6",  # (쿆; 쿆; 쿆; 쿆; 쿆; ) HANGUL SYLLABLE KYOGG
      "\uCFC7",  # (쿇; 쿇; 쿇; 쿇; 쿇; ) HANGUL SYLLABLE KYOGS
      "\uCFC8",  # (쿈; 쿈; 쿈; 쿈; 쿈; ) HANGUL SYLLABLE KYON
      "\uCFC9",  # (쿉; 쿉; 쿉; 쿉; 쿉; ) HANGUL SYLLABLE KYONJ
      "\uCFCA",  # (쿊; 쿊; 쿊; 쿊; 쿊; ) HANGUL SYLLABLE KYONH
      "\uCFCB",  # (쿋; 쿋; 쿋; 쿋; 쿋; ) HANGUL SYLLABLE KYOD
      "\uCFCC",  # (쿌; 쿌; 쿌; 쿌; 쿌; ) HANGUL SYLLABLE KYOL
      "\uCFCD",  # (쿍; 쿍; 쿍; 쿍; 쿍; ) HANGUL SYLLABLE KYOLG
      "\uCFCE",  # (쿎; 쿎; 쿎; 쿎; 쿎; ) HANGUL SYLLABLE KYOLM
      "\uCFCF",  # (쿏; 쿏; 쿏; 쿏; 쿏; ) HANGUL SYLLABLE KYOLB
      "\uCFD0",  # (쿐; 쿐; 쿐; 쿐; 쿐; ) HANGUL SYLLABLE KYOLS
      "\uCFD1",  # (쿑; 쿑; 쿑; 쿑; 쿑; ) HANGUL SYLLABLE KYOLT
      "\uCFD2",  # (쿒; 쿒; 쿒; 쿒; 쿒; ) HANGUL SYLLABLE KYOLP
      "\uCFD3",  # (쿓; 쿓; 쿓; 쿓; 쿓; ) HANGUL SYLLABLE KYOLH
      "\uCFD4",  # (쿔; 쿔; 쿔; 쿔; 쿔; ) HANGUL SYLLABLE KYOM
      "\uCFD5",  # (쿕; 쿕; 쿕; 쿕; 쿕; ) HANGUL SYLLABLE KYOB
      "\uCFD6",  # (쿖; 쿖; 쿖; 쿖; 쿖; ) HANGUL SYLLABLE KYOBS
      "\uCFD7",  # (쿗; 쿗; 쿗; 쿗; 쿗; ) HANGUL SYLLABLE KYOS
      "\uCFD8",  # (쿘; 쿘; 쿘; 쿘; 쿘; ) HANGUL SYLLABLE KYOSS
      "\uCFD9",  # (쿙; 쿙; 쿙; 쿙; 쿙; ) HANGUL SYLLABLE KYONG
      "\uCFDA",  # (쿚; 쿚; 쿚; 쿚; 쿚; ) HANGUL SYLLABLE KYOJ
      "\uCFDB",  # (쿛; 쿛; 쿛; 쿛; 쿛; ) HANGUL SYLLABLE KYOC
      "\uCFDC",  # (쿜; 쿜; 쿜; 쿜; 쿜; ) HANGUL SYLLABLE KYOK
      "\uCFDD",  # (쿝; 쿝; 쿝; 쿝; 쿝; ) HANGUL SYLLABLE KYOT
      "\uCFDE",  # (쿞; 쿞; 쿞; 쿞; 쿞; ) HANGUL SYLLABLE KYOP
      "\uCFDF",  # (쿟; 쿟; 쿟; 쿟; 쿟; ) HANGUL SYLLABLE KYOH
      "\uCFE0",  # (쿠; 쿠; 쿠; 쿠; 쿠; ) HANGUL SYLLABLE KU
      "\uCFE1",  # (쿡; 쿡; 쿡; 쿡; 쿡; ) HANGUL SYLLABLE KUG
      "\uCFE2",  # (쿢; 쿢; 쿢; 쿢; 쿢; ) HANGUL SYLLABLE KUGG
      "\uCFE3",  # (쿣; 쿣; 쿣; 쿣; 쿣; ) HANGUL SYLLABLE KUGS
      "\uCFE4",  # (쿤; 쿤; 쿤; 쿤; 쿤; ) HANGUL SYLLABLE KUN
      "\uCFE5",  # (쿥; 쿥; 쿥; 쿥; 쿥; ) HANGUL SYLLABLE KUNJ
      "\uCFE6",  # (쿦; 쿦; 쿦; 쿦; 쿦; ) HANGUL SYLLABLE KUNH
      "\uCFE7",  # (쿧; 쿧; 쿧; 쿧; 쿧; ) HANGUL SYLLABLE KUD
      "\uCFE8",  # (쿨; 쿨; 쿨; 쿨; 쿨; ) HANGUL SYLLABLE KUL
      "\uCFE9",  # (쿩; 쿩; 쿩; 쿩; 쿩; ) HANGUL SYLLABLE KULG
      "\uCFEA",  # (쿪; 쿪; 쿪; 쿪; 쿪; ) HANGUL SYLLABLE KULM
      "\uCFEB",  # (쿫; 쿫; 쿫; 쿫; 쿫; ) HANGUL SYLLABLE KULB
      "\uCFEC",  # (쿬; 쿬; 쿬; 쿬; 쿬; ) HANGUL SYLLABLE KULS
      "\uCFED",  # (쿭; 쿭; 쿭; 쿭; 쿭; ) HANGUL SYLLABLE KULT
      "\uCFEE",  # (쿮; 쿮; 쿮; 쿮; 쿮; ) HANGUL SYLLABLE KULP
      "\uCFEF",  # (쿯; 쿯; 쿯; 쿯; 쿯; ) HANGUL SYLLABLE KULH
      "\uCFF0",  # (쿰; 쿰; 쿰; 쿰; 쿰; ) HANGUL SYLLABLE KUM
      "\uCFF1",  # (쿱; 쿱; 쿱; 쿱; 쿱; ) HANGUL SYLLABLE KUB
      "\uCFF2",  # (쿲; 쿲; 쿲; 쿲; 쿲; ) HANGUL SYLLABLE KUBS
      "\uCFF3",  # (쿳; 쿳; 쿳; 쿳; 쿳; ) HANGUL SYLLABLE KUS
      "\uCFF4",  # (쿴; 쿴; 쿴; 쿴; 쿴; ) HANGUL SYLLABLE KUSS
      "\uCFF5",  # (쿵; 쿵; 쿵; 쿵; 쿵; ) HANGUL SYLLABLE KUNG
      "\uCFF6",  # (쿶; 쿶; 쿶; 쿶; 쿶; ) HANGUL SYLLABLE KUJ
      "\uCFF7",  # (쿷; 쿷; 쿷; 쿷; 쿷; ) HANGUL SYLLABLE KUC
      "\uCFF8",  # (쿸; 쿸; 쿸; 쿸; 쿸; ) HANGUL SYLLABLE KUK
      "\uCFF9",  # (쿹; 쿹; 쿹; 쿹; 쿹; ) HANGUL SYLLABLE KUT
      "\uCFFA",  # (쿺; 쿺; 쿺; 쿺; 쿺; ) HANGUL SYLLABLE KUP
      "\uCFFB",  # (쿻; 쿻; 쿻; 쿻; 쿻; ) HANGUL SYLLABLE KUH
      "\uCFFC",  # (쿼; 쿼; 쿼; 쿼; 쿼; ) HANGUL SYLLABLE KWEO
      "\uCFFD",  # (쿽; 쿽; 쿽; 쿽; 쿽; ) HANGUL SYLLABLE KWEOG
      "\uCFFE",  # (쿾; 쿾; 쿾; 쿾; 쿾; ) HANGUL SYLLABLE KWEOGG
      "\uCFFF",  # (쿿; 쿿; 쿿; 쿿; 쿿; ) HANGUL SYLLABLE KWEOGS
      "\uD000",  # (퀀; 퀀; 퀀; 퀀; 퀀; ) HANGUL SYLLABLE KWEON
      "\uD001",  # (퀁; 퀁; 퀁; 퀁; 퀁; ) HANGUL SYLLABLE KWEONJ
      "\uD002",  # (퀂; 퀂; 퀂; 퀂; 퀂; ) HANGUL SYLLABLE KWEONH
      "\uD003",  # (퀃; 퀃; 퀃; 퀃; 퀃; ) HANGUL SYLLABLE KWEOD
      "\uD004",  # (퀄; 퀄; 퀄; 퀄; 퀄; ) HANGUL SYLLABLE KWEOL
      "\uD005",  # (퀅; 퀅; 퀅; 퀅; 퀅; ) HANGUL SYLLABLE KWEOLG
      "\uD006",  # (퀆; 퀆; 퀆; 퀆; 퀆; ) HANGUL SYLLABLE KWEOLM
      "\uD007",  # (퀇; 퀇; 퀇; 퀇; 퀇; ) HANGUL SYLLABLE KWEOLB
      "\uD008",  # (퀈; 퀈; 퀈; 퀈; 퀈; ) HANGUL SYLLABLE KWEOLS
      "\uD009",  # (퀉; 퀉; 퀉; 퀉; 퀉; ) HANGUL SYLLABLE KWEOLT
      "\uD00A",  # (퀊; 퀊; 퀊; 퀊; 퀊; ) HANGUL SYLLABLE KWEOLP
      "\uD00B",  # (퀋; 퀋; 퀋; 퀋; 퀋; ) HANGUL SYLLABLE KWEOLH
      "\uD00C",  # (퀌; 퀌; 퀌; 퀌; 퀌; ) HANGUL SYLLABLE KWEOM
      "\uD00D",  # (퀍; 퀍; 퀍; 퀍; 퀍; ) HANGUL SYLLABLE KWEOB
      "\uD00E",  # (퀎; 퀎; 퀎; 퀎; 퀎; ) HANGUL SYLLABLE KWEOBS
      "\uD00F",  # (퀏; 퀏; 퀏; 퀏; 퀏; ) HANGUL SYLLABLE KWEOS
      "\uD010",  # (퀐; 퀐; 퀐; 퀐; 퀐; ) HANGUL SYLLABLE KWEOSS
      "\uD011",  # (퀑; 퀑; 퀑; 퀑; 퀑; ) HANGUL SYLLABLE KWEONG
      "\uD012",  # (퀒; 퀒; 퀒; 퀒; 퀒; ) HANGUL SYLLABLE KWEOJ
      "\uD013",  # (퀓; 퀓; 퀓; 퀓; 퀓; ) HANGUL SYLLABLE KWEOC
      "\uD014",  # (퀔; 퀔; 퀔; 퀔; 퀔; ) HANGUL SYLLABLE KWEOK
      "\uD015",  # (퀕; 퀕; 퀕; 퀕; 퀕; ) HANGUL SYLLABLE KWEOT
      "\uD016",  # (퀖; 퀖; 퀖; 퀖; 퀖; ) HANGUL SYLLABLE KWEOP
      "\uD017",  # (퀗; 퀗; 퀗; 퀗; 퀗; ) HANGUL SYLLABLE KWEOH
      "\uD018",  # (퀘; 퀘; 퀘; 퀘; 퀘; ) HANGUL SYLLABLE KWE
      "\uD019",  # (퀙; 퀙; 퀙; 퀙; 퀙; ) HANGUL SYLLABLE KWEG
      "\uD01A",  # (퀚; 퀚; 퀚; 퀚; 퀚; ) HANGUL SYLLABLE KWEGG
      "\uD01B",  # (퀛; 퀛; 퀛; 퀛; 퀛; ) HANGUL SYLLABLE KWEGS
      "\uD01C",  # (퀜; 퀜; 퀜; 퀜; 퀜; ) HANGUL SYLLABLE KWEN
      "\uD01D",  # (퀝; 퀝; 퀝; 퀝; 퀝; ) HANGUL SYLLABLE KWENJ
      "\uD01E",  # (퀞; 퀞; 퀞; 퀞; 퀞; ) HANGUL SYLLABLE KWENH
      "\uD01F",  # (퀟; 퀟; 퀟; 퀟; 퀟; ) HANGUL SYLLABLE KWED
      "\uD020",  # (퀠; 퀠; 퀠; 퀠; 퀠; ) HANGUL SYLLABLE KWEL
      "\uD021",  # (퀡; 퀡; 퀡; 퀡; 퀡; ) HANGUL SYLLABLE KWELG
      "\uD022",  # (퀢; 퀢; 퀢; 퀢; 퀢; ) HANGUL SYLLABLE KWELM
      "\uD023",  # (퀣; 퀣; 퀣; 퀣; 퀣; ) HANGUL SYLLABLE KWELB
      "\uD024",  # (퀤; 퀤; 퀤; 퀤; 퀤; ) HANGUL SYLLABLE KWELS
      "\uD025",  # (퀥; 퀥; 퀥; 퀥; 퀥; ) HANGUL SYLLABLE KWELT
      "\uD026",  # (퀦; 퀦; 퀦; 퀦; 퀦; ) HANGUL SYLLABLE KWELP
      "\uD027",  # (퀧; 퀧; 퀧; 퀧; 퀧; ) HANGUL SYLLABLE KWELH
      "\uD028",  # (퀨; 퀨; 퀨; 퀨; 퀨; ) HANGUL SYLLABLE KWEM
      "\uD029",  # (퀩; 퀩; 퀩; 퀩; 퀩; ) HANGUL SYLLABLE KWEB
      "\uD02A",  # (퀪; 퀪; 퀪; 퀪; 퀪; ) HANGUL SYLLABLE KWEBS
      "\uD02B",  # (퀫; 퀫; 퀫; 퀫; 퀫; ) HANGUL SYLLABLE KWES
      "\uD02C",  # (퀬; 퀬; 퀬; 퀬; 퀬; ) HANGUL SYLLABLE KWESS
      "\uD02D",  # (퀭; 퀭; 퀭; 퀭; 퀭; ) HANGUL SYLLABLE KWENG
      "\uD02E",  # (퀮; 퀮; 퀮; 퀮; 퀮; ) HANGUL SYLLABLE KWEJ
      "\uD02F",  # (퀯; 퀯; 퀯; 퀯; 퀯; ) HANGUL SYLLABLE KWEC
      "\uD030",  # (퀰; 퀰; 퀰; 퀰; 퀰; ) HANGUL SYLLABLE KWEK
      "\uD031",  # (퀱; 퀱; 퀱; 퀱; 퀱; ) HANGUL SYLLABLE KWET
      "\uD032",  # (퀲; 퀲; 퀲; 퀲; 퀲; ) HANGUL SYLLABLE KWEP
      "\uD033",  # (퀳; 퀳; 퀳; 퀳; 퀳; ) HANGUL SYLLABLE KWEH
      "\uD034",  # (퀴; 퀴; 퀴; 퀴; 퀴; ) HANGUL SYLLABLE KWI
      "\uD035",  # (퀵; 퀵; 퀵; 퀵; 퀵; ) HANGUL SYLLABLE KWIG
      "\uD036",  # (퀶; 퀶; 퀶; 퀶; 퀶; ) HANGUL SYLLABLE KWIGG
      "\uD037",  # (퀷; 퀷; 퀷; 퀷; 퀷; ) HANGUL SYLLABLE KWIGS
      "\uD038",  # (퀸; 퀸; 퀸; 퀸; 퀸; ) HANGUL SYLLABLE KWIN
      "\uD039",  # (퀹; 퀹; 퀹; 퀹; 퀹; ) HANGUL SYLLABLE KWINJ
      "\uD03A",  # (퀺; 퀺; 퀺; 퀺; 퀺; ) HANGUL SYLLABLE KWINH
      "\uD03B",  # (퀻; 퀻; 퀻; 퀻; 퀻; ) HANGUL SYLLABLE KWID
      "\uD03C",  # (퀼; 퀼; 퀼; 퀼; 퀼; ) HANGUL SYLLABLE KWIL
      "\uD03D",  # (퀽; 퀽; 퀽; 퀽; 퀽; ) HANGUL SYLLABLE KWILG
      "\uD03E",  # (퀾; 퀾; 퀾; 퀾; 퀾; ) HANGUL SYLLABLE KWILM
      "\uD03F",  # (퀿; 퀿; 퀿; 퀿; 퀿; ) HANGUL SYLLABLE KWILB
      "\uD040",  # (큀; 큀; 큀; 큀; 큀; ) HANGUL SYLLABLE KWILS
      "\uD041",  # (큁; 큁; 큁; 큁; 큁; ) HANGUL SYLLABLE KWILT
      "\uD042",  # (큂; 큂; 큂; 큂; 큂; ) HANGUL SYLLABLE KWILP
      "\uD043",  # (큃; 큃; 큃; 큃; 큃; ) HANGUL SYLLABLE KWILH
      "\uD044",  # (큄; 큄; 큄; 큄; 큄; ) HANGUL SYLLABLE KWIM
      "\uD045",  # (큅; 큅; 큅; 큅; 큅; ) HANGUL SYLLABLE KWIB
      "\uD046",  # (큆; 큆; 큆; 큆; 큆; ) HANGUL SYLLABLE KWIBS
      "\uD047",  # (큇; 큇; 큇; 큇; 큇; ) HANGUL SYLLABLE KWIS
      "\uD048",  # (큈; 큈; 큈; 큈; 큈; ) HANGUL SYLLABLE KWISS
      "\uD049",  # (큉; 큉; 큉; 큉; 큉; ) HANGUL SYLLABLE KWING
      "\uD04A",  # (큊; 큊; 큊; 큊; 큊; ) HANGUL SYLLABLE KWIJ
      "\uD04B",  # (큋; 큋; 큋; 큋; 큋; ) HANGUL SYLLABLE KWIC
      "\uD04C",  # (큌; 큌; 큌; 큌; 큌; ) HANGUL SYLLABLE KWIK
      "\uD04D",  # (큍; 큍; 큍; 큍; 큍; ) HANGUL SYLLABLE KWIT
      "\uD04E",  # (큎; 큎; 큎; 큎; 큎; ) HANGUL SYLLABLE KWIP
      "\uD04F",  # (큏; 큏; 큏; 큏; 큏; ) HANGUL SYLLABLE KWIH
      "\uD050",  # (큐; 큐; 큐; 큐; 큐; ) HANGUL SYLLABLE KYU
      "\uD051",  # (큑; 큑; 큑; 큑; 큑; ) HANGUL SYLLABLE KYUG
      "\uD052",  # (큒; 큒; 큒; 큒; 큒; ) HANGUL SYLLABLE KYUGG
      "\uD053",  # (큓; 큓; 큓; 큓; 큓; ) HANGUL SYLLABLE KYUGS
      "\uD054",  # (큔; 큔; 큔; 큔; 큔; ) HANGUL SYLLABLE KYUN
      "\uD055",  # (큕; 큕; 큕; 큕; 큕; ) HANGUL SYLLABLE KYUNJ
      "\uD056",  # (큖; 큖; 큖; 큖; 큖; ) HANGUL SYLLABLE KYUNH
      "\uD057",  # (큗; 큗; 큗; 큗; 큗; ) HANGUL SYLLABLE KYUD
      "\uD058",  # (큘; 큘; 큘; 큘; 큘; ) HANGUL SYLLABLE KYUL
      "\uD059",  # (큙; 큙; 큙; 큙; 큙; ) HANGUL SYLLABLE KYULG
      "\uD05A",  # (큚; 큚; 큚; 큚; 큚; ) HANGUL SYLLABLE KYULM
      "\uD05B",  # (큛; 큛; 큛; 큛; 큛; ) HANGUL SYLLABLE KYULB
      "\uD05C",  # (큜; 큜; 큜; 큜; 큜; ) HANGUL SYLLABLE KYULS
      "\uD05D",  # (큝; 큝; 큝; 큝; 큝; ) HANGUL SYLLABLE KYULT
      "\uD05E",  # (큞; 큞; 큞; 큞; 큞; ) HANGUL SYLLABLE KYULP
      "\uD05F",  # (큟; 큟; 큟; 큟; 큟; ) HANGUL SYLLABLE KYULH
      "\uD060",  # (큠; 큠; 큠; 큠; 큠; ) HANGUL SYLLABLE KYUM
      "\uD061",  # (큡; 큡; 큡; 큡; 큡; ) HANGUL SYLLABLE KYUB
      "\uD062",  # (큢; 큢; 큢; 큢; 큢; ) HANGUL SYLLABLE KYUBS
      "\uD063",  # (큣; 큣; 큣; 큣; 큣; ) HANGUL SYLLABLE KYUS
      "\uD064",  # (큤; 큤; 큤; 큤; 큤; ) HANGUL SYLLABLE KYUSS
      "\uD065",  # (큥; 큥; 큥; 큥; 큥; ) HANGUL SYLLABLE KYUNG
      "\uD066",  # (큦; 큦; 큦; 큦; 큦; ) HANGUL SYLLABLE KYUJ
      "\uD067",  # (큧; 큧; 큧; 큧; 큧; ) HANGUL SYLLABLE KYUC
      "\uD068",  # (큨; 큨; 큨; 큨; 큨; ) HANGUL SYLLABLE KYUK
      "\uD069",  # (큩; 큩; 큩; 큩; 큩; ) HANGUL SYLLABLE KYUT
      "\uD06A",  # (큪; 큪; 큪; 큪; 큪; ) HANGUL SYLLABLE KYUP
      "\uD06B",  # (큫; 큫; 큫; 큫; 큫; ) HANGUL SYLLABLE KYUH
      "\uD06C",  # (크; 크; 크; 크; 크; ) HANGUL SYLLABLE KEU
      "\uD06D",  # (큭; 큭; 큭; 큭; 큭; ) HANGUL SYLLABLE KEUG
      "\uD06E",  # (큮; 큮; 큮; 큮; 큮; ) HANGUL SYLLABLE KEUGG
      "\uD06F",  # (큯; 큯; 큯; 큯; 큯; ) HANGUL SYLLABLE KEUGS
      "\uD070",  # (큰; 큰; 큰; 큰; 큰; ) HANGUL SYLLABLE KEUN
      "\uD071",  # (큱; 큱; 큱; 큱; 큱; ) HANGUL SYLLABLE KEUNJ
      "\uD072",  # (큲; 큲; 큲; 큲; 큲; ) HANGUL SYLLABLE KEUNH
      "\uD073",  # (큳; 큳; 큳; 큳; 큳; ) HANGUL SYLLABLE KEUD
      "\uD074",  # (클; 클; 클; 클; 클; ) HANGUL SYLLABLE KEUL
      "\uD075",  # (큵; 큵; 큵; 큵; 큵; ) HANGUL SYLLABLE KEULG
      "\uD076",  # (큶; 큶; 큶; 큶; 큶; ) HANGUL SYLLABLE KEULM
      "\uD077",  # (큷; 큷; 큷; 큷; 큷; ) HANGUL SYLLABLE KEULB
      "\uD078",  # (큸; 큸; 큸; 큸; 큸; ) HANGUL SYLLABLE KEULS
      "\uD079",  # (큹; 큹; 큹; 큹; 큹; ) HANGUL SYLLABLE KEULT
      "\uD07A",  # (큺; 큺; 큺; 큺; 큺; ) HANGUL SYLLABLE KEULP
      "\uD07B",  # (큻; 큻; 큻; 큻; 큻; ) HANGUL SYLLABLE KEULH
      "\uD07C",  # (큼; 큼; 큼; 큼; 큼; ) HANGUL SYLLABLE KEUM
      "\uD07D",  # (큽; 큽; 큽; 큽; 큽; ) HANGUL SYLLABLE KEUB
      "\uD07E",  # (큾; 큾; 큾; 큾; 큾; ) HANGUL SYLLABLE KEUBS
      "\uD07F",  # (큿; 큿; 큿; 큿; 큿; ) HANGUL SYLLABLE KEUS
      "\uD080",  # (킀; 킀; 킀; 킀; 킀; ) HANGUL SYLLABLE KEUSS
      "\uD081",  # (킁; 킁; 킁; 킁; 킁; ) HANGUL SYLLABLE KEUNG
      "\uD082",  # (킂; 킂; 킂; 킂; 킂; ) HANGUL SYLLABLE KEUJ
      "\uD083",  # (킃; 킃; 킃; 킃; 킃; ) HANGUL SYLLABLE KEUC
      "\uD084",  # (킄; 킄; 킄; 킄; 킄; ) HANGUL SYLLABLE KEUK
      "\uD085",  # (킅; 킅; 킅; 킅; 킅; ) HANGUL SYLLABLE KEUT
      "\uD086",  # (킆; 킆; 킆; 킆; 킆; ) HANGUL SYLLABLE KEUP
      "\uD087",  # (킇; 킇; 킇; 킇; 킇; ) HANGUL SYLLABLE KEUH
      "\uD088",  # (킈; 킈; 킈; 킈; 킈; ) HANGUL SYLLABLE KYI
      "\uD089",  # (킉; 킉; 킉; 킉; 킉; ) HANGUL SYLLABLE KYIG
      "\uD08A",  # (킊; 킊; 킊; 킊; 킊; ) HANGUL SYLLABLE KYIGG
      "\uD08B",  # (킋; 킋; 킋; 킋; 킋; ) HANGUL SYLLABLE KYIGS
      "\uD08C",  # (킌; 킌; 킌; 킌; 킌; ) HANGUL SYLLABLE KYIN
      "\uD08D",  # (킍; 킍; 킍; 킍; 킍; ) HANGUL SYLLABLE KYINJ
      "\uD08E",  # (킎; 킎; 킎; 킎; 킎; ) HANGUL SYLLABLE KYINH
      "\uD08F",  # (킏; 킏; 킏; 킏; 킏; ) HANGUL SYLLABLE KYID
      "\uD090",  # (킐; 킐; 킐; 킐; 킐; ) HANGUL SYLLABLE KYIL
      "\uD091",  # (킑; 킑; 킑; 킑; 킑; ) HANGUL SYLLABLE KYILG
      "\uD092",  # (킒; 킒; 킒; 킒; 킒; ) HANGUL SYLLABLE KYILM
      "\uD093",  # (킓; 킓; 킓; 킓; 킓; ) HANGUL SYLLABLE KYILB
      "\uD094",  # (킔; 킔; 킔; 킔; 킔; ) HANGUL SYLLABLE KYILS
      "\uD095",  # (킕; 킕; 킕; 킕; 킕; ) HANGUL SYLLABLE KYILT
      "\uD096",  # (킖; 킖; 킖; 킖; 킖; ) HANGUL SYLLABLE KYILP
      "\uD097",  # (킗; 킗; 킗; 킗; 킗; ) HANGUL SYLLABLE KYILH
      "\uD098",  # (킘; 킘; 킘; 킘; 킘; ) HANGUL SYLLABLE KYIM
      "\uD099",  # (킙; 킙; 킙; 킙; 킙; ) HANGUL SYLLABLE KYIB
      "\uD09A",  # (킚; 킚; 킚; 킚; 킚; ) HANGUL SYLLABLE KYIBS
      "\uD09B",  # (킛; 킛; 킛; 킛; 킛; ) HANGUL SYLLABLE KYIS
      "\uD09C",  # (킜; 킜; 킜; 킜; 킜; ) HANGUL SYLLABLE KYISS
      "\uD09D",  # (킝; 킝; 킝; 킝; 킝; ) HANGUL SYLLABLE KYING
      "\uD09E",  # (킞; 킞; 킞; 킞; 킞; ) HANGUL SYLLABLE KYIJ
      "\uD09F",  # (킟; 킟; 킟; 킟; 킟; ) HANGUL SYLLABLE KYIC
      "\uD0A0",  # (킠; 킠; 킠; 킠; 킠; ) HANGUL SYLLABLE KYIK
      "\uD0A1",  # (킡; 킡; 킡; 킡; 킡; ) HANGUL SYLLABLE KYIT
      "\uD0A2",  # (킢; 킢; 킢; 킢; 킢; ) HANGUL SYLLABLE KYIP
      "\uD0A3",  # (킣; 킣; 킣; 킣; 킣; ) HANGUL SYLLABLE KYIH
      "\uD0A4",  # (키; 키; 키; 키; 키; ) HANGUL SYLLABLE KI
      "\uD0A5",  # (킥; 킥; 킥; 킥; 킥; ) HANGUL SYLLABLE KIG
      "\uD0A6",  # (킦; 킦; 킦; 킦; 킦; ) HANGUL SYLLABLE KIGG
      "\uD0A7",  # (킧; 킧; 킧; 킧; 킧; ) HANGUL SYLLABLE KIGS
      "\uD0A8",  # (킨; 킨; 킨; 킨; 킨; ) HANGUL SYLLABLE KIN
      "\uD0A9",  # (킩; 킩; 킩; 킩; 킩; ) HANGUL SYLLABLE KINJ
      "\uD0AA",  # (킪; 킪; 킪; 킪; 킪; ) HANGUL SYLLABLE KINH
      "\uD0AB",  # (킫; 킫; 킫; 킫; 킫; ) HANGUL SYLLABLE KID
      "\uD0AC",  # (킬; 킬; 킬; 킬; 킬; ) HANGUL SYLLABLE KIL
      "\uD0AD",  # (킭; 킭; 킭; 킭; 킭; ) HANGUL SYLLABLE KILG
      "\uD0AE",  # (킮; 킮; 킮; 킮; 킮; ) HANGUL SYLLABLE KILM
      "\uD0AF",  # (킯; 킯; 킯; 킯; 킯; ) HANGUL SYLLABLE KILB
      "\uD0B0",  # (킰; 킰; 킰; 킰; 킰; ) HANGUL SYLLABLE KILS
      "\uD0B1",  # (킱; 킱; 킱; 킱; 킱; ) HANGUL SYLLABLE KILT
      "\uD0B2",  # (킲; 킲; 킲; 킲; 킲; ) HANGUL SYLLABLE KILP
      "\uD0B3",  # (킳; 킳; 킳; 킳; 킳; ) HANGUL SYLLABLE KILH
      "\uD0B4",  # (킴; 킴; 킴; 킴; 킴; ) HANGUL SYLLABLE KIM
      "\uD0B5",  # (킵; 킵; 킵; 킵; 킵; ) HANGUL SYLLABLE KIB
      "\uD0B6",  # (킶; 킶; 킶; 킶; 킶; ) HANGUL SYLLABLE KIBS
      "\uD0B7",  # (킷; 킷; 킷; 킷; 킷; ) HANGUL SYLLABLE KIS
      "\uD0B8",  # (킸; 킸; 킸; 킸; 킸; ) HANGUL SYLLABLE KISS
      "\uD0B9",  # (킹; 킹; 킹; 킹; 킹; ) HANGUL SYLLABLE KING
      "\uD0BA",  # (킺; 킺; 킺; 킺; 킺; ) HANGUL SYLLABLE KIJ
      "\uD0BB",  # (킻; 킻; 킻; 킻; 킻; ) HANGUL SYLLABLE KIC
      "\uD0BC",  # (킼; 킼; 킼; 킼; 킼; ) HANGUL SYLLABLE KIK
      "\uD0BD",  # (킽; 킽; 킽; 킽; 킽; ) HANGUL SYLLABLE KIT
      "\uD0BE",  # (킾; 킾; 킾; 킾; 킾; ) HANGUL SYLLABLE KIP
      "\uD0BF",  # (킿; 킿; 킿; 킿; 킿; ) HANGUL SYLLABLE KIH
      "\uD0C0",  # (타; 타; 타; 타; 타; ) HANGUL SYLLABLE TA
      "\uD0C1",  # (탁; 탁; 탁; 탁; 탁; ) HANGUL SYLLABLE TAG
      "\uD0C2",  # (탂; 탂; 탂; 탂; 탂; ) HANGUL SYLLABLE TAGG
      "\uD0C3",  # (탃; 탃; 탃; 탃; 탃; ) HANGUL SYLLABLE TAGS
      "\uD0C4",  # (탄; 탄; 탄; 탄; 탄; ) HANGUL SYLLABLE TAN
      "\uD0C5",  # (탅; 탅; 탅; 탅; 탅; ) HANGUL SYLLABLE TANJ
      "\uD0C6",  # (탆; 탆; 탆; 탆; 탆; ) HANGUL SYLLABLE TANH
      "\uD0C7",  # (탇; 탇; 탇; 탇; 탇; ) HANGUL SYLLABLE TAD
      "\uD0C8",  # (탈; 탈; 탈; 탈; 탈; ) HANGUL SYLLABLE TAL
      "\uD0C9",  # (탉; 탉; 탉; 탉; 탉; ) HANGUL SYLLABLE TALG
      "\uD0CA",  # (탊; 탊; 탊; 탊; 탊; ) HANGUL SYLLABLE TALM
      "\uD0CB",  # (탋; 탋; 탋; 탋; 탋; ) HANGUL SYLLABLE TALB
      "\uD0CC",  # (탌; 탌; 탌; 탌; 탌; ) HANGUL SYLLABLE TALS
      "\uD0CD",  # (탍; 탍; 탍; 탍; 탍; ) HANGUL SYLLABLE TALT
      "\uD0CE",  # (탎; 탎; 탎; 탎; 탎; ) HANGUL SYLLABLE TALP
      "\uD0CF",  # (탏; 탏; 탏; 탏; 탏; ) HANGUL SYLLABLE TALH
      "\uD0D0",  # (탐; 탐; 탐; 탐; 탐; ) HANGUL SYLLABLE TAM
      "\uD0D1",  # (탑; 탑; 탑; 탑; 탑; ) HANGUL SYLLABLE TAB
      "\uD0D2",  # (탒; 탒; 탒; 탒; 탒; ) HANGUL SYLLABLE TABS
      "\uD0D3",  # (탓; 탓; 탓; 탓; 탓; ) HANGUL SYLLABLE TAS
      "\uD0D4",  # (탔; 탔; 탔; 탔; 탔; ) HANGUL SYLLABLE TASS
      "\uD0D5",  # (탕; 탕; 탕; 탕; 탕; ) HANGUL SYLLABLE TANG
      "\uD0D6",  # (탖; 탖; 탖; 탖; 탖; ) HANGUL SYLLABLE TAJ
      "\uD0D7",  # (탗; 탗; 탗; 탗; 탗; ) HANGUL SYLLABLE TAC
      "\uD0D8",  # (탘; 탘; 탘; 탘; 탘; ) HANGUL SYLLABLE TAK
      "\uD0D9",  # (탙; 탙; 탙; 탙; 탙; ) HANGUL SYLLABLE TAT
      "\uD0DA",  # (탚; 탚; 탚; 탚; 탚; ) HANGUL SYLLABLE TAP
      "\uD0DB",  # (탛; 탛; 탛; 탛; 탛; ) HANGUL SYLLABLE TAH
      "\uD0DC",  # (태; 태; 태; 태; 태; ) HANGUL SYLLABLE TAE
      "\uD0DD",  # (택; 택; 택; 택; 택; ) HANGUL SYLLABLE TAEG
      "\uD0DE",  # (탞; 탞; 탞; 탞; 탞; ) HANGUL SYLLABLE TAEGG
      "\uD0DF",  # (탟; 탟; 탟; 탟; 탟; ) HANGUL SYLLABLE TAEGS
      "\uD0E0",  # (탠; 탠; 탠; 탠; 탠; ) HANGUL SYLLABLE TAEN
      "\uD0E1",  # (탡; 탡; 탡; 탡; 탡; ) HANGUL SYLLABLE TAENJ
      "\uD0E2",  # (탢; 탢; 탢; 탢; 탢; ) HANGUL SYLLABLE TAENH
      "\uD0E3",  # (탣; 탣; 탣; 탣; 탣; ) HANGUL SYLLABLE TAED
      "\uD0E4",  # (탤; 탤; 탤; 탤; 탤; ) HANGUL SYLLABLE TAEL
      "\uD0E5",  # (탥; 탥; 탥; 탥; 탥; ) HANGUL SYLLABLE TAELG
      "\uD0E6",  # (탦; 탦; 탦; 탦; 탦; ) HANGUL SYLLABLE TAELM
      "\uD0E7",  # (탧; 탧; 탧; 탧; 탧; ) HANGUL SYLLABLE TAELB
      "\uD0E8",  # (탨; 탨; 탨; 탨; 탨; ) HANGUL SYLLABLE TAELS
      "\uD0E9",  # (탩; 탩; 탩; 탩; 탩; ) HANGUL SYLLABLE TAELT
      "\uD0EA",  # (탪; 탪; 탪; 탪; 탪; ) HANGUL SYLLABLE TAELP
      "\uD0EB",  # (탫; 탫; 탫; 탫; 탫; ) HANGUL SYLLABLE TAELH
      "\uD0EC",  # (탬; 탬; 탬; 탬; 탬; ) HANGUL SYLLABLE TAEM
      "\uD0ED",  # (탭; 탭; 탭; 탭; 탭; ) HANGUL SYLLABLE TAEB
      "\uD0EE",  # (탮; 탮; 탮; 탮; 탮; ) HANGUL SYLLABLE TAEBS
      "\uD0EF",  # (탯; 탯; 탯; 탯; 탯; ) HANGUL SYLLABLE TAES
      "\uD0F0",  # (탰; 탰; 탰; 탰; 탰; ) HANGUL SYLLABLE TAESS
      "\uD0F1",  # (탱; 탱; 탱; 탱; 탱; ) HANGUL SYLLABLE TAENG
      "\uD0F2",  # (탲; 탲; 탲; 탲; 탲; ) HANGUL SYLLABLE TAEJ
      "\uD0F3",  # (탳; 탳; 탳; 탳; 탳; ) HANGUL SYLLABLE TAEC
      "\uD0F4",  # (탴; 탴; 탴; 탴; 탴; ) HANGUL SYLLABLE TAEK
      "\uD0F5",  # (탵; 탵; 탵; 탵; 탵; ) HANGUL SYLLABLE TAET
      "\uD0F6",  # (탶; 탶; 탶; 탶; 탶; ) HANGUL SYLLABLE TAEP
      "\uD0F7",  # (탷; 탷; 탷; 탷; 탷; ) HANGUL SYLLABLE TAEH
      "\uD0F8",  # (탸; 탸; 탸; 탸; 탸; ) HANGUL SYLLABLE TYA
      "\uD0F9",  # (탹; 탹; 탹; 탹; 탹; ) HANGUL SYLLABLE TYAG
      "\uD0FA",  # (탺; 탺; 탺; 탺; 탺; ) HANGUL SYLLABLE TYAGG
      "\uD0FB",  # (탻; 탻; 탻; 탻; 탻; ) HANGUL SYLLABLE TYAGS
      "\uD0FC",  # (탼; 탼; 탼; 탼; 탼; ) HANGUL SYLLABLE TYAN
      "\uD0FD",  # (탽; 탽; 탽; 탽; 탽; ) HANGUL SYLLABLE TYANJ
      "\uD0FE",  # (탾; 탾; 탾; 탾; 탾; ) HANGUL SYLLABLE TYANH
      "\uD0FF",  # (탿; 탿; 탿; 탿; 탿; ) HANGUL SYLLABLE TYAD
      "\uD100",  # (턀; 턀; 턀; 턀; 턀; ) HANGUL SYLLABLE TYAL
      "\uD101",  # (턁; 턁; 턁; 턁; 턁; ) HANGUL SYLLABLE TYALG
      "\uD102",  # (턂; 턂; 턂; 턂; 턂; ) HANGUL SYLLABLE TYALM
      "\uD103",  # (턃; 턃; 턃; 턃; 턃; ) HANGUL SYLLABLE TYALB
      "\uD104",  # (턄; 턄; 턄; 턄; 턄; ) HANGUL SYLLABLE TYALS
      "\uD105",  # (턅; 턅; 턅; 턅; 턅; ) HANGUL SYLLABLE TYALT
      "\uD106",  # (턆; 턆; 턆; 턆; 턆; ) HANGUL SYLLABLE TYALP
      "\uD107",  # (턇; 턇; 턇; 턇; 턇; ) HANGUL SYLLABLE TYALH
      "\uD108",  # (턈; 턈; 턈; 턈; 턈; ) HANGUL SYLLABLE TYAM
      "\uD109",  # (턉; 턉; 턉; 턉; 턉; ) HANGUL SYLLABLE TYAB
      "\uD10A",  # (턊; 턊; 턊; 턊; 턊; ) HANGUL SYLLABLE TYABS
      "\uD10B",  # (턋; 턋; 턋; 턋; 턋; ) HANGUL SYLLABLE TYAS
      "\uD10C",  # (턌; 턌; 턌; 턌; 턌; ) HANGUL SYLLABLE TYASS
      "\uD10D",  # (턍; 턍; 턍; 턍; 턍; ) HANGUL SYLLABLE TYANG
      "\uD10E",  # (턎; 턎; 턎; 턎; 턎; ) HANGUL SYLLABLE TYAJ
      "\uD10F",  # (턏; 턏; 턏; 턏; 턏; ) HANGUL SYLLABLE TYAC
      "\uD110",  # (턐; 턐; 턐; 턐; 턐; ) HANGUL SYLLABLE TYAK
      "\uD111",  # (턑; 턑; 턑; 턑; 턑; ) HANGUL SYLLABLE TYAT
      "\uD112",  # (턒; 턒; 턒; 턒; 턒; ) HANGUL SYLLABLE TYAP
      "\uD113",  # (턓; 턓; 턓; 턓; 턓; ) HANGUL SYLLABLE TYAH
      "\uD114",  # (턔; 턔; 턔; 턔; 턔; ) HANGUL SYLLABLE TYAE
      "\uD115",  # (턕; 턕; 턕; 턕; 턕; ) HANGUL SYLLABLE TYAEG
      "\uD116",  # (턖; 턖; 턖; 턖; 턖; ) HANGUL SYLLABLE TYAEGG
      "\uD117",  # (턗; 턗; 턗; 턗; 턗; ) HANGUL SYLLABLE TYAEGS
      "\uD118",  # (턘; 턘; 턘; 턘; 턘; ) HANGUL SYLLABLE TYAEN
      "\uD119",  # (턙; 턙; 턙; 턙; 턙; ) HANGUL SYLLABLE TYAENJ
      "\uD11A",  # (턚; 턚; 턚; 턚; 턚; ) HANGUL SYLLABLE TYAENH
      "\uD11B",  # (턛; 턛; 턛; 턛; 턛; ) HANGUL SYLLABLE TYAED
      "\uD11C",  # (턜; 턜; 턜; 턜; 턜; ) HANGUL SYLLABLE TYAEL
      "\uD11D",  # (턝; 턝; 턝; 턝; 턝; ) HANGUL SYLLABLE TYAELG
      "\uD11E",  # (턞; 턞; 턞; 턞; 턞; ) HANGUL SYLLABLE TYAELM
      "\uD11F",  # (턟; 턟; 턟; 턟; 턟; ) HANGUL SYLLABLE TYAELB
      "\uD120",  # (턠; 턠; 턠; 턠; 턠; ) HANGUL SYLLABLE TYAELS
      "\uD121",  # (턡; 턡; 턡; 턡; 턡; ) HANGUL SYLLABLE TYAELT
      "\uD122",  # (턢; 턢; 턢; 턢; 턢; ) HANGUL SYLLABLE TYAELP
      "\uD123",  # (턣; 턣; 턣; 턣; 턣; ) HANGUL SYLLABLE TYAELH
      "\uD124",  # (턤; 턤; 턤; 턤; 턤; ) HANGUL SYLLABLE TYAEM
      "\uD125",  # (턥; 턥; 턥; 턥; 턥; ) HANGUL SYLLABLE TYAEB
      "\uD126",  # (턦; 턦; 턦; 턦; 턦; ) HANGUL SYLLABLE TYAEBS
      "\uD127",  # (턧; 턧; 턧; 턧; 턧; ) HANGUL SYLLABLE TYAES
      "\uD128",  # (턨; 턨; 턨; 턨; 턨; ) HANGUL SYLLABLE TYAESS
      "\uD129",  # (턩; 턩; 턩; 턩; 턩; ) HANGUL SYLLABLE TYAENG
      "\uD12A",  # (턪; 턪; 턪; 턪; 턪; ) HANGUL SYLLABLE TYAEJ
      "\uD12B",  # (턫; 턫; 턫; 턫; 턫; ) HANGUL SYLLABLE TYAEC
      "\uD12C",  # (턬; 턬; 턬; 턬; 턬; ) HANGUL SYLLABLE TYAEK
      "\uD12D",  # (턭; 턭; 턭; 턭; 턭; ) HANGUL SYLLABLE TYAET
      "\uD12E",  # (턮; 턮; 턮; 턮; 턮; ) HANGUL SYLLABLE TYAEP
      "\uD12F",  # (턯; 턯; 턯; 턯; 턯; ) HANGUL SYLLABLE TYAEH
      "\uD130",  # (터; 터; 터; 터; 터; ) HANGUL SYLLABLE TEO
      "\uD131",  # (턱; 턱; 턱; 턱; 턱; ) HANGUL SYLLABLE TEOG
      "\uD132",  # (턲; 턲; 턲; 턲; 턲; ) HANGUL SYLLABLE TEOGG
      "\uD133",  # (턳; 턳; 턳; 턳; 턳; ) HANGUL SYLLABLE TEOGS
      "\uD134",  # (턴; 턴; 턴; 턴; 턴; ) HANGUL SYLLABLE TEON
      "\uD135",  # (턵; 턵; 턵; 턵; 턵; ) HANGUL SYLLABLE TEONJ
      "\uD136",  # (턶; 턶; 턶; 턶; 턶; ) HANGUL SYLLABLE TEONH
      "\uD137",  # (턷; 턷; 턷; 턷; 턷; ) HANGUL SYLLABLE TEOD
      "\uD138",  # (털; 털; 털; 털; 털; ) HANGUL SYLLABLE TEOL
      "\uD139",  # (턹; 턹; 턹; 턹; 턹; ) HANGUL SYLLABLE TEOLG
      "\uD13A",  # (턺; 턺; 턺; 턺; 턺; ) HANGUL SYLLABLE TEOLM
      "\uD13B",  # (턻; 턻; 턻; 턻; 턻; ) HANGUL SYLLABLE TEOLB
      "\uD13C",  # (턼; 턼; 턼; 턼; 턼; ) HANGUL SYLLABLE TEOLS
      "\uD13D",  # (턽; 턽; 턽; 턽; 턽; ) HANGUL SYLLABLE TEOLT
      "\uD13E",  # (턾; 턾; 턾; 턾; 턾; ) HANGUL SYLLABLE TEOLP
      "\uD13F",  # (턿; 턿; 턿; 턿; 턿; ) HANGUL SYLLABLE TEOLH
      "\uD140",  # (텀; 텀; 텀; 텀; 텀; ) HANGUL SYLLABLE TEOM
      "\uD141",  # (텁; 텁; 텁; 텁; 텁; ) HANGUL SYLLABLE TEOB
      "\uD142",  # (텂; 텂; 텂; 텂; 텂; ) HANGUL SYLLABLE TEOBS
      "\uD143",  # (텃; 텃; 텃; 텃; 텃; ) HANGUL SYLLABLE TEOS
      "\uD144",  # (텄; 텄; 텄; 텄; 텄; ) HANGUL SYLLABLE TEOSS
      "\uD145",  # (텅; 텅; 텅; 텅; 텅; ) HANGUL SYLLABLE TEONG
      "\uD146",  # (텆; 텆; 텆; 텆; 텆; ) HANGUL SYLLABLE TEOJ
      "\uD147",  # (텇; 텇; 텇; 텇; 텇; ) HANGUL SYLLABLE TEOC
      "\uD148",  # (텈; 텈; 텈; 텈; 텈; ) HANGUL SYLLABLE TEOK
      "\uD149",  # (텉; 텉; 텉; 텉; 텉; ) HANGUL SYLLABLE TEOT
      "\uD14A",  # (텊; 텊; 텊; 텊; 텊; ) HANGUL SYLLABLE TEOP
      "\uD14B",  # (텋; 텋; 텋; 텋; 텋; ) HANGUL SYLLABLE TEOH
      "\uD14C",  # (테; 테; 테; 테; 테; ) HANGUL SYLLABLE TE
      "\uD14D",  # (텍; 텍; 텍; 텍; 텍; ) HANGUL SYLLABLE TEG
      "\uD14E",  # (텎; 텎; 텎; 텎; 텎; ) HANGUL SYLLABLE TEGG
      "\uD14F",  # (텏; 텏; 텏; 텏; 텏; ) HANGUL SYLLABLE TEGS
      "\uD150",  # (텐; 텐; 텐; 텐; 텐; ) HANGUL SYLLABLE TEN
      "\uD151",  # (텑; 텑; 텑; 텑; 텑; ) HANGUL SYLLABLE TENJ
      "\uD152",  # (텒; 텒; 텒; 텒; 텒; ) HANGUL SYLLABLE TENH
      "\uD153",  # (텓; 텓; 텓; 텓; 텓; ) HANGUL SYLLABLE TED
      "\uD154",  # (텔; 텔; 텔; 텔; 텔; ) HANGUL SYLLABLE TEL
      "\uD155",  # (텕; 텕; 텕; 텕; 텕; ) HANGUL SYLLABLE TELG
      "\uD156",  # (텖; 텖; 텖; 텖; 텖; ) HANGUL SYLLABLE TELM
      "\uD157",  # (텗; 텗; 텗; 텗; 텗; ) HANGUL SYLLABLE TELB
      "\uD158",  # (텘; 텘; 텘; 텘; 텘; ) HANGUL SYLLABLE TELS
      "\uD159",  # (텙; 텙; 텙; 텙; 텙; ) HANGUL SYLLABLE TELT
      "\uD15A",  # (텚; 텚; 텚; 텚; 텚; ) HANGUL SYLLABLE TELP
      "\uD15B",  # (텛; 텛; 텛; 텛; 텛; ) HANGUL SYLLABLE TELH
      "\uD15C",  # (템; 템; 템; 템; 템; ) HANGUL SYLLABLE TEM
      "\uD15D",  # (텝; 텝; 텝; 텝; 텝; ) HANGUL SYLLABLE TEB
      "\uD15E",  # (텞; 텞; 텞; 텞; 텞; ) HANGUL SYLLABLE TEBS
      "\uD15F",  # (텟; 텟; 텟; 텟; 텟; ) HANGUL SYLLABLE TES
      "\uD160",  # (텠; 텠; 텠; 텠; 텠; ) HANGUL SYLLABLE TESS
      "\uD161",  # (텡; 텡; 텡; 텡; 텡; ) HANGUL SYLLABLE TENG
      "\uD162",  # (텢; 텢; 텢; 텢; 텢; ) HANGUL SYLLABLE TEJ
      "\uD163",  # (텣; 텣; 텣; 텣; 텣; ) HANGUL SYLLABLE TEC
      "\uD164",  # (텤; 텤; 텤; 텤; 텤; ) HANGUL SYLLABLE TEK
      "\uD165",  # (텥; 텥; 텥; 텥; 텥; ) HANGUL SYLLABLE TET
      "\uD166",  # (텦; 텦; 텦; 텦; 텦; ) HANGUL SYLLABLE TEP
      "\uD167",  # (텧; 텧; 텧; 텧; 텧; ) HANGUL SYLLABLE TEH
      "\uD168",  # (텨; 텨; 텨; 텨; 텨; ) HANGUL SYLLABLE TYEO
      "\uD169",  # (텩; 텩; 텩; 텩; 텩; ) HANGUL SYLLABLE TYEOG
      "\uD16A",  # (텪; 텪; 텪; 텪; 텪; ) HANGUL SYLLABLE TYEOGG
      "\uD16B",  # (텫; 텫; 텫; 텫; 텫; ) HANGUL SYLLABLE TYEOGS
      "\uD16C",  # (텬; 텬; 텬; 텬; 텬; ) HANGUL SYLLABLE TYEON
      "\uD16D",  # (텭; 텭; 텭; 텭; 텭; ) HANGUL SYLLABLE TYEONJ
      "\uD16E",  # (텮; 텮; 텮; 텮; 텮; ) HANGUL SYLLABLE TYEONH
      "\uD16F",  # (텯; 텯; 텯; 텯; 텯; ) HANGUL SYLLABLE TYEOD
      "\uD170",  # (텰; 텰; 텰; 텰; 텰; ) HANGUL SYLLABLE TYEOL
      "\uD171",  # (텱; 텱; 텱; 텱; 텱; ) HANGUL SYLLABLE TYEOLG
      "\uD172",  # (텲; 텲; 텲; 텲; 텲; ) HANGUL SYLLABLE TYEOLM
      "\uD173",  # (텳; 텳; 텳; 텳; 텳; ) HANGUL SYLLABLE TYEOLB
      "\uD174",  # (텴; 텴; 텴; 텴; 텴; ) HANGUL SYLLABLE TYEOLS
      "\uD175",  # (텵; 텵; 텵; 텵; 텵; ) HANGUL SYLLABLE TYEOLT
      "\uD176",  # (텶; 텶; 텶; 텶; 텶; ) HANGUL SYLLABLE TYEOLP
      "\uD177",  # (텷; 텷; 텷; 텷; 텷; ) HANGUL SYLLABLE TYEOLH
      "\uD178",  # (텸; 텸; 텸; 텸; 텸; ) HANGUL SYLLABLE TYEOM
      "\uD179",  # (텹; 텹; 텹; 텹; 텹; ) HANGUL SYLLABLE TYEOB
      "\uD17A",  # (텺; 텺; 텺; 텺; 텺; ) HANGUL SYLLABLE TYEOBS
      "\uD17B",  # (텻; 텻; 텻; 텻; 텻; ) HANGUL SYLLABLE TYEOS
      "\uD17C",  # (텼; 텼; 텼; 텼; 텼; ) HANGUL SYLLABLE TYEOSS
      "\uD17D",  # (텽; 텽; 텽; 텽; 텽; ) HANGUL SYLLABLE TYEONG
      "\uD17E",  # (텾; 텾; 텾; 텾; 텾; ) HANGUL SYLLABLE TYEOJ
      "\uD17F",  # (텿; 텿; 텿; 텿; 텿; ) HANGUL SYLLABLE TYEOC
      "\uD180",  # (톀; 톀; 톀; 톀; 톀; ) HANGUL SYLLABLE TYEOK
      "\uD181",  # (톁; 톁; 톁; 톁; 톁; ) HANGUL SYLLABLE TYEOT
      "\uD182",  # (톂; 톂; 톂; 톂; 톂; ) HANGUL SYLLABLE TYEOP
      "\uD183",  # (톃; 톃; 톃; 톃; 톃; ) HANGUL SYLLABLE TYEOH
      "\uD184",  # (톄; 톄; 톄; 톄; 톄; ) HANGUL SYLLABLE TYE
      "\uD185",  # (톅; 톅; 톅; 톅; 톅; ) HANGUL SYLLABLE TYEG
      "\uD186",  # (톆; 톆; 톆; 톆; 톆; ) HANGUL SYLLABLE TYEGG
      "\uD187",  # (톇; 톇; 톇; 톇; 톇; ) HANGUL SYLLABLE TYEGS
      "\uD188",  # (톈; 톈; 톈; 톈; 톈; ) HANGUL SYLLABLE TYEN
      "\uD189",  # (톉; 톉; 톉; 톉; 톉; ) HANGUL SYLLABLE TYENJ
      "\uD18A",  # (톊; 톊; 톊; 톊; 톊; ) HANGUL SYLLABLE TYENH
      "\uD18B",  # (톋; 톋; 톋; 톋; 톋; ) HANGUL SYLLABLE TYED
      "\uD18C",  # (톌; 톌; 톌; 톌; 톌; ) HANGUL SYLLABLE TYEL
      "\uD18D",  # (톍; 톍; 톍; 톍; 톍; ) HANGUL SYLLABLE TYELG
      "\uD18E",  # (톎; 톎; 톎; 톎; 톎; ) HANGUL SYLLABLE TYELM
      "\uD18F",  # (톏; 톏; 톏; 톏; 톏; ) HANGUL SYLLABLE TYELB
      "\uD190",  # (톐; 톐; 톐; 톐; 톐; ) HANGUL SYLLABLE TYELS
      "\uD191",  # (톑; 톑; 톑; 톑; 톑; ) HANGUL SYLLABLE TYELT
      "\uD192",  # (톒; 톒; 톒; 톒; 톒; ) HANGUL SYLLABLE TYELP
      "\uD193",  # (톓; 톓; 톓; 톓; 톓; ) HANGUL SYLLABLE TYELH
      "\uD194",  # (톔; 톔; 톔; 톔; 톔; ) HANGUL SYLLABLE TYEM
      "\uD195",  # (톕; 톕; 톕; 톕; 톕; ) HANGUL SYLLABLE TYEB
      "\uD196",  # (톖; 톖; 톖; 톖; 톖; ) HANGUL SYLLABLE TYEBS
      "\uD197",  # (톗; 톗; 톗; 톗; 톗; ) HANGUL SYLLABLE TYES
      "\uD198",  # (톘; 톘; 톘; 톘; 톘; ) HANGUL SYLLABLE TYESS
      "\uD199",  # (톙; 톙; 톙; 톙; 톙; ) HANGUL SYLLABLE TYENG
      "\uD19A",  # (톚; 톚; 톚; 톚; 톚; ) HANGUL SYLLABLE TYEJ
      "\uD19B",  # (톛; 톛; 톛; 톛; 톛; ) HANGUL SYLLABLE TYEC
      "\uD19C",  # (톜; 톜; 톜; 톜; 톜; ) HANGUL SYLLABLE TYEK
      "\uD19D",  # (톝; 톝; 톝; 톝; 톝; ) HANGUL SYLLABLE TYET
      "\uD19E",  # (톞; 톞; 톞; 톞; 톞; ) HANGUL SYLLABLE TYEP
      "\uD19F",  # (톟; 톟; 톟; 톟; 톟; ) HANGUL SYLLABLE TYEH
      "\uD1A0",  # (토; 토; 토; 토; 토; ) HANGUL SYLLABLE TO
      "\uD1A1",  # (톡; 톡; 톡; 톡; 톡; ) HANGUL SYLLABLE TOG
      "\uD1A2",  # (톢; 톢; 톢; 톢; 톢; ) HANGUL SYLLABLE TOGG
      "\uD1A3",  # (톣; 톣; 톣; 톣; 톣; ) HANGUL SYLLABLE TOGS
      "\uD1A4",  # (톤; 톤; 톤; 톤; 톤; ) HANGUL SYLLABLE TON
      "\uD1A5",  # (톥; 톥; 톥; 톥; 톥; ) HANGUL SYLLABLE TONJ
      "\uD1A6",  # (톦; 톦; 톦; 톦; 톦; ) HANGUL SYLLABLE TONH
      "\uD1A7",  # (톧; 톧; 톧; 톧; 톧; ) HANGUL SYLLABLE TOD
      "\uD1A8",  # (톨; 톨; 톨; 톨; 톨; ) HANGUL SYLLABLE TOL
      "\uD1A9",  # (톩; 톩; 톩; 톩; 톩; ) HANGUL SYLLABLE TOLG
      "\uD1AA",  # (톪; 톪; 톪; 톪; 톪; ) HANGUL SYLLABLE TOLM
      "\uD1AB",  # (톫; 톫; 톫; 톫; 톫; ) HANGUL SYLLABLE TOLB
      "\uD1AC",  # (톬; 톬; 톬; 톬; 톬; ) HANGUL SYLLABLE TOLS
      "\uD1AD",  # (톭; 톭; 톭; 톭; 톭; ) HANGUL SYLLABLE TOLT
      "\uD1AE",  # (톮; 톮; 톮; 톮; 톮; ) HANGUL SYLLABLE TOLP
      "\uD1AF",  # (톯; 톯; 톯; 톯; 톯; ) HANGUL SYLLABLE TOLH
      "\uD1B0",  # (톰; 톰; 톰; 톰; 톰; ) HANGUL SYLLABLE TOM
      "\uD1B1",  # (톱; 톱; 톱; 톱; 톱; ) HANGUL SYLLABLE TOB
      "\uD1B2",  # (톲; 톲; 톲; 톲; 톲; ) HANGUL SYLLABLE TOBS
      "\uD1B3",  # (톳; 톳; 톳; 톳; 톳; ) HANGUL SYLLABLE TOS
      "\uD1B4",  # (톴; 톴; 톴; 톴; 톴; ) HANGUL SYLLABLE TOSS
      "\uD1B5",  # (통; 통; 통; 통; 통; ) HANGUL SYLLABLE TONG
      "\uD1B6",  # (톶; 톶; 톶; 톶; 톶; ) HANGUL SYLLABLE TOJ
      "\uD1B7",  # (톷; 톷; 톷; 톷; 톷; ) HANGUL SYLLABLE TOC
      "\uD1B8",  # (톸; 톸; 톸; 톸; 톸; ) HANGUL SYLLABLE TOK
      "\uD1B9",  # (톹; 톹; 톹; 톹; 톹; ) HANGUL SYLLABLE TOT
      "\uD1BA",  # (톺; 톺; 톺; 톺; 톺; ) HANGUL SYLLABLE TOP
      "\uD1BB",  # (톻; 톻; 톻; 톻; 톻; ) HANGUL SYLLABLE TOH
      "\uD1BC",  # (톼; 톼; 톼; 톼; 톼; ) HANGUL SYLLABLE TWA
      "\uD1BD",  # (톽; 톽; 톽; 톽; 톽; ) HANGUL SYLLABLE TWAG
      "\uD1BE",  # (톾; 톾; 톾; 톾; 톾; ) HANGUL SYLLABLE TWAGG
      "\uD1BF",  # (톿; 톿; 톿; 톿; 톿; ) HANGUL SYLLABLE TWAGS
      "\uD1C0",  # (퇀; 퇀; 퇀; 퇀; 퇀; ) HANGUL SYLLABLE TWAN
      "\uD1C1",  # (퇁; 퇁; 퇁; 퇁; 퇁; ) HANGUL SYLLABLE TWANJ
      "\uD1C2",  # (퇂; 퇂; 퇂; 퇂; 퇂; ) HANGUL SYLLABLE TWANH
      "\uD1C3",  # (퇃; 퇃; 퇃; 퇃; 퇃; ) HANGUL SYLLABLE TWAD
      "\uD1C4",  # (퇄; 퇄; 퇄; 퇄; 퇄; ) HANGUL SYLLABLE TWAL
      "\uD1C5",  # (퇅; 퇅; 퇅; 퇅; 퇅; ) HANGUL SYLLABLE TWALG
      "\uD1C6",  # (퇆; 퇆; 퇆; 퇆; 퇆; ) HANGUL SYLLABLE TWALM
      "\uD1C7",  # (퇇; 퇇; 퇇; 퇇; 퇇; ) HANGUL SYLLABLE TWALB
      "\uD1C8",  # (퇈; 퇈; 퇈; 퇈; 퇈; ) HANGUL SYLLABLE TWALS
      "\uD1C9",  # (퇉; 퇉; 퇉; 퇉; 퇉; ) HANGUL SYLLABLE TWALT
      "\uD1CA",  # (퇊; 퇊; 퇊; 퇊; 퇊; ) HANGUL SYLLABLE TWALP
      "\uD1CB",  # (퇋; 퇋; 퇋; 퇋; 퇋; ) HANGUL SYLLABLE TWALH
      "\uD1CC",  # (퇌; 퇌; 퇌; 퇌; 퇌; ) HANGUL SYLLABLE TWAM
      "\uD1CD",  # (퇍; 퇍; 퇍; 퇍; 퇍; ) HANGUL SYLLABLE TWAB
      "\uD1CE",  # (퇎; 퇎; 퇎; 퇎; 퇎; ) HANGUL SYLLABLE TWABS
      "\uD1CF",  # (퇏; 퇏; 퇏; 퇏; 퇏; ) HANGUL SYLLABLE TWAS
      "\uD1D0",  # (퇐; 퇐; 퇐; 퇐; 퇐; ) HANGUL SYLLABLE TWASS
      "\uD1D1",  # (퇑; 퇑; 퇑; 퇑; 퇑; ) HANGUL SYLLABLE TWANG
      "\uD1D2",  # (퇒; 퇒; 퇒; 퇒; 퇒; ) HANGUL SYLLABLE TWAJ
      "\uD1D3",  # (퇓; 퇓; 퇓; 퇓; 퇓; ) HANGUL SYLLABLE TWAC
      "\uD1D4",  # (퇔; 퇔; 퇔; 퇔; 퇔; ) HANGUL SYLLABLE TWAK
      "\uD1D5",  # (퇕; 퇕; 퇕; 퇕; 퇕; ) HANGUL SYLLABLE TWAT
      "\uD1D6",  # (퇖; 퇖; 퇖; 퇖; 퇖; ) HANGUL SYLLABLE TWAP
      "\uD1D7",  # (퇗; 퇗; 퇗; 퇗; 퇗; ) HANGUL SYLLABLE TWAH
      "\uD1D8",  # (퇘; 퇘; 퇘; 퇘; 퇘; ) HANGUL SYLLABLE TWAE
      "\uD1D9",  # (퇙; 퇙; 퇙; 퇙; 퇙; ) HANGUL SYLLABLE TWAEG
      "\uD1DA",  # (퇚; 퇚; 퇚; 퇚; 퇚; ) HANGUL SYLLABLE TWAEGG
      "\uD1DB",  # (퇛; 퇛; 퇛; 퇛; 퇛; ) HANGUL SYLLABLE TWAEGS
      "\uD1DC",  # (퇜; 퇜; 퇜; 퇜; 퇜; ) HANGUL SYLLABLE TWAEN
      "\uD1DD",  # (퇝; 퇝; 퇝; 퇝; 퇝; ) HANGUL SYLLABLE TWAENJ
      "\uD1DE",  # (퇞; 퇞; 퇞; 퇞; 퇞; ) HANGUL SYLLABLE TWAENH
      "\uD1DF",  # (퇟; 퇟; 퇟; 퇟; 퇟; ) HANGUL SYLLABLE TWAED
      "\uD1E0",  # (퇠; 퇠; 퇠; 퇠; 퇠; ) HANGUL SYLLABLE TWAEL
      "\uD1E1",  # (퇡; 퇡; 퇡; 퇡; 퇡; ) HANGUL SYLLABLE TWAELG
      "\uD1E2",  # (퇢; 퇢; 퇢; 퇢; 퇢; ) HANGUL SYLLABLE TWAELM
      "\uD1E3",  # (퇣; 퇣; 퇣; 퇣; 퇣; ) HANGUL SYLLABLE TWAELB
      "\uD1E4",  # (퇤; 퇤; 퇤; 퇤; 퇤; ) HANGUL SYLLABLE TWAELS
      "\uD1E5",  # (퇥; 퇥; 퇥; 퇥; 퇥; ) HANGUL SYLLABLE TWAELT
      "\uD1E6",  # (퇦; 퇦; 퇦; 퇦; 퇦; ) HANGUL SYLLABLE TWAELP
      "\uD1E7",  # (퇧; 퇧; 퇧; 퇧; 퇧; ) HANGUL SYLLABLE TWAELH
      "\uD1E8",  # (퇨; 퇨; 퇨; 퇨; 퇨; ) HANGUL SYLLABLE TWAEM
      "\uD1E9",  # (퇩; 퇩; 퇩; 퇩; 퇩; ) HANGUL SYLLABLE TWAEB
      "\uD1EA",  # (퇪; 퇪; 퇪; 퇪; 퇪; ) HANGUL SYLLABLE TWAEBS
      "\uD1EB",  # (퇫; 퇫; 퇫; 퇫; 퇫; ) HANGUL SYLLABLE TWAES
      "\uD1EC",  # (퇬; 퇬; 퇬; 퇬; 퇬; ) HANGUL SYLLABLE TWAESS
      "\uD1ED",  # (퇭; 퇭; 퇭; 퇭; 퇭; ) HANGUL SYLLABLE TWAENG
      "\uD1EE",  # (퇮; 퇮; 퇮; 퇮; 퇮; ) HANGUL SYLLABLE TWAEJ
      "\uD1EF",  # (퇯; 퇯; 퇯; 퇯; 퇯; ) HANGUL SYLLABLE TWAEC
      "\uD1F0",  # (퇰; 퇰; 퇰; 퇰; 퇰; ) HANGUL SYLLABLE TWAEK
      "\uD1F1",  # (퇱; 퇱; 퇱; 퇱; 퇱; ) HANGUL SYLLABLE TWAET
      "\uD1F2",  # (퇲; 퇲; 퇲; 퇲; 퇲; ) HANGUL SYLLABLE TWAEP
      "\uD1F3",  # (퇳; 퇳; 퇳; 퇳; 퇳; ) HANGUL SYLLABLE TWAEH
      "\uD1F4",  # (퇴; 퇴; 퇴; 퇴; 퇴; ) HANGUL SYLLABLE TOE
      "\uD1F5",  # (퇵; 퇵; 퇵; 퇵; 퇵; ) HANGUL SYLLABLE TOEG
      "\uD1F6",  # (퇶; 퇶; 퇶; 퇶; 퇶; ) HANGUL SYLLABLE TOEGG
      "\uD1F7",  # (퇷; 퇷; 퇷; 퇷; 퇷; ) HANGUL SYLLABLE TOEGS
      "\uD1F8",  # (퇸; 퇸; 퇸; 퇸; 퇸; ) HANGUL SYLLABLE TOEN
      "\uD1F9",  # (퇹; 퇹; 퇹; 퇹; 퇹; ) HANGUL SYLLABLE TOENJ
      "\uD1FA",  # (퇺; 퇺; 퇺; 퇺; 퇺; ) HANGUL SYLLABLE TOENH
      "\uD1FB",  # (퇻; 퇻; 퇻; 퇻; 퇻; ) HANGUL SYLLABLE TOED
      "\uD1FC",  # (퇼; 퇼; 퇼; 퇼; 퇼; ) HANGUL SYLLABLE TOEL
      "\uD1FD",  # (퇽; 퇽; 퇽; 퇽; 퇽; ) HANGUL SYLLABLE TOELG
      "\uD1FE",  # (퇾; 퇾; 퇾; 퇾; 퇾; ) HANGUL SYLLABLE TOELM
      "\uD1FF",  # (퇿; 퇿; 퇿; 퇿; 퇿; ) HANGUL SYLLABLE TOELB
      "\uD200",  # (툀; 툀; 툀; 툀; 툀; ) HANGUL SYLLABLE TOELS
      "\uD201",  # (툁; 툁; 툁; 툁; 툁; ) HANGUL SYLLABLE TOELT
      "\uD202",  # (툂; 툂; 툂; 툂; 툂; ) HANGUL SYLLABLE TOELP
      "\uD203",  # (툃; 툃; 툃; 툃; 툃; ) HANGUL SYLLABLE TOELH
      "\uD204",  # (툄; 툄; 툄; 툄; 툄; ) HANGUL SYLLABLE TOEM
      "\uD205",  # (툅; 툅; 툅; 툅; 툅; ) HANGUL SYLLABLE TOEB
      "\uD206",  # (툆; 툆; 툆; 툆; 툆; ) HANGUL SYLLABLE TOEBS
      "\uD207",  # (툇; 툇; 툇; 툇; 툇; ) HANGUL SYLLABLE TOES
      "\uD208",  # (툈; 툈; 툈; 툈; 툈; ) HANGUL SYLLABLE TOESS
      "\uD209",  # (툉; 툉; 툉; 툉; 툉; ) HANGUL SYLLABLE TOENG
      "\uD20A",  # (툊; 툊; 툊; 툊; 툊; ) HANGUL SYLLABLE TOEJ
      "\uD20B",  # (툋; 툋; 툋; 툋; 툋; ) HANGUL SYLLABLE TOEC
      "\uD20C",  # (툌; 툌; 툌; 툌; 툌; ) HANGUL SYLLABLE TOEK
      "\uD20D",  # (툍; 툍; 툍; 툍; 툍; ) HANGUL SYLLABLE TOET
      "\uD20E",  # (툎; 툎; 툎; 툎; 툎; ) HANGUL SYLLABLE TOEP
      "\uD20F",  # (툏; 툏; 툏; 툏; 툏; ) HANGUL SYLLABLE TOEH
      "\uD210",  # (툐; 툐; 툐; 툐; 툐; ) HANGUL SYLLABLE TYO
      "\uD211",  # (툑; 툑; 툑; 툑; 툑; ) HANGUL SYLLABLE TYOG
      "\uD212",  # (툒; 툒; 툒; 툒; 툒; ) HANGUL SYLLABLE TYOGG
      "\uD213",  # (툓; 툓; 툓; 툓; 툓; ) HANGUL SYLLABLE TYOGS
      "\uD214",  # (툔; 툔; 툔; 툔; 툔; ) HANGUL SYLLABLE TYON
      "\uD215",  # (툕; 툕; 툕; 툕; 툕; ) HANGUL SYLLABLE TYONJ
      "\uD216",  # (툖; 툖; 툖; 툖; 툖; ) HANGUL SYLLABLE TYONH
      "\uD217",  # (툗; 툗; 툗; 툗; 툗; ) HANGUL SYLLABLE TYOD
      "\uD218",  # (툘; 툘; 툘; 툘; 툘; ) HANGUL SYLLABLE TYOL
      "\uD219",  # (툙; 툙; 툙; 툙; 툙; ) HANGUL SYLLABLE TYOLG
      "\uD21A",  # (툚; 툚; 툚; 툚; 툚; ) HANGUL SYLLABLE TYOLM
      "\uD21B",  # (툛; 툛; 툛; 툛; 툛; ) HANGUL SYLLABLE TYOLB
      "\uD21C",  # (툜; 툜; 툜; 툜; 툜; ) HANGUL SYLLABLE TYOLS
      "\uD21D",  # (툝; 툝; 툝; 툝; 툝; ) HANGUL SYLLABLE TYOLT
      "\uD21E",  # (툞; 툞; 툞; 툞; 툞; ) HANGUL SYLLABLE TYOLP
      "\uD21F",  # (툟; 툟; 툟; 툟; 툟; ) HANGUL SYLLABLE TYOLH
      "\uD220",  # (툠; 툠; 툠; 툠; 툠; ) HANGUL SYLLABLE TYOM
      "\uD221",  # (툡; 툡; 툡; 툡; 툡; ) HANGUL SYLLABLE TYOB
      "\uD222",  # (툢; 툢; 툢; 툢; 툢; ) HANGUL SYLLABLE TYOBS
      "\uD223",  # (툣; 툣; 툣; 툣; 툣; ) HANGUL SYLLABLE TYOS
      "\uD224",  # (툤; 툤; 툤; 툤; 툤; ) HANGUL SYLLABLE TYOSS
      "\uD225",  # (툥; 툥; 툥; 툥; 툥; ) HANGUL SYLLABLE TYONG
      "\uD226",  # (툦; 툦; 툦; 툦; 툦; ) HANGUL SYLLABLE TYOJ
      "\uD227",  # (툧; 툧; 툧; 툧; 툧; ) HANGUL SYLLABLE TYOC
      "\uD228",  # (툨; 툨; 툨; 툨; 툨; ) HANGUL SYLLABLE TYOK
      "\uD229",  # (툩; 툩; 툩; 툩; 툩; ) HANGUL SYLLABLE TYOT
      "\uD22A",  # (툪; 툪; 툪; 툪; 툪; ) HANGUL SYLLABLE TYOP
      "\uD22B",  # (툫; 툫; 툫; 툫; 툫; ) HANGUL SYLLABLE TYOH
      "\uD22C",  # (투; 투; 투; 투; 투; ) HANGUL SYLLABLE TU
      "\uD22D",  # (툭; 툭; 툭; 툭; 툭; ) HANGUL SYLLABLE TUG
      "\uD22E",  # (툮; 툮; 툮; 툮; 툮; ) HANGUL SYLLABLE TUGG
      "\uD22F",  # (툯; 툯; 툯; 툯; 툯; ) HANGUL SYLLABLE TUGS
      "\uD230",  # (툰; 툰; 툰; 툰; 툰; ) HANGUL SYLLABLE TUN
      "\uD231",  # (툱; 툱; 툱; 툱; 툱; ) HANGUL SYLLABLE TUNJ
      "\uD232",  # (툲; 툲; 툲; 툲; 툲; ) HANGUL SYLLABLE TUNH
      "\uD233",  # (툳; 툳; 툳; 툳; 툳; ) HANGUL SYLLABLE TUD
      "\uD234",  # (툴; 툴; 툴; 툴; 툴; ) HANGUL SYLLABLE TUL
      "\uD235",  # (툵; 툵; 툵; 툵; 툵; ) HANGUL SYLLABLE TULG
      "\uD236",  # (툶; 툶; 툶; 툶; 툶; ) HANGUL SYLLABLE TULM
      "\uD237",  # (툷; 툷; 툷; 툷; 툷; ) HANGUL SYLLABLE TULB
      "\uD238",  # (툸; 툸; 툸; 툸; 툸; ) HANGUL SYLLABLE TULS
      "\uD239",  # (툹; 툹; 툹; 툹; 툹; ) HANGUL SYLLABLE TULT
      "\uD23A",  # (툺; 툺; 툺; 툺; 툺; ) HANGUL SYLLABLE TULP
      "\uD23B",  # (툻; 툻; 툻; 툻; 툻; ) HANGUL SYLLABLE TULH
      "\uD23C",  # (툼; 툼; 툼; 툼; 툼; ) HANGUL SYLLABLE TUM
      "\uD23D",  # (툽; 툽; 툽; 툽; 툽; ) HANGUL SYLLABLE TUB
      "\uD23E",  # (툾; 툾; 툾; 툾; 툾; ) HANGUL SYLLABLE TUBS
      "\uD23F",  # (툿; 툿; 툿; 툿; 툿; ) HANGUL SYLLABLE TUS
      "\uD240",  # (퉀; 퉀; 퉀; 퉀; 퉀; ) HANGUL SYLLABLE TUSS
      "\uD241",  # (퉁; 퉁; 퉁; 퉁; 퉁; ) HANGUL SYLLABLE TUNG
      "\uD242",  # (퉂; 퉂; 퉂; 퉂; 퉂; ) HANGUL SYLLABLE TUJ
      "\uD243",  # (퉃; 퉃; 퉃; 퉃; 퉃; ) HANGUL SYLLABLE TUC
      "\uD244",  # (퉄; 퉄; 퉄; 퉄; 퉄; ) HANGUL SYLLABLE TUK
      "\uD245",  # (퉅; 퉅; 퉅; 퉅; 퉅; ) HANGUL SYLLABLE TUT
      "\uD246",  # (퉆; 퉆; 퉆; 퉆; 퉆; ) HANGUL SYLLABLE TUP
      "\uD247",  # (퉇; 퉇; 퉇; 퉇; 퉇; ) HANGUL SYLLABLE TUH
      "\uD248",  # (퉈; 퉈; 퉈; 퉈; 퉈; ) HANGUL SYLLABLE TWEO
      "\uD249",  # (퉉; 퉉; 퉉; 퉉; 퉉; ) HANGUL SYLLABLE TWEOG
      "\uD24A",  # (퉊; 퉊; 퉊; 퉊; 퉊; ) HANGUL SYLLABLE TWEOGG
      "\uD24B",  # (퉋; 퉋; 퉋; 퉋; 퉋; ) HANGUL SYLLABLE TWEOGS
      "\uD24C",  # (퉌; 퉌; 퉌; 퉌; 퉌; ) HANGUL SYLLABLE TWEON
      "\uD24D",  # (퉍; 퉍; 퉍; 퉍; 퉍; ) HANGUL SYLLABLE TWEONJ
      "\uD24E",  # (퉎; 퉎; 퉎; 퉎; 퉎; ) HANGUL SYLLABLE TWEONH
      "\uD24F",  # (퉏; 퉏; 퉏; 퉏; 퉏; ) HANGUL SYLLABLE TWEOD
      "\uD250",  # (퉐; 퉐; 퉐; 퉐; 퉐; ) HANGUL SYLLABLE TWEOL
      "\uD251",  # (퉑; 퉑; 퉑; 퉑; 퉑; ) HANGUL SYLLABLE TWEOLG
      "\uD252",  # (퉒; 퉒; 퉒; 퉒; 퉒; ) HANGUL SYLLABLE TWEOLM
      "\uD253",  # (퉓; 퉓; 퉓; 퉓; 퉓; ) HANGUL SYLLABLE TWEOLB
      "\uD254",  # (퉔; 퉔; 퉔; 퉔; 퉔; ) HANGUL SYLLABLE TWEOLS
      "\uD255",  # (퉕; 퉕; 퉕; 퉕; 퉕; ) HANGUL SYLLABLE TWEOLT
      "\uD256",  # (퉖; 퉖; 퉖; 퉖; 퉖; ) HANGUL SYLLABLE TWEOLP
      "\uD257",  # (퉗; 퉗; 퉗; 퉗; 퉗; ) HANGUL SYLLABLE TWEOLH
      "\uD258",  # (퉘; 퉘; 퉘; 퉘; 퉘; ) HANGUL SYLLABLE TWEOM
      "\uD259",  # (퉙; 퉙; 퉙; 퉙; 퉙; ) HANGUL SYLLABLE TWEOB
      "\uD25A",  # (퉚; 퉚; 퉚; 퉚; 퉚; ) HANGUL SYLLABLE TWEOBS
      "\uD25B",  # (퉛; 퉛; 퉛; 퉛; 퉛; ) HANGUL SYLLABLE TWEOS
      "\uD25C",  # (퉜; 퉜; 퉜; 퉜; 퉜; ) HANGUL SYLLABLE TWEOSS
      "\uD25D",  # (퉝; 퉝; 퉝; 퉝; 퉝; ) HANGUL SYLLABLE TWEONG
      "\uD25E",  # (퉞; 퉞; 퉞; 퉞; 퉞; ) HANGUL SYLLABLE TWEOJ
      "\uD25F",  # (퉟; 퉟; 퉟; 퉟; 퉟; ) HANGUL SYLLABLE TWEOC
      "\uD260",  # (퉠; 퉠; 퉠; 퉠; 퉠; ) HANGUL SYLLABLE TWEOK
      "\uD261",  # (퉡; 퉡; 퉡; 퉡; 퉡; ) HANGUL SYLLABLE TWEOT
      "\uD262",  # (퉢; 퉢; 퉢; 퉢; 퉢; ) HANGUL SYLLABLE TWEOP
      "\uD263",  # (퉣; 퉣; 퉣; 퉣; 퉣; ) HANGUL SYLLABLE TWEOH
      "\uD264",  # (퉤; 퉤; 퉤; 퉤; 퉤; ) HANGUL SYLLABLE TWE
      "\uD265",  # (퉥; 퉥; 퉥; 퉥; 퉥; ) HANGUL SYLLABLE TWEG
      "\uD266",  # (퉦; 퉦; 퉦; 퉦; 퉦; ) HANGUL SYLLABLE TWEGG
      "\uD267",  # (퉧; 퉧; 퉧; 퉧; 퉧; ) HANGUL SYLLABLE TWEGS
      "\uD268",  # (퉨; 퉨; 퉨; 퉨; 퉨; ) HANGUL SYLLABLE TWEN
      "\uD269",  # (퉩; 퉩; 퉩; 퉩; 퉩; ) HANGUL SYLLABLE TWENJ
      "\uD26A",  # (퉪; 퉪; 퉪; 퉪; 퉪; ) HANGUL SYLLABLE TWENH
      "\uD26B",  # (퉫; 퉫; 퉫; 퉫; 퉫; ) HANGUL SYLLABLE TWED
      "\uD26C",  # (퉬; 퉬; 퉬; 퉬; 퉬; ) HANGUL SYLLABLE TWEL
      "\uD26D",  # (퉭; 퉭; 퉭; 퉭; 퉭; ) HANGUL SYLLABLE TWELG
      "\uD26E",  # (퉮; 퉮; 퉮; 퉮; 퉮; ) HANGUL SYLLABLE TWELM
      "\uD26F",  # (퉯; 퉯; 퉯; 퉯; 퉯; ) HANGUL SYLLABLE TWELB
      "\uD270",  # (퉰; 퉰; 퉰; 퉰; 퉰; ) HANGUL SYLLABLE TWELS
      "\uD271",  # (퉱; 퉱; 퉱; 퉱; 퉱; ) HANGUL SYLLABLE TWELT
      "\uD272",  # (퉲; 퉲; 퉲; 퉲; 퉲; ) HANGUL SYLLABLE TWELP
      "\uD273",  # (퉳; 퉳; 퉳; 퉳; 퉳; ) HANGUL SYLLABLE TWELH
      "\uD274",  # (퉴; 퉴; 퉴; 퉴; 퉴; ) HANGUL SYLLABLE TWEM
      "\uD275",  # (퉵; 퉵; 퉵; 퉵; 퉵; ) HANGUL SYLLABLE TWEB
      "\uD276",  # (퉶; 퉶; 퉶; 퉶; 퉶; ) HANGUL SYLLABLE TWEBS
      "\uD277",  # (퉷; 퉷; 퉷; 퉷; 퉷; ) HANGUL SYLLABLE TWES
      "\uD278",  # (퉸; 퉸; 퉸; 퉸; 퉸; ) HANGUL SYLLABLE TWESS
      "\uD279",  # (퉹; 퉹; 퉹; 퉹; 퉹; ) HANGUL SYLLABLE TWENG
      "\uD27A",  # (퉺; 퉺; 퉺; 퉺; 퉺; ) HANGUL SYLLABLE TWEJ
      "\uD27B",  # (퉻; 퉻; 퉻; 퉻; 퉻; ) HANGUL SYLLABLE TWEC
      "\uD27C",  # (퉼; 퉼; 퉼; 퉼; 퉼; ) HANGUL SYLLABLE TWEK
      "\uD27D",  # (퉽; 퉽; 퉽; 퉽; 퉽; ) HANGUL SYLLABLE TWET
      "\uD27E",  # (퉾; 퉾; 퉾; 퉾; 퉾; ) HANGUL SYLLABLE TWEP
      "\uD27F",  # (퉿; 퉿; 퉿; 퉿; 퉿; ) HANGUL SYLLABLE TWEH
      "\uD280",  # (튀; 튀; 튀; 튀; 튀; ) HANGUL SYLLABLE TWI
      "\uD281",  # (튁; 튁; 튁; 튁; 튁; ) HANGUL SYLLABLE TWIG
      "\uD282",  # (튂; 튂; 튂; 튂; 튂; ) HANGUL SYLLABLE TWIGG
      "\uD283",  # (튃; 튃; 튃; 튃; 튃; ) HANGUL SYLLABLE TWIGS
      "\uD284",  # (튄; 튄; 튄; 튄; 튄; ) HANGUL SYLLABLE TWIN
      "\uD285",  # (튅; 튅; 튅; 튅; 튅; ) HANGUL SYLLABLE TWINJ
      "\uD286",  # (튆; 튆; 튆; 튆; 튆; ) HANGUL SYLLABLE TWINH
      "\uD287",  # (튇; 튇; 튇; 튇; 튇; ) HANGUL SYLLABLE TWID
      "\uD288",  # (튈; 튈; 튈; 튈; 튈; ) HANGUL SYLLABLE TWIL
      "\uD289",  # (튉; 튉; 튉; 튉; 튉; ) HANGUL SYLLABLE TWILG
      "\uD28A",  # (튊; 튊; 튊; 튊; 튊; ) HANGUL SYLLABLE TWILM
      "\uD28B",  # (튋; 튋; 튋; 튋; 튋; ) HANGUL SYLLABLE TWILB
      "\uD28C",  # (튌; 튌; 튌; 튌; 튌; ) HANGUL SYLLABLE TWILS
      "\uD28D",  # (튍; 튍; 튍; 튍; 튍; ) HANGUL SYLLABLE TWILT
      "\uD28E",  # (튎; 튎; 튎; 튎; 튎; ) HANGUL SYLLABLE TWILP
      "\uD28F",  # (튏; 튏; 튏; 튏; 튏; ) HANGUL SYLLABLE TWILH
      "\uD290",  # (튐; 튐; 튐; 튐; 튐; ) HANGUL SYLLABLE TWIM
      "\uD291",  # (튑; 튑; 튑; 튑; 튑; ) HANGUL SYLLABLE TWIB
      "\uD292",  # (튒; 튒; 튒; 튒; 튒; ) HANGUL SYLLABLE TWIBS
      "\uD293",  # (튓; 튓; 튓; 튓; 튓; ) HANGUL SYLLABLE TWIS
      "\uD294",  # (튔; 튔; 튔; 튔; 튔; ) HANGUL SYLLABLE TWISS
      "\uD295",  # (튕; 튕; 튕; 튕; 튕; ) HANGUL SYLLABLE TWING
      "\uD296",  # (튖; 튖; 튖; 튖; 튖; ) HANGUL SYLLABLE TWIJ
      "\uD297",  # (튗; 튗; 튗; 튗; 튗; ) HANGUL SYLLABLE TWIC
      "\uD298",  # (튘; 튘; 튘; 튘; 튘; ) HANGUL SYLLABLE TWIK
      "\uD299",  # (튙; 튙; 튙; 튙; 튙; ) HANGUL SYLLABLE TWIT
      "\uD29A",  # (튚; 튚; 튚; 튚; 튚; ) HANGUL SYLLABLE TWIP
      "\uD29B",  # (튛; 튛; 튛; 튛; 튛; ) HANGUL SYLLABLE TWIH
      "\uD29C",  # (튜; 튜; 튜; 튜; 튜; ) HANGUL SYLLABLE TYU
      "\uD29D",  # (튝; 튝; 튝; 튝; 튝; ) HANGUL SYLLABLE TYUG
      "\uD29E",  # (튞; 튞; 튞; 튞; 튞; ) HANGUL SYLLABLE TYUGG
      "\uD29F",  # (튟; 튟; 튟; 튟; 튟; ) HANGUL SYLLABLE TYUGS
      "\uD2A0",  # (튠; 튠; 튠; 튠; 튠; ) HANGUL SYLLABLE TYUN
      "\uD2A1",  # (튡; 튡; 튡; 튡; 튡; ) HANGUL SYLLABLE TYUNJ
      "\uD2A2",  # (튢; 튢; 튢; 튢; 튢; ) HANGUL SYLLABLE TYUNH
      "\uD2A3",  # (튣; 튣; 튣; 튣; 튣; ) HANGUL SYLLABLE TYUD
      "\uD2A4",  # (튤; 튤; 튤; 튤; 튤; ) HANGUL SYLLABLE TYUL
      "\uD2A5",  # (튥; 튥; 튥; 튥; 튥; ) HANGUL SYLLABLE TYULG
      "\uD2A6",  # (튦; 튦; 튦; 튦; 튦; ) HANGUL SYLLABLE TYULM
      "\uD2A7",  # (튧; 튧; 튧; 튧; 튧; ) HANGUL SYLLABLE TYULB
      "\uD2A8",  # (튨; 튨; 튨; 튨; 튨; ) HANGUL SYLLABLE TYULS
      "\uD2A9",  # (튩; 튩; 튩; 튩; 튩; ) HANGUL SYLLABLE TYULT
      "\uD2AA",  # (튪; 튪; 튪; 튪; 튪; ) HANGUL SYLLABLE TYULP
      "\uD2AB",  # (튫; 튫; 튫; 튫; 튫; ) HANGUL SYLLABLE TYULH
      "\uD2AC",  # (튬; 튬; 튬; 튬; 튬; ) HANGUL SYLLABLE TYUM
      "\uD2AD",  # (튭; 튭; 튭; 튭; 튭; ) HANGUL SYLLABLE TYUB
      "\uD2AE",  # (튮; 튮; 튮; 튮; 튮; ) HANGUL SYLLABLE TYUBS
      "\uD2AF",  # (튯; 튯; 튯; 튯; 튯; ) HANGUL SYLLABLE TYUS
      "\uD2B0",  # (튰; 튰; 튰; 튰; 튰; ) HANGUL SYLLABLE TYUSS
      "\uD2B1",  # (튱; 튱; 튱; 튱; 튱; ) HANGUL SYLLABLE TYUNG
      "\uD2B2",  # (튲; 튲; 튲; 튲; 튲; ) HANGUL SYLLABLE TYUJ
      "\uD2B3",  # (튳; 튳; 튳; 튳; 튳; ) HANGUL SYLLABLE TYUC
      "\uD2B4",  # (튴; 튴; 튴; 튴; 튴; ) HANGUL SYLLABLE TYUK
      "\uD2B5",  # (튵; 튵; 튵; 튵; 튵; ) HANGUL SYLLABLE TYUT
      "\uD2B6",  # (튶; 튶; 튶; 튶; 튶; ) HANGUL SYLLABLE TYUP
      "\uD2B7",  # (튷; 튷; 튷; 튷; 튷; ) HANGUL SYLLABLE TYUH
      "\uD2B8",  # (트; 트; 트; 트; 트; ) HANGUL SYLLABLE TEU
      "\uD2B9",  # (특; 특; 특; 특; 특; ) HANGUL SYLLABLE TEUG
      "\uD2BA",  # (튺; 튺; 튺; 튺; 튺; ) HANGUL SYLLABLE TEUGG
      "\uD2BB",  # (튻; 튻; 튻; 튻; 튻; ) HANGUL SYLLABLE TEUGS
      "\uD2BC",  # (튼; 튼; 튼; 튼; 튼; ) HANGUL SYLLABLE TEUN
      "\uD2BD",  # (튽; 튽; 튽; 튽; 튽; ) HANGUL SYLLABLE TEUNJ
      "\uD2BE",  # (튾; 튾; 튾; 튾; 튾; ) HANGUL SYLLABLE TEUNH
      "\uD2BF",  # (튿; 튿; 튿; 튿; 튿; ) HANGUL SYLLABLE TEUD
      "\uD2C0",  # (틀; 틀; 틀; 틀; 틀; ) HANGUL SYLLABLE TEUL
      "\uD2C1",  # (틁; 틁; 틁; 틁; 틁; ) HANGUL SYLLABLE TEULG
      "\uD2C2",  # (틂; 틂; 틂; 틂; 틂; ) HANGUL SYLLABLE TEULM
      "\uD2C3",  # (틃; 틃; 틃; 틃; 틃; ) HANGUL SYLLABLE TEULB
      "\uD2C4",  # (틄; 틄; 틄; 틄; 틄; ) HANGUL SYLLABLE TEULS
      "\uD2C5",  # (틅; 틅; 틅; 틅; 틅; ) HANGUL SYLLABLE TEULT
      "\uD2C6",  # (틆; 틆; 틆; 틆; 틆; ) HANGUL SYLLABLE TEULP
      "\uD2C7",  # (틇; 틇; 틇; 틇; 틇; ) HANGUL SYLLABLE TEULH
      "\uD2C8",  # (틈; 틈; 틈; 틈; 틈; ) HANGUL SYLLABLE TEUM
      "\uD2C9",  # (틉; 틉; 틉; 틉; 틉; ) HANGUL SYLLABLE TEUB
      "\uD2CA",  # (틊; 틊; 틊; 틊; 틊; ) HANGUL SYLLABLE TEUBS
      "\uD2CB",  # (틋; 틋; 틋; 틋; 틋; ) HANGUL SYLLABLE TEUS
      "\uD2CC",  # (틌; 틌; 틌; 틌; 틌; ) HANGUL SYLLABLE TEUSS
      "\uD2CD",  # (틍; 틍; 틍; 틍; 틍; ) HANGUL SYLLABLE TEUNG
      "\uD2CE",  # (틎; 틎; 틎; 틎; 틎; ) HANGUL SYLLABLE TEUJ
      "\uD2CF",  # (틏; 틏; 틏; 틏; 틏; ) HANGUL SYLLABLE TEUC
      "\uD2D0",  # (틐; 틐; 틐; 틐; 틐; ) HANGUL SYLLABLE TEUK
      "\uD2D1",  # (틑; 틑; 틑; 틑; 틑; ) HANGUL SYLLABLE TEUT
      "\uD2D2",  # (틒; 틒; 틒; 틒; 틒; ) HANGUL SYLLABLE TEUP
      "\uD2D3",  # (틓; 틓; 틓; 틓; 틓; ) HANGUL SYLLABLE TEUH
      "\uD2D4",  # (틔; 틔; 틔; 틔; 틔; ) HANGUL SYLLABLE TYI
      "\uD2D5",  # (틕; 틕; 틕; 틕; 틕; ) HANGUL SYLLABLE TYIG
      "\uD2D6",  # (틖; 틖; 틖; 틖; 틖; ) HANGUL SYLLABLE TYIGG
      "\uD2D7",  # (틗; 틗; 틗; 틗; 틗; ) HANGUL SYLLABLE TYIGS
      "\uD2D8",  # (틘; 틘; 틘; 틘; 틘; ) HANGUL SYLLABLE TYIN
      "\uD2D9",  # (틙; 틙; 틙; 틙; 틙; ) HANGUL SYLLABLE TYINJ
      "\uD2DA",  # (틚; 틚; 틚; 틚; 틚; ) HANGUL SYLLABLE TYINH
      "\uD2DB",  # (틛; 틛; 틛; 틛; 틛; ) HANGUL SYLLABLE TYID
      "\uD2DC",  # (틜; 틜; 틜; 틜; 틜; ) HANGUL SYLLABLE TYIL
      "\uD2DD",  # (틝; 틝; 틝; 틝; 틝; ) HANGUL SYLLABLE TYILG
      "\uD2DE",  # (틞; 틞; 틞; 틞; 틞; ) HANGUL SYLLABLE TYILM
      "\uD2DF",  # (틟; 틟; 틟; 틟; 틟; ) HANGUL SYLLABLE TYILB
      "\uD2E0",  # (틠; 틠; 틠; 틠; 틠; ) HANGUL SYLLABLE TYILS
      "\uD2E1",  # (틡; 틡; 틡; 틡; 틡; ) HANGUL SYLLABLE TYILT
      "\uD2E2",  # (틢; 틢; 틢; 틢; 틢; ) HANGUL SYLLABLE TYILP
      "\uD2E3",  # (틣; 틣; 틣; 틣; 틣; ) HANGUL SYLLABLE TYILH
      "\uD2E4",  # (틤; 틤; 틤; 틤; 틤; ) HANGUL SYLLABLE TYIM
      "\uD2E5",  # (틥; 틥; 틥; 틥; 틥; ) HANGUL SYLLABLE TYIB
      "\uD2E6",  # (틦; 틦; 틦; 틦; 틦; ) HANGUL SYLLABLE TYIBS
      "\uD2E7",  # (틧; 틧; 틧; 틧; 틧; ) HANGUL SYLLABLE TYIS
      "\uD2E8",  # (틨; 틨; 틨; 틨; 틨; ) HANGUL SYLLABLE TYISS
      "\uD2E9",  # (틩; 틩; 틩; 틩; 틩; ) HANGUL SYLLABLE TYING
      "\uD2EA",  # (틪; 틪; 틪; 틪; 틪; ) HANGUL SYLLABLE TYIJ
      "\uD2EB",  # (틫; 틫; 틫; 틫; 틫; ) HANGUL SYLLABLE TYIC
      "\uD2EC",  # (틬; 틬; 틬; 틬; 틬; ) HANGUL SYLLABLE TYIK
      "\uD2ED",  # (틭; 틭; 틭; 틭; 틭; ) HANGUL SYLLABLE TYIT
      "\uD2EE",  # (틮; 틮; 틮; 틮; 틮; ) HANGUL SYLLABLE TYIP
      "\uD2EF",  # (틯; 틯; 틯; 틯; 틯; ) HANGUL SYLLABLE TYIH
      "\uD2F0",  # (티; 티; 티; 티; 티; ) HANGUL SYLLABLE TI
      "\uD2F1",  # (틱; 틱; 틱; 틱; 틱; ) HANGUL SYLLABLE TIG
      "\uD2F2",  # (틲; 틲; 틲; 틲; 틲; ) HANGUL SYLLABLE TIGG
      "\uD2F3",  # (틳; 틳; 틳; 틳; 틳; ) HANGUL SYLLABLE TIGS
      "\uD2F4",  # (틴; 틴; 틴; 틴; 틴; ) HANGUL SYLLABLE TIN
      "\uD2F5",  # (틵; 틵; 틵; 틵; 틵; ) HANGUL SYLLABLE TINJ
      "\uD2F6",  # (틶; 틶; 틶; 틶; 틶; ) HANGUL SYLLABLE TINH
      "\uD2F7",  # (틷; 틷; 틷; 틷; 틷; ) HANGUL SYLLABLE TID
      "\uD2F8",  # (틸; 틸; 틸; 틸; 틸; ) HANGUL SYLLABLE TIL
      "\uD2F9",  # (틹; 틹; 틹; 틹; 틹; ) HANGUL SYLLABLE TILG
      "\uD2FA",  # (틺; 틺; 틺; 틺; 틺; ) HANGUL SYLLABLE TILM
      "\uD2FB",  # (틻; 틻; 틻; 틻; 틻; ) HANGUL SYLLABLE TILB
      "\uD2FC",  # (틼; 틼; 틼; 틼; 틼; ) HANGUL SYLLABLE TILS
      "\uD2FD",  # (틽; 틽; 틽; 틽; 틽; ) HANGUL SYLLABLE TILT
      "\uD2FE",  # (틾; 틾; 틾; 틾; 틾; ) HANGUL SYLLABLE TILP
      "\uD2FF",  # (틿; 틿; 틿; 틿; 틿; ) HANGUL SYLLABLE TILH
      "\uD300",  # (팀; 팀; 팀; 팀; 팀; ) HANGUL SYLLABLE TIM
      "\uD301",  # (팁; 팁; 팁; 팁; 팁; ) HANGUL SYLLABLE TIB
      "\uD302",  # (팂; 팂; 팂; 팂; 팂; ) HANGUL SYLLABLE TIBS
      "\uD303",  # (팃; 팃; 팃; 팃; 팃; ) HANGUL SYLLABLE TIS
      "\uD304",  # (팄; 팄; 팄; 팄; 팄; ) HANGUL SYLLABLE TISS
      "\uD305",  # (팅; 팅; 팅; 팅; 팅; ) HANGUL SYLLABLE TING
      "\uD306",  # (팆; 팆; 팆; 팆; 팆; ) HANGUL SYLLABLE TIJ
      "\uD307",  # (팇; 팇; 팇; 팇; 팇; ) HANGUL SYLLABLE TIC
      "\uD308",  # (팈; 팈; 팈; 팈; 팈; ) HANGUL SYLLABLE TIK
      "\uD309",  # (팉; 팉; 팉; 팉; 팉; ) HANGUL SYLLABLE TIT
      "\uD30A",  # (팊; 팊; 팊; 팊; 팊; ) HANGUL SYLLABLE TIP
      "\uD30B",  # (팋; 팋; 팋; 팋; 팋; ) HANGUL SYLLABLE TIH
      "\uD30C",  # (파; 파; 파; 파; 파; ) HANGUL SYLLABLE PA
      "\uD30D",  # (팍; 팍; 팍; 팍; 팍; ) HANGUL SYLLABLE PAG
      "\uD30E",  # (팎; 팎; 팎; 팎; 팎; ) HANGUL SYLLABLE PAGG
      "\uD30F",  # (팏; 팏; 팏; 팏; 팏; ) HANGUL SYLLABLE PAGS
      "\uD310",  # (판; 판; 판; 판; 판; ) HANGUL SYLLABLE PAN
      "\uD311",  # (팑; 팑; 팑; 팑; 팑; ) HANGUL SYLLABLE PANJ
      "\uD312",  # (팒; 팒; 팒; 팒; 팒; ) HANGUL SYLLABLE PANH
      "\uD313",  # (팓; 팓; 팓; 팓; 팓; ) HANGUL SYLLABLE PAD
      "\uD314",  # (팔; 팔; 팔; 팔; 팔; ) HANGUL SYLLABLE PAL
      "\uD315",  # (팕; 팕; 팕; 팕; 팕; ) HANGUL SYLLABLE PALG
      "\uD316",  # (팖; 팖; 팖; 팖; 팖; ) HANGUL SYLLABLE PALM
      "\uD317",  # (팗; 팗; 팗; 팗; 팗; ) HANGUL SYLLABLE PALB
      "\uD318",  # (팘; 팘; 팘; 팘; 팘; ) HANGUL SYLLABLE PALS
      "\uD319",  # (팙; 팙; 팙; 팙; 팙; ) HANGUL SYLLABLE PALT
      "\uD31A",  # (팚; 팚; 팚; 팚; 팚; ) HANGUL SYLLABLE PALP
      "\uD31B",  # (팛; 팛; 팛; 팛; 팛; ) HANGUL SYLLABLE PALH
      "\uD31C",  # (팜; 팜; 팜; 팜; 팜; ) HANGUL SYLLABLE PAM
      "\uD31D",  # (팝; 팝; 팝; 팝; 팝; ) HANGUL SYLLABLE PAB
      "\uD31E",  # (팞; 팞; 팞; 팞; 팞; ) HANGUL SYLLABLE PABS
      "\uD31F",  # (팟; 팟; 팟; 팟; 팟; ) HANGUL SYLLABLE PAS
      "\uD320",  # (팠; 팠; 팠; 팠; 팠; ) HANGUL SYLLABLE PASS
      "\uD321",  # (팡; 팡; 팡; 팡; 팡; ) HANGUL SYLLABLE PANG
      "\uD322",  # (팢; 팢; 팢; 팢; 팢; ) HANGUL SYLLABLE PAJ
      "\uD323",  # (팣; 팣; 팣; 팣; 팣; ) HANGUL SYLLABLE PAC
      "\uD324",  # (팤; 팤; 팤; 팤; 팤; ) HANGUL SYLLABLE PAK
      "\uD325",  # (팥; 팥; 팥; 팥; 팥; ) HANGUL SYLLABLE PAT
      "\uD326",  # (팦; 팦; 팦; 팦; 팦; ) HANGUL SYLLABLE PAP
      "\uD327",  # (팧; 팧; 팧; 팧; 팧; ) HANGUL SYLLABLE PAH
      "\uD328",  # (패; 패; 패; 패; 패; ) HANGUL SYLLABLE PAE
      "\uD329",  # (팩; 팩; 팩; 팩; 팩; ) HANGUL SYLLABLE PAEG
      "\uD32A",  # (팪; 팪; 팪; 팪; 팪; ) HANGUL SYLLABLE PAEGG
      "\uD32B",  # (팫; 팫; 팫; 팫; 팫; ) HANGUL SYLLABLE PAEGS
      "\uD32C",  # (팬; 팬; 팬; 팬; 팬; ) HANGUL SYLLABLE PAEN
      "\uD32D",  # (팭; 팭; 팭; 팭; 팭; ) HANGUL SYLLABLE PAENJ
      "\uD32E",  # (팮; 팮; 팮; 팮; 팮; ) HANGUL SYLLABLE PAENH
      "\uD32F",  # (팯; 팯; 팯; 팯; 팯; ) HANGUL SYLLABLE PAED
      "\uD330",  # (팰; 팰; 팰; 팰; 팰; ) HANGUL SYLLABLE PAEL
      "\uD331",  # (팱; 팱; 팱; 팱; 팱; ) HANGUL SYLLABLE PAELG
      "\uD332",  # (팲; 팲; 팲; 팲; 팲; ) HANGUL SYLLABLE PAELM
      "\uD333",  # (팳; 팳; 팳; 팳; 팳; ) HANGUL SYLLABLE PAELB
      "\uD334",  # (팴; 팴; 팴; 팴; 팴; ) HANGUL SYLLABLE PAELS
      "\uD335",  # (팵; 팵; 팵; 팵; 팵; ) HANGUL SYLLABLE PAELT
      "\uD336",  # (팶; 팶; 팶; 팶; 팶; ) HANGUL SYLLABLE PAELP
      "\uD337",  # (팷; 팷; 팷; 팷; 팷; ) HANGUL SYLLABLE PAELH
      "\uD338",  # (팸; 팸; 팸; 팸; 팸; ) HANGUL SYLLABLE PAEM
      "\uD339",  # (팹; 팹; 팹; 팹; 팹; ) HANGUL SYLLABLE PAEB
      "\uD33A",  # (팺; 팺; 팺; 팺; 팺; ) HANGUL SYLLABLE PAEBS
      "\uD33B",  # (팻; 팻; 팻; 팻; 팻; ) HANGUL SYLLABLE PAES
      "\uD33C",  # (팼; 팼; 팼; 팼; 팼; ) HANGUL SYLLABLE PAESS
      "\uD33D",  # (팽; 팽; 팽; 팽; 팽; ) HANGUL SYLLABLE PAENG
      "\uD33E",  # (팾; 팾; 팾; 팾; 팾; ) HANGUL SYLLABLE PAEJ
      "\uD33F",  # (팿; 팿; 팿; 팿; 팿; ) HANGUL SYLLABLE PAEC
      "\uD340",  # (퍀; 퍀; 퍀; 퍀; 퍀; ) HANGUL SYLLABLE PAEK
      "\uD341",  # (퍁; 퍁; 퍁; 퍁; 퍁; ) HANGUL SYLLABLE PAET
      "\uD342",  # (퍂; 퍂; 퍂; 퍂; 퍂; ) HANGUL SYLLABLE PAEP
      "\uD343",  # (퍃; 퍃; 퍃; 퍃; 퍃; ) HANGUL SYLLABLE PAEH
      "\uD344",  # (퍄; 퍄; 퍄; 퍄; 퍄; ) HANGUL SYLLABLE PYA
      "\uD345",  # (퍅; 퍅; 퍅; 퍅; 퍅; ) HANGUL SYLLABLE PYAG
      "\uD346",  # (퍆; 퍆; 퍆; 퍆; 퍆; ) HANGUL SYLLABLE PYAGG
      "\uD347",  # (퍇; 퍇; 퍇; 퍇; 퍇; ) HANGUL SYLLABLE PYAGS
      "\uD348",  # (퍈; 퍈; 퍈; 퍈; 퍈; ) HANGUL SYLLABLE PYAN
      "\uD349",  # (퍉; 퍉; 퍉; 퍉; 퍉; ) HANGUL SYLLABLE PYANJ
      "\uD34A",  # (퍊; 퍊; 퍊; 퍊; 퍊; ) HANGUL SYLLABLE PYANH
      "\uD34B",  # (퍋; 퍋; 퍋; 퍋; 퍋; ) HANGUL SYLLABLE PYAD
      "\uD34C",  # (퍌; 퍌; 퍌; 퍌; 퍌; ) HANGUL SYLLABLE PYAL
      "\uD34D",  # (퍍; 퍍; 퍍; 퍍; 퍍; ) HANGUL SYLLABLE PYALG
      "\uD34E",  # (퍎; 퍎; 퍎; 퍎; 퍎; ) HANGUL SYLLABLE PYALM
      "\uD34F",  # (퍏; 퍏; 퍏; 퍏; 퍏; ) HANGUL SYLLABLE PYALB
      "\uD350",  # (퍐; 퍐; 퍐; 퍐; 퍐; ) HANGUL SYLLABLE PYALS
      "\uD351",  # (퍑; 퍑; 퍑; 퍑; 퍑; ) HANGUL SYLLABLE PYALT
      "\uD352",  # (퍒; 퍒; 퍒; 퍒; 퍒; ) HANGUL SYLLABLE PYALP
      "\uD353",  # (퍓; 퍓; 퍓; 퍓; 퍓; ) HANGUL SYLLABLE PYALH
      "\uD354",  # (퍔; 퍔; 퍔; 퍔; 퍔; ) HANGUL SYLLABLE PYAM
      "\uD355",  # (퍕; 퍕; 퍕; 퍕; 퍕; ) HANGUL SYLLABLE PYAB
      "\uD356",  # (퍖; 퍖; 퍖; 퍖; 퍖; ) HANGUL SYLLABLE PYABS
      "\uD357",  # (퍗; 퍗; 퍗; 퍗; 퍗; ) HANGUL SYLLABLE PYAS
      "\uD358",  # (퍘; 퍘; 퍘; 퍘; 퍘; ) HANGUL SYLLABLE PYASS
      "\uD359",  # (퍙; 퍙; 퍙; 퍙; 퍙; ) HANGUL SYLLABLE PYANG
      "\uD35A",  # (퍚; 퍚; 퍚; 퍚; 퍚; ) HANGUL SYLLABLE PYAJ
      "\uD35B",  # (퍛; 퍛; 퍛; 퍛; 퍛; ) HANGUL SYLLABLE PYAC
      "\uD35C",  # (퍜; 퍜; 퍜; 퍜; 퍜; ) HANGUL SYLLABLE PYAK
      "\uD35D",  # (퍝; 퍝; 퍝; 퍝; 퍝; ) HANGUL SYLLABLE PYAT
      "\uD35E",  # (퍞; 퍞; 퍞; 퍞; 퍞; ) HANGUL SYLLABLE PYAP
      "\uD35F",  # (퍟; 퍟; 퍟; 퍟; 퍟; ) HANGUL SYLLABLE PYAH
      "\uD360",  # (퍠; 퍠; 퍠; 퍠; 퍠; ) HANGUL SYLLABLE PYAE
      "\uD361",  # (퍡; 퍡; 퍡; 퍡; 퍡; ) HANGUL SYLLABLE PYAEG
      "\uD362",  # (퍢; 퍢; 퍢; 퍢; 퍢; ) HANGUL SYLLABLE PYAEGG
      "\uD363",  # (퍣; 퍣; 퍣; 퍣; 퍣; ) HANGUL SYLLABLE PYAEGS
      "\uD364",  # (퍤; 퍤; 퍤; 퍤; 퍤; ) HANGUL SYLLABLE PYAEN
      "\uD365",  # (퍥; 퍥; 퍥; 퍥; 퍥; ) HANGUL SYLLABLE PYAENJ
      "\uD366",  # (퍦; 퍦; 퍦; 퍦; 퍦; ) HANGUL SYLLABLE PYAENH
      "\uD367",  # (퍧; 퍧; 퍧; 퍧; 퍧; ) HANGUL SYLLABLE PYAED
      "\uD368",  # (퍨; 퍨; 퍨; 퍨; 퍨; ) HANGUL SYLLABLE PYAEL
      "\uD369",  # (퍩; 퍩; 퍩; 퍩; 퍩; ) HANGUL SYLLABLE PYAELG
      "\uD36A",  # (퍪; 퍪; 퍪; 퍪; 퍪; ) HANGUL SYLLABLE PYAELM
      "\uD36B",  # (퍫; 퍫; 퍫; 퍫; 퍫; ) HANGUL SYLLABLE PYAELB
      "\uD36C",  # (퍬; 퍬; 퍬; 퍬; 퍬; ) HANGUL SYLLABLE PYAELS
      "\uD36D",  # (퍭; 퍭; 퍭; 퍭; 퍭; ) HANGUL SYLLABLE PYAELT
      "\uD36E",  # (퍮; 퍮; 퍮; 퍮; 퍮; ) HANGUL SYLLABLE PYAELP
      "\uD36F",  # (퍯; 퍯; 퍯; 퍯; 퍯; ) HANGUL SYLLABLE PYAELH
      "\uD370",  # (퍰; 퍰; 퍰; 퍰; 퍰; ) HANGUL SYLLABLE PYAEM
      "\uD371",  # (퍱; 퍱; 퍱; 퍱; 퍱; ) HANGUL SYLLABLE PYAEB
      "\uD372",  # (퍲; 퍲; 퍲; 퍲; 퍲; ) HANGUL SYLLABLE PYAEBS
      "\uD373",  # (퍳; 퍳; 퍳; 퍳; 퍳; ) HANGUL SYLLABLE PYAES
      "\uD374",  # (퍴; 퍴; 퍴; 퍴; 퍴; ) HANGUL SYLLABLE PYAESS
      "\uD375",  # (퍵; 퍵; 퍵; 퍵; 퍵; ) HANGUL SYLLABLE PYAENG
      "\uD376",  # (퍶; 퍶; 퍶; 퍶; 퍶; ) HANGUL SYLLABLE PYAEJ
      "\uD377",  # (퍷; 퍷; 퍷; 퍷; 퍷; ) HANGUL SYLLABLE PYAEC
      "\uD378",  # (퍸; 퍸; 퍸; 퍸; 퍸; ) HANGUL SYLLABLE PYAEK
      "\uD379",  # (퍹; 퍹; 퍹; 퍹; 퍹; ) HANGUL SYLLABLE PYAET
      "\uD37A",  # (퍺; 퍺; 퍺; 퍺; 퍺; ) HANGUL SYLLABLE PYAEP
      "\uD37B",  # (퍻; 퍻; 퍻; 퍻; 퍻; ) HANGUL SYLLABLE PYAEH
      "\uD37C",  # (퍼; 퍼; 퍼; 퍼; 퍼; ) HANGUL SYLLABLE PEO
      "\uD37D",  # (퍽; 퍽; 퍽; 퍽; 퍽; ) HANGUL SYLLABLE PEOG
      "\uD37E",  # (퍾; 퍾; 퍾; 퍾; 퍾; ) HANGUL SYLLABLE PEOGG
      "\uD37F",  # (퍿; 퍿; 퍿; 퍿; 퍿; ) HANGUL SYLLABLE PEOGS
      "\uD380",  # (펀; 펀; 펀; 펀; 펀; ) HANGUL SYLLABLE PEON
      "\uD381",  # (펁; 펁; 펁; 펁; 펁; ) HANGUL SYLLABLE PEONJ
      "\uD382",  # (펂; 펂; 펂; 펂; 펂; ) HANGUL SYLLABLE PEONH
      "\uD383",  # (펃; 펃; 펃; 펃; 펃; ) HANGUL SYLLABLE PEOD
      "\uD384",  # (펄; 펄; 펄; 펄; 펄; ) HANGUL SYLLABLE PEOL
      "\uD385",  # (펅; 펅; 펅; 펅; 펅; ) HANGUL SYLLABLE PEOLG
      "\uD386",  # (펆; 펆; 펆; 펆; 펆; ) HANGUL SYLLABLE PEOLM
      "\uD387",  # (펇; 펇; 펇; 펇; 펇; ) HANGUL SYLLABLE PEOLB
      "\uD388",  # (펈; 펈; 펈; 펈; 펈; ) HANGUL SYLLABLE PEOLS
      "\uD389",  # (펉; 펉; 펉; 펉; 펉; ) HANGUL SYLLABLE PEOLT
      "\uD38A",  # (펊; 펊; 펊; 펊; 펊; ) HANGUL SYLLABLE PEOLP
      "\uD38B",  # (펋; 펋; 펋; 펋; 펋; ) HANGUL SYLLABLE PEOLH
      "\uD38C",  # (펌; 펌; 펌; 펌; 펌; ) HANGUL SYLLABLE PEOM
      "\uD38D",  # (펍; 펍; 펍; 펍; 펍; ) HANGUL SYLLABLE PEOB
      "\uD38E",  # (펎; 펎; 펎; 펎; 펎; ) HANGUL SYLLABLE PEOBS
      "\uD38F",  # (펏; 펏; 펏; 펏; 펏; ) HANGUL SYLLABLE PEOS
      "\uD390",  # (펐; 펐; 펐; 펐; 펐; ) HANGUL SYLLABLE PEOSS
      "\uD391",  # (펑; 펑; 펑; 펑; 펑; ) HANGUL SYLLABLE PEONG
      "\uD392",  # (펒; 펒; 펒; 펒; 펒; ) HANGUL SYLLABLE PEOJ
      "\uD393",  # (펓; 펓; 펓; 펓; 펓; ) HANGUL SYLLABLE PEOC
      "\uD394",  # (펔; 펔; 펔; 펔; 펔; ) HANGUL SYLLABLE PEOK
      "\uD395",  # (펕; 펕; 펕; 펕; 펕; ) HANGUL SYLLABLE PEOT
      "\uD396",  # (펖; 펖; 펖; 펖; 펖; ) HANGUL SYLLABLE PEOP
      "\uD397",  # (펗; 펗; 펗; 펗; 펗; ) HANGUL SYLLABLE PEOH
      "\uD398",  # (페; 페; 페; 페; 페; ) HANGUL SYLLABLE PE
      "\uD399",  # (펙; 펙; 펙; 펙; 펙; ) HANGUL SYLLABLE PEG
      "\uD39A",  # (펚; 펚; 펚; 펚; 펚; ) HANGUL SYLLABLE PEGG
      "\uD39B",  # (펛; 펛; 펛; 펛; 펛; ) HANGUL SYLLABLE PEGS
      "\uD39C",  # (펜; 펜; 펜; 펜; 펜; ) HANGUL SYLLABLE PEN
      "\uD39D",  # (펝; 펝; 펝; 펝; 펝; ) HANGUL SYLLABLE PENJ
      "\uD39E",  # (펞; 펞; 펞; 펞; 펞; ) HANGUL SYLLABLE PENH
      "\uD39F",  # (펟; 펟; 펟; 펟; 펟; ) HANGUL SYLLABLE PED
      "\uD3A0",  # (펠; 펠; 펠; 펠; 펠; ) HANGUL SYLLABLE PEL
      "\uD3A1",  # (펡; 펡; 펡; 펡; 펡; ) HANGUL SYLLABLE PELG
      "\uD3A2",  # (펢; 펢; 펢; 펢; 펢; ) HANGUL SYLLABLE PELM
      "\uD3A3",  # (펣; 펣; 펣; 펣; 펣; ) HANGUL SYLLABLE PELB
      "\uD3A4",  # (펤; 펤; 펤; 펤; 펤; ) HANGUL SYLLABLE PELS
      "\uD3A5",  # (펥; 펥; 펥; 펥; 펥; ) HANGUL SYLLABLE PELT
      "\uD3A6",  # (펦; 펦; 펦; 펦; 펦; ) HANGUL SYLLABLE PELP
      "\uD3A7",  # (펧; 펧; 펧; 펧; 펧; ) HANGUL SYLLABLE PELH
      "\uD3A8",  # (펨; 펨; 펨; 펨; 펨; ) HANGUL SYLLABLE PEM
      "\uD3A9",  # (펩; 펩; 펩; 펩; 펩; ) HANGUL SYLLABLE PEB
      "\uD3AA",  # (펪; 펪; 펪; 펪; 펪; ) HANGUL SYLLABLE PEBS
      "\uD3AB",  # (펫; 펫; 펫; 펫; 펫; ) HANGUL SYLLABLE PES
      "\uD3AC",  # (펬; 펬; 펬; 펬; 펬; ) HANGUL SYLLABLE PESS
      "\uD3AD",  # (펭; 펭; 펭; 펭; 펭; ) HANGUL SYLLABLE PENG
      "\uD3AE",  # (펮; 펮; 펮; 펮; 펮; ) HANGUL SYLLABLE PEJ
      "\uD3AF",  # (펯; 펯; 펯; 펯; 펯; ) HANGUL SYLLABLE PEC
      "\uD3B0",  # (펰; 펰; 펰; 펰; 펰; ) HANGUL SYLLABLE PEK
      "\uD3B1",  # (펱; 펱; 펱; 펱; 펱; ) HANGUL SYLLABLE PET
      "\uD3B2",  # (펲; 펲; 펲; 펲; 펲; ) HANGUL SYLLABLE PEP
      "\uD3B3",  # (펳; 펳; 펳; 펳; 펳; ) HANGUL SYLLABLE PEH
      "\uD3B4",  # (펴; 펴; 펴; 펴; 펴; ) HANGUL SYLLABLE PYEO
      "\uD3B5",  # (펵; 펵; 펵; 펵; 펵; ) HANGUL SYLLABLE PYEOG
      "\uD3B6",  # (펶; 펶; 펶; 펶; 펶; ) HANGUL SYLLABLE PYEOGG
      "\uD3B7",  # (펷; 펷; 펷; 펷; 펷; ) HANGUL SYLLABLE PYEOGS
      "\uD3B8",  # (편; 편; 편; 편; 편; ) HANGUL SYLLABLE PYEON
      "\uD3B9",  # (펹; 펹; 펹; 펹; 펹; ) HANGUL SYLLABLE PYEONJ
      "\uD3BA",  # (펺; 펺; 펺; 펺; 펺; ) HANGUL SYLLABLE PYEONH
      "\uD3BB",  # (펻; 펻; 펻; 펻; 펻; ) HANGUL SYLLABLE PYEOD
      "\uD3BC",  # (펼; 펼; 펼; 펼; 펼; ) HANGUL SYLLABLE PYEOL
      "\uD3BD",  # (펽; 펽; 펽; 펽; 펽; ) HANGUL SYLLABLE PYEOLG
      "\uD3BE",  # (펾; 펾; 펾; 펾; 펾; ) HANGUL SYLLABLE PYEOLM
      "\uD3BF",  # (펿; 펿; 펿; 펿; 펿; ) HANGUL SYLLABLE PYEOLB
      "\uD3C0",  # (폀; 폀; 폀; 폀; 폀; ) HANGUL SYLLABLE PYEOLS
      "\uD3C1",  # (폁; 폁; 폁; 폁; 폁; ) HANGUL SYLLABLE PYEOLT
      "\uD3C2",  # (폂; 폂; 폂; 폂; 폂; ) HANGUL SYLLABLE PYEOLP
      "\uD3C3",  # (폃; 폃; 폃; 폃; 폃; ) HANGUL SYLLABLE PYEOLH
      "\uD3C4",  # (폄; 폄; 폄; 폄; 폄; ) HANGUL SYLLABLE PYEOM
      "\uD3C5",  # (폅; 폅; 폅; 폅; 폅; ) HANGUL SYLLABLE PYEOB
      "\uD3C6",  # (폆; 폆; 폆; 폆; 폆; ) HANGUL SYLLABLE PYEOBS
      "\uD3C7",  # (폇; 폇; 폇; 폇; 폇; ) HANGUL SYLLABLE PYEOS
      "\uD3C8",  # (폈; 폈; 폈; 폈; 폈; ) HANGUL SYLLABLE PYEOSS
      "\uD3C9",  # (평; 평; 평; 평; 평; ) HANGUL SYLLABLE PYEONG
      "\uD3CA",  # (폊; 폊; 폊; 폊; 폊; ) HANGUL SYLLABLE PYEOJ
      "\uD3CB",  # (폋; 폋; 폋; 폋; 폋; ) HANGUL SYLLABLE PYEOC
      "\uD3CC",  # (폌; 폌; 폌; 폌; 폌; ) HANGUL SYLLABLE PYEOK
      "\uD3CD",  # (폍; 폍; 폍; 폍; 폍; ) HANGUL SYLLABLE PYEOT
      "\uD3CE",  # (폎; 폎; 폎; 폎; 폎; ) HANGUL SYLLABLE PYEOP
      "\uD3CF",  # (폏; 폏; 폏; 폏; 폏; ) HANGUL SYLLABLE PYEOH
      "\uD3D0",  # (폐; 폐; 폐; 폐; 폐; ) HANGUL SYLLABLE PYE
      "\uD3D1",  # (폑; 폑; 폑; 폑; 폑; ) HANGUL SYLLABLE PYEG
      "\uD3D2",  # (폒; 폒; 폒; 폒; 폒; ) HANGUL SYLLABLE PYEGG
      "\uD3D3",  # (폓; 폓; 폓; 폓; 폓; ) HANGUL SYLLABLE PYEGS
      "\uD3D4",  # (폔; 폔; 폔; 폔; 폔; ) HANGUL SYLLABLE PYEN
      "\uD3D5",  # (폕; 폕; 폕; 폕; 폕; ) HANGUL SYLLABLE PYENJ
      "\uD3D6",  # (폖; 폖; 폖; 폖; 폖; ) HANGUL SYLLABLE PYENH
      "\uD3D7",  # (폗; 폗; 폗; 폗; 폗; ) HANGUL SYLLABLE PYED
      "\uD3D8",  # (폘; 폘; 폘; 폘; 폘; ) HANGUL SYLLABLE PYEL
      "\uD3D9",  # (폙; 폙; 폙; 폙; 폙; ) HANGUL SYLLABLE PYELG
      "\uD3DA",  # (폚; 폚; 폚; 폚; 폚; ) HANGUL SYLLABLE PYELM
      "\uD3DB",  # (폛; 폛; 폛; 폛; 폛; ) HANGUL SYLLABLE PYELB
      "\uD3DC",  # (폜; 폜; 폜; 폜; 폜; ) HANGUL SYLLABLE PYELS
      "\uD3DD",  # (폝; 폝; 폝; 폝; 폝; ) HANGUL SYLLABLE PYELT
      "\uD3DE",  # (폞; 폞; 폞; 폞; 폞; ) HANGUL SYLLABLE PYELP
      "\uD3DF",  # (폟; 폟; 폟; 폟; 폟; ) HANGUL SYLLABLE PYELH
      "\uD3E0",  # (폠; 폠; 폠; 폠; 폠; ) HANGUL SYLLABLE PYEM
      "\uD3E1",  # (폡; 폡; 폡; 폡; 폡; ) HANGUL SYLLABLE PYEB
      "\uD3E2",  # (폢; 폢; 폢; 폢; 폢; ) HANGUL SYLLABLE PYEBS
      "\uD3E3",  # (폣; 폣; 폣; 폣; 폣; ) HANGUL SYLLABLE PYES
      "\uD3E4",  # (폤; 폤; 폤; 폤; 폤; ) HANGUL SYLLABLE PYESS
      "\uD3E5",  # (폥; 폥; 폥; 폥; 폥; ) HANGUL SYLLABLE PYENG
      "\uD3E6",  # (폦; 폦; 폦; 폦; 폦; ) HANGUL SYLLABLE PYEJ
      "\uD3E7",  # (폧; 폧; 폧; 폧; 폧; ) HANGUL SYLLABLE PYEC
      "\uD3E8",  # (폨; 폨; 폨; 폨; 폨; ) HANGUL SYLLABLE PYEK
      "\uD3E9",  # (폩; 폩; 폩; 폩; 폩; ) HANGUL SYLLABLE PYET
      "\uD3EA",  # (폪; 폪; 폪; 폪; 폪; ) HANGUL SYLLABLE PYEP
      "\uD3EB",  # (폫; 폫; 폫; 폫; 폫; ) HANGUL SYLLABLE PYEH
      "\uD3EC",  # (포; 포; 포; 포; 포; ) HANGUL SYLLABLE PO
      "\uD3ED",  # (폭; 폭; 폭; 폭; 폭; ) HANGUL SYLLABLE POG
      "\uD3EE",  # (폮; 폮; 폮; 폮; 폮; ) HANGUL SYLLABLE POGG
      "\uD3EF",  # (폯; 폯; 폯; 폯; 폯; ) HANGUL SYLLABLE POGS
      "\uD3F0",  # (폰; 폰; 폰; 폰; 폰; ) HANGUL SYLLABLE PON
      "\uD3F1",  # (폱; 폱; 폱; 폱; 폱; ) HANGUL SYLLABLE PONJ
      "\uD3F2",  # (폲; 폲; 폲; 폲; 폲; ) HANGUL SYLLABLE PONH
      "\uD3F3",  # (폳; 폳; 폳; 폳; 폳; ) HANGUL SYLLABLE POD
      "\uD3F4",  # (폴; 폴; 폴; 폴; 폴; ) HANGUL SYLLABLE POL
      "\uD3F5",  # (폵; 폵; 폵; 폵; 폵; ) HANGUL SYLLABLE POLG
      "\uD3F6",  # (폶; 폶; 폶; 폶; 폶; ) HANGUL SYLLABLE POLM
      "\uD3F7",  # (폷; 폷; 폷; 폷; 폷; ) HANGUL SYLLABLE POLB
      "\uD3F8",  # (폸; 폸; 폸; 폸; 폸; ) HANGUL SYLLABLE POLS
      "\uD3F9",  # (폹; 폹; 폹; 폹; 폹; ) HANGUL SYLLABLE POLT
      "\uD3FA",  # (폺; 폺; 폺; 폺; 폺; ) HANGUL SYLLABLE POLP
      "\uD3FB",  # (폻; 폻; 폻; 폻; 폻; ) HANGUL SYLLABLE POLH
      "\uD3FC",  # (폼; 폼; 폼; 폼; 폼; ) HANGUL SYLLABLE POM
      "\uD3FD",  # (폽; 폽; 폽; 폽; 폽; ) HANGUL SYLLABLE POB
      "\uD3FE",  # (폾; 폾; 폾; 폾; 폾; ) HANGUL SYLLABLE POBS
      "\uD3FF",  # (폿; 폿; 폿; 폿; 폿; ) HANGUL SYLLABLE POS
      "\uD400",  # (퐀; 퐀; 퐀; 퐀; 퐀; ) HANGUL SYLLABLE POSS
      "\uD401",  # (퐁; 퐁; 퐁; 퐁; 퐁; ) HANGUL SYLLABLE PONG
      "\uD402",  # (퐂; 퐂; 퐂; 퐂; 퐂; ) HANGUL SYLLABLE POJ
      "\uD403",  # (퐃; 퐃; 퐃; 퐃; 퐃; ) HANGUL SYLLABLE POC
      "\uD404",  # (퐄; 퐄; 퐄; 퐄; 퐄; ) HANGUL SYLLABLE POK
      "\uD405",  # (퐅; 퐅; 퐅; 퐅; 퐅; ) HANGUL SYLLABLE POT
      "\uD406",  # (퐆; 퐆; 퐆; 퐆; 퐆; ) HANGUL SYLLABLE POP
      "\uD407",  # (퐇; 퐇; 퐇; 퐇; 퐇; ) HANGUL SYLLABLE POH
      "\uD408",  # (퐈; 퐈; 퐈; 퐈; 퐈; ) HANGUL SYLLABLE PWA
      "\uD409",  # (퐉; 퐉; 퐉; 퐉; 퐉; ) HANGUL SYLLABLE PWAG
      "\uD40A",  # (퐊; 퐊; 퐊; 퐊; 퐊; ) HANGUL SYLLABLE PWAGG
      "\uD40B",  # (퐋; 퐋; 퐋; 퐋; 퐋; ) HANGUL SYLLABLE PWAGS
      "\uD40C",  # (퐌; 퐌; 퐌; 퐌; 퐌; ) HANGUL SYLLABLE PWAN
      "\uD40D",  # (퐍; 퐍; 퐍; 퐍; 퐍; ) HANGUL SYLLABLE PWANJ
      "\uD40E",  # (퐎; 퐎; 퐎; 퐎; 퐎; ) HANGUL SYLLABLE PWANH
      "\uD40F",  # (퐏; 퐏; 퐏; 퐏; 퐏; ) HANGUL SYLLABLE PWAD
      "\uD410",  # (퐐; 퐐; 퐐; 퐐; 퐐; ) HANGUL SYLLABLE PWAL
      "\uD411",  # (퐑; 퐑; 퐑; 퐑; 퐑; ) HANGUL SYLLABLE PWALG
      "\uD412",  # (퐒; 퐒; 퐒; 퐒; 퐒; ) HANGUL SYLLABLE PWALM
      "\uD413",  # (퐓; 퐓; 퐓; 퐓; 퐓; ) HANGUL SYLLABLE PWALB
      "\uD414",  # (퐔; 퐔; 퐔; 퐔; 퐔; ) HANGUL SYLLABLE PWALS
      "\uD415",  # (퐕; 퐕; 퐕; 퐕; 퐕; ) HANGUL SYLLABLE PWALT
      "\uD416",  # (퐖; 퐖; 퐖; 퐖; 퐖; ) HANGUL SYLLABLE PWALP
      "\uD417",  # (퐗; 퐗; 퐗; 퐗; 퐗; ) HANGUL SYLLABLE PWALH
      "\uD418",  # (퐘; 퐘; 퐘; 퐘; 퐘; ) HANGUL SYLLABLE PWAM
      "\uD419",  # (퐙; 퐙; 퐙; 퐙; 퐙; ) HANGUL SYLLABLE PWAB
      "\uD41A",  # (퐚; 퐚; 퐚; 퐚; 퐚; ) HANGUL SYLLABLE PWABS
      "\uD41B",  # (퐛; 퐛; 퐛; 퐛; 퐛; ) HANGUL SYLLABLE PWAS
      "\uD41C",  # (퐜; 퐜; 퐜; 퐜; 퐜; ) HANGUL SYLLABLE PWASS
      "\uD41D",  # (퐝; 퐝; 퐝; 퐝; 퐝; ) HANGUL SYLLABLE PWANG
      "\uD41E",  # (퐞; 퐞; 퐞; 퐞; 퐞; ) HANGUL SYLLABLE PWAJ
      "\uD41F",  # (퐟; 퐟; 퐟; 퐟; 퐟; ) HANGUL SYLLABLE PWAC
      "\uD420",  # (퐠; 퐠; 퐠; 퐠; 퐠; ) HANGUL SYLLABLE PWAK
      "\uD421",  # (퐡; 퐡; 퐡; 퐡; 퐡; ) HANGUL SYLLABLE PWAT
      "\uD422",  # (퐢; 퐢; 퐢; 퐢; 퐢; ) HANGUL SYLLABLE PWAP
      "\uD423",  # (퐣; 퐣; 퐣; 퐣; 퐣; ) HANGUL SYLLABLE PWAH
      "\uD424",  # (퐤; 퐤; 퐤; 퐤; 퐤; ) HANGUL SYLLABLE PWAE
      "\uD425",  # (퐥; 퐥; 퐥; 퐥; 퐥; ) HANGUL SYLLABLE PWAEG
      "\uD426",  # (퐦; 퐦; 퐦; 퐦; 퐦; ) HANGUL SYLLABLE PWAEGG
      "\uD427",  # (퐧; 퐧; 퐧; 퐧; 퐧; ) HANGUL SYLLABLE PWAEGS
      "\uD428",  # (퐨; 퐨; 퐨; 퐨; 퐨; ) HANGUL SYLLABLE PWAEN
      "\uD429",  # (퐩; 퐩; 퐩; 퐩; 퐩; ) HANGUL SYLLABLE PWAENJ
      "\uD42A",  # (퐪; 퐪; 퐪; 퐪; 퐪; ) HANGUL SYLLABLE PWAENH
      "\uD42B",  # (퐫; 퐫; 퐫; 퐫; 퐫; ) HANGUL SYLLABLE PWAED
      "\uD42C",  # (퐬; 퐬; 퐬; 퐬; 퐬; ) HANGUL SYLLABLE PWAEL
      "\uD42D",  # (퐭; 퐭; 퐭; 퐭; 퐭; ) HANGUL SYLLABLE PWAELG
      "\uD42E",  # (퐮; 퐮; 퐮; 퐮; 퐮; ) HANGUL SYLLABLE PWAELM
      "\uD42F",  # (퐯; 퐯; 퐯; 퐯; 퐯; ) HANGUL SYLLABLE PWAELB
      "\uD430",  # (퐰; 퐰; 퐰; 퐰; 퐰; ) HANGUL SYLLABLE PWAELS
      "\uD431",  # (퐱; 퐱; 퐱; 퐱; 퐱; ) HANGUL SYLLABLE PWAELT
      "\uD432",  # (퐲; 퐲; 퐲; 퐲; 퐲; ) HANGUL SYLLABLE PWAELP
      "\uD433",  # (퐳; 퐳; 퐳; 퐳; 퐳; ) HANGUL SYLLABLE PWAELH
      "\uD434",  # (퐴; 퐴; 퐴; 퐴; 퐴; ) HANGUL SYLLABLE PWAEM
      "\uD435",  # (퐵; 퐵; 퐵; 퐵; 퐵; ) HANGUL SYLLABLE PWAEB
      "\uD436",  # (퐶; 퐶; 퐶; 퐶; 퐶; ) HANGUL SYLLABLE PWAEBS
      "\uD437",  # (퐷; 퐷; 퐷; 퐷; 퐷; ) HANGUL SYLLABLE PWAES
      "\uD438",  # (퐸; 퐸; 퐸; 퐸; 퐸; ) HANGUL SYLLABLE PWAESS
      "\uD439",  # (퐹; 퐹; 퐹; 퐹; 퐹; ) HANGUL SYLLABLE PWAENG
      "\uD43A",  # (퐺; 퐺; 퐺; 퐺; 퐺; ) HANGUL SYLLABLE PWAEJ
      "\uD43B",  # (퐻; 퐻; 퐻; 퐻; 퐻; ) HANGUL SYLLABLE PWAEC
      "\uD43C",  # (퐼; 퐼; 퐼; 퐼; 퐼; ) HANGUL SYLLABLE PWAEK
      "\uD43D",  # (퐽; 퐽; 퐽; 퐽; 퐽; ) HANGUL SYLLABLE PWAET
      "\uD43E",  # (퐾; 퐾; 퐾; 퐾; 퐾; ) HANGUL SYLLABLE PWAEP
      "\uD43F",  # (퐿; 퐿; 퐿; 퐿; 퐿; ) HANGUL SYLLABLE PWAEH
      "\uD440",  # (푀; 푀; 푀; 푀; 푀; ) HANGUL SYLLABLE POE
      "\uD441",  # (푁; 푁; 푁; 푁; 푁; ) HANGUL SYLLABLE POEG
      "\uD442",  # (푂; 푂; 푂; 푂; 푂; ) HANGUL SYLLABLE POEGG
      "\uD443",  # (푃; 푃; 푃; 푃; 푃; ) HANGUL SYLLABLE POEGS
      "\uD444",  # (푄; 푄; 푄; 푄; 푄; ) HANGUL SYLLABLE POEN
      "\uD445",  # (푅; 푅; 푅; 푅; 푅; ) HANGUL SYLLABLE POENJ
      "\uD446",  # (푆; 푆; 푆; 푆; 푆; ) HANGUL SYLLABLE POENH
      "\uD447",  # (푇; 푇; 푇; 푇; 푇; ) HANGUL SYLLABLE POED
      "\uD448",  # (푈; 푈; 푈; 푈; 푈; ) HANGUL SYLLABLE POEL
      "\uD449",  # (푉; 푉; 푉; 푉; 푉; ) HANGUL SYLLABLE POELG
      "\uD44A",  # (푊; 푊; 푊; 푊; 푊; ) HANGUL SYLLABLE POELM
      "\uD44B",  # (푋; 푋; 푋; 푋; 푋; ) HANGUL SYLLABLE POELB
      "\uD44C",  # (푌; 푌; 푌; 푌; 푌; ) HANGUL SYLLABLE POELS
      "\uD44D",  # (푍; 푍; 푍; 푍; 푍; ) HANGUL SYLLABLE POELT
      "\uD44E",  # (푎; 푎; 푎; 푎; 푎; ) HANGUL SYLLABLE POELP
      "\uD44F",  # (푏; 푏; 푏; 푏; 푏; ) HANGUL SYLLABLE POELH
      "\uD450",  # (푐; 푐; 푐; 푐; 푐; ) HANGUL SYLLABLE POEM
      "\uD451",  # (푑; 푑; 푑; 푑; 푑; ) HANGUL SYLLABLE POEB
      "\uD452",  # (푒; 푒; 푒; 푒; 푒; ) HANGUL SYLLABLE POEBS
      "\uD453",  # (푓; 푓; 푓; 푓; 푓; ) HANGUL SYLLABLE POES
      "\uD454",  # (푔; 푔; 푔; 푔; 푔; ) HANGUL SYLLABLE POESS
      "\uD455",  # (푕; 푕; 푕; 푕; 푕; ) HANGUL SYLLABLE POENG
      "\uD456",  # (푖; 푖; 푖; 푖; 푖; ) HANGUL SYLLABLE POEJ
      "\uD457",  # (푗; 푗; 푗; 푗; 푗; ) HANGUL SYLLABLE POEC
      "\uD458",  # (푘; 푘; 푘; 푘; 푘; ) HANGUL SYLLABLE POEK
      "\uD459",  # (푙; 푙; 푙; 푙; 푙; ) HANGUL SYLLABLE POET
      "\uD45A",  # (푚; 푚; 푚; 푚; 푚; ) HANGUL SYLLABLE POEP
      "\uD45B",  # (푛; 푛; 푛; 푛; 푛; ) HANGUL SYLLABLE POEH
      "\uD45C",  # (표; 표; 표; 표; 표; ) HANGUL SYLLABLE PYO
      "\uD45D",  # (푝; 푝; 푝; 푝; 푝; ) HANGUL SYLLABLE PYOG
      "\uD45E",  # (푞; 푞; 푞; 푞; 푞; ) HANGUL SYLLABLE PYOGG
      "\uD45F",  # (푟; 푟; 푟; 푟; 푟; ) HANGUL SYLLABLE PYOGS
      "\uD460",  # (푠; 푠; 푠; 푠; 푠; ) HANGUL SYLLABLE PYON
      "\uD461",  # (푡; 푡; 푡; 푡; 푡; ) HANGUL SYLLABLE PYONJ
      "\uD462",  # (푢; 푢; 푢; 푢; 푢; ) HANGUL SYLLABLE PYONH
      "\uD463",  # (푣; 푣; 푣; 푣; 푣; ) HANGUL SYLLABLE PYOD
      "\uD464",  # (푤; 푤; 푤; 푤; 푤; ) HANGUL SYLLABLE PYOL
      "\uD465",  # (푥; 푥; 푥; 푥; 푥; ) HANGUL SYLLABLE PYOLG
      "\uD466",  # (푦; 푦; 푦; 푦; 푦; ) HANGUL SYLLABLE PYOLM
      "\uD467",  # (푧; 푧; 푧; 푧; 푧; ) HANGUL SYLLABLE PYOLB
      "\uD468",  # (푨; 푨; 푨; 푨; 푨; ) HANGUL SYLLABLE PYOLS
      "\uD469",  # (푩; 푩; 푩; 푩; 푩; ) HANGUL SYLLABLE PYOLT
      "\uD46A",  # (푪; 푪; 푪; 푪; 푪; ) HANGUL SYLLABLE PYOLP
      "\uD46B",  # (푫; 푫; 푫; 푫; 푫; ) HANGUL SYLLABLE PYOLH
      "\uD46C",  # (푬; 푬; 푬; 푬; 푬; ) HANGUL SYLLABLE PYOM
      "\uD46D",  # (푭; 푭; 푭; 푭; 푭; ) HANGUL SYLLABLE PYOB
      "\uD46E",  # (푮; 푮; 푮; 푮; 푮; ) HANGUL SYLLABLE PYOBS
      "\uD46F",  # (푯; 푯; 푯; 푯; 푯; ) HANGUL SYLLABLE PYOS
      "\uD470",  # (푰; 푰; 푰; 푰; 푰; ) HANGUL SYLLABLE PYOSS
      "\uD471",  # (푱; 푱; 푱; 푱; 푱; ) HANGUL SYLLABLE PYONG
      "\uD472",  # (푲; 푲; 푲; 푲; 푲; ) HANGUL SYLLABLE PYOJ
      "\uD473",  # (푳; 푳; 푳; 푳; 푳; ) HANGUL SYLLABLE PYOC
      "\uD474",  # (푴; 푴; 푴; 푴; 푴; ) HANGUL SYLLABLE PYOK
      "\uD475",  # (푵; 푵; 푵; 푵; 푵; ) HANGUL SYLLABLE PYOT
      "\uD476",  # (푶; 푶; 푶; 푶; 푶; ) HANGUL SYLLABLE PYOP
      "\uD477",  # (푷; 푷; 푷; 푷; 푷; ) HANGUL SYLLABLE PYOH
      "\uD478",  # (푸; 푸; 푸; 푸; 푸; ) HANGUL SYLLABLE PU
      "\uD479",  # (푹; 푹; 푹; 푹; 푹; ) HANGUL SYLLABLE PUG
      "\uD47A",  # (푺; 푺; 푺; 푺; 푺; ) HANGUL SYLLABLE PUGG
      "\uD47B",  # (푻; 푻; 푻; 푻; 푻; ) HANGUL SYLLABLE PUGS
      "\uD47C",  # (푼; 푼; 푼; 푼; 푼; ) HANGUL SYLLABLE PUN
      "\uD47D",  # (푽; 푽; 푽; 푽; 푽; ) HANGUL SYLLABLE PUNJ
      "\uD47E",  # (푾; 푾; 푾; 푾; 푾; ) HANGUL SYLLABLE PUNH
      "\uD47F",  # (푿; 푿; 푿; 푿; 푿; ) HANGUL SYLLABLE PUD
      "\uD480",  # (풀; 풀; 풀; 풀; 풀; ) HANGUL SYLLABLE PUL
      "\uD481",  # (풁; 풁; 풁; 풁; 풁; ) HANGUL SYLLABLE PULG
      "\uD482",  # (풂; 풂; 풂; 풂; 풂; ) HANGUL SYLLABLE PULM
      "\uD483",  # (풃; 풃; 풃; 풃; 풃; ) HANGUL SYLLABLE PULB
      "\uD484",  # (풄; 풄; 풄; 풄; 풄; ) HANGUL SYLLABLE PULS
      "\uD485",  # (풅; 풅; 풅; 풅; 풅; ) HANGUL SYLLABLE PULT
      "\uD486",  # (풆; 풆; 풆; 풆; 풆; ) HANGUL SYLLABLE PULP
      "\uD487",  # (풇; 풇; 풇; 풇; 풇; ) HANGUL SYLLABLE PULH
      "\uD488",  # (품; 품; 품; 품; 품; ) HANGUL SYLLABLE PUM
      "\uD489",  # (풉; 풉; 풉; 풉; 풉; ) HANGUL SYLLABLE PUB
      "\uD48A",  # (풊; 풊; 풊; 풊; 풊; ) HANGUL SYLLABLE PUBS
      "\uD48B",  # (풋; 풋; 풋; 풋; 풋; ) HANGUL SYLLABLE PUS
      "\uD48C",  # (풌; 풌; 풌; 풌; 풌; ) HANGUL SYLLABLE PUSS
      "\uD48D",  # (풍; 풍; 풍; 풍; 풍; ) HANGUL SYLLABLE PUNG
      "\uD48E",  # (풎; 풎; 풎; 풎; 풎; ) HANGUL SYLLABLE PUJ
      "\uD48F",  # (풏; 풏; 풏; 풏; 풏; ) HANGUL SYLLABLE PUC
      "\uD490",  # (풐; 풐; 풐; 풐; 풐; ) HANGUL SYLLABLE PUK
      "\uD491",  # (풑; 풑; 풑; 풑; 풑; ) HANGUL SYLLABLE PUT
      "\uD492",  # (풒; 풒; 풒; 풒; 풒; ) HANGUL SYLLABLE PUP
      "\uD493",  # (풓; 풓; 풓; 풓; 풓; ) HANGUL SYLLABLE PUH
      "\uD494",  # (풔; 풔; 풔; 풔; 풔; ) HANGUL SYLLABLE PWEO
      "\uD495",  # (풕; 풕; 풕; 풕; 풕; ) HANGUL SYLLABLE PWEOG
      "\uD496",  # (풖; 풖; 풖; 풖; 풖; ) HANGUL SYLLABLE PWEOGG
      "\uD497",  # (풗; 풗; 풗; 풗; 풗; ) HANGUL SYLLABLE PWEOGS
      "\uD498",  # (풘; 풘; 풘; 풘; 풘; ) HANGUL SYLLABLE PWEON
      "\uD499",  # (풙; 풙; 풙; 풙; 풙; ) HANGUL SYLLABLE PWEONJ
      "\uD49A",  # (풚; 풚; 풚; 풚; 풚; ) HANGUL SYLLABLE PWEONH
      "\uD49B",  # (풛; 풛; 풛; 풛; 풛; ) HANGUL SYLLABLE PWEOD
      "\uD49C",  # (풜; 풜; 풜; 풜; 풜; ) HANGUL SYLLABLE PWEOL
      "\uD49D",  # (풝; 풝; 풝; 풝; 풝; ) HANGUL SYLLABLE PWEOLG
      "\uD49E",  # (풞; 풞; 풞; 풞; 풞; ) HANGUL SYLLABLE PWEOLM
      "\uD49F",  # (풟; 풟; 풟; 풟; 풟; ) HANGUL SYLLABLE PWEOLB
      "\uD4A0",  # (풠; 풠; 풠; 풠; 풠; ) HANGUL SYLLABLE PWEOLS
      "\uD4A1",  # (풡; 풡; 풡; 풡; 풡; ) HANGUL SYLLABLE PWEOLT
      "\uD4A2",  # (풢; 풢; 풢; 풢; 풢; ) HANGUL SYLLABLE PWEOLP
      "\uD4A3",  # (풣; 풣; 풣; 풣; 풣; ) HANGUL SYLLABLE PWEOLH
      "\uD4A4",  # (풤; 풤; 풤; 풤; 풤; ) HANGUL SYLLABLE PWEOM
      "\uD4A5",  # (풥; 풥; 풥; 풥; 풥; ) HANGUL SYLLABLE PWEOB
      "\uD4A6",  # (풦; 풦; 풦; 풦; 풦; ) HANGUL SYLLABLE PWEOBS
      "\uD4A7",  # (풧; 풧; 풧; 풧; 풧; ) HANGUL SYLLABLE PWEOS
      "\uD4A8",  # (풨; 풨; 풨; 풨; 풨; ) HANGUL SYLLABLE PWEOSS
      "\uD4A9",  # (풩; 풩; 풩; 풩; 풩; ) HANGUL SYLLABLE PWEONG
      "\uD4AA",  # (풪; 풪; 풪; 풪; 풪; ) HANGUL SYLLABLE PWEOJ
      "\uD4AB",  # (풫; 풫; 풫; 풫; 풫; ) HANGUL SYLLABLE PWEOC
      "\uD4AC",  # (풬; 풬; 풬; 풬; 풬; ) HANGUL SYLLABLE PWEOK
      "\uD4AD",  # (풭; 풭; 풭; 풭; 풭; ) HANGUL SYLLABLE PWEOT
      "\uD4AE",  # (풮; 풮; 풮; 풮; 풮; ) HANGUL SYLLABLE PWEOP
      "\uD4AF",  # (풯; 풯; 풯; 풯; 풯; ) HANGUL SYLLABLE PWEOH
      "\uD4B0",  # (풰; 풰; 풰; 풰; 풰; ) HANGUL SYLLABLE PWE
      "\uD4B1",  # (풱; 풱; 풱; 풱; 풱; ) HANGUL SYLLABLE PWEG
      "\uD4B2",  # (풲; 풲; 풲; 풲; 풲; ) HANGUL SYLLABLE PWEGG
      "\uD4B3",  # (풳; 풳; 풳; 풳; 풳; ) HANGUL SYLLABLE PWEGS
      "\uD4B4",  # (풴; 풴; 풴; 풴; 풴; ) HANGUL SYLLABLE PWEN
      "\uD4B5",  # (풵; 풵; 풵; 풵; 풵; ) HANGUL SYLLABLE PWENJ
      "\uD4B6",  # (풶; 풶; 풶; 풶; 풶; ) HANGUL SYLLABLE PWENH
      "\uD4B7",  # (풷; 풷; 풷; 풷; 풷; ) HANGUL SYLLABLE PWED
      "\uD4B8",  # (풸; 풸; 풸; 풸; 풸; ) HANGUL SYLLABLE PWEL
      "\uD4B9",  # (풹; 풹; 풹; 풹; 풹; ) HANGUL SYLLABLE PWELG
      "\uD4BA",  # (풺; 풺; 풺; 풺; 풺; ) HANGUL SYLLABLE PWELM
      "\uD4BB",  # (풻; 풻; 풻; 풻; 풻; ) HANGUL SYLLABLE PWELB
      "\uD4BC",  # (풼; 풼; 풼; 풼; 풼; ) HANGUL SYLLABLE PWELS
      "\uD4BD",  # (풽; 풽; 풽; 풽; 풽; ) HANGUL SYLLABLE PWELT
      "\uD4BE",  # (풾; 풾; 풾; 풾; 풾; ) HANGUL SYLLABLE PWELP
      "\uD4BF",  # (풿; 풿; 풿; 풿; 풿; ) HANGUL SYLLABLE PWELH
      "\uD4C0",  # (퓀; 퓀; 퓀; 퓀; 퓀; ) HANGUL SYLLABLE PWEM
      "\uD4C1",  # (퓁; 퓁; 퓁; 퓁; 퓁; ) HANGUL SYLLABLE PWEB
      "\uD4C2",  # (퓂; 퓂; 퓂; 퓂; 퓂; ) HANGUL SYLLABLE PWEBS
      "\uD4C3",  # (퓃; 퓃; 퓃; 퓃; 퓃; ) HANGUL SYLLABLE PWES
      "\uD4C4",  # (퓄; 퓄; 퓄; 퓄; 퓄; ) HANGUL SYLLABLE PWESS
      "\uD4C5",  # (퓅; 퓅; 퓅; 퓅; 퓅; ) HANGUL SYLLABLE PWENG
      "\uD4C6",  # (퓆; 퓆; 퓆; 퓆; 퓆; ) HANGUL SYLLABLE PWEJ
      "\uD4C7",  # (퓇; 퓇; 퓇; 퓇; 퓇; ) HANGUL SYLLABLE PWEC
      "\uD4C8",  # (퓈; 퓈; 퓈; 퓈; 퓈; ) HANGUL SYLLABLE PWEK
      "\uD4C9",  # (퓉; 퓉; 퓉; 퓉; 퓉; ) HANGUL SYLLABLE PWET
      "\uD4CA",  # (퓊; 퓊; 퓊; 퓊; 퓊; ) HANGUL SYLLABLE PWEP
      "\uD4CB",  # (퓋; 퓋; 퓋; 퓋; 퓋; ) HANGUL SYLLABLE PWEH
      "\uD4CC",  # (퓌; 퓌; 퓌; 퓌; 퓌; ) HANGUL SYLLABLE PWI
      "\uD4CD",  # (퓍; 퓍; 퓍; 퓍; 퓍; ) HANGUL SYLLABLE PWIG
      "\uD4CE",  # (퓎; 퓎; 퓎; 퓎; 퓎; ) HANGUL SYLLABLE PWIGG
      "\uD4CF",  # (퓏; 퓏; 퓏; 퓏; 퓏; ) HANGUL SYLLABLE PWIGS
      "\uD4D0",  # (퓐; 퓐; 퓐; 퓐; 퓐; ) HANGUL SYLLABLE PWIN
      "\uD4D1",  # (퓑; 퓑; 퓑; 퓑; 퓑; ) HANGUL SYLLABLE PWINJ
      "\uD4D2",  # (퓒; 퓒; 퓒; 퓒; 퓒; ) HANGUL SYLLABLE PWINH
      "\uD4D3",  # (퓓; 퓓; 퓓; 퓓; 퓓; ) HANGUL SYLLABLE PWID
      "\uD4D4",  # (퓔; 퓔; 퓔; 퓔; 퓔; ) HANGUL SYLLABLE PWIL
      "\uD4D5",  # (퓕; 퓕; 퓕; 퓕; 퓕; ) HANGUL SYLLABLE PWILG
      "\uD4D6",  # (퓖; 퓖; 퓖; 퓖; 퓖; ) HANGUL SYLLABLE PWILM
      "\uD4D7",  # (퓗; 퓗; 퓗; 퓗; 퓗; ) HANGUL SYLLABLE PWILB
      "\uD4D8",  # (퓘; 퓘; 퓘; 퓘; 퓘; ) HANGUL SYLLABLE PWILS
      "\uD4D9",  # (퓙; 퓙; 퓙; 퓙; 퓙; ) HANGUL SYLLABLE PWILT
      "\uD4DA",  # (퓚; 퓚; 퓚; 퓚; 퓚; ) HANGUL SYLLABLE PWILP
      "\uD4DB",  # (퓛; 퓛; 퓛; 퓛; 퓛; ) HANGUL SYLLABLE PWILH
      "\uD4DC",  # (퓜; 퓜; 퓜; 퓜; 퓜; ) HANGUL SYLLABLE PWIM
      "\uD4DD",  # (퓝; 퓝; 퓝; 퓝; 퓝; ) HANGUL SYLLABLE PWIB
      "\uD4DE",  # (퓞; 퓞; 퓞; 퓞; 퓞; ) HANGUL SYLLABLE PWIBS
      "\uD4DF",  # (퓟; 퓟; 퓟; 퓟; 퓟; ) HANGUL SYLLABLE PWIS
      "\uD4E0",  # (퓠; 퓠; 퓠; 퓠; 퓠; ) HANGUL SYLLABLE PWISS
      "\uD4E1",  # (퓡; 퓡; 퓡; 퓡; 퓡; ) HANGUL SYLLABLE PWING
      "\uD4E2",  # (퓢; 퓢; 퓢; 퓢; 퓢; ) HANGUL SYLLABLE PWIJ
      "\uD4E3",  # (퓣; 퓣; 퓣; 퓣; 퓣; ) HANGUL SYLLABLE PWIC
      "\uD4E4",  # (퓤; 퓤; 퓤; 퓤; 퓤; ) HANGUL SYLLABLE PWIK
      "\uD4E5",  # (퓥; 퓥; 퓥; 퓥; 퓥; ) HANGUL SYLLABLE PWIT
      "\uD4E6",  # (퓦; 퓦; 퓦; 퓦; 퓦; ) HANGUL SYLLABLE PWIP
      "\uD4E7",  # (퓧; 퓧; 퓧; 퓧; 퓧; ) HANGUL SYLLABLE PWIH
      "\uD4E8",  # (퓨; 퓨; 퓨; 퓨; 퓨; ) HANGUL SYLLABLE PYU
      "\uD4E9",  # (퓩; 퓩; 퓩; 퓩; 퓩; ) HANGUL SYLLABLE PYUG
      "\uD4EA",  # (퓪; 퓪; 퓪; 퓪; 퓪; ) HANGUL SYLLABLE PYUGG
      "\uD4EB",  # (퓫; 퓫; 퓫; 퓫; 퓫; ) HANGUL SYLLABLE PYUGS
      "\uD4EC",  # (퓬; 퓬; 퓬; 퓬; 퓬; ) HANGUL SYLLABLE PYUN
      "\uD4ED",  # (퓭; 퓭; 퓭; 퓭; 퓭; ) HANGUL SYLLABLE PYUNJ
      "\uD4EE",  # (퓮; 퓮; 퓮; 퓮; 퓮; ) HANGUL SYLLABLE PYUNH
      "\uD4EF",  # (퓯; 퓯; 퓯; 퓯; 퓯; ) HANGUL SYLLABLE PYUD
      "\uD4F0",  # (퓰; 퓰; 퓰; 퓰; 퓰; ) HANGUL SYLLABLE PYUL
      "\uD4F1",  # (퓱; 퓱; 퓱; 퓱; 퓱; ) HANGUL SYLLABLE PYULG
      "\uD4F2",  # (퓲; 퓲; 퓲; 퓲; 퓲; ) HANGUL SYLLABLE PYULM
      "\uD4F3",  # (퓳; 퓳; 퓳; 퓳; 퓳; ) HANGUL SYLLABLE PYULB
      "\uD4F4",  # (퓴; 퓴; 퓴; 퓴; 퓴; ) HANGUL SYLLABLE PYULS
      "\uD4F5",  # (퓵; 퓵; 퓵; 퓵; 퓵; ) HANGUL SYLLABLE PYULT
      "\uD4F6",  # (퓶; 퓶; 퓶; 퓶; 퓶; ) HANGUL SYLLABLE PYULP
      "\uD4F7",  # (퓷; 퓷; 퓷; 퓷; 퓷; ) HANGUL SYLLABLE PYULH
      "\uD4F8",  # (퓸; 퓸; 퓸; 퓸; 퓸; ) HANGUL SYLLABLE PYUM
      "\uD4F9",  # (퓹; 퓹; 퓹; 퓹; 퓹; ) HANGUL SYLLABLE PYUB
      "\uD4FA",  # (퓺; 퓺; 퓺; 퓺; 퓺; ) HANGUL SYLLABLE PYUBS
      "\uD4FB",  # (퓻; 퓻; 퓻; 퓻; 퓻; ) HANGUL SYLLABLE PYUS
      "\uD4FC",  # (퓼; 퓼; 퓼; 퓼; 퓼; ) HANGUL SYLLABLE PYUSS
      "\uD4FD",  # (퓽; 퓽; 퓽; 퓽; 퓽; ) HANGUL SYLLABLE PYUNG
      "\uD4FE",  # (퓾; 퓾; 퓾; 퓾; 퓾; ) HANGUL SYLLABLE PYUJ
      "\uD4FF",  # (퓿; 퓿; 퓿; 퓿; 퓿; ) HANGUL SYLLABLE PYUC
      "\uD500",  # (픀; 픀; 픀; 픀; 픀; ) HANGUL SYLLABLE PYUK
      "\uD501",  # (픁; 픁; 픁; 픁; 픁; ) HANGUL SYLLABLE PYUT
      "\uD502",  # (픂; 픂; 픂; 픂; 픂; ) HANGUL SYLLABLE PYUP
      "\uD503",  # (픃; 픃; 픃; 픃; 픃; ) HANGUL SYLLABLE PYUH
      "\uD504",  # (프; 프; 프; 프; 프; ) HANGUL SYLLABLE PEU
      "\uD505",  # (픅; 픅; 픅; 픅; 픅; ) HANGUL SYLLABLE PEUG
      "\uD506",  # (픆; 픆; 픆; 픆; 픆; ) HANGUL SYLLABLE PEUGG
      "\uD507",  # (픇; 픇; 픇; 픇; 픇; ) HANGUL SYLLABLE PEUGS
      "\uD508",  # (픈; 픈; 픈; 픈; 픈; ) HANGUL SYLLABLE PEUN
      "\uD509",  # (픉; 픉; 픉; 픉; 픉; ) HANGUL SYLLABLE PEUNJ
      "\uD50A",  # (픊; 픊; 픊; 픊; 픊; ) HANGUL SYLLABLE PEUNH
      "\uD50B",  # (픋; 픋; 픋; 픋; 픋; ) HANGUL SYLLABLE PEUD
      "\uD50C",  # (플; 플; 플; 플; 플; ) HANGUL SYLLABLE PEUL
      "\uD50D",  # (픍; 픍; 픍; 픍; 픍; ) HANGUL SYLLABLE PEULG
      "\uD50E",  # (픎; 픎; 픎; 픎; 픎; ) HANGUL SYLLABLE PEULM
      "\uD50F",  # (픏; 픏; 픏; 픏; 픏; ) HANGUL SYLLABLE PEULB
      "\uD510",  # (픐; 픐; 픐; 픐; 픐; ) HANGUL SYLLABLE PEULS
      "\uD511",  # (픑; 픑; 픑; 픑; 픑; ) HANGUL SYLLABLE PEULT
      "\uD512",  # (픒; 픒; 픒; 픒; 픒; ) HANGUL SYLLABLE PEULP
      "\uD513",  # (픓; 픓; 픓; 픓; 픓; ) HANGUL SYLLABLE PEULH
      "\uD514",  # (픔; 픔; 픔; 픔; 픔; ) HANGUL SYLLABLE PEUM
      "\uD515",  # (픕; 픕; 픕; 픕; 픕; ) HANGUL SYLLABLE PEUB
      "\uD516",  # (픖; 픖; 픖; 픖; 픖; ) HANGUL SYLLABLE PEUBS
      "\uD517",  # (픗; 픗; 픗; 픗; 픗; ) HANGUL SYLLABLE PEUS
      "\uD518",  # (픘; 픘; 픘; 픘; 픘; ) HANGUL SYLLABLE PEUSS
      "\uD519",  # (픙; 픙; 픙; 픙; 픙; ) HANGUL SYLLABLE PEUNG
      "\uD51A",  # (픚; 픚; 픚; 픚; 픚; ) HANGUL SYLLABLE PEUJ
      "\uD51B",  # (픛; 픛; 픛; 픛; 픛; ) HANGUL SYLLABLE PEUC
      "\uD51C",  # (픜; 픜; 픜; 픜; 픜; ) HANGUL SYLLABLE PEUK
      "\uD51D",  # (픝; 픝; 픝; 픝; 픝; ) HANGUL SYLLABLE PEUT
      "\uD51E",  # (픞; 픞; 픞; 픞; 픞; ) HANGUL SYLLABLE PEUP
      "\uD51F",  # (픟; 픟; 픟; 픟; 픟; ) HANGUL SYLLABLE PEUH
      "\uD520",  # (픠; 픠; 픠; 픠; 픠; ) HANGUL SYLLABLE PYI
      "\uD521",  # (픡; 픡; 픡; 픡; 픡; ) HANGUL SYLLABLE PYIG
      "\uD522",  # (픢; 픢; 픢; 픢; 픢; ) HANGUL SYLLABLE PYIGG
      "\uD523",  # (픣; 픣; 픣; 픣; 픣; ) HANGUL SYLLABLE PYIGS
      "\uD524",  # (픤; 픤; 픤; 픤; 픤; ) HANGUL SYLLABLE PYIN
      "\uD525",  # (픥; 픥; 픥; 픥; 픥; ) HANGUL SYLLABLE PYINJ
      "\uD526",  # (픦; 픦; 픦; 픦; 픦; ) HANGUL SYLLABLE PYINH
      "\uD527",  # (픧; 픧; 픧; 픧; 픧; ) HANGUL SYLLABLE PYID
      "\uD528",  # (픨; 픨; 픨; 픨; 픨; ) HANGUL SYLLABLE PYIL
      "\uD529",  # (픩; 픩; 픩; 픩; 픩; ) HANGUL SYLLABLE PYILG
      "\uD52A",  # (픪; 픪; 픪; 픪; 픪; ) HANGUL SYLLABLE PYILM
      "\uD52B",  # (픫; 픫; 픫; 픫; 픫; ) HANGUL SYLLABLE PYILB
      "\uD52C",  # (픬; 픬; 픬; 픬; 픬; ) HANGUL SYLLABLE PYILS
      "\uD52D",  # (픭; 픭; 픭; 픭; 픭; ) HANGUL SYLLABLE PYILT
      "\uD52E",  # (픮; 픮; 픮; 픮; 픮; ) HANGUL SYLLABLE PYILP
      "\uD52F",  # (픯; 픯; 픯; 픯; 픯; ) HANGUL SYLLABLE PYILH
      "\uD530",  # (픰; 픰; 픰; 픰; 픰; ) HANGUL SYLLABLE PYIM
      "\uD531",  # (픱; 픱; 픱; 픱; 픱; ) HANGUL SYLLABLE PYIB
      "\uD532",  # (픲; 픲; 픲; 픲; 픲; ) HANGUL SYLLABLE PYIBS
      "\uD533",  # (픳; 픳; 픳; 픳; 픳; ) HANGUL SYLLABLE PYIS
      "\uD534",  # (픴; 픴; 픴; 픴; 픴; ) HANGUL SYLLABLE PYISS
      "\uD535",  # (픵; 픵; 픵; 픵; 픵; ) HANGUL SYLLABLE PYING
      "\uD536",  # (픶; 픶; 픶; 픶; 픶; ) HANGUL SYLLABLE PYIJ
      "\uD537",  # (픷; 픷; 픷; 픷; 픷; ) HANGUL SYLLABLE PYIC
      "\uD538",  # (픸; 픸; 픸; 픸; 픸; ) HANGUL SYLLABLE PYIK
      "\uD539",  # (픹; 픹; 픹; 픹; 픹; ) HANGUL SYLLABLE PYIT
      "\uD53A",  # (픺; 픺; 픺; 픺; 픺; ) HANGUL SYLLABLE PYIP
      "\uD53B",  # (픻; 픻; 픻; 픻; 픻; ) HANGUL SYLLABLE PYIH
      "\uD53C",  # (피; 피; 피; 피; 피; ) HANGUL SYLLABLE PI
      "\uD53D",  # (픽; 픽; 픽; 픽; 픽; ) HANGUL SYLLABLE PIG
      "\uD53E",  # (픾; 픾; 픾; 픾; 픾; ) HANGUL SYLLABLE PIGG
      "\uD53F",  # (픿; 픿; 픿; 픿; 픿; ) HANGUL SYLLABLE PIGS
      "\uD540",  # (핀; 핀; 핀; 핀; 핀; ) HANGUL SYLLABLE PIN
      "\uD541",  # (핁; 핁; 핁; 핁; 핁; ) HANGUL SYLLABLE PINJ
      "\uD542",  # (핂; 핂; 핂; 핂; 핂; ) HANGUL SYLLABLE PINH
      "\uD543",  # (핃; 핃; 핃; 핃; 핃; ) HANGUL SYLLABLE PID
      "\uD544",  # (필; 필; 필; 필; 필; ) HANGUL SYLLABLE PIL
      "\uD545",  # (핅; 핅; 핅; 핅; 핅; ) HANGUL SYLLABLE PILG
      "\uD546",  # (핆; 핆; 핆; 핆; 핆; ) HANGUL SYLLABLE PILM
      "\uD547",  # (핇; 핇; 핇; 핇; 핇; ) HANGUL SYLLABLE PILB
      "\uD548",  # (핈; 핈; 핈; 핈; 핈; ) HANGUL SYLLABLE PILS
      "\uD549",  # (핉; 핉; 핉; 핉; 핉; ) HANGUL SYLLABLE PILT
      "\uD54A",  # (핊; 핊; 핊; 핊; 핊; ) HANGUL SYLLABLE PILP
      "\uD54B",  # (핋; 핋; 핋; 핋; 핋; ) HANGUL SYLLABLE PILH
      "\uD54C",  # (핌; 핌; 핌; 핌; 핌; ) HANGUL SYLLABLE PIM
      "\uD54D",  # (핍; 핍; 핍; 핍; 핍; ) HANGUL SYLLABLE PIB
      "\uD54E",  # (핎; 핎; 핎; 핎; 핎; ) HANGUL SYLLABLE PIBS
      "\uD54F",  # (핏; 핏; 핏; 핏; 핏; ) HANGUL SYLLABLE PIS
      "\uD550",  # (핐; 핐; 핐; 핐; 핐; ) HANGUL SYLLABLE PISS
      "\uD551",  # (핑; 핑; 핑; 핑; 핑; ) HANGUL SYLLABLE PING
      "\uD552",  # (핒; 핒; 핒; 핒; 핒; ) HANGUL SYLLABLE PIJ
      "\uD553",  # (핓; 핓; 핓; 핓; 핓; ) HANGUL SYLLABLE PIC
      "\uD554",  # (핔; 핔; 핔; 핔; 핔; ) HANGUL SYLLABLE PIK
      "\uD555",  # (핕; 핕; 핕; 핕; 핕; ) HANGUL SYLLABLE PIT
      "\uD556",  # (핖; 핖; 핖; 핖; 핖; ) HANGUL SYLLABLE PIP
      "\uD557",  # (핗; 핗; 핗; 핗; 핗; ) HANGUL SYLLABLE PIH
      "\uD558",  # (하; 하; 하; 하; 하; ) HANGUL SYLLABLE HA
      "\uD559",  # (학; 학; 학; 학; 학; ) HANGUL SYLLABLE HAG
      "\uD55A",  # (핚; 핚; 핚; 핚; 핚; ) HANGUL SYLLABLE HAGG
      "\uD55B",  # (핛; 핛; 핛; 핛; 핛; ) HANGUL SYLLABLE HAGS
      "\uD55C",  # (한; 한; 한; 한; 한; ) HANGUL SYLLABLE HAN
      "\uD55D",  # (핝; 핝; 핝; 핝; 핝; ) HANGUL SYLLABLE HANJ
      "\uD55E",  # (핞; 핞; 핞; 핞; 핞; ) HANGUL SYLLABLE HANH
      "\uD55F",  # (핟; 핟; 핟; 핟; 핟; ) HANGUL SYLLABLE HAD
      "\uD560",  # (할; 할; 할; 할; 할; ) HANGUL SYLLABLE HAL
      "\uD561",  # (핡; 핡; 핡; 핡; 핡; ) HANGUL SYLLABLE HALG
      "\uD562",  # (핢; 핢; 핢; 핢; 핢; ) HANGUL SYLLABLE HALM
      "\uD563",  # (핣; 핣; 핣; 핣; 핣; ) HANGUL SYLLABLE HALB
      "\uD564",  # (핤; 핤; 핤; 핤; 핤; ) HANGUL SYLLABLE HALS
      "\uD565",  # (핥; 핥; 핥; 핥; 핥; ) HANGUL SYLLABLE HALT
      "\uD566",  # (핦; 핦; 핦; 핦; 핦; ) HANGUL SYLLABLE HALP
      "\uD567",  # (핧; 핧; 핧; 핧; 핧; ) HANGUL SYLLABLE HALH
      "\uD568",  # (함; 함; 함; 함; 함; ) HANGUL SYLLABLE HAM
      "\uD569",  # (합; 합; 합; 합; 합; ) HANGUL SYLLABLE HAB
      "\uD56A",  # (핪; 핪; 핪; 핪; 핪; ) HANGUL SYLLABLE HABS
      "\uD56B",  # (핫; 핫; 핫; 핫; 핫; ) HANGUL SYLLABLE HAS
      "\uD56C",  # (핬; 핬; 핬; 핬; 핬; ) HANGUL SYLLABLE HASS
      "\uD56D",  # (항; 항; 항; 항; 항; ) HANGUL SYLLABLE HANG
      "\uD56E",  # (핮; 핮; 핮; 핮; 핮; ) HANGUL SYLLABLE HAJ
      "\uD56F",  # (핯; 핯; 핯; 핯; 핯; ) HANGUL SYLLABLE HAC
      "\uD570",  # (핰; 핰; 핰; 핰; 핰; ) HANGUL SYLLABLE HAK
      "\uD571",  # (핱; 핱; 핱; 핱; 핱; ) HANGUL SYLLABLE HAT
      "\uD572",  # (핲; 핲; 핲; 핲; 핲; ) HANGUL SYLLABLE HAP
      "\uD573",  # (핳; 핳; 핳; 핳; 핳; ) HANGUL SYLLABLE HAH
      "\uD574",  # (해; 해; 해; 해; 해; ) HANGUL SYLLABLE HAE
      "\uD575",  # (핵; 핵; 핵; 핵; 핵; ) HANGUL SYLLABLE HAEG
      "\uD576",  # (핶; 핶; 핶; 핶; 핶; ) HANGUL SYLLABLE HAEGG
      "\uD577",  # (핷; 핷; 핷; 핷; 핷; ) HANGUL SYLLABLE HAEGS
      "\uD578",  # (핸; 핸; 핸; 핸; 핸; ) HANGUL SYLLABLE HAEN
      "\uD579",  # (핹; 핹; 핹; 핹; 핹; ) HANGUL SYLLABLE HAENJ
      "\uD57A",  # (핺; 핺; 핺; 핺; 핺; ) HANGUL SYLLABLE HAENH
      "\uD57B",  # (핻; 핻; 핻; 핻; 핻; ) HANGUL SYLLABLE HAED
      "\uD57C",  # (핼; 핼; 핼; 핼; 핼; ) HANGUL SYLLABLE HAEL
      "\uD57D",  # (핽; 핽; 핽; 핽; 핽; ) HANGUL SYLLABLE HAELG
      "\uD57E",  # (핾; 핾; 핾; 핾; 핾; ) HANGUL SYLLABLE HAELM
      "\uD57F",  # (핿; 핿; 핿; 핿; 핿; ) HANGUL SYLLABLE HAELB
      "\uD580",  # (햀; 햀; 햀; 햀; 햀; ) HANGUL SYLLABLE HAELS
      "\uD581",  # (햁; 햁; 햁; 햁; 햁; ) HANGUL SYLLABLE HAELT
      "\uD582",  # (햂; 햂; 햂; 햂; 햂; ) HANGUL SYLLABLE HAELP
      "\uD583",  # (햃; 햃; 햃; 햃; 햃; ) HANGUL SYLLABLE HAELH
      "\uD584",  # (햄; 햄; 햄; 햄; 햄; ) HANGUL SYLLABLE HAEM
      "\uD585",  # (햅; 햅; 햅; 햅; 햅; ) HANGUL SYLLABLE HAEB
      "\uD586",  # (햆; 햆; 햆; 햆; 햆; ) HANGUL SYLLABLE HAEBS
      "\uD587",  # (햇; 햇; 햇; 햇; 햇; ) HANGUL SYLLABLE HAES
      "\uD588",  # (했; 했; 했; 했; 했; ) HANGUL SYLLABLE HAESS
      "\uD589",  # (행; 행; 행; 행; 행; ) HANGUL SYLLABLE HAENG
      "\uD58A",  # (햊; 햊; 햊; 햊; 햊; ) HANGUL SYLLABLE HAEJ
      "\uD58B",  # (햋; 햋; 햋; 햋; 햋; ) HANGUL SYLLABLE HAEC
      "\uD58C",  # (햌; 햌; 햌; 햌; 햌; ) HANGUL SYLLABLE HAEK
      "\uD58D",  # (햍; 햍; 햍; 햍; 햍; ) HANGUL SYLLABLE HAET
      "\uD58E",  # (햎; 햎; 햎; 햎; 햎; ) HANGUL SYLLABLE HAEP
      "\uD58F",  # (햏; 햏; 햏; 햏; 햏; ) HANGUL SYLLABLE HAEH
      "\uD590",  # (햐; 햐; 햐; 햐; 햐; ) HANGUL SYLLABLE HYA
      "\uD591",  # (햑; 햑; 햑; 햑; 햑; ) HANGUL SYLLABLE HYAG
      "\uD592",  # (햒; 햒; 햒; 햒; 햒; ) HANGUL SYLLABLE HYAGG
      "\uD593",  # (햓; 햓; 햓; 햓; 햓; ) HANGUL SYLLABLE HYAGS
      "\uD594",  # (햔; 햔; 햔; 햔; 햔; ) HANGUL SYLLABLE HYAN
      "\uD595",  # (햕; 햕; 햕; 햕; 햕; ) HANGUL SYLLABLE HYANJ
      "\uD596",  # (햖; 햖; 햖; 햖; 햖; ) HANGUL SYLLABLE HYANH
      "\uD597",  # (햗; 햗; 햗; 햗; 햗; ) HANGUL SYLLABLE HYAD
      "\uD598",  # (햘; 햘; 햘; 햘; 햘; ) HANGUL SYLLABLE HYAL
      "\uD599",  # (햙; 햙; 햙; 햙; 햙; ) HANGUL SYLLABLE HYALG
      "\uD59A",  # (햚; 햚; 햚; 햚; 햚; ) HANGUL SYLLABLE HYALM
      "\uD59B",  # (햛; 햛; 햛; 햛; 햛; ) HANGUL SYLLABLE HYALB
      "\uD59C",  # (햜; 햜; 햜; 햜; 햜; ) HANGUL SYLLABLE HYALS
      "\uD59D",  # (햝; 햝; 햝; 햝; 햝; ) HANGUL SYLLABLE HYALT
      "\uD59E",  # (햞; 햞; 햞; 햞; 햞; ) HANGUL SYLLABLE HYALP
      "\uD59F",  # (햟; 햟; 햟; 햟; 햟; ) HANGUL SYLLABLE HYALH
      "\uD5A0",  # (햠; 햠; 햠; 햠; 햠; ) HANGUL SYLLABLE HYAM
      "\uD5A1",  # (햡; 햡; 햡; 햡; 햡; ) HANGUL SYLLABLE HYAB
      "\uD5A2",  # (햢; 햢; 햢; 햢; 햢; ) HANGUL SYLLABLE HYABS
      "\uD5A3",  # (햣; 햣; 햣; 햣; 햣; ) HANGUL SYLLABLE HYAS
      "\uD5A4",  # (햤; 햤; 햤; 햤; 햤; ) HANGUL SYLLABLE HYASS
      "\uD5A5",  # (향; 향; 향; 향; 향; ) HANGUL SYLLABLE HYANG
      "\uD5A6",  # (햦; 햦; 햦; 햦; 햦; ) HANGUL SYLLABLE HYAJ
      "\uD5A7",  # (햧; 햧; 햧; 햧; 햧; ) HANGUL SYLLABLE HYAC
      "\uD5A8",  # (햨; 햨; 햨; 햨; 햨; ) HANGUL SYLLABLE HYAK
      "\uD5A9",  # (햩; 햩; 햩; 햩; 햩; ) HANGUL SYLLABLE HYAT
      "\uD5AA",  # (햪; 햪; 햪; 햪; 햪; ) HANGUL SYLLABLE HYAP
      "\uD5AB",  # (햫; 햫; 햫; 햫; 햫; ) HANGUL SYLLABLE HYAH
      "\uD5AC",  # (햬; 햬; 햬; 햬; 햬; ) HANGUL SYLLABLE HYAE
      "\uD5AD",  # (햭; 햭; 햭; 햭; 햭; ) HANGUL SYLLABLE HYAEG
      "\uD5AE",  # (햮; 햮; 햮; 햮; 햮; ) HANGUL SYLLABLE HYAEGG
      "\uD5AF",  # (햯; 햯; 햯; 햯; 햯; ) HANGUL SYLLABLE HYAEGS
      "\uD5B0",  # (햰; 햰; 햰; 햰; 햰; ) HANGUL SYLLABLE HYAEN
      "\uD5B1",  # (햱; 햱; 햱; 햱; 햱; ) HANGUL SYLLABLE HYAENJ
      "\uD5B2",  # (햲; 햲; 햲; 햲; 햲; ) HANGUL SYLLABLE HYAENH
      "\uD5B3",  # (햳; 햳; 햳; 햳; 햳; ) HANGUL SYLLABLE HYAED
      "\uD5B4",  # (햴; 햴; 햴; 햴; 햴; ) HANGUL SYLLABLE HYAEL
      "\uD5B5",  # (햵; 햵; 햵; 햵; 햵; ) HANGUL SYLLABLE HYAELG
      "\uD5B6",  # (햶; 햶; 햶; 햶; 햶; ) HANGUL SYLLABLE HYAELM
      "\uD5B7",  # (햷; 햷; 햷; 햷; 햷; ) HANGUL SYLLABLE HYAELB
      "\uD5B8",  # (햸; 햸; 햸; 햸; 햸; ) HANGUL SYLLABLE HYAELS
      "\uD5B9",  # (햹; 햹; 햹; 햹; 햹; ) HANGUL SYLLABLE HYAELT
      "\uD5BA",  # (햺; 햺; 햺; 햺; 햺; ) HANGUL SYLLABLE HYAELP
      "\uD5BB",  # (햻; 햻; 햻; 햻; 햻; ) HANGUL SYLLABLE HYAELH
      "\uD5BC",  # (햼; 햼; 햼; 햼; 햼; ) HANGUL SYLLABLE HYAEM
      "\uD5BD",  # (햽; 햽; 햽; 햽; 햽; ) HANGUL SYLLABLE HYAEB
      "\uD5BE",  # (햾; 햾; 햾; 햾; 햾; ) HANGUL SYLLABLE HYAEBS
      "\uD5BF",  # (햿; 햿; 햿; 햿; 햿; ) HANGUL SYLLABLE HYAES
      "\uD5C0",  # (헀; 헀; 헀; 헀; 헀; ) HANGUL SYLLABLE HYAESS
      "\uD5C1",  # (헁; 헁; 헁; 헁; 헁; ) HANGUL SYLLABLE HYAENG
      "\uD5C2",  # (헂; 헂; 헂; 헂; 헂; ) HANGUL SYLLABLE HYAEJ
      "\uD5C3",  # (헃; 헃; 헃; 헃; 헃; ) HANGUL SYLLABLE HYAEC
      "\uD5C4",  # (헄; 헄; 헄; 헄; 헄; ) HANGUL SYLLABLE HYAEK
      "\uD5C5",  # (헅; 헅; 헅; 헅; 헅; ) HANGUL SYLLABLE HYAET
      "\uD5C6",  # (헆; 헆; 헆; 헆; 헆; ) HANGUL SYLLABLE HYAEP
      "\uD5C7",  # (헇; 헇; 헇; 헇; 헇; ) HANGUL SYLLABLE HYAEH
      "\uD5C8",  # (허; 허; 허; 허; 허; ) HANGUL SYLLABLE HEO
      "\uD5C9",  # (헉; 헉; 헉; 헉; 헉; ) HANGUL SYLLABLE HEOG
      "\uD5CA",  # (헊; 헊; 헊; 헊; 헊; ) HANGUL SYLLABLE HEOGG
      "\uD5CB",  # (헋; 헋; 헋; 헋; 헋; ) HANGUL SYLLABLE HEOGS
      "\uD5CC",  # (헌; 헌; 헌; 헌; 헌; ) HANGUL SYLLABLE HEON
      "\uD5CD",  # (헍; 헍; 헍; 헍; 헍; ) HANGUL SYLLABLE HEONJ
      "\uD5CE",  # (헎; 헎; 헎; 헎; 헎; ) HANGUL SYLLABLE HEONH
      "\uD5CF",  # (헏; 헏; 헏; 헏; 헏; ) HANGUL SYLLABLE HEOD
      "\uD5D0",  # (헐; 헐; 헐; 헐; 헐; ) HANGUL SYLLABLE HEOL
      "\uD5D1",  # (헑; 헑; 헑; 헑; 헑; ) HANGUL SYLLABLE HEOLG
      "\uD5D2",  # (헒; 헒; 헒; 헒; 헒; ) HANGUL SYLLABLE HEOLM
      "\uD5D3",  # (헓; 헓; 헓; 헓; 헓; ) HANGUL SYLLABLE HEOLB
      "\uD5D4",  # (헔; 헔; 헔; 헔; 헔; ) HANGUL SYLLABLE HEOLS
      "\uD5D5",  # (헕; 헕; 헕; 헕; 헕; ) HANGUL SYLLABLE HEOLT
      "\uD5D6",  # (헖; 헖; 헖; 헖; 헖; ) HANGUL SYLLABLE HEOLP
      "\uD5D7",  # (헗; 헗; 헗; 헗; 헗; ) HANGUL SYLLABLE HEOLH
      "\uD5D8",  # (험; 험; 험; 험; 험; ) HANGUL SYLLABLE HEOM
      "\uD5D9",  # (헙; 헙; 헙; 헙; 헙; ) HANGUL SYLLABLE HEOB
      "\uD5DA",  # (헚; 헚; 헚; 헚; 헚; ) HANGUL SYLLABLE HEOBS
      "\uD5DB",  # (헛; 헛; 헛; 헛; 헛; ) HANGUL SYLLABLE HEOS
      "\uD5DC",  # (헜; 헜; 헜; 헜; 헜; ) HANGUL SYLLABLE HEOSS
      "\uD5DD",  # (헝; 헝; 헝; 헝; 헝; ) HANGUL SYLLABLE HEONG
      "\uD5DE",  # (헞; 헞; 헞; 헞; 헞; ) HANGUL SYLLABLE HEOJ
      "\uD5DF",  # (헟; 헟; 헟; 헟; 헟; ) HANGUL SYLLABLE HEOC
      "\uD5E0",  # (헠; 헠; 헠; 헠; 헠; ) HANGUL SYLLABLE HEOK
      "\uD5E1",  # (헡; 헡; 헡; 헡; 헡; ) HANGUL SYLLABLE HEOT
      "\uD5E2",  # (헢; 헢; 헢; 헢; 헢; ) HANGUL SYLLABLE HEOP
      "\uD5E3",  # (헣; 헣; 헣; 헣; 헣; ) HANGUL SYLLABLE HEOH
      "\uD5E4",  # (헤; 헤; 헤; 헤; 헤; ) HANGUL SYLLABLE HE
      "\uD5E5",  # (헥; 헥; 헥; 헥; 헥; ) HANGUL SYLLABLE HEG
      "\uD5E6",  # (헦; 헦; 헦; 헦; 헦; ) HANGUL SYLLABLE HEGG
      "\uD5E7",  # (헧; 헧; 헧; 헧; 헧; ) HANGUL SYLLABLE HEGS
      "\uD5E8",  # (헨; 헨; 헨; 헨; 헨; ) HANGUL SYLLABLE HEN
      "\uD5E9",  # (헩; 헩; 헩; 헩; 헩; ) HANGUL SYLLABLE HENJ
      "\uD5EA",  # (헪; 헪; 헪; 헪; 헪; ) HANGUL SYLLABLE HENH
      "\uD5EB",  # (헫; 헫; 헫; 헫; 헫; ) HANGUL SYLLABLE HED
      "\uD5EC",  # (헬; 헬; 헬; 헬; 헬; ) HANGUL SYLLABLE HEL
      "\uD5ED",  # (헭; 헭; 헭; 헭; 헭; ) HANGUL SYLLABLE HELG
      "\uD5EE",  # (헮; 헮; 헮; 헮; 헮; ) HANGUL SYLLABLE HELM
      "\uD5EF",  # (헯; 헯; 헯; 헯; 헯; ) HANGUL SYLLABLE HELB
      "\uD5F0",  # (헰; 헰; 헰; 헰; 헰; ) HANGUL SYLLABLE HELS
      "\uD5F1",  # (헱; 헱; 헱; 헱; 헱; ) HANGUL SYLLABLE HELT
      "\uD5F2",  # (헲; 헲; 헲; 헲; 헲; ) HANGUL SYLLABLE HELP
      "\uD5F3",  # (헳; 헳; 헳; 헳; 헳; ) HANGUL SYLLABLE HELH
      "\uD5F4",  # (헴; 헴; 헴; 헴; 헴; ) HANGUL SYLLABLE HEM
      "\uD5F5",  # (헵; 헵; 헵; 헵; 헵; ) HANGUL SYLLABLE HEB
      "\uD5F6",  # (헶; 헶; 헶; 헶; 헶; ) HANGUL SYLLABLE HEBS
      "\uD5F7",  # (헷; 헷; 헷; 헷; 헷; ) HANGUL SYLLABLE HES
      "\uD5F8",  # (헸; 헸; 헸; 헸; 헸; ) HANGUL SYLLABLE HESS
      "\uD5F9",  # (헹; 헹; 헹; 헹; 헹; ) HANGUL SYLLABLE HENG
      "\uD5FA",  # (헺; 헺; 헺; 헺; 헺; ) HANGUL SYLLABLE HEJ
      "\uD5FB",  # (헻; 헻; 헻; 헻; 헻; ) HANGUL SYLLABLE HEC
      "\uD5FC",  # (헼; 헼; 헼; 헼; 헼; ) HANGUL SYLLABLE HEK
      "\uD5FD",  # (헽; 헽; 헽; 헽; 헽; ) HANGUL SYLLABLE HET
      "\uD5FE",  # (헾; 헾; 헾; 헾; 헾; ) HANGUL SYLLABLE HEP
      "\uD5FF",  # (헿; 헿; 헿; 헿; 헿; ) HANGUL SYLLABLE HEH
      "\uD600",  # (혀; 혀; 혀; 혀; 혀; ) HANGUL SYLLABLE HYEO
      "\uD601",  # (혁; 혁; 혁; 혁; 혁; ) HANGUL SYLLABLE HYEOG
      "\uD602",  # (혂; 혂; 혂; 혂; 혂; ) HANGUL SYLLABLE HYEOGG
      "\uD603",  # (혃; 혃; 혃; 혃; 혃; ) HANGUL SYLLABLE HYEOGS
      "\uD604",  # (현; 현; 현; 현; 현; ) HANGUL SYLLABLE HYEON
      "\uD605",  # (혅; 혅; 혅; 혅; 혅; ) HANGUL SYLLABLE HYEONJ
      "\uD606",  # (혆; 혆; 혆; 혆; 혆; ) HANGUL SYLLABLE HYEONH
      "\uD607",  # (혇; 혇; 혇; 혇; 혇; ) HANGUL SYLLABLE HYEOD
      "\uD608",  # (혈; 혈; 혈; 혈; 혈; ) HANGUL SYLLABLE HYEOL
      "\uD609",  # (혉; 혉; 혉; 혉; 혉; ) HANGUL SYLLABLE HYEOLG
      "\uD60A",  # (혊; 혊; 혊; 혊; 혊; ) HANGUL SYLLABLE HYEOLM
      "\uD60B",  # (혋; 혋; 혋; 혋; 혋; ) HANGUL SYLLABLE HYEOLB
      "\uD60C",  # (혌; 혌; 혌; 혌; 혌; ) HANGUL SYLLABLE HYEOLS
      "\uD60D",  # (혍; 혍; 혍; 혍; 혍; ) HANGUL SYLLABLE HYEOLT
      "\uD60E",  # (혎; 혎; 혎; 혎; 혎; ) HANGUL SYLLABLE HYEOLP
      "\uD60F",  # (혏; 혏; 혏; 혏; 혏; ) HANGUL SYLLABLE HYEOLH
      "\uD610",  # (혐; 혐; 혐; 혐; 혐; ) HANGUL SYLLABLE HYEOM
      "\uD611",  # (협; 협; 협; 협; 협; ) HANGUL SYLLABLE HYEOB
      "\uD612",  # (혒; 혒; 혒; 혒; 혒; ) HANGUL SYLLABLE HYEOBS
      "\uD613",  # (혓; 혓; 혓; 혓; 혓; ) HANGUL SYLLABLE HYEOS
      "\uD614",  # (혔; 혔; 혔; 혔; 혔; ) HANGUL SYLLABLE HYEOSS
      "\uD615",  # (형; 형; 형; 형; 형; ) HANGUL SYLLABLE HYEONG
      "\uD616",  # (혖; 혖; 혖; 혖; 혖; ) HANGUL SYLLABLE HYEOJ
      "\uD617",  # (혗; 혗; 혗; 혗; 혗; ) HANGUL SYLLABLE HYEOC
      "\uD618",  # (혘; 혘; 혘; 혘; 혘; ) HANGUL SYLLABLE HYEOK
      "\uD619",  # (혙; 혙; 혙; 혙; 혙; ) HANGUL SYLLABLE HYEOT
      "\uD61A",  # (혚; 혚; 혚; 혚; 혚; ) HANGUL SYLLABLE HYEOP
      "\uD61B",  # (혛; 혛; 혛; 혛; 혛; ) HANGUL SYLLABLE HYEOH
      "\uD61C",  # (혜; 혜; 혜; 혜; 혜; ) HANGUL SYLLABLE HYE
      "\uD61D",  # (혝; 혝; 혝; 혝; 혝; ) HANGUL SYLLABLE HYEG
      "\uD61E",  # (혞; 혞; 혞; 혞; 혞; ) HANGUL SYLLABLE HYEGG
      "\uD61F",  # (혟; 혟; 혟; 혟; 혟; ) HANGUL SYLLABLE HYEGS
      "\uD620",  # (혠; 혠; 혠; 혠; 혠; ) HANGUL SYLLABLE HYEN
      "\uD621",  # (혡; 혡; 혡; 혡; 혡; ) HANGUL SYLLABLE HYENJ
      "\uD622",  # (혢; 혢; 혢; 혢; 혢; ) HANGUL SYLLABLE HYENH
      "\uD623",  # (혣; 혣; 혣; 혣; 혣; ) HANGUL SYLLABLE HYED
      "\uD624",  # (혤; 혤; 혤; 혤; 혤; ) HANGUL SYLLABLE HYEL
      "\uD625",  # (혥; 혥; 혥; 혥; 혥; ) HANGUL SYLLABLE HYELG
      "\uD626",  # (혦; 혦; 혦; 혦; 혦; ) HANGUL SYLLABLE HYELM
      "\uD627",  # (혧; 혧; 혧; 혧; 혧; ) HANGUL SYLLABLE HYELB
      "\uD628",  # (혨; 혨; 혨; 혨; 혨; ) HANGUL SYLLABLE HYELS
      "\uD629",  # (혩; 혩; 혩; 혩; 혩; ) HANGUL SYLLABLE HYELT
      "\uD62A",  # (혪; 혪; 혪; 혪; 혪; ) HANGUL SYLLABLE HYELP
      "\uD62B",  # (혫; 혫; 혫; 혫; 혫; ) HANGUL SYLLABLE HYELH
      "\uD62C",  # (혬; 혬; 혬; 혬; 혬; ) HANGUL SYLLABLE HYEM
      "\uD62D",  # (혭; 혭; 혭; 혭; 혭; ) HANGUL SYLLABLE HYEB
      "\uD62E",  # (혮; 혮; 혮; 혮; 혮; ) HANGUL SYLLABLE HYEBS
      "\uD62F",  # (혯; 혯; 혯; 혯; 혯; ) HANGUL SYLLABLE HYES
      "\uD630",  # (혰; 혰; 혰; 혰; 혰; ) HANGUL SYLLABLE HYESS
      "\uD631",  # (혱; 혱; 혱; 혱; 혱; ) HANGUL SYLLABLE HYENG
      "\uD632",  # (혲; 혲; 혲; 혲; 혲; ) HANGUL SYLLABLE HYEJ
      "\uD633",  # (혳; 혳; 혳; 혳; 혳; ) HANGUL SYLLABLE HYEC
      "\uD634",  # (혴; 혴; 혴; 혴; 혴; ) HANGUL SYLLABLE HYEK
      "\uD635",  # (혵; 혵; 혵; 혵; 혵; ) HANGUL SYLLABLE HYET
      "\uD636",  # (혶; 혶; 혶; 혶; 혶; ) HANGUL SYLLABLE HYEP
      "\uD637",  # (혷; 혷; 혷; 혷; 혷; ) HANGUL SYLLABLE HYEH
      "\uD638",  # (호; 호; 호; 호; 호; ) HANGUL SYLLABLE HO
      "\uD639",  # (혹; 혹; 혹; 혹; 혹; ) HANGUL SYLLABLE HOG
      "\uD63A",  # (혺; 혺; 혺; 혺; 혺; ) HANGUL SYLLABLE HOGG
      "\uD63B",  # (혻; 혻; 혻; 혻; 혻; ) HANGUL SYLLABLE HOGS
      "\uD63C",  # (혼; 혼; 혼; 혼; 혼; ) HANGUL SYLLABLE HON
      "\uD63D",  # (혽; 혽; 혽; 혽; 혽; ) HANGUL SYLLABLE HONJ
      "\uD63E",  # (혾; 혾; 혾; 혾; 혾; ) HANGUL SYLLABLE HONH
      "\uD63F",  # (혿; 혿; 혿; 혿; 혿; ) HANGUL SYLLABLE HOD
      "\uD640",  # (홀; 홀; 홀; 홀; 홀; ) HANGUL SYLLABLE HOL
      "\uD641",  # (홁; 홁; 홁; 홁; 홁; ) HANGUL SYLLABLE HOLG
      "\uD642",  # (홂; 홂; 홂; 홂; 홂; ) HANGUL SYLLABLE HOLM
      "\uD643",  # (홃; 홃; 홃; 홃; 홃; ) HANGUL SYLLABLE HOLB
      "\uD644",  # (홄; 홄; 홄; 홄; 홄; ) HANGUL SYLLABLE HOLS
      "\uD645",  # (홅; 홅; 홅; 홅; 홅; ) HANGUL SYLLABLE HOLT
      "\uD646",  # (홆; 홆; 홆; 홆; 홆; ) HANGUL SYLLABLE HOLP
      "\uD647",  # (홇; 홇; 홇; 홇; 홇; ) HANGUL SYLLABLE HOLH
      "\uD648",  # (홈; 홈; 홈; 홈; 홈; ) HANGUL SYLLABLE HOM
      "\uD649",  # (홉; 홉; 홉; 홉; 홉; ) HANGUL SYLLABLE HOB
      "\uD64A",  # (홊; 홊; 홊; 홊; 홊; ) HANGUL SYLLABLE HOBS
      "\uD64B",  # (홋; 홋; 홋; 홋; 홋; ) HANGUL SYLLABLE HOS
      "\uD64C",  # (홌; 홌; 홌; 홌; 홌; ) HANGUL SYLLABLE HOSS
      "\uD64D",  # (홍; 홍; 홍; 홍; 홍; ) HANGUL SYLLABLE HONG
      "\uD64E",  # (홎; 홎; 홎; 홎; 홎; ) HANGUL SYLLABLE HOJ
      "\uD64F",  # (홏; 홏; 홏; 홏; 홏; ) HANGUL SYLLABLE HOC
      "\uD650",  # (홐; 홐; 홐; 홐; 홐; ) HANGUL SYLLABLE HOK
      "\uD651",  # (홑; 홑; 홑; 홑; 홑; ) HANGUL SYLLABLE HOT
      "\uD652",  # (홒; 홒; 홒; 홒; 홒; ) HANGUL SYLLABLE HOP
      "\uD653",  # (홓; 홓; 홓; 홓; 홓; ) HANGUL SYLLABLE HOH
      "\uD654",  # (화; 화; 화; 화; 화; ) HANGUL SYLLABLE HWA
      "\uD655",  # (확; 확; 확; 확; 확; ) HANGUL SYLLABLE HWAG
      "\uD656",  # (홖; 홖; 홖; 홖; 홖; ) HANGUL SYLLABLE HWAGG
      "\uD657",  # (홗; 홗; 홗; 홗; 홗; ) HANGUL SYLLABLE HWAGS
      "\uD658",  # (환; 환; 환; 환; 환; ) HANGUL SYLLABLE HWAN
      "\uD659",  # (홙; 홙; 홙; 홙; 홙; ) HANGUL SYLLABLE HWANJ
      "\uD65A",  # (홚; 홚; 홚; 홚; 홚; ) HANGUL SYLLABLE HWANH
      "\uD65B",  # (홛; 홛; 홛; 홛; 홛; ) HANGUL SYLLABLE HWAD
      "\uD65C",  # (활; 활; 활; 활; 활; ) HANGUL SYLLABLE HWAL
      "\uD65D",  # (홝; 홝; 홝; 홝; 홝; ) HANGUL SYLLABLE HWALG
      "\uD65E",  # (홞; 홞; 홞; 홞; 홞; ) HANGUL SYLLABLE HWALM
      "\uD65F",  # (홟; 홟; 홟; 홟; 홟; ) HANGUL SYLLABLE HWALB
      "\uD660",  # (홠; 홠; 홠; 홠; 홠; ) HANGUL SYLLABLE HWALS
      "\uD661",  # (홡; 홡; 홡; 홡; 홡; ) HANGUL SYLLABLE HWALT
      "\uD662",  # (홢; 홢; 홢; 홢; 홢; ) HANGUL SYLLABLE HWALP
      "\uD663",  # (홣; 홣; 홣; 홣; 홣; ) HANGUL SYLLABLE HWALH
      "\uD664",  # (홤; 홤; 홤; 홤; 홤; ) HANGUL SYLLABLE HWAM
      "\uD665",  # (홥; 홥; 홥; 홥; 홥; ) HANGUL SYLLABLE HWAB
      "\uD666",  # (홦; 홦; 홦; 홦; 홦; ) HANGUL SYLLABLE HWABS
      "\uD667",  # (홧; 홧; 홧; 홧; 홧; ) HANGUL SYLLABLE HWAS
      "\uD668",  # (홨; 홨; 홨; 홨; 홨; ) HANGUL SYLLABLE HWASS
      "\uD669",  # (황; 황; 황; 황; 황; ) HANGUL SYLLABLE HWANG
      "\uD66A",  # (홪; 홪; 홪; 홪; 홪; ) HANGUL SYLLABLE HWAJ
      "\uD66B",  # (홫; 홫; 홫; 홫; 홫; ) HANGUL SYLLABLE HWAC
      "\uD66C",  # (홬; 홬; 홬; 홬; 홬; ) HANGUL SYLLABLE HWAK
      "\uD66D",  # (홭; 홭; 홭; 홭; 홭; ) HANGUL SYLLABLE HWAT
      "\uD66E",  # (홮; 홮; 홮; 홮; 홮; ) HANGUL SYLLABLE HWAP
      "\uD66F",  # (홯; 홯; 홯; 홯; 홯; ) HANGUL SYLLABLE HWAH
      "\uD670",  # (홰; 홰; 홰; 홰; 홰; ) HANGUL SYLLABLE HWAE
      "\uD671",  # (홱; 홱; 홱; 홱; 홱; ) HANGUL SYLLABLE HWAEG
      "\uD672",  # (홲; 홲; 홲; 홲; 홲; ) HANGUL SYLLABLE HWAEGG
      "\uD673",  # (홳; 홳; 홳; 홳; 홳; ) HANGUL SYLLABLE HWAEGS
      "\uD674",  # (홴; 홴; 홴; 홴; 홴; ) HANGUL SYLLABLE HWAEN
      "\uD675",  # (홵; 홵; 홵; 홵; 홵; ) HANGUL SYLLABLE HWAENJ
      "\uD676",  # (홶; 홶; 홶; 홶; 홶; ) HANGUL SYLLABLE HWAENH
      "\uD677",  # (홷; 홷; 홷; 홷; 홷; ) HANGUL SYLLABLE HWAED
      "\uD678",  # (홸; 홸; 홸; 홸; 홸; ) HANGUL SYLLABLE HWAEL
      "\uD679",  # (홹; 홹; 홹; 홹; 홹; ) HANGUL SYLLABLE HWAELG
      "\uD67A",  # (홺; 홺; 홺; 홺; 홺; ) HANGUL SYLLABLE HWAELM
      "\uD67B",  # (홻; 홻; 홻; 홻; 홻; ) HANGUL SYLLABLE HWAELB
      "\uD67C",  # (홼; 홼; 홼; 홼; 홼; ) HANGUL SYLLABLE HWAELS
      "\uD67D",  # (홽; 홽; 홽; 홽; 홽; ) HANGUL SYLLABLE HWAELT
      "\uD67E",  # (홾; 홾; 홾; 홾; 홾; ) HANGUL SYLLABLE HWAELP
      "\uD67F",  # (홿; 홿; 홿; 홿; 홿; ) HANGUL SYLLABLE HWAELH
      "\uD680",  # (횀; 횀; 횀; 횀; 횀; ) HANGUL SYLLABLE HWAEM
      "\uD681",  # (횁; 횁; 횁; 횁; 횁; ) HANGUL SYLLABLE HWAEB
      "\uD682",  # (횂; 횂; 횂; 횂; 횂; ) HANGUL SYLLABLE HWAEBS
      "\uD683",  # (횃; 횃; 횃; 횃; 횃; ) HANGUL SYLLABLE HWAES
      "\uD684",  # (횄; 횄; 횄; 횄; 횄; ) HANGUL SYLLABLE HWAESS
      "\uD685",  # (횅; 횅; 횅; 횅; 횅; ) HANGUL SYLLABLE HWAENG
      "\uD686",  # (횆; 횆; 횆; 횆; 횆; ) HANGUL SYLLABLE HWAEJ
      "\uD687",  # (횇; 횇; 횇; 횇; 횇; ) HANGUL SYLLABLE HWAEC
      "\uD688",  # (횈; 횈; 횈; 횈; 횈; ) HANGUL SYLLABLE HWAEK
      "\uD689",  # (횉; 횉; 횉; 횉; 횉; ) HANGUL SYLLABLE HWAET
      "\uD68A",  # (횊; 횊; 횊; 횊; 횊; ) HANGUL SYLLABLE HWAEP
      "\uD68B",  # (횋; 횋; 횋; 횋; 횋; ) HANGUL SYLLABLE HWAEH
      "\uD68C",  # (회; 회; 회; 회; 회; ) HANGUL SYLLABLE HOE
      "\uD68D",  # (획; 획; 획; 획; 획; ) HANGUL SYLLABLE HOEG
      "\uD68E",  # (횎; 횎; 횎; 횎; 횎; ) HANGUL SYLLABLE HOEGG
      "\uD68F",  # (횏; 횏; 횏; 횏; 횏; ) HANGUL SYLLABLE HOEGS
      "\uD690",  # (횐; 횐; 횐; 횐; 횐; ) HANGUL SYLLABLE HOEN
      "\uD691",  # (횑; 횑; 횑; 횑; 횑; ) HANGUL SYLLABLE HOENJ
      "\uD692",  # (횒; 횒; 횒; 횒; 횒; ) HANGUL SYLLABLE HOENH
      "\uD693",  # (횓; 횓; 횓; 횓; 횓; ) HANGUL SYLLABLE HOED
      "\uD694",  # (횔; 횔; 횔; 횔; 횔; ) HANGUL SYLLABLE HOEL
      "\uD695",  # (횕; 횕; 횕; 횕; 횕; ) HANGUL SYLLABLE HOELG
      "\uD696",  # (횖; 횖; 횖; 횖; 횖; ) HANGUL SYLLABLE HOELM
      "\uD697",  # (횗; 횗; 횗; 횗; 횗; ) HANGUL SYLLABLE HOELB
      "\uD698",  # (횘; 횘; 횘; 횘; 횘; ) HANGUL SYLLABLE HOELS
      "\uD699",  # (횙; 횙; 횙; 횙; 횙; ) HANGUL SYLLABLE HOELT
      "\uD69A",  # (횚; 횚; 횚; 횚; 횚; ) HANGUL SYLLABLE HOELP
      "\uD69B",  # (횛; 횛; 횛; 횛; 횛; ) HANGUL SYLLABLE HOELH
      "\uD69C",  # (횜; 횜; 횜; 횜; 횜; ) HANGUL SYLLABLE HOEM
      "\uD69D",  # (횝; 횝; 횝; 횝; 횝; ) HANGUL SYLLABLE HOEB
      "\uD69E",  # (횞; 횞; 횞; 횞; 횞; ) HANGUL SYLLABLE HOEBS
      "\uD69F",  # (횟; 횟; 횟; 횟; 횟; ) HANGUL SYLLABLE HOES
      "\uD6A0",  # (횠; 횠; 횠; 횠; 횠; ) HANGUL SYLLABLE HOESS
      "\uD6A1",  # (횡; 횡; 횡; 횡; 횡; ) HANGUL SYLLABLE HOENG
      "\uD6A2",  # (횢; 횢; 횢; 횢; 횢; ) HANGUL SYLLABLE HOEJ
      "\uD6A3",  # (횣; 횣; 횣; 횣; 횣; ) HANGUL SYLLABLE HOEC
      "\uD6A4",  # (횤; 횤; 횤; 횤; 횤; ) HANGUL SYLLABLE HOEK
      "\uD6A5",  # (횥; 횥; 횥; 횥; 횥; ) HANGUL SYLLABLE HOET
      "\uD6A6",  # (횦; 횦; 횦; 횦; 횦; ) HANGUL SYLLABLE HOEP
      "\uD6A7",  # (횧; 횧; 횧; 횧; 횧; ) HANGUL SYLLABLE HOEH
      "\uD6A8",  # (효; 효; 효; 효; 효; ) HANGUL SYLLABLE HYO
      "\uD6A9",  # (횩; 횩; 횩; 횩; 횩; ) HANGUL SYLLABLE HYOG
      "\uD6AA",  # (횪; 횪; 횪; 횪; 횪; ) HANGUL SYLLABLE HYOGG
      "\uD6AB",  # (횫; 횫; 횫; 횫; 횫; ) HANGUL SYLLABLE HYOGS
      "\uD6AC",  # (횬; 횬; 횬; 횬; 횬; ) HANGUL SYLLABLE HYON
      "\uD6AD",  # (횭; 횭; 횭; 횭; 횭; ) HANGUL SYLLABLE HYONJ
      "\uD6AE",  # (횮; 횮; 횮; 횮; 횮; ) HANGUL SYLLABLE HYONH
      "\uD6AF",  # (횯; 횯; 횯; 횯; 횯; ) HANGUL SYLLABLE HYOD
      "\uD6B0",  # (횰; 횰; 횰; 횰; 횰; ) HANGUL SYLLABLE HYOL
      "\uD6B1",  # (횱; 횱; 횱; 횱; 횱; ) HANGUL SYLLABLE HYOLG
      "\uD6B2",  # (횲; 횲; 횲; 횲; 횲; ) HANGUL SYLLABLE HYOLM
      "\uD6B3",  # (횳; 횳; 횳; 횳; 횳; ) HANGUL SYLLABLE HYOLB
      "\uD6B4",  # (횴; 횴; 횴; 횴; 횴; ) HANGUL SYLLABLE HYOLS
      "\uD6B5",  # (횵; 횵; 횵; 횵; 횵; ) HANGUL SYLLABLE HYOLT
      "\uD6B6",  # (횶; 횶; 횶; 횶; 횶; ) HANGUL SYLLABLE HYOLP
      "\uD6B7",  # (횷; 횷; 횷; 횷; 횷; ) HANGUL SYLLABLE HYOLH
      "\uD6B8",  # (횸; 횸; 횸; 횸; 횸; ) HANGUL SYLLABLE HYOM
      "\uD6B9",  # (횹; 횹; 횹; 횹; 횹; ) HANGUL SYLLABLE HYOB
      "\uD6BA",  # (횺; 횺; 횺; 횺; 횺; ) HANGUL SYLLABLE HYOBS
      "\uD6BB",  # (횻; 횻; 횻; 횻; 횻; ) HANGUL SYLLABLE HYOS
      "\uD6BC",  # (횼; 횼; 횼; 횼; 횼; ) HANGUL SYLLABLE HYOSS
      "\uD6BD",  # (횽; 횽; 횽; 횽; 횽; ) HANGUL SYLLABLE HYONG
      "\uD6BE",  # (횾; 횾; 횾; 횾; 횾; ) HANGUL SYLLABLE HYOJ
      "\uD6BF",  # (횿; 횿; 횿; 횿; 횿; ) HANGUL SYLLABLE HYOC
      "\uD6C0",  # (훀; 훀; 훀; 훀; 훀; ) HANGUL SYLLABLE HYOK
      "\uD6C1",  # (훁; 훁; 훁; 훁; 훁; ) HANGUL SYLLABLE HYOT
      "\uD6C2",  # (훂; 훂; 훂; 훂; 훂; ) HANGUL SYLLABLE HYOP
      "\uD6C3",  # (훃; 훃; 훃; 훃; 훃; ) HANGUL SYLLABLE HYOH
      "\uD6C4",  # (후; 후; 후; 후; 후; ) HANGUL SYLLABLE HU
      "\uD6C5",  # (훅; 훅; 훅; 훅; 훅; ) HANGUL SYLLABLE HUG
      "\uD6C6",  # (훆; 훆; 훆; 훆; 훆; ) HANGUL SYLLABLE HUGG
      "\uD6C7",  # (훇; 훇; 훇; 훇; 훇; ) HANGUL SYLLABLE HUGS
      "\uD6C8",  # (훈; 훈; 훈; 훈; 훈; ) HANGUL SYLLABLE HUN
      "\uD6C9",  # (훉; 훉; 훉; 훉; 훉; ) HANGUL SYLLABLE HUNJ
      "\uD6CA",  # (훊; 훊; 훊; 훊; 훊; ) HANGUL SYLLABLE HUNH
      "\uD6CB",  # (훋; 훋; 훋; 훋; 훋; ) HANGUL SYLLABLE HUD
      "\uD6CC",  # (훌; 훌; 훌; 훌; 훌; ) HANGUL SYLLABLE HUL
      "\uD6CD",  # (훍; 훍; 훍; 훍; 훍; ) HANGUL SYLLABLE HULG
      "\uD6CE",  # (훎; 훎; 훎; 훎; 훎; ) HANGUL SYLLABLE HULM
      "\uD6CF",  # (훏; 훏; 훏; 훏; 훏; ) HANGUL SYLLABLE HULB
      "\uD6D0",  # (훐; 훐; 훐; 훐; 훐; ) HANGUL SYLLABLE HULS
      "\uD6D1",  # (훑; 훑; 훑; 훑; 훑; ) HANGUL SYLLABLE HULT
      "\uD6D2",  # (훒; 훒; 훒; 훒; 훒; ) HANGUL SYLLABLE HULP
      "\uD6D3",  # (훓; 훓; 훓; 훓; 훓; ) HANGUL SYLLABLE HULH
      "\uD6D4",  # (훔; 훔; 훔; 훔; 훔; ) HANGUL SYLLABLE HUM
      "\uD6D5",  # (훕; 훕; 훕; 훕; 훕; ) HANGUL SYLLABLE HUB
      "\uD6D6",  # (훖; 훖; 훖; 훖; 훖; ) HANGUL SYLLABLE HUBS
      "\uD6D7",  # (훗; 훗; 훗; 훗; 훗; ) HANGUL SYLLABLE HUS
      "\uD6D8",  # (훘; 훘; 훘; 훘; 훘; ) HANGUL SYLLABLE HUSS
      "\uD6D9",  # (훙; 훙; 훙; 훙; 훙; ) HANGUL SYLLABLE HUNG
      "\uD6DA",  # (훚; 훚; 훚; 훚; 훚; ) HANGUL SYLLABLE HUJ
      "\uD6DB",  # (훛; 훛; 훛; 훛; 훛; ) HANGUL SYLLABLE HUC
      "\uD6DC",  # (훜; 훜; 훜; 훜; 훜; ) HANGUL SYLLABLE HUK
      "\uD6DD",  # (훝; 훝; 훝; 훝; 훝; ) HANGUL SYLLABLE HUT
      "\uD6DE",  # (훞; 훞; 훞; 훞; 훞; ) HANGUL SYLLABLE HUP
      "\uD6DF",  # (훟; 훟; 훟; 훟; 훟; ) HANGUL SYLLABLE HUH
      "\uD6E0",  # (훠; 훠; 훠; 훠; 훠; ) HANGUL SYLLABLE HWEO
      "\uD6E1",  # (훡; 훡; 훡; 훡; 훡; ) HANGUL SYLLABLE HWEOG
      "\uD6E2",  # (훢; 훢; 훢; 훢; 훢; ) HANGUL SYLLABLE HWEOGG
      "\uD6E3",  # (훣; 훣; 훣; 훣; 훣; ) HANGUL SYLLABLE HWEOGS
      "\uD6E4",  # (훤; 훤; 훤; 훤; 훤; ) HANGUL SYLLABLE HWEON
      "\uD6E5",  # (훥; 훥; 훥; 훥; 훥; ) HANGUL SYLLABLE HWEONJ
      "\uD6E6",  # (훦; 훦; 훦; 훦; 훦; ) HANGUL SYLLABLE HWEONH
      "\uD6E7",  # (훧; 훧; 훧; 훧; 훧; ) HANGUL SYLLABLE HWEOD
      "\uD6E8",  # (훨; 훨; 훨; 훨; 훨; ) HANGUL SYLLABLE HWEOL
      "\uD6E9",  # (훩; 훩; 훩; 훩; 훩; ) HANGUL SYLLABLE HWEOLG
      "\uD6EA",  # (훪; 훪; 훪; 훪; 훪; ) HANGUL SYLLABLE HWEOLM
      "\uD6EB",  # (훫; 훫; 훫; 훫; 훫; ) HANGUL SYLLABLE HWEOLB
      "\uD6EC",  # (훬; 훬; 훬; 훬; 훬; ) HANGUL SYLLABLE HWEOLS
      "\uD6ED",  # (훭; 훭; 훭; 훭; 훭; ) HANGUL SYLLABLE HWEOLT
      "\uD6EE",  # (훮; 훮; 훮; 훮; 훮; ) HANGUL SYLLABLE HWEOLP
      "\uD6EF",  # (훯; 훯; 훯; 훯; 훯; ) HANGUL SYLLABLE HWEOLH
      "\uD6F0",  # (훰; 훰; 훰; 훰; 훰; ) HANGUL SYLLABLE HWEOM
      "\uD6F1",  # (훱; 훱; 훱; 훱; 훱; ) HANGUL SYLLABLE HWEOB
      "\uD6F2",  # (훲; 훲; 훲; 훲; 훲; ) HANGUL SYLLABLE HWEOBS
      "\uD6F3",  # (훳; 훳; 훳; 훳; 훳; ) HANGUL SYLLABLE HWEOS
      "\uD6F4",  # (훴; 훴; 훴; 훴; 훴; ) HANGUL SYLLABLE HWEOSS
      "\uD6F5",  # (훵; 훵; 훵; 훵; 훵; ) HANGUL SYLLABLE HWEONG
      "\uD6F6",  # (훶; 훶; 훶; 훶; 훶; ) HANGUL SYLLABLE HWEOJ
      "\uD6F7",  # (훷; 훷; 훷; 훷; 훷; ) HANGUL SYLLABLE HWEOC
      "\uD6F8",  # (훸; 훸; 훸; 훸; 훸; ) HANGUL SYLLABLE HWEOK
      "\uD6F9",  # (훹; 훹; 훹; 훹; 훹; ) HANGUL SYLLABLE HWEOT
      "\uD6FA",  # (훺; 훺; 훺; 훺; 훺; ) HANGUL SYLLABLE HWEOP
      "\uD6FB",  # (훻; 훻; 훻; 훻; 훻; ) HANGUL SYLLABLE HWEOH
      "\uD6FC",  # (훼; 훼; 훼; 훼; 훼; ) HANGUL SYLLABLE HWE
      "\uD6FD",  # (훽; 훽; 훽; 훽; 훽; ) HANGUL SYLLABLE HWEG
      "\uD6FE",  # (훾; 훾; 훾; 훾; 훾; ) HANGUL SYLLABLE HWEGG
      "\uD6FF",  # (훿; 훿; 훿; 훿; 훿; ) HANGUL SYLLABLE HWEGS
      "\uD700",  # (휀; 휀; 휀; 휀; 휀; ) HANGUL SYLLABLE HWEN
      "\uD701",  # (휁; 휁; 휁; 휁; 휁; ) HANGUL SYLLABLE HWENJ
      "\uD702",  # (휂; 휂; 휂; 휂; 휂; ) HANGUL SYLLABLE HWENH
      "\uD703",  # (휃; 휃; 휃; 휃; 휃; ) HANGUL SYLLABLE HWED
      "\uD704",  # (휄; 휄; 휄; 휄; 휄; ) HANGUL SYLLABLE HWEL
      "\uD705",  # (휅; 휅; 휅; 휅; 휅; ) HANGUL SYLLABLE HWELG
      "\uD706",  # (휆; 휆; 휆; 휆; 휆; ) HANGUL SYLLABLE HWELM
      "\uD707",  # (휇; 휇; 휇; 휇; 휇; ) HANGUL SYLLABLE HWELB
      "\uD708",  # (휈; 휈; 휈; 휈; 휈; ) HANGUL SYLLABLE HWELS
      "\uD709",  # (휉; 휉; 휉; 휉; 휉; ) HANGUL SYLLABLE HWELT
      "\uD70A",  # (휊; 휊; 휊; 휊; 휊; ) HANGUL SYLLABLE HWELP
      "\uD70B",  # (휋; 휋; 휋; 휋; 휋; ) HANGUL SYLLABLE HWELH
      "\uD70C",  # (휌; 휌; 휌; 휌; 휌; ) HANGUL SYLLABLE HWEM
      "\uD70D",  # (휍; 휍; 휍; 휍; 휍; ) HANGUL SYLLABLE HWEB
      "\uD70E",  # (휎; 휎; 휎; 휎; 휎; ) HANGUL SYLLABLE HWEBS
      "\uD70F",  # (휏; 휏; 휏; 휏; 휏; ) HANGUL SYLLABLE HWES
      "\uD710",  # (휐; 휐; 휐; 휐; 휐; ) HANGUL SYLLABLE HWESS
      "\uD711",  # (휑; 휑; 휑; 휑; 휑; ) HANGUL SYLLABLE HWENG
      "\uD712",  # (휒; 휒; 휒; 휒; 휒; ) HANGUL SYLLABLE HWEJ
      "\uD713",  # (휓; 휓; 휓; 휓; 휓; ) HANGUL SYLLABLE HWEC
      "\uD714",  # (휔; 휔; 휔; 휔; 휔; ) HANGUL SYLLABLE HWEK
      "\uD715",  # (휕; 휕; 휕; 휕; 휕; ) HANGUL SYLLABLE HWET
      "\uD716",  # (휖; 휖; 휖; 휖; 휖; ) HANGUL SYLLABLE HWEP
      "\uD717",  # (휗; 휗; 휗; 휗; 휗; ) HANGUL SYLLABLE HWEH
      "\uD718",  # (휘; 휘; 휘; 휘; 휘; ) HANGUL SYLLABLE HWI
      "\uD719",  # (휙; 휙; 휙; 휙; 휙; ) HANGUL SYLLABLE HWIG
      "\uD71A",  # (휚; 휚; 휚; 휚; 휚; ) HANGUL SYLLABLE HWIGG
      "\uD71B",  # (휛; 휛; 휛; 휛; 휛; ) HANGUL SYLLABLE HWIGS
      "\uD71C",  # (휜; 휜; 휜; 휜; 휜; ) HANGUL SYLLABLE HWIN
      "\uD71D",  # (휝; 휝; 휝; 휝; 휝; ) HANGUL SYLLABLE HWINJ
      "\uD71E",  # (휞; 휞; 휞; 휞; 휞; ) HANGUL SYLLABLE HWINH
      "\uD71F",  # (휟; 휟; 휟; 휟; 휟; ) HANGUL SYLLABLE HWID
      "\uD720",  # (휠; 휠; 휠; 휠; 휠; ) HANGUL SYLLABLE HWIL
      "\uD721",  # (휡; 휡; 휡; 휡; 휡; ) HANGUL SYLLABLE HWILG
      "\uD722",  # (휢; 휢; 휢; 휢; 휢; ) HANGUL SYLLABLE HWILM
      "\uD723",  # (휣; 휣; 휣; 휣; 휣; ) HANGUL SYLLABLE HWILB
      "\uD724",  # (휤; 휤; 휤; 휤; 휤; ) HANGUL SYLLABLE HWILS
      "\uD725",  # (휥; 휥; 휥; 휥; 휥; ) HANGUL SYLLABLE HWILT
      "\uD726",  # (휦; 휦; 휦; 휦; 휦; ) HANGUL SYLLABLE HWILP
      "\uD727",  # (휧; 휧; 휧; 휧; 휧; ) HANGUL SYLLABLE HWILH
      "\uD728",  # (휨; 휨; 휨; 휨; 휨; ) HANGUL SYLLABLE HWIM
      "\uD729",  # (휩; 휩; 휩; 휩; 휩; ) HANGUL SYLLABLE HWIB
      "\uD72A",  # (휪; 휪; 휪; 휪; 휪; ) HANGUL SYLLABLE HWIBS
      "\uD72B",  # (휫; 휫; 휫; 휫; 휫; ) HANGUL SYLLABLE HWIS
      "\uD72C",  # (휬; 휬; 휬; 휬; 휬; ) HANGUL SYLLABLE HWISS
      "\uD72D",  # (휭; 휭; 휭; 휭; 휭; ) HANGUL SYLLABLE HWING
      "\uD72E",  # (휮; 휮; 휮; 휮; 휮; ) HANGUL SYLLABLE HWIJ
      "\uD72F",  # (휯; 휯; 휯; 휯; 휯; ) HANGUL SYLLABLE HWIC
      "\uD730",  # (휰; 휰; 휰; 휰; 휰; ) HANGUL SYLLABLE HWIK
      "\uD731",  # (휱; 휱; 휱; 휱; 휱; ) HANGUL SYLLABLE HWIT
      "\uD732",  # (휲; 휲; 휲; 휲; 휲; ) HANGUL SYLLABLE HWIP
      "\uD733",  # (휳; 휳; 휳; 휳; 휳; ) HANGUL SYLLABLE HWIH
      "\uD734",  # (휴; 휴; 휴; 휴; 휴; ) HANGUL SYLLABLE HYU
      "\uD735",  # (휵; 휵; 휵; 휵; 휵; ) HANGUL SYLLABLE HYUG
      "\uD736",  # (휶; 휶; 휶; 휶; 휶; ) HANGUL SYLLABLE HYUGG
      "\uD737",  # (휷; 휷; 휷; 휷; 휷; ) HANGUL SYLLABLE HYUGS
      "\uD738",  # (휸; 휸; 휸; 휸; 휸; ) HANGUL SYLLABLE HYUN
      "\uD739",  # (휹; 휹; 휹; 휹; 휹; ) HANGUL SYLLABLE HYUNJ
      "\uD73A",  # (휺; 휺; 휺; 휺; 휺; ) HANGUL SYLLABLE HYUNH
      "\uD73B",  # (휻; 휻; 휻; 휻; 휻; ) HANGUL SYLLABLE HYUD
      "\uD73C",  # (휼; 휼; 휼; 휼; 휼; ) HANGUL SYLLABLE HYUL
      "\uD73D",  # (휽; 휽; 휽; 휽; 휽; ) HANGUL SYLLABLE HYULG
      "\uD73E",  # (휾; 휾; 휾; 휾; 휾; ) HANGUL SYLLABLE HYULM
      "\uD73F",  # (휿; 휿; 휿; 휿; 휿; ) HANGUL SYLLABLE HYULB
      "\uD740",  # (흀; 흀; 흀; 흀; 흀; ) HANGUL SYLLABLE HYULS
      "\uD741",  # (흁; 흁; 흁; 흁; 흁; ) HANGUL SYLLABLE HYULT
      "\uD742",  # (흂; 흂; 흂; 흂; 흂; ) HANGUL SYLLABLE HYULP
      "\uD743",  # (흃; 흃; 흃; 흃; 흃; ) HANGUL SYLLABLE HYULH
      "\uD744",  # (흄; 흄; 흄; 흄; 흄; ) HANGUL SYLLABLE HYUM
      "\uD745",  # (흅; 흅; 흅; 흅; 흅; ) HANGUL SYLLABLE HYUB
      "\uD746",  # (흆; 흆; 흆; 흆; 흆; ) HANGUL SYLLABLE HYUBS
      "\uD747",  # (흇; 흇; 흇; 흇; 흇; ) HANGUL SYLLABLE HYUS
      "\uD748",  # (흈; 흈; 흈; 흈; 흈; ) HANGUL SYLLABLE HYUSS
      "\uD749",  # (흉; 흉; 흉; 흉; 흉; ) HANGUL SYLLABLE HYUNG
      "\uD74A",  # (흊; 흊; 흊; 흊; 흊; ) HANGUL SYLLABLE HYUJ
      "\uD74B",  # (흋; 흋; 흋; 흋; 흋; ) HANGUL SYLLABLE HYUC
      "\uD74C",  # (흌; 흌; 흌; 흌; 흌; ) HANGUL SYLLABLE HYUK
      "\uD74D",  # (흍; 흍; 흍; 흍; 흍; ) HANGUL SYLLABLE HYUT
      "\uD74E",  # (흎; 흎; 흎; 흎; 흎; ) HANGUL SYLLABLE HYUP
      "\uD74F",  # (흏; 흏; 흏; 흏; 흏; ) HANGUL SYLLABLE HYUH
      "\uD750",  # (흐; 흐; 흐; 흐; 흐; ) HANGUL SYLLABLE HEU
      "\uD751",  # (흑; 흑; 흑; 흑; 흑; ) HANGUL SYLLABLE HEUG
      "\uD752",  # (흒; 흒; 흒; 흒; 흒; ) HANGUL SYLLABLE HEUGG
      "\uD753",  # (흓; 흓; 흓; 흓; 흓; ) HANGUL SYLLABLE HEUGS
      "\uD754",  # (흔; 흔; 흔; 흔; 흔; ) HANGUL SYLLABLE HEUN
      "\uD755",  # (흕; 흕; 흕; 흕; 흕; ) HANGUL SYLLABLE HEUNJ
      "\uD756",  # (흖; 흖; 흖; 흖; 흖; ) HANGUL SYLLABLE HEUNH
      "\uD757",  # (흗; 흗; 흗; 흗; 흗; ) HANGUL SYLLABLE HEUD
      "\uD758",  # (흘; 흘; 흘; 흘; 흘; ) HANGUL SYLLABLE HEUL
      "\uD759",  # (흙; 흙; 흙; 흙; 흙; ) HANGUL SYLLABLE HEULG
      "\uD75A",  # (흚; 흚; 흚; 흚; 흚; ) HANGUL SYLLABLE HEULM
      "\uD75B",  # (흛; 흛; 흛; 흛; 흛; ) HANGUL SYLLABLE HEULB
      "\uD75C",  # (흜; 흜; 흜; 흜; 흜; ) HANGUL SYLLABLE HEULS
      "\uD75D",  # (흝; 흝; 흝; 흝; 흝; ) HANGUL SYLLABLE HEULT
      "\uD75E",  # (흞; 흞; 흞; 흞; 흞; ) HANGUL SYLLABLE HEULP
      "\uD75F",  # (흟; 흟; 흟; 흟; 흟; ) HANGUL SYLLABLE HEULH
      "\uD760",  # (흠; 흠; 흠; 흠; 흠; ) HANGUL SYLLABLE HEUM
      "\uD761",  # (흡; 흡; 흡; 흡; 흡; ) HANGUL SYLLABLE HEUB
      "\uD762",  # (흢; 흢; 흢; 흢; 흢; ) HANGUL SYLLABLE HEUBS
      "\uD763",  # (흣; 흣; 흣; 흣; 흣; ) HANGUL SYLLABLE HEUS
      "\uD764",  # (흤; 흤; 흤; 흤; 흤; ) HANGUL SYLLABLE HEUSS
      "\uD765",  # (흥; 흥; 흥; 흥; 흥; ) HANGUL SYLLABLE HEUNG
      "\uD766",  # (흦; 흦; 흦; 흦; 흦; ) HANGUL SYLLABLE HEUJ
      "\uD767",  # (흧; 흧; 흧; 흧; 흧; ) HANGUL SYLLABLE HEUC
      "\uD768",  # (흨; 흨; 흨; 흨; 흨; ) HANGUL SYLLABLE HEUK
      "\uD769",  # (흩; 흩; 흩; 흩; 흩; ) HANGUL SYLLABLE HEUT
      "\uD76A",  # (흪; 흪; 흪; 흪; 흪; ) HANGUL SYLLABLE HEUP
      "\uD76B",  # (흫; 흫; 흫; 흫; 흫; ) HANGUL SYLLABLE HEUH
      "\uD76C",  # (희; 희; 희; 희; 희; ) HANGUL SYLLABLE HYI
      "\uD76D",  # (흭; 흭; 흭; 흭; 흭; ) HANGUL SYLLABLE HYIG
      "\uD76E",  # (흮; 흮; 흮; 흮; 흮; ) HANGUL SYLLABLE HYIGG
      "\uD76F",  # (흯; 흯; 흯; 흯; 흯; ) HANGUL SYLLABLE HYIGS
      "\uD770",  # (흰; 흰; 흰; 흰; 흰; ) HANGUL SYLLABLE HYIN
      "\uD771",  # (흱; 흱; 흱; 흱; 흱; ) HANGUL SYLLABLE HYINJ
      "\uD772",  # (흲; 흲; 흲; 흲; 흲; ) HANGUL SYLLABLE HYINH
      "\uD773",  # (흳; 흳; 흳; 흳; 흳; ) HANGUL SYLLABLE HYID
      "\uD774",  # (흴; 흴; 흴; 흴; 흴; ) HANGUL SYLLABLE HYIL
      "\uD775",  # (흵; 흵; 흵; 흵; 흵; ) HANGUL SYLLABLE HYILG
      "\uD776",  # (흶; 흶; 흶; 흶; 흶; ) HANGUL SYLLABLE HYILM
      "\uD777",  # (흷; 흷; 흷; 흷; 흷; ) HANGUL SYLLABLE HYILB
      "\uD778",  # (흸; 흸; 흸; 흸; 흸; ) HANGUL SYLLABLE HYILS
      "\uD779",  # (흹; 흹; 흹; 흹; 흹; ) HANGUL SYLLABLE HYILT
      "\uD77A",  # (흺; 흺; 흺; 흺; 흺; ) HANGUL SYLLABLE HYILP
      "\uD77B",  # (흻; 흻; 흻; 흻; 흻; ) HANGUL SYLLABLE HYILH
      "\uD77C",  # (흼; 흼; 흼; 흼; 흼; ) HANGUL SYLLABLE HYIM
      "\uD77D",  # (흽; 흽; 흽; 흽; 흽; ) HANGUL SYLLABLE HYIB
      "\uD77E",  # (흾; 흾; 흾; 흾; 흾; ) HANGUL SYLLABLE HYIBS
      "\uD77F",  # (흿; 흿; 흿; 흿; 흿; ) HANGUL SYLLABLE HYIS
      "\uD780",  # (힀; 힀; 힀; 힀; 힀; ) HANGUL SYLLABLE HYISS
      "\uD781",  # (힁; 힁; 힁; 힁; 힁; ) HANGUL SYLLABLE HYING
      "\uD782",  # (힂; 힂; 힂; 힂; 힂; ) HANGUL SYLLABLE HYIJ
      "\uD783",  # (힃; 힃; 힃; 힃; 힃; ) HANGUL SYLLABLE HYIC
      "\uD784",  # (힄; 힄; 힄; 힄; 힄; ) HANGUL SYLLABLE HYIK
      "\uD785",  # (힅; 힅; 힅; 힅; 힅; ) HANGUL SYLLABLE HYIT
      "\uD786",  # (힆; 힆; 힆; 힆; 힆; ) HANGUL SYLLABLE HYIP
      "\uD787",  # (힇; 힇; 힇; 힇; 힇; ) HANGUL SYLLABLE HYIH
      "\uD788",  # (히; 히; 히; 히; 히; ) HANGUL SYLLABLE HI
      "\uD789",  # (힉; 힉; 힉; 힉; 힉; ) HANGUL SYLLABLE HIG
      "\uD78A",  # (힊; 힊; 힊; 힊; 힊; ) HANGUL SYLLABLE HIGG
      "\uD78B",  # (힋; 힋; 힋; 힋; 힋; ) HANGUL SYLLABLE HIGS
      "\uD78C",  # (힌; 힌; 힌; 힌; 힌; ) HANGUL SYLLABLE HIN
      "\uD78D",  # (힍; 힍; 힍; 힍; 힍; ) HANGUL SYLLABLE HINJ
      "\uD78E",  # (힎; 힎; 힎; 힎; 힎; ) HANGUL SYLLABLE HINH
      "\uD78F",  # (힏; 힏; 힏; 힏; 힏; ) HANGUL SYLLABLE HID
      "\uD790",  # (힐; 힐; 힐; 힐; 힐; ) HANGUL SYLLABLE HIL
      "\uD791",  # (힑; 힑; 힑; 힑; 힑; ) HANGUL SYLLABLE HILG
      "\uD792",  # (힒; 힒; 힒; 힒; 힒; ) HANGUL SYLLABLE HILM
      "\uD793",  # (힓; 힓; 힓; 힓; 힓; ) HANGUL SYLLABLE HILB
      "\uD794",  # (힔; 힔; 힔; 힔; 힔; ) HANGUL SYLLABLE HILS
      "\uD795",  # (힕; 힕; 힕; 힕; 힕; ) HANGUL SYLLABLE HILT
      "\uD796",  # (힖; 힖; 힖; 힖; 힖; ) HANGUL SYLLABLE HILP
      "\uD797",  # (힗; 힗; 힗; 힗; 힗; ) HANGUL SYLLABLE HILH
      "\uD798",  # (힘; 힘; 힘; 힘; 힘; ) HANGUL SYLLABLE HIM
      "\uD799",  # (힙; 힙; 힙; 힙; 힙; ) HANGUL SYLLABLE HIB
      "\uD79A",  # (힚; 힚; 힚; 힚; 힚; ) HANGUL SYLLABLE HIBS
      "\uD79B",  # (힛; 힛; 힛; 힛; 힛; ) HANGUL SYLLABLE HIS
      "\uD79C",  # (힜; 힜; 힜; 힜; 힜; ) HANGUL SYLLABLE HISS
      "\uD79D",  # (힝; 힝; 힝; 힝; 힝; ) HANGUL SYLLABLE HING
      "\uD79E",  # (힞; 힞; 힞; 힞; 힞; ) HANGUL SYLLABLE HIJ
      "\uD79F",  # (힟; 힟; 힟; 힟; 힟; ) HANGUL SYLLABLE HIC
      "\uD7A0",  # (힠; 힠; 힠; 힠; 힠; ) HANGUL SYLLABLE HIK
      "\uD7A1",  # (힡; 힡; 힡; 힡; 힡; ) HANGUL SYLLABLE HIT
      "\uD7A2",  # (힢; 힢; 힢; 힢; 힢; ) HANGUL SYLLABLE HIP
      "\uD7A3",  # (힣; 힣; 힣; 힣; 힣; ) HANGUL SYLLABLE HIH
      "\uF900",  # (豈; 豈; 豈; 豈; 豈; ) CJK COMPATIBILITY IDEOGRAPH-F900
      "\uF901",  # (更; 更; 更; 更; 更; ) CJK COMPATIBILITY IDEOGRAPH-F901
      "\uF902",  # (車; 車; 車; 車; 車; ) CJK COMPATIBILITY IDEOGRAPH-F902
      "\uF903",  # (賈; 賈; 賈; 賈; 賈; ) CJK COMPATIBILITY IDEOGRAPH-F903
      "\uF904",  # (滑; 滑; 滑; 滑; 滑; ) CJK COMPATIBILITY IDEOGRAPH-F904
      "\uF905",  # (串; 串; 串; 串; 串; ) CJK COMPATIBILITY IDEOGRAPH-F905
      "\uF906",  # (句; 句; 句; 句; 句; ) CJK COMPATIBILITY IDEOGRAPH-F906
      "\uF907",  # (龜; 龜; 龜; 龜; 龜; ) CJK COMPATIBILITY IDEOGRAPH-F907
      "\uF908",  # (龜; 龜; 龜; 龜; 龜; ) CJK COMPATIBILITY IDEOGRAPH-F908
      "\uF909",  # (契; 契; 契; 契; 契; ) CJK COMPATIBILITY IDEOGRAPH-F909
      "\uF90A",  # (金; 金; 金; 金; 金; ) CJK COMPATIBILITY IDEOGRAPH-F90A
      "\uF90B",  # (喇; 喇; 喇; 喇; 喇; ) CJK COMPATIBILITY IDEOGRAPH-F90B
      "\uF90C",  # (奈; 奈; 奈; 奈; 奈; ) CJK COMPATIBILITY IDEOGRAPH-F90C
      "\uF90D",  # (懶; 懶; 懶; 懶; 懶; ) CJK COMPATIBILITY IDEOGRAPH-F90D
      "\uF90E",  # (癩; 癩; 癩; 癩; 癩; ) CJK COMPATIBILITY IDEOGRAPH-F90E
      "\uF90F",  # (羅; 羅; 羅; 羅; 羅; ) CJK COMPATIBILITY IDEOGRAPH-F90F
      "\uF910",  # (蘿; 蘿; 蘿; 蘿; 蘿; ) CJK COMPATIBILITY IDEOGRAPH-F910
      "\uF911",  # (螺; 螺; 螺; 螺; 螺; ) CJK COMPATIBILITY IDEOGRAPH-F911
      "\uF912",  # (裸; 裸; 裸; 裸; 裸; ) CJK COMPATIBILITY IDEOGRAPH-F912
      "\uF913",  # (邏; 邏; 邏; 邏; 邏; ) CJK COMPATIBILITY IDEOGRAPH-F913
      "\uF914",  # (樂; 樂; 樂; 樂; 樂; ) CJK COMPATIBILITY IDEOGRAPH-F914
      "\uF915",  # (洛; 洛; 洛; 洛; 洛; ) CJK COMPATIBILITY IDEOGRAPH-F915
      "\uF916",  # (烙; 烙; 烙; 烙; 烙; ) CJK COMPATIBILITY IDEOGRAPH-F916
      "\uF917",  # (珞; 珞; 珞; 珞; 珞; ) CJK COMPATIBILITY IDEOGRAPH-F917
      "\uF918",  # (落; 落; 落; 落; 落; ) CJK COMPATIBILITY IDEOGRAPH-F918
      "\uF919",  # (酪; 酪; 酪; 酪; 酪; ) CJK COMPATIBILITY IDEOGRAPH-F919
      "\uF91A",  # (駱; 駱; 駱; 駱; 駱; ) CJK COMPATIBILITY IDEOGRAPH-F91A
      "\uF91B",  # (亂; 亂; 亂; 亂; 亂; ) CJK COMPATIBILITY IDEOGRAPH-F91B
      "\uF91C",  # (卵; 卵; 卵; 卵; 卵; ) CJK COMPATIBILITY IDEOGRAPH-F91C
      "\uF91D",  # (欄; 欄; 欄; 欄; 欄; ) CJK COMPATIBILITY IDEOGRAPH-F91D
      "\uF91E",  # (爛; 爛; 爛; 爛; 爛; ) CJK COMPATIBILITY IDEOGRAPH-F91E
      "\uF91F",  # (蘭; 蘭; 蘭; 蘭; 蘭; ) CJK COMPATIBILITY IDEOGRAPH-F91F
      "\uF920",  # (鸞; 鸞; 鸞; 鸞; 鸞; ) CJK COMPATIBILITY IDEOGRAPH-F920
      "\uF921",  # (嵐; 嵐; 嵐; 嵐; 嵐; ) CJK COMPATIBILITY IDEOGRAPH-F921
      "\uF922",  # (濫; 濫; 濫; 濫; 濫; ) CJK COMPATIBILITY IDEOGRAPH-F922
      "\uF923",  # (藍; 藍; 藍; 藍; 藍; ) CJK COMPATIBILITY IDEOGRAPH-F923
      "\uF924",  # (襤; 襤; 襤; 襤; 襤; ) CJK COMPATIBILITY IDEOGRAPH-F924
      "\uF925",  # (拉; 拉; 拉; 拉; 拉; ) CJK COMPATIBILITY IDEOGRAPH-F925
      "\uF926",  # (臘; 臘; 臘; 臘; 臘; ) CJK COMPATIBILITY IDEOGRAPH-F926
      "\uF927",  # (蠟; 蠟; 蠟; 蠟; 蠟; ) CJK COMPATIBILITY IDEOGRAPH-F927
      "\uF928",  # (廊; 廊; 廊; 廊; 廊; ) CJK COMPATIBILITY IDEOGRAPH-F928
      "\uF929",  # (朗; 朗; 朗; 朗; 朗; ) CJK COMPATIBILITY IDEOGRAPH-F929
      "\uF92A",  # (浪; 浪; 浪; 浪; 浪; ) CJK COMPATIBILITY IDEOGRAPH-F92A
      "\uF92B",  # (狼; 狼; 狼; 狼; 狼; ) CJK COMPATIBILITY IDEOGRAPH-F92B
      "\uF92C",  # (郎; 郎; 郎; 郎; 郎; ) CJK COMPATIBILITY IDEOGRAPH-F92C
      "\uF92D",  # (來; 來; 來; 來; 來; ) CJK COMPATIBILITY IDEOGRAPH-F92D
      "\uF92E",  # (冷; 冷; 冷; 冷; 冷; ) CJK COMPATIBILITY IDEOGRAPH-F92E
      "\uF92F",  # (勞; 勞; 勞; 勞; 勞; ) CJK COMPATIBILITY IDEOGRAPH-F92F
      "\uF930",  # (擄; 擄; 擄; 擄; 擄; ) CJK COMPATIBILITY IDEOGRAPH-F930
      "\uF931",  # (櫓; 櫓; 櫓; 櫓; 櫓; ) CJK COMPATIBILITY IDEOGRAPH-F931
      "\uF932",  # (爐; 爐; 爐; 爐; 爐; ) CJK COMPATIBILITY IDEOGRAPH-F932
      "\uF933",  # (盧; 盧; 盧; 盧; 盧; ) CJK COMPATIBILITY IDEOGRAPH-F933
      "\uF934",  # (老; 老; 老; 老; 老; ) CJK COMPATIBILITY IDEOGRAPH-F934
      "\uF935",  # (蘆; 蘆; 蘆; 蘆; 蘆; ) CJK COMPATIBILITY IDEOGRAPH-F935
      "\uF936",  # (虜; 虜; 虜; 虜; 虜; ) CJK COMPATIBILITY IDEOGRAPH-F936
      "\uF937",  # (路; 路; 路; 路; 路; ) CJK COMPATIBILITY IDEOGRAPH-F937
      "\uF938",  # (露; 露; 露; 露; 露; ) CJK COMPATIBILITY IDEOGRAPH-F938
      "\uF939",  # (魯; 魯; 魯; 魯; 魯; ) CJK COMPATIBILITY IDEOGRAPH-F939
      "\uF93A",  # (鷺; 鷺; 鷺; 鷺; 鷺; ) CJK COMPATIBILITY IDEOGRAPH-F93A
      "\uF93B",  # (碌; 碌; 碌; 碌; 碌; ) CJK COMPATIBILITY IDEOGRAPH-F93B
      "\uF93C",  # (祿; 祿; 祿; 祿; 祿; ) CJK COMPATIBILITY IDEOGRAPH-F93C
      "\uF93D",  # (綠; 綠; 綠; 綠; 綠; ) CJK COMPATIBILITY IDEOGRAPH-F93D
      "\uF93E",  # (菉; 菉; 菉; 菉; 菉; ) CJK COMPATIBILITY IDEOGRAPH-F93E
      "\uF93F",  # (錄; 錄; 錄; 錄; 錄; ) CJK COMPATIBILITY IDEOGRAPH-F93F
      "\uF940",  # (鹿; 鹿; 鹿; 鹿; 鹿; ) CJK COMPATIBILITY IDEOGRAPH-F940
      "\uF941",  # (論; 論; 論; 論; 論; ) CJK COMPATIBILITY IDEOGRAPH-F941
      "\uF942",  # (壟; 壟; 壟; 壟; 壟; ) CJK COMPATIBILITY IDEOGRAPH-F942
      "\uF943",  # (弄; 弄; 弄; 弄; 弄; ) CJK COMPATIBILITY IDEOGRAPH-F943
      "\uF944",  # (籠; 籠; 籠; 籠; 籠; ) CJK COMPATIBILITY IDEOGRAPH-F944
      "\uF945",  # (聾; 聾; 聾; 聾; 聾; ) CJK COMPATIBILITY IDEOGRAPH-F945
      "\uF946",  # (牢; 牢; 牢; 牢; 牢; ) CJK COMPATIBILITY IDEOGRAPH-F946
      "\uF947",  # (磊; 磊; 磊; 磊; 磊; ) CJK COMPATIBILITY IDEOGRAPH-F947
      "\uF948",  # (賂; 賂; 賂; 賂; 賂; ) CJK COMPATIBILITY IDEOGRAPH-F948
      "\uF949",  # (雷; 雷; 雷; 雷; 雷; ) CJK COMPATIBILITY IDEOGRAPH-F949
      "\uF94A",  # (壘; 壘; 壘; 壘; 壘; ) CJK COMPATIBILITY IDEOGRAPH-F94A
      "\uF94B",  # (屢; 屢; 屢; 屢; 屢; ) CJK COMPATIBILITY IDEOGRAPH-F94B
      "\uF94C",  # (樓; 樓; 樓; 樓; 樓; ) CJK COMPATIBILITY IDEOGRAPH-F94C
      "\uF94D",  # (淚; 淚; 淚; 淚; 淚; ) CJK COMPATIBILITY IDEOGRAPH-F94D
      "\uF94E",  # (漏; 漏; 漏; 漏; 漏; ) CJK COMPATIBILITY IDEOGRAPH-F94E
      "\uF94F",  # (累; 累; 累; 累; 累; ) CJK COMPATIBILITY IDEOGRAPH-F94F
      "\uF950",  # (縷; 縷; 縷; 縷; 縷; ) CJK COMPATIBILITY IDEOGRAPH-F950
      "\uF951",  # (陋; 陋; 陋; 陋; 陋; ) CJK COMPATIBILITY IDEOGRAPH-F951
      "\uF952",  # (勒; 勒; 勒; 勒; 勒; ) CJK COMPATIBILITY IDEOGRAPH-F952
      "\uF953",  # (肋; 肋; 肋; 肋; 肋; ) CJK COMPATIBILITY IDEOGRAPH-F953
      "\uF954",  # (凜; 凜; 凜; 凜; 凜; ) CJK COMPATIBILITY IDEOGRAPH-F954
      "\uF955",  # (凌; 凌; 凌; 凌; 凌; ) CJK COMPATIBILITY IDEOGRAPH-F955
      "\uF956",  # (稜; 稜; 稜; 稜; 稜; ) CJK COMPATIBILITY IDEOGRAPH-F956
      "\uF957",  # (綾; 綾; 綾; 綾; 綾; ) CJK COMPATIBILITY IDEOGRAPH-F957
      "\uF958",  # (菱; 菱; 菱; 菱; 菱; ) CJK COMPATIBILITY IDEOGRAPH-F958
      "\uF959",  # (陵; 陵; 陵; 陵; 陵; ) CJK COMPATIBILITY IDEOGRAPH-F959
      "\uF95A",  # (讀; 讀; 讀; 讀; 讀; ) CJK COMPATIBILITY IDEOGRAPH-F95A
      "\uF95B",  # (拏; 拏; 拏; 拏; 拏; ) CJK COMPATIBILITY IDEOGRAPH-F95B
      "\uF95C",  # (樂; 樂; 樂; 樂; 樂; ) CJK COMPATIBILITY IDEOGRAPH-F95C
      "\uF95D",  # (諾; 諾; 諾; 諾; 諾; ) CJK COMPATIBILITY IDEOGRAPH-F95D
      "\uF95E",  # (丹; 丹; 丹; 丹; 丹; ) CJK COMPATIBILITY IDEOGRAPH-F95E
      "\uF95F",  # (寧; 寧; 寧; 寧; 寧; ) CJK COMPATIBILITY IDEOGRAPH-F95F
      "\uF960",  # (怒; 怒; 怒; 怒; 怒; ) CJK COMPATIBILITY IDEOGRAPH-F960
      "\uF961",  # (率; 率; 率; 率; 率; ) CJK COMPATIBILITY IDEOGRAPH-F961
      "\uF962",  # (異; 異; 異; 異; 異; ) CJK COMPATIBILITY IDEOGRAPH-F962
      "\uF963",  # (北; 北; 北; 北; 北; ) CJK COMPATIBILITY IDEOGRAPH-F963
      "\uF964",  # (磻; 磻; 磻; 磻; 磻; ) CJK COMPATIBILITY IDEOGRAPH-F964
      "\uF965",  # (便; 便; 便; 便; 便; ) CJK COMPATIBILITY IDEOGRAPH-F965
      "\uF966",  # (復; 復; 復; 復; 復; ) CJK COMPATIBILITY IDEOGRAPH-F966
      "\uF967",  # (不; 不; 不; 不; 不; ) CJK COMPATIBILITY IDEOGRAPH-F967
      "\uF968",  # (泌; 泌; 泌; 泌; 泌; ) CJK COMPATIBILITY IDEOGRAPH-F968
      "\uF969",  # (數; 數; 數; 數; 數; ) CJK COMPATIBILITY IDEOGRAPH-F969
      "\uF96A",  # (索; 索; 索; 索; 索; ) CJK COMPATIBILITY IDEOGRAPH-F96A
      "\uF96B",  # (參; 參; 參; 參; 參; ) CJK COMPATIBILITY IDEOGRAPH-F96B
      "\uF96C",  # (塞; 塞; 塞; 塞; 塞; ) CJK COMPATIBILITY IDEOGRAPH-F96C
      "\uF96D",  # (省; 省; 省; 省; 省; ) CJK COMPATIBILITY IDEOGRAPH-F96D
      "\uF96E",  # (葉; 葉; 葉; 葉; 葉; ) CJK COMPATIBILITY IDEOGRAPH-F96E
      "\uF96F",  # (說; 說; 說; 說; 說; ) CJK COMPATIBILITY IDEOGRAPH-F96F
      "\uF970",  # (殺; 殺; 殺; 殺; 殺; ) CJK COMPATIBILITY IDEOGRAPH-F970
      "\uF971",  # (辰; 辰; 辰; 辰; 辰; ) CJK COMPATIBILITY IDEOGRAPH-F971
      "\uF972",  # (沈; 沈; 沈; 沈; 沈; ) CJK COMPATIBILITY IDEOGRAPH-F972
      "\uF973",  # (拾; 拾; 拾; 拾; 拾; ) CJK COMPATIBILITY IDEOGRAPH-F973
      "\uF974",  # (若; 若; 若; 若; 若; ) CJK COMPATIBILITY IDEOGRAPH-F974
      "\uF975",  # (掠; 掠; 掠; 掠; 掠; ) CJK COMPATIBILITY IDEOGRAPH-F975
      "\uF976",  # (略; 略; 略; 略; 略; ) CJK COMPATIBILITY IDEOGRAPH-F976
      "\uF977",  # (亮; 亮; 亮; 亮; 亮; ) CJK COMPATIBILITY IDEOGRAPH-F977
      "\uF978",  # (兩; 兩; 兩; 兩; 兩; ) CJK COMPATIBILITY IDEOGRAPH-F978
      "\uF979",  # (凉; 凉; 凉; 凉; 凉; ) CJK COMPATIBILITY IDEOGRAPH-F979
      "\uF97A",  # (梁; 梁; 梁; 梁; 梁; ) CJK COMPATIBILITY IDEOGRAPH-F97A
      "\uF97B",  # (糧; 糧; 糧; 糧; 糧; ) CJK COMPATIBILITY IDEOGRAPH-F97B
      "\uF97C",  # (良; 良; 良; 良; 良; ) CJK COMPATIBILITY IDEOGRAPH-F97C
      "\uF97D",  # (諒; 諒; 諒; 諒; 諒; ) CJK COMPATIBILITY IDEOGRAPH-F97D
      "\uF97E",  # (量; 量; 量; 量; 量; ) CJK COMPATIBILITY IDEOGRAPH-F97E
      "\uF97F",  # (勵; 勵; 勵; 勵; 勵; ) CJK COMPATIBILITY IDEOGRAPH-F97F
      "\uF980",  # (呂; 呂; 呂; 呂; 呂; ) CJK COMPATIBILITY IDEOGRAPH-F980
      "\uF981",  # (女; 女; 女; 女; 女; ) CJK COMPATIBILITY IDEOGRAPH-F981
      "\uF982",  # (廬; 廬; 廬; 廬; 廬; ) CJK COMPATIBILITY IDEOGRAPH-F982
      "\uF983",  # (旅; 旅; 旅; 旅; 旅; ) CJK COMPATIBILITY IDEOGRAPH-F983
      "\uF984",  # (濾; 濾; 濾; 濾; 濾; ) CJK COMPATIBILITY IDEOGRAPH-F984
      "\uF985",  # (礪; 礪; 礪; 礪; 礪; ) CJK COMPATIBILITY IDEOGRAPH-F985
      "\uF986",  # (閭; 閭; 閭; 閭; 閭; ) CJK COMPATIBILITY IDEOGRAPH-F986
      "\uF987",  # (驪; 驪; 驪; 驪; 驪; ) CJK COMPATIBILITY IDEOGRAPH-F987
      "\uF988",  # (麗; 麗; 麗; 麗; 麗; ) CJK COMPATIBILITY IDEOGRAPH-F988
      "\uF989",  # (黎; 黎; 黎; 黎; 黎; ) CJK COMPATIBILITY IDEOGRAPH-F989
      "\uF98A",  # (力; 力; 力; 力; 力; ) CJK COMPATIBILITY IDEOGRAPH-F98A
      "\uF98B",  # (曆; 曆; 曆; 曆; 曆; ) CJK COMPATIBILITY IDEOGRAPH-F98B
      "\uF98C",  # (歷; 歷; 歷; 歷; 歷; ) CJK COMPATIBILITY IDEOGRAPH-F98C
      "\uF98D",  # (轢; 轢; 轢; 轢; 轢; ) CJK COMPATIBILITY IDEOGRAPH-F98D
      "\uF98E",  # (年; 年; 年; 年; 年; ) CJK COMPATIBILITY IDEOGRAPH-F98E
      "\uF98F",  # (憐; 憐; 憐; 憐; 憐; ) CJK COMPATIBILITY IDEOGRAPH-F98F
      "\uF990",  # (戀; 戀; 戀; 戀; 戀; ) CJK COMPATIBILITY IDEOGRAPH-F990
      "\uF991",  # (撚; 撚; 撚; 撚; 撚; ) CJK COMPATIBILITY IDEOGRAPH-F991
      "\uF992",  # (漣; 漣; 漣; 漣; 漣; ) CJK COMPATIBILITY IDEOGRAPH-F992
      "\uF993",  # (煉; 煉; 煉; 煉; 煉; ) CJK COMPATIBILITY IDEOGRAPH-F993
      "\uF994",  # (璉; 璉; 璉; 璉; 璉; ) CJK COMPATIBILITY IDEOGRAPH-F994
      "\uF995",  # (秊; 秊; 秊; 秊; 秊; ) CJK COMPATIBILITY IDEOGRAPH-F995
      "\uF996",  # (練; 練; 練; 練; 練; ) CJK COMPATIBILITY IDEOGRAPH-F996
      "\uF997",  # (聯; 聯; 聯; 聯; 聯; ) CJK COMPATIBILITY IDEOGRAPH-F997
      "\uF998",  # (輦; 輦; 輦; 輦; 輦; ) CJK COMPATIBILITY IDEOGRAPH-F998
      "\uF999",  # (蓮; 蓮; 蓮; 蓮; 蓮; ) CJK COMPATIBILITY IDEOGRAPH-F999
      "\uF99A",  # (連; 連; 連; 連; 連; ) CJK COMPATIBILITY IDEOGRAPH-F99A
      "\uF99B",  # (鍊; 鍊; 鍊; 鍊; 鍊; ) CJK COMPATIBILITY IDEOGRAPH-F99B
      "\uF99C",  # (列; 列; 列; 列; 列; ) CJK COMPATIBILITY IDEOGRAPH-F99C
      "\uF99D",  # (劣; 劣; 劣; 劣; 劣; ) CJK COMPATIBILITY IDEOGRAPH-F99D
      "\uF99E",  # (咽; 咽; 咽; 咽; 咽; ) CJK COMPATIBILITY IDEOGRAPH-F99E
      "\uF99F",  # (烈; 烈; 烈; 烈; 烈; ) CJK COMPATIBILITY IDEOGRAPH-F99F
      "\uF9A0",  # (裂; 裂; 裂; 裂; 裂; ) CJK COMPATIBILITY IDEOGRAPH-F9A0
      "\uF9A1",  # (說; 說; 說; 說; 說; ) CJK COMPATIBILITY IDEOGRAPH-F9A1
      "\uF9A2",  # (廉; 廉; 廉; 廉; 廉; ) CJK COMPATIBILITY IDEOGRAPH-F9A2
      "\uF9A3",  # (念; 念; 念; 念; 念; ) CJK COMPATIBILITY IDEOGRAPH-F9A3
      "\uF9A4",  # (捻; 捻; 捻; 捻; 捻; ) CJK COMPATIBILITY IDEOGRAPH-F9A4
      "\uF9A5",  # (殮; 殮; 殮; 殮; 殮; ) CJK COMPATIBILITY IDEOGRAPH-F9A5
      "\uF9A6",  # (簾; 簾; 簾; 簾; 簾; ) CJK COMPATIBILITY IDEOGRAPH-F9A6
      "\uF9A7",  # (獵; 獵; 獵; 獵; 獵; ) CJK COMPATIBILITY IDEOGRAPH-F9A7
      "\uF9A8",  # (令; 令; 令; 令; 令; ) CJK COMPATIBILITY IDEOGRAPH-F9A8
      "\uF9A9",  # (囹; 囹; 囹; 囹; 囹; ) CJK COMPATIBILITY IDEOGRAPH-F9A9
      "\uF9AA",  # (寧; 寧; 寧; 寧; 寧; ) CJK COMPATIBILITY IDEOGRAPH-F9AA
      "\uF9AB",  # (嶺; 嶺; 嶺; 嶺; 嶺; ) CJK COMPATIBILITY IDEOGRAPH-F9AB
      "\uF9AC",  # (怜; 怜; 怜; 怜; 怜; ) CJK COMPATIBILITY IDEOGRAPH-F9AC
      "\uF9AD",  # (玲; 玲; 玲; 玲; 玲; ) CJK COMPATIBILITY IDEOGRAPH-F9AD
      "\uF9AE",  # (瑩; 瑩; 瑩; 瑩; 瑩; ) CJK COMPATIBILITY IDEOGRAPH-F9AE
      "\uF9AF",  # (羚; 羚; 羚; 羚; 羚; ) CJK COMPATIBILITY IDEOGRAPH-F9AF
      "\uF9B0",  # (聆; 聆; 聆; 聆; 聆; ) CJK COMPATIBILITY IDEOGRAPH-F9B0
      "\uF9B1",  # (鈴; 鈴; 鈴; 鈴; 鈴; ) CJK COMPATIBILITY IDEOGRAPH-F9B1
      "\uF9B2",  # (零; 零; 零; 零; 零; ) CJK COMPATIBILITY IDEOGRAPH-F9B2
      "\uF9B3",  # (靈; 靈; 靈; 靈; 靈; ) CJK COMPATIBILITY IDEOGRAPH-F9B3
      "\uF9B4",  # (領; 領; 領; 領; 領; ) CJK COMPATIBILITY IDEOGRAPH-F9B4
      "\uF9B5",  # (例; 例; 例; 例; 例; ) CJK COMPATIBILITY IDEOGRAPH-F9B5
      "\uF9B6",  # (禮; 禮; 禮; 禮; 禮; ) CJK COMPATIBILITY IDEOGRAPH-F9B6
      "\uF9B7",  # (醴; 醴; 醴; 醴; 醴; ) CJK COMPATIBILITY IDEOGRAPH-F9B7
      "\uF9B8",  # (隸; 隸; 隸; 隸; 隸; ) CJK COMPATIBILITY IDEOGRAPH-F9B8
      "\uF9B9",  # (惡; 惡; 惡; 惡; 惡; ) CJK COMPATIBILITY IDEOGRAPH-F9B9
      "\uF9BA",  # (了; 了; 了; 了; 了; ) CJK COMPATIBILITY IDEOGRAPH-F9BA
      "\uF9BB",  # (僚; 僚; 僚; 僚; 僚; ) CJK COMPATIBILITY IDEOGRAPH-F9BB
      "\uF9BC",  # (寮; 寮; 寮; 寮; 寮; ) CJK COMPATIBILITY IDEOGRAPH-F9BC
      "\uF9BD",  # (尿; 尿; 尿; 尿; 尿; ) CJK COMPATIBILITY IDEOGRAPH-F9BD
      "\uF9BE",  # (料; 料; 料; 料; 料; ) CJK COMPATIBILITY IDEOGRAPH-F9BE
      "\uF9BF",  # (樂; 樂; 樂; 樂; 樂; ) CJK COMPATIBILITY IDEOGRAPH-F9BF
      "\uF9C0",  # (燎; 燎; 燎; 燎; 燎; ) CJK COMPATIBILITY IDEOGRAPH-F9C0
      "\uF9C1",  # (療; 療; 療; 療; 療; ) CJK COMPATIBILITY IDEOGRAPH-F9C1
      "\uF9C2",  # (蓼; 蓼; 蓼; 蓼; 蓼; ) CJK COMPATIBILITY IDEOGRAPH-F9C2
      "\uF9C3",  # (遼; 遼; 遼; 遼; 遼; ) CJK COMPATIBILITY IDEOGRAPH-F9C3
      "\uF9C4",  # (龍; 龍; 龍; 龍; 龍; ) CJK COMPATIBILITY IDEOGRAPH-F9C4
      "\uF9C5",  # (暈; 暈; 暈; 暈; 暈; ) CJK COMPATIBILITY IDEOGRAPH-F9C5
      "\uF9C6",  # (阮; 阮; 阮; 阮; 阮; ) CJK COMPATIBILITY IDEOGRAPH-F9C6
      "\uF9C7",  # (劉; 劉; 劉; 劉; 劉; ) CJK COMPATIBILITY IDEOGRAPH-F9C7
      "\uF9C8",  # (杻; 杻; 杻; 杻; 杻; ) CJK COMPATIBILITY IDEOGRAPH-F9C8
      "\uF9C9",  # (柳; 柳; 柳; 柳; 柳; ) CJK COMPATIBILITY IDEOGRAPH-F9C9
      "\uF9CA",  # (流; 流; 流; 流; 流; ) CJK COMPATIBILITY IDEOGRAPH-F9CA
      "\uF9CB",  # (溜; 溜; 溜; 溜; 溜; ) CJK COMPATIBILITY IDEOGRAPH-F9CB
      "\uF9CC",  # (琉; 琉; 琉; 琉; 琉; ) CJK COMPATIBILITY IDEOGRAPH-F9CC
      "\uF9CD",  # (留; 留; 留; 留; 留; ) CJK COMPATIBILITY IDEOGRAPH-F9CD
      "\uF9CE",  # (硫; 硫; 硫; 硫; 硫; ) CJK COMPATIBILITY IDEOGRAPH-F9CE
      "\uF9CF",  # (紐; 紐; 紐; 紐; 紐; ) CJK COMPATIBILITY IDEOGRAPH-F9CF
      "\uF9D0",  # (類; 類; 類; 類; 類; ) CJK COMPATIBILITY IDEOGRAPH-F9D0
      "\uF9D1",  # (六; 六; 六; 六; 六; ) CJK COMPATIBILITY IDEOGRAPH-F9D1
      "\uF9D2",  # (戮; 戮; 戮; 戮; 戮; ) CJK COMPATIBILITY IDEOGRAPH-F9D2
      "\uF9D3",  # (陸; 陸; 陸; 陸; 陸; ) CJK COMPATIBILITY IDEOGRAPH-F9D3
      "\uF9D4",  # (倫; 倫; 倫; 倫; 倫; ) CJK COMPATIBILITY IDEOGRAPH-F9D4
      "\uF9D5",  # (崙; 崙; 崙; 崙; 崙; ) CJK COMPATIBILITY IDEOGRAPH-F9D5
      "\uF9D6",  # (淪; 淪; 淪; 淪; 淪; ) CJK COMPATIBILITY IDEOGRAPH-F9D6
      "\uF9D7",  # (輪; 輪; 輪; 輪; 輪; ) CJK COMPATIBILITY IDEOGRAPH-F9D7
      "\uF9D8",  # (律; 律; 律; 律; 律; ) CJK COMPATIBILITY IDEOGRAPH-F9D8
      "\uF9D9",  # (慄; 慄; 慄; 慄; 慄; ) CJK COMPATIBILITY IDEOGRAPH-F9D9
      "\uF9DA",  # (栗; 栗; 栗; 栗; 栗; ) CJK COMPATIBILITY IDEOGRAPH-F9DA
      "\uF9DB",  # (率; 率; 率; 率; 率; ) CJK COMPATIBILITY IDEOGRAPH-F9DB
      "\uF9DC",  # (隆; 隆; 隆; 隆; 隆; ) CJK COMPATIBILITY IDEOGRAPH-F9DC
      "\uF9DD",  # (利; 利; 利; 利; 利; ) CJK COMPATIBILITY IDEOGRAPH-F9DD
      "\uF9DE",  # (吏; 吏; 吏; 吏; 吏; ) CJK COMPATIBILITY IDEOGRAPH-F9DE
      "\uF9DF",  # (履; 履; 履; 履; 履; ) CJK COMPATIBILITY IDEOGRAPH-F9DF
      "\uF9E0",  # (易; 易; 易; 易; 易; ) CJK COMPATIBILITY IDEOGRAPH-F9E0
      "\uF9E1",  # (李; 李; 李; 李; 李; ) CJK COMPATIBILITY IDEOGRAPH-F9E1
      "\uF9E2",  # (梨; 梨; 梨; 梨; 梨; ) CJK COMPATIBILITY IDEOGRAPH-F9E2
      "\uF9E3",  # (泥; 泥; 泥; 泥; 泥; ) CJK COMPATIBILITY IDEOGRAPH-F9E3
      "\uF9E4",  # (理; 理; 理; 理; 理; ) CJK COMPATIBILITY IDEOGRAPH-F9E4
      "\uF9E5",  # (痢; 痢; 痢; 痢; 痢; ) CJK COMPATIBILITY IDEOGRAPH-F9E5
      "\uF9E6",  # (罹; 罹; 罹; 罹; 罹; ) CJK COMPATIBILITY IDEOGRAPH-F9E6
      "\uF9E7",  # (裏; 裏; 裏; 裏; 裏; ) CJK COMPATIBILITY IDEOGRAPH-F9E7
      "\uF9E8",  # (裡; 裡; 裡; 裡; 裡; ) CJK COMPATIBILITY IDEOGRAPH-F9E8
      "\uF9E9",  # (里; 里; 里; 里; 里; ) CJK COMPATIBILITY IDEOGRAPH-F9E9
      "\uF9EA",  # (離; 離; 離; 離; 離; ) CJK COMPATIBILITY IDEOGRAPH-F9EA
      "\uF9EB",  # (匿; 匿; 匿; 匿; 匿; ) CJK COMPATIBILITY IDEOGRAPH-F9EB
      "\uF9EC",  # (溺; 溺; 溺; 溺; 溺; ) CJK COMPATIBILITY IDEOGRAPH-F9EC
      "\uF9ED",  # (吝; 吝; 吝; 吝; 吝; ) CJK COMPATIBILITY IDEOGRAPH-F9ED
      "\uF9EE",  # (燐; 燐; 燐; 燐; 燐; ) CJK COMPATIBILITY IDEOGRAPH-F9EE
      "\uF9EF",  # (璘; 璘; 璘; 璘; 璘; ) CJK COMPATIBILITY IDEOGRAPH-F9EF
      "\uF9F0",  # (藺; 藺; 藺; 藺; 藺; ) CJK COMPATIBILITY IDEOGRAPH-F9F0
      "\uF9F1",  # (隣; 隣; 隣; 隣; 隣; ) CJK COMPATIBILITY IDEOGRAPH-F9F1
      "\uF9F2",  # (鱗; 鱗; 鱗; 鱗; 鱗; ) CJK COMPATIBILITY IDEOGRAPH-F9F2
      "\uF9F3",  # (麟; 麟; 麟; 麟; 麟; ) CJK COMPATIBILITY IDEOGRAPH-F9F3
      "\uF9F4",  # (林; 林; 林; 林; 林; ) CJK COMPATIBILITY IDEOGRAPH-F9F4
      "\uF9F5",  # (淋; 淋; 淋; 淋; 淋; ) CJK COMPATIBILITY IDEOGRAPH-F9F5
      "\uF9F6",  # (臨; 臨; 臨; 臨; 臨; ) CJK COMPATIBILITY IDEOGRAPH-F9F6
      "\uF9F7",  # (立; 立; 立; 立; 立; ) CJK COMPATIBILITY IDEOGRAPH-F9F7
      "\uF9F8",  # (笠; 笠; 笠; 笠; 笠; ) CJK COMPATIBILITY IDEOGRAPH-F9F8
      "\uF9F9",  # (粒; 粒; 粒; 粒; 粒; ) CJK COMPATIBILITY IDEOGRAPH-F9F9
      "\uF9FA",  # (狀; 狀; 狀; 狀; 狀; ) CJK COMPATIBILITY IDEOGRAPH-F9FA
      "\uF9FB",  # (炙; 炙; 炙; 炙; 炙; ) CJK COMPATIBILITY IDEOGRAPH-F9FB
      "\uF9FC",  # (識; 識; 識; 識; 識; ) CJK COMPATIBILITY IDEOGRAPH-F9FC
      "\uF9FD",  # (什; 什; 什; 什; 什; ) CJK COMPATIBILITY IDEOGRAPH-F9FD
      "\uF9FE",  # (茶; 茶; 茶; 茶; 茶; ) CJK COMPATIBILITY IDEOGRAPH-F9FE
      "\uF9FF",  # (刺; 刺; 刺; 刺; 刺; ) CJK COMPATIBILITY IDEOGRAPH-F9FF
      "\uFA00",  # (切; 切; 切; 切; 切; ) CJK COMPATIBILITY IDEOGRAPH-FA00
      "\uFA01",  # (度; 度; 度; 度; 度; ) CJK COMPATIBILITY IDEOGRAPH-FA01
      "\uFA02",  # (拓; 拓; 拓; 拓; 拓; ) CJK COMPATIBILITY IDEOGRAPH-FA02
      "\uFA03",  # (糖; 糖; 糖; 糖; 糖; ) CJK COMPATIBILITY IDEOGRAPH-FA03
      "\uFA04",  # (宅; 宅; 宅; 宅; 宅; ) CJK COMPATIBILITY IDEOGRAPH-FA04
      "\uFA05",  # (洞; 洞; 洞; 洞; 洞; ) CJK COMPATIBILITY IDEOGRAPH-FA05
      "\uFA06",  # (暴; 暴; 暴; 暴; 暴; ) CJK COMPATIBILITY IDEOGRAPH-FA06
      "\uFA07",  # (輻; 輻; 輻; 輻; 輻; ) CJK COMPATIBILITY IDEOGRAPH-FA07
      "\uFA08",  # (行; 行; 行; 行; 行; ) CJK COMPATIBILITY IDEOGRAPH-FA08
      "\uFA09",  # (降; 降; 降; 降; 降; ) CJK COMPATIBILITY IDEOGRAPH-FA09
      "\uFA0A",  # (見; 見; 見; 見; 見; ) CJK COMPATIBILITY IDEOGRAPH-FA0A
      "\uFA0B",  # (廓; 廓; 廓; 廓; 廓; ) CJK COMPATIBILITY IDEOGRAPH-FA0B
      "\uFA0C",  # (兀; 兀; 兀; 兀; 兀; ) CJK COMPATIBILITY IDEOGRAPH-FA0C
      "\uFA0D",  # (嗀; 嗀; 嗀; 嗀; 嗀; ) CJK COMPATIBILITY IDEOGRAPH-FA0D
      "\uFA10",  # (塚; 塚; 塚; 塚; 塚; ) CJK COMPATIBILITY IDEOGRAPH-FA10
      "\uFA12",  # (晴; 晴; 晴; 晴; 晴; ) CJK COMPATIBILITY IDEOGRAPH-FA12
      "\uFA15",  # (凞; 凞; 凞; 凞; 凞; ) CJK COMPATIBILITY IDEOGRAPH-FA15
      "\uFA16",  # (猪; 猪; 猪; 猪; 猪; ) CJK COMPATIBILITY IDEOGRAPH-FA16
      "\uFA17",  # (益; 益; 益; 益; 益; ) CJK COMPATIBILITY IDEOGRAPH-FA17
      "\uFA18",  # (礼; 礼; 礼; 礼; 礼; ) CJK COMPATIBILITY IDEOGRAPH-FA18
      "\uFA19",  # (神; 神; 神; 神; 神; ) CJK COMPATIBILITY IDEOGRAPH-FA19
      "\uFA1A",  # (祥; 祥; 祥; 祥; 祥; ) CJK COMPATIBILITY IDEOGRAPH-FA1A
      "\uFA1B",  # (福; 福; 福; 福; 福; ) CJK COMPATIBILITY IDEOGRAPH-FA1B
      "\uFA1C",  # (靖; 靖; 靖; 靖; 靖; ) CJK COMPATIBILITY IDEOGRAPH-FA1C
      "\uFA1D",  # (精; 精; 精; 精; 精; ) CJK COMPATIBILITY IDEOGRAPH-FA1D
      "\uFA1E",  # (羽; 羽; 羽; 羽; 羽; ) CJK COMPATIBILITY IDEOGRAPH-FA1E
      "\uFA20",  # (蘒; 蘒; 蘒; 蘒; 蘒; ) CJK COMPATIBILITY IDEOGRAPH-FA20
      "\uFA22",  # (諸; 諸; 諸; 諸; 諸; ) CJK COMPATIBILITY IDEOGRAPH-FA22
      "\uFA25",  # (逸; 逸; 逸; 逸; 逸; ) CJK COMPATIBILITY IDEOGRAPH-FA25
      "\uFA26",  # (都; 都; 都; 都; 都; ) CJK COMPATIBILITY IDEOGRAPH-FA26
      "\uFA2A",  # (飯; 飯; 飯; 飯; 飯; ) CJK COMPATIBILITY IDEOGRAPH-FA2A
      "\uFA2B",  # (飼; 飼; 飼; 飼; 飼; ) CJK COMPATIBILITY IDEOGRAPH-FA2B
      "\uFA2C",  # (館; 館; 館; 館; 館; ) CJK COMPATIBILITY IDEOGRAPH-FA2C
      "\uFA2D",  # (鶴; 鶴; 鶴; 鶴; 鶴; ) CJK COMPATIBILITY IDEOGRAPH-FA2D
      "\uFA2E",  # (郞; 郞; 郞; 郞; 郞; ) CJK COMPATIBILITY IDEOGRAPH-FA2E
      "\uFA2F",  # (隷; 隷; 隷; 隷; 隷; ) CJK COMPATIBILITY IDEOGRAPH-FA2F
      "\uFA30",  # (侮; 侮; 侮; 侮; 侮; ) CJK COMPATIBILITY IDEOGRAPH-FA30
      "\uFA31",  # (僧; 僧; 僧; 僧; 僧; ) CJK COMPATIBILITY IDEOGRAPH-FA31
      "\uFA32",  # (免; 免; 免; 免; 免; ) CJK COMPATIBILITY IDEOGRAPH-FA32
      "\uFA33",  # (勉; 勉; 勉; 勉; 勉; ) CJK COMPATIBILITY IDEOGRAPH-FA33
      "\uFA34",  # (勤; 勤; 勤; 勤; 勤; ) CJK COMPATIBILITY IDEOGRAPH-FA34
      "\uFA35",  # (卑; 卑; 卑; 卑; 卑; ) CJK COMPATIBILITY IDEOGRAPH-FA35
      "\uFA36",  # (喝; 喝; 喝; 喝; 喝; ) CJK COMPATIBILITY IDEOGRAPH-FA36
      "\uFA37",  # (嘆; 嘆; 嘆; 嘆; 嘆; ) CJK COMPATIBILITY IDEOGRAPH-FA37
      "\uFA38",  # (器; 器; 器; 器; 器; ) CJK COMPATIBILITY IDEOGRAPH-FA38
      "\uFA39",  # (塀; 塀; 塀; 塀; 塀; ) CJK COMPATIBILITY IDEOGRAPH-FA39
      "\uFA3A",  # (墨; 墨; 墨; 墨; 墨; ) CJK COMPATIBILITY IDEOGRAPH-FA3A
      "\uFA3B",  # (層; 層; 層; 層; 層; ) CJK COMPATIBILITY IDEOGRAPH-FA3B
      "\uFA3C",  # (屮; 屮; 屮; 屮; 屮; ) CJK COMPATIBILITY IDEOGRAPH-FA3C
      "\uFA3D",  # (悔; 悔; 悔; 悔; 悔; ) CJK COMPATIBILITY IDEOGRAPH-FA3D
      "\uFA3E",  # (慨; 慨; 慨; 慨; 慨; ) CJK COMPATIBILITY IDEOGRAPH-FA3E
      "\uFA3F",  # (憎; 憎; 憎; 憎; 憎; ) CJK COMPATIBILITY IDEOGRAPH-FA3F
      "\uFA40",  # (懲; 懲; 懲; 懲; 懲; ) CJK COMPATIBILITY IDEOGRAPH-FA40
      "\uFA41",  # (敏; 敏; 敏; 敏; 敏; ) CJK COMPATIBILITY IDEOGRAPH-FA41
      "\uFA42",  # (既; 既; 既; 既; 既; ) CJK COMPATIBILITY IDEOGRAPH-FA42
      "\uFA43",  # (暑; 暑; 暑; 暑; 暑; ) CJK COMPATIBILITY IDEOGRAPH-FA43
      "\uFA44",  # (梅; 梅; 梅; 梅; 梅; ) CJK COMPATIBILITY IDEOGRAPH-FA44
      "\uFA45",  # (海; 海; 海; 海; 海; ) CJK COMPATIBILITY IDEOGRAPH-FA45
      "\uFA46",  # (渚; 渚; 渚; 渚; 渚; ) CJK COMPATIBILITY IDEOGRAPH-FA46
      "\uFA47",  # (漢; 漢; 漢; 漢; 漢; ) CJK COMPATIBILITY IDEOGRAPH-FA47
      "\uFA48",  # (煮; 煮; 煮; 煮; 煮; ) CJK COMPATIBILITY IDEOGRAPH-FA48
      "\uFA49",  # (爫; 爫; 爫; 爫; 爫; ) CJK COMPATIBILITY IDEOGRAPH-FA49
      "\uFA4A",  # (琢; 琢; 琢; 琢; 琢; ) CJK COMPATIBILITY IDEOGRAPH-FA4A
      "\uFA4B",  # (碑; 碑; 碑; 碑; 碑; ) CJK COMPATIBILITY IDEOGRAPH-FA4B
      "\uFA4C",  # (社; 社; 社; 社; 社; ) CJK COMPATIBILITY IDEOGRAPH-FA4C
      "\uFA4D",  # (祉; 祉; 祉; 祉; 祉; ) CJK COMPATIBILITY IDEOGRAPH-FA4D
      "\uFA4E",  # (祈; 祈; 祈; 祈; 祈; ) CJK COMPATIBILITY IDEOGRAPH-FA4E
      "\uFA4F",  # (祐; 祐; 祐; 祐; 祐; ) CJK COMPATIBILITY IDEOGRAPH-FA4F
      "\uFA50",  # (祖; 祖; 祖; 祖; 祖; ) CJK COMPATIBILITY IDEOGRAPH-FA50
      "\uFA51",  # (祝; 祝; 祝; 祝; 祝; ) CJK COMPATIBILITY IDEOGRAPH-FA51
      "\uFA52",  # (禍; 禍; 禍; 禍; 禍; ) CJK COMPATIBILITY IDEOGRAPH-FA52
      "\uFA53",  # (禎; 禎; 禎; 禎; 禎; ) CJK COMPATIBILITY IDEOGRAPH-FA53
      "\uFA54",  # (穀; 穀; 穀; 穀; 穀; ) CJK COMPATIBILITY IDEOGRAPH-FA54
      "\uFA55",  # (突; 突; 突; 突; 突; ) CJK COMPATIBILITY IDEOGRAPH-FA55
      "\uFA56",  # (節; 節; 節; 節; 節; ) CJK COMPATIBILITY IDEOGRAPH-FA56
      "\uFA57",  # (練; 練; 練; 練; 練; ) CJK COMPATIBILITY IDEOGRAPH-FA57
      "\uFA58",  # (縉; 縉; 縉; 縉; 縉; ) CJK COMPATIBILITY IDEOGRAPH-FA58
      "\uFA59",  # (繁; 繁; 繁; 繁; 繁; ) CJK COMPATIBILITY IDEOGRAPH-FA59
      "\uFA5A",  # (署; 署; 署; 署; 署; ) CJK COMPATIBILITY IDEOGRAPH-FA5A
      "\uFA5B",  # (者; 者; 者; 者; 者; ) CJK COMPATIBILITY IDEOGRAPH-FA5B
      "\uFA5C",  # (臭; 臭; 臭; 臭; 臭; ) CJK COMPATIBILITY IDEOGRAPH-FA5C
      "\uFA5D",  # (艹; 艹; 艹; 艹; 艹; ) CJK COMPATIBILITY IDEOGRAPH-FA5D
      "\uFA5E",  # (艹; 艹; 艹; 艹; 艹; ) CJK COMPATIBILITY IDEOGRAPH-FA5E
      "\uFA5F",  # (著; 著; 著; 著; 著; ) CJK COMPATIBILITY IDEOGRAPH-FA5F
      "\uFA60",  # (褐; 褐; 褐; 褐; 褐; ) CJK COMPATIBILITY IDEOGRAPH-FA60
      "\uFA61",  # (視; 視; 視; 視; 視; ) CJK COMPATIBILITY IDEOGRAPH-FA61
      "\uFA62",  # (謁; 謁; 謁; 謁; 謁; ) CJK COMPATIBILITY IDEOGRAPH-FA62
      "\uFA63",  # (謹; 謹; 謹; 謹; 謹; ) CJK COMPATIBILITY IDEOGRAPH-FA63
      "\uFA64",  # (賓; 賓; 賓; 賓; 賓; ) CJK COMPATIBILITY IDEOGRAPH-FA64
      "\uFA65",  # (贈; 贈; 贈; 贈; 贈; ) CJK COMPATIBILITY IDEOGRAPH-FA65
      "\uFA66",  # (辶; 辶; 辶; 辶; 辶; ) CJK COMPATIBILITY IDEOGRAPH-FA66
      "\uFA67",  # (逸; 逸; 逸; 逸; 逸; ) CJK COMPATIBILITY IDEOGRAPH-FA67
      "\uFA68",  # (難; 難; 難; 難; 難; ) CJK COMPATIBILITY IDEOGRAPH-FA68
      "\uFA69",  # (響; 響; 響; 響; 響; ) CJK COMPATIBILITY IDEOGRAPH-FA69
      "\uFA6A",  # (頻; 頻; 頻; 頻; 頻; ) CJK COMPATIBILITY IDEOGRAPH-FA6A
      "\uFA6B",  # (恵; 恵; 恵; 恵; 恵; ) CJK COMPATIBILITY IDEOGRAPH-FA6B
      "\uFA6C",  # (𤋮; 𤋮; 𤋮; 𤋮; 𤋮; ) CJK COMPATIBILITY IDEOGRAPH-FA6C
      "\uFA6D",  # (舘; 舘; 舘; 舘; 舘; ) CJK COMPATIBILITY IDEOGRAPH-FA6D
      "\uFA70",  # (並; 並; 並; 並; 並; ) CJK COMPATIBILITY IDEOGRAPH-FA70
      "\uFA71",  # (况; 况; 况; 况; 况; ) CJK COMPATIBILITY IDEOGRAPH-FA71
      "\uFA72",  # (全; 全; 全; 全; 全; ) CJK COMPATIBILITY IDEOGRAPH-FA72
      "\uFA73",  # (侀; 侀; 侀; 侀; 侀; ) CJK COMPATIBILITY IDEOGRAPH-FA73
      "\uFA74",  # (充; 充; 充; 充; 充; ) CJK COMPATIBILITY IDEOGRAPH-FA74
      "\uFA75",  # (冀; 冀; 冀; 冀; 冀; ) CJK COMPATIBILITY IDEOGRAPH-FA75
      "\uFA76",  # (勇; 勇; 勇; 勇; 勇; ) CJK COMPATIBILITY IDEOGRAPH-FA76
      "\uFA77",  # (勺; 勺; 勺; 勺; 勺; ) CJK COMPATIBILITY IDEOGRAPH-FA77
      "\uFA78",  # (喝; 喝; 喝; 喝; 喝; ) CJK COMPATIBILITY IDEOGRAPH-FA78
      "\uFA79",  # (啕; 啕; 啕; 啕; 啕; ) CJK COMPATIBILITY IDEOGRAPH-FA79
      "\uFA7A",  # (喙; 喙; 喙; 喙; 喙; ) CJK COMPATIBILITY IDEOGRAPH-FA7A
      "\uFA7B",  # (嗢; 嗢; 嗢; 嗢; 嗢; ) CJK COMPATIBILITY IDEOGRAPH-FA7B
      "\uFA7C",  # (塚; 塚; 塚; 塚; 塚; ) CJK COMPATIBILITY IDEOGRAPH-FA7C
      "\uFA7D",  # (墳; 墳; 墳; 墳; 墳; ) CJK COMPATIBILITY IDEOGRAPH-FA7D
      "\uFA7E",  # (奄; 奄; 奄; 奄; 奄; ) CJK COMPATIBILITY IDEOGRAPH-FA7E
      "\uFA7F",  # (奔; 奔; 奔; 奔; 奔; ) CJK COMPATIBILITY IDEOGRAPH-FA7F
      "\uFA80",  # (婢; 婢; 婢; 婢; 婢; ) CJK COMPATIBILITY IDEOGRAPH-FA80
      "\uFA81",  # (嬨; 嬨; 嬨; 嬨; 嬨; ) CJK COMPATIBILITY IDEOGRAPH-FA81
      "\uFA82",  # (廒; 廒; 廒; 廒; 廒; ) CJK COMPATIBILITY IDEOGRAPH-FA82
      "\uFA83",  # (廙; 廙; 廙; 廙; 廙; ) CJK COMPATIBILITY IDEOGRAPH-FA83
      "\uFA84",  # (彩; 彩; 彩; 彩; 彩; ) CJK COMPATIBILITY IDEOGRAPH-FA84
      "\uFA85",  # (徭; 徭; 徭; 徭; 徭; ) CJK COMPATIBILITY IDEOGRAPH-FA85
      "\uFA86",  # (惘; 惘; 惘; 惘; 惘; ) CJK COMPATIBILITY IDEOGRAPH-FA86
      "\uFA87",  # (慎; 慎; 慎; 慎; 慎; ) CJK COMPATIBILITY IDEOGRAPH-FA87
      "\uFA88",  # (愈; 愈; 愈; 愈; 愈; ) CJK COMPATIBILITY IDEOGRAPH-FA88
      "\uFA89",  # (憎; 憎; 憎; 憎; 憎; ) CJK COMPATIBILITY IDEOGRAPH-FA89
      "\uFA8A",  # (慠; 慠; 慠; 慠; 慠; ) CJK COMPATIBILITY IDEOGRAPH-FA8A
      "\uFA8B",  # (懲; 懲; 懲; 懲; 懲; ) CJK COMPATIBILITY IDEOGRAPH-FA8B
      "\uFA8C",  # (戴; 戴; 戴; 戴; 戴; ) CJK COMPATIBILITY IDEOGRAPH-FA8C
      "\uFA8D",  # (揄; 揄; 揄; 揄; 揄; ) CJK COMPATIBILITY IDEOGRAPH-FA8D
      "\uFA8E",  # (搜; 搜; 搜; 搜; 搜; ) CJK COMPATIBILITY IDEOGRAPH-FA8E
      "\uFA8F",  # (摒; 摒; 摒; 摒; 摒; ) CJK COMPATIBILITY IDEOGRAPH-FA8F
      "\uFA90",  # (敖; 敖; 敖; 敖; 敖; ) CJK COMPATIBILITY IDEOGRAPH-FA90
      "\uFA91",  # (晴; 晴; 晴; 晴; 晴; ) CJK COMPATIBILITY IDEOGRAPH-FA91
      "\uFA92",  # (朗; 朗; 朗; 朗; 朗; ) CJK COMPATIBILITY IDEOGRAPH-FA92
      "\uFA93",  # (望; 望; 望; 望; 望; ) CJK COMPATIBILITY IDEOGRAPH-FA93
      "\uFA94",  # (杖; 杖; 杖; 杖; 杖; ) CJK COMPATIBILITY IDEOGRAPH-FA94
      "\uFA95",  # (歹; 歹; 歹; 歹; 歹; ) CJK COMPATIBILITY IDEOGRAPH-FA95
      "\uFA96",  # (殺; 殺; 殺; 殺; 殺; ) CJK COMPATIBILITY IDEOGRAPH-FA96
      "\uFA97",  # (流; 流; 流; 流; 流; ) CJK COMPATIBILITY IDEOGRAPH-FA97
      "\uFA98",  # (滛; 滛; 滛; 滛; 滛; ) CJK COMPATIBILITY IDEOGRAPH-FA98
      "\uFA99",  # (滋; 滋; 滋; 滋; 滋; ) CJK COMPATIBILITY IDEOGRAPH-FA99
      "\uFA9A",  # (漢; 漢; 漢; 漢; 漢; ) CJK COMPATIBILITY IDEOGRAPH-FA9A
      "\uFA9B",  # (瀞; 瀞; 瀞; 瀞; 瀞; ) CJK COMPATIBILITY IDEOGRAPH-FA9B
      "\uFA9C",  # (煮; 煮; 煮; 煮; 煮; ) CJK COMPATIBILITY IDEOGRAPH-FA9C
      "\uFA9D",  # (瞧; 瞧; 瞧; 瞧; 瞧; ) CJK COMPATIBILITY IDEOGRAPH-FA9D
      "\uFA9E",  # (爵; 爵; 爵; 爵; 爵; ) CJK COMPATIBILITY IDEOGRAPH-FA9E
      "\uFA9F",  # (犯; 犯; 犯; 犯; 犯; ) CJK COMPATIBILITY IDEOGRAPH-FA9F
      "\uFAA0",  # (猪; 猪; 猪; 猪; 猪; ) CJK COMPATIBILITY IDEOGRAPH-FAA0
      "\uFAA1",  # (瑱; 瑱; 瑱; 瑱; 瑱; ) CJK COMPATIBILITY IDEOGRAPH-FAA1
      "\uFAA2",  # (甆; 甆; 甆; 甆; 甆; ) CJK COMPATIBILITY IDEOGRAPH-FAA2
      "\uFAA3",  # (画; 画; 画; 画; 画; ) CJK COMPATIBILITY IDEOGRAPH-FAA3
      "\uFAA4",  # (瘝; 瘝; 瘝; 瘝; 瘝; ) CJK COMPATIBILITY IDEOGRAPH-FAA4
      "\uFAA5",  # (瘟; 瘟; 瘟; 瘟; 瘟; ) CJK COMPATIBILITY IDEOGRAPH-FAA5
      "\uFAA6",  # (益; 益; 益; 益; 益; ) CJK COMPATIBILITY IDEOGRAPH-FAA6
      "\uFAA7",  # (盛; 盛; 盛; 盛; 盛; ) CJK COMPATIBILITY IDEOGRAPH-FAA7
      "\uFAA8",  # (直; 直; 直; 直; 直; ) CJK COMPATIBILITY IDEOGRAPH-FAA8
      "\uFAA9",  # (睊; 睊; 睊; 睊; 睊; ) CJK COMPATIBILITY IDEOGRAPH-FAA9
      "\uFAAA",  # (着; 着; 着; 着; 着; ) CJK COMPATIBILITY IDEOGRAPH-FAAA
      "\uFAAB",  # (磌; 磌; 磌; 磌; 磌; ) CJK COMPATIBILITY IDEOGRAPH-FAAB
      "\uFAAC",  # (窱; 窱; 窱; 窱; 窱; ) CJK COMPATIBILITY IDEOGRAPH-FAAC
      "\uFAAD",  # (節; 節; 節; 節; 節; ) CJK COMPATIBILITY IDEOGRAPH-FAAD
      "\uFAAE",  # (类; 类; 类; 类; 类; ) CJK COMPATIBILITY IDEOGRAPH-FAAE
      "\uFAAF",  # (絛; 絛; 絛; 絛; 絛; ) CJK COMPATIBILITY IDEOGRAPH-FAAF
      "\uFAB0",  # (練; 練; 練; 練; 練; ) CJK COMPATIBILITY IDEOGRAPH-FAB0
      "\uFAB1",  # (缾; 缾; 缾; 缾; 缾; ) CJK COMPATIBILITY IDEOGRAPH-FAB1
      "\uFAB2",  # (者; 者; 者; 者; 者; ) CJK COMPATIBILITY IDEOGRAPH-FAB2
      "\uFAB3",  # (荒; 荒; 荒; 荒; 荒; ) CJK COMPATIBILITY IDEOGRAPH-FAB3
      "\uFAB4",  # (華; 華; 華; 華; 華; ) CJK COMPATIBILITY IDEOGRAPH-FAB4
      "\uFAB5",  # (蝹; 蝹; 蝹; 蝹; 蝹; ) CJK COMPATIBILITY IDEOGRAPH-FAB5
      "\uFAB6",  # (襁; 襁; 襁; 襁; 襁; ) CJK COMPATIBILITY IDEOGRAPH-FAB6
      "\uFAB7",  # (覆; 覆; 覆; 覆; 覆; ) CJK COMPATIBILITY IDEOGRAPH-FAB7
      "\uFAB8",  # (視; 視; 視; 視; 視; ) CJK COMPATIBILITY IDEOGRAPH-FAB8
      "\uFAB9",  # (調; 調; 調; 調; 調; ) CJK COMPATIBILITY IDEOGRAPH-FAB9
      "\uFABA",  # (諸; 諸; 諸; 諸; 諸; ) CJK COMPATIBILITY IDEOGRAPH-FABA
      "\uFABB",  # (請; 請; 請; 請; 請; ) CJK COMPATIBILITY IDEOGRAPH-FABB
      "\uFABC",  # (謁; 謁; 謁; 謁; 謁; ) CJK COMPATIBILITY IDEOGRAPH-FABC
      "\uFABD",  # (諾; 諾; 諾; 諾; 諾; ) CJK COMPATIBILITY IDEOGRAPH-FABD
      "\uFABE",  # (諭; 諭; 諭; 諭; 諭; ) CJK COMPATIBILITY IDEOGRAPH-FABE
      "\uFABF",  # (謹; 謹; 謹; 謹; 謹; ) CJK COMPATIBILITY IDEOGRAPH-FABF
      "\uFAC0",  # (變; 變; 變; 變; 變; ) CJK COMPATIBILITY IDEOGRAPH-FAC0
      "\uFAC1",  # (贈; 贈; 贈; 贈; 贈; ) CJK COMPATIBILITY IDEOGRAPH-FAC1
      "\uFAC2",  # (輸; 輸; 輸; 輸; 輸; ) CJK COMPATIBILITY IDEOGRAPH-FAC2
      "\uFAC3",  # (遲; 遲; 遲; 遲; 遲; ) CJK COMPATIBILITY IDEOGRAPH-FAC3
      "\uFAC4",  # (醙; 醙; 醙; 醙; 醙; ) CJK COMPATIBILITY IDEOGRAPH-FAC4
      "\uFAC5",  # (鉶; 鉶; 鉶; 鉶; 鉶; ) CJK COMPATIBILITY IDEOGRAPH-FAC5
      "\uFAC6",  # (陼; 陼; 陼; 陼; 陼; ) CJK COMPATIBILITY IDEOGRAPH-FAC6
      "\uFAC7",  # (難; 難; 難; 難; 難; ) CJK COMPATIBILITY IDEOGRAPH-FAC7
      "\uFAC8",  # (靖; 靖; 靖; 靖; 靖; ) CJK COMPATIBILITY IDEOGRAPH-FAC8
      "\uFAC9",  # (韛; 韛; 韛; 韛; 韛; ) CJK COMPATIBILITY IDEOGRAPH-FAC9
      "\uFACA",  # (響; 響; 響; 響; 響; ) CJK COMPATIBILITY IDEOGRAPH-FACA
      "\uFACB",  # (頋; 頋; 頋; 頋; 頋; ) CJK COMPATIBILITY IDEOGRAPH-FACB
      "\uFACC",  # (頻; 頻; 頻; 頻; 頻; ) CJK COMPATIBILITY IDEOGRAPH-FACC
      "\uFACD",  # (鬒; 鬒; 鬒; 鬒; 鬒; ) CJK COMPATIBILITY IDEOGRAPH-FACD
      "\uFACE",  # (龜; 龜; 龜; 龜; 龜; ) CJK COMPATIBILITY IDEOGRAPH-FACE
      "\uFACF",  # (𢡊; 𢡊; 𢡊; 𢡊; 𢡊; ) CJK COMPATIBILITY IDEOGRAPH-FACF
      "\uFAD0",  # (𢡄; 𢡄; 𢡄; 𢡄; 𢡄; ) CJK COMPATIBILITY IDEOGRAPH-FAD0
      "\uFAD1",  # (𣏕; 𣏕; 𣏕; 𣏕; 𣏕; ) CJK COMPATIBILITY IDEOGRAPH-FAD1
      "\uFAD2",  # (㮝; 㮝; 㮝; 㮝; 㮝; ) CJK COMPATIBILITY IDEOGRAPH-FAD2
      "\uFAD3",  # (䀘; 䀘; 䀘; 䀘; 䀘; ) CJK COMPATIBILITY IDEOGRAPH-FAD3
      "\uFAD4",  # (䀹; 䀹; 䀹; 䀹; 䀹; ) CJK COMPATIBILITY IDEOGRAPH-FAD4
      "\uFAD5",  # (𥉉; 𥉉; 𥉉; 𥉉; 𥉉; ) CJK COMPATIBILITY IDEOGRAPH-FAD5
      "\uFAD6",  # (𥳐; 𥳐; 𥳐; 𥳐; 𥳐; ) CJK COMPATIBILITY IDEOGRAPH-FAD6
      "\uFAD7",  # (𧻓; 𧻓; 𧻓; 𧻓; 𧻓; ) CJK COMPATIBILITY IDEOGRAPH-FAD7
      "\uFAD8",  # (齃; 齃; 齃; 齃; 齃; ) CJK COMPATIBILITY IDEOGRAPH-FAD8
      "\uFAD9",  # (龎; 龎; 龎; 龎; 龎; ) CJK COMPATIBILITY IDEOGRAPH-FAD9
      "\uFB00",  # (ﬀ; ﬀ; ﬀ; ff; ff; ) LATIN SMALL LIGATURE FF
      "\uFB01",  # (ﬁ; ﬁ; ﬁ; fi; fi; ) LATIN SMALL LIGATURE FI
      "\uFB02",  # (ﬂ; ﬂ; ﬂ; fl; fl; ) LATIN SMALL LIGATURE FL
      "\uFB03",  # (ﬃ; ﬃ; ﬃ; ffi; ffi; ) LATIN SMALL LIGATURE FFI
      "\uFB04",  # (ﬄ; ﬄ; ﬄ; ffl; ffl; ) LATIN SMALL LIGATURE FFL
      "\uFB05",  # (ﬅ; ﬅ; ﬅ; st; st; ) LATIN SMALL LIGATURE LONG S T
      "\uFB06",  # (ﬆ; ﬆ; ﬆ; st; st; ) LATIN SMALL LIGATURE ST
      "\uFB13",  # (ﬓ; ﬓ; ﬓ; մն; մն; ) ARMENIAN SMALL LIGATURE MEN NOW
      "\uFB14",  # (ﬔ; ﬔ; ﬔ; մե; մե; ) ARMENIAN SMALL LIGATURE MEN ECH
      "\uFB15",  # (ﬕ; ﬕ; ﬕ; մի; մի; ) ARMENIAN SMALL LIGATURE MEN INI
      "\uFB16",  # (ﬖ; ﬖ; ﬖ; վն; վն; ) ARMENIAN SMALL LIGATURE VEW NOW
      "\uFB17",  # (ﬗ; ﬗ; ﬗ; մխ; մխ; ) ARMENIAN SMALL LIGATURE MEN XEH
      "\uFB1D",  # (יִ; י◌ִ; י◌ִ; י◌ִ; י◌ִ; ) HEBREW LETTER YOD WITH HIRIQ
      "\uFB1F",  # (ײַ; ײ◌ַ; ײ◌ַ; ײ◌ַ; ײ◌ַ; ) HEBREW LIGATURE YIDDISH YOD YOD PATAH
      "\uFB20",  # (ﬠ; ﬠ; ﬠ; ע; ע; ) HEBREW LETTER ALTERNATIVE AYIN
      "\uFB21",  # (ﬡ; ﬡ; ﬡ; א; א; ) HEBREW LETTER WIDE ALEF
      "\uFB22",  # (ﬢ; ﬢ; ﬢ; ד; ד; ) HEBREW LETTER WIDE DALET
      "\uFB23",  # (ﬣ; ﬣ; ﬣ; ה; ה; ) HEBREW LETTER WIDE HE
      "\uFB24",  # (ﬤ; ﬤ; ﬤ; כ; כ; ) HEBREW LETTER WIDE KAF
      "\uFB25",  # (ﬥ; ﬥ; ﬥ; ל; ל; ) HEBREW LETTER WIDE LAMED
      "\uFB26",  # (ﬦ; ﬦ; ﬦ; ם; ם; ) HEBREW LETTER WIDE FINAL MEM
      "\uFB27",  # (ﬧ; ﬧ; ﬧ; ר; ר; ) HEBREW LETTER WIDE RESH
      "\uFB28",  # (ﬨ; ﬨ; ﬨ; ת; ת; ) HEBREW LETTER WIDE TAV
      "\uFB29",  # (﬩; ﬩; ﬩; +; +; ) HEBREW LETTER ALTERNATIVE PLUS SIGN
      "\uFB2A",  # (שׁ; ש◌ׁ; ש◌ׁ; ש◌ׁ; ש◌ׁ; ) HEBREW LETTER SHIN WITH SHIN DOT
      "\uFB2B",  # (שׂ; ש◌ׂ; ש◌ׂ; ש◌ׂ; ש◌ׂ; ) HEBREW LETTER SHIN WITH SIN DOT
      "\uFB2C",  # (שּׁ; ש◌ּ◌ׁ; ש◌ּ◌ׁ; ש◌ּ◌ׁ; ש◌ּ◌ׁ; ) HEBREW LETTER SHIN WITH DAGESH AND SHIN DOT
      "\uFB2D",  # (שּׂ; ש◌ּ◌ׂ; ש◌ּ◌ׂ; ש◌ּ◌ׂ; ש◌ּ◌ׂ; ) HEBREW LETTER SHIN WITH DAGESH AND SIN DOT
      "\uFB2E",  # (אַ; א◌ַ; א◌ַ; א◌ַ; א◌ַ; ) HEBREW LETTER ALEF WITH PATAH
      "\uFB2F",  # (אָ; א◌ָ; א◌ָ; א◌ָ; א◌ָ; ) HEBREW LETTER ALEF WITH QAMATS
      "\uFB30",  # (אּ; א◌ּ; א◌ּ; א◌ּ; א◌ּ; ) HEBREW LETTER ALEF WITH MAPIQ
      "\uFB31",  # (בּ; ב◌ּ; ב◌ּ; ב◌ּ; ב◌ּ; ) HEBREW LETTER BET WITH DAGESH
      "\uFB32",  # (גּ; ג◌ּ; ג◌ּ; ג◌ּ; ג◌ּ; ) HEBREW LETTER GIMEL WITH DAGESH
      "\uFB33",  # (דּ; ד◌ּ; ד◌ּ; ד◌ּ; ד◌ּ; ) HEBREW LETTER DALET WITH DAGESH
      "\uFB34",  # (הּ; ה◌ּ; ה◌ּ; ה◌ּ; ה◌ּ; ) HEBREW LETTER HE WITH MAPIQ
      "\uFB35",  # (וּ; ו◌ּ; ו◌ּ; ו◌ּ; ו◌ּ; ) HEBREW LETTER VAV WITH DAGESH
      "\uFB36",  # (זּ; ז◌ּ; ז◌ּ; ז◌ּ; ז◌ּ; ) HEBREW LETTER ZAYIN WITH DAGESH
      "\uFB38",  # (טּ; ט◌ּ; ט◌ּ; ט◌ּ; ט◌ּ; ) HEBREW LETTER TET WITH DAGESH
      "\uFB39",  # (יּ; י◌ּ; י◌ּ; י◌ּ; י◌ּ; ) HEBREW LETTER YOD WITH DAGESH
      "\uFB3A",  # (ךּ; ך◌ּ; ך◌ּ; ך◌ּ; ך◌ּ; ) HEBREW LETTER FINAL KAF WITH DAGESH
      "\uFB3B",  # (כּ; כ◌ּ; כ◌ּ; כ◌ּ; כ◌ּ; ) HEBREW LETTER KAF WITH DAGESH
      "\uFB3C",  # (לּ; ל◌ּ; ל◌ּ; ל◌ּ; ל◌ּ; ) HEBREW LETTER LAMED WITH DAGESH
      "\uFB3E",  # (מּ; מ◌ּ; מ◌ּ; מ◌ּ; מ◌ּ; ) HEBREW LETTER MEM WITH DAGESH
      "\uFB40",  # (נּ; נ◌ּ; נ◌ּ; נ◌ּ; נ◌ּ; ) HEBREW LETTER NUN WITH DAGESH
      "\uFB41",  # (סּ; ס◌ּ; ס◌ּ; ס◌ּ; ס◌ּ; ) HEBREW LETTER SAMEKH WITH DAGESH
      "\uFB43",  # (ףּ; ף◌ּ; ף◌ּ; ף◌ּ; ף◌ּ; ) HEBREW LETTER FINAL PE WITH DAGESH
      "\uFB44",  # (פּ; פ◌ּ; פ◌ּ; פ◌ּ; פ◌ּ; ) HEBREW LETTER PE WITH DAGESH
      "\uFB46",  # (צּ; צ◌ּ; צ◌ּ; צ◌ּ; צ◌ּ; ) HEBREW LETTER TSADI WITH DAGESH
      "\uFB47",  # (קּ; ק◌ּ; ק◌ּ; ק◌ּ; ק◌ּ; ) HEBREW LETTER QOF WITH DAGESH
      "\uFB48",  # (רּ; ר◌ּ; ר◌ּ; ר◌ּ; ר◌ּ; ) HEBREW LETTER RESH WITH DAGESH
      "\uFB49",  # (שּ; ש◌ּ; ש◌ּ; ש◌ּ; ש◌ּ; ) HEBREW LETTER SHIN WITH DAGESH
      "\uFB4A",  # (תּ; ת◌ּ; ת◌ּ; ת◌ּ; ת◌ּ; ) HEBREW LETTER TAV WITH DAGESH
      "\uFB4B",  # (וֹ; ו◌ֹ; ו◌ֹ; ו◌ֹ; ו◌ֹ; ) HEBREW LETTER VAV WITH HOLAM
      "\uFB4C",  # (בֿ; ב◌ֿ; ב◌ֿ; ב◌ֿ; ב◌ֿ; ) HEBREW LETTER BET WITH RAFE
      "\uFB4D",  # (כֿ; כ◌ֿ; כ◌ֿ; כ◌ֿ; כ◌ֿ; ) HEBREW LETTER KAF WITH RAFE
      "\uFB4E",  # (פֿ; פ◌ֿ; פ◌ֿ; פ◌ֿ; פ◌ֿ; ) HEBREW LETTER PE WITH RAFE
      "\uFB4F",  # (ﭏ; ﭏ; ﭏ; אל; אל; ) HEBREW LIGATURE ALEF LAMED
      "\uFB50",  # (ﭐ; ﭐ; ﭐ; ٱ; ٱ; ) ARABIC LETTER ALEF WASLA ISOLATED FORM
      "\uFB51",  # (ﭑ; ﭑ; ﭑ; ٱ; ٱ; ) ARABIC LETTER ALEF WASLA FINAL FORM
      "\uFB52",  # (ﭒ; ﭒ; ﭒ; ٻ; ٻ; ) ARABIC LETTER BEEH ISOLATED FORM
      "\uFB53",  # (ﭓ; ﭓ; ﭓ; ٻ; ٻ; ) ARABIC LETTER BEEH FINAL FORM
      "\uFB54",  # (ﭔ; ﭔ; ﭔ; ٻ; ٻ; ) ARABIC LETTER BEEH INITIAL FORM
      "\uFB55",  # (ﭕ; ﭕ; ﭕ; ٻ; ٻ; ) ARABIC LETTER BEEH MEDIAL FORM
      "\uFB56",  # (ﭖ; ﭖ; ﭖ; پ; پ; ) ARABIC LETTER PEH ISOLATED FORM
      "\uFB57",  # (ﭗ; ﭗ; ﭗ; پ; پ; ) ARABIC LETTER PEH FINAL FORM
      "\uFB58",  # (ﭘ; ﭘ; ﭘ; پ; پ; ) ARABIC LETTER PEH INITIAL FORM
      "\uFB59",  # (ﭙ; ﭙ; ﭙ; پ; پ; ) ARABIC LETTER PEH MEDIAL FORM
      "\uFB5A",  # (ﭚ; ﭚ; ﭚ; ڀ; ڀ; ) ARABIC LETTER BEHEH ISOLATED FORM
      "\uFB5B",  # (ﭛ; ﭛ; ﭛ; ڀ; ڀ; ) ARABIC LETTER BEHEH FINAL FORM
      "\uFB5C",  # (ﭜ; ﭜ; ﭜ; ڀ; ڀ; ) ARABIC LETTER BEHEH INITIAL FORM
      "\uFB5D",  # (ﭝ; ﭝ; ﭝ; ڀ; ڀ; ) ARABIC LETTER BEHEH MEDIAL FORM
      "\uFB5E",  # (ﭞ; ﭞ; ﭞ; ٺ; ٺ; ) ARABIC LETTER TTEHEH ISOLATED FORM
      "\uFB5F",  # (ﭟ; ﭟ; ﭟ; ٺ; ٺ; ) ARABIC LETTER TTEHEH FINAL FORM
      "\uFB60",  # (ﭠ; ﭠ; ﭠ; ٺ; ٺ; ) ARABIC LETTER TTEHEH INITIAL FORM
      "\uFB61",  # (ﭡ; ﭡ; ﭡ; ٺ; ٺ; ) ARABIC LETTER TTEHEH MEDIAL FORM
      "\uFB62",  # (ﭢ; ﭢ; ﭢ; ٿ; ٿ; ) ARABIC LETTER TEHEH ISOLATED FORM
      "\uFB63",  # (ﭣ; ﭣ; ﭣ; ٿ; ٿ; ) ARABIC LETTER TEHEH FINAL FORM
      "\uFB64",  # (ﭤ; ﭤ; ﭤ; ٿ; ٿ; ) ARABIC LETTER TEHEH INITIAL FORM
      "\uFB65",  # (ﭥ; ﭥ; ﭥ; ٿ; ٿ; ) ARABIC LETTER TEHEH MEDIAL FORM
      "\uFB66",  # (ﭦ; ﭦ; ﭦ; ٹ; ٹ; ) ARABIC LETTER TTEH ISOLATED FORM
      "\uFB67",  # (ﭧ; ﭧ; ﭧ; ٹ; ٹ; ) ARABIC LETTER TTEH FINAL FORM
      "\uFB68",  # (ﭨ; ﭨ; ﭨ; ٹ; ٹ; ) ARABIC LETTER TTEH INITIAL FORM
      "\uFB69",  # (ﭩ; ﭩ; ﭩ; ٹ; ٹ; ) ARABIC LETTER TTEH MEDIAL FORM
      "\uFB6A",  # (ﭪ; ﭪ; ﭪ; ڤ; ڤ; ) ARABIC LETTER VEH ISOLATED FORM
      "\uFB6B",  # (ﭫ; ﭫ; ﭫ; ڤ; ڤ; ) ARABIC LETTER VEH FINAL FORM
      "\uFB6C",  # (ﭬ; ﭬ; ﭬ; ڤ; ڤ; ) ARABIC LETTER VEH INITIAL FORM
      "\uFB6D",  # (ﭭ; ﭭ; ﭭ; ڤ; ڤ; ) ARABIC LETTER VEH MEDIAL FORM
      "\uFB6E",  # (ﭮ; ﭮ; ﭮ; ڦ; ڦ; ) ARABIC LETTER PEHEH ISOLATED FORM
      "\uFB6F",  # (ﭯ; ﭯ; ﭯ; ڦ; ڦ; ) ARABIC LETTER PEHEH FINAL FORM
      "\uFB70",  # (ﭰ; ﭰ; ﭰ; ڦ; ڦ; ) ARABIC LETTER PEHEH INITIAL FORM
      "\uFB71",  # (ﭱ; ﭱ; ﭱ; ڦ; ڦ; ) ARABIC LETTER PEHEH MEDIAL FORM
      "\uFB72",  # (ﭲ; ﭲ; ﭲ; ڄ; ڄ; ) ARABIC LETTER DYEH ISOLATED FORM
      "\uFB73",  # (ﭳ; ﭳ; ﭳ; ڄ; ڄ; ) ARABIC LETTER DYEH FINAL FORM
      "\uFB74",  # (ﭴ; ﭴ; ﭴ; ڄ; ڄ; ) ARABIC LETTER DYEH INITIAL FORM
      "\uFB75",  # (ﭵ; ﭵ; ﭵ; ڄ; ڄ; ) ARABIC LETTER DYEH MEDIAL FORM
      "\uFB76",  # (ﭶ; ﭶ; ﭶ; ڃ; ڃ; ) ARABIC LETTER NYEH ISOLATED FORM
      "\uFB77",  # (ﭷ; ﭷ; ﭷ; ڃ; ڃ; ) ARABIC LETTER NYEH FINAL FORM
      "\uFB78",  # (ﭸ; ﭸ; ﭸ; ڃ; ڃ; ) ARABIC LETTER NYEH INITIAL FORM
      "\uFB79",  # (ﭹ; ﭹ; ﭹ; ڃ; ڃ; ) ARABIC LETTER NYEH MEDIAL FORM
      "\uFB7A",  # (ﭺ; ﭺ; ﭺ; چ; چ; ) ARABIC LETTER TCHEH ISOLATED FORM
      "\uFB7B",  # (ﭻ; ﭻ; ﭻ; چ; چ; ) ARABIC LETTER TCHEH FINAL FORM
      "\uFB7C",  # (ﭼ; ﭼ; ﭼ; چ; چ; ) ARABIC LETTER TCHEH INITIAL FORM
      "\uFB7D",  # (ﭽ; ﭽ; ﭽ; چ; چ; ) ARABIC LETTER TCHEH MEDIAL FORM
      "\uFB7E",  # (ﭾ; ﭾ; ﭾ; ڇ; ڇ; ) ARABIC LETTER TCHEHEH ISOLATED FORM
      "\uFB7F",  # (ﭿ; ﭿ; ﭿ; ڇ; ڇ; ) ARABIC LETTER TCHEHEH FINAL FORM
      "\uFB80",  # (ﮀ; ﮀ; ﮀ; ڇ; ڇ; ) ARABIC LETTER TCHEHEH INITIAL FORM
      "\uFB81",  # (ﮁ; ﮁ; ﮁ; ڇ; ڇ; ) ARABIC LETTER TCHEHEH MEDIAL FORM
      "\uFB82",  # (ﮂ; ﮂ; ﮂ; ڍ; ڍ; ) ARABIC LETTER DDAHAL ISOLATED FORM
      "\uFB83",  # (ﮃ; ﮃ; ﮃ; ڍ; ڍ; ) ARABIC LETTER DDAHAL FINAL FORM
      "\uFB84",  # (ﮄ; ﮄ; ﮄ; ڌ; ڌ; ) ARABIC LETTER DAHAL ISOLATED FORM
      "\uFB85",  # (ﮅ; ﮅ; ﮅ; ڌ; ڌ; ) ARABIC LETTER DAHAL FINAL FORM
      "\uFB86",  # (ﮆ; ﮆ; ﮆ; ڎ; ڎ; ) ARABIC LETTER DUL ISOLATED FORM
      "\uFB87",  # (ﮇ; ﮇ; ﮇ; ڎ; ڎ; ) ARABIC LETTER DUL FINAL FORM
      "\uFB88",  # (ﮈ; ﮈ; ﮈ; ڈ; ڈ; ) ARABIC LETTER DDAL ISOLATED FORM
      "\uFB89",  # (ﮉ; ﮉ; ﮉ; ڈ; ڈ; ) ARABIC LETTER DDAL FINAL FORM
      "\uFB8A",  # (ﮊ; ﮊ; ﮊ; ژ; ژ; ) ARABIC LETTER JEH ISOLATED FORM
      "\uFB8B",  # (ﮋ; ﮋ; ﮋ; ژ; ژ; ) ARABIC LETTER JEH FINAL FORM
      "\uFB8C",  # (ﮌ; ﮌ; ﮌ; ڑ; ڑ; ) ARABIC LETTER RREH ISOLATED FORM
      "\uFB8D",  # (ﮍ; ﮍ; ﮍ; ڑ; ڑ; ) ARABIC LETTER RREH FINAL FORM
      "\uFB8E",  # (ﮎ; ﮎ; ﮎ; ک; ک; ) ARABIC LETTER KEHEH ISOLATED FORM
      "\uFB8F",  # (ﮏ; ﮏ; ﮏ; ک; ک; ) ARABIC LETTER KEHEH FINAL FORM
      "\uFB90",  # (ﮐ; ﮐ; ﮐ; ک; ک; ) ARABIC LETTER KEHEH INITIAL FORM
      "\uFB91",  # (ﮑ; ﮑ; ﮑ; ک; ک; ) ARABIC LETTER KEHEH MEDIAL FORM
      "\uFB92",  # (ﮒ; ﮒ; ﮒ; گ; گ; ) ARABIC LETTER GAF ISOLATED FORM
      "\uFB93",  # (ﮓ; ﮓ; ﮓ; گ; گ; ) ARABIC LETTER GAF FINAL FORM
      "\uFB94",  # (ﮔ; ﮔ; ﮔ; گ; گ; ) ARABIC LETTER GAF INITIAL FORM
      "\uFB95",  # (ﮕ; ﮕ; ﮕ; گ; گ; ) ARABIC LETTER GAF MEDIAL FORM
      "\uFB96",  # (ﮖ; ﮖ; ﮖ; ڳ; ڳ; ) ARABIC LETTER GUEH ISOLATED FORM
      "\uFB97",  # (ﮗ; ﮗ; ﮗ; ڳ; ڳ; ) ARABIC LETTER GUEH FINAL FORM
      "\uFB98",  # (ﮘ; ﮘ; ﮘ; ڳ; ڳ; ) ARABIC LETTER GUEH INITIAL FORM
      "\uFB99",  # (ﮙ; ﮙ; ﮙ; ڳ; ڳ; ) ARABIC LETTER GUEH MEDIAL FORM
      "\uFB9A",  # (ﮚ; ﮚ; ﮚ; ڱ; ڱ; ) ARABIC LETTER NGOEH ISOLATED FORM
      "\uFB9B",  # (ﮛ; ﮛ; ﮛ; ڱ; ڱ; ) ARABIC LETTER NGOEH FINAL FORM
      "\uFB9C",  # (ﮜ; ﮜ; ﮜ; ڱ; ڱ; ) ARABIC LETTER NGOEH INITIAL FORM
      "\uFB9D",  # (ﮝ; ﮝ; ﮝ; ڱ; ڱ; ) ARABIC LETTER NGOEH MEDIAL FORM
      "\uFB9E",  # (ﮞ; ﮞ; ﮞ; ں; ں; ) ARABIC LETTER NOON GHUNNA ISOLATED FORM
      "\uFB9F",  # (ﮟ; ﮟ; ﮟ; ں; ں; ) ARABIC LETTER NOON GHUNNA FINAL FORM
      "\uFBA0",  # (ﮠ; ﮠ; ﮠ; ڻ; ڻ; ) ARABIC LETTER RNOON ISOLATED FORM
      "\uFBA1",  # (ﮡ; ﮡ; ﮡ; ڻ; ڻ; ) ARABIC LETTER RNOON FINAL FORM
      "\uFBA2",  # (ﮢ; ﮢ; ﮢ; ڻ; ڻ; ) ARABIC LETTER RNOON INITIAL FORM
      "\uFBA3",  # (ﮣ; ﮣ; ﮣ; ڻ; ڻ; ) ARABIC LETTER RNOON MEDIAL FORM
      "\uFBA4",  # (ﮤ; ﮤ; ﮤ; ۀ; ە◌ٔ; ) ARABIC LETTER HEH WITH YEH ABOVE ISOLATED FORM
      "\uFBA5",  # (ﮥ; ﮥ; ﮥ; ۀ; ە◌ٔ; ) ARABIC LETTER HEH WITH YEH ABOVE FINAL FORM
      "\uFBA6",  # (ﮦ; ﮦ; ﮦ; ہ; ہ; ) ARABIC LETTER HEH GOAL ISOLATED FORM
      "\uFBA7",  # (ﮧ; ﮧ; ﮧ; ہ; ہ; ) ARABIC LETTER HEH GOAL FINAL FORM
      "\uFBA8",  # (ﮨ; ﮨ; ﮨ; ہ; ہ; ) ARABIC LETTER HEH GOAL INITIAL FORM
      "\uFBA9",  # (ﮩ; ﮩ; ﮩ; ہ; ہ; ) ARABIC LETTER HEH GOAL MEDIAL FORM
      "\uFBAA",  # (ﮪ; ﮪ; ﮪ; ھ; ھ; ) ARABIC LETTER HEH DOACHASHMEE ISOLATED FORM
      "\uFBAB",  # (ﮫ; ﮫ; ﮫ; ھ; ھ; ) ARABIC LETTER HEH DOACHASHMEE FINAL FORM
      "\uFBAC",  # (ﮬ; ﮬ; ﮬ; ھ; ھ; ) ARABIC LETTER HEH DOACHASHMEE INITIAL FORM
      "\uFBAD",  # (ﮭ; ﮭ; ﮭ; ھ; ھ; ) ARABIC LETTER HEH DOACHASHMEE MEDIAL FORM
      "\uFBAE",  # (ﮮ; ﮮ; ﮮ; ے; ے; ) ARABIC LETTER YEH BARREE ISOLATED FORM
      "\uFBAF",  # (ﮯ; ﮯ; ﮯ; ے; ے; ) ARABIC LETTER YEH BARREE FINAL FORM
      "\uFBB0",  # (ﮰ; ﮰ; ﮰ; ۓ; ے◌ٔ; ) ARABIC LETTER YEH BARREE WITH HAMZA ABOVE ISOLATED FORM
      "\uFBB1",  # (ﮱ; ﮱ; ﮱ; ۓ; ے◌ٔ; ) ARABIC LETTER YEH BARREE WITH HAMZA ABOVE FINAL FORM
      "\uFBD3",  # (ﯓ; ﯓ; ﯓ; ڭ; ڭ; ) ARABIC LETTER NG ISOLATED FORM
      "\uFBD4",  # (ﯔ; ﯔ; ﯔ; ڭ; ڭ; ) ARABIC LETTER NG FINAL FORM
      "\uFBD5",  # (ﯕ; ﯕ; ﯕ; ڭ; ڭ; ) ARABIC LETTER NG INITIAL FORM
      "\uFBD6",  # (ﯖ; ﯖ; ﯖ; ڭ; ڭ; ) ARABIC LETTER NG MEDIAL FORM
      "\uFBD7",  # (ﯗ; ﯗ; ﯗ; ۇ; ۇ; ) ARABIC LETTER U ISOLATED FORM
      "\uFBD8",  # (ﯘ; ﯘ; ﯘ; ۇ; ۇ; ) ARABIC LETTER U FINAL FORM
      "\uFBD9",  # (ﯙ; ﯙ; ﯙ; ۆ; ۆ; ) ARABIC LETTER OE ISOLATED FORM
      "\uFBDA",  # (ﯚ; ﯚ; ﯚ; ۆ; ۆ; ) ARABIC LETTER OE FINAL FORM
      "\uFBDB",  # (ﯛ; ﯛ; ﯛ; ۈ; ۈ; ) ARABIC LETTER YU ISOLATED FORM
      "\uFBDC",  # (ﯜ; ﯜ; ﯜ; ۈ; ۈ; ) ARABIC LETTER YU FINAL FORM
      "\uFBDD",  # (ﯝ; ﯝ; ﯝ; ۇٴ; ۇٴ; ) ARABIC LETTER U WITH HAMZA ABOVE ISOLATED FORM
      "\uFBDE",  # (ﯞ; ﯞ; ﯞ; ۋ; ۋ; ) ARABIC LETTER VE ISOLATED FORM
      "\uFBDF",  # (ﯟ; ﯟ; ﯟ; ۋ; ۋ; ) ARABIC LETTER VE FINAL FORM
      "\uFBE0",  # (ﯠ; ﯠ; ﯠ; ۅ; ۅ; ) ARABIC LETTER KIRGHIZ OE ISOLATED FORM
      "\uFBE1",  # (ﯡ; ﯡ; ﯡ; ۅ; ۅ; ) ARABIC LETTER KIRGHIZ OE FINAL FORM
      "\uFBE2",  # (ﯢ; ﯢ; ﯢ; ۉ; ۉ; ) ARABIC LETTER KIRGHIZ YU ISOLATED FORM
      "\uFBE3",  # (ﯣ; ﯣ; ﯣ; ۉ; ۉ; ) ARABIC LETTER KIRGHIZ YU FINAL FORM
      "\uFBE4",  # (ﯤ; ﯤ; ﯤ; ې; ې; ) ARABIC LETTER E ISOLATED FORM
      "\uFBE5",  # (ﯥ; ﯥ; ﯥ; ې; ې; ) ARABIC LETTER E FINAL FORM
      "\uFBE6",  # (ﯦ; ﯦ; ﯦ; ې; ې; ) ARABIC LETTER E INITIAL FORM
      "\uFBE7",  # (ﯧ; ﯧ; ﯧ; ې; ې; ) ARABIC LETTER E MEDIAL FORM
      "\uFBE8",  # (ﯨ; ﯨ; ﯨ; ى; ى; ) ARABIC LETTER UIGHUR KAZAKH KIRGHIZ ALEF MAKSURA INITIAL FORM
      "\uFBE9",  # (ﯩ; ﯩ; ﯩ; ى; ى; ) ARABIC LETTER UIGHUR KAZAKH KIRGHIZ ALEF MAKSURA MEDIAL FORM
      "\uFBEA",  # (ﯪ; ﯪ; ﯪ; ئا; ي◌ٔا; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ALEF ISOLATED FORM
      "\uFBEB",  # (ﯫ; ﯫ; ﯫ; ئا; ي◌ٔا; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ALEF FINAL FORM
      "\uFBEC",  # (ﯬ; ﯬ; ﯬ; ئە; ي◌ٔە; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH AE ISOLATED FORM
      "\uFBED",  # (ﯭ; ﯭ; ﯭ; ئە; ي◌ٔە; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH AE FINAL FORM
      "\uFBEE",  # (ﯮ; ﯮ; ﯮ; ئو; ي◌ٔو; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH WAW ISOLATED FORM
      "\uFBEF",  # (ﯯ; ﯯ; ﯯ; ئو; ي◌ٔو; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH WAW FINAL FORM
      "\uFBF0",  # (ﯰ; ﯰ; ﯰ; ئۇ; ي◌ٔۇ; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH U ISOLATED FORM
      "\uFBF1",  # (ﯱ; ﯱ; ﯱ; ئۇ; ي◌ٔۇ; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH U FINAL FORM
      "\uFBF2",  # (ﯲ; ﯲ; ﯲ; ئۆ; ي◌ٔۆ; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH OE ISOLATED FORM
      "\uFBF3",  # (ﯳ; ﯳ; ﯳ; ئۆ; ي◌ٔۆ; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH OE FINAL FORM
      "\uFBF4",  # (ﯴ; ﯴ; ﯴ; ئۈ; ي◌ٔۈ; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH YU ISOLATED FORM
      "\uFBF5",  # (ﯵ; ﯵ; ﯵ; ئۈ; ي◌ٔۈ; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH YU FINAL FORM
      "\uFBF6",  # (ﯶ; ﯶ; ﯶ; ئې; ي◌ٔې; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH E ISOLATED FORM
      "\uFBF7",  # (ﯷ; ﯷ; ﯷ; ئې; ي◌ٔې; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH E FINAL FORM
      "\uFBF8",  # (ﯸ; ﯸ; ﯸ; ئې; ي◌ٔې; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH E INITIAL FORM
      "\uFBF9",  # (ﯹ; ﯹ; ﯹ; ئى; ي◌ٔى; ) ARABIC LIGATURE UIGHUR KIRGHIZ YEH WITH HAMZA ABOVE WITH ALEF MAKSURA ISOLATED FORM
      "\uFBFA",  # (ﯺ; ﯺ; ﯺ; ئى; ي◌ٔى; ) ARABIC LIGATURE UIGHUR KIRGHIZ YEH WITH HAMZA ABOVE WITH ALEF MAKSURA FINAL FORM
      "\uFBFB",  # (ﯻ; ﯻ; ﯻ; ئى; ي◌ٔى; ) ARABIC LIGATURE UIGHUR KIRGHIZ YEH WITH HAMZA ABOVE WITH ALEF MAKSURA INITIAL FORM
      "\uFBFC",  # (ﯼ; ﯼ; ﯼ; ی; ی; ) ARABIC LETTER FARSI YEH ISOLATED FORM
      "\uFBFD",  # (ﯽ; ﯽ; ﯽ; ی; ی; ) ARABIC LETTER FARSI YEH FINAL FORM
      "\uFBFE",  # (ﯾ; ﯾ; ﯾ; ی; ی; ) ARABIC LETTER FARSI YEH INITIAL FORM
      "\uFBFF",  # (ﯿ; ﯿ; ﯿ; ی; ی; ) ARABIC LETTER FARSI YEH MEDIAL FORM
      "\uFC00",  # (ﰀ; ﰀ; ﰀ; ئج; ي◌ٔج; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH JEEM ISOLATED FORM
      "\uFC01",  # (ﰁ; ﰁ; ﰁ; ئح; ي◌ٔح; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH HAH ISOLATED FORM
      "\uFC02",  # (ﰂ; ﰂ; ﰂ; ئم; ي◌ٔم; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH MEEM ISOLATED FORM
      "\uFC03",  # (ﰃ; ﰃ; ﰃ; ئى; ي◌ٔى; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ALEF MAKSURA ISOLATED FORM
      "\uFC04",  # (ﰄ; ﰄ; ﰄ; ئي; ي◌ٔي; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH YEH ISOLATED FORM
      "\uFC05",  # (ﰅ; ﰅ; ﰅ; بج; بج; ) ARABIC LIGATURE BEH WITH JEEM ISOLATED FORM
      "\uFC06",  # (ﰆ; ﰆ; ﰆ; بح; بح; ) ARABIC LIGATURE BEH WITH HAH ISOLATED FORM
      "\uFC07",  # (ﰇ; ﰇ; ﰇ; بخ; بخ; ) ARABIC LIGATURE BEH WITH KHAH ISOLATED FORM
      "\uFC08",  # (ﰈ; ﰈ; ﰈ; بم; بم; ) ARABIC LIGATURE BEH WITH MEEM ISOLATED FORM
      "\uFC09",  # (ﰉ; ﰉ; ﰉ; بى; بى; ) ARABIC LIGATURE BEH WITH ALEF MAKSURA ISOLATED FORM
      "\uFC0A",  # (ﰊ; ﰊ; ﰊ; بي; بي; ) ARABIC LIGATURE BEH WITH YEH ISOLATED FORM
      "\uFC0B",  # (ﰋ; ﰋ; ﰋ; تج; تج; ) ARABIC LIGATURE TEH WITH JEEM ISOLATED FORM
      "\uFC0C",  # (ﰌ; ﰌ; ﰌ; تح; تح; ) ARABIC LIGATURE TEH WITH HAH ISOLATED FORM
      "\uFC0D",  # (ﰍ; ﰍ; ﰍ; تخ; تخ; ) ARABIC LIGATURE TEH WITH KHAH ISOLATED FORM
      "\uFC0E",  # (ﰎ; ﰎ; ﰎ; تم; تم; ) ARABIC LIGATURE TEH WITH MEEM ISOLATED FORM
      "\uFC0F",  # (ﰏ; ﰏ; ﰏ; تى; تى; ) ARABIC LIGATURE TEH WITH ALEF MAKSURA ISOLATED FORM
      "\uFC10",  # (ﰐ; ﰐ; ﰐ; تي; تي; ) ARABIC LIGATURE TEH WITH YEH ISOLATED FORM
      "\uFC11",  # (ﰑ; ﰑ; ﰑ; ثج; ثج; ) ARABIC LIGATURE THEH WITH JEEM ISOLATED FORM
      "\uFC12",  # (ﰒ; ﰒ; ﰒ; ثم; ثم; ) ARABIC LIGATURE THEH WITH MEEM ISOLATED FORM
      "\uFC13",  # (ﰓ; ﰓ; ﰓ; ثى; ثى; ) ARABIC LIGATURE THEH WITH ALEF MAKSURA ISOLATED FORM
      "\uFC14",  # (ﰔ; ﰔ; ﰔ; ثي; ثي; ) ARABIC LIGATURE THEH WITH YEH ISOLATED FORM
      "\uFC15",  # (ﰕ; ﰕ; ﰕ; جح; جح; ) ARABIC LIGATURE JEEM WITH HAH ISOLATED FORM
      "\uFC16",  # (ﰖ; ﰖ; ﰖ; جم; جم; ) ARABIC LIGATURE JEEM WITH MEEM ISOLATED FORM
      "\uFC17",  # (ﰗ; ﰗ; ﰗ; حج; حج; ) ARABIC LIGATURE HAH WITH JEEM ISOLATED FORM
      "\uFC18",  # (ﰘ; ﰘ; ﰘ; حم; حم; ) ARABIC LIGATURE HAH WITH MEEM ISOLATED FORM
      "\uFC19",  # (ﰙ; ﰙ; ﰙ; خج; خج; ) ARABIC LIGATURE KHAH WITH JEEM ISOLATED FORM
      "\uFC1A",  # (ﰚ; ﰚ; ﰚ; خح; خح; ) ARABIC LIGATURE KHAH WITH HAH ISOLATED FORM
      "\uFC1B",  # (ﰛ; ﰛ; ﰛ; خم; خم; ) ARABIC LIGATURE KHAH WITH MEEM ISOLATED FORM
      "\uFC1C",  # (ﰜ; ﰜ; ﰜ; سج; سج; ) ARABIC LIGATURE SEEN WITH JEEM ISOLATED FORM
      "\uFC1D",  # (ﰝ; ﰝ; ﰝ; سح; سح; ) ARABIC LIGATURE SEEN WITH HAH ISOLATED FORM
      "\uFC1E",  # (ﰞ; ﰞ; ﰞ; سخ; سخ; ) ARABIC LIGATURE SEEN WITH KHAH ISOLATED FORM
      "\uFC1F",  # (ﰟ; ﰟ; ﰟ; سم; سم; ) ARABIC LIGATURE SEEN WITH MEEM ISOLATED FORM
      "\uFC20",  # (ﰠ; ﰠ; ﰠ; صح; صح; ) ARABIC LIGATURE SAD WITH HAH ISOLATED FORM
      "\uFC21",  # (ﰡ; ﰡ; ﰡ; صم; صم; ) ARABIC LIGATURE SAD WITH MEEM ISOLATED FORM
      "\uFC22",  # (ﰢ; ﰢ; ﰢ; ضج; ضج; ) ARABIC LIGATURE DAD WITH JEEM ISOLATED FORM
      "\uFC23",  # (ﰣ; ﰣ; ﰣ; ضح; ضح; ) ARABIC LIGATURE DAD WITH HAH ISOLATED FORM
      "\uFC24",  # (ﰤ; ﰤ; ﰤ; ضخ; ضخ; ) ARABIC LIGATURE DAD WITH KHAH ISOLATED FORM
      "\uFC25",  # (ﰥ; ﰥ; ﰥ; ضم; ضم; ) ARABIC LIGATURE DAD WITH MEEM ISOLATED FORM
      "\uFC26",  # (ﰦ; ﰦ; ﰦ; طح; طح; ) ARABIC LIGATURE TAH WITH HAH ISOLATED FORM
      "\uFC27",  # (ﰧ; ﰧ; ﰧ; طم; طم; ) ARABIC LIGATURE TAH WITH MEEM ISOLATED FORM
      "\uFC28",  # (ﰨ; ﰨ; ﰨ; ظم; ظم; ) ARABIC LIGATURE ZAH WITH MEEM ISOLATED FORM
      "\uFC29",  # (ﰩ; ﰩ; ﰩ; عج; عج; ) ARABIC LIGATURE AIN WITH JEEM ISOLATED FORM
      "\uFC2A",  # (ﰪ; ﰪ; ﰪ; عم; عم; ) ARABIC LIGATURE AIN WITH MEEM ISOLATED FORM
      "\uFC2B",  # (ﰫ; ﰫ; ﰫ; غج; غج; ) ARABIC LIGATURE GHAIN WITH JEEM ISOLATED FORM
      "\uFC2C",  # (ﰬ; ﰬ; ﰬ; غم; غم; ) ARABIC LIGATURE GHAIN WITH MEEM ISOLATED FORM
      "\uFC2D",  # (ﰭ; ﰭ; ﰭ; فج; فج; ) ARABIC LIGATURE FEH WITH JEEM ISOLATED FORM
      "\uFC2E",  # (ﰮ; ﰮ; ﰮ; فح; فح; ) ARABIC LIGATURE FEH WITH HAH ISOLATED FORM
      "\uFC2F",  # (ﰯ; ﰯ; ﰯ; فخ; فخ; ) ARABIC LIGATURE FEH WITH KHAH ISOLATED FORM
      "\uFC30",  # (ﰰ; ﰰ; ﰰ; فم; فم; ) ARABIC LIGATURE FEH WITH MEEM ISOLATED FORM
      "\uFC31",  # (ﰱ; ﰱ; ﰱ; فى; فى; ) ARABIC LIGATURE FEH WITH ALEF MAKSURA ISOLATED FORM
      "\uFC32",  # (ﰲ; ﰲ; ﰲ; في; في; ) ARABIC LIGATURE FEH WITH YEH ISOLATED FORM
      "\uFC33",  # (ﰳ; ﰳ; ﰳ; قح; قح; ) ARABIC LIGATURE QAF WITH HAH ISOLATED FORM
      "\uFC34",  # (ﰴ; ﰴ; ﰴ; قم; قم; ) ARABIC LIGATURE QAF WITH MEEM ISOLATED FORM
      "\uFC35",  # (ﰵ; ﰵ; ﰵ; قى; قى; ) ARABIC LIGATURE QAF WITH ALEF MAKSURA ISOLATED FORM
      "\uFC36",  # (ﰶ; ﰶ; ﰶ; قي; قي; ) ARABIC LIGATURE QAF WITH YEH ISOLATED FORM
      "\uFC37",  # (ﰷ; ﰷ; ﰷ; كا; كا; ) ARABIC LIGATURE KAF WITH ALEF ISOLATED FORM
      "\uFC38",  # (ﰸ; ﰸ; ﰸ; كج; كج; ) ARABIC LIGATURE KAF WITH JEEM ISOLATED FORM
      "\uFC39",  # (ﰹ; ﰹ; ﰹ; كح; كح; ) ARABIC LIGATURE KAF WITH HAH ISOLATED FORM
      "\uFC3A",  # (ﰺ; ﰺ; ﰺ; كخ; كخ; ) ARABIC LIGATURE KAF WITH KHAH ISOLATED FORM
      "\uFC3B",  # (ﰻ; ﰻ; ﰻ; كل; كل; ) ARABIC LIGATURE KAF WITH LAM ISOLATED FORM
      "\uFC3C",  # (ﰼ; ﰼ; ﰼ; كم; كم; ) ARABIC LIGATURE KAF WITH MEEM ISOLATED FORM
      "\uFC3D",  # (ﰽ; ﰽ; ﰽ; كى; كى; ) ARABIC LIGATURE KAF WITH ALEF MAKSURA ISOLATED FORM
      "\uFC3E",  # (ﰾ; ﰾ; ﰾ; كي; كي; ) ARABIC LIGATURE KAF WITH YEH ISOLATED FORM
      "\uFC3F",  # (ﰿ; ﰿ; ﰿ; لج; لج; ) ARABIC LIGATURE LAM WITH JEEM ISOLATED FORM
      "\uFC40",  # (ﱀ; ﱀ; ﱀ; لح; لح; ) ARABIC LIGATURE LAM WITH HAH ISOLATED FORM
      "\uFC41",  # (ﱁ; ﱁ; ﱁ; لخ; لخ; ) ARABIC LIGATURE LAM WITH KHAH ISOLATED FORM
      "\uFC42",  # (ﱂ; ﱂ; ﱂ; لم; لم; ) ARABIC LIGATURE LAM WITH MEEM ISOLATED FORM
      "\uFC43",  # (ﱃ; ﱃ; ﱃ; لى; لى; ) ARABIC LIGATURE LAM WITH ALEF MAKSURA ISOLATED FORM
      "\uFC44",  # (ﱄ; ﱄ; ﱄ; لي; لي; ) ARABIC LIGATURE LAM WITH YEH ISOLATED FORM
      "\uFC45",  # (ﱅ; ﱅ; ﱅ; مج; مج; ) ARABIC LIGATURE MEEM WITH JEEM ISOLATED FORM
      "\uFC46",  # (ﱆ; ﱆ; ﱆ; مح; مح; ) ARABIC LIGATURE MEEM WITH HAH ISOLATED FORM
      "\uFC47",  # (ﱇ; ﱇ; ﱇ; مخ; مخ; ) ARABIC LIGATURE MEEM WITH KHAH ISOLATED FORM
      "\uFC48",  # (ﱈ; ﱈ; ﱈ; مم; مم; ) ARABIC LIGATURE MEEM WITH MEEM ISOLATED FORM
      "\uFC49",  # (ﱉ; ﱉ; ﱉ; مى; مى; ) ARABIC LIGATURE MEEM WITH ALEF MAKSURA ISOLATED FORM
      "\uFC4A",  # (ﱊ; ﱊ; ﱊ; مي; مي; ) ARABIC LIGATURE MEEM WITH YEH ISOLATED FORM
      "\uFC4B",  # (ﱋ; ﱋ; ﱋ; نج; نج; ) ARABIC LIGATURE NOON WITH JEEM ISOLATED FORM
      "\uFC4C",  # (ﱌ; ﱌ; ﱌ; نح; نح; ) ARABIC LIGATURE NOON WITH HAH ISOLATED FORM
      "\uFC4D",  # (ﱍ; ﱍ; ﱍ; نخ; نخ; ) ARABIC LIGATURE NOON WITH KHAH ISOLATED FORM
      "\uFC4E",  # (ﱎ; ﱎ; ﱎ; نم; نم; ) ARABIC LIGATURE NOON WITH MEEM ISOLATED FORM
      "\uFC4F",  # (ﱏ; ﱏ; ﱏ; نى; نى; ) ARABIC LIGATURE NOON WITH ALEF MAKSURA ISOLATED FORM
      "\uFC50",  # (ﱐ; ﱐ; ﱐ; ني; ني; ) ARABIC LIGATURE NOON WITH YEH ISOLATED FORM
      "\uFC51",  # (ﱑ; ﱑ; ﱑ; هج; هج; ) ARABIC LIGATURE HEH WITH JEEM ISOLATED FORM
      "\uFC52",  # (ﱒ; ﱒ; ﱒ; هم; هم; ) ARABIC LIGATURE HEH WITH MEEM ISOLATED FORM
      "\uFC53",  # (ﱓ; ﱓ; ﱓ; هى; هى; ) ARABIC LIGATURE HEH WITH ALEF MAKSURA ISOLATED FORM
      "\uFC54",  # (ﱔ; ﱔ; ﱔ; هي; هي; ) ARABIC LIGATURE HEH WITH YEH ISOLATED FORM
      "\uFC55",  # (ﱕ; ﱕ; ﱕ; يج; يج; ) ARABIC LIGATURE YEH WITH JEEM ISOLATED FORM
      "\uFC56",  # (ﱖ; ﱖ; ﱖ; يح; يح; ) ARABIC LIGATURE YEH WITH HAH ISOLATED FORM
      "\uFC57",  # (ﱗ; ﱗ; ﱗ; يخ; يخ; ) ARABIC LIGATURE YEH WITH KHAH ISOLATED FORM
      "\uFC58",  # (ﱘ; ﱘ; ﱘ; يم; يم; ) ARABIC LIGATURE YEH WITH MEEM ISOLATED FORM
      "\uFC59",  # (ﱙ; ﱙ; ﱙ; يى; يى; ) ARABIC LIGATURE YEH WITH ALEF MAKSURA ISOLATED FORM
      "\uFC5A",  # (ﱚ; ﱚ; ﱚ; يي; يي; ) ARABIC LIGATURE YEH WITH YEH ISOLATED FORM
      "\uFC5B",  # (ﱛ; ﱛ; ﱛ; ذ◌ٰ; ذ◌ٰ; ) ARABIC LIGATURE THAL WITH SUPERSCRIPT ALEF ISOLATED FORM
      "\uFC5C",  # (ﱜ; ﱜ; ﱜ; ر◌ٰ; ر◌ٰ; ) ARABIC LIGATURE REH WITH SUPERSCRIPT ALEF ISOLATED FORM
      "\uFC5D",  # (ﱝ; ﱝ; ﱝ; ى◌ٰ; ى◌ٰ; ) ARABIC LIGATURE ALEF MAKSURA WITH SUPERSCRIPT ALEF ISOLATED FORM
      "\uFC5E",  # (ﱞ; ﱞ; ﱞ;  ◌ٌ◌ّ;  ◌ٌ◌ّ; ) ARABIC LIGATURE SHADDA WITH DAMMATAN ISOLATED FORM
      "\uFC5F",  # (ﱟ; ﱟ; ﱟ;  ◌ٍ◌ّ;  ◌ٍ◌ّ; ) ARABIC LIGATURE SHADDA WITH KASRATAN ISOLATED FORM
      "\uFC60",  # (ﱠ; ﱠ; ﱠ;  ◌َ◌ّ;  ◌َ◌ّ; ) ARABIC LIGATURE SHADDA WITH FATHA ISOLATED FORM
      "\uFC61",  # (ﱡ; ﱡ; ﱡ;  ◌ُ◌ّ;  ◌ُ◌ّ; ) ARABIC LIGATURE SHADDA WITH DAMMA ISOLATED FORM
      "\uFC62",  # (ﱢ; ﱢ; ﱢ;  ◌ِ◌ّ;  ◌ِ◌ّ; ) ARABIC LIGATURE SHADDA WITH KASRA ISOLATED FORM
      "\uFC63",  # (ﱣ; ﱣ; ﱣ;  ◌ّ◌ٰ;  ◌ّ◌ٰ; ) ARABIC LIGATURE SHADDA WITH SUPERSCRIPT ALEF ISOLATED FORM
      "\uFC64",  # (ﱤ; ﱤ; ﱤ; ئر; ي◌ٔر; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH REH FINAL FORM
      "\uFC65",  # (ﱥ; ﱥ; ﱥ; ئز; ي◌ٔز; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ZAIN FINAL FORM
      "\uFC66",  # (ﱦ; ﱦ; ﱦ; ئم; ي◌ٔم; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH MEEM FINAL FORM
      "\uFC67",  # (ﱧ; ﱧ; ﱧ; ئن; ي◌ٔن; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH NOON FINAL FORM
      "\uFC68",  # (ﱨ; ﱨ; ﱨ; ئى; ي◌ٔى; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ALEF MAKSURA FINAL FORM
      "\uFC69",  # (ﱩ; ﱩ; ﱩ; ئي; ي◌ٔي; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH YEH FINAL FORM
      "\uFC6A",  # (ﱪ; ﱪ; ﱪ; بر; بر; ) ARABIC LIGATURE BEH WITH REH FINAL FORM
      "\uFC6B",  # (ﱫ; ﱫ; ﱫ; بز; بز; ) ARABIC LIGATURE BEH WITH ZAIN FINAL FORM
      "\uFC6C",  # (ﱬ; ﱬ; ﱬ; بم; بم; ) ARABIC LIGATURE BEH WITH MEEM FINAL FORM
      "\uFC6D",  # (ﱭ; ﱭ; ﱭ; بن; بن; ) ARABIC LIGATURE BEH WITH NOON FINAL FORM
      "\uFC6E",  # (ﱮ; ﱮ; ﱮ; بى; بى; ) ARABIC LIGATURE BEH WITH ALEF MAKSURA FINAL FORM
      "\uFC6F",  # (ﱯ; ﱯ; ﱯ; بي; بي; ) ARABIC LIGATURE BEH WITH YEH FINAL FORM
      "\uFC70",  # (ﱰ; ﱰ; ﱰ; تر; تر; ) ARABIC LIGATURE TEH WITH REH FINAL FORM
      "\uFC71",  # (ﱱ; ﱱ; ﱱ; تز; تز; ) ARABIC LIGATURE TEH WITH ZAIN FINAL FORM
      "\uFC72",  # (ﱲ; ﱲ; ﱲ; تم; تم; ) ARABIC LIGATURE TEH WITH MEEM FINAL FORM
      "\uFC73",  # (ﱳ; ﱳ; ﱳ; تن; تن; ) ARABIC LIGATURE TEH WITH NOON FINAL FORM
      "\uFC74",  # (ﱴ; ﱴ; ﱴ; تى; تى; ) ARABIC LIGATURE TEH WITH ALEF MAKSURA FINAL FORM
      "\uFC75",  # (ﱵ; ﱵ; ﱵ; تي; تي; ) ARABIC LIGATURE TEH WITH YEH FINAL FORM
      "\uFC76",  # (ﱶ; ﱶ; ﱶ; ثر; ثر; ) ARABIC LIGATURE THEH WITH REH FINAL FORM
      "\uFC77",  # (ﱷ; ﱷ; ﱷ; ثز; ثز; ) ARABIC LIGATURE THEH WITH ZAIN FINAL FORM
      "\uFC78",  # (ﱸ; ﱸ; ﱸ; ثم; ثم; ) ARABIC LIGATURE THEH WITH MEEM FINAL FORM
      "\uFC79",  # (ﱹ; ﱹ; ﱹ; ثن; ثن; ) ARABIC LIGATURE THEH WITH NOON FINAL FORM
      "\uFC7A",  # (ﱺ; ﱺ; ﱺ; ثى; ثى; ) ARABIC LIGATURE THEH WITH ALEF MAKSURA FINAL FORM
      "\uFC7B",  # (ﱻ; ﱻ; ﱻ; ثي; ثي; ) ARABIC LIGATURE THEH WITH YEH FINAL FORM
      "\uFC7C",  # (ﱼ; ﱼ; ﱼ; فى; فى; ) ARABIC LIGATURE FEH WITH ALEF MAKSURA FINAL FORM
      "\uFC7D",  # (ﱽ; ﱽ; ﱽ; في; في; ) ARABIC LIGATURE FEH WITH YEH FINAL FORM
      "\uFC7E",  # (ﱾ; ﱾ; ﱾ; قى; قى; ) ARABIC LIGATURE QAF WITH ALEF MAKSURA FINAL FORM
      "\uFC7F",  # (ﱿ; ﱿ; ﱿ; قي; قي; ) ARABIC LIGATURE QAF WITH YEH FINAL FORM
      "\uFC80",  # (ﲀ; ﲀ; ﲀ; كا; كا; ) ARABIC LIGATURE KAF WITH ALEF FINAL FORM
      "\uFC81",  # (ﲁ; ﲁ; ﲁ; كل; كل; ) ARABIC LIGATURE KAF WITH LAM FINAL FORM
      "\uFC82",  # (ﲂ; ﲂ; ﲂ; كم; كم; ) ARABIC LIGATURE KAF WITH MEEM FINAL FORM
      "\uFC83",  # (ﲃ; ﲃ; ﲃ; كى; كى; ) ARABIC LIGATURE KAF WITH ALEF MAKSURA FINAL FORM
      "\uFC84",  # (ﲄ; ﲄ; ﲄ; كي; كي; ) ARABIC LIGATURE KAF WITH YEH FINAL FORM
      "\uFC85",  # (ﲅ; ﲅ; ﲅ; لم; لم; ) ARABIC LIGATURE LAM WITH MEEM FINAL FORM
      "\uFC86",  # (ﲆ; ﲆ; ﲆ; لى; لى; ) ARABIC LIGATURE LAM WITH ALEF MAKSURA FINAL FORM
      "\uFC87",  # (ﲇ; ﲇ; ﲇ; لي; لي; ) ARABIC LIGATURE LAM WITH YEH FINAL FORM
      "\uFC88",  # (ﲈ; ﲈ; ﲈ; ما; ما; ) ARABIC LIGATURE MEEM WITH ALEF FINAL FORM
      "\uFC89",  # (ﲉ; ﲉ; ﲉ; مم; مم; ) ARABIC LIGATURE MEEM WITH MEEM FINAL FORM
      "\uFC8A",  # (ﲊ; ﲊ; ﲊ; نر; نر; ) ARABIC LIGATURE NOON WITH REH FINAL FORM
      "\uFC8B",  # (ﲋ; ﲋ; ﲋ; نز; نز; ) ARABIC LIGATURE NOON WITH ZAIN FINAL FORM
      "\uFC8C",  # (ﲌ; ﲌ; ﲌ; نم; نم; ) ARABIC LIGATURE NOON WITH MEEM FINAL FORM
      "\uFC8D",  # (ﲍ; ﲍ; ﲍ; نن; نن; ) ARABIC LIGATURE NOON WITH NOON FINAL FORM
      "\uFC8E",  # (ﲎ; ﲎ; ﲎ; نى; نى; ) ARABIC LIGATURE NOON WITH ALEF MAKSURA FINAL FORM
      "\uFC8F",  # (ﲏ; ﲏ; ﲏ; ني; ني; ) ARABIC LIGATURE NOON WITH YEH FINAL FORM
      "\uFC90",  # (ﲐ; ﲐ; ﲐ; ى◌ٰ; ى◌ٰ; ) ARABIC LIGATURE ALEF MAKSURA WITH SUPERSCRIPT ALEF FINAL FORM
      "\uFC91",  # (ﲑ; ﲑ; ﲑ; ير; ير; ) ARABIC LIGATURE YEH WITH REH FINAL FORM
      "\uFC92",  # (ﲒ; ﲒ; ﲒ; يز; يز; ) ARABIC LIGATURE YEH WITH ZAIN FINAL FORM
      "\uFC93",  # (ﲓ; ﲓ; ﲓ; يم; يم; ) ARABIC LIGATURE YEH WITH MEEM FINAL FORM
      "\uFC94",  # (ﲔ; ﲔ; ﲔ; ين; ين; ) ARABIC LIGATURE YEH WITH NOON FINAL FORM
      "\uFC95",  # (ﲕ; ﲕ; ﲕ; يى; يى; ) ARABIC LIGATURE YEH WITH ALEF MAKSURA FINAL FORM
      "\uFC96",  # (ﲖ; ﲖ; ﲖ; يي; يي; ) ARABIC LIGATURE YEH WITH YEH FINAL FORM
      "\uFC97",  # (ﲗ; ﲗ; ﲗ; ئج; ي◌ٔج; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH JEEM INITIAL FORM
      "\uFC98",  # (ﲘ; ﲘ; ﲘ; ئح; ي◌ٔح; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH HAH INITIAL FORM
      "\uFC99",  # (ﲙ; ﲙ; ﲙ; ئخ; ي◌ٔخ; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH KHAH INITIAL FORM
      "\uFC9A",  # (ﲚ; ﲚ; ﲚ; ئم; ي◌ٔم; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH MEEM INITIAL FORM
      "\uFC9B",  # (ﲛ; ﲛ; ﲛ; ئه; ي◌ٔه; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH HEH INITIAL FORM
      "\uFC9C",  # (ﲜ; ﲜ; ﲜ; بج; بج; ) ARABIC LIGATURE BEH WITH JEEM INITIAL FORM
      "\uFC9D",  # (ﲝ; ﲝ; ﲝ; بح; بح; ) ARABIC LIGATURE BEH WITH HAH INITIAL FORM
      "\uFC9E",  # (ﲞ; ﲞ; ﲞ; بخ; بخ; ) ARABIC LIGATURE BEH WITH KHAH INITIAL FORM
      "\uFC9F",  # (ﲟ; ﲟ; ﲟ; بم; بم; ) ARABIC LIGATURE BEH WITH MEEM INITIAL FORM
      "\uFCA0",  # (ﲠ; ﲠ; ﲠ; به; به; ) ARABIC LIGATURE BEH WITH HEH INITIAL FORM
      "\uFCA1",  # (ﲡ; ﲡ; ﲡ; تج; تج; ) ARABIC LIGATURE TEH WITH JEEM INITIAL FORM
      "\uFCA2",  # (ﲢ; ﲢ; ﲢ; تح; تح; ) ARABIC LIGATURE TEH WITH HAH INITIAL FORM
      "\uFCA3",  # (ﲣ; ﲣ; ﲣ; تخ; تخ; ) ARABIC LIGATURE TEH WITH KHAH INITIAL FORM
      "\uFCA4",  # (ﲤ; ﲤ; ﲤ; تم; تم; ) ARABIC LIGATURE TEH WITH MEEM INITIAL FORM
      "\uFCA5",  # (ﲥ; ﲥ; ﲥ; ته; ته; ) ARABIC LIGATURE TEH WITH HEH INITIAL FORM
      "\uFCA6",  # (ﲦ; ﲦ; ﲦ; ثم; ثم; ) ARABIC LIGATURE THEH WITH MEEM INITIAL FORM
      "\uFCA7",  # (ﲧ; ﲧ; ﲧ; جح; جح; ) ARABIC LIGATURE JEEM WITH HAH INITIAL FORM
      "\uFCA8",  # (ﲨ; ﲨ; ﲨ; جم; جم; ) ARABIC LIGATURE JEEM WITH MEEM INITIAL FORM
      "\uFCA9",  # (ﲩ; ﲩ; ﲩ; حج; حج; ) ARABIC LIGATURE HAH WITH JEEM INITIAL FORM
      "\uFCAA",  # (ﲪ; ﲪ; ﲪ; حم; حم; ) ARABIC LIGATURE HAH WITH MEEM INITIAL FORM
      "\uFCAB",  # (ﲫ; ﲫ; ﲫ; خج; خج; ) ARABIC LIGATURE KHAH WITH JEEM INITIAL FORM
      "\uFCAC",  # (ﲬ; ﲬ; ﲬ; خم; خم; ) ARABIC LIGATURE KHAH WITH MEEM INITIAL FORM
      "\uFCAD",  # (ﲭ; ﲭ; ﲭ; سج; سج; ) ARABIC LIGATURE SEEN WITH JEEM INITIAL FORM
      "\uFCAE",  # (ﲮ; ﲮ; ﲮ; سح; سح; ) ARABIC LIGATURE SEEN WITH HAH INITIAL FORM
      "\uFCAF",  # (ﲯ; ﲯ; ﲯ; سخ; سخ; ) ARABIC LIGATURE SEEN WITH KHAH INITIAL FORM
      "\uFCB0",  # (ﲰ; ﲰ; ﲰ; سم; سم; ) ARABIC LIGATURE SEEN WITH MEEM INITIAL FORM
      "\uFCB1",  # (ﲱ; ﲱ; ﲱ; صح; صح; ) ARABIC LIGATURE SAD WITH HAH INITIAL FORM
      "\uFCB2",  # (ﲲ; ﲲ; ﲲ; صخ; صخ; ) ARABIC LIGATURE SAD WITH KHAH INITIAL FORM
      "\uFCB3",  # (ﲳ; ﲳ; ﲳ; صم; صم; ) ARABIC LIGATURE SAD WITH MEEM INITIAL FORM
      "\uFCB4",  # (ﲴ; ﲴ; ﲴ; ضج; ضج; ) ARABIC LIGATURE DAD WITH JEEM INITIAL FORM
      "\uFCB5",  # (ﲵ; ﲵ; ﲵ; ضح; ضح; ) ARABIC LIGATURE DAD WITH HAH INITIAL FORM
      "\uFCB6",  # (ﲶ; ﲶ; ﲶ; ضخ; ضخ; ) ARABIC LIGATURE DAD WITH KHAH INITIAL FORM
      "\uFCB7",  # (ﲷ; ﲷ; ﲷ; ضم; ضم; ) ARABIC LIGATURE DAD WITH MEEM INITIAL FORM
      "\uFCB8",  # (ﲸ; ﲸ; ﲸ; طح; طح; ) ARABIC LIGATURE TAH WITH HAH INITIAL FORM
      "\uFCB9",  # (ﲹ; ﲹ; ﲹ; ظم; ظم; ) ARABIC LIGATURE ZAH WITH MEEM INITIAL FORM
      "\uFCBA",  # (ﲺ; ﲺ; ﲺ; عج; عج; ) ARABIC LIGATURE AIN WITH JEEM INITIAL FORM
      "\uFCBB",  # (ﲻ; ﲻ; ﲻ; عم; عم; ) ARABIC LIGATURE AIN WITH MEEM INITIAL FORM
      "\uFCBC",  # (ﲼ; ﲼ; ﲼ; غج; غج; ) ARABIC LIGATURE GHAIN WITH JEEM INITIAL FORM
      "\uFCBD",  # (ﲽ; ﲽ; ﲽ; غم; غم; ) ARABIC LIGATURE GHAIN WITH MEEM INITIAL FORM
      "\uFCBE",  # (ﲾ; ﲾ; ﲾ; فج; فج; ) ARABIC LIGATURE FEH WITH JEEM INITIAL FORM
      "\uFCBF",  # (ﲿ; ﲿ; ﲿ; فح; فح; ) ARABIC LIGATURE FEH WITH HAH INITIAL FORM
      "\uFCC0",  # (ﳀ; ﳀ; ﳀ; فخ; فخ; ) ARABIC LIGATURE FEH WITH KHAH INITIAL FORM
      "\uFCC1",  # (ﳁ; ﳁ; ﳁ; فم; فم; ) ARABIC LIGATURE FEH WITH MEEM INITIAL FORM
      "\uFCC2",  # (ﳂ; ﳂ; ﳂ; قح; قح; ) ARABIC LIGATURE QAF WITH HAH INITIAL FORM
      "\uFCC3",  # (ﳃ; ﳃ; ﳃ; قم; قم; ) ARABIC LIGATURE QAF WITH MEEM INITIAL FORM
      "\uFCC4",  # (ﳄ; ﳄ; ﳄ; كج; كج; ) ARABIC LIGATURE KAF WITH JEEM INITIAL FORM
      "\uFCC5",  # (ﳅ; ﳅ; ﳅ; كح; كح; ) ARABIC LIGATURE KAF WITH HAH INITIAL FORM
      "\uFCC6",  # (ﳆ; ﳆ; ﳆ; كخ; كخ; ) ARABIC LIGATURE KAF WITH KHAH INITIAL FORM
      "\uFCC7",  # (ﳇ; ﳇ; ﳇ; كل; كل; ) ARABIC LIGATURE KAF WITH LAM INITIAL FORM
      "\uFCC8",  # (ﳈ; ﳈ; ﳈ; كم; كم; ) ARABIC LIGATURE KAF WITH MEEM INITIAL FORM
      "\uFCC9",  # (ﳉ; ﳉ; ﳉ; لج; لج; ) ARABIC LIGATURE LAM WITH JEEM INITIAL FORM
      "\uFCCA",  # (ﳊ; ﳊ; ﳊ; لح; لح; ) ARABIC LIGATURE LAM WITH HAH INITIAL FORM
      "\uFCCB",  # (ﳋ; ﳋ; ﳋ; لخ; لخ; ) ARABIC LIGATURE LAM WITH KHAH INITIAL FORM
      "\uFCCC",  # (ﳌ; ﳌ; ﳌ; لم; لم; ) ARABIC LIGATURE LAM WITH MEEM INITIAL FORM
      "\uFCCD",  # (ﳍ; ﳍ; ﳍ; له; له; ) ARABIC LIGATURE LAM WITH HEH INITIAL FORM
      "\uFCCE",  # (ﳎ; ﳎ; ﳎ; مج; مج; ) ARABIC LIGATURE MEEM WITH JEEM INITIAL FORM
      "\uFCCF",  # (ﳏ; ﳏ; ﳏ; مح; مح; ) ARABIC LIGATURE MEEM WITH HAH INITIAL FORM
      "\uFCD0",  # (ﳐ; ﳐ; ﳐ; مخ; مخ; ) ARABIC LIGATURE MEEM WITH KHAH INITIAL FORM
      "\uFCD1",  # (ﳑ; ﳑ; ﳑ; مم; مم; ) ARABIC LIGATURE MEEM WITH MEEM INITIAL FORM
      "\uFCD2",  # (ﳒ; ﳒ; ﳒ; نج; نج; ) ARABIC LIGATURE NOON WITH JEEM INITIAL FORM
      "\uFCD3",  # (ﳓ; ﳓ; ﳓ; نح; نح; ) ARABIC LIGATURE NOON WITH HAH INITIAL FORM
      "\uFCD4",  # (ﳔ; ﳔ; ﳔ; نخ; نخ; ) ARABIC LIGATURE NOON WITH KHAH INITIAL FORM
      "\uFCD5",  # (ﳕ; ﳕ; ﳕ; نم; نم; ) ARABIC LIGATURE NOON WITH MEEM INITIAL FORM
      "\uFCD6",  # (ﳖ; ﳖ; ﳖ; نه; نه; ) ARABIC LIGATURE NOON WITH HEH INITIAL FORM
      "\uFCD7",  # (ﳗ; ﳗ; ﳗ; هج; هج; ) ARABIC LIGATURE HEH WITH JEEM INITIAL FORM
      "\uFCD8",  # (ﳘ; ﳘ; ﳘ; هم; هم; ) ARABIC LIGATURE HEH WITH MEEM INITIAL FORM
      "\uFCD9",  # (ﳙ; ﳙ; ﳙ; ه◌ٰ; ه◌ٰ; ) ARABIC LIGATURE HEH WITH SUPERSCRIPT ALEF INITIAL FORM
      "\uFCDA",  # (ﳚ; ﳚ; ﳚ; يج; يج; ) ARABIC LIGATURE YEH WITH JEEM INITIAL FORM
      "\uFCDB",  # (ﳛ; ﳛ; ﳛ; يح; يح; ) ARABIC LIGATURE YEH WITH HAH INITIAL FORM
      "\uFCDC",  # (ﳜ; ﳜ; ﳜ; يخ; يخ; ) ARABIC LIGATURE YEH WITH KHAH INITIAL FORM
      "\uFCDD",  # (ﳝ; ﳝ; ﳝ; يم; يم; ) ARABIC LIGATURE YEH WITH MEEM INITIAL FORM
      "\uFCDE",  # (ﳞ; ﳞ; ﳞ; يه; يه; ) ARABIC LIGATURE YEH WITH HEH INITIAL FORM
      "\uFCDF",  # (ﳟ; ﳟ; ﳟ; ئم; ي◌ٔم; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH MEEM MEDIAL FORM
      "\uFCE0",  # (ﳠ; ﳠ; ﳠ; ئه; ي◌ٔه; ) ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH HEH MEDIAL FORM
      "\uFCE1",  # (ﳡ; ﳡ; ﳡ; بم; بم; ) ARABIC LIGATURE BEH WITH MEEM MEDIAL FORM
      "\uFCE2",  # (ﳢ; ﳢ; ﳢ; به; به; ) ARABIC LIGATURE BEH WITH HEH MEDIAL FORM
      "\uFCE3",  # (ﳣ; ﳣ; ﳣ; تم; تم; ) ARABIC LIGATURE TEH WITH MEEM MEDIAL FORM
      "\uFCE4",  # (ﳤ; ﳤ; ﳤ; ته; ته; ) ARABIC LIGATURE TEH WITH HEH MEDIAL FORM
      "\uFCE5",  # (ﳥ; ﳥ; ﳥ; ثم; ثم; ) ARABIC LIGATURE THEH WITH MEEM MEDIAL FORM
      "\uFCE6",  # (ﳦ; ﳦ; ﳦ; ثه; ثه; ) ARABIC LIGATURE THEH WITH HEH MEDIAL FORM
      "\uFCE7",  # (ﳧ; ﳧ; ﳧ; سم; سم; ) ARABIC LIGATURE SEEN WITH MEEM MEDIAL FORM
      "\uFCE8",  # (ﳨ; ﳨ; ﳨ; سه; سه; ) ARABIC LIGATURE SEEN WITH HEH MEDIAL FORM
      "\uFCE9",  # (ﳩ; ﳩ; ﳩ; شم; شم; ) ARABIC LIGATURE SHEEN WITH MEEM MEDIAL FORM
      "\uFCEA",  # (ﳪ; ﳪ; ﳪ; شه; شه; ) ARABIC LIGATURE SHEEN WITH HEH MEDIAL FORM
      "\uFCEB",  # (ﳫ; ﳫ; ﳫ; كل; كل; ) ARABIC LIGATURE KAF WITH LAM MEDIAL FORM
      "\uFCEC",  # (ﳬ; ﳬ; ﳬ; كم; كم; ) ARABIC LIGATURE KAF WITH MEEM MEDIAL FORM
      "\uFCED",  # (ﳭ; ﳭ; ﳭ; لم; لم; ) ARABIC LIGATURE LAM WITH MEEM MEDIAL FORM
      "\uFCEE",  # (ﳮ; ﳮ; ﳮ; نم; نم; ) ARABIC LIGATURE NOON WITH MEEM MEDIAL FORM
      "\uFCEF",  # (ﳯ; ﳯ; ﳯ; نه; نه; ) ARABIC LIGATURE NOON WITH HEH MEDIAL FORM
      "\uFCF0",  # (ﳰ; ﳰ; ﳰ; يم; يم; ) ARABIC LIGATURE YEH WITH MEEM MEDIAL FORM
      "\uFCF1",  # (ﳱ; ﳱ; ﳱ; يه; يه; ) ARABIC LIGATURE YEH WITH HEH MEDIAL FORM
      "\uFCF2",  # (ﳲ; ﳲ; ﳲ; ـ◌َ◌ّ; ـ◌َ◌ّ; ) ARABIC LIGATURE SHADDA WITH FATHA MEDIAL FORM
      "\uFCF3",  # (ﳳ; ﳳ; ﳳ; ـ◌ُ◌ّ; ـ◌ُ◌ّ; ) ARABIC LIGATURE SHADDA WITH DAMMA MEDIAL FORM
      "\uFCF4",  # (ﳴ; ﳴ; ﳴ; ـ◌ِ◌ّ; ـ◌ِ◌ّ; ) ARABIC LIGATURE SHADDA WITH KASRA MEDIAL FORM
      "\uFCF5",  # (ﳵ; ﳵ; ﳵ; طى; طى; ) ARABIC LIGATURE TAH WITH ALEF MAKSURA ISOLATED FORM
      "\uFCF6",  # (ﳶ; ﳶ; ﳶ; طي; طي; ) ARABIC LIGATURE TAH WITH YEH ISOLATED FORM
      "\uFCF7",  # (ﳷ; ﳷ; ﳷ; عى; عى; ) ARABIC LIGATURE AIN WITH ALEF MAKSURA ISOLATED FORM
      "\uFCF8",  # (ﳸ; ﳸ; ﳸ; عي; عي; ) ARABIC LIGATURE AIN WITH YEH ISOLATED FORM
      "\uFCF9",  # (ﳹ; ﳹ; ﳹ; غى; غى; ) ARABIC LIGATURE GHAIN WITH ALEF MAKSURA ISOLATED FORM
      "\uFCFA",  # (ﳺ; ﳺ; ﳺ; غي; غي; ) ARABIC LIGATURE GHAIN WITH YEH ISOLATED FORM
      "\uFCFB",  # (ﳻ; ﳻ; ﳻ; سى; سى; ) ARABIC LIGATURE SEEN WITH ALEF MAKSURA ISOLATED FORM
      "\uFCFC",  # (ﳼ; ﳼ; ﳼ; سي; سي; ) ARABIC LIGATURE SEEN WITH YEH ISOLATED FORM
      "\uFCFD",  # (ﳽ; ﳽ; ﳽ; شى; شى; ) ARABIC LIGATURE SHEEN WITH ALEF MAKSURA ISOLATED FORM
      "\uFCFE",  # (ﳾ; ﳾ; ﳾ; شي; شي; ) ARABIC LIGATURE SHEEN WITH YEH ISOLATED FORM
      "\uFCFF",  # (ﳿ; ﳿ; ﳿ; حى; حى; ) ARABIC LIGATURE HAH WITH ALEF MAKSURA ISOLATED FORM
      "\uFD00",  # (ﴀ; ﴀ; ﴀ; حي; حي; ) ARABIC LIGATURE HAH WITH YEH ISOLATED FORM
      "\uFD01",  # (ﴁ; ﴁ; ﴁ; جى; جى; ) ARABIC LIGATURE JEEM WITH ALEF MAKSURA ISOLATED FORM
      "\uFD02",  # (ﴂ; ﴂ; ﴂ; جي; جي; ) ARABIC LIGATURE JEEM WITH YEH ISOLATED FORM
      "\uFD03",  # (ﴃ; ﴃ; ﴃ; خى; خى; ) ARABIC LIGATURE KHAH WITH ALEF MAKSURA ISOLATED FORM
      "\uFD04",  # (ﴄ; ﴄ; ﴄ; خي; خي; ) ARABIC LIGATURE KHAH WITH YEH ISOLATED FORM
      "\uFD05",  # (ﴅ; ﴅ; ﴅ; صى; صى; ) ARABIC LIGATURE SAD WITH ALEF MAKSURA ISOLATED FORM
      "\uFD06",  # (ﴆ; ﴆ; ﴆ; صي; صي; ) ARABIC LIGATURE SAD WITH YEH ISOLATED FORM
      "\uFD07",  # (ﴇ; ﴇ; ﴇ; ضى; ضى; ) ARABIC LIGATURE DAD WITH ALEF MAKSURA ISOLATED FORM
      "\uFD08",  # (ﴈ; ﴈ; ﴈ; ضي; ضي; ) ARABIC LIGATURE DAD WITH YEH ISOLATED FORM
      "\uFD09",  # (ﴉ; ﴉ; ﴉ; شج; شج; ) ARABIC LIGATURE SHEEN WITH JEEM ISOLATED FORM
      "\uFD0A",  # (ﴊ; ﴊ; ﴊ; شح; شح; ) ARABIC LIGATURE SHEEN WITH HAH ISOLATED FORM
      "\uFD0B",  # (ﴋ; ﴋ; ﴋ; شخ; شخ; ) ARABIC LIGATURE SHEEN WITH KHAH ISOLATED FORM
      "\uFD0C",  # (ﴌ; ﴌ; ﴌ; شم; شم; ) ARABIC LIGATURE SHEEN WITH MEEM ISOLATED FORM
      "\uFD0D",  # (ﴍ; ﴍ; ﴍ; شر; شر; ) ARABIC LIGATURE SHEEN WITH REH ISOLATED FORM
      "\uFD0E",  # (ﴎ; ﴎ; ﴎ; سر; سر; ) ARABIC LIGATURE SEEN WITH REH ISOLATED FORM
      "\uFD0F",  # (ﴏ; ﴏ; ﴏ; صر; صر; ) ARABIC LIGATURE SAD WITH REH ISOLATED FORM
      "\uFD10",  # (ﴐ; ﴐ; ﴐ; ضر; ضر; ) ARABIC LIGATURE DAD WITH REH ISOLATED FORM
      "\uFD11",  # (ﴑ; ﴑ; ﴑ; طى; طى; ) ARABIC LIGATURE TAH WITH ALEF MAKSURA FINAL FORM
      "\uFD12",  # (ﴒ; ﴒ; ﴒ; طي; طي; ) ARABIC LIGATURE TAH WITH YEH FINAL FORM
      "\uFD13",  # (ﴓ; ﴓ; ﴓ; عى; عى; ) ARABIC LIGATURE AIN WITH ALEF MAKSURA FINAL FORM
      "\uFD14",  # (ﴔ; ﴔ; ﴔ; عي; عي; ) ARABIC LIGATURE AIN WITH YEH FINAL FORM
      "\uFD15",  # (ﴕ; ﴕ; ﴕ; غى; غى; ) ARABIC LIGATURE GHAIN WITH ALEF MAKSURA FINAL FORM
      "\uFD16",  # (ﴖ; ﴖ; ﴖ; غي; غي; ) ARABIC LIGATURE GHAIN WITH YEH FINAL FORM
      "\uFD17",  # (ﴗ; ﴗ; ﴗ; سى; سى; ) ARABIC LIGATURE SEEN WITH ALEF MAKSURA FINAL FORM
      "\uFD18",  # (ﴘ; ﴘ; ﴘ; سي; سي; ) ARABIC LIGATURE SEEN WITH YEH FINAL FORM
      "\uFD19",  # (ﴙ; ﴙ; ﴙ; شى; شى; ) ARABIC LIGATURE SHEEN WITH ALEF MAKSURA FINAL FORM
      "\uFD1A",  # (ﴚ; ﴚ; ﴚ; شي; شي; ) ARABIC LIGATURE SHEEN WITH YEH FINAL FORM
      "\uFD1B",  # (ﴛ; ﴛ; ﴛ; حى; حى; ) ARABIC LIGATURE HAH WITH ALEF MAKSURA FINAL FORM
      "\uFD1C",  # (ﴜ; ﴜ; ﴜ; حي; حي; ) ARABIC LIGATURE HAH WITH YEH FINAL FORM
      "\uFD1D",  # (ﴝ; ﴝ; ﴝ; جى; جى; ) ARABIC LIGATURE JEEM WITH ALEF MAKSURA FINAL FORM
      "\uFD1E",  # (ﴞ; ﴞ; ﴞ; جي; جي; ) ARABIC LIGATURE JEEM WITH YEH FINAL FORM
      "\uFD1F",  # (ﴟ; ﴟ; ﴟ; خى; خى; ) ARABIC LIGATURE KHAH WITH ALEF MAKSURA FINAL FORM
      "\uFD20",  # (ﴠ; ﴠ; ﴠ; خي; خي; ) ARABIC LIGATURE KHAH WITH YEH FINAL FORM
      "\uFD21",  # (ﴡ; ﴡ; ﴡ; صى; صى; ) ARABIC LIGATURE SAD WITH ALEF MAKSURA FINAL FORM
      "\uFD22",  # (ﴢ; ﴢ; ﴢ; صي; صي; ) ARABIC LIGATURE SAD WITH YEH FINAL FORM
      "\uFD23",  # (ﴣ; ﴣ; ﴣ; ضى; ضى; ) ARABIC LIGATURE DAD WITH ALEF MAKSURA FINAL FORM
      "\uFD24",  # (ﴤ; ﴤ; ﴤ; ضي; ضي; ) ARABIC LIGATURE DAD WITH YEH FINAL FORM
      "\uFD25",  # (ﴥ; ﴥ; ﴥ; شج; شج; ) ARABIC LIGATURE SHEEN WITH JEEM FINAL FORM
      "\uFD26",  # (ﴦ; ﴦ; ﴦ; شح; شح; ) ARABIC LIGATURE SHEEN WITH HAH FINAL FORM
      "\uFD27",  # (ﴧ; ﴧ; ﴧ; شخ; شخ; ) ARABIC LIGATURE SHEEN WITH KHAH FINAL FORM
      "\uFD28",  # (ﴨ; ﴨ; ﴨ; شم; شم; ) ARABIC LIGATURE SHEEN WITH MEEM FINAL FORM
      "\uFD29",  # (ﴩ; ﴩ; ﴩ; شر; شر; ) ARABIC LIGATURE SHEEN WITH REH FINAL FORM
      "\uFD2A",  # (ﴪ; ﴪ; ﴪ; سر; سر; ) ARABIC LIGATURE SEEN WITH REH FINAL FORM
      "\uFD2B",  # (ﴫ; ﴫ; ﴫ; صر; صر; ) ARABIC LIGATURE SAD WITH REH FINAL FORM
      "\uFD2C",  # (ﴬ; ﴬ; ﴬ; ضر; ضر; ) ARABIC LIGATURE DAD WITH REH FINAL FORM
      "\uFD2D",  # (ﴭ; ﴭ; ﴭ; شج; شج; ) ARABIC LIGATURE SHEEN WITH JEEM INITIAL FORM
      "\uFD2E",  # (ﴮ; ﴮ; ﴮ; شح; شح; ) ARABIC LIGATURE SHEEN WITH HAH INITIAL FORM
      "\uFD2F",  # (ﴯ; ﴯ; ﴯ; شخ; شخ; ) ARABIC LIGATURE SHEEN WITH KHAH INITIAL FORM
      "\uFD30",  # (ﴰ; ﴰ; ﴰ; شم; شم; ) ARABIC LIGATURE SHEEN WITH MEEM INITIAL FORM
      "\uFD31",  # (ﴱ; ﴱ; ﴱ; سه; سه; ) ARABIC LIGATURE SEEN WITH HEH INITIAL FORM
      "\uFD32",  # (ﴲ; ﴲ; ﴲ; شه; شه; ) ARABIC LIGATURE SHEEN WITH HEH INITIAL FORM
      "\uFD33",  # (ﴳ; ﴳ; ﴳ; طم; طم; ) ARABIC LIGATURE TAH WITH MEEM INITIAL FORM
      "\uFD34",  # (ﴴ; ﴴ; ﴴ; سج; سج; ) ARABIC LIGATURE SEEN WITH JEEM MEDIAL FORM
      "\uFD35",  # (ﴵ; ﴵ; ﴵ; سح; سح; ) ARABIC LIGATURE SEEN WITH HAH MEDIAL FORM
      "\uFD36",  # (ﴶ; ﴶ; ﴶ; سخ; سخ; ) ARABIC LIGATURE SEEN WITH KHAH MEDIAL FORM
      "\uFD37",  # (ﴷ; ﴷ; ﴷ; شج; شج; ) ARABIC LIGATURE SHEEN WITH JEEM MEDIAL FORM
      "\uFD38",  # (ﴸ; ﴸ; ﴸ; شح; شح; ) ARABIC LIGATURE SHEEN WITH HAH MEDIAL FORM
      "\uFD39",  # (ﴹ; ﴹ; ﴹ; شخ; شخ; ) ARABIC LIGATURE SHEEN WITH KHAH MEDIAL FORM
      "\uFD3A",  # (ﴺ; ﴺ; ﴺ; طم; طم; ) ARABIC LIGATURE TAH WITH MEEM MEDIAL FORM
      "\uFD3B",  # (ﴻ; ﴻ; ﴻ; ظم; ظم; ) ARABIC LIGATURE ZAH WITH MEEM MEDIAL FORM
      "\uFD3C",  # (ﴼ; ﴼ; ﴼ; ا◌ً; ا◌ً; ) ARABIC LIGATURE ALEF WITH FATHATAN FINAL FORM
      "\uFD3D",  # (ﴽ; ﴽ; ﴽ; ا◌ً; ا◌ً; ) ARABIC LIGATURE ALEF WITH FATHATAN ISOLATED FORM
      "\uFD50",  # (ﵐ; ﵐ; ﵐ; تجم; تجم; ) ARABIC LIGATURE TEH WITH JEEM WITH MEEM INITIAL FORM
      "\uFD51",  # (ﵑ; ﵑ; ﵑ; تحج; تحج; ) ARABIC LIGATURE TEH WITH HAH WITH JEEM FINAL FORM
      "\uFD52",  # (ﵒ; ﵒ; ﵒ; تحج; تحج; ) ARABIC LIGATURE TEH WITH HAH WITH JEEM INITIAL FORM
      "\uFD53",  # (ﵓ; ﵓ; ﵓ; تحم; تحم; ) ARABIC LIGATURE TEH WITH HAH WITH MEEM INITIAL FORM
      "\uFD54",  # (ﵔ; ﵔ; ﵔ; تخم; تخم; ) ARABIC LIGATURE TEH WITH KHAH WITH MEEM INITIAL FORM
      "\uFD55",  # (ﵕ; ﵕ; ﵕ; تمج; تمج; ) ARABIC LIGATURE TEH WITH MEEM WITH JEEM INITIAL FORM
      "\uFD56",  # (ﵖ; ﵖ; ﵖ; تمح; تمح; ) ARABIC LIGATURE TEH WITH MEEM WITH HAH INITIAL FORM
      "\uFD57",  # (ﵗ; ﵗ; ﵗ; تمخ; تمخ; ) ARABIC LIGATURE TEH WITH MEEM WITH KHAH INITIAL FORM
      "\uFD58",  # (ﵘ; ﵘ; ﵘ; جمح; جمح; ) ARABIC LIGATURE JEEM WITH MEEM WITH HAH FINAL FORM
      "\uFD59",  # (ﵙ; ﵙ; ﵙ; جمح; جمح; ) ARABIC LIGATURE JEEM WITH MEEM WITH HAH INITIAL FORM
      "\uFD5A",  # (ﵚ; ﵚ; ﵚ; حمي; حمي; ) ARABIC LIGATURE HAH WITH MEEM WITH YEH FINAL FORM
      "\uFD5B",  # (ﵛ; ﵛ; ﵛ; حمى; حمى; ) ARABIC LIGATURE HAH WITH MEEM WITH ALEF MAKSURA FINAL FORM
      "\uFD5C",  # (ﵜ; ﵜ; ﵜ; سحج; سحج; ) ARABIC LIGATURE SEEN WITH HAH WITH JEEM INITIAL FORM
      "\uFD5D",  # (ﵝ; ﵝ; ﵝ; سجح; سجح; ) ARABIC LIGATURE SEEN WITH JEEM WITH HAH INITIAL FORM
      "\uFD5E",  # (ﵞ; ﵞ; ﵞ; سجى; سجى; ) ARABIC LIGATURE SEEN WITH JEEM WITH ALEF MAKSURA FINAL FORM
      "\uFD5F",  # (ﵟ; ﵟ; ﵟ; سمح; سمح; ) ARABIC LIGATURE SEEN WITH MEEM WITH HAH FINAL FORM
      "\uFD60",  # (ﵠ; ﵠ; ﵠ; سمح; سمح; ) ARABIC LIGATURE SEEN WITH MEEM WITH HAH INITIAL FORM
      "\uFD61",  # (ﵡ; ﵡ; ﵡ; سمج; سمج; ) ARABIC LIGATURE SEEN WITH MEEM WITH JEEM INITIAL FORM
      "\uFD62",  # (ﵢ; ﵢ; ﵢ; سمم; سمم; ) ARABIC LIGATURE SEEN WITH MEEM WITH MEEM FINAL FORM
      "\uFD63",  # (ﵣ; ﵣ; ﵣ; سمم; سمم; ) ARABIC LIGATURE SEEN WITH MEEM WITH MEEM INITIAL FORM
      "\uFD64",  # (ﵤ; ﵤ; ﵤ; صحح; صحح; ) ARABIC LIGATURE SAD WITH HAH WITH HAH FINAL FORM
      "\uFD65",  # (ﵥ; ﵥ; ﵥ; صحح; صحح; ) ARABIC LIGATURE SAD WITH HAH WITH HAH INITIAL FORM
      "\uFD66",  # (ﵦ; ﵦ; ﵦ; صمم; صمم; ) ARABIC LIGATURE SAD WITH MEEM WITH MEEM FINAL FORM
      "\uFD67",  # (ﵧ; ﵧ; ﵧ; شحم; شحم; ) ARABIC LIGATURE SHEEN WITH HAH WITH MEEM FINAL FORM
      "\uFD68",  # (ﵨ; ﵨ; ﵨ; شحم; شحم; ) ARABIC LIGATURE SHEEN WITH HAH WITH MEEM INITIAL FORM
      "\uFD69",  # (ﵩ; ﵩ; ﵩ; شجي; شجي; ) ARABIC LIGATURE SHEEN WITH JEEM WITH YEH FINAL FORM
      "\uFD6A",  # (ﵪ; ﵪ; ﵪ; شمخ; شمخ; ) ARABIC LIGATURE SHEEN WITH MEEM WITH KHAH FINAL FORM
      "\uFD6B",  # (ﵫ; ﵫ; ﵫ; شمخ; شمخ; ) ARABIC LIGATURE SHEEN WITH MEEM WITH KHAH INITIAL FORM
      "\uFD6C",  # (ﵬ; ﵬ; ﵬ; شمم; شمم; ) ARABIC LIGATURE SHEEN WITH MEEM WITH MEEM FINAL FORM
      "\uFD6D",  # (ﵭ; ﵭ; ﵭ; شمم; شمم; ) ARABIC LIGATURE SHEEN WITH MEEM WITH MEEM INITIAL FORM
      "\uFD6E",  # (ﵮ; ﵮ; ﵮ; ضحى; ضحى; ) ARABIC LIGATURE DAD WITH HAH WITH ALEF MAKSURA FINAL FORM
      "\uFD6F",  # (ﵯ; ﵯ; ﵯ; ضخم; ضخم; ) ARABIC LIGATURE DAD WITH KHAH WITH MEEM FINAL FORM
      "\uFD70",  # (ﵰ; ﵰ; ﵰ; ضخم; ضخم; ) ARABIC LIGATURE DAD WITH KHAH WITH MEEM INITIAL FORM
      "\uFD71",  # (ﵱ; ﵱ; ﵱ; طمح; طمح; ) ARABIC LIGATURE TAH WITH MEEM WITH HAH FINAL FORM
      "\uFD72",  # (ﵲ; ﵲ; ﵲ; طمح; طمح; ) ARABIC LIGATURE TAH WITH MEEM WITH HAH INITIAL FORM
      "\uFD73",  # (ﵳ; ﵳ; ﵳ; طمم; طمم; ) ARABIC LIGATURE TAH WITH MEEM WITH MEEM INITIAL FORM
      "\uFD74",  # (ﵴ; ﵴ; ﵴ; طمي; طمي; ) ARABIC LIGATURE TAH WITH MEEM WITH YEH FINAL FORM
      "\uFD75",  # (ﵵ; ﵵ; ﵵ; عجم; عجم; ) ARABIC LIGATURE AIN WITH JEEM WITH MEEM FINAL FORM
      "\uFD76",  # (ﵶ; ﵶ; ﵶ; عمم; عمم; ) ARABIC LIGATURE AIN WITH MEEM WITH MEEM FINAL FORM
      "\uFD77",  # (ﵷ; ﵷ; ﵷ; عمم; عمم; ) ARABIC LIGATURE AIN WITH MEEM WITH MEEM INITIAL FORM
      "\uFD78",  # (ﵸ; ﵸ; ﵸ; عمى; عمى; ) ARABIC LIGATURE AIN WITH MEEM WITH ALEF MAKSURA FINAL FORM
      "\uFD79",  # (ﵹ; ﵹ; ﵹ; غمم; غمم; ) ARABIC LIGATURE GHAIN WITH MEEM WITH MEEM FINAL FORM
      "\uFD7A",  # (ﵺ; ﵺ; ﵺ; غمي; غمي; ) ARABIC LIGATURE GHAIN WITH MEEM WITH YEH FINAL FORM
      "\uFD7B",  # (ﵻ; ﵻ; ﵻ; غمى; غمى; ) ARABIC LIGATURE GHAIN WITH MEEM WITH ALEF MAKSURA FINAL FORM
      "\uFD7C",  # (ﵼ; ﵼ; ﵼ; فخم; فخم; ) ARABIC LIGATURE FEH WITH KHAH WITH MEEM FINAL FORM
      "\uFD7D",  # (ﵽ; ﵽ; ﵽ; فخم; فخم; ) ARABIC LIGATURE FEH WITH KHAH WITH MEEM INITIAL FORM
      "\uFD7E",  # (ﵾ; ﵾ; ﵾ; قمح; قمح; ) ARABIC LIGATURE QAF WITH MEEM WITH HAH FINAL FORM
      "\uFD7F",  # (ﵿ; ﵿ; ﵿ; قمم; قمم; ) ARABIC LIGATURE QAF WITH MEEM WITH MEEM FINAL FORM
      "\uFD80",  # (ﶀ; ﶀ; ﶀ; لحم; لحم; ) ARABIC LIGATURE LAM WITH HAH WITH MEEM FINAL FORM
      "\uFD81",  # (ﶁ; ﶁ; ﶁ; لحي; لحي; ) ARABIC LIGATURE LAM WITH HAH WITH YEH FINAL FORM
      "\uFD82",  # (ﶂ; ﶂ; ﶂ; لحى; لحى; ) ARABIC LIGATURE LAM WITH HAH WITH ALEF MAKSURA FINAL FORM
      "\uFD83",  # (ﶃ; ﶃ; ﶃ; لجج; لجج; ) ARABIC LIGATURE LAM WITH JEEM WITH JEEM INITIAL FORM
      "\uFD84",  # (ﶄ; ﶄ; ﶄ; لجج; لجج; ) ARABIC LIGATURE LAM WITH JEEM WITH JEEM FINAL FORM
      "\uFD85",  # (ﶅ; ﶅ; ﶅ; لخم; لخم; ) ARABIC LIGATURE LAM WITH KHAH WITH MEEM FINAL FORM
      "\uFD86",  # (ﶆ; ﶆ; ﶆ; لخم; لخم; ) ARABIC LIGATURE LAM WITH KHAH WITH MEEM INITIAL FORM
      "\uFD87",  # (ﶇ; ﶇ; ﶇ; لمح; لمح; ) ARABIC LIGATURE LAM WITH MEEM WITH HAH FINAL FORM
      "\uFD88",  # (ﶈ; ﶈ; ﶈ; لمح; لمح; ) ARABIC LIGATURE LAM WITH MEEM WITH HAH INITIAL FORM
      "\uFD89",  # (ﶉ; ﶉ; ﶉ; محج; محج; ) ARABIC LIGATURE MEEM WITH HAH WITH JEEM INITIAL FORM
      "\uFD8A",  # (ﶊ; ﶊ; ﶊ; محم; محم; ) ARABIC LIGATURE MEEM WITH HAH WITH MEEM INITIAL FORM
      "\uFD8B",  # (ﶋ; ﶋ; ﶋ; محي; محي; ) ARABIC LIGATURE MEEM WITH HAH WITH YEH FINAL FORM
      "\uFD8C",  # (ﶌ; ﶌ; ﶌ; مجح; مجح; ) ARABIC LIGATURE MEEM WITH JEEM WITH HAH INITIAL FORM
      "\uFD8D",  # (ﶍ; ﶍ; ﶍ; مجم; مجم; ) ARABIC LIGATURE MEEM WITH JEEM WITH MEEM INITIAL FORM
      "\uFD8E",  # (ﶎ; ﶎ; ﶎ; مخج; مخج; ) ARABIC LIGATURE MEEM WITH KHAH WITH JEEM INITIAL FORM
      "\uFD8F",  # (ﶏ; ﶏ; ﶏ; مخم; مخم; ) ARABIC LIGATURE MEEM WITH KHAH WITH MEEM INITIAL FORM
      "\uFD92",  # (ﶒ; ﶒ; ﶒ; مجخ; مجخ; ) ARABIC LIGATURE MEEM WITH JEEM WITH KHAH INITIAL FORM
      "\uFD93",  # (ﶓ; ﶓ; ﶓ; همج; همج; ) ARABIC LIGATURE HEH WITH MEEM WITH JEEM INITIAL FORM
      "\uFD94",  # (ﶔ; ﶔ; ﶔ; همم; همم; ) ARABIC LIGATURE HEH WITH MEEM WITH MEEM INITIAL FORM
      "\uFD95",  # (ﶕ; ﶕ; ﶕ; نحم; نحم; ) ARABIC LIGATURE NOON WITH HAH WITH MEEM INITIAL FORM
      "\uFD96",  # (ﶖ; ﶖ; ﶖ; نحى; نحى; ) ARABIC LIGATURE NOON WITH HAH WITH ALEF MAKSURA FINAL FORM
      "\uFD97",  # (ﶗ; ﶗ; ﶗ; نجم; نجم; ) ARABIC LIGATURE NOON WITH JEEM WITH MEEM FINAL FORM
      "\uFD98",  # (ﶘ; ﶘ; ﶘ; نجم; نجم; ) ARABIC LIGATURE NOON WITH JEEM WITH MEEM INITIAL FORM
      "\uFD99",  # (ﶙ; ﶙ; ﶙ; نجى; نجى; ) ARABIC LIGATURE NOON WITH JEEM WITH ALEF MAKSURA FINAL FORM
      "\uFD9A",  # (ﶚ; ﶚ; ﶚ; نمي; نمي; ) ARABIC LIGATURE NOON WITH MEEM WITH YEH FINAL FORM
      "\uFD9B",  # (ﶛ; ﶛ; ﶛ; نمى; نمى; ) ARABIC LIGATURE NOON WITH MEEM WITH ALEF MAKSURA FINAL FORM
      "\uFD9C",  # (ﶜ; ﶜ; ﶜ; يمم; يمم; ) ARABIC LIGATURE YEH WITH MEEM WITH MEEM FINAL FORM
      "\uFD9D",  # (ﶝ; ﶝ; ﶝ; يمم; يمم; ) ARABIC LIGATURE YEH WITH MEEM WITH MEEM INITIAL FORM
      "\uFD9E",  # (ﶞ; ﶞ; ﶞ; بخي; بخي; ) ARABIC LIGATURE BEH WITH KHAH WITH YEH FINAL FORM
      "\uFD9F",  # (ﶟ; ﶟ; ﶟ; تجي; تجي; ) ARABIC LIGATURE TEH WITH JEEM WITH YEH FINAL FORM
      "\uFDA0",  # (ﶠ; ﶠ; ﶠ; تجى; تجى; ) ARABIC LIGATURE TEH WITH JEEM WITH ALEF MAKSURA FINAL FORM
      "\uFDA1",  # (ﶡ; ﶡ; ﶡ; تخي; تخي; ) ARABIC LIGATURE TEH WITH KHAH WITH YEH FINAL FORM
      "\uFDA2",  # (ﶢ; ﶢ; ﶢ; تخى; تخى; ) ARABIC LIGATURE TEH WITH KHAH WITH ALEF MAKSURA FINAL FORM
      "\uFDA3",  # (ﶣ; ﶣ; ﶣ; تمي; تمي; ) ARABIC LIGATURE TEH WITH MEEM WITH YEH FINAL FORM
      "\uFDA4",  # (ﶤ; ﶤ; ﶤ; تمى; تمى; ) ARABIC LIGATURE TEH WITH MEEM WITH ALEF MAKSURA FINAL FORM
      "\uFDA5",  # (ﶥ; ﶥ; ﶥ; جمي; جمي; ) ARABIC LIGATURE JEEM WITH MEEM WITH YEH FINAL FORM
      "\uFDA6",  # (ﶦ; ﶦ; ﶦ; جحى; جحى; ) ARABIC LIGATURE JEEM WITH HAH WITH ALEF MAKSURA FINAL FORM
      "\uFDA7",  # (ﶧ; ﶧ; ﶧ; جمى; جمى; ) ARABIC LIGATURE JEEM WITH MEEM WITH ALEF MAKSURA FINAL FORM
      "\uFDA8",  # (ﶨ; ﶨ; ﶨ; سخى; سخى; ) ARABIC LIGATURE SEEN WITH KHAH WITH ALEF MAKSURA FINAL FORM
      "\uFDA9",  # (ﶩ; ﶩ; ﶩ; صحي; صحي; ) ARABIC LIGATURE SAD WITH HAH WITH YEH FINAL FORM
      "\uFDAA",  # (ﶪ; ﶪ; ﶪ; شحي; شحي; ) ARABIC LIGATURE SHEEN WITH HAH WITH YEH FINAL FORM
      "\uFDAB",  # (ﶫ; ﶫ; ﶫ; ضحي; ضحي; ) ARABIC LIGATURE DAD WITH HAH WITH YEH FINAL FORM
      "\uFDAC",  # (ﶬ; ﶬ; ﶬ; لجي; لجي; ) ARABIC LIGATURE LAM WITH JEEM WITH YEH FINAL FORM
      "\uFDAD",  # (ﶭ; ﶭ; ﶭ; لمي; لمي; ) ARABIC LIGATURE LAM WITH MEEM WITH YEH FINAL FORM
      "\uFDAE",  # (ﶮ; ﶮ; ﶮ; يحي; يحي; ) ARABIC LIGATURE YEH WITH HAH WITH YEH FINAL FORM
      "\uFDAF",  # (ﶯ; ﶯ; ﶯ; يجي; يجي; ) ARABIC LIGATURE YEH WITH JEEM WITH YEH FINAL FORM
      "\uFDB0",  # (ﶰ; ﶰ; ﶰ; يمي; يمي; ) ARABIC LIGATURE YEH WITH MEEM WITH YEH FINAL FORM
      "\uFDB1",  # (ﶱ; ﶱ; ﶱ; ممي; ممي; ) ARABIC LIGATURE MEEM WITH MEEM WITH YEH FINAL FORM
      "\uFDB2",  # (ﶲ; ﶲ; ﶲ; قمي; قمي; ) ARABIC LIGATURE QAF WITH MEEM WITH YEH FINAL FORM
      "\uFDB3",  # (ﶳ; ﶳ; ﶳ; نحي; نحي; ) ARABIC LIGATURE NOON WITH HAH WITH YEH FINAL FORM
      "\uFDB4",  # (ﶴ; ﶴ; ﶴ; قمح; قمح; ) ARABIC LIGATURE QAF WITH MEEM WITH HAH INITIAL FORM
      "\uFDB5",  # (ﶵ; ﶵ; ﶵ; لحم; لحم; ) ARABIC LIGATURE LAM WITH HAH WITH MEEM INITIAL FORM
      "\uFDB6",  # (ﶶ; ﶶ; ﶶ; عمي; عمي; ) ARABIC LIGATURE AIN WITH MEEM WITH YEH FINAL FORM
      "\uFDB7",  # (ﶷ; ﶷ; ﶷ; كمي; كمي; ) ARABIC LIGATURE KAF WITH MEEM WITH YEH FINAL FORM
      "\uFDB8",  # (ﶸ; ﶸ; ﶸ; نجح; نجح; ) ARABIC LIGATURE NOON WITH JEEM WITH HAH INITIAL FORM
      "\uFDB9",  # (ﶹ; ﶹ; ﶹ; مخي; مخي; ) ARABIC LIGATURE MEEM WITH KHAH WITH YEH FINAL FORM
      "\uFDBA",  # (ﶺ; ﶺ; ﶺ; لجم; لجم; ) ARABIC LIGATURE LAM WITH JEEM WITH MEEM INITIAL FORM
      "\uFDBB",  # (ﶻ; ﶻ; ﶻ; كمم; كمم; ) ARABIC LIGATURE KAF WITH MEEM WITH MEEM FINAL FORM
      "\uFDBC",  # (ﶼ; ﶼ; ﶼ; لجم; لجم; ) ARABIC LIGATURE LAM WITH JEEM WITH MEEM FINAL FORM
      "\uFDBD",  # (ﶽ; ﶽ; ﶽ; نجح; نجح; ) ARABIC LIGATURE NOON WITH JEEM WITH HAH FINAL FORM
      "\uFDBE",  # (ﶾ; ﶾ; ﶾ; جحي; جحي; ) ARABIC LIGATURE JEEM WITH HAH WITH YEH FINAL FORM
      "\uFDBF",  # (ﶿ; ﶿ; ﶿ; حجي; حجي; ) ARABIC LIGATURE HAH WITH JEEM WITH YEH FINAL FORM
      "\uFDC0",  # (ﷀ; ﷀ; ﷀ; مجي; مجي; ) ARABIC LIGATURE MEEM WITH JEEM WITH YEH FINAL FORM
      "\uFDC1",  # (ﷁ; ﷁ; ﷁ; فمي; فمي; ) ARABIC LIGATURE FEH WITH MEEM WITH YEH FINAL FORM
      "\uFDC2",  # (ﷂ; ﷂ; ﷂ; بحي; بحي; ) ARABIC LIGATURE BEH WITH HAH WITH YEH FINAL FORM
      "\uFDC3",  # (ﷃ; ﷃ; ﷃ; كمم; كمم; ) ARABIC LIGATURE KAF WITH MEEM WITH MEEM INITIAL FORM
      "\uFDC4",  # (ﷄ; ﷄ; ﷄ; عجم; عجم; ) ARABIC LIGATURE AIN WITH JEEM WITH MEEM INITIAL FORM
      "\uFDC5",  # (ﷅ; ﷅ; ﷅ; صمم; صمم; ) ARABIC LIGATURE SAD WITH MEEM WITH MEEM INITIAL FORM
      "\uFDC6",  # (ﷆ; ﷆ; ﷆ; سخي; سخي; ) ARABIC LIGATURE SEEN WITH KHAH WITH YEH FINAL FORM
      "\uFDC7",  # (ﷇ; ﷇ; ﷇ; نجي; نجي; ) ARABIC LIGATURE NOON WITH JEEM WITH YEH FINAL FORM
      "\uFDF0",  # (ﷰ; ﷰ; ﷰ; صلے; صلے; ) ARABIC LIGATURE SALLA USED AS KORANIC STOP SIGN ISOLATED FORM
      "\uFDF1",  # (ﷱ; ﷱ; ﷱ; قلے; قلے; ) ARABIC LIGATURE QALA USED AS KORANIC STOP SIGN ISOLATED FORM
      "\uFDF2",  # (ﷲ; ﷲ; ﷲ; الله; الله; ) ARABIC LIGATURE ALLAH ISOLATED FORM
      "\uFDF3",  # (ﷳ; ﷳ; ﷳ; اكبر; اكبر; ) ARABIC LIGATURE AKBAR ISOLATED FORM
      "\uFDF4",  # (ﷴ; ﷴ; ﷴ; محمد; محمد; ) ARABIC LIGATURE MOHAMMAD ISOLATED FORM
      "\uFDF5",  # (ﷵ; ﷵ; ﷵ; صلعم; صلعم; ) ARABIC LIGATURE SALAM ISOLATED FORM
      "\uFDF6",  # (ﷶ; ﷶ; ﷶ; رسول; رسول; ) ARABIC LIGATURE RASOUL ISOLATED FORM
      "\uFDF7",  # (ﷷ; ﷷ; ﷷ; عليه; عليه; ) ARABIC LIGATURE ALAYHE ISOLATED FORM
      "\uFDF8",  # (ﷸ; ﷸ; ﷸ; وسلم; وسلم; ) ARABIC LIGATURE WASALLAM ISOLATED FORM
      "\uFDF9",  # (ﷹ; ﷹ; ﷹ; صلى; صلى; ) ARABIC LIGATURE SALLA ISOLATED FORM
      "\uFDFA",  # (ﷺ; ﷺ; ﷺ; صلى الله عليه وسلم; صلى الله عليه وسلم; ) ARABIC LIGATURE SALLALLAHOU ALAYHE WASALLAM
      "\uFDFB",  # (ﷻ; ﷻ; ﷻ; جل جلاله; جل جلاله; ) ARABIC LIGATURE JALLAJALALOUHOU
      "\uFDFC",  # (﷼; ﷼; ﷼; ریال; ریال; ) RIAL SIGN
      "\uFE10",  # (︐; ︐; ︐; ,; ,; ) PRESENTATION FORM FOR VERTICAL COMMA
      "\uFE11",  # (︑; ︑; ︑; 、; 、; ) PRESENTATION FORM FOR VERTICAL IDEOGRAPHIC COMMA
      "\uFE12",  # (︒; ︒; ︒; 。; 。; ) PRESENTATION FORM FOR VERTICAL IDEOGRAPHIC FULL STOP
      "\uFE13",  # (︓; ︓; ︓; :; :; ) PRESENTATION FORM FOR VERTICAL COLON
      "\uFE14",  # (︔; ︔; ︔; ;; ;; ) PRESENTATION FORM FOR VERTICAL SEMICOLON
      "\uFE15",  # (︕; ︕; ︕; !; !; ) PRESENTATION FORM FOR VERTICAL EXCLAMATION MARK
      "\uFE16",  # (︖; ︖; ︖; ?; ?; ) PRESENTATION FORM FOR VERTICAL QUESTION MARK
      "\uFE17",  # (︗; ︗; ︗; 〖; 〖; ) PRESENTATION FORM FOR VERTICAL LEFT WHITE LENTICULAR BRACKET
      "\uFE18",  # (︘; ︘; ︘; 〗; 〗; ) PRESENTATION FORM FOR VERTICAL RIGHT WHITE LENTICULAR BRAKCET
      "\uFE19",  # (︙; ︙; ︙; ...; ...; ) PRESENTATION FORM FOR VERTICAL HORIZONTAL ELLIPSIS
      "\uFE30",  # (︰; ︰; ︰; ..; ..; ) PRESENTATION FORM FOR VERTICAL TWO DOT LEADER
      "\uFE31",  # (︱; ︱; ︱; —; —; ) PRESENTATION FORM FOR VERTICAL EM DASH
      "\uFE32",  # (︲; ︲; ︲; –; –; ) PRESENTATION FORM FOR VERTICAL EN DASH
      "\uFE33",  # (︳; ︳; ︳; _; _; ) PRESENTATION FORM FOR VERTICAL LOW LINE
      "\uFE34",  # (︴; ︴; ︴; _; _; ) PRESENTATION FORM FOR VERTICAL WAVY LOW LINE
      "\uFE35",  # (︵; ︵; ︵; (; (; ) PRESENTATION FORM FOR VERTICAL LEFT PARENTHESIS
      "\uFE36",  # (︶; ︶; ︶; ); ); ) PRESENTATION FORM FOR VERTICAL RIGHT PARENTHESIS
      "\uFE37",  # (︷; ︷; ︷; {; {; ) PRESENTATION FORM FOR VERTICAL LEFT CURLY BRACKET
      "\uFE38",  # (︸; ︸; ︸; }; }; ) PRESENTATION FORM FOR VERTICAL RIGHT CURLY BRACKET
      "\uFE39",  # (︹; ︹; ︹; 〔; 〔; ) PRESENTATION FORM FOR VERTICAL LEFT TORTOISE SHELL BRACKET
      "\uFE3A",  # (︺; ︺; ︺; 〕; 〕; ) PRESENTATION FORM FOR VERTICAL RIGHT TORTOISE SHELL BRACKET
      "\uFE3B",  # (︻; ︻; ︻; 【; 【; ) PRESENTATION FORM FOR VERTICAL LEFT BLACK LENTICULAR BRACKET
      "\uFE3C",  # (︼; ︼; ︼; 】; 】; ) PRESENTATION FORM FOR VERTICAL RIGHT BLACK LENTICULAR BRACKET
      "\uFE3D",  # (︽; ︽; ︽; 《; 《; ) PRESENTATION FORM FOR VERTICAL LEFT DOUBLE ANGLE BRACKET
      "\uFE3E",  # (︾; ︾; ︾; 》; 》; ) PRESENTATION FORM FOR VERTICAL RIGHT DOUBLE ANGLE BRACKET
      "\uFE3F",  # (︿; ︿; ︿; 〈; 〈; ) PRESENTATION FORM FOR VERTICAL LEFT ANGLE BRACKET
      "\uFE40",  # (﹀; ﹀; ﹀; 〉; 〉; ) PRESENTATION FORM FOR VERTICAL RIGHT ANGLE BRACKET
      "\uFE41",  # (﹁; ﹁; ﹁; 「; 「; ) PRESENTATION FORM FOR VERTICAL LEFT CORNER BRACKET
      "\uFE42",  # (﹂; ﹂; ﹂; 」; 」; ) PRESENTATION FORM FOR VERTICAL RIGHT CORNER BRACKET
      "\uFE43",  # (﹃; ﹃; ﹃; 『; 『; ) PRESENTATION FORM FOR VERTICAL LEFT WHITE CORNER BRACKET
      "\uFE44",  # (﹄; ﹄; ﹄; 』; 』; ) PRESENTATION FORM FOR VERTICAL RIGHT WHITE CORNER BRACKET
      "\uFE47",  # (﹇; ﹇; ﹇; [; [; ) PRESENTATION FORM FOR VERTICAL LEFT SQUARE BRACKET
      "\uFE48",  # (﹈; ﹈; ﹈; ]; ]; ) PRESENTATION FORM FOR VERTICAL RIGHT SQUARE BRACKET
      "\uFE49",  # (﹉; ﹉; ﹉;  ◌̅;  ◌̅; ) DASHED OVERLINE
      "\uFE4A",  # (﹊; ﹊; ﹊;  ◌̅;  ◌̅; ) CENTRELINE OVERLINE
      "\uFE4B",  # (﹋; ﹋; ﹋;  ◌̅;  ◌̅; ) WAVY OVERLINE
      "\uFE4C",  # (﹌; ﹌; ﹌;  ◌̅;  ◌̅; ) DOUBLE WAVY OVERLINE
      "\uFE4D",  # (﹍; ﹍; ﹍; _; _; ) DASHED LOW LINE
      "\uFE4E",  # (﹎; ﹎; ﹎; _; _; ) CENTRELINE LOW LINE
      "\uFE4F",  # (﹏; ﹏; ﹏; _; _; ) WAVY LOW LINE
      "\uFE50",  # (﹐; ﹐; ﹐; ,; ,; ) SMALL COMMA
      "\uFE51",  # (﹑; ﹑; ﹑; 、; 、; ) SMALL IDEOGRAPHIC COMMA
      "\uFE52",  # (﹒; ﹒; ﹒; .; .; ) SMALL FULL STOP
      "\uFE54",  # (﹔; ﹔; ﹔; ;; ;; ) SMALL SEMICOLON
      "\uFE55",  # (﹕; ﹕; ﹕; :; :; ) SMALL COLON
      "\uFE56",  # (﹖; ﹖; ﹖; ?; ?; ) SMALL QUESTION MARK
      "\uFE57",  # (﹗; ﹗; ﹗; !; !; ) SMALL EXCLAMATION MARK
      "\uFE58",  # (﹘; ﹘; ﹘; —; —; ) SMALL EM DASH
      "\uFE59",  # (﹙; ﹙; ﹙; (; (; ) SMALL LEFT PARENTHESIS
      "\uFE5A",  # (﹚; ﹚; ﹚; ); ); ) SMALL RIGHT PARENTHESIS
      "\uFE5B",  # (﹛; ﹛; ﹛; {; {; ) SMALL LEFT CURLY BRACKET
      "\uFE5C",  # (﹜; ﹜; ﹜; }; }; ) SMALL RIGHT CURLY BRACKET
      "\uFE5D",  # (﹝; ﹝; ﹝; 〔; 〔; ) SMALL LEFT TORTOISE SHELL BRACKET
      "\uFE5E",  # (﹞; ﹞; ﹞; 〕; 〕; ) SMALL RIGHT TORTOISE SHELL BRACKET
      "\uFE5F",  # (﹟; ﹟; ﹟; #; #; ) SMALL NUMBER SIGN
      "\uFE60",  # (﹠; ﹠; ﹠; &; &; ) SMALL AMPERSAND
      "\uFE61",  # (﹡; ﹡; ﹡; *; *; ) SMALL ASTERISK
      "\uFE62",  # (﹢; ﹢; ﹢; +; +; ) SMALL PLUS SIGN
      "\uFE63",  # (﹣; ﹣; ﹣; -; -; ) SMALL HYPHEN-MINUS
      "\uFE64",  # (﹤; ﹤; ﹤; <; <; ) SMALL LESS-THAN SIGN
      "\uFE65",  # (﹥; ﹥; ﹥; >; >; ) SMALL GREATER-THAN SIGN
      "\uFE66",  # (﹦; ﹦; ﹦; =; =; ) SMALL EQUALS SIGN
      "\uFE68",  # (﹨; ﹨; ﹨; \; \; ) SMALL REVERSE SOLIDUS
      "\uFE69",  # (﹩; ﹩; ﹩; $; $; ) SMALL DOLLAR SIGN
      "\uFE6A",  # (﹪; ﹪; ﹪; %; %; ) SMALL PERCENT SIGN
      "\uFE6B",  # (﹫; ﹫; ﹫; @; @; ) SMALL COMMERCIAL AT
      "\uFE70",  # (ﹰ; ﹰ; ﹰ;  ◌ً;  ◌ً; ) ARABIC FATHATAN ISOLATED FORM
      "\uFE71",  # (ﹱ; ﹱ; ﹱ; ـ◌ً; ـ◌ً; ) ARABIC TATWEEL WITH FATHATAN ABOVE
      "\uFE72",  # (ﹲ; ﹲ; ﹲ;  ◌ٌ;  ◌ٌ; ) ARABIC DAMMATAN ISOLATED FORM
      "\uFE74",  # (ﹴ; ﹴ; ﹴ;  ◌ٍ;  ◌ٍ; ) ARABIC KASRATAN ISOLATED FORM
      "\uFE76",  # (ﹶ; ﹶ; ﹶ;  ◌َ;  ◌َ; ) ARABIC FATHA ISOLATED FORM
      "\uFE77",  # (ﹷ; ﹷ; ﹷ; ـ◌َ; ـ◌َ; ) ARABIC FATHA MEDIAL FORM
      "\uFE78",  # (ﹸ; ﹸ; ﹸ;  ◌ُ;  ◌ُ; ) ARABIC DAMMA ISOLATED FORM
      "\uFE79",  # (ﹹ; ﹹ; ﹹ; ـ◌ُ; ـ◌ُ; ) ARABIC DAMMA MEDIAL FORM
      "\uFE7A",  # (ﹺ; ﹺ; ﹺ;  ◌ِ;  ◌ِ; ) ARABIC KASRA ISOLATED FORM
      "\uFE7B",  # (ﹻ; ﹻ; ﹻ; ـ◌ِ; ـ◌ِ; ) ARABIC KASRA MEDIAL FORM
      "\uFE7C",  # (ﹼ; ﹼ; ﹼ;  ◌ّ;  ◌ّ; ) ARABIC SHADDA ISOLATED FORM
      "\uFE7D",  # (ﹽ; ﹽ; ﹽ; ـ◌ّ; ـ◌ّ; ) ARABIC SHADDA MEDIAL FORM
      "\uFE7E",  # (ﹾ; ﹾ; ﹾ;  ◌ْ;  ◌ْ; ) ARABIC SUKUN ISOLATED FORM
      "\uFE7F",  # (ﹿ; ﹿ; ﹿ; ـ◌ْ; ـ◌ْ; ) ARABIC SUKUN MEDIAL FORM
      "\uFE80",  # (ﺀ; ﺀ; ﺀ; ء; ء; ) ARABIC LETTER HAMZA ISOLATED FORM
      "\uFE81",  # (ﺁ; ﺁ; ﺁ; آ; ا◌ٓ; ) ARABIC LETTER ALEF WITH MADDA ABOVE ISOLATED FORM
      "\uFE82",  # (ﺂ; ﺂ; ﺂ; آ; ا◌ٓ; ) ARABIC LETTER ALEF WITH MADDA ABOVE FINAL FORM
      "\uFE83",  # (ﺃ; ﺃ; ﺃ; أ; ا◌ٔ; ) ARABIC LETTER ALEF WITH HAMZA ABOVE ISOLATED FORM
      "\uFE84",  # (ﺄ; ﺄ; ﺄ; أ; ا◌ٔ; ) ARABIC LETTER ALEF WITH HAMZA ABOVE FINAL FORM
      "\uFE85",  # (ﺅ; ﺅ; ﺅ; ؤ; و◌ٔ; ) ARABIC LETTER WAW WITH HAMZA ABOVE ISOLATED FORM
      "\uFE86",  # (ﺆ; ﺆ; ﺆ; ؤ; و◌ٔ; ) ARABIC LETTER WAW WITH HAMZA ABOVE FINAL FORM
      "\uFE87",  # (ﺇ; ﺇ; ﺇ; إ; ا◌ٕ; ) ARABIC LETTER ALEF WITH HAMZA BELOW ISOLATED FORM
      "\uFE88",  # (ﺈ; ﺈ; ﺈ; إ; ا◌ٕ; ) ARABIC LETTER ALEF WITH HAMZA BELOW FINAL FORM
      "\uFE89",  # (ﺉ; ﺉ; ﺉ; ئ; ي◌ٔ; ) ARABIC LETTER YEH WITH HAMZA ABOVE ISOLATED FORM
      "\uFE8A",  # (ﺊ; ﺊ; ﺊ; ئ; ي◌ٔ; ) ARABIC LETTER YEH WITH HAMZA ABOVE FINAL FORM
      "\uFE8B",  # (ﺋ; ﺋ; ﺋ; ئ; ي◌ٔ; ) ARABIC LETTER YEH WITH HAMZA ABOVE INITIAL FORM
      "\uFE8C",  # (ﺌ; ﺌ; ﺌ; ئ; ي◌ٔ; ) ARABIC LETTER YEH WITH HAMZA ABOVE MEDIAL FORM
      "\uFE8D",  # (ﺍ; ﺍ; ﺍ; ا; ا; ) ARABIC LETTER ALEF ISOLATED FORM
      "\uFE8E",  # (ﺎ; ﺎ; ﺎ; ا; ا; ) ARABIC LETTER ALEF FINAL FORM
      "\uFE8F",  # (ﺏ; ﺏ; ﺏ; ب; ب; ) ARABIC LETTER BEH ISOLATED FORM
      "\uFE90",  # (ﺐ; ﺐ; ﺐ; ب; ب; ) ARABIC LETTER BEH FINAL FORM
      "\uFE91",  # (ﺑ; ﺑ; ﺑ; ب; ب; ) ARABIC LETTER BEH INITIAL FORM
      "\uFE92",  # (ﺒ; ﺒ; ﺒ; ب; ب; ) ARABIC LETTER BEH MEDIAL FORM
      "\uFE93",  # (ﺓ; ﺓ; ﺓ; ة; ة; ) ARABIC LETTER TEH MARBUTA ISOLATED FORM
      "\uFE94",  # (ﺔ; ﺔ; ﺔ; ة; ة; ) ARABIC LETTER TEH MARBUTA FINAL FORM
      "\uFE95",  # (ﺕ; ﺕ; ﺕ; ت; ت; ) ARABIC LETTER TEH ISOLATED FORM
      "\uFE96",  # (ﺖ; ﺖ; ﺖ; ت; ت; ) ARABIC LETTER TEH FINAL FORM
      "\uFE97",  # (ﺗ; ﺗ; ﺗ; ت; ت; ) ARABIC LETTER TEH INITIAL FORM
      "\uFE98",  # (ﺘ; ﺘ; ﺘ; ت; ت; ) ARABIC LETTER TEH MEDIAL FORM
      "\uFE99",  # (ﺙ; ﺙ; ﺙ; ث; ث; ) ARABIC LETTER THEH ISOLATED FORM
      "\uFE9A",  # (ﺚ; ﺚ; ﺚ; ث; ث; ) ARABIC LETTER THEH FINAL FORM
      "\uFE9B",  # (ﺛ; ﺛ; ﺛ; ث; ث; ) ARABIC LETTER THEH INITIAL FORM
      "\uFE9C",  # (ﺜ; ﺜ; ﺜ; ث; ث; ) ARABIC LETTER THEH MEDIAL FORM
      "\uFE9D",  # (ﺝ; ﺝ; ﺝ; ج; ج; ) ARABIC LETTER JEEM ISOLATED FORM
      "\uFE9E",  # (ﺞ; ﺞ; ﺞ; ج; ج; ) ARABIC LETTER JEEM FINAL FORM
      "\uFE9F",  # (ﺟ; ﺟ; ﺟ; ج; ج; ) ARABIC LETTER JEEM INITIAL FORM
      "\uFEA0",  # (ﺠ; ﺠ; ﺠ; ج; ج; ) ARABIC LETTER JEEM MEDIAL FORM
      "\uFEA1",  # (ﺡ; ﺡ; ﺡ; ح; ح; ) ARABIC LETTER HAH ISOLATED FORM
      "\uFEA2",  # (ﺢ; ﺢ; ﺢ; ح; ح; ) ARABIC LETTER HAH FINAL FORM
      "\uFEA3",  # (ﺣ; ﺣ; ﺣ; ح; ح; ) ARABIC LETTER HAH INITIAL FORM
      "\uFEA4",  # (ﺤ; ﺤ; ﺤ; ح; ح; ) ARABIC LETTER HAH MEDIAL FORM
      "\uFEA5",  # (ﺥ; ﺥ; ﺥ; خ; خ; ) ARABIC LETTER KHAH ISOLATED FORM
      "\uFEA6",  # (ﺦ; ﺦ; ﺦ; خ; خ; ) ARABIC LETTER KHAH FINAL FORM
      "\uFEA7",  # (ﺧ; ﺧ; ﺧ; خ; خ; ) ARABIC LETTER KHAH INITIAL FORM
      "\uFEA8",  # (ﺨ; ﺨ; ﺨ; خ; خ; ) ARABIC LETTER KHAH MEDIAL FORM
      "\uFEA9",  # (ﺩ; ﺩ; ﺩ; د; د; ) ARABIC LETTER DAL ISOLATED FORM
      "\uFEAA",  # (ﺪ; ﺪ; ﺪ; د; د; ) ARABIC LETTER DAL FINAL FORM
      "\uFEAB",  # (ﺫ; ﺫ; ﺫ; ذ; ذ; ) ARABIC LETTER THAL ISOLATED FORM
      "\uFEAC",  # (ﺬ; ﺬ; ﺬ; ذ; ذ; ) ARABIC LETTER THAL FINAL FORM
      "\uFEAD",  # (ﺭ; ﺭ; ﺭ; ر; ر; ) ARABIC LETTER REH ISOLATED FORM
      "\uFEAE",  # (ﺮ; ﺮ; ﺮ; ر; ر; ) ARABIC LETTER REH FINAL FORM
      "\uFEAF",  # (ﺯ; ﺯ; ﺯ; ز; ز; ) ARABIC LETTER ZAIN ISOLATED FORM
      "\uFEB0",  # (ﺰ; ﺰ; ﺰ; ز; ز; ) ARABIC LETTER ZAIN FINAL FORM
      "\uFEB1",  # (ﺱ; ﺱ; ﺱ; س; س; ) ARABIC LETTER SEEN ISOLATED FORM
      "\uFEB2",  # (ﺲ; ﺲ; ﺲ; س; س; ) ARABIC LETTER SEEN FINAL FORM
      "\uFEB3",  # (ﺳ; ﺳ; ﺳ; س; س; ) ARABIC LETTER SEEN INITIAL FORM
      "\uFEB4",  # (ﺴ; ﺴ; ﺴ; س; س; ) ARABIC LETTER SEEN MEDIAL FORM
      "\uFEB5",  # (ﺵ; ﺵ; ﺵ; ش; ش; ) ARABIC LETTER SHEEN ISOLATED FORM
      "\uFEB6",  # (ﺶ; ﺶ; ﺶ; ش; ش; ) ARABIC LETTER SHEEN FINAL FORM
      "\uFEB7",  # (ﺷ; ﺷ; ﺷ; ش; ش; ) ARABIC LETTER SHEEN INITIAL FORM
      "\uFEB8",  # (ﺸ; ﺸ; ﺸ; ش; ش; ) ARABIC LETTER SHEEN MEDIAL FORM
      "\uFEB9",  # (ﺹ; ﺹ; ﺹ; ص; ص; ) ARABIC LETTER SAD ISOLATED FORM
      "\uFEBA",  # (ﺺ; ﺺ; ﺺ; ص; ص; ) ARABIC LETTER SAD FINAL FORM
      "\uFEBB",  # (ﺻ; ﺻ; ﺻ; ص; ص; ) ARABIC LETTER SAD INITIAL FORM
      "\uFEBC",  # (ﺼ; ﺼ; ﺼ; ص; ص; ) ARABIC LETTER SAD MEDIAL FORM
      "\uFEBD",  # (ﺽ; ﺽ; ﺽ; ض; ض; ) ARABIC LETTER DAD ISOLATED FORM
      "\uFEBE",  # (ﺾ; ﺾ; ﺾ; ض; ض; ) ARABIC LETTER DAD FINAL FORM
      "\uFEBF",  # (ﺿ; ﺿ; ﺿ; ض; ض; ) ARABIC LETTER DAD INITIAL FORM
      "\uFEC0",  # (ﻀ; ﻀ; ﻀ; ض; ض; ) ARABIC LETTER DAD MEDIAL FORM
      "\uFEC1",  # (ﻁ; ﻁ; ﻁ; ط; ط; ) ARABIC LETTER TAH ISOLATED FORM
      "\uFEC2",  # (ﻂ; ﻂ; ﻂ; ط; ط; ) ARABIC LETTER TAH FINAL FORM
      "\uFEC3",  # (ﻃ; ﻃ; ﻃ; ط; ط; ) ARABIC LETTER TAH INITIAL FORM
      "\uFEC4",  # (ﻄ; ﻄ; ﻄ; ط; ط; ) ARABIC LETTER TAH MEDIAL FORM
      "\uFEC5",  # (ﻅ; ﻅ; ﻅ; ظ; ظ; ) ARABIC LETTER ZAH ISOLATED FORM
      "\uFEC6",  # (ﻆ; ﻆ; ﻆ; ظ; ظ; ) ARABIC LETTER ZAH FINAL FORM
      "\uFEC7",  # (ﻇ; ﻇ; ﻇ; ظ; ظ; ) ARABIC LETTER ZAH INITIAL FORM
      "\uFEC8",  # (ﻈ; ﻈ; ﻈ; ظ; ظ; ) ARABIC LETTER ZAH MEDIAL FORM
      "\uFEC9",  # (ﻉ; ﻉ; ﻉ; ع; ع; ) ARABIC LETTER AIN ISOLATED FORM
      "\uFECA",  # (ﻊ; ﻊ; ﻊ; ع; ع; ) ARABIC LETTER AIN FINAL FORM
      "\uFECB",  # (ﻋ; ﻋ; ﻋ; ع; ع; ) ARABIC LETTER AIN INITIAL FORM
      "\uFECC",  # (ﻌ; ﻌ; ﻌ; ع; ع; ) ARABIC LETTER AIN MEDIAL FORM
      "\uFECD",  # (ﻍ; ﻍ; ﻍ; غ; غ; ) ARABIC LETTER GHAIN ISOLATED FORM
      "\uFECE",  # (ﻎ; ﻎ; ﻎ; غ; غ; ) ARABIC LETTER GHAIN FINAL FORM
      "\uFECF",  # (ﻏ; ﻏ; ﻏ; غ; غ; ) ARABIC LETTER GHAIN INITIAL FORM
      "\uFED0",  # (ﻐ; ﻐ; ﻐ; غ; غ; ) ARABIC LETTER GHAIN MEDIAL FORM
      "\uFED1",  # (ﻑ; ﻑ; ﻑ; ف; ف; ) ARABIC LETTER FEH ISOLATED FORM
      "\uFED2",  # (ﻒ; ﻒ; ﻒ; ف; ف; ) ARABIC LETTER FEH FINAL FORM
      "\uFED3",  # (ﻓ; ﻓ; ﻓ; ف; ف; ) ARABIC LETTER FEH INITIAL FORM
      "\uFED4",  # (ﻔ; ﻔ; ﻔ; ف; ف; ) ARABIC LETTER FEH MEDIAL FORM
      "\uFED5",  # (ﻕ; ﻕ; ﻕ; ق; ق; ) ARABIC LETTER QAF ISOLATED FORM
      "\uFED6",  # (ﻖ; ﻖ; ﻖ; ق; ق; ) ARABIC LETTER QAF FINAL FORM
      "\uFED7",  # (ﻗ; ﻗ; ﻗ; ق; ق; ) ARABIC LETTER QAF INITIAL FORM
      "\uFED8",  # (ﻘ; ﻘ; ﻘ; ق; ق; ) ARABIC LETTER QAF MEDIAL FORM
      "\uFED9",  # (ﻙ; ﻙ; ﻙ; ك; ك; ) ARABIC LETTER KAF ISOLATED FORM
      "\uFEDA",  # (ﻚ; ﻚ; ﻚ; ك; ك; ) ARABIC LETTER KAF FINAL FORM
      "\uFEDB",  # (ﻛ; ﻛ; ﻛ; ك; ك; ) ARABIC LETTER KAF INITIAL FORM
      "\uFEDC",  # (ﻜ; ﻜ; ﻜ; ك; ك; ) ARABIC LETTER KAF MEDIAL FORM
      "\uFEDD",  # (ﻝ; ﻝ; ﻝ; ل; ل; ) ARABIC LETTER LAM ISOLATED FORM
      "\uFEDE",  # (ﻞ; ﻞ; ﻞ; ل; ل; ) ARABIC LETTER LAM FINAL FORM
      "\uFEDF",  # (ﻟ; ﻟ; ﻟ; ل; ل; ) ARABIC LETTER LAM INITIAL FORM
      "\uFEE0",  # (ﻠ; ﻠ; ﻠ; ل; ل; ) ARABIC LETTER LAM MEDIAL FORM
      "\uFEE1",  # (ﻡ; ﻡ; ﻡ; م; م; ) ARABIC LETTER MEEM ISOLATED FORM
      "\uFEE2",  # (ﻢ; ﻢ; ﻢ; م; م; ) ARABIC LETTER MEEM FINAL FORM
      "\uFEE3",  # (ﻣ; ﻣ; ﻣ; م; م; ) ARABIC LETTER MEEM INITIAL FORM
      "\uFEE4",  # (ﻤ; ﻤ; ﻤ; م; م; ) ARABIC LETTER MEEM MEDIAL FORM
      "\uFEE5",  # (ﻥ; ﻥ; ﻥ; ن; ن; ) ARABIC LETTER NOON ISOLATED FORM
      "\uFEE6",  # (ﻦ; ﻦ; ﻦ; ن; ن; ) ARABIC LETTER NOON FINAL FORM
      "\uFEE7",  # (ﻧ; ﻧ; ﻧ; ن; ن; ) ARABIC LETTER NOON INITIAL FORM
      "\uFEE8",  # (ﻨ; ﻨ; ﻨ; ن; ن; ) ARABIC LETTER NOON MEDIAL FORM
      "\uFEE9",  # (ﻩ; ﻩ; ﻩ; ه; ه; ) ARABIC LETTER HEH ISOLATED FORM
      "\uFEEA",  # (ﻪ; ﻪ; ﻪ; ه; ه; ) ARABIC LETTER HEH FINAL FORM
      "\uFEEB",  # (ﻫ; ﻫ; ﻫ; ه; ه; ) ARABIC LETTER HEH INITIAL FORM
      "\uFEEC",  # (ﻬ; ﻬ; ﻬ; ه; ه; ) ARABIC LETTER HEH MEDIAL FORM
      "\uFEED",  # (ﻭ; ﻭ; ﻭ; و; و; ) ARABIC LETTER WAW ISOLATED FORM
      "\uFEEE",  # (ﻮ; ﻮ; ﻮ; و; و; ) ARABIC LETTER WAW FINAL FORM
      "\uFEEF",  # (ﻯ; ﻯ; ﻯ; ى; ى; ) ARABIC LETTER ALEF MAKSURA ISOLATED FORM
      "\uFEF0",  # (ﻰ; ﻰ; ﻰ; ى; ى; ) ARABIC LETTER ALEF MAKSURA FINAL FORM
      "\uFEF1",  # (ﻱ; ﻱ; ﻱ; ي; ي; ) ARABIC LETTER YEH ISOLATED FORM
      "\uFEF2",  # (ﻲ; ﻲ; ﻲ; ي; ي; ) ARABIC LETTER YEH FINAL FORM
      "\uFEF3",  # (ﻳ; ﻳ; ﻳ; ي; ي; ) ARABIC LETTER YEH INITIAL FORM
      "\uFEF4",  # (ﻴ; ﻴ; ﻴ; ي; ي; ) ARABIC LETTER YEH MEDIAL FORM
      "\uFEF5",  # (ﻵ; ﻵ; ﻵ; لآ; لا◌ٓ; ) ARABIC LIGATURE LAM WITH ALEF WITH MADDA ABOVE ISOLATED FORM
      "\uFEF6",  # (ﻶ; ﻶ; ﻶ; لآ; لا◌ٓ; ) ARABIC LIGATURE LAM WITH ALEF WITH MADDA ABOVE FINAL FORM
      "\uFEF7",  # (ﻷ; ﻷ; ﻷ; لأ; لا◌ٔ; ) ARABIC LIGATURE LAM WITH ALEF WITH HAMZA ABOVE ISOLATED FORM
      "\uFEF8",  # (ﻸ; ﻸ; ﻸ; لأ; لا◌ٔ; ) ARABIC LIGATURE LAM WITH ALEF WITH HAMZA ABOVE FINAL FORM
      "\uFEF9",  # (ﻹ; ﻹ; ﻹ; لإ; لا◌ٕ; ) ARABIC LIGATURE LAM WITH ALEF WITH HAMZA BELOW ISOLATED FORM
      "\uFEFA",  # (ﻺ; ﻺ; ﻺ; لإ; لا◌ٕ; ) ARABIC LIGATURE LAM WITH ALEF WITH HAMZA BELOW FINAL FORM
      "\uFEFB",  # (ﻻ; ﻻ; ﻻ; لا; لا; ) ARABIC LIGATURE LAM WITH ALEF ISOLATED FORM
      "\uFEFC",  # (ﻼ; ﻼ; ﻼ; لا; لا; ) ARABIC LIGATURE LAM WITH ALEF FINAL FORM
      "\uFF01",  # (！; ！; ！; !; !; ) FULLWIDTH EXCLAMATION MARK
      "\uFF02",  # (＂; ＂; ＂; "; "; ) FULLWIDTH QUOTATION MARK
      "\uFF03",  # (＃; ＃; ＃; #; #; ) FULLWIDTH NUMBER SIGN
      "\uFF04",  # (＄; ＄; ＄; $; $; ) FULLWIDTH DOLLAR SIGN
      "\uFF05",  # (％; ％; ％; %; %; ) FULLWIDTH PERCENT SIGN
      "\uFF06",  # (＆; ＆; ＆; &; &; ) FULLWIDTH AMPERSAND
      "\uFF07",  # (＇; ＇; ＇; '; '; ) FULLWIDTH APOSTROPHE
      "\uFF08",  # (（; （; （; (; (; ) FULLWIDTH LEFT PARENTHESIS
      "\uFF09",  # (）; ）; ）; ); ); ) FULLWIDTH RIGHT PARENTHESIS
      "\uFF0A",  # (＊; ＊; ＊; *; *; ) FULLWIDTH ASTERISK
      "\uFF0B",  # (＋; ＋; ＋; +; +; ) FULLWIDTH PLUS SIGN
      "\uFF0C",  # (，; ，; ，; ,; ,; ) FULLWIDTH COMMA
      "\uFF0D",  # (－; －; －; -; -; ) FULLWIDTH HYPHEN-MINUS
      "\uFF0E",  # (．; ．; ．; .; .; ) FULLWIDTH FULL STOP
      "\uFF0F",  # (／; ／; ／; /; /; ) FULLWIDTH SOLIDUS
      "\uFF10",  # (０; ０; ０; 0; 0; ) FULLWIDTH DIGIT ZERO
      "\uFF11",  # (１; １; １; 1; 1; ) FULLWIDTH DIGIT ONE
      "\uFF12",  # (２; ２; ２; 2; 2; ) FULLWIDTH DIGIT TWO
      "\uFF13",  # (３; ３; ３; 3; 3; ) FULLWIDTH DIGIT THREE
      "\uFF14",  # (４; ４; ４; 4; 4; ) FULLWIDTH DIGIT FOUR
      "\uFF15",  # (５; ５; ５; 5; 5; ) FULLWIDTH DIGIT FIVE
      "\uFF16",  # (６; ６; ６; 6; 6; ) FULLWIDTH DIGIT SIX
      "\uFF17",  # (７; ７; ７; 7; 7; ) FULLWIDTH DIGIT SEVEN
      "\uFF18",  # (８; ８; ８; 8; 8; ) FULLWIDTH DIGIT EIGHT
      "\uFF19",  # (９; ９; ９; 9; 9; ) FULLWIDTH DIGIT NINE
      "\uFF1A",  # (：; ：; ：; :; :; ) FULLWIDTH COLON
      "\uFF1B",  # (；; ；; ；; ;; ;; ) FULLWIDTH SEMICOLON
      "\uFF1C",  # (＜; ＜; ＜; <; <; ) FULLWIDTH LESS-THAN SIGN
      "\uFF1D",  # (＝; ＝; ＝; =; =; ) FULLWIDTH EQUALS SIGN
      "\uFF1E",  # (＞; ＞; ＞; >; >; ) FULLWIDTH GREATER-THAN SIGN
      "\uFF1F",  # (？; ？; ？; ?; ?; ) FULLWIDTH QUESTION MARK
      "\uFF20",  # (＠; ＠; ＠; @; @; ) FULLWIDTH COMMERCIAL AT
      "\uFF21",  # (Ａ; Ａ; Ａ; A; A; ) FULLWIDTH LATIN CAPITAL LETTER A
      "\uFF22",  # (Ｂ; Ｂ; Ｂ; B; B; ) FULLWIDTH LATIN CAPITAL LETTER B
      "\uFF23",  # (Ｃ; Ｃ; Ｃ; C; C; ) FULLWIDTH LATIN CAPITAL LETTER C
      "\uFF24",  # (Ｄ; Ｄ; Ｄ; D; D; ) FULLWIDTH LATIN CAPITAL LETTER D
      "\uFF25",  # (Ｅ; Ｅ; Ｅ; E; E; ) FULLWIDTH LATIN CAPITAL LETTER E
      "\uFF26",  # (Ｆ; Ｆ; Ｆ; F; F; ) FULLWIDTH LATIN CAPITAL LETTER F
      "\uFF27",  # (Ｇ; Ｇ; Ｇ; G; G; ) FULLWIDTH LATIN CAPITAL LETTER G
      "\uFF28",  # (Ｈ; Ｈ; Ｈ; H; H; ) FULLWIDTH LATIN CAPITAL LETTER H
      "\uFF29",  # (Ｉ; Ｉ; Ｉ; I; I; ) FULLWIDTH LATIN CAPITAL LETTER I
      "\uFF2A",  # (Ｊ; Ｊ; Ｊ; J; J; ) FULLWIDTH LATIN CAPITAL LETTER J
      "\uFF2B",  # (Ｋ; Ｋ; Ｋ; K; K; ) FULLWIDTH LATIN CAPITAL LETTER K
      "\uFF2C",  # (Ｌ; Ｌ; Ｌ; L; L; ) FULLWIDTH LATIN CAPITAL LETTER L
      "\uFF2D",  # (Ｍ; Ｍ; Ｍ; M; M; ) FULLWIDTH LATIN CAPITAL LETTER M
      "\uFF2E",  # (Ｎ; Ｎ; Ｎ; N; N; ) FULLWIDTH LATIN CAPITAL LETTER N
      "\uFF2F",  # (Ｏ; Ｏ; Ｏ; O; O; ) FULLWIDTH LATIN CAPITAL LETTER O
      "\uFF30",  # (Ｐ; Ｐ; Ｐ; P; P; ) FULLWIDTH LATIN CAPITAL LETTER P
      "\uFF31",  # (Ｑ; Ｑ; Ｑ; Q; Q; ) FULLWIDTH LATIN CAPITAL LETTER Q
      "\uFF32",  # (Ｒ; Ｒ; Ｒ; R; R; ) FULLWIDTH LATIN CAPITAL LETTER R
      "\uFF33",  # (Ｓ; Ｓ; Ｓ; S; S; ) FULLWIDTH LATIN CAPITAL LETTER S
      "\uFF34",  # (Ｔ; Ｔ; Ｔ; T; T; ) FULLWIDTH LATIN CAPITAL LETTER T
      "\uFF35",  # (Ｕ; Ｕ; Ｕ; U; U; ) FULLWIDTH LATIN CAPITAL LETTER U
      "\uFF36",  # (Ｖ; Ｖ; Ｖ; V; V; ) FULLWIDTH LATIN CAPITAL LETTER V
      "\uFF37",  # (Ｗ; Ｗ; Ｗ; W; W; ) FULLWIDTH LATIN CAPITAL LETTER W
      "\uFF38",  # (Ｘ; Ｘ; Ｘ; X; X; ) FULLWIDTH LATIN CAPITAL LETTER X
      "\uFF39",  # (Ｙ; Ｙ; Ｙ; Y; Y; ) FULLWIDTH LATIN CAPITAL LETTER Y
      "\uFF3A",  # (Ｚ; Ｚ; Ｚ; Z; Z; ) FULLWIDTH LATIN CAPITAL LETTER Z
      "\uFF3B",  # (［; ［; ［; [; [; ) FULLWIDTH LEFT SQUARE BRACKET
      "\uFF3C",  # (＼; ＼; ＼; \; \; ) FULLWIDTH REVERSE SOLIDUS
      "\uFF3D",  # (］; ］; ］; ]; ]; ) FULLWIDTH RIGHT SQUARE BRACKET
      "\uFF3E",  # (＾; ＾; ＾; ^; ^; ) FULLWIDTH CIRCUMFLEX ACCENT
      "\uFF3F",  # (＿; ＿; ＿; _; _; ) FULLWIDTH LOW LINE
      "\uFF40",  # (｀; ｀; ｀; `; `; ) FULLWIDTH GRAVE ACCENT
      "\uFF41",  # (ａ; ａ; ａ; a; a; ) FULLWIDTH LATIN SMALL LETTER A
      "\uFF42",  # (ｂ; ｂ; ｂ; b; b; ) FULLWIDTH LATIN SMALL LETTER B
      "\uFF43",  # (ｃ; ｃ; ｃ; c; c; ) FULLWIDTH LATIN SMALL LETTER C
      "\uFF44",  # (ｄ; ｄ; ｄ; d; d; ) FULLWIDTH LATIN SMALL LETTER D
      "\uFF45",  # (ｅ; ｅ; ｅ; e; e; ) FULLWIDTH LATIN SMALL LETTER E
      "\uFF46",  # (ｆ; ｆ; ｆ; f; f; ) FULLWIDTH LATIN SMALL LETTER F
      "\uFF47",  # (ｇ; ｇ; ｇ; g; g; ) FULLWIDTH LATIN SMALL LETTER G
      "\uFF48",  # (ｈ; ｈ; ｈ; h; h; ) FULLWIDTH LATIN SMALL LETTER H
      "\uFF49",  # (ｉ; ｉ; ｉ; i; i; ) FULLWIDTH LATIN SMALL LETTER I
      "\uFF4A",  # (ｊ; ｊ; ｊ; j; j; ) FULLWIDTH LATIN SMALL LETTER J
      "\uFF4B",  # (ｋ; ｋ; ｋ; k; k; ) FULLWIDTH LATIN SMALL LETTER K
      "\uFF4C",  # (ｌ; ｌ; ｌ; l; l; ) FULLWIDTH LATIN SMALL LETTER L
      "\uFF4D",  # (ｍ; ｍ; ｍ; m; m; ) FULLWIDTH LATIN SMALL LETTER M
      "\uFF4E",  # (ｎ; ｎ; ｎ; n; n; ) FULLWIDTH LATIN SMALL LETTER N
      "\uFF4F",  # (ｏ; ｏ; ｏ; o; o; ) FULLWIDTH LATIN SMALL LETTER O
      "\uFF50",  # (ｐ; ｐ; ｐ; p; p; ) FULLWIDTH LATIN SMALL LETTER P
      "\uFF51",  # (ｑ; ｑ; ｑ; q; q; ) FULLWIDTH LATIN SMALL LETTER Q
      "\uFF52",  # (ｒ; ｒ; ｒ; r; r; ) FULLWIDTH LATIN SMALL LETTER R
      "\uFF53",  # (ｓ; ｓ; ｓ; s; s; ) FULLWIDTH LATIN SMALL LETTER S
      "\uFF54",  # (ｔ; ｔ; ｔ; t; t; ) FULLWIDTH LATIN SMALL LETTER T
      "\uFF55",  # (ｕ; ｕ; ｕ; u; u; ) FULLWIDTH LATIN SMALL LETTER U
      "\uFF56",  # (ｖ; ｖ; ｖ; v; v; ) FULLWIDTH LATIN SMALL LETTER V
      "\uFF57",  # (ｗ; ｗ; ｗ; w; w; ) FULLWIDTH LATIN SMALL LETTER W
      "\uFF58",  # (ｘ; ｘ; ｘ; x; x; ) FULLWIDTH LATIN SMALL LETTER X
      "\uFF59",  # (ｙ; ｙ; ｙ; y; y; ) FULLWIDTH LATIN SMALL LETTER Y
      "\uFF5A",  # (ｚ; ｚ; ｚ; z; z; ) FULLWIDTH LATIN SMALL LETTER Z
      "\uFF5B",  # (｛; ｛; ｛; {; {; ) FULLWIDTH LEFT CURLY BRACKET
      "\uFF5C",  # (｜; ｜; ｜; |; |; ) FULLWIDTH VERTICAL LINE
      "\uFF5D",  # (｝; ｝; ｝; }; }; ) FULLWIDTH RIGHT CURLY BRACKET
      "\uFF5E",  # (～; ～; ～; ~; ~; ) FULLWIDTH TILDE
      "\uFF5F",  # (｟; ｟; ｟; ⦅; ⦅; ) FULLWIDTH LEFT WHITE PARENTHESIS
      "\uFF60",  # (｠; ｠; ｠; ⦆; ⦆; ) FULLWIDTH RIGHT WHITE PARENTHESIS
      "\uFF61",  # (｡; ｡; ｡; 。; 。; ) HALFWIDTH IDEOGRAPHIC FULL STOP
      "\uFF62",  # (｢; ｢; ｢; 「; 「; ) HALFWIDTH LEFT CORNER BRACKET
      "\uFF63",  # (｣; ｣; ｣; 」; 」; ) HALFWIDTH RIGHT CORNER BRACKET
      "\uFF64",  # (､; ､; ､; 、; 、; ) HALFWIDTH IDEOGRAPHIC COMMA
      "\uFF65",  # (･; ･; ･; ・; ・; ) HALFWIDTH KATAKANA MIDDLE DOT
      "\uFF66",  # (ｦ; ｦ; ｦ; ヲ; ヲ; ) HALFWIDTH KATAKANA LETTER WO
      "\uFF67",  # (ｧ; ｧ; ｧ; ァ; ァ; ) HALFWIDTH KATAKANA LETTER SMALL A
      "\uFF68",  # (ｨ; ｨ; ｨ; ィ; ィ; ) HALFWIDTH KATAKANA LETTER SMALL I
      "\uFF69",  # (ｩ; ｩ; ｩ; ゥ; ゥ; ) HALFWIDTH KATAKANA LETTER SMALL U
      "\uFF6A",  # (ｪ; ｪ; ｪ; ェ; ェ; ) HALFWIDTH KATAKANA LETTER SMALL E
      "\uFF6B",  # (ｫ; ｫ; ｫ; ォ; ォ; ) HALFWIDTH KATAKANA LETTER SMALL O
      "\uFF6C",  # (ｬ; ｬ; ｬ; ャ; ャ; ) HALFWIDTH KATAKANA LETTER SMALL YA
      "\uFF6D",  # (ｭ; ｭ; ｭ; ュ; ュ; ) HALFWIDTH KATAKANA LETTER SMALL YU
      "\uFF6E",  # (ｮ; ｮ; ｮ; ョ; ョ; ) HALFWIDTH KATAKANA LETTER SMALL YO
      "\uFF6F",  # (ｯ; ｯ; ｯ; ッ; ッ; ) HALFWIDTH KATAKANA LETTER SMALL TU
      "\uFF70",  # (ｰ; ｰ; ｰ; ー; ー; ) HALFWIDTH KATAKANA-HIRAGANA PROLONGED SOUND MARK
      "\uFF71",  # (ｱ; ｱ; ｱ; ア; ア; ) HALFWIDTH KATAKANA LETTER A
      "\uFF72",  # (ｲ; ｲ; ｲ; イ; イ; ) HALFWIDTH KATAKANA LETTER I
      "\uFF73",  # (ｳ; ｳ; ｳ; ウ; ウ; ) HALFWIDTH KATAKANA LETTER U
      "\uFF74",  # (ｴ; ｴ; ｴ; エ; エ; ) HALFWIDTH KATAKANA LETTER E
      "\uFF75",  # (ｵ; ｵ; ｵ; オ; オ; ) HALFWIDTH KATAKANA LETTER O
      "\uFF76",  # (ｶ; ｶ; ｶ; カ; カ; ) HALFWIDTH KATAKANA LETTER KA
      "\uFF77",  # (ｷ; ｷ; ｷ; キ; キ; ) HALFWIDTH KATAKANA LETTER KI
      "\uFF78",  # (ｸ; ｸ; ｸ; ク; ク; ) HALFWIDTH KATAKANA LETTER KU
      "\uFF79",  # (ｹ; ｹ; ｹ; ケ; ケ; ) HALFWIDTH KATAKANA LETTER KE
      "\uFF7A",  # (ｺ; ｺ; ｺ; コ; コ; ) HALFWIDTH KATAKANA LETTER KO
      "\uFF7B",  # (ｻ; ｻ; ｻ; サ; サ; ) HALFWIDTH KATAKANA LETTER SA
      "\uFF7C",  # (ｼ; ｼ; ｼ; シ; シ; ) HALFWIDTH KATAKANA LETTER SI
      "\uFF7D",  # (ｽ; ｽ; ｽ; ス; ス; ) HALFWIDTH KATAKANA LETTER SU
      "\uFF7E",  # (ｾ; ｾ; ｾ; セ; セ; ) HALFWIDTH KATAKANA LETTER SE
      "\uFF7F",  # (ｿ; ｿ; ｿ; ソ; ソ; ) HALFWIDTH KATAKANA LETTER SO
      "\uFF80",  # (ﾀ; ﾀ; ﾀ; タ; タ; ) HALFWIDTH KATAKANA LETTER TA
      "\uFF81",  # (ﾁ; ﾁ; ﾁ; チ; チ; ) HALFWIDTH KATAKANA LETTER TI
      "\uFF82",  # (ﾂ; ﾂ; ﾂ; ツ; ツ; ) HALFWIDTH KATAKANA LETTER TU
      "\uFF83",  # (ﾃ; ﾃ; ﾃ; テ; テ; ) HALFWIDTH KATAKANA LETTER TE
      "\uFF84",  # (ﾄ; ﾄ; ﾄ; ト; ト; ) HALFWIDTH KATAKANA LETTER TO
      "\uFF85",  # (ﾅ; ﾅ; ﾅ; ナ; ナ; ) HALFWIDTH KATAKANA LETTER NA
      "\uFF86",  # (ﾆ; ﾆ; ﾆ; ニ; ニ; ) HALFWIDTH KATAKANA LETTER NI
      "\uFF87",  # (ﾇ; ﾇ; ﾇ; ヌ; ヌ; ) HALFWIDTH KATAKANA LETTER NU
      "\uFF88",  # (ﾈ; ﾈ; ﾈ; ネ; ネ; ) HALFWIDTH KATAKANA LETTER NE
      "\uFF89",  # (ﾉ; ﾉ; ﾉ; ノ; ノ; ) HALFWIDTH KATAKANA LETTER NO
      "\uFF8A",  # (ﾊ; ﾊ; ﾊ; ハ; ハ; ) HALFWIDTH KATAKANA LETTER HA
      "\uFF8B",  # (ﾋ; ﾋ; ﾋ; ヒ; ヒ; ) HALFWIDTH KATAKANA LETTER HI
      "\uFF8C",  # (ﾌ; ﾌ; ﾌ; フ; フ; ) HALFWIDTH KATAKANA LETTER HU
      "\uFF8D",  # (ﾍ; ﾍ; ﾍ; ヘ; ヘ; ) HALFWIDTH KATAKANA LETTER HE
      "\uFF8E",  # (ﾎ; ﾎ; ﾎ; ホ; ホ; ) HALFWIDTH KATAKANA LETTER HO
      "\uFF8F",  # (ﾏ; ﾏ; ﾏ; マ; マ; ) HALFWIDTH KATAKANA LETTER MA
      "\uFF90",  # (ﾐ; ﾐ; ﾐ; ミ; ミ; ) HALFWIDTH KATAKANA LETTER MI
      "\uFF91",  # (ﾑ; ﾑ; ﾑ; ム; ム; ) HALFWIDTH KATAKANA LETTER MU
      "\uFF92",  # (ﾒ; ﾒ; ﾒ; メ; メ; ) HALFWIDTH KATAKANA LETTER ME
      "\uFF93",  # (ﾓ; ﾓ; ﾓ; モ; モ; ) HALFWIDTH KATAKANA LETTER MO
      "\uFF94",  # (ﾔ; ﾔ; ﾔ; ヤ; ヤ; ) HALFWIDTH KATAKANA LETTER YA
      "\uFF95",  # (ﾕ; ﾕ; ﾕ; ユ; ユ; ) HALFWIDTH KATAKANA LETTER YU
      "\uFF96",  # (ﾖ; ﾖ; ﾖ; ヨ; ヨ; ) HALFWIDTH KATAKANA LETTER YO
      "\uFF97",  # (ﾗ; ﾗ; ﾗ; ラ; ラ; ) HALFWIDTH KATAKANA LETTER RA
      "\uFF98",  # (ﾘ; ﾘ; ﾘ; リ; リ; ) HALFWIDTH KATAKANA LETTER RI
      "\uFF99",  # (ﾙ; ﾙ; ﾙ; ル; ル; ) HALFWIDTH KATAKANA LETTER RU
      "\uFF9A",  # (ﾚ; ﾚ; ﾚ; レ; レ; ) HALFWIDTH KATAKANA LETTER RE
      "\uFF9B",  # (ﾛ; ﾛ; ﾛ; ロ; ロ; ) HALFWIDTH KATAKANA LETTER RO
      "\uFF9C",  # (ﾜ; ﾜ; ﾜ; ワ; ワ; ) HALFWIDTH KATAKANA LETTER WA
      "\uFF9D",  # (ﾝ; ﾝ; ﾝ; ン; ン; ) HALFWIDTH KATAKANA LETTER N
      "\uFF9E",  # (ﾞ; ﾞ; ﾞ; ◌゙; ◌゙; ) HALFWIDTH KATAKANA VOICED SOUND MARK
      "\uFF9F",  # (ﾟ; ﾟ; ﾟ; ◌゚; ◌゚; ) HALFWIDTH KATAKANA SEMI-VOICED SOUND MARK
      "\uFFA0",  # (ﾠ; ﾠ; ﾠ; ᅠ; ᅠ; ) HALFWIDTH HANGUL FILLER
      "\uFFA1",  # (ﾡ; ﾡ; ﾡ; ᄀ; ᄀ; ) HALFWIDTH HANGUL LETTER KIYEOK
      "\uFFA2",  # (ﾢ; ﾢ; ﾢ; ᄁ; ᄁ; ) HALFWIDTH HANGUL LETTER SSANGKIYEOK
      "\uFFA3",  # (ﾣ; ﾣ; ﾣ; ᆪ; ᆪ; ) HALFWIDTH HANGUL LETTER KIYEOK-SIOS
      "\uFFA4",  # (ﾤ; ﾤ; ﾤ; ᄂ; ᄂ; ) HALFWIDTH HANGUL LETTER NIEUN
      "\uFFA5",  # (ﾥ; ﾥ; ﾥ; ᆬ; ᆬ; ) HALFWIDTH HANGUL LETTER NIEUN-CIEUC
      "\uFFA6",  # (ﾦ; ﾦ; ﾦ; ᆭ; ᆭ; ) HALFWIDTH HANGUL LETTER NIEUN-HIEUH
      "\uFFA7",  # (ﾧ; ﾧ; ﾧ; ᄃ; ᄃ; ) HALFWIDTH HANGUL LETTER TIKEUT
      "\uFFA8",  # (ﾨ; ﾨ; ﾨ; ᄄ; ᄄ; ) HALFWIDTH HANGUL LETTER SSANGTIKEUT
      "\uFFA9",  # (ﾩ; ﾩ; ﾩ; ᄅ; ᄅ; ) HALFWIDTH HANGUL LETTER RIEUL
      "\uFFAA",  # (ﾪ; ﾪ; ﾪ; ᆰ; ᆰ; ) HALFWIDTH HANGUL LETTER RIEUL-KIYEOK
      "\uFFAB",  # (ﾫ; ﾫ; ﾫ; ᆱ; ᆱ; ) HALFWIDTH HANGUL LETTER RIEUL-MIEUM
      "\uFFAC",  # (ﾬ; ﾬ; ﾬ; ᆲ; ᆲ; ) HALFWIDTH HANGUL LETTER RIEUL-PIEUP
      "\uFFAD",  # (ﾭ; ﾭ; ﾭ; ᆳ; ᆳ; ) HALFWIDTH HANGUL LETTER RIEUL-SIOS
      "\uFFAE",  # (ﾮ; ﾮ; ﾮ; ᆴ; ᆴ; ) HALFWIDTH HANGUL LETTER RIEUL-THIEUTH
      "\uFFAF",  # (ﾯ; ﾯ; ﾯ; ᆵ; ᆵ; ) HALFWIDTH HANGUL LETTER RIEUL-PHIEUPH
      "\uFFB0",  # (ﾰ; ﾰ; ﾰ; ᄚ; ᄚ; ) HALFWIDTH HANGUL LETTER RIEUL-HIEUH
      "\uFFB1",  # (ﾱ; ﾱ; ﾱ; ᄆ; ᄆ; ) HALFWIDTH HANGUL LETTER MIEUM
      "\uFFB2",  # (ﾲ; ﾲ; ﾲ; ᄇ; ᄇ; ) HALFWIDTH HANGUL LETTER PIEUP
      "\uFFB3",  # (ﾳ; ﾳ; ﾳ; ᄈ; ᄈ; ) HALFWIDTH HANGUL LETTER SSANGPIEUP
      "\uFFB4",  # (ﾴ; ﾴ; ﾴ; ᄡ; ᄡ; ) HALFWIDTH HANGUL LETTER PIEUP-SIOS
      "\uFFB5",  # (ﾵ; ﾵ; ﾵ; ᄉ; ᄉ; ) HALFWIDTH HANGUL LETTER SIOS
      "\uFFB6",  # (ﾶ; ﾶ; ﾶ; ᄊ; ᄊ; ) HALFWIDTH HANGUL LETTER SSANGSIOS
      "\uFFB7",  # (ﾷ; ﾷ; ﾷ; ᄋ; ᄋ; ) HALFWIDTH HANGUL LETTER IEUNG
      "\uFFB8",  # (ﾸ; ﾸ; ﾸ; ᄌ; ᄌ; ) HALFWIDTH HANGUL LETTER CIEUC
      "\uFFB9",  # (ﾹ; ﾹ; ﾹ; ᄍ; ᄍ; ) HALFWIDTH HANGUL LETTER SSANGCIEUC
      "\uFFBA",  # (ﾺ; ﾺ; ﾺ; ᄎ; ᄎ; ) HALFWIDTH HANGUL LETTER CHIEUCH
      "\uFFBB",  # (ﾻ; ﾻ; ﾻ; ᄏ; ᄏ; ) HALFWIDTH HANGUL LETTER KHIEUKH
      "\uFFBC",  # (ﾼ; ﾼ; ﾼ; ᄐ; ᄐ; ) HALFWIDTH HANGUL LETTER THIEUTH
      "\uFFBD",  # (ﾽ; ﾽ; ﾽ; ᄑ; ᄑ; ) HALFWIDTH HANGUL LETTER PHIEUPH
      "\uFFBE",  # (ﾾ; ﾾ; ﾾ; ᄒ; ᄒ; ) HALFWIDTH HANGUL LETTER HIEUH
      "\uFFC2",  # (ￂ; ￂ; ￂ; ᅡ; ᅡ; ) HALFWIDTH HANGUL LETTER A
      "\uFFC3",  # (ￃ; ￃ; ￃ; ᅢ; ᅢ; ) HALFWIDTH HANGUL LETTER AE
      "\uFFC4",  # (ￄ; ￄ; ￄ; ᅣ; ᅣ; ) HALFWIDTH HANGUL LETTER YA
      "\uFFC5",  # (ￅ; ￅ; ￅ; ᅤ; ᅤ; ) HALFWIDTH HANGUL LETTER YAE
      "\uFFC6",  # (ￆ; ￆ; ￆ; ᅥ; ᅥ; ) HALFWIDTH HANGUL LETTER EO
      "\uFFC7",  # (ￇ; ￇ; ￇ; ᅦ; ᅦ; ) HALFWIDTH HANGUL LETTER E
      "\uFFCA",  # (ￊ; ￊ; ￊ; ᅧ; ᅧ; ) HALFWIDTH HANGUL LETTER YEO
      "\uFFCB",  # (ￋ; ￋ; ￋ; ᅨ; ᅨ; ) HALFWIDTH HANGUL LETTER YE
      "\uFFCC",  # (ￌ; ￌ; ￌ; ᅩ; ᅩ; ) HALFWIDTH HANGUL LETTER O
      "\uFFCD",  # (ￍ; ￍ; ￍ; ᅪ; ᅪ; ) HALFWIDTH HANGUL LETTER WA
      "\uFFCE",  # (ￎ; ￎ; ￎ; ᅫ; ᅫ; ) HALFWIDTH HANGUL LETTER WAE
      "\uFFCF",  # (ￏ; ￏ; ￏ; ᅬ; ᅬ; ) HALFWIDTH HANGUL LETTER OE
      "\uFFD2",  # (ￒ; ￒ; ￒ; ᅭ; ᅭ; ) HALFWIDTH HANGUL LETTER YO
      "\uFFD3",  # (ￓ; ￓ; ￓ; ᅮ; ᅮ; ) HALFWIDTH HANGUL LETTER U
      "\uFFD4",  # (ￔ; ￔ; ￔ; ᅯ; ᅯ; ) HALFWIDTH HANGUL LETTER WEO
      "\uFFD5",  # (ￕ; ￕ; ￕ; ᅰ; ᅰ; ) HALFWIDTH HANGUL LETTER WE
      "\uFFD6",  # (ￖ; ￖ; ￖ; ᅱ; ᅱ; ) HALFWIDTH HANGUL LETTER WI
      "\uFFD7",  # (ￗ; ￗ; ￗ; ᅲ; ᅲ; ) HALFWIDTH HANGUL LETTER YU
      "\uFFDA",  # (ￚ; ￚ; ￚ; ᅳ; ᅳ; ) HALFWIDTH HANGUL LETTER EU
      "\uFFDB",  # (ￛ; ￛ; ￛ; ᅴ; ᅴ; ) HALFWIDTH HANGUL LETTER YI
      "\uFFDC",  # (ￜ; ￜ; ￜ; ᅵ; ᅵ; ) HALFWIDTH HANGUL LETTER I
      "\uFFE0",  # (￠; ￠; ￠; ¢; ¢; ) FULLWIDTH CENT SIGN
      "\uFFE1",  # (￡; ￡; ￡; £; £; ) FULLWIDTH POUND SIGN
      "\uFFE2",  # (￢; ￢; ￢; ¬; ¬; ) FULLWIDTH NOT SIGN
      "\uFFE3",  # (￣; ￣; ￣;  ◌̄;  ◌̄; ) FULLWIDTH MACRON
      "\uFFE4",  # (￤; ￤; ￤; ¦; ¦; ) FULLWIDTH BROKEN BAR
      "\uFFE5",  # (￥; ￥; ￥; ¥; ¥; ) FULLWIDTH YEN SIGN
      "\uFFE6",  # (￦; ￦; ￦; ₩; ₩; ) FULLWIDTH WON SIGN
      "\uFFE8",  # (￨; ￨; ￨; │; │; ) HALFWIDTH FORMS LIGHT VERTICAL
      "\uFFE9",  # (￩; ￩; ￩; ←; ←; ) HALFWIDTH LEFTWARDS ARROW
      "\uFFEA",  # (￪; ￪; ￪; ↑; ↑; ) HALFWIDTH UPWARDS ARROW
      "\uFFEB",  # (￫; ￫; ￫; →; →; ) HALFWIDTH RIGHTWARDS ARROW
      "\uFFEC",  # (￬; ￬; ￬; ↓; ↓; ) HALFWIDTH DOWNWARDS ARROW
      "\uFFED",  # (￭; ￭; ￭; ■; ■; ) HALFWIDTH BLACK SQUARE
      "\uFFEE",  # (￮; ￮; ￮; ○; ○; ) HALFWIDTH WHITE CIRCLE
      "\u1109A",  # (𑂚; 𑂚; 𑂙◌𑂺; 𑂚; 𑂙◌𑂺; ) KAITHI LETTER DDDHA
      "\u1109C",  # (𑂜; 𑂜; 𑂛◌𑂺; 𑂜; 𑂛◌𑂺; ) KAITHI LETTER RHA
      "\u110AB",  # (𑂫; 𑂫; 𑂥◌𑂺; 𑂫; 𑂥◌𑂺; ) KAITHI LETTER VA
      "\u1112E",  # (◌𑄮; ◌𑄮; ◌𑄱◌𑄧; ◌𑄮; ◌𑄱◌𑄧; ) CHAKMA VOWEL SIGN O
      "\u1112F",  # (◌𑄯; ◌𑄯; ◌𑄲◌𑄧; ◌𑄯; ◌𑄲◌𑄧; ) CHAKMA VOWEL SIGN AU
      "\u1134B",  # (𑍋; 𑍋; 𑍋; 𑍋; 𑍋; ) GRANTHA VOWEL SIGN OO
      "\u1134C",  # (𑍌; 𑍌; 𑍌; 𑍌; 𑍌; ) GRANTHA VOWEL SIGN AU
      "\u114BB",  # (𑒻; 𑒻; 𑒹◌𑒺; 𑒻; 𑒹◌𑒺; ) TIRHUTA VOWEL SIGN AI
      "\u114BC",  # (𑒼; 𑒼; 𑒼; 𑒼; 𑒼; ) TIRHUTA VOWEL SIGN O
      "\u114BE",  # (𑒾; 𑒾; 𑒾; 𑒾; 𑒾; ) TIRHUTA VOWEL SIGN AU
      "\u115BA",  # (𑖺; 𑖺; 𑖺; 𑖺; 𑖺; ) SIDDHAM VOWEL SIGN O
      "\u115BB",  # (𑖻; 𑖻; 𑖻; 𑖻; 𑖻; ) SIDDHAM VOWEL SIGN AU
      "\u1D15E",  # (𝅗𝅥; 𝅗𝅥; 𝅗𝅥; 𝅗𝅥; 𝅗𝅥; ) MUSICAL SYMBOL HALF NOTE
      "\u1D15F",  # (𝅘𝅥; 𝅘𝅥; 𝅘𝅥; 𝅘𝅥; 𝅘𝅥; ) MUSICAL SYMBOL QUARTER NOTE
      "\u1D160",  # (𝅘𝅥𝅮; 𝅘𝅥𝅮; 𝅘𝅥𝅮; 𝅘𝅥𝅮; 𝅘𝅥𝅮; ) MUSICAL SYMBOL EIGHTH NOTE
      "\u1D161",  # (𝅘𝅥𝅯; 𝅘𝅥𝅯; 𝅘𝅥𝅯; 𝅘𝅥𝅯; 𝅘𝅥𝅯; ) MUSICAL SYMBOL SIXTEENTH NOTE
      "\u1D162",  # (𝅘𝅥𝅰; 𝅘𝅥𝅰; 𝅘𝅥𝅰; 𝅘𝅥𝅰; 𝅘𝅥𝅰; ) MUSICAL SYMBOL THIRTY-SECOND NOTE
      "\u1D163",  # (𝅘𝅥𝅱; 𝅘𝅥𝅱; 𝅘𝅥𝅱; 𝅘𝅥𝅱; 𝅘𝅥𝅱; ) MUSICAL SYMBOL SIXTY-FOURTH NOTE
      "\u1D164",  # (𝅘𝅥𝅲; 𝅘𝅥𝅲; 𝅘𝅥𝅲; 𝅘𝅥𝅲; 𝅘𝅥𝅲; ) MUSICAL SYMBOL ONE HUNDRED TWENTY-EIGHTH NOTE
      "\u1D1BB",  # (𝆹𝅥; 𝆹𝅥; 𝆹𝅥; 𝆹𝅥; 𝆹𝅥; ) MUSICAL SYMBOL MINIMA
      "\u1D1BC",  # (𝆺𝅥; 𝆺𝅥; 𝆺𝅥; 𝆺𝅥; 𝆺𝅥; ) MUSICAL SYMBOL MINIMA BLACK
      "\u1D1BD",  # (𝆹𝅥𝅮; 𝆹𝅥𝅮; 𝆹𝅥𝅮; 𝆹𝅥𝅮; 𝆹𝅥𝅮; ) MUSICAL SYMBOL SEMIMINIMA WHITE
      "\u1D1BE",  # (𝆺𝅥𝅮; 𝆺𝅥𝅮; 𝆺𝅥𝅮; 𝆺𝅥𝅮; 𝆺𝅥𝅮; ) MUSICAL SYMBOL SEMIMINIMA BLACK
      "\u1D1BF",  # (𝆹𝅥𝅯; 𝆹𝅥𝅯; 𝆹𝅥𝅯; 𝆹𝅥𝅯; 𝆹𝅥𝅯; ) MUSICAL SYMBOL FUSA WHITE
      "\u1D1C0",  # (𝆺𝅥𝅯; 𝆺𝅥𝅯; 𝆺𝅥𝅯; 𝆺𝅥𝅯; 𝆺𝅥𝅯; ) MUSICAL SYMBOL FUSA BLACK
      "\u1D400",  # (𝐀; 𝐀; 𝐀; A; A; ) MATHEMATICAL BOLD CAPITAL A
      "\u1D401",  # (𝐁; 𝐁; 𝐁; B; B; ) MATHEMATICAL BOLD CAPITAL B
      "\u1D402",  # (𝐂; 𝐂; 𝐂; C; C; ) MATHEMATICAL BOLD CAPITAL C
      "\u1D403",  # (𝐃; 𝐃; 𝐃; D; D; ) MATHEMATICAL BOLD CAPITAL D
      "\u1D404",  # (𝐄; 𝐄; 𝐄; E; E; ) MATHEMATICAL BOLD CAPITAL E
      "\u1D405",  # (𝐅; 𝐅; 𝐅; F; F; ) MATHEMATICAL BOLD CAPITAL F
      "\u1D406",  # (𝐆; 𝐆; 𝐆; G; G; ) MATHEMATICAL BOLD CAPITAL G
      "\u1D407",  # (𝐇; 𝐇; 𝐇; H; H; ) MATHEMATICAL BOLD CAPITAL H
      "\u1D408",  # (𝐈; 𝐈; 𝐈; I; I; ) MATHEMATICAL BOLD CAPITAL I
      "\u1D409",  # (𝐉; 𝐉; 𝐉; J; J; ) MATHEMATICAL BOLD CAPITAL J
      "\u1D40A",  # (𝐊; 𝐊; 𝐊; K; K; ) MATHEMATICAL BOLD CAPITAL K
      "\u1D40B",  # (𝐋; 𝐋; 𝐋; L; L; ) MATHEMATICAL BOLD CAPITAL L
      "\u1D40C",  # (𝐌; 𝐌; 𝐌; M; M; ) MATHEMATICAL BOLD CAPITAL M
      "\u1D40D",  # (𝐍; 𝐍; 𝐍; N; N; ) MATHEMATICAL BOLD CAPITAL N
      "\u1D40E",  # (𝐎; 𝐎; 𝐎; O; O; ) MATHEMATICAL BOLD CAPITAL O
      "\u1D40F",  # (𝐏; 𝐏; 𝐏; P; P; ) MATHEMATICAL BOLD CAPITAL P
      "\u1D410",  # (𝐐; 𝐐; 𝐐; Q; Q; ) MATHEMATICAL BOLD CAPITAL Q
      "\u1D411",  # (𝐑; 𝐑; 𝐑; R; R; ) MATHEMATICAL BOLD CAPITAL R
      "\u1D412",  # (𝐒; 𝐒; 𝐒; S; S; ) MATHEMATICAL BOLD CAPITAL S
      "\u1D413",  # (𝐓; 𝐓; 𝐓; T; T; ) MATHEMATICAL BOLD CAPITAL T
      "\u1D414",  # (𝐔; 𝐔; 𝐔; U; U; ) MATHEMATICAL BOLD CAPITAL U
      "\u1D415",  # (𝐕; 𝐕; 𝐕; V; V; ) MATHEMATICAL BOLD CAPITAL V
      "\u1D416",  # (𝐖; 𝐖; 𝐖; W; W; ) MATHEMATICAL BOLD CAPITAL W
      "\u1D417",  # (𝐗; 𝐗; 𝐗; X; X; ) MATHEMATICAL BOLD CAPITAL X
      "\u1D418",  # (𝐘; 𝐘; 𝐘; Y; Y; ) MATHEMATICAL BOLD CAPITAL Y
      "\u1D419",  # (𝐙; 𝐙; 𝐙; Z; Z; ) MATHEMATICAL BOLD CAPITAL Z
      "\u1D41A",  # (𝐚; 𝐚; 𝐚; a; a; ) MATHEMATICAL BOLD SMALL A
      "\u1D41B",  # (𝐛; 𝐛; 𝐛; b; b; ) MATHEMATICAL BOLD SMALL B
      "\u1D41C",  # (𝐜; 𝐜; 𝐜; c; c; ) MATHEMATICAL BOLD SMALL C
      "\u1D41D",  # (𝐝; 𝐝; 𝐝; d; d; ) MATHEMATICAL BOLD SMALL D
      "\u1D41E",  # (𝐞; 𝐞; 𝐞; e; e; ) MATHEMATICAL BOLD SMALL E
      "\u1D41F",  # (𝐟; 𝐟; 𝐟; f; f; ) MATHEMATICAL BOLD SMALL F
      "\u1D420",  # (𝐠; 𝐠; 𝐠; g; g; ) MATHEMATICAL BOLD SMALL G
      "\u1D421",  # (𝐡; 𝐡; 𝐡; h; h; ) MATHEMATICAL BOLD SMALL H
      "\u1D422",  # (𝐢; 𝐢; 𝐢; i; i; ) MATHEMATICAL BOLD SMALL I
      "\u1D423",  # (𝐣; 𝐣; 𝐣; j; j; ) MATHEMATICAL BOLD SMALL J
      "\u1D424",  # (𝐤; 𝐤; 𝐤; k; k; ) MATHEMATICAL BOLD SMALL K
      "\u1D425",  # (𝐥; 𝐥; 𝐥; l; l; ) MATHEMATICAL BOLD SMALL L
      "\u1D426",  # (𝐦; 𝐦; 𝐦; m; m; ) MATHEMATICAL BOLD SMALL M
      "\u1D427",  # (𝐧; 𝐧; 𝐧; n; n; ) MATHEMATICAL BOLD SMALL N
      "\u1D428",  # (𝐨; 𝐨; 𝐨; o; o; ) MATHEMATICAL BOLD SMALL O
      "\u1D429",  # (𝐩; 𝐩; 𝐩; p; p; ) MATHEMATICAL BOLD SMALL P
      "\u1D42A",  # (𝐪; 𝐪; 𝐪; q; q; ) MATHEMATICAL BOLD SMALL Q
      "\u1D42B",  # (𝐫; 𝐫; 𝐫; r; r; ) MATHEMATICAL BOLD SMALL R
      "\u1D42C",  # (𝐬; 𝐬; 𝐬; s; s; ) MATHEMATICAL BOLD SMALL S
      "\u1D42D",  # (𝐭; 𝐭; 𝐭; t; t; ) MATHEMATICAL BOLD SMALL T
      "\u1D42E",  # (𝐮; 𝐮; 𝐮; u; u; ) MATHEMATICAL BOLD SMALL U
      "\u1D42F",  # (𝐯; 𝐯; 𝐯; v; v; ) MATHEMATICAL BOLD SMALL V
      "\u1D430",  # (𝐰; 𝐰; 𝐰; w; w; ) MATHEMATICAL BOLD SMALL W
      "\u1D431",  # (𝐱; 𝐱; 𝐱; x; x; ) MATHEMATICAL BOLD SMALL X
      "\u1D432",  # (𝐲; 𝐲; 𝐲; y; y; ) MATHEMATICAL BOLD SMALL Y
      "\u1D433",  # (𝐳; 𝐳; 𝐳; z; z; ) MATHEMATICAL BOLD SMALL Z
      "\u1D434",  # (𝐴; 𝐴; 𝐴; A; A; ) MATHEMATICAL ITALIC CAPITAL A
      "\u1D435",  # (𝐵; 𝐵; 𝐵; B; B; ) MATHEMATICAL ITALIC CAPITAL B
      "\u1D436",  # (𝐶; 𝐶; 𝐶; C; C; ) MATHEMATICAL ITALIC CAPITAL C
      "\u1D437",  # (𝐷; 𝐷; 𝐷; D; D; ) MATHEMATICAL ITALIC CAPITAL D
      "\u1D438",  # (𝐸; 𝐸; 𝐸; E; E; ) MATHEMATICAL ITALIC CAPITAL E
      "\u1D439",  # (𝐹; 𝐹; 𝐹; F; F; ) MATHEMATICAL ITALIC CAPITAL F
      "\u1D43A",  # (𝐺; 𝐺; 𝐺; G; G; ) MATHEMATICAL ITALIC CAPITAL G
      "\u1D43B",  # (𝐻; 𝐻; 𝐻; H; H; ) MATHEMATICAL ITALIC CAPITAL H
      "\u1D43C",  # (𝐼; 𝐼; 𝐼; I; I; ) MATHEMATICAL ITALIC CAPITAL I
      "\u1D43D",  # (𝐽; 𝐽; 𝐽; J; J; ) MATHEMATICAL ITALIC CAPITAL J
      "\u1D43E",  # (𝐾; 𝐾; 𝐾; K; K; ) MATHEMATICAL ITALIC CAPITAL K
      "\u1D43F",  # (𝐿; 𝐿; 𝐿; L; L; ) MATHEMATICAL ITALIC CAPITAL L
      "\u1D440",  # (𝑀; 𝑀; 𝑀; M; M; ) MATHEMATICAL ITALIC CAPITAL M
      "\u1D441",  # (𝑁; 𝑁; 𝑁; N; N; ) MATHEMATICAL ITALIC CAPITAL N
      "\u1D442",  # (𝑂; 𝑂; 𝑂; O; O; ) MATHEMATICAL ITALIC CAPITAL O
      "\u1D443",  # (𝑃; 𝑃; 𝑃; P; P; ) MATHEMATICAL ITALIC CAPITAL P
      "\u1D444",  # (𝑄; 𝑄; 𝑄; Q; Q; ) MATHEMATICAL ITALIC CAPITAL Q
      "\u1D445",  # (𝑅; 𝑅; 𝑅; R; R; ) MATHEMATICAL ITALIC CAPITAL R
      "\u1D446",  # (𝑆; 𝑆; 𝑆; S; S; ) MATHEMATICAL ITALIC CAPITAL S
      "\u1D447",  # (𝑇; 𝑇; 𝑇; T; T; ) MATHEMATICAL ITALIC CAPITAL T
      "\u1D448",  # (𝑈; 𝑈; 𝑈; U; U; ) MATHEMATICAL ITALIC CAPITAL U
      "\u1D449",  # (𝑉; 𝑉; 𝑉; V; V; ) MATHEMATICAL ITALIC CAPITAL V
      "\u1D44A",  # (𝑊; 𝑊; 𝑊; W; W; ) MATHEMATICAL ITALIC CAPITAL W
      "\u1D44B",  # (𝑋; 𝑋; 𝑋; X; X; ) MATHEMATICAL ITALIC CAPITAL X
      "\u1D44C",  # (𝑌; 𝑌; 𝑌; Y; Y; ) MATHEMATICAL ITALIC CAPITAL Y
      "\u1D44D",  # (𝑍; 𝑍; 𝑍; Z; Z; ) MATHEMATICAL ITALIC CAPITAL Z
      "\u1D44E",  # (𝑎; 𝑎; 𝑎; a; a; ) MATHEMATICAL ITALIC SMALL A
      "\u1D44F",  # (𝑏; 𝑏; 𝑏; b; b; ) MATHEMATICAL ITALIC SMALL B
      "\u1D450",  # (𝑐; 𝑐; 𝑐; c; c; ) MATHEMATICAL ITALIC SMALL C
      "\u1D451",  # (𝑑; 𝑑; 𝑑; d; d; ) MATHEMATICAL ITALIC SMALL D
      "\u1D452",  # (𝑒; 𝑒; 𝑒; e; e; ) MATHEMATICAL ITALIC SMALL E
      "\u1D453",  # (𝑓; 𝑓; 𝑓; f; f; ) MATHEMATICAL ITALIC SMALL F
      "\u1D454",  # (𝑔; 𝑔; 𝑔; g; g; ) MATHEMATICAL ITALIC SMALL G
      "\u1D456",  # (𝑖; 𝑖; 𝑖; i; i; ) MATHEMATICAL ITALIC SMALL I
      "\u1D457",  # (𝑗; 𝑗; 𝑗; j; j; ) MATHEMATICAL ITALIC SMALL J
      "\u1D458",  # (𝑘; 𝑘; 𝑘; k; k; ) MATHEMATICAL ITALIC SMALL K
      "\u1D459",  # (𝑙; 𝑙; 𝑙; l; l; ) MATHEMATICAL ITALIC SMALL L
      "\u1D45A",  # (𝑚; 𝑚; 𝑚; m; m; ) MATHEMATICAL ITALIC SMALL M
      "\u1D45B",  # (𝑛; 𝑛; 𝑛; n; n; ) MATHEMATICAL ITALIC SMALL N
      "\u1D45C",  # (𝑜; 𝑜; 𝑜; o; o; ) MATHEMATICAL ITALIC SMALL O
      "\u1D45D",  # (𝑝; 𝑝; 𝑝; p; p; ) MATHEMATICAL ITALIC SMALL P
      "\u1D45E",  # (𝑞; 𝑞; 𝑞; q; q; ) MATHEMATICAL ITALIC SMALL Q
      "\u1D45F",  # (𝑟; 𝑟; 𝑟; r; r; ) MATHEMATICAL ITALIC SMALL R
      "\u1D460",  # (𝑠; 𝑠; 𝑠; s; s; ) MATHEMATICAL ITALIC SMALL S
      "\u1D461",  # (𝑡; 𝑡; 𝑡; t; t; ) MATHEMATICAL ITALIC SMALL T
      "\u1D462",  # (𝑢; 𝑢; 𝑢; u; u; ) MATHEMATICAL ITALIC SMALL U
      "\u1D463",  # (𝑣; 𝑣; 𝑣; v; v; ) MATHEMATICAL ITALIC SMALL V
      "\u1D464",  # (𝑤; 𝑤; 𝑤; w; w; ) MATHEMATICAL ITALIC SMALL W
      "\u1D465",  # (𝑥; 𝑥; 𝑥; x; x; ) MATHEMATICAL ITALIC SMALL X
      "\u1D466",  # (𝑦; 𝑦; 𝑦; y; y; ) MATHEMATICAL ITALIC SMALL Y
      "\u1D467",  # (𝑧; 𝑧; 𝑧; z; z; ) MATHEMATICAL ITALIC SMALL Z
      "\u1D468",  # (𝑨; 𝑨; 𝑨; A; A; ) MATHEMATICAL BOLD ITALIC CAPITAL A
      "\u1D469",  # (𝑩; 𝑩; 𝑩; B; B; ) MATHEMATICAL BOLD ITALIC CAPITAL B
      "\u1D46A",  # (𝑪; 𝑪; 𝑪; C; C; ) MATHEMATICAL BOLD ITALIC CAPITAL C
      "\u1D46B",  # (𝑫; 𝑫; 𝑫; D; D; ) MATHEMATICAL BOLD ITALIC CAPITAL D
      "\u1D46C",  # (𝑬; 𝑬; 𝑬; E; E; ) MATHEMATICAL BOLD ITALIC CAPITAL E
      "\u1D46D",  # (𝑭; 𝑭; 𝑭; F; F; ) MATHEMATICAL BOLD ITALIC CAPITAL F
      "\u1D46E",  # (𝑮; 𝑮; 𝑮; G; G; ) MATHEMATICAL BOLD ITALIC CAPITAL G
      "\u1D46F",  # (𝑯; 𝑯; 𝑯; H; H; ) MATHEMATICAL BOLD ITALIC CAPITAL H
      "\u1D470",  # (𝑰; 𝑰; 𝑰; I; I; ) MATHEMATICAL BOLD ITALIC CAPITAL I
      "\u1D471",  # (𝑱; 𝑱; 𝑱; J; J; ) MATHEMATICAL BOLD ITALIC CAPITAL J
      "\u1D472",  # (𝑲; 𝑲; 𝑲; K; K; ) MATHEMATICAL BOLD ITALIC CAPITAL K
      "\u1D473",  # (𝑳; 𝑳; 𝑳; L; L; ) MATHEMATICAL BOLD ITALIC CAPITAL L
      "\u1D474",  # (𝑴; 𝑴; 𝑴; M; M; ) MATHEMATICAL BOLD ITALIC CAPITAL M
      "\u1D475",  # (𝑵; 𝑵; 𝑵; N; N; ) MATHEMATICAL BOLD ITALIC CAPITAL N
      "\u1D476",  # (𝑶; 𝑶; 𝑶; O; O; ) MATHEMATICAL BOLD ITALIC CAPITAL O
      "\u1D477",  # (𝑷; 𝑷; 𝑷; P; P; ) MATHEMATICAL BOLD ITALIC CAPITAL P
      "\u1D478",  # (𝑸; 𝑸; 𝑸; Q; Q; ) MATHEMATICAL BOLD ITALIC CAPITAL Q
      "\u1D479",  # (𝑹; 𝑹; 𝑹; R; R; ) MATHEMATICAL BOLD ITALIC CAPITAL R
      "\u1D47A",  # (𝑺; 𝑺; 𝑺; S; S; ) MATHEMATICAL BOLD ITALIC CAPITAL S
      "\u1D47B",  # (𝑻; 𝑻; 𝑻; T; T; ) MATHEMATICAL BOLD ITALIC CAPITAL T
      "\u1D47C",  # (𝑼; 𝑼; 𝑼; U; U; ) MATHEMATICAL BOLD ITALIC CAPITAL U
      "\u1D47D",  # (𝑽; 𝑽; 𝑽; V; V; ) MATHEMATICAL BOLD ITALIC CAPITAL V
      "\u1D47E",  # (𝑾; 𝑾; 𝑾; W; W; ) MATHEMATICAL BOLD ITALIC CAPITAL W
      "\u1D47F",  # (𝑿; 𝑿; 𝑿; X; X; ) MATHEMATICAL BOLD ITALIC CAPITAL X
      "\u1D480",  # (𝒀; 𝒀; 𝒀; Y; Y; ) MATHEMATICAL BOLD ITALIC CAPITAL Y
      "\u1D481",  # (𝒁; 𝒁; 𝒁; Z; Z; ) MATHEMATICAL BOLD ITALIC CAPITAL Z
      "\u1D482",  # (𝒂; 𝒂; 𝒂; a; a; ) MATHEMATICAL BOLD ITALIC SMALL A
      "\u1D483",  # (𝒃; 𝒃; 𝒃; b; b; ) MATHEMATICAL BOLD ITALIC SMALL B
      "\u1D484",  # (𝒄; 𝒄; 𝒄; c; c; ) MATHEMATICAL BOLD ITALIC SMALL C
      "\u1D485",  # (𝒅; 𝒅; 𝒅; d; d; ) MATHEMATICAL BOLD ITALIC SMALL D
      "\u1D486",  # (𝒆; 𝒆; 𝒆; e; e; ) MATHEMATICAL BOLD ITALIC SMALL E
      "\u1D487",  # (𝒇; 𝒇; 𝒇; f; f; ) MATHEMATICAL BOLD ITALIC SMALL F
      "\u1D488",  # (𝒈; 𝒈; 𝒈; g; g; ) MATHEMATICAL BOLD ITALIC SMALL G
      "\u1D489",  # (𝒉; 𝒉; 𝒉; h; h; ) MATHEMATICAL BOLD ITALIC SMALL H
      "\u1D48A",  # (𝒊; 𝒊; 𝒊; i; i; ) MATHEMATICAL BOLD ITALIC SMALL I
      "\u1D48B",  # (𝒋; 𝒋; 𝒋; j; j; ) MATHEMATICAL BOLD ITALIC SMALL J
      "\u1D48C",  # (𝒌; 𝒌; 𝒌; k; k; ) MATHEMATICAL BOLD ITALIC SMALL K
      "\u1D48D",  # (𝒍; 𝒍; 𝒍; l; l; ) MATHEMATICAL BOLD ITALIC SMALL L
      "\u1D48E",  # (𝒎; 𝒎; 𝒎; m; m; ) MATHEMATICAL BOLD ITALIC SMALL M
      "\u1D48F",  # (𝒏; 𝒏; 𝒏; n; n; ) MATHEMATICAL BOLD ITALIC SMALL N
      "\u1D490",  # (𝒐; 𝒐; 𝒐; o; o; ) MATHEMATICAL BOLD ITALIC SMALL O
      "\u1D491",  # (𝒑; 𝒑; 𝒑; p; p; ) MATHEMATICAL BOLD ITALIC SMALL P
      "\u1D492",  # (𝒒; 𝒒; 𝒒; q; q; ) MATHEMATICAL BOLD ITALIC SMALL Q
      "\u1D493",  # (𝒓; 𝒓; 𝒓; r; r; ) MATHEMATICAL BOLD ITALIC SMALL R
      "\u1D494",  # (𝒔; 𝒔; 𝒔; s; s; ) MATHEMATICAL BOLD ITALIC SMALL S
      "\u1D495",  # (𝒕; 𝒕; 𝒕; t; t; ) MATHEMATICAL BOLD ITALIC SMALL T
      "\u1D496",  # (𝒖; 𝒖; 𝒖; u; u; ) MATHEMATICAL BOLD ITALIC SMALL U
      "\u1D497",  # (𝒗; 𝒗; 𝒗; v; v; ) MATHEMATICAL BOLD ITALIC SMALL V
      "\u1D498",  # (𝒘; 𝒘; 𝒘; w; w; ) MATHEMATICAL BOLD ITALIC SMALL W
      "\u1D499",  # (𝒙; 𝒙; 𝒙; x; x; ) MATHEMATICAL BOLD ITALIC SMALL X
      "\u1D49A",  # (𝒚; 𝒚; 𝒚; y; y; ) MATHEMATICAL BOLD ITALIC SMALL Y
      "\u1D49B",  # (𝒛; 𝒛; 𝒛; z; z; ) MATHEMATICAL BOLD ITALIC SMALL Z
      "\u1D49C",  # (𝒜; 𝒜; 𝒜; A; A; ) MATHEMATICAL SCRIPT CAPITAL A
      "\u1D49E",  # (𝒞; 𝒞; 𝒞; C; C; ) MATHEMATICAL SCRIPT CAPITAL C
      "\u1D49F",  # (𝒟; 𝒟; 𝒟; D; D; ) MATHEMATICAL SCRIPT CAPITAL D
      "\u1D4A2",  # (𝒢; 𝒢; 𝒢; G; G; ) MATHEMATICAL SCRIPT CAPITAL G
      "\u1D4A5",  # (𝒥; 𝒥; 𝒥; J; J; ) MATHEMATICAL SCRIPT CAPITAL J
      "\u1D4A6",  # (𝒦; 𝒦; 𝒦; K; K; ) MATHEMATICAL SCRIPT CAPITAL K
      "\u1D4A9",  # (𝒩; 𝒩; 𝒩; N; N; ) MATHEMATICAL SCRIPT CAPITAL N
      "\u1D4AA",  # (𝒪; 𝒪; 𝒪; O; O; ) MATHEMATICAL SCRIPT CAPITAL O
      "\u1D4AB",  # (𝒫; 𝒫; 𝒫; P; P; ) MATHEMATICAL SCRIPT CAPITAL P
      "\u1D4AC",  # (𝒬; 𝒬; 𝒬; Q; Q; ) MATHEMATICAL SCRIPT CAPITAL Q
      "\u1D4AE",  # (𝒮; 𝒮; 𝒮; S; S; ) MATHEMATICAL SCRIPT CAPITAL S
      "\u1D4AF",  # (𝒯; 𝒯; 𝒯; T; T; ) MATHEMATICAL SCRIPT CAPITAL T
      "\u1D4B0",  # (𝒰; 𝒰; 𝒰; U; U; ) MATHEMATICAL SCRIPT CAPITAL U
      "\u1D4B1",  # (𝒱; 𝒱; 𝒱; V; V; ) MATHEMATICAL SCRIPT CAPITAL V
      "\u1D4B2",  # (𝒲; 𝒲; 𝒲; W; W; ) MATHEMATICAL SCRIPT CAPITAL W
      "\u1D4B3",  # (𝒳; 𝒳; 𝒳; X; X; ) MATHEMATICAL SCRIPT CAPITAL X
      "\u1D4B4",  # (𝒴; 𝒴; 𝒴; Y; Y; ) MATHEMATICAL SCRIPT CAPITAL Y
      "\u1D4B5",  # (𝒵; 𝒵; 𝒵; Z; Z; ) MATHEMATICAL SCRIPT CAPITAL Z
      "\u1D4B6",  # (𝒶; 𝒶; 𝒶; a; a; ) MATHEMATICAL SCRIPT SMALL A
      "\u1D4B7",  # (𝒷; 𝒷; 𝒷; b; b; ) MATHEMATICAL SCRIPT SMALL B
      "\u1D4B8",  # (𝒸; 𝒸; 𝒸; c; c; ) MATHEMATICAL SCRIPT SMALL C
      "\u1D4B9",  # (𝒹; 𝒹; 𝒹; d; d; ) MATHEMATICAL SCRIPT SMALL D
      "\u1D4BB",  # (𝒻; 𝒻; 𝒻; f; f; ) MATHEMATICAL SCRIPT SMALL F
      "\u1D4BD",  # (𝒽; 𝒽; 𝒽; h; h; ) MATHEMATICAL SCRIPT SMALL H
      "\u1D4BE",  # (𝒾; 𝒾; 𝒾; i; i; ) MATHEMATICAL SCRIPT SMALL I
      "\u1D4BF",  # (𝒿; 𝒿; 𝒿; j; j; ) MATHEMATICAL SCRIPT SMALL J
      "\u1D4C0",  # (𝓀; 𝓀; 𝓀; k; k; ) MATHEMATICAL SCRIPT SMALL K
      "\u1D4C1",  # (𝓁; 𝓁; 𝓁; l; l; ) MATHEMATICAL SCRIPT SMALL L
      "\u1D4C2",  # (𝓂; 𝓂; 𝓂; m; m; ) MATHEMATICAL SCRIPT SMALL M
      "\u1D4C3",  # (𝓃; 𝓃; 𝓃; n; n; ) MATHEMATICAL SCRIPT SMALL N
      "\u1D4C5",  # (𝓅; 𝓅; 𝓅; p; p; ) MATHEMATICAL SCRIPT SMALL P
      "\u1D4C6",  # (𝓆; 𝓆; 𝓆; q; q; ) MATHEMATICAL SCRIPT SMALL Q
      "\u1D4C7",  # (𝓇; 𝓇; 𝓇; r; r; ) MATHEMATICAL SCRIPT SMALL R
      "\u1D4C8",  # (𝓈; 𝓈; 𝓈; s; s; ) MATHEMATICAL SCRIPT SMALL S
      "\u1D4C9",  # (𝓉; 𝓉; 𝓉; t; t; ) MATHEMATICAL SCRIPT SMALL T
      "\u1D4CA",  # (𝓊; 𝓊; 𝓊; u; u; ) MATHEMATICAL SCRIPT SMALL U
      "\u1D4CB",  # (𝓋; 𝓋; 𝓋; v; v; ) MATHEMATICAL SCRIPT SMALL V
      "\u1D4CC",  # (𝓌; 𝓌; 𝓌; w; w; ) MATHEMATICAL SCRIPT SMALL W
      "\u1D4CD",  # (𝓍; 𝓍; 𝓍; x; x; ) MATHEMATICAL SCRIPT SMALL X
      "\u1D4CE",  # (𝓎; 𝓎; 𝓎; y; y; ) MATHEMATICAL SCRIPT SMALL Y
      "\u1D4CF",  # (𝓏; 𝓏; 𝓏; z; z; ) MATHEMATICAL SCRIPT SMALL Z
      "\u1D4D0",  # (𝓐; 𝓐; 𝓐; A; A; ) MATHEMATICAL BOLD SCRIPT CAPITAL A
      "\u1D4D1",  # (𝓑; 𝓑; 𝓑; B; B; ) MATHEMATICAL BOLD SCRIPT CAPITAL B
      "\u1D4D2",  # (𝓒; 𝓒; 𝓒; C; C; ) MATHEMATICAL BOLD SCRIPT CAPITAL C
      "\u1D4D3",  # (𝓓; 𝓓; 𝓓; D; D; ) MATHEMATICAL BOLD SCRIPT CAPITAL D
      "\u1D4D4",  # (𝓔; 𝓔; 𝓔; E; E; ) MATHEMATICAL BOLD SCRIPT CAPITAL E
      "\u1D4D5",  # (𝓕; 𝓕; 𝓕; F; F; ) MATHEMATICAL BOLD SCRIPT CAPITAL F
      "\u1D4D6",  # (𝓖; 𝓖; 𝓖; G; G; ) MATHEMATICAL BOLD SCRIPT CAPITAL G
      "\u1D4D7",  # (𝓗; 𝓗; 𝓗; H; H; ) MATHEMATICAL BOLD SCRIPT CAPITAL H
      "\u1D4D8",  # (𝓘; 𝓘; 𝓘; I; I; ) MATHEMATICAL BOLD SCRIPT CAPITAL I
      "\u1D4D9",  # (𝓙; 𝓙; 𝓙; J; J; ) MATHEMATICAL BOLD SCRIPT CAPITAL J
      "\u1D4DA",  # (𝓚; 𝓚; 𝓚; K; K; ) MATHEMATICAL BOLD SCRIPT CAPITAL K
      "\u1D4DB",  # (𝓛; 𝓛; 𝓛; L; L; ) MATHEMATICAL BOLD SCRIPT CAPITAL L
      "\u1D4DC",  # (𝓜; 𝓜; 𝓜; M; M; ) MATHEMATICAL BOLD SCRIPT CAPITAL M
      "\u1D4DD",  # (𝓝; 𝓝; 𝓝; N; N; ) MATHEMATICAL BOLD SCRIPT CAPITAL N
      "\u1D4DE",  # (𝓞; 𝓞; 𝓞; O; O; ) MATHEMATICAL BOLD SCRIPT CAPITAL O
      "\u1D4DF",  # (𝓟; 𝓟; 𝓟; P; P; ) MATHEMATICAL BOLD SCRIPT CAPITAL P
      "\u1D4E0",  # (𝓠; 𝓠; 𝓠; Q; Q; ) MATHEMATICAL BOLD SCRIPT CAPITAL Q
      "\u1D4E1",  # (𝓡; 𝓡; 𝓡; R; R; ) MATHEMATICAL BOLD SCRIPT CAPITAL R
      "\u1D4E2",  # (𝓢; 𝓢; 𝓢; S; S; ) MATHEMATICAL BOLD SCRIPT CAPITAL S
      "\u1D4E3",  # (𝓣; 𝓣; 𝓣; T; T; ) MATHEMATICAL BOLD SCRIPT CAPITAL T
      "\u1D4E4",  # (𝓤; 𝓤; 𝓤; U; U; ) MATHEMATICAL BOLD SCRIPT CAPITAL U
      "\u1D4E5",  # (𝓥; 𝓥; 𝓥; V; V; ) MATHEMATICAL BOLD SCRIPT CAPITAL V
      "\u1D4E6",  # (𝓦; 𝓦; 𝓦; W; W; ) MATHEMATICAL BOLD SCRIPT CAPITAL W
      "\u1D4E7",  # (𝓧; 𝓧; 𝓧; X; X; ) MATHEMATICAL BOLD SCRIPT CAPITAL X
      "\u1D4E8",  # (𝓨; 𝓨; 𝓨; Y; Y; ) MATHEMATICAL BOLD SCRIPT CAPITAL Y
      "\u1D4E9",  # (𝓩; 𝓩; 𝓩; Z; Z; ) MATHEMATICAL BOLD SCRIPT CAPITAL Z
      "\u1D4EA",  # (𝓪; 𝓪; 𝓪; a; a; ) MATHEMATICAL BOLD SCRIPT SMALL A
      "\u1D4EB",  # (𝓫; 𝓫; 𝓫; b; b; ) MATHEMATICAL BOLD SCRIPT SMALL B
      "\u1D4EC",  # (𝓬; 𝓬; 𝓬; c; c; ) MATHEMATICAL BOLD SCRIPT SMALL C
      "\u1D4ED",  # (𝓭; 𝓭; 𝓭; d; d; ) MATHEMATICAL BOLD SCRIPT SMALL D
      "\u1D4EE",  # (𝓮; 𝓮; 𝓮; e; e; ) MATHEMATICAL BOLD SCRIPT SMALL E
      "\u1D4EF",  # (𝓯; 𝓯; 𝓯; f; f; ) MATHEMATICAL BOLD SCRIPT SMALL F
      "\u1D4F0",  # (𝓰; 𝓰; 𝓰; g; g; ) MATHEMATICAL BOLD SCRIPT SMALL G
      "\u1D4F1",  # (𝓱; 𝓱; 𝓱; h; h; ) MATHEMATICAL BOLD SCRIPT SMALL H
      "\u1D4F2",  # (𝓲; 𝓲; 𝓲; i; i; ) MATHEMATICAL BOLD SCRIPT SMALL I
      "\u1D4F3",  # (𝓳; 𝓳; 𝓳; j; j; ) MATHEMATICAL BOLD SCRIPT SMALL J
      "\u1D4F4",  # (𝓴; 𝓴; 𝓴; k; k; ) MATHEMATICAL BOLD SCRIPT SMALL K
      "\u1D4F5",  # (𝓵; 𝓵; 𝓵; l; l; ) MATHEMATICAL BOLD SCRIPT SMALL L
      "\u1D4F6",  # (𝓶; 𝓶; 𝓶; m; m; ) MATHEMATICAL BOLD SCRIPT SMALL M
      "\u1D4F7",  # (𝓷; 𝓷; 𝓷; n; n; ) MATHEMATICAL BOLD SCRIPT SMALL N
      "\u1D4F8",  # (𝓸; 𝓸; 𝓸; o; o; ) MATHEMATICAL BOLD SCRIPT SMALL O
      "\u1D4F9",  # (𝓹; 𝓹; 𝓹; p; p; ) MATHEMATICAL BOLD SCRIPT SMALL P
      "\u1D4FA",  # (𝓺; 𝓺; 𝓺; q; q; ) MATHEMATICAL BOLD SCRIPT SMALL Q
      "\u1D4FB",  # (𝓻; 𝓻; 𝓻; r; r; ) MATHEMATICAL BOLD SCRIPT SMALL R
      "\u1D4FC",  # (𝓼; 𝓼; 𝓼; s; s; ) MATHEMATICAL BOLD SCRIPT SMALL S
      "\u1D4FD",  # (𝓽; 𝓽; 𝓽; t; t; ) MATHEMATICAL BOLD SCRIPT SMALL T
      "\u1D4FE",  # (𝓾; 𝓾; 𝓾; u; u; ) MATHEMATICAL BOLD SCRIPT SMALL U
      "\u1D4FF",  # (𝓿; 𝓿; 𝓿; v; v; ) MATHEMATICAL BOLD SCRIPT SMALL V
      "\u1D500",  # (𝔀; 𝔀; 𝔀; w; w; ) MATHEMATICAL BOLD SCRIPT SMALL W
      "\u1D501",  # (𝔁; 𝔁; 𝔁; x; x; ) MATHEMATICAL BOLD SCRIPT SMALL X
      "\u1D502",  # (𝔂; 𝔂; 𝔂; y; y; ) MATHEMATICAL BOLD SCRIPT SMALL Y
      "\u1D503",  # (𝔃; 𝔃; 𝔃; z; z; ) MATHEMATICAL BOLD SCRIPT SMALL Z
      "\u1D504",  # (𝔄; 𝔄; 𝔄; A; A; ) MATHEMATICAL FRAKTUR CAPITAL A
      "\u1D505",  # (𝔅; 𝔅; 𝔅; B; B; ) MATHEMATICAL FRAKTUR CAPITAL B
      "\u1D507",  # (𝔇; 𝔇; 𝔇; D; D; ) MATHEMATICAL FRAKTUR CAPITAL D
      "\u1D508",  # (𝔈; 𝔈; 𝔈; E; E; ) MATHEMATICAL FRAKTUR CAPITAL E
      "\u1D509",  # (𝔉; 𝔉; 𝔉; F; F; ) MATHEMATICAL FRAKTUR CAPITAL F
      "\u1D50A",  # (𝔊; 𝔊; 𝔊; G; G; ) MATHEMATICAL FRAKTUR CAPITAL G
      "\u1D50D",  # (𝔍; 𝔍; 𝔍; J; J; ) MATHEMATICAL FRAKTUR CAPITAL J
      "\u1D50E",  # (𝔎; 𝔎; 𝔎; K; K; ) MATHEMATICAL FRAKTUR CAPITAL K
      "\u1D50F",  # (𝔏; 𝔏; 𝔏; L; L; ) MATHEMATICAL FRAKTUR CAPITAL L
      "\u1D510",  # (𝔐; 𝔐; 𝔐; M; M; ) MATHEMATICAL FRAKTUR CAPITAL M
      "\u1D511",  # (𝔑; 𝔑; 𝔑; N; N; ) MATHEMATICAL FRAKTUR CAPITAL N
      "\u1D512",  # (𝔒; 𝔒; 𝔒; O; O; ) MATHEMATICAL FRAKTUR CAPITAL O
      "\u1D513",  # (𝔓; 𝔓; 𝔓; P; P; ) MATHEMATICAL FRAKTUR CAPITAL P
      "\u1D514",  # (𝔔; 𝔔; 𝔔; Q; Q; ) MATHEMATICAL FRAKTUR CAPITAL Q
      "\u1D516",  # (𝔖; 𝔖; 𝔖; S; S; ) MATHEMATICAL FRAKTUR CAPITAL S
      "\u1D517",  # (𝔗; 𝔗; 𝔗; T; T; ) MATHEMATICAL FRAKTUR CAPITAL T
      "\u1D518",  # (𝔘; 𝔘; 𝔘; U; U; ) MATHEMATICAL FRAKTUR CAPITAL U
      "\u1D519",  # (𝔙; 𝔙; 𝔙; V; V; ) MATHEMATICAL FRAKTUR CAPITAL V
      "\u1D51A",  # (𝔚; 𝔚; 𝔚; W; W; ) MATHEMATICAL FRAKTUR CAPITAL W
      "\u1D51B",  # (𝔛; 𝔛; 𝔛; X; X; ) MATHEMATICAL FRAKTUR CAPITAL X
      "\u1D51C",  # (𝔜; 𝔜; 𝔜; Y; Y; ) MATHEMATICAL FRAKTUR CAPITAL Y
      "\u1D51E",  # (𝔞; 𝔞; 𝔞; a; a; ) MATHEMATICAL FRAKTUR SMALL A
      "\u1D51F",  # (𝔟; 𝔟; 𝔟; b; b; ) MATHEMATICAL FRAKTUR SMALL B
      "\u1D520",  # (𝔠; 𝔠; 𝔠; c; c; ) MATHEMATICAL FRAKTUR SMALL C
      "\u1D521",  # (𝔡; 𝔡; 𝔡; d; d; ) MATHEMATICAL FRAKTUR SMALL D
      "\u1D522",  # (𝔢; 𝔢; 𝔢; e; e; ) MATHEMATICAL FRAKTUR SMALL E
      "\u1D523",  # (𝔣; 𝔣; 𝔣; f; f; ) MATHEMATICAL FRAKTUR SMALL F
      "\u1D524",  # (𝔤; 𝔤; 𝔤; g; g; ) MATHEMATICAL FRAKTUR SMALL G
      "\u1D525",  # (𝔥; 𝔥; 𝔥; h; h; ) MATHEMATICAL FRAKTUR SMALL H
      "\u1D526",  # (𝔦; 𝔦; 𝔦; i; i; ) MATHEMATICAL FRAKTUR SMALL I
      "\u1D527",  # (𝔧; 𝔧; 𝔧; j; j; ) MATHEMATICAL FRAKTUR SMALL J
      "\u1D528",  # (𝔨; 𝔨; 𝔨; k; k; ) MATHEMATICAL FRAKTUR SMALL K
      "\u1D529",  # (𝔩; 𝔩; 𝔩; l; l; ) MATHEMATICAL FRAKTUR SMALL L
      "\u1D52A",  # (𝔪; 𝔪; 𝔪; m; m; ) MATHEMATICAL FRAKTUR SMALL M
      "\u1D52B",  # (𝔫; 𝔫; 𝔫; n; n; ) MATHEMATICAL FRAKTUR SMALL N
      "\u1D52C",  # (𝔬; 𝔬; 𝔬; o; o; ) MATHEMATICAL FRAKTUR SMALL O
      "\u1D52D",  # (𝔭; 𝔭; 𝔭; p; p; ) MATHEMATICAL FRAKTUR SMALL P
      "\u1D52E",  # (𝔮; 𝔮; 𝔮; q; q; ) MATHEMATICAL FRAKTUR SMALL Q
      "\u1D52F",  # (𝔯; 𝔯; 𝔯; r; r; ) MATHEMATICAL FRAKTUR SMALL R
      "\u1D530",  # (𝔰; 𝔰; 𝔰; s; s; ) MATHEMATICAL FRAKTUR SMALL S
      "\u1D531",  # (𝔱; 𝔱; 𝔱; t; t; ) MATHEMATICAL FRAKTUR SMALL T
      "\u1D532",  # (𝔲; 𝔲; 𝔲; u; u; ) MATHEMATICAL FRAKTUR SMALL U
      "\u1D533",  # (𝔳; 𝔳; 𝔳; v; v; ) MATHEMATICAL FRAKTUR SMALL V
      "\u1D534",  # (𝔴; 𝔴; 𝔴; w; w; ) MATHEMATICAL FRAKTUR SMALL W
      "\u1D535",  # (𝔵; 𝔵; 𝔵; x; x; ) MATHEMATICAL FRAKTUR SMALL X
      "\u1D536",  # (𝔶; 𝔶; 𝔶; y; y; ) MATHEMATICAL FRAKTUR SMALL Y
      "\u1D537",  # (𝔷; 𝔷; 𝔷; z; z; ) MATHEMATICAL FRAKTUR SMALL Z
      "\u1D538",  # (𝔸; 𝔸; 𝔸; A; A; ) MATHEMATICAL DOUBLE-STRUCK CAPITAL A
      "\u1D539",  # (𝔹; 𝔹; 𝔹; B; B; ) MATHEMATICAL DOUBLE-STRUCK CAPITAL B
      "\u1D53B",  # (𝔻; 𝔻; 𝔻; D; D; ) MATHEMATICAL DOUBLE-STRUCK CAPITAL D
      "\u1D53C",  # (𝔼; 𝔼; 𝔼; E; E; ) MATHEMATICAL DOUBLE-STRUCK CAPITAL E
      "\u1D53D",  # (𝔽; 𝔽; 𝔽; F; F; ) MATHEMATICAL DOUBLE-STRUCK CAPITAL F
      "\u1D53E",  # (𝔾; 𝔾; 𝔾; G; G; ) MATHEMATICAL DOUBLE-STRUCK CAPITAL G
      "\u1D540",  # (𝕀; 𝕀; 𝕀; I; I; ) MATHEMATICAL DOUBLE-STRUCK CAPITAL I
      "\u1D541",  # (𝕁; 𝕁; 𝕁; J; J; ) MATHEMATICAL DOUBLE-STRUCK CAPITAL J
      "\u1D542",  # (𝕂; 𝕂; 𝕂; K; K; ) MATHEMATICAL DOUBLE-STRUCK CAPITAL K
      "\u1D543",  # (𝕃; 𝕃; 𝕃; L; L; ) MATHEMATICAL DOUBLE-STRUCK CAPITAL L
      "\u1D544",  # (𝕄; 𝕄; 𝕄; M; M; ) MATHEMATICAL DOUBLE-STRUCK CAPITAL M
      "\u1D546",  # (𝕆; 𝕆; 𝕆; O; O; ) MATHEMATICAL DOUBLE-STRUCK CAPITAL O
      "\u1D54A",  # (𝕊; 𝕊; 𝕊; S; S; ) MATHEMATICAL DOUBLE-STRUCK CAPITAL S
      "\u1D54B",  # (𝕋; 𝕋; 𝕋; T; T; ) MATHEMATICAL DOUBLE-STRUCK CAPITAL T
      "\u1D54C",  # (𝕌; 𝕌; 𝕌; U; U; ) MATHEMATICAL DOUBLE-STRUCK CAPITAL U
      "\u1D54D",  # (𝕍; 𝕍; 𝕍; V; V; ) MATHEMATICAL DOUBLE-STRUCK CAPITAL V
      "\u1D54E",  # (𝕎; 𝕎; 𝕎; W; W; ) MATHEMATICAL DOUBLE-STRUCK CAPITAL W
      "\u1D54F",  # (𝕏; 𝕏; 𝕏; X; X; ) MATHEMATICAL DOUBLE-STRUCK CAPITAL X
      "\u1D550",  # (𝕐; 𝕐; 𝕐; Y; Y; ) MATHEMATICAL DOUBLE-STRUCK CAPITAL Y
      "\u1D552",  # (𝕒; 𝕒; 𝕒; a; a; ) MATHEMATICAL DOUBLE-STRUCK SMALL A
      "\u1D553",  # (𝕓; 𝕓; 𝕓; b; b; ) MATHEMATICAL DOUBLE-STRUCK SMALL B
      "\u1D554",  # (𝕔; 𝕔; 𝕔; c; c; ) MATHEMATICAL DOUBLE-STRUCK SMALL C
      "\u1D555",  # (𝕕; 𝕕; 𝕕; d; d; ) MATHEMATICAL DOUBLE-STRUCK SMALL D
      "\u1D556",  # (𝕖; 𝕖; 𝕖; e; e; ) MATHEMATICAL DOUBLE-STRUCK SMALL E
      "\u1D557",  # (𝕗; 𝕗; 𝕗; f; f; ) MATHEMATICAL DOUBLE-STRUCK SMALL F
      "\u1D558",  # (𝕘; 𝕘; 𝕘; g; g; ) MATHEMATICAL DOUBLE-STRUCK SMALL G
      "\u1D559",  # (𝕙; 𝕙; 𝕙; h; h; ) MATHEMATICAL DOUBLE-STRUCK SMALL H
      "\u1D55A",  # (𝕚; 𝕚; 𝕚; i; i; ) MATHEMATICAL DOUBLE-STRUCK SMALL I
      "\u1D55B",  # (𝕛; 𝕛; 𝕛; j; j; ) MATHEMATICAL DOUBLE-STRUCK SMALL J
      "\u1D55C",  # (𝕜; 𝕜; 𝕜; k; k; ) MATHEMATICAL DOUBLE-STRUCK SMALL K
      "\u1D55D",  # (𝕝; 𝕝; 𝕝; l; l; ) MATHEMATICAL DOUBLE-STRUCK SMALL L
      "\u1D55E",  # (𝕞; 𝕞; 𝕞; m; m; ) MATHEMATICAL DOUBLE-STRUCK SMALL M
      "\u1D55F",  # (𝕟; 𝕟; 𝕟; n; n; ) MATHEMATICAL DOUBLE-STRUCK SMALL N
      "\u1D560",  # (𝕠; 𝕠; 𝕠; o; o; ) MATHEMATICAL DOUBLE-STRUCK SMALL O
      "\u1D561",  # (𝕡; 𝕡; 𝕡; p; p; ) MATHEMATICAL DOUBLE-STRUCK SMALL P
      "\u1D562",  # (𝕢; 𝕢; 𝕢; q; q; ) MATHEMATICAL DOUBLE-STRUCK SMALL Q
      "\u1D563",  # (𝕣; 𝕣; 𝕣; r; r; ) MATHEMATICAL DOUBLE-STRUCK SMALL R
      "\u1D564",  # (𝕤; 𝕤; 𝕤; s; s; ) MATHEMATICAL DOUBLE-STRUCK SMALL S
      "\u1D565",  # (𝕥; 𝕥; 𝕥; t; t; ) MATHEMATICAL DOUBLE-STRUCK SMALL T
      "\u1D566",  # (𝕦; 𝕦; 𝕦; u; u; ) MATHEMATICAL DOUBLE-STRUCK SMALL U
      "\u1D567",  # (𝕧; 𝕧; 𝕧; v; v; ) MATHEMATICAL DOUBLE-STRUCK SMALL V
      "\u1D568",  # (𝕨; 𝕨; 𝕨; w; w; ) MATHEMATICAL DOUBLE-STRUCK SMALL W
      "\u1D569",  # (𝕩; 𝕩; 𝕩; x; x; ) MATHEMATICAL DOUBLE-STRUCK SMALL X
      "\u1D56A",  # (𝕪; 𝕪; 𝕪; y; y; ) MATHEMATICAL DOUBLE-STRUCK SMALL Y
      "\u1D56B",  # (𝕫; 𝕫; 𝕫; z; z; ) MATHEMATICAL DOUBLE-STRUCK SMALL Z
      "\u1D56C",  # (𝕬; 𝕬; 𝕬; A; A; ) MATHEMATICAL BOLD FRAKTUR CAPITAL A
      "\u1D56D",  # (𝕭; 𝕭; 𝕭; B; B; ) MATHEMATICAL BOLD FRAKTUR CAPITAL B
      "\u1D56E",  # (𝕮; 𝕮; 𝕮; C; C; ) MATHEMATICAL BOLD FRAKTUR CAPITAL C
      "\u1D56F",  # (𝕯; 𝕯; 𝕯; D; D; ) MATHEMATICAL BOLD FRAKTUR CAPITAL D
      "\u1D570",  # (𝕰; 𝕰; 𝕰; E; E; ) MATHEMATICAL BOLD FRAKTUR CAPITAL E
      "\u1D571",  # (𝕱; 𝕱; 𝕱; F; F; ) MATHEMATICAL BOLD FRAKTUR CAPITAL F
      "\u1D572",  # (𝕲; 𝕲; 𝕲; G; G; ) MATHEMATICAL BOLD FRAKTUR CAPITAL G
      "\u1D573",  # (𝕳; 𝕳; 𝕳; H; H; ) MATHEMATICAL BOLD FRAKTUR CAPITAL H
      "\u1D574",  # (𝕴; 𝕴; 𝕴; I; I; ) MATHEMATICAL BOLD FRAKTUR CAPITAL I
      "\u1D575",  # (𝕵; 𝕵; 𝕵; J; J; ) MATHEMATICAL BOLD FRAKTUR CAPITAL J
      "\u1D576",  # (𝕶; 𝕶; 𝕶; K; K; ) MATHEMATICAL BOLD FRAKTUR CAPITAL K
      "\u1D577",  # (𝕷; 𝕷; 𝕷; L; L; ) MATHEMATICAL BOLD FRAKTUR CAPITAL L
      "\u1D578",  # (𝕸; 𝕸; 𝕸; M; M; ) MATHEMATICAL BOLD FRAKTUR CAPITAL M
      "\u1D579",  # (𝕹; 𝕹; 𝕹; N; N; ) MATHEMATICAL BOLD FRAKTUR CAPITAL N
      "\u1D57A",  # (𝕺; 𝕺; 𝕺; O; O; ) MATHEMATICAL BOLD FRAKTUR CAPITAL O
      "\u1D57B",  # (𝕻; 𝕻; 𝕻; P; P; ) MATHEMATICAL BOLD FRAKTUR CAPITAL P
      "\u1D57C",  # (𝕼; 𝕼; 𝕼; Q; Q; ) MATHEMATICAL BOLD FRAKTUR CAPITAL Q
      "\u1D57D",  # (𝕽; 𝕽; 𝕽; R; R; ) MATHEMATICAL BOLD FRAKTUR CAPITAL R
      "\u1D57E",  # (𝕾; 𝕾; 𝕾; S; S; ) MATHEMATICAL BOLD FRAKTUR CAPITAL S
      "\u1D57F",  # (𝕿; 𝕿; 𝕿; T; T; ) MATHEMATICAL BOLD FRAKTUR CAPITAL T
      "\u1D580",  # (𝖀; 𝖀; 𝖀; U; U; ) MATHEMATICAL BOLD FRAKTUR CAPITAL U
      "\u1D581",  # (𝖁; 𝖁; 𝖁; V; V; ) MATHEMATICAL BOLD FRAKTUR CAPITAL V
      "\u1D582",  # (𝖂; 𝖂; 𝖂; W; W; ) MATHEMATICAL BOLD FRAKTUR CAPITAL W
      "\u1D583",  # (𝖃; 𝖃; 𝖃; X; X; ) MATHEMATICAL BOLD FRAKTUR CAPITAL X
      "\u1D584",  # (𝖄; 𝖄; 𝖄; Y; Y; ) MATHEMATICAL BOLD FRAKTUR CAPITAL Y
      "\u1D585",  # (𝖅; 𝖅; 𝖅; Z; Z; ) MATHEMATICAL BOLD FRAKTUR CAPITAL Z
      "\u1D586",  # (𝖆; 𝖆; 𝖆; a; a; ) MATHEMATICAL BOLD FRAKTUR SMALL A
      "\u1D587",  # (𝖇; 𝖇; 𝖇; b; b; ) MATHEMATICAL BOLD FRAKTUR SMALL B
      "\u1D588",  # (𝖈; 𝖈; 𝖈; c; c; ) MATHEMATICAL BOLD FRAKTUR SMALL C
      "\u1D589",  # (𝖉; 𝖉; 𝖉; d; d; ) MATHEMATICAL BOLD FRAKTUR SMALL D
      "\u1D58A",  # (𝖊; 𝖊; 𝖊; e; e; ) MATHEMATICAL BOLD FRAKTUR SMALL E
      "\u1D58B",  # (𝖋; 𝖋; 𝖋; f; f; ) MATHEMATICAL BOLD FRAKTUR SMALL F
      "\u1D58C",  # (𝖌; 𝖌; 𝖌; g; g; ) MATHEMATICAL BOLD FRAKTUR SMALL G
      "\u1D58D",  # (𝖍; 𝖍; 𝖍; h; h; ) MATHEMATICAL BOLD FRAKTUR SMALL H
      "\u1D58E",  # (𝖎; 𝖎; 𝖎; i; i; ) MATHEMATICAL BOLD FRAKTUR SMALL I
      "\u1D58F",  # (𝖏; 𝖏; 𝖏; j; j; ) MATHEMATICAL BOLD FRAKTUR SMALL J
      "\u1D590",  # (𝖐; 𝖐; 𝖐; k; k; ) MATHEMATICAL BOLD FRAKTUR SMALL K
      "\u1D591",  # (𝖑; 𝖑; 𝖑; l; l; ) MATHEMATICAL BOLD FRAKTUR SMALL L
      "\u1D592",  # (𝖒; 𝖒; 𝖒; m; m; ) MATHEMATICAL BOLD FRAKTUR SMALL M
      "\u1D593",  # (𝖓; 𝖓; 𝖓; n; n; ) MATHEMATICAL BOLD FRAKTUR SMALL N
      "\u1D594",  # (𝖔; 𝖔; 𝖔; o; o; ) MATHEMATICAL BOLD FRAKTUR SMALL O
      "\u1D595",  # (𝖕; 𝖕; 𝖕; p; p; ) MATHEMATICAL BOLD FRAKTUR SMALL P
      "\u1D596",  # (𝖖; 𝖖; 𝖖; q; q; ) MATHEMATICAL BOLD FRAKTUR SMALL Q
      "\u1D597",  # (𝖗; 𝖗; 𝖗; r; r; ) MATHEMATICAL BOLD FRAKTUR SMALL R
      "\u1D598",  # (𝖘; 𝖘; 𝖘; s; s; ) MATHEMATICAL BOLD FRAKTUR SMALL S
      "\u1D599",  # (𝖙; 𝖙; 𝖙; t; t; ) MATHEMATICAL BOLD FRAKTUR SMALL T
      "\u1D59A",  # (𝖚; 𝖚; 𝖚; u; u; ) MATHEMATICAL BOLD FRAKTUR SMALL U
      "\u1D59B",  # (𝖛; 𝖛; 𝖛; v; v; ) MATHEMATICAL BOLD FRAKTUR SMALL V
      "\u1D59C",  # (𝖜; 𝖜; 𝖜; w; w; ) MATHEMATICAL BOLD FRAKTUR SMALL W
      "\u1D59D",  # (𝖝; 𝖝; 𝖝; x; x; ) MATHEMATICAL BOLD FRAKTUR SMALL X
      "\u1D59E",  # (𝖞; 𝖞; 𝖞; y; y; ) MATHEMATICAL BOLD FRAKTUR SMALL Y
      "\u1D59F",  # (𝖟; 𝖟; 𝖟; z; z; ) MATHEMATICAL BOLD FRAKTUR SMALL Z
      "\u1D5A0",  # (𝖠; 𝖠; 𝖠; A; A; ) MATHEMATICAL SANS-SERIF CAPITAL A
      "\u1D5A1",  # (𝖡; 𝖡; 𝖡; B; B; ) MATHEMATICAL SANS-SERIF CAPITAL B
      "\u1D5A2",  # (𝖢; 𝖢; 𝖢; C; C; ) MATHEMATICAL SANS-SERIF CAPITAL C
      "\u1D5A3",  # (𝖣; 𝖣; 𝖣; D; D; ) MATHEMATICAL SANS-SERIF CAPITAL D
      "\u1D5A4",  # (𝖤; 𝖤; 𝖤; E; E; ) MATHEMATICAL SANS-SERIF CAPITAL E
      "\u1D5A5",  # (𝖥; 𝖥; 𝖥; F; F; ) MATHEMATICAL SANS-SERIF CAPITAL F
      "\u1D5A6",  # (𝖦; 𝖦; 𝖦; G; G; ) MATHEMATICAL SANS-SERIF CAPITAL G
      "\u1D5A7",  # (𝖧; 𝖧; 𝖧; H; H; ) MATHEMATICAL SANS-SERIF CAPITAL H
      "\u1D5A8",  # (𝖨; 𝖨; 𝖨; I; I; ) MATHEMATICAL SANS-SERIF CAPITAL I
      "\u1D5A9",  # (𝖩; 𝖩; 𝖩; J; J; ) MATHEMATICAL SANS-SERIF CAPITAL J
      "\u1D5AA",  # (𝖪; 𝖪; 𝖪; K; K; ) MATHEMATICAL SANS-SERIF CAPITAL K
      "\u1D5AB",  # (𝖫; 𝖫; 𝖫; L; L; ) MATHEMATICAL SANS-SERIF CAPITAL L
      "\u1D5AC",  # (𝖬; 𝖬; 𝖬; M; M; ) MATHEMATICAL SANS-SERIF CAPITAL M
      "\u1D5AD",  # (𝖭; 𝖭; 𝖭; N; N; ) MATHEMATICAL SANS-SERIF CAPITAL N
      "\u1D5AE",  # (𝖮; 𝖮; 𝖮; O; O; ) MATHEMATICAL SANS-SERIF CAPITAL O
      "\u1D5AF",  # (𝖯; 𝖯; 𝖯; P; P; ) MATHEMATICAL SANS-SERIF CAPITAL P
      "\u1D5B0",  # (𝖰; 𝖰; 𝖰; Q; Q; ) MATHEMATICAL SANS-SERIF CAPITAL Q
      "\u1D5B1",  # (𝖱; 𝖱; 𝖱; R; R; ) MATHEMATICAL SANS-SERIF CAPITAL R
      "\u1D5B2",  # (𝖲; 𝖲; 𝖲; S; S; ) MATHEMATICAL SANS-SERIF CAPITAL S
      "\u1D5B3",  # (𝖳; 𝖳; 𝖳; T; T; ) MATHEMATICAL SANS-SERIF CAPITAL T
      "\u1D5B4",  # (𝖴; 𝖴; 𝖴; U; U; ) MATHEMATICAL SANS-SERIF CAPITAL U
      "\u1D5B5",  # (𝖵; 𝖵; 𝖵; V; V; ) MATHEMATICAL SANS-SERIF CAPITAL V
      "\u1D5B6",  # (𝖶; 𝖶; 𝖶; W; W; ) MATHEMATICAL SANS-SERIF CAPITAL W
      "\u1D5B7",  # (𝖷; 𝖷; 𝖷; X; X; ) MATHEMATICAL SANS-SERIF CAPITAL X
      "\u1D5B8",  # (𝖸; 𝖸; 𝖸; Y; Y; ) MATHEMATICAL SANS-SERIF CAPITAL Y
      "\u1D5B9",  # (𝖹; 𝖹; 𝖹; Z; Z; ) MATHEMATICAL SANS-SERIF CAPITAL Z
      "\u1D5BA",  # (𝖺; 𝖺; 𝖺; a; a; ) MATHEMATICAL SANS-SERIF SMALL A
      "\u1D5BB",  # (𝖻; 𝖻; 𝖻; b; b; ) MATHEMATICAL SANS-SERIF SMALL B
      "\u1D5BC",  # (𝖼; 𝖼; 𝖼; c; c; ) MATHEMATICAL SANS-SERIF SMALL C
      "\u1D5BD",  # (𝖽; 𝖽; 𝖽; d; d; ) MATHEMATICAL SANS-SERIF SMALL D
      "\u1D5BE",  # (𝖾; 𝖾; 𝖾; e; e; ) MATHEMATICAL SANS-SERIF SMALL E
      "\u1D5BF",  # (𝖿; 𝖿; 𝖿; f; f; ) MATHEMATICAL SANS-SERIF SMALL F
      "\u1D5C0",  # (𝗀; 𝗀; 𝗀; g; g; ) MATHEMATICAL SANS-SERIF SMALL G
      "\u1D5C1",  # (𝗁; 𝗁; 𝗁; h; h; ) MATHEMATICAL SANS-SERIF SMALL H
      "\u1D5C2",  # (𝗂; 𝗂; 𝗂; i; i; ) MATHEMATICAL SANS-SERIF SMALL I
      "\u1D5C3",  # (𝗃; 𝗃; 𝗃; j; j; ) MATHEMATICAL SANS-SERIF SMALL J
      "\u1D5C4",  # (𝗄; 𝗄; 𝗄; k; k; ) MATHEMATICAL SANS-SERIF SMALL K
      "\u1D5C5",  # (𝗅; 𝗅; 𝗅; l; l; ) MATHEMATICAL SANS-SERIF SMALL L
      "\u1D5C6",  # (𝗆; 𝗆; 𝗆; m; m; ) MATHEMATICAL SANS-SERIF SMALL M
      "\u1D5C7",  # (𝗇; 𝗇; 𝗇; n; n; ) MATHEMATICAL SANS-SERIF SMALL N
      "\u1D5C8",  # (𝗈; 𝗈; 𝗈; o; o; ) MATHEMATICAL SANS-SERIF SMALL O
      "\u1D5C9",  # (𝗉; 𝗉; 𝗉; p; p; ) MATHEMATICAL SANS-SERIF SMALL P
      "\u1D5CA",  # (𝗊; 𝗊; 𝗊; q; q; ) MATHEMATICAL SANS-SERIF SMALL Q
      "\u1D5CB",  # (𝗋; 𝗋; 𝗋; r; r; ) MATHEMATICAL SANS-SERIF SMALL R
      "\u1D5CC",  # (𝗌; 𝗌; 𝗌; s; s; ) MATHEMATICAL SANS-SERIF SMALL S
      "\u1D5CD",  # (𝗍; 𝗍; 𝗍; t; t; ) MATHEMATICAL SANS-SERIF SMALL T
      "\u1D5CE",  # (𝗎; 𝗎; 𝗎; u; u; ) MATHEMATICAL SANS-SERIF SMALL U
      "\u1D5CF",  # (𝗏; 𝗏; 𝗏; v; v; ) MATHEMATICAL SANS-SERIF SMALL V
      "\u1D5D0",  # (𝗐; 𝗐; 𝗐; w; w; ) MATHEMATICAL SANS-SERIF SMALL W
      "\u1D5D1",  # (𝗑; 𝗑; 𝗑; x; x; ) MATHEMATICAL SANS-SERIF SMALL X
      "\u1D5D2",  # (𝗒; 𝗒; 𝗒; y; y; ) MATHEMATICAL SANS-SERIF SMALL Y
      "\u1D5D3",  # (𝗓; 𝗓; 𝗓; z; z; ) MATHEMATICAL SANS-SERIF SMALL Z
      "\u1D5D4",  # (𝗔; 𝗔; 𝗔; A; A; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL A
      "\u1D5D5",  # (𝗕; 𝗕; 𝗕; B; B; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL B
      "\u1D5D6",  # (𝗖; 𝗖; 𝗖; C; C; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL C
      "\u1D5D7",  # (𝗗; 𝗗; 𝗗; D; D; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL D
      "\u1D5D8",  # (𝗘; 𝗘; 𝗘; E; E; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL E
      "\u1D5D9",  # (𝗙; 𝗙; 𝗙; F; F; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL F
      "\u1D5DA",  # (𝗚; 𝗚; 𝗚; G; G; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL G
      "\u1D5DB",  # (𝗛; 𝗛; 𝗛; H; H; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL H
      "\u1D5DC",  # (𝗜; 𝗜; 𝗜; I; I; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL I
      "\u1D5DD",  # (𝗝; 𝗝; 𝗝; J; J; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL J
      "\u1D5DE",  # (𝗞; 𝗞; 𝗞; K; K; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL K
      "\u1D5DF",  # (𝗟; 𝗟; 𝗟; L; L; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL L
      "\u1D5E0",  # (𝗠; 𝗠; 𝗠; M; M; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL M
      "\u1D5E1",  # (𝗡; 𝗡; 𝗡; N; N; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL N
      "\u1D5E2",  # (𝗢; 𝗢; 𝗢; O; O; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL O
      "\u1D5E3",  # (𝗣; 𝗣; 𝗣; P; P; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL P
      "\u1D5E4",  # (𝗤; 𝗤; 𝗤; Q; Q; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL Q
      "\u1D5E5",  # (𝗥; 𝗥; 𝗥; R; R; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL R
      "\u1D5E6",  # (𝗦; 𝗦; 𝗦; S; S; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL S
      "\u1D5E7",  # (𝗧; 𝗧; 𝗧; T; T; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL T
      "\u1D5E8",  # (𝗨; 𝗨; 𝗨; U; U; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL U
      "\u1D5E9",  # (𝗩; 𝗩; 𝗩; V; V; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL V
      "\u1D5EA",  # (𝗪; 𝗪; 𝗪; W; W; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL W
      "\u1D5EB",  # (𝗫; 𝗫; 𝗫; X; X; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL X
      "\u1D5EC",  # (𝗬; 𝗬; 𝗬; Y; Y; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL Y
      "\u1D5ED",  # (𝗭; 𝗭; 𝗭; Z; Z; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL Z
      "\u1D5EE",  # (𝗮; 𝗮; 𝗮; a; a; ) MATHEMATICAL SANS-SERIF BOLD SMALL A
      "\u1D5EF",  # (𝗯; 𝗯; 𝗯; b; b; ) MATHEMATICAL SANS-SERIF BOLD SMALL B
      "\u1D5F0",  # (𝗰; 𝗰; 𝗰; c; c; ) MATHEMATICAL SANS-SERIF BOLD SMALL C
      "\u1D5F1",  # (𝗱; 𝗱; 𝗱; d; d; ) MATHEMATICAL SANS-SERIF BOLD SMALL D
      "\u1D5F2",  # (𝗲; 𝗲; 𝗲; e; e; ) MATHEMATICAL SANS-SERIF BOLD SMALL E
      "\u1D5F3",  # (𝗳; 𝗳; 𝗳; f; f; ) MATHEMATICAL SANS-SERIF BOLD SMALL F
      "\u1D5F4",  # (𝗴; 𝗴; 𝗴; g; g; ) MATHEMATICAL SANS-SERIF BOLD SMALL G
      "\u1D5F5",  # (𝗵; 𝗵; 𝗵; h; h; ) MATHEMATICAL SANS-SERIF BOLD SMALL H
      "\u1D5F6",  # (𝗶; 𝗶; 𝗶; i; i; ) MATHEMATICAL SANS-SERIF BOLD SMALL I
      "\u1D5F7",  # (𝗷; 𝗷; 𝗷; j; j; ) MATHEMATICAL SANS-SERIF BOLD SMALL J
      "\u1D5F8",  # (𝗸; 𝗸; 𝗸; k; k; ) MATHEMATICAL SANS-SERIF BOLD SMALL K
      "\u1D5F9",  # (𝗹; 𝗹; 𝗹; l; l; ) MATHEMATICAL SANS-SERIF BOLD SMALL L
      "\u1D5FA",  # (𝗺; 𝗺; 𝗺; m; m; ) MATHEMATICAL SANS-SERIF BOLD SMALL M
      "\u1D5FB",  # (𝗻; 𝗻; 𝗻; n; n; ) MATHEMATICAL SANS-SERIF BOLD SMALL N
      "\u1D5FC",  # (𝗼; 𝗼; 𝗼; o; o; ) MATHEMATICAL SANS-SERIF BOLD SMALL O
      "\u1D5FD",  # (𝗽; 𝗽; 𝗽; p; p; ) MATHEMATICAL SANS-SERIF BOLD SMALL P
      "\u1D5FE",  # (𝗾; 𝗾; 𝗾; q; q; ) MATHEMATICAL SANS-SERIF BOLD SMALL Q
      "\u1D5FF",  # (𝗿; 𝗿; 𝗿; r; r; ) MATHEMATICAL SANS-SERIF BOLD SMALL R
      "\u1D600",  # (𝘀; 𝘀; 𝘀; s; s; ) MATHEMATICAL SANS-SERIF BOLD SMALL S
      "\u1D601",  # (𝘁; 𝘁; 𝘁; t; t; ) MATHEMATICAL SANS-SERIF BOLD SMALL T
      "\u1D602",  # (𝘂; 𝘂; 𝘂; u; u; ) MATHEMATICAL SANS-SERIF BOLD SMALL U
      "\u1D603",  # (𝘃; 𝘃; 𝘃; v; v; ) MATHEMATICAL SANS-SERIF BOLD SMALL V
      "\u1D604",  # (𝘄; 𝘄; 𝘄; w; w; ) MATHEMATICAL SANS-SERIF BOLD SMALL W
      "\u1D605",  # (𝘅; 𝘅; 𝘅; x; x; ) MATHEMATICAL SANS-SERIF BOLD SMALL X
      "\u1D606",  # (𝘆; 𝘆; 𝘆; y; y; ) MATHEMATICAL SANS-SERIF BOLD SMALL Y
      "\u1D607",  # (𝘇; 𝘇; 𝘇; z; z; ) MATHEMATICAL SANS-SERIF BOLD SMALL Z
      "\u1D608",  # (𝘈; 𝘈; 𝘈; A; A; ) MATHEMATICAL SANS-SERIF ITALIC CAPITAL A
      "\u1D609",  # (𝘉; 𝘉; 𝘉; B; B; ) MATHEMATICAL SANS-SERIF ITALIC CAPITAL B
      "\u1D60A",  # (𝘊; 𝘊; 𝘊; C; C; ) MATHEMATICAL SANS-SERIF ITALIC CAPITAL C
      "\u1D60B",  # (𝘋; 𝘋; 𝘋; D; D; ) MATHEMATICAL SANS-SERIF ITALIC CAPITAL D
      "\u1D60C",  # (𝘌; 𝘌; 𝘌; E; E; ) MATHEMATICAL SANS-SERIF ITALIC CAPITAL E
      "\u1D60D",  # (𝘍; 𝘍; 𝘍; F; F; ) MATHEMATICAL SANS-SERIF ITALIC CAPITAL F
      "\u1D60E",  # (𝘎; 𝘎; 𝘎; G; G; ) MATHEMATICAL SANS-SERIF ITALIC CAPITAL G
      "\u1D60F",  # (𝘏; 𝘏; 𝘏; H; H; ) MATHEMATICAL SANS-SERIF ITALIC CAPITAL H
      "\u1D610",  # (𝘐; 𝘐; 𝘐; I; I; ) MATHEMATICAL SANS-SERIF ITALIC CAPITAL I
      "\u1D611",  # (𝘑; 𝘑; 𝘑; J; J; ) MATHEMATICAL SANS-SERIF ITALIC CAPITAL J
      "\u1D612",  # (𝘒; 𝘒; 𝘒; K; K; ) MATHEMATICAL SANS-SERIF ITALIC CAPITAL K
      "\u1D613",  # (𝘓; 𝘓; 𝘓; L; L; ) MATHEMATICAL SANS-SERIF ITALIC CAPITAL L
      "\u1D614",  # (𝘔; 𝘔; 𝘔; M; M; ) MATHEMATICAL SANS-SERIF ITALIC CAPITAL M
      "\u1D615",  # (𝘕; 𝘕; 𝘕; N; N; ) MATHEMATICAL SANS-SERIF ITALIC CAPITAL N
      "\u1D616",  # (𝘖; 𝘖; 𝘖; O; O; ) MATHEMATICAL SANS-SERIF ITALIC CAPITAL O
      "\u1D617",  # (𝘗; 𝘗; 𝘗; P; P; ) MATHEMATICAL SANS-SERIF ITALIC CAPITAL P
      "\u1D618",  # (𝘘; 𝘘; 𝘘; Q; Q; ) MATHEMATICAL SANS-SERIF ITALIC CAPITAL Q
      "\u1D619",  # (𝘙; 𝘙; 𝘙; R; R; ) MATHEMATICAL SANS-SERIF ITALIC CAPITAL R
      "\u1D61A",  # (𝘚; 𝘚; 𝘚; S; S; ) MATHEMATICAL SANS-SERIF ITALIC CAPITAL S
      "\u1D61B",  # (𝘛; 𝘛; 𝘛; T; T; ) MATHEMATICAL SANS-SERIF ITALIC CAPITAL T
      "\u1D61C",  # (𝘜; 𝘜; 𝘜; U; U; ) MATHEMATICAL SANS-SERIF ITALIC CAPITAL U
      "\u1D61D",  # (𝘝; 𝘝; 𝘝; V; V; ) MATHEMATICAL SANS-SERIF ITALIC CAPITAL V
      "\u1D61E",  # (𝘞; 𝘞; 𝘞; W; W; ) MATHEMATICAL SANS-SERIF ITALIC CAPITAL W
      "\u1D61F",  # (𝘟; 𝘟; 𝘟; X; X; ) MATHEMATICAL SANS-SERIF ITALIC CAPITAL X
      "\u1D620",  # (𝘠; 𝘠; 𝘠; Y; Y; ) MATHEMATICAL SANS-SERIF ITALIC CAPITAL Y
      "\u1D621",  # (𝘡; 𝘡; 𝘡; Z; Z; ) MATHEMATICAL SANS-SERIF ITALIC CAPITAL Z
      "\u1D622",  # (𝘢; 𝘢; 𝘢; a; a; ) MATHEMATICAL SANS-SERIF ITALIC SMALL A
      "\u1D623",  # (𝘣; 𝘣; 𝘣; b; b; ) MATHEMATICAL SANS-SERIF ITALIC SMALL B
      "\u1D624",  # (𝘤; 𝘤; 𝘤; c; c; ) MATHEMATICAL SANS-SERIF ITALIC SMALL C
      "\u1D625",  # (𝘥; 𝘥; 𝘥; d; d; ) MATHEMATICAL SANS-SERIF ITALIC SMALL D
      "\u1D626",  # (𝘦; 𝘦; 𝘦; e; e; ) MATHEMATICAL SANS-SERIF ITALIC SMALL E
      "\u1D627",  # (𝘧; 𝘧; 𝘧; f; f; ) MATHEMATICAL SANS-SERIF ITALIC SMALL F
      "\u1D628",  # (𝘨; 𝘨; 𝘨; g; g; ) MATHEMATICAL SANS-SERIF ITALIC SMALL G
      "\u1D629",  # (𝘩; 𝘩; 𝘩; h; h; ) MATHEMATICAL SANS-SERIF ITALIC SMALL H
      "\u1D62A",  # (𝘪; 𝘪; 𝘪; i; i; ) MATHEMATICAL SANS-SERIF ITALIC SMALL I
      "\u1D62B",  # (𝘫; 𝘫; 𝘫; j; j; ) MATHEMATICAL SANS-SERIF ITALIC SMALL J
      "\u1D62C",  # (𝘬; 𝘬; 𝘬; k; k; ) MATHEMATICAL SANS-SERIF ITALIC SMALL K
      "\u1D62D",  # (𝘭; 𝘭; 𝘭; l; l; ) MATHEMATICAL SANS-SERIF ITALIC SMALL L
      "\u1D62E",  # (𝘮; 𝘮; 𝘮; m; m; ) MATHEMATICAL SANS-SERIF ITALIC SMALL M
      "\u1D62F",  # (𝘯; 𝘯; 𝘯; n; n; ) MATHEMATICAL SANS-SERIF ITALIC SMALL N
      "\u1D630",  # (𝘰; 𝘰; 𝘰; o; o; ) MATHEMATICAL SANS-SERIF ITALIC SMALL O
      "\u1D631",  # (𝘱; 𝘱; 𝘱; p; p; ) MATHEMATICAL SANS-SERIF ITALIC SMALL P
      "\u1D632",  # (𝘲; 𝘲; 𝘲; q; q; ) MATHEMATICAL SANS-SERIF ITALIC SMALL Q
      "\u1D633",  # (𝘳; 𝘳; 𝘳; r; r; ) MATHEMATICAL SANS-SERIF ITALIC SMALL R
      "\u1D634",  # (𝘴; 𝘴; 𝘴; s; s; ) MATHEMATICAL SANS-SERIF ITALIC SMALL S
      "\u1D635",  # (𝘵; 𝘵; 𝘵; t; t; ) MATHEMATICAL SANS-SERIF ITALIC SMALL T
      "\u1D636",  # (𝘶; 𝘶; 𝘶; u; u; ) MATHEMATICAL SANS-SERIF ITALIC SMALL U
      "\u1D637",  # (𝘷; 𝘷; 𝘷; v; v; ) MATHEMATICAL SANS-SERIF ITALIC SMALL V
      "\u1D638",  # (𝘸; 𝘸; 𝘸; w; w; ) MATHEMATICAL SANS-SERIF ITALIC SMALL W
      "\u1D639",  # (𝘹; 𝘹; 𝘹; x; x; ) MATHEMATICAL SANS-SERIF ITALIC SMALL X
      "\u1D63A",  # (𝘺; 𝘺; 𝘺; y; y; ) MATHEMATICAL SANS-SERIF ITALIC SMALL Y
      "\u1D63B",  # (𝘻; 𝘻; 𝘻; z; z; ) MATHEMATICAL SANS-SERIF ITALIC SMALL Z
      "\u1D63C",  # (𝘼; 𝘼; 𝘼; A; A; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL A
      "\u1D63D",  # (𝘽; 𝘽; 𝘽; B; B; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL B
      "\u1D63E",  # (𝘾; 𝘾; 𝘾; C; C; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL C
      "\u1D63F",  # (𝘿; 𝘿; 𝘿; D; D; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL D
      "\u1D640",  # (𝙀; 𝙀; 𝙀; E; E; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL E
      "\u1D641",  # (𝙁; 𝙁; 𝙁; F; F; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL F
      "\u1D642",  # (𝙂; 𝙂; 𝙂; G; G; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL G
      "\u1D643",  # (𝙃; 𝙃; 𝙃; H; H; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL H
      "\u1D644",  # (𝙄; 𝙄; 𝙄; I; I; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL I
      "\u1D645",  # (𝙅; 𝙅; 𝙅; J; J; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL J
      "\u1D646",  # (𝙆; 𝙆; 𝙆; K; K; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL K
      "\u1D647",  # (𝙇; 𝙇; 𝙇; L; L; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL L
      "\u1D648",  # (𝙈; 𝙈; 𝙈; M; M; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL M
      "\u1D649",  # (𝙉; 𝙉; 𝙉; N; N; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL N
      "\u1D64A",  # (𝙊; 𝙊; 𝙊; O; O; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL O
      "\u1D64B",  # (𝙋; 𝙋; 𝙋; P; P; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL P
      "\u1D64C",  # (𝙌; 𝙌; 𝙌; Q; Q; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL Q
      "\u1D64D",  # (𝙍; 𝙍; 𝙍; R; R; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL R
      "\u1D64E",  # (𝙎; 𝙎; 𝙎; S; S; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL S
      "\u1D64F",  # (𝙏; 𝙏; 𝙏; T; T; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL T
      "\u1D650",  # (𝙐; 𝙐; 𝙐; U; U; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL U
      "\u1D651",  # (𝙑; 𝙑; 𝙑; V; V; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL V
      "\u1D652",  # (𝙒; 𝙒; 𝙒; W; W; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL W
      "\u1D653",  # (𝙓; 𝙓; 𝙓; X; X; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL X
      "\u1D654",  # (𝙔; 𝙔; 𝙔; Y; Y; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL Y
      "\u1D655",  # (𝙕; 𝙕; 𝙕; Z; Z; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL Z
      "\u1D656",  # (𝙖; 𝙖; 𝙖; a; a; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL A
      "\u1D657",  # (𝙗; 𝙗; 𝙗; b; b; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL B
      "\u1D658",  # (𝙘; 𝙘; 𝙘; c; c; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL C
      "\u1D659",  # (𝙙; 𝙙; 𝙙; d; d; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL D
      "\u1D65A",  # (𝙚; 𝙚; 𝙚; e; e; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL E
      "\u1D65B",  # (𝙛; 𝙛; 𝙛; f; f; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL F
      "\u1D65C",  # (𝙜; 𝙜; 𝙜; g; g; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL G
      "\u1D65D",  # (𝙝; 𝙝; 𝙝; h; h; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL H
      "\u1D65E",  # (𝙞; 𝙞; 𝙞; i; i; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL I
      "\u1D65F",  # (𝙟; 𝙟; 𝙟; j; j; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL J
      "\u1D660",  # (𝙠; 𝙠; 𝙠; k; k; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL K
      "\u1D661",  # (𝙡; 𝙡; 𝙡; l; l; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL L
      "\u1D662",  # (𝙢; 𝙢; 𝙢; m; m; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL M
      "\u1D663",  # (𝙣; 𝙣; 𝙣; n; n; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL N
      "\u1D664",  # (𝙤; 𝙤; 𝙤; o; o; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL O
      "\u1D665",  # (𝙥; 𝙥; 𝙥; p; p; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL P
      "\u1D666",  # (𝙦; 𝙦; 𝙦; q; q; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL Q
      "\u1D667",  # (𝙧; 𝙧; 𝙧; r; r; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL R
      "\u1D668",  # (𝙨; 𝙨; 𝙨; s; s; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL S
      "\u1D669",  # (𝙩; 𝙩; 𝙩; t; t; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL T
      "\u1D66A",  # (𝙪; 𝙪; 𝙪; u; u; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL U
      "\u1D66B",  # (𝙫; 𝙫; 𝙫; v; v; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL V
      "\u1D66C",  # (𝙬; 𝙬; 𝙬; w; w; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL W
      "\u1D66D",  # (𝙭; 𝙭; 𝙭; x; x; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL X
      "\u1D66E",  # (𝙮; 𝙮; 𝙮; y; y; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL Y
      "\u1D66F",  # (𝙯; 𝙯; 𝙯; z; z; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL Z
      "\u1D670",  # (𝙰; 𝙰; 𝙰; A; A; ) MATHEMATICAL MONOSPACE CAPITAL A
      "\u1D671",  # (𝙱; 𝙱; 𝙱; B; B; ) MATHEMATICAL MONOSPACE CAPITAL B
      "\u1D672",  # (𝙲; 𝙲; 𝙲; C; C; ) MATHEMATICAL MONOSPACE CAPITAL C
      "\u1D673",  # (𝙳; 𝙳; 𝙳; D; D; ) MATHEMATICAL MONOSPACE CAPITAL D
      "\u1D674",  # (𝙴; 𝙴; 𝙴; E; E; ) MATHEMATICAL MONOSPACE CAPITAL E
      "\u1D675",  # (𝙵; 𝙵; 𝙵; F; F; ) MATHEMATICAL MONOSPACE CAPITAL F
      "\u1D676",  # (𝙶; 𝙶; 𝙶; G; G; ) MATHEMATICAL MONOSPACE CAPITAL G
      "\u1D677",  # (𝙷; 𝙷; 𝙷; H; H; ) MATHEMATICAL MONOSPACE CAPITAL H
      "\u1D678",  # (𝙸; 𝙸; 𝙸; I; I; ) MATHEMATICAL MONOSPACE CAPITAL I
      "\u1D679",  # (𝙹; 𝙹; 𝙹; J; J; ) MATHEMATICAL MONOSPACE CAPITAL J
      "\u1D67A",  # (𝙺; 𝙺; 𝙺; K; K; ) MATHEMATICAL MONOSPACE CAPITAL K
      "\u1D67B",  # (𝙻; 𝙻; 𝙻; L; L; ) MATHEMATICAL MONOSPACE CAPITAL L
      "\u1D67C",  # (𝙼; 𝙼; 𝙼; M; M; ) MATHEMATICAL MONOSPACE CAPITAL M
      "\u1D67D",  # (𝙽; 𝙽; 𝙽; N; N; ) MATHEMATICAL MONOSPACE CAPITAL N
      "\u1D67E",  # (𝙾; 𝙾; 𝙾; O; O; ) MATHEMATICAL MONOSPACE CAPITAL O
      "\u1D67F",  # (𝙿; 𝙿; 𝙿; P; P; ) MATHEMATICAL MONOSPACE CAPITAL P
      "\u1D680",  # (𝚀; 𝚀; 𝚀; Q; Q; ) MATHEMATICAL MONOSPACE CAPITAL Q
      "\u1D681",  # (𝚁; 𝚁; 𝚁; R; R; ) MATHEMATICAL MONOSPACE CAPITAL R
      "\u1D682",  # (𝚂; 𝚂; 𝚂; S; S; ) MATHEMATICAL MONOSPACE CAPITAL S
      "\u1D683",  # (𝚃; 𝚃; 𝚃; T; T; ) MATHEMATICAL MONOSPACE CAPITAL T
      "\u1D684",  # (𝚄; 𝚄; 𝚄; U; U; ) MATHEMATICAL MONOSPACE CAPITAL U
      "\u1D685",  # (𝚅; 𝚅; 𝚅; V; V; ) MATHEMATICAL MONOSPACE CAPITAL V
      "\u1D686",  # (𝚆; 𝚆; 𝚆; W; W; ) MATHEMATICAL MONOSPACE CAPITAL W
      "\u1D687",  # (𝚇; 𝚇; 𝚇; X; X; ) MATHEMATICAL MONOSPACE CAPITAL X
      "\u1D688",  # (𝚈; 𝚈; 𝚈; Y; Y; ) MATHEMATICAL MONOSPACE CAPITAL Y
      "\u1D689",  # (𝚉; 𝚉; 𝚉; Z; Z; ) MATHEMATICAL MONOSPACE CAPITAL Z
      "\u1D68A",  # (𝚊; 𝚊; 𝚊; a; a; ) MATHEMATICAL MONOSPACE SMALL A
      "\u1D68B",  # (𝚋; 𝚋; 𝚋; b; b; ) MATHEMATICAL MONOSPACE SMALL B
      "\u1D68C",  # (𝚌; 𝚌; 𝚌; c; c; ) MATHEMATICAL MONOSPACE SMALL C
      "\u1D68D",  # (𝚍; 𝚍; 𝚍; d; d; ) MATHEMATICAL MONOSPACE SMALL D
      "\u1D68E",  # (𝚎; 𝚎; 𝚎; e; e; ) MATHEMATICAL MONOSPACE SMALL E
      "\u1D68F",  # (𝚏; 𝚏; 𝚏; f; f; ) MATHEMATICAL MONOSPACE SMALL F
      "\u1D690",  # (𝚐; 𝚐; 𝚐; g; g; ) MATHEMATICAL MONOSPACE SMALL G
      "\u1D691",  # (𝚑; 𝚑; 𝚑; h; h; ) MATHEMATICAL MONOSPACE SMALL H
      "\u1D692",  # (𝚒; 𝚒; 𝚒; i; i; ) MATHEMATICAL MONOSPACE SMALL I
      "\u1D693",  # (𝚓; 𝚓; 𝚓; j; j; ) MATHEMATICAL MONOSPACE SMALL J
      "\u1D694",  # (𝚔; 𝚔; 𝚔; k; k; ) MATHEMATICAL MONOSPACE SMALL K
      "\u1D695",  # (𝚕; 𝚕; 𝚕; l; l; ) MATHEMATICAL MONOSPACE SMALL L
      "\u1D696",  # (𝚖; 𝚖; 𝚖; m; m; ) MATHEMATICAL MONOSPACE SMALL M
      "\u1D697",  # (𝚗; 𝚗; 𝚗; n; n; ) MATHEMATICAL MONOSPACE SMALL N
      "\u1D698",  # (𝚘; 𝚘; 𝚘; o; o; ) MATHEMATICAL MONOSPACE SMALL O
      "\u1D699",  # (𝚙; 𝚙; 𝚙; p; p; ) MATHEMATICAL MONOSPACE SMALL P
      "\u1D69A",  # (𝚚; 𝚚; 𝚚; q; q; ) MATHEMATICAL MONOSPACE SMALL Q
      "\u1D69B",  # (𝚛; 𝚛; 𝚛; r; r; ) MATHEMATICAL MONOSPACE SMALL R
      "\u1D69C",  # (𝚜; 𝚜; 𝚜; s; s; ) MATHEMATICAL MONOSPACE SMALL S
      "\u1D69D",  # (𝚝; 𝚝; 𝚝; t; t; ) MATHEMATICAL MONOSPACE SMALL T
      "\u1D69E",  # (𝚞; 𝚞; 𝚞; u; u; ) MATHEMATICAL MONOSPACE SMALL U
      "\u1D69F",  # (𝚟; 𝚟; 𝚟; v; v; ) MATHEMATICAL MONOSPACE SMALL V
      "\u1D6A0",  # (𝚠; 𝚠; 𝚠; w; w; ) MATHEMATICAL MONOSPACE SMALL W
      "\u1D6A1",  # (𝚡; 𝚡; 𝚡; x; x; ) MATHEMATICAL MONOSPACE SMALL X
      "\u1D6A2",  # (𝚢; 𝚢; 𝚢; y; y; ) MATHEMATICAL MONOSPACE SMALL Y
      "\u1D6A3",  # (𝚣; 𝚣; 𝚣; z; z; ) MATHEMATICAL MONOSPACE SMALL Z
      "\u1D6A4",  # (𝚤; 𝚤; 𝚤; ı; ı; ) MATHEMATICAL ITALIC SMALL DOTLESS I
      "\u1D6A5",  # (𝚥; 𝚥; 𝚥; ȷ; ȷ; ) MATHEMATICAL ITALIC SMALL DOTLESS J
      "\u1D6A8",  # (𝚨; 𝚨; 𝚨; Α; Α; ) MATHEMATICAL BOLD CAPITAL ALPHA
      "\u1D6A9",  # (𝚩; 𝚩; 𝚩; Β; Β; ) MATHEMATICAL BOLD CAPITAL BETA
      "\u1D6AA",  # (𝚪; 𝚪; 𝚪; Γ; Γ; ) MATHEMATICAL BOLD CAPITAL GAMMA
      "\u1D6AB",  # (𝚫; 𝚫; 𝚫; Δ; Δ; ) MATHEMATICAL BOLD CAPITAL DELTA
      "\u1D6AC",  # (𝚬; 𝚬; 𝚬; Ε; Ε; ) MATHEMATICAL BOLD CAPITAL EPSILON
      "\u1D6AD",  # (𝚭; 𝚭; 𝚭; Ζ; Ζ; ) MATHEMATICAL BOLD CAPITAL ZETA
      "\u1D6AE",  # (𝚮; 𝚮; 𝚮; Η; Η; ) MATHEMATICAL BOLD CAPITAL ETA
      "\u1D6AF",  # (𝚯; 𝚯; 𝚯; Θ; Θ; ) MATHEMATICAL BOLD CAPITAL THETA
      "\u1D6B0",  # (𝚰; 𝚰; 𝚰; Ι; Ι; ) MATHEMATICAL BOLD CAPITAL IOTA
      "\u1D6B1",  # (𝚱; 𝚱; 𝚱; Κ; Κ; ) MATHEMATICAL BOLD CAPITAL KAPPA
      "\u1D6B2",  # (𝚲; 𝚲; 𝚲; Λ; Λ; ) MATHEMATICAL BOLD CAPITAL LAMDA
      "\u1D6B3",  # (𝚳; 𝚳; 𝚳; Μ; Μ; ) MATHEMATICAL BOLD CAPITAL MU
      "\u1D6B4",  # (𝚴; 𝚴; 𝚴; Ν; Ν; ) MATHEMATICAL BOLD CAPITAL NU
      "\u1D6B5",  # (𝚵; 𝚵; 𝚵; Ξ; Ξ; ) MATHEMATICAL BOLD CAPITAL XI
      "\u1D6B6",  # (𝚶; 𝚶; 𝚶; Ο; Ο; ) MATHEMATICAL BOLD CAPITAL OMICRON
      "\u1D6B7",  # (𝚷; 𝚷; 𝚷; Π; Π; ) MATHEMATICAL BOLD CAPITAL PI
      "\u1D6B8",  # (𝚸; 𝚸; 𝚸; Ρ; Ρ; ) MATHEMATICAL BOLD CAPITAL RHO
      "\u1D6B9",  # (𝚹; 𝚹; 𝚹; Θ; Θ; ) MATHEMATICAL BOLD CAPITAL THETA SYMBOL
      "\u1D6BA",  # (𝚺; 𝚺; 𝚺; Σ; Σ; ) MATHEMATICAL BOLD CAPITAL SIGMA
      "\u1D6BB",  # (𝚻; 𝚻; 𝚻; Τ; Τ; ) MATHEMATICAL BOLD CAPITAL TAU
      "\u1D6BC",  # (𝚼; 𝚼; 𝚼; Υ; Υ; ) MATHEMATICAL BOLD CAPITAL UPSILON
      "\u1D6BD",  # (𝚽; 𝚽; 𝚽; Φ; Φ; ) MATHEMATICAL BOLD CAPITAL PHI
      "\u1D6BE",  # (𝚾; 𝚾; 𝚾; Χ; Χ; ) MATHEMATICAL BOLD CAPITAL CHI
      "\u1D6BF",  # (𝚿; 𝚿; 𝚿; Ψ; Ψ; ) MATHEMATICAL BOLD CAPITAL PSI
      "\u1D6C0",  # (𝛀; 𝛀; 𝛀; Ω; Ω; ) MATHEMATICAL BOLD CAPITAL OMEGA
      "\u1D6C1",  # (𝛁; 𝛁; 𝛁; ∇; ∇; ) MATHEMATICAL BOLD NABLA
      "\u1D6C2",  # (𝛂; 𝛂; 𝛂; α; α; ) MATHEMATICAL BOLD SMALL ALPHA
      "\u1D6C3",  # (𝛃; 𝛃; 𝛃; β; β; ) MATHEMATICAL BOLD SMALL BETA
      "\u1D6C4",  # (𝛄; 𝛄; 𝛄; γ; γ; ) MATHEMATICAL BOLD SMALL GAMMA
      "\u1D6C5",  # (𝛅; 𝛅; 𝛅; δ; δ; ) MATHEMATICAL BOLD SMALL DELTA
      "\u1D6C6",  # (𝛆; 𝛆; 𝛆; ε; ε; ) MATHEMATICAL BOLD SMALL EPSILON
      "\u1D6C7",  # (𝛇; 𝛇; 𝛇; ζ; ζ; ) MATHEMATICAL BOLD SMALL ZETA
      "\u1D6C8",  # (𝛈; 𝛈; 𝛈; η; η; ) MATHEMATICAL BOLD SMALL ETA
      "\u1D6C9",  # (𝛉; 𝛉; 𝛉; θ; θ; ) MATHEMATICAL BOLD SMALL THETA
      "\u1D6CA",  # (𝛊; 𝛊; 𝛊; ι; ι; ) MATHEMATICAL BOLD SMALL IOTA
      "\u1D6CB",  # (𝛋; 𝛋; 𝛋; κ; κ; ) MATHEMATICAL BOLD SMALL KAPPA
      "\u1D6CC",  # (𝛌; 𝛌; 𝛌; λ; λ; ) MATHEMATICAL BOLD SMALL LAMDA
      "\u1D6CD",  # (𝛍; 𝛍; 𝛍; μ; μ; ) MATHEMATICAL BOLD SMALL MU
      "\u1D6CE",  # (𝛎; 𝛎; 𝛎; ν; ν; ) MATHEMATICAL BOLD SMALL NU
      "\u1D6CF",  # (𝛏; 𝛏; 𝛏; ξ; ξ; ) MATHEMATICAL BOLD SMALL XI
      "\u1D6D0",  # (𝛐; 𝛐; 𝛐; ο; ο; ) MATHEMATICAL BOLD SMALL OMICRON
      "\u1D6D1",  # (𝛑; 𝛑; 𝛑; π; π; ) MATHEMATICAL BOLD SMALL PI
      "\u1D6D2",  # (𝛒; 𝛒; 𝛒; ρ; ρ; ) MATHEMATICAL BOLD SMALL RHO
      "\u1D6D3",  # (𝛓; 𝛓; 𝛓; ς; ς; ) MATHEMATICAL BOLD SMALL FINAL SIGMA
      "\u1D6D4",  # (𝛔; 𝛔; 𝛔; σ; σ; ) MATHEMATICAL BOLD SMALL SIGMA
      "\u1D6D5",  # (𝛕; 𝛕; 𝛕; τ; τ; ) MATHEMATICAL BOLD SMALL TAU
      "\u1D6D6",  # (𝛖; 𝛖; 𝛖; υ; υ; ) MATHEMATICAL BOLD SMALL UPSILON
      "\u1D6D7",  # (𝛗; 𝛗; 𝛗; φ; φ; ) MATHEMATICAL BOLD SMALL PHI
      "\u1D6D8",  # (𝛘; 𝛘; 𝛘; χ; χ; ) MATHEMATICAL BOLD SMALL CHI
      "\u1D6D9",  # (𝛙; 𝛙; 𝛙; ψ; ψ; ) MATHEMATICAL BOLD SMALL PSI
      "\u1D6DA",  # (𝛚; 𝛚; 𝛚; ω; ω; ) MATHEMATICAL BOLD SMALL OMEGA
      "\u1D6DB",  # (𝛛; 𝛛; 𝛛; ∂; ∂; ) MATHEMATICAL BOLD PARTIAL DIFFERENTIAL
      "\u1D6DC",  # (𝛜; 𝛜; 𝛜; ε; ε; ) MATHEMATICAL BOLD EPSILON SYMBOL
      "\u1D6DD",  # (𝛝; 𝛝; 𝛝; θ; θ; ) MATHEMATICAL BOLD THETA SYMBOL
      "\u1D6DE",  # (𝛞; 𝛞; 𝛞; κ; κ; ) MATHEMATICAL BOLD KAPPA SYMBOL
      "\u1D6DF",  # (𝛟; 𝛟; 𝛟; φ; φ; ) MATHEMATICAL BOLD PHI SYMBOL
      "\u1D6E0",  # (𝛠; 𝛠; 𝛠; ρ; ρ; ) MATHEMATICAL BOLD RHO SYMBOL
      "\u1D6E1",  # (𝛡; 𝛡; 𝛡; π; π; ) MATHEMATICAL BOLD PI SYMBOL
      "\u1D6E2",  # (𝛢; 𝛢; 𝛢; Α; Α; ) MATHEMATICAL ITALIC CAPITAL ALPHA
      "\u1D6E3",  # (𝛣; 𝛣; 𝛣; Β; Β; ) MATHEMATICAL ITALIC CAPITAL BETA
      "\u1D6E4",  # (𝛤; 𝛤; 𝛤; Γ; Γ; ) MATHEMATICAL ITALIC CAPITAL GAMMA
      "\u1D6E5",  # (𝛥; 𝛥; 𝛥; Δ; Δ; ) MATHEMATICAL ITALIC CAPITAL DELTA
      "\u1D6E6",  # (𝛦; 𝛦; 𝛦; Ε; Ε; ) MATHEMATICAL ITALIC CAPITAL EPSILON
      "\u1D6E7",  # (𝛧; 𝛧; 𝛧; Ζ; Ζ; ) MATHEMATICAL ITALIC CAPITAL ZETA
      "\u1D6E8",  # (𝛨; 𝛨; 𝛨; Η; Η; ) MATHEMATICAL ITALIC CAPITAL ETA
      "\u1D6E9",  # (𝛩; 𝛩; 𝛩; Θ; Θ; ) MATHEMATICAL ITALIC CAPITAL THETA
      "\u1D6EA",  # (𝛪; 𝛪; 𝛪; Ι; Ι; ) MATHEMATICAL ITALIC CAPITAL IOTA
      "\u1D6EB",  # (𝛫; 𝛫; 𝛫; Κ; Κ; ) MATHEMATICAL ITALIC CAPITAL KAPPA
      "\u1D6EC",  # (𝛬; 𝛬; 𝛬; Λ; Λ; ) MATHEMATICAL ITALIC CAPITAL LAMDA
      "\u1D6ED",  # (𝛭; 𝛭; 𝛭; Μ; Μ; ) MATHEMATICAL ITALIC CAPITAL MU
      "\u1D6EE",  # (𝛮; 𝛮; 𝛮; Ν; Ν; ) MATHEMATICAL ITALIC CAPITAL NU
      "\u1D6EF",  # (𝛯; 𝛯; 𝛯; Ξ; Ξ; ) MATHEMATICAL ITALIC CAPITAL XI
      "\u1D6F0",  # (𝛰; 𝛰; 𝛰; Ο; Ο; ) MATHEMATICAL ITALIC CAPITAL OMICRON
      "\u1D6F1",  # (𝛱; 𝛱; 𝛱; Π; Π; ) MATHEMATICAL ITALIC CAPITAL PI
      "\u1D6F2",  # (𝛲; 𝛲; 𝛲; Ρ; Ρ; ) MATHEMATICAL ITALIC CAPITAL RHO
      "\u1D6F3",  # (𝛳; 𝛳; 𝛳; Θ; Θ; ) MATHEMATICAL ITALIC CAPITAL THETA SYMBOL
      "\u1D6F4",  # (𝛴; 𝛴; 𝛴; Σ; Σ; ) MATHEMATICAL ITALIC CAPITAL SIGMA
      "\u1D6F5",  # (𝛵; 𝛵; 𝛵; Τ; Τ; ) MATHEMATICAL ITALIC CAPITAL TAU
      "\u1D6F6",  # (𝛶; 𝛶; 𝛶; Υ; Υ; ) MATHEMATICAL ITALIC CAPITAL UPSILON
      "\u1D6F7",  # (𝛷; 𝛷; 𝛷; Φ; Φ; ) MATHEMATICAL ITALIC CAPITAL PHI
      "\u1D6F8",  # (𝛸; 𝛸; 𝛸; Χ; Χ; ) MATHEMATICAL ITALIC CAPITAL CHI
      "\u1D6F9",  # (𝛹; 𝛹; 𝛹; Ψ; Ψ; ) MATHEMATICAL ITALIC CAPITAL PSI
      "\u1D6FA",  # (𝛺; 𝛺; 𝛺; Ω; Ω; ) MATHEMATICAL ITALIC CAPITAL OMEGA
      "\u1D6FB",  # (𝛻; 𝛻; 𝛻; ∇; ∇; ) MATHEMATICAL ITALIC NABLA
      "\u1D6FC",  # (𝛼; 𝛼; 𝛼; α; α; ) MATHEMATICAL ITALIC SMALL ALPHA
      "\u1D6FD",  # (𝛽; 𝛽; 𝛽; β; β; ) MATHEMATICAL ITALIC SMALL BETA
      "\u1D6FE",  # (𝛾; 𝛾; 𝛾; γ; γ; ) MATHEMATICAL ITALIC SMALL GAMMA
      "\u1D6FF",  # (𝛿; 𝛿; 𝛿; δ; δ; ) MATHEMATICAL ITALIC SMALL DELTA
      "\u1D700",  # (𝜀; 𝜀; 𝜀; ε; ε; ) MATHEMATICAL ITALIC SMALL EPSILON
      "\u1D701",  # (𝜁; 𝜁; 𝜁; ζ; ζ; ) MATHEMATICAL ITALIC SMALL ZETA
      "\u1D702",  # (𝜂; 𝜂; 𝜂; η; η; ) MATHEMATICAL ITALIC SMALL ETA
      "\u1D703",  # (𝜃; 𝜃; 𝜃; θ; θ; ) MATHEMATICAL ITALIC SMALL THETA
      "\u1D704",  # (𝜄; 𝜄; 𝜄; ι; ι; ) MATHEMATICAL ITALIC SMALL IOTA
      "\u1D705",  # (𝜅; 𝜅; 𝜅; κ; κ; ) MATHEMATICAL ITALIC SMALL KAPPA
      "\u1D706",  # (𝜆; 𝜆; 𝜆; λ; λ; ) MATHEMATICAL ITALIC SMALL LAMDA
      "\u1D707",  # (𝜇; 𝜇; 𝜇; μ; μ; ) MATHEMATICAL ITALIC SMALL MU
      "\u1D708",  # (𝜈; 𝜈; 𝜈; ν; ν; ) MATHEMATICAL ITALIC SMALL NU
      "\u1D709",  # (𝜉; 𝜉; 𝜉; ξ; ξ; ) MATHEMATICAL ITALIC SMALL XI
      "\u1D70A",  # (𝜊; 𝜊; 𝜊; ο; ο; ) MATHEMATICAL ITALIC SMALL OMICRON
      "\u1D70B",  # (𝜋; 𝜋; 𝜋; π; π; ) MATHEMATICAL ITALIC SMALL PI
      "\u1D70C",  # (𝜌; 𝜌; 𝜌; ρ; ρ; ) MATHEMATICAL ITALIC SMALL RHO
      "\u1D70D",  # (𝜍; 𝜍; 𝜍; ς; ς; ) MATHEMATICAL ITALIC SMALL FINAL SIGMA
      "\u1D70E",  # (𝜎; 𝜎; 𝜎; σ; σ; ) MATHEMATICAL ITALIC SMALL SIGMA
      "\u1D70F",  # (𝜏; 𝜏; 𝜏; τ; τ; ) MATHEMATICAL ITALIC SMALL TAU
      "\u1D710",  # (𝜐; 𝜐; 𝜐; υ; υ; ) MATHEMATICAL ITALIC SMALL UPSILON
      "\u1D711",  # (𝜑; 𝜑; 𝜑; φ; φ; ) MATHEMATICAL ITALIC SMALL PHI
      "\u1D712",  # (𝜒; 𝜒; 𝜒; χ; χ; ) MATHEMATICAL ITALIC SMALL CHI
      "\u1D713",  # (𝜓; 𝜓; 𝜓; ψ; ψ; ) MATHEMATICAL ITALIC SMALL PSI
      "\u1D714",  # (𝜔; 𝜔; 𝜔; ω; ω; ) MATHEMATICAL ITALIC SMALL OMEGA
      "\u1D715",  # (𝜕; 𝜕; 𝜕; ∂; ∂; ) MATHEMATICAL ITALIC PARTIAL DIFFERENTIAL
      "\u1D716",  # (𝜖; 𝜖; 𝜖; ε; ε; ) MATHEMATICAL ITALIC EPSILON SYMBOL
      "\u1D717",  # (𝜗; 𝜗; 𝜗; θ; θ; ) MATHEMATICAL ITALIC THETA SYMBOL
      "\u1D718",  # (𝜘; 𝜘; 𝜘; κ; κ; ) MATHEMATICAL ITALIC KAPPA SYMBOL
      "\u1D719",  # (𝜙; 𝜙; 𝜙; φ; φ; ) MATHEMATICAL ITALIC PHI SYMBOL
      "\u1D71A",  # (𝜚; 𝜚; 𝜚; ρ; ρ; ) MATHEMATICAL ITALIC RHO SYMBOL
      "\u1D71B",  # (𝜛; 𝜛; 𝜛; π; π; ) MATHEMATICAL ITALIC PI SYMBOL
      "\u1D71C",  # (𝜜; 𝜜; 𝜜; Α; Α; ) MATHEMATICAL BOLD ITALIC CAPITAL ALPHA
      "\u1D71D",  # (𝜝; 𝜝; 𝜝; Β; Β; ) MATHEMATICAL BOLD ITALIC CAPITAL BETA
      "\u1D71E",  # (𝜞; 𝜞; 𝜞; Γ; Γ; ) MATHEMATICAL BOLD ITALIC CAPITAL GAMMA
      "\u1D71F",  # (𝜟; 𝜟; 𝜟; Δ; Δ; ) MATHEMATICAL BOLD ITALIC CAPITAL DELTA
      "\u1D720",  # (𝜠; 𝜠; 𝜠; Ε; Ε; ) MATHEMATICAL BOLD ITALIC CAPITAL EPSILON
      "\u1D721",  # (𝜡; 𝜡; 𝜡; Ζ; Ζ; ) MATHEMATICAL BOLD ITALIC CAPITAL ZETA
      "\u1D722",  # (𝜢; 𝜢; 𝜢; Η; Η; ) MATHEMATICAL BOLD ITALIC CAPITAL ETA
      "\u1D723",  # (𝜣; 𝜣; 𝜣; Θ; Θ; ) MATHEMATICAL BOLD ITALIC CAPITAL THETA
      "\u1D724",  # (𝜤; 𝜤; 𝜤; Ι; Ι; ) MATHEMATICAL BOLD ITALIC CAPITAL IOTA
      "\u1D725",  # (𝜥; 𝜥; 𝜥; Κ; Κ; ) MATHEMATICAL BOLD ITALIC CAPITAL KAPPA
      "\u1D726",  # (𝜦; 𝜦; 𝜦; Λ; Λ; ) MATHEMATICAL BOLD ITALIC CAPITAL LAMDA
      "\u1D727",  # (𝜧; 𝜧; 𝜧; Μ; Μ; ) MATHEMATICAL BOLD ITALIC CAPITAL MU
      "\u1D728",  # (𝜨; 𝜨; 𝜨; Ν; Ν; ) MATHEMATICAL BOLD ITALIC CAPITAL NU
      "\u1D729",  # (𝜩; 𝜩; 𝜩; Ξ; Ξ; ) MATHEMATICAL BOLD ITALIC CAPITAL XI
      "\u1D72A",  # (𝜪; 𝜪; 𝜪; Ο; Ο; ) MATHEMATICAL BOLD ITALIC CAPITAL OMICRON
      "\u1D72B",  # (𝜫; 𝜫; 𝜫; Π; Π; ) MATHEMATICAL BOLD ITALIC CAPITAL PI
      "\u1D72C",  # (𝜬; 𝜬; 𝜬; Ρ; Ρ; ) MATHEMATICAL BOLD ITALIC CAPITAL RHO
      "\u1D72D",  # (𝜭; 𝜭; 𝜭; Θ; Θ; ) MATHEMATICAL BOLD ITALIC CAPITAL THETA SYMBOL
      "\u1D72E",  # (𝜮; 𝜮; 𝜮; Σ; Σ; ) MATHEMATICAL BOLD ITALIC CAPITAL SIGMA
      "\u1D72F",  # (𝜯; 𝜯; 𝜯; Τ; Τ; ) MATHEMATICAL BOLD ITALIC CAPITAL TAU
      "\u1D730",  # (𝜰; 𝜰; 𝜰; Υ; Υ; ) MATHEMATICAL BOLD ITALIC CAPITAL UPSILON
      "\u1D731",  # (𝜱; 𝜱; 𝜱; Φ; Φ; ) MATHEMATICAL BOLD ITALIC CAPITAL PHI
      "\u1D732",  # (𝜲; 𝜲; 𝜲; Χ; Χ; ) MATHEMATICAL BOLD ITALIC CAPITAL CHI
      "\u1D733",  # (𝜳; 𝜳; 𝜳; Ψ; Ψ; ) MATHEMATICAL BOLD ITALIC CAPITAL PSI
      "\u1D734",  # (𝜴; 𝜴; 𝜴; Ω; Ω; ) MATHEMATICAL BOLD ITALIC CAPITAL OMEGA
      "\u1D735",  # (𝜵; 𝜵; 𝜵; ∇; ∇; ) MATHEMATICAL BOLD ITALIC NABLA
      "\u1D736",  # (𝜶; 𝜶; 𝜶; α; α; ) MATHEMATICAL BOLD ITALIC SMALL ALPHA
      "\u1D737",  # (𝜷; 𝜷; 𝜷; β; β; ) MATHEMATICAL BOLD ITALIC SMALL BETA
      "\u1D738",  # (𝜸; 𝜸; 𝜸; γ; γ; ) MATHEMATICAL BOLD ITALIC SMALL GAMMA
      "\u1D739",  # (𝜹; 𝜹; 𝜹; δ; δ; ) MATHEMATICAL BOLD ITALIC SMALL DELTA
      "\u1D73A",  # (𝜺; 𝜺; 𝜺; ε; ε; ) MATHEMATICAL BOLD ITALIC SMALL EPSILON
      "\u1D73B",  # (𝜻; 𝜻; 𝜻; ζ; ζ; ) MATHEMATICAL BOLD ITALIC SMALL ZETA
      "\u1D73C",  # (𝜼; 𝜼; 𝜼; η; η; ) MATHEMATICAL BOLD ITALIC SMALL ETA
      "\u1D73D",  # (𝜽; 𝜽; 𝜽; θ; θ; ) MATHEMATICAL BOLD ITALIC SMALL THETA
      "\u1D73E",  # (𝜾; 𝜾; 𝜾; ι; ι; ) MATHEMATICAL BOLD ITALIC SMALL IOTA
      "\u1D73F",  # (𝜿; 𝜿; 𝜿; κ; κ; ) MATHEMATICAL BOLD ITALIC SMALL KAPPA
      "\u1D740",  # (𝝀; 𝝀; 𝝀; λ; λ; ) MATHEMATICAL BOLD ITALIC SMALL LAMDA
      "\u1D741",  # (𝝁; 𝝁; 𝝁; μ; μ; ) MATHEMATICAL BOLD ITALIC SMALL MU
      "\u1D742",  # (𝝂; 𝝂; 𝝂; ν; ν; ) MATHEMATICAL BOLD ITALIC SMALL NU
      "\u1D743",  # (𝝃; 𝝃; 𝝃; ξ; ξ; ) MATHEMATICAL BOLD ITALIC SMALL XI
      "\u1D744",  # (𝝄; 𝝄; 𝝄; ο; ο; ) MATHEMATICAL BOLD ITALIC SMALL OMICRON
      "\u1D745",  # (𝝅; 𝝅; 𝝅; π; π; ) MATHEMATICAL BOLD ITALIC SMALL PI
      "\u1D746",  # (𝝆; 𝝆; 𝝆; ρ; ρ; ) MATHEMATICAL BOLD ITALIC SMALL RHO
      "\u1D747",  # (𝝇; 𝝇; 𝝇; ς; ς; ) MATHEMATICAL BOLD ITALIC SMALL FINAL SIGMA
      "\u1D748",  # (𝝈; 𝝈; 𝝈; σ; σ; ) MATHEMATICAL BOLD ITALIC SMALL SIGMA
      "\u1D749",  # (𝝉; 𝝉; 𝝉; τ; τ; ) MATHEMATICAL BOLD ITALIC SMALL TAU
      "\u1D74A",  # (𝝊; 𝝊; 𝝊; υ; υ; ) MATHEMATICAL BOLD ITALIC SMALL UPSILON
      "\u1D74B",  # (𝝋; 𝝋; 𝝋; φ; φ; ) MATHEMATICAL BOLD ITALIC SMALL PHI
      "\u1D74C",  # (𝝌; 𝝌; 𝝌; χ; χ; ) MATHEMATICAL BOLD ITALIC SMALL CHI
      "\u1D74D",  # (𝝍; 𝝍; 𝝍; ψ; ψ; ) MATHEMATICAL BOLD ITALIC SMALL PSI
      "\u1D74E",  # (𝝎; 𝝎; 𝝎; ω; ω; ) MATHEMATICAL BOLD ITALIC SMALL OMEGA
      "\u1D74F",  # (𝝏; 𝝏; 𝝏; ∂; ∂; ) MATHEMATICAL BOLD ITALIC PARTIAL DIFFERENTIAL
      "\u1D750",  # (𝝐; 𝝐; 𝝐; ε; ε; ) MATHEMATICAL BOLD ITALIC EPSILON SYMBOL
      "\u1D751",  # (𝝑; 𝝑; 𝝑; θ; θ; ) MATHEMATICAL BOLD ITALIC THETA SYMBOL
      "\u1D752",  # (𝝒; 𝝒; 𝝒; κ; κ; ) MATHEMATICAL BOLD ITALIC KAPPA SYMBOL
      "\u1D753",  # (𝝓; 𝝓; 𝝓; φ; φ; ) MATHEMATICAL BOLD ITALIC PHI SYMBOL
      "\u1D754",  # (𝝔; 𝝔; 𝝔; ρ; ρ; ) MATHEMATICAL BOLD ITALIC RHO SYMBOL
      "\u1D755",  # (𝝕; 𝝕; 𝝕; π; π; ) MATHEMATICAL BOLD ITALIC PI SYMBOL
      "\u1D756",  # (𝝖; 𝝖; 𝝖; Α; Α; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL ALPHA
      "\u1D757",  # (𝝗; 𝝗; 𝝗; Β; Β; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL BETA
      "\u1D758",  # (𝝘; 𝝘; 𝝘; Γ; Γ; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL GAMMA
      "\u1D759",  # (𝝙; 𝝙; 𝝙; Δ; Δ; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL DELTA
      "\u1D75A",  # (𝝚; 𝝚; 𝝚; Ε; Ε; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL EPSILON
      "\u1D75B",  # (𝝛; 𝝛; 𝝛; Ζ; Ζ; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL ZETA
      "\u1D75C",  # (𝝜; 𝝜; 𝝜; Η; Η; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL ETA
      "\u1D75D",  # (𝝝; 𝝝; 𝝝; Θ; Θ; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL THETA
      "\u1D75E",  # (𝝞; 𝝞; 𝝞; Ι; Ι; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL IOTA
      "\u1D75F",  # (𝝟; 𝝟; 𝝟; Κ; Κ; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL KAPPA
      "\u1D760",  # (𝝠; 𝝠; 𝝠; Λ; Λ; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL LAMDA
      "\u1D761",  # (𝝡; 𝝡; 𝝡; Μ; Μ; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL MU
      "\u1D762",  # (𝝢; 𝝢; 𝝢; Ν; Ν; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL NU
      "\u1D763",  # (𝝣; 𝝣; 𝝣; Ξ; Ξ; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL XI
      "\u1D764",  # (𝝤; 𝝤; 𝝤; Ο; Ο; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL OMICRON
      "\u1D765",  # (𝝥; 𝝥; 𝝥; Π; Π; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL PI
      "\u1D766",  # (𝝦; 𝝦; 𝝦; Ρ; Ρ; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL RHO
      "\u1D767",  # (𝝧; 𝝧; 𝝧; Θ; Θ; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL THETA SYMBOL
      "\u1D768",  # (𝝨; 𝝨; 𝝨; Σ; Σ; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL SIGMA
      "\u1D769",  # (𝝩; 𝝩; 𝝩; Τ; Τ; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL TAU
      "\u1D76A",  # (𝝪; 𝝪; 𝝪; Υ; Υ; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL UPSILON
      "\u1D76B",  # (𝝫; 𝝫; 𝝫; Φ; Φ; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL PHI
      "\u1D76C",  # (𝝬; 𝝬; 𝝬; Χ; Χ; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL CHI
      "\u1D76D",  # (𝝭; 𝝭; 𝝭; Ψ; Ψ; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL PSI
      "\u1D76E",  # (𝝮; 𝝮; 𝝮; Ω; Ω; ) MATHEMATICAL SANS-SERIF BOLD CAPITAL OMEGA
      "\u1D76F",  # (𝝯; 𝝯; 𝝯; ∇; ∇; ) MATHEMATICAL SANS-SERIF BOLD NABLA
      "\u1D770",  # (𝝰; 𝝰; 𝝰; α; α; ) MATHEMATICAL SANS-SERIF BOLD SMALL ALPHA
      "\u1D771",  # (𝝱; 𝝱; 𝝱; β; β; ) MATHEMATICAL SANS-SERIF BOLD SMALL BETA
      "\u1D772",  # (𝝲; 𝝲; 𝝲; γ; γ; ) MATHEMATICAL SANS-SERIF BOLD SMALL GAMMA
      "\u1D773",  # (𝝳; 𝝳; 𝝳; δ; δ; ) MATHEMATICAL SANS-SERIF BOLD SMALL DELTA
      "\u1D774",  # (𝝴; 𝝴; 𝝴; ε; ε; ) MATHEMATICAL SANS-SERIF BOLD SMALL EPSILON
      "\u1D775",  # (𝝵; 𝝵; 𝝵; ζ; ζ; ) MATHEMATICAL SANS-SERIF BOLD SMALL ZETA
      "\u1D776",  # (𝝶; 𝝶; 𝝶; η; η; ) MATHEMATICAL SANS-SERIF BOLD SMALL ETA
      "\u1D777",  # (𝝷; 𝝷; 𝝷; θ; θ; ) MATHEMATICAL SANS-SERIF BOLD SMALL THETA
      "\u1D778",  # (𝝸; 𝝸; 𝝸; ι; ι; ) MATHEMATICAL SANS-SERIF BOLD SMALL IOTA
      "\u1D779",  # (𝝹; 𝝹; 𝝹; κ; κ; ) MATHEMATICAL SANS-SERIF BOLD SMALL KAPPA
      "\u1D77A",  # (𝝺; 𝝺; 𝝺; λ; λ; ) MATHEMATICAL SANS-SERIF BOLD SMALL LAMDA
      "\u1D77B",  # (𝝻; 𝝻; 𝝻; μ; μ; ) MATHEMATICAL SANS-SERIF BOLD SMALL MU
      "\u1D77C",  # (𝝼; 𝝼; 𝝼; ν; ν; ) MATHEMATICAL SANS-SERIF BOLD SMALL NU
      "\u1D77D",  # (𝝽; 𝝽; 𝝽; ξ; ξ; ) MATHEMATICAL SANS-SERIF BOLD SMALL XI
      "\u1D77E",  # (𝝾; 𝝾; 𝝾; ο; ο; ) MATHEMATICAL SANS-SERIF BOLD SMALL OMICRON
      "\u1D77F",  # (𝝿; 𝝿; 𝝿; π; π; ) MATHEMATICAL SANS-SERIF BOLD SMALL PI
      "\u1D780",  # (𝞀; 𝞀; 𝞀; ρ; ρ; ) MATHEMATICAL SANS-SERIF BOLD SMALL RHO
      "\u1D781",  # (𝞁; 𝞁; 𝞁; ς; ς; ) MATHEMATICAL SANS-SERIF BOLD SMALL FINAL SIGMA
      "\u1D782",  # (𝞂; 𝞂; 𝞂; σ; σ; ) MATHEMATICAL SANS-SERIF BOLD SMALL SIGMA
      "\u1D783",  # (𝞃; 𝞃; 𝞃; τ; τ; ) MATHEMATICAL SANS-SERIF BOLD SMALL TAU
      "\u1D784",  # (𝞄; 𝞄; 𝞄; υ; υ; ) MATHEMATICAL SANS-SERIF BOLD SMALL UPSILON
      "\u1D785",  # (𝞅; 𝞅; 𝞅; φ; φ; ) MATHEMATICAL SANS-SERIF BOLD SMALL PHI
      "\u1D786",  # (𝞆; 𝞆; 𝞆; χ; χ; ) MATHEMATICAL SANS-SERIF BOLD SMALL CHI
      "\u1D787",  # (𝞇; 𝞇; 𝞇; ψ; ψ; ) MATHEMATICAL SANS-SERIF BOLD SMALL PSI
      "\u1D788",  # (𝞈; 𝞈; 𝞈; ω; ω; ) MATHEMATICAL SANS-SERIF BOLD SMALL OMEGA
      "\u1D789",  # (𝞉; 𝞉; 𝞉; ∂; ∂; ) MATHEMATICAL SANS-SERIF BOLD PARTIAL DIFFERENTIAL
      "\u1D78A",  # (𝞊; 𝞊; 𝞊; ε; ε; ) MATHEMATICAL SANS-SERIF BOLD EPSILON SYMBOL
      "\u1D78B",  # (𝞋; 𝞋; 𝞋; θ; θ; ) MATHEMATICAL SANS-SERIF BOLD THETA SYMBOL
      "\u1D78C",  # (𝞌; 𝞌; 𝞌; κ; κ; ) MATHEMATICAL SANS-SERIF BOLD KAPPA SYMBOL
      "\u1D78D",  # (𝞍; 𝞍; 𝞍; φ; φ; ) MATHEMATICAL SANS-SERIF BOLD PHI SYMBOL
      "\u1D78E",  # (𝞎; 𝞎; 𝞎; ρ; ρ; ) MATHEMATICAL SANS-SERIF BOLD RHO SYMBOL
      "\u1D78F",  # (𝞏; 𝞏; 𝞏; π; π; ) MATHEMATICAL SANS-SERIF BOLD PI SYMBOL
      "\u1D790",  # (𝞐; 𝞐; 𝞐; Α; Α; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL ALPHA
      "\u1D791",  # (𝞑; 𝞑; 𝞑; Β; Β; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL BETA
      "\u1D792",  # (𝞒; 𝞒; 𝞒; Γ; Γ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL GAMMA
      "\u1D793",  # (𝞓; 𝞓; 𝞓; Δ; Δ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL DELTA
      "\u1D794",  # (𝞔; 𝞔; 𝞔; Ε; Ε; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL EPSILON
      "\u1D795",  # (𝞕; 𝞕; 𝞕; Ζ; Ζ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL ZETA
      "\u1D796",  # (𝞖; 𝞖; 𝞖; Η; Η; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL ETA
      "\u1D797",  # (𝞗; 𝞗; 𝞗; Θ; Θ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL THETA
      "\u1D798",  # (𝞘; 𝞘; 𝞘; Ι; Ι; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL IOTA
      "\u1D799",  # (𝞙; 𝞙; 𝞙; Κ; Κ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL KAPPA
      "\u1D79A",  # (𝞚; 𝞚; 𝞚; Λ; Λ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL LAMDA
      "\u1D79B",  # (𝞛; 𝞛; 𝞛; Μ; Μ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL MU
      "\u1D79C",  # (𝞜; 𝞜; 𝞜; Ν; Ν; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL NU
      "\u1D79D",  # (𝞝; 𝞝; 𝞝; Ξ; Ξ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL XI
      "\u1D79E",  # (𝞞; 𝞞; 𝞞; Ο; Ο; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL OMICRON
      "\u1D79F",  # (𝞟; 𝞟; 𝞟; Π; Π; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL PI
      "\u1D7A0",  # (𝞠; 𝞠; 𝞠; Ρ; Ρ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL RHO
      "\u1D7A1",  # (𝞡; 𝞡; 𝞡; Θ; Θ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL THETA SYMBOL
      "\u1D7A2",  # (𝞢; 𝞢; 𝞢; Σ; Σ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL SIGMA
      "\u1D7A3",  # (𝞣; 𝞣; 𝞣; Τ; Τ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL TAU
      "\u1D7A4",  # (𝞤; 𝞤; 𝞤; Υ; Υ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL UPSILON
      "\u1D7A5",  # (𝞥; 𝞥; 𝞥; Φ; Φ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL PHI
      "\u1D7A6",  # (𝞦; 𝞦; 𝞦; Χ; Χ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL CHI
      "\u1D7A7",  # (𝞧; 𝞧; 𝞧; Ψ; Ψ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL PSI
      "\u1D7A8",  # (𝞨; 𝞨; 𝞨; Ω; Ω; ) MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL OMEGA
      "\u1D7A9",  # (𝞩; 𝞩; 𝞩; ∇; ∇; ) MATHEMATICAL SANS-SERIF BOLD ITALIC NABLA
      "\u1D7AA",  # (𝞪; 𝞪; 𝞪; α; α; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL ALPHA
      "\u1D7AB",  # (𝞫; 𝞫; 𝞫; β; β; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL BETA
      "\u1D7AC",  # (𝞬; 𝞬; 𝞬; γ; γ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL GAMMA
      "\u1D7AD",  # (𝞭; 𝞭; 𝞭; δ; δ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL DELTA
      "\u1D7AE",  # (𝞮; 𝞮; 𝞮; ε; ε; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL EPSILON
      "\u1D7AF",  # (𝞯; 𝞯; 𝞯; ζ; ζ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL ZETA
      "\u1D7B0",  # (𝞰; 𝞰; 𝞰; η; η; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL ETA
      "\u1D7B1",  # (𝞱; 𝞱; 𝞱; θ; θ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL THETA
      "\u1D7B2",  # (𝞲; 𝞲; 𝞲; ι; ι; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL IOTA
      "\u1D7B3",  # (𝞳; 𝞳; 𝞳; κ; κ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL KAPPA
      "\u1D7B4",  # (𝞴; 𝞴; 𝞴; λ; λ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL LAMDA
      "\u1D7B5",  # (𝞵; 𝞵; 𝞵; μ; μ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL MU
      "\u1D7B6",  # (𝞶; 𝞶; 𝞶; ν; ν; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL NU
      "\u1D7B7",  # (𝞷; 𝞷; 𝞷; ξ; ξ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL XI
      "\u1D7B8",  # (𝞸; 𝞸; 𝞸; ο; ο; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL OMICRON
      "\u1D7B9",  # (𝞹; 𝞹; 𝞹; π; π; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL PI
      "\u1D7BA",  # (𝞺; 𝞺; 𝞺; ρ; ρ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL RHO
      "\u1D7BB",  # (𝞻; 𝞻; 𝞻; ς; ς; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL FINAL SIGMA
      "\u1D7BC",  # (𝞼; 𝞼; 𝞼; σ; σ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL SIGMA
      "\u1D7BD",  # (𝞽; 𝞽; 𝞽; τ; τ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL TAU
      "\u1D7BE",  # (𝞾; 𝞾; 𝞾; υ; υ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL UPSILON
      "\u1D7BF",  # (𝞿; 𝞿; 𝞿; φ; φ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL PHI
      "\u1D7C0",  # (𝟀; 𝟀; 𝟀; χ; χ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL CHI
      "\u1D7C1",  # (𝟁; 𝟁; 𝟁; ψ; ψ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL PSI
      "\u1D7C2",  # (𝟂; 𝟂; 𝟂; ω; ω; ) MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL OMEGA
      "\u1D7C3",  # (𝟃; 𝟃; 𝟃; ∂; ∂; ) MATHEMATICAL SANS-SERIF BOLD ITALIC PARTIAL DIFFERENTIAL
      "\u1D7C4",  # (𝟄; 𝟄; 𝟄; ε; ε; ) MATHEMATICAL SANS-SERIF BOLD ITALIC EPSILON SYMBOL
      "\u1D7C5",  # (𝟅; 𝟅; 𝟅; θ; θ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC THETA SYMBOL
      "\u1D7C6",  # (𝟆; 𝟆; 𝟆; κ; κ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC KAPPA SYMBOL
      "\u1D7C7",  # (𝟇; 𝟇; 𝟇; φ; φ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC PHI SYMBOL
      "\u1D7C8",  # (𝟈; 𝟈; 𝟈; ρ; ρ; ) MATHEMATICAL SANS-SERIF BOLD ITALIC RHO SYMBOL
      "\u1D7C9",  # (𝟉; 𝟉; 𝟉; π; π; ) MATHEMATICAL SANS-SERIF BOLD ITALIC PI SYMBOL
      "\u1D7CA",  # (𝟊; 𝟊; 𝟊; Ϝ; Ϝ; ) MATHEMATICAL BOLD CAPITAL DIGAMMA
      "\u1D7CB",  # (𝟋; 𝟋; 𝟋; ϝ; ϝ; ) MATHEMATICAL BOLD SMALL DIGAMMA
      "\u1D7CE",  # (𝟎; 𝟎; 𝟎; 0; 0; ) MATHEMATICAL BOLD DIGIT ZERO
      "\u1D7CF",  # (𝟏; 𝟏; 𝟏; 1; 1; ) MATHEMATICAL BOLD DIGIT ONE
      "\u1D7D0",  # (𝟐; 𝟐; 𝟐; 2; 2; ) MATHEMATICAL BOLD DIGIT TWO
      "\u1D7D1",  # (𝟑; 𝟑; 𝟑; 3; 3; ) MATHEMATICAL BOLD DIGIT THREE
      "\u1D7D2",  # (𝟒; 𝟒; 𝟒; 4; 4; ) MATHEMATICAL BOLD DIGIT FOUR
      "\u1D7D3",  # (𝟓; 𝟓; 𝟓; 5; 5; ) MATHEMATICAL BOLD DIGIT FIVE
      "\u1D7D4",  # (𝟔; 𝟔; 𝟔; 6; 6; ) MATHEMATICAL BOLD DIGIT SIX
      "\u1D7D5",  # (𝟕; 𝟕; 𝟕; 7; 7; ) MATHEMATICAL BOLD DIGIT SEVEN
      "\u1D7D6",  # (𝟖; 𝟖; 𝟖; 8; 8; ) MATHEMATICAL BOLD DIGIT EIGHT
      "\u1D7D7",  # (𝟗; 𝟗; 𝟗; 9; 9; ) MATHEMATICAL BOLD DIGIT NINE
      "\u1D7D8",  # (𝟘; 𝟘; 𝟘; 0; 0; ) MATHEMATICAL DOUBLE-STRUCK DIGIT ZERO
      "\u1D7D9",  # (𝟙; 𝟙; 𝟙; 1; 1; ) MATHEMATICAL DOUBLE-STRUCK DIGIT ONE
      "\u1D7DA",  # (𝟚; 𝟚; 𝟚; 2; 2; ) MATHEMATICAL DOUBLE-STRUCK DIGIT TWO
      "\u1D7DB",  # (𝟛; 𝟛; 𝟛; 3; 3; ) MATHEMATICAL DOUBLE-STRUCK DIGIT THREE
      "\u1D7DC",  # (𝟜; 𝟜; 𝟜; 4; 4; ) MATHEMATICAL DOUBLE-STRUCK DIGIT FOUR
      "\u1D7DD",  # (𝟝; 𝟝; 𝟝; 5; 5; ) MATHEMATICAL DOUBLE-STRUCK DIGIT FIVE
      "\u1D7DE",  # (𝟞; 𝟞; 𝟞; 6; 6; ) MATHEMATICAL DOUBLE-STRUCK DIGIT SIX
      "\u1D7DF",  # (𝟟; 𝟟; 𝟟; 7; 7; ) MATHEMATICAL DOUBLE-STRUCK DIGIT SEVEN
      "\u1D7E0",  # (𝟠; 𝟠; 𝟠; 8; 8; ) MATHEMATICAL DOUBLE-STRUCK DIGIT EIGHT
      "\u1D7E1",  # (𝟡; 𝟡; 𝟡; 9; 9; ) MATHEMATICAL DOUBLE-STRUCK DIGIT NINE
      "\u1D7E2",  # (𝟢; 𝟢; 𝟢; 0; 0; ) MATHEMATICAL SANS-SERIF DIGIT ZERO
      "\u1D7E3",  # (𝟣; 𝟣; 𝟣; 1; 1; ) MATHEMATICAL SANS-SERIF DIGIT ONE
      "\u1D7E4",  # (𝟤; 𝟤; 𝟤; 2; 2; ) MATHEMATICAL SANS-SERIF DIGIT TWO
      "\u1D7E5",  # (𝟥; 𝟥; 𝟥; 3; 3; ) MATHEMATICAL SANS-SERIF DIGIT THREE
      "\u1D7E6",  # (𝟦; 𝟦; 𝟦; 4; 4; ) MATHEMATICAL SANS-SERIF DIGIT FOUR
      "\u1D7E7",  # (𝟧; 𝟧; 𝟧; 5; 5; ) MATHEMATICAL SANS-SERIF DIGIT FIVE
      "\u1D7E8",  # (𝟨; 𝟨; 𝟨; 6; 6; ) MATHEMATICAL SANS-SERIF DIGIT SIX
      "\u1D7E9",  # (𝟩; 𝟩; 𝟩; 7; 7; ) MATHEMATICAL SANS-SERIF DIGIT SEVEN
      "\u1D7EA",  # (𝟪; 𝟪; 𝟪; 8; 8; ) MATHEMATICAL SANS-SERIF DIGIT EIGHT
      "\u1D7EB",  # (𝟫; 𝟫; 𝟫; 9; 9; ) MATHEMATICAL SANS-SERIF DIGIT NINE
      "\u1D7EC",  # (𝟬; 𝟬; 𝟬; 0; 0; ) MATHEMATICAL SANS-SERIF BOLD DIGIT ZERO
      "\u1D7ED",  # (𝟭; 𝟭; 𝟭; 1; 1; ) MATHEMATICAL SANS-SERIF BOLD DIGIT ONE
      "\u1D7EE",  # (𝟮; 𝟮; 𝟮; 2; 2; ) MATHEMATICAL SANS-SERIF BOLD DIGIT TWO
      "\u1D7EF",  # (𝟯; 𝟯; 𝟯; 3; 3; ) MATHEMATICAL SANS-SERIF BOLD DIGIT THREE
      "\u1D7F0",  # (𝟰; 𝟰; 𝟰; 4; 4; ) MATHEMATICAL SANS-SERIF BOLD DIGIT FOUR
      "\u1D7F1",  # (𝟱; 𝟱; 𝟱; 5; 5; ) MATHEMATICAL SANS-SERIF BOLD DIGIT FIVE
      "\u1D7F2",  # (𝟲; 𝟲; 𝟲; 6; 6; ) MATHEMATICAL SANS-SERIF BOLD DIGIT SIX
      "\u1D7F3",  # (𝟳; 𝟳; 𝟳; 7; 7; ) MATHEMATICAL SANS-SERIF BOLD DIGIT SEVEN
      "\u1D7F4",  # (𝟴; 𝟴; 𝟴; 8; 8; ) MATHEMATICAL SANS-SERIF BOLD DIGIT EIGHT
      "\u1D7F5",  # (𝟵; 𝟵; 𝟵; 9; 9; ) MATHEMATICAL SANS-SERIF BOLD DIGIT NINE
      "\u1D7F6",  # (𝟶; 𝟶; 𝟶; 0; 0; ) MATHEMATICAL MONOSPACE DIGIT ZERO
      "\u1D7F7",  # (𝟷; 𝟷; 𝟷; 1; 1; ) MATHEMATICAL MONOSPACE DIGIT ONE
      "\u1D7F8",  # (𝟸; 𝟸; 𝟸; 2; 2; ) MATHEMATICAL MONOSPACE DIGIT TWO
      "\u1D7F9",  # (𝟹; 𝟹; 𝟹; 3; 3; ) MATHEMATICAL MONOSPACE DIGIT THREE
      "\u1D7FA",  # (𝟺; 𝟺; 𝟺; 4; 4; ) MATHEMATICAL MONOSPACE DIGIT FOUR
      "\u1D7FB",  # (𝟻; 𝟻; 𝟻; 5; 5; ) MATHEMATICAL MONOSPACE DIGIT FIVE
      "\u1D7FC",  # (𝟼; 𝟼; 𝟼; 6; 6; ) MATHEMATICAL MONOSPACE DIGIT SIX
      "\u1D7FD",  # (𝟽; 𝟽; 𝟽; 7; 7; ) MATHEMATICAL MONOSPACE DIGIT SEVEN
      "\u1D7FE",  # (𝟾; 𝟾; 𝟾; 8; 8; ) MATHEMATICAL MONOSPACE DIGIT EIGHT
      "\u1D7FF",  # (𝟿; 𝟿; 𝟿; 9; 9; ) MATHEMATICAL MONOSPACE DIGIT NINE
      "\u1EE00",  # (𞸀; 𞸀; 𞸀; ا; ا; ) ARABIC MATHEMATICAL ALEF
      "\u1EE01",  # (𞸁; 𞸁; 𞸁; ب; ب; ) ARABIC MATHEMATICAL BEH
      "\u1EE02",  # (𞸂; 𞸂; 𞸂; ج; ج; ) ARABIC MATHEMATICAL JEEM
      "\u1EE03",  # (𞸃; 𞸃; 𞸃; د; د; ) ARABIC MATHEMATICAL DAL
      "\u1EE05",  # (𞸅; 𞸅; 𞸅; و; و; ) ARABIC MATHEMATICAL WAW
      "\u1EE06",  # (𞸆; 𞸆; 𞸆; ز; ز; ) ARABIC MATHEMATICAL ZAIN
      "\u1EE07",  # (𞸇; 𞸇; 𞸇; ح; ح; ) ARABIC MATHEMATICAL HAH
      "\u1EE08",  # (𞸈; 𞸈; 𞸈; ط; ط; ) ARABIC MATHEMATICAL TAH
      "\u1EE09",  # (𞸉; 𞸉; 𞸉; ي; ي; ) ARABIC MATHEMATICAL YEH
      "\u1EE0A",  # (𞸊; 𞸊; 𞸊; ك; ك; ) ARABIC MATHEMATICAL KAF
      "\u1EE0B",  # (𞸋; 𞸋; 𞸋; ل; ل; ) ARABIC MATHEMATICAL LAM
      "\u1EE0C",  # (𞸌; 𞸌; 𞸌; م; م; ) ARABIC MATHEMATICAL MEEM
      "\u1EE0D",  # (𞸍; 𞸍; 𞸍; ن; ن; ) ARABIC MATHEMATICAL NOON
      "\u1EE0E",  # (𞸎; 𞸎; 𞸎; س; س; ) ARABIC MATHEMATICAL SEEN
      "\u1EE0F",  # (𞸏; 𞸏; 𞸏; ع; ع; ) ARABIC MATHEMATICAL AIN
      "\u1EE10",  # (𞸐; 𞸐; 𞸐; ف; ف; ) ARABIC MATHEMATICAL FEH
      "\u1EE11",  # (𞸑; 𞸑; 𞸑; ص; ص; ) ARABIC MATHEMATICAL SAD
      "\u1EE12",  # (𞸒; 𞸒; 𞸒; ق; ق; ) ARABIC MATHEMATICAL QAF
      "\u1EE13",  # (𞸓; 𞸓; 𞸓; ر; ر; ) ARABIC MATHEMATICAL REH
      "\u1EE14",  # (𞸔; 𞸔; 𞸔; ش; ش; ) ARABIC MATHEMATICAL SHEEN
      "\u1EE15",  # (𞸕; 𞸕; 𞸕; ت; ت; ) ARABIC MATHEMATICAL TEH
      "\u1EE16",  # (𞸖; 𞸖; 𞸖; ث; ث; ) ARABIC MATHEMATICAL THEH
      "\u1EE17",  # (𞸗; 𞸗; 𞸗; خ; خ; ) ARABIC MATHEMATICAL KHAH
      "\u1EE18",  # (𞸘; 𞸘; 𞸘; ذ; ذ; ) ARABIC MATHEMATICAL THAL
      "\u1EE19",  # (𞸙; 𞸙; 𞸙; ض; ض; ) ARABIC MATHEMATICAL DAD
      "\u1EE1A",  # (𞸚; 𞸚; 𞸚; ظ; ظ; ) ARABIC MATHEMATICAL ZAH
      "\u1EE1B",  # (𞸛; 𞸛; 𞸛; غ; غ; ) ARABIC MATHEMATICAL GHAIN
      "\u1EE1C",  # (𞸜; 𞸜; 𞸜; ٮ; ٮ; ) ARABIC MATHEMATICAL DOTLESS BEH
      "\u1EE1D",  # (𞸝; 𞸝; 𞸝; ں; ں; ) ARABIC MATHEMATICAL DOTLESS NOON
      "\u1EE1E",  # (𞸞; 𞸞; 𞸞; ڡ; ڡ; ) ARABIC MATHEMATICAL DOTLESS FEH
      "\u1EE1F",  # (𞸟; 𞸟; 𞸟; ٯ; ٯ; ) ARABIC MATHEMATICAL DOTLESS QAF
      "\u1EE21",  # (𞸡; 𞸡; 𞸡; ب; ب; ) ARABIC MATHEMATICAL INITIAL BEH
      "\u1EE22",  # (𞸢; 𞸢; 𞸢; ج; ج; ) ARABIC MATHEMATICAL INITIAL JEEM
      "\u1EE24",  # (𞸤; 𞸤; 𞸤; ه; ه; ) ARABIC MATHEMATICAL INITIAL HEH
      "\u1EE27",  # (𞸧; 𞸧; 𞸧; ح; ح; ) ARABIC MATHEMATICAL INITIAL HAH
      "\u1EE29",  # (𞸩; 𞸩; 𞸩; ي; ي; ) ARABIC MATHEMATICAL INITIAL YEH
      "\u1EE2A",  # (𞸪; 𞸪; 𞸪; ك; ك; ) ARABIC MATHEMATICAL INITIAL KAF
      "\u1EE2B",  # (𞸫; 𞸫; 𞸫; ل; ل; ) ARABIC MATHEMATICAL INITIAL LAM
      "\u1EE2C",  # (𞸬; 𞸬; 𞸬; م; م; ) ARABIC MATHEMATICAL INITIAL MEEM
      "\u1EE2D",  # (𞸭; 𞸭; 𞸭; ن; ن; ) ARABIC MATHEMATICAL INITIAL NOON
      "\u1EE2E",  # (𞸮; 𞸮; 𞸮; س; س; ) ARABIC MATHEMATICAL INITIAL SEEN
      "\u1EE2F",  # (𞸯; 𞸯; 𞸯; ع; ع; ) ARABIC MATHEMATICAL INITIAL AIN
      "\u1EE30",  # (𞸰; 𞸰; 𞸰; ف; ف; ) ARABIC MATHEMATICAL INITIAL FEH
      "\u1EE31",  # (𞸱; 𞸱; 𞸱; ص; ص; ) ARABIC MATHEMATICAL INITIAL SAD
      "\u1EE32",  # (𞸲; 𞸲; 𞸲; ق; ق; ) ARABIC MATHEMATICAL INITIAL QAF
      "\u1EE34",  # (𞸴; 𞸴; 𞸴; ش; ش; ) ARABIC MATHEMATICAL INITIAL SHEEN
      "\u1EE35",  # (𞸵; 𞸵; 𞸵; ت; ت; ) ARABIC MATHEMATICAL INITIAL TEH
      "\u1EE36",  # (𞸶; 𞸶; 𞸶; ث; ث; ) ARABIC MATHEMATICAL INITIAL THEH
      "\u1EE37",  # (𞸷; 𞸷; 𞸷; خ; خ; ) ARABIC MATHEMATICAL INITIAL KHAH
      "\u1EE39",  # (𞸹; 𞸹; 𞸹; ض; ض; ) ARABIC MATHEMATICAL INITIAL DAD
      "\u1EE3B",  # (𞸻; 𞸻; 𞸻; غ; غ; ) ARABIC MATHEMATICAL INITIAL GHAIN
      "\u1EE42",  # (𞹂; 𞹂; 𞹂; ج; ج; ) ARABIC MATHEMATICAL TAILED JEEM
      "\u1EE47",  # (𞹇; 𞹇; 𞹇; ح; ح; ) ARABIC MATHEMATICAL TAILED HAH
      "\u1EE49",  # (𞹉; 𞹉; 𞹉; ي; ي; ) ARABIC MATHEMATICAL TAILED YEH
      "\u1EE4B",  # (𞹋; 𞹋; 𞹋; ل; ل; ) ARABIC MATHEMATICAL TAILED LAM
      "\u1EE4D",  # (𞹍; 𞹍; 𞹍; ن; ن; ) ARABIC MATHEMATICAL TAILED NOON
      "\u1EE4E",  # (𞹎; 𞹎; 𞹎; س; س; ) ARABIC MATHEMATICAL TAILED SEEN
      "\u1EE4F",  # (𞹏; 𞹏; 𞹏; ع; ع; ) ARABIC MATHEMATICAL TAILED AIN
      "\u1EE51",  # (𞹑; 𞹑; 𞹑; ص; ص; ) ARABIC MATHEMATICAL TAILED SAD
      "\u1EE52",  # (𞹒; 𞹒; 𞹒; ق; ق; ) ARABIC MATHEMATICAL TAILED QAF
      "\u1EE54",  # (𞹔; 𞹔; 𞹔; ش; ش; ) ARABIC MATHEMATICAL TAILED SHEEN
      "\u1EE57",  # (𞹗; 𞹗; 𞹗; خ; خ; ) ARABIC MATHEMATICAL TAILED KHAH
      "\u1EE59",  # (𞹙; 𞹙; 𞹙; ض; ض; ) ARABIC MATHEMATICAL TAILED DAD
      "\u1EE5B",  # (𞹛; 𞹛; 𞹛; غ; غ; ) ARABIC MATHEMATICAL TAILED GHAIN
      "\u1EE5D",  # (𞹝; 𞹝; 𞹝; ں; ں; ) ARABIC MATHEMATICAL TAILED DOTLESS NOON
      "\u1EE5F",  # (𞹟; 𞹟; 𞹟; ٯ; ٯ; ) ARABIC MATHEMATICAL TAILED DOTLESS QAF
      "\u1EE61",  # (𞹡; 𞹡; 𞹡; ب; ب; ) ARABIC MATHEMATICAL STRETCHED BEH
      "\u1EE62",  # (𞹢; 𞹢; 𞹢; ج; ج; ) ARABIC MATHEMATICAL STRETCHED JEEM
      "\u1EE64",  # (𞹤; 𞹤; 𞹤; ه; ه; ) ARABIC MATHEMATICAL STRETCHED HEH
      "\u1EE67",  # (𞹧; 𞹧; 𞹧; ح; ح; ) ARABIC MATHEMATICAL STRETCHED HAH
      "\u1EE68",  # (𞹨; 𞹨; 𞹨; ط; ط; ) ARABIC MATHEMATICAL STRETCHED TAH
      "\u1EE69",  # (𞹩; 𞹩; 𞹩; ي; ي; ) ARABIC MATHEMATICAL STRETCHED YEH
      "\u1EE6A",  # (𞹪; 𞹪; 𞹪; ك; ك; ) ARABIC MATHEMATICAL STRETCHED KAF
      "\u1EE6C",  # (𞹬; 𞹬; 𞹬; م; م; ) ARABIC MATHEMATICAL STRETCHED MEEM
      "\u1EE6D",  # (𞹭; 𞹭; 𞹭; ن; ن; ) ARABIC MATHEMATICAL STRETCHED NOON
      "\u1EE6E",  # (𞹮; 𞹮; 𞹮; س; س; ) ARABIC MATHEMATICAL STRETCHED SEEN
      "\u1EE6F",  # (𞹯; 𞹯; 𞹯; ع; ع; ) ARABIC MATHEMATICAL STRETCHED AIN
      "\u1EE70",  # (𞹰; 𞹰; 𞹰; ف; ف; ) ARABIC MATHEMATICAL STRETCHED FEH
      "\u1EE71",  # (𞹱; 𞹱; 𞹱; ص; ص; ) ARABIC MATHEMATICAL STRETCHED SAD
      "\u1EE72",  # (𞹲; 𞹲; 𞹲; ق; ق; ) ARABIC MATHEMATICAL STRETCHED QAF
      "\u1EE74",  # (𞹴; 𞹴; 𞹴; ش; ش; ) ARABIC MATHEMATICAL STRETCHED SHEEN
      "\u1EE75",  # (𞹵; 𞹵; 𞹵; ت; ت; ) ARABIC MATHEMATICAL STRETCHED TEH
      "\u1EE76",  # (𞹶; 𞹶; 𞹶; ث; ث; ) ARABIC MATHEMATICAL STRETCHED THEH
      "\u1EE77",  # (𞹷; 𞹷; 𞹷; خ; خ; ) ARABIC MATHEMATICAL STRETCHED KHAH
      "\u1EE79",  # (𞹹; 𞹹; 𞹹; ض; ض; ) ARABIC MATHEMATICAL STRETCHED DAD
      "\u1EE7A",  # (𞹺; 𞹺; 𞹺; ظ; ظ; ) ARABIC MATHEMATICAL STRETCHED ZAH
      "\u1EE7B",  # (𞹻; 𞹻; 𞹻; غ; غ; ) ARABIC MATHEMATICAL STRETCHED GHAIN
      "\u1EE7C",  # (𞹼; 𞹼; 𞹼; ٮ; ٮ; ) ARABIC MATHEMATICAL STRETCHED DOTLESS BEH
      "\u1EE7E",  # (𞹾; 𞹾; 𞹾; ڡ; ڡ; ) ARABIC MATHEMATICAL STRETCHED DOTLESS FEH
      "\u1EE80",  # (𞺀; 𞺀; 𞺀; ا; ا; ) ARABIC MATHEMATICAL LOOPED ALEF
      "\u1EE81",  # (𞺁; 𞺁; 𞺁; ب; ب; ) ARABIC MATHEMATICAL LOOPED BEH
      "\u1EE82",  # (𞺂; 𞺂; 𞺂; ج; ج; ) ARABIC MATHEMATICAL LOOPED JEEM
      "\u1EE83",  # (𞺃; 𞺃; 𞺃; د; د; ) ARABIC MATHEMATICAL LOOPED DAL
      "\u1EE84",  # (𞺄; 𞺄; 𞺄; ه; ه; ) ARABIC MATHEMATICAL LOOPED HEH
      "\u1EE85",  # (𞺅; 𞺅; 𞺅; و; و; ) ARABIC MATHEMATICAL LOOPED WAW
      "\u1EE86",  # (𞺆; 𞺆; 𞺆; ز; ز; ) ARABIC MATHEMATICAL LOOPED ZAIN
      "\u1EE87",  # (𞺇; 𞺇; 𞺇; ح; ح; ) ARABIC MATHEMATICAL LOOPED HAH
      "\u1EE88",  # (𞺈; 𞺈; 𞺈; ط; ط; ) ARABIC MATHEMATICAL LOOPED TAH
      "\u1EE89",  # (𞺉; 𞺉; 𞺉; ي; ي; ) ARABIC MATHEMATICAL LOOPED YEH
      "\u1EE8B",  # (𞺋; 𞺋; 𞺋; ل; ل; ) ARABIC MATHEMATICAL LOOPED LAM
      "\u1EE8C",  # (𞺌; 𞺌; 𞺌; م; م; ) ARABIC MATHEMATICAL LOOPED MEEM
      "\u1EE8D",  # (𞺍; 𞺍; 𞺍; ن; ن; ) ARABIC MATHEMATICAL LOOPED NOON
      "\u1EE8E",  # (𞺎; 𞺎; 𞺎; س; س; ) ARABIC MATHEMATICAL LOOPED SEEN
      "\u1EE8F",  # (𞺏; 𞺏; 𞺏; ع; ع; ) ARABIC MATHEMATICAL LOOPED AIN
      "\u1EE90",  # (𞺐; 𞺐; 𞺐; ف; ف; ) ARABIC MATHEMATICAL LOOPED FEH
      "\u1EE91",  # (𞺑; 𞺑; 𞺑; ص; ص; ) ARABIC MATHEMATICAL LOOPED SAD
      "\u1EE92",  # (𞺒; 𞺒; 𞺒; ق; ق; ) ARABIC MATHEMATICAL LOOPED QAF
      "\u1EE93",  # (𞺓; 𞺓; 𞺓; ر; ر; ) ARABIC MATHEMATICAL LOOPED REH
      "\u1EE94",  # (𞺔; 𞺔; 𞺔; ش; ش; ) ARABIC MATHEMATICAL LOOPED SHEEN
      "\u1EE95",  # (𞺕; 𞺕; 𞺕; ت; ت; ) ARABIC MATHEMATICAL LOOPED TEH
      "\u1EE96",  # (𞺖; 𞺖; 𞺖; ث; ث; ) ARABIC MATHEMATICAL LOOPED THEH
      "\u1EE97",  # (𞺗; 𞺗; 𞺗; خ; خ; ) ARABIC MATHEMATICAL LOOPED KHAH
      "\u1EE98",  # (𞺘; 𞺘; 𞺘; ذ; ذ; ) ARABIC MATHEMATICAL LOOPED THAL
      "\u1EE99",  # (𞺙; 𞺙; 𞺙; ض; ض; ) ARABIC MATHEMATICAL LOOPED DAD
      "\u1EE9A",  # (𞺚; 𞺚; 𞺚; ظ; ظ; ) ARABIC MATHEMATICAL LOOPED ZAH
      "\u1EE9B",  # (𞺛; 𞺛; 𞺛; غ; غ; ) ARABIC MATHEMATICAL LOOPED GHAIN
      "\u1EEA1",  # (𞺡; 𞺡; 𞺡; ب; ب; ) ARABIC MATHEMATICAL DOUBLE-STRUCK BEH
      "\u1EEA2",  # (𞺢; 𞺢; 𞺢; ج; ج; ) ARABIC MATHEMATICAL DOUBLE-STRUCK JEEM
      "\u1EEA3",  # (𞺣; 𞺣; 𞺣; د; د; ) ARABIC MATHEMATICAL DOUBLE-STRUCK DAL
      "\u1EEA5",  # (𞺥; 𞺥; 𞺥; و; و; ) ARABIC MATHEMATICAL DOUBLE-STRUCK WAW
      "\u1EEA6",  # (𞺦; 𞺦; 𞺦; ز; ز; ) ARABIC MATHEMATICAL DOUBLE-STRUCK ZAIN
      "\u1EEA7",  # (𞺧; 𞺧; 𞺧; ح; ح; ) ARABIC MATHEMATICAL DOUBLE-STRUCK HAH
      "\u1EEA8",  # (𞺨; 𞺨; 𞺨; ط; ط; ) ARABIC MATHEMATICAL DOUBLE-STRUCK TAH
      "\u1EEA9",  # (𞺩; 𞺩; 𞺩; ي; ي; ) ARABIC MATHEMATICAL DOUBLE-STRUCK YEH
      "\u1EEAB",  # (𞺫; 𞺫; 𞺫; ل; ل; ) ARABIC MATHEMATICAL DOUBLE-STRUCK LAM
      "\u1EEAC",  # (𞺬; 𞺬; 𞺬; م; م; ) ARABIC MATHEMATICAL DOUBLE-STRUCK MEEM
      "\u1EEAD",  # (𞺭; 𞺭; 𞺭; ن; ن; ) ARABIC MATHEMATICAL DOUBLE-STRUCK NOON
      "\u1EEAE",  # (𞺮; 𞺮; 𞺮; س; س; ) ARABIC MATHEMATICAL DOUBLE-STRUCK SEEN
      "\u1EEAF",  # (𞺯; 𞺯; 𞺯; ع; ع; ) ARABIC MATHEMATICAL DOUBLE-STRUCK AIN
      "\u1EEB0",  # (𞺰; 𞺰; 𞺰; ف; ف; ) ARABIC MATHEMATICAL DOUBLE-STRUCK FEH
      "\u1EEB1",  # (𞺱; 𞺱; 𞺱; ص; ص; ) ARABIC MATHEMATICAL DOUBLE-STRUCK SAD
      "\u1EEB2",  # (𞺲; 𞺲; 𞺲; ق; ق; ) ARABIC MATHEMATICAL DOUBLE-STRUCK QAF
      "\u1EEB3",  # (𞺳; 𞺳; 𞺳; ر; ر; ) ARABIC MATHEMATICAL DOUBLE-STRUCK REH
      "\u1EEB4",  # (𞺴; 𞺴; 𞺴; ش; ش; ) ARABIC MATHEMATICAL DOUBLE-STRUCK SHEEN
      "\u1EEB5",  # (𞺵; 𞺵; 𞺵; ت; ت; ) ARABIC MATHEMATICAL DOUBLE-STRUCK TEH
      "\u1EEB6",  # (𞺶; 𞺶; 𞺶; ث; ث; ) ARABIC MATHEMATICAL DOUBLE-STRUCK THEH
      "\u1EEB7",  # (𞺷; 𞺷; 𞺷; خ; خ; ) ARABIC MATHEMATICAL DOUBLE-STRUCK KHAH
      "\u1EEB8",  # (𞺸; 𞺸; 𞺸; ذ; ذ; ) ARABIC MATHEMATICAL DOUBLE-STRUCK THAL
      "\u1EEB9",  # (𞺹; 𞺹; 𞺹; ض; ض; ) ARABIC MATHEMATICAL DOUBLE-STRUCK DAD
      "\u1EEBA",  # (𞺺; 𞺺; 𞺺; ظ; ظ; ) ARABIC MATHEMATICAL DOUBLE-STRUCK ZAH
      "\u1EEBB",  # (𞺻; 𞺻; 𞺻; غ; غ; ) ARABIC MATHEMATICAL DOUBLE-STRUCK GHAIN
      "\u1F100",  # (🄀; 🄀; 🄀; 0.; 0.; ) DIGIT ZERO FULL STOP
      "\u1F101",  # (🄁; 🄁; 🄁; 0,; 0,; ) DIGIT ZERO COMMA
      "\u1F102",  # (🄂; 🄂; 🄂; 1,; 1,; ) DIGIT ONE COMMA
      "\u1F103",  # (🄃; 🄃; 🄃; 2,; 2,; ) DIGIT TWO COMMA
      "\u1F104",  # (🄄; 🄄; 🄄; 3,; 3,; ) DIGIT THREE COMMA
      "\u1F105",  # (🄅; 🄅; 🄅; 4,; 4,; ) DIGIT FOUR COMMA
      "\u1F106",  # (🄆; 🄆; 🄆; 5,; 5,; ) DIGIT FIVE COMMA
      "\u1F107",  # (🄇; 🄇; 🄇; 6,; 6,; ) DIGIT SIX COMMA
      "\u1F108",  # (🄈; 🄈; 🄈; 7,; 7,; ) DIGIT SEVEN COMMA
      "\u1F109",  # (🄉; 🄉; 🄉; 8,; 8,; ) DIGIT EIGHT COMMA
      "\u1F10A",  # (🄊; 🄊; 🄊; 9,; 9,; ) DIGIT NINE COMMA
      "\u1F110",  # (🄐; 🄐; 🄐; (A); (A); ) PARENTHESIZED LATIN CAPITAL LETTER A
      "\u1F111",  # (🄑; 🄑; 🄑; (B); (B); ) PARENTHESIZED LATIN CAPITAL LETTER B
      "\u1F112",  # (🄒; 🄒; 🄒; (C); (C); ) PARENTHESIZED LATIN CAPITAL LETTER C
      "\u1F113",  # (🄓; 🄓; 🄓; (D); (D); ) PARENTHESIZED LATIN CAPITAL LETTER D
      "\u1F114",  # (🄔; 🄔; 🄔; (E); (E); ) PARENTHESIZED LATIN CAPITAL LETTER E
      "\u1F115",  # (🄕; 🄕; 🄕; (F); (F); ) PARENTHESIZED LATIN CAPITAL LETTER F
      "\u1F116",  # (🄖; 🄖; 🄖; (G); (G); ) PARENTHESIZED LATIN CAPITAL LETTER G
      "\u1F117",  # (🄗; 🄗; 🄗; (H); (H); ) PARENTHESIZED LATIN CAPITAL LETTER H
      "\u1F118",  # (🄘; 🄘; 🄘; (I); (I); ) PARENTHESIZED LATIN CAPITAL LETTER I
      "\u1F119",  # (🄙; 🄙; 🄙; (J); (J); ) PARENTHESIZED LATIN CAPITAL LETTER J
      "\u1F11A",  # (🄚; 🄚; 🄚; (K); (K); ) PARENTHESIZED LATIN CAPITAL LETTER K
      "\u1F11B",  # (🄛; 🄛; 🄛; (L); (L); ) PARENTHESIZED LATIN CAPITAL LETTER L
      "\u1F11C",  # (🄜; 🄜; 🄜; (M); (M); ) PARENTHESIZED LATIN CAPITAL LETTER M
      "\u1F11D",  # (🄝; 🄝; 🄝; (N); (N); ) PARENTHESIZED LATIN CAPITAL LETTER N
      "\u1F11E",  # (🄞; 🄞; 🄞; (O); (O); ) PARENTHESIZED LATIN CAPITAL LETTER O
      "\u1F11F",  # (🄟; 🄟; 🄟; (P); (P); ) PARENTHESIZED LATIN CAPITAL LETTER P
      "\u1F120",  # (🄠; 🄠; 🄠; (Q); (Q); ) PARENTHESIZED LATIN CAPITAL LETTER Q
      "\u1F121",  # (🄡; 🄡; 🄡; (R); (R); ) PARENTHESIZED LATIN CAPITAL LETTER R
      "\u1F122",  # (🄢; 🄢; 🄢; (S); (S); ) PARENTHESIZED LATIN CAPITAL LETTER S
      "\u1F123",  # (🄣; 🄣; 🄣; (T); (T); ) PARENTHESIZED LATIN CAPITAL LETTER T
      "\u1F124",  # (🄤; 🄤; 🄤; (U); (U); ) PARENTHESIZED LATIN CAPITAL LETTER U
      "\u1F125",  # (🄥; 🄥; 🄥; (V); (V); ) PARENTHESIZED LATIN CAPITAL LETTER V
      "\u1F126",  # (🄦; 🄦; 🄦; (W); (W); ) PARENTHESIZED LATIN CAPITAL LETTER W
      "\u1F127",  # (🄧; 🄧; 🄧; (X); (X); ) PARENTHESIZED LATIN CAPITAL LETTER X
      "\u1F128",  # (🄨; 🄨; 🄨; (Y); (Y); ) PARENTHESIZED LATIN CAPITAL LETTER Y
      "\u1F129",  # (🄩; 🄩; 🄩; (Z); (Z); ) PARENTHESIZED LATIN CAPITAL LETTER Z
      "\u1F12A",  # (🄪; 🄪; 🄪; 〔S〕; 〔S〕; ) TORTOISE SHELL BRACKETED LATIN CAPITAL LETTER S
      "\u1F12B",  # (🄫; 🄫; 🄫; C; C; ) CIRCLED ITALIC LATIN CAPITAL LETTER C
      "\u1F12C",  # (🄬; 🄬; 🄬; R; R; ) CIRCLED ITALIC LATIN CAPITAL LETTER R
      "\u1F12D",  # (🄭; 🄭; 🄭; CD; CD; ) CIRCLED CD
      "\u1F12E",  # (🄮; 🄮; 🄮; WZ; WZ; ) CIRCLED WZ
      "\u1F130",  # (🄰; 🄰; 🄰; A; A; ) SQUARED LATIN CAPITAL LETTER A
      "\u1F131",  # (🄱; 🄱; 🄱; B; B; ) SQUARED LATIN CAPITAL LETTER B
      "\u1F132",  # (🄲; 🄲; 🄲; C; C; ) SQUARED LATIN CAPITAL LETTER C
      "\u1F133",  # (🄳; 🄳; 🄳; D; D; ) SQUARED LATIN CAPITAL LETTER D
      "\u1F134",  # (🄴; 🄴; 🄴; E; E; ) SQUARED LATIN CAPITAL LETTER E
      "\u1F135",  # (🄵; 🄵; 🄵; F; F; ) SQUARED LATIN CAPITAL LETTER F
      "\u1F136",  # (🄶; 🄶; 🄶; G; G; ) SQUARED LATIN CAPITAL LETTER G
      "\u1F137",  # (🄷; 🄷; 🄷; H; H; ) SQUARED LATIN CAPITAL LETTER H
      "\u1F138",  # (🄸; 🄸; 🄸; I; I; ) SQUARED LATIN CAPITAL LETTER I
      "\u1F139",  # (🄹; 🄹; 🄹; J; J; ) SQUARED LATIN CAPITAL LETTER J
      "\u1F13A",  # (🄺; 🄺; 🄺; K; K; ) SQUARED LATIN CAPITAL LETTER K
      "\u1F13B",  # (🄻; 🄻; 🄻; L; L; ) SQUARED LATIN CAPITAL LETTER L
      "\u1F13C",  # (🄼; 🄼; 🄼; M; M; ) SQUARED LATIN CAPITAL LETTER M
      "\u1F13D",  # (🄽; 🄽; 🄽; N; N; ) SQUARED LATIN CAPITAL LETTER N
      "\u1F13E",  # (🄾; 🄾; 🄾; O; O; ) SQUARED LATIN CAPITAL LETTER O
      "\u1F13F",  # (🄿; 🄿; 🄿; P; P; ) SQUARED LATIN CAPITAL LETTER P
      "\u1F140",  # (🅀; 🅀; 🅀; Q; Q; ) SQUARED LATIN CAPITAL LETTER Q
      "\u1F141",  # (🅁; 🅁; 🅁; R; R; ) SQUARED LATIN CAPITAL LETTER R
      "\u1F142",  # (🅂; 🅂; 🅂; S; S; ) SQUARED LATIN CAPITAL LETTER S
      "\u1F143",  # (🅃; 🅃; 🅃; T; T; ) SQUARED LATIN CAPITAL LETTER T
      "\u1F144",  # (🅄; 🅄; 🅄; U; U; ) SQUARED LATIN CAPITAL LETTER U
      "\u1F145",  # (🅅; 🅅; 🅅; V; V; ) SQUARED LATIN CAPITAL LETTER V
      "\u1F146",  # (🅆; 🅆; 🅆; W; W; ) SQUARED LATIN CAPITAL LETTER W
      "\u1F147",  # (🅇; 🅇; 🅇; X; X; ) SQUARED LATIN CAPITAL LETTER X
      "\u1F148",  # (🅈; 🅈; 🅈; Y; Y; ) SQUARED LATIN CAPITAL LETTER Y
      "\u1F149",  # (🅉; 🅉; 🅉; Z; Z; ) SQUARED LATIN CAPITAL LETTER Z
      "\u1F14A",  # (🅊; 🅊; 🅊; HV; HV; ) SQUARED HV
      "\u1F14B",  # (🅋; 🅋; 🅋; MV; MV; ) SQUARED MV
      "\u1F14C",  # (🅌; 🅌; 🅌; SD; SD; ) SQUARED SD
      "\u1F14D",  # (🅍; 🅍; 🅍; SS; SS; ) SQUARED SS
      "\u1F14E",  # (🅎; 🅎; 🅎; PPV; PPV; ) SQUARED PPV
      "\u1F14F",  # (🅏; 🅏; 🅏; WC; WC; ) SQUARED WC
      "\u1F16A",  # (🅪; 🅪; 🅪; MC; MC; ) RAISED MC SIGN
      "\u1F16B",  # (🅫; 🅫; 🅫; MD; MD; ) RAISED MD SIGN
      "\u1F190",  # (🆐; 🆐; 🆐; DJ; DJ; ) SQUARE DJ
      "\u1F200",  # (🈀; 🈀; 🈀; ほか; ほか; ) SQUARE HIRAGANA HOKA
      "\u1F201",  # (🈁; 🈁; 🈁; ココ; ココ; ) SQUARED KATAKANA KOKO
      "\u1F202",  # (🈂; 🈂; 🈂; サ; サ; ) SQUARED KATAKANA SA
      "\u1F210",  # (🈐; 🈐; 🈐; 手; 手; ) SQUARED CJK UNIFIED IDEOGRAPH-624B
      "\u1F211",  # (🈑; 🈑; 🈑; 字; 字; ) SQUARED CJK UNIFIED IDEOGRAPH-5B57
      "\u1F212",  # (🈒; 🈒; 🈒; 双; 双; ) SQUARED CJK UNIFIED IDEOGRAPH-53CC
      "\u1F213",  # (🈓; 🈓; 🈓; デ; テ◌゙; ) SQUARED KATAKANA DE
      "\u1F214",  # (🈔; 🈔; 🈔; 二; 二; ) SQUARED CJK UNIFIED IDEOGRAPH-4E8C
      "\u1F215",  # (🈕; 🈕; 🈕; 多; 多; ) SQUARED CJK UNIFIED IDEOGRAPH-591A
      "\u1F216",  # (🈖; 🈖; 🈖; 解; 解; ) SQUARED CJK UNIFIED IDEOGRAPH-89E3
      "\u1F217",  # (🈗; 🈗; 🈗; 天; 天; ) SQUARED CJK UNIFIED IDEOGRAPH-5929
      "\u1F218",  # (🈘; 🈘; 🈘; 交; 交; ) SQUARED CJK UNIFIED IDEOGRAPH-4EA4
      "\u1F219",  # (🈙; 🈙; 🈙; 映; 映; ) SQUARED CJK UNIFIED IDEOGRAPH-6620
      "\u1F21A",  # (🈚; 🈚; 🈚; 無; 無; ) SQUARED CJK UNIFIED IDEOGRAPH-7121
      "\u1F21B",  # (🈛; 🈛; 🈛; 料; 料; ) SQUARED CJK UNIFIED IDEOGRAPH-6599
      "\u1F21C",  # (🈜; 🈜; 🈜; 前; 前; ) SQUARED CJK UNIFIED IDEOGRAPH-524D
      "\u1F21D",  # (🈝; 🈝; 🈝; 後; 後; ) SQUARED CJK UNIFIED IDEOGRAPH-5F8C
      "\u1F21E",  # (🈞; 🈞; 🈞; 再; 再; ) SQUARED CJK UNIFIED IDEOGRAPH-518D
      "\u1F21F",  # (🈟; 🈟; 🈟; 新; 新; ) SQUARED CJK UNIFIED IDEOGRAPH-65B0
      "\u1F220",  # (🈠; 🈠; 🈠; 初; 初; ) SQUARED CJK UNIFIED IDEOGRAPH-521D
      "\u1F221",  # (🈡; 🈡; 🈡; 終; 終; ) SQUARED CJK UNIFIED IDEOGRAPH-7D42
      "\u1F222",  # (🈢; 🈢; 🈢; 生; 生; ) SQUARED CJK UNIFIED IDEOGRAPH-751F
      "\u1F223",  # (🈣; 🈣; 🈣; 販; 販; ) SQUARED CJK UNIFIED IDEOGRAPH-8CA9
      "\u1F224",  # (🈤; 🈤; 🈤; 声; 声; ) SQUARED CJK UNIFIED IDEOGRAPH-58F0
      "\u1F225",  # (🈥; 🈥; 🈥; 吹; 吹; ) SQUARED CJK UNIFIED IDEOGRAPH-5439
      "\u1F226",  # (🈦; 🈦; 🈦; 演; 演; ) SQUARED CJK UNIFIED IDEOGRAPH-6F14
      "\u1F227",  # (🈧; 🈧; 🈧; 投; 投; ) SQUARED CJK UNIFIED IDEOGRAPH-6295
      "\u1F228",  # (🈨; 🈨; 🈨; 捕; 捕; ) SQUARED CJK UNIFIED IDEOGRAPH-6355
      "\u1F229",  # (🈩; 🈩; 🈩; 一; 一; ) SQUARED CJK UNIFIED IDEOGRAPH-4E00
      "\u1F22A",  # (🈪; 🈪; 🈪; 三; 三; ) SQUARED CJK UNIFIED IDEOGRAPH-4E09
      "\u1F22B",  # (🈫; 🈫; 🈫; 遊; 遊; ) SQUARED CJK UNIFIED IDEOGRAPH-904A
      "\u1F22C",  # (🈬; 🈬; 🈬; 左; 左; ) SQUARED CJK UNIFIED IDEOGRAPH-5DE6
      "\u1F22D",  # (🈭; 🈭; 🈭; 中; 中; ) SQUARED CJK UNIFIED IDEOGRAPH-4E2D
      "\u1F22E",  # (🈮; 🈮; 🈮; 右; 右; ) SQUARED CJK UNIFIED IDEOGRAPH-53F3
      "\u1F22F",  # (🈯; 🈯; 🈯; 指; 指; ) SQUARED CJK UNIFIED IDEOGRAPH-6307
      "\u1F230",  # (🈰; 🈰; 🈰; 走; 走; ) SQUARED CJK UNIFIED IDEOGRAPH-8D70
      "\u1F231",  # (🈱; 🈱; 🈱; 打; 打; ) SQUARED CJK UNIFIED IDEOGRAPH-6253
      "\u1F232",  # (🈲; 🈲; 🈲; 禁; 禁; ) SQUARED CJK UNIFIED IDEOGRAPH-7981
      "\u1F233",  # (🈳; 🈳; 🈳; 空; 空; ) SQUARED CJK UNIFIED IDEOGRAPH-7A7A
      "\u1F234",  # (🈴; 🈴; 🈴; 合; 合; ) SQUARED CJK UNIFIED IDEOGRAPH-5408
      "\u1F235",  # (🈵; 🈵; 🈵; 満; 満; ) SQUARED CJK UNIFIED IDEOGRAPH-6E80
      "\u1F236",  # (🈶; 🈶; 🈶; 有; 有; ) SQUARED CJK UNIFIED IDEOGRAPH-6709
      "\u1F237",  # (🈷; 🈷; 🈷; 月; 月; ) SQUARED CJK UNIFIED IDEOGRAPH-6708
      "\u1F238",  # (🈸; 🈸; 🈸; 申; 申; ) SQUARED CJK UNIFIED IDEOGRAPH-7533
      "\u1F239",  # (🈹; 🈹; 🈹; 割; 割; ) SQUARED CJK UNIFIED IDEOGRAPH-5272
      "\u1F23A",  # (🈺; 🈺; 🈺; 営; 営; ) SQUARED CJK UNIFIED IDEOGRAPH-55B6
      "\u1F23B",  # (🈻; 🈻; 🈻; 配; 配; ) SQUARED CJK UNIFIED IDEOGRAPH-914D
      "\u1F240",  # (🉀; 🉀; 🉀; 〔本〕; 〔本〕; ) TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-672C
      "\u1F241",  # (🉁; 🉁; 🉁; 〔三〕; 〔三〕; ) TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-4E09
      "\u1F242",  # (🉂; 🉂; 🉂; 〔二〕; 〔二〕; ) TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-4E8C
      "\u1F243",  # (🉃; 🉃; 🉃; 〔安〕; 〔安〕; ) TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-5B89
      "\u1F244",  # (🉄; 🉄; 🉄; 〔点〕; 〔点〕; ) TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-70B9
      "\u1F245",  # (🉅; 🉅; 🉅; 〔打〕; 〔打〕; ) TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-6253
      "\u1F246",  # (🉆; 🉆; 🉆; 〔盗〕; 〔盗〕; ) TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-76D7
      "\u1F247",  # (🉇; 🉇; 🉇; 〔勝〕; 〔勝〕; ) TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-52DD
      "\u1F248",  # (🉈; 🉈; 🉈; 〔敗〕; 〔敗〕; ) TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-6557
      "\u1F250",  # (🉐; 🉐; 🉐; 得; 得; ) CIRCLED IDEOGRAPH ADVANTAGE
      "\u1F251",  # (🉑; 🉑; 🉑; 可; 可; ) CIRCLED IDEOGRAPH ACCEPT
      "\u2F800",  # (丽; 丽; 丽; 丽; 丽; ) CJK COMPATIBILITY IDEOGRAPH-2F800
      "\u2F801",  # (丸; 丸; 丸; 丸; 丸; ) CJK COMPATIBILITY IDEOGRAPH-2F801
      "\u2F802",  # (乁; 乁; 乁; 乁; 乁; ) CJK COMPATIBILITY IDEOGRAPH-2F802
      "\u2F803",  # (𠄢; 𠄢; 𠄢; 𠄢; 𠄢; ) CJK COMPATIBILITY IDEOGRAPH-2F803
      "\u2F804",  # (你; 你; 你; 你; 你; ) CJK COMPATIBILITY IDEOGRAPH-2F804
      "\u2F805",  # (侮; 侮; 侮; 侮; 侮; ) CJK COMPATIBILITY IDEOGRAPH-2F805
      "\u2F806",  # (侻; 侻; 侻; 侻; 侻; ) CJK COMPATIBILITY IDEOGRAPH-2F806
      "\u2F807",  # (倂; 倂; 倂; 倂; 倂; ) CJK COMPATIBILITY IDEOGRAPH-2F807
      "\u2F808",  # (偺; 偺; 偺; 偺; 偺; ) CJK COMPATIBILITY IDEOGRAPH-2F808
      "\u2F809",  # (備; 備; 備; 備; 備; ) CJK COMPATIBILITY IDEOGRAPH-2F809
      "\u2F80A",  # (僧; 僧; 僧; 僧; 僧; ) CJK COMPATIBILITY IDEOGRAPH-2F80A
      "\u2F80B",  # (像; 像; 像; 像; 像; ) CJK COMPATIBILITY IDEOGRAPH-2F80B
      "\u2F80C",  # (㒞; 㒞; 㒞; 㒞; 㒞; ) CJK COMPATIBILITY IDEOGRAPH-2F80C
      "\u2F80D",  # (𠘺; 𠘺; 𠘺; 𠘺; 𠘺; ) CJK COMPATIBILITY IDEOGRAPH-2F80D
      "\u2F80E",  # (免; 免; 免; 免; 免; ) CJK COMPATIBILITY IDEOGRAPH-2F80E
      "\u2F80F",  # (兔; 兔; 兔; 兔; 兔; ) CJK COMPATIBILITY IDEOGRAPH-2F80F
      "\u2F810",  # (兤; 兤; 兤; 兤; 兤; ) CJK COMPATIBILITY IDEOGRAPH-2F810
      "\u2F811",  # (具; 具; 具; 具; 具; ) CJK COMPATIBILITY IDEOGRAPH-2F811
      "\u2F812",  # (𠔜; 𠔜; 𠔜; 𠔜; 𠔜; ) CJK COMPATIBILITY IDEOGRAPH-2F812
      "\u2F813",  # (㒹; 㒹; 㒹; 㒹; 㒹; ) CJK COMPATIBILITY IDEOGRAPH-2F813
      "\u2F814",  # (內; 內; 內; 內; 內; ) CJK COMPATIBILITY IDEOGRAPH-2F814
      "\u2F815",  # (再; 再; 再; 再; 再; ) CJK COMPATIBILITY IDEOGRAPH-2F815
      "\u2F816",  # (𠕋; 𠕋; 𠕋; 𠕋; 𠕋; ) CJK COMPATIBILITY IDEOGRAPH-2F816
      "\u2F817",  # (冗; 冗; 冗; 冗; 冗; ) CJK COMPATIBILITY IDEOGRAPH-2F817
      "\u2F818",  # (冤; 冤; 冤; 冤; 冤; ) CJK COMPATIBILITY IDEOGRAPH-2F818
      "\u2F819",  # (仌; 仌; 仌; 仌; 仌; ) CJK COMPATIBILITY IDEOGRAPH-2F819
      "\u2F81A",  # (冬; 冬; 冬; 冬; 冬; ) CJK COMPATIBILITY IDEOGRAPH-2F81A
      "\u2F81B",  # (况; 况; 况; 况; 况; ) CJK COMPATIBILITY IDEOGRAPH-2F81B
      "\u2F81C",  # (𩇟; 𩇟; 𩇟; 𩇟; 𩇟; ) CJK COMPATIBILITY IDEOGRAPH-2F81C
      "\u2F81D",  # (凵; 凵; 凵; 凵; 凵; ) CJK COMPATIBILITY IDEOGRAPH-2F81D
      "\u2F81E",  # (刃; 刃; 刃; 刃; 刃; ) CJK COMPATIBILITY IDEOGRAPH-2F81E
      "\u2F81F",  # (㓟; 㓟; 㓟; 㓟; 㓟; ) CJK COMPATIBILITY IDEOGRAPH-2F81F
      "\u2F820",  # (刻; 刻; 刻; 刻; 刻; ) CJK COMPATIBILITY IDEOGRAPH-2F820
      "\u2F821",  # (剆; 剆; 剆; 剆; 剆; ) CJK COMPATIBILITY IDEOGRAPH-2F821
      "\u2F822",  # (割; 割; 割; 割; 割; ) CJK COMPATIBILITY IDEOGRAPH-2F822
      "\u2F823",  # (剷; 剷; 剷; 剷; 剷; ) CJK COMPATIBILITY IDEOGRAPH-2F823
      "\u2F824",  # (㔕; 㔕; 㔕; 㔕; 㔕; ) CJK COMPATIBILITY IDEOGRAPH-2F824
      "\u2F825",  # (勇; 勇; 勇; 勇; 勇; ) CJK COMPATIBILITY IDEOGRAPH-2F825
      "\u2F826",  # (勉; 勉; 勉; 勉; 勉; ) CJK COMPATIBILITY IDEOGRAPH-2F826
      "\u2F827",  # (勤; 勤; 勤; 勤; 勤; ) CJK COMPATIBILITY IDEOGRAPH-2F827
      "\u2F828",  # (勺; 勺; 勺; 勺; 勺; ) CJK COMPATIBILITY IDEOGRAPH-2F828
      "\u2F829",  # (包; 包; 包; 包; 包; ) CJK COMPATIBILITY IDEOGRAPH-2F829
      "\u2F82A",  # (匆; 匆; 匆; 匆; 匆; ) CJK COMPATIBILITY IDEOGRAPH-2F82A
      "\u2F82B",  # (北; 北; 北; 北; 北; ) CJK COMPATIBILITY IDEOGRAPH-2F82B
      "\u2F82C",  # (卉; 卉; 卉; 卉; 卉; ) CJK COMPATIBILITY IDEOGRAPH-2F82C
      "\u2F82D",  # (卑; 卑; 卑; 卑; 卑; ) CJK COMPATIBILITY IDEOGRAPH-2F82D
      "\u2F82E",  # (博; 博; 博; 博; 博; ) CJK COMPATIBILITY IDEOGRAPH-2F82E
      "\u2F82F",  # (即; 即; 即; 即; 即; ) CJK COMPATIBILITY IDEOGRAPH-2F82F
      "\u2F830",  # (卽; 卽; 卽; 卽; 卽; ) CJK COMPATIBILITY IDEOGRAPH-2F830
      "\u2F831",  # (卿; 卿; 卿; 卿; 卿; ) CJK COMPATIBILITY IDEOGRAPH-2F831
      "\u2F832",  # (卿; 卿; 卿; 卿; 卿; ) CJK COMPATIBILITY IDEOGRAPH-2F832
      "\u2F833",  # (卿; 卿; 卿; 卿; 卿; ) CJK COMPATIBILITY IDEOGRAPH-2F833
      "\u2F834",  # (𠨬; 𠨬; 𠨬; 𠨬; 𠨬; ) CJK COMPATIBILITY IDEOGRAPH-2F834
      "\u2F835",  # (灰; 灰; 灰; 灰; 灰; ) CJK COMPATIBILITY IDEOGRAPH-2F835
      "\u2F836",  # (及; 及; 及; 及; 及; ) CJK COMPATIBILITY IDEOGRAPH-2F836
      "\u2F837",  # (叟; 叟; 叟; 叟; 叟; ) CJK COMPATIBILITY IDEOGRAPH-2F837
      "\u2F838",  # (𠭣; 𠭣; 𠭣; 𠭣; 𠭣; ) CJK COMPATIBILITY IDEOGRAPH-2F838
      "\u2F839",  # (叫; 叫; 叫; 叫; 叫; ) CJK COMPATIBILITY IDEOGRAPH-2F839
      "\u2F83A",  # (叱; 叱; 叱; 叱; 叱; ) CJK COMPATIBILITY IDEOGRAPH-2F83A
      "\u2F83B",  # (吆; 吆; 吆; 吆; 吆; ) CJK COMPATIBILITY IDEOGRAPH-2F83B
      "\u2F83C",  # (咞; 咞; 咞; 咞; 咞; ) CJK COMPATIBILITY IDEOGRAPH-2F83C
      "\u2F83D",  # (吸; 吸; 吸; 吸; 吸; ) CJK COMPATIBILITY IDEOGRAPH-2F83D
      "\u2F83E",  # (呈; 呈; 呈; 呈; 呈; ) CJK COMPATIBILITY IDEOGRAPH-2F83E
      "\u2F83F",  # (周; 周; 周; 周; 周; ) CJK COMPATIBILITY IDEOGRAPH-2F83F
      "\u2F840",  # (咢; 咢; 咢; 咢; 咢; ) CJK COMPATIBILITY IDEOGRAPH-2F840
      "\u2F841",  # (哶; 哶; 哶; 哶; 哶; ) CJK COMPATIBILITY IDEOGRAPH-2F841
      "\u2F842",  # (唐; 唐; 唐; 唐; 唐; ) CJK COMPATIBILITY IDEOGRAPH-2F842
      "\u2F843",  # (啓; 啓; 啓; 啓; 啓; ) CJK COMPATIBILITY IDEOGRAPH-2F843
      "\u2F844",  # (啣; 啣; 啣; 啣; 啣; ) CJK COMPATIBILITY IDEOGRAPH-2F844
      "\u2F845",  # (善; 善; 善; 善; 善; ) CJK COMPATIBILITY IDEOGRAPH-2F845
      "\u2F846",  # (善; 善; 善; 善; 善; ) CJK COMPATIBILITY IDEOGRAPH-2F846
      "\u2F847",  # (喙; 喙; 喙; 喙; 喙; ) CJK COMPATIBILITY IDEOGRAPH-2F847
      "\u2F848",  # (喫; 喫; 喫; 喫; 喫; ) CJK COMPATIBILITY IDEOGRAPH-2F848
      "\u2F849",  # (喳; 喳; 喳; 喳; 喳; ) CJK COMPATIBILITY IDEOGRAPH-2F849
      "\u2F84A",  # (嗂; 嗂; 嗂; 嗂; 嗂; ) CJK COMPATIBILITY IDEOGRAPH-2F84A
      "\u2F84B",  # (圖; 圖; 圖; 圖; 圖; ) CJK COMPATIBILITY IDEOGRAPH-2F84B
      "\u2F84C",  # (嘆; 嘆; 嘆; 嘆; 嘆; ) CJK COMPATIBILITY IDEOGRAPH-2F84C
      "\u2F84D",  # (圗; 圗; 圗; 圗; 圗; ) CJK COMPATIBILITY IDEOGRAPH-2F84D
      "\u2F84E",  # (噑; 噑; 噑; 噑; 噑; ) CJK COMPATIBILITY IDEOGRAPH-2F84E
      "\u2F84F",  # (噴; 噴; 噴; 噴; 噴; ) CJK COMPATIBILITY IDEOGRAPH-2F84F
      "\u2F850",  # (切; 切; 切; 切; 切; ) CJK COMPATIBILITY IDEOGRAPH-2F850
      "\u2F851",  # (壮; 壮; 壮; 壮; 壮; ) CJK COMPATIBILITY IDEOGRAPH-2F851
      "\u2F852",  # (城; 城; 城; 城; 城; ) CJK COMPATIBILITY IDEOGRAPH-2F852
      "\u2F853",  # (埴; 埴; 埴; 埴; 埴; ) CJK COMPATIBILITY IDEOGRAPH-2F853
      "\u2F854",  # (堍; 堍; 堍; 堍; 堍; ) CJK COMPATIBILITY IDEOGRAPH-2F854
      "\u2F855",  # (型; 型; 型; 型; 型; ) CJK COMPATIBILITY IDEOGRAPH-2F855
      "\u2F856",  # (堲; 堲; 堲; 堲; 堲; ) CJK COMPATIBILITY IDEOGRAPH-2F856
      "\u2F857",  # (報; 報; 報; 報; 報; ) CJK COMPATIBILITY IDEOGRAPH-2F857
      "\u2F858",  # (墬; 墬; 墬; 墬; 墬; ) CJK COMPATIBILITY IDEOGRAPH-2F858
      "\u2F859",  # (𡓤; 𡓤; 𡓤; 𡓤; 𡓤; ) CJK COMPATIBILITY IDEOGRAPH-2F859
      "\u2F85A",  # (売; 売; 売; 売; 売; ) CJK COMPATIBILITY IDEOGRAPH-2F85A
      "\u2F85B",  # (壷; 壷; 壷; 壷; 壷; ) CJK COMPATIBILITY IDEOGRAPH-2F85B
      "\u2F85C",  # (夆; 夆; 夆; 夆; 夆; ) CJK COMPATIBILITY IDEOGRAPH-2F85C
      "\u2F85D",  # (多; 多; 多; 多; 多; ) CJK COMPATIBILITY IDEOGRAPH-2F85D
      "\u2F85E",  # (夢; 夢; 夢; 夢; 夢; ) CJK COMPATIBILITY IDEOGRAPH-2F85E
      "\u2F85F",  # (奢; 奢; 奢; 奢; 奢; ) CJK COMPATIBILITY IDEOGRAPH-2F85F
      "\u2F860",  # (𡚨; 𡚨; 𡚨; 𡚨; 𡚨; ) CJK COMPATIBILITY IDEOGRAPH-2F860
      "\u2F861",  # (𡛪; 𡛪; 𡛪; 𡛪; 𡛪; ) CJK COMPATIBILITY IDEOGRAPH-2F861
      "\u2F862",  # (姬; 姬; 姬; 姬; 姬; ) CJK COMPATIBILITY IDEOGRAPH-2F862
      "\u2F863",  # (娛; 娛; 娛; 娛; 娛; ) CJK COMPATIBILITY IDEOGRAPH-2F863
      "\u2F864",  # (娧; 娧; 娧; 娧; 娧; ) CJK COMPATIBILITY IDEOGRAPH-2F864
      "\u2F865",  # (姘; 姘; 姘; 姘; 姘; ) CJK COMPATIBILITY IDEOGRAPH-2F865
      "\u2F866",  # (婦; 婦; 婦; 婦; 婦; ) CJK COMPATIBILITY IDEOGRAPH-2F866
      "\u2F867",  # (㛮; 㛮; 㛮; 㛮; 㛮; ) CJK COMPATIBILITY IDEOGRAPH-2F867
      "\u2F868",  # (㛼; 㛼; 㛼; 㛼; 㛼; ) CJK COMPATIBILITY IDEOGRAPH-2F868
      "\u2F869",  # (嬈; 嬈; 嬈; 嬈; 嬈; ) CJK COMPATIBILITY IDEOGRAPH-2F869
      "\u2F86A",  # (嬾; 嬾; 嬾; 嬾; 嬾; ) CJK COMPATIBILITY IDEOGRAPH-2F86A
      "\u2F86B",  # (嬾; 嬾; 嬾; 嬾; 嬾; ) CJK COMPATIBILITY IDEOGRAPH-2F86B
      "\u2F86C",  # (𡧈; 𡧈; 𡧈; 𡧈; 𡧈; ) CJK COMPATIBILITY IDEOGRAPH-2F86C
      "\u2F86D",  # (寃; 寃; 寃; 寃; 寃; ) CJK COMPATIBILITY IDEOGRAPH-2F86D
      "\u2F86E",  # (寘; 寘; 寘; 寘; 寘; ) CJK COMPATIBILITY IDEOGRAPH-2F86E
      "\u2F86F",  # (寧; 寧; 寧; 寧; 寧; ) CJK COMPATIBILITY IDEOGRAPH-2F86F
      "\u2F870",  # (寳; 寳; 寳; 寳; 寳; ) CJK COMPATIBILITY IDEOGRAPH-2F870
      "\u2F871",  # (𡬘; 𡬘; 𡬘; 𡬘; 𡬘; ) CJK COMPATIBILITY IDEOGRAPH-2F871
      "\u2F872",  # (寿; 寿; 寿; 寿; 寿; ) CJK COMPATIBILITY IDEOGRAPH-2F872
      "\u2F873",  # (将; 将; 将; 将; 将; ) CJK COMPATIBILITY IDEOGRAPH-2F873
      "\u2F874",  # (当; 当; 当; 当; 当; ) CJK COMPATIBILITY IDEOGRAPH-2F874
      "\u2F875",  # (尢; 尢; 尢; 尢; 尢; ) CJK COMPATIBILITY IDEOGRAPH-2F875
      "\u2F876",  # (㞁; 㞁; 㞁; 㞁; 㞁; ) CJK COMPATIBILITY IDEOGRAPH-2F876
      "\u2F877",  # (屠; 屠; 屠; 屠; 屠; ) CJK COMPATIBILITY IDEOGRAPH-2F877
      "\u2F878",  # (屮; 屮; 屮; 屮; 屮; ) CJK COMPATIBILITY IDEOGRAPH-2F878
      "\u2F879",  # (峀; 峀; 峀; 峀; 峀; ) CJK COMPATIBILITY IDEOGRAPH-2F879
      "\u2F87A",  # (岍; 岍; 岍; 岍; 岍; ) CJK COMPATIBILITY IDEOGRAPH-2F87A
      "\u2F87B",  # (𡷤; 𡷤; 𡷤; 𡷤; 𡷤; ) CJK COMPATIBILITY IDEOGRAPH-2F87B
      "\u2F87C",  # (嵃; 嵃; 嵃; 嵃; 嵃; ) CJK COMPATIBILITY IDEOGRAPH-2F87C
      "\u2F87D",  # (𡷦; 𡷦; 𡷦; 𡷦; 𡷦; ) CJK COMPATIBILITY IDEOGRAPH-2F87D
      "\u2F87E",  # (嵮; 嵮; 嵮; 嵮; 嵮; ) CJK COMPATIBILITY IDEOGRAPH-2F87E
      "\u2F87F",  # (嵫; 嵫; 嵫; 嵫; 嵫; ) CJK COMPATIBILITY IDEOGRAPH-2F87F
      "\u2F880",  # (嵼; 嵼; 嵼; 嵼; 嵼; ) CJK COMPATIBILITY IDEOGRAPH-2F880
      "\u2F881",  # (巡; 巡; 巡; 巡; 巡; ) CJK COMPATIBILITY IDEOGRAPH-2F881
      "\u2F882",  # (巢; 巢; 巢; 巢; 巢; ) CJK COMPATIBILITY IDEOGRAPH-2F882
      "\u2F883",  # (㠯; 㠯; 㠯; 㠯; 㠯; ) CJK COMPATIBILITY IDEOGRAPH-2F883
      "\u2F884",  # (巽; 巽; 巽; 巽; 巽; ) CJK COMPATIBILITY IDEOGRAPH-2F884
      "\u2F885",  # (帨; 帨; 帨; 帨; 帨; ) CJK COMPATIBILITY IDEOGRAPH-2F885
      "\u2F886",  # (帽; 帽; 帽; 帽; 帽; ) CJK COMPATIBILITY IDEOGRAPH-2F886
      "\u2F887",  # (幩; 幩; 幩; 幩; 幩; ) CJK COMPATIBILITY IDEOGRAPH-2F887
      "\u2F888",  # (㡢; 㡢; 㡢; 㡢; 㡢; ) CJK COMPATIBILITY IDEOGRAPH-2F888
      "\u2F889",  # (𢆃; 𢆃; 𢆃; 𢆃; 𢆃; ) CJK COMPATIBILITY IDEOGRAPH-2F889
      "\u2F88A",  # (㡼; 㡼; 㡼; 㡼; 㡼; ) CJK COMPATIBILITY IDEOGRAPH-2F88A
      "\u2F88B",  # (庰; 庰; 庰; 庰; 庰; ) CJK COMPATIBILITY IDEOGRAPH-2F88B
      "\u2F88C",  # (庳; 庳; 庳; 庳; 庳; ) CJK COMPATIBILITY IDEOGRAPH-2F88C
      "\u2F88D",  # (庶; 庶; 庶; 庶; 庶; ) CJK COMPATIBILITY IDEOGRAPH-2F88D
      "\u2F88E",  # (廊; 廊; 廊; 廊; 廊; ) CJK COMPATIBILITY IDEOGRAPH-2F88E
      "\u2F88F",  # (𪎒; 𪎒; 𪎒; 𪎒; 𪎒; ) CJK COMPATIBILITY IDEOGRAPH-2F88F
      "\u2F890",  # (廾; 廾; 廾; 廾; 廾; ) CJK COMPATIBILITY IDEOGRAPH-2F890
      "\u2F891",  # (𢌱; 𢌱; 𢌱; 𢌱; 𢌱; ) CJK COMPATIBILITY IDEOGRAPH-2F891
      "\u2F892",  # (𢌱; 𢌱; 𢌱; 𢌱; 𢌱; ) CJK COMPATIBILITY IDEOGRAPH-2F892
      "\u2F893",  # (舁; 舁; 舁; 舁; 舁; ) CJK COMPATIBILITY IDEOGRAPH-2F893
      "\u2F894",  # (弢; 弢; 弢; 弢; 弢; ) CJK COMPATIBILITY IDEOGRAPH-2F894
      "\u2F895",  # (弢; 弢; 弢; 弢; 弢; ) CJK COMPATIBILITY IDEOGRAPH-2F895
      "\u2F896",  # (㣇; 㣇; 㣇; 㣇; 㣇; ) CJK COMPATIBILITY IDEOGRAPH-2F896
      "\u2F897",  # (𣊸; 𣊸; 𣊸; 𣊸; 𣊸; ) CJK COMPATIBILITY IDEOGRAPH-2F897
      "\u2F898",  # (𦇚; 𦇚; 𦇚; 𦇚; 𦇚; ) CJK COMPATIBILITY IDEOGRAPH-2F898
      "\u2F899",  # (形; 形; 形; 形; 形; ) CJK COMPATIBILITY IDEOGRAPH-2F899
      "\u2F89A",  # (彫; 彫; 彫; 彫; 彫; ) CJK COMPATIBILITY IDEOGRAPH-2F89A
      "\u2F89B",  # (㣣; 㣣; 㣣; 㣣; 㣣; ) CJK COMPATIBILITY IDEOGRAPH-2F89B
      "\u2F89C",  # (徚; 徚; 徚; 徚; 徚; ) CJK COMPATIBILITY IDEOGRAPH-2F89C
      "\u2F89D",  # (忍; 忍; 忍; 忍; 忍; ) CJK COMPATIBILITY IDEOGRAPH-2F89D
      "\u2F89E",  # (志; 志; 志; 志; 志; ) CJK COMPATIBILITY IDEOGRAPH-2F89E
      "\u2F89F",  # (忹; 忹; 忹; 忹; 忹; ) CJK COMPATIBILITY IDEOGRAPH-2F89F
      "\u2F8A0",  # (悁; 悁; 悁; 悁; 悁; ) CJK COMPATIBILITY IDEOGRAPH-2F8A0
      "\u2F8A1",  # (㤺; 㤺; 㤺; 㤺; 㤺; ) CJK COMPATIBILITY IDEOGRAPH-2F8A1
      "\u2F8A2",  # (㤜; 㤜; 㤜; 㤜; 㤜; ) CJK COMPATIBILITY IDEOGRAPH-2F8A2
      "\u2F8A3",  # (悔; 悔; 悔; 悔; 悔; ) CJK COMPATIBILITY IDEOGRAPH-2F8A3
      "\u2F8A4",  # (𢛔; 𢛔; 𢛔; 𢛔; 𢛔; ) CJK COMPATIBILITY IDEOGRAPH-2F8A4
      "\u2F8A5",  # (惇; 惇; 惇; 惇; 惇; ) CJK COMPATIBILITY IDEOGRAPH-2F8A5
      "\u2F8A6",  # (慈; 慈; 慈; 慈; 慈; ) CJK COMPATIBILITY IDEOGRAPH-2F8A6
      "\u2F8A7",  # (慌; 慌; 慌; 慌; 慌; ) CJK COMPATIBILITY IDEOGRAPH-2F8A7
      "\u2F8A8",  # (慎; 慎; 慎; 慎; 慎; ) CJK COMPATIBILITY IDEOGRAPH-2F8A8
      "\u2F8A9",  # (慌; 慌; 慌; 慌; 慌; ) CJK COMPATIBILITY IDEOGRAPH-2F8A9
      "\u2F8AA",  # (慺; 慺; 慺; 慺; 慺; ) CJK COMPATIBILITY IDEOGRAPH-2F8AA
      "\u2F8AB",  # (憎; 憎; 憎; 憎; 憎; ) CJK COMPATIBILITY IDEOGRAPH-2F8AB
      "\u2F8AC",  # (憲; 憲; 憲; 憲; 憲; ) CJK COMPATIBILITY IDEOGRAPH-2F8AC
      "\u2F8AD",  # (憤; 憤; 憤; 憤; 憤; ) CJK COMPATIBILITY IDEOGRAPH-2F8AD
      "\u2F8AE",  # (憯; 憯; 憯; 憯; 憯; ) CJK COMPATIBILITY IDEOGRAPH-2F8AE
      "\u2F8AF",  # (懞; 懞; 懞; 懞; 懞; ) CJK COMPATIBILITY IDEOGRAPH-2F8AF
      "\u2F8B0",  # (懲; 懲; 懲; 懲; 懲; ) CJK COMPATIBILITY IDEOGRAPH-2F8B0
      "\u2F8B1",  # (懶; 懶; 懶; 懶; 懶; ) CJK COMPATIBILITY IDEOGRAPH-2F8B1
      "\u2F8B2",  # (成; 成; 成; 成; 成; ) CJK COMPATIBILITY IDEOGRAPH-2F8B2
      "\u2F8B3",  # (戛; 戛; 戛; 戛; 戛; ) CJK COMPATIBILITY IDEOGRAPH-2F8B3
      "\u2F8B4",  # (扝; 扝; 扝; 扝; 扝; ) CJK COMPATIBILITY IDEOGRAPH-2F8B4
      "\u2F8B5",  # (抱; 抱; 抱; 抱; 抱; ) CJK COMPATIBILITY IDEOGRAPH-2F8B5
      "\u2F8B6",  # (拔; 拔; 拔; 拔; 拔; ) CJK COMPATIBILITY IDEOGRAPH-2F8B6
      "\u2F8B7",  # (捐; 捐; 捐; 捐; 捐; ) CJK COMPATIBILITY IDEOGRAPH-2F8B7
      "\u2F8B8",  # (𢬌; 𢬌; 𢬌; 𢬌; 𢬌; ) CJK COMPATIBILITY IDEOGRAPH-2F8B8
      "\u2F8B9",  # (挽; 挽; 挽; 挽; 挽; ) CJK COMPATIBILITY IDEOGRAPH-2F8B9
      "\u2F8BA",  # (拼; 拼; 拼; 拼; 拼; ) CJK COMPATIBILITY IDEOGRAPH-2F8BA
      "\u2F8BB",  # (捨; 捨; 捨; 捨; 捨; ) CJK COMPATIBILITY IDEOGRAPH-2F8BB
      "\u2F8BC",  # (掃; 掃; 掃; 掃; 掃; ) CJK COMPATIBILITY IDEOGRAPH-2F8BC
      "\u2F8BD",  # (揤; 揤; 揤; 揤; 揤; ) CJK COMPATIBILITY IDEOGRAPH-2F8BD
      "\u2F8BE",  # (𢯱; 𢯱; 𢯱; 𢯱; 𢯱; ) CJK COMPATIBILITY IDEOGRAPH-2F8BE
      "\u2F8BF",  # (搢; 搢; 搢; 搢; 搢; ) CJK COMPATIBILITY IDEOGRAPH-2F8BF
      "\u2F8C0",  # (揅; 揅; 揅; 揅; 揅; ) CJK COMPATIBILITY IDEOGRAPH-2F8C0
      "\u2F8C1",  # (掩; 掩; 掩; 掩; 掩; ) CJK COMPATIBILITY IDEOGRAPH-2F8C1
      "\u2F8C2",  # (㨮; 㨮; 㨮; 㨮; 㨮; ) CJK COMPATIBILITY IDEOGRAPH-2F8C2
      "\u2F8C3",  # (摩; 摩; 摩; 摩; 摩; ) CJK COMPATIBILITY IDEOGRAPH-2F8C3
      "\u2F8C4",  # (摾; 摾; 摾; 摾; 摾; ) CJK COMPATIBILITY IDEOGRAPH-2F8C4
      "\u2F8C5",  # (撝; 撝; 撝; 撝; 撝; ) CJK COMPATIBILITY IDEOGRAPH-2F8C5
      "\u2F8C6",  # (摷; 摷; 摷; 摷; 摷; ) CJK COMPATIBILITY IDEOGRAPH-2F8C6
      "\u2F8C7",  # (㩬; 㩬; 㩬; 㩬; 㩬; ) CJK COMPATIBILITY IDEOGRAPH-2F8C7
      "\u2F8C8",  # (敏; 敏; 敏; 敏; 敏; ) CJK COMPATIBILITY IDEOGRAPH-2F8C8
      "\u2F8C9",  # (敬; 敬; 敬; 敬; 敬; ) CJK COMPATIBILITY IDEOGRAPH-2F8C9
      "\u2F8CA",  # (𣀊; 𣀊; 𣀊; 𣀊; 𣀊; ) CJK COMPATIBILITY IDEOGRAPH-2F8CA
      "\u2F8CB",  # (旣; 旣; 旣; 旣; 旣; ) CJK COMPATIBILITY IDEOGRAPH-2F8CB
      "\u2F8CC",  # (書; 書; 書; 書; 書; ) CJK COMPATIBILITY IDEOGRAPH-2F8CC
      "\u2F8CD",  # (晉; 晉; 晉; 晉; 晉; ) CJK COMPATIBILITY IDEOGRAPH-2F8CD
      "\u2F8CE",  # (㬙; 㬙; 㬙; 㬙; 㬙; ) CJK COMPATIBILITY IDEOGRAPH-2F8CE
      "\u2F8CF",  # (暑; 暑; 暑; 暑; 暑; ) CJK COMPATIBILITY IDEOGRAPH-2F8CF
      "\u2F8D0",  # (㬈; 㬈; 㬈; 㬈; 㬈; ) CJK COMPATIBILITY IDEOGRAPH-2F8D0
      "\u2F8D1",  # (㫤; 㫤; 㫤; 㫤; 㫤; ) CJK COMPATIBILITY IDEOGRAPH-2F8D1
      "\u2F8D2",  # (冒; 冒; 冒; 冒; 冒; ) CJK COMPATIBILITY IDEOGRAPH-2F8D2
      "\u2F8D3",  # (冕; 冕; 冕; 冕; 冕; ) CJK COMPATIBILITY IDEOGRAPH-2F8D3
      "\u2F8D4",  # (最; 最; 最; 最; 最; ) CJK COMPATIBILITY IDEOGRAPH-2F8D4
      "\u2F8D5",  # (暜; 暜; 暜; 暜; 暜; ) CJK COMPATIBILITY IDEOGRAPH-2F8D5
      "\u2F8D6",  # (肭; 肭; 肭; 肭; 肭; ) CJK COMPATIBILITY IDEOGRAPH-2F8D6
      "\u2F8D7",  # (䏙; 䏙; 䏙; 䏙; 䏙; ) CJK COMPATIBILITY IDEOGRAPH-2F8D7
      "\u2F8D8",  # (朗; 朗; 朗; 朗; 朗; ) CJK COMPATIBILITY IDEOGRAPH-2F8D8
      "\u2F8D9",  # (望; 望; 望; 望; 望; ) CJK COMPATIBILITY IDEOGRAPH-2F8D9
      "\u2F8DA",  # (朡; 朡; 朡; 朡; 朡; ) CJK COMPATIBILITY IDEOGRAPH-2F8DA
      "\u2F8DB",  # (杞; 杞; 杞; 杞; 杞; ) CJK COMPATIBILITY IDEOGRAPH-2F8DB
      "\u2F8DC",  # (杓; 杓; 杓; 杓; 杓; ) CJK COMPATIBILITY IDEOGRAPH-2F8DC
      "\u2F8DD",  # (𣏃; 𣏃; 𣏃; 𣏃; 𣏃; ) CJK COMPATIBILITY IDEOGRAPH-2F8DD
      "\u2F8DE",  # (㭉; 㭉; 㭉; 㭉; 㭉; ) CJK COMPATIBILITY IDEOGRAPH-2F8DE
      "\u2F8DF",  # (柺; 柺; 柺; 柺; 柺; ) CJK COMPATIBILITY IDEOGRAPH-2F8DF
      "\u2F8E0",  # (枅; 枅; 枅; 枅; 枅; ) CJK COMPATIBILITY IDEOGRAPH-2F8E0
      "\u2F8E1",  # (桒; 桒; 桒; 桒; 桒; ) CJK COMPATIBILITY IDEOGRAPH-2F8E1
      "\u2F8E2",  # (梅; 梅; 梅; 梅; 梅; ) CJK COMPATIBILITY IDEOGRAPH-2F8E2
      "\u2F8E3",  # (𣑭; 𣑭; 𣑭; 𣑭; 𣑭; ) CJK COMPATIBILITY IDEOGRAPH-2F8E3
      "\u2F8E4",  # (梎; 梎; 梎; 梎; 梎; ) CJK COMPATIBILITY IDEOGRAPH-2F8E4
      "\u2F8E5",  # (栟; 栟; 栟; 栟; 栟; ) CJK COMPATIBILITY IDEOGRAPH-2F8E5
      "\u2F8E6",  # (椔; 椔; 椔; 椔; 椔; ) CJK COMPATIBILITY IDEOGRAPH-2F8E6
      "\u2F8E7",  # (㮝; 㮝; 㮝; 㮝; 㮝; ) CJK COMPATIBILITY IDEOGRAPH-2F8E7
      "\u2F8E8",  # (楂; 楂; 楂; 楂; 楂; ) CJK COMPATIBILITY IDEOGRAPH-2F8E8
      "\u2F8E9",  # (榣; 榣; 榣; 榣; 榣; ) CJK COMPATIBILITY IDEOGRAPH-2F8E9
      "\u2F8EA",  # (槪; 槪; 槪; 槪; 槪; ) CJK COMPATIBILITY IDEOGRAPH-2F8EA
      "\u2F8EB",  # (檨; 檨; 檨; 檨; 檨; ) CJK COMPATIBILITY IDEOGRAPH-2F8EB
      "\u2F8EC",  # (𣚣; 𣚣; 𣚣; 𣚣; 𣚣; ) CJK COMPATIBILITY IDEOGRAPH-2F8EC
      "\u2F8ED",  # (櫛; 櫛; 櫛; 櫛; 櫛; ) CJK COMPATIBILITY IDEOGRAPH-2F8ED
      "\u2F8EE",  # (㰘; 㰘; 㰘; 㰘; 㰘; ) CJK COMPATIBILITY IDEOGRAPH-2F8EE
      "\u2F8EF",  # (次; 次; 次; 次; 次; ) CJK COMPATIBILITY IDEOGRAPH-2F8EF
      "\u2F8F0",  # (𣢧; 𣢧; 𣢧; 𣢧; 𣢧; ) CJK COMPATIBILITY IDEOGRAPH-2F8F0
      "\u2F8F1",  # (歔; 歔; 歔; 歔; 歔; ) CJK COMPATIBILITY IDEOGRAPH-2F8F1
      "\u2F8F2",  # (㱎; 㱎; 㱎; 㱎; 㱎; ) CJK COMPATIBILITY IDEOGRAPH-2F8F2
      "\u2F8F3",  # (歲; 歲; 歲; 歲; 歲; ) CJK COMPATIBILITY IDEOGRAPH-2F8F3
      "\u2F8F4",  # (殟; 殟; 殟; 殟; 殟; ) CJK COMPATIBILITY IDEOGRAPH-2F8F4
      "\u2F8F5",  # (殺; 殺; 殺; 殺; 殺; ) CJK COMPATIBILITY IDEOGRAPH-2F8F5
      "\u2F8F6",  # (殻; 殻; 殻; 殻; 殻; ) CJK COMPATIBILITY IDEOGRAPH-2F8F6
      "\u2F8F7",  # (𣪍; 𣪍; 𣪍; 𣪍; 𣪍; ) CJK COMPATIBILITY IDEOGRAPH-2F8F7
      "\u2F8F8",  # (𡴋; 𡴋; 𡴋; 𡴋; 𡴋; ) CJK COMPATIBILITY IDEOGRAPH-2F8F8
      "\u2F8F9",  # (𣫺; 𣫺; 𣫺; 𣫺; 𣫺; ) CJK COMPATIBILITY IDEOGRAPH-2F8F9
      "\u2F8FA",  # (汎; 汎; 汎; 汎; 汎; ) CJK COMPATIBILITY IDEOGRAPH-2F8FA
      "\u2F8FB",  # (𣲼; 𣲼; 𣲼; 𣲼; 𣲼; ) CJK COMPATIBILITY IDEOGRAPH-2F8FB
      "\u2F8FC",  # (沿; 沿; 沿; 沿; 沿; ) CJK COMPATIBILITY IDEOGRAPH-2F8FC
      "\u2F8FD",  # (泍; 泍; 泍; 泍; 泍; ) CJK COMPATIBILITY IDEOGRAPH-2F8FD
      "\u2F8FE",  # (汧; 汧; 汧; 汧; 汧; ) CJK COMPATIBILITY IDEOGRAPH-2F8FE
      "\u2F8FF",  # (洖; 洖; 洖; 洖; 洖; ) CJK COMPATIBILITY IDEOGRAPH-2F8FF
      "\u2F900",  # (派; 派; 派; 派; 派; ) CJK COMPATIBILITY IDEOGRAPH-2F900
      "\u2F901",  # (海; 海; 海; 海; 海; ) CJK COMPATIBILITY IDEOGRAPH-2F901
      "\u2F902",  # (流; 流; 流; 流; 流; ) CJK COMPATIBILITY IDEOGRAPH-2F902
      "\u2F903",  # (浩; 浩; 浩; 浩; 浩; ) CJK COMPATIBILITY IDEOGRAPH-2F903
      "\u2F904",  # (浸; 浸; 浸; 浸; 浸; ) CJK COMPATIBILITY IDEOGRAPH-2F904
      "\u2F905",  # (涅; 涅; 涅; 涅; 涅; ) CJK COMPATIBILITY IDEOGRAPH-2F905
      "\u2F906",  # (𣴞; 𣴞; 𣴞; 𣴞; 𣴞; ) CJK COMPATIBILITY IDEOGRAPH-2F906
      "\u2F907",  # (洴; 洴; 洴; 洴; 洴; ) CJK COMPATIBILITY IDEOGRAPH-2F907
      "\u2F908",  # (港; 港; 港; 港; 港; ) CJK COMPATIBILITY IDEOGRAPH-2F908
      "\u2F909",  # (湮; 湮; 湮; 湮; 湮; ) CJK COMPATIBILITY IDEOGRAPH-2F909
      "\u2F90A",  # (㴳; 㴳; 㴳; 㴳; 㴳; ) CJK COMPATIBILITY IDEOGRAPH-2F90A
      "\u2F90B",  # (滋; 滋; 滋; 滋; 滋; ) CJK COMPATIBILITY IDEOGRAPH-2F90B
      "\u2F90C",  # (滇; 滇; 滇; 滇; 滇; ) CJK COMPATIBILITY IDEOGRAPH-2F90C
      "\u2F90D",  # (𣻑; 𣻑; 𣻑; 𣻑; 𣻑; ) CJK COMPATIBILITY IDEOGRAPH-2F90D
      "\u2F90E",  # (淹; 淹; 淹; 淹; 淹; ) CJK COMPATIBILITY IDEOGRAPH-2F90E
      "\u2F90F",  # (潮; 潮; 潮; 潮; 潮; ) CJK COMPATIBILITY IDEOGRAPH-2F90F
      "\u2F910",  # (𣽞; 𣽞; 𣽞; 𣽞; 𣽞; ) CJK COMPATIBILITY IDEOGRAPH-2F910
      "\u2F911",  # (𣾎; 𣾎; 𣾎; 𣾎; 𣾎; ) CJK COMPATIBILITY IDEOGRAPH-2F911
      "\u2F912",  # (濆; 濆; 濆; 濆; 濆; ) CJK COMPATIBILITY IDEOGRAPH-2F912
      "\u2F913",  # (瀹; 瀹; 瀹; 瀹; 瀹; ) CJK COMPATIBILITY IDEOGRAPH-2F913
      "\u2F914",  # (瀞; 瀞; 瀞; 瀞; 瀞; ) CJK COMPATIBILITY IDEOGRAPH-2F914
      "\u2F915",  # (瀛; 瀛; 瀛; 瀛; 瀛; ) CJK COMPATIBILITY IDEOGRAPH-2F915
      "\u2F916",  # (㶖; 㶖; 㶖; 㶖; 㶖; ) CJK COMPATIBILITY IDEOGRAPH-2F916
      "\u2F917",  # (灊; 灊; 灊; 灊; 灊; ) CJK COMPATIBILITY IDEOGRAPH-2F917
      "\u2F918",  # (災; 災; 災; 災; 災; ) CJK COMPATIBILITY IDEOGRAPH-2F918
      "\u2F919",  # (灷; 灷; 灷; 灷; 灷; ) CJK COMPATIBILITY IDEOGRAPH-2F919
      "\u2F91A",  # (炭; 炭; 炭; 炭; 炭; ) CJK COMPATIBILITY IDEOGRAPH-2F91A
      "\u2F91B",  # (𠔥; 𠔥; 𠔥; 𠔥; 𠔥; ) CJK COMPATIBILITY IDEOGRAPH-2F91B
      "\u2F91C",  # (煅; 煅; 煅; 煅; 煅; ) CJK COMPATIBILITY IDEOGRAPH-2F91C
      "\u2F91D",  # (𤉣; 𤉣; 𤉣; 𤉣; 𤉣; ) CJK COMPATIBILITY IDEOGRAPH-2F91D
      "\u2F91E",  # (熜; 熜; 熜; 熜; 熜; ) CJK COMPATIBILITY IDEOGRAPH-2F91E
      "\u2F91F",  # (𤎫; 𤎫; 𤎫; 𤎫; 𤎫; ) CJK COMPATIBILITY IDEOGRAPH-2F91F
      "\u2F920",  # (爨; 爨; 爨; 爨; 爨; ) CJK COMPATIBILITY IDEOGRAPH-2F920
      "\u2F921",  # (爵; 爵; 爵; 爵; 爵; ) CJK COMPATIBILITY IDEOGRAPH-2F921
      "\u2F922",  # (牐; 牐; 牐; 牐; 牐; ) CJK COMPATIBILITY IDEOGRAPH-2F922
      "\u2F923",  # (𤘈; 𤘈; 𤘈; 𤘈; 𤘈; ) CJK COMPATIBILITY IDEOGRAPH-2F923
      "\u2F924",  # (犀; 犀; 犀; 犀; 犀; ) CJK COMPATIBILITY IDEOGRAPH-2F924
      "\u2F925",  # (犕; 犕; 犕; 犕; 犕; ) CJK COMPATIBILITY IDEOGRAPH-2F925
      "\u2F926",  # (𤜵; 𤜵; 𤜵; 𤜵; 𤜵; ) CJK COMPATIBILITY IDEOGRAPH-2F926
      "\u2F927",  # (𤠔; 𤠔; 𤠔; 𤠔; 𤠔; ) CJK COMPATIBILITY IDEOGRAPH-2F927
      "\u2F928",  # (獺; 獺; 獺; 獺; 獺; ) CJK COMPATIBILITY IDEOGRAPH-2F928
      "\u2F929",  # (王; 王; 王; 王; 王; ) CJK COMPATIBILITY IDEOGRAPH-2F929
      "\u2F92A",  # (㺬; 㺬; 㺬; 㺬; 㺬; ) CJK COMPATIBILITY IDEOGRAPH-2F92A
      "\u2F92B",  # (玥; 玥; 玥; 玥; 玥; ) CJK COMPATIBILITY IDEOGRAPH-2F92B
      "\u2F92C",  # (㺸; 㺸; 㺸; 㺸; 㺸; ) CJK COMPATIBILITY IDEOGRAPH-2F92C
      "\u2F92D",  # (㺸; 㺸; 㺸; 㺸; 㺸; ) CJK COMPATIBILITY IDEOGRAPH-2F92D
      "\u2F92E",  # (瑇; 瑇; 瑇; 瑇; 瑇; ) CJK COMPATIBILITY IDEOGRAPH-2F92E
      "\u2F92F",  # (瑜; 瑜; 瑜; 瑜; 瑜; ) CJK COMPATIBILITY IDEOGRAPH-2F92F
      "\u2F930",  # (瑱; 瑱; 瑱; 瑱; 瑱; ) CJK COMPATIBILITY IDEOGRAPH-2F930
      "\u2F931",  # (璅; 璅; 璅; 璅; 璅; ) CJK COMPATIBILITY IDEOGRAPH-2F931
      "\u2F932",  # (瓊; 瓊; 瓊; 瓊; 瓊; ) CJK COMPATIBILITY IDEOGRAPH-2F932
      "\u2F933",  # (㼛; 㼛; 㼛; 㼛; 㼛; ) CJK COMPATIBILITY IDEOGRAPH-2F933
      "\u2F934",  # (甤; 甤; 甤; 甤; 甤; ) CJK COMPATIBILITY IDEOGRAPH-2F934
      "\u2F935",  # (𤰶; 𤰶; 𤰶; 𤰶; 𤰶; ) CJK COMPATIBILITY IDEOGRAPH-2F935
      "\u2F936",  # (甾; 甾; 甾; 甾; 甾; ) CJK COMPATIBILITY IDEOGRAPH-2F936
      "\u2F937",  # (𤲒; 𤲒; 𤲒; 𤲒; 𤲒; ) CJK COMPATIBILITY IDEOGRAPH-2F937
      "\u2F938",  # (異; 異; 異; 異; 異; ) CJK COMPATIBILITY IDEOGRAPH-2F938
      "\u2F939",  # (𢆟; 𢆟; 𢆟; 𢆟; 𢆟; ) CJK COMPATIBILITY IDEOGRAPH-2F939
      "\u2F93A",  # (瘐; 瘐; 瘐; 瘐; 瘐; ) CJK COMPATIBILITY IDEOGRAPH-2F93A
      "\u2F93B",  # (𤾡; 𤾡; 𤾡; 𤾡; 𤾡; ) CJK COMPATIBILITY IDEOGRAPH-2F93B
      "\u2F93C",  # (𤾸; 𤾸; 𤾸; 𤾸; 𤾸; ) CJK COMPATIBILITY IDEOGRAPH-2F93C
      "\u2F93D",  # (𥁄; 𥁄; 𥁄; 𥁄; 𥁄; ) CJK COMPATIBILITY IDEOGRAPH-2F93D
      "\u2F93E",  # (㿼; 㿼; 㿼; 㿼; 㿼; ) CJK COMPATIBILITY IDEOGRAPH-2F93E
      "\u2F93F",  # (䀈; 䀈; 䀈; 䀈; 䀈; ) CJK COMPATIBILITY IDEOGRAPH-2F93F
      "\u2F940",  # (直; 直; 直; 直; 直; ) CJK COMPATIBILITY IDEOGRAPH-2F940
      "\u2F941",  # (𥃳; 𥃳; 𥃳; 𥃳; 𥃳; ) CJK COMPATIBILITY IDEOGRAPH-2F941
      "\u2F942",  # (𥃲; 𥃲; 𥃲; 𥃲; 𥃲; ) CJK COMPATIBILITY IDEOGRAPH-2F942
      "\u2F943",  # (𥄙; 𥄙; 𥄙; 𥄙; 𥄙; ) CJK COMPATIBILITY IDEOGRAPH-2F943
      "\u2F944",  # (𥄳; 𥄳; 𥄳; 𥄳; 𥄳; ) CJK COMPATIBILITY IDEOGRAPH-2F944
      "\u2F945",  # (眞; 眞; 眞; 眞; 眞; ) CJK COMPATIBILITY IDEOGRAPH-2F945
      "\u2F946",  # (真; 真; 真; 真; 真; ) CJK COMPATIBILITY IDEOGRAPH-2F946
      "\u2F947",  # (真; 真; 真; 真; 真; ) CJK COMPATIBILITY IDEOGRAPH-2F947
      "\u2F948",  # (睊; 睊; 睊; 睊; 睊; ) CJK COMPATIBILITY IDEOGRAPH-2F948
      "\u2F949",  # (䀹; 䀹; 䀹; 䀹; 䀹; ) CJK COMPATIBILITY IDEOGRAPH-2F949
      "\u2F94A",  # (瞋; 瞋; 瞋; 瞋; 瞋; ) CJK COMPATIBILITY IDEOGRAPH-2F94A
      "\u2F94B",  # (䁆; 䁆; 䁆; 䁆; 䁆; ) CJK COMPATIBILITY IDEOGRAPH-2F94B
      "\u2F94C",  # (䂖; 䂖; 䂖; 䂖; 䂖; ) CJK COMPATIBILITY IDEOGRAPH-2F94C
      "\u2F94D",  # (𥐝; 𥐝; 𥐝; 𥐝; 𥐝; ) CJK COMPATIBILITY IDEOGRAPH-2F94D
      "\u2F94E",  # (硎; 硎; 硎; 硎; 硎; ) CJK COMPATIBILITY IDEOGRAPH-2F94E
      "\u2F94F",  # (碌; 碌; 碌; 碌; 碌; ) CJK COMPATIBILITY IDEOGRAPH-2F94F
      "\u2F950",  # (磌; 磌; 磌; 磌; 磌; ) CJK COMPATIBILITY IDEOGRAPH-2F950
      "\u2F951",  # (䃣; 䃣; 䃣; 䃣; 䃣; ) CJK COMPATIBILITY IDEOGRAPH-2F951
      "\u2F952",  # (𥘦; 𥘦; 𥘦; 𥘦; 𥘦; ) CJK COMPATIBILITY IDEOGRAPH-2F952
      "\u2F953",  # (祖; 祖; 祖; 祖; 祖; ) CJK COMPATIBILITY IDEOGRAPH-2F953
      "\u2F954",  # (𥚚; 𥚚; 𥚚; 𥚚; 𥚚; ) CJK COMPATIBILITY IDEOGRAPH-2F954
      "\u2F955",  # (𥛅; 𥛅; 𥛅; 𥛅; 𥛅; ) CJK COMPATIBILITY IDEOGRAPH-2F955
      "\u2F956",  # (福; 福; 福; 福; 福; ) CJK COMPATIBILITY IDEOGRAPH-2F956
      "\u2F957",  # (秫; 秫; 秫; 秫; 秫; ) CJK COMPATIBILITY IDEOGRAPH-2F957
      "\u2F958",  # (䄯; 䄯; 䄯; 䄯; 䄯; ) CJK COMPATIBILITY IDEOGRAPH-2F958
      "\u2F959",  # (穀; 穀; 穀; 穀; 穀; ) CJK COMPATIBILITY IDEOGRAPH-2F959
      "\u2F95A",  # (穊; 穊; 穊; 穊; 穊; ) CJK COMPATIBILITY IDEOGRAPH-2F95A
      "\u2F95B",  # (穏; 穏; 穏; 穏; 穏; ) CJK COMPATIBILITY IDEOGRAPH-2F95B
      "\u2F95C",  # (𥥼; 𥥼; 𥥼; 𥥼; 𥥼; ) CJK COMPATIBILITY IDEOGRAPH-2F95C
      "\u2F95D",  # (𥪧; 𥪧; 𥪧; 𥪧; 𥪧; ) CJK COMPATIBILITY IDEOGRAPH-2F95D
      "\u2F95E",  # (𥪧; 𥪧; 𥪧; 𥪧; 𥪧; ) CJK COMPATIBILITY IDEOGRAPH-2F95E
      "\u2F95F",  # (竮; 竮; 竮; 竮; 竮; ) CJK COMPATIBILITY IDEOGRAPH-2F95F
      "\u2F960",  # (䈂; 䈂; 䈂; 䈂; 䈂; ) CJK COMPATIBILITY IDEOGRAPH-2F960
      "\u2F961",  # (𥮫; 𥮫; 𥮫; 𥮫; 𥮫; ) CJK COMPATIBILITY IDEOGRAPH-2F961
      "\u2F962",  # (篆; 篆; 篆; 篆; 篆; ) CJK COMPATIBILITY IDEOGRAPH-2F962
      "\u2F963",  # (築; 築; 築; 築; 築; ) CJK COMPATIBILITY IDEOGRAPH-2F963
      "\u2F964",  # (䈧; 䈧; 䈧; 䈧; 䈧; ) CJK COMPATIBILITY IDEOGRAPH-2F964
      "\u2F965",  # (𥲀; 𥲀; 𥲀; 𥲀; 𥲀; ) CJK COMPATIBILITY IDEOGRAPH-2F965
      "\u2F966",  # (糒; 糒; 糒; 糒; 糒; ) CJK COMPATIBILITY IDEOGRAPH-2F966
      "\u2F967",  # (䊠; 䊠; 䊠; 䊠; 䊠; ) CJK COMPATIBILITY IDEOGRAPH-2F967
      "\u2F968",  # (糨; 糨; 糨; 糨; 糨; ) CJK COMPATIBILITY IDEOGRAPH-2F968
      "\u2F969",  # (糣; 糣; 糣; 糣; 糣; ) CJK COMPATIBILITY IDEOGRAPH-2F969
      "\u2F96A",  # (紀; 紀; 紀; 紀; 紀; ) CJK COMPATIBILITY IDEOGRAPH-2F96A
      "\u2F96B",  # (𥾆; 𥾆; 𥾆; 𥾆; 𥾆; ) CJK COMPATIBILITY IDEOGRAPH-2F96B
      "\u2F96C",  # (絣; 絣; 絣; 絣; 絣; ) CJK COMPATIBILITY IDEOGRAPH-2F96C
      "\u2F96D",  # (䌁; 䌁; 䌁; 䌁; 䌁; ) CJK COMPATIBILITY IDEOGRAPH-2F96D
      "\u2F96E",  # (緇; 緇; 緇; 緇; 緇; ) CJK COMPATIBILITY IDEOGRAPH-2F96E
      "\u2F96F",  # (縂; 縂; 縂; 縂; 縂; ) CJK COMPATIBILITY IDEOGRAPH-2F96F
      "\u2F970",  # (繅; 繅; 繅; 繅; 繅; ) CJK COMPATIBILITY IDEOGRAPH-2F970
      "\u2F971",  # (䌴; 䌴; 䌴; 䌴; 䌴; ) CJK COMPATIBILITY IDEOGRAPH-2F971
      "\u2F972",  # (𦈨; 𦈨; 𦈨; 𦈨; 𦈨; ) CJK COMPATIBILITY IDEOGRAPH-2F972
      "\u2F973",  # (𦉇; 𦉇; 𦉇; 𦉇; 𦉇; ) CJK COMPATIBILITY IDEOGRAPH-2F973
      "\u2F974",  # (䍙; 䍙; 䍙; 䍙; 䍙; ) CJK COMPATIBILITY IDEOGRAPH-2F974
      "\u2F975",  # (𦋙; 𦋙; 𦋙; 𦋙; 𦋙; ) CJK COMPATIBILITY IDEOGRAPH-2F975
      "\u2F976",  # (罺; 罺; 罺; 罺; 罺; ) CJK COMPATIBILITY IDEOGRAPH-2F976
      "\u2F977",  # (𦌾; 𦌾; 𦌾; 𦌾; 𦌾; ) CJK COMPATIBILITY IDEOGRAPH-2F977
      "\u2F978",  # (羕; 羕; 羕; 羕; 羕; ) CJK COMPATIBILITY IDEOGRAPH-2F978
      "\u2F979",  # (翺; 翺; 翺; 翺; 翺; ) CJK COMPATIBILITY IDEOGRAPH-2F979
      "\u2F97A",  # (者; 者; 者; 者; 者; ) CJK COMPATIBILITY IDEOGRAPH-2F97A
      "\u2F97B",  # (𦓚; 𦓚; 𦓚; 𦓚; 𦓚; ) CJK COMPATIBILITY IDEOGRAPH-2F97B
      "\u2F97C",  # (𦔣; 𦔣; 𦔣; 𦔣; 𦔣; ) CJK COMPATIBILITY IDEOGRAPH-2F97C
      "\u2F97D",  # (聠; 聠; 聠; 聠; 聠; ) CJK COMPATIBILITY IDEOGRAPH-2F97D
      "\u2F97E",  # (𦖨; 𦖨; 𦖨; 𦖨; 𦖨; ) CJK COMPATIBILITY IDEOGRAPH-2F97E
      "\u2F97F",  # (聰; 聰; 聰; 聰; 聰; ) CJK COMPATIBILITY IDEOGRAPH-2F97F
      "\u2F980",  # (𣍟; 𣍟; 𣍟; 𣍟; 𣍟; ) CJK COMPATIBILITY IDEOGRAPH-2F980
      "\u2F981",  # (䏕; 䏕; 䏕; 䏕; 䏕; ) CJK COMPATIBILITY IDEOGRAPH-2F981
      "\u2F982",  # (育; 育; 育; 育; 育; ) CJK COMPATIBILITY IDEOGRAPH-2F982
      "\u2F983",  # (脃; 脃; 脃; 脃; 脃; ) CJK COMPATIBILITY IDEOGRAPH-2F983
      "\u2F984",  # (䐋; 䐋; 䐋; 䐋; 䐋; ) CJK COMPATIBILITY IDEOGRAPH-2F984
      "\u2F985",  # (脾; 脾; 脾; 脾; 脾; ) CJK COMPATIBILITY IDEOGRAPH-2F985
      "\u2F986",  # (媵; 媵; 媵; 媵; 媵; ) CJK COMPATIBILITY IDEOGRAPH-2F986
      "\u2F987",  # (𦞧; 𦞧; 𦞧; 𦞧; 𦞧; ) CJK COMPATIBILITY IDEOGRAPH-2F987
      "\u2F988",  # (𦞵; 𦞵; 𦞵; 𦞵; 𦞵; ) CJK COMPATIBILITY IDEOGRAPH-2F988
      "\u2F989",  # (𣎓; 𣎓; 𣎓; 𣎓; 𣎓; ) CJK COMPATIBILITY IDEOGRAPH-2F989
      "\u2F98A",  # (𣎜; 𣎜; 𣎜; 𣎜; 𣎜; ) CJK COMPATIBILITY IDEOGRAPH-2F98A
      "\u2F98B",  # (舁; 舁; 舁; 舁; 舁; ) CJK COMPATIBILITY IDEOGRAPH-2F98B
      "\u2F98C",  # (舄; 舄; 舄; 舄; 舄; ) CJK COMPATIBILITY IDEOGRAPH-2F98C
      "\u2F98D",  # (辞; 辞; 辞; 辞; 辞; ) CJK COMPATIBILITY IDEOGRAPH-2F98D
      "\u2F98E",  # (䑫; 䑫; 䑫; 䑫; 䑫; ) CJK COMPATIBILITY IDEOGRAPH-2F98E
      "\u2F98F",  # (芑; 芑; 芑; 芑; 芑; ) CJK COMPATIBILITY IDEOGRAPH-2F98F
      "\u2F990",  # (芋; 芋; 芋; 芋; 芋; ) CJK COMPATIBILITY IDEOGRAPH-2F990
      "\u2F991",  # (芝; 芝; 芝; 芝; 芝; ) CJK COMPATIBILITY IDEOGRAPH-2F991
      "\u2F992",  # (劳; 劳; 劳; 劳; 劳; ) CJK COMPATIBILITY IDEOGRAPH-2F992
      "\u2F993",  # (花; 花; 花; 花; 花; ) CJK COMPATIBILITY IDEOGRAPH-2F993
      "\u2F994",  # (芳; 芳; 芳; 芳; 芳; ) CJK COMPATIBILITY IDEOGRAPH-2F994
      "\u2F995",  # (芽; 芽; 芽; 芽; 芽; ) CJK COMPATIBILITY IDEOGRAPH-2F995
      "\u2F996",  # (苦; 苦; 苦; 苦; 苦; ) CJK COMPATIBILITY IDEOGRAPH-2F996
      "\u2F997",  # (𦬼; 𦬼; 𦬼; 𦬼; 𦬼; ) CJK COMPATIBILITY IDEOGRAPH-2F997
      "\u2F998",  # (若; 若; 若; 若; 若; ) CJK COMPATIBILITY IDEOGRAPH-2F998
      "\u2F999",  # (茝; 茝; 茝; 茝; 茝; ) CJK COMPATIBILITY IDEOGRAPH-2F999
      "\u2F99A",  # (荣; 荣; 荣; 荣; 荣; ) CJK COMPATIBILITY IDEOGRAPH-2F99A
      "\u2F99B",  # (莭; 莭; 莭; 莭; 莭; ) CJK COMPATIBILITY IDEOGRAPH-2F99B
      "\u2F99C",  # (茣; 茣; 茣; 茣; 茣; ) CJK COMPATIBILITY IDEOGRAPH-2F99C
      "\u2F99D",  # (莽; 莽; 莽; 莽; 莽; ) CJK COMPATIBILITY IDEOGRAPH-2F99D
      "\u2F99E",  # (菧; 菧; 菧; 菧; 菧; ) CJK COMPATIBILITY IDEOGRAPH-2F99E
      "\u2F99F",  # (著; 著; 著; 著; 著; ) CJK COMPATIBILITY IDEOGRAPH-2F99F
      "\u2F9A0",  # (荓; 荓; 荓; 荓; 荓; ) CJK COMPATIBILITY IDEOGRAPH-2F9A0
      "\u2F9A1",  # (菊; 菊; 菊; 菊; 菊; ) CJK COMPATIBILITY IDEOGRAPH-2F9A1
      "\u2F9A2",  # (菌; 菌; 菌; 菌; 菌; ) CJK COMPATIBILITY IDEOGRAPH-2F9A2
      "\u2F9A3",  # (菜; 菜; 菜; 菜; 菜; ) CJK COMPATIBILITY IDEOGRAPH-2F9A3
      "\u2F9A4",  # (𦰶; 𦰶; 𦰶; 𦰶; 𦰶; ) CJK COMPATIBILITY IDEOGRAPH-2F9A4
      "\u2F9A5",  # (𦵫; 𦵫; 𦵫; 𦵫; 𦵫; ) CJK COMPATIBILITY IDEOGRAPH-2F9A5
      "\u2F9A6",  # (𦳕; 𦳕; 𦳕; 𦳕; 𦳕; ) CJK COMPATIBILITY IDEOGRAPH-2F9A6
      "\u2F9A7",  # (䔫; 䔫; 䔫; 䔫; 䔫; ) CJK COMPATIBILITY IDEOGRAPH-2F9A7
      "\u2F9A8",  # (蓱; 蓱; 蓱; 蓱; 蓱; ) CJK COMPATIBILITY IDEOGRAPH-2F9A8
      "\u2F9A9",  # (蓳; 蓳; 蓳; 蓳; 蓳; ) CJK COMPATIBILITY IDEOGRAPH-2F9A9
      "\u2F9AA",  # (蔖; 蔖; 蔖; 蔖; 蔖; ) CJK COMPATIBILITY IDEOGRAPH-2F9AA
      "\u2F9AB",  # (𧏊; 𧏊; 𧏊; 𧏊; 𧏊; ) CJK COMPATIBILITY IDEOGRAPH-2F9AB
      "\u2F9AC",  # (蕤; 蕤; 蕤; 蕤; 蕤; ) CJK COMPATIBILITY IDEOGRAPH-2F9AC
      "\u2F9AD",  # (𦼬; 𦼬; 𦼬; 𦼬; 𦼬; ) CJK COMPATIBILITY IDEOGRAPH-2F9AD
      "\u2F9AE",  # (䕝; 䕝; 䕝; 䕝; 䕝; ) CJK COMPATIBILITY IDEOGRAPH-2F9AE
      "\u2F9AF",  # (䕡; 䕡; 䕡; 䕡; 䕡; ) CJK COMPATIBILITY IDEOGRAPH-2F9AF
      "\u2F9B0",  # (𦾱; 𦾱; 𦾱; 𦾱; 𦾱; ) CJK COMPATIBILITY IDEOGRAPH-2F9B0
      "\u2F9B1",  # (𧃒; 𧃒; 𧃒; 𧃒; 𧃒; ) CJK COMPATIBILITY IDEOGRAPH-2F9B1
      "\u2F9B2",  # (䕫; 䕫; 䕫; 䕫; 䕫; ) CJK COMPATIBILITY IDEOGRAPH-2F9B2
      "\u2F9B3",  # (虐; 虐; 虐; 虐; 虐; ) CJK COMPATIBILITY IDEOGRAPH-2F9B3
      "\u2F9B4",  # (虜; 虜; 虜; 虜; 虜; ) CJK COMPATIBILITY IDEOGRAPH-2F9B4
      "\u2F9B5",  # (虧; 虧; 虧; 虧; 虧; ) CJK COMPATIBILITY IDEOGRAPH-2F9B5
      "\u2F9B6",  # (虩; 虩; 虩; 虩; 虩; ) CJK COMPATIBILITY IDEOGRAPH-2F9B6
      "\u2F9B7",  # (蚩; 蚩; 蚩; 蚩; 蚩; ) CJK COMPATIBILITY IDEOGRAPH-2F9B7
      "\u2F9B8",  # (蚈; 蚈; 蚈; 蚈; 蚈; ) CJK COMPATIBILITY IDEOGRAPH-2F9B8
      "\u2F9B9",  # (蜎; 蜎; 蜎; 蜎; 蜎; ) CJK COMPATIBILITY IDEOGRAPH-2F9B9
      "\u2F9BA",  # (蛢; 蛢; 蛢; 蛢; 蛢; ) CJK COMPATIBILITY IDEOGRAPH-2F9BA
      "\u2F9BB",  # (蝹; 蝹; 蝹; 蝹; 蝹; ) CJK COMPATIBILITY IDEOGRAPH-2F9BB
      "\u2F9BC",  # (蜨; 蜨; 蜨; 蜨; 蜨; ) CJK COMPATIBILITY IDEOGRAPH-2F9BC
      "\u2F9BD",  # (蝫; 蝫; 蝫; 蝫; 蝫; ) CJK COMPATIBILITY IDEOGRAPH-2F9BD
      "\u2F9BE",  # (螆; 螆; 螆; 螆; 螆; ) CJK COMPATIBILITY IDEOGRAPH-2F9BE
      "\u2F9BF",  # (䗗; 䗗; 䗗; 䗗; 䗗; ) CJK COMPATIBILITY IDEOGRAPH-2F9BF
      "\u2F9C0",  # (蟡; 蟡; 蟡; 蟡; 蟡; ) CJK COMPATIBILITY IDEOGRAPH-2F9C0
      "\u2F9C1",  # (蠁; 蠁; 蠁; 蠁; 蠁; ) CJK COMPATIBILITY IDEOGRAPH-2F9C1
      "\u2F9C2",  # (䗹; 䗹; 䗹; 䗹; 䗹; ) CJK COMPATIBILITY IDEOGRAPH-2F9C2
      "\u2F9C3",  # (衠; 衠; 衠; 衠; 衠; ) CJK COMPATIBILITY IDEOGRAPH-2F9C3
      "\u2F9C4",  # (衣; 衣; 衣; 衣; 衣; ) CJK COMPATIBILITY IDEOGRAPH-2F9C4
      "\u2F9C5",  # (𧙧; 𧙧; 𧙧; 𧙧; 𧙧; ) CJK COMPATIBILITY IDEOGRAPH-2F9C5
      "\u2F9C6",  # (裗; 裗; 裗; 裗; 裗; ) CJK COMPATIBILITY IDEOGRAPH-2F9C6
      "\u2F9C7",  # (裞; 裞; 裞; 裞; 裞; ) CJK COMPATIBILITY IDEOGRAPH-2F9C7
      "\u2F9C8",  # (䘵; 䘵; 䘵; 䘵; 䘵; ) CJK COMPATIBILITY IDEOGRAPH-2F9C8
      "\u2F9C9",  # (裺; 裺; 裺; 裺; 裺; ) CJK COMPATIBILITY IDEOGRAPH-2F9C9
      "\u2F9CA",  # (㒻; 㒻; 㒻; 㒻; 㒻; ) CJK COMPATIBILITY IDEOGRAPH-2F9CA
      "\u2F9CB",  # (𧢮; 𧢮; 𧢮; 𧢮; 𧢮; ) CJK COMPATIBILITY IDEOGRAPH-2F9CB
      "\u2F9CC",  # (𧥦; 𧥦; 𧥦; 𧥦; 𧥦; ) CJK COMPATIBILITY IDEOGRAPH-2F9CC
      "\u2F9CD",  # (䚾; 䚾; 䚾; 䚾; 䚾; ) CJK COMPATIBILITY IDEOGRAPH-2F9CD
      "\u2F9CE",  # (䛇; 䛇; 䛇; 䛇; 䛇; ) CJK COMPATIBILITY IDEOGRAPH-2F9CE
      "\u2F9CF",  # (誠; 誠; 誠; 誠; 誠; ) CJK COMPATIBILITY IDEOGRAPH-2F9CF
      "\u2F9D0",  # (諭; 諭; 諭; 諭; 諭; ) CJK COMPATIBILITY IDEOGRAPH-2F9D0
      "\u2F9D1",  # (變; 變; 變; 變; 變; ) CJK COMPATIBILITY IDEOGRAPH-2F9D1
      "\u2F9D2",  # (豕; 豕; 豕; 豕; 豕; ) CJK COMPATIBILITY IDEOGRAPH-2F9D2
      "\u2F9D3",  # (𧲨; 𧲨; 𧲨; 𧲨; 𧲨; ) CJK COMPATIBILITY IDEOGRAPH-2F9D3
      "\u2F9D4",  # (貫; 貫; 貫; 貫; 貫; ) CJK COMPATIBILITY IDEOGRAPH-2F9D4
      "\u2F9D5",  # (賁; 賁; 賁; 賁; 賁; ) CJK COMPATIBILITY IDEOGRAPH-2F9D5
      "\u2F9D6",  # (贛; 贛; 贛; 贛; 贛; ) CJK COMPATIBILITY IDEOGRAPH-2F9D6
      "\u2F9D7",  # (起; 起; 起; 起; 起; ) CJK COMPATIBILITY IDEOGRAPH-2F9D7
      "\u2F9D8",  # (𧼯; 𧼯; 𧼯; 𧼯; 𧼯; ) CJK COMPATIBILITY IDEOGRAPH-2F9D8
      "\u2F9D9",  # (𠠄; 𠠄; 𠠄; 𠠄; 𠠄; ) CJK COMPATIBILITY IDEOGRAPH-2F9D9
      "\u2F9DA",  # (跋; 跋; 跋; 跋; 跋; ) CJK COMPATIBILITY IDEOGRAPH-2F9DA
      "\u2F9DB",  # (趼; 趼; 趼; 趼; 趼; ) CJK COMPATIBILITY IDEOGRAPH-2F9DB
      "\u2F9DC",  # (跰; 跰; 跰; 跰; 跰; ) CJK COMPATIBILITY IDEOGRAPH-2F9DC
      "\u2F9DD",  # (𠣞; 𠣞; 𠣞; 𠣞; 𠣞; ) CJK COMPATIBILITY IDEOGRAPH-2F9DD
      "\u2F9DE",  # (軔; 軔; 軔; 軔; 軔; ) CJK COMPATIBILITY IDEOGRAPH-2F9DE
      "\u2F9DF",  # (輸; 輸; 輸; 輸; 輸; ) CJK COMPATIBILITY IDEOGRAPH-2F9DF
      "\u2F9E0",  # (𨗒; 𨗒; 𨗒; 𨗒; 𨗒; ) CJK COMPATIBILITY IDEOGRAPH-2F9E0
      "\u2F9E1",  # (𨗭; 𨗭; 𨗭; 𨗭; 𨗭; ) CJK COMPATIBILITY IDEOGRAPH-2F9E1
      "\u2F9E2",  # (邔; 邔; 邔; 邔; 邔; ) CJK COMPATIBILITY IDEOGRAPH-2F9E2
      "\u2F9E3",  # (郱; 郱; 郱; 郱; 郱; ) CJK COMPATIBILITY IDEOGRAPH-2F9E3
      "\u2F9E4",  # (鄑; 鄑; 鄑; 鄑; 鄑; ) CJK COMPATIBILITY IDEOGRAPH-2F9E4
      "\u2F9E5",  # (𨜮; 𨜮; 𨜮; 𨜮; 𨜮; ) CJK COMPATIBILITY IDEOGRAPH-2F9E5
      "\u2F9E6",  # (鄛; 鄛; 鄛; 鄛; 鄛; ) CJK COMPATIBILITY IDEOGRAPH-2F9E6
      "\u2F9E7",  # (鈸; 鈸; 鈸; 鈸; 鈸; ) CJK COMPATIBILITY IDEOGRAPH-2F9E7
      "\u2F9E8",  # (鋗; 鋗; 鋗; 鋗; 鋗; ) CJK COMPATIBILITY IDEOGRAPH-2F9E8
      "\u2F9E9",  # (鋘; 鋘; 鋘; 鋘; 鋘; ) CJK COMPATIBILITY IDEOGRAPH-2F9E9
      "\u2F9EA",  # (鉼; 鉼; 鉼; 鉼; 鉼; ) CJK COMPATIBILITY IDEOGRAPH-2F9EA
      "\u2F9EB",  # (鏹; 鏹; 鏹; 鏹; 鏹; ) CJK COMPATIBILITY IDEOGRAPH-2F9EB
      "\u2F9EC",  # (鐕; 鐕; 鐕; 鐕; 鐕; ) CJK COMPATIBILITY IDEOGRAPH-2F9EC
      "\u2F9ED",  # (𨯺; 𨯺; 𨯺; 𨯺; 𨯺; ) CJK COMPATIBILITY IDEOGRAPH-2F9ED
      "\u2F9EE",  # (開; 開; 開; 開; 開; ) CJK COMPATIBILITY IDEOGRAPH-2F9EE
      "\u2F9EF",  # (䦕; 䦕; 䦕; 䦕; 䦕; ) CJK COMPATIBILITY IDEOGRAPH-2F9EF
      "\u2F9F0",  # (閷; 閷; 閷; 閷; 閷; ) CJK COMPATIBILITY IDEOGRAPH-2F9F0
      "\u2F9F1",  # (𨵷; 𨵷; 𨵷; 𨵷; 𨵷; ) CJK COMPATIBILITY IDEOGRAPH-2F9F1
      "\u2F9F2",  # (䧦; 䧦; 䧦; 䧦; 䧦; ) CJK COMPATIBILITY IDEOGRAPH-2F9F2
      "\u2F9F3",  # (雃; 雃; 雃; 雃; 雃; ) CJK COMPATIBILITY IDEOGRAPH-2F9F3
      "\u2F9F4",  # (嶲; 嶲; 嶲; 嶲; 嶲; ) CJK COMPATIBILITY IDEOGRAPH-2F9F4
      "\u2F9F5",  # (霣; 霣; 霣; 霣; 霣; ) CJK COMPATIBILITY IDEOGRAPH-2F9F5
      "\u2F9F6",  # (𩅅; 𩅅; 𩅅; 𩅅; 𩅅; ) CJK COMPATIBILITY IDEOGRAPH-2F9F6
      "\u2F9F7",  # (𩈚; 𩈚; 𩈚; 𩈚; 𩈚; ) CJK COMPATIBILITY IDEOGRAPH-2F9F7
      "\u2F9F8",  # (䩮; 䩮; 䩮; 䩮; 䩮; ) CJK COMPATIBILITY IDEOGRAPH-2F9F8
      "\u2F9F9",  # (䩶; 䩶; 䩶; 䩶; 䩶; ) CJK COMPATIBILITY IDEOGRAPH-2F9F9
      "\u2F9FA",  # (韠; 韠; 韠; 韠; 韠; ) CJK COMPATIBILITY IDEOGRAPH-2F9FA
      "\u2F9FB",  # (𩐊; 𩐊; 𩐊; 𩐊; 𩐊; ) CJK COMPATIBILITY IDEOGRAPH-2F9FB
      "\u2F9FC",  # (䪲; 䪲; 䪲; 䪲; 䪲; ) CJK COMPATIBILITY IDEOGRAPH-2F9FC
      "\u2F9FD",  # (𩒖; 𩒖; 𩒖; 𩒖; 𩒖; ) CJK COMPATIBILITY IDEOGRAPH-2F9FD
      "\u2F9FE",  # (頋; 頋; 頋; 頋; 頋; ) CJK COMPATIBILITY IDEOGRAPH-2F9FE
      "\u2F9FF",  # (頋; 頋; 頋; 頋; 頋; ) CJK COMPATIBILITY IDEOGRAPH-2F9FF
      "\u2FA00",  # (頩; 頩; 頩; 頩; 頩; ) CJK COMPATIBILITY IDEOGRAPH-2FA00
      "\u2FA01",  # (𩖶; 𩖶; 𩖶; 𩖶; 𩖶; ) CJK COMPATIBILITY IDEOGRAPH-2FA01
      "\u2FA02",  # (飢; 飢; 飢; 飢; 飢; ) CJK COMPATIBILITY IDEOGRAPH-2FA02
      "\u2FA03",  # (䬳; 䬳; 䬳; 䬳; 䬳; ) CJK COMPATIBILITY IDEOGRAPH-2FA03
      "\u2FA04",  # (餩; 餩; 餩; 餩; 餩; ) CJK COMPATIBILITY IDEOGRAPH-2FA04
      "\u2FA05",  # (馧; 馧; 馧; 馧; 馧; ) CJK COMPATIBILITY IDEOGRAPH-2FA05
      "\u2FA06",  # (駂; 駂; 駂; 駂; 駂; ) CJK COMPATIBILITY IDEOGRAPH-2FA06
      "\u2FA07",  # (駾; 駾; 駾; 駾; 駾; ) CJK COMPATIBILITY IDEOGRAPH-2FA07
      "\u2FA08",  # (䯎; 䯎; 䯎; 䯎; 䯎; ) CJK COMPATIBILITY IDEOGRAPH-2FA08
      "\u2FA09",  # (𩬰; 𩬰; 𩬰; 𩬰; 𩬰; ) CJK COMPATIBILITY IDEOGRAPH-2FA09
      "\u2FA0A",  # (鬒; 鬒; 鬒; 鬒; 鬒; ) CJK COMPATIBILITY IDEOGRAPH-2FA0A
      "\u2FA0B",  # (鱀; 鱀; 鱀; 鱀; 鱀; ) CJK COMPATIBILITY IDEOGRAPH-2FA0B
      "\u2FA0C",  # (鳽; 鳽; 鳽; 鳽; 鳽; ) CJK COMPATIBILITY IDEOGRAPH-2FA0C
      "\u2FA0D",  # (䳎; 䳎; 䳎; 䳎; 䳎; ) CJK COMPATIBILITY IDEOGRAPH-2FA0D
      "\u2FA0E",  # (䳭; 䳭; 䳭; 䳭; 䳭; ) CJK COMPATIBILITY IDEOGRAPH-2FA0E
      "\u2FA0F",  # (鵧; 鵧; 鵧; 鵧; 鵧; ) CJK COMPATIBILITY IDEOGRAPH-2FA0F
      "\u2FA10",  # (𪃎; 𪃎; 𪃎; 𪃎; 𪃎; ) CJK COMPATIBILITY IDEOGRAPH-2FA10
      "\u2FA11",  # (䳸; 䳸; 䳸; 䳸; 䳸; ) CJK COMPATIBILITY IDEOGRAPH-2FA11
      "\u2FA12",  # (𪄅; 𪄅; 𪄅; 𪄅; 𪄅; ) CJK COMPATIBILITY IDEOGRAPH-2FA12
      "\u2FA13",  # (𪈎; 𪈎; 𪈎; 𪈎; 𪈎; ) CJK COMPATIBILITY IDEOGRAPH-2FA13
      "\u2FA14",  # (𪊑; 𪊑; 𪊑; 𪊑; 𪊑; ) CJK COMPATIBILITY IDEOGRAPH-2FA14
      "\u2FA15",  # (麻; 麻; 麻; 麻; 麻; ) CJK COMPATIBILITY IDEOGRAPH-2FA15
      "\u2FA16",  # (䵖; 䵖; 䵖; 䵖; 䵖; ) CJK COMPATIBILITY IDEOGRAPH-2FA16
      "\u2FA17",  # (黹; 黹; 黹; 黹; 黹; ) CJK COMPATIBILITY IDEOGRAPH-2FA17
      "\u2FA18",  # (黾; 黾; 黾; 黾; 黾; ) CJK COMPATIBILITY IDEOGRAPH-2FA18
      "\u2FA19",  # (鼅; 鼅; 鼅; 鼅; 鼅; ) CJK COMPATIBILITY IDEOGRAPH-2FA19
      "\u2FA1A",  # (鼏; 鼏; 鼏; 鼏; 鼏; ) CJK COMPATIBILITY IDEOGRAPH-2FA1A
      "\u2FA1B",  # (鼖; 鼖; 鼖; 鼖; 鼖; ) CJK COMPATIBILITY IDEOGRAPH-2FA1B
      "\u2FA1C",  # (鼻; 鼻; 鼻; 鼻; 鼻; ) CJK COMPATIBILITY IDEOGRAPH-2FA1C
      "\u2FA1D",  # (𪘀; 𪘀; 𪘀; 𪘀; 𪘀; ) CJK COMPATIBILITY IDEOGRAPH-2FA1D
      "\u0061 0315 0300 05AE 0300 0062",  # (a◌̕◌̀◌֮◌̀b; à◌֮◌̀◌̕b; a◌֮◌̀◌̀◌̕b; à◌֮◌̀◌̕b; a◌֮◌̀◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GRAVE ACCENT, LATIN SMALL LETTER B
      "\u0061 0300 0315 0300 05AE 0062",  # (a◌̀◌̕◌̀◌֮b; à◌֮◌̀◌̕b; a◌֮◌̀◌̀◌̕b; à◌֮◌̀◌̕b; a◌֮◌̀◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GRAVE ACCENT, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0301 0062",  # (a◌̕◌̀◌֮◌́b; à◌֮◌́◌̕b; a◌֮◌̀◌́◌̕b; à◌֮◌́◌̕b; a◌֮◌̀◌́◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING ACUTE ACCENT, LATIN SMALL LETTER B
      "\u0061 0301 0315 0300 05AE 0062",  # (a◌́◌̕◌̀◌֮b; á◌֮◌̀◌̕b; a◌֮◌́◌̀◌̕b; á◌֮◌̀◌̕b; a◌֮◌́◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING ACUTE ACCENT, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0302 0062",  # (a◌̕◌̀◌֮◌̂b; à◌֮◌̂◌̕b; a◌֮◌̀◌̂◌̕b; à◌֮◌̂◌̕b; a◌֮◌̀◌̂◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CIRCUMFLEX ACCENT, LATIN SMALL LETTER B
      "\u0061 0302 0315 0300 05AE 0062",  # (a◌̂◌̕◌̀◌֮b; ầ◌֮◌̕b; a◌֮◌̂◌̀◌̕b; ầ◌֮◌̕b; a◌֮◌̂◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CIRCUMFLEX ACCENT, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0303 0062",  # (a◌̕◌̀◌֮◌̃b; à◌֮◌̃◌̕b; a◌֮◌̀◌̃◌̕b; à◌֮◌̃◌̕b; a◌֮◌̀◌̃◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING TILDE, LATIN SMALL LETTER B
      "\u0061 0303 0315 0300 05AE 0062",  # (a◌̃◌̕◌̀◌֮b; ã◌֮◌̀◌̕b; a◌֮◌̃◌̀◌̕b; ã◌֮◌̀◌̕b; a◌֮◌̃◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING TILDE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0304 0062",  # (a◌̕◌̀◌֮◌̄b; à◌֮◌̄◌̕b; a◌֮◌̀◌̄◌̕b; à◌֮◌̄◌̕b; a◌֮◌̀◌̄◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING MACRON, LATIN SMALL LETTER B
      "\u0061 0304 0315 0300 05AE 0062",  # (a◌̄◌̕◌̀◌֮b; ā◌֮◌̀◌̕b; a◌֮◌̄◌̀◌̕b; ā◌֮◌̀◌̕b; a◌֮◌̄◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING MACRON, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0305 0062",  # (a◌̕◌̀◌֮◌̅b; à◌֮◌̅◌̕b; a◌֮◌̀◌̅◌̕b; à◌֮◌̅◌̕b; a◌֮◌̀◌̅◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING OVERLINE, LATIN SMALL LETTER B
      "\u0061 0305 0315 0300 05AE 0062",  # (a◌̅◌̕◌̀◌֮b; a◌֮◌̅◌̀◌̕b; a◌֮◌̅◌̀◌̕b; a◌֮◌̅◌̀◌̕b; a◌֮◌̅◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING OVERLINE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0306 0062",  # (a◌̕◌̀◌֮◌̆b; à◌֮◌̆◌̕b; a◌֮◌̀◌̆◌̕b; à◌֮◌̆◌̕b; a◌֮◌̀◌̆◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING BREVE, LATIN SMALL LETTER B
      "\u0061 0306 0315 0300 05AE 0062",  # (a◌̆◌̕◌̀◌֮b; ằ◌֮◌̕b; a◌֮◌̆◌̀◌̕b; ằ◌֮◌̕b; a◌֮◌̆◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING BREVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0307 0062",  # (a◌̕◌̀◌֮◌̇b; à◌֮◌̇◌̕b; a◌֮◌̀◌̇◌̕b; à◌֮◌̇◌̕b; a◌֮◌̀◌̇◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DOT ABOVE, LATIN SMALL LETTER B
      "\u0061 0307 0315 0300 05AE 0062",  # (a◌̇◌̕◌̀◌֮b; ȧ◌֮◌̀◌̕b; a◌֮◌̇◌̀◌̕b; ȧ◌֮◌̀◌̕b; a◌֮◌̇◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DOT ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0308 0062",  # (a◌̕◌̀◌֮◌̈b; à◌֮◌̈◌̕b; a◌֮◌̀◌̈◌̕b; à◌֮◌̈◌̕b; a◌֮◌̀◌̈◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DIAERESIS, LATIN SMALL LETTER B
      "\u0061 0308 0315 0300 05AE 0062",  # (a◌̈◌̕◌̀◌֮b; ä◌֮◌̀◌̕b; a◌֮◌̈◌̀◌̕b; ä◌֮◌̀◌̕b; a◌֮◌̈◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DIAERESIS, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0309 0062",  # (a◌̕◌̀◌֮◌̉b; à◌֮◌̉◌̕b; a◌֮◌̀◌̉◌̕b; à◌֮◌̉◌̕b; a◌֮◌̀◌̉◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING HOOK ABOVE, LATIN SMALL LETTER B
      "\u0061 0309 0315 0300 05AE 0062",  # (a◌̉◌̕◌̀◌֮b; ả◌֮◌̀◌̕b; a◌֮◌̉◌̀◌̕b; ả◌֮◌̀◌̕b; a◌֮◌̉◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING HOOK ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 030A 0062",  # (a◌̕◌̀◌֮◌̊b; à◌֮◌̊◌̕b; a◌֮◌̀◌̊◌̕b; à◌֮◌̊◌̕b; a◌֮◌̀◌̊◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING RING ABOVE, LATIN SMALL LETTER B
      "\u0061 030A 0315 0300 05AE 0062",  # (a◌̊◌̕◌̀◌֮b; å◌֮◌̀◌̕b; a◌֮◌̊◌̀◌̕b; å◌֮◌̀◌̕b; a◌֮◌̊◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING RING ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 030B 0062",  # (a◌̕◌̀◌֮◌̋b; à◌֮◌̋◌̕b; a◌֮◌̀◌̋◌̕b; à◌֮◌̋◌̕b; a◌֮◌̀◌̋◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DOUBLE ACUTE ACCENT, LATIN SMALL LETTER B
      "\u0061 030B 0315 0300 05AE 0062",  # (a◌̋◌̕◌̀◌֮b; a◌֮◌̋◌̀◌̕b; a◌֮◌̋◌̀◌̕b; a◌֮◌̋◌̀◌̕b; a◌֮◌̋◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DOUBLE ACUTE ACCENT, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 030C 0062",  # (a◌̕◌̀◌֮◌̌b; à◌֮◌̌◌̕b; a◌֮◌̀◌̌◌̕b; à◌֮◌̌◌̕b; a◌֮◌̀◌̌◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CARON, LATIN SMALL LETTER B
      "\u0061 030C 0315 0300 05AE 0062",  # (a◌̌◌̕◌̀◌֮b; ǎ◌֮◌̀◌̕b; a◌֮◌̌◌̀◌̕b; ǎ◌֮◌̀◌̕b; a◌֮◌̌◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CARON, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 030D 0062",  # (a◌̕◌̀◌֮◌̍b; à◌֮◌̍◌̕b; a◌֮◌̀◌̍◌̕b; à◌֮◌̍◌̕b; a◌֮◌̀◌̍◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING VERTICAL LINE ABOVE, LATIN SMALL LETTER B
      "\u0061 030D 0315 0300 05AE 0062",  # (a◌̍◌̕◌̀◌֮b; a◌֮◌̍◌̀◌̕b; a◌֮◌̍◌̀◌̕b; a◌֮◌̍◌̀◌̕b; a◌֮◌̍◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING VERTICAL LINE ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 030E 0062",  # (a◌̕◌̀◌֮◌̎b; à◌֮◌̎◌̕b; a◌֮◌̀◌̎◌̕b; à◌֮◌̎◌̕b; a◌֮◌̀◌̎◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DOUBLE VERTICAL LINE ABOVE, LATIN SMALL LETTER B
      "\u0061 030E 0315 0300 05AE 0062",  # (a◌̎◌̕◌̀◌֮b; a◌֮◌̎◌̀◌̕b; a◌֮◌̎◌̀◌̕b; a◌֮◌̎◌̀◌̕b; a◌֮◌̎◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DOUBLE VERTICAL LINE ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 030F 0062",  # (a◌̕◌̀◌֮◌̏b; à◌֮◌̏◌̕b; a◌֮◌̀◌̏◌̕b; à◌֮◌̏◌̕b; a◌֮◌̀◌̏◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DOUBLE GRAVE ACCENT, LATIN SMALL LETTER B
      "\u0061 030F 0315 0300 05AE 0062",  # (a◌̏◌̕◌̀◌֮b; ȁ◌֮◌̀◌̕b; a◌֮◌̏◌̀◌̕b; ȁ◌֮◌̀◌̕b; a◌֮◌̏◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DOUBLE GRAVE ACCENT, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0310 0062",  # (a◌̕◌̀◌֮◌̐b; à◌֮◌̐◌̕b; a◌֮◌̀◌̐◌̕b; à◌֮◌̐◌̕b; a◌֮◌̀◌̐◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CANDRABINDU, LATIN SMALL LETTER B
      "\u0061 0310 0315 0300 05AE 0062",  # (a◌̐◌̕◌̀◌֮b; a◌֮◌̐◌̀◌̕b; a◌֮◌̐◌̀◌̕b; a◌֮◌̐◌̀◌̕b; a◌֮◌̐◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CANDRABINDU, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0311 0062",  # (a◌̕◌̀◌֮◌̑b; à◌֮◌̑◌̕b; a◌֮◌̀◌̑◌̕b; à◌֮◌̑◌̕b; a◌֮◌̀◌̑◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING INVERTED BREVE, LATIN SMALL LETTER B
      "\u0061 0311 0315 0300 05AE 0062",  # (a◌̑◌̕◌̀◌֮b; ȃ◌֮◌̀◌̕b; a◌֮◌̑◌̀◌̕b; ȃ◌֮◌̀◌̕b; a◌֮◌̑◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING INVERTED BREVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0312 0062",  # (a◌̕◌̀◌֮◌̒b; à◌֮◌̒◌̕b; a◌֮◌̀◌̒◌̕b; à◌֮◌̒◌̕b; a◌֮◌̀◌̒◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING TURNED COMMA ABOVE, LATIN SMALL LETTER B
      "\u0061 0312 0315 0300 05AE 0062",  # (a◌̒◌̕◌̀◌֮b; a◌֮◌̒◌̀◌̕b; a◌֮◌̒◌̀◌̕b; a◌֮◌̒◌̀◌̕b; a◌֮◌̒◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING TURNED COMMA ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0313 0062",  # (a◌̕◌̀◌֮◌̓b; à◌֮◌̓◌̕b; a◌֮◌̀◌̓◌̕b; à◌֮◌̓◌̕b; a◌֮◌̀◌̓◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING COMMA ABOVE, LATIN SMALL LETTER B
      "\u0061 0313 0315 0300 05AE 0062",  # (a◌̓◌̕◌̀◌֮b; a◌֮◌̓◌̀◌̕b; a◌֮◌̓◌̀◌̕b; a◌֮◌̓◌̀◌̕b; a◌֮◌̓◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0314 0062",  # (a◌̕◌̀◌֮◌̔b; à◌֮◌̔◌̕b; a◌֮◌̀◌̔◌̕b; à◌֮◌̔◌̕b; a◌֮◌̀◌̔◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING REVERSED COMMA ABOVE, LATIN SMALL LETTER B
      "\u0061 0314 0315 0300 05AE 0062",  # (a◌̔◌̕◌̀◌֮b; a◌֮◌̔◌̀◌̕b; a◌֮◌̔◌̀◌̕b; a◌֮◌̔◌̀◌̕b; a◌֮◌̔◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING REVERSED COMMA ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 035C 0315 0300 0315 0062",  # (a◌͜◌̕◌̀◌̕b; à◌̕◌̕◌͜b; a◌̀◌̕◌̕◌͜b; à◌̕◌̕◌͜b; a◌̀◌̕◌̕◌͜b; ) LATIN SMALL LETTER A, COMBINING DOUBLE BREVE BELOW, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, COMBINING COMMA ABOVE RIGHT, LATIN SMALL LETTER B
      "\u0061 0315 035C 0315 0300 0062",  # (a◌̕◌͜◌̕◌̀b; à◌̕◌̕◌͜b; a◌̀◌̕◌̕◌͜b; à◌̕◌̕◌͜b; a◌̀◌̕◌̕◌͜b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING DOUBLE BREVE BELOW, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0316 0062",  # (a◌֚◌̖◌〪◌̖b; a◌〪◌̖◌̖◌֚b; a◌〪◌̖◌̖◌֚b; a◌〪◌̖◌̖◌֚b; a◌〪◌̖◌̖◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING GRAVE ACCENT BELOW, LATIN SMALL LETTER B
      "\u0061 0316 059A 0316 302A 0062",  # (a◌̖◌֚◌̖◌〪b; a◌〪◌̖◌̖◌֚b; a◌〪◌̖◌̖◌֚b; a◌〪◌̖◌̖◌֚b; a◌〪◌̖◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING GRAVE ACCENT BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0317 0062",  # (a◌֚◌̖◌〪◌̗b; a◌〪◌̖◌̗◌֚b; a◌〪◌̖◌̗◌֚b; a◌〪◌̖◌̗◌֚b; a◌〪◌̖◌̗◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING ACUTE ACCENT BELOW, LATIN SMALL LETTER B
      "\u0061 0317 059A 0316 302A 0062",  # (a◌̗◌֚◌̖◌〪b; a◌〪◌̗◌̖◌֚b; a◌〪◌̗◌̖◌֚b; a◌〪◌̗◌̖◌֚b; a◌〪◌̗◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING ACUTE ACCENT BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0318 0062",  # (a◌֚◌̖◌〪◌̘b; a◌〪◌̖◌̘◌֚b; a◌〪◌̖◌̘◌֚b; a◌〪◌̖◌̘◌֚b; a◌〪◌̖◌̘◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING LEFT TACK BELOW, LATIN SMALL LETTER B
      "\u0061 0318 059A 0316 302A 0062",  # (a◌̘◌֚◌̖◌〪b; a◌〪◌̘◌̖◌֚b; a◌〪◌̘◌̖◌֚b; a◌〪◌̘◌̖◌֚b; a◌〪◌̘◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING LEFT TACK BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0319 0062",  # (a◌֚◌̖◌〪◌̙b; a◌〪◌̖◌̙◌֚b; a◌〪◌̖◌̙◌֚b; a◌〪◌̖◌̙◌֚b; a◌〪◌̖◌̙◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING RIGHT TACK BELOW, LATIN SMALL LETTER B
      "\u0061 0319 059A 0316 302A 0062",  # (a◌̙◌֚◌̖◌〪b; a◌〪◌̙◌̖◌֚b; a◌〪◌̙◌̖◌֚b; a◌〪◌̙◌̖◌֚b; a◌〪◌̙◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING RIGHT TACK BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 035C 0315 0300 031A 0062",  # (a◌͜◌̕◌̀◌̚b; à◌̕◌̚◌͜b; a◌̀◌̕◌̚◌͜b; à◌̕◌̚◌͜b; a◌̀◌̕◌̚◌͜b; ) LATIN SMALL LETTER A, COMBINING DOUBLE BREVE BELOW, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, COMBINING LEFT ANGLE ABOVE, LATIN SMALL LETTER B
      "\u0061 031A 035C 0315 0300 0062",  # (a◌̚◌͜◌̕◌̀b; à◌̚◌̕◌͜b; a◌̀◌̚◌̕◌͜b; à◌̚◌̕◌͜b; a◌̀◌̚◌̕◌͜b; ) LATIN SMALL LETTER A, COMBINING LEFT ANGLE ABOVE, COMBINING DOUBLE BREVE BELOW, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, LATIN SMALL LETTER B
      "\u0061 302A 031B 1DCE 031B 0062",  # (a◌〪◌̛◌᷎◌̛b; a◌᷎◌̛◌̛◌〪b; a◌᷎◌̛◌̛◌〪b; a◌᷎◌̛◌̛◌〪b; a◌᷎◌̛◌̛◌〪b; ) LATIN SMALL LETTER A, IDEOGRAPHIC LEVEL TONE MARK, COMBINING HORN, COMBINING OGONEK ABOVE, COMBINING HORN, LATIN SMALL LETTER B
      "\u0061 031B 302A 031B 1DCE 0062",  # (a◌̛◌〪◌̛◌᷎b; a◌᷎◌̛◌̛◌〪b; a◌᷎◌̛◌̛◌〪b; a◌᷎◌̛◌̛◌〪b; a◌᷎◌̛◌̛◌〪b; ) LATIN SMALL LETTER A, COMBINING HORN, IDEOGRAPHIC LEVEL TONE MARK, COMBINING HORN, COMBINING OGONEK ABOVE, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 031C 0062",  # (a◌֚◌̖◌〪◌̜b; a◌〪◌̖◌̜◌֚b; a◌〪◌̖◌̜◌֚b; a◌〪◌̖◌̜◌֚b; a◌〪◌̖◌̜◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING LEFT HALF RING BELOW, LATIN SMALL LETTER B
      "\u0061 031C 059A 0316 302A 0062",  # (a◌̜◌֚◌̖◌〪b; a◌〪◌̜◌̖◌֚b; a◌〪◌̜◌̖◌֚b; a◌〪◌̜◌̖◌֚b; a◌〪◌̜◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING LEFT HALF RING BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 031D 0062",  # (a◌֚◌̖◌〪◌̝b; a◌〪◌̖◌̝◌֚b; a◌〪◌̖◌̝◌֚b; a◌〪◌̖◌̝◌֚b; a◌〪◌̖◌̝◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING UP TACK BELOW, LATIN SMALL LETTER B
      "\u0061 031D 059A 0316 302A 0062",  # (a◌̝◌֚◌̖◌〪b; a◌〪◌̝◌̖◌֚b; a◌〪◌̝◌̖◌֚b; a◌〪◌̝◌̖◌֚b; a◌〪◌̝◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING UP TACK BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 031E 0062",  # (a◌֚◌̖◌〪◌̞b; a◌〪◌̖◌̞◌֚b; a◌〪◌̖◌̞◌֚b; a◌〪◌̖◌̞◌֚b; a◌〪◌̖◌̞◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING DOWN TACK BELOW, LATIN SMALL LETTER B
      "\u0061 031E 059A 0316 302A 0062",  # (a◌̞◌֚◌̖◌〪b; a◌〪◌̞◌̖◌֚b; a◌〪◌̞◌̖◌֚b; a◌〪◌̞◌̖◌֚b; a◌〪◌̞◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING DOWN TACK BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 031F 0062",  # (a◌֚◌̖◌〪◌̟b; a◌〪◌̖◌̟◌֚b; a◌〪◌̖◌̟◌֚b; a◌〪◌̖◌̟◌֚b; a◌〪◌̖◌̟◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING PLUS SIGN BELOW, LATIN SMALL LETTER B
      "\u0061 031F 059A 0316 302A 0062",  # (a◌̟◌֚◌̖◌〪b; a◌〪◌̟◌̖◌֚b; a◌〪◌̟◌̖◌֚b; a◌〪◌̟◌̖◌֚b; a◌〪◌̟◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING PLUS SIGN BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0320 0062",  # (a◌֚◌̖◌〪◌̠b; a◌〪◌̖◌̠◌֚b; a◌〪◌̖◌̠◌֚b; a◌〪◌̖◌̠◌֚b; a◌〪◌̖◌̠◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING MINUS SIGN BELOW, LATIN SMALL LETTER B
      "\u0061 0320 059A 0316 302A 0062",  # (a◌̠◌֚◌̖◌〪b; a◌〪◌̠◌̖◌֚b; a◌〪◌̠◌̖◌֚b; a◌〪◌̠◌̖◌֚b; a◌〪◌̠◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING MINUS SIGN BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 1DCE 0321 0F74 0321 0062",  # (a◌᷎◌̡◌ུ◌̡b; a◌ུ◌̡◌̡◌᷎b; a◌ུ◌̡◌̡◌᷎b; a◌ུ◌̡◌̡◌᷎b; a◌ུ◌̡◌̡◌᷎b; ) LATIN SMALL LETTER A, COMBINING OGONEK ABOVE, COMBINING PALATALIZED HOOK BELOW, TIBETAN VOWEL SIGN U, COMBINING PALATALIZED HOOK BELOW, LATIN SMALL LETTER B
      "\u0061 0321 1DCE 0321 0F74 0062",  # (a◌̡◌᷎◌̡◌ུb; a◌ུ◌̡◌̡◌᷎b; a◌ུ◌̡◌̡◌᷎b; a◌ུ◌̡◌̡◌᷎b; a◌ུ◌̡◌̡◌᷎b; ) LATIN SMALL LETTER A, COMBINING PALATALIZED HOOK BELOW, COMBINING OGONEK ABOVE, COMBINING PALATALIZED HOOK BELOW, TIBETAN VOWEL SIGN U, LATIN SMALL LETTER B
      "\u0061 1DCE 0321 0F74 0322 0062",  # (a◌᷎◌̡◌ུ◌̢b; a◌ུ◌̡◌̢◌᷎b; a◌ུ◌̡◌̢◌᷎b; a◌ུ◌̡◌̢◌᷎b; a◌ུ◌̡◌̢◌᷎b; ) LATIN SMALL LETTER A, COMBINING OGONEK ABOVE, COMBINING PALATALIZED HOOK BELOW, TIBETAN VOWEL SIGN U, COMBINING RETROFLEX HOOK BELOW, LATIN SMALL LETTER B
      "\u0061 0322 1DCE 0321 0F74 0062",  # (a◌̢◌᷎◌̡◌ུb; a◌ུ◌̢◌̡◌᷎b; a◌ུ◌̢◌̡◌᷎b; a◌ུ◌̢◌̡◌᷎b; a◌ུ◌̢◌̡◌᷎b; ) LATIN SMALL LETTER A, COMBINING RETROFLEX HOOK BELOW, COMBINING OGONEK ABOVE, COMBINING PALATALIZED HOOK BELOW, TIBETAN VOWEL SIGN U, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0323 0062",  # (a◌֚◌̖◌〪◌̣b; a◌〪◌̖◌̣◌֚b; a◌〪◌̖◌̣◌֚b; a◌〪◌̖◌̣◌֚b; a◌〪◌̖◌̣◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING DOT BELOW, LATIN SMALL LETTER B
      "\u0061 0323 059A 0316 302A 0062",  # (a◌̣◌֚◌̖◌〪b; ạ◌〪◌̖◌֚b; a◌〪◌̣◌̖◌֚b; ạ◌〪◌̖◌֚b; a◌〪◌̣◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING DOT BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0324 0062",  # (a◌֚◌̖◌〪◌̤b; a◌〪◌̖◌̤◌֚b; a◌〪◌̖◌̤◌֚b; a◌〪◌̖◌̤◌֚b; a◌〪◌̖◌̤◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING DIAERESIS BELOW, LATIN SMALL LETTER B
      "\u0061 0324 059A 0316 302A 0062",  # (a◌̤◌֚◌̖◌〪b; a◌〪◌̤◌̖◌֚b; a◌〪◌̤◌̖◌֚b; a◌〪◌̤◌̖◌֚b; a◌〪◌̤◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING DIAERESIS BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0325 0062",  # (a◌֚◌̖◌〪◌̥b; a◌〪◌̖◌̥◌֚b; a◌〪◌̖◌̥◌֚b; a◌〪◌̖◌̥◌֚b; a◌〪◌̖◌̥◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING RING BELOW, LATIN SMALL LETTER B
      "\u0061 0325 059A 0316 302A 0062",  # (a◌̥◌֚◌̖◌〪b; ḁ◌〪◌̖◌֚b; a◌〪◌̥◌̖◌֚b; ḁ◌〪◌̖◌֚b; a◌〪◌̥◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING RING BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0326 0062",  # (a◌֚◌̖◌〪◌̦b; a◌〪◌̖◌̦◌֚b; a◌〪◌̖◌̦◌֚b; a◌〪◌̖◌̦◌֚b; a◌〪◌̖◌̦◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING COMMA BELOW, LATIN SMALL LETTER B
      "\u0061 0326 059A 0316 302A 0062",  # (a◌̦◌֚◌̖◌〪b; a◌〪◌̦◌̖◌֚b; a◌〪◌̦◌̖◌֚b; a◌〪◌̦◌̖◌֚b; a◌〪◌̦◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING COMMA BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 1DCE 0321 0F74 0327 0062",  # (a◌᷎◌̡◌ུ◌̧b; a◌ུ◌̡◌̧◌᷎b; a◌ུ◌̡◌̧◌᷎b; a◌ུ◌̡◌̧◌᷎b; a◌ུ◌̡◌̧◌᷎b; ) LATIN SMALL LETTER A, COMBINING OGONEK ABOVE, COMBINING PALATALIZED HOOK BELOW, TIBETAN VOWEL SIGN U, COMBINING CEDILLA, LATIN SMALL LETTER B
      "\u0061 0327 1DCE 0321 0F74 0062",  # (a◌̧◌᷎◌̡◌ུb; a◌ུ◌̧◌̡◌᷎b; a◌ུ◌̧◌̡◌᷎b; a◌ུ◌̧◌̡◌᷎b; a◌ུ◌̧◌̡◌᷎b; ) LATIN SMALL LETTER A, COMBINING CEDILLA, COMBINING OGONEK ABOVE, COMBINING PALATALIZED HOOK BELOW, TIBETAN VOWEL SIGN U, LATIN SMALL LETTER B
      "\u0061 1DCE 0321 0F74 0328 0062",  # (a◌᷎◌̡◌ུ◌̨b; a◌ུ◌̡◌̨◌᷎b; a◌ུ◌̡◌̨◌᷎b; a◌ུ◌̡◌̨◌᷎b; a◌ུ◌̡◌̨◌᷎b; ) LATIN SMALL LETTER A, COMBINING OGONEK ABOVE, COMBINING PALATALIZED HOOK BELOW, TIBETAN VOWEL SIGN U, COMBINING OGONEK, LATIN SMALL LETTER B
      "\u0061 0328 1DCE 0321 0F74 0062",  # (a◌̨◌᷎◌̡◌ུb; ą◌ུ◌̡◌᷎b; a◌ུ◌̨◌̡◌᷎b; ą◌ུ◌̡◌᷎b; a◌ུ◌̨◌̡◌᷎b; ) LATIN SMALL LETTER A, COMBINING OGONEK, COMBINING OGONEK ABOVE, COMBINING PALATALIZED HOOK BELOW, TIBETAN VOWEL SIGN U, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0329 0062",  # (a◌֚◌̖◌〪◌̩b; a◌〪◌̖◌̩◌֚b; a◌〪◌̖◌̩◌֚b; a◌〪◌̖◌̩◌֚b; a◌〪◌̖◌̩◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING VERTICAL LINE BELOW, LATIN SMALL LETTER B
      "\u0061 0329 059A 0316 302A 0062",  # (a◌̩◌֚◌̖◌〪b; a◌〪◌̩◌̖◌֚b; a◌〪◌̩◌̖◌֚b; a◌〪◌̩◌̖◌֚b; a◌〪◌̩◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING VERTICAL LINE BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 032A 0062",  # (a◌֚◌̖◌〪◌̪b; a◌〪◌̖◌̪◌֚b; a◌〪◌̖◌̪◌֚b; a◌〪◌̖◌̪◌֚b; a◌〪◌̖◌̪◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING BRIDGE BELOW, LATIN SMALL LETTER B
      "\u0061 032A 059A 0316 302A 0062",  # (a◌̪◌֚◌̖◌〪b; a◌〪◌̪◌̖◌֚b; a◌〪◌̪◌̖◌֚b; a◌〪◌̪◌̖◌֚b; a◌〪◌̪◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING BRIDGE BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 032B 0062",  # (a◌֚◌̖◌〪◌̫b; a◌〪◌̖◌̫◌֚b; a◌〪◌̖◌̫◌֚b; a◌〪◌̖◌̫◌֚b; a◌〪◌̖◌̫◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING INVERTED DOUBLE ARCH BELOW, LATIN SMALL LETTER B
      "\u0061 032B 059A 0316 302A 0062",  # (a◌̫◌֚◌̖◌〪b; a◌〪◌̫◌̖◌֚b; a◌〪◌̫◌̖◌֚b; a◌〪◌̫◌̖◌֚b; a◌〪◌̫◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING INVERTED DOUBLE ARCH BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 032C 0062",  # (a◌֚◌̖◌〪◌̬b; a◌〪◌̖◌̬◌֚b; a◌〪◌̖◌̬◌֚b; a◌〪◌̖◌̬◌֚b; a◌〪◌̖◌̬◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING CARON BELOW, LATIN SMALL LETTER B
      "\u0061 032C 059A 0316 302A 0062",  # (a◌̬◌֚◌̖◌〪b; a◌〪◌̬◌̖◌֚b; a◌〪◌̬◌̖◌֚b; a◌〪◌̬◌̖◌֚b; a◌〪◌̬◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING CARON BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 032D 0062",  # (a◌֚◌̖◌〪◌̭b; a◌〪◌̖◌̭◌֚b; a◌〪◌̖◌̭◌֚b; a◌〪◌̖◌̭◌֚b; a◌〪◌̖◌̭◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING CIRCUMFLEX ACCENT BELOW, LATIN SMALL LETTER B
      "\u0061 032D 059A 0316 302A 0062",  # (a◌̭◌֚◌̖◌〪b; a◌〪◌̭◌̖◌֚b; a◌〪◌̭◌̖◌֚b; a◌〪◌̭◌̖◌֚b; a◌〪◌̭◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING CIRCUMFLEX ACCENT BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 032E 0062",  # (a◌֚◌̖◌〪◌̮b; a◌〪◌̖◌̮◌֚b; a◌〪◌̖◌̮◌֚b; a◌〪◌̖◌̮◌֚b; a◌〪◌̖◌̮◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING BREVE BELOW, LATIN SMALL LETTER B
      "\u0061 032E 059A 0316 302A 0062",  # (a◌̮◌֚◌̖◌〪b; a◌〪◌̮◌̖◌֚b; a◌〪◌̮◌̖◌֚b; a◌〪◌̮◌̖◌֚b; a◌〪◌̮◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING BREVE BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 032F 0062",  # (a◌֚◌̖◌〪◌̯b; a◌〪◌̖◌̯◌֚b; a◌〪◌̖◌̯◌֚b; a◌〪◌̖◌̯◌֚b; a◌〪◌̖◌̯◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING INVERTED BREVE BELOW, LATIN SMALL LETTER B
      "\u0061 032F 059A 0316 302A 0062",  # (a◌̯◌֚◌̖◌〪b; a◌〪◌̯◌̖◌֚b; a◌〪◌̯◌̖◌֚b; a◌〪◌̯◌̖◌֚b; a◌〪◌̯◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING INVERTED BREVE BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0330 0062",  # (a◌֚◌̖◌〪◌̰b; a◌〪◌̖◌̰◌֚b; a◌〪◌̖◌̰◌֚b; a◌〪◌̖◌̰◌֚b; a◌〪◌̖◌̰◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING TILDE BELOW, LATIN SMALL LETTER B
      "\u0061 0330 059A 0316 302A 0062",  # (a◌̰◌֚◌̖◌〪b; a◌〪◌̰◌̖◌֚b; a◌〪◌̰◌̖◌֚b; a◌〪◌̰◌̖◌֚b; a◌〪◌̰◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING TILDE BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0331 0062",  # (a◌֚◌̖◌〪◌̱b; a◌〪◌̖◌̱◌֚b; a◌〪◌̖◌̱◌֚b; a◌〪◌̖◌̱◌֚b; a◌〪◌̖◌̱◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING MACRON BELOW, LATIN SMALL LETTER B
      "\u0061 0331 059A 0316 302A 0062",  # (a◌̱◌֚◌̖◌〪b; a◌〪◌̱◌̖◌֚b; a◌〪◌̱◌̖◌֚b; a◌〪◌̱◌̖◌֚b; a◌〪◌̱◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING MACRON BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0332 0062",  # (a◌֚◌̖◌〪◌̲b; a◌〪◌̖◌̲◌֚b; a◌〪◌̖◌̲◌֚b; a◌〪◌̖◌̲◌֚b; a◌〪◌̖◌̲◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING LOW LINE, LATIN SMALL LETTER B
      "\u0061 0332 059A 0316 302A 0062",  # (a◌̲◌֚◌̖◌〪b; a◌〪◌̲◌̖◌֚b; a◌〪◌̲◌̖◌֚b; a◌〪◌̲◌̖◌֚b; a◌〪◌̲◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING LOW LINE, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0333 0062",  # (a◌֚◌̖◌〪◌̳b; a◌〪◌̖◌̳◌֚b; a◌〪◌̖◌̳◌֚b; a◌〪◌̖◌̳◌֚b; a◌〪◌̖◌̳◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING DOUBLE LOW LINE, LATIN SMALL LETTER B
      "\u0061 0333 059A 0316 302A 0062",  # (a◌̳◌֚◌̖◌〪b; a◌〪◌̳◌̖◌֚b; a◌〪◌̳◌̖◌֚b; a◌〪◌̳◌̖◌֚b; a◌〪◌̳◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING DOUBLE LOW LINE, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 093C 0334 0334 0062",  # (a◌़◌̴◌̴b; a◌̴◌̴◌़b; a◌̴◌̴◌़b; a◌̴◌̴◌़b; a◌̴◌̴◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 0334 093C 0334 0062",  # (a◌̴◌़◌̴b; a◌̴◌̴◌़b; a◌̴◌̴◌़b; a◌̴◌̴◌़b; a◌̴◌̴◌़b; ) LATIN SMALL LETTER A, COMBINING TILDE OVERLAY, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 093C 0334 0335 0062",  # (a◌़◌̴◌̵b; a◌̴◌̵◌़b; a◌̴◌̵◌़b; a◌̴◌̵◌़b; a◌̴◌̵◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, COMBINING SHORT STROKE OVERLAY, LATIN SMALL LETTER B
      "\u0061 0335 093C 0334 0062",  # (a◌̵◌़◌̴b; a◌̵◌̴◌़b; a◌̵◌̴◌़b; a◌̵◌̴◌़b; a◌̵◌̴◌़b; ) LATIN SMALL LETTER A, COMBINING SHORT STROKE OVERLAY, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 093C 0334 0336 0062",  # (a◌़◌̴◌̶b; a◌̴◌̶◌़b; a◌̴◌̶◌़b; a◌̴◌̶◌़b; a◌̴◌̶◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, COMBINING LONG STROKE OVERLAY, LATIN SMALL LETTER B
      "\u0061 0336 093C 0334 0062",  # (a◌̶◌़◌̴b; a◌̶◌̴◌़b; a◌̶◌̴◌़b; a◌̶◌̴◌़b; a◌̶◌̴◌़b; ) LATIN SMALL LETTER A, COMBINING LONG STROKE OVERLAY, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 093C 0334 0337 0062",  # (a◌़◌̴◌̷b; a◌̴◌̷◌़b; a◌̴◌̷◌़b; a◌̴◌̷◌़b; a◌̴◌̷◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, COMBINING SHORT SOLIDUS OVERLAY, LATIN SMALL LETTER B
      "\u0061 0337 093C 0334 0062",  # (a◌̷◌़◌̴b; a◌̷◌̴◌़b; a◌̷◌̴◌़b; a◌̷◌̴◌़b; a◌̷◌̴◌़b; ) LATIN SMALL LETTER A, COMBINING SHORT SOLIDUS OVERLAY, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 093C 0334 0338 0062",  # (a◌़◌̴◌̸b; a◌̴◌̸◌़b; a◌̴◌̸◌़b; a◌̴◌̸◌़b; a◌̴◌̸◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, COMBINING LONG SOLIDUS OVERLAY, LATIN SMALL LETTER B
      "\u0061 0338 093C 0334 0062",  # (a◌̸◌़◌̴b; a◌̸◌̴◌़b; a◌̸◌̴◌़b; a◌̸◌̴◌़b; a◌̸◌̴◌़b; ) LATIN SMALL LETTER A, COMBINING LONG SOLIDUS OVERLAY, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0339 0062",  # (a◌֚◌̖◌〪◌̹b; a◌〪◌̖◌̹◌֚b; a◌〪◌̖◌̹◌֚b; a◌〪◌̖◌̹◌֚b; a◌〪◌̖◌̹◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING RIGHT HALF RING BELOW, LATIN SMALL LETTER B
      "\u0061 0339 059A 0316 302A 0062",  # (a◌̹◌֚◌̖◌〪b; a◌〪◌̹◌̖◌֚b; a◌〪◌̹◌̖◌֚b; a◌〪◌̹◌̖◌֚b; a◌〪◌̹◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING RIGHT HALF RING BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 033A 0062",  # (a◌֚◌̖◌〪◌̺b; a◌〪◌̖◌̺◌֚b; a◌〪◌̖◌̺◌֚b; a◌〪◌̖◌̺◌֚b; a◌〪◌̖◌̺◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING INVERTED BRIDGE BELOW, LATIN SMALL LETTER B
      "\u0061 033A 059A 0316 302A 0062",  # (a◌̺◌֚◌̖◌〪b; a◌〪◌̺◌̖◌֚b; a◌〪◌̺◌̖◌֚b; a◌〪◌̺◌̖◌֚b; a◌〪◌̺◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING INVERTED BRIDGE BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 033B 0062",  # (a◌֚◌̖◌〪◌̻b; a◌〪◌̖◌̻◌֚b; a◌〪◌̖◌̻◌֚b; a◌〪◌̖◌̻◌֚b; a◌〪◌̖◌̻◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING SQUARE BELOW, LATIN SMALL LETTER B
      "\u0061 033B 059A 0316 302A 0062",  # (a◌̻◌֚◌̖◌〪b; a◌〪◌̻◌̖◌֚b; a◌〪◌̻◌̖◌֚b; a◌〪◌̻◌̖◌֚b; a◌〪◌̻◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING SQUARE BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 033C 0062",  # (a◌֚◌̖◌〪◌̼b; a◌〪◌̖◌̼◌֚b; a◌〪◌̖◌̼◌֚b; a◌〪◌̖◌̼◌֚b; a◌〪◌̖◌̼◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING SEAGULL BELOW, LATIN SMALL LETTER B
      "\u0061 033C 059A 0316 302A 0062",  # (a◌̼◌֚◌̖◌〪b; a◌〪◌̼◌̖◌֚b; a◌〪◌̼◌̖◌֚b; a◌〪◌̼◌̖◌֚b; a◌〪◌̼◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING SEAGULL BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 033D 0062",  # (a◌̕◌̀◌֮◌̽b; à◌֮◌̽◌̕b; a◌֮◌̀◌̽◌̕b; à◌֮◌̽◌̕b; a◌֮◌̀◌̽◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING X ABOVE, LATIN SMALL LETTER B
      "\u0061 033D 0315 0300 05AE 0062",  # (a◌̽◌̕◌̀◌֮b; a◌֮◌̽◌̀◌̕b; a◌֮◌̽◌̀◌̕b; a◌֮◌̽◌̀◌̕b; a◌֮◌̽◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING X ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 033E 0062",  # (a◌̕◌̀◌֮◌̾b; à◌֮◌̾◌̕b; a◌֮◌̀◌̾◌̕b; à◌֮◌̾◌̕b; a◌֮◌̀◌̾◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING VERTICAL TILDE, LATIN SMALL LETTER B
      "\u0061 033E 0315 0300 05AE 0062",  # (a◌̾◌̕◌̀◌֮b; a◌֮◌̾◌̀◌̕b; a◌֮◌̾◌̀◌̕b; a◌֮◌̾◌̀◌̕b; a◌֮◌̾◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING VERTICAL TILDE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 033F 0062",  # (a◌̕◌̀◌֮◌̿b; à◌֮◌̿◌̕b; a◌֮◌̀◌̿◌̕b; à◌֮◌̿◌̕b; a◌֮◌̀◌̿◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DOUBLE OVERLINE, LATIN SMALL LETTER B
      "\u0061 033F 0315 0300 05AE 0062",  # (a◌̿◌̕◌̀◌֮b; a◌֮◌̿◌̀◌̕b; a◌֮◌̿◌̀◌̕b; a◌֮◌̿◌̀◌̕b; a◌֮◌̿◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DOUBLE OVERLINE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0340 0062",  # (a◌̕◌̀◌֮◌̀b; à◌֮◌̀◌̕b; a◌֮◌̀◌̀◌̕b; à◌֮◌̀◌̕b; a◌֮◌̀◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GRAVE TONE MARK, LATIN SMALL LETTER B
      "\u0061 0340 0315 0300 05AE 0062",  # (a◌̀◌̕◌̀◌֮b; à◌֮◌̀◌̕b; a◌֮◌̀◌̀◌̕b; à◌֮◌̀◌̕b; a◌֮◌̀◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GRAVE TONE MARK, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0341 0062",  # (a◌̕◌̀◌֮◌́b; à◌֮◌́◌̕b; a◌֮◌̀◌́◌̕b; à◌֮◌́◌̕b; a◌֮◌̀◌́◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING ACUTE TONE MARK, LATIN SMALL LETTER B
      "\u0061 0341 0315 0300 05AE 0062",  # (a◌́◌̕◌̀◌֮b; á◌֮◌̀◌̕b; a◌֮◌́◌̀◌̕b; á◌֮◌̀◌̕b; a◌֮◌́◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING ACUTE TONE MARK, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0342 0062",  # (a◌̕◌̀◌֮◌͂b; à◌֮◌͂◌̕b; a◌֮◌̀◌͂◌̕b; à◌֮◌͂◌̕b; a◌֮◌̀◌͂◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GREEK PERISPOMENI, LATIN SMALL LETTER B
      "\u0061 0342 0315 0300 05AE 0062",  # (a◌͂◌̕◌̀◌֮b; a◌֮◌͂◌̀◌̕b; a◌֮◌͂◌̀◌̕b; a◌֮◌͂◌̀◌̕b; a◌֮◌͂◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GREEK PERISPOMENI, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0343 0062",  # (a◌̕◌̀◌֮◌̓b; à◌֮◌̓◌̕b; a◌֮◌̀◌̓◌̕b; à◌֮◌̓◌̕b; a◌֮◌̀◌̓◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GREEK KORONIS, LATIN SMALL LETTER B
      "\u0061 0343 0315 0300 05AE 0062",  # (a◌̓◌̕◌̀◌֮b; a◌֮◌̓◌̀◌̕b; a◌֮◌̓◌̀◌̕b; a◌֮◌̓◌̀◌̕b; a◌֮◌̓◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GREEK KORONIS, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0344 0062",  # (a◌̕◌̀◌֮◌̈́b; à◌֮◌̈◌́◌̕b; a◌֮◌̀◌̈◌́◌̕b; à◌֮◌̈◌́◌̕b; a◌֮◌̀◌̈◌́◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GREEK DIALYTIKA TONOS, LATIN SMALL LETTER B
      "\u0061 0344 0315 0300 05AE 0062",  # (a◌̈́◌̕◌̀◌֮b; ä◌֮◌́◌̀◌̕b; a◌֮◌̈◌́◌̀◌̕b; ä◌֮◌́◌̀◌̕b; a◌֮◌̈◌́◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GREEK DIALYTIKA TONOS, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0345 035D 0345 0062",  # (a◌ͅ◌͝◌ͅb; a◌͝◌ͅ◌ͅb; a◌͝◌ͅ◌ͅb; a◌͝◌ͅ◌ͅb; a◌͝◌ͅ◌ͅb; ) LATIN SMALL LETTER A, COMBINING GREEK YPOGEGRAMMENI, COMBINING DOUBLE BREVE, COMBINING GREEK YPOGEGRAMMENI, LATIN SMALL LETTER B
      "\u0061 0345 0345 035D 0062",  # (a◌ͅ◌ͅ◌͝b; a◌͝◌ͅ◌ͅb; a◌͝◌ͅ◌ͅb; a◌͝◌ͅ◌ͅb; a◌͝◌ͅ◌ͅb; ) LATIN SMALL LETTER A, COMBINING GREEK YPOGEGRAMMENI, COMBINING GREEK YPOGEGRAMMENI, COMBINING DOUBLE BREVE, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0346 0062",  # (a◌̕◌̀◌֮◌͆b; à◌֮◌͆◌̕b; a◌֮◌̀◌͆◌̕b; à◌֮◌͆◌̕b; a◌֮◌̀◌͆◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING BRIDGE ABOVE, LATIN SMALL LETTER B
      "\u0061 0346 0315 0300 05AE 0062",  # (a◌͆◌̕◌̀◌֮b; a◌֮◌͆◌̀◌̕b; a◌֮◌͆◌̀◌̕b; a◌֮◌͆◌̀◌̕b; a◌֮◌͆◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING BRIDGE ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0347 0062",  # (a◌֚◌̖◌〪◌͇b; a◌〪◌̖◌͇◌֚b; a◌〪◌̖◌͇◌֚b; a◌〪◌̖◌͇◌֚b; a◌〪◌̖◌͇◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING EQUALS SIGN BELOW, LATIN SMALL LETTER B
      "\u0061 0347 059A 0316 302A 0062",  # (a◌͇◌֚◌̖◌〪b; a◌〪◌͇◌̖◌֚b; a◌〪◌͇◌̖◌֚b; a◌〪◌͇◌̖◌֚b; a◌〪◌͇◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING EQUALS SIGN BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0348 0062",  # (a◌֚◌̖◌〪◌͈b; a◌〪◌̖◌͈◌֚b; a◌〪◌̖◌͈◌֚b; a◌〪◌̖◌͈◌֚b; a◌〪◌̖◌͈◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING DOUBLE VERTICAL LINE BELOW, LATIN SMALL LETTER B
      "\u0061 0348 059A 0316 302A 0062",  # (a◌͈◌֚◌̖◌〪b; a◌〪◌͈◌̖◌֚b; a◌〪◌͈◌̖◌֚b; a◌〪◌͈◌̖◌֚b; a◌〪◌͈◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING DOUBLE VERTICAL LINE BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0349 0062",  # (a◌֚◌̖◌〪◌͉b; a◌〪◌̖◌͉◌֚b; a◌〪◌̖◌͉◌֚b; a◌〪◌̖◌͉◌֚b; a◌〪◌̖◌͉◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING LEFT ANGLE BELOW, LATIN SMALL LETTER B
      "\u0061 0349 059A 0316 302A 0062",  # (a◌͉◌֚◌̖◌〪b; a◌〪◌͉◌̖◌֚b; a◌〪◌͉◌̖◌֚b; a◌〪◌͉◌̖◌֚b; a◌〪◌͉◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING LEFT ANGLE BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 034A 0062",  # (a◌̕◌̀◌֮◌͊b; à◌֮◌͊◌̕b; a◌֮◌̀◌͊◌̕b; à◌֮◌͊◌̕b; a◌֮◌̀◌͊◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING NOT TILDE ABOVE, LATIN SMALL LETTER B
      "\u0061 034A 0315 0300 05AE 0062",  # (a◌͊◌̕◌̀◌֮b; a◌֮◌͊◌̀◌̕b; a◌֮◌͊◌̀◌̕b; a◌֮◌͊◌̀◌̕b; a◌֮◌͊◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING NOT TILDE ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 034B 0062",  # (a◌̕◌̀◌֮◌͋b; à◌֮◌͋◌̕b; a◌֮◌̀◌͋◌̕b; à◌֮◌͋◌̕b; a◌֮◌̀◌͋◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING HOMOTHETIC ABOVE, LATIN SMALL LETTER B
      "\u0061 034B 0315 0300 05AE 0062",  # (a◌͋◌̕◌̀◌֮b; a◌֮◌͋◌̀◌̕b; a◌֮◌͋◌̀◌̕b; a◌֮◌͋◌̀◌̕b; a◌֮◌͋◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING HOMOTHETIC ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 034C 0062",  # (a◌̕◌̀◌֮◌͌b; à◌֮◌͌◌̕b; a◌֮◌̀◌͌◌̕b; à◌֮◌͌◌̕b; a◌֮◌̀◌͌◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING ALMOST EQUAL TO ABOVE, LATIN SMALL LETTER B
      "\u0061 034C 0315 0300 05AE 0062",  # (a◌͌◌̕◌̀◌֮b; a◌֮◌͌◌̀◌̕b; a◌֮◌͌◌̀◌̕b; a◌֮◌͌◌̀◌̕b; a◌֮◌͌◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING ALMOST EQUAL TO ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 034D 0062",  # (a◌֚◌̖◌〪◌͍b; a◌〪◌̖◌͍◌֚b; a◌〪◌̖◌͍◌֚b; a◌〪◌̖◌͍◌֚b; a◌〪◌̖◌͍◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING LEFT RIGHT ARROW BELOW, LATIN SMALL LETTER B
      "\u0061 034D 059A 0316 302A 0062",  # (a◌͍◌֚◌̖◌〪b; a◌〪◌͍◌̖◌֚b; a◌〪◌͍◌̖◌֚b; a◌〪◌͍◌̖◌֚b; a◌〪◌͍◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING LEFT RIGHT ARROW BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 034E 0062",  # (a◌֚◌̖◌〪◌͎b; a◌〪◌̖◌͎◌֚b; a◌〪◌̖◌͎◌֚b; a◌〪◌̖◌͎◌֚b; a◌〪◌̖◌͎◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING UPWARDS ARROW BELOW, LATIN SMALL LETTER B
      "\u0061 034E 059A 0316 302A 0062",  # (a◌͎◌֚◌̖◌〪b; a◌〪◌͎◌̖◌֚b; a◌〪◌͎◌̖◌֚b; a◌〪◌͎◌̖◌֚b; a◌〪◌͎◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING UPWARDS ARROW BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0350 0062",  # (a◌̕◌̀◌֮◌͐b; à◌֮◌͐◌̕b; a◌֮◌̀◌͐◌̕b; à◌֮◌͐◌̕b; a◌֮◌̀◌͐◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING RIGHT ARROWHEAD ABOVE, LATIN SMALL LETTER B
      "\u0061 0350 0315 0300 05AE 0062",  # (a◌͐◌̕◌̀◌֮b; a◌֮◌͐◌̀◌̕b; a◌֮◌͐◌̀◌̕b; a◌֮◌͐◌̀◌̕b; a◌֮◌͐◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING RIGHT ARROWHEAD ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0351 0062",  # (a◌̕◌̀◌֮◌͑b; à◌֮◌͑◌̕b; a◌֮◌̀◌͑◌̕b; à◌֮◌͑◌̕b; a◌֮◌̀◌͑◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LEFT HALF RING ABOVE, LATIN SMALL LETTER B
      "\u0061 0351 0315 0300 05AE 0062",  # (a◌͑◌̕◌̀◌֮b; a◌֮◌͑◌̀◌̕b; a◌֮◌͑◌̀◌̕b; a◌֮◌͑◌̀◌̕b; a◌֮◌͑◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LEFT HALF RING ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0352 0062",  # (a◌̕◌̀◌֮◌͒b; à◌֮◌͒◌̕b; a◌֮◌̀◌͒◌̕b; à◌֮◌͒◌̕b; a◌֮◌̀◌͒◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING FERMATA, LATIN SMALL LETTER B
      "\u0061 0352 0315 0300 05AE 0062",  # (a◌͒◌̕◌̀◌֮b; a◌֮◌͒◌̀◌̕b; a◌֮◌͒◌̀◌̕b; a◌֮◌͒◌̀◌̕b; a◌֮◌͒◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING FERMATA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0353 0062",  # (a◌֚◌̖◌〪◌͓b; a◌〪◌̖◌͓◌֚b; a◌〪◌̖◌͓◌֚b; a◌〪◌̖◌͓◌֚b; a◌〪◌̖◌͓◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING X BELOW, LATIN SMALL LETTER B
      "\u0061 0353 059A 0316 302A 0062",  # (a◌͓◌֚◌̖◌〪b; a◌〪◌͓◌̖◌֚b; a◌〪◌͓◌̖◌֚b; a◌〪◌͓◌̖◌֚b; a◌〪◌͓◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING X BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0354 0062",  # (a◌֚◌̖◌〪◌͔b; a◌〪◌̖◌͔◌֚b; a◌〪◌̖◌͔◌֚b; a◌〪◌̖◌͔◌֚b; a◌〪◌̖◌͔◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING LEFT ARROWHEAD BELOW, LATIN SMALL LETTER B
      "\u0061 0354 059A 0316 302A 0062",  # (a◌͔◌֚◌̖◌〪b; a◌〪◌͔◌̖◌֚b; a◌〪◌͔◌̖◌֚b; a◌〪◌͔◌̖◌֚b; a◌〪◌͔◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING LEFT ARROWHEAD BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0355 0062",  # (a◌֚◌̖◌〪◌͕b; a◌〪◌̖◌͕◌֚b; a◌〪◌̖◌͕◌֚b; a◌〪◌̖◌͕◌֚b; a◌〪◌̖◌͕◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING RIGHT ARROWHEAD BELOW, LATIN SMALL LETTER B
      "\u0061 0355 059A 0316 302A 0062",  # (a◌͕◌֚◌̖◌〪b; a◌〪◌͕◌̖◌֚b; a◌〪◌͕◌̖◌֚b; a◌〪◌͕◌̖◌֚b; a◌〪◌͕◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING RIGHT ARROWHEAD BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0356 0062",  # (a◌֚◌̖◌〪◌͖b; a◌〪◌̖◌͖◌֚b; a◌〪◌̖◌͖◌֚b; a◌〪◌̖◌͖◌֚b; a◌〪◌̖◌͖◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING RIGHT ARROWHEAD AND UP ARROWHEAD BELOW, LATIN SMALL LETTER B
      "\u0061 0356 059A 0316 302A 0062",  # (a◌͖◌֚◌̖◌〪b; a◌〪◌͖◌̖◌֚b; a◌〪◌͖◌̖◌֚b; a◌〪◌͖◌̖◌֚b; a◌〪◌͖◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING RIGHT ARROWHEAD AND UP ARROWHEAD BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0357 0062",  # (a◌̕◌̀◌֮◌͗b; à◌֮◌͗◌̕b; a◌֮◌̀◌͗◌̕b; à◌֮◌͗◌̕b; a◌֮◌̀◌͗◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING RIGHT HALF RING ABOVE, LATIN SMALL LETTER B
      "\u0061 0357 0315 0300 05AE 0062",  # (a◌͗◌̕◌̀◌֮b; a◌֮◌͗◌̀◌̕b; a◌֮◌͗◌̀◌̕b; a◌֮◌͗◌̀◌̕b; a◌֮◌͗◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING RIGHT HALF RING ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 035C 0315 0300 0358 0062",  # (a◌͜◌̕◌̀◌͘b; à◌̕◌͘◌͜b; a◌̀◌̕◌͘◌͜b; à◌̕◌͘◌͜b; a◌̀◌̕◌͘◌͜b; ) LATIN SMALL LETTER A, COMBINING DOUBLE BREVE BELOW, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, COMBINING DOT ABOVE RIGHT, LATIN SMALL LETTER B
      "\u0061 0358 035C 0315 0300 0062",  # (a◌͘◌͜◌̕◌̀b; à◌͘◌̕◌͜b; a◌̀◌͘◌̕◌͜b; à◌͘◌̕◌͜b; a◌̀◌͘◌̕◌͜b; ) LATIN SMALL LETTER A, COMBINING DOT ABOVE RIGHT, COMBINING DOUBLE BREVE BELOW, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0359 0062",  # (a◌֚◌̖◌〪◌͙b; a◌〪◌̖◌͙◌֚b; a◌〪◌̖◌͙◌֚b; a◌〪◌̖◌͙◌֚b; a◌〪◌̖◌͙◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING ASTERISK BELOW, LATIN SMALL LETTER B
      "\u0061 0359 059A 0316 302A 0062",  # (a◌͙◌֚◌̖◌〪b; a◌〪◌͙◌̖◌֚b; a◌〪◌͙◌̖◌֚b; a◌〪◌͙◌̖◌֚b; a◌〪◌͙◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING ASTERISK BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 035A 0062",  # (a◌֚◌̖◌〪◌͚b; a◌〪◌̖◌͚◌֚b; a◌〪◌̖◌͚◌֚b; a◌〪◌̖◌͚◌֚b; a◌〪◌̖◌͚◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING DOUBLE RING BELOW, LATIN SMALL LETTER B
      "\u0061 035A 059A 0316 302A 0062",  # (a◌͚◌֚◌̖◌〪b; a◌〪◌͚◌̖◌֚b; a◌〪◌͚◌̖◌֚b; a◌〪◌͚◌̖◌֚b; a◌〪◌͚◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING DOUBLE RING BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 035B 0062",  # (a◌̕◌̀◌֮◌͛b; à◌֮◌͛◌̕b; a◌֮◌̀◌͛◌̕b; à◌֮◌͛◌̕b; a◌֮◌̀◌͛◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING ZIGZAG ABOVE, LATIN SMALL LETTER B
      "\u0061 035B 0315 0300 05AE 0062",  # (a◌͛◌̕◌̀◌֮b; a◌֮◌͛◌̀◌̕b; a◌֮◌͛◌̀◌̕b; a◌֮◌͛◌̀◌̕b; a◌֮◌͛◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING ZIGZAG ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 035D 035C 0315 035C 0062",  # (a◌͝◌͜◌̕◌͜b; a◌̕◌͜◌͜◌͝b; a◌̕◌͜◌͜◌͝b; a◌̕◌͜◌͜◌͝b; a◌̕◌͜◌͜◌͝b; ) LATIN SMALL LETTER A, COMBINING DOUBLE BREVE, COMBINING DOUBLE BREVE BELOW, COMBINING COMMA ABOVE RIGHT, COMBINING DOUBLE BREVE BELOW, LATIN SMALL LETTER B
      "\u0061 035C 035D 035C 0315 0062",  # (a◌͜◌͝◌͜◌̕b; a◌̕◌͜◌͜◌͝b; a◌̕◌͜◌͜◌͝b; a◌̕◌͜◌͜◌͝b; a◌̕◌͜◌͜◌͝b; ) LATIN SMALL LETTER A, COMBINING DOUBLE BREVE BELOW, COMBINING DOUBLE BREVE, COMBINING DOUBLE BREVE BELOW, COMBINING COMMA ABOVE RIGHT, LATIN SMALL LETTER B
      "\u0061 0345 035D 035C 035D 0062",  # (a◌ͅ◌͝◌͜◌͝b; a◌͜◌͝◌͝◌ͅb; a◌͜◌͝◌͝◌ͅb; a◌͜◌͝◌͝◌ͅb; a◌͜◌͝◌͝◌ͅb; ) LATIN SMALL LETTER A, COMBINING GREEK YPOGEGRAMMENI, COMBINING DOUBLE BREVE, COMBINING DOUBLE BREVE BELOW, COMBINING DOUBLE BREVE, LATIN SMALL LETTER B
      "\u0061 035D 0345 035D 035C 0062",  # (a◌͝◌ͅ◌͝◌͜b; a◌͜◌͝◌͝◌ͅb; a◌͜◌͝◌͝◌ͅb; a◌͜◌͝◌͝◌ͅb; a◌͜◌͝◌͝◌ͅb; ) LATIN SMALL LETTER A, COMBINING DOUBLE BREVE, COMBINING GREEK YPOGEGRAMMENI, COMBINING DOUBLE BREVE, COMBINING DOUBLE BREVE BELOW, LATIN SMALL LETTER B
      "\u0061 0345 035D 035C 035E 0062",  # (a◌ͅ◌͝◌͜◌͞b; a◌͜◌͝◌͞◌ͅb; a◌͜◌͝◌͞◌ͅb; a◌͜◌͝◌͞◌ͅb; a◌͜◌͝◌͞◌ͅb; ) LATIN SMALL LETTER A, COMBINING GREEK YPOGEGRAMMENI, COMBINING DOUBLE BREVE, COMBINING DOUBLE BREVE BELOW, COMBINING DOUBLE MACRON, LATIN SMALL LETTER B
      "\u0061 035E 0345 035D 035C 0062",  # (a◌͞◌ͅ◌͝◌͜b; a◌͜◌͞◌͝◌ͅb; a◌͜◌͞◌͝◌ͅb; a◌͜◌͞◌͝◌ͅb; a◌͜◌͞◌͝◌ͅb; ) LATIN SMALL LETTER A, COMBINING DOUBLE MACRON, COMBINING GREEK YPOGEGRAMMENI, COMBINING DOUBLE BREVE, COMBINING DOUBLE BREVE BELOW, LATIN SMALL LETTER B
      "\u0061 035D 035C 0315 035F 0062",  # (a◌͝◌͜◌̕◌͟b; a◌̕◌͜◌͟◌͝b; a◌̕◌͜◌͟◌͝b; a◌̕◌͜◌͟◌͝b; a◌̕◌͜◌͟◌͝b; ) LATIN SMALL LETTER A, COMBINING DOUBLE BREVE, COMBINING DOUBLE BREVE BELOW, COMBINING COMMA ABOVE RIGHT, COMBINING DOUBLE MACRON BELOW, LATIN SMALL LETTER B
      "\u0061 035F 035D 035C 0315 0062",  # (a◌͟◌͝◌͜◌̕b; a◌̕◌͟◌͜◌͝b; a◌̕◌͟◌͜◌͝b; a◌̕◌͟◌͜◌͝b; a◌̕◌͟◌͜◌͝b; ) LATIN SMALL LETTER A, COMBINING DOUBLE MACRON BELOW, COMBINING DOUBLE BREVE, COMBINING DOUBLE BREVE BELOW, COMBINING COMMA ABOVE RIGHT, LATIN SMALL LETTER B
      "\u0061 0345 035D 035C 0360 0062",  # (a◌ͅ◌͝◌͜◌͠b; a◌͜◌͝◌͠◌ͅb; a◌͜◌͝◌͠◌ͅb; a◌͜◌͝◌͠◌ͅb; a◌͜◌͝◌͠◌ͅb; ) LATIN SMALL LETTER A, COMBINING GREEK YPOGEGRAMMENI, COMBINING DOUBLE BREVE, COMBINING DOUBLE BREVE BELOW, COMBINING DOUBLE TILDE, LATIN SMALL LETTER B
      "\u0061 0360 0345 035D 035C 0062",  # (a◌͠◌ͅ◌͝◌͜b; a◌͜◌͠◌͝◌ͅb; a◌͜◌͠◌͝◌ͅb; a◌͜◌͠◌͝◌ͅb; a◌͜◌͠◌͝◌ͅb; ) LATIN SMALL LETTER A, COMBINING DOUBLE TILDE, COMBINING GREEK YPOGEGRAMMENI, COMBINING DOUBLE BREVE, COMBINING DOUBLE BREVE BELOW, LATIN SMALL LETTER B
      "\u0061 0345 035D 035C 0361 0062",  # (a◌ͅ◌͝◌͜◌͡b; a◌͜◌͝◌͡◌ͅb; a◌͜◌͝◌͡◌ͅb; a◌͜◌͝◌͡◌ͅb; a◌͜◌͝◌͡◌ͅb; ) LATIN SMALL LETTER A, COMBINING GREEK YPOGEGRAMMENI, COMBINING DOUBLE BREVE, COMBINING DOUBLE BREVE BELOW, COMBINING DOUBLE INVERTED BREVE, LATIN SMALL LETTER B
      "\u0061 0361 0345 035D 035C 0062",  # (a◌͡◌ͅ◌͝◌͜b; a◌͜◌͡◌͝◌ͅb; a◌͜◌͡◌͝◌ͅb; a◌͜◌͡◌͝◌ͅb; a◌͜◌͡◌͝◌ͅb; ) LATIN SMALL LETTER A, COMBINING DOUBLE INVERTED BREVE, COMBINING GREEK YPOGEGRAMMENI, COMBINING DOUBLE BREVE, COMBINING DOUBLE BREVE BELOW, LATIN SMALL LETTER B
      "\u0061 035D 035C 0315 0362 0062",  # (a◌͝◌͜◌̕◌͢b; a◌̕◌͜◌͢◌͝b; a◌̕◌͜◌͢◌͝b; a◌̕◌͜◌͢◌͝b; a◌̕◌͜◌͢◌͝b; ) LATIN SMALL LETTER A, COMBINING DOUBLE BREVE, COMBINING DOUBLE BREVE BELOW, COMBINING COMMA ABOVE RIGHT, COMBINING DOUBLE RIGHTWARDS ARROW BELOW, LATIN SMALL LETTER B
      "\u0061 0362 035D 035C 0315 0062",  # (a◌͢◌͝◌͜◌̕b; a◌̕◌͢◌͜◌͝b; a◌̕◌͢◌͜◌͝b; a◌̕◌͢◌͜◌͝b; a◌̕◌͢◌͜◌͝b; ) LATIN SMALL LETTER A, COMBINING DOUBLE RIGHTWARDS ARROW BELOW, COMBINING DOUBLE BREVE, COMBINING DOUBLE BREVE BELOW, COMBINING COMMA ABOVE RIGHT, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0363 0062",  # (a◌̕◌̀◌֮◌ͣb; à◌֮◌ͣ◌̕b; a◌֮◌̀◌ͣ◌̕b; à◌֮◌ͣ◌̕b; a◌֮◌̀◌ͣ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER A, LATIN SMALL LETTER B
      "\u0061 0363 0315 0300 05AE 0062",  # (a◌ͣ◌̕◌̀◌֮b; a◌֮◌ͣ◌̀◌̕b; a◌֮◌ͣ◌̀◌̕b; a◌֮◌ͣ◌̀◌̕b; a◌֮◌ͣ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0364 0062",  # (a◌̕◌̀◌֮◌ͤb; à◌֮◌ͤ◌̕b; a◌֮◌̀◌ͤ◌̕b; à◌֮◌ͤ◌̕b; a◌֮◌̀◌ͤ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER E, LATIN SMALL LETTER B
      "\u0061 0364 0315 0300 05AE 0062",  # (a◌ͤ◌̕◌̀◌֮b; a◌֮◌ͤ◌̀◌̕b; a◌֮◌ͤ◌̀◌̕b; a◌֮◌ͤ◌̀◌̕b; a◌֮◌ͤ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER E, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0365 0062",  # (a◌̕◌̀◌֮◌ͥb; à◌֮◌ͥ◌̕b; a◌֮◌̀◌ͥ◌̕b; à◌֮◌ͥ◌̕b; a◌֮◌̀◌ͥ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER I, LATIN SMALL LETTER B
      "\u0061 0365 0315 0300 05AE 0062",  # (a◌ͥ◌̕◌̀◌֮b; a◌֮◌ͥ◌̀◌̕b; a◌֮◌ͥ◌̀◌̕b; a◌֮◌ͥ◌̀◌̕b; a◌֮◌ͥ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER I, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0366 0062",  # (a◌̕◌̀◌֮◌ͦb; à◌֮◌ͦ◌̕b; a◌֮◌̀◌ͦ◌̕b; à◌֮◌ͦ◌̕b; a◌֮◌̀◌ͦ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER O, LATIN SMALL LETTER B
      "\u0061 0366 0315 0300 05AE 0062",  # (a◌ͦ◌̕◌̀◌֮b; a◌֮◌ͦ◌̀◌̕b; a◌֮◌ͦ◌̀◌̕b; a◌֮◌ͦ◌̀◌̕b; a◌֮◌ͦ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER O, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0367 0062",  # (a◌̕◌̀◌֮◌ͧb; à◌֮◌ͧ◌̕b; a◌֮◌̀◌ͧ◌̕b; à◌֮◌ͧ◌̕b; a◌֮◌̀◌ͧ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER U, LATIN SMALL LETTER B
      "\u0061 0367 0315 0300 05AE 0062",  # (a◌ͧ◌̕◌̀◌֮b; a◌֮◌ͧ◌̀◌̕b; a◌֮◌ͧ◌̀◌̕b; a◌֮◌ͧ◌̀◌̕b; a◌֮◌ͧ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER U, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0368 0062",  # (a◌̕◌̀◌֮◌ͨb; à◌֮◌ͨ◌̕b; a◌֮◌̀◌ͨ◌̕b; à◌֮◌ͨ◌̕b; a◌֮◌̀◌ͨ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER C, LATIN SMALL LETTER B
      "\u0061 0368 0315 0300 05AE 0062",  # (a◌ͨ◌̕◌̀◌֮b; a◌֮◌ͨ◌̀◌̕b; a◌֮◌ͨ◌̀◌̕b; a◌֮◌ͨ◌̀◌̕b; a◌֮◌ͨ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER C, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0369 0062",  # (a◌̕◌̀◌֮◌ͩb; à◌֮◌ͩ◌̕b; a◌֮◌̀◌ͩ◌̕b; à◌֮◌ͩ◌̕b; a◌֮◌̀◌ͩ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER D, LATIN SMALL LETTER B
      "\u0061 0369 0315 0300 05AE 0062",  # (a◌ͩ◌̕◌̀◌֮b; a◌֮◌ͩ◌̀◌̕b; a◌֮◌ͩ◌̀◌̕b; a◌֮◌ͩ◌̀◌̕b; a◌֮◌ͩ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER D, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 036A 0062",  # (a◌̕◌̀◌֮◌ͪb; à◌֮◌ͪ◌̕b; a◌֮◌̀◌ͪ◌̕b; à◌֮◌ͪ◌̕b; a◌֮◌̀◌ͪ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER H, LATIN SMALL LETTER B
      "\u0061 036A 0315 0300 05AE 0062",  # (a◌ͪ◌̕◌̀◌֮b; a◌֮◌ͪ◌̀◌̕b; a◌֮◌ͪ◌̀◌̕b; a◌֮◌ͪ◌̀◌̕b; a◌֮◌ͪ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER H, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 036B 0062",  # (a◌̕◌̀◌֮◌ͫb; à◌֮◌ͫ◌̕b; a◌֮◌̀◌ͫ◌̕b; à◌֮◌ͫ◌̕b; a◌֮◌̀◌ͫ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER M, LATIN SMALL LETTER B
      "\u0061 036B 0315 0300 05AE 0062",  # (a◌ͫ◌̕◌̀◌֮b; a◌֮◌ͫ◌̀◌̕b; a◌֮◌ͫ◌̀◌̕b; a◌֮◌ͫ◌̀◌̕b; a◌֮◌ͫ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER M, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 036C 0062",  # (a◌̕◌̀◌֮◌ͬb; à◌֮◌ͬ◌̕b; a◌֮◌̀◌ͬ◌̕b; à◌֮◌ͬ◌̕b; a◌֮◌̀◌ͬ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER R, LATIN SMALL LETTER B
      "\u0061 036C 0315 0300 05AE 0062",  # (a◌ͬ◌̕◌̀◌֮b; a◌֮◌ͬ◌̀◌̕b; a◌֮◌ͬ◌̀◌̕b; a◌֮◌ͬ◌̀◌̕b; a◌֮◌ͬ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER R, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 036D 0062",  # (a◌̕◌̀◌֮◌ͭb; à◌֮◌ͭ◌̕b; a◌֮◌̀◌ͭ◌̕b; à◌֮◌ͭ◌̕b; a◌֮◌̀◌ͭ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER T, LATIN SMALL LETTER B
      "\u0061 036D 0315 0300 05AE 0062",  # (a◌ͭ◌̕◌̀◌֮b; a◌֮◌ͭ◌̀◌̕b; a◌֮◌ͭ◌̀◌̕b; a◌֮◌ͭ◌̀◌̕b; a◌֮◌ͭ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER T, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 036E 0062",  # (a◌̕◌̀◌֮◌ͮb; à◌֮◌ͮ◌̕b; a◌֮◌̀◌ͮ◌̕b; à◌֮◌ͮ◌̕b; a◌֮◌̀◌ͮ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER V, LATIN SMALL LETTER B
      "\u0061 036E 0315 0300 05AE 0062",  # (a◌ͮ◌̕◌̀◌֮b; a◌֮◌ͮ◌̀◌̕b; a◌֮◌ͮ◌̀◌̕b; a◌֮◌ͮ◌̀◌̕b; a◌֮◌ͮ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER V, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 036F 0062",  # (a◌̕◌̀◌֮◌ͯb; à◌֮◌ͯ◌̕b; a◌֮◌̀◌ͯ◌̕b; à◌֮◌ͯ◌̕b; a◌֮◌̀◌ͯ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER X, LATIN SMALL LETTER B
      "\u0061 036F 0315 0300 05AE 0062",  # (a◌ͯ◌̕◌̀◌֮b; a◌֮◌ͯ◌̀◌̕b; a◌֮◌ͯ◌̀◌̕b; a◌֮◌ͯ◌̀◌̕b; a◌֮◌ͯ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER X, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0483 0062",  # (a◌̕◌̀◌֮◌҃b; à◌֮◌҃◌̕b; a◌֮◌̀◌҃◌̕b; à◌֮◌҃◌̕b; a◌֮◌̀◌҃◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC TITLO, LATIN SMALL LETTER B
      "\u0061 0483 0315 0300 05AE 0062",  # (a◌҃◌̕◌̀◌֮b; a◌֮◌҃◌̀◌̕b; a◌֮◌҃◌̀◌̕b; a◌֮◌҃◌̀◌̕b; a◌֮◌҃◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC TITLO, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0484 0062",  # (a◌̕◌̀◌֮◌҄b; à◌֮◌҄◌̕b; a◌֮◌̀◌҄◌̕b; à◌֮◌҄◌̕b; a◌֮◌̀◌҄◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC PALATALIZATION, LATIN SMALL LETTER B
      "\u0061 0484 0315 0300 05AE 0062",  # (a◌҄◌̕◌̀◌֮b; a◌֮◌҄◌̀◌̕b; a◌֮◌҄◌̀◌̕b; a◌֮◌҄◌̀◌̕b; a◌֮◌҄◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC PALATALIZATION, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0485 0062",  # (a◌̕◌̀◌֮◌҅b; à◌֮◌҅◌̕b; a◌֮◌̀◌҅◌̕b; à◌֮◌҅◌̕b; a◌֮◌̀◌҅◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC DASIA PNEUMATA, LATIN SMALL LETTER B
      "\u0061 0485 0315 0300 05AE 0062",  # (a◌҅◌̕◌̀◌֮b; a◌֮◌҅◌̀◌̕b; a◌֮◌҅◌̀◌̕b; a◌֮◌҅◌̀◌̕b; a◌֮◌҅◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC DASIA PNEUMATA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0486 0062",  # (a◌̕◌̀◌֮◌҆b; à◌֮◌҆◌̕b; a◌֮◌̀◌҆◌̕b; à◌֮◌҆◌̕b; a◌֮◌̀◌҆◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC PSILI PNEUMATA, LATIN SMALL LETTER B
      "\u0061 0486 0315 0300 05AE 0062",  # (a◌҆◌̕◌̀◌֮b; a◌֮◌҆◌̀◌̕b; a◌֮◌҆◌̀◌̕b; a◌֮◌҆◌̀◌̕b; a◌֮◌҆◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC PSILI PNEUMATA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0487 0062",  # (a◌̕◌̀◌֮◌҇b; à◌֮◌҇◌̕b; a◌֮◌̀◌҇◌̕b; à◌֮◌҇◌̕b; a◌֮◌̀◌҇◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC POKRYTIE, LATIN SMALL LETTER B
      "\u0061 0487 0315 0300 05AE 0062",  # (a◌҇◌̕◌̀◌֮b; a◌֮◌҇◌̀◌̕b; a◌֮◌҇◌̀◌̕b; a◌֮◌҇◌̀◌̕b; a◌֮◌҇◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC POKRYTIE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0591 0062",  # (a◌֚◌̖◌〪◌֑b; a◌〪◌̖◌֑◌֚b; a◌〪◌̖◌֑◌֚b; a◌〪◌̖◌֑◌֚b; a◌〪◌̖◌֑◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, HEBREW ACCENT ETNAHTA, LATIN SMALL LETTER B
      "\u0061 0591 059A 0316 302A 0062",  # (a◌֑◌֚◌̖◌〪b; a◌〪◌֑◌̖◌֚b; a◌〪◌֑◌̖◌֚b; a◌〪◌֑◌̖◌֚b; a◌〪◌֑◌̖◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT ETNAHTA, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0592 0062",  # (a◌̕◌̀◌֮◌֒b; à◌֮◌֒◌̕b; a◌֮◌̀◌֒◌̕b; à◌֮◌֒◌̕b; a◌֮◌̀◌֒◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, HEBREW ACCENT SEGOL, LATIN SMALL LETTER B
      "\u0061 0592 0315 0300 05AE 0062",  # (a◌֒◌̕◌̀◌֮b; a◌֮◌֒◌̀◌̕b; a◌֮◌֒◌̀◌̕b; a◌֮◌֒◌̀◌̕b; a◌֮◌֒◌̀◌̕b; ) LATIN SMALL LETTER A, HEBREW ACCENT SEGOL, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0593 0062",  # (a◌̕◌̀◌֮◌֓b; à◌֮◌֓◌̕b; a◌֮◌̀◌֓◌̕b; à◌֮◌֓◌̕b; a◌֮◌̀◌֓◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, HEBREW ACCENT SHALSHELET, LATIN SMALL LETTER B
      "\u0061 0593 0315 0300 05AE 0062",  # (a◌֓◌̕◌̀◌֮b; a◌֮◌֓◌̀◌̕b; a◌֮◌֓◌̀◌̕b; a◌֮◌֓◌̀◌̕b; a◌֮◌֓◌̀◌̕b; ) LATIN SMALL LETTER A, HEBREW ACCENT SHALSHELET, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0594 0062",  # (a◌̕◌̀◌֮◌֔b; à◌֮◌֔◌̕b; a◌֮◌̀◌֔◌̕b; à◌֮◌֔◌̕b; a◌֮◌̀◌֔◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, HEBREW ACCENT ZAQEF QATAN, LATIN SMALL LETTER B
      "\u0061 0594 0315 0300 05AE 0062",  # (a◌֔◌̕◌̀◌֮b; a◌֮◌֔◌̀◌̕b; a◌֮◌֔◌̀◌̕b; a◌֮◌֔◌̀◌̕b; a◌֮◌֔◌̀◌̕b; ) LATIN SMALL LETTER A, HEBREW ACCENT ZAQEF QATAN, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0595 0062",  # (a◌̕◌̀◌֮◌֕b; à◌֮◌֕◌̕b; a◌֮◌̀◌֕◌̕b; à◌֮◌֕◌̕b; a◌֮◌̀◌֕◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, HEBREW ACCENT ZAQEF GADOL, LATIN SMALL LETTER B
      "\u0061 0595 0315 0300 05AE 0062",  # (a◌֕◌̕◌̀◌֮b; a◌֮◌֕◌̀◌̕b; a◌֮◌֕◌̀◌̕b; a◌֮◌֕◌̀◌̕b; a◌֮◌֕◌̀◌̕b; ) LATIN SMALL LETTER A, HEBREW ACCENT ZAQEF GADOL, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0596 0062",  # (a◌֚◌̖◌〪◌֖b; a◌〪◌̖◌֖◌֚b; a◌〪◌̖◌֖◌֚b; a◌〪◌̖◌֖◌֚b; a◌〪◌̖◌֖◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, HEBREW ACCENT TIPEHA, LATIN SMALL LETTER B
      "\u0061 0596 059A 0316 302A 0062",  # (a◌֖◌֚◌̖◌〪b; a◌〪◌֖◌̖◌֚b; a◌〪◌֖◌̖◌֚b; a◌〪◌֖◌̖◌֚b; a◌〪◌֖◌̖◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT TIPEHA, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0597 0062",  # (a◌̕◌̀◌֮◌֗b; à◌֮◌֗◌̕b; a◌֮◌̀◌֗◌̕b; à◌֮◌֗◌̕b; a◌֮◌̀◌֗◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, HEBREW ACCENT REVIA, LATIN SMALL LETTER B
      "\u0061 0597 0315 0300 05AE 0062",  # (a◌֗◌̕◌̀◌֮b; a◌֮◌֗◌̀◌̕b; a◌֮◌֗◌̀◌̕b; a◌֮◌֗◌̀◌̕b; a◌֮◌֗◌̀◌̕b; ) LATIN SMALL LETTER A, HEBREW ACCENT REVIA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0598 0062",  # (a◌̕◌̀◌֮◌֘b; à◌֮◌֘◌̕b; a◌֮◌̀◌֘◌̕b; à◌֮◌֘◌̕b; a◌֮◌̀◌֘◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, HEBREW ACCENT ZARQA, LATIN SMALL LETTER B
      "\u0061 0598 0315 0300 05AE 0062",  # (a◌֘◌̕◌̀◌֮b; a◌֮◌֘◌̀◌̕b; a◌֮◌֘◌̀◌̕b; a◌֮◌֘◌̀◌̕b; a◌֮◌֘◌̀◌̕b; ) LATIN SMALL LETTER A, HEBREW ACCENT ZARQA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0599 0062",  # (a◌̕◌̀◌֮◌֙b; à◌֮◌֙◌̕b; a◌֮◌̀◌֙◌̕b; à◌֮◌֙◌̕b; a◌֮◌̀◌֙◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, HEBREW ACCENT PASHTA, LATIN SMALL LETTER B
      "\u0061 0599 0315 0300 05AE 0062",  # (a◌֙◌̕◌̀◌֮b; a◌֮◌֙◌̀◌̕b; a◌֮◌֙◌̀◌̕b; a◌֮◌֙◌̀◌̕b; a◌֮◌֙◌̀◌̕b; ) LATIN SMALL LETTER A, HEBREW ACCENT PASHTA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 302E 059A 0316 059A 0062",  # (a〮◌֚◌̖◌֚b; a◌̖◌֚◌֚〮b; a◌̖◌֚◌֚〮b; a◌̖◌֚◌֚〮b; a◌̖◌֚◌֚〮b; ) LATIN SMALL LETTER A, HANGUL SINGLE DOT TONE MARK, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, HEBREW ACCENT YETIV, LATIN SMALL LETTER B
      "\u0061 059A 302E 059A 0316 0062",  # (a◌֚〮◌֚◌̖b; a◌̖◌֚◌֚〮b; a◌̖◌֚◌֚〮b; a◌̖◌֚◌֚〮b; a◌̖◌֚◌֚〮b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, HANGUL SINGLE DOT TONE MARK, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 059B 0062",  # (a◌֚◌̖◌〪◌֛b; a◌〪◌̖◌֛◌֚b; a◌〪◌̖◌֛◌֚b; a◌〪◌̖◌֛◌֚b; a◌〪◌̖◌֛◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, HEBREW ACCENT TEVIR, LATIN SMALL LETTER B
      "\u0061 059B 059A 0316 302A 0062",  # (a◌֛◌֚◌̖◌〪b; a◌〪◌֛◌̖◌֚b; a◌〪◌֛◌̖◌֚b; a◌〪◌֛◌̖◌֚b; a◌〪◌֛◌̖◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT TEVIR, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 059C 0062",  # (a◌̕◌̀◌֮◌֜b; à◌֮◌֜◌̕b; a◌֮◌̀◌֜◌̕b; à◌֮◌֜◌̕b; a◌֮◌̀◌֜◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, HEBREW ACCENT GERESH, LATIN SMALL LETTER B
      "\u0061 059C 0315 0300 05AE 0062",  # (a◌֜◌̕◌̀◌֮b; a◌֮◌֜◌̀◌̕b; a◌֮◌֜◌̀◌̕b; a◌֮◌֜◌̀◌̕b; a◌֮◌֜◌̀◌̕b; ) LATIN SMALL LETTER A, HEBREW ACCENT GERESH, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 059D 0062",  # (a◌̕◌̀◌֮◌֝b; à◌֮◌֝◌̕b; a◌֮◌̀◌֝◌̕b; à◌֮◌֝◌̕b; a◌֮◌̀◌֝◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, HEBREW ACCENT GERESH MUQDAM, LATIN SMALL LETTER B
      "\u0061 059D 0315 0300 05AE 0062",  # (a◌֝◌̕◌̀◌֮b; a◌֮◌֝◌̀◌̕b; a◌֮◌֝◌̀◌̕b; a◌֮◌֝◌̀◌̕b; a◌֮◌֝◌̀◌̕b; ) LATIN SMALL LETTER A, HEBREW ACCENT GERESH MUQDAM, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 059E 0062",  # (a◌̕◌̀◌֮◌֞b; à◌֮◌֞◌̕b; a◌֮◌̀◌֞◌̕b; à◌֮◌֞◌̕b; a◌֮◌̀◌֞◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, HEBREW ACCENT GERSHAYIM, LATIN SMALL LETTER B
      "\u0061 059E 0315 0300 05AE 0062",  # (a◌֞◌̕◌̀◌֮b; a◌֮◌֞◌̀◌̕b; a◌֮◌֞◌̀◌̕b; a◌֮◌֞◌̀◌̕b; a◌֮◌֞◌̀◌̕b; ) LATIN SMALL LETTER A, HEBREW ACCENT GERSHAYIM, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 059F 0062",  # (a◌̕◌̀◌֮◌֟b; à◌֮◌֟◌̕b; a◌֮◌̀◌֟◌̕b; à◌֮◌֟◌̕b; a◌֮◌̀◌֟◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, HEBREW ACCENT QARNEY PARA, LATIN SMALL LETTER B
      "\u0061 059F 0315 0300 05AE 0062",  # (a◌֟◌̕◌̀◌֮b; a◌֮◌֟◌̀◌̕b; a◌֮◌֟◌̀◌̕b; a◌֮◌֟◌̀◌̕b; a◌֮◌֟◌̀◌̕b; ) LATIN SMALL LETTER A, HEBREW ACCENT QARNEY PARA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 05A0 0062",  # (a◌̕◌̀◌֮◌֠b; à◌֮◌֠◌̕b; a◌֮◌̀◌֠◌̕b; à◌֮◌֠◌̕b; a◌֮◌̀◌֠◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, HEBREW ACCENT TELISHA GEDOLA, LATIN SMALL LETTER B
      "\u0061 05A0 0315 0300 05AE 0062",  # (a◌֠◌̕◌̀◌֮b; a◌֮◌֠◌̀◌̕b; a◌֮◌֠◌̀◌̕b; a◌֮◌֠◌̀◌̕b; a◌֮◌֠◌̀◌̕b; ) LATIN SMALL LETTER A, HEBREW ACCENT TELISHA GEDOLA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 05A1 0062",  # (a◌̕◌̀◌֮◌֡b; à◌֮◌֡◌̕b; a◌֮◌̀◌֡◌̕b; à◌֮◌֡◌̕b; a◌֮◌̀◌֡◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, HEBREW ACCENT PAZER, LATIN SMALL LETTER B
      "\u0061 05A1 0315 0300 05AE 0062",  # (a◌֡◌̕◌̀◌֮b; a◌֮◌֡◌̀◌̕b; a◌֮◌֡◌̀◌̕b; a◌֮◌֡◌̀◌̕b; a◌֮◌֡◌̀◌̕b; ) LATIN SMALL LETTER A, HEBREW ACCENT PAZER, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 05A2 0062",  # (a◌֚◌̖◌〪◌֢b; a◌〪◌̖◌֢◌֚b; a◌〪◌̖◌֢◌֚b; a◌〪◌̖◌֢◌֚b; a◌〪◌̖◌֢◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, HEBREW ACCENT ATNAH HAFUKH, LATIN SMALL LETTER B
      "\u0061 05A2 059A 0316 302A 0062",  # (a◌֢◌֚◌̖◌〪b; a◌〪◌֢◌̖◌֚b; a◌〪◌֢◌̖◌֚b; a◌〪◌֢◌̖◌֚b; a◌〪◌֢◌̖◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT ATNAH HAFUKH, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 05A3 0062",  # (a◌֚◌̖◌〪◌֣b; a◌〪◌̖◌֣◌֚b; a◌〪◌̖◌֣◌֚b; a◌〪◌̖◌֣◌֚b; a◌〪◌̖◌֣◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, HEBREW ACCENT MUNAH, LATIN SMALL LETTER B
      "\u0061 05A3 059A 0316 302A 0062",  # (a◌֣◌֚◌̖◌〪b; a◌〪◌֣◌̖◌֚b; a◌〪◌֣◌̖◌֚b; a◌〪◌֣◌̖◌֚b; a◌〪◌֣◌̖◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT MUNAH, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 05A4 0062",  # (a◌֚◌̖◌〪◌֤b; a◌〪◌̖◌֤◌֚b; a◌〪◌̖◌֤◌֚b; a◌〪◌̖◌֤◌֚b; a◌〪◌̖◌֤◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, HEBREW ACCENT MAHAPAKH, LATIN SMALL LETTER B
      "\u0061 05A4 059A 0316 302A 0062",  # (a◌֤◌֚◌̖◌〪b; a◌〪◌֤◌̖◌֚b; a◌〪◌֤◌̖◌֚b; a◌〪◌֤◌̖◌֚b; a◌〪◌֤◌̖◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT MAHAPAKH, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 05A5 0062",  # (a◌֚◌̖◌〪◌֥b; a◌〪◌̖◌֥◌֚b; a◌〪◌̖◌֥◌֚b; a◌〪◌̖◌֥◌֚b; a◌〪◌̖◌֥◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, HEBREW ACCENT MERKHA, LATIN SMALL LETTER B
      "\u0061 05A5 059A 0316 302A 0062",  # (a◌֥◌֚◌̖◌〪b; a◌〪◌֥◌̖◌֚b; a◌〪◌֥◌̖◌֚b; a◌〪◌֥◌̖◌֚b; a◌〪◌֥◌̖◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT MERKHA, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 05A6 0062",  # (a◌֚◌̖◌〪◌֦b; a◌〪◌̖◌֦◌֚b; a◌〪◌̖◌֦◌֚b; a◌〪◌̖◌֦◌֚b; a◌〪◌̖◌֦◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, HEBREW ACCENT MERKHA KEFULA, LATIN SMALL LETTER B
      "\u0061 05A6 059A 0316 302A 0062",  # (a◌֦◌֚◌̖◌〪b; a◌〪◌֦◌̖◌֚b; a◌〪◌֦◌̖◌֚b; a◌〪◌֦◌̖◌֚b; a◌〪◌֦◌̖◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT MERKHA KEFULA, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 05A7 0062",  # (a◌֚◌̖◌〪◌֧b; a◌〪◌̖◌֧◌֚b; a◌〪◌̖◌֧◌֚b; a◌〪◌̖◌֧◌֚b; a◌〪◌̖◌֧◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, HEBREW ACCENT DARGA, LATIN SMALL LETTER B
      "\u0061 05A7 059A 0316 302A 0062",  # (a◌֧◌֚◌̖◌〪b; a◌〪◌֧◌̖◌֚b; a◌〪◌֧◌̖◌֚b; a◌〪◌֧◌̖◌֚b; a◌〪◌֧◌̖◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT DARGA, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 05A8 0062",  # (a◌̕◌̀◌֮◌֨b; à◌֮◌֨◌̕b; a◌֮◌̀◌֨◌̕b; à◌֮◌֨◌̕b; a◌֮◌̀◌֨◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, HEBREW ACCENT QADMA, LATIN SMALL LETTER B
      "\u0061 05A8 0315 0300 05AE 0062",  # (a◌֨◌̕◌̀◌֮b; a◌֮◌֨◌̀◌̕b; a◌֮◌֨◌̀◌̕b; a◌֮◌֨◌̀◌̕b; a◌֮◌֨◌̀◌̕b; ) LATIN SMALL LETTER A, HEBREW ACCENT QADMA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 05A9 0062",  # (a◌̕◌̀◌֮◌֩b; à◌֮◌֩◌̕b; a◌֮◌̀◌֩◌̕b; à◌֮◌֩◌̕b; a◌֮◌̀◌֩◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, HEBREW ACCENT TELISHA QETANA, LATIN SMALL LETTER B
      "\u0061 05A9 0315 0300 05AE 0062",  # (a◌֩◌̕◌̀◌֮b; a◌֮◌֩◌̀◌̕b; a◌֮◌֩◌̀◌̕b; a◌֮◌֩◌̀◌̕b; a◌֮◌֩◌̀◌̕b; ) LATIN SMALL LETTER A, HEBREW ACCENT TELISHA QETANA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 05AA 0062",  # (a◌֚◌̖◌〪◌֪b; a◌〪◌̖◌֪◌֚b; a◌〪◌̖◌֪◌֚b; a◌〪◌̖◌֪◌֚b; a◌〪◌̖◌֪◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, HEBREW ACCENT YERAH BEN YOMO, LATIN SMALL LETTER B
      "\u0061 05AA 059A 0316 302A 0062",  # (a◌֪◌֚◌̖◌〪b; a◌〪◌֪◌̖◌֚b; a◌〪◌֪◌̖◌֚b; a◌〪◌֪◌̖◌֚b; a◌〪◌֪◌̖◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YERAH BEN YOMO, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 05AB 0062",  # (a◌̕◌̀◌֮◌֫b; à◌֮◌֫◌̕b; a◌֮◌̀◌֫◌̕b; à◌֮◌֫◌̕b; a◌֮◌̀◌֫◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, HEBREW ACCENT OLE, LATIN SMALL LETTER B
      "\u0061 05AB 0315 0300 05AE 0062",  # (a◌֫◌̕◌̀◌֮b; a◌֮◌֫◌̀◌̕b; a◌֮◌֫◌̀◌̕b; a◌֮◌֫◌̀◌̕b; a◌֮◌֫◌̀◌̕b; ) LATIN SMALL LETTER A, HEBREW ACCENT OLE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 05AC 0062",  # (a◌̕◌̀◌֮◌֬b; à◌֮◌֬◌̕b; a◌֮◌̀◌֬◌̕b; à◌֮◌֬◌̕b; a◌֮◌̀◌֬◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, HEBREW ACCENT ILUY, LATIN SMALL LETTER B
      "\u0061 05AC 0315 0300 05AE 0062",  # (a◌֬◌̕◌̀◌֮b; a◌֮◌֬◌̀◌̕b; a◌֮◌֬◌̀◌̕b; a◌֮◌֬◌̀◌̕b; a◌֮◌֬◌̀◌̕b; ) LATIN SMALL LETTER A, HEBREW ACCENT ILUY, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 302E 059A 0316 05AD 0062",  # (a〮◌֚◌̖◌֭b; a◌̖◌֚◌֭〮b; a◌̖◌֚◌֭〮b; a◌̖◌֚◌֭〮b; a◌̖◌֚◌֭〮b; ) LATIN SMALL LETTER A, HANGUL SINGLE DOT TONE MARK, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, HEBREW ACCENT DEHI, LATIN SMALL LETTER B
      "\u0061 05AD 302E 059A 0316 0062",  # (a◌֭〮◌֚◌̖b; a◌̖◌֭◌֚〮b; a◌̖◌֭◌֚〮b; a◌̖◌֭◌֚〮b; a◌̖◌֭◌֚〮b; ) LATIN SMALL LETTER A, HEBREW ACCENT DEHI, HANGUL SINGLE DOT TONE MARK, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, LATIN SMALL LETTER B
      "\u0061 0300 05AE 1D16D 05AE 0062",  # (a◌̀◌𝅭֮◌֮b; à𝅭◌֮◌֮b; a𝅭◌֮◌֮◌̀b; à𝅭◌֮◌֮b; a𝅭◌֮◌֮◌̀b; ) LATIN SMALL LETTER A, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, MUSICAL SYMBOL COMBINING AUGMENTATION DOT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 05AE 0300 05AE 1D16D 0062",  # (a◌֮◌̀◌𝅭֮b; à𝅭◌֮◌֮b; a𝅭◌֮◌֮◌̀b; à𝅭◌֮◌֮b; a𝅭◌֮◌֮◌̀b; ) LATIN SMALL LETTER A, HEBREW ACCENT ZINOR, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, MUSICAL SYMBOL COMBINING AUGMENTATION DOT, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 05AF 0062",  # (a◌̕◌̀◌֮◌֯b; à◌֮◌֯◌̕b; a◌֮◌̀◌֯◌̕b; à◌֮◌֯◌̕b; a◌֮◌̀◌֯◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, HEBREW MARK MASORA CIRCLE, LATIN SMALL LETTER B
      "\u0061 05AF 0315 0300 05AE 0062",  # (a◌֯◌̕◌̀◌֮b; a◌֮◌֯◌̀◌̕b; a◌֮◌֯◌̀◌̕b; a◌֮◌֯◌̀◌̕b; a◌֮◌֯◌̀◌̕b; ) LATIN SMALL LETTER A, HEBREW MARK MASORA CIRCLE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 05B1 05B0 094D 05B0 0062",  # (a◌ֱ◌ְ◌्◌ְb; a◌्◌ְ◌ְ◌ֱb; a◌्◌ְ◌ְ◌ֱb; a◌्◌ְ◌ְ◌ֱb; a◌्◌ְ◌ְ◌ֱb; ) LATIN SMALL LETTER A, HEBREW POINT HATAF SEGOL, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, HEBREW POINT SHEVA, LATIN SMALL LETTER B
      "\u0061 05B0 05B1 05B0 094D 0062",  # (a◌ְ◌ֱ◌ְ◌्b; a◌्◌ְ◌ְ◌ֱb; a◌्◌ְ◌ְ◌ֱb; a◌्◌ְ◌ְ◌ֱb; a◌्◌ְ◌ְ◌ֱb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, HEBREW POINT HATAF SEGOL, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, LATIN SMALL LETTER B
      "\u0061 05B2 05B1 05B0 05B1 0062",  # (a◌ֲ◌ֱ◌ְ◌ֱb; a◌ְ◌ֱ◌ֱ◌ֲb; a◌ְ◌ֱ◌ֱ◌ֲb; a◌ְ◌ֱ◌ֱ◌ֲb; a◌ְ◌ֱ◌ֱ◌ֲb; ) LATIN SMALL LETTER A, HEBREW POINT HATAF PATAH, HEBREW POINT HATAF SEGOL, HEBREW POINT SHEVA, HEBREW POINT HATAF SEGOL, LATIN SMALL LETTER B
      "\u0061 05B1 05B2 05B1 05B0 0062",  # (a◌ֱ◌ֲ◌ֱ◌ְb; a◌ְ◌ֱ◌ֱ◌ֲb; a◌ְ◌ֱ◌ֱ◌ֲb; a◌ְ◌ֱ◌ֱ◌ֲb; a◌ְ◌ֱ◌ֱ◌ֲb; ) LATIN SMALL LETTER A, HEBREW POINT HATAF SEGOL, HEBREW POINT HATAF PATAH, HEBREW POINT HATAF SEGOL, HEBREW POINT SHEVA, LATIN SMALL LETTER B
      "\u0061 05B3 05B2 05B1 05B2 0062",  # (a◌ֳ◌ֲ◌ֱ◌ֲb; a◌ֱ◌ֲ◌ֲ◌ֳb; a◌ֱ◌ֲ◌ֲ◌ֳb; a◌ֱ◌ֲ◌ֲ◌ֳb; a◌ֱ◌ֲ◌ֲ◌ֳb; ) LATIN SMALL LETTER A, HEBREW POINT HATAF QAMATS, HEBREW POINT HATAF PATAH, HEBREW POINT HATAF SEGOL, HEBREW POINT HATAF PATAH, LATIN SMALL LETTER B
      "\u0061 05B2 05B3 05B2 05B1 0062",  # (a◌ֲ◌ֳ◌ֲ◌ֱb; a◌ֱ◌ֲ◌ֲ◌ֳb; a◌ֱ◌ֲ◌ֲ◌ֳb; a◌ֱ◌ֲ◌ֲ◌ֳb; a◌ֱ◌ֲ◌ֲ◌ֳb; ) LATIN SMALL LETTER A, HEBREW POINT HATAF PATAH, HEBREW POINT HATAF QAMATS, HEBREW POINT HATAF PATAH, HEBREW POINT HATAF SEGOL, LATIN SMALL LETTER B
      "\u0061 05B4 05B3 05B2 05B3 0062",  # (a◌ִ◌ֳ◌ֲ◌ֳb; a◌ֲ◌ֳ◌ֳ◌ִb; a◌ֲ◌ֳ◌ֳ◌ִb; a◌ֲ◌ֳ◌ֳ◌ִb; a◌ֲ◌ֳ◌ֳ◌ִb; ) LATIN SMALL LETTER A, HEBREW POINT HIRIQ, HEBREW POINT HATAF QAMATS, HEBREW POINT HATAF PATAH, HEBREW POINT HATAF QAMATS, LATIN SMALL LETTER B
      "\u0061 05B3 05B4 05B3 05B2 0062",  # (a◌ֳ◌ִ◌ֳ◌ֲb; a◌ֲ◌ֳ◌ֳ◌ִb; a◌ֲ◌ֳ◌ֳ◌ִb; a◌ֲ◌ֳ◌ֳ◌ִb; a◌ֲ◌ֳ◌ֳ◌ִb; ) LATIN SMALL LETTER A, HEBREW POINT HATAF QAMATS, HEBREW POINT HIRIQ, HEBREW POINT HATAF QAMATS, HEBREW POINT HATAF PATAH, LATIN SMALL LETTER B
      "\u0061 05B5 05B4 05B3 05B4 0062",  # (a◌ֵ◌ִ◌ֳ◌ִb; a◌ֳ◌ִ◌ִ◌ֵb; a◌ֳ◌ִ◌ִ◌ֵb; a◌ֳ◌ִ◌ִ◌ֵb; a◌ֳ◌ִ◌ִ◌ֵb; ) LATIN SMALL LETTER A, HEBREW POINT TSERE, HEBREW POINT HIRIQ, HEBREW POINT HATAF QAMATS, HEBREW POINT HIRIQ, LATIN SMALL LETTER B
      "\u0061 05B4 05B5 05B4 05B3 0062",  # (a◌ִ◌ֵ◌ִ◌ֳb; a◌ֳ◌ִ◌ִ◌ֵb; a◌ֳ◌ִ◌ִ◌ֵb; a◌ֳ◌ִ◌ִ◌ֵb; a◌ֳ◌ִ◌ִ◌ֵb; ) LATIN SMALL LETTER A, HEBREW POINT HIRIQ, HEBREW POINT TSERE, HEBREW POINT HIRIQ, HEBREW POINT HATAF QAMATS, LATIN SMALL LETTER B
      "\u0061 05B6 05B5 05B4 05B5 0062",  # (a◌ֶ◌ֵ◌ִ◌ֵb; a◌ִ◌ֵ◌ֵ◌ֶb; a◌ִ◌ֵ◌ֵ◌ֶb; a◌ִ◌ֵ◌ֵ◌ֶb; a◌ִ◌ֵ◌ֵ◌ֶb; ) LATIN SMALL LETTER A, HEBREW POINT SEGOL, HEBREW POINT TSERE, HEBREW POINT HIRIQ, HEBREW POINT TSERE, LATIN SMALL LETTER B
      "\u0061 05B5 05B6 05B5 05B4 0062",  # (a◌ֵ◌ֶ◌ֵ◌ִb; a◌ִ◌ֵ◌ֵ◌ֶb; a◌ִ◌ֵ◌ֵ◌ֶb; a◌ִ◌ֵ◌ֵ◌ֶb; a◌ִ◌ֵ◌ֵ◌ֶb; ) LATIN SMALL LETTER A, HEBREW POINT TSERE, HEBREW POINT SEGOL, HEBREW POINT TSERE, HEBREW POINT HIRIQ, LATIN SMALL LETTER B
      "\u0061 05B7 05B6 05B5 05B6 0062",  # (a◌ַ◌ֶ◌ֵ◌ֶb; a◌ֵ◌ֶ◌ֶ◌ַb; a◌ֵ◌ֶ◌ֶ◌ַb; a◌ֵ◌ֶ◌ֶ◌ַb; a◌ֵ◌ֶ◌ֶ◌ַb; ) LATIN SMALL LETTER A, HEBREW POINT PATAH, HEBREW POINT SEGOL, HEBREW POINT TSERE, HEBREW POINT SEGOL, LATIN SMALL LETTER B
      "\u0061 05B6 05B7 05B6 05B5 0062",  # (a◌ֶ◌ַ◌ֶ◌ֵb; a◌ֵ◌ֶ◌ֶ◌ַb; a◌ֵ◌ֶ◌ֶ◌ַb; a◌ֵ◌ֶ◌ֶ◌ַb; a◌ֵ◌ֶ◌ֶ◌ַb; ) LATIN SMALL LETTER A, HEBREW POINT SEGOL, HEBREW POINT PATAH, HEBREW POINT SEGOL, HEBREW POINT TSERE, LATIN SMALL LETTER B
      "\u0061 05B8 05B7 05B6 05B7 0062",  # (a◌ָ◌ַ◌ֶ◌ַb; a◌ֶ◌ַ◌ַ◌ָb; a◌ֶ◌ַ◌ַ◌ָb; a◌ֶ◌ַ◌ַ◌ָb; a◌ֶ◌ַ◌ַ◌ָb; ) LATIN SMALL LETTER A, HEBREW POINT QAMATS, HEBREW POINT PATAH, HEBREW POINT SEGOL, HEBREW POINT PATAH, LATIN SMALL LETTER B
      "\u0061 05B7 05B8 05B7 05B6 0062",  # (a◌ַ◌ָ◌ַ◌ֶb; a◌ֶ◌ַ◌ַ◌ָb; a◌ֶ◌ַ◌ַ◌ָb; a◌ֶ◌ַ◌ַ◌ָb; a◌ֶ◌ַ◌ַ◌ָb; ) LATIN SMALL LETTER A, HEBREW POINT PATAH, HEBREW POINT QAMATS, HEBREW POINT PATAH, HEBREW POINT SEGOL, LATIN SMALL LETTER B
      "\u0061 05B9 05B8 05B7 05B8 0062",  # (a◌ֹ◌ָ◌ַ◌ָb; a◌ַ◌ָ◌ָ◌ֹb; a◌ַ◌ָ◌ָ◌ֹb; a◌ַ◌ָ◌ָ◌ֹb; a◌ַ◌ָ◌ָ◌ֹb; ) LATIN SMALL LETTER A, HEBREW POINT HOLAM, HEBREW POINT QAMATS, HEBREW POINT PATAH, HEBREW POINT QAMATS, LATIN SMALL LETTER B
      "\u0061 05B8 05B9 05B8 05B7 0062",  # (a◌ָ◌ֹ◌ָ◌ַb; a◌ַ◌ָ◌ָ◌ֹb; a◌ַ◌ָ◌ָ◌ֹb; a◌ַ◌ָ◌ָ◌ֹb; a◌ַ◌ָ◌ָ◌ֹb; ) LATIN SMALL LETTER A, HEBREW POINT QAMATS, HEBREW POINT HOLAM, HEBREW POINT QAMATS, HEBREW POINT PATAH, LATIN SMALL LETTER B
      "\u0061 05BB 05B9 05B8 05B9 0062",  # (a◌ֻ◌ֹ◌ָ◌ֹb; a◌ָ◌ֹ◌ֹ◌ֻb; a◌ָ◌ֹ◌ֹ◌ֻb; a◌ָ◌ֹ◌ֹ◌ֻb; a◌ָ◌ֹ◌ֹ◌ֻb; ) LATIN SMALL LETTER A, HEBREW POINT QUBUTS, HEBREW POINT HOLAM, HEBREW POINT QAMATS, HEBREW POINT HOLAM, LATIN SMALL LETTER B
      "\u0061 05B9 05BB 05B9 05B8 0062",  # (a◌ֹ◌ֻ◌ֹ◌ָb; a◌ָ◌ֹ◌ֹ◌ֻb; a◌ָ◌ֹ◌ֹ◌ֻb; a◌ָ◌ֹ◌ֹ◌ֻb; a◌ָ◌ֹ◌ֹ◌ֻb; ) LATIN SMALL LETTER A, HEBREW POINT HOLAM, HEBREW POINT QUBUTS, HEBREW POINT HOLAM, HEBREW POINT QAMATS, LATIN SMALL LETTER B
      "\u0061 05BB 05B9 05B8 05BA 0062",  # (a◌ֻ◌ֹ◌ָ◌ֺb; a◌ָ◌ֹ◌ֺ◌ֻb; a◌ָ◌ֹ◌ֺ◌ֻb; a◌ָ◌ֹ◌ֺ◌ֻb; a◌ָ◌ֹ◌ֺ◌ֻb; ) LATIN SMALL LETTER A, HEBREW POINT QUBUTS, HEBREW POINT HOLAM, HEBREW POINT QAMATS, HEBREW POINT HOLAM HASER FOR VAV, LATIN SMALL LETTER B
      "\u0061 05BA 05BB 05B9 05B8 0062",  # (a◌ֺ◌ֻ◌ֹ◌ָb; a◌ָ◌ֺ◌ֹ◌ֻb; a◌ָ◌ֺ◌ֹ◌ֻb; a◌ָ◌ֺ◌ֹ◌ֻb; a◌ָ◌ֺ◌ֹ◌ֻb; ) LATIN SMALL LETTER A, HEBREW POINT HOLAM HASER FOR VAV, HEBREW POINT QUBUTS, HEBREW POINT HOLAM, HEBREW POINT QAMATS, LATIN SMALL LETTER B
      "\u0061 05BC 05BB 05B9 05BB 0062",  # (a◌ּ◌ֻ◌ֹ◌ֻb; a◌ֹ◌ֻ◌ֻ◌ּb; a◌ֹ◌ֻ◌ֻ◌ּb; a◌ֹ◌ֻ◌ֻ◌ּb; a◌ֹ◌ֻ◌ֻ◌ּb; ) LATIN SMALL LETTER A, HEBREW POINT DAGESH OR MAPIQ, HEBREW POINT QUBUTS, HEBREW POINT HOLAM, HEBREW POINT QUBUTS, LATIN SMALL LETTER B
      "\u0061 05BB 05BC 05BB 05B9 0062",  # (a◌ֻ◌ּ◌ֻ◌ֹb; a◌ֹ◌ֻ◌ֻ◌ּb; a◌ֹ◌ֻ◌ֻ◌ּb; a◌ֹ◌ֻ◌ֻ◌ּb; a◌ֹ◌ֻ◌ֻ◌ּb; ) LATIN SMALL LETTER A, HEBREW POINT QUBUTS, HEBREW POINT DAGESH OR MAPIQ, HEBREW POINT QUBUTS, HEBREW POINT HOLAM, LATIN SMALL LETTER B
      "\u0061 05BD 05BC 05BB 05BC 0062",  # (a◌ֽ◌ּ◌ֻ◌ּb; a◌ֻ◌ּ◌ּ◌ֽb; a◌ֻ◌ּ◌ּ◌ֽb; a◌ֻ◌ּ◌ּ◌ֽb; a◌ֻ◌ּ◌ּ◌ֽb; ) LATIN SMALL LETTER A, HEBREW POINT METEG, HEBREW POINT DAGESH OR MAPIQ, HEBREW POINT QUBUTS, HEBREW POINT DAGESH OR MAPIQ, LATIN SMALL LETTER B
      "\u0061 05BC 05BD 05BC 05BB 0062",  # (a◌ּ◌ֽ◌ּ◌ֻb; a◌ֻ◌ּ◌ּ◌ֽb; a◌ֻ◌ּ◌ּ◌ֽb; a◌ֻ◌ּ◌ּ◌ֽb; a◌ֻ◌ּ◌ּ◌ֽb; ) LATIN SMALL LETTER A, HEBREW POINT DAGESH OR MAPIQ, HEBREW POINT METEG, HEBREW POINT DAGESH OR MAPIQ, HEBREW POINT QUBUTS, LATIN SMALL LETTER B
      "\u0061 05BF 05BD 05BC 05BD 0062",  # (a◌ֿ◌ֽ◌ּ◌ֽb; a◌ּ◌ֽ◌ֽ◌ֿb; a◌ּ◌ֽ◌ֽ◌ֿb; a◌ּ◌ֽ◌ֽ◌ֿb; a◌ּ◌ֽ◌ֽ◌ֿb; ) LATIN SMALL LETTER A, HEBREW POINT RAFE, HEBREW POINT METEG, HEBREW POINT DAGESH OR MAPIQ, HEBREW POINT METEG, LATIN SMALL LETTER B
      "\u0061 05BD 05BF 05BD 05BC 0062",  # (a◌ֽ◌ֿ◌ֽ◌ּb; a◌ּ◌ֽ◌ֽ◌ֿb; a◌ּ◌ֽ◌ֽ◌ֿb; a◌ּ◌ֽ◌ֽ◌ֿb; a◌ּ◌ֽ◌ֽ◌ֿb; ) LATIN SMALL LETTER A, HEBREW POINT METEG, HEBREW POINT RAFE, HEBREW POINT METEG, HEBREW POINT DAGESH OR MAPIQ, LATIN SMALL LETTER B
      "\u0061 05C1 05BF 05BD 05BF 0062",  # (a◌ׁ◌ֿ◌ֽ◌ֿb; a◌ֽ◌ֿ◌ֿ◌ׁb; a◌ֽ◌ֿ◌ֿ◌ׁb; a◌ֽ◌ֿ◌ֿ◌ׁb; a◌ֽ◌ֿ◌ֿ◌ׁb; ) LATIN SMALL LETTER A, HEBREW POINT SHIN DOT, HEBREW POINT RAFE, HEBREW POINT METEG, HEBREW POINT RAFE, LATIN SMALL LETTER B
      "\u0061 05BF 05C1 05BF 05BD 0062",  # (a◌ֿ◌ׁ◌ֿ◌ֽb; a◌ֽ◌ֿ◌ֿ◌ׁb; a◌ֽ◌ֿ◌ֿ◌ׁb; a◌ֽ◌ֿ◌ֿ◌ׁb; a◌ֽ◌ֿ◌ֿ◌ׁb; ) LATIN SMALL LETTER A, HEBREW POINT RAFE, HEBREW POINT SHIN DOT, HEBREW POINT RAFE, HEBREW POINT METEG, LATIN SMALL LETTER B
      "\u0061 05C2 05C1 05BF 05C1 0062",  # (a◌ׂ◌ׁ◌ֿ◌ׁb; a◌ֿ◌ׁ◌ׁ◌ׂb; a◌ֿ◌ׁ◌ׁ◌ׂb; a◌ֿ◌ׁ◌ׁ◌ׂb; a◌ֿ◌ׁ◌ׁ◌ׂb; ) LATIN SMALL LETTER A, HEBREW POINT SIN DOT, HEBREW POINT SHIN DOT, HEBREW POINT RAFE, HEBREW POINT SHIN DOT, LATIN SMALL LETTER B
      "\u0061 05C1 05C2 05C1 05BF 0062",  # (a◌ׁ◌ׂ◌ׁ◌ֿb; a◌ֿ◌ׁ◌ׁ◌ׂb; a◌ֿ◌ׁ◌ׁ◌ׂb; a◌ֿ◌ׁ◌ׁ◌ׂb; a◌ֿ◌ׁ◌ׁ◌ׂb; ) LATIN SMALL LETTER A, HEBREW POINT SHIN DOT, HEBREW POINT SIN DOT, HEBREW POINT SHIN DOT, HEBREW POINT RAFE, LATIN SMALL LETTER B
      "\u0061 FB1E 05C2 05C1 05C2 0062",  # (a◌ﬞ◌ׂ◌ׁ◌ׂb; a◌ׁ◌ׂ◌ׂ◌ﬞb; a◌ׁ◌ׂ◌ׂ◌ﬞb; a◌ׁ◌ׂ◌ׂ◌ﬞb; a◌ׁ◌ׂ◌ׂ◌ﬞb; ) LATIN SMALL LETTER A, HEBREW POINT JUDEO-SPANISH VARIKA, HEBREW POINT SIN DOT, HEBREW POINT SHIN DOT, HEBREW POINT SIN DOT, LATIN SMALL LETTER B
      "\u0061 05C2 FB1E 05C2 05C1 0062",  # (a◌ׂ◌ﬞ◌ׂ◌ׁb; a◌ׁ◌ׂ◌ׂ◌ﬞb; a◌ׁ◌ׂ◌ׂ◌ﬞb; a◌ׁ◌ׂ◌ׂ◌ﬞb; a◌ׁ◌ׂ◌ׂ◌ﬞb; ) LATIN SMALL LETTER A, HEBREW POINT SIN DOT, HEBREW POINT JUDEO-SPANISH VARIKA, HEBREW POINT SIN DOT, HEBREW POINT SHIN DOT, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 05C4 0062",  # (a◌̕◌̀◌֮◌ׄb; à◌֮◌ׄ◌̕b; a◌֮◌̀◌ׄ◌̕b; à◌֮◌ׄ◌̕b; a◌֮◌̀◌ׄ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, HEBREW MARK UPPER DOT, LATIN SMALL LETTER B
      "\u0061 05C4 0315 0300 05AE 0062",  # (a◌ׄ◌̕◌̀◌֮b; a◌֮◌ׄ◌̀◌̕b; a◌֮◌ׄ◌̀◌̕b; a◌֮◌ׄ◌̀◌̕b; a◌֮◌ׄ◌̀◌̕b; ) LATIN SMALL LETTER A, HEBREW MARK UPPER DOT, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 05C5 0062",  # (a◌֚◌̖◌〪◌ׅb; a◌〪◌̖◌ׅ◌֚b; a◌〪◌̖◌ׅ◌֚b; a◌〪◌̖◌ׅ◌֚b; a◌〪◌̖◌ׅ◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, HEBREW MARK LOWER DOT, LATIN SMALL LETTER B
      "\u0061 05C5 059A 0316 302A 0062",  # (a◌ׅ◌֚◌̖◌〪b; a◌〪◌ׅ◌̖◌֚b; a◌〪◌ׅ◌̖◌֚b; a◌〪◌ׅ◌̖◌֚b; a◌〪◌ׅ◌̖◌֚b; ) LATIN SMALL LETTER A, HEBREW MARK LOWER DOT, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 05B9 05B8 05B7 05C7 0062",  # (a◌ֹ◌ָ◌ַ◌ׇb; a◌ַ◌ָ◌ׇ◌ֹb; a◌ַ◌ָ◌ׇ◌ֹb; a◌ַ◌ָ◌ׇ◌ֹb; a◌ַ◌ָ◌ׇ◌ֹb; ) LATIN SMALL LETTER A, HEBREW POINT HOLAM, HEBREW POINT QAMATS, HEBREW POINT PATAH, HEBREW POINT QAMATS QATAN, LATIN SMALL LETTER B
      "\u0061 05C7 05B9 05B8 05B7 0062",  # (a◌ׇ◌ֹ◌ָ◌ַb; a◌ַ◌ׇ◌ָ◌ֹb; a◌ַ◌ׇ◌ָ◌ֹb; a◌ַ◌ׇ◌ָ◌ֹb; a◌ַ◌ׇ◌ָ◌ֹb; ) LATIN SMALL LETTER A, HEBREW POINT QAMATS QATAN, HEBREW POINT HOLAM, HEBREW POINT QAMATS, HEBREW POINT PATAH, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0610 0062",  # (a◌̕◌̀◌֮◌ؐb; à◌֮◌ؐ◌̕b; a◌֮◌̀◌ؐ◌̕b; à◌֮◌ؐ◌̕b; a◌֮◌̀◌ؐ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SIGN SALLALLAHOU ALAYHE WASSALLAM, LATIN SMALL LETTER B
      "\u0061 0610 0315 0300 05AE 0062",  # (a◌ؐ◌̕◌̀◌֮b; a◌֮◌ؐ◌̀◌̕b; a◌֮◌ؐ◌̀◌̕b; a◌֮◌ؐ◌̀◌̕b; a◌֮◌ؐ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SIGN SALLALLAHOU ALAYHE WASSALLAM, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0611 0062",  # (a◌̕◌̀◌֮◌ؑb; à◌֮◌ؑ◌̕b; a◌֮◌̀◌ؑ◌̕b; à◌֮◌ؑ◌̕b; a◌֮◌̀◌ؑ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SIGN ALAYHE ASSALLAM, LATIN SMALL LETTER B
      "\u0061 0611 0315 0300 05AE 0062",  # (a◌ؑ◌̕◌̀◌֮b; a◌֮◌ؑ◌̀◌̕b; a◌֮◌ؑ◌̀◌̕b; a◌֮◌ؑ◌̀◌̕b; a◌֮◌ؑ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SIGN ALAYHE ASSALLAM, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0612 0062",  # (a◌̕◌̀◌֮◌ؒb; à◌֮◌ؒ◌̕b; a◌֮◌̀◌ؒ◌̕b; à◌֮◌ؒ◌̕b; a◌֮◌̀◌ؒ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SIGN RAHMATULLAH ALAYHE, LATIN SMALL LETTER B
      "\u0061 0612 0315 0300 05AE 0062",  # (a◌ؒ◌̕◌̀◌֮b; a◌֮◌ؒ◌̀◌̕b; a◌֮◌ؒ◌̀◌̕b; a◌֮◌ؒ◌̀◌̕b; a◌֮◌ؒ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SIGN RAHMATULLAH ALAYHE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0613 0062",  # (a◌̕◌̀◌֮◌ؓb; à◌֮◌ؓ◌̕b; a◌֮◌̀◌ؓ◌̕b; à◌֮◌ؓ◌̕b; a◌֮◌̀◌ؓ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SIGN RADI ALLAHOU ANHU, LATIN SMALL LETTER B
      "\u0061 0613 0315 0300 05AE 0062",  # (a◌ؓ◌̕◌̀◌֮b; a◌֮◌ؓ◌̀◌̕b; a◌֮◌ؓ◌̀◌̕b; a◌֮◌ؓ◌̀◌̕b; a◌֮◌ؓ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SIGN RADI ALLAHOU ANHU, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0614 0062",  # (a◌̕◌̀◌֮◌ؔb; à◌֮◌ؔ◌̕b; a◌֮◌̀◌ؔ◌̕b; à◌֮◌ؔ◌̕b; a◌֮◌̀◌ؔ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SIGN TAKHALLUS, LATIN SMALL LETTER B
      "\u0061 0614 0315 0300 05AE 0062",  # (a◌ؔ◌̕◌̀◌֮b; a◌֮◌ؔ◌̀◌̕b; a◌֮◌ؔ◌̀◌̕b; a◌֮◌ؔ◌̀◌̕b; a◌֮◌ؔ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SIGN TAKHALLUS, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0615 0062",  # (a◌̕◌̀◌֮◌ؕb; à◌֮◌ؕ◌̕b; a◌֮◌̀◌ؕ◌̕b; à◌֮◌ؕ◌̕b; a◌֮◌̀◌ؕ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH TAH, LATIN SMALL LETTER B
      "\u0061 0615 0315 0300 05AE 0062",  # (a◌ؕ◌̕◌̀◌֮b; a◌֮◌ؕ◌̀◌̕b; a◌֮◌ؕ◌̀◌̕b; a◌֮◌ؕ◌̀◌̕b; a◌֮◌ؕ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH TAH, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0616 0062",  # (a◌̕◌̀◌֮◌ؖb; à◌֮◌ؖ◌̕b; a◌֮◌̀◌ؖ◌̕b; à◌֮◌ؖ◌̕b; a◌֮◌̀◌ؖ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH LIGATURE ALEF WITH LAM WITH YEH, LATIN SMALL LETTER B
      "\u0061 0616 0315 0300 05AE 0062",  # (a◌ؖ◌̕◌̀◌֮b; a◌֮◌ؖ◌̀◌̕b; a◌֮◌ؖ◌̀◌̕b; a◌֮◌ؖ◌̀◌̕b; a◌֮◌ؖ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH LIGATURE ALEF WITH LAM WITH YEH, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0617 0062",  # (a◌̕◌̀◌֮◌ؗb; à◌֮◌ؗ◌̕b; a◌֮◌̀◌ؗ◌̕b; à◌֮◌ؗ◌̕b; a◌֮◌̀◌ؗ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH ZAIN, LATIN SMALL LETTER B
      "\u0061 0617 0315 0300 05AE 0062",  # (a◌ؗ◌̕◌̀◌֮b; a◌֮◌ؗ◌̀◌̕b; a◌֮◌ؗ◌̀◌̕b; a◌֮◌ؗ◌̀◌̕b; a◌֮◌ؗ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH ZAIN, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0619 0618 064D 0618 0062",  # (a◌ؙ◌ؘ◌ٍ◌ؘb; a◌ٍ◌ؘ◌ؘ◌ؙb; a◌ٍ◌ؘ◌ؘ◌ؙb; a◌ٍ◌ؘ◌ؘ◌ؙb; a◌ٍ◌ؘ◌ؘ◌ؙb; ) LATIN SMALL LETTER A, ARABIC SMALL DAMMA, ARABIC SMALL FATHA, ARABIC KASRATAN, ARABIC SMALL FATHA, LATIN SMALL LETTER B
      "\u0061 0618 0619 0618 064D 0062",  # (a◌ؘ◌ؙ◌ؘ◌ٍb; a◌ٍ◌ؘ◌ؘ◌ؙb; a◌ٍ◌ؘ◌ؘ◌ؙb; a◌ٍ◌ؘ◌ؘ◌ؙb; a◌ٍ◌ؘ◌ؘ◌ؙb; ) LATIN SMALL LETTER A, ARABIC SMALL FATHA, ARABIC SMALL DAMMA, ARABIC SMALL FATHA, ARABIC KASRATAN, LATIN SMALL LETTER B
      "\u0061 061A 0619 0618 0619 0062",  # (a◌ؚ◌ؙ◌ؘ◌ؙb; a◌ؘ◌ؙ◌ؙ◌ؚb; a◌ؘ◌ؙ◌ؙ◌ؚb; a◌ؘ◌ؙ◌ؙ◌ؚb; a◌ؘ◌ؙ◌ؙ◌ؚb; ) LATIN SMALL LETTER A, ARABIC SMALL KASRA, ARABIC SMALL DAMMA, ARABIC SMALL FATHA, ARABIC SMALL DAMMA, LATIN SMALL LETTER B
      "\u0061 0619 061A 0619 0618 0062",  # (a◌ؙ◌ؚ◌ؙ◌ؘb; a◌ؘ◌ؙ◌ؙ◌ؚb; a◌ؘ◌ؙ◌ؙ◌ؚb; a◌ؘ◌ؙ◌ؙ◌ؚb; a◌ؘ◌ؙ◌ؙ◌ؚb; ) LATIN SMALL LETTER A, ARABIC SMALL DAMMA, ARABIC SMALL KASRA, ARABIC SMALL DAMMA, ARABIC SMALL FATHA, LATIN SMALL LETTER B
      "\u0061 0651 061A 0619 061A 0062",  # (a◌ّ◌ؚ◌ؙ◌ؚb; a◌ؙ◌ؚ◌ؚ◌ّb; a◌ؙ◌ؚ◌ؚ◌ّb; a◌ؙ◌ؚ◌ؚ◌ّb; a◌ؙ◌ؚ◌ؚ◌ّb; ) LATIN SMALL LETTER A, ARABIC SHADDA, ARABIC SMALL KASRA, ARABIC SMALL DAMMA, ARABIC SMALL KASRA, LATIN SMALL LETTER B
      "\u0061 061A 0651 061A 0619 0062",  # (a◌ؚ◌ّ◌ؚ◌ؙb; a◌ؙ◌ؚ◌ؚ◌ّb; a◌ؙ◌ؚ◌ؚ◌ّb; a◌ؙ◌ؚ◌ؚ◌ّb; a◌ؙ◌ؚ◌ؚ◌ّb; ) LATIN SMALL LETTER A, ARABIC SMALL KASRA, ARABIC SHADDA, ARABIC SMALL KASRA, ARABIC SMALL DAMMA, LATIN SMALL LETTER B
      "\u0061 064C 064B FB1E 064B 0062",  # (a◌ٌ◌ً◌ﬞ◌ًb; a◌ﬞ◌ً◌ً◌ٌb; a◌ﬞ◌ً◌ً◌ٌb; a◌ﬞ◌ً◌ً◌ٌb; a◌ﬞ◌ً◌ً◌ٌb; ) LATIN SMALL LETTER A, ARABIC DAMMATAN, ARABIC FATHATAN, HEBREW POINT JUDEO-SPANISH VARIKA, ARABIC FATHATAN, LATIN SMALL LETTER B
      "\u0061 064B 064C 064B FB1E 0062",  # (a◌ً◌ٌ◌ً◌ﬞb; a◌ﬞ◌ً◌ً◌ٌb; a◌ﬞ◌ً◌ً◌ٌb; a◌ﬞ◌ً◌ً◌ٌb; a◌ﬞ◌ً◌ً◌ٌb; ) LATIN SMALL LETTER A, ARABIC FATHATAN, ARABIC DAMMATAN, ARABIC FATHATAN, HEBREW POINT JUDEO-SPANISH VARIKA, LATIN SMALL LETTER B
      "\u0061 064D 064C 064B 064C 0062",  # (a◌ٍ◌ٌ◌ً◌ٌb; a◌ً◌ٌ◌ٌ◌ٍb; a◌ً◌ٌ◌ٌ◌ٍb; a◌ً◌ٌ◌ٌ◌ٍb; a◌ً◌ٌ◌ٌ◌ٍb; ) LATIN SMALL LETTER A, ARABIC KASRATAN, ARABIC DAMMATAN, ARABIC FATHATAN, ARABIC DAMMATAN, LATIN SMALL LETTER B
      "\u0061 064C 064D 064C 064B 0062",  # (a◌ٌ◌ٍ◌ٌ◌ًb; a◌ً◌ٌ◌ٌ◌ٍb; a◌ً◌ٌ◌ٌ◌ٍb; a◌ً◌ٌ◌ٌ◌ٍb; a◌ً◌ٌ◌ٌ◌ٍb; ) LATIN SMALL LETTER A, ARABIC DAMMATAN, ARABIC KASRATAN, ARABIC DAMMATAN, ARABIC FATHATAN, LATIN SMALL LETTER B
      "\u0061 0618 064D 064C 064D 0062",  # (a◌ؘ◌ٍ◌ٌ◌ٍb; a◌ٌ◌ٍ◌ٍ◌ؘb; a◌ٌ◌ٍ◌ٍ◌ؘb; a◌ٌ◌ٍ◌ٍ◌ؘb; a◌ٌ◌ٍ◌ٍ◌ؘb; ) LATIN SMALL LETTER A, ARABIC SMALL FATHA, ARABIC KASRATAN, ARABIC DAMMATAN, ARABIC KASRATAN, LATIN SMALL LETTER B
      "\u0061 064D 0618 064D 064C 0062",  # (a◌ٍ◌ؘ◌ٍ◌ٌb; a◌ٌ◌ٍ◌ٍ◌ؘb; a◌ٌ◌ٍ◌ٍ◌ؘb; a◌ٌ◌ٍ◌ٍ◌ؘb; a◌ٌ◌ٍ◌ٍ◌ؘb; ) LATIN SMALL LETTER A, ARABIC KASRATAN, ARABIC SMALL FATHA, ARABIC KASRATAN, ARABIC DAMMATAN, LATIN SMALL LETTER B
      "\u0061 0619 0618 064D 064E 0062",  # (a◌ؙ◌ؘ◌ٍ◌َb; a◌ٍ◌ؘ◌َ◌ؙb; a◌ٍ◌ؘ◌َ◌ؙb; a◌ٍ◌ؘ◌َ◌ؙb; a◌ٍ◌ؘ◌َ◌ؙb; ) LATIN SMALL LETTER A, ARABIC SMALL DAMMA, ARABIC SMALL FATHA, ARABIC KASRATAN, ARABIC FATHA, LATIN SMALL LETTER B
      "\u0061 064E 0619 0618 064D 0062",  # (a◌َ◌ؙ◌ؘ◌ٍb; a◌ٍ◌َ◌ؘ◌ؙb; a◌ٍ◌َ◌ؘ◌ؙb; a◌ٍ◌َ◌ؘ◌ؙb; a◌ٍ◌َ◌ؘ◌ؙb; ) LATIN SMALL LETTER A, ARABIC FATHA, ARABIC SMALL DAMMA, ARABIC SMALL FATHA, ARABIC KASRATAN, LATIN SMALL LETTER B
      "\u0061 061A 0619 0618 064F 0062",  # (a◌ؚ◌ؙ◌ؘ◌ُb; a◌ؘ◌ؙ◌ُ◌ؚb; a◌ؘ◌ؙ◌ُ◌ؚb; a◌ؘ◌ؙ◌ُ◌ؚb; a◌ؘ◌ؙ◌ُ◌ؚb; ) LATIN SMALL LETTER A, ARABIC SMALL KASRA, ARABIC SMALL DAMMA, ARABIC SMALL FATHA, ARABIC DAMMA, LATIN SMALL LETTER B
      "\u0061 064F 061A 0619 0618 0062",  # (a◌ُ◌ؚ◌ؙ◌ؘb; a◌ؘ◌ُ◌ؙ◌ؚb; a◌ؘ◌ُ◌ؙ◌ؚb; a◌ؘ◌ُ◌ؙ◌ؚb; a◌ؘ◌ُ◌ؙ◌ؚb; ) LATIN SMALL LETTER A, ARABIC DAMMA, ARABIC SMALL KASRA, ARABIC SMALL DAMMA, ARABIC SMALL FATHA, LATIN SMALL LETTER B
      "\u0061 0651 061A 0619 0650 0062",  # (a◌ّ◌ؚ◌ؙ◌ِb; a◌ؙ◌ؚ◌ِ◌ّb; a◌ؙ◌ؚ◌ِ◌ّb; a◌ؙ◌ؚ◌ِ◌ّb; a◌ؙ◌ؚ◌ِ◌ّb; ) LATIN SMALL LETTER A, ARABIC SHADDA, ARABIC SMALL KASRA, ARABIC SMALL DAMMA, ARABIC KASRA, LATIN SMALL LETTER B
      "\u0061 0650 0651 061A 0619 0062",  # (a◌ِ◌ّ◌ؚ◌ؙb; a◌ؙ◌ِ◌ؚ◌ّb; a◌ؙ◌ِ◌ؚ◌ّb; a◌ؙ◌ِ◌ؚ◌ّb; a◌ؙ◌ِ◌ؚ◌ّb; ) LATIN SMALL LETTER A, ARABIC KASRA, ARABIC SHADDA, ARABIC SMALL KASRA, ARABIC SMALL DAMMA, LATIN SMALL LETTER B
      "\u0061 0652 0651 061A 0651 0062",  # (a◌ْ◌ّ◌ؚ◌ّb; a◌ؚ◌ّ◌ّ◌ْb; a◌ؚ◌ّ◌ّ◌ْb; a◌ؚ◌ّ◌ّ◌ْb; a◌ؚ◌ّ◌ّ◌ْb; ) LATIN SMALL LETTER A, ARABIC SUKUN, ARABIC SHADDA, ARABIC SMALL KASRA, ARABIC SHADDA, LATIN SMALL LETTER B
      "\u0061 0651 0652 0651 061A 0062",  # (a◌ّ◌ْ◌ّ◌ؚb; a◌ؚ◌ّ◌ّ◌ْb; a◌ؚ◌ّ◌ّ◌ْb; a◌ؚ◌ّ◌ّ◌ْb; a◌ؚ◌ّ◌ّ◌ْb; ) LATIN SMALL LETTER A, ARABIC SHADDA, ARABIC SUKUN, ARABIC SHADDA, ARABIC SMALL KASRA, LATIN SMALL LETTER B
      "\u0061 0670 0652 0651 0652 0062",  # (a◌ٰ◌ْ◌ّ◌ْb; a◌ّ◌ْ◌ْ◌ٰb; a◌ّ◌ْ◌ْ◌ٰb; a◌ّ◌ْ◌ْ◌ٰb; a◌ّ◌ْ◌ْ◌ٰb; ) LATIN SMALL LETTER A, ARABIC LETTER SUPERSCRIPT ALEF, ARABIC SUKUN, ARABIC SHADDA, ARABIC SUKUN, LATIN SMALL LETTER B
      "\u0061 0652 0670 0652 0651 0062",  # (a◌ْ◌ٰ◌ْ◌ّb; a◌ّ◌ْ◌ْ◌ٰb; a◌ّ◌ْ◌ْ◌ٰb; a◌ّ◌ْ◌ْ◌ٰb; a◌ّ◌ْ◌ْ◌ٰb; ) LATIN SMALL LETTER A, ARABIC SUKUN, ARABIC LETTER SUPERSCRIPT ALEF, ARABIC SUKUN, ARABIC SHADDA, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0653 0062",  # (a◌̕◌̀◌֮◌ٓb; à◌֮◌ٓ◌̕b; a◌֮◌̀◌ٓ◌̕b; à◌֮◌ٓ◌̕b; a◌֮◌̀◌ٓ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC MADDAH ABOVE, LATIN SMALL LETTER B
      "\u0061 0653 0315 0300 05AE 0062",  # (a◌ٓ◌̕◌̀◌֮b; a◌֮◌ٓ◌̀◌̕b; a◌֮◌ٓ◌̀◌̕b; a◌֮◌ٓ◌̀◌̕b; a◌֮◌ٓ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC MADDAH ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0654 0062",  # (a◌̕◌̀◌֮◌ٔb; à◌֮◌ٔ◌̕b; a◌֮◌̀◌ٔ◌̕b; à◌֮◌ٔ◌̕b; a◌֮◌̀◌ٔ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC HAMZA ABOVE, LATIN SMALL LETTER B
      "\u0061 0654 0315 0300 05AE 0062",  # (a◌ٔ◌̕◌̀◌֮b; a◌֮◌ٔ◌̀◌̕b; a◌֮◌ٔ◌̀◌̕b; a◌֮◌ٔ◌̀◌̕b; a◌֮◌ٔ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC HAMZA ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0655 0062",  # (a◌֚◌̖◌〪◌ٕb; a◌〪◌̖◌ٕ◌֚b; a◌〪◌̖◌ٕ◌֚b; a◌〪◌̖◌ٕ◌֚b; a◌〪◌̖◌ٕ◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, ARABIC HAMZA BELOW, LATIN SMALL LETTER B
      "\u0061 0655 059A 0316 302A 0062",  # (a◌ٕ◌֚◌̖◌〪b; a◌〪◌ٕ◌̖◌֚b; a◌〪◌ٕ◌̖◌֚b; a◌〪◌ٕ◌̖◌֚b; a◌〪◌ٕ◌̖◌֚b; ) LATIN SMALL LETTER A, ARABIC HAMZA BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0656 0062",  # (a◌֚◌̖◌〪◌ٖb; a◌〪◌̖◌ٖ◌֚b; a◌〪◌̖◌ٖ◌֚b; a◌〪◌̖◌ٖ◌֚b; a◌〪◌̖◌ٖ◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, ARABIC SUBSCRIPT ALEF, LATIN SMALL LETTER B
      "\u0061 0656 059A 0316 302A 0062",  # (a◌ٖ◌֚◌̖◌〪b; a◌〪◌ٖ◌̖◌֚b; a◌〪◌ٖ◌̖◌֚b; a◌〪◌ٖ◌̖◌֚b; a◌〪◌ٖ◌̖◌֚b; ) LATIN SMALL LETTER A, ARABIC SUBSCRIPT ALEF, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0657 0062",  # (a◌̕◌̀◌֮◌ٗb; à◌֮◌ٗ◌̕b; a◌֮◌̀◌ٗ◌̕b; à◌֮◌ٗ◌̕b; a◌֮◌̀◌ٗ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC INVERTED DAMMA, LATIN SMALL LETTER B
      "\u0061 0657 0315 0300 05AE 0062",  # (a◌ٗ◌̕◌̀◌֮b; a◌֮◌ٗ◌̀◌̕b; a◌֮◌ٗ◌̀◌̕b; a◌֮◌ٗ◌̀◌̕b; a◌֮◌ٗ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC INVERTED DAMMA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0658 0062",  # (a◌̕◌̀◌֮◌٘b; à◌֮◌٘◌̕b; a◌֮◌̀◌٘◌̕b; à◌֮◌٘◌̕b; a◌֮◌̀◌٘◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC MARK NOON GHUNNA, LATIN SMALL LETTER B
      "\u0061 0658 0315 0300 05AE 0062",  # (a◌٘◌̕◌̀◌֮b; a◌֮◌٘◌̀◌̕b; a◌֮◌٘◌̀◌̕b; a◌֮◌٘◌̀◌̕b; a◌֮◌٘◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC MARK NOON GHUNNA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0659 0062",  # (a◌̕◌̀◌֮◌ٙb; à◌֮◌ٙ◌̕b; a◌֮◌̀◌ٙ◌̕b; à◌֮◌ٙ◌̕b; a◌֮◌̀◌ٙ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC ZWARAKAY, LATIN SMALL LETTER B
      "\u0061 0659 0315 0300 05AE 0062",  # (a◌ٙ◌̕◌̀◌֮b; a◌֮◌ٙ◌̀◌̕b; a◌֮◌ٙ◌̀◌̕b; a◌֮◌ٙ◌̀◌̕b; a◌֮◌ٙ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC ZWARAKAY, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 065A 0062",  # (a◌̕◌̀◌֮◌ٚb; à◌֮◌ٚ◌̕b; a◌֮◌̀◌ٚ◌̕b; à◌֮◌ٚ◌̕b; a◌֮◌̀◌ٚ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC VOWEL SIGN SMALL V ABOVE, LATIN SMALL LETTER B
      "\u0061 065A 0315 0300 05AE 0062",  # (a◌ٚ◌̕◌̀◌֮b; a◌֮◌ٚ◌̀◌̕b; a◌֮◌ٚ◌̀◌̕b; a◌֮◌ٚ◌̀◌̕b; a◌֮◌ٚ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC VOWEL SIGN SMALL V ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 065B 0062",  # (a◌̕◌̀◌֮◌ٛb; à◌֮◌ٛ◌̕b; a◌֮◌̀◌ٛ◌̕b; à◌֮◌ٛ◌̕b; a◌֮◌̀◌ٛ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC VOWEL SIGN INVERTED SMALL V ABOVE, LATIN SMALL LETTER B
      "\u0061 065B 0315 0300 05AE 0062",  # (a◌ٛ◌̕◌̀◌֮b; a◌֮◌ٛ◌̀◌̕b; a◌֮◌ٛ◌̀◌̕b; a◌֮◌ٛ◌̀◌̕b; a◌֮◌ٛ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC VOWEL SIGN INVERTED SMALL V ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 065C 0062",  # (a◌֚◌̖◌〪◌ٜb; a◌〪◌̖◌ٜ◌֚b; a◌〪◌̖◌ٜ◌֚b; a◌〪◌̖◌ٜ◌֚b; a◌〪◌̖◌ٜ◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, ARABIC VOWEL SIGN DOT BELOW, LATIN SMALL LETTER B
      "\u0061 065C 059A 0316 302A 0062",  # (a◌ٜ◌֚◌̖◌〪b; a◌〪◌ٜ◌̖◌֚b; a◌〪◌ٜ◌̖◌֚b; a◌〪◌ٜ◌̖◌֚b; a◌〪◌ٜ◌̖◌֚b; ) LATIN SMALL LETTER A, ARABIC VOWEL SIGN DOT BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 065D 0062",  # (a◌̕◌̀◌֮◌ٝb; à◌֮◌ٝ◌̕b; a◌֮◌̀◌ٝ◌̕b; à◌֮◌ٝ◌̕b; a◌֮◌̀◌ٝ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC REVERSED DAMMA, LATIN SMALL LETTER B
      "\u0061 065D 0315 0300 05AE 0062",  # (a◌ٝ◌̕◌̀◌֮b; a◌֮◌ٝ◌̀◌̕b; a◌֮◌ٝ◌̀◌̕b; a◌֮◌ٝ◌̀◌̕b; a◌֮◌ٝ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC REVERSED DAMMA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 065E 0062",  # (a◌̕◌̀◌֮◌ٞb; à◌֮◌ٞ◌̕b; a◌֮◌̀◌ٞ◌̕b; à◌֮◌ٞ◌̕b; a◌֮◌̀◌ٞ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC FATHA WITH TWO DOTS, LATIN SMALL LETTER B
      "\u0061 065E 0315 0300 05AE 0062",  # (a◌ٞ◌̕◌̀◌֮b; a◌֮◌ٞ◌̀◌̕b; a◌֮◌ٞ◌̀◌̕b; a◌֮◌ٞ◌̀◌̕b; a◌֮◌ٞ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC FATHA WITH TWO DOTS, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 065F 0062",  # (a◌֚◌̖◌〪◌ٟb; a◌〪◌̖◌ٟ◌֚b; a◌〪◌̖◌ٟ◌֚b; a◌〪◌̖◌ٟ◌֚b; a◌〪◌̖◌ٟ◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, ARABIC WAVY HAMZA BELOW, LATIN SMALL LETTER B
      "\u0061 065F 059A 0316 302A 0062",  # (a◌ٟ◌֚◌̖◌〪b; a◌〪◌ٟ◌̖◌֚b; a◌〪◌ٟ◌̖◌֚b; a◌〪◌ٟ◌̖◌֚b; a◌〪◌ٟ◌̖◌֚b; ) LATIN SMALL LETTER A, ARABIC WAVY HAMZA BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0711 0670 0652 0670 0062",  # (a◌ܑ◌ٰ◌ْ◌ٰb; a◌ْ◌ٰ◌ٰ◌ܑb; a◌ْ◌ٰ◌ٰ◌ܑb; a◌ْ◌ٰ◌ٰ◌ܑb; a◌ْ◌ٰ◌ٰ◌ܑb; ) LATIN SMALL LETTER A, SYRIAC LETTER SUPERSCRIPT ALAPH, ARABIC LETTER SUPERSCRIPT ALEF, ARABIC SUKUN, ARABIC LETTER SUPERSCRIPT ALEF, LATIN SMALL LETTER B
      "\u0061 0670 0711 0670 0652 0062",  # (a◌ٰ◌ܑ◌ٰ◌ْb; a◌ْ◌ٰ◌ٰ◌ܑb; a◌ْ◌ٰ◌ٰ◌ܑb; a◌ْ◌ٰ◌ٰ◌ܑb; a◌ْ◌ٰ◌ٰ◌ܑb; ) LATIN SMALL LETTER A, ARABIC LETTER SUPERSCRIPT ALEF, SYRIAC LETTER SUPERSCRIPT ALAPH, ARABIC LETTER SUPERSCRIPT ALEF, ARABIC SUKUN, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 06D6 0062",  # (a◌̕◌̀◌֮◌ۖb; à◌֮◌ۖ◌̕b; a◌֮◌̀◌ۖ◌̕b; à◌֮◌ۖ◌̕b; a◌֮◌̀◌ۖ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH LIGATURE SAD WITH LAM WITH ALEF MAKSURA, LATIN SMALL LETTER B
      "\u0061 06D6 0315 0300 05AE 0062",  # (a◌ۖ◌̕◌̀◌֮b; a◌֮◌ۖ◌̀◌̕b; a◌֮◌ۖ◌̀◌̕b; a◌֮◌ۖ◌̀◌̕b; a◌֮◌ۖ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH LIGATURE SAD WITH LAM WITH ALEF MAKSURA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 06D7 0062",  # (a◌̕◌̀◌֮◌ۗb; à◌֮◌ۗ◌̕b; a◌֮◌̀◌ۗ◌̕b; à◌֮◌ۗ◌̕b; a◌֮◌̀◌ۗ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH LIGATURE QAF WITH LAM WITH ALEF MAKSURA, LATIN SMALL LETTER B
      "\u0061 06D7 0315 0300 05AE 0062",  # (a◌ۗ◌̕◌̀◌֮b; a◌֮◌ۗ◌̀◌̕b; a◌֮◌ۗ◌̀◌̕b; a◌֮◌ۗ◌̀◌̕b; a◌֮◌ۗ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH LIGATURE QAF WITH LAM WITH ALEF MAKSURA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 06D8 0062",  # (a◌̕◌̀◌֮◌ۘb; à◌֮◌ۘ◌̕b; a◌֮◌̀◌ۘ◌̕b; à◌֮◌ۘ◌̕b; a◌֮◌̀◌ۘ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH MEEM INITIAL FORM, LATIN SMALL LETTER B
      "\u0061 06D8 0315 0300 05AE 0062",  # (a◌ۘ◌̕◌̀◌֮b; a◌֮◌ۘ◌̀◌̕b; a◌֮◌ۘ◌̀◌̕b; a◌֮◌ۘ◌̀◌̕b; a◌֮◌ۘ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH MEEM INITIAL FORM, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 06D9 0062",  # (a◌̕◌̀◌֮◌ۙb; à◌֮◌ۙ◌̕b; a◌֮◌̀◌ۙ◌̕b; à◌֮◌ۙ◌̕b; a◌֮◌̀◌ۙ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH LAM ALEF, LATIN SMALL LETTER B
      "\u0061 06D9 0315 0300 05AE 0062",  # (a◌ۙ◌̕◌̀◌֮b; a◌֮◌ۙ◌̀◌̕b; a◌֮◌ۙ◌̀◌̕b; a◌֮◌ۙ◌̀◌̕b; a◌֮◌ۙ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH LAM ALEF, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 06DA 0062",  # (a◌̕◌̀◌֮◌ۚb; à◌֮◌ۚ◌̕b; a◌֮◌̀◌ۚ◌̕b; à◌֮◌ۚ◌̕b; a◌֮◌̀◌ۚ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH JEEM, LATIN SMALL LETTER B
      "\u0061 06DA 0315 0300 05AE 0062",  # (a◌ۚ◌̕◌̀◌֮b; a◌֮◌ۚ◌̀◌̕b; a◌֮◌ۚ◌̀◌̕b; a◌֮◌ۚ◌̀◌̕b; a◌֮◌ۚ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH JEEM, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 06DB 0062",  # (a◌̕◌̀◌֮◌ۛb; à◌֮◌ۛ◌̕b; a◌֮◌̀◌ۛ◌̕b; à◌֮◌ۛ◌̕b; a◌֮◌̀◌ۛ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH THREE DOTS, LATIN SMALL LETTER B
      "\u0061 06DB 0315 0300 05AE 0062",  # (a◌ۛ◌̕◌̀◌֮b; a◌֮◌ۛ◌̀◌̕b; a◌֮◌ۛ◌̀◌̕b; a◌֮◌ۛ◌̀◌̕b; a◌֮◌ۛ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH THREE DOTS, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 06DC 0062",  # (a◌̕◌̀◌֮◌ۜb; à◌֮◌ۜ◌̕b; a◌֮◌̀◌ۜ◌̕b; à◌֮◌ۜ◌̕b; a◌֮◌̀◌ۜ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH SEEN, LATIN SMALL LETTER B
      "\u0061 06DC 0315 0300 05AE 0062",  # (a◌ۜ◌̕◌̀◌֮b; a◌֮◌ۜ◌̀◌̕b; a◌֮◌ۜ◌̀◌̕b; a◌֮◌ۜ◌̀◌̕b; a◌֮◌ۜ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH SEEN, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 06DF 0062",  # (a◌̕◌̀◌֮◌۟b; à◌֮◌۟◌̕b; a◌֮◌̀◌۟◌̕b; à◌֮◌۟◌̕b; a◌֮◌̀◌۟◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH ROUNDED ZERO, LATIN SMALL LETTER B
      "\u0061 06DF 0315 0300 05AE 0062",  # (a◌۟◌̕◌̀◌֮b; a◌֮◌۟◌̀◌̕b; a◌֮◌۟◌̀◌̕b; a◌֮◌۟◌̀◌̕b; a◌֮◌۟◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH ROUNDED ZERO, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 06E0 0062",  # (a◌̕◌̀◌֮◌۠b; à◌֮◌۠◌̕b; a◌֮◌̀◌۠◌̕b; à◌֮◌۠◌̕b; a◌֮◌̀◌۠◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH UPRIGHT RECTANGULAR ZERO, LATIN SMALL LETTER B
      "\u0061 06E0 0315 0300 05AE 0062",  # (a◌۠◌̕◌̀◌֮b; a◌֮◌۠◌̀◌̕b; a◌֮◌۠◌̀◌̕b; a◌֮◌۠◌̀◌̕b; a◌֮◌۠◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH UPRIGHT RECTANGULAR ZERO, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 06E1 0062",  # (a◌̕◌̀◌֮◌ۡb; à◌֮◌ۡ◌̕b; a◌֮◌̀◌ۡ◌̕b; à◌֮◌ۡ◌̕b; a◌֮◌̀◌ۡ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH DOTLESS HEAD OF KHAH, LATIN SMALL LETTER B
      "\u0061 06E1 0315 0300 05AE 0062",  # (a◌ۡ◌̕◌̀◌֮b; a◌֮◌ۡ◌̀◌̕b; a◌֮◌ۡ◌̀◌̕b; a◌֮◌ۡ◌̀◌̕b; a◌֮◌ۡ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH DOTLESS HEAD OF KHAH, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 06E2 0062",  # (a◌̕◌̀◌֮◌ۢb; à◌֮◌ۢ◌̕b; a◌֮◌̀◌ۢ◌̕b; à◌֮◌ۢ◌̕b; a◌֮◌̀◌ۢ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH MEEM ISOLATED FORM, LATIN SMALL LETTER B
      "\u0061 06E2 0315 0300 05AE 0062",  # (a◌ۢ◌̕◌̀◌֮b; a◌֮◌ۢ◌̀◌̕b; a◌֮◌ۢ◌̀◌̕b; a◌֮◌ۢ◌̀◌̕b; a◌֮◌ۢ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH MEEM ISOLATED FORM, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 06E3 0062",  # (a◌֚◌̖◌〪◌ۣb; a◌〪◌̖◌ۣ◌֚b; a◌〪◌̖◌ۣ◌֚b; a◌〪◌̖◌ۣ◌֚b; a◌〪◌̖◌ۣ◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, ARABIC SMALL LOW SEEN, LATIN SMALL LETTER B
      "\u0061 06E3 059A 0316 302A 0062",  # (a◌ۣ◌֚◌̖◌〪b; a◌〪◌ۣ◌̖◌֚b; a◌〪◌ۣ◌̖◌֚b; a◌〪◌ۣ◌̖◌֚b; a◌〪◌ۣ◌̖◌֚b; ) LATIN SMALL LETTER A, ARABIC SMALL LOW SEEN, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 06E4 0062",  # (a◌̕◌̀◌֮◌ۤb; à◌֮◌ۤ◌̕b; a◌֮◌̀◌ۤ◌̕b; à◌֮◌ۤ◌̕b; a◌֮◌̀◌ۤ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH MADDA, LATIN SMALL LETTER B
      "\u0061 06E4 0315 0300 05AE 0062",  # (a◌ۤ◌̕◌̀◌֮b; a◌֮◌ۤ◌̀◌̕b; a◌֮◌ۤ◌̀◌̕b; a◌֮◌ۤ◌̀◌̕b; a◌֮◌ۤ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH MADDA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 06E7 0062",  # (a◌̕◌̀◌֮◌ۧb; à◌֮◌ۧ◌̕b; a◌֮◌̀◌ۧ◌̕b; à◌֮◌ۧ◌̕b; a◌֮◌̀◌ۧ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH YEH, LATIN SMALL LETTER B
      "\u0061 06E7 0315 0300 05AE 0062",  # (a◌ۧ◌̕◌̀◌֮b; a◌֮◌ۧ◌̀◌̕b; a◌֮◌ۧ◌̀◌̕b; a◌֮◌ۧ◌̀◌̕b; a◌֮◌ۧ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH YEH, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 06E8 0062",  # (a◌̕◌̀◌֮◌ۨb; à◌֮◌ۨ◌̕b; a◌֮◌̀◌ۨ◌̕b; à◌֮◌ۨ◌̕b; a◌֮◌̀◌ۨ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH NOON, LATIN SMALL LETTER B
      "\u0061 06E8 0315 0300 05AE 0062",  # (a◌ۨ◌̕◌̀◌֮b; a◌֮◌ۨ◌̀◌̕b; a◌֮◌ۨ◌̀◌̕b; a◌֮◌ۨ◌̀◌̕b; a◌֮◌ۨ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH NOON, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 06EA 0062",  # (a◌֚◌̖◌〪◌۪b; a◌〪◌̖◌۪◌֚b; a◌〪◌̖◌۪◌֚b; a◌〪◌̖◌۪◌֚b; a◌〪◌̖◌۪◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, ARABIC EMPTY CENTRE LOW STOP, LATIN SMALL LETTER B
      "\u0061 06EA 059A 0316 302A 0062",  # (a◌۪◌֚◌̖◌〪b; a◌〪◌۪◌̖◌֚b; a◌〪◌۪◌̖◌֚b; a◌〪◌۪◌̖◌֚b; a◌〪◌۪◌̖◌֚b; ) LATIN SMALL LETTER A, ARABIC EMPTY CENTRE LOW STOP, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 06EB 0062",  # (a◌̕◌̀◌֮◌۫b; à◌֮◌۫◌̕b; a◌֮◌̀◌۫◌̕b; à◌֮◌۫◌̕b; a◌֮◌̀◌۫◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC EMPTY CENTRE HIGH STOP, LATIN SMALL LETTER B
      "\u0061 06EB 0315 0300 05AE 0062",  # (a◌۫◌̕◌̀◌֮b; a◌֮◌۫◌̀◌̕b; a◌֮◌۫◌̀◌̕b; a◌֮◌۫◌̀◌̕b; a◌֮◌۫◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC EMPTY CENTRE HIGH STOP, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 06EC 0062",  # (a◌̕◌̀◌֮◌۬b; à◌֮◌۬◌̕b; a◌֮◌̀◌۬◌̕b; à◌֮◌۬◌̕b; a◌֮◌̀◌۬◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC ROUNDED HIGH STOP WITH FILLED CENTRE, LATIN SMALL LETTER B
      "\u0061 06EC 0315 0300 05AE 0062",  # (a◌۬◌̕◌̀◌֮b; a◌֮◌۬◌̀◌̕b; a◌֮◌۬◌̀◌̕b; a◌֮◌۬◌̀◌̕b; a◌֮◌۬◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC ROUNDED HIGH STOP WITH FILLED CENTRE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 06ED 0062",  # (a◌֚◌̖◌〪◌ۭb; a◌〪◌̖◌ۭ◌֚b; a◌〪◌̖◌ۭ◌֚b; a◌〪◌̖◌ۭ◌֚b; a◌〪◌̖◌ۭ◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, ARABIC SMALL LOW MEEM, LATIN SMALL LETTER B
      "\u0061 06ED 059A 0316 302A 0062",  # (a◌ۭ◌֚◌̖◌〪b; a◌〪◌ۭ◌̖◌֚b; a◌〪◌ۭ◌̖◌֚b; a◌〪◌ۭ◌̖◌֚b; a◌〪◌ۭ◌̖◌֚b; ) LATIN SMALL LETTER A, ARABIC SMALL LOW MEEM, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0C55 0711 0670 0711 0062",  # (a◌ౕ◌ܑ◌ٰ◌ܑb; a◌ٰ◌ܑ◌ܑ◌ౕb; a◌ٰ◌ܑ◌ܑ◌ౕb; a◌ٰ◌ܑ◌ܑ◌ౕb; a◌ٰ◌ܑ◌ܑ◌ౕb; ) LATIN SMALL LETTER A, TELUGU LENGTH MARK, SYRIAC LETTER SUPERSCRIPT ALAPH, ARABIC LETTER SUPERSCRIPT ALEF, SYRIAC LETTER SUPERSCRIPT ALAPH, LATIN SMALL LETTER B
      "\u0061 0711 0C55 0711 0670 0062",  # (a◌ܑ◌ౕ◌ܑ◌ٰb; a◌ٰ◌ܑ◌ܑ◌ౕb; a◌ٰ◌ܑ◌ܑ◌ౕb; a◌ٰ◌ܑ◌ܑ◌ౕb; a◌ٰ◌ܑ◌ܑ◌ౕb; ) LATIN SMALL LETTER A, SYRIAC LETTER SUPERSCRIPT ALAPH, TELUGU LENGTH MARK, SYRIAC LETTER SUPERSCRIPT ALAPH, ARABIC LETTER SUPERSCRIPT ALEF, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0730 0062",  # (a◌̕◌̀◌֮◌ܰb; à◌֮◌ܰ◌̕b; a◌֮◌̀◌ܰ◌̕b; à◌֮◌ܰ◌̕b; a◌֮◌̀◌ܰ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SYRIAC PTHAHA ABOVE, LATIN SMALL LETTER B
      "\u0061 0730 0315 0300 05AE 0062",  # (a◌ܰ◌̕◌̀◌֮b; a◌֮◌ܰ◌̀◌̕b; a◌֮◌ܰ◌̀◌̕b; a◌֮◌ܰ◌̀◌̕b; a◌֮◌ܰ◌̀◌̕b; ) LATIN SMALL LETTER A, SYRIAC PTHAHA ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0731 0062",  # (a◌֚◌̖◌〪◌ܱb; a◌〪◌̖◌ܱ◌֚b; a◌〪◌̖◌ܱ◌֚b; a◌〪◌̖◌ܱ◌֚b; a◌〪◌̖◌ܱ◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, SYRIAC PTHAHA BELOW, LATIN SMALL LETTER B
      "\u0061 0731 059A 0316 302A 0062",  # (a◌ܱ◌֚◌̖◌〪b; a◌〪◌ܱ◌̖◌֚b; a◌〪◌ܱ◌̖◌֚b; a◌〪◌ܱ◌̖◌֚b; a◌〪◌ܱ◌̖◌֚b; ) LATIN SMALL LETTER A, SYRIAC PTHAHA BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0732 0062",  # (a◌̕◌̀◌֮◌ܲb; à◌֮◌ܲ◌̕b; a◌֮◌̀◌ܲ◌̕b; à◌֮◌ܲ◌̕b; a◌֮◌̀◌ܲ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SYRIAC PTHAHA DOTTED, LATIN SMALL LETTER B
      "\u0061 0732 0315 0300 05AE 0062",  # (a◌ܲ◌̕◌̀◌֮b; a◌֮◌ܲ◌̀◌̕b; a◌֮◌ܲ◌̀◌̕b; a◌֮◌ܲ◌̀◌̕b; a◌֮◌ܲ◌̀◌̕b; ) LATIN SMALL LETTER A, SYRIAC PTHAHA DOTTED, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0733 0062",  # (a◌̕◌̀◌֮◌ܳb; à◌֮◌ܳ◌̕b; a◌֮◌̀◌ܳ◌̕b; à◌֮◌ܳ◌̕b; a◌֮◌̀◌ܳ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SYRIAC ZQAPHA ABOVE, LATIN SMALL LETTER B
      "\u0061 0733 0315 0300 05AE 0062",  # (a◌ܳ◌̕◌̀◌֮b; a◌֮◌ܳ◌̀◌̕b; a◌֮◌ܳ◌̀◌̕b; a◌֮◌ܳ◌̀◌̕b; a◌֮◌ܳ◌̀◌̕b; ) LATIN SMALL LETTER A, SYRIAC ZQAPHA ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0734 0062",  # (a◌֚◌̖◌〪◌ܴb; a◌〪◌̖◌ܴ◌֚b; a◌〪◌̖◌ܴ◌֚b; a◌〪◌̖◌ܴ◌֚b; a◌〪◌̖◌ܴ◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, SYRIAC ZQAPHA BELOW, LATIN SMALL LETTER B
      "\u0061 0734 059A 0316 302A 0062",  # (a◌ܴ◌֚◌̖◌〪b; a◌〪◌ܴ◌̖◌֚b; a◌〪◌ܴ◌̖◌֚b; a◌〪◌ܴ◌̖◌֚b; a◌〪◌ܴ◌̖◌֚b; ) LATIN SMALL LETTER A, SYRIAC ZQAPHA BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0735 0062",  # (a◌̕◌̀◌֮◌ܵb; à◌֮◌ܵ◌̕b; a◌֮◌̀◌ܵ◌̕b; à◌֮◌ܵ◌̕b; a◌֮◌̀◌ܵ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SYRIAC ZQAPHA DOTTED, LATIN SMALL LETTER B
      "\u0061 0735 0315 0300 05AE 0062",  # (a◌ܵ◌̕◌̀◌֮b; a◌֮◌ܵ◌̀◌̕b; a◌֮◌ܵ◌̀◌̕b; a◌֮◌ܵ◌̀◌̕b; a◌֮◌ܵ◌̀◌̕b; ) LATIN SMALL LETTER A, SYRIAC ZQAPHA DOTTED, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0736 0062",  # (a◌̕◌̀◌֮◌ܶb; à◌֮◌ܶ◌̕b; a◌֮◌̀◌ܶ◌̕b; à◌֮◌ܶ◌̕b; a◌֮◌̀◌ܶ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SYRIAC RBASA ABOVE, LATIN SMALL LETTER B
      "\u0061 0736 0315 0300 05AE 0062",  # (a◌ܶ◌̕◌̀◌֮b; a◌֮◌ܶ◌̀◌̕b; a◌֮◌ܶ◌̀◌̕b; a◌֮◌ܶ◌̀◌̕b; a◌֮◌ܶ◌̀◌̕b; ) LATIN SMALL LETTER A, SYRIAC RBASA ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0737 0062",  # (a◌֚◌̖◌〪◌ܷb; a◌〪◌̖◌ܷ◌֚b; a◌〪◌̖◌ܷ◌֚b; a◌〪◌̖◌ܷ◌֚b; a◌〪◌̖◌ܷ◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, SYRIAC RBASA BELOW, LATIN SMALL LETTER B
      "\u0061 0737 059A 0316 302A 0062",  # (a◌ܷ◌֚◌̖◌〪b; a◌〪◌ܷ◌̖◌֚b; a◌〪◌ܷ◌̖◌֚b; a◌〪◌ܷ◌̖◌֚b; a◌〪◌ܷ◌̖◌֚b; ) LATIN SMALL LETTER A, SYRIAC RBASA BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0738 0062",  # (a◌֚◌̖◌〪◌ܸb; a◌〪◌̖◌ܸ◌֚b; a◌〪◌̖◌ܸ◌֚b; a◌〪◌̖◌ܸ◌֚b; a◌〪◌̖◌ܸ◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, SYRIAC DOTTED ZLAMA HORIZONTAL, LATIN SMALL LETTER B
      "\u0061 0738 059A 0316 302A 0062",  # (a◌ܸ◌֚◌̖◌〪b; a◌〪◌ܸ◌̖◌֚b; a◌〪◌ܸ◌̖◌֚b; a◌〪◌ܸ◌̖◌֚b; a◌〪◌ܸ◌̖◌֚b; ) LATIN SMALL LETTER A, SYRIAC DOTTED ZLAMA HORIZONTAL, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0739 0062",  # (a◌֚◌̖◌〪◌ܹb; a◌〪◌̖◌ܹ◌֚b; a◌〪◌̖◌ܹ◌֚b; a◌〪◌̖◌ܹ◌֚b; a◌〪◌̖◌ܹ◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, SYRIAC DOTTED ZLAMA ANGULAR, LATIN SMALL LETTER B
      "\u0061 0739 059A 0316 302A 0062",  # (a◌ܹ◌֚◌̖◌〪b; a◌〪◌ܹ◌̖◌֚b; a◌〪◌ܹ◌̖◌֚b; a◌〪◌ܹ◌̖◌֚b; a◌〪◌ܹ◌̖◌֚b; ) LATIN SMALL LETTER A, SYRIAC DOTTED ZLAMA ANGULAR, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 073A 0062",  # (a◌̕◌̀◌֮◌ܺb; à◌֮◌ܺ◌̕b; a◌֮◌̀◌ܺ◌̕b; à◌֮◌ܺ◌̕b; a◌֮◌̀◌ܺ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SYRIAC HBASA ABOVE, LATIN SMALL LETTER B
      "\u0061 073A 0315 0300 05AE 0062",  # (a◌ܺ◌̕◌̀◌֮b; a◌֮◌ܺ◌̀◌̕b; a◌֮◌ܺ◌̀◌̕b; a◌֮◌ܺ◌̀◌̕b; a◌֮◌ܺ◌̀◌̕b; ) LATIN SMALL LETTER A, SYRIAC HBASA ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 073B 0062",  # (a◌֚◌̖◌〪◌ܻb; a◌〪◌̖◌ܻ◌֚b; a◌〪◌̖◌ܻ◌֚b; a◌〪◌̖◌ܻ◌֚b; a◌〪◌̖◌ܻ◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, SYRIAC HBASA BELOW, LATIN SMALL LETTER B
      "\u0061 073B 059A 0316 302A 0062",  # (a◌ܻ◌֚◌̖◌〪b; a◌〪◌ܻ◌̖◌֚b; a◌〪◌ܻ◌̖◌֚b; a◌〪◌ܻ◌̖◌֚b; a◌〪◌ܻ◌̖◌֚b; ) LATIN SMALL LETTER A, SYRIAC HBASA BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 073C 0062",  # (a◌֚◌̖◌〪◌ܼb; a◌〪◌̖◌ܼ◌֚b; a◌〪◌̖◌ܼ◌֚b; a◌〪◌̖◌ܼ◌֚b; a◌〪◌̖◌ܼ◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, SYRIAC HBASA-ESASA DOTTED, LATIN SMALL LETTER B
      "\u0061 073C 059A 0316 302A 0062",  # (a◌ܼ◌֚◌̖◌〪b; a◌〪◌ܼ◌̖◌֚b; a◌〪◌ܼ◌̖◌֚b; a◌〪◌ܼ◌̖◌֚b; a◌〪◌ܼ◌̖◌֚b; ) LATIN SMALL LETTER A, SYRIAC HBASA-ESASA DOTTED, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 073D 0062",  # (a◌̕◌̀◌֮◌ܽb; à◌֮◌ܽ◌̕b; a◌֮◌̀◌ܽ◌̕b; à◌֮◌ܽ◌̕b; a◌֮◌̀◌ܽ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SYRIAC ESASA ABOVE, LATIN SMALL LETTER B
      "\u0061 073D 0315 0300 05AE 0062",  # (a◌ܽ◌̕◌̀◌֮b; a◌֮◌ܽ◌̀◌̕b; a◌֮◌ܽ◌̀◌̕b; a◌֮◌ܽ◌̀◌̕b; a◌֮◌ܽ◌̀◌̕b; ) LATIN SMALL LETTER A, SYRIAC ESASA ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 073E 0062",  # (a◌֚◌̖◌〪◌ܾb; a◌〪◌̖◌ܾ◌֚b; a◌〪◌̖◌ܾ◌֚b; a◌〪◌̖◌ܾ◌֚b; a◌〪◌̖◌ܾ◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, SYRIAC ESASA BELOW, LATIN SMALL LETTER B
      "\u0061 073E 059A 0316 302A 0062",  # (a◌ܾ◌֚◌̖◌〪b; a◌〪◌ܾ◌̖◌֚b; a◌〪◌ܾ◌̖◌֚b; a◌〪◌ܾ◌̖◌֚b; a◌〪◌ܾ◌̖◌֚b; ) LATIN SMALL LETTER A, SYRIAC ESASA BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 073F 0062",  # (a◌̕◌̀◌֮◌ܿb; à◌֮◌ܿ◌̕b; a◌֮◌̀◌ܿ◌̕b; à◌֮◌ܿ◌̕b; a◌֮◌̀◌ܿ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SYRIAC RWAHA, LATIN SMALL LETTER B
      "\u0061 073F 0315 0300 05AE 0062",  # (a◌ܿ◌̕◌̀◌֮b; a◌֮◌ܿ◌̀◌̕b; a◌֮◌ܿ◌̀◌̕b; a◌֮◌ܿ◌̀◌̕b; a◌֮◌ܿ◌̀◌̕b; ) LATIN SMALL LETTER A, SYRIAC RWAHA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0740 0062",  # (a◌̕◌̀◌֮◌݀b; à◌֮◌݀◌̕b; a◌֮◌̀◌݀◌̕b; à◌֮◌݀◌̕b; a◌֮◌̀◌݀◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SYRIAC FEMININE DOT, LATIN SMALL LETTER B
      "\u0061 0740 0315 0300 05AE 0062",  # (a◌݀◌̕◌̀◌֮b; a◌֮◌݀◌̀◌̕b; a◌֮◌݀◌̀◌̕b; a◌֮◌݀◌̀◌̕b; a◌֮◌݀◌̀◌̕b; ) LATIN SMALL LETTER A, SYRIAC FEMININE DOT, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0741 0062",  # (a◌̕◌̀◌֮◌݁b; à◌֮◌݁◌̕b; a◌֮◌̀◌݁◌̕b; à◌֮◌݁◌̕b; a◌֮◌̀◌݁◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SYRIAC QUSHSHAYA, LATIN SMALL LETTER B
      "\u0061 0741 0315 0300 05AE 0062",  # (a◌݁◌̕◌̀◌֮b; a◌֮◌݁◌̀◌̕b; a◌֮◌݁◌̀◌̕b; a◌֮◌݁◌̀◌̕b; a◌֮◌݁◌̀◌̕b; ) LATIN SMALL LETTER A, SYRIAC QUSHSHAYA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0742 0062",  # (a◌֚◌̖◌〪◌݂b; a◌〪◌̖◌݂◌֚b; a◌〪◌̖◌݂◌֚b; a◌〪◌̖◌݂◌֚b; a◌〪◌̖◌݂◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, SYRIAC RUKKAKHA, LATIN SMALL LETTER B
      "\u0061 0742 059A 0316 302A 0062",  # (a◌݂◌֚◌̖◌〪b; a◌〪◌݂◌̖◌֚b; a◌〪◌݂◌̖◌֚b; a◌〪◌݂◌̖◌֚b; a◌〪◌݂◌̖◌֚b; ) LATIN SMALL LETTER A, SYRIAC RUKKAKHA, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0743 0062",  # (a◌̕◌̀◌֮◌݃b; à◌֮◌݃◌̕b; a◌֮◌̀◌݃◌̕b; à◌֮◌݃◌̕b; a◌֮◌̀◌݃◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SYRIAC TWO VERTICAL DOTS ABOVE, LATIN SMALL LETTER B
      "\u0061 0743 0315 0300 05AE 0062",  # (a◌݃◌̕◌̀◌֮b; a◌֮◌݃◌̀◌̕b; a◌֮◌݃◌̀◌̕b; a◌֮◌݃◌̀◌̕b; a◌֮◌݃◌̀◌̕b; ) LATIN SMALL LETTER A, SYRIAC TWO VERTICAL DOTS ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0744 0062",  # (a◌֚◌̖◌〪◌݄b; a◌〪◌̖◌݄◌֚b; a◌〪◌̖◌݄◌֚b; a◌〪◌̖◌݄◌֚b; a◌〪◌̖◌݄◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, SYRIAC TWO VERTICAL DOTS BELOW, LATIN SMALL LETTER B
      "\u0061 0744 059A 0316 302A 0062",  # (a◌݄◌֚◌̖◌〪b; a◌〪◌݄◌̖◌֚b; a◌〪◌݄◌̖◌֚b; a◌〪◌݄◌̖◌֚b; a◌〪◌݄◌̖◌֚b; ) LATIN SMALL LETTER A, SYRIAC TWO VERTICAL DOTS BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0745 0062",  # (a◌̕◌̀◌֮◌݅b; à◌֮◌݅◌̕b; a◌֮◌̀◌݅◌̕b; à◌֮◌݅◌̕b; a◌֮◌̀◌݅◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SYRIAC THREE DOTS ABOVE, LATIN SMALL LETTER B
      "\u0061 0745 0315 0300 05AE 0062",  # (a◌݅◌̕◌̀◌֮b; a◌֮◌݅◌̀◌̕b; a◌֮◌݅◌̀◌̕b; a◌֮◌݅◌̀◌̕b; a◌֮◌݅◌̀◌̕b; ) LATIN SMALL LETTER A, SYRIAC THREE DOTS ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0746 0062",  # (a◌֚◌̖◌〪◌݆b; a◌〪◌̖◌݆◌֚b; a◌〪◌̖◌݆◌֚b; a◌〪◌̖◌݆◌֚b; a◌〪◌̖◌݆◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, SYRIAC THREE DOTS BELOW, LATIN SMALL LETTER B
      "\u0061 0746 059A 0316 302A 0062",  # (a◌݆◌֚◌̖◌〪b; a◌〪◌݆◌̖◌֚b; a◌〪◌݆◌̖◌֚b; a◌〪◌݆◌̖◌֚b; a◌〪◌݆◌̖◌֚b; ) LATIN SMALL LETTER A, SYRIAC THREE DOTS BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0747 0062",  # (a◌̕◌̀◌֮◌݇b; à◌֮◌݇◌̕b; a◌֮◌̀◌݇◌̕b; à◌֮◌݇◌̕b; a◌֮◌̀◌݇◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SYRIAC OBLIQUE LINE ABOVE, LATIN SMALL LETTER B
      "\u0061 0747 0315 0300 05AE 0062",  # (a◌݇◌̕◌̀◌֮b; a◌֮◌݇◌̀◌̕b; a◌֮◌݇◌̀◌̕b; a◌֮◌݇◌̀◌̕b; a◌֮◌݇◌̀◌̕b; ) LATIN SMALL LETTER A, SYRIAC OBLIQUE LINE ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0748 0062",  # (a◌֚◌̖◌〪◌݈b; a◌〪◌̖◌݈◌֚b; a◌〪◌̖◌݈◌֚b; a◌〪◌̖◌݈◌֚b; a◌〪◌̖◌݈◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, SYRIAC OBLIQUE LINE BELOW, LATIN SMALL LETTER B
      "\u0061 0748 059A 0316 302A 0062",  # (a◌݈◌֚◌̖◌〪b; a◌〪◌݈◌̖◌֚b; a◌〪◌݈◌̖◌֚b; a◌〪◌݈◌̖◌֚b; a◌〪◌݈◌̖◌֚b; ) LATIN SMALL LETTER A, SYRIAC OBLIQUE LINE BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0749 0062",  # (a◌̕◌̀◌֮◌݉b; à◌֮◌݉◌̕b; a◌֮◌̀◌݉◌̕b; à◌֮◌݉◌̕b; a◌֮◌̀◌݉◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SYRIAC MUSIC, LATIN SMALL LETTER B
      "\u0061 0749 0315 0300 05AE 0062",  # (a◌݉◌̕◌̀◌֮b; a◌֮◌݉◌̀◌̕b; a◌֮◌݉◌̀◌̕b; a◌֮◌݉◌̀◌̕b; a◌֮◌݉◌̀◌̕b; ) LATIN SMALL LETTER A, SYRIAC MUSIC, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 074A 0062",  # (a◌̕◌̀◌֮◌݊b; à◌֮◌݊◌̕b; a◌֮◌̀◌݊◌̕b; à◌֮◌݊◌̕b; a◌֮◌̀◌݊◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SYRIAC BARREKH, LATIN SMALL LETTER B
      "\u0061 074A 0315 0300 05AE 0062",  # (a◌݊◌̕◌̀◌֮b; a◌֮◌݊◌̀◌̕b; a◌֮◌݊◌̀◌̕b; a◌֮◌݊◌̀◌̕b; a◌֮◌݊◌̀◌̕b; ) LATIN SMALL LETTER A, SYRIAC BARREKH, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 07EB 0062",  # (a◌̕◌̀◌֮◌߫b; à◌֮◌߫◌̕b; a◌֮◌̀◌߫◌̕b; à◌֮◌߫◌̕b; a◌֮◌̀◌߫◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, NKO COMBINING SHORT HIGH TONE, LATIN SMALL LETTER B
      "\u0061 07EB 0315 0300 05AE 0062",  # (a◌߫◌̕◌̀◌֮b; a◌֮◌߫◌̀◌̕b; a◌֮◌߫◌̀◌̕b; a◌֮◌߫◌̀◌̕b; a◌֮◌߫◌̀◌̕b; ) LATIN SMALL LETTER A, NKO COMBINING SHORT HIGH TONE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 07EC 0062",  # (a◌̕◌̀◌֮◌߬b; à◌֮◌߬◌̕b; a◌֮◌̀◌߬◌̕b; à◌֮◌߬◌̕b; a◌֮◌̀◌߬◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, NKO COMBINING SHORT LOW TONE, LATIN SMALL LETTER B
      "\u0061 07EC 0315 0300 05AE 0062",  # (a◌߬◌̕◌̀◌֮b; a◌֮◌߬◌̀◌̕b; a◌֮◌߬◌̀◌̕b; a◌֮◌߬◌̀◌̕b; a◌֮◌߬◌̀◌̕b; ) LATIN SMALL LETTER A, NKO COMBINING SHORT LOW TONE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 07ED 0062",  # (a◌̕◌̀◌֮◌߭b; à◌֮◌߭◌̕b; a◌֮◌̀◌߭◌̕b; à◌֮◌߭◌̕b; a◌֮◌̀◌߭◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, NKO COMBINING SHORT RISING TONE, LATIN SMALL LETTER B
      "\u0061 07ED 0315 0300 05AE 0062",  # (a◌߭◌̕◌̀◌֮b; a◌֮◌߭◌̀◌̕b; a◌֮◌߭◌̀◌̕b; a◌֮◌߭◌̀◌̕b; a◌֮◌߭◌̀◌̕b; ) LATIN SMALL LETTER A, NKO COMBINING SHORT RISING TONE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 07EE 0062",  # (a◌̕◌̀◌֮◌߮b; à◌֮◌߮◌̕b; a◌֮◌̀◌߮◌̕b; à◌֮◌߮◌̕b; a◌֮◌̀◌߮◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, NKO COMBINING LONG DESCENDING TONE, LATIN SMALL LETTER B
      "\u0061 07EE 0315 0300 05AE 0062",  # (a◌߮◌̕◌̀◌֮b; a◌֮◌߮◌̀◌̕b; a◌֮◌߮◌̀◌̕b; a◌֮◌߮◌̀◌̕b; a◌֮◌߮◌̀◌̕b; ) LATIN SMALL LETTER A, NKO COMBINING LONG DESCENDING TONE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 07EF 0062",  # (a◌̕◌̀◌֮◌߯b; à◌֮◌߯◌̕b; a◌֮◌̀◌߯◌̕b; à◌֮◌߯◌̕b; a◌֮◌̀◌߯◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, NKO COMBINING LONG HIGH TONE, LATIN SMALL LETTER B
      "\u0061 07EF 0315 0300 05AE 0062",  # (a◌߯◌̕◌̀◌֮b; a◌֮◌߯◌̀◌̕b; a◌֮◌߯◌̀◌̕b; a◌֮◌߯◌̀◌̕b; a◌֮◌߯◌̀◌̕b; ) LATIN SMALL LETTER A, NKO COMBINING LONG HIGH TONE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 07F0 0062",  # (a◌̕◌̀◌֮◌߰b; à◌֮◌߰◌̕b; a◌֮◌̀◌߰◌̕b; à◌֮◌߰◌̕b; a◌֮◌̀◌߰◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, NKO COMBINING LONG LOW TONE, LATIN SMALL LETTER B
      "\u0061 07F0 0315 0300 05AE 0062",  # (a◌߰◌̕◌̀◌֮b; a◌֮◌߰◌̀◌̕b; a◌֮◌߰◌̀◌̕b; a◌֮◌߰◌̀◌̕b; a◌֮◌߰◌̀◌̕b; ) LATIN SMALL LETTER A, NKO COMBINING LONG LOW TONE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 07F1 0062",  # (a◌̕◌̀◌֮◌߱b; à◌֮◌߱◌̕b; a◌֮◌̀◌߱◌̕b; à◌֮◌߱◌̕b; a◌֮◌̀◌߱◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, NKO COMBINING LONG RISING TONE, LATIN SMALL LETTER B
      "\u0061 07F1 0315 0300 05AE 0062",  # (a◌߱◌̕◌̀◌֮b; a◌֮◌߱◌̀◌̕b; a◌֮◌߱◌̀◌̕b; a◌֮◌߱◌̀◌̕b; a◌֮◌߱◌̀◌̕b; ) LATIN SMALL LETTER A, NKO COMBINING LONG RISING TONE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 07F2 0062",  # (a◌֚◌̖◌〪◌߲b; a◌〪◌̖◌߲◌֚b; a◌〪◌̖◌߲◌֚b; a◌〪◌̖◌߲◌֚b; a◌〪◌̖◌߲◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, NKO COMBINING NASALIZATION MARK, LATIN SMALL LETTER B
      "\u0061 07F2 059A 0316 302A 0062",  # (a◌߲◌֚◌̖◌〪b; a◌〪◌߲◌̖◌֚b; a◌〪◌߲◌̖◌֚b; a◌〪◌߲◌̖◌֚b; a◌〪◌߲◌̖◌֚b; ) LATIN SMALL LETTER A, NKO COMBINING NASALIZATION MARK, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 07F3 0062",  # (a◌̕◌̀◌֮◌߳b; à◌֮◌߳◌̕b; a◌֮◌̀◌߳◌̕b; à◌֮◌߳◌̕b; a◌֮◌̀◌߳◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, NKO COMBINING DOUBLE DOT ABOVE, LATIN SMALL LETTER B
      "\u0061 07F3 0315 0300 05AE 0062",  # (a◌߳◌̕◌̀◌֮b; a◌֮◌߳◌̀◌̕b; a◌֮◌߳◌̀◌̕b; a◌֮◌߳◌̀◌̕b; a◌֮◌߳◌̀◌̕b; ) LATIN SMALL LETTER A, NKO COMBINING DOUBLE DOT ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0816 0062",  # (a◌̕◌̀◌֮◌ࠖb; à◌֮◌ࠖ◌̕b; a◌֮◌̀◌ࠖ◌̕b; à◌֮◌ࠖ◌̕b; a◌֮◌̀◌ࠖ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SAMARITAN MARK IN, LATIN SMALL LETTER B
      "\u0061 0816 0315 0300 05AE 0062",  # (a◌ࠖ◌̕◌̀◌֮b; a◌֮◌ࠖ◌̀◌̕b; a◌֮◌ࠖ◌̀◌̕b; a◌֮◌ࠖ◌̀◌̕b; a◌֮◌ࠖ◌̀◌̕b; ) LATIN SMALL LETTER A, SAMARITAN MARK IN, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0817 0062",  # (a◌̕◌̀◌֮◌ࠗb; à◌֮◌ࠗ◌̕b; a◌֮◌̀◌ࠗ◌̕b; à◌֮◌ࠗ◌̕b; a◌֮◌̀◌ࠗ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SAMARITAN MARK IN-ALAF, LATIN SMALL LETTER B
      "\u0061 0817 0315 0300 05AE 0062",  # (a◌ࠗ◌̕◌̀◌֮b; a◌֮◌ࠗ◌̀◌̕b; a◌֮◌ࠗ◌̀◌̕b; a◌֮◌ࠗ◌̀◌̕b; a◌֮◌ࠗ◌̀◌̕b; ) LATIN SMALL LETTER A, SAMARITAN MARK IN-ALAF, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0818 0062",  # (a◌̕◌̀◌֮◌࠘b; à◌֮◌࠘◌̕b; a◌֮◌̀◌࠘◌̕b; à◌֮◌࠘◌̕b; a◌֮◌̀◌࠘◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SAMARITAN MARK OCCLUSION, LATIN SMALL LETTER B
      "\u0061 0818 0315 0300 05AE 0062",  # (a◌࠘◌̕◌̀◌֮b; a◌֮◌࠘◌̀◌̕b; a◌֮◌࠘◌̀◌̕b; a◌֮◌࠘◌̀◌̕b; a◌֮◌࠘◌̀◌̕b; ) LATIN SMALL LETTER A, SAMARITAN MARK OCCLUSION, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0819 0062",  # (a◌̕◌̀◌֮◌࠙b; à◌֮◌࠙◌̕b; a◌֮◌̀◌࠙◌̕b; à◌֮◌࠙◌̕b; a◌֮◌̀◌࠙◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SAMARITAN MARK DAGESH, LATIN SMALL LETTER B
      "\u0061 0819 0315 0300 05AE 0062",  # (a◌࠙◌̕◌̀◌֮b; a◌֮◌࠙◌̀◌̕b; a◌֮◌࠙◌̀◌̕b; a◌֮◌࠙◌̀◌̕b; a◌֮◌࠙◌̀◌̕b; ) LATIN SMALL LETTER A, SAMARITAN MARK DAGESH, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 081B 0062",  # (a◌̕◌̀◌֮◌ࠛb; à◌֮◌ࠛ◌̕b; a◌֮◌̀◌ࠛ◌̕b; à◌֮◌ࠛ◌̕b; a◌֮◌̀◌ࠛ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SAMARITAN MARK EPENTHETIC YUT, LATIN SMALL LETTER B
      "\u0061 081B 0315 0300 05AE 0062",  # (a◌ࠛ◌̕◌̀◌֮b; a◌֮◌ࠛ◌̀◌̕b; a◌֮◌ࠛ◌̀◌̕b; a◌֮◌ࠛ◌̀◌̕b; a◌֮◌ࠛ◌̀◌̕b; ) LATIN SMALL LETTER A, SAMARITAN MARK EPENTHETIC YUT, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 081C 0062",  # (a◌̕◌̀◌֮◌ࠜb; à◌֮◌ࠜ◌̕b; a◌֮◌̀◌ࠜ◌̕b; à◌֮◌ࠜ◌̕b; a◌֮◌̀◌ࠜ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SAMARITAN VOWEL SIGN LONG E, LATIN SMALL LETTER B
      "\u0061 081C 0315 0300 05AE 0062",  # (a◌ࠜ◌̕◌̀◌֮b; a◌֮◌ࠜ◌̀◌̕b; a◌֮◌ࠜ◌̀◌̕b; a◌֮◌ࠜ◌̀◌̕b; a◌֮◌ࠜ◌̀◌̕b; ) LATIN SMALL LETTER A, SAMARITAN VOWEL SIGN LONG E, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 081D 0062",  # (a◌̕◌̀◌֮◌ࠝb; à◌֮◌ࠝ◌̕b; a◌֮◌̀◌ࠝ◌̕b; à◌֮◌ࠝ◌̕b; a◌֮◌̀◌ࠝ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SAMARITAN VOWEL SIGN E, LATIN SMALL LETTER B
      "\u0061 081D 0315 0300 05AE 0062",  # (a◌ࠝ◌̕◌̀◌֮b; a◌֮◌ࠝ◌̀◌̕b; a◌֮◌ࠝ◌̀◌̕b; a◌֮◌ࠝ◌̀◌̕b; a◌֮◌ࠝ◌̀◌̕b; ) LATIN SMALL LETTER A, SAMARITAN VOWEL SIGN E, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 081E 0062",  # (a◌̕◌̀◌֮◌ࠞb; à◌֮◌ࠞ◌̕b; a◌֮◌̀◌ࠞ◌̕b; à◌֮◌ࠞ◌̕b; a◌֮◌̀◌ࠞ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SAMARITAN VOWEL SIGN OVERLONG AA, LATIN SMALL LETTER B
      "\u0061 081E 0315 0300 05AE 0062",  # (a◌ࠞ◌̕◌̀◌֮b; a◌֮◌ࠞ◌̀◌̕b; a◌֮◌ࠞ◌̀◌̕b; a◌֮◌ࠞ◌̀◌̕b; a◌֮◌ࠞ◌̀◌̕b; ) LATIN SMALL LETTER A, SAMARITAN VOWEL SIGN OVERLONG AA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 081F 0062",  # (a◌̕◌̀◌֮◌ࠟb; à◌֮◌ࠟ◌̕b; a◌֮◌̀◌ࠟ◌̕b; à◌֮◌ࠟ◌̕b; a◌֮◌̀◌ࠟ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SAMARITAN VOWEL SIGN LONG AA, LATIN SMALL LETTER B
      "\u0061 081F 0315 0300 05AE 0062",  # (a◌ࠟ◌̕◌̀◌֮b; a◌֮◌ࠟ◌̀◌̕b; a◌֮◌ࠟ◌̀◌̕b; a◌֮◌ࠟ◌̀◌̕b; a◌֮◌ࠟ◌̀◌̕b; ) LATIN SMALL LETTER A, SAMARITAN VOWEL SIGN LONG AA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0820 0062",  # (a◌̕◌̀◌֮◌ࠠb; à◌֮◌ࠠ◌̕b; a◌֮◌̀◌ࠠ◌̕b; à◌֮◌ࠠ◌̕b; a◌֮◌̀◌ࠠ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SAMARITAN VOWEL SIGN AA, LATIN SMALL LETTER B
      "\u0061 0820 0315 0300 05AE 0062",  # (a◌ࠠ◌̕◌̀◌֮b; a◌֮◌ࠠ◌̀◌̕b; a◌֮◌ࠠ◌̀◌̕b; a◌֮◌ࠠ◌̀◌̕b; a◌֮◌ࠠ◌̀◌̕b; ) LATIN SMALL LETTER A, SAMARITAN VOWEL SIGN AA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0821 0062",  # (a◌̕◌̀◌֮◌ࠡb; à◌֮◌ࠡ◌̕b; a◌֮◌̀◌ࠡ◌̕b; à◌֮◌ࠡ◌̕b; a◌֮◌̀◌ࠡ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SAMARITAN VOWEL SIGN OVERLONG A, LATIN SMALL LETTER B
      "\u0061 0821 0315 0300 05AE 0062",  # (a◌ࠡ◌̕◌̀◌֮b; a◌֮◌ࠡ◌̀◌̕b; a◌֮◌ࠡ◌̀◌̕b; a◌֮◌ࠡ◌̀◌̕b; a◌֮◌ࠡ◌̀◌̕b; ) LATIN SMALL LETTER A, SAMARITAN VOWEL SIGN OVERLONG A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0822 0062",  # (a◌̕◌̀◌֮◌ࠢb; à◌֮◌ࠢ◌̕b; a◌֮◌̀◌ࠢ◌̕b; à◌֮◌ࠢ◌̕b; a◌֮◌̀◌ࠢ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SAMARITAN VOWEL SIGN LONG A, LATIN SMALL LETTER B
      "\u0061 0822 0315 0300 05AE 0062",  # (a◌ࠢ◌̕◌̀◌֮b; a◌֮◌ࠢ◌̀◌̕b; a◌֮◌ࠢ◌̀◌̕b; a◌֮◌ࠢ◌̀◌̕b; a◌֮◌ࠢ◌̀◌̕b; ) LATIN SMALL LETTER A, SAMARITAN VOWEL SIGN LONG A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0823 0062",  # (a◌̕◌̀◌֮◌ࠣb; à◌֮◌ࠣ◌̕b; a◌֮◌̀◌ࠣ◌̕b; à◌֮◌ࠣ◌̕b; a◌֮◌̀◌ࠣ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SAMARITAN VOWEL SIGN A, LATIN SMALL LETTER B
      "\u0061 0823 0315 0300 05AE 0062",  # (a◌ࠣ◌̕◌̀◌֮b; a◌֮◌ࠣ◌̀◌̕b; a◌֮◌ࠣ◌̀◌̕b; a◌֮◌ࠣ◌̀◌̕b; a◌֮◌ࠣ◌̀◌̕b; ) LATIN SMALL LETTER A, SAMARITAN VOWEL SIGN A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0825 0062",  # (a◌̕◌̀◌֮◌ࠥb; à◌֮◌ࠥ◌̕b; a◌֮◌̀◌ࠥ◌̕b; à◌֮◌ࠥ◌̕b; a◌֮◌̀◌ࠥ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SAMARITAN VOWEL SIGN SHORT A, LATIN SMALL LETTER B
      "\u0061 0825 0315 0300 05AE 0062",  # (a◌ࠥ◌̕◌̀◌֮b; a◌֮◌ࠥ◌̀◌̕b; a◌֮◌ࠥ◌̀◌̕b; a◌֮◌ࠥ◌̀◌̕b; a◌֮◌ࠥ◌̀◌̕b; ) LATIN SMALL LETTER A, SAMARITAN VOWEL SIGN SHORT A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0826 0062",  # (a◌̕◌̀◌֮◌ࠦb; à◌֮◌ࠦ◌̕b; a◌֮◌̀◌ࠦ◌̕b; à◌֮◌ࠦ◌̕b; a◌֮◌̀◌ࠦ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SAMARITAN VOWEL SIGN LONG U, LATIN SMALL LETTER B
      "\u0061 0826 0315 0300 05AE 0062",  # (a◌ࠦ◌̕◌̀◌֮b; a◌֮◌ࠦ◌̀◌̕b; a◌֮◌ࠦ◌̀◌̕b; a◌֮◌ࠦ◌̀◌̕b; a◌֮◌ࠦ◌̀◌̕b; ) LATIN SMALL LETTER A, SAMARITAN VOWEL SIGN LONG U, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0827 0062",  # (a◌̕◌̀◌֮◌ࠧb; à◌֮◌ࠧ◌̕b; a◌֮◌̀◌ࠧ◌̕b; à◌֮◌ࠧ◌̕b; a◌֮◌̀◌ࠧ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SAMARITAN VOWEL SIGN U, LATIN SMALL LETTER B
      "\u0061 0827 0315 0300 05AE 0062",  # (a◌ࠧ◌̕◌̀◌֮b; a◌֮◌ࠧ◌̀◌̕b; a◌֮◌ࠧ◌̀◌̕b; a◌֮◌ࠧ◌̀◌̕b; a◌֮◌ࠧ◌̀◌̕b; ) LATIN SMALL LETTER A, SAMARITAN VOWEL SIGN U, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0829 0062",  # (a◌̕◌̀◌֮◌ࠩb; à◌֮◌ࠩ◌̕b; a◌֮◌̀◌ࠩ◌̕b; à◌֮◌ࠩ◌̕b; a◌֮◌̀◌ࠩ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SAMARITAN VOWEL SIGN LONG I, LATIN SMALL LETTER B
      "\u0061 0829 0315 0300 05AE 0062",  # (a◌ࠩ◌̕◌̀◌֮b; a◌֮◌ࠩ◌̀◌̕b; a◌֮◌ࠩ◌̀◌̕b; a◌֮◌ࠩ◌̀◌̕b; a◌֮◌ࠩ◌̀◌̕b; ) LATIN SMALL LETTER A, SAMARITAN VOWEL SIGN LONG I, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 082A 0062",  # (a◌̕◌̀◌֮◌ࠪb; à◌֮◌ࠪ◌̕b; a◌֮◌̀◌ࠪ◌̕b; à◌֮◌ࠪ◌̕b; a◌֮◌̀◌ࠪ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SAMARITAN VOWEL SIGN I, LATIN SMALL LETTER B
      "\u0061 082A 0315 0300 05AE 0062",  # (a◌ࠪ◌̕◌̀◌֮b; a◌֮◌ࠪ◌̀◌̕b; a◌֮◌ࠪ◌̀◌̕b; a◌֮◌ࠪ◌̀◌̕b; a◌֮◌ࠪ◌̀◌̕b; ) LATIN SMALL LETTER A, SAMARITAN VOWEL SIGN I, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 082B 0062",  # (a◌̕◌̀◌֮◌ࠫb; à◌֮◌ࠫ◌̕b; a◌֮◌̀◌ࠫ◌̕b; à◌֮◌ࠫ◌̕b; a◌֮◌̀◌ࠫ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SAMARITAN VOWEL SIGN O, LATIN SMALL LETTER B
      "\u0061 082B 0315 0300 05AE 0062",  # (a◌ࠫ◌̕◌̀◌֮b; a◌֮◌ࠫ◌̀◌̕b; a◌֮◌ࠫ◌̀◌̕b; a◌֮◌ࠫ◌̀◌̕b; a◌֮◌ࠫ◌̀◌̕b; ) LATIN SMALL LETTER A, SAMARITAN VOWEL SIGN O, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 082C 0062",  # (a◌̕◌̀◌֮◌ࠬb; à◌֮◌ࠬ◌̕b; a◌֮◌̀◌ࠬ◌̕b; à◌֮◌ࠬ◌̕b; a◌֮◌̀◌ࠬ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SAMARITAN VOWEL SIGN SUKUN, LATIN SMALL LETTER B
      "\u0061 082C 0315 0300 05AE 0062",  # (a◌ࠬ◌̕◌̀◌֮b; a◌֮◌ࠬ◌̀◌̕b; a◌֮◌ࠬ◌̀◌̕b; a◌֮◌ࠬ◌̀◌̕b; a◌֮◌ࠬ◌̀◌̕b; ) LATIN SMALL LETTER A, SAMARITAN VOWEL SIGN SUKUN, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 082D 0062",  # (a◌̕◌̀◌֮◌࠭b; à◌֮◌࠭◌̕b; a◌֮◌̀◌࠭◌̕b; à◌֮◌࠭◌̕b; a◌֮◌̀◌࠭◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, SAMARITAN MARK NEQUDAA, LATIN SMALL LETTER B
      "\u0061 082D 0315 0300 05AE 0062",  # (a◌࠭◌̕◌̀◌֮b; a◌֮◌࠭◌̀◌̕b; a◌֮◌࠭◌̀◌̕b; a◌֮◌࠭◌̀◌̕b; a◌֮◌࠭◌̀◌̕b; ) LATIN SMALL LETTER A, SAMARITAN MARK NEQUDAA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0859 0062",  # (a◌֚◌̖◌〪◌࡙b; a◌〪◌̖◌࡙◌֚b; a◌〪◌̖◌࡙◌֚b; a◌〪◌̖◌࡙◌֚b; a◌〪◌̖◌࡙◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, MANDAIC AFFRICATION MARK, LATIN SMALL LETTER B
      "\u0061 0859 059A 0316 302A 0062",  # (a◌࡙◌֚◌̖◌〪b; a◌〪◌࡙◌̖◌֚b; a◌〪◌࡙◌̖◌֚b; a◌〪◌࡙◌̖◌֚b; a◌〪◌࡙◌̖◌֚b; ) LATIN SMALL LETTER A, MANDAIC AFFRICATION MARK, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 085A 0062",  # (a◌֚◌̖◌〪◌࡚b; a◌〪◌̖◌࡚◌֚b; a◌〪◌̖◌࡚◌֚b; a◌〪◌̖◌࡚◌֚b; a◌〪◌̖◌࡚◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, MANDAIC VOCALIZATION MARK, LATIN SMALL LETTER B
      "\u0061 085A 059A 0316 302A 0062",  # (a◌࡚◌֚◌̖◌〪b; a◌〪◌࡚◌̖◌֚b; a◌〪◌࡚◌̖◌֚b; a◌〪◌࡚◌̖◌֚b; a◌〪◌࡚◌̖◌֚b; ) LATIN SMALL LETTER A, MANDAIC VOCALIZATION MARK, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 085B 0062",  # (a◌֚◌̖◌〪◌࡛b; a◌〪◌̖◌࡛◌֚b; a◌〪◌̖◌࡛◌֚b; a◌〪◌̖◌࡛◌֚b; a◌〪◌̖◌࡛◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, MANDAIC GEMINATION MARK, LATIN SMALL LETTER B
      "\u0061 085B 059A 0316 302A 0062",  # (a◌࡛◌֚◌̖◌〪b; a◌〪◌࡛◌̖◌֚b; a◌〪◌࡛◌̖◌֚b; a◌〪◌࡛◌̖◌֚b; a◌〪◌࡛◌̖◌֚b; ) LATIN SMALL LETTER A, MANDAIC GEMINATION MARK, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08D4 0062",  # (a◌̕◌̀◌֮◌ࣔb; à◌֮◌ࣔ◌̕b; a◌֮◌̀◌ࣔ◌̕b; à◌֮◌ࣔ◌̕b; a◌֮◌̀◌ࣔ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH WORD AR-RUB, LATIN SMALL LETTER B
      "\u0061 08D4 0315 0300 05AE 0062",  # (a◌ࣔ◌̕◌̀◌֮b; a◌֮◌ࣔ◌̀◌̕b; a◌֮◌ࣔ◌̀◌̕b; a◌֮◌ࣔ◌̀◌̕b; a◌֮◌ࣔ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH WORD AR-RUB, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08D5 0062",  # (a◌̕◌̀◌֮◌ࣕb; à◌֮◌ࣕ◌̕b; a◌֮◌̀◌ࣕ◌̕b; à◌֮◌ࣕ◌̕b; a◌֮◌̀◌ࣕ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH SAD, LATIN SMALL LETTER B
      "\u0061 08D5 0315 0300 05AE 0062",  # (a◌ࣕ◌̕◌̀◌֮b; a◌֮◌ࣕ◌̀◌̕b; a◌֮◌ࣕ◌̀◌̕b; a◌֮◌ࣕ◌̀◌̕b; a◌֮◌ࣕ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH SAD, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08D6 0062",  # (a◌̕◌̀◌֮◌ࣖb; à◌֮◌ࣖ◌̕b; a◌֮◌̀◌ࣖ◌̕b; à◌֮◌ࣖ◌̕b; a◌֮◌̀◌ࣖ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH AIN, LATIN SMALL LETTER B
      "\u0061 08D6 0315 0300 05AE 0062",  # (a◌ࣖ◌̕◌̀◌֮b; a◌֮◌ࣖ◌̀◌̕b; a◌֮◌ࣖ◌̀◌̕b; a◌֮◌ࣖ◌̀◌̕b; a◌֮◌ࣖ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH AIN, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08D7 0062",  # (a◌̕◌̀◌֮◌ࣗb; à◌֮◌ࣗ◌̕b; a◌֮◌̀◌ࣗ◌̕b; à◌֮◌ࣗ◌̕b; a◌֮◌̀◌ࣗ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH QAF, LATIN SMALL LETTER B
      "\u0061 08D7 0315 0300 05AE 0062",  # (a◌ࣗ◌̕◌̀◌֮b; a◌֮◌ࣗ◌̀◌̕b; a◌֮◌ࣗ◌̀◌̕b; a◌֮◌ࣗ◌̀◌̕b; a◌֮◌ࣗ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH QAF, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08D8 0062",  # (a◌̕◌̀◌֮◌ࣘb; à◌֮◌ࣘ◌̕b; a◌֮◌̀◌ࣘ◌̕b; à◌֮◌ࣘ◌̕b; a◌֮◌̀◌ࣘ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH NOON WITH KASRA, LATIN SMALL LETTER B
      "\u0061 08D8 0315 0300 05AE 0062",  # (a◌ࣘ◌̕◌̀◌֮b; a◌֮◌ࣘ◌̀◌̕b; a◌֮◌ࣘ◌̀◌̕b; a◌֮◌ࣘ◌̀◌̕b; a◌֮◌ࣘ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH NOON WITH KASRA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08D9 0062",  # (a◌̕◌̀◌֮◌ࣙb; à◌֮◌ࣙ◌̕b; a◌֮◌̀◌ࣙ◌̕b; à◌֮◌ࣙ◌̕b; a◌֮◌̀◌ࣙ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL LOW NOON WITH KASRA, LATIN SMALL LETTER B
      "\u0061 08D9 0315 0300 05AE 0062",  # (a◌ࣙ◌̕◌̀◌֮b; a◌֮◌ࣙ◌̀◌̕b; a◌֮◌ࣙ◌̀◌̕b; a◌֮◌ࣙ◌̀◌̕b; a◌֮◌ࣙ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL LOW NOON WITH KASRA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08DA 0062",  # (a◌̕◌̀◌֮◌ࣚb; à◌֮◌ࣚ◌̕b; a◌֮◌̀◌ࣚ◌̕b; à◌֮◌ࣚ◌̕b; a◌֮◌̀◌ࣚ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH WORD ATH-THALATHA, LATIN SMALL LETTER B
      "\u0061 08DA 0315 0300 05AE 0062",  # (a◌ࣚ◌̕◌̀◌֮b; a◌֮◌ࣚ◌̀◌̕b; a◌֮◌ࣚ◌̀◌̕b; a◌֮◌ࣚ◌̀◌̕b; a◌֮◌ࣚ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH WORD ATH-THALATHA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08DB 0062",  # (a◌̕◌̀◌֮◌ࣛb; à◌֮◌ࣛ◌̕b; a◌֮◌̀◌ࣛ◌̕b; à◌֮◌ࣛ◌̕b; a◌֮◌̀◌ࣛ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH WORD AS-SAJDA, LATIN SMALL LETTER B
      "\u0061 08DB 0315 0300 05AE 0062",  # (a◌ࣛ◌̕◌̀◌֮b; a◌֮◌ࣛ◌̀◌̕b; a◌֮◌ࣛ◌̀◌̕b; a◌֮◌ࣛ◌̀◌̕b; a◌֮◌ࣛ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH WORD AS-SAJDA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08DC 0062",  # (a◌̕◌̀◌֮◌ࣜb; à◌֮◌ࣜ◌̕b; a◌֮◌̀◌ࣜ◌̕b; à◌֮◌ࣜ◌̕b; a◌֮◌̀◌ࣜ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH WORD AN-NISF, LATIN SMALL LETTER B
      "\u0061 08DC 0315 0300 05AE 0062",  # (a◌ࣜ◌̕◌̀◌֮b; a◌֮◌ࣜ◌̀◌̕b; a◌֮◌ࣜ◌̀◌̕b; a◌֮◌ࣜ◌̀◌̕b; a◌֮◌ࣜ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH WORD AN-NISF, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08DD 0062",  # (a◌̕◌̀◌֮◌ࣝb; à◌֮◌ࣝ◌̕b; a◌֮◌̀◌ࣝ◌̕b; à◌֮◌ࣝ◌̕b; a◌֮◌̀◌ࣝ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH WORD SAKTA, LATIN SMALL LETTER B
      "\u0061 08DD 0315 0300 05AE 0062",  # (a◌ࣝ◌̕◌̀◌֮b; a◌֮◌ࣝ◌̀◌̕b; a◌֮◌ࣝ◌̀◌̕b; a◌֮◌ࣝ◌̀◌̕b; a◌֮◌ࣝ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH WORD SAKTA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08DE 0062",  # (a◌̕◌̀◌֮◌ࣞb; à◌֮◌ࣞ◌̕b; a◌֮◌̀◌ࣞ◌̕b; à◌֮◌ࣞ◌̕b; a◌֮◌̀◌ࣞ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH WORD QIF, LATIN SMALL LETTER B
      "\u0061 08DE 0315 0300 05AE 0062",  # (a◌ࣞ◌̕◌̀◌֮b; a◌֮◌ࣞ◌̀◌̕b; a◌֮◌ࣞ◌̀◌̕b; a◌֮◌ࣞ◌̀◌̕b; a◌֮◌ࣞ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH WORD QIF, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08DF 0062",  # (a◌̕◌̀◌֮◌ࣟb; à◌֮◌ࣟ◌̕b; a◌֮◌̀◌ࣟ◌̕b; à◌֮◌ࣟ◌̕b; a◌֮◌̀◌ࣟ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH WORD WAQFA, LATIN SMALL LETTER B
      "\u0061 08DF 0315 0300 05AE 0062",  # (a◌ࣟ◌̕◌̀◌֮b; a◌֮◌ࣟ◌̀◌̕b; a◌֮◌ࣟ◌̀◌̕b; a◌֮◌ࣟ◌̀◌̕b; a◌֮◌ࣟ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH WORD WAQFA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08E0 0062",  # (a◌̕◌̀◌֮◌࣠b; à◌֮◌࣠◌̕b; a◌֮◌̀◌࣠◌̕b; à◌֮◌࣠◌̕b; a◌֮◌̀◌࣠◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH FOOTNOTE MARKER, LATIN SMALL LETTER B
      "\u0061 08E0 0315 0300 05AE 0062",  # (a◌࣠◌̕◌̀◌֮b; a◌֮◌࣠◌̀◌̕b; a◌֮◌࣠◌̀◌̕b; a◌֮◌࣠◌̀◌̕b; a◌֮◌࣠◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH FOOTNOTE MARKER, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08E1 0062",  # (a◌̕◌̀◌֮◌࣡b; à◌֮◌࣡◌̕b; a◌֮◌̀◌࣡◌̕b; à◌֮◌࣡◌̕b; a◌֮◌̀◌࣡◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH SIGN SAFHA, LATIN SMALL LETTER B
      "\u0061 08E1 0315 0300 05AE 0062",  # (a◌࣡◌̕◌̀◌֮b; a◌֮◌࣡◌̀◌̕b; a◌֮◌࣡◌̀◌̕b; a◌֮◌࣡◌̀◌̕b; a◌֮◌࣡◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH SIGN SAFHA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 08E3 0062",  # (a◌֚◌̖◌〪◌ࣣb; a◌〪◌̖◌ࣣ◌֚b; a◌〪◌̖◌ࣣ◌֚b; a◌〪◌̖◌ࣣ◌֚b; a◌〪◌̖◌ࣣ◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, ARABIC TURNED DAMMA BELOW, LATIN SMALL LETTER B
      "\u0061 08E3 059A 0316 302A 0062",  # (a◌ࣣ◌֚◌̖◌〪b; a◌〪◌ࣣ◌̖◌֚b; a◌〪◌ࣣ◌̖◌֚b; a◌〪◌ࣣ◌̖◌֚b; a◌〪◌ࣣ◌̖◌֚b; ) LATIN SMALL LETTER A, ARABIC TURNED DAMMA BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08E4 0062",  # (a◌̕◌̀◌֮◌ࣤb; à◌֮◌ࣤ◌̕b; a◌֮◌̀◌ࣤ◌̕b; à◌֮◌ࣤ◌̕b; a◌֮◌̀◌ࣤ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC CURLY FATHA, LATIN SMALL LETTER B
      "\u0061 08E4 0315 0300 05AE 0062",  # (a◌ࣤ◌̕◌̀◌֮b; a◌֮◌ࣤ◌̀◌̕b; a◌֮◌ࣤ◌̀◌̕b; a◌֮◌ࣤ◌̀◌̕b; a◌֮◌ࣤ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC CURLY FATHA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08E5 0062",  # (a◌̕◌̀◌֮◌ࣥb; à◌֮◌ࣥ◌̕b; a◌֮◌̀◌ࣥ◌̕b; à◌֮◌ࣥ◌̕b; a◌֮◌̀◌ࣥ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC CURLY DAMMA, LATIN SMALL LETTER B
      "\u0061 08E5 0315 0300 05AE 0062",  # (a◌ࣥ◌̕◌̀◌֮b; a◌֮◌ࣥ◌̀◌̕b; a◌֮◌ࣥ◌̀◌̕b; a◌֮◌ࣥ◌̀◌̕b; a◌֮◌ࣥ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC CURLY DAMMA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 08E6 0062",  # (a◌֚◌̖◌〪◌ࣦb; a◌〪◌̖◌ࣦ◌֚b; a◌〪◌̖◌ࣦ◌֚b; a◌〪◌̖◌ࣦ◌֚b; a◌〪◌̖◌ࣦ◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, ARABIC CURLY KASRA, LATIN SMALL LETTER B
      "\u0061 08E6 059A 0316 302A 0062",  # (a◌ࣦ◌֚◌̖◌〪b; a◌〪◌ࣦ◌̖◌֚b; a◌〪◌ࣦ◌̖◌֚b; a◌〪◌ࣦ◌̖◌֚b; a◌〪◌ࣦ◌̖◌֚b; ) LATIN SMALL LETTER A, ARABIC CURLY KASRA, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08E7 0062",  # (a◌̕◌̀◌֮◌ࣧb; à◌֮◌ࣧ◌̕b; a◌֮◌̀◌ࣧ◌̕b; à◌֮◌ࣧ◌̕b; a◌֮◌̀◌ࣧ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC CURLY FATHATAN, LATIN SMALL LETTER B
      "\u0061 08E7 0315 0300 05AE 0062",  # (a◌ࣧ◌̕◌̀◌֮b; a◌֮◌ࣧ◌̀◌̕b; a◌֮◌ࣧ◌̀◌̕b; a◌֮◌ࣧ◌̀◌̕b; a◌֮◌ࣧ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC CURLY FATHATAN, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08E8 0062",  # (a◌̕◌̀◌֮◌ࣨb; à◌֮◌ࣨ◌̕b; a◌֮◌̀◌ࣨ◌̕b; à◌֮◌ࣨ◌̕b; a◌֮◌̀◌ࣨ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC CURLY DAMMATAN, LATIN SMALL LETTER B
      "\u0061 08E8 0315 0300 05AE 0062",  # (a◌ࣨ◌̕◌̀◌֮b; a◌֮◌ࣨ◌̀◌̕b; a◌֮◌ࣨ◌̀◌̕b; a◌֮◌ࣨ◌̀◌̕b; a◌֮◌ࣨ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC CURLY DAMMATAN, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 08E9 0062",  # (a◌֚◌̖◌〪◌ࣩb; a◌〪◌̖◌ࣩ◌֚b; a◌〪◌̖◌ࣩ◌֚b; a◌〪◌̖◌ࣩ◌֚b; a◌〪◌̖◌ࣩ◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, ARABIC CURLY KASRATAN, LATIN SMALL LETTER B
      "\u0061 08E9 059A 0316 302A 0062",  # (a◌ࣩ◌֚◌̖◌〪b; a◌〪◌ࣩ◌̖◌֚b; a◌〪◌ࣩ◌̖◌֚b; a◌〪◌ࣩ◌̖◌֚b; a◌〪◌ࣩ◌̖◌֚b; ) LATIN SMALL LETTER A, ARABIC CURLY KASRATAN, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08EA 0062",  # (a◌̕◌̀◌֮◌࣪b; à◌֮◌࣪◌̕b; a◌֮◌̀◌࣪◌̕b; à◌֮◌࣪◌̕b; a◌֮◌̀◌࣪◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC TONE ONE DOT ABOVE, LATIN SMALL LETTER B
      "\u0061 08EA 0315 0300 05AE 0062",  # (a◌࣪◌̕◌̀◌֮b; a◌֮◌࣪◌̀◌̕b; a◌֮◌࣪◌̀◌̕b; a◌֮◌࣪◌̀◌̕b; a◌֮◌࣪◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC TONE ONE DOT ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08EB 0062",  # (a◌̕◌̀◌֮◌࣫b; à◌֮◌࣫◌̕b; a◌֮◌̀◌࣫◌̕b; à◌֮◌࣫◌̕b; a◌֮◌̀◌࣫◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC TONE TWO DOTS ABOVE, LATIN SMALL LETTER B
      "\u0061 08EB 0315 0300 05AE 0062",  # (a◌࣫◌̕◌̀◌֮b; a◌֮◌࣫◌̀◌̕b; a◌֮◌࣫◌̀◌̕b; a◌֮◌࣫◌̀◌̕b; a◌֮◌࣫◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC TONE TWO DOTS ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08EC 0062",  # (a◌̕◌̀◌֮◌࣬b; à◌֮◌࣬◌̕b; a◌֮◌̀◌࣬◌̕b; à◌֮◌࣬◌̕b; a◌֮◌̀◌࣬◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC TONE LOOP ABOVE, LATIN SMALL LETTER B
      "\u0061 08EC 0315 0300 05AE 0062",  # (a◌࣬◌̕◌̀◌֮b; a◌֮◌࣬◌̀◌̕b; a◌֮◌࣬◌̀◌̕b; a◌֮◌࣬◌̀◌̕b; a◌֮◌࣬◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC TONE LOOP ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 08ED 0062",  # (a◌֚◌̖◌〪◌࣭b; a◌〪◌̖◌࣭◌֚b; a◌〪◌̖◌࣭◌֚b; a◌〪◌̖◌࣭◌֚b; a◌〪◌̖◌࣭◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, ARABIC TONE ONE DOT BELOW, LATIN SMALL LETTER B
      "\u0061 08ED 059A 0316 302A 0062",  # (a◌࣭◌֚◌̖◌〪b; a◌〪◌࣭◌̖◌֚b; a◌〪◌࣭◌̖◌֚b; a◌〪◌࣭◌̖◌֚b; a◌〪◌࣭◌̖◌֚b; ) LATIN SMALL LETTER A, ARABIC TONE ONE DOT BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 08EE 0062",  # (a◌֚◌̖◌〪◌࣮b; a◌〪◌̖◌࣮◌֚b; a◌〪◌̖◌࣮◌֚b; a◌〪◌̖◌࣮◌֚b; a◌〪◌̖◌࣮◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, ARABIC TONE TWO DOTS BELOW, LATIN SMALL LETTER B
      "\u0061 08EE 059A 0316 302A 0062",  # (a◌࣮◌֚◌̖◌〪b; a◌〪◌࣮◌̖◌֚b; a◌〪◌࣮◌̖◌֚b; a◌〪◌࣮◌̖◌֚b; a◌〪◌࣮◌̖◌֚b; ) LATIN SMALL LETTER A, ARABIC TONE TWO DOTS BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 08EF 0062",  # (a◌֚◌̖◌〪◌࣯b; a◌〪◌̖◌࣯◌֚b; a◌〪◌̖◌࣯◌֚b; a◌〪◌̖◌࣯◌֚b; a◌〪◌̖◌࣯◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, ARABIC TONE LOOP BELOW, LATIN SMALL LETTER B
      "\u0061 08EF 059A 0316 302A 0062",  # (a◌࣯◌֚◌̖◌〪b; a◌〪◌࣯◌̖◌֚b; a◌〪◌࣯◌̖◌֚b; a◌〪◌࣯◌̖◌֚b; a◌〪◌࣯◌̖◌֚b; ) LATIN SMALL LETTER A, ARABIC TONE LOOP BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 064C 064B FB1E 08F0 0062",  # (a◌ٌ◌ً◌ﬞ◌ࣰb; a◌ﬞ◌ً◌ࣰ◌ٌb; a◌ﬞ◌ً◌ࣰ◌ٌb; a◌ﬞ◌ً◌ࣰ◌ٌb; a◌ﬞ◌ً◌ࣰ◌ٌb; ) LATIN SMALL LETTER A, ARABIC DAMMATAN, ARABIC FATHATAN, HEBREW POINT JUDEO-SPANISH VARIKA, ARABIC OPEN FATHATAN, LATIN SMALL LETTER B
      "\u0061 08F0 064C 064B FB1E 0062",  # (a◌ࣰ◌ٌ◌ً◌ﬞb; a◌ﬞ◌ࣰ◌ً◌ٌb; a◌ﬞ◌ࣰ◌ً◌ٌb; a◌ﬞ◌ࣰ◌ً◌ٌb; a◌ﬞ◌ࣰ◌ً◌ٌb; ) LATIN SMALL LETTER A, ARABIC OPEN FATHATAN, ARABIC DAMMATAN, ARABIC FATHATAN, HEBREW POINT JUDEO-SPANISH VARIKA, LATIN SMALL LETTER B
      "\u0061 064D 064C 064B 08F1 0062",  # (a◌ٍ◌ٌ◌ً◌ࣱb; a◌ً◌ٌ◌ࣱ◌ٍb; a◌ً◌ٌ◌ࣱ◌ٍb; a◌ً◌ٌ◌ࣱ◌ٍb; a◌ً◌ٌ◌ࣱ◌ٍb; ) LATIN SMALL LETTER A, ARABIC KASRATAN, ARABIC DAMMATAN, ARABIC FATHATAN, ARABIC OPEN DAMMATAN, LATIN SMALL LETTER B
      "\u0061 08F1 064D 064C 064B 0062",  # (a◌ࣱ◌ٍ◌ٌ◌ًb; a◌ً◌ࣱ◌ٌ◌ٍb; a◌ً◌ࣱ◌ٌ◌ٍb; a◌ً◌ࣱ◌ٌ◌ٍb; a◌ً◌ࣱ◌ٌ◌ٍb; ) LATIN SMALL LETTER A, ARABIC OPEN DAMMATAN, ARABIC KASRATAN, ARABIC DAMMATAN, ARABIC FATHATAN, LATIN SMALL LETTER B
      "\u0061 0618 064D 064C 08F2 0062",  # (a◌ؘ◌ٍ◌ٌ◌ࣲb; a◌ٌ◌ٍ◌ࣲ◌ؘb; a◌ٌ◌ٍ◌ࣲ◌ؘb; a◌ٌ◌ٍ◌ࣲ◌ؘb; a◌ٌ◌ٍ◌ࣲ◌ؘb; ) LATIN SMALL LETTER A, ARABIC SMALL FATHA, ARABIC KASRATAN, ARABIC DAMMATAN, ARABIC OPEN KASRATAN, LATIN SMALL LETTER B
      "\u0061 08F2 0618 064D 064C 0062",  # (a◌ࣲ◌ؘ◌ٍ◌ٌb; a◌ٌ◌ࣲ◌ٍ◌ؘb; a◌ٌ◌ࣲ◌ٍ◌ؘb; a◌ٌ◌ࣲ◌ٍ◌ؘb; a◌ٌ◌ࣲ◌ٍ◌ؘb; ) LATIN SMALL LETTER A, ARABIC OPEN KASRATAN, ARABIC SMALL FATHA, ARABIC KASRATAN, ARABIC DAMMATAN, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08F3 0062",  # (a◌̕◌̀◌֮◌ࣳb; à◌֮◌ࣳ◌̕b; a◌֮◌̀◌ࣳ◌̕b; à◌֮◌ࣳ◌̕b; a◌֮◌̀◌ࣳ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC SMALL HIGH WAW, LATIN SMALL LETTER B
      "\u0061 08F3 0315 0300 05AE 0062",  # (a◌ࣳ◌̕◌̀◌֮b; a◌֮◌ࣳ◌̀◌̕b; a◌֮◌ࣳ◌̀◌̕b; a◌֮◌ࣳ◌̀◌̕b; a◌֮◌ࣳ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC SMALL HIGH WAW, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08F4 0062",  # (a◌̕◌̀◌֮◌ࣴb; à◌֮◌ࣴ◌̕b; a◌֮◌̀◌ࣴ◌̕b; à◌֮◌ࣴ◌̕b; a◌֮◌̀◌ࣴ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC FATHA WITH RING, LATIN SMALL LETTER B
      "\u0061 08F4 0315 0300 05AE 0062",  # (a◌ࣴ◌̕◌̀◌֮b; a◌֮◌ࣴ◌̀◌̕b; a◌֮◌ࣴ◌̀◌̕b; a◌֮◌ࣴ◌̀◌̕b; a◌֮◌ࣴ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC FATHA WITH RING, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08F5 0062",  # (a◌̕◌̀◌֮◌ࣵb; à◌֮◌ࣵ◌̕b; a◌֮◌̀◌ࣵ◌̕b; à◌֮◌ࣵ◌̕b; a◌֮◌̀◌ࣵ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC FATHA WITH DOT ABOVE, LATIN SMALL LETTER B
      "\u0061 08F5 0315 0300 05AE 0062",  # (a◌ࣵ◌̕◌̀◌֮b; a◌֮◌ࣵ◌̀◌̕b; a◌֮◌ࣵ◌̀◌̕b; a◌֮◌ࣵ◌̀◌̕b; a◌֮◌ࣵ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC FATHA WITH DOT ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 08F6 0062",  # (a◌֚◌̖◌〪◌ࣶb; a◌〪◌̖◌ࣶ◌֚b; a◌〪◌̖◌ࣶ◌֚b; a◌〪◌̖◌ࣶ◌֚b; a◌〪◌̖◌ࣶ◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, ARABIC KASRA WITH DOT BELOW, LATIN SMALL LETTER B
      "\u0061 08F6 059A 0316 302A 0062",  # (a◌ࣶ◌֚◌̖◌〪b; a◌〪◌ࣶ◌̖◌֚b; a◌〪◌ࣶ◌̖◌֚b; a◌〪◌ࣶ◌̖◌֚b; a◌〪◌ࣶ◌̖◌֚b; ) LATIN SMALL LETTER A, ARABIC KASRA WITH DOT BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08F7 0062",  # (a◌̕◌̀◌֮◌ࣷb; à◌֮◌ࣷ◌̕b; a◌֮◌̀◌ࣷ◌̕b; à◌֮◌ࣷ◌̕b; a◌֮◌̀◌ࣷ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC LEFT ARROWHEAD ABOVE, LATIN SMALL LETTER B
      "\u0061 08F7 0315 0300 05AE 0062",  # (a◌ࣷ◌̕◌̀◌֮b; a◌֮◌ࣷ◌̀◌̕b; a◌֮◌ࣷ◌̀◌̕b; a◌֮◌ࣷ◌̀◌̕b; a◌֮◌ࣷ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC LEFT ARROWHEAD ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08F8 0062",  # (a◌̕◌̀◌֮◌ࣸb; à◌֮◌ࣸ◌̕b; a◌֮◌̀◌ࣸ◌̕b; à◌֮◌ࣸ◌̕b; a◌֮◌̀◌ࣸ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC RIGHT ARROWHEAD ABOVE, LATIN SMALL LETTER B
      "\u0061 08F8 0315 0300 05AE 0062",  # (a◌ࣸ◌̕◌̀◌֮b; a◌֮◌ࣸ◌̀◌̕b; a◌֮◌ࣸ◌̀◌̕b; a◌֮◌ࣸ◌̀◌̕b; a◌֮◌ࣸ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC RIGHT ARROWHEAD ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 08F9 0062",  # (a◌֚◌̖◌〪◌ࣹb; a◌〪◌̖◌ࣹ◌֚b; a◌〪◌̖◌ࣹ◌֚b; a◌〪◌̖◌ࣹ◌֚b; a◌〪◌̖◌ࣹ◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, ARABIC LEFT ARROWHEAD BELOW, LATIN SMALL LETTER B
      "\u0061 08F9 059A 0316 302A 0062",  # (a◌ࣹ◌֚◌̖◌〪b; a◌〪◌ࣹ◌̖◌֚b; a◌〪◌ࣹ◌̖◌֚b; a◌〪◌ࣹ◌̖◌֚b; a◌〪◌ࣹ◌̖◌֚b; ) LATIN SMALL LETTER A, ARABIC LEFT ARROWHEAD BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 08FA 0062",  # (a◌֚◌̖◌〪◌ࣺb; a◌〪◌̖◌ࣺ◌֚b; a◌〪◌̖◌ࣺ◌֚b; a◌〪◌̖◌ࣺ◌֚b; a◌〪◌̖◌ࣺ◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, ARABIC RIGHT ARROWHEAD BELOW, LATIN SMALL LETTER B
      "\u0061 08FA 059A 0316 302A 0062",  # (a◌ࣺ◌֚◌̖◌〪b; a◌〪◌ࣺ◌̖◌֚b; a◌〪◌ࣺ◌̖◌֚b; a◌〪◌ࣺ◌̖◌֚b; a◌〪◌ࣺ◌̖◌֚b; ) LATIN SMALL LETTER A, ARABIC RIGHT ARROWHEAD BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08FB 0062",  # (a◌̕◌̀◌֮◌ࣻb; à◌֮◌ࣻ◌̕b; a◌֮◌̀◌ࣻ◌̕b; à◌֮◌ࣻ◌̕b; a◌֮◌̀◌ࣻ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC DOUBLE RIGHT ARROWHEAD ABOVE, LATIN SMALL LETTER B
      "\u0061 08FB 0315 0300 05AE 0062",  # (a◌ࣻ◌̕◌̀◌֮b; a◌֮◌ࣻ◌̀◌̕b; a◌֮◌ࣻ◌̀◌̕b; a◌֮◌ࣻ◌̀◌̕b; a◌֮◌ࣻ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC DOUBLE RIGHT ARROWHEAD ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08FC 0062",  # (a◌̕◌̀◌֮◌ࣼb; à◌֮◌ࣼ◌̕b; a◌֮◌̀◌ࣼ◌̕b; à◌֮◌ࣼ◌̕b; a◌֮◌̀◌ࣼ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC DOUBLE RIGHT ARROWHEAD ABOVE WITH DOT, LATIN SMALL LETTER B
      "\u0061 08FC 0315 0300 05AE 0062",  # (a◌ࣼ◌̕◌̀◌֮b; a◌֮◌ࣼ◌̀◌̕b; a◌֮◌ࣼ◌̀◌̕b; a◌֮◌ࣼ◌̀◌̕b; a◌֮◌ࣼ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC DOUBLE RIGHT ARROWHEAD ABOVE WITH DOT, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08FD 0062",  # (a◌̕◌̀◌֮◌ࣽb; à◌֮◌ࣽ◌̕b; a◌֮◌̀◌ࣽ◌̕b; à◌֮◌ࣽ◌̕b; a◌֮◌̀◌ࣽ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC RIGHT ARROWHEAD ABOVE WITH DOT, LATIN SMALL LETTER B
      "\u0061 08FD 0315 0300 05AE 0062",  # (a◌ࣽ◌̕◌̀◌֮b; a◌֮◌ࣽ◌̀◌̕b; a◌֮◌ࣽ◌̀◌̕b; a◌֮◌ࣽ◌̀◌̕b; a◌֮◌ࣽ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC RIGHT ARROWHEAD ABOVE WITH DOT, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08FE 0062",  # (a◌̕◌̀◌֮◌ࣾb; à◌֮◌ࣾ◌̕b; a◌֮◌̀◌ࣾ◌̕b; à◌֮◌ࣾ◌̕b; a◌֮◌̀◌ࣾ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC DAMMA WITH DOT, LATIN SMALL LETTER B
      "\u0061 08FE 0315 0300 05AE 0062",  # (a◌ࣾ◌̕◌̀◌֮b; a◌֮◌ࣾ◌̀◌̕b; a◌֮◌ࣾ◌̀◌̕b; a◌֮◌ࣾ◌̀◌̕b; a◌֮◌ࣾ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC DAMMA WITH DOT, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 08FF 0062",  # (a◌̕◌̀◌֮◌ࣿb; à◌֮◌ࣿ◌̕b; a◌֮◌̀◌ࣿ◌̕b; à◌֮◌ࣿ◌̕b; a◌֮◌̀◌ࣿ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ARABIC MARK SIDEWAYS NOON GHUNNA, LATIN SMALL LETTER B
      "\u0061 08FF 0315 0300 05AE 0062",  # (a◌ࣿ◌̕◌̀◌֮b; a◌֮◌ࣿ◌̀◌̕b; a◌֮◌ࣿ◌̀◌̕b; a◌֮◌ࣿ◌̀◌̕b; a◌֮◌ࣿ◌̀◌̕b; ) LATIN SMALL LETTER A, ARABIC MARK SIDEWAYS NOON GHUNNA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 3099 093C 0334 093C 0062",  # (a◌゙◌़◌̴◌़b; a◌̴◌़◌़◌゙b; a◌̴◌़◌़◌゙b; a◌̴◌़◌़◌゙b; a◌̴◌़◌़◌゙b; ) LATIN SMALL LETTER A, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, DEVANAGARI SIGN NUKTA, LATIN SMALL LETTER B
      "\u0061 093C 3099 093C 0334 0062",  # (a◌़◌゙◌़◌̴b; a◌̴◌़◌़◌゙b; a◌̴◌़◌़◌゙b; a◌̴◌़◌़◌゙b; a◌̴◌़◌़◌゙b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 094D 0062",  # (a◌ְ◌्◌゙◌्b; a◌゙◌्◌्◌ְb; a◌゙◌्◌्◌ְb; a◌゙◌्◌्◌ְb; a◌゙◌्◌्◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN VIRAMA, LATIN SMALL LETTER B
      "\u0061 094D 05B0 094D 3099 0062",  # (a◌्◌ְ◌्◌゙b; a◌゙◌्◌्◌ְb; a◌゙◌्◌्◌ְb; a◌゙◌्◌्◌ְb; a◌゙◌्◌्◌ְb; ) LATIN SMALL LETTER A, DEVANAGARI SIGN VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0951 0062",  # (a◌̕◌̀◌֮◌॑b; à◌֮◌॑◌̕b; a◌֮◌̀◌॑◌̕b; à◌֮◌॑◌̕b; a◌֮◌̀◌॑◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, DEVANAGARI STRESS SIGN UDATTA, LATIN SMALL LETTER B
      "\u0061 0951 0315 0300 05AE 0062",  # (a◌॑◌̕◌̀◌֮b; a◌֮◌॑◌̀◌̕b; a◌֮◌॑◌̀◌̕b; a◌֮◌॑◌̀◌̕b; a◌֮◌॑◌̀◌̕b; ) LATIN SMALL LETTER A, DEVANAGARI STRESS SIGN UDATTA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0952 0062",  # (a◌֚◌̖◌〪◌॒b; a◌〪◌̖◌॒◌֚b; a◌〪◌̖◌॒◌֚b; a◌〪◌̖◌॒◌֚b; a◌〪◌̖◌॒◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, DEVANAGARI STRESS SIGN ANUDATTA, LATIN SMALL LETTER B
      "\u0061 0952 059A 0316 302A 0062",  # (a◌॒◌֚◌̖◌〪b; a◌〪◌॒◌̖◌֚b; a◌〪◌॒◌̖◌֚b; a◌〪◌॒◌̖◌֚b; a◌〪◌॒◌̖◌֚b; ) LATIN SMALL LETTER A, DEVANAGARI STRESS SIGN ANUDATTA, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0953 0062",  # (a◌̕◌̀◌֮◌॓b; à◌֮◌॓◌̕b; a◌֮◌̀◌॓◌̕b; à◌֮◌॓◌̕b; a◌֮◌̀◌॓◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, DEVANAGARI GRAVE ACCENT, LATIN SMALL LETTER B
      "\u0061 0953 0315 0300 05AE 0062",  # (a◌॓◌̕◌̀◌֮b; a◌֮◌॓◌̀◌̕b; a◌֮◌॓◌̀◌̕b; a◌֮◌॓◌̀◌̕b; a◌֮◌॓◌̀◌̕b; ) LATIN SMALL LETTER A, DEVANAGARI GRAVE ACCENT, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0954 0062",  # (a◌̕◌̀◌֮◌॔b; à◌֮◌॔◌̕b; a◌֮◌̀◌॔◌̕b; à◌֮◌॔◌̕b; a◌֮◌̀◌॔◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, DEVANAGARI ACUTE ACCENT, LATIN SMALL LETTER B
      "\u0061 0954 0315 0300 05AE 0062",  # (a◌॔◌̕◌̀◌֮b; a◌֮◌॔◌̀◌̕b; a◌֮◌॔◌̀◌̕b; a◌֮◌॔◌̀◌̕b; a◌֮◌॔◌̀◌̕b; ) LATIN SMALL LETTER A, DEVANAGARI ACUTE ACCENT, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 3099 093C 0334 09BC 0062",  # (a◌゙◌़◌̴◌়b; a◌̴◌़◌়◌゙b; a◌̴◌़◌়◌゙b; a◌̴◌़◌়◌゙b; a◌̴◌़◌়◌゙b; ) LATIN SMALL LETTER A, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, BENGALI SIGN NUKTA, LATIN SMALL LETTER B
      "\u0061 09BC 3099 093C 0334 0062",  # (a◌়◌゙◌़◌̴b; a◌̴◌়◌़◌゙b; a◌̴◌়◌़◌゙b; a◌̴◌়◌़◌゙b; a◌̴◌়◌़◌゙b; ) LATIN SMALL LETTER A, BENGALI SIGN NUKTA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 09CD 0062",  # (a◌ְ◌्◌゙◌্b; a◌゙◌्◌্◌ְb; a◌゙◌्◌্◌ְb; a◌゙◌्◌্◌ְb; a◌゙◌्◌্◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, BENGALI SIGN VIRAMA, LATIN SMALL LETTER B
      "\u0061 09CD 05B0 094D 3099 0062",  # (a◌্◌ְ◌्◌゙b; a◌゙◌্◌्◌ְb; a◌゙◌্◌्◌ְb; a◌゙◌্◌्◌ְb; a◌゙◌্◌्◌ְb; ) LATIN SMALL LETTER A, BENGALI SIGN VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 3099 093C 0334 0A3C 0062",  # (a◌゙◌़◌̴◌਼b; a◌̴◌़◌਼◌゙b; a◌̴◌़◌਼◌゙b; a◌̴◌़◌਼◌゙b; a◌̴◌़◌਼◌゙b; ) LATIN SMALL LETTER A, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, GURMUKHI SIGN NUKTA, LATIN SMALL LETTER B
      "\u0061 0A3C 3099 093C 0334 0062",  # (a◌਼◌゙◌़◌̴b; a◌̴◌਼◌़◌゙b; a◌̴◌਼◌़◌゙b; a◌̴◌਼◌़◌゙b; a◌̴◌਼◌़◌゙b; ) LATIN SMALL LETTER A, GURMUKHI SIGN NUKTA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 0A4D 0062",  # (a◌ְ◌्◌゙◌੍b; a◌゙◌्◌੍◌ְb; a◌゙◌्◌੍◌ְb; a◌゙◌्◌੍◌ְb; a◌゙◌्◌੍◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, GURMUKHI SIGN VIRAMA, LATIN SMALL LETTER B
      "\u0061 0A4D 05B0 094D 3099 0062",  # (a◌੍◌ְ◌्◌゙b; a◌゙◌੍◌्◌ְb; a◌゙◌੍◌्◌ְb; a◌゙◌੍◌्◌ְb; a◌゙◌੍◌्◌ְb; ) LATIN SMALL LETTER A, GURMUKHI SIGN VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 3099 093C 0334 0ABC 0062",  # (a◌゙◌़◌̴◌઼b; a◌̴◌़◌઼◌゙b; a◌̴◌़◌઼◌゙b; a◌̴◌़◌઼◌゙b; a◌̴◌़◌઼◌゙b; ) LATIN SMALL LETTER A, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, GUJARATI SIGN NUKTA, LATIN SMALL LETTER B
      "\u0061 0ABC 3099 093C 0334 0062",  # (a◌઼◌゙◌़◌̴b; a◌̴◌઼◌़◌゙b; a◌̴◌઼◌़◌゙b; a◌̴◌઼◌़◌゙b; a◌̴◌઼◌़◌゙b; ) LATIN SMALL LETTER A, GUJARATI SIGN NUKTA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 0ACD 0062",  # (a◌ְ◌्◌゙◌્b; a◌゙◌्◌્◌ְb; a◌゙◌्◌્◌ְb; a◌゙◌्◌્◌ְb; a◌゙◌्◌્◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, GUJARATI SIGN VIRAMA, LATIN SMALL LETTER B
      "\u0061 0ACD 05B0 094D 3099 0062",  # (a◌્◌ְ◌्◌゙b; a◌゙◌્◌्◌ְb; a◌゙◌્◌्◌ְb; a◌゙◌્◌्◌ְb; a◌゙◌્◌्◌ְb; ) LATIN SMALL LETTER A, GUJARATI SIGN VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 3099 093C 0334 0B3C 0062",  # (a◌゙◌़◌̴◌଼b; a◌̴◌़◌଼◌゙b; a◌̴◌़◌଼◌゙b; a◌̴◌़◌଼◌゙b; a◌̴◌़◌଼◌゙b; ) LATIN SMALL LETTER A, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, ORIYA SIGN NUKTA, LATIN SMALL LETTER B
      "\u0061 0B3C 3099 093C 0334 0062",  # (a◌଼◌゙◌़◌̴b; a◌̴◌଼◌़◌゙b; a◌̴◌଼◌़◌゙b; a◌̴◌଼◌़◌゙b; a◌̴◌଼◌़◌゙b; ) LATIN SMALL LETTER A, ORIYA SIGN NUKTA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 0B4D 0062",  # (a◌ְ◌्◌゙◌୍b; a◌゙◌्◌୍◌ְb; a◌゙◌्◌୍◌ְb; a◌゙◌्◌୍◌ְb; a◌゙◌्◌୍◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, ORIYA SIGN VIRAMA, LATIN SMALL LETTER B
      "\u0061 0B4D 05B0 094D 3099 0062",  # (a◌୍◌ְ◌्◌゙b; a◌゙◌୍◌्◌ְb; a◌゙◌୍◌्◌ְb; a◌゙◌୍◌्◌ְb; a◌゙◌୍◌्◌ְb; ) LATIN SMALL LETTER A, ORIYA SIGN VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 0BCD 0062",  # (a◌ְ◌्◌゙◌்b; a◌゙◌्◌்◌ְb; a◌゙◌्◌்◌ְb; a◌゙◌्◌்◌ְb; a◌゙◌्◌்◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, TAMIL SIGN VIRAMA, LATIN SMALL LETTER B
      "\u0061 0BCD 05B0 094D 3099 0062",  # (a◌்◌ְ◌्◌゙b; a◌゙◌்◌्◌ְb; a◌゙◌்◌्◌ְb; a◌゙◌்◌्◌ְb; a◌゙◌்◌्◌ְb; ) LATIN SMALL LETTER A, TAMIL SIGN VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 0C4D 0062",  # (a◌ְ◌्◌゙◌్b; a◌゙◌्◌్◌ְb; a◌゙◌्◌్◌ְb; a◌゙◌्◌్◌ְb; a◌゙◌्◌్◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, TELUGU SIGN VIRAMA, LATIN SMALL LETTER B
      "\u0061 0C4D 05B0 094D 3099 0062",  # (a◌్◌ְ◌्◌゙b; a◌゙◌్◌्◌ְb; a◌゙◌్◌्◌ְb; a◌゙◌్◌्◌ְb; a◌゙◌్◌्◌ְb; ) LATIN SMALL LETTER A, TELUGU SIGN VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 0C56 0C55 0711 0C55 0062",  # (a◌ౖ◌ౕ◌ܑ◌ౕb; a◌ܑ◌ౕ◌ౕ◌ౖb; a◌ܑ◌ౕ◌ౕ◌ౖb; a◌ܑ◌ౕ◌ౕ◌ౖb; a◌ܑ◌ౕ◌ౕ◌ౖb; ) LATIN SMALL LETTER A, TELUGU AI LENGTH MARK, TELUGU LENGTH MARK, SYRIAC LETTER SUPERSCRIPT ALAPH, TELUGU LENGTH MARK, LATIN SMALL LETTER B
      "\u0061 0C55 0C56 0C55 0711 0062",  # (a◌ౕ◌ౖ◌ౕ◌ܑb; a◌ܑ◌ౕ◌ౕ◌ౖb; a◌ܑ◌ౕ◌ౕ◌ౖb; a◌ܑ◌ౕ◌ౕ◌ౖb; a◌ܑ◌ౕ◌ౕ◌ౖb; ) LATIN SMALL LETTER A, TELUGU LENGTH MARK, TELUGU AI LENGTH MARK, TELUGU LENGTH MARK, SYRIAC LETTER SUPERSCRIPT ALAPH, LATIN SMALL LETTER B
      "\u0061 0E38 0C56 0C55 0C56 0062",  # (a◌ุ◌ౖ◌ౕ◌ౖb; a◌ౕ◌ౖ◌ౖ◌ุb; a◌ౕ◌ౖ◌ౖ◌ุb; a◌ౕ◌ౖ◌ౖ◌ุb; a◌ౕ◌ౖ◌ౖ◌ุb; ) LATIN SMALL LETTER A, THAI CHARACTER SARA U, TELUGU AI LENGTH MARK, TELUGU LENGTH MARK, TELUGU AI LENGTH MARK, LATIN SMALL LETTER B
      "\u0061 0C56 0E38 0C56 0C55 0062",  # (a◌ౖ◌ุ◌ౖ◌ౕb; a◌ౕ◌ౖ◌ౖ◌ุb; a◌ౕ◌ౖ◌ౖ◌ุb; a◌ౕ◌ౖ◌ౖ◌ุb; a◌ౕ◌ౖ◌ౖ◌ุb; ) LATIN SMALL LETTER A, TELUGU AI LENGTH MARK, THAI CHARACTER SARA U, TELUGU AI LENGTH MARK, TELUGU LENGTH MARK, LATIN SMALL LETTER B
      "\u0061 3099 093C 0334 0CBC 0062",  # (a◌゙◌़◌̴◌಼b; a◌̴◌़◌಼◌゙b; a◌̴◌़◌಼◌゙b; a◌̴◌़◌಼◌゙b; a◌̴◌़◌಼◌゙b; ) LATIN SMALL LETTER A, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, KANNADA SIGN NUKTA, LATIN SMALL LETTER B
      "\u0061 0CBC 3099 093C 0334 0062",  # (a◌಼◌゙◌़◌̴b; a◌̴◌಼◌़◌゙b; a◌̴◌಼◌़◌゙b; a◌̴◌಼◌़◌゙b; a◌̴◌಼◌़◌゙b; ) LATIN SMALL LETTER A, KANNADA SIGN NUKTA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 0CCD 0062",  # (a◌ְ◌्◌゙◌್b; a◌゙◌्◌್◌ְb; a◌゙◌्◌್◌ְb; a◌゙◌्◌್◌ְb; a◌゙◌्◌್◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, KANNADA SIGN VIRAMA, LATIN SMALL LETTER B
      "\u0061 0CCD 05B0 094D 3099 0062",  # (a◌್◌ְ◌्◌゙b; a◌゙◌್◌्◌ְb; a◌゙◌್◌्◌ְb; a◌゙◌್◌्◌ְb; a◌゙◌್◌्◌ְb; ) LATIN SMALL LETTER A, KANNADA SIGN VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 0D3B 0062",  # (a◌ְ◌्◌゙◌഻b; a◌゙◌्◌഻◌ְb; a◌゙◌्◌഻◌ְb; a◌゙◌्◌഻◌ְb; a◌゙◌्◌഻◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, MALAYALAM SIGN VERTICAL BAR VIRAMA, LATIN SMALL LETTER B
      "\u0061 0D3B 05B0 094D 3099 0062",  # (a◌഻◌ְ◌्◌゙b; a◌゙◌഻◌्◌ְb; a◌゙◌഻◌्◌ְb; a◌゙◌഻◌्◌ְb; a◌゙◌഻◌्◌ְb; ) LATIN SMALL LETTER A, MALAYALAM SIGN VERTICAL BAR VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 0D3C 0062",  # (a◌ְ◌्◌゙◌഼b; a◌゙◌्◌഼◌ְb; a◌゙◌्◌഼◌ְb; a◌゙◌्◌഼◌ְb; a◌゙◌्◌഼◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, MALAYALAM SIGN CIRCULAR VIRAMA, LATIN SMALL LETTER B
      "\u0061 0D3C 05B0 094D 3099 0062",  # (a◌഼◌ְ◌्◌゙b; a◌゙◌഼◌्◌ְb; a◌゙◌഼◌्◌ְb; a◌゙◌഼◌्◌ְb; a◌゙◌഼◌्◌ְb; ) LATIN SMALL LETTER A, MALAYALAM SIGN CIRCULAR VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 0D4D 0062",  # (a◌ְ◌्◌゙◌്b; a◌゙◌्◌്◌ְb; a◌゙◌्◌്◌ְb; a◌゙◌्◌്◌ְb; a◌゙◌्◌്◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, MALAYALAM SIGN VIRAMA, LATIN SMALL LETTER B
      "\u0061 0D4D 05B0 094D 3099 0062",  # (a◌്◌ְ◌्◌゙b; a◌゙◌്◌्◌ְb; a◌゙◌്◌्◌ְb; a◌゙◌്◌्◌ְb; a◌゙◌്◌्◌ְb; ) LATIN SMALL LETTER A, MALAYALAM SIGN VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 0DCA 0062",  # (a◌ְ◌्◌゙◌්b; a◌゙◌्◌්◌ְb; a◌゙◌्◌්◌ְb; a◌゙◌्◌්◌ְb; a◌゙◌्◌්◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, SINHALA SIGN AL-LAKUNA, LATIN SMALL LETTER B
      "\u0061 0DCA 05B0 094D 3099 0062",  # (a◌්◌ְ◌्◌゙b; a◌゙◌්◌्◌ְb; a◌゙◌්◌्◌ְb; a◌゙◌්◌्◌ְb; a◌゙◌්◌्◌ְb; ) LATIN SMALL LETTER A, SINHALA SIGN AL-LAKUNA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 0E48 0E38 0C56 0E38 0062",  # (a◌่◌ุ◌ౖ◌ุb; a◌ౖ◌ุ◌ุ◌่b; a◌ౖ◌ุ◌ุ◌่b; a◌ౖ◌ุ◌ุ◌่b; a◌ౖ◌ุ◌ุ◌่b; ) LATIN SMALL LETTER A, THAI CHARACTER MAI EK, THAI CHARACTER SARA U, TELUGU AI LENGTH MARK, THAI CHARACTER SARA U, LATIN SMALL LETTER B
      "\u0061 0E38 0E48 0E38 0C56 0062",  # (a◌ุ◌่◌ุ◌ౖb; a◌ౖ◌ุ◌ุ◌่b; a◌ౖ◌ุ◌ุ◌่b; a◌ౖ◌ุ◌ุ◌่b; a◌ౖ◌ุ◌ุ◌่b; ) LATIN SMALL LETTER A, THAI CHARACTER SARA U, THAI CHARACTER MAI EK, THAI CHARACTER SARA U, TELUGU AI LENGTH MARK, LATIN SMALL LETTER B
      "\u0061 0E48 0E38 0C56 0E39 0062",  # (a◌่◌ุ◌ౖ◌ูb; a◌ౖ◌ุ◌ู◌่b; a◌ౖ◌ุ◌ู◌่b; a◌ౖ◌ุ◌ู◌่b; a◌ౖ◌ุ◌ู◌่b; ) LATIN SMALL LETTER A, THAI CHARACTER MAI EK, THAI CHARACTER SARA U, TELUGU AI LENGTH MARK, THAI CHARACTER SARA UU, LATIN SMALL LETTER B
      "\u0061 0E39 0E48 0E38 0C56 0062",  # (a◌ู◌่◌ุ◌ౖb; a◌ౖ◌ู◌ุ◌่b; a◌ౖ◌ู◌ุ◌่b; a◌ౖ◌ู◌ุ◌่b; a◌ౖ◌ู◌ุ◌่b; ) LATIN SMALL LETTER A, THAI CHARACTER SARA UU, THAI CHARACTER MAI EK, THAI CHARACTER SARA U, TELUGU AI LENGTH MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 0E3A 0062",  # (a◌ְ◌्◌゙◌ฺb; a◌゙◌्◌ฺ◌ְb; a◌゙◌्◌ฺ◌ְb; a◌゙◌्◌ฺ◌ְb; a◌゙◌्◌ฺ◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, THAI CHARACTER PHINTHU, LATIN SMALL LETTER B
      "\u0061 0E3A 05B0 094D 3099 0062",  # (a◌ฺ◌ְ◌्◌゙b; a◌゙◌ฺ◌्◌ְb; a◌゙◌ฺ◌्◌ְb; a◌゙◌ฺ◌्◌ְb; a◌゙◌ฺ◌्◌ְb; ) LATIN SMALL LETTER A, THAI CHARACTER PHINTHU, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 0EB8 0E48 0E38 0E48 0062",  # (a◌ຸ◌่◌ุ◌่b; a◌ุ◌่◌่◌ຸb; a◌ุ◌่◌่◌ຸb; a◌ุ◌่◌่◌ຸb; a◌ุ◌่◌่◌ຸb; ) LATIN SMALL LETTER A, LAO VOWEL SIGN U, THAI CHARACTER MAI EK, THAI CHARACTER SARA U, THAI CHARACTER MAI EK, LATIN SMALL LETTER B
      "\u0061 0E48 0EB8 0E48 0E38 0062",  # (a◌่◌ຸ◌่◌ุb; a◌ุ◌่◌่◌ຸb; a◌ุ◌่◌่◌ຸb; a◌ุ◌่◌่◌ຸb; a◌ุ◌่◌่◌ຸb; ) LATIN SMALL LETTER A, THAI CHARACTER MAI EK, LAO VOWEL SIGN U, THAI CHARACTER MAI EK, THAI CHARACTER SARA U, LATIN SMALL LETTER B
      "\u0061 0EB8 0E48 0E38 0E49 0062",  # (a◌ຸ◌่◌ุ◌้b; a◌ุ◌่◌้◌ຸb; a◌ุ◌่◌้◌ຸb; a◌ุ◌่◌้◌ຸb; a◌ุ◌่◌้◌ຸb; ) LATIN SMALL LETTER A, LAO VOWEL SIGN U, THAI CHARACTER MAI EK, THAI CHARACTER SARA U, THAI CHARACTER MAI THO, LATIN SMALL LETTER B
      "\u0061 0E49 0EB8 0E48 0E38 0062",  # (a◌้◌ຸ◌่◌ุb; a◌ุ◌้◌่◌ຸb; a◌ุ◌้◌่◌ຸb; a◌ุ◌้◌่◌ຸb; a◌ุ◌้◌่◌ຸb; ) LATIN SMALL LETTER A, THAI CHARACTER MAI THO, LAO VOWEL SIGN U, THAI CHARACTER MAI EK, THAI CHARACTER SARA U, LATIN SMALL LETTER B
      "\u0061 0EB8 0E48 0E38 0E4A 0062",  # (a◌ຸ◌่◌ุ◌๊b; a◌ุ◌่◌๊◌ຸb; a◌ุ◌่◌๊◌ຸb; a◌ุ◌่◌๊◌ຸb; a◌ุ◌่◌๊◌ຸb; ) LATIN SMALL LETTER A, LAO VOWEL SIGN U, THAI CHARACTER MAI EK, THAI CHARACTER SARA U, THAI CHARACTER MAI TRI, LATIN SMALL LETTER B
      "\u0061 0E4A 0EB8 0E48 0E38 0062",  # (a◌๊◌ຸ◌่◌ุb; a◌ุ◌๊◌่◌ຸb; a◌ุ◌๊◌่◌ຸb; a◌ุ◌๊◌่◌ຸb; a◌ุ◌๊◌่◌ຸb; ) LATIN SMALL LETTER A, THAI CHARACTER MAI TRI, LAO VOWEL SIGN U, THAI CHARACTER MAI EK, THAI CHARACTER SARA U, LATIN SMALL LETTER B
      "\u0061 0EB8 0E48 0E38 0E4B 0062",  # (a◌ຸ◌่◌ุ◌๋b; a◌ุ◌่◌๋◌ຸb; a◌ุ◌่◌๋◌ຸb; a◌ุ◌่◌๋◌ຸb; a◌ุ◌่◌๋◌ຸb; ) LATIN SMALL LETTER A, LAO VOWEL SIGN U, THAI CHARACTER MAI EK, THAI CHARACTER SARA U, THAI CHARACTER MAI CHATTAWA, LATIN SMALL LETTER B
      "\u0061 0E4B 0EB8 0E48 0E38 0062",  # (a◌๋◌ຸ◌่◌ุb; a◌ุ◌๋◌่◌ຸb; a◌ุ◌๋◌่◌ຸb; a◌ุ◌๋◌่◌ຸb; a◌ุ◌๋◌่◌ຸb; ) LATIN SMALL LETTER A, THAI CHARACTER MAI CHATTAWA, LAO VOWEL SIGN U, THAI CHARACTER MAI EK, THAI CHARACTER SARA U, LATIN SMALL LETTER B
      "\u0061 0EC8 0EB8 0E48 0EB8 0062",  # (a◌່◌ຸ◌่◌ຸb; a◌่◌ຸ◌ຸ◌່b; a◌่◌ຸ◌ຸ◌່b; a◌่◌ຸ◌ຸ◌່b; a◌่◌ຸ◌ຸ◌່b; ) LATIN SMALL LETTER A, LAO TONE MAI EK, LAO VOWEL SIGN U, THAI CHARACTER MAI EK, LAO VOWEL SIGN U, LATIN SMALL LETTER B
      "\u0061 0EB8 0EC8 0EB8 0E48 0062",  # (a◌ຸ◌່◌ຸ◌่b; a◌่◌ຸ◌ຸ◌່b; a◌่◌ຸ◌ຸ◌່b; a◌่◌ຸ◌ຸ◌່b; a◌่◌ຸ◌ຸ◌່b; ) LATIN SMALL LETTER A, LAO VOWEL SIGN U, LAO TONE MAI EK, LAO VOWEL SIGN U, THAI CHARACTER MAI EK, LATIN SMALL LETTER B
      "\u0061 0EC8 0EB8 0E48 0EB9 0062",  # (a◌່◌ຸ◌่◌ູb; a◌่◌ຸ◌ູ◌່b; a◌่◌ຸ◌ູ◌່b; a◌่◌ຸ◌ູ◌່b; a◌่◌ຸ◌ູ◌່b; ) LATIN SMALL LETTER A, LAO TONE MAI EK, LAO VOWEL SIGN U, THAI CHARACTER MAI EK, LAO VOWEL SIGN UU, LATIN SMALL LETTER B
      "\u0061 0EB9 0EC8 0EB8 0E48 0062",  # (a◌ູ◌່◌ຸ◌่b; a◌่◌ູ◌ຸ◌່b; a◌่◌ູ◌ຸ◌່b; a◌่◌ູ◌ຸ◌່b; a◌่◌ູ◌ຸ◌່b; ) LATIN SMALL LETTER A, LAO VOWEL SIGN UU, LAO TONE MAI EK, LAO VOWEL SIGN U, THAI CHARACTER MAI EK, LATIN SMALL LETTER B
      "\u0061 0F71 0EC8 0EB8 0EC8 0062",  # (a◌ཱ◌່◌ຸ◌່b; a◌ຸ◌່◌່◌ཱb; a◌ຸ◌່◌່◌ཱb; a◌ຸ◌່◌່◌ཱb; a◌ຸ◌່◌່◌ཱb; ) LATIN SMALL LETTER A, TIBETAN VOWEL SIGN AA, LAO TONE MAI EK, LAO VOWEL SIGN U, LAO TONE MAI EK, LATIN SMALL LETTER B
      "\u0061 0EC8 0F71 0EC8 0EB8 0062",  # (a◌່◌ཱ◌່◌ຸb; a◌ຸ◌່◌່◌ཱb; a◌ຸ◌່◌່◌ཱb; a◌ຸ◌່◌່◌ཱb; a◌ຸ◌່◌່◌ཱb; ) LATIN SMALL LETTER A, LAO TONE MAI EK, TIBETAN VOWEL SIGN AA, LAO TONE MAI EK, LAO VOWEL SIGN U, LATIN SMALL LETTER B
      "\u0061 0F71 0EC8 0EB8 0EC9 0062",  # (a◌ཱ◌່◌ຸ◌້b; a◌ຸ◌່◌້◌ཱb; a◌ຸ◌່◌້◌ཱb; a◌ຸ◌່◌້◌ཱb; a◌ຸ◌່◌້◌ཱb; ) LATIN SMALL LETTER A, TIBETAN VOWEL SIGN AA, LAO TONE MAI EK, LAO VOWEL SIGN U, LAO TONE MAI THO, LATIN SMALL LETTER B
      "\u0061 0EC9 0F71 0EC8 0EB8 0062",  # (a◌້◌ཱ◌່◌ຸb; a◌ຸ◌້◌່◌ཱb; a◌ຸ◌້◌່◌ཱb; a◌ຸ◌້◌່◌ཱb; a◌ຸ◌້◌່◌ཱb; ) LATIN SMALL LETTER A, LAO TONE MAI THO, TIBETAN VOWEL SIGN AA, LAO TONE MAI EK, LAO VOWEL SIGN U, LATIN SMALL LETTER B
      "\u0061 0F71 0EC8 0EB8 0ECA 0062",  # (a◌ཱ◌່◌ຸ◌໊b; a◌ຸ◌່◌໊◌ཱb; a◌ຸ◌່◌໊◌ཱb; a◌ຸ◌່◌໊◌ཱb; a◌ຸ◌່◌໊◌ཱb; ) LATIN SMALL LETTER A, TIBETAN VOWEL SIGN AA, LAO TONE MAI EK, LAO VOWEL SIGN U, LAO TONE MAI TI, LATIN SMALL LETTER B
      "\u0061 0ECA 0F71 0EC8 0EB8 0062",  # (a◌໊◌ཱ◌່◌ຸb; a◌ຸ◌໊◌່◌ཱb; a◌ຸ◌໊◌່◌ཱb; a◌ຸ◌໊◌່◌ཱb; a◌ຸ◌໊◌່◌ཱb; ) LATIN SMALL LETTER A, LAO TONE MAI TI, TIBETAN VOWEL SIGN AA, LAO TONE MAI EK, LAO VOWEL SIGN U, LATIN SMALL LETTER B
      "\u0061 0F71 0EC8 0EB8 0ECB 0062",  # (a◌ཱ◌່◌ຸ◌໋b; a◌ຸ◌່◌໋◌ཱb; a◌ຸ◌່◌໋◌ཱb; a◌ຸ◌່◌໋◌ཱb; a◌ຸ◌່◌໋◌ཱb; ) LATIN SMALL LETTER A, TIBETAN VOWEL SIGN AA, LAO TONE MAI EK, LAO VOWEL SIGN U, LAO TONE MAI CATAWA, LATIN SMALL LETTER B
      "\u0061 0ECB 0F71 0EC8 0EB8 0062",  # (a◌໋◌ཱ◌່◌ຸb; a◌ຸ◌໋◌່◌ཱb; a◌ຸ◌໋◌່◌ཱb; a◌ຸ◌໋◌່◌ཱb; a◌ຸ◌໋◌່◌ཱb; ) LATIN SMALL LETTER A, LAO TONE MAI CATAWA, TIBETAN VOWEL SIGN AA, LAO TONE MAI EK, LAO VOWEL SIGN U, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0F18 0062",  # (a◌֚◌̖◌〪◌༘b; a◌〪◌̖◌༘◌֚b; a◌〪◌̖◌༘◌֚b; a◌〪◌̖◌༘◌֚b; a◌〪◌̖◌༘◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, TIBETAN ASTROLOGICAL SIGN -KHYUD PA, LATIN SMALL LETTER B
      "\u0061 0F18 059A 0316 302A 0062",  # (a◌༘◌֚◌̖◌〪b; a◌〪◌༘◌̖◌֚b; a◌〪◌༘◌̖◌֚b; a◌〪◌༘◌̖◌֚b; a◌〪◌༘◌̖◌֚b; ) LATIN SMALL LETTER A, TIBETAN ASTROLOGICAL SIGN -KHYUD PA, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0F19 0062",  # (a◌֚◌̖◌〪◌༙b; a◌〪◌̖◌༙◌֚b; a◌〪◌̖◌༙◌֚b; a◌〪◌̖◌༙◌֚b; a◌〪◌̖◌༙◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, TIBETAN ASTROLOGICAL SIGN SDONG TSHUGS, LATIN SMALL LETTER B
      "\u0061 0F19 059A 0316 302A 0062",  # (a◌༙◌֚◌̖◌〪b; a◌〪◌༙◌̖◌֚b; a◌〪◌༙◌̖◌֚b; a◌〪◌༙◌̖◌֚b; a◌〪◌༙◌̖◌֚b; ) LATIN SMALL LETTER A, TIBETAN ASTROLOGICAL SIGN SDONG TSHUGS, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0F35 0062",  # (a◌֚◌̖◌〪◌༵b; a◌〪◌̖◌༵◌֚b; a◌〪◌̖◌༵◌֚b; a◌〪◌̖◌༵◌֚b; a◌〪◌̖◌༵◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, TIBETAN MARK NGAS BZUNG NYI ZLA, LATIN SMALL LETTER B
      "\u0061 0F35 059A 0316 302A 0062",  # (a◌༵◌֚◌̖◌〪b; a◌〪◌༵◌̖◌֚b; a◌〪◌༵◌̖◌֚b; a◌〪◌༵◌̖◌֚b; a◌〪◌༵◌̖◌֚b; ) LATIN SMALL LETTER A, TIBETAN MARK NGAS BZUNG NYI ZLA, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0F37 0062",  # (a◌֚◌̖◌〪◌༷b; a◌〪◌̖◌༷◌֚b; a◌〪◌̖◌༷◌֚b; a◌〪◌̖◌༷◌֚b; a◌〪◌̖◌༷◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, TIBETAN MARK NGAS BZUNG SGOR RTAGS, LATIN SMALL LETTER B
      "\u0061 0F37 059A 0316 302A 0062",  # (a◌༷◌֚◌̖◌〪b; a◌〪◌༷◌̖◌֚b; a◌〪◌༷◌̖◌֚b; a◌〪◌༷◌̖◌֚b; a◌〪◌༷◌̖◌֚b; ) LATIN SMALL LETTER A, TIBETAN MARK NGAS BZUNG SGOR RTAGS, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 302A 031B 1DCE 0F39 0062",  # (a◌〪◌̛◌᷎◌༹b; a◌᷎◌̛◌༹◌〪b; a◌᷎◌̛◌༹◌〪b; a◌᷎◌̛◌༹◌〪b; a◌᷎◌̛◌༹◌〪b; ) LATIN SMALL LETTER A, IDEOGRAPHIC LEVEL TONE MARK, COMBINING HORN, COMBINING OGONEK ABOVE, TIBETAN MARK TSA -PHRU, LATIN SMALL LETTER B
      "\u0061 0F39 302A 031B 1DCE 0062",  # (a◌༹◌〪◌̛◌᷎b; a◌᷎◌༹◌̛◌〪b; a◌᷎◌༹◌̛◌〪b; a◌᷎◌༹◌̛◌〪b; a◌᷎◌༹◌̛◌〪b; ) LATIN SMALL LETTER A, TIBETAN MARK TSA -PHRU, IDEOGRAPHIC LEVEL TONE MARK, COMBINING HORN, COMBINING OGONEK ABOVE, LATIN SMALL LETTER B
      "\u0061 0F72 0F71 0EC8 0F71 0062",  # (a◌ི◌ཱ◌່◌ཱb; a◌່◌ཱ◌ཱ◌ིb; a◌່◌ཱ◌ཱ◌ིb; a◌່◌ཱ◌ཱ◌ིb; a◌່◌ཱ◌ཱ◌ིb; ) LATIN SMALL LETTER A, TIBETAN VOWEL SIGN I, TIBETAN VOWEL SIGN AA, LAO TONE MAI EK, TIBETAN VOWEL SIGN AA, LATIN SMALL LETTER B
      "\u0061 0F71 0F72 0F71 0EC8 0062",  # (a◌ཱ◌ི◌ཱ◌່b; a◌່◌ཱ◌ཱ◌ིb; a◌່◌ཱ◌ཱ◌ིb; a◌່◌ཱ◌ཱ◌ིb; a◌່◌ཱ◌ཱ◌ིb; ) LATIN SMALL LETTER A, TIBETAN VOWEL SIGN AA, TIBETAN VOWEL SIGN I, TIBETAN VOWEL SIGN AA, LAO TONE MAI EK, LATIN SMALL LETTER B
      "\u0061 0F74 0F72 0F71 0F72 0062",  # (a◌ུ◌ི◌ཱ◌ིb; a◌ཱ◌ི◌ི◌ུb; a◌ཱ◌ི◌ི◌ུb; a◌ཱ◌ི◌ི◌ུb; a◌ཱ◌ི◌ི◌ུb; ) LATIN SMALL LETTER A, TIBETAN VOWEL SIGN U, TIBETAN VOWEL SIGN I, TIBETAN VOWEL SIGN AA, TIBETAN VOWEL SIGN I, LATIN SMALL LETTER B
      "\u0061 0F72 0F74 0F72 0F71 0062",  # (a◌ི◌ུ◌ི◌ཱb; a◌ཱ◌ི◌ི◌ུb; a◌ཱ◌ི◌ི◌ུb; a◌ཱ◌ི◌ི◌ུb; a◌ཱ◌ི◌ི◌ུb; ) LATIN SMALL LETTER A, TIBETAN VOWEL SIGN I, TIBETAN VOWEL SIGN U, TIBETAN VOWEL SIGN I, TIBETAN VOWEL SIGN AA, LATIN SMALL LETTER B
      "\u0061 0321 0F74 0F72 0F74 0062",  # (a◌̡◌ུ◌ི◌ུb; a◌ི◌ུ◌ུ◌̡b; a◌ི◌ུ◌ུ◌̡b; a◌ི◌ུ◌ུ◌̡b; a◌ི◌ུ◌ུ◌̡b; ) LATIN SMALL LETTER A, COMBINING PALATALIZED HOOK BELOW, TIBETAN VOWEL SIGN U, TIBETAN VOWEL SIGN I, TIBETAN VOWEL SIGN U, LATIN SMALL LETTER B
      "\u0061 0F74 0321 0F74 0F72 0062",  # (a◌ུ◌̡◌ུ◌ིb; a◌ི◌ུ◌ུ◌̡b; a◌ི◌ུ◌ུ◌̡b; a◌ི◌ུ◌ུ◌̡b; a◌ི◌ུ◌ུ◌̡b; ) LATIN SMALL LETTER A, TIBETAN VOWEL SIGN U, COMBINING PALATALIZED HOOK BELOW, TIBETAN VOWEL SIGN U, TIBETAN VOWEL SIGN I, LATIN SMALL LETTER B
      "\u0061 0F74 0F72 0F71 0F7A 0062",  # (a◌ུ◌ི◌ཱ◌ེb; a◌ཱ◌ི◌ེ◌ུb; a◌ཱ◌ི◌ེ◌ུb; a◌ཱ◌ི◌ེ◌ུb; a◌ཱ◌ི◌ེ◌ུb; ) LATIN SMALL LETTER A, TIBETAN VOWEL SIGN U, TIBETAN VOWEL SIGN I, TIBETAN VOWEL SIGN AA, TIBETAN VOWEL SIGN E, LATIN SMALL LETTER B
      "\u0061 0F7A 0F74 0F72 0F71 0062",  # (a◌ེ◌ུ◌ི◌ཱb; a◌ཱ◌ེ◌ི◌ུb; a◌ཱ◌ེ◌ི◌ུb; a◌ཱ◌ེ◌ི◌ུb; a◌ཱ◌ེ◌ི◌ུb; ) LATIN SMALL LETTER A, TIBETAN VOWEL SIGN E, TIBETAN VOWEL SIGN U, TIBETAN VOWEL SIGN I, TIBETAN VOWEL SIGN AA, LATIN SMALL LETTER B
      "\u0061 0F74 0F72 0F71 0F7B 0062",  # (a◌ུ◌ི◌ཱ◌ཻb; a◌ཱ◌ི◌ཻ◌ུb; a◌ཱ◌ི◌ཻ◌ུb; a◌ཱ◌ི◌ཻ◌ུb; a◌ཱ◌ི◌ཻ◌ུb; ) LATIN SMALL LETTER A, TIBETAN VOWEL SIGN U, TIBETAN VOWEL SIGN I, TIBETAN VOWEL SIGN AA, TIBETAN VOWEL SIGN EE, LATIN SMALL LETTER B
      "\u0061 0F7B 0F74 0F72 0F71 0062",  # (a◌ཻ◌ུ◌ི◌ཱb; a◌ཱ◌ཻ◌ི◌ུb; a◌ཱ◌ཻ◌ི◌ུb; a◌ཱ◌ཻ◌ི◌ུb; a◌ཱ◌ཻ◌ི◌ུb; ) LATIN SMALL LETTER A, TIBETAN VOWEL SIGN EE, TIBETAN VOWEL SIGN U, TIBETAN VOWEL SIGN I, TIBETAN VOWEL SIGN AA, LATIN SMALL LETTER B
      "\u0061 0F74 0F72 0F71 0F7C 0062",  # (a◌ུ◌ི◌ཱ◌ོb; a◌ཱ◌ི◌ོ◌ུb; a◌ཱ◌ི◌ོ◌ུb; a◌ཱ◌ི◌ོ◌ུb; a◌ཱ◌ི◌ོ◌ུb; ) LATIN SMALL LETTER A, TIBETAN VOWEL SIGN U, TIBETAN VOWEL SIGN I, TIBETAN VOWEL SIGN AA, TIBETAN VOWEL SIGN O, LATIN SMALL LETTER B
      "\u0061 0F7C 0F74 0F72 0F71 0062",  # (a◌ོ◌ུ◌ི◌ཱb; a◌ཱ◌ོ◌ི◌ུb; a◌ཱ◌ོ◌ི◌ུb; a◌ཱ◌ོ◌ི◌ུb; a◌ཱ◌ོ◌ི◌ུb; ) LATIN SMALL LETTER A, TIBETAN VOWEL SIGN O, TIBETAN VOWEL SIGN U, TIBETAN VOWEL SIGN I, TIBETAN VOWEL SIGN AA, LATIN SMALL LETTER B
      "\u0061 0F74 0F72 0F71 0F7D 0062",  # (a◌ུ◌ི◌ཱ◌ཽb; a◌ཱ◌ི◌ཽ◌ུb; a◌ཱ◌ི◌ཽ◌ུb; a◌ཱ◌ི◌ཽ◌ུb; a◌ཱ◌ི◌ཽ◌ུb; ) LATIN SMALL LETTER A, TIBETAN VOWEL SIGN U, TIBETAN VOWEL SIGN I, TIBETAN VOWEL SIGN AA, TIBETAN VOWEL SIGN OO, LATIN SMALL LETTER B
      "\u0061 0F7D 0F74 0F72 0F71 0062",  # (a◌ཽ◌ུ◌ི◌ཱb; a◌ཱ◌ཽ◌ི◌ུb; a◌ཱ◌ཽ◌ི◌ུb; a◌ཱ◌ཽ◌ི◌ུb; a◌ཱ◌ཽ◌ི◌ུb; ) LATIN SMALL LETTER A, TIBETAN VOWEL SIGN OO, TIBETAN VOWEL SIGN U, TIBETAN VOWEL SIGN I, TIBETAN VOWEL SIGN AA, LATIN SMALL LETTER B
      "\u0061 0F74 0F72 0F71 0F80 0062",  # (a◌ུ◌ི◌ཱ◌ྀb; a◌ཱ◌ི◌ྀ◌ུb; a◌ཱ◌ི◌ྀ◌ུb; a◌ཱ◌ི◌ྀ◌ུb; a◌ཱ◌ི◌ྀ◌ུb; ) LATIN SMALL LETTER A, TIBETAN VOWEL SIGN U, TIBETAN VOWEL SIGN I, TIBETAN VOWEL SIGN AA, TIBETAN VOWEL SIGN REVERSED I, LATIN SMALL LETTER B
      "\u0061 0F80 0F74 0F72 0F71 0062",  # (a◌ྀ◌ུ◌ི◌ཱb; a◌ཱ◌ྀ◌ི◌ུb; a◌ཱ◌ྀ◌ི◌ུb; a◌ཱ◌ྀ◌ི◌ུb; a◌ཱ◌ྀ◌ི◌ུb; ) LATIN SMALL LETTER A, TIBETAN VOWEL SIGN REVERSED I, TIBETAN VOWEL SIGN U, TIBETAN VOWEL SIGN I, TIBETAN VOWEL SIGN AA, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0F82 0062",  # (a◌̕◌̀◌֮◌ྂb; à◌֮◌ྂ◌̕b; a◌֮◌̀◌ྂ◌̕b; à◌֮◌ྂ◌̕b; a◌֮◌̀◌ྂ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, TIBETAN SIGN NYI ZLA NAA DA, LATIN SMALL LETTER B
      "\u0061 0F82 0315 0300 05AE 0062",  # (a◌ྂ◌̕◌̀◌֮b; a◌֮◌ྂ◌̀◌̕b; a◌֮◌ྂ◌̀◌̕b; a◌֮◌ྂ◌̀◌̕b; a◌֮◌ྂ◌̀◌̕b; ) LATIN SMALL LETTER A, TIBETAN SIGN NYI ZLA NAA DA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0F83 0062",  # (a◌̕◌̀◌֮◌ྃb; à◌֮◌ྃ◌̕b; a◌֮◌̀◌ྃ◌̕b; à◌֮◌ྃ◌̕b; a◌֮◌̀◌ྃ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, TIBETAN SIGN SNA LDAN, LATIN SMALL LETTER B
      "\u0061 0F83 0315 0300 05AE 0062",  # (a◌ྃ◌̕◌̀◌֮b; a◌֮◌ྃ◌̀◌̕b; a◌֮◌ྃ◌̀◌̕b; a◌֮◌ྃ◌̀◌̕b; a◌֮◌ྃ◌̀◌̕b; ) LATIN SMALL LETTER A, TIBETAN SIGN SNA LDAN, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 0F84 0062",  # (a◌ְ◌्◌゙◌྄b; a◌゙◌्◌྄◌ְb; a◌゙◌्◌྄◌ְb; a◌゙◌्◌྄◌ְb; a◌゙◌्◌྄◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, TIBETAN MARK HALANTA, LATIN SMALL LETTER B
      "\u0061 0F84 05B0 094D 3099 0062",  # (a◌྄◌ְ◌्◌゙b; a◌゙◌྄◌्◌ְb; a◌゙◌྄◌्◌ְb; a◌゙◌྄◌्◌ְb; a◌゙◌྄◌्◌ְb; ) LATIN SMALL LETTER A, TIBETAN MARK HALANTA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0F86 0062",  # (a◌̕◌̀◌֮◌྆b; à◌֮◌྆◌̕b; a◌֮◌̀◌྆◌̕b; à◌֮◌྆◌̕b; a◌֮◌̀◌྆◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, TIBETAN SIGN LCI RTAGS, LATIN SMALL LETTER B
      "\u0061 0F86 0315 0300 05AE 0062",  # (a◌྆◌̕◌̀◌֮b; a◌֮◌྆◌̀◌̕b; a◌֮◌྆◌̀◌̕b; a◌֮◌྆◌̀◌̕b; a◌֮◌྆◌̀◌̕b; ) LATIN SMALL LETTER A, TIBETAN SIGN LCI RTAGS, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 0F87 0062",  # (a◌̕◌̀◌֮◌྇b; à◌֮◌྇◌̕b; a◌֮◌̀◌྇◌̕b; à◌֮◌྇◌̕b; a◌֮◌̀◌྇◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, TIBETAN SIGN YANG RTAGS, LATIN SMALL LETTER B
      "\u0061 0F87 0315 0300 05AE 0062",  # (a◌྇◌̕◌̀◌֮b; a◌֮◌྇◌̀◌̕b; a◌֮◌྇◌̀◌̕b; a◌֮◌྇◌̀◌̕b; a◌֮◌྇◌̀◌̕b; ) LATIN SMALL LETTER A, TIBETAN SIGN YANG RTAGS, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 0FC6 0062",  # (a◌֚◌̖◌〪◌࿆b; a◌〪◌̖◌࿆◌֚b; a◌〪◌̖◌࿆◌֚b; a◌〪◌̖◌࿆◌֚b; a◌〪◌̖◌࿆◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, TIBETAN SYMBOL PADMA GDAN, LATIN SMALL LETTER B
      "\u0061 0FC6 059A 0316 302A 0062",  # (a◌࿆◌֚◌̖◌〪b; a◌〪◌࿆◌̖◌֚b; a◌〪◌࿆◌̖◌֚b; a◌〪◌࿆◌̖◌֚b; a◌〪◌࿆◌̖◌֚b; ) LATIN SMALL LETTER A, TIBETAN SYMBOL PADMA GDAN, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 3099 093C 0334 1037 0062",  # (a◌゙◌़◌̴◌့b; a◌̴◌़◌့◌゙b; a◌̴◌़◌့◌゙b; a◌̴◌़◌့◌゙b; a◌̴◌़◌့◌゙b; ) LATIN SMALL LETTER A, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, MYANMAR SIGN DOT BELOW, LATIN SMALL LETTER B
      "\u0061 1037 3099 093C 0334 0062",  # (a◌့◌゙◌़◌̴b; a◌̴◌့◌़◌゙b; a◌̴◌့◌़◌゙b; a◌̴◌့◌़◌゙b; a◌̴◌့◌़◌゙b; ) LATIN SMALL LETTER A, MYANMAR SIGN DOT BELOW, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 1039 0062",  # (a◌ְ◌्◌゙◌္b; a◌゙◌्◌္◌ְb; a◌゙◌्◌္◌ְb; a◌゙◌्◌္◌ְb; a◌゙◌्◌္◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, MYANMAR SIGN VIRAMA, LATIN SMALL LETTER B
      "\u0061 1039 05B0 094D 3099 0062",  # (a◌္◌ְ◌्◌゙b; a◌゙◌္◌्◌ְb; a◌゙◌္◌्◌ְb; a◌゙◌္◌्◌ְb; a◌゙◌္◌्◌ְb; ) LATIN SMALL LETTER A, MYANMAR SIGN VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 103A 0062",  # (a◌ְ◌्◌゙◌်b; a◌゙◌्◌်◌ְb; a◌゙◌्◌်◌ְb; a◌゙◌्◌်◌ְb; a◌゙◌्◌်◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, MYANMAR SIGN ASAT, LATIN SMALL LETTER B
      "\u0061 103A 05B0 094D 3099 0062",  # (a◌်◌ְ◌्◌゙b; a◌゙◌်◌्◌ְb; a◌゙◌်◌्◌ְb; a◌゙◌်◌्◌ְb; a◌゙◌်◌्◌ְb; ) LATIN SMALL LETTER A, MYANMAR SIGN ASAT, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 108D 0062",  # (a◌֚◌̖◌〪◌ႍb; a◌〪◌̖◌ႍ◌֚b; a◌〪◌̖◌ႍ◌֚b; a◌〪◌̖◌ႍ◌֚b; a◌〪◌̖◌ႍ◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, MYANMAR SIGN SHAN COUNCIL EMPHATIC TONE, LATIN SMALL LETTER B
      "\u0061 108D 059A 0316 302A 0062",  # (a◌ႍ◌֚◌̖◌〪b; a◌〪◌ႍ◌̖◌֚b; a◌〪◌ႍ◌̖◌֚b; a◌〪◌ႍ◌̖◌֚b; a◌〪◌ႍ◌̖◌֚b; ) LATIN SMALL LETTER A, MYANMAR SIGN SHAN COUNCIL EMPHATIC TONE, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 135D 0062",  # (a◌̕◌̀◌֮◌፝b; à◌֮◌፝◌̕b; a◌֮◌̀◌፝◌̕b; à◌֮◌፝◌̕b; a◌֮◌̀◌፝◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ETHIOPIC COMBINING GEMINATION AND VOWEL LENGTH MARK, LATIN SMALL LETTER B
      "\u0061 135D 0315 0300 05AE 0062",  # (a◌፝◌̕◌̀◌֮b; a◌֮◌፝◌̀◌̕b; a◌֮◌፝◌̀◌̕b; a◌֮◌፝◌̀◌̕b; a◌֮◌፝◌̀◌̕b; ) LATIN SMALL LETTER A, ETHIOPIC COMBINING GEMINATION AND VOWEL LENGTH MARK, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 135E 0062",  # (a◌̕◌̀◌֮◌፞b; à◌֮◌፞◌̕b; a◌֮◌̀◌፞◌̕b; à◌֮◌፞◌̕b; a◌֮◌̀◌፞◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ETHIOPIC COMBINING VOWEL LENGTH MARK, LATIN SMALL LETTER B
      "\u0061 135E 0315 0300 05AE 0062",  # (a◌፞◌̕◌̀◌֮b; a◌֮◌፞◌̀◌̕b; a◌֮◌፞◌̀◌̕b; a◌֮◌፞◌̀◌̕b; a◌֮◌፞◌̀◌̕b; ) LATIN SMALL LETTER A, ETHIOPIC COMBINING VOWEL LENGTH MARK, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 135F 0062",  # (a◌̕◌̀◌֮◌፟b; à◌֮◌፟◌̕b; a◌֮◌̀◌፟◌̕b; à◌֮◌፟◌̕b; a◌֮◌̀◌፟◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ETHIOPIC COMBINING GEMINATION MARK, LATIN SMALL LETTER B
      "\u0061 135F 0315 0300 05AE 0062",  # (a◌፟◌̕◌̀◌֮b; a◌֮◌፟◌̀◌̕b; a◌֮◌፟◌̀◌̕b; a◌֮◌፟◌̀◌̕b; a◌֮◌፟◌̀◌̕b; ) LATIN SMALL LETTER A, ETHIOPIC COMBINING GEMINATION MARK, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 1714 0062",  # (a◌ְ◌्◌゙◌᜔b; a◌゙◌्◌᜔◌ְb; a◌゙◌्◌᜔◌ְb; a◌゙◌्◌᜔◌ְb; a◌゙◌्◌᜔◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, TAGALOG SIGN VIRAMA, LATIN SMALL LETTER B
      "\u0061 1714 05B0 094D 3099 0062",  # (a◌᜔◌ְ◌्◌゙b; a◌゙◌᜔◌्◌ְb; a◌゙◌᜔◌्◌ְb; a◌゙◌᜔◌्◌ְb; a◌゙◌᜔◌्◌ְb; ) LATIN SMALL LETTER A, TAGALOG SIGN VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 1734 0062",  # (a◌ְ◌्◌゙◌᜴b; a◌゙◌्◌᜴◌ְb; a◌゙◌्◌᜴◌ְb; a◌゙◌्◌᜴◌ְb; a◌゙◌्◌᜴◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, HANUNOO SIGN PAMUDPOD, LATIN SMALL LETTER B
      "\u0061 1734 05B0 094D 3099 0062",  # (a◌᜴◌ְ◌्◌゙b; a◌゙◌᜴◌्◌ְb; a◌゙◌᜴◌्◌ְb; a◌゙◌᜴◌्◌ְb; a◌゙◌᜴◌्◌ְb; ) LATIN SMALL LETTER A, HANUNOO SIGN PAMUDPOD, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 17D2 0062",  # (a◌ְ◌्◌゙◌្b; a◌゙◌्◌្◌ְb; a◌゙◌्◌្◌ְb; a◌゙◌्◌្◌ְb; a◌゙◌्◌្◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, KHMER SIGN COENG, LATIN SMALL LETTER B
      "\u0061 17D2 05B0 094D 3099 0062",  # (a◌្◌ְ◌्◌゙b; a◌゙◌្◌्◌ְb; a◌゙◌្◌्◌ְb; a◌゙◌្◌्◌ְb; a◌゙◌្◌्◌ְb; ) LATIN SMALL LETTER A, KHMER SIGN COENG, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 17DD 0062",  # (a◌̕◌̀◌֮◌៝b; à◌֮◌៝◌̕b; a◌֮◌̀◌៝◌̕b; à◌֮◌៝◌̕b; a◌֮◌̀◌៝◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, KHMER SIGN ATTHACAN, LATIN SMALL LETTER B
      "\u0061 17DD 0315 0300 05AE 0062",  # (a◌៝◌̕◌̀◌֮b; a◌֮◌៝◌̀◌̕b; a◌֮◌៝◌̀◌̕b; a◌֮◌៝◌̀◌̕b; a◌֮◌៝◌̀◌̕b; ) LATIN SMALL LETTER A, KHMER SIGN ATTHACAN, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0300 05AE 1D16D 18A9 0062",  # (a◌̀◌𝅭֮◌ᢩb; à𝅭◌֮◌ᢩb; a𝅭◌֮◌ᢩ◌̀b; à𝅭◌֮◌ᢩb; a𝅭◌֮◌ᢩ◌̀b; ) LATIN SMALL LETTER A, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, MUSICAL SYMBOL COMBINING AUGMENTATION DOT, MONGOLIAN LETTER ALI GALI DAGALGA, LATIN SMALL LETTER B
      "\u0061 18A9 0300 05AE 1D16D 0062",  # (a◌ᢩ◌̀◌𝅭֮b; à𝅭◌ᢩ◌֮b; a𝅭◌ᢩ◌֮◌̀b; à𝅭◌ᢩ◌֮b; a𝅭◌ᢩ◌֮◌̀b; ) LATIN SMALL LETTER A, MONGOLIAN LETTER ALI GALI DAGALGA, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, MUSICAL SYMBOL COMBINING AUGMENTATION DOT, LATIN SMALL LETTER B
      "\u0061 302E 059A 0316 1939 0062",  # (a〮◌֚◌̖◌᤹b; a◌̖◌֚◌᤹〮b; a◌̖◌֚◌᤹〮b; a◌̖◌֚◌᤹〮b; a◌̖◌֚◌᤹〮b; ) LATIN SMALL LETTER A, HANGUL SINGLE DOT TONE MARK, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, LIMBU SIGN MUKPHRENG, LATIN SMALL LETTER B
      "\u0061 1939 302E 059A 0316 0062",  # (a◌᤹〮◌֚◌̖b; a◌̖◌᤹◌֚〮b; a◌̖◌᤹◌֚〮b; a◌̖◌᤹◌֚〮b; a◌̖◌᤹◌֚〮b; ) LATIN SMALL LETTER A, LIMBU SIGN MUKPHRENG, HANGUL SINGLE DOT TONE MARK, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 193A 0062",  # (a◌̕◌̀◌֮◌᤺b; à◌֮◌᤺◌̕b; a◌֮◌̀◌᤺◌̕b; à◌֮◌᤺◌̕b; a◌֮◌̀◌᤺◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LIMBU SIGN KEMPHRENG, LATIN SMALL LETTER B
      "\u0061 193A 0315 0300 05AE 0062",  # (a◌᤺◌̕◌̀◌֮b; a◌֮◌᤺◌̀◌̕b; a◌֮◌᤺◌̀◌̕b; a◌֮◌᤺◌̀◌̕b; a◌֮◌᤺◌̀◌̕b; ) LATIN SMALL LETTER A, LIMBU SIGN KEMPHRENG, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 193B 0062",  # (a◌֚◌̖◌〪◌᤻b; a◌〪◌̖◌᤻◌֚b; a◌〪◌̖◌᤻◌֚b; a◌〪◌̖◌᤻◌֚b; a◌〪◌̖◌᤻◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LIMBU SIGN SA-I, LATIN SMALL LETTER B
      "\u0061 193B 059A 0316 302A 0062",  # (a◌᤻◌֚◌̖◌〪b; a◌〪◌᤻◌̖◌֚b; a◌〪◌᤻◌̖◌֚b; a◌〪◌᤻◌̖◌֚b; a◌〪◌᤻◌̖◌֚b; ) LATIN SMALL LETTER A, LIMBU SIGN SA-I, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1A17 0062",  # (a◌̕◌̀◌֮◌ᨗb; à◌֮◌ᨗ◌̕b; a◌֮◌̀◌ᨗ◌̕b; à◌֮◌ᨗ◌̕b; a◌֮◌̀◌ᨗ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, BUGINESE VOWEL SIGN I, LATIN SMALL LETTER B
      "\u0061 1A17 0315 0300 05AE 0062",  # (a◌ᨗ◌̕◌̀◌֮b; a◌֮◌ᨗ◌̀◌̕b; a◌֮◌ᨗ◌̀◌̕b; a◌֮◌ᨗ◌̀◌̕b; a◌֮◌ᨗ◌̀◌̕b; ) LATIN SMALL LETTER A, BUGINESE VOWEL SIGN I, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1A18 0062",  # (a◌֚◌̖◌〪◌ᨘb; a◌〪◌̖◌ᨘ◌֚b; a◌〪◌̖◌ᨘ◌֚b; a◌〪◌̖◌ᨘ◌֚b; a◌〪◌̖◌ᨘ◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, BUGINESE VOWEL SIGN U, LATIN SMALL LETTER B
      "\u0061 1A18 059A 0316 302A 0062",  # (a◌ᨘ◌֚◌̖◌〪b; a◌〪◌ᨘ◌̖◌֚b; a◌〪◌ᨘ◌̖◌֚b; a◌〪◌ᨘ◌̖◌֚b; a◌〪◌ᨘ◌̖◌֚b; ) LATIN SMALL LETTER A, BUGINESE VOWEL SIGN U, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 1A60 0062",  # (a◌ְ◌्◌゙◌᩠b; a◌゙◌्◌᩠◌ְb; a◌゙◌्◌᩠◌ְb; a◌゙◌्◌᩠◌ְb; a◌゙◌्◌᩠◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, TAI THAM SIGN SAKOT, LATIN SMALL LETTER B
      "\u0061 1A60 05B0 094D 3099 0062",  # (a◌᩠◌ְ◌्◌゙b; a◌゙◌᩠◌्◌ְb; a◌゙◌᩠◌्◌ְb; a◌゙◌᩠◌्◌ְb; a◌゙◌᩠◌्◌ְb; ) LATIN SMALL LETTER A, TAI THAM SIGN SAKOT, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1A75 0062",  # (a◌̕◌̀◌֮◌᩵b; à◌֮◌᩵◌̕b; a◌֮◌̀◌᩵◌̕b; à◌֮◌᩵◌̕b; a◌֮◌̀◌᩵◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, TAI THAM SIGN TONE-1, LATIN SMALL LETTER B
      "\u0061 1A75 0315 0300 05AE 0062",  # (a◌᩵◌̕◌̀◌֮b; a◌֮◌᩵◌̀◌̕b; a◌֮◌᩵◌̀◌̕b; a◌֮◌᩵◌̀◌̕b; a◌֮◌᩵◌̀◌̕b; ) LATIN SMALL LETTER A, TAI THAM SIGN TONE-1, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1A76 0062",  # (a◌̕◌̀◌֮◌᩶b; à◌֮◌᩶◌̕b; a◌֮◌̀◌᩶◌̕b; à◌֮◌᩶◌̕b; a◌֮◌̀◌᩶◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, TAI THAM SIGN TONE-2, LATIN SMALL LETTER B
      "\u0061 1A76 0315 0300 05AE 0062",  # (a◌᩶◌̕◌̀◌֮b; a◌֮◌᩶◌̀◌̕b; a◌֮◌᩶◌̀◌̕b; a◌֮◌᩶◌̀◌̕b; a◌֮◌᩶◌̀◌̕b; ) LATIN SMALL LETTER A, TAI THAM SIGN TONE-2, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1A77 0062",  # (a◌̕◌̀◌֮◌᩷b; à◌֮◌᩷◌̕b; a◌֮◌̀◌᩷◌̕b; à◌֮◌᩷◌̕b; a◌֮◌̀◌᩷◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, TAI THAM SIGN KHUEN TONE-3, LATIN SMALL LETTER B
      "\u0061 1A77 0315 0300 05AE 0062",  # (a◌᩷◌̕◌̀◌֮b; a◌֮◌᩷◌̀◌̕b; a◌֮◌᩷◌̀◌̕b; a◌֮◌᩷◌̀◌̕b; a◌֮◌᩷◌̀◌̕b; ) LATIN SMALL LETTER A, TAI THAM SIGN KHUEN TONE-3, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1A78 0062",  # (a◌̕◌̀◌֮◌᩸b; à◌֮◌᩸◌̕b; a◌֮◌̀◌᩸◌̕b; à◌֮◌᩸◌̕b; a◌֮◌̀◌᩸◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, TAI THAM SIGN KHUEN TONE-4, LATIN SMALL LETTER B
      "\u0061 1A78 0315 0300 05AE 0062",  # (a◌᩸◌̕◌̀◌֮b; a◌֮◌᩸◌̀◌̕b; a◌֮◌᩸◌̀◌̕b; a◌֮◌᩸◌̀◌̕b; a◌֮◌᩸◌̀◌̕b; ) LATIN SMALL LETTER A, TAI THAM SIGN KHUEN TONE-4, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1A79 0062",  # (a◌̕◌̀◌֮◌᩹b; à◌֮◌᩹◌̕b; a◌֮◌̀◌᩹◌̕b; à◌֮◌᩹◌̕b; a◌֮◌̀◌᩹◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, TAI THAM SIGN KHUEN TONE-5, LATIN SMALL LETTER B
      "\u0061 1A79 0315 0300 05AE 0062",  # (a◌᩹◌̕◌̀◌֮b; a◌֮◌᩹◌̀◌̕b; a◌֮◌᩹◌̀◌̕b; a◌֮◌᩹◌̀◌̕b; a◌֮◌᩹◌̀◌̕b; ) LATIN SMALL LETTER A, TAI THAM SIGN KHUEN TONE-5, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1A7A 0062",  # (a◌̕◌̀◌֮◌᩺b; à◌֮◌᩺◌̕b; a◌֮◌̀◌᩺◌̕b; à◌֮◌᩺◌̕b; a◌֮◌̀◌᩺◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, TAI THAM SIGN RA HAAM, LATIN SMALL LETTER B
      "\u0061 1A7A 0315 0300 05AE 0062",  # (a◌᩺◌̕◌̀◌֮b; a◌֮◌᩺◌̀◌̕b; a◌֮◌᩺◌̀◌̕b; a◌֮◌᩺◌̀◌̕b; a◌֮◌᩺◌̀◌̕b; ) LATIN SMALL LETTER A, TAI THAM SIGN RA HAAM, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1A7B 0062",  # (a◌̕◌̀◌֮◌᩻b; à◌֮◌᩻◌̕b; a◌֮◌̀◌᩻◌̕b; à◌֮◌᩻◌̕b; a◌֮◌̀◌᩻◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, TAI THAM SIGN MAI SAM, LATIN SMALL LETTER B
      "\u0061 1A7B 0315 0300 05AE 0062",  # (a◌᩻◌̕◌̀◌֮b; a◌֮◌᩻◌̀◌̕b; a◌֮◌᩻◌̀◌̕b; a◌֮◌᩻◌̀◌̕b; a◌֮◌᩻◌̀◌̕b; ) LATIN SMALL LETTER A, TAI THAM SIGN MAI SAM, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1A7C 0062",  # (a◌̕◌̀◌֮◌᩼b; à◌֮◌᩼◌̕b; a◌֮◌̀◌᩼◌̕b; à◌֮◌᩼◌̕b; a◌֮◌̀◌᩼◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, TAI THAM SIGN KHUEN-LUE KARAN, LATIN SMALL LETTER B
      "\u0061 1A7C 0315 0300 05AE 0062",  # (a◌᩼◌̕◌̀◌֮b; a◌֮◌᩼◌̀◌̕b; a◌֮◌᩼◌̀◌̕b; a◌֮◌᩼◌̀◌̕b; a◌֮◌᩼◌̀◌̕b; ) LATIN SMALL LETTER A, TAI THAM SIGN KHUEN-LUE KARAN, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1A7F 0062",  # (a◌֚◌̖◌〪◌᩿b; a◌〪◌̖◌᩿◌֚b; a◌〪◌̖◌᩿◌֚b; a◌〪◌̖◌᩿◌֚b; a◌〪◌̖◌᩿◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, TAI THAM COMBINING CRYPTOGRAMMIC DOT, LATIN SMALL LETTER B
      "\u0061 1A7F 059A 0316 302A 0062",  # (a◌᩿◌֚◌̖◌〪b; a◌〪◌᩿◌̖◌֚b; a◌〪◌᩿◌̖◌֚b; a◌〪◌᩿◌̖◌֚b; a◌〪◌᩿◌̖◌֚b; ) LATIN SMALL LETTER A, TAI THAM COMBINING CRYPTOGRAMMIC DOT, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1AB0 0062",  # (a◌̕◌̀◌֮◌᪰b; à◌֮◌᪰◌̕b; a◌֮◌̀◌᪰◌̕b; à◌֮◌᪰◌̕b; a◌֮◌̀◌᪰◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DOUBLED CIRCUMFLEX ACCENT, LATIN SMALL LETTER B
      "\u0061 1AB0 0315 0300 05AE 0062",  # (a◌᪰◌̕◌̀◌֮b; a◌֮◌᪰◌̀◌̕b; a◌֮◌᪰◌̀◌̕b; a◌֮◌᪰◌̀◌̕b; a◌֮◌᪰◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DOUBLED CIRCUMFLEX ACCENT, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1AB1 0062",  # (a◌̕◌̀◌֮◌᪱b; à◌֮◌᪱◌̕b; a◌֮◌̀◌᪱◌̕b; à◌֮◌᪱◌̕b; a◌֮◌̀◌᪱◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DIAERESIS-RING, LATIN SMALL LETTER B
      "\u0061 1AB1 0315 0300 05AE 0062",  # (a◌᪱◌̕◌̀◌֮b; a◌֮◌᪱◌̀◌̕b; a◌֮◌᪱◌̀◌̕b; a◌֮◌᪱◌̀◌̕b; a◌֮◌᪱◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DIAERESIS-RING, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1AB2 0062",  # (a◌̕◌̀◌֮◌᪲b; à◌֮◌᪲◌̕b; a◌֮◌̀◌᪲◌̕b; à◌֮◌᪲◌̕b; a◌֮◌̀◌᪲◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING INFINITY, LATIN SMALL LETTER B
      "\u0061 1AB2 0315 0300 05AE 0062",  # (a◌᪲◌̕◌̀◌֮b; a◌֮◌᪲◌̀◌̕b; a◌֮◌᪲◌̀◌̕b; a◌֮◌᪲◌̀◌̕b; a◌֮◌᪲◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING INFINITY, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1AB3 0062",  # (a◌̕◌̀◌֮◌᪳b; à◌֮◌᪳◌̕b; a◌֮◌̀◌᪳◌̕b; à◌֮◌᪳◌̕b; a◌֮◌̀◌᪳◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DOWNWARDS ARROW, LATIN SMALL LETTER B
      "\u0061 1AB3 0315 0300 05AE 0062",  # (a◌᪳◌̕◌̀◌֮b; a◌֮◌᪳◌̀◌̕b; a◌֮◌᪳◌̀◌̕b; a◌֮◌᪳◌̀◌̕b; a◌֮◌᪳◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DOWNWARDS ARROW, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1AB4 0062",  # (a◌̕◌̀◌֮◌᪴b; à◌֮◌᪴◌̕b; a◌֮◌̀◌᪴◌̕b; à◌֮◌᪴◌̕b; a◌֮◌̀◌᪴◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING TRIPLE DOT, LATIN SMALL LETTER B
      "\u0061 1AB4 0315 0300 05AE 0062",  # (a◌᪴◌̕◌̀◌֮b; a◌֮◌᪴◌̀◌̕b; a◌֮◌᪴◌̀◌̕b; a◌֮◌᪴◌̀◌̕b; a◌֮◌᪴◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING TRIPLE DOT, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1AB5 0062",  # (a◌֚◌̖◌〪◌᪵b; a◌〪◌̖◌᪵◌֚b; a◌〪◌̖◌᪵◌֚b; a◌〪◌̖◌᪵◌֚b; a◌〪◌̖◌᪵◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING X-X BELOW, LATIN SMALL LETTER B
      "\u0061 1AB5 059A 0316 302A 0062",  # (a◌᪵◌֚◌̖◌〪b; a◌〪◌᪵◌̖◌֚b; a◌〪◌᪵◌̖◌֚b; a◌〪◌᪵◌̖◌֚b; a◌〪◌᪵◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING X-X BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1AB6 0062",  # (a◌֚◌̖◌〪◌᪶b; a◌〪◌̖◌᪶◌֚b; a◌〪◌̖◌᪶◌֚b; a◌〪◌̖◌᪶◌֚b; a◌〪◌̖◌᪶◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING WIGGLY LINE BELOW, LATIN SMALL LETTER B
      "\u0061 1AB6 059A 0316 302A 0062",  # (a◌᪶◌֚◌̖◌〪b; a◌〪◌᪶◌̖◌֚b; a◌〪◌᪶◌̖◌֚b; a◌〪◌᪶◌̖◌֚b; a◌〪◌᪶◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING WIGGLY LINE BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1AB7 0062",  # (a◌֚◌̖◌〪◌᪷b; a◌〪◌̖◌᪷◌֚b; a◌〪◌̖◌᪷◌֚b; a◌〪◌̖◌᪷◌֚b; a◌〪◌̖◌᪷◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING OPEN MARK BELOW, LATIN SMALL LETTER B
      "\u0061 1AB7 059A 0316 302A 0062",  # (a◌᪷◌֚◌̖◌〪b; a◌〪◌᪷◌̖◌֚b; a◌〪◌᪷◌̖◌֚b; a◌〪◌᪷◌̖◌֚b; a◌〪◌᪷◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING OPEN MARK BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1AB8 0062",  # (a◌֚◌̖◌〪◌᪸b; a◌〪◌̖◌᪸◌֚b; a◌〪◌̖◌᪸◌֚b; a◌〪◌̖◌᪸◌֚b; a◌〪◌̖◌᪸◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING DOUBLE OPEN MARK BELOW, LATIN SMALL LETTER B
      "\u0061 1AB8 059A 0316 302A 0062",  # (a◌᪸◌֚◌̖◌〪b; a◌〪◌᪸◌̖◌֚b; a◌〪◌᪸◌̖◌֚b; a◌〪◌᪸◌̖◌֚b; a◌〪◌᪸◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING DOUBLE OPEN MARK BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1AB9 0062",  # (a◌֚◌̖◌〪◌᪹b; a◌〪◌̖◌᪹◌֚b; a◌〪◌̖◌᪹◌֚b; a◌〪◌̖◌᪹◌֚b; a◌〪◌̖◌᪹◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING LIGHT CENTRALIZATION STROKE BELOW, LATIN SMALL LETTER B
      "\u0061 1AB9 059A 0316 302A 0062",  # (a◌᪹◌֚◌̖◌〪b; a◌〪◌᪹◌̖◌֚b; a◌〪◌᪹◌̖◌֚b; a◌〪◌᪹◌̖◌֚b; a◌〪◌᪹◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING LIGHT CENTRALIZATION STROKE BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1ABA 0062",  # (a◌֚◌̖◌〪◌᪺b; a◌〪◌̖◌᪺◌֚b; a◌〪◌̖◌᪺◌֚b; a◌〪◌̖◌᪺◌֚b; a◌〪◌̖◌᪺◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING STRONG CENTRALIZATION STROKE BELOW, LATIN SMALL LETTER B
      "\u0061 1ABA 059A 0316 302A 0062",  # (a◌᪺◌֚◌̖◌〪b; a◌〪◌᪺◌̖◌֚b; a◌〪◌᪺◌̖◌֚b; a◌〪◌᪺◌̖◌֚b; a◌〪◌᪺◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING STRONG CENTRALIZATION STROKE BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1ABB 0062",  # (a◌̕◌̀◌֮◌᪻b; à◌֮◌᪻◌̕b; a◌֮◌̀◌᪻◌̕b; à◌֮◌᪻◌̕b; a◌֮◌̀◌᪻◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING PARENTHESES ABOVE, LATIN SMALL LETTER B
      "\u0061 1ABB 0315 0300 05AE 0062",  # (a◌᪻◌̕◌̀◌֮b; a◌֮◌᪻◌̀◌̕b; a◌֮◌᪻◌̀◌̕b; a◌֮◌᪻◌̀◌̕b; a◌֮◌᪻◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING PARENTHESES ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1ABC 0062",  # (a◌̕◌̀◌֮◌᪼b; à◌֮◌᪼◌̕b; a◌֮◌̀◌᪼◌̕b; à◌֮◌᪼◌̕b; a◌֮◌̀◌᪼◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DOUBLE PARENTHESES ABOVE, LATIN SMALL LETTER B
      "\u0061 1ABC 0315 0300 05AE 0062",  # (a◌᪼◌̕◌̀◌֮b; a◌֮◌᪼◌̀◌̕b; a◌֮◌᪼◌̀◌̕b; a◌֮◌᪼◌̀◌̕b; a◌֮◌᪼◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DOUBLE PARENTHESES ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1ABD 0062",  # (a◌֚◌̖◌〪◌᪽b; a◌〪◌̖◌᪽◌֚b; a◌〪◌̖◌᪽◌֚b; a◌〪◌̖◌᪽◌֚b; a◌〪◌̖◌᪽◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING PARENTHESES BELOW, LATIN SMALL LETTER B
      "\u0061 1ABD 059A 0316 302A 0062",  # (a◌᪽◌֚◌̖◌〪b; a◌〪◌᪽◌̖◌֚b; a◌〪◌᪽◌̖◌֚b; a◌〪◌᪽◌̖◌֚b; a◌〪◌᪽◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING PARENTHESES BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 3099 093C 0334 1B34 0062",  # (a◌゙◌़◌̴◌᬴b; a◌̴◌़◌᬴◌゙b; a◌̴◌़◌᬴◌゙b; a◌̴◌़◌᬴◌゙b; a◌̴◌़◌᬴◌゙b; ) LATIN SMALL LETTER A, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, BALINESE SIGN REREKAN, LATIN SMALL LETTER B
      "\u0061 1B34 3099 093C 0334 0062",  # (a◌᬴◌゙◌़◌̴b; a◌̴◌᬴◌़◌゙b; a◌̴◌᬴◌़◌゙b; a◌̴◌᬴◌़◌゙b; a◌̴◌᬴◌़◌゙b; ) LATIN SMALL LETTER A, BALINESE SIGN REREKAN, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 1B44 0062",  # (a◌ְ◌्◌゙᭄b; a◌゙◌्᭄◌ְb; a◌゙◌्᭄◌ְb; a◌゙◌्᭄◌ְb; a◌゙◌्᭄◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, BALINESE ADEG ADEG, LATIN SMALL LETTER B
      "\u0061 1B44 05B0 094D 3099 0062",  # (a᭄◌ְ◌्◌゙b; a◌゙᭄◌्◌ְb; a◌゙᭄◌्◌ְb; a◌゙᭄◌्◌ְb; a◌゙᭄◌्◌ְb; ) LATIN SMALL LETTER A, BALINESE ADEG ADEG, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1B6B 0062",  # (a◌̕◌̀◌֮◌᭫b; à◌֮◌᭫◌̕b; a◌֮◌̀◌᭫◌̕b; à◌֮◌᭫◌̕b; a◌֮◌̀◌᭫◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, BALINESE MUSICAL SYMBOL COMBINING TEGEH, LATIN SMALL LETTER B
      "\u0061 1B6B 0315 0300 05AE 0062",  # (a◌᭫◌̕◌̀◌֮b; a◌֮◌᭫◌̀◌̕b; a◌֮◌᭫◌̀◌̕b; a◌֮◌᭫◌̀◌̕b; a◌֮◌᭫◌̀◌̕b; ) LATIN SMALL LETTER A, BALINESE MUSICAL SYMBOL COMBINING TEGEH, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1B6C 0062",  # (a◌֚◌̖◌〪◌᭬b; a◌〪◌̖◌᭬◌֚b; a◌〪◌̖◌᭬◌֚b; a◌〪◌̖◌᭬◌֚b; a◌〪◌̖◌᭬◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, BALINESE MUSICAL SYMBOL COMBINING ENDEP, LATIN SMALL LETTER B
      "\u0061 1B6C 059A 0316 302A 0062",  # (a◌᭬◌֚◌̖◌〪b; a◌〪◌᭬◌̖◌֚b; a◌〪◌᭬◌̖◌֚b; a◌〪◌᭬◌̖◌֚b; a◌〪◌᭬◌̖◌֚b; ) LATIN SMALL LETTER A, BALINESE MUSICAL SYMBOL COMBINING ENDEP, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1B6D 0062",  # (a◌̕◌̀◌֮◌᭭b; à◌֮◌᭭◌̕b; a◌֮◌̀◌᭭◌̕b; à◌֮◌᭭◌̕b; a◌֮◌̀◌᭭◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, BALINESE MUSICAL SYMBOL COMBINING KEMPUL, LATIN SMALL LETTER B
      "\u0061 1B6D 0315 0300 05AE 0062",  # (a◌᭭◌̕◌̀◌֮b; a◌֮◌᭭◌̀◌̕b; a◌֮◌᭭◌̀◌̕b; a◌֮◌᭭◌̀◌̕b; a◌֮◌᭭◌̀◌̕b; ) LATIN SMALL LETTER A, BALINESE MUSICAL SYMBOL COMBINING KEMPUL, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1B6E 0062",  # (a◌̕◌̀◌֮◌᭮b; à◌֮◌᭮◌̕b; a◌֮◌̀◌᭮◌̕b; à◌֮◌᭮◌̕b; a◌֮◌̀◌᭮◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, BALINESE MUSICAL SYMBOL COMBINING KEMPLI, LATIN SMALL LETTER B
      "\u0061 1B6E 0315 0300 05AE 0062",  # (a◌᭮◌̕◌̀◌֮b; a◌֮◌᭮◌̀◌̕b; a◌֮◌᭮◌̀◌̕b; a◌֮◌᭮◌̀◌̕b; a◌֮◌᭮◌̀◌̕b; ) LATIN SMALL LETTER A, BALINESE MUSICAL SYMBOL COMBINING KEMPLI, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1B6F 0062",  # (a◌̕◌̀◌֮◌᭯b; à◌֮◌᭯◌̕b; a◌֮◌̀◌᭯◌̕b; à◌֮◌᭯◌̕b; a◌֮◌̀◌᭯◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, BALINESE MUSICAL SYMBOL COMBINING JEGOGAN, LATIN SMALL LETTER B
      "\u0061 1B6F 0315 0300 05AE 0062",  # (a◌᭯◌̕◌̀◌֮b; a◌֮◌᭯◌̀◌̕b; a◌֮◌᭯◌̀◌̕b; a◌֮◌᭯◌̀◌̕b; a◌֮◌᭯◌̀◌̕b; ) LATIN SMALL LETTER A, BALINESE MUSICAL SYMBOL COMBINING JEGOGAN, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1B70 0062",  # (a◌̕◌̀◌֮◌᭰b; à◌֮◌᭰◌̕b; a◌֮◌̀◌᭰◌̕b; à◌֮◌᭰◌̕b; a◌֮◌̀◌᭰◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, BALINESE MUSICAL SYMBOL COMBINING KEMPUL WITH JEGOGAN, LATIN SMALL LETTER B
      "\u0061 1B70 0315 0300 05AE 0062",  # (a◌᭰◌̕◌̀◌֮b; a◌֮◌᭰◌̀◌̕b; a◌֮◌᭰◌̀◌̕b; a◌֮◌᭰◌̀◌̕b; a◌֮◌᭰◌̀◌̕b; ) LATIN SMALL LETTER A, BALINESE MUSICAL SYMBOL COMBINING KEMPUL WITH JEGOGAN, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1B71 0062",  # (a◌̕◌̀◌֮◌᭱b; à◌֮◌᭱◌̕b; a◌֮◌̀◌᭱◌̕b; à◌֮◌᭱◌̕b; a◌֮◌̀◌᭱◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, BALINESE MUSICAL SYMBOL COMBINING KEMPLI WITH JEGOGAN, LATIN SMALL LETTER B
      "\u0061 1B71 0315 0300 05AE 0062",  # (a◌᭱◌̕◌̀◌֮b; a◌֮◌᭱◌̀◌̕b; a◌֮◌᭱◌̀◌̕b; a◌֮◌᭱◌̀◌̕b; a◌֮◌᭱◌̀◌̕b; ) LATIN SMALL LETTER A, BALINESE MUSICAL SYMBOL COMBINING KEMPLI WITH JEGOGAN, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1B72 0062",  # (a◌̕◌̀◌֮◌᭲b; à◌֮◌᭲◌̕b; a◌֮◌̀◌᭲◌̕b; à◌֮◌᭲◌̕b; a◌֮◌̀◌᭲◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, BALINESE MUSICAL SYMBOL COMBINING BENDE, LATIN SMALL LETTER B
      "\u0061 1B72 0315 0300 05AE 0062",  # (a◌᭲◌̕◌̀◌֮b; a◌֮◌᭲◌̀◌̕b; a◌֮◌᭲◌̀◌̕b; a◌֮◌᭲◌̀◌̕b; a◌֮◌᭲◌̀◌̕b; ) LATIN SMALL LETTER A, BALINESE MUSICAL SYMBOL COMBINING BENDE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1B73 0062",  # (a◌̕◌̀◌֮◌᭳b; à◌֮◌᭳◌̕b; a◌֮◌̀◌᭳◌̕b; à◌֮◌᭳◌̕b; a◌֮◌̀◌᭳◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, BALINESE MUSICAL SYMBOL COMBINING GONG, LATIN SMALL LETTER B
      "\u0061 1B73 0315 0300 05AE 0062",  # (a◌᭳◌̕◌̀◌֮b; a◌֮◌᭳◌̀◌̕b; a◌֮◌᭳◌̀◌̕b; a◌֮◌᭳◌̀◌̕b; a◌֮◌᭳◌̀◌̕b; ) LATIN SMALL LETTER A, BALINESE MUSICAL SYMBOL COMBINING GONG, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 1BAA 0062",  # (a◌ְ◌्◌゙᮪b; a◌゙◌्᮪◌ְb; a◌゙◌्᮪◌ְb; a◌゙◌्᮪◌ְb; a◌゙◌्᮪◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, SUNDANESE SIGN PAMAAEH, LATIN SMALL LETTER B
      "\u0061 1BAA 05B0 094D 3099 0062",  # (a᮪◌ְ◌्◌゙b; a◌゙᮪◌्◌ְb; a◌゙᮪◌्◌ְb; a◌゙᮪◌्◌ְb; a◌゙᮪◌्◌ְb; ) LATIN SMALL LETTER A, SUNDANESE SIGN PAMAAEH, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 1BAB 0062",  # (a◌ְ◌्◌゙◌᮫b; a◌゙◌्◌᮫◌ְb; a◌゙◌्◌᮫◌ְb; a◌゙◌्◌᮫◌ְb; a◌゙◌्◌᮫◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, SUNDANESE SIGN VIRAMA, LATIN SMALL LETTER B
      "\u0061 1BAB 05B0 094D 3099 0062",  # (a◌᮫◌ְ◌्◌゙b; a◌゙◌᮫◌्◌ְb; a◌゙◌᮫◌्◌ְb; a◌゙◌᮫◌्◌ְb; a◌゙◌᮫◌्◌ְb; ) LATIN SMALL LETTER A, SUNDANESE SIGN VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 3099 093C 0334 1BE6 0062",  # (a◌゙◌़◌̴◌᯦b; a◌̴◌़◌᯦◌゙b; a◌̴◌़◌᯦◌゙b; a◌̴◌़◌᯦◌゙b; a◌̴◌़◌᯦◌゙b; ) LATIN SMALL LETTER A, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, BATAK SIGN TOMPI, LATIN SMALL LETTER B
      "\u0061 1BE6 3099 093C 0334 0062",  # (a◌᯦◌゙◌़◌̴b; a◌̴◌᯦◌़◌゙b; a◌̴◌᯦◌़◌゙b; a◌̴◌᯦◌़◌゙b; a◌̴◌᯦◌़◌゙b; ) LATIN SMALL LETTER A, BATAK SIGN TOMPI, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 1BF2 0062",  # (a◌ְ◌्◌゙᯲b; a◌゙◌्᯲◌ְb; a◌゙◌्᯲◌ְb; a◌゙◌्᯲◌ְb; a◌゙◌्᯲◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, BATAK PANGOLAT, LATIN SMALL LETTER B
      "\u0061 1BF2 05B0 094D 3099 0062",  # (a᯲◌ְ◌्◌゙b; a◌゙᯲◌्◌ְb; a◌゙᯲◌्◌ְb; a◌゙᯲◌्◌ְb; a◌゙᯲◌्◌ְb; ) LATIN SMALL LETTER A, BATAK PANGOLAT, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 1BF3 0062",  # (a◌ְ◌्◌゙᯳b; a◌゙◌्᯳◌ְb; a◌゙◌्᯳◌ְb; a◌゙◌्᯳◌ְb; a◌゙◌्᯳◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, BATAK PANONGONAN, LATIN SMALL LETTER B
      "\u0061 1BF3 05B0 094D 3099 0062",  # (a᯳◌ְ◌्◌゙b; a◌゙᯳◌्◌ְb; a◌゙᯳◌्◌ְb; a◌゙᯳◌्◌ְb; a◌゙᯳◌्◌ְb; ) LATIN SMALL LETTER A, BATAK PANONGONAN, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 3099 093C 0334 1C37 0062",  # (a◌゙◌़◌̴◌᰷b; a◌̴◌़◌᰷◌゙b; a◌̴◌़◌᰷◌゙b; a◌̴◌़◌᰷◌゙b; a◌̴◌़◌᰷◌゙b; ) LATIN SMALL LETTER A, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LEPCHA SIGN NUKTA, LATIN SMALL LETTER B
      "\u0061 1C37 3099 093C 0334 0062",  # (a◌᰷◌゙◌़◌̴b; a◌̴◌᰷◌़◌゙b; a◌̴◌᰷◌़◌゙b; a◌̴◌᰷◌़◌゙b; a◌̴◌᰷◌़◌゙b; ) LATIN SMALL LETTER A, LEPCHA SIGN NUKTA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1CD0 0062",  # (a◌̕◌̀◌֮◌᳐b; à◌֮◌᳐◌̕b; a◌֮◌̀◌᳐◌̕b; à◌֮◌᳐◌̕b; a◌֮◌̀◌᳐◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, VEDIC TONE KARSHANA, LATIN SMALL LETTER B
      "\u0061 1CD0 0315 0300 05AE 0062",  # (a◌᳐◌̕◌̀◌֮b; a◌֮◌᳐◌̀◌̕b; a◌֮◌᳐◌̀◌̕b; a◌֮◌᳐◌̀◌̕b; a◌֮◌᳐◌̀◌̕b; ) LATIN SMALL LETTER A, VEDIC TONE KARSHANA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1CD1 0062",  # (a◌̕◌̀◌֮◌᳑b; à◌֮◌᳑◌̕b; a◌֮◌̀◌᳑◌̕b; à◌֮◌᳑◌̕b; a◌֮◌̀◌᳑◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, VEDIC TONE SHARA, LATIN SMALL LETTER B
      "\u0061 1CD1 0315 0300 05AE 0062",  # (a◌᳑◌̕◌̀◌֮b; a◌֮◌᳑◌̀◌̕b; a◌֮◌᳑◌̀◌̕b; a◌֮◌᳑◌̀◌̕b; a◌֮◌᳑◌̀◌̕b; ) LATIN SMALL LETTER A, VEDIC TONE SHARA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1CD2 0062",  # (a◌̕◌̀◌֮◌᳒b; à◌֮◌᳒◌̕b; a◌֮◌̀◌᳒◌̕b; à◌֮◌᳒◌̕b; a◌֮◌̀◌᳒◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, VEDIC TONE PRENKHA, LATIN SMALL LETTER B
      "\u0061 1CD2 0315 0300 05AE 0062",  # (a◌᳒◌̕◌̀◌֮b; a◌֮◌᳒◌̀◌̕b; a◌֮◌᳒◌̀◌̕b; a◌֮◌᳒◌̀◌̕b; a◌֮◌᳒◌̀◌̕b; ) LATIN SMALL LETTER A, VEDIC TONE PRENKHA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 093C 0334 1CD4 0062",  # (a◌़◌̴◌᳔b; a◌̴◌᳔◌़b; a◌̴◌᳔◌़b; a◌̴◌᳔◌़b; a◌̴◌᳔◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, VEDIC SIGN YAJURVEDIC MIDLINE SVARITA, LATIN SMALL LETTER B
      "\u0061 1CD4 093C 0334 0062",  # (a◌᳔◌़◌̴b; a◌᳔◌̴◌़b; a◌᳔◌̴◌़b; a◌᳔◌̴◌़b; a◌᳔◌̴◌़b; ) LATIN SMALL LETTER A, VEDIC SIGN YAJURVEDIC MIDLINE SVARITA, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1CD5 0062",  # (a◌֚◌̖◌〪◌᳕b; a◌〪◌̖◌᳕◌֚b; a◌〪◌̖◌᳕◌֚b; a◌〪◌̖◌᳕◌֚b; a◌〪◌̖◌᳕◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, VEDIC TONE YAJURVEDIC AGGRAVATED INDEPENDENT SVARITA, LATIN SMALL LETTER B
      "\u0061 1CD5 059A 0316 302A 0062",  # (a◌᳕◌֚◌̖◌〪b; a◌〪◌᳕◌̖◌֚b; a◌〪◌᳕◌̖◌֚b; a◌〪◌᳕◌̖◌֚b; a◌〪◌᳕◌̖◌֚b; ) LATIN SMALL LETTER A, VEDIC TONE YAJURVEDIC AGGRAVATED INDEPENDENT SVARITA, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1CD6 0062",  # (a◌֚◌̖◌〪◌᳖b; a◌〪◌̖◌᳖◌֚b; a◌〪◌̖◌᳖◌֚b; a◌〪◌̖◌᳖◌֚b; a◌〪◌̖◌᳖◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, VEDIC TONE YAJURVEDIC INDEPENDENT SVARITA, LATIN SMALL LETTER B
      "\u0061 1CD6 059A 0316 302A 0062",  # (a◌᳖◌֚◌̖◌〪b; a◌〪◌᳖◌̖◌֚b; a◌〪◌᳖◌̖◌֚b; a◌〪◌᳖◌̖◌֚b; a◌〪◌᳖◌̖◌֚b; ) LATIN SMALL LETTER A, VEDIC TONE YAJURVEDIC INDEPENDENT SVARITA, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1CD7 0062",  # (a◌֚◌̖◌〪◌᳗b; a◌〪◌̖◌᳗◌֚b; a◌〪◌̖◌᳗◌֚b; a◌〪◌̖◌᳗◌֚b; a◌〪◌̖◌᳗◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, VEDIC TONE YAJURVEDIC KATHAKA INDEPENDENT SVARITA, LATIN SMALL LETTER B
      "\u0061 1CD7 059A 0316 302A 0062",  # (a◌᳗◌֚◌̖◌〪b; a◌〪◌᳗◌̖◌֚b; a◌〪◌᳗◌̖◌֚b; a◌〪◌᳗◌̖◌֚b; a◌〪◌᳗◌̖◌֚b; ) LATIN SMALL LETTER A, VEDIC TONE YAJURVEDIC KATHAKA INDEPENDENT SVARITA, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1CD8 0062",  # (a◌֚◌̖◌〪◌᳘b; a◌〪◌̖◌᳘◌֚b; a◌〪◌̖◌᳘◌֚b; a◌〪◌̖◌᳘◌֚b; a◌〪◌̖◌᳘◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, VEDIC TONE CANDRA BELOW, LATIN SMALL LETTER B
      "\u0061 1CD8 059A 0316 302A 0062",  # (a◌᳘◌֚◌̖◌〪b; a◌〪◌᳘◌̖◌֚b; a◌〪◌᳘◌̖◌֚b; a◌〪◌᳘◌̖◌֚b; a◌〪◌᳘◌̖◌֚b; ) LATIN SMALL LETTER A, VEDIC TONE CANDRA BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1CD9 0062",  # (a◌֚◌̖◌〪◌᳙b; a◌〪◌̖◌᳙◌֚b; a◌〪◌̖◌᳙◌֚b; a◌〪◌̖◌᳙◌֚b; a◌〪◌̖◌᳙◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, VEDIC TONE YAJURVEDIC KATHAKA INDEPENDENT SVARITA SCHROEDER, LATIN SMALL LETTER B
      "\u0061 1CD9 059A 0316 302A 0062",  # (a◌᳙◌֚◌̖◌〪b; a◌〪◌᳙◌̖◌֚b; a◌〪◌᳙◌̖◌֚b; a◌〪◌᳙◌̖◌֚b; a◌〪◌᳙◌̖◌֚b; ) LATIN SMALL LETTER A, VEDIC TONE YAJURVEDIC KATHAKA INDEPENDENT SVARITA SCHROEDER, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1CDA 0062",  # (a◌̕◌̀◌֮◌᳚b; à◌֮◌᳚◌̕b; a◌֮◌̀◌᳚◌̕b; à◌֮◌᳚◌̕b; a◌֮◌̀◌᳚◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, VEDIC TONE DOUBLE SVARITA, LATIN SMALL LETTER B
      "\u0061 1CDA 0315 0300 05AE 0062",  # (a◌᳚◌̕◌̀◌֮b; a◌֮◌᳚◌̀◌̕b; a◌֮◌᳚◌̀◌̕b; a◌֮◌᳚◌̀◌̕b; a◌֮◌᳚◌̀◌̕b; ) LATIN SMALL LETTER A, VEDIC TONE DOUBLE SVARITA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1CDB 0062",  # (a◌̕◌̀◌֮◌᳛b; à◌֮◌᳛◌̕b; a◌֮◌̀◌᳛◌̕b; à◌֮◌᳛◌̕b; a◌֮◌̀◌᳛◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, VEDIC TONE TRIPLE SVARITA, LATIN SMALL LETTER B
      "\u0061 1CDB 0315 0300 05AE 0062",  # (a◌᳛◌̕◌̀◌֮b; a◌֮◌᳛◌̀◌̕b; a◌֮◌᳛◌̀◌̕b; a◌֮◌᳛◌̀◌̕b; a◌֮◌᳛◌̀◌̕b; ) LATIN SMALL LETTER A, VEDIC TONE TRIPLE SVARITA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1CDC 0062",  # (a◌֚◌̖◌〪◌᳜b; a◌〪◌̖◌᳜◌֚b; a◌〪◌̖◌᳜◌֚b; a◌〪◌̖◌᳜◌֚b; a◌〪◌̖◌᳜◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, VEDIC TONE KATHAKA ANUDATTA, LATIN SMALL LETTER B
      "\u0061 1CDC 059A 0316 302A 0062",  # (a◌᳜◌֚◌̖◌〪b; a◌〪◌᳜◌̖◌֚b; a◌〪◌᳜◌̖◌֚b; a◌〪◌᳜◌̖◌֚b; a◌〪◌᳜◌̖◌֚b; ) LATIN SMALL LETTER A, VEDIC TONE KATHAKA ANUDATTA, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1CDD 0062",  # (a◌֚◌̖◌〪◌᳝b; a◌〪◌̖◌᳝◌֚b; a◌〪◌̖◌᳝◌֚b; a◌〪◌̖◌᳝◌֚b; a◌〪◌̖◌᳝◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, VEDIC TONE DOT BELOW, LATIN SMALL LETTER B
      "\u0061 1CDD 059A 0316 302A 0062",  # (a◌᳝◌֚◌̖◌〪b; a◌〪◌᳝◌̖◌֚b; a◌〪◌᳝◌̖◌֚b; a◌〪◌᳝◌̖◌֚b; a◌〪◌᳝◌̖◌֚b; ) LATIN SMALL LETTER A, VEDIC TONE DOT BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1CDE 0062",  # (a◌֚◌̖◌〪◌᳞b; a◌〪◌̖◌᳞◌֚b; a◌〪◌̖◌᳞◌֚b; a◌〪◌̖◌᳞◌֚b; a◌〪◌̖◌᳞◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, VEDIC TONE TWO DOTS BELOW, LATIN SMALL LETTER B
      "\u0061 1CDE 059A 0316 302A 0062",  # (a◌᳞◌֚◌̖◌〪b; a◌〪◌᳞◌̖◌֚b; a◌〪◌᳞◌̖◌֚b; a◌〪◌᳞◌̖◌֚b; a◌〪◌᳞◌̖◌֚b; ) LATIN SMALL LETTER A, VEDIC TONE TWO DOTS BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1CDF 0062",  # (a◌֚◌̖◌〪◌᳟b; a◌〪◌̖◌᳟◌֚b; a◌〪◌̖◌᳟◌֚b; a◌〪◌̖◌᳟◌֚b; a◌〪◌̖◌᳟◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, VEDIC TONE THREE DOTS BELOW, LATIN SMALL LETTER B
      "\u0061 1CDF 059A 0316 302A 0062",  # (a◌᳟◌֚◌̖◌〪b; a◌〪◌᳟◌̖◌֚b; a◌〪◌᳟◌̖◌֚b; a◌〪◌᳟◌̖◌֚b; a◌〪◌᳟◌̖◌֚b; ) LATIN SMALL LETTER A, VEDIC TONE THREE DOTS BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1CE0 0062",  # (a◌̕◌̀◌֮◌᳠b; à◌֮◌᳠◌̕b; a◌֮◌̀◌᳠◌̕b; à◌֮◌᳠◌̕b; a◌֮◌̀◌᳠◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, VEDIC TONE RIGVEDIC KASHMIRI INDEPENDENT SVARITA, LATIN SMALL LETTER B
      "\u0061 1CE0 0315 0300 05AE 0062",  # (a◌᳠◌̕◌̀◌֮b; a◌֮◌᳠◌̀◌̕b; a◌֮◌᳠◌̀◌̕b; a◌֮◌᳠◌̀◌̕b; a◌֮◌᳠◌̀◌̕b; ) LATIN SMALL LETTER A, VEDIC TONE RIGVEDIC KASHMIRI INDEPENDENT SVARITA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 093C 0334 1CE2 0062",  # (a◌़◌̴◌᳢b; a◌̴◌᳢◌़b; a◌̴◌᳢◌़b; a◌̴◌᳢◌़b; a◌̴◌᳢◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, VEDIC SIGN VISARGA SVARITA, LATIN SMALL LETTER B
      "\u0061 1CE2 093C 0334 0062",  # (a◌᳢◌़◌̴b; a◌᳢◌̴◌़b; a◌᳢◌̴◌़b; a◌᳢◌̴◌़b; a◌᳢◌̴◌़b; ) LATIN SMALL LETTER A, VEDIC SIGN VISARGA SVARITA, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 093C 0334 1CE3 0062",  # (a◌़◌̴◌᳣b; a◌̴◌᳣◌़b; a◌̴◌᳣◌़b; a◌̴◌᳣◌़b; a◌̴◌᳣◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, VEDIC SIGN VISARGA UDATTA, LATIN SMALL LETTER B
      "\u0061 1CE3 093C 0334 0062",  # (a◌᳣◌़◌̴b; a◌᳣◌̴◌़b; a◌᳣◌̴◌़b; a◌᳣◌̴◌़b; a◌᳣◌̴◌़b; ) LATIN SMALL LETTER A, VEDIC SIGN VISARGA UDATTA, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 093C 0334 1CE4 0062",  # (a◌़◌̴◌᳤b; a◌̴◌᳤◌़b; a◌̴◌᳤◌़b; a◌̴◌᳤◌़b; a◌̴◌᳤◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, VEDIC SIGN REVERSED VISARGA UDATTA, LATIN SMALL LETTER B
      "\u0061 1CE4 093C 0334 0062",  # (a◌᳤◌़◌̴b; a◌᳤◌̴◌़b; a◌᳤◌̴◌़b; a◌᳤◌̴◌़b; a◌᳤◌̴◌़b; ) LATIN SMALL LETTER A, VEDIC SIGN REVERSED VISARGA UDATTA, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 093C 0334 1CE5 0062",  # (a◌़◌̴◌᳥b; a◌̴◌᳥◌़b; a◌̴◌᳥◌़b; a◌̴◌᳥◌़b; a◌̴◌᳥◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, VEDIC SIGN VISARGA ANUDATTA, LATIN SMALL LETTER B
      "\u0061 1CE5 093C 0334 0062",  # (a◌᳥◌़◌̴b; a◌᳥◌̴◌़b; a◌᳥◌̴◌़b; a◌᳥◌̴◌़b; a◌᳥◌̴◌़b; ) LATIN SMALL LETTER A, VEDIC SIGN VISARGA ANUDATTA, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 093C 0334 1CE6 0062",  # (a◌़◌̴◌᳦b; a◌̴◌᳦◌़b; a◌̴◌᳦◌़b; a◌̴◌᳦◌़b; a◌̴◌᳦◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, VEDIC SIGN REVERSED VISARGA ANUDATTA, LATIN SMALL LETTER B
      "\u0061 1CE6 093C 0334 0062",  # (a◌᳦◌़◌̴b; a◌᳦◌̴◌़b; a◌᳦◌̴◌़b; a◌᳦◌̴◌़b; a◌᳦◌̴◌़b; ) LATIN SMALL LETTER A, VEDIC SIGN REVERSED VISARGA ANUDATTA, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 093C 0334 1CE7 0062",  # (a◌़◌̴◌᳧b; a◌̴◌᳧◌़b; a◌̴◌᳧◌़b; a◌̴◌᳧◌़b; a◌̴◌᳧◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, VEDIC SIGN VISARGA UDATTA WITH TAIL, LATIN SMALL LETTER B
      "\u0061 1CE7 093C 0334 0062",  # (a◌᳧◌़◌̴b; a◌᳧◌̴◌़b; a◌᳧◌̴◌़b; a◌᳧◌̴◌़b; a◌᳧◌̴◌़b; ) LATIN SMALL LETTER A, VEDIC SIGN VISARGA UDATTA WITH TAIL, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 093C 0334 1CE8 0062",  # (a◌़◌̴◌᳨b; a◌̴◌᳨◌़b; a◌̴◌᳨◌़b; a◌̴◌᳨◌़b; a◌̴◌᳨◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, VEDIC SIGN VISARGA ANUDATTA WITH TAIL, LATIN SMALL LETTER B
      "\u0061 1CE8 093C 0334 0062",  # (a◌᳨◌़◌̴b; a◌᳨◌̴◌़b; a◌᳨◌̴◌़b; a◌᳨◌̴◌़b; a◌᳨◌̴◌़b; ) LATIN SMALL LETTER A, VEDIC SIGN VISARGA ANUDATTA WITH TAIL, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1CED 0062",  # (a◌֚◌̖◌〪◌᳭b; a◌〪◌̖◌᳭◌֚b; a◌〪◌̖◌᳭◌֚b; a◌〪◌̖◌᳭◌֚b; a◌〪◌̖◌᳭◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, VEDIC SIGN TIRYAK, LATIN SMALL LETTER B
      "\u0061 1CED 059A 0316 302A 0062",  # (a◌᳭◌֚◌̖◌〪b; a◌〪◌᳭◌̖◌֚b; a◌〪◌᳭◌̖◌֚b; a◌〪◌᳭◌̖◌֚b; a◌〪◌᳭◌̖◌֚b; ) LATIN SMALL LETTER A, VEDIC SIGN TIRYAK, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1CF4 0062",  # (a◌̕◌̀◌֮◌᳴b; à◌֮◌᳴◌̕b; a◌֮◌̀◌᳴◌̕b; à◌֮◌᳴◌̕b; a◌֮◌̀◌᳴◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, VEDIC TONE CANDRA ABOVE, LATIN SMALL LETTER B
      "\u0061 1CF4 0315 0300 05AE 0062",  # (a◌᳴◌̕◌̀◌֮b; a◌֮◌᳴◌̀◌̕b; a◌֮◌᳴◌̀◌̕b; a◌֮◌᳴◌̀◌̕b; a◌֮◌᳴◌̀◌̕b; ) LATIN SMALL LETTER A, VEDIC TONE CANDRA ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1CF8 0062",  # (a◌̕◌̀◌֮◌᳸b; à◌֮◌᳸◌̕b; a◌֮◌̀◌᳸◌̕b; à◌֮◌᳸◌̕b; a◌֮◌̀◌᳸◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, VEDIC TONE RING ABOVE, LATIN SMALL LETTER B
      "\u0061 1CF8 0315 0300 05AE 0062",  # (a◌᳸◌̕◌̀◌֮b; a◌֮◌᳸◌̀◌̕b; a◌֮◌᳸◌̀◌̕b; a◌֮◌᳸◌̀◌̕b; a◌֮◌᳸◌̀◌̕b; ) LATIN SMALL LETTER A, VEDIC TONE RING ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1CF9 0062",  # (a◌̕◌̀◌֮◌᳹b; à◌֮◌᳹◌̕b; a◌֮◌̀◌᳹◌̕b; à◌֮◌᳹◌̕b; a◌֮◌̀◌᳹◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, VEDIC TONE DOUBLE RING ABOVE, LATIN SMALL LETTER B
      "\u0061 1CF9 0315 0300 05AE 0062",  # (a◌᳹◌̕◌̀◌֮b; a◌֮◌᳹◌̀◌̕b; a◌֮◌᳹◌̀◌̕b; a◌֮◌᳹◌̀◌̕b; a◌֮◌᳹◌̀◌̕b; ) LATIN SMALL LETTER A, VEDIC TONE DOUBLE RING ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DC0 0062",  # (a◌̕◌̀◌֮◌᷀b; à◌֮◌᷀◌̕b; a◌֮◌̀◌᷀◌̕b; à◌֮◌᷀◌̕b; a◌֮◌̀◌᷀◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DOTTED GRAVE ACCENT, LATIN SMALL LETTER B
      "\u0061 1DC0 0315 0300 05AE 0062",  # (a◌᷀◌̕◌̀◌֮b; a◌֮◌᷀◌̀◌̕b; a◌֮◌᷀◌̀◌̕b; a◌֮◌᷀◌̀◌̕b; a◌֮◌᷀◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DOTTED GRAVE ACCENT, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DC1 0062",  # (a◌̕◌̀◌֮◌᷁b; à◌֮◌᷁◌̕b; a◌֮◌̀◌᷁◌̕b; à◌֮◌᷁◌̕b; a◌֮◌̀◌᷁◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DOTTED ACUTE ACCENT, LATIN SMALL LETTER B
      "\u0061 1DC1 0315 0300 05AE 0062",  # (a◌᷁◌̕◌̀◌֮b; a◌֮◌᷁◌̀◌̕b; a◌֮◌᷁◌̀◌̕b; a◌֮◌᷁◌̀◌̕b; a◌֮◌᷁◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DOTTED ACUTE ACCENT, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1DC2 0062",  # (a◌֚◌̖◌〪◌᷂b; a◌〪◌̖◌᷂◌֚b; a◌〪◌̖◌᷂◌֚b; a◌〪◌̖◌᷂◌֚b; a◌〪◌̖◌᷂◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING SNAKE BELOW, LATIN SMALL LETTER B
      "\u0061 1DC2 059A 0316 302A 0062",  # (a◌᷂◌֚◌̖◌〪b; a◌〪◌᷂◌̖◌֚b; a◌〪◌᷂◌̖◌֚b; a◌〪◌᷂◌̖◌֚b; a◌〪◌᷂◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING SNAKE BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DC3 0062",  # (a◌̕◌̀◌֮◌᷃b; à◌֮◌᷃◌̕b; a◌֮◌̀◌᷃◌̕b; à◌֮◌᷃◌̕b; a◌֮◌̀◌᷃◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING SUSPENSION MARK, LATIN SMALL LETTER B
      "\u0061 1DC3 0315 0300 05AE 0062",  # (a◌᷃◌̕◌̀◌֮b; a◌֮◌᷃◌̀◌̕b; a◌֮◌᷃◌̀◌̕b; a◌֮◌᷃◌̀◌̕b; a◌֮◌᷃◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING SUSPENSION MARK, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DC4 0062",  # (a◌̕◌̀◌֮◌᷄b; à◌֮◌᷄◌̕b; a◌֮◌̀◌᷄◌̕b; à◌֮◌᷄◌̕b; a◌֮◌̀◌᷄◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING MACRON-ACUTE, LATIN SMALL LETTER B
      "\u0061 1DC4 0315 0300 05AE 0062",  # (a◌᷄◌̕◌̀◌֮b; a◌֮◌᷄◌̀◌̕b; a◌֮◌᷄◌̀◌̕b; a◌֮◌᷄◌̀◌̕b; a◌֮◌᷄◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING MACRON-ACUTE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DC5 0062",  # (a◌̕◌̀◌֮◌᷅b; à◌֮◌᷅◌̕b; a◌֮◌̀◌᷅◌̕b; à◌֮◌᷅◌̕b; a◌֮◌̀◌᷅◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GRAVE-MACRON, LATIN SMALL LETTER B
      "\u0061 1DC5 0315 0300 05AE 0062",  # (a◌᷅◌̕◌̀◌֮b; a◌֮◌᷅◌̀◌̕b; a◌֮◌᷅◌̀◌̕b; a◌֮◌᷅◌̀◌̕b; a◌֮◌᷅◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GRAVE-MACRON, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DC6 0062",  # (a◌̕◌̀◌֮◌᷆b; à◌֮◌᷆◌̕b; a◌֮◌̀◌᷆◌̕b; à◌֮◌᷆◌̕b; a◌֮◌̀◌᷆◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING MACRON-GRAVE, LATIN SMALL LETTER B
      "\u0061 1DC6 0315 0300 05AE 0062",  # (a◌᷆◌̕◌̀◌֮b; a◌֮◌᷆◌̀◌̕b; a◌֮◌᷆◌̀◌̕b; a◌֮◌᷆◌̀◌̕b; a◌֮◌᷆◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING MACRON-GRAVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DC7 0062",  # (a◌̕◌̀◌֮◌᷇b; à◌֮◌᷇◌̕b; a◌֮◌̀◌᷇◌̕b; à◌֮◌᷇◌̕b; a◌֮◌̀◌᷇◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING ACUTE-MACRON, LATIN SMALL LETTER B
      "\u0061 1DC7 0315 0300 05AE 0062",  # (a◌᷇◌̕◌̀◌֮b; a◌֮◌᷇◌̀◌̕b; a◌֮◌᷇◌̀◌̕b; a◌֮◌᷇◌̀◌̕b; a◌֮◌᷇◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING ACUTE-MACRON, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DC8 0062",  # (a◌̕◌̀◌֮◌᷈b; à◌֮◌᷈◌̕b; a◌֮◌̀◌᷈◌̕b; à◌֮◌᷈◌̕b; a◌֮◌̀◌᷈◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GRAVE-ACUTE-GRAVE, LATIN SMALL LETTER B
      "\u0061 1DC8 0315 0300 05AE 0062",  # (a◌᷈◌̕◌̀◌֮b; a◌֮◌᷈◌̀◌̕b; a◌֮◌᷈◌̀◌̕b; a◌֮◌᷈◌̀◌̕b; a◌֮◌᷈◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GRAVE-ACUTE-GRAVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DC9 0062",  # (a◌̕◌̀◌֮◌᷉b; à◌֮◌᷉◌̕b; a◌֮◌̀◌᷉◌̕b; à◌֮◌᷉◌̕b; a◌֮◌̀◌᷉◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING ACUTE-GRAVE-ACUTE, LATIN SMALL LETTER B
      "\u0061 1DC9 0315 0300 05AE 0062",  # (a◌᷉◌̕◌̀◌֮b; a◌֮◌᷉◌̀◌̕b; a◌֮◌᷉◌̀◌̕b; a◌֮◌᷉◌̀◌̕b; a◌֮◌᷉◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING ACUTE-GRAVE-ACUTE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1DCA 0062",  # (a◌֚◌̖◌〪◌᷊b; a◌〪◌̖◌᷊◌֚b; a◌〪◌̖◌᷊◌֚b; a◌〪◌̖◌᷊◌֚b; a◌〪◌̖◌᷊◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING LATIN SMALL LETTER R BELOW, LATIN SMALL LETTER B
      "\u0061 1DCA 059A 0316 302A 0062",  # (a◌᷊◌֚◌̖◌〪b; a◌〪◌᷊◌̖◌֚b; a◌〪◌᷊◌̖◌֚b; a◌〪◌᷊◌̖◌֚b; a◌〪◌᷊◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER R BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DCB 0062",  # (a◌̕◌̀◌֮◌᷋b; à◌֮◌᷋◌̕b; a◌֮◌̀◌᷋◌̕b; à◌֮◌᷋◌̕b; a◌֮◌̀◌᷋◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING BREVE-MACRON, LATIN SMALL LETTER B
      "\u0061 1DCB 0315 0300 05AE 0062",  # (a◌᷋◌̕◌̀◌֮b; a◌֮◌᷋◌̀◌̕b; a◌֮◌᷋◌̀◌̕b; a◌֮◌᷋◌̀◌̕b; a◌֮◌᷋◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING BREVE-MACRON, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DCC 0062",  # (a◌̕◌̀◌֮◌᷌b; à◌֮◌᷌◌̕b; a◌֮◌̀◌᷌◌̕b; à◌֮◌᷌◌̕b; a◌֮◌̀◌᷌◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING MACRON-BREVE, LATIN SMALL LETTER B
      "\u0061 1DCC 0315 0300 05AE 0062",  # (a◌᷌◌̕◌̀◌֮b; a◌֮◌᷌◌̀◌̕b; a◌֮◌᷌◌̀◌̕b; a◌֮◌᷌◌̀◌̕b; a◌֮◌᷌◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING MACRON-BREVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0345 035D 035C 1DCD 0062",  # (a◌ͅ◌͝◌͜◌᷍b; a◌͜◌͝◌᷍◌ͅb; a◌͜◌͝◌᷍◌ͅb; a◌͜◌͝◌᷍◌ͅb; a◌͜◌͝◌᷍◌ͅb; ) LATIN SMALL LETTER A, COMBINING GREEK YPOGEGRAMMENI, COMBINING DOUBLE BREVE, COMBINING DOUBLE BREVE BELOW, COMBINING DOUBLE CIRCUMFLEX ABOVE, LATIN SMALL LETTER B
      "\u0061 1DCD 0345 035D 035C 0062",  # (a◌᷍◌ͅ◌͝◌͜b; a◌͜◌᷍◌͝◌ͅb; a◌͜◌᷍◌͝◌ͅb; a◌͜◌᷍◌͝◌ͅb; a◌͜◌᷍◌͝◌ͅb; ) LATIN SMALL LETTER A, COMBINING DOUBLE CIRCUMFLEX ABOVE, COMBINING GREEK YPOGEGRAMMENI, COMBINING DOUBLE BREVE, COMBINING DOUBLE BREVE BELOW, LATIN SMALL LETTER B
      "\u0061 031B 1DCE 0321 1DCE 0062",  # (a◌̛◌᷎◌̡◌᷎b; a◌̡◌᷎◌᷎◌̛b; a◌̡◌᷎◌᷎◌̛b; a◌̡◌᷎◌᷎◌̛b; a◌̡◌᷎◌᷎◌̛b; ) LATIN SMALL LETTER A, COMBINING HORN, COMBINING OGONEK ABOVE, COMBINING PALATALIZED HOOK BELOW, COMBINING OGONEK ABOVE, LATIN SMALL LETTER B
      "\u0061 1DCE 031B 1DCE 0321 0062",  # (a◌᷎◌̛◌᷎◌̡b; a◌̡◌᷎◌᷎◌̛b; a◌̡◌᷎◌᷎◌̛b; a◌̡◌᷎◌᷎◌̛b; a◌̡◌᷎◌᷎◌̛b; ) LATIN SMALL LETTER A, COMBINING OGONEK ABOVE, COMBINING HORN, COMBINING OGONEK ABOVE, COMBINING PALATALIZED HOOK BELOW, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1DCF 0062",  # (a◌֚◌̖◌〪◌᷏b; a◌〪◌̖◌᷏◌֚b; a◌〪◌̖◌᷏◌֚b; a◌〪◌̖◌᷏◌֚b; a◌〪◌̖◌᷏◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING ZIGZAG BELOW, LATIN SMALL LETTER B
      "\u0061 1DCF 059A 0316 302A 0062",  # (a◌᷏◌֚◌̖◌〪b; a◌〪◌᷏◌̖◌֚b; a◌〪◌᷏◌̖◌֚b; a◌〪◌᷏◌̖◌֚b; a◌〪◌᷏◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING ZIGZAG BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 1DCE 0321 0F74 1DD0 0062",  # (a◌᷎◌̡◌ུ◌᷐b; a◌ུ◌̡◌᷐◌᷎b; a◌ུ◌̡◌᷐◌᷎b; a◌ུ◌̡◌᷐◌᷎b; a◌ུ◌̡◌᷐◌᷎b; ) LATIN SMALL LETTER A, COMBINING OGONEK ABOVE, COMBINING PALATALIZED HOOK BELOW, TIBETAN VOWEL SIGN U, COMBINING IS BELOW, LATIN SMALL LETTER B
      "\u0061 1DD0 1DCE 0321 0F74 0062",  # (a◌᷐◌᷎◌̡◌ུb; a◌ུ◌᷐◌̡◌᷎b; a◌ུ◌᷐◌̡◌᷎b; a◌ུ◌᷐◌̡◌᷎b; a◌ུ◌᷐◌̡◌᷎b; ) LATIN SMALL LETTER A, COMBINING IS BELOW, COMBINING OGONEK ABOVE, COMBINING PALATALIZED HOOK BELOW, TIBETAN VOWEL SIGN U, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DD1 0062",  # (a◌̕◌̀◌֮◌᷑b; à◌֮◌᷑◌̕b; a◌֮◌̀◌᷑◌̕b; à◌֮◌᷑◌̕b; a◌֮◌̀◌᷑◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING UR ABOVE, LATIN SMALL LETTER B
      "\u0061 1DD1 0315 0300 05AE 0062",  # (a◌᷑◌̕◌̀◌֮b; a◌֮◌᷑◌̀◌̕b; a◌֮◌᷑◌̀◌̕b; a◌֮◌᷑◌̀◌̕b; a◌֮◌᷑◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING UR ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DD2 0062",  # (a◌̕◌̀◌֮◌᷒b; à◌֮◌᷒◌̕b; a◌֮◌̀◌᷒◌̕b; à◌֮◌᷒◌̕b; a◌֮◌̀◌᷒◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING US ABOVE, LATIN SMALL LETTER B
      "\u0061 1DD2 0315 0300 05AE 0062",  # (a◌᷒◌̕◌̀◌֮b; a◌֮◌᷒◌̀◌̕b; a◌֮◌᷒◌̀◌̕b; a◌֮◌᷒◌̀◌̕b; a◌֮◌᷒◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING US ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DD3 0062",  # (a◌̕◌̀◌֮◌ᷓb; à◌֮◌ᷓ◌̕b; a◌֮◌̀◌ᷓ◌̕b; à◌֮◌ᷓ◌̕b; a◌֮◌̀◌ᷓ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER FLATTENED OPEN A ABOVE, LATIN SMALL LETTER B
      "\u0061 1DD3 0315 0300 05AE 0062",  # (a◌ᷓ◌̕◌̀◌֮b; a◌֮◌ᷓ◌̀◌̕b; a◌֮◌ᷓ◌̀◌̕b; a◌֮◌ᷓ◌̀◌̕b; a◌֮◌ᷓ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER FLATTENED OPEN A ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DD4 0062",  # (a◌̕◌̀◌֮◌ᷔb; à◌֮◌ᷔ◌̕b; a◌֮◌̀◌ᷔ◌̕b; à◌֮◌ᷔ◌̕b; a◌֮◌̀◌ᷔ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER AE, LATIN SMALL LETTER B
      "\u0061 1DD4 0315 0300 05AE 0062",  # (a◌ᷔ◌̕◌̀◌֮b; a◌֮◌ᷔ◌̀◌̕b; a◌֮◌ᷔ◌̀◌̕b; a◌֮◌ᷔ◌̀◌̕b; a◌֮◌ᷔ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER AE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DD5 0062",  # (a◌̕◌̀◌֮◌ᷕb; à◌֮◌ᷕ◌̕b; a◌֮◌̀◌ᷕ◌̕b; à◌֮◌ᷕ◌̕b; a◌֮◌̀◌ᷕ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER AO, LATIN SMALL LETTER B
      "\u0061 1DD5 0315 0300 05AE 0062",  # (a◌ᷕ◌̕◌̀◌֮b; a◌֮◌ᷕ◌̀◌̕b; a◌֮◌ᷕ◌̀◌̕b; a◌֮◌ᷕ◌̀◌̕b; a◌֮◌ᷕ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER AO, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DD6 0062",  # (a◌̕◌̀◌֮◌ᷖb; à◌֮◌ᷖ◌̕b; a◌֮◌̀◌ᷖ◌̕b; à◌֮◌ᷖ◌̕b; a◌֮◌̀◌ᷖ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER AV, LATIN SMALL LETTER B
      "\u0061 1DD6 0315 0300 05AE 0062",  # (a◌ᷖ◌̕◌̀◌֮b; a◌֮◌ᷖ◌̀◌̕b; a◌֮◌ᷖ◌̀◌̕b; a◌֮◌ᷖ◌̀◌̕b; a◌֮◌ᷖ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER AV, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DD7 0062",  # (a◌̕◌̀◌֮◌ᷗb; à◌֮◌ᷗ◌̕b; a◌֮◌̀◌ᷗ◌̕b; à◌֮◌ᷗ◌̕b; a◌֮◌̀◌ᷗ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER C CEDILLA, LATIN SMALL LETTER B
      "\u0061 1DD7 0315 0300 05AE 0062",  # (a◌ᷗ◌̕◌̀◌֮b; a◌֮◌ᷗ◌̀◌̕b; a◌֮◌ᷗ◌̀◌̕b; a◌֮◌ᷗ◌̀◌̕b; a◌֮◌ᷗ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER C CEDILLA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DD8 0062",  # (a◌̕◌̀◌֮◌ᷘb; à◌֮◌ᷘ◌̕b; a◌֮◌̀◌ᷘ◌̕b; à◌֮◌ᷘ◌̕b; a◌֮◌̀◌ᷘ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER INSULAR D, LATIN SMALL LETTER B
      "\u0061 1DD8 0315 0300 05AE 0062",  # (a◌ᷘ◌̕◌̀◌֮b; a◌֮◌ᷘ◌̀◌̕b; a◌֮◌ᷘ◌̀◌̕b; a◌֮◌ᷘ◌̀◌̕b; a◌֮◌ᷘ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER INSULAR D, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DD9 0062",  # (a◌̕◌̀◌֮◌ᷙb; à◌֮◌ᷙ◌̕b; a◌֮◌̀◌ᷙ◌̕b; à◌֮◌ᷙ◌̕b; a◌֮◌̀◌ᷙ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER ETH, LATIN SMALL LETTER B
      "\u0061 1DD9 0315 0300 05AE 0062",  # (a◌ᷙ◌̕◌̀◌֮b; a◌֮◌ᷙ◌̀◌̕b; a◌֮◌ᷙ◌̀◌̕b; a◌֮◌ᷙ◌̀◌̕b; a◌֮◌ᷙ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER ETH, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DDA 0062",  # (a◌̕◌̀◌֮◌ᷚb; à◌֮◌ᷚ◌̕b; a◌֮◌̀◌ᷚ◌̕b; à◌֮◌ᷚ◌̕b; a◌֮◌̀◌ᷚ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER G, LATIN SMALL LETTER B
      "\u0061 1DDA 0315 0300 05AE 0062",  # (a◌ᷚ◌̕◌̀◌֮b; a◌֮◌ᷚ◌̀◌̕b; a◌֮◌ᷚ◌̀◌̕b; a◌֮◌ᷚ◌̀◌̕b; a◌֮◌ᷚ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER G, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DDB 0062",  # (a◌̕◌̀◌֮◌ᷛb; à◌֮◌ᷛ◌̕b; a◌֮◌̀◌ᷛ◌̕b; à◌֮◌ᷛ◌̕b; a◌֮◌̀◌ᷛ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN LETTER SMALL CAPITAL G, LATIN SMALL LETTER B
      "\u0061 1DDB 0315 0300 05AE 0062",  # (a◌ᷛ◌̕◌̀◌֮b; a◌֮◌ᷛ◌̀◌̕b; a◌֮◌ᷛ◌̀◌̕b; a◌֮◌ᷛ◌̀◌̕b; a◌֮◌ᷛ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN LETTER SMALL CAPITAL G, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DDC 0062",  # (a◌̕◌̀◌֮◌ᷜb; à◌֮◌ᷜ◌̕b; a◌֮◌̀◌ᷜ◌̕b; à◌֮◌ᷜ◌̕b; a◌֮◌̀◌ᷜ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER K, LATIN SMALL LETTER B
      "\u0061 1DDC 0315 0300 05AE 0062",  # (a◌ᷜ◌̕◌̀◌֮b; a◌֮◌ᷜ◌̀◌̕b; a◌֮◌ᷜ◌̀◌̕b; a◌֮◌ᷜ◌̀◌̕b; a◌֮◌ᷜ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER K, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DDD 0062",  # (a◌̕◌̀◌֮◌ᷝb; à◌֮◌ᷝ◌̕b; a◌֮◌̀◌ᷝ◌̕b; à◌֮◌ᷝ◌̕b; a◌֮◌̀◌ᷝ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER L, LATIN SMALL LETTER B
      "\u0061 1DDD 0315 0300 05AE 0062",  # (a◌ᷝ◌̕◌̀◌֮b; a◌֮◌ᷝ◌̀◌̕b; a◌֮◌ᷝ◌̀◌̕b; a◌֮◌ᷝ◌̀◌̕b; a◌֮◌ᷝ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER L, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DDE 0062",  # (a◌̕◌̀◌֮◌ᷞb; à◌֮◌ᷞ◌̕b; a◌֮◌̀◌ᷞ◌̕b; à◌֮◌ᷞ◌̕b; a◌֮◌̀◌ᷞ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN LETTER SMALL CAPITAL L, LATIN SMALL LETTER B
      "\u0061 1DDE 0315 0300 05AE 0062",  # (a◌ᷞ◌̕◌̀◌֮b; a◌֮◌ᷞ◌̀◌̕b; a◌֮◌ᷞ◌̀◌̕b; a◌֮◌ᷞ◌̀◌̕b; a◌֮◌ᷞ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN LETTER SMALL CAPITAL L, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DDF 0062",  # (a◌̕◌̀◌֮◌ᷟb; à◌֮◌ᷟ◌̕b; a◌֮◌̀◌ᷟ◌̕b; à◌֮◌ᷟ◌̕b; a◌֮◌̀◌ᷟ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN LETTER SMALL CAPITAL M, LATIN SMALL LETTER B
      "\u0061 1DDF 0315 0300 05AE 0062",  # (a◌ᷟ◌̕◌̀◌֮b; a◌֮◌ᷟ◌̀◌̕b; a◌֮◌ᷟ◌̀◌̕b; a◌֮◌ᷟ◌̀◌̕b; a◌֮◌ᷟ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN LETTER SMALL CAPITAL M, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DE0 0062",  # (a◌̕◌̀◌֮◌ᷠb; à◌֮◌ᷠ◌̕b; a◌֮◌̀◌ᷠ◌̕b; à◌֮◌ᷠ◌̕b; a◌֮◌̀◌ᷠ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER N, LATIN SMALL LETTER B
      "\u0061 1DE0 0315 0300 05AE 0062",  # (a◌ᷠ◌̕◌̀◌֮b; a◌֮◌ᷠ◌̀◌̕b; a◌֮◌ᷠ◌̀◌̕b; a◌֮◌ᷠ◌̀◌̕b; a◌֮◌ᷠ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER N, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DE1 0062",  # (a◌̕◌̀◌֮◌ᷡb; à◌֮◌ᷡ◌̕b; a◌֮◌̀◌ᷡ◌̕b; à◌֮◌ᷡ◌̕b; a◌֮◌̀◌ᷡ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN LETTER SMALL CAPITAL N, LATIN SMALL LETTER B
      "\u0061 1DE1 0315 0300 05AE 0062",  # (a◌ᷡ◌̕◌̀◌֮b; a◌֮◌ᷡ◌̀◌̕b; a◌֮◌ᷡ◌̀◌̕b; a◌֮◌ᷡ◌̀◌̕b; a◌֮◌ᷡ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN LETTER SMALL CAPITAL N, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DE2 0062",  # (a◌̕◌̀◌֮◌ᷢb; à◌֮◌ᷢ◌̕b; a◌֮◌̀◌ᷢ◌̕b; à◌֮◌ᷢ◌̕b; a◌֮◌̀◌ᷢ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN LETTER SMALL CAPITAL R, LATIN SMALL LETTER B
      "\u0061 1DE2 0315 0300 05AE 0062",  # (a◌ᷢ◌̕◌̀◌֮b; a◌֮◌ᷢ◌̀◌̕b; a◌֮◌ᷢ◌̀◌̕b; a◌֮◌ᷢ◌̀◌̕b; a◌֮◌ᷢ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN LETTER SMALL CAPITAL R, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DE3 0062",  # (a◌̕◌̀◌֮◌ᷣb; à◌֮◌ᷣ◌̕b; a◌֮◌̀◌ᷣ◌̕b; à◌֮◌ᷣ◌̕b; a◌֮◌̀◌ᷣ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER R ROTUNDA, LATIN SMALL LETTER B
      "\u0061 1DE3 0315 0300 05AE 0062",  # (a◌ᷣ◌̕◌̀◌֮b; a◌֮◌ᷣ◌̀◌̕b; a◌֮◌ᷣ◌̀◌̕b; a◌֮◌ᷣ◌̀◌̕b; a◌֮◌ᷣ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER R ROTUNDA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DE4 0062",  # (a◌̕◌̀◌֮◌ᷤb; à◌֮◌ᷤ◌̕b; a◌֮◌̀◌ᷤ◌̕b; à◌֮◌ᷤ◌̕b; a◌֮◌̀◌ᷤ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER S, LATIN SMALL LETTER B
      "\u0061 1DE4 0315 0300 05AE 0062",  # (a◌ᷤ◌̕◌̀◌֮b; a◌֮◌ᷤ◌̀◌̕b; a◌֮◌ᷤ◌̀◌̕b; a◌֮◌ᷤ◌̀◌̕b; a◌֮◌ᷤ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER S, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DE5 0062",  # (a◌̕◌̀◌֮◌ᷥb; à◌֮◌ᷥ◌̕b; a◌֮◌̀◌ᷥ◌̕b; à◌֮◌ᷥ◌̕b; a◌֮◌̀◌ᷥ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER LONG S, LATIN SMALL LETTER B
      "\u0061 1DE5 0315 0300 05AE 0062",  # (a◌ᷥ◌̕◌̀◌֮b; a◌֮◌ᷥ◌̀◌̕b; a◌֮◌ᷥ◌̀◌̕b; a◌֮◌ᷥ◌̀◌̕b; a◌֮◌ᷥ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER LONG S, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DE6 0062",  # (a◌̕◌̀◌֮◌ᷦb; à◌֮◌ᷦ◌̕b; a◌֮◌̀◌ᷦ◌̕b; à◌֮◌ᷦ◌̕b; a◌֮◌̀◌ᷦ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER Z, LATIN SMALL LETTER B
      "\u0061 1DE6 0315 0300 05AE 0062",  # (a◌ᷦ◌̕◌̀◌֮b; a◌֮◌ᷦ◌̀◌̕b; a◌֮◌ᷦ◌̀◌̕b; a◌֮◌ᷦ◌̀◌̕b; a◌֮◌ᷦ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER Z, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DE7 0062",  # (a◌̕◌̀◌֮◌ᷧb; à◌֮◌ᷧ◌̕b; a◌֮◌̀◌ᷧ◌̕b; à◌֮◌ᷧ◌̕b; a◌֮◌̀◌ᷧ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER ALPHA, LATIN SMALL LETTER B
      "\u0061 1DE7 0315 0300 05AE 0062",  # (a◌ᷧ◌̕◌̀◌֮b; a◌֮◌ᷧ◌̀◌̕b; a◌֮◌ᷧ◌̀◌̕b; a◌֮◌ᷧ◌̀◌̕b; a◌֮◌ᷧ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER ALPHA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DE8 0062",  # (a◌̕◌̀◌֮◌ᷨb; à◌֮◌ᷨ◌̕b; a◌֮◌̀◌ᷨ◌̕b; à◌֮◌ᷨ◌̕b; a◌֮◌̀◌ᷨ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER B, LATIN SMALL LETTER B
      "\u0061 1DE8 0315 0300 05AE 0062",  # (a◌ᷨ◌̕◌̀◌֮b; a◌֮◌ᷨ◌̀◌̕b; a◌֮◌ᷨ◌̀◌̕b; a◌֮◌ᷨ◌̀◌̕b; a◌֮◌ᷨ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER B, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DE9 0062",  # (a◌̕◌̀◌֮◌ᷩb; à◌֮◌ᷩ◌̕b; a◌֮◌̀◌ᷩ◌̕b; à◌֮◌ᷩ◌̕b; a◌֮◌̀◌ᷩ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER BETA, LATIN SMALL LETTER B
      "\u0061 1DE9 0315 0300 05AE 0062",  # (a◌ᷩ◌̕◌̀◌֮b; a◌֮◌ᷩ◌̀◌̕b; a◌֮◌ᷩ◌̀◌̕b; a◌֮◌ᷩ◌̀◌̕b; a◌֮◌ᷩ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER BETA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DEA 0062",  # (a◌̕◌̀◌֮◌ᷪb; à◌֮◌ᷪ◌̕b; a◌֮◌̀◌ᷪ◌̕b; à◌֮◌ᷪ◌̕b; a◌֮◌̀◌ᷪ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER SCHWA, LATIN SMALL LETTER B
      "\u0061 1DEA 0315 0300 05AE 0062",  # (a◌ᷪ◌̕◌̀◌֮b; a◌֮◌ᷪ◌̀◌̕b; a◌֮◌ᷪ◌̀◌̕b; a◌֮◌ᷪ◌̀◌̕b; a◌֮◌ᷪ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER SCHWA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DEB 0062",  # (a◌̕◌̀◌֮◌ᷫb; à◌֮◌ᷫ◌̕b; a◌֮◌̀◌ᷫ◌̕b; à◌֮◌ᷫ◌̕b; a◌֮◌̀◌ᷫ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER F, LATIN SMALL LETTER B
      "\u0061 1DEB 0315 0300 05AE 0062",  # (a◌ᷫ◌̕◌̀◌֮b; a◌֮◌ᷫ◌̀◌̕b; a◌֮◌ᷫ◌̀◌̕b; a◌֮◌ᷫ◌̀◌̕b; a◌֮◌ᷫ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER F, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DEC 0062",  # (a◌̕◌̀◌֮◌ᷬb; à◌֮◌ᷬ◌̕b; a◌֮◌̀◌ᷬ◌̕b; à◌֮◌ᷬ◌̕b; a◌֮◌̀◌ᷬ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER L WITH DOUBLE MIDDLE TILDE, LATIN SMALL LETTER B
      "\u0061 1DEC 0315 0300 05AE 0062",  # (a◌ᷬ◌̕◌̀◌֮b; a◌֮◌ᷬ◌̀◌̕b; a◌֮◌ᷬ◌̀◌̕b; a◌֮◌ᷬ◌̀◌̕b; a◌֮◌ᷬ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER L WITH DOUBLE MIDDLE TILDE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DED 0062",  # (a◌̕◌̀◌֮◌ᷭb; à◌֮◌ᷭ◌̕b; a◌֮◌̀◌ᷭ◌̕b; à◌֮◌ᷭ◌̕b; a◌֮◌̀◌ᷭ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER O WITH LIGHT CENTRALIZATION STROKE, LATIN SMALL LETTER B
      "\u0061 1DED 0315 0300 05AE 0062",  # (a◌ᷭ◌̕◌̀◌֮b; a◌֮◌ᷭ◌̀◌̕b; a◌֮◌ᷭ◌̀◌̕b; a◌֮◌ᷭ◌̀◌̕b; a◌֮◌ᷭ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER O WITH LIGHT CENTRALIZATION STROKE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DEE 0062",  # (a◌̕◌̀◌֮◌ᷮb; à◌֮◌ᷮ◌̕b; a◌֮◌̀◌ᷮ◌̕b; à◌֮◌ᷮ◌̕b; a◌֮◌̀◌ᷮ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER P, LATIN SMALL LETTER B
      "\u0061 1DEE 0315 0300 05AE 0062",  # (a◌ᷮ◌̕◌̀◌֮b; a◌֮◌ᷮ◌̀◌̕b; a◌֮◌ᷮ◌̀◌̕b; a◌֮◌ᷮ◌̀◌̕b; a◌֮◌ᷮ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER P, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DEF 0062",  # (a◌̕◌̀◌֮◌ᷯb; à◌֮◌ᷯ◌̕b; a◌֮◌̀◌ᷯ◌̕b; à◌֮◌ᷯ◌̕b; a◌֮◌̀◌ᷯ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER ESH, LATIN SMALL LETTER B
      "\u0061 1DEF 0315 0300 05AE 0062",  # (a◌ᷯ◌̕◌̀◌֮b; a◌֮◌ᷯ◌̀◌̕b; a◌֮◌ᷯ◌̀◌̕b; a◌֮◌ᷯ◌̀◌̕b; a◌֮◌ᷯ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER ESH, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DF0 0062",  # (a◌̕◌̀◌֮◌ᷰb; à◌֮◌ᷰ◌̕b; a◌֮◌̀◌ᷰ◌̕b; à◌֮◌ᷰ◌̕b; a◌֮◌̀◌ᷰ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER U WITH LIGHT CENTRALIZATION STROKE, LATIN SMALL LETTER B
      "\u0061 1DF0 0315 0300 05AE 0062",  # (a◌ᷰ◌̕◌̀◌֮b; a◌֮◌ᷰ◌̀◌̕b; a◌֮◌ᷰ◌̀◌̕b; a◌֮◌ᷰ◌̀◌̕b; a◌֮◌ᷰ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER U WITH LIGHT CENTRALIZATION STROKE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DF1 0062",  # (a◌̕◌̀◌֮◌ᷱb; à◌֮◌ᷱ◌̕b; a◌֮◌̀◌ᷱ◌̕b; à◌֮◌ᷱ◌̕b; a◌֮◌̀◌ᷱ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER W, LATIN SMALL LETTER B
      "\u0061 1DF1 0315 0300 05AE 0062",  # (a◌ᷱ◌̕◌̀◌֮b; a◌֮◌ᷱ◌̀◌̕b; a◌֮◌ᷱ◌̀◌̕b; a◌֮◌ᷱ◌̀◌̕b; a◌֮◌ᷱ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER W, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DF2 0062",  # (a◌̕◌̀◌֮◌ᷲb; à◌֮◌ᷲ◌̕b; a◌֮◌̀◌ᷲ◌̕b; à◌֮◌ᷲ◌̕b; a◌֮◌̀◌ᷲ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER A WITH DIAERESIS, LATIN SMALL LETTER B
      "\u0061 1DF2 0315 0300 05AE 0062",  # (a◌ᷲ◌̕◌̀◌֮b; a◌֮◌ᷲ◌̀◌̕b; a◌֮◌ᷲ◌̀◌̕b; a◌֮◌ᷲ◌̀◌̕b; a◌֮◌ᷲ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER A WITH DIAERESIS, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DF3 0062",  # (a◌̕◌̀◌֮◌ᷳb; à◌֮◌ᷳ◌̕b; a◌֮◌̀◌ᷳ◌̕b; à◌֮◌ᷳ◌̕b; a◌֮◌̀◌ᷳ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER O WITH DIAERESIS, LATIN SMALL LETTER B
      "\u0061 1DF3 0315 0300 05AE 0062",  # (a◌ᷳ◌̕◌̀◌֮b; a◌֮◌ᷳ◌̀◌̕b; a◌֮◌ᷳ◌̀◌̕b; a◌֮◌ᷳ◌̀◌̕b; a◌֮◌ᷳ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER O WITH DIAERESIS, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DF4 0062",  # (a◌̕◌̀◌֮◌ᷴb; à◌֮◌ᷴ◌̕b; a◌֮◌̀◌ᷴ◌̕b; à◌֮◌ᷴ◌̕b; a◌֮◌̀◌ᷴ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LATIN SMALL LETTER U WITH DIAERESIS, LATIN SMALL LETTER B
      "\u0061 1DF4 0315 0300 05AE 0062",  # (a◌ᷴ◌̕◌̀◌֮b; a◌֮◌ᷴ◌̀◌̕b; a◌֮◌ᷴ◌̀◌̕b; a◌֮◌ᷴ◌̀◌̕b; a◌֮◌ᷴ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LATIN SMALL LETTER U WITH DIAERESIS, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DF5 0062",  # (a◌̕◌̀◌֮◌᷵b; à◌֮◌᷵◌̕b; a◌֮◌̀◌᷵◌̕b; à◌֮◌᷵◌̕b; a◌֮◌̀◌᷵◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING UP TACK ABOVE, LATIN SMALL LETTER B
      "\u0061 1DF5 0315 0300 05AE 0062",  # (a◌᷵◌̕◌̀◌֮b; a◌֮◌᷵◌̀◌̕b; a◌֮◌᷵◌̀◌̕b; a◌֮◌᷵◌̀◌̕b; a◌֮◌᷵◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING UP TACK ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 035C 0315 0300 1DF6 0062",  # (a◌͜◌̕◌̀◌᷶b; à◌̕◌᷶◌͜b; a◌̀◌̕◌᷶◌͜b; à◌̕◌᷶◌͜b; a◌̀◌̕◌᷶◌͜b; ) LATIN SMALL LETTER A, COMBINING DOUBLE BREVE BELOW, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, COMBINING KAVYKA ABOVE RIGHT, LATIN SMALL LETTER B
      "\u0061 1DF6 035C 0315 0300 0062",  # (a◌᷶◌͜◌̕◌̀b; à◌᷶◌̕◌͜b; a◌̀◌᷶◌̕◌͜b; à◌᷶◌̕◌͜b; a◌̀◌᷶◌̕◌͜b; ) LATIN SMALL LETTER A, COMBINING KAVYKA ABOVE RIGHT, COMBINING DOUBLE BREVE BELOW, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, LATIN SMALL LETTER B
      "\u0061 0300 05AE 1D16D 1DF7 0062",  # (a◌̀◌𝅭֮◌᷷b; à𝅭◌֮◌᷷b; a𝅭◌֮◌᷷◌̀b; à𝅭◌֮◌᷷b; a𝅭◌֮◌᷷◌̀b; ) LATIN SMALL LETTER A, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, MUSICAL SYMBOL COMBINING AUGMENTATION DOT, COMBINING KAVYKA ABOVE LEFT, LATIN SMALL LETTER B
      "\u0061 1DF7 0300 05AE 1D16D 0062",  # (a◌᷷◌̀◌𝅭֮b; à𝅭◌᷷◌֮b; a𝅭◌᷷◌֮◌̀b; à𝅭◌᷷◌֮b; a𝅭◌᷷◌֮◌̀b; ) LATIN SMALL LETTER A, COMBINING KAVYKA ABOVE LEFT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, MUSICAL SYMBOL COMBINING AUGMENTATION DOT, LATIN SMALL LETTER B
      "\u0061 0300 05AE 1D16D 1DF8 0062",  # (a◌̀◌𝅭֮◌᷸b; à𝅭◌֮◌᷸b; a𝅭◌֮◌᷸◌̀b; à𝅭◌֮◌᷸b; a𝅭◌֮◌᷸◌̀b; ) LATIN SMALL LETTER A, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, MUSICAL SYMBOL COMBINING AUGMENTATION DOT, COMBINING DOT ABOVE LEFT, LATIN SMALL LETTER B
      "\u0061 1DF8 0300 05AE 1D16D 0062",  # (a◌᷸◌̀◌𝅭֮b; à𝅭◌᷸◌֮b; a𝅭◌᷸◌֮◌̀b; à𝅭◌᷸◌֮b; a𝅭◌᷸◌֮◌̀b; ) LATIN SMALL LETTER A, COMBINING DOT ABOVE LEFT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, MUSICAL SYMBOL COMBINING AUGMENTATION DOT, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1DF9 0062",  # (a◌֚◌̖◌〪◌᷹b; a◌〪◌̖◌᷹◌֚b; a◌〪◌̖◌᷹◌֚b; a◌〪◌̖◌᷹◌֚b; a◌〪◌̖◌᷹◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING WIDE INVERTED BRIDGE BELOW, LATIN SMALL LETTER B
      "\u0061 1DF9 059A 0316 302A 0062",  # (a◌᷹◌֚◌̖◌〪b; a◌〪◌᷹◌̖◌֚b; a◌〪◌᷹◌̖◌֚b; a◌〪◌᷹◌̖◌֚b; a◌〪◌᷹◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING WIDE INVERTED BRIDGE BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DFB 0062",  # (a◌̕◌̀◌֮◌᷻b; à◌֮◌᷻◌̕b; a◌֮◌̀◌᷻◌̕b; à◌֮◌᷻◌̕b; a◌֮◌̀◌᷻◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DELETION MARK, LATIN SMALL LETTER B
      "\u0061 1DFB 0315 0300 05AE 0062",  # (a◌᷻◌̕◌̀◌֮b; a◌֮◌᷻◌̀◌̕b; a◌֮◌᷻◌̀◌̕b; a◌֮◌᷻◌̀◌̕b; a◌֮◌᷻◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DELETION MARK, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 035D 035C 0315 1DFC 0062",  # (a◌͝◌͜◌̕◌᷼b; a◌̕◌͜◌᷼◌͝b; a◌̕◌͜◌᷼◌͝b; a◌̕◌͜◌᷼◌͝b; a◌̕◌͜◌᷼◌͝b; ) LATIN SMALL LETTER A, COMBINING DOUBLE BREVE, COMBINING DOUBLE BREVE BELOW, COMBINING COMMA ABOVE RIGHT, COMBINING DOUBLE INVERTED BREVE BELOW, LATIN SMALL LETTER B
      "\u0061 1DFC 035D 035C 0315 0062",  # (a◌᷼◌͝◌͜◌̕b; a◌̕◌᷼◌͜◌͝b; a◌̕◌᷼◌͜◌͝b; a◌̕◌᷼◌͜◌͝b; a◌̕◌᷼◌͜◌͝b; ) LATIN SMALL LETTER A, COMBINING DOUBLE INVERTED BREVE BELOW, COMBINING DOUBLE BREVE, COMBINING DOUBLE BREVE BELOW, COMBINING COMMA ABOVE RIGHT, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1DFD 0062",  # (a◌֚◌̖◌〪◌᷽b; a◌〪◌̖◌᷽◌֚b; a◌〪◌̖◌᷽◌֚b; a◌〪◌̖◌᷽◌֚b; a◌〪◌̖◌᷽◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING ALMOST EQUAL TO BELOW, LATIN SMALL LETTER B
      "\u0061 1DFD 059A 0316 302A 0062",  # (a◌᷽◌֚◌̖◌〪b; a◌〪◌᷽◌̖◌֚b; a◌〪◌᷽◌̖◌֚b; a◌〪◌᷽◌̖◌֚b; a◌〪◌᷽◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING ALMOST EQUAL TO BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1DFE 0062",  # (a◌̕◌̀◌֮◌᷾b; à◌֮◌᷾◌̕b; a◌֮◌̀◌᷾◌̕b; à◌֮◌᷾◌̕b; a◌֮◌̀◌᷾◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LEFT ARROWHEAD ABOVE, LATIN SMALL LETTER B
      "\u0061 1DFE 0315 0300 05AE 0062",  # (a◌᷾◌̕◌̀◌֮b; a◌֮◌᷾◌̀◌̕b; a◌֮◌᷾◌̀◌̕b; a◌֮◌᷾◌̀◌̕b; a◌֮◌᷾◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LEFT ARROWHEAD ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1DFF 0062",  # (a◌֚◌̖◌〪◌᷿b; a◌〪◌̖◌᷿◌֚b; a◌〪◌̖◌᷿◌֚b; a◌〪◌̖◌᷿◌֚b; a◌〪◌̖◌᷿◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING RIGHT ARROWHEAD AND DOWN ARROWHEAD BELOW, LATIN SMALL LETTER B
      "\u0061 1DFF 059A 0316 302A 0062",  # (a◌᷿◌֚◌̖◌〪b; a◌〪◌᷿◌̖◌֚b; a◌〪◌᷿◌̖◌֚b; a◌〪◌᷿◌̖◌֚b; a◌〪◌᷿◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING RIGHT ARROWHEAD AND DOWN ARROWHEAD BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 20D0 0062",  # (a◌̕◌̀◌֮◌⃐b; à◌֮◌⃐◌̕b; a◌֮◌̀◌⃐◌̕b; à◌֮◌⃐◌̕b; a◌֮◌̀◌⃐◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LEFT HARPOON ABOVE, LATIN SMALL LETTER B
      "\u0061 20D0 0315 0300 05AE 0062",  # (a◌⃐◌̕◌̀◌֮b; a◌֮◌⃐◌̀◌̕b; a◌֮◌⃐◌̀◌̕b; a◌֮◌⃐◌̀◌̕b; a◌֮◌⃐◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LEFT HARPOON ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 20D1 0062",  # (a◌̕◌̀◌֮◌⃑b; à◌֮◌⃑◌̕b; a◌֮◌̀◌⃑◌̕b; à◌֮◌⃑◌̕b; a◌֮◌̀◌⃑◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING RIGHT HARPOON ABOVE, LATIN SMALL LETTER B
      "\u0061 20D1 0315 0300 05AE 0062",  # (a◌⃑◌̕◌̀◌֮b; a◌֮◌⃑◌̀◌̕b; a◌֮◌⃑◌̀◌̕b; a◌֮◌⃑◌̀◌̕b; a◌֮◌⃑◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING RIGHT HARPOON ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 093C 0334 20D2 0062",  # (a◌़◌̴◌⃒b; a◌̴◌⃒◌़b; a◌̴◌⃒◌़b; a◌̴◌⃒◌़b; a◌̴◌⃒◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, COMBINING LONG VERTICAL LINE OVERLAY, LATIN SMALL LETTER B
      "\u0061 20D2 093C 0334 0062",  # (a◌⃒◌़◌̴b; a◌⃒◌̴◌़b; a◌⃒◌̴◌़b; a◌⃒◌̴◌़b; a◌⃒◌̴◌़b; ) LATIN SMALL LETTER A, COMBINING LONG VERTICAL LINE OVERLAY, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 093C 0334 20D3 0062",  # (a◌़◌̴◌⃓b; a◌̴◌⃓◌़b; a◌̴◌⃓◌़b; a◌̴◌⃓◌़b; a◌̴◌⃓◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, COMBINING SHORT VERTICAL LINE OVERLAY, LATIN SMALL LETTER B
      "\u0061 20D3 093C 0334 0062",  # (a◌⃓◌़◌̴b; a◌⃓◌̴◌़b; a◌⃓◌̴◌़b; a◌⃓◌̴◌़b; a◌⃓◌̴◌़b; ) LATIN SMALL LETTER A, COMBINING SHORT VERTICAL LINE OVERLAY, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 20D4 0062",  # (a◌̕◌̀◌֮◌⃔b; à◌֮◌⃔◌̕b; a◌֮◌̀◌⃔◌̕b; à◌֮◌⃔◌̕b; a◌֮◌̀◌⃔◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING ANTICLOCKWISE ARROW ABOVE, LATIN SMALL LETTER B
      "\u0061 20D4 0315 0300 05AE 0062",  # (a◌⃔◌̕◌̀◌֮b; a◌֮◌⃔◌̀◌̕b; a◌֮◌⃔◌̀◌̕b; a◌֮◌⃔◌̀◌̕b; a◌֮◌⃔◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING ANTICLOCKWISE ARROW ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 20D5 0062",  # (a◌̕◌̀◌֮◌⃕b; à◌֮◌⃕◌̕b; a◌֮◌̀◌⃕◌̕b; à◌֮◌⃕◌̕b; a◌֮◌̀◌⃕◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CLOCKWISE ARROW ABOVE, LATIN SMALL LETTER B
      "\u0061 20D5 0315 0300 05AE 0062",  # (a◌⃕◌̕◌̀◌֮b; a◌֮◌⃕◌̀◌̕b; a◌֮◌⃕◌̀◌̕b; a◌֮◌⃕◌̀◌̕b; a◌֮◌⃕◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CLOCKWISE ARROW ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 20D6 0062",  # (a◌̕◌̀◌֮◌⃖b; à◌֮◌⃖◌̕b; a◌֮◌̀◌⃖◌̕b; à◌֮◌⃖◌̕b; a◌֮◌̀◌⃖◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LEFT ARROW ABOVE, LATIN SMALL LETTER B
      "\u0061 20D6 0315 0300 05AE 0062",  # (a◌⃖◌̕◌̀◌֮b; a◌֮◌⃖◌̀◌̕b; a◌֮◌⃖◌̀◌̕b; a◌֮◌⃖◌̀◌̕b; a◌֮◌⃖◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LEFT ARROW ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 20D7 0062",  # (a◌̕◌̀◌֮◌⃗b; à◌֮◌⃗◌̕b; a◌֮◌̀◌⃗◌̕b; à◌֮◌⃗◌̕b; a◌֮◌̀◌⃗◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING RIGHT ARROW ABOVE, LATIN SMALL LETTER B
      "\u0061 20D7 0315 0300 05AE 0062",  # (a◌⃗◌̕◌̀◌֮b; a◌֮◌⃗◌̀◌̕b; a◌֮◌⃗◌̀◌̕b; a◌֮◌⃗◌̀◌̕b; a◌֮◌⃗◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING RIGHT ARROW ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 093C 0334 20D8 0062",  # (a◌़◌̴◌⃘b; a◌̴◌⃘◌़b; a◌̴◌⃘◌़b; a◌̴◌⃘◌़b; a◌̴◌⃘◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, COMBINING RING OVERLAY, LATIN SMALL LETTER B
      "\u0061 20D8 093C 0334 0062",  # (a◌⃘◌़◌̴b; a◌⃘◌̴◌़b; a◌⃘◌̴◌़b; a◌⃘◌̴◌़b; a◌⃘◌̴◌़b; ) LATIN SMALL LETTER A, COMBINING RING OVERLAY, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 093C 0334 20D9 0062",  # (a◌़◌̴◌⃙b; a◌̴◌⃙◌़b; a◌̴◌⃙◌़b; a◌̴◌⃙◌़b; a◌̴◌⃙◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, COMBINING CLOCKWISE RING OVERLAY, LATIN SMALL LETTER B
      "\u0061 20D9 093C 0334 0062",  # (a◌⃙◌़◌̴b; a◌⃙◌̴◌़b; a◌⃙◌̴◌़b; a◌⃙◌̴◌़b; a◌⃙◌̴◌़b; ) LATIN SMALL LETTER A, COMBINING CLOCKWISE RING OVERLAY, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 093C 0334 20DA 0062",  # (a◌़◌̴◌⃚b; a◌̴◌⃚◌़b; a◌̴◌⃚◌़b; a◌̴◌⃚◌़b; a◌̴◌⃚◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, COMBINING ANTICLOCKWISE RING OVERLAY, LATIN SMALL LETTER B
      "\u0061 20DA 093C 0334 0062",  # (a◌⃚◌़◌̴b; a◌⃚◌̴◌़b; a◌⃚◌̴◌़b; a◌⃚◌̴◌़b; a◌⃚◌̴◌़b; ) LATIN SMALL LETTER A, COMBINING ANTICLOCKWISE RING OVERLAY, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 20DB 0062",  # (a◌̕◌̀◌֮◌⃛b; à◌֮◌⃛◌̕b; a◌֮◌̀◌⃛◌̕b; à◌֮◌⃛◌̕b; a◌֮◌̀◌⃛◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING THREE DOTS ABOVE, LATIN SMALL LETTER B
      "\u0061 20DB 0315 0300 05AE 0062",  # (a◌⃛◌̕◌̀◌֮b; a◌֮◌⃛◌̀◌̕b; a◌֮◌⃛◌̀◌̕b; a◌֮◌⃛◌̀◌̕b; a◌֮◌⃛◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING THREE DOTS ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 20DC 0062",  # (a◌̕◌̀◌֮◌⃜b; à◌֮◌⃜◌̕b; a◌֮◌̀◌⃜◌̕b; à◌֮◌⃜◌̕b; a◌֮◌̀◌⃜◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING FOUR DOTS ABOVE, LATIN SMALL LETTER B
      "\u0061 20DC 0315 0300 05AE 0062",  # (a◌⃜◌̕◌̀◌֮b; a◌֮◌⃜◌̀◌̕b; a◌֮◌⃜◌̀◌̕b; a◌֮◌⃜◌̀◌̕b; a◌֮◌⃜◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING FOUR DOTS ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 20E1 0062",  # (a◌̕◌̀◌֮◌⃡b; à◌֮◌⃡◌̕b; a◌֮◌̀◌⃡◌̕b; à◌֮◌⃡◌̕b; a◌֮◌̀◌⃡◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LEFT RIGHT ARROW ABOVE, LATIN SMALL LETTER B
      "\u0061 20E1 0315 0300 05AE 0062",  # (a◌⃡◌̕◌̀◌֮b; a◌֮◌⃡◌̀◌̕b; a◌֮◌⃡◌̀◌̕b; a◌֮◌⃡◌̀◌̕b; a◌֮◌⃡◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LEFT RIGHT ARROW ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 093C 0334 20E5 0062",  # (a◌़◌̴◌⃥b; a◌̴◌⃥◌़b; a◌̴◌⃥◌़b; a◌̴◌⃥◌़b; a◌̴◌⃥◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, COMBINING REVERSE SOLIDUS OVERLAY, LATIN SMALL LETTER B
      "\u0061 20E5 093C 0334 0062",  # (a◌⃥◌़◌̴b; a◌⃥◌̴◌़b; a◌⃥◌̴◌़b; a◌⃥◌̴◌़b; a◌⃥◌̴◌़b; ) LATIN SMALL LETTER A, COMBINING REVERSE SOLIDUS OVERLAY, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 093C 0334 20E6 0062",  # (a◌़◌̴◌⃦b; a◌̴◌⃦◌़b; a◌̴◌⃦◌़b; a◌̴◌⃦◌़b; a◌̴◌⃦◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, COMBINING DOUBLE VERTICAL STROKE OVERLAY, LATIN SMALL LETTER B
      "\u0061 20E6 093C 0334 0062",  # (a◌⃦◌़◌̴b; a◌⃦◌̴◌़b; a◌⃦◌̴◌़b; a◌⃦◌̴◌़b; a◌⃦◌̴◌़b; ) LATIN SMALL LETTER A, COMBINING DOUBLE VERTICAL STROKE OVERLAY, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 20E7 0062",  # (a◌̕◌̀◌֮◌⃧b; à◌֮◌⃧◌̕b; a◌֮◌̀◌⃧◌̕b; à◌֮◌⃧◌̕b; a◌֮◌̀◌⃧◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING ANNUITY SYMBOL, LATIN SMALL LETTER B
      "\u0061 20E7 0315 0300 05AE 0062",  # (a◌⃧◌̕◌̀◌֮b; a◌֮◌⃧◌̀◌̕b; a◌֮◌⃧◌̀◌̕b; a◌֮◌⃧◌̀◌̕b; a◌֮◌⃧◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING ANNUITY SYMBOL, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 20E8 0062",  # (a◌֚◌̖◌〪◌⃨b; a◌〪◌̖◌⃨◌֚b; a◌〪◌̖◌⃨◌֚b; a◌〪◌̖◌⃨◌֚b; a◌〪◌̖◌⃨◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING TRIPLE UNDERDOT, LATIN SMALL LETTER B
      "\u0061 20E8 059A 0316 302A 0062",  # (a◌⃨◌֚◌̖◌〪b; a◌〪◌⃨◌̖◌֚b; a◌〪◌⃨◌̖◌֚b; a◌〪◌⃨◌̖◌֚b; a◌〪◌⃨◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING TRIPLE UNDERDOT, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 20E9 0062",  # (a◌̕◌̀◌֮◌⃩b; à◌֮◌⃩◌̕b; a◌֮◌̀◌⃩◌̕b; à◌֮◌⃩◌̕b; a◌֮◌̀◌⃩◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING WIDE BRIDGE ABOVE, LATIN SMALL LETTER B
      "\u0061 20E9 0315 0300 05AE 0062",  # (a◌⃩◌̕◌̀◌֮b; a◌֮◌⃩◌̀◌̕b; a◌֮◌⃩◌̀◌̕b; a◌֮◌⃩◌̀◌̕b; a◌֮◌⃩◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING WIDE BRIDGE ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 093C 0334 20EA 0062",  # (a◌़◌̴◌⃪b; a◌̴◌⃪◌़b; a◌̴◌⃪◌़b; a◌̴◌⃪◌़b; a◌̴◌⃪◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, COMBINING LEFTWARDS ARROW OVERLAY, LATIN SMALL LETTER B
      "\u0061 20EA 093C 0334 0062",  # (a◌⃪◌़◌̴b; a◌⃪◌̴◌़b; a◌⃪◌̴◌़b; a◌⃪◌̴◌़b; a◌⃪◌̴◌़b; ) LATIN SMALL LETTER A, COMBINING LEFTWARDS ARROW OVERLAY, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 093C 0334 20EB 0062",  # (a◌़◌̴◌⃫b; a◌̴◌⃫◌़b; a◌̴◌⃫◌़b; a◌̴◌⃫◌़b; a◌̴◌⃫◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, COMBINING LONG DOUBLE SOLIDUS OVERLAY, LATIN SMALL LETTER B
      "\u0061 20EB 093C 0334 0062",  # (a◌⃫◌़◌̴b; a◌⃫◌̴◌़b; a◌⃫◌̴◌़b; a◌⃫◌̴◌़b; a◌⃫◌̴◌़b; ) LATIN SMALL LETTER A, COMBINING LONG DOUBLE SOLIDUS OVERLAY, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 20EC 0062",  # (a◌֚◌̖◌〪◌⃬b; a◌〪◌̖◌⃬◌֚b; a◌〪◌̖◌⃬◌֚b; a◌〪◌̖◌⃬◌֚b; a◌〪◌̖◌⃬◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING RIGHTWARDS HARPOON WITH BARB DOWNWARDS, LATIN SMALL LETTER B
      "\u0061 20EC 059A 0316 302A 0062",  # (a◌⃬◌֚◌̖◌〪b; a◌〪◌⃬◌̖◌֚b; a◌〪◌⃬◌̖◌֚b; a◌〪◌⃬◌̖◌֚b; a◌〪◌⃬◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING RIGHTWARDS HARPOON WITH BARB DOWNWARDS, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 20ED 0062",  # (a◌֚◌̖◌〪◌⃭b; a◌〪◌̖◌⃭◌֚b; a◌〪◌̖◌⃭◌֚b; a◌〪◌̖◌⃭◌֚b; a◌〪◌̖◌⃭◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING LEFTWARDS HARPOON WITH BARB DOWNWARDS, LATIN SMALL LETTER B
      "\u0061 20ED 059A 0316 302A 0062",  # (a◌⃭◌֚◌̖◌〪b; a◌〪◌⃭◌̖◌֚b; a◌〪◌⃭◌̖◌֚b; a◌〪◌⃭◌̖◌֚b; a◌〪◌⃭◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING LEFTWARDS HARPOON WITH BARB DOWNWARDS, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 20EE 0062",  # (a◌֚◌̖◌〪◌⃮b; a◌〪◌̖◌⃮◌֚b; a◌〪◌̖◌⃮◌֚b; a◌〪◌̖◌⃮◌֚b; a◌〪◌̖◌⃮◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING LEFT ARROW BELOW, LATIN SMALL LETTER B
      "\u0061 20EE 059A 0316 302A 0062",  # (a◌⃮◌֚◌̖◌〪b; a◌〪◌⃮◌̖◌֚b; a◌〪◌⃮◌̖◌֚b; a◌〪◌⃮◌̖◌֚b; a◌〪◌⃮◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING LEFT ARROW BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 20EF 0062",  # (a◌֚◌̖◌〪◌⃯b; a◌〪◌̖◌⃯◌֚b; a◌〪◌̖◌⃯◌֚b; a◌〪◌̖◌⃯◌֚b; a◌〪◌̖◌⃯◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING RIGHT ARROW BELOW, LATIN SMALL LETTER B
      "\u0061 20EF 059A 0316 302A 0062",  # (a◌⃯◌֚◌̖◌〪b; a◌〪◌⃯◌̖◌֚b; a◌〪◌⃯◌̖◌֚b; a◌〪◌⃯◌̖◌֚b; a◌〪◌⃯◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING RIGHT ARROW BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 20F0 0062",  # (a◌̕◌̀◌֮◌⃰b; à◌֮◌⃰◌̕b; a◌֮◌̀◌⃰◌̕b; à◌֮◌⃰◌̕b; a◌֮◌̀◌⃰◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING ASTERISK ABOVE, LATIN SMALL LETTER B
      "\u0061 20F0 0315 0300 05AE 0062",  # (a◌⃰◌̕◌̀◌֮b; a◌֮◌⃰◌̀◌̕b; a◌֮◌⃰◌̀◌̕b; a◌֮◌⃰◌̀◌̕b; a◌֮◌⃰◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING ASTERISK ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2CEF 0062",  # (a◌̕◌̀◌֮◌⳯b; à◌֮◌⳯◌̕b; a◌֮◌̀◌⳯◌̕b; à◌֮◌⳯◌̕b; a◌֮◌̀◌⳯◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COPTIC COMBINING NI ABOVE, LATIN SMALL LETTER B
      "\u0061 2CEF 0315 0300 05AE 0062",  # (a◌⳯◌̕◌̀◌֮b; a◌֮◌⳯◌̀◌̕b; a◌֮◌⳯◌̀◌̕b; a◌֮◌⳯◌̀◌̕b; a◌֮◌⳯◌̀◌̕b; ) LATIN SMALL LETTER A, COPTIC COMBINING NI ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2CF0 0062",  # (a◌̕◌̀◌֮◌⳰b; à◌֮◌⳰◌̕b; a◌֮◌̀◌⳰◌̕b; à◌֮◌⳰◌̕b; a◌֮◌̀◌⳰◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COPTIC COMBINING SPIRITUS ASPER, LATIN SMALL LETTER B
      "\u0061 2CF0 0315 0300 05AE 0062",  # (a◌⳰◌̕◌̀◌֮b; a◌֮◌⳰◌̀◌̕b; a◌֮◌⳰◌̀◌̕b; a◌֮◌⳰◌̀◌̕b; a◌֮◌⳰◌̀◌̕b; ) LATIN SMALL LETTER A, COPTIC COMBINING SPIRITUS ASPER, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2CF1 0062",  # (a◌̕◌̀◌֮◌⳱b; à◌֮◌⳱◌̕b; a◌֮◌̀◌⳱◌̕b; à◌֮◌⳱◌̕b; a◌֮◌̀◌⳱◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COPTIC COMBINING SPIRITUS LENIS, LATIN SMALL LETTER B
      "\u0061 2CF1 0315 0300 05AE 0062",  # (a◌⳱◌̕◌̀◌֮b; a◌֮◌⳱◌̀◌̕b; a◌֮◌⳱◌̀◌̕b; a◌֮◌⳱◌̀◌̕b; a◌֮◌⳱◌̀◌̕b; ) LATIN SMALL LETTER A, COPTIC COMBINING SPIRITUS LENIS, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 2D7F 0062",  # (a◌ְ◌्◌゙◌⵿b; a◌゙◌्◌⵿◌ְb; a◌゙◌्◌⵿◌ְb; a◌゙◌्◌⵿◌ְb; a◌゙◌्◌⵿◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, TIFINAGH CONSONANT JOINER, LATIN SMALL LETTER B
      "\u0061 2D7F 05B0 094D 3099 0062",  # (a◌⵿◌ְ◌्◌゙b; a◌゙◌⵿◌्◌ְb; a◌゙◌⵿◌्◌ְb; a◌゙◌⵿◌्◌ְb; a◌゙◌⵿◌्◌ְb; ) LATIN SMALL LETTER A, TIFINAGH CONSONANT JOINER, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DE0 0062",  # (a◌̕◌̀◌֮◌ⷠb; à◌֮◌ⷠ◌̕b; a◌֮◌̀◌ⷠ◌̕b; à◌֮◌ⷠ◌̕b; a◌֮◌̀◌ⷠ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER BE, LATIN SMALL LETTER B
      "\u0061 2DE0 0315 0300 05AE 0062",  # (a◌ⷠ◌̕◌̀◌֮b; a◌֮◌ⷠ◌̀◌̕b; a◌֮◌ⷠ◌̀◌̕b; a◌֮◌ⷠ◌̀◌̕b; a◌֮◌ⷠ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER BE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DE1 0062",  # (a◌̕◌̀◌֮◌ⷡb; à◌֮◌ⷡ◌̕b; a◌֮◌̀◌ⷡ◌̕b; à◌֮◌ⷡ◌̕b; a◌֮◌̀◌ⷡ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER VE, LATIN SMALL LETTER B
      "\u0061 2DE1 0315 0300 05AE 0062",  # (a◌ⷡ◌̕◌̀◌֮b; a◌֮◌ⷡ◌̀◌̕b; a◌֮◌ⷡ◌̀◌̕b; a◌֮◌ⷡ◌̀◌̕b; a◌֮◌ⷡ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER VE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DE2 0062",  # (a◌̕◌̀◌֮◌ⷢb; à◌֮◌ⷢ◌̕b; a◌֮◌̀◌ⷢ◌̕b; à◌֮◌ⷢ◌̕b; a◌֮◌̀◌ⷢ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER GHE, LATIN SMALL LETTER B
      "\u0061 2DE2 0315 0300 05AE 0062",  # (a◌ⷢ◌̕◌̀◌֮b; a◌֮◌ⷢ◌̀◌̕b; a◌֮◌ⷢ◌̀◌̕b; a◌֮◌ⷢ◌̀◌̕b; a◌֮◌ⷢ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER GHE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DE3 0062",  # (a◌̕◌̀◌֮◌ⷣb; à◌֮◌ⷣ◌̕b; a◌֮◌̀◌ⷣ◌̕b; à◌֮◌ⷣ◌̕b; a◌֮◌̀◌ⷣ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER DE, LATIN SMALL LETTER B
      "\u0061 2DE3 0315 0300 05AE 0062",  # (a◌ⷣ◌̕◌̀◌֮b; a◌֮◌ⷣ◌̀◌̕b; a◌֮◌ⷣ◌̀◌̕b; a◌֮◌ⷣ◌̀◌̕b; a◌֮◌ⷣ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER DE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DE4 0062",  # (a◌̕◌̀◌֮◌ⷤb; à◌֮◌ⷤ◌̕b; a◌֮◌̀◌ⷤ◌̕b; à◌֮◌ⷤ◌̕b; a◌֮◌̀◌ⷤ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER ZHE, LATIN SMALL LETTER B
      "\u0061 2DE4 0315 0300 05AE 0062",  # (a◌ⷤ◌̕◌̀◌֮b; a◌֮◌ⷤ◌̀◌̕b; a◌֮◌ⷤ◌̀◌̕b; a◌֮◌ⷤ◌̀◌̕b; a◌֮◌ⷤ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER ZHE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DE5 0062",  # (a◌̕◌̀◌֮◌ⷥb; à◌֮◌ⷥ◌̕b; a◌֮◌̀◌ⷥ◌̕b; à◌֮◌ⷥ◌̕b; a◌֮◌̀◌ⷥ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER ZE, LATIN SMALL LETTER B
      "\u0061 2DE5 0315 0300 05AE 0062",  # (a◌ⷥ◌̕◌̀◌֮b; a◌֮◌ⷥ◌̀◌̕b; a◌֮◌ⷥ◌̀◌̕b; a◌֮◌ⷥ◌̀◌̕b; a◌֮◌ⷥ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER ZE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DE6 0062",  # (a◌̕◌̀◌֮◌ⷦb; à◌֮◌ⷦ◌̕b; a◌֮◌̀◌ⷦ◌̕b; à◌֮◌ⷦ◌̕b; a◌֮◌̀◌ⷦ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER KA, LATIN SMALL LETTER B
      "\u0061 2DE6 0315 0300 05AE 0062",  # (a◌ⷦ◌̕◌̀◌֮b; a◌֮◌ⷦ◌̀◌̕b; a◌֮◌ⷦ◌̀◌̕b; a◌֮◌ⷦ◌̀◌̕b; a◌֮◌ⷦ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER KA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DE7 0062",  # (a◌̕◌̀◌֮◌ⷧb; à◌֮◌ⷧ◌̕b; a◌֮◌̀◌ⷧ◌̕b; à◌֮◌ⷧ◌̕b; a◌֮◌̀◌ⷧ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER EL, LATIN SMALL LETTER B
      "\u0061 2DE7 0315 0300 05AE 0062",  # (a◌ⷧ◌̕◌̀◌֮b; a◌֮◌ⷧ◌̀◌̕b; a◌֮◌ⷧ◌̀◌̕b; a◌֮◌ⷧ◌̀◌̕b; a◌֮◌ⷧ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER EL, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DE8 0062",  # (a◌̕◌̀◌֮◌ⷨb; à◌֮◌ⷨ◌̕b; a◌֮◌̀◌ⷨ◌̕b; à◌֮◌ⷨ◌̕b; a◌֮◌̀◌ⷨ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER EM, LATIN SMALL LETTER B
      "\u0061 2DE8 0315 0300 05AE 0062",  # (a◌ⷨ◌̕◌̀◌֮b; a◌֮◌ⷨ◌̀◌̕b; a◌֮◌ⷨ◌̀◌̕b; a◌֮◌ⷨ◌̀◌̕b; a◌֮◌ⷨ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER EM, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DE9 0062",  # (a◌̕◌̀◌֮◌ⷩb; à◌֮◌ⷩ◌̕b; a◌֮◌̀◌ⷩ◌̕b; à◌֮◌ⷩ◌̕b; a◌֮◌̀◌ⷩ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER EN, LATIN SMALL LETTER B
      "\u0061 2DE9 0315 0300 05AE 0062",  # (a◌ⷩ◌̕◌̀◌֮b; a◌֮◌ⷩ◌̀◌̕b; a◌֮◌ⷩ◌̀◌̕b; a◌֮◌ⷩ◌̀◌̕b; a◌֮◌ⷩ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER EN, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DEA 0062",  # (a◌̕◌̀◌֮◌ⷪb; à◌֮◌ⷪ◌̕b; a◌֮◌̀◌ⷪ◌̕b; à◌֮◌ⷪ◌̕b; a◌֮◌̀◌ⷪ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER O, LATIN SMALL LETTER B
      "\u0061 2DEA 0315 0300 05AE 0062",  # (a◌ⷪ◌̕◌̀◌֮b; a◌֮◌ⷪ◌̀◌̕b; a◌֮◌ⷪ◌̀◌̕b; a◌֮◌ⷪ◌̀◌̕b; a◌֮◌ⷪ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER O, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DEB 0062",  # (a◌̕◌̀◌֮◌ⷫb; à◌֮◌ⷫ◌̕b; a◌֮◌̀◌ⷫ◌̕b; à◌֮◌ⷫ◌̕b; a◌֮◌̀◌ⷫ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER PE, LATIN SMALL LETTER B
      "\u0061 2DEB 0315 0300 05AE 0062",  # (a◌ⷫ◌̕◌̀◌֮b; a◌֮◌ⷫ◌̀◌̕b; a◌֮◌ⷫ◌̀◌̕b; a◌֮◌ⷫ◌̀◌̕b; a◌֮◌ⷫ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER PE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DEC 0062",  # (a◌̕◌̀◌֮◌ⷬb; à◌֮◌ⷬ◌̕b; a◌֮◌̀◌ⷬ◌̕b; à◌֮◌ⷬ◌̕b; a◌֮◌̀◌ⷬ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER ER, LATIN SMALL LETTER B
      "\u0061 2DEC 0315 0300 05AE 0062",  # (a◌ⷬ◌̕◌̀◌֮b; a◌֮◌ⷬ◌̀◌̕b; a◌֮◌ⷬ◌̀◌̕b; a◌֮◌ⷬ◌̀◌̕b; a◌֮◌ⷬ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER ER, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DED 0062",  # (a◌̕◌̀◌֮◌ⷭb; à◌֮◌ⷭ◌̕b; a◌֮◌̀◌ⷭ◌̕b; à◌֮◌ⷭ◌̕b; a◌֮◌̀◌ⷭ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER ES, LATIN SMALL LETTER B
      "\u0061 2DED 0315 0300 05AE 0062",  # (a◌ⷭ◌̕◌̀◌֮b; a◌֮◌ⷭ◌̀◌̕b; a◌֮◌ⷭ◌̀◌̕b; a◌֮◌ⷭ◌̀◌̕b; a◌֮◌ⷭ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER ES, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DEE 0062",  # (a◌̕◌̀◌֮◌ⷮb; à◌֮◌ⷮ◌̕b; a◌֮◌̀◌ⷮ◌̕b; à◌֮◌ⷮ◌̕b; a◌֮◌̀◌ⷮ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER TE, LATIN SMALL LETTER B
      "\u0061 2DEE 0315 0300 05AE 0062",  # (a◌ⷮ◌̕◌̀◌֮b; a◌֮◌ⷮ◌̀◌̕b; a◌֮◌ⷮ◌̀◌̕b; a◌֮◌ⷮ◌̀◌̕b; a◌֮◌ⷮ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER TE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DEF 0062",  # (a◌̕◌̀◌֮◌ⷯb; à◌֮◌ⷯ◌̕b; a◌֮◌̀◌ⷯ◌̕b; à◌֮◌ⷯ◌̕b; a◌֮◌̀◌ⷯ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER HA, LATIN SMALL LETTER B
      "\u0061 2DEF 0315 0300 05AE 0062",  # (a◌ⷯ◌̕◌̀◌֮b; a◌֮◌ⷯ◌̀◌̕b; a◌֮◌ⷯ◌̀◌̕b; a◌֮◌ⷯ◌̀◌̕b; a◌֮◌ⷯ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER HA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DF0 0062",  # (a◌̕◌̀◌֮◌ⷰb; à◌֮◌ⷰ◌̕b; a◌֮◌̀◌ⷰ◌̕b; à◌֮◌ⷰ◌̕b; a◌֮◌̀◌ⷰ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER TSE, LATIN SMALL LETTER B
      "\u0061 2DF0 0315 0300 05AE 0062",  # (a◌ⷰ◌̕◌̀◌֮b; a◌֮◌ⷰ◌̀◌̕b; a◌֮◌ⷰ◌̀◌̕b; a◌֮◌ⷰ◌̀◌̕b; a◌֮◌ⷰ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER TSE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DF1 0062",  # (a◌̕◌̀◌֮◌ⷱb; à◌֮◌ⷱ◌̕b; a◌֮◌̀◌ⷱ◌̕b; à◌֮◌ⷱ◌̕b; a◌֮◌̀◌ⷱ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER CHE, LATIN SMALL LETTER B
      "\u0061 2DF1 0315 0300 05AE 0062",  # (a◌ⷱ◌̕◌̀◌֮b; a◌֮◌ⷱ◌̀◌̕b; a◌֮◌ⷱ◌̀◌̕b; a◌֮◌ⷱ◌̀◌̕b; a◌֮◌ⷱ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER CHE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DF2 0062",  # (a◌̕◌̀◌֮◌ⷲb; à◌֮◌ⷲ◌̕b; a◌֮◌̀◌ⷲ◌̕b; à◌֮◌ⷲ◌̕b; a◌֮◌̀◌ⷲ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER SHA, LATIN SMALL LETTER B
      "\u0061 2DF2 0315 0300 05AE 0062",  # (a◌ⷲ◌̕◌̀◌֮b; a◌֮◌ⷲ◌̀◌̕b; a◌֮◌ⷲ◌̀◌̕b; a◌֮◌ⷲ◌̀◌̕b; a◌֮◌ⷲ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER SHA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DF3 0062",  # (a◌̕◌̀◌֮◌ⷳb; à◌֮◌ⷳ◌̕b; a◌֮◌̀◌ⷳ◌̕b; à◌֮◌ⷳ◌̕b; a◌֮◌̀◌ⷳ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER SHCHA, LATIN SMALL LETTER B
      "\u0061 2DF3 0315 0300 05AE 0062",  # (a◌ⷳ◌̕◌̀◌֮b; a◌֮◌ⷳ◌̀◌̕b; a◌֮◌ⷳ◌̀◌̕b; a◌֮◌ⷳ◌̀◌̕b; a◌֮◌ⷳ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER SHCHA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DF4 0062",  # (a◌̕◌̀◌֮◌ⷴb; à◌֮◌ⷴ◌̕b; a◌֮◌̀◌ⷴ◌̕b; à◌֮◌ⷴ◌̕b; a◌֮◌̀◌ⷴ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER FITA, LATIN SMALL LETTER B
      "\u0061 2DF4 0315 0300 05AE 0062",  # (a◌ⷴ◌̕◌̀◌֮b; a◌֮◌ⷴ◌̀◌̕b; a◌֮◌ⷴ◌̀◌̕b; a◌֮◌ⷴ◌̀◌̕b; a◌֮◌ⷴ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER FITA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DF5 0062",  # (a◌̕◌̀◌֮◌ⷵb; à◌֮◌ⷵ◌̕b; a◌֮◌̀◌ⷵ◌̕b; à◌֮◌ⷵ◌̕b; a◌֮◌̀◌ⷵ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER ES-TE, LATIN SMALL LETTER B
      "\u0061 2DF5 0315 0300 05AE 0062",  # (a◌ⷵ◌̕◌̀◌֮b; a◌֮◌ⷵ◌̀◌̕b; a◌֮◌ⷵ◌̀◌̕b; a◌֮◌ⷵ◌̀◌̕b; a◌֮◌ⷵ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER ES-TE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DF6 0062",  # (a◌̕◌̀◌֮◌ⷶb; à◌֮◌ⷶ◌̕b; a◌֮◌̀◌ⷶ◌̕b; à◌֮◌ⷶ◌̕b; a◌֮◌̀◌ⷶ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER A, LATIN SMALL LETTER B
      "\u0061 2DF6 0315 0300 05AE 0062",  # (a◌ⷶ◌̕◌̀◌֮b; a◌֮◌ⷶ◌̀◌̕b; a◌֮◌ⷶ◌̀◌̕b; a◌֮◌ⷶ◌̀◌̕b; a◌֮◌ⷶ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DF7 0062",  # (a◌̕◌̀◌֮◌ⷷb; à◌֮◌ⷷ◌̕b; a◌֮◌̀◌ⷷ◌̕b; à◌֮◌ⷷ◌̕b; a◌֮◌̀◌ⷷ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER IE, LATIN SMALL LETTER B
      "\u0061 2DF7 0315 0300 05AE 0062",  # (a◌ⷷ◌̕◌̀◌֮b; a◌֮◌ⷷ◌̀◌̕b; a◌֮◌ⷷ◌̀◌̕b; a◌֮◌ⷷ◌̀◌̕b; a◌֮◌ⷷ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER IE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DF8 0062",  # (a◌̕◌̀◌֮◌ⷸb; à◌֮◌ⷸ◌̕b; a◌֮◌̀◌ⷸ◌̕b; à◌֮◌ⷸ◌̕b; a◌֮◌̀◌ⷸ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER DJERV, LATIN SMALL LETTER B
      "\u0061 2DF8 0315 0300 05AE 0062",  # (a◌ⷸ◌̕◌̀◌֮b; a◌֮◌ⷸ◌̀◌̕b; a◌֮◌ⷸ◌̀◌̕b; a◌֮◌ⷸ◌̀◌̕b; a◌֮◌ⷸ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER DJERV, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DF9 0062",  # (a◌̕◌̀◌֮◌ⷹb; à◌֮◌ⷹ◌̕b; a◌֮◌̀◌ⷹ◌̕b; à◌֮◌ⷹ◌̕b; a◌֮◌̀◌ⷹ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER MONOGRAPH UK, LATIN SMALL LETTER B
      "\u0061 2DF9 0315 0300 05AE 0062",  # (a◌ⷹ◌̕◌̀◌֮b; a◌֮◌ⷹ◌̀◌̕b; a◌֮◌ⷹ◌̀◌̕b; a◌֮◌ⷹ◌̀◌̕b; a◌֮◌ⷹ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER MONOGRAPH UK, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DFA 0062",  # (a◌̕◌̀◌֮◌ⷺb; à◌֮◌ⷺ◌̕b; a◌֮◌̀◌ⷺ◌̕b; à◌֮◌ⷺ◌̕b; a◌֮◌̀◌ⷺ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER YAT, LATIN SMALL LETTER B
      "\u0061 2DFA 0315 0300 05AE 0062",  # (a◌ⷺ◌̕◌̀◌֮b; a◌֮◌ⷺ◌̀◌̕b; a◌֮◌ⷺ◌̀◌̕b; a◌֮◌ⷺ◌̀◌̕b; a◌֮◌ⷺ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER YAT, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DFB 0062",  # (a◌̕◌̀◌֮◌ⷻb; à◌֮◌ⷻ◌̕b; a◌֮◌̀◌ⷻ◌̕b; à◌֮◌ⷻ◌̕b; a◌֮◌̀◌ⷻ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER YU, LATIN SMALL LETTER B
      "\u0061 2DFB 0315 0300 05AE 0062",  # (a◌ⷻ◌̕◌̀◌֮b; a◌֮◌ⷻ◌̀◌̕b; a◌֮◌ⷻ◌̀◌̕b; a◌֮◌ⷻ◌̀◌̕b; a◌֮◌ⷻ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER YU, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DFC 0062",  # (a◌̕◌̀◌֮◌ⷼb; à◌֮◌ⷼ◌̕b; a◌֮◌̀◌ⷼ◌̕b; à◌֮◌ⷼ◌̕b; a◌֮◌̀◌ⷼ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER IOTIFIED A, LATIN SMALL LETTER B
      "\u0061 2DFC 0315 0300 05AE 0062",  # (a◌ⷼ◌̕◌̀◌֮b; a◌֮◌ⷼ◌̀◌̕b; a◌֮◌ⷼ◌̀◌̕b; a◌֮◌ⷼ◌̀◌̕b; a◌֮◌ⷼ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER IOTIFIED A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DFD 0062",  # (a◌̕◌̀◌֮◌ⷽb; à◌֮◌ⷽ◌̕b; a◌֮◌̀◌ⷽ◌̕b; à◌֮◌ⷽ◌̕b; a◌֮◌̀◌ⷽ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER LITTLE YUS, LATIN SMALL LETTER B
      "\u0061 2DFD 0315 0300 05AE 0062",  # (a◌ⷽ◌̕◌̀◌֮b; a◌֮◌ⷽ◌̀◌̕b; a◌֮◌ⷽ◌̀◌̕b; a◌֮◌ⷽ◌̀◌̕b; a◌֮◌ⷽ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER LITTLE YUS, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DFE 0062",  # (a◌̕◌̀◌֮◌ⷾb; à◌֮◌ⷾ◌̕b; a◌֮◌̀◌ⷾ◌̕b; à◌֮◌ⷾ◌̕b; a◌֮◌̀◌ⷾ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER BIG YUS, LATIN SMALL LETTER B
      "\u0061 2DFE 0315 0300 05AE 0062",  # (a◌ⷾ◌̕◌̀◌֮b; a◌֮◌ⷾ◌̀◌̕b; a◌֮◌ⷾ◌̀◌̕b; a◌֮◌ⷾ◌̀◌̕b; a◌֮◌ⷾ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER BIG YUS, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 2DFF 0062",  # (a◌̕◌̀◌֮◌ⷿb; à◌֮◌ⷿ◌̕b; a◌֮◌̀◌ⷿ◌̕b; à◌֮◌ⷿ◌̕b; a◌֮◌̀◌ⷿ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER IOTIFIED BIG YUS, LATIN SMALL LETTER B
      "\u0061 2DFF 0315 0300 05AE 0062",  # (a◌ⷿ◌̕◌̀◌֮b; a◌֮◌ⷿ◌̀◌̕b; a◌֮◌ⷿ◌̀◌̕b; a◌֮◌ⷿ◌̀◌̕b; a◌֮◌ⷿ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER IOTIFIED BIG YUS, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0316 302A 031B 302A 0062",  # (a◌̖◌〪◌̛◌〪b; a◌̛◌〪◌〪◌̖b; a◌̛◌〪◌〪◌̖b; a◌̛◌〪◌〪◌̖b; a◌̛◌〪◌〪◌̖b; ) LATIN SMALL LETTER A, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING HORN, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 302A 0316 302A 031B 0062",  # (a◌〪◌̖◌〪◌̛b; a◌̛◌〪◌〪◌̖b; a◌̛◌〪◌〪◌̖b; a◌̛◌〪◌〪◌̖b; a◌̛◌〪◌〪◌̖b; ) LATIN SMALL LETTER A, IDEOGRAPHIC LEVEL TONE MARK, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING HORN, LATIN SMALL LETTER B
      "\u0061 0300 05AE 1D16D 302B 0062",  # (a◌̀◌𝅭֮◌〫b; à𝅭◌֮◌〫b; a𝅭◌֮◌〫◌̀b; à𝅭◌֮◌〫b; a𝅭◌֮◌〫◌̀b; ) LATIN SMALL LETTER A, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, MUSICAL SYMBOL COMBINING AUGMENTATION DOT, IDEOGRAPHIC RISING TONE MARK, LATIN SMALL LETTER B
      "\u0061 302B 0300 05AE 1D16D 0062",  # (a◌〫◌̀◌𝅭֮b; à𝅭◌〫◌֮b; a𝅭◌〫◌֮◌̀b; à𝅭◌〫◌֮b; a𝅭◌〫◌֮◌̀b; ) LATIN SMALL LETTER A, IDEOGRAPHIC RISING TONE MARK, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, MUSICAL SYMBOL COMBINING AUGMENTATION DOT, LATIN SMALL LETTER B
      "\u0061 035C 0315 0300 302C 0062",  # (a◌͜◌̕◌̀◌〬b; à◌̕◌〬◌͜b; a◌̀◌̕◌〬◌͜b; à◌̕◌〬◌͜b; a◌̀◌̕◌〬◌͜b; ) LATIN SMALL LETTER A, COMBINING DOUBLE BREVE BELOW, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, IDEOGRAPHIC DEPARTING TONE MARK, LATIN SMALL LETTER B
      "\u0061 302C 035C 0315 0300 0062",  # (a◌〬◌͜◌̕◌̀b; à◌〬◌̕◌͜b; a◌̀◌〬◌̕◌͜b; à◌〬◌̕◌͜b; a◌̀◌〬◌̕◌͜b; ) LATIN SMALL LETTER A, IDEOGRAPHIC DEPARTING TONE MARK, COMBINING DOUBLE BREVE BELOW, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, LATIN SMALL LETTER B
      "\u0061 302E 059A 0316 302D 0062",  # (a〮◌֚◌̖◌〭b; a◌̖◌֚◌〭〮b; a◌̖◌֚◌〭〮b; a◌̖◌֚◌〭〮b; a◌̖◌֚◌〭〮b; ) LATIN SMALL LETTER A, HANGUL SINGLE DOT TONE MARK, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC ENTERING TONE MARK, LATIN SMALL LETTER B
      "\u0061 302D 302E 059A 0316 0062",  # (a◌〭〮◌֚◌̖b; a◌̖◌〭◌֚〮b; a◌̖◌〭◌֚〮b; a◌̖◌〭◌֚〮b; a◌̖◌〭◌֚〮b; ) LATIN SMALL LETTER A, IDEOGRAPHIC ENTERING TONE MARK, HANGUL SINGLE DOT TONE MARK, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, LATIN SMALL LETTER B
      "\u0061 1D16D 302E 059A 302E 0062",  # (a〮𝅭◌֚〮b; a◌֚〮〮𝅭b; a◌֚〮〮𝅭b; a◌֚〮〮𝅭b; a◌֚〮〮𝅭b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING AUGMENTATION DOT, HANGUL SINGLE DOT TONE MARK, HEBREW ACCENT YETIV, HANGUL SINGLE DOT TONE MARK, LATIN SMALL LETTER B
      "\u0061 302E 1D16D 302E 059A 0062",  # (a〮〮𝅭◌֚b; a◌֚〮〮𝅭b; a◌֚〮〮𝅭b; a◌֚〮〮𝅭b; a◌֚〮〮𝅭b; ) LATIN SMALL LETTER A, HANGUL SINGLE DOT TONE MARK, MUSICAL SYMBOL COMBINING AUGMENTATION DOT, HANGUL SINGLE DOT TONE MARK, HEBREW ACCENT YETIV, LATIN SMALL LETTER B
      "\u0061 1D16D 302E 059A 302F 0062",  # (a〮𝅭◌֚〯b; a◌֚〮〯𝅭b; a◌֚〮〯𝅭b; a◌֚〮〯𝅭b; a◌֚〮〯𝅭b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING AUGMENTATION DOT, HANGUL SINGLE DOT TONE MARK, HEBREW ACCENT YETIV, HANGUL DOUBLE DOT TONE MARK, LATIN SMALL LETTER B
      "\u0061 302F 1D16D 302E 059A 0062",  # (a〯〮𝅭◌֚b; a◌֚〯〮𝅭b; a◌֚〯〮𝅭b; a◌֚〯〮𝅭b; a◌֚〯〮𝅭b; ) LATIN SMALL LETTER A, HANGUL DOUBLE DOT TONE MARK, MUSICAL SYMBOL COMBINING AUGMENTATION DOT, HANGUL SINGLE DOT TONE MARK, HEBREW ACCENT YETIV, LATIN SMALL LETTER B
      "\u0061 094D 3099 093C 3099 0062",  # (a◌्◌゙◌़◌゙b; a◌़◌゙◌゙◌्b; a◌़◌゙◌゙◌्b; a◌़◌゙◌゙◌्b; a◌़◌゙◌゙◌्b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 3099 094D 3099 093C 0062",  # (a◌゙◌्◌゙◌़b; a◌़◌゙◌゙◌्b; a◌़◌゙◌゙◌्b; a◌़◌゙◌゙◌्b; a◌़◌゙◌゙◌्b; ) LATIN SMALL LETTER A, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, LATIN SMALL LETTER B
      "\u0061 094D 3099 093C 309A 0062",  # (a◌्◌゙◌़◌゚b; a◌़◌゙◌゚◌्b; a◌़◌゙◌゚◌्b; a◌़◌゙◌゚◌्b; a◌़◌゙◌゚◌्b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING KATAKANA-HIRAGANA SEMI-VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 309A 094D 3099 093C 0062",  # (a◌゚◌्◌゙◌़b; a◌़◌゚◌゙◌्b; a◌़◌゚◌゙◌्b; a◌़◌゚◌゙◌्b; a◌़◌゚◌゙◌्b; ) LATIN SMALL LETTER A, COMBINING KATAKANA-HIRAGANA SEMI-VOICED SOUND MARK, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A66F 0062",  # (a◌̕◌̀◌֮◌꙯b; à◌֮◌꙯◌̕b; a◌֮◌̀◌꙯◌̕b; à◌֮◌꙯◌̕b; a◌֮◌̀◌꙯◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC VZMET, LATIN SMALL LETTER B
      "\u0061 A66F 0315 0300 05AE 0062",  # (a◌꙯◌̕◌̀◌֮b; a◌֮◌꙯◌̀◌̕b; a◌֮◌꙯◌̀◌̕b; a◌֮◌꙯◌̀◌̕b; a◌֮◌꙯◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC VZMET, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A674 0062",  # (a◌̕◌̀◌֮◌ꙴb; à◌֮◌ꙴ◌̕b; a◌֮◌̀◌ꙴ◌̕b; à◌֮◌ꙴ◌̕b; a◌֮◌̀◌ꙴ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER UKRAINIAN IE, LATIN SMALL LETTER B
      "\u0061 A674 0315 0300 05AE 0062",  # (a◌ꙴ◌̕◌̀◌֮b; a◌֮◌ꙴ◌̀◌̕b; a◌֮◌ꙴ◌̀◌̕b; a◌֮◌ꙴ◌̀◌̕b; a◌֮◌ꙴ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER UKRAINIAN IE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A675 0062",  # (a◌̕◌̀◌֮◌ꙵb; à◌֮◌ꙵ◌̕b; a◌֮◌̀◌ꙵ◌̕b; à◌֮◌ꙵ◌̕b; a◌֮◌̀◌ꙵ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER I, LATIN SMALL LETTER B
      "\u0061 A675 0315 0300 05AE 0062",  # (a◌ꙵ◌̕◌̀◌֮b; a◌֮◌ꙵ◌̀◌̕b; a◌֮◌ꙵ◌̀◌̕b; a◌֮◌ꙵ◌̀◌̕b; a◌֮◌ꙵ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER I, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A676 0062",  # (a◌̕◌̀◌֮◌ꙶb; à◌֮◌ꙶ◌̕b; a◌֮◌̀◌ꙶ◌̕b; à◌֮◌ꙶ◌̕b; a◌֮◌̀◌ꙶ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER YI, LATIN SMALL LETTER B
      "\u0061 A676 0315 0300 05AE 0062",  # (a◌ꙶ◌̕◌̀◌֮b; a◌֮◌ꙶ◌̀◌̕b; a◌֮◌ꙶ◌̀◌̕b; a◌֮◌ꙶ◌̀◌̕b; a◌֮◌ꙶ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER YI, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A677 0062",  # (a◌̕◌̀◌֮◌ꙷb; à◌֮◌ꙷ◌̕b; a◌֮◌̀◌ꙷ◌̕b; à◌֮◌ꙷ◌̕b; a◌֮◌̀◌ꙷ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER U, LATIN SMALL LETTER B
      "\u0061 A677 0315 0300 05AE 0062",  # (a◌ꙷ◌̕◌̀◌֮b; a◌֮◌ꙷ◌̀◌̕b; a◌֮◌ꙷ◌̀◌̕b; a◌֮◌ꙷ◌̀◌̕b; a◌֮◌ꙷ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER U, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A678 0062",  # (a◌̕◌̀◌֮◌ꙸb; à◌֮◌ꙸ◌̕b; a◌֮◌̀◌ꙸ◌̕b; à◌֮◌ꙸ◌̕b; a◌֮◌̀◌ꙸ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER HARD SIGN, LATIN SMALL LETTER B
      "\u0061 A678 0315 0300 05AE 0062",  # (a◌ꙸ◌̕◌̀◌֮b; a◌֮◌ꙸ◌̀◌̕b; a◌֮◌ꙸ◌̀◌̕b; a◌֮◌ꙸ◌̀◌̕b; a◌֮◌ꙸ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER HARD SIGN, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A679 0062",  # (a◌̕◌̀◌֮◌ꙹb; à◌֮◌ꙹ◌̕b; a◌֮◌̀◌ꙹ◌̕b; à◌֮◌ꙹ◌̕b; a◌֮◌̀◌ꙹ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER YERU, LATIN SMALL LETTER B
      "\u0061 A679 0315 0300 05AE 0062",  # (a◌ꙹ◌̕◌̀◌֮b; a◌֮◌ꙹ◌̀◌̕b; a◌֮◌ꙹ◌̀◌̕b; a◌֮◌ꙹ◌̀◌̕b; a◌֮◌ꙹ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER YERU, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A67A 0062",  # (a◌̕◌̀◌֮◌ꙺb; à◌֮◌ꙺ◌̕b; a◌֮◌̀◌ꙺ◌̕b; à◌֮◌ꙺ◌̕b; a◌֮◌̀◌ꙺ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER SOFT SIGN, LATIN SMALL LETTER B
      "\u0061 A67A 0315 0300 05AE 0062",  # (a◌ꙺ◌̕◌̀◌֮b; a◌֮◌ꙺ◌̀◌̕b; a◌֮◌ꙺ◌̀◌̕b; a◌֮◌ꙺ◌̀◌̕b; a◌֮◌ꙺ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER SOFT SIGN, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A67B 0062",  # (a◌̕◌̀◌֮◌ꙻb; à◌֮◌ꙻ◌̕b; a◌֮◌̀◌ꙻ◌̕b; à◌֮◌ꙻ◌̕b; a◌֮◌̀◌ꙻ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER OMEGA, LATIN SMALL LETTER B
      "\u0061 A67B 0315 0300 05AE 0062",  # (a◌ꙻ◌̕◌̀◌֮b; a◌֮◌ꙻ◌̀◌̕b; a◌֮◌ꙻ◌̀◌̕b; a◌֮◌ꙻ◌̀◌̕b; a◌֮◌ꙻ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER OMEGA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A67C 0062",  # (a◌̕◌̀◌֮◌꙼b; à◌֮◌꙼◌̕b; a◌֮◌̀◌꙼◌̕b; à◌֮◌꙼◌̕b; a◌֮◌̀◌꙼◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC KAVYKA, LATIN SMALL LETTER B
      "\u0061 A67C 0315 0300 05AE 0062",  # (a◌꙼◌̕◌̀◌֮b; a◌֮◌꙼◌̀◌̕b; a◌֮◌꙼◌̀◌̕b; a◌֮◌꙼◌̀◌̕b; a◌֮◌꙼◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC KAVYKA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A67D 0062",  # (a◌̕◌̀◌֮◌꙽b; à◌֮◌꙽◌̕b; a◌֮◌̀◌꙽◌̕b; à◌֮◌꙽◌̕b; a◌֮◌̀◌꙽◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC PAYEROK, LATIN SMALL LETTER B
      "\u0061 A67D 0315 0300 05AE 0062",  # (a◌꙽◌̕◌̀◌֮b; a◌֮◌꙽◌̀◌̕b; a◌֮◌꙽◌̀◌̕b; a◌֮◌꙽◌̀◌̕b; a◌֮◌꙽◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC PAYEROK, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A69E 0062",  # (a◌̕◌̀◌֮◌ꚞb; à◌֮◌ꚞ◌̕b; a◌֮◌̀◌ꚞ◌̕b; à◌֮◌ꚞ◌̕b; a◌֮◌̀◌ꚞ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER EF, LATIN SMALL LETTER B
      "\u0061 A69E 0315 0300 05AE 0062",  # (a◌ꚞ◌̕◌̀◌֮b; a◌֮◌ꚞ◌̀◌̕b; a◌֮◌ꚞ◌̀◌̕b; a◌֮◌ꚞ◌̀◌̕b; a◌֮◌ꚞ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER EF, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A69F 0062",  # (a◌̕◌̀◌֮◌ꚟb; à◌֮◌ꚟ◌̕b; a◌֮◌̀◌ꚟ◌̕b; à◌֮◌ꚟ◌̕b; a◌֮◌̀◌ꚟ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC LETTER IOTIFIED E, LATIN SMALL LETTER B
      "\u0061 A69F 0315 0300 05AE 0062",  # (a◌ꚟ◌̕◌̀◌֮b; a◌֮◌ꚟ◌̀◌̕b; a◌֮◌ꚟ◌̀◌̕b; a◌֮◌ꚟ◌̀◌̕b; a◌֮◌ꚟ◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC LETTER IOTIFIED E, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A6F0 0062",  # (a◌̕◌̀◌֮◌꛰b; à◌֮◌꛰◌̕b; a◌֮◌̀◌꛰◌̕b; à◌֮◌꛰◌̕b; a◌֮◌̀◌꛰◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, BAMUM COMBINING MARK KOQNDON, LATIN SMALL LETTER B
      "\u0061 A6F0 0315 0300 05AE 0062",  # (a◌꛰◌̕◌̀◌֮b; a◌֮◌꛰◌̀◌̕b; a◌֮◌꛰◌̀◌̕b; a◌֮◌꛰◌̀◌̕b; a◌֮◌꛰◌̀◌̕b; ) LATIN SMALL LETTER A, BAMUM COMBINING MARK KOQNDON, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A6F1 0062",  # (a◌̕◌̀◌֮◌꛱b; à◌֮◌꛱◌̕b; a◌֮◌̀◌꛱◌̕b; à◌֮◌꛱◌̕b; a◌֮◌̀◌꛱◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, BAMUM COMBINING MARK TUKWENTIS, LATIN SMALL LETTER B
      "\u0061 A6F1 0315 0300 05AE 0062",  # (a◌꛱◌̕◌̀◌֮b; a◌֮◌꛱◌̀◌̕b; a◌֮◌꛱◌̀◌̕b; a◌֮◌꛱◌̀◌̕b; a◌֮◌꛱◌̀◌̕b; ) LATIN SMALL LETTER A, BAMUM COMBINING MARK TUKWENTIS, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 A806 0062",  # (a◌ְ◌्◌゙◌꠆b; a◌゙◌्◌꠆◌ְb; a◌゙◌्◌꠆◌ְb; a◌゙◌्◌꠆◌ְb; a◌゙◌्◌꠆◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, SYLOTI NAGRI SIGN HASANTA, LATIN SMALL LETTER B
      "\u0061 A806 05B0 094D 3099 0062",  # (a◌꠆◌ְ◌्◌゙b; a◌゙◌꠆◌्◌ְb; a◌゙◌꠆◌्◌ְb; a◌゙◌꠆◌्◌ְb; a◌゙◌꠆◌्◌ְb; ) LATIN SMALL LETTER A, SYLOTI NAGRI SIGN HASANTA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 A8C4 0062",  # (a◌ְ◌्◌゙◌꣄b; a◌゙◌्◌꣄◌ְb; a◌゙◌्◌꣄◌ְb; a◌゙◌्◌꣄◌ְb; a◌゙◌्◌꣄◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, SAURASHTRA SIGN VIRAMA, LATIN SMALL LETTER B
      "\u0061 A8C4 05B0 094D 3099 0062",  # (a◌꣄◌ְ◌्◌゙b; a◌゙◌꣄◌्◌ְb; a◌゙◌꣄◌्◌ְb; a◌゙◌꣄◌्◌ְb; a◌゙◌꣄◌्◌ְb; ) LATIN SMALL LETTER A, SAURASHTRA SIGN VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A8E0 0062",  # (a◌̕◌̀◌֮◌꣠b; à◌֮◌꣠◌̕b; a◌֮◌̀◌꣠◌̕b; à◌֮◌꣠◌̕b; a◌֮◌̀◌꣠◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DEVANAGARI DIGIT ZERO, LATIN SMALL LETTER B
      "\u0061 A8E0 0315 0300 05AE 0062",  # (a◌꣠◌̕◌̀◌֮b; a◌֮◌꣠◌̀◌̕b; a◌֮◌꣠◌̀◌̕b; a◌֮◌꣠◌̀◌̕b; a◌֮◌꣠◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DEVANAGARI DIGIT ZERO, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A8E1 0062",  # (a◌̕◌̀◌֮◌꣡b; à◌֮◌꣡◌̕b; a◌֮◌̀◌꣡◌̕b; à◌֮◌꣡◌̕b; a◌֮◌̀◌꣡◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DEVANAGARI DIGIT ONE, LATIN SMALL LETTER B
      "\u0061 A8E1 0315 0300 05AE 0062",  # (a◌꣡◌̕◌̀◌֮b; a◌֮◌꣡◌̀◌̕b; a◌֮◌꣡◌̀◌̕b; a◌֮◌꣡◌̀◌̕b; a◌֮◌꣡◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DEVANAGARI DIGIT ONE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A8E2 0062",  # (a◌̕◌̀◌֮◌꣢b; à◌֮◌꣢◌̕b; a◌֮◌̀◌꣢◌̕b; à◌֮◌꣢◌̕b; a◌֮◌̀◌꣢◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DEVANAGARI DIGIT TWO, LATIN SMALL LETTER B
      "\u0061 A8E2 0315 0300 05AE 0062",  # (a◌꣢◌̕◌̀◌֮b; a◌֮◌꣢◌̀◌̕b; a◌֮◌꣢◌̀◌̕b; a◌֮◌꣢◌̀◌̕b; a◌֮◌꣢◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DEVANAGARI DIGIT TWO, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A8E3 0062",  # (a◌̕◌̀◌֮◌꣣b; à◌֮◌꣣◌̕b; a◌֮◌̀◌꣣◌̕b; à◌֮◌꣣◌̕b; a◌֮◌̀◌꣣◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DEVANAGARI DIGIT THREE, LATIN SMALL LETTER B
      "\u0061 A8E3 0315 0300 05AE 0062",  # (a◌꣣◌̕◌̀◌֮b; a◌֮◌꣣◌̀◌̕b; a◌֮◌꣣◌̀◌̕b; a◌֮◌꣣◌̀◌̕b; a◌֮◌꣣◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DEVANAGARI DIGIT THREE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A8E4 0062",  # (a◌̕◌̀◌֮◌꣤b; à◌֮◌꣤◌̕b; a◌֮◌̀◌꣤◌̕b; à◌֮◌꣤◌̕b; a◌֮◌̀◌꣤◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DEVANAGARI DIGIT FOUR, LATIN SMALL LETTER B
      "\u0061 A8E4 0315 0300 05AE 0062",  # (a◌꣤◌̕◌̀◌֮b; a◌֮◌꣤◌̀◌̕b; a◌֮◌꣤◌̀◌̕b; a◌֮◌꣤◌̀◌̕b; a◌֮◌꣤◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DEVANAGARI DIGIT FOUR, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A8E5 0062",  # (a◌̕◌̀◌֮◌꣥b; à◌֮◌꣥◌̕b; a◌֮◌̀◌꣥◌̕b; à◌֮◌꣥◌̕b; a◌֮◌̀◌꣥◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DEVANAGARI DIGIT FIVE, LATIN SMALL LETTER B
      "\u0061 A8E5 0315 0300 05AE 0062",  # (a◌꣥◌̕◌̀◌֮b; a◌֮◌꣥◌̀◌̕b; a◌֮◌꣥◌̀◌̕b; a◌֮◌꣥◌̀◌̕b; a◌֮◌꣥◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DEVANAGARI DIGIT FIVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A8E6 0062",  # (a◌̕◌̀◌֮◌꣦b; à◌֮◌꣦◌̕b; a◌֮◌̀◌꣦◌̕b; à◌֮◌꣦◌̕b; a◌֮◌̀◌꣦◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DEVANAGARI DIGIT SIX, LATIN SMALL LETTER B
      "\u0061 A8E6 0315 0300 05AE 0062",  # (a◌꣦◌̕◌̀◌֮b; a◌֮◌꣦◌̀◌̕b; a◌֮◌꣦◌̀◌̕b; a◌֮◌꣦◌̀◌̕b; a◌֮◌꣦◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DEVANAGARI DIGIT SIX, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A8E7 0062",  # (a◌̕◌̀◌֮◌꣧b; à◌֮◌꣧◌̕b; a◌֮◌̀◌꣧◌̕b; à◌֮◌꣧◌̕b; a◌֮◌̀◌꣧◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DEVANAGARI DIGIT SEVEN, LATIN SMALL LETTER B
      "\u0061 A8E7 0315 0300 05AE 0062",  # (a◌꣧◌̕◌̀◌֮b; a◌֮◌꣧◌̀◌̕b; a◌֮◌꣧◌̀◌̕b; a◌֮◌꣧◌̀◌̕b; a◌֮◌꣧◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DEVANAGARI DIGIT SEVEN, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A8E8 0062",  # (a◌̕◌̀◌֮◌꣨b; à◌֮◌꣨◌̕b; a◌֮◌̀◌꣨◌̕b; à◌֮◌꣨◌̕b; a◌֮◌̀◌꣨◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DEVANAGARI DIGIT EIGHT, LATIN SMALL LETTER B
      "\u0061 A8E8 0315 0300 05AE 0062",  # (a◌꣨◌̕◌̀◌֮b; a◌֮◌꣨◌̀◌̕b; a◌֮◌꣨◌̀◌̕b; a◌֮◌꣨◌̀◌̕b; a◌֮◌꣨◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DEVANAGARI DIGIT EIGHT, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A8E9 0062",  # (a◌̕◌̀◌֮◌꣩b; à◌֮◌꣩◌̕b; a◌֮◌̀◌꣩◌̕b; à◌֮◌꣩◌̕b; a◌֮◌̀◌꣩◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DEVANAGARI DIGIT NINE, LATIN SMALL LETTER B
      "\u0061 A8E9 0315 0300 05AE 0062",  # (a◌꣩◌̕◌̀◌֮b; a◌֮◌꣩◌̀◌̕b; a◌֮◌꣩◌̀◌̕b; a◌֮◌꣩◌̀◌̕b; a◌֮◌꣩◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DEVANAGARI DIGIT NINE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A8EA 0062",  # (a◌̕◌̀◌֮◌꣪b; à◌֮◌꣪◌̕b; a◌֮◌̀◌꣪◌̕b; à◌֮◌꣪◌̕b; a◌֮◌̀◌꣪◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DEVANAGARI LETTER A, LATIN SMALL LETTER B
      "\u0061 A8EA 0315 0300 05AE 0062",  # (a◌꣪◌̕◌̀◌֮b; a◌֮◌꣪◌̀◌̕b; a◌֮◌꣪◌̀◌̕b; a◌֮◌꣪◌̀◌̕b; a◌֮◌꣪◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DEVANAGARI LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A8EB 0062",  # (a◌̕◌̀◌֮◌꣫b; à◌֮◌꣫◌̕b; a◌֮◌̀◌꣫◌̕b; à◌֮◌꣫◌̕b; a◌֮◌̀◌꣫◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DEVANAGARI LETTER U, LATIN SMALL LETTER B
      "\u0061 A8EB 0315 0300 05AE 0062",  # (a◌꣫◌̕◌̀◌֮b; a◌֮◌꣫◌̀◌̕b; a◌֮◌꣫◌̀◌̕b; a◌֮◌꣫◌̀◌̕b; a◌֮◌꣫◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DEVANAGARI LETTER U, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A8EC 0062",  # (a◌̕◌̀◌֮◌꣬b; à◌֮◌꣬◌̕b; a◌֮◌̀◌꣬◌̕b; à◌֮◌꣬◌̕b; a◌֮◌̀◌꣬◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DEVANAGARI LETTER KA, LATIN SMALL LETTER B
      "\u0061 A8EC 0315 0300 05AE 0062",  # (a◌꣬◌̕◌̀◌֮b; a◌֮◌꣬◌̀◌̕b; a◌֮◌꣬◌̀◌̕b; a◌֮◌꣬◌̀◌̕b; a◌֮◌꣬◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DEVANAGARI LETTER KA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A8ED 0062",  # (a◌̕◌̀◌֮◌꣭b; à◌֮◌꣭◌̕b; a◌֮◌̀◌꣭◌̕b; à◌֮◌꣭◌̕b; a◌֮◌̀◌꣭◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DEVANAGARI LETTER NA, LATIN SMALL LETTER B
      "\u0061 A8ED 0315 0300 05AE 0062",  # (a◌꣭◌̕◌̀◌֮b; a◌֮◌꣭◌̀◌̕b; a◌֮◌꣭◌̀◌̕b; a◌֮◌꣭◌̀◌̕b; a◌֮◌꣭◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DEVANAGARI LETTER NA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A8EE 0062",  # (a◌̕◌̀◌֮◌꣮b; à◌֮◌꣮◌̕b; a◌֮◌̀◌꣮◌̕b; à◌֮◌꣮◌̕b; a◌֮◌̀◌꣮◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DEVANAGARI LETTER PA, LATIN SMALL LETTER B
      "\u0061 A8EE 0315 0300 05AE 0062",  # (a◌꣮◌̕◌̀◌֮b; a◌֮◌꣮◌̀◌̕b; a◌֮◌꣮◌̀◌̕b; a◌֮◌꣮◌̀◌̕b; a◌֮◌꣮◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DEVANAGARI LETTER PA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A8EF 0062",  # (a◌̕◌̀◌֮◌꣯b; à◌֮◌꣯◌̕b; a◌֮◌̀◌꣯◌̕b; à◌֮◌꣯◌̕b; a◌֮◌̀◌꣯◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DEVANAGARI LETTER RA, LATIN SMALL LETTER B
      "\u0061 A8EF 0315 0300 05AE 0062",  # (a◌꣯◌̕◌̀◌֮b; a◌֮◌꣯◌̀◌̕b; a◌֮◌꣯◌̀◌̕b; a◌֮◌꣯◌̀◌̕b; a◌֮◌꣯◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DEVANAGARI LETTER RA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A8F0 0062",  # (a◌̕◌̀◌֮◌꣰b; à◌֮◌꣰◌̕b; a◌֮◌̀◌꣰◌̕b; à◌֮◌꣰◌̕b; a◌֮◌̀◌꣰◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DEVANAGARI LETTER VI, LATIN SMALL LETTER B
      "\u0061 A8F0 0315 0300 05AE 0062",  # (a◌꣰◌̕◌̀◌֮b; a◌֮◌꣰◌̀◌̕b; a◌֮◌꣰◌̀◌̕b; a◌֮◌꣰◌̀◌̕b; a◌֮◌꣰◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DEVANAGARI LETTER VI, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE A8F1 0062",  # (a◌̕◌̀◌֮◌꣱b; à◌֮◌꣱◌̕b; a◌֮◌̀◌꣱◌̕b; à◌֮◌꣱◌̕b; a◌֮◌̀◌꣱◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DEVANAGARI SIGN AVAGRAHA, LATIN SMALL LETTER B
      "\u0061 A8F1 0315 0300 05AE 0062",  # (a◌꣱◌̕◌̀◌֮b; a◌֮◌꣱◌̀◌̕b; a◌֮◌꣱◌̀◌̕b; a◌֮◌꣱◌̀◌̕b; a◌֮◌꣱◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DEVANAGARI SIGN AVAGRAHA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A A92B 0062",  # (a◌֚◌̖◌〪◌꤫b; a◌〪◌̖◌꤫◌֚b; a◌〪◌̖◌꤫◌֚b; a◌〪◌̖◌꤫◌֚b; a◌〪◌̖◌꤫◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, KAYAH LI TONE PLOPHU, LATIN SMALL LETTER B
      "\u0061 A92B 059A 0316 302A 0062",  # (a◌꤫◌֚◌̖◌〪b; a◌〪◌꤫◌̖◌֚b; a◌〪◌꤫◌̖◌֚b; a◌〪◌꤫◌̖◌֚b; a◌〪◌꤫◌̖◌֚b; ) LATIN SMALL LETTER A, KAYAH LI TONE PLOPHU, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A A92C 0062",  # (a◌֚◌̖◌〪◌꤬b; a◌〪◌̖◌꤬◌֚b; a◌〪◌̖◌꤬◌֚b; a◌〪◌̖◌꤬◌֚b; a◌〪◌̖◌꤬◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, KAYAH LI TONE CALYA, LATIN SMALL LETTER B
      "\u0061 A92C 059A 0316 302A 0062",  # (a◌꤬◌֚◌̖◌〪b; a◌〪◌꤬◌̖◌֚b; a◌〪◌꤬◌̖◌֚b; a◌〪◌꤬◌̖◌֚b; a◌〪◌꤬◌̖◌֚b; ) LATIN SMALL LETTER A, KAYAH LI TONE CALYA, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A A92D 0062",  # (a◌֚◌̖◌〪◌꤭b; a◌〪◌̖◌꤭◌֚b; a◌〪◌̖◌꤭◌֚b; a◌〪◌̖◌꤭◌֚b; a◌〪◌̖◌꤭◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, KAYAH LI TONE CALYA PLOPHU, LATIN SMALL LETTER B
      "\u0061 A92D 059A 0316 302A 0062",  # (a◌꤭◌֚◌̖◌〪b; a◌〪◌꤭◌̖◌֚b; a◌〪◌꤭◌̖◌֚b; a◌〪◌꤭◌̖◌֚b; a◌〪◌꤭◌̖◌֚b; ) LATIN SMALL LETTER A, KAYAH LI TONE CALYA PLOPHU, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 A953 0062",  # (a◌ְ◌्◌゙꥓b; a◌゙◌्꥓◌ְb; a◌゙◌्꥓◌ְb; a◌゙◌्꥓◌ְb; a◌゙◌्꥓◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, REJANG VIRAMA, LATIN SMALL LETTER B
      "\u0061 A953 05B0 094D 3099 0062",  # (a꥓◌ְ◌्◌゙b; a◌゙꥓◌्◌ְb; a◌゙꥓◌्◌ְb; a◌゙꥓◌्◌ְb; a◌゙꥓◌्◌ְb; ) LATIN SMALL LETTER A, REJANG VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 3099 093C 0334 A9B3 0062",  # (a◌゙◌़◌̴◌꦳b; a◌̴◌़◌꦳◌゙b; a◌̴◌़◌꦳◌゙b; a◌̴◌़◌꦳◌゙b; a◌̴◌़◌꦳◌゙b; ) LATIN SMALL LETTER A, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, JAVANESE SIGN CECAK TELU, LATIN SMALL LETTER B
      "\u0061 A9B3 3099 093C 0334 0062",  # (a◌꦳◌゙◌़◌̴b; a◌̴◌꦳◌़◌゙b; a◌̴◌꦳◌़◌゙b; a◌̴◌꦳◌़◌゙b; a◌̴◌꦳◌़◌゙b; ) LATIN SMALL LETTER A, JAVANESE SIGN CECAK TELU, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 A9C0 0062",  # (a◌ְ◌्◌゙꧀b; a◌゙◌्꧀◌ְb; a◌゙◌्꧀◌ְb; a◌゙◌्꧀◌ְb; a◌゙◌्꧀◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, JAVANESE PANGKON, LATIN SMALL LETTER B
      "\u0061 A9C0 05B0 094D 3099 0062",  # (a꧀◌ְ◌्◌゙b; a◌゙꧀◌्◌ְb; a◌゙꧀◌्◌ְb; a◌゙꧀◌्◌ְb; a◌゙꧀◌्◌ְb; ) LATIN SMALL LETTER A, JAVANESE PANGKON, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE AAB0 0062",  # (a◌̕◌̀◌֮◌ꪰb; à◌֮◌ꪰ◌̕b; a◌֮◌̀◌ꪰ◌̕b; à◌֮◌ꪰ◌̕b; a◌֮◌̀◌ꪰ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, TAI VIET MAI KANG, LATIN SMALL LETTER B
      "\u0061 AAB0 0315 0300 05AE 0062",  # (a◌ꪰ◌̕◌̀◌֮b; a◌֮◌ꪰ◌̀◌̕b; a◌֮◌ꪰ◌̀◌̕b; a◌֮◌ꪰ◌̀◌̕b; a◌֮◌ꪰ◌̀◌̕b; ) LATIN SMALL LETTER A, TAI VIET MAI KANG, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE AAB2 0062",  # (a◌̕◌̀◌֮◌ꪲb; à◌֮◌ꪲ◌̕b; a◌֮◌̀◌ꪲ◌̕b; à◌֮◌ꪲ◌̕b; a◌֮◌̀◌ꪲ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, TAI VIET VOWEL I, LATIN SMALL LETTER B
      "\u0061 AAB2 0315 0300 05AE 0062",  # (a◌ꪲ◌̕◌̀◌֮b; a◌֮◌ꪲ◌̀◌̕b; a◌֮◌ꪲ◌̀◌̕b; a◌֮◌ꪲ◌̀◌̕b; a◌֮◌ꪲ◌̀◌̕b; ) LATIN SMALL LETTER A, TAI VIET VOWEL I, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE AAB3 0062",  # (a◌̕◌̀◌֮◌ꪳb; à◌֮◌ꪳ◌̕b; a◌֮◌̀◌ꪳ◌̕b; à◌֮◌ꪳ◌̕b; a◌֮◌̀◌ꪳ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, TAI VIET VOWEL UE, LATIN SMALL LETTER B
      "\u0061 AAB3 0315 0300 05AE 0062",  # (a◌ꪳ◌̕◌̀◌֮b; a◌֮◌ꪳ◌̀◌̕b; a◌֮◌ꪳ◌̀◌̕b; a◌֮◌ꪳ◌̀◌̕b; a◌֮◌ꪳ◌̀◌̕b; ) LATIN SMALL LETTER A, TAI VIET VOWEL UE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A AAB4 0062",  # (a◌֚◌̖◌〪◌ꪴb; a◌〪◌̖◌ꪴ◌֚b; a◌〪◌̖◌ꪴ◌֚b; a◌〪◌̖◌ꪴ◌֚b; a◌〪◌̖◌ꪴ◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, TAI VIET VOWEL U, LATIN SMALL LETTER B
      "\u0061 AAB4 059A 0316 302A 0062",  # (a◌ꪴ◌֚◌̖◌〪b; a◌〪◌ꪴ◌̖◌֚b; a◌〪◌ꪴ◌̖◌֚b; a◌〪◌ꪴ◌̖◌֚b; a◌〪◌ꪴ◌̖◌֚b; ) LATIN SMALL LETTER A, TAI VIET VOWEL U, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE AAB7 0062",  # (a◌̕◌̀◌֮◌ꪷb; à◌֮◌ꪷ◌̕b; a◌֮◌̀◌ꪷ◌̕b; à◌֮◌ꪷ◌̕b; a◌֮◌̀◌ꪷ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, TAI VIET MAI KHIT, LATIN SMALL LETTER B
      "\u0061 AAB7 0315 0300 05AE 0062",  # (a◌ꪷ◌̕◌̀◌֮b; a◌֮◌ꪷ◌̀◌̕b; a◌֮◌ꪷ◌̀◌̕b; a◌֮◌ꪷ◌̀◌̕b; a◌֮◌ꪷ◌̀◌̕b; ) LATIN SMALL LETTER A, TAI VIET MAI KHIT, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE AAB8 0062",  # (a◌̕◌̀◌֮◌ꪸb; à◌֮◌ꪸ◌̕b; a◌֮◌̀◌ꪸ◌̕b; à◌֮◌ꪸ◌̕b; a◌֮◌̀◌ꪸ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, TAI VIET VOWEL IA, LATIN SMALL LETTER B
      "\u0061 AAB8 0315 0300 05AE 0062",  # (a◌ꪸ◌̕◌̀◌֮b; a◌֮◌ꪸ◌̀◌̕b; a◌֮◌ꪸ◌̀◌̕b; a◌֮◌ꪸ◌̀◌̕b; a◌֮◌ꪸ◌̀◌̕b; ) LATIN SMALL LETTER A, TAI VIET VOWEL IA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE AABE 0062",  # (a◌̕◌̀◌֮◌ꪾb; à◌֮◌ꪾ◌̕b; a◌֮◌̀◌ꪾ◌̕b; à◌֮◌ꪾ◌̕b; a◌֮◌̀◌ꪾ◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, TAI VIET VOWEL AM, LATIN SMALL LETTER B
      "\u0061 AABE 0315 0300 05AE 0062",  # (a◌ꪾ◌̕◌̀◌֮b; a◌֮◌ꪾ◌̀◌̕b; a◌֮◌ꪾ◌̀◌̕b; a◌֮◌ꪾ◌̀◌̕b; a◌֮◌ꪾ◌̀◌̕b; ) LATIN SMALL LETTER A, TAI VIET VOWEL AM, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE AABF 0062",  # (a◌̕◌̀◌֮◌꪿b; à◌֮◌꪿◌̕b; a◌֮◌̀◌꪿◌̕b; à◌֮◌꪿◌̕b; a◌֮◌̀◌꪿◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, TAI VIET TONE MAI EK, LATIN SMALL LETTER B
      "\u0061 AABF 0315 0300 05AE 0062",  # (a◌꪿◌̕◌̀◌֮b; a◌֮◌꪿◌̀◌̕b; a◌֮◌꪿◌̀◌̕b; a◌֮◌꪿◌̀◌̕b; a◌֮◌꪿◌̀◌̕b; ) LATIN SMALL LETTER A, TAI VIET TONE MAI EK, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE AAC1 0062",  # (a◌̕◌̀◌֮◌꫁b; à◌֮◌꫁◌̕b; a◌֮◌̀◌꫁◌̕b; à◌֮◌꫁◌̕b; a◌֮◌̀◌꫁◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, TAI VIET TONE MAI THO, LATIN SMALL LETTER B
      "\u0061 AAC1 0315 0300 05AE 0062",  # (a◌꫁◌̕◌̀◌֮b; a◌֮◌꫁◌̀◌̕b; a◌֮◌꫁◌̀◌̕b; a◌֮◌꫁◌̀◌̕b; a◌֮◌꫁◌̀◌̕b; ) LATIN SMALL LETTER A, TAI VIET TONE MAI THO, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 AAF6 0062",  # (a◌ְ◌्◌゙◌꫶b; a◌゙◌्◌꫶◌ְb; a◌゙◌्◌꫶◌ְb; a◌゙◌्◌꫶◌ְb; a◌゙◌्◌꫶◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, MEETEI MAYEK VIRAMA, LATIN SMALL LETTER B
      "\u0061 AAF6 05B0 094D 3099 0062",  # (a◌꫶◌ְ◌्◌゙b; a◌゙◌꫶◌्◌ְb; a◌゙◌꫶◌्◌ְb; a◌゙◌꫶◌्◌ְb; a◌゙◌꫶◌्◌ְb; ) LATIN SMALL LETTER A, MEETEI MAYEK VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 ABED 0062",  # (a◌ְ◌्◌゙◌꯭b; a◌゙◌्◌꯭◌ְb; a◌゙◌्◌꯭◌ְb; a◌゙◌्◌꯭◌ְb; a◌゙◌्◌꯭◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, MEETEI MAYEK APUN IYEK, LATIN SMALL LETTER B
      "\u0061 ABED 05B0 094D 3099 0062",  # (a◌꯭◌ְ◌्◌゙b; a◌゙◌꯭◌्◌ְb; a◌゙◌꯭◌्◌ְb; a◌゙◌꯭◌्◌ְb; a◌゙◌꯭◌्◌ְb; ) LATIN SMALL LETTER A, MEETEI MAYEK APUN IYEK, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 064B FB1E 05C2 FB1E 0062",  # (a◌ً◌ﬞ◌ׂ◌ﬞb; a◌ׂ◌ﬞ◌ﬞ◌ًb; a◌ׂ◌ﬞ◌ﬞ◌ًb; a◌ׂ◌ﬞ◌ﬞ◌ًb; a◌ׂ◌ﬞ◌ﬞ◌ًb; ) LATIN SMALL LETTER A, ARABIC FATHATAN, HEBREW POINT JUDEO-SPANISH VARIKA, HEBREW POINT SIN DOT, HEBREW POINT JUDEO-SPANISH VARIKA, LATIN SMALL LETTER B
      "\u0061 FB1E 064B FB1E 05C2 0062",  # (a◌ﬞ◌ً◌ﬞ◌ׂb; a◌ׂ◌ﬞ◌ﬞ◌ًb; a◌ׂ◌ﬞ◌ﬞ◌ًb; a◌ׂ◌ﬞ◌ﬞ◌ًb; a◌ׂ◌ﬞ◌ﬞ◌ًb; ) LATIN SMALL LETTER A, HEBREW POINT JUDEO-SPANISH VARIKA, ARABIC FATHATAN, HEBREW POINT JUDEO-SPANISH VARIKA, HEBREW POINT SIN DOT, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE FE20 0062",  # (a◌̕◌̀◌֮◌︠b; à◌֮◌︠◌̕b; a◌֮◌̀◌︠◌̕b; à◌֮◌︠◌̕b; a◌֮◌̀◌︠◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LIGATURE LEFT HALF, LATIN SMALL LETTER B
      "\u0061 FE20 0315 0300 05AE 0062",  # (a◌︠◌̕◌̀◌֮b; a◌֮◌︠◌̀◌̕b; a◌֮◌︠◌̀◌̕b; a◌֮◌︠◌̀◌̕b; a◌֮◌︠◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LIGATURE LEFT HALF, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE FE21 0062",  # (a◌̕◌̀◌֮◌︡b; à◌֮◌︡◌̕b; a◌֮◌̀◌︡◌̕b; à◌֮◌︡◌̕b; a◌֮◌̀◌︡◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING LIGATURE RIGHT HALF, LATIN SMALL LETTER B
      "\u0061 FE21 0315 0300 05AE 0062",  # (a◌︡◌̕◌̀◌֮b; a◌֮◌︡◌̀◌̕b; a◌֮◌︡◌̀◌̕b; a◌֮◌︡◌̀◌̕b; a◌֮◌︡◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING LIGATURE RIGHT HALF, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE FE22 0062",  # (a◌̕◌̀◌֮◌︢b; à◌֮◌︢◌̕b; a◌֮◌̀◌︢◌̕b; à◌֮◌︢◌̕b; a◌֮◌̀◌︢◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DOUBLE TILDE LEFT HALF, LATIN SMALL LETTER B
      "\u0061 FE22 0315 0300 05AE 0062",  # (a◌︢◌̕◌̀◌֮b; a◌֮◌︢◌̀◌̕b; a◌֮◌︢◌̀◌̕b; a◌֮◌︢◌̀◌̕b; a◌֮◌︢◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DOUBLE TILDE LEFT HALF, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE FE23 0062",  # (a◌̕◌̀◌֮◌︣b; à◌֮◌︣◌̕b; a◌֮◌̀◌︣◌̕b; à◌֮◌︣◌̕b; a◌֮◌̀◌︣◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING DOUBLE TILDE RIGHT HALF, LATIN SMALL LETTER B
      "\u0061 FE23 0315 0300 05AE 0062",  # (a◌︣◌̕◌̀◌֮b; a◌֮◌︣◌̀◌̕b; a◌֮◌︣◌̀◌̕b; a◌֮◌︣◌̀◌̕b; a◌֮◌︣◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING DOUBLE TILDE RIGHT HALF, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE FE24 0062",  # (a◌̕◌̀◌֮◌︤b; à◌֮◌︤◌̕b; a◌֮◌̀◌︤◌̕b; à◌֮◌︤◌̕b; a◌֮◌̀◌︤◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING MACRON LEFT HALF, LATIN SMALL LETTER B
      "\u0061 FE24 0315 0300 05AE 0062",  # (a◌︤◌̕◌̀◌֮b; a◌֮◌︤◌̀◌̕b; a◌֮◌︤◌̀◌̕b; a◌֮◌︤◌̀◌̕b; a◌֮◌︤◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING MACRON LEFT HALF, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE FE25 0062",  # (a◌̕◌̀◌֮◌︥b; à◌֮◌︥◌̕b; a◌֮◌̀◌︥◌̕b; à◌֮◌︥◌̕b; a◌֮◌̀◌︥◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING MACRON RIGHT HALF, LATIN SMALL LETTER B
      "\u0061 FE25 0315 0300 05AE 0062",  # (a◌︥◌̕◌̀◌֮b; a◌֮◌︥◌̀◌̕b; a◌֮◌︥◌̀◌̕b; a◌֮◌︥◌̀◌̕b; a◌֮◌︥◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING MACRON RIGHT HALF, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE FE26 0062",  # (a◌̕◌̀◌֮◌︦b; à◌֮◌︦◌̕b; a◌֮◌̀◌︦◌̕b; à◌֮◌︦◌̕b; a◌֮◌̀◌︦◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CONJOINING MACRON, LATIN SMALL LETTER B
      "\u0061 FE26 0315 0300 05AE 0062",  # (a◌︦◌̕◌̀◌֮b; a◌֮◌︦◌̀◌̕b; a◌֮◌︦◌̀◌̕b; a◌֮◌︦◌̀◌̕b; a◌֮◌︦◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CONJOINING MACRON, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A FE27 0062",  # (a◌֚◌̖◌〪◌︧b; a◌〪◌̖◌︧◌֚b; a◌〪◌̖◌︧◌֚b; a◌〪◌̖◌︧◌֚b; a◌〪◌̖◌︧◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING LIGATURE LEFT HALF BELOW, LATIN SMALL LETTER B
      "\u0061 FE27 059A 0316 302A 0062",  # (a◌︧◌֚◌̖◌〪b; a◌〪◌︧◌̖◌֚b; a◌〪◌︧◌̖◌֚b; a◌〪◌︧◌̖◌֚b; a◌〪◌︧◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING LIGATURE LEFT HALF BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A FE28 0062",  # (a◌֚◌̖◌〪◌︨b; a◌〪◌̖◌︨◌֚b; a◌〪◌̖◌︨◌֚b; a◌〪◌̖◌︨◌֚b; a◌〪◌̖◌︨◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING LIGATURE RIGHT HALF BELOW, LATIN SMALL LETTER B
      "\u0061 FE28 059A 0316 302A 0062",  # (a◌︨◌֚◌̖◌〪b; a◌〪◌︨◌̖◌֚b; a◌〪◌︨◌̖◌֚b; a◌〪◌︨◌̖◌֚b; a◌〪◌︨◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING LIGATURE RIGHT HALF BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A FE29 0062",  # (a◌֚◌̖◌〪◌︩b; a◌〪◌̖◌︩◌֚b; a◌〪◌̖◌︩◌֚b; a◌〪◌̖◌︩◌֚b; a◌〪◌̖◌︩◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING TILDE LEFT HALF BELOW, LATIN SMALL LETTER B
      "\u0061 FE29 059A 0316 302A 0062",  # (a◌︩◌֚◌̖◌〪b; a◌〪◌︩◌̖◌֚b; a◌〪◌︩◌̖◌֚b; a◌〪◌︩◌̖◌֚b; a◌〪◌︩◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING TILDE LEFT HALF BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A FE2A 0062",  # (a◌֚◌̖◌〪◌︪b; a◌〪◌̖◌︪◌֚b; a◌〪◌̖◌︪◌֚b; a◌〪◌̖◌︪◌֚b; a◌〪◌̖◌︪◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING TILDE RIGHT HALF BELOW, LATIN SMALL LETTER B
      "\u0061 FE2A 059A 0316 302A 0062",  # (a◌︪◌֚◌̖◌〪b; a◌〪◌︪◌̖◌֚b; a◌〪◌︪◌̖◌֚b; a◌〪◌︪◌̖◌֚b; a◌〪◌︪◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING TILDE RIGHT HALF BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A FE2B 0062",  # (a◌֚◌̖◌〪◌︫b; a◌〪◌̖◌︫◌֚b; a◌〪◌̖◌︫◌֚b; a◌〪◌̖◌︫◌֚b; a◌〪◌̖◌︫◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING MACRON LEFT HALF BELOW, LATIN SMALL LETTER B
      "\u0061 FE2B 059A 0316 302A 0062",  # (a◌︫◌֚◌̖◌〪b; a◌〪◌︫◌̖◌֚b; a◌〪◌︫◌̖◌֚b; a◌〪◌︫◌̖◌֚b; a◌〪◌︫◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING MACRON LEFT HALF BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A FE2C 0062",  # (a◌֚◌̖◌〪◌︬b; a◌〪◌̖◌︬◌֚b; a◌〪◌̖◌︬◌֚b; a◌〪◌̖◌︬◌֚b; a◌〪◌̖◌︬◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING MACRON RIGHT HALF BELOW, LATIN SMALL LETTER B
      "\u0061 FE2C 059A 0316 302A 0062",  # (a◌︬◌֚◌̖◌〪b; a◌〪◌︬◌̖◌֚b; a◌〪◌︬◌̖◌֚b; a◌〪◌︬◌̖◌֚b; a◌〪◌︬◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING MACRON RIGHT HALF BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A FE2D 0062",  # (a◌֚◌̖◌〪◌︭b; a◌〪◌̖◌︭◌֚b; a◌〪◌̖◌︭◌֚b; a◌〪◌̖◌︭◌֚b; a◌〪◌̖◌︭◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COMBINING CONJOINING MACRON BELOW, LATIN SMALL LETTER B
      "\u0061 FE2D 059A 0316 302A 0062",  # (a◌︭◌֚◌̖◌〪b; a◌〪◌︭◌̖◌֚b; a◌〪◌︭◌̖◌֚b; a◌〪◌︭◌̖◌֚b; a◌〪◌︭◌̖◌֚b; ) LATIN SMALL LETTER A, COMBINING CONJOINING MACRON BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE FE2E 0062",  # (a◌̕◌̀◌֮◌︮b; à◌֮◌︮◌̕b; a◌֮◌̀◌︮◌̕b; à◌֮◌︮◌̕b; a◌֮◌̀◌︮◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC TITLO LEFT HALF, LATIN SMALL LETTER B
      "\u0061 FE2E 0315 0300 05AE 0062",  # (a◌︮◌̕◌̀◌֮b; a◌֮◌︮◌̀◌̕b; a◌֮◌︮◌̀◌̕b; a◌֮◌︮◌̀◌̕b; a◌֮◌︮◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC TITLO LEFT HALF, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE FE2F 0062",  # (a◌̕◌̀◌֮◌︯b; à◌֮◌︯◌̕b; a◌֮◌̀◌︯◌̕b; à◌֮◌︯◌̕b; a◌֮◌̀◌︯◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING CYRILLIC TITLO RIGHT HALF, LATIN SMALL LETTER B
      "\u0061 FE2F 0315 0300 05AE 0062",  # (a◌︯◌̕◌̀◌֮b; a◌֮◌︯◌̀◌̕b; a◌֮◌︯◌̀◌̕b; a◌֮◌︯◌̀◌̕b; a◌֮◌︯◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING CYRILLIC TITLO RIGHT HALF, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 101FD 0062",  # (a◌֚◌̖◌〪◌𐇽b; a◌〪◌̖◌𐇽◌֚b; a◌〪◌̖◌𐇽◌֚b; a◌〪◌̖◌𐇽◌֚b; a◌〪◌̖◌𐇽◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, PHAISTOS DISC SIGN COMBINING OBLIQUE STROKE, LATIN SMALL LETTER B
      "\u0061 101FD 059A 0316 302A 0062",  # (a◌𐇽◌֚◌̖◌〪b; a◌〪◌𐇽◌̖◌֚b; a◌〪◌𐇽◌̖◌֚b; a◌〪◌𐇽◌̖◌֚b; a◌〪◌𐇽◌̖◌֚b; ) LATIN SMALL LETTER A, PHAISTOS DISC SIGN COMBINING OBLIQUE STROKE, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 102E0 0062",  # (a◌֚◌̖◌〪◌𐋠b; a◌〪◌̖◌𐋠◌֚b; a◌〪◌̖◌𐋠◌֚b; a◌〪◌̖◌𐋠◌֚b; a◌〪◌̖◌𐋠◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, COPTIC EPACT THOUSANDS MARK, LATIN SMALL LETTER B
      "\u0061 102E0 059A 0316 302A 0062",  # (a◌𐋠◌֚◌̖◌〪b; a◌〪◌𐋠◌̖◌֚b; a◌〪◌𐋠◌̖◌֚b; a◌〪◌𐋠◌̖◌֚b; a◌〪◌𐋠◌̖◌֚b; ) LATIN SMALL LETTER A, COPTIC EPACT THOUSANDS MARK, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 10376 0062",  # (a◌̕◌̀◌֮◌𐍶b; à◌֮◌𐍶◌̕b; a◌֮◌̀◌𐍶◌̕b; à◌֮◌𐍶◌̕b; a◌֮◌̀◌𐍶◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING OLD PERMIC LETTER AN, LATIN SMALL LETTER B
      "\u0061 10376 0315 0300 05AE 0062",  # (a◌𐍶◌̕◌̀◌֮b; a◌֮◌𐍶◌̀◌̕b; a◌֮◌𐍶◌̀◌̕b; a◌֮◌𐍶◌̀◌̕b; a◌֮◌𐍶◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING OLD PERMIC LETTER AN, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 10377 0062",  # (a◌̕◌̀◌֮◌𐍷b; à◌֮◌𐍷◌̕b; a◌֮◌̀◌𐍷◌̕b; à◌֮◌𐍷◌̕b; a◌֮◌̀◌𐍷◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING OLD PERMIC LETTER DOI, LATIN SMALL LETTER B
      "\u0061 10377 0315 0300 05AE 0062",  # (a◌𐍷◌̕◌̀◌֮b; a◌֮◌𐍷◌̀◌̕b; a◌֮◌𐍷◌̀◌̕b; a◌֮◌𐍷◌̀◌̕b; a◌֮◌𐍷◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING OLD PERMIC LETTER DOI, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 10378 0062",  # (a◌̕◌̀◌֮◌𐍸b; à◌֮◌𐍸◌̕b; a◌֮◌̀◌𐍸◌̕b; à◌֮◌𐍸◌̕b; a◌֮◌̀◌𐍸◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING OLD PERMIC LETTER ZATA, LATIN SMALL LETTER B
      "\u0061 10378 0315 0300 05AE 0062",  # (a◌𐍸◌̕◌̀◌֮b; a◌֮◌𐍸◌̀◌̕b; a◌֮◌𐍸◌̀◌̕b; a◌֮◌𐍸◌̀◌̕b; a◌֮◌𐍸◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING OLD PERMIC LETTER ZATA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 10379 0062",  # (a◌̕◌̀◌֮◌𐍹b; à◌֮◌𐍹◌̕b; a◌֮◌̀◌𐍹◌̕b; à◌֮◌𐍹◌̕b; a◌֮◌̀◌𐍹◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING OLD PERMIC LETTER NENOE, LATIN SMALL LETTER B
      "\u0061 10379 0315 0300 05AE 0062",  # (a◌𐍹◌̕◌̀◌֮b; a◌֮◌𐍹◌̀◌̕b; a◌֮◌𐍹◌̀◌̕b; a◌֮◌𐍹◌̀◌̕b; a◌֮◌𐍹◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING OLD PERMIC LETTER NENOE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1037A 0062",  # (a◌̕◌̀◌֮◌𐍺b; à◌֮◌𐍺◌̕b; a◌֮◌̀◌𐍺◌̕b; à◌֮◌𐍺◌̕b; a◌֮◌̀◌𐍺◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING OLD PERMIC LETTER SII, LATIN SMALL LETTER B
      "\u0061 1037A 0315 0300 05AE 0062",  # (a◌𐍺◌̕◌̀◌֮b; a◌֮◌𐍺◌̀◌̕b; a◌֮◌𐍺◌̀◌̕b; a◌֮◌𐍺◌̀◌̕b; a◌֮◌𐍺◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING OLD PERMIC LETTER SII, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 10A0D 0062",  # (a◌֚◌̖◌〪◌𐨍b; a◌〪◌̖◌𐨍◌֚b; a◌〪◌̖◌𐨍◌֚b; a◌〪◌̖◌𐨍◌֚b; a◌〪◌̖◌𐨍◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, KHAROSHTHI SIGN DOUBLE RING BELOW, LATIN SMALL LETTER B
      "\u0061 10A0D 059A 0316 302A 0062",  # (a◌𐨍◌֚◌̖◌〪b; a◌〪◌𐨍◌̖◌֚b; a◌〪◌𐨍◌̖◌֚b; a◌〪◌𐨍◌̖◌֚b; a◌〪◌𐨍◌̖◌֚b; ) LATIN SMALL LETTER A, KHAROSHTHI SIGN DOUBLE RING BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 10A0F 0062",  # (a◌̕◌̀◌֮◌𐨏b; à◌֮◌𐨏◌̕b; a◌֮◌̀◌𐨏◌̕b; à◌֮◌𐨏◌̕b; a◌֮◌̀◌𐨏◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, KHAROSHTHI SIGN VISARGA, LATIN SMALL LETTER B
      "\u0061 10A0F 0315 0300 05AE 0062",  # (a◌𐨏◌̕◌̀◌֮b; a◌֮◌𐨏◌̀◌̕b; a◌֮◌𐨏◌̀◌̕b; a◌֮◌𐨏◌̀◌̕b; a◌֮◌𐨏◌̀◌̕b; ) LATIN SMALL LETTER A, KHAROSHTHI SIGN VISARGA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 10A38 0062",  # (a◌̕◌̀◌֮◌𐨸b; à◌֮◌𐨸◌̕b; a◌֮◌̀◌𐨸◌̕b; à◌֮◌𐨸◌̕b; a◌֮◌̀◌𐨸◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, KHAROSHTHI SIGN BAR ABOVE, LATIN SMALL LETTER B
      "\u0061 10A38 0315 0300 05AE 0062",  # (a◌𐨸◌̕◌̀◌֮b; a◌֮◌𐨸◌̀◌̕b; a◌֮◌𐨸◌̀◌̕b; a◌֮◌𐨸◌̀◌̕b; a◌֮◌𐨸◌̀◌̕b; ) LATIN SMALL LETTER A, KHAROSHTHI SIGN BAR ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 093C 0334 10A39 0062",  # (a◌़◌̴◌𐨹b; a◌̴◌𐨹◌़b; a◌̴◌𐨹◌़b; a◌̴◌𐨹◌़b; a◌̴◌𐨹◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, KHAROSHTHI SIGN CAUDA, LATIN SMALL LETTER B
      "\u0061 10A39 093C 0334 0062",  # (a◌𐨹◌़◌̴b; a◌𐨹◌̴◌़b; a◌𐨹◌̴◌़b; a◌𐨹◌̴◌़b; a◌𐨹◌̴◌़b; ) LATIN SMALL LETTER A, KHAROSHTHI SIGN CAUDA, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 10A3A 0062",  # (a◌֚◌̖◌〪◌𐨺b; a◌〪◌̖◌𐨺◌֚b; a◌〪◌̖◌𐨺◌֚b; a◌〪◌̖◌𐨺◌֚b; a◌〪◌̖◌𐨺◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, KHAROSHTHI SIGN DOT BELOW, LATIN SMALL LETTER B
      "\u0061 10A3A 059A 0316 302A 0062",  # (a◌𐨺◌֚◌̖◌〪b; a◌〪◌𐨺◌̖◌֚b; a◌〪◌𐨺◌̖◌֚b; a◌〪◌𐨺◌̖◌֚b; a◌〪◌𐨺◌̖◌֚b; ) LATIN SMALL LETTER A, KHAROSHTHI SIGN DOT BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 10A3F 0062",  # (a◌ְ◌्◌゙◌𐨿b; a◌゙◌्◌𐨿◌ְb; a◌゙◌्◌𐨿◌ְb; a◌゙◌्◌𐨿◌ְb; a◌゙◌्◌𐨿◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, KHAROSHTHI VIRAMA, LATIN SMALL LETTER B
      "\u0061 10A3F 05B0 094D 3099 0062",  # (a◌𐨿◌ְ◌्◌゙b; a◌゙◌𐨿◌्◌ְb; a◌゙◌𐨿◌्◌ְb; a◌゙◌𐨿◌्◌ְb; a◌゙◌𐨿◌्◌ְb; ) LATIN SMALL LETTER A, KHAROSHTHI VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 10AE5 0062",  # (a◌̕◌̀◌֮◌𐫥b; à◌֮◌𐫥◌̕b; a◌֮◌̀◌𐫥◌̕b; à◌֮◌𐫥◌̕b; a◌֮◌̀◌𐫥◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, MANICHAEAN ABBREVIATION MARK ABOVE, LATIN SMALL LETTER B
      "\u0061 10AE5 0315 0300 05AE 0062",  # (a◌𐫥◌̕◌̀◌֮b; a◌֮◌𐫥◌̀◌̕b; a◌֮◌𐫥◌̀◌̕b; a◌֮◌𐫥◌̀◌̕b; a◌֮◌𐫥◌̀◌̕b; ) LATIN SMALL LETTER A, MANICHAEAN ABBREVIATION MARK ABOVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 10AE6 0062",  # (a◌֚◌̖◌〪◌𐫦b; a◌〪◌̖◌𐫦◌֚b; a◌〪◌̖◌𐫦◌֚b; a◌〪◌̖◌𐫦◌֚b; a◌〪◌̖◌𐫦◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, MANICHAEAN ABBREVIATION MARK BELOW, LATIN SMALL LETTER B
      "\u0061 10AE6 059A 0316 302A 0062",  # (a◌𐫦◌֚◌̖◌〪b; a◌〪◌𐫦◌̖◌֚b; a◌〪◌𐫦◌̖◌֚b; a◌〪◌𐫦◌̖◌֚b; a◌〪◌𐫦◌̖◌֚b; ) LATIN SMALL LETTER A, MANICHAEAN ABBREVIATION MARK BELOW, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 11046 0062",  # (a◌ְ◌्◌゙◌𑁆b; a◌゙◌्◌𑁆◌ְb; a◌゙◌्◌𑁆◌ְb; a◌゙◌्◌𑁆◌ְb; a◌゙◌्◌𑁆◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, BRAHMI VIRAMA, LATIN SMALL LETTER B
      "\u0061 11046 05B0 094D 3099 0062",  # (a◌𑁆◌ְ◌्◌゙b; a◌゙◌𑁆◌्◌ְb; a◌゙◌𑁆◌्◌ְb; a◌゙◌𑁆◌्◌ְb; a◌゙◌𑁆◌्◌ְb; ) LATIN SMALL LETTER A, BRAHMI VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 1107F 0062",  # (a◌ְ◌्◌゙◌𑁿b; a◌゙◌्◌𑁿◌ְb; a◌゙◌्◌𑁿◌ְb; a◌゙◌्◌𑁿◌ְb; a◌゙◌्◌𑁿◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, BRAHMI NUMBER JOINER, LATIN SMALL LETTER B
      "\u0061 1107F 05B0 094D 3099 0062",  # (a◌𑁿◌ְ◌्◌゙b; a◌゙◌𑁿◌्◌ְb; a◌゙◌𑁿◌्◌ְb; a◌゙◌𑁿◌्◌ְb; a◌゙◌𑁿◌्◌ְb; ) LATIN SMALL LETTER A, BRAHMI NUMBER JOINER, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 110B9 0062",  # (a◌ְ◌्◌゙◌𑂹b; a◌゙◌्◌𑂹◌ְb; a◌゙◌्◌𑂹◌ְb; a◌゙◌्◌𑂹◌ְb; a◌゙◌्◌𑂹◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, KAITHI SIGN VIRAMA, LATIN SMALL LETTER B
      "\u0061 110B9 05B0 094D 3099 0062",  # (a◌𑂹◌ְ◌्◌゙b; a◌゙◌𑂹◌्◌ְb; a◌゙◌𑂹◌्◌ְb; a◌゙◌𑂹◌्◌ְb; a◌゙◌𑂹◌्◌ְb; ) LATIN SMALL LETTER A, KAITHI SIGN VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 3099 093C 0334 110BA 0062",  # (a◌゙◌़◌̴◌𑂺b; a◌̴◌़◌𑂺◌゙b; a◌̴◌़◌𑂺◌゙b; a◌̴◌़◌𑂺◌゙b; a◌̴◌़◌𑂺◌゙b; ) LATIN SMALL LETTER A, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, KAITHI SIGN NUKTA, LATIN SMALL LETTER B
      "\u0061 110BA 3099 093C 0334 0062",  # (a◌𑂺◌゙◌़◌̴b; a◌̴◌𑂺◌़◌゙b; a◌̴◌𑂺◌़◌゙b; a◌̴◌𑂺◌़◌゙b; a◌̴◌𑂺◌़◌゙b; ) LATIN SMALL LETTER A, KAITHI SIGN NUKTA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 11100 0062",  # (a◌̕◌̀◌֮◌𑄀b; à◌֮◌𑄀◌̕b; a◌֮◌̀◌𑄀◌̕b; à◌֮◌𑄀◌̕b; a◌֮◌̀◌𑄀◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, CHAKMA SIGN CANDRABINDU, LATIN SMALL LETTER B
      "\u0061 11100 0315 0300 05AE 0062",  # (a◌𑄀◌̕◌̀◌֮b; a◌֮◌𑄀◌̀◌̕b; a◌֮◌𑄀◌̀◌̕b; a◌֮◌𑄀◌̀◌̕b; a◌֮◌𑄀◌̀◌̕b; ) LATIN SMALL LETTER A, CHAKMA SIGN CANDRABINDU, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 11101 0062",  # (a◌̕◌̀◌֮◌𑄁b; à◌֮◌𑄁◌̕b; a◌֮◌̀◌𑄁◌̕b; à◌֮◌𑄁◌̕b; a◌֮◌̀◌𑄁◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, CHAKMA SIGN ANUSVARA, LATIN SMALL LETTER B
      "\u0061 11101 0315 0300 05AE 0062",  # (a◌𑄁◌̕◌̀◌֮b; a◌֮◌𑄁◌̀◌̕b; a◌֮◌𑄁◌̀◌̕b; a◌֮◌𑄁◌̀◌̕b; a◌֮◌𑄁◌̀◌̕b; ) LATIN SMALL LETTER A, CHAKMA SIGN ANUSVARA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 11102 0062",  # (a◌̕◌̀◌֮◌𑄂b; à◌֮◌𑄂◌̕b; a◌֮◌̀◌𑄂◌̕b; à◌֮◌𑄂◌̕b; a◌֮◌̀◌𑄂◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, CHAKMA SIGN VISARGA, LATIN SMALL LETTER B
      "\u0061 11102 0315 0300 05AE 0062",  # (a◌𑄂◌̕◌̀◌֮b; a◌֮◌𑄂◌̀◌̕b; a◌֮◌𑄂◌̀◌̕b; a◌֮◌𑄂◌̀◌̕b; a◌֮◌𑄂◌̀◌̕b; ) LATIN SMALL LETTER A, CHAKMA SIGN VISARGA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 11133 0062",  # (a◌ְ◌्◌゙◌𑄳b; a◌゙◌्◌𑄳◌ְb; a◌゙◌्◌𑄳◌ְb; a◌゙◌्◌𑄳◌ְb; a◌゙◌्◌𑄳◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, CHAKMA VIRAMA, LATIN SMALL LETTER B
      "\u0061 11133 05B0 094D 3099 0062",  # (a◌𑄳◌ְ◌्◌゙b; a◌゙◌𑄳◌्◌ְb; a◌゙◌𑄳◌्◌ְb; a◌゙◌𑄳◌्◌ְb; a◌゙◌𑄳◌्◌ְb; ) LATIN SMALL LETTER A, CHAKMA VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 11134 0062",  # (a◌ְ◌्◌゙◌𑄴b; a◌゙◌्◌𑄴◌ְb; a◌゙◌्◌𑄴◌ְb; a◌゙◌्◌𑄴◌ְb; a◌゙◌्◌𑄴◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, CHAKMA MAAYYAA, LATIN SMALL LETTER B
      "\u0061 11134 05B0 094D 3099 0062",  # (a◌𑄴◌ְ◌्◌゙b; a◌゙◌𑄴◌्◌ְb; a◌゙◌𑄴◌्◌ְb; a◌゙◌𑄴◌्◌ְb; a◌゙◌𑄴◌्◌ְb; ) LATIN SMALL LETTER A, CHAKMA MAAYYAA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 3099 093C 0334 11173 0062",  # (a◌゙◌़◌̴◌𑅳b; a◌̴◌़◌𑅳◌゙b; a◌̴◌़◌𑅳◌゙b; a◌̴◌़◌𑅳◌゙b; a◌̴◌़◌𑅳◌゙b; ) LATIN SMALL LETTER A, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, MAHAJANI SIGN NUKTA, LATIN SMALL LETTER B
      "\u0061 11173 3099 093C 0334 0062",  # (a◌𑅳◌゙◌़◌̴b; a◌̴◌𑅳◌़◌゙b; a◌̴◌𑅳◌़◌゙b; a◌̴◌𑅳◌़◌゙b; a◌̴◌𑅳◌़◌゙b; ) LATIN SMALL LETTER A, MAHAJANI SIGN NUKTA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 111C0 0062",  # (a◌ְ◌्◌゙𑇀b; a◌゙◌्𑇀◌ְb; a◌゙◌्𑇀◌ְb; a◌゙◌्𑇀◌ְb; a◌゙◌्𑇀◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, SHARADA SIGN VIRAMA, LATIN SMALL LETTER B
      "\u0061 111C0 05B0 094D 3099 0062",  # (a𑇀◌ְ◌्◌゙b; a◌゙𑇀◌्◌ְb; a◌゙𑇀◌्◌ְb; a◌゙𑇀◌्◌ְb; a◌゙𑇀◌्◌ְb; ) LATIN SMALL LETTER A, SHARADA SIGN VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 3099 093C 0334 111CA 0062",  # (a◌゙◌़◌̴◌𑇊b; a◌̴◌़◌𑇊◌゙b; a◌̴◌़◌𑇊◌゙b; a◌̴◌़◌𑇊◌゙b; a◌̴◌़◌𑇊◌゙b; ) LATIN SMALL LETTER A, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, SHARADA SIGN NUKTA, LATIN SMALL LETTER B
      "\u0061 111CA 3099 093C 0334 0062",  # (a◌𑇊◌゙◌़◌̴b; a◌̴◌𑇊◌़◌゙b; a◌̴◌𑇊◌़◌゙b; a◌̴◌𑇊◌़◌゙b; a◌̴◌𑇊◌़◌゙b; ) LATIN SMALL LETTER A, SHARADA SIGN NUKTA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 11235 0062",  # (a◌ְ◌्◌゙𑈵b; a◌゙◌्𑈵◌ְb; a◌゙◌्𑈵◌ְb; a◌゙◌्𑈵◌ְb; a◌゙◌्𑈵◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, KHOJKI SIGN VIRAMA, LATIN SMALL LETTER B
      "\u0061 11235 05B0 094D 3099 0062",  # (a𑈵◌ְ◌्◌゙b; a◌゙𑈵◌्◌ְb; a◌゙𑈵◌्◌ְb; a◌゙𑈵◌्◌ְb; a◌゙𑈵◌्◌ְb; ) LATIN SMALL LETTER A, KHOJKI SIGN VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 3099 093C 0334 11236 0062",  # (a◌゙◌़◌̴◌𑈶b; a◌̴◌़◌𑈶◌゙b; a◌̴◌़◌𑈶◌゙b; a◌̴◌़◌𑈶◌゙b; a◌̴◌़◌𑈶◌゙b; ) LATIN SMALL LETTER A, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, KHOJKI SIGN NUKTA, LATIN SMALL LETTER B
      "\u0061 11236 3099 093C 0334 0062",  # (a◌𑈶◌゙◌़◌̴b; a◌̴◌𑈶◌़◌゙b; a◌̴◌𑈶◌़◌゙b; a◌̴◌𑈶◌़◌゙b; a◌̴◌𑈶◌़◌゙b; ) LATIN SMALL LETTER A, KHOJKI SIGN NUKTA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 3099 093C 0334 112E9 0062",  # (a◌゙◌़◌̴◌𑋩b; a◌̴◌़◌𑋩◌゙b; a◌̴◌़◌𑋩◌゙b; a◌̴◌़◌𑋩◌゙b; a◌̴◌़◌𑋩◌゙b; ) LATIN SMALL LETTER A, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, KHUDAWADI SIGN NUKTA, LATIN SMALL LETTER B
      "\u0061 112E9 3099 093C 0334 0062",  # (a◌𑋩◌゙◌़◌̴b; a◌̴◌𑋩◌़◌゙b; a◌̴◌𑋩◌़◌゙b; a◌̴◌𑋩◌़◌゙b; a◌̴◌𑋩◌़◌゙b; ) LATIN SMALL LETTER A, KHUDAWADI SIGN NUKTA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 112EA 0062",  # (a◌ְ◌्◌゙◌𑋪b; a◌゙◌्◌𑋪◌ְb; a◌゙◌्◌𑋪◌ְb; a◌゙◌्◌𑋪◌ְb; a◌゙◌्◌𑋪◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, KHUDAWADI SIGN VIRAMA, LATIN SMALL LETTER B
      "\u0061 112EA 05B0 094D 3099 0062",  # (a◌𑋪◌ְ◌्◌゙b; a◌゙◌𑋪◌्◌ְb; a◌゙◌𑋪◌्◌ְb; a◌゙◌𑋪◌्◌ְb; a◌゙◌𑋪◌्◌ְb; ) LATIN SMALL LETTER A, KHUDAWADI SIGN VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 3099 093C 0334 1133C 0062",  # (a◌゙◌़◌̴◌𑌼b; a◌̴◌़◌𑌼◌゙b; a◌̴◌़◌𑌼◌゙b; a◌̴◌़◌𑌼◌゙b; a◌̴◌़◌𑌼◌゙b; ) LATIN SMALL LETTER A, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, GRANTHA SIGN NUKTA, LATIN SMALL LETTER B
      "\u0061 1133C 3099 093C 0334 0062",  # (a◌𑌼◌゙◌़◌̴b; a◌̴◌𑌼◌़◌゙b; a◌̴◌𑌼◌़◌゙b; a◌̴◌𑌼◌़◌゙b; a◌̴◌𑌼◌़◌゙b; ) LATIN SMALL LETTER A, GRANTHA SIGN NUKTA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 1134D 0062",  # (a◌ְ◌्◌゙𑍍b; a◌゙◌्𑍍◌ְb; a◌゙◌्𑍍◌ְb; a◌゙◌्𑍍◌ְb; a◌゙◌्𑍍◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, GRANTHA SIGN VIRAMA, LATIN SMALL LETTER B
      "\u0061 1134D 05B0 094D 3099 0062",  # (a𑍍◌ְ◌्◌゙b; a◌゙𑍍◌्◌ְb; a◌゙𑍍◌्◌ְb; a◌゙𑍍◌्◌ְb; a◌゙𑍍◌्◌ְb; ) LATIN SMALL LETTER A, GRANTHA SIGN VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 11366 0062",  # (a◌̕◌̀◌֮◌𑍦b; à◌֮◌𑍦◌̕b; a◌֮◌̀◌𑍦◌̕b; à◌֮◌𑍦◌̕b; a◌֮◌̀◌𑍦◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GRANTHA DIGIT ZERO, LATIN SMALL LETTER B
      "\u0061 11366 0315 0300 05AE 0062",  # (a◌𑍦◌̕◌̀◌֮b; a◌֮◌𑍦◌̀◌̕b; a◌֮◌𑍦◌̀◌̕b; a◌֮◌𑍦◌̀◌̕b; a◌֮◌𑍦◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GRANTHA DIGIT ZERO, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 11367 0062",  # (a◌̕◌̀◌֮◌𑍧b; à◌֮◌𑍧◌̕b; a◌֮◌̀◌𑍧◌̕b; à◌֮◌𑍧◌̕b; a◌֮◌̀◌𑍧◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GRANTHA DIGIT ONE, LATIN SMALL LETTER B
      "\u0061 11367 0315 0300 05AE 0062",  # (a◌𑍧◌̕◌̀◌֮b; a◌֮◌𑍧◌̀◌̕b; a◌֮◌𑍧◌̀◌̕b; a◌֮◌𑍧◌̀◌̕b; a◌֮◌𑍧◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GRANTHA DIGIT ONE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 11368 0062",  # (a◌̕◌̀◌֮◌𑍨b; à◌֮◌𑍨◌̕b; a◌֮◌̀◌𑍨◌̕b; à◌֮◌𑍨◌̕b; a◌֮◌̀◌𑍨◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GRANTHA DIGIT TWO, LATIN SMALL LETTER B
      "\u0061 11368 0315 0300 05AE 0062",  # (a◌𑍨◌̕◌̀◌֮b; a◌֮◌𑍨◌̀◌̕b; a◌֮◌𑍨◌̀◌̕b; a◌֮◌𑍨◌̀◌̕b; a◌֮◌𑍨◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GRANTHA DIGIT TWO, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 11369 0062",  # (a◌̕◌̀◌֮◌𑍩b; à◌֮◌𑍩◌̕b; a◌֮◌̀◌𑍩◌̕b; à◌֮◌𑍩◌̕b; a◌֮◌̀◌𑍩◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GRANTHA DIGIT THREE, LATIN SMALL LETTER B
      "\u0061 11369 0315 0300 05AE 0062",  # (a◌𑍩◌̕◌̀◌֮b; a◌֮◌𑍩◌̀◌̕b; a◌֮◌𑍩◌̀◌̕b; a◌֮◌𑍩◌̀◌̕b; a◌֮◌𑍩◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GRANTHA DIGIT THREE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1136A 0062",  # (a◌̕◌̀◌֮◌𑍪b; à◌֮◌𑍪◌̕b; a◌֮◌̀◌𑍪◌̕b; à◌֮◌𑍪◌̕b; a◌֮◌̀◌𑍪◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GRANTHA DIGIT FOUR, LATIN SMALL LETTER B
      "\u0061 1136A 0315 0300 05AE 0062",  # (a◌𑍪◌̕◌̀◌֮b; a◌֮◌𑍪◌̀◌̕b; a◌֮◌𑍪◌̀◌̕b; a◌֮◌𑍪◌̀◌̕b; a◌֮◌𑍪◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GRANTHA DIGIT FOUR, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1136B 0062",  # (a◌̕◌̀◌֮◌𑍫b; à◌֮◌𑍫◌̕b; a◌֮◌̀◌𑍫◌̕b; à◌֮◌𑍫◌̕b; a◌֮◌̀◌𑍫◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GRANTHA DIGIT FIVE, LATIN SMALL LETTER B
      "\u0061 1136B 0315 0300 05AE 0062",  # (a◌𑍫◌̕◌̀◌֮b; a◌֮◌𑍫◌̀◌̕b; a◌֮◌𑍫◌̀◌̕b; a◌֮◌𑍫◌̀◌̕b; a◌֮◌𑍫◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GRANTHA DIGIT FIVE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1136C 0062",  # (a◌̕◌̀◌֮◌𑍬b; à◌֮◌𑍬◌̕b; a◌֮◌̀◌𑍬◌̕b; à◌֮◌𑍬◌̕b; a◌֮◌̀◌𑍬◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GRANTHA DIGIT SIX, LATIN SMALL LETTER B
      "\u0061 1136C 0315 0300 05AE 0062",  # (a◌𑍬◌̕◌̀◌֮b; a◌֮◌𑍬◌̀◌̕b; a◌֮◌𑍬◌̀◌̕b; a◌֮◌𑍬◌̀◌̕b; a◌֮◌𑍬◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GRANTHA DIGIT SIX, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 11370 0062",  # (a◌̕◌̀◌֮◌𑍰b; à◌֮◌𑍰◌̕b; a◌֮◌̀◌𑍰◌̕b; à◌֮◌𑍰◌̕b; a◌֮◌̀◌𑍰◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GRANTHA LETTER A, LATIN SMALL LETTER B
      "\u0061 11370 0315 0300 05AE 0062",  # (a◌𑍰◌̕◌̀◌֮b; a◌֮◌𑍰◌̀◌̕b; a◌֮◌𑍰◌̀◌̕b; a◌֮◌𑍰◌̀◌̕b; a◌֮◌𑍰◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GRANTHA LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 11371 0062",  # (a◌̕◌̀◌֮◌𑍱b; à◌֮◌𑍱◌̕b; a◌֮◌̀◌𑍱◌̕b; à◌֮◌𑍱◌̕b; a◌֮◌̀◌𑍱◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GRANTHA LETTER KA, LATIN SMALL LETTER B
      "\u0061 11371 0315 0300 05AE 0062",  # (a◌𑍱◌̕◌̀◌֮b; a◌֮◌𑍱◌̀◌̕b; a◌֮◌𑍱◌̀◌̕b; a◌֮◌𑍱◌̀◌̕b; a◌֮◌𑍱◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GRANTHA LETTER KA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 11372 0062",  # (a◌̕◌̀◌֮◌𑍲b; à◌֮◌𑍲◌̕b; a◌֮◌̀◌𑍲◌̕b; à◌֮◌𑍲◌̕b; a◌֮◌̀◌𑍲◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GRANTHA LETTER NA, LATIN SMALL LETTER B
      "\u0061 11372 0315 0300 05AE 0062",  # (a◌𑍲◌̕◌̀◌֮b; a◌֮◌𑍲◌̀◌̕b; a◌֮◌𑍲◌̀◌̕b; a◌֮◌𑍲◌̀◌̕b; a◌֮◌𑍲◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GRANTHA LETTER NA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 11373 0062",  # (a◌̕◌̀◌֮◌𑍳b; à◌֮◌𑍳◌̕b; a◌֮◌̀◌𑍳◌̕b; à◌֮◌𑍳◌̕b; a◌֮◌̀◌𑍳◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GRANTHA LETTER VI, LATIN SMALL LETTER B
      "\u0061 11373 0315 0300 05AE 0062",  # (a◌𑍳◌̕◌̀◌֮b; a◌֮◌𑍳◌̀◌̕b; a◌֮◌𑍳◌̀◌̕b; a◌֮◌𑍳◌̀◌̕b; a◌֮◌𑍳◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GRANTHA LETTER VI, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 11374 0062",  # (a◌̕◌̀◌֮◌𑍴b; à◌֮◌𑍴◌̕b; a◌֮◌̀◌𑍴◌̕b; à◌֮◌𑍴◌̕b; a◌֮◌̀◌𑍴◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GRANTHA LETTER PA, LATIN SMALL LETTER B
      "\u0061 11374 0315 0300 05AE 0062",  # (a◌𑍴◌̕◌̀◌֮b; a◌֮◌𑍴◌̀◌̕b; a◌֮◌𑍴◌̀◌̕b; a◌֮◌𑍴◌̀◌̕b; a◌֮◌𑍴◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GRANTHA LETTER PA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 11442 0062",  # (a◌ְ◌्◌゙◌𑑂b; a◌゙◌्◌𑑂◌ְb; a◌゙◌्◌𑑂◌ְb; a◌゙◌्◌𑑂◌ְb; a◌゙◌्◌𑑂◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, NEWA SIGN VIRAMA, LATIN SMALL LETTER B
      "\u0061 11442 05B0 094D 3099 0062",  # (a◌𑑂◌ְ◌्◌゙b; a◌゙◌𑑂◌्◌ְb; a◌゙◌𑑂◌्◌ְb; a◌゙◌𑑂◌्◌ְb; a◌゙◌𑑂◌्◌ְb; ) LATIN SMALL LETTER A, NEWA SIGN VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 3099 093C 0334 11446 0062",  # (a◌゙◌़◌̴◌𑑆b; a◌̴◌़◌𑑆◌゙b; a◌̴◌़◌𑑆◌゙b; a◌̴◌़◌𑑆◌゙b; a◌̴◌़◌𑑆◌゙b; ) LATIN SMALL LETTER A, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, NEWA SIGN NUKTA, LATIN SMALL LETTER B
      "\u0061 11446 3099 093C 0334 0062",  # (a◌𑑆◌゙◌़◌̴b; a◌̴◌𑑆◌़◌゙b; a◌̴◌𑑆◌़◌゙b; a◌̴◌𑑆◌़◌゙b; a◌̴◌𑑆◌़◌゙b; ) LATIN SMALL LETTER A, NEWA SIGN NUKTA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 114C2 0062",  # (a◌ְ◌्◌゙◌𑓂b; a◌゙◌्◌𑓂◌ְb; a◌゙◌्◌𑓂◌ְb; a◌゙◌्◌𑓂◌ְb; a◌゙◌्◌𑓂◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, TIRHUTA SIGN VIRAMA, LATIN SMALL LETTER B
      "\u0061 114C2 05B0 094D 3099 0062",  # (a◌𑓂◌ְ◌्◌゙b; a◌゙◌𑓂◌्◌ְb; a◌゙◌𑓂◌्◌ְb; a◌゙◌𑓂◌्◌ְb; a◌゙◌𑓂◌्◌ְb; ) LATIN SMALL LETTER A, TIRHUTA SIGN VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 3099 093C 0334 114C3 0062",  # (a◌゙◌़◌̴◌𑓃b; a◌̴◌़◌𑓃◌゙b; a◌̴◌़◌𑓃◌゙b; a◌̴◌़◌𑓃◌゙b; a◌̴◌़◌𑓃◌゙b; ) LATIN SMALL LETTER A, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, TIRHUTA SIGN NUKTA, LATIN SMALL LETTER B
      "\u0061 114C3 3099 093C 0334 0062",  # (a◌𑓃◌゙◌़◌̴b; a◌̴◌𑓃◌़◌゙b; a◌̴◌𑓃◌़◌゙b; a◌̴◌𑓃◌़◌゙b; a◌̴◌𑓃◌़◌゙b; ) LATIN SMALL LETTER A, TIRHUTA SIGN NUKTA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 115BF 0062",  # (a◌ְ◌्◌゙◌𑖿b; a◌゙◌्◌𑖿◌ְb; a◌゙◌्◌𑖿◌ְb; a◌゙◌्◌𑖿◌ְb; a◌゙◌्◌𑖿◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, SIDDHAM SIGN VIRAMA, LATIN SMALL LETTER B
      "\u0061 115BF 05B0 094D 3099 0062",  # (a◌𑖿◌ְ◌्◌゙b; a◌゙◌𑖿◌्◌ְb; a◌゙◌𑖿◌्◌ְb; a◌゙◌𑖿◌्◌ְb; a◌゙◌𑖿◌्◌ְb; ) LATIN SMALL LETTER A, SIDDHAM SIGN VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 3099 093C 0334 115C0 0062",  # (a◌゙◌़◌̴◌𑗀b; a◌̴◌़◌𑗀◌゙b; a◌̴◌़◌𑗀◌゙b; a◌̴◌़◌𑗀◌゙b; a◌̴◌़◌𑗀◌゙b; ) LATIN SMALL LETTER A, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, SIDDHAM SIGN NUKTA, LATIN SMALL LETTER B
      "\u0061 115C0 3099 093C 0334 0062",  # (a◌𑗀◌゙◌़◌̴b; a◌̴◌𑗀◌़◌゙b; a◌̴◌𑗀◌़◌゙b; a◌̴◌𑗀◌़◌゙b; a◌̴◌𑗀◌़◌゙b; ) LATIN SMALL LETTER A, SIDDHAM SIGN NUKTA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 1163F 0062",  # (a◌ְ◌्◌゙◌𑘿b; a◌゙◌्◌𑘿◌ְb; a◌゙◌्◌𑘿◌ְb; a◌゙◌्◌𑘿◌ְb; a◌゙◌्◌𑘿◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, MODI SIGN VIRAMA, LATIN SMALL LETTER B
      "\u0061 1163F 05B0 094D 3099 0062",  # (a◌𑘿◌ְ◌्◌゙b; a◌゙◌𑘿◌्◌ְb; a◌゙◌𑘿◌्◌ְb; a◌゙◌𑘿◌्◌ְb; a◌゙◌𑘿◌्◌ְb; ) LATIN SMALL LETTER A, MODI SIGN VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 116B6 0062",  # (a◌ְ◌्◌゙𑚶b; a◌゙◌्𑚶◌ְb; a◌゙◌्𑚶◌ְb; a◌゙◌्𑚶◌ְb; a◌゙◌्𑚶◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, TAKRI SIGN VIRAMA, LATIN SMALL LETTER B
      "\u0061 116B6 05B0 094D 3099 0062",  # (a𑚶◌ְ◌्◌゙b; a◌゙𑚶◌्◌ְb; a◌゙𑚶◌्◌ְb; a◌゙𑚶◌्◌ְb; a◌゙𑚶◌्◌ְb; ) LATIN SMALL LETTER A, TAKRI SIGN VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 3099 093C 0334 116B7 0062",  # (a◌゙◌़◌̴◌𑚷b; a◌̴◌़◌𑚷◌゙b; a◌̴◌़◌𑚷◌゙b; a◌̴◌़◌𑚷◌゙b; a◌̴◌़◌𑚷◌゙b; ) LATIN SMALL LETTER A, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, TAKRI SIGN NUKTA, LATIN SMALL LETTER B
      "\u0061 116B7 3099 093C 0334 0062",  # (a◌𑚷◌゙◌़◌̴b; a◌̴◌𑚷◌़◌゙b; a◌̴◌𑚷◌़◌゙b; a◌̴◌𑚷◌़◌゙b; a◌̴◌𑚷◌़◌゙b; ) LATIN SMALL LETTER A, TAKRI SIGN NUKTA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 1172B 0062",  # (a◌ְ◌्◌゙◌𑜫b; a◌゙◌्◌𑜫◌ְb; a◌゙◌्◌𑜫◌ְb; a◌゙◌्◌𑜫◌ְb; a◌゙◌्◌𑜫◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, AHOM SIGN KILLER, LATIN SMALL LETTER B
      "\u0061 1172B 05B0 094D 3099 0062",  # (a◌𑜫◌ְ◌्◌゙b; a◌゙◌𑜫◌्◌ְb; a◌゙◌𑜫◌्◌ְb; a◌゙◌𑜫◌्◌ְb; a◌゙◌𑜫◌्◌ְb; ) LATIN SMALL LETTER A, AHOM SIGN KILLER, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 11A34 0062",  # (a◌ְ◌्◌゙◌𑨴b; a◌゙◌्◌𑨴◌ְb; a◌゙◌्◌𑨴◌ְb; a◌゙◌्◌𑨴◌ְb; a◌゙◌्◌𑨴◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, ZANABAZAR SQUARE SIGN VIRAMA, LATIN SMALL LETTER B
      "\u0061 11A34 05B0 094D 3099 0062",  # (a◌𑨴◌ְ◌्◌゙b; a◌゙◌𑨴◌्◌ְb; a◌゙◌𑨴◌्◌ְb; a◌゙◌𑨴◌्◌ְb; a◌゙◌𑨴◌्◌ְb; ) LATIN SMALL LETTER A, ZANABAZAR SQUARE SIGN VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 11A47 0062",  # (a◌ְ◌्◌゙◌𑩇b; a◌゙◌्◌𑩇◌ְb; a◌゙◌्◌𑩇◌ְb; a◌゙◌्◌𑩇◌ְb; a◌゙◌्◌𑩇◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, ZANABAZAR SQUARE SUBJOINER, LATIN SMALL LETTER B
      "\u0061 11A47 05B0 094D 3099 0062",  # (a◌𑩇◌ְ◌्◌゙b; a◌゙◌𑩇◌्◌ְb; a◌゙◌𑩇◌्◌ְb; a◌゙◌𑩇◌्◌ְb; a◌゙◌𑩇◌्◌ְb; ) LATIN SMALL LETTER A, ZANABAZAR SQUARE SUBJOINER, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 11A99 0062",  # (a◌ְ◌्◌゙◌𑪙b; a◌゙◌्◌𑪙◌ְb; a◌゙◌्◌𑪙◌ְb; a◌゙◌्◌𑪙◌ְb; a◌゙◌्◌𑪙◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, SOYOMBO SUBJOINER, LATIN SMALL LETTER B
      "\u0061 11A99 05B0 094D 3099 0062",  # (a◌𑪙◌ְ◌्◌゙b; a◌゙◌𑪙◌्◌ְb; a◌゙◌𑪙◌्◌ְb; a◌゙◌𑪙◌्◌ְb; a◌゙◌𑪙◌्◌ְb; ) LATIN SMALL LETTER A, SOYOMBO SUBJOINER, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 11C3F 0062",  # (a◌ְ◌्◌゙◌𑰿b; a◌゙◌्◌𑰿◌ְb; a◌゙◌्◌𑰿◌ְb; a◌゙◌्◌𑰿◌ְb; a◌゙◌्◌𑰿◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, BHAIKSUKI SIGN VIRAMA, LATIN SMALL LETTER B
      "\u0061 11C3F 05B0 094D 3099 0062",  # (a◌𑰿◌ְ◌्◌゙b; a◌゙◌𑰿◌्◌ְb; a◌゙◌𑰿◌्◌ְb; a◌゙◌𑰿◌्◌ְb; a◌゙◌𑰿◌्◌ְb; ) LATIN SMALL LETTER A, BHAIKSUKI SIGN VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 3099 093C 0334 11D42 0062",  # (a◌゙◌़◌̴◌𑵂b; a◌̴◌़◌𑵂◌゙b; a◌̴◌़◌𑵂◌゙b; a◌̴◌़◌𑵂◌゙b; a◌̴◌़◌𑵂◌゙b; ) LATIN SMALL LETTER A, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, MASARAM GONDI SIGN NUKTA, LATIN SMALL LETTER B
      "\u0061 11D42 3099 093C 0334 0062",  # (a◌𑵂◌゙◌़◌̴b; a◌̴◌𑵂◌़◌゙b; a◌̴◌𑵂◌़◌゙b; a◌̴◌𑵂◌़◌゙b; a◌̴◌𑵂◌़◌゙b; ) LATIN SMALL LETTER A, MASARAM GONDI SIGN NUKTA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 11D44 0062",  # (a◌ְ◌्◌゙◌𑵄b; a◌゙◌्◌𑵄◌ְb; a◌゙◌्◌𑵄◌ְb; a◌゙◌्◌𑵄◌ְb; a◌゙◌्◌𑵄◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, MASARAM GONDI SIGN HALANTA, LATIN SMALL LETTER B
      "\u0061 11D44 05B0 094D 3099 0062",  # (a◌𑵄◌ְ◌्◌゙b; a◌゙◌𑵄◌्◌ְb; a◌゙◌𑵄◌्◌ְb; a◌゙◌𑵄◌्◌ְb; a◌゙◌𑵄◌्◌ְb; ) LATIN SMALL LETTER A, MASARAM GONDI SIGN HALANTA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 05B0 094D 3099 11D45 0062",  # (a◌ְ◌्◌゙◌𑵅b; a◌゙◌्◌𑵅◌ְb; a◌゙◌्◌𑵅◌ְb; a◌゙◌्◌𑵅◌ְb; a◌゙◌्◌𑵅◌ְb; ) LATIN SMALL LETTER A, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, MASARAM GONDI VIRAMA, LATIN SMALL LETTER B
      "\u0061 11D45 05B0 094D 3099 0062",  # (a◌𑵅◌ְ◌्◌゙b; a◌゙◌𑵅◌्◌ְb; a◌゙◌𑵅◌्◌ְb; a◌゙◌𑵅◌्◌ְb; a◌゙◌𑵅◌्◌ְb; ) LATIN SMALL LETTER A, MASARAM GONDI VIRAMA, HEBREW POINT SHEVA, DEVANAGARI SIGN VIRAMA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, LATIN SMALL LETTER B
      "\u0061 093C 0334 16AF0 0062",  # (a◌़◌̴◌𖫰b; a◌̴◌𖫰◌़b; a◌̴◌𖫰◌़b; a◌̴◌𖫰◌़b; a◌̴◌𖫰◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, BASSA VAH COMBINING HIGH TONE, LATIN SMALL LETTER B
      "\u0061 16AF0 093C 0334 0062",  # (a◌𖫰◌़◌̴b; a◌𖫰◌̴◌़b; a◌𖫰◌̴◌़b; a◌𖫰◌̴◌़b; a◌𖫰◌̴◌़b; ) LATIN SMALL LETTER A, BASSA VAH COMBINING HIGH TONE, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 093C 0334 16AF1 0062",  # (a◌़◌̴◌𖫱b; a◌̴◌𖫱◌़b; a◌̴◌𖫱◌़b; a◌̴◌𖫱◌़b; a◌̴◌𖫱◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, BASSA VAH COMBINING LOW TONE, LATIN SMALL LETTER B
      "\u0061 16AF1 093C 0334 0062",  # (a◌𖫱◌़◌̴b; a◌𖫱◌̴◌़b; a◌𖫱◌̴◌़b; a◌𖫱◌̴◌़b; a◌𖫱◌̴◌़b; ) LATIN SMALL LETTER A, BASSA VAH COMBINING LOW TONE, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 093C 0334 16AF2 0062",  # (a◌़◌̴◌𖫲b; a◌̴◌𖫲◌़b; a◌̴◌𖫲◌़b; a◌̴◌𖫲◌़b; a◌̴◌𖫲◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, BASSA VAH COMBINING MID TONE, LATIN SMALL LETTER B
      "\u0061 16AF2 093C 0334 0062",  # (a◌𖫲◌़◌̴b; a◌𖫲◌̴◌़b; a◌𖫲◌̴◌़b; a◌𖫲◌̴◌़b; a◌𖫲◌̴◌़b; ) LATIN SMALL LETTER A, BASSA VAH COMBINING MID TONE, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 093C 0334 16AF3 0062",  # (a◌़◌̴◌𖫳b; a◌̴◌𖫳◌़b; a◌̴◌𖫳◌़b; a◌̴◌𖫳◌़b; a◌̴◌𖫳◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, BASSA VAH COMBINING LOW-MID TONE, LATIN SMALL LETTER B
      "\u0061 16AF3 093C 0334 0062",  # (a◌𖫳◌़◌̴b; a◌𖫳◌̴◌़b; a◌𖫳◌̴◌़b; a◌𖫳◌̴◌़b; a◌𖫳◌̴◌़b; ) LATIN SMALL LETTER A, BASSA VAH COMBINING LOW-MID TONE, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 093C 0334 16AF4 0062",  # (a◌़◌̴◌𖫴b; a◌̴◌𖫴◌़b; a◌̴◌𖫴◌़b; a◌̴◌𖫴◌़b; a◌̴◌𖫴◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, BASSA VAH COMBINING HIGH-LOW TONE, LATIN SMALL LETTER B
      "\u0061 16AF4 093C 0334 0062",  # (a◌𖫴◌़◌̴b; a◌𖫴◌̴◌़b; a◌𖫴◌̴◌़b; a◌𖫴◌̴◌़b; a◌𖫴◌̴◌़b; ) LATIN SMALL LETTER A, BASSA VAH COMBINING HIGH-LOW TONE, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 16B30 0062",  # (a◌̕◌̀◌֮◌𖬰b; à◌֮◌𖬰◌̕b; a◌֮◌̀◌𖬰◌̕b; à◌֮◌𖬰◌̕b; a◌֮◌̀◌𖬰◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, PAHAWH HMONG MARK CIM TUB, LATIN SMALL LETTER B
      "\u0061 16B30 0315 0300 05AE 0062",  # (a◌𖬰◌̕◌̀◌֮b; a◌֮◌𖬰◌̀◌̕b; a◌֮◌𖬰◌̀◌̕b; a◌֮◌𖬰◌̀◌̕b; a◌֮◌𖬰◌̀◌̕b; ) LATIN SMALL LETTER A, PAHAWH HMONG MARK CIM TUB, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 16B31 0062",  # (a◌̕◌̀◌֮◌𖬱b; à◌֮◌𖬱◌̕b; a◌֮◌̀◌𖬱◌̕b; à◌֮◌𖬱◌̕b; a◌֮◌̀◌𖬱◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, PAHAWH HMONG MARK CIM SO, LATIN SMALL LETTER B
      "\u0061 16B31 0315 0300 05AE 0062",  # (a◌𖬱◌̕◌̀◌֮b; a◌֮◌𖬱◌̀◌̕b; a◌֮◌𖬱◌̀◌̕b; a◌֮◌𖬱◌̀◌̕b; a◌֮◌𖬱◌̀◌̕b; ) LATIN SMALL LETTER A, PAHAWH HMONG MARK CIM SO, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 16B32 0062",  # (a◌̕◌̀◌֮◌𖬲b; à◌֮◌𖬲◌̕b; a◌֮◌̀◌𖬲◌̕b; à◌֮◌𖬲◌̕b; a◌֮◌̀◌𖬲◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, PAHAWH HMONG MARK CIM KES, LATIN SMALL LETTER B
      "\u0061 16B32 0315 0300 05AE 0062",  # (a◌𖬲◌̕◌̀◌֮b; a◌֮◌𖬲◌̀◌̕b; a◌֮◌𖬲◌̀◌̕b; a◌֮◌𖬲◌̀◌̕b; a◌֮◌𖬲◌̀◌̕b; ) LATIN SMALL LETTER A, PAHAWH HMONG MARK CIM KES, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 16B33 0062",  # (a◌̕◌̀◌֮◌𖬳b; à◌֮◌𖬳◌̕b; a◌֮◌̀◌𖬳◌̕b; à◌֮◌𖬳◌̕b; a◌֮◌̀◌𖬳◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, PAHAWH HMONG MARK CIM KHAV, LATIN SMALL LETTER B
      "\u0061 16B33 0315 0300 05AE 0062",  # (a◌𖬳◌̕◌̀◌֮b; a◌֮◌𖬳◌̀◌̕b; a◌֮◌𖬳◌̀◌̕b; a◌֮◌𖬳◌̀◌̕b; a◌֮◌𖬳◌̀◌̕b; ) LATIN SMALL LETTER A, PAHAWH HMONG MARK CIM KHAV, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 16B34 0062",  # (a◌̕◌̀◌֮◌𖬴b; à◌֮◌𖬴◌̕b; a◌֮◌̀◌𖬴◌̕b; à◌֮◌𖬴◌̕b; a◌֮◌̀◌𖬴◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, PAHAWH HMONG MARK CIM SUAM, LATIN SMALL LETTER B
      "\u0061 16B34 0315 0300 05AE 0062",  # (a◌𖬴◌̕◌̀◌֮b; a◌֮◌𖬴◌̀◌̕b; a◌֮◌𖬴◌̀◌̕b; a◌֮◌𖬴◌̀◌̕b; a◌֮◌𖬴◌̀◌̕b; ) LATIN SMALL LETTER A, PAHAWH HMONG MARK CIM SUAM, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 16B35 0062",  # (a◌̕◌̀◌֮◌𖬵b; à◌֮◌𖬵◌̕b; a◌֮◌̀◌𖬵◌̕b; à◌֮◌𖬵◌̕b; a◌֮◌̀◌𖬵◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, PAHAWH HMONG MARK CIM HOM, LATIN SMALL LETTER B
      "\u0061 16B35 0315 0300 05AE 0062",  # (a◌𖬵◌̕◌̀◌֮b; a◌֮◌𖬵◌̀◌̕b; a◌֮◌𖬵◌̀◌̕b; a◌֮◌𖬵◌̀◌̕b; a◌֮◌𖬵◌̀◌̕b; ) LATIN SMALL LETTER A, PAHAWH HMONG MARK CIM HOM, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 16B36 0062",  # (a◌̕◌̀◌֮◌𖬶b; à◌֮◌𖬶◌̕b; a◌֮◌̀◌𖬶◌̕b; à◌֮◌𖬶◌̕b; a◌֮◌̀◌𖬶◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, PAHAWH HMONG MARK CIM TAUM, LATIN SMALL LETTER B
      "\u0061 16B36 0315 0300 05AE 0062",  # (a◌𖬶◌̕◌̀◌֮b; a◌֮◌𖬶◌̀◌̕b; a◌֮◌𖬶◌̀◌̕b; a◌֮◌𖬶◌̀◌̕b; a◌֮◌𖬶◌̀◌̕b; ) LATIN SMALL LETTER A, PAHAWH HMONG MARK CIM TAUM, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 093C 0334 1BC9E 0062",  # (a◌़◌̴◌𛲞b; a◌̴◌𛲞◌़b; a◌̴◌𛲞◌़b; a◌̴◌𛲞◌़b; a◌̴◌𛲞◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, DUPLOYAN DOUBLE MARK, LATIN SMALL LETTER B
      "\u0061 1BC9E 093C 0334 0062",  # (a◌𛲞◌़◌̴b; a◌𛲞◌̴◌़b; a◌𛲞◌̴◌़b; a◌𛲞◌̴◌़b; a◌𛲞◌̴◌़b; ) LATIN SMALL LETTER A, DUPLOYAN DOUBLE MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 302A 031B 1DCE 1D165 0062",  # (a◌〪◌̛◌᷎𝅥b; a◌᷎◌̛𝅥◌〪b; a◌᷎◌̛𝅥◌〪b; a◌᷎◌̛𝅥◌〪b; a◌᷎◌̛𝅥◌〪b; ) LATIN SMALL LETTER A, IDEOGRAPHIC LEVEL TONE MARK, COMBINING HORN, COMBINING OGONEK ABOVE, MUSICAL SYMBOL COMBINING STEM, LATIN SMALL LETTER B
      "\u0061 1D165 302A 031B 1DCE 0062",  # (a𝅥◌〪◌̛◌᷎b; a◌᷎𝅥◌̛◌〪b; a◌᷎𝅥◌̛◌〪b; a◌᷎𝅥◌̛◌〪b; a◌᷎𝅥◌̛◌〪b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING STEM, IDEOGRAPHIC LEVEL TONE MARK, COMBINING HORN, COMBINING OGONEK ABOVE, LATIN SMALL LETTER B
      "\u0061 302A 031B 1DCE 1D166 0062",  # (a◌〪◌̛◌᷎𝅦b; a◌᷎◌̛𝅦◌〪b; a◌᷎◌̛𝅦◌〪b; a◌᷎◌̛𝅦◌〪b; a◌᷎◌̛𝅦◌〪b; ) LATIN SMALL LETTER A, IDEOGRAPHIC LEVEL TONE MARK, COMBINING HORN, COMBINING OGONEK ABOVE, MUSICAL SYMBOL COMBINING SPRECHGESANG STEM, LATIN SMALL LETTER B
      "\u0061 1D166 302A 031B 1DCE 0062",  # (a𝅦◌〪◌̛◌᷎b; a◌᷎𝅦◌̛◌〪b; a◌᷎𝅦◌̛◌〪b; a◌᷎𝅦◌̛◌〪b; a◌᷎𝅦◌̛◌〪b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING SPRECHGESANG STEM, IDEOGRAPHIC LEVEL TONE MARK, COMBINING HORN, COMBINING OGONEK ABOVE, LATIN SMALL LETTER B
      "\u0061 093C 0334 1D167 0062",  # (a◌़◌̴◌𝅧b; a◌̴◌𝅧◌़b; a◌̴◌𝅧◌़b; a◌̴◌𝅧◌़b; a◌̴◌𝅧◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, MUSICAL SYMBOL COMBINING TREMOLO-1, LATIN SMALL LETTER B
      "\u0061 1D167 093C 0334 0062",  # (a◌𝅧◌़◌̴b; a◌𝅧◌̴◌़b; a◌𝅧◌̴◌़b; a◌𝅧◌̴◌़b; a◌𝅧◌̴◌़b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING TREMOLO-1, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 093C 0334 1D168 0062",  # (a◌़◌̴◌𝅨b; a◌̴◌𝅨◌़b; a◌̴◌𝅨◌़b; a◌̴◌𝅨◌़b; a◌̴◌𝅨◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, MUSICAL SYMBOL COMBINING TREMOLO-2, LATIN SMALL LETTER B
      "\u0061 1D168 093C 0334 0062",  # (a◌𝅨◌़◌̴b; a◌𝅨◌̴◌़b; a◌𝅨◌̴◌़b; a◌𝅨◌̴◌़b; a◌𝅨◌̴◌़b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING TREMOLO-2, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 093C 0334 1D169 0062",  # (a◌़◌̴◌𝅩b; a◌̴◌𝅩◌़b; a◌̴◌𝅩◌़b; a◌̴◌𝅩◌़b; a◌̴◌𝅩◌़b; ) LATIN SMALL LETTER A, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, MUSICAL SYMBOL COMBINING TREMOLO-3, LATIN SMALL LETTER B
      "\u0061 1D169 093C 0334 0062",  # (a◌𝅩◌़◌̴b; a◌𝅩◌̴◌़b; a◌𝅩◌̴◌़b; a◌𝅩◌̴◌़b; a◌𝅩◌̴◌़b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING TREMOLO-3, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u0061 05AE 1D16D 302E 1D16D 0062",  # (a◌〮𝅭𝅭֮b; a〮𝅭𝅭◌֮b; a〮𝅭𝅭◌֮b; a〮𝅭𝅭◌֮b; a〮𝅭𝅭◌֮b; ) LATIN SMALL LETTER A, HEBREW ACCENT ZINOR, MUSICAL SYMBOL COMBINING AUGMENTATION DOT, HANGUL SINGLE DOT TONE MARK, MUSICAL SYMBOL COMBINING AUGMENTATION DOT, LATIN SMALL LETTER B
      "\u0061 1D16D 05AE 1D16D 302E 0062",  # (a𝅭◌〮𝅭֮b; a〮𝅭𝅭◌֮b; a〮𝅭𝅭◌֮b; a〮𝅭𝅭◌֮b; a〮𝅭𝅭◌֮b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING AUGMENTATION DOT, HEBREW ACCENT ZINOR, MUSICAL SYMBOL COMBINING AUGMENTATION DOT, HANGUL SINGLE DOT TONE MARK, LATIN SMALL LETTER B
      "\u0061 302A 031B 1DCE 1D16E 0062",  # (a◌〪◌̛◌᷎𝅮b; a◌᷎◌̛𝅮◌〪b; a◌᷎◌̛𝅮◌〪b; a◌᷎◌̛𝅮◌〪b; a◌᷎◌̛𝅮◌〪b; ) LATIN SMALL LETTER A, IDEOGRAPHIC LEVEL TONE MARK, COMBINING HORN, COMBINING OGONEK ABOVE, MUSICAL SYMBOL COMBINING FLAG-1, LATIN SMALL LETTER B
      "\u0061 1D16E 302A 031B 1DCE 0062",  # (a𝅮◌〪◌̛◌᷎b; a◌᷎𝅮◌̛◌〪b; a◌᷎𝅮◌̛◌〪b; a◌᷎𝅮◌̛◌〪b; a◌᷎𝅮◌̛◌〪b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING FLAG-1, IDEOGRAPHIC LEVEL TONE MARK, COMBINING HORN, COMBINING OGONEK ABOVE, LATIN SMALL LETTER B
      "\u0061 302A 031B 1DCE 1D16F 0062",  # (a◌〪◌̛◌᷎𝅯b; a◌᷎◌̛𝅯◌〪b; a◌᷎◌̛𝅯◌〪b; a◌᷎◌̛𝅯◌〪b; a◌᷎◌̛𝅯◌〪b; ) LATIN SMALL LETTER A, IDEOGRAPHIC LEVEL TONE MARK, COMBINING HORN, COMBINING OGONEK ABOVE, MUSICAL SYMBOL COMBINING FLAG-2, LATIN SMALL LETTER B
      "\u0061 1D16F 302A 031B 1DCE 0062",  # (a𝅯◌〪◌̛◌᷎b; a◌᷎𝅯◌̛◌〪b; a◌᷎𝅯◌̛◌〪b; a◌᷎𝅯◌̛◌〪b; a◌᷎𝅯◌̛◌〪b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING FLAG-2, IDEOGRAPHIC LEVEL TONE MARK, COMBINING HORN, COMBINING OGONEK ABOVE, LATIN SMALL LETTER B
      "\u0061 302A 031B 1DCE 1D170 0062",  # (a◌〪◌̛◌᷎𝅰b; a◌᷎◌̛𝅰◌〪b; a◌᷎◌̛𝅰◌〪b; a◌᷎◌̛𝅰◌〪b; a◌᷎◌̛𝅰◌〪b; ) LATIN SMALL LETTER A, IDEOGRAPHIC LEVEL TONE MARK, COMBINING HORN, COMBINING OGONEK ABOVE, MUSICAL SYMBOL COMBINING FLAG-3, LATIN SMALL LETTER B
      "\u0061 1D170 302A 031B 1DCE 0062",  # (a𝅰◌〪◌̛◌᷎b; a◌᷎𝅰◌̛◌〪b; a◌᷎𝅰◌̛◌〪b; a◌᷎𝅰◌̛◌〪b; a◌᷎𝅰◌̛◌〪b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING FLAG-3, IDEOGRAPHIC LEVEL TONE MARK, COMBINING HORN, COMBINING OGONEK ABOVE, LATIN SMALL LETTER B
      "\u0061 302A 031B 1DCE 1D171 0062",  # (a◌〪◌̛◌᷎𝅱b; a◌᷎◌̛𝅱◌〪b; a◌᷎◌̛𝅱◌〪b; a◌᷎◌̛𝅱◌〪b; a◌᷎◌̛𝅱◌〪b; ) LATIN SMALL LETTER A, IDEOGRAPHIC LEVEL TONE MARK, COMBINING HORN, COMBINING OGONEK ABOVE, MUSICAL SYMBOL COMBINING FLAG-4, LATIN SMALL LETTER B
      "\u0061 1D171 302A 031B 1DCE 0062",  # (a𝅱◌〪◌̛◌᷎b; a◌᷎𝅱◌̛◌〪b; a◌᷎𝅱◌̛◌〪b; a◌᷎𝅱◌̛◌〪b; a◌᷎𝅱◌̛◌〪b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING FLAG-4, IDEOGRAPHIC LEVEL TONE MARK, COMBINING HORN, COMBINING OGONEK ABOVE, LATIN SMALL LETTER B
      "\u0061 302A 031B 1DCE 1D172 0062",  # (a◌〪◌̛◌᷎𝅲b; a◌᷎◌̛𝅲◌〪b; a◌᷎◌̛𝅲◌〪b; a◌᷎◌̛𝅲◌〪b; a◌᷎◌̛𝅲◌〪b; ) LATIN SMALL LETTER A, IDEOGRAPHIC LEVEL TONE MARK, COMBINING HORN, COMBINING OGONEK ABOVE, MUSICAL SYMBOL COMBINING FLAG-5, LATIN SMALL LETTER B
      "\u0061 1D172 302A 031B 1DCE 0062",  # (a𝅲◌〪◌̛◌᷎b; a◌᷎𝅲◌̛◌〪b; a◌᷎𝅲◌̛◌〪b; a◌᷎𝅲◌̛◌〪b; a◌᷎𝅲◌̛◌〪b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING FLAG-5, IDEOGRAPHIC LEVEL TONE MARK, COMBINING HORN, COMBINING OGONEK ABOVE, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1D17B 0062",  # (a◌֚◌̖◌〪◌𝅻b; a◌〪◌̖◌𝅻◌֚b; a◌〪◌̖◌𝅻◌֚b; a◌〪◌̖◌𝅻◌֚b; a◌〪◌̖◌𝅻◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, MUSICAL SYMBOL COMBINING ACCENT, LATIN SMALL LETTER B
      "\u0061 1D17B 059A 0316 302A 0062",  # (a◌𝅻◌֚◌̖◌〪b; a◌〪◌𝅻◌̖◌֚b; a◌〪◌𝅻◌̖◌֚b; a◌〪◌𝅻◌̖◌֚b; a◌〪◌𝅻◌̖◌֚b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING ACCENT, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1D17C 0062",  # (a◌֚◌̖◌〪◌𝅼b; a◌〪◌̖◌𝅼◌֚b; a◌〪◌̖◌𝅼◌֚b; a◌〪◌̖◌𝅼◌֚b; a◌〪◌̖◌𝅼◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, MUSICAL SYMBOL COMBINING STACCATO, LATIN SMALL LETTER B
      "\u0061 1D17C 059A 0316 302A 0062",  # (a◌𝅼◌֚◌̖◌〪b; a◌〪◌𝅼◌̖◌֚b; a◌〪◌𝅼◌̖◌֚b; a◌〪◌𝅼◌̖◌֚b; a◌〪◌𝅼◌̖◌֚b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING STACCATO, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1D17D 0062",  # (a◌֚◌̖◌〪◌𝅽b; a◌〪◌̖◌𝅽◌֚b; a◌〪◌̖◌𝅽◌֚b; a◌〪◌̖◌𝅽◌֚b; a◌〪◌̖◌𝅽◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, MUSICAL SYMBOL COMBINING TENUTO, LATIN SMALL LETTER B
      "\u0061 1D17D 059A 0316 302A 0062",  # (a◌𝅽◌֚◌̖◌〪b; a◌〪◌𝅽◌̖◌֚b; a◌〪◌𝅽◌̖◌֚b; a◌〪◌𝅽◌̖◌֚b; a◌〪◌𝅽◌̖◌֚b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING TENUTO, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1D17E 0062",  # (a◌֚◌̖◌〪◌𝅾b; a◌〪◌̖◌𝅾◌֚b; a◌〪◌̖◌𝅾◌֚b; a◌〪◌̖◌𝅾◌֚b; a◌〪◌̖◌𝅾◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, MUSICAL SYMBOL COMBINING STACCATISSIMO, LATIN SMALL LETTER B
      "\u0061 1D17E 059A 0316 302A 0062",  # (a◌𝅾◌֚◌̖◌〪b; a◌〪◌𝅾◌̖◌֚b; a◌〪◌𝅾◌̖◌֚b; a◌〪◌𝅾◌̖◌֚b; a◌〪◌𝅾◌̖◌֚b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING STACCATISSIMO, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1D17F 0062",  # (a◌֚◌̖◌〪◌𝅿b; a◌〪◌̖◌𝅿◌֚b; a◌〪◌̖◌𝅿◌֚b; a◌〪◌̖◌𝅿◌֚b; a◌〪◌̖◌𝅿◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, MUSICAL SYMBOL COMBINING MARCATO, LATIN SMALL LETTER B
      "\u0061 1D17F 059A 0316 302A 0062",  # (a◌𝅿◌֚◌̖◌〪b; a◌〪◌𝅿◌̖◌֚b; a◌〪◌𝅿◌̖◌֚b; a◌〪◌𝅿◌̖◌֚b; a◌〪◌𝅿◌̖◌֚b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING MARCATO, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1D180 0062",  # (a◌֚◌̖◌〪◌𝆀b; a◌〪◌̖◌𝆀◌֚b; a◌〪◌̖◌𝆀◌֚b; a◌〪◌̖◌𝆀◌֚b; a◌〪◌̖◌𝆀◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, MUSICAL SYMBOL COMBINING MARCATO-STACCATO, LATIN SMALL LETTER B
      "\u0061 1D180 059A 0316 302A 0062",  # (a◌𝆀◌֚◌̖◌〪b; a◌〪◌𝆀◌̖◌֚b; a◌〪◌𝆀◌̖◌֚b; a◌〪◌𝆀◌̖◌֚b; a◌〪◌𝆀◌̖◌֚b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING MARCATO-STACCATO, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1D181 0062",  # (a◌֚◌̖◌〪◌𝆁b; a◌〪◌̖◌𝆁◌֚b; a◌〪◌̖◌𝆁◌֚b; a◌〪◌̖◌𝆁◌֚b; a◌〪◌̖◌𝆁◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, MUSICAL SYMBOL COMBINING ACCENT-STACCATO, LATIN SMALL LETTER B
      "\u0061 1D181 059A 0316 302A 0062",  # (a◌𝆁◌֚◌̖◌〪b; a◌〪◌𝆁◌̖◌֚b; a◌〪◌𝆁◌̖◌֚b; a◌〪◌𝆁◌̖◌֚b; a◌〪◌𝆁◌̖◌֚b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING ACCENT-STACCATO, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1D182 0062",  # (a◌֚◌̖◌〪◌𝆂b; a◌〪◌̖◌𝆂◌֚b; a◌〪◌̖◌𝆂◌֚b; a◌〪◌̖◌𝆂◌֚b; a◌〪◌̖◌𝆂◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, MUSICAL SYMBOL COMBINING LOURE, LATIN SMALL LETTER B
      "\u0061 1D182 059A 0316 302A 0062",  # (a◌𝆂◌֚◌̖◌〪b; a◌〪◌𝆂◌̖◌֚b; a◌〪◌𝆂◌̖◌֚b; a◌〪◌𝆂◌̖◌֚b; a◌〪◌𝆂◌̖◌֚b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING LOURE, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1D185 0062",  # (a◌̕◌̀◌֮◌𝆅b; à◌֮◌𝆅◌̕b; a◌֮◌̀◌𝆅◌̕b; à◌֮◌𝆅◌̕b; a◌֮◌̀◌𝆅◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, MUSICAL SYMBOL COMBINING DOIT, LATIN SMALL LETTER B
      "\u0061 1D185 0315 0300 05AE 0062",  # (a◌𝆅◌̕◌̀◌֮b; a◌֮◌𝆅◌̀◌̕b; a◌֮◌𝆅◌̀◌̕b; a◌֮◌𝆅◌̀◌̕b; a◌֮◌𝆅◌̀◌̕b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING DOIT, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1D186 0062",  # (a◌̕◌̀◌֮◌𝆆b; à◌֮◌𝆆◌̕b; a◌֮◌̀◌𝆆◌̕b; à◌֮◌𝆆◌̕b; a◌֮◌̀◌𝆆◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, MUSICAL SYMBOL COMBINING RIP, LATIN SMALL LETTER B
      "\u0061 1D186 0315 0300 05AE 0062",  # (a◌𝆆◌̕◌̀◌֮b; a◌֮◌𝆆◌̀◌̕b; a◌֮◌𝆆◌̀◌̕b; a◌֮◌𝆆◌̀◌̕b; a◌֮◌𝆆◌̀◌̕b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING RIP, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1D187 0062",  # (a◌̕◌̀◌֮◌𝆇b; à◌֮◌𝆇◌̕b; a◌֮◌̀◌𝆇◌̕b; à◌֮◌𝆇◌̕b; a◌֮◌̀◌𝆇◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, MUSICAL SYMBOL COMBINING FLIP, LATIN SMALL LETTER B
      "\u0061 1D187 0315 0300 05AE 0062",  # (a◌𝆇◌̕◌̀◌֮b; a◌֮◌𝆇◌̀◌̕b; a◌֮◌𝆇◌̀◌̕b; a◌֮◌𝆇◌̀◌̕b; a◌֮◌𝆇◌̀◌̕b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING FLIP, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1D188 0062",  # (a◌̕◌̀◌֮◌𝆈b; à◌֮◌𝆈◌̕b; a◌֮◌̀◌𝆈◌̕b; à◌֮◌𝆈◌̕b; a◌֮◌̀◌𝆈◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, MUSICAL SYMBOL COMBINING SMEAR, LATIN SMALL LETTER B
      "\u0061 1D188 0315 0300 05AE 0062",  # (a◌𝆈◌̕◌̀◌֮b; a◌֮◌𝆈◌̀◌̕b; a◌֮◌𝆈◌̀◌̕b; a◌֮◌𝆈◌̀◌̕b; a◌֮◌𝆈◌̀◌̕b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING SMEAR, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1D189 0062",  # (a◌̕◌̀◌֮◌𝆉b; à◌֮◌𝆉◌̕b; a◌֮◌̀◌𝆉◌̕b; à◌֮◌𝆉◌̕b; a◌֮◌̀◌𝆉◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, MUSICAL SYMBOL COMBINING BEND, LATIN SMALL LETTER B
      "\u0061 1D189 0315 0300 05AE 0062",  # (a◌𝆉◌̕◌̀◌֮b; a◌֮◌𝆉◌̀◌̕b; a◌֮◌𝆉◌̀◌̕b; a◌֮◌𝆉◌̀◌̕b; a◌֮◌𝆉◌̀◌̕b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING BEND, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1D18A 0062",  # (a◌֚◌̖◌〪◌𝆊b; a◌〪◌̖◌𝆊◌֚b; a◌〪◌̖◌𝆊◌֚b; a◌〪◌̖◌𝆊◌֚b; a◌〪◌̖◌𝆊◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, MUSICAL SYMBOL COMBINING DOUBLE TONGUE, LATIN SMALL LETTER B
      "\u0061 1D18A 059A 0316 302A 0062",  # (a◌𝆊◌֚◌̖◌〪b; a◌〪◌𝆊◌̖◌֚b; a◌〪◌𝆊◌̖◌֚b; a◌〪◌𝆊◌̖◌֚b; a◌〪◌𝆊◌̖◌֚b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING DOUBLE TONGUE, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1D18B 0062",  # (a◌֚◌̖◌〪◌𝆋b; a◌〪◌̖◌𝆋◌֚b; a◌〪◌̖◌𝆋◌֚b; a◌〪◌̖◌𝆋◌֚b; a◌〪◌̖◌𝆋◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, MUSICAL SYMBOL COMBINING TRIPLE TONGUE, LATIN SMALL LETTER B
      "\u0061 1D18B 059A 0316 302A 0062",  # (a◌𝆋◌֚◌̖◌〪b; a◌〪◌𝆋◌̖◌֚b; a◌〪◌𝆋◌̖◌֚b; a◌〪◌𝆋◌̖◌֚b; a◌〪◌𝆋◌̖◌֚b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING TRIPLE TONGUE, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1D1AA 0062",  # (a◌̕◌̀◌֮◌𝆪b; à◌֮◌𝆪◌̕b; a◌֮◌̀◌𝆪◌̕b; à◌֮◌𝆪◌̕b; a◌֮◌̀◌𝆪◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, MUSICAL SYMBOL COMBINING DOWN BOW, LATIN SMALL LETTER B
      "\u0061 1D1AA 0315 0300 05AE 0062",  # (a◌𝆪◌̕◌̀◌֮b; a◌֮◌𝆪◌̀◌̕b; a◌֮◌𝆪◌̀◌̕b; a◌֮◌𝆪◌̀◌̕b; a◌֮◌𝆪◌̀◌̕b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING DOWN BOW, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1D1AB 0062",  # (a◌̕◌̀◌֮◌𝆫b; à◌֮◌𝆫◌̕b; a◌֮◌̀◌𝆫◌̕b; à◌֮◌𝆫◌̕b; a◌֮◌̀◌𝆫◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, MUSICAL SYMBOL COMBINING UP BOW, LATIN SMALL LETTER B
      "\u0061 1D1AB 0315 0300 05AE 0062",  # (a◌𝆫◌̕◌̀◌֮b; a◌֮◌𝆫◌̀◌̕b; a◌֮◌𝆫◌̀◌̕b; a◌֮◌𝆫◌̀◌̕b; a◌֮◌𝆫◌̀◌̕b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING UP BOW, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1D1AC 0062",  # (a◌̕◌̀◌֮◌𝆬b; à◌֮◌𝆬◌̕b; a◌֮◌̀◌𝆬◌̕b; à◌֮◌𝆬◌̕b; a◌֮◌̀◌𝆬◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, MUSICAL SYMBOL COMBINING HARMONIC, LATIN SMALL LETTER B
      "\u0061 1D1AC 0315 0300 05AE 0062",  # (a◌𝆬◌̕◌̀◌֮b; a◌֮◌𝆬◌̀◌̕b; a◌֮◌𝆬◌̀◌̕b; a◌֮◌𝆬◌̀◌̕b; a◌֮◌𝆬◌̀◌̕b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING HARMONIC, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1D1AD 0062",  # (a◌̕◌̀◌֮◌𝆭b; à◌֮◌𝆭◌̕b; a◌֮◌̀◌𝆭◌̕b; à◌֮◌𝆭◌̕b; a◌֮◌̀◌𝆭◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, MUSICAL SYMBOL COMBINING SNAP PIZZICATO, LATIN SMALL LETTER B
      "\u0061 1D1AD 0315 0300 05AE 0062",  # (a◌𝆭◌̕◌̀◌֮b; a◌֮◌𝆭◌̀◌̕b; a◌֮◌𝆭◌̀◌̕b; a◌֮◌𝆭◌̀◌̕b; a◌֮◌𝆭◌̀◌̕b; ) LATIN SMALL LETTER A, MUSICAL SYMBOL COMBINING SNAP PIZZICATO, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1D242 0062",  # (a◌̕◌̀◌֮◌𝉂b; à◌֮◌𝉂◌̕b; a◌֮◌̀◌𝉂◌̕b; à◌֮◌𝉂◌̕b; a◌֮◌̀◌𝉂◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GREEK MUSICAL TRISEME, LATIN SMALL LETTER B
      "\u0061 1D242 0315 0300 05AE 0062",  # (a◌𝉂◌̕◌̀◌֮b; a◌֮◌𝉂◌̀◌̕b; a◌֮◌𝉂◌̀◌̕b; a◌֮◌𝉂◌̀◌̕b; a◌֮◌𝉂◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GREEK MUSICAL TRISEME, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1D243 0062",  # (a◌̕◌̀◌֮◌𝉃b; à◌֮◌𝉃◌̕b; a◌֮◌̀◌𝉃◌̕b; à◌֮◌𝉃◌̕b; a◌֮◌̀◌𝉃◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GREEK MUSICAL TETRASEME, LATIN SMALL LETTER B
      "\u0061 1D243 0315 0300 05AE 0062",  # (a◌𝉃◌̕◌̀◌֮b; a◌֮◌𝉃◌̀◌̕b; a◌֮◌𝉃◌̀◌̕b; a◌֮◌𝉃◌̀◌̕b; a◌֮◌𝉃◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GREEK MUSICAL TETRASEME, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1D244 0062",  # (a◌̕◌̀◌֮◌𝉄b; à◌֮◌𝉄◌̕b; a◌֮◌̀◌𝉄◌̕b; à◌֮◌𝉄◌̕b; a◌֮◌̀◌𝉄◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GREEK MUSICAL PENTASEME, LATIN SMALL LETTER B
      "\u0061 1D244 0315 0300 05AE 0062",  # (a◌𝉄◌̕◌̀◌֮b; a◌֮◌𝉄◌̀◌̕b; a◌֮◌𝉄◌̀◌̕b; a◌֮◌𝉄◌̀◌̕b; a◌֮◌𝉄◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GREEK MUSICAL PENTASEME, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E000 0062",  # (a◌̕◌̀◌֮◌𞀀b; à◌֮◌𞀀◌̕b; a◌֮◌̀◌𞀀◌̕b; à◌֮◌𞀀◌̕b; a◌֮◌̀◌𞀀◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER AZU, LATIN SMALL LETTER B
      "\u0061 1E000 0315 0300 05AE 0062",  # (a◌𞀀◌̕◌̀◌֮b; a◌֮◌𞀀◌̀◌̕b; a◌֮◌𞀀◌̀◌̕b; a◌֮◌𞀀◌̀◌̕b; a◌֮◌𞀀◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER AZU, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E001 0062",  # (a◌̕◌̀◌֮◌𞀁b; à◌֮◌𞀁◌̕b; a◌֮◌̀◌𞀁◌̕b; à◌֮◌𞀁◌̕b; a◌֮◌̀◌𞀁◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER BUKY, LATIN SMALL LETTER B
      "\u0061 1E001 0315 0300 05AE 0062",  # (a◌𞀁◌̕◌̀◌֮b; a◌֮◌𞀁◌̀◌̕b; a◌֮◌𞀁◌̀◌̕b; a◌֮◌𞀁◌̀◌̕b; a◌֮◌𞀁◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER BUKY, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E002 0062",  # (a◌̕◌̀◌֮◌𞀂b; à◌֮◌𞀂◌̕b; a◌֮◌̀◌𞀂◌̕b; à◌֮◌𞀂◌̕b; a◌֮◌̀◌𞀂◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER VEDE, LATIN SMALL LETTER B
      "\u0061 1E002 0315 0300 05AE 0062",  # (a◌𞀂◌̕◌̀◌֮b; a◌֮◌𞀂◌̀◌̕b; a◌֮◌𞀂◌̀◌̕b; a◌֮◌𞀂◌̀◌̕b; a◌֮◌𞀂◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER VEDE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E003 0062",  # (a◌̕◌̀◌֮◌𞀃b; à◌֮◌𞀃◌̕b; a◌֮◌̀◌𞀃◌̕b; à◌֮◌𞀃◌̕b; a◌֮◌̀◌𞀃◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER GLAGOLI, LATIN SMALL LETTER B
      "\u0061 1E003 0315 0300 05AE 0062",  # (a◌𞀃◌̕◌̀◌֮b; a◌֮◌𞀃◌̀◌̕b; a◌֮◌𞀃◌̀◌̕b; a◌֮◌𞀃◌̀◌̕b; a◌֮◌𞀃◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER GLAGOLI, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E004 0062",  # (a◌̕◌̀◌֮◌𞀄b; à◌֮◌𞀄◌̕b; a◌֮◌̀◌𞀄◌̕b; à◌֮◌𞀄◌̕b; a◌֮◌̀◌𞀄◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER DOBRO, LATIN SMALL LETTER B
      "\u0061 1E004 0315 0300 05AE 0062",  # (a◌𞀄◌̕◌̀◌֮b; a◌֮◌𞀄◌̀◌̕b; a◌֮◌𞀄◌̀◌̕b; a◌֮◌𞀄◌̀◌̕b; a◌֮◌𞀄◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER DOBRO, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E005 0062",  # (a◌̕◌̀◌֮◌𞀅b; à◌֮◌𞀅◌̕b; a◌֮◌̀◌𞀅◌̕b; à◌֮◌𞀅◌̕b; a◌֮◌̀◌𞀅◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER YESTU, LATIN SMALL LETTER B
      "\u0061 1E005 0315 0300 05AE 0062",  # (a◌𞀅◌̕◌̀◌֮b; a◌֮◌𞀅◌̀◌̕b; a◌֮◌𞀅◌̀◌̕b; a◌֮◌𞀅◌̀◌̕b; a◌֮◌𞀅◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER YESTU, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E006 0062",  # (a◌̕◌̀◌֮◌𞀆b; à◌֮◌𞀆◌̕b; a◌֮◌̀◌𞀆◌̕b; à◌֮◌𞀆◌̕b; a◌֮◌̀◌𞀆◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER ZHIVETE, LATIN SMALL LETTER B
      "\u0061 1E006 0315 0300 05AE 0062",  # (a◌𞀆◌̕◌̀◌֮b; a◌֮◌𞀆◌̀◌̕b; a◌֮◌𞀆◌̀◌̕b; a◌֮◌𞀆◌̀◌̕b; a◌֮◌𞀆◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER ZHIVETE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E008 0062",  # (a◌̕◌̀◌֮◌𞀈b; à◌֮◌𞀈◌̕b; a◌֮◌̀◌𞀈◌̕b; à◌֮◌𞀈◌̕b; a◌֮◌̀◌𞀈◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER ZEMLJA, LATIN SMALL LETTER B
      "\u0061 1E008 0315 0300 05AE 0062",  # (a◌𞀈◌̕◌̀◌֮b; a◌֮◌𞀈◌̀◌̕b; a◌֮◌𞀈◌̀◌̕b; a◌֮◌𞀈◌̀◌̕b; a◌֮◌𞀈◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER ZEMLJA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E009 0062",  # (a◌̕◌̀◌֮◌𞀉b; à◌֮◌𞀉◌̕b; a◌֮◌̀◌𞀉◌̕b; à◌֮◌𞀉◌̕b; a◌֮◌̀◌𞀉◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER IZHE, LATIN SMALL LETTER B
      "\u0061 1E009 0315 0300 05AE 0062",  # (a◌𞀉◌̕◌̀◌֮b; a◌֮◌𞀉◌̀◌̕b; a◌֮◌𞀉◌̀◌̕b; a◌֮◌𞀉◌̀◌̕b; a◌֮◌𞀉◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER IZHE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E00A 0062",  # (a◌̕◌̀◌֮◌𞀊b; à◌֮◌𞀊◌̕b; a◌֮◌̀◌𞀊◌̕b; à◌֮◌𞀊◌̕b; a◌֮◌̀◌𞀊◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER INITIAL IZHE, LATIN SMALL LETTER B
      "\u0061 1E00A 0315 0300 05AE 0062",  # (a◌𞀊◌̕◌̀◌֮b; a◌֮◌𞀊◌̀◌̕b; a◌֮◌𞀊◌̀◌̕b; a◌֮◌𞀊◌̀◌̕b; a◌֮◌𞀊◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER INITIAL IZHE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E00B 0062",  # (a◌̕◌̀◌֮◌𞀋b; à◌֮◌𞀋◌̕b; a◌֮◌̀◌𞀋◌̕b; à◌֮◌𞀋◌̕b; a◌֮◌̀◌𞀋◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER I, LATIN SMALL LETTER B
      "\u0061 1E00B 0315 0300 05AE 0062",  # (a◌𞀋◌̕◌̀◌֮b; a◌֮◌𞀋◌̀◌̕b; a◌֮◌𞀋◌̀◌̕b; a◌֮◌𞀋◌̀◌̕b; a◌֮◌𞀋◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER I, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E00C 0062",  # (a◌̕◌̀◌֮◌𞀌b; à◌֮◌𞀌◌̕b; a◌֮◌̀◌𞀌◌̕b; à◌֮◌𞀌◌̕b; a◌֮◌̀◌𞀌◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER DJERVI, LATIN SMALL LETTER B
      "\u0061 1E00C 0315 0300 05AE 0062",  # (a◌𞀌◌̕◌̀◌֮b; a◌֮◌𞀌◌̀◌̕b; a◌֮◌𞀌◌̀◌̕b; a◌֮◌𞀌◌̀◌̕b; a◌֮◌𞀌◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER DJERVI, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E00D 0062",  # (a◌̕◌̀◌֮◌𞀍b; à◌֮◌𞀍◌̕b; a◌֮◌̀◌𞀍◌̕b; à◌֮◌𞀍◌̕b; a◌֮◌̀◌𞀍◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER KAKO, LATIN SMALL LETTER B
      "\u0061 1E00D 0315 0300 05AE 0062",  # (a◌𞀍◌̕◌̀◌֮b; a◌֮◌𞀍◌̀◌̕b; a◌֮◌𞀍◌̀◌̕b; a◌֮◌𞀍◌̀◌̕b; a◌֮◌𞀍◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER KAKO, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E00E 0062",  # (a◌̕◌̀◌֮◌𞀎b; à◌֮◌𞀎◌̕b; a◌֮◌̀◌𞀎◌̕b; à◌֮◌𞀎◌̕b; a◌֮◌̀◌𞀎◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER LJUDIJE, LATIN SMALL LETTER B
      "\u0061 1E00E 0315 0300 05AE 0062",  # (a◌𞀎◌̕◌̀◌֮b; a◌֮◌𞀎◌̀◌̕b; a◌֮◌𞀎◌̀◌̕b; a◌֮◌𞀎◌̀◌̕b; a◌֮◌𞀎◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER LJUDIJE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E00F 0062",  # (a◌̕◌̀◌֮◌𞀏b; à◌֮◌𞀏◌̕b; a◌֮◌̀◌𞀏◌̕b; à◌֮◌𞀏◌̕b; a◌֮◌̀◌𞀏◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER MYSLITE, LATIN SMALL LETTER B
      "\u0061 1E00F 0315 0300 05AE 0062",  # (a◌𞀏◌̕◌̀◌֮b; a◌֮◌𞀏◌̀◌̕b; a◌֮◌𞀏◌̀◌̕b; a◌֮◌𞀏◌̀◌̕b; a◌֮◌𞀏◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER MYSLITE, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E010 0062",  # (a◌̕◌̀◌֮◌𞀐b; à◌֮◌𞀐◌̕b; a◌֮◌̀◌𞀐◌̕b; à◌֮◌𞀐◌̕b; a◌֮◌̀◌𞀐◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER NASHI, LATIN SMALL LETTER B
      "\u0061 1E010 0315 0300 05AE 0062",  # (a◌𞀐◌̕◌̀◌֮b; a◌֮◌𞀐◌̀◌̕b; a◌֮◌𞀐◌̀◌̕b; a◌֮◌𞀐◌̀◌̕b; a◌֮◌𞀐◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER NASHI, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E011 0062",  # (a◌̕◌̀◌֮◌𞀑b; à◌֮◌𞀑◌̕b; a◌֮◌̀◌𞀑◌̕b; à◌֮◌𞀑◌̕b; a◌֮◌̀◌𞀑◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER ONU, LATIN SMALL LETTER B
      "\u0061 1E011 0315 0300 05AE 0062",  # (a◌𞀑◌̕◌̀◌֮b; a◌֮◌𞀑◌̀◌̕b; a◌֮◌𞀑◌̀◌̕b; a◌֮◌𞀑◌̀◌̕b; a◌֮◌𞀑◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER ONU, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E012 0062",  # (a◌̕◌̀◌֮◌𞀒b; à◌֮◌𞀒◌̕b; a◌֮◌̀◌𞀒◌̕b; à◌֮◌𞀒◌̕b; a◌֮◌̀◌𞀒◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER POKOJI, LATIN SMALL LETTER B
      "\u0061 1E012 0315 0300 05AE 0062",  # (a◌𞀒◌̕◌̀◌֮b; a◌֮◌𞀒◌̀◌̕b; a◌֮◌𞀒◌̀◌̕b; a◌֮◌𞀒◌̀◌̕b; a◌֮◌𞀒◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER POKOJI, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E013 0062",  # (a◌̕◌̀◌֮◌𞀓b; à◌֮◌𞀓◌̕b; a◌֮◌̀◌𞀓◌̕b; à◌֮◌𞀓◌̕b; a◌֮◌̀◌𞀓◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER RITSI, LATIN SMALL LETTER B
      "\u0061 1E013 0315 0300 05AE 0062",  # (a◌𞀓◌̕◌̀◌֮b; a◌֮◌𞀓◌̀◌̕b; a◌֮◌𞀓◌̀◌̕b; a◌֮◌𞀓◌̀◌̕b; a◌֮◌𞀓◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER RITSI, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E014 0062",  # (a◌̕◌̀◌֮◌𞀔b; à◌֮◌𞀔◌̕b; a◌֮◌̀◌𞀔◌̕b; à◌֮◌𞀔◌̕b; a◌֮◌̀◌𞀔◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER SLOVO, LATIN SMALL LETTER B
      "\u0061 1E014 0315 0300 05AE 0062",  # (a◌𞀔◌̕◌̀◌֮b; a◌֮◌𞀔◌̀◌̕b; a◌֮◌𞀔◌̀◌̕b; a◌֮◌𞀔◌̀◌̕b; a◌֮◌𞀔◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER SLOVO, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E015 0062",  # (a◌̕◌̀◌֮◌𞀕b; à◌֮◌𞀕◌̕b; a◌֮◌̀◌𞀕◌̕b; à◌֮◌𞀕◌̕b; a◌֮◌̀◌𞀕◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER TVRIDO, LATIN SMALL LETTER B
      "\u0061 1E015 0315 0300 05AE 0062",  # (a◌𞀕◌̕◌̀◌֮b; a◌֮◌𞀕◌̀◌̕b; a◌֮◌𞀕◌̀◌̕b; a◌֮◌𞀕◌̀◌̕b; a◌֮◌𞀕◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER TVRIDO, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E016 0062",  # (a◌̕◌̀◌֮◌𞀖b; à◌֮◌𞀖◌̕b; a◌֮◌̀◌𞀖◌̕b; à◌֮◌𞀖◌̕b; a◌֮◌̀◌𞀖◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER UKU, LATIN SMALL LETTER B
      "\u0061 1E016 0315 0300 05AE 0062",  # (a◌𞀖◌̕◌̀◌֮b; a◌֮◌𞀖◌̀◌̕b; a◌֮◌𞀖◌̀◌̕b; a◌֮◌𞀖◌̀◌̕b; a◌֮◌𞀖◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER UKU, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E017 0062",  # (a◌̕◌̀◌֮◌𞀗b; à◌֮◌𞀗◌̕b; a◌֮◌̀◌𞀗◌̕b; à◌֮◌𞀗◌̕b; a◌֮◌̀◌𞀗◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER FRITU, LATIN SMALL LETTER B
      "\u0061 1E017 0315 0300 05AE 0062",  # (a◌𞀗◌̕◌̀◌֮b; a◌֮◌𞀗◌̀◌̕b; a◌֮◌𞀗◌̀◌̕b; a◌֮◌𞀗◌̀◌̕b; a◌֮◌𞀗◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER FRITU, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E018 0062",  # (a◌̕◌̀◌֮◌𞀘b; à◌֮◌𞀘◌̕b; a◌֮◌̀◌𞀘◌̕b; à◌֮◌𞀘◌̕b; a◌֮◌̀◌𞀘◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER HERU, LATIN SMALL LETTER B
      "\u0061 1E018 0315 0300 05AE 0062",  # (a◌𞀘◌̕◌̀◌֮b; a◌֮◌𞀘◌̀◌̕b; a◌֮◌𞀘◌̀◌̕b; a◌֮◌𞀘◌̀◌̕b; a◌֮◌𞀘◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER HERU, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E01B 0062",  # (a◌̕◌̀◌֮◌𞀛b; à◌֮◌𞀛◌̕b; a◌֮◌̀◌𞀛◌̕b; à◌֮◌𞀛◌̕b; a◌֮◌̀◌𞀛◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER SHTA, LATIN SMALL LETTER B
      "\u0061 1E01B 0315 0300 05AE 0062",  # (a◌𞀛◌̕◌̀◌֮b; a◌֮◌𞀛◌̀◌̕b; a◌֮◌𞀛◌̀◌̕b; a◌֮◌𞀛◌̀◌̕b; a◌֮◌𞀛◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER SHTA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E01C 0062",  # (a◌̕◌̀◌֮◌𞀜b; à◌֮◌𞀜◌̕b; a◌֮◌̀◌𞀜◌̕b; à◌֮◌𞀜◌̕b; a◌֮◌̀◌𞀜◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER TSI, LATIN SMALL LETTER B
      "\u0061 1E01C 0315 0300 05AE 0062",  # (a◌𞀜◌̕◌̀◌֮b; a◌֮◌𞀜◌̀◌̕b; a◌֮◌𞀜◌̀◌̕b; a◌֮◌𞀜◌̀◌̕b; a◌֮◌𞀜◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER TSI, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E01D 0062",  # (a◌̕◌̀◌֮◌𞀝b; à◌֮◌𞀝◌̕b; a◌֮◌̀◌𞀝◌̕b; à◌֮◌𞀝◌̕b; a◌֮◌̀◌𞀝◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER CHRIVI, LATIN SMALL LETTER B
      "\u0061 1E01D 0315 0300 05AE 0062",  # (a◌𞀝◌̕◌̀◌֮b; a◌֮◌𞀝◌̀◌̕b; a◌֮◌𞀝◌̀◌̕b; a◌֮◌𞀝◌̀◌̕b; a◌֮◌𞀝◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER CHRIVI, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E01E 0062",  # (a◌̕◌̀◌֮◌𞀞b; à◌֮◌𞀞◌̕b; a◌֮◌̀◌𞀞◌̕b; à◌֮◌𞀞◌̕b; a◌֮◌̀◌𞀞◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER SHA, LATIN SMALL LETTER B
      "\u0061 1E01E 0315 0300 05AE 0062",  # (a◌𞀞◌̕◌̀◌֮b; a◌֮◌𞀞◌̀◌̕b; a◌֮◌𞀞◌̀◌̕b; a◌֮◌𞀞◌̀◌̕b; a◌֮◌𞀞◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER SHA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E01F 0062",  # (a◌̕◌̀◌֮◌𞀟b; à◌֮◌𞀟◌̕b; a◌֮◌̀◌𞀟◌̕b; à◌֮◌𞀟◌̕b; a◌֮◌̀◌𞀟◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER YERU, LATIN SMALL LETTER B
      "\u0061 1E01F 0315 0300 05AE 0062",  # (a◌𞀟◌̕◌̀◌֮b; a◌֮◌𞀟◌̀◌̕b; a◌֮◌𞀟◌̀◌̕b; a◌֮◌𞀟◌̀◌̕b; a◌֮◌𞀟◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER YERU, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E020 0062",  # (a◌̕◌̀◌֮◌𞀠b; à◌֮◌𞀠◌̕b; a◌֮◌̀◌𞀠◌̕b; à◌֮◌𞀠◌̕b; a◌֮◌̀◌𞀠◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER YERI, LATIN SMALL LETTER B
      "\u0061 1E020 0315 0300 05AE 0062",  # (a◌𞀠◌̕◌̀◌֮b; a◌֮◌𞀠◌̀◌̕b; a◌֮◌𞀠◌̀◌̕b; a◌֮◌𞀠◌̀◌̕b; a◌֮◌𞀠◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER YERI, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E021 0062",  # (a◌̕◌̀◌֮◌𞀡b; à◌֮◌𞀡◌̕b; a◌֮◌̀◌𞀡◌̕b; à◌֮◌𞀡◌̕b; a◌֮◌̀◌𞀡◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER YATI, LATIN SMALL LETTER B
      "\u0061 1E021 0315 0300 05AE 0062",  # (a◌𞀡◌̕◌̀◌֮b; a◌֮◌𞀡◌̀◌̕b; a◌֮◌𞀡◌̀◌̕b; a◌֮◌𞀡◌̀◌̕b; a◌֮◌𞀡◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER YATI, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E023 0062",  # (a◌̕◌̀◌֮◌𞀣b; à◌֮◌𞀣◌̕b; a◌֮◌̀◌𞀣◌̕b; à◌֮◌𞀣◌̕b; a◌֮◌̀◌𞀣◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER YU, LATIN SMALL LETTER B
      "\u0061 1E023 0315 0300 05AE 0062",  # (a◌𞀣◌̕◌̀◌֮b; a◌֮◌𞀣◌̀◌̕b; a◌֮◌𞀣◌̀◌̕b; a◌֮◌𞀣◌̀◌̕b; a◌֮◌𞀣◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER YU, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E024 0062",  # (a◌̕◌̀◌֮◌𞀤b; à◌֮◌𞀤◌̕b; a◌֮◌̀◌𞀤◌̕b; à◌֮◌𞀤◌̕b; a◌֮◌̀◌𞀤◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER SMALL YUS, LATIN SMALL LETTER B
      "\u0061 1E024 0315 0300 05AE 0062",  # (a◌𞀤◌̕◌̀◌֮b; a◌֮◌𞀤◌̀◌̕b; a◌֮◌𞀤◌̀◌̕b; a◌֮◌𞀤◌̀◌̕b; a◌֮◌𞀤◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER SMALL YUS, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E026 0062",  # (a◌̕◌̀◌֮◌𞀦b; à◌֮◌𞀦◌̕b; a◌֮◌̀◌𞀦◌̕b; à◌֮◌𞀦◌̕b; a◌֮◌̀◌𞀦◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER YO, LATIN SMALL LETTER B
      "\u0061 1E026 0315 0300 05AE 0062",  # (a◌𞀦◌̕◌̀◌֮b; a◌֮◌𞀦◌̀◌̕b; a◌֮◌𞀦◌̀◌̕b; a◌֮◌𞀦◌̀◌̕b; a◌֮◌𞀦◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER YO, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E027 0062",  # (a◌̕◌̀◌֮◌𞀧b; à◌֮◌𞀧◌̕b; a◌֮◌̀◌𞀧◌̕b; à◌֮◌𞀧◌̕b; a◌֮◌̀◌𞀧◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER IOTATED SMALL YUS, LATIN SMALL LETTER B
      "\u0061 1E027 0315 0300 05AE 0062",  # (a◌𞀧◌̕◌̀◌֮b; a◌֮◌𞀧◌̀◌̕b; a◌֮◌𞀧◌̀◌̕b; a◌֮◌𞀧◌̀◌̕b; a◌֮◌𞀧◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER IOTATED SMALL YUS, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E028 0062",  # (a◌̕◌̀◌֮◌𞀨b; à◌֮◌𞀨◌̕b; a◌֮◌̀◌𞀨◌̕b; à◌֮◌𞀨◌̕b; a◌֮◌̀◌𞀨◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER BIG YUS, LATIN SMALL LETTER B
      "\u0061 1E028 0315 0300 05AE 0062",  # (a◌𞀨◌̕◌̀◌֮b; a◌֮◌𞀨◌̀◌̕b; a◌֮◌𞀨◌̀◌̕b; a◌֮◌𞀨◌̀◌̕b; a◌֮◌𞀨◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER BIG YUS, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E029 0062",  # (a◌̕◌̀◌֮◌𞀩b; à◌֮◌𞀩◌̕b; a◌֮◌̀◌𞀩◌̕b; à◌֮◌𞀩◌̕b; a◌֮◌̀◌𞀩◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER IOTATED BIG YUS, LATIN SMALL LETTER B
      "\u0061 1E029 0315 0300 05AE 0062",  # (a◌𞀩◌̕◌̀◌֮b; a◌֮◌𞀩◌̀◌̕b; a◌֮◌𞀩◌̀◌̕b; a◌֮◌𞀩◌̀◌̕b; a◌֮◌𞀩◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER IOTATED BIG YUS, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E02A 0062",  # (a◌̕◌̀◌֮◌𞀪b; à◌֮◌𞀪◌̕b; a◌֮◌̀◌𞀪◌̕b; à◌֮◌𞀪◌̕b; a◌֮◌̀◌𞀪◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, COMBINING GLAGOLITIC LETTER FITA, LATIN SMALL LETTER B
      "\u0061 1E02A 0315 0300 05AE 0062",  # (a◌𞀪◌̕◌̀◌֮b; a◌֮◌𞀪◌̀◌̕b; a◌֮◌𞀪◌̀◌̕b; a◌֮◌𞀪◌̀◌̕b; a◌֮◌𞀪◌̀◌̕b; ) LATIN SMALL LETTER A, COMBINING GLAGOLITIC LETTER FITA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1E8D0 0062",  # (a◌֚◌̖◌〪◌𞣐b; a◌〪◌̖◌𞣐◌֚b; a◌〪◌̖◌𞣐◌֚b; a◌〪◌̖◌𞣐◌֚b; a◌〪◌̖◌𞣐◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, MENDE KIKAKUI COMBINING NUMBER TEENS, LATIN SMALL LETTER B
      "\u0061 1E8D0 059A 0316 302A 0062",  # (a◌𞣐◌֚◌̖◌〪b; a◌〪◌𞣐◌̖◌֚b; a◌〪◌𞣐◌̖◌֚b; a◌〪◌𞣐◌̖◌֚b; a◌〪◌𞣐◌̖◌֚b; ) LATIN SMALL LETTER A, MENDE KIKAKUI COMBINING NUMBER TEENS, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1E8D1 0062",  # (a◌֚◌̖◌〪◌𞣑b; a◌〪◌̖◌𞣑◌֚b; a◌〪◌̖◌𞣑◌֚b; a◌〪◌̖◌𞣑◌֚b; a◌〪◌̖◌𞣑◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, MENDE KIKAKUI COMBINING NUMBER TENS, LATIN SMALL LETTER B
      "\u0061 1E8D1 059A 0316 302A 0062",  # (a◌𞣑◌֚◌̖◌〪b; a◌〪◌𞣑◌̖◌֚b; a◌〪◌𞣑◌̖◌֚b; a◌〪◌𞣑◌̖◌֚b; a◌〪◌𞣑◌̖◌֚b; ) LATIN SMALL LETTER A, MENDE KIKAKUI COMBINING NUMBER TENS, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1E8D2 0062",  # (a◌֚◌̖◌〪◌𞣒b; a◌〪◌̖◌𞣒◌֚b; a◌〪◌̖◌𞣒◌֚b; a◌〪◌̖◌𞣒◌֚b; a◌〪◌̖◌𞣒◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, MENDE KIKAKUI COMBINING NUMBER HUNDREDS, LATIN SMALL LETTER B
      "\u0061 1E8D2 059A 0316 302A 0062",  # (a◌𞣒◌֚◌̖◌〪b; a◌〪◌𞣒◌̖◌֚b; a◌〪◌𞣒◌̖◌֚b; a◌〪◌𞣒◌̖◌֚b; a◌〪◌𞣒◌̖◌֚b; ) LATIN SMALL LETTER A, MENDE KIKAKUI COMBINING NUMBER HUNDREDS, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1E8D3 0062",  # (a◌֚◌̖◌〪◌𞣓b; a◌〪◌̖◌𞣓◌֚b; a◌〪◌̖◌𞣓◌֚b; a◌〪◌̖◌𞣓◌֚b; a◌〪◌̖◌𞣓◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, MENDE KIKAKUI COMBINING NUMBER THOUSANDS, LATIN SMALL LETTER B
      "\u0061 1E8D3 059A 0316 302A 0062",  # (a◌𞣓◌֚◌̖◌〪b; a◌〪◌𞣓◌̖◌֚b; a◌〪◌𞣓◌̖◌֚b; a◌〪◌𞣓◌̖◌֚b; a◌〪◌𞣓◌̖◌֚b; ) LATIN SMALL LETTER A, MENDE KIKAKUI COMBINING NUMBER THOUSANDS, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1E8D4 0062",  # (a◌֚◌̖◌〪◌𞣔b; a◌〪◌̖◌𞣔◌֚b; a◌〪◌̖◌𞣔◌֚b; a◌〪◌̖◌𞣔◌֚b; a◌〪◌̖◌𞣔◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, MENDE KIKAKUI COMBINING NUMBER TEN THOUSANDS, LATIN SMALL LETTER B
      "\u0061 1E8D4 059A 0316 302A 0062",  # (a◌𞣔◌֚◌̖◌〪b; a◌〪◌𞣔◌̖◌֚b; a◌〪◌𞣔◌̖◌֚b; a◌〪◌𞣔◌̖◌֚b; a◌〪◌𞣔◌̖◌֚b; ) LATIN SMALL LETTER A, MENDE KIKAKUI COMBINING NUMBER TEN THOUSANDS, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1E8D5 0062",  # (a◌֚◌̖◌〪◌𞣕b; a◌〪◌̖◌𞣕◌֚b; a◌〪◌̖◌𞣕◌֚b; a◌〪◌̖◌𞣕◌֚b; a◌〪◌̖◌𞣕◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, MENDE KIKAKUI COMBINING NUMBER HUNDRED THOUSANDS, LATIN SMALL LETTER B
      "\u0061 1E8D5 059A 0316 302A 0062",  # (a◌𞣕◌֚◌̖◌〪b; a◌〪◌𞣕◌̖◌֚b; a◌〪◌𞣕◌̖◌֚b; a◌〪◌𞣕◌̖◌֚b; a◌〪◌𞣕◌̖◌֚b; ) LATIN SMALL LETTER A, MENDE KIKAKUI COMBINING NUMBER HUNDRED THOUSANDS, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 059A 0316 302A 1E8D6 0062",  # (a◌֚◌̖◌〪◌𞣖b; a◌〪◌̖◌𞣖◌֚b; a◌〪◌̖◌𞣖◌֚b; a◌〪◌̖◌𞣖◌֚b; a◌〪◌̖◌𞣖◌֚b; ) LATIN SMALL LETTER A, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, MENDE KIKAKUI COMBINING NUMBER MILLIONS, LATIN SMALL LETTER B
      "\u0061 1E8D6 059A 0316 302A 0062",  # (a◌𞣖◌֚◌̖◌〪b; a◌〪◌𞣖◌̖◌֚b; a◌〪◌𞣖◌̖◌֚b; a◌〪◌𞣖◌̖◌֚b; a◌〪◌𞣖◌̖◌֚b; ) LATIN SMALL LETTER A, MENDE KIKAKUI COMBINING NUMBER MILLIONS, HEBREW ACCENT YETIV, COMBINING GRAVE ACCENT BELOW, IDEOGRAPHIC LEVEL TONE MARK, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E944 0062",  # (a◌̕◌̀◌֮◌𞥄b; à◌֮◌𞥄◌̕b; a◌֮◌̀◌𞥄◌̕b; à◌֮◌𞥄◌̕b; a◌֮◌̀◌𞥄◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ADLAM ALIF LENGTHENER, LATIN SMALL LETTER B
      "\u0061 1E944 0315 0300 05AE 0062",  # (a◌𞥄◌̕◌̀◌֮b; a◌֮◌𞥄◌̀◌̕b; a◌֮◌𞥄◌̀◌̕b; a◌֮◌𞥄◌̀◌̕b; a◌֮◌𞥄◌̀◌̕b; ) LATIN SMALL LETTER A, ADLAM ALIF LENGTHENER, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E945 0062",  # (a◌̕◌̀◌֮◌𞥅b; à◌֮◌𞥅◌̕b; a◌֮◌̀◌𞥅◌̕b; à◌֮◌𞥅◌̕b; a◌֮◌̀◌𞥅◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ADLAM VOWEL LENGTHENER, LATIN SMALL LETTER B
      "\u0061 1E945 0315 0300 05AE 0062",  # (a◌𞥅◌̕◌̀◌֮b; a◌֮◌𞥅◌̀◌̕b; a◌֮◌𞥅◌̀◌̕b; a◌֮◌𞥅◌̀◌̕b; a◌֮◌𞥅◌̀◌̕b; ) LATIN SMALL LETTER A, ADLAM VOWEL LENGTHENER, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E946 0062",  # (a◌̕◌̀◌֮◌𞥆b; à◌֮◌𞥆◌̕b; a◌֮◌̀◌𞥆◌̕b; à◌֮◌𞥆◌̕b; a◌֮◌̀◌𞥆◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ADLAM GEMINATION MARK, LATIN SMALL LETTER B
      "\u0061 1E946 0315 0300 05AE 0062",  # (a◌𞥆◌̕◌̀◌֮b; a◌֮◌𞥆◌̀◌̕b; a◌֮◌𞥆◌̀◌̕b; a◌֮◌𞥆◌̀◌̕b; a◌֮◌𞥆◌̀◌̕b; ) LATIN SMALL LETTER A, ADLAM GEMINATION MARK, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E947 0062",  # (a◌̕◌̀◌֮◌𞥇b; à◌֮◌𞥇◌̕b; a◌֮◌̀◌𞥇◌̕b; à◌֮◌𞥇◌̕b; a◌֮◌̀◌𞥇◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ADLAM HAMZA, LATIN SMALL LETTER B
      "\u0061 1E947 0315 0300 05AE 0062",  # (a◌𞥇◌̕◌̀◌֮b; a◌֮◌𞥇◌̀◌̕b; a◌֮◌𞥇◌̀◌̕b; a◌֮◌𞥇◌̀◌̕b; a◌֮◌𞥇◌̀◌̕b; ) LATIN SMALL LETTER A, ADLAM HAMZA, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E948 0062",  # (a◌̕◌̀◌֮◌𞥈b; à◌֮◌𞥈◌̕b; a◌֮◌̀◌𞥈◌̕b; à◌֮◌𞥈◌̕b; a◌֮◌̀◌𞥈◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ADLAM CONSONANT MODIFIER, LATIN SMALL LETTER B
      "\u0061 1E948 0315 0300 05AE 0062",  # (a◌𞥈◌̕◌̀◌֮b; a◌֮◌𞥈◌̀◌̕b; a◌֮◌𞥈◌̀◌̕b; a◌֮◌𞥈◌̀◌̕b; a◌֮◌𞥈◌̀◌̕b; ) LATIN SMALL LETTER A, ADLAM CONSONANT MODIFIER, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 0315 0300 05AE 1E949 0062",  # (a◌̕◌̀◌֮◌𞥉b; à◌֮◌𞥉◌̕b; a◌֮◌̀◌𞥉◌̕b; à◌֮◌𞥉◌̕b; a◌֮◌̀◌𞥉◌̕b; ) LATIN SMALL LETTER A, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, ADLAM GEMINATE CONSONANT MODIFIER, LATIN SMALL LETTER B
      "\u0061 1E949 0315 0300 05AE 0062",  # (a◌𞥉◌̕◌̀◌֮b; a◌֮◌𞥉◌̀◌̕b; a◌֮◌𞥉◌̀◌̕b; a◌֮◌𞥉◌̀◌̕b; a◌֮◌𞥉◌̀◌̕b; ) LATIN SMALL LETTER A, ADLAM GEMINATE CONSONANT MODIFIER, COMBINING COMMA ABOVE RIGHT, COMBINING GRAVE ACCENT, HEBREW ACCENT ZINOR, LATIN SMALL LETTER B
      "\u0061 3099 093C 0334 1E94A 0062",  # (a◌゙◌़◌̴◌𞥊b; a◌̴◌़◌𞥊◌゙b; a◌̴◌़◌𞥊◌゙b; a◌̴◌़◌𞥊◌゙b; a◌̴◌़◌𞥊◌゙b; ) LATIN SMALL LETTER A, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, ADLAM NUKTA, LATIN SMALL LETTER B
      "\u0061 1E94A 3099 093C 0334 0062",  # (a◌𞥊◌゙◌़◌̴b; a◌̴◌𞥊◌़◌゙b; a◌̴◌𞥊◌़◌゙b; a◌̴◌𞥊◌़◌゙b; a◌̴◌𞥊◌़◌゙b; ) LATIN SMALL LETTER A, ADLAM NUKTA, COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK, DEVANAGARI SIGN NUKTA, COMBINING TILDE OVERLAY, LATIN SMALL LETTER B
      "\u09C7 0334 09BE",  # (ে◌̴া; ে◌̴া; ে◌̴া; ে◌̴া; ে◌̴া; ) BENGALI VOWEL SIGN E, COMBINING TILDE OVERLAY, BENGALI VOWEL SIGN AA
      "\u09C7 0334 09D7",  # (ে◌̴ৗ; ে◌̴ৗ; ে◌̴ৗ; ে◌̴ৗ; ে◌̴ৗ; ) BENGALI VOWEL SIGN E, COMBINING TILDE OVERLAY, BENGALI AU LENGTH MARK
      "\u0B47 0334 0B3E",  # (େ◌̴ା; େ◌̴ା; େ◌̴ା; େ◌̴ା; େ◌̴ା; ) ORIYA VOWEL SIGN E, COMBINING TILDE OVERLAY, ORIYA VOWEL SIGN AA
      "\u0B47 0334 0B56",  # (େ◌̴◌ୖ; େ◌̴◌ୖ; େ◌̴◌ୖ; େ◌̴◌ୖ; େ◌̴◌ୖ; ) ORIYA VOWEL SIGN E, COMBINING TILDE OVERLAY, ORIYA AI LENGTH MARK
      "\u0B47 0334 0B57",  # (େ◌̴ୗ; େ◌̴ୗ; େ◌̴ୗ; େ◌̴ୗ; େ◌̴ୗ; ) ORIYA VOWEL SIGN E, COMBINING TILDE OVERLAY, ORIYA AU LENGTH MARK
      "\u0B92 0334 0BD7",  # (ஒ◌̴ௗ; ஒ◌̴ௗ; ஒ◌̴ௗ; ஒ◌̴ௗ; ஒ◌̴ௗ; ) TAMIL LETTER O, COMBINING TILDE OVERLAY, TAMIL AU LENGTH MARK
      "\u0BC6 0334 0BBE",  # (ெ◌̴ா; ெ◌̴ா; ெ◌̴ா; ெ◌̴ா; ெ◌̴ா; ) TAMIL VOWEL SIGN E, COMBINING TILDE OVERLAY, TAMIL VOWEL SIGN AA
      "\u0BC6 0334 0BD7",  # (ெ◌̴ௗ; ெ◌̴ௗ; ெ◌̴ௗ; ெ◌̴ௗ; ெ◌̴ௗ; ) TAMIL VOWEL SIGN E, COMBINING TILDE OVERLAY, TAMIL AU LENGTH MARK
      "\u0BC7 0334 0BBE",  # (ே◌̴ா; ே◌̴ா; ே◌̴ா; ே◌̴ா; ே◌̴ா; ) TAMIL VOWEL SIGN EE, COMBINING TILDE OVERLAY, TAMIL VOWEL SIGN AA
      "\u0CBF 0334 0CD5",  # (◌ಿ◌̴ೕ; ◌ಿ◌̴ೕ; ◌ಿ◌̴ೕ; ◌ಿ◌̴ೕ; ◌ಿ◌̴ೕ; ) KANNADA VOWEL SIGN I, COMBINING TILDE OVERLAY, KANNADA LENGTH MARK
      "\u0CC6 0334 0CC2",  # (◌ೆ◌̴ೂ; ◌ೆ◌̴ೂ; ◌ೆ◌̴ೂ; ◌ೆ◌̴ೂ; ◌ೆ◌̴ೂ; ) KANNADA VOWEL SIGN E, COMBINING TILDE OVERLAY, KANNADA VOWEL SIGN UU
      "\u0CC6 0334 0CD5",  # (◌ೆ◌̴ೕ; ◌ೆ◌̴ೕ; ◌ೆ◌̴ೕ; ◌ೆ◌̴ೕ; ◌ೆ◌̴ೕ; ) KANNADA VOWEL SIGN E, COMBINING TILDE OVERLAY, KANNADA LENGTH MARK
      "\u0CC6 0334 0CD6",  # (◌ೆ◌̴ೖ; ◌ೆ◌̴ೖ; ◌ೆ◌̴ೖ; ◌ೆ◌̴ೖ; ◌ೆ◌̴ೖ; ) KANNADA VOWEL SIGN E, COMBINING TILDE OVERLAY, KANNADA AI LENGTH MARK
      "\u0CCA 0334 0CD5",  # (ೊ◌̴ೕ; ೊ◌̴ೕ; ◌ೊ◌̴ೕ; ೊ◌̴ೕ; ◌ೊ◌̴ೕ; ) KANNADA VOWEL SIGN O, COMBINING TILDE OVERLAY, KANNADA LENGTH MARK
      "\u0D46 0334 0D3E",  # (െ◌̴ാ; െ◌̴ാ; െ◌̴ാ; െ◌̴ാ; െ◌̴ാ; ) MALAYALAM VOWEL SIGN E, COMBINING TILDE OVERLAY, MALAYALAM VOWEL SIGN AA
      "\u0D46 0334 0D57",  # (െ◌̴ൗ; െ◌̴ൗ; െ◌̴ൗ; െ◌̴ൗ; െ◌̴ൗ; ) MALAYALAM VOWEL SIGN E, COMBINING TILDE OVERLAY, MALAYALAM AU LENGTH MARK
      "\u0D47 0334 0D3E",  # (േ◌̴ാ; േ◌̴ാ; േ◌̴ാ; േ◌̴ാ; േ◌̴ാ; ) MALAYALAM VOWEL SIGN EE, COMBINING TILDE OVERLAY, MALAYALAM VOWEL SIGN AA
      "\u0DD9 0334 0DCF",  # (ෙ◌̴ා; ෙ◌̴ා; ෙ◌̴ා; ෙ◌̴ා; ෙ◌̴ා; ) SINHALA VOWEL SIGN KOMBUVA, COMBINING TILDE OVERLAY, SINHALA VOWEL SIGN AELA-PILLA
      "\u0DD9 0334 0DDF",  # (ෙ◌̴ෟ; ෙ◌̴ෟ; ෙ◌̴ෟ; ෙ◌̴ෟ; ෙ◌̴ෟ; ) SINHALA VOWEL SIGN KOMBUVA, COMBINING TILDE OVERLAY, SINHALA VOWEL SIGN GAYANUKITTA
      "\u0F40 0334 0FB5",  # (ཀ◌̴◌ྵ; ཀ◌̴◌ྵ; ཀ◌̴◌ྵ; ཀ◌̴◌ྵ; ཀ◌̴◌ྵ; ) TIBETAN LETTER KA, COMBINING TILDE OVERLAY, TIBETAN SUBJOINED LETTER SSA
      "\u0F42 0334 0FB7",  # (ག◌̴◌ྷ; ག◌̴◌ྷ; ག◌̴◌ྷ; ག◌̴◌ྷ; ག◌̴◌ྷ; ) TIBETAN LETTER GA, COMBINING TILDE OVERLAY, TIBETAN SUBJOINED LETTER HA
      "\u0F4C 0334 0FB7",  # (ཌ◌̴◌ྷ; ཌ◌̴◌ྷ; ཌ◌̴◌ྷ; ཌ◌̴◌ྷ; ཌ◌̴◌ྷ; ) TIBETAN LETTER DDA, COMBINING TILDE OVERLAY, TIBETAN SUBJOINED LETTER HA
      "\u0F51 0334 0FB7",  # (ད◌̴◌ྷ; ད◌̴◌ྷ; ད◌̴◌ྷ; ད◌̴◌ྷ; ད◌̴◌ྷ; ) TIBETAN LETTER DA, COMBINING TILDE OVERLAY, TIBETAN SUBJOINED LETTER HA
      "\u0F56 0334 0FB7",  # (བ◌̴◌ྷ; བ◌̴◌ྷ; བ◌̴◌ྷ; བ◌̴◌ྷ; བ◌̴◌ྷ; ) TIBETAN LETTER BA, COMBINING TILDE OVERLAY, TIBETAN SUBJOINED LETTER HA
      "\u0F5B 0334 0FB7",  # (ཛ◌̴◌ྷ; ཛ◌̴◌ྷ; ཛ◌̴◌ྷ; ཛ◌̴◌ྷ; ཛ◌̴◌ྷ; ) TIBETAN LETTER DZA, COMBINING TILDE OVERLAY, TIBETAN SUBJOINED LETTER HA
      "\u0F90 0334 0FB5",  # (◌ྐ◌̴◌ྵ; ◌ྐ◌̴◌ྵ; ◌ྐ◌̴◌ྵ; ◌ྐ◌̴◌ྵ; ◌ྐ◌̴◌ྵ; ) TIBETAN SUBJOINED LETTER KA, COMBINING TILDE OVERLAY, TIBETAN SUBJOINED LETTER SSA
      "\u0F92 0334 0FB7",  # (◌ྒ◌̴◌ྷ; ◌ྒ◌̴◌ྷ; ◌ྒ◌̴◌ྷ; ◌ྒ◌̴◌ྷ; ◌ྒ◌̴◌ྷ; ) TIBETAN SUBJOINED LETTER GA, COMBINING TILDE OVERLAY, TIBETAN SUBJOINED LETTER HA
      "\u0F9C 0334 0FB7",  # (◌ྜ◌̴◌ྷ; ◌ྜ◌̴◌ྷ; ◌ྜ◌̴◌ྷ; ◌ྜ◌̴◌ྷ; ◌ྜ◌̴◌ྷ; ) TIBETAN SUBJOINED LETTER DDA, COMBINING TILDE OVERLAY, TIBETAN SUBJOINED LETTER HA
      "\u0FA1 0334 0FB7",  # (◌ྡ◌̴◌ྷ; ◌ྡ◌̴◌ྷ; ◌ྡ◌̴◌ྷ; ◌ྡ◌̴◌ྷ; ◌ྡ◌̴◌ྷ; ) TIBETAN SUBJOINED LETTER DA, COMBINING TILDE OVERLAY, TIBETAN SUBJOINED LETTER HA
      "\u0FA6 0334 0FB7",  # (◌ྦ◌̴◌ྷ; ◌ྦ◌̴◌ྷ; ◌ྦ◌̴◌ྷ; ◌ྦ◌̴◌ྷ; ◌ྦ◌̴◌ྷ; ) TIBETAN SUBJOINED LETTER BA, COMBINING TILDE OVERLAY, TIBETAN SUBJOINED LETTER HA
      "\u0FAB 0334 0FB7",  # (◌ྫ◌̴◌ྷ; ◌ྫ◌̴◌ྷ; ◌ྫ◌̴◌ྷ; ◌ྫ◌̴◌ྷ; ◌ྫ◌̴◌ྷ; ) TIBETAN SUBJOINED LETTER DZA, COMBINING TILDE OVERLAY, TIBETAN SUBJOINED LETTER HA
      "\u1025 0334 102E",  # (ဥ◌̴◌ီ; ဥ◌̴◌ီ; ဥ◌̴◌ီ; ဥ◌̴◌ီ; ဥ◌̴◌ီ; ) MYANMAR LETTER U, COMBINING TILDE OVERLAY, MYANMAR VOWEL SIGN II
      "\u1100 0334 1161",  # (ᄀ◌̴ᅡ; ᄀ◌̴ᅡ; ᄀ◌̴ᅡ; ᄀ◌̴ᅡ; ᄀ◌̴ᅡ; ) HANGUL CHOSEONG KIYEOK, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG A
      "\u1100 0334 116E",  # (ᄀ◌̴ᅮ; ᄀ◌̴ᅮ; ᄀ◌̴ᅮ; ᄀ◌̴ᅮ; ᄀ◌̴ᅮ; ) HANGUL CHOSEONG KIYEOK, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG U
      "\u1101 0334 1166",  # (ᄁ◌̴ᅦ; ᄁ◌̴ᅦ; ᄁ◌̴ᅦ; ᄁ◌̴ᅦ; ᄁ◌̴ᅦ; ) HANGUL CHOSEONG SSANGKIYEOK, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG E
      "\u1101 0334 1173",  # (ᄁ◌̴ᅳ; ᄁ◌̴ᅳ; ᄁ◌̴ᅳ; ᄁ◌̴ᅳ; ᄁ◌̴ᅳ; ) HANGUL CHOSEONG SSANGKIYEOK, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG EU
      "\u1102 0334 116B",  # (ᄂ◌̴ᅫ; ᄂ◌̴ᅫ; ᄂ◌̴ᅫ; ᄂ◌̴ᅫ; ᄂ◌̴ᅫ; ) HANGUL CHOSEONG NIEUN, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG WAE
      "\u1103 0334 1163",  # (ᄃ◌̴ᅣ; ᄃ◌̴ᅣ; ᄃ◌̴ᅣ; ᄃ◌̴ᅣ; ᄃ◌̴ᅣ; ) HANGUL CHOSEONG TIKEUT, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG YA
      "\u1103 0334 1170",  # (ᄃ◌̴ᅰ; ᄃ◌̴ᅰ; ᄃ◌̴ᅰ; ᄃ◌̴ᅰ; ᄃ◌̴ᅰ; ) HANGUL CHOSEONG TIKEUT, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG WE
      "\u1104 0334 1168",  # (ᄄ◌̴ᅨ; ᄄ◌̴ᅨ; ᄄ◌̴ᅨ; ᄄ◌̴ᅨ; ᄄ◌̴ᅨ; ) HANGUL CHOSEONG SSANGTIKEUT, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG YE
      "\u1104 0334 1175",  # (ᄄ◌̴ᅵ; ᄄ◌̴ᅵ; ᄄ◌̴ᅵ; ᄄ◌̴ᅵ; ᄄ◌̴ᅵ; ) HANGUL CHOSEONG SSANGTIKEUT, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG I
      "\u1105 0334 116D",  # (ᄅ◌̴ᅭ; ᄅ◌̴ᅭ; ᄅ◌̴ᅭ; ᄅ◌̴ᅭ; ᄅ◌̴ᅭ; ) HANGUL CHOSEONG RIEUL, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG YO
      "\u1106 0334 1165",  # (ᄆ◌̴ᅥ; ᄆ◌̴ᅥ; ᄆ◌̴ᅥ; ᄆ◌̴ᅥ; ᄆ◌̴ᅥ; ) HANGUL CHOSEONG MIEUM, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG EO
      "\u1106 0334 1172",  # (ᄆ◌̴ᅲ; ᄆ◌̴ᅲ; ᄆ◌̴ᅲ; ᄆ◌̴ᅲ; ᄆ◌̴ᅲ; ) HANGUL CHOSEONG MIEUM, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG YU
      "\u1107 0334 116A",  # (ᄇ◌̴ᅪ; ᄇ◌̴ᅪ; ᄇ◌̴ᅪ; ᄇ◌̴ᅪ; ᄇ◌̴ᅪ; ) HANGUL CHOSEONG PIEUP, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG WA
      "\u1108 0334 1162",  # (ᄈ◌̴ᅢ; ᄈ◌̴ᅢ; ᄈ◌̴ᅢ; ᄈ◌̴ᅢ; ᄈ◌̴ᅢ; ) HANGUL CHOSEONG SSANGPIEUP, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG AE
      "\u1108 0334 116F",  # (ᄈ◌̴ᅯ; ᄈ◌̴ᅯ; ᄈ◌̴ᅯ; ᄈ◌̴ᅯ; ᄈ◌̴ᅯ; ) HANGUL CHOSEONG SSANGPIEUP, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG WEO
      "\u1109 0334 1167",  # (ᄉ◌̴ᅧ; ᄉ◌̴ᅧ; ᄉ◌̴ᅧ; ᄉ◌̴ᅧ; ᄉ◌̴ᅧ; ) HANGUL CHOSEONG SIOS, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG YEO
      "\u1109 0334 1174",  # (ᄉ◌̴ᅴ; ᄉ◌̴ᅴ; ᄉ◌̴ᅴ; ᄉ◌̴ᅴ; ᄉ◌̴ᅴ; ) HANGUL CHOSEONG SIOS, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG YI
      "\u110A 0334 116C",  # (ᄊ◌̴ᅬ; ᄊ◌̴ᅬ; ᄊ◌̴ᅬ; ᄊ◌̴ᅬ; ᄊ◌̴ᅬ; ) HANGUL CHOSEONG SSANGSIOS, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG OE
      "\u110B 0334 1164",  # (ᄋ◌̴ᅤ; ᄋ◌̴ᅤ; ᄋ◌̴ᅤ; ᄋ◌̴ᅤ; ᄋ◌̴ᅤ; ) HANGUL CHOSEONG IEUNG, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG YAE
      "\u110B 0334 1171",  # (ᄋ◌̴ᅱ; ᄋ◌̴ᅱ; ᄋ◌̴ᅱ; ᄋ◌̴ᅱ; ᄋ◌̴ᅱ; ) HANGUL CHOSEONG IEUNG, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG WI
      "\u110C 0334 1169",  # (ᄌ◌̴ᅩ; ᄌ◌̴ᅩ; ᄌ◌̴ᅩ; ᄌ◌̴ᅩ; ᄌ◌̴ᅩ; ) HANGUL CHOSEONG CIEUC, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG O
      "\u110D 0334 1161",  # (ᄍ◌̴ᅡ; ᄍ◌̴ᅡ; ᄍ◌̴ᅡ; ᄍ◌̴ᅡ; ᄍ◌̴ᅡ; ) HANGUL CHOSEONG SSANGCIEUC, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG A
      "\u110D 0334 116E",  # (ᄍ◌̴ᅮ; ᄍ◌̴ᅮ; ᄍ◌̴ᅮ; ᄍ◌̴ᅮ; ᄍ◌̴ᅮ; ) HANGUL CHOSEONG SSANGCIEUC, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG U
      "\u110E 0334 1166",  # (ᄎ◌̴ᅦ; ᄎ◌̴ᅦ; ᄎ◌̴ᅦ; ᄎ◌̴ᅦ; ᄎ◌̴ᅦ; ) HANGUL CHOSEONG CHIEUCH, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG E
      "\u110E 0334 1173",  # (ᄎ◌̴ᅳ; ᄎ◌̴ᅳ; ᄎ◌̴ᅳ; ᄎ◌̴ᅳ; ᄎ◌̴ᅳ; ) HANGUL CHOSEONG CHIEUCH, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG EU
      "\u110F 0334 116B",  # (ᄏ◌̴ᅫ; ᄏ◌̴ᅫ; ᄏ◌̴ᅫ; ᄏ◌̴ᅫ; ᄏ◌̴ᅫ; ) HANGUL CHOSEONG KHIEUKH, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG WAE
      "\u1110 0334 1163",  # (ᄐ◌̴ᅣ; ᄐ◌̴ᅣ; ᄐ◌̴ᅣ; ᄐ◌̴ᅣ; ᄐ◌̴ᅣ; ) HANGUL CHOSEONG THIEUTH, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG YA
      "\u1110 0334 1170",  # (ᄐ◌̴ᅰ; ᄐ◌̴ᅰ; ᄐ◌̴ᅰ; ᄐ◌̴ᅰ; ᄐ◌̴ᅰ; ) HANGUL CHOSEONG THIEUTH, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG WE
      "\u1111 0334 1168",  # (ᄑ◌̴ᅨ; ᄑ◌̴ᅨ; ᄑ◌̴ᅨ; ᄑ◌̴ᅨ; ᄑ◌̴ᅨ; ) HANGUL CHOSEONG PHIEUPH, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG YE
      "\u1111 0334 1175",  # (ᄑ◌̴ᅵ; ᄑ◌̴ᅵ; ᄑ◌̴ᅵ; ᄑ◌̴ᅵ; ᄑ◌̴ᅵ; ) HANGUL CHOSEONG PHIEUPH, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG I
      "\u1112 0334 116D",  # (ᄒ◌̴ᅭ; ᄒ◌̴ᅭ; ᄒ◌̴ᅭ; ᄒ◌̴ᅭ; ᄒ◌̴ᅭ; ) HANGUL CHOSEONG HIEUH, COMBINING TILDE OVERLAY, HANGUL JUNGSEONG YO
      "\u1B05 0334 1B35",  # (ᬅ◌̴ᬵ; ᬅ◌̴ᬵ; ᬅ◌̴ᬵ; ᬅ◌̴ᬵ; ᬅ◌̴ᬵ; ) BALINESE LETTER AKARA, COMBINING TILDE OVERLAY, BALINESE VOWEL SIGN TEDUNG
      "\u1B07 0334 1B35",  # (ᬇ◌̴ᬵ; ᬇ◌̴ᬵ; ᬇ◌̴ᬵ; ᬇ◌̴ᬵ; ᬇ◌̴ᬵ; ) BALINESE LETTER IKARA, COMBINING TILDE OVERLAY, BALINESE VOWEL SIGN TEDUNG
      "\u1B09 0334 1B35",  # (ᬉ◌̴ᬵ; ᬉ◌̴ᬵ; ᬉ◌̴ᬵ; ᬉ◌̴ᬵ; ᬉ◌̴ᬵ; ) BALINESE LETTER UKARA, COMBINING TILDE OVERLAY, BALINESE VOWEL SIGN TEDUNG
      "\u1B0B 0334 1B35",  # (ᬋ◌̴ᬵ; ᬋ◌̴ᬵ; ᬋ◌̴ᬵ; ᬋ◌̴ᬵ; ᬋ◌̴ᬵ; ) BALINESE LETTER RA REPA, COMBINING TILDE OVERLAY, BALINESE VOWEL SIGN TEDUNG
      "\u1B0D 0334 1B35",  # (ᬍ◌̴ᬵ; ᬍ◌̴ᬵ; ᬍ◌̴ᬵ; ᬍ◌̴ᬵ; ᬍ◌̴ᬵ; ) BALINESE LETTER LA LENGA, COMBINING TILDE OVERLAY, BALINESE VOWEL SIGN TEDUNG
      "\u1B11 0334 1B35",  # (ᬑ◌̴ᬵ; ᬑ◌̴ᬵ; ᬑ◌̴ᬵ; ᬑ◌̴ᬵ; ᬑ◌̴ᬵ; ) BALINESE LETTER OKARA, COMBINING TILDE OVERLAY, BALINESE VOWEL SIGN TEDUNG
      "\u1B3A 0334 1B35",  # (◌ᬺ◌̴ᬵ; ◌ᬺ◌̴ᬵ; ◌ᬺ◌̴ᬵ; ◌ᬺ◌̴ᬵ; ◌ᬺ◌̴ᬵ; ) BALINESE VOWEL SIGN RA REPA, COMBINING TILDE OVERLAY, BALINESE VOWEL SIGN TEDUNG
      "\u1B3C 0334 1B35",  # (◌ᬼ◌̴ᬵ; ◌ᬼ◌̴ᬵ; ◌ᬼ◌̴ᬵ; ◌ᬼ◌̴ᬵ; ◌ᬼ◌̴ᬵ; ) BALINESE VOWEL SIGN LA LENGA, COMBINING TILDE OVERLAY, BALINESE VOWEL SIGN TEDUNG
      "\u1B3E 0334 1B35",  # (ᬾ◌̴ᬵ; ᬾ◌̴ᬵ; ᬾ◌̴ᬵ; ᬾ◌̴ᬵ; ᬾ◌̴ᬵ; ) BALINESE VOWEL SIGN TALING, COMBINING TILDE OVERLAY, BALINESE VOWEL SIGN TEDUNG
      "\u1B3F 0334 1B35",  # (ᬿ◌̴ᬵ; ᬿ◌̴ᬵ; ᬿ◌̴ᬵ; ᬿ◌̴ᬵ; ᬿ◌̴ᬵ; ) BALINESE VOWEL SIGN TALING REPA, COMBINING TILDE OVERLAY, BALINESE VOWEL SIGN TEDUNG
      "\u1B42 0334 1B35",  # (◌ᭂ◌̴ᬵ; ◌ᭂ◌̴ᬵ; ◌ᭂ◌̴ᬵ; ◌ᭂ◌̴ᬵ; ◌ᭂ◌̴ᬵ; ) BALINESE VOWEL SIGN PEPET, COMBINING TILDE OVERLAY, BALINESE VOWEL SIGN TEDUNG
      "\uAC54 0334 11AE",  # (걔◌̴ᆮ; 걔◌̴ᆮ; 걔◌̴ᆮ; 걔◌̴ᆮ; 걔◌̴ᆮ; ) HANGUL SYLLABLE GYAE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uACA8 0334 11B5",  # (겨◌̴ᆵ; 겨◌̴ᆵ; 겨◌̴ᆵ; 겨◌̴ᆵ; 겨◌̴ᆵ; ) HANGUL SYLLABLE GYEO, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uACFC 0334 11BC",  # (과◌̴ᆼ; 과◌̴ᆼ; 과◌̴ᆼ; 과◌̴ᆼ; 과◌̴ᆼ; ) HANGUL SYLLABLE GWA, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uADC0 0334 11AE",  # (귀◌̴ᆮ; 귀◌̴ᆮ; 귀◌̴ᆮ; 귀◌̴ᆮ; 귀◌̴ᆮ; ) HANGUL SYLLABLE GWI, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uAE14 0334 11B5",  # (긔◌̴ᆵ; 긔◌̴ᆵ; 긔◌̴ᆵ; 긔◌̴ᆵ; 긔◌̴ᆵ; ) HANGUL SYLLABLE GYI, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uAE68 0334 11BC",  # (깨◌̴ᆼ; 깨◌̴ᆼ; 깨◌̴ᆼ; 깨◌̴ᆼ; 깨◌̴ᆼ; ) HANGUL SYLLABLE GGAE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uAF2C 0334 11AE",  # (꼬◌̴ᆮ; 꼬◌̴ᆮ; 꼬◌̴ᆮ; 꼬◌̴ᆮ; 꼬◌̴ᆮ; ) HANGUL SYLLABLE GGO, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uAF80 0334 11B5",  # (꾀◌̴ᆵ; 꾀◌̴ᆵ; 꾀◌̴ᆵ; 꾀◌̴ᆵ; 꾀◌̴ᆵ; ) HANGUL SYLLABLE GGOE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uAFD4 0334 11BC",  # (꿔◌̴ᆼ; 꿔◌̴ᆼ; 꿔◌̴ᆼ; 꿔◌̴ᆼ; 꿔◌̴ᆼ; ) HANGUL SYLLABLE GGWEO, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uB098 0334 11AE",  # (나◌̴ᆮ; 나◌̴ᆮ; 나◌̴ᆮ; 나◌̴ᆮ; 나◌̴ᆮ; ) HANGUL SYLLABLE NA, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uB0EC 0334 11B5",  # (냬◌̴ᆵ; 냬◌̴ᆵ; 냬◌̴ᆵ; 냬◌̴ᆵ; 냬◌̴ᆵ; ) HANGUL SYLLABLE NYAE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uB140 0334 11BC",  # (녀◌̴ᆼ; 녀◌̴ᆼ; 녀◌̴ᆼ; 녀◌̴ᆼ; 녀◌̴ᆼ; ) HANGUL SYLLABLE NYEO, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uB204 0334 11AE",  # (누◌̴ᆮ; 누◌̴ᆮ; 누◌̴ᆮ; 누◌̴ᆮ; 누◌̴ᆮ; ) HANGUL SYLLABLE NU, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uB258 0334 11B5",  # (뉘◌̴ᆵ; 뉘◌̴ᆵ; 뉘◌̴ᆵ; 뉘◌̴ᆵ; 뉘◌̴ᆵ; ) HANGUL SYLLABLE NWI, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uB2AC 0334 11BC",  # (늬◌̴ᆼ; 늬◌̴ᆼ; 늬◌̴ᆼ; 늬◌̴ᆼ; 늬◌̴ᆼ; ) HANGUL SYLLABLE NYI, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uB370 0334 11AE",  # (데◌̴ᆮ; 데◌̴ᆮ; 데◌̴ᆮ; 데◌̴ᆮ; 데◌̴ᆮ; ) HANGUL SYLLABLE DE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uB3C4 0334 11B5",  # (도◌̴ᆵ; 도◌̴ᆵ; 도◌̴ᆵ; 도◌̴ᆵ; 도◌̴ᆵ; ) HANGUL SYLLABLE DO, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uB418 0334 11BC",  # (되◌̴ᆼ; 되◌̴ᆼ; 되◌̴ᆼ; 되◌̴ᆼ; 되◌̴ᆼ; ) HANGUL SYLLABLE DOE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uB4DC 0334 11AE",  # (드◌̴ᆮ; 드◌̴ᆮ; 드◌̴ᆮ; 드◌̴ᆮ; 드◌̴ᆮ; ) HANGUL SYLLABLE DEU, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uB530 0334 11B5",  # (따◌̴ᆵ; 따◌̴ᆵ; 따◌̴ᆵ; 따◌̴ᆵ; 따◌̴ᆵ; ) HANGUL SYLLABLE DDA, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uB584 0334 11BC",  # (떄◌̴ᆼ; 떄◌̴ᆼ; 떄◌̴ᆼ; 떄◌̴ᆼ; 떄◌̴ᆼ; ) HANGUL SYLLABLE DDYAE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uB648 0334 11AE",  # (뙈◌̴ᆮ; 뙈◌̴ᆮ; 뙈◌̴ᆮ; 뙈◌̴ᆮ; 뙈◌̴ᆮ; ) HANGUL SYLLABLE DDWAE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uB69C 0334 11B5",  # (뚜◌̴ᆵ; 뚜◌̴ᆵ; 뚜◌̴ᆵ; 뚜◌̴ᆵ; 뚜◌̴ᆵ; ) HANGUL SYLLABLE DDU, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uB6F0 0334 11BC",  # (뛰◌̴ᆼ; 뛰◌̴ᆼ; 뛰◌̴ᆼ; 뛰◌̴ᆼ; 뛰◌̴ᆼ; ) HANGUL SYLLABLE DDWI, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uB7B4 0334 11AE",  # (랴◌̴ᆮ; 랴◌̴ᆮ; 랴◌̴ᆮ; 랴◌̴ᆮ; 랴◌̴ᆮ; ) HANGUL SYLLABLE RYA, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uB808 0334 11B5",  # (레◌̴ᆵ; 레◌̴ᆵ; 레◌̴ᆵ; 레◌̴ᆵ; 레◌̴ᆵ; ) HANGUL SYLLABLE RE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uB85C 0334 11BC",  # (로◌̴ᆼ; 로◌̴ᆼ; 로◌̴ᆼ; 로◌̴ᆼ; 로◌̴ᆼ; ) HANGUL SYLLABLE RO, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uB920 0334 11AE",  # (뤠◌̴ᆮ; 뤠◌̴ᆮ; 뤠◌̴ᆮ; 뤠◌̴ᆮ; 뤠◌̴ᆮ; ) HANGUL SYLLABLE RWE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uB974 0334 11B5",  # (르◌̴ᆵ; 르◌̴ᆵ; 르◌̴ᆵ; 르◌̴ᆵ; 르◌̴ᆵ; ) HANGUL SYLLABLE REU, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uB9C8 0334 11BC",  # (마◌̴ᆼ; 마◌̴ᆼ; 마◌̴ᆼ; 마◌̴ᆼ; 마◌̴ᆼ; ) HANGUL SYLLABLE MA, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uBA8C 0334 11AE",  # (몌◌̴ᆮ; 몌◌̴ᆮ; 몌◌̴ᆮ; 몌◌̴ᆮ; 몌◌̴ᆮ; ) HANGUL SYLLABLE MYE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uBAE0 0334 11B5",  # (뫠◌̴ᆵ; 뫠◌̴ᆵ; 뫠◌̴ᆵ; 뫠◌̴ᆵ; 뫠◌̴ᆵ; ) HANGUL SYLLABLE MWAE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uBB34 0334 11BC",  # (무◌̴ᆼ; 무◌̴ᆼ; 무◌̴ᆼ; 무◌̴ᆼ; 무◌̴ᆼ; ) HANGUL SYLLABLE MU, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uBBF8 0334 11AE",  # (미◌̴ᆮ; 미◌̴ᆮ; 미◌̴ᆮ; 미◌̴ᆮ; 미◌̴ᆮ; ) HANGUL SYLLABLE MI, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uBC4C 0334 11B5",  # (뱌◌̴ᆵ; 뱌◌̴ᆵ; 뱌◌̴ᆵ; 뱌◌̴ᆵ; 뱌◌̴ᆵ; ) HANGUL SYLLABLE BYA, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uBCA0 0334 11BC",  # (베◌̴ᆼ; 베◌̴ᆼ; 베◌̴ᆼ; 베◌̴ᆼ; 베◌̴ᆼ; ) HANGUL SYLLABLE BE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uBD64 0334 11AE",  # (뵤◌̴ᆮ; 뵤◌̴ᆮ; 뵤◌̴ᆮ; 뵤◌̴ᆮ; 뵤◌̴ᆮ; ) HANGUL SYLLABLE BYO, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uBDB8 0334 11B5",  # (붸◌̴ᆵ; 붸◌̴ᆵ; 붸◌̴ᆵ; 붸◌̴ᆵ; 붸◌̴ᆵ; ) HANGUL SYLLABLE BWE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uBE0C 0334 11BC",  # (브◌̴ᆼ; 브◌̴ᆼ; 브◌̴ᆼ; 브◌̴ᆼ; 브◌̴ᆼ; ) HANGUL SYLLABLE BEU, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uBED0 0334 11AE",  # (뻐◌̴ᆮ; 뻐◌̴ᆮ; 뻐◌̴ᆮ; 뻐◌̴ᆮ; 뻐◌̴ᆮ; ) HANGUL SYLLABLE BBEO, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uBF24 0334 11B5",  # (뼤◌̴ᆵ; 뼤◌̴ᆵ; 뼤◌̴ᆵ; 뼤◌̴ᆵ; 뼤◌̴ᆵ; ) HANGUL SYLLABLE BBYE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uBF78 0334 11BC",  # (뽸◌̴ᆼ; 뽸◌̴ᆼ; 뽸◌̴ᆼ; 뽸◌̴ᆼ; 뽸◌̴ᆼ; ) HANGUL SYLLABLE BBWAE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uC03C 0334 11AE",  # (쀼◌̴ᆮ; 쀼◌̴ᆮ; 쀼◌̴ᆮ; 쀼◌̴ᆮ; 쀼◌̴ᆮ; ) HANGUL SYLLABLE BBYU, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uC090 0334 11B5",  # (삐◌̴ᆵ; 삐◌̴ᆵ; 삐◌̴ᆵ; 삐◌̴ᆵ; 삐◌̴ᆵ; ) HANGUL SYLLABLE BBI, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uC0E4 0334 11BC",  # (샤◌̴ᆼ; 샤◌̴ᆼ; 샤◌̴ᆼ; 샤◌̴ᆼ; 샤◌̴ᆼ; ) HANGUL SYLLABLE SYA, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uC1A8 0334 11AE",  # (솨◌̴ᆮ; 솨◌̴ᆮ; 솨◌̴ᆮ; 솨◌̴ᆮ; 솨◌̴ᆮ; ) HANGUL SYLLABLE SWA, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uC1FC 0334 11B5",  # (쇼◌̴ᆵ; 쇼◌̴ᆵ; 쇼◌̴ᆵ; 쇼◌̴ᆵ; 쇼◌̴ᆵ; ) HANGUL SYLLABLE SYO, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uC250 0334 11BC",  # (쉐◌̴ᆼ; 쉐◌̴ᆼ; 쉐◌̴ᆼ; 쉐◌̴ᆼ; 쉐◌̴ᆼ; ) HANGUL SYLLABLE SWE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uC314 0334 11AE",  # (쌔◌̴ᆮ; 쌔◌̴ᆮ; 쌔◌̴ᆮ; 쌔◌̴ᆮ; 쌔◌̴ᆮ; ) HANGUL SYLLABLE SSAE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uC368 0334 11B5",  # (써◌̴ᆵ; 써◌̴ᆵ; 써◌̴ᆵ; 써◌̴ᆵ; 써◌̴ᆵ; ) HANGUL SYLLABLE SSEO, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uC3BC 0334 11BC",  # (쎼◌̴ᆼ; 쎼◌̴ᆼ; 쎼◌̴ᆼ; 쎼◌̴ᆼ; 쎼◌̴ᆼ; ) HANGUL SYLLABLE SSYE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uC480 0334 11AE",  # (쒀◌̴ᆮ; 쒀◌̴ᆮ; 쒀◌̴ᆮ; 쒀◌̴ᆮ; 쒀◌̴ᆮ; ) HANGUL SYLLABLE SSWEO, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uC4D4 0334 11B5",  # (쓔◌̴ᆵ; 쓔◌̴ᆵ; 쓔◌̴ᆵ; 쓔◌̴ᆵ; 쓔◌̴ᆵ; ) HANGUL SYLLABLE SSYU, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uC528 0334 11BC",  # (씨◌̴ᆼ; 씨◌̴ᆼ; 씨◌̴ᆼ; 씨◌̴ᆼ; 씨◌̴ᆼ; ) HANGUL SYLLABLE SSI, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uC5EC 0334 11AE",  # (여◌̴ᆮ; 여◌̴ᆮ; 여◌̴ᆮ; 여◌̴ᆮ; 여◌̴ᆮ; ) HANGUL SYLLABLE YEO, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uC640 0334 11B5",  # (와◌̴ᆵ; 와◌̴ᆵ; 와◌̴ᆵ; 와◌̴ᆵ; 와◌̴ᆵ; ) HANGUL SYLLABLE WA, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uC694 0334 11BC",  # (요◌̴ᆼ; 요◌̴ᆼ; 요◌̴ᆼ; 요◌̴ᆼ; 요◌̴ᆼ; ) HANGUL SYLLABLE YO, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uC758 0334 11AE",  # (의◌̴ᆮ; 의◌̴ᆮ; 의◌̴ᆮ; 의◌̴ᆮ; 의◌̴ᆮ; ) HANGUL SYLLABLE YI, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uC7AC 0334 11B5",  # (재◌̴ᆵ; 재◌̴ᆵ; 재◌̴ᆵ; 재◌̴ᆵ; 재◌̴ᆵ; ) HANGUL SYLLABLE JAE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uC800 0334 11BC",  # (저◌̴ᆼ; 저◌̴ᆼ; 저◌̴ᆼ; 저◌̴ᆼ; 저◌̴ᆼ; ) HANGUL SYLLABLE JEO, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uC8C4 0334 11AE",  # (죄◌̴ᆮ; 죄◌̴ᆮ; 죄◌̴ᆮ; 죄◌̴ᆮ; 죄◌̴ᆮ; ) HANGUL SYLLABLE JOE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uC918 0334 11B5",  # (줘◌̴ᆵ; 줘◌̴ᆵ; 줘◌̴ᆵ; 줘◌̴ᆵ; 줘◌̴ᆵ; ) HANGUL SYLLABLE JWEO, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uC96C 0334 11BC",  # (쥬◌̴ᆼ; 쥬◌̴ᆼ; 쥬◌̴ᆼ; 쥬◌̴ᆼ; 쥬◌̴ᆼ; ) HANGUL SYLLABLE JYU, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uCA30 0334 11AE",  # (쨰◌̴ᆮ; 쨰◌̴ᆮ; 쨰◌̴ᆮ; 쨰◌̴ᆮ; 쨰◌̴ᆮ; ) HANGUL SYLLABLE JJYAE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uCA84 0334 11B5",  # (쪄◌̴ᆵ; 쪄◌̴ᆵ; 쪄◌̴ᆵ; 쪄◌̴ᆵ; 쪄◌̴ᆵ; ) HANGUL SYLLABLE JJYEO, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uCAD8 0334 11BC",  # (쫘◌̴ᆼ; 쫘◌̴ᆼ; 쫘◌̴ᆼ; 쫘◌̴ᆼ; 쫘◌̴ᆼ; ) HANGUL SYLLABLE JJWA, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uCB9C 0334 11AE",  # (쮜◌̴ᆮ; 쮜◌̴ᆮ; 쮜◌̴ᆮ; 쮜◌̴ᆮ; 쮜◌̴ᆮ; ) HANGUL SYLLABLE JJWI, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uCBF0 0334 11B5",  # (쯰◌̴ᆵ; 쯰◌̴ᆵ; 쯰◌̴ᆵ; 쯰◌̴ᆵ; 쯰◌̴ᆵ; ) HANGUL SYLLABLE JJYI, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uCC44 0334 11BC",  # (채◌̴ᆼ; 채◌̴ᆼ; 채◌̴ᆼ; 채◌̴ᆼ; 채◌̴ᆼ; ) HANGUL SYLLABLE CAE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uCD08 0334 11AE",  # (초◌̴ᆮ; 초◌̴ᆮ; 초◌̴ᆮ; 초◌̴ᆮ; 초◌̴ᆮ; ) HANGUL SYLLABLE CO, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uCD5C 0334 11B5",  # (최◌̴ᆵ; 최◌̴ᆵ; 최◌̴ᆵ; 최◌̴ᆵ; 최◌̴ᆵ; ) HANGUL SYLLABLE COE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uCDB0 0334 11BC",  # (춰◌̴ᆼ; 춰◌̴ᆼ; 춰◌̴ᆼ; 춰◌̴ᆼ; 춰◌̴ᆼ; ) HANGUL SYLLABLE CWEO, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uCE74 0334 11AE",  # (카◌̴ᆮ; 카◌̴ᆮ; 카◌̴ᆮ; 카◌̴ᆮ; 카◌̴ᆮ; ) HANGUL SYLLABLE KA, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uCEC8 0334 11B5",  # (컈◌̴ᆵ; 컈◌̴ᆵ; 컈◌̴ᆵ; 컈◌̴ᆵ; 컈◌̴ᆵ; ) HANGUL SYLLABLE KYAE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uCF1C 0334 11BC",  # (켜◌̴ᆼ; 켜◌̴ᆼ; 켜◌̴ᆼ; 켜◌̴ᆼ; 켜◌̴ᆼ; ) HANGUL SYLLABLE KYEO, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uCFE0 0334 11AE",  # (쿠◌̴ᆮ; 쿠◌̴ᆮ; 쿠◌̴ᆮ; 쿠◌̴ᆮ; 쿠◌̴ᆮ; ) HANGUL SYLLABLE KU, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uD034 0334 11B5",  # (퀴◌̴ᆵ; 퀴◌̴ᆵ; 퀴◌̴ᆵ; 퀴◌̴ᆵ; 퀴◌̴ᆵ; ) HANGUL SYLLABLE KWI, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uD088 0334 11BC",  # (킈◌̴ᆼ; 킈◌̴ᆼ; 킈◌̴ᆼ; 킈◌̴ᆼ; 킈◌̴ᆼ; ) HANGUL SYLLABLE KYI, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uD14C 0334 11AE",  # (테◌̴ᆮ; 테◌̴ᆮ; 테◌̴ᆮ; 테◌̴ᆮ; 테◌̴ᆮ; ) HANGUL SYLLABLE TE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uD1A0 0334 11B5",  # (토◌̴ᆵ; 토◌̴ᆵ; 토◌̴ᆵ; 토◌̴ᆵ; 토◌̴ᆵ; ) HANGUL SYLLABLE TO, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uD1F4 0334 11BC",  # (퇴◌̴ᆼ; 퇴◌̴ᆼ; 퇴◌̴ᆼ; 퇴◌̴ᆼ; 퇴◌̴ᆼ; ) HANGUL SYLLABLE TOE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uD2B8 0334 11AE",  # (트◌̴ᆮ; 트◌̴ᆮ; 트◌̴ᆮ; 트◌̴ᆮ; 트◌̴ᆮ; ) HANGUL SYLLABLE TEU, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uD30C 0334 11B5",  # (파◌̴ᆵ; 파◌̴ᆵ; 파◌̴ᆵ; 파◌̴ᆵ; 파◌̴ᆵ; ) HANGUL SYLLABLE PA, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uD360 0334 11BC",  # (퍠◌̴ᆼ; 퍠◌̴ᆼ; 퍠◌̴ᆼ; 퍠◌̴ᆼ; 퍠◌̴ᆼ; ) HANGUL SYLLABLE PYAE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uD424 0334 11AE",  # (퐤◌̴ᆮ; 퐤◌̴ᆮ; 퐤◌̴ᆮ; 퐤◌̴ᆮ; 퐤◌̴ᆮ; ) HANGUL SYLLABLE PWAE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uD478 0334 11B5",  # (푸◌̴ᆵ; 푸◌̴ᆵ; 푸◌̴ᆵ; 푸◌̴ᆵ; 푸◌̴ᆵ; ) HANGUL SYLLABLE PU, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uD4CC 0334 11BC",  # (퓌◌̴ᆼ; 퓌◌̴ᆼ; 퓌◌̴ᆼ; 퓌◌̴ᆼ; 퓌◌̴ᆼ; ) HANGUL SYLLABLE PWI, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uD590 0334 11AE",  # (햐◌̴ᆮ; 햐◌̴ᆮ; 햐◌̴ᆮ; 햐◌̴ᆮ; 햐◌̴ᆮ; ) HANGUL SYLLABLE HYA, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uD5E4 0334 11B5",  # (헤◌̴ᆵ; 헤◌̴ᆵ; 헤◌̴ᆵ; 헤◌̴ᆵ; 헤◌̴ᆵ; ) HANGUL SYLLABLE HE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\uD638 0334 11BC",  # (호◌̴ᆼ; 호◌̴ᆼ; 호◌̴ᆼ; 호◌̴ᆼ; 호◌̴ᆼ; ) HANGUL SYLLABLE HO, COMBINING TILDE OVERLAY, HANGUL JONGSEONG IEUNG
      "\uD6FC 0334 11AE",  # (훼◌̴ᆮ; 훼◌̴ᆮ; 훼◌̴ᆮ; 훼◌̴ᆮ; 훼◌̴ᆮ; ) HANGUL SYLLABLE HWE, COMBINING TILDE OVERLAY, HANGUL JONGSEONG TIKEUT
      "\uD750 0334 11B5",  # (흐◌̴ᆵ; 흐◌̴ᆵ; 흐◌̴ᆵ; 흐◌̴ᆵ; 흐◌̴ᆵ; ) HANGUL SYLLABLE HEU, COMBINING TILDE OVERLAY, HANGUL JONGSEONG RIEUL-PHIEUPH
      "\u11131 0334 11127",  # (◌𑄱◌̴◌𑄧; ◌𑄱◌̴◌𑄧; ◌𑄱◌̴◌𑄧; ◌𑄱◌̴◌𑄧; ◌𑄱◌̴◌𑄧; ) CHAKMA O MARK, COMBINING TILDE OVERLAY, CHAKMA VOWEL SIGN A
      "\u11132 0334 11127",  # (◌𑄲◌̴◌𑄧; ◌𑄲◌̴◌𑄧; ◌𑄲◌̴◌𑄧; ◌𑄲◌̴◌𑄧; ◌𑄲◌̴◌𑄧; ) CHAKMA AU MARK, COMBINING TILDE OVERLAY, CHAKMA VOWEL SIGN A
      "\u11347 0334 1133E",  # (𑍇◌̴𑌾; 𑍇◌̴𑌾; 𑍇◌̴𑌾; 𑍇◌̴𑌾; 𑍇◌̴𑌾; ) GRANTHA VOWEL SIGN EE, COMBINING TILDE OVERLAY, GRANTHA VOWEL SIGN AA
      "\u11347 0334 11357",  # (𑍇◌̴𑍗; 𑍇◌̴𑍗; 𑍇◌̴𑍗; 𑍇◌̴𑍗; 𑍇◌̴𑍗; ) GRANTHA VOWEL SIGN EE, COMBINING TILDE OVERLAY, GRANTHA AU LENGTH MARK
      "\u114B9 0334 114B0",  # (𑒹◌̴𑒰; 𑒹◌̴𑒰; 𑒹◌̴𑒰; 𑒹◌̴𑒰; 𑒹◌̴𑒰; ) TIRHUTA VOWEL SIGN E, COMBINING TILDE OVERLAY, TIRHUTA VOWEL SIGN AA
      "\u114B9 0334 114BA",  # (𑒹◌̴◌𑒺; 𑒹◌̴◌𑒺; 𑒹◌̴◌𑒺; 𑒹◌̴◌𑒺; 𑒹◌̴◌𑒺; ) TIRHUTA VOWEL SIGN E, COMBINING TILDE OVERLAY, TIRHUTA VOWEL SIGN SHORT E
      "\u114B9 0334 114BD",  # (𑒹◌̴𑒽; 𑒹◌̴𑒽; 𑒹◌̴𑒽; 𑒹◌̴𑒽; 𑒹◌̴𑒽; ) TIRHUTA VOWEL SIGN E, COMBINING TILDE OVERLAY, TIRHUTA VOWEL SIGN SHORT O
      "\u115B8 0334 115AF",  # (𑖸◌̴𑖯; 𑖸◌̴𑖯; 𑖸◌̴𑖯; 𑖸◌̴𑖯; 𑖸◌̴𑖯; ) SIDDHAM VOWEL SIGN E, COMBINING TILDE OVERLAY, SIDDHAM VOWEL SIGN AA
      "\u115B9 0334 115AF",  # (𑖹◌̴𑖯; 𑖹◌̴𑖯; 𑖹◌̴𑖯; 𑖹◌̴𑖯; 𑖹◌̴𑖯; ) SIDDHAM VOWEL SIGN AI, COMBINING TILDE OVERLAY, SIDDHAM VOWEL SIGN AA
    ]
    test_data.each do |string|
      assert @validator.valid_encoding?(string), "U10_NormalizationTest: #{string}"
      assert string.force_encoding("UTF-8").valid_encoding?, "U10_NormalizationTest: #{string}" if @vercheck
    end
  end

end
