# encoding: utf-8
#
# This file is machine generated.  DO NOT EDIT!
#
if Kernel.respond_to?(:require_relative)
  require_relative("./helper")
else
  $:.unshift(File.dirname(__FILE__))
  require 'helper'
end
#
# == Purpose
#
# Tests for the #{UTF8::Validator} implementation.
#
# Test data pulled and generated from:
#
# https://www.unicode.org/Public/10.0.0/ucd/
#
class TestUnicode10TangutSources < Test::Unit::TestCase
  #
  def setup
    @validator = UTF8::Validator.new
    @vercheck = ((RUBY_VERSION =~ /1.9/) or (RUBY_VERSION =~ /2./)) ? true : false
  end

  #
  def teardown
    @validator = nil
  end

  def test_unicode10_TangutSources
    test_data = [
    "\U17000",  # kTGT_MergedSrc L2008-0008
    "\U17000",  # kRSTUnicode 1.6
    "\U17001",  # kTGT_MergedSrc L2008-0030
    "\U17001",  # kRSTUnicode 1.7
    "\U17002",  # kTGT_MergedSrc L2008-0101
    "\U17002",  # kRSTUnicode 1.8
    "\U17003",  # kTGT_MergedSrc L2008-0038
    "\U17003",  # kRSTUnicode 1.8
    "\U17004",  # kTGT_MergedSrc L2008-0026
    "\U17004",  # kRSTUnicode 1.8
    "\U17005",  # kTGT_MergedSrc L2008-0013
    "\U17005",  # kRSTUnicode 1.8
    "\U17006",  # kTGT_MergedSrc L2008-0065
    "\U17006",  # kRSTUnicode 1.8
    "\U17007",  # kTGT_MergedSrc L2008-0005
    "\U17007",  # kRSTUnicode 1.8
    "\U17008",  # kTGT_MergedSrc L2008-0087
    "\U17008",  # kRSTUnicode 1.8
    "\U17009",  # kTGT_MergedSrc L2008-0066
    "\U17009",  # kRSTUnicode 1.8
    "\U1700A",  # kTGT_MergedSrc L2008-0104
    "\U1700A",  # kRSTUnicode 1.9
    "\U1700B",  # kTGT_MergedSrc L2008-0080
    "\U1700B",  # kRSTUnicode 1.9
    "\U1700C",  # kTGT_MergedSrc L2008-0116
    "\U1700C",  # kRSTUnicode 1.9
    "\U1700D",  # kTGT_MergedSrc L2008-0025
    "\U1700D",  # kRSTUnicode 1.9
    "\U1700E",  # kTGT_MergedSrc L2008-0056
    "\U1700E",  # kRSTUnicode 1.9
    "\U1700F",  # kTGT_MergedSrc L2008-0017
    "\U1700F",  # kRSTUnicode 1.9
    "\U17010",  # kTGT_MergedSrc L2008-0143
    "\U17010",  # kRSTUnicode 1.9
    "\U17011",  # kTGT_MergedSrc L2008-0067
    "\U17011",  # kRSTUnicode 1.9
    "\U17012",  # kTGT_MergedSrc L2008-0068
    "\U17012",  # kRSTUnicode 1.9
    "\U17013",  # kTGT_MergedSrc L2008-0147
    "\U17013",  # kRSTUnicode 1.9
    "\U17014",  # kTGT_MergedSrc L2008-0089
    "\U17014",  # kRSTUnicode 1.10
    "\U17015",  # kTGT_MergedSrc L2008-0035
    "\U17015",  # kRSTUnicode 1.10
    "\U17016",  # kTGT_MergedSrc L2008-0069
    "\U17016",  # kRSTUnicode 1.10
    "\U17017",  # kTGT_MergedSrc L2008-0145
    "\U17017",  # kRSTUnicode 1.10
    "\U17018",  # kTGT_MergedSrc L2008-0070
    "\U17018",  # kRSTUnicode 1.10
    "\U17019",  # kTGT_MergedSrc L2008-0082
    "\U17019",  # kRSTUnicode 1.11
    "\U1701A",  # kTGT_MergedSrc L2008-4507
    "\U1701A",  # kRSTUnicode 1.11
    "\U1701B",  # kTGT_MergedSrc L2008-0042-4537
    "\U1701B",  # kRSTUnicode 1.11
    "\U1701C",  # kTGT_MergedSrc L2008-0043
    "\U1701C",  # kRSTUnicode 1.11
    "\U1701D",  # kTGT_MergedSrc L2008-0090
    "\U1701D",  # kRSTUnicode 1.11
    "\U1701E",  # kTGT_MergedSrc L2008-0148
    "\U1701E",  # kRSTUnicode 1.11
    "\U1701F",  # kTGT_MergedSrc L2008-0050
    "\U1701F",  # kRSTUnicode 1.11
    "\U17020",  # kTGT_MergedSrc L2008-0084
    "\U17020",  # kRSTUnicode 1.12
    "\U17021",  # kTGT_MergedSrc L2008-0095
    "\U17021",  # kRSTUnicode 1.12
    "\U17022",  # kTGT_MergedSrc L2008-4516
    "\U17022",  # kRSTUnicode 1.12
    "\U17023",  # kTGT_MergedSrc L2008-0057-4548
    "\U17023",  # kRSTUnicode 1.12
    "\U17024",  # kTGT_MergedSrc L2008-0044
    "\U17024",  # kRSTUnicode 1.12
    "\U17025",  # kTGT_MergedSrc L2008-0088
    "\U17025",  # kRSTUnicode 1.12
    "\U17026",  # kTGT_MergedSrc S1968-0077
    "\U17026",  # kRSTUnicode 1.13
    "\U17027",  # kTGT_MergedSrc L2008-0097
    "\U17027",  # kRSTUnicode 1.13
    "\U17028",  # kTGT_MergedSrc L2008-0018
    "\U17028",  # kRSTUnicode 1.14
    "\U17029",  # kTGT_MergedSrc L2008-0077
    "\U17029",  # kRSTUnicode 1.14
    "\U1702A",  # kTGT_MergedSrc L2008-0085
    "\U1702A",  # kRSTUnicode 1.14
    "\U1702B",  # kTGT_MergedSrc L2008-0014
    "\U1702B",  # kRSTUnicode 1.16
    "\U1702C",  # kTGT_MergedSrc L2008-0117
    "\U1702C",  # kRSTUnicode 1.16
    "\U1702D",  # kTGT_MergedSrc L2008-0048
    "\U1702D",  # kRSTUnicode 1.17
    "\U1702E",  # kTGT_MergedSrc L2008-0091
    "\U1702E",  # kRSTUnicode 1.17
    "\U1702F",  # kTGT_MergedSrc L2008-0099
    "\U1702F",  # kRSTUnicode 1.18
    "\U17030",  # kTGT_MergedSrc L2008-1939
    "\U17030",  # kRSTUnicode 2.5
    "\U17031",  # kTGT_MergedSrc L2008-1961
    "\U17031",  # kRSTUnicode 2.5
    "\U17032",  # kTGT_MergedSrc L2008-1952
    "\U17032",  # kRSTUnicode 2.5
    "\U17033",  # kTGT_MergedSrc L2008-3483
    "\U17033",  # kRSTUnicode 2.5
    "\U17034",  # kTGT_MergedSrc L2008-2955
    "\U17034",  # kRSTUnicode 2.5
    "\U17035",  # kTGT_MergedSrc L2008-2380
    "\U17035",  # kRSTUnicode 2.6
    "\U17036",  # kTGT_MergedSrc L2008-2954
    "\U17036",  # kRSTUnicode 2.6
    "\U17037",  # kTGT_MergedSrc L2008-2561
    "\U17037",  # kRSTUnicode 2.6
    "\U17038",  # kTGT_MergedSrc L2008-3472
    "\U17038",  # kRSTUnicode 2.6
    "\U17039",  # kTGT_MergedSrc L2008-3766
    "\U17039",  # kRSTUnicode 2.6
    "\U1703A",  # kTGT_MergedSrc L2008-3484
    "\U1703A",  # kRSTUnicode 2.6
    "\U1703B",  # kTGT_MergedSrc L2008-2979
    "\U1703B",  # kRSTUnicode 2.6
    "\U1703C",  # kTGT_MergedSrc L2008-2907
    "\U1703C",  # kRSTUnicode 2.6
    "\U1703D",  # kTGT_MergedSrc L2008-2948
    "\U1703D",  # kRSTUnicode 2.6
    "\U1703E",  # kTGT_MergedSrc L2008-2991
    "\U1703E",  # kRSTUnicode 2.6
    "\U1703F",  # kTGT_MergedSrc L2008-1895
    "\U1703F",  # kRSTUnicode 2.7
    "\U17040",  # kTGT_MergedSrc L2008-2946
    "\U17040",  # kRSTUnicode 2.7
    "\U17041",  # kTGT_MergedSrc L2008-2562
    "\U17041",  # kRSTUnicode 2.7
    "\U17042",  # kTGT_MergedSrc L2008-3757
    "\U17042",  # kRSTUnicode 2.7
    "\U17043",  # kTGT_MergedSrc L2008-3486
    "\U17043",  # kRSTUnicode 2.7
    "\U17044",  # kTGT_MergedSrc L2008-3449
    "\U17044",  # kRSTUnicode 2.7
    "\U17045",  # kTGT_MergedSrc L2008-3485
    "\U17045",  # kRSTUnicode 2.7
    "\U17046",  # kTGT_MergedSrc L2008-2381
    "\U17046",  # kRSTUnicode 2.8
    "\U17047",  # kTGT_MergedSrc L2008-1984
    "\U17047",  # kRSTUnicode 2.8
    "\U17048",  # kTGT_MergedSrc L2008-1919
    "\U17048",  # kRSTUnicode 2.8
    "\U17049",  # kTGT_MergedSrc L2008-3759
    "\U17049",  # kRSTUnicode 2.8
    "\U1704A",  # kTGT_MergedSrc L2008-3487
    "\U1704A",  # kRSTUnicode 2.8
    "\U1704B",  # kTGT_MergedSrc L2008-2936
    "\U1704B",  # kRSTUnicode 2.8
    "\U1704C",  # kTGT_MergedSrc L2008-2710
    "\U1704C",  # kRSTUnicode 2.8
    "\U1704D",  # kTGT_MergedSrc L2008-1925
    "\U1704D",  # kRSTUnicode 2.8
    "\U1704E",  # kTGT_MergedSrc L2008-2959
    "\U1704E",  # kRSTUnicode 2.8
    "\U1704F",  # kTGT_MergedSrc L2008-2930
    "\U1704F",  # kRSTUnicode 2.8
    "\U17050",  # kTGT_MergedSrc L2008-1940
    "\U17050",  # kRSTUnicode 2.8
    "\U17051",  # kTGT_MergedSrc L2008-2386
    "\U17051",  # kRSTUnicode 2.9
    "\U17052",  # kTGT_MergedSrc L2008-1972
    "\U17052",  # kRSTUnicode 2.9
    "\U17053",  # kTGT_MergedSrc L2008-2553
    "\U17053",  # kRSTUnicode 2.9
    "\U17054",  # kTGT_MergedSrc L2008-1975
    "\U17054",  # kRSTUnicode 2.9
    "\U17055",  # kTGT_MergedSrc L2008-1960
    "\U17055",  # kRSTUnicode 2.9
    "\U17056",  # kTGT_MergedSrc L2008-2956
    "\U17056",  # kRSTUnicode 2.9
    "\U17057",  # kTGT_MergedSrc L2008-2919
    "\U17057",  # kRSTUnicode 2.9
    "\U17058",  # kTGT_MergedSrc L2008-2971
    "\U17058",  # kRSTUnicode 2.9
    "\U17059",  # kTGT_MergedSrc L2008-2941A
    "\U17059",  # kRSTUnicode 2.9
    "\U1705A",  # kTGT_MergedSrc L2008-2941B
    "\U1705A",  # kRSTUnicode 2.9
    "\U1705B",  # kTGT_MergedSrc L2008-3466
    "\U1705B",  # kRSTUnicode 2.9
    "\U1705C",  # kTGT_MergedSrc L2008-2713
    "\U1705C",  # kRSTUnicode 2.9
    "\U1705D",  # kTGT_MergedSrc L2008-1920
    "\U1705D",  # kRSTUnicode 2.9
    "\U1705E",  # kTGT_MergedSrc L2008-2973
    "\U1705E",  # kRSTUnicode 2.9
    "\U1705F",  # kTGT_MergedSrc L2008-2564
    "\U1705F",  # kRSTUnicode 2.9
    "\U17060",  # kTGT_MergedSrc L2008-2389
    "\U17060",  # kRSTUnicode 2.9
    "\U17061",  # kTGT_MergedSrc L2008-2923
    "\U17061",  # kRSTUnicode 2.9
    "\U17062",  # kTGT_MergedSrc L2008-2942
    "\U17062",  # kRSTUnicode 2.9
    "\U17063",  # kTGT_MergedSrc L2008-2394
    "\U17063",  # kRSTUnicode 2.9
    "\U17064",  # kTGT_MergedSrc L2008-2990
    "\U17064",  # kRSTUnicode 2.9
    "\U17065",  # kTGT_MergedSrc L2008-2985
    "\U17065",  # kRSTUnicode 2.10
    "\U17066",  # kTGT_MergedSrc L2008-3506
    "\U17066",  # kRSTUnicode 2.10
    "\U17067",  # kTGT_MergedSrc L2008-1929
    "\U17067",  # kRSTUnicode 2.10
    "\U17068",  # kTGT_MergedSrc L2008-1973
    "\U17068",  # kRSTUnicode 2.10
    "\U17069",  # kTGT_MergedSrc L2008-2988
    "\U17069",  # kRSTUnicode 2.10
    "\U1706A",  # kTGT_MergedSrc L2008-1982
    "\U1706A",  # kRSTUnicode 2.10
    "\U1706B",  # kTGT_MergedSrc L2008-2382
    "\U1706B",  # kRSTUnicode 2.10
    "\U1706C",  # kTGT_MergedSrc L2008-2559
    "\U1706C",  # kRSTUnicode 2.10
    "\U1706D",  # kTGT_MergedSrc L2008-1955
    "\U1706D",  # kRSTUnicode 2.10
    "\U1706E",  # kTGT_MergedSrc L2008-3465
    "\U1706E",  # kRSTUnicode 2.10
    "\U1706F",  # kTGT_MergedSrc L2008-1953
    "\U1706F",  # kRSTUnicode 2.10
    "\U17070",  # kTGT_MergedSrc N1966-039-096
    "\U17070",  # kRSTUnicode 2.10
    "\U17071",  # kTGT_MergedSrc L2008-2372
    "\U17071",  # kRSTUnicode 2.10
    "\U17072",  # kTGT_MergedSrc L2008-2563
    "\U17072",  # kRSTUnicode 2.10
    "\U17073",  # kTGT_MergedSrc L2008-2822
    "\U17073",  # kRSTUnicode 2.10
    "\U17074",  # kTGT_MergedSrc L2008-2980
    "\U17074",  # kRSTUnicode 2.10
    "\U17075",  # kTGT_MergedSrc L2008-2958
    "\U17075",  # kRSTUnicode 2.10
    "\U17076",  # kTGT_MergedSrc L2008-1956
    "\U17076",  # kRSTUnicode 2.10
    "\U17077",  # kTGT_MergedSrc L2008-1922
    "\U17077",  # kRSTUnicode 2.10
    "\U17078",  # kTGT_MergedSrc L2008-1921
    "\U17078",  # kRSTUnicode 2.10
    "\U17079",  # kTGT_MergedSrc L2008-2977
    "\U17079",  # kRSTUnicode 2.10
    "\U1707A",  # kTGT_MergedSrc L2008-2908
    "\U1707A",  # kRSTUnicode 2.10
    "\U1707B",  # kTGT_MergedSrc L2008-2704
    "\U1707B",  # kRSTUnicode 2.10
    "\U1707C",  # kTGT_MergedSrc L2008-1976
    "\U1707C",  # kRSTUnicode 2.11
    "\U1707D",  # kTGT_MergedSrc L2008-2832
    "\U1707D",  # kRSTUnicode 2.11
    "\U1707E",  # kTGT_MergedSrc L2008-2940
    "\U1707E",  # kRSTUnicode 2.11
    "\U1707F",  # kTGT_MergedSrc L2008-2957
    "\U1707F",  # kRSTUnicode 2.11
    "\U17080",  # kTGT_MergedSrc L2008-2839
    "\U17080",  # kRSTUnicode 2.11
    "\U17081",  # kTGT_MergedSrc L2008-1974
    "\U17081",  # kRSTUnicode 2.11
    "\U17082",  # kTGT_MergedSrc L2008-2385
    "\U17082",  # kRSTUnicode 2.11
    "\U17083",  # kTGT_MergedSrc L2008-3461
    "\U17083",  # kRSTUnicode 2.11
    "\U17084",  # kTGT_MergedSrc L2008-1923
    "\U17084",  # kRSTUnicode 2.11
    "\U17085",  # kTGT_MergedSrc L2008-2384
    "\U17085",  # kRSTUnicode 2.11
    "\U17086",  # kTGT_MergedSrc L2008-2939
    "\U17086",  # kRSTUnicode 2.11
    "\U17087",  # kTGT_MergedSrc L2008-2554
    "\U17087",  # kRSTUnicode 2.11
    "\U17088",  # kTGT_MergedSrc L2008-2920
    "\U17088",  # kRSTUnicode 2.11
    "\U17089",  # kTGT_MergedSrc L2008-2970
    "\U17089",  # kRSTUnicode 2.11
    "\U1708A",  # kTGT_MergedSrc L2008-1927
    "\U1708A",  # kRSTUnicode 2.11
    "\U1708B",  # kTGT_MergedSrc L2008-2944
    "\U1708B",  # kRSTUnicode 2.11
    "\U1708C",  # kTGT_MergedSrc L2008-2947
    "\U1708C",  # kRSTUnicode 2.11
    "\U1708D",  # kTGT_MergedSrc L2008-1893
    "\U1708D",  # kRSTUnicode 2.12
    "\U1708E",  # kTGT_MergedSrc L2008-2387
    "\U1708E",  # kRSTUnicode 2.12
    "\U1708F",  # kTGT_MergedSrc L2008-3519
    "\U1708F",  # kRSTUnicode 2.12
    "\U17090",  # kTGT_MergedSrc L2008-2831
    "\U17090",  # kRSTUnicode 2.12
    "\U17091",  # kTGT_MergedSrc L2008-3496
    "\U17091",  # kRSTUnicode 2.12
    "\U17092",  # kTGT_MergedSrc L2008-3462
    "\U17092",  # kRSTUnicode 2.12
    "\U17093",  # kTGT_MergedSrc L2008-2838
    "\U17093",  # kRSTUnicode 2.12
    "\U17094",  # kTGT_MergedSrc L2008-2572
    "\U17094",  # kRSTUnicode 2.12
    "\U17095",  # kTGT_MergedSrc L2008-3518
    "\U17095",  # kRSTUnicode 2.12
    "\U17096",  # kTGT_MergedSrc L2008-2383
    "\U17096",  # kRSTUnicode 2.12
    "\U17097",  # kTGT_MergedSrc L2008-1970
    "\U17097",  # kRSTUnicode 2.12
    "\U17098",  # kTGT_MergedSrc L2008-3509
    "\U17098",  # kRSTUnicode 2.12
    "\U17099",  # kTGT_MergedSrc L2008-2365
    "\U17099",  # kRSTUnicode 2.12
    "\U1709A",  # kTGT_MergedSrc L2008-1905
    "\U1709A",  # kRSTUnicode 2.12
    "\U1709B",  # kTGT_MergedSrc L2008-2828
    "\U1709B",  # kRSTUnicode 2.12
    "\U1709C",  # kTGT_MergedSrc L2008-1900
    "\U1709C",  # kRSTUnicode 2.12
    "\U1709D",  # kTGT_MergedSrc L2008-2711
    "\U1709D",  # kRSTUnicode 2.12
    "\U1709E",  # kTGT_MergedSrc L2008-1966
    "\U1709E",  # kRSTUnicode 2.12
    "\U1709F",  # kTGT_MergedSrc L2008-1954
    "\U1709F",  # kRSTUnicode 2.12
    "\U170A0",  # kTGT_MergedSrc L2008-2567
    "\U170A0",  # kRSTUnicode 2.12
    "\U170A1",  # kTGT_MergedSrc L2008-2555
    "\U170A1",  # kRSTUnicode 2.12
    "\U170A2",  # kTGT_MergedSrc L2008-2566
    "\U170A2",  # kRSTUnicode 2.12
    "\U170A3",  # kTGT_MergedSrc L2008-2712
    "\U170A3",  # kRSTUnicode 2.12
    "\U170A4",  # kTGT_MergedSrc L2008-1971
    "\U170A4",  # kRSTUnicode 2.12
    "\U170A5",  # kTGT_MergedSrc L2008-1926
    "\U170A5",  # kRSTUnicode 2.12
    "\U170A6",  # kTGT_MergedSrc L2008-3764
    "\U170A6",  # kRSTUnicode 2.12
    "\U170A7",  # kTGT_MergedSrc L2008-2937
    "\U170A7",  # kRSTUnicode 2.12
    "\U170A8",  # kTGT_MergedSrc L2008-2943
    "\U170A8",  # kRSTUnicode 2.13
    "\U170A9",  # kTGT_MergedSrc L2008-2714
    "\U170A9",  # kRSTUnicode 2.13
    "\U170AA",  # kTGT_MergedSrc L2008-2969
    "\U170AA",  # kRSTUnicode 2.13
    "\U170AB",  # kTGT_MergedSrc L2008-2986
    "\U170AB",  # kRSTUnicode 2.13
    "\U170AC",  # kTGT_MergedSrc L2008-2904
    "\U170AC",  # kRSTUnicode 2.13
    "\U170AD",  # kTGT_MergedSrc L2008-1897
    "\U170AD",  # kRSTUnicode 2.13
    "\U170AE",  # kTGT_MergedSrc L2008-1898
    "\U170AE",  # kRSTUnicode 2.13
    "\U170AF",  # kTGT_MergedSrc L2008-3473
    "\U170AF",  # kRSTUnicode 2.13
    "\U170B0",  # kTGT_MergedSrc L2008-2945
    "\U170B0",  # kRSTUnicode 2.13
    "\U170B1",  # kTGT_MergedSrc L2008-3467
    "\U170B1",  # kRSTUnicode 2.13
    "\U170B2",  # kTGT_MergedSrc L2008-2556
    "\U170B2",  # kRSTUnicode 2.13
    "\U170B3",  # kTGT_MergedSrc L2008-3471
    "\U170B3",  # kRSTUnicode 2.13
    "\U170B4",  # kTGT_MergedSrc L2008-3482
    "\U170B4",  # kRSTUnicode 2.13
    "\U170B5",  # kTGT_MergedSrc L2008-1924
    "\U170B5",  # kRSTUnicode 2.13
    "\U170B6",  # kTGT_MergedSrc L2008-2568
    "\U170B6",  # kRSTUnicode 2.13
    "\U170B7",  # kTGT_MergedSrc L2008-3758
    "\U170B7",  # kRSTUnicode 2.13
    "\U170B8",  # kTGT_MergedSrc L2008-3508
    "\U170B8",  # kRSTUnicode 2.13
    "\U170B9",  # kTGT_MergedSrc L2008-2987
    "\U170B9",  # kRSTUnicode 2.13
    "\U170BA",  # kTGT_MergedSrc L2008-2922
    "\U170BA",  # kRSTUnicode 2.13
    "\U170BB",  # kTGT_MergedSrc L2008-1983
    "\U170BB",  # kRSTUnicode 2.14
    "\U170BC",  # kTGT_MergedSrc L2008-2550
    "\U170BC",  # kRSTUnicode 2.14
    "\U170BD",  # kTGT_MergedSrc L2008-3452
    "\U170BD",  # kRSTUnicode 2.14
    "\U170BE",  # kTGT_MergedSrc L2008-2918
    "\U170BE",  # kRSTUnicode 2.14
    "\U170BF",  # kTGT_MergedSrc L2008-1930
    "\U170BF",  # kRSTUnicode 2.14
    "\U170C0",  # kTGT_MergedSrc L2008-1933
    "\U170C0",  # kRSTUnicode 2.14
    "\U170C1",  # kTGT_MergedSrc L2008-3515
    "\U170C1",  # kRSTUnicode 2.14
    "\U170C2",  # kTGT_MergedSrc L2008-2818
    "\U170C2",  # kRSTUnicode 2.15
    "\U170C3",  # kTGT_MergedSrc L2008-1928
    "\U170C3",  # kRSTUnicode 2.15
    "\U170C4",  # kTGT_MergedSrc L2008-2989
    "\U170C4",  # kRSTUnicode 2.15
    "\U170C5",  # kTGT_MergedSrc L2008-3468
    "\U170C5",  # kRSTUnicode 2.16
    "\U170C6",  # kTGT_MergedSrc L2008-1894
    "\U170C6",  # kRSTUnicode 2.16
    "\U170C7",  # kTGT_MergedSrc L2008-2551
    "\U170C7",  # kRSTUnicode 2.16
    "\U170C8",  # kTGT_MergedSrc L2008-3460
    "\U170C8",  # kRSTUnicode 2.16
    "\U170C9",  # kTGT_MergedSrc L2008-3451
    "\U170C9",  # kRSTUnicode 2.16
    "\U170CA",  # kTGT_MergedSrc L2008-3507
    "\U170CA",  # kRSTUnicode 2.16
    "\U170CB",  # kTGT_MergedSrc L2008-2921
    "\U170CB",  # kRSTUnicode 2.16
    "\U170CC",  # kTGT_MergedSrc L2008-2953
    "\U170CC",  # kRSTUnicode 2.16
    "\U170CD",  # kTGT_MergedSrc L2008-2972
    "\U170CD",  # kRSTUnicode 2.16
    "\U170CE",  # kTGT_MergedSrc L2008-3510
    "\U170CE",  # kRSTUnicode 2.17
    "\U170CF",  # kTGT_MergedSrc L2008-3511
    "\U170CF",  # kRSTUnicode 2.21
    "\U170D0",  # kTGT_MergedSrc L2008-1885
    "\U170D0",  # kRSTUnicode 3.5
    "\U170D1",  # kTGT_MergedSrc L2008-1627
    "\U170D1",  # kRSTUnicode 4.7
    "\U170D2",  # kTGT_MergedSrc L2008-0181
    "\U170D2",  # kRSTUnicode 4.8
    "\U170D3",  # kTGT_MergedSrc L2008-1584
    "\U170D3",  # kRSTUnicode 4.10
    "\U170D4",  # kTGT_MergedSrc L2008-0853
    "\U170D4",  # kRSTUnicode 4.12
    "\U170D5",  # kTGT_MergedSrc L2008-3402
    "\U170D5",  # kRSTUnicode 9.5
    "\U170D6",  # kTGT_MergedSrc L2008-3409
    "\U170D6",  # kRSTUnicode 9.6
    "\U170D7",  # kTGT_MergedSrc L2008-2327
    "\U170D7",  # kRSTUnicode 9.6
    "\U170D8",  # kTGT_MergedSrc L2008-3736
    "\U170D8",  # kRSTUnicode 9.6
    "\U170D9",  # kTGT_MergedSrc L2008-3414
    "\U170D9",  # kRSTUnicode 9.7
    "\U170DA",  # kTGT_MergedSrc L2008-3729
    "\U170DA",  # kRSTUnicode 9.7
    "\U170DB",  # kTGT_MergedSrc L2008-3554
    "\U170DB",  # kRSTUnicode 9.7
    "\U170DC",  # kTGT_MergedSrc L2008-3410
    "\U170DC",  # kRSTUnicode 9.7
    "\U170DD",  # kTGT_MergedSrc L2008-2334
    "\U170DD",  # kRSTUnicode 9.8
    "\U170DE",  # kTGT_MergedSrc L2008-3732
    "\U170DE",  # kRSTUnicode 9.8
    "\U170DF",  # kTGT_MergedSrc L2008-3730
    "\U170DF",  # kRSTUnicode 9.8
    "\U170E0",  # kTGT_MergedSrc L2008-2527
    "\U170E0",  # kRSTUnicode 9.9
    "\U170E1",  # kTGT_MergedSrc L2008-2529
    "\U170E1",  # kRSTUnicode 9.9
    "\U170E2",  # kTGT_MergedSrc L2008-3404
    "\U170E2",  # kRSTUnicode 9.9
    "\U170E3",  # kTGT_MergedSrc L2008-2537
    "\U170E3",  # kRSTUnicode 9.9
    "\U170E4",  # kTGT_MergedSrc L2008-3416
    "\U170E4",  # kRSTUnicode 9.9
    "\U170E5",  # kTGT_MergedSrc L2008-3739
    "\U170E5",  # kRSTUnicode 9.9
    "\U170E6",  # kTGT_MergedSrc L2008-3422
    "\U170E6",  # kRSTUnicode 9.9
    "\U170E7",  # kTGT_MergedSrc L2008-2309
    "\U170E7",  # kRSTUnicode 9.10
    "\U170E8",  # kTGT_MergedSrc L2008-2538
    "\U170E8",  # kRSTUnicode 9.10
    "\U170E9",  # kTGT_MergedSrc L2008-2319
    "\U170E9",  # kRSTUnicode 9.10
    "\U170EA",  # kTGT_MergedSrc L2008-2693
    "\U170EA",  # kRSTUnicode 9.10
    "\U170EB",  # kTGT_MergedSrc L2008-2313
    "\U170EB",  # kRSTUnicode 9.10
    "\U170EC",  # kTGT_MergedSrc L2008-3424
    "\U170EC",  # kRSTUnicode 9.10
    "\U170ED",  # kTGT_MergedSrc L2008-2314
    "\U170ED",  # kRSTUnicode 9.10
    "\U170EE",  # kTGT_MergedSrc L2008-3407
    "\U170EE",  # kRSTUnicode 9.10
    "\U170EF",  # kTGT_MergedSrc L2008-2898
    "\U170EF",  # kRSTUnicode 9.10
    "\U170F0",  # kTGT_MergedSrc L2008-3397
    "\U170F0",  # kRSTUnicode 9.10
    "\U170F1",  # kTGT_MergedSrc L2008-2310
    "\U170F1",  # kRSTUnicode 9.11
    "\U170F2",  # kTGT_MergedSrc L2008-2311
    "\U170F2",  # kRSTUnicode 9.11
    "\U170F3",  # kTGT_MergedSrc L2008-3428
    "\U170F3",  # kRSTUnicode 9.11
    "\U170F4",  # kTGT_MergedSrc L2008-3731
    "\U170F4",  # kRSTUnicode 9.11
    "\U170F5",  # kTGT_MergedSrc L2008-3406
    "\U170F5",  # kRSTUnicode 9.12
    "\U170F6",  # kTGT_MergedSrc L2008-2332
    "\U170F6",  # kRSTUnicode 9.12
    "\U170F7",  # kTGT_MergedSrc L2008-2534
    "\U170F7",  # kRSTUnicode 9.12
    "\U170F8",  # kTGT_MergedSrc L2008-3413
    "\U170F8",  # kRSTUnicode 9.12
    "\U170F9",  # kTGT_MergedSrc L2008-2695
    "\U170F9",  # kRSTUnicode 9.13
    "\U170FA",  # kTGT_MergedSrc L2008-2691
    "\U170FA",  # kRSTUnicode 9.13
    "\U170FB",  # kTGT_MergedSrc L2008-3734
    "\U170FB",  # kRSTUnicode 9.13
    "\U170FC",  # kTGT_MergedSrc L2008-2535
    "\U170FC",  # kRSTUnicode 9.14
    "\U170FD",  # kTGT_MergedSrc L2008-3811
    "\U170FD",  # kRSTUnicode 9.14
    "\U170FE",  # kTGT_MergedSrc L2008-3733
    "\U170FE",  # kRSTUnicode 9.14
    "\U170FF",  # kTGT_MergedSrc L2008-0032
    "\U170FF",  # kRSTUnicode 11.6
    "\U17100",  # kTGT_MergedSrc L2008-0061
    "\U17100",  # kRSTUnicode 11.7
    "\U17101",  # kTGT_MergedSrc L2008-0076
    "\U17101",  # kRSTUnicode 11.8
    "\U17102",  # kTGT_MergedSrc L2008-6000
    "\U17102",  # kRSTUnicode 11.9
    "\U17103",  # kTGT_MergedSrc L2008-6002
    "\U17103",  # kRSTUnicode 11.9
    "\U17104",  # kTGT_MergedSrc L2008-0064
    "\U17104",  # kRSTUnicode 11.10
    "\U17105",  # kTGT_MergedSrc L2008-6004
    "\U17105",  # kRSTUnicode 11.10
    "\U17106",  # kTGT_MergedSrc L2008-6003
    "\U17106",  # kRSTUnicode 11.10
    "\U17107",  # kTGT_MergedSrc L2006-6027
    "\U17107",  # kRSTUnicode 11.10
    "\U17108",  # kTGT_MergedSrc L2008-0009
    "\U17108",  # kRSTUnicode 11.11
    "\U17109",  # kTGT_MergedSrc L2008-0049
    "\U17109",  # kRSTUnicode 11.11
    "\U1710A",  # kTGT_MergedSrc L2008-0010
    "\U1710A",  # kRSTUnicode 11.11
    "\U1710B",  # kTGT_MergedSrc L2008-0052
    "\U1710B",  # kRSTUnicode 11.11
    "\U1710C",  # kTGT_MergedSrc L2008-5995
    "\U1710C",  # kRSTUnicode 11.11
    "\U1710D",  # kTGT_MergedSrc L2008-6001
    "\U1710D",  # kRSTUnicode 11.11
    "\U1710E",  # kTGT_MergedSrc L2008-0142
    "\U1710E",  # kRSTUnicode 11.11
    "\U1710F",  # kTGT_MergedSrc L2008-5997
    "\U1710F",  # kRSTUnicode 11.12
    "\U17110",  # kTGT_MergedSrc L2008-0081
    "\U17110",  # kRSTUnicode 11.12
    "\U17111",  # kTGT_MergedSrc L2008-0027
    "\U17111",  # kRSTUnicode 11.13
    "\U17112",  # kTGT_MergedSrc L2008-0094
    "\U17112",  # kRSTUnicode 11.13
    "\U17113",  # kTGT_MergedSrc L2008-0108
    "\U17113",  # kRSTUnicode 11.13
    "\U17114",  # kTGT_MergedSrc L2008-0086
    "\U17114",  # kRSTUnicode 11.13
    "\U17115",  # kTGT_MergedSrc L2008-0132
    "\U17115",  # kRSTUnicode 11.13
    "\U17116",  # kTGT_MergedSrc L2008-0123
    "\U17116",  # kRSTUnicode 11.14
    "\U17117",  # kTGT_MergedSrc L2008-6005
    "\U17117",  # kRSTUnicode 11.14
    "\U17118",  # kTGT_MergedSrc L2008-5996
    "\U17118",  # kRSTUnicode 11.14
    "\U17119",  # kTGT_MergedSrc L2008-5998
    "\U17119",  # kRSTUnicode 11.15
    "\U1711A",  # kTGT_MergedSrc L2008-6006
    "\U1711A",  # kRSTUnicode 11.16
    "\U1711B",  # kTGT_MergedSrc L2008-0019
    "\U1711B",  # kRSTUnicode 11.16
    "\U1711C",  # kTGT_MergedSrc L2008-0079
    "\U1711C",  # kRSTUnicode 11.17
    "\U1711D",  # kTGT_MergedSrc L2008-4505
    "\U1711D",  # kRSTUnicode 12.7
    "\U1711E",  # kTGT_MergedSrc L2008-4539
    "\U1711E",  # kRSTUnicode 12.7
    "\U1711F",  # kTGT_MergedSrc L2008-4528
    "\U1711F",  # kRSTUnicode 12.7
    "\U17120",  # kTGT_MergedSrc L2008-4524
    "\U17120",  # kRSTUnicode 12.8
    "\U17121",  # kTGT_MergedSrc L2008-4529
    "\U17121",  # kRSTUnicode 12.8
    "\U17122",  # kTGT_MergedSrc L2008-4544
    "\U17122",  # kRSTUnicode 12.9
    "\U17123",  # kTGT_MergedSrc L2008-4538
    "\U17123",  # kRSTUnicode 12.11
    "\U17124",  # kTGT_MergedSrc L2008-4536
    "\U17124",  # kRSTUnicode 12.12
    "\U17125",  # kTGT_MergedSrc L2008-4550
    "\U17125",  # kRSTUnicode 12.12
    "\U17126",  # kTGT_MergedSrc L2008-4527
    "\U17126",  # kRSTUnicode 12.14
    "\U17127",  # kTGT_MergedSrc L2008-4549
    "\U17127",  # kRSTUnicode 12.14
    "\U17128",  # kTGT_MergedSrc L2008-4506
    "\U17128",  # kRSTUnicode 12.16
    "\U17129",  # kTGT_MergedSrc L2008-1948
    "\U17129",  # kRSTUnicode 17.6
    "\U1712A",  # kTGT_MergedSrc L2008-2361
    "\U1712A",  # kRSTUnicode 17.6
    "\U1712B",  # kTGT_MergedSrc L2008-2927
    "\U1712B",  # kRSTUnicode 17.6
    "\U1712C",  # kTGT_MergedSrc L2008-1965
    "\U1712C",  # kRSTUnicode 17.7
    "\U1712D",  # kTGT_MergedSrc L2008-1941
    "\U1712D",  # kRSTUnicode 17.7
    "\U1712E",  # kTGT_MergedSrc L2008-1985
    "\U1712E",  # kRSTUnicode 17.7
    "\U1712F",  # kTGT_MergedSrc L2008-2701
    "\U1712F",  # kRSTUnicode 17.7
    "\U17130",  # kTGT_MergedSrc L2008-2981
    "\U17130",  # kRSTUnicode 17.7
    "\U17131",  # kTGT_MergedSrc L2008-2354
    "\U17131",  # kRSTUnicode 17.7
    "\U17132",  # kTGT_MergedSrc H2004-B-0284
    "\U17132",  # kRSTUnicode 17.7
    "\U17133",  # kTGT_MergedSrc L2008-3762
    "\U17133",  # kRSTUnicode 17.7
    "\U17134",  # kTGT_MergedSrc L2008-3488-3489
    "\U17134",  # kRSTUnicode 17.7
    "\U17135",  # kTGT_MergedSrc L2008-3477
    "\U17135",  # kRSTUnicode 17.7
    "\U17136",  # kTGT_MergedSrc L2008-3474
    "\U17136",  # kRSTUnicode 17.7
    "\U17137",  # kTGT_MergedSrc L2008-2823
    "\U17137",  # kRSTUnicode 17.7
    "\U17138",  # kTGT_MergedSrc L2008-1942
    "\U17138",  # kRSTUnicode 17.8
    "\U17139",  # kTGT_MergedSrc L2008-1947
    "\U17139",  # kRSTUnicode 17.8
    "\U1713A",  # kTGT_MergedSrc L2008-2362
    "\U1713A",  # kRSTUnicode 17.8
    "\U1713B",  # kTGT_MergedSrc L2008-2699
    "\U1713B",  # kRSTUnicode 17.8
    "\U1713C",  # kTGT_MergedSrc L2008-3456
    "\U1713C",  # kRSTUnicode 17.8
    "\U1713D",  # kTGT_MergedSrc L2008-3763
    "\U1713D",  # kRSTUnicode 17.8
    "\U1713E",  # kTGT_MergedSrc L2008-2931
    "\U1713E",  # kRSTUnicode 17.8
    "\U1713F",  # kTGT_MergedSrc L2008-3497
    "\U1713F",  # kRSTUnicode 17.8
    "\U17140",  # kTGT_MergedSrc L2008-3491
    "\U17140",  # kRSTUnicode 17.8
    "\U17141",  # kTGT_MergedSrc L2008-2983
    "\U17141",  # kRSTUnicode 17.8
    "\U17142",  # kTGT_MergedSrc L2008-2708
    "\U17142",  # kRSTUnicode 17.8
    "\U17143",  # kTGT_MergedSrc L2008-2709
    "\U17143",  # kRSTUnicode 17.8
    "\U17144",  # kTGT_MergedSrc L2008-2700
    "\U17144",  # kRSTUnicode 17.8
    "\U17145",  # kTGT_MergedSrc L2008-2938
    "\U17145",  # kRSTUnicode 17.8
    "\U17146",  # kTGT_MergedSrc L2008-2833
    "\U17146",  # kRSTUnicode 17.9
    "\U17147",  # kTGT_MergedSrc L2008-1962
    "\U17147",  # kRSTUnicode 17.9
    "\U17148",  # kTGT_MergedSrc L2008-0016
    "\U17148",  # kRSTUnicode 17.9
    "\U17149",  # kTGT_MergedSrc L2008-1906
    "\U17149",  # kRSTUnicode 17.9
    "\U1714A",  # kTGT_MergedSrc L2008-1963
    "\U1714A",  # kRSTUnicode 17.9
    "\U1714B",  # kTGT_MergedSrc L2008-1918
    "\U1714B",  # kRSTUnicode 17.9
    "\U1714C",  # kTGT_MergedSrc L2008-3498
    "\U1714C",  # kRSTUnicode 17.9
    "\U1714D",  # kTGT_MergedSrc L2008-2702
    "\U1714D",  # kRSTUnicode 17.9
    "\U1714E",  # kTGT_MergedSrc L2008-3490
    "\U1714E",  # kRSTUnicode 17.9
    "\U1714F",  # kTGT_MergedSrc L2008-2913
    "\U1714F",  # kRSTUnicode 17.9
    "\U17150",  # kTGT_MergedSrc L2008-2909
    "\U17150",  # kRSTUnicode 17.9
    "\U17151",  # kTGT_MergedSrc L2008-2911
    "\U17151",  # kRSTUnicode 17.9
    "\U17152",  # kTGT_MergedSrc L2008-2982
    "\U17152",  # kRSTUnicode 17.9
    "\U17153",  # kTGT_MergedSrc L2008-2917
    "\U17153",  # kRSTUnicode 17.10
    "\U17154",  # kTGT_MergedSrc L2008-1943
    "\U17154",  # kRSTUnicode 17.10
    "\U17155",  # kTGT_MergedSrc L2008-1949
    "\U17155",  # kRSTUnicode 17.10
    "\U17156",  # kTGT_MergedSrc L2008-1944
    "\U17156",  # kRSTUnicode 17.10
    "\U17157",  # kTGT_MergedSrc L2008-2960
    "\U17157",  # kRSTUnicode 17.10
    "\U17158",  # kTGT_MergedSrc L2008-1914
    "\U17158",  # kRSTUnicode 17.10
    "\U17159",  # kTGT_MergedSrc L2008-2363
    "\U17159",  # kRSTUnicode 17.10
    "\U1715A",  # kTGT_MergedSrc L2008-1950
    "\U1715A",  # kRSTUnicode 17.10
    "\U1715B",  # kTGT_MergedSrc L2008-2826
    "\U1715B",  # kRSTUnicode 17.10
    "\U1715C",  # kTGT_MergedSrc L2008-2353
    "\U1715C",  # kRSTUnicode 17.10
    "\U1715D",  # kTGT_MergedSrc L2008-2914
    "\U1715D",  # kRSTUnicode 17.10
    "\U1715E",  # kTGT_MergedSrc L2008-1964
    "\U1715E",  # kRSTUnicode 17.10
    "\U1715F",  # kTGT_MergedSrc L2008-3767
    "\U1715F",  # kRSTUnicode 17.10
    "\U17160",  # kTGT_MergedSrc L2008-1909
    "\U17160",  # kRSTUnicode 17.10
    "\U17161",  # kTGT_MergedSrc L2008-1981-3517
    "\U17161",  # kRSTUnicode 17.10
    "\U17162",  # kTGT_MergedSrc L2008-2364
    "\U17162",  # kRSTUnicode 17.10
    "\U17163",  # kTGT_MergedSrc L2008-3493
    "\U17163",  # kRSTUnicode 17.10
    "\U17164",  # kTGT_MergedSrc L2008-3475
    "\U17164",  # kRSTUnicode 17.10
    "\U17165",  # kTGT_MergedSrc L2008-1899
    "\U17165",  # kRSTUnicode 17.10
    "\U17166",  # kTGT_MergedSrc L2008-2707
    "\U17166",  # kRSTUnicode 17.10
    "\U17167",  # kTGT_MergedSrc L2008-1907
    "\U17167",  # kRSTUnicode 17.10
    "\U17168",  # kTGT_MergedSrc L2008-2376
    "\U17168",  # kRSTUnicode 17.10
    "\U17169",  # kTGT_MergedSrc L2008-2952
    "\U17169",  # kRSTUnicode 17.10
    "\U1716A",  # kTGT_MergedSrc L2008-2929
    "\U1716A",  # kRSTUnicode 17.10
    "\U1716B",  # kTGT_MergedSrc L2008-2369
    "\U1716B",  # kRSTUnicode 17.10
    "\U1716C",  # kTGT_MergedSrc L2008-1969
    "\U1716C",  # kRSTUnicode 17.11
    "\U1716D",  # kTGT_MergedSrc L2008-3505
    "\U1716D",  # kRSTUnicode 17.11
    "\U1716E",  # kTGT_MergedSrc L2008-2830
    "\U1716E",  # kRSTUnicode 17.11
    "\U1716F",  # kTGT_MergedSrc L2008-2377
    "\U1716F",  # kRSTUnicode 17.11
    "\U17170",  # kTGT_MergedSrc L2008-3463
    "\U17170",  # kRSTUnicode 17.11
    "\U17171",  # kTGT_MergedSrc L2008-1904
    "\U17171",  # kRSTUnicode 17.11
    "\U17172",  # kTGT_MergedSrc L2008-1910
    "\U17172",  # kRSTUnicode 17.11
    "\U17173",  # kTGT_MergedSrc L2008-2933
    "\U17173",  # kRSTUnicode 17.11
    "\U17174",  # kTGT_MergedSrc L2008-2932
    "\U17174",  # kRSTUnicode 17.11
    "\U17175",  # kTGT_MergedSrc L2008-2370
    "\U17175",  # kRSTUnicode 17.11
    "\U17176",  # kTGT_MergedSrc L2008-2565
    "\U17176",  # kRSTUnicode 17.11
    "\U17177",  # kTGT_MergedSrc L2008-2962
    "\U17177",  # kRSTUnicode 17.11
    "\U17178",  # kTGT_MergedSrc L2008-1967
    "\U17178",  # kRSTUnicode 17.11
    "\U17179",  # kTGT_MergedSrc L2008-2375
    "\U17179",  # kRSTUnicode 17.11
    "\U1717A",  # kTGT_MergedSrc L2008-2367
    "\U1717A",  # kRSTUnicode 17.11
    "\U1717B",  # kTGT_MergedSrc L2008-2910
    "\U1717B",  # kRSTUnicode 17.11
    "\U1717C",  # kTGT_MergedSrc L2008-3492
    "\U1717C",  # kRSTUnicode 17.11
    "\U1717D",  # kTGT_MergedSrc L2008-2817
    "\U1717D",  # kRSTUnicode 17.11
    "\U1717E",  # kTGT_MergedSrc L2008-2915
    "\U1717E",  # kRSTUnicode 17.11
    "\U1717F",  # kTGT_MergedSrc L2008-3494
    "\U1717F",  # kRSTUnicode 17.11
    "\U17180",  # kTGT_MergedSrc L2008-1915
    "\U17180",  # kRSTUnicode 17.11
    "\U17181",  # kTGT_MergedSrc L2008-2355
    "\U17181",  # kRSTUnicode 17.11
    "\U17182",  # kTGT_MergedSrc L2008-2827
    "\U17182",  # kRSTUnicode 17.11
    "\U17183",  # kTGT_MergedSrc L2008-2374
    "\U17183",  # kRSTUnicode 17.11
    "\U17184",  # kTGT_MergedSrc L2008-2984
    "\U17184",  # kRSTUnicode 17.11
    "\U17185",  # kTGT_MergedSrc L2008-1911
    "\U17185",  # kRSTUnicode 17.12
    "\U17186",  # kTGT_MergedSrc L2008-2903
    "\U17186",  # kRSTUnicode 17.12
    "\U17187",  # kTGT_MergedSrc L2008-2825
    "\U17187",  # kRSTUnicode 17.12
    "\U17188",  # kTGT_MergedSrc L2008-2357
    "\U17188",  # kRSTUnicode 17.12
    "\U17189",  # kTGT_MergedSrc L2008-3459
    "\U17189",  # kRSTUnicode 17.12
    "\U1718A",  # kTGT_MergedSrc L2008-3458
    "\U1718A",  # kRSTUnicode 17.12
    "\U1718B",  # kTGT_MergedSrc L2008-2902
    "\U1718B",  # kRSTUnicode 17.12
    "\U1718C",  # kTGT_MergedSrc L2008-2837
    "\U1718C",  # kRSTUnicode 17.12
    "\U1718D",  # kTGT_MergedSrc L2008-2368
    "\U1718D",  # kRSTUnicode 17.12
    "\U1718E",  # kTGT_MergedSrc L2008-3454
    "\U1718E",  # kRSTUnicode 17.12
    "\U1718F",  # kTGT_MergedSrc L2008-3768
    "\U1718F",  # kRSTUnicode 17.12
    "\U17190",  # kTGT_MergedSrc L2008-2373
    "\U17190",  # kRSTUnicode 17.12
    "\U17191",  # kTGT_MergedSrc L2008-2964
    "\U17191",  # kRSTUnicode 17.12
    "\U17192",  # kTGT_MergedSrc L2008-1901
    "\U17192",  # kRSTUnicode 17.12
    "\U17193",  # kTGT_MergedSrc L2008-1908
    "\U17193",  # kRSTUnicode 17.12
    "\U17194",  # kTGT_MergedSrc L2008-2819
    "\U17194",  # kRSTUnicode 17.12
    "\U17195",  # kTGT_MergedSrc L2008-2378
    "\U17195",  # kRSTUnicode 17.12
    "\U17196",  # kTGT_MergedSrc L2008-3760
    "\U17196",  # kRSTUnicode 17.12
    "\U17197",  # kTGT_MergedSrc L2008-2966
    "\U17197",  # kRSTUnicode 17.12
    "\U17198",  # kTGT_MergedSrc L2008-1916
    "\U17198",  # kRSTUnicode 17.12
    "\U17199",  # kTGT_MergedSrc L2008-2706
    "\U17199",  # kRSTUnicode 17.12
    "\U1719A",  # kTGT_MergedSrc L2008-1968
    "\U1719A",  # kRSTUnicode 17.13
    "\U1719B",  # kTGT_MergedSrc L2008-1951
    "\U1719B",  # kRSTUnicode 17.13
    "\U1719C",  # kTGT_MergedSrc L2008-3761
    "\U1719C",  # kRSTUnicode 17.13
    "\U1719D",  # kTGT_MergedSrc L2008-2934
    "\U1719D",  # kRSTUnicode 17.13
    "\U1719E",  # kTGT_MergedSrc L2008-1945
    "\U1719E",  # kRSTUnicode 17.13
    "\U1719F",  # kTGT_MergedSrc L2008-1903
    "\U1719F",  # kRSTUnicode 17.13
    "\U171A0",  # kTGT_MergedSrc L2008-2366
    "\U171A0",  # kRSTUnicode 17.13
    "\U171A1",  # kTGT_MergedSrc L2008-2379
    "\U171A1",  # kRSTUnicode 17.13
    "\U171A2",  # kTGT_MergedSrc L2008-3478
    "\U171A2",  # kRSTUnicode 17.13
    "\U171A3",  # kTGT_MergedSrc L2008-2558
    "\U171A3",  # kRSTUnicode 17.13
    "\U171A4",  # kTGT_MergedSrc L2008-1913
    "\U171A4",  # kRSTUnicode 17.13
    "\U171A5",  # kTGT_MergedSrc L2008-1917
    "\U171A5",  # kRSTUnicode 17.13
    "\U171A6",  # kTGT_MergedSrc L2008-2395
    "\U171A6",  # kRSTUnicode 17.13
    "\U171A7",  # kTGT_MergedSrc L2008-3457
    "\U171A7",  # kRSTUnicode 17.13
    "\U171A8",  # kTGT_MergedSrc L2008-2968
    "\U171A8",  # kRSTUnicode 17.13
    "\U171A9",  # kTGT_MergedSrc L2008-2703
    "\U171A9",  # kRSTUnicode 17.13
    "\U171AA",  # kTGT_MergedSrc L2008-3769
    "\U171AA",  # kRSTUnicode 17.13
    "\U171AB",  # kTGT_MergedSrc L2008-1946
    "\U171AB",  # kRSTUnicode 17.13
    "\U171AC",  # kTGT_MergedSrc L2008-1902
    "\U171AC",  # kRSTUnicode 17.14
    "\U171AD",  # kTGT_MergedSrc L2008-2356
    "\U171AD",  # kRSTUnicode 17.14
    "\U171AE",  # kTGT_MergedSrc L2008-2912
    "\U171AE",  # kRSTUnicode 17.14
    "\U171AF",  # kTGT_MergedSrc L2008-3479
    "\U171AF",  # kRSTUnicode 17.14
    "\U171B0",  # kTGT_MergedSrc L2008-3502
    "\U171B0",  # kRSTUnicode 17.14
    "\U171B1",  # kTGT_MergedSrc L2008-3503
    "\U171B1",  # kRSTUnicode 17.14
    "\U171B2",  # kTGT_MergedSrc L2008-1912
    "\U171B2",  # kRSTUnicode 17.14
    "\U171B3",  # kTGT_MergedSrc L2008-1896
    "\U171B3",  # kRSTUnicode 17.14
    "\U171B4",  # kTGT_MergedSrc L2008-3476
    "\U171B4",  # kRSTUnicode 17.14
    "\U171B5",  # kTGT_MergedSrc L2008-3464
    "\U171B5",  # kRSTUnicode 17.14
    "\U171B6",  # kTGT_MergedSrc L2008-3480
    "\U171B6",  # kRSTUnicode 17.14
    "\U171B7",  # kTGT_MergedSrc L2008-2935
    "\U171B7",  # kRSTUnicode 17.14
    "\U171B8",  # kTGT_MergedSrc L2008-2371
    "\U171B8",  # kRSTUnicode 17.15
    "\U171B9",  # kTGT_MergedSrc L2008-3500
    "\U171B9",  # kRSTUnicode 17.15
    "\U171BA",  # kTGT_MergedSrc L2008-2965
    "\U171BA",  # kRSTUnicode 17.15
    "\U171BB",  # kTGT_MergedSrc L2008-3455
    "\U171BB",  # kRSTUnicode 17.15
    "\U171BC",  # kTGT_MergedSrc L2008-3501
    "\U171BC",  # kRSTUnicode 17.15
    "\U171BD",  # kTGT_MergedSrc L2008-2552
    "\U171BD",  # kRSTUnicode 17.16
    "\U171BE",  # kTGT_MergedSrc L2008-2557
    "\U171BE",  # kRSTUnicode 17.16
    "\U171BF",  # kTGT_MergedSrc L2008-2916
    "\U171BF",  # kRSTUnicode 17.16
    "\U171C0",  # kTGT_MergedSrc L2008-2719
    "\U171C0",  # kRSTUnicode 17.16
    "\U171C1",  # kTGT_MergedSrc L2008-3504
    "\U171C1",  # kRSTUnicode 17.18
    "\U171C2",  # kTGT_MergedSrc L2008-2967
    "\U171C2",  # kRSTUnicode 17.18
    "\U171C3",  # kTGT_MergedSrc L2008-4648
    "\U171C3",  # kRSTUnicode 19.8
    "\U171C4",  # kTGT_MergedSrc L2008-4559
    "\U171C4",  # kRSTUnicode 19.8
    "\U171C5",  # kTGT_MergedSrc L2008-4560
    "\U171C5",  # kRSTUnicode 21.6
    "\U171C6",  # kTGT_MergedSrc L2008-2017
    "\U171C6",  # kRSTUnicode 22.8
    "\U171C7",  # kTGT_MergedSrc L2008-3538
    "\U171C7",  # kRSTUnicode 22.8
    "\U171C8",  # kTGT_MergedSrc L2008-2730
    "\U171C8",  # kRSTUnicode 22.9
    "\U171C9",  # kTGT_MergedSrc L2008-2431
    "\U171C9",  # kRSTUnicode 22.13
    "\U171CA",  # kTGT_MergedSrc L2008-3836
    "\U171CA",  # kRSTUnicode 26.7
    "\U171CB",  # kTGT_MergedSrc L2008-3818
    "\U171CB",  # kRSTUnicode 26.8
    "\U171CC",  # kTGT_MergedSrc L2008-3812
    "\U171CC",  # kRSTUnicode 26.9
    "\U171CD",  # kTGT_MergedSrc L2008-3834
    "\U171CD",  # kRSTUnicode 26.9
    "\U171CE",  # kTGT_MergedSrc L2008-3815
    "\U171CE",  # kRSTUnicode 26.10
    "\U171CF",  # kTGT_MergedSrc L2008-3831
    "\U171CF",  # kRSTUnicode 26.10
    "\U171D0",  # kTGT_MergedSrc L2008-3832
    "\U171D0",  # kRSTUnicode 26.10
    "\U171D1",  # kTGT_MergedSrc L2008-3839
    "\U171D1",  # kRSTUnicode 26.11
    "\U171D2",  # kTGT_MergedSrc L2008-3841
    "\U171D2",  # kRSTUnicode 26.11
    "\U171D3",  # kTGT_MergedSrc L2008-3837
    "\U171D3",  # kRSTUnicode 26.11
    "\U171D4",  # kTGT_MergedSrc L2008-3827
    "\U171D4",  # kRSTUnicode 26.12
    "\U171D5",  # kTGT_MergedSrc L2008-3840
    "\U171D5",  # kRSTUnicode 26.12
    "\U171D6",  # kTGT_MergedSrc L2008-3826
    "\U171D6",  # kRSTUnicode 26.12
    "\U171D7",  # kTGT_MergedSrc L2008-3838
    "\U171D7",  # kRSTUnicode 26.13
    "\U171D8",  # kTGT_MergedSrc L2008-3835
    "\U171D8",  # kRSTUnicode 26.13
    "\U171D9",  # kTGT_MergedSrc L2008-3833
    "\U171D9",  # kRSTUnicode 26.15
    "\U171DA",  # kTGT_MergedSrc L2008-4947
    "\U171DA",  # kRSTUnicode 27.7
    "\U171DB",  # kTGT_MergedSrc L2008-4856
    "\U171DB",  # kRSTUnicode 27.8
    "\U171DC",  # kTGT_MergedSrc L2008-5014
    "\U171DC",  # kRSTUnicode 27.10
    "\U171DD",  # kTGT_MergedSrc L2008-4689
    "\U171DD",  # kRSTUnicode 27.16
    "\U171DE",  # kTGT_MergedSrc L2008-1501
    "\U171DE",  # kRSTUnicode 28.7
    "\U171DF",  # kTGT_MergedSrc L2008-1335
    "\U171DF",  # kRSTUnicode 28.7
    "\U171E0",  # kTGT_MergedSrc L2008-1020
    "\U171E0",  # kRSTUnicode 28.8
    "\U171E1",  # kTGT_MergedSrc L2008-1158
    "\U171E1",  # kRSTUnicode 28.8
    "\U171E2",  # kTGT_MergedSrc L2008-0911
    "\U171E2",  # kRSTUnicode 28.8
    "\U171E3",  # kTGT_MergedSrc L2008-1524
    "\U171E3",  # kRSTUnicode 28.9
    "\U171E4",  # kTGT_MergedSrc L2008-1143
    "\U171E4",  # kRSTUnicode 28.9
    "\U171E5",  # kTGT_MergedSrc L2008-1159
    "\U171E5",  # kRSTUnicode 28.9
    "\U171E6",  # kTGT_MergedSrc L2008-1000
    "\U171E6",  # kRSTUnicode 28.9
    "\U171E7",  # kTGT_MergedSrc L2008-1179
    "\U171E7",  # kRSTUnicode 28.9
    "\U171E8",  # kTGT_MergedSrc L2008-1178
    "\U171E8",  # kRSTUnicode 28.10
    "\U171E9",  # kTGT_MergedSrc L2008-1549
    "\U171E9",  # kRSTUnicode 28.10
    "\U171EA",  # kTGT_MergedSrc L2008-1144
    "\U171EA",  # kRSTUnicode 28.10
    "\U171EB",  # kTGT_MergedSrc L2008-1147
    "\U171EB",  # kRSTUnicode 28.10
    "\U171EC",  # kTGT_MergedSrc L2008-0928
    "\U171EC",  # kRSTUnicode 28.10
    "\U171ED",  # kTGT_MergedSrc L2008-1559
    "\U171ED",  # kRSTUnicode 28.10
    "\U171EE",  # kTGT_MergedSrc L2008-1067
    "\U171EE",  # kRSTUnicode 28.10
    "\U171EF",  # kTGT_MergedSrc L2008-0978
    "\U171EF",  # kRSTUnicode 28.10
    "\U171F0",  # kTGT_MergedSrc L2008-1215
    "\U171F0",  # kRSTUnicode 28.11
    "\U171F1",  # kTGT_MergedSrc L2008-1188
    "\U171F1",  # kRSTUnicode 28.11
    "\U171F2",  # kTGT_MergedSrc L2008-1488
    "\U171F2",  # kRSTUnicode 28.11
    "\U171F3",  # kTGT_MergedSrc L2008-1525
    "\U171F3",  # kRSTUnicode 28.11
    "\U171F4",  # kTGT_MergedSrc L2008-1206
    "\U171F4",  # kRSTUnicode 28.11
    "\U171F5",  # kTGT_MergedSrc L2008-1145
    "\U171F5",  # kRSTUnicode 28.11
    "\U171F6",  # kTGT_MergedSrc L2008-6018
    "\U171F6",  # kRSTUnicode 28.11
    "\U171F7",  # kTGT_MergedSrc L2008-1146
    "\U171F7",  # kRSTUnicode 28.11
    "\U171F8",  # kTGT_MergedSrc L2008-1421
    "\U171F8",  # kRSTUnicode 28.11
    "\U171F9",  # kTGT_MergedSrc L2008-0965
    "\U171F9",  # kRSTUnicode 28.11
    "\U171FA",  # kTGT_MergedSrc L2008-1044
    "\U171FA",  # kRSTUnicode 28.11
    "\U171FB",  # kTGT_MergedSrc L2008-0901
    "\U171FB",  # kRSTUnicode 28.11
    "\U171FC",  # kTGT_MergedSrc L2008-1189
    "\U171FC",  # kRSTUnicode 28.11
    "\U171FD",  # kTGT_MergedSrc L2008-0992
    "\U171FD",  # kRSTUnicode 28.12
    "\U171FE",  # kTGT_MergedSrc L2008-1069
    "\U171FE",  # kRSTUnicode 28.12
    "\U171FF",  # kTGT_MergedSrc L2008-1432
    "\U171FF",  # kRSTUnicode 28.12
    "\U17200",  # kTGT_MergedSrc L2008-1068
    "\U17200",  # kRSTUnicode 28.12
    "\U17201",  # kTGT_MergedSrc L2008-1225
    "\U17201",  # kRSTUnicode 28.12
    "\U17202",  # kTGT_MergedSrc L2008-1297
    "\U17202",  # kRSTUnicode 28.12
    "\U17203",  # kTGT_MergedSrc L2008-1422
    "\U17203",  # kRSTUnicode 28.12
    "\U17204",  # kTGT_MergedSrc L2008-1517
    "\U17204",  # kRSTUnicode 28.12
    "\U17205",  # kTGT_MergedSrc L2008-1455
    "\U17205",  # kRSTUnicode 28.12
    "\U17206",  # kTGT_MergedSrc L2008-1047
    "\U17206",  # kRSTUnicode 28.12
    "\U17207",  # kTGT_MergedSrc L2008-0942
    "\U17207",  # kRSTUnicode 28.12
    "\U17208",  # kTGT_MergedSrc L2008-1210
    "\U17208",  # kRSTUnicode 28.13
    "\U17209",  # kTGT_MergedSrc L2008-1470
    "\U17209",  # kRSTUnicode 28.13
    "\U1720A",  # kTGT_MergedSrc L2008-1267B
    "\U1720A",  # kRSTUnicode 28.13
    "\U1720B",  # kTGT_MergedSrc L2008-1490
    "\U1720B",  # kRSTUnicode 28.13
    "\U1720C",  # kTGT_MergedSrc L2008-1469
    "\U1720C",  # kRSTUnicode 28.13
    "\U1720D",  # kTGT_MergedSrc L2008-0919
    "\U1720D",  # kRSTUnicode 28.13
    "\U1720E",  # kTGT_MergedSrc L2008-1187
    "\U1720E",  # kRSTUnicode 28.13
    "\U1720F",  # kTGT_MergedSrc L2008-1177
    "\U1720F",  # kRSTUnicode 28.13
    "\U17210",  # kTGT_MergedSrc L2008-0944
    "\U17210",  # kRSTUnicode 28.13
    "\U17211",  # kTGT_MergedSrc L2008-1110
    "\U17211",  # kRSTUnicode 28.13
    "\U17212",  # kTGT_MergedSrc L2008-1298
    "\U17212",  # kRSTUnicode 28.13
    "\U17213",  # kTGT_MergedSrc L2008-1445
    "\U17213",  # kRSTUnicode 28.13
    "\U17214",  # kTGT_MergedSrc L2008-1550
    "\U17214",  # kRSTUnicode 28.13
    "\U17215",  # kTGT_MergedSrc L2008-1267A
    "\U17215",  # kRSTUnicode 28.14
    "\U17216",  # kTGT_MergedSrc L2008-1555
    "\U17216",  # kRSTUnicode 28.14
    "\U17217",  # kTGT_MergedSrc L2008-1001
    "\U17217",  # kRSTUnicode 28.14
    "\U17218",  # kTGT_MergedSrc L2008-1202
    "\U17218",  # kRSTUnicode 28.14
    "\U17219",  # kTGT_MergedSrc L2008-1399
    "\U17219",  # kRSTUnicode 28.14
    "\U1721A",  # kTGT_MergedSrc L2008-1460
    "\U1721A",  # kRSTUnicode 28.14
    "\U1721B",  # kTGT_MergedSrc L2008-1459
    "\U1721B",  # kRSTUnicode 28.14
    "\U1721C",  # kTGT_MergedSrc L2008-1160
    "\U1721C",  # kRSTUnicode 28.14
    "\U1721D",  # kTGT_MergedSrc L2008-1486
    "\U1721D",  # kRSTUnicode 28.14
    "\U1721E",  # kTGT_MergedSrc L2008-1207
    "\U1721E",  # kRSTUnicode 28.14
    "\U1721F",  # kTGT_MergedSrc L2008-1104
    "\U1721F",  # kRSTUnicode 28.15
    "\U17220",  # kTGT_MergedSrc L2008-0943
    "\U17220",  # kRSTUnicode 28.15
    "\U17221",  # kTGT_MergedSrc L2008-0990
    "\U17221",  # kRSTUnicode 28.16
    "\U17222",  # kTGT_MergedSrc L2008-0916
    "\U17222",  # kRSTUnicode 28.16
    "\U17223",  # kTGT_MergedSrc L2008-1377
    "\U17223",  # kRSTUnicode 28.16
    "\U17224",  # kTGT_MergedSrc L2008-1181
    "\U17224",  # kRSTUnicode 28.17
    "\U17225",  # kTGT_MergedSrc L2008-1396
    "\U17225",  # kRSTUnicode 28.18
    "\U17226",  # kTGT_MergedSrc L2008-1336
    "\U17226",  # kRSTUnicode 28.18
    "\U17227",  # kTGT_MergedSrc L2008-1161
    "\U17227",  # kRSTUnicode 28.18
    "\U17228",  # kTGT_MergedSrc L2008-1180
    "\U17228",  # kRSTUnicode 28.19
    "\U17229",  # kTGT_MergedSrc L2008-5955
    "\U17229",  # kRSTUnicode 31.6
    "\U1722A",  # kTGT_MergedSrc L2008-5981
    "\U1722A",  # kRSTUnicode 31.7
    "\U1722B",  # kTGT_MergedSrc L2008-5948
    "\U1722B",  # kRSTUnicode 31.7
    "\U1722C",  # kTGT_MergedSrc L2008-5951
    "\U1722C",  # kRSTUnicode 31.7
    "\U1722D",  # kTGT_MergedSrc L2008-5835
    "\U1722D",  # kRSTUnicode 31.8
    "\U1722E",  # kTGT_MergedSrc L2008-5846
    "\U1722E",  # kRSTUnicode 31.8
    "\U1722F",  # kTGT_MergedSrc L2008-5837
    "\U1722F",  # kRSTUnicode 31.8
    "\U17230",  # kTGT_MergedSrc L2008-5982
    "\U17230",  # kRSTUnicode 31.8
    "\U17231",  # kTGT_MergedSrc L2008-5913
    "\U17231",  # kRSTUnicode 31.8
    "\U17232",  # kTGT_MergedSrc L2008-5911
    "\U17232",  # kRSTUnicode 31.9
    "\U17233",  # kTGT_MergedSrc L2008-5958
    "\U17233",  # kRSTUnicode 31.9
    "\U17234",  # kTGT_MergedSrc L2008-5992
    "\U17234",  # kRSTUnicode 31.9
    "\U17235",  # kTGT_MergedSrc L2008-5838
    "\U17235",  # kRSTUnicode 31.10
    "\U17236",  # kTGT_MergedSrc L2008-5918
    "\U17236",  # kRSTUnicode 31.10
    "\U17237",  # kTGT_MergedSrc L2008-5956
    "\U17237",  # kRSTUnicode 31.11
    "\U17238",  # kTGT_MergedSrc L2008-5896
    "\U17238",  # kRSTUnicode 31.12
    "\U17239",  # kTGT_MergedSrc L2008-5985
    "\U17239",  # kRSTUnicode 31.14
    "\U1723A",  # kTGT_MergedSrc L2008-5952
    "\U1723A",  # kRSTUnicode 31.15
    "\U1723B",  # kTGT_MergedSrc L2008-0426
    "\U1723B",  # kRSTUnicode 33.6
    "\U1723C",  # kTGT_MergedSrc L2008-0625
    "\U1723C",  # kRSTUnicode 33.6
    "\U1723D",  # kTGT_MergedSrc L2008-1506
    "\U1723D",  # kRSTUnicode 33.6
    "\U1723E",  # kTGT_MergedSrc L2008-0732
    "\U1723E",  # kRSTUnicode 33.7
    "\U1723F",  # kTGT_MergedSrc L2008-1829
    "\U1723F",  # kRSTUnicode 33.8
    "\U17240",  # kTGT_MergedSrc L2008-1825
    "\U17240",  # kRSTUnicode 33.8
    "\U17241",  # kTGT_MergedSrc L2008-0439
    "\U17241",  # kRSTUnicode 33.9
    "\U17242",  # kTGT_MergedSrc L2008-0440
    "\U17242",  # kRSTUnicode 33.10
    "\U17243",  # kTGT_MergedSrc L2008-1826
    "\U17243",  # kRSTUnicode 33.10
    "\U17244",  # kTGT_MergedSrc L2008-1497
    "\U17244",  # kRSTUnicode 33.12
    "\U17245",  # kTGT_MergedSrc L2008-0618
    "\U17245",  # kRSTUnicode 33.12
    "\U17246",  # kTGT_MergedSrc L2008-6009
    "\U17246",  # kRSTUnicode 33.12
    "\U17247",  # kTGT_MergedSrc L2008-0431
    "\U17247",  # kRSTUnicode 33.13
    "\U17248",  # kTGT_MergedSrc L2008-0453
    "\U17248",  # kRSTUnicode 33.13
    "\U17249",  # kTGT_MergedSrc L2008-0735
    "\U17249",  # kRSTUnicode 33.14
    "\U1724A",  # kTGT_MergedSrc L2008-1521
    "\U1724A",  # kRSTUnicode 33.14
    "\U1724B",  # kTGT_MergedSrc L2008-1259
    "\U1724B",  # kRSTUnicode 34.4
    "\U1724C",  # kTGT_MergedSrc L2008-1168
    "\U1724C",  # kRSTUnicode 34.5
    "\U1724D",  # kTGT_MergedSrc L2008-0372
    "\U1724D",  # kRSTUnicode 34.6
    "\U1724E",  # kTGT_MergedSrc L2008-0684
    "\U1724E",  # kRSTUnicode 34.6
    "\U1724F",  # kTGT_MergedSrc L2008-0365
    "\U1724F",  # kRSTUnicode 34.7
    "\U17250",  # kTGT_MergedSrc L2008-0862
    "\U17250",  # kRSTUnicode 34.7
    "\U17251",  # kTGT_MergedSrc L2008-0571
    "\U17251",  # kRSTUnicode 34.7
    "\U17252",  # kTGT_MergedSrc N1966-185-065
    "\U17252",  # kRSTUnicode 34.7
    "\U17253",  # kTGT_MergedSrc L2008-1250
    "\U17253",  # kRSTUnicode 34.7
    "\U17254",  # kTGT_MergedSrc L2008-0707
    "\U17254",  # kRSTUnicode 34.7
    "\U17255",  # kTGT_MergedSrc L2008-1349
    "\U17255",  # kRSTUnicode 34.7
    "\U17256",  # kTGT_MergedSrc L2008-1861
    "\U17256",  # kRSTUnicode 34.7
    "\U17257",  # kTGT_MergedSrc L2008-1714
    "\U17257",  # kRSTUnicode 34.7
    "\U17258",  # kTGT_MergedSrc L2008-1374
    "\U17258",  # kRSTUnicode 34.7
    "\U17259",  # kTGT_MergedSrc L2008-1261
    "\U17259",  # kRSTUnicode 34.7
    "\U1725A",  # kTGT_MergedSrc L2008-1424
    "\U1725A",  # kRSTUnicode 34.7
    "\U1725B",  # kTGT_MergedSrc L2008-1262
    "\U1725B",  # kRSTUnicode 34.8
    "\U1725C",  # kTGT_MergedSrc L2008-0800
    "\U1725C",  # kRSTUnicode 34.8
    "\U1725D",  # kTGT_MergedSrc L2008-0585
    "\U1725D",  # kRSTUnicode 34.8
    "\U1725E",  # kTGT_MergedSrc L2008-1862
    "\U1725E",  # kRSTUnicode 34.8
    "\U1725F",  # kTGT_MergedSrc L2008-1767
    "\U1725F",  # kRSTUnicode 34.8
    "\U17260",  # kTGT_MergedSrc L2008-1260
    "\U17260",  # kRSTUnicode 34.8
    "\U17261",  # kTGT_MergedSrc L2008-1750
    "\U17261",  # kRSTUnicode 34.8
    "\U17262",  # kTGT_MergedSrc L2008-1751
    "\U17262",  # kRSTUnicode 34.8
    "\U17263",  # kTGT_MergedSrc L2008-0797
    "\U17263",  # kRSTUnicode 34.8
    "\U17264",  # kTGT_MergedSrc L2008-0530
    "\U17264",  # kRSTUnicode 34.8
    "\U17265",  # kTGT_MergedSrc L2008-0896
    "\U17265",  # kRSTUnicode 34.9
    "\U17266",  # kTGT_MergedSrc S1968-5520
    "\U17266",  # kRSTUnicode 34.9
    "\U17267",  # kTGT_MergedSrc L2008-1777
    "\U17267",  # kRSTUnicode 34.9
    "\U17268",  # kTGT_MergedSrc L2008-1783
    "\U17268",  # kRSTUnicode 34.9
    "\U17269",  # kTGT_MergedSrc L2008-1249
    "\U17269",  # kRSTUnicode 34.9
    "\U1726A",  # kTGT_MergedSrc L2008-1409
    "\U1726A",  # kRSTUnicode 34.10
    "\U1726B",  # kTGT_MergedSrc L2008-1263
    "\U1726B",  # kRSTUnicode 34.10
    "\U1726C",  # kTGT_MergedSrc L2008-1682
    "\U1726C",  # kRSTUnicode 34.10
    "\U1726D",  # kTGT_MergedSrc L2008-0572
    "\U1726D",  # kRSTUnicode 34.10
    "\U1726E",  # kTGT_MergedSrc L2008-0824
    "\U1726E",  # kRSTUnicode 34.10
    "\U1726F",  # kTGT_MergedSrc L2008-1689
    "\U1726F",  # kRSTUnicode 34.10
    "\U17270",  # kTGT_MergedSrc L2008-0879
    "\U17270",  # kRSTUnicode 34.11
    "\U17271",  # kTGT_MergedSrc L2008-0677
    "\U17271",  # kRSTUnicode 34.11
    "\U17272",  # kTGT_MergedSrc L2008-0282
    "\U17272",  # kRSTUnicode 34.11
    "\U17273",  # kTGT_MergedSrc L2008-1752
    "\U17273",  # kRSTUnicode 34.12
    "\U17274",  # kTGT_MergedSrc L2008-1687
    "\U17274",  # kRSTUnicode 34.12
    "\U17275",  # kTGT_MergedSrc L2008-1686
    "\U17275",  # kRSTUnicode 34.12
    "\U17276",  # kTGT_MergedSrc L2008-0327
    "\U17276",  # kRSTUnicode 34.13
    "\U17277",  # kTGT_MergedSrc L2008-0366
    "\U17277",  # kRSTUnicode 34.15
    "\U17278",  # kTGT_MergedSrc L2008-3026
    "\U17278",  # kRSTUnicode 36.5
    "\U17279",  # kTGT_MergedSrc L2008-2030
    "\U17279",  # kRSTUnicode 36.5
    "\U1727A",  # kTGT_MergedSrc L2008-1987
    "\U1727A",  # kRSTUnicode 36.5
    "\U1727B",  # kTGT_MergedSrc L2008-3019
    "\U1727B",  # kRSTUnicode 36.5
    "\U1727C",  # kTGT_MergedSrc L2008-3023
    "\U1727C",  # kRSTUnicode 36.5
    "\U1727D",  # kTGT_MergedSrc L2008-2031
    "\U1727D",  # kRSTUnicode 36.6
    "\U1727E",  # kTGT_MergedSrc L2008-1988
    "\U1727E",  # kRSTUnicode 36.6
    "\U1727F",  # kTGT_MergedSrc L2008-2044
    "\U1727F",  # kRSTUnicode 36.6
    "\U17280",  # kTGT_MergedSrc L2008-3000
    "\U17280",  # kRSTUnicode 36.6
    "\U17281",  # kTGT_MergedSrc L2008-2582
    "\U17281",  # kRSTUnicode 36.6
    "\U17282",  # kTGT_MergedSrc L2008-3070
    "\U17282",  # kRSTUnicode 36.6
    "\U17283",  # kTGT_MergedSrc L2008-2041
    "\U17283",  # kRSTUnicode 36.7
    "\U17284",  # kTGT_MergedSrc L2008-3046
    "\U17284",  # kRSTUnicode 36.7
    "\U17285",  # kTGT_MergedSrc L2008-2404
    "\U17285",  # kRSTUnicode 36.7
    "\U17286",  # kTGT_MergedSrc L2008-2022
    "\U17286",  # kRSTUnicode 36.7
    "\U17287",  # kTGT_MergedSrc L2008-2023
    "\U17287",  # kRSTUnicode 36.7
    "\U17288",  # kTGT_MergedSrc L2008-2733
    "\U17288",  # kRSTUnicode 36.7
    "\U17289",  # kTGT_MergedSrc L2008-3073
    "\U17289",  # kRSTUnicode 36.7
    "\U1728A",  # kTGT_MergedSrc L2008-2422
    "\U1728A",  # kRSTUnicode 36.7
    "\U1728B",  # kTGT_MergedSrc L2008-3031
    "\U1728B",  # kRSTUnicode 36.7
    "\U1728C",  # kTGT_MergedSrc L2008-3040
    "\U1728C",  # kRSTUnicode 36.7
    "\U1728D",  # kTGT_MergedSrc L2008-2575
    "\U1728D",  # kRSTUnicode 36.7
    "\U1728E",  # kTGT_MergedSrc L2008-2577
    "\U1728E",  # kRSTUnicode 36.7
    "\U1728F",  # kTGT_MergedSrc L2008-2583
    "\U1728F",  # kRSTUnicode 36.7
    "\U17290",  # kTGT_MergedSrc L2008-3539
    "\U17290",  # kRSTUnicode 36.7
    "\U17291",  # kTGT_MergedSrc L2008-3039
    "\U17291",  # kRSTUnicode 36.7
    "\U17292",  # kTGT_MergedSrc L2008-3084
    "\U17292",  # kRSTUnicode 36.7
    "\U17293",  # kTGT_MergedSrc L2008-3011
    "\U17293",  # kRSTUnicode 36.7
    "\U17294",  # kTGT_MergedSrc L2008-3071
    "\U17294",  # kRSTUnicode 36.7
    "\U17295",  # kTGT_MergedSrc L2008-2032
    "\U17295",  # kRSTUnicode 36.8
    "\U17296",  # kTGT_MergedSrc L2008-2045
    "\U17296",  # kRSTUnicode 36.8
    "\U17297",  # kTGT_MergedSrc L2008-2024
    "\U17297",  # kRSTUnicode 36.8
    "\U17298",  # kTGT_MergedSrc L2008-3536
    "\U17298",  # kRSTUnicode 36.8
    "\U17299",  # kTGT_MergedSrc L2008-2419
    "\U17299",  # kRSTUnicode 36.8
    "\U1729A",  # kTGT_MergedSrc L2008-2410
    "\U1729A",  # kRSTUnicode 36.8
    "\U1729B",  # kTGT_MergedSrc L2008-3045
    "\U1729B",  # kRSTUnicode 36.8
    "\U1729C",  # kTGT_MergedSrc L2008-3773
    "\U1729C",  # kRSTUnicode 36.8
    "\U1729D",  # kTGT_MergedSrc L2008-3544
    "\U1729D",  # kRSTUnicode 36.8
    "\U1729E",  # kTGT_MergedSrc L2008-3541
    "\U1729E",  # kRSTUnicode 36.8
    "\U1729F",  # kTGT_MergedSrc L2008-2731
    "\U1729F",  # kRSTUnicode 36.8
    "\U172A0",  # kTGT_MergedSrc L2008-3534
    "\U172A0",  # kRSTUnicode 36.8
    "\U172A1",  # kTGT_MergedSrc L2008-3540
    "\U172A1",  # kRSTUnicode 36.8
    "\U172A2",  # kTGT_MergedSrc L2008-2737
    "\U172A2",  # kRSTUnicode 36.8
    "\U172A3",  # kTGT_MergedSrc L2008-3085
    "\U172A3",  # kRSTUnicode 36.8
    "\U172A4",  # kTGT_MergedSrc L2008-6031
    "\U172A4",  # kRSTUnicode 36.8
    "\U172A5",  # kTGT_MergedSrc L2008-2851
    "\U172A5",  # kRSTUnicode 36.8
    "\U172A6",  # kTGT_MergedSrc L2008-2018
    "\U172A6",  # kRSTUnicode 36.9
    "\U172A7",  # kTGT_MergedSrc L2008-1990
    "\U172A7",  # kRSTUnicode 36.9
    "\U172A8",  # kTGT_MergedSrc L2008-2054
    "\U172A8",  # kRSTUnicode 36.9
    "\U172A9",  # kTGT_MergedSrc L2008-2581
    "\U172A9",  # kRSTUnicode 36.9
    "\U172AA",  # kTGT_MergedSrc L2008-2029
    "\U172AA",  # kRSTUnicode 36.9
    "\U172AB",  # kTGT_MergedSrc L2008-2040
    "\U172AB",  # kRSTUnicode 36.9
    "\U172AC",  # kTGT_MergedSrc L2008-3027
    "\U172AC",  # kRSTUnicode 36.9
    "\U172AD",  # kTGT_MergedSrc L2008-2845
    "\U172AD",  # kRSTUnicode 36.9
    "\U172AE",  # kTGT_MergedSrc L2008-3547
    "\U172AE",  # kRSTUnicode 36.9
    "\U172AF",  # kTGT_MergedSrc L2008-2004
    "\U172AF",  # kRSTUnicode 36.9
    "\U172B0",  # kTGT_MergedSrc L2008-3047
    "\U172B0",  # kRSTUnicode 36.9
    "\U172B1",  # kTGT_MergedSrc L2008-2412
    "\U172B1",  # kRSTUnicode 36.9
    "\U172B2",  # kTGT_MergedSrc S1968-4313
    "\U172B2",  # kRSTUnicode 36.9
    "\U172B3",  # kTGT_MergedSrc L2008-6036
    "\U172B3",  # kRSTUnicode 36.9
    "\U172B4",  # kTGT_MergedSrc L2008-2734
    "\U172B4",  # kRSTUnicode 36.9
    "\U172B5",  # kTGT_MergedSrc L2008-3048
    "\U172B5",  # kRSTUnicode 36.9
    "\U172B6",  # kTGT_MergedSrc L2008-3041
    "\U172B6",  # kRSTUnicode 36.9
    "\U172B7",  # kTGT_MergedSrc L2008-2720
    "\U172B7",  # kRSTUnicode 36.9
    "\U172B8",  # kTGT_MergedSrc L2008-1991
    "\U172B8",  # kRSTUnicode 36.9
    "\U172B9",  # kTGT_MergedSrc L2008-2732
    "\U172B9",  # kRSTUnicode 36.9
    "\U172BA",  # kTGT_MergedSrc L2008-3024
    "\U172BA",  # kRSTUnicode 36.9
    "\U172BB",  # kTGT_MergedSrc L2008-3772
    "\U172BB",  # kRSTUnicode 36.9
    "\U172BC",  # kTGT_MergedSrc L2008-2843
    "\U172BC",  # kRSTUnicode 36.9
    "\U172BD",  # kTGT_MergedSrc L2008-3004
    "\U172BD",  # kRSTUnicode 36.9
    "\U172BE",  # kTGT_MergedSrc L2008-1994
    "\U172BE",  # kRSTUnicode 36.10
    "\U172BF",  # kTGT_MergedSrc L2008-2020
    "\U172BF",  # kRSTUnicode 36.10
    "\U172C0",  # kTGT_MergedSrc L2008-2413
    "\U172C0",  # kRSTUnicode 36.10
    "\U172C1",  # kTGT_MergedSrc L2008-1996
    "\U172C1",  # kRSTUnicode 36.10
    "\U172C2",  # kTGT_MergedSrc L2008-2417
    "\U172C2",  # kRSTUnicode 36.10
    "\U172C3",  # kTGT_MergedSrc L2008-3075
    "\U172C3",  # kRSTUnicode 36.10
    "\U172C4",  # kTGT_MergedSrc L2008-2588
    "\U172C4",  # kRSTUnicode 36.10
    "\U172C5",  # kTGT_MergedSrc L2008-3078
    "\U172C5",  # kRSTUnicode 36.10
    "\U172C6",  # kTGT_MergedSrc L2008-3010
    "\U172C6",  # kRSTUnicode 36.10
    "\U172C7",  # kTGT_MergedSrc L2008-3077
    "\U172C7",  # kRSTUnicode 36.10
    "\U172C8",  # kTGT_MergedSrc L2008-3055
    "\U172C8",  # kRSTUnicode 36.10
    "\U172C9",  # kTGT_MergedSrc L2008-2013
    "\U172C9",  # kRSTUnicode 36.10
    "\U172CA",  # kTGT_MergedSrc L2008-3013
    "\U172CA",  # kRSTUnicode 36.10
    "\U172CB",  # kTGT_MergedSrc L2008-2005
    "\U172CB",  # kRSTUnicode 36.10
    "\U172CC",  # kTGT_MergedSrc L2008-2401
    "\U172CC",  # kRSTUnicode 36.10
    "\U172CD",  # kTGT_MergedSrc L2008-3776
    "\U172CD",  # kRSTUnicode 36.10
    "\U172CE",  # kTGT_MergedSrc L2008-2034
    "\U172CE",  # kRSTUnicode 36.10
    "\U172CF",  # kTGT_MergedSrc L2008-3035
    "\U172CF",  # kRSTUnicode 36.10
    "\U172D0",  # kTGT_MergedSrc L2008-2724
    "\U172D0",  # kRSTUnicode 36.10
    "\U172D1",  # kTGT_MergedSrc L2008-2738
    "\U172D1",  # kRSTUnicode 36.10
    "\U172D2",  # kTGT_MergedSrc L2008-2414
    "\U172D2",  # kRSTUnicode 36.10
    "\U172D3",  # kTGT_MergedSrc L2008-2579
    "\U172D3",  # kRSTUnicode 36.10
    "\U172D4",  # kTGT_MergedSrc L2008-3051
    "\U172D4",  # kRSTUnicode 36.10
    "\U172D5",  # kTGT_MergedSrc L2008-2019
    "\U172D5",  # kRSTUnicode 36.10
    "\U172D6",  # kTGT_MergedSrc L2008-2042
    "\U172D6",  # kRSTUnicode 36.11
    "\U172D7",  # kTGT_MergedSrc L2008-2025
    "\U172D7",  # kRSTUnicode 36.11
    "\U172D8",  # kTGT_MergedSrc L2008-2053
    "\U172D8",  # kRSTUnicode 36.11
    "\U172D9",  # kTGT_MergedSrc L2008-1989
    "\U172D9",  # kRSTUnicode 36.11
    "\U172DA",  # kTGT_MergedSrc L2008-2590
    "\U172DA",  # kRSTUnicode 36.11
    "\U172DB",  # kTGT_MergedSrc L2008-3080
    "\U172DB",  # kRSTUnicode 36.11
    "\U172DC",  # kTGT_MergedSrc L2008-3550
    "\U172DC",  # kRSTUnicode 36.11
    "\U172DD",  # kTGT_MergedSrc L2008-3067
    "\U172DD",  # kRSTUnicode 36.11
    "\U172DE",  # kTGT_MergedSrc L2008-2587
    "\U172DE",  # kRSTUnicode 36.11
    "\U172DF",  # kTGT_MergedSrc L2008-2415
    "\U172DF",  # kRSTUnicode 36.11
    "\U172E0",  # kTGT_MergedSrc L2008-1992
    "\U172E0",  # kRSTUnicode 36.11
    "\U172E1",  # kTGT_MergedSrc L2008-2726
    "\U172E1",  # kRSTUnicode 36.11
    "\U172E2",  # kTGT_MergedSrc L2008-1993
    "\U172E2",  # kRSTUnicode 36.11
    "\U172E3",  # kTGT_MergedSrc L2008-2429
    "\U172E3",  # kRSTUnicode 36.11
    "\U172E4",  # kTGT_MergedSrc L2008-3542
    "\U172E4",  # kRSTUnicode 36.11
    "\U172E5",  # kTGT_MergedSrc L2008-3033
    "\U172E5",  # kRSTUnicode 36.11
    "\U172E6",  # kTGT_MergedSrc L2008-3069
    "\U172E6",  # kRSTUnicode 36.11
    "\U172E7",  # kTGT_MergedSrc S1968-4266
    "\U172E7",  # kRSTUnicode 36.11
    "\U172E8",  # kTGT_MergedSrc L2008-2400
    "\U172E8",  # kRSTUnicode 36.11
    "\U172E9",  # kTGT_MergedSrc L2008-3012
    "\U172E9",  # kRSTUnicode 36.11
    "\U172EA",  # kTGT_MergedSrc L2008-2725
    "\U172EA",  # kRSTUnicode 36.11
    "\U172EB",  # kTGT_MergedSrc L2008-3074
    "\U172EB",  # kRSTUnicode 36.11
    "\U172EC",  # kTGT_MergedSrc L2008-3056
    "\U172EC",  # kRSTUnicode 36.11
    "\U172ED",  # kTGT_MergedSrc L2008-2997
    "\U172ED",  # kRSTUnicode 36.11
    "\U172EE",  # kTGT_MergedSrc L2008-2416
    "\U172EE",  # kRSTUnicode 36.11
    "\U172EF",  # kTGT_MergedSrc L2008-2011
    "\U172EF",  # kRSTUnicode 36.11
    "\U172F0",  # kTGT_MergedSrc L2008-2432
    "\U172F0",  # kRSTUnicode 36.11
    "\U172F1",  # kTGT_MergedSrc L2008-3533
    "\U172F1",  # kRSTUnicode 36.12
    "\U172F2",  # kTGT_MergedSrc L2008-2849
    "\U172F2",  # kRSTUnicode 36.12
    "\U172F3",  # kTGT_MergedSrc L2008-3553
    "\U172F3",  # kRSTUnicode 36.12
    "\U172F4",  # kTGT_MergedSrc L2008-3548
    "\U172F4",  # kRSTUnicode 36.12
    "\U172F5",  # kTGT_MergedSrc L2008-2589
    "\U172F5",  # kRSTUnicode 36.12
    "\U172F6",  # kTGT_MergedSrc L2008-6026
    "\U172F6",  # kRSTUnicode 36.12
    "\U172F7",  # kTGT_MergedSrc L2008-2423
    "\U172F7",  # kRSTUnicode 36.12
    "\U172F8",  # kTGT_MergedSrc L2008-3527
    "\U172F8",  # kRSTUnicode 36.12
    "\U172F9",  # kTGT_MergedSrc L2008-3529
    "\U172F9",  # kRSTUnicode 36.12
    "\U172FA",  # kTGT_MergedSrc L2008-2058
    "\U172FA",  # kRSTUnicode 36.12
    "\U172FB",  # kTGT_MergedSrc L2008-2584
    "\U172FB",  # kRSTUnicode 36.12
    "\U172FC",  # kTGT_MergedSrc L2008-2408
    "\U172FC",  # kRSTUnicode 36.12
    "\U172FD",  # kTGT_MergedSrc L2008-3058
    "\U172FD",  # kRSTUnicode 36.12
    "\U172FE",  # kTGT_MergedSrc L2008-3057
    "\U172FE",  # kRSTUnicode 36.12
    "\U172FF",  # kTGT_MergedSrc L2008-3042
    "\U172FF",  # kRSTUnicode 36.12
    "\U17300",  # kTGT_MergedSrc L2008-3025
    "\U17300",  # kRSTUnicode 36.12
    "\U17301",  # kTGT_MergedSrc L2008-3001
    "\U17301",  # kRSTUnicode 36.12
    "\U17302",  # kTGT_MergedSrc L2008-6024
    "\U17302",  # kRSTUnicode 36.12
    "\U17303",  # kTGT_MergedSrc L2008-2012
    "\U17303",  # kRSTUnicode 36.13
    "\U17304",  # kTGT_MergedSrc L2008-2418
    "\U17304",  # kRSTUnicode 36.13
    "\U17305",  # kTGT_MergedSrc L2008-2049
    "\U17305",  # kRSTUnicode 36.13
    "\U17306",  # kTGT_MergedSrc L2008-3555
    "\U17306",  # kRSTUnicode 36.13
    "\U17307",  # kTGT_MergedSrc L2008-3549
    "\U17307",  # kRSTUnicode 36.13
    "\U17308",  # kTGT_MergedSrc L2008-2727
    "\U17308",  # kRSTUnicode 36.13
    "\U17309",  # kTGT_MergedSrc L2008-2399
    "\U17309",  # kRSTUnicode 36.13
    "\U1730A",  # kTGT_MergedSrc L2008-2405
    "\U1730A",  # kRSTUnicode 36.13
    "\U1730B",  # kTGT_MergedSrc L2008-3060
    "\U1730B",  # kRSTUnicode 36.13
    "\U1730C",  # kTGT_MergedSrc L2008-1997
    "\U1730C",  # kRSTUnicode 36.13
    "\U1730D",  # kTGT_MergedSrc L2008-3049
    "\U1730D",  # kRSTUnicode 36.13
    "\U1730E",  # kTGT_MergedSrc L2008-3050
    "\U1730E",  # kRSTUnicode 36.13
    "\U1730F",  # kTGT_MergedSrc L2008-3028
    "\U1730F",  # kRSTUnicode 36.13
    "\U17310",  # kTGT_MergedSrc L2008-6039
    "\U17310",  # kRSTUnicode 36.13
    "\U17311",  # kTGT_MergedSrc L2008-6025
    "\U17311",  # kRSTUnicode 36.14
    "\U17312",  # kTGT_MergedSrc L2008-3061
    "\U17312",  # kRSTUnicode 36.14
    "\U17313",  # kTGT_MergedSrc L2008-2729
    "\U17313",  # kRSTUnicode 36.14
    "\U17314",  # kTGT_MergedSrc L2008-3537
    "\U17314",  # kRSTUnicode 36.14
    "\U17315",  # kTGT_MergedSrc L2008-3007A
    "\U17315",  # kRSTUnicode 36.14
    "\U17316",  # kTGT_MergedSrc L2008-3007B
    "\U17316",  # kRSTUnicode 36.14
    "\U17317",  # kTGT_MergedSrc L2008-3053
    "\U17317",  # kRSTUnicode 36.14
    "\U17318",  # kTGT_MergedSrc L2008-2009
    "\U17318",  # kRSTUnicode 36.14
    "\U17319",  # kTGT_MergedSrc L2008-3065
    "\U17319",  # kRSTUnicode 36.14
    "\U1731A",  # kTGT_MergedSrc L2008-3068
    "\U1731A",  # kRSTUnicode 36.14
    "\U1731B",  # kTGT_MergedSrc L2008-3059
    "\U1731B",  # kRSTUnicode 36.14
    "\U1731C",  # kTGT_MergedSrc L2008-3052
    "\U1731C",  # kRSTUnicode 36.14
    "\U1731D",  # kTGT_MergedSrc L2008-2007
    "\U1731D",  # kRSTUnicode 36.15
    "\U1731E",  # kTGT_MergedSrc L2008-2846
    "\U1731E",  # kRSTUnicode 36.15
    "\U1731F",  # kTGT_MergedSrc L2008-6043
    "\U1731F",  # kRSTUnicode 36.15
    "\U17320",  # kTGT_MergedSrc L2008-3556
    "\U17320",  # kRSTUnicode 36.15
    "\U17321",  # kTGT_MergedSrc L2008-2014
    "\U17321",  # kRSTUnicode 36.15
    "\U17322",  # kTGT_MergedSrc L2008-3002
    "\U17322",  # kRSTUnicode 36.15
    "\U17323",  # kTGT_MergedSrc L2008-3524
    "\U17323",  # kRSTUnicode 36.15
    "\U17324",  # kTGT_MergedSrc L2008-3034
    "\U17324",  # kRSTUnicode 36.15
    "\U17325",  # kTGT_MergedSrc L2008-2998
    "\U17325",  # kRSTUnicode 36.15
    "\U17326",  # kTGT_MergedSrc L2008-1998
    "\U17326",  # kRSTUnicode 36.15
    "\U17327",  # kTGT_MergedSrc L2008-2006
    "\U17327",  # kRSTUnicode 36.15
    "\U17328",  # kTGT_MergedSrc L2008-2050
    "\U17328",  # kRSTUnicode 36.16
    "\U17329",  # kTGT_MergedSrc L2008-3557
    "\U17329",  # kRSTUnicode 36.16
    "\U1732A",  # kTGT_MergedSrc L2008-3082
    "\U1732A",  # kRSTUnicode 36.16
    "\U1732B",  # kTGT_MergedSrc L2008-6038
    "\U1732B",  # kRSTUnicode 36.16
    "\U1732C",  # kTGT_MergedSrc L2008-3066
    "\U1732C",  # kRSTUnicode 36.17
    "\U1732D",  # kTGT_MergedSrc L2008-1542
    "\U1732D",  # kRSTUnicode 37.9
    "\U1732E",  # kTGT_MergedSrc L2008-1543
    "\U1732E",  # kRSTUnicode 37.10
    "\U1732F",  # kTGT_MergedSrc L2008-1628
    "\U1732F",  # kRSTUnicode 40.9
    "\U17330",  # kTGT_MergedSrc L2008-1633
    "\U17330",  # kRSTUnicode 40.10
    "\U17331",  # kTGT_MergedSrc L2008-1664
    "\U17331",  # kRSTUnicode 40.10
    "\U17332",  # kTGT_MergedSrc L2008-1063
    "\U17332",  # kRSTUnicode 40.12
    "\U17333",  # kTGT_MergedSrc L2008-1096
    "\U17333",  # kRSTUnicode 40.13
    "\U17334",  # kTGT_MergedSrc L2008-1230
    "\U17334",  # kRSTUnicode 41.5
    "\U17335",  # kTGT_MergedSrc L2008-1306
    "\U17335",  # kRSTUnicode 41.7
    "\U17336",  # kTGT_MergedSrc L2008-0784
    "\U17336",  # kRSTUnicode 41.8
    "\U17337",  # kTGT_MergedSrc L2008-1869
    "\U17337",  # kRSTUnicode 41.8
    "\U17338",  # kTGT_MergedSrc L2008-1732
    "\U17338",  # kRSTUnicode 41.8
    "\U17339",  # kTGT_MergedSrc L2008-0558
    "\U17339",  # kRSTUnicode 41.9
    "\U1733A",  # kTGT_MergedSrc L2008-1748
    "\U1733A",  # kRSTUnicode 41.9
    "\U1733B",  # kTGT_MergedSrc L2008-1346
    "\U1733B",  # kRSTUnicode 41.9
    "\U1733C",  # kTGT_MergedSrc L2008-0338
    "\U1733C",  # kRSTUnicode 41.9
    "\U1733D",  # kTGT_MergedSrc L2008-0804
    "\U1733D",  # kRSTUnicode 41.9
    "\U1733E",  # kTGT_MergedSrc L2008-1269
    "\U1733E",  # kRSTUnicode 41.9
    "\U1733F",  # kTGT_MergedSrc L2008-0687
    "\U1733F",  # kRSTUnicode 41.9
    "\U17340",  # kTGT_MergedSrc L2008-0789
    "\U17340",  # kRSTUnicode 41.9
    "\U17341",  # kTGT_MergedSrc L2008-0289
    "\U17341",  # kRSTUnicode 41.10
    "\U17342",  # kTGT_MergedSrc L2008-0377
    "\U17342",  # kRSTUnicode 41.10
    "\U17343",  # kTGT_MergedSrc L2008-0805
    "\U17343",  # kRSTUnicode 41.10
    "\U17344",  # kTGT_MergedSrc L2008-0806
    "\U17344",  # kRSTUnicode 41.10
    "\U17345",  # kTGT_MergedSrc L2008-0270
    "\U17345",  # kRSTUnicode 41.11
    "\U17346",  # kTGT_MergedSrc L2008-0358
    "\U17346",  # kRSTUnicode 41.11
    "\U17347",  # kTGT_MergedSrc L2008-1706
    "\U17347",  # kRSTUnicode 41.11
    "\U17348",  # kTGT_MergedSrc L2008-1201
    "\U17348",  # kRSTUnicode 41.11
    "\U17349",  # kTGT_MergedSrc L2008-0599
    "\U17349",  # kRSTUnicode 41.11
    "\U1734A",  # kTGT_MergedSrc L2008-0290
    "\U1734A",  # kRSTUnicode 41.11
    "\U1734B",  # kTGT_MergedSrc L2008-0269
    "\U1734B",  # kRSTUnicode 41.11
    "\U1734C",  # kTGT_MergedSrc L2008-0280
    "\U1734C",  # kRSTUnicode 41.12
    "\U1734D",  # kTGT_MergedSrc L2008-0281
    "\U1734D",  # kRSTUnicode 41.12
    "\U1734E",  # kTGT_MergedSrc L2008-0537
    "\U1734E",  # kRSTUnicode 41.12
    "\U1734F",  # kTGT_MergedSrc L2008-0586
    "\U1734F",  # kRSTUnicode 41.12
    "\U17350",  # kTGT_MergedSrc L2008-0326
    "\U17350",  # kRSTUnicode 41.12
    "\U17351",  # kTGT_MergedSrc L2008-0823
    "\U17351",  # kRSTUnicode 41.12
    "\U17352",  # kTGT_MergedSrc L2008-1307
    "\U17352",  # kRSTUnicode 41.12
    "\U17353",  # kTGT_MergedSrc L2008-0313
    "\U17353",  # kRSTUnicode 41.12
    "\U17354",  # kTGT_MergedSrc L2008-0325
    "\U17354",  # kRSTUnicode 41.13
    "\U17355",  # kTGT_MergedSrc L2008-0266
    "\U17355",  # kRSTUnicode 41.13
    "\U17356",  # kTGT_MergedSrc L2008-0291
    "\U17356",  # kRSTUnicode 41.13
    "\U17357",  # kTGT_MergedSrc L2008-1768
    "\U17357",  # kRSTUnicode 41.13
    "\U17358",  # kTGT_MergedSrc L2008-0538
    "\U17358",  # kRSTUnicode 41.13
    "\U17359",  # kTGT_MergedSrc L2008-1381
    "\U17359",  # kRSTUnicode 41.13
    "\U1735A",  # kTGT_MergedSrc L2008-1193
    "\U1735A",  # kRSTUnicode 41.13
    "\U1735B",  # kTGT_MergedSrc L2008-1412
    "\U1735B",  # kRSTUnicode 41.14
    "\U1735C",  # kTGT_MergedSrc L2008-1272
    "\U1735C",  # kRSTUnicode 41.14
    "\U1735D",  # kTGT_MergedSrc L2008-0371
    "\U1735D",  # kRSTUnicode 41.14
    "\U1735E",  # kTGT_MergedSrc L2008-0885
    "\U1735E",  # kRSTUnicode 41.15
    "\U1735F",  # kTGT_MergedSrc L2008-1769
    "\U1735F",  # kRSTUnicode 41.15
    "\U17360",  # kTGT_MergedSrc L2008-1685
    "\U17360",  # kRSTUnicode 41.15
    "\U17361",  # kTGT_MergedSrc L2008-0309
    "\U17361",  # kRSTUnicode 41.16
    "\U17362",  # kTGT_MergedSrc L2008-1775
    "\U17362",  # kRSTUnicode 41.19
    "\U17363",  # kTGT_MergedSrc L2008-4459
    "\U17363",  # kRSTUnicode 42.9
    "\U17364",  # kTGT_MergedSrc L2008-0620
    "\U17364",  # kRSTUnicode 43.7
    "\U17365",  # kTGT_MergedSrc L2008-0015
    "\U17365",  # kRSTUnicode 44.14
    "\U17366",  # kTGT_MergedSrc L2008-0028
    "\U17366",  # kRSTUnicode 44.15
    "\U17367",  # kTGT_MergedSrc L2008-0112
    "\U17367",  # kRSTUnicode 44.16
    "\U17368",  # kTGT_MergedSrc L2008-4050
    "\U17368",  # kRSTUnicode 45.10
    "\U17369",  # kTGT_MergedSrc L2008-4049
    "\U17369",  # kRSTUnicode 45.11
    "\U1736A",  # kTGT_MergedSrc L2008-4029
    "\U1736A",  # kRSTUnicode 46.8
    "\U1736B",  # kTGT_MergedSrc L2008-4027
    "\U1736B",  # kRSTUnicode 46.9
    "\U1736C",  # kTGT_MergedSrc L2008-4048
    "\U1736C",  # kRSTUnicode 46.9
    "\U1736D",  # kTGT_MergedSrc L2008-4088
    "\U1736D",  # kRSTUnicode 46.10
    "\U1736E",  # kTGT_MergedSrc L2008-4087
    "\U1736E",  # kRSTUnicode 46.11
    "\U1736F",  # kTGT_MergedSrc L2008-4086
    "\U1736F",  # kRSTUnicode 46.12
    "\U17370",  # kTGT_MergedSrc L2008-4039
    "\U17370",  # kRSTUnicode 46.12
    "\U17371",  # kTGT_MergedSrc L2008-4024
    "\U17371",  # kRSTUnicode 46.14
    "\U17372",  # kTGT_MergedSrc L2008-4026
    "\U17372",  # kRSTUnicode 46.14
    "\U17373",  # kTGT_MergedSrc L2008-4028
    "\U17373",  # kRSTUnicode 46.15
    "\U17374",  # kTGT_MergedSrc L2008-4055
    "\U17374",  # kRSTUnicode 46.17
    "\U17375",  # kTGT_MergedSrc L2008-1026
    "\U17375",  # kRSTUnicode 47.5
    "\U17376",  # kTGT_MergedSrc L2008-1630
    "\U17376",  # kRSTUnicode 47.9
    "\U17377",  # kTGT_MergedSrc L2008-0760
    "\U17377",  # kRSTUnicode 47.9
    "\U17378",  # kTGT_MergedSrc L2008-0486
    "\U17378",  # kRSTUnicode 47.10
    "\U17379",  # kTGT_MergedSrc L2008-0219
    "\U17379",  # kRSTUnicode 47.10
    "\U1737A",  # kTGT_MergedSrc L2008-0752
    "\U1737A",  # kRSTUnicode 47.10
    "\U1737B",  # kTGT_MergedSrc L2008-1641
    "\U1737B",  # kRSTUnicode 47.10
    "\U1737C",  # kTGT_MergedSrc L2008-0753
    "\U1737C",  # kRSTUnicode 47.10
    "\U1737D",  # kTGT_MergedSrc L2008-1651
    "\U1737D",  # kRSTUnicode 47.10
    "\U1737E",  # kTGT_MergedSrc L2008-0745
    "\U1737E",  # kRSTUnicode 47.11
    "\U1737F",  # kTGT_MergedSrc L2008-1003
    "\U1737F",  # kRSTUnicode 47.12
    "\U17380",  # kTGT_MergedSrc L2008-0503
    "\U17380",  # kRSTUnicode 47.12
    "\U17381",  # kTGT_MergedSrc L2008-1082
    "\U17381",  # kRSTUnicode 47.12
    "\U17382",  # kTGT_MergedSrc L2008-1588
    "\U17382",  # kRSTUnicode 47.13
    "\U17383",  # kTGT_MergedSrc L2008-4041
    "\U17383",  # kRSTUnicode 50.7
    "\U17384",  # kTGT_MergedSrc L2008-4078
    "\U17384",  # kRSTUnicode 50.7
    "\U17385",  # kTGT_MergedSrc L2008-4081
    "\U17385",  # kRSTUnicode 50.7
    "\U17386",  # kTGT_MergedSrc L2008-4091
    "\U17386",  # kRSTUnicode 50.8
    "\U17387",  # kTGT_MergedSrc L2008-4079
    "\U17387",  # kRSTUnicode 50.8
    "\U17388",  # kTGT_MergedSrc L2008-4053
    "\U17388",  # kRSTUnicode 50.9
    "\U17389",  # kTGT_MergedSrc L2008-4042
    "\U17389",  # kRSTUnicode 50.9
    "\U1738A",  # kTGT_MergedSrc L2008-4082
    "\U1738A",  # kRSTUnicode 50.9
    "\U1738B",  # kTGT_MergedSrc L2008-4080
    "\U1738B",  # kRSTUnicode 50.9
    "\U1738C",  # kTGT_MergedSrc L2008-4089
    "\U1738C",  # kRSTUnicode 50.9
    "\U1738D",  # kTGT_MergedSrc L2008-4092
    "\U1738D",  # kRSTUnicode 50.9
    "\U1738E",  # kTGT_MergedSrc L2008-4090
    "\U1738E",  # kRSTUnicode 50.10
    "\U1738F",  # kTGT_MergedSrc L2008-4077
    "\U1738F",  # kRSTUnicode 50.10
    "\U17390",  # kTGT_MergedSrc L2008-4043
    "\U17390",  # kRSTUnicode 50.10
    "\U17391",  # kTGT_MergedSrc L2008-4032
    "\U17391",  # kRSTUnicode 50.11
    "\U17392",  # kTGT_MergedSrc L2008-4052
    "\U17392",  # kRSTUnicode 50.11
    "\U17393",  # kTGT_MergedSrc L2008-4051
    "\U17393",  # kRSTUnicode 50.11
    "\U17394",  # kTGT_MergedSrc L2008-4033
    "\U17394",  # kRSTUnicode 50.13
    "\U17395",  # kTGT_MergedSrc L2008-6047
    "\U17395",  # kRSTUnicode 50.14
    "\U17396",  # kTGT_MergedSrc L2008-4046
    "\U17396",  # kRSTUnicode 50.15
    "\U17397",  # kTGT_MergedSrc L2008-4034
    "\U17397",  # kRSTUnicode 50.19
    "\U17398",  # kTGT_MergedSrc L2008-0785
    "\U17398",  # kRSTUnicode 52.5
    "\U17399",  # kTGT_MergedSrc L2008-0335
    "\U17399",  # kRSTUnicode 52.7
    "\U1739A",  # kTGT_MergedSrc L2008-0708
    "\U1739A",  # kRSTUnicode 52.7
    "\U1739B",  # kTGT_MergedSrc L2008-0328
    "\U1739B",  # kRSTUnicode 52.8
    "\U1739C",  # kTGT_MergedSrc L2008-0566
    "\U1739C",  # kRSTUnicode 52.9
    "\U1739D",  # kTGT_MergedSrc L2008-1753
    "\U1739D",  # kRSTUnicode 52.9
    "\U1739E",  # kTGT_MergedSrc L2008-1754
    "\U1739E",  # kRSTUnicode 52.9
    "\U1739F",  # kTGT_MergedSrc L2008-1350
    "\U1739F",  # kRSTUnicode 52.9
    "\U173A0",  # kTGT_MergedSrc L2008-1407
    "\U173A0",  # kRSTUnicode 52.10
    "\U173A1",  # kTGT_MergedSrc L2008-0798
    "\U173A1",  # kRSTUnicode 52.11
    "\U173A2",  # kTGT_MergedSrc L2008-1755
    "\U173A2",  # kRSTUnicode 52.11
    "\U173A3",  # kTGT_MergedSrc L2008-1376
    "\U173A3",  # kRSTUnicode 52.11
    "\U173A4",  # kTGT_MergedSrc L2008-0367
    "\U173A4",  # kRSTUnicode 52.14
    "\U173A5",  # kTGT_MergedSrc L2008-2360
    "\U173A5",  # kRSTUnicode 54.8
    "\U173A6",  # kTGT_MergedSrc L2008-1937
    "\U173A6",  # kRSTUnicode 54.9
    "\U173A7",  # kTGT_MergedSrc L2008-2359
    "\U173A7",  # kRSTUnicode 54.9
    "\U173A8",  # kTGT_MergedSrc L2008-2926
    "\U173A8",  # kRSTUnicode 54.10
    "\U173A9",  # kTGT_MergedSrc L2008-3516
    "\U173A9",  # kRSTUnicode 54.10
    "\U173AA",  # kTGT_MergedSrc H2004-A-5829
    "\U173AA",  # kRSTUnicode 54.11
    "\U173AB",  # kTGT_MergedSrc L2008-2698
    "\U173AB",  # kRSTUnicode 54.11
    "\U173AC",  # kTGT_MergedSrc L2008-1938
    "\U173AC",  # kRSTUnicode 54.12
    "\U173AD",  # kTGT_MergedSrc L2008-1892
    "\U173AD",  # kRSTUnicode 54.12
    "\U173AE",  # kTGT_MergedSrc L2008-2820
    "\U173AE",  # kRSTUnicode 54.12
    "\U173AF",  # kTGT_MergedSrc L2008-2835
    "\U173AF",  # kRSTUnicode 54.14
    "\U173B0",  # kTGT_MergedSrc L2008-1891
    "\U173B0",  # kRSTUnicode 54.15
    "\U173B1",  # kTGT_MergedSrc L2008-2836
    "\U173B1",  # kRSTUnicode 54.15
    "\U173B2",  # kTGT_MergedSrc L2008-2821
    "\U173B2",  # kRSTUnicode 54.16
    "\U173B3",  # kTGT_MergedSrc L2008-2841
    "\U173B3",  # kRSTUnicode 54.17
    "\U173B4",  # kTGT_MergedSrc L2008-3450
    "\U173B4",  # kRSTUnicode 55.9
    "\U173B5",  # kTGT_MergedSrc L2008-4025
    "\U173B5",  # kRSTUnicode 61.9
    "\U173B6",  # kTGT_MergedSrc L2008-4023
    "\U173B6",  # kRSTUnicode 61.9
    "\U173B7",  # kTGT_MergedSrc L2008-4085
    "\U173B7",  # kRSTUnicode 61.9
    "\U173B8",  # kTGT_MergedSrc L2008-4054
    "\U173B8",  # kRSTUnicode 61.10
    "\U173B9",  # kTGT_MergedSrc L2008-4060
    "\U173B9",  # kRSTUnicode 61.10
    "\U173BA",  # kTGT_MergedSrc L2008-4038
    "\U173BA",  # kRSTUnicode 61.12
    "\U173BB",  # kTGT_MergedSrc L2008-2080
    "\U173BB",  # kRSTUnicode 62.9
    "\U173BC",  # kTGT_MergedSrc L2008-2028
    "\U173BC",  # kRSTUnicode 65.7
    "\U173BD",  # kTGT_MergedSrc L2008-2586
    "\U173BD",  # kRSTUnicode 65.8
    "\U173BE",  # kTGT_MergedSrc L2008-2411
    "\U173BE",  # kRSTUnicode 65.9
    "\U173BF",  # kTGT_MergedSrc L2008-3771
    "\U173BF",  # kRSTUnicode 65.9
    "\U173C0",  # kTGT_MergedSrc L2008-2723
    "\U173C0",  # kRSTUnicode 65.9
    "\U173C1",  # kTGT_MergedSrc L2008-1999
    "\U173C1",  # kRSTUnicode 65.10
    "\U173C2",  # kTGT_MergedSrc L2008-1995
    "\U173C2",  # kRSTUnicode 65.11
    "\U173C3",  # kTGT_MergedSrc L2008-2722
    "\U173C3",  # kRSTUnicode 65.11
    "\U173C4",  # kTGT_MergedSrc L2008-2000
    "\U173C4",  # kRSTUnicode 65.12
    "\U173C5",  # kTGT_MergedSrc L2008-3546
    "\U173C5",  # kRSTUnicode 65.12
    "\U173C6",  # kTGT_MergedSrc L2008-2052
    "\U173C6",  # kRSTUnicode 65.12
    "\U173C7",  # kTGT_MergedSrc L2008-2403
    "\U173C7",  # kRSTUnicode 67.11
    "\U173C8",  # kTGT_MergedSrc L2008-3535
    "\U173C8",  # kRSTUnicode 67.15
    "\U173C9",  # kTGT_MergedSrc L2008-2283
    "\U173C9",  # kRSTUnicode 68.8
    "\U173CA",  # kTGT_MergedSrc L2008-3225
    "\U173CA",  # kRSTUnicode 68.8
    "\U173CB",  # kTGT_MergedSrc L2008-3363
    "\U173CB",  # kRSTUnicode 68.8
    "\U173CC",  # kTGT_MergedSrc S1968-5596
    "\U173CC",  # kRSTUnicode 68.8
    "\U173CD",  # kTGT_MergedSrc N1966-202-051
    "\U173CD",  # kRSTUnicode 68.8
    "\U173CE",  # kTGT_MergedSrc L2008-2471
    "\U173CE",  # kRSTUnicode 68.9
    "\U173CF",  # kTGT_MergedSrc L2008-2441
    "\U173CF",  # kRSTUnicode 68.9
    "\U173D0",  # kTGT_MergedSrc L2008-3790
    "\U173D0",  # kRSTUnicode 68.9
    "\U173D1",  # kTGT_MergedSrc L2008-2442
    "\U173D1",  # kRSTUnicode 68.9
    "\U173D2",  # kTGT_MergedSrc L2008-2744
    "\U173D2",  # kRSTUnicode 68.9
    "\U173D3",  # kTGT_MergedSrc L2008-3655
    "\U173D3",  # kRSTUnicode 68.9
    "\U173D4",  # kTGT_MergedSrc L2008-3350
    "\U173D4",  # kRSTUnicode 68.10
    "\U173D5",  # kTGT_MergedSrc L2008-2774
    "\U173D5",  # kRSTUnicode 68.10
    "\U173D6",  # kTGT_MergedSrc L2008-2796
    "\U173D6",  # kRSTUnicode 68.10
    "\U173D7",  # kTGT_MergedSrc L2008-3104
    "\U173D7",  # kRSTUnicode 68.10
    "\U173D8",  # kTGT_MergedSrc L2008-3273
    "\U173D8",  # kRSTUnicode 68.10
    "\U173D9",  # kTGT_MergedSrc L2008-3340
    "\U173D9",  # kRSTUnicode 68.10
    "\U173DA",  # kTGT_MergedSrc L2008-3233
    "\U173DA",  # kRSTUnicode 68.10
    "\U173DB",  # kTGT_MergedSrc L2008-2072
    "\U173DB",  # kRSTUnicode 68.11
    "\U173DC",  # kTGT_MergedSrc L2008-2081
    "\U173DC",  # kRSTUnicode 68.11
    "\U173DD",  # kTGT_MergedSrc L2008-3325
    "\U173DD",  # kRSTUnicode 68.11
    "\U173DE",  # kTGT_MergedSrc L2008-3112
    "\U173DE",  # kRSTUnicode 68.11
    "\U173DF",  # kTGT_MergedSrc L2008-3573
    "\U173DF",  # kRSTUnicode 68.11
    "\U173E0",  # kTGT_MergedSrc L2008-3303
    "\U173E0",  # kRSTUnicode 68.11
    "\U173E1",  # kTGT_MergedSrc L2008-2503
    "\U173E1",  # kRSTUnicode 68.11
    "\U173E2",  # kTGT_MergedSrc L2008-3720
    "\U173E2",  # kRSTUnicode 68.11
    "\U173E3",  # kTGT_MergedSrc L2008-3349
    "\U173E3",  # kRSTUnicode 68.11
    "\U173E4",  # kTGT_MergedSrc L2008-2171
    "\U173E4",  # kRSTUnicode 68.11
    "\U173E5",  # kTGT_MergedSrc L2008-2488
    "\U173E5",  # kRSTUnicode 68.12
    "\U173E6",  # kTGT_MergedSrc L2008-2863
    "\U173E6",  # kRSTUnicode 68.12
    "\U173E7",  # kTGT_MergedSrc S1968-5574
    "\U173E7",  # kRSTUnicode 68.12
    "\U173E8",  # kTGT_MergedSrc L2008-2681
    "\U173E8",  # kRSTUnicode 68.12
    "\U173E9",  # kTGT_MergedSrc L2008-2671
    "\U173E9",  # kRSTUnicode 68.12
    "\U173EA",  # kTGT_MergedSrc L2008-2608
    "\U173EA",  # kRSTUnicode 68.12
    "\U173EB",  # kTGT_MergedSrc L2008-2273
    "\U173EB",  # kRSTUnicode 68.12
    "\U173EC",  # kTGT_MergedSrc L2008-2287
    "\U173EC",  # kRSTUnicode 68.12
    "\U173ED",  # kTGT_MergedSrc L2008-2648
    "\U173ED",  # kRSTUnicode 68.12
    "\U173EE",  # kTGT_MergedSrc L2008-3314
    "\U173EE",  # kRSTUnicode 68.12
    "\U173EF",  # kTGT_MergedSrc L2008-3658
    "\U173EF",  # kRSTUnicode 68.12
    "\U173F0",  # kTGT_MergedSrc L2008-3155
    "\U173F0",  # kRSTUnicode 68.12
    "\U173F1",  # kTGT_MergedSrc L2008-3313
    "\U173F1",  # kRSTUnicode 68.12
    "\U173F2",  # kTGT_MergedSrc L2008-2489
    "\U173F2",  # kRSTUnicode 68.12
    "\U173F3",  # kTGT_MergedSrc L2008-2220
    "\U173F3",  # kRSTUnicode 68.12
    "\U173F4",  # kTGT_MergedSrc L2008-2149
    "\U173F4",  # kRSTUnicode 68.13
    "\U173F5",  # kTGT_MergedSrc L2008-3369
    "\U173F5",  # kRSTUnicode 68.13
    "\U173F6",  # kTGT_MergedSrc L2008-2769
    "\U173F6",  # kRSTUnicode 68.13
    "\U173F7",  # kTGT_MergedSrc L2008-3352
    "\U173F7",  # kRSTUnicode 68.14
    "\U173F8",  # kTGT_MergedSrc L2008-3718
    "\U173F8",  # kRSTUnicode 68.14
    "\U173F9",  # kTGT_MergedSrc L2008-2513
    "\U173F9",  # kRSTUnicode 68.14
    "\U173FA",  # kTGT_MergedSrc L2008-3706
    "\U173FA",  # kRSTUnicode 68.14
    "\U173FB",  # kTGT_MergedSrc L2008-2274
    "\U173FB",  # kRSTUnicode 68.15
    "\U173FC",  # kTGT_MergedSrc L2008-2143
    "\U173FC",  # kRSTUnicode 68.15
    "\U173FD",  # kTGT_MergedSrc L2008-2223
    "\U173FD",  # kRSTUnicode 68.15
    "\U173FE",  # kTGT_MergedSrc L2008-2659
    "\U173FE",  # kRSTUnicode 68.16
    "\U173FF",  # kTGT_MergedSrc L2008-3377
    "\U173FF",  # kRSTUnicode 68.16
    "\U17400",  # kTGT_MergedSrc L2008-3707
    "\U17400",  # kRSTUnicode 68.17
    "\U17401",  # kTGT_MergedSrc L2008-3156
    "\U17401",  # kRSTUnicode 68.18
    "\U17402",  # kTGT_MergedSrc L2008-3271
    "\U17402",  # kRSTUnicode 68.18
    "\U17403",  # kTGT_MergedSrc L2008-3253
    "\U17403",  # kRSTUnicode 68.20
    "\U17404",  # kTGT_MergedSrc L2008-2061
    "\U17404",  # kRSTUnicode 69.7
    "\U17405",  # kTGT_MergedSrc L2008-2434
    "\U17405",  # kRSTUnicode 69.9
    "\U17406",  # kTGT_MergedSrc L2008-3089
    "\U17406",  # kRSTUnicode 69.10
    "\U17407",  # kTGT_MergedSrc L2008-3090
    "\U17407",  # kRSTUnicode 69.10
    "\U17408",  # kTGT_MergedSrc L2008-3088
    "\U17408",  # kRSTUnicode 69.10
    "\U17409",  # kTGT_MergedSrc L2008-2600
    "\U17409",  # kRSTUnicode 69.12
    "\U1740A",  # kTGT_MergedSrc L2008-3558
    "\U1740A",  # kRSTUnicode 69.12
    "\U1740B",  # kTGT_MergedSrc L2008-3401
    "\U1740B",  # kRSTUnicode 70.7
    "\U1740C",  # kTGT_MergedSrc L2008-3432
    "\U1740C",  # kRSTUnicode 70.8
    "\U1740D",  # kTGT_MergedSrc L2008-3018
    "\U1740D",  # kRSTUnicode 70.8
    "\U1740E",  # kTGT_MergedSrc L2008-3391
    "\U1740E",  # kRSTUnicode 70.8
    "\U1740F",  # kTGT_MergedSrc L2008-3036
    "\U1740F",  # kRSTUnicode 70.9
    "\U17410",  # kTGT_MergedSrc L2008-3423
    "\U17410",  # kRSTUnicode 70.10
    "\U17411",  # kTGT_MergedSrc L2008-3398
    "\U17411",  # kRSTUnicode 70.10
    "\U17412",  # kTGT_MergedSrc L2008-3005
    "\U17412",  # kRSTUnicode 70.10
    "\U17413",  # kTGT_MergedSrc L2008-3038
    "\U17413",  # kRSTUnicode 70.11
    "\U17414",  # kTGT_MergedSrc L2008-3083
    "\U17414",  # kRSTUnicode 70.12
    "\U17415",  # kTGT_MergedSrc L2008-3448
    "\U17415",  # kRSTUnicode 70.12
    "\U17416",  # kTGT_MergedSrc L2008-3392
    "\U17416",  # kRSTUnicode 70.12
    "\U17417",  # kTGT_MergedSrc L2008-3015
    "\U17417",  # kRSTUnicode 70.13
    "\U17418",  # kTGT_MergedSrc L2008-3043
    "\U17418",  # kRSTUnicode 70.14
    "\U17419",  # kTGT_MergedSrc L2008-3016
    "\U17419",  # kRSTUnicode 70.14
    "\U1741A",  # kTGT_MergedSrc L2008-3188
    "\U1741A",  # kRSTUnicode 70.14
    "\U1741B",  # kTGT_MergedSrc L2008-2994
    "\U1741B",  # kRSTUnicode 70.16
    "\U1741C",  # kTGT_MergedSrc L2008-3008
    "\U1741C",  # kRSTUnicode 70.17
    "\U1741D",  # kTGT_MergedSrc L2008-3822
    "\U1741D",  # kRSTUnicode 73.8
    "\U1741E",  # kTGT_MergedSrc L2008-3825
    "\U1741E",  # kRSTUnicode 73.9
    "\U1741F",  # kTGT_MergedSrc L2008-3816
    "\U1741F",  # kRSTUnicode 73.10
    "\U17420",  # kTGT_MergedSrc L2008-3828
    "\U17420",  # kRSTUnicode 73.10
    "\U17421",  # kTGT_MergedSrc L2008-3820
    "\U17421",  # kRSTUnicode 73.10
    "\U17422",  # kTGT_MergedSrc L2008-3814
    "\U17422",  # kRSTUnicode 73.10
    "\U17423",  # kTGT_MergedSrc L2008-3821
    "\U17423",  # kRSTUnicode 73.11
    "\U17424",  # kTGT_MergedSrc L2008-3813
    "\U17424",  # kRSTUnicode 73.12
    "\U17425",  # kTGT_MergedSrc L2008-3829
    "\U17425",  # kRSTUnicode 73.12
    "\U17426",  # kTGT_MergedSrc L2008-3824
    "\U17426",  # kRSTUnicode 73.13
    "\U17427",  # kTGT_MergedSrc L2008-3817
    "\U17427",  # kRSTUnicode 73.15
    "\U17428",  # kTGT_MergedSrc L2008-3893
    "\U17428",  # kRSTUnicode 74.12
    "\U17429",  # kTGT_MergedSrc L2008-3938
    "\U17429",  # kRSTUnicode 74.14
    "\U1742A",  # kTGT_MergedSrc L2008-4775
    "\U1742A",  # kRSTUnicode 75.6
    "\U1742B",  # kTGT_MergedSrc L2008-4795
    "\U1742B",  # kRSTUnicode 75.7
    "\U1742C",  # kTGT_MergedSrc L2008-4933
    "\U1742C",  # kRSTUnicode 75.7
    "\U1742D",  # kTGT_MergedSrc L2008-4761
    "\U1742D",  # kRSTUnicode 75.8
    "\U1742E",  # kTGT_MergedSrc L2008-4676
    "\U1742E",  # kRSTUnicode 75.8
    "\U1742F",  # kTGT_MergedSrc L2008-4719
    "\U1742F",  # kRSTUnicode 75.8
    "\U17430",  # kTGT_MergedSrc L2008-4842
    "\U17430",  # kRSTUnicode 75.8
    "\U17431",  # kTGT_MergedSrc L2008-4884
    "\U17431",  # kRSTUnicode 75.8
    "\U17432",  # kTGT_MergedSrc L2008-5042
    "\U17432",  # kRSTUnicode 75.8
    "\U17433",  # kTGT_MergedSrc L2008-4865
    "\U17433",  # kRSTUnicode 75.9
    "\U17434",  # kTGT_MergedSrc L2008-4681
    "\U17434",  # kRSTUnicode 75.9
    "\U17435",  # kTGT_MergedSrc L2008-4803
    "\U17435",  # kRSTUnicode 75.9
    "\U17436",  # kTGT_MergedSrc L2008-4720
    "\U17436",  # kRSTUnicode 75.9
    "\U17437",  # kTGT_MergedSrc L2008-4843
    "\U17437",  # kRSTUnicode 75.9
    "\U17438",  # kTGT_MergedSrc L2008-4804
    "\U17438",  # kRSTUnicode 75.9
    "\U17439",  # kTGT_MergedSrc L2008-4760
    "\U17439",  # kRSTUnicode 75.9
    "\U1743A",  # kTGT_MergedSrc L2008-4794
    "\U1743A",  # kRSTUnicode 75.9
    "\U1743B",  # kTGT_MergedSrc L2008-4857
    "\U1743B",  # kRSTUnicode 75.9
    "\U1743C",  # kTGT_MergedSrc L2008-4858
    "\U1743C",  # kRSTUnicode 75.9
    "\U1743D",  # kTGT_MergedSrc L2008-5034
    "\U1743D",  # kRSTUnicode 75.9
    "\U1743E",  # kTGT_MergedSrc L2008-4921
    "\U1743E",  # kRSTUnicode 75.9
    "\U1743F",  # kTGT_MergedSrc L2008-4939
    "\U1743F",  # kRSTUnicode 75.9
    "\U17440",  # kTGT_MergedSrc L2008-4931
    "\U17440",  # kRSTUnicode 75.9
    "\U17441",  # kTGT_MergedSrc L2008-4744
    "\U17441",  # kRSTUnicode 75.10
    "\U17442",  # kTGT_MergedSrc L2008-5038
    "\U17442",  # kRSTUnicode 75.10
    "\U17443",  # kTGT_MergedSrc L2008-5055
    "\U17443",  # kRSTUnicode 75.10
    "\U17444",  # kTGT_MergedSrc L2008-5054
    "\U17444",  # kRSTUnicode 75.10
    "\U17445",  # kTGT_MergedSrc L2008-4728
    "\U17445",  # kRSTUnicode 75.10
    "\U17446",  # kTGT_MergedSrc L2008-4819
    "\U17446",  # kRSTUnicode 75.10
    "\U17447",  # kTGT_MergedSrc L2008-4820
    "\U17447",  # kRSTUnicode 75.10
    "\U17448",  # kTGT_MergedSrc L2008-4750
    "\U17448",  # kRSTUnicode 75.10
    "\U17449",  # kTGT_MergedSrc L2008-4684
    "\U17449",  # kRSTUnicode 75.10
    "\U1744A",  # kTGT_MergedSrc L2008-4759
    "\U1744A",  # kRSTUnicode 75.10
    "\U1744B",  # kTGT_MergedSrc L2008-4721
    "\U1744B",  # kRSTUnicode 75.10
    "\U1744C",  # kTGT_MergedSrc L2008-4866
    "\U1744C",  # kRSTUnicode 75.10
    "\U1744D",  # kTGT_MergedSrc L2008-5001
    "\U1744D",  # kRSTUnicode 75.10
    "\U1744E",  # kTGT_MergedSrc L2008-4942
    "\U1744E",  # kRSTUnicode 75.10
    "\U1744F",  # kTGT_MergedSrc L2008-4985
    "\U1744F",  # kRSTUnicode 75.10
    "\U17450",  # kTGT_MergedSrc L2008-4788
    "\U17450",  # kRSTUnicode 75.10
    "\U17451",  # kTGT_MergedSrc L2008-4798
    "\U17451",  # kRSTUnicode 75.10
    "\U17452",  # kTGT_MergedSrc L2008-4768
    "\U17452",  # kRSTUnicode 75.11
    "\U17453",  # kTGT_MergedSrc L2008-4723
    "\U17453",  # kRSTUnicode 75.11
    "\U17454",  # kTGT_MergedSrc L2008-4831
    "\U17454",  # kRSTUnicode 75.11
    "\U17455",  # kTGT_MergedSrc L2008-4954
    "\U17455",  # kRSTUnicode 75.11
    "\U17456",  # kTGT_MergedSrc L2008-4818
    "\U17456",  # kRSTUnicode 75.11
    "\U17457",  # kTGT_MergedSrc L2008-4751
    "\U17457",  # kRSTUnicode 75.11
    "\U17458",  # kTGT_MergedSrc L2008-4694
    "\U17458",  # kRSTUnicode 75.11
    "\U17459",  # kTGT_MergedSrc L2008-4848
    "\U17459",  # kRSTUnicode 75.11
    "\U1745A",  # kTGT_MergedSrc L2008-4853
    "\U1745A",  # kRSTUnicode 75.11
    "\U1745B",  # kTGT_MergedSrc L2008-4796
    "\U1745B",  # kRSTUnicode 75.11
    "\U1745C",  # kTGT_MergedSrc L2008-4690
    "\U1745C",  # kRSTUnicode 75.11
    "\U1745D",  # kTGT_MergedSrc L2008-4739
    "\U1745D",  # kRSTUnicode 75.11
    "\U1745E",  # kTGT_MergedSrc L2008-4678
    "\U1745E",  # kRSTUnicode 75.11
    "\U1745F",  # kTGT_MergedSrc L2008-4989
    "\U1745F",  # kRSTUnicode 75.11
    "\U17460",  # kTGT_MergedSrc L2008-4950
    "\U17460",  # kRSTUnicode 75.11
    "\U17461",  # kTGT_MergedSrc L2008-5002
    "\U17461",  # kRSTUnicode 75.11
    "\U17462",  # kTGT_MergedSrc H2004-A-1015
    "\U17462",  # kRSTUnicode 75.11
    "\U17463",  # kTGT_MergedSrc L2008-4943
    "\U17463",  # kRSTUnicode 75.11
    "\U17464",  # kTGT_MergedSrc L2008-4863
    "\U17464",  # kRSTUnicode 75.11
    "\U17465",  # kTGT_MergedSrc L2008-4886
    "\U17465",  # kRSTUnicode 75.11
    "\U17466",  # kTGT_MergedSrc L2008-4753
    "\U17466",  # kRSTUnicode 75.11
    "\U17467",  # kTGT_MergedSrc L2008-4941
    "\U17467",  # kRSTUnicode 75.11
    "\U17468",  # kTGT_MergedSrc L2008-4926
    "\U17468",  # kRSTUnicode 75.11
    "\U17469",  # kTGT_MergedSrc L2008-4868
    "\U17469",  # kRSTUnicode 75.11
    "\U1746A",  # kTGT_MergedSrc L2008-5045
    "\U1746A",  # kRSTUnicode 75.11
    "\U1746B",  # kTGT_MergedSrc L2008-5031
    "\U1746B",  # kRSTUnicode 75.11
    "\U1746C",  # kTGT_MergedSrc L2008-4799
    "\U1746C",  # kRSTUnicode 75.11
    "\U1746D",  # kTGT_MergedSrc L2008-4854
    "\U1746D",  # kRSTUnicode 75.11
    "\U1746E",  # kTGT_MergedSrc L2008-4901
    "\U1746E",  # kRSTUnicode 75.12
    "\U1746F",  # kTGT_MergedSrc L2008-5007
    "\U1746F",  # kRSTUnicode 75.12
    "\U17470",  # kTGT_MergedSrc L2008-4769
    "\U17470",  # kRSTUnicode 75.12
    "\U17471",  # kTGT_MergedSrc L2008-4740
    "\U17471",  # kRSTUnicode 75.12
    "\U17472",  # kTGT_MergedSrc L2008-4980
    "\U17472",  # kRSTUnicode 75.12
    "\U17473",  # kTGT_MergedSrc L2008-4974
    "\U17473",  # kRSTUnicode 75.12
    "\U17474",  # kTGT_MergedSrc L2008-5059
    "\U17474",  # kRSTUnicode 75.12
    "\U17475",  # kTGT_MergedSrc L2008-4758
    "\U17475",  # kRSTUnicode 75.12
    "\U17476",  # kTGT_MergedSrc L2008-4805
    "\U17476",  # kRSTUnicode 75.12
    "\U17477",  # kTGT_MergedSrc L2008-4683
    "\U17477",  # kRSTUnicode 75.12
    "\U17478",  # kTGT_MergedSrc L2008-4767
    "\U17478",  # kRSTUnicode 75.12
    "\U17479",  # kTGT_MergedSrc L2008-4685
    "\U17479",  # kRSTUnicode 75.12
    "\U1747A",  # kTGT_MergedSrc L2008-4789
    "\U1747A",  # kRSTUnicode 75.12
    "\U1747B",  # kTGT_MergedSrc L2008-4725
    "\U1747B",  # kRSTUnicode 75.12
    "\U1747C",  # kTGT_MergedSrc L2008-4709
    "\U1747C",  # kRSTUnicode 75.12
    "\U1747D",  # kTGT_MergedSrc L2008-4806
    "\U1747D",  # kRSTUnicode 75.12
    "\U1747E",  # kTGT_MergedSrc L2008-4902
    "\U1747E",  # kRSTUnicode 75.12
    "\U1747F",  # kTGT_MergedSrc L2008-4924
    "\U1747F",  # kRSTUnicode 75.12
    "\U17480",  # kTGT_MergedSrc L2008-4887
    "\U17480",  # kRSTUnicode 75.12
    "\U17481",  # kTGT_MergedSrc L2008-4973
    "\U17481",  # kRSTUnicode 75.12
    "\U17482",  # kTGT_MergedSrc L2008-5051
    "\U17482",  # kRSTUnicode 75.12
    "\U17483",  # kTGT_MergedSrc L2008-4951
    "\U17483",  # kRSTUnicode 75.12
    "\U17484",  # kTGT_MergedSrc L2008-4862
    "\U17484",  # kRSTUnicode 75.12
    "\U17485",  # kTGT_MergedSrc L2008-4867
    "\U17485",  # kRSTUnicode 75.12
    "\U17486",  # kTGT_MergedSrc L2008-5003
    "\U17486",  # kRSTUnicode 75.12
    "\U17487",  # kTGT_MergedSrc L2008-4925
    "\U17487",  # kRSTUnicode 75.12
    "\U17488",  # kTGT_MergedSrc L2008-4707
    "\U17488",  # kRSTUnicode 75.12
    "\U17489",  # kTGT_MergedSrc L2008-5044
    "\U17489",  # kRSTUnicode 75.12
    "\U1748A",  # kTGT_MergedSrc L2008-4673
    "\U1748A",  # kRSTUnicode 75.12
    "\U1748B",  # kTGT_MergedSrc L2008-4763
    "\U1748B",  # kRSTUnicode 75.12
    "\U1748C",  # kTGT_MergedSrc L2008-4955
    "\U1748C",  # kRSTUnicode 75.12
    "\U1748D",  # kTGT_MergedSrc L2008-5043
    "\U1748D",  # kRSTUnicode 75.12
    "\U1748E",  # kTGT_MergedSrc L2008-5048
    "\U1748E",  # kRSTUnicode 75.12
    "\U1748F",  # kTGT_MergedSrc L2008-6055
    "\U1748F",  # kRSTUnicode 75.12
    "\U17490",  # kTGT_MergedSrc L2008-5030
    "\U17490",  # kRSTUnicode 75.12
    "\U17491",  # kTGT_MergedSrc L2008-4940
    "\U17491",  # kRSTUnicode 75.12
    "\U17492",  # kTGT_MergedSrc L2008-4870
    "\U17492",  # kRSTUnicode 75.12
    "\U17493",  # kTGT_MergedSrc L2008-4837
    "\U17493",  # kRSTUnicode 75.12
    "\U17494",  # kTGT_MergedSrc L2008-4828
    "\U17494",  # kRSTUnicode 75.12
    "\U17495",  # kTGT_MergedSrc L2008-4895
    "\U17495",  # kRSTUnicode 75.12
    "\U17496",  # kTGT_MergedSrc L2008-4885
    "\U17496",  # kRSTUnicode 75.12
    "\U17497",  # kTGT_MergedSrc L2008-5056
    "\U17497",  # kRSTUnicode 75.12
    "\U17498",  # kTGT_MergedSrc L2008-5057
    "\U17498",  # kRSTUnicode 75.12
    "\U17499",  # kTGT_MergedSrc L2008-5058
    "\U17499",  # kRSTUnicode 75.12
    "\U1749A",  # kTGT_MergedSrc L2008-5035
    "\U1749A",  # kRSTUnicode 75.12
    "\U1749B",  # kTGT_MergedSrc L2008-4811
    "\U1749B",  # kRSTUnicode 75.12
    "\U1749C",  # kTGT_MergedSrc L2008-4970
    "\U1749C",  # kRSTUnicode 75.13
    "\U1749D",  # kTGT_MergedSrc L2008-4844
    "\U1749D",  # kRSTUnicode 75.13
    "\U1749E",  # kTGT_MergedSrc L2008-5018
    "\U1749E",  # kRSTUnicode 75.13
    "\U1749F",  # kTGT_MergedSrc L2008-4992
    "\U1749F",  # kRSTUnicode 75.13
    "\U174A0",  # kTGT_MergedSrc L2008-4724
    "\U174A0",  # kRSTUnicode 75.13
    "\U174A1",  # kTGT_MergedSrc L2008-4822
    "\U174A1",  # kRSTUnicode 75.13
    "\U174A2",  # kTGT_MergedSrc L2008-4708
    "\U174A2",  # kRSTUnicode 75.13
    "\U174A3",  # kTGT_MergedSrc L2008-4727
    "\U174A3",  # kRSTUnicode 75.13
    "\U174A4",  # kTGT_MergedSrc L2008-5004
    "\U174A4",  # kRSTUnicode 75.13
    "\U174A5",  # kTGT_MergedSrc L2008-4923
    "\U174A5",  # kRSTUnicode 75.13
    "\U174A6",  # kTGT_MergedSrc L2008-4975
    "\U174A6",  # kRSTUnicode 75.13
    "\U174A7",  # kTGT_MergedSrc L2008-4836
    "\U174A7",  # kRSTUnicode 75.13
    "\U174A8",  # kTGT_MergedSrc L2008-4696
    "\U174A8",  # kRSTUnicode 75.13
    "\U174A9",  # kTGT_MergedSrc L2008-4849
    "\U174A9",  # kRSTUnicode 75.13
    "\U174AA",  # kTGT_MergedSrc L2008-4752
    "\U174AA",  # kRSTUnicode 75.13
    "\U174AB",  # kTGT_MergedSrc L2008-4695
    "\U174AB",  # kRSTUnicode 75.13
    "\U174AC",  # kTGT_MergedSrc L2008-4722
    "\U174AC",  # kRSTUnicode 75.13
    "\U174AD",  # kTGT_MergedSrc L2008-4731
    "\U174AD",  # kRSTUnicode 75.13
    "\U174AE",  # kTGT_MergedSrc L2008-4823
    "\U174AE",  # kRSTUnicode 75.13
    "\U174AF",  # kTGT_MergedSrc L2008-4807
    "\U174AF",  # kRSTUnicode 75.13
    "\U174B0",  # kTGT_MergedSrc L2008-4932
    "\U174B0",  # kRSTUnicode 75.13
    "\U174B1",  # kTGT_MergedSrc L2008-4971
    "\U174B1",  # kRSTUnicode 75.13
    "\U174B2",  # kTGT_MergedSrc L2008-4972
    "\U174B2",  # kRSTUnicode 75.13
    "\U174B3",  # kTGT_MergedSrc L2008-4903
    "\U174B3",  # kRSTUnicode 75.13
    "\U174B4",  # kTGT_MergedSrc L2008-4988
    "\U174B4",  # kRSTUnicode 75.13
    "\U174B5",  # kTGT_MergedSrc L2008-4920
    "\U174B5",  # kRSTUnicode 75.13
    "\U174B6",  # kTGT_MergedSrc L2008-4969
    "\U174B6",  # kRSTUnicode 75.13
    "\U174B7",  # kTGT_MergedSrc L2008-4905
    "\U174B7",  # kRSTUnicode 75.13
    "\U174B8",  # kTGT_MergedSrc L2008-4949
    "\U174B8",  # kRSTUnicode 75.13
    "\U174B9",  # kTGT_MergedSrc L2008-4778
    "\U174B9",  # kRSTUnicode 75.13
    "\U174BA",  # kTGT_MergedSrc L2008-4801
    "\U174BA",  # kRSTUnicode 75.13
    "\U174BB",  # kTGT_MergedSrc L2008-4791
    "\U174BB",  # kRSTUnicode 75.13
    "\U174BC",  # kTGT_MergedSrc L2008-4808
    "\U174BC",  # kRSTUnicode 75.13
    "\U174BD",  # kTGT_MergedSrc L2008-5005
    "\U174BD",  # kRSTUnicode 75.13
    "\U174BE",  # kTGT_MergedSrc L2008-4825
    "\U174BE",  # kRSTUnicode 75.13
    "\U174BF",  # kTGT_MergedSrc L2008-4845
    "\U174BF",  # kRSTUnicode 75.13
    "\U174C0",  # kTGT_MergedSrc L2008-4746
    "\U174C0",  # kRSTUnicode 75.13
    "\U174C1",  # kTGT_MergedSrc L2008-5026
    "\U174C1",  # kRSTUnicode 75.13
    "\U174C2",  # kTGT_MergedSrc L2008-4993
    "\U174C2",  # kRSTUnicode 75.13
    "\U174C3",  # kTGT_MergedSrc L2008-4692
    "\U174C3",  # kRSTUnicode 75.13
    "\U174C4",  # kTGT_MergedSrc L2008-5039
    "\U174C4",  # kRSTUnicode 75.13
    "\U174C5",  # kTGT_MergedSrc L2008-5040
    "\U174C5",  # kRSTUnicode 75.13
    "\U174C6",  # kTGT_MergedSrc L2008-5024
    "\U174C6",  # kRSTUnicode 75.13
    "\U174C7",  # kTGT_MergedSrc L2008-4968
    "\U174C7",  # kRSTUnicode 75.13
    "\U174C8",  # kTGT_MergedSrc L2008-4729
    "\U174C8",  # kRSTUnicode 75.13
    "\U174C9",  # kTGT_MergedSrc L2008-4869
    "\U174C9",  # kRSTUnicode 75.13
    "\U174CA",  # kTGT_MergedSrc L2008-5011
    "\U174CA",  # kRSTUnicode 75.13
    "\U174CB",  # kTGT_MergedSrc L2008-5060
    "\U174CB",  # kRSTUnicode 75.13
    "\U174CC",  # kTGT_MergedSrc L2008-5032
    "\U174CC",  # kRSTUnicode 75.13
    "\U174CD",  # kTGT_MergedSrc L2008-4826
    "\U174CD",  # kRSTUnicode 75.13
    "\U174CE",  # kTGT_MergedSrc L2008-4850
    "\U174CE",  # kRSTUnicode 75.13
    "\U174CF",  # kTGT_MergedSrc L2008-4810
    "\U174CF",  # kRSTUnicode 75.14
    "\U174D0",  # kTGT_MergedSrc L2008-4691
    "\U174D0",  # kRSTUnicode 75.14
    "\U174D1",  # kTGT_MergedSrc L2008-4976
    "\U174D1",  # kRSTUnicode 75.14
    "\U174D2",  # kTGT_MergedSrc L2008-4977
    "\U174D2",  # kRSTUnicode 75.14
    "\U174D3",  # kTGT_MergedSrc L2008-4762
    "\U174D3",  # kRSTUnicode 75.14
    "\U174D4",  # kTGT_MergedSrc L2008-4832
    "\U174D4",  # kRSTUnicode 75.14
    "\U174D5",  # kTGT_MergedSrc L2008-4987
    "\U174D5",  # kRSTUnicode 75.14
    "\U174D6",  # kTGT_MergedSrc L2008-4733
    "\U174D6",  # kRSTUnicode 75.14
    "\U174D7",  # kTGT_MergedSrc L2008-4706
    "\U174D7",  # kRSTUnicode 75.14
    "\U174D8",  # kTGT_MergedSrc L2008-4784
    "\U174D8",  # kRSTUnicode 75.14
    "\U174D9",  # kTGT_MergedSrc L2008-4776
    "\U174D9",  # kRSTUnicode 75.14
    "\U174DA",  # kTGT_MergedSrc L2008-4737
    "\U174DA",  # kRSTUnicode 75.14
    "\U174DB",  # kTGT_MergedSrc L2008-4718
    "\U174DB",  # kRSTUnicode 75.14
    "\U174DC",  # kTGT_MergedSrc L2008-4754
    "\U174DC",  # kRSTUnicode 75.14
    "\U174DD",  # kTGT_MergedSrc L2008-4910
    "\U174DD",  # kRSTUnicode 75.14
    "\U174DE",  # kTGT_MergedSrc L2008-5012
    "\U174DE",  # kRSTUnicode 75.14
    "\U174DF",  # kTGT_MergedSrc L2008-4934
    "\U174DF",  # kRSTUnicode 75.14
    "\U174E0",  # kTGT_MergedSrc L2008-5052
    "\U174E0",  # kRSTUnicode 75.14
    "\U174E1",  # kTGT_MergedSrc L2008-5050
    "\U174E1",  # kRSTUnicode 75.14
    "\U174E2",  # kTGT_MergedSrc L2008-4893
    "\U174E2",  # kRSTUnicode 75.14
    "\U174E3",  # kTGT_MergedSrc L2008-4944
    "\U174E3",  # kRSTUnicode 75.14
    "\U174E4",  # kTGT_MergedSrc L2008-4864
    "\U174E4",  # kRSTUnicode 75.14
    "\U174E5",  # kTGT_MergedSrc L2008-4937
    "\U174E5",  # kRSTUnicode 75.14
    "\U174E6",  # kTGT_MergedSrc L2008-4922
    "\U174E6",  # kRSTUnicode 75.14
    "\U174E7",  # kTGT_MergedSrc L2008-4938
    "\U174E7",  # kRSTUnicode 75.14
    "\U174E8",  # kTGT_MergedSrc L2008-5028
    "\U174E8",  # kRSTUnicode 75.14
    "\U174E9",  # kTGT_MergedSrc L2008-4809
    "\U174E9",  # kRSTUnicode 75.14
    "\U174EA",  # kTGT_MergedSrc L2008-4792
    "\U174EA",  # kRSTUnicode 75.14
    "\U174EB",  # kTGT_MergedSrc L2008-4960
    "\U174EB",  # kRSTUnicode 75.14
    "\U174EC",  # kTGT_MergedSrc L2008-4982
    "\U174EC",  # kRSTUnicode 75.14
    "\U174ED",  # kTGT_MergedSrc L2008-4824
    "\U174ED",  # kRSTUnicode 75.14
    "\U174EE",  # kTGT_MergedSrc L2008-5025
    "\U174EE",  # kRSTUnicode 75.14
    "\U174EF",  # kTGT_MergedSrc L2008-5027
    "\U174EF",  # kRSTUnicode 75.14
    "\U174F0",  # kTGT_MergedSrc L2008-4693
    "\U174F0",  # kRSTUnicode 75.14
    "\U174F1",  # kTGT_MergedSrc L2008-4978
    "\U174F1",  # kRSTUnicode 75.14
    "\U174F2",  # kTGT_MergedSrc L2008-4790
    "\U174F2",  # kRSTUnicode 75.14
    "\U174F3",  # kTGT_MergedSrc L2008-4736
    "\U174F3",  # kRSTUnicode 75.14
    "\U174F4",  # kTGT_MergedSrc L2008-4838
    "\U174F4",  # kRSTUnicode 75.14
    "\U174F5",  # kTGT_MergedSrc L2008-4927
    "\U174F5",  # kRSTUnicode 75.14
    "\U174F6",  # kTGT_MergedSrc L2008-5006
    "\U174F6",  # kRSTUnicode 75.14
    "\U174F7",  # kTGT_MergedSrc L2008-4686
    "\U174F7",  # kRSTUnicode 75.14
    "\U174F8",  # kTGT_MergedSrc L2008-5016
    "\U174F8",  # kRSTUnicode 75.15
    "\U174F9",  # kTGT_MergedSrc L2008-4914
    "\U174F9",  # kRSTUnicode 75.15
    "\U174FA",  # kTGT_MergedSrc L2008-4957
    "\U174FA",  # kRSTUnicode 75.15
    "\U174FB",  # kTGT_MergedSrc L2008-4687
    "\U174FB",  # kRSTUnicode 75.15
    "\U174FC",  # kTGT_MergedSrc L2008-4847
    "\U174FC",  # kRSTUnicode 75.15
    "\U174FD",  # kTGT_MergedSrc L2008-4710
    "\U174FD",  # kRSTUnicode 75.15
    "\U174FE",  # kTGT_MergedSrc L2008-4990
    "\U174FE",  # kRSTUnicode 75.15
    "\U174FF",  # kTGT_MergedSrc L2008-4913
    "\U174FF",  # kRSTUnicode 75.15
    "\U17500",  # kTGT_MergedSrc L2008-5049
    "\U17500",  # kRSTUnicode 75.15
    "\U17501",  # kTGT_MergedSrc L2008-4953
    "\U17501",  # kRSTUnicode 75.15
    "\U17502",  # kTGT_MergedSrc L2008-4888
    "\U17502",  # kRSTUnicode 75.15
    "\U17503",  # kTGT_MergedSrc L2008-4959
    "\U17503",  # kRSTUnicode 75.15
    "\U17504",  # kTGT_MergedSrc L2008-4851
    "\U17504",  # kRSTUnicode 75.15
    "\U17505",  # kTGT_MergedSrc L2008-5021
    "\U17505",  # kRSTUnicode 75.15
    "\U17506",  # kTGT_MergedSrc L2008-4839
    "\U17506",  # kRSTUnicode 75.15
    "\U17507",  # kTGT_MergedSrc L2008-4730
    "\U17507",  # kRSTUnicode 75.15
    "\U17508",  # kTGT_MergedSrc L2008-4936
    "\U17508",  # kRSTUnicode 75.15
    "\U17509",  # kTGT_MergedSrc L2008-4981
    "\U17509",  # kRSTUnicode 75.15
    "\U1750A",  # kTGT_MergedSrc L2008-5029
    "\U1750A",  # kRSTUnicode 75.15
    "\U1750B",  # kTGT_MergedSrc L2008-4979
    "\U1750B",  # kRSTUnicode 75.15
    "\U1750C",  # kTGT_MergedSrc L2008-4956
    "\U1750C",  # kRSTUnicode 75.15
    "\U1750D",  # kTGT_MergedSrc L2008-4986
    "\U1750D",  # kRSTUnicode 75.15
    "\U1750E",  # kTGT_MergedSrc L2008-5061
    "\U1750E",  # kRSTUnicode 75.15
    "\U1750F",  # kTGT_MergedSrc L2008-4786
    "\U1750F",  # kRSTUnicode 75.15
    "\U17510",  # kTGT_MergedSrc L2008-4785
    "\U17510",  # kRSTUnicode 75.15
    "\U17511",  # kTGT_MergedSrc L2008-4800
    "\U17511",  # kRSTUnicode 75.15
    "\U17512",  # kTGT_MergedSrc L2008-4945
    "\U17512",  # kRSTUnicode 75.16
    "\U17513",  # kTGT_MergedSrc L2008-4961
    "\U17513",  # kRSTUnicode 75.16
    "\U17514",  # kTGT_MergedSrc L2008-4726
    "\U17514",  # kRSTUnicode 75.16
    "\U17515",  # kTGT_MergedSrc L2008-4783
    "\U17515",  # kRSTUnicode 75.16
    "\U17516",  # kTGT_MergedSrc L2008-4711
    "\U17516",  # kRSTUnicode 75.16
    "\U17517",  # kTGT_MergedSrc L2008-4830
    "\U17517",  # kRSTUnicode 75.16
    "\U17518",  # kTGT_MergedSrc L2008-4894
    "\U17518",  # kRSTUnicode 75.16
    "\U17519",  # kTGT_MergedSrc L2008-4952
    "\U17519",  # kRSTUnicode 75.16
    "\U1751A",  # kTGT_MergedSrc L2008-4833
    "\U1751A",  # kRSTUnicode 75.16
    "\U1751B",  # kTGT_MergedSrc L2008-4906
    "\U1751B",  # kRSTUnicode 75.16
    "\U1751C",  # kTGT_MergedSrc L2008-4821
    "\U1751C",  # kRSTUnicode 75.16
    "\U1751D",  # kTGT_MergedSrc L2008-5020
    "\U1751D",  # kRSTUnicode 75.16
    "\U1751E",  # kTGT_MergedSrc L2008-4918
    "\U1751E",  # kRSTUnicode 75.16
    "\U1751F",  # kTGT_MergedSrc L2008-4701
    "\U1751F",  # kRSTUnicode 75.16
    "\U17520",  # kTGT_MergedSrc L2008-4732
    "\U17520",  # kRSTUnicode 75.16
    "\U17521",  # kTGT_MergedSrc L2008-4915
    "\U17521",  # kRSTUnicode 75.16
    "\U17522",  # kTGT_MergedSrc L2008-4907
    "\U17522",  # kRSTUnicode 75.16
    "\U17523",  # kTGT_MergedSrc L2008-4698
    "\U17523",  # kRSTUnicode 75.16
    "\U17524",  # kTGT_MergedSrc L2008-4899
    "\U17524",  # kRSTUnicode 75.17
    "\U17525",  # kTGT_MergedSrc L2008-4697
    "\U17525",  # kRSTUnicode 75.17
    "\U17526",  # kTGT_MergedSrc L2008-4904
    "\U17526",  # kRSTUnicode 75.17
    "\U17527",  # kTGT_MergedSrc L2008-4840
    "\U17527",  # kRSTUnicode 75.17
    "\U17528",  # kTGT_MergedSrc L2008-4896
    "\U17528",  # kRSTUnicode 75.17
    "\U17529",  # kTGT_MergedSrc L2008-4900
    "\U17529",  # kRSTUnicode 75.17
    "\U1752A",  # kTGT_MergedSrc L2008-4892
    "\U1752A",  # kRSTUnicode 75.17
    "\U1752B",  # kTGT_MergedSrc L2008-4700
    "\U1752B",  # kRSTUnicode 75.17
    "\U1752C",  # kTGT_MergedSrc L2008-4962
    "\U1752C",  # kRSTUnicode 75.17
    "\U1752D",  # kTGT_MergedSrc L2008-4703
    "\U1752D",  # kRSTUnicode 75.17
    "\U1752E",  # kTGT_MergedSrc L2008-4958
    "\U1752E",  # kRSTUnicode 75.17
    "\U1752F",  # kTGT_MergedSrc L2008-4829
    "\U1752F",  # kRSTUnicode 75.17
    "\U17530",  # kTGT_MergedSrc L2008-4834
    "\U17530",  # kRSTUnicode 75.17
    "\U17531",  # kTGT_MergedSrc L2008-5022
    "\U17531",  # kRSTUnicode 75.18
    "\U17532",  # kTGT_MergedSrc L2008-4984
    "\U17532",  # kRSTUnicode 75.18
    "\U17533",  # kTGT_MergedSrc L2008-4702
    "\U17533",  # kRSTUnicode 75.18
    "\U17534",  # kTGT_MergedSrc L2008-4712
    "\U17534",  # kRSTUnicode 75.18
    "\U17535",  # kTGT_MergedSrc L2008-4963
    "\U17535",  # kRSTUnicode 75.19
    "\U17536",  # kTGT_MergedSrc L2008-4998
    "\U17536",  # kRSTUnicode 75.19
    "\U17537",  # kTGT_MergedSrc L2008-4994
    "\U17537",  # kRSTUnicode 75.19
    "\U17538",  # kTGT_MergedSrc L2008-4699
    "\U17538",  # kRSTUnicode 75.19
    "\U17539",  # kTGT_MergedSrc L2008-4835
    "\U17539",  # kRSTUnicode 75.20
    "\U1753A",  # kTGT_MergedSrc L2008-4991
    "\U1753A",  # kRSTUnicode 75.20
    "\U1753B",  # kTGT_MergedSrc L2008-4883
    "\U1753B",  # kRSTUnicode 75.21
    "\U1753C",  # kTGT_MergedSrc L2008-4916
    "\U1753C",  # kRSTUnicode 75.22
    "\U1753D",  # kTGT_MergedSrc L2008-5153
    "\U1753D",  # kRSTUnicode 76.8
    "\U1753E",  # kTGT_MergedSrc L2008-4852
    "\U1753E",  # kRSTUnicode 76.8
    "\U1753F",  # kTGT_MergedSrc L2008-5412
    "\U1753F",  # kRSTUnicode 76.8
    "\U17540",  # kTGT_MergedSrc L2008-5294
    "\U17540",  # kRSTUnicode 76.8
    "\U17541",  # kTGT_MergedSrc L2008-5068
    "\U17541",  # kRSTUnicode 76.12
    "\U17542",  # kTGT_MergedSrc L2008-5501
    "\U17542",  # kRSTUnicode 76.13
    "\U17543",  # kTGT_MergedSrc L2008-5813
    "\U17543",  # kRSTUnicode 78.7
    "\U17544",  # kTGT_MergedSrc L2008-5811
    "\U17544",  # kRSTUnicode 78.11
    "\U17545",  # kTGT_MergedSrc L2008-5812
    "\U17545",  # kRSTUnicode 78.13
    "\U17546",  # kTGT_MergedSrc L2008-5809
    "\U17546",  # kRSTUnicode 78.13
    "\U17547",  # kTGT_MergedSrc L2008-5808
    "\U17547",  # kRSTUnicode 78.13
    "\U17548",  # kTGT_MergedSrc L2008-5804
    "\U17548",  # kRSTUnicode 78.14
    "\U17549",  # kTGT_MergedSrc L2008-5816
    "\U17549",  # kRSTUnicode 78.16
    "\U1754A",  # kTGT_MergedSrc S1968-2868
    "\U1754A",  # kRSTUnicode 78.16
    "\U1754B",  # kTGT_MergedSrc L2008-1425
    "\U1754B",  # kRSTUnicode 79.7
    "\U1754C",  # kTGT_MergedSrc L2008-1148
    "\U1754C",  # kRSTUnicode 79.7
    "\U1754D",  # kTGT_MergedSrc L2008-0912
    "\U1754D",  # kRSTUnicode 79.9
    "\U1754E",  # kTGT_MergedSrc L2008-1444
    "\U1754E",  # kRSTUnicode 79.9
    "\U1754F",  # kTGT_MergedSrc L2008-1359
    "\U1754F",  # kRSTUnicode 79.9
    "\U17550",  # kTGT_MergedSrc L2008-1252
    "\U17550",  # kRSTUnicode 79.9
    "\U17551",  # kTGT_MergedSrc L2008-0966
    "\U17551",  # kRSTUnicode 79.10
    "\U17552",  # kTGT_MergedSrc L2008-1089
    "\U17552",  # kRSTUnicode 79.10
    "\U17553",  # kTGT_MergedSrc L2008-1244
    "\U17553",  # kRSTUnicode 79.10
    "\U17554",  # kTGT_MergedSrc L2008-0959
    "\U17554",  # kRSTUnicode 79.11
    "\U17555",  # kTGT_MergedSrc L2008-0974
    "\U17555",  # kRSTUnicode 79.11
    "\U17556",  # kTGT_MergedSrc L2008-1150
    "\U17556",  # kRSTUnicode 79.11
    "\U17557",  # kTGT_MergedSrc L2008-1182
    "\U17557",  # kRSTUnicode 79.11
    "\U17558",  # kTGT_MergedSrc L2008-1247
    "\U17558",  # kRSTUnicode 79.11
    "\U17559",  # kTGT_MergedSrc L2008-1246
    "\U17559",  # kRSTUnicode 79.11
    "\U1755A",  # kTGT_MergedSrc L2008-1216
    "\U1755A",  # kRSTUnicode 79.12
    "\U1755B",  # kTGT_MergedSrc L2008-1413
    "\U1755B",  # kRSTUnicode 79.12
    "\U1755C",  # kTGT_MergedSrc L2008-1360
    "\U1755C",  # kRSTUnicode 79.12
    "\U1755D",  # kTGT_MergedSrc L2008-1194
    "\U1755D",  # kRSTUnicode 79.12
    "\U1755E",  # kTGT_MergedSrc L2008-1198
    "\U1755E",  # kRSTUnicode 79.12
    "\U1755F",  # kTGT_MergedSrc L2008-1436
    "\U1755F",  # kRSTUnicode 79.13
    "\U17560",  # kTGT_MergedSrc L2008-0967
    "\U17560",  # kRSTUnicode 79.13
    "\U17561",  # kTGT_MergedSrc L2008-1337
    "\U17561",  # kRSTUnicode 79.13
    "\U17562",  # kTGT_MergedSrc L2008-1062
    "\U17562",  # kRSTUnicode 79.13
    "\U17563",  # kTGT_MergedSrc L2008-0945
    "\U17563",  # kRSTUnicode 79.13
    "\U17564",  # kTGT_MergedSrc L2008-1268
    "\U17564",  # kRSTUnicode 79.13
    "\U17565",  # kTGT_MergedSrc L2008-1339
    "\U17565",  # kRSTUnicode 79.13
    "\U17566",  # kTGT_MergedSrc L2008-1400
    "\U17566",  # kRSTUnicode 79.13
    "\U17567",  # kTGT_MergedSrc L2008-0920
    "\U17567",  # kRSTUnicode 79.13
    "\U17568",  # kTGT_MergedSrc L2008-1373
    "\U17568",  # kRSTUnicode 79.13
    "\U17569",  # kTGT_MergedSrc L2008-1127
    "\U17569",  # kRSTUnicode 79.13
    "\U1756A",  # kTGT_MergedSrc L2008-0960
    "\U1756A",  # kRSTUnicode 79.14
    "\U1756B",  # kTGT_MergedSrc L2008-1190
    "\U1756B",  # kRSTUnicode 79.14
    "\U1756C",  # kTGT_MergedSrc L2008-1418
    "\U1756C",  # kRSTUnicode 79.14
    "\U1756D",  # kTGT_MergedSrc L2008-0946
    "\U1756D",  # kRSTUnicode 79.14
    "\U1756E",  # kTGT_MergedSrc L2008-1361
    "\U1756E",  # kRSTUnicode 79.14
    "\U1756F",  # kTGT_MergedSrc L2008-0903
    "\U1756F",  # kRSTUnicode 79.14
    "\U17570",  # kTGT_MergedSrc L2008-0921
    "\U17570",  # kRSTUnicode 79.15
    "\U17571",  # kTGT_MergedSrc L2008-1378
    "\U17571",  # kRSTUnicode 79.15
    "\U17572",  # kTGT_MergedSrc L2008-1090
    "\U17572",  # kRSTUnicode 79.15
    "\U17573",  # kTGT_MergedSrc L2008-1191
    "\U17573",  # kRSTUnicode 79.15
    "\U17574",  # kTGT_MergedSrc L2008-1362
    "\U17574",  # kRSTUnicode 79.15
    "\U17575",  # kTGT_MergedSrc L2008-1291
    "\U17575",  # kRSTUnicode 79.17
    "\U17576",  # kTGT_MergedSrc L2008-1504
    "\U17576",  # kRSTUnicode 83.5
    "\U17577",  # kTGT_MergedSrc L2008-1492
    "\U17577",  # kRSTUnicode 83.6
    "\U17578",  # kTGT_MergedSrc L2008-0444
    "\U17578",  # kRSTUnicode 83.7
    "\U17579",  # kTGT_MergedSrc L2008-0456
    "\U17579",  # kRSTUnicode 83.7
    "\U1757A",  # kTGT_MergedSrc L2008-0445
    "\U1757A",  # kRSTUnicode 83.7
    "\U1757B",  # kTGT_MergedSrc L2008-1485
    "\U1757B",  # kRSTUnicode 83.7
    "\U1757C",  # kTGT_MergedSrc L2008-0731
    "\U1757C",  # kRSTUnicode 83.7
    "\U1757D",  # kTGT_MergedSrc L2008-1817
    "\U1757D",  # kRSTUnicode 83.7
    "\U1757E",  # kTGT_MergedSrc L2008-1484
    "\U1757E",  # kRSTUnicode 83.7
    "\U1757F",  # kTGT_MergedSrc L2008-1483
    "\U1757F",  # kRSTUnicode 83.7
    "\U17580",  # kTGT_MergedSrc L2008-0455
    "\U17580",  # kRSTUnicode 83.8
    "\U17581",  # kTGT_MergedSrc L2008-0428
    "\U17581",  # kRSTUnicode 83.8
    "\U17582",  # kTGT_MergedSrc L2008-0447
    "\U17582",  # kRSTUnicode 83.8
    "\U17583",  # kTGT_MergedSrc L2008-0627
    "\U17583",  # kRSTUnicode 83.8
    "\U17584",  # kTGT_MergedSrc L2008-0619
    "\U17584",  # kRSTUnicode 83.8
    "\U17585",  # kTGT_MergedSrc L2008-1516
    "\U17585",  # kRSTUnicode 83.8
    "\U17586",  # kTGT_MergedSrc L2008-1819
    "\U17586",  # kRSTUnicode 83.8
    "\U17587",  # kTGT_MergedSrc L2008-1818
    "\U17587",  # kRSTUnicode 83.8
    "\U17588",  # kTGT_MergedSrc L2008-1527
    "\U17588",  # kRSTUnicode 83.8
    "\U17589",  # kTGT_MergedSrc L2008-1509
    "\U17589",  # kRSTUnicode 83.8
    "\U1758A",  # kTGT_MergedSrc L2008-0457
    "\U1758A",  # kRSTUnicode 83.9
    "\U1758B",  # kTGT_MergedSrc L2008-0432
    "\U1758B",  # kRSTUnicode 83.9
    "\U1758C",  # kTGT_MergedSrc L2008-0448
    "\U1758C",  # kRSTUnicode 83.9
    "\U1758D",  # kTGT_MergedSrc L2008-0837
    "\U1758D",  # kRSTUnicode 83.9
    "\U1758E",  # kTGT_MergedSrc L2008-0454
    "\U1758E",  # kRSTUnicode 83.9
    "\U1758F",  # kTGT_MergedSrc L2008-0429
    "\U1758F",  # kRSTUnicode 83.9
    "\U17590",  # kTGT_MergedSrc L2008-0461
    "\U17590",  # kRSTUnicode 83.9
    "\U17591",  # kTGT_MergedSrc L2008-0727
    "\U17591",  # kRSTUnicode 83.9
    "\U17592",  # kTGT_MergedSrc L2008-0628
    "\U17592",  # kRSTUnicode 83.9
    "\U17593",  # kTGT_MergedSrc L2008-0729
    "\U17593",  # kRSTUnicode 83.9
    "\U17594",  # kTGT_MergedSrc L2008-0728
    "\U17594",  # kRSTUnicode 83.9
    "\U17595",  # kTGT_MergedSrc L2008-0626
    "\U17595",  # kRSTUnicode 83.9
    "\U17596",  # kTGT_MergedSrc L2008-0733
    "\U17596",  # kRSTUnicode 83.9
    "\U17597",  # kTGT_MergedSrc L2008-1813
    "\U17597",  # kRSTUnicode 83.9
    "\U17598",  # kTGT_MergedSrc L2008-1824
    "\U17598",  # kRSTUnicode 83.9
    "\U17599",  # kTGT_MergedSrc L2008-1499
    "\U17599",  # kRSTUnicode 83.9
    "\U1759A",  # kTGT_MergedSrc L2008-0835
    "\U1759A",  # kRSTUnicode 83.9
    "\U1759B",  # kTGT_MergedSrc L2008-0434
    "\U1759B",  # kRSTUnicode 83.10
    "\U1759C",  # kTGT_MergedSrc L2008-0462
    "\U1759C",  # kRSTUnicode 83.10
    "\U1759D",  # kTGT_MergedSrc L2008-1809
    "\U1759D",  # kRSTUnicode 83.10
    "\U1759E",  # kTGT_MergedSrc L2008-1828
    "\U1759E",  # kRSTUnicode 83.10
    "\U1759F",  # kTGT_MergedSrc L2008-0435
    "\U1759F",  # kRSTUnicode 83.10
    "\U175A0",  # kTGT_MergedSrc L2008-1507
    "\U175A0",  # kRSTUnicode 83.10
    "\U175A1",  # kTGT_MergedSrc L2008-1820
    "\U175A1",  # kRSTUnicode 83.10
    "\U175A2",  # kTGT_MergedSrc L2008-1810
    "\U175A2",  # kRSTUnicode 83.10
    "\U175A3",  # kTGT_MergedSrc L2008-1827
    "\U175A3",  # kRSTUnicode 83.10
    "\U175A4",  # kTGT_MergedSrc L2008-1831
    "\U175A4",  # kRSTUnicode 83.10
    "\U175A5",  # kTGT_MergedSrc L2008-1487
    "\U175A5",  # kRSTUnicode 83.10
    "\U175A6",  # kTGT_MergedSrc L2008-1536
    "\U175A6",  # kRSTUnicode 83.10
    "\U175A7",  # kTGT_MergedSrc L2008-1544
    "\U175A7",  # kRSTUnicode 83.10
    "\U175A8",  # kTGT_MergedSrc L2008-1511
    "\U175A8",  # kRSTUnicode 83.11
    "\U175A9",  # kTGT_MergedSrc L2008-0897
    "\U175A9",  # kRSTUnicode 83.11
    "\U175AA",  # kTGT_MergedSrc L2008-1523
    "\U175AA",  # kRSTUnicode 83.11
    "\U175AB",  # kTGT_MergedSrc L2008-0838
    "\U175AB",  # kRSTUnicode 83.11
    "\U175AC",  # kTGT_MergedSrc L2008-0836
    "\U175AC",  # kRSTUnicode 83.11
    "\U175AD",  # kTGT_MergedSrc L2008-1821
    "\U175AD",  # kRSTUnicode 83.11
    "\U175AE",  # kTGT_MergedSrc L2008-0888
    "\U175AE",  # kRSTUnicode 83.12
    "\U175AF",  # kTGT_MergedSrc L2008-0898
    "\U175AF",  # kRSTUnicode 83.12
    "\U175B0",  # kTGT_MergedSrc L2008-0437
    "\U175B0",  # kRSTUnicode 83.12
    "\U175B1",  # kTGT_MergedSrc L2008-1520
    "\U175B1",  # kRSTUnicode 83.12
    "\U175B2",  # kTGT_MergedSrc L2008-1538
    "\U175B2",  # kRSTUnicode 83.12
    "\U175B3",  # kTGT_MergedSrc L2008-0630
    "\U175B3",  # kRSTUnicode 83.12
    "\U175B4",  # kTGT_MergedSrc L2008-0436
    "\U175B4",  # kRSTUnicode 83.12
    "\U175B5",  # kTGT_MergedSrc L2008-0433
    "\U175B5",  # kRSTUnicode 83.13
    "\U175B6",  # kTGT_MergedSrc L2008-0441
    "\U175B6",  # kRSTUnicode 83.13
    "\U175B7",  # kTGT_MergedSrc L2008-0629
    "\U175B7",  # kRSTUnicode 83.13
    "\U175B8",  # kTGT_MergedSrc L2008-1822
    "\U175B8",  # kRSTUnicode 83.13
    "\U175B9",  # kTGT_MergedSrc L2008-6008
    "\U175B9",  # kRSTUnicode 83.13
    "\U175BA",  # kTGT_MergedSrc L2008-1811
    "\U175BA",  # kRSTUnicode 83.13
    "\U175BB",  # kTGT_MergedSrc L2008-1830
    "\U175BB",  # kRSTUnicode 83.13
    "\U175BC",  # kTGT_MergedSrc L2008-1491
    "\U175BC",  # kRSTUnicode 83.13
    "\U175BD",  # kTGT_MergedSrc L2008-0427
    "\U175BD",  # kRSTUnicode 83.14
    "\U175BE",  # kTGT_MergedSrc L2008-0430
    "\U175BE",  # kRSTUnicode 83.14
    "\U175BF",  # kTGT_MergedSrc L2008-0452
    "\U175BF",  # kRSTUnicode 83.14
    "\U175C0",  # kTGT_MergedSrc L2008-0450
    "\U175C0",  # kRSTUnicode 83.14
    "\U175C1",  # kTGT_MergedSrc L2008-1534
    "\U175C1",  # kRSTUnicode 83.14
    "\U175C2",  # kTGT_MergedSrc L2008-0734
    "\U175C2",  # kRSTUnicode 83.14
    "\U175C3",  # kTGT_MergedSrc L2008-1540
    "\U175C3",  # kRSTUnicode 83.14
    "\U175C4",  # kTGT_MergedSrc L2008-0438
    "\U175C4",  # kRSTUnicode 83.14
    "\U175C5",  # kTGT_MergedSrc L2008-0446
    "\U175C5",  # kRSTUnicode 83.14
    "\U175C6",  # kTGT_MergedSrc L2008-1489
    "\U175C6",  # kRSTUnicode 83.15
    "\U175C7",  # kTGT_MergedSrc L2008-1522
    "\U175C7",  # kRSTUnicode 83.15
    "\U175C8",  # kTGT_MergedSrc L2008-1814
    "\U175C8",  # kRSTUnicode 83.15
    "\U175C9",  # kTGT_MergedSrc L2008-1532
    "\U175C9",  # kRSTUnicode 83.15
    "\U175CA",  # kTGT_MergedSrc L2008-1812
    "\U175CA",  # kRSTUnicode 83.15
    "\U175CB",  # kTGT_MergedSrc L2008-6023
    "\U175CB",  # kRSTUnicode 83.16
    "\U175CC",  # kTGT_MergedSrc L2008-1537
    "\U175CC",  # kRSTUnicode 83.16
    "\U175CD",  # kTGT_MergedSrc L2008-0634
    "\U175CD",  # kRSTUnicode 83.16
    "\U175CE",  # kTGT_MergedSrc L2008-4069
    "\U175CE",  # kRSTUnicode 84.10
    "\U175CF",  # kTGT_MergedSrc L2008-4066
    "\U175CF",  # kRSTUnicode 84.10
    "\U175D0",  # kTGT_MergedSrc L2008-4073
    "\U175D0",  # kRSTUnicode 84.10
    "\U175D1",  # kTGT_MergedSrc L2008-4065
    "\U175D1",  # kRSTUnicode 84.13
    "\U175D2",  # kTGT_MergedSrc L2008-4072
    "\U175D2",  # kRSTUnicode 84.19
    "\U175D3",  # kTGT_MergedSrc L2008-0229
    "\U175D3",  # kRSTUnicode 85.7
    "\U175D4",  # kTGT_MergedSrc L2008-0218
    "\U175D4",  # kRSTUnicode 85.7
    "\U175D5",  # kTGT_MergedSrc L2008-0207
    "\U175D5",  # kRSTUnicode 85.8
    "\U175D6",  # kTGT_MergedSrc L2008-0504
    "\U175D6",  # kRSTUnicode 85.8
    "\U175D7",  # kTGT_MergedSrc L2008-1612
    "\U175D7",  # kRSTUnicode 85.8
    "\U175D8",  # kTGT_MergedSrc L2008-1079
    "\U175D8",  # kRSTUnicode 85.8
    "\U175D9",  # kTGT_MergedSrc L2008-1139
    "\U175D9",  # kRSTUnicode 85.8
    "\U175DA",  # kTGT_MergedSrc L2008-0661
    "\U175DA",  # kRSTUnicode 85.9
    "\U175DB",  # kTGT_MergedSrc L2008-0173
    "\U175DB",  # kRSTUnicode 85.10
    "\U175DC",  # kTGT_MergedSrc L2008-0509
    "\U175DC",  # kRSTUnicode 85.11
    "\U175DD",  # kTGT_MergedSrc L2008-1619
    "\U175DD",  # kRSTUnicode 85.11
    "\U175DE",  # kTGT_MergedSrc L2008-0663
    "\U175DE",  # kRSTUnicode 85.12
    "\U175DF",  # kTGT_MergedSrc L2008-1101
    "\U175DF",  # kRSTUnicode 85.13
    "\U175E0",  # kTGT_MergedSrc L2008-0956
    "\U175E0",  # kRSTUnicode 85.13
    "\U175E1",  # kTGT_MergedSrc L2008-0955
    "\U175E1",  # kRSTUnicode 85.15
    "\U175E2",  # kTGT_MergedSrc L2008-1593
    "\U175E2",  # kRSTUnicode 85.18
    "\U175E3",  # kTGT_MergedSrc L2008-5845
    "\U175E3",  # kRSTUnicode 86.7
    "\U175E4",  # kTGT_MergedSrc L2008-5836
    "\U175E4",  # kRSTUnicode 86.7
    "\U175E5",  # kTGT_MergedSrc L2008-5875
    "\U175E5",  # kRSTUnicode 86.7
    "\U175E6",  # kTGT_MergedSrc L2008-5950
    "\U175E6",  # kRSTUnicode 86.7
    "\U175E7",  # kTGT_MergedSrc L2008-5910
    "\U175E7",  # kRSTUnicode 86.9
    "\U175E8",  # kTGT_MergedSrc L2008-5839
    "\U175E8",  # kRSTUnicode 86.11
    "\U175E9",  # kTGT_MergedSrc L2008-5847
    "\U175E9",  # kRSTUnicode 86.11
    "\U175EA",  # kTGT_MergedSrc L2008-5840
    "\U175EA",  # kRSTUnicode 86.11
    "\U175EB",  # kTGT_MergedSrc L2008-5957
    "\U175EB",  # kRSTUnicode 86.11
    "\U175EC",  # kTGT_MergedSrc L2008-5949
    "\U175EC",  # kRSTUnicode 86.13
    "\U175ED",  # kTGT_MergedSrc L2008-5984
    "\U175ED",  # kRSTUnicode 86.15
    "\U175EE",  # kTGT_MergedSrc L2008-5953
    "\U175EE",  # kRSTUnicode 86.15
    "\U175EF",  # kTGT_MergedSrc L2008-1170
    "\U175EF",  # kRSTUnicode 87.7
    "\U175F0",  # kTGT_MergedSrc L2008-0591
    "\U175F0",  # kRSTUnicode 87.8
    "\U175F1",  # kTGT_MergedSrc L2008-1870
    "\U175F1",  # kRSTUnicode 87.8
    "\U175F2",  # kTGT_MergedSrc L2008-1707
    "\U175F2",  # kRSTUnicode 87.8
    "\U175F3",  # kTGT_MergedSrc L2008-1397
    "\U175F3",  # kRSTUnicode 87.8
    "\U175F4",  # kTGT_MergedSrc L2008-0311
    "\U175F4",  # kRSTUnicode 87.9
    "\U175F5",  # kTGT_MergedSrc L2008-1195
    "\U175F5",  # kRSTUnicode 87.9
    "\U175F6",  # kTGT_MergedSrc L2008-1666-1667
    "\U175F6",  # kRSTUnicode 87.9
    "\U175F7",  # kTGT_MergedSrc L2008-1691
    "\U175F7",  # kRSTUnicode 87.9
    "\U175F8",  # kTGT_MergedSrc L2008-1276
    "\U175F8",  # kRSTUnicode 87.10
    "\U175F9",  # kTGT_MergedSrc L2008-1311
    "\U175F9",  # kRSTUnicode 87.10
    "\U175FA",  # kTGT_MergedSrc L2008-1310
    "\U175FA",  # kRSTUnicode 87.11
    "\U175FB",  # kTGT_MergedSrc L2008-0573
    "\U175FB",  # kRSTUnicode 87.11
    "\U175FC",  # kTGT_MergedSrc L2008-0584
    "\U175FC",  # kRSTUnicode 87.12
    "\U175FD",  # kTGT_MergedSrc L2008-0602
    "\U175FD",  # kRSTUnicode 87.12
    "\U175FE",  # kTGT_MergedSrc L2008-0294
    "\U175FE",  # kRSTUnicode 87.12
    "\U175FF",  # kTGT_MergedSrc L2008-1312
    "\U175FF",  # kRSTUnicode 87.12
    "\U17600",  # kTGT_MergedSrc L2008-1203
    "\U17600",  # kRSTUnicode 87.12
    "\U17601",  # kTGT_MergedSrc L2008-0285
    "\U17601",  # kRSTUnicode 87.13
    "\U17602",  # kTGT_MergedSrc L2008-1200
    "\U17602",  # kRSTUnicode 87.13
    "\U17603",  # kTGT_MergedSrc L2008-0286
    "\U17603",  # kRSTUnicode 87.13
    "\U17604",  # kTGT_MergedSrc L2008-1313
    "\U17604",  # kRSTUnicode 87.13
    "\U17605",  # kTGT_MergedSrc L2008-1375
    "\U17605",  # kRSTUnicode 87.15
    "\U17606",  # kTGT_MergedSrc L2008-1314
    "\U17606",  # kRSTUnicode 87.15
    "\U17607",  # kTGT_MergedSrc L2008-6013
    "\U17607",  # kRSTUnicode 87.16
    "\U17608",  # kTGT_MergedSrc L2008-1219
    "\U17608",  # kRSTUnicode 88.4
    "\U17609",  # kTGT_MergedSrc L2008-0379
    "\U17609",  # kRSTUnicode 88.7
    "\U1760A",  # kTGT_MergedSrc L2008-0318
    "\U1760A",  # kRSTUnicode 88.7
    "\U1760B",  # kTGT_MergedSrc L2008-1347
    "\U1760B",  # kRSTUnicode 88.7
    "\U1760C",  # kTGT_MergedSrc L2008-0559
    "\U1760C",  # kRSTUnicode 88.8
    "\U1760D",  # kTGT_MergedSrc L2008-0257
    "\U1760D",  # kRSTUnicode 88.9
    "\U1760E",  # kTGT_MergedSrc L2008-0332
    "\U1760E",  # kRSTUnicode 88.10
    "\U1760F",  # kTGT_MergedSrc L2008-0267
    "\U1760F",  # kRSTUnicode 88.10
    "\U17610",  # kTGT_MergedSrc L2008-0560
    "\U17610",  # kRSTUnicode 88.10
    "\U17611",  # kTGT_MergedSrc L2008-1765
    "\U17611",  # kRSTUnicode 88.10
    "\U17612",  # kTGT_MergedSrc L2008-1749
    "\U17612",  # kRSTUnicode 88.10
    "\U17613",  # kTGT_MergedSrc L2008-1703
    "\U17613",  # kRSTUnicode 88.10
    "\U17614",  # kTGT_MergedSrc L2008-1169
    "\U17614",  # kRSTUnicode 88.10
    "\U17615",  # kTGT_MergedSrc L2008-0292
    "\U17615",  # kRSTUnicode 88.11
    "\U17616",  # kTGT_MergedSrc L2008-1766
    "\U17616",  # kRSTUnicode 88.11
    "\U17617",  # kTGT_MergedSrc L2008-0319
    "\U17617",  # kRSTUnicode 88.12
    "\U17618",  # kTGT_MergedSrc L2008-1717
    "\U17618",  # kRSTUnicode 88.12
    "\U17619",  # kTGT_MergedSrc L2008-0587
    "\U17619",  # kRSTUnicode 88.13
    "\U1761A",  # kTGT_MergedSrc L2008-1702
    "\U1761A",  # kRSTUnicode 88.13
    "\U1761B",  # kTGT_MergedSrc L2008-1367
    "\U1761B",  # kRSTUnicode 88.13
    "\U1761C",  # kTGT_MergedSrc L2008-0870
    "\U1761C",  # kRSTUnicode 88.16
    "\U1761D",  # kTGT_MergedSrc L2008-1615
    "\U1761D",  # kRSTUnicode 89.7
    "\U1761E",  # kTGT_MergedSrc L2008-0480
    "\U1761E",  # kRSTUnicode 89.8
    "\U1761F",  # kTGT_MergedSrc L2008-1080
    "\U1761F",  # kRSTUnicode 89.8
    "\U17620",  # kTGT_MergedSrc L2008-0158
    "\U17620",  # kRSTUnicode 89.9
    "\U17621",  # kTGT_MergedSrc L2008-0737
    "\U17621",  # kRSTUnicode 89.9
    "\U17622",  # kTGT_MergedSrc L2008-1004
    "\U17622",  # kRSTUnicode 89.9
    "\U17623",  # kTGT_MergedSrc L2008-1589
    "\U17623",  # kRSTUnicode 89.13
    "\U17624",  # kTGT_MergedSrc L2008-1070
    "\U17624",  # kRSTUnicode 92.9
    "\U17625",  # kTGT_MergedSrc L2008-1021
    "\U17625",  # kRSTUnicode 92.9
    "\U17626",  # kTGT_MergedSrc L2008-1058
    "\U17626",  # kRSTUnicode 92.9
    "\U17627",  # kTGT_MergedSrc L2008-0969
    "\U17627",  # kRSTUnicode 92.9
    "\U17628",  # kTGT_MergedSrc L2008-0970
    "\U17628",  # kRSTUnicode 92.10
    "\U17629",  # kTGT_MergedSrc L2008-1103
    "\U17629",  # kRSTUnicode 92.10
    "\U1762A",  # kTGT_MergedSrc L2008-1137
    "\U1762A",  # kRSTUnicode 92.10
    "\U1762B",  # kTGT_MergedSrc L2008-1192
    "\U1762B",  # kRSTUnicode 92.10
    "\U1762C",  # kTGT_MergedSrc L2008-1363
    "\U1762C",  # kRSTUnicode 92.11
    "\U1762D",  # kTGT_MergedSrc L2008-1299
    "\U1762D",  # kRSTUnicode 92.12
    "\U1762E",  # kTGT_MergedSrc L2008-1545
    "\U1762E",  # kRSTUnicode 92.13
    "\U1762F",  # kTGT_MergedSrc L2008-2536
    "\U1762F",  # kRSTUnicode 93.7
    "\U17630",  # kTGT_MergedSrc L2008-3022
    "\U17630",  # kRSTUnicode 96.7
    "\U17631",  # kTGT_MergedSrc L2008-3086
    "\U17631",  # kRSTUnicode 96.8
    "\U17632",  # kTGT_MergedSrc L2008-4440
    "\U17632",  # kRSTUnicode 98.8
    "\U17633",  # kTGT_MergedSrc L2008-4460
    "\U17633",  # kRSTUnicode 98.10
    "\U17634",  # kTGT_MergedSrc L2008-4450
    "\U17634",  # kRSTUnicode 98.11
    "\U17635",  # kTGT_MergedSrc L2008-4458
    "\U17635",  # kRSTUnicode 98.16
    "\U17636",  # kTGT_MergedSrc L2008-0936
    "\U17636",  # kRSTUnicode 99.7
    "\U17637",  # kTGT_MergedSrc L2008-0222
    "\U17637",  # kRSTUnicode 99.8
    "\U17638",  # kTGT_MergedSrc L2008-0202
    "\U17638",  # kRSTUnicode 99.8
    "\U17639",  # kTGT_MergedSrc L2008-0162
    "\U17639",  # kRSTUnicode 99.8
    "\U1763A",  # kTGT_MergedSrc L2008-0201
    "\U1763A",  # kRSTUnicode 99.9
    "\U1763B",  # kTGT_MergedSrc L2008-1124
    "\U1763B",  # kRSTUnicode 99.9
    "\U1763C",  # kTGT_MergedSrc L2008-0775
    "\U1763C",  # kRSTUnicode 99.9
    "\U1763D",  # kTGT_MergedSrc L2008-1631
    "\U1763D",  # kRSTUnicode 99.9
    "\U1763E",  # kTGT_MergedSrc L2008-1128
    "\U1763E",  # kRSTUnicode 99.9
    "\U1763F",  # kTGT_MergedSrc L2008-1140
    "\U1763F",  # kRSTUnicode 99.9
    "\U17640",  # kTGT_MergedSrc L2008-0773
    "\U17640",  # kRSTUnicode 99.10
    "\U17641",  # kTGT_MergedSrc L2008-1849
    "\U17641",  # kRSTUnicode 99.10
    "\U17642",  # kTGT_MergedSrc L2008-1027
    "\U17642",  # kRSTUnicode 99.10
    "\U17643",  # kTGT_MergedSrc L2008-1661
    "\U17643",  # kRSTUnicode 99.10
    "\U17644",  # kTGT_MergedSrc L2008-0751
    "\U17644",  # kRSTUnicode 99.10
    "\U17645",  # kTGT_MergedSrc L2008-1594
    "\U17645",  # kRSTUnicode 99.10
    "\U17646",  # kTGT_MergedSrc L2008-1081
    "\U17646",  # kRSTUnicode 99.10
    "\U17647",  # kTGT_MergedSrc L2008-1008
    "\U17647",  # kRSTUnicode 99.11
    "\U17648",  # kTGT_MergedSrc L2008-0182
    "\U17648",  # kRSTUnicode 99.11
    "\U17649",  # kTGT_MergedSrc L2008-1129
    "\U17649",  # kRSTUnicode 99.11
    "\U1764A",  # kTGT_MergedSrc L2008-0205
    "\U1764A",  # kRSTUnicode 99.11
    "\U1764B",  # kTGT_MergedSrc L2008-1028
    "\U1764B",  # kRSTUnicode 99.11
    "\U1764C",  # kTGT_MergedSrc L2008-0223
    "\U1764C",  # kRSTUnicode 99.11
    "\U1764D",  # kTGT_MergedSrc L2008-1642
    "\U1764D",  # kRSTUnicode 99.11
    "\U1764E",  # kTGT_MergedSrc L2008-1632
    "\U1764E",  # kRSTUnicode 99.11
    "\U1764F",  # kTGT_MergedSrc L2008-1586
    "\U1764F",  # kRSTUnicode 99.11
    "\U17650",  # kTGT_MergedSrc L2008-1007
    "\U17650",  # kRSTUnicode 99.11
    "\U17651",  # kTGT_MergedSrc L2008-1010
    "\U17651",  # kRSTUnicode 99.11
    "\U17652",  # kTGT_MergedSrc L2008-0498
    "\U17652",  # kRSTUnicode 99.12
    "\U17653",  # kTGT_MergedSrc L2008-0209
    "\U17653",  # kRSTUnicode 99.12
    "\U17654",  # kTGT_MergedSrc L2008-1643
    "\U17654",  # kRSTUnicode 99.12
    "\U17655",  # kTGT_MergedSrc L2008-0165
    "\U17655",  # kRSTUnicode 99.12
    "\U17656",  # kTGT_MergedSrc L2008-0659
    "\U17656",  # kRSTUnicode 99.12
    "\U17657",  # kTGT_MergedSrc L2008-0164
    "\U17657",  # kRSTUnicode 99.12
    "\U17658",  # kTGT_MergedSrc L2008-0178
    "\U17658",  # kRSTUnicode 99.12
    "\U17659",  # kTGT_MergedSrc L2008-1006
    "\U17659",  # kRSTUnicode 99.12
    "\U1765A",  # kTGT_MergedSrc L2008-0962
    "\U1765A",  # kRSTUnicode 99.12
    "\U1765B",  # kTGT_MergedSrc L2008-1005
    "\U1765B",  # kRSTUnicode 99.12
    "\U1765C",  # kTGT_MergedSrc L2008-0777
    "\U1765C",  # kRSTUnicode 99.12
    "\U1765D",  # kTGT_MergedSrc L2008-1845
    "\U1765D",  # kRSTUnicode 99.13
    "\U1765E",  # kTGT_MergedSrc L2008-0203
    "\U1765E",  # kRSTUnicode 99.13
    "\U1765F",  # kTGT_MergedSrc L2008-1009
    "\U1765F",  # kRSTUnicode 99.13
    "\U17660",  # kTGT_MergedSrc L2008-0855
    "\U17660",  # kRSTUnicode 99.14
    "\U17661",  # kTGT_MergedSrc L2008-1029
    "\U17661",  # kRSTUnicode 99.14
    "\U17662",  # kTGT_MergedSrc L2008-0653
    "\U17662",  # kRSTUnicode 99.14
    "\U17663",  # kTGT_MergedSrc L2008-1644
    "\U17663",  # kRSTUnicode 99.14
    "\U17664",  # kTGT_MergedSrc L2008-1123
    "\U17664",  # kRSTUnicode 99.14
    "\U17665",  # kTGT_MergedSrc L2008-0161
    "\U17665",  # kRSTUnicode 99.16
    "\U17666",  # kTGT_MergedSrc L2008-1613
    "\U17666",  # kRSTUnicode 99.17
    "\U17667",  # kTGT_MergedSrc L2008-0937
    "\U17667",  # kRSTUnicode 99.17
    "\U17668",  # kTGT_MergedSrc L2008-1650
    "\U17668",  # kRSTUnicode 99.18
    "\U17669",  # kTGT_MergedSrc L2008-0846
    "\U17669",  # kRSTUnicode 99.18
    "\U1766A",  # kTGT_MergedSrc L2008-1102
    "\U1766A",  # kRSTUnicode 99.18
    "\U1766B",  # kTGT_MergedSrc L2008-0774
    "\U1766B",  # kRSTUnicode 99.19
    "\U1766C",  # kTGT_MergedSrc L2008-0075
    "\U1766C",  # kRSTUnicode 100.9
    "\U1766D",  # kTGT_MergedSrc L2008-0224
    "\U1766D",  # kRSTUnicode 101.9
    "\U1766E",  # kTGT_MergedSrc L2008-1083
    "\U1766E",  # kRSTUnicode 101.9
    "\U1766F",  # kTGT_MergedSrc L2008-0845
    "\U1766F",  # kRSTUnicode 101.9
    "\U17670",  # kTGT_MergedSrc L2008-0492
    "\U17670",  # kRSTUnicode 101.10
    "\U17671",  # kTGT_MergedSrc L2008-1590
    "\U17671",  # kRSTUnicode 101.10
    "\U17672",  # kTGT_MergedSrc L2008-1634
    "\U17672",  # kRSTUnicode 101.10
    "\U17673",  # kTGT_MergedSrc L2008-0754
    "\U17673",  # kRSTUnicode 101.11
    "\U17674",  # kTGT_MergedSrc L2008-0177
    "\U17674",  # kRSTUnicode 101.12
    "\U17675",  # kTGT_MergedSrc L2008-0279
    "\U17675",  # kRSTUnicode 103.8
    "\U17676",  # kTGT_MergedSrc L2008-0364
    "\U17676",  # kRSTUnicode 103.8
    "\U17677",  # kTGT_MergedSrc L2008-0567
    "\U17677",  # kRSTUnicode 103.8
    "\U17678",  # kTGT_MergedSrc L2008-0329
    "\U17678",  # kRSTUnicode 103.9
    "\U17679",  # kTGT_MergedSrc L2008-1369
    "\U17679",  # kRSTUnicode 103.10
    "\U1767A",  # kTGT_MergedSrc L2008-0709
    "\U1767A",  # kRSTUnicode 103.10
    "\U1767B",  # kTGT_MergedSrc L2008-1675
    "\U1767B",  # kRSTUnicode 103.10
    "\U1767C",  # kTGT_MergedSrc L2008-1778
    "\U1767C",  # kRSTUnicode 103.11
    "\U1767D",  # kTGT_MergedSrc L2008-0799
    "\U1767D",  # kRSTUnicode 103.11
    "\U1767E",  # kTGT_MergedSrc L2008-0283
    "\U1767E",  # kRSTUnicode 103.12
    "\U1767F",  # kTGT_MergedSrc L2008-1756
    "\U1767F",  # kRSTUnicode 103.12
    "\U17680",  # kTGT_MergedSrc L2008-1351
    "\U17680",  # kRSTUnicode 103.14
    "\U17681",  # kTGT_MergedSrc L2008-0368
    "\U17681",  # kRSTUnicode 103.15
    "\U17682",  # kTGT_MergedSrc L2008-1683
    "\U17682",  # kRSTUnicode 103.16
    "\U17683",  # kTGT_MergedSrc L2008-4143
    "\U17683",  # kRSTUnicode 106.6
    "\U17684",  # kTGT_MergedSrc L2008-4144
    "\U17684",  # kRSTUnicode 106.7
    "\U17685",  # kTGT_MergedSrc L2008-4383
    "\U17685",  # kRSTUnicode 106.8
    "\U17686",  # kTGT_MergedSrc L2008-4206
    "\U17686",  # kRSTUnicode 106.8
    "\U17687",  # kTGT_MergedSrc L2008-4146
    "\U17687",  # kRSTUnicode 106.8
    "\U17688",  # kTGT_MergedSrc L2008-4276
    "\U17688",  # kRSTUnicode 106.9
    "\U17689",  # kTGT_MergedSrc L2008-4172
    "\U17689",  # kRSTUnicode 106.9
    "\U1768A",  # kTGT_MergedSrc L2008-4278
    "\U1768A",  # kRSTUnicode 106.9
    "\U1768B",  # kTGT_MergedSrc L2008-4207
    "\U1768B",  # kRSTUnicode 106.9
    "\U1768C",  # kTGT_MergedSrc L2008-4095
    "\U1768C",  # kRSTUnicode 106.9
    "\U1768D",  # kTGT_MergedSrc L2008-4411
    "\U1768D",  # kRSTUnicode 106.9
    "\U1768E",  # kTGT_MergedSrc L2008-4149
    "\U1768E",  # kRSTUnicode 106.9
    "\U1768F",  # kTGT_MergedSrc L2008-4096
    "\U1768F",  # kRSTUnicode 106.9
    "\U17690",  # kTGT_MergedSrc L2008-4315
    "\U17690",  # kRSTUnicode 106.10
    "\U17691",  # kTGT_MergedSrc L2008-4099
    "\U17691",  # kRSTUnicode 106.10
    "\U17692",  # kTGT_MergedSrc L2008-4163
    "\U17692",  # kRSTUnicode 106.10
    "\U17693",  # kTGT_MergedSrc L2008-4175
    "\U17693",  # kRSTUnicode 106.10
    "\U17694",  # kTGT_MergedSrc L2008-4173
    "\U17694",  # kRSTUnicode 106.10
    "\U17695",  # kTGT_MergedSrc L2008-4281
    "\U17695",  # kRSTUnicode 106.10
    "\U17696",  # kTGT_MergedSrc L2008-4247
    "\U17696",  # kRSTUnicode 106.10
    "\U17697",  # kTGT_MergedSrc L2008-4277
    "\U17697",  # kRSTUnicode 106.10
    "\U17698",  # kTGT_MergedSrc L2008-4275
    "\U17698",  # kRSTUnicode 106.10
    "\U17699",  # kTGT_MergedSrc L2008-4145
    "\U17699",  # kRSTUnicode 106.10
    "\U1769A",  # kTGT_MergedSrc L2008-4209
    "\U1769A",  # kRSTUnicode 106.10
    "\U1769B",  # kTGT_MergedSrc L2008-4174
    "\U1769B",  # kRSTUnicode 106.10
    "\U1769C",  # kTGT_MergedSrc L2008-4413
    "\U1769C",  # kRSTUnicode 106.10
    "\U1769D",  # kTGT_MergedSrc L2008-4350
    "\U1769D",  # kRSTUnicode 106.10
    "\U1769E",  # kTGT_MergedSrc L2008-4421
    "\U1769E",  # kRSTUnicode 106.10
    "\U1769F",  # kTGT_MergedSrc L2008-4192
    "\U1769F",  # kRSTUnicode 106.10
    "\U176A0",  # kTGT_MergedSrc L2008-4098
    "\U176A0",  # kRSTUnicode 106.10
    "\U176A1",  # kTGT_MergedSrc L2008-4148
    "\U176A1",  # kRSTUnicode 106.11
    "\U176A2",  # kTGT_MergedSrc L2008-4125
    "\U176A2",  # kRSTUnicode 106.11
    "\U176A3",  # kTGT_MergedSrc L2008-4297
    "\U176A3",  # kRSTUnicode 106.11
    "\U176A4",  # kTGT_MergedSrc L2008-4162
    "\U176A4",  # kRSTUnicode 106.11
    "\U176A5",  # kTGT_MergedSrc L2008-4157
    "\U176A5",  # kRSTUnicode 106.11
    "\U176A6",  # kTGT_MergedSrc L2008-4176
    "\U176A6",  # kRSTUnicode 106.11
    "\U176A7",  # kTGT_MergedSrc L2008-4205
    "\U176A7",  # kRSTUnicode 106.11
    "\U176A8",  # kTGT_MergedSrc L2008-4215
    "\U176A8",  # kRSTUnicode 106.11
    "\U176A9",  # kTGT_MergedSrc L2008-4343
    "\U176A9",  # kRSTUnicode 106.11
    "\U176AA",  # kTGT_MergedSrc L2008-4302
    "\U176AA",  # kRSTUnicode 106.11
    "\U176AB",  # kTGT_MergedSrc L2008-4165
    "\U176AB",  # kRSTUnicode 106.11
    "\U176AC",  # kTGT_MergedSrc L2008-4164
    "\U176AC",  # kRSTUnicode 106.11
    "\U176AD",  # kTGT_MergedSrc L2008-4142
    "\U176AD",  # kRSTUnicode 106.11
    "\U176AE",  # kTGT_MergedSrc L2008-4409
    "\U176AE",  # kRSTUnicode 106.11
    "\U176AF",  # kTGT_MergedSrc L2008-4384
    "\U176AF",  # kRSTUnicode 106.11
    "\U176B0",  # kTGT_MergedSrc L2008-4224
    "\U176B0",  # kRSTUnicode 106.11
    "\U176B1",  # kTGT_MergedSrc L2008-4229
    "\U176B1",  # kRSTUnicode 106.11
    "\U176B2",  # kTGT_MergedSrc L2008-4426
    "\U176B2",  # kRSTUnicode 106.11
    "\U176B3",  # kTGT_MergedSrc L2008-4219
    "\U176B3",  # kRSTUnicode 106.11
    "\U176B4",  # kTGT_MergedSrc L2008-4208
    "\U176B4",  # kRSTUnicode 106.11
    "\U176B5",  # kTGT_MergedSrc L2008-4252
    "\U176B5",  # kRSTUnicode 106.11
    "\U176B6",  # kTGT_MergedSrc L2008-4296
    "\U176B6",  # kRSTUnicode 106.11
    "\U176B7",  # kTGT_MergedSrc L2008-4361
    "\U176B7",  # kRSTUnicode 106.11
    "\U176B8",  # kTGT_MergedSrc L2008-4412
    "\U176B8",  # kRSTUnicode 106.11
    "\U176B9",  # kTGT_MergedSrc L2008-4180
    "\U176B9",  # kRSTUnicode 106.11
    "\U176BA",  # kTGT_MergedSrc L2008-4155
    "\U176BA",  # kRSTUnicode 106.11
    "\U176BB",  # kTGT_MergedSrc L2008-4100
    "\U176BB",  # kRSTUnicode 106.12
    "\U176BC",  # kTGT_MergedSrc L2008-4310
    "\U176BC",  # kRSTUnicode 106.12
    "\U176BD",  # kTGT_MergedSrc L2008-4171
    "\U176BD",  # kRSTUnicode 106.12
    "\U176BE",  # kTGT_MergedSrc L2008-4199
    "\U176BE",  # kRSTUnicode 106.12
    "\U176BF",  # kTGT_MergedSrc L2008-4153
    "\U176BF",  # kRSTUnicode 106.12
    "\U176C0",  # kTGT_MergedSrc L2008-4160
    "\U176C0",  # kRSTUnicode 106.12
    "\U176C1",  # kTGT_MergedSrc L2008-4334
    "\U176C1",  # kRSTUnicode 106.12
    "\U176C2",  # kTGT_MergedSrc L2008-4333
    "\U176C2",  # kRSTUnicode 106.12
    "\U176C3",  # kTGT_MergedSrc L2008-4106
    "\U176C3",  # kRSTUnicode 106.12
    "\U176C4",  # kTGT_MergedSrc L2008-4122
    "\U176C4",  # kRSTUnicode 106.12
    "\U176C5",  # kTGT_MergedSrc L2008-4177
    "\U176C5",  # kRSTUnicode 106.12
    "\U176C6",  # kTGT_MergedSrc L2008-4109
    "\U176C6",  # kRSTUnicode 106.12
    "\U176C7",  # kTGT_MergedSrc L2008-4159
    "\U176C7",  # kRSTUnicode 106.12
    "\U176C8",  # kTGT_MergedSrc L2008-4216
    "\U176C8",  # kRSTUnicode 106.12
    "\U176C9",  # kTGT_MergedSrc L2008-4213
    "\U176C9",  # kRSTUnicode 106.12
    "\U176CA",  # kTGT_MergedSrc L2008-4318
    "\U176CA",  # kRSTUnicode 106.12
    "\U176CB",  # kTGT_MergedSrc L2008-4212
    "\U176CB",  # kRSTUnicode 106.12
    "\U176CC",  # kTGT_MergedSrc L2008-4280
    "\U176CC",  # kRSTUnicode 106.12
    "\U176CD",  # kTGT_MergedSrc L2008-4376
    "\U176CD",  # kRSTUnicode 106.12
    "\U176CE",  # kTGT_MergedSrc L2008-4357
    "\U176CE",  # kRSTUnicode 106.12
    "\U176CF",  # kTGT_MergedSrc L2008-4307
    "\U176CF",  # kRSTUnicode 106.12
    "\U176D0",  # kTGT_MergedSrc L2008-4156
    "\U176D0",  # kRSTUnicode 106.12
    "\U176D1",  # kTGT_MergedSrc L2008-4152
    "\U176D1",  # kRSTUnicode 106.12
    "\U176D2",  # kTGT_MergedSrc L2008-4400
    "\U176D2",  # kRSTUnicode 106.12
    "\U176D3",  # kTGT_MergedSrc L2008-4414
    "\U176D3",  # kRSTUnicode 106.12
    "\U176D4",  # kTGT_MergedSrc L2008-4351
    "\U176D4",  # kRSTUnicode 106.12
    "\U176D5",  # kTGT_MergedSrc L2008-4211
    "\U176D5",  # kRSTUnicode 106.12
    "\U176D6",  # kTGT_MergedSrc L2008-4406
    "\U176D6",  # kRSTUnicode 106.12
    "\U176D7",  # kTGT_MergedSrc L2008-4138
    "\U176D7",  # kRSTUnicode 106.12
    "\U176D8",  # kTGT_MergedSrc L2008-4181
    "\U176D8",  # kRSTUnicode 106.12
    "\U176D9",  # kTGT_MergedSrc L2008-4167
    "\U176D9",  # kRSTUnicode 106.12
    "\U176DA",  # kTGT_MergedSrc L2008-4179
    "\U176DA",  # kRSTUnicode 106.12
    "\U176DB",  # kTGT_MergedSrc L2008-4204
    "\U176DB",  # kRSTUnicode 106.12
    "\U176DC",  # kTGT_MergedSrc L2008-4103
    "\U176DC",  # kRSTUnicode 106.12
    "\U176DD",  # kTGT_MergedSrc L2008-4246
    "\U176DD",  # kRSTUnicode 106.13
    "\U176DE",  # kTGT_MergedSrc L2008-4245
    "\U176DE",  # kRSTUnicode 106.13
    "\U176DF",  # kTGT_MergedSrc L2008-4234
    "\U176DF",  # kRSTUnicode 106.13
    "\U176E0",  # kTGT_MergedSrc L2008-4235
    "\U176E0",  # kRSTUnicode 106.13
    "\U176E1",  # kTGT_MergedSrc L2008-4188
    "\U176E1",  # kRSTUnicode 106.13
    "\U176E2",  # kTGT_MergedSrc L2008-4332
    "\U176E2",  # kRSTUnicode 106.13
    "\U176E3",  # kTGT_MergedSrc L2008-4341
    "\U176E3",  # kRSTUnicode 106.13
    "\U176E4",  # kTGT_MergedSrc L2008-4110
    "\U176E4",  # kRSTUnicode 106.13
    "\U176E5",  # kTGT_MergedSrc L2008-4170
    "\U176E5",  # kRSTUnicode 106.13
    "\U176E6",  # kTGT_MergedSrc L2008-4416
    "\U176E6",  # kRSTUnicode 106.13
    "\U176E7",  # kTGT_MergedSrc L2008-4161
    "\U176E7",  # kRSTUnicode 106.13
    "\U176E8",  # kTGT_MergedSrc L2008-4123
    "\U176E8",  # kRSTUnicode 106.13
    "\U176E9",  # kTGT_MergedSrc L2008-4136
    "\U176E9",  # kRSTUnicode 106.13
    "\U176EA",  # kTGT_MergedSrc L2008-4124
    "\U176EA",  # kRSTUnicode 106.13
    "\U176EB",  # kTGT_MergedSrc L2008-4404
    "\U176EB",  # kRSTUnicode 106.13
    "\U176EC",  # kTGT_MergedSrc L2008-4373
    "\U176EC",  # kRSTUnicode 106.13
    "\U176ED",  # kTGT_MergedSrc L2008-4345
    "\U176ED",  # kRSTUnicode 106.13
    "\U176EE",  # kTGT_MergedSrc L2008-4279
    "\U176EE",  # kRSTUnicode 106.13
    "\U176EF",  # kTGT_MergedSrc L2008-4217
    "\U176EF",  # kRSTUnicode 106.13
    "\U176F0",  # kTGT_MergedSrc L2008-4344
    "\U176F0",  # kRSTUnicode 106.13
    "\U176F1",  # kTGT_MergedSrc L2008-4424
    "\U176F1",  # kRSTUnicode 106.13
    "\U176F2",  # kTGT_MergedSrc L2008-4319
    "\U176F2",  # kRSTUnicode 106.13
    "\U176F3",  # kTGT_MergedSrc N1966-017-09K
    "\U176F3",  # kRSTUnicode 106.13
    "\U176F4",  # kTGT_MergedSrc L2008-4301
    "\U176F4",  # kRSTUnicode 106.13
    "\U176F5",  # kTGT_MergedSrc L2008-4312
    "\U176F5",  # kRSTUnicode 106.13
    "\U176F6",  # kTGT_MergedSrc L2008-4218
    "\U176F6",  # kRSTUnicode 106.13
    "\U176F7",  # kTGT_MergedSrc L2008-4374
    "\U176F7",  # kRSTUnicode 106.13
    "\U176F8",  # kTGT_MergedSrc L2008-4311
    "\U176F8",  # kRSTUnicode 106.13
    "\U176F9",  # kTGT_MergedSrc L2008-4169
    "\U176F9",  # kRSTUnicode 106.13
    "\U176FA",  # kTGT_MergedSrc L2008-4291
    "\U176FA",  # kRSTUnicode 106.13
    "\U176FB",  # kTGT_MergedSrc L2008-4316
    "\U176FB",  # kRSTUnicode 106.13
    "\U176FC",  # kTGT_MergedSrc L2008-4405
    "\U176FC",  # kRSTUnicode 106.13
    "\U176FD",  # kTGT_MergedSrc N1966-017-10D
    "\U176FD",  # kRSTUnicode 106.13
    "\U176FE",  # kTGT_MergedSrc L2008-4256
    "\U176FE",  # kRSTUnicode 106.13
    "\U176FF",  # kTGT_MergedSrc L2008-4282
    "\U176FF",  # kRSTUnicode 106.13
    "\U17700",  # kTGT_MergedSrc L2008-4324
    "\U17700",  # kRSTUnicode 106.13
    "\U17701",  # kTGT_MergedSrc L2008-4178
    "\U17701",  # kRSTUnicode 106.13
    "\U17702",  # kTGT_MergedSrc L2008-4102
    "\U17702",  # kRSTUnicode 106.13
    "\U17703",  # kTGT_MergedSrc L2008-4372
    "\U17703",  # kRSTUnicode 106.13
    "\U17704",  # kTGT_MergedSrc L2008-4210
    "\U17704",  # kRSTUnicode 106.13
    "\U17705",  # kTGT_MergedSrc L2008-4227
    "\U17705",  # kRSTUnicode 106.13
    "\U17706",  # kTGT_MergedSrc L2008-4154
    "\U17706",  # kRSTUnicode 106.13
    "\U17707",  # kTGT_MergedSrc L2008-4242
    "\U17707",  # kRSTUnicode 106.13
    "\U17708",  # kTGT_MergedSrc L2008-4401
    "\U17708",  # kRSTUnicode 106.13
    "\U17709",  # kTGT_MergedSrc L2008-4304
    "\U17709",  # kRSTUnicode 106.13
    "\U1770A",  # kTGT_MergedSrc L2008-4428
    "\U1770A",  # kRSTUnicode 106.13
    "\U1770B",  # kTGT_MergedSrc L2008-4187
    "\U1770B",  # kRSTUnicode 106.13
    "\U1770C",  # kTGT_MergedSrc L2008-4386
    "\U1770C",  # kRSTUnicode 106.13
    "\U1770D",  # kTGT_MergedSrc L2008-4225
    "\U1770D",  # kRSTUnicode 106.13
    "\U1770E",  # kTGT_MergedSrc L2008-4393
    "\U1770E",  # kRSTUnicode 106.13
    "\U1770F",  # kTGT_MergedSrc L2008-4415
    "\U1770F",  # kRSTUnicode 106.13
    "\U17710",  # kTGT_MergedSrc L2008-4408
    "\U17710",  # kRSTUnicode 106.13
    "\U17711",  # kTGT_MergedSrc L2008-4166
    "\U17711",  # kRSTUnicode 106.13
    "\U17712",  # kTGT_MergedSrc L2008-4201
    "\U17712",  # kRSTUnicode 106.13
    "\U17713",  # kTGT_MergedSrc L2008-4184
    "\U17713",  # kRSTUnicode 106.13
    "\U17714",  # kTGT_MergedSrc L2008-4395
    "\U17714",  # kRSTUnicode 106.14
    "\U17715",  # kTGT_MergedSrc L2008-4244
    "\U17715",  # kRSTUnicode 106.14
    "\U17716",  # kTGT_MergedSrc L2008-4230
    "\U17716",  # kRSTUnicode 106.14
    "\U17717",  # kTGT_MergedSrc L2008-4203
    "\U17717",  # kRSTUnicode 106.14
    "\U17718",  # kTGT_MergedSrc L2008-4262
    "\U17718",  # kRSTUnicode 106.14
    "\U17719",  # kTGT_MergedSrc L2008-4365
    "\U17719",  # kRSTUnicode 106.14
    "\U1771A",  # kTGT_MergedSrc L2008-4126
    "\U1771A",  # kRSTUnicode 106.14
    "\U1771B",  # kTGT_MergedSrc L2008-4285
    "\U1771B",  # kRSTUnicode 106.14
    "\U1771C",  # kTGT_MergedSrc L2008-4349
    "\U1771C",  # kRSTUnicode 106.14
    "\U1771D",  # kTGT_MergedSrc L2008-4220
    "\U1771D",  # kRSTUnicode 106.14
    "\U1771E",  # kTGT_MergedSrc L2008-4191
    "\U1771E",  # kRSTUnicode 106.14
    "\U1771F",  # kTGT_MergedSrc L2008-4107
    "\U1771F",  # kRSTUnicode 106.14
    "\U17720",  # kTGT_MergedSrc L2008-4150
    "\U17720",  # kRSTUnicode 106.14
    "\U17721",  # kTGT_MergedSrc L2008-4134
    "\U17721",  # kRSTUnicode 106.14
    "\U17722",  # kTGT_MergedSrc L2008-4429
    "\U17722",  # kRSTUnicode 106.14
    "\U17723",  # kTGT_MergedSrc L2008-4292
    "\U17723",  # kRSTUnicode 106.14
    "\U17724",  # kTGT_MergedSrc L2008-4346
    "\U17724",  # kRSTUnicode 106.14
    "\U17725",  # kTGT_MergedSrc L2008-4303
    "\U17725",  # kRSTUnicode 106.14
    "\U17726",  # kTGT_MergedSrc L2008-4226
    "\U17726",  # kRSTUnicode 106.14
    "\U17727",  # kTGT_MergedSrc L2008-4295
    "\U17727",  # kRSTUnicode 106.14
    "\U17728",  # kTGT_MergedSrc L2008-4380
    "\U17728",  # kRSTUnicode 106.14
    "\U17729",  # kTGT_MergedSrc L2008-4320
    "\U17729",  # kRSTUnicode 106.14
    "\U1772A",  # kTGT_MergedSrc L2008-4348
    "\U1772A",  # kRSTUnicode 106.14
    "\U1772B",  # kTGT_MergedSrc L2008-4293
    "\U1772B",  # kRSTUnicode 106.14
    "\U1772C",  # kTGT_MergedSrc L2008-4248
    "\U1772C",  # kRSTUnicode 106.14
    "\U1772D",  # kTGT_MergedSrc L2008-4371
    "\U1772D",  # kRSTUnicode 106.14
    "\U1772E",  # kTGT_MergedSrc L2008-4370
    "\U1772E",  # kRSTUnicode 106.14
    "\U1772F",  # kTGT_MergedSrc L2008-4190
    "\U1772F",  # kRSTUnicode 106.14
    "\U17730",  # kTGT_MergedSrc L2008-4305
    "\U17730",  # kRSTUnicode 106.14
    "\U17731",  # kTGT_MergedSrc L2008-4151
    "\U17731",  # kRSTUnicode 106.14
    "\U17732",  # kTGT_MergedSrc L2008-4308
    "\U17732",  # kRSTUnicode 106.14
    "\U17733",  # kTGT_MergedSrc L2008-4419
    "\U17733",  # kRSTUnicode 106.14
    "\U17734",  # kTGT_MergedSrc L2008-4417
    "\U17734",  # kRSTUnicode 106.14
    "\U17735",  # kTGT_MergedSrc L2008-4392
    "\U17735",  # kRSTUnicode 106.14
    "\U17736",  # kTGT_MergedSrc L2008-4375
    "\U17736",  # kRSTUnicode 106.14
    "\U17737",  # kTGT_MergedSrc L2008-4325
    "\U17737",  # kRSTUnicode 106.14
    "\U17738",  # kTGT_MergedSrc L2008-4326
    "\U17738",  # kRSTUnicode 106.14
    "\U17739",  # kTGT_MergedSrc L2008-4101
    "\U17739",  # kRSTUnicode 106.14
    "\U1773A",  # kTGT_MergedSrc L2008-4221
    "\U1773A",  # kRSTUnicode 106.14
    "\U1773B",  # kTGT_MergedSrc L2008-4368
    "\U1773B",  # kRSTUnicode 106.14
    "\U1773C",  # kTGT_MergedSrc L2008-4354
    "\U1773C",  # kRSTUnicode 106.14
    "\U1773D",  # kTGT_MergedSrc L2008-4283
    "\U1773D",  # kRSTUnicode 106.14
    "\U1773E",  # kTGT_MergedSrc L2008-4330
    "\U1773E",  # kRSTUnicode 106.14
    "\U1773F",  # kTGT_MergedSrc L2008-4254
    "\U1773F",  # kRSTUnicode 106.14
    "\U17740",  # kTGT_MergedSrc L2008-4313
    "\U17740",  # kRSTUnicode 106.14
    "\U17741",  # kTGT_MergedSrc L2008-4182
    "\U17741",  # kRSTUnicode 106.14
    "\U17742",  # kTGT_MergedSrc L2008-4396
    "\U17742",  # kRSTUnicode 106.14
    "\U17743",  # kTGT_MergedSrc L2008-4147
    "\U17743",  # kRSTUnicode 106.14
    "\U17744",  # kTGT_MergedSrc L2008-4112
    "\U17744",  # kRSTUnicode 106.14
    "\U17745",  # kTGT_MergedSrc L2006-6051
    "\U17745",  # kRSTUnicode 106.14
    "\U17746",  # kTGT_MergedSrc L2008-4407
    "\U17746",  # kRSTUnicode 106.14
    "\U17747",  # kTGT_MergedSrc L2008-4403
    "\U17747",  # kRSTUnicode 106.14
    "\U17748",  # kTGT_MergedSrc L2008-4356
    "\U17748",  # kRSTUnicode 106.14
    "\U17749",  # kTGT_MergedSrc L2008-4111
    "\U17749",  # kRSTUnicode 106.14
    "\U1774A",  # kTGT_MergedSrc L2008-4427
    "\U1774A",  # kRSTUnicode 106.14
    "\U1774B",  # kTGT_MergedSrc L2008-4410
    "\U1774B",  # kRSTUnicode 106.14
    "\U1774C",  # kTGT_MergedSrc L2008-4185
    "\U1774C",  # kRSTUnicode 106.14
    "\U1774D",  # kTGT_MergedSrc L2008-4202
    "\U1774D",  # kRSTUnicode 106.14
    "\U1774E",  # kTGT_MergedSrc L2008-4189
    "\U1774E",  # kRSTUnicode 106.14
    "\U1774F",  # kTGT_MergedSrc L2008-4237
    "\U1774F",  # kRSTUnicode 106.15
    "\U17750",  # kTGT_MergedSrc L2008-4236
    "\U17750",  # kRSTUnicode 106.15
    "\U17751",  # kTGT_MergedSrc L2008-4390
    "\U17751",  # kRSTUnicode 106.15
    "\U17752",  # kTGT_MergedSrc L2008-4113
    "\U17752",  # kRSTUnicode 106.15
    "\U17753",  # kTGT_MergedSrc L2008-4114
    "\U17753",  # kRSTUnicode 106.15
    "\U17754",  # kTGT_MergedSrc L2008-4158
    "\U17754",  # kRSTUnicode 106.15
    "\U17755",  # kTGT_MergedSrc L2008-4194
    "\U17755",  # kRSTUnicode 106.15
    "\U17756",  # kTGT_MergedSrc L2008-4186
    "\U17756",  # kRSTUnicode 106.15
    "\U17757",  # kTGT_MergedSrc L2008-4108
    "\U17757",  # kRSTUnicode 106.15
    "\U17758",  # kTGT_MergedSrc L2008-4131
    "\U17758",  # kRSTUnicode 106.15
    "\U17759",  # kTGT_MergedSrc L2008-4257
    "\U17759",  # kRSTUnicode 106.15
    "\U1775A",  # kTGT_MergedSrc L2008-4379
    "\U1775A",  # kRSTUnicode 106.15
    "\U1775B",  # kTGT_MergedSrc L2008-4366
    "\U1775B",  # kRSTUnicode 106.15
    "\U1775C",  # kTGT_MergedSrc L2008-4133
    "\U1775C",  # kRSTUnicode 106.15
    "\U1775D",  # kTGT_MergedSrc L2008-4362
    "\U1775D",  # kRSTUnicode 106.15
    "\U1775E",  # kTGT_MergedSrc L2008-4238
    "\U1775E",  # kRSTUnicode 106.15
    "\U1775F",  # kTGT_MergedSrc L2008-4382
    "\U1775F",  # kRSTUnicode 106.15
    "\U17760",  # kTGT_MergedSrc L2008-4250
    "\U17760",  # kRSTUnicode 106.15
    "\U17761",  # kTGT_MergedSrc L2008-4321
    "\U17761",  # kRSTUnicode 106.15
    "\U17762",  # kTGT_MergedSrc L2008-4299
    "\U17762",  # kRSTUnicode 106.15
    "\U17763",  # kTGT_MergedSrc L2008-4309
    "\U17763",  # kRSTUnicode 106.15
    "\U17764",  # kTGT_MergedSrc L2008-4286
    "\U17764",  # kRSTUnicode 106.15
    "\U17765",  # kTGT_MergedSrc L2008-4117
    "\U17765",  # kRSTUnicode 106.15
    "\U17766",  # kTGT_MergedSrc L2008-4249
    "\U17766",  # kRSTUnicode 106.15
    "\U17767",  # kTGT_MergedSrc L2008-4132
    "\U17767",  # kRSTUnicode 106.15
    "\U17768",  # kTGT_MergedSrc L2008-4193
    "\U17768",  # kRSTUnicode 106.15
    "\U17769",  # kTGT_MergedSrc L2008-4200
    "\U17769",  # kRSTUnicode 106.15
    "\U1776A",  # kTGT_MergedSrc L2008-4418
    "\U1776A",  # kRSTUnicode 106.15
    "\U1776B",  # kTGT_MergedSrc L2008-4306
    "\U1776B",  # kRSTUnicode 106.15
    "\U1776C",  # kTGT_MergedSrc L2008-4266
    "\U1776C",  # kRSTUnicode 106.15
    "\U1776D",  # kTGT_MergedSrc L2008-4369
    "\U1776D",  # kRSTUnicode 106.15
    "\U1776E",  # kTGT_MergedSrc L2008-4287
    "\U1776E",  # kRSTUnicode 106.15
    "\U1776F",  # kTGT_MergedSrc L2008-4328
    "\U1776F",  # kRSTUnicode 106.15
    "\U17770",  # kTGT_MergedSrc L2008-4378
    "\U17770",  # kRSTUnicode 106.15
    "\U17771",  # kTGT_MergedSrc L2008-4352
    "\U17771",  # kRSTUnicode 106.15
    "\U17772",  # kTGT_MergedSrc L2008-4338
    "\U17772",  # kRSTUnicode 106.15
    "\U17773",  # kTGT_MergedSrc L2008-4116
    "\U17773",  # kRSTUnicode 106.15
    "\U17774",  # kTGT_MergedSrc L2008-6049
    "\U17774",  # kRSTUnicode 106.15
    "\U17775",  # kTGT_MergedSrc L2008-4367
    "\U17775",  # kRSTUnicode 106.15
    "\U17776",  # kTGT_MergedSrc L2008-4397
    "\U17776",  # kRSTUnicode 106.15
    "\U17777",  # kTGT_MergedSrc L2008-4331
    "\U17777",  # kRSTUnicode 106.15
    "\U17778",  # kTGT_MergedSrc L2008-4402
    "\U17778",  # kRSTUnicode 106.15
    "\U17779",  # kTGT_MergedSrc L2008-4139
    "\U17779",  # kRSTUnicode 106.15
    "\U1777A",  # kTGT_MergedSrc L2008-4121
    "\U1777A",  # kRSTUnicode 106.15
    "\U1777B",  # kTGT_MergedSrc L2008-4104
    "\U1777B",  # kRSTUnicode 106.15
    "\U1777C",  # kTGT_MergedSrc L2008-4097
    "\U1777C",  # kRSTUnicode 106.15
    "\U1777D",  # kTGT_MergedSrc L2008-4284
    "\U1777D",  # kRSTUnicode 106.16
    "\U1777E",  # kTGT_MergedSrc L2008-4398
    "\U1777E",  # kRSTUnicode 106.16
    "\U1777F",  # kTGT_MergedSrc L2008-4269
    "\U1777F",  # kRSTUnicode 106.16
    "\U17780",  # kTGT_MergedSrc L2008-4335
    "\U17780",  # kRSTUnicode 106.16
    "\U17781",  # kTGT_MergedSrc L2008-4399
    "\U17781",  # kRSTUnicode 106.16
    "\U17782",  # kTGT_MergedSrc L2008-4258
    "\U17782",  # kRSTUnicode 106.16
    "\U17783",  # kTGT_MergedSrc L2008-4259
    "\U17783",  # kRSTUnicode 106.16
    "\U17784",  # kTGT_MergedSrc L2008-4270
    "\U17784",  # kRSTUnicode 106.16
    "\U17785",  # kTGT_MergedSrc L2008-4294
    "\U17785",  # kRSTUnicode 106.16
    "\U17786",  # kTGT_MergedSrc L2008-4377
    "\U17786",  # kRSTUnicode 106.16
    "\U17787",  # kTGT_MergedSrc L2008-4347
    "\U17787",  # kRSTUnicode 106.16
    "\U17788",  # kTGT_MergedSrc L2008-4267
    "\U17788",  # kRSTUnicode 106.16
    "\U17789",  # kTGT_MergedSrc L2008-4232
    "\U17789",  # kRSTUnicode 106.16
    "\U1778A",  # kTGT_MergedSrc L2008-4381
    "\U1778A",  # kRSTUnicode 106.16
    "\U1778B",  # kTGT_MergedSrc L2008-4317
    "\U1778B",  # kRSTUnicode 106.16
    "\U1778C",  # kTGT_MergedSrc L2008-4118
    "\U1778C",  # kRSTUnicode 106.16
    "\U1778D",  # kTGT_MergedSrc L2008-4127
    "\U1778D",  # kRSTUnicode 106.16
    "\U1778E",  # kTGT_MergedSrc L2008-4243
    "\U1778E",  # kRSTUnicode 106.16
    "\U1778F",  # kTGT_MergedSrc L2008-4360
    "\U1778F",  # kRSTUnicode 106.16
    "\U17790",  # kTGT_MergedSrc L2008-4228
    "\U17790",  # kRSTUnicode 106.16
    "\U17791",  # kTGT_MergedSrc L2008-4241
    "\U17791",  # kRSTUnicode 106.16
    "\U17792",  # kTGT_MergedSrc L2008-4387
    "\U17792",  # kRSTUnicode 106.16
    "\U17793",  # kTGT_MergedSrc L2008-4263
    "\U17793",  # kRSTUnicode 106.16
    "\U17794",  # kTGT_MergedSrc L2008-4135
    "\U17794",  # kRSTUnicode 106.16
    "\U17795",  # kTGT_MergedSrc L2008-4222
    "\U17795",  # kRSTUnicode 106.16
    "\U17796",  # kTGT_MergedSrc L2008-4329
    "\U17796",  # kRSTUnicode 106.16
    "\U17797",  # kTGT_MergedSrc L2008-6050
    "\U17797",  # kRSTUnicode 106.16
    "\U17798",  # kTGT_MergedSrc L2008-4394
    "\U17798",  # kRSTUnicode 106.16
    "\U17799",  # kTGT_MergedSrc L2008-4231
    "\U17799",  # kRSTUnicode 106.16
    "\U1779A",  # kTGT_MergedSrc L2008-4264
    "\U1779A",  # kRSTUnicode 106.16
    "\U1779B",  # kTGT_MergedSrc L2008-4422
    "\U1779B",  # kRSTUnicode 106.16
    "\U1779C",  # kTGT_MergedSrc L2008-4168
    "\U1779C",  # kRSTUnicode 106.16
    "\U1779D",  # kTGT_MergedSrc L2008-4115
    "\U1779D",  # kRSTUnicode 106.17
    "\U1779E",  # kTGT_MergedSrc L2008-4342
    "\U1779E",  # kRSTUnicode 106.17
    "\U1779F",  # kTGT_MergedSrc L2008-4300
    "\U1779F",  # kRSTUnicode 106.17
    "\U177A0",  # kTGT_MergedSrc L2008-4141
    "\U177A0",  # kRSTUnicode 106.17
    "\U177A1",  # kTGT_MergedSrc L2008-4196
    "\U177A1",  # kRSTUnicode 106.17
    "\U177A2",  # kTGT_MergedSrc L2008-4322
    "\U177A2",  # kRSTUnicode 106.17
    "\U177A3",  # kTGT_MergedSrc L2008-4253
    "\U177A3",  # kRSTUnicode 106.17
    "\U177A4",  # kTGT_MergedSrc L2008-4268
    "\U177A4",  # kRSTUnicode 106.17
    "\U177A5",  # kTGT_MergedSrc L2008-4298
    "\U177A5",  # kRSTUnicode 106.17
    "\U177A6",  # kTGT_MergedSrc L2008-4323
    "\U177A6",  # kRSTUnicode 106.17
    "\U177A7",  # kTGT_MergedSrc L2008-4358
    "\U177A7",  # kRSTUnicode 106.17
    "\U177A8",  # kTGT_MergedSrc L2008-4195
    "\U177A8",  # kRSTUnicode 106.17
    "\U177A9",  # kTGT_MergedSrc L2008-4353
    "\U177A9",  # kRSTUnicode 106.17
    "\U177AA",  # kTGT_MergedSrc L2008-4140
    "\U177AA",  # kRSTUnicode 106.17
    "\U177AB",  # kTGT_MergedSrc L2008-4129
    "\U177AB",  # kRSTUnicode 106.17
    "\U177AC",  # kTGT_MergedSrc L2008-4271
    "\U177AC",  # kRSTUnicode 106.17
    "\U177AD",  # kTGT_MergedSrc L2008-4120
    "\U177AD",  # kRSTUnicode 106.17
    "\U177AE",  # kTGT_MergedSrc L2008-4355
    "\U177AE",  # kRSTUnicode 106.17
    "\U177AF",  # kTGT_MergedSrc L2008-4093
    "\U177AF",  # kRSTUnicode 106.17
    "\U177B0",  # kTGT_MergedSrc L2008-4420
    "\U177B0",  # kRSTUnicode 106.17
    "\U177B1",  # kTGT_MergedSrc L2008-4137
    "\U177B1",  # kRSTUnicode 106.18
    "\U177B2",  # kTGT_MergedSrc L2008-4105
    "\U177B2",  # kRSTUnicode 106.18
    "\U177B3",  # kTGT_MergedSrc L2008-4094
    "\U177B3",  # kRSTUnicode 106.18
    "\U177B4",  # kTGT_MergedSrc L2008-4251
    "\U177B4",  # kRSTUnicode 106.18
    "\U177B5",  # kTGT_MergedSrc L2008-4364
    "\U177B5",  # kRSTUnicode 106.18
    "\U177B6",  # kTGT_MergedSrc L2008-4363
    "\U177B6",  # kRSTUnicode 106.18
    "\U177B7",  # kTGT_MergedSrc L2008-4240
    "\U177B7",  # kRSTUnicode 106.18
    "\U177B8",  # kTGT_MergedSrc L2008-4359
    "\U177B8",  # kRSTUnicode 106.18
    "\U177B9",  # kTGT_MergedSrc H2004-A-1805
    "\U177B9",  # kRSTUnicode 106.18
    "\U177BA",  # kTGT_MergedSrc L2008-4260
    "\U177BA",  # kRSTUnicode 106.18
    "\U177BB",  # kTGT_MergedSrc L2008-4128
    "\U177BB",  # kRSTUnicode 106.18
    "\U177BC",  # kTGT_MergedSrc L2008-4197
    "\U177BC",  # kRSTUnicode 106.18
    "\U177BD",  # kTGT_MergedSrc L2008-4314
    "\U177BD",  # kRSTUnicode 106.18
    "\U177BE",  # kTGT_MergedSrc L2008-4265
    "\U177BE",  # kRSTUnicode 106.18
    "\U177BF",  # kTGT_MergedSrc L2008-4288
    "\U177BF",  # kRSTUnicode 106.18
    "\U177C0",  # kTGT_MergedSrc L2008-4385
    "\U177C0",  # kRSTUnicode 106.18
    "\U177C1",  # kTGT_MergedSrc L2008-4337
    "\U177C1",  # kRSTUnicode 106.18
    "\U177C2",  # kTGT_MergedSrc L2008-4255
    "\U177C2",  # kRSTUnicode 106.18
    "\U177C3",  # kTGT_MergedSrc L2008-4339
    "\U177C3",  # kRSTUnicode 106.18
    "\U177C4",  # kTGT_MergedSrc L2008-4391
    "\U177C4",  # kRSTUnicode 106.19
    "\U177C5",  # kTGT_MergedSrc L2008-4340
    "\U177C5",  # kRSTUnicode 106.19
    "\U177C6",  # kTGT_MergedSrc L2008-4261
    "\U177C6",  # kRSTUnicode 106.19
    "\U177C7",  # kTGT_MergedSrc L2008-4273
    "\U177C7",  # kRSTUnicode 106.19
    "\U177C8",  # kTGT_MergedSrc L2008-4272
    "\U177C8",  # kRSTUnicode 106.19
    "\U177C9",  # kTGT_MergedSrc L2008-4388
    "\U177C9",  # kRSTUnicode 106.19
    "\U177CA",  # kTGT_MergedSrc L2008-4327
    "\U177CA",  # kRSTUnicode 106.19
    "\U177CB",  # kTGT_MergedSrc L2008-4183
    "\U177CB",  # kRSTUnicode 106.19
    "\U177CC",  # kTGT_MergedSrc L2008-4290
    "\U177CC",  # kRSTUnicode 106.19
    "\U177CD",  # kTGT_MergedSrc L2008-4130
    "\U177CD",  # kRSTUnicode 106.19
    "\U177CE",  # kTGT_MergedSrc L2008-4289
    "\U177CE",  # kRSTUnicode 106.20
    "\U177CF",  # kTGT_MergedSrc L2008-4223
    "\U177CF",  # kRSTUnicode 106.20
    "\U177D0",  # kTGT_MergedSrc L2008-4336
    "\U177D0",  # kRSTUnicode 106.20
    "\U177D1",  # kTGT_MergedSrc L2008-4239
    "\U177D1",  # kRSTUnicode 106.20
    "\U177D2",  # kTGT_MergedSrc L2008-4119
    "\U177D2",  # kRSTUnicode 106.20
    "\U177D3",  # kTGT_MergedSrc L2008-4389
    "\U177D3",  # kRSTUnicode 106.20
    "\U177D4",  # kTGT_MergedSrc L2008-4233
    "\U177D4",  # kRSTUnicode 106.21
    "\U177D5",  # kTGT_MergedSrc L2008-6048
    "\U177D5",  # kRSTUnicode 106.21
    "\U177D6",  # kTGT_MergedSrc L2008-4198
    "\U177D6",  # kRSTUnicode 106.21
    "\U177D7",  # kTGT_MergedSrc L2008-4558
    "\U177D7",  # kRSTUnicode 107.9
    "\U177D8",  # kTGT_MergedSrc L2008-0604
    "\U177D8",  # kRSTUnicode 107.10
    "\U177D9",  # kTGT_MergedSrc L2008-4633
    "\U177D9",  # kRSTUnicode 107.11
    "\U177DA",  # kTGT_MergedSrc L2008-5944
    "\U177DA",  # kRSTUnicode 107.11
    "\U177DB",  # kTGT_MergedSrc L2008-4567
    "\U177DB",  # kRSTUnicode 107.12
    "\U177DC",  # kTGT_MergedSrc L2008-2520
    "\U177DC",  # kRSTUnicode 107.12
    "\U177DD",  # kTGT_MergedSrc L2008-2297
    "\U177DD",  # kRSTUnicode 107.14
    "\U177DE",  # kTGT_MergedSrc L2008-4664
    "\U177DE",  # kRSTUnicode 107.16
    "\U177DF",  # kTGT_MergedSrc L2008-3722
    "\U177DF",  # kRSTUnicode 107.17
    "\U177E0",  # kTGT_MergedSrc L2008-1285
    "\U177E0",  # kRSTUnicode 108.6
    "\U177E1",  # kTGT_MergedSrc L2008-1875
    "\U177E1",  # kRSTUnicode 108.7
    "\U177E2",  # kTGT_MergedSrc L2008-1727
    "\U177E2",  # kRSTUnicode 108.8
    "\U177E3",  # kTGT_MergedSrc L2008-1382
    "\U177E3",  # kRSTUnicode 108.8
    "\U177E4",  # kTGT_MergedSrc L2008-0714
    "\U177E4",  # kRSTUnicode 108.9
    "\U177E5",  # kTGT_MergedSrc L2008-1868
    "\U177E5",  # kRSTUnicode 108.9
    "\U177E6",  # kTGT_MergedSrc L2008-0598
    "\U177E6",  # kRSTUnicode 108.10
    "\U177E7",  # kTGT_MergedSrc L2008-1700
    "\U177E7",  # kRSTUnicode 108.10
    "\U177E8",  # kTGT_MergedSrc L2008-1770
    "\U177E8",  # kRSTUnicode 108.10
    "\U177E9",  # kTGT_MergedSrc L2008-1393
    "\U177E9",  # kRSTUnicode 108.11
    "\U177EA",  # kTGT_MergedSrc L2008-0815
    "\U177EA",  # kRSTUnicode 108.11
    "\U177EB",  # kTGT_MergedSrc L2008-0306
    "\U177EB",  # kRSTUnicode 108.12
    "\U177EC",  # kTGT_MergedSrc L2008-0816
    "\U177EC",  # kRSTUnicode 108.12
    "\U177ED",  # kTGT_MergedSrc L2008-1274
    "\U177ED",  # kRSTUnicode 108.12
    "\U177EE",  # kTGT_MergedSrc L2008-1855
    "\U177EE",  # kRSTUnicode 108.13
    "\U177EF",  # kTGT_MergedSrc L2008-0876
    "\U177EF",  # kRSTUnicode 108.14
    "\U177F0",  # kTGT_MergedSrc L2008-1701
    "\U177F0",  # kRSTUnicode 108.15
    "\U177F1",  # kTGT_MergedSrc L2008-0748
    "\U177F1",  # kRSTUnicode 111.6
    "\U177F2",  # kTGT_MergedSrc L2008-1014
    "\U177F2",  # kRSTUnicode 111.7
    "\U177F3",  # kTGT_MergedSrc L2008-0226
    "\U177F3",  # kRSTUnicode 111.8
    "\U177F4",  # kTGT_MergedSrc L2008-0652
    "\U177F4",  # kRSTUnicode 111.8
    "\U177F5",  # kTGT_MergedSrc L2008-0167
    "\U177F5",  # kRSTUnicode 111.8
    "\U177F6",  # kTGT_MergedSrc L2008-0481
    "\U177F6",  # kRSTUnicode 111.9
    "\U177F7",  # kTGT_MergedSrc L2008-0168
    "\U177F7",  # kRSTUnicode 111.10
    "\U177F8",  # kTGT_MergedSrc L2008-1847
    "\U177F8",  # kRSTUnicode 111.10
    "\U177F9",  # kTGT_MergedSrc L2008-1591
    "\U177F9",  # kRSTUnicode 111.10
    "\U177FA",  # kTGT_MergedSrc L2008-1645
    "\U177FA",  # kRSTUnicode 111.10
    "\U177FB",  # kTGT_MergedSrc L2008-0749
    "\U177FB",  # kRSTUnicode 111.10
    "\U177FC",  # kTGT_MergedSrc L2008-0180
    "\U177FC",  # kRSTUnicode 111.11
    "\U177FD",  # kTGT_MergedSrc L2008-0227
    "\U177FD",  # kRSTUnicode 111.11
    "\U177FE",  # kTGT_MergedSrc L2008-1138
    "\U177FE",  # kRSTUnicode 111.11
    "\U177FF",  # kTGT_MergedSrc L2008-0850
    "\U177FF",  # kRSTUnicode 111.12
    "\U17800",  # kTGT_MergedSrc L2008-0506
    "\U17800",  # kRSTUnicode 111.12
    "\U17801",  # kTGT_MergedSrc L2008-0206
    "\U17801",  # kRSTUnicode 111.12
    "\U17802",  # kTGT_MergedSrc L2008-1614
    "\U17802",  # kRSTUnicode 111.12
    "\U17803",  # kTGT_MergedSrc L2008-4603
    "\U17803",  # kRSTUnicode 112.5
    "\U17804",  # kTGT_MergedSrc L2008-4586
    "\U17804",  # kRSTUnicode 112.7
    "\U17805",  # kTGT_MergedSrc L2008-4596
    "\U17805",  # kRSTUnicode 112.7
    "\U17806",  # kTGT_MergedSrc L2008-4530
    "\U17806",  # kRSTUnicode 112.8
    "\U17807",  # kTGT_MergedSrc L2008-4508
    "\U17807",  # kRSTUnicode 112.8
    "\U17808",  # kTGT_MergedSrc L2008-4547
    "\U17808",  # kRSTUnicode 112.8
    "\U17809",  # kTGT_MergedSrc L2008-4543
    "\U17809",  # kRSTUnicode 112.8
    "\U1780A",  # kTGT_MergedSrc L2008-4642
    "\U1780A",  # kRSTUnicode 112.8
    "\U1780B",  # kTGT_MergedSrc L2008-4621
    "\U1780B",  # kRSTUnicode 112.8
    "\U1780C",  # kTGT_MergedSrc L2008-4585
    "\U1780C",  # kRSTUnicode 112.8
    "\U1780D",  # kTGT_MergedSrc L2008-4580
    "\U1780D",  # kRSTUnicode 112.8
    "\U1780E",  # kTGT_MergedSrc L2008-4509
    "\U1780E",  # kRSTUnicode 112.8
    "\U1780F",  # kTGT_MergedSrc L2008-4608
    "\U1780F",  # kRSTUnicode 112.8
    "\U17810",  # kTGT_MergedSrc L2008-4551
    "\U17810",  # kRSTUnicode 112.9
    "\U17811",  # kTGT_MergedSrc L2008-4552
    "\U17811",  # kRSTUnicode 112.9
    "\U17812",  # kTGT_MergedSrc L2008-4511
    "\U17812",  # kRSTUnicode 112.9
    "\U17813",  # kTGT_MergedSrc L2008-4563
    "\U17813",  # kRSTUnicode 112.9
    "\U17814",  # kTGT_MergedSrc L2008-4568
    "\U17814",  # kRSTUnicode 112.9
    "\U17815",  # kTGT_MergedSrc L2008-4649
    "\U17815",  # kRSTUnicode 112.9
    "\U17816",  # kTGT_MergedSrc L2008-4643
    "\U17816",  # kRSTUnicode 112.9
    "\U17817",  # kTGT_MergedSrc L2008-4635
    "\U17817",  # kRSTUnicode 112.9
    "\U17818",  # kTGT_MergedSrc L2008-4668
    "\U17818",  # kRSTUnicode 112.9
    "\U17819",  # kTGT_MergedSrc L2008-4650
    "\U17819",  # kRSTUnicode 112.9
    "\U1781A",  # kTGT_MergedSrc L2008-4604
    "\U1781A",  # kRSTUnicode 112.9
    "\U1781B",  # kTGT_MergedSrc L2008-4617
    "\U1781B",  # kRSTUnicode 112.10
    "\U1781C",  # kTGT_MergedSrc L2008-4519
    "\U1781C",  # kRSTUnicode 112.10
    "\U1781D",  # kTGT_MergedSrc L2008-4541
    "\U1781D",  # kRSTUnicode 112.10
    "\U1781E",  # kTGT_MergedSrc L2008-4572
    "\U1781E",  # kRSTUnicode 112.10
    "\U1781F",  # kTGT_MergedSrc L2008-4571
    "\U1781F",  # kRSTUnicode 112.10
    "\U17820",  # kTGT_MergedSrc L2008-4644
    "\U17820",  # kRSTUnicode 112.10
    "\U17821",  # kTGT_MergedSrc L2008-4669
    "\U17821",  # kRSTUnicode 112.10
    "\U17822",  # kTGT_MergedSrc L2008-4636
    "\U17822",  # kRSTUnicode 112.10
    "\U17823",  # kTGT_MergedSrc L2008-4667
    "\U17823",  # kRSTUnicode 112.10
    "\U17824",  # kTGT_MergedSrc L2008-4581
    "\U17824",  # kRSTUnicode 112.10
    "\U17825",  # kTGT_MergedSrc L2008-4651
    "\U17825",  # kRSTUnicode 112.10
    "\U17826",  # kTGT_MergedSrc L2008-4582
    "\U17826",  # kRSTUnicode 112.10
    "\U17827",  # kTGT_MergedSrc L2008-4589
    "\U17827",  # kRSTUnicode 112.10
    "\U17828",  # kTGT_MergedSrc L2008-4545
    "\U17828",  # kRSTUnicode 112.10
    "\U17829",  # kTGT_MergedSrc L2008-4542
    "\U17829",  # kRSTUnicode 112.11
    "\U1782A",  # kTGT_MergedSrc L2008-4520
    "\U1782A",  # kRSTUnicode 112.11
    "\U1782B",  # kTGT_MergedSrc L2008-4534
    "\U1782B",  # kRSTUnicode 112.11
    "\U1782C",  # kTGT_MergedSrc L2008-4514
    "\U1782C",  # kRSTUnicode 112.11
    "\U1782D",  # kTGT_MergedSrc L2008-4533
    "\U1782D",  # kRSTUnicode 112.11
    "\U1782E",  # kTGT_MergedSrc L2008-4611
    "\U1782E",  # kRSTUnicode 112.11
    "\U1782F",  # kTGT_MergedSrc L2008-4653
    "\U1782F",  # kRSTUnicode 112.11
    "\U17830",  # kTGT_MergedSrc L2008-4658
    "\U17830",  # kRSTUnicode 112.11
    "\U17831",  # kTGT_MergedSrc L2008-4657
    "\U17831",  # kRSTUnicode 112.11
    "\U17832",  # kTGT_MergedSrc L2008-4583
    "\U17832",  # kRSTUnicode 112.11
    "\U17833",  # kTGT_MergedSrc L2008-4606
    "\U17833",  # kRSTUnicode 112.11
    "\U17834",  # kTGT_MergedSrc L2008-4623
    "\U17834",  # kRSTUnicode 112.11
    "\U17835",  # kTGT_MergedSrc L2008-4532
    "\U17835",  # kRSTUnicode 112.11
    "\U17836",  # kTGT_MergedSrc L2008-4638
    "\U17836",  # kRSTUnicode 112.12
    "\U17837",  # kTGT_MergedSrc L2008-4592
    "\U17837",  # kRSTUnicode 112.12
    "\U17838",  # kTGT_MergedSrc L2008-4612
    "\U17838",  # kRSTUnicode 112.12
    "\U17839",  # kTGT_MergedSrc L2008-4584
    "\U17839",  # kRSTUnicode 112.12
    "\U1783A",  # kTGT_MergedSrc L2008-4605
    "\U1783A",  # kRSTUnicode 112.12
    "\U1783B",  # kTGT_MergedSrc L2008-4597
    "\U1783B",  # kRSTUnicode 112.12
    "\U1783C",  # kTGT_MergedSrc L2008-4616
    "\U1783C",  # kRSTUnicode 112.12
    "\U1783D",  # kTGT_MergedSrc L2008-4613
    "\U1783D",  # kRSTUnicode 112.12
    "\U1783E",  # kTGT_MergedSrc L2008-4615
    "\U1783E",  # kRSTUnicode 112.13
    "\U1783F",  # kTGT_MergedSrc L2008-4564
    "\U1783F",  # kRSTUnicode 112.13
    "\U17840",  # kTGT_MergedSrc L2008-4553
    "\U17840",  # kRSTUnicode 112.13
    "\U17841",  # kTGT_MergedSrc L2008-4619
    "\U17841",  # kRSTUnicode 112.13
    "\U17842",  # kTGT_MergedSrc L2008-4618
    "\U17842",  # kRSTUnicode 112.13
    "\U17843",  # kTGT_MergedSrc L2008-4523
    "\U17843",  # kRSTUnicode 112.13
    "\U17844",  # kTGT_MergedSrc L2008-4513
    "\U17844",  # kRSTUnicode 112.13
    "\U17845",  # kTGT_MergedSrc L2008-4517
    "\U17845",  # kRSTUnicode 112.13
    "\U17846",  # kTGT_MergedSrc L2008-4652
    "\U17846",  # kRSTUnicode 112.13
    "\U17847",  # kTGT_MergedSrc L2008-4610
    "\U17847",  # kRSTUnicode 112.13
    "\U17848",  # kTGT_MergedSrc L2008-4521
    "\U17848",  # kRSTUnicode 112.13
    "\U17849",  # kTGT_MergedSrc L2008-4535
    "\U17849",  # kRSTUnicode 112.14
    "\U1784A",  # kTGT_MergedSrc L2008-4540
    "\U1784A",  # kRSTUnicode 112.14
    "\U1784B",  # kTGT_MergedSrc L2008-4593
    "\U1784B",  # kRSTUnicode 112.14
    "\U1784C",  # kTGT_MergedSrc N1966-255-107
    "\U1784C",  # kRSTUnicode 112.14
    "\U1784D",  # kTGT_MergedSrc L2008-4622
    "\U1784D",  # kRSTUnicode 112.14
    "\U1784E",  # kTGT_MergedSrc L2008-4518
    "\U1784E",  # kRSTUnicode 112.14
    "\U1784F",  # kTGT_MergedSrc L2008-4576
    "\U1784F",  # kRSTUnicode 112.14
    "\U17850",  # kTGT_MergedSrc L2008-4512
    "\U17850",  # kRSTUnicode 112.15
    "\U17851",  # kTGT_MergedSrc L2008-4577
    "\U17851",  # kRSTUnicode 112.15
    "\U17852",  # kTGT_MergedSrc L2008-4598
    "\U17852",  # kRSTUnicode 112.15
    "\U17853",  # kTGT_MergedSrc L2008-4656
    "\U17853",  # kRSTUnicode 112.16
    "\U17854",  # kTGT_MergedSrc L2008-4600
    "\U17854",  # kRSTUnicode 112.16
    "\U17855",  # kTGT_MergedSrc L2008-4614
    "\U17855",  # kRSTUnicode 112.16
    "\U17856",  # kTGT_MergedSrc L2008-4599
    "\U17856",  # kRSTUnicode 112.16
    "\U17857",  # kTGT_MergedSrc L2008-4546
    "\U17857",  # kRSTUnicode 112.16
    "\U17858",  # kTGT_MergedSrc L2008-4639
    "\U17858",  # kRSTUnicode 112.17
    "\U17859",  # kTGT_MergedSrc L2008-4531
    "\U17859",  # kRSTUnicode 112.18
    "\U1785A",  # kTGT_MergedSrc L2008-4569
    "\U1785A",  # kRSTUnicode 112.18
    "\U1785B",  # kTGT_MergedSrc L2008-4647
    "\U1785B",  # kRSTUnicode 112.18
    "\U1785C",  # kTGT_MergedSrc L2008-4637
    "\U1785C",  # kRSTUnicode 112.18
    "\U1785D",  # kTGT_MergedSrc L2008-4620
    "\U1785D",  # kRSTUnicode 112.18
    "\U1785E",  # kTGT_MergedSrc L2008-0359
    "\U1785E",  # kRSTUnicode 113.9
    "\U1785F",  # kTGT_MergedSrc L2008-0534
    "\U1785F",  # kRSTUnicode 113.9
    "\U17860",  # kTGT_MergedSrc L2008-0271
    "\U17860",  # kRSTUnicode 113.9
    "\U17861",  # kTGT_MergedSrc L2008-0320
    "\U17861",  # kRSTUnicode 113.10
    "\U17862",  # kTGT_MergedSrc L2008-0702
    "\U17862",  # kRSTUnicode 113.10
    "\U17863",  # kTGT_MergedSrc L2008-0293
    "\U17863",  # kRSTUnicode 113.11
    "\U17864",  # kTGT_MergedSrc L2008-1780
    "\U17864",  # kRSTUnicode 113.11
    "\U17865",  # kTGT_MergedSrc L2008-1877
    "\U17865",  # kRSTUnicode 113.11
    "\U17866",  # kTGT_MergedSrc L2008-0592
    "\U17866",  # kRSTUnicode 113.12
    "\U17867",  # kTGT_MergedSrc L2008-0703
    "\U17867",  # kRSTUnicode 113.12
    "\U17868",  # kTGT_MergedSrc L2008-0561
    "\U17868",  # kRSTUnicode 113.12
    "\U17869",  # kTGT_MergedSrc L2008-1353
    "\U17869",  # kRSTUnicode 113.13
    "\U1786A",  # kTGT_MergedSrc L2008-1290
    "\U1786A",  # kRSTUnicode 113.13
    "\U1786B",  # kTGT_MergedSrc L2008-0778
    "\U1786B",  # kRSTUnicode 114.6
    "\U1786C",  # kTGT_MergedSrc L2008-0340
    "\U1786C",  # kRSTUnicode 114.8
    "\U1786D",  # kTGT_MergedSrc L2008-0347
    "\U1786D",  # kRSTUnicode 114.8
    "\U1786E",  # kTGT_MergedSrc L2008-0541
    "\U1786E",  # kRSTUnicode 114.8
    "\U1786F",  # kTGT_MergedSrc L2008-0302
    "\U1786F",  # kRSTUnicode 114.9
    "\U17870",  # kTGT_MergedSrc L2008-0357
    "\U17870",  # kRSTUnicode 114.9
    "\U17871",  # kTGT_MergedSrc L2008-1871
    "\U17871",  # kRSTUnicode 114.9
    "\U17872",  # kTGT_MergedSrc L1997-5996
    "\U17872",  # kRSTUnicode 114.9
    "\U17873",  # kTGT_MergedSrc L2008-0272
    "\U17873",  # kRSTUnicode 114.10
    "\U17874",  # kTGT_MergedSrc L2008-0807
    "\U17874",  # kRSTUnicode 114.10
    "\U17875",  # kTGT_MergedSrc L2008-1316
    "\U17875",  # kRSTUnicode 114.12
    "\U17876",  # kTGT_MergedSrc L2008-0535
    "\U17876",  # kRSTUnicode 114.12
    "\U17877",  # kTGT_MergedSrc L2008-1214
    "\U17877",  # kRSTUnicode 114.14
    "\U17878",  # kTGT_MergedSrc L2008-0243
    "\U17878",  # kRSTUnicode 114.15
    "\U17879",  # kTGT_MergedSrc L2008-1392
    "\U17879",  # kRSTUnicode 114.16
    "\U1787A",  # kTGT_MergedSrc L2008-2928
    "\U1787A",  # kRSTUnicode 118.7
    "\U1787B",  # kTGT_MergedSrc L2008-3499
    "\U1787B",  # kRSTUnicode 118.11
    "\U1787C",  # kTGT_MergedSrc L2008-2705
    "\U1787C",  # kRSTUnicode 118.12
    "\U1787D",  # kTGT_MergedSrc L2008-3495
    "\U1787D",  # kRSTUnicode 118.13
    "\U1787E",  # kTGT_MergedSrc L2008-2963
    "\U1787E",  # kRSTUnicode 118.16
    "\U1787F",  # kTGT_MergedSrc L2008-4021
    "\U1787F",  # kRSTUnicode 120.9
    "\U17880",  # kTGT_MergedSrc L2008-4045
    "\U17880",  # kRSTUnicode 120.9
    "\U17881",  # kTGT_MergedSrc L2008-3453
    "\U17881",  # kRSTUnicode 121.10
    "\U17882",  # kTGT_MergedSrc L2008-2824
    "\U17882",  # kRSTUnicode 121.11
    "\U17883",  # kTGT_MergedSrc L2008-2961
    "\U17883",  # kRSTUnicode 121.11
    "\U17884",  # kTGT_MergedSrc L2008-4609
    "\U17884",  # kRSTUnicode 126.8
    "\U17885",  # kTGT_MergedSrc L2008-4525
    "\U17885",  # kRSTUnicode 126.9
    "\U17886",  # kTGT_MergedSrc L2008-2840-4591
    "\U17886",  # kRSTUnicode 126.10
    "\U17887",  # kTGT_MergedSrc L2008-4594
    "\U17887",  # kRSTUnicode 131.8
    "\U17888",  # kTGT_MergedSrc L2008-4037
    "\U17888",  # kRSTUnicode 132.8
    "\U17889",  # kTGT_MergedSrc L2008-4084
    "\U17889",  # kRSTUnicode 132.9
    "\U1788A",  # kTGT_MergedSrc L2008-4044
    "\U1788A",  # kRSTUnicode 134.9
    "\U1788B",  # kTGT_MergedSrc L2008-4057
    "\U1788B",  # kRSTUnicode 134.11
    "\U1788C",  # kTGT_MergedSrc L2008-4019
    "\U1788C",  # kRSTUnicode 134.13
    "\U1788D",  # kTGT_MergedSrc L2008-4020
    "\U1788D",  # kRSTUnicode 134.14
    "\U1788E",  # kTGT_MergedSrc L2008-3029
    "\U1788E",  # kRSTUnicode 138.8
    "\U1788F",  # kTGT_MergedSrc L2008-3072
    "\U1788F",  # kRSTUnicode 138.8
    "\U17890",  # kTGT_MergedSrc L2008-3044
    "\U17890",  # kRSTUnicode 138.9
    "\U17891",  # kTGT_MergedSrc L2008-2844
    "\U17891",  # kRSTUnicode 138.9
    "\U17892",  # kTGT_MergedSrc L2008-3076
    "\U17892",  # kRSTUnicode 138.9
    "\U17893",  # kTGT_MergedSrc L2008-2026
    "\U17893",  # kRSTUnicode 138.10
    "\U17894",  # kTGT_MergedSrc L2008-2051
    "\U17894",  # kRSTUnicode 138.10
    "\U17895",  # kTGT_MergedSrc L2008-3545
    "\U17895",  # kRSTUnicode 138.10
    "\U17896",  # kTGT_MergedSrc L2008-2721
    "\U17896",  # kRSTUnicode 138.10
    "\U17897",  # kTGT_MergedSrc L2008-2420
    "\U17897",  # kRSTUnicode 138.11
    "\U17898",  # kTGT_MergedSrc L2008-2048
    "\U17898",  # kRSTUnicode 138.11
    "\U17899",  # kTGT_MergedSrc L2008-3778
    "\U17899",  # kRSTUnicode 138.11
    "\U1789A",  # kTGT_MergedSrc L2008-3054
    "\U1789A",  # kRSTUnicode 138.11
    "\U1789B",  # kTGT_MergedSrc L2008-3003
    "\U1789B",  # kRSTUnicode 138.11
    "\U1789C",  # kTGT_MergedSrc L2008-2728
    "\U1789C",  # kRSTUnicode 138.11
    "\U1789D",  # kTGT_MergedSrc L2008-3446
    "\U1789D",  # kRSTUnicode 138.12
    "\U1789E",  # kTGT_MergedSrc L2008-2398
    "\U1789E",  # kRSTUnicode 138.12
    "\U1789F",  # kTGT_MergedSrc L2008-2001
    "\U1789F",  # kRSTUnicode 138.12
    "\U178A0",  # kTGT_MergedSrc L2008-2002
    "\U178A0",  # kRSTUnicode 138.12
    "\U178A1",  # kTGT_MergedSrc L2008-2578
    "\U178A1",  # kRSTUnicode 138.12
    "\U178A2",  # kTGT_MergedSrc L2008-2848
    "\U178A2",  # kRSTUnicode 138.13
    "\U178A3",  # kTGT_MergedSrc L2008-2003
    "\U178A3",  # kRSTUnicode 138.13
    "\U178A4",  # kTGT_MergedSrc L2008-2592
    "\U178A4",  # kRSTUnicode 138.16
    "\U178A5",  # kTGT_MergedSrc L2008-2406
    "\U178A5",  # kRSTUnicode 138.16
    "\U178A6",  # kTGT_MergedSrc L2008-3526
    "\U178A6",  # kRSTUnicode 138.21
    "\U178A7",  # kTGT_MergedSrc L2008-2057
    "\U178A7",  # kRSTUnicode 139.9
    "\U178A8",  # kTGT_MergedSrc L2008-1886
    "\U178A8",  # kRSTUnicode 141.4
    "\U178A9",  # kTGT_MergedSrc L2008-3179
    "\U178A9",  # kRSTUnicode 141.6
    "\U178AA",  # kTGT_MergedSrc L2008-2228
    "\U178AA",  # kRSTUnicode 141.7
    "\U178AB",  # kTGT_MergedSrc L2008-2185
    "\U178AB",  # kRSTUnicode 141.7
    "\U178AC",  # kTGT_MergedSrc L2008-2063
    "\U178AC",  # kRSTUnicode 141.7
    "\U178AD",  # kTGT_MergedSrc L2008-3113
    "\U178AD",  # kRSTUnicode 141.7
    "\U178AE",  # kTGT_MergedSrc L2008-3178
    "\U178AE",  # kRSTUnicode 141.7
    "\U178AF",  # kTGT_MergedSrc L2008-3190
    "\U178AF",  # kRSTUnicode 141.7
    "\U178B0",  # kTGT_MergedSrc L2008-3274
    "\U178B0",  # kRSTUnicode 141.7
    "\U178B1",  # kTGT_MergedSrc L2008-3237
    "\U178B1",  # kRSTUnicode 141.7
    "\U178B2",  # kTGT_MergedSrc L2008-3261
    "\U178B2",  # kRSTUnicode 141.7
    "\U178B3",  # kTGT_MergedSrc L2008-2852
    "\U178B3",  # kRSTUnicode 141.8
    "\U178B4",  # kTGT_MergedSrc L2008-2187
    "\U178B4",  # kRSTUnicode 141.8
    "\U178B5",  # kTGT_MergedSrc L2008-2064
    "\U178B5",  # kRSTUnicode 141.8
    "\U178B6",  # kTGT_MergedSrc L2008-2263
    "\U178B6",  # kRSTUnicode 141.8
    "\U178B7",  # kTGT_MergedSrc L2008-2193
    "\U178B7",  # kRSTUnicode 141.8
    "\U178B8",  # kTGT_MergedSrc L2008-2246
    "\U178B8",  # kRSTUnicode 141.8
    "\U178B9",  # kTGT_MergedSrc L2008-3167
    "\U178B9",  # kRSTUnicode 141.8
    "\U178BA",  # kTGT_MergedSrc L2008-2458
    "\U178BA",  # kRSTUnicode 141.8
    "\U178BB",  # kTGT_MergedSrc L2008-2641
    "\U178BB",  # kRSTUnicode 141.8
    "\U178BC",  # kTGT_MergedSrc L2008-3180
    "\U178BC",  # kRSTUnicode 141.8
    "\U178BD",  # kTGT_MergedSrc L2008-3181
    "\U178BD",  # kRSTUnicode 141.8
    "\U178BE",  # kTGT_MergedSrc L2008-2602
    "\U178BE",  # kRSTUnicode 141.8
    "\U178BF",  # kTGT_MergedSrc L2008-3619
    "\U178BF",  # kRSTUnicode 141.8
    "\U178C0",  # kTGT_MergedSrc L2008-3639
    "\U178C0",  # kRSTUnicode 141.8
    "\U178C1",  # kTGT_MergedSrc L2008-3191
    "\U178C1",  # kRSTUnicode 141.8
    "\U178C2",  # kTGT_MergedSrc L2008-3114
    "\U178C2",  # kRSTUnicode 141.8
    "\U178C3",  # kTGT_MergedSrc L2008-3195
    "\U178C3",  # kRSTUnicode 141.8
    "\U178C4",  # kTGT_MergedSrc L2008-3275
    "\U178C4",  # kRSTUnicode 141.8
    "\U178C5",  # kTGT_MergedSrc L2008-3797
    "\U178C5",  # kRSTUnicode 141.8
    "\U178C6",  # kTGT_MergedSrc L2008-3277
    "\U178C6",  # kRSTUnicode 141.8
    "\U178C7",  # kTGT_MergedSrc L2008-3389
    "\U178C7",  # kRSTUnicode 141.8
    "\U178C8",  # kTGT_MergedSrc L2008-2797
    "\U178C8",  # kRSTUnicode 141.8
    "\U178C9",  # kTGT_MergedSrc L2008-3192
    "\U178C9",  # kRSTUnicode 141.8
    "\U178CA",  # kTGT_MergedSrc L2008-2065
    "\U178CA",  # kRSTUnicode 141.8
    "\U178CB",  # kTGT_MergedSrc L2008-2178
    "\U178CB",  # kRSTUnicode 141.8
    "\U178CC",  # kTGT_MergedSrc L2008-3174
    "\U178CC",  # kRSTUnicode 141.8
    "\U178CD",  # kTGT_MergedSrc L2008-2211
    "\U178CD",  # kRSTUnicode 141.9
    "\U178CE",  # kTGT_MergedSrc L2008-3217
    "\U178CE",  # kRSTUnicode 141.9
    "\U178CF",  # kTGT_MergedSrc L2008-2229
    "\U178CF",  # kRSTUnicode 141.9
    "\U178D0",  # kTGT_MergedSrc L2008-2746
    "\U178D0",  # kRSTUnicode 141.9
    "\U178D1",  # kTGT_MergedSrc L2008-2284
    "\U178D1",  # kRSTUnicode 141.9
    "\U178D2",  # kTGT_MergedSrc L2008-2290
    "\U178D2",  # kRSTUnicode 141.9
    "\U178D3",  # kTGT_MergedSrc L2008-2144
    "\U178D3",  # kRSTUnicode 141.9
    "\U178D4",  # kTGT_MergedSrc L2008-2247
    "\U178D4",  # kRSTUnicode 141.9
    "\U178D5",  # kTGT_MergedSrc L2008-2230
    "\U178D5",  # kRSTUnicode 141.9
    "\U178D6",  # kTGT_MergedSrc L2008-2183
    "\U178D6",  # kRSTUnicode 141.9
    "\U178D7",  # kTGT_MergedSrc L2008-2184
    "\U178D7",  # kRSTUnicode 141.9
    "\U178D8",  # kTGT_MergedSrc L2008-2188
    "\U178D8",  # kRSTUnicode 141.9
    "\U178D9",  # kTGT_MergedSrc L2008-2294
    "\U178D9",  # kRSTUnicode 141.9
    "\U178DA",  # kTGT_MergedSrc L2008-2066
    "\U178DA",  # kRSTUnicode 141.9
    "\U178DB",  # kTGT_MergedSrc L2008-2074
    "\U178DB",  # kRSTUnicode 141.9
    "\U178DC",  # kTGT_MergedSrc L2008-2173
    "\U178DC",  # kRSTUnicode 141.9
    "\U178DD",  # kTGT_MergedSrc L2008-2206
    "\U178DD",  # kRSTUnicode 141.9
    "\U178DE",  # kTGT_MergedSrc L2008-2464
    "\U178DE",  # kRSTUnicode 141.9
    "\U178DF",  # kTGT_MergedSrc L2008-3630
    "\U178DF",  # kRSTUnicode 141.9
    "\U178E0",  # kTGT_MergedSrc L2008-2073
    "\U178E0",  # kRSTUnicode 141.9
    "\U178E1",  # kTGT_MergedSrc L2008-3115
    "\U178E1",  # kRSTUnicode 141.9
    "\U178E2",  # kTGT_MergedSrc L2008-2490
    "\U178E2",  # kRSTUnicode 141.9
    "\U178E3",  # kTGT_MergedSrc L2008-3278
    "\U178E3",  # kRSTUnicode 141.9
    "\U178E4",  # kTGT_MergedSrc L2008-2642
    "\U178E4",  # kRSTUnicode 141.9
    "\U178E5",  # kTGT_MergedSrc L2008-2616
    "\U178E5",  # kRSTUnicode 141.9
    "\U178E6",  # kTGT_MergedSrc L2008-2603
    "\U178E6",  # kRSTUnicode 141.9
    "\U178E7",  # kTGT_MergedSrc L2008-2640
    "\U178E7",  # kRSTUnicode 141.9
    "\U178E8",  # kTGT_MergedSrc L2008-3620
    "\U178E8",  # kRSTUnicode 141.9
    "\U178E9",  # kTGT_MergedSrc L2008-3640
    "\U178E9",  # kRSTUnicode 141.9
    "\U178EA",  # kTGT_MergedSrc L2008-3142
    "\U178EA",  # kRSTUnicode 141.9
    "\U178EB",  # kTGT_MergedSrc L2008-3798
    "\U178EB",  # kRSTUnicode 141.9
    "\U178EC",  # kTGT_MergedSrc L2008-3621
    "\U178EC",  # kRSTUnicode 141.9
    "\U178ED",  # kTGT_MergedSrc L2008-3193
    "\U178ED",  # kRSTUnicode 141.9
    "\U178EE",  # kTGT_MergedSrc L2008-3238
    "\U178EE",  # kRSTUnicode 141.9
    "\U178EF",  # kTGT_MergedSrc L2008-3208
    "\U178EF",  # kRSTUnicode 141.9
    "\U178F0",  # kTGT_MergedSrc L2008-3276
    "\U178F0",  # kRSTUnicode 141.9
    "\U178F1",  # kTGT_MergedSrc L2008-2854
    "\U178F1",  # kRSTUnicode 141.9
    "\U178F2",  # kTGT_MergedSrc L2008-3784
    "\U178F2",  # kRSTUnicode 141.9
    "\U178F3",  # kTGT_MergedSrc L2008-3365
    "\U178F3",  # kRSTUnicode 141.9
    "\U178F4",  # kTGT_MergedSrc L2008-3804
    "\U178F4",  # kRSTUnicode 141.9
    "\U178F5",  # kTGT_MergedSrc L2008-3366
    "\U178F5",  # kRSTUnicode 141.9
    "\U178F6",  # kTGT_MergedSrc L2008-3279
    "\U178F6",  # kRSTUnicode 141.9
    "\U178F7",  # kTGT_MergedSrc L2008-3194
    "\U178F7",  # kRSTUnicode 141.9
    "\U178F8",  # kTGT_MergedSrc L2008-2448
    "\U178F8",  # kRSTUnicode 141.9
    "\U178F9",  # kTGT_MergedSrc L2008-3120
    "\U178F9",  # kRSTUnicode 141.9
    "\U178FA",  # kTGT_MergedSrc L2008-2088
    "\U178FA",  # kRSTUnicode 141.10
    "\U178FB",  # kTGT_MergedSrc L2008-2190
    "\U178FB",  # kRSTUnicode 141.10
    "\U178FC",  # kTGT_MergedSrc L2008-2748
    "\U178FC",  # kRSTUnicode 141.10
    "\U178FD",  # kTGT_MergedSrc L2008-2089
    "\U178FD",  # kRSTUnicode 141.10
    "\U178FE",  # kTGT_MergedSrc L2008-2215
    "\U178FE",  # kRSTUnicode 141.10
    "\U178FF",  # kTGT_MergedSrc L2008-2783
    "\U178FF",  # kRSTUnicode 141.10
    "\U17900",  # kTGT_MergedSrc L2008-3139
    "\U17900",  # kRSTUnicode 141.10
    "\U17901",  # kTGT_MergedSrc L2008-3200
    "\U17901",  # kRSTUnicode 141.10
    "\U17902",  # kTGT_MergedSrc L2008-3201
    "\U17902",  # kRSTUnicode 141.10
    "\U17903",  # kTGT_MergedSrc L2008-2189
    "\U17903",  # kRSTUnicode 141.10
    "\U17904",  # kTGT_MergedSrc L2008-2082
    "\U17904",  # kRSTUnicode 141.10
    "\U17905",  # kTGT_MergedSrc L2008-2201
    "\U17905",  # kRSTUnicode 141.10
    "\U17906",  # kTGT_MergedSrc L2008-2214
    "\U17906",  # kRSTUnicode 141.10
    "\U17907",  # kTGT_MergedSrc L2008-2775
    "\U17907",  # kRSTUnicode 141.10
    "\U17908",  # kTGT_MergedSrc L2008-2295
    "\U17908",  # kRSTUnicode 141.10
    "\U17909",  # kTGT_MergedSrc L2008-2075
    "\U17909",  # kRSTUnicode 141.10
    "\U1790A",  # kTGT_MergedSrc L2008-2629
    "\U1790A",  # kRSTUnicode 141.10
    "\U1790B",  # kTGT_MergedSrc L2008-2194
    "\U1790B",  # kRSTUnicode 141.10
    "\U1790C",  # kTGT_MergedSrc L2008-2196
    "\U1790C",  # kRSTUnicode 141.10
    "\U1790D",  # kTGT_MergedSrc L2008-2473
    "\U1790D",  # kRSTUnicode 141.10
    "\U1790E",  # kTGT_MergedSrc L2008-2661
    "\U1790E",  # kRSTUnicode 141.10
    "\U1790F",  # kTGT_MergedSrc L2008-2609
    "\U1790F",  # kRSTUnicode 141.10
    "\U17910",  # kTGT_MergedSrc L2008-2650
    "\U17910",  # kRSTUnicode 141.10
    "\U17911",  # kTGT_MergedSrc L2008-3210
    "\U17911",  # kRSTUnicode 141.10
    "\U17912",  # kTGT_MergedSrc L2008-3305
    "\U17912",  # kRSTUnicode 141.10
    "\U17913",  # kTGT_MergedSrc L2008-3228
    "\U17913",  # kRSTUnicode 141.10
    "\U17914",  # kTGT_MergedSrc L2008-3306
    "\U17914",  # kRSTUnicode 141.10
    "\U17915",  # kTGT_MergedSrc L2008-2469
    "\U17915",  # kRSTUnicode 141.10
    "\U17916",  # kTGT_MergedSrc L2008-2216
    "\U17916",  # kRSTUnicode 141.10
    "\U17917",  # kTGT_MergedSrc L1997-5998
    "\U17917",  # kRSTUnicode 141.10
    "\U17918",  # kTGT_MergedSrc L2008-3182
    "\U17918",  # kRSTUnicode 141.10
    "\U17919",  # kTGT_MergedSrc L2008-2645
    "\U17919",  # kRSTUnicode 141.10
    "\U1791A",  # kTGT_MergedSrc L2008-3241
    "\U1791A",  # kRSTUnicode 141.10
    "\U1791B",  # kTGT_MergedSrc L2008-2649
    "\U1791B",  # kRSTUnicode 141.10
    "\U1791C",  # kTGT_MergedSrc L2008-2688
    "\U1791C",  # kRSTUnicode 141.10
    "\U1791D",  # kTGT_MergedSrc L2008-2749
    "\U1791D",  # kRSTUnicode 141.10
    "\U1791E",  # kTGT_MergedSrc L2008-2643
    "\U1791E",  # kRSTUnicode 141.10
    "\U1791F",  # kTGT_MergedSrc L2008-3641
    "\U1791F",  # kRSTUnicode 141.10
    "\U17920",  # kTGT_MergedSrc L2008-3691
    "\U17920",  # kRSTUnicode 141.10
    "\U17921",  # kTGT_MergedSrc L2008-3590
    "\U17921",  # kRSTUnicode 141.10
    "\U17922",  # kTGT_MergedSrc L2008-3791
    "\U17922",  # kRSTUnicode 141.10
    "\U17923",  # kTGT_MergedSrc L2008-3569
    "\U17923",  # kRSTUnicode 141.10
    "\U17924",  # kTGT_MergedSrc L2008-3565
    "\U17924",  # kRSTUnicode 141.10
    "\U17925",  # kTGT_MergedSrc L2008-3787
    "\U17925",  # kRSTUnicode 141.10
    "\U17926",  # kTGT_MergedSrc L2008-3676
    "\U17926",  # kRSTUnicode 141.10
    "\U17927",  # kTGT_MergedSrc L2008-3805
    "\U17927",  # kRSTUnicode 141.10
    "\U17928",  # kTGT_MergedSrc L2008-3570
    "\U17928",  # kRSTUnicode 141.10
    "\U17929",  # kTGT_MergedSrc L2008-3628
    "\U17929",  # kRSTUnicode 141.10
    "\U1792A",  # kTGT_MergedSrc L2008-2777
    "\U1792A",  # kRSTUnicode 141.10
    "\U1792B",  # kTGT_MergedSrc L2008-3622
    "\U1792B",  # kRSTUnicode 141.10
    "\U1792C",  # kTGT_MergedSrc L2008-3591
    "\U1792C",  # kRSTUnicode 141.10
    "\U1792D",  # kTGT_MergedSrc L2008-3128
    "\U1792D",  # kRSTUnicode 141.10
    "\U1792E",  # kTGT_MergedSrc L2008-3360
    "\U1792E",  # kRSTUnicode 141.10
    "\U1792F",  # kTGT_MergedSrc L2008-3173
    "\U1792F",  # kRSTUnicode 141.10
    "\U17930",  # kTGT_MergedSrc L2008-2739
    "\U17930",  # kRSTUnicode 141.10
    "\U17931",  # kTGT_MergedSrc L2008-3248
    "\U17931",  # kRSTUnicode 141.10
    "\U17932",  # kTGT_MergedSrc L2008-3250
    "\U17932",  # kRSTUnicode 141.10
    "\U17933",  # kTGT_MergedSrc L2008-2888
    "\U17933",  # kRSTUnicode 141.10
    "\U17934",  # kTGT_MergedSrc L2008-3207
    "\U17934",  # kRSTUnicode 141.10
    "\U17935",  # kTGT_MergedSrc L2008-2176
    "\U17935",  # kRSTUnicode 141.10
    "\U17936",  # kTGT_MergedSrc L2008-2518
    "\U17936",  # kRSTUnicode 141.10
    "\U17937",  # kTGT_MergedSrc L2008-3614
    "\U17937",  # kRSTUnicode 141.10
    "\U17938",  # kTGT_MergedSrc L2008-2197
    "\U17938",  # kRSTUnicode 141.10
    "\U17939",  # kTGT_MergedSrc L2008-3121
    "\U17939",  # kRSTUnicode 141.10
    "\U1793A",  # kTGT_MergedSrc L2008-2466
    "\U1793A",  # kRSTUnicode 141.10
    "\U1793B",  # kTGT_MergedSrc L2008-2467
    "\U1793B",  # kRSTUnicode 141.11
    "\U1793C",  # kTGT_MergedSrc L2008-2491
    "\U1793C",  # kRSTUnicode 141.11
    "\U1793D",  # kTGT_MergedSrc L2008-2617
    "\U1793D",  # kRSTUnicode 141.11
    "\U1793E",  # kTGT_MergedSrc L2008-2447
    "\U1793E",  # kRSTUnicode 141.11
    "\U1793F",  # kTGT_MergedSrc L2008-2127
    "\U1793F",  # kRSTUnicode 141.11
    "\U17940",  # kTGT_MergedSrc L2008-2225
    "\U17940",  # kRSTUnicode 141.11
    "\U17941",  # kTGT_MergedSrc L2008-2118
    "\U17941",  # kRSTUnicode 141.11
    "\U17942",  # kTGT_MergedSrc L2008-3215
    "\U17942",  # kRSTUnicode 141.11
    "\U17943",  # kTGT_MergedSrc L2008-2205
    "\U17943",  # kRSTUnicode 141.11
    "\U17944",  # kTGT_MergedSrc L2008-2630
    "\U17944",  # kRSTUnicode 141.11
    "\U17945",  # kTGT_MergedSrc L2008-2610
    "\U17945",  # kRSTUnicode 141.11
    "\U17946",  # kTGT_MergedSrc L2008-3631
    "\U17946",  # kRSTUnicode 141.11
    "\U17947",  # kTGT_MergedSrc L2008-3212
    "\U17947",  # kRSTUnicode 141.11
    "\U17948",  # kTGT_MergedSrc L2008-3258
    "\U17948",  # kRSTUnicode 141.11
    "\U17949",  # kTGT_MergedSrc L2008-2747
    "\U17949",  # kRSTUnicode 141.11
    "\U1794A",  # kTGT_MergedSrc L2008-2203
    "\U1794A",  # kRSTUnicode 141.11
    "\U1794B",  # kTGT_MergedSrc L2008-2128
    "\U1794B",  # kRSTUnicode 141.11
    "\U1794C",  # kTGT_MergedSrc L2008-2231
    "\U1794C",  # kRSTUnicode 141.11
    "\U1794D",  # kTGT_MergedSrc L2008-2296
    "\U1794D",  # kRSTUnicode 141.11
    "\U1794E",  # kTGT_MergedSrc L2008-2212
    "\U1794E",  # kRSTUnicode 141.11
    "\U1794F",  # kTGT_MergedSrc L2008-2250
    "\U1794F",  # kRSTUnicode 141.11
    "\U17950",  # kTGT_MergedSrc L2008-2611
    "\U17950",  # kRSTUnicode 141.11
    "\U17951",  # kTGT_MergedSrc L2008-3118
    "\U17951",  # kRSTUnicode 141.11
    "\U17952",  # kTGT_MergedSrc L2008-2195
    "\U17952",  # kRSTUnicode 141.11
    "\U17953",  # kTGT_MergedSrc L2008-2857
    "\U17953",  # kRSTUnicode 141.11
    "\U17954",  # kTGT_MergedSrc L2008-2753
    "\U17954",  # kRSTUnicode 141.11
    "\U17955",  # kTGT_MergedSrc L2008-3782
    "\U17955",  # kRSTUnicode 141.11
    "\U17956",  # kTGT_MergedSrc L2008-3679
    "\U17956",  # kRSTUnicode 141.11
    "\U17957",  # kTGT_MergedSrc L2008-3234
    "\U17957",  # kRSTUnicode 141.11
    "\U17958",  # kTGT_MergedSrc L2008-3222
    "\U17958",  # kRSTUnicode 141.11
    "\U17959",  # kTGT_MergedSrc L2008-3214
    "\U17959",  # kRSTUnicode 141.11
    "\U1795A",  # kTGT_MergedSrc L2008-3281
    "\U1795A",  # kRSTUnicode 141.11
    "\U1795B",  # kTGT_MergedSrc L2008-2778
    "\U1795B",  # kRSTUnicode 141.11
    "\U1795C",  # kTGT_MergedSrc L2008-2606
    "\U1795C",  # kRSTUnicode 141.11
    "\U1795D",  # kTGT_MergedSrc L2008-2637
    "\U1795D",  # kRSTUnicode 141.11
    "\U1795E",  # kTGT_MergedSrc L2008-2776
    "\U1795E",  # kRSTUnicode 141.11
    "\U1795F",  # kTGT_MergedSrc L2008-2604
    "\U1795F",  # kRSTUnicode 141.11
    "\U17960",  # kTGT_MergedSrc L2008-2638
    "\U17960",  # kRSTUnicode 141.11
    "\U17961",  # kTGT_MergedSrc L2008-3566
    "\U17961",  # kRSTUnicode 141.11
    "\U17962",  # kTGT_MergedSrc L2008-3636
    "\U17962",  # kRSTUnicode 141.11
    "\U17963",  # kTGT_MergedSrc L2008-3788
    "\U17963",  # kRSTUnicode 141.11
    "\U17964",  # kTGT_MergedSrc L2008-3574
    "\U17964",  # kRSTUnicode 141.11
    "\U17965",  # kTGT_MergedSrc L2008-3677
    "\U17965",  # kRSTUnicode 141.11
    "\U17966",  # kTGT_MergedSrc L2008-2750
    "\U17966",  # kRSTUnicode 141.11
    "\U17967",  # kTGT_MergedSrc L2008-3643
    "\U17967",  # kRSTUnicode 141.11
    "\U17968",  # kTGT_MergedSrc L2008-2784
    "\U17968",  # kRSTUnicode 141.11
    "\U17969",  # kTGT_MergedSrc L2008-3216
    "\U17969",  # kRSTUnicode 141.11
    "\U1796A",  # kTGT_MergedSrc L2008-3796
    "\U1796A",  # kRSTUnicode 141.11
    "\U1796B",  # kTGT_MergedSrc L2008-3807
    "\U1796B",  # kRSTUnicode 141.11
    "\U1796C",  # kTGT_MergedSrc L2008-3623
    "\U1796C",  # kRSTUnicode 141.11
    "\U1796D",  # kTGT_MergedSrc L2008-3716
    "\U1796D",  # kRSTUnicode 141.11
    "\U1796E",  # kTGT_MergedSrc L2008-2150
    "\U1796E",  # kRSTUnicode 141.11
    "\U1796F",  # kTGT_MergedSrc L2008-3146
    "\U1796F",  # kRSTUnicode 141.11
    "\U17970",  # kTGT_MergedSrc L2008-3284
    "\U17970",  # kRSTUnicode 141.11
    "\U17971",  # kTGT_MergedSrc L2008-3157
    "\U17971",  # kRSTUnicode 141.11
    "\U17972",  # kTGT_MergedSrc L2008-2095
    "\U17972",  # kRSTUnicode 141.11
    "\U17973",  # kTGT_MergedSrc L2008-2752
    "\U17973",  # kRSTUnicode 141.11
    "\U17974",  # kTGT_MergedSrc L2008-3262
    "\U17974",  # kRSTUnicode 141.11
    "\U17975",  # kTGT_MergedSrc L2008-3341
    "\U17975",  # kRSTUnicode 141.11
    "\U17976",  # kTGT_MergedSrc L2008-2682
    "\U17976",  # kRSTUnicode 141.11
    "\U17977",  # kTGT_MergedSrc L2008-3282
    "\U17977",  # kRSTUnicode 141.11
    "\U17978",  # kTGT_MergedSrc L2008-3388
    "\U17978",  # kRSTUnicode 141.11
    "\U17979",  # kTGT_MergedSrc L2008-2770
    "\U17979",  # kRSTUnicode 141.11
    "\U1797A",  # kTGT_MergedSrc L2008-3229
    "\U1797A",  # kRSTUnicode 141.11
    "\U1797B",  # kTGT_MergedSrc L2008-2771
    "\U1797B",  # kRSTUnicode 141.11
    "\U1797C",  # kTGT_MergedSrc L2008-3654
    "\U1797C",  # kRSTUnicode 141.11
    "\U1797D",  # kTGT_MergedSrc L2008-2803
    "\U1797D",  # kRSTUnicode 141.11
    "\U1797E",  # kTGT_MergedSrc L2008-2779
    "\U1797E",  # kRSTUnicode 141.11
    "\U1797F",  # kTGT_MergedSrc L2008-3280
    "\U1797F",  # kRSTUnicode 141.11
    "\U17980",  # kTGT_MergedSrc L2008-2224
    "\U17980",  # kRSTUnicode 141.11
    "\U17981",  # kTGT_MergedSrc L2008-2516
    "\U17981",  # kRSTUnicode 141.11
    "\U17982",  # kTGT_MergedSrc L2008-3259
    "\U17982",  # kRSTUnicode 141.11
    "\U17983",  # kTGT_MergedSrc L2008-3617
    "\U17983",  # kRSTUnicode 141.11
    "\U17984",  # kTGT_MergedSrc L2008-3710
    "\U17984",  # kRSTUnicode 141.11
    "\U17985",  # kTGT_MergedSrc L2008-2802
    "\U17985",  # kRSTUnicode 141.11
    "\U17986",  # kTGT_MergedSrc L2008-3213
    "\U17986",  # kRSTUnicode 141.11
    "\U17987",  # kTGT_MergedSrc L2008-2090
    "\U17987",  # kRSTUnicode 141.12
    "\U17988",  # kTGT_MergedSrc L2008-2510
    "\U17988",  # kRSTUnicode 141.12
    "\U17989",  # kTGT_MergedSrc L2008-2129
    "\U17989",  # kRSTUnicode 141.12
    "\U1798A",  # kTGT_MergedSrc L2008-2232
    "\U1798A",  # kRSTUnicode 141.12
    "\U1798B",  # kTGT_MergedSrc L2008-3307
    "\U1798B",  # kRSTUnicode 141.12
    "\U1798C",  # kTGT_MergedSrc L2008-3330
    "\U1798C",  # kRSTUnicode 141.12
    "\U1798D",  # kTGT_MergedSrc L2008-3693
    "\U1798D",  # kRSTUnicode 141.12
    "\U1798E",  # kTGT_MergedSrc L2008-2474
    "\U1798E",  # kRSTUnicode 141.12
    "\U1798F",  # kTGT_MergedSrc L2008-2662
    "\U1798F",  # kRSTUnicode 141.12
    "\U17990",  # kTGT_MergedSrc L2008-2233
    "\U17990",  # kRSTUnicode 141.12
    "\U17991",  # kTGT_MergedSrc L2008-2504
    "\U17991",  # kRSTUnicode 141.12
    "\U17992",  # kTGT_MergedSrc L2008-3158
    "\U17992",  # kRSTUnicode 141.12
    "\U17993",  # kTGT_MergedSrc L2008-2876
    "\U17993",  # kRSTUnicode 141.12
    "\U17994",  # kTGT_MergedSrc L2008-2874
    "\U17994",  # kRSTUnicode 141.12
    "\U17995",  # kTGT_MergedSrc L2008-2486
    "\U17995",  # kRSTUnicode 141.12
    "\U17996",  # kTGT_MergedSrc L2008-3130
    "\U17996",  # kRSTUnicode 141.12
    "\U17997",  # kTGT_MergedSrc L2008-2670
    "\U17997",  # kRSTUnicode 141.12
    "\U17998",  # kTGT_MergedSrc L2008-2626
    "\U17998",  # kRSTUnicode 141.12
    "\U17999",  # kTGT_MergedSrc L2008-3580
    "\U17999",  # kRSTUnicode 141.12
    "\U1799A",  # kTGT_MergedSrc L2008-2853
    "\U1799A",  # kRSTUnicode 141.12
    "\U1799B",  # kTGT_MergedSrc L2008-3353
    "\U1799B",  # kRSTUnicode 141.12
    "\U1799C",  # kTGT_MergedSrc L2008-3211
    "\U1799C",  # kRSTUnicode 141.12
    "\U1799D",  # kTGT_MergedSrc L2008-2202
    "\U1799D",  # kRSTUnicode 141.12
    "\U1799E",  # kTGT_MergedSrc L2008-2663
    "\U1799E",  # kRSTUnicode 141.12
    "\U1799F",  # kTGT_MergedSrc L2008-2884
    "\U1799F",  # kRSTUnicode 141.12
    "\U179A0",  # kTGT_MergedSrc L2008-2740
    "\U179A0",  # kRSTUnicode 141.12
    "\U179A1",  # kTGT_MergedSrc L2008-2234
    "\U179A1",  # kRSTUnicode 141.12
    "\U179A2",  # kTGT_MergedSrc L2008-2492
    "\U179A2",  # kRSTUnicode 141.12
    "\U179A3",  # kTGT_MergedSrc L2008-2083
    "\U179A3",  # kRSTUnicode 141.12
    "\U179A4",  # kTGT_MergedSrc L2008-2493
    "\U179A4",  # kRSTUnicode 141.12
    "\U179A5",  # kTGT_MergedSrc L2008-2117
    "\U179A5",  # kRSTUnicode 141.12
    "\U179A6",  # kTGT_MergedSrc L2008-2249
    "\U179A6",  # kRSTUnicode 141.12
    "\U179A7",  # kTGT_MergedSrc L2008-2291
    "\U179A7",  # kRSTUnicode 141.12
    "\U179A8",  # kTGT_MergedSrc L2008-2119
    "\U179A8",  # kRSTUnicode 141.12
    "\U179A9",  # kTGT_MergedSrc L2008-2257
    "\U179A9",  # kRSTUnicode 141.12
    "\U179AA",  # kTGT_MergedSrc L2008-2084
    "\U179AA",  # kRSTUnicode 141.12
    "\U179AB",  # kTGT_MergedSrc L2008-3316
    "\U179AB",  # kRSTUnicode 141.12
    "\U179AC",  # kTGT_MergedSrc L2008-3370
    "\U179AC",  # kRSTUnicode 141.12
    "\U179AD",  # kTGT_MergedSrc L2008-2686
    "\U179AD",  # kRSTUnicode 141.12
    "\U179AE",  # kTGT_MergedSrc L2008-3789
    "\U179AE",  # kRSTUnicode 141.12
    "\U179AF",  # kTGT_MergedSrc L2008-2751
    "\U179AF",  # kRSTUnicode 141.12
    "\U179B0",  # kTGT_MergedSrc L2008-2120
    "\U179B0",  # kRSTUnicode 141.12
    "\U179B1",  # kTGT_MergedSrc L2008-3680
    "\U179B1",  # kRSTUnicode 141.12
    "\U179B2",  # kTGT_MergedSrc L2008-2618
    "\U179B2",  # kRSTUnicode 141.12
    "\U179B3",  # kTGT_MergedSrc L2008-3266
    "\U179B3",  # kRSTUnicode 141.12
    "\U179B4",  # kTGT_MergedSrc L2008-3333
    "\U179B4",  # kRSTUnicode 141.12
    "\U179B5",  # kTGT_MergedSrc L2008-2177
    "\U179B5",  # kRSTUnicode 141.12
    "\U179B6",  # kTGT_MergedSrc L2008-2468
    "\U179B6",  # kRSTUnicode 141.12
    "\U179B7",  # kTGT_MergedSrc L2008-2452
    "\U179B7",  # kRSTUnicode 141.12
    "\U179B8",  # kTGT_MergedSrc L2008-2631
    "\U179B8",  # kRSTUnicode 141.12
    "\U179B9",  # kTGT_MergedSrc L2008-2625
    "\U179B9",  # kRSTUnicode 141.12
    "\U179BA",  # kTGT_MergedSrc L2008-2651
    "\U179BA",  # kRSTUnicode 141.12
    "\U179BB",  # kTGT_MergedSrc L2008-2639
    "\U179BB",  # kRSTUnicode 141.12
    "\U179BC",  # kTGT_MergedSrc L2008-2644
    "\U179BC",  # kRSTUnicode 141.12
    "\U179BD",  # kTGT_MergedSrc L2008-3618
    "\U179BD",  # kRSTUnicode 141.12
    "\U179BE",  # kTGT_MergedSrc L2008-3606
    "\U179BE",  # kRSTUnicode 141.12
    "\U179BF",  # kTGT_MergedSrc L2008-3803
    "\U179BF",  # kRSTUnicode 141.12
    "\U179C0",  # kTGT_MergedSrc L2008-3317
    "\U179C0",  # kRSTUnicode 141.12
    "\U179C1",  # kTGT_MergedSrc L2008-3202
    "\U179C1",  # kRSTUnicode 141.12
    "\U179C2",  # kTGT_MergedSrc S1968-3624
    "\U179C2",  # kRSTUnicode 141.12
    "\U179C3",  # kTGT_MergedSrc L2008-3717
    "\U179C3",  # kRSTUnicode 141.12
    "\U179C4",  # kTGT_MergedSrc L1997-5999
    "\U179C4",  # kRSTUnicode 141.12
    "\U179C5",  # kTGT_MergedSrc L2008-3592
    "\U179C5",  # kRSTUnicode 141.12
    "\U179C6",  # kTGT_MergedSrc L2008-3659
    "\U179C6",  # kRSTUnicode 141.12
    "\U179C7",  # kTGT_MergedSrc L2008-2755
    "\U179C7",  # kRSTUnicode 141.12
    "\U179C8",  # kTGT_MergedSrc L2008-2125
    "\U179C8",  # kRSTUnicode 141.12
    "\U179C9",  # kTGT_MergedSrc L2008-3644
    "\U179C9",  # kRSTUnicode 141.12
    "\U179CA",  # kTGT_MergedSrc L2008-3678
    "\U179CA",  # kRSTUnicode 141.12
    "\U179CB",  # kTGT_MergedSrc L2008-2133
    "\U179CB",  # kRSTUnicode 141.12
    "\U179CC",  # kTGT_MergedSrc L2008-3285
    "\U179CC",  # kRSTUnicode 141.12
    "\U179CD",  # kTGT_MergedSrc L2008-3265
    "\U179CD",  # kRSTUnicode 141.12
    "\U179CE",  # kTGT_MergedSrc L2008-3361
    "\U179CE",  # kRSTUnicode 141.12
    "\U179CF",  # kTGT_MergedSrc L2008-2754
    "\U179CF",  # kRSTUnicode 141.12
    "\U179D0",  # kTGT_MergedSrc L2008-2162
    "\U179D0",  # kRSTUnicode 141.12
    "\U179D1",  # kTGT_MergedSrc L2008-2475
    "\U179D1",  # kRSTUnicode 141.12
    "\U179D2",  # kTGT_MergedSrc L2008-3143
    "\U179D2",  # kRSTUnicode 141.12
    "\U179D3",  # kTGT_MergedSrc L2008-2098
    "\U179D3",  # kRSTUnicode 141.12
    "\U179D4",  # kTGT_MergedSrc L2008-3198
    "\U179D4",  # kRSTUnicode 141.12
    "\U179D5",  # kTGT_MergedSrc L2008-3283
    "\U179D5",  # kRSTUnicode 141.12
    "\U179D6",  # kTGT_MergedSrc L2008-3239
    "\U179D6",  # kRSTUnicode 141.12
    "\U179D7",  # kTGT_MergedSrc L2008-3268
    "\U179D7",  # kRSTUnicode 141.12
    "\U179D8",  # kTGT_MergedSrc L2008-3183
    "\U179D8",  # kRSTUnicode 141.12
    "\U179D9",  # kTGT_MergedSrc L2008-3196
    "\U179D9",  # kRSTUnicode 141.12
    "\U179DA",  # kTGT_MergedSrc L2008-3270
    "\U179DA",  # kRSTUnicode 141.12
    "\U179DB",  # kTGT_MergedSrc L2008-3712
    "\U179DB",  # kRSTUnicode 141.12
    "\U179DC",  # kTGT_MergedSrc L2008-2801
    "\U179DC",  # kRSTUnicode 141.12
    "\U179DD",  # kTGT_MergedSrc L2008-2683
    "\U179DD",  # kRSTUnicode 141.12
    "\U179DE",  # kTGT_MergedSrc L2008-3615
    "\U179DE",  # kRSTUnicode 141.12
    "\U179DF",  # kTGT_MergedSrc L2008-3713
    "\U179DF",  # kRSTUnicode 141.12
    "\U179E0",  # kTGT_MergedSrc L2008-3357
    "\U179E0",  # kRSTUnicode 141.12
    "\U179E1",  # kTGT_MergedSrc L2008-3356
    "\U179E1",  # kRSTUnicode 141.12
    "\U179E2",  # kTGT_MergedSrc L2008-2790
    "\U179E2",  # kRSTUnicode 141.13
    "\U179E3",  # kTGT_MergedSrc L2008-3696
    "\U179E3",  # kRSTUnicode 141.13
    "\U179E4",  # kTGT_MergedSrc L2008-3708
    "\U179E4",  # kRSTUnicode 141.13
    "\U179E5",  # kTGT_MergedSrc L2008-2858
    "\U179E5",  # kRSTUnicode 141.13
    "\U179E6",  # kTGT_MergedSrc L2008-2248
    "\U179E6",  # kRSTUnicode 141.13
    "\U179E7",  # kTGT_MergedSrc L2008-3286A
    "\U179E7",  # kRSTUnicode 141.13
    "\U179E8",  # kTGT_MergedSrc L2008-2743
    "\U179E8",  # kRSTUnicode 141.13
    "\U179E9",  # kTGT_MergedSrc L2008-2870
    "\U179E9",  # kRSTUnicode 141.13
    "\U179EA",  # kTGT_MergedSrc L2008-2892
    "\U179EA",  # kRSTUnicode 141.13
    "\U179EB",  # kTGT_MergedSrc L2008-3634
    "\U179EB",  # kRSTUnicode 141.13
    "\U179EC",  # kTGT_MergedSrc L2008-2477
    "\U179EC",  # kRSTUnicode 141.13
    "\U179ED",  # kTGT_MergedSrc L2008-2235
    "\U179ED",  # kRSTUnicode 141.13
    "\U179EE",  # kTGT_MergedSrc L2008-3308
    "\U179EE",  # kRSTUnicode 141.13
    "\U179EF",  # kTGT_MergedSrc L2008-2135
    "\U179EF",  # kRSTUnicode 141.13
    "\U179F0",  # kTGT_MergedSrc L2008-2478
    "\U179F0",  # kRSTUnicode 141.13
    "\U179F1",  # kTGT_MergedSrc L2008-2453
    "\U179F1",  # kRSTUnicode 141.13
    "\U179F2",  # kTGT_MergedSrc L2008-2093
    "\U179F2",  # kRSTUnicode 141.13
    "\U179F3",  # kTGT_MergedSrc L2008-2672
    "\U179F3",  # kRSTUnicode 141.13
    "\U179F4",  # kTGT_MergedSrc L2008-3383
    "\U179F4",  # kRSTUnicode 141.13
    "\U179F5",  # kTGT_MergedSrc L2008-3131
    "\U179F5",  # kRSTUnicode 141.13
    "\U179F6",  # kTGT_MergedSrc L2008-3627
    "\U179F6",  # kRSTUnicode 141.13
    "\U179F7",  # kTGT_MergedSrc L2008-3781
    "\U179F7",  # kRSTUnicode 141.13
    "\U179F8",  # kTGT_MergedSrc L2008-3124
    "\U179F8",  # kRSTUnicode 141.13
    "\U179F9",  # kTGT_MergedSrc L2008-2444
    "\U179F9",  # kRSTUnicode 141.13
    "\U179FA",  # kTGT_MergedSrc L2008-2182
    "\U179FA",  # kRSTUnicode 141.13
    "\U179FB",  # kTGT_MergedSrc L2008-2282
    "\U179FB",  # kRSTUnicode 141.13
    "\U179FC",  # kTGT_MergedSrc L2008-3240
    "\U179FC",  # kRSTUnicode 141.13
    "\U179FD",  # kTGT_MergedSrc L2008-2496
    "\U179FD",  # kRSTUnicode 141.13
    "\U179FE",  # kTGT_MergedSrc L2008-3150
    "\U179FE",  # kRSTUnicode 141.13
    "\U179FF",  # kTGT_MergedSrc L2008-3376
    "\U179FF",  # kRSTUnicode 141.13
    "\U17A00",  # kTGT_MergedSrc L2008-2652
    "\U17A00",  # kRSTUnicode 141.13
    "\U17A01",  # kTGT_MergedSrc L2008-2612
    "\U17A01",  # kRSTUnicode 141.13
    "\U17A02",  # kTGT_MergedSrc L2008-3685
    "\U17A02",  # kRSTUnicode 141.13
    "\U17A03",  # kTGT_MergedSrc L2008-2633
    "\U17A03",  # kRSTUnicode 141.13
    "\U17A04",  # kTGT_MergedSrc L2008-2132
    "\U17A04",  # kRSTUnicode 141.13
    "\U17A05",  # kTGT_MergedSrc L2008-2619
    "\U17A05",  # kRSTUnicode 141.13
    "\U17A06",  # kTGT_MergedSrc L2008-2623
    "\U17A06",  # kRSTUnicode 141.13
    "\U17A07",  # kTGT_MergedSrc L2008-3780
    "\U17A07",  # kRSTUnicode 141.13
    "\U17A08",  # kTGT_MergedSrc L2008-2756
    "\U17A08",  # kRSTUnicode 141.13
    "\U17A09",  # kTGT_MergedSrc L2008-3575
    "\U17A09",  # kRSTUnicode 141.13
    "\U17A0A",  # kTGT_MergedSrc L2008-3582
    "\U17A0A",  # kRSTUnicode 141.13
    "\U17A0B",  # kTGT_MergedSrc L2008-2096
    "\U17A0B",  # kRSTUnicode 141.13
    "\U17A0C",  # kTGT_MergedSrc L2008-3129
    "\U17A0C",  # kRSTUnicode 141.13
    "\U17A0D",  # kTGT_MergedSrc L2008-2476
    "\U17A0D",  # kRSTUnicode 141.13
    "\U17A0E",  # kTGT_MergedSrc L2008-2613
    "\U17A0E",  # kRSTUnicode 141.13
    "\U17A0F",  # kTGT_MergedSrc L2008-3663
    "\U17A0F",  # kRSTUnicode 141.13
    "\U17A10",  # kTGT_MergedSrc L2008-3624
    "\U17A10",  # kRSTUnicode 141.13
    "\U17A11",  # kTGT_MergedSrc L2008-6044
    "\U17A11",  # kRSTUnicode 141.13
    "\U17A12",  # kTGT_MergedSrc L2008-2097
    "\U17A12",  # kRSTUnicode 141.13
    "\U17A13",  # kTGT_MergedSrc L2008-2100
    "\U17A13",  # kRSTUnicode 141.13
    "\U17A14",  # kTGT_MergedSrc L2008-2123
    "\U17A14",  # kRSTUnicode 141.13
    "\U17A15",  # kTGT_MergedSrc L2008-3783
    "\U17A15",  # kRSTUnicode 141.13
    "\U17A16",  # kTGT_MergedSrc L2008-3144
    "\U17A16",  # kRSTUnicode 141.13
    "\U17A17",  # kTGT_MergedSrc L2008-3595
    "\U17A17",  # kRSTUnicode 141.13
    "\U17A18",  # kTGT_MergedSrc L2008-3660
    "\U17A18",  # kRSTUnicode 141.13
    "\U17A19",  # kTGT_MergedSrc L2008-3159
    "\U17A19",  # kRSTUnicode 141.13
    "\U17A1A",  # kTGT_MergedSrc L2008-3662
    "\U17A1A",  # kRSTUnicode 141.13
    "\U17A1B",  # kTGT_MergedSrc L2008-2511
    "\U17A1B",  # kRSTUnicode 141.13
    "\U17A1C",  # kTGT_MergedSrc L2008-2664
    "\U17A1C",  # kRSTUnicode 141.13
    "\U17A1D",  # kTGT_MergedSrc L2008-3249
    "\U17A1D",  # kRSTUnicode 141.13
    "\U17A1E",  # kTGT_MergedSrc L2008-3230
    "\U17A1E",  # kRSTUnicode 141.13
    "\U17A1F",  # kTGT_MergedSrc L2008-2494
    "\U17A1F",  # kRSTUnicode 141.13
    "\U17A20",  # kTGT_MergedSrc L2008-3147
    "\U17A20",  # kRSTUnicode 141.13
    "\U17A21",  # kTGT_MergedSrc L2008-3116
    "\U17A21",  # kRSTUnicode 141.13
    "\U17A22",  # kTGT_MergedSrc L2008-3286B
    "\U17A22",  # kRSTUnicode 141.13
    "\U17A23",  # kTGT_MergedSrc L2008-2624
    "\U17A23",  # kRSTUnicode 141.13
    "\U17A24",  # kTGT_MergedSrc L2008-2179
    "\U17A24",  # kRSTUnicode 141.13
    "\U17A25",  # kTGT_MergedSrc L2008-3106
    "\U17A25",  # kRSTUnicode 141.13
    "\U17A26",  # kTGT_MergedSrc L2008-3381
    "\U17A26",  # kRSTUnicode 141.13
    "\U17A27",  # kTGT_MergedSrc L2008-3154
    "\U17A27",  # kRSTUnicode 141.13
    "\U17A28",  # kTGT_MergedSrc L2008-2757
    "\U17A28",  # kRSTUnicode 141.13
    "\U17A29",  # kTGT_MergedSrc L2008-3219
    "\U17A29",  # kRSTUnicode 141.13
    "\U17A2A",  # kTGT_MergedSrc L2008-3263
    "\U17A2A",  # kRSTUnicode 141.13
    "\U17A2B",  # kTGT_MergedSrc L2008-3197
    "\U17A2B",  # kRSTUnicode 141.13
    "\U17A2C",  # kTGT_MergedSrc L2008-3287
    "\U17A2C",  # kRSTUnicode 141.13
    "\U17A2D",  # kTGT_MergedSrc L2008-3105
    "\U17A2D",  # kRSTUnicode 141.13
    "\U17A2E",  # kTGT_MergedSrc L2008-3235
    "\U17A2E",  # kRSTUnicode 141.13
    "\U17A2F",  # kTGT_MergedSrc L2008-3267
    "\U17A2F",  # kRSTUnicode 141.13
    "\U17A30",  # kTGT_MergedSrc L2008-2497
    "\U17A30",  # kRSTUnicode 141.13
    "\U17A31",  # kTGT_MergedSrc L2008-3656
    "\U17A31",  # kRSTUnicode 141.13
    "\U17A32",  # kTGT_MergedSrc L2008-3260
    "\U17A32",  # kRSTUnicode 141.13
    "\U17A33",  # kTGT_MergedSrc L2008-3175
    "\U17A33",  # kRSTUnicode 141.13
    "\U17A34",  # kTGT_MergedSrc L2008-2204
    "\U17A34",  # kRSTUnicode 141.13
    "\U17A35",  # kTGT_MergedSrc L2008-2607
    "\U17A35",  # kRSTUnicode 141.13
    "\U17A36",  # kTGT_MergedSrc L2008-3117
    "\U17A36",  # kRSTUnicode 141.13
    "\U17A37",  # kTGT_MergedSrc L2008-2236
    "\U17A37",  # kRSTUnicode 141.14
    "\U17A38",  # kTGT_MergedSrc L2008-2217
    "\U17A38",  # kRSTUnicode 141.14
    "\U17A39",  # kTGT_MergedSrc L2008-2092
    "\U17A39",  # kRSTUnicode 141.14
    "\U17A3A",  # kTGT_MergedSrc L2008-2076
    "\U17A3A",  # kRSTUnicode 141.14
    "\U17A3B",  # kTGT_MergedSrc L2008-2226
    "\U17A3B",  # kRSTUnicode 141.14
    "\U17A3C",  # kTGT_MergedSrc L2008-2130
    "\U17A3C",  # kRSTUnicode 141.14
    "\U17A3D",  # kTGT_MergedSrc L2008-6045
    "\U17A3D",  # kRSTUnicode 141.14
    "\U17A3E",  # kTGT_MergedSrc L2008-3598
    "\U17A3E",  # kRSTUnicode 141.14
    "\U17A3F",  # kTGT_MergedSrc L2008-3218
    "\U17A3F",  # kRSTUnicode 141.14
    "\U17A40",  # kTGT_MergedSrc L2008-3302
    "\U17A40",  # kRSTUnicode 141.14
    "\U17A41",  # kTGT_MergedSrc L2008-2878
    "\U17A41",  # kRSTUnicode 141.14
    "\U17A42",  # kTGT_MergedSrc L2008-2286
    "\U17A42",  # kRSTUnicode 141.14
    "\U17A43",  # kTGT_MergedSrc L2008-2875
    "\U17A43",  # kRSTUnicode 141.14
    "\U17A44",  # kTGT_MergedSrc L2008-2860
    "\U17A44",  # kRSTUnicode 141.14
    "\U17A45",  # kTGT_MergedSrc L2008-2869
    "\U17A45",  # kRSTUnicode 141.14
    "\U17A46",  # kTGT_MergedSrc L2008-2882
    "\U17A46",  # kRSTUnicode 141.14
    "\U17A47",  # kTGT_MergedSrc L2008-2872
    "\U17A47",  # kRSTUnicode 141.14
    "\U17A48",  # kTGT_MergedSrc L2008-2805
    "\U17A48",  # kRSTUnicode 141.14
    "\U17A49",  # kTGT_MergedSrc L2008-3236
    "\U17A49",  # kRSTUnicode 141.14
    "\U17A4A",  # kTGT_MergedSrc L2008-3681
    "\U17A4A",  # kRSTUnicode 141.14
    "\U17A4B",  # kTGT_MergedSrc L2008-3682
    "\U17A4B",  # kRSTUnicode 141.14
    "\U17A4C",  # kTGT_MergedSrc L2008-2680
    "\U17A4C",  # kRSTUnicode 141.14
    "\U17A4D",  # kTGT_MergedSrc L2008-2221-2807
    "\U17A4D",  # kRSTUnicode 141.14
    "\U17A4E",  # kTGT_MergedSrc L2008-2785
    "\U17A4E",  # kRSTUnicode 141.14
    "\U17A4F",  # kTGT_MergedSrc L2008-3343
    "\U17A4F",  # kRSTUnicode 141.14
    "\U17A50",  # kTGT_MergedSrc L2008-2108
    "\U17A50",  # kRSTUnicode 141.14
    "\U17A51",  # kTGT_MergedSrc L2008-2109
    "\U17A51",  # kRSTUnicode 141.14
    "\U17A52",  # kTGT_MergedSrc L2008-3132
    "\U17A52",  # kRSTUnicode 141.14
    "\U17A53",  # kTGT_MergedSrc L2008-3637
    "\U17A53",  # kRSTUnicode 141.14
    "\U17A54",  # kTGT_MergedSrc L2008-2665
    "\U17A54",  # kRSTUnicode 141.14
    "\U17A55",  # kTGT_MergedSrc L2008-2112
    "\U17A55",  # kRSTUnicode 141.14
    "\U17A56",  # kTGT_MergedSrc L2008-3148
    "\U17A56",  # kRSTUnicode 141.14
    "\U17A57",  # kTGT_MergedSrc L2008-3714
    "\U17A57",  # kRSTUnicode 141.14
    "\U17A58",  # kTGT_MergedSrc L2008-2099
    "\U17A58",  # kRSTUnicode 141.14
    "\U17A59",  # kTGT_MergedSrc L2008-2667
    "\U17A59",  # kRSTUnicode 141.14
    "\U17A5A",  # kTGT_MergedSrc L2008-2495
    "\U17A5A",  # kRSTUnicode 141.14
    "\U17A5B",  # kTGT_MergedSrc L2008-3646
    "\U17A5B",  # kRSTUnicode 141.14
    "\U17A5C",  # kTGT_MergedSrc L2008-3611
    "\U17A5C",  # kRSTUnicode 141.14
    "\U17A5D",  # kTGT_MergedSrc L2008-2653
    "\U17A5D",  # kRSTUnicode 141.14
    "\U17A5E",  # kTGT_MergedSrc L2008-2666
    "\U17A5E",  # kRSTUnicode 141.14
    "\U17A5F",  # kTGT_MergedSrc L2008-3318
    "\U17A5F",  # kRSTUnicode 141.14
    "\U17A60",  # kTGT_MergedSrc L2008-3319
    "\U17A60",  # kRSTUnicode 141.14
    "\U17A61",  # kTGT_MergedSrc L2008-3593
    "\U17A61",  # kRSTUnicode 141.14
    "\U17A62",  # kTGT_MergedSrc L2008-3586
    "\U17A62",  # kRSTUnicode 141.14
    "\U17A63",  # kTGT_MergedSrc L2008-2684
    "\U17A63",  # kRSTUnicode 141.14
    "\U17A64",  # kTGT_MergedSrc L2008-2102
    "\U17A64",  # kRSTUnicode 141.14
    "\U17A65",  # kTGT_MergedSrc L2008-3367
    "\U17A65",  # kRSTUnicode 141.14
    "\U17A66",  # kTGT_MergedSrc L2008-3661
    "\U17A66",  # kRSTUnicode 141.14
    "\U17A67",  # kTGT_MergedSrc L2008-2163
    "\U17A67",  # kRSTUnicode 141.14
    "\U17A68",  # kTGT_MergedSrc L2008-3315
    "\U17A68",  # kRSTUnicode 141.14
    "\U17A69",  # kTGT_MergedSrc L2008-3135
    "\U17A69",  # kRSTUnicode 141.14
    "\U17A6A",  # kTGT_MergedSrc L2008-2859
    "\U17A6A",  # kRSTUnicode 141.14
    "\U17A6B",  # kTGT_MergedSrc L2008-3168
    "\U17A6B",  # kRSTUnicode 141.14
    "\U17A6C",  # kTGT_MergedSrc L2008-3702
    "\U17A6C",  # kRSTUnicode 141.14
    "\U17A6D",  # kTGT_MergedSrc L2008-2105
    "\U17A6D",  # kRSTUnicode 141.14
    "\U17A6E",  # kTGT_MergedSrc L2008-2110
    "\U17A6E",  # kRSTUnicode 141.14
    "\U17A6F",  # kTGT_MergedSrc L2008-3576
    "\U17A6F",  # kRSTUnicode 141.14
    "\U17A70",  # kTGT_MergedSrc L2008-3687
    "\U17A70",  # kRSTUnicode 141.14
    "\U17A71",  # kTGT_MergedSrc L2008-2620
    "\U17A71",  # kRSTUnicode 141.14
    "\U17A72",  # kTGT_MergedSrc L2008-3107
    "\U17A72",  # kRSTUnicode 141.14
    "\U17A73",  # kTGT_MergedSrc L2008-3332
    "\U17A73",  # kRSTUnicode 141.14
    "\U17A74",  # kTGT_MergedSrc L2008-2636
    "\U17A74",  # kRSTUnicode 141.14
    "\U17A75",  # kTGT_MergedSrc L2008-3304
    "\U17A75",  # kRSTUnicode 141.14
    "\U17A76",  # kTGT_MergedSrc L2008-3199
    "\U17A76",  # kRSTUnicode 141.14
    "\U17A77",  # kTGT_MergedSrc L2008-3288
    "\U17A77",  # kRSTUnicode 141.14
    "\U17A78",  # kTGT_MergedSrc L2008-3329
    "\U17A78",  # kRSTUnicode 141.14
    "\U17A79",  # kTGT_MergedSrc L2008-3289
    "\U17A79",  # kRSTUnicode 141.14
    "\U17A7A",  # kTGT_MergedSrc N1966-204-10GG
    "\U17A7A",  # kRSTUnicode 141.14
    "\U17A7B",  # kTGT_MergedSrc L2008-2222
    "\U17A7B",  # kRSTUnicode 141.14
    "\U17A7C",  # kTGT_MergedSrc L2008-2809
    "\U17A7C",  # kRSTUnicode 141.14
    "\U17A7D",  # kTGT_MergedSrc L2008-2113
    "\U17A7D",  # kRSTUnicode 141.14
    "\U17A7E",  # kTGT_MergedSrc L2008-2091
    "\U17A7E",  # kRSTUnicode 141.15
    "\U17A7F",  # kTGT_MergedSrc L2008-2067
    "\U17A7F",  # kRSTUnicode 141.15
    "\U17A80",  # kTGT_MergedSrc L2008-2258
    "\U17A80",  # kRSTUnicode 141.15
    "\U17A81",  # kTGT_MergedSrc L2008-2124
    "\U17A81",  # kRSTUnicode 141.15
    "\U17A82",  # kTGT_MergedSrc L2008-2264
    "\U17A82",  # kRSTUnicode 141.15
    "\U17A83",  # kTGT_MergedSrc L2008-2078
    "\U17A83",  # kRSTUnicode 141.15
    "\U17A84",  # kTGT_MergedSrc L2008-2227
    "\U17A84",  # kRSTUnicode 141.15
    "\U17A85",  # kTGT_MergedSrc L2008-2292
    "\U17A85",  # kRSTUnicode 141.15
    "\U17A86",  # kTGT_MergedSrc L2008-2164
    "\U17A86",  # kRSTUnicode 141.15
    "\U17A87",  # kTGT_MergedSrc L2008-3331
    "\U17A87",  # kRSTUnicode 141.15
    "\U17A88",  # kTGT_MergedSrc L2008-2481
    "\U17A88",  # kRSTUnicode 141.15
    "\U17A89",  # kTGT_MergedSrc L2008-2134
    "\U17A89",  # kRSTUnicode 141.15
    "\U17A8A",  # kTGT_MergedSrc L2008-3697
    "\U17A8A",  # kRSTUnicode 141.15
    "\U17A8B",  # kTGT_MergedSrc L2008-2647
    "\U17A8B",  # kRSTUnicode 141.15
    "\U17A8C",  # kTGT_MergedSrc L2008-3674
    "\U17A8C",  # kRSTUnicode 141.15
    "\U17A8D",  # kTGT_MergedSrc L2008-2251
    "\U17A8D",  # kRSTUnicode 141.15
    "\U17A8E",  # kTGT_MergedSrc L2008-2905
    "\U17A8E",  # kRSTUnicode 141.15
    "\U17A8F",  # kTGT_MergedSrc L2008-2864
    "\U17A8F",  # kRSTUnicode 141.15
    "\U17A90",  # kTGT_MergedSrc L2008-2867
    "\U17A90",  # kRSTUnicode 141.15
    "\U17A91",  # kTGT_MergedSrc L2008-3629
    "\U17A91",  # kRSTUnicode 141.15
    "\U17A92",  # kTGT_MergedSrc L2008-3372
    "\U17A92",  # kRSTUnicode 141.15
    "\U17A93",  # kTGT_MergedSrc L2008-3232
    "\U17A93",  # kRSTUnicode 141.15
    "\U17A94",  # kTGT_MergedSrc L2008-2515
    "\U17A94",  # kRSTUnicode 141.15
    "\U17A95",  # kTGT_MergedSrc L2008-3577
    "\U17A95",  # kRSTUnicode 141.15
    "\U17A96",  # kTGT_MergedSrc L2008-3384
    "\U17A96",  # kRSTUnicode 141.15
    "\U17A97",  # kTGT_MergedSrc L2008-2660
    "\U17A97",  # kRSTUnicode 141.15
    "\U17A98",  # kTGT_MergedSrc L2008-2104
    "\U17A98",  # kRSTUnicode 141.15
    "\U17A99",  # kTGT_MergedSrc L2008-2764
    "\U17A99",  # kRSTUnicode 141.15
    "\U17A9A",  # kTGT_MergedSrc L2008-2865
    "\U17A9A",  # kRSTUnicode 141.15
    "\U17A9B",  # kTGT_MergedSrc L2008-2634
    "\U17A9B",  # kRSTUnicode 141.15
    "\U17A9C",  # kTGT_MergedSrc L2008-2479
    "\U17A9C",  # kRSTUnicode 141.15
    "\U17A9D",  # kTGT_MergedSrc L2008-2487
    "\U17A9D",  # kRSTUnicode 141.15
    "\U17A9E",  # kTGT_MergedSrc L2008-2514
    "\U17A9E",  # kRSTUnicode 141.15
    "\U17A9F",  # kTGT_MergedSrc L2008-2103
    "\U17A9F",  # kRSTUnicode 141.15
    "\U17AA0",  # kTGT_MergedSrc L2008-2763
    "\U17AA0",  # kRSTUnicode 141.15
    "\U17AA1",  # kTGT_MergedSrc L2008-3686
    "\U17AA1",  # kRSTUnicode 141.15
    "\U17AA2",  # kTGT_MergedSrc L2008-3371
    "\U17AA2",  # kRSTUnicode 141.15
    "\U17AA3",  # kTGT_MergedSrc L2008-3220
    "\U17AA3",  # kRSTUnicode 141.15
    "\U17AA4",  # kTGT_MergedSrc L2008-3326
    "\U17AA4",  # kRSTUnicode 141.15
    "\U17AA5",  # kTGT_MergedSrc L2008-3145
    "\U17AA5",  # kRSTUnicode 141.15
    "\U17AA6",  # kTGT_MergedSrc L2008-3587
    "\U17AA6",  # kRSTUnicode 141.15
    "\U17AA7",  # kTGT_MergedSrc L2008-3616
    "\U17AA7",  # kRSTUnicode 141.15
    "\U17AA8",  # kTGT_MergedSrc L2008-2259
    "\U17AA8",  # kRSTUnicode 141.15
    "\U17AA9",  # kTGT_MergedSrc L2008-2866
    "\U17AA9",  # kRSTUnicode 141.15
    "\U17AAA",  # kTGT_MergedSrc L2008-3581
    "\U17AAA",  # kRSTUnicode 141.15
    "\U17AAB",  # kTGT_MergedSrc L2008-3578
    "\U17AAB",  # kRSTUnicode 141.15
    "\U17AAC",  # kTGT_MergedSrc L2008-2111
    "\U17AAC",  # kRSTUnicode 141.15
    "\U17AAD",  # kTGT_MergedSrc L2008-2151
    "\U17AAD",  # kRSTUnicode 141.15
    "\U17AAE",  # kTGT_MergedSrc L2008-3599
    "\U17AAE",  # kRSTUnicode 141.15
    "\U17AAF",  # kTGT_MergedSrc L2008-2455
    "\U17AAF",  # kRSTUnicode 141.15
    "\U17AB0",  # kTGT_MergedSrc L2008-3141
    "\U17AB0",  # kRSTUnicode 141.15
    "\U17AB1",  # kTGT_MergedSrc L2008-3149
    "\U17AB1",  # kRSTUnicode 141.15
    "\U17AB2",  # kTGT_MergedSrc L2008-3351
    "\U17AB2",  # kRSTUnicode 141.15
    "\U17AB3",  # kTGT_MergedSrc L2008-3327
    "\U17AB3",  # kRSTUnicode 141.15
    "\U17AB4",  # kTGT_MergedSrc L2008-3134
    "\U17AB4",  # kRSTUnicode 141.15
    "\U17AB5",  # kTGT_MergedSrc L2008-2275
    "\U17AB5",  # kRSTUnicode 141.16
    "\U17AB6",  # kTGT_MergedSrc L2008-6027
    "\U17AB6",  # kRSTUnicode 141.16
    "\U17AB7",  # kTGT_MergedSrc L2008-3345
    "\U17AB7",  # kRSTUnicode 141.16
    "\U17AB8",  # kTGT_MergedSrc L2008-3638
    "\U17AB8",  # kRSTUnicode 141.16
    "\U17AB9",  # kTGT_MergedSrc L2008-2879
    "\U17AB9",  # kRSTUnicode 141.16
    "\U17ABA",  # kTGT_MergedSrc L2008-3354
    "\U17ABA",  # kRSTUnicode 141.16
    "\U17ABB",  # kTGT_MergedSrc L2008-3151
    "\U17ABB",  # kRSTUnicode 141.16
    "\U17ABC",  # kTGT_MergedSrc L2008-3607
    "\U17ABC",  # kRSTUnicode 141.16
    "\U17ABD",  # kTGT_MergedSrc L2008-2101
    "\U17ABD",  # kRSTUnicode 141.16
    "\U17ABE",  # kTGT_MergedSrc L2008-2668
    "\U17ABE",  # kRSTUnicode 141.16
    "\U17ABF",  # kTGT_MergedSrc L2008-2614
    "\U17ABF",  # kRSTUnicode 141.16
    "\U17AC0",  # kTGT_MergedSrc L2008-3221
    "\U17AC0",  # kRSTUnicode 141.16
    "\U17AC1",  # kTGT_MergedSrc L2008-3596
    "\U17AC1",  # kRSTUnicode 141.16
    "\U17AC2",  # kTGT_MergedSrc L2008-3583
    "\U17AC2",  # kRSTUnicode 141.16
    "\U17AC3",  # kTGT_MergedSrc L2008-2885
    "\U17AC3",  # kRSTUnicode 141.16
    "\U17AC4",  # kTGT_MergedSrc L2008-3711
    "\U17AC4",  # kRSTUnicode 141.16
    "\U17AC5",  # kTGT_MergedSrc L2008-3588
    "\U17AC5",  # kRSTUnicode 141.16
    "\U17AC6",  # kTGT_MergedSrc L2006-6054
    "\U17AC6",  # kRSTUnicode 141.16
    "\U17AC7",  # kTGT_MergedSrc L2008-3176
    "\U17AC7",  # kRSTUnicode 141.16
    "\U17AC8",  # kTGT_MergedSrc L2008-3133
    "\U17AC8",  # kRSTUnicode 141.16
    "\U17AC9",  # kTGT_MergedSrc L2008-2480
    "\U17AC9",  # kRSTUnicode 141.16
    "\U17ACA",  # kTGT_MergedSrc L2008-3594
    "\U17ACA",  # kRSTUnicode 141.16
    "\U17ACB",  # kTGT_MergedSrc L2008-2136
    "\U17ACB",  # kRSTUnicode 141.16
    "\U17ACC",  # kTGT_MergedSrc L2008-2862
    "\U17ACC",  # kRSTUnicode 141.16
    "\U17ACD",  # kTGT_MergedSrc L2008-2152
    "\U17ACD",  # kRSTUnicode 141.16
    "\U17ACE",  # kTGT_MergedSrc L2008-3209
    "\U17ACE",  # kRSTUnicode 141.16
    "\U17ACF",  # kTGT_MergedSrc L2008-3368
    "\U17ACF",  # kRSTUnicode 141.16
    "\U17AD0",  # kTGT_MergedSrc L2008-3342
    "\U17AD0",  # kRSTUnicode 141.16
    "\U17AD1",  # kTGT_MergedSrc L2008-2786
    "\U17AD1",  # kRSTUnicode 141.16
    "\U17AD2",  # kTGT_MergedSrc L2008-3385
    "\U17AD2",  # kRSTUnicode 141.16
    "\U17AD3",  # kTGT_MergedSrc L2008-3386
    "\U17AD3",  # kRSTUnicode 141.16
    "\U17AD4",  # kTGT_MergedSrc L2008-3119
    "\U17AD4",  # kRSTUnicode 141.16
    "\U17AD5",  # kTGT_MergedSrc L2008-2131
    "\U17AD5",  # kRSTUnicode 141.17
    "\U17AD6",  # kTGT_MergedSrc L2008-2094
    "\U17AD6",  # kRSTUnicode 141.17
    "\U17AD7",  # kTGT_MergedSrc L2008-2883
    "\U17AD7",  # kRSTUnicode 141.17
    "\U17AD8",  # kTGT_MergedSrc S1968-3449
    "\U17AD8",  # kRSTUnicode 141.17
    "\U17AD9",  # kTGT_MergedSrc L2008-3355
    "\U17AD9",  # kRSTUnicode 141.17
    "\U17ADA",  # kTGT_MergedSrc L2008-2198
    "\U17ADA",  # kRSTUnicode 141.17
    "\U17ADB",  # kTGT_MergedSrc L2008-3123
    "\U17ADB",  # kRSTUnicode 141.17
    "\U17ADC",  # kTGT_MergedSrc L2008-3652
    "\U17ADC",  # kRSTUnicode 141.17
    "\U17ADD",  # kTGT_MergedSrc S1968-3641
    "\U17ADD",  # kRSTUnicode 141.17
    "\U17ADE",  # kTGT_MergedSrc L2008-2772
    "\U17ADE",  # kRSTUnicode 141.17
    "\U17ADF",  # kTGT_MergedSrc L2008-3163
    "\U17ADF",  # kRSTUnicode 141.17
    "\U17AE0",  # kTGT_MergedSrc L2008-3688
    "\U17AE0",  # kRSTUnicode 141.17
    "\U17AE1",  # kTGT_MergedSrc L2008-2679
    "\U17AE1",  # kRSTUnicode 141.17
    "\U17AE2",  # kTGT_MergedSrc L2008-3692
    "\U17AE2",  # kRSTUnicode 141.17
    "\U17AE3",  # kTGT_MergedSrc L2008-3172
    "\U17AE3",  # kRSTUnicode 141.17
    "\U17AE4",  # kTGT_MergedSrc L2008-3252
    "\U17AE4",  # kRSTUnicode 141.17
    "\U17AE5",  # kTGT_MergedSrc L2008-3231
    "\U17AE5",  # kRSTUnicode 141.17
    "\U17AE6",  # kTGT_MergedSrc L2008-3320
    "\U17AE6",  # kRSTUnicode 141.17
    "\U17AE7",  # kTGT_MergedSrc L2008-3715
    "\U17AE7",  # kRSTUnicode 141.17
    "\U17AE8",  # kTGT_MergedSrc L2008-3613
    "\U17AE8",  # kRSTUnicode 141.17
    "\U17AE9",  # kTGT_MergedSrc L2008-2180
    "\U17AE9",  # kRSTUnicode 141.17
    "\U17AEA",  # kTGT_MergedSrc N1966-204-13B
    "\U17AEA",  # kRSTUnicode 141.17
    "\U17AEB",  # kTGT_MergedSrc L2008-2245
    "\U17AEB",  # kRSTUnicode 141.18
    "\U17AEC",  # kTGT_MergedSrc L2008-2512
    "\U17AEC",  # kRSTUnicode 141.18
    "\U17AED",  # kTGT_MergedSrc L2008-3140
    "\U17AED",  # kRSTUnicode 141.18
    "\U17AEE",  # kTGT_MergedSrc L2008-3378
    "\U17AEE",  # kRSTUnicode 141.19
    "\U17AEF",  # kTGT_MergedSrc L2008-2265
    "\U17AEF",  # kRSTUnicode 141.19
    "\U17AF0",  # kTGT_MergedSrc L2008-6041
    "\U17AF0",  # kRSTUnicode 141.21
    "\U17AF1",  # kTGT_MergedSrc L2008-3091
    "\U17AF1",  # kRSTUnicode 142.7
    "\U17AF2",  # kTGT_MergedSrc L2008-3094
    "\U17AF2",  # kRSTUnicode 142.8
    "\U17AF3",  # kTGT_MergedSrc L2008-2435
    "\U17AF3",  # kRSTUnicode 142.8
    "\U17AF4",  # kTGT_MergedSrc L2008-2436
    "\U17AF4",  # kRSTUnicode 142.8
    "\U17AF5",  # kTGT_MergedSrc L2008-2601
    "\U17AF5",  # kRSTUnicode 142.8
    "\U17AF6",  # kTGT_MergedSrc L2008-3092
    "\U17AF6",  # kRSTUnicode 142.8
    "\U17AF7",  # kTGT_MergedSrc L2008-3093
    "\U17AF7",  # kRSTUnicode 142.8
    "\U17AF8",  # kTGT_MergedSrc L2008-3101
    "\U17AF8",  # kRSTUnicode 142.8
    "\U17AF9",  # kTGT_MergedSrc L2008-3559
    "\U17AF9",  # kRSTUnicode 142.8
    "\U17AFA",  # kTGT_MergedSrc L2008-3560
    "\U17AFA",  # kRSTUnicode 142.8
    "\U17AFB",  # kTGT_MergedSrc L2008-3099
    "\U17AFB",  # kRSTUnicode 142.8
    "\U17AFC",  # kTGT_MergedSrc L2008-2438
    "\U17AFC",  # kRSTUnicode 142.9
    "\U17AFD",  # kTGT_MergedSrc L2008-2437
    "\U17AFD",  # kRSTUnicode 142.9
    "\U17AFE",  # kTGT_MergedSrc L2008-3779
    "\U17AFE",  # kRSTUnicode 142.9
    "\U17AFF",  # kTGT_MergedSrc L2008-3096
    "\U17AFF",  # kRSTUnicode 142.9
    "\U17B00",  # kTGT_MergedSrc L2008-3095
    "\U17B00",  # kRSTUnicode 142.9
    "\U17B01",  # kTGT_MergedSrc L2008-3098
    "\U17B01",  # kRSTUnicode 142.10
    "\U17B02",  # kTGT_MergedSrc L2008-3561
    "\U17B02",  # kRSTUnicode 142.10
    "\U17B03",  # kTGT_MergedSrc L2008-3100
    "\U17B03",  # kRSTUnicode 142.10
    "\U17B04",  # kTGT_MergedSrc L2008-3097
    "\U17B04",  # kRSTUnicode 142.10
    "\U17B05",  # kTGT_MergedSrc L2008-3562
    "\U17B05",  # kRSTUnicode 142.11
    "\U17B06",  # kTGT_MergedSrc L2008-2439
    "\U17B06",  # kRSTUnicode 142.12
    "\U17B07",  # kTGT_MergedSrc L2008-3102
    "\U17B07",  # kRSTUnicode 142.12
    "\U17B08",  # kTGT_MergedSrc L2008-3103
    "\U17B08",  # kRSTUnicode 142.12
    "\U17B09",  # kTGT_MergedSrc L2008-3563
    "\U17B09",  # kRSTUnicode 142.13
    "\U17B0A",  # kTGT_MergedSrc L2008-3564
    "\U17B0A",  # kRSTUnicode 142.14
    "\U17B0B",  # kTGT_MergedSrc L2008-2062
    "\U17B0B",  # kRSTUnicode 142.15
    "\U17B0C",  # kTGT_MergedSrc L2008-1883
    "\U17B0C",  # kRSTUnicode 143.8
    "\U17B0D",  # kTGT_MergedSrc L2008-1889
    "\U17B0D",  # kRSTUnicode 143.11
    "\U17B0E",  # kTGT_MergedSrc L2008-2459
    "\U17B0E",  # kRSTUnicode 144.8
    "\U17B0F",  # kTGT_MergedSrc L2008-2465
    "\U17B0F",  # kRSTUnicode 144.9
    "\U17B10",  # kTGT_MergedSrc L2008-2460
    "\U17B10",  # kRSTUnicode 144.9
    "\U17B11",  # kTGT_MergedSrc L2008-3664
    "\U17B11",  # kRSTUnicode 144.9
    "\U17B12",  # kTGT_MergedSrc L2008-2646
    "\U17B12",  # kRSTUnicode 144.10
    "\U17B13",  # kTGT_MergedSrc L2008-3642
    "\U17B13",  # kRSTUnicode 144.10
    "\U17B14",  # kTGT_MergedSrc L2008-3665
    "\U17B14",  # kRSTUnicode 144.12
    "\U17B15",  # kTGT_MergedSrc L2008-3597
    "\U17B15",  # kRSTUnicode 144.14
    "\U17B16",  # kTGT_MergedSrc L2008-2425
    "\U17B16",  # kRSTUnicode 145.12
    "\U17B17",  # kTGT_MergedSrc L2008-2039
    "\U17B17",  # kRSTUnicode 145.15
    "\U17B18",  # kTGT_MergedSrc L2008-3189
    "\U17B18",  # kRSTUnicode 147.8
    "\U17B19",  # kTGT_MergedSrc L2008-2172
    "\U17B19",  # kRSTUnicode 147.9
    "\U17B1A",  # kTGT_MergedSrc L2008-3226
    "\U17B1A",  # kRSTUnicode 147.10
    "\U17B1B",  # kTGT_MergedSrc L2008-2457
    "\U17B1B",  # kRSTUnicode 147.10
    "\U17B1C",  # kTGT_MergedSrc L2008-3675
    "\U17B1C",  # kRSTUnicode 147.11
    "\U17B1D",  # kTGT_MergedSrc L2008-3786
    "\U17B1D",  # kRSTUnicode 147.11
    "\U17B1E",  # kTGT_MergedSrc L2008-3227
    "\U17B1E",  # kRSTUnicode 147.13
    "\U17B1F",  # kTGT_MergedSrc L2008-2745
    "\U17B1F",  # kRSTUnicode 147.13
    "\U17B20",  # kTGT_MergedSrc L2008-2126
    "\U17B20",  # kRSTUnicode 147.13
    "\U17B21",  # kTGT_MergedSrc L2008-3364
    "\U17B21",  # kRSTUnicode 147.14
    "\U17B22",  # kTGT_MergedSrc L2008-2472
    "\U17B22",  # kRSTUnicode 147.15
    "\U17B23",  # kTGT_MergedSrc L2008-2306
    "\U17B23",  # kRSTUnicode 149.8
    "\U17B24",  # kTGT_MergedSrc L2008-2315
    "\U17B24",  # kRSTUnicode 149.8
    "\U17B25",  # kTGT_MergedSrc L2008-2532
    "\U17B25",  # kRSTUnicode 149.8
    "\U17B26",  # kTGT_MergedSrc L2008-2308
    "\U17B26",  # kRSTUnicode 149.9
    "\U17B27",  # kTGT_MergedSrc L2008-3405
    "\U17B27",  # kRSTUnicode 149.9
    "\U17B28",  # kTGT_MergedSrc L2008-3403
    "\U17B28",  # kRSTUnicode 149.9
    "\U17B29",  # kTGT_MergedSrc L2008-3740
    "\U17B29",  # kRSTUnicode 149.10
    "\U17B2A",  # kTGT_MergedSrc L2008-2328
    "\U17B2A",  # kRSTUnicode 149.11
    "\U17B2B",  # kTGT_MergedSrc L2008-2533
    "\U17B2B",  # kRSTUnicode 149.11
    "\U17B2C",  # kTGT_MergedSrc L2008-2316
    "\U17B2C",  # kRSTUnicode 149.11
    "\U17B2D",  # kTGT_MergedSrc L2008-3745
    "\U17B2D",  # kRSTUnicode 149.11
    "\U17B2E",  # kTGT_MergedSrc L2008-3741
    "\U17B2E",  # kRSTUnicode 149.12
    "\U17B2F",  # kTGT_MergedSrc L2008-2317
    "\U17B2F",  # kRSTUnicode 149.12
    "\U17B30",  # kTGT_MergedSrc L2008-3746
    "\U17B30",  # kRSTUnicode 149.12
    "\U17B31",  # kTGT_MergedSrc L2008-2318
    "\U17B31",  # kRSTUnicode 149.12
    "\U17B32",  # kTGT_MergedSrc L2008-2897
    "\U17B32",  # kRSTUnicode 149.13
    "\U17B33",  # kTGT_MergedSrc L2008-2312
    "\U17B33",  # kRSTUnicode 149.14
    "\U17B34",  # kTGT_MergedSrc L2008-3421
    "\U17B34",  # kRSTUnicode 149.14
    "\U17B35",  # kTGT_MergedSrc L2008-2329
    "\U17B35",  # kRSTUnicode 149.16
    "\U17B36",  # kTGT_MergedSrc L2008-2307
    "\U17B36",  # kRSTUnicode 151.15
    "\U17B37",  # kTGT_MergedSrc L2008-4770
    "\U17B37",  # kRSTUnicode 152.7
    "\U17B38",  # kTGT_MergedSrc L2008-4765
    "\U17B38",  # kRSTUnicode 152.9
    "\U17B39",  # kTGT_MergedSrc L2008-4756
    "\U17B39",  # kRSTUnicode 152.9
    "\U17B3A",  # kTGT_MergedSrc L2008-4793
    "\U17B3A",  # kRSTUnicode 152.10
    "\U17B3B",  # kTGT_MergedSrc L2008-4748
    "\U17B3B",  # kRSTUnicode 152.10
    "\U17B3C",  # kTGT_MergedSrc L2008-4772
    "\U17B3C",  # kRSTUnicode 152.10
    "\U17B3D",  # kTGT_MergedSrc L2006-6006
    "\U17B3D",  # kRSTUnicode 152.10
    "\U17B3E",  # kTGT_MergedSrc L2008-4773
    "\U17B3E",  # kRSTUnicode 152.10
    "\U17B3F",  # kTGT_MergedSrc L2008-4771
    "\U17B3F",  # kRSTUnicode 152.10
    "\U17B40",  # kTGT_MergedSrc L2008-4749
    "\U17B40",  # kRSTUnicode 152.10
    "\U17B41",  # kTGT_MergedSrc L2008-4747
    "\U17B41",  # kRSTUnicode 152.11
    "\U17B42",  # kTGT_MergedSrc L2008-4782
    "\U17B42",  # kRSTUnicode 152.12
    "\U17B43",  # kTGT_MergedSrc L2008-4774
    "\U17B43",  # kRSTUnicode 152.13
    "\U17B44",  # kTGT_MergedSrc L2008-4757
    "\U17B44",  # kRSTUnicode 152.13
    "\U17B45",  # kTGT_MergedSrc L2008-4742
    "\U17B45",  # kRSTUnicode 152.15
    "\U17B46",  # kTGT_MergedSrc L2008-3842
    "\U17B46",  # kRSTUnicode 155.7
    "\U17B47",  # kTGT_MergedSrc L2008-3861
    "\U17B47",  # kRSTUnicode 155.9
    "\U17B48",  # kTGT_MergedSrc L2008-3845
    "\U17B48",  # kRSTUnicode 155.9
    "\U17B49",  # kTGT_MergedSrc L2008-4012
    "\U17B49",  # kRSTUnicode 155.9
    "\U17B4A",  # kTGT_MergedSrc L2008-3989
    "\U17B4A",  # kRSTUnicode 155.9
    "\U17B4B",  # kTGT_MergedSrc L2008-3963
    "\U17B4B",  # kRSTUnicode 155.9
    "\U17B4C",  # kTGT_MergedSrc L2008-3843
    "\U17B4C",  # kRSTUnicode 155.10
    "\U17B4D",  # kTGT_MergedSrc L2008-3844
    "\U17B4D",  # kRSTUnicode 155.10
    "\U17B4E",  # kTGT_MergedSrc L2008-4013
    "\U17B4E",  # kRSTUnicode 155.10
    "\U17B4F",  # kTGT_MergedSrc L2008-3857
    "\U17B4F",  # kRSTUnicode 155.10
    "\U17B50",  # kTGT_MergedSrc L2008-3908
    "\U17B50",  # kRSTUnicode 155.10
    "\U17B51",  # kTGT_MergedSrc L2008-4010
    "\U17B51",  # kRSTUnicode 155.10
    "\U17B52",  # kTGT_MergedSrc L2008-3990
    "\U17B52",  # kRSTUnicode 155.10
    "\U17B53",  # kTGT_MergedSrc L2008-3860
    "\U17B53",  # kRSTUnicode 155.11
    "\U17B54",  # kTGT_MergedSrc L2008-3945
    "\U17B54",  # kRSTUnicode 155.11
    "\U17B55",  # kTGT_MergedSrc L2008-3944
    "\U17B55",  # kRSTUnicode 155.11
    "\U17B56",  # kTGT_MergedSrc L2008-3994
    "\U17B56",  # kRSTUnicode 155.11
    "\U17B57",  # kTGT_MergedSrc L2008-3959
    "\U17B57",  # kRSTUnicode 155.11
    "\U17B58",  # kTGT_MergedSrc L2008-3964
    "\U17B58",  # kRSTUnicode 155.11
    "\U17B59",  # kTGT_MergedSrc L2008-3863
    "\U17B59",  # kRSTUnicode 155.12
    "\U17B5A",  # kTGT_MergedSrc L2008-3862
    "\U17B5A",  # kRSTUnicode 155.14
    "\U17B5B",  # kTGT_MergedSrc L2008-3924
    "\U17B5B",  # kRSTUnicode 155.14
    "\U17B5C",  # kTGT_MergedSrc L2008-3886
    "\U17B5C",  # kRSTUnicode 155.14
    "\U17B5D",  # kTGT_MergedSrc L2008-3943
    "\U17B5D",  # kRSTUnicode 155.14
    "\U17B5E",  # kTGT_MergedSrc L2008-3912
    "\U17B5E",  # kRSTUnicode 155.15
    "\U17B5F",  # kTGT_MergedSrc L2008-3885
    "\U17B5F",  # kRSTUnicode 155.15
    "\U17B60",  # kTGT_MergedSrc L2008-3991
    "\U17B60",  # kRSTUnicode 155.16
    "\U17B61",  # kTGT_MergedSrc L2008-3848
    "\U17B61",  # kRSTUnicode 155.16
    "\U17B62",  # kTGT_MergedSrc L2008-3922
    "\U17B62",  # kRSTUnicode 155.16
    "\U17B63",  # kTGT_MergedSrc L2008-3961
    "\U17B63",  # kRSTUnicode 155.21
    "\U17B64",  # kTGT_MergedSrc L2008-3856
    "\U17B64",  # kRSTUnicode 156.8
    "\U17B65",  # kTGT_MergedSrc L2008-3855
    "\U17B65",  # kRSTUnicode 156.9
    "\U17B66",  # kTGT_MergedSrc L2008-3930
    "\U17B66",  # kRSTUnicode 156.16
    "\U17B67",  # kTGT_MergedSrc L2008-4009
    "\U17B67",  # kRSTUnicode 157.10
    "\U17B68",  # kTGT_MergedSrc L2008-3931
    "\U17B68",  # kRSTUnicode 158.6
    "\U17B69",  # kTGT_MergedSrc L2008-3979
    "\U17B69",  # kRSTUnicode 158.8
    "\U17B6A",  # kTGT_MergedSrc L2008-3916
    "\U17B6A",  # kRSTUnicode 158.9
    "\U17B6B",  # kTGT_MergedSrc L2008-3870
    "\U17B6B",  # kRSTUnicode 158.10
    "\U17B6C",  # kTGT_MergedSrc L2008-3896
    "\U17B6C",  # kRSTUnicode 158.10
    "\U17B6D",  # kTGT_MergedSrc L2008-3988
    "\U17B6D",  # kRSTUnicode 160.10
    "\U17B6E",  # kTGT_MergedSrc L2008-5413
    "\U17B6E",  # kRSTUnicode 162.10
    "\U17B6F",  # kTGT_MergedSrc L2008-5471
    "\U17B6F",  # kRSTUnicode 162.10
    "\U17B70",  # kTGT_MergedSrc L1997-6000
    "\U17B70",  # kRSTUnicode 162.11
    "\U17B71",  # kTGT_MergedSrc L2008-5557
    "\U17B71",  # kRSTUnicode 162.11
    "\U17B72",  # kTGT_MergedSrc L2008-5295
    "\U17B72",  # kRSTUnicode 162.12
    "\U17B73",  # kTGT_MergedSrc L2008-5716
    "\U17B73",  # kRSTUnicode 162.12
    "\U17B74",  # kTGT_MergedSrc L2008-5087
    "\U17B74",  # kRSTUnicode 162.12
    "\U17B75",  # kTGT_MergedSrc L2008-5133
    "\U17B75",  # kRSTUnicode 162.13
    "\U17B76",  # kTGT_MergedSrc L2008-5256
    "\U17B76",  # kRSTUnicode 162.13
    "\U17B77",  # kTGT_MergedSrc L2008-5095
    "\U17B77",  # kRSTUnicode 162.15
    "\U17B78",  # kTGT_MergedSrc L2008-5805
    "\U17B78",  # kRSTUnicode 164.10
    "\U17B79",  # kTGT_MergedSrc L2008-5528
    "\U17B79",  # kRSTUnicode 165.6
    "\U17B7A",  # kTGT_MergedSrc L2008-5119
    "\U17B7A",  # kRSTUnicode 165.7
    "\U17B7B",  # kTGT_MergedSrc L2008-5522
    "\U17B7B",  # kRSTUnicode 165.7
    "\U17B7C",  # kTGT_MergedSrc L2008-5120
    "\U17B7C",  # kRSTUnicode 165.8
    "\U17B7D",  # kTGT_MergedSrc L2008-5283
    "\U17B7D",  # kRSTUnicode 165.8
    "\U17B7E",  # kTGT_MergedSrc L2008-5524
    "\U17B7E",  # kRSTUnicode 165.8
    "\U17B7F",  # kTGT_MergedSrc L2008-5112
    "\U17B7F",  # kRSTUnicode 165.9
    "\U17B80",  # kTGT_MergedSrc L2008-5415
    "\U17B80",  # kRSTUnicode 165.9
    "\U17B81",  # kTGT_MergedSrc L2008-5532
    "\U17B81",  # kRSTUnicode 165.9
    "\U17B82",  # kTGT_MergedSrc L2008-5421
    "\U17B82",  # kRSTUnicode 165.10
    "\U17B83",  # kTGT_MergedSrc L2008-5084
    "\U17B83",  # kRSTUnicode 165.10
    "\U17B84",  # kTGT_MergedSrc L2008-5066
    "\U17B84",  # kRSTUnicode 165.10
    "\U17B85",  # kTGT_MergedSrc L2008-5414
    "\U17B85",  # kRSTUnicode 165.10
    "\U17B86",  # kTGT_MergedSrc L2008-5710
    "\U17B86",  # kRSTUnicode 165.10
    "\U17B87",  # kTGT_MergedSrc L2008-5115
    "\U17B87",  # kRSTUnicode 165.10
    "\U17B88",  # kTGT_MergedSrc L2008-5547
    "\U17B88",  # kRSTUnicode 165.11
    "\U17B89",  # kTGT_MergedSrc L2008-5293
    "\U17B89",  # kRSTUnicode 165.11
    "\U17B8A",  # kTGT_MergedSrc L2008-5706
    "\U17B8A",  # kRSTUnicode 165.12
    "\U17B8B",  # kTGT_MergedSrc L2008-5114
    "\U17B8B",  # kRSTUnicode 165.12
    "\U17B8C",  # kTGT_MergedSrc L2008-5075
    "\U17B8C",  # kRSTUnicode 165.12
    "\U17B8D",  # kTGT_MergedSrc L2008-5260
    "\U17B8D",  # kRSTUnicode 165.12
    "\U17B8E",  # kTGT_MergedSrc L2008-5076
    "\U17B8E",  # kRSTUnicode 165.12
    "\U17B8F",  # kTGT_MergedSrc L2008-5351
    "\U17B8F",  # kRSTUnicode 165.12
    "\U17B90",  # kTGT_MergedSrc L2008-5150A
    "\U17B90",  # kRSTUnicode 165.13
    "\U17B91",  # kTGT_MergedSrc L2008-5150B
    "\U17B91",  # kRSTUnicode 165.13
    "\U17B92",  # kTGT_MergedSrc L2008-5077
    "\U17B92",  # kRSTUnicode 165.13
    "\U17B93",  # kTGT_MergedSrc L2008-5291
    "\U17B93",  # kRSTUnicode 165.13
    "\U17B94",  # kTGT_MergedSrc L2008-5692
    "\U17B94",  # kRSTUnicode 165.14
    "\U17B95",  # kTGT_MergedSrc L2008-5078
    "\U17B95",  # kRSTUnicode 165.15
    "\U17B96",  # kTGT_MergedSrc L2008-5529
    "\U17B96",  # kRSTUnicode 166.6
    "\U17B97",  # kTGT_MergedSrc L2008-5496
    "\U17B97",  # kRSTUnicode 166.8
    "\U17B98",  # kTGT_MergedSrc L2008-5546
    "\U17B98",  # kRSTUnicode 166.9
    "\U17B99",  # kTGT_MergedSrc L2008-5530
    "\U17B99",  # kRSTUnicode 166.13
    "\U17B9A",  # kTGT_MergedSrc L2008-5509
    "\U17B9A",  # kRSTUnicode 167.5
    "\U17B9B",  # kTGT_MergedSrc L2008-5511
    "\U17B9B",  # kRSTUnicode 167.6
    "\U17B9C",  # kTGT_MergedSrc L2008-5431
    "\U17B9C",  # kRSTUnicode 167.7
    "\U17B9D",  # kTGT_MergedSrc L2008-5359
    "\U17B9D",  # kRSTUnicode 167.7
    "\U17B9E",  # kTGT_MergedSrc L2008-5099
    "\U17B9E",  # kRSTUnicode 167.8
    "\U17B9F",  # kTGT_MergedSrc L2008-5100
    "\U17B9F",  # kRSTUnicode 167.8
    "\U17BA0",  # kTGT_MergedSrc L2008-5271
    "\U17BA0",  # kRSTUnicode 167.8
    "\U17BA1",  # kTGT_MergedSrc L2008-5510
    "\U17BA1",  # kRSTUnicode 167.8
    "\U17BA2",  # kTGT_MergedSrc L2008-5519
    "\U17BA2",  # kRSTUnicode 167.8
    "\U17BA3",  # kTGT_MergedSrc L2008-5432
    "\U17BA3",  # kRSTUnicode 167.9
    "\U17BA4",  # kTGT_MergedSrc L2008-5268
    "\U17BA4",  # kRSTUnicode 167.9
    "\U17BA5",  # kTGT_MergedSrc L2008-5358
    "\U17BA5",  # kRSTUnicode 167.9
    "\U17BA6",  # kTGT_MergedSrc L2008-5357
    "\U17BA6",  # kRSTUnicode 167.9
    "\U17BA7",  # kTGT_MergedSrc L2008-5780
    "\U17BA7",  # kRSTUnicode 167.9
    "\U17BA8",  # kTGT_MergedSrc L2008-5101
    "\U17BA8",  # kRSTUnicode 167.10
    "\U17BA9",  # kTGT_MergedSrc L2008-5104
    "\U17BA9",  # kRSTUnicode 167.10
    "\U17BAA",  # kTGT_MergedSrc L2008-5360
    "\U17BAA",  # kRSTUnicode 167.10
    "\U17BAB",  # kTGT_MergedSrc L2008-5272
    "\U17BAB",  # kRSTUnicode 167.10
    "\U17BAC",  # kTGT_MergedSrc L2008-5269
    "\U17BAC",  # kRSTUnicode 167.10
    "\U17BAD",  # kTGT_MergedSrc L2008-5781
    "\U17BAD",  # kRSTUnicode 167.10
    "\U17BAE",  # kTGT_MergedSrc L2008-5700
    "\U17BAE",  # kRSTUnicode 167.10
    "\U17BAF",  # kTGT_MergedSrc L2008-5701
    "\U17BAF",  # kRSTUnicode 167.10
    "\U17BB0",  # kTGT_MergedSrc L2008-5273
    "\U17BB0",  # kRSTUnicode 167.10
    "\U17BB1",  # kTGT_MergedSrc L2008-5704
    "\U17BB1",  # kRSTUnicode 167.10
    "\U17BB2",  # kTGT_MergedSrc L2008-5103
    "\U17BB2",  # kRSTUnicode 167.11
    "\U17BB3",  # kTGT_MergedSrc L2008-5102
    "\U17BB3",  # kRSTUnicode 167.11
    "\U17BB4",  # kTGT_MergedSrc L2008-5702
    "\U17BB4",  # kRSTUnicode 167.11
    "\U17BB5",  # kTGT_MergedSrc L2008-5513
    "\U17BB5",  # kRSTUnicode 167.11
    "\U17BB6",  # kTGT_MergedSrc L2008-5515
    "\U17BB6",  # kRSTUnicode 167.11
    "\U17BB7",  # kTGT_MergedSrc L2008-5512
    "\U17BB7",  # kRSTUnicode 167.11
    "\U17BB8",  # kTGT_MergedSrc L2008-5274
    "\U17BB8",  # kRSTUnicode 167.11
    "\U17BB9",  # kTGT_MergedSrc L2008-5108
    "\U17BB9",  # kRSTUnicode 167.12
    "\U17BBA",  # kTGT_MergedSrc L2008-5105
    "\U17BBA",  # kRSTUnicode 167.12
    "\U17BBB",  # kTGT_MergedSrc L2008-5278
    "\U17BBB",  # kRSTUnicode 167.12
    "\U17BBC",  # kTGT_MergedSrc L2008-5703
    "\U17BBC",  # kRSTUnicode 167.12
    "\U17BBD",  # kTGT_MergedSrc L2008-5514
    "\U17BBD",  # kRSTUnicode 167.12
    "\U17BBE",  # kTGT_MergedSrc L2008-5275
    "\U17BBE",  # kRSTUnicode 167.13
    "\U17BBF",  # kTGT_MergedSrc L2008-5107
    "\U17BBF",  # kRSTUnicode 167.13
    "\U17BC0",  # kTGT_MergedSrc L2008-5277
    "\U17BC0",  # kRSTUnicode 167.13
    "\U17BC1",  # kTGT_MergedSrc L2008-5705
    "\U17BC1",  # kRSTUnicode 167.13
    "\U17BC2",  # kTGT_MergedSrc L2008-5109
    "\U17BC2",  # kRSTUnicode 167.13
    "\U17BC3",  # kTGT_MergedSrc L2008-5276
    "\U17BC3",  # kRSTUnicode 167.13
    "\U17BC4",  # kTGT_MergedSrc L2008-5517
    "\U17BC4",  # kRSTUnicode 167.13
    "\U17BC5",  # kTGT_MergedSrc L2008-5111
    "\U17BC5",  # kRSTUnicode 167.14
    "\U17BC6",  # kTGT_MergedSrc L2008-5520
    "\U17BC6",  # kRSTUnicode 167.14
    "\U17BC7",  # kTGT_MergedSrc L2008-5106
    "\U17BC7",  # kRSTUnicode 167.14
    "\U17BC8",  # kTGT_MergedSrc L2008-5516
    "\U17BC8",  # kRSTUnicode 167.14
    "\U17BC9",  # kTGT_MergedSrc L2008-5279
    "\U17BC9",  # kRSTUnicode 167.15
    "\U17BCA",  # kTGT_MergedSrc L2008-5110
    "\U17BCA",  # kRSTUnicode 167.15
    "\U17BCB",  # kTGT_MergedSrc L2008-5362
    "\U17BCB",  # kRSTUnicode 167.15
    "\U17BCC",  # kTGT_MergedSrc L2008-5521
    "\U17BCC",  # kRSTUnicode 167.16
    "\U17BCD",  # kTGT_MergedSrc L2008-5361
    "\U17BCD",  # kRSTUnicode 167.16
    "\U17BCE",  # kTGT_MergedSrc L2008-5518
    "\U17BCE",  # kRSTUnicode 167.16
    "\U17BCF",  # kTGT_MergedSrc L2008-5270
    "\U17BCF",  # kRSTUnicode 167.17
    "\U17BD0",  # kTGT_MergedSrc L2008-5962
    "\U17BD0",  # kRSTUnicode 169.8
    "\U17BD1",  # kTGT_MergedSrc L2008-5848
    "\U17BD1",  # kRSTUnicode 169.9
    "\U17BD2",  # kTGT_MergedSrc L2008-5964
    "\U17BD2",  # kRSTUnicode 169.12
    "\U17BD3",  # kTGT_MergedSrc L2008-5854
    "\U17BD3",  # kRSTUnicode 169.13
    "\U17BD4",  # kTGT_MergedSrc L2008-5874
    "\U17BD4",  # kRSTUnicode 170.5
    "\U17BD5",  # kTGT_MergedSrc L2008-5946
    "\U17BD5",  # kRSTUnicode 170.7
    "\U17BD6",  # kTGT_MergedSrc L2008-5841
    "\U17BD6",  # kRSTUnicode 170.9
    "\U17BD7",  # kTGT_MergedSrc L2008-5834
    "\U17BD7",  # kRSTUnicode 170.10
    "\U17BD8",  # kTGT_MergedSrc L2008-5895
    "\U17BD8",  # kRSTUnicode 170.10
    "\U17BD9",  # kTGT_MergedSrc L2008-6073
    "\U17BD9",  # kRSTUnicode 170.10
    "\U17BDA",  # kTGT_MergedSrc L2008-5980
    "\U17BDA",  # kRSTUnicode 170.12
    "\U17BDB",  # kTGT_MergedSrc L2008-5912
    "\U17BDB",  # kRSTUnicode 170.12
    "\U17BDC",  # kTGT_MergedSrc L2008-5893
    "\U17BDC",  # kRSTUnicode 170.16
    "\U17BDD",  # kTGT_MergedSrc L2008-5842
    "\U17BDD",  # kRSTUnicode 170.16
    "\U17BDE",  # kTGT_MergedSrc L2008-5433
    "\U17BDE",  # kRSTUnicode 171.6
    "\U17BDF",  # kTGT_MergedSrc L2008-5386
    "\U17BDF",  # kRSTUnicode 171.8
    "\U17BE0",  # kTGT_MergedSrc L2008-5197
    "\U17BE0",  # kRSTUnicode 171.9
    "\U17BE1",  # kTGT_MergedSrc L2008-5174
    "\U17BE1",  # kRSTUnicode 171.10
    "\U17BE2",  # kTGT_MergedSrc L2008-5746
    "\U17BE2",  # kRSTUnicode 171.10
    "\U17BE3",  # kTGT_MergedSrc L2008-6070
    "\U17BE3",  # kRSTUnicode 171.12
    "\U17BE4",  # kTGT_MergedSrc L2008-5446
    "\U17BE4",  # kRSTUnicode 171.12
    "\U17BE5",  # kTGT_MergedSrc L2008-5198
    "\U17BE5",  # kRSTUnicode 171.16
    "\U17BE6",  # kTGT_MergedSrc L2008-4872
    "\U17BE6",  # kRSTUnicode 172.8
    "\U17BE7",  # kTGT_MergedSrc L2008-4682
    "\U17BE7",  # kRSTUnicode 172.10
    "\U17BE8",  # kTGT_MergedSrc L2008-4713
    "\U17BE8",  # kRSTUnicode 172.10
    "\U17BE9",  # kTGT_MergedSrc L2008-5165
    "\U17BE9",  # kRSTUnicode 173.7
    "\U17BEA",  # kTGT_MergedSrc L2008-5166
    "\U17BEA",  # kRSTUnicode 173.8
    "\U17BEB",  # kTGT_MergedSrc L2008-5239
    "\U17BEB",  # kRSTUnicode 173.8
    "\U17BEC",  # kTGT_MergedSrc L2008-5325
    "\U17BEC",  # kRSTUnicode 173.8
    "\U17BED",  # kTGT_MergedSrc L2008-5739
    "\U17BED",  # kRSTUnicode 173.8
    "\U17BEE",  # kTGT_MergedSrc L2008-5625
    "\U17BEE",  # kRSTUnicode 173.8
    "\U17BEF",  # kTGT_MergedSrc L2008-5588
    "\U17BEF",  # kRSTUnicode 173.8
    "\U17BF0",  # kTGT_MergedSrc L2008-5327
    "\U17BF0",  # kRSTUnicode 173.9
    "\U17BF1",  # kTGT_MergedSrc L2008-5793
    "\U17BF1",  # kRSTUnicode 173.9
    "\U17BF2",  # kTGT_MergedSrc L2008-5626
    "\U17BF2",  # kRSTUnicode 173.9
    "\U17BF3",  # kTGT_MergedSrc L2008-5657
    "\U17BF3",  # kRSTUnicode 173.9
    "\U17BF4",  # kTGT_MergedSrc L2008-5399
    "\U17BF4",  # kRSTUnicode 173.10
    "\U17BF5",  # kTGT_MergedSrc L2008-5326
    "\U17BF5",  # kRSTUnicode 173.10
    "\U17BF6",  # kTGT_MergedSrc L2008-5405
    "\U17BF6",  # kRSTUnicode 173.10
    "\U17BF7",  # kTGT_MergedSrc L2008-5762
    "\U17BF7",  # kRSTUnicode 173.10
    "\U17BF8",  # kTGT_MergedSrc L2008-5738
    "\U17BF8",  # kRSTUnicode 173.10
    "\U17BF9",  # kTGT_MergedSrc L2008-5754
    "\U17BF9",  # kRSTUnicode 173.10
    "\U17BFA",  # kTGT_MergedSrc L2008-5658
    "\U17BFA",  # kRSTUnicode 173.10
    "\U17BFB",  # kTGT_MergedSrc L2008-5240
    "\U17BFB",  # kRSTUnicode 173.11
    "\U17BFC",  # kTGT_MergedSrc L2008-5185
    "\U17BFC",  # kRSTUnicode 173.11
    "\U17BFD",  # kTGT_MergedSrc L2008-5406
    "\U17BFD",  # kRSTUnicode 173.11
    "\U17BFE",  # kTGT_MergedSrc L2008-5664
    "\U17BFE",  # kRSTUnicode 173.11
    "\U17BFF",  # kTGT_MergedSrc L2008-5659
    "\U17BFF",  # kRSTUnicode 173.11
    "\U17C00",  # kTGT_MergedSrc L2008-5332
    "\U17C00",  # kRSTUnicode 173.12
    "\U17C01",  # kTGT_MergedSrc L2008-5176
    "\U17C01",  # kRSTUnicode 173.12
    "\U17C02",  # kTGT_MergedSrc L2008-5595
    "\U17C02",  # kRSTUnicode 173.12
    "\U17C03",  # kTGT_MergedSrc L2008-5186
    "\U17C03",  # kRSTUnicode 173.13
    "\U17C04",  # kTGT_MergedSrc L2008-5187
    "\U17C04",  # kRSTUnicode 173.15
    "\U17C05",  # kTGT_MergedSrc L2008-5597
    "\U17C05",  # kRSTUnicode 173.15
    "\U17C06",  # kTGT_MergedSrc L2008-5167
    "\U17C06",  # kRSTUnicode 174.7
    "\U17C07",  # kTGT_MergedSrc L2008-5623
    "\U17C07",  # kRSTUnicode 174.7
    "\U17C08",  # kTGT_MergedSrc L2008-5629
    "\U17C08",  # kRSTUnicode 174.8
    "\U17C09",  # kTGT_MergedSrc L2008-5238
    "\U17C09",  # kRSTUnicode 174.9
    "\U17C0A",  # kTGT_MergedSrc L2008-5181
    "\U17C0A",  # kRSTUnicode 174.9
    "\U17C0B",  # kTGT_MergedSrc L2008-5438
    "\U17C0B",  # kRSTUnicode 174.9
    "\U17C0C",  # kTGT_MergedSrc L2008-5331
    "\U17C0C",  # kRSTUnicode 174.9
    "\U17C0D",  # kTGT_MergedSrc L2008-5630
    "\U17C0D",  # kRSTUnicode 174.10
    "\U17C0E",  # kTGT_MergedSrc L2008-5398
    "\U17C0E",  # kRSTUnicode 174.12
    "\U17C0F",  # kTGT_MergedSrc L2008-0788
    "\U17C0F",  # kRSTUnicode 175.13
    "\U17C10",  # kTGT_MergedSrc L2008-0781
    "\U17C10",  # kRSTUnicode 175.15
    "\U17C11",  # kTGT_MergedSrc L2008-5945
    "\U17C11",  # kRSTUnicode 176.13
    "\U17C12",  # kTGT_MergedSrc L2008-0744
    "\U17C12",  # kRSTUnicode 177.7
    "\U17C13",  # kTGT_MergedSrc L2008-0491
    "\U17C13",  # kRSTUnicode 177.8
    "\U17C14",  # kTGT_MergedSrc L2008-0997
    "\U17C14",  # kRSTUnicode 177.8
    "\U17C15",  # kTGT_MergedSrc L2008-6020
    "\U17C15",  # kRSTUnicode 177.8
    "\U17C16",  # kTGT_MergedSrc L2008-0478
    "\U17C16",  # kRSTUnicode 177.9
    "\U17C17",  # kTGT_MergedSrc L2008-1084
    "\U17C17",  # kRSTUnicode 177.9
    "\U17C18",  # kTGT_MergedSrc L2008-1097
    "\U17C18",  # kRSTUnicode 177.10
    "\U17C19",  # kTGT_MergedSrc L2008-0174
    "\U17C19",  # kRSTUnicode 177.10
    "\U17C1A",  # kTGT_MergedSrc L2008-0755
    "\U17C1A",  # kRSTUnicode 177.10
    "\U17C1B",  # kTGT_MergedSrc L2008-1640
    "\U17C1B",  # kRSTUnicode 177.10
    "\U17C1C",  # kTGT_MergedSrc L2008-0856
    "\U17C1C",  # kRSTUnicode 177.10
    "\U17C1D",  # kTGT_MergedSrc L2008-0499
    "\U17C1D",  # kRSTUnicode 177.11
    "\U17C1E",  # kTGT_MergedSrc L2008-0176
    "\U17C1E",  # kRSTUnicode 177.11
    "\U17C1F",  # kTGT_MergedSrc L2008-0175
    "\U17C1F",  # kRSTUnicode 177.11
    "\U17C20",  # kTGT_MergedSrc L2008-1011
    "\U17C20",  # kRSTUnicode 177.11
    "\U17C21",  # kTGT_MergedSrc L2008-0963
    "\U17C21",  # kRSTUnicode 177.12
    "\U17C22",  # kTGT_MergedSrc L2008-0761
    "\U17C22",  # kRSTUnicode 177.12
    "\U17C23",  # kTGT_MergedSrc L2008-1012
    "\U17C23",  # kRSTUnicode 177.12
    "\U17C24",  # kTGT_MergedSrc L2008-1125
    "\U17C24",  # kRSTUnicode 177.13
    "\U17C25",  # kTGT_MergedSrc L2008-1649
    "\U17C25",  # kRSTUnicode 177.13
    "\U17C26",  # kTGT_MergedSrc L2008-1595
    "\U17C26",  # kRSTUnicode 177.14
    "\U17C27",  # kTGT_MergedSrc L2008-1126
    "\U17C27",  # kRSTUnicode 177.14
    "\U17C28",  # kTGT_MergedSrc L2008-1844
    "\U17C28",  # kRSTUnicode 177.15
    "\U17C29",  # kTGT_MergedSrc L2008-0964
    "\U17C29",  # kRSTUnicode 177.16
    "\U17C2A",  # kTGT_MergedSrc L2008-0772
    "\U17C2A",  # kRSTUnicode 179.10
    "\U17C2B",  # kTGT_MergedSrc L2008-1233
    "\U17C2B",  # kRSTUnicode 180.11
    "\U17C2C",  # kTGT_MergedSrc L2008-1292
    "\U17C2C",  # kRSTUnicode 180.12
    "\U17C2D",  # kTGT_MergedSrc L2008-1040
    "\U17C2D",  # kRSTUnicode 181.13
    "\U17C2E",  # kTGT_MergedSrc L2008-0947
    "\U17C2E",  # kRSTUnicode 181.19
    "\U17C2F",  # kTGT_MergedSrc L2008-1251
    "\U17C2F",  # kRSTUnicode 182.8
    "\U17C30",  # kTGT_MergedSrc L2008-1264
    "\U17C30",  # kRSTUnicode 182.8
    "\U17C31",  # kTGT_MergedSrc L2008-0678
    "\U17C31",  # kRSTUnicode 182.9
    "\U17C32",  # kTGT_MergedSrc N1966-190-053
    "\U17C32",  # kRSTUnicode 182.9
    "\U17C33",  # kTGT_MergedSrc L2008-1370
    "\U17C33",  # kRSTUnicode 182.10
    "\U17C34",  # kTGT_MergedSrc L2008-1688
    "\U17C34",  # kRSTUnicode 182.10
    "\U17C35",  # kTGT_MergedSrc L2008-0336
    "\U17C35",  # kRSTUnicode 182.11
    "\U17C36",  # kTGT_MergedSrc S1968-4699
    "\U17C36",  # kRSTUnicode 182.16
    "\U17C37",  # kTGT_MergedSrc L2008-1431
    "\U17C37",  # kRSTUnicode 184.7
    "\U17C38",  # kTGT_MergedSrc L2008-0390
    "\U17C38",  # kRSTUnicode 184.9
    "\U17C39",  # kTGT_MergedSrc L2008-1476
    "\U17C39",  # kRSTUnicode 184.9
    "\U17C3A",  # kTGT_MergedSrc L2008-0722
    "\U17C3A",  # kRSTUnicode 184.9
    "\U17C3B",  # kTGT_MergedSrc L2008-1793
    "\U17C3B",  # kRSTUnicode 184.9
    "\U17C3C",  # kTGT_MergedSrc L2008-1788
    "\U17C3C",  # kRSTUnicode 184.9
    "\U17C3D",  # kTGT_MergedSrc L2008-0405
    "\U17C3D",  # kRSTUnicode 184.10
    "\U17C3E",  # kTGT_MergedSrc L2008-0393
    "\U17C3E",  # kRSTUnicode 184.10
    "\U17C3F",  # kTGT_MergedSrc L2008-1795
    "\U17C3F",  # kRSTUnicode 184.10
    "\U17C40",  # kTGT_MergedSrc L2008-1794
    "\U17C40",  # kRSTUnicode 184.10
    "\U17C41",  # kTGT_MergedSrc L2008-0826
    "\U17C41",  # kRSTUnicode 184.11
    "\U17C42",  # kTGT_MergedSrc L2008-0718
    "\U17C42",  # kRSTUnicode 184.11
    "\U17C43",  # kTGT_MergedSrc L2008-0827
    "\U17C43",  # kRSTUnicode 184.11
    "\U17C44",  # kTGT_MergedSrc L2008-0828
    "\U17C44",  # kRSTUnicode 184.12
    "\U17C45",  # kTGT_MergedSrc L2008-0394
    "\U17C45",  # kRSTUnicode 184.13
    "\U17C46",  # kTGT_MergedSrc L2008-0395
    "\U17C46",  # kRSTUnicode 184.13
    "\U17C47",  # kTGT_MergedSrc L2008-0886
    "\U17C47",  # kRSTUnicode 184.13
    "\U17C48",  # kTGT_MergedSrc L2008-1477
    "\U17C48",  # kRSTUnicode 184.13
    "\U17C49",  # kTGT_MergedSrc L2008-1785
    "\U17C49",  # kRSTUnicode 184.14
    "\U17C4A",  # kTGT_MergedSrc L2008-0608
    "\U17C4A",  # kRSTUnicode 184.14
    "\U17C4B",  # kTGT_MergedSrc L2008-1878
    "\U17C4B",  # kRSTUnicode 184.14
    "\U17C4C",  # kTGT_MergedSrc L2008-1799
    "\U17C4C",  # kRSTUnicode 184.15
    "\U17C4D",  # kTGT_MergedSrc L2008-0419
    "\U17C4D",  # kRSTUnicode 184.15
    "\U17C4E",  # kTGT_MergedSrc L2008-0988
    "\U17C4E",  # kRSTUnicode 185.6
    "\U17C4F",  # kTGT_MergedSrc L2008-1059
    "\U17C4F",  # kRSTUnicode 185.8
    "\U17C50",  # kTGT_MergedSrc L2008-0913
    "\U17C50",  # kRSTUnicode 185.8
    "\U17C51",  # kTGT_MergedSrc L2008-1253
    "\U17C51",  # kRSTUnicode 185.8
    "\U17C52",  # kTGT_MergedSrc L2008-0914
    "\U17C52",  # kRSTUnicode 185.9
    "\U17C53",  # kTGT_MergedSrc L2008-1270
    "\U17C53",  # kRSTUnicode 185.9
    "\U17C54",  # kTGT_MergedSrc L2008-1502
    "\U17C54",  # kRSTUnicode 185.9
    "\U17C55",  # kTGT_MergedSrc L2008-0968
    "\U17C55",  # kRSTUnicode 185.10
    "\U17C56",  # kTGT_MergedSrc L2008-1154
    "\U17C56",  # kRSTUnicode 185.10
    "\U17C57",  # kTGT_MergedSrc L2008-1518
    "\U17C57",  # kRSTUnicode 185.10
    "\U17C58",  # kTGT_MergedSrc L2008-0995
    "\U17C58",  # kRSTUnicode 185.10
    "\U17C59",  # kTGT_MergedSrc L2008-1480
    "\U17C59",  # kRSTUnicode 185.11
    "\U17C5A",  # kTGT_MergedSrc L2008-1071
    "\U17C5A",  # kRSTUnicode 185.11
    "\U17C5B",  # kTGT_MergedSrc L2008-0996
    "\U17C5B",  # kRSTUnicode 185.11
    "\U17C5C",  # kTGT_MergedSrc L2008-0922
    "\U17C5C",  # kRSTUnicode 185.11
    "\U17C5D",  # kTGT_MergedSrc L2008-1002
    "\U17C5D",  # kRSTUnicode 185.11
    "\U17C5E",  # kTGT_MergedSrc L2008-1300
    "\U17C5E",  # kRSTUnicode 185.11
    "\U17C5F",  # kTGT_MergedSrc L2008-1226
    "\U17C5F",  # kRSTUnicode 185.11
    "\U17C60",  # kTGT_MergedSrc L2008-0929
    "\U17C60",  # kRSTUnicode 185.11
    "\U17C61",  # kTGT_MergedSrc L2008-1155
    "\U17C61",  # kRSTUnicode 185.11
    "\U17C62",  # kTGT_MergedSrc L2008-1452
    "\U17C62",  # kRSTUnicode 185.11
    "\U17C63",  # kTGT_MergedSrc L2008-1243
    "\U17C63",  # kRSTUnicode 185.11
    "\U17C64",  # kTGT_MergedSrc L2008-1515
    "\U17C64",  # kRSTUnicode 185.11
    "\U17C65",  # kTGT_MergedSrc L2008-1036
    "\U17C65",  # kRSTUnicode 185.11
    "\U17C66",  # kTGT_MergedSrc L2008-1073
    "\U17C66",  # kRSTUnicode 185.12
    "\U17C67",  # kTGT_MergedSrc L2008-1282
    "\U17C67",  # kRSTUnicode 185.12
    "\U17C68",  # kTGT_MergedSrc L2008-0931
    "\U17C68",  # kRSTUnicode 185.12
    "\U17C69",  # kTGT_MergedSrc L2008-1091
    "\U17C69",  # kRSTUnicode 185.12
    "\U17C6A",  # kTGT_MergedSrc L2008-0932
    "\U17C6A",  # kRSTUnicode 185.12
    "\U17C6B",  # kTGT_MergedSrc L2008-1447
    "\U17C6B",  # kRSTUnicode 185.12
    "\U17C6C",  # kTGT_MergedSrc L2008-1284
    "\U17C6C",  # kRSTUnicode 185.12
    "\U17C6D",  # kTGT_MergedSrc L2008-1227
    "\U17C6D",  # kRSTUnicode 185.12
    "\U17C6E",  # kTGT_MergedSrc L2008-1301
    "\U17C6E",  # kRSTUnicode 185.12
    "\U17C6F",  # kTGT_MergedSrc L2008-1157
    "\U17C6F",  # kRSTUnicode 185.12
    "\U17C70",  # kTGT_MergedSrc L2008-1271
    "\U17C70",  # kRSTUnicode 185.12
    "\U17C71",  # kTGT_MergedSrc L2008-1100
    "\U17C71",  # kRSTUnicode 185.12
    "\U17C72",  # kTGT_MergedSrc L2008-1072
    "\U17C72",  # kRSTUnicode 185.12
    "\U17C73",  # kTGT_MergedSrc L2008-1022
    "\U17C73",  # kRSTUnicode 185.12
    "\U17C74",  # kTGT_MergedSrc L2008-1162
    "\U17C74",  # kRSTUnicode 185.12
    "\U17C75",  # kTGT_MergedSrc L2008-0927
    "\U17C75",  # kRSTUnicode 185.12
    "\U17C76",  # kTGT_MergedSrc L2008-0979
    "\U17C76",  # kRSTUnicode 185.12
    "\U17C77",  # kTGT_MergedSrc L2008-1024
    "\U17C77",  # kRSTUnicode 185.13
    "\U17C78",  # kTGT_MergedSrc L2008-1074
    "\U17C78",  # kRSTUnicode 185.13
    "\U17C79",  # kTGT_MergedSrc L2008-1434
    "\U17C79",  # kRSTUnicode 185.13
    "\U17C7A",  # kTGT_MergedSrc L2008-1379
    "\U17C7A",  # kRSTUnicode 185.13
    "\U17C7B",  # kTGT_MergedSrc L2008-0948
    "\U17C7B",  # kRSTUnicode 185.13
    "\U17C7C",  # kTGT_MergedSrc L2008-0961
    "\U17C7C",  # kRSTUnicode 185.13
    "\U17C7D",  # kTGT_MergedSrc L2008-1092
    "\U17C7D",  # kRSTUnicode 185.13
    "\U17C7E",  # kTGT_MergedSrc L2008-1433
    "\U17C7E",  # kRSTUnicode 185.13
    "\U17C7F",  # kTGT_MergedSrc L2008-0972
    "\U17C7F",  # kRSTUnicode 185.13
    "\U17C80",  # kTGT_MergedSrc L2008-1414
    "\U17C80",  # kRSTUnicode 185.13
    "\U17C81",  # kTGT_MergedSrc L2008-1208
    "\U17C81",  # kRSTUnicode 185.13
    "\U17C82",  # kTGT_MergedSrc L2008-1228
    "\U17C82",  # kRSTUnicode 185.13
    "\U17C83",  # kTGT_MergedSrc L2008-1163
    "\U17C83",  # kRSTUnicode 185.13
    "\U17C84",  # kTGT_MergedSrc L2008-1481
    "\U17C84",  # kRSTUnicode 185.13
    "\U17C85",  # kTGT_MergedSrc L2008-1539
    "\U17C85",  # kRSTUnicode 185.13
    "\U17C86",  # kTGT_MergedSrc L2008-1303
    "\U17C86",  # kRSTUnicode 185.13
    "\U17C87",  # kTGT_MergedSrc L2008-0923
    "\U17C87",  # kRSTUnicode 185.13
    "\U17C88",  # kTGT_MergedSrc L2008-0933
    "\U17C88",  # kRSTUnicode 185.13
    "\U17C89",  # kTGT_MergedSrc L2008-1075
    "\U17C89",  # kRSTUnicode 185.13
    "\U17C8A",  # kTGT_MergedSrc L2008-0986
    "\U17C8A",  # kRSTUnicode 185.13
    "\U17C8B",  # kTGT_MergedSrc L2008-1529
    "\U17C8B",  # kRSTUnicode 185.13
    "\U17C8C",  # kTGT_MergedSrc L2008-1530
    "\U17C8C",  # kRSTUnicode 185.13
    "\U17C8D",  # kTGT_MergedSrc L2008-0980
    "\U17C8D",  # kRSTUnicode 185.14
    "\U17C8E",  # kTGT_MergedSrc L2008-0973
    "\U17C8E",  # kRSTUnicode 185.14
    "\U17C8F",  # kTGT_MergedSrc L2008-0924
    "\U17C8F",  # kRSTUnicode 185.14
    "\U17C90",  # kTGT_MergedSrc L2008-1111
    "\U17C90",  # kRSTUnicode 185.14
    "\U17C91",  # kTGT_MergedSrc L2008-1450
    "\U17C91",  # kRSTUnicode 185.14
    "\U17C92",  # kTGT_MergedSrc L2008-1038
    "\U17C92",  # kRSTUnicode 185.14
    "\U17C93",  # kTGT_MergedSrc L2008-1340
    "\U17C93",  # kRSTUnicode 185.14
    "\U17C94",  # kTGT_MergedSrc L2008-1302
    "\U17C94",  # kRSTUnicode 185.14
    "\U17C95",  # kTGT_MergedSrc L2008-1496
    "\U17C95",  # kRSTUnicode 185.14
    "\U17C96",  # kTGT_MergedSrc L2008-1060
    "\U17C96",  # kRSTUnicode 185.14
    "\U17C97",  # kTGT_MergedSrc L2008-1554
    "\U17C97",  # kRSTUnicode 185.14
    "\U17C98",  # kTGT_MergedSrc L2008-1403
    "\U17C98",  # kRSTUnicode 185.14
    "\U17C99",  # kTGT_MergedSrc L2008-1077
    "\U17C99",  # kRSTUnicode 185.14
    "\U17C9A",  # kTGT_MergedSrc L2008-1248
    "\U17C9A",  # kRSTUnicode 185.15
    "\U17C9B",  # kTGT_MergedSrc L2008-1341
    "\U17C9B",  # kRSTUnicode 185.15
    "\U17C9C",  # kTGT_MergedSrc L2008-0950
    "\U17C9C",  # kRSTUnicode 185.15
    "\U17C9D",  # kTGT_MergedSrc L2008-0951
    "\U17C9D",  # kRSTUnicode 185.15
    "\U17C9E",  # kTGT_MergedSrc L2008-1093
    "\U17C9E",  # kRSTUnicode 185.15
    "\U17C9F",  # kTGT_MergedSrc L2008-1343
    "\U17C9F",  # kRSTUnicode 185.15
    "\U17CA0",  # kTGT_MergedSrc L2008-1364
    "\U17CA0",  # kRSTUnicode 185.15
    "\U17CA1",  # kTGT_MergedSrc L2008-1547
    "\U17CA1",  # kRSTUnicode 185.15
    "\U17CA2",  # kTGT_MergedSrc L2008-1304
    "\U17CA2",  # kRSTUnicode 185.15
    "\U17CA3",  # kTGT_MergedSrc L2008-1076
    "\U17CA3",  # kRSTUnicode 185.15
    "\U17CA4",  # kTGT_MergedSrc L2008-0971
    "\U17CA4",  # kRSTUnicode 185.15
    "\U17CA5",  # kTGT_MergedSrc L2008-1287
    "\U17CA5",  # kRSTUnicode 185.15
    "\U17CA6",  # kTGT_MergedSrc L2008-1331
    "\U17CA6",  # kRSTUnicode 185.15
    "\U17CA7",  # kTGT_MergedSrc L2008-1380
    "\U17CA7",  # kRSTUnicode 185.16
    "\U17CA8",  # kTGT_MergedSrc L2008-1461
    "\U17CA8",  # kRSTUnicode 185.16
    "\U17CA9",  # kTGT_MergedSrc L2008-0925
    "\U17CA9",  # kRSTUnicode 185.16
    "\U17CAA",  # kTGT_MergedSrc L2008-1023
    "\U17CAA",  # kRSTUnicode 185.16
    "\U17CAB",  # kTGT_MergedSrc L2008-1471
    "\U17CAB",  # kRSTUnicode 185.16
    "\U17CAC",  # kTGT_MergedSrc L2008-1548
    "\U17CAC",  # kRSTUnicode 185.16
    "\U17CAD",  # kTGT_MergedSrc L2008-1032
    "\U17CAD",  # kRSTUnicode 185.16
    "\U17CAE",  # kTGT_MergedSrc L2008-1437
    "\U17CAE",  # kRSTUnicode 185.16
    "\U17CAF",  # kTGT_MergedSrc L2008-1344
    "\U17CAF",  # kRSTUnicode 185.16
    "\U17CB0",  # kTGT_MergedSrc L2008-1342
    "\U17CB0",  # kRSTUnicode 185.17
    "\U17CB1",  # kTGT_MergedSrc L2008-1164
    "\U17CB1",  # kRSTUnicode 185.17
    "\U17CB2",  # kTGT_MergedSrc L2008-0949
    "\U17CB2",  # kRSTUnicode 185.17
    "\U17CB3",  # kTGT_MergedSrc L2008-1254
    "\U17CB3",  # kRSTUnicode 185.17
    "\U17CB4",  # kTGT_MergedSrc L2008-1165
    "\U17CB4",  # kRSTUnicode 185.17
    "\U17CB5",  # kTGT_MergedSrc L2008-1122
    "\U17CB5",  # kRSTUnicode 185.17
    "\U17CB6",  # kTGT_MergedSrc L2008-1209
    "\U17CB6",  # kRSTUnicode 185.18
    "\U17CB7",  # kTGT_MergedSrc L2008-1211
    "\U17CB7",  # kRSTUnicode 185.18
    "\U17CB8",  # kTGT_MergedSrc L2008-0952
    "\U17CB8",  # kRSTUnicode 185.18
    "\U17CB9",  # kTGT_MergedSrc L2008-1078
    "\U17CB9",  # kRSTUnicode 185.18
    "\U17CBA",  # kTGT_MergedSrc L2008-1365
    "\U17CBA",  # kRSTUnicode 185.19
    "\U17CBB",  # kTGT_MergedSrc L2008-1394
    "\U17CBB",  # kRSTUnicode 185.19
    "\U17CBC",  # kTGT_MergedSrc L2008-1166
    "\U17CBC",  # kRSTUnicode 185.19
    "\U17CBD",  # kTGT_MergedSrc L2008-1109
    "\U17CBD",  # kRSTUnicode 185.21
    "\U17CBE",  # kTGT_MergedSrc L2008-5933
    "\U17CBE",  # kRSTUnicode 187.6
    "\U17CBF",  # kTGT_MergedSrc L2008-4070
    "\U17CBF",  # kRSTUnicode 188.10
    "\U17CC0",  # kTGT_MergedSrc L2008-4074
    "\U17CC0",  # kRSTUnicode 188.11
    "\U17CC1",  # kTGT_MergedSrc L2008-4068
    "\U17CC1",  # kRSTUnicode 188.13
    "\U17CC2",  # kTGT_MergedSrc L2008-4061
    "\U17CC2",  # kRSTUnicode 188.14
    "\U17CC3",  # kTGT_MergedSrc L2008-1551
    "\U17CC3",  # kRSTUnicode 189.8
    "\U17CC4",  # kTGT_MergedSrc L2008-0842
    "\U17CC4",  # kRSTUnicode 189.9
    "\U17CC5",  # kTGT_MergedSrc L2008-0463
    "\U17CC5",  # kRSTUnicode 189.9
    "\U17CC6",  # kTGT_MergedSrc L2008-1839
    "\U17CC6",  # kRSTUnicode 189.10
    "\U17CC7",  # kTGT_MergedSrc L2008-0466
    "\U17CC7",  # kRSTUnicode 189.11
    "\U17CC8",  # kTGT_MergedSrc L2008-0639
    "\U17CC8",  # kRSTUnicode 189.12
    "\U17CC9",  # kTGT_MergedSrc L2008-1564
    "\U17CC9",  # kRSTUnicode 190.9
    "\U17CCA",  # kTGT_MergedSrc L2008-0843
    "\U17CCA",  # kRSTUnicode 190.10
    "\U17CCB",  # kTGT_MergedSrc L2008-0471
    "\U17CCB",  # kRSTUnicode 190.10
    "\U17CCC",  # kTGT_MergedSrc L2008-1840
    "\U17CCC",  # kRSTUnicode 190.10
    "\U17CCD",  # kTGT_MergedSrc L2008-1563
    "\U17CCD",  # kRSTUnicode 190.11
    "\U17CCE",  # kTGT_MergedSrc L2008-1842
    "\U17CCE",  # kRSTUnicode 190.11
    "\U17CCF",  # kTGT_MergedSrc L2008-1565
    "\U17CCF",  # kRSTUnicode 190.11
    "\U17CD0",  # kTGT_MergedSrc L2008-0892
    "\U17CD0",  # kRSTUnicode 190.12
    "\U17CD1",  # kTGT_MergedSrc L2008-5859
    "\U17CD1",  # kRSTUnicode 192.8
    "\U17CD2",  # kTGT_MergedSrc L2008-5880
    "\U17CD2",  # kRSTUnicode 192.8
    "\U17CD3",  # kTGT_MergedSrc L2008-5994
    "\U17CD3",  # kRSTUnicode 192.9
    "\U17CD4",  # kTGT_MergedSrc L2008-5988
    "\U17CD4",  # kRSTUnicode 192.10
    "\U17CD5",  # kTGT_MergedSrc L2008-5967
    "\U17CD5",  # kRSTUnicode 192.11
    "\U17CD6",  # kTGT_MergedSrc L2008-5861
    "\U17CD6",  # kRSTUnicode 192.13
    "\U17CD7",  # kTGT_MergedSrc S1968-5379
    "\U17CD7",  # kRSTUnicode 193.5
    "\U17CD8",  # kTGT_MergedSrc L2008-1277
    "\U17CD8",  # kRSTUnicode 193.6
    "\U17CD9",  # kTGT_MergedSrc L2008-6011
    "\U17CD9",  # kRSTUnicode 193.7
    "\U17CDA",  # kTGT_MergedSrc L2008-0822
    "\U17CDA",  # kRSTUnicode 193.7
    "\U17CDB",  # kTGT_MergedSrc L2008-0244
    "\U17CDB",  # kRSTUnicode 193.8
    "\U17CDC",  # kTGT_MergedSrc L2008-0374
    "\U17CDC",  # kRSTUnicode 193.8
    "\U17CDD",  # kTGT_MergedSrc L2008-0863
    "\U17CDD",  # kRSTUnicode 193.8
    "\U17CDE",  # kTGT_MergedSrc L2008-1709
    "\U17CDE",  # kRSTUnicode 193.8
    "\U17CDF",  # kTGT_MergedSrc L2008-1720
    "\U17CDF",  # kRSTUnicode 193.8
    "\U17CE0",  # kTGT_MergedSrc L2008-0813
    "\U17CE0",  # kRSTUnicode 193.8
    "\U17CE1",  # kTGT_MergedSrc L2008-0245
    "\U17CE1",  # kRSTUnicode 193.8
    "\U17CE2",  # kTGT_MergedSrc L2008-0303
    "\U17CE2",  # kRSTUnicode 193.9
    "\U17CE3",  # kTGT_MergedSrc L2008-0275
    "\U17CE3",  # kRSTUnicode 193.9
    "\U17CE4",  # kTGT_MergedSrc L2008-1356
    "\U17CE4",  # kRSTUnicode 193.9
    "\U17CE5",  # kTGT_MergedSrc L2008-1324
    "\U17CE5",  # kRSTUnicode 193.9
    "\U17CE6",  # kTGT_MergedSrc L2008-1737
    "\U17CE6",  # kRSTUnicode 193.9
    "\U17CE7",  # kTGT_MergedSrc L2008-1710
    "\U17CE7",  # kRSTUnicode 193.9
    "\U17CE8",  # kTGT_MergedSrc L2008-0562
    "\U17CE8",  # kRSTUnicode 193.10
    "\U17CE9",  # kTGT_MergedSrc L2008-1668
    "\U17CE9",  # kRSTUnicode 193.10
    "\U17CEA",  # kTGT_MergedSrc L2008-0793
    "\U17CEA",  # kRSTUnicode 193.10
    "\U17CEB",  # kTGT_MergedSrc L2008-1738
    "\U17CEB",  # kRSTUnicode 193.10
    "\U17CEC",  # kTGT_MergedSrc L2008-1416
    "\U17CEC",  # kRSTUnicode 193.10
    "\U17CED",  # kTGT_MergedSrc L2008-1857
    "\U17CED",  # kRSTUnicode 193.11
    "\U17CEE",  # kTGT_MergedSrc L2008-0378
    "\U17CEE",  # kRSTUnicode 193.13
    "\U17CEF",  # kTGT_MergedSrc L2008-1776
    "\U17CEF",  # kRSTUnicode 193.14
    "\U17CF0",  # kTGT_MergedSrc S1968-5397
    "\U17CF0",  # kRSTUnicode 193.17
    "\U17CF1",  # kTGT_MergedSrc L2008-0388
    "\U17CF1",  # kRSTUnicode 194.8
    "\U17CF2",  # kTGT_MergedSrc L2008-0392
    "\U17CF2",  # kRSTUnicode 194.9
    "\U17CF3",  # kTGT_MergedSrc L2008-0612
    "\U17CF3",  # kRSTUnicode 194.9
    "\U17CF4",  # kTGT_MergedSrc L2008-0411
    "\U17CF4",  # kRSTUnicode 194.10
    "\U17CF5",  # kTGT_MergedSrc L2008-1430
    "\U17CF5",  # kRSTUnicode 194.10
    "\U17CF6",  # kTGT_MergedSrc L2008-1456
    "\U17CF6",  # kRSTUnicode 194.10
    "\U17CF7",  # kTGT_MergedSrc L2008-1796
    "\U17CF7",  # kRSTUnicode 194.10
    "\U17CF8",  # kTGT_MergedSrc L2008-1792
    "\U17CF8",  # kRSTUnicode 194.10
    "\U17CF9",  # kTGT_MergedSrc L2008-1797
    "\U17CF9",  # kRSTUnicode 194.11
    "\U17CFA",  # kTGT_MergedSrc L2008-0396
    "\U17CFA",  # kRSTUnicode 194.11
    "\U17CFB",  # kTGT_MergedSrc L2008-0402
    "\U17CFB",  # kRSTUnicode 194.12
    "\U17CFC",  # kTGT_MergedSrc L2008-0397
    "\U17CFC",  # kRSTUnicode 194.13
    "\U17CFD",  # kTGT_MergedSrc L2008-0636
    "\U17CFD",  # kRSTUnicode 195.8
    "\U17CFE",  # kTGT_MergedSrc L2008-1552
    "\U17CFE",  # kRSTUnicode 195.8
    "\U17CFF",  # kTGT_MergedSrc L2008-1575
    "\U17CFF",  # kRSTUnicode 195.8
    "\U17D00",  # kTGT_MergedSrc L2008-0464
    "\U17D00",  # kRSTUnicode 195.9
    "\U17D01",  # kTGT_MergedSrc L2008-1560
    "\U17D01",  # kRSTUnicode 195.9
    "\U17D02",  # kTGT_MergedSrc L2008-1572
    "\U17D02",  # kRSTUnicode 195.9
    "\U17D03",  # kTGT_MergedSrc L2008-0468
    "\U17D03",  # kRSTUnicode 195.10
    "\U17D04",  # kTGT_MergedSrc L2008-1571
    "\U17D04",  # kRSTUnicode 195.10
    "\U17D05",  # kTGT_MergedSrc L2008-1838
    "\U17D05",  # kRSTUnicode 195.10
    "\U17D06",  # kTGT_MergedSrc L2008-1556
    "\U17D06",  # kRSTUnicode 195.11
    "\U17D07",  # kTGT_MergedSrc L2008-1832
    "\U17D07",  # kRSTUnicode 195.14
    "\U17D08",  # kTGT_MergedSrc L2008-1099
    "\U17D08",  # kRSTUnicode 196.10
    "\U17D09",  # kTGT_MergedSrc L2008-1088
    "\U17D09",  # kRSTUnicode 196.10
    "\U17D0A",  # kTGT_MergedSrc L2008-0759
    "\U17D0A",  # kRSTUnicode 196.11
    "\U17D0B",  # kTGT_MergedSrc L2008-4448
    "\U17D0B",  # kRSTUnicode 198.6
    "\U17D0C",  # kTGT_MergedSrc L2008-4443
    "\U17D0C",  # kRSTUnicode 198.9
    "\U17D0D",  # kTGT_MergedSrc L2008-1513
    "\U17D0D",  # kRSTUnicode 199.5
    "\U17D0E",  # kTGT_MergedSrc L2008-1533
    "\U17D0E",  # kRSTUnicode 199.9
    "\U17D0F",  # kTGT_MergedSrc L2008-3408
    "\U17D0F",  # kRSTUnicode 200.6
    "\U17D10",  # kTGT_MergedSrc L2008-2320
    "\U17D10",  # kRSTUnicode 200.8
    "\U17D11",  # kTGT_MergedSrc L2008-3400
    "\U17D11",  # kRSTUnicode 200.8
    "\U17D12",  # kTGT_MergedSrc L2008-2539
    "\U17D12",  # kRSTUnicode 200.8
    "\U17D13",  # kTGT_MergedSrc L2008-3426
    "\U17D13",  # kRSTUnicode 200.8
    "\U17D14",  # kTGT_MergedSrc L2008-3417
    "\U17D14",  # kRSTUnicode 200.8
    "\U17D15",  # kTGT_MergedSrc L2008-2531
    "\U17D15",  # kRSTUnicode 200.9
    "\U17D16",  # kTGT_MergedSrc L2008-2694
    "\U17D16",  # kRSTUnicode 200.9
    "\U17D17",  # kTGT_MergedSrc L2008-2330
    "\U17D17",  # kRSTUnicode 200.10
    "\U17D18",  # kTGT_MergedSrc L2008-3418
    "\U17D18",  # kRSTUnicode 200.10
    "\U17D19",  # kTGT_MergedSrc L2008-3742
    "\U17D19",  # kRSTUnicode 200.10
    "\U17D1A",  # kTGT_MergedSrc L2008-3427
    "\U17D1A",  # kRSTUnicode 200.10
    "\U17D1B",  # kTGT_MergedSrc L2008-2331
    "\U17D1B",  # kRSTUnicode 200.11
    "\U17D1C",  # kTGT_MergedSrc L2008-3743
    "\U17D1C",  # kRSTUnicode 200.11
    "\U17D1D",  # kTGT_MergedSrc L2008-2901
    "\U17D1D",  # kRSTUnicode 200.12
    "\U17D1E",  # kTGT_MergedSrc L2008-2540
    "\U17D1E",  # kRSTUnicode 200.12
    "\U17D1F",  # kTGT_MergedSrc L2008-3425
    "\U17D1F",  # kRSTUnicode 200.12
    "\U17D20",  # kTGT_MergedSrc L2008-2528
    "\U17D20",  # kRSTUnicode 200.12
    "\U17D21",  # kTGT_MergedSrc L2008-3399
    "\U17D21",  # kRSTUnicode 200.12
    "\U17D22",  # kTGT_MergedSrc L2008-3419
    "\U17D22",  # kRSTUnicode 200.12
    "\U17D23",  # kTGT_MergedSrc L2008-2899
    "\U17D23",  # kRSTUnicode 200.13
    "\U17D24",  # kTGT_MergedSrc L2008-3747
    "\U17D24",  # kRSTUnicode 200.16
    "\U17D25",  # kTGT_MergedSrc L2008-3412
    "\U17D25",  # kRSTUnicode 204.9
    "\U17D26",  # kTGT_MergedSrc L2008-1528
    "\U17D26",  # kRSTUnicode 204.9
    "\U17D27",  # kTGT_MergedSrc L2008-1498
    "\U17D27",  # kRSTUnicode 204.9
    "\U17D28",  # kTGT_MergedSrc L2008-1493
    "\U17D28",  # kRSTUnicode 204.9
    "\U17D29",  # kTGT_MergedSrc L2008-1505
    "\U17D29",  # kRSTUnicode 204.9
    "\U17D2A",  # kTGT_MergedSrc L2008-3396
    "\U17D2A",  # kRSTUnicode 204.11
    "\U17D2B",  # kTGT_MergedSrc L2008-3006
    "\U17D2B",  # kRSTUnicode 204.12
    "\U17D2C",  # kTGT_MergedSrc L2008-3272
    "\U17D2C",  # kRSTUnicode 204.14
    "\U17D2D",  # kTGT_MergedSrc L2008-2999
    "\U17D2D",  # kRSTUnicode 204.14
    "\U17D2E",  # kTGT_MergedSrc L2008-3017
    "\U17D2E",  # kRSTUnicode 204.17
    "\U17D2F",  # kTGT_MergedSrc L2008-5999
    "\U17D2F",  # kRSTUnicode 206.8
    "\U17D30",  # kTGT_MergedSrc L2008-0037
    "\U17D30",  # kRSTUnicode 206.8
    "\U17D31",  # kTGT_MergedSrc L2008-0062
    "\U17D31",  # kRSTUnicode 206.9
    "\U17D32",  # kTGT_MergedSrc L2008-0071
    "\U17D32",  # kRSTUnicode 206.10
    "\U17D33",  # kTGT_MergedSrc L2008-0059
    "\U17D33",  # kRSTUnicode 206.11
    "\U17D34",  # kTGT_MergedSrc L2008-0140
    "\U17D34",  # kRSTUnicode 206.11
    "\U17D35",  # kTGT_MergedSrc L2008-0124
    "\U17D35",  # kRSTUnicode 206.12
    "\U17D36",  # kTGT_MergedSrc N1966-018-083
    "\U17D36",  # kRSTUnicode 206.12
    "\U17D37",  # kTGT_MergedSrc L2008-0004
    "\U17D37",  # kRSTUnicode 206.13
    "\U17D38",  # kTGT_MergedSrc L2008-0054
    "\U17D38",  # kRSTUnicode 206.13
    "\U17D39",  # kTGT_MergedSrc L2008-0127
    "\U17D39",  # kRSTUnicode 206.13
    "\U17D3A",  # kTGT_MergedSrc L2008-0092
    "\U17D3A",  # kRSTUnicode 206.13
    "\U17D3B",  # kTGT_MergedSrc L2008-0110
    "\U17D3B",  # kRSTUnicode 206.13
    "\U17D3C",  # kTGT_MergedSrc L2008-0006
    "\U17D3C",  # kRSTUnicode 206.13
    "\U17D3D",  # kTGT_MergedSrc L2008-0011
    "\U17D3D",  # kRSTUnicode 206.13
    "\U17D3E",  # kTGT_MergedSrc L2008-0040
    "\U17D3E",  # kRSTUnicode 206.13
    "\U17D3F",  # kTGT_MergedSrc L2008-0105
    "\U17D3F",  # kRSTUnicode 206.13
    "\U17D40",  # kTGT_MergedSrc L2008-0072
    "\U17D40",  # kRSTUnicode 206.13
    "\U17D41",  # kTGT_MergedSrc L2008-0153
    "\U17D41",  # kRSTUnicode 206.13
    "\U17D42",  # kTGT_MergedSrc L2008-0111
    "\U17D42",  # kRSTUnicode 206.14
    "\U17D43",  # kTGT_MergedSrc L2008-0083
    "\U17D43",  # kRSTUnicode 206.14
    "\U17D44",  # kTGT_MergedSrc L2008-0103
    "\U17D44",  # kRSTUnicode 206.14
    "\U17D45",  # kTGT_MergedSrc L2008-0047
    "\U17D45",  # kRSTUnicode 206.14
    "\U17D46",  # kTGT_MergedSrc L2008-0113
    "\U17D46",  # kRSTUnicode 206.14
    "\U17D47",  # kTGT_MergedSrc L2008-0033
    "\U17D47",  # kRSTUnicode 206.14
    "\U17D48",  # kTGT_MergedSrc L2008-0029
    "\U17D48",  # kRSTUnicode 206.14
    "\U17D49",  # kTGT_MergedSrc L2008-0060
    "\U17D49",  # kRSTUnicode 206.14
    "\U17D4A",  # kTGT_MergedSrc L2008-0125
    "\U17D4A",  # kRSTUnicode 206.14
    "\U17D4B",  # kTGT_MergedSrc L2008-0041
    "\U17D4B",  # kRSTUnicode 206.14
    "\U17D4C",  # kTGT_MergedSrc L2008-0149
    "\U17D4C",  # kRSTUnicode 206.14
    "\U17D4D",  # kTGT_MergedSrc L2008-0119
    "\U17D4D",  # kRSTUnicode 206.14
    "\U17D4E",  # kTGT_MergedSrc L2008-0128
    "\U17D4E",  # kRSTUnicode 206.14
    "\U17D4F",  # kTGT_MergedSrc L2008-0012
    "\U17D4F",  # kRSTUnicode 206.14
    "\U17D50",  # kTGT_MergedSrc L2008-0139
    "\U17D50",  # kRSTUnicode 206.14
    "\U17D51",  # kTGT_MergedSrc L2008-0154
    "\U17D51",  # kRSTUnicode 206.14
    "\U17D52",  # kTGT_MergedSrc L2008-0152
    "\U17D52",  # kRSTUnicode 206.14
    "\U17D53",  # kTGT_MergedSrc L2008-0034
    "\U17D53",  # kRSTUnicode 206.14
    "\U17D54",  # kTGT_MergedSrc L2008-0051
    "\U17D54",  # kRSTUnicode 206.14
    "\U17D55",  # kTGT_MergedSrc L2008-0022
    "\U17D55",  # kRSTUnicode 206.15
    "\U17D56",  # kTGT_MergedSrc L2008-0131
    "\U17D56",  # kRSTUnicode 206.15
    "\U17D57",  # kTGT_MergedSrc L2008-0098
    "\U17D57",  # kRSTUnicode 206.15
    "\U17D58",  # kTGT_MergedSrc L2008-0020
    "\U17D58",  # kRSTUnicode 206.15
    "\U17D59",  # kTGT_MergedSrc L2008-0129
    "\U17D59",  # kRSTUnicode 206.15
    "\U17D5A",  # kTGT_MergedSrc L2008-0021
    "\U17D5A",  # kRSTUnicode 206.15
    "\U17D5B",  # kTGT_MergedSrc L2008-0137
    "\U17D5B",  # kRSTUnicode 206.15
    "\U17D5C",  # kTGT_MergedSrc L2008-0133
    "\U17D5C",  # kRSTUnicode 206.15
    "\U17D5D",  # kTGT_MergedSrc L2008-0115
    "\U17D5D",  # kRSTUnicode 206.15
    "\U17D5E",  # kTGT_MergedSrc L2008-0106
    "\U17D5E",  # kRSTUnicode 206.15
    "\U17D5F",  # kTGT_MergedSrc L2008-0144
    "\U17D5F",  # kRSTUnicode 206.15
    "\U17D60",  # kTGT_MergedSrc L2008-0138
    "\U17D60",  # kRSTUnicode 206.15
    "\U17D61",  # kTGT_MergedSrc L2008-0146
    "\U17D61",  # kRSTUnicode 206.15
    "\U17D62",  # kTGT_MergedSrc L2008-0134
    "\U17D62",  # kRSTUnicode 206.16
    "\U17D63",  # kTGT_MergedSrc L2008-0055
    "\U17D63",  # kRSTUnicode 206.16
    "\U17D64",  # kTGT_MergedSrc L2008-0007
    "\U17D64",  # kRSTUnicode 206.16
    "\U17D65",  # kTGT_MergedSrc L2008-0130
    "\U17D65",  # kRSTUnicode 206.16
    "\U17D66",  # kTGT_MergedSrc L2008-0093
    "\U17D66",  # kRSTUnicode 206.16
    "\U17D67",  # kTGT_MergedSrc L2008-0136
    "\U17D67",  # kRSTUnicode 206.16
    "\U17D68",  # kTGT_MergedSrc L2008-0107
    "\U17D68",  # kRSTUnicode 206.16
    "\U17D69",  # kTGT_MergedSrc L2008-0120
    "\U17D69",  # kRSTUnicode 206.16
    "\U17D6A",  # kTGT_MergedSrc L2008-0114
    "\U17D6A",  # kRSTUnicode 206.16
    "\U17D6B",  # kTGT_MergedSrc L2008-0109
    "\U17D6B",  # kRSTUnicode 206.16
    "\U17D6C",  # kTGT_MergedSrc L2008-0126
    "\U17D6C",  # kRSTUnicode 206.16
    "\U17D6D",  # kTGT_MergedSrc L2008-0135
    "\U17D6D",  # kRSTUnicode 206.16
    "\U17D6E",  # kTGT_MergedSrc L2008-0121
    "\U17D6E",  # kRSTUnicode 206.17
    "\U17D6F",  # kTGT_MergedSrc L2008-0073
    "\U17D6F",  # kRSTUnicode 206.17
    "\U17D70",  # kTGT_MergedSrc L2008-0078
    "\U17D70",  # kRSTUnicode 206.17
    "\U17D71",  # kTGT_MergedSrc L2008-0058
    "\U17D71",  # kRSTUnicode 206.19
    "\U17D72",  # kTGT_MergedSrc L2008-0023
    "\U17D72",  # kRSTUnicode 206.19
    "\U17D73",  # kTGT_MergedSrc L2008-0053
    "\U17D73",  # kRSTUnicode 206.19
    "\U17D74",  # kTGT_MergedSrc L2008-1283
    "\U17D74",  # kRSTUnicode 207.10
    "\U17D75",  # kTGT_MergedSrc L2008-0588
    "\U17D75",  # kRSTUnicode 207.11
    "\U17D76",  # kTGT_MergedSrc L2008-1867
    "\U17D76",  # kRSTUnicode 207.11
    "\U17D77",  # kTGT_MergedSrc L2008-1383-1384
    "\U17D77",  # kRSTUnicode 207.14
    "\U17D78",  # kTGT_MergedSrc L2008-0817
    "\U17D78",  # kRSTUnicode 207.16
    "\U17D79",  # kTGT_MergedSrc L2008-1049
    "\U17D79",  # kRSTUnicode 208.13
    "\U17D7A",  # kTGT_MergedSrc L2008-4451
    "\U17D7A",  # kRSTUnicode 209.13
    "\U17D7B",  # kTGT_MergedSrc L2008-0346
    "\U17D7B",  # kRSTUnicode 210.9
    "\U17D7C",  # kTGT_MergedSrc L2008-0321
    "\U17D7C",  # kRSTUnicode 210.9
    "\U17D7D",  # kTGT_MergedSrc L2008-0542
    "\U17D7D",  # kRSTUnicode 210.9
    "\U17D7E",  # kTGT_MergedSrc L2008-0691
    "\U17D7E",  # kRSTUnicode 210.9
    "\U17D7F",  # kTGT_MergedSrc L2008-1171
    "\U17D7F",  # kRSTUnicode 210.9
    "\U17D80",  # kTGT_MergedSrc L2008-1315
    "\U17D80",  # kRSTUnicode 210.10
    "\U17D81",  # kTGT_MergedSrc L2008-0692
    "\U17D81",  # kRSTUnicode 210.10
    "\U17D82",  # kTGT_MergedSrc L2008-1872
    "\U17D82",  # kRSTUnicode 210.10
    "\U17D83",  # kTGT_MergedSrc L2008-1733
    "\U17D83",  # kRSTUnicode 210.10
    "\U17D84",  # kTGT_MergedSrc L2008-0704
    "\U17D84",  # kRSTUnicode 210.11
    "\U17D85",  # kTGT_MergedSrc L2008-1354
    "\U17D85",  # kRSTUnicode 210.11
    "\U17D86",  # kTGT_MergedSrc L2008-1256
    "\U17D86",  # kRSTUnicode 210.11
    "\U17D87",  # kTGT_MergedSrc L2008-1864
    "\U17D87",  # kRSTUnicode 210.11
    "\U17D88",  # kTGT_MergedSrc L2008-1757
    "\U17D88",  # kRSTUnicode 210.11
    "\U17D89",  # kTGT_MergedSrc L2008-1781
    "\U17D89",  # kRSTUnicode 210.11
    "\U17D8A",  # kTGT_MergedSrc L2008-1674
    "\U17D8A",  # kRSTUnicode 210.12
    "\U17D8B",  # kTGT_MergedSrc L2008-1782
    "\U17D8B",  # kRSTUnicode 210.12
    "\U17D8C",  # kTGT_MergedSrc L2006-6014
    "\U17D8C",  # kRSTUnicode 210.12
    "\U17D8D",  # kTGT_MergedSrc L2008-1172
    "\U17D8D",  # kRSTUnicode 210.12
    "\U17D8E",  # kTGT_MergedSrc L2008-0574
    "\U17D8E",  # kRSTUnicode 210.13
    "\U17D8F",  # kTGT_MergedSrc L2008-1401
    "\U17D8F",  # kRSTUnicode 210.13
    "\U17D90",  # kTGT_MergedSrc L2008-1232
    "\U17D90",  # kRSTUnicode 210.13
    "\U17D91",  # kTGT_MergedSrc L2008-6012
    "\U17D91",  # kRSTUnicode 210.14
    "\U17D92",  # kTGT_MergedSrc H2004-A-5841
    "\U17D92",  # kRSTUnicode 210.14
    "\U17D93",  # kTGT_MergedSrc L2008-0348
    "\U17D93",  # kRSTUnicode 210.14
    "\U17D94",  # kTGT_MergedSrc L2008-1726
    "\U17D94",  # kRSTUnicode 210.14
    "\U17D95",  # kTGT_MergedSrc L2008-1692
    "\U17D95",  # kRSTUnicode 210.18
    "\U17D96",  # kTGT_MergedSrc L2008-6021
    "\U17D96",  # kRSTUnicode 210.18
    "\U17D97",  # kTGT_MergedSrc L2008-1131
    "\U17D97",  # kRSTUnicode 214.10
    "\U17D98",  # kTGT_MergedSrc L2008-1039
    "\U17D98",  # kRSTUnicode 214.13
    "\U17D99",  # kTGT_MergedSrc L2008-0514
    "\U17D99",  # kRSTUnicode 215.9
    "\U17D9A",  # kTGT_MergedSrc L2008-0213
    "\U17D9A",  # kRSTUnicode 215.12
    "\U17D9B",  # kTGT_MergedSrc L2008-0195
    "\U17D9B",  # kRSTUnicode 215.13
    "\U17D9C",  # kTGT_MergedSrc L2008-0905
    "\U17D9C",  # kRSTUnicode 216.9
    "\U17D9D",  # kTGT_MergedSrc L2008-0899
    "\U17D9D",  # kRSTUnicode 216.10
    "\U17D9E",  # kTGT_MergedSrc L2008-5490
    "\U17D9E",  # kRSTUnicode 216.11
    "\U17D9F",  # kTGT_MergedSrc L2008-0906
    "\U17D9F",  # kRSTUnicode 216.12
    "\U17DA0",  # kTGT_MergedSrc L2008-2396
    "\U17DA0",  # kRSTUnicode 216.13
    "\U17DA1",  # kTGT_MergedSrc L2008-5491
    "\U17DA1",  # kRSTUnicode 216.13
    "\U17DA2",  # kTGT_MergedSrc L2008-0908
    "\U17DA2",  # kRSTUnicode 216.13
    "\U17DA3",  # kTGT_MergedSrc L2008-2573
    "\U17DA3",  # kRSTUnicode 216.14
    "\U17DA4",  # kTGT_MergedSrc L2008-0475
    "\U17DA4",  # kRSTUnicode 216.14
    "\U17DA5",  # kTGT_MergedSrc L2008-0907
    "\U17DA5",  # kRSTUnicode 216.14
    "\U17DA6",  # kTGT_MergedSrc L2008-1576
    "\U17DA6",  # kRSTUnicode 216.14
    "\U17DA7",  # kTGT_MergedSrc L2008-2397
    "\U17DA7",  # kRSTUnicode 216.15
    "\U17DA8",  # kTGT_MergedSrc L2008-2995
    "\U17DA8",  # kRSTUnicode 216.15
    "\U17DA9",  # kTGT_MergedSrc L2008-2574
    "\U17DA9",  # kRSTUnicode 216.15
    "\U17DAA",  # kTGT_MergedSrc L2008-5862
    "\U17DAA",  # kRSTUnicode 216.15
    "\U17DAB",  # kTGT_MergedSrc L2008-2996
    "\U17DAB",  # kRSTUnicode 216.15
    "\U17DAC",  # kTGT_MergedSrc N1966-319-114
    "\U17DAC",  # kRSTUnicode 216.16
    "\U17DAD",  # kTGT_MergedSrc L2008-5062
    "\U17DAD",  # kRSTUnicode 216.16
    "\U17DAE",  # kTGT_MergedSrc L2008-0155
    "\U17DAE",  # kRSTUnicode 216.16
    "\U17DAF",  # kTGT_MergedSrc L2008-5492
    "\U17DAF",  # kRSTUnicode 216.17
    "\U17DB0",  # kTGT_MergedSrc L2008-3520
    "\U17DB0",  # kRSTUnicode 216.19
    "\U17DB1",  # kTGT_MergedSrc L2008-4479
    "\U17DB1",  # kRSTUnicode 217.10
    "\U17DB2",  # kTGT_MergedSrc L2008-4478
    "\U17DB2",  # kRSTUnicode 217.10
    "\U17DB3",  # kTGT_MergedSrc L2008-4473
    "\U17DB3",  # kRSTUnicode 217.11
    "\U17DB4",  # kTGT_MergedSrc L2008-4475
    "\U17DB4",  # kRSTUnicode 217.12
    "\U17DB5",  # kTGT_MergedSrc L2008-4472
    "\U17DB5",  # kRSTUnicode 217.12
    "\U17DB6",  # kTGT_MergedSrc L2008-4496
    "\U17DB6",  # kRSTUnicode 217.12
    "\U17DB7",  # kTGT_MergedSrc L2008-4481
    "\U17DB7",  # kRSTUnicode 217.12
    "\U17DB8",  # kTGT_MergedSrc L2008-4498
    "\U17DB8",  # kRSTUnicode 217.12
    "\U17DB9",  # kTGT_MergedSrc L2008-4469
    "\U17DB9",  # kRSTUnicode 217.14
    "\U17DBA",  # kTGT_MergedSrc L2008-4471
    "\U17DBA",  # kRSTUnicode 217.14
    "\U17DBB",  # kTGT_MergedSrc L2008-4482
    "\U17DBB",  # kRSTUnicode 217.14
    "\U17DBC",  # kTGT_MergedSrc L2008-4492
    "\U17DBC",  # kRSTUnicode 217.14
    "\U17DBD",  # kTGT_MergedSrc L2008-4488
    "\U17DBD",  # kRSTUnicode 217.14
    "\U17DBE",  # kTGT_MergedSrc L2008-4474
    "\U17DBE",  # kRSTUnicode 217.14
    "\U17DBF",  # kTGT_MergedSrc L2008-4484
    "\U17DBF",  # kRSTUnicode 217.14
    "\U17DC0",  # kTGT_MergedSrc L2008-4500
    "\U17DC0",  # kRSTUnicode 217.14
    "\U17DC1",  # kTGT_MergedSrc L2008-4497
    "\U17DC1",  # kRSTUnicode 217.14
    "\U17DC2",  # kTGT_MergedSrc L2008-4470
    "\U17DC2",  # kRSTUnicode 217.15
    "\U17DC3",  # kTGT_MergedSrc L2008-4491
    "\U17DC3",  # kRSTUnicode 217.15
    "\U17DC4",  # kTGT_MergedSrc L2008-4477
    "\U17DC4",  # kRSTUnicode 217.15
    "\U17DC5",  # kTGT_MergedSrc L2008-4502
    "\U17DC5",  # kRSTUnicode 217.15
    "\U17DC6",  # kTGT_MergedSrc L2008-4489
    "\U17DC6",  # kRSTUnicode 217.15
    "\U17DC7",  # kTGT_MergedSrc L2008-4490
    "\U17DC7",  # kRSTUnicode 217.15
    "\U17DC8",  # kTGT_MergedSrc L2008-4483
    "\U17DC8",  # kRSTUnicode 217.15
    "\U17DC9",  # kTGT_MergedSrc L2008-4501
    "\U17DC9",  # kRSTUnicode 217.16
    "\U17DCA",  # kTGT_MergedSrc L2008-6054
    "\U17DCA",  # kRSTUnicode 217.16
    "\U17DCB",  # kTGT_MergedSrc H2004-A-5844
    "\U17DCB",  # kRSTUnicode 217.16
    "\U17DCC",  # kTGT_MergedSrc L2008-4494
    "\U17DCC",  # kRSTUnicode 217.16
    "\U17DCD",  # kTGT_MergedSrc L2008-4493
    "\U17DCD",  # kRSTUnicode 217.17
    "\U17DCE",  # kTGT_MergedSrc L2008-4480
    "\U17DCE",  # kRSTUnicode 217.17
    "\U17DCF",  # kTGT_MergedSrc L2008-4495
    "\U17DCF",  # kRSTUnicode 217.17
    "\U17DD0",  # kTGT_MergedSrc L2008-4499
    "\U17DD0",  # kRSTUnicode 217.17
    "\U17DD1",  # kTGT_MergedSrc L2008-4486
    "\U17DD1",  # kRSTUnicode 217.18
    "\U17DD2",  # kTGT_MergedSrc H2004-A-5845
    "\U17DD2",  # kRSTUnicode 217.18
    "\U17DD3",  # kTGT_MergedSrc L2008-6053
    "\U17DD3",  # kRSTUnicode 217.18
    "\U17DD4",  # kTGT_MergedSrc L2008-4487
    "\U17DD4",  # kRSTUnicode 217.18
    "\U17DD5",  # kTGT_MergedSrc L2008-4476
    "\U17DD5",  # kRSTUnicode 217.19
    "\U17DD6",  # kTGT_MergedSrc L2008-4485
    "\U17DD6",  # kRSTUnicode 217.20
    "\U17DD7",  # kTGT_MergedSrc L2008-6052
    "\U17DD7",  # kRSTUnicode 217.20
    "\U17DD8",  # kTGT_MergedSrc L2008-0651
    "\U17DD8",  # kRSTUnicode 219.9
    "\U17DD9",  # kTGT_MergedSrc L2008-1065
    "\U17DD9",  # kRSTUnicode 219.11
    "\U17DDA",  # kTGT_MergedSrc L2008-0991
    "\U17DDA",  # kRSTUnicode 219.11
    "\U17DDB",  # kTGT_MergedSrc L2008-1629
    "\U17DDB",  # kRSTUnicode 219.12
    "\U17DDC",  # kTGT_MergedSrc L2008-0917
    "\U17DDC",  # kRSTUnicode 219.12
    "\U17DDD",  # kTGT_MergedSrc L2008-1064
    "\U17DDD",  # kRSTUnicode 219.12
    "\U17DDE",  # kTGT_MergedSrc L2008-0217
    "\U17DDE",  # kRSTUnicode 219.14
    "\U17DDF",  # kTGT_MergedSrc L2008-0918
    "\U17DDF",  # kRSTUnicode 219.14
    "\U17DE0",  # kTGT_MergedSrc L2008-0157
    "\U17DE0",  # kRSTUnicode 220.9
    "\U17DE1",  # kTGT_MergedSrc L2008-0484
    "\U17DE1",  # kRSTUnicode 220.9
    "\U17DE2",  # kTGT_MergedSrc L2008-1843
    "\U17DE2",  # kRSTUnicode 220.11
    "\U17DE3",  # kTGT_MergedSrc L2008-1585
    "\U17DE3",  # kRSTUnicode 220.11
    "\U17DE4",  # kTGT_MergedSrc L2008-0767
    "\U17DE4",  # kRSTUnicode 222.7
    "\U17DE5",  # kTGT_MergedSrc L2008-0513
    "\U17DE5",  # kRSTUnicode 222.9
    "\U17DE6",  # kTGT_MergedSrc L2008-0190
    "\U17DE6",  # kRSTUnicode 222.10
    "\U17DE7",  # kTGT_MergedSrc L2008-1051
    "\U17DE7",  # kRSTUnicode 222.11
    "\U17DE8",  # kTGT_MergedSrc L2008-1665
    "\U17DE8",  # kRSTUnicode 222.11
    "\U17DE9",  # kTGT_MergedSrc L2008-1605
    "\U17DE9",  # kRSTUnicode 222.11
    "\U17DEA",  # kTGT_MergedSrc L2008-1112
    "\U17DEA",  # kRSTUnicode 222.11
    "\U17DEB",  # kTGT_MergedSrc L2008-1120
    "\U17DEB",  # kRSTUnicode 222.14
    "\U17DEC",  # kTGT_MergedSrc L2008-1449
    "\U17DEC",  # kRSTUnicode 224.7
    "\U17DED",  # kTGT_MergedSrc L2008-0830
    "\U17DED",  # kRSTUnicode 224.7
    "\U17DEE",  # kTGT_MergedSrc L2008-0403
    "\U17DEE",  # kRSTUnicode 224.8
    "\U17DEF",  # kTGT_MergedSrc L2008-0422
    "\U17DEF",  # kRSTUnicode 224.9
    "\U17DF0",  # kTGT_MergedSrc L2008-0613
    "\U17DF0",  # kRSTUnicode 224.9
    "\U17DF1",  # kTGT_MergedSrc L2008-1790
    "\U17DF1",  # kRSTUnicode 224.9
    "\U17DF2",  # kTGT_MergedSrc L2008-1478
    "\U17DF2",  # kRSTUnicode 224.9
    "\U17DF3",  # kTGT_MergedSrc L2008-1463
    "\U17DF3",  # kRSTUnicode 224.9
    "\U17DF4",  # kTGT_MergedSrc L2008-0423
    "\U17DF4",  # kRSTUnicode 224.10
    "\U17DF5",  # kTGT_MergedSrc L2008-0412
    "\U17DF5",  # kRSTUnicode 224.10
    "\U17DF6",  # kTGT_MergedSrc L2008-0408
    "\U17DF6",  # kRSTUnicode 224.10
    "\U17DF7",  # kTGT_MergedSrc L2008-0721
    "\U17DF7",  # kRSTUnicode 224.10
    "\U17DF8",  # kTGT_MergedSrc L2008-1448
    "\U17DF8",  # kRSTUnicode 224.10
    "\U17DF9",  # kTGT_MergedSrc L2008-1464
    "\U17DF9",  # kRSTUnicode 224.10
    "\U17DFA",  # kTGT_MergedSrc L2008-0409
    "\U17DFA",  # kRSTUnicode 224.11
    "\U17DFB",  # kTGT_MergedSrc L2008-0424
    "\U17DFB",  # kRSTUnicode 224.11
    "\U17DFC",  # kTGT_MergedSrc L2008-0616
    "\U17DFC",  # kRSTUnicode 224.11
    "\U17DFD",  # kTGT_MergedSrc S1968-0333
    "\U17DFD",  # kRSTUnicode 224.11
    "\U17DFE",  # kTGT_MergedSrc L2008-1465
    "\U17DFE",  # kRSTUnicode 224.11
    "\U17DFF",  # kTGT_MergedSrc L2008-1803
    "\U17DFF",  # kRSTUnicode 224.11
    "\U17E00",  # kTGT_MergedSrc L2008-1786
    "\U17E00",  # kRSTUnicode 224.11
    "\U17E01",  # kTGT_MergedSrc L2008-1800
    "\U17E01",  # kRSTUnicode 224.11
    "\U17E02",  # kTGT_MergedSrc L2008-0606
    "\U17E02",  # kRSTUnicode 224.11
    "\U17E03",  # kTGT_MergedSrc L2008-0410
    "\U17E03",  # kRSTUnicode 224.12
    "\U17E04",  # kTGT_MergedSrc L2008-1804
    "\U17E04",  # kRSTUnicode 224.12
    "\U17E05",  # kTGT_MergedSrc L2008-1466
    "\U17E05",  # kRSTUnicode 224.12
    "\U17E06",  # kTGT_MergedSrc L2008-1467
    "\U17E06",  # kRSTUnicode 224.12
    "\U17E07",  # kTGT_MergedSrc L2008-1438
    "\U17E07",  # kRSTUnicode 224.12
    "\U17E08",  # kTGT_MergedSrc L2008-0406-0407
    "\U17E08",  # kRSTUnicode 224.13
    "\U17E09",  # kTGT_MergedSrc L2008-1807
    "\U17E09",  # kRSTUnicode 224.13
    "\U17E0A",  # kTGT_MergedSrc L2008-0833
    "\U17E0A",  # kRSTUnicode 224.13
    "\U17E0B",  # kTGT_MergedSrc L2008-1435
    "\U17E0B",  # kRSTUnicode 224.14
    "\U17E0C",  # kTGT_MergedSrc L2008-0832
    "\U17E0C",  # kRSTUnicode 224.14
    "\U17E0D",  # kTGT_MergedSrc L2008-0415
    "\U17E0D",  # kRSTUnicode 224.14
    "\U17E0E",  # kTGT_MergedSrc L2008-0610
    "\U17E0E",  # kRSTUnicode 224.15
    "\U17E0F",  # kTGT_MergedSrc L2008-1479
    "\U17E0F",  # kRSTUnicode 224.15
    "\U17E10",  # kTGT_MergedSrc L2008-1474
    "\U17E10",  # kRSTUnicode 224.15
    "\U17E11",  # kTGT_MergedSrc L2008-0617
    "\U17E11",  # kRSTUnicode 224.17
    "\U17E12",  # kTGT_MergedSrc L2008-1473
    "\U17E12",  # kRSTUnicode 224.17
    "\U17E13",  # kTGT_MergedSrc L2008-0425
    "\U17E13",  # kRSTUnicode 224.17
    "\U17E14",  # kTGT_MergedSrc L2008-0887
    "\U17E14",  # kRSTUnicode 224.19
    "\U17E15",  # kTGT_MergedSrc L2008-0074
    "\U17E15",  # kRSTUnicode 225.5
    "\U17E16",  # kTGT_MergedSrc L2008-0555
    "\U17E16",  # kRSTUnicode 225.9
    "\U17E17",  # kTGT_MergedSrc L2008-0528
    "\U17E17",  # kRSTUnicode 225.10
    "\U17E18",  # kTGT_MergedSrc L2008-0316
    "\U17E18",  # kRSTUnicode 225.10
    "\U17E19",  # kTGT_MergedSrc L2008-0861
    "\U17E19",  # kRSTUnicode 225.10
    "\U17E1A",  # kTGT_MergedSrc L2008-1873
    "\U17E1A",  # kRSTUnicode 225.10
    "\U17E1B",  # kTGT_MergedSrc L2008-0783
    "\U17E1B",  # kRSTUnicode 225.11
    "\U17E1C",  # kTGT_MergedSrc L2008-1705
    "\U17E1C",  # kRSTUnicode 225.13
    "\U17E1D",  # kTGT_MergedSrc L2008-1704
    "\U17E1D",  # kRSTUnicode 225.13
    "\U17E1E",  # kTGT_MergedSrc L2008-0317
    "\U17E1E",  # kRSTUnicode 225.14
    "\U17E1F",  # kTGT_MergedSrc L2008-0533
    "\U17E1F",  # kRSTUnicode 227.9
    "\U17E20",  # kTGT_MergedSrc L2008-0256
    "\U17E20",  # kRSTUnicode 227.10
    "\U17E21",  # kTGT_MergedSrc L2008-0482
    "\U17E21",  # kRSTUnicode 228.7
    "\U17E22",  # kTGT_MergedSrc L2008-0184-4510
    "\U17E22",  # kRSTUnicode 228.8
    "\U17E23",  # kTGT_MergedSrc L2008-0644
    "\U17E23",  # kRSTUnicode 228.10
    "\U17E24",  # kTGT_MergedSrc L2008-1134-4624
    "\U17E24",  # kRSTUnicode 228.10
    "\U17E25",  # kTGT_MergedSrc L2008-1625
    "\U17E25",  # kRSTUnicode 228.13
    "\U17E26",  # kTGT_MergedSrc L2008-0545
    "\U17E26",  # kRSTUnicode 229.9
    "\U17E27",  # kTGT_MergedSrc L2008-1415
    "\U17E27",  # kRSTUnicode 229.10
    "\U17E28",  # kTGT_MergedSrc L2008-1423
    "\U17E28",  # kRSTUnicode 229.10
    "\U17E29",  # kTGT_MergedSrc L2008-0384
    "\U17E29",  # kRSTUnicode 229.11
    "\U17E2A",  # kTGT_MergedSrc L2008-1257
    "\U17E2A",  # kRSTUnicode 229.11
    "\U17E2B",  # kTGT_MergedSrc L2008-1694
    "\U17E2B",  # kRSTUnicode 229.11
    "\U17E2C",  # kTGT_MergedSrc L2008-1669
    "\U17E2C",  # kRSTUnicode 229.11
    "\U17E2D",  # kTGT_MergedSrc L2008-0894
    "\U17E2D",  # kRSTUnicode 229.13
    "\U17E2E",  # kTGT_MergedSrc L2008-1293
    "\U17E2E",  # kRSTUnicode 229.13
    "\U17E2F",  # kTGT_MergedSrc L2008-1220
    "\U17E2F",  # kRSTUnicode 229.13
    "\U17E30",  # kTGT_MergedSrc L2008-1258
    "\U17E30",  # kRSTUnicode 229.14
    "\U17E31",  # kTGT_MergedSrc L2008-0276
    "\U17E31",  # kRSTUnicode 229.15
    "\U17E32",  # kTGT_MergedSrc L2008-1368
    "\U17E32",  # kRSTUnicode 229.16
    "\U17E33",  # kTGT_MergedSrc L2008-1695
    "\U17E33",  # kRSTUnicode 229.18
    "\U17E34",  # kTGT_MergedSrc L2008-0185
    "\U17E34",  # kRSTUnicode 231.15
    "\U17E35",  # kTGT_MergedSrc L2008-0858
    "\U17E35",  # kRSTUnicode 231.17
    "\U17E36",  # kTGT_MergedSrc L2008-0568
    "\U17E36",  # kRSTUnicode 233.9
    "\U17E37",  # kTGT_MergedSrc L2008-1779
    "\U17E37",  # kRSTUnicode 233.13
    "\U17E38",  # kTGT_MergedSrc L2008-0369
    "\U17E38",  # kRSTUnicode 233.16
    "\U17E39",  # kTGT_MergedSrc L2008-0493
    "\U17E39",  # kRSTUnicode 234.9
    "\U17E3A",  # kTGT_MergedSrc L2008-0485
    "\U17E3A",  # kRSTUnicode 234.9
    "\U17E3B",  # kTGT_MergedSrc L2008-0208
    "\U17E3B",  # kRSTUnicode 234.10
    "\U17E3C",  # kTGT_MergedSrc L2008-0198
    "\U17E3C",  # kRSTUnicode 234.10
    "\U17E3D",  # kTGT_MergedSrc L2008-0641
    "\U17E3D",  # kRSTUnicode 234.10
    "\U17E3E",  # kTGT_MergedSrc L2008-0656
    "\U17E3E",  # kRSTUnicode 234.10
    "\U17E3F",  # kTGT_MergedSrc L2008-0236
    "\U17E3F",  # kRSTUnicode 234.11
    "\U17E40",  # kTGT_MergedSrc L2008-0220
    "\U17E40",  # kRSTUnicode 234.11
    "\U17E41",  # kTGT_MergedSrc L2008-1635
    "\U17E41",  # kRSTUnicode 234.11
    "\U17E42",  # kTGT_MergedSrc L2008-0746
    "\U17E42",  # kRSTUnicode 234.11
    "\U17E43",  # kTGT_MergedSrc L2008-0204
    "\U17E43",  # kRSTUnicode 234.11
    "\U17E44",  # kTGT_MergedSrc L2008-0199
    "\U17E44",  # kRSTUnicode 234.12
    "\U17E45",  # kTGT_MergedSrc L2008-1587
    "\U17E45",  # kRSTUnicode 234.12
    "\U17E46",  # kTGT_MergedSrc L2008-6014
    "\U17E46",  # kRSTUnicode 234.12
    "\U17E47",  # kTGT_MergedSrc L2008-0926
    "\U17E47",  # kRSTUnicode 234.12
    "\U17E48",  # kTGT_MergedSrc L2008-1662
    "\U17E48",  # kRSTUnicode 234.13
    "\U17E49",  # kTGT_MergedSrc L2008-0179
    "\U17E49",  # kRSTUnicode 234.13
    "\U17E4A",  # kTGT_MergedSrc L2008-0211
    "\U17E4A",  # kRSTUnicode 234.15
    "\U17E4B",  # kTGT_MergedSrc L2008-1596
    "\U17E4B",  # kRSTUnicode 234.15
    "\U17E4C",  # kTGT_MergedSrc L2008-1597
    "\U17E4C",  # kRSTUnicode 234.16
    "\U17E4D",  # kTGT_MergedSrc L2008-1558
    "\U17E4D",  # kRSTUnicode 236.8
    "\U17E4E",  # kTGT_MergedSrc L2008-0637
    "\U17E4E",  # kRSTUnicode 236.9
    "\U17E4F",  # kTGT_MergedSrc L2008-0473
    "\U17E4F",  # kRSTUnicode 236.10
    "\U17E50",  # kTGT_MergedSrc L2008-1569
    "\U17E50",  # kRSTUnicode 236.10
    "\U17E51",  # kTGT_MergedSrc L2008-1836
    "\U17E51",  # kRSTUnicode 236.10
    "\U17E52",  # kTGT_MergedSrc L2008-1562
    "\U17E52",  # kRSTUnicode 236.10
    "\U17E53",  # kTGT_MergedSrc L2008-0465
    "\U17E53",  # kRSTUnicode 236.11
    "\U17E54",  # kTGT_MergedSrc L2008-0841
    "\U17E54",  # kRSTUnicode 236.12
    "\U17E55",  # kTGT_MergedSrc L2008-1574
    "\U17E55",  # kRSTUnicode 236.12
    "\U17E56",  # kTGT_MergedSrc L2008-1570
    "\U17E56",  # kRSTUnicode 236.12
    "\U17E57",  # kTGT_MergedSrc L2008-0474
    "\U17E57",  # kRSTUnicode 236.13
    "\U17E58",  # kTGT_MergedSrc L2008-1834
    "\U17E58",  # kRSTUnicode 236.13
    "\U17E59",  # kTGT_MergedSrc L2008-0467
    "\U17E59",  # kRSTUnicode 236.14
    "\U17E5A",  # kTGT_MergedSrc L2008-0631
    "\U17E5A",  # kRSTUnicode 240.9
    "\U17E5B",  # kTGT_MergedSrc L2008-0623
    "\U17E5B",  # kRSTUnicode 240.13
    "\U17E5C",  # kTGT_MergedSrc L2008-2388
    "\U17E5C",  # kRSTUnicode 242.9
    "\U17E5D",  # kTGT_MergedSrc L2008-1957
    "\U17E5D",  # kRSTUnicode 242.12
    "\U17E5E",  # kTGT_MergedSrc L2008-2391
    "\U17E5E",  # kRSTUnicode 243.11
    "\U17E5F",  # kTGT_MergedSrc L2008-3470
    "\U17E5F",  # kRSTUnicode 243.11
    "\U17E60",  # kTGT_MergedSrc L2008-2716
    "\U17E60",  # kRSTUnicode 243.11
    "\U17E61",  # kTGT_MergedSrc L2008-1959
    "\U17E61",  # kRSTUnicode 243.12
    "\U17E62",  # kTGT_MergedSrc L2008-1986
    "\U17E62",  # kRSTUnicode 243.12
    "\U17E63",  # kTGT_MergedSrc L2008-2974
    "\U17E63",  # kRSTUnicode 243.12
    "\U17E64",  # kTGT_MergedSrc L2008-1932
    "\U17E64",  # kRSTUnicode 243.13
    "\U17E65",  # kTGT_MergedSrc L2008-2358
    "\U17E65",  # kRSTUnicode 243.13
    "\U17E66",  # kTGT_MergedSrc L2008-3513
    "\U17E66",  # kRSTUnicode 243.13
    "\U17E67",  # kTGT_MergedSrc L2008-1977
    "\U17E67",  # kRSTUnicode 243.14
    "\U17E68",  # kTGT_MergedSrc L2008-2560
    "\U17E68",  # kRSTUnicode 243.14
    "\U17E69",  # kTGT_MergedSrc L2008-2571
    "\U17E69",  # kRSTUnicode 243.14
    "\U17E6A",  # kTGT_MergedSrc L2008-2393
    "\U17E6A",  # kRSTUnicode 243.15
    "\U17E6B",  # kTGT_MergedSrc L2008-2978
    "\U17E6B",  # kRSTUnicode 243.15
    "\U17E6C",  # kTGT_MergedSrc L2008-3469
    "\U17E6C",  # kRSTUnicode 243.17
    "\U17E6D",  # kTGT_MergedSrc L2008-1890
    "\U17E6D",  # kRSTUnicode 245.5
    "\U17E6E",  # kTGT_MergedSrc L2008-1931
    "\U17E6E",  # kRSTUnicode 245.8
    "\U17E6F",  # kTGT_MergedSrc L2008-1980
    "\U17E6F",  # kRSTUnicode 245.9
    "\U17E70",  # kTGT_MergedSrc L2008-2569
    "\U17E70",  # kRSTUnicode 245.9
    "\U17E71",  # kTGT_MergedSrc L2008-2949
    "\U17E71",  # kRSTUnicode 245.9
    "\U17E72",  # kTGT_MergedSrc L2008-2992
    "\U17E72",  # kRSTUnicode 245.9
    "\U17E73",  # kTGT_MergedSrc L2008-2715
    "\U17E73",  # kRSTUnicode 245.9
    "\U17E74",  # kTGT_MergedSrc L2008-1958
    "\U17E74",  # kRSTUnicode 245.10
    "\U17E75",  # kTGT_MergedSrc L2008-2570
    "\U17E75",  # kRSTUnicode 245.10
    "\U17E76",  # kTGT_MergedSrc L2008-2829
    "\U17E76",  # kRSTUnicode 245.10
    "\U17E77",  # kTGT_MergedSrc L2008-2993
    "\U17E77",  # kRSTUnicode 245.10
    "\U17E78",  # kTGT_MergedSrc L2008-2717
    "\U17E78",  # kRSTUnicode 245.11
    "\U17E79",  # kTGT_MergedSrc L2008-3481
    "\U17E79",  # kRSTUnicode 245.11
    "\U17E7A",  # kTGT_MergedSrc L2008-3765
    "\U17E7A",  # kRSTUnicode 245.11
    "\U17E7B",  # kTGT_MergedSrc L2008-3512
    "\U17E7B",  # kRSTUnicode 245.11
    "\U17E7C",  # kTGT_MergedSrc L2008-2718
    "\U17E7C",  # kRSTUnicode 245.12
    "\U17E7D",  # kTGT_MergedSrc L2008-2950
    "\U17E7D",  # kRSTUnicode 245.12
    "\U17E7E",  # kTGT_MergedSrc L2008-2951
    "\U17E7E",  # kRSTUnicode 245.12
    "\U17E7F",  # kTGT_MergedSrc L2008-2834
    "\U17E7F",  # kRSTUnicode 245.13
    "\U17E80",  # kTGT_MergedSrc L2008-1934
    "\U17E80",  # kRSTUnicode 245.13
    "\U17E81",  # kTGT_MergedSrc L2008-1936
    "\U17E81",  # kRSTUnicode 245.13
    "\U17E82",  # kTGT_MergedSrc L2008-1978
    "\U17E82",  # kRSTUnicode 245.14
    "\U17E83",  # kTGT_MergedSrc L2008-3514
    "\U17E83",  # kRSTUnicode 245.18
    "\U17E84",  # kTGT_MergedSrc L2008-4526
    "\U17E84",  # kRSTUnicode 250.13
    "\U17E85",  # kTGT_MergedSrc L2008-4578
    "\U17E85",  # kRSTUnicode 254.11
    "\U17E86",  # kTGT_MergedSrc L2008-2523
    "\U17E86",  # kRSTUnicode 255.12
    "\U17E87",  # kTGT_MergedSrc L2008-3393
    "\U17E87",  # kRSTUnicode 256.9
    "\U17E88",  # kTGT_MergedSrc L2008-3728
    "\U17E88",  # kRSTUnicode 256.11
    "\U17E89",  # kTGT_MergedSrc L2008-4018
    "\U17E89",  # kRSTUnicode 258.9
    "\U17E8A",  # kTGT_MergedSrc L2008-4035
    "\U17E8A",  # kRSTUnicode 258.10
    "\U17E8B",  # kTGT_MergedSrc L2008-4017
    "\U17E8B",  # kRSTUnicode 258.11
    "\U17E8C",  # kTGT_MergedSrc L2008-4047
    "\U17E8C",  # kRSTUnicode 258.13
    "\U17E8D",  # kTGT_MergedSrc L2008-4036
    "\U17E8D",  # kRSTUnicode 258.14
    "\U17E8E",  # kTGT_MergedSrc L2008-4059
    "\U17E8E",  # kRSTUnicode 258.15
    "\U17E8F",  # kTGT_MergedSrc L2008-4058
    "\U17E8F",  # kRSTUnicode 258.17
    "\U17E90",  # kTGT_MergedSrc L2008-2548
    "\U17E90",  # kRSTUnicode 259.9
    "\U17E91",  # kTGT_MergedSrc L2008-2027-2350
    "\U17E91",  # kRSTUnicode 259.10
    "\U17E92",  # kTGT_MergedSrc L2008-2591
    "\U17E92",  # kRSTUnicode 259.10
    "\U17E93",  # kTGT_MergedSrc L2008-3756
    "\U17E93",  # kRSTUnicode 259.10
    "\U17E94",  # kTGT_MergedSrc L2008-2352
    "\U17E94",  # kRSTUnicode 259.11
    "\U17E95",  # kTGT_MergedSrc L2008-3255
    "\U17E95",  # kRSTUnicode 260.7
    "\U17E96",  # kTGT_MergedSrc L2008-3256
    "\U17E96",  # kRSTUnicode 260.8
    "\U17E97",  # kTGT_MergedSrc L2008-3335
    "\U17E97",  # kRSTUnicode 260.8
    "\U17E98",  # kTGT_MergedSrc L2008-2142
    "\U17E98",  # kRSTUnicode 260.9
    "\U17E99",  # kTGT_MergedSrc L2008-2271
    "\U17E99",  # kRSTUnicode 260.9
    "\U17E9A",  # kTGT_MergedSrc L2008-2279
    "\U17E9A",  # kRSTUnicode 260.9
    "\U17E9B",  # kTGT_MergedSrc L2008-3244
    "\U17E9B",  # kRSTUnicode 260.9
    "\U17E9C",  # kTGT_MergedSrc L2008-3650
    "\U17E9C",  # kRSTUnicode 260.9
    "\U17E9D",  # kTGT_MergedSrc L2008-3336
    "\U17E9D",  # kRSTUnicode 260.9
    "\U17E9E",  # kTGT_MergedSrc L2008-2787
    "\U17E9E",  # kRSTUnicode 260.9
    "\U17E9F",  # kTGT_MergedSrc L2008-3246
    "\U17E9F",  # kRSTUnicode 260.9
    "\U17EA0",  # kTGT_MergedSrc L2008-2277
    "\U17EA0",  # kRSTUnicode 260.10
    "\U17EA1",  # kTGT_MergedSrc L2008-2506
    "\U17EA1",  # kRSTUnicode 260.10
    "\U17EA2",  # kTGT_MergedSrc L2008-2155
    "\U17EA2",  # kRSTUnicode 260.10
    "\U17EA3",  # kTGT_MergedSrc L2008-2443
    "\U17EA3",  # kRSTUnicode 260.10
    "\U17EA4",  # kTGT_MergedSrc L2008-2676
    "\U17EA4",  # kRSTUnicode 260.10
    "\U17EA5",  # kTGT_MergedSrc L2008-3795
    "\U17EA5",  # kRSTUnicode 260.10
    "\U17EA6",  # kTGT_MergedSrc L2008-3651
    "\U17EA6",  # kRSTUnicode 260.10
    "\U17EA7",  # kTGT_MergedSrc L2008-3373
    "\U17EA7",  # kRSTUnicode 260.10
    "\U17EA8",  # kTGT_MergedSrc L2008-3338
    "\U17EA8",  # kRSTUnicode 260.10
    "\U17EA9",  # kTGT_MergedSrc L2008-2158
    "\U17EA9",  # kRSTUnicode 260.10
    "\U17EAA",  # kTGT_MergedSrc L2008-2147
    "\U17EAA",  # kRSTUnicode 260.11
    "\U17EAB",  # kTGT_MergedSrc L2008-2280
    "\U17EAB",  # kRSTUnicode 260.11
    "\U17EAC",  # kTGT_MergedSrc L2008-2157
    "\U17EAC",  # kRSTUnicode 260.11
    "\U17EAD",  # kTGT_MergedSrc L2008-2156
    "\U17EAD",  # kRSTUnicode 260.11
    "\U17EAE",  # kTGT_MergedSrc L2008-3701
    "\U17EAE",  # kRSTUnicode 260.11
    "\U17EAF",  # kTGT_MergedSrc L2008-2517
    "\U17EAF",  # kRSTUnicode 260.11
    "\U17EB0",  # kTGT_MergedSrc L2008-2505
    "\U17EB0",  # kRSTUnicode 260.11
    "\U17EB1",  # kTGT_MergedSrc L2008-2500
    "\U17EB1",  # kRSTUnicode 260.11
    "\U17EB2",  # kTGT_MergedSrc L2008-3257
    "\U17EB2",  # kRSTUnicode 260.11
    "\U17EB3",  # kTGT_MergedSrc L2008-2677
    "\U17EB3",  # kRSTUnicode 260.11
    "\U17EB4",  # kTGT_MergedSrc L2008-3603
    "\U17EB4",  # kRSTUnicode 260.11
    "\U17EB5",  # kTGT_MergedSrc L2008-3793
    "\U17EB5",  # kRSTUnicode 260.11
    "\U17EB6",  # kTGT_MergedSrc L2008-3785
    "\U17EB6",  # kRSTUnicode 260.11
    "\U17EB7",  # kTGT_MergedSrc L2008-3695
    "\U17EB7",  # kRSTUnicode 260.11
    "\U17EB8",  # kTGT_MergedSrc L2008-3164
    "\U17EB8",  # kRSTUnicode 260.11
    "\U17EB9",  # kTGT_MergedSrc L2008-3379
    "\U17EB9",  # kRSTUnicode 260.11
    "\U17EBA",  # kTGT_MergedSrc L2008-2456
    "\U17EBA",  # kRSTUnicode 260.11
    "\U17EBB",  # kTGT_MergedSrc L2008-3339
    "\U17EBB",  # kRSTUnicode 260.11
    "\U17EBC",  # kTGT_MergedSrc L2008-2446
    "\U17EBC",  # kRSTUnicode 260.11
    "\U17EBD",  # kTGT_MergedSrc L2008-2794
    "\U17EBD",  # kRSTUnicode 260.11
    "\U17EBE",  # kTGT_MergedSrc L2008-2159
    "\U17EBE",  # kRSTUnicode 260.11
    "\U17EBF",  # kTGT_MergedSrc L2008-2886
    "\U17EBF",  # kRSTUnicode 260.11
    "\U17EC0",  # kTGT_MergedSrc L2008-3337
    "\U17EC0",  # kRSTUnicode 260.11
    "\U17EC1",  # kTGT_MergedSrc L2008-2788
    "\U17EC1",  # kRSTUnicode 260.12
    "\U17EC2",  # kTGT_MergedSrc L2008-2166
    "\U17EC2",  # kRSTUnicode 260.12
    "\U17EC3",  # kTGT_MergedSrc L2008-6046
    "\U17EC3",  # kRSTUnicode 260.12
    "\U17EC4",  # kTGT_MergedSrc L2008-2445
    "\U17EC4",  # kRSTUnicode 260.12
    "\U17EC5",  # kTGT_MergedSrc L2008-3346
    "\U17EC5",  # kRSTUnicode 260.12
    "\U17EC6",  # kTGT_MergedSrc L2008-2687
    "\U17EC6",  # kRSTUnicode 260.12
    "\U17EC7",  # kTGT_MergedSrc L2008-2622
    "\U17EC7",  # kRSTUnicode 260.12
    "\U17EC8",  # kTGT_MergedSrc L2008-2678
    "\U17EC8",  # kRSTUnicode 260.12
    "\U17EC9",  # kTGT_MergedSrc L2008-3604
    "\U17EC9",  # kRSTUnicode 260.12
    "\U17ECA",  # kTGT_MergedSrc L2008-3699
    "\U17ECA",  # kRSTUnicode 260.12
    "\U17ECB",  # kTGT_MergedSrc L2008-3719
    "\U17ECB",  # kRSTUnicode 260.12
    "\U17ECC",  # kTGT_MergedSrc L2008-3605
    "\U17ECC",  # kRSTUnicode 260.12
    "\U17ECD",  # kTGT_MergedSrc L2008-3806
    "\U17ECD",  # kRSTUnicode 260.12
    "\U17ECE",  # kTGT_MergedSrc L2008-3153
    "\U17ECE",  # kRSTUnicode 260.12
    "\U17ECF",  # kTGT_MergedSrc L2008-2509
    "\U17ECF",  # kRSTUnicode 260.12
    "\U17ED0",  # kTGT_MergedSrc L2008-3347
    "\U17ED0",  # kRSTUnicode 260.12
    "\U17ED1",  # kTGT_MergedSrc L2008-2795
    "\U17ED1",  # kRSTUnicode 260.12
    "\U17ED2",  # kTGT_MergedSrc L2008-2161
    "\U17ED2",  # kRSTUnicode 260.13
    "\U17ED3",  # kTGT_MergedSrc L2008-2272
    "\U17ED3",  # kRSTUnicode 260.13
    "\U17ED4",  # kTGT_MergedSrc L2008-2289
    "\U17ED4",  # kRSTUnicode 260.13
    "\U17ED5",  # kTGT_MergedSrc L2008-2170
    "\U17ED5",  # kRSTUnicode 260.13
    "\U17ED6",  # kTGT_MergedSrc L2008-2508
    "\U17ED6",  # kRSTUnicode 260.13
    "\U17ED7",  # kTGT_MergedSrc L2008-2502
    "\U17ED7",  # kRSTUnicode 260.13
    "\U17ED8",  # kTGT_MergedSrc L2008-2281
    "\U17ED8",  # kRSTUnicode 260.13
    "\U17ED9",  # kTGT_MergedSrc L2008-3653
    "\U17ED9",  # kRSTUnicode 260.13
    "\U17EDA",  # kTGT_MergedSrc L2008-3700
    "\U17EDA",  # kRSTUnicode 260.13
    "\U17EDB",  # kTGT_MergedSrc L2008-2792
    "\U17EDB",  # kRSTUnicode 260.13
    "\U17EDC",  # kTGT_MergedSrc L2008-3648
    "\U17EDC",  # kRSTUnicode 260.13
    "\U17EDD",  # kTGT_MergedSrc L2008-3374
    "\U17EDD",  # kRSTUnicode 260.13
    "\U17EDE",  # kTGT_MergedSrc L2008-2169
    "\U17EDE",  # kRSTUnicode 260.13
    "\U17EDF",  # kTGT_MergedSrc L2008-3245
    "\U17EDF",  # kRSTUnicode 260.13
    "\U17EE0",  # kTGT_MergedSrc L2008-3161
    "\U17EE0",  # kRSTUnicode 260.13
    "\U17EE1",  # kTGT_MergedSrc L2008-3344
    "\U17EE1",  # kRSTUnicode 260.13
    "\U17EE2",  # kTGT_MergedSrc L2008-2167
    "\U17EE2",  # kRSTUnicode 260.14
    "\U17EE3",  # kTGT_MergedSrc L2008-2793
    "\U17EE3",  # kRSTUnicode 260.14
    "\U17EE4",  # kTGT_MergedSrc L2008-2501
    "\U17EE4",  # kRSTUnicode 260.14
    "\U17EE5",  # kTGT_MergedSrc L2008-6033
    "\U17EE5",  # kRSTUnicode 260.14
    "\U17EE6",  # kTGT_MergedSrc L2008-3609
    "\U17EE6",  # kRSTUnicode 260.14
    "\U17EE7",  # kTGT_MergedSrc L2008-2160
    "\U17EE7",  # kRSTUnicode 260.14
    "\U17EE8",  # kTGT_MergedSrc L2008-3165
    "\U17EE8",  # kRSTUnicode 260.14
    "\U17EE9",  # kTGT_MergedSrc L2008-3166
    "\U17EE9",  # kRSTUnicode 260.14
    "\U17EEA",  # kTGT_MergedSrc L2008-3247
    "\U17EEA",  # kRSTUnicode 260.14
    "\U17EEB",  # kTGT_MergedSrc L2008-2789
    "\U17EEB",  # kRSTUnicode 260.14
    "\U17EEC",  # kTGT_MergedSrc L2008-3380
    "\U17EEC",  # kRSTUnicode 260.14
    "\U17EED",  # kTGT_MergedSrc L2008-2168
    "\U17EED",  # kRSTUnicode 260.15
    "\U17EEE",  # kTGT_MergedSrc L2008-2880
    "\U17EEE",  # kRSTUnicode 260.15
    "\U17EEF",  # kTGT_MergedSrc L2008-2808
    "\U17EEF",  # kRSTUnicode 260.15
    "\U17EF0",  # kTGT_MergedSrc L2008-3704
    "\U17EF0",  # kRSTUnicode 260.15
    "\U17EF1",  # kTGT_MergedSrc L2008-3610
    "\U17EF1",  # kRSTUnicode 260.15
    "\U17EF2",  # kTGT_MergedSrc L2008-3348
    "\U17EF2",  # kRSTUnicode 260.15
    "\U17EF3",  # kTGT_MergedSrc L2008-3375
    "\U17EF3",  # kRSTUnicode 260.15
    "\U17EF4",  # kTGT_MergedSrc L2008-2881
    "\U17EF4",  # kRSTUnicode 260.16
    "\U17EF5",  # kTGT_MergedSrc L2008-2278
    "\U17EF5",  # kRSTUnicode 260.16
    "\U17EF6",  # kTGT_MergedSrc L2008-3162
    "\U17EF6",  # kRSTUnicode 260.16
    "\U17EF7",  # kTGT_MergedSrc L2008-3705
    "\U17EF7",  # kRSTUnicode 260.17
    "\U17EF8",  # kTGT_MergedSrc L2008-2148
    "\U17EF8",  # kRSTUnicode 260.17
    "\U17EF9",  # kTGT_MergedSrc L2008-6040
    "\U17EF9",  # kRSTUnicode 260.17
    "\U17EFA",  # kTGT_MergedSrc L2008-3794
    "\U17EFA",  # kRSTUnicode 260.18
    "\U17EFB",  # kTGT_MergedSrc L2008-2507
    "\U17EFB",  # kRSTUnicode 260.20
    "\U17EFC",  # kTGT_MergedSrc L2008-2256
    "\U17EFC",  # kRSTUnicode 261.9
    "\U17EFD",  # kTGT_MergedSrc L2008-2174
    "\U17EFD",  # kRSTUnicode 261.11
    "\U17EFE",  # kTGT_MergedSrc L2008-2213
    "\U17EFE",  # kRSTUnicode 261.12
    "\U17EFF",  # kTGT_MergedSrc L2008-3585
    "\U17EFF",  # kRSTUnicode 261.12
    "\U17F00",  # kTGT_MergedSrc L2008-3152
    "\U17F00",  # kRSTUnicode 261.12
    "\U17F01",  # kTGT_MergedSrc L2008-3269
    "\U17F01",  # kRSTUnicode 261.15
    "\U17F02",  # kTGT_MergedSrc L2008-2200
    "\U17F02",  # kRSTUnicode 261.16
    "\U17F03",  # kTGT_MergedSrc L2008-2544
    "\U17F03",  # kRSTUnicode 262.5
    "\U17F04",  # kTGT_MergedSrc L2008-2341
    "\U17F04",  # kRSTUnicode 262.8
    "\U17F05",  # kTGT_MergedSrc L2008-3434
    "\U17F05",  # kRSTUnicode 262.8
    "\U17F06",  # kTGT_MergedSrc L2008-2335
    "\U17F06",  # kRSTUnicode 262.9
    "\U17F07",  # kTGT_MergedSrc L2008-2344
    "\U17F07",  # kRSTUnicode 262.9
    "\U17F08",  # kTGT_MergedSrc L2008-2546
    "\U17F08",  # kRSTUnicode 262.9
    "\U17F09",  # kTGT_MergedSrc L2008-3751
    "\U17F09",  # kRSTUnicode 262.9
    "\U17F0A",  # kTGT_MergedSrc L2008-3429
    "\U17F0A",  # kRSTUnicode 262.9
    "\U17F0B",  # kTGT_MergedSrc L2008-3442
    "\U17F0B",  # kRSTUnicode 262.9
    "\U17F0C",  # kTGT_MergedSrc L2008-2348
    "\U17F0C",  # kRSTUnicode 262.10
    "\U17F0D",  # kTGT_MergedSrc L2008-3435-3436
    "\U17F0D",  # kRSTUnicode 262.10
    "\U17F0E",  # kTGT_MergedSrc L2008-3752
    "\U17F0E",  # kRSTUnicode 262.10
    "\U17F0F",  # kTGT_MergedSrc L2008-3443
    "\U17F0F",  # kRSTUnicode 262.10
    "\U17F10",  # kTGT_MergedSrc L2008-2345
    "\U17F10",  # kRSTUnicode 262.11
    "\U17F11",  # kTGT_MergedSrc L2008-2814
    "\U17F11",  # kRSTUnicode 262.11
    "\U17F12",  # kTGT_MergedSrc L2008-2815
    "\U17F12",  # kRSTUnicode 262.11
    "\U17F13",  # kTGT_MergedSrc L2008-2349
    "\U17F13",  # kRSTUnicode 262.11
    "\U17F14",  # kTGT_MergedSrc L2008-2336
    "\U17F14",  # kRSTUnicode 262.11
    "\U17F15",  # kTGT_MergedSrc L2008-2342
    "\U17F15",  # kRSTUnicode 262.11
    "\U17F16",  # kTGT_MergedSrc L2008-2545
    "\U17F16",  # kRSTUnicode 262.11
    "\U17F17",  # kTGT_MergedSrc L2008-3433
    "\U17F17",  # kRSTUnicode 262.11
    "\U17F18",  # kTGT_MergedSrc L2008-3749
    "\U17F18",  # kRSTUnicode 262.11
    "\U17F19",  # kTGT_MergedSrc L2008-2813
    "\U17F19",  # kRSTUnicode 262.11
    "\U17F1A",  # kTGT_MergedSrc L2008-3437
    "\U17F1A",  # kRSTUnicode 262.11
    "\U17F1B",  # kTGT_MergedSrc L2008-2547
    "\U17F1B",  # kRSTUnicode 262.12
    "\U17F1C",  # kTGT_MergedSrc L2008-2337
    "\U17F1C",  # kRSTUnicode 262.12
    "\U17F1D",  # kTGT_MergedSrc L2008-2816
    "\U17F1D",  # kRSTUnicode 262.12
    "\U17F1E",  # kTGT_MergedSrc L2008-3753
    "\U17F1E",  # kRSTUnicode 262.12
    "\U17F1F",  # kTGT_MergedSrc L2008-3750
    "\U17F1F",  # kRSTUnicode 262.12
    "\U17F20",  # kTGT_MergedSrc L2008-3438
    "\U17F20",  # kRSTUnicode 262.12
    "\U17F21",  # kTGT_MergedSrc L2008-3439
    "\U17F21",  # kRSTUnicode 262.12
    "\U17F22",  # kTGT_MergedSrc L2008-3754
    "\U17F22",  # kRSTUnicode 262.12
    "\U17F23",  # kTGT_MergedSrc L2008-2338
    "\U17F23",  # kRSTUnicode 262.13
    "\U17F24",  # kTGT_MergedSrc L2008-2340
    "\U17F24",  # kRSTUnicode 262.13
    "\U17F25",  # kTGT_MergedSrc L2008-3440
    "\U17F25",  # kRSTUnicode 262.13
    "\U17F26",  # kTGT_MergedSrc L2008-2346
    "\U17F26",  # kRSTUnicode 262.14
    "\U17F27",  # kTGT_MergedSrc L2008-6037
    "\U17F27",  # kRSTUnicode 262.14
    "\U17F28",  # kTGT_MergedSrc L2008-2339
    "\U17F28",  # kRSTUnicode 262.14
    "\U17F29",  # kTGT_MergedSrc L2008-3441
    "\U17F29",  # kRSTUnicode 262.14
    "\U17F2A",  # kTGT_MergedSrc L2008-3430
    "\U17F2A",  # kRSTUnicode 262.14
    "\U17F2B",  # kTGT_MergedSrc L2008-3748
    "\U17F2B",  # kRSTUnicode 262.15
    "\U17F2C",  # kTGT_MergedSrc L2008-2343
    "\U17F2C",  # kRSTUnicode 262.16
    "\U17F2D",  # kTGT_MergedSrc L2008-2347
    "\U17F2D",  # kRSTUnicode 262.16
    "\U17F2E",  # kTGT_MergedSrc L2008-3431
    "\U17F2E",  # kRSTUnicode 262.16
    "\U17F2F",  # kTGT_MergedSrc L2008-2433
    "\U17F2F",  # kRSTUnicode 263.6
    "\U17F30",  # kTGT_MergedSrc L2008-3184
    "\U17F30",  # kRSTUnicode 263.6
    "\U17F31",  # kTGT_MergedSrc L2008-2068
    "\U17F31",  # kRSTUnicode 263.8
    "\U17F32",  # kTGT_MergedSrc L2008-2804
    "\U17F32",  # kRSTUnicode 263.8
    "\U17F33",  # kTGT_MergedSrc L2008-2069
    "\U17F33",  # kRSTUnicode 263.9
    "\U17F34",  # kTGT_MergedSrc L2008-2218
    "\U17F34",  # kRSTUnicode 263.9
    "\U17F35",  # kTGT_MergedSrc L2008-2635
    "\U17F35",  # kRSTUnicode 263.9
    "\U17F36",  # kTGT_MergedSrc L2008-3362
    "\U17F36",  # kRSTUnicode 263.9
    "\U17F37",  # kTGT_MergedSrc L2008-2145
    "\U17F37",  # kRSTUnicode 263.10
    "\U17F38",  # kTGT_MergedSrc L2008-2077
    "\U17F38",  # kRSTUnicode 263.10
    "\U17F39",  # kTGT_MergedSrc L2008-2207
    "\U17F39",  # kRSTUnicode 263.10
    "\U17F3A",  # kTGT_MergedSrc L2008-2498
    "\U17F3A",  # kRSTUnicode 263.10
    "\U17F3B",  # kTGT_MergedSrc L2008-2627
    "\U17F3B",  # kRSTUnicode 263.10
    "\U17F3C",  # kTGT_MergedSrc L2008-2605
    "\U17F3C",  # kRSTUnicode 263.10
    "\U17F3D",  # kTGT_MergedSrc L2008-3799
    "\U17F3D",  # kRSTUnicode 263.10
    "\U17F3E",  # kTGT_MergedSrc L2008-3382
    "\U17F3E",  # kRSTUnicode 263.10
    "\U17F3F",  # kTGT_MergedSrc L2008-3206
    "\U17F3F",  # kRSTUnicode 263.10
    "\U17F40",  # kTGT_MergedSrc L2008-3264
    "\U17F40",  # kRSTUnicode 263.10
    "\U17F41",  # kTGT_MergedSrc L2008-2871
    "\U17F41",  # kRSTUnicode 263.11
    "\U17F42",  # kTGT_MergedSrc L2008-2285
    "\U17F42",  # kRSTUnicode 263.11
    "\U17F43",  # kTGT_MergedSrc L2008-2654
    "\U17F43",  # kRSTUnicode 263.11
    "\U17F44",  # kTGT_MergedSrc L2008-2461
    "\U17F44",  # kRSTUnicode 263.11
    "\U17F45",  # kTGT_MergedSrc L2008-2685
    "\U17F45",  # kRSTUnicode 263.11
    "\U17F46",  # kTGT_MergedSrc L2008-3792
    "\U17F46",  # kRSTUnicode 263.11
    "\U17F47",  # kTGT_MergedSrc L2008-3667
    "\U17F47",  # kRSTUnicode 263.11
    "\U17F48",  # kTGT_MergedSrc L2008-3668
    "\U17F48",  # kRSTUnicode 263.11
    "\U17F49",  # kTGT_MergedSrc L2008-3185
    "\U17F49",  # kRSTUnicode 263.11
    "\U17F4A",  # kTGT_MergedSrc L2008-2889
    "\U17F4A",  # kRSTUnicode 263.11
    "\U17F4B",  # kTGT_MergedSrc L2008-3223
    "\U17F4B",  # kRSTUnicode 263.11
    "\U17F4C",  # kTGT_MergedSrc L2008-3122
    "\U17F4C",  # kRSTUnicode 263.11
    "\U17F4D",  # kTGT_MergedSrc L2008-2799A
    "\U17F4D",  # kRSTUnicode 263.12
    "\U17F4E",  # kTGT_MergedSrc L2008-2799B
    "\U17F4E",  # kRSTUnicode 263.12
    "\U17F4F",  # kTGT_MergedSrc L2008-2237
    "\U17F4F",  # kRSTUnicode 263.12
    "\U17F50",  # kTGT_MergedSrc L2008-2199
    "\U17F50",  # kRSTUnicode 263.12
    "\U17F51",  # kTGT_MergedSrc L2008-3309
    "\U17F51",  # kRSTUnicode 263.12
    "\U17F52",  # kTGT_MergedSrc L2008-2137
    "\U17F52",  # kRSTUnicode 263.12
    "\U17F53",  # kTGT_MergedSrc L2008-2154
    "\U17F53",  # kRSTUnicode 263.12
    "\U17F54",  # kTGT_MergedSrc L2008-3721
    "\U17F54",  # kRSTUnicode 263.12
    "\U17F55",  # kTGT_MergedSrc L2008-2780
    "\U17F55",  # kRSTUnicode 263.12
    "\U17F56",  # kTGT_MergedSrc L2008-3291
    "\U17F56",  # kRSTUnicode 263.12
    "\U17F57",  # kTGT_MergedSrc L2008-3290
    "\U17F57",  # kRSTUnicode 263.12
    "\U17F58",  # kTGT_MergedSrc L2008-3387
    "\U17F58",  # kRSTUnicode 263.12
    "\U17F59",  # kTGT_MergedSrc L2008-2741
    "\U17F59",  # kRSTUnicode 263.12
    "\U17F5A",  # kTGT_MergedSrc L2008-2773
    "\U17F5A",  # kRSTUnicode 263.13
    "\U17F5B",  # kTGT_MergedSrc L2008-3136
    "\U17F5B",  # kRSTUnicode 263.13
    "\U17F5C",  # kTGT_MergedSrc L2008-3293
    "\U17F5C",  # kRSTUnicode 263.13
    "\U17F5D",  # kTGT_MergedSrc L2008-3632
    "\U17F5D",  # kRSTUnicode 263.13
    "\U17F5E",  # kTGT_MergedSrc L2008-3666
    "\U17F5E",  # kRSTUnicode 263.13
    "\U17F5F",  # kTGT_MergedSrc L2008-3169
    "\U17F5F",  # kRSTUnicode 263.13
    "\U17F60",  # kTGT_MergedSrc L2008-3689
    "\U17F60",  # kRSTUnicode 263.14
    "\U17F61",  # kTGT_MergedSrc L2008-2674
    "\U17F61",  # kRSTUnicode 263.14
    "\U17F62",  # kTGT_MergedSrc L2008-3137
    "\U17F62",  # kRSTUnicode 263.14
    "\U17F63",  # kTGT_MergedSrc L2008-3328
    "\U17F63",  # kRSTUnicode 263.14
    "\U17F64",  # kTGT_MergedSrc L2008-2153
    "\U17F64",  # kRSTUnicode 263.14
    "\U17F65",  # kTGT_MergedSrc L2008-2121
    "\U17F65",  # kRSTUnicode 263.14
    "\U17F66",  # kTGT_MergedSrc L2008-2482
    "\U17F66",  # kRSTUnicode 263.14
    "\U17F67",  # kTGT_MergedSrc L2008-2758
    "\U17F67",  # kRSTUnicode 263.14
    "\U17F68",  # kTGT_MergedSrc L2008-3203
    "\U17F68",  # kRSTUnicode 263.14
    "\U17F69",  # kTGT_MergedSrc L2008-3108
    "\U17F69",  # kRSTUnicode 263.14
    "\U17F6A",  # kTGT_MergedSrc L2008-2122
    "\U17F6A",  # kRSTUnicode 263.14
    "\U17F6B",  # kTGT_MergedSrc L2008-2765
    "\U17F6B",  # kRSTUnicode 263.14
    "\U17F6C",  # kTGT_MergedSrc L2008-2861
    "\U17F6C",  # kRSTUnicode 263.15
    "\U17F6D",  # kTGT_MergedSrc L2008-3601
    "\U17F6D",  # kRSTUnicode 263.15
    "\U17F6E",  # kTGT_MergedSrc L2008-3669
    "\U17F6E",  # kRSTUnicode 263.15
    "\U17F6F",  # kTGT_MergedSrc L2008-2483
    "\U17F6F",  # kRSTUnicode 263.15
    "\U17F70",  # kTGT_MergedSrc L2008-2138
    "\U17F70",  # kRSTUnicode 263.15
    "\U17F71",  # kTGT_MergedSrc L2008-3390
    "\U17F71",  # kRSTUnicode 263.15
    "\U17F72",  # kTGT_MergedSrc L2008-2181
    "\U17F72",  # kRSTUnicode 263.15
    "\U17F73",  # kTGT_MergedSrc L2008-2887
    "\U17F73",  # kRSTUnicode 263.16
    "\U17F74",  # kTGT_MergedSrc L2008-3292
    "\U17F74",  # kRSTUnicode 263.16
    "\U17F75",  # kTGT_MergedSrc L2008-3138
    "\U17F75",  # kRSTUnicode 263.16
    "\U17F76",  # kTGT_MergedSrc L2008-3358
    "\U17F76",  # kRSTUnicode 263.16
    "\U17F77",  # kTGT_MergedSrc L2008-2085
    "\U17F77",  # kRSTUnicode 263.16
    "\U17F78",  # kTGT_MergedSrc L2008-3321
    "\U17F78",  # kRSTUnicode 263.17
    "\U17F79",  # kTGT_MergedSrc L2008-2450
    "\U17F79",  # kRSTUnicode 263.18
    "\U17F7A",  # kTGT_MergedSrc L2008-3177
    "\U17F7A",  # kRSTUnicode 263.18
    "\U17F7B",  # kTGT_MergedSrc L2008-2673
    "\U17F7B",  # kRSTUnicode 263.18
    "\U17F7C",  # kTGT_MergedSrc L2008-3584
    "\U17F7C",  # kRSTUnicode 263.19
    "\U17F7D",  # kTGT_MergedSrc L2008-2598
    "\U17F7D",  # kRSTUnicode 264.11
    "\U17F7E",  # kTGT_MergedSrc L2008-2585
    "\U17F7E",  # kRSTUnicode 264.11
    "\U17F7F",  # kTGT_MergedSrc L2008-2632
    "\U17F7F",  # kRSTUnicode 264.12
    "\U17F80",  # kTGT_MergedSrc L2008-2576
    "\U17F80",  # kRSTUnicode 264.13
    "\U17F81",  # kTGT_MergedSrc L2008-6035
    "\U17F81",  # kRSTUnicode 264.14
    "\U17F82",  # kTGT_MergedSrc L2008-2599
    "\U17F82",  # kRSTUnicode 264.14
    "\U17F83",  # kTGT_MergedSrc L2008-2692
    "\U17F83",  # kRSTUnicode 264.14
    "\U17F84",  # kTGT_MergedSrc L2008-2658
    "\U17F84",  # kRSTUnicode 264.15
    "\U17F85",  # kTGT_MergedSrc L2008-2593
    "\U17F85",  # kRSTUnicode 264.16
    "\U17F86",  # kTGT_MergedSrc L2008-3087
    "\U17F86",  # kRSTUnicode 267.5
    "\U17F87",  # kTGT_MergedSrc L2008-3242
    "\U17F87",  # kRSTUnicode 267.7
    "\U17F88",  # kTGT_MergedSrc L2008-3294
    "\U17F88",  # kRSTUnicode 267.8
    "\U17F89",  # kTGT_MergedSrc L2008-3186
    "\U17F89",  # kRSTUnicode 267.8
    "\U17F8A",  # kTGT_MergedSrc L2008-2252-2253
    "\U17F8A",  # kRSTUnicode 267.9
    "\U17F8B",  # kTGT_MergedSrc L2008-2742
    "\U17F8B",  # kRSTUnicode 267.9
    "\U17F8C",  # kTGT_MergedSrc L2008-3645
    "\U17F8C",  # kRSTUnicode 267.9
    "\U17F8D",  # kTGT_MergedSrc L2008-3204
    "\U17F8D",  # kRSTUnicode 267.9
    "\U17F8E",  # kTGT_MergedSrc L2008-3243
    "\U17F8E",  # kRSTUnicode 267.9
    "\U17F8F",  # kTGT_MergedSrc L2008-3109
    "\U17F8F",  # kRSTUnicode 267.9
    "\U17F90",  # kTGT_MergedSrc L2008-2238
    "\U17F90",  # kRSTUnicode 267.10
    "\U17F91",  # kTGT_MergedSrc L2008-2254
    "\U17F91",  # kRSTUnicode 267.10
    "\U17F92",  # kTGT_MergedSrc L2008-2070
    "\U17F92",  # kRSTUnicode 267.10
    "\U17F93",  # kTGT_MergedSrc L2008-2079
    "\U17F93",  # kRSTUnicode 267.10
    "\U17F94",  # kTGT_MergedSrc L2008-2449
    "\U17F94",  # kRSTUnicode 267.10
    "\U17F95",  # kTGT_MergedSrc L2008-3295
    "\U17F95",  # kRSTUnicode 267.10
    "\U17F96",  # kTGT_MergedSrc L2008-2628
    "\U17F96",  # kRSTUnicode 267.10
    "\U17F97",  # kTGT_MergedSrc L2008-3670
    "\U17F97",  # kRSTUnicode 267.10
    "\U17F98",  # kTGT_MergedSrc L2008-3625
    "\U17F98",  # kRSTUnicode 267.10
    "\U17F99",  # kTGT_MergedSrc L2008-3800
    "\U17F99",  # kRSTUnicode 267.10
    "\U17F9A",  # kTGT_MergedSrc L2008-3671
    "\U17F9A",  # kRSTUnicode 267.10
    "\U17F9B",  # kTGT_MergedSrc L2008-2855
    "\U17F9B",  # kRSTUnicode 267.10
    "\U17F9C",  # kTGT_MergedSrc L2008-2186
    "\U17F9C",  # kRSTUnicode 267.11
    "\U17F9D",  # kTGT_MergedSrc L2008-2086
    "\U17F9D",  # kRSTUnicode 267.11
    "\U17F9E",  # kTGT_MergedSrc L2008-2440
    "\U17F9E",  # kRSTUnicode 267.11
    "\U17F9F",  # kTGT_MergedSrc L2008-3310
    "\U17F9F",  # kRSTUnicode 267.11
    "\U17FA0",  # kTGT_MergedSrc L2008-2470
    "\U17FA0",  # kRSTUnicode 267.11
    "\U17FA1",  # kTGT_MergedSrc L2008-2462
    "\U17FA1",  # kRSTUnicode 267.11
    "\U17FA2",  # kTGT_MergedSrc L2008-2675
    "\U17FA2",  # kRSTUnicode 267.11
    "\U17FA3",  # kTGT_MergedSrc L2008-2655
    "\U17FA3",  # kRSTUnicode 267.11
    "\U17FA4",  # kTGT_MergedSrc L2008-3600
    "\U17FA4",  # kRSTUnicode 267.11
    "\U17FA5",  # kTGT_MergedSrc L2008-3683-3684
    "\U17FA5",  # kRSTUnicode 267.11
    "\U17FA6",  # kTGT_MergedSrc L2008-2759
    "\U17FA6",  # kRSTUnicode 267.11
    "\U17FA7",  # kTGT_MergedSrc L2008-3296
    "\U17FA7",  # kRSTUnicode 267.11
    "\U17FA8",  # kTGT_MergedSrc L2008-2890
    "\U17FA8",  # kRSTUnicode 267.11
    "\U17FA9",  # kTGT_MergedSrc L2008-2800
    "\U17FA9",  # kRSTUnicode 267.11
    "\U17FAA",  # kTGT_MergedSrc L2008-2519
    "\U17FAA",  # kRSTUnicode 267.11
    "\U17FAB",  # kTGT_MergedSrc L2008-2621
    "\U17FAB",  # kRSTUnicode 267.12
    "\U17FAC",  # kTGT_MergedSrc L2008-2208
    "\U17FAC",  # kRSTUnicode 267.12
    "\U17FAD",  # kTGT_MergedSrc L2008-2239
    "\U17FAD",  # kRSTUnicode 267.12
    "\U17FAE",  # kTGT_MergedSrc L2008-2087
    "\U17FAE",  # kRSTUnicode 267.12
    "\U17FAF",  # kTGT_MergedSrc L2008-2657
    "\U17FAF",  # kRSTUnicode 267.12
    "\U17FB0",  # kTGT_MergedSrc N1966-211-078
    "\U17FB0",  # kRSTUnicode 267.12
    "\U17FB1",  # kTGT_MergedSrc L2008-2781
    "\U17FB1",  # kRSTUnicode 267.12
    "\U17FB2",  # kTGT_MergedSrc L2008-2209
    "\U17FB2",  # kRSTUnicode 267.12
    "\U17FB3",  # kTGT_MergedSrc L2008-2760
    "\U17FB3",  # kRSTUnicode 267.12
    "\U17FB4",  # kTGT_MergedSrc L2008-3224
    "\U17FB4",  # kRSTUnicode 267.12
    "\U17FB5",  # kTGT_MergedSrc L2008-2615
    "\U17FB5",  # kRSTUnicode 267.12
    "\U17FB6",  # kTGT_MergedSrc L2008-3808
    "\U17FB6",  # kRSTUnicode 267.12
    "\U17FB7",  # kTGT_MergedSrc L2008-3110
    "\U17FB7",  # kRSTUnicode 267.12
    "\U17FB8",  # kTGT_MergedSrc L2008-2868
    "\U17FB8",  # kRSTUnicode 267.12
    "\U17FB9",  # kTGT_MergedSrc L2008-2175
    "\U17FB9",  # kRSTUnicode 267.13
    "\U17FBA",  # kTGT_MergedSrc L2008-3690
    "\U17FBA",  # kRSTUnicode 267.13
    "\U17FBB",  # kTGT_MergedSrc L2008-2146
    "\U17FBB",  # kRSTUnicode 267.13
    "\U17FBC",  # kTGT_MergedSrc L2008-6032
    "\U17FBC",  # kRSTUnicode 267.13
    "\U17FBD",  # kTGT_MergedSrc L2008-2451
    "\U17FBD",  # kRSTUnicode 267.13
    "\U17FBE",  # kTGT_MergedSrc L2008-2499
    "\U17FBE",  # kRSTUnicode 267.13
    "\U17FBF",  # kTGT_MergedSrc L2008-3160
    "\U17FBF",  # kRSTUnicode 267.13
    "\U17FC0",  # kTGT_MergedSrc L2008-2107
    "\U17FC0",  # kRSTUnicode 267.13
    "\U17FC1",  # kTGT_MergedSrc L2008-2454
    "\U17FC1",  # kRSTUnicode 267.13
    "\U17FC2",  # kTGT_MergedSrc L2008-3579
    "\U17FC2",  # kRSTUnicode 267.13
    "\U17FC3",  # kTGT_MergedSrc L2008-3633
    "\U17FC3",  # kRSTUnicode 267.13
    "\U17FC4",  # kTGT_MergedSrc L2008-2791
    "\U17FC4",  # kRSTUnicode 267.13
    "\U17FC5",  # kTGT_MergedSrc L2008-3657
    "\U17FC5",  # kRSTUnicode 267.13
    "\U17FC6",  # kTGT_MergedSrc L2008-2210
    "\U17FC6",  # kRSTUnicode 267.13
    "\U17FC7",  # kTGT_MergedSrc L2008-2766
    "\U17FC7",  # kRSTUnicode 267.13
    "\U17FC8",  # kTGT_MergedSrc L2008-3626
    "\U17FC8",  # kRSTUnicode 267.13
    "\U17FC9",  # kTGT_MergedSrc L2008-3673
    "\U17FC9",  # kRSTUnicode 267.13
    "\U17FCA",  # kTGT_MergedSrc L2008-3322
    "\U17FCA",  # kRSTUnicode 267.13
    "\U17FCB",  # kTGT_MergedSrc L2008-2165
    "\U17FCB",  # kRSTUnicode 267.13
    "\U17FCC",  # kTGT_MergedSrc L2008-3297
    "\U17FCC",  # kRSTUnicode 267.13
    "\U17FCD",  # kTGT_MergedSrc L2008-3698
    "\U17FCD",  # kRSTUnicode 267.13
    "\U17FCE",  # kTGT_MergedSrc L2008-2761
    "\U17FCE",  # kRSTUnicode 267.13
    "\U17FCF",  # kTGT_MergedSrc L2008-3251
    "\U17FCF",  # kRSTUnicode 267.14
    "\U17FD0",  # kTGT_MergedSrc L2008-2241
    "\U17FD0",  # kRSTUnicode 267.14
    "\U17FD1",  # kTGT_MergedSrc L2008-3571
    "\U17FD1",  # kRSTUnicode 267.14
    "\U17FD2",  # kTGT_MergedSrc L2008-2893
    "\U17FD2",  # kRSTUnicode 267.14
    "\U17FD3",  # kTGT_MergedSrc L2008-2240
    "\U17FD3",  # kRSTUnicode 267.14
    "\U17FD4",  # kTGT_MergedSrc L2008-2139
    "\U17FD4",  # kRSTUnicode 267.14
    "\U17FD5",  # kTGT_MergedSrc L2008-3635
    "\U17FD5",  # kRSTUnicode 267.14
    "\U17FD6",  # kTGT_MergedSrc L2008-3323
    "\U17FD6",  # kRSTUnicode 267.14
    "\U17FD7",  # kTGT_MergedSrc L2008-2656
    "\U17FD7",  # kRSTUnicode 267.14
    "\U17FD8",  # kTGT_MergedSrc L2008-3127
    "\U17FD8",  # kRSTUnicode 267.14
    "\U17FD9",  # kTGT_MergedSrc L2008-3254
    "\U17FD9",  # kRSTUnicode 267.14
    "\U17FDA",  # kTGT_MergedSrc L2008-2856
    "\U17FDA",  # kRSTUnicode 267.14
    "\U17FDB",  # kTGT_MergedSrc L2008-3672
    "\U17FDB",  # kRSTUnicode 267.14
    "\U17FDC",  # kTGT_MergedSrc L2008-3170
    "\U17FDC",  # kRSTUnicode 267.14
    "\U17FDD",  # kTGT_MergedSrc L2008-2669
    "\U17FDD",  # kRSTUnicode 267.14
    "\U17FDE",  # kTGT_MergedSrc L2008-3312
    "\U17FDE",  # kRSTUnicode 267.14
    "\U17FDF",  # kTGT_MergedSrc L2008-2255
    "\U17FDF",  # kRSTUnicode 267.15
    "\U17FE0",  # kTGT_MergedSrc L2008-2242
    "\U17FE0",  # kRSTUnicode 267.15
    "\U17FE1",  # kTGT_MergedSrc L2008-2873
    "\U17FE1",  # kRSTUnicode 267.15
    "\U17FE2",  # kTGT_MergedSrc L2008-2806
    "\U17FE2",  # kRSTUnicode 267.15
    "\U17FE3",  # kTGT_MergedSrc L2008-3111
    "\U17FE3",  # kRSTUnicode 267.15
    "\U17FE4",  # kTGT_MergedSrc L2008-2260
    "\U17FE4",  # kRSTUnicode 267.15
    "\U17FE5",  # kTGT_MergedSrc L2008-2140
    "\U17FE5",  # kRSTUnicode 267.15
    "\U17FE6",  # kTGT_MergedSrc L2008-3334
    "\U17FE6",  # kRSTUnicode 267.15
    "\U17FE7",  # kTGT_MergedSrc L2008-3612
    "\U17FE7",  # kRSTUnicode 267.15
    "\U17FE8",  # kTGT_MergedSrc L2008-3647
    "\U17FE8",  # kRSTUnicode 267.15
    "\U17FE9",  # kTGT_MergedSrc L2008-3324
    "\U17FE9",  # kRSTUnicode 267.15
    "\U17FEA",  # kTGT_MergedSrc L2008-2762
    "\U17FEA",  # kRSTUnicode 267.15
    "\U17FEB",  # kTGT_MergedSrc L2008-3709
    "\U17FEB",  # kRSTUnicode 267.15
    "\U17FEC",  # kTGT_MergedSrc L2008-3694
    "\U17FEC",  # kRSTUnicode 267.15
    "\U17FED",  # kTGT_MergedSrc L2008-3171
    "\U17FED",  # kRSTUnicode 267.15
    "\U17FEE",  # kTGT_MergedSrc L2008-3311
    "\U17FEE",  # kRSTUnicode 267.15
    "\U17FEF",  # kTGT_MergedSrc L2008-3298
    "\U17FEF",  # kRSTUnicode 267.15
    "\U17FF0",  # kTGT_MergedSrc L2008-3359
    "\U17FF0",  # kRSTUnicode 267.15
    "\U17FF1",  # kTGT_MergedSrc L2008-2266
    "\U17FF1",  # kRSTUnicode 267.16
    "\U17FF2",  # kTGT_MergedSrc L2008-2115
    "\U17FF2",  # kRSTUnicode 267.16
    "\U17FF3",  # kTGT_MergedSrc L2008-3589
    "\U17FF3",  # kRSTUnicode 267.16
    "\U17FF4",  # kTGT_MergedSrc L2008-3608
    "\U17FF4",  # kRSTUnicode 267.16
    "\U17FF5",  # kTGT_MergedSrc L2008-2767
    "\U17FF5",  # kRSTUnicode 267.16
    "\U17FF6",  # kTGT_MergedSrc L2008-2114
    "\U17FF6",  # kRSTUnicode 267.16
    "\U17FF7",  # kTGT_MergedSrc L2008-3126
    "\U17FF7",  # kRSTUnicode 267.17
    "\U17FF8",  # kTGT_MergedSrc L2008-3703
    "\U17FF8",  # kRSTUnicode 267.18
    "\U17FF9",  # kTGT_MergedSrc L2008-2261
    "\U17FF9",  # kRSTUnicode 267.18
    "\U17FFA",  # kTGT_MergedSrc L2008-2288
    "\U17FFA",  # kRSTUnicode 267.18
    "\U17FFB",  # kTGT_MergedSrc L2008-2267
    "\U17FFB",  # kRSTUnicode 267.19
    "\U17FFC",  # kTGT_MergedSrc L2008-2262
    "\U17FFC",  # kRSTUnicode 267.19
    "\U17FFD",  # kTGT_MergedSrc L2008-2270
    "\U17FFD",  # kRSTUnicode 267.19
    "\U17FFE",  # kTGT_MergedSrc L2008-2268
    "\U17FFE",  # kRSTUnicode 267.20
    "\U17FFF",  # kTGT_MergedSrc L2008-2463
    "\U17FFF",  # kRSTUnicode 268.10
    "\U18000",  # kTGT_MergedSrc L2008-2906
    "\U18000",  # kRSTUnicode 269.11
    "\U18001",  # kTGT_MergedSrc L2008-2326
    "\U18001",  # kRSTUnicode 269.16
    "\U18002",  # kTGT_MergedSrc L2008-3415
    "\U18002",  # kRSTUnicode 269.16
    "\U18003",  # kTGT_MergedSrc L2008-4030
    "\U18003",  # kRSTUnicode 271.11
    "\U18004",  # kTGT_MergedSrc L2008-4031
    "\U18004",  # kRSTUnicode 271.11
    "\U18005",  # kTGT_MergedSrc L2008-4067
    "\U18005",  # kRSTUnicode 271.12
    "\U18006",  # kTGT_MergedSrc L2008-3846
    "\U18006",  # kRSTUnicode 272.10
    "\U18007",  # kTGT_MergedSrc L2008-3891
    "\U18007",  # kRSTUnicode 272.10
    "\U18008",  # kTGT_MergedSrc L2008-3910
    "\U18008",  # kRSTUnicode 272.10
    "\U18009",  # kTGT_MergedSrc L2008-3960
    "\U18009",  # kRSTUnicode 272.10
    "\U1800A",  # kTGT_MergedSrc L2008-3913
    "\U1800A",  # kRSTUnicode 272.10
    "\U1800B",  # kTGT_MergedSrc L2008-3892
    "\U1800B",  # kRSTUnicode 272.11
    "\U1800C",  # kTGT_MergedSrc L2008-3887
    "\U1800C",  # kRSTUnicode 272.11
    "\U1800D",  # kTGT_MergedSrc L2008-3926
    "\U1800D",  # kRSTUnicode 272.11
    "\U1800E",  # kTGT_MergedSrc L2008-3925
    "\U1800E",  # kRSTUnicode 272.11
    "\U1800F",  # kTGT_MergedSrc L2008-3909
    "\U1800F",  # kRSTUnicode 272.11
    "\U18010",  # kTGT_MergedSrc L2008-3849
    "\U18010",  # kRSTUnicode 272.12
    "\U18011",  # kTGT_MergedSrc L2008-3911
    "\U18011",  # kRSTUnicode 272.12
    "\U18012",  # kTGT_MergedSrc L2008-3927
    "\U18012",  # kRSTUnicode 272.12
    "\U18013",  # kTGT_MergedSrc L2008-3866
    "\U18013",  # kRSTUnicode 272.13
    "\U18014",  # kTGT_MergedSrc L2008-3850
    "\U18014",  # kRSTUnicode 272.13
    "\U18015",  # kTGT_MergedSrc L2008-3851
    "\U18015",  # kRSTUnicode 272.13
    "\U18016",  # kTGT_MergedSrc L2008-3928
    "\U18016",  # kRSTUnicode 272.13
    "\U18017",  # kTGT_MergedSrc L2008-3950
    "\U18017",  # kRSTUnicode 272.14
    "\U18018",  # kTGT_MergedSrc L2008-3904
    "\U18018",  # kRSTUnicode 272.14
    "\U18019",  # kTGT_MergedSrc L2008-3923
    "\U18019",  # kRSTUnicode 272.14
    "\U1801A",  # kTGT_MergedSrc L2008-3906
    "\U1801A",  # kRSTUnicode 272.15
    "\U1801B",  # kTGT_MergedSrc L2008-3946
    "\U1801B",  # kRSTUnicode 272.17
    "\U1801C",  # kTGT_MergedSrc L2008-3888
    "\U1801C",  # kRSTUnicode 272.18
    "\U1801D",  # kTGT_MergedSrc L2008-3874
    "\U1801D",  # kRSTUnicode 273.9
    "\U1801E",  # kTGT_MergedSrc L2008-3882
    "\U1801E",  # kRSTUnicode 273.10
    "\U1801F",  # kTGT_MergedSrc L2008-3900
    "\U1801F",  # kRSTUnicode 273.10
    "\U18020",  # kTGT_MergedSrc L2008-3869
    "\U18020",  # kRSTUnicode 273.10
    "\U18021",  # kTGT_MergedSrc L2008-3901
    "\U18021",  # kRSTUnicode 273.10
    "\U18022",  # kTGT_MergedSrc L2008-3973
    "\U18022",  # kRSTUnicode 273.11
    "\U18023",  # kTGT_MergedSrc L2008-3967
    "\U18023",  # kRSTUnicode 273.11
    "\U18024",  # kTGT_MergedSrc L2008-3996
    "\U18024",  # kRSTUnicode 273.12
    "\U18025",  # kTGT_MergedSrc L2008-3980
    "\U18025",  # kRSTUnicode 273.12
    "\U18026",  # kTGT_MergedSrc L2008-3933
    "\U18026",  # kRSTUnicode 275.8
    "\U18027",  # kTGT_MergedSrc L2008-3877
    "\U18027",  # kRSTUnicode 275.10
    "\U18028",  # kTGT_MergedSrc L2008-3880
    "\U18028",  # kRSTUnicode 275.11
    "\U18029",  # kTGT_MergedSrc L2008-3884
    "\U18029",  # kRSTUnicode 275.12
    "\U1802A",  # kTGT_MergedSrc L2008-3873
    "\U1802A",  # kRSTUnicode 278.9
    "\U1802B",  # kTGT_MergedSrc L2008-3935
    "\U1802B",  # kRSTUnicode 278.9
    "\U1802C",  # kTGT_MergedSrc L2008-3876
    "\U1802C",  # kRSTUnicode 278.11
    "\U1802D",  # kTGT_MergedSrc L2008-3934
    "\U1802D",  # kRSTUnicode 278.11
    "\U1802E",  # kTGT_MergedSrc L2008-3932
    "\U1802E",  # kRSTUnicode 278.11
    "\U1802F",  # kTGT_MergedSrc L2008-3978
    "\U1802F",  # kRSTUnicode 278.12
    "\U18030",  # kTGT_MergedSrc L2008-3976
    "\U18030",  # kRSTUnicode 278.12
    "\U18031",  # kTGT_MergedSrc S1968-3063
    "\U18031",  # kRSTUnicode 278.12
    "\U18032",  # kTGT_MergedSrc L2008-4005
    "\U18032",  # kRSTUnicode 278.12
    "\U18033",  # kTGT_MergedSrc L2008-4002
    "\U18033",  # kRSTUnicode 278.12
    "\U18034",  # kTGT_MergedSrc L2008-3875
    "\U18034",  # kRSTUnicode 278.13
    "\U18035",  # kTGT_MergedSrc L2008-3920
    "\U18035",  # kRSTUnicode 278.13
    "\U18036",  # kTGT_MergedSrc L2008-3868
    "\U18036",  # kRSTUnicode 278.13
    "\U18037",  # kTGT_MergedSrc L2008-3895
    "\U18037",  # kRSTUnicode 278.13
    "\U18038",  # kTGT_MergedSrc L2008-4000
    "\U18038",  # kRSTUnicode 278.13
    "\U18039",  # kTGT_MergedSrc L2008-3897
    "\U18039",  # kRSTUnicode 278.13
    "\U1803A",  # kTGT_MergedSrc L2008-4003
    "\U1803A",  # kRSTUnicode 278.13
    "\U1803B",  # kTGT_MergedSrc L2008-3899
    "\U1803B",  # kRSTUnicode 278.14
    "\U1803C",  # kTGT_MergedSrc L2008-3898
    "\U1803C",  # kRSTUnicode 278.14
    "\U1803D",  # kTGT_MergedSrc L2008-3974
    "\U1803D",  # kRSTUnicode 278.14
    "\U1803E",  # kTGT_MergedSrc L2008-3902
    "\U1803E",  # kRSTUnicode 278.15
    "\U1803F",  # kTGT_MergedSrc L2008-4004
    "\U1803F",  # kRSTUnicode 278.15
    "\U18040",  # kTGT_MergedSrc L2008-3872
    "\U18040",  # kRSTUnicode 278.17
    "\U18041",  # kTGT_MergedSrc L2008-3982
    "\U18041",  # kRSTUnicode 278.18
    "\U18042",  # kTGT_MergedSrc L2008-5314
    "\U18042",  # kRSTUnicode 281.9
    "\U18043",  # kTGT_MergedSrc L2008-5640
    "\U18043",  # kRSTUnicode 281.10
    "\U18044",  # kTGT_MergedSrc L2008-5798
    "\U18044",  # kRSTUnicode 281.10
    "\U18045",  # kTGT_MergedSrc L2008-5674
    "\U18045",  # kRSTUnicode 281.10
    "\U18046",  # kTGT_MergedSrc L2008-5175
    "\U18046",  # kRSTUnicode 281.11
    "\U18047",  # kTGT_MergedSrc L2008-5168
    "\U18047",  # kRSTUnicode 281.11
    "\U18048",  # kTGT_MergedSrc L2008-5665
    "\U18048",  # kRSTUnicode 281.12
    "\U18049",  # kTGT_MergedSrc L2008-5723
    "\U18049",  # kRSTUnicode 281.12
    "\U1804A",  # kTGT_MergedSrc L2008-5180
    "\U1804A",  # kRSTUnicode 281.12
    "\U1804B",  # kTGT_MergedSrc L2008-5624
    "\U1804B",  # kRSTUnicode 281.12
    "\U1804C",  # kTGT_MergedSrc L2008-6061
    "\U1804C",  # kRSTUnicode 281.13
    "\U1804D",  # kTGT_MergedSrc L2008-5310
    "\U1804D",  # kRSTUnicode 281.13
    "\U1804E",  # kTGT_MergedSrc L2008-5548
    "\U1804E",  # kRSTUnicode 283.10
    "\U1804F",  # kTGT_MergedSrc L2008-4677
    "\U1804F",  # kRSTUnicode 284.11
    "\U18050",  # kTGT_MergedSrc L2008-4875
    "\U18050",  # kRSTUnicode 284.12
    "\U18051",  # kTGT_MergedSrc L2008-4964
    "\U18051",  # kRSTUnicode 284.12
    "\U18052",  # kTGT_MergedSrc L2008-4812
    "\U18052",  # kRSTUnicode 284.13
    "\U18053",  # kTGT_MergedSrc L2008-4965
    "\U18053",  # kRSTUnicode 284.14
    "\U18054",  # kTGT_MergedSrc L2008-4704
    "\U18054",  # kRSTUnicode 284.15
    "\U18055",  # kTGT_MergedSrc L2008-4911
    "\U18055",  # kRSTUnicode 284.15
    "\U18056",  # kTGT_MergedSrc L2008-4766
    "\U18056",  # kRSTUnicode 284.16
    "\U18057",  # kTGT_MergedSrc L2008-5064
    "\U18057",  # kRSTUnicode 285.9
    "\U18058",  # kTGT_MergedSrc L2008-5284
    "\U18058",  # kRSTUnicode 285.9
    "\U18059",  # kTGT_MergedSrc L2008-5782
    "\U18059",  # kRSTUnicode 285.9
    "\U1805A",  # kTGT_MergedSrc L2008-5116
    "\U1805A",  # kRSTUnicode 285.10
    "\U1805B",  # kTGT_MergedSrc L2008-5525
    "\U1805B",  # kRSTUnicode 285.10
    "\U1805C",  # kTGT_MergedSrc L2008-5572
    "\U1805C",  # kRSTUnicode 285.10
    "\U1805D",  # kTGT_MergedSrc L2008-5555
    "\U1805D",  # kRSTUnicode 285.10
    "\U1805E",  # kTGT_MergedSrc L2008-5416
    "\U1805E",  # kRSTUnicode 285.11
    "\U1805F",  # kTGT_MergedSrc L2008-5419
    "\U1805F",  # kRSTUnicode 285.11
    "\U18060",  # kTGT_MergedSrc L2008-5069
    "\U18060",  # kRSTUnicode 285.11
    "\U18061",  # kTGT_MergedSrc L2008-5462
    "\U18061",  # kRSTUnicode 285.11
    "\U18062",  # kTGT_MergedSrc L2008-5363
    "\U18062",  # kRSTUnicode 285.11
    "\U18063",  # kTGT_MergedSrc L2008-5497
    "\U18063",  # kRSTUnicode 285.11
    "\U18064",  # kTGT_MergedSrc L2008-5549
    "\U18064",  # kRSTUnicode 285.11
    "\U18065",  # kTGT_MergedSrc L2008-5556
    "\U18065",  # kRSTUnicode 285.11
    "\U18066",  # kTGT_MergedSrc L2008-5573
    "\U18066",  # kRSTUnicode 285.11
    "\U18067",  # kTGT_MergedSrc L2008-5526
    "\U18067",  # kRSTUnicode 285.12
    "\U18068",  # kTGT_MergedSrc L2008-5085
    "\U18068",  # kRSTUnicode 285.12
    "\U18069",  # kTGT_MergedSrc L2008-5713
    "\U18069",  # kRSTUnicode 285.12
    "\U1806A",  # kTGT_MergedSrc L2008-5721
    "\U1806A",  # kRSTUnicode 285.12
    "\U1806B",  # kTGT_MergedSrc L2008-5140
    "\U1806B",  # kRSTUnicode 285.12
    "\U1806C",  # kTGT_MergedSrc L2008-5535
    "\U1806C",  # kRSTUnicode 285.12
    "\U1806D",  # kTGT_MergedSrc L2008-5079
    "\U1806D",  # kRSTUnicode 285.13
    "\U1806E",  # kTGT_MergedSrc L2008-5070
    "\U1806E",  # kRSTUnicode 285.13
    "\U1806F",  # kTGT_MergedSrc L2008-5422
    "\U1806F",  # kRSTUnicode 285.13
    "\U18070",  # kTGT_MergedSrc L2008-5080
    "\U18070",  # kRSTUnicode 285.13
    "\U18071",  # kTGT_MergedSrc L2008-5155
    "\U18071",  # kRSTUnicode 285.13
    "\U18072",  # kTGT_MergedSrc L2008-5465
    "\U18072",  # kRSTUnicode 285.14
    "\U18073",  # kTGT_MergedSrc L2008-5783
    "\U18073",  # kRSTUnicode 285.14
    "\U18074",  # kTGT_MergedSrc L2008-5468
    "\U18074",  # kRSTUnicode 285.15
    "\U18075",  # kTGT_MergedSrc L2008-5289
    "\U18075",  # kRSTUnicode 285.15
    "\U18076",  # kTGT_MergedSrc L2008-5292
    "\U18076",  # kRSTUnicode 285.15
    "\U18077",  # kTGT_MergedSrc L2008-5691
    "\U18077",  # kRSTUnicode 286.9
    "\U18078",  # kTGT_MergedSrc L2008-5254
    "\U18078",  # kRSTUnicode 286.10
    "\U18079",  # kTGT_MergedSrc L2008-5350
    "\U18079",  # kRSTUnicode 286.10
    "\U1807A",  # kTGT_MergedSrc L2008-5690
    "\U1807A",  # kRSTUnicode 286.17
    "\U1807B",  # kTGT_MergedSrc L2008-5315
    "\U1807B",  # kRSTUnicode 288.9
    "\U1807C",  # kTGT_MergedSrc L2008-5387
    "\U1807C",  # kRSTUnicode 288.11
    "\U1807D",  # kTGT_MergedSrc L2008-5616
    "\U1807D",  # kRSTUnicode 288.11
    "\U1807E",  # kTGT_MergedSrc L2008-5722
    "\U1807E",  # kRSTUnicode 288.12
    "\U1807F",  # kTGT_MergedSrc L2008-5660
    "\U1807F",  # kRSTUnicode 289.10
    "\U18080",  # kTGT_MergedSrc L2008-5243
    "\U18080",  # kRSTUnicode 292.10
    "\U18081",  # kTGT_MergedSrc L2008-5225
    "\U18081",  # kRSTUnicode 292.10
    "\U18082",  # kTGT_MergedSrc L2008-5200
    "\U18082",  # kRSTUnicode 292.12
    "\U18083",  # kTGT_MergedSrc L2008-5666
    "\U18083",  # kRSTUnicode 292.15
    "\U18084",  # kTGT_MergedSrc L2008-5935
    "\U18084",  # kRSTUnicode 295.7
    "\U18085",  # kTGT_MergedSrc L2008-5831
    "\U18085",  # kRSTUnicode 295.9
    "\U18086",  # kTGT_MergedSrc L2008-5815
    "\U18086",  # kRSTUnicode 296.5
    "\U18087",  # kTGT_MergedSrc L2008-5915
    "\U18087",  # kRSTUnicode 296.7
    "\U18088",  # kTGT_MergedSrc L2008-5914
    "\U18088",  # kRSTUnicode 296.8
    "\U18089",  # kTGT_MergedSrc L2008-5900
    "\U18089",  # kRSTUnicode 296.8
    "\U1808A",  # kTGT_MergedSrc L2008-5857
    "\U1808A",  # kRSTUnicode 296.9
    "\U1808B",  # kTGT_MergedSrc L2008-5849
    "\U1808B",  # kRSTUnicode 296.9
    "\U1808C",  # kTGT_MergedSrc L2008-5860
    "\U1808C",  # kRSTUnicode 296.9
    "\U1808D",  # kTGT_MergedSrc L2008-5858
    "\U1808D",  # kRSTUnicode 296.9
    "\U1808E",  # kTGT_MergedSrc L2008-5881
    "\U1808E",  # kRSTUnicode 296.9
    "\U1808F",  # kTGT_MergedSrc L2008-5878
    "\U1808F",  # kRSTUnicode 296.9
    "\U18090",  # kTGT_MergedSrc L2008-5899
    "\U18090",  # kRSTUnicode 296.9
    "\U18091",  # kTGT_MergedSrc L2008-5883
    "\U18091",  # kRSTUnicode 296.10
    "\U18092",  # kTGT_MergedSrc L2008-5884
    "\U18092",  # kRSTUnicode 296.10
    "\U18093",  # kTGT_MergedSrc L2008-5877
    "\U18093",  # kRSTUnicode 296.10
    "\U18094",  # kTGT_MergedSrc L2008-5901
    "\U18094",  # kRSTUnicode 296.10
    "\U18095",  # kTGT_MergedSrc L2008-5966
    "\U18095",  # kRSTUnicode 296.10
    "\U18096",  # kTGT_MergedSrc L2008-5986
    "\U18096",  # kRSTUnicode 296.10
    "\U18097",  # kTGT_MergedSrc L2008-5959
    "\U18097",  # kRSTUnicode 296.10
    "\U18098",  # kTGT_MergedSrc L2008-5965
    "\U18098",  # kRSTUnicode 296.10
    "\U18099",  # kTGT_MergedSrc L2008-5963
    "\U18099",  # kRSTUnicode 296.10
    "\U1809A",  # kTGT_MergedSrc L2008-5855
    "\U1809A",  # kRSTUnicode 296.11
    "\U1809B",  # kTGT_MergedSrc L2008-5919
    "\U1809B",  # kRSTUnicode 296.11
    "\U1809C",  # kTGT_MergedSrc L2008-5882
    "\U1809C",  # kRSTUnicode 296.11
    "\U1809D",  # kTGT_MergedSrc L2008-5902
    "\U1809D",  # kRSTUnicode 296.11
    "\U1809E",  # kTGT_MergedSrc L2008-5987
    "\U1809E",  # kRSTUnicode 296.11
    "\U1809F",  # kTGT_MergedSrc L2008-5989
    "\U1809F",  # kRSTUnicode 296.11
    "\U180A0",  # kTGT_MergedSrc L2008-5885
    "\U180A0",  # kRSTUnicode 296.12
    "\U180A1",  # kTGT_MergedSrc L2008-5853
    "\U180A1",  # kRSTUnicode 296.12
    "\U180A2",  # kTGT_MergedSrc L2008-5960
    "\U180A2",  # kRSTUnicode 296.12
    "\U180A3",  # kTGT_MergedSrc L2008-5850
    "\U180A3",  # kRSTUnicode 296.13
    "\U180A4",  # kTGT_MergedSrc L2008-5993
    "\U180A4",  # kRSTUnicode 296.13
    "\U180A5",  # kTGT_MergedSrc L2008-5968
    "\U180A5",  # kRSTUnicode 296.13
    "\U180A6",  # kTGT_MergedSrc L2008-5916
    "\U180A6",  # kRSTUnicode 296.13
    "\U180A7",  # kTGT_MergedSrc L2008-6074
    "\U180A7",  # kRSTUnicode 296.14
    "\U180A8",  # kTGT_MergedSrc L2008-5961
    "\U180A8",  # kRSTUnicode 296.17
    "\U180A9",  # kTGT_MergedSrc L2008-5852
    "\U180A9",  # kRSTUnicode 297.10
    "\U180AA",  # kTGT_MergedSrc L2008-4855
    "\U180AA",  # kRSTUnicode 298.5
    "\U180AB",  # kTGT_MergedSrc L2008-5215
    "\U180AB",  # kRSTUnicode 298.9
    "\U180AC",  # kTGT_MergedSrc L2008-5670
    "\U180AC",  # kRSTUnicode 298.9
    "\U180AD",  # kTGT_MergedSrc L2008-5675
    "\U180AD",  # kRSTUnicode 298.10
    "\U180AE",  # kTGT_MergedSrc L2008-5652
    "\U180AE",  # kRSTUnicode 298.10
    "\U180AF",  # kTGT_MergedSrc L2008-5388
    "\U180AF",  # kRSTUnicode 298.10
    "\U180B0",  # kTGT_MergedSrc L2008-5747
    "\U180B0",  # kRSTUnicode 298.10
    "\U180B1",  # kTGT_MergedSrc L2008-5599
    "\U180B1",  # kRSTUnicode 298.10
    "\U180B2",  # kTGT_MergedSrc L2008-5684
    "\U180B2",  # kRSTUnicode 298.10
    "\U180B3",  # kTGT_MergedSrc L2008-5757
    "\U180B3",  # kRSTUnicode 298.11
    "\U180B4",  # kTGT_MergedSrc L2008-5677
    "\U180B4",  # kRSTUnicode 298.11
    "\U180B5",  # kTGT_MergedSrc L2008-5740
    "\U180B5",  # kRSTUnicode 298.11
    "\U180B6",  # kTGT_MergedSrc L2008-5303
    "\U180B6",  # kRSTUnicode 298.11
    "\U180B7",  # kTGT_MergedSrc L2008-5488
    "\U180B7",  # kRSTUnicode 298.11
    "\U180B8",  # kTGT_MergedSrc L2008-5344
    "\U180B8",  # kRSTUnicode 298.11
    "\U180B9",  # kTGT_MergedSrc L2008-5207
    "\U180B9",  # kRSTUnicode 298.12
    "\U180BA",  # kTGT_MergedSrc L2008-5328
    "\U180BA",  # kRSTUnicode 298.12
    "\U180BB",  # kTGT_MergedSrc L2008-5587
    "\U180BB",  # kRSTUnicode 298.12
    "\U180BC",  # kTGT_MergedSrc L2008-5600
    "\U180BC",  # kRSTUnicode 298.12
    "\U180BD",  # kTGT_MergedSrc L2008-5734
    "\U180BD",  # kRSTUnicode 298.13
    "\U180BE",  # kTGT_MergedSrc L2008-5678
    "\U180BE",  # kRSTUnicode 298.13
    "\U180BF",  # kTGT_MergedSrc L2008-5329
    "\U180BF",  # kRSTUnicode 298.13
    "\U180C0",  # kTGT_MergedSrc L2008-5480
    "\U180C0",  # kRSTUnicode 298.13
    "\U180C1",  # kTGT_MergedSrc L2008-5605
    "\U180C1",  # kRSTUnicode 298.13
    "\U180C2",  # kTGT_MergedSrc L2008-5725
    "\U180C2",  # kRSTUnicode 298.14
    "\U180C3",  # kTGT_MergedSrc L2008-5768
    "\U180C3",  # kRSTUnicode 298.14
    "\U180C4",  # kTGT_MergedSrc L2008-5669
    "\U180C4",  # kRSTUnicode 298.14
    "\U180C5",  # kTGT_MergedSrc L2008-5589
    "\U180C5",  # kRSTUnicode 298.15
    "\U180C6",  # kTGT_MergedSrc L2008-5642
    "\U180C6",  # kRSTUnicode 298.15
    "\U180C7",  # kTGT_MergedSrc L2008-5606
    "\U180C7",  # kRSTUnicode 298.16
    "\U180C8",  # kTGT_MergedSrc L2008-5228
    "\U180C8",  # kRSTUnicode 298.17
    "\U180C9",  # kTGT_MergedSrc L2008-5570
    "\U180C9",  # kRSTUnicode 300.9
    "\U180CA",  # kTGT_MergedSrc L2008-5136
    "\U180CA",  # kRSTUnicode 300.10
    "\U180CB",  # kTGT_MergedSrc L2008-5121
    "\U180CB",  # kRSTUnicode 300.11
    "\U180CC",  # kTGT_MergedSrc L2008-5711
    "\U180CC",  # kRSTUnicode 300.11
    "\U180CD",  # kTGT_MergedSrc L2008-5298
    "\U180CD",  # kRSTUnicode 301.6
    "\U180CE",  # kTGT_MergedSrc L2008-5370
    "\U180CE",  # kRSTUnicode 301.9
    "\U180CF",  # kTGT_MergedSrc L2008-5641
    "\U180CF",  # kRSTUnicode 301.10
    "\U180D0",  # kTGT_MergedSrc L2008-5799
    "\U180D0",  # kRSTUnicode 301.10
    "\U180D1",  # kTGT_MergedSrc L2008-5394
    "\U180D1",  # kRSTUnicode 301.11
    "\U180D2",  # kTGT_MergedSrc L2008-5316
    "\U180D2",  # kRSTUnicode 301.11
    "\U180D3",  # kTGT_MergedSrc L2008-5403
    "\U180D3",  # kRSTUnicode 301.11
    "\U180D4",  # kTGT_MergedSrc L2008-5756
    "\U180D4",  # kRSTUnicode 301.12
    "\U180D5",  # kTGT_MergedSrc L2008-5792
    "\U180D5",  # kRSTUnicode 301.13
    "\U180D6",  # kTGT_MergedSrc L2008-5191
    "\U180D6",  # kRSTUnicode 301.13
    "\U180D7",  # kTGT_MergedSrc L2008-5681
    "\U180D7",  # kRSTUnicode 301.14
    "\U180D8",  # kTGT_MergedSrc L2008-6059
    "\U180D8",  # kRSTUnicode 301.16
    "\U180D9",  # kTGT_MergedSrc L2008-4741
    "\U180D9",  # kRSTUnicode 303.5
    "\U180DA",  # kTGT_MergedSrc L2008-5411
    "\U180DA",  # kRSTUnicode 303.7
    "\U180DB",  # kTGT_MergedSrc L2008-5417
    "\U180DB",  # kRSTUnicode 303.8
    "\U180DC",  # kTGT_MergedSrc L2008-5523
    "\U180DC",  # kRSTUnicode 303.8
    "\U180DD",  # kTGT_MergedSrc L2008-5071
    "\U180DD",  # kRSTUnicode 303.9
    "\U180DE",  # kTGT_MergedSrc L2008-5285
    "\U180DE",  # kRSTUnicode 303.9
    "\U180DF",  # kTGT_MergedSrc L2008-5467
    "\U180DF",  # kRSTUnicode 303.9
    "\U180E0",  # kTGT_MergedSrc L2008-5149
    "\U180E0",  # kRSTUnicode 303.10
    "\U180E1",  # kTGT_MergedSrc L2008-5113
    "\U180E1",  # kRSTUnicode 303.10
    "\U180E2",  # kTGT_MergedSrc L2008-5364
    "\U180E2",  # kRSTUnicode 303.10
    "\U180E3",  # kTGT_MergedSrc L2008-5574
    "\U180E3",  # kRSTUnicode 303.10
    "\U180E4",  # kTGT_MergedSrc L2008-5067
    "\U180E4",  # kRSTUnicode 303.11
    "\U180E5",  # kTGT_MergedSrc L2008-5418
    "\U180E5",  # kRSTUnicode 303.11
    "\U180E6",  # kTGT_MergedSrc L2008-5694
    "\U180E6",  # kRSTUnicode 303.11
    "\U180E7",  # kTGT_MergedSrc L2008-5086
    "\U180E7",  # kRSTUnicode 303.12
    "\U180E8",  # kTGT_MergedSrc L2008-5072
    "\U180E8",  # kRSTUnicode 303.13
    "\U180E9",  # kTGT_MergedSrc L2008-5122
    "\U180E9",  # kRSTUnicode 303.13
    "\U180EA",  # kTGT_MergedSrc L2008-5712
    "\U180EA",  # kRSTUnicode 303.13
    "\U180EB",  # kTGT_MergedSrc L2008-5261
    "\U180EB",  # kRSTUnicode 303.14
    "\U180EC",  # kTGT_MergedSrc L2008-5352
    "\U180EC",  # kRSTUnicode 303.15
    "\U180ED",  # kTGT_MergedSrc L2008-5353
    "\U180ED",  # kRSTUnicode 303.15
    "\U180EE",  # kTGT_MergedSrc L2008-5550
    "\U180EE",  # kRSTUnicode 303.16
    "\U180EF",  # kTGT_MergedSrc L2008-0539
    "\U180EF",  # kRSTUnicode 305.9
    "\U180F0",  # kTGT_MergedSrc L2008-0258
    "\U180F0",  # kRSTUnicode 305.10
    "\U180F1",  # kTGT_MergedSrc L2008-1676
    "\U180F1",  # kRSTUnicode 305.10
    "\U180F2",  # kTGT_MergedSrc L2008-0688
    "\U180F2",  # kRSTUnicode 305.11
    "\U180F3",  # kTGT_MergedSrc L2008-1429
    "\U180F3",  # kRSTUnicode 306.9
    "\U180F4",  # kTGT_MergedSrc L2008-0389
    "\U180F4",  # kRSTUnicode 306.9
    "\U180F5",  # kTGT_MergedSrc L2008-1453
    "\U180F5",  # kRSTUnicode 306.10
    "\U180F6",  # kTGT_MergedSrc L2008-0398
    "\U180F6",  # kRSTUnicode 306.12
    "\U180F7",  # kTGT_MergedSrc L2008-0399
    "\U180F7",  # kRSTUnicode 306.13
    "\U180F8",  # kTGT_MergedSrc L2008-0496
    "\U180F8",  # kRSTUnicode 307.9
    "\U180F9",  # kTGT_MergedSrc L2008-0957
    "\U180F9",  # kRSTUnicode 307.11
    "\U180FA",  # kTGT_MergedSrc L2008-0163
    "\U180FA",  # kRSTUnicode 308.9
    "\U180FB",  # kTGT_MergedSrc L2008-0494
    "\U180FB",  # kRSTUnicode 308.9
    "\U180FC",  # kTGT_MergedSrc L2008-0505
    "\U180FC",  # kRSTUnicode 308.10
    "\U180FD",  # kTGT_MergedSrc L2008-1616
    "\U180FD",  # kRSTUnicode 308.10
    "\U180FE",  # kTGT_MergedSrc L2008-0239
    "\U180FE",  # kRSTUnicode 308.11
    "\U180FF",  # kTGT_MergedSrc L2008-0660
    "\U180FF",  # kRSTUnicode 308.11
    "\U18100",  # kTGT_MergedSrc L2008-1013
    "\U18100",  # kRSTUnicode 308.11
    "\U18101",  # kTGT_MergedSrc L2008-0495
    "\U18101",  # kRSTUnicode 308.11
    "\U18102",  # kTGT_MergedSrc L2008-1598
    "\U18102",  # kRSTUnicode 308.11
    "\U18103",  # kTGT_MergedSrc L2008-1592
    "\U18103",  # kRSTUnicode 308.11
    "\U18104",  # kTGT_MergedSrc L2008-1085
    "\U18104",  # kRSTUnicode 308.12
    "\U18105",  # kTGT_MergedSrc L2008-0221
    "\U18105",  # kRSTUnicode 308.13
    "\U18106",  # kTGT_MergedSrc L2008-0183
    "\U18106",  # kRSTUnicode 308.13
    "\U18107",  # kTGT_MergedSrc L2008-0166
    "\U18107",  # kRSTUnicode 308.13
    "\U18108",  # kTGT_MergedSrc L2008-0643
    "\U18108",  # kRSTUnicode 308.13
    "\U18109",  # kTGT_MergedSrc L2008-0958
    "\U18109",  # kRSTUnicode 308.13
    "\U1810A",  # kTGT_MergedSrc L2008-0938
    "\U1810A",  # kRSTUnicode 308.13
    "\U1810B",  # kTGT_MergedSrc L2008-0225
    "\U1810B",  # kRSTUnicode 308.14
    "\U1810C",  # kTGT_MergedSrc L2008-0939
    "\U1810C",  # kRSTUnicode 308.14
    "\U1810D",  # kTGT_MergedSrc L2008-1637
    "\U1810D",  # kRSTUnicode 308.14
    "\U1810E",  # kTGT_MergedSrc L2008-1638
    "\U1810E",  # kRSTUnicode 308.14
    "\U1810F",  # kTGT_MergedSrc L2008-0756
    "\U1810F",  # kRSTUnicode 308.14
    "\U18110",  # kTGT_MergedSrc L1986-3906
    "\U18110",  # kRSTUnicode 308.15
    "\U18111",  # kTGT_MergedSrc L2008-0757
    "\U18111",  # kRSTUnicode 308.15
    "\U18112",  # kTGT_MergedSrc L2008-0776
    "\U18112",  # kRSTUnicode 308.19
    "\U18113",  # kTGT_MergedSrc L2008-1149
    "\U18113",  # kRSTUnicode 309.10
    "\U18114",  # kTGT_MergedSrc L2008-0989
    "\U18114",  # kRSTUnicode 309.10
    "\U18115",  # kTGT_MergedSrc L2008-0569
    "\U18115",  # kRSTUnicode 310.9
    "\U18116",  # kTGT_MergedSrc L2008-0710
    "\U18116",  # kRSTUnicode 310.9
    "\U18117",  # kTGT_MergedSrc L2008-1404
    "\U18117",  # kRSTUnicode 310.9
    "\U18118",  # kTGT_MergedSrc L2008-1352
    "\U18118",  # kRSTUnicode 310.10
    "\U18119",  # kTGT_MergedSrc L2008-0865
    "\U18119",  # kRSTUnicode 310.10
    "\U1811A",  # kTGT_MergedSrc L2008-0712
    "\U1811A",  # kRSTUnicode 310.14
    "\U1811B",  # kTGT_MergedSrc L2008-0331
    "\U1811B",  # kRSTUnicode 310.17
    "\U1811C",  # kTGT_MergedSrc L2008-0159
    "\U1811C",  # kRSTUnicode 311.10
    "\U1811D",  # kTGT_MergedSrc L2008-1636
    "\U1811D",  # kRSTUnicode 311.11
    "\U1811E",  # kTGT_MergedSrc L2008-0657
    "\U1811E",  # kRSTUnicode 311.13
    "\U1811F",  # kTGT_MergedSrc L2008-1273
    "\U1811F",  # kRSTUnicode 312.8
    "\U18120",  # kTGT_MergedSrc L2008-1385
    "\U18120",  # kRSTUnicode 312.10
    "\U18121",  # kTGT_MergedSrc L2008-1771
    "\U18121",  # kRSTUnicode 312.10
    "\U18122",  # kTGT_MergedSrc L2008-1718
    "\U18122",  # kRSTUnicode 312.10
    "\U18123",  # kTGT_MergedSrc L2008-0344
    "\U18123",  # kRSTUnicode 312.11
    "\U18124",  # kTGT_MergedSrc L2008-1286
    "\U18124",  # kRSTUnicode 312.12
    "\U18125",  # kTGT_MergedSrc L2008-1205
    "\U18125",  # kRSTUnicode 312.12
    "\U18126",  # kTGT_MergedSrc L2008-1772
    "\U18126",  # kRSTUnicode 312.13
    "\U18127",  # kTGT_MergedSrc L2008-0871
    "\U18127",  # kRSTUnicode 312.14
    "\U18128",  # kTGT_MergedSrc L2008-1015
    "\U18128",  # kRSTUnicode 314.8
    "\U18129",  # kTGT_MergedSrc L2008-0500
    "\U18129",  # kRSTUnicode 314.9
    "\U1812A",  # kTGT_MergedSrc L2008-1850
    "\U1812A",  # kRSTUnicode 314.9
    "\U1812B",  # kTGT_MergedSrc L2008-1098
    "\U1812B",  # kRSTUnicode 314.10
    "\U1812C",  # kTGT_MergedSrc L2008-0849
    "\U1812C",  # kRSTUnicode 314.12
    "\U1812D",  # kTGT_MergedSrc L2008-1646
    "\U1812D",  # kRSTUnicode 314.12
    "\U1812E",  # kTGT_MergedSrc L2008-0662
    "\U1812E",  # kRSTUnicode 314.16
    "\U1812F",  # kTGT_MergedSrc L2008-0779
    "\U1812F",  # kRSTUnicode 316.7
    "\U18130",  # kTGT_MergedSrc L2008-0821
    "\U18130",  # kRSTUnicode 316.8
    "\U18131",  # kTGT_MergedSrc L2008-1234
    "\U18131",  # kRSTUnicode 316.8
    "\U18132",  # kTGT_MergedSrc L2008-0349
    "\U18132",  # kRSTUnicode 316.9
    "\U18133",  # kTGT_MergedSrc L2008-0543
    "\U18133",  # kRSTUnicode 316.9
    "\U18134",  # kTGT_MergedSrc L2008-1319
    "\U18134",  # kRSTUnicode 316.9
    "\U18135",  # kTGT_MergedSrc L2008-1296
    "\U18135",  # kRSTUnicode 316.9
    "\U18136",  # kTGT_MergedSrc L2008-6019
    "\U18136",  # kRSTUnicode 316.10
    "\U18137",  # kTGT_MergedSrc L2008-1721
    "\U18137",  # kRSTUnicode 316.10
    "\U18138",  # kTGT_MergedSrc L2008-1708
    "\U18138",  # kRSTUnicode 316.10
    "\U18139",  # kTGT_MergedSrc L2008-1317-1318
    "\U18139",  # kRSTUnicode 316.10
    "\U1813A",  # kTGT_MergedSrc L2008-0312
    "\U1813A",  # kRSTUnicode 316.10
    "\U1813B",  # kTGT_MergedSrc L2008-1289
    "\U1813B",  # kRSTUnicode 316.10
    "\U1813C",  # kTGT_MergedSrc L2008-0361
    "\U1813C",  # kRSTUnicode 316.11
    "\U1813D",  # kTGT_MergedSrc L2008-0685
    "\U1813D",  # kRSTUnicode 316.11
    "\U1813E",  # kTGT_MergedSrc L2008-1759
    "\U1813E",  # kRSTUnicode 316.11
    "\U1813F",  # kTGT_MergedSrc L2008-1355
    "\U1813F",  # kRSTUnicode 316.11
    "\U18140",  # kTGT_MergedSrc L2008-0563
    "\U18140",  # kRSTUnicode 316.11
    "\U18141",  # kTGT_MergedSrc L2008-0675
    "\U18141",  # kRSTUnicode 316.11
    "\U18142",  # kTGT_MergedSrc L2008-0693
    "\U18142",  # kRSTUnicode 316.11
    "\U18143",  # kTGT_MergedSrc L2008-0790
    "\U18143",  # kRSTUnicode 316.11
    "\U18144",  # kTGT_MergedSrc L2008-1693
    "\U18144",  # kRSTUnicode 316.11
    "\U18145",  # kTGT_MergedSrc L2008-1865
    "\U18145",  # kRSTUnicode 316.11
    "\U18146",  # kTGT_MergedSrc L2008-1670
    "\U18146",  # kRSTUnicode 316.11
    "\U18147",  # kTGT_MergedSrc L2008-1734-1735
    "\U18147",  # kRSTUnicode 316.11
    "\U18148",  # kTGT_MergedSrc L1997-5997
    "\U18148",  # kRSTUnicode 316.11
    "\U18149",  # kTGT_MergedSrc L2008-1217
    "\U18149",  # kRSTUnicode 316.11
    "\U1814A",  # kTGT_MergedSrc L2008-0273
    "\U1814A",  # kRSTUnicode 316.12
    "\U1814B",  # kTGT_MergedSrc L2008-0333
    "\U1814B",  # kRSTUnicode 316.12
    "\U1814C",  # kTGT_MergedSrc L2008-0360
    "\U1814C",  # kRSTUnicode 316.12
    "\U1814D",  # kTGT_MergedSrc L2008-0705
    "\U1814D",  # kRSTUnicode 316.12
    "\U1814E",  # kTGT_MergedSrc L2008-1410
    "\U1814E",  # kRSTUnicode 316.12
    "\U1814F",  # kTGT_MergedSrc L2008-0295
    "\U1814F",  # kRSTUnicode 316.12
    "\U18150",  # kTGT_MergedSrc L2008-0350
    "\U18150",  # kRSTUnicode 316.12
    "\U18151",  # kTGT_MergedSrc L2008-1758
    "\U18151",  # kRSTUnicode 316.12
    "\U18152",  # kTGT_MergedSrc L2008-0791
    "\U18152",  # kRSTUnicode 316.12
    "\U18153",  # kTGT_MergedSrc L2008-0818
    "\U18153",  # kRSTUnicode 316.12
    "\U18154",  # kTGT_MergedSrc L2008-6016
    "\U18154",  # kRSTUnicode 316.12
    "\U18155",  # kTGT_MergedSrc L2008-1173
    "\U18155",  # kRSTUnicode 316.12
    "\U18156",  # kTGT_MergedSrc L2008-1320
    "\U18156",  # kRSTUnicode 316.12
    "\U18157",  # kTGT_MergedSrc L2008-1321
    "\U18157",  # kRSTUnicode 316.12
    "\U18158",  # kTGT_MergedSrc L2008-1419
    "\U18158",  # kRSTUnicode 316.12
    "\U18159",  # kTGT_MergedSrc L2008-0575
    "\U18159",  # kRSTUnicode 316.13
    "\U1815A",  # kTGT_MergedSrc L2008-0874
    "\U1815A",  # kRSTUnicode 316.13
    "\U1815B",  # kTGT_MergedSrc L2008-6010
    "\U1815B",  # kRSTUnicode 316.13
    "\U1815C",  # kTGT_MergedSrc L2008-1323
    "\U1815C",  # kRSTUnicode 316.13
    "\U1815D",  # kTGT_MergedSrc L2008-0305
    "\U1815D",  # kRSTUnicode 316.13
    "\U1815E",  # kTGT_MergedSrc L2008-1204
    "\U1815E",  # kRSTUnicode 316.13
    "\U1815F",  # kTGT_MergedSrc L2008-1288
    "\U1815F",  # kRSTUnicode 316.13
    "\U18160",  # kTGT_MergedSrc L2008-6017
    "\U18160",  # kRSTUnicode 316.13
    "\U18161",  # kTGT_MergedSrc L2008-1398
    "\U18161",  # kRSTUnicode 316.13
    "\U18162",  # kTGT_MergedSrc L2008-1295
    "\U18162",  # kRSTUnicode 316.13
    "\U18163",  # kTGT_MergedSrc L2008-1183
    "\U18163",  # kRSTUnicode 316.13
    "\U18164",  # kTGT_MergedSrc L2008-1715
    "\U18164",  # kRSTUnicode 316.14
    "\U18165",  # kTGT_MergedSrc L2008-0867
    "\U18165",  # kRSTUnicode 316.14
    "\U18166",  # kTGT_MergedSrc S1968-4780
    "\U18166",  # kRSTUnicode 316.14
    "\U18167",  # kTGT_MergedSrc L2008-0576
    "\U18167",  # kRSTUnicode 316.14
    "\U18168",  # kTGT_MergedSrc L2008-0287
    "\U18168",  # kRSTUnicode 316.14
    "\U18169",  # kTGT_MergedSrc L2008-0274
    "\U18169",  # kRSTUnicode 316.14
    "\U1816A",  # kTGT_MergedSrc L2008-0603
    "\U1816A",  # kRSTUnicode 316.14
    "\U1816B",  # kTGT_MergedSrc L2008-1736
    "\U1816B",  # kRSTUnicode 316.14
    "\U1816C",  # kTGT_MergedSrc L2008-0792
    "\U1816C",  # kRSTUnicode 316.14
    "\U1816D",  # kTGT_MergedSrc L2008-1322
    "\U1816D",  # kRSTUnicode 316.14
    "\U1816E",  # kTGT_MergedSrc L2008-0868
    "\U1816E",  # kRSTUnicode 316.15
    "\U1816F",  # kTGT_MergedSrc L2008-0342
    "\U1816F",  # kRSTUnicode 316.15
    "\U18170",  # kTGT_MergedSrc L2008-0866
    "\U18170",  # kRSTUnicode 316.15
    "\U18171",  # kTGT_MergedSrc L2008-6007
    "\U18171",  # kRSTUnicode 316.15
    "\U18172",  # kTGT_MergedSrc L2008-0717
    "\U18172",  # kRSTUnicode 316.15
    "\U18173",  # kTGT_MergedSrc L2008-0880
    "\U18173",  # kRSTUnicode 316.15
    "\U18174",  # kTGT_MergedSrc L2008-0259
    "\U18174",  # kRSTUnicode 316.16
    "\U18175",  # kTGT_MergedSrc L2008-0345
    "\U18175",  # kRSTUnicode 316.16
    "\U18176",  # kTGT_MergedSrc L2008-6022
    "\U18176",  # kRSTUnicode 316.16
    "\U18177",  # kTGT_MergedSrc L2008-0873
    "\U18177",  # kRSTUnicode 316.17
    "\U18178",  # kTGT_MergedSrc L2008-1388
    "\U18178",  # kRSTUnicode 316.17
    "\U18179",  # kTGT_MergedSrc L2008-0877
    "\U18179",  # kRSTUnicode 316.18
    "\U1817A",  # kTGT_MergedSrc L2008-0600
    "\U1817A",  # kRSTUnicode 316.18
    "\U1817B",  # kTGT_MergedSrc L2008-0343
    "\U1817B",  # kRSTUnicode 316.19
    "\U1817C",  # kTGT_MergedSrc L2008-6015
    "\U1817C",  # kRSTUnicode 316.20
    "\U1817D",  # kTGT_MergedSrc H2004-A-5854
    "\U1817D",  # kRSTUnicode 316.22
    "\U1817E",  # kTGT_MergedSrc L2008-1151
    "\U1817E",  # kRSTUnicode 317.9
    "\U1817F",  # kTGT_MergedSrc L2008-1443
    "\U1817F",  # kRSTUnicode 321.7
    "\U18180",  # kTGT_MergedSrc L2008-0825
    "\U18180",  # kRSTUnicode 321.7
    "\U18181",  # kTGT_MergedSrc L2008-0723
    "\U18181",  # kRSTUnicode 321.9
    "\U18182",  # kTGT_MergedSrc L2008-0391
    "\U18182",  # kRSTUnicode 321.9
    "\U18183",  # kTGT_MergedSrc L2008-1454
    "\U18183",  # kRSTUnicode 321.10
    "\U18184",  # kTGT_MergedSrc L2008-0724
    "\U18184",  # kRSTUnicode 321.11
    "\U18185",  # kTGT_MergedSrc L2008-0829
    "\U18185",  # kRSTUnicode 321.11
    "\U18186",  # kTGT_MergedSrc L2008-1441
    "\U18186",  # kRSTUnicode 321.13
    "\U18187",  # kTGT_MergedSrc L2008-1442
    "\U18187",  # kRSTUnicode 321.14
    "\U18188",  # kTGT_MergedSrc L2008-1784
    "\U18188",  # kRSTUnicode 321.15
    "\U18189",  # kTGT_MergedSrc N1966-059-111
    "\U18189",  # kRSTUnicode 321.16
    "\U1818A",  # kTGT_MergedSrc L2008-1440
    "\U1818A",  # kRSTUnicode 321.17
    "\U1818B",  # kTGT_MergedSrc L2008-1805
    "\U1818B",  # kRSTUnicode 322.12
    "\U1818C",  # kTGT_MergedSrc L2008-1880
    "\U1818C",  # kRSTUnicode 322.14
    "\U1818D",  # kTGT_MergedSrc L2008-0909
    "\U1818D",  # kRSTUnicode 323.11
    "\U1818E",  # kTGT_MergedSrc L2008-0844
    "\U1818E",  # kRSTUnicode 323.17
    "\U1818F",  # kTGT_MergedSrc L2008-1514
    "\U1818F",  # kRSTUnicode 325.9
    "\U18190",  # kTGT_MergedSrc L2008-0994
    "\U18190",  # kRSTUnicode 325.10
    "\U18191",  # kTGT_MergedSrc L2008-0987
    "\U18191",  # kRSTUnicode 325.11
    "\U18192",  # kTGT_MergedSrc L2008-1519
    "\U18192",  # kRSTUnicode 325.13
    "\U18193",  # kTGT_MergedSrc L2008-1229
    "\U18193",  # kRSTUnicode 325.15
    "\U18194",  # kTGT_MergedSrc L2008-0935
    "\U18194",  # kRSTUnicode 325.19
    "\U18195",  # kTGT_MergedSrc L2008-1176
    "\U18195",  # kRSTUnicode 326.10
    "\U18196",  # kTGT_MergedSrc L2008-5870
    "\U18196",  # kRSTUnicode 327.9
    "\U18197",  # kTGT_MergedSrc L2008-5937
    "\U18197",  # kRSTUnicode 327.10
    "\U18198",  # kTGT_MergedSrc L2008-5909
    "\U18198",  # kRSTUnicode 327.11
    "\U18199",  # kTGT_MergedSrc L2008-5934
    "\U18199",  # kRSTUnicode 327.11
    "\U1819A",  # kTGT_MergedSrc L2008-5938
    "\U1819A",  # kRSTUnicode 327.11
    "\U1819B",  # kTGT_MergedSrc L2008-5975
    "\U1819B",  # kRSTUnicode 327.13
    "\U1819C",  # kTGT_MergedSrc L2008-5832
    "\U1819C",  # kRSTUnicode 327.14
    "\U1819D",  # kTGT_MergedSrc L2008-0764
    "\U1819D",  # kRSTUnicode 328.7
    "\U1819E",  # kTGT_MergedSrc L2008-0216
    "\U1819E",  # kRSTUnicode 328.9
    "\U1819F",  # kTGT_MergedSrc L2008-0233
    "\U1819F",  # kRSTUnicode 328.9
    "\U181A0",  # kTGT_MergedSrc L2008-1046
    "\U181A0",  # kRSTUnicode 328.9
    "\U181A1",  # kTGT_MergedSrc L2008-0516
    "\U181A1",  # kRSTUnicode 328.9
    "\U181A2",  # kTGT_MergedSrc L2008-1052
    "\U181A2",  # kRSTUnicode 328.9
    "\U181A3",  # kTGT_MergedSrc L2008-1135
    "\U181A3",  # kRSTUnicode 328.9
    "\U181A4",  # kTGT_MergedSrc L2008-0212
    "\U181A4",  # kRSTUnicode 328.10
    "\U181A5",  # kTGT_MergedSrc L2008-0768
    "\U181A5",  # kRSTUnicode 328.10
    "\U181A6",  # kTGT_MergedSrc L2008-0520
    "\U181A6",  # kRSTUnicode 328.10
    "\U181A7",  # kTGT_MergedSrc L2008-0655
    "\U181A7",  # kRSTUnicode 328.10
    "\U181A8",  # kTGT_MergedSrc L2008-0648
    "\U181A8",  # kRSTUnicode 328.10
    "\U181A9",  # kTGT_MergedSrc L2008-0665
    "\U181A9",  # kRSTUnicode 328.10
    "\U181AA",  # kTGT_MergedSrc L2008-1652
    "\U181AA",  # kRSTUnicode 328.10
    "\U181AB",  # kTGT_MergedSrc L2008-1113
    "\U181AB",  # kRSTUnicode 328.10
    "\U181AC",  # kTGT_MergedSrc L2008-0847
    "\U181AC",  # kRSTUnicode 328.10
    "\U181AD",  # kTGT_MergedSrc L2008-1053
    "\U181AD",  # kRSTUnicode 328.10
    "\U181AE",  # kTGT_MergedSrc L2008-0194
    "\U181AE",  # kRSTUnicode 328.11
    "\U181AF",  # kTGT_MergedSrc L2008-0189
    "\U181AF",  # kRSTUnicode 328.11
    "\U181B0",  # kTGT_MergedSrc L2008-0191
    "\U181B0",  # kRSTUnicode 328.11
    "\U181B1",  # kTGT_MergedSrc L2008-0667
    "\U181B1",  # kRSTUnicode 328.11
    "\U181B2",  # kTGT_MergedSrc L2008-0984
    "\U181B2",  # kRSTUnicode 328.11
    "\U181B3",  # kTGT_MergedSrc L2008-0983
    "\U181B3",  # kRSTUnicode 328.11
    "\U181B4",  # kTGT_MergedSrc L2008-0669
    "\U181B4",  # kRSTUnicode 328.11
    "\U181B5",  # kTGT_MergedSrc L2008-0666
    "\U181B5",  # kRSTUnicode 328.11
    "\U181B6",  # kTGT_MergedSrc L2008-1606
    "\U181B6",  # kRSTUnicode 328.11
    "\U181B7",  # kTGT_MergedSrc L2008-1653
    "\U181B7",  # kRSTUnicode 328.11
    "\U181B8",  # kTGT_MergedSrc L2008-1656
    "\U181B8",  # kRSTUnicode 328.11
    "\U181B9",  # kTGT_MergedSrc L2008-0859
    "\U181B9",  # kRSTUnicode 328.11
    "\U181BA",  # kTGT_MergedSrc L2008-1114
    "\U181BA",  # kRSTUnicode 328.11
    "\U181BB",  # kTGT_MergedSrc L2008-1658
    "\U181BB",  # kRSTUnicode 328.12
    "\U181BC",  # kTGT_MergedSrc L2008-0770
    "\U181BC",  # kRSTUnicode 328.12
    "\U181BD",  # kTGT_MergedSrc L2008-1115
    "\U181BD",  # kRSTUnicode 328.12
    "\U181BE",  # kTGT_MergedSrc L2008-1048
    "\U181BE",  # kRSTUnicode 328.12
    "\U181BF",  # kTGT_MergedSrc L2008-0234
    "\U181BF",  # kRSTUnicode 328.13
    "\U181C0",  # kTGT_MergedSrc L2008-0525
    "\U181C0",  # kRSTUnicode 328.13
    "\U181C1",  # kTGT_MergedSrc L2008-0238
    "\U181C1",  # kRSTUnicode 328.13
    "\U181C2",  # kTGT_MergedSrc L2008-1136
    "\U181C2",  # kRSTUnicode 328.13
    "\U181C3",  # kTGT_MergedSrc L2008-1056
    "\U181C3",  # kRSTUnicode 328.13
    "\U181C4",  # kTGT_MergedSrc L2008-0649
    "\U181C4",  # kRSTUnicode 328.13
    "\U181C5",  # kTGT_MergedSrc L2008-1626
    "\U181C5",  # kRSTUnicode 328.13
    "\U181C6",  # kTGT_MergedSrc L2008-1654
    "\U181C6",  # kRSTUnicode 328.13
    "\U181C7",  # kTGT_MergedSrc L2008-1119
    "\U181C7",  # kRSTUnicode 328.14
    "\U181C8",  # kTGT_MergedSrc L2008-0848
    "\U181C8",  # kRSTUnicode 328.14
    "\U181C9",  # kTGT_MergedSrc L2008-0192
    "\U181C9",  # kRSTUnicode 328.14
    "\U181CA",  # kTGT_MergedSrc L2008-0852
    "\U181CA",  # kRSTUnicode 328.15
    "\U181CB",  # kTGT_MergedSrc L2008-0650
    "\U181CB",  # kRSTUnicode 328.15
    "\U181CC",  # kTGT_MergedSrc L2008-0672
    "\U181CC",  # kRSTUnicode 328.16
    "\U181CD",  # kTGT_MergedSrc L2008-1609
    "\U181CD",  # kRSTUnicode 328.17
    "\U181CE",  # kTGT_MergedSrc L2008-1603
    "\U181CE",  # kRSTUnicode 329.11
    "\U181CF",  # kTGT_MergedSrc L2008-1657
    "\U181CF",  # kRSTUnicode 329.12
    "\U181D0",  # kTGT_MergedSrc L2008-4071
    "\U181D0",  # kRSTUnicode 330.13
    "\U181D1",  # kTGT_MergedSrc L2008-4083
    "\U181D1",  # kRSTUnicode 330.13
    "\U181D2",  # kTGT_MergedSrc L2008-4063
    "\U181D2",  # kRSTUnicode 330.14
    "\U181D3",  # kTGT_MergedSrc L2008-4064
    "\U181D3",  # kRSTUnicode 330.15
    "\U181D4",  # kTGT_MergedSrc L2008-4075
    "\U181D4",  # kRSTUnicode 330.17
    "\U181D5",  # kTGT_MergedSrc L2008-4076
    "\U181D5",  # kRSTUnicode 330.17
    "\U181D6",  # kTGT_MergedSrc L2008-0488
    "\U181D6",  # kRSTUnicode 331.9
    "\U181D7",  # kTGT_MergedSrc L2008-0186
    "\U181D7",  # kRSTUnicode 331.10
    "\U181D8",  # kTGT_MergedSrc L2008-1622
    "\U181D8",  # kRSTUnicode 331.10
    "\U181D9",  # kTGT_MergedSrc L2008-1457
    "\U181D9",  # kRSTUnicode 333.15
    "\U181DA",  # kTGT_MergedSrc L2008-0720
    "\U181DA",  # kRSTUnicode 333.15
    "\U181DB",  # kTGT_MergedSrc L2008-0715
    "\U181DB",  # kRSTUnicode 335.11
    "\U181DC",  # kTGT_MergedSrc L2008-1121
    "\U181DC",  # kRSTUnicode 336.5
    "\U181DD",  # kTGT_MergedSrc L2008-0517
    "\U181DD",  # kRSTUnicode 336.9
    "\U181DE",  # kTGT_MergedSrc L2008-1116
    "\U181DE",  # kRSTUnicode 336.12
    "\U181DF",  # kTGT_MergedSrc L2008-0765
    "\U181DF",  # kRSTUnicode 337.7
    "\U181E0",  # kTGT_MergedSrc L2008-0518
    "\U181E0",  # kRSTUnicode 337.9
    "\U181E1",  # kTGT_MergedSrc L2008-1600
    "\U181E1",  # kRSTUnicode 338.11
    "\U181E2",  # kTGT_MergedSrc L2008-1133
    "\U181E2",  # kRSTUnicode 338.11
    "\U181E3",  # kTGT_MergedSrc L2008-1663
    "\U181E3",  # kRSTUnicode 338.14
    "\U181E4",  # kTGT_MergedSrc L2008-1719
    "\U181E4",  # kRSTUnicode 339.9
    "\U181E5",  # kTGT_MergedSrc L2008-1426
    "\U181E5",  # kRSTUnicode 340.5
    "\U181E6",  # kTGT_MergedSrc L2008-1446
    "\U181E6",  # kRSTUnicode 340.11
    "\U181E7",  # kTGT_MergedSrc L2008-0400
    "\U181E7",  # kRSTUnicode 340.12
    "\U181E8",  # kTGT_MergedSrc L2008-1787
    "\U181E8",  # kRSTUnicode 340.12
    "\U181E9",  # kTGT_MergedSrc L2008-1451
    "\U181E9",  # kRSTUnicode 340.14
    "\U181EA",  # kTGT_MergedSrc L2008-0401
    "\U181EA",  # kRSTUnicode 340.14
    "\U181EB",  # kTGT_MergedSrc L2008-0635
    "\U181EB",  # kRSTUnicode 341.9
    "\U181EC",  # kTGT_MergedSrc L2008-1557
    "\U181EC",  # kRSTUnicode 341.9
    "\U181ED",  # kTGT_MergedSrc L2008-1566
    "\U181ED",  # kRSTUnicode 341.10
    "\U181EE",  # kTGT_MergedSrc L2008-0738
    "\U181EE",  # kRSTUnicode 341.11
    "\U181EF",  # kTGT_MergedSrc L2008-1573
    "\U181EF",  # kRSTUnicode 341.11
    "\U181F0",  # kTGT_MergedSrc L2008-1500
    "\U181F0",  # kRSTUnicode 342.5
    "\U181F1",  # kTGT_MergedSrc L2008-0839
    "\U181F1",  # kRSTUnicode 342.7
    "\U181F2",  # kTGT_MergedSrc L2008-0632
    "\U181F2",  # kRSTUnicode 342.9
    "\U181F3",  # kTGT_MergedSrc L2008-1823
    "\U181F3",  # kRSTUnicode 342.9
    "\U181F4",  # kTGT_MergedSrc L2008-0449
    "\U181F4",  # kRSTUnicode 342.10
    "\U181F5",  # kTGT_MergedSrc L2008-0633
    "\U181F5",  # kRSTUnicode 342.10
    "\U181F6",  # kTGT_MergedSrc L2008-1881
    "\U181F6",  # kRSTUnicode 342.11
    "\U181F7",  # kTGT_MergedSrc L2008-0840
    "\U181F7",  # kRSTUnicode 342.11
    "\U181F8",  # kTGT_MergedSrc L2008-1882
    "\U181F8",  # kRSTUnicode 342.13
    "\U181F9",  # kTGT_MergedSrc L2008-0544
    "\U181F9",  # kRSTUnicode 343.9
    "\U181FA",  # kTGT_MergedSrc L2008-0352
    "\U181FA",  # kRSTUnicode 343.10
    "\U181FB",  # kTGT_MergedSrc L2008-0355
    "\U181FB",  # kRSTUnicode 343.10
    "\U181FC",  # kTGT_MergedSrc L2008-0532
    "\U181FC",  # kRSTUnicode 343.10
    "\U181FD",  # kTGT_MergedSrc L2008-0695
    "\U181FD",  # kRSTUnicode 343.10
    "\U181FE",  # kTGT_MergedSrc L2008-1742
    "\U181FE",  # kRSTUnicode 343.10
    "\U181FF",  # kTGT_MergedSrc L2008-0578
    "\U181FF",  # kRSTUnicode 343.11
    "\U18200",  # kTGT_MergedSrc L2008-0300
    "\U18200",  # kRSTUnicode 343.11
    "\U18201",  # kTGT_MergedSrc L2008-1713
    "\U18201",  # kRSTUnicode 343.11
    "\U18202",  # kTGT_MergedSrc L2008-1743
    "\U18202",  # kRSTUnicode 343.11
    "\U18203",  # kTGT_MergedSrc L2008-0819
    "\U18203",  # kRSTUnicode 343.11
    "\U18204",  # kTGT_MergedSrc L2008-1294
    "\U18204",  # kRSTUnicode 343.13
    "\U18205",  # kTGT_MergedSrc L2008-1371
    "\U18205",  # kRSTUnicode 343.15
    "\U18206",  # kTGT_MergedSrc L2008-0875
    "\U18206",  # kRSTUnicode 343.16
    "\U18207",  # kTGT_MergedSrc L2008-2046
    "\U18207",  # kRSTUnicode 345.10
    "\U18208",  # kTGT_MergedSrc L2008-2047
    "\U18208",  # kRSTUnicode 345.12
    "\U18209",  # kTGT_MergedSrc L2008-3525
    "\U18209",  # kRSTUnicode 345.13
    "\U1820A",  # kTGT_MergedSrc L2008-0141
    "\U1820A",  # kRSTUnicode 347.13
    "\U1820B",  # kTGT_MergedSrc L2008-0024
    "\U1820B",  # kRSTUnicode 347.14
    "\U1820C",  # kTGT_MergedSrc L2008-0122
    "\U1820C",  # kRSTUnicode 347.14
    "\U1820D",  # kTGT_MergedSrc L2008-0831
    "\U1820D",  # kRSTUnicode 348.10
    "\U1820E",  # kTGT_MergedSrc L2008-0605
    "\U1820E",  # kRSTUnicode 348.10
    "\U1820F",  # kTGT_MergedSrc L2008-1791
    "\U1820F",  # kRSTUnicode 348.10
    "\U18210",  # kTGT_MergedSrc L2008-0413
    "\U18210",  # kRSTUnicode 348.11
    "\U18211",  # kTGT_MergedSrc L2008-0607
    "\U18211",  # kRSTUnicode 348.11
    "\U18212",  # kTGT_MergedSrc L2008-1801
    "\U18212",  # kRSTUnicode 348.11
    "\U18213",  # kTGT_MergedSrc L2008-0614
    "\U18213",  # kRSTUnicode 348.12
    "\U18214",  # kTGT_MergedSrc L2008-1879
    "\U18214",  # kRSTUnicode 348.14
    "\U18215",  # kTGT_MergedSrc L2008-1196
    "\U18215",  # kRSTUnicode 350.12
    "\U18216",  # kTGT_MergedSrc L2008-0706
    "\U18216",  # kRSTUnicode 350.12
    "\U18217",  # kTGT_MergedSrc L2008-0787
    "\U18217",  # kRSTUnicode 350.12
    "\U18218",  # kTGT_MergedSrc L2008-1760
    "\U18218",  # kRSTUnicode 350.12
    "\U18219",  # kTGT_MergedSrc L2008-0160
    "\U18219",  # kRSTUnicode 351.11
    "\U1821A",  # kTGT_MergedSrc L2008-0102
    "\U1821A",  # kRSTUnicode 352.6
    "\U1821B",  # kTGT_MergedSrc L2008-0786
    "\U1821B",  # kRSTUnicode 352.8
    "\U1821C",  # kTGT_MergedSrc L2008-0711
    "\U1821C",  # kRSTUnicode 352.12
    "\U1821D",  # kTGT_MergedSrc L2008-0284
    "\U1821D",  # kRSTUnicode 352.13
    "\U1821E",  # kTGT_MergedSrc L2008-0330
    "\U1821E",  # kRSTUnicode 352.14
    "\U1821F",  # kTGT_MergedSrc L2008-0515
    "\U1821F",  # kRSTUnicode 354.10
    "\U18220",  # kTGT_MergedSrc L2008-1655
    "\U18220",  # kRSTUnicode 354.12
    "\U18221",  # kTGT_MergedSrc L2008-1057
    "\U18221",  # kRSTUnicode 354.14
    "\U18222",  # kTGT_MergedSrc L2008-0193
    "\U18222",  # kRSTUnicode 354.16
    "\U18223",  # kTGT_MergedSrc L2008-0215
    "\U18223",  # kRSTUnicode 355.11
    "\U18224",  # kTGT_MergedSrc L2008-0232
    "\U18224",  # kRSTUnicode 355.12
    "\U18225",  # kTGT_MergedSrc L2008-0671
    "\U18225",  # kRSTUnicode 356.12
    "\U18226",  # kTGT_MergedSrc L2008-0701
    "\U18226",  # kRSTUnicode 357.10
    "\U18227",  # kTGT_MergedSrc L2008-1332
    "\U18227",  # kRSTUnicode 357.12
    "\U18228",  # kTGT_MergedSrc L2008-1747
    "\U18228",  # kRSTUnicode 357.12
    "\U18229",  # kTGT_MergedSrc L2008-0100
    "\U18229",  # kRSTUnicode 362.6
    "\U1822A",  # kTGT_MergedSrc L2008-1863
    "\U1822A",  # kRSTUnicode 362.11
    "\U1822B",  # kTGT_MergedSrc L2008-0546
    "\U1822B",  # kRSTUnicode 363.10
    "\U1822C",  # kTGT_MergedSrc L2008-1722
    "\U1822C",  # kRSTUnicode 363.10
    "\U1822D",  # kTGT_MergedSrc L2008-1684
    "\U1822D",  # kRSTUnicode 363.13
    "\U1822E",  # kTGT_MergedSrc L2008-0869
    "\U1822E",  # kRSTUnicode 364.11
    "\U1822F",  # kTGT_MergedSrc L2008-0589
    "\U1822F",  # kRSTUnicode 364.12
    "\U18230",  # kTGT_MergedSrc L2008-1690
    "\U18230",  # kRSTUnicode 364.12
    "\U18231",  # kTGT_MergedSrc L2008-1728
    "\U18231",  # kRSTUnicode 364.12
    "\U18232",  # kTGT_MergedSrc L2008-1386
    "\U18232",  # kRSTUnicode 364.14
    "\U18233",  # kTGT_MergedSrc L2008-0469
    "\U18233",  # kRSTUnicode 367.11
    "\U18234",  # kTGT_MergedSrc L2008-1837
    "\U18234",  # kRSTUnicode 367.11
    "\U18235",  # kTGT_MergedSrc L2008-1561
    "\U18235",  # kRSTUnicode 367.11
    "\U18236",  # kTGT_MergedSrc L2008-0472
    "\U18236",  # kRSTUnicode 367.12
    "\U18237",  # kTGT_MergedSrc L2008-1567
    "\U18237",  # kRSTUnicode 367.12
    "\U18238",  # kTGT_MergedSrc L2008-1568
    "\U18238",  # kRSTUnicode 367.13
    "\U18239",  # kTGT_MergedSrc L2008-1553
    "\U18239",  # kRSTUnicode 367.13
    "\U1823A",  # kTGT_MergedSrc L2008-2390
    "\U1823A",  # kRSTUnicode 368.10
    "\U1823B",  # kTGT_MergedSrc L2008-2924
    "\U1823B",  # kRSTUnicode 369.10
    "\U1823C",  # kTGT_MergedSrc L2008-2976
    "\U1823C",  # kRSTUnicode 369.12
    "\U1823D",  # kTGT_MergedSrc L2008-2392
    "\U1823D",  # kRSTUnicode 369.14
    "\U1823E",  # kTGT_MergedSrc L2008-2925
    "\U1823E",  # kRSTUnicode 369.14
    "\U1823F",  # kTGT_MergedSrc N1966-136-052
    "\U1823F",  # kRSTUnicode 372.11
    "\U18240",  # kTGT_MergedSrc L2008-2975
    "\U18240",  # kRSTUnicode 372.11
    "\U18241",  # kTGT_MergedSrc L2008-1979
    "\U18241",  # kRSTUnicode 372.13
    "\U18242",  # kTGT_MergedSrc L2008-1935
    "\U18242",  # kRSTUnicode 372.14
    "\U18243",  # kTGT_MergedSrc L2008-3445
    "\U18243",  # kRSTUnicode 373.9
    "\U18244",  # kTGT_MergedSrc L2008-2351
    "\U18244",  # kRSTUnicode 373.10
    "\U18245",  # kTGT_MergedSrc L2008-2549
    "\U18245",  # kRSTUnicode 373.10
    "\U18246",  # kTGT_MergedSrc L2008-3755
    "\U18246",  # kRSTUnicode 373.11
    "\U18247",  # kTGT_MergedSrc L2008-3447
    "\U18247",  # kRSTUnicode 373.13
    "\U18248",  # kTGT_MergedSrc L2008-3444
    "\U18248",  # kRSTUnicode 373.13
    "\U18249",  # kTGT_MergedSrc L2008-4566
    "\U18249",  # kRSTUnicode 375.7
    "\U1824A",  # kTGT_MergedSrc L2008-4666
    "\U1824A",  # kRSTUnicode 375.14
    "\U1824B",  # kTGT_MergedSrc L2008-4602
    "\U1824B",  # kRSTUnicode 376.6
    "\U1824C",  # kTGT_MergedSrc L2008-4607
    "\U1824C",  # kRSTUnicode 376.7
    "\U1824D",  # kTGT_MergedSrc L2008-4573
    "\U1824D",  # kRSTUnicode 376.10
    "\U1824E",  # kTGT_MergedSrc L2008-4640
    "\U1824E",  # kRSTUnicode 376.10
    "\U1824F",  # kTGT_MergedSrc L2008-4515
    "\U1824F",  # kRSTUnicode 376.10
    "\U18250",  # kTGT_MergedSrc L2008-4587
    "\U18250",  # kRSTUnicode 376.11
    "\U18251",  # kTGT_MergedSrc L2008-4574
    "\U18251",  # kRSTUnicode 376.11
    "\U18252",  # kTGT_MergedSrc L2008-4575
    "\U18252",  # kRSTUnicode 376.11
    "\U18253",  # kTGT_MergedSrc L2008-4655
    "\U18253",  # kRSTUnicode 376.11
    "\U18254",  # kTGT_MergedSrc L2008-4626
    "\U18254",  # kRSTUnicode 376.11
    "\U18255",  # kTGT_MergedSrc L2008-4645
    "\U18255",  # kRSTUnicode 376.12
    "\U18256",  # kTGT_MergedSrc L2008-4646
    "\U18256",  # kRSTUnicode 376.12
    "\U18257",  # kTGT_MergedSrc L2008-4590
    "\U18257",  # kRSTUnicode 376.12
    "\U18258",  # kTGT_MergedSrc L2008-4562
    "\U18258",  # kRSTUnicode 376.12
    "\U18259",  # kTGT_MergedSrc L2008-4570
    "\U18259",  # kRSTUnicode 376.13
    "\U1825A",  # kTGT_MergedSrc L2008-4641
    "\U1825A",  # kRSTUnicode 376.14
    "\U1825B",  # kTGT_MergedSrc L2008-4588
    "\U1825B",  # kRSTUnicode 376.15
    "\U1825C",  # kTGT_MergedSrc L2008-4522
    "\U1825C",  # kRSTUnicode 376.16
    "\U1825D",  # kTGT_MergedSrc L2008-4595
    "\U1825D",  # kRSTUnicode 378.6
    "\U1825E",  # kTGT_MergedSrc L2008-4601
    "\U1825E",  # kRSTUnicode 378.7
    "\U1825F",  # kTGT_MergedSrc L2008-1884
    "\U1825F",  # kRSTUnicode 379.6
    "\U18260",  # kTGT_MergedSrc L2008-2056
    "\U18260",  # kRSTUnicode 379.10
    "\U18261",  # kTGT_MergedSrc L2008-2596
    "\U18261",  # kRSTUnicode 379.10
    "\U18262",  # kTGT_MergedSrc L2008-3037
    "\U18262",  # kRSTUnicode 379.11
    "\U18263",  # kTGT_MergedSrc L2008-3777
    "\U18263",  # kRSTUnicode 379.13
    "\U18264",  # kTGT_MergedSrc L2008-4056
    "\U18264",  # kRSTUnicode 380.10
    "\U18265",  # kTGT_MergedSrc L2008-3020
    "\U18265",  # kRSTUnicode 381.9
    "\U18266",  # kTGT_MergedSrc L2008-3021
    "\U18266",  # kRSTUnicode 381.10
    "\U18267",  # kTGT_MergedSrc L2008-3523
    "\U18267",  # kRSTUnicode 381.12
    "\U18268",  # kTGT_MergedSrc L2008-3543
    "\U18268",  # kRSTUnicode 381.12
    "\U18269",  # kTGT_MergedSrc L2008-2300
    "\U18269",  # kRSTUnicode 382.11
    "\U1826A",  # kTGT_MergedSrc L2008-3030
    "\U1826A",  # kRSTUnicode 383.9
    "\U1826B",  # kTGT_MergedSrc L2008-2035
    "\U1826B",  # kRSTUnicode 383.10
    "\U1826C",  # kTGT_MergedSrc L2008-2036
    "\U1826C",  # kRSTUnicode 383.10
    "\U1826D",  # kTGT_MergedSrc L2008-2008
    "\U1826D",  # kRSTUnicode 383.10
    "\U1826E",  # kTGT_MergedSrc L2008-2055
    "\U1826E",  # kRSTUnicode 383.10
    "\U1826F",  # kTGT_MergedSrc L2008-2037
    "\U1826F",  # kRSTUnicode 383.10
    "\U18270",  # kTGT_MergedSrc L2008-2580
    "\U18270",  # kRSTUnicode 383.10
    "\U18271",  # kTGT_MergedSrc L2008-3079
    "\U18271",  # kRSTUnicode 383.10
    "\U18272",  # kTGT_MergedSrc L2008-3062
    "\U18272",  # kRSTUnicode 383.10
    "\U18273",  # kTGT_MergedSrc L2008-2059
    "\U18273",  # kRSTUnicode 383.11
    "\U18274",  # kTGT_MergedSrc L2008-2010
    "\U18274",  # kRSTUnicode 383.11
    "\U18275",  # kTGT_MergedSrc L2008-2033
    "\U18275",  # kRSTUnicode 383.11
    "\U18276",  # kTGT_MergedSrc L2008-2060
    "\U18276",  # kRSTUnicode 383.11
    "\U18277",  # kTGT_MergedSrc L2008-2594
    "\U18277",  # kRSTUnicode 383.11
    "\U18278",  # kTGT_MergedSrc L2008-3530
    "\U18278",  # kRSTUnicode 383.11
    "\U18279",  # kTGT_MergedSrc L2008-2426
    "\U18279",  # kRSTUnicode 383.12
    "\U1827A",  # kTGT_MergedSrc L2008-2424
    "\U1827A",  # kRSTUnicode 383.12
    "\U1827B",  # kTGT_MergedSrc L2008-2595
    "\U1827B",  # kRSTUnicode 383.12
    "\U1827C",  # kTGT_MergedSrc L2008-3528
    "\U1827C",  # kRSTUnicode 383.12
    "\U1827D",  # kTGT_MergedSrc L2008-3531
    "\U1827D",  # kRSTUnicode 383.12
    "\U1827E",  # kTGT_MergedSrc L2008-3081
    "\U1827E",  # kRSTUnicode 383.12
    "\U1827F",  # kTGT_MergedSrc L2008-2850
    "\U1827F",  # kRSTUnicode 383.12
    "\U18280",  # kTGT_MergedSrc L2008-2016
    "\U18280",  # kRSTUnicode 383.12
    "\U18281",  # kTGT_MergedSrc L2008-3552
    "\U18281",  # kRSTUnicode 383.13
    "\U18282",  # kTGT_MergedSrc L2008-2015
    "\U18282",  # kRSTUnicode 383.13
    "\U18283",  # kTGT_MergedSrc L2008-3063
    "\U18283",  # kRSTUnicode 383.13
    "\U18284",  # kTGT_MergedSrc L2008-3551
    "\U18284",  # kRSTUnicode 383.13
    "\U18285",  # kTGT_MergedSrc L2008-3775
    "\U18285",  # kRSTUnicode 383.14
    "\U18286",  # kTGT_MergedSrc L2008-2430
    "\U18286",  # kRSTUnicode 383.14
    "\U18287",  # kTGT_MergedSrc L2008-3774
    "\U18287",  # kRSTUnicode 383.14
    "\U18288",  # kTGT_MergedSrc L2008-2735
    "\U18288",  # kRSTUnicode 383.14
    "\U18289",  # kTGT_MergedSrc L2008-2427
    "\U18289",  # kRSTUnicode 383.14
    "\U1828A",  # kTGT_MergedSrc L2008-2038
    "\U1828A",  # kRSTUnicode 383.15
    "\U1828B",  # kTGT_MergedSrc L2008-2428
    "\U1828B",  # kRSTUnicode 383.15
    "\U1828C",  # kTGT_MergedSrc L2008-3064
    "\U1828C",  # kRSTUnicode 383.15
    "\U1828D",  # kTGT_MergedSrc L2008-3014
    "\U1828D",  # kRSTUnicode 383.16
    "\U1828E",  # kTGT_MergedSrc L2008-3532
    "\U1828E",  # kRSTUnicode 383.16
    "\U1828F",  # kTGT_MergedSrc L2008-1887
    "\U1828F",  # kRSTUnicode 384.6
    "\U18290",  # kTGT_MergedSrc L2008-2219
    "\U18290",  # kRSTUnicode 384.10
    "\U18291",  # kTGT_MergedSrc L2008-2071
    "\U18291",  # kRSTUnicode 384.11
    "\U18292",  # kTGT_MergedSrc L2008-3801
    "\U18292",  # kRSTUnicode 384.11
    "\U18293",  # kTGT_MergedSrc L2008-2106
    "\U18293",  # kRSTUnicode 384.12
    "\U18294",  # kTGT_MergedSrc L2008-3568
    "\U18294",  # kRSTUnicode 384.12
    "\U18295",  # kTGT_MergedSrc L2008-2891
    "\U18295",  # kRSTUnicode 384.12
    "\U18296",  # kTGT_MergedSrc L2008-2293
    "\U18296",  # kRSTUnicode 384.14
    "\U18297",  # kTGT_MergedSrc L2008-2768
    "\U18297",  # kRSTUnicode 384.14
    "\U18298",  # kTGT_MergedSrc L2008-2485
    "\U18298",  # kRSTUnicode 384.14
    "\U18299",  # kTGT_MergedSrc L2008-2244
    "\U18299",  # kRSTUnicode 384.15
    "\U1829A",  # kTGT_MergedSrc L2008-3649
    "\U1829A",  # kRSTUnicode 385.12
    "\U1829B",  # kTGT_MergedSrc L2008-2191
    "\U1829B",  # kRSTUnicode 387.11
    "\U1829C",  # kTGT_MergedSrc L2008-2269
    "\U1829C",  # kRSTUnicode 387.12
    "\U1829D",  # kTGT_MergedSrc L2008-2798
    "\U1829D",  # kRSTUnicode 387.13
    "\U1829E",  # kTGT_MergedSrc L2008-3567
    "\U1829E",  # kRSTUnicode 387.13
    "\U1829F",  # kTGT_MergedSrc L2008-3572
    "\U1829F",  # kRSTUnicode 387.13
    "\U182A0",  # kTGT_MergedSrc L2008-3205
    "\U182A0",  # kRSTUnicode 387.14
    "\U182A1",  # kTGT_MergedSrc L2008-2894
    "\U182A1",  # kRSTUnicode 387.15
    "\U182A2",  # kTGT_MergedSrc L2008-2409
    "\U182A2",  # kRSTUnicode 388.10
    "\U182A3",  # kTGT_MergedSrc L2008-3871
    "\U182A3",  # kRSTUnicode 391.11
    "\U182A4",  # kTGT_MergedSrc L2008-3881
    "\U182A4",  # kRSTUnicode 393.11
    "\U182A5",  # kTGT_MergedSrc L2008-3915
    "\U182A5",  # kRSTUnicode 393.11
    "\U182A6",  # kTGT_MergedSrc L2008-3918
    "\U182A6",  # kRSTUnicode 393.11
    "\U182A7",  # kTGT_MergedSrc L2008-3975
    "\U182A7",  # kRSTUnicode 393.11
    "\U182A8",  # kTGT_MergedSrc L2008-3981
    "\U182A8",  # kRSTUnicode 393.11
    "\U182A9",  # kTGT_MergedSrc L2008-4001
    "\U182A9",  # kRSTUnicode 393.12
    "\U182AA",  # kTGT_MergedSrc L2008-3919
    "\U182AA",  # kRSTUnicode 393.13
    "\U182AB",  # kTGT_MergedSrc L2008-3903
    "\U182AB",  # kRSTUnicode 394.10
    "\U182AC",  # kTGT_MergedSrc L2008-3921
    "\U182AC",  # kRSTUnicode 394.11
    "\U182AD",  # kTGT_MergedSrc L2008-4006
    "\U182AD",  # kRSTUnicode 394.11
    "\U182AE",  # kTGT_MergedSrc L2008-3983
    "\U182AE",  # kRSTUnicode 394.11
    "\U182AF",  # kTGT_MergedSrc L2008-4016
    "\U182AF",  # kRSTUnicode 394.12
    "\U182B0",  # kTGT_MergedSrc L2008-4007
    "\U182B0",  # kRSTUnicode 394.12
    "\U182B1",  # kTGT_MergedSrc L2008-3936
    "\U182B1",  # kRSTUnicode 394.13
    "\U182B2",  # kTGT_MergedSrc L2008-4008
    "\U182B2",  # kRSTUnicode 394.15
    "\U182B3",  # kTGT_MergedSrc L2008-3890
    "\U182B3",  # kRSTUnicode 396.10
    "\U182B4",  # kTGT_MergedSrc L2008-3951
    "\U182B4",  # kRSTUnicode 397.9
    "\U182B5",  # kTGT_MergedSrc L2008-3949
    "\U182B5",  # kRSTUnicode 397.10
    "\U182B6",  # kTGT_MergedSrc L2008-3894
    "\U182B6",  # kRSTUnicode 397.10
    "\U182B7",  # kTGT_MergedSrc L2008-3864
    "\U182B7",  # kRSTUnicode 397.11
    "\U182B8",  # kTGT_MergedSrc L2008-3914
    "\U182B8",  # kRSTUnicode 397.12
    "\U182B9",  # kTGT_MergedSrc L2008-3985
    "\U182B9",  # kRSTUnicode 397.12
    "\U182BA",  # kTGT_MergedSrc L2008-3853
    "\U182BA",  # kRSTUnicode 397.13
    "\U182BB",  # kTGT_MergedSrc L2008-3986
    "\U182BB",  # kRSTUnicode 397.14
    "\U182BC",  # kTGT_MergedSrc L2008-3987
    "\U182BC",  # kRSTUnicode 397.14
    "\U182BD",  # kTGT_MergedSrc L2008-3955
    "\U182BD",  # kRSTUnicode 397.14
    "\U182BE",  # kTGT_MergedSrc L2008-3948
    "\U182BE",  # kRSTUnicode 397.14
    "\U182BF",  # kTGT_MergedSrc L2008-3962
    "\U182BF",  # kRSTUnicode 397.16
    "\U182C0",  # kTGT_MergedSrc L2008-3854
    "\U182C0",  # kRSTUnicode 398.9
    "\U182C1",  # kTGT_MergedSrc L2008-3956
    "\U182C1",  # kRSTUnicode 398.10
    "\U182C2",  # kTGT_MergedSrc L2008-3905
    "\U182C2",  # kRSTUnicode 398.11
    "\U182C3",  # kTGT_MergedSrc L2008-3929
    "\U182C3",  # kRSTUnicode 398.12
    "\U182C4",  # kTGT_MergedSrc L2008-3995
    "\U182C4",  # kRSTUnicode 398.13
    "\U182C5",  # kTGT_MergedSrc L2008-3984
    "\U182C5",  # kRSTUnicode 400.8
    "\U182C6",  # kTGT_MergedSrc L2008-3958
    "\U182C6",  # kRSTUnicode 401.8
    "\U182C7",  # kTGT_MergedSrc L2008-3859
    "\U182C7",  # kRSTUnicode 401.14
    "\U182C8",  # kTGT_MergedSrc L2008-3907
    "\U182C8",  # kRSTUnicode 401.16
    "\U182C9",  # kTGT_MergedSrc L2008-3970
    "\U182C9",  # kRSTUnicode 402.10
    "\U182CA",  # kTGT_MergedSrc L2008-3977
    "\U182CA",  # kRSTUnicode 402.11
    "\U182CB",  # kTGT_MergedSrc L2008-3969
    "\U182CB",  # kRSTUnicode 402.13
    "\U182CC",  # kTGT_MergedSrc L2008-3917
    "\U182CC",  # kRSTUnicode 402.14
    "\U182CD",  # kTGT_MergedSrc L2008-3998
    "\U182CD",  # kRSTUnicode 402.14
    "\U182CE",  # kTGT_MergedSrc L2008-3942
    "\U182CE",  # kRSTUnicode 403.15
    "\U182CF",  # kTGT_MergedSrc L2008-5301
    "\U182CF",  # kRSTUnicode 405.8
    "\U182D0",  # kTGT_MergedSrc L2008-5439
    "\U182D0",  # kRSTUnicode 405.8
    "\U182D1",  # kTGT_MergedSrc L2008-5679
    "\U182D1",  # kRSTUnicode 405.11
    "\U182D2",  # kTGT_MergedSrc L2008-5214
    "\U182D2",  # kRSTUnicode 405.12
    "\U182D3",  # kTGT_MergedSrc L2008-5596
    "\U182D3",  # kRSTUnicode 405.12
    "\U182D4",  # kTGT_MergedSrc L2008-5444
    "\U182D4",  # kRSTUnicode 405.12
    "\U182D5",  # kTGT_MergedSrc L2008-5661
    "\U182D5",  # kRSTUnicode 405.12
    "\U182D6",  # kTGT_MergedSrc L2008-5195
    "\U182D6",  # kRSTUnicode 407.9
    "\U182D7",  # kTGT_MergedSrc L2008-5635
    "\U182D7",  # kRSTUnicode 407.10
    "\U182D8",  # kTGT_MergedSrc L2008-5401
    "\U182D8",  # kRSTUnicode 407.12
    "\U182D9",  # kTGT_MergedSrc L2008-5680
    "\U182D9",  # kRSTUnicode 407.12
    "\U182DA",  # kTGT_MergedSrc L2008-5201
    "\U182DA",  # kRSTUnicode 407.13
    "\U182DB",  # kTGT_MergedSrc L2008-5227
    "\U182DB",  # kRSTUnicode 407.13
    "\U182DC",  # kTGT_MergedSrc L2008-5479
    "\U182DC",  # kRSTUnicode 407.13
    "\U182DD",  # kTGT_MergedSrc L2008-5807
    "\U182DD",  # kRSTUnicode 409.6
    "\U182DE",  # kTGT_MergedSrc L2008-5921
    "\U182DE",  # kRSTUnicode 409.10
    "\U182DF",  # kTGT_MergedSrc L2008-5825
    "\U182DF",  # kRSTUnicode 409.11
    "\U182E0",  # kTGT_MergedSrc L2008-5932
    "\U182E0",  # kRSTUnicode 409.12
    "\U182E1",  # kTGT_MergedSrc L2008-5971
    "\U182E1",  # kRSTUnicode 409.12
    "\U182E2",  # kTGT_MergedSrc L2008-5906
    "\U182E2",  # kRSTUnicode 409.13
    "\U182E3",  # kTGT_MergedSrc L2008-5972
    "\U182E3",  # kRSTUnicode 409.14
    "\U182E4",  # kTGT_MergedSrc L2008-5907
    "\U182E4",  # kRSTUnicode 409.15
    "\U182E5",  # kTGT_MergedSrc L2008-5609
    "\U182E5",  # kRSTUnicode 412.9
    "\U182E6",  # kTGT_MergedSrc L2008-5617
    "\U182E6",  # kRSTUnicode 412.10
    "\U182E7",  # kTGT_MergedSrc L2008-5381
    "\U182E7",  # kRSTUnicode 412.10
    "\U182E8",  # kTGT_MergedSrc L2008-5306
    "\U182E8",  # kRSTUnicode 412.11
    "\U182E9",  # kTGT_MergedSrc L2008-5447
    "\U182E9",  # kRSTUnicode 412.12
    "\U182EA",  # kTGT_MergedSrc L2008-5182
    "\U182EA",  # kRSTUnicode 412.12
    "\U182EB",  # kTGT_MergedSrc L2008-5375
    "\U182EB",  # kRSTUnicode 412.12
    "\U182EC",  # kTGT_MergedSrc L2008-5610
    "\U182EC",  # kRSTUnicode 412.12
    "\U182ED",  # kTGT_MergedSrc L2008-5440
    "\U182ED",  # kRSTUnicode 412.13
    "\U182EE",  # kTGT_MergedSrc L2008-5755
    "\U182EE",  # kRSTUnicode 412.13
    "\U182EF",  # kTGT_MergedSrc L2008-5650
    "\U182EF",  # kRSTUnicode 412.13
    "\U182F0",  # kTGT_MergedSrc L2008-5189
    "\U182F0",  # kRSTUnicode 412.13
    "\U182F1",  # kTGT_MergedSrc L2008-5632
    "\U182F1",  # kRSTUnicode 412.13
    "\U182F2",  # kTGT_MergedSrc L2008-5627
    "\U182F2",  # kRSTUnicode 412.13
    "\U182F3",  # kTGT_MergedSrc L2008-5598
    "\U182F3",  # kRSTUnicode 412.13
    "\U182F4",  # kTGT_MergedSrc L2008-5235
    "\U182F4",  # kRSTUnicode 412.14
    "\U182F5",  # kTGT_MergedSrc L2008-5190
    "\U182F5",  # kRSTUnicode 412.14
    "\U182F6",  # kTGT_MergedSrc L2008-5580
    "\U182F6",  # kRSTUnicode 412.15
    "\U182F7",  # kTGT_MergedSrc L2008-5651
    "\U182F7",  # kRSTUnicode 412.16
    "\U182F8",  # kTGT_MergedSrc L2008-5244
    "\U182F8",  # kRSTUnicode 412.16
    "\U182F9",  # kTGT_MergedSrc L2008-5342
    "\U182F9",  # kRSTUnicode 412.17
    "\U182FA",  # kTGT_MergedSrc L2008-5297
    "\U182FA",  # kRSTUnicode 414.10
    "\U182FB",  # kTGT_MergedSrc L2008-5708
    "\U182FB",  # kRSTUnicode 414.10
    "\U182FC",  # kTGT_MergedSrc L2008-5545
    "\U182FC",  # kRSTUnicode 414.10
    "\U182FD",  # kTGT_MergedSrc L2008-5507
    "\U182FD",  # kRSTUnicode 414.10
    "\U182FE",  # kTGT_MergedSrc L2008-5144
    "\U182FE",  # kRSTUnicode 414.12
    "\U182FF",  # kTGT_MergedSrc L2008-5147
    "\U182FF",  # kRSTUnicode 414.12
    "\U18300",  # kTGT_MergedSrc L2008-5508
    "\U18300",  # kRSTUnicode 414.13
    "\U18301",  # kTGT_MergedSrc L2008-5428
    "\U18301",  # kRSTUnicode 414.13
    "\U18302",  # kTGT_MergedSrc L2008-5806
    "\U18302",  # kRSTUnicode 415.6
    "\U18303",  # kTGT_MergedSrc L2008-5818
    "\U18303",  # kRSTUnicode 415.9
    "\U18304",  # kTGT_MergedSrc L2008-5922
    "\U18304",  # kRSTUnicode 415.10
    "\U18305",  # kTGT_MergedSrc L2008-5864
    "\U18305",  # kRSTUnicode 415.10
    "\U18306",  # kTGT_MergedSrc L2008-5924
    "\U18306",  # kRSTUnicode 415.10
    "\U18307",  # kTGT_MergedSrc L2008-5990
    "\U18307",  # kRSTUnicode 415.10
    "\U18308",  # kTGT_MergedSrc L2008-5821
    "\U18308",  # kRSTUnicode 415.11
    "\U18309",  # kTGT_MergedSrc L2008-5866
    "\U18309",  # kRSTUnicode 415.11
    "\U1830A",  # kTGT_MergedSrc L2008-5888
    "\U1830A",  # kRSTUnicode 415.11
    "\U1830B",  # kTGT_MergedSrc L2008-5926
    "\U1830B",  # kRSTUnicode 415.11
    "\U1830C",  # kTGT_MergedSrc L2008-5973
    "\U1830C",  # kRSTUnicode 415.12
    "\U1830D",  # kTGT_MergedSrc L2008-5903
    "\U1830D",  # kRSTUnicode 415.12
    "\U1830E",  # kTGT_MergedSrc L2008-5905
    "\U1830E",  # kRSTUnicode 415.12
    "\U1830F",  # kTGT_MergedSrc L2008-5917
    "\U1830F",  # kRSTUnicode 415.12
    "\U18310",  # kTGT_MergedSrc L2008-5868
    "\U18310",  # kRSTUnicode 415.12
    "\U18311",  # kTGT_MergedSrc L2008-5827
    "\U18311",  # kRSTUnicode 415.13
    "\U18312",  # kTGT_MergedSrc L2008-5891
    "\U18312",  # kRSTUnicode 415.13
    "\U18313",  # kTGT_MergedSrc L2008-5927
    "\U18313",  # kRSTUnicode 415.13
    "\U18314",  # kTGT_MergedSrc L2008-5928
    "\U18314",  # kRSTUnicode 415.13
    "\U18315",  # kTGT_MergedSrc L2008-5822
    "\U18315",  # kRSTUnicode 415.14
    "\U18316",  # kTGT_MergedSrc L2008-5824
    "\U18316",  # kRSTUnicode 415.14
    "\U18317",  # kTGT_MergedSrc L2008-5823
    "\U18317",  # kRSTUnicode 415.14
    "\U18318",  # kTGT_MergedSrc L2008-5867
    "\U18318",  # kRSTUnicode 415.15
    "\U18319",  # kTGT_MergedSrc L2008-5829
    "\U18319",  # kRSTUnicode 415.15
    "\U1831A",  # kTGT_MergedSrc L2008-5929
    "\U1831A",  # kRSTUnicode 415.15
    "\U1831B",  # kTGT_MergedSrc L2008-5819
    "\U1831B",  # kRSTUnicode 415.16
    "\U1831C",  # kTGT_MergedSrc L2008-5970
    "\U1831C",  # kRSTUnicode 415.16
    "\U1831D",  # kTGT_MergedSrc L2008-6072
    "\U1831D",  # kRSTUnicode 415.16
    "\U1831E",  # kTGT_MergedSrc L2008-5828
    "\U1831E",  # kRSTUnicode 415.17
    "\U1831F",  # kTGT_MergedSrc L2008-5863
    "\U1831F",  # kRSTUnicode 416.10
    "\U18320",  # kTGT_MergedSrc L2008-5908
    "\U18320",  # kRSTUnicode 416.12
    "\U18321",  # kTGT_MergedSrc L2008-5826
    "\U18321",  # kRSTUnicode 416.16
    "\U18322",  # kTGT_MergedSrc L2008-5810
    "\U18322",  # kRSTUnicode 417.6
    "\U18323",  # kTGT_MergedSrc L2008-5942
    "\U18323",  # kRSTUnicode 417.10
    "\U18324",  # kTGT_MergedSrc L2008-5941
    "\U18324",  # kRSTUnicode 417.11
    "\U18325",  # kTGT_MergedSrc L2008-5979
    "\U18325",  # kRSTUnicode 417.12
    "\U18326",  # kTGT_MergedSrc L2008-5943
    "\U18326",  # kRSTUnicode 417.13
    "\U18327",  # kTGT_MergedSrc L2008-5537
    "\U18327",  # kRSTUnicode 419.7
    "\U18328",  # kTGT_MergedSrc L2008-5257
    "\U18328",  # kRSTUnicode 419.8
    "\U18329",  # kTGT_MergedSrc L2008-5088
    "\U18329",  # kRSTUnicode 419.9
    "\U1832A",  # kTGT_MergedSrc L2008-5538
    "\U1832A",  # kRSTUnicode 419.9
    "\U1832B",  # kTGT_MergedSrc L2008-5124
    "\U1832B",  # kRSTUnicode 419.10
    "\U1832C",  # kTGT_MergedSrc L2008-5089
    "\U1832C",  # kRSTUnicode 419.10
    "\U1832D",  # kTGT_MergedSrc L2008-5129
    "\U1832D",  # kRSTUnicode 419.10
    "\U1832E",  # kTGT_MergedSrc L2008-5265
    "\U1832E",  # kRSTUnicode 419.10
    "\U1832F",  # kTGT_MergedSrc L2008-5296
    "\U1832F",  # kRSTUnicode 419.10
    "\U18330",  # kTGT_MergedSrc L2008-5707
    "\U18330",  # kRSTUnicode 419.10
    "\U18331",  # kTGT_MergedSrc L2008-5539
    "\U18331",  # kRSTUnicode 419.10
    "\U18332",  # kTGT_MergedSrc L2008-5559
    "\U18332",  # kRSTUnicode 419.10
    "\U18333",  # kTGT_MergedSrc L2008-5141
    "\U18333",  # kRSTUnicode 419.11
    "\U18334",  # kTGT_MergedSrc L2008-5151
    "\U18334",  # kRSTUnicode 419.11
    "\U18335",  # kTGT_MergedSrc L2008-5125
    "\U18335",  # kRSTUnicode 419.11
    "\U18336",  # kTGT_MergedSrc L2008-5090
    "\U18336",  # kRSTUnicode 419.11
    "\U18337",  # kTGT_MergedSrc L2008-5366
    "\U18337",  # kRSTUnicode 419.11
    "\U18338",  # kTGT_MergedSrc L2008-5558
    "\U18338",  # kRSTUnicode 419.11
    "\U18339",  # kTGT_MergedSrc L2008-5575
    "\U18339",  # kRSTUnicode 419.11
    "\U1833A",  # kTGT_MergedSrc L2008-5152
    "\U1833A",  # kRSTUnicode 419.12
    "\U1833B",  # kTGT_MergedSrc L2008-5096
    "\U1833B",  # kRSTUnicode 419.12
    "\U1833C",  # kTGT_MergedSrc L2008-5563
    "\U1833C",  # kRSTUnicode 419.12
    "\U1833D",  # kTGT_MergedSrc L2008-5354
    "\U1833D",  # kRSTUnicode 419.12
    "\U1833E",  # kTGT_MergedSrc L2008-5426
    "\U1833E",  # kRSTUnicode 419.12
    "\U1833F",  # kTGT_MergedSrc L2008-5577
    "\U1833F",  # kRSTUnicode 419.12
    "\U18340",  # kTGT_MergedSrc L2008-5560
    "\U18340",  # kRSTUnicode 419.12
    "\U18341",  # kTGT_MergedSrc L2008-5695
    "\U18341",  # kRSTUnicode 419.13
    "\U18342",  # kTGT_MergedSrc L2008-5504
    "\U18342",  # kRSTUnicode 419.13
    "\U18343",  # kTGT_MergedSrc L2008-5540
    "\U18343",  # kRSTUnicode 419.13
    "\U18344",  # kTGT_MergedSrc L2008-5502
    "\U18344",  # kRSTUnicode 419.13
    "\U18345",  # kTGT_MergedSrc L2008-6060
    "\U18345",  # kRSTUnicode 419.14
    "\U18346",  # kTGT_MergedSrc L2008-5562
    "\U18346",  # kRSTUnicode 419.14
    "\U18347",  # kTGT_MergedSrc L2008-5263
    "\U18347",  # kRSTUnicode 419.14
    "\U18348",  # kTGT_MergedSrc L2008-5463
    "\U18348",  # kRSTUnicode 419.15
    "\U18349",  # kTGT_MergedSrc L2008-5142
    "\U18349",  # kRSTUnicode 419.15
    "\U1834A",  # kTGT_MergedSrc L2008-5092
    "\U1834A",  # kRSTUnicode 419.15
    "\U1834B",  # kTGT_MergedSrc L2008-5561
    "\U1834B",  # kRSTUnicode 419.15
    "\U1834C",  # kTGT_MergedSrc L2008-5266
    "\U1834C",  # kRSTUnicode 419.17
    "\U1834D",  # kTGT_MergedSrc L2008-5506
    "\U1834D",  # kRSTUnicode 419.17
    "\U1834E",  # kTGT_MergedSrc L2008-5786
    "\U1834E",  # kRSTUnicode 420.11
    "\U1834F",  # kTGT_MergedSrc L2008-5063
    "\U1834F",  # kRSTUnicode 422.9
    "\U18350",  # kTGT_MergedSrc L2008-4675
    "\U18350",  # kRSTUnicode 423.6
    "\U18351",  # kTGT_MergedSrc L2008-5267
    "\U18351",  # kRSTUnicode 423.9
    "\U18352",  # kTGT_MergedSrc L2008-5097
    "\U18352",  # kRSTUnicode 423.10
    "\U18353",  # kTGT_MergedSrc L2008-5154
    "\U18353",  # kRSTUnicode 423.11
    "\U18354",  # kTGT_MergedSrc L2008-5566
    "\U18354",  # kRSTUnicode 423.11
    "\U18355",  # kTGT_MergedSrc L2008-6058
    "\U18355",  # kRSTUnicode 423.12
    "\U18356",  # kTGT_MergedSrc L2008-5470
    "\U18356",  # kRSTUnicode 423.12
    "\U18357",  # kTGT_MergedSrc L2008-5720
    "\U18357",  # kRSTUnicode 423.13
    "\U18358",  # kTGT_MergedSrc L2008-5145
    "\U18358",  # kRSTUnicode 423.15
    "\U18359",  # kTGT_MergedSrc L2008-5699
    "\U18359",  # kRSTUnicode 423.15
    "\U1835A",  # kTGT_MergedSrc L2008-5132
    "\U1835A",  # kRSTUnicode 423.16
    "\U1835B",  # kTGT_MergedSrc L2008-6066
    "\U1835B",  # kRSTUnicode 423.18
    "\U1835C",  # kTGT_MergedSrc L2008-6056
    "\U1835C",  # kRSTUnicode 423.22
    "\U1835D",  # kTGT_MergedSrc L2008-4743
    "\U1835D",  # kRSTUnicode 428.6
    "\U1835E",  # kTGT_MergedSrc L2008-5258
    "\U1835E",  # kRSTUnicode 428.9
    "\U1835F",  # kTGT_MergedSrc L2008-5533
    "\U1835F",  # kRSTUnicode 428.10
    "\U18360",  # kTGT_MergedSrc L2008-5571
    "\U18360",  # kRSTUnicode 428.10
    "\U18361",  # kTGT_MergedSrc L2008-5365
    "\U18361",  # kRSTUnicode 428.12
    "\U18362",  # kTGT_MergedSrc L2008-5784
    "\U18362",  # kRSTUnicode 428.12
    "\U18363",  # kTGT_MergedSrc L2008-5715
    "\U18363",  # kRSTUnicode 428.12
    "\U18364",  # kTGT_MergedSrc L2008-5123
    "\U18364",  # kRSTUnicode 428.14
    "\U18365",  # kTGT_MergedSrc L2008-5536
    "\U18365",  # kRSTUnicode 428.14
    "\U18366",  # kTGT_MergedSrc L2008-5498
    "\U18366",  # kRSTUnicode 428.14
    "\U18367",  # kTGT_MergedSrc L2008-5118
    "\U18367",  # kRSTUnicode 428.18
    "\U18368",  # kTGT_MergedSrc L2008-5222
    "\U18368",  # kRSTUnicode 429.10
    "\U18369",  # kTGT_MergedSrc L2008-5741
    "\U18369",  # kRSTUnicode 429.10
    "\U1836A",  # kTGT_MergedSrc L2008-5590
    "\U1836A",  # kRSTUnicode 429.10
    "\U1836B",  # kTGT_MergedSrc L2008-5248
    "\U1836B",  # kRSTUnicode 429.11
    "\U1836C",  # kTGT_MergedSrc L2008-5748
    "\U1836C",  # kRSTUnicode 429.11
    "\U1836D",  # kTGT_MergedSrc L2008-5234
    "\U1836D",  # kRSTUnicode 429.12
    "\U1836E",  # kTGT_MergedSrc L2008-5749
    "\U1836E",  # kRSTUnicode 429.12
    "\U1836F",  # kTGT_MergedSrc L2008-5441
    "\U1836F",  # kRSTUnicode 429.12
    "\U18370",  # kTGT_MergedSrc L2008-5634
    "\U18370",  # kRSTUnicode 430.8
    "\U18371",  # kTGT_MergedSrc L2008-6062
    "\U18371",  # kRSTUnicode 430.14
    "\U18372",  # kTGT_MergedSrc L2008-5311
    "\U18372",  # kRSTUnicode 430.14
    "\U18373",  # kTGT_MergedSrc L2008-5531
    "\U18373",  # kRSTUnicode 431.8
    "\U18374",  # kTGT_MergedSrc L2008-5065
    "\U18374",  # kRSTUnicode 431.10
    "\U18375",  # kTGT_MergedSrc L2008-5286
    "\U18375",  # kRSTUnicode 431.10
    "\U18376",  # kTGT_MergedSrc L2008-5073
    "\U18376",  # kRSTUnicode 431.11
    "\U18377",  # kTGT_MergedSrc L2008-5074
    "\U18377",  # kRSTUnicode 431.11
    "\U18378",  # kTGT_MergedSrc L2008-5579
    "\U18378",  # kRSTUnicode 431.11
    "\U18379",  # kTGT_MergedSrc L2008-5290
    "\U18379",  # kRSTUnicode 431.12
    "\U1837A",  # kTGT_MergedSrc L2008-5499
    "\U1837A",  # kRSTUnicode 431.12
    "\U1837B",  # kTGT_MergedSrc L2008-5714
    "\U1837B",  # kRSTUnicode 431.12
    "\U1837C",  # kTGT_MergedSrc L2008-5081
    "\U1837C",  # kRSTUnicode 431.13
    "\U1837D",  # kTGT_MergedSrc L2008-5082
    "\U1837D",  # kRSTUnicode 431.13
    "\U1837E",  # kTGT_MergedSrc L2008-5553
    "\U1837E",  # kRSTUnicode 431.13
    "\U1837F",  # kTGT_MergedSrc L2008-5420
    "\U1837F",  # kRSTUnicode 431.13
    "\U18380",  # kTGT_MergedSrc L2008-5527
    "\U18380",  # kRSTUnicode 431.13
    "\U18381",  # kTGT_MergedSrc L2008-5534
    "\U18381",  # kRSTUnicode 431.13
    "\U18382",  # kTGT_MergedSrc N1966-111-081
    "\U18382",  # kRSTUnicode 431.14
    "\U18383",  # kTGT_MergedSrc L2008-5134
    "\U18383",  # kRSTUnicode 431.15
    "\U18384",  # kTGT_MergedSrc L2008-5693
    "\U18384",  # kRSTUnicode 431.15
    "\U18385",  # kTGT_MergedSrc H2004-A-5796
    "\U18385",  # kRSTUnicode 432.11
    "\U18386",  # kTGT_MergedSrc L2008-4889
    "\U18386",  # kRSTUnicode 432.12
    "\U18387",  # kTGT_MergedSrc L2008-4928
    "\U18387",  # kRSTUnicode 432.13
    "\U18388",  # kTGT_MergedSrc L2008-4929
    "\U18388",  # kRSTUnicode 432.13
    "\U18389",  # kTGT_MergedSrc L2008-5009
    "\U18389",  # kRSTUnicode 432.14
    "\U1838A",  # kTGT_MergedSrc L2008-4912
    "\U1838A",  # kRSTUnicode 432.14
    "\U1838B",  # kTGT_MergedSrc L2008-4876
    "\U1838B",  # kRSTUnicode 432.14
    "\U1838C",  # kTGT_MergedSrc L2008-5023
    "\U1838C",  # kRSTUnicode 432.14
    "\U1838D",  # kTGT_MergedSrc L2008-4890
    "\U1838D",  # kRSTUnicode 432.15
    "\U1838E",  # kTGT_MergedSrc L2008-4734
    "\U1838E",  # kRSTUnicode 432.16
    "\U1838F",  # kTGT_MergedSrc L2008-4714
    "\U1838F",  # kRSTUnicode 432.16
    "\U18390",  # kTGT_MergedSrc L2008-4827
    "\U18390",  # kRSTUnicode 432.16
    "\U18391",  # kTGT_MergedSrc L2008-4983
    "\U18391",  # kRSTUnicode 432.16
    "\U18392",  # kTGT_MergedSrc L2008-4802
    "\U18392",  # kRSTUnicode 432.17
    "\U18393",  # kTGT_MergedSrc L2008-5224
    "\U18393",  # kRSTUnicode 434.11
    "\U18394",  # kTGT_MergedSrc L2008-5385
    "\U18394",  # kRSTUnicode 434.11
    "\U18395",  # kTGT_MergedSrc L2008-5338
    "\U18395",  # kRSTUnicode 434.12
    "\U18396",  # kTGT_MergedSrc L2008-5337
    "\U18396",  # kRSTUnicode 434.12
    "\U18397",  # kTGT_MergedSrc L2008-5667
    "\U18397",  # kRSTUnicode 434.12
    "\U18398",  # kTGT_MergedSrc L2008-5242
    "\U18398",  # kRSTUnicode 434.13
    "\U18399",  # kTGT_MergedSrc L2008-5454
    "\U18399",  # kRSTUnicode 434.13
    "\U1839A",  # kTGT_MergedSrc L2008-5602
    "\U1839A",  # kRSTUnicode 434.13
    "\U1839B",  # kTGT_MergedSrc L2008-5340
    "\U1839B",  # kRSTUnicode 434.14
    "\U1839C",  # kTGT_MergedSrc L2008-5204
    "\U1839C",  # kRSTUnicode 434.14
    "\U1839D",  # kTGT_MergedSrc L2008-5767
    "\U1839D",  # kRSTUnicode 434.15
    "\U1839E",  # kTGT_MergedSrc L2008-5731
    "\U1839E",  # kRSTUnicode 434.15
    "\U1839F",  # kTGT_MergedSrc L2008-5766
    "\U1839F",  # kRSTUnicode 434.16
    "\U183A0",  # kTGT_MergedSrc L2008-5603
    "\U183A0",  # kRSTUnicode 434.18
    "\U183A1",  # kTGT_MergedSrc L2008-5668
    "\U183A1",  # kRSTUnicode 434.18
    "\U183A2",  # kTGT_MergedSrc L2008-5299
    "\U183A2",  # kRSTUnicode 436.7
    "\U183A3",  # kTGT_MergedSrc L2008-5611
    "\U183A3",  # kRSTUnicode 436.7
    "\U183A4",  # kTGT_MergedSrc L2008-5300
    "\U183A4",  # kRSTUnicode 436.8
    "\U183A5",  # kTGT_MergedSrc L2008-5633
    "\U183A5",  # kRSTUnicode 436.8
    "\U183A6",  # kTGT_MergedSrc L2008-5434
    "\U183A6",  # kRSTUnicode 436.8
    "\U183A7",  # kTGT_MergedSrc L2008-5156
    "\U183A7",  # kRSTUnicode 436.9
    "\U183A8",  # kTGT_MergedSrc L2008-5591
    "\U183A8",  # kRSTUnicode 436.9
    "\U183A9",  # kTGT_MergedSrc L2008-5380
    "\U183A9",  # kRSTUnicode 436.9
    "\U183AA",  # kTGT_MergedSrc L2008-5612
    "\U183AA",  # kRSTUnicode 436.9
    "\U183AB",  # kTGT_MergedSrc L2008-5157
    "\U183AB",  # kRSTUnicode 436.10
    "\U183AC",  # kTGT_MergedSrc L2008-5241
    "\U183AC",  # kRSTUnicode 436.10
    "\U183AD",  # kTGT_MergedSrc L2008-5169
    "\U183AD",  # kRSTUnicode 436.10
    "\U183AE",  # kTGT_MergedSrc L2008-5212
    "\U183AE",  # kRSTUnicode 436.10
    "\U183AF",  # kTGT_MergedSrc L2008-5236
    "\U183AF",  # kRSTUnicode 436.10
    "\U183B0",  # kTGT_MergedSrc L2008-5220
    "\U183B0",  # kRSTUnicode 436.10
    "\U183B1",  # kTGT_MergedSrc L2008-5237
    "\U183B1",  # kRSTUnicode 436.10
    "\U183B2",  # kTGT_MergedSrc L2008-5621
    "\U183B2",  # kRSTUnicode 436.10
    "\U183B3",  # kTGT_MergedSrc L2008-5435
    "\U183B3",  # kRSTUnicode 436.10
    "\U183B4",  # kTGT_MergedSrc L2008-5313
    "\U183B4",  # kRSTUnicode 436.10
    "\U183B5",  # kTGT_MergedSrc L2008-5613
    "\U183B5",  # kRSTUnicode 436.10
    "\U183B6",  # kTGT_MergedSrc L2008-5308
    "\U183B6",  # kRSTUnicode 436.10
    "\U183B7",  # kTGT_MergedSrc L2008-5384
    "\U183B7",  # kRSTUnicode 436.10
    "\U183B8",  # kTGT_MergedSrc L2008-5371
    "\U183B8",  # kRSTUnicode 436.10
    "\U183B9",  # kTGT_MergedSrc L2008-5735
    "\U183B9",  # kRSTUnicode 436.10
    "\U183BA",  # kTGT_MergedSrc L2008-5802
    "\U183BA",  # kRSTUnicode 436.10
    "\U183BB",  # kTGT_MergedSrc L2008-5581
    "\U183BB",  # kRSTUnicode 436.10
    "\U183BC",  # kTGT_MergedSrc L2008-5671
    "\U183BC",  # kRSTUnicode 436.10
    "\U183BD",  # kTGT_MergedSrc L2008-5686
    "\U183BD",  # kRSTUnicode 436.10
    "\U183BE",  # kTGT_MergedSrc L2008-5644
    "\U183BE",  # kRSTUnicode 436.10
    "\U183BF",  # kTGT_MergedSrc L2008-5160
    "\U183BF",  # kRSTUnicode 436.10
    "\U183C0",  # kTGT_MergedSrc L2008-5304
    "\U183C0",  # kRSTUnicode 436.11
    "\U183C1",  # kTGT_MergedSrc L2008-5448
    "\U183C1",  # kRSTUnicode 436.11
    "\U183C2",  # kTGT_MergedSrc L2008-5159
    "\U183C2",  # kRSTUnicode 436.11
    "\U183C3",  # kTGT_MergedSrc L2008-5246
    "\U183C3",  # kRSTUnicode 436.11
    "\U183C4",  # kTGT_MergedSrc L2008-5199
    "\U183C4",  # kRSTUnicode 436.11
    "\U183C5",  # kTGT_MergedSrc S1968-2650
    "\U183C5",  # kRSTUnicode 436.11
    "\U183C6",  # kTGT_MergedSrc L2008-5158
    "\U183C6",  # kRSTUnicode 436.11
    "\U183C7",  # kTGT_MergedSrc L2008-5452
    "\U183C7",  # kRSTUnicode 436.11
    "\U183C8",  # kTGT_MergedSrc L2008-5170
    "\U183C8",  # kRSTUnicode 436.11
    "\U183C9",  # kTGT_MergedSrc L2008-5218
    "\U183C9",  # kRSTUnicode 436.11
    "\U183CA",  # kTGT_MergedSrc L2008-5396
    "\U183CA",  # kRSTUnicode 436.11
    "\U183CB",  # kTGT_MergedSrc L2008-5171
    "\U183CB",  # kRSTUnicode 436.11
    "\U183CC",  # kTGT_MergedSrc L2008-5676
    "\U183CC",  # kRSTUnicode 436.11
    "\U183CD",  # kTGT_MergedSrc L2008-5653
    "\U183CD",  # kRSTUnicode 436.11
    "\U183CE",  # kTGT_MergedSrc L2008-5333
    "\U183CE",  # kRSTUnicode 436.11
    "\U183CF",  # kTGT_MergedSrc L2008-5317
    "\U183CF",  # kRSTUnicode 436.11
    "\U183D0",  # kTGT_MergedSrc L2008-5307
    "\U183D0",  # kRSTUnicode 436.11
    "\U183D1",  # kTGT_MergedSrc L2008-5393
    "\U183D1",  # kRSTUnicode 436.11
    "\U183D2",  # kTGT_MergedSrc L2008-5390
    "\U183D2",  # kRSTUnicode 436.11
    "\U183D3",  # kTGT_MergedSrc L2008-5383
    "\U183D3",  # kRSTUnicode 436.11
    "\U183D4",  # kTGT_MergedSrc L2008-5372
    "\U183D4",  # kRSTUnicode 436.11
    "\U183D5",  # kTGT_MergedSrc L2008-5389
    "\U183D5",  # kRSTUnicode 436.11
    "\U183D6",  # kTGT_MergedSrc L2008-5800
    "\U183D6",  # kRSTUnicode 436.11
    "\U183D7",  # kTGT_MergedSrc L2008-5750
    "\U183D7",  # kRSTUnicode 436.11
    "\U183D8",  # kTGT_MergedSrc L2008-5736
    "\U183D8",  # kRSTUnicode 436.11
    "\U183D9",  # kTGT_MergedSrc L2008-5582
    "\U183D9",  # kRSTUnicode 436.11
    "\U183DA",  # kTGT_MergedSrc L2008-5645
    "\U183DA",  # kRSTUnicode 436.11
    "\U183DB",  # kTGT_MergedSrc L2008-5472
    "\U183DB",  # kRSTUnicode 436.11
    "\U183DC",  # kTGT_MergedSrc L2008-5638
    "\U183DC",  # kRSTUnicode 436.11
    "\U183DD",  # kTGT_MergedSrc L2008-5672
    "\U183DD",  # kRSTUnicode 436.11
    "\U183DE",  # kTGT_MergedSrc L2008-5685
    "\U183DE",  # kRSTUnicode 436.11
    "\U183DF",  # kTGT_MergedSrc L2008-5620
    "\U183DF",  # kRSTUnicode 436.11
    "\U183E0",  # kTGT_MergedSrc L2008-5457
    "\U183E0",  # kRSTUnicode 436.12
    "\U183E1",  # kTGT_MergedSrc L2008-5247
    "\U183E1",  # kRSTUnicode 436.12
    "\U183E2",  # kTGT_MergedSrc L2008-5177
    "\U183E2",  # kRSTUnicode 436.12
    "\U183E3",  # kTGT_MergedSrc L2008-5455
    "\U183E3",  # kRSTUnicode 436.12
    "\U183E4",  # kTGT_MergedSrc L2008-5221
    "\U183E4",  # kRSTUnicode 436.12
    "\U183E5",  # kTGT_MergedSrc L2008-5330
    "\U183E5",  # kRSTUnicode 436.12
    "\U183E6",  # kTGT_MergedSrc L2008-5183
    "\U183E6",  # kRSTUnicode 436.12
    "\U183E7",  # kTGT_MergedSrc L2008-5322
    "\U183E7",  # kRSTUnicode 436.12
    "\U183E8",  # kTGT_MergedSrc L2008-5655
    "\U183E8",  # kRSTUnicode 436.12
    "\U183E9",  # kTGT_MergedSrc L2008-5397
    "\U183E9",  # kRSTUnicode 436.12
    "\U183EA",  # kTGT_MergedSrc L2008-5654
    "\U183EA",  # kRSTUnicode 436.12
    "\U183EB",  # kTGT_MergedSrc L2008-5474
    "\U183EB",  # kRSTUnicode 436.12
    "\U183EC",  # kTGT_MergedSrc L2008-5592
    "\U183EC",  # kRSTUnicode 436.12
    "\U183ED",  # kTGT_MergedSrc L2008-5343
    "\U183ED",  # kRSTUnicode 436.12
    "\U183EE",  # kTGT_MergedSrc L2008-5321
    "\U183EE",  # kRSTUnicode 436.12
    "\U183EF",  # kTGT_MergedSrc L2008-5318
    "\U183EF",  # kRSTUnicode 436.12
    "\U183F0",  # kTGT_MergedSrc L2008-5392
    "\U183F0",  # kRSTUnicode 436.12
    "\U183F1",  # kTGT_MergedSrc L2008-5391
    "\U183F1",  # kRSTUnicode 436.12
    "\U183F2",  # kTGT_MergedSrc L2008-5742
    "\U183F2",  # kRSTUnicode 436.12
    "\U183F3",  # kTGT_MergedSrc L2008-5790
    "\U183F3",  # kRSTUnicode 436.12
    "\U183F4",  # kTGT_MergedSrc L2008-5788
    "\U183F4",  # kRSTUnicode 436.12
    "\U183F5",  # kTGT_MergedSrc L2008-5759
    "\U183F5",  # kRSTUnicode 436.12
    "\U183F6",  # kTGT_MergedSrc L2008-5728
    "\U183F6",  # kRSTUnicode 436.12
    "\U183F7",  # kTGT_MergedSrc L2008-5751
    "\U183F7",  # kRSTUnicode 436.12
    "\U183F8",  # kTGT_MergedSrc L2008-5442
    "\U183F8",  # kRSTUnicode 436.12
    "\U183F9",  # kTGT_MergedSrc L2008-5583
    "\U183F9",  # kRSTUnicode 436.12
    "\U183FA",  # kTGT_MergedSrc L2008-5796
    "\U183FA",  # kRSTUnicode 436.12
    "\U183FB",  # kTGT_MergedSrc L2008-5489
    "\U183FB",  # kRSTUnicode 436.12
    "\U183FC",  # kTGT_MergedSrc L2008-5646
    "\U183FC",  # kRSTUnicode 436.12
    "\U183FD",  # kTGT_MergedSrc L2008-5323
    "\U183FD",  # kRSTUnicode 436.13
    "\U183FE",  # kTGT_MergedSrc L2008-5478
    "\U183FE",  # kRSTUnicode 436.13
    "\U183FF",  # kTGT_MergedSrc L2008-5460
    "\U183FF",  # kRSTUnicode 436.13
    "\U18400",  # kTGT_MergedSrc L2008-5233
    "\U18400",  # kRSTUnicode 436.13
    "\U18401",  # kTGT_MergedSrc L2008-5216
    "\U18401",  # kRSTUnicode 436.13
    "\U18402",  # kTGT_MergedSrc L2008-5192
    "\U18402",  # kRSTUnicode 436.13
    "\U18403",  # kTGT_MergedSrc N1966-236-07G
    "\U18403",  # kRSTUnicode 436.13
    "\U18404",  # kTGT_MergedSrc L2008-5226
    "\U18404",  # kRSTUnicode 436.13
    "\U18405",  # kTGT_MergedSrc L2008-5208
    "\U18405",  # kRSTUnicode 436.13
    "\U18406",  # kTGT_MergedSrc L2008-5404
    "\U18406",  # kRSTUnicode 436.13
    "\U18407",  # kTGT_MergedSrc L2008-5373
    "\U18407",  # kRSTUnicode 436.13
    "\U18408",  # kTGT_MergedSrc L2008-5758
    "\U18408",  # kRSTUnicode 436.13
    "\U18409",  # kTGT_MergedSrc L2008-5791
    "\U18409",  # kRSTUnicode 436.13
    "\U1840A",  # kTGT_MergedSrc L2008-5760
    "\U1840A",  # kRSTUnicode 436.13
    "\U1840B",  # kTGT_MergedSrc L2008-5724
    "\U1840B",  # kRSTUnicode 436.13
    "\U1840C",  # kTGT_MergedSrc L2008-5763
    "\U1840C",  # kRSTUnicode 436.13
    "\U1840D",  # kTGT_MergedSrc L2008-5601
    "\U1840D",  # kRSTUnicode 436.13
    "\U1840E",  # kTGT_MergedSrc L2008-5456
    "\U1840E",  # kRSTUnicode 436.13
    "\U1840F",  # kTGT_MergedSrc L2008-5449
    "\U1840F",  # kRSTUnicode 436.13
    "\U18410",  # kTGT_MergedSrc L2008-5628
    "\U18410",  # kRSTUnicode 436.13
    "\U18411",  # kTGT_MergedSrc L2008-5445
    "\U18411",  # kRSTUnicode 436.13
    "\U18412",  # kTGT_MergedSrc L2008-5683
    "\U18412",  # kRSTUnicode 436.13
    "\U18413",  # kTGT_MergedSrc L2008-5443
    "\U18413",  # kRSTUnicode 436.13
    "\U18414",  # kTGT_MergedSrc L2008-5771
    "\U18414",  # kRSTUnicode 436.13
    "\U18415",  # kTGT_MergedSrc L2008-5184
    "\U18415",  # kRSTUnicode 436.14
    "\U18416",  # kTGT_MergedSrc L2008-5765
    "\U18416",  # kRSTUnicode 436.14
    "\U18417",  # kTGT_MergedSrc L2008-5486
    "\U18417",  # kRSTUnicode 436.14
    "\U18418",  # kTGT_MergedSrc L2008-5217
    "\U18418",  # kRSTUnicode 436.14
    "\U18419",  # kTGT_MergedSrc L2008-5334
    "\U18419",  # kRSTUnicode 436.14
    "\U1841A",  # kTGT_MergedSrc L2008-5178
    "\U1841A",  # kRSTUnicode 436.14
    "\U1841B",  # kTGT_MergedSrc L2008-5727
    "\U1841B",  # kRSTUnicode 436.14
    "\U1841C",  # kTGT_MergedSrc L2008-6063
    "\U1841C",  # kRSTUnicode 436.14
    "\U1841D",  # kTGT_MergedSrc L2008-5339
    "\U1841D",  # kRSTUnicode 436.14
    "\U1841E",  # kTGT_MergedSrc L2008-5639
    "\U1841E",  # kRSTUnicode 436.14
    "\U1841F",  # kTGT_MergedSrc L2008-5450
    "\U1841F",  # kRSTUnicode 436.14
    "\U18420",  # kTGT_MergedSrc L2008-5377
    "\U18420",  # kRSTUnicode 436.14
    "\U18421",  # kTGT_MergedSrc L2008-5379
    "\U18421",  # kRSTUnicode 436.14
    "\U18422",  # kTGT_MergedSrc L2008-5608
    "\U18422",  # kRSTUnicode 436.14
    "\U18423",  # kTGT_MergedSrc L2008-5744
    "\U18423",  # kRSTUnicode 436.14
    "\U18424",  # kTGT_MergedSrc L2008-5737
    "\U18424",  # kRSTUnicode 436.14
    "\U18425",  # kTGT_MergedSrc L2008-5764
    "\U18425",  # kRSTUnicode 436.14
    "\U18426",  # kTGT_MergedSrc L2008-5729
    "\U18426",  # kRSTUnicode 436.14
    "\U18427",  # kTGT_MergedSrc L2008-5647
    "\U18427",  # kRSTUnicode 436.14
    "\U18428",  # kTGT_MergedSrc L2008-5584
    "\U18428",  # kRSTUnicode 436.14
    "\U18429",  # kTGT_MergedSrc L2008-5607
    "\U18429",  # kRSTUnicode 436.14
    "\U1842A",  # kTGT_MergedSrc L2008-5245
    "\U1842A",  # kRSTUnicode 436.14
    "\U1842B",  # kTGT_MergedSrc L2008-5769
    "\U1842B",  # kRSTUnicode 436.15
    "\U1842C",  # kTGT_MergedSrc L2008-5481
    "\U1842C",  # kRSTUnicode 436.15
    "\U1842D",  # kTGT_MergedSrc L2008-5487
    "\U1842D",  # kRSTUnicode 436.15
    "\U1842E",  # kTGT_MergedSrc L2008-6065
    "\U1842E",  # kRSTUnicode 436.15
    "\U1842F",  # kTGT_MergedSrc L2008-5341
    "\U1842F",  # kRSTUnicode 436.15
    "\U18430",  # kTGT_MergedSrc L2008-5312
    "\U18430",  # kRSTUnicode 436.15
    "\U18431",  # kTGT_MergedSrc L2008-5335
    "\U18431",  # kRSTUnicode 436.15
    "\U18432",  # kTGT_MergedSrc L2008-5206
    "\U18432",  # kRSTUnicode 436.15
    "\U18433",  # kTGT_MergedSrc L2008-5302
    "\U18433",  # kRSTUnicode 436.15
    "\U18434",  # kTGT_MergedSrc L2008-5585
    "\U18434",  # kRSTUnicode 436.15
    "\U18435",  # kTGT_MergedSrc L2008-5648
    "\U18435",  # kRSTUnicode 436.15
    "\U18436",  # kTGT_MergedSrc L2008-5586
    "\U18436",  # kRSTUnicode 436.15
    "\U18437",  # kTGT_MergedSrc L2008-5682
    "\U18437",  # kRSTUnicode 436.15
    "\U18438",  # kTGT_MergedSrc L2008-5483
    "\U18438",  # kRSTUnicode 436.16
    "\U18439",  # kTGT_MergedSrc L2008-5229
    "\U18439",  # kRSTUnicode 436.16
    "\U1843A",  # kTGT_MergedSrc L2008-5461
    "\U1843A",  # kRSTUnicode 436.16
    "\U1843B",  # kTGT_MergedSrc L2008-5476
    "\U1843B",  # kRSTUnicode 436.16
    "\U1843C",  # kTGT_MergedSrc L2008-5484
    "\U1843C",  # kRSTUnicode 436.16
    "\U1843D",  # kTGT_MergedSrc L2008-5475
    "\U1843D",  # kRSTUnicode 436.16
    "\U1843E",  # kTGT_MergedSrc L2008-5482
    "\U1843E",  # kRSTUnicode 436.16
    "\U1843F",  # kTGT_MergedSrc L2008-5459
    "\U1843F",  # kRSTUnicode 436.16
    "\U18440",  # kTGT_MergedSrc L2008-5378
    "\U18440",  # kRSTUnicode 436.16
    "\U18441",  # kTGT_MergedSrc L2008-5797
    "\U18441",  # kRSTUnicode 436.16
    "\U18442",  # kTGT_MergedSrc L2008-5213
    "\U18442",  # kRSTUnicode 436.16
    "\U18443",  # kTGT_MergedSrc L1986-4840
    "\U18443",  # kRSTUnicode 436.16
    "\U18444",  # kTGT_MergedSrc L2008-5336
    "\U18444",  # kRSTUnicode 436.16
    "\U18445",  # kTGT_MergedSrc L2008-5631
    "\U18445",  # kRSTUnicode 436.16
    "\U18446",  # kTGT_MergedSrc L2008-5649
    "\U18446",  # kRSTUnicode 436.16
    "\U18447",  # kTGT_MergedSrc L2008-5209
    "\U18447",  # kRSTUnicode 436.16
    "\U18448",  # kTGT_MergedSrc L2008-5188
    "\U18448",  # kRSTUnicode 436.16
    "\U18449",  # kTGT_MergedSrc L2008-5172
    "\U18449",  # kRSTUnicode 436.17
    "\U1844A",  # kTGT_MergedSrc L2008-5231
    "\U1844A",  # kRSTUnicode 436.17
    "\U1844B",  # kTGT_MergedSrc L2008-6071
    "\U1844B",  # kRSTUnicode 436.17
    "\U1844C",  # kTGT_MergedSrc L2008-5726
    "\U1844C",  # kRSTUnicode 436.17
    "\U1844D",  # kTGT_MergedSrc L2008-5770
    "\U1844D",  # kRSTUnicode 436.17
    "\U1844E",  # kTGT_MergedSrc L2008-6069
    "\U1844E",  # kRSTUnicode 436.17
    "\U1844F",  # kTGT_MergedSrc L2008-5772
    "\U1844F",  # kRSTUnicode 436.17
    "\U18450",  # kTGT_MergedSrc L2008-5477
    "\U18450",  # kRSTUnicode 436.18
    "\U18451",  # kTGT_MergedSrc L2008-5663
    "\U18451",  # kRSTUnicode 436.18
    "\U18452",  # kTGT_MergedSrc L2008-5662
    "\U18452",  # kRSTUnicode 436.18
    "\U18453",  # kTGT_MergedSrc L2008-5485
    "\U18453",  # kRSTUnicode 436.19
    "\U18454",  # kTGT_MergedSrc L2008-5732
    "\U18454",  # kRSTUnicode 436.19
    "\U18455",  # kTGT_MergedSrc L2008-5473
    "\U18455",  # kRSTUnicode 436.20
    "\U18456",  # kTGT_MergedSrc L2008-5730
    "\U18456",  # kRSTUnicode 436.20
    "\U18457",  # kTGT_MergedSrc L2008-4871
    "\U18457",  # kRSTUnicode 437.9
    "\U18458",  # kTGT_MergedSrc L2008-4860
    "\U18458",  # kRSTUnicode 437.10
    "\U18459",  # kTGT_MergedSrc L2008-1458
    "\U18459",  # kRSTUnicode 438.16
    "\U1845A",  # kTGT_MergedSrc L2008-1016
    "\U1845A",  # kRSTUnicode 440.7
    "\U1845B",  # kTGT_MergedSrc L2008-0526
    "\U1845B",  # kRSTUnicode 442.7
    "\U1845C",  # kTGT_MergedSrc L2008-0780
    "\U1845C",  # kRSTUnicode 442.8
    "\U1845D",  # kTGT_MergedSrc L2008-0246
    "\U1845D",  # kRSTUnicode 442.10
    "\U1845E",  # kTGT_MergedSrc L2008-0531
    "\U1845E",  # kRSTUnicode 442.11
    "\U1845F",  # kTGT_MergedSrc L2008-0694
    "\U1845F",  # kRSTUnicode 442.11
    "\U18460",  # kTGT_MergedSrc L2008-1237
    "\U18460",  # kRSTUnicode 442.11
    "\U18461",  # kTGT_MergedSrc L2008-0387
    "\U18461",  # kRSTUnicode 442.12
    "\U18462",  # kTGT_MergedSrc L2008-0682
    "\U18462",  # kRSTUnicode 442.12
    "\U18463",  # kTGT_MergedSrc L2008-0881
    "\U18463",  # kRSTUnicode 442.12
    "\U18464",  # kTGT_MergedSrc L2008-0370
    "\U18464",  # kRSTUnicode 442.13
    "\U18465",  # kTGT_MergedSrc L2008-0940
    "\U18465",  # kRSTUnicode 444.13
    "\U18466",  # kTGT_MergedSrc L2008-1037
    "\U18466",  # kRSTUnicode 446.10
    "\U18467",  # kTGT_MergedSrc L2008-1132
    "\U18467",  # kRSTUnicode 446.13
    "\U18468",  # kTGT_MergedSrc L2008-0645
    "\U18468",  # kRSTUnicode 446.13
    "\U18469",  # kTGT_MergedSrc L2008-1066
    "\U18469",  # kRSTUnicode 447.9
    "\U1846A",  # kTGT_MergedSrc L2008-0417
    "\U1846A",  # kRSTUnicode 448.15
    "\U1846B",  # kTGT_MergedSrc L2008-0404
    "\U1846B",  # kRSTUnicode 449.9
    "\U1846C",  # kTGT_MergedSrc L2008-0615
    "\U1846C",  # kRSTUnicode 449.10
    "\U1846D",  # kTGT_MergedSrc L2008-0609
    "\U1846D",  # kRSTUnicode 449.10
    "\U1846E",  # kTGT_MergedSrc L2008-0725
    "\U1846E",  # kRSTUnicode 449.12
    "\U1846F",  # kTGT_MergedSrc L2008-1468
    "\U1846F",  # kRSTUnicode 449.12
    "\U18470",  # kTGT_MergedSrc L2008-1806
    "\U18470",  # kRSTUnicode 449.13
    "\U18471",  # kTGT_MergedSrc L2008-0414
    "\U18471",  # kRSTUnicode 449.14
    "\U18472",  # kTGT_MergedSrc L2008-1030
    "\U18472",  # kRSTUnicode 451.8
    "\U18473",  # kTGT_MergedSrc L2008-0247
    "\U18473",  # kRSTUnicode 452.9
    "\U18474",  # kTGT_MergedSrc L2008-1184
    "\U18474",  # kRSTUnicode 452.10
    "\U18475",  # kTGT_MergedSrc L2008-1711
    "\U18475",  # kRSTUnicode 452.11
    "\U18476",  # kTGT_MergedSrc L2008-1724
    "\U18476",  # kRSTUnicode 452.12
    "\U18477",  # kTGT_MergedSrc L2008-0814
    "\U18477",  # kRSTUnicode 452.12
    "\U18478",  # kTGT_MergedSrc L2008-1417
    "\U18478",  # kRSTUnicode 452.12
    "\U18479",  # kTGT_MergedSrc L2008-0315
    "\U18479",  # kRSTUnicode 452.13
    "\U1847A",  # kTGT_MergedSrc L2008-0299
    "\U1847A",  # kRSTUnicode 452.13
    "\U1847B",  # kTGT_MergedSrc L2008-1389
    "\U1847B",  # kRSTUnicode 452.13
    "\U1847C",  # kTGT_MergedSrc L2008-0794
    "\U1847C",  # kRSTUnicode 452.15
    "\U1847D",  # kTGT_MergedSrc L2008-0277
    "\U1847D",  # kRSTUnicode 452.17
    "\U1847E",  # kTGT_MergedSrc L2008-0240
    "\U1847E",  # kRSTUnicode 453.10
    "\U1847F",  # kTGT_MergedSrc L2008-0242
    "\U1847F",  # kRSTUnicode 453.11
    "\U18480",  # kTGT_MergedSrc L2008-0241
    "\U18480",  # kRSTUnicode 453.11
    "\U18481",  # kTGT_MergedSrc L2008-1152
    "\U18481",  # kRSTUnicode 453.11
    "\U18482",  # kTGT_MergedSrc L2008-0683
    "\U18482",  # kRSTUnicode 455.11
    "\U18483",  # kTGT_MergedSrc L2008-1086
    "\U18483",  # kRSTUnicode 456.13
    "\U18484",  # kTGT_MergedSrc L2008-1255
    "\U18484",  # kRSTUnicode 458.10
    "\U18485",  # kTGT_MergedSrc L2008-1025
    "\U18485",  # kRSTUnicode 458.12
    "\U18486",  # kTGT_MergedSrc L2008-1061
    "\U18486",  # kRSTUnicode 458.12
    "\U18487",  # kTGT_MergedSrc L2008-1526
    "\U18487",  # kRSTUnicode 458.13
    "\U18488",  # kTGT_MergedSrc L2008-1510
    "\U18488",  # kRSTUnicode 458.13
    "\U18489",  # kTGT_MergedSrc L2008-1345
    "\U18489",  # kRSTUnicode 458.14
    "\U1848A",  # kTGT_MergedSrc L2008-1094
    "\U1848A",  # kRSTUnicode 458.14
    "\U1848B",  # kTGT_MergedSrc L2008-0953
    "\U1848B",  # kRSTUnicode 458.14
    "\U1848C",  # kTGT_MergedSrc L2008-1472
    "\U1848C",  # kRSTUnicode 458.14
    "\U1848D",  # kTGT_MergedSrc L2008-0934
    "\U1848D",  # kRSTUnicode 458.14
    "\U1848E",  # kTGT_MergedSrc L2008-1408
    "\U1848E",  # kRSTUnicode 458.14
    "\U1848F",  # kTGT_MergedSrc L2008-1531
    "\U1848F",  # kRSTUnicode 458.14
    "\U18490",  # kTGT_MergedSrc L2008-1462
    "\U18490",  # kRSTUnicode 458.15
    "\U18491",  # kTGT_MergedSrc L2008-1366
    "\U18491",  # kRSTUnicode 458.15
    "\U18492",  # kTGT_MergedSrc L2008-1428
    "\U18492",  # kRSTUnicode 458.15
    "\U18493",  # kTGT_MergedSrc L2008-0975
    "\U18493",  # kRSTUnicode 458.15
    "\U18494",  # kTGT_MergedSrc L2008-1167
    "\U18494",  # kRSTUnicode 458.16
    "\U18495",  # kTGT_MergedSrc L2008-1503
    "\U18495",  # kRSTUnicode 458.16
    "\U18496",  # kTGT_MergedSrc L2008-1535
    "\U18496",  # kRSTUnicode 458.16
    "\U18497",  # kTGT_MergedSrc L2008-1095
    "\U18497",  # kRSTUnicode 458.17
    "\U18498",  # kTGT_MergedSrc L2008-1199
    "\U18498",  # kRSTUnicode 458.17
    "\U18499",  # kTGT_MergedSrc L2008-1305
    "\U18499",  # kRSTUnicode 458.17
    "\U1849A",  # kTGT_MergedSrc L2008-1508
    "\U1849A",  # kRSTUnicode 458.17
    "\U1849B",  # kTGT_MergedSrc L2008-1512
    "\U1849B",  # kRSTUnicode 458.17
    "\U1849C",  # kTGT_MergedSrc L2008-0954
    "\U1849C",  # kRSTUnicode 458.18
    "\U1849D",  # kTGT_MergedSrc L2008-0976
    "\U1849D",  # kRSTUnicode 458.19
    "\U1849E",  # kTGT_MergedSrc L2008-0904
    "\U1849E",  # kRSTUnicode 458.19
    "\U1849F",  # kTGT_MergedSrc L2008-1186
    "\U1849F",  # kRSTUnicode 458.19
    "\U184A0",  # kTGT_MergedSrc L2006-1186
    "\U184A0",  # kRSTUnicode 458.20
    "\U184A1",  # kTGT_MergedSrc L2008-0096
    "\U184A1",  # kRSTUnicode 459.18
    "\U184A2",  # kTGT_MergedSrc L2008-1130
    "\U184A2",  # kRSTUnicode 459.18
    "\U184A3",  # kTGT_MergedSrc L2008-1045
    "\U184A3",  # kRSTUnicode 461.9
    "\U184A4",  # kTGT_MergedSrc L2008-0646
    "\U184A4",  # kRSTUnicode 461.10
    "\U184A5",  # kTGT_MergedSrc L2008-0483
    "\U184A5",  # kRSTUnicode 461.10
    "\U184A6",  # kTGT_MergedSrc L2008-1054
    "\U184A6",  # kRSTUnicode 461.11
    "\U184A7",  # kTGT_MergedSrc L2008-0196
    "\U184A7",  # kRSTUnicode 461.13
    "\U184A8",  # kTGT_MergedSrc L2008-0771
    "\U184A8",  # kRSTUnicode 461.13
    "\U184A9",  # kTGT_MergedSrc L2008-0524
    "\U184A9",  # kRSTUnicode 461.13
    "\U184AA",  # kTGT_MergedSrc L2008-1117
    "\U184AA",  # kRSTUnicode 461.14
    "\U184AB",  # kTGT_MergedSrc L2008-5871
    "\U184AB",  # kRSTUnicode 462.10
    "\U184AC",  # kTGT_MergedSrc L2008-5976
    "\U184AC",  # kRSTUnicode 462.10
    "\U184AD",  # kTGT_MergedSrc L2008-5833
    "\U184AD",  # kRSTUnicode 462.11
    "\U184AE",  # kTGT_MergedSrc L2008-5869
    "\U184AE",  # kRSTUnicode 462.11
    "\U184AF",  # kTGT_MergedSrc L2008-5892
    "\U184AF",  # kRSTUnicode 462.11
    "\U184B0",  # kTGT_MergedSrc L2008-5977
    "\U184B0",  # kRSTUnicode 462.12
    "\U184B1",  # kTGT_MergedSrc L2008-5991
    "\U184B1",  # kRSTUnicode 462.12
    "\U184B2",  # kTGT_MergedSrc L2008-5978
    "\U184B2",  # kRSTUnicode 462.12
    "\U184B3",  # kTGT_MergedSrc L2008-5939
    "\U184B3",  # kRSTUnicode 462.12
    "\U184B4",  # kTGT_MergedSrc L2008-5936
    "\U184B4",  # kRSTUnicode 462.14
    "\U184B5",  # kTGT_MergedSrc L2008-5940
    "\U184B5",  # kRSTUnicode 462.15
    "\U184B6",  # kTGT_MergedSrc L2008-0418
    "\U184B6",  # kRSTUnicode 464.11
    "\U184B7",  # kTGT_MergedSrc L2008-0719
    "\U184B7",  # kRSTUnicode 464.11
    "\U184B8",  # kTGT_MergedSrc L2008-1798
    "\U184B8",  # kRSTUnicode 464.12
    "\U184B9",  # kTGT_MergedSrc L2008-1763
    "\U184B9",  # kRSTUnicode 465.13
    "\U184BA",  # kTGT_MergedSrc L2008-0187
    "\U184BA",  # kRSTUnicode 466.11
    "\U184BB",  # kTGT_MergedSrc L2008-0769
    "\U184BB",  # kRSTUnicode 466.11
    "\U184BC",  # kTGT_MergedSrc L2008-0647
    "\U184BC",  # kRSTUnicode 466.11
    "\U184BD",  # kTGT_MergedSrc L2008-1607
    "\U184BD",  # kRSTUnicode 466.12
    "\U184BE",  # kTGT_MergedSrc L2008-0188
    "\U184BE",  # kRSTUnicode 466.14
    "\U184BF",  # kTGT_MergedSrc L2008-4433
    "\U184BF",  # kRSTUnicode 467.10
    "\U184C0",  # kTGT_MergedSrc L2008-4436
    "\U184C0",  # kRSTUnicode 467.11
    "\U184C1",  # kTGT_MergedSrc L2008-4444
    "\U184C1",  # kRSTUnicode 468.10
    "\U184C2",  # kTGT_MergedSrc L2008-4435
    "\U184C2",  # kRSTUnicode 468.12
    "\U184C3",  # kTGT_MergedSrc L2008-4438
    "\U184C3",  # kRSTUnicode 468.12
    "\U184C4",  # kTGT_MergedSrc L2008-4437
    "\U184C4",  # kRSTUnicode 468.12
    "\U184C5",  # kTGT_MergedSrc L2008-4463
    "\U184C5",  # kRSTUnicode 468.12
    "\U184C6",  # kTGT_MergedSrc L2008-4464
    "\U184C6",  # kRSTUnicode 468.12
    "\U184C7",  # kTGT_MergedSrc L2008-4465
    "\U184C7",  # kRSTUnicode 468.13
    "\U184C8",  # kTGT_MergedSrc L2008-4434
    "\U184C8",  # kRSTUnicode 468.16
    "\U184C9",  # kTGT_MergedSrc L2008-0993
    "\U184C9",  # kRSTUnicode 471.6
    "\U184CA",  # kTGT_MergedSrc L2008-0502
    "\U184CA",  # kRSTUnicode 471.10
    "\U184CB",  # kTGT_MergedSrc L2008-1017
    "\U184CB",  # kRSTUnicode 471.10
    "\U184CC",  # kTGT_MergedSrc L2008-0507
    "\U184CC",  # kRSTUnicode 471.11
    "\U184CD",  # kTGT_MergedSrc L2008-2530
    "\U184CD",  # kRSTUnicode 472.10
    "\U184CE",  # kTGT_MergedSrc L2008-2333
    "\U184CE",  # kRSTUnicode 472.11
    "\U184CF",  # kTGT_MergedSrc L2008-2324
    "\U184CF",  # kRSTUnicode 473.10
    "\U184D0",  # kTGT_MergedSrc L2008-2541
    "\U184D0",  # kRSTUnicode 473.10
    "\U184D1",  # kTGT_MergedSrc L2008-2896
    "\U184D1",  # kRSTUnicode 473.10
    "\U184D2",  # kTGT_MergedSrc L2008-2321
    "\U184D2",  # kRSTUnicode 473.10
    "\U184D3",  # kTGT_MergedSrc L2008-2323
    "\U184D3",  # kRSTUnicode 473.11
    "\U184D4",  # kTGT_MergedSrc L2008-2325
    "\U184D4",  # kRSTUnicode 473.11
    "\U184D5",  # kTGT_MergedSrc L2008-3737
    "\U184D5",  # kRSTUnicode 473.11
    "\U184D6",  # kTGT_MergedSrc L2008-3738
    "\U184D6",  # kRSTUnicode 473.11
    "\U184D7",  # kTGT_MergedSrc L2008-3420
    "\U184D7",  # kRSTUnicode 473.11
    "\U184D8",  # kTGT_MergedSrc L2008-2900
    "\U184D8",  # kRSTUnicode 473.12
    "\U184D9",  # kTGT_MergedSrc L2008-2543
    "\U184D9",  # kRSTUnicode 473.12
    "\U184DA",  # kTGT_MergedSrc L2008-2542
    "\U184DA",  # kRSTUnicode 473.12
    "\U184DB",  # kTGT_MergedSrc L2008-3411
    "\U184DB",  # kRSTUnicode 473.12
    "\U184DC",  # kTGT_MergedSrc L2008-2696
    "\U184DC",  # kRSTUnicode 473.12
    "\U184DD",  # kTGT_MergedSrc L2008-2697
    "\U184DD",  # kRSTUnicode 473.13
    "\U184DE",  # kTGT_MergedSrc L2008-3735
    "\U184DE",  # kRSTUnicode 473.13
    "\U184DF",  # kTGT_MergedSrc L2008-3744
    "\U184DF",  # kRSTUnicode 473.13
    "\U184E0",  # kTGT_MergedSrc L2008-2322
    "\U184E0",  # kRSTUnicode 473.14
    "\U184E1",  # kTGT_MergedSrc L2008-2812
    "\U184E1",  # kRSTUnicode 473.16
    "\U184E2",  # kTGT_MergedSrc L2008-2407
    "\U184E2",  # kRSTUnicode 473.17
    "\U184E3",  # kTGT_MergedSrc L2008-2736
    "\U184E3",  # kRSTUnicode 474.8
    "\U184E4",  # kTGT_MergedSrc L2008-2021
    "\U184E4",  # kRSTUnicode 474.11
    "\U184E5",  # kTGT_MergedSrc L2008-2847
    "\U184E5",  # kRSTUnicode 474.11
    "\U184E6",  # kTGT_MergedSrc L2008-0556
    "\U184E6",  # kRSTUnicode 476.11
    "\U184E7",  # kTGT_MergedSrc L2008-1334
    "\U184E7",  # kRSTUnicode 476.16
    "\U184E8",  # kTGT_MergedSrc L2008-1275
    "\U184E8",  # kRSTUnicode 478.8
    "\U184E9",  # kTGT_MergedSrc L2008-0310
    "\U184E9",  # kRSTUnicode 478.15
    "\U184EA",  # kTGT_MergedSrc L2008-4062
    "\U184EA",  # kRSTUnicode 480.13
    "\U184EB",  # kTGT_MergedSrc L2008-1309
    "\U184EB",  # kRSTUnicode 483.15
    "\U184EC",  # kTGT_MergedSrc L2008-0036
    "\U184EC",  # kRSTUnicode 485.7
    "\U184ED",  # kTGT_MergedSrc L2008-0489
    "\U184ED",  # kRSTUnicode 485.11
    "\U184EE",  # kTGT_MergedSrc L2008-1624
    "\U184EE",  # kRSTUnicode 485.11
    "\U184EF",  # kTGT_MergedSrc L2008-1105
    "\U184EF",  # kRSTUnicode 485.11
    "\U184F0",  # kTGT_MergedSrc L2008-0230
    "\U184F0",  # kRSTUnicode 485.12
    "\U184F1",  # kTGT_MergedSrc L2008-1106-1107
    "\U184F1",  # kRSTUnicode 485.12
    "\U184F2",  # kTGT_MergedSrc L2008-0654
    "\U184F2",  # kRSTUnicode 485.12
    "\U184F3",  # kTGT_MergedSrc L2008-1602
    "\U184F3",  # kRSTUnicode 485.13
    "\U184F4",  # kTGT_MergedSrc L1986-5541
    "\U184F4",  # kRSTUnicode 485.14
    "\U184F5",  # kTGT_MergedSrc L2008-1108
    "\U184F5",  # kRSTUnicode 485.14
    "\U184F6",  # kTGT_MergedSrc L2008-1042
    "\U184F6",  # kRSTUnicode 485.15
    "\U184F7",  # kTGT_MergedSrc L2008-0860
    "\U184F7",  # kRSTUnicode 485.16
    "\U184F8",  # kTGT_MergedSrc L2008-0231
    "\U184F8",  # kRSTUnicode 485.16
    "\U184F9",  # kTGT_MergedSrc L2008-1623
    "\U184F9",  # kRSTUnicode 485.16
    "\U184FA",  # kTGT_MergedSrc L2008-0510
    "\U184FA",  # kRSTUnicode 485.16
    "\U184FB",  # kTGT_MergedSrc L2008-4629
    "\U184FB",  # kRSTUnicode 486.9
    "\U184FC",  # kTGT_MergedSrc L2008-4555
    "\U184FC",  # kRSTUnicode 486.10
    "\U184FD",  # kTGT_MergedSrc L2008-4556
    "\U184FD",  # kRSTUnicode 486.11
    "\U184FE",  # kTGT_MergedSrc L2008-4660
    "\U184FE",  # kRSTUnicode 486.11
    "\U184FF",  # kTGT_MergedSrc L2008-4659
    "\U184FF",  # kRSTUnicode 486.12
    "\U18500",  # kTGT_MergedSrc L2008-4631
    "\U18500",  # kRSTUnicode 486.12
    "\U18501",  # kTGT_MergedSrc L2008-4661
    "\U18501",  # kRSTUnicode 486.13
    "\U18502",  # kTGT_MergedSrc L2008-4662
    "\U18502",  # kRSTUnicode 486.13
    "\U18503",  # kTGT_MergedSrc L2008-4670
    "\U18503",  # kRSTUnicode 486.14
    "\U18504",  # kTGT_MergedSrc L2008-4627
    "\U18504",  # kRSTUnicode 486.15
    "\U18505",  # kTGT_MergedSrc L2008-4557
    "\U18505",  # kRSTUnicode 486.18
    "\U18506",  # kTGT_MergedSrc N1966-256-113
    "\U18506",  # kRSTUnicode 486.18
    "\U18507",  # kTGT_MergedSrc L2008-4663
    "\U18507",  # kRSTUnicode 486.18
    "\U18508",  # kTGT_MergedSrc L2008-4632
    "\U18508",  # kRSTUnicode 486.20
    "\U18509",  # kTGT_MergedSrc L2008-4628
    "\U18509",  # kRSTUnicode 486.21
    "\U1850A",  # kTGT_MergedSrc L2008-1266
    "\U1850A",  # kRSTUnicode 488.16
    "\U1850B",  # kTGT_MergedSrc L2008-1739
    "\U1850B",  # kRSTUnicode 489.13
    "\U1850C",  # kTGT_MergedSrc L2008-0895
    "\U1850C",  # kRSTUnicode 489.15
    "\U1850D",  # kTGT_MergedSrc L2008-1698
    "\U1850D",  # kRSTUnicode 489.15
    "\U1850E",  # kTGT_MergedSrc L2008-0381
    "\U1850E",  # kRSTUnicode 489.16
    "\U1850F",  # kTGT_MergedSrc L2008-0250
    "\U1850F",  # kRSTUnicode 490.10
    "\U18510",  # kTGT_MergedSrc L2008-0260
    "\U18510",  # kRSTUnicode 490.11
    "\U18511",  # kTGT_MergedSrc L2008-0529
    "\U18511",  # kRSTUnicode 490.11
    "\U18512",  # kTGT_MergedSrc L2008-0547
    "\U18512",  # kRSTUnicode 490.11
    "\U18513",  # kTGT_MergedSrc L2008-0696
    "\U18513",  # kRSTUnicode 490.11
    "\U18514",  # kTGT_MergedSrc L2008-0363
    "\U18514",  # kRSTUnicode 490.12
    "\U18515",  # kTGT_MergedSrc L2008-0593
    "\U18515",  # kRSTUnicode 490.12
    "\U18516",  # kTGT_MergedSrc L2008-1678
    "\U18516",  # kRSTUnicode 490.12
    "\U18517",  # kTGT_MergedSrc L2008-1235
    "\U18517",  # kRSTUnicode 490.12
    "\U18518",  # kTGT_MergedSrc L2008-1402
    "\U18518",  # kRSTUnicode 490.12
    "\U18519",  # kTGT_MergedSrc L2008-0548
    "\U18519",  # kRSTUnicode 490.13
    "\U1851A",  # kTGT_MergedSrc L2008-1671
    "\U1851A",  # kRSTUnicode 490.13
    "\U1851B",  # kTGT_MergedSrc L2008-1236
    "\U1851B",  # kRSTUnicode 490.13
    "\U1851C",  # kTGT_MergedSrc L2008-0298
    "\U1851C",  # kRSTUnicode 490.14
    "\U1851D",  # kTGT_MergedSrc L2008-1858
    "\U1851D",  # kRSTUnicode 490.14
    "\U1851E",  # kTGT_MergedSrc L2008-1741
    "\U1851E",  # kRSTUnicode 490.15
    "\U1851F",  # kTGT_MergedSrc L2008-0820
    "\U1851F",  # kRSTUnicode 490.15
    "\U18520",  # kTGT_MergedSrc L2008-1774
    "\U18520",  # kRSTUnicode 490.16
    "\U18521",  # kTGT_MergedSrc L2008-1723
    "\U18521",  # kRSTUnicode 490.16
    "\U18522",  # kTGT_MergedSrc L2008-1639
    "\U18522",  # kRSTUnicode 491.13
    "\U18523",  # kTGT_MergedSrc L2008-0915
    "\U18523",  # kRSTUnicode 491.14
    "\U18524",  # kTGT_MergedSrc L2008-0577
    "\U18524",  # kRSTUnicode 492.15
    "\U18525",  # kTGT_MergedSrc L2008-0351
    "\U18525",  # kRSTUnicode 492.16
    "\U18526",  # kTGT_MergedSrc L2008-0197
    "\U18526",  # kRSTUnicode 493.17
    "\U18527",  # kTGT_MergedSrc L2008-0150
    "\U18527",  # kRSTUnicode 494.7
    "\U18528",  # kTGT_MergedSrc L2008-0638
    "\U18528",  # kRSTUnicode 494.11
    "\U18529",  # kTGT_MergedSrc L2008-0982
    "\U18529",  # kRSTUnicode 494.18
    "\U1852A",  # kTGT_MergedSrc L2008-0522
    "\U1852A",  # kRSTUnicode 495.11
    "\U1852B",  # kTGT_MergedSrc L2008-0214
    "\U1852B",  # kRSTUnicode 495.12
    "\U1852C",  # kTGT_MergedSrc L2008-1050
    "\U1852C",  # kRSTUnicode 495.13
    "\U1852D",  # kTGT_MergedSrc L2008-1604
    "\U1852D",  # kRSTUnicode 495.14
    "\U1852E",  # kTGT_MergedSrc L2008-0981
    "\U1852E",  # kRSTUnicode 495.15
    "\U1852F",  # kTGT_MergedSrc L2008-4040
    "\U1852F",  # kRSTUnicode 496.11
    "\U18530",  # kTGT_MergedSrc L2008-3187
    "\U18530",  # kRSTUnicode 500.8
    "\U18531",  # kTGT_MergedSrc L2008-3802
    "\U18531",  # kRSTUnicode 500.11
    "\U18532",  # kTGT_MergedSrc L2008-2192
    "\U18532",  # kRSTUnicode 500.12
    "\U18533",  # kTGT_MergedSrc L2008-3299
    "\U18533",  # kRSTUnicode 500.12
    "\U18534",  # kTGT_MergedSrc L2008-3300
    "\U18534",  # kRSTUnicode 500.13
    "\U18535",  # kTGT_MergedSrc L2008-3602
    "\U18535",  # kRSTUnicode 500.13
    "\U18536",  # kTGT_MergedSrc L2008-2141
    "\U18536",  # kRSTUnicode 500.14
    "\U18537",  # kTGT_MergedSrc L2008-2243
    "\U18537",  # kRSTUnicode 500.15
    "\U18538",  # kTGT_MergedSrc L2008-2116
    "\U18538",  # kRSTUnicode 500.15
    "\U18539",  # kTGT_MergedSrc L2008-2276
    "\U18539",  # kRSTUnicode 500.15
    "\U1853A",  # kTGT_MergedSrc L2008-2782
    "\U1853A",  # kRSTUnicode 500.15
    "\U1853B",  # kTGT_MergedSrc L2008-2877
    "\U1853B",  # kRSTUnicode 500.17
    "\U1853C",  # kTGT_MergedSrc L2008-2484
    "\U1853C",  # kRSTUnicode 501.12
    "\U1853D",  # kTGT_MergedSrc L2008-3125
    "\U1853D",  # kRSTUnicode 501.13
    "\U1853E",  # kTGT_MergedSrc L2008-2421
    "\U1853E",  # kRSTUnicode 502.12
    "\U1853F",  # kTGT_MergedSrc L2008-3009
    "\U1853F",  # kRSTUnicode 502.15
    "\U18540",  # kTGT_MergedSrc L2008-3809
    "\U18540",  # kRSTUnicode 503.14
    "\U18541",  # kTGT_MergedSrc L2008-3993
    "\U18541",  # kRSTUnicode 505.14
    "\U18542",  # kTGT_MergedSrc L2008-3852
    "\U18542",  # kRSTUnicode 506.11
    "\U18543",  # kTGT_MergedSrc L2008-3858
    "\U18543",  # kRSTUnicode 506.11
    "\U18544",  # kTGT_MergedSrc L2008-3952
    "\U18544",  # kRSTUnicode 506.11
    "\U18545",  # kTGT_MergedSrc L2008-4014
    "\U18545",  # kRSTUnicode 506.12
    "\U18546",  # kTGT_MergedSrc L2008-3992
    "\U18546",  # kRSTUnicode 506.13
    "\U18547",  # kTGT_MergedSrc L2008-3953
    "\U18547",  # kRSTUnicode 508.8
    "\U18548",  # kTGT_MergedSrc L2008-3947
    "\U18548",  # kRSTUnicode 508.10
    "\U18549",  # kTGT_MergedSrc L2008-3966
    "\U18549",  # kRSTUnicode 509.12
    "\U1854A",  # kTGT_MergedSrc L2008-3968
    "\U1854A",  # kRSTUnicode 509.15
    "\U1854B",  # kTGT_MergedSrc L2008-5148
    "\U1854B",  # kRSTUnicode 512.11
    "\U1854C",  # kTGT_MergedSrc L2008-5127
    "\U1854C",  # kRSTUnicode 514.10
    "\U1854D",  # kTGT_MergedSrc L2008-6067
    "\U1854D",  # kRSTUnicode 514.10
    "\U1854E",  # kTGT_MergedSrc L2008-5554
    "\U1854E",  # kRSTUnicode 515.14
    "\U1854F",  # kTGT_MergedSrc L2008-5117
    "\U1854F",  # kRSTUnicode 515.15
    "\U18550",  # kTGT_MergedSrc L2008-5889
    "\U18550",  # kRSTUnicode 516.11
    "\U18551",  # kTGT_MergedSrc L2008-5820
    "\U18551",  # kRSTUnicode 516.12
    "\U18552",  # kTGT_MergedSrc L2008-5890
    "\U18552",  # kRSTUnicode 516.12
    "\U18553",  # kTGT_MergedSrc L2008-5931
    "\U18553",  # kRSTUnicode 516.12
    "\U18554",  # kTGT_MergedSrc L2008-5923
    "\U18554",  # kRSTUnicode 516.12
    "\U18555",  # kTGT_MergedSrc L2008-5865
    "\U18555",  # kRSTUnicode 516.13
    "\U18556",  # kTGT_MergedSrc L2008-5974
    "\U18556",  # kRSTUnicode 516.13
    "\U18557",  # kTGT_MergedSrc L2008-5930
    "\U18557",  # kRSTUnicode 516.13
    "\U18558",  # kTGT_MergedSrc L2008-5925
    "\U18558",  # kRSTUnicode 516.15
    "\U18559",  # kTGT_MergedSrc L2008-5920
    "\U18559",  # kRSTUnicode 516.15
    "\U1855A",  # kTGT_MergedSrc L2008-5887
    "\U1855A",  # kRSTUnicode 516.16
    "\U1855B",  # kTGT_MergedSrc L2008-5143
    "\U1855B",  # kRSTUnicode 519.11
    "\U1855C",  # kTGT_MergedSrc L2008-5091
    "\U1855C",  # kRSTUnicode 519.12
    "\U1855D",  # kTGT_MergedSrc L2008-5696
    "\U1855D",  # kRSTUnicode 519.12
    "\U1855E",  # kTGT_MergedSrc L2008-5367
    "\U1855E",  # kRSTUnicode 519.13
    "\U1855F",  # kTGT_MergedSrc L2008-5785
    "\U1855F",  # kRSTUnicode 519.13
    "\U18560",  # kTGT_MergedSrc L2008-5697
    "\U18560",  # kRSTUnicode 519.13
    "\U18561",  # kTGT_MergedSrc L2008-5564
    "\U18561",  # kRSTUnicode 519.13
    "\U18562",  # kTGT_MergedSrc L2008-5541
    "\U18562",  # kRSTUnicode 519.14
    "\U18563",  # kTGT_MergedSrc L2008-5688
    "\U18563",  # kRSTUnicode 520.13
    "\U18564",  # kTGT_MergedSrc L2008-5346
    "\U18564",  # kRSTUnicode 521.11
    "\U18565",  # kTGT_MergedSrc L2008-5773
    "\U18565",  # kRSTUnicode 521.13
    "\U18566",  # kTGT_MergedSrc N1966-147-062
    "\U18566",  # kRSTUnicode 521.13
    "\U18567",  # kTGT_MergedSrc L2008-5250
    "\U18567",  # kRSTUnicode 521.15
    "\U18568",  # kTGT_MergedSrc L2008-5348
    "\U18568",  # kRSTUnicode 521.17
    "\U18569",  # kTGT_MergedSrc L2008-5777
    "\U18569",  # kRSTUnicode 521.17
    "\U1856A",  # kTGT_MergedSrc L2008-5253
    "\U1856A",  # kRSTUnicode 524.12
    "\U1856B",  # kTGT_MergedSrc L2008-5543
    "\U1856B",  # kRSTUnicode 525.11
    "\U1856C",  # kTGT_MergedSrc L2008-5282
    "\U1856C",  # kRSTUnicode 525.12
    "\U1856D",  # kTGT_MergedSrc L2008-5567
    "\U1856D",  # kRSTUnicode 525.14
    "\U1856E",  # kTGT_MergedSrc L2008-5280
    "\U1856E",  # kRSTUnicode 526.9
    "\U1856F",  # kTGT_MergedSrc L2008-5281
    "\U1856F",  # kRSTUnicode 526.10
    "\U18570",  # kTGT_MergedSrc L2008-5814
    "\U18570",  # kRSTUnicode 527.7
    "\U18571",  # kTGT_MergedSrc L2008-5843
    "\U18571",  # kRSTUnicode 527.10
    "\U18572",  # kTGT_MergedSrc L2008-5876
    "\U18572",  # kRSTUnicode 527.12
    "\U18573",  # kTGT_MergedSrc L2008-5873
    "\U18573",  # kRSTUnicode 527.12
    "\U18574",  # kTGT_MergedSrc L2008-5894
    "\U18574",  # kRSTUnicode 527.12
    "\U18575",  # kTGT_MergedSrc L2008-5897
    "\U18575",  # kRSTUnicode 527.12
    "\U18576",  # kTGT_MergedSrc L2008-5898
    "\U18576",  # kRSTUnicode 527.13
    "\U18577",  # kTGT_MergedSrc L2008-5954
    "\U18577",  # kRSTUnicode 527.17
    "\U18578",  # kTGT_MergedSrc L2008-5423
    "\U18578",  # kRSTUnicode 528.9
    "\U18579",  # kTGT_MergedSrc L2008-5093
    "\U18579",  # kRSTUnicode 528.11
    "\U1857A",  # kTGT_MergedSrc L2008-5503
    "\U1857A",  # kRSTUnicode 528.11
    "\U1857B",  # kTGT_MergedSrc L2008-5565
    "\U1857B",  # kRSTUnicode 528.12
    "\U1857C",  # kTGT_MergedSrc L2008-5469
    "\U1857C",  # kRSTUnicode 528.13
    "\U1857D",  # kTGT_MergedSrc L2008-5427
    "\U1857D",  # kRSTUnicode 528.14
    "\U1857E",  # kTGT_MergedSrc L2008-5851
    "\U1857E",  # kRSTUnicode 530.12
    "\U1857F",  # kTGT_MergedSrc L2008-5856
    "\U1857F",  # kRSTUnicode 532.10
    "\U18580",  # kTGT_MergedSrc L2008-5879
    "\U18580",  # kRSTUnicode 532.11
    "\U18581",  # kTGT_MergedSrc L2008-5969
    "\U18581",  # kRSTUnicode 532.14
    "\U18582",  # kTGT_MergedSrc L2008-5194
    "\U18582",  # kRSTUnicode 533.15
    "\U18583",  # kTGT_MergedSrc L2008-5139
    "\U18583",  # kRSTUnicode 534.12
    "\U18584",  # kTGT_MergedSrc L2008-5161
    "\U18584",  # kRSTUnicode 535.11
    "\U18585",  # kTGT_MergedSrc L2008-5287
    "\U18585",  # kRSTUnicode 536.11
    "\U18586",  # kTGT_MergedSrc L2008-4946
    "\U18586",  # kRSTUnicode 537.7
    "\U18587",  # kTGT_MergedSrc L2008-4873
    "\U18587",  # kRSTUnicode 537.10
    "\U18588",  # kTGT_MergedSrc L2008-4779
    "\U18588",  # kRSTUnicode 537.13
    "\U18589",  # kTGT_MergedSrc L2008-5402
    "\U18589",  # kRSTUnicode 538.13
    "\U1858A",  # kTGT_MergedSrc L2008-5382
    "\U1858A",  # kRSTUnicode 539.11
    "\U1858B",  # kTGT_MergedSrc L2008-5752
    "\U1858B",  # kRSTUnicode 539.12
    "\U1858C",  # kTGT_MergedSrc L2008-5619
    "\U1858C",  # kRSTUnicode 539.12
    "\U1858D",  # kTGT_MergedSrc L2008-5618
    "\U1858D",  # kRSTUnicode 539.12
    "\U1858E",  # kTGT_MergedSrc L2008-5395
    "\U1858E",  # kRSTUnicode 539.13
    "\U1858F",  # kTGT_MergedSrc L2008-5374
    "\U1858F",  # kRSTUnicode 539.13
    "\U18590",  # kTGT_MergedSrc L2008-5193
    "\U18590",  # kRSTUnicode 539.14
    "\U18591",  # kTGT_MergedSrc L2008-5643
    "\U18591",  # kRSTUnicode 539.14
    "\U18592",  # kTGT_MergedSrc L2008-5733
    "\U18592",  # kRSTUnicode 539.15
    "\U18593",  # kTGT_MergedSrc L2008-5745
    "\U18593",  # kRSTUnicode 539.15
    "\U18594",  # kTGT_MergedSrc L2008-5230
    "\U18594",  # kRSTUnicode 539.17
    "\U18595",  # kTGT_MergedSrc L2008-5376
    "\U18595",  # kRSTUnicode 539.17
    "\U18596",  # kTGT_MergedSrc L2008-5162
    "\U18596",  # kRSTUnicode 539.18
    "\U18597",  # kTGT_MergedSrc L2008-5173
    "\U18597",  # kRSTUnicode 539.18
    "\U18598",  # kTGT_MergedSrc L2008-5232
    "\U18598",  # kRSTUnicode 539.18
    "\U18599",  # kTGT_MergedSrc L2008-5249
    "\U18599",  # kRSTUnicode 540.12
    "\U1859A",  # kTGT_MergedSrc L2008-5408
    "\U1859A",  # kRSTUnicode 540.12
    "\U1859B",  # kTGT_MergedSrc L2008-5345
    "\U1859B",  # kRSTUnicode 541.11
    "\U1859C",  # kTGT_MergedSrc L2008-5015
    "\U1859C",  # kRSTUnicode 542.11
    "\U1859D",  # kTGT_MergedSrc L2008-4715
    "\U1859D",  # kRSTUnicode 542.12
    "\U1859E",  # kTGT_MergedSrc L2008-4679
    "\U1859E",  # kRSTUnicode 542.12
    "\U1859F",  # kTGT_MergedSrc L2008-4764
    "\U1859F",  # kRSTUnicode 542.13
    "\U185A0",  # kTGT_MergedSrc L2008-4780
    "\U185A0",  # kRSTUnicode 542.13
    "\U185A1",  # kTGT_MergedSrc S1968-2589
    "\U185A1",  # kRSTUnicode 542.13
    "\U185A2",  # kTGT_MergedSrc L2008-4930
    "\U185A2",  # kRSTUnicode 542.14
    "\U185A3",  # kTGT_MergedSrc L2008-4738
    "\U185A3",  # kRSTUnicode 542.14
    "\U185A4",  # kTGT_MergedSrc L2008-4755
    "\U185A4",  # kRSTUnicode 542.14
    "\U185A5",  # kTGT_MergedSrc L2008-4877
    "\U185A5",  # kRSTUnicode 542.14
    "\U185A6",  # kTGT_MergedSrc L2008-4891
    "\U185A6",  # kRSTUnicode 542.14
    "\U185A7",  # kTGT_MergedSrc L2008-4935
    "\U185A7",  # kRSTUnicode 542.14
    "\U185A8",  # kTGT_MergedSrc L2008-4897
    "\U185A8",  # kRSTUnicode 542.15
    "\U185A9",  # kTGT_MergedSrc L2008-4787
    "\U185A9",  # kRSTUnicode 542.15
    "\U185AA",  # kTGT_MergedSrc L2008-4813
    "\U185AA",  # kRSTUnicode 542.15
    "\U185AB",  # kTGT_MergedSrc L2008-4908
    "\U185AB",  # kRSTUnicode 542.15
    "\U185AC",  # kTGT_MergedSrc L2008-5046
    "\U185AC",  # kRSTUnicode 542.15
    "\U185AD",  # kTGT_MergedSrc L2008-4680
    "\U185AD",  # kRSTUnicode 542.15
    "\U185AE",  # kTGT_MergedSrc L2008-4846
    "\U185AE",  # kRSTUnicode 542.15
    "\U185AF",  # kTGT_MergedSrc L2008-4814
    "\U185AF",  # kRSTUnicode 542.15
    "\U185B0",  # kTGT_MergedSrc L2008-5041
    "\U185B0",  # kRSTUnicode 542.15
    "\U185B1",  # kTGT_MergedSrc L2008-4717
    "\U185B1",  # kRSTUnicode 542.15
    "\U185B2",  # kTGT_MergedSrc S1968-2556
    "\U185B2",  # kRSTUnicode 542.16
    "\U185B3",  # kTGT_MergedSrc L2008-5000
    "\U185B3",  # kRSTUnicode 542.16
    "\U185B4",  # kTGT_MergedSrc L2008-4705
    "\U185B4",  # kRSTUnicode 542.16
    "\U185B5",  # kTGT_MergedSrc L2008-5019
    "\U185B5",  # kRSTUnicode 542.16
    "\U185B6",  # kTGT_MergedSrc L2008-4879
    "\U185B6",  # kRSTUnicode 542.16
    "\U185B7",  # kTGT_MergedSrc L2008-4688
    "\U185B7",  # kRSTUnicode 542.16
    "\U185B8",  # kTGT_MergedSrc L2008-4996
    "\U185B8",  # kRSTUnicode 542.17
    "\U185B9",  # kTGT_MergedSrc L2008-4817
    "\U185B9",  # kRSTUnicode 542.17
    "\U185BA",  # kTGT_MergedSrc L2008-4909
    "\U185BA",  # kRSTUnicode 542.17
    "\U185BB",  # kTGT_MergedSrc L2008-5013
    "\U185BB",  # kRSTUnicode 542.17
    "\U185BC",  # kTGT_MergedSrc L2008-4815
    "\U185BC",  # kRSTUnicode 542.17
    "\U185BD",  # kTGT_MergedSrc L2008-4816
    "\U185BD",  # kRSTUnicode 542.17
    "\U185BE",  # kTGT_MergedSrc L2008-4745
    "\U185BE",  # kRSTUnicode 542.17
    "\U185BF",  # kTGT_MergedSrc L2008-5033
    "\U185BF",  # kRSTUnicode 542.17
    "\U185C0",  # kTGT_MergedSrc L2008-5047
    "\U185C0",  # kRSTUnicode 542.17
    "\U185C1",  # kTGT_MergedSrc L2008-4735
    "\U185C1",  # kRSTUnicode 542.18
    "\U185C2",  # kTGT_MergedSrc L2008-5010
    "\U185C2",  # kRSTUnicode 542.18
    "\U185C3",  # kTGT_MergedSrc L2008-4966
    "\U185C3",  # kRSTUnicode 542.18
    "\U185C4",  # kTGT_MergedSrc L2008-4919
    "\U185C4",  # kRSTUnicode 542.18
    "\U185C5",  # kTGT_MergedSrc L2008-4781
    "\U185C5",  # kRSTUnicode 542.18
    "\U185C6",  # kTGT_MergedSrc L2008-4917
    "\U185C6",  # kRSTUnicode 542.19
    "\U185C7",  # kTGT_MergedSrc L2008-4716
    "\U185C7",  # kRSTUnicode 542.19
    "\U185C8",  # kTGT_MergedSrc L2008-5017
    "\U185C8",  # kRSTUnicode 542.19
    "\U185C9",  # kTGT_MergedSrc L2008-4967
    "\U185C9",  # kRSTUnicode 542.19
    "\U185CA",  # kTGT_MergedSrc L2008-4880
    "\U185CA",  # kRSTUnicode 542.20
    "\U185CB",  # kTGT_MergedSrc L2008-4999
    "\U185CB",  # kRSTUnicode 542.20
    "\U185CC",  # kTGT_MergedSrc L2008-4898
    "\U185CC",  # kRSTUnicode 542.20
    "\U185CD",  # kTGT_MergedSrc L2008-4878
    "\U185CD",  # kRSTUnicode 542.20
    "\U185CE",  # kTGT_MergedSrc L2008-5008
    "\U185CE",  # kRSTUnicode 542.21
    "\U185CF",  # kTGT_MergedSrc L2008-4997
    "\U185CF",  # kRSTUnicode 542.21
    "\U185D0",  # kTGT_MergedSrc L2008-4841
    "\U185D0",  # kRSTUnicode 544.7
    "\U185D1",  # kTGT_MergedSrc L2008-6057
    "\U185D1",  # kRSTUnicode 544.11
    "\U185D2",  # kTGT_MergedSrc L2008-5146
    "\U185D2",  # kRSTUnicode 544.11
    "\U185D3",  # kTGT_MergedSrc L2008-5131
    "\U185D3",  # kRSTUnicode 544.12
    "\U185D4",  # kTGT_MergedSrc L2008-5719
    "\U185D4",  # kRSTUnicode 544.12
    "\U185D5",  # kTGT_MergedSrc L2008-5464
    "\U185D5",  # kRSTUnicode 544.12
    "\U185D6",  # kTGT_MergedSrc L2008-5569
    "\U185D6",  # kRSTUnicode 544.12
    "\U185D7",  # kTGT_MergedSrc L2008-5429
    "\U185D7",  # kRSTUnicode 544.13
    "\U185D8",  # kTGT_MergedSrc L2008-5718
    "\U185D8",  # kRSTUnicode 544.13
    "\U185D9",  # kTGT_MergedSrc L2008-5568
    "\U185D9",  # kRSTUnicode 544.13
    "\U185DA",  # kTGT_MergedSrc L2008-5369
    "\U185DA",  # kRSTUnicode 544.14
    "\U185DB",  # kTGT_MergedSrc L2008-5430
    "\U185DB",  # kRSTUnicode 544.14
    "\U185DC",  # kTGT_MergedSrc L2008-5098
    "\U185DC",  # kRSTUnicode 544.19
    "\U185DD",  # kTGT_MergedSrc L2008-5252
    "\U185DD",  # kRSTUnicode 545.11
    "\U185DE",  # kTGT_MergedSrc L2008-5349
    "\U185DE",  # kRSTUnicode 545.12
    "\U185DF",  # kTGT_MergedSrc L2008-5776
    "\U185DF",  # kRSTUnicode 545.12
    "\U185E0",  # kTGT_MergedSrc L2008-5689
    "\U185E0",  # kRSTUnicode 545.12
    "\U185E1",  # kTGT_MergedSrc L2008-5775
    "\U185E1",  # kRSTUnicode 545.13
    "\U185E2",  # kTGT_MergedSrc L2008-5251
    "\U185E2",  # kRSTUnicode 545.15
    "\U185E3",  # kTGT_MergedSrc L2008-5407
    "\U185E3",  # kRSTUnicode 546.12
    "\U185E4",  # kTGT_MergedSrc L2008-5053
    "\U185E4",  # kRSTUnicode 547.7
    "\U185E5",  # kTGT_MergedSrc L2008-5255
    "\U185E5",  # kRSTUnicode 547.10
    "\U185E6",  # kTGT_MergedSrc N1966-172-041
    "\U185E6",  # kRSTUnicode 547.11
    "\U185E7",  # kTGT_MergedSrc L2008-1851
    "\U185E7",  # kRSTUnicode 548.10
    "\U185E8",  # kTGT_MergedSrc L2008-0857
    "\U185E8",  # kRSTUnicode 548.13
    "\U185E9",  # kTGT_MergedSrc L2008-1055
    "\U185E9",  # kRSTUnicode 550.15
    "\U185EA",  # kTGT_MergedSrc L2008-1175
    "\U185EA",  # kRSTUnicode 551.7
    "\U185EB",  # kTGT_MergedSrc L2008-0255
    "\U185EB",  # kRSTUnicode 551.11
    "\U185EC",  # kTGT_MergedSrc L2008-0557
    "\U185EC",  # kRSTUnicode 551.11
    "\U185ED",  # kTGT_MergedSrc L2008-1673
    "\U185ED",  # kRSTUnicode 551.12
    "\U185EE",  # kTGT_MergedSrc L2008-1333
    "\U185EE",  # kRSTUnicode 551.12
    "\U185EF",  # kTGT_MergedSrc L2008-1746
    "\U185EF",  # kRSTUnicode 551.13
    "\U185F0",  # kTGT_MergedSrc L2008-0864
    "\U185F0",  # kRSTUnicode 551.14
    "\U185F1",  # kTGT_MergedSrc L2008-0674
    "\U185F1",  # kRSTUnicode 551.16
    "\U185F2",  # kTGT_MergedSrc L2008-0248
    "\U185F2",  # kRSTUnicode 553.12
    "\U185F3",  # kTGT_MergedSrc L2008-0766
    "\U185F3",  # kRSTUnicode 556.9
    "\U185F4",  # kTGT_MergedSrc L2008-1141
    "\U185F4",  # kRSTUnicode 557.7
    "\U185F5",  # kTGT_MergedSrc L2008-0550
    "\U185F5",  # kRSTUnicode 557.13
    "\U185F6",  # kTGT_MergedSrc L2008-0803
    "\U185F6",  # kRSTUnicode 557.14
    "\U185F7",  # kTGT_MergedSrc L2008-0713
    "\U185F7",  # kRSTUnicode 557.16
    "\U185F8",  # kTGT_MergedSrc L2008-0380
    "\U185F8",  # kRSTUnicode 558.12
    "\U185F9",  # kTGT_MergedSrc L2008-1308
    "\U185F9",  # kRSTUnicode 558.14
    "\U185FA",  # kTGT_MergedSrc L2008-0686
    "\U185FA",  # kRSTUnicode 558.15
    "\U185FB",  # kTGT_MergedSrc L2008-0834
    "\U185FB",  # kRSTUnicode 559.10
    "\U185FC",  # kTGT_MergedSrc L2008-0442
    "\U185FC",  # kRSTUnicode 559.10
    "\U185FD",  # kTGT_MergedSrc L2008-0590
    "\U185FD",  # kRSTUnicode 560.11
    "\U185FE",  # kTGT_MergedSrc L2008-1387
    "\U185FE",  # kRSTUnicode 560.12
    "\U185FF",  # kTGT_MergedSrc L2008-0307
    "\U185FF",  # kRSTUnicode 560.13
    "\U18600",  # kTGT_MergedSrc L2008-1699
    "\U18600",  # kRSTUnicode 560.13
    "\U18601",  # kTGT_MergedSrc L2008-0893
    "\U18601",  # kRSTUnicode 560.15
    "\U18602",  # kTGT_MergedSrc L2008-0872
    "\U18602",  # kRSTUnicode 560.16
    "\U18603",  # kTGT_MergedSrc L2008-0750
    "\U18603",  # kRSTUnicode 561.9
    "\U18604",  # kTGT_MergedSrc L2008-0169
    "\U18604",  # kRSTUnicode 561.11
    "\U18605",  # kTGT_MergedSrc L2008-0228
    "\U18605",  # kRSTUnicode 561.11
    "\U18606",  # kTGT_MergedSrc L2008-0941
    "\U18606",  # kRSTUnicode 561.11
    "\U18607",  # kTGT_MergedSrc L2008-0501
    "\U18607",  # kRSTUnicode 561.12
    "\U18608",  # kTGT_MergedSrc L2008-1647
    "\U18608",  # kRSTUnicode 561.13
    "\U18609",  # kTGT_MergedSrc L2008-0854
    "\U18609",  # kRSTUnicode 561.15
    "\U1860A",  # kTGT_MergedSrc L2008-1620
    "\U1860A",  # kRSTUnicode 561.15
    "\U1860B",  # kTGT_MergedSrc L2008-1482
    "\U1860B",  # kRSTUnicode 563.10
    "\U1860C",  # kTGT_MergedSrc L2008-0621
    "\U1860C",  # kRSTUnicode 563.12
    "\U1860D",  # kTGT_MergedSrc L2008-0726
    "\U1860D",  # kRSTUnicode 563.12
    "\U1860E",  # kTGT_MergedSrc L2008-1808
    "\U1860E",  # kRSTUnicode 563.13
    "\U1860F",  # kTGT_MergedSrc L2008-0622
    "\U1860F",  # kRSTUnicode 563.14
    "\U18610",  # kTGT_MergedSrc L2008-0356
    "\U18610",  # kRSTUnicode 564.11
    "\U18611",  # kTGT_MergedSrc L2008-0540
    "\U18611",  # kRSTUnicode 564.11
    "\U18612",  # kTGT_MergedSrc L2008-0689
    "\U18612",  # kRSTUnicode 564.12
    "\U18613",  # kTGT_MergedSrc L2008-1231
    "\U18613",  # kRSTUnicode 564.12
    "\U18614",  # kTGT_MergedSrc L2008-0339
    "\U18614",  # kRSTUnicode 564.13
    "\U18615",  # kTGT_MergedSrc L2008-0690
    "\U18615",  # kRSTUnicode 564.13
    "\U18616",  # kTGT_MergedSrc L2008-1677
    "\U18616",  # kRSTUnicode 564.13
    "\U18617",  # kTGT_MergedSrc L2008-1856
    "\U18617",  # kRSTUnicode 564.13
    "\U18618",  # kTGT_MergedSrc L2008-1348
    "\U18618",  # kRSTUnicode 564.15
    "\U18619",  # kTGT_MergedSrc L2008-0742
    "\U18619",  # kRSTUnicode 565.9
    "\U1861A",  # kTGT_MergedSrc L2008-0998
    "\U1861A",  # kRSTUnicode 565.10
    "\U1861B",  # kTGT_MergedSrc L2008-0171
    "\U1861B",  # kRSTUnicode 565.12
    "\U1861C",  # kTGT_MergedSrc L2008-0479
    "\U1861C",  # kRSTUnicode 565.12
    "\U1861D",  # kTGT_MergedSrc L2008-1087
    "\U1861D",  # kRSTUnicode 565.13
    "\U1861E",  # kTGT_MergedSrc L2008-1846
    "\U1861E",  # kRSTUnicode 565.13
    "\U1861F",  # kTGT_MergedSrc L2008-1648
    "\U1861F",  # kRSTUnicode 565.14
    "\U18620",  # kTGT_MergedSrc L2008-1033
    "\U18620",  # kRSTUnicode 565.15
    "\U18621",  # kTGT_MergedSrc L2008-0758
    "\U18621",  # kRSTUnicode 565.15
    "\U18622",  # kTGT_MergedSrc L2008-0490
    "\U18622",  # kRSTUnicode 566.11
    "\U18623",  # kTGT_MergedSrc L2008-1278
    "\U18623",  # kRSTUnicode 567.9
    "\U18624",  # kTGT_MergedSrc L2008-1153
    "\U18624",  # kRSTUnicode 568.7
    "\U18625",  # kTGT_MergedSrc L2008-1279
    "\U18625",  # kRSTUnicode 568.9
    "\U18626",  # kTGT_MergedSrc L2008-0322
    "\U18626",  # kRSTUnicode 568.10
    "\U18627",  # kTGT_MergedSrc L2008-0375
    "\U18627",  # kRSTUnicode 568.11
    "\U18628",  # kTGT_MergedSrc L2008-1213
    "\U18628",  # kRSTUnicode 568.11
    "\U18629",  # kTGT_MergedSrc L2008-1725
    "\U18629",  # kRSTUnicode 568.11
    "\U1862A",  # kTGT_MergedSrc L2008-1325
    "\U1862A",  # kRSTUnicode 568.11
    "\U1862B",  # kTGT_MergedSrc L2008-0251
    "\U1862B",  # kRSTUnicode 568.11
    "\U1862C",  # kTGT_MergedSrc L2008-0353
    "\U1862C",  # kRSTUnicode 568.12
    "\U1862D",  # kTGT_MergedSrc L2008-0385
    "\U1862D",  # kRSTUnicode 568.12
    "\U1862E",  # kTGT_MergedSrc L2008-0261
    "\U1862E",  # kRSTUnicode 568.12
    "\U1862F",  # kTGT_MergedSrc L2008-0304
    "\U1862F",  # kRSTUnicode 568.12
    "\U18630",  # kTGT_MergedSrc L2008-0314
    "\U18630",  # kRSTUnicode 568.12
    "\U18631",  # kTGT_MergedSrc L2008-0323
    "\U18631",  # kRSTUnicode 568.12
    "\U18632",  # kTGT_MergedSrc L2008-0252
    "\U18632",  # kRSTUnicode 568.12
    "\U18633",  # kTGT_MergedSrc L2008-0679
    "\U18633",  # kRSTUnicode 568.12
    "\U18634",  # kTGT_MergedSrc L2008-0698
    "\U18634",  # kRSTUnicode 568.12
    "\U18635",  # kTGT_MergedSrc L2008-1679
    "\U18635",  # kRSTUnicode 568.12
    "\U18636",  # kTGT_MergedSrc L2008-1712
    "\U18636",  # kRSTUnicode 568.12
    "\U18637",  # kTGT_MergedSrc L2008-1239
    "\U18637",  # kRSTUnicode 568.12
    "\U18638",  # kTGT_MergedSrc L2008-1238
    "\U18638",  # kRSTUnicode 568.12
    "\U18639",  # kTGT_MergedSrc L2008-0386
    "\U18639",  # kRSTUnicode 568.13
    "\U1863A",  # kTGT_MergedSrc L2008-0278
    "\U1863A",  # kRSTUnicode 568.13
    "\U1863B",  # kTGT_MergedSrc L2008-0268
    "\U1863B",  # kRSTUnicode 568.13
    "\U1863C",  # kTGT_MergedSrc L2008-1761
    "\U1863C",  # kRSTUnicode 568.13
    "\U1863D",  # kTGT_MergedSrc L2008-1411
    "\U1863D",  # kRSTUnicode 568.13
    "\U1863E",  # kTGT_MergedSrc L2008-0564
    "\U1863E",  # kRSTUnicode 568.13
    "\U1863F",  # kTGT_MergedSrc L2008-0808
    "\U1863F",  # kRSTUnicode 568.13
    "\U18640",  # kTGT_MergedSrc L2008-0697
    "\U18640",  # kRSTUnicode 568.13
    "\U18641",  # kTGT_MergedSrc L2008-1672
    "\U18641",  # kRSTUnicode 568.13
    "\U18642",  # kTGT_MergedSrc L2008-1866
    "\U18642",  # kRSTUnicode 568.13
    "\U18643",  # kTGT_MergedSrc L2008-1859
    "\U18643",  # kRSTUnicode 568.13
    "\U18644",  # kTGT_MergedSrc L2008-1680
    "\U18644",  # kRSTUnicode 568.13
    "\U18645",  # kTGT_MergedSrc L2008-1744
    "\U18645",  # kRSTUnicode 568.13
    "\U18646",  # kTGT_MergedSrc L2008-1197
    "\U18646",  # kRSTUnicode 568.13
    "\U18647",  # kTGT_MergedSrc L2008-0795
    "\U18647",  # kRSTUnicode 568.13
    "\U18648",  # kTGT_MergedSrc L2008-0882
    "\U18648",  # kRSTUnicode 568.13
    "\U18649",  # kTGT_MergedSrc L2008-0580
    "\U18649",  # kRSTUnicode 568.14
    "\U1864A",  # kTGT_MergedSrc L2008-1762
    "\U1864A",  # kRSTUnicode 568.14
    "\U1864B",  # kTGT_MergedSrc L2008-0809
    "\U1864B",  # kRSTUnicode 568.14
    "\U1864C",  # kTGT_MergedSrc L2008-1326
    "\U1864C",  # kRSTUnicode 568.14
    "\U1864D",  # kTGT_MergedSrc L2008-0878
    "\U1864D",  # kRSTUnicode 568.15
    "\U1864E",  # kTGT_MergedSrc L2008-0354
    "\U1864E",  # kRSTUnicode 568.15
    "\U1864F",  # kTGT_MergedSrc L2008-0801
    "\U1864F",  # kRSTUnicode 568.15
    "\U18650",  # kTGT_MergedSrc L2008-0376
    "\U18650",  # kRSTUnicode 568.15
    "\U18651",  # kTGT_MergedSrc L2008-1405
    "\U18651",  # kRSTUnicode 568.15
    "\U18652",  # kTGT_MergedSrc L2008-0601
    "\U18652",  # kRSTUnicode 568.15
    "\U18653",  # kTGT_MergedSrc L2008-0810
    "\U18653",  # kRSTUnicode 568.15
    "\U18654",  # kTGT_MergedSrc L2008-0296
    "\U18654",  # kRSTUnicode 568.15
    "\U18655",  # kTGT_MergedSrc L2008-1729
    "\U18655",  # kRSTUnicode 568.15
    "\U18656",  # kTGT_MergedSrc L2008-1773
    "\U18656",  # kRSTUnicode 568.15
    "\U18657",  # kTGT_MergedSrc L2008-1221
    "\U18657",  # kRSTUnicode 568.15
    "\U18658",  # kTGT_MergedSrc L2008-1240
    "\U18658",  # kRSTUnicode 568.15
    "\U18659",  # kTGT_MergedSrc N1966-297-097
    "\U18659",  # kRSTUnicode 568.16
    "\U1865A",  # kTGT_MergedSrc L2008-0341
    "\U1865A",  # kRSTUnicode 568.16
    "\U1865B",  # kTGT_MergedSrc L2008-0288
    "\U1865B",  # kRSTUnicode 568.16
    "\U1865C",  # kTGT_MergedSrc L2008-1854
    "\U1865C",  # kRSTUnicode 568.16
    "\U1865D",  # kTGT_MergedSrc L2008-0796
    "\U1865D",  # kRSTUnicode 568.16
    "\U1865E",  # kTGT_MergedSrc L2008-0802
    "\U1865E",  # kRSTUnicode 568.16
    "\U1865F",  # kTGT_MergedSrc L2008-1390
    "\U1865F",  # kRSTUnicode 568.17
    "\U18660",  # kTGT_MergedSrc L2008-1730
    "\U18660",  # kRSTUnicode 568.17
    "\U18661",  # kTGT_MergedSrc L2008-0581
    "\U18661",  # kRSTUnicode 568.17
    "\U18662",  # kTGT_MergedSrc L2008-1391
    "\U18662",  # kRSTUnicode 568.18
    "\U18663",  # kTGT_MergedSrc L2008-0716
    "\U18663",  # kRSTUnicode 568.18
    "\U18664",  # kTGT_MergedSrc L2008-1731
    "\U18664",  # kRSTUnicode 568.18
    "\U18665",  # kTGT_MergedSrc L2008-0594
    "\U18665",  # kRSTUnicode 568.19
    "\U18666",  # kTGT_MergedSrc L2008-0297
    "\U18666",  # kRSTUnicode 568.20
    "\U18667",  # kTGT_MergedSrc L2008-1212
    "\U18667",  # kRSTUnicode 568.20
    "\U18668",  # kTGT_MergedSrc L2008-1610
    "\U18668",  # kRSTUnicode 569.13
    "\U18669",  # kTGT_MergedSrc L2008-0985
    "\U18669",  # kRSTUnicode 569.14
    "\U1866A",  # kTGT_MergedSrc L2008-0670
    "\U1866A",  # kRSTUnicode 569.15
    "\U1866B",  # kTGT_MergedSrc L2008-5872
    "\U1866B",  # kRSTUnicode 570.11
    "\U1866C",  # kTGT_MergedSrc L2008-1043
    "\U1866C",  # kRSTUnicode 572.7
    "\U1866D",  # kTGT_MergedSrc L2008-0668
    "\U1866D",  # kRSTUnicode 572.12
    "\U1866E",  # kTGT_MergedSrc L2008-1659
    "\U1866E",  # kRSTUnicode 572.12
    "\U1866F",  # kTGT_MergedSrc L2008-0521
    "\U1866F",  # kRSTUnicode 572.13
    "\U18670",  # kTGT_MergedSrc L2008-1608
    "\U18670",  # kRSTUnicode 572.13
    "\U18671",  # kTGT_MergedSrc L2008-1660
    "\U18671",  # kRSTUnicode 572.16
    "\U18672",  # kTGT_MergedSrc L2008-0443
    "\U18672",  # kRSTUnicode 573.10
    "\U18673",  # kTGT_MergedSrc L2008-0459
    "\U18673",  # kRSTUnicode 573.11
    "\U18674",  # kTGT_MergedSrc L2008-0458
    "\U18674",  # kRSTUnicode 573.11
    "\U18675",  # kTGT_MergedSrc L2008-0460
    "\U18675",  # kRSTUnicode 573.11
    "\U18676",  # kTGT_MergedSrc L2008-0624
    "\U18676",  # kRSTUnicode 573.13
    "\U18677",  # kTGT_MergedSrc L2008-1816
    "\U18677",  # kRSTUnicode 573.14
    "\U18678",  # kTGT_MergedSrc L2008-1541
    "\U18678",  # kRSTUnicode 573.15
    "\U18679",  # kTGT_MergedSrc L2008-0890
    "\U18679",  # kRSTUnicode 573.16
    "\U1867A",  # kTGT_MergedSrc L2008-0451
    "\U1867A",  # kRSTUnicode 573.17
    "\U1867B",  # kTGT_MergedSrc L2008-0889
    "\U1867B",  # kRSTUnicode 573.17
    "\U1867C",  # kTGT_MergedSrc L2008-0730
    "\U1867C",  # kRSTUnicode 573.17
    "\U1867D",  # kTGT_MergedSrc L2008-0664
    "\U1867D",  # kRSTUnicode 574.11
    "\U1867E",  # kTGT_MergedSrc L2008-1601
    "\U1867E",  # kRSTUnicode 574.12
    "\U1867F",  # kTGT_MergedSrc L2008-1280
    "\U1867F",  # kRSTUnicode 576.17
    "\U18680",  # kTGT_MergedSrc L2008-2597
    "\U18680",  # kRSTUnicode 577.13
    "\U18681",  # kTGT_MergedSrc L2008-3032
    "\U18681",  # kRSTUnicode 577.14
    "\U18682",  # kTGT_MergedSrc L2008-0658
    "\U18682",  # kRSTUnicode 578.12
    "\U18683",  # kTGT_MergedSrc L2008-1618
    "\U18683",  # kRSTUnicode 578.12
    "\U18684",  # kTGT_MergedSrc L2008-0172
    "\U18684",  # kRSTUnicode 578.13
    "\U18685",  # kTGT_MergedSrc L2008-1848
    "\U18685",  # kRSTUnicode 578.13
    "\U18686",  # kTGT_MergedSrc L2008-0362
    "\U18686",  # kRSTUnicode 579.12
    "\U18687",  # kTGT_MergedSrc L2008-0324
    "\U18687",  # kRSTUnicode 579.13
    "\U18688",  # kTGT_MergedSrc L2008-0263
    "\U18688",  # kRSTUnicode 579.13
    "\U18689",  # kTGT_MergedSrc L2008-1853
    "\U18689",  # kRSTUnicode 579.16
    "\U1868A",  # kTGT_MergedSrc L2008-1874
    "\U1868A",  # kRSTUnicode 579.16
    "\U1868B",  # kTGT_MergedSrc L2008-0549
    "\U1868B",  # kRSTUnicode 581.12
    "\U1868C",  # kTGT_MergedSrc L2008-4022
    "\U1868C",  # kRSTUnicode 582.12
    "\U1868D",  # kTGT_MergedSrc L2008-4430
    "\U1868D",  # kRSTUnicode 584.13
    "\U1868E",  # kTGT_MergedSrc L2008-4453
    "\U1868E",  # kRSTUnicode 584.13
    "\U1868F",  # kTGT_MergedSrc L2008-4441
    "\U1868F",  # kRSTUnicode 585.17
    "\U18690",  # kTGT_MergedSrc L2008-4274
    "\U18690",  # kRSTUnicode 586.8
    "\U18691",  # kTGT_MergedSrc L2008-4446
    "\U18691",  # kRSTUnicode 586.11
    "\U18692",  # kTGT_MergedSrc L2008-4461
    "\U18692",  # kRSTUnicode 586.14
    "\U18693",  # kTGT_MergedSrc L2008-4432
    "\U18693",  # kRSTUnicode 587.13
    "\U18694",  # kTGT_MergedSrc L2008-4625
    "\U18694",  # kRSTUnicode 589.13
    "\U18695",  # kTGT_MergedSrc L2008-0200
    "\U18695",  # kRSTUnicode 590.15
    "\U18696",  # kTGT_MergedSrc L2008-1018
    "\U18696",  # kRSTUnicode 590.15
    "\U18697",  # kTGT_MergedSrc L2008-0642
    "\U18697",  # kRSTUnicode 590.17
    "\U18698",  # kTGT_MergedSrc L2008-0552
    "\U18698",  # kRSTUnicode 591.12
    "\U18699",  # kTGT_MergedSrc L2008-1681
    "\U18699",  # kRSTUnicode 591.13
    "\U1869A",  # kTGT_MergedSrc L2008-0265
    "\U1869A",  # kRSTUnicode 591.14
    "\U1869B",  # kTGT_MergedSrc L2008-0554
    "\U1869B",  # kRSTUnicode 591.14
    "\U1869C",  # kTGT_MergedSrc L2008-0883
    "\U1869C",  # kRSTUnicode 591.14
    "\U1869D",  # kTGT_MergedSrc L2008-1328
    "\U1869D",  # kRSTUnicode 591.15
    "\U1869E",  # kTGT_MergedSrc L1997-5995
    "\U1869E",  # kRSTUnicode 591.16
    "\U1869F",  # kTGT_MergedSrc L2008-0308
    "\U1869F",  # kRSTUnicode 591.18
    "\U186A0",  # kTGT_MergedSrc L2008-4554
    "\U186A0",  # kRSTUnicode 593.8
    "\U186A1",  # kTGT_MergedSrc L2008-0523-4565
    "\U186A1",  # kRSTUnicode 593.14
    "\U186A2",  # kTGT_MergedSrc L2008-0762
    "\U186A2",  # kRSTUnicode 594.10
    "\U186A3",  # kTGT_MergedSrc L2008-0237
    "\U186A3",  # kRSTUnicode 594.16
    "\U186A4",  # kTGT_MergedSrc L2008-4671
    "\U186A4",  # kRSTUnicode 595.15
    "\U186A5",  # kTGT_MergedSrc L2008-4579
    "\U186A5",  # kRSTUnicode 596.10
    "\U186A6",  # kTGT_MergedSrc L2008-4561
    "\U186A6",  # kRSTUnicode 596.12
    "\U186A7",  # kTGT_MergedSrc L2008-4654
    "\U186A7",  # kRSTUnicode 596.15
    "\U186A8",  # kTGT_MergedSrc L2008-0551
    "\U186A8",  # kRSTUnicode 597.12
    "\U186A9",  # kTGT_MergedSrc L2008-2810
    "\U186A9",  # kRSTUnicode 600.11
    "\U186AA",  # kTGT_MergedSrc L2008-2524
    "\U186AA",  # kRSTUnicode 600.12
    "\U186AB",  # kTGT_MergedSrc L2008-2522
    "\U186AB",  # kRSTUnicode 600.12
    "\U186AC",  # kTGT_MergedSrc L2008-3727
    "\U186AC",  # kRSTUnicode 600.12
    "\U186AD",  # kTGT_MergedSrc L2008-2305
    "\U186AD",  # kRSTUnicode 600.13
    "\U186AE",  # kTGT_MergedSrc L2008-2690
    "\U186AE",  # kRSTUnicode 600.13
    "\U186AF",  # kTGT_MergedSrc L2008-2526
    "\U186AF",  # kRSTUnicode 600.13
    "\U186B0",  # kTGT_MergedSrc L2008-2689
    "\U186B0",  # kRSTUnicode 600.13
    "\U186B1",  # kTGT_MergedSrc L2008-3810
    "\U186B1",  # kRSTUnicode 600.13
    "\U186B2",  # kTGT_MergedSrc L2008-2895
    "\U186B2",  # kRSTUnicode 600.13
    "\U186B3",  # kTGT_MergedSrc L2008-2301
    "\U186B3",  # kRSTUnicode 600.14
    "\U186B4",  # kTGT_MergedSrc L2008-2525
    "\U186B4",  # kRSTUnicode 600.14
    "\U186B5",  # kTGT_MergedSrc L2008-3724
    "\U186B5",  # kRSTUnicode 600.14
    "\U186B6",  # kTGT_MergedSrc L2008-2302
    "\U186B6",  # kRSTUnicode 600.15
    "\U186B7",  # kTGT_MergedSrc L2008-2811
    "\U186B7",  # kRSTUnicode 600.15
    "\U186B8",  # kTGT_MergedSrc L2008-3395
    "\U186B8",  # kRSTUnicode 600.15
    "\U186B9",  # kTGT_MergedSrc L2008-2304
    "\U186B9",  # kRSTUnicode 600.16
    "\U186BA",  # kTGT_MergedSrc L2008-3394
    "\U186BA",  # kRSTUnicode 600.17
    "\U186BB",  # kTGT_MergedSrc L2008-4630
    "\U186BB",  # kRSTUnicode 601.16
    "\U186BC",  # kTGT_MergedSrc L2008-6030
    "\U186BC",  # kRSTUnicode 603.16
    "\U186BD",  # kTGT_MergedSrc L2008-2402
    "\U186BD",  # kRSTUnicode 603.16
    "\U186BE",  # kTGT_MergedSrc L2008-2043
    "\U186BE",  # kRSTUnicode 603.17
    "\U186BF",  # kTGT_MergedSrc L2008-3878
    "\U186BF",  # kRSTUnicode 607.13
    "\U186C0",  # kTGT_MergedSrc L2008-3889
    "\U186C0",  # kRSTUnicode 608.12
    "\U186C1",  # kTGT_MergedSrc L2008-4011
    "\U186C1",  # kRSTUnicode 608.13
    "\U186C2",  # kTGT_MergedSrc L2008-4015
    "\U186C2",  # kRSTUnicode 608.16
    "\U186C3",  # kTGT_MergedSrc L2008-3819
    "\U186C3",  # kRSTUnicode 609.8
    "\U186C4",  # kTGT_MergedSrc L2008-3847
    "\U186C4",  # kRSTUnicode 609.13
    "\U186C5",  # kTGT_MergedSrc L2008-3865
    "\U186C5",  # kRSTUnicode 609.14
    "\U186C6",  # kTGT_MergedSrc L2008-3972
    "\U186C6",  # kRSTUnicode 610.10
    "\U186C7",  # kTGT_MergedSrc L2008-3879
    "\U186C7",  # kRSTUnicode 610.12
    "\U186C8",  # kTGT_MergedSrc L2008-3867
    "\U186C8",  # kRSTUnicode 610.12
    "\U186C9",  # kTGT_MergedSrc L2008-3965
    "\U186C9",  # kRSTUnicode 610.12
    "\U186CA",  # kTGT_MergedSrc L2008-3999
    "\U186CA",  # kRSTUnicode 610.13
    "\U186CB",  # kTGT_MergedSrc L2008-5803
    "\U186CB",  # kRSTUnicode 611.17
    "\U186CC",  # kTGT_MergedSrc L2008-5774
    "\U186CC",  # kRSTUnicode 611.17
    "\U186CD",  # kTGT_MergedSrc L2008-4674
    "\U186CD",  # kRSTUnicode 612.8
    "\U186CE",  # kTGT_MergedSrc L2008-5135
    "\U186CE",  # kRSTUnicode 612.14
    "\U186CF",  # kTGT_MergedSrc L2008-5709
    "\U186CF",  # kRSTUnicode 612.14
    "\U186D0",  # kTGT_MergedSrc L2008-5128
    "\U186D0",  # kRSTUnicode 613.11
    "\U186D1",  # kTGT_MergedSrc L2008-6068
    "\U186D1",  # kRSTUnicode 613.13
    "\U186D2",  # kTGT_MergedSrc L2008-5262
    "\U186D2",  # kRSTUnicode 615.12
    "\U186D3",  # kTGT_MergedSrc L2008-5830
    "\U186D3",  # kRSTUnicode 616.12
    "\U186D4",  # kTGT_MergedSrc L2008-5578
    "\U186D4",  # kRSTUnicode 617.14
    "\U186D5",  # kTGT_MergedSrc L2008-5542
    "\U186D5",  # kRSTUnicode 618.17
    "\U186D6",  # kTGT_MergedSrc L2008-4881
    "\U186D6",  # kRSTUnicode 619.8
    "\U186D7",  # kTGT_MergedSrc L2008-5789
    "\U186D7",  # kRSTUnicode 619.14
    "\U186D8",  # kTGT_MergedSrc L2008-5673
    "\U186D8",  # kRSTUnicode 623.14
    "\U186D9",  # kTGT_MergedSrc L2008-4948
    "\U186D9",  # kRSTUnicode 624.8
    "\U186DA",  # kTGT_MergedSrc L2008-5202
    "\U186DA",  # kRSTUnicode 624.12
    "\U186DB",  # kTGT_MergedSrc L2008-5319
    "\U186DB",  # kRSTUnicode 625.12
    "\U186DC",  # kTGT_MergedSrc L2008-5036
    "\U186DC",  # kRSTUnicode 626.8
    "\U186DD",  # kTGT_MergedSrc L2008-5409
    "\U186DD",  # kRSTUnicode 626.14
    "\U186DE",  # kTGT_MergedSrc L2008-5210
    "\U186DE",  # kRSTUnicode 627.13
    "\U186DF",  # kTGT_MergedSrc L2008-5305
    "\U186DF",  # kRSTUnicode 627.15
    "\U186E0",  # kTGT_MergedSrc L2008-5844
    "\U186E0",  # kRSTUnicode 628.12
    "\U186E1",  # kTGT_MergedSrc L2008-5094
    "\U186E1",  # kRSTUnicode 631.15
    "\U186E2",  # kTGT_MergedSrc L2008-5264
    "\U186E2",  # kRSTUnicode 632.12
    "\U186E3",  # kTGT_MergedSrc L2008-5505
    "\U186E3",  # kRSTUnicode 632.12
    "\U186E4",  # kTGT_MergedSrc L2008-5544
    "\U186E4",  # kRSTUnicode 634.12
    "\U186E5",  # kTGT_MergedSrc L2008-5130
    "\U186E5",  # kRSTUnicode 634.13
    "\U186E6",  # kTGT_MergedSrc L2008-5500
    "\U186E6",  # kRSTUnicode 635.14
    "\U186E7",  # kTGT_MergedSrc L2008-5196
    "\U186E7",  # kRSTUnicode 636.12
    "\U186E8",  # kTGT_MergedSrc L2008-5400
    "\U186E8",  # kRSTUnicode 636.13
    "\U186E9",  # kTGT_MergedSrc L2008-5576
    "\U186E9",  # kRSTUnicode 637.13
    "\U186EA",  # kTGT_MergedSrc L2008-5347
    "\U186EA",  # kRSTUnicode 638.12
    "\U186EB",  # kTGT_MergedSrc L2008-5259
    "\U186EB",  # kRSTUnicode 639.11
    "\U186EC",  # kTGT_MergedSrc L2008-5687
    "\U186EC",  # kRSTUnicode 640.12
    "\U186ED",  # kTGT_MergedSrc L2008-5656
    "\U186ED",  # kRSTUnicode 640.16
    "\U186EE",  # kTGT_MergedSrc L2008-5288
    "\U186EE",  # kRSTUnicode 641.12
    "\U186EF",  # kTGT_MergedSrc L2008-5551
    "\U186EF",  # kRSTUnicode 641.13
    "\U186F0",  # kTGT_MergedSrc L2008-5552
    "\U186F0",  # kRSTUnicode 641.15
    "\U186F1",  # kTGT_MergedSrc L2008-5466
    "\U186F1",  # kRSTUnicode 641.17
    "\U186F2",  # kTGT_MergedSrc L2008-5083
    "\U186F2",  # kRSTUnicode 641.17
    "\U186F3",  # kTGT_MergedSrc L2008-5137
    "\U186F3",  # kRSTUnicode 641.19
    "\U186F4",  # kTGT_MergedSrc L2008-5138
    "\U186F4",  # kRSTUnicode 641.22
    "\U186F5",  # kTGT_MergedSrc L2008-4859
    "\U186F5",  # kRSTUnicode 645.8
    "\U186F6",  # kTGT_MergedSrc L2008-5223
    "\U186F6",  # kRSTUnicode 645.11
    "\U186F7",  # kTGT_MergedSrc L2008-5211
    "\U186F7",  # kRSTUnicode 645.12
    "\U186F8",  # kTGT_MergedSrc L2008-5320
    "\U186F8",  # kRSTUnicode 645.12
    "\U186F9",  # kTGT_MergedSrc L2008-5753
    "\U186F9",  # kRSTUnicode 645.12
    "\U186FA",  # kTGT_MergedSrc L2008-5453
    "\U186FA",  # kRSTUnicode 645.13
    "\U186FB",  # kTGT_MergedSrc L2008-5179
    "\U186FB",  # kRSTUnicode 645.14
    "\U186FC",  # kTGT_MergedSrc H2004-A-5647
    "\U186FC",  # kRSTUnicode 645.16
    "\U186FD",  # kTGT_MergedSrc L2008-1546
    "\U186FD",  # kRSTUnicode 647.8
    "\U186FE",  # kTGT_MergedSrc L2008-0736
    "\U186FE",  # kRSTUnicode 647.13
    "\U186FF",  # kTGT_MergedSrc L2008-0891
    "\U186FF",  # kRSTUnicode 647.17
    "\U18700",  # kTGT_MergedSrc L2008-0611
    "\U18700",  # kRSTUnicode 648.12
    "\U18701",  # kTGT_MergedSrc L2008-0416
    "\U18701",  # kRSTUnicode 648.13
    "\U18702",  # kTGT_MergedSrc L2008-0249
    "\U18702",  # kRSTUnicode 651.11
    "\U18703",  # kTGT_MergedSrc L2008-0382
    "\U18703",  # kRSTUnicode 653.14
    "\U18704",  # kTGT_MergedSrc L2008-1357
    "\U18704",  # kRSTUnicode 653.17
    "\U18705",  # kTGT_MergedSrc L2008-0383
    "\U18705",  # kRSTUnicode 653.17
    "\U18706",  # kTGT_MergedSrc L2008-1395
    "\U18706",  # kRSTUnicode 653.20
    "\U18707",  # kTGT_MergedSrc L2008-1218
    "\U18707",  # kRSTUnicode 654.8
    "\U18708",  # kTGT_MergedSrc L2008-0570
    "\U18708",  # kRSTUnicode 654.12
    "\U18709",  # kTGT_MergedSrc L2008-1427
    "\U18709",  # kRSTUnicode 655.8
    "\U1870A",  # kTGT_MergedSrc L2008-1802
    "\U1870A",  # kRSTUnicode 655.14
    "\U1870B",  # kTGT_MergedSrc L2008-0420
    "\U1870B",  # kRSTUnicode 655.15
    "\U1870C",  # kTGT_MergedSrc L2008-0421
    "\U1870C",  # kRSTUnicode 655.16
    "\U1870D",  # kTGT_MergedSrc L2008-0811
    "\U1870D",  # kRSTUnicode 657.10
    "\U1870E",  # kTGT_MergedSrc L2008-1494
    "\U1870E",  # kRSTUnicode 658.13
    "\U1870F",  # kTGT_MergedSrc L2008-1815
    "\U1870F",  # kRSTUnicode 658.16
    "\U18710",  # kTGT_MergedSrc L2008-1495
    "\U18710",  # kRSTUnicode 658.16
    "\U18711",  # kTGT_MergedSrc L2008-0999
    "\U18711",  # kRSTUnicode 659.9
    "\U18712",  # kTGT_MergedSrc L2008-0743
    "\U18712",  # kRSTUnicode 659.10
    "\U18713",  # kTGT_MergedSrc L2008-0170
    "\U18713",  # kRSTUnicode 659.12
    "\U18714",  # kTGT_MergedSrc L2008-0497
    "\U18714",  # kRSTUnicode 659.12
    "\U18715",  # kTGT_MergedSrc L2008-1617
    "\U18715",  # kRSTUnicode 659.12
    "\U18716",  # kTGT_MergedSrc L2008-0235
    "\U18716",  # kRSTUnicode 659.13
    "\U18717",  # kTGT_MergedSrc L2008-0747
    "\U18717",  # kRSTUnicode 659.14
    "\U18718",  # kTGT_MergedSrc L2008-1599
    "\U18718",  # kRSTUnicode 659.14
    "\U18719",  # kTGT_MergedSrc L2008-1852
    "\U18719",  # kRSTUnicode 659.14
    "\U1871A",  # kTGT_MergedSrc L2008-0851
    "\U1871A",  # kRSTUnicode 659.18
    "\U1871B",  # kTGT_MergedSrc L2008-1611
    "\U1871B",  # kRSTUnicode 661.13
    "\U1871C",  # kTGT_MergedSrc L2008-0699
    "\U1871C",  # kRSTUnicode 662.13
    "\U1871D",  # kTGT_MergedSrc L2008-1330
    "\U1871D",  # kRSTUnicode 662.15
    "\U1871E",  # kTGT_MergedSrc L2008-1224
    "\U1871E",  # kRSTUnicode 663.8
    "\U1871F",  # kTGT_MergedSrc L2008-0579
    "\U1871F",  # kRSTUnicode 663.12
    "\U18720",  # kTGT_MergedSrc L2008-6042
    "\U18720",  # kRSTUnicode 665.9
    "\U18721",  # kTGT_MergedSrc L2008-2303
    "\U18721",  # kRSTUnicode 665.12
    "\U18722",  # kTGT_MergedSrc L2008-6028
    "\U18722",  # kRSTUnicode 665.12
    "\U18723",  # kTGT_MergedSrc L2008-6034
    "\U18723",  # kRSTUnicode 665.12
    "\U18724",  # kTGT_MergedSrc L2008-2521
    "\U18724",  # kRSTUnicode 665.13
    "\U18725",  # kTGT_MergedSrc L2008-6029
    "\U18725",  # kRSTUnicode 665.14
    "\U18726",  # kTGT_MergedSrc L2008-2298-2299
    "\U18726",  # kRSTUnicode 665.14
    "\U18727",  # kTGT_MergedSrc L2008-3726
    "\U18727",  # kRSTUnicode 665.15
    "\U18728",  # kTGT_MergedSrc L2008-3723
    "\U18728",  # kRSTUnicode 665.15
    "\U18729",  # kTGT_MergedSrc L2008-0253
    "\U18729",  # kRSTUnicode 667.14
    "\U1872A",  # kTGT_MergedSrc L2008-0681
    "\U1872A",  # kRSTUnicode 668.14
    "\U1872B",  # kTGT_MergedSrc L2008-4504
    "\U1872B",  # kRSTUnicode 669.15
    "\U1872C",  # kTGT_MergedSrc L2008-4503
    "\U1872C",  # kRSTUnicode 669.15
    "\U1872D",  # kTGT_MergedSrc L2008-4423
    "\U1872D",  # kRSTUnicode 670.9
    "\U1872E",  # kTGT_MergedSrc L2008-4466
    "\U1872E",  # kRSTUnicode 670.15
    "\U1872F",  # kTGT_MergedSrc L2008-4214
    "\U1872F",  # kRSTUnicode 672.9
    "\U18730",  # kTGT_MergedSrc L2008-4431
    "\U18730",  # kRSTUnicode 672.13
    "\U18731",  # kTGT_MergedSrc L2008-4468
    "\U18731",  # kRSTUnicode 672.16
    "\U18732",  # kTGT_MergedSrc L2008-4425
    "\U18732",  # kRSTUnicode 674.9
    "\U18733",  # kTGT_MergedSrc L2008-4455
    "\U18733",  # kRSTUnicode 674.11
    "\U18734",  # kTGT_MergedSrc L2008-4449
    "\U18734",  # kRSTUnicode 674.11
    "\U18735",  # kTGT_MergedSrc L2008-4439
    "\U18735",  # kRSTUnicode 674.13
    "\U18736",  # kTGT_MergedSrc L2008-4456-4457
    "\U18736",  # kRSTUnicode 674.14
    "\U18737",  # kTGT_MergedSrc L2008-4445
    "\U18737",  # kRSTUnicode 674.16
    "\U18738",  # kTGT_MergedSrc L2008-4467
    "\U18738",  # kRSTUnicode 674.16
    "\U18739",  # kTGT_MergedSrc L2008-4447
    "\U18739",  # kRSTUnicode 674.19
    "\U1873A",  # kTGT_MergedSrc L2008-4454
    "\U1873A",  # kRSTUnicode 674.19
    "\U1873B",  # kTGT_MergedSrc L2008-0536
    "\U1873B",  # kRSTUnicode 675.10
    "\U1873C",  # kTGT_MergedSrc L2008-1223
    "\U1873C",  # kRSTUnicode 675.12
    "\U1873D",  # kTGT_MergedSrc L2008-0254
    "\U1873D",  # kRSTUnicode 675.14
    "\U1873E",  # kTGT_MergedSrc L2008-0264
    "\U1873E",  # kRSTUnicode 675.14
    "\U1873F",  # kTGT_MergedSrc L2008-1406
    "\U1873F",  # kRSTUnicode 675.14
    "\U18740",  # kTGT_MergedSrc L2008-1327
    "\U18740",  # kRSTUnicode 675.14
    "\U18741",  # kTGT_MergedSrc L2008-0673
    "\U18741",  # kRSTUnicode 675.14
    "\U18742",  # kTGT_MergedSrc L2008-0700
    "\U18742",  # kRSTUnicode 675.14
    "\U18743",  # kTGT_MergedSrc L2008-0553
    "\U18743",  # kRSTUnicode 675.15
    "\U18744",  # kTGT_MergedSrc L2008-1697
    "\U18744",  # kRSTUnicode 675.15
    "\U18745",  # kTGT_MergedSrc L2008-0680
    "\U18745",  # kRSTUnicode 675.16
    "\U18746",  # kTGT_MergedSrc L2008-0301
    "\U18746",  # kRSTUnicode 675.16
    "\U18747",  # kTGT_MergedSrc L2008-1281
    "\U18747",  # kRSTUnicode 675.16
    "\U18748",  # kTGT_MergedSrc L2008-1716
    "\U18748",  # kRSTUnicode 675.16
    "\U18749",  # kTGT_MergedSrc L2008-1860
    "\U18749",  # kRSTUnicode 675.16
    "\U1874A",  # kTGT_MergedSrc L2008-1764
    "\U1874A",  # kRSTUnicode 675.16
    "\U1874B",  # kTGT_MergedSrc L2008-1242
    "\U1874B",  # kRSTUnicode 675.16
    "\U1874C",  # kTGT_MergedSrc L2008-1174
    "\U1874C",  # kRSTUnicode 675.16
    "\U1874D",  # kTGT_MergedSrc L2008-1420
    "\U1874D",  # kRSTUnicode 675.16
    "\U1874E",  # kTGT_MergedSrc L2008-1358
    "\U1874E",  # kRSTUnicode 675.16
    "\U1874F",  # kTGT_MergedSrc L2008-0812
    "\U1874F",  # kRSTUnicode 675.18
    "\U18750",  # kTGT_MergedSrc L2008-3725
    "\U18750",  # kRSTUnicode 678.14
    "\U18751",  # kTGT_MergedSrc L2008-3770
    "\U18751",  # kRSTUnicode 679.14
    "\U18752",  # kTGT_MergedSrc L2008-3522
    "\U18752",  # kRSTUnicode 679.14
    "\U18753",  # kTGT_MergedSrc L2008-2842
    "\U18753",  # kRSTUnicode 679.14
    "\U18754",  # kTGT_MergedSrc L2008-3521
    "\U18754",  # kRSTUnicode 679.15
    "\U18755",  # kTGT_MergedSrc L2008-3823
    "\U18755",  # kRSTUnicode 680.9
    "\U18756",  # kTGT_MergedSrc L2008-3954
    "\U18756",  # kRSTUnicode 680.10
    "\U18757",  # kTGT_MergedSrc L2008-3939
    "\U18757",  # kRSTUnicode 680.15
    "\U18758",  # kTGT_MergedSrc L2008-3937
    "\U18758",  # kRSTUnicode 680.16
    "\U18759",  # kTGT_MergedSrc L2008-5164
    "\U18759",  # kRSTUnicode 681.13
    "\U1875A",  # kTGT_MergedSrc L2008-5817
    "\U1875A",  # kRSTUnicode 684.13
    "\U1875B",  # kTGT_MergedSrc L2008-5886
    "\U1875B",  # kRSTUnicode 684.13
    "\U1875C",  # kTGT_MergedSrc L2008-5904
    "\U1875C",  # kRSTUnicode 684.15
    "\U1875D",  # kTGT_MergedSrc L2006-5998
    "\U1875D",  # kRSTUnicode 685.12
    "\U1875E",  # kTGT_MergedSrc L2008-4797
    "\U1875E",  # kRSTUnicode 686.9
    "\U1875F",  # kTGT_MergedSrc L2008-5424
    "\U1875F",  # kRSTUnicode 686.11
    "\U18760",  # kTGT_MergedSrc L2008-5355
    "\U18760",  # kRSTUnicode 687.15
    "\U18761",  # kTGT_MergedSrc L2008-5947
    "\U18761",  # kRSTUnicode 688.11
    "\U18762",  # kTGT_MergedSrc L2008-5983
    "\U18762",  # kRSTUnicode 688.15
    "\U18763",  # kTGT_MergedSrc L2008-4672
    "\U18763",  # kRSTUnicode 689.9
    "\U18764",  # kTGT_MergedSrc L2008-5410
    "\U18764",  # kRSTUnicode 689.16
    "\U18765",  # kTGT_MergedSrc L2008-5615
    "\U18765",  # kRSTUnicode 690.12
    "\U18766",  # kTGT_MergedSrc L2008-5604
    "\U18766",  # kRSTUnicode 690.13
    "\U18767",  # kTGT_MergedSrc L2008-5594
    "\U18767",  # kRSTUnicode 690.15
    "\U18768",  # kTGT_MergedSrc L2008-4861
    "\U18768",  # kRSTUnicode 691.9
    "\U18769",  # kTGT_MergedSrc N1966-299-021
    "\U18769",  # kRSTUnicode 691.11
    "\U1876A",  # kTGT_MergedSrc L2008-5163
    "\U1876A",  # kRSTUnicode 691.12
    "\U1876B",  # kTGT_MergedSrc L2008-5219
    "\U1876B",  # kRSTUnicode 691.13
    "\U1876C",  # kTGT_MergedSrc L2008-5801
    "\U1876C",  # kRSTUnicode 691.14
    "\U1876D",  # kTGT_MergedSrc L2008-5458
    "\U1876D",  # kRSTUnicode 691.15
    "\U1876E",  # kTGT_MergedSrc L2008-5614
    "\U1876E",  # kRSTUnicode 693.10
    "\U1876F",  # kTGT_MergedSrc L2008-5593
    "\U1876F",  # kRSTUnicode 693.12
    "\U18770",  # kTGT_MergedSrc L2008-5622
    "\U18770",  # kRSTUnicode 693.14
    "\U18771",  # kTGT_MergedSrc L2008-5324
    "\U18771",  # kRSTUnicode 693.15
    "\U18772",  # kTGT_MergedSrc L2008-5451
    "\U18772",  # kRSTUnicode 693.15
    "\U18773",  # kTGT_MergedSrc L2008-5795
    "\U18773",  # kRSTUnicode 693.15
    "\U18774",  # kTGT_MergedSrc L2008-6064
    "\U18774",  # kRSTUnicode 693.15
    "\U18775",  # kTGT_MergedSrc L2008-1245
    "\U18775",  # kRSTUnicode 694.9
    "\U18776",  # kTGT_MergedSrc L2008-0582
    "\U18776",  # kRSTUnicode 694.13
    "\U18777",  # kTGT_MergedSrc L2008-0470
    "\U18777",  # kRSTUnicode 695.16
    "\U18778",  # kTGT_MergedSrc L2008-1835
    "\U18778",  # kRSTUnicode 695.17
    "\U18779",  # kTGT_MergedSrc L2008-0156
    "\U18779",  # kRSTUnicode 696.13
    "\U1877A",  # kTGT_MergedSrc L2008-1580
    "\U1877A",  # kRSTUnicode 696.15
    "\U1877B",  # kTGT_MergedSrc L2008-1034
    "\U1877B",  # kRSTUnicode 697.9
    "\U1877C",  # kTGT_MergedSrc L2008-0977
    "\U1877C",  # kRSTUnicode 697.14
    "\U1877D",  # kTGT_MergedSrc L2008-0511
    "\U1877D",  # kRSTUnicode 697.15
    "\U1877E",  # kTGT_MergedSrc L2008-1142
    "\U1877E",  # kRSTUnicode 698.9
    "\U1877F",  # kTGT_MergedSrc L2008-1222
    "\U1877F",  # kRSTUnicode 698.12
    "\U18780",  # kTGT_MergedSrc L2008-1740
    "\U18780",  # kRSTUnicode 698.14
    "\U18781",  # kTGT_MergedSrc L2008-1241
    "\U18781",  # kRSTUnicode 698.14
    "\U18782",  # kTGT_MergedSrc L2008-1118
    "\U18782",  # kRSTUnicode 700.15
    "\U18783",  # kTGT_MergedSrc L2008-1329
    "\U18783",  # kRSTUnicode 701.14
    "\U18784",  # kTGT_MergedSrc L2008-1696
    "\U18784",  # kRSTUnicode 701.14
    "\U18785",  # kTGT_MergedSrc L2008-1372
    "\U18785",  # kRSTUnicode 701.19
    "\U18786",  # kTGT_MergedSrc L2008-1475
    "\U18786",  # kRSTUnicode 702.9
    "\U18787",  # kTGT_MergedSrc L2008-1789
    "\U18787",  # kRSTUnicode 702.14
    "\U18788",  # kTGT_MergedSrc L2008-1439
    "\U18788",  # kRSTUnicode 702.16
    "\U18789",  # kTGT_MergedSrc L2008-0262
    "\U18789",  # kRSTUnicode 703.13
    "\U1878A",  # kTGT_MergedSrc L2008-0565
    "\U1878A",  # kRSTUnicode 703.15
    "\U1878B",  # kTGT_MergedSrc L2008-1745
    "\U1878B",  # kRSTUnicode 703.15
    "\U1878C",  # kTGT_MergedSrc L2008-0902
    "\U1878C",  # kRSTUnicode 704.9
    "\U1878D",  # kTGT_MergedSrc L2008-0739
    "\U1878D",  # kRSTUnicode 704.11
    "\U1878E",  # kTGT_MergedSrc L2008-0640
    "\U1878E",  # kRSTUnicode 705.14
    "\U1878F",  # kTGT_MergedSrc L2008-0884
    "\U1878F",  # kRSTUnicode 706.16
    "\U18790",  # kTGT_MergedSrc L2008-0151
    "\U18790",  # kRSTUnicode 707.10
    "\U18791",  # kTGT_MergedSrc L2008-1841
    "\U18791",  # kRSTUnicode 707.16
    "\U18792",  # kTGT_MergedSrc L2008-1833
    "\U18792",  # kRSTUnicode 707.18
    "\U18793",  # kTGT_MergedSrc L2008-0676
    "\U18793",  # kRSTUnicode 708.17
    "\U18794",  # kTGT_MergedSrc L2008-4462
    "\U18794",  # kRSTUnicode 709.15
    "\U18795",  # kTGT_MergedSrc L2008-6051
    "\U18795",  # kRSTUnicode 709.18
    "\U18796",  # kTGT_MergedSrc L2008-4442
    "\U18796",  # kRSTUnicode 710.14
    "\U18797",  # kTGT_MergedSrc L2008-0001
    "\U18797",  # kRSTUnicode 711.10
    "\U18798",  # kTGT_MergedSrc L2008-1577
    "\U18798",  # kRSTUnicode 711.16
    "\U18799",  # kTGT_MergedSrc L2008-1582
    "\U18799",  # kRSTUnicode 711.16
    "\U1879A",  # kTGT_MergedSrc L2008-0740
    "\U1879A",  # kRSTUnicode 711.17
    "\U1879B",  # kTGT_MergedSrc L2008-1578
    "\U1879B",  # kRSTUnicode 711.18
    "\U1879C",  # kTGT_MergedSrc L2008-1583
    "\U1879C",  # kRSTUnicode 711.19
    "\U1879D",  # kTGT_MergedSrc L2008-0031
    "\U1879D",  # kRSTUnicode 713.10
    "\U1879E",  # kTGT_MergedSrc L2008-1019
    "\U1879E",  # kRSTUnicode 713.13
    "\U1879F",  # kTGT_MergedSrc L2008-1621
    "\U1879F",  # kRSTUnicode 713.17
    "\U187A0",  # kTGT_MergedSrc L2008-3971
    "\U187A0",  # kRSTUnicode 714.13
    "\U187A1",  # kTGT_MergedSrc L2008-3941
    "\U187A1",  # kRSTUnicode 714.16
    "\U187A2",  # kTGT_MergedSrc L2008-3997
    "\U187A2",  # kRSTUnicode 714.16
    "\U187A3",  # kTGT_MergedSrc L2008-3940
    "\U187A3",  # kRSTUnicode 714.19
    "\U187A4",  # kTGT_MergedSrc L2008-4874
    "\U187A4",  # kRSTUnicode 716.10
    "\U187A5",  # kTGT_MergedSrc L2008-5636
    "\U187A5",  # kRSTUnicode 716.13
    "\U187A6",  # kTGT_MergedSrc L2008-5637
    "\U187A6",  # kRSTUnicode 716.14
    "\U187A7",  # kTGT_MergedSrc L2008-4777
    "\U187A7",  # kRSTUnicode 717.10
    "\U187A8",  # kTGT_MergedSrc L2008-5425
    "\U187A8",  # kRSTUnicode 717.12
    "\U187A9",  # kTGT_MergedSrc L2008-5126
    "\U187A9",  # kRSTUnicode 717.13
    "\U187AA",  # kTGT_MergedSrc L2008-5356
    "\U187AA",  # kRSTUnicode 717.14
    "\U187AB",  # kTGT_MergedSrc L2008-5368
    "\U187AB",  # kRSTUnicode 717.16
    "\U187AC",  # kTGT_MergedSrc L2008-5698
    "\U187AC",  # kRSTUnicode 717.16
    "\U187AD",  # kTGT_MergedSrc L2008-5717
    "\U187AD",  # kRSTUnicode 717.16
    "\U187AE",  # kTGT_MergedSrc L2008-5743
    "\U187AE",  # kRSTUnicode 718.14
    "\U187AF",  # kTGT_MergedSrc L2008-5436
    "\U187AF",  # kRSTUnicode 719.12
    "\U187B0",  # kTGT_MergedSrc L2008-5761
    "\U187B0",  # kRSTUnicode 719.16
    "\U187B1",  # kTGT_MergedSrc L2008-0900
    "\U187B1",  # kRSTUnicode 720.10
    "\U187B2",  # kTGT_MergedSrc L2008-0910
    "\U187B2",  # kRSTUnicode 720.17
    "\U187B3",  # kTGT_MergedSrc L2008-0527
    "\U187B3",  # kRSTUnicode 721.10
    "\U187B4",  # kTGT_MergedSrc L2008-0595
    "\U187B4",  # kRSTUnicode 721.15
    "\U187B5",  # kTGT_MergedSrc L2008-0596
    "\U187B5",  # kRSTUnicode 722.14
    "\U187B6",  # kTGT_MergedSrc L2008-1876
    "\U187B6",  # kRSTUnicode 722.17
    "\U187B7",  # kTGT_MergedSrc L2008-0334
    "\U187B7",  # kRSTUnicode 723.16
    "\U187B8",  # kTGT_MergedSrc L2008-0519
    "\U187B8",  # kRSTUnicode 724.14
    "\U187B9",  # kTGT_MergedSrc L2008-1156
    "\U187B9",  # kRSTUnicode 725.10
    "\U187BA",  # kTGT_MergedSrc L2008-0337
    "\U187BA",  # kRSTUnicode 725.17
    "\U187BB",  # kTGT_MergedSrc L2008-1185
    "\U187BB",  # kRSTUnicode 725.19
    "\U187BC",  # kTGT_MergedSrc L2008-0003
    "\U187BC",  # kRSTUnicode 726.11
    "\U187BD",  # kTGT_MergedSrc L2008-0477
    "\U187BD",  # kRSTUnicode 726.15
    "\U187BE",  # kTGT_MergedSrc L2008-1579
    "\U187BE",  # kRSTUnicode 726.15
    "\U187BF",  # kTGT_MergedSrc L2008-0476
    "\U187BF",  # kRSTUnicode 726.16
    "\U187C0",  # kTGT_MergedSrc L2008-0046
    "\U187C0",  # kRSTUnicode 727.11
    "\U187C1",  # kTGT_MergedSrc L2008-0210
    "\U187C1",  # kRSTUnicode 727.15
    "\U187C2",  # kTGT_MergedSrc L2008-0508
    "\U187C2",  # kRSTUnicode 727.15
    "\U187C3",  # kTGT_MergedSrc L2008-0118
    "\U187C3",  # kRSTUnicode 728.11
    "\U187C4",  # kTGT_MergedSrc L2008-0597
    "\U187C4",  # kRSTUnicode 728.15
    "\U187C5",  # kTGT_MergedSrc L2008-0063
    "\U187C5",  # kRSTUnicode 729.11
    "\U187C6",  # kTGT_MergedSrc L2008-0782
    "\U187C6",  # kRSTUnicode 729.15
    "\U187C7",  # kTGT_MergedSrc L2008-0002
    "\U187C7",  # kRSTUnicode 730.11
    "\U187C8",  # kTGT_MergedSrc L2008-1581
    "\U187C8",  # kRSTUnicode 730.17
    "\U187C9",  # kTGT_MergedSrc L2008-0741
    "\U187C9",  # kRSTUnicode 730.19
    "\U187CA",  # kTGT_MergedSrc L2008-4452
    "\U187CA",  # kRSTUnicode 731.22
    "\U187CB",  # kTGT_MergedSrc L2008-0045
    "\U187CB",  # kRSTUnicode 732.11
    "\U187CC",  # kTGT_MergedSrc L2008-0512
    "\U187CC",  # kRSTUnicode 732.16
    "\U187CD",  # kTGT_MergedSrc L2008-4665
    "\U187CD",  # kRSTUnicode 733.16
    "\U187CE",  # kTGT_MergedSrc L2008-4634
    "\U187CE",  # kRSTUnicode 733.21
    "\U187CF",  # kTGT_MergedSrc L2008-3883
    "\U187CF",  # kRSTUnicode 735.16
    "\U187D0",  # kTGT_MergedSrc L2008-5495
    "\U187D0",  # kRSTUnicode 736.12
    "\U187D1",  # kTGT_MergedSrc L2008-5493
    "\U187D1",  # kRSTUnicode 736.17
    "\U187D2",  # kTGT_MergedSrc L2008-5494
    "\U187D2",  # kRSTUnicode 736.21
    "\U187D3",  # kTGT_MergedSrc L2008-0583
    "\U187D3",  # kRSTUnicode 737.15
    "\U187D4",  # kTGT_MergedSrc L2008-1035
    "\U187D4",  # kRSTUnicode 738.11
    "\U187D5",  # kTGT_MergedSrc L2008-0763
    "\U187D5",  # kRSTUnicode 738.13
    "\U187D6",  # kTGT_MergedSrc L2008-1031
    "\U187D6",  # kRSTUnicode 739.15
    "\U187D7",  # kTGT_MergedSrc L2008-0039
    "\U187D7",  # kRSTUnicode 740.12
    "\U187D8",  # kTGT_MergedSrc L2008-1041
    "\U187D8",  # kRSTUnicode 740.17
    "\U187D9",  # kTGT_MergedSrc L2008-3830
    "\U187D9",  # kRSTUnicode 741.12
    "\U187DA",  # kTGT_MergedSrc L2008-3957
    "\U187DA",  # kRSTUnicode 741.15
    "\U187DB",  # kTGT_MergedSrc L2008-4882
    "\U187DB",  # kRSTUnicode 742.12
    "\U187DC",  # kTGT_MergedSrc L2008-5437
    "\U187DC",  # kRSTUnicode 742.14
    "\U187DD",  # kTGT_MergedSrc L2008-5309
    "\U187DD",  # kRSTUnicode 744.16
    "\U187DE",  # kTGT_MergedSrc L2008-5037
    "\U187DE",  # kRSTUnicode 745.12
    "\U187DF",  # kTGT_MergedSrc L2008-5778
    "\U187DF",  # kRSTUnicode 745.18
    "\U187E0",  # kTGT_MergedSrc L2008-1338
    "\U187E0",  # kRSTUnicode 746.12
    "\U187E1",  # kTGT_MergedSrc L2008-1265
    "\U187E1",  # kRSTUnicode 746.13
    "\U187E2",  # kTGT_MergedSrc L2008-0373
    "\U187E2",  # kRSTUnicode 746.17
    "\U187E3",  # kTGT_MergedSrc L2008-0930
    "\U187E3",  # kRSTUnicode 748.12
    "\U187E4",  # kTGT_MergedSrc L2008-0487
    "\U187E4",  # kRSTUnicode 748.16
    "\U187E5",  # kTGT_MergedSrc L2008-1888
    "\U187E5",  # kRSTUnicode 750.13
    "\U187E6",  # kTGT_MergedSrc L2008-3301
    "\U187E6",  # kRSTUnicode 750.18
    "\U187E7",  # kTGT_MergedSrc L2008-5794
    "\U187E7",  # kRSTUnicode 751.18
    "\U187E8",  # kTGT_MergedSrc L2008-5787
    "\U187E8",  # kRSTUnicode 752.18
    "\U187E9",  # kTGT_MergedSrc L2008-5779
    "\U187E9",  # kRSTUnicode 753.20
    "\U187EA",  # kTGT_MergedSrc L2008-4995
    "\U187EA",  # kRSTUnicode 755.16
    "\U187EB",  # kTGT_MergedSrc L2008-5205
    "\U187EB",  # kRSTUnicode 755.19
    "\U187EC",  # kTGT_MergedSrc L2008-5203
    "\U187EC",  # kRSTUnicode 755.20
    ]
    test_data.each do |string|
      assert @validator.valid_encoding?(string), "U10_TangutSources: #{string}"
      assert string.force_encoding("UTF-8").valid_encoding?, "U10_TangutSources: #{string}" if @vercheck
    end
  end

end
