# encoding: utf-8
#
# This file is machine generated.  DO NOT EDIT!
#
if Kernel.respond_to?(:require_relative)
  require_relative("./helper")
else
  $:.unshift(File.dirname(__FILE__))
  require 'helper'
end
#
# == Purpose
#
# Tests for the #{UTF8::Validator} implementation.
#
# Test data pulled and generated from:
#
# https://www.unicode.org/Public/10.0.0/ucd/
#
class TestUnicode10UnicodeData < Test::Unit::TestCase
  #
  def setup
    @validator = UTF8::Validator.new
    @vercheck = ((RUBY_VERSION =~ /1.9/) or (RUBY_VERSION =~ /2./)) ? true : false
  end

  #
  def teardown
    @validator = nil
  end

  def test_unicode10_UnicodeData
    test_data = [
        "\u0000",  # ;<control>;Cc;0;BN;;;;;N;NULL;;;;
        "\u0001",  # ;<control>;Cc;0;BN;;;;;N;START OF HEADING;;;;
        "\u0002",  # ;<control>;Cc;0;BN;;;;;N;START OF TEXT;;;;
        "\u0003",  # ;<control>;Cc;0;BN;;;;;N;END OF TEXT;;;;
        "\u0004",  # ;<control>;Cc;0;BN;;;;;N;END OF TRANSMISSION;;;;
        "\u0005",  # ;<control>;Cc;0;BN;;;;;N;ENQUIRY;;;;
        "\u0006",  # ;<control>;Cc;0;BN;;;;;N;ACKNOWLEDGE;;;;
        "\u0007",  # ;<control>;Cc;0;BN;;;;;N;BELL;;;;
        "\u0008",  # ;<control>;Cc;0;BN;;;;;N;BACKSPACE;;;;
        "\u0009",  # ;<control>;Cc;0;S;;;;;N;CHARACTER TABULATION;;;;
        "\u000A",  # ;<control>;Cc;0;B;;;;;N;LINE FEED (LF);;;;
        "\u000B",  # ;<control>;Cc;0;S;;;;;N;LINE TABULATION;;;;
        "\u000C",  # ;<control>;Cc;0;WS;;;;;N;FORM FEED (FF);;;;
        "\u000D",  # ;<control>;Cc;0;B;;;;;N;CARRIAGE RETURN (CR);;;;
        "\u000E",  # ;<control>;Cc;0;BN;;;;;N;SHIFT OUT;;;;
        "\u000F",  # ;<control>;Cc;0;BN;;;;;N;SHIFT IN;;;;
        "\u0010",  # ;<control>;Cc;0;BN;;;;;N;DATA LINK ESCAPE;;;;
        "\u0011",  # ;<control>;Cc;0;BN;;;;;N;DEVICE CONTROL ONE;;;;
        "\u0012",  # ;<control>;Cc;0;BN;;;;;N;DEVICE CONTROL TWO;;;;
        "\u0013",  # ;<control>;Cc;0;BN;;;;;N;DEVICE CONTROL THREE;;;;
        "\u0014",  # ;<control>;Cc;0;BN;;;;;N;DEVICE CONTROL FOUR;;;;
        "\u0015",  # ;<control>;Cc;0;BN;;;;;N;NEGATIVE ACKNOWLEDGE;;;;
        "\u0016",  # ;<control>;Cc;0;BN;;;;;N;SYNCHRONOUS IDLE;;;;
        "\u0017",  # ;<control>;Cc;0;BN;;;;;N;END OF TRANSMISSION BLOCK;;;;
        "\u0018",  # ;<control>;Cc;0;BN;;;;;N;CANCEL;;;;
        "\u0019",  # ;<control>;Cc;0;BN;;;;;N;END OF MEDIUM;;;;
        "\u001A",  # ;<control>;Cc;0;BN;;;;;N;SUBSTITUTE;;;;
        "\u001B",  # ;<control>;Cc;0;BN;;;;;N;ESCAPE;;;;
        "\u001C",  # ;<control>;Cc;0;B;;;;;N;INFORMATION SEPARATOR FOUR;;;;
        "\u001D",  # ;<control>;Cc;0;B;;;;;N;INFORMATION SEPARATOR THREE;;;;
        "\u001E",  # ;<control>;Cc;0;B;;;;;N;INFORMATION SEPARATOR TWO;;;;
        "\u001F",  # ;<control>;Cc;0;S;;;;;N;INFORMATION SEPARATOR ONE;;;;
        "\u0020",  # ;SPACE;Zs;0;WS;;;;;N;;;;;
        "\u0021",  # ;EXCLAMATION MARK;Po;0;ON;;;;;N;;;;;
        "\u0022",  # ;QUOTATION MARK;Po;0;ON;;;;;N;;;;;
        "\u0023",  # ;NUMBER SIGN;Po;0;ET;;;;;N;;;;;
        "\u0024",  # ;DOLLAR SIGN;Sc;0;ET;;;;;N;;;;;
        "\u0025",  # ;PERCENT SIGN;Po;0;ET;;;;;N;;;;;
        "\u0026",  # ;AMPERSAND;Po;0;ON;;;;;N;;;;;
        "\u0027",  # ;APOSTROPHE;Po;0;ON;;;;;N;APOSTROPHE-QUOTE;;;;
        "\u0028",  # ;LEFT PARENTHESIS;Ps;0;ON;;;;;Y;OPENING PARENTHESIS;;;;
        "\u0029",  # ;RIGHT PARENTHESIS;Pe;0;ON;;;;;Y;CLOSING PARENTHESIS;;;;
        "\u002A",  # ;ASTERISK;Po;0;ON;;;;;N;;;;;
        "\u002B",  # ;PLUS SIGN;Sm;0;ES;;;;;N;;;;;
        "\u002C",  # ;COMMA;Po;0;CS;;;;;N;;;;;
        "\u002D",  # ;HYPHEN-MINUS;Pd;0;ES;;;;;N;;;;;
        "\u002E",  # ;FULL STOP;Po;0;CS;;;;;N;PERIOD;;;;
        "\u002F",  # ;SOLIDUS;Po;0;CS;;;;;N;SLASH;;;;
        "\u0030",  # ;DIGIT ZERO;Nd;0;EN;;0;0;0;N;;;;;
        "\u0031",  # ;DIGIT ONE;Nd;0;EN;;1;1;1;N;;;;;
        "\u0032",  # ;DIGIT TWO;Nd;0;EN;;2;2;2;N;;;;;
        "\u0033",  # ;DIGIT THREE;Nd;0;EN;;3;3;3;N;;;;;
        "\u0034",  # ;DIGIT FOUR;Nd;0;EN;;4;4;4;N;;;;;
        "\u0035",  # ;DIGIT FIVE;Nd;0;EN;;5;5;5;N;;;;;
        "\u0036",  # ;DIGIT SIX;Nd;0;EN;;6;6;6;N;;;;;
        "\u0037",  # ;DIGIT SEVEN;Nd;0;EN;;7;7;7;N;;;;;
        "\u0038",  # ;DIGIT EIGHT;Nd;0;EN;;8;8;8;N;;;;;
        "\u0039",  # ;DIGIT NINE;Nd;0;EN;;9;9;9;N;;;;;
        "\u003A",  # ;COLON;Po;0;CS;;;;;N;;;;;
        "\u003B",  # ;SEMICOLON;Po;0;ON;;;;;N;;;;;
        "\u003C",  # ;LESS-THAN SIGN;Sm;0;ON;;;;;Y;;;;;
        "\u003D",  # ;EQUALS SIGN;Sm;0;ON;;;;;N;;;;;
        "\u003E",  # ;GREATER-THAN SIGN;Sm;0;ON;;;;;Y;;;;;
        "\u003F",  # ;QUESTION MARK;Po;0;ON;;;;;N;;;;;
        "\u0040",  # ;COMMERCIAL AT;Po;0;ON;;;;;N;;;;;
        "\u0041",  # ;LATIN CAPITAL LETTER A;Lu;0;L;;;;;N;;;;0061;
        "\u0042",  # ;LATIN CAPITAL LETTER B;Lu;0;L;;;;;N;;;;0062;
        "\u0043",  # ;LATIN CAPITAL LETTER C;Lu;0;L;;;;;N;;;;0063;
        "\u0044",  # ;LATIN CAPITAL LETTER D;Lu;0;L;;;;;N;;;;0064;
        "\u0045",  # ;LATIN CAPITAL LETTER E;Lu;0;L;;;;;N;;;;0065;
        "\u0046",  # ;LATIN CAPITAL LETTER F;Lu;0;L;;;;;N;;;;0066;
        "\u0047",  # ;LATIN CAPITAL LETTER G;Lu;0;L;;;;;N;;;;0067;
        "\u0048",  # ;LATIN CAPITAL LETTER H;Lu;0;L;;;;;N;;;;0068;
        "\u0049",  # ;LATIN CAPITAL LETTER I;Lu;0;L;;;;;N;;;;0069;
        "\u004A",  # ;LATIN CAPITAL LETTER J;Lu;0;L;;;;;N;;;;006A;
        "\u004B",  # ;LATIN CAPITAL LETTER K;Lu;0;L;;;;;N;;;;006B;
        "\u004C",  # ;LATIN CAPITAL LETTER L;Lu;0;L;;;;;N;;;;006C;
        "\u004D",  # ;LATIN CAPITAL LETTER M;Lu;0;L;;;;;N;;;;006D;
        "\u004E",  # ;LATIN CAPITAL LETTER N;Lu;0;L;;;;;N;;;;006E;
        "\u004F",  # ;LATIN CAPITAL LETTER O;Lu;0;L;;;;;N;;;;006F;
        "\u0050",  # ;LATIN CAPITAL LETTER P;Lu;0;L;;;;;N;;;;0070;
        "\u0051",  # ;LATIN CAPITAL LETTER Q;Lu;0;L;;;;;N;;;;0071;
        "\u0052",  # ;LATIN CAPITAL LETTER R;Lu;0;L;;;;;N;;;;0072;
        "\u0053",  # ;LATIN CAPITAL LETTER S;Lu;0;L;;;;;N;;;;0073;
        "\u0054",  # ;LATIN CAPITAL LETTER T;Lu;0;L;;;;;N;;;;0074;
        "\u0055",  # ;LATIN CAPITAL LETTER U;Lu;0;L;;;;;N;;;;0075;
        "\u0056",  # ;LATIN CAPITAL LETTER V;Lu;0;L;;;;;N;;;;0076;
        "\u0057",  # ;LATIN CAPITAL LETTER W;Lu;0;L;;;;;N;;;;0077;
        "\u0058",  # ;LATIN CAPITAL LETTER X;Lu;0;L;;;;;N;;;;0078;
        "\u0059",  # ;LATIN CAPITAL LETTER Y;Lu;0;L;;;;;N;;;;0079;
        "\u005A",  # ;LATIN CAPITAL LETTER Z;Lu;0;L;;;;;N;;;;007A;
        "\u005B",  # ;LEFT SQUARE BRACKET;Ps;0;ON;;;;;Y;OPENING SQUARE BRACKET;;;;
        "\u005C",  # ;REVERSE SOLIDUS;Po;0;ON;;;;;N;BACKSLASH;;;;
        "\u005D",  # ;RIGHT SQUARE BRACKET;Pe;0;ON;;;;;Y;CLOSING SQUARE BRACKET;;;;
        "\u005E",  # ;CIRCUMFLEX ACCENT;Sk;0;ON;;;;;N;SPACING CIRCUMFLEX;;;;
        "\u005F",  # ;LOW LINE;Pc;0;ON;;;;;N;SPACING UNDERSCORE;;;;
        "\u0060",  # ;GRAVE ACCENT;Sk;0;ON;;;;;N;SPACING GRAVE;;;;
        "\u0061",  # ;LATIN SMALL LETTER A;Ll;0;L;;;;;N;;;0041;;0041
        "\u0062",  # ;LATIN SMALL LETTER B;Ll;0;L;;;;;N;;;0042;;0042
        "\u0063",  # ;LATIN SMALL LETTER C;Ll;0;L;;;;;N;;;0043;;0043
        "\u0064",  # ;LATIN SMALL LETTER D;Ll;0;L;;;;;N;;;0044;;0044
        "\u0065",  # ;LATIN SMALL LETTER E;Ll;0;L;;;;;N;;;0045;;0045
        "\u0066",  # ;LATIN SMALL LETTER F;Ll;0;L;;;;;N;;;0046;;0046
        "\u0067",  # ;LATIN SMALL LETTER G;Ll;0;L;;;;;N;;;0047;;0047
        "\u0068",  # ;LATIN SMALL LETTER H;Ll;0;L;;;;;N;;;0048;;0048
        "\u0069",  # ;LATIN SMALL LETTER I;Ll;0;L;;;;;N;;;0049;;0049
        "\u006A",  # ;LATIN SMALL LETTER J;Ll;0;L;;;;;N;;;004A;;004A
        "\u006B",  # ;LATIN SMALL LETTER K;Ll;0;L;;;;;N;;;004B;;004B
        "\u006C",  # ;LATIN SMALL LETTER L;Ll;0;L;;;;;N;;;004C;;004C
        "\u006D",  # ;LATIN SMALL LETTER M;Ll;0;L;;;;;N;;;004D;;004D
        "\u006E",  # ;LATIN SMALL LETTER N;Ll;0;L;;;;;N;;;004E;;004E
        "\u006F",  # ;LATIN SMALL LETTER O;Ll;0;L;;;;;N;;;004F;;004F
        "\u0070",  # ;LATIN SMALL LETTER P;Ll;0;L;;;;;N;;;0050;;0050
        "\u0071",  # ;LATIN SMALL LETTER Q;Ll;0;L;;;;;N;;;0051;;0051
        "\u0072",  # ;LATIN SMALL LETTER R;Ll;0;L;;;;;N;;;0052;;0052
        "\u0073",  # ;LATIN SMALL LETTER S;Ll;0;L;;;;;N;;;0053;;0053
        "\u0074",  # ;LATIN SMALL LETTER T;Ll;0;L;;;;;N;;;0054;;0054
        "\u0075",  # ;LATIN SMALL LETTER U;Ll;0;L;;;;;N;;;0055;;0055
        "\u0076",  # ;LATIN SMALL LETTER V;Ll;0;L;;;;;N;;;0056;;0056
        "\u0077",  # ;LATIN SMALL LETTER W;Ll;0;L;;;;;N;;;0057;;0057
        "\u0078",  # ;LATIN SMALL LETTER X;Ll;0;L;;;;;N;;;0058;;0058
        "\u0079",  # ;LATIN SMALL LETTER Y;Ll;0;L;;;;;N;;;0059;;0059
        "\u007A",  # ;LATIN SMALL LETTER Z;Ll;0;L;;;;;N;;;005A;;005A
        "\u007B",  # ;LEFT CURLY BRACKET;Ps;0;ON;;;;;Y;OPENING CURLY BRACKET;;;;
        "\u007C",  # ;VERTICAL LINE;Sm;0;ON;;;;;N;VERTICAL BAR;;;;
        "\u007D",  # ;RIGHT CURLY BRACKET;Pe;0;ON;;;;;Y;CLOSING CURLY BRACKET;;;;
        "\u007E",  # ;TILDE;Sm;0;ON;;;;;N;;;;;
        "\u007F",  # ;<control>;Cc;0;BN;;;;;N;DELETE;;;;
        "\u0080",  # ;<control>;Cc;0;BN;;;;;N;;;;;
        "\u0081",  # ;<control>;Cc;0;BN;;;;;N;;;;;
        "\u0082",  # ;<control>;Cc;0;BN;;;;;N;BREAK PERMITTED HERE;;;;
        "\u0083",  # ;<control>;Cc;0;BN;;;;;N;NO BREAK HERE;;;;
        "\u0084",  # ;<control>;Cc;0;BN;;;;;N;;;;;
        "\u0085",  # ;<control>;Cc;0;B;;;;;N;NEXT LINE (NEL);;;;
        "\u0086",  # ;<control>;Cc;0;BN;;;;;N;START OF SELECTED AREA;;;;
        "\u0087",  # ;<control>;Cc;0;BN;;;;;N;END OF SELECTED AREA;;;;
        "\u0088",  # ;<control>;Cc;0;BN;;;;;N;CHARACTER TABULATION SET;;;;
        "\u0089",  # ;<control>;Cc;0;BN;;;;;N;CHARACTER TABULATION WITH JUSTIFICATION;;;;
        "\u008A",  # ;<control>;Cc;0;BN;;;;;N;LINE TABULATION SET;;;;
        "\u008B",  # ;<control>;Cc;0;BN;;;;;N;PARTIAL LINE FORWARD;;;;
        "\u008C",  # ;<control>;Cc;0;BN;;;;;N;PARTIAL LINE BACKWARD;;;;
        "\u008D",  # ;<control>;Cc;0;BN;;;;;N;REVERSE LINE FEED;;;;
        "\u008E",  # ;<control>;Cc;0;BN;;;;;N;SINGLE SHIFT TWO;;;;
        "\u008F",  # ;<control>;Cc;0;BN;;;;;N;SINGLE SHIFT THREE;;;;
        "\u0090",  # ;<control>;Cc;0;BN;;;;;N;DEVICE CONTROL STRING;;;;
        "\u0091",  # ;<control>;Cc;0;BN;;;;;N;PRIVATE USE ONE;;;;
        "\u0092",  # ;<control>;Cc;0;BN;;;;;N;PRIVATE USE TWO;;;;
        "\u0093",  # ;<control>;Cc;0;BN;;;;;N;SET TRANSMIT STATE;;;;
        "\u0094",  # ;<control>;Cc;0;BN;;;;;N;CANCEL CHARACTER;;;;
        "\u0095",  # ;<control>;Cc;0;BN;;;;;N;MESSAGE WAITING;;;;
        "\u0096",  # ;<control>;Cc;0;BN;;;;;N;START OF GUARDED AREA;;;;
        "\u0097",  # ;<control>;Cc;0;BN;;;;;N;END OF GUARDED AREA;;;;
        "\u0098",  # ;<control>;Cc;0;BN;;;;;N;START OF STRING;;;;
        "\u0099",  # ;<control>;Cc;0;BN;;;;;N;;;;;
        "\u009A",  # ;<control>;Cc;0;BN;;;;;N;SINGLE CHARACTER INTRODUCER;;;;
        "\u009B",  # ;<control>;Cc;0;BN;;;;;N;CONTROL SEQUENCE INTRODUCER;;;;
        "\u009C",  # ;<control>;Cc;0;BN;;;;;N;STRING TERMINATOR;;;;
        "\u009D",  # ;<control>;Cc;0;BN;;;;;N;OPERATING SYSTEM COMMAND;;;;
        "\u009E",  # ;<control>;Cc;0;BN;;;;;N;PRIVACY MESSAGE;;;;
        "\u009F",  # ;<control>;Cc;0;BN;;;;;N;APPLICATION PROGRAM COMMAND;;;;
        "\u00A0",  # ;NO-BREAK SPACE;Zs;0;CS;<noBreak> 0020;;;;N;NON-BREAKING SPACE;;;;
        "\u00A1",  # ;INVERTED EXCLAMATION MARK;Po;0;ON;;;;;N;;;;;
        "\u00A2",  # ;CENT SIGN;Sc;0;ET;;;;;N;;;;;
        "\u00A3",  # ;POUND SIGN;Sc;0;ET;;;;;N;;;;;
        "\u00A4",  # ;CURRENCY SIGN;Sc;0;ET;;;;;N;;;;;
        "\u00A5",  # ;YEN SIGN;Sc;0;ET;;;;;N;;;;;
        "\u00A6",  # ;BROKEN BAR;So;0;ON;;;;;N;BROKEN VERTICAL BAR;;;;
        "\u00A7",  # ;SECTION SIGN;Po;0;ON;;;;;N;;;;;
        "\u00A8",  # ;DIAERESIS;Sk;0;ON;<compat> 0020 0308;;;;N;SPACING DIAERESIS;;;;
        "\u00A9",  # ;COPYRIGHT SIGN;So;0;ON;;;;;N;;;;;
        "\u00AA",  # ;FEMININE ORDINAL INDICATOR;Lo;0;L;<super> 0061;;;;N;;;;;
        "\u00AB",  # ;LEFT-POINTING DOUBLE ANGLE QUOTATION MARK;Pi;0;ON;;;;;Y;LEFT POINTING GUILLEMET;;;;
        "\u00AC",  # ;NOT SIGN;Sm;0;ON;;;;;N;;;;;
        "\u00AD",  # ;SOFT HYPHEN;Cf;0;BN;;;;;N;;;;;
        "\u00AE",  # ;REGISTERED SIGN;So;0;ON;;;;;N;REGISTERED TRADE MARK SIGN;;;;
        "\u00AF",  # ;MACRON;Sk;0;ON;<compat> 0020 0304;;;;N;SPACING MACRON;;;;
        "\u00B0",  # ;DEGREE SIGN;So;0;ET;;;;;N;;;;;
        "\u00B1",  # ;PLUS-MINUS SIGN;Sm;0;ET;;;;;N;PLUS-OR-MINUS SIGN;;;;
        "\u00B2",  # ;SUPERSCRIPT TWO;No;0;EN;<super> 0032;;2;2;N;SUPERSCRIPT DIGIT TWO;;;;
        "\u00B3",  # ;SUPERSCRIPT THREE;No;0;EN;<super> 0033;;3;3;N;SUPERSCRIPT DIGIT THREE;;;;
        "\u00B4",  # ;ACUTE ACCENT;Sk;0;ON;<compat> 0020 0301;;;;N;SPACING ACUTE;;;;
        "\u00B5",  # ;MICRO SIGN;Ll;0;L;<compat> 03BC;;;;N;;;039C;;039C
        "\u00B6",  # ;PILCROW SIGN;Po;0;ON;;;;;N;PARAGRAPH SIGN;;;;
        "\u00B7",  # ;MIDDLE DOT;Po;0;ON;;;;;N;;;;;
        "\u00B8",  # ;CEDILLA;Sk;0;ON;<compat> 0020 0327;;;;N;SPACING CEDILLA;;;;
        "\u00B9",  # ;SUPERSCRIPT ONE;No;0;EN;<super> 0031;;1;1;N;SUPERSCRIPT DIGIT ONE;;;;
        "\u00BA",  # ;MASCULINE ORDINAL INDICATOR;Lo;0;L;<super> 006F;;;;N;;;;;
        "\u00BB",  # ;RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK;Pf;0;ON;;;;;Y;RIGHT POINTING GUILLEMET;;;;
        "\u00BC",  # ;VULGAR FRACTION ONE QUARTER;No;0;ON;<fraction> 0031 2044 0034;;;1/4;N;FRACTION ONE QUARTER;;;;
        "\u00BD",  # ;VULGAR FRACTION ONE HALF;No;0;ON;<fraction> 0031 2044 0032;;;1/2;N;FRACTION ONE HALF;;;;
        "\u00BE",  # ;VULGAR FRACTION THREE QUARTERS;No;0;ON;<fraction> 0033 2044 0034;;;3/4;N;FRACTION THREE QUARTERS;;;;
        "\u00BF",  # ;INVERTED QUESTION MARK;Po;0;ON;;;;;N;;;;;
        "\u00C0",  # ;LATIN CAPITAL LETTER A WITH GRAVE;Lu;0;L;0041 0300;;;;N;LATIN CAPITAL LETTER A GRAVE;;;00E0;
        "\u00C1",  # ;LATIN CAPITAL LETTER A WITH ACUTE;Lu;0;L;0041 0301;;;;N;LATIN CAPITAL LETTER A ACUTE;;;00E1;
        "\u00C2",  # ;LATIN CAPITAL LETTER A WITH CIRCUMFLEX;Lu;0;L;0041 0302;;;;N;LATIN CAPITAL LETTER A CIRCUMFLEX;;;00E2;
        "\u00C3",  # ;LATIN CAPITAL LETTER A WITH TILDE;Lu;0;L;0041 0303;;;;N;LATIN CAPITAL LETTER A TILDE;;;00E3;
        "\u00C4",  # ;LATIN CAPITAL LETTER A WITH DIAERESIS;Lu;0;L;0041 0308;;;;N;LATIN CAPITAL LETTER A DIAERESIS;;;00E4;
        "\u00C5",  # ;LATIN CAPITAL LETTER A WITH RING ABOVE;Lu;0;L;0041 030A;;;;N;LATIN CAPITAL LETTER A RING;;;00E5;
        "\u00C6",  # ;LATIN CAPITAL LETTER AE;Lu;0;L;;;;;N;LATIN CAPITAL LETTER A E;;;00E6;
        "\u00C7",  # ;LATIN CAPITAL LETTER C WITH CEDILLA;Lu;0;L;0043 0327;;;;N;LATIN CAPITAL LETTER C CEDILLA;;;00E7;
        "\u00C8",  # ;LATIN CAPITAL LETTER E WITH GRAVE;Lu;0;L;0045 0300;;;;N;LATIN CAPITAL LETTER E GRAVE;;;00E8;
        "\u00C9",  # ;LATIN CAPITAL LETTER E WITH ACUTE;Lu;0;L;0045 0301;;;;N;LATIN CAPITAL LETTER E ACUTE;;;00E9;
        "\u00CA",  # ;LATIN CAPITAL LETTER E WITH CIRCUMFLEX;Lu;0;L;0045 0302;;;;N;LATIN CAPITAL LETTER E CIRCUMFLEX;;;00EA;
        "\u00CB",  # ;LATIN CAPITAL LETTER E WITH DIAERESIS;Lu;0;L;0045 0308;;;;N;LATIN CAPITAL LETTER E DIAERESIS;;;00EB;
        "\u00CC",  # ;LATIN CAPITAL LETTER I WITH GRAVE;Lu;0;L;0049 0300;;;;N;LATIN CAPITAL LETTER I GRAVE;;;00EC;
        "\u00CD",  # ;LATIN CAPITAL LETTER I WITH ACUTE;Lu;0;L;0049 0301;;;;N;LATIN CAPITAL LETTER I ACUTE;;;00ED;
        "\u00CE",  # ;LATIN CAPITAL LETTER I WITH CIRCUMFLEX;Lu;0;L;0049 0302;;;;N;LATIN CAPITAL LETTER I CIRCUMFLEX;;;00EE;
        "\u00CF",  # ;LATIN CAPITAL LETTER I WITH DIAERESIS;Lu;0;L;0049 0308;;;;N;LATIN CAPITAL LETTER I DIAERESIS;;;00EF;
        "\u00D0",  # ;LATIN CAPITAL LETTER ETH;Lu;0;L;;;;;N;;;;00F0;
        "\u00D1",  # ;LATIN CAPITAL LETTER N WITH TILDE;Lu;0;L;004E 0303;;;;N;LATIN CAPITAL LETTER N TILDE;;;00F1;
        "\u00D2",  # ;LATIN CAPITAL LETTER O WITH GRAVE;Lu;0;L;004F 0300;;;;N;LATIN CAPITAL LETTER O GRAVE;;;00F2;
        "\u00D3",  # ;LATIN CAPITAL LETTER O WITH ACUTE;Lu;0;L;004F 0301;;;;N;LATIN CAPITAL LETTER O ACUTE;;;00F3;
        "\u00D4",  # ;LATIN CAPITAL LETTER O WITH CIRCUMFLEX;Lu;0;L;004F 0302;;;;N;LATIN CAPITAL LETTER O CIRCUMFLEX;;;00F4;
        "\u00D5",  # ;LATIN CAPITAL LETTER O WITH TILDE;Lu;0;L;004F 0303;;;;N;LATIN CAPITAL LETTER O TILDE;;;00F5;
        "\u00D6",  # ;LATIN CAPITAL LETTER O WITH DIAERESIS;Lu;0;L;004F 0308;;;;N;LATIN CAPITAL LETTER O DIAERESIS;;;00F6;
        "\u00D7",  # ;MULTIPLICATION SIGN;Sm;0;ON;;;;;N;;;;;
        "\u00D8",  # ;LATIN CAPITAL LETTER O WITH STROKE;Lu;0;L;;;;;N;LATIN CAPITAL LETTER O SLASH;;;00F8;
        "\u00D9",  # ;LATIN CAPITAL LETTER U WITH GRAVE;Lu;0;L;0055 0300;;;;N;LATIN CAPITAL LETTER U GRAVE;;;00F9;
        "\u00DA",  # ;LATIN CAPITAL LETTER U WITH ACUTE;Lu;0;L;0055 0301;;;;N;LATIN CAPITAL LETTER U ACUTE;;;00FA;
        "\u00DB",  # ;LATIN CAPITAL LETTER U WITH CIRCUMFLEX;Lu;0;L;0055 0302;;;;N;LATIN CAPITAL LETTER U CIRCUMFLEX;;;00FB;
        "\u00DC",  # ;LATIN CAPITAL LETTER U WITH DIAERESIS;Lu;0;L;0055 0308;;;;N;LATIN CAPITAL LETTER U DIAERESIS;;;00FC;
        "\u00DD",  # ;LATIN CAPITAL LETTER Y WITH ACUTE;Lu;0;L;0059 0301;;;;N;LATIN CAPITAL LETTER Y ACUTE;;;00FD;
        "\u00DE",  # ;LATIN CAPITAL LETTER THORN;Lu;0;L;;;;;N;;;;00FE;
        "\u00DF",  # ;LATIN SMALL LETTER SHARP S;Ll;0;L;;;;;N;;;;;
        "\u00E0",  # ;LATIN SMALL LETTER A WITH GRAVE;Ll;0;L;0061 0300;;;;N;LATIN SMALL LETTER A GRAVE;;00C0;;00C0
        "\u00E1",  # ;LATIN SMALL LETTER A WITH ACUTE;Ll;0;L;0061 0301;;;;N;LATIN SMALL LETTER A ACUTE;;00C1;;00C1
        "\u00E2",  # ;LATIN SMALL LETTER A WITH CIRCUMFLEX;Ll;0;L;0061 0302;;;;N;LATIN SMALL LETTER A CIRCUMFLEX;;00C2;;00C2
        "\u00E3",  # ;LATIN SMALL LETTER A WITH TILDE;Ll;0;L;0061 0303;;;;N;LATIN SMALL LETTER A TILDE;;00C3;;00C3
        "\u00E4",  # ;LATIN SMALL LETTER A WITH DIAERESIS;Ll;0;L;0061 0308;;;;N;LATIN SMALL LETTER A DIAERESIS;;00C4;;00C4
        "\u00E5",  # ;LATIN SMALL LETTER A WITH RING ABOVE;Ll;0;L;0061 030A;;;;N;LATIN SMALL LETTER A RING;;00C5;;00C5
        "\u00E6",  # ;LATIN SMALL LETTER AE;Ll;0;L;;;;;N;LATIN SMALL LETTER A E;;00C6;;00C6
        "\u00E7",  # ;LATIN SMALL LETTER C WITH CEDILLA;Ll;0;L;0063 0327;;;;N;LATIN SMALL LETTER C CEDILLA;;00C7;;00C7
        "\u00E8",  # ;LATIN SMALL LETTER E WITH GRAVE;Ll;0;L;0065 0300;;;;N;LATIN SMALL LETTER E GRAVE;;00C8;;00C8
        "\u00E9",  # ;LATIN SMALL LETTER E WITH ACUTE;Ll;0;L;0065 0301;;;;N;LATIN SMALL LETTER E ACUTE;;00C9;;00C9
        "\u00EA",  # ;LATIN SMALL LETTER E WITH CIRCUMFLEX;Ll;0;L;0065 0302;;;;N;LATIN SMALL LETTER E CIRCUMFLEX;;00CA;;00CA
        "\u00EB",  # ;LATIN SMALL LETTER E WITH DIAERESIS;Ll;0;L;0065 0308;;;;N;LATIN SMALL LETTER E DIAERESIS;;00CB;;00CB
        "\u00EC",  # ;LATIN SMALL LETTER I WITH GRAVE;Ll;0;L;0069 0300;;;;N;LATIN SMALL LETTER I GRAVE;;00CC;;00CC
        "\u00ED",  # ;LATIN SMALL LETTER I WITH ACUTE;Ll;0;L;0069 0301;;;;N;LATIN SMALL LETTER I ACUTE;;00CD;;00CD
        "\u00EE",  # ;LATIN SMALL LETTER I WITH CIRCUMFLEX;Ll;0;L;0069 0302;;;;N;LATIN SMALL LETTER I CIRCUMFLEX;;00CE;;00CE
        "\u00EF",  # ;LATIN SMALL LETTER I WITH DIAERESIS;Ll;0;L;0069 0308;;;;N;LATIN SMALL LETTER I DIAERESIS;;00CF;;00CF
        "\u00F0",  # ;LATIN SMALL LETTER ETH;Ll;0;L;;;;;N;;;00D0;;00D0
        "\u00F1",  # ;LATIN SMALL LETTER N WITH TILDE;Ll;0;L;006E 0303;;;;N;LATIN SMALL LETTER N TILDE;;00D1;;00D1
        "\u00F2",  # ;LATIN SMALL LETTER O WITH GRAVE;Ll;0;L;006F 0300;;;;N;LATIN SMALL LETTER O GRAVE;;00D2;;00D2
        "\u00F3",  # ;LATIN SMALL LETTER O WITH ACUTE;Ll;0;L;006F 0301;;;;N;LATIN SMALL LETTER O ACUTE;;00D3;;00D3
        "\u00F4",  # ;LATIN SMALL LETTER O WITH CIRCUMFLEX;Ll;0;L;006F 0302;;;;N;LATIN SMALL LETTER O CIRCUMFLEX;;00D4;;00D4
        "\u00F5",  # ;LATIN SMALL LETTER O WITH TILDE;Ll;0;L;006F 0303;;;;N;LATIN SMALL LETTER O TILDE;;00D5;;00D5
        "\u00F6",  # ;LATIN SMALL LETTER O WITH DIAERESIS;Ll;0;L;006F 0308;;;;N;LATIN SMALL LETTER O DIAERESIS;;00D6;;00D6
        "\u00F7",  # ;DIVISION SIGN;Sm;0;ON;;;;;N;;;;;
        "\u00F8",  # ;LATIN SMALL LETTER O WITH STROKE;Ll;0;L;;;;;N;LATIN SMALL LETTER O SLASH;;00D8;;00D8
        "\u00F9",  # ;LATIN SMALL LETTER U WITH GRAVE;Ll;0;L;0075 0300;;;;N;LATIN SMALL LETTER U GRAVE;;00D9;;00D9
        "\u00FA",  # ;LATIN SMALL LETTER U WITH ACUTE;Ll;0;L;0075 0301;;;;N;LATIN SMALL LETTER U ACUTE;;00DA;;00DA
        "\u00FB",  # ;LATIN SMALL LETTER U WITH CIRCUMFLEX;Ll;0;L;0075 0302;;;;N;LATIN SMALL LETTER U CIRCUMFLEX;;00DB;;00DB
        "\u00FC",  # ;LATIN SMALL LETTER U WITH DIAERESIS;Ll;0;L;0075 0308;;;;N;LATIN SMALL LETTER U DIAERESIS;;00DC;;00DC
        "\u00FD",  # ;LATIN SMALL LETTER Y WITH ACUTE;Ll;0;L;0079 0301;;;;N;LATIN SMALL LETTER Y ACUTE;;00DD;;00DD
        "\u00FE",  # ;LATIN SMALL LETTER THORN;Ll;0;L;;;;;N;;;00DE;;00DE
        "\u00FF",  # ;LATIN SMALL LETTER Y WITH DIAERESIS;Ll;0;L;0079 0308;;;;N;LATIN SMALL LETTER Y DIAERESIS;;0178;;0178
        "\u0100",  # ;LATIN CAPITAL LETTER A WITH MACRON;Lu;0;L;0041 0304;;;;N;LATIN CAPITAL LETTER A MACRON;;;0101;
        "\u0101",  # ;LATIN SMALL LETTER A WITH MACRON;Ll;0;L;0061 0304;;;;N;LATIN SMALL LETTER A MACRON;;0100;;0100
        "\u0102",  # ;LATIN CAPITAL LETTER A WITH BREVE;Lu;0;L;0041 0306;;;;N;LATIN CAPITAL LETTER A BREVE;;;0103;
        "\u0103",  # ;LATIN SMALL LETTER A WITH BREVE;Ll;0;L;0061 0306;;;;N;LATIN SMALL LETTER A BREVE;;0102;;0102
        "\u0104",  # ;LATIN CAPITAL LETTER A WITH OGONEK;Lu;0;L;0041 0328;;;;N;LATIN CAPITAL LETTER A OGONEK;;;0105;
        "\u0105",  # ;LATIN SMALL LETTER A WITH OGONEK;Ll;0;L;0061 0328;;;;N;LATIN SMALL LETTER A OGONEK;;0104;;0104
        "\u0106",  # ;LATIN CAPITAL LETTER C WITH ACUTE;Lu;0;L;0043 0301;;;;N;LATIN CAPITAL LETTER C ACUTE;;;0107;
        "\u0107",  # ;LATIN SMALL LETTER C WITH ACUTE;Ll;0;L;0063 0301;;;;N;LATIN SMALL LETTER C ACUTE;;0106;;0106
        "\u0108",  # ;LATIN CAPITAL LETTER C WITH CIRCUMFLEX;Lu;0;L;0043 0302;;;;N;LATIN CAPITAL LETTER C CIRCUMFLEX;;;0109;
        "\u0109",  # ;LATIN SMALL LETTER C WITH CIRCUMFLEX;Ll;0;L;0063 0302;;;;N;LATIN SMALL LETTER C CIRCUMFLEX;;0108;;0108
        "\u010A",  # ;LATIN CAPITAL LETTER C WITH DOT ABOVE;Lu;0;L;0043 0307;;;;N;LATIN CAPITAL LETTER C DOT;;;010B;
        "\u010B",  # ;LATIN SMALL LETTER C WITH DOT ABOVE;Ll;0;L;0063 0307;;;;N;LATIN SMALL LETTER C DOT;;010A;;010A
        "\u010C",  # ;LATIN CAPITAL LETTER C WITH CARON;Lu;0;L;0043 030C;;;;N;LATIN CAPITAL LETTER C HACEK;;;010D;
        "\u010D",  # ;LATIN SMALL LETTER C WITH CARON;Ll;0;L;0063 030C;;;;N;LATIN SMALL LETTER C HACEK;;010C;;010C
        "\u010E",  # ;LATIN CAPITAL LETTER D WITH CARON;Lu;0;L;0044 030C;;;;N;LATIN CAPITAL LETTER D HACEK;;;010F;
        "\u010F",  # ;LATIN SMALL LETTER D WITH CARON;Ll;0;L;0064 030C;;;;N;LATIN SMALL LETTER D HACEK;;010E;;010E
        "\u0110",  # ;LATIN CAPITAL LETTER D WITH STROKE;Lu;0;L;;;;;N;LATIN CAPITAL LETTER D BAR;;;0111;
        "\u0111",  # ;LATIN SMALL LETTER D WITH STROKE;Ll;0;L;;;;;N;LATIN SMALL LETTER D BAR;;0110;;0110
        "\u0112",  # ;LATIN CAPITAL LETTER E WITH MACRON;Lu;0;L;0045 0304;;;;N;LATIN CAPITAL LETTER E MACRON;;;0113;
        "\u0113",  # ;LATIN SMALL LETTER E WITH MACRON;Ll;0;L;0065 0304;;;;N;LATIN SMALL LETTER E MACRON;;0112;;0112
        "\u0114",  # ;LATIN CAPITAL LETTER E WITH BREVE;Lu;0;L;0045 0306;;;;N;LATIN CAPITAL LETTER E BREVE;;;0115;
        "\u0115",  # ;LATIN SMALL LETTER E WITH BREVE;Ll;0;L;0065 0306;;;;N;LATIN SMALL LETTER E BREVE;;0114;;0114
        "\u0116",  # ;LATIN CAPITAL LETTER E WITH DOT ABOVE;Lu;0;L;0045 0307;;;;N;LATIN CAPITAL LETTER E DOT;;;0117;
        "\u0117",  # ;LATIN SMALL LETTER E WITH DOT ABOVE;Ll;0;L;0065 0307;;;;N;LATIN SMALL LETTER E DOT;;0116;;0116
        "\u0118",  # ;LATIN CAPITAL LETTER E WITH OGONEK;Lu;0;L;0045 0328;;;;N;LATIN CAPITAL LETTER E OGONEK;;;0119;
        "\u0119",  # ;LATIN SMALL LETTER E WITH OGONEK;Ll;0;L;0065 0328;;;;N;LATIN SMALL LETTER E OGONEK;;0118;;0118
        "\u011A",  # ;LATIN CAPITAL LETTER E WITH CARON;Lu;0;L;0045 030C;;;;N;LATIN CAPITAL LETTER E HACEK;;;011B;
        "\u011B",  # ;LATIN SMALL LETTER E WITH CARON;Ll;0;L;0065 030C;;;;N;LATIN SMALL LETTER E HACEK;;011A;;011A
        "\u011C",  # ;LATIN CAPITAL LETTER G WITH CIRCUMFLEX;Lu;0;L;0047 0302;;;;N;LATIN CAPITAL LETTER G CIRCUMFLEX;;;011D;
        "\u011D",  # ;LATIN SMALL LETTER G WITH CIRCUMFLEX;Ll;0;L;0067 0302;;;;N;LATIN SMALL LETTER G CIRCUMFLEX;;011C;;011C
        "\u011E",  # ;LATIN CAPITAL LETTER G WITH BREVE;Lu;0;L;0047 0306;;;;N;LATIN CAPITAL LETTER G BREVE;;;011F;
        "\u011F",  # ;LATIN SMALL LETTER G WITH BREVE;Ll;0;L;0067 0306;;;;N;LATIN SMALL LETTER G BREVE;;011E;;011E
        "\u0120",  # ;LATIN CAPITAL LETTER G WITH DOT ABOVE;Lu;0;L;0047 0307;;;;N;LATIN CAPITAL LETTER G DOT;;;0121;
        "\u0121",  # ;LATIN SMALL LETTER G WITH DOT ABOVE;Ll;0;L;0067 0307;;;;N;LATIN SMALL LETTER G DOT;;0120;;0120
        "\u0122",  # ;LATIN CAPITAL LETTER G WITH CEDILLA;Lu;0;L;0047 0327;;;;N;LATIN CAPITAL LETTER G CEDILLA;;;0123;
        "\u0123",  # ;LATIN SMALL LETTER G WITH CEDILLA;Ll;0;L;0067 0327;;;;N;LATIN SMALL LETTER G CEDILLA;;0122;;0122
        "\u0124",  # ;LATIN CAPITAL LETTER H WITH CIRCUMFLEX;Lu;0;L;0048 0302;;;;N;LATIN CAPITAL LETTER H CIRCUMFLEX;;;0125;
        "\u0125",  # ;LATIN SMALL LETTER H WITH CIRCUMFLEX;Ll;0;L;0068 0302;;;;N;LATIN SMALL LETTER H CIRCUMFLEX;;0124;;0124
        "\u0126",  # ;LATIN CAPITAL LETTER H WITH STROKE;Lu;0;L;;;;;N;LATIN CAPITAL LETTER H BAR;;;0127;
        "\u0127",  # ;LATIN SMALL LETTER H WITH STROKE;Ll;0;L;;;;;N;LATIN SMALL LETTER H BAR;;0126;;0126
        "\u0128",  # ;LATIN CAPITAL LETTER I WITH TILDE;Lu;0;L;0049 0303;;;;N;LATIN CAPITAL LETTER I TILDE;;;0129;
        "\u0129",  # ;LATIN SMALL LETTER I WITH TILDE;Ll;0;L;0069 0303;;;;N;LATIN SMALL LETTER I TILDE;;0128;;0128
        "\u012A",  # ;LATIN CAPITAL LETTER I WITH MACRON;Lu;0;L;0049 0304;;;;N;LATIN CAPITAL LETTER I MACRON;;;012B;
        "\u012B",  # ;LATIN SMALL LETTER I WITH MACRON;Ll;0;L;0069 0304;;;;N;LATIN SMALL LETTER I MACRON;;012A;;012A
        "\u012C",  # ;LATIN CAPITAL LETTER I WITH BREVE;Lu;0;L;0049 0306;;;;N;LATIN CAPITAL LETTER I BREVE;;;012D;
        "\u012D",  # ;LATIN SMALL LETTER I WITH BREVE;Ll;0;L;0069 0306;;;;N;LATIN SMALL LETTER I BREVE;;012C;;012C
        "\u012E",  # ;LATIN CAPITAL LETTER I WITH OGONEK;Lu;0;L;0049 0328;;;;N;LATIN CAPITAL LETTER I OGONEK;;;012F;
        "\u012F",  # ;LATIN SMALL LETTER I WITH OGONEK;Ll;0;L;0069 0328;;;;N;LATIN SMALL LETTER I OGONEK;;012E;;012E
        "\u0130",  # ;LATIN CAPITAL LETTER I WITH DOT ABOVE;Lu;0;L;0049 0307;;;;N;LATIN CAPITAL LETTER I DOT;;;0069;
        "\u0131",  # ;LATIN SMALL LETTER DOTLESS I;Ll;0;L;;;;;N;;;0049;;0049
        "\u0132",  # ;LATIN CAPITAL LIGATURE IJ;Lu;0;L;<compat> 0049 004A;;;;N;LATIN CAPITAL LETTER I J;;;0133;
        "\u0133",  # ;LATIN SMALL LIGATURE IJ;Ll;0;L;<compat> 0069 006A;;;;N;LATIN SMALL LETTER I J;;0132;;0132
        "\u0134",  # ;LATIN CAPITAL LETTER J WITH CIRCUMFLEX;Lu;0;L;004A 0302;;;;N;LATIN CAPITAL LETTER J CIRCUMFLEX;;;0135;
        "\u0135",  # ;LATIN SMALL LETTER J WITH CIRCUMFLEX;Ll;0;L;006A 0302;;;;N;LATIN SMALL LETTER J CIRCUMFLEX;;0134;;0134
        "\u0136",  # ;LATIN CAPITAL LETTER K WITH CEDILLA;Lu;0;L;004B 0327;;;;N;LATIN CAPITAL LETTER K CEDILLA;;;0137;
        "\u0137",  # ;LATIN SMALL LETTER K WITH CEDILLA;Ll;0;L;006B 0327;;;;N;LATIN SMALL LETTER K CEDILLA;;0136;;0136
        "\u0138",  # ;LATIN SMALL LETTER KRA;Ll;0;L;;;;;N;;;;;
        "\u0139",  # ;LATIN CAPITAL LETTER L WITH ACUTE;Lu;0;L;004C 0301;;;;N;LATIN CAPITAL LETTER L ACUTE;;;013A;
        "\u013A",  # ;LATIN SMALL LETTER L WITH ACUTE;Ll;0;L;006C 0301;;;;N;LATIN SMALL LETTER L ACUTE;;0139;;0139
        "\u013B",  # ;LATIN CAPITAL LETTER L WITH CEDILLA;Lu;0;L;004C 0327;;;;N;LATIN CAPITAL LETTER L CEDILLA;;;013C;
        "\u013C",  # ;LATIN SMALL LETTER L WITH CEDILLA;Ll;0;L;006C 0327;;;;N;LATIN SMALL LETTER L CEDILLA;;013B;;013B
        "\u013D",  # ;LATIN CAPITAL LETTER L WITH CARON;Lu;0;L;004C 030C;;;;N;LATIN CAPITAL LETTER L HACEK;;;013E;
        "\u013E",  # ;LATIN SMALL LETTER L WITH CARON;Ll;0;L;006C 030C;;;;N;LATIN SMALL LETTER L HACEK;;013D;;013D
        "\u013F",  # ;LATIN CAPITAL LETTER L WITH MIDDLE DOT;Lu;0;L;<compat> 004C 00B7;;;;N;;;;0140;
        "\u0140",  # ;LATIN SMALL LETTER L WITH MIDDLE DOT;Ll;0;L;<compat> 006C 00B7;;;;N;;;013F;;013F
        "\u0141",  # ;LATIN CAPITAL LETTER L WITH STROKE;Lu;0;L;;;;;N;LATIN CAPITAL LETTER L SLASH;;;0142;
        "\u0142",  # ;LATIN SMALL LETTER L WITH STROKE;Ll;0;L;;;;;N;LATIN SMALL LETTER L SLASH;;0141;;0141
        "\u0143",  # ;LATIN CAPITAL LETTER N WITH ACUTE;Lu;0;L;004E 0301;;;;N;LATIN CAPITAL LETTER N ACUTE;;;0144;
        "\u0144",  # ;LATIN SMALL LETTER N WITH ACUTE;Ll;0;L;006E 0301;;;;N;LATIN SMALL LETTER N ACUTE;;0143;;0143
        "\u0145",  # ;LATIN CAPITAL LETTER N WITH CEDILLA;Lu;0;L;004E 0327;;;;N;LATIN CAPITAL LETTER N CEDILLA;;;0146;
        "\u0146",  # ;LATIN SMALL LETTER N WITH CEDILLA;Ll;0;L;006E 0327;;;;N;LATIN SMALL LETTER N CEDILLA;;0145;;0145
        "\u0147",  # ;LATIN CAPITAL LETTER N WITH CARON;Lu;0;L;004E 030C;;;;N;LATIN CAPITAL LETTER N HACEK;;;0148;
        "\u0148",  # ;LATIN SMALL LETTER N WITH CARON;Ll;0;L;006E 030C;;;;N;LATIN SMALL LETTER N HACEK;;0147;;0147
        "\u0149",  # ;LATIN SMALL LETTER N PRECEDED BY APOSTROPHE;Ll;0;L;<compat> 02BC 006E;;;;N;LATIN SMALL LETTER APOSTROPHE N;;;;
        "\u014A",  # ;LATIN CAPITAL LETTER ENG;Lu;0;L;;;;;N;;;;014B;
        "\u014B",  # ;LATIN SMALL LETTER ENG;Ll;0;L;;;;;N;;;014A;;014A
        "\u014C",  # ;LATIN CAPITAL LETTER O WITH MACRON;Lu;0;L;004F 0304;;;;N;LATIN CAPITAL LETTER O MACRON;;;014D;
        "\u014D",  # ;LATIN SMALL LETTER O WITH MACRON;Ll;0;L;006F 0304;;;;N;LATIN SMALL LETTER O MACRON;;014C;;014C
        "\u014E",  # ;LATIN CAPITAL LETTER O WITH BREVE;Lu;0;L;004F 0306;;;;N;LATIN CAPITAL LETTER O BREVE;;;014F;
        "\u014F",  # ;LATIN SMALL LETTER O WITH BREVE;Ll;0;L;006F 0306;;;;N;LATIN SMALL LETTER O BREVE;;014E;;014E
        "\u0150",  # ;LATIN CAPITAL LETTER O WITH DOUBLE ACUTE;Lu;0;L;004F 030B;;;;N;LATIN CAPITAL LETTER O DOUBLE ACUTE;;;0151;
        "\u0151",  # ;LATIN SMALL LETTER O WITH DOUBLE ACUTE;Ll;0;L;006F 030B;;;;N;LATIN SMALL LETTER O DOUBLE ACUTE;;0150;;0150
        "\u0152",  # ;LATIN CAPITAL LIGATURE OE;Lu;0;L;;;;;N;LATIN CAPITAL LETTER O E;;;0153;
        "\u0153",  # ;LATIN SMALL LIGATURE OE;Ll;0;L;;;;;N;LATIN SMALL LETTER O E;;0152;;0152
        "\u0154",  # ;LATIN CAPITAL LETTER R WITH ACUTE;Lu;0;L;0052 0301;;;;N;LATIN CAPITAL LETTER R ACUTE;;;0155;
        "\u0155",  # ;LATIN SMALL LETTER R WITH ACUTE;Ll;0;L;0072 0301;;;;N;LATIN SMALL LETTER R ACUTE;;0154;;0154
        "\u0156",  # ;LATIN CAPITAL LETTER R WITH CEDILLA;Lu;0;L;0052 0327;;;;N;LATIN CAPITAL LETTER R CEDILLA;;;0157;
        "\u0157",  # ;LATIN SMALL LETTER R WITH CEDILLA;Ll;0;L;0072 0327;;;;N;LATIN SMALL LETTER R CEDILLA;;0156;;0156
        "\u0158",  # ;LATIN CAPITAL LETTER R WITH CARON;Lu;0;L;0052 030C;;;;N;LATIN CAPITAL LETTER R HACEK;;;0159;
        "\u0159",  # ;LATIN SMALL LETTER R WITH CARON;Ll;0;L;0072 030C;;;;N;LATIN SMALL LETTER R HACEK;;0158;;0158
        "\u015A",  # ;LATIN CAPITAL LETTER S WITH ACUTE;Lu;0;L;0053 0301;;;;N;LATIN CAPITAL LETTER S ACUTE;;;015B;
        "\u015B",  # ;LATIN SMALL LETTER S WITH ACUTE;Ll;0;L;0073 0301;;;;N;LATIN SMALL LETTER S ACUTE;;015A;;015A
        "\u015C",  # ;LATIN CAPITAL LETTER S WITH CIRCUMFLEX;Lu;0;L;0053 0302;;;;N;LATIN CAPITAL LETTER S CIRCUMFLEX;;;015D;
        "\u015D",  # ;LATIN SMALL LETTER S WITH CIRCUMFLEX;Ll;0;L;0073 0302;;;;N;LATIN SMALL LETTER S CIRCUMFLEX;;015C;;015C
        "\u015E",  # ;LATIN CAPITAL LETTER S WITH CEDILLA;Lu;0;L;0053 0327;;;;N;LATIN CAPITAL LETTER S CEDILLA;;;015F;
        "\u015F",  # ;LATIN SMALL LETTER S WITH CEDILLA;Ll;0;L;0073 0327;;;;N;LATIN SMALL LETTER S CEDILLA;;015E;;015E
        "\u0160",  # ;LATIN CAPITAL LETTER S WITH CARON;Lu;0;L;0053 030C;;;;N;LATIN CAPITAL LETTER S HACEK;;;0161;
        "\u0161",  # ;LATIN SMALL LETTER S WITH CARON;Ll;0;L;0073 030C;;;;N;LATIN SMALL LETTER S HACEK;;0160;;0160
        "\u0162",  # ;LATIN CAPITAL LETTER T WITH CEDILLA;Lu;0;L;0054 0327;;;;N;LATIN CAPITAL LETTER T CEDILLA;;;0163;
        "\u0163",  # ;LATIN SMALL LETTER T WITH CEDILLA;Ll;0;L;0074 0327;;;;N;LATIN SMALL LETTER T CEDILLA;;0162;;0162
        "\u0164",  # ;LATIN CAPITAL LETTER T WITH CARON;Lu;0;L;0054 030C;;;;N;LATIN CAPITAL LETTER T HACEK;;;0165;
        "\u0165",  # ;LATIN SMALL LETTER T WITH CARON;Ll;0;L;0074 030C;;;;N;LATIN SMALL LETTER T HACEK;;0164;;0164
        "\u0166",  # ;LATIN CAPITAL LETTER T WITH STROKE;Lu;0;L;;;;;N;LATIN CAPITAL LETTER T BAR;;;0167;
        "\u0167",  # ;LATIN SMALL LETTER T WITH STROKE;Ll;0;L;;;;;N;LATIN SMALL LETTER T BAR;;0166;;0166
        "\u0168",  # ;LATIN CAPITAL LETTER U WITH TILDE;Lu;0;L;0055 0303;;;;N;LATIN CAPITAL LETTER U TILDE;;;0169;
        "\u0169",  # ;LATIN SMALL LETTER U WITH TILDE;Ll;0;L;0075 0303;;;;N;LATIN SMALL LETTER U TILDE;;0168;;0168
        "\u016A",  # ;LATIN CAPITAL LETTER U WITH MACRON;Lu;0;L;0055 0304;;;;N;LATIN CAPITAL LETTER U MACRON;;;016B;
        "\u016B",  # ;LATIN SMALL LETTER U WITH MACRON;Ll;0;L;0075 0304;;;;N;LATIN SMALL LETTER U MACRON;;016A;;016A
        "\u016C",  # ;LATIN CAPITAL LETTER U WITH BREVE;Lu;0;L;0055 0306;;;;N;LATIN CAPITAL LETTER U BREVE;;;016D;
        "\u016D",  # ;LATIN SMALL LETTER U WITH BREVE;Ll;0;L;0075 0306;;;;N;LATIN SMALL LETTER U BREVE;;016C;;016C
        "\u016E",  # ;LATIN CAPITAL LETTER U WITH RING ABOVE;Lu;0;L;0055 030A;;;;N;LATIN CAPITAL LETTER U RING;;;016F;
        "\u016F",  # ;LATIN SMALL LETTER U WITH RING ABOVE;Ll;0;L;0075 030A;;;;N;LATIN SMALL LETTER U RING;;016E;;016E
        "\u0170",  # ;LATIN CAPITAL LETTER U WITH DOUBLE ACUTE;Lu;0;L;0055 030B;;;;N;LATIN CAPITAL LETTER U DOUBLE ACUTE;;;0171;
        "\u0171",  # ;LATIN SMALL LETTER U WITH DOUBLE ACUTE;Ll;0;L;0075 030B;;;;N;LATIN SMALL LETTER U DOUBLE ACUTE;;0170;;0170
        "\u0172",  # ;LATIN CAPITAL LETTER U WITH OGONEK;Lu;0;L;0055 0328;;;;N;LATIN CAPITAL LETTER U OGONEK;;;0173;
        "\u0173",  # ;LATIN SMALL LETTER U WITH OGONEK;Ll;0;L;0075 0328;;;;N;LATIN SMALL LETTER U OGONEK;;0172;;0172
        "\u0174",  # ;LATIN CAPITAL LETTER W WITH CIRCUMFLEX;Lu;0;L;0057 0302;;;;N;LATIN CAPITAL LETTER W CIRCUMFLEX;;;0175;
        "\u0175",  # ;LATIN SMALL LETTER W WITH CIRCUMFLEX;Ll;0;L;0077 0302;;;;N;LATIN SMALL LETTER W CIRCUMFLEX;;0174;;0174
        "\u0176",  # ;LATIN CAPITAL LETTER Y WITH CIRCUMFLEX;Lu;0;L;0059 0302;;;;N;LATIN CAPITAL LETTER Y CIRCUMFLEX;;;0177;
        "\u0177",  # ;LATIN SMALL LETTER Y WITH CIRCUMFLEX;Ll;0;L;0079 0302;;;;N;LATIN SMALL LETTER Y CIRCUMFLEX;;0176;;0176
        "\u0178",  # ;LATIN CAPITAL LETTER Y WITH DIAERESIS;Lu;0;L;0059 0308;;;;N;LATIN CAPITAL LETTER Y DIAERESIS;;;00FF;
        "\u0179",  # ;LATIN CAPITAL LETTER Z WITH ACUTE;Lu;0;L;005A 0301;;;;N;LATIN CAPITAL LETTER Z ACUTE;;;017A;
        "\u017A",  # ;LATIN SMALL LETTER Z WITH ACUTE;Ll;0;L;007A 0301;;;;N;LATIN SMALL LETTER Z ACUTE;;0179;;0179
        "\u017B",  # ;LATIN CAPITAL LETTER Z WITH DOT ABOVE;Lu;0;L;005A 0307;;;;N;LATIN CAPITAL LETTER Z DOT;;;017C;
        "\u017C",  # ;LATIN SMALL LETTER Z WITH DOT ABOVE;Ll;0;L;007A 0307;;;;N;LATIN SMALL LETTER Z DOT;;017B;;017B
        "\u017D",  # ;LATIN CAPITAL LETTER Z WITH CARON;Lu;0;L;005A 030C;;;;N;LATIN CAPITAL LETTER Z HACEK;;;017E;
        "\u017E",  # ;LATIN SMALL LETTER Z WITH CARON;Ll;0;L;007A 030C;;;;N;LATIN SMALL LETTER Z HACEK;;017D;;017D
        "\u017F",  # ;LATIN SMALL LETTER LONG S;Ll;0;L;<compat> 0073;;;;N;;;0053;;0053
        "\u0180",  # ;LATIN SMALL LETTER B WITH STROKE;Ll;0;L;;;;;N;LATIN SMALL LETTER B BAR;;0243;;0243
        "\u0181",  # ;LATIN CAPITAL LETTER B WITH HOOK;Lu;0;L;;;;;N;LATIN CAPITAL LETTER B HOOK;;;0253;
        "\u0182",  # ;LATIN CAPITAL LETTER B WITH TOPBAR;Lu;0;L;;;;;N;LATIN CAPITAL LETTER B TOPBAR;;;0183;
        "\u0183",  # ;LATIN SMALL LETTER B WITH TOPBAR;Ll;0;L;;;;;N;LATIN SMALL LETTER B TOPBAR;;0182;;0182
        "\u0184",  # ;LATIN CAPITAL LETTER TONE SIX;Lu;0;L;;;;;N;;;;0185;
        "\u0185",  # ;LATIN SMALL LETTER TONE SIX;Ll;0;L;;;;;N;;;0184;;0184
        "\u0186",  # ;LATIN CAPITAL LETTER OPEN O;Lu;0;L;;;;;N;;;;0254;
        "\u0187",  # ;LATIN CAPITAL LETTER C WITH HOOK;Lu;0;L;;;;;N;LATIN CAPITAL LETTER C HOOK;;;0188;
        "\u0188",  # ;LATIN SMALL LETTER C WITH HOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER C HOOK;;0187;;0187
        "\u0189",  # ;LATIN CAPITAL LETTER AFRICAN D;Lu;0;L;;;;;N;;;;0256;
        "\u018A",  # ;LATIN CAPITAL LETTER D WITH HOOK;Lu;0;L;;;;;N;LATIN CAPITAL LETTER D HOOK;;;0257;
        "\u018B",  # ;LATIN CAPITAL LETTER D WITH TOPBAR;Lu;0;L;;;;;N;LATIN CAPITAL LETTER D TOPBAR;;;018C;
        "\u018C",  # ;LATIN SMALL LETTER D WITH TOPBAR;Ll;0;L;;;;;N;LATIN SMALL LETTER D TOPBAR;;018B;;018B
        "\u018D",  # ;LATIN SMALL LETTER TURNED DELTA;Ll;0;L;;;;;N;;;;;
        "\u018E",  # ;LATIN CAPITAL LETTER REVERSED E;Lu;0;L;;;;;N;LATIN CAPITAL LETTER TURNED E;;;01DD;
        "\u018F",  # ;LATIN CAPITAL LETTER SCHWA;Lu;0;L;;;;;N;;;;0259;
        "\u0190",  # ;LATIN CAPITAL LETTER OPEN E;Lu;0;L;;;;;N;LATIN CAPITAL LETTER EPSILON;;;025B;
        "\u0191",  # ;LATIN CAPITAL LETTER F WITH HOOK;Lu;0;L;;;;;N;LATIN CAPITAL LETTER F HOOK;;;0192;
        "\u0192",  # ;LATIN SMALL LETTER F WITH HOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER SCRIPT F;;0191;;0191
        "\u0193",  # ;LATIN CAPITAL LETTER G WITH HOOK;Lu;0;L;;;;;N;LATIN CAPITAL LETTER G HOOK;;;0260;
        "\u0194",  # ;LATIN CAPITAL LETTER GAMMA;Lu;0;L;;;;;N;;;;0263;
        "\u0195",  # ;LATIN SMALL LETTER HV;Ll;0;L;;;;;N;LATIN SMALL LETTER H V;;01F6;;01F6
        "\u0196",  # ;LATIN CAPITAL LETTER IOTA;Lu;0;L;;;;;N;;;;0269;
        "\u0197",  # ;LATIN CAPITAL LETTER I WITH STROKE;Lu;0;L;;;;;N;LATIN CAPITAL LETTER BARRED I;;;0268;
        "\u0198",  # ;LATIN CAPITAL LETTER K WITH HOOK;Lu;0;L;;;;;N;LATIN CAPITAL LETTER K HOOK;;;0199;
        "\u0199",  # ;LATIN SMALL LETTER K WITH HOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER K HOOK;;0198;;0198
        "\u019A",  # ;LATIN SMALL LETTER L WITH BAR;Ll;0;L;;;;;N;LATIN SMALL LETTER BARRED L;;023D;;023D
        "\u019B",  # ;LATIN SMALL LETTER LAMBDA WITH STROKE;Ll;0;L;;;;;N;LATIN SMALL LETTER BARRED LAMBDA;;;;
        "\u019C",  # ;LATIN CAPITAL LETTER TURNED M;Lu;0;L;;;;;N;;;;026F;
        "\u019D",  # ;LATIN CAPITAL LETTER N WITH LEFT HOOK;Lu;0;L;;;;;N;LATIN CAPITAL LETTER N HOOK;;;0272;
        "\u019E",  # ;LATIN SMALL LETTER N WITH LONG RIGHT LEG;Ll;0;L;;;;;N;;;0220;;0220
        "\u019F",  # ;LATIN CAPITAL LETTER O WITH MIDDLE TILDE;Lu;0;L;;;;;N;LATIN CAPITAL LETTER BARRED O;;;0275;
        "\u01A0",  # ;LATIN CAPITAL LETTER O WITH HORN;Lu;0;L;004F 031B;;;;N;LATIN CAPITAL LETTER O HORN;;;01A1;
        "\u01A1",  # ;LATIN SMALL LETTER O WITH HORN;Ll;0;L;006F 031B;;;;N;LATIN SMALL LETTER O HORN;;01A0;;01A0
        "\u01A2",  # ;LATIN CAPITAL LETTER OI;Lu;0;L;;;;;N;LATIN CAPITAL LETTER O I;;;01A3;
        "\u01A3",  # ;LATIN SMALL LETTER OI;Ll;0;L;;;;;N;LATIN SMALL LETTER O I;;01A2;;01A2
        "\u01A4",  # ;LATIN CAPITAL LETTER P WITH HOOK;Lu;0;L;;;;;N;LATIN CAPITAL LETTER P HOOK;;;01A5;
        "\u01A5",  # ;LATIN SMALL LETTER P WITH HOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER P HOOK;;01A4;;01A4
        "\u01A6",  # ;LATIN LETTER YR;Lu;0;L;;;;;N;LATIN LETTER Y R;;;0280;
        "\u01A7",  # ;LATIN CAPITAL LETTER TONE TWO;Lu;0;L;;;;;N;;;;01A8;
        "\u01A8",  # ;LATIN SMALL LETTER TONE TWO;Ll;0;L;;;;;N;;;01A7;;01A7
        "\u01A9",  # ;LATIN CAPITAL LETTER ESH;Lu;0;L;;;;;N;;;;0283;
        "\u01AA",  # ;LATIN LETTER REVERSED ESH LOOP;Ll;0;L;;;;;N;;;;;
        "\u01AB",  # ;LATIN SMALL LETTER T WITH PALATAL HOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER T PALATAL HOOK;;;;
        "\u01AC",  # ;LATIN CAPITAL LETTER T WITH HOOK;Lu;0;L;;;;;N;LATIN CAPITAL LETTER T HOOK;;;01AD;
        "\u01AD",  # ;LATIN SMALL LETTER T WITH HOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER T HOOK;;01AC;;01AC
        "\u01AE",  # ;LATIN CAPITAL LETTER T WITH RETROFLEX HOOK;Lu;0;L;;;;;N;LATIN CAPITAL LETTER T RETROFLEX HOOK;;;0288;
        "\u01AF",  # ;LATIN CAPITAL LETTER U WITH HORN;Lu;0;L;0055 031B;;;;N;LATIN CAPITAL LETTER U HORN;;;01B0;
        "\u01B0",  # ;LATIN SMALL LETTER U WITH HORN;Ll;0;L;0075 031B;;;;N;LATIN SMALL LETTER U HORN;;01AF;;01AF
        "\u01B1",  # ;LATIN CAPITAL LETTER UPSILON;Lu;0;L;;;;;N;;;;028A;
        "\u01B2",  # ;LATIN CAPITAL LETTER V WITH HOOK;Lu;0;L;;;;;N;LATIN CAPITAL LETTER SCRIPT V;;;028B;
        "\u01B3",  # ;LATIN CAPITAL LETTER Y WITH HOOK;Lu;0;L;;;;;N;LATIN CAPITAL LETTER Y HOOK;;;01B4;
        "\u01B4",  # ;LATIN SMALL LETTER Y WITH HOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER Y HOOK;;01B3;;01B3
        "\u01B5",  # ;LATIN CAPITAL LETTER Z WITH STROKE;Lu;0;L;;;;;N;LATIN CAPITAL LETTER Z BAR;;;01B6;
        "\u01B6",  # ;LATIN SMALL LETTER Z WITH STROKE;Ll;0;L;;;;;N;LATIN SMALL LETTER Z BAR;;01B5;;01B5
        "\u01B7",  # ;LATIN CAPITAL LETTER EZH;Lu;0;L;;;;;N;LATIN CAPITAL LETTER YOGH;;;0292;
        "\u01B8",  # ;LATIN CAPITAL LETTER EZH REVERSED;Lu;0;L;;;;;N;LATIN CAPITAL LETTER REVERSED YOGH;;;01B9;
        "\u01B9",  # ;LATIN SMALL LETTER EZH REVERSED;Ll;0;L;;;;;N;LATIN SMALL LETTER REVERSED YOGH;;01B8;;01B8
        "\u01BA",  # ;LATIN SMALL LETTER EZH WITH TAIL;Ll;0;L;;;;;N;LATIN SMALL LETTER YOGH WITH TAIL;;;;
        "\u01BB",  # ;LATIN LETTER TWO WITH STROKE;Lo;0;L;;;;;N;LATIN LETTER TWO BAR;;;;
        "\u01BC",  # ;LATIN CAPITAL LETTER TONE FIVE;Lu;0;L;;;;;N;;;;01BD;
        "\u01BD",  # ;LATIN SMALL LETTER TONE FIVE;Ll;0;L;;;;;N;;;01BC;;01BC
        "\u01BE",  # ;LATIN LETTER INVERTED GLOTTAL STOP WITH STROKE;Ll;0;L;;;;;N;LATIN LETTER INVERTED GLOTTAL STOP BAR;;;;
        "\u01BF",  # ;LATIN LETTER WYNN;Ll;0;L;;;;;N;;;01F7;;01F7
        "\u01C0",  # ;LATIN LETTER DENTAL CLICK;Lo;0;L;;;;;N;LATIN LETTER PIPE;;;;
        "\u01C1",  # ;LATIN LETTER LATERAL CLICK;Lo;0;L;;;;;N;LATIN LETTER DOUBLE PIPE;;;;
        "\u01C2",  # ;LATIN LETTER ALVEOLAR CLICK;Lo;0;L;;;;;N;LATIN LETTER PIPE DOUBLE BAR;;;;
        "\u01C3",  # ;LATIN LETTER RETROFLEX CLICK;Lo;0;L;;;;;N;LATIN LETTER EXCLAMATION MARK;;;;
        "\u01C4",  # ;LATIN CAPITAL LETTER DZ WITH CARON;Lu;0;L;<compat> 0044 017D;;;;N;LATIN CAPITAL LETTER D Z HACEK;;;01C6;01C5
        "\u01C5",  # ;LATIN CAPITAL LETTER D WITH SMALL LETTER Z WITH CARON;Lt;0;L;<compat> 0044 017E;;;;N;LATIN LETTER CAPITAL D SMALL Z HACEK;;01C4;01C6;01C5
        "\u01C6",  # ;LATIN SMALL LETTER DZ WITH CARON;Ll;0;L;<compat> 0064 017E;;;;N;LATIN SMALL LETTER D Z HACEK;;01C4;;01C5
        "\u01C7",  # ;LATIN CAPITAL LETTER LJ;Lu;0;L;<compat> 004C 004A;;;;N;LATIN CAPITAL LETTER L J;;;01C9;01C8
        "\u01C8",  # ;LATIN CAPITAL LETTER L WITH SMALL LETTER J;Lt;0;L;<compat> 004C 006A;;;;N;LATIN LETTER CAPITAL L SMALL J;;01C7;01C9;01C8
        "\u01C9",  # ;LATIN SMALL LETTER LJ;Ll;0;L;<compat> 006C 006A;;;;N;LATIN SMALL LETTER L J;;01C7;;01C8
        "\u01CA",  # ;LATIN CAPITAL LETTER NJ;Lu;0;L;<compat> 004E 004A;;;;N;LATIN CAPITAL LETTER N J;;;01CC;01CB
        "\u01CB",  # ;LATIN CAPITAL LETTER N WITH SMALL LETTER J;Lt;0;L;<compat> 004E 006A;;;;N;LATIN LETTER CAPITAL N SMALL J;;01CA;01CC;01CB
        "\u01CC",  # ;LATIN SMALL LETTER NJ;Ll;0;L;<compat> 006E 006A;;;;N;LATIN SMALL LETTER N J;;01CA;;01CB
        "\u01CD",  # ;LATIN CAPITAL LETTER A WITH CARON;Lu;0;L;0041 030C;;;;N;LATIN CAPITAL LETTER A HACEK;;;01CE;
        "\u01CE",  # ;LATIN SMALL LETTER A WITH CARON;Ll;0;L;0061 030C;;;;N;LATIN SMALL LETTER A HACEK;;01CD;;01CD
        "\u01CF",  # ;LATIN CAPITAL LETTER I WITH CARON;Lu;0;L;0049 030C;;;;N;LATIN CAPITAL LETTER I HACEK;;;01D0;
        "\u01D0",  # ;LATIN SMALL LETTER I WITH CARON;Ll;0;L;0069 030C;;;;N;LATIN SMALL LETTER I HACEK;;01CF;;01CF
        "\u01D1",  # ;LATIN CAPITAL LETTER O WITH CARON;Lu;0;L;004F 030C;;;;N;LATIN CAPITAL LETTER O HACEK;;;01D2;
        "\u01D2",  # ;LATIN SMALL LETTER O WITH CARON;Ll;0;L;006F 030C;;;;N;LATIN SMALL LETTER O HACEK;;01D1;;01D1
        "\u01D3",  # ;LATIN CAPITAL LETTER U WITH CARON;Lu;0;L;0055 030C;;;;N;LATIN CAPITAL LETTER U HACEK;;;01D4;
        "\u01D4",  # ;LATIN SMALL LETTER U WITH CARON;Ll;0;L;0075 030C;;;;N;LATIN SMALL LETTER U HACEK;;01D3;;01D3
        "\u01D5",  # ;LATIN CAPITAL LETTER U WITH DIAERESIS AND MACRON;Lu;0;L;00DC 0304;;;;N;LATIN CAPITAL LETTER U DIAERESIS MACRON;;;01D6;
        "\u01D6",  # ;LATIN SMALL LETTER U WITH DIAERESIS AND MACRON;Ll;0;L;00FC 0304;;;;N;LATIN SMALL LETTER U DIAERESIS MACRON;;01D5;;01D5
        "\u01D7",  # ;LATIN CAPITAL LETTER U WITH DIAERESIS AND ACUTE;Lu;0;L;00DC 0301;;;;N;LATIN CAPITAL LETTER U DIAERESIS ACUTE;;;01D8;
        "\u01D8",  # ;LATIN SMALL LETTER U WITH DIAERESIS AND ACUTE;Ll;0;L;00FC 0301;;;;N;LATIN SMALL LETTER U DIAERESIS ACUTE;;01D7;;01D7
        "\u01D9",  # ;LATIN CAPITAL LETTER U WITH DIAERESIS AND CARON;Lu;0;L;00DC 030C;;;;N;LATIN CAPITAL LETTER U DIAERESIS HACEK;;;01DA;
        "\u01DA",  # ;LATIN SMALL LETTER U WITH DIAERESIS AND CARON;Ll;0;L;00FC 030C;;;;N;LATIN SMALL LETTER U DIAERESIS HACEK;;01D9;;01D9
        "\u01DB",  # ;LATIN CAPITAL LETTER U WITH DIAERESIS AND GRAVE;Lu;0;L;00DC 0300;;;;N;LATIN CAPITAL LETTER U DIAERESIS GRAVE;;;01DC;
        "\u01DC",  # ;LATIN SMALL LETTER U WITH DIAERESIS AND GRAVE;Ll;0;L;00FC 0300;;;;N;LATIN SMALL LETTER U DIAERESIS GRAVE;;01DB;;01DB
        "\u01DD",  # ;LATIN SMALL LETTER TURNED E;Ll;0;L;;;;;N;;;018E;;018E
        "\u01DE",  # ;LATIN CAPITAL LETTER A WITH DIAERESIS AND MACRON;Lu;0;L;00C4 0304;;;;N;LATIN CAPITAL LETTER A DIAERESIS MACRON;;;01DF;
        "\u01DF",  # ;LATIN SMALL LETTER A WITH DIAERESIS AND MACRON;Ll;0;L;00E4 0304;;;;N;LATIN SMALL LETTER A DIAERESIS MACRON;;01DE;;01DE
        "\u01E0",  # ;LATIN CAPITAL LETTER A WITH DOT ABOVE AND MACRON;Lu;0;L;0226 0304;;;;N;LATIN CAPITAL LETTER A DOT MACRON;;;01E1;
        "\u01E1",  # ;LATIN SMALL LETTER A WITH DOT ABOVE AND MACRON;Ll;0;L;0227 0304;;;;N;LATIN SMALL LETTER A DOT MACRON;;01E0;;01E0
        "\u01E2",  # ;LATIN CAPITAL LETTER AE WITH MACRON;Lu;0;L;00C6 0304;;;;N;LATIN CAPITAL LETTER A E MACRON;;;01E3;
        "\u01E3",  # ;LATIN SMALL LETTER AE WITH MACRON;Ll;0;L;00E6 0304;;;;N;LATIN SMALL LETTER A E MACRON;;01E2;;01E2
        "\u01E4",  # ;LATIN CAPITAL LETTER G WITH STROKE;Lu;0;L;;;;;N;LATIN CAPITAL LETTER G BAR;;;01E5;
        "\u01E5",  # ;LATIN SMALL LETTER G WITH STROKE;Ll;0;L;;;;;N;LATIN SMALL LETTER G BAR;;01E4;;01E4
        "\u01E6",  # ;LATIN CAPITAL LETTER G WITH CARON;Lu;0;L;0047 030C;;;;N;LATIN CAPITAL LETTER G HACEK;;;01E7;
        "\u01E7",  # ;LATIN SMALL LETTER G WITH CARON;Ll;0;L;0067 030C;;;;N;LATIN SMALL LETTER G HACEK;;01E6;;01E6
        "\u01E8",  # ;LATIN CAPITAL LETTER K WITH CARON;Lu;0;L;004B 030C;;;;N;LATIN CAPITAL LETTER K HACEK;;;01E9;
        "\u01E9",  # ;LATIN SMALL LETTER K WITH CARON;Ll;0;L;006B 030C;;;;N;LATIN SMALL LETTER K HACEK;;01E8;;01E8
        "\u01EA",  # ;LATIN CAPITAL LETTER O WITH OGONEK;Lu;0;L;004F 0328;;;;N;LATIN CAPITAL LETTER O OGONEK;;;01EB;
        "\u01EB",  # ;LATIN SMALL LETTER O WITH OGONEK;Ll;0;L;006F 0328;;;;N;LATIN SMALL LETTER O OGONEK;;01EA;;01EA
        "\u01EC",  # ;LATIN CAPITAL LETTER O WITH OGONEK AND MACRON;Lu;0;L;01EA 0304;;;;N;LATIN CAPITAL LETTER O OGONEK MACRON;;;01ED;
        "\u01ED",  # ;LATIN SMALL LETTER O WITH OGONEK AND MACRON;Ll;0;L;01EB 0304;;;;N;LATIN SMALL LETTER O OGONEK MACRON;;01EC;;01EC
        "\u01EE",  # ;LATIN CAPITAL LETTER EZH WITH CARON;Lu;0;L;01B7 030C;;;;N;LATIN CAPITAL LETTER YOGH HACEK;;;01EF;
        "\u01EF",  # ;LATIN SMALL LETTER EZH WITH CARON;Ll;0;L;0292 030C;;;;N;LATIN SMALL LETTER YOGH HACEK;;01EE;;01EE
        "\u01F0",  # ;LATIN SMALL LETTER J WITH CARON;Ll;0;L;006A 030C;;;;N;LATIN SMALL LETTER J HACEK;;;;
        "\u01F1",  # ;LATIN CAPITAL LETTER DZ;Lu;0;L;<compat> 0044 005A;;;;N;;;;01F3;01F2
        "\u01F2",  # ;LATIN CAPITAL LETTER D WITH SMALL LETTER Z;Lt;0;L;<compat> 0044 007A;;;;N;;;01F1;01F3;01F2
        "\u01F3",  # ;LATIN SMALL LETTER DZ;Ll;0;L;<compat> 0064 007A;;;;N;;;01F1;;01F2
        "\u01F4",  # ;LATIN CAPITAL LETTER G WITH ACUTE;Lu;0;L;0047 0301;;;;N;;;;01F5;
        "\u01F5",  # ;LATIN SMALL LETTER G WITH ACUTE;Ll;0;L;0067 0301;;;;N;;;01F4;;01F4
        "\u01F6",  # ;LATIN CAPITAL LETTER HWAIR;Lu;0;L;;;;;N;;;;0195;
        "\u01F7",  # ;LATIN CAPITAL LETTER WYNN;Lu;0;L;;;;;N;;;;01BF;
        "\u01F8",  # ;LATIN CAPITAL LETTER N WITH GRAVE;Lu;0;L;004E 0300;;;;N;;;;01F9;
        "\u01F9",  # ;LATIN SMALL LETTER N WITH GRAVE;Ll;0;L;006E 0300;;;;N;;;01F8;;01F8
        "\u01FA",  # ;LATIN CAPITAL LETTER A WITH RING ABOVE AND ACUTE;Lu;0;L;00C5 0301;;;;N;;;;01FB;
        "\u01FB",  # ;LATIN SMALL LETTER A WITH RING ABOVE AND ACUTE;Ll;0;L;00E5 0301;;;;N;;;01FA;;01FA
        "\u01FC",  # ;LATIN CAPITAL LETTER AE WITH ACUTE;Lu;0;L;00C6 0301;;;;N;;;;01FD;
        "\u01FD",  # ;LATIN SMALL LETTER AE WITH ACUTE;Ll;0;L;00E6 0301;;;;N;;;01FC;;01FC
        "\u01FE",  # ;LATIN CAPITAL LETTER O WITH STROKE AND ACUTE;Lu;0;L;00D8 0301;;;;N;;;;01FF;
        "\u01FF",  # ;LATIN SMALL LETTER O WITH STROKE AND ACUTE;Ll;0;L;00F8 0301;;;;N;;;01FE;;01FE
        "\u0200",  # ;LATIN CAPITAL LETTER A WITH DOUBLE GRAVE;Lu;0;L;0041 030F;;;;N;;;;0201;
        "\u0201",  # ;LATIN SMALL LETTER A WITH DOUBLE GRAVE;Ll;0;L;0061 030F;;;;N;;;0200;;0200
        "\u0202",  # ;LATIN CAPITAL LETTER A WITH INVERTED BREVE;Lu;0;L;0041 0311;;;;N;;;;0203;
        "\u0203",  # ;LATIN SMALL LETTER A WITH INVERTED BREVE;Ll;0;L;0061 0311;;;;N;;;0202;;0202
        "\u0204",  # ;LATIN CAPITAL LETTER E WITH DOUBLE GRAVE;Lu;0;L;0045 030F;;;;N;;;;0205;
        "\u0205",  # ;LATIN SMALL LETTER E WITH DOUBLE GRAVE;Ll;0;L;0065 030F;;;;N;;;0204;;0204
        "\u0206",  # ;LATIN CAPITAL LETTER E WITH INVERTED BREVE;Lu;0;L;0045 0311;;;;N;;;;0207;
        "\u0207",  # ;LATIN SMALL LETTER E WITH INVERTED BREVE;Ll;0;L;0065 0311;;;;N;;;0206;;0206
        "\u0208",  # ;LATIN CAPITAL LETTER I WITH DOUBLE GRAVE;Lu;0;L;0049 030F;;;;N;;;;0209;
        "\u0209",  # ;LATIN SMALL LETTER I WITH DOUBLE GRAVE;Ll;0;L;0069 030F;;;;N;;;0208;;0208
        "\u020A",  # ;LATIN CAPITAL LETTER I WITH INVERTED BREVE;Lu;0;L;0049 0311;;;;N;;;;020B;
        "\u020B",  # ;LATIN SMALL LETTER I WITH INVERTED BREVE;Ll;0;L;0069 0311;;;;N;;;020A;;020A
        "\u020C",  # ;LATIN CAPITAL LETTER O WITH DOUBLE GRAVE;Lu;0;L;004F 030F;;;;N;;;;020D;
        "\u020D",  # ;LATIN SMALL LETTER O WITH DOUBLE GRAVE;Ll;0;L;006F 030F;;;;N;;;020C;;020C
        "\u020E",  # ;LATIN CAPITAL LETTER O WITH INVERTED BREVE;Lu;0;L;004F 0311;;;;N;;;;020F;
        "\u020F",  # ;LATIN SMALL LETTER O WITH INVERTED BREVE;Ll;0;L;006F 0311;;;;N;;;020E;;020E
        "\u0210",  # ;LATIN CAPITAL LETTER R WITH DOUBLE GRAVE;Lu;0;L;0052 030F;;;;N;;;;0211;
        "\u0211",  # ;LATIN SMALL LETTER R WITH DOUBLE GRAVE;Ll;0;L;0072 030F;;;;N;;;0210;;0210
        "\u0212",  # ;LATIN CAPITAL LETTER R WITH INVERTED BREVE;Lu;0;L;0052 0311;;;;N;;;;0213;
        "\u0213",  # ;LATIN SMALL LETTER R WITH INVERTED BREVE;Ll;0;L;0072 0311;;;;N;;;0212;;0212
        "\u0214",  # ;LATIN CAPITAL LETTER U WITH DOUBLE GRAVE;Lu;0;L;0055 030F;;;;N;;;;0215;
        "\u0215",  # ;LATIN SMALL LETTER U WITH DOUBLE GRAVE;Ll;0;L;0075 030F;;;;N;;;0214;;0214
        "\u0216",  # ;LATIN CAPITAL LETTER U WITH INVERTED BREVE;Lu;0;L;0055 0311;;;;N;;;;0217;
        "\u0217",  # ;LATIN SMALL LETTER U WITH INVERTED BREVE;Ll;0;L;0075 0311;;;;N;;;0216;;0216
        "\u0218",  # ;LATIN CAPITAL LETTER S WITH COMMA BELOW;Lu;0;L;0053 0326;;;;N;;;;0219;
        "\u0219",  # ;LATIN SMALL LETTER S WITH COMMA BELOW;Ll;0;L;0073 0326;;;;N;;;0218;;0218
        "\u021A",  # ;LATIN CAPITAL LETTER T WITH COMMA BELOW;Lu;0;L;0054 0326;;;;N;;;;021B;
        "\u021B",  # ;LATIN SMALL LETTER T WITH COMMA BELOW;Ll;0;L;0074 0326;;;;N;;;021A;;021A
        "\u021C",  # ;LATIN CAPITAL LETTER YOGH;Lu;0;L;;;;;N;;;;021D;
        "\u021D",  # ;LATIN SMALL LETTER YOGH;Ll;0;L;;;;;N;;;021C;;021C
        "\u021E",  # ;LATIN CAPITAL LETTER H WITH CARON;Lu;0;L;0048 030C;;;;N;;;;021F;
        "\u021F",  # ;LATIN SMALL LETTER H WITH CARON;Ll;0;L;0068 030C;;;;N;;;021E;;021E
        "\u0220",  # ;LATIN CAPITAL LETTER N WITH LONG RIGHT LEG;Lu;0;L;;;;;N;;;;019E;
        "\u0221",  # ;LATIN SMALL LETTER D WITH CURL;Ll;0;L;;;;;N;;;;;
        "\u0222",  # ;LATIN CAPITAL LETTER OU;Lu;0;L;;;;;N;;;;0223;
        "\u0223",  # ;LATIN SMALL LETTER OU;Ll;0;L;;;;;N;;;0222;;0222
        "\u0224",  # ;LATIN CAPITAL LETTER Z WITH HOOK;Lu;0;L;;;;;N;;;;0225;
        "\u0225",  # ;LATIN SMALL LETTER Z WITH HOOK;Ll;0;L;;;;;N;;;0224;;0224
        "\u0226",  # ;LATIN CAPITAL LETTER A WITH DOT ABOVE;Lu;0;L;0041 0307;;;;N;;;;0227;
        "\u0227",  # ;LATIN SMALL LETTER A WITH DOT ABOVE;Ll;0;L;0061 0307;;;;N;;;0226;;0226
        "\u0228",  # ;LATIN CAPITAL LETTER E WITH CEDILLA;Lu;0;L;0045 0327;;;;N;;;;0229;
        "\u0229",  # ;LATIN SMALL LETTER E WITH CEDILLA;Ll;0;L;0065 0327;;;;N;;;0228;;0228
        "\u022A",  # ;LATIN CAPITAL LETTER O WITH DIAERESIS AND MACRON;Lu;0;L;00D6 0304;;;;N;;;;022B;
        "\u022B",  # ;LATIN SMALL LETTER O WITH DIAERESIS AND MACRON;Ll;0;L;00F6 0304;;;;N;;;022A;;022A
        "\u022C",  # ;LATIN CAPITAL LETTER O WITH TILDE AND MACRON;Lu;0;L;00D5 0304;;;;N;;;;022D;
        "\u022D",  # ;LATIN SMALL LETTER O WITH TILDE AND MACRON;Ll;0;L;00F5 0304;;;;N;;;022C;;022C
        "\u022E",  # ;LATIN CAPITAL LETTER O WITH DOT ABOVE;Lu;0;L;004F 0307;;;;N;;;;022F;
        "\u022F",  # ;LATIN SMALL LETTER O WITH DOT ABOVE;Ll;0;L;006F 0307;;;;N;;;022E;;022E
        "\u0230",  # ;LATIN CAPITAL LETTER O WITH DOT ABOVE AND MACRON;Lu;0;L;022E 0304;;;;N;;;;0231;
        "\u0231",  # ;LATIN SMALL LETTER O WITH DOT ABOVE AND MACRON;Ll;0;L;022F 0304;;;;N;;;0230;;0230
        "\u0232",  # ;LATIN CAPITAL LETTER Y WITH MACRON;Lu;0;L;0059 0304;;;;N;;;;0233;
        "\u0233",  # ;LATIN SMALL LETTER Y WITH MACRON;Ll;0;L;0079 0304;;;;N;;;0232;;0232
        "\u0234",  # ;LATIN SMALL LETTER L WITH CURL;Ll;0;L;;;;;N;;;;;
        "\u0235",  # ;LATIN SMALL LETTER N WITH CURL;Ll;0;L;;;;;N;;;;;
        "\u0236",  # ;LATIN SMALL LETTER T WITH CURL;Ll;0;L;;;;;N;;;;;
        "\u0237",  # ;LATIN SMALL LETTER DOTLESS J;Ll;0;L;;;;;N;;;;;
        "\u0238",  # ;LATIN SMALL LETTER DB DIGRAPH;Ll;0;L;;;;;N;;;;;
        "\u0239",  # ;LATIN SMALL LETTER QP DIGRAPH;Ll;0;L;;;;;N;;;;;
        "\u023A",  # ;LATIN CAPITAL LETTER A WITH STROKE;Lu;0;L;;;;;N;;;;2C65;
        "\u023B",  # ;LATIN CAPITAL LETTER C WITH STROKE;Lu;0;L;;;;;N;;;;023C;
        "\u023C",  # ;LATIN SMALL LETTER C WITH STROKE;Ll;0;L;;;;;N;;;023B;;023B
        "\u023D",  # ;LATIN CAPITAL LETTER L WITH BAR;Lu;0;L;;;;;N;;;;019A;
        "\u023E",  # ;LATIN CAPITAL LETTER T WITH DIAGONAL STROKE;Lu;0;L;;;;;N;;;;2C66;
        "\u023F",  # ;LATIN SMALL LETTER S WITH SWASH TAIL;Ll;0;L;;;;;N;;;2C7E;;2C7E
        "\u0240",  # ;LATIN SMALL LETTER Z WITH SWASH TAIL;Ll;0;L;;;;;N;;;2C7F;;2C7F
        "\u0241",  # ;LATIN CAPITAL LETTER GLOTTAL STOP;Lu;0;L;;;;;N;;;;0242;
        "\u0242",  # ;LATIN SMALL LETTER GLOTTAL STOP;Ll;0;L;;;;;N;;;0241;;0241
        "\u0243",  # ;LATIN CAPITAL LETTER B WITH STROKE;Lu;0;L;;;;;N;;;;0180;
        "\u0244",  # ;LATIN CAPITAL LETTER U BAR;Lu;0;L;;;;;N;;;;0289;
        "\u0245",  # ;LATIN CAPITAL LETTER TURNED V;Lu;0;L;;;;;N;;;;028C;
        "\u0246",  # ;LATIN CAPITAL LETTER E WITH STROKE;Lu;0;L;;;;;N;;;;0247;
        "\u0247",  # ;LATIN SMALL LETTER E WITH STROKE;Ll;0;L;;;;;N;;;0246;;0246
        "\u0248",  # ;LATIN CAPITAL LETTER J WITH STROKE;Lu;0;L;;;;;N;;;;0249;
        "\u0249",  # ;LATIN SMALL LETTER J WITH STROKE;Ll;0;L;;;;;N;;;0248;;0248
        "\u024A",  # ;LATIN CAPITAL LETTER SMALL Q WITH HOOK TAIL;Lu;0;L;;;;;N;;;;024B;
        "\u024B",  # ;LATIN SMALL LETTER Q WITH HOOK TAIL;Ll;0;L;;;;;N;;;024A;;024A
        "\u024C",  # ;LATIN CAPITAL LETTER R WITH STROKE;Lu;0;L;;;;;N;;;;024D;
        "\u024D",  # ;LATIN SMALL LETTER R WITH STROKE;Ll;0;L;;;;;N;;;024C;;024C
        "\u024E",  # ;LATIN CAPITAL LETTER Y WITH STROKE;Lu;0;L;;;;;N;;;;024F;
        "\u024F",  # ;LATIN SMALL LETTER Y WITH STROKE;Ll;0;L;;;;;N;;;024E;;024E
        "\u0250",  # ;LATIN SMALL LETTER TURNED A;Ll;0;L;;;;;N;;;2C6F;;2C6F
        "\u0251",  # ;LATIN SMALL LETTER ALPHA;Ll;0;L;;;;;N;LATIN SMALL LETTER SCRIPT A;;2C6D;;2C6D
        "\u0252",  # ;LATIN SMALL LETTER TURNED ALPHA;Ll;0;L;;;;;N;LATIN SMALL LETTER TURNED SCRIPT A;;2C70;;2C70
        "\u0253",  # ;LATIN SMALL LETTER B WITH HOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER B HOOK;;0181;;0181
        "\u0254",  # ;LATIN SMALL LETTER OPEN O;Ll;0;L;;;;;N;;;0186;;0186
        "\u0255",  # ;LATIN SMALL LETTER C WITH CURL;Ll;0;L;;;;;N;LATIN SMALL LETTER C CURL;;;;
        "\u0256",  # ;LATIN SMALL LETTER D WITH TAIL;Ll;0;L;;;;;N;LATIN SMALL LETTER D RETROFLEX HOOK;;0189;;0189
        "\u0257",  # ;LATIN SMALL LETTER D WITH HOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER D HOOK;;018A;;018A
        "\u0258",  # ;LATIN SMALL LETTER REVERSED E;Ll;0;L;;;;;N;;;;;
        "\u0259",  # ;LATIN SMALL LETTER SCHWA;Ll;0;L;;;;;N;;;018F;;018F
        "\u025A",  # ;LATIN SMALL LETTER SCHWA WITH HOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER SCHWA HOOK;;;;
        "\u025B",  # ;LATIN SMALL LETTER OPEN E;Ll;0;L;;;;;N;LATIN SMALL LETTER EPSILON;;0190;;0190
        "\u025C",  # ;LATIN SMALL LETTER REVERSED OPEN E;Ll;0;L;;;;;N;LATIN SMALL LETTER REVERSED EPSILON;;A7AB;;A7AB
        "\u025D",  # ;LATIN SMALL LETTER REVERSED OPEN E WITH HOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER REVERSED EPSILON HOOK;;;;
        "\u025E",  # ;LATIN SMALL LETTER CLOSED REVERSED OPEN E;Ll;0;L;;;;;N;LATIN SMALL LETTER CLOSED REVERSED EPSILON;;;;
        "\u025F",  # ;LATIN SMALL LETTER DOTLESS J WITH STROKE;Ll;0;L;;;;;N;LATIN SMALL LETTER DOTLESS J BAR;;;;
        "\u0260",  # ;LATIN SMALL LETTER G WITH HOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER G HOOK;;0193;;0193
        "\u0261",  # ;LATIN SMALL LETTER SCRIPT G;Ll;0;L;;;;;N;;;A7AC;;A7AC
        "\u0262",  # ;LATIN LETTER SMALL CAPITAL G;Ll;0;L;;;;;N;;;;;
        "\u0263",  # ;LATIN SMALL LETTER GAMMA;Ll;0;L;;;;;N;;;0194;;0194
        "\u0264",  # ;LATIN SMALL LETTER RAMS HORN;Ll;0;L;;;;;N;LATIN SMALL LETTER BABY GAMMA;;;;
        "\u0265",  # ;LATIN SMALL LETTER TURNED H;Ll;0;L;;;;;N;;;A78D;;A78D
        "\u0266",  # ;LATIN SMALL LETTER H WITH HOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER H HOOK;;A7AA;;A7AA
        "\u0267",  # ;LATIN SMALL LETTER HENG WITH HOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER HENG HOOK;;;;
        "\u0268",  # ;LATIN SMALL LETTER I WITH STROKE;Ll;0;L;;;;;N;LATIN SMALL LETTER BARRED I;;0197;;0197
        "\u0269",  # ;LATIN SMALL LETTER IOTA;Ll;0;L;;;;;N;;;0196;;0196
        "\u026A",  # ;LATIN LETTER SMALL CAPITAL I;Ll;0;L;;;;;N;;;A7AE;;A7AE
        "\u026B",  # ;LATIN SMALL LETTER L WITH MIDDLE TILDE;Ll;0;L;;;;;N;;;2C62;;2C62
        "\u026C",  # ;LATIN SMALL LETTER L WITH BELT;Ll;0;L;;;;;N;LATIN SMALL LETTER L BELT;;A7AD;;A7AD
        "\u026D",  # ;LATIN SMALL LETTER L WITH RETROFLEX HOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER L RETROFLEX HOOK;;;;
        "\u026E",  # ;LATIN SMALL LETTER LEZH;Ll;0;L;;;;;N;LATIN SMALL LETTER L YOGH;;;;
        "\u026F",  # ;LATIN SMALL LETTER TURNED M;Ll;0;L;;;;;N;;;019C;;019C
        "\u0270",  # ;LATIN SMALL LETTER TURNED M WITH LONG LEG;Ll;0;L;;;;;N;;;;;
        "\u0271",  # ;LATIN SMALL LETTER M WITH HOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER M HOOK;;2C6E;;2C6E
        "\u0272",  # ;LATIN SMALL LETTER N WITH LEFT HOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER N HOOK;;019D;;019D
        "\u0273",  # ;LATIN SMALL LETTER N WITH RETROFLEX HOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER N RETROFLEX HOOK;;;;
        "\u0274",  # ;LATIN LETTER SMALL CAPITAL N;Ll;0;L;;;;;N;;;;;
        "\u0275",  # ;LATIN SMALL LETTER BARRED O;Ll;0;L;;;;;N;;;019F;;019F
        "\u0276",  # ;LATIN LETTER SMALL CAPITAL OE;Ll;0;L;;;;;N;LATIN LETTER SMALL CAPITAL O E;;;;
        "\u0277",  # ;LATIN SMALL LETTER CLOSED OMEGA;Ll;0;L;;;;;N;;;;;
        "\u0278",  # ;LATIN SMALL LETTER PHI;Ll;0;L;;;;;N;;;;;
        "\u0279",  # ;LATIN SMALL LETTER TURNED R;Ll;0;L;;;;;N;;;;;
        "\u027A",  # ;LATIN SMALL LETTER TURNED R WITH LONG LEG;Ll;0;L;;;;;N;;;;;
        "\u027B",  # ;LATIN SMALL LETTER TURNED R WITH HOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER TURNED R HOOK;;;;
        "\u027C",  # ;LATIN SMALL LETTER R WITH LONG LEG;Ll;0;L;;;;;N;;;;;
        "\u027D",  # ;LATIN SMALL LETTER R WITH TAIL;Ll;0;L;;;;;N;LATIN SMALL LETTER R HOOK;;2C64;;2C64
        "\u027E",  # ;LATIN SMALL LETTER R WITH FISHHOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER FISHHOOK R;;;;
        "\u027F",  # ;LATIN SMALL LETTER REVERSED R WITH FISHHOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER REVERSED FISHHOOK R;;;;
        "\u0280",  # ;LATIN LETTER SMALL CAPITAL R;Ll;0;L;;;;;N;;;01A6;;01A6
        "\u0281",  # ;LATIN LETTER SMALL CAPITAL INVERTED R;Ll;0;L;;;;;N;;;;;
        "\u0282",  # ;LATIN SMALL LETTER S WITH HOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER S HOOK;;;;
        "\u0283",  # ;LATIN SMALL LETTER ESH;Ll;0;L;;;;;N;;;01A9;;01A9
        "\u0284",  # ;LATIN SMALL LETTER DOTLESS J WITH STROKE AND HOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER DOTLESS J BAR HOOK;;;;
        "\u0285",  # ;LATIN SMALL LETTER SQUAT REVERSED ESH;Ll;0;L;;;;;N;;;;;
        "\u0286",  # ;LATIN SMALL LETTER ESH WITH CURL;Ll;0;L;;;;;N;LATIN SMALL LETTER ESH CURL;;;;
        "\u0287",  # ;LATIN SMALL LETTER TURNED T;Ll;0;L;;;;;N;;;A7B1;;A7B1
        "\u0288",  # ;LATIN SMALL LETTER T WITH RETROFLEX HOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER T RETROFLEX HOOK;;01AE;;01AE
        "\u0289",  # ;LATIN SMALL LETTER U BAR;Ll;0;L;;;;;N;;;0244;;0244
        "\u028A",  # ;LATIN SMALL LETTER UPSILON;Ll;0;L;;;;;N;;;01B1;;01B1
        "\u028B",  # ;LATIN SMALL LETTER V WITH HOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER SCRIPT V;;01B2;;01B2
        "\u028C",  # ;LATIN SMALL LETTER TURNED V;Ll;0;L;;;;;N;;;0245;;0245
        "\u028D",  # ;LATIN SMALL LETTER TURNED W;Ll;0;L;;;;;N;;;;;
        "\u028E",  # ;LATIN SMALL LETTER TURNED Y;Ll;0;L;;;;;N;;;;;
        "\u028F",  # ;LATIN LETTER SMALL CAPITAL Y;Ll;0;L;;;;;N;;;;;
        "\u0290",  # ;LATIN SMALL LETTER Z WITH RETROFLEX HOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER Z RETROFLEX HOOK;;;;
        "\u0291",  # ;LATIN SMALL LETTER Z WITH CURL;Ll;0;L;;;;;N;LATIN SMALL LETTER Z CURL;;;;
        "\u0292",  # ;LATIN SMALL LETTER EZH;Ll;0;L;;;;;N;LATIN SMALL LETTER YOGH;;01B7;;01B7
        "\u0293",  # ;LATIN SMALL LETTER EZH WITH CURL;Ll;0;L;;;;;N;LATIN SMALL LETTER YOGH CURL;;;;
        "\u0294",  # ;LATIN LETTER GLOTTAL STOP;Lo;0;L;;;;;N;;;;;
        "\u0295",  # ;LATIN LETTER PHARYNGEAL VOICED FRICATIVE;Ll;0;L;;;;;N;LATIN LETTER REVERSED GLOTTAL STOP;;;;
        "\u0296",  # ;LATIN LETTER INVERTED GLOTTAL STOP;Ll;0;L;;;;;N;;;;;
        "\u0297",  # ;LATIN LETTER STRETCHED C;Ll;0;L;;;;;N;;;;;
        "\u0298",  # ;LATIN LETTER BILABIAL CLICK;Ll;0;L;;;;;N;LATIN LETTER BULLSEYE;;;;
        "\u0299",  # ;LATIN LETTER SMALL CAPITAL B;Ll;0;L;;;;;N;;;;;
        "\u029A",  # ;LATIN SMALL LETTER CLOSED OPEN E;Ll;0;L;;;;;N;LATIN SMALL LETTER CLOSED EPSILON;;;;
        "\u029B",  # ;LATIN LETTER SMALL CAPITAL G WITH HOOK;Ll;0;L;;;;;N;LATIN LETTER SMALL CAPITAL G HOOK;;;;
        "\u029C",  # ;LATIN LETTER SMALL CAPITAL H;Ll;0;L;;;;;N;;;;;
        "\u029D",  # ;LATIN SMALL LETTER J WITH CROSSED-TAIL;Ll;0;L;;;;;N;LATIN SMALL LETTER CROSSED-TAIL J;;A7B2;;A7B2
        "\u029E",  # ;LATIN SMALL LETTER TURNED K;Ll;0;L;;;;;N;;;A7B0;;A7B0
        "\u029F",  # ;LATIN LETTER SMALL CAPITAL L;Ll;0;L;;;;;N;;;;;
        "\u02A0",  # ;LATIN SMALL LETTER Q WITH HOOK;Ll;0;L;;;;;N;LATIN SMALL LETTER Q HOOK;;;;
        "\u02A1",  # ;LATIN LETTER GLOTTAL STOP WITH STROKE;Ll;0;L;;;;;N;LATIN LETTER GLOTTAL STOP BAR;;;;
        "\u02A2",  # ;LATIN LETTER REVERSED GLOTTAL STOP WITH STROKE;Ll;0;L;;;;;N;LATIN LETTER REVERSED GLOTTAL STOP BAR;;;;
        "\u02A3",  # ;LATIN SMALL LETTER DZ DIGRAPH;Ll;0;L;;;;;N;LATIN SMALL LETTER D Z;;;;
        "\u02A4",  # ;LATIN SMALL LETTER DEZH DIGRAPH;Ll;0;L;;;;;N;LATIN SMALL LETTER D YOGH;;;;
        "\u02A5",  # ;LATIN SMALL LETTER DZ DIGRAPH WITH CURL;Ll;0;L;;;;;N;LATIN SMALL LETTER D Z CURL;;;;
        "\u02A6",  # ;LATIN SMALL LETTER TS DIGRAPH;Ll;0;L;;;;;N;LATIN SMALL LETTER T S;;;;
        "\u02A7",  # ;LATIN SMALL LETTER TESH DIGRAPH;Ll;0;L;;;;;N;LATIN SMALL LETTER T ESH;;;;
        "\u02A8",  # ;LATIN SMALL LETTER TC DIGRAPH WITH CURL;Ll;0;L;;;;;N;LATIN SMALL LETTER T C CURL;;;;
        "\u02A9",  # ;LATIN SMALL LETTER FENG DIGRAPH;Ll;0;L;;;;;N;;;;;
        "\u02AA",  # ;LATIN SMALL LETTER LS DIGRAPH;Ll;0;L;;;;;N;;;;;
        "\u02AB",  # ;LATIN SMALL LETTER LZ DIGRAPH;Ll;0;L;;;;;N;;;;;
        "\u02AC",  # ;LATIN LETTER BILABIAL PERCUSSIVE;Ll;0;L;;;;;N;;;;;
        "\u02AD",  # ;LATIN LETTER BIDENTAL PERCUSSIVE;Ll;0;L;;;;;N;;;;;
        "\u02AE",  # ;LATIN SMALL LETTER TURNED H WITH FISHHOOK;Ll;0;L;;;;;N;;;;;
        "\u02AF",  # ;LATIN SMALL LETTER TURNED H WITH FISHHOOK AND TAIL;Ll;0;L;;;;;N;;;;;
        "\u02B0",  # ;MODIFIER LETTER SMALL H;Lm;0;L;<super> 0068;;;;N;;;;;
        "\u02B1",  # ;MODIFIER LETTER SMALL H WITH HOOK;Lm;0;L;<super> 0266;;;;N;MODIFIER LETTER SMALL H HOOK;;;;
        "\u02B2",  # ;MODIFIER LETTER SMALL J;Lm;0;L;<super> 006A;;;;N;;;;;
        "\u02B3",  # ;MODIFIER LETTER SMALL R;Lm;0;L;<super> 0072;;;;N;;;;;
        "\u02B4",  # ;MODIFIER LETTER SMALL TURNED R;Lm;0;L;<super> 0279;;;;N;;;;;
        "\u02B5",  # ;MODIFIER LETTER SMALL TURNED R WITH HOOK;Lm;0;L;<super> 027B;;;;N;MODIFIER LETTER SMALL TURNED R HOOK;;;;
        "\u02B6",  # ;MODIFIER LETTER SMALL CAPITAL INVERTED R;Lm;0;L;<super> 0281;;;;N;;;;;
        "\u02B7",  # ;MODIFIER LETTER SMALL W;Lm;0;L;<super> 0077;;;;N;;;;;
        "\u02B8",  # ;MODIFIER LETTER SMALL Y;Lm;0;L;<super> 0079;;;;N;;;;;
        "\u02B9",  # ;MODIFIER LETTER PRIME;Lm;0;ON;;;;;N;;;;;
        "\u02BA",  # ;MODIFIER LETTER DOUBLE PRIME;Lm;0;ON;;;;;N;;;;;
        "\u02BB",  # ;MODIFIER LETTER TURNED COMMA;Lm;0;L;;;;;N;;;;;
        "\u02BC",  # ;MODIFIER LETTER APOSTROPHE;Lm;0;L;;;;;N;;;;;
        "\u02BD",  # ;MODIFIER LETTER REVERSED COMMA;Lm;0;L;;;;;N;;;;;
        "\u02BE",  # ;MODIFIER LETTER RIGHT HALF RING;Lm;0;L;;;;;N;;;;;
        "\u02BF",  # ;MODIFIER LETTER LEFT HALF RING;Lm;0;L;;;;;N;;;;;
        "\u02C0",  # ;MODIFIER LETTER GLOTTAL STOP;Lm;0;L;;;;;N;;;;;
        "\u02C1",  # ;MODIFIER LETTER REVERSED GLOTTAL STOP;Lm;0;L;;;;;N;;;;;
        "\u02C2",  # ;MODIFIER LETTER LEFT ARROWHEAD;Sk;0;ON;;;;;N;;;;;
        "\u02C3",  # ;MODIFIER LETTER RIGHT ARROWHEAD;Sk;0;ON;;;;;N;;;;;
        "\u02C4",  # ;MODIFIER LETTER UP ARROWHEAD;Sk;0;ON;;;;;N;;;;;
        "\u02C5",  # ;MODIFIER LETTER DOWN ARROWHEAD;Sk;0;ON;;;;;N;;;;;
        "\u02C6",  # ;MODIFIER LETTER CIRCUMFLEX ACCENT;Lm;0;ON;;;;;N;MODIFIER LETTER CIRCUMFLEX;;;;
        "\u02C7",  # ;CARON;Lm;0;ON;;;;;N;MODIFIER LETTER HACEK;;;;
        "\u02C8",  # ;MODIFIER LETTER VERTICAL LINE;Lm;0;ON;;;;;N;;;;;
        "\u02C9",  # ;MODIFIER LETTER MACRON;Lm;0;ON;;;;;N;;;;;
        "\u02CA",  # ;MODIFIER LETTER ACUTE ACCENT;Lm;0;ON;;;;;N;MODIFIER LETTER ACUTE;;;;
        "\u02CB",  # ;MODIFIER LETTER GRAVE ACCENT;Lm;0;ON;;;;;N;MODIFIER LETTER GRAVE;;;;
        "\u02CC",  # ;MODIFIER LETTER LOW VERTICAL LINE;Lm;0;ON;;;;;N;;;;;
        "\u02CD",  # ;MODIFIER LETTER LOW MACRON;Lm;0;ON;;;;;N;;;;;
        "\u02CE",  # ;MODIFIER LETTER LOW GRAVE ACCENT;Lm;0;ON;;;;;N;MODIFIER LETTER LOW GRAVE;;;;
        "\u02CF",  # ;MODIFIER LETTER LOW ACUTE ACCENT;Lm;0;ON;;;;;N;MODIFIER LETTER LOW ACUTE;;;;
        "\u02D0",  # ;MODIFIER LETTER TRIANGULAR COLON;Lm;0;L;;;;;N;;;;;
        "\u02D1",  # ;MODIFIER LETTER HALF TRIANGULAR COLON;Lm;0;L;;;;;N;;;;;
        "\u02D2",  # ;MODIFIER LETTER CENTRED RIGHT HALF RING;Sk;0;ON;;;;;N;MODIFIER LETTER CENTERED RIGHT HALF RING;;;;
        "\u02D3",  # ;MODIFIER LETTER CENTRED LEFT HALF RING;Sk;0;ON;;;;;N;MODIFIER LETTER CENTERED LEFT HALF RING;;;;
        "\u02D4",  # ;MODIFIER LETTER UP TACK;Sk;0;ON;;;;;N;;;;;
        "\u02D5",  # ;MODIFIER LETTER DOWN TACK;Sk;0;ON;;;;;N;;;;;
        "\u02D6",  # ;MODIFIER LETTER PLUS SIGN;Sk;0;ON;;;;;N;;;;;
        "\u02D7",  # ;MODIFIER LETTER MINUS SIGN;Sk;0;ON;;;;;N;;;;;
        "\u02D8",  # ;BREVE;Sk;0;ON;<compat> 0020 0306;;;;N;SPACING BREVE;;;;
        "\u02D9",  # ;DOT ABOVE;Sk;0;ON;<compat> 0020 0307;;;;N;SPACING DOT ABOVE;;;;
        "\u02DA",  # ;RING ABOVE;Sk;0;ON;<compat> 0020 030A;;;;N;SPACING RING ABOVE;;;;
        "\u02DB",  # ;OGONEK;Sk;0;ON;<compat> 0020 0328;;;;N;SPACING OGONEK;;;;
        "\u02DC",  # ;SMALL TILDE;Sk;0;ON;<compat> 0020 0303;;;;N;SPACING TILDE;;;;
        "\u02DD",  # ;DOUBLE ACUTE ACCENT;Sk;0;ON;<compat> 0020 030B;;;;N;SPACING DOUBLE ACUTE;;;;
        "\u02DE",  # ;MODIFIER LETTER RHOTIC HOOK;Sk;0;ON;;;;;N;;;;;
        "\u02DF",  # ;MODIFIER LETTER CROSS ACCENT;Sk;0;ON;;;;;N;;;;;
        "\u02E0",  # ;MODIFIER LETTER SMALL GAMMA;Lm;0;L;<super> 0263;;;;N;;;;;
        "\u02E1",  # ;MODIFIER LETTER SMALL L;Lm;0;L;<super> 006C;;;;N;;;;;
        "\u02E2",  # ;MODIFIER LETTER SMALL S;Lm;0;L;<super> 0073;;;;N;;;;;
        "\u02E3",  # ;MODIFIER LETTER SMALL X;Lm;0;L;<super> 0078;;;;N;;;;;
        "\u02E4",  # ;MODIFIER LETTER SMALL REVERSED GLOTTAL STOP;Lm;0;L;<super> 0295;;;;N;;;;;
        "\u02E5",  # ;MODIFIER LETTER EXTRA-HIGH TONE BAR;Sk;0;ON;;;;;N;;;;;
        "\u02E6",  # ;MODIFIER LETTER HIGH TONE BAR;Sk;0;ON;;;;;N;;;;;
        "\u02E7",  # ;MODIFIER LETTER MID TONE BAR;Sk;0;ON;;;;;N;;;;;
        "\u02E8",  # ;MODIFIER LETTER LOW TONE BAR;Sk;0;ON;;;;;N;;;;;
        "\u02E9",  # ;MODIFIER LETTER EXTRA-LOW TONE BAR;Sk;0;ON;;;;;N;;;;;
        "\u02EA",  # ;MODIFIER LETTER YIN DEPARTING TONE MARK;Sk;0;ON;;;;;N;;;;;
        "\u02EB",  # ;MODIFIER LETTER YANG DEPARTING TONE MARK;Sk;0;ON;;;;;N;;;;;
        "\u02EC",  # ;MODIFIER LETTER VOICING;Lm;0;ON;;;;;N;;;;;
        "\u02ED",  # ;MODIFIER LETTER UNASPIRATED;Sk;0;ON;;;;;N;;;;;
        "\u02EE",  # ;MODIFIER LETTER DOUBLE APOSTROPHE;Lm;0;L;;;;;N;;;;;
        "\u02EF",  # ;MODIFIER LETTER LOW DOWN ARROWHEAD;Sk;0;ON;;;;;N;;;;;
        "\u02F0",  # ;MODIFIER LETTER LOW UP ARROWHEAD;Sk;0;ON;;;;;N;;;;;
        "\u02F1",  # ;MODIFIER LETTER LOW LEFT ARROWHEAD;Sk;0;ON;;;;;N;;;;;
        "\u02F2",  # ;MODIFIER LETTER LOW RIGHT ARROWHEAD;Sk;0;ON;;;;;N;;;;;
        "\u02F3",  # ;MODIFIER LETTER LOW RING;Sk;0;ON;;;;;N;;;;;
        "\u02F4",  # ;MODIFIER LETTER MIDDLE GRAVE ACCENT;Sk;0;ON;;;;;N;;;;;
        "\u02F5",  # ;MODIFIER LETTER MIDDLE DOUBLE GRAVE ACCENT;Sk;0;ON;;;;;N;;;;;
        "\u02F6",  # ;MODIFIER LETTER MIDDLE DOUBLE ACUTE ACCENT;Sk;0;ON;;;;;N;;;;;
        "\u02F7",  # ;MODIFIER LETTER LOW TILDE;Sk;0;ON;;;;;N;;;;;
        "\u02F8",  # ;MODIFIER LETTER RAISED COLON;Sk;0;ON;;;;;N;;;;;
        "\u02F9",  # ;MODIFIER LETTER BEGIN HIGH TONE;Sk;0;ON;;;;;N;;;;;
        "\u02FA",  # ;MODIFIER LETTER END HIGH TONE;Sk;0;ON;;;;;N;;;;;
        "\u02FB",  # ;MODIFIER LETTER BEGIN LOW TONE;Sk;0;ON;;;;;N;;;;;
        "\u02FC",  # ;MODIFIER LETTER END LOW TONE;Sk;0;ON;;;;;N;;;;;
        "\u02FD",  # ;MODIFIER LETTER SHELF;Sk;0;ON;;;;;N;;;;;
        "\u02FE",  # ;MODIFIER LETTER OPEN SHELF;Sk;0;ON;;;;;N;;;;;
        "\u02FF",  # ;MODIFIER LETTER LOW LEFT ARROW;Sk;0;ON;;;;;N;;;;;
        "\u0300",  # ;COMBINING GRAVE ACCENT;Mn;230;NSM;;;;;N;NON-SPACING GRAVE;;;;
        "\u0301",  # ;COMBINING ACUTE ACCENT;Mn;230;NSM;;;;;N;NON-SPACING ACUTE;;;;
        "\u0302",  # ;COMBINING CIRCUMFLEX ACCENT;Mn;230;NSM;;;;;N;NON-SPACING CIRCUMFLEX;;;;
        "\u0303",  # ;COMBINING TILDE;Mn;230;NSM;;;;;N;NON-SPACING TILDE;;;;
        "\u0304",  # ;COMBINING MACRON;Mn;230;NSM;;;;;N;NON-SPACING MACRON;;;;
        "\u0305",  # ;COMBINING OVERLINE;Mn;230;NSM;;;;;N;NON-SPACING OVERSCORE;;;;
        "\u0306",  # ;COMBINING BREVE;Mn;230;NSM;;;;;N;NON-SPACING BREVE;;;;
        "\u0307",  # ;COMBINING DOT ABOVE;Mn;230;NSM;;;;;N;NON-SPACING DOT ABOVE;;;;
        "\u0308",  # ;COMBINING DIAERESIS;Mn;230;NSM;;;;;N;NON-SPACING DIAERESIS;;;;
        "\u0309",  # ;COMBINING HOOK ABOVE;Mn;230;NSM;;;;;N;NON-SPACING HOOK ABOVE;;;;
        "\u030A",  # ;COMBINING RING ABOVE;Mn;230;NSM;;;;;N;NON-SPACING RING ABOVE;;;;
        "\u030B",  # ;COMBINING DOUBLE ACUTE ACCENT;Mn;230;NSM;;;;;N;NON-SPACING DOUBLE ACUTE;;;;
        "\u030C",  # ;COMBINING CARON;Mn;230;NSM;;;;;N;NON-SPACING HACEK;;;;
        "\u030D",  # ;COMBINING VERTICAL LINE ABOVE;Mn;230;NSM;;;;;N;NON-SPACING VERTICAL LINE ABOVE;;;;
        "\u030E",  # ;COMBINING DOUBLE VERTICAL LINE ABOVE;Mn;230;NSM;;;;;N;NON-SPACING DOUBLE VERTICAL LINE ABOVE;;;;
        "\u030F",  # ;COMBINING DOUBLE GRAVE ACCENT;Mn;230;NSM;;;;;N;NON-SPACING DOUBLE GRAVE;;;;
        "\u0310",  # ;COMBINING CANDRABINDU;Mn;230;NSM;;;;;N;NON-SPACING CANDRABINDU;;;;
        "\u0311",  # ;COMBINING INVERTED BREVE;Mn;230;NSM;;;;;N;NON-SPACING INVERTED BREVE;;;;
        "\u0312",  # ;COMBINING TURNED COMMA ABOVE;Mn;230;NSM;;;;;N;NON-SPACING TURNED COMMA ABOVE;;;;
        "\u0313",  # ;COMBINING COMMA ABOVE;Mn;230;NSM;;;;;N;NON-SPACING COMMA ABOVE;;;;
        "\u0314",  # ;COMBINING REVERSED COMMA ABOVE;Mn;230;NSM;;;;;N;NON-SPACING REVERSED COMMA ABOVE;;;;
        "\u0315",  # ;COMBINING COMMA ABOVE RIGHT;Mn;232;NSM;;;;;N;NON-SPACING COMMA ABOVE RIGHT;;;;
        "\u0316",  # ;COMBINING GRAVE ACCENT BELOW;Mn;220;NSM;;;;;N;NON-SPACING GRAVE BELOW;;;;
        "\u0317",  # ;COMBINING ACUTE ACCENT BELOW;Mn;220;NSM;;;;;N;NON-SPACING ACUTE BELOW;;;;
        "\u0318",  # ;COMBINING LEFT TACK BELOW;Mn;220;NSM;;;;;N;NON-SPACING LEFT TACK BELOW;;;;
        "\u0319",  # ;COMBINING RIGHT TACK BELOW;Mn;220;NSM;;;;;N;NON-SPACING RIGHT TACK BELOW;;;;
        "\u031A",  # ;COMBINING LEFT ANGLE ABOVE;Mn;232;NSM;;;;;N;NON-SPACING LEFT ANGLE ABOVE;;;;
        "\u031B",  # ;COMBINING HORN;Mn;216;NSM;;;;;N;NON-SPACING HORN;;;;
        "\u031C",  # ;COMBINING LEFT HALF RING BELOW;Mn;220;NSM;;;;;N;NON-SPACING LEFT HALF RING BELOW;;;;
        "\u031D",  # ;COMBINING UP TACK BELOW;Mn;220;NSM;;;;;N;NON-SPACING UP TACK BELOW;;;;
        "\u031E",  # ;COMBINING DOWN TACK BELOW;Mn;220;NSM;;;;;N;NON-SPACING DOWN TACK BELOW;;;;
        "\u031F",  # ;COMBINING PLUS SIGN BELOW;Mn;220;NSM;;;;;N;NON-SPACING PLUS SIGN BELOW;;;;
        "\u0320",  # ;COMBINING MINUS SIGN BELOW;Mn;220;NSM;;;;;N;NON-SPACING MINUS SIGN BELOW;;;;
        "\u0321",  # ;COMBINING PALATALIZED HOOK BELOW;Mn;202;NSM;;;;;N;NON-SPACING PALATALIZED HOOK BELOW;;;;
        "\u0322",  # ;COMBINING RETROFLEX HOOK BELOW;Mn;202;NSM;;;;;N;NON-SPACING RETROFLEX HOOK BELOW;;;;
        "\u0323",  # ;COMBINING DOT BELOW;Mn;220;NSM;;;;;N;NON-SPACING DOT BELOW;;;;
        "\u0324",  # ;COMBINING DIAERESIS BELOW;Mn;220;NSM;;;;;N;NON-SPACING DOUBLE DOT BELOW;;;;
        "\u0325",  # ;COMBINING RING BELOW;Mn;220;NSM;;;;;N;NON-SPACING RING BELOW;;;;
        "\u0326",  # ;COMBINING COMMA BELOW;Mn;220;NSM;;;;;N;NON-SPACING COMMA BELOW;;;;
        "\u0327",  # ;COMBINING CEDILLA;Mn;202;NSM;;;;;N;NON-SPACING CEDILLA;;;;
        "\u0328",  # ;COMBINING OGONEK;Mn;202;NSM;;;;;N;NON-SPACING OGONEK;;;;
        "\u0329",  # ;COMBINING VERTICAL LINE BELOW;Mn;220;NSM;;;;;N;NON-SPACING VERTICAL LINE BELOW;;;;
        "\u032A",  # ;COMBINING BRIDGE BELOW;Mn;220;NSM;;;;;N;NON-SPACING BRIDGE BELOW;;;;
        "\u032B",  # ;COMBINING INVERTED DOUBLE ARCH BELOW;Mn;220;NSM;;;;;N;NON-SPACING INVERTED DOUBLE ARCH BELOW;;;;
        "\u032C",  # ;COMBINING CARON BELOW;Mn;220;NSM;;;;;N;NON-SPACING HACEK BELOW;;;;
        "\u032D",  # ;COMBINING CIRCUMFLEX ACCENT BELOW;Mn;220;NSM;;;;;N;NON-SPACING CIRCUMFLEX BELOW;;;;
        "\u032E",  # ;COMBINING BREVE BELOW;Mn;220;NSM;;;;;N;NON-SPACING BREVE BELOW;;;;
        "\u032F",  # ;COMBINING INVERTED BREVE BELOW;Mn;220;NSM;;;;;N;NON-SPACING INVERTED BREVE BELOW;;;;
        "\u0330",  # ;COMBINING TILDE BELOW;Mn;220;NSM;;;;;N;NON-SPACING TILDE BELOW;;;;
        "\u0331",  # ;COMBINING MACRON BELOW;Mn;220;NSM;;;;;N;NON-SPACING MACRON BELOW;;;;
        "\u0332",  # ;COMBINING LOW LINE;Mn;220;NSM;;;;;N;NON-SPACING UNDERSCORE;;;;
        "\u0333",  # ;COMBINING DOUBLE LOW LINE;Mn;220;NSM;;;;;N;NON-SPACING DOUBLE UNDERSCORE;;;;
        "\u0335",  # ;COMBINING SHORT STROKE OVERLAY;Mn;1;NSM;;;;;N;NON-SPACING SHORT BAR OVERLAY;;;;
        "\u0336",  # ;COMBINING LONG STROKE OVERLAY;Mn;1;NSM;;;;;N;NON-SPACING LONG BAR OVERLAY;;;;
        "\u0337",  # ;COMBINING SHORT SOLIDUS OVERLAY;Mn;1;NSM;;;;;N;NON-SPACING SHORT SLASH OVERLAY;;;;
        "\u0338",  # ;COMBINING LONG SOLIDUS OVERLAY;Mn;1;NSM;;;;;N;NON-SPACING LONG SLASH OVERLAY;;;;
        "\u0339",  # ;COMBINING RIGHT HALF RING BELOW;Mn;220;NSM;;;;;N;NON-SPACING RIGHT HALF RING BELOW;;;;
        "\u033A",  # ;COMBINING INVERTED BRIDGE BELOW;Mn;220;NSM;;;;;N;NON-SPACING INVERTED BRIDGE BELOW;;;;
        "\u033B",  # ;COMBINING SQUARE BELOW;Mn;220;NSM;;;;;N;NON-SPACING SQUARE BELOW;;;;
        "\u033C",  # ;COMBINING SEAGULL BELOW;Mn;220;NSM;;;;;N;NON-SPACING SEAGULL BELOW;;;;
        "\u033D",  # ;COMBINING X ABOVE;Mn;230;NSM;;;;;N;NON-SPACING X ABOVE;;;;
        "\u033E",  # ;COMBINING VERTICAL TILDE;Mn;230;NSM;;;;;N;NON-SPACING VERTICAL TILDE;;;;
        "\u033F",  # ;COMBINING DOUBLE OVERLINE;Mn;230;NSM;;;;;N;NON-SPACING DOUBLE OVERSCORE;;;;
        "\u0340",  # ;COMBINING GRAVE TONE MARK;Mn;230;NSM;0300;;;;N;NON-SPACING GRAVE TONE MARK;;;;
        "\u0341",  # ;COMBINING ACUTE TONE MARK;Mn;230;NSM;0301;;;;N;NON-SPACING ACUTE TONE MARK;;;;
        "\u0342",  # ;COMBINING GREEK PERISPOMENI;Mn;230;NSM;;;;;N;;;;;
        "\u0343",  # ;COMBINING GREEK KORONIS;Mn;230;NSM;0313;;;;N;;;;;
        "\u0344",  # ;COMBINING GREEK DIALYTIKA TONOS;Mn;230;NSM;0308 0301;;;;N;GREEK NON-SPACING DIAERESIS TONOS;;;;
        "\u0345",  # ;COMBINING GREEK YPOGEGRAMMENI;Mn;240;NSM;;;;;N;GREEK NON-SPACING IOTA BELOW;;0399;;0399
        "\u0346",  # ;COMBINING BRIDGE ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u0347",  # ;COMBINING EQUALS SIGN BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u0348",  # ;COMBINING DOUBLE VERTICAL LINE BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u0349",  # ;COMBINING LEFT ANGLE BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u034A",  # ;COMBINING NOT TILDE ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u034B",  # ;COMBINING HOMOTHETIC ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u034C",  # ;COMBINING ALMOST EQUAL TO ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u034D",  # ;COMBINING LEFT RIGHT ARROW BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u034E",  # ;COMBINING UPWARDS ARROW BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u034F",  # ;COMBINING GRAPHEME JOINER;Mn;0;NSM;;;;;N;;;;;
        "\u0350",  # ;COMBINING RIGHT ARROWHEAD ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u0351",  # ;COMBINING LEFT HALF RING ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u0352",  # ;COMBINING FERMATA;Mn;230;NSM;;;;;N;;;;;
        "\u0353",  # ;COMBINING X BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u0354",  # ;COMBINING LEFT ARROWHEAD BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u0355",  # ;COMBINING RIGHT ARROWHEAD BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u0356",  # ;COMBINING RIGHT ARROWHEAD AND UP ARROWHEAD BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u0357",  # ;COMBINING RIGHT HALF RING ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u0358",  # ;COMBINING DOT ABOVE RIGHT;Mn;232;NSM;;;;;N;;;;;
        "\u0359",  # ;COMBINING ASTERISK BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u035A",  # ;COMBINING DOUBLE RING BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u035B",  # ;COMBINING ZIGZAG ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u035C",  # ;COMBINING DOUBLE BREVE BELOW;Mn;233;NSM;;;;;N;;;;;
        "\u035D",  # ;COMBINING DOUBLE BREVE;Mn;234;NSM;;;;;N;;;;;
        "\u035E",  # ;COMBINING DOUBLE MACRON;Mn;234;NSM;;;;;N;;;;;
        "\u035F",  # ;COMBINING DOUBLE MACRON BELOW;Mn;233;NSM;;;;;N;;;;;
        "\u0360",  # ;COMBINING DOUBLE TILDE;Mn;234;NSM;;;;;N;;;;;
        "\u0361",  # ;COMBINING DOUBLE INVERTED BREVE;Mn;234;NSM;;;;;N;;;;;
        "\u0362",  # ;COMBINING DOUBLE RIGHTWARDS ARROW BELOW;Mn;233;NSM;;;;;N;;;;;
        "\u0363",  # ;COMBINING LATIN SMALL LETTER A;Mn;230;NSM;;;;;N;;;;;
        "\u0364",  # ;COMBINING LATIN SMALL LETTER E;Mn;230;NSM;;;;;N;;;;;
        "\u0365",  # ;COMBINING LATIN SMALL LETTER I;Mn;230;NSM;;;;;N;;;;;
        "\u0366",  # ;COMBINING LATIN SMALL LETTER O;Mn;230;NSM;;;;;N;;;;;
        "\u0367",  # ;COMBINING LATIN SMALL LETTER U;Mn;230;NSM;;;;;N;;;;;
        "\u0368",  # ;COMBINING LATIN SMALL LETTER C;Mn;230;NSM;;;;;N;;;;;
        "\u0369",  # ;COMBINING LATIN SMALL LETTER D;Mn;230;NSM;;;;;N;;;;;
        "\u036A",  # ;COMBINING LATIN SMALL LETTER H;Mn;230;NSM;;;;;N;;;;;
        "\u036B",  # ;COMBINING LATIN SMALL LETTER M;Mn;230;NSM;;;;;N;;;;;
        "\u036C",  # ;COMBINING LATIN SMALL LETTER R;Mn;230;NSM;;;;;N;;;;;
        "\u036D",  # ;COMBINING LATIN SMALL LETTER T;Mn;230;NSM;;;;;N;;;;;
        "\u036E",  # ;COMBINING LATIN SMALL LETTER V;Mn;230;NSM;;;;;N;;;;;
        "\u036F",  # ;COMBINING LATIN SMALL LETTER X;Mn;230;NSM;;;;;N;;;;;
        "\u0370",  # ;GREEK CAPITAL LETTER HETA;Lu;0;L;;;;;N;;;;0371;
        "\u0371",  # ;GREEK SMALL LETTER HETA;Ll;0;L;;;;;N;;;0370;;0370
        "\u0372",  # ;GREEK CAPITAL LETTER ARCHAIC SAMPI;Lu;0;L;;;;;N;;;;0373;
        "\u0373",  # ;GREEK SMALL LETTER ARCHAIC SAMPI;Ll;0;L;;;;;N;;;0372;;0372
        "\u0374",  # ;GREEK NUMERAL SIGN;Lm;0;ON;02B9;;;;N;GREEK UPPER NUMERAL SIGN;;;;
        "\u0375",  # ;GREEK LOWER NUMERAL SIGN;Sk;0;ON;;;;;N;;;;;
        "\u0376",  # ;GREEK CAPITAL LETTER PAMPHYLIAN DIGAMMA;Lu;0;L;;;;;N;;;;0377;
        "\u0377",  # ;GREEK SMALL LETTER PAMPHYLIAN DIGAMMA;Ll;0;L;;;;;N;;;0376;;0376
        "\u037A",  # ;GREEK YPOGEGRAMMENI;Lm;0;L;<compat> 0020 0345;;;;N;GREEK SPACING IOTA BELOW;;;;
        "\u037B",  # ;GREEK SMALL REVERSED LUNATE SIGMA SYMBOL;Ll;0;L;;;;;N;;;03FD;;03FD
        "\u037C",  # ;GREEK SMALL DOTTED LUNATE SIGMA SYMBOL;Ll;0;L;;;;;N;;;03FE;;03FE
        "\u037D",  # ;GREEK SMALL REVERSED DOTTED LUNATE SIGMA SYMBOL;Ll;0;L;;;;;N;;;03FF;;03FF
        "\u037E",  # ;GREEK QUESTION MARK;Po;0;ON;003B;;;;N;;;;;
        "\u037F",  # ;GREEK CAPITAL LETTER YOT;Lu;0;L;;;;;N;;;;03F3;
        "\u0384",  # ;GREEK TONOS;Sk;0;ON;<compat> 0020 0301;;;;N;GREEK SPACING TONOS;;;;
        "\u0385",  # ;GREEK DIALYTIKA TONOS;Sk;0;ON;00A8 0301;;;;N;GREEK SPACING DIAERESIS TONOS;;;;
        "\u0386",  # ;GREEK CAPITAL LETTER ALPHA WITH TONOS;Lu;0;L;0391 0301;;;;N;GREEK CAPITAL LETTER ALPHA TONOS;;;03AC;
        "\u0387",  # ;GREEK ANO TELEIA;Po;0;ON;00B7;;;;N;;;;;
        "\u0388",  # ;GREEK CAPITAL LETTER EPSILON WITH TONOS;Lu;0;L;0395 0301;;;;N;GREEK CAPITAL LETTER EPSILON TONOS;;;03AD;
        "\u0389",  # ;GREEK CAPITAL LETTER ETA WITH TONOS;Lu;0;L;0397 0301;;;;N;GREEK CAPITAL LETTER ETA TONOS;;;03AE;
        "\u038A",  # ;GREEK CAPITAL LETTER IOTA WITH TONOS;Lu;0;L;0399 0301;;;;N;GREEK CAPITAL LETTER IOTA TONOS;;;03AF;
        "\u038C",  # ;GREEK CAPITAL LETTER OMICRON WITH TONOS;Lu;0;L;039F 0301;;;;N;GREEK CAPITAL LETTER OMICRON TONOS;;;03CC;
        "\u038E",  # ;GREEK CAPITAL LETTER UPSILON WITH TONOS;Lu;0;L;03A5 0301;;;;N;GREEK CAPITAL LETTER UPSILON TONOS;;;03CD;
        "\u038F",  # ;GREEK CAPITAL LETTER OMEGA WITH TONOS;Lu;0;L;03A9 0301;;;;N;GREEK CAPITAL LETTER OMEGA TONOS;;;03CE;
        "\u0390",  # ;GREEK SMALL LETTER IOTA WITH DIALYTIKA AND TONOS;Ll;0;L;03CA 0301;;;;N;GREEK SMALL LETTER IOTA DIAERESIS TONOS;;;;
        "\u0391",  # ;GREEK CAPITAL LETTER ALPHA;Lu;0;L;;;;;N;;;;03B1;
        "\u0392",  # ;GREEK CAPITAL LETTER BETA;Lu;0;L;;;;;N;;;;03B2;
        "\u0393",  # ;GREEK CAPITAL LETTER GAMMA;Lu;0;L;;;;;N;;;;03B3;
        "\u0394",  # ;GREEK CAPITAL LETTER DELTA;Lu;0;L;;;;;N;;;;03B4;
        "\u0395",  # ;GREEK CAPITAL LETTER EPSILON;Lu;0;L;;;;;N;;;;03B5;
        "\u0396",  # ;GREEK CAPITAL LETTER ZETA;Lu;0;L;;;;;N;;;;03B6;
        "\u0397",  # ;GREEK CAPITAL LETTER ETA;Lu;0;L;;;;;N;;;;03B7;
        "\u0398",  # ;GREEK CAPITAL LETTER THETA;Lu;0;L;;;;;N;;;;03B8;
        "\u0399",  # ;GREEK CAPITAL LETTER IOTA;Lu;0;L;;;;;N;;;;03B9;
        "\u039A",  # ;GREEK CAPITAL LETTER KAPPA;Lu;0;L;;;;;N;;;;03BA;
        "\u039B",  # ;GREEK CAPITAL LETTER LAMDA;Lu;0;L;;;;;N;GREEK CAPITAL LETTER LAMBDA;;;03BB;
        "\u039C",  # ;GREEK CAPITAL LETTER MU;Lu;0;L;;;;;N;;;;03BC;
        "\u039D",  # ;GREEK CAPITAL LETTER NU;Lu;0;L;;;;;N;;;;03BD;
        "\u039E",  # ;GREEK CAPITAL LETTER XI;Lu;0;L;;;;;N;;;;03BE;
        "\u039F",  # ;GREEK CAPITAL LETTER OMICRON;Lu;0;L;;;;;N;;;;03BF;
        "\u03A0",  # ;GREEK CAPITAL LETTER PI;Lu;0;L;;;;;N;;;;03C0;
        "\u03A1",  # ;GREEK CAPITAL LETTER RHO;Lu;0;L;;;;;N;;;;03C1;
        "\u03A3",  # ;GREEK CAPITAL LETTER SIGMA;Lu;0;L;;;;;N;;;;03C3;
        "\u03A4",  # ;GREEK CAPITAL LETTER TAU;Lu;0;L;;;;;N;;;;03C4;
        "\u03A5",  # ;GREEK CAPITAL LETTER UPSILON;Lu;0;L;;;;;N;;;;03C5;
        "\u03A6",  # ;GREEK CAPITAL LETTER PHI;Lu;0;L;;;;;N;;;;03C6;
        "\u03A7",  # ;GREEK CAPITAL LETTER CHI;Lu;0;L;;;;;N;;;;03C7;
        "\u03A8",  # ;GREEK CAPITAL LETTER PSI;Lu;0;L;;;;;N;;;;03C8;
        "\u03A9",  # ;GREEK CAPITAL LETTER OMEGA;Lu;0;L;;;;;N;;;;03C9;
        "\u03AA",  # ;GREEK CAPITAL LETTER IOTA WITH DIALYTIKA;Lu;0;L;0399 0308;;;;N;GREEK CAPITAL LETTER IOTA DIAERESIS;;;03CA;
        "\u03AB",  # ;GREEK CAPITAL LETTER UPSILON WITH DIALYTIKA;Lu;0;L;03A5 0308;;;;N;GREEK CAPITAL LETTER UPSILON DIAERESIS;;;03CB;
        "\u03AC",  # ;GREEK SMALL LETTER ALPHA WITH TONOS;Ll;0;L;03B1 0301;;;;N;GREEK SMALL LETTER ALPHA TONOS;;0386;;0386
        "\u03AD",  # ;GREEK SMALL LETTER EPSILON WITH TONOS;Ll;0;L;03B5 0301;;;;N;GREEK SMALL LETTER EPSILON TONOS;;0388;;0388
        "\u03AE",  # ;GREEK SMALL LETTER ETA WITH TONOS;Ll;0;L;03B7 0301;;;;N;GREEK SMALL LETTER ETA TONOS;;0389;;0389
        "\u03AF",  # ;GREEK SMALL LETTER IOTA WITH TONOS;Ll;0;L;03B9 0301;;;;N;GREEK SMALL LETTER IOTA TONOS;;038A;;038A
        "\u03B0",  # ;GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND TONOS;Ll;0;L;03CB 0301;;;;N;GREEK SMALL LETTER UPSILON DIAERESIS TONOS;;;;
        "\u03B1",  # ;GREEK SMALL LETTER ALPHA;Ll;0;L;;;;;N;;;0391;;0391
        "\u03B2",  # ;GREEK SMALL LETTER BETA;Ll;0;L;;;;;N;;;0392;;0392
        "\u03B3",  # ;GREEK SMALL LETTER GAMMA;Ll;0;L;;;;;N;;;0393;;0393
        "\u03B4",  # ;GREEK SMALL LETTER DELTA;Ll;0;L;;;;;N;;;0394;;0394
        "\u03B5",  # ;GREEK SMALL LETTER EPSILON;Ll;0;L;;;;;N;;;0395;;0395
        "\u03B6",  # ;GREEK SMALL LETTER ZETA;Ll;0;L;;;;;N;;;0396;;0396
        "\u03B7",  # ;GREEK SMALL LETTER ETA;Ll;0;L;;;;;N;;;0397;;0397
        "\u03B8",  # ;GREEK SMALL LETTER THETA;Ll;0;L;;;;;N;;;0398;;0398
        "\u03B9",  # ;GREEK SMALL LETTER IOTA;Ll;0;L;;;;;N;;;0399;;0399
        "\u03BA",  # ;GREEK SMALL LETTER KAPPA;Ll;0;L;;;;;N;;;039A;;039A
        "\u03BB",  # ;GREEK SMALL LETTER LAMDA;Ll;0;L;;;;;N;GREEK SMALL LETTER LAMBDA;;039B;;039B
        "\u03BC",  # ;GREEK SMALL LETTER MU;Ll;0;L;;;;;N;;;039C;;039C
        "\u03BD",  # ;GREEK SMALL LETTER NU;Ll;0;L;;;;;N;;;039D;;039D
        "\u03BE",  # ;GREEK SMALL LETTER XI;Ll;0;L;;;;;N;;;039E;;039E
        "\u03BF",  # ;GREEK SMALL LETTER OMICRON;Ll;0;L;;;;;N;;;039F;;039F
        "\u03C0",  # ;GREEK SMALL LETTER PI;Ll;0;L;;;;;N;;;03A0;;03A0
        "\u03C1",  # ;GREEK SMALL LETTER RHO;Ll;0;L;;;;;N;;;03A1;;03A1
        "\u03C2",  # ;GREEK SMALL LETTER FINAL SIGMA;Ll;0;L;;;;;N;;;03A3;;03A3
        "\u03C3",  # ;GREEK SMALL LETTER SIGMA;Ll;0;L;;;;;N;;;03A3;;03A3
        "\u03C4",  # ;GREEK SMALL LETTER TAU;Ll;0;L;;;;;N;;;03A4;;03A4
        "\u03C5",  # ;GREEK SMALL LETTER UPSILON;Ll;0;L;;;;;N;;;03A5;;03A5
        "\u03C6",  # ;GREEK SMALL LETTER PHI;Ll;0;L;;;;;N;;;03A6;;03A6
        "\u03C7",  # ;GREEK SMALL LETTER CHI;Ll;0;L;;;;;N;;;03A7;;03A7
        "\u03C8",  # ;GREEK SMALL LETTER PSI;Ll;0;L;;;;;N;;;03A8;;03A8
        "\u03C9",  # ;GREEK SMALL LETTER OMEGA;Ll;0;L;;;;;N;;;03A9;;03A9
        "\u03CA",  # ;GREEK SMALL LETTER IOTA WITH DIALYTIKA;Ll;0;L;03B9 0308;;;;N;GREEK SMALL LETTER IOTA DIAERESIS;;03AA;;03AA
        "\u03CB",  # ;GREEK SMALL LETTER UPSILON WITH DIALYTIKA;Ll;0;L;03C5 0308;;;;N;GREEK SMALL LETTER UPSILON DIAERESIS;;03AB;;03AB
        "\u03CC",  # ;GREEK SMALL LETTER OMICRON WITH TONOS;Ll;0;L;03BF 0301;;;;N;GREEK SMALL LETTER OMICRON TONOS;;038C;;038C
        "\u03CD",  # ;GREEK SMALL LETTER UPSILON WITH TONOS;Ll;0;L;03C5 0301;;;;N;GREEK SMALL LETTER UPSILON TONOS;;038E;;038E
        "\u03CE",  # ;GREEK SMALL LETTER OMEGA WITH TONOS;Ll;0;L;03C9 0301;;;;N;GREEK SMALL LETTER OMEGA TONOS;;038F;;038F
        "\u03CF",  # ;GREEK CAPITAL KAI SYMBOL;Lu;0;L;;;;;N;;;;03D7;
        "\u03D0",  # ;GREEK BETA SYMBOL;Ll;0;L;<compat> 03B2;;;;N;GREEK SMALL LETTER CURLED BETA;;0392;;0392
        "\u03D1",  # ;GREEK THETA SYMBOL;Ll;0;L;<compat> 03B8;;;;N;GREEK SMALL LETTER SCRIPT THETA;;0398;;0398
        "\u03D2",  # ;GREEK UPSILON WITH HOOK SYMBOL;Lu;0;L;<compat> 03A5;;;;N;GREEK CAPITAL LETTER UPSILON HOOK;;;;
        "\u03D3",  # ;GREEK UPSILON WITH ACUTE AND HOOK SYMBOL;Lu;0;L;03D2 0301;;;;N;GREEK CAPITAL LETTER UPSILON HOOK TONOS;;;;
        "\u03D4",  # ;GREEK UPSILON WITH DIAERESIS AND HOOK SYMBOL;Lu;0;L;03D2 0308;;;;N;GREEK CAPITAL LETTER UPSILON HOOK DIAERESIS;;;;
        "\u03D5",  # ;GREEK PHI SYMBOL;Ll;0;L;<compat> 03C6;;;;N;GREEK SMALL LETTER SCRIPT PHI;;03A6;;03A6
        "\u03D6",  # ;GREEK PI SYMBOL;Ll;0;L;<compat> 03C0;;;;N;GREEK SMALL LETTER OMEGA PI;;03A0;;03A0
        "\u03D7",  # ;GREEK KAI SYMBOL;Ll;0;L;;;;;N;;;03CF;;03CF
        "\u03D8",  # ;GREEK LETTER ARCHAIC KOPPA;Lu;0;L;;;;;N;;;;03D9;
        "\u03D9",  # ;GREEK SMALL LETTER ARCHAIC KOPPA;Ll;0;L;;;;;N;;;03D8;;03D8
        "\u03DA",  # ;GREEK LETTER STIGMA;Lu;0;L;;;;;N;GREEK CAPITAL LETTER STIGMA;;;03DB;
        "\u03DB",  # ;GREEK SMALL LETTER STIGMA;Ll;0;L;;;;;N;;;03DA;;03DA
        "\u03DC",  # ;GREEK LETTER DIGAMMA;Lu;0;L;;;;;N;GREEK CAPITAL LETTER DIGAMMA;;;03DD;
        "\u03DD",  # ;GREEK SMALL LETTER DIGAMMA;Ll;0;L;;;;;N;;;03DC;;03DC
        "\u03DE",  # ;GREEK LETTER KOPPA;Lu;0;L;;;;;N;GREEK CAPITAL LETTER KOPPA;;;03DF;
        "\u03DF",  # ;GREEK SMALL LETTER KOPPA;Ll;0;L;;;;;N;;;03DE;;03DE
        "\u03E0",  # ;GREEK LETTER SAMPI;Lu;0;L;;;;;N;GREEK CAPITAL LETTER SAMPI;;;03E1;
        "\u03E1",  # ;GREEK SMALL LETTER SAMPI;Ll;0;L;;;;;N;;;03E0;;03E0
        "\u03E2",  # ;COPTIC CAPITAL LETTER SHEI;Lu;0;L;;;;;N;GREEK CAPITAL LETTER SHEI;;;03E3;
        "\u03E3",  # ;COPTIC SMALL LETTER SHEI;Ll;0;L;;;;;N;GREEK SMALL LETTER SHEI;;03E2;;03E2
        "\u03E4",  # ;COPTIC CAPITAL LETTER FEI;Lu;0;L;;;;;N;GREEK CAPITAL LETTER FEI;;;03E5;
        "\u03E5",  # ;COPTIC SMALL LETTER FEI;Ll;0;L;;;;;N;GREEK SMALL LETTER FEI;;03E4;;03E4
        "\u03E6",  # ;COPTIC CAPITAL LETTER KHEI;Lu;0;L;;;;;N;GREEK CAPITAL LETTER KHEI;;;03E7;
        "\u03E7",  # ;COPTIC SMALL LETTER KHEI;Ll;0;L;;;;;N;GREEK SMALL LETTER KHEI;;03E6;;03E6
        "\u03E8",  # ;COPTIC CAPITAL LETTER HORI;Lu;0;L;;;;;N;GREEK CAPITAL LETTER HORI;;;03E9;
        "\u03E9",  # ;COPTIC SMALL LETTER HORI;Ll;0;L;;;;;N;GREEK SMALL LETTER HORI;;03E8;;03E8
        "\u03EA",  # ;COPTIC CAPITAL LETTER GANGIA;Lu;0;L;;;;;N;GREEK CAPITAL LETTER GANGIA;;;03EB;
        "\u03EB",  # ;COPTIC SMALL LETTER GANGIA;Ll;0;L;;;;;N;GREEK SMALL LETTER GANGIA;;03EA;;03EA
        "\u03EC",  # ;COPTIC CAPITAL LETTER SHIMA;Lu;0;L;;;;;N;GREEK CAPITAL LETTER SHIMA;;;03ED;
        "\u03ED",  # ;COPTIC SMALL LETTER SHIMA;Ll;0;L;;;;;N;GREEK SMALL LETTER SHIMA;;03EC;;03EC
        "\u03EE",  # ;COPTIC CAPITAL LETTER DEI;Lu;0;L;;;;;N;GREEK CAPITAL LETTER DEI;;;03EF;
        "\u03EF",  # ;COPTIC SMALL LETTER DEI;Ll;0;L;;;;;N;GREEK SMALL LETTER DEI;;03EE;;03EE
        "\u03F0",  # ;GREEK KAPPA SYMBOL;Ll;0;L;<compat> 03BA;;;;N;GREEK SMALL LETTER SCRIPT KAPPA;;039A;;039A
        "\u03F1",  # ;GREEK RHO SYMBOL;Ll;0;L;<compat> 03C1;;;;N;GREEK SMALL LETTER TAILED RHO;;03A1;;03A1
        "\u03F2",  # ;GREEK LUNATE SIGMA SYMBOL;Ll;0;L;<compat> 03C2;;;;N;GREEK SMALL LETTER LUNATE SIGMA;;03F9;;03F9
        "\u03F3",  # ;GREEK LETTER YOT;Ll;0;L;;;;;N;;;037F;;037F
        "\u03F4",  # ;GREEK CAPITAL THETA SYMBOL;Lu;0;L;<compat> 0398;;;;N;;;;03B8;
        "\u03F5",  # ;GREEK LUNATE EPSILON SYMBOL;Ll;0;L;<compat> 03B5;;;;N;;;0395;;0395
        "\u03F6",  # ;GREEK REVERSED LUNATE EPSILON SYMBOL;Sm;0;ON;;;;;N;;;;;
        "\u03F7",  # ;GREEK CAPITAL LETTER SHO;Lu;0;L;;;;;N;;;;03F8;
        "\u03F8",  # ;GREEK SMALL LETTER SHO;Ll;0;L;;;;;N;;;03F7;;03F7
        "\u03F9",  # ;GREEK CAPITAL LUNATE SIGMA SYMBOL;Lu;0;L;<compat> 03A3;;;;N;;;;03F2;
        "\u03FA",  # ;GREEK CAPITAL LETTER SAN;Lu;0;L;;;;;N;;;;03FB;
        "\u03FB",  # ;GREEK SMALL LETTER SAN;Ll;0;L;;;;;N;;;03FA;;03FA
        "\u03FC",  # ;GREEK RHO WITH STROKE SYMBOL;Ll;0;L;;;;;N;;;;;
        "\u03FD",  # ;GREEK CAPITAL REVERSED LUNATE SIGMA SYMBOL;Lu;0;L;;;;;N;;;;037B;
        "\u03FE",  # ;GREEK CAPITAL DOTTED LUNATE SIGMA SYMBOL;Lu;0;L;;;;;N;;;;037C;
        "\u03FF",  # ;GREEK CAPITAL REVERSED DOTTED LUNATE SIGMA SYMBOL;Lu;0;L;;;;;N;;;;037D;
        "\u0400",  # ;CYRILLIC CAPITAL LETTER IE WITH GRAVE;Lu;0;L;0415 0300;;;;N;;;;0450;
        "\u0401",  # ;CYRILLIC CAPITAL LETTER IO;Lu;0;L;0415 0308;;;;N;;;;0451;
        "\u0402",  # ;CYRILLIC CAPITAL LETTER DJE;Lu;0;L;;;;;N;;;;0452;
        "\u0403",  # ;CYRILLIC CAPITAL LETTER GJE;Lu;0;L;0413 0301;;;;N;;;;0453;
        "\u0404",  # ;CYRILLIC CAPITAL LETTER UKRAINIAN IE;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER E;;;0454;
        "\u0405",  # ;CYRILLIC CAPITAL LETTER DZE;Lu;0;L;;;;;N;;;;0455;
        "\u0406",  # ;CYRILLIC CAPITAL LETTER BYELORUSSIAN-UKRAINIAN I;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER I;;;0456;
        "\u0407",  # ;CYRILLIC CAPITAL LETTER YI;Lu;0;L;0406 0308;;;;N;;;;0457;
        "\u0408",  # ;CYRILLIC CAPITAL LETTER JE;Lu;0;L;;;;;N;;;;0458;
        "\u0409",  # ;CYRILLIC CAPITAL LETTER LJE;Lu;0;L;;;;;N;;;;0459;
        "\u040A",  # ;CYRILLIC CAPITAL LETTER NJE;Lu;0;L;;;;;N;;;;045A;
        "\u040B",  # ;CYRILLIC CAPITAL LETTER TSHE;Lu;0;L;;;;;N;;;;045B;
        "\u040C",  # ;CYRILLIC CAPITAL LETTER KJE;Lu;0;L;041A 0301;;;;N;;;;045C;
        "\u040D",  # ;CYRILLIC CAPITAL LETTER I WITH GRAVE;Lu;0;L;0418 0300;;;;N;;;;045D;
        "\u040E",  # ;CYRILLIC CAPITAL LETTER SHORT U;Lu;0;L;0423 0306;;;;N;;;;045E;
        "\u040F",  # ;CYRILLIC CAPITAL LETTER DZHE;Lu;0;L;;;;;N;;;;045F;
        "\u0410",  # ;CYRILLIC CAPITAL LETTER A;Lu;0;L;;;;;N;;;;0430;
        "\u0411",  # ;CYRILLIC CAPITAL LETTER BE;Lu;0;L;;;;;N;;;;0431;
        "\u0412",  # ;CYRILLIC CAPITAL LETTER VE;Lu;0;L;;;;;N;;;;0432;
        "\u0413",  # ;CYRILLIC CAPITAL LETTER GHE;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER GE;;;0433;
        "\u0414",  # ;CYRILLIC CAPITAL LETTER DE;Lu;0;L;;;;;N;;;;0434;
        "\u0415",  # ;CYRILLIC CAPITAL LETTER IE;Lu;0;L;;;;;N;;;;0435;
        "\u0416",  # ;CYRILLIC CAPITAL LETTER ZHE;Lu;0;L;;;;;N;;;;0436;
        "\u0417",  # ;CYRILLIC CAPITAL LETTER ZE;Lu;0;L;;;;;N;;;;0437;
        "\u0418",  # ;CYRILLIC CAPITAL LETTER I;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER II;;;0438;
        "\u0419",  # ;CYRILLIC CAPITAL LETTER SHORT I;Lu;0;L;0418 0306;;;;N;CYRILLIC CAPITAL LETTER SHORT II;;;0439;
        "\u041A",  # ;CYRILLIC CAPITAL LETTER KA;Lu;0;L;;;;;N;;;;043A;
        "\u041B",  # ;CYRILLIC CAPITAL LETTER EL;Lu;0;L;;;;;N;;;;043B;
        "\u041C",  # ;CYRILLIC CAPITAL LETTER EM;Lu;0;L;;;;;N;;;;043C;
        "\u041D",  # ;CYRILLIC CAPITAL LETTER EN;Lu;0;L;;;;;N;;;;043D;
        "\u041E",  # ;CYRILLIC CAPITAL LETTER O;Lu;0;L;;;;;N;;;;043E;
        "\u041F",  # ;CYRILLIC CAPITAL LETTER PE;Lu;0;L;;;;;N;;;;043F;
        "\u0420",  # ;CYRILLIC CAPITAL LETTER ER;Lu;0;L;;;;;N;;;;0440;
        "\u0421",  # ;CYRILLIC CAPITAL LETTER ES;Lu;0;L;;;;;N;;;;0441;
        "\u0422",  # ;CYRILLIC CAPITAL LETTER TE;Lu;0;L;;;;;N;;;;0442;
        "\u0423",  # ;CYRILLIC CAPITAL LETTER U;Lu;0;L;;;;;N;;;;0443;
        "\u0424",  # ;CYRILLIC CAPITAL LETTER EF;Lu;0;L;;;;;N;;;;0444;
        "\u0425",  # ;CYRILLIC CAPITAL LETTER HA;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER KHA;;;0445;
        "\u0426",  # ;CYRILLIC CAPITAL LETTER TSE;Lu;0;L;;;;;N;;;;0446;
        "\u0427",  # ;CYRILLIC CAPITAL LETTER CHE;Lu;0;L;;;;;N;;;;0447;
        "\u0428",  # ;CYRILLIC CAPITAL LETTER SHA;Lu;0;L;;;;;N;;;;0448;
        "\u0429",  # ;CYRILLIC CAPITAL LETTER SHCHA;Lu;0;L;;;;;N;;;;0449;
        "\u042A",  # ;CYRILLIC CAPITAL LETTER HARD SIGN;Lu;0;L;;;;;N;;;;044A;
        "\u042B",  # ;CYRILLIC CAPITAL LETTER YERU;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER YERI;;;044B;
        "\u042C",  # ;CYRILLIC CAPITAL LETTER SOFT SIGN;Lu;0;L;;;;;N;;;;044C;
        "\u042D",  # ;CYRILLIC CAPITAL LETTER E;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER REVERSED E;;;044D;
        "\u042E",  # ;CYRILLIC CAPITAL LETTER YU;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER IU;;;044E;
        "\u042F",  # ;CYRILLIC CAPITAL LETTER YA;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER IA;;;044F;
        "\u0430",  # ;CYRILLIC SMALL LETTER A;Ll;0;L;;;;;N;;;0410;;0410
        "\u0431",  # ;CYRILLIC SMALL LETTER BE;Ll;0;L;;;;;N;;;0411;;0411
        "\u0432",  # ;CYRILLIC SMALL LETTER VE;Ll;0;L;;;;;N;;;0412;;0412
        "\u0433",  # ;CYRILLIC SMALL LETTER GHE;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER GE;;0413;;0413
        "\u0434",  # ;CYRILLIC SMALL LETTER DE;Ll;0;L;;;;;N;;;0414;;0414
        "\u0435",  # ;CYRILLIC SMALL LETTER IE;Ll;0;L;;;;;N;;;0415;;0415
        "\u0436",  # ;CYRILLIC SMALL LETTER ZHE;Ll;0;L;;;;;N;;;0416;;0416
        "\u0437",  # ;CYRILLIC SMALL LETTER ZE;Ll;0;L;;;;;N;;;0417;;0417
        "\u0438",  # ;CYRILLIC SMALL LETTER I;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER II;;0418;;0418
        "\u0439",  # ;CYRILLIC SMALL LETTER SHORT I;Ll;0;L;0438 0306;;;;N;CYRILLIC SMALL LETTER SHORT II;;0419;;0419
        "\u043A",  # ;CYRILLIC SMALL LETTER KA;Ll;0;L;;;;;N;;;041A;;041A
        "\u043B",  # ;CYRILLIC SMALL LETTER EL;Ll;0;L;;;;;N;;;041B;;041B
        "\u043C",  # ;CYRILLIC SMALL LETTER EM;Ll;0;L;;;;;N;;;041C;;041C
        "\u043D",  # ;CYRILLIC SMALL LETTER EN;Ll;0;L;;;;;N;;;041D;;041D
        "\u043E",  # ;CYRILLIC SMALL LETTER O;Ll;0;L;;;;;N;;;041E;;041E
        "\u043F",  # ;CYRILLIC SMALL LETTER PE;Ll;0;L;;;;;N;;;041F;;041F
        "\u0440",  # ;CYRILLIC SMALL LETTER ER;Ll;0;L;;;;;N;;;0420;;0420
        "\u0441",  # ;CYRILLIC SMALL LETTER ES;Ll;0;L;;;;;N;;;0421;;0421
        "\u0442",  # ;CYRILLIC SMALL LETTER TE;Ll;0;L;;;;;N;;;0422;;0422
        "\u0443",  # ;CYRILLIC SMALL LETTER U;Ll;0;L;;;;;N;;;0423;;0423
        "\u0444",  # ;CYRILLIC SMALL LETTER EF;Ll;0;L;;;;;N;;;0424;;0424
        "\u0445",  # ;CYRILLIC SMALL LETTER HA;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER KHA;;0425;;0425
        "\u0446",  # ;CYRILLIC SMALL LETTER TSE;Ll;0;L;;;;;N;;;0426;;0426
        "\u0447",  # ;CYRILLIC SMALL LETTER CHE;Ll;0;L;;;;;N;;;0427;;0427
        "\u0448",  # ;CYRILLIC SMALL LETTER SHA;Ll;0;L;;;;;N;;;0428;;0428
        "\u0449",  # ;CYRILLIC SMALL LETTER SHCHA;Ll;0;L;;;;;N;;;0429;;0429
        "\u044A",  # ;CYRILLIC SMALL LETTER HARD SIGN;Ll;0;L;;;;;N;;;042A;;042A
        "\u044B",  # ;CYRILLIC SMALL LETTER YERU;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER YERI;;042B;;042B
        "\u044C",  # ;CYRILLIC SMALL LETTER SOFT SIGN;Ll;0;L;;;;;N;;;042C;;042C
        "\u044D",  # ;CYRILLIC SMALL LETTER E;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER REVERSED E;;042D;;042D
        "\u044E",  # ;CYRILLIC SMALL LETTER YU;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER IU;;042E;;042E
        "\u044F",  # ;CYRILLIC SMALL LETTER YA;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER IA;;042F;;042F
        "\u0450",  # ;CYRILLIC SMALL LETTER IE WITH GRAVE;Ll;0;L;0435 0300;;;;N;;;0400;;0400
        "\u0451",  # ;CYRILLIC SMALL LETTER IO;Ll;0;L;0435 0308;;;;N;;;0401;;0401
        "\u0452",  # ;CYRILLIC SMALL LETTER DJE;Ll;0;L;;;;;N;;;0402;;0402
        "\u0453",  # ;CYRILLIC SMALL LETTER GJE;Ll;0;L;0433 0301;;;;N;;;0403;;0403
        "\u0454",  # ;CYRILLIC SMALL LETTER UKRAINIAN IE;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER E;;0404;;0404
        "\u0455",  # ;CYRILLIC SMALL LETTER DZE;Ll;0;L;;;;;N;;;0405;;0405
        "\u0456",  # ;CYRILLIC SMALL LETTER BYELORUSSIAN-UKRAINIAN I;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER I;;0406;;0406
        "\u0457",  # ;CYRILLIC SMALL LETTER YI;Ll;0;L;0456 0308;;;;N;;;0407;;0407
        "\u0458",  # ;CYRILLIC SMALL LETTER JE;Ll;0;L;;;;;N;;;0408;;0408
        "\u0459",  # ;CYRILLIC SMALL LETTER LJE;Ll;0;L;;;;;N;;;0409;;0409
        "\u045A",  # ;CYRILLIC SMALL LETTER NJE;Ll;0;L;;;;;N;;;040A;;040A
        "\u045B",  # ;CYRILLIC SMALL LETTER TSHE;Ll;0;L;;;;;N;;;040B;;040B
        "\u045C",  # ;CYRILLIC SMALL LETTER KJE;Ll;0;L;043A 0301;;;;N;;;040C;;040C
        "\u045D",  # ;CYRILLIC SMALL LETTER I WITH GRAVE;Ll;0;L;0438 0300;;;;N;;;040D;;040D
        "\u045E",  # ;CYRILLIC SMALL LETTER SHORT U;Ll;0;L;0443 0306;;;;N;;;040E;;040E
        "\u045F",  # ;CYRILLIC SMALL LETTER DZHE;Ll;0;L;;;;;N;;;040F;;040F
        "\u0460",  # ;CYRILLIC CAPITAL LETTER OMEGA;Lu;0;L;;;;;N;;;;0461;
        "\u0461",  # ;CYRILLIC SMALL LETTER OMEGA;Ll;0;L;;;;;N;;;0460;;0460
        "\u0462",  # ;CYRILLIC CAPITAL LETTER YAT;Lu;0;L;;;;;N;;;;0463;
        "\u0463",  # ;CYRILLIC SMALL LETTER YAT;Ll;0;L;;;;;N;;;0462;;0462
        "\u0464",  # ;CYRILLIC CAPITAL LETTER IOTIFIED E;Lu;0;L;;;;;N;;;;0465;
        "\u0465",  # ;CYRILLIC SMALL LETTER IOTIFIED E;Ll;0;L;;;;;N;;;0464;;0464
        "\u0466",  # ;CYRILLIC CAPITAL LETTER LITTLE YUS;Lu;0;L;;;;;N;;;;0467;
        "\u0467",  # ;CYRILLIC SMALL LETTER LITTLE YUS;Ll;0;L;;;;;N;;;0466;;0466
        "\u0468",  # ;CYRILLIC CAPITAL LETTER IOTIFIED LITTLE YUS;Lu;0;L;;;;;N;;;;0469;
        "\u0469",  # ;CYRILLIC SMALL LETTER IOTIFIED LITTLE YUS;Ll;0;L;;;;;N;;;0468;;0468
        "\u046A",  # ;CYRILLIC CAPITAL LETTER BIG YUS;Lu;0;L;;;;;N;;;;046B;
        "\u046B",  # ;CYRILLIC SMALL LETTER BIG YUS;Ll;0;L;;;;;N;;;046A;;046A
        "\u046C",  # ;CYRILLIC CAPITAL LETTER IOTIFIED BIG YUS;Lu;0;L;;;;;N;;;;046D;
        "\u046D",  # ;CYRILLIC SMALL LETTER IOTIFIED BIG YUS;Ll;0;L;;;;;N;;;046C;;046C
        "\u046E",  # ;CYRILLIC CAPITAL LETTER KSI;Lu;0;L;;;;;N;;;;046F;
        "\u046F",  # ;CYRILLIC SMALL LETTER KSI;Ll;0;L;;;;;N;;;046E;;046E
        "\u0470",  # ;CYRILLIC CAPITAL LETTER PSI;Lu;0;L;;;;;N;;;;0471;
        "\u0471",  # ;CYRILLIC SMALL LETTER PSI;Ll;0;L;;;;;N;;;0470;;0470
        "\u0472",  # ;CYRILLIC CAPITAL LETTER FITA;Lu;0;L;;;;;N;;;;0473;
        "\u0473",  # ;CYRILLIC SMALL LETTER FITA;Ll;0;L;;;;;N;;;0472;;0472
        "\u0474",  # ;CYRILLIC CAPITAL LETTER IZHITSA;Lu;0;L;;;;;N;;;;0475;
        "\u0475",  # ;CYRILLIC SMALL LETTER IZHITSA;Ll;0;L;;;;;N;;;0474;;0474
        "\u0476",  # ;CYRILLIC CAPITAL LETTER IZHITSA WITH DOUBLE GRAVE ACCENT;Lu;0;L;0474 030F;;;;N;CYRILLIC CAPITAL LETTER IZHITSA DOUBLE GRAVE;;;0477;
        "\u0477",  # ;CYRILLIC SMALL LETTER IZHITSA WITH DOUBLE GRAVE ACCENT;Ll;0;L;0475 030F;;;;N;CYRILLIC SMALL LETTER IZHITSA DOUBLE GRAVE;;0476;;0476
        "\u0478",  # ;CYRILLIC CAPITAL LETTER UK;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER UK DIGRAPH;;;0479;
        "\u0479",  # ;CYRILLIC SMALL LETTER UK;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER UK DIGRAPH;;0478;;0478
        "\u047A",  # ;CYRILLIC CAPITAL LETTER ROUND OMEGA;Lu;0;L;;;;;N;;;;047B;
        "\u047B",  # ;CYRILLIC SMALL LETTER ROUND OMEGA;Ll;0;L;;;;;N;;;047A;;047A
        "\u047C",  # ;CYRILLIC CAPITAL LETTER OMEGA WITH TITLO;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER OMEGA TITLO;;;047D;
        "\u047D",  # ;CYRILLIC SMALL LETTER OMEGA WITH TITLO;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER OMEGA TITLO;;047C;;047C
        "\u047E",  # ;CYRILLIC CAPITAL LETTER OT;Lu;0;L;;;;;N;;;;047F;
        "\u047F",  # ;CYRILLIC SMALL LETTER OT;Ll;0;L;;;;;N;;;047E;;047E
        "\u0480",  # ;CYRILLIC CAPITAL LETTER KOPPA;Lu;0;L;;;;;N;;;;0481;
        "\u0481",  # ;CYRILLIC SMALL LETTER KOPPA;Ll;0;L;;;;;N;;;0480;;0480
        "\u0482",  # ;CYRILLIC THOUSANDS SIGN;So;0;L;;;;;N;;;;;
        "\u0483",  # ;COMBINING CYRILLIC TITLO;Mn;230;NSM;;;;;N;CYRILLIC NON-SPACING TITLO;;;;
        "\u0484",  # ;COMBINING CYRILLIC PALATALIZATION;Mn;230;NSM;;;;;N;CYRILLIC NON-SPACING PALATALIZATION;;;;
        "\u0485",  # ;COMBINING CYRILLIC DASIA PNEUMATA;Mn;230;NSM;;;;;N;CYRILLIC NON-SPACING DASIA PNEUMATA;;;;
        "\u0486",  # ;COMBINING CYRILLIC PSILI PNEUMATA;Mn;230;NSM;;;;;N;CYRILLIC NON-SPACING PSILI PNEUMATA;;;;
        "\u0487",  # ;COMBINING CYRILLIC POKRYTIE;Mn;230;NSM;;;;;N;;;;;
        "\u0488",  # ;COMBINING CYRILLIC HUNDRED THOUSANDS SIGN;Me;0;NSM;;;;;N;;;;;
        "\u0489",  # ;COMBINING CYRILLIC MILLIONS SIGN;Me;0;NSM;;;;;N;;;;;
        "\u048A",  # ;CYRILLIC CAPITAL LETTER SHORT I WITH TAIL;Lu;0;L;;;;;N;;;;048B;
        "\u048B",  # ;CYRILLIC SMALL LETTER SHORT I WITH TAIL;Ll;0;L;;;;;N;;;048A;;048A
        "\u048C",  # ;CYRILLIC CAPITAL LETTER SEMISOFT SIGN;Lu;0;L;;;;;N;;;;048D;
        "\u048D",  # ;CYRILLIC SMALL LETTER SEMISOFT SIGN;Ll;0;L;;;;;N;;;048C;;048C
        "\u048E",  # ;CYRILLIC CAPITAL LETTER ER WITH TICK;Lu;0;L;;;;;N;;;;048F;
        "\u048F",  # ;CYRILLIC SMALL LETTER ER WITH TICK;Ll;0;L;;;;;N;;;048E;;048E
        "\u0490",  # ;CYRILLIC CAPITAL LETTER GHE WITH UPTURN;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER GE WITH UPTURN;;;0491;
        "\u0491",  # ;CYRILLIC SMALL LETTER GHE WITH UPTURN;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER GE WITH UPTURN;;0490;;0490
        "\u0492",  # ;CYRILLIC CAPITAL LETTER GHE WITH STROKE;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER GE BAR;;;0493;
        "\u0493",  # ;CYRILLIC SMALL LETTER GHE WITH STROKE;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER GE BAR;;0492;;0492
        "\u0494",  # ;CYRILLIC CAPITAL LETTER GHE WITH MIDDLE HOOK;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER GE HOOK;;;0495;
        "\u0495",  # ;CYRILLIC SMALL LETTER GHE WITH MIDDLE HOOK;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER GE HOOK;;0494;;0494
        "\u0496",  # ;CYRILLIC CAPITAL LETTER ZHE WITH DESCENDER;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER ZHE WITH RIGHT DESCENDER;;;0497;
        "\u0497",  # ;CYRILLIC SMALL LETTER ZHE WITH DESCENDER;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER ZHE WITH RIGHT DESCENDER;;0496;;0496
        "\u0498",  # ;CYRILLIC CAPITAL LETTER ZE WITH DESCENDER;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER ZE CEDILLA;;;0499;
        "\u0499",  # ;CYRILLIC SMALL LETTER ZE WITH DESCENDER;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER ZE CEDILLA;;0498;;0498
        "\u049A",  # ;CYRILLIC CAPITAL LETTER KA WITH DESCENDER;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER KA WITH RIGHT DESCENDER;;;049B;
        "\u049B",  # ;CYRILLIC SMALL LETTER KA WITH DESCENDER;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER KA WITH RIGHT DESCENDER;;049A;;049A
        "\u049C",  # ;CYRILLIC CAPITAL LETTER KA WITH VERTICAL STROKE;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER KA VERTICAL BAR;;;049D;
        "\u049D",  # ;CYRILLIC SMALL LETTER KA WITH VERTICAL STROKE;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER KA VERTICAL BAR;;049C;;049C
        "\u049E",  # ;CYRILLIC CAPITAL LETTER KA WITH STROKE;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER KA BAR;;;049F;
        "\u049F",  # ;CYRILLIC SMALL LETTER KA WITH STROKE;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER KA BAR;;049E;;049E
        "\u04A0",  # ;CYRILLIC CAPITAL LETTER BASHKIR KA;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER REVERSED GE KA;;;04A1;
        "\u04A1",  # ;CYRILLIC SMALL LETTER BASHKIR KA;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER REVERSED GE KA;;04A0;;04A0
        "\u04A2",  # ;CYRILLIC CAPITAL LETTER EN WITH DESCENDER;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER EN WITH RIGHT DESCENDER;;;04A3;
        "\u04A3",  # ;CYRILLIC SMALL LETTER EN WITH DESCENDER;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER EN WITH RIGHT DESCENDER;;04A2;;04A2
        "\u04A4",  # ;CYRILLIC CAPITAL LIGATURE EN GHE;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER EN GE;;;04A5;
        "\u04A5",  # ;CYRILLIC SMALL LIGATURE EN GHE;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER EN GE;;04A4;;04A4
        "\u04A6",  # ;CYRILLIC CAPITAL LETTER PE WITH MIDDLE HOOK;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER PE HOOK;;;04A7;
        "\u04A7",  # ;CYRILLIC SMALL LETTER PE WITH MIDDLE HOOK;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER PE HOOK;;04A6;;04A6
        "\u04A8",  # ;CYRILLIC CAPITAL LETTER ABKHASIAN HA;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER O HOOK;;;04A9;
        "\u04A9",  # ;CYRILLIC SMALL LETTER ABKHASIAN HA;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER O HOOK;;04A8;;04A8
        "\u04AA",  # ;CYRILLIC CAPITAL LETTER ES WITH DESCENDER;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER ES CEDILLA;;;04AB;
        "\u04AB",  # ;CYRILLIC SMALL LETTER ES WITH DESCENDER;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER ES CEDILLA;;04AA;;04AA
        "\u04AC",  # ;CYRILLIC CAPITAL LETTER TE WITH DESCENDER;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER TE WITH RIGHT DESCENDER;;;04AD;
        "\u04AD",  # ;CYRILLIC SMALL LETTER TE WITH DESCENDER;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER TE WITH RIGHT DESCENDER;;04AC;;04AC
        "\u04AE",  # ;CYRILLIC CAPITAL LETTER STRAIGHT U;Lu;0;L;;;;;N;;;;04AF;
        "\u04AF",  # ;CYRILLIC SMALL LETTER STRAIGHT U;Ll;0;L;;;;;N;;;04AE;;04AE
        "\u04B0",  # ;CYRILLIC CAPITAL LETTER STRAIGHT U WITH STROKE;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER STRAIGHT U BAR;;;04B1;
        "\u04B1",  # ;CYRILLIC SMALL LETTER STRAIGHT U WITH STROKE;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER STRAIGHT U BAR;;04B0;;04B0
        "\u04B2",  # ;CYRILLIC CAPITAL LETTER HA WITH DESCENDER;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER KHA WITH RIGHT DESCENDER;;;04B3;
        "\u04B3",  # ;CYRILLIC SMALL LETTER HA WITH DESCENDER;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER KHA WITH RIGHT DESCENDER;;04B2;;04B2
        "\u04B4",  # ;CYRILLIC CAPITAL LIGATURE TE TSE;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER TE TSE;;;04B5;
        "\u04B5",  # ;CYRILLIC SMALL LIGATURE TE TSE;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER TE TSE;;04B4;;04B4
        "\u04B6",  # ;CYRILLIC CAPITAL LETTER CHE WITH DESCENDER;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER CHE WITH RIGHT DESCENDER;;;04B7;
        "\u04B7",  # ;CYRILLIC SMALL LETTER CHE WITH DESCENDER;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER CHE WITH RIGHT DESCENDER;;04B6;;04B6
        "\u04B8",  # ;CYRILLIC CAPITAL LETTER CHE WITH VERTICAL STROKE;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER CHE VERTICAL BAR;;;04B9;
        "\u04B9",  # ;CYRILLIC SMALL LETTER CHE WITH VERTICAL STROKE;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER CHE VERTICAL BAR;;04B8;;04B8
        "\u04BA",  # ;CYRILLIC CAPITAL LETTER SHHA;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER H;;;04BB;
        "\u04BB",  # ;CYRILLIC SMALL LETTER SHHA;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER H;;04BA;;04BA
        "\u04BC",  # ;CYRILLIC CAPITAL LETTER ABKHASIAN CHE;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER IE HOOK;;;04BD;
        "\u04BD",  # ;CYRILLIC SMALL LETTER ABKHASIAN CHE;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER IE HOOK;;04BC;;04BC
        "\u04BE",  # ;CYRILLIC CAPITAL LETTER ABKHASIAN CHE WITH DESCENDER;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER IE HOOK OGONEK;;;04BF;
        "\u04BF",  # ;CYRILLIC SMALL LETTER ABKHASIAN CHE WITH DESCENDER;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER IE HOOK OGONEK;;04BE;;04BE
        "\u04C0",  # ;CYRILLIC LETTER PALOCHKA;Lu;0;L;;;;;N;CYRILLIC LETTER I;;;04CF;
        "\u04C1",  # ;CYRILLIC CAPITAL LETTER ZHE WITH BREVE;Lu;0;L;0416 0306;;;;N;CYRILLIC CAPITAL LETTER SHORT ZHE;;;04C2;
        "\u04C2",  # ;CYRILLIC SMALL LETTER ZHE WITH BREVE;Ll;0;L;0436 0306;;;;N;CYRILLIC SMALL LETTER SHORT ZHE;;04C1;;04C1
        "\u04C3",  # ;CYRILLIC CAPITAL LETTER KA WITH HOOK;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER KA HOOK;;;04C4;
        "\u04C4",  # ;CYRILLIC SMALL LETTER KA WITH HOOK;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER KA HOOK;;04C3;;04C3
        "\u04C5",  # ;CYRILLIC CAPITAL LETTER EL WITH TAIL;Lu;0;L;;;;;N;;;;04C6;
        "\u04C6",  # ;CYRILLIC SMALL LETTER EL WITH TAIL;Ll;0;L;;;;;N;;;04C5;;04C5
        "\u04C7",  # ;CYRILLIC CAPITAL LETTER EN WITH HOOK;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER EN HOOK;;;04C8;
        "\u04C8",  # ;CYRILLIC SMALL LETTER EN WITH HOOK;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER EN HOOK;;04C7;;04C7
        "\u04C9",  # ;CYRILLIC CAPITAL LETTER EN WITH TAIL;Lu;0;L;;;;;N;;;;04CA;
        "\u04CA",  # ;CYRILLIC SMALL LETTER EN WITH TAIL;Ll;0;L;;;;;N;;;04C9;;04C9
        "\u04CB",  # ;CYRILLIC CAPITAL LETTER KHAKASSIAN CHE;Lu;0;L;;;;;N;CYRILLIC CAPITAL LETTER CHE WITH LEFT DESCENDER;;;04CC;
        "\u04CC",  # ;CYRILLIC SMALL LETTER KHAKASSIAN CHE;Ll;0;L;;;;;N;CYRILLIC SMALL LETTER CHE WITH LEFT DESCENDER;;04CB;;04CB
        "\u04CD",  # ;CYRILLIC CAPITAL LETTER EM WITH TAIL;Lu;0;L;;;;;N;;;;04CE;
        "\u04CE",  # ;CYRILLIC SMALL LETTER EM WITH TAIL;Ll;0;L;;;;;N;;;04CD;;04CD
        "\u04CF",  # ;CYRILLIC SMALL LETTER PALOCHKA;Ll;0;L;;;;;N;;;04C0;;04C0
        "\u04D0",  # ;CYRILLIC CAPITAL LETTER A WITH BREVE;Lu;0;L;0410 0306;;;;N;;;;04D1;
        "\u04D1",  # ;CYRILLIC SMALL LETTER A WITH BREVE;Ll;0;L;0430 0306;;;;N;;;04D0;;04D0
        "\u04D2",  # ;CYRILLIC CAPITAL LETTER A WITH DIAERESIS;Lu;0;L;0410 0308;;;;N;;;;04D3;
        "\u04D3",  # ;CYRILLIC SMALL LETTER A WITH DIAERESIS;Ll;0;L;0430 0308;;;;N;;;04D2;;04D2
        "\u04D4",  # ;CYRILLIC CAPITAL LIGATURE A IE;Lu;0;L;;;;;N;;;;04D5;
        "\u04D5",  # ;CYRILLIC SMALL LIGATURE A IE;Ll;0;L;;;;;N;;;04D4;;04D4
        "\u04D6",  # ;CYRILLIC CAPITAL LETTER IE WITH BREVE;Lu;0;L;0415 0306;;;;N;;;;04D7;
        "\u04D7",  # ;CYRILLIC SMALL LETTER IE WITH BREVE;Ll;0;L;0435 0306;;;;N;;;04D6;;04D6
        "\u04D8",  # ;CYRILLIC CAPITAL LETTER SCHWA;Lu;0;L;;;;;N;;;;04D9;
        "\u04D9",  # ;CYRILLIC SMALL LETTER SCHWA;Ll;0;L;;;;;N;;;04D8;;04D8
        "\u04DA",  # ;CYRILLIC CAPITAL LETTER SCHWA WITH DIAERESIS;Lu;0;L;04D8 0308;;;;N;;;;04DB;
        "\u04DB",  # ;CYRILLIC SMALL LETTER SCHWA WITH DIAERESIS;Ll;0;L;04D9 0308;;;;N;;;04DA;;04DA
        "\u04DC",  # ;CYRILLIC CAPITAL LETTER ZHE WITH DIAERESIS;Lu;0;L;0416 0308;;;;N;;;;04DD;
        "\u04DD",  # ;CYRILLIC SMALL LETTER ZHE WITH DIAERESIS;Ll;0;L;0436 0308;;;;N;;;04DC;;04DC
        "\u04DE",  # ;CYRILLIC CAPITAL LETTER ZE WITH DIAERESIS;Lu;0;L;0417 0308;;;;N;;;;04DF;
        "\u04DF",  # ;CYRILLIC SMALL LETTER ZE WITH DIAERESIS;Ll;0;L;0437 0308;;;;N;;;04DE;;04DE
        "\u04E0",  # ;CYRILLIC CAPITAL LETTER ABKHASIAN DZE;Lu;0;L;;;;;N;;;;04E1;
        "\u04E1",  # ;CYRILLIC SMALL LETTER ABKHASIAN DZE;Ll;0;L;;;;;N;;;04E0;;04E0
        "\u04E2",  # ;CYRILLIC CAPITAL LETTER I WITH MACRON;Lu;0;L;0418 0304;;;;N;;;;04E3;
        "\u04E3",  # ;CYRILLIC SMALL LETTER I WITH MACRON;Ll;0;L;0438 0304;;;;N;;;04E2;;04E2
        "\u04E4",  # ;CYRILLIC CAPITAL LETTER I WITH DIAERESIS;Lu;0;L;0418 0308;;;;N;;;;04E5;
        "\u04E5",  # ;CYRILLIC SMALL LETTER I WITH DIAERESIS;Ll;0;L;0438 0308;;;;N;;;04E4;;04E4
        "\u04E6",  # ;CYRILLIC CAPITAL LETTER O WITH DIAERESIS;Lu;0;L;041E 0308;;;;N;;;;04E7;
        "\u04E7",  # ;CYRILLIC SMALL LETTER O WITH DIAERESIS;Ll;0;L;043E 0308;;;;N;;;04E6;;04E6
        "\u04E8",  # ;CYRILLIC CAPITAL LETTER BARRED O;Lu;0;L;;;;;N;;;;04E9;
        "\u04E9",  # ;CYRILLIC SMALL LETTER BARRED O;Ll;0;L;;;;;N;;;04E8;;04E8
        "\u04EA",  # ;CYRILLIC CAPITAL LETTER BARRED O WITH DIAERESIS;Lu;0;L;04E8 0308;;;;N;;;;04EB;
        "\u04EB",  # ;CYRILLIC SMALL LETTER BARRED O WITH DIAERESIS;Ll;0;L;04E9 0308;;;;N;;;04EA;;04EA
        "\u04EC",  # ;CYRILLIC CAPITAL LETTER E WITH DIAERESIS;Lu;0;L;042D 0308;;;;N;;;;04ED;
        "\u04ED",  # ;CYRILLIC SMALL LETTER E WITH DIAERESIS;Ll;0;L;044D 0308;;;;N;;;04EC;;04EC
        "\u04EE",  # ;CYRILLIC CAPITAL LETTER U WITH MACRON;Lu;0;L;0423 0304;;;;N;;;;04EF;
        "\u04EF",  # ;CYRILLIC SMALL LETTER U WITH MACRON;Ll;0;L;0443 0304;;;;N;;;04EE;;04EE
        "\u04F0",  # ;CYRILLIC CAPITAL LETTER U WITH DIAERESIS;Lu;0;L;0423 0308;;;;N;;;;04F1;
        "\u04F1",  # ;CYRILLIC SMALL LETTER U WITH DIAERESIS;Ll;0;L;0443 0308;;;;N;;;04F0;;04F0
        "\u04F2",  # ;CYRILLIC CAPITAL LETTER U WITH DOUBLE ACUTE;Lu;0;L;0423 030B;;;;N;;;;04F3;
        "\u04F3",  # ;CYRILLIC SMALL LETTER U WITH DOUBLE ACUTE;Ll;0;L;0443 030B;;;;N;;;04F2;;04F2
        "\u04F4",  # ;CYRILLIC CAPITAL LETTER CHE WITH DIAERESIS;Lu;0;L;0427 0308;;;;N;;;;04F5;
        "\u04F5",  # ;CYRILLIC SMALL LETTER CHE WITH DIAERESIS;Ll;0;L;0447 0308;;;;N;;;04F4;;04F4
        "\u04F6",  # ;CYRILLIC CAPITAL LETTER GHE WITH DESCENDER;Lu;0;L;;;;;N;;;;04F7;
        "\u04F7",  # ;CYRILLIC SMALL LETTER GHE WITH DESCENDER;Ll;0;L;;;;;N;;;04F6;;04F6
        "\u04F8",  # ;CYRILLIC CAPITAL LETTER YERU WITH DIAERESIS;Lu;0;L;042B 0308;;;;N;;;;04F9;
        "\u04F9",  # ;CYRILLIC SMALL LETTER YERU WITH DIAERESIS;Ll;0;L;044B 0308;;;;N;;;04F8;;04F8
        "\u04FA",  # ;CYRILLIC CAPITAL LETTER GHE WITH STROKE AND HOOK;Lu;0;L;;;;;N;;;;04FB;
        "\u04FB",  # ;CYRILLIC SMALL LETTER GHE WITH STROKE AND HOOK;Ll;0;L;;;;;N;;;04FA;;04FA
        "\u04FC",  # ;CYRILLIC CAPITAL LETTER HA WITH HOOK;Lu;0;L;;;;;N;;;;04FD;
        "\u04FD",  # ;CYRILLIC SMALL LETTER HA WITH HOOK;Ll;0;L;;;;;N;;;04FC;;04FC
        "\u04FE",  # ;CYRILLIC CAPITAL LETTER HA WITH STROKE;Lu;0;L;;;;;N;;;;04FF;
        "\u04FF",  # ;CYRILLIC SMALL LETTER HA WITH STROKE;Ll;0;L;;;;;N;;;04FE;;04FE
        "\u0500",  # ;CYRILLIC CAPITAL LETTER KOMI DE;Lu;0;L;;;;;N;;;;0501;
        "\u0501",  # ;CYRILLIC SMALL LETTER KOMI DE;Ll;0;L;;;;;N;;;0500;;0500
        "\u0502",  # ;CYRILLIC CAPITAL LETTER KOMI DJE;Lu;0;L;;;;;N;;;;0503;
        "\u0503",  # ;CYRILLIC SMALL LETTER KOMI DJE;Ll;0;L;;;;;N;;;0502;;0502
        "\u0504",  # ;CYRILLIC CAPITAL LETTER KOMI ZJE;Lu;0;L;;;;;N;;;;0505;
        "\u0505",  # ;CYRILLIC SMALL LETTER KOMI ZJE;Ll;0;L;;;;;N;;;0504;;0504
        "\u0506",  # ;CYRILLIC CAPITAL LETTER KOMI DZJE;Lu;0;L;;;;;N;;;;0507;
        "\u0507",  # ;CYRILLIC SMALL LETTER KOMI DZJE;Ll;0;L;;;;;N;;;0506;;0506
        "\u0508",  # ;CYRILLIC CAPITAL LETTER KOMI LJE;Lu;0;L;;;;;N;;;;0509;
        "\u0509",  # ;CYRILLIC SMALL LETTER KOMI LJE;Ll;0;L;;;;;N;;;0508;;0508
        "\u050A",  # ;CYRILLIC CAPITAL LETTER KOMI NJE;Lu;0;L;;;;;N;;;;050B;
        "\u050B",  # ;CYRILLIC SMALL LETTER KOMI NJE;Ll;0;L;;;;;N;;;050A;;050A
        "\u050C",  # ;CYRILLIC CAPITAL LETTER KOMI SJE;Lu;0;L;;;;;N;;;;050D;
        "\u050D",  # ;CYRILLIC SMALL LETTER KOMI SJE;Ll;0;L;;;;;N;;;050C;;050C
        "\u050E",  # ;CYRILLIC CAPITAL LETTER KOMI TJE;Lu;0;L;;;;;N;;;;050F;
        "\u050F",  # ;CYRILLIC SMALL LETTER KOMI TJE;Ll;0;L;;;;;N;;;050E;;050E
        "\u0510",  # ;CYRILLIC CAPITAL LETTER REVERSED ZE;Lu;0;L;;;;;N;;;;0511;
        "\u0511",  # ;CYRILLIC SMALL LETTER REVERSED ZE;Ll;0;L;;;;;N;;;0510;;0510
        "\u0512",  # ;CYRILLIC CAPITAL LETTER EL WITH HOOK;Lu;0;L;;;;;N;;;;0513;
        "\u0513",  # ;CYRILLIC SMALL LETTER EL WITH HOOK;Ll;0;L;;;;;N;;;0512;;0512
        "\u0514",  # ;CYRILLIC CAPITAL LETTER LHA;Lu;0;L;;;;;N;;;;0515;
        "\u0515",  # ;CYRILLIC SMALL LETTER LHA;Ll;0;L;;;;;N;;;0514;;0514
        "\u0516",  # ;CYRILLIC CAPITAL LETTER RHA;Lu;0;L;;;;;N;;;;0517;
        "\u0517",  # ;CYRILLIC SMALL LETTER RHA;Ll;0;L;;;;;N;;;0516;;0516
        "\u0518",  # ;CYRILLIC CAPITAL LETTER YAE;Lu;0;L;;;;;N;;;;0519;
        "\u0519",  # ;CYRILLIC SMALL LETTER YAE;Ll;0;L;;;;;N;;;0518;;0518
        "\u051A",  # ;CYRILLIC CAPITAL LETTER QA;Lu;0;L;;;;;N;;;;051B;
        "\u051B",  # ;CYRILLIC SMALL LETTER QA;Ll;0;L;;;;;N;;;051A;;051A
        "\u051C",  # ;CYRILLIC CAPITAL LETTER WE;Lu;0;L;;;;;N;;;;051D;
        "\u051D",  # ;CYRILLIC SMALL LETTER WE;Ll;0;L;;;;;N;;;051C;;051C
        "\u051E",  # ;CYRILLIC CAPITAL LETTER ALEUT KA;Lu;0;L;;;;;N;;;;051F;
        "\u051F",  # ;CYRILLIC SMALL LETTER ALEUT KA;Ll;0;L;;;;;N;;;051E;;051E
        "\u0520",  # ;CYRILLIC CAPITAL LETTER EL WITH MIDDLE HOOK;Lu;0;L;;;;;N;;;;0521;
        "\u0521",  # ;CYRILLIC SMALL LETTER EL WITH MIDDLE HOOK;Ll;0;L;;;;;N;;;0520;;0520
        "\u0522",  # ;CYRILLIC CAPITAL LETTER EN WITH MIDDLE HOOK;Lu;0;L;;;;;N;;;;0523;
        "\u0523",  # ;CYRILLIC SMALL LETTER EN WITH MIDDLE HOOK;Ll;0;L;;;;;N;;;0522;;0522
        "\u0524",  # ;CYRILLIC CAPITAL LETTER PE WITH DESCENDER;Lu;0;L;;;;;N;;;;0525;
        "\u0525",  # ;CYRILLIC SMALL LETTER PE WITH DESCENDER;Ll;0;L;;;;;N;;;0524;;0524
        "\u0526",  # ;CYRILLIC CAPITAL LETTER SHHA WITH DESCENDER;Lu;0;L;;;;;N;;;;0527;
        "\u0527",  # ;CYRILLIC SMALL LETTER SHHA WITH DESCENDER;Ll;0;L;;;;;N;;;0526;;0526
        "\u0528",  # ;CYRILLIC CAPITAL LETTER EN WITH LEFT HOOK;Lu;0;L;;;;;N;;;;0529;
        "\u0529",  # ;CYRILLIC SMALL LETTER EN WITH LEFT HOOK;Ll;0;L;;;;;N;;;0528;;0528
        "\u052A",  # ;CYRILLIC CAPITAL LETTER DZZHE;Lu;0;L;;;;;N;;;;052B;
        "\u052B",  # ;CYRILLIC SMALL LETTER DZZHE;Ll;0;L;;;;;N;;;052A;;052A
        "\u052C",  # ;CYRILLIC CAPITAL LETTER DCHE;Lu;0;L;;;;;N;;;;052D;
        "\u052D",  # ;CYRILLIC SMALL LETTER DCHE;Ll;0;L;;;;;N;;;052C;;052C
        "\u052E",  # ;CYRILLIC CAPITAL LETTER EL WITH DESCENDER;Lu;0;L;;;;;N;;;;052F;
        "\u052F",  # ;CYRILLIC SMALL LETTER EL WITH DESCENDER;Ll;0;L;;;;;N;;;052E;;052E
        "\u0531",  # ;ARMENIAN CAPITAL LETTER AYB;Lu;0;L;;;;;N;;;;0561;
        "\u0532",  # ;ARMENIAN CAPITAL LETTER BEN;Lu;0;L;;;;;N;;;;0562;
        "\u0533",  # ;ARMENIAN CAPITAL LETTER GIM;Lu;0;L;;;;;N;;;;0563;
        "\u0534",  # ;ARMENIAN CAPITAL LETTER DA;Lu;0;L;;;;;N;;;;0564;
        "\u0535",  # ;ARMENIAN CAPITAL LETTER ECH;Lu;0;L;;;;;N;;;;0565;
        "\u0536",  # ;ARMENIAN CAPITAL LETTER ZA;Lu;0;L;;;;;N;;;;0566;
        "\u0537",  # ;ARMENIAN CAPITAL LETTER EH;Lu;0;L;;;;;N;;;;0567;
        "\u0538",  # ;ARMENIAN CAPITAL LETTER ET;Lu;0;L;;;;;N;;;;0568;
        "\u0539",  # ;ARMENIAN CAPITAL LETTER TO;Lu;0;L;;;;;N;;;;0569;
        "\u053A",  # ;ARMENIAN CAPITAL LETTER ZHE;Lu;0;L;;;;;N;;;;056A;
        "\u053B",  # ;ARMENIAN CAPITAL LETTER INI;Lu;0;L;;;;;N;;;;056B;
        "\u053C",  # ;ARMENIAN CAPITAL LETTER LIWN;Lu;0;L;;;;;N;;;;056C;
        "\u053D",  # ;ARMENIAN CAPITAL LETTER XEH;Lu;0;L;;;;;N;;;;056D;
        "\u053E",  # ;ARMENIAN CAPITAL LETTER CA;Lu;0;L;;;;;N;;;;056E;
        "\u053F",  # ;ARMENIAN CAPITAL LETTER KEN;Lu;0;L;;;;;N;;;;056F;
        "\u0540",  # ;ARMENIAN CAPITAL LETTER HO;Lu;0;L;;;;;N;;;;0570;
        "\u0541",  # ;ARMENIAN CAPITAL LETTER JA;Lu;0;L;;;;;N;;;;0571;
        "\u0542",  # ;ARMENIAN CAPITAL LETTER GHAD;Lu;0;L;;;;;N;ARMENIAN CAPITAL LETTER LAD;;;0572;
        "\u0543",  # ;ARMENIAN CAPITAL LETTER CHEH;Lu;0;L;;;;;N;;;;0573;
        "\u0544",  # ;ARMENIAN CAPITAL LETTER MEN;Lu;0;L;;;;;N;;;;0574;
        "\u0545",  # ;ARMENIAN CAPITAL LETTER YI;Lu;0;L;;;;;N;;;;0575;
        "\u0546",  # ;ARMENIAN CAPITAL LETTER NOW;Lu;0;L;;;;;N;;;;0576;
        "\u0547",  # ;ARMENIAN CAPITAL LETTER SHA;Lu;0;L;;;;;N;;;;0577;
        "\u0548",  # ;ARMENIAN CAPITAL LETTER VO;Lu;0;L;;;;;N;;;;0578;
        "\u0549",  # ;ARMENIAN CAPITAL LETTER CHA;Lu;0;L;;;;;N;;;;0579;
        "\u054A",  # ;ARMENIAN CAPITAL LETTER PEH;Lu;0;L;;;;;N;;;;057A;
        "\u054B",  # ;ARMENIAN CAPITAL LETTER JHEH;Lu;0;L;;;;;N;;;;057B;
        "\u054C",  # ;ARMENIAN CAPITAL LETTER RA;Lu;0;L;;;;;N;;;;057C;
        "\u054D",  # ;ARMENIAN CAPITAL LETTER SEH;Lu;0;L;;;;;N;;;;057D;
        "\u054E",  # ;ARMENIAN CAPITAL LETTER VEW;Lu;0;L;;;;;N;;;;057E;
        "\u054F",  # ;ARMENIAN CAPITAL LETTER TIWN;Lu;0;L;;;;;N;;;;057F;
        "\u0550",  # ;ARMENIAN CAPITAL LETTER REH;Lu;0;L;;;;;N;;;;0580;
        "\u0551",  # ;ARMENIAN CAPITAL LETTER CO;Lu;0;L;;;;;N;;;;0581;
        "\u0552",  # ;ARMENIAN CAPITAL LETTER YIWN;Lu;0;L;;;;;N;;;;0582;
        "\u0553",  # ;ARMENIAN CAPITAL LETTER PIWR;Lu;0;L;;;;;N;;;;0583;
        "\u0554",  # ;ARMENIAN CAPITAL LETTER KEH;Lu;0;L;;;;;N;;;;0584;
        "\u0555",  # ;ARMENIAN CAPITAL LETTER OH;Lu;0;L;;;;;N;;;;0585;
        "\u0556",  # ;ARMENIAN CAPITAL LETTER FEH;Lu;0;L;;;;;N;;;;0586;
        "\u0559",  # ;ARMENIAN MODIFIER LETTER LEFT HALF RING;Lm;0;L;;;;;N;;;;;
        "\u055A",  # ;ARMENIAN APOSTROPHE;Po;0;L;;;;;N;ARMENIAN MODIFIER LETTER RIGHT HALF RING;;;;
        "\u055B",  # ;ARMENIAN EMPHASIS MARK;Po;0;L;;;;;N;;;;;
        "\u055C",  # ;ARMENIAN EXCLAMATION MARK;Po;0;L;;;;;N;;;;;
        "\u055D",  # ;ARMENIAN COMMA;Po;0;L;;;;;N;;;;;
        "\u055E",  # ;ARMENIAN QUESTION MARK;Po;0;L;;;;;N;;;;;
        "\u055F",  # ;ARMENIAN ABBREVIATION MARK;Po;0;L;;;;;N;;;;;
        "\u0561",  # ;ARMENIAN SMALL LETTER AYB;Ll;0;L;;;;;N;;;0531;;0531
        "\u0562",  # ;ARMENIAN SMALL LETTER BEN;Ll;0;L;;;;;N;;;0532;;0532
        "\u0563",  # ;ARMENIAN SMALL LETTER GIM;Ll;0;L;;;;;N;;;0533;;0533
        "\u0564",  # ;ARMENIAN SMALL LETTER DA;Ll;0;L;;;;;N;;;0534;;0534
        "\u0565",  # ;ARMENIAN SMALL LETTER ECH;Ll;0;L;;;;;N;;;0535;;0535
        "\u0566",  # ;ARMENIAN SMALL LETTER ZA;Ll;0;L;;;;;N;;;0536;;0536
        "\u0567",  # ;ARMENIAN SMALL LETTER EH;Ll;0;L;;;;;N;;;0537;;0537
        "\u0568",  # ;ARMENIAN SMALL LETTER ET;Ll;0;L;;;;;N;;;0538;;0538
        "\u0569",  # ;ARMENIAN SMALL LETTER TO;Ll;0;L;;;;;N;;;0539;;0539
        "\u056A",  # ;ARMENIAN SMALL LETTER ZHE;Ll;0;L;;;;;N;;;053A;;053A
        "\u056B",  # ;ARMENIAN SMALL LETTER INI;Ll;0;L;;;;;N;;;053B;;053B
        "\u056C",  # ;ARMENIAN SMALL LETTER LIWN;Ll;0;L;;;;;N;;;053C;;053C
        "\u056D",  # ;ARMENIAN SMALL LETTER XEH;Ll;0;L;;;;;N;;;053D;;053D
        "\u056E",  # ;ARMENIAN SMALL LETTER CA;Ll;0;L;;;;;N;;;053E;;053E
        "\u056F",  # ;ARMENIAN SMALL LETTER KEN;Ll;0;L;;;;;N;;;053F;;053F
        "\u0570",  # ;ARMENIAN SMALL LETTER HO;Ll;0;L;;;;;N;;;0540;;0540
        "\u0571",  # ;ARMENIAN SMALL LETTER JA;Ll;0;L;;;;;N;;;0541;;0541
        "\u0572",  # ;ARMENIAN SMALL LETTER GHAD;Ll;0;L;;;;;N;ARMENIAN SMALL LETTER LAD;;0542;;0542
        "\u0573",  # ;ARMENIAN SMALL LETTER CHEH;Ll;0;L;;;;;N;;;0543;;0543
        "\u0574",  # ;ARMENIAN SMALL LETTER MEN;Ll;0;L;;;;;N;;;0544;;0544
        "\u0575",  # ;ARMENIAN SMALL LETTER YI;Ll;0;L;;;;;N;;;0545;;0545
        "\u0576",  # ;ARMENIAN SMALL LETTER NOW;Ll;0;L;;;;;N;;;0546;;0546
        "\u0577",  # ;ARMENIAN SMALL LETTER SHA;Ll;0;L;;;;;N;;;0547;;0547
        "\u0578",  # ;ARMENIAN SMALL LETTER VO;Ll;0;L;;;;;N;;;0548;;0548
        "\u0579",  # ;ARMENIAN SMALL LETTER CHA;Ll;0;L;;;;;N;;;0549;;0549
        "\u057A",  # ;ARMENIAN SMALL LETTER PEH;Ll;0;L;;;;;N;;;054A;;054A
        "\u057B",  # ;ARMENIAN SMALL LETTER JHEH;Ll;0;L;;;;;N;;;054B;;054B
        "\u057C",  # ;ARMENIAN SMALL LETTER RA;Ll;0;L;;;;;N;;;054C;;054C
        "\u057D",  # ;ARMENIAN SMALL LETTER SEH;Ll;0;L;;;;;N;;;054D;;054D
        "\u057E",  # ;ARMENIAN SMALL LETTER VEW;Ll;0;L;;;;;N;;;054E;;054E
        "\u057F",  # ;ARMENIAN SMALL LETTER TIWN;Ll;0;L;;;;;N;;;054F;;054F
        "\u0580",  # ;ARMENIAN SMALL LETTER REH;Ll;0;L;;;;;N;;;0550;;0550
        "\u0581",  # ;ARMENIAN SMALL LETTER CO;Ll;0;L;;;;;N;;;0551;;0551
        "\u0582",  # ;ARMENIAN SMALL LETTER YIWN;Ll;0;L;;;;;N;;;0552;;0552
        "\u0583",  # ;ARMENIAN SMALL LETTER PIWR;Ll;0;L;;;;;N;;;0553;;0553
        "\u0584",  # ;ARMENIAN SMALL LETTER KEH;Ll;0;L;;;;;N;;;0554;;0554
        "\u0585",  # ;ARMENIAN SMALL LETTER OH;Ll;0;L;;;;;N;;;0555;;0555
        "\u0586",  # ;ARMENIAN SMALL LETTER FEH;Ll;0;L;;;;;N;;;0556;;0556
        "\u0587",  # ;ARMENIAN SMALL LIGATURE ECH YIWN;Ll;0;L;<compat> 0565 0582;;;;N;;;;;
        "\u0589",  # ;ARMENIAN FULL STOP;Po;0;L;;;;;N;ARMENIAN PERIOD;;;;
        "\u058A",  # ;ARMENIAN HYPHEN;Pd;0;ON;;;;;N;;;;;
        "\u058D",  # ;RIGHT-FACING ARMENIAN ETERNITY SIGN;So;0;ON;;;;;N;;;;;
        "\u058E",  # ;LEFT-FACING ARMENIAN ETERNITY SIGN;So;0;ON;;;;;N;;;;;
        "\u058F",  # ;ARMENIAN DRAM SIGN;Sc;0;ET;;;;;N;;;;;
        "\u0591",  # ;HEBREW ACCENT ETNAHTA;Mn;220;NSM;;;;;N;;;;;
        "\u0592",  # ;HEBREW ACCENT SEGOL;Mn;230;NSM;;;;;N;;;;;
        "\u0593",  # ;HEBREW ACCENT SHALSHELET;Mn;230;NSM;;;;;N;;;;;
        "\u0594",  # ;HEBREW ACCENT ZAQEF QATAN;Mn;230;NSM;;;;;N;;;;;
        "\u0595",  # ;HEBREW ACCENT ZAQEF GADOL;Mn;230;NSM;;;;;N;;;;;
        "\u0596",  # ;HEBREW ACCENT TIPEHA;Mn;220;NSM;;;;;N;;;;;
        "\u0597",  # ;HEBREW ACCENT REVIA;Mn;230;NSM;;;;;N;;;;;
        "\u0598",  # ;HEBREW ACCENT ZARQA;Mn;230;NSM;;;;;N;;;;;
        "\u0599",  # ;HEBREW ACCENT PASHTA;Mn;230;NSM;;;;;N;;;;;
        "\u059A",  # ;HEBREW ACCENT YETIV;Mn;222;NSM;;;;;N;;;;;
        "\u059B",  # ;HEBREW ACCENT TEVIR;Mn;220;NSM;;;;;N;;;;;
        "\u059C",  # ;HEBREW ACCENT GERESH;Mn;230;NSM;;;;;N;;;;;
        "\u059D",  # ;HEBREW ACCENT GERESH MUQDAM;Mn;230;NSM;;;;;N;;;;;
        "\u059E",  # ;HEBREW ACCENT GERSHAYIM;Mn;230;NSM;;;;;N;;;;;
        "\u059F",  # ;HEBREW ACCENT QARNEY PARA;Mn;230;NSM;;;;;N;;;;;
        "\u05A0",  # ;HEBREW ACCENT TELISHA GEDOLA;Mn;230;NSM;;;;;N;;;;;
        "\u05A1",  # ;HEBREW ACCENT PAZER;Mn;230;NSM;;;;;N;;;;;
        "\u05A2",  # ;HEBREW ACCENT ATNAH HAFUKH;Mn;220;NSM;;;;;N;;;;;
        "\u05A3",  # ;HEBREW ACCENT MUNAH;Mn;220;NSM;;;;;N;;;;;
        "\u05A4",  # ;HEBREW ACCENT MAHAPAKH;Mn;220;NSM;;;;;N;;;;;
        "\u05A5",  # ;HEBREW ACCENT MERKHA;Mn;220;NSM;;;;;N;;;;;
        "\u05A6",  # ;HEBREW ACCENT MERKHA KEFULA;Mn;220;NSM;;;;;N;;;;;
        "\u05A7",  # ;HEBREW ACCENT DARGA;Mn;220;NSM;;;;;N;;;;;
        "\u05A8",  # ;HEBREW ACCENT QADMA;Mn;230;NSM;;;;;N;;;;;
        "\u05A9",  # ;HEBREW ACCENT TELISHA QETANA;Mn;230;NSM;;;;;N;;;;;
        "\u05AA",  # ;HEBREW ACCENT YERAH BEN YOMO;Mn;220;NSM;;;;;N;;;;;
        "\u05AB",  # ;HEBREW ACCENT OLE;Mn;230;NSM;;;;;N;;;;;
        "\u05AC",  # ;HEBREW ACCENT ILUY;Mn;230;NSM;;;;;N;;;;;
        "\u05AD",  # ;HEBREW ACCENT DEHI;Mn;222;NSM;;;;;N;;;;;
        "\u05AE",  # ;HEBREW ACCENT ZINOR;Mn;228;NSM;;;;;N;;;;;
        "\u05AF",  # ;HEBREW MARK MASORA CIRCLE;Mn;230;NSM;;;;;N;;;;;
        "\u05B0",  # ;HEBREW POINT SHEVA;Mn;10;NSM;;;;;N;;;;;
        "\u05B1",  # ;HEBREW POINT HATAF SEGOL;Mn;11;NSM;;;;;N;;;;;
        "\u05B2",  # ;HEBREW POINT HATAF PATAH;Mn;12;NSM;;;;;N;;;;;
        "\u05B3",  # ;HEBREW POINT HATAF QAMATS;Mn;13;NSM;;;;;N;;;;;
        "\u05B4",  # ;HEBREW POINT HIRIQ;Mn;14;NSM;;;;;N;;;;;
        "\u05B5",  # ;HEBREW POINT TSERE;Mn;15;NSM;;;;;N;;;;;
        "\u05B6",  # ;HEBREW POINT SEGOL;Mn;16;NSM;;;;;N;;;;;
        "\u05B7",  # ;HEBREW POINT PATAH;Mn;17;NSM;;;;;N;;;;;
        "\u05B8",  # ;HEBREW POINT QAMATS;Mn;18;NSM;;;;;N;;;;;
        "\u05B9",  # ;HEBREW POINT HOLAM;Mn;19;NSM;;;;;N;;;;;
        "\u05BA",  # ;HEBREW POINT HOLAM HASER FOR VAV;Mn;19;NSM;;;;;N;;;;;
        "\u05BB",  # ;HEBREW POINT QUBUTS;Mn;20;NSM;;;;;N;;;;;
        "\u05BC",  # ;HEBREW POINT DAGESH OR MAPIQ;Mn;21;NSM;;;;;N;HEBREW POINT DAGESH;;;;
        "\u05BD",  # ;HEBREW POINT METEG;Mn;22;NSM;;;;;N;;;;;
        "\u05BE",  # ;HEBREW PUNCTUATION MAQAF;Pd;0;R;;;;;N;;;;;
        "\u05BF",  # ;HEBREW POINT RAFE;Mn;23;NSM;;;;;N;;;;;
        "\u05C0",  # ;HEBREW PUNCTUATION PASEQ;Po;0;R;;;;;N;HEBREW POINT PASEQ;;;;
        "\u05C1",  # ;HEBREW POINT SHIN DOT;Mn;24;NSM;;;;;N;;;;;
        "\u05C2",  # ;HEBREW POINT SIN DOT;Mn;25;NSM;;;;;N;;;;;
        "\u05C3",  # ;HEBREW PUNCTUATION SOF PASUQ;Po;0;R;;;;;N;;;;;
        "\u05C4",  # ;HEBREW MARK UPPER DOT;Mn;230;NSM;;;;;N;;;;;
        "\u05C5",  # ;HEBREW MARK LOWER DOT;Mn;220;NSM;;;;;N;;;;;
        "\u05C6",  # ;HEBREW PUNCTUATION NUN HAFUKHA;Po;0;R;;;;;N;;;;;
        "\u05C7",  # ;HEBREW POINT QAMATS QATAN;Mn;18;NSM;;;;;N;;;;;
        "\u05D0",  # ;HEBREW LETTER ALEF;Lo;0;R;;;;;N;;;;;
        "\u05D1",  # ;HEBREW LETTER BET;Lo;0;R;;;;;N;;;;;
        "\u05D2",  # ;HEBREW LETTER GIMEL;Lo;0;R;;;;;N;;;;;
        "\u05D3",  # ;HEBREW LETTER DALET;Lo;0;R;;;;;N;;;;;
        "\u05D4",  # ;HEBREW LETTER HE;Lo;0;R;;;;;N;;;;;
        "\u05D5",  # ;HEBREW LETTER VAV;Lo;0;R;;;;;N;;;;;
        "\u05D6",  # ;HEBREW LETTER ZAYIN;Lo;0;R;;;;;N;;;;;
        "\u05D7",  # ;HEBREW LETTER HET;Lo;0;R;;;;;N;;;;;
        "\u05D8",  # ;HEBREW LETTER TET;Lo;0;R;;;;;N;;;;;
        "\u05D9",  # ;HEBREW LETTER YOD;Lo;0;R;;;;;N;;;;;
        "\u05DA",  # ;HEBREW LETTER FINAL KAF;Lo;0;R;;;;;N;;;;;
        "\u05DB",  # ;HEBREW LETTER KAF;Lo;0;R;;;;;N;;;;;
        "\u05DC",  # ;HEBREW LETTER LAMED;Lo;0;R;;;;;N;;;;;
        "\u05DD",  # ;HEBREW LETTER FINAL MEM;Lo;0;R;;;;;N;;;;;
        "\u05DE",  # ;HEBREW LETTER MEM;Lo;0;R;;;;;N;;;;;
        "\u05DF",  # ;HEBREW LETTER FINAL NUN;Lo;0;R;;;;;N;;;;;
        "\u05E0",  # ;HEBREW LETTER NUN;Lo;0;R;;;;;N;;;;;
        "\u05E1",  # ;HEBREW LETTER SAMEKH;Lo;0;R;;;;;N;;;;;
        "\u05E2",  # ;HEBREW LETTER AYIN;Lo;0;R;;;;;N;;;;;
        "\u05E3",  # ;HEBREW LETTER FINAL PE;Lo;0;R;;;;;N;;;;;
        "\u05E4",  # ;HEBREW LETTER PE;Lo;0;R;;;;;N;;;;;
        "\u05E5",  # ;HEBREW LETTER FINAL TSADI;Lo;0;R;;;;;N;;;;;
        "\u05E6",  # ;HEBREW LETTER TSADI;Lo;0;R;;;;;N;;;;;
        "\u05E7",  # ;HEBREW LETTER QOF;Lo;0;R;;;;;N;;;;;
        "\u05E8",  # ;HEBREW LETTER RESH;Lo;0;R;;;;;N;;;;;
        "\u05E9",  # ;HEBREW LETTER SHIN;Lo;0;R;;;;;N;;;;;
        "\u05EA",  # ;HEBREW LETTER TAV;Lo;0;R;;;;;N;;;;;
        "\u05F0",  # ;HEBREW LIGATURE YIDDISH DOUBLE VAV;Lo;0;R;;;;;N;HEBREW LETTER DOUBLE VAV;;;;
        "\u05F1",  # ;HEBREW LIGATURE YIDDISH VAV YOD;Lo;0;R;;;;;N;HEBREW LETTER VAV YOD;;;;
        "\u05F2",  # ;HEBREW LIGATURE YIDDISH DOUBLE YOD;Lo;0;R;;;;;N;HEBREW LETTER DOUBLE YOD;;;;
        "\u05F3",  # ;HEBREW PUNCTUATION GERESH;Po;0;R;;;;;N;;;;;
        "\u05F4",  # ;HEBREW PUNCTUATION GERSHAYIM;Po;0;R;;;;;N;;;;;
        "\u0600",  # ;ARABIC NUMBER SIGN;Cf;0;AN;;;;;N;;;;;
        "\u0601",  # ;ARABIC SIGN SANAH;Cf;0;AN;;;;;N;;;;;
        "\u0602",  # ;ARABIC FOOTNOTE MARKER;Cf;0;AN;;;;;N;;;;;
        "\u0603",  # ;ARABIC SIGN SAFHA;Cf;0;AN;;;;;N;;;;;
        "\u0604",  # ;ARABIC SIGN SAMVAT;Cf;0;AN;;;;;N;;;;;
        "\u0605",  # ;ARABIC NUMBER MARK ABOVE;Cf;0;AN;;;;;N;;;;;
        "\u0606",  # ;ARABIC-INDIC CUBE ROOT;Sm;0;ON;;;;;N;;;;;
        "\u0607",  # ;ARABIC-INDIC FOURTH ROOT;Sm;0;ON;;;;;N;;;;;
        "\u0608",  # ;ARABIC RAY;Sm;0;AL;;;;;N;;;;;
        "\u0609",  # ;ARABIC-INDIC PER MILLE SIGN;Po;0;ET;;;;;N;;;;;
        "\u060A",  # ;ARABIC-INDIC PER TEN THOUSAND SIGN;Po;0;ET;;;;;N;;;;;
        "\u060B",  # ;AFGHANI SIGN;Sc;0;AL;;;;;N;;;;;
        "\u060C",  # ;ARABIC COMMA;Po;0;CS;;;;;N;;;;;
        "\u060D",  # ;ARABIC DATE SEPARATOR;Po;0;AL;;;;;N;;;;;
        "\u060E",  # ;ARABIC POETIC VERSE SIGN;So;0;ON;;;;;N;;;;;
        "\u060F",  # ;ARABIC SIGN MISRA;So;0;ON;;;;;N;;;;;
        "\u0610",  # ;ARABIC SIGN SALLALLAHOU ALAYHE WASSALLAM;Mn;230;NSM;;;;;N;;;;;
        "\u0611",  # ;ARABIC SIGN ALAYHE ASSALLAM;Mn;230;NSM;;;;;N;;;;;
        "\u0612",  # ;ARABIC SIGN RAHMATULLAH ALAYHE;Mn;230;NSM;;;;;N;;;;;
        "\u0613",  # ;ARABIC SIGN RADI ALLAHOU ANHU;Mn;230;NSM;;;;;N;;;;;
        "\u0614",  # ;ARABIC SIGN TAKHALLUS;Mn;230;NSM;;;;;N;;;;;
        "\u0615",  # ;ARABIC SMALL HIGH TAH;Mn;230;NSM;;;;;N;;;;;
        "\u0616",  # ;ARABIC SMALL HIGH LIGATURE ALEF WITH LAM WITH YEH;Mn;230;NSM;;;;;N;;;;;
        "\u0617",  # ;ARABIC SMALL HIGH ZAIN;Mn;230;NSM;;;;;N;;;;;
        "\u0618",  # ;ARABIC SMALL FATHA;Mn;30;NSM;;;;;N;;;;;
        "\u0619",  # ;ARABIC SMALL DAMMA;Mn;31;NSM;;;;;N;;;;;
        "\u061A",  # ;ARABIC SMALL KASRA;Mn;32;NSM;;;;;N;;;;;
        "\u061B",  # ;ARABIC SEMICOLON;Po;0;AL;;;;;N;;;;;
        "\u061C",  # ;ARABIC LETTER MARK;Cf;0;AL;;;;;N;;;;;
        "\u061E",  # ;ARABIC TRIPLE DOT PUNCTUATION MARK;Po;0;AL;;;;;N;;;;;
        "\u061F",  # ;ARABIC QUESTION MARK;Po;0;AL;;;;;N;;;;;
        "\u0620",  # ;ARABIC LETTER KASHMIRI YEH;Lo;0;AL;;;;;N;;;;;
        "\u0621",  # ;ARABIC LETTER HAMZA;Lo;0;AL;;;;;N;ARABIC LETTER HAMZAH;;;;
        "\u0622",  # ;ARABIC LETTER ALEF WITH MADDA ABOVE;Lo;0;AL;0627 0653;;;;N;ARABIC LETTER MADDAH ON ALEF;;;;
        "\u0623",  # ;ARABIC LETTER ALEF WITH HAMZA ABOVE;Lo;0;AL;0627 0654;;;;N;ARABIC LETTER HAMZAH ON ALEF;;;;
        "\u0624",  # ;ARABIC LETTER WAW WITH HAMZA ABOVE;Lo;0;AL;0648 0654;;;;N;ARABIC LETTER HAMZAH ON WAW;;;;
        "\u0625",  # ;ARABIC LETTER ALEF WITH HAMZA BELOW;Lo;0;AL;0627 0655;;;;N;ARABIC LETTER HAMZAH UNDER ALEF;;;;
        "\u0626",  # ;ARABIC LETTER YEH WITH HAMZA ABOVE;Lo;0;AL;064A 0654;;;;N;ARABIC LETTER HAMZAH ON YA;;;;
        "\u0627",  # ;ARABIC LETTER ALEF;Lo;0;AL;;;;;N;;;;;
        "\u0628",  # ;ARABIC LETTER BEH;Lo;0;AL;;;;;N;ARABIC LETTER BAA;;;;
        "\u0629",  # ;ARABIC LETTER TEH MARBUTA;Lo;0;AL;;;;;N;ARABIC LETTER TAA MARBUTAH;;;;
        "\u062A",  # ;ARABIC LETTER TEH;Lo;0;AL;;;;;N;ARABIC LETTER TAA;;;;
        "\u062B",  # ;ARABIC LETTER THEH;Lo;0;AL;;;;;N;ARABIC LETTER THAA;;;;
        "\u062C",  # ;ARABIC LETTER JEEM;Lo;0;AL;;;;;N;;;;;
        "\u062D",  # ;ARABIC LETTER HAH;Lo;0;AL;;;;;N;ARABIC LETTER HAA;;;;
        "\u062E",  # ;ARABIC LETTER KHAH;Lo;0;AL;;;;;N;ARABIC LETTER KHAA;;;;
        "\u062F",  # ;ARABIC LETTER DAL;Lo;0;AL;;;;;N;;;;;
        "\u0630",  # ;ARABIC LETTER THAL;Lo;0;AL;;;;;N;;;;;
        "\u0631",  # ;ARABIC LETTER REH;Lo;0;AL;;;;;N;ARABIC LETTER RA;;;;
        "\u0632",  # ;ARABIC LETTER ZAIN;Lo;0;AL;;;;;N;;;;;
        "\u0633",  # ;ARABIC LETTER SEEN;Lo;0;AL;;;;;N;;;;;
        "\u0634",  # ;ARABIC LETTER SHEEN;Lo;0;AL;;;;;N;;;;;
        "\u0635",  # ;ARABIC LETTER SAD;Lo;0;AL;;;;;N;;;;;
        "\u0636",  # ;ARABIC LETTER DAD;Lo;0;AL;;;;;N;;;;;
        "\u0637",  # ;ARABIC LETTER TAH;Lo;0;AL;;;;;N;;;;;
        "\u0638",  # ;ARABIC LETTER ZAH;Lo;0;AL;;;;;N;ARABIC LETTER DHAH;;;;
        "\u0639",  # ;ARABIC LETTER AIN;Lo;0;AL;;;;;N;;;;;
        "\u063A",  # ;ARABIC LETTER GHAIN;Lo;0;AL;;;;;N;;;;;
        "\u063B",  # ;ARABIC LETTER KEHEH WITH TWO DOTS ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u063C",  # ;ARABIC LETTER KEHEH WITH THREE DOTS BELOW;Lo;0;AL;;;;;N;;;;;
        "\u063D",  # ;ARABIC LETTER FARSI YEH WITH INVERTED V;Lo;0;AL;;;;;N;;;;;
        "\u063E",  # ;ARABIC LETTER FARSI YEH WITH TWO DOTS ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u063F",  # ;ARABIC LETTER FARSI YEH WITH THREE DOTS ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u0640",  # ;ARABIC TATWEEL;Lm;0;AL;;;;;N;;;;;
        "\u0641",  # ;ARABIC LETTER FEH;Lo;0;AL;;;;;N;ARABIC LETTER FA;;;;
        "\u0642",  # ;ARABIC LETTER QAF;Lo;0;AL;;;;;N;;;;;
        "\u0643",  # ;ARABIC LETTER KAF;Lo;0;AL;;;;;N;ARABIC LETTER CAF;;;;
        "\u0644",  # ;ARABIC LETTER LAM;Lo;0;AL;;;;;N;;;;;
        "\u0645",  # ;ARABIC LETTER MEEM;Lo;0;AL;;;;;N;;;;;
        "\u0646",  # ;ARABIC LETTER NOON;Lo;0;AL;;;;;N;;;;;
        "\u0647",  # ;ARABIC LETTER HEH;Lo;0;AL;;;;;N;ARABIC LETTER HA;;;;
        "\u0648",  # ;ARABIC LETTER WAW;Lo;0;AL;;;;;N;;;;;
        "\u0649",  # ;ARABIC LETTER ALEF MAKSURA;Lo;0;AL;;;;;N;ARABIC LETTER ALEF MAQSURAH;;;;
        "\u064A",  # ;ARABIC LETTER YEH;Lo;0;AL;;;;;N;ARABIC LETTER YA;;;;
        "\u064B",  # ;ARABIC FATHATAN;Mn;27;NSM;;;;;N;;;;;
        "\u064C",  # ;ARABIC DAMMATAN;Mn;28;NSM;;;;;N;;;;;
        "\u064D",  # ;ARABIC KASRATAN;Mn;29;NSM;;;;;N;;;;;
        "\u064E",  # ;ARABIC FATHA;Mn;30;NSM;;;;;N;ARABIC FATHAH;;;;
        "\u064F",  # ;ARABIC DAMMA;Mn;31;NSM;;;;;N;ARABIC DAMMAH;;;;
        "\u0650",  # ;ARABIC KASRA;Mn;32;NSM;;;;;N;ARABIC KASRAH;;;;
        "\u0651",  # ;ARABIC SHADDA;Mn;33;NSM;;;;;N;ARABIC SHADDAH;;;;
        "\u0652",  # ;ARABIC SUKUN;Mn;34;NSM;;;;;N;;;;;
        "\u0653",  # ;ARABIC MADDAH ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u0654",  # ;ARABIC HAMZA ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u0655",  # ;ARABIC HAMZA BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u0656",  # ;ARABIC SUBSCRIPT ALEF;Mn;220;NSM;;;;;N;;;;;
        "\u0657",  # ;ARABIC INVERTED DAMMA;Mn;230;NSM;;;;;N;;;;;
        "\u0658",  # ;ARABIC MARK NOON GHUNNA;Mn;230;NSM;;;;;N;;;;;
        "\u0659",  # ;ARABIC ZWARAKAY;Mn;230;NSM;;;;;N;;;;;
        "\u065A",  # ;ARABIC VOWEL SIGN SMALL V ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u065B",  # ;ARABIC VOWEL SIGN INVERTED SMALL V ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u065C",  # ;ARABIC VOWEL SIGN DOT BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u065D",  # ;ARABIC REVERSED DAMMA;Mn;230;NSM;;;;;N;;;;;
        "\u065E",  # ;ARABIC FATHA WITH TWO DOTS;Mn;230;NSM;;;;;N;;;;;
        "\u065F",  # ;ARABIC WAVY HAMZA BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u0660",  # ;ARABIC-INDIC DIGIT ZERO;Nd;0;AN;;0;0;0;N;;;;;
        "\u0661",  # ;ARABIC-INDIC DIGIT ONE;Nd;0;AN;;1;1;1;N;;;;;
        "\u0662",  # ;ARABIC-INDIC DIGIT TWO;Nd;0;AN;;2;2;2;N;;;;;
        "\u0663",  # ;ARABIC-INDIC DIGIT THREE;Nd;0;AN;;3;3;3;N;;;;;
        "\u0664",  # ;ARABIC-INDIC DIGIT FOUR;Nd;0;AN;;4;4;4;N;;;;;
        "\u0665",  # ;ARABIC-INDIC DIGIT FIVE;Nd;0;AN;;5;5;5;N;;;;;
        "\u0666",  # ;ARABIC-INDIC DIGIT SIX;Nd;0;AN;;6;6;6;N;;;;;
        "\u0667",  # ;ARABIC-INDIC DIGIT SEVEN;Nd;0;AN;;7;7;7;N;;;;;
        "\u0668",  # ;ARABIC-INDIC DIGIT EIGHT;Nd;0;AN;;8;8;8;N;;;;;
        "\u0669",  # ;ARABIC-INDIC DIGIT NINE;Nd;0;AN;;9;9;9;N;;;;;
        "\u066A",  # ;ARABIC PERCENT SIGN;Po;0;ET;;;;;N;;;;;
        "\u066B",  # ;ARABIC DECIMAL SEPARATOR;Po;0;AN;;;;;N;;;;;
        "\u066C",  # ;ARABIC THOUSANDS SEPARATOR;Po;0;AN;;;;;N;;;;;
        "\u066D",  # ;ARABIC FIVE POINTED STAR;Po;0;AL;;;;;N;;;;;
        "\u066E",  # ;ARABIC LETTER DOTLESS BEH;Lo;0;AL;;;;;N;;;;;
        "\u066F",  # ;ARABIC LETTER DOTLESS QAF;Lo;0;AL;;;;;N;;;;;
        "\u0670",  # ;ARABIC LETTER SUPERSCRIPT ALEF;Mn;35;NSM;;;;;N;ARABIC ALEF ABOVE;;;;
        "\u0671",  # ;ARABIC LETTER ALEF WASLA;Lo;0;AL;;;;;N;ARABIC LETTER HAMZAT WASL ON ALEF;;;;
        "\u0672",  # ;ARABIC LETTER ALEF WITH WAVY HAMZA ABOVE;Lo;0;AL;;;;;N;ARABIC LETTER WAVY HAMZAH ON ALEF;;;;
        "\u0673",  # ;ARABIC LETTER ALEF WITH WAVY HAMZA BELOW;Lo;0;AL;;;;;N;ARABIC LETTER WAVY HAMZAH UNDER ALEF;;;;
        "\u0674",  # ;ARABIC LETTER HIGH HAMZA;Lo;0;AL;;;;;N;ARABIC LETTER HIGH HAMZAH;;;;
        "\u0675",  # ;ARABIC LETTER HIGH HAMZA ALEF;Lo;0;AL;<compat> 0627 0674;;;;N;ARABIC LETTER HIGH HAMZAH ALEF;;;;
        "\u0676",  # ;ARABIC LETTER HIGH HAMZA WAW;Lo;0;AL;<compat> 0648 0674;;;;N;ARABIC LETTER HIGH HAMZAH WAW;;;;
        "\u0677",  # ;ARABIC LETTER U WITH HAMZA ABOVE;Lo;0;AL;<compat> 06C7 0674;;;;N;ARABIC LETTER HIGH HAMZAH WAW WITH DAMMAH;;;;
        "\u0678",  # ;ARABIC LETTER HIGH HAMZA YEH;Lo;0;AL;<compat> 064A 0674;;;;N;ARABIC LETTER HIGH HAMZAH YA;;;;
        "\u0679",  # ;ARABIC LETTER TTEH;Lo;0;AL;;;;;N;ARABIC LETTER TAA WITH SMALL TAH;;;;
        "\u067A",  # ;ARABIC LETTER TTEHEH;Lo;0;AL;;;;;N;ARABIC LETTER TAA WITH TWO DOTS VERTICAL ABOVE;;;;
        "\u067B",  # ;ARABIC LETTER BEEH;Lo;0;AL;;;;;N;ARABIC LETTER BAA WITH TWO DOTS VERTICAL BELOW;;;;
        "\u067C",  # ;ARABIC LETTER TEH WITH RING;Lo;0;AL;;;;;N;ARABIC LETTER TAA WITH RING;;;;
        "\u067D",  # ;ARABIC LETTER TEH WITH THREE DOTS ABOVE DOWNWARDS;Lo;0;AL;;;;;N;ARABIC LETTER TAA WITH THREE DOTS ABOVE DOWNWARD;;;;
        "\u067E",  # ;ARABIC LETTER PEH;Lo;0;AL;;;;;N;ARABIC LETTER TAA WITH THREE DOTS BELOW;;;;
        "\u067F",  # ;ARABIC LETTER TEHEH;Lo;0;AL;;;;;N;ARABIC LETTER TAA WITH FOUR DOTS ABOVE;;;;
        "\u0680",  # ;ARABIC LETTER BEHEH;Lo;0;AL;;;;;N;ARABIC LETTER BAA WITH FOUR DOTS BELOW;;;;
        "\u0681",  # ;ARABIC LETTER HAH WITH HAMZA ABOVE;Lo;0;AL;;;;;N;ARABIC LETTER HAMZAH ON HAA;;;;
        "\u0682",  # ;ARABIC LETTER HAH WITH TWO DOTS VERTICAL ABOVE;Lo;0;AL;;;;;N;ARABIC LETTER HAA WITH TWO DOTS VERTICAL ABOVE;;;;
        "\u0683",  # ;ARABIC LETTER NYEH;Lo;0;AL;;;;;N;ARABIC LETTER HAA WITH MIDDLE TWO DOTS;;;;
        "\u0684",  # ;ARABIC LETTER DYEH;Lo;0;AL;;;;;N;ARABIC LETTER HAA WITH MIDDLE TWO DOTS VERTICAL;;;;
        "\u0685",  # ;ARABIC LETTER HAH WITH THREE DOTS ABOVE;Lo;0;AL;;;;;N;ARABIC LETTER HAA WITH THREE DOTS ABOVE;;;;
        "\u0686",  # ;ARABIC LETTER TCHEH;Lo;0;AL;;;;;N;ARABIC LETTER HAA WITH MIDDLE THREE DOTS DOWNWARD;;;;
        "\u0687",  # ;ARABIC LETTER TCHEHEH;Lo;0;AL;;;;;N;ARABIC LETTER HAA WITH MIDDLE FOUR DOTS;;;;
        "\u0688",  # ;ARABIC LETTER DDAL;Lo;0;AL;;;;;N;ARABIC LETTER DAL WITH SMALL TAH;;;;
        "\u0689",  # ;ARABIC LETTER DAL WITH RING;Lo;0;AL;;;;;N;;;;;
        "\u068A",  # ;ARABIC LETTER DAL WITH DOT BELOW;Lo;0;AL;;;;;N;;;;;
        "\u068B",  # ;ARABIC LETTER DAL WITH DOT BELOW AND SMALL TAH;Lo;0;AL;;;;;N;;;;;
        "\u068C",  # ;ARABIC LETTER DAHAL;Lo;0;AL;;;;;N;ARABIC LETTER DAL WITH TWO DOTS ABOVE;;;;
        "\u068D",  # ;ARABIC LETTER DDAHAL;Lo;0;AL;;;;;N;ARABIC LETTER DAL WITH TWO DOTS BELOW;;;;
        "\u068E",  # ;ARABIC LETTER DUL;Lo;0;AL;;;;;N;ARABIC LETTER DAL WITH THREE DOTS ABOVE;;;;
        "\u068F",  # ;ARABIC LETTER DAL WITH THREE DOTS ABOVE DOWNWARDS;Lo;0;AL;;;;;N;ARABIC LETTER DAL WITH THREE DOTS ABOVE DOWNWARD;;;;
        "\u0690",  # ;ARABIC LETTER DAL WITH FOUR DOTS ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u0691",  # ;ARABIC LETTER RREH;Lo;0;AL;;;;;N;ARABIC LETTER RA WITH SMALL TAH;;;;
        "\u0692",  # ;ARABIC LETTER REH WITH SMALL V;Lo;0;AL;;;;;N;ARABIC LETTER RA WITH SMALL V;;;;
        "\u0693",  # ;ARABIC LETTER REH WITH RING;Lo;0;AL;;;;;N;ARABIC LETTER RA WITH RING;;;;
        "\u0694",  # ;ARABIC LETTER REH WITH DOT BELOW;Lo;0;AL;;;;;N;ARABIC LETTER RA WITH DOT BELOW;;;;
        "\u0695",  # ;ARABIC LETTER REH WITH SMALL V BELOW;Lo;0;AL;;;;;N;ARABIC LETTER RA WITH SMALL V BELOW;;;;
        "\u0696",  # ;ARABIC LETTER REH WITH DOT BELOW AND DOT ABOVE;Lo;0;AL;;;;;N;ARABIC LETTER RA WITH DOT BELOW AND DOT ABOVE;;;;
        "\u0697",  # ;ARABIC LETTER REH WITH TWO DOTS ABOVE;Lo;0;AL;;;;;N;ARABIC LETTER RA WITH TWO DOTS ABOVE;;;;
        "\u0698",  # ;ARABIC LETTER JEH;Lo;0;AL;;;;;N;ARABIC LETTER RA WITH THREE DOTS ABOVE;;;;
        "\u0699",  # ;ARABIC LETTER REH WITH FOUR DOTS ABOVE;Lo;0;AL;;;;;N;ARABIC LETTER RA WITH FOUR DOTS ABOVE;;;;
        "\u069A",  # ;ARABIC LETTER SEEN WITH DOT BELOW AND DOT ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u069B",  # ;ARABIC LETTER SEEN WITH THREE DOTS BELOW;Lo;0;AL;;;;;N;;;;;
        "\u069C",  # ;ARABIC LETTER SEEN WITH THREE DOTS BELOW AND THREE DOTS ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u069D",  # ;ARABIC LETTER SAD WITH TWO DOTS BELOW;Lo;0;AL;;;;;N;;;;;
        "\u069E",  # ;ARABIC LETTER SAD WITH THREE DOTS ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u069F",  # ;ARABIC LETTER TAH WITH THREE DOTS ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u06A0",  # ;ARABIC LETTER AIN WITH THREE DOTS ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u06A1",  # ;ARABIC LETTER DOTLESS FEH;Lo;0;AL;;;;;N;ARABIC LETTER DOTLESS FA;;;;
        "\u06A2",  # ;ARABIC LETTER FEH WITH DOT MOVED BELOW;Lo;0;AL;;;;;N;ARABIC LETTER FA WITH DOT MOVED BELOW;;;;
        "\u06A3",  # ;ARABIC LETTER FEH WITH DOT BELOW;Lo;0;AL;;;;;N;ARABIC LETTER FA WITH DOT BELOW;;;;
        "\u06A4",  # ;ARABIC LETTER VEH;Lo;0;AL;;;;;N;ARABIC LETTER FA WITH THREE DOTS ABOVE;;;;
        "\u06A5",  # ;ARABIC LETTER FEH WITH THREE DOTS BELOW;Lo;0;AL;;;;;N;ARABIC LETTER FA WITH THREE DOTS BELOW;;;;
        "\u06A6",  # ;ARABIC LETTER PEHEH;Lo;0;AL;;;;;N;ARABIC LETTER FA WITH FOUR DOTS ABOVE;;;;
        "\u06A7",  # ;ARABIC LETTER QAF WITH DOT ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u06A8",  # ;ARABIC LETTER QAF WITH THREE DOTS ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u06A9",  # ;ARABIC LETTER KEHEH;Lo;0;AL;;;;;N;ARABIC LETTER OPEN CAF;;;;
        "\u06AA",  # ;ARABIC LETTER SWASH KAF;Lo;0;AL;;;;;N;ARABIC LETTER SWASH CAF;;;;
        "\u06AB",  # ;ARABIC LETTER KAF WITH RING;Lo;0;AL;;;;;N;ARABIC LETTER CAF WITH RING;;;;
        "\u06AC",  # ;ARABIC LETTER KAF WITH DOT ABOVE;Lo;0;AL;;;;;N;ARABIC LETTER CAF WITH DOT ABOVE;;;;
        "\u06AD",  # ;ARABIC LETTER NG;Lo;0;AL;;;;;N;ARABIC LETTER CAF WITH THREE DOTS ABOVE;;;;
        "\u06AE",  # ;ARABIC LETTER KAF WITH THREE DOTS BELOW;Lo;0;AL;;;;;N;ARABIC LETTER CAF WITH THREE DOTS BELOW;;;;
        "\u06AF",  # ;ARABIC LETTER GAF;Lo;0;AL;;;;;N;;;;;
        "\u06B0",  # ;ARABIC LETTER GAF WITH RING;Lo;0;AL;;;;;N;;;;;
        "\u06B1",  # ;ARABIC LETTER NGOEH;Lo;0;AL;;;;;N;ARABIC LETTER GAF WITH TWO DOTS ABOVE;;;;
        "\u06B2",  # ;ARABIC LETTER GAF WITH TWO DOTS BELOW;Lo;0;AL;;;;;N;;;;;
        "\u06B3",  # ;ARABIC LETTER GUEH;Lo;0;AL;;;;;N;ARABIC LETTER GAF WITH TWO DOTS VERTICAL BELOW;;;;
        "\u06B4",  # ;ARABIC LETTER GAF WITH THREE DOTS ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u06B5",  # ;ARABIC LETTER LAM WITH SMALL V;Lo;0;AL;;;;;N;;;;;
        "\u06B6",  # ;ARABIC LETTER LAM WITH DOT ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u06B7",  # ;ARABIC LETTER LAM WITH THREE DOTS ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u06B8",  # ;ARABIC LETTER LAM WITH THREE DOTS BELOW;Lo;0;AL;;;;;N;;;;;
        "\u06B9",  # ;ARABIC LETTER NOON WITH DOT BELOW;Lo;0;AL;;;;;N;;;;;
        "\u06BA",  # ;ARABIC LETTER NOON GHUNNA;Lo;0;AL;;;;;N;ARABIC LETTER DOTLESS NOON;;;;
        "\u06BB",  # ;ARABIC LETTER RNOON;Lo;0;AL;;;;;N;ARABIC LETTER DOTLESS NOON WITH SMALL TAH;;;;
        "\u06BC",  # ;ARABIC LETTER NOON WITH RING;Lo;0;AL;;;;;N;;;;;
        "\u06BD",  # ;ARABIC LETTER NOON WITH THREE DOTS ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u06BE",  # ;ARABIC LETTER HEH DOACHASHMEE;Lo;0;AL;;;;;N;ARABIC LETTER KNOTTED HA;;;;
        "\u06BF",  # ;ARABIC LETTER TCHEH WITH DOT ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u06C0",  # ;ARABIC LETTER HEH WITH YEH ABOVE;Lo;0;AL;06D5 0654;;;;N;ARABIC LETTER HAMZAH ON HA;;;;
        "\u06C1",  # ;ARABIC LETTER HEH GOAL;Lo;0;AL;;;;;N;ARABIC LETTER HA GOAL;;;;
        "\u06C2",  # ;ARABIC LETTER HEH GOAL WITH HAMZA ABOVE;Lo;0;AL;06C1 0654;;;;N;ARABIC LETTER HAMZAH ON HA GOAL;;;;
        "\u06C3",  # ;ARABIC LETTER TEH MARBUTA GOAL;Lo;0;AL;;;;;N;ARABIC LETTER TAA MARBUTAH GOAL;;;;
        "\u06C4",  # ;ARABIC LETTER WAW WITH RING;Lo;0;AL;;;;;N;;;;;
        "\u06C5",  # ;ARABIC LETTER KIRGHIZ OE;Lo;0;AL;;;;;N;ARABIC LETTER WAW WITH BAR;;;;
        "\u06C6",  # ;ARABIC LETTER OE;Lo;0;AL;;;;;N;ARABIC LETTER WAW WITH SMALL V;;;;
        "\u06C7",  # ;ARABIC LETTER U;Lo;0;AL;;;;;N;ARABIC LETTER WAW WITH DAMMAH;;;;
        "\u06C8",  # ;ARABIC LETTER YU;Lo;0;AL;;;;;N;ARABIC LETTER WAW WITH ALEF ABOVE;;;;
        "\u06C9",  # ;ARABIC LETTER KIRGHIZ YU;Lo;0;AL;;;;;N;ARABIC LETTER WAW WITH INVERTED SMALL V;;;;
        "\u06CA",  # ;ARABIC LETTER WAW WITH TWO DOTS ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u06CB",  # ;ARABIC LETTER VE;Lo;0;AL;;;;;N;ARABIC LETTER WAW WITH THREE DOTS ABOVE;;;;
        "\u06CC",  # ;ARABIC LETTER FARSI YEH;Lo;0;AL;;;;;N;ARABIC LETTER DOTLESS YA;;;;
        "\u06CD",  # ;ARABIC LETTER YEH WITH TAIL;Lo;0;AL;;;;;N;ARABIC LETTER YA WITH TAIL;;;;
        "\u06CE",  # ;ARABIC LETTER YEH WITH SMALL V;Lo;0;AL;;;;;N;ARABIC LETTER YA WITH SMALL V;;;;
        "\u06CF",  # ;ARABIC LETTER WAW WITH DOT ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u06D0",  # ;ARABIC LETTER E;Lo;0;AL;;;;;N;ARABIC LETTER YA WITH TWO DOTS VERTICAL BELOW;;;;
        "\u06D1",  # ;ARABIC LETTER YEH WITH THREE DOTS BELOW;Lo;0;AL;;;;;N;ARABIC LETTER YA WITH THREE DOTS BELOW;;;;
        "\u06D2",  # ;ARABIC LETTER YEH BARREE;Lo;0;AL;;;;;N;ARABIC LETTER YA BARREE;;;;
        "\u06D3",  # ;ARABIC LETTER YEH BARREE WITH HAMZA ABOVE;Lo;0;AL;06D2 0654;;;;N;ARABIC LETTER HAMZAH ON YA BARREE;;;;
        "\u06D4",  # ;ARABIC FULL STOP;Po;0;AL;;;;;N;ARABIC PERIOD;;;;
        "\u06D5",  # ;ARABIC LETTER AE;Lo;0;AL;;;;;N;;;;;
        "\u06D6",  # ;ARABIC SMALL HIGH LIGATURE SAD WITH LAM WITH ALEF MAKSURA;Mn;230;NSM;;;;;N;;;;;
        "\u06D7",  # ;ARABIC SMALL HIGH LIGATURE QAF WITH LAM WITH ALEF MAKSURA;Mn;230;NSM;;;;;N;;;;;
        "\u06D8",  # ;ARABIC SMALL HIGH MEEM INITIAL FORM;Mn;230;NSM;;;;;N;;;;;
        "\u06D9",  # ;ARABIC SMALL HIGH LAM ALEF;Mn;230;NSM;;;;;N;;;;;
        "\u06DA",  # ;ARABIC SMALL HIGH JEEM;Mn;230;NSM;;;;;N;;;;;
        "\u06DB",  # ;ARABIC SMALL HIGH THREE DOTS;Mn;230;NSM;;;;;N;;;;;
        "\u06DC",  # ;ARABIC SMALL HIGH SEEN;Mn;230;NSM;;;;;N;;;;;
        "\u06DD",  # ;ARABIC END OF AYAH;Cf;0;AN;;;;;N;;;;;
        "\u06DE",  # ;ARABIC START OF RUB EL HIZB;So;0;ON;;;;;N;;;;;
        "\u06DF",  # ;ARABIC SMALL HIGH ROUNDED ZERO;Mn;230;NSM;;;;;N;;;;;
        "\u06E0",  # ;ARABIC SMALL HIGH UPRIGHT RECTANGULAR ZERO;Mn;230;NSM;;;;;N;;;;;
        "\u06E1",  # ;ARABIC SMALL HIGH DOTLESS HEAD OF KHAH;Mn;230;NSM;;;;;N;;;;;
        "\u06E2",  # ;ARABIC SMALL HIGH MEEM ISOLATED FORM;Mn;230;NSM;;;;;N;;;;;
        "\u06E3",  # ;ARABIC SMALL LOW SEEN;Mn;220;NSM;;;;;N;;;;;
        "\u06E4",  # ;ARABIC SMALL HIGH MADDA;Mn;230;NSM;;;;;N;;;;;
        "\u06E5",  # ;ARABIC SMALL WAW;Lm;0;AL;;;;;N;;;;;
        "\u06E6",  # ;ARABIC SMALL YEH;Lm;0;AL;;;;;N;;;;;
        "\u06E7",  # ;ARABIC SMALL HIGH YEH;Mn;230;NSM;;;;;N;;;;;
        "\u06E8",  # ;ARABIC SMALL HIGH NOON;Mn;230;NSM;;;;;N;;;;;
        "\u06E9",  # ;ARABIC PLACE OF SAJDAH;So;0;ON;;;;;N;;;;;
        "\u06EA",  # ;ARABIC EMPTY CENTRE LOW STOP;Mn;220;NSM;;;;;N;;;;;
        "\u06EB",  # ;ARABIC EMPTY CENTRE HIGH STOP;Mn;230;NSM;;;;;N;;;;;
        "\u06EC",  # ;ARABIC ROUNDED HIGH STOP WITH FILLED CENTRE;Mn;230;NSM;;;;;N;;;;;
        "\u06ED",  # ;ARABIC SMALL LOW MEEM;Mn;220;NSM;;;;;N;;;;;
        "\u06EE",  # ;ARABIC LETTER DAL WITH INVERTED V;Lo;0;AL;;;;;N;;;;;
        "\u06EF",  # ;ARABIC LETTER REH WITH INVERTED V;Lo;0;AL;;;;;N;;;;;
        "\u06F0",  # ;EXTENDED ARABIC-INDIC DIGIT ZERO;Nd;0;EN;;0;0;0;N;EASTERN ARABIC-INDIC DIGIT ZERO;;;;
        "\u06F1",  # ;EXTENDED ARABIC-INDIC DIGIT ONE;Nd;0;EN;;1;1;1;N;EASTERN ARABIC-INDIC DIGIT ONE;;;;
        "\u06F2",  # ;EXTENDED ARABIC-INDIC DIGIT TWO;Nd;0;EN;;2;2;2;N;EASTERN ARABIC-INDIC DIGIT TWO;;;;
        "\u06F3",  # ;EXTENDED ARABIC-INDIC DIGIT THREE;Nd;0;EN;;3;3;3;N;EASTERN ARABIC-INDIC DIGIT THREE;;;;
        "\u06F4",  # ;EXTENDED ARABIC-INDIC DIGIT FOUR;Nd;0;EN;;4;4;4;N;EASTERN ARABIC-INDIC DIGIT FOUR;;;;
        "\u06F5",  # ;EXTENDED ARABIC-INDIC DIGIT FIVE;Nd;0;EN;;5;5;5;N;EASTERN ARABIC-INDIC DIGIT FIVE;;;;
        "\u06F6",  # ;EXTENDED ARABIC-INDIC DIGIT SIX;Nd;0;EN;;6;6;6;N;EASTERN ARABIC-INDIC DIGIT SIX;;;;
        "\u06F7",  # ;EXTENDED ARABIC-INDIC DIGIT SEVEN;Nd;0;EN;;7;7;7;N;EASTERN ARABIC-INDIC DIGIT SEVEN;;;;
        "\u06F8",  # ;EXTENDED ARABIC-INDIC DIGIT EIGHT;Nd;0;EN;;8;8;8;N;EASTERN ARABIC-INDIC DIGIT EIGHT;;;;
        "\u06F9",  # ;EXTENDED ARABIC-INDIC DIGIT NINE;Nd;0;EN;;9;9;9;N;EASTERN ARABIC-INDIC DIGIT NINE;;;;
        "\u06FA",  # ;ARABIC LETTER SHEEN WITH DOT BELOW;Lo;0;AL;;;;;N;;;;;
        "\u06FB",  # ;ARABIC LETTER DAD WITH DOT BELOW;Lo;0;AL;;;;;N;;;;;
        "\u06FC",  # ;ARABIC LETTER GHAIN WITH DOT BELOW;Lo;0;AL;;;;;N;;;;;
        "\u06FD",  # ;ARABIC SIGN SINDHI AMPERSAND;So;0;AL;;;;;N;;;;;
        "\u06FE",  # ;ARABIC SIGN SINDHI POSTPOSITION MEN;So;0;AL;;;;;N;;;;;
        "\u06FF",  # ;ARABIC LETTER HEH WITH INVERTED V;Lo;0;AL;;;;;N;;;;;
        "\u0700",  # ;SYRIAC END OF PARAGRAPH;Po;0;AL;;;;;N;;;;;
        "\u0701",  # ;SYRIAC SUPRALINEAR FULL STOP;Po;0;AL;;;;;N;;;;;
        "\u0702",  # ;SYRIAC SUBLINEAR FULL STOP;Po;0;AL;;;;;N;;;;;
        "\u0703",  # ;SYRIAC SUPRALINEAR COLON;Po;0;AL;;;;;N;;;;;
        "\u0704",  # ;SYRIAC SUBLINEAR COLON;Po;0;AL;;;;;N;;;;;
        "\u0705",  # ;SYRIAC HORIZONTAL COLON;Po;0;AL;;;;;N;;;;;
        "\u0706",  # ;SYRIAC COLON SKEWED LEFT;Po;0;AL;;;;;N;;;;;
        "\u0707",  # ;SYRIAC COLON SKEWED RIGHT;Po;0;AL;;;;;N;;;;;
        "\u0708",  # ;SYRIAC SUPRALINEAR COLON SKEWED LEFT;Po;0;AL;;;;;N;;;;;
        "\u0709",  # ;SYRIAC SUBLINEAR COLON SKEWED RIGHT;Po;0;AL;;;;;N;;;;;
        "\u070A",  # ;SYRIAC CONTRACTION;Po;0;AL;;;;;N;;;;;
        "\u070B",  # ;SYRIAC HARKLEAN OBELUS;Po;0;AL;;;;;N;;;;;
        "\u070C",  # ;SYRIAC HARKLEAN METOBELUS;Po;0;AL;;;;;N;;;;;
        "\u070D",  # ;SYRIAC HARKLEAN ASTERISCUS;Po;0;AL;;;;;N;;;;;
        "\u070F",  # ;SYRIAC ABBREVIATION MARK;Cf;0;AL;;;;;N;;;;;
        "\u0710",  # ;SYRIAC LETTER ALAPH;Lo;0;AL;;;;;N;;;;;
        "\u0711",  # ;SYRIAC LETTER SUPERSCRIPT ALAPH;Mn;36;NSM;;;;;N;;;;;
        "\u0712",  # ;SYRIAC LETTER BETH;Lo;0;AL;;;;;N;;;;;
        "\u0713",  # ;SYRIAC LETTER GAMAL;Lo;0;AL;;;;;N;;;;;
        "\u0714",  # ;SYRIAC LETTER GAMAL GARSHUNI;Lo;0;AL;;;;;N;;;;;
        "\u0715",  # ;SYRIAC LETTER DALATH;Lo;0;AL;;;;;N;;;;;
        "\u0716",  # ;SYRIAC LETTER DOTLESS DALATH RISH;Lo;0;AL;;;;;N;;;;;
        "\u0717",  # ;SYRIAC LETTER HE;Lo;0;AL;;;;;N;;;;;
        "\u0718",  # ;SYRIAC LETTER WAW;Lo;0;AL;;;;;N;;;;;
        "\u0719",  # ;SYRIAC LETTER ZAIN;Lo;0;AL;;;;;N;;;;;
        "\u071A",  # ;SYRIAC LETTER HETH;Lo;0;AL;;;;;N;;;;;
        "\u071B",  # ;SYRIAC LETTER TETH;Lo;0;AL;;;;;N;;;;;
        "\u071C",  # ;SYRIAC LETTER TETH GARSHUNI;Lo;0;AL;;;;;N;;;;;
        "\u071D",  # ;SYRIAC LETTER YUDH;Lo;0;AL;;;;;N;;;;;
        "\u071E",  # ;SYRIAC LETTER YUDH HE;Lo;0;AL;;;;;N;;;;;
        "\u071F",  # ;SYRIAC LETTER KAPH;Lo;0;AL;;;;;N;;;;;
        "\u0720",  # ;SYRIAC LETTER LAMADH;Lo;0;AL;;;;;N;;;;;
        "\u0721",  # ;SYRIAC LETTER MIM;Lo;0;AL;;;;;N;;;;;
        "\u0722",  # ;SYRIAC LETTER NUN;Lo;0;AL;;;;;N;;;;;
        "\u0723",  # ;SYRIAC LETTER SEMKATH;Lo;0;AL;;;;;N;;;;;
        "\u0724",  # ;SYRIAC LETTER FINAL SEMKATH;Lo;0;AL;;;;;N;;;;;
        "\u0725",  # ;SYRIAC LETTER E;Lo;0;AL;;;;;N;;;;;
        "\u0726",  # ;SYRIAC LETTER PE;Lo;0;AL;;;;;N;;;;;
        "\u0727",  # ;SYRIAC LETTER REVERSED PE;Lo;0;AL;;;;;N;;;;;
        "\u0728",  # ;SYRIAC LETTER SADHE;Lo;0;AL;;;;;N;;;;;
        "\u0729",  # ;SYRIAC LETTER QAPH;Lo;0;AL;;;;;N;;;;;
        "\u072A",  # ;SYRIAC LETTER RISH;Lo;0;AL;;;;;N;;;;;
        "\u072B",  # ;SYRIAC LETTER SHIN;Lo;0;AL;;;;;N;;;;;
        "\u072C",  # ;SYRIAC LETTER TAW;Lo;0;AL;;;;;N;;;;;
        "\u072D",  # ;SYRIAC LETTER PERSIAN BHETH;Lo;0;AL;;;;;N;;;;;
        "\u072E",  # ;SYRIAC LETTER PERSIAN GHAMAL;Lo;0;AL;;;;;N;;;;;
        "\u072F",  # ;SYRIAC LETTER PERSIAN DHALATH;Lo;0;AL;;;;;N;;;;;
        "\u0730",  # ;SYRIAC PTHAHA ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u0731",  # ;SYRIAC PTHAHA BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u0732",  # ;SYRIAC PTHAHA DOTTED;Mn;230;NSM;;;;;N;;;;;
        "\u0733",  # ;SYRIAC ZQAPHA ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u0734",  # ;SYRIAC ZQAPHA BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u0735",  # ;SYRIAC ZQAPHA DOTTED;Mn;230;NSM;;;;;N;;;;;
        "\u0736",  # ;SYRIAC RBASA ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u0737",  # ;SYRIAC RBASA BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u0738",  # ;SYRIAC DOTTED ZLAMA HORIZONTAL;Mn;220;NSM;;;;;N;;;;;
        "\u0739",  # ;SYRIAC DOTTED ZLAMA ANGULAR;Mn;220;NSM;;;;;N;;;;;
        "\u073A",  # ;SYRIAC HBASA ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u073B",  # ;SYRIAC HBASA BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u073C",  # ;SYRIAC HBASA-ESASA DOTTED;Mn;220;NSM;;;;;N;;;;;
        "\u073D",  # ;SYRIAC ESASA ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u073E",  # ;SYRIAC ESASA BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u073F",  # ;SYRIAC RWAHA;Mn;230;NSM;;;;;N;;;;;
        "\u0740",  # ;SYRIAC FEMININE DOT;Mn;230;NSM;;;;;N;;;;;
        "\u0741",  # ;SYRIAC QUSHSHAYA;Mn;230;NSM;;;;;N;;;;;
        "\u0742",  # ;SYRIAC RUKKAKHA;Mn;220;NSM;;;;;N;;;;;
        "\u0743",  # ;SYRIAC TWO VERTICAL DOTS ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u0744",  # ;SYRIAC TWO VERTICAL DOTS BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u0745",  # ;SYRIAC THREE DOTS ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u0746",  # ;SYRIAC THREE DOTS BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u0747",  # ;SYRIAC OBLIQUE LINE ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u0748",  # ;SYRIAC OBLIQUE LINE BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u0749",  # ;SYRIAC MUSIC;Mn;230;NSM;;;;;N;;;;;
        "\u074A",  # ;SYRIAC BARREKH;Mn;230;NSM;;;;;N;;;;;
        "\u074D",  # ;SYRIAC LETTER SOGDIAN ZHAIN;Lo;0;AL;;;;;N;;;;;
        "\u074E",  # ;SYRIAC LETTER SOGDIAN KHAPH;Lo;0;AL;;;;;N;;;;;
        "\u074F",  # ;SYRIAC LETTER SOGDIAN FE;Lo;0;AL;;;;;N;;;;;
        "\u0750",  # ;ARABIC LETTER BEH WITH THREE DOTS HORIZONTALLY BELOW;Lo;0;AL;;;;;N;;;;;
        "\u0751",  # ;ARABIC LETTER BEH WITH DOT BELOW AND THREE DOTS ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u0752",  # ;ARABIC LETTER BEH WITH THREE DOTS POINTING UPWARDS BELOW;Lo;0;AL;;;;;N;;;;;
        "\u0753",  # ;ARABIC LETTER BEH WITH THREE DOTS POINTING UPWARDS BELOW AND TWO DOTS ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u0754",  # ;ARABIC LETTER BEH WITH TWO DOTS BELOW AND DOT ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u0755",  # ;ARABIC LETTER BEH WITH INVERTED SMALL V BELOW;Lo;0;AL;;;;;N;;;;;
        "\u0756",  # ;ARABIC LETTER BEH WITH SMALL V;Lo;0;AL;;;;;N;;;;;
        "\u0757",  # ;ARABIC LETTER HAH WITH TWO DOTS ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u0758",  # ;ARABIC LETTER HAH WITH THREE DOTS POINTING UPWARDS BELOW;Lo;0;AL;;;;;N;;;;;
        "\u0759",  # ;ARABIC LETTER DAL WITH TWO DOTS VERTICALLY BELOW AND SMALL TAH;Lo;0;AL;;;;;N;;;;;
        "\u075A",  # ;ARABIC LETTER DAL WITH INVERTED SMALL V BELOW;Lo;0;AL;;;;;N;;;;;
        "\u075B",  # ;ARABIC LETTER REH WITH STROKE;Lo;0;AL;;;;;N;;;;;
        "\u075C",  # ;ARABIC LETTER SEEN WITH FOUR DOTS ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u075D",  # ;ARABIC LETTER AIN WITH TWO DOTS ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u075E",  # ;ARABIC LETTER AIN WITH THREE DOTS POINTING DOWNWARDS ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u075F",  # ;ARABIC LETTER AIN WITH TWO DOTS VERTICALLY ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u0760",  # ;ARABIC LETTER FEH WITH TWO DOTS BELOW;Lo;0;AL;;;;;N;;;;;
        "\u0761",  # ;ARABIC LETTER FEH WITH THREE DOTS POINTING UPWARDS BELOW;Lo;0;AL;;;;;N;;;;;
        "\u0762",  # ;ARABIC LETTER KEHEH WITH DOT ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u0763",  # ;ARABIC LETTER KEHEH WITH THREE DOTS ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u0764",  # ;ARABIC LETTER KEHEH WITH THREE DOTS POINTING UPWARDS BELOW;Lo;0;AL;;;;;N;;;;;
        "\u0765",  # ;ARABIC LETTER MEEM WITH DOT ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u0766",  # ;ARABIC LETTER MEEM WITH DOT BELOW;Lo;0;AL;;;;;N;;;;;
        "\u0767",  # ;ARABIC LETTER NOON WITH TWO DOTS BELOW;Lo;0;AL;;;;;N;;;;;
        "\u0768",  # ;ARABIC LETTER NOON WITH SMALL TAH;Lo;0;AL;;;;;N;;;;;
        "\u0769",  # ;ARABIC LETTER NOON WITH SMALL V;Lo;0;AL;;;;;N;;;;;
        "\u076A",  # ;ARABIC LETTER LAM WITH BAR;Lo;0;AL;;;;;N;;;;;
        "\u076B",  # ;ARABIC LETTER REH WITH TWO DOTS VERTICALLY ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u076C",  # ;ARABIC LETTER REH WITH HAMZA ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u076D",  # ;ARABIC LETTER SEEN WITH TWO DOTS VERTICALLY ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u076E",  # ;ARABIC LETTER HAH WITH SMALL ARABIC LETTER TAH BELOW;Lo;0;AL;;;;;N;;;;;
        "\u076F",  # ;ARABIC LETTER HAH WITH SMALL ARABIC LETTER TAH AND TWO DOTS;Lo;0;AL;;;;;N;;;;;
        "\u0770",  # ;ARABIC LETTER SEEN WITH SMALL ARABIC LETTER TAH AND TWO DOTS;Lo;0;AL;;;;;N;;;;;
        "\u0771",  # ;ARABIC LETTER REH WITH SMALL ARABIC LETTER TAH AND TWO DOTS;Lo;0;AL;;;;;N;;;;;
        "\u0772",  # ;ARABIC LETTER HAH WITH SMALL ARABIC LETTER TAH ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u0773",  # ;ARABIC LETTER ALEF WITH EXTENDED ARABIC-INDIC DIGIT TWO ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u0774",  # ;ARABIC LETTER ALEF WITH EXTENDED ARABIC-INDIC DIGIT THREE ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u0775",  # ;ARABIC LETTER FARSI YEH WITH EXTENDED ARABIC-INDIC DIGIT TWO ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u0776",  # ;ARABIC LETTER FARSI YEH WITH EXTENDED ARABIC-INDIC DIGIT THREE ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u0777",  # ;ARABIC LETTER FARSI YEH WITH EXTENDED ARABIC-INDIC DIGIT FOUR BELOW;Lo;0;AL;;;;;N;;;;;
        "\u0778",  # ;ARABIC LETTER WAW WITH EXTENDED ARABIC-INDIC DIGIT TWO ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u0779",  # ;ARABIC LETTER WAW WITH EXTENDED ARABIC-INDIC DIGIT THREE ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u077A",  # ;ARABIC LETTER YEH BARREE WITH EXTENDED ARABIC-INDIC DIGIT TWO ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u077B",  # ;ARABIC LETTER YEH BARREE WITH EXTENDED ARABIC-INDIC DIGIT THREE ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u077C",  # ;ARABIC LETTER HAH WITH EXTENDED ARABIC-INDIC DIGIT FOUR BELOW;Lo;0;AL;;;;;N;;;;;
        "\u077D",  # ;ARABIC LETTER SEEN WITH EXTENDED ARABIC-INDIC DIGIT FOUR ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u077E",  # ;ARABIC LETTER SEEN WITH INVERTED V;Lo;0;AL;;;;;N;;;;;
        "\u077F",  # ;ARABIC LETTER KAF WITH TWO DOTS ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u0780",  # ;THAANA LETTER HAA;Lo;0;AL;;;;;N;;;;;
        "\u0781",  # ;THAANA LETTER SHAVIYANI;Lo;0;AL;;;;;N;;;;;
        "\u0782",  # ;THAANA LETTER NOONU;Lo;0;AL;;;;;N;;;;;
        "\u0783",  # ;THAANA LETTER RAA;Lo;0;AL;;;;;N;;;;;
        "\u0784",  # ;THAANA LETTER BAA;Lo;0;AL;;;;;N;;;;;
        "\u0785",  # ;THAANA LETTER LHAVIYANI;Lo;0;AL;;;;;N;;;;;
        "\u0786",  # ;THAANA LETTER KAAFU;Lo;0;AL;;;;;N;;;;;
        "\u0787",  # ;THAANA LETTER ALIFU;Lo;0;AL;;;;;N;;;;;
        "\u0788",  # ;THAANA LETTER VAAVU;Lo;0;AL;;;;;N;;;;;
        "\u0789",  # ;THAANA LETTER MEEMU;Lo;0;AL;;;;;N;;;;;
        "\u078A",  # ;THAANA LETTER FAAFU;Lo;0;AL;;;;;N;;;;;
        "\u078B",  # ;THAANA LETTER DHAALU;Lo;0;AL;;;;;N;;;;;
        "\u078C",  # ;THAANA LETTER THAA;Lo;0;AL;;;;;N;;;;;
        "\u078D",  # ;THAANA LETTER LAAMU;Lo;0;AL;;;;;N;;;;;
        "\u078E",  # ;THAANA LETTER GAAFU;Lo;0;AL;;;;;N;;;;;
        "\u078F",  # ;THAANA LETTER GNAVIYANI;Lo;0;AL;;;;;N;;;;;
        "\u0790",  # ;THAANA LETTER SEENU;Lo;0;AL;;;;;N;;;;;
        "\u0791",  # ;THAANA LETTER DAVIYANI;Lo;0;AL;;;;;N;;;;;
        "\u0792",  # ;THAANA LETTER ZAVIYANI;Lo;0;AL;;;;;N;;;;;
        "\u0793",  # ;THAANA LETTER TAVIYANI;Lo;0;AL;;;;;N;;;;;
        "\u0794",  # ;THAANA LETTER YAA;Lo;0;AL;;;;;N;;;;;
        "\u0795",  # ;THAANA LETTER PAVIYANI;Lo;0;AL;;;;;N;;;;;
        "\u0796",  # ;THAANA LETTER JAVIYANI;Lo;0;AL;;;;;N;;;;;
        "\u0797",  # ;THAANA LETTER CHAVIYANI;Lo;0;AL;;;;;N;;;;;
        "\u0798",  # ;THAANA LETTER TTAA;Lo;0;AL;;;;;N;;;;;
        "\u0799",  # ;THAANA LETTER HHAA;Lo;0;AL;;;;;N;;;;;
        "\u079A",  # ;THAANA LETTER KHAA;Lo;0;AL;;;;;N;;;;;
        "\u079B",  # ;THAANA LETTER THAALU;Lo;0;AL;;;;;N;;;;;
        "\u079C",  # ;THAANA LETTER ZAA;Lo;0;AL;;;;;N;;;;;
        "\u079D",  # ;THAANA LETTER SHEENU;Lo;0;AL;;;;;N;;;;;
        "\u079E",  # ;THAANA LETTER SAADHU;Lo;0;AL;;;;;N;;;;;
        "\u079F",  # ;THAANA LETTER DAADHU;Lo;0;AL;;;;;N;;;;;
        "\u07A0",  # ;THAANA LETTER TO;Lo;0;AL;;;;;N;;;;;
        "\u07A1",  # ;THAANA LETTER ZO;Lo;0;AL;;;;;N;;;;;
        "\u07A2",  # ;THAANA LETTER AINU;Lo;0;AL;;;;;N;;;;;
        "\u07A3",  # ;THAANA LETTER GHAINU;Lo;0;AL;;;;;N;;;;;
        "\u07A4",  # ;THAANA LETTER QAAFU;Lo;0;AL;;;;;N;;;;;
        "\u07A5",  # ;THAANA LETTER WAAVU;Lo;0;AL;;;;;N;;;;;
        "\u07A6",  # ;THAANA ABAFILI;Mn;0;NSM;;;;;N;;;;;
        "\u07A7",  # ;THAANA AABAAFILI;Mn;0;NSM;;;;;N;;;;;
        "\u07A8",  # ;THAANA IBIFILI;Mn;0;NSM;;;;;N;;;;;
        "\u07A9",  # ;THAANA EEBEEFILI;Mn;0;NSM;;;;;N;;;;;
        "\u07AA",  # ;THAANA UBUFILI;Mn;0;NSM;;;;;N;;;;;
        "\u07AB",  # ;THAANA OOBOOFILI;Mn;0;NSM;;;;;N;;;;;
        "\u07AC",  # ;THAANA EBEFILI;Mn;0;NSM;;;;;N;;;;;
        "\u07AD",  # ;THAANA EYBEYFILI;Mn;0;NSM;;;;;N;;;;;
        "\u07AE",  # ;THAANA OBOFILI;Mn;0;NSM;;;;;N;;;;;
        "\u07AF",  # ;THAANA OABOAFILI;Mn;0;NSM;;;;;N;;;;;
        "\u07B0",  # ;THAANA SUKUN;Mn;0;NSM;;;;;N;;;;;
        "\u07B1",  # ;THAANA LETTER NAA;Lo;0;AL;;;;;N;;;;;
        "\u07C0",  # ;NKO DIGIT ZERO;Nd;0;R;;0;0;0;N;;;;;
        "\u07C1",  # ;NKO DIGIT ONE;Nd;0;R;;1;1;1;N;;;;;
        "\u07C2",  # ;NKO DIGIT TWO;Nd;0;R;;2;2;2;N;;;;;
        "\u07C3",  # ;NKO DIGIT THREE;Nd;0;R;;3;3;3;N;;;;;
        "\u07C4",  # ;NKO DIGIT FOUR;Nd;0;R;;4;4;4;N;;;;;
        "\u07C5",  # ;NKO DIGIT FIVE;Nd;0;R;;5;5;5;N;;;;;
        "\u07C6",  # ;NKO DIGIT SIX;Nd;0;R;;6;6;6;N;;;;;
        "\u07C7",  # ;NKO DIGIT SEVEN;Nd;0;R;;7;7;7;N;;;;;
        "\u07C8",  # ;NKO DIGIT EIGHT;Nd;0;R;;8;8;8;N;;;;;
        "\u07C9",  # ;NKO DIGIT NINE;Nd;0;R;;9;9;9;N;;;;;
        "\u07CA",  # ;NKO LETTER A;Lo;0;R;;;;;N;;;;;
        "\u07CB",  # ;NKO LETTER EE;Lo;0;R;;;;;N;;;;;
        "\u07CC",  # ;NKO LETTER I;Lo;0;R;;;;;N;;;;;
        "\u07CD",  # ;NKO LETTER E;Lo;0;R;;;;;N;;;;;
        "\u07CE",  # ;NKO LETTER U;Lo;0;R;;;;;N;;;;;
        "\u07CF",  # ;NKO LETTER OO;Lo;0;R;;;;;N;;;;;
        "\u07D0",  # ;NKO LETTER O;Lo;0;R;;;;;N;;;;;
        "\u07D1",  # ;NKO LETTER DAGBASINNA;Lo;0;R;;;;;N;;;;;
        "\u07D2",  # ;NKO LETTER N;Lo;0;R;;;;;N;;;;;
        "\u07D3",  # ;NKO LETTER BA;Lo;0;R;;;;;N;;;;;
        "\u07D4",  # ;NKO LETTER PA;Lo;0;R;;;;;N;;;;;
        "\u07D5",  # ;NKO LETTER TA;Lo;0;R;;;;;N;;;;;
        "\u07D6",  # ;NKO LETTER JA;Lo;0;R;;;;;N;;;;;
        "\u07D7",  # ;NKO LETTER CHA;Lo;0;R;;;;;N;;;;;
        "\u07D8",  # ;NKO LETTER DA;Lo;0;R;;;;;N;;;;;
        "\u07D9",  # ;NKO LETTER RA;Lo;0;R;;;;;N;;;;;
        "\u07DA",  # ;NKO LETTER RRA;Lo;0;R;;;;;N;;;;;
        "\u07DB",  # ;NKO LETTER SA;Lo;0;R;;;;;N;;;;;
        "\u07DC",  # ;NKO LETTER GBA;Lo;0;R;;;;;N;;;;;
        "\u07DD",  # ;NKO LETTER FA;Lo;0;R;;;;;N;;;;;
        "\u07DE",  # ;NKO LETTER KA;Lo;0;R;;;;;N;;;;;
        "\u07DF",  # ;NKO LETTER LA;Lo;0;R;;;;;N;;;;;
        "\u07E0",  # ;NKO LETTER NA WOLOSO;Lo;0;R;;;;;N;;;;;
        "\u07E1",  # ;NKO LETTER MA;Lo;0;R;;;;;N;;;;;
        "\u07E2",  # ;NKO LETTER NYA;Lo;0;R;;;;;N;;;;;
        "\u07E3",  # ;NKO LETTER NA;Lo;0;R;;;;;N;;;;;
        "\u07E4",  # ;NKO LETTER HA;Lo;0;R;;;;;N;;;;;
        "\u07E5",  # ;NKO LETTER WA;Lo;0;R;;;;;N;;;;;
        "\u07E6",  # ;NKO LETTER YA;Lo;0;R;;;;;N;;;;;
        "\u07E7",  # ;NKO LETTER NYA WOLOSO;Lo;0;R;;;;;N;;;;;
        "\u07E8",  # ;NKO LETTER JONA JA;Lo;0;R;;;;;N;;;;;
        "\u07E9",  # ;NKO LETTER JONA CHA;Lo;0;R;;;;;N;;;;;
        "\u07EA",  # ;NKO LETTER JONA RA;Lo;0;R;;;;;N;;;;;
        "\u07EB",  # ;NKO COMBINING SHORT HIGH TONE;Mn;230;NSM;;;;;N;;;;;
        "\u07EC",  # ;NKO COMBINING SHORT LOW TONE;Mn;230;NSM;;;;;N;;;;;
        "\u07ED",  # ;NKO COMBINING SHORT RISING TONE;Mn;230;NSM;;;;;N;;;;;
        "\u07EE",  # ;NKO COMBINING LONG DESCENDING TONE;Mn;230;NSM;;;;;N;;;;;
        "\u07EF",  # ;NKO COMBINING LONG HIGH TONE;Mn;230;NSM;;;;;N;;;;;
        "\u07F0",  # ;NKO COMBINING LONG LOW TONE;Mn;230;NSM;;;;;N;;;;;
        "\u07F1",  # ;NKO COMBINING LONG RISING TONE;Mn;230;NSM;;;;;N;;;;;
        "\u07F2",  # ;NKO COMBINING NASALIZATION MARK;Mn;220;NSM;;;;;N;;;;;
        "\u07F3",  # ;NKO COMBINING DOUBLE DOT ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u07F4",  # ;NKO HIGH TONE APOSTROPHE;Lm;0;R;;;;;N;;;;;
        "\u07F5",  # ;NKO LOW TONE APOSTROPHE;Lm;0;R;;;;;N;;;;;
        "\u07F6",  # ;NKO SYMBOL OO DENNEN;So;0;ON;;;;;N;;;;;
        "\u07F7",  # ;NKO SYMBOL GBAKURUNEN;Po;0;ON;;;;;N;;;;;
        "\u07F8",  # ;NKO COMMA;Po;0;ON;;;;;N;;;;;
        "\u07F9",  # ;NKO EXCLAMATION MARK;Po;0;ON;;;;;N;;;;;
        "\u07FA",  # ;NKO LAJANYALAN;Lm;0;R;;;;;N;;;;;
        "\u0800",  # ;SAMARITAN LETTER ALAF;Lo;0;R;;;;;N;;;;;
        "\u0801",  # ;SAMARITAN LETTER BIT;Lo;0;R;;;;;N;;;;;
        "\u0802",  # ;SAMARITAN LETTER GAMAN;Lo;0;R;;;;;N;;;;;
        "\u0803",  # ;SAMARITAN LETTER DALAT;Lo;0;R;;;;;N;;;;;
        "\u0804",  # ;SAMARITAN LETTER IY;Lo;0;R;;;;;N;;;;;
        "\u0805",  # ;SAMARITAN LETTER BAA;Lo;0;R;;;;;N;;;;;
        "\u0806",  # ;SAMARITAN LETTER ZEN;Lo;0;R;;;;;N;;;;;
        "\u0807",  # ;SAMARITAN LETTER IT;Lo;0;R;;;;;N;;;;;
        "\u0808",  # ;SAMARITAN LETTER TIT;Lo;0;R;;;;;N;;;;;
        "\u0809",  # ;SAMARITAN LETTER YUT;Lo;0;R;;;;;N;;;;;
        "\u080A",  # ;SAMARITAN LETTER KAAF;Lo;0;R;;;;;N;;;;;
        "\u080B",  # ;SAMARITAN LETTER LABAT;Lo;0;R;;;;;N;;;;;
        "\u080C",  # ;SAMARITAN LETTER MIM;Lo;0;R;;;;;N;;;;;
        "\u080D",  # ;SAMARITAN LETTER NUN;Lo;0;R;;;;;N;;;;;
        "\u080E",  # ;SAMARITAN LETTER SINGAAT;Lo;0;R;;;;;N;;;;;
        "\u080F",  # ;SAMARITAN LETTER IN;Lo;0;R;;;;;N;;;;;
        "\u0810",  # ;SAMARITAN LETTER FI;Lo;0;R;;;;;N;;;;;
        "\u0811",  # ;SAMARITAN LETTER TSAADIY;Lo;0;R;;;;;N;;;;;
        "\u0812",  # ;SAMARITAN LETTER QUF;Lo;0;R;;;;;N;;;;;
        "\u0813",  # ;SAMARITAN LETTER RISH;Lo;0;R;;;;;N;;;;;
        "\u0814",  # ;SAMARITAN LETTER SHAN;Lo;0;R;;;;;N;;;;;
        "\u0815",  # ;SAMARITAN LETTER TAAF;Lo;0;R;;;;;N;;;;;
        "\u0816",  # ;SAMARITAN MARK IN;Mn;230;NSM;;;;;N;;;;;
        "\u0817",  # ;SAMARITAN MARK IN-ALAF;Mn;230;NSM;;;;;N;;;;;
        "\u0818",  # ;SAMARITAN MARK OCCLUSION;Mn;230;NSM;;;;;N;;;;;
        "\u0819",  # ;SAMARITAN MARK DAGESH;Mn;230;NSM;;;;;N;;;;;
        "\u081A",  # ;SAMARITAN MODIFIER LETTER EPENTHETIC YUT;Lm;0;R;;;;;N;;;;;
        "\u081B",  # ;SAMARITAN MARK EPENTHETIC YUT;Mn;230;NSM;;;;;N;;;;;
        "\u081C",  # ;SAMARITAN VOWEL SIGN LONG E;Mn;230;NSM;;;;;N;;;;;
        "\u081D",  # ;SAMARITAN VOWEL SIGN E;Mn;230;NSM;;;;;N;;;;;
        "\u081E",  # ;SAMARITAN VOWEL SIGN OVERLONG AA;Mn;230;NSM;;;;;N;;;;;
        "\u081F",  # ;SAMARITAN VOWEL SIGN LONG AA;Mn;230;NSM;;;;;N;;;;;
        "\u0820",  # ;SAMARITAN VOWEL SIGN AA;Mn;230;NSM;;;;;N;;;;;
        "\u0821",  # ;SAMARITAN VOWEL SIGN OVERLONG A;Mn;230;NSM;;;;;N;;;;;
        "\u0822",  # ;SAMARITAN VOWEL SIGN LONG A;Mn;230;NSM;;;;;N;;;;;
        "\u0823",  # ;SAMARITAN VOWEL SIGN A;Mn;230;NSM;;;;;N;;;;;
        "\u0824",  # ;SAMARITAN MODIFIER LETTER SHORT A;Lm;0;R;;;;;N;;;;;
        "\u0825",  # ;SAMARITAN VOWEL SIGN SHORT A;Mn;230;NSM;;;;;N;;;;;
        "\u0826",  # ;SAMARITAN VOWEL SIGN LONG U;Mn;230;NSM;;;;;N;;;;;
        "\u0827",  # ;SAMARITAN VOWEL SIGN U;Mn;230;NSM;;;;;N;;;;;
        "\u0828",  # ;SAMARITAN MODIFIER LETTER I;Lm;0;R;;;;;N;;;;;
        "\u0829",  # ;SAMARITAN VOWEL SIGN LONG I;Mn;230;NSM;;;;;N;;;;;
        "\u082A",  # ;SAMARITAN VOWEL SIGN I;Mn;230;NSM;;;;;N;;;;;
        "\u082B",  # ;SAMARITAN VOWEL SIGN O;Mn;230;NSM;;;;;N;;;;;
        "\u082C",  # ;SAMARITAN VOWEL SIGN SUKUN;Mn;230;NSM;;;;;N;;;;;
        "\u082D",  # ;SAMARITAN MARK NEQUDAA;Mn;230;NSM;;;;;N;;;;;
        "\u0830",  # ;SAMARITAN PUNCTUATION NEQUDAA;Po;0;R;;;;;N;;;;;
        "\u0831",  # ;SAMARITAN PUNCTUATION AFSAAQ;Po;0;R;;;;;N;;;;;
        "\u0832",  # ;SAMARITAN PUNCTUATION ANGED;Po;0;R;;;;;N;;;;;
        "\u0833",  # ;SAMARITAN PUNCTUATION BAU;Po;0;R;;;;;N;;;;;
        "\u0834",  # ;SAMARITAN PUNCTUATION ATMAAU;Po;0;R;;;;;N;;;;;
        "\u0835",  # ;SAMARITAN PUNCTUATION SHIYYAALAA;Po;0;R;;;;;N;;;;;
        "\u0836",  # ;SAMARITAN ABBREVIATION MARK;Po;0;R;;;;;N;;;;;
        "\u0837",  # ;SAMARITAN PUNCTUATION MELODIC QITSA;Po;0;R;;;;;N;;;;;
        "\u0838",  # ;SAMARITAN PUNCTUATION ZIQAA;Po;0;R;;;;;N;;;;;
        "\u0839",  # ;SAMARITAN PUNCTUATION QITSA;Po;0;R;;;;;N;;;;;
        "\u083A",  # ;SAMARITAN PUNCTUATION ZAEF;Po;0;R;;;;;N;;;;;
        "\u083B",  # ;SAMARITAN PUNCTUATION TURU;Po;0;R;;;;;N;;;;;
        "\u083C",  # ;SAMARITAN PUNCTUATION ARKAANU;Po;0;R;;;;;N;;;;;
        "\u083D",  # ;SAMARITAN PUNCTUATION SOF MASHFAAT;Po;0;R;;;;;N;;;;;
        "\u083E",  # ;SAMARITAN PUNCTUATION ANNAAU;Po;0;R;;;;;N;;;;;
        "\u0840",  # ;MANDAIC LETTER HALQA;Lo;0;R;;;;;N;;;;;
        "\u0841",  # ;MANDAIC LETTER AB;Lo;0;R;;;;;N;;;;;
        "\u0842",  # ;MANDAIC LETTER AG;Lo;0;R;;;;;N;;;;;
        "\u0843",  # ;MANDAIC LETTER AD;Lo;0;R;;;;;N;;;;;
        "\u0844",  # ;MANDAIC LETTER AH;Lo;0;R;;;;;N;;;;;
        "\u0845",  # ;MANDAIC LETTER USHENNA;Lo;0;R;;;;;N;;;;;
        "\u0846",  # ;MANDAIC LETTER AZ;Lo;0;R;;;;;N;;;;;
        "\u0847",  # ;MANDAIC LETTER IT;Lo;0;R;;;;;N;;;;;
        "\u0848",  # ;MANDAIC LETTER ATT;Lo;0;R;;;;;N;;;;;
        "\u0849",  # ;MANDAIC LETTER AKSA;Lo;0;R;;;;;N;;;;;
        "\u084A",  # ;MANDAIC LETTER AK;Lo;0;R;;;;;N;;;;;
        "\u084B",  # ;MANDAIC LETTER AL;Lo;0;R;;;;;N;;;;;
        "\u084C",  # ;MANDAIC LETTER AM;Lo;0;R;;;;;N;;;;;
        "\u084D",  # ;MANDAIC LETTER AN;Lo;0;R;;;;;N;;;;;
        "\u084E",  # ;MANDAIC LETTER AS;Lo;0;R;;;;;N;;;;;
        "\u084F",  # ;MANDAIC LETTER IN;Lo;0;R;;;;;N;;;;;
        "\u0850",  # ;MANDAIC LETTER AP;Lo;0;R;;;;;N;;;;;
        "\u0851",  # ;MANDAIC LETTER ASZ;Lo;0;R;;;;;N;;;;;
        "\u0852",  # ;MANDAIC LETTER AQ;Lo;0;R;;;;;N;;;;;
        "\u0853",  # ;MANDAIC LETTER AR;Lo;0;R;;;;;N;;;;;
        "\u0854",  # ;MANDAIC LETTER ASH;Lo;0;R;;;;;N;;;;;
        "\u0855",  # ;MANDAIC LETTER AT;Lo;0;R;;;;;N;;;;;
        "\u0856",  # ;MANDAIC LETTER DUSHENNA;Lo;0;R;;;;;N;;;;;
        "\u0857",  # ;MANDAIC LETTER KAD;Lo;0;R;;;;;N;;;;;
        "\u0858",  # ;MANDAIC LETTER AIN;Lo;0;R;;;;;N;;;;;
        "\u0859",  # ;MANDAIC AFFRICATION MARK;Mn;220;NSM;;;;;N;;;;;
        "\u085A",  # ;MANDAIC VOCALIZATION MARK;Mn;220;NSM;;;;;N;;;;;
        "\u085B",  # ;MANDAIC GEMINATION MARK;Mn;220;NSM;;;;;N;;;;;
        "\u085E",  # ;MANDAIC PUNCTUATION;Po;0;R;;;;;N;;;;;
        "\u0860",  # ;SYRIAC LETTER MALAYALAM NGA;Lo;0;AL;;;;;N;;;;;
        "\u0861",  # ;SYRIAC LETTER MALAYALAM JA;Lo;0;AL;;;;;N;;;;;
        "\u0862",  # ;SYRIAC LETTER MALAYALAM NYA;Lo;0;AL;;;;;N;;;;;
        "\u0863",  # ;SYRIAC LETTER MALAYALAM TTA;Lo;0;AL;;;;;N;;;;;
        "\u0864",  # ;SYRIAC LETTER MALAYALAM NNA;Lo;0;AL;;;;;N;;;;;
        "\u0865",  # ;SYRIAC LETTER MALAYALAM NNNA;Lo;0;AL;;;;;N;;;;;
        "\u0866",  # ;SYRIAC LETTER MALAYALAM BHA;Lo;0;AL;;;;;N;;;;;
        "\u0867",  # ;SYRIAC LETTER MALAYALAM RA;Lo;0;AL;;;;;N;;;;;
        "\u0868",  # ;SYRIAC LETTER MALAYALAM LLA;Lo;0;AL;;;;;N;;;;;
        "\u0869",  # ;SYRIAC LETTER MALAYALAM LLLA;Lo;0;AL;;;;;N;;;;;
        "\u086A",  # ;SYRIAC LETTER MALAYALAM SSA;Lo;0;AL;;;;;N;;;;;
        "\u08A0",  # ;ARABIC LETTER BEH WITH SMALL V BELOW;Lo;0;AL;;;;;N;;;;;
        "\u08A1",  # ;ARABIC LETTER BEH WITH HAMZA ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u08A2",  # ;ARABIC LETTER JEEM WITH TWO DOTS ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u08A3",  # ;ARABIC LETTER TAH WITH TWO DOTS ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u08A4",  # ;ARABIC LETTER FEH WITH DOT BELOW AND THREE DOTS ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u08A5",  # ;ARABIC LETTER QAF WITH DOT BELOW;Lo;0;AL;;;;;N;;;;;
        "\u08A6",  # ;ARABIC LETTER LAM WITH DOUBLE BAR;Lo;0;AL;;;;;N;;;;;
        "\u08A7",  # ;ARABIC LETTER MEEM WITH THREE DOTS ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u08A8",  # ;ARABIC LETTER YEH WITH TWO DOTS BELOW AND HAMZA ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u08A9",  # ;ARABIC LETTER YEH WITH TWO DOTS BELOW AND DOT ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u08AA",  # ;ARABIC LETTER REH WITH LOOP;Lo;0;AL;;;;;N;;;;;
        "\u08AB",  # ;ARABIC LETTER WAW WITH DOT WITHIN;Lo;0;AL;;;;;N;;;;;
        "\u08AC",  # ;ARABIC LETTER ROHINGYA YEH;Lo;0;AL;;;;;N;;;;;
        "\u08AD",  # ;ARABIC LETTER LOW ALEF;Lo;0;AL;;;;;N;;;;;
        "\u08AE",  # ;ARABIC LETTER DAL WITH THREE DOTS BELOW;Lo;0;AL;;;;;N;;;;;
        "\u08AF",  # ;ARABIC LETTER SAD WITH THREE DOTS BELOW;Lo;0;AL;;;;;N;;;;;
        "\u08B0",  # ;ARABIC LETTER GAF WITH INVERTED STROKE;Lo;0;AL;;;;;N;;;;;
        "\u08B1",  # ;ARABIC LETTER STRAIGHT WAW;Lo;0;AL;;;;;N;;;;;
        "\u08B2",  # ;ARABIC LETTER ZAIN WITH INVERTED V ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u08B3",  # ;ARABIC LETTER AIN WITH THREE DOTS BELOW;Lo;0;AL;;;;;N;;;;;
        "\u08B4",  # ;ARABIC LETTER KAF WITH DOT BELOW;Lo;0;AL;;;;;N;;;;;
        "\u08B6",  # ;ARABIC LETTER BEH WITH SMALL MEEM ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u08B7",  # ;ARABIC LETTER PEH WITH SMALL MEEM ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u08B8",  # ;ARABIC LETTER TEH WITH SMALL TEH ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u08B9",  # ;ARABIC LETTER REH WITH SMALL NOON ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u08BA",  # ;ARABIC LETTER YEH WITH TWO DOTS BELOW AND SMALL NOON ABOVE;Lo;0;AL;;;;;N;;;;;
        "\u08BB",  # ;ARABIC LETTER AFRICAN FEH;Lo;0;AL;;;;;N;;;;;
        "\u08BC",  # ;ARABIC LETTER AFRICAN QAF;Lo;0;AL;;;;;N;;;;;
        "\u08BD",  # ;ARABIC LETTER AFRICAN NOON;Lo;0;AL;;;;;N;;;;;
        "\u08D4",  # ;ARABIC SMALL HIGH WORD AR-RUB;Mn;230;NSM;;;;;N;;;;;
        "\u08D5",  # ;ARABIC SMALL HIGH SAD;Mn;230;NSM;;;;;N;;;;;
        "\u08D6",  # ;ARABIC SMALL HIGH AIN;Mn;230;NSM;;;;;N;;;;;
        "\u08D7",  # ;ARABIC SMALL HIGH QAF;Mn;230;NSM;;;;;N;;;;;
        "\u08D8",  # ;ARABIC SMALL HIGH NOON WITH KASRA;Mn;230;NSM;;;;;N;;;;;
        "\u08D9",  # ;ARABIC SMALL LOW NOON WITH KASRA;Mn;230;NSM;;;;;N;;;;;
        "\u08DA",  # ;ARABIC SMALL HIGH WORD ATH-THALATHA;Mn;230;NSM;;;;;N;;;;;
        "\u08DB",  # ;ARABIC SMALL HIGH WORD AS-SAJDA;Mn;230;NSM;;;;;N;;;;;
        "\u08DC",  # ;ARABIC SMALL HIGH WORD AN-NISF;Mn;230;NSM;;;;;N;;;;;
        "\u08DD",  # ;ARABIC SMALL HIGH WORD SAKTA;Mn;230;NSM;;;;;N;;;;;
        "\u08DE",  # ;ARABIC SMALL HIGH WORD QIF;Mn;230;NSM;;;;;N;;;;;
        "\u08DF",  # ;ARABIC SMALL HIGH WORD WAQFA;Mn;230;NSM;;;;;N;;;;;
        "\u08E0",  # ;ARABIC SMALL HIGH FOOTNOTE MARKER;Mn;230;NSM;;;;;N;;;;;
        "\u08E1",  # ;ARABIC SMALL HIGH SIGN SAFHA;Mn;230;NSM;;;;;N;;;;;
        "\u08E2",  # ;ARABIC DISPUTED END OF AYAH;Cf;0;AN;;;;;N;;;;;
        "\u08E3",  # ;ARABIC TURNED DAMMA BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u08E4",  # ;ARABIC CURLY FATHA;Mn;230;NSM;;;;;N;;;;;
        "\u08E5",  # ;ARABIC CURLY DAMMA;Mn;230;NSM;;;;;N;;;;;
        "\u08E6",  # ;ARABIC CURLY KASRA;Mn;220;NSM;;;;;N;;;;;
        "\u08E7",  # ;ARABIC CURLY FATHATAN;Mn;230;NSM;;;;;N;;;;;
        "\u08E8",  # ;ARABIC CURLY DAMMATAN;Mn;230;NSM;;;;;N;;;;;
        "\u08E9",  # ;ARABIC CURLY KASRATAN;Mn;220;NSM;;;;;N;;;;;
        "\u08EA",  # ;ARABIC TONE ONE DOT ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u08EB",  # ;ARABIC TONE TWO DOTS ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u08EC",  # ;ARABIC TONE LOOP ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u08ED",  # ;ARABIC TONE ONE DOT BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u08EE",  # ;ARABIC TONE TWO DOTS BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u08EF",  # ;ARABIC TONE LOOP BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u08F0",  # ;ARABIC OPEN FATHATAN;Mn;27;NSM;;;;;N;;;;;
        "\u08F1",  # ;ARABIC OPEN DAMMATAN;Mn;28;NSM;;;;;N;;;;;
        "\u08F2",  # ;ARABIC OPEN KASRATAN;Mn;29;NSM;;;;;N;;;;;
        "\u08F3",  # ;ARABIC SMALL HIGH WAW;Mn;230;NSM;;;;;N;;;;;
        "\u08F4",  # ;ARABIC FATHA WITH RING;Mn;230;NSM;;;;;N;;;;;
        "\u08F5",  # ;ARABIC FATHA WITH DOT ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u08F6",  # ;ARABIC KASRA WITH DOT BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u08F7",  # ;ARABIC LEFT ARROWHEAD ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u08F8",  # ;ARABIC RIGHT ARROWHEAD ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u08F9",  # ;ARABIC LEFT ARROWHEAD BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u08FA",  # ;ARABIC RIGHT ARROWHEAD BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u08FB",  # ;ARABIC DOUBLE RIGHT ARROWHEAD ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u08FC",  # ;ARABIC DOUBLE RIGHT ARROWHEAD ABOVE WITH DOT;Mn;230;NSM;;;;;N;;;;;
        "\u08FD",  # ;ARABIC RIGHT ARROWHEAD ABOVE WITH DOT;Mn;230;NSM;;;;;N;;;;;
        "\u08FE",  # ;ARABIC DAMMA WITH DOT;Mn;230;NSM;;;;;N;;;;;
        "\u08FF",  # ;ARABIC MARK SIDEWAYS NOON GHUNNA;Mn;230;NSM;;;;;N;;;;;
        "\u0900",  # ;DEVANAGARI SIGN INVERTED CANDRABINDU;Mn;0;NSM;;;;;N;;;;;
        "\u0901",  # ;DEVANAGARI SIGN CANDRABINDU;Mn;0;NSM;;;;;N;;;;;
        "\u0902",  # ;DEVANAGARI SIGN ANUSVARA;Mn;0;NSM;;;;;N;;;;;
        "\u0903",  # ;DEVANAGARI SIGN VISARGA;Mc;0;L;;;;;N;;;;;
        "\u0904",  # ;DEVANAGARI LETTER SHORT A;Lo;0;L;;;;;N;;;;;
        "\u0905",  # ;DEVANAGARI LETTER A;Lo;0;L;;;;;N;;;;;
        "\u0906",  # ;DEVANAGARI LETTER AA;Lo;0;L;;;;;N;;;;;
        "\u0907",  # ;DEVANAGARI LETTER I;Lo;0;L;;;;;N;;;;;
        "\u0908",  # ;DEVANAGARI LETTER II;Lo;0;L;;;;;N;;;;;
        "\u0909",  # ;DEVANAGARI LETTER U;Lo;0;L;;;;;N;;;;;
        "\u090A",  # ;DEVANAGARI LETTER UU;Lo;0;L;;;;;N;;;;;
        "\u090B",  # ;DEVANAGARI LETTER VOCALIC R;Lo;0;L;;;;;N;;;;;
        "\u090C",  # ;DEVANAGARI LETTER VOCALIC L;Lo;0;L;;;;;N;;;;;
        "\u090D",  # ;DEVANAGARI LETTER CANDRA E;Lo;0;L;;;;;N;;;;;
        "\u090E",  # ;DEVANAGARI LETTER SHORT E;Lo;0;L;;;;;N;;;;;
        "\u090F",  # ;DEVANAGARI LETTER E;Lo;0;L;;;;;N;;;;;
        "\u0910",  # ;DEVANAGARI LETTER AI;Lo;0;L;;;;;N;;;;;
        "\u0911",  # ;DEVANAGARI LETTER CANDRA O;Lo;0;L;;;;;N;;;;;
        "\u0912",  # ;DEVANAGARI LETTER SHORT O;Lo;0;L;;;;;N;;;;;
        "\u0913",  # ;DEVANAGARI LETTER O;Lo;0;L;;;;;N;;;;;
        "\u0914",  # ;DEVANAGARI LETTER AU;Lo;0;L;;;;;N;;;;;
        "\u0915",  # ;DEVANAGARI LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u0916",  # ;DEVANAGARI LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u0917",  # ;DEVANAGARI LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u0918",  # ;DEVANAGARI LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u0919",  # ;DEVANAGARI LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u091A",  # ;DEVANAGARI LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u091B",  # ;DEVANAGARI LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u091C",  # ;DEVANAGARI LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u091D",  # ;DEVANAGARI LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\u091E",  # ;DEVANAGARI LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u091F",  # ;DEVANAGARI LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u0920",  # ;DEVANAGARI LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u0921",  # ;DEVANAGARI LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u0922",  # ;DEVANAGARI LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\u0923",  # ;DEVANAGARI LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u0924",  # ;DEVANAGARI LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u0925",  # ;DEVANAGARI LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u0926",  # ;DEVANAGARI LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u0927",  # ;DEVANAGARI LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u0928",  # ;DEVANAGARI LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u0929",  # ;DEVANAGARI LETTER NNNA;Lo;0;L;0928 093C;;;;N;;;;;
        "\u092A",  # ;DEVANAGARI LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u092B",  # ;DEVANAGARI LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u092C",  # ;DEVANAGARI LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u092D",  # ;DEVANAGARI LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u092E",  # ;DEVANAGARI LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u092F",  # ;DEVANAGARI LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u0930",  # ;DEVANAGARI LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u0931",  # ;DEVANAGARI LETTER RRA;Lo;0;L;0930 093C;;;;N;;;;;
        "\u0932",  # ;DEVANAGARI LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u0933",  # ;DEVANAGARI LETTER LLA;Lo;0;L;;;;;N;;;;;
        "\u0934",  # ;DEVANAGARI LETTER LLLA;Lo;0;L;0933 093C;;;;N;;;;;
        "\u0935",  # ;DEVANAGARI LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u0936",  # ;DEVANAGARI LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u0937",  # ;DEVANAGARI LETTER SSA;Lo;0;L;;;;;N;;;;;
        "\u0938",  # ;DEVANAGARI LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u0939",  # ;DEVANAGARI LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u093A",  # ;DEVANAGARI VOWEL SIGN OE;Mn;0;NSM;;;;;N;;;;;
        "\u093B",  # ;DEVANAGARI VOWEL SIGN OOE;Mc;0;L;;;;;N;;;;;
        "\u093C",  # ;DEVANAGARI SIGN NUKTA;Mn;7;NSM;;;;;N;;;;;
        "\u093D",  # ;DEVANAGARI SIGN AVAGRAHA;Lo;0;L;;;;;N;;;;;
        "\u093E",  # ;DEVANAGARI VOWEL SIGN AA;Mc;0;L;;;;;N;;;;;
        "\u093F",  # ;DEVANAGARI VOWEL SIGN I;Mc;0;L;;;;;N;;;;;
        "\u0940",  # ;DEVANAGARI VOWEL SIGN II;Mc;0;L;;;;;N;;;;;
        "\u0941",  # ;DEVANAGARI VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u0942",  # ;DEVANAGARI VOWEL SIGN UU;Mn;0;NSM;;;;;N;;;;;
        "\u0943",  # ;DEVANAGARI VOWEL SIGN VOCALIC R;Mn;0;NSM;;;;;N;;;;;
        "\u0944",  # ;DEVANAGARI VOWEL SIGN VOCALIC RR;Mn;0;NSM;;;;;N;;;;;
        "\u0945",  # ;DEVANAGARI VOWEL SIGN CANDRA E;Mn;0;NSM;;;;;N;;;;;
        "\u0946",  # ;DEVANAGARI VOWEL SIGN SHORT E;Mn;0;NSM;;;;;N;;;;;
        "\u0947",  # ;DEVANAGARI VOWEL SIGN E;Mn;0;NSM;;;;;N;;;;;
        "\u0948",  # ;DEVANAGARI VOWEL SIGN AI;Mn;0;NSM;;;;;N;;;;;
        "\u0949",  # ;DEVANAGARI VOWEL SIGN CANDRA O;Mc;0;L;;;;;N;;;;;
        "\u094A",  # ;DEVANAGARI VOWEL SIGN SHORT O;Mc;0;L;;;;;N;;;;;
        "\u094B",  # ;DEVANAGARI VOWEL SIGN O;Mc;0;L;;;;;N;;;;;
        "\u094C",  # ;DEVANAGARI VOWEL SIGN AU;Mc;0;L;;;;;N;;;;;
        "\u094D",  # ;DEVANAGARI SIGN VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\u094E",  # ;DEVANAGARI VOWEL SIGN PRISHTHAMATRA E;Mc;0;L;;;;;N;;;;;
        "\u094F",  # ;DEVANAGARI VOWEL SIGN AW;Mc;0;L;;;;;N;;;;;
        "\u0950",  # ;DEVANAGARI OM;Lo;0;L;;;;;N;;;;;
        "\u0951",  # ;DEVANAGARI STRESS SIGN UDATTA;Mn;230;NSM;;;;;N;;;;;
        "\u0952",  # ;DEVANAGARI STRESS SIGN ANUDATTA;Mn;220;NSM;;;;;N;;;;;
        "\u0953",  # ;DEVANAGARI GRAVE ACCENT;Mn;230;NSM;;;;;N;;;;;
        "\u0954",  # ;DEVANAGARI ACUTE ACCENT;Mn;230;NSM;;;;;N;;;;;
        "\u0955",  # ;DEVANAGARI VOWEL SIGN CANDRA LONG E;Mn;0;NSM;;;;;N;;;;;
        "\u0956",  # ;DEVANAGARI VOWEL SIGN UE;Mn;0;NSM;;;;;N;;;;;
        "\u0957",  # ;DEVANAGARI VOWEL SIGN UUE;Mn;0;NSM;;;;;N;;;;;
        "\u0958",  # ;DEVANAGARI LETTER QA;Lo;0;L;0915 093C;;;;N;;;;;
        "\u0959",  # ;DEVANAGARI LETTER KHHA;Lo;0;L;0916 093C;;;;N;;;;;
        "\u095A",  # ;DEVANAGARI LETTER GHHA;Lo;0;L;0917 093C;;;;N;;;;;
        "\u095B",  # ;DEVANAGARI LETTER ZA;Lo;0;L;091C 093C;;;;N;;;;;
        "\u095C",  # ;DEVANAGARI LETTER DDDHA;Lo;0;L;0921 093C;;;;N;;;;;
        "\u095D",  # ;DEVANAGARI LETTER RHA;Lo;0;L;0922 093C;;;;N;;;;;
        "\u095E",  # ;DEVANAGARI LETTER FA;Lo;0;L;092B 093C;;;;N;;;;;
        "\u095F",  # ;DEVANAGARI LETTER YYA;Lo;0;L;092F 093C;;;;N;;;;;
        "\u0960",  # ;DEVANAGARI LETTER VOCALIC RR;Lo;0;L;;;;;N;;;;;
        "\u0961",  # ;DEVANAGARI LETTER VOCALIC LL;Lo;0;L;;;;;N;;;;;
        "\u0962",  # ;DEVANAGARI VOWEL SIGN VOCALIC L;Mn;0;NSM;;;;;N;;;;;
        "\u0963",  # ;DEVANAGARI VOWEL SIGN VOCALIC LL;Mn;0;NSM;;;;;N;;;;;
        "\u0964",  # ;DEVANAGARI DANDA;Po;0;L;;;;;N;;;;;
        "\u0965",  # ;DEVANAGARI DOUBLE DANDA;Po;0;L;;;;;N;;;;;
        "\u0966",  # ;DEVANAGARI DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u0967",  # ;DEVANAGARI DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u0968",  # ;DEVANAGARI DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u0969",  # ;DEVANAGARI DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u096A",  # ;DEVANAGARI DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u096B",  # ;DEVANAGARI DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u096C",  # ;DEVANAGARI DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u096D",  # ;DEVANAGARI DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u096E",  # ;DEVANAGARI DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u096F",  # ;DEVANAGARI DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u0970",  # ;DEVANAGARI ABBREVIATION SIGN;Po;0;L;;;;;N;;;;;
        "\u0971",  # ;DEVANAGARI SIGN HIGH SPACING DOT;Lm;0;L;;;;;N;;;;;
        "\u0972",  # ;DEVANAGARI LETTER CANDRA A;Lo;0;L;;;;;N;;;;;
        "\u0973",  # ;DEVANAGARI LETTER OE;Lo;0;L;;;;;N;;;;;
        "\u0974",  # ;DEVANAGARI LETTER OOE;Lo;0;L;;;;;N;;;;;
        "\u0975",  # ;DEVANAGARI LETTER AW;Lo;0;L;;;;;N;;;;;
        "\u0976",  # ;DEVANAGARI LETTER UE;Lo;0;L;;;;;N;;;;;
        "\u0977",  # ;DEVANAGARI LETTER UUE;Lo;0;L;;;;;N;;;;;
        "\u0978",  # ;DEVANAGARI LETTER MARWARI DDA;Lo;0;L;;;;;N;;;;;
        "\u0979",  # ;DEVANAGARI LETTER ZHA;Lo;0;L;;;;;N;;;;;
        "\u097A",  # ;DEVANAGARI LETTER HEAVY YA;Lo;0;L;;;;;N;;;;;
        "\u097B",  # ;DEVANAGARI LETTER GGA;Lo;0;L;;;;;N;;;;;
        "\u097C",  # ;DEVANAGARI LETTER JJA;Lo;0;L;;;;;N;;;;;
        "\u097D",  # ;DEVANAGARI LETTER GLOTTAL STOP;Lo;0;L;;;;;N;;;;;
        "\u097E",  # ;DEVANAGARI LETTER DDDA;Lo;0;L;;;;;N;;;;;
        "\u097F",  # ;DEVANAGARI LETTER BBA;Lo;0;L;;;;;N;;;;;
        "\u0980",  # ;BENGALI ANJI;Lo;0;L;;;;;N;;;;;
        "\u0981",  # ;BENGALI SIGN CANDRABINDU;Mn;0;NSM;;;;;N;;;;;
        "\u0982",  # ;BENGALI SIGN ANUSVARA;Mc;0;L;;;;;N;;;;;
        "\u0983",  # ;BENGALI SIGN VISARGA;Mc;0;L;;;;;N;;;;;
        "\u0985",  # ;BENGALI LETTER A;Lo;0;L;;;;;N;;;;;
        "\u0986",  # ;BENGALI LETTER AA;Lo;0;L;;;;;N;;;;;
        "\u0987",  # ;BENGALI LETTER I;Lo;0;L;;;;;N;;;;;
        "\u0988",  # ;BENGALI LETTER II;Lo;0;L;;;;;N;;;;;
        "\u0989",  # ;BENGALI LETTER U;Lo;0;L;;;;;N;;;;;
        "\u098A",  # ;BENGALI LETTER UU;Lo;0;L;;;;;N;;;;;
        "\u098B",  # ;BENGALI LETTER VOCALIC R;Lo;0;L;;;;;N;;;;;
        "\u098C",  # ;BENGALI LETTER VOCALIC L;Lo;0;L;;;;;N;;;;;
        "\u098F",  # ;BENGALI LETTER E;Lo;0;L;;;;;N;;;;;
        "\u0990",  # ;BENGALI LETTER AI;Lo;0;L;;;;;N;;;;;
        "\u0993",  # ;BENGALI LETTER O;Lo;0;L;;;;;N;;;;;
        "\u0994",  # ;BENGALI LETTER AU;Lo;0;L;;;;;N;;;;;
        "\u0995",  # ;BENGALI LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u0996",  # ;BENGALI LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u0997",  # ;BENGALI LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u0998",  # ;BENGALI LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u0999",  # ;BENGALI LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u099A",  # ;BENGALI LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u099B",  # ;BENGALI LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u099C",  # ;BENGALI LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u099D",  # ;BENGALI LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\u099E",  # ;BENGALI LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u099F",  # ;BENGALI LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u09A0",  # ;BENGALI LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u09A1",  # ;BENGALI LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u09A2",  # ;BENGALI LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\u09A3",  # ;BENGALI LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u09A4",  # ;BENGALI LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u09A5",  # ;BENGALI LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u09A6",  # ;BENGALI LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u09A7",  # ;BENGALI LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u09A8",  # ;BENGALI LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u09AA",  # ;BENGALI LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u09AB",  # ;BENGALI LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u09AC",  # ;BENGALI LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u09AD",  # ;BENGALI LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u09AE",  # ;BENGALI LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u09AF",  # ;BENGALI LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u09B0",  # ;BENGALI LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u09B2",  # ;BENGALI LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u09B6",  # ;BENGALI LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u09B7",  # ;BENGALI LETTER SSA;Lo;0;L;;;;;N;;;;;
        "\u09B8",  # ;BENGALI LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u09B9",  # ;BENGALI LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u09BC",  # ;BENGALI SIGN NUKTA;Mn;7;NSM;;;;;N;;;;;
        "\u09BD",  # ;BENGALI SIGN AVAGRAHA;Lo;0;L;;;;;N;;;;;
        "\u09BE",  # ;BENGALI VOWEL SIGN AA;Mc;0;L;;;;;N;;;;;
        "\u09BF",  # ;BENGALI VOWEL SIGN I;Mc;0;L;;;;;N;;;;;
        "\u09C0",  # ;BENGALI VOWEL SIGN II;Mc;0;L;;;;;N;;;;;
        "\u09C1",  # ;BENGALI VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u09C2",  # ;BENGALI VOWEL SIGN UU;Mn;0;NSM;;;;;N;;;;;
        "\u09C3",  # ;BENGALI VOWEL SIGN VOCALIC R;Mn;0;NSM;;;;;N;;;;;
        "\u09C4",  # ;BENGALI VOWEL SIGN VOCALIC RR;Mn;0;NSM;;;;;N;;;;;
        "\u09C7",  # ;BENGALI VOWEL SIGN E;Mc;0;L;;;;;N;;;;;
        "\u09C8",  # ;BENGALI VOWEL SIGN AI;Mc;0;L;;;;;N;;;;;
        "\u09CB",  # ;BENGALI VOWEL SIGN O;Mc;0;L;09C7 09BE;;;;N;;;;;
        "\u09CC",  # ;BENGALI VOWEL SIGN AU;Mc;0;L;09C7 09D7;;;;N;;;;;
        "\u09CD",  # ;BENGALI SIGN VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\u09CE",  # ;BENGALI LETTER KHANDA TA;Lo;0;L;;;;;N;;;;;
        "\u09D7",  # ;BENGALI AU LENGTH MARK;Mc;0;L;;;;;N;;;;;
        "\u09DC",  # ;BENGALI LETTER RRA;Lo;0;L;09A1 09BC;;;;N;;;;;
        "\u09DD",  # ;BENGALI LETTER RHA;Lo;0;L;09A2 09BC;;;;N;;;;;
        "\u09DF",  # ;BENGALI LETTER YYA;Lo;0;L;09AF 09BC;;;;N;;;;;
        "\u09E0",  # ;BENGALI LETTER VOCALIC RR;Lo;0;L;;;;;N;;;;;
        "\u09E1",  # ;BENGALI LETTER VOCALIC LL;Lo;0;L;;;;;N;;;;;
        "\u09E2",  # ;BENGALI VOWEL SIGN VOCALIC L;Mn;0;NSM;;;;;N;;;;;
        "\u09E3",  # ;BENGALI VOWEL SIGN VOCALIC LL;Mn;0;NSM;;;;;N;;;;;
        "\u09E6",  # ;BENGALI DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u09E7",  # ;BENGALI DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u09E8",  # ;BENGALI DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u09E9",  # ;BENGALI DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u09EA",  # ;BENGALI DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u09EB",  # ;BENGALI DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u09EC",  # ;BENGALI DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u09ED",  # ;BENGALI DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u09EE",  # ;BENGALI DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u09EF",  # ;BENGALI DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u09F0",  # ;BENGALI LETTER RA WITH MIDDLE DIAGONAL;Lo;0;L;;;;;N;;;;;
        "\u09F1",  # ;BENGALI LETTER RA WITH LOWER DIAGONAL;Lo;0;L;;;;;N;BENGALI LETTER VA WITH LOWER DIAGONAL;;;;
        "\u09F2",  # ;BENGALI RUPEE MARK;Sc;0;ET;;;;;N;;;;;
        "\u09F3",  # ;BENGALI RUPEE SIGN;Sc;0;ET;;;;;N;;;;;
        "\u09F4",  # ;BENGALI CURRENCY NUMERATOR ONE;No;0;L;;;;1/16;N;;;;;
        "\u09F5",  # ;BENGALI CURRENCY NUMERATOR TWO;No;0;L;;;;1/8;N;;;;;
        "\u09F6",  # ;BENGALI CURRENCY NUMERATOR THREE;No;0;L;;;;3/16;N;;;;;
        "\u09F7",  # ;BENGALI CURRENCY NUMERATOR FOUR;No;0;L;;;;1/4;N;;;;;
        "\u09F8",  # ;BENGALI CURRENCY NUMERATOR ONE LESS THAN THE DENOMINATOR;No;0;L;;;;3/4;N;;;;;
        "\u09F9",  # ;BENGALI CURRENCY DENOMINATOR SIXTEEN;No;0;L;;;;16;N;;;;;
        "\u09FA",  # ;BENGALI ISSHAR;So;0;L;;;;;N;;;;;
        "\u09FB",  # ;BENGALI GANDA MARK;Sc;0;ET;;;;;N;;;;;
        "\u09FC",  # ;BENGALI LETTER VEDIC ANUSVARA;Lo;0;L;;;;;N;;;;;
        "\u09FD",  # ;BENGALI ABBREVIATION SIGN;Po;0;L;;;;;N;;;;;
        "\u0A01",  # ;GURMUKHI SIGN ADAK BINDI;Mn;0;NSM;;;;;N;;;;;
        "\u0A02",  # ;GURMUKHI SIGN BINDI;Mn;0;NSM;;;;;N;;;;;
        "\u0A03",  # ;GURMUKHI SIGN VISARGA;Mc;0;L;;;;;N;;;;;
        "\u0A05",  # ;GURMUKHI LETTER A;Lo;0;L;;;;;N;;;;;
        "\u0A06",  # ;GURMUKHI LETTER AA;Lo;0;L;;;;;N;;;;;
        "\u0A07",  # ;GURMUKHI LETTER I;Lo;0;L;;;;;N;;;;;
        "\u0A08",  # ;GURMUKHI LETTER II;Lo;0;L;;;;;N;;;;;
        "\u0A09",  # ;GURMUKHI LETTER U;Lo;0;L;;;;;N;;;;;
        "\u0A0A",  # ;GURMUKHI LETTER UU;Lo;0;L;;;;;N;;;;;
        "\u0A0F",  # ;GURMUKHI LETTER EE;Lo;0;L;;;;;N;;;;;
        "\u0A10",  # ;GURMUKHI LETTER AI;Lo;0;L;;;;;N;;;;;
        "\u0A13",  # ;GURMUKHI LETTER OO;Lo;0;L;;;;;N;;;;;
        "\u0A14",  # ;GURMUKHI LETTER AU;Lo;0;L;;;;;N;;;;;
        "\u0A15",  # ;GURMUKHI LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u0A16",  # ;GURMUKHI LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u0A17",  # ;GURMUKHI LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u0A18",  # ;GURMUKHI LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u0A19",  # ;GURMUKHI LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u0A1A",  # ;GURMUKHI LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u0A1B",  # ;GURMUKHI LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u0A1C",  # ;GURMUKHI LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u0A1D",  # ;GURMUKHI LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\u0A1E",  # ;GURMUKHI LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u0A1F",  # ;GURMUKHI LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u0A20",  # ;GURMUKHI LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u0A21",  # ;GURMUKHI LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u0A22",  # ;GURMUKHI LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\u0A23",  # ;GURMUKHI LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u0A24",  # ;GURMUKHI LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u0A25",  # ;GURMUKHI LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u0A26",  # ;GURMUKHI LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u0A27",  # ;GURMUKHI LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u0A28",  # ;GURMUKHI LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u0A2A",  # ;GURMUKHI LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u0A2B",  # ;GURMUKHI LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u0A2C",  # ;GURMUKHI LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u0A2D",  # ;GURMUKHI LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u0A2E",  # ;GURMUKHI LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u0A2F",  # ;GURMUKHI LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u0A30",  # ;GURMUKHI LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u0A32",  # ;GURMUKHI LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u0A33",  # ;GURMUKHI LETTER LLA;Lo;0;L;0A32 0A3C;;;;N;;;;;
        "\u0A35",  # ;GURMUKHI LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u0A36",  # ;GURMUKHI LETTER SHA;Lo;0;L;0A38 0A3C;;;;N;;;;;
        "\u0A38",  # ;GURMUKHI LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u0A39",  # ;GURMUKHI LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u0A3C",  # ;GURMUKHI SIGN NUKTA;Mn;7;NSM;;;;;N;;;;;
        "\u0A3E",  # ;GURMUKHI VOWEL SIGN AA;Mc;0;L;;;;;N;;;;;
        "\u0A3F",  # ;GURMUKHI VOWEL SIGN I;Mc;0;L;;;;;N;;;;;
        "\u0A40",  # ;GURMUKHI VOWEL SIGN II;Mc;0;L;;;;;N;;;;;
        "\u0A41",  # ;GURMUKHI VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u0A42",  # ;GURMUKHI VOWEL SIGN UU;Mn;0;NSM;;;;;N;;;;;
        "\u0A47",  # ;GURMUKHI VOWEL SIGN EE;Mn;0;NSM;;;;;N;;;;;
        "\u0A48",  # ;GURMUKHI VOWEL SIGN AI;Mn;0;NSM;;;;;N;;;;;
        "\u0A4B",  # ;GURMUKHI VOWEL SIGN OO;Mn;0;NSM;;;;;N;;;;;
        "\u0A4C",  # ;GURMUKHI VOWEL SIGN AU;Mn;0;NSM;;;;;N;;;;;
        "\u0A4D",  # ;GURMUKHI SIGN VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\u0A51",  # ;GURMUKHI SIGN UDAAT;Mn;0;NSM;;;;;N;;;;;
        "\u0A59",  # ;GURMUKHI LETTER KHHA;Lo;0;L;0A16 0A3C;;;;N;;;;;
        "\u0A5A",  # ;GURMUKHI LETTER GHHA;Lo;0;L;0A17 0A3C;;;;N;;;;;
        "\u0A5B",  # ;GURMUKHI LETTER ZA;Lo;0;L;0A1C 0A3C;;;;N;;;;;
        "\u0A5C",  # ;GURMUKHI LETTER RRA;Lo;0;L;;;;;N;;;;;
        "\u0A5E",  # ;GURMUKHI LETTER FA;Lo;0;L;0A2B 0A3C;;;;N;;;;;
        "\u0A66",  # ;GURMUKHI DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u0A67",  # ;GURMUKHI DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u0A68",  # ;GURMUKHI DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u0A69",  # ;GURMUKHI DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u0A6A",  # ;GURMUKHI DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u0A6B",  # ;GURMUKHI DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u0A6C",  # ;GURMUKHI DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u0A6D",  # ;GURMUKHI DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u0A6E",  # ;GURMUKHI DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u0A6F",  # ;GURMUKHI DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u0A70",  # ;GURMUKHI TIPPI;Mn;0;NSM;;;;;N;;;;;
        "\u0A71",  # ;GURMUKHI ADDAK;Mn;0;NSM;;;;;N;;;;;
        "\u0A72",  # ;GURMUKHI IRI;Lo;0;L;;;;;N;;;;;
        "\u0A73",  # ;GURMUKHI URA;Lo;0;L;;;;;N;;;;;
        "\u0A74",  # ;GURMUKHI EK ONKAR;Lo;0;L;;;;;N;;;;;
        "\u0A75",  # ;GURMUKHI SIGN YAKASH;Mn;0;NSM;;;;;N;;;;;
        "\u0A81",  # ;GUJARATI SIGN CANDRABINDU;Mn;0;NSM;;;;;N;;;;;
        "\u0A82",  # ;GUJARATI SIGN ANUSVARA;Mn;0;NSM;;;;;N;;;;;
        "\u0A83",  # ;GUJARATI SIGN VISARGA;Mc;0;L;;;;;N;;;;;
        "\u0A85",  # ;GUJARATI LETTER A;Lo;0;L;;;;;N;;;;;
        "\u0A86",  # ;GUJARATI LETTER AA;Lo;0;L;;;;;N;;;;;
        "\u0A87",  # ;GUJARATI LETTER I;Lo;0;L;;;;;N;;;;;
        "\u0A88",  # ;GUJARATI LETTER II;Lo;0;L;;;;;N;;;;;
        "\u0A89",  # ;GUJARATI LETTER U;Lo;0;L;;;;;N;;;;;
        "\u0A8A",  # ;GUJARATI LETTER UU;Lo;0;L;;;;;N;;;;;
        "\u0A8B",  # ;GUJARATI LETTER VOCALIC R;Lo;0;L;;;;;N;;;;;
        "\u0A8C",  # ;GUJARATI LETTER VOCALIC L;Lo;0;L;;;;;N;;;;;
        "\u0A8D",  # ;GUJARATI VOWEL CANDRA E;Lo;0;L;;;;;N;;;;;
        "\u0A8F",  # ;GUJARATI LETTER E;Lo;0;L;;;;;N;;;;;
        "\u0A90",  # ;GUJARATI LETTER AI;Lo;0;L;;;;;N;;;;;
        "\u0A91",  # ;GUJARATI VOWEL CANDRA O;Lo;0;L;;;;;N;;;;;
        "\u0A93",  # ;GUJARATI LETTER O;Lo;0;L;;;;;N;;;;;
        "\u0A94",  # ;GUJARATI LETTER AU;Lo;0;L;;;;;N;;;;;
        "\u0A95",  # ;GUJARATI LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u0A96",  # ;GUJARATI LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u0A97",  # ;GUJARATI LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u0A98",  # ;GUJARATI LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u0A99",  # ;GUJARATI LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u0A9A",  # ;GUJARATI LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u0A9B",  # ;GUJARATI LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u0A9C",  # ;GUJARATI LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u0A9D",  # ;GUJARATI LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\u0A9E",  # ;GUJARATI LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u0A9F",  # ;GUJARATI LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u0AA0",  # ;GUJARATI LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u0AA1",  # ;GUJARATI LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u0AA2",  # ;GUJARATI LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\u0AA3",  # ;GUJARATI LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u0AA4",  # ;GUJARATI LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u0AA5",  # ;GUJARATI LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u0AA6",  # ;GUJARATI LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u0AA7",  # ;GUJARATI LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u0AA8",  # ;GUJARATI LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u0AAA",  # ;GUJARATI LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u0AAB",  # ;GUJARATI LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u0AAC",  # ;GUJARATI LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u0AAD",  # ;GUJARATI LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u0AAE",  # ;GUJARATI LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u0AAF",  # ;GUJARATI LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u0AB0",  # ;GUJARATI LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u0AB2",  # ;GUJARATI LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u0AB3",  # ;GUJARATI LETTER LLA;Lo;0;L;;;;;N;;;;;
        "\u0AB5",  # ;GUJARATI LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u0AB6",  # ;GUJARATI LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u0AB7",  # ;GUJARATI LETTER SSA;Lo;0;L;;;;;N;;;;;
        "\u0AB8",  # ;GUJARATI LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u0AB9",  # ;GUJARATI LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u0ABC",  # ;GUJARATI SIGN NUKTA;Mn;7;NSM;;;;;N;;;;;
        "\u0ABD",  # ;GUJARATI SIGN AVAGRAHA;Lo;0;L;;;;;N;;;;;
        "\u0ABE",  # ;GUJARATI VOWEL SIGN AA;Mc;0;L;;;;;N;;;;;
        "\u0ABF",  # ;GUJARATI VOWEL SIGN I;Mc;0;L;;;;;N;;;;;
        "\u0AC0",  # ;GUJARATI VOWEL SIGN II;Mc;0;L;;;;;N;;;;;
        "\u0AC1",  # ;GUJARATI VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u0AC2",  # ;GUJARATI VOWEL SIGN UU;Mn;0;NSM;;;;;N;;;;;
        "\u0AC3",  # ;GUJARATI VOWEL SIGN VOCALIC R;Mn;0;NSM;;;;;N;;;;;
        "\u0AC4",  # ;GUJARATI VOWEL SIGN VOCALIC RR;Mn;0;NSM;;;;;N;;;;;
        "\u0AC5",  # ;GUJARATI VOWEL SIGN CANDRA E;Mn;0;NSM;;;;;N;;;;;
        "\u0AC7",  # ;GUJARATI VOWEL SIGN E;Mn;0;NSM;;;;;N;;;;;
        "\u0AC8",  # ;GUJARATI VOWEL SIGN AI;Mn;0;NSM;;;;;N;;;;;
        "\u0AC9",  # ;GUJARATI VOWEL SIGN CANDRA O;Mc;0;L;;;;;N;;;;;
        "\u0ACB",  # ;GUJARATI VOWEL SIGN O;Mc;0;L;;;;;N;;;;;
        "\u0ACC",  # ;GUJARATI VOWEL SIGN AU;Mc;0;L;;;;;N;;;;;
        "\u0ACD",  # ;GUJARATI SIGN VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\u0AD0",  # ;GUJARATI OM;Lo;0;L;;;;;N;;;;;
        "\u0AE0",  # ;GUJARATI LETTER VOCALIC RR;Lo;0;L;;;;;N;;;;;
        "\u0AE1",  # ;GUJARATI LETTER VOCALIC LL;Lo;0;L;;;;;N;;;;;
        "\u0AE2",  # ;GUJARATI VOWEL SIGN VOCALIC L;Mn;0;NSM;;;;;N;;;;;
        "\u0AE3",  # ;GUJARATI VOWEL SIGN VOCALIC LL;Mn;0;NSM;;;;;N;;;;;
        "\u0AE6",  # ;GUJARATI DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u0AE7",  # ;GUJARATI DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u0AE8",  # ;GUJARATI DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u0AE9",  # ;GUJARATI DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u0AEA",  # ;GUJARATI DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u0AEB",  # ;GUJARATI DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u0AEC",  # ;GUJARATI DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u0AED",  # ;GUJARATI DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u0AEE",  # ;GUJARATI DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u0AEF",  # ;GUJARATI DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u0AF0",  # ;GUJARATI ABBREVIATION SIGN;Po;0;L;;;;;N;;;;;
        "\u0AF1",  # ;GUJARATI RUPEE SIGN;Sc;0;ET;;;;;N;;;;;
        "\u0AF9",  # ;GUJARATI LETTER ZHA;Lo;0;L;;;;;N;;;;;
        "\u0AFA",  # ;GUJARATI SIGN SUKUN;Mn;0;NSM;;;;;N;;;;;
        "\u0AFB",  # ;GUJARATI SIGN SHADDA;Mn;0;NSM;;;;;N;;;;;
        "\u0AFC",  # ;GUJARATI SIGN MADDAH;Mn;0;NSM;;;;;N;;;;;
        "\u0AFD",  # ;GUJARATI SIGN THREE-DOT NUKTA ABOVE;Mn;0;NSM;;;;;N;;;;;
        "\u0AFE",  # ;GUJARATI SIGN CIRCLE NUKTA ABOVE;Mn;0;NSM;;;;;N;;;;;
        "\u0AFF",  # ;GUJARATI SIGN TWO-CIRCLE NUKTA ABOVE;Mn;0;NSM;;;;;N;;;;;
        "\u0B01",  # ;ORIYA SIGN CANDRABINDU;Mn;0;NSM;;;;;N;;;;;
        "\u0B02",  # ;ORIYA SIGN ANUSVARA;Mc;0;L;;;;;N;;;;;
        "\u0B03",  # ;ORIYA SIGN VISARGA;Mc;0;L;;;;;N;;;;;
        "\u0B05",  # ;ORIYA LETTER A;Lo;0;L;;;;;N;;;;;
        "\u0B06",  # ;ORIYA LETTER AA;Lo;0;L;;;;;N;;;;;
        "\u0B07",  # ;ORIYA LETTER I;Lo;0;L;;;;;N;;;;;
        "\u0B08",  # ;ORIYA LETTER II;Lo;0;L;;;;;N;;;;;
        "\u0B09",  # ;ORIYA LETTER U;Lo;0;L;;;;;N;;;;;
        "\u0B0A",  # ;ORIYA LETTER UU;Lo;0;L;;;;;N;;;;;
        "\u0B0B",  # ;ORIYA LETTER VOCALIC R;Lo;0;L;;;;;N;;;;;
        "\u0B0C",  # ;ORIYA LETTER VOCALIC L;Lo;0;L;;;;;N;;;;;
        "\u0B0F",  # ;ORIYA LETTER E;Lo;0;L;;;;;N;;;;;
        "\u0B10",  # ;ORIYA LETTER AI;Lo;0;L;;;;;N;;;;;
        "\u0B13",  # ;ORIYA LETTER O;Lo;0;L;;;;;N;;;;;
        "\u0B14",  # ;ORIYA LETTER AU;Lo;0;L;;;;;N;;;;;
        "\u0B15",  # ;ORIYA LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u0B16",  # ;ORIYA LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u0B17",  # ;ORIYA LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u0B18",  # ;ORIYA LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u0B19",  # ;ORIYA LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u0B1A",  # ;ORIYA LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u0B1B",  # ;ORIYA LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u0B1C",  # ;ORIYA LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u0B1D",  # ;ORIYA LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\u0B1E",  # ;ORIYA LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u0B1F",  # ;ORIYA LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u0B20",  # ;ORIYA LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u0B21",  # ;ORIYA LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u0B22",  # ;ORIYA LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\u0B23",  # ;ORIYA LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u0B24",  # ;ORIYA LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u0B25",  # ;ORIYA LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u0B26",  # ;ORIYA LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u0B27",  # ;ORIYA LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u0B28",  # ;ORIYA LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u0B2A",  # ;ORIYA LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u0B2B",  # ;ORIYA LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u0B2C",  # ;ORIYA LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u0B2D",  # ;ORIYA LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u0B2E",  # ;ORIYA LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u0B2F",  # ;ORIYA LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u0B30",  # ;ORIYA LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u0B32",  # ;ORIYA LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u0B33",  # ;ORIYA LETTER LLA;Lo;0;L;;;;;N;;;;;
        "\u0B35",  # ;ORIYA LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u0B36",  # ;ORIYA LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u0B37",  # ;ORIYA LETTER SSA;Lo;0;L;;;;;N;;;;;
        "\u0B38",  # ;ORIYA LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u0B39",  # ;ORIYA LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u0B3C",  # ;ORIYA SIGN NUKTA;Mn;7;NSM;;;;;N;;;;;
        "\u0B3D",  # ;ORIYA SIGN AVAGRAHA;Lo;0;L;;;;;N;;;;;
        "\u0B3E",  # ;ORIYA VOWEL SIGN AA;Mc;0;L;;;;;N;;;;;
        "\u0B3F",  # ;ORIYA VOWEL SIGN I;Mn;0;NSM;;;;;N;;;;;
        "\u0B40",  # ;ORIYA VOWEL SIGN II;Mc;0;L;;;;;N;;;;;
        "\u0B41",  # ;ORIYA VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u0B42",  # ;ORIYA VOWEL SIGN UU;Mn;0;NSM;;;;;N;;;;;
        "\u0B43",  # ;ORIYA VOWEL SIGN VOCALIC R;Mn;0;NSM;;;;;N;;;;;
        "\u0B44",  # ;ORIYA VOWEL SIGN VOCALIC RR;Mn;0;NSM;;;;;N;;;;;
        "\u0B47",  # ;ORIYA VOWEL SIGN E;Mc;0;L;;;;;N;;;;;
        "\u0B48",  # ;ORIYA VOWEL SIGN AI;Mc;0;L;0B47 0B56;;;;N;;;;;
        "\u0B4B",  # ;ORIYA VOWEL SIGN O;Mc;0;L;0B47 0B3E;;;;N;;;;;
        "\u0B4C",  # ;ORIYA VOWEL SIGN AU;Mc;0;L;0B47 0B57;;;;N;;;;;
        "\u0B4D",  # ;ORIYA SIGN VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\u0B56",  # ;ORIYA AI LENGTH MARK;Mn;0;NSM;;;;;N;;;;;
        "\u0B57",  # ;ORIYA AU LENGTH MARK;Mc;0;L;;;;;N;;;;;
        "\u0B5C",  # ;ORIYA LETTER RRA;Lo;0;L;0B21 0B3C;;;;N;;;;;
        "\u0B5D",  # ;ORIYA LETTER RHA;Lo;0;L;0B22 0B3C;;;;N;;;;;
        "\u0B5F",  # ;ORIYA LETTER YYA;Lo;0;L;;;;;N;;;;;
        "\u0B60",  # ;ORIYA LETTER VOCALIC RR;Lo;0;L;;;;;N;;;;;
        "\u0B61",  # ;ORIYA LETTER VOCALIC LL;Lo;0;L;;;;;N;;;;;
        "\u0B62",  # ;ORIYA VOWEL SIGN VOCALIC L;Mn;0;NSM;;;;;N;;;;;
        "\u0B63",  # ;ORIYA VOWEL SIGN VOCALIC LL;Mn;0;NSM;;;;;N;;;;;
        "\u0B66",  # ;ORIYA DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u0B67",  # ;ORIYA DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u0B68",  # ;ORIYA DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u0B69",  # ;ORIYA DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u0B6A",  # ;ORIYA DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u0B6B",  # ;ORIYA DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u0B6C",  # ;ORIYA DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u0B6D",  # ;ORIYA DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u0B6E",  # ;ORIYA DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u0B6F",  # ;ORIYA DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u0B70",  # ;ORIYA ISSHAR;So;0;L;;;;;N;;;;;
        "\u0B71",  # ;ORIYA LETTER WA;Lo;0;L;;;;;N;;;;;
        "\u0B72",  # ;ORIYA FRACTION ONE QUARTER;No;0;L;;;;1/4;N;;;;;
        "\u0B73",  # ;ORIYA FRACTION ONE HALF;No;0;L;;;;1/2;N;;;;;
        "\u0B74",  # ;ORIYA FRACTION THREE QUARTERS;No;0;L;;;;3/4;N;;;;;
        "\u0B75",  # ;ORIYA FRACTION ONE SIXTEENTH;No;0;L;;;;1/16;N;;;;;
        "\u0B76",  # ;ORIYA FRACTION ONE EIGHTH;No;0;L;;;;1/8;N;;;;;
        "\u0B77",  # ;ORIYA FRACTION THREE SIXTEENTHS;No;0;L;;;;3/16;N;;;;;
        "\u0B82",  # ;TAMIL SIGN ANUSVARA;Mn;0;NSM;;;;;N;;;;;
        "\u0B83",  # ;TAMIL SIGN VISARGA;Lo;0;L;;;;;N;;;;;
        "\u0B85",  # ;TAMIL LETTER A;Lo;0;L;;;;;N;;;;;
        "\u0B86",  # ;TAMIL LETTER AA;Lo;0;L;;;;;N;;;;;
        "\u0B87",  # ;TAMIL LETTER I;Lo;0;L;;;;;N;;;;;
        "\u0B88",  # ;TAMIL LETTER II;Lo;0;L;;;;;N;;;;;
        "\u0B89",  # ;TAMIL LETTER U;Lo;0;L;;;;;N;;;;;
        "\u0B8A",  # ;TAMIL LETTER UU;Lo;0;L;;;;;N;;;;;
        "\u0B8E",  # ;TAMIL LETTER E;Lo;0;L;;;;;N;;;;;
        "\u0B8F",  # ;TAMIL LETTER EE;Lo;0;L;;;;;N;;;;;
        "\u0B90",  # ;TAMIL LETTER AI;Lo;0;L;;;;;N;;;;;
        "\u0B92",  # ;TAMIL LETTER O;Lo;0;L;;;;;N;;;;;
        "\u0B93",  # ;TAMIL LETTER OO;Lo;0;L;;;;;N;;;;;
        "\u0B94",  # ;TAMIL LETTER AU;Lo;0;L;0B92 0BD7;;;;N;;;;;
        "\u0B95",  # ;TAMIL LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u0B99",  # ;TAMIL LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u0B9A",  # ;TAMIL LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u0B9C",  # ;TAMIL LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u0B9E",  # ;TAMIL LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u0B9F",  # ;TAMIL LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u0BA3",  # ;TAMIL LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u0BA4",  # ;TAMIL LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u0BA8",  # ;TAMIL LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u0BA9",  # ;TAMIL LETTER NNNA;Lo;0;L;;;;;N;;;;;
        "\u0BAA",  # ;TAMIL LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u0BAE",  # ;TAMIL LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u0BAF",  # ;TAMIL LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u0BB0",  # ;TAMIL LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u0BB1",  # ;TAMIL LETTER RRA;Lo;0;L;;;;;N;;;;;
        "\u0BB2",  # ;TAMIL LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u0BB3",  # ;TAMIL LETTER LLA;Lo;0;L;;;;;N;;;;;
        "\u0BB4",  # ;TAMIL LETTER LLLA;Lo;0;L;;;;;N;;;;;
        "\u0BB5",  # ;TAMIL LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u0BB6",  # ;TAMIL LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u0BB7",  # ;TAMIL LETTER SSA;Lo;0;L;;;;;N;;;;;
        "\u0BB8",  # ;TAMIL LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u0BB9",  # ;TAMIL LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u0BBE",  # ;TAMIL VOWEL SIGN AA;Mc;0;L;;;;;N;;;;;
        "\u0BBF",  # ;TAMIL VOWEL SIGN I;Mc;0;L;;;;;N;;;;;
        "\u0BC0",  # ;TAMIL VOWEL SIGN II;Mn;0;NSM;;;;;N;;;;;
        "\u0BC1",  # ;TAMIL VOWEL SIGN U;Mc;0;L;;;;;N;;;;;
        "\u0BC2",  # ;TAMIL VOWEL SIGN UU;Mc;0;L;;;;;N;;;;;
        "\u0BC6",  # ;TAMIL VOWEL SIGN E;Mc;0;L;;;;;N;;;;;
        "\u0BC7",  # ;TAMIL VOWEL SIGN EE;Mc;0;L;;;;;N;;;;;
        "\u0BC8",  # ;TAMIL VOWEL SIGN AI;Mc;0;L;;;;;N;;;;;
        "\u0BCA",  # ;TAMIL VOWEL SIGN O;Mc;0;L;0BC6 0BBE;;;;N;;;;;
        "\u0BCB",  # ;TAMIL VOWEL SIGN OO;Mc;0;L;0BC7 0BBE;;;;N;;;;;
        "\u0BCC",  # ;TAMIL VOWEL SIGN AU;Mc;0;L;0BC6 0BD7;;;;N;;;;;
        "\u0BCD",  # ;TAMIL SIGN VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\u0BD0",  # ;TAMIL OM;Lo;0;L;;;;;N;;;;;
        "\u0BD7",  # ;TAMIL AU LENGTH MARK;Mc;0;L;;;;;N;;;;;
        "\u0BE6",  # ;TAMIL DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u0BE7",  # ;TAMIL DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u0BE8",  # ;TAMIL DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u0BE9",  # ;TAMIL DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u0BEA",  # ;TAMIL DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u0BEB",  # ;TAMIL DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u0BEC",  # ;TAMIL DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u0BED",  # ;TAMIL DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u0BEE",  # ;TAMIL DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u0BEF",  # ;TAMIL DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u0BF0",  # ;TAMIL NUMBER TEN;No;0;L;;;;10;N;;;;;
        "\u0BF1",  # ;TAMIL NUMBER ONE HUNDRED;No;0;L;;;;100;N;;;;;
        "\u0BF2",  # ;TAMIL NUMBER ONE THOUSAND;No;0;L;;;;1000;N;;;;;
        "\u0BF3",  # ;TAMIL DAY SIGN;So;0;ON;;;;;N;;;;;
        "\u0BF4",  # ;TAMIL MONTH SIGN;So;0;ON;;;;;N;;;;;
        "\u0BF5",  # ;TAMIL YEAR SIGN;So;0;ON;;;;;N;;;;;
        "\u0BF6",  # ;TAMIL DEBIT SIGN;So;0;ON;;;;;N;;;;;
        "\u0BF7",  # ;TAMIL CREDIT SIGN;So;0;ON;;;;;N;;;;;
        "\u0BF8",  # ;TAMIL AS ABOVE SIGN;So;0;ON;;;;;N;;;;;
        "\u0BF9",  # ;TAMIL RUPEE SIGN;Sc;0;ET;;;;;N;;;;;
        "\u0BFA",  # ;TAMIL NUMBER SIGN;So;0;ON;;;;;N;;;;;
        "\u0C00",  # ;TELUGU SIGN COMBINING CANDRABINDU ABOVE;Mn;0;NSM;;;;;N;;;;;
        "\u0C01",  # ;TELUGU SIGN CANDRABINDU;Mc;0;L;;;;;N;;;;;
        "\u0C02",  # ;TELUGU SIGN ANUSVARA;Mc;0;L;;;;;N;;;;;
        "\u0C03",  # ;TELUGU SIGN VISARGA;Mc;0;L;;;;;N;;;;;
        "\u0C05",  # ;TELUGU LETTER A;Lo;0;L;;;;;N;;;;;
        "\u0C06",  # ;TELUGU LETTER AA;Lo;0;L;;;;;N;;;;;
        "\u0C07",  # ;TELUGU LETTER I;Lo;0;L;;;;;N;;;;;
        "\u0C08",  # ;TELUGU LETTER II;Lo;0;L;;;;;N;;;;;
        "\u0C09",  # ;TELUGU LETTER U;Lo;0;L;;;;;N;;;;;
        "\u0C0A",  # ;TELUGU LETTER UU;Lo;0;L;;;;;N;;;;;
        "\u0C0B",  # ;TELUGU LETTER VOCALIC R;Lo;0;L;;;;;N;;;;;
        "\u0C0C",  # ;TELUGU LETTER VOCALIC L;Lo;0;L;;;;;N;;;;;
        "\u0C0E",  # ;TELUGU LETTER E;Lo;0;L;;;;;N;;;;;
        "\u0C0F",  # ;TELUGU LETTER EE;Lo;0;L;;;;;N;;;;;
        "\u0C10",  # ;TELUGU LETTER AI;Lo;0;L;;;;;N;;;;;
        "\u0C12",  # ;TELUGU LETTER O;Lo;0;L;;;;;N;;;;;
        "\u0C13",  # ;TELUGU LETTER OO;Lo;0;L;;;;;N;;;;;
        "\u0C14",  # ;TELUGU LETTER AU;Lo;0;L;;;;;N;;;;;
        "\u0C15",  # ;TELUGU LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u0C16",  # ;TELUGU LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u0C17",  # ;TELUGU LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u0C18",  # ;TELUGU LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u0C19",  # ;TELUGU LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u0C1A",  # ;TELUGU LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u0C1B",  # ;TELUGU LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u0C1C",  # ;TELUGU LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u0C1D",  # ;TELUGU LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\u0C1E",  # ;TELUGU LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u0C1F",  # ;TELUGU LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u0C20",  # ;TELUGU LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u0C21",  # ;TELUGU LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u0C22",  # ;TELUGU LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\u0C23",  # ;TELUGU LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u0C24",  # ;TELUGU LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u0C25",  # ;TELUGU LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u0C26",  # ;TELUGU LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u0C27",  # ;TELUGU LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u0C28",  # ;TELUGU LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u0C2A",  # ;TELUGU LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u0C2B",  # ;TELUGU LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u0C2C",  # ;TELUGU LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u0C2D",  # ;TELUGU LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u0C2E",  # ;TELUGU LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u0C2F",  # ;TELUGU LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u0C30",  # ;TELUGU LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u0C31",  # ;TELUGU LETTER RRA;Lo;0;L;;;;;N;;;;;
        "\u0C32",  # ;TELUGU LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u0C33",  # ;TELUGU LETTER LLA;Lo;0;L;;;;;N;;;;;
        "\u0C34",  # ;TELUGU LETTER LLLA;Lo;0;L;;;;;N;;;;;
        "\u0C35",  # ;TELUGU LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u0C36",  # ;TELUGU LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u0C37",  # ;TELUGU LETTER SSA;Lo;0;L;;;;;N;;;;;
        "\u0C38",  # ;TELUGU LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u0C39",  # ;TELUGU LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u0C3D",  # ;TELUGU SIGN AVAGRAHA;Lo;0;L;;;;;N;;;;;
        "\u0C3E",  # ;TELUGU VOWEL SIGN AA;Mn;0;NSM;;;;;N;;;;;
        "\u0C3F",  # ;TELUGU VOWEL SIGN I;Mn;0;NSM;;;;;N;;;;;
        "\u0C40",  # ;TELUGU VOWEL SIGN II;Mn;0;NSM;;;;;N;;;;;
        "\u0C41",  # ;TELUGU VOWEL SIGN U;Mc;0;L;;;;;N;;;;;
        "\u0C42",  # ;TELUGU VOWEL SIGN UU;Mc;0;L;;;;;N;;;;;
        "\u0C43",  # ;TELUGU VOWEL SIGN VOCALIC R;Mc;0;L;;;;;N;;;;;
        "\u0C44",  # ;TELUGU VOWEL SIGN VOCALIC RR;Mc;0;L;;;;;N;;;;;
        "\u0C46",  # ;TELUGU VOWEL SIGN E;Mn;0;NSM;;;;;N;;;;;
        "\u0C47",  # ;TELUGU VOWEL SIGN EE;Mn;0;NSM;;;;;N;;;;;
        "\u0C48",  # ;TELUGU VOWEL SIGN AI;Mn;0;NSM;0C46 0C56;;;;N;;;;;
        "\u0C4A",  # ;TELUGU VOWEL SIGN O;Mn;0;NSM;;;;;N;;;;;
        "\u0C4B",  # ;TELUGU VOWEL SIGN OO;Mn;0;NSM;;;;;N;;;;;
        "\u0C4C",  # ;TELUGU VOWEL SIGN AU;Mn;0;NSM;;;;;N;;;;;
        "\u0C4D",  # ;TELUGU SIGN VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\u0C55",  # ;TELUGU LENGTH MARK;Mn;84;NSM;;;;;N;;;;;
        "\u0C56",  # ;TELUGU AI LENGTH MARK;Mn;91;NSM;;;;;N;;;;;
        "\u0C58",  # ;TELUGU LETTER TSA;Lo;0;L;;;;;N;;;;;
        "\u0C59",  # ;TELUGU LETTER DZA;Lo;0;L;;;;;N;;;;;
        "\u0C5A",  # ;TELUGU LETTER RRRA;Lo;0;L;;;;;N;;;;;
        "\u0C60",  # ;TELUGU LETTER VOCALIC RR;Lo;0;L;;;;;N;;;;;
        "\u0C61",  # ;TELUGU LETTER VOCALIC LL;Lo;0;L;;;;;N;;;;;
        "\u0C62",  # ;TELUGU VOWEL SIGN VOCALIC L;Mn;0;NSM;;;;;N;;;;;
        "\u0C63",  # ;TELUGU VOWEL SIGN VOCALIC LL;Mn;0;NSM;;;;;N;;;;;
        "\u0C66",  # ;TELUGU DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u0C67",  # ;TELUGU DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u0C68",  # ;TELUGU DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u0C69",  # ;TELUGU DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u0C6A",  # ;TELUGU DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u0C6B",  # ;TELUGU DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u0C6C",  # ;TELUGU DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u0C6D",  # ;TELUGU DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u0C6E",  # ;TELUGU DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u0C6F",  # ;TELUGU DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u0C78",  # ;TELUGU FRACTION DIGIT ZERO FOR ODD POWERS OF FOUR;No;0;ON;;;;0;N;;;;;
        "\u0C79",  # ;TELUGU FRACTION DIGIT ONE FOR ODD POWERS OF FOUR;No;0;ON;;;;1;N;;;;;
        "\u0C7A",  # ;TELUGU FRACTION DIGIT TWO FOR ODD POWERS OF FOUR;No;0;ON;;;;2;N;;;;;
        "\u0C7B",  # ;TELUGU FRACTION DIGIT THREE FOR ODD POWERS OF FOUR;No;0;ON;;;;3;N;;;;;
        "\u0C7C",  # ;TELUGU FRACTION DIGIT ONE FOR EVEN POWERS OF FOUR;No;0;ON;;;;1;N;;;;;
        "\u0C7D",  # ;TELUGU FRACTION DIGIT TWO FOR EVEN POWERS OF FOUR;No;0;ON;;;;2;N;;;;;
        "\u0C7E",  # ;TELUGU FRACTION DIGIT THREE FOR EVEN POWERS OF FOUR;No;0;ON;;;;3;N;;;;;
        "\u0C7F",  # ;TELUGU SIGN TUUMU;So;0;L;;;;;N;;;;;
        "\u0C80",  # ;KANNADA SIGN SPACING CANDRABINDU;Lo;0;L;;;;;N;;;;;
        "\u0C81",  # ;KANNADA SIGN CANDRABINDU;Mn;0;NSM;;;;;N;;;;;
        "\u0C82",  # ;KANNADA SIGN ANUSVARA;Mc;0;L;;;;;N;;;;;
        "\u0C83",  # ;KANNADA SIGN VISARGA;Mc;0;L;;;;;N;;;;;
        "\u0C85",  # ;KANNADA LETTER A;Lo;0;L;;;;;N;;;;;
        "\u0C86",  # ;KANNADA LETTER AA;Lo;0;L;;;;;N;;;;;
        "\u0C87",  # ;KANNADA LETTER I;Lo;0;L;;;;;N;;;;;
        "\u0C88",  # ;KANNADA LETTER II;Lo;0;L;;;;;N;;;;;
        "\u0C89",  # ;KANNADA LETTER U;Lo;0;L;;;;;N;;;;;
        "\u0C8A",  # ;KANNADA LETTER UU;Lo;0;L;;;;;N;;;;;
        "\u0C8B",  # ;KANNADA LETTER VOCALIC R;Lo;0;L;;;;;N;;;;;
        "\u0C8C",  # ;KANNADA LETTER VOCALIC L;Lo;0;L;;;;;N;;;;;
        "\u0C8E",  # ;KANNADA LETTER E;Lo;0;L;;;;;N;;;;;
        "\u0C8F",  # ;KANNADA LETTER EE;Lo;0;L;;;;;N;;;;;
        "\u0C90",  # ;KANNADA LETTER AI;Lo;0;L;;;;;N;;;;;
        "\u0C92",  # ;KANNADA LETTER O;Lo;0;L;;;;;N;;;;;
        "\u0C93",  # ;KANNADA LETTER OO;Lo;0;L;;;;;N;;;;;
        "\u0C94",  # ;KANNADA LETTER AU;Lo;0;L;;;;;N;;;;;
        "\u0C95",  # ;KANNADA LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u0C96",  # ;KANNADA LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u0C97",  # ;KANNADA LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u0C98",  # ;KANNADA LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u0C99",  # ;KANNADA LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u0C9A",  # ;KANNADA LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u0C9B",  # ;KANNADA LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u0C9C",  # ;KANNADA LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u0C9D",  # ;KANNADA LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\u0C9E",  # ;KANNADA LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u0C9F",  # ;KANNADA LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u0CA0",  # ;KANNADA LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u0CA1",  # ;KANNADA LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u0CA2",  # ;KANNADA LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\u0CA3",  # ;KANNADA LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u0CA4",  # ;KANNADA LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u0CA5",  # ;KANNADA LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u0CA6",  # ;KANNADA LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u0CA7",  # ;KANNADA LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u0CA8",  # ;KANNADA LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u0CAA",  # ;KANNADA LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u0CAB",  # ;KANNADA LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u0CAC",  # ;KANNADA LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u0CAD",  # ;KANNADA LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u0CAE",  # ;KANNADA LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u0CAF",  # ;KANNADA LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u0CB0",  # ;KANNADA LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u0CB1",  # ;KANNADA LETTER RRA;Lo;0;L;;;;;N;;;;;
        "\u0CB2",  # ;KANNADA LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u0CB3",  # ;KANNADA LETTER LLA;Lo;0;L;;;;;N;;;;;
        "\u0CB5",  # ;KANNADA LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u0CB6",  # ;KANNADA LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u0CB7",  # ;KANNADA LETTER SSA;Lo;0;L;;;;;N;;;;;
        "\u0CB8",  # ;KANNADA LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u0CB9",  # ;KANNADA LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u0CBC",  # ;KANNADA SIGN NUKTA;Mn;7;NSM;;;;;N;;;;;
        "\u0CBD",  # ;KANNADA SIGN AVAGRAHA;Lo;0;L;;;;;N;;;;;
        "\u0CBE",  # ;KANNADA VOWEL SIGN AA;Mc;0;L;;;;;N;;;;;
        "\u0CBF",  # ;KANNADA VOWEL SIGN I;Mn;0;L;;;;;N;;;;;
        "\u0CC0",  # ;KANNADA VOWEL SIGN II;Mc;0;L;0CBF 0CD5;;;;N;;;;;
        "\u0CC1",  # ;KANNADA VOWEL SIGN U;Mc;0;L;;;;;N;;;;;
        "\u0CC2",  # ;KANNADA VOWEL SIGN UU;Mc;0;L;;;;;N;;;;;
        "\u0CC3",  # ;KANNADA VOWEL SIGN VOCALIC R;Mc;0;L;;;;;N;;;;;
        "\u0CC4",  # ;KANNADA VOWEL SIGN VOCALIC RR;Mc;0;L;;;;;N;;;;;
        "\u0CC6",  # ;KANNADA VOWEL SIGN E;Mn;0;L;;;;;N;;;;;
        "\u0CC7",  # ;KANNADA VOWEL SIGN EE;Mc;0;L;0CC6 0CD5;;;;N;;;;;
        "\u0CC8",  # ;KANNADA VOWEL SIGN AI;Mc;0;L;0CC6 0CD6;;;;N;;;;;
        "\u0CCA",  # ;KANNADA VOWEL SIGN O;Mc;0;L;0CC6 0CC2;;;;N;;;;;
        "\u0CCB",  # ;KANNADA VOWEL SIGN OO;Mc;0;L;0CCA 0CD5;;;;N;;;;;
        "\u0CCC",  # ;KANNADA VOWEL SIGN AU;Mn;0;NSM;;;;;N;;;;;
        "\u0CCD",  # ;KANNADA SIGN VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\u0CD5",  # ;KANNADA LENGTH MARK;Mc;0;L;;;;;N;;;;;
        "\u0CD6",  # ;KANNADA AI LENGTH MARK;Mc;0;L;;;;;N;;;;;
        "\u0CDE",  # ;KANNADA LETTER FA;Lo;0;L;;;;;N;;;;;
        "\u0CE0",  # ;KANNADA LETTER VOCALIC RR;Lo;0;L;;;;;N;;;;;
        "\u0CE1",  # ;KANNADA LETTER VOCALIC LL;Lo;0;L;;;;;N;;;;;
        "\u0CE2",  # ;KANNADA VOWEL SIGN VOCALIC L;Mn;0;NSM;;;;;N;;;;;
        "\u0CE3",  # ;KANNADA VOWEL SIGN VOCALIC LL;Mn;0;NSM;;;;;N;;;;;
        "\u0CE6",  # ;KANNADA DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u0CE7",  # ;KANNADA DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u0CE8",  # ;KANNADA DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u0CE9",  # ;KANNADA DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u0CEA",  # ;KANNADA DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u0CEB",  # ;KANNADA DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u0CEC",  # ;KANNADA DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u0CED",  # ;KANNADA DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u0CEE",  # ;KANNADA DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u0CEF",  # ;KANNADA DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u0CF1",  # ;KANNADA SIGN JIHVAMULIYA;Lo;0;L;;;;;N;;;;;
        "\u0CF2",  # ;KANNADA SIGN UPADHMANIYA;Lo;0;L;;;;;N;;;;;
        "\u0D00",  # ;MALAYALAM SIGN COMBINING ANUSVARA ABOVE;Mn;0;NSM;;;;;N;;;;;
        "\u0D01",  # ;MALAYALAM SIGN CANDRABINDU;Mn;0;NSM;;;;;N;;;;;
        "\u0D02",  # ;MALAYALAM SIGN ANUSVARA;Mc;0;L;;;;;N;;;;;
        "\u0D03",  # ;MALAYALAM SIGN VISARGA;Mc;0;L;;;;;N;;;;;
        "\u0D05",  # ;MALAYALAM LETTER A;Lo;0;L;;;;;N;;;;;
        "\u0D06",  # ;MALAYALAM LETTER AA;Lo;0;L;;;;;N;;;;;
        "\u0D07",  # ;MALAYALAM LETTER I;Lo;0;L;;;;;N;;;;;
        "\u0D08",  # ;MALAYALAM LETTER II;Lo;0;L;;;;;N;;;;;
        "\u0D09",  # ;MALAYALAM LETTER U;Lo;0;L;;;;;N;;;;;
        "\u0D0A",  # ;MALAYALAM LETTER UU;Lo;0;L;;;;;N;;;;;
        "\u0D0B",  # ;MALAYALAM LETTER VOCALIC R;Lo;0;L;;;;;N;;;;;
        "\u0D0C",  # ;MALAYALAM LETTER VOCALIC L;Lo;0;L;;;;;N;;;;;
        "\u0D0E",  # ;MALAYALAM LETTER E;Lo;0;L;;;;;N;;;;;
        "\u0D0F",  # ;MALAYALAM LETTER EE;Lo;0;L;;;;;N;;;;;
        "\u0D10",  # ;MALAYALAM LETTER AI;Lo;0;L;;;;;N;;;;;
        "\u0D12",  # ;MALAYALAM LETTER O;Lo;0;L;;;;;N;;;;;
        "\u0D13",  # ;MALAYALAM LETTER OO;Lo;0;L;;;;;N;;;;;
        "\u0D14",  # ;MALAYALAM LETTER AU;Lo;0;L;;;;;N;;;;;
        "\u0D15",  # ;MALAYALAM LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u0D16",  # ;MALAYALAM LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u0D17",  # ;MALAYALAM LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u0D18",  # ;MALAYALAM LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u0D19",  # ;MALAYALAM LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u0D1A",  # ;MALAYALAM LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u0D1B",  # ;MALAYALAM LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u0D1C",  # ;MALAYALAM LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u0D1D",  # ;MALAYALAM LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\u0D1E",  # ;MALAYALAM LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u0D1F",  # ;MALAYALAM LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u0D20",  # ;MALAYALAM LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u0D21",  # ;MALAYALAM LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u0D22",  # ;MALAYALAM LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\u0D23",  # ;MALAYALAM LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u0D24",  # ;MALAYALAM LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u0D25",  # ;MALAYALAM LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u0D26",  # ;MALAYALAM LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u0D27",  # ;MALAYALAM LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u0D28",  # ;MALAYALAM LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u0D29",  # ;MALAYALAM LETTER NNNA;Lo;0;L;;;;;N;;;;;
        "\u0D2A",  # ;MALAYALAM LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u0D2B",  # ;MALAYALAM LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u0D2C",  # ;MALAYALAM LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u0D2D",  # ;MALAYALAM LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u0D2E",  # ;MALAYALAM LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u0D2F",  # ;MALAYALAM LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u0D30",  # ;MALAYALAM LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u0D31",  # ;MALAYALAM LETTER RRA;Lo;0;L;;;;;N;;;;;
        "\u0D32",  # ;MALAYALAM LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u0D33",  # ;MALAYALAM LETTER LLA;Lo;0;L;;;;;N;;;;;
        "\u0D34",  # ;MALAYALAM LETTER LLLA;Lo;0;L;;;;;N;;;;;
        "\u0D35",  # ;MALAYALAM LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u0D36",  # ;MALAYALAM LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u0D37",  # ;MALAYALAM LETTER SSA;Lo;0;L;;;;;N;;;;;
        "\u0D38",  # ;MALAYALAM LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u0D39",  # ;MALAYALAM LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u0D3A",  # ;MALAYALAM LETTER TTTA;Lo;0;L;;;;;N;;;;;
        "\u0D3B",  # ;MALAYALAM SIGN VERTICAL BAR VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\u0D3C",  # ;MALAYALAM SIGN CIRCULAR VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\u0D3D",  # ;MALAYALAM SIGN AVAGRAHA;Lo;0;L;;;;;N;;;;;
        "\u0D3E",  # ;MALAYALAM VOWEL SIGN AA;Mc;0;L;;;;;N;;;;;
        "\u0D3F",  # ;MALAYALAM VOWEL SIGN I;Mc;0;L;;;;;N;;;;;
        "\u0D40",  # ;MALAYALAM VOWEL SIGN II;Mc;0;L;;;;;N;;;;;
        "\u0D41",  # ;MALAYALAM VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u0D42",  # ;MALAYALAM VOWEL SIGN UU;Mn;0;NSM;;;;;N;;;;;
        "\u0D43",  # ;MALAYALAM VOWEL SIGN VOCALIC R;Mn;0;NSM;;;;;N;;;;;
        "\u0D44",  # ;MALAYALAM VOWEL SIGN VOCALIC RR;Mn;0;NSM;;;;;N;;;;;
        "\u0D46",  # ;MALAYALAM VOWEL SIGN E;Mc;0;L;;;;;N;;;;;
        "\u0D47",  # ;MALAYALAM VOWEL SIGN EE;Mc;0;L;;;;;N;;;;;
        "\u0D48",  # ;MALAYALAM VOWEL SIGN AI;Mc;0;L;;;;;N;;;;;
        "\u0D4A",  # ;MALAYALAM VOWEL SIGN O;Mc;0;L;0D46 0D3E;;;;N;;;;;
        "\u0D4B",  # ;MALAYALAM VOWEL SIGN OO;Mc;0;L;0D47 0D3E;;;;N;;;;;
        "\u0D4C",  # ;MALAYALAM VOWEL SIGN AU;Mc;0;L;0D46 0D57;;;;N;;;;;
        "\u0D4D",  # ;MALAYALAM SIGN VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\u0D4E",  # ;MALAYALAM LETTER DOT REPH;Lo;0;L;;;;;N;;;;;
        "\u0D4F",  # ;MALAYALAM SIGN PARA;So;0;L;;;;;N;;;;;
        "\u0D54",  # ;MALAYALAM LETTER CHILLU M;Lo;0;L;;;;;N;;;;;
        "\u0D55",  # ;MALAYALAM LETTER CHILLU Y;Lo;0;L;;;;;N;;;;;
        "\u0D56",  # ;MALAYALAM LETTER CHILLU LLL;Lo;0;L;;;;;N;;;;;
        "\u0D57",  # ;MALAYALAM AU LENGTH MARK;Mc;0;L;;;;;N;;;;;
        "\u0D58",  # ;MALAYALAM FRACTION ONE ONE-HUNDRED-AND-SIXTIETH;No;0;L;;;;1/160;N;;;;;
        "\u0D59",  # ;MALAYALAM FRACTION ONE FORTIETH;No;0;L;;;;1/40;N;;;;;
        "\u0D5A",  # ;MALAYALAM FRACTION THREE EIGHTIETHS;No;0;L;;;;3/80;N;;;;;
        "\u0D5B",  # ;MALAYALAM FRACTION ONE TWENTIETH;No;0;L;;;;1/20;N;;;;;
        "\u0D5C",  # ;MALAYALAM FRACTION ONE TENTH;No;0;L;;;;1/10;N;;;;;
        "\u0D5D",  # ;MALAYALAM FRACTION THREE TWENTIETHS;No;0;L;;;;3/20;N;;;;;
        "\u0D5E",  # ;MALAYALAM FRACTION ONE FIFTH;No;0;L;;;;1/5;N;;;;;
        "\u0D5F",  # ;MALAYALAM LETTER ARCHAIC II;Lo;0;L;;;;;N;;;;;
        "\u0D60",  # ;MALAYALAM LETTER VOCALIC RR;Lo;0;L;;;;;N;;;;;
        "\u0D61",  # ;MALAYALAM LETTER VOCALIC LL;Lo;0;L;;;;;N;;;;;
        "\u0D62",  # ;MALAYALAM VOWEL SIGN VOCALIC L;Mn;0;NSM;;;;;N;;;;;
        "\u0D63",  # ;MALAYALAM VOWEL SIGN VOCALIC LL;Mn;0;NSM;;;;;N;;;;;
        "\u0D66",  # ;MALAYALAM DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u0D67",  # ;MALAYALAM DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u0D68",  # ;MALAYALAM DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u0D69",  # ;MALAYALAM DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u0D6A",  # ;MALAYALAM DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u0D6B",  # ;MALAYALAM DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u0D6C",  # ;MALAYALAM DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u0D6D",  # ;MALAYALAM DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u0D6E",  # ;MALAYALAM DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u0D6F",  # ;MALAYALAM DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u0D70",  # ;MALAYALAM NUMBER TEN;No;0;L;;;;10;N;;;;;
        "\u0D71",  # ;MALAYALAM NUMBER ONE HUNDRED;No;0;L;;;;100;N;;;;;
        "\u0D72",  # ;MALAYALAM NUMBER ONE THOUSAND;No;0;L;;;;1000;N;;;;;
        "\u0D73",  # ;MALAYALAM FRACTION ONE QUARTER;No;0;L;;;;1/4;N;;;;;
        "\u0D74",  # ;MALAYALAM FRACTION ONE HALF;No;0;L;;;;1/2;N;;;;;
        "\u0D75",  # ;MALAYALAM FRACTION THREE QUARTERS;No;0;L;;;;3/4;N;;;;;
        "\u0D76",  # ;MALAYALAM FRACTION ONE SIXTEENTH;No;0;L;;;;1/16;N;;;;;
        "\u0D77",  # ;MALAYALAM FRACTION ONE EIGHTH;No;0;L;;;;1/8;N;;;;;
        "\u0D78",  # ;MALAYALAM FRACTION THREE SIXTEENTHS;No;0;L;;;;3/16;N;;;;;
        "\u0D79",  # ;MALAYALAM DATE MARK;So;0;L;;;;;N;;;;;
        "\u0D7A",  # ;MALAYALAM LETTER CHILLU NN;Lo;0;L;;;;;N;;;;;
        "\u0D7B",  # ;MALAYALAM LETTER CHILLU N;Lo;0;L;;;;;N;;;;;
        "\u0D7C",  # ;MALAYALAM LETTER CHILLU RR;Lo;0;L;;;;;N;;;;;
        "\u0D7D",  # ;MALAYALAM LETTER CHILLU L;Lo;0;L;;;;;N;;;;;
        "\u0D7E",  # ;MALAYALAM LETTER CHILLU LL;Lo;0;L;;;;;N;;;;;
        "\u0D7F",  # ;MALAYALAM LETTER CHILLU K;Lo;0;L;;;;;N;;;;;
        "\u0D82",  # ;SINHALA SIGN ANUSVARAYA;Mc;0;L;;;;;N;;;;;
        "\u0D83",  # ;SINHALA SIGN VISARGAYA;Mc;0;L;;;;;N;;;;;
        "\u0D85",  # ;SINHALA LETTER AYANNA;Lo;0;L;;;;;N;;;;;
        "\u0D86",  # ;SINHALA LETTER AAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0D87",  # ;SINHALA LETTER AEYANNA;Lo;0;L;;;;;N;;;;;
        "\u0D88",  # ;SINHALA LETTER AEEYANNA;Lo;0;L;;;;;N;;;;;
        "\u0D89",  # ;SINHALA LETTER IYANNA;Lo;0;L;;;;;N;;;;;
        "\u0D8A",  # ;SINHALA LETTER IIYANNA;Lo;0;L;;;;;N;;;;;
        "\u0D8B",  # ;SINHALA LETTER UYANNA;Lo;0;L;;;;;N;;;;;
        "\u0D8C",  # ;SINHALA LETTER UUYANNA;Lo;0;L;;;;;N;;;;;
        "\u0D8D",  # ;SINHALA LETTER IRUYANNA;Lo;0;L;;;;;N;;;;;
        "\u0D8E",  # ;SINHALA LETTER IRUUYANNA;Lo;0;L;;;;;N;;;;;
        "\u0D8F",  # ;SINHALA LETTER ILUYANNA;Lo;0;L;;;;;N;;;;;
        "\u0D90",  # ;SINHALA LETTER ILUUYANNA;Lo;0;L;;;;;N;;;;;
        "\u0D91",  # ;SINHALA LETTER EYANNA;Lo;0;L;;;;;N;;;;;
        "\u0D92",  # ;SINHALA LETTER EEYANNA;Lo;0;L;;;;;N;;;;;
        "\u0D93",  # ;SINHALA LETTER AIYANNA;Lo;0;L;;;;;N;;;;;
        "\u0D94",  # ;SINHALA LETTER OYANNA;Lo;0;L;;;;;N;;;;;
        "\u0D95",  # ;SINHALA LETTER OOYANNA;Lo;0;L;;;;;N;;;;;
        "\u0D96",  # ;SINHALA LETTER AUYANNA;Lo;0;L;;;;;N;;;;;
        "\u0D9A",  # ;SINHALA LETTER ALPAPRAANA KAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0D9B",  # ;SINHALA LETTER MAHAAPRAANA KAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0D9C",  # ;SINHALA LETTER ALPAPRAANA GAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0D9D",  # ;SINHALA LETTER MAHAAPRAANA GAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0D9E",  # ;SINHALA LETTER KANTAJA NAASIKYAYA;Lo;0;L;;;;;N;;;;;
        "\u0D9F",  # ;SINHALA LETTER SANYAKA GAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DA0",  # ;SINHALA LETTER ALPAPRAANA CAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DA1",  # ;SINHALA LETTER MAHAAPRAANA CAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DA2",  # ;SINHALA LETTER ALPAPRAANA JAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DA3",  # ;SINHALA LETTER MAHAAPRAANA JAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DA4",  # ;SINHALA LETTER TAALUJA NAASIKYAYA;Lo;0;L;;;;;N;;;;;
        "\u0DA5",  # ;SINHALA LETTER TAALUJA SANYOOGA NAAKSIKYAYA;Lo;0;L;;;;;N;;;;;
        "\u0DA6",  # ;SINHALA LETTER SANYAKA JAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DA7",  # ;SINHALA LETTER ALPAPRAANA TTAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DA8",  # ;SINHALA LETTER MAHAAPRAANA TTAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DA9",  # ;SINHALA LETTER ALPAPRAANA DDAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DAA",  # ;SINHALA LETTER MAHAAPRAANA DDAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DAB",  # ;SINHALA LETTER MUURDHAJA NAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DAC",  # ;SINHALA LETTER SANYAKA DDAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DAD",  # ;SINHALA LETTER ALPAPRAANA TAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DAE",  # ;SINHALA LETTER MAHAAPRAANA TAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DAF",  # ;SINHALA LETTER ALPAPRAANA DAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DB0",  # ;SINHALA LETTER MAHAAPRAANA DAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DB1",  # ;SINHALA LETTER DANTAJA NAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DB3",  # ;SINHALA LETTER SANYAKA DAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DB4",  # ;SINHALA LETTER ALPAPRAANA PAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DB5",  # ;SINHALA LETTER MAHAAPRAANA PAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DB6",  # ;SINHALA LETTER ALPAPRAANA BAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DB7",  # ;SINHALA LETTER MAHAAPRAANA BAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DB8",  # ;SINHALA LETTER MAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DB9",  # ;SINHALA LETTER AMBA BAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DBA",  # ;SINHALA LETTER YAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DBB",  # ;SINHALA LETTER RAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DBD",  # ;SINHALA LETTER DANTAJA LAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DC0",  # ;SINHALA LETTER VAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DC1",  # ;SINHALA LETTER TAALUJA SAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DC2",  # ;SINHALA LETTER MUURDHAJA SAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DC3",  # ;SINHALA LETTER DANTAJA SAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DC4",  # ;SINHALA LETTER HAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DC5",  # ;SINHALA LETTER MUURDHAJA LAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DC6",  # ;SINHALA LETTER FAYANNA;Lo;0;L;;;;;N;;;;;
        "\u0DCA",  # ;SINHALA SIGN AL-LAKUNA;Mn;9;NSM;;;;;N;;;;;
        "\u0DCF",  # ;SINHALA VOWEL SIGN AELA-PILLA;Mc;0;L;;;;;N;;;;;
        "\u0DD0",  # ;SINHALA VOWEL SIGN KETTI AEDA-PILLA;Mc;0;L;;;;;N;;;;;
        "\u0DD1",  # ;SINHALA VOWEL SIGN DIGA AEDA-PILLA;Mc;0;L;;;;;N;;;;;
        "\u0DD2",  # ;SINHALA VOWEL SIGN KETTI IS-PILLA;Mn;0;NSM;;;;;N;;;;;
        "\u0DD3",  # ;SINHALA VOWEL SIGN DIGA IS-PILLA;Mn;0;NSM;;;;;N;;;;;
        "\u0DD4",  # ;SINHALA VOWEL SIGN KETTI PAA-PILLA;Mn;0;NSM;;;;;N;;;;;
        "\u0DD6",  # ;SINHALA VOWEL SIGN DIGA PAA-PILLA;Mn;0;NSM;;;;;N;;;;;
        "\u0DD8",  # ;SINHALA VOWEL SIGN GAETTA-PILLA;Mc;0;L;;;;;N;;;;;
        "\u0DD9",  # ;SINHALA VOWEL SIGN KOMBUVA;Mc;0;L;;;;;N;;;;;
        "\u0DDA",  # ;SINHALA VOWEL SIGN DIGA KOMBUVA;Mc;0;L;0DD9 0DCA;;;;N;;;;;
        "\u0DDB",  # ;SINHALA VOWEL SIGN KOMBU DEKA;Mc;0;L;;;;;N;;;;;
        "\u0DDC",  # ;SINHALA VOWEL SIGN KOMBUVA HAA AELA-PILLA;Mc;0;L;0DD9 0DCF;;;;N;;;;;
        "\u0DDD",  # ;SINHALA VOWEL SIGN KOMBUVA HAA DIGA AELA-PILLA;Mc;0;L;0DDC 0DCA;;;;N;;;;;
        "\u0DDE",  # ;SINHALA VOWEL SIGN KOMBUVA HAA GAYANUKITTA;Mc;0;L;0DD9 0DDF;;;;N;;;;;
        "\u0DDF",  # ;SINHALA VOWEL SIGN GAYANUKITTA;Mc;0;L;;;;;N;;;;;
        "\u0DE6",  # ;SINHALA LITH DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u0DE7",  # ;SINHALA LITH DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u0DE8",  # ;SINHALA LITH DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u0DE9",  # ;SINHALA LITH DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u0DEA",  # ;SINHALA LITH DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u0DEB",  # ;SINHALA LITH DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u0DEC",  # ;SINHALA LITH DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u0DED",  # ;SINHALA LITH DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u0DEE",  # ;SINHALA LITH DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u0DEF",  # ;SINHALA LITH DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u0DF2",  # ;SINHALA VOWEL SIGN DIGA GAETTA-PILLA;Mc;0;L;;;;;N;;;;;
        "\u0DF3",  # ;SINHALA VOWEL SIGN DIGA GAYANUKITTA;Mc;0;L;;;;;N;;;;;
        "\u0DF4",  # ;SINHALA PUNCTUATION KUNDDALIYA;Po;0;L;;;;;N;;;;;
        "\u0E01",  # ;THAI CHARACTER KO KAI;Lo;0;L;;;;;N;THAI LETTER KO KAI;;;;
        "\u0E02",  # ;THAI CHARACTER KHO KHAI;Lo;0;L;;;;;N;THAI LETTER KHO KHAI;;;;
        "\u0E03",  # ;THAI CHARACTER KHO KHUAT;Lo;0;L;;;;;N;THAI LETTER KHO KHUAT;;;;
        "\u0E04",  # ;THAI CHARACTER KHO KHWAI;Lo;0;L;;;;;N;THAI LETTER KHO KHWAI;;;;
        "\u0E05",  # ;THAI CHARACTER KHO KHON;Lo;0;L;;;;;N;THAI LETTER KHO KHON;;;;
        "\u0E06",  # ;THAI CHARACTER KHO RAKHANG;Lo;0;L;;;;;N;THAI LETTER KHO RAKHANG;;;;
        "\u0E07",  # ;THAI CHARACTER NGO NGU;Lo;0;L;;;;;N;THAI LETTER NGO NGU;;;;
        "\u0E08",  # ;THAI CHARACTER CHO CHAN;Lo;0;L;;;;;N;THAI LETTER CHO CHAN;;;;
        "\u0E09",  # ;THAI CHARACTER CHO CHING;Lo;0;L;;;;;N;THAI LETTER CHO CHING;;;;
        "\u0E0A",  # ;THAI CHARACTER CHO CHANG;Lo;0;L;;;;;N;THAI LETTER CHO CHANG;;;;
        "\u0E0B",  # ;THAI CHARACTER SO SO;Lo;0;L;;;;;N;THAI LETTER SO SO;;;;
        "\u0E0C",  # ;THAI CHARACTER CHO CHOE;Lo;0;L;;;;;N;THAI LETTER CHO CHOE;;;;
        "\u0E0D",  # ;THAI CHARACTER YO YING;Lo;0;L;;;;;N;THAI LETTER YO YING;;;;
        "\u0E0E",  # ;THAI CHARACTER DO CHADA;Lo;0;L;;;;;N;THAI LETTER DO CHADA;;;;
        "\u0E0F",  # ;THAI CHARACTER TO PATAK;Lo;0;L;;;;;N;THAI LETTER TO PATAK;;;;
        "\u0E10",  # ;THAI CHARACTER THO THAN;Lo;0;L;;;;;N;THAI LETTER THO THAN;;;;
        "\u0E11",  # ;THAI CHARACTER THO NANGMONTHO;Lo;0;L;;;;;N;THAI LETTER THO NANGMONTHO;;;;
        "\u0E12",  # ;THAI CHARACTER THO PHUTHAO;Lo;0;L;;;;;N;THAI LETTER THO PHUTHAO;;;;
        "\u0E13",  # ;THAI CHARACTER NO NEN;Lo;0;L;;;;;N;THAI LETTER NO NEN;;;;
        "\u0E14",  # ;THAI CHARACTER DO DEK;Lo;0;L;;;;;N;THAI LETTER DO DEK;;;;
        "\u0E15",  # ;THAI CHARACTER TO TAO;Lo;0;L;;;;;N;THAI LETTER TO TAO;;;;
        "\u0E16",  # ;THAI CHARACTER THO THUNG;Lo;0;L;;;;;N;THAI LETTER THO THUNG;;;;
        "\u0E17",  # ;THAI CHARACTER THO THAHAN;Lo;0;L;;;;;N;THAI LETTER THO THAHAN;;;;
        "\u0E18",  # ;THAI CHARACTER THO THONG;Lo;0;L;;;;;N;THAI LETTER THO THONG;;;;
        "\u0E19",  # ;THAI CHARACTER NO NU;Lo;0;L;;;;;N;THAI LETTER NO NU;;;;
        "\u0E1A",  # ;THAI CHARACTER BO BAIMAI;Lo;0;L;;;;;N;THAI LETTER BO BAIMAI;;;;
        "\u0E1B",  # ;THAI CHARACTER PO PLA;Lo;0;L;;;;;N;THAI LETTER PO PLA;;;;
        "\u0E1C",  # ;THAI CHARACTER PHO PHUNG;Lo;0;L;;;;;N;THAI LETTER PHO PHUNG;;;;
        "\u0E1D",  # ;THAI CHARACTER FO FA;Lo;0;L;;;;;N;THAI LETTER FO FA;;;;
        "\u0E1E",  # ;THAI CHARACTER PHO PHAN;Lo;0;L;;;;;N;THAI LETTER PHO PHAN;;;;
        "\u0E1F",  # ;THAI CHARACTER FO FAN;Lo;0;L;;;;;N;THAI LETTER FO FAN;;;;
        "\u0E20",  # ;THAI CHARACTER PHO SAMPHAO;Lo;0;L;;;;;N;THAI LETTER PHO SAMPHAO;;;;
        "\u0E21",  # ;THAI CHARACTER MO MA;Lo;0;L;;;;;N;THAI LETTER MO MA;;;;
        "\u0E22",  # ;THAI CHARACTER YO YAK;Lo;0;L;;;;;N;THAI LETTER YO YAK;;;;
        "\u0E23",  # ;THAI CHARACTER RO RUA;Lo;0;L;;;;;N;THAI LETTER RO RUA;;;;
        "\u0E24",  # ;THAI CHARACTER RU;Lo;0;L;;;;;N;THAI LETTER RU;;;;
        "\u0E25",  # ;THAI CHARACTER LO LING;Lo;0;L;;;;;N;THAI LETTER LO LING;;;;
        "\u0E26",  # ;THAI CHARACTER LU;Lo;0;L;;;;;N;THAI LETTER LU;;;;
        "\u0E27",  # ;THAI CHARACTER WO WAEN;Lo;0;L;;;;;N;THAI LETTER WO WAEN;;;;
        "\u0E28",  # ;THAI CHARACTER SO SALA;Lo;0;L;;;;;N;THAI LETTER SO SALA;;;;
        "\u0E29",  # ;THAI CHARACTER SO RUSI;Lo;0;L;;;;;N;THAI LETTER SO RUSI;;;;
        "\u0E2A",  # ;THAI CHARACTER SO SUA;Lo;0;L;;;;;N;THAI LETTER SO SUA;;;;
        "\u0E2B",  # ;THAI CHARACTER HO HIP;Lo;0;L;;;;;N;THAI LETTER HO HIP;;;;
        "\u0E2C",  # ;THAI CHARACTER LO CHULA;Lo;0;L;;;;;N;THAI LETTER LO CHULA;;;;
        "\u0E2D",  # ;THAI CHARACTER O ANG;Lo;0;L;;;;;N;THAI LETTER O ANG;;;;
        "\u0E2E",  # ;THAI CHARACTER HO NOKHUK;Lo;0;L;;;;;N;THAI LETTER HO NOK HUK;;;;
        "\u0E2F",  # ;THAI CHARACTER PAIYANNOI;Lo;0;L;;;;;N;THAI PAI YAN NOI;;;;
        "\u0E30",  # ;THAI CHARACTER SARA A;Lo;0;L;;;;;N;THAI VOWEL SIGN SARA A;;;;
        "\u0E31",  # ;THAI CHARACTER MAI HAN-AKAT;Mn;0;NSM;;;;;N;THAI VOWEL SIGN MAI HAN-AKAT;;;;
        "\u0E32",  # ;THAI CHARACTER SARA AA;Lo;0;L;;;;;N;THAI VOWEL SIGN SARA AA;;;;
        "\u0E33",  # ;THAI CHARACTER SARA AM;Lo;0;L;<compat> 0E4D 0E32;;;;N;THAI VOWEL SIGN SARA AM;;;;
        "\u0E34",  # ;THAI CHARACTER SARA I;Mn;0;NSM;;;;;N;THAI VOWEL SIGN SARA I;;;;
        "\u0E35",  # ;THAI CHARACTER SARA II;Mn;0;NSM;;;;;N;THAI VOWEL SIGN SARA II;;;;
        "\u0E36",  # ;THAI CHARACTER SARA UE;Mn;0;NSM;;;;;N;THAI VOWEL SIGN SARA UE;;;;
        "\u0E37",  # ;THAI CHARACTER SARA UEE;Mn;0;NSM;;;;;N;THAI VOWEL SIGN SARA UEE;;;;
        "\u0E38",  # ;THAI CHARACTER SARA U;Mn;103;NSM;;;;;N;THAI VOWEL SIGN SARA U;;;;
        "\u0E39",  # ;THAI CHARACTER SARA UU;Mn;103;NSM;;;;;N;THAI VOWEL SIGN SARA UU;;;;
        "\u0E3A",  # ;THAI CHARACTER PHINTHU;Mn;9;NSM;;;;;N;THAI VOWEL SIGN PHINTHU;;;;
        "\u0E3F",  # ;THAI CURRENCY SYMBOL BAHT;Sc;0;ET;;;;;N;THAI BAHT SIGN;;;;
        "\u0E40",  # ;THAI CHARACTER SARA E;Lo;0;L;;;;;N;THAI VOWEL SIGN SARA E;;;;
        "\u0E41",  # ;THAI CHARACTER SARA AE;Lo;0;L;;;;;N;THAI VOWEL SIGN SARA AE;;;;
        "\u0E42",  # ;THAI CHARACTER SARA O;Lo;0;L;;;;;N;THAI VOWEL SIGN SARA O;;;;
        "\u0E43",  # ;THAI CHARACTER SARA AI MAIMUAN;Lo;0;L;;;;;N;THAI VOWEL SIGN SARA MAI MUAN;;;;
        "\u0E44",  # ;THAI CHARACTER SARA AI MAIMALAI;Lo;0;L;;;;;N;THAI VOWEL SIGN SARA MAI MALAI;;;;
        "\u0E45",  # ;THAI CHARACTER LAKKHANGYAO;Lo;0;L;;;;;N;THAI LAK KHANG YAO;;;;
        "\u0E46",  # ;THAI CHARACTER MAIYAMOK;Lm;0;L;;;;;N;THAI MAI YAMOK;;;;
        "\u0E47",  # ;THAI CHARACTER MAITAIKHU;Mn;0;NSM;;;;;N;THAI VOWEL SIGN MAI TAI KHU;;;;
        "\u0E48",  # ;THAI CHARACTER MAI EK;Mn;107;NSM;;;;;N;THAI TONE MAI EK;;;;
        "\u0E49",  # ;THAI CHARACTER MAI THO;Mn;107;NSM;;;;;N;THAI TONE MAI THO;;;;
        "\u0E4A",  # ;THAI CHARACTER MAI TRI;Mn;107;NSM;;;;;N;THAI TONE MAI TRI;;;;
        "\u0E4B",  # ;THAI CHARACTER MAI CHATTAWA;Mn;107;NSM;;;;;N;THAI TONE MAI CHATTAWA;;;;
        "\u0E4C",  # ;THAI CHARACTER THANTHAKHAT;Mn;0;NSM;;;;;N;THAI THANTHAKHAT;;;;
        "\u0E4D",  # ;THAI CHARACTER NIKHAHIT;Mn;0;NSM;;;;;N;THAI NIKKHAHIT;;;;
        "\u0E4E",  # ;THAI CHARACTER YAMAKKAN;Mn;0;NSM;;;;;N;THAI YAMAKKAN;;;;
        "\u0E4F",  # ;THAI CHARACTER FONGMAN;Po;0;L;;;;;N;THAI FONGMAN;;;;
        "\u0E50",  # ;THAI DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u0E51",  # ;THAI DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u0E52",  # ;THAI DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u0E53",  # ;THAI DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u0E54",  # ;THAI DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u0E55",  # ;THAI DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u0E56",  # ;THAI DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u0E57",  # ;THAI DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u0E58",  # ;THAI DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u0E59",  # ;THAI DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u0E5A",  # ;THAI CHARACTER ANGKHANKHU;Po;0;L;;;;;N;THAI ANGKHANKHU;;;;
        "\u0E5B",  # ;THAI CHARACTER KHOMUT;Po;0;L;;;;;N;THAI KHOMUT;;;;
        "\u0E81",  # ;LAO LETTER KO;Lo;0;L;;;;;N;;;;;
        "\u0E82",  # ;LAO LETTER KHO SUNG;Lo;0;L;;;;;N;;;;;
        "\u0E84",  # ;LAO LETTER KHO TAM;Lo;0;L;;;;;N;;;;;
        "\u0E87",  # ;LAO LETTER NGO;Lo;0;L;;;;;N;;;;;
        "\u0E88",  # ;LAO LETTER CO;Lo;0;L;;;;;N;;;;;
        "\u0E8A",  # ;LAO LETTER SO TAM;Lo;0;L;;;;;N;;;;;
        "\u0E8D",  # ;LAO LETTER NYO;Lo;0;L;;;;;N;;;;;
        "\u0E94",  # ;LAO LETTER DO;Lo;0;L;;;;;N;;;;;
        "\u0E95",  # ;LAO LETTER TO;Lo;0;L;;;;;N;;;;;
        "\u0E96",  # ;LAO LETTER THO SUNG;Lo;0;L;;;;;N;;;;;
        "\u0E97",  # ;LAO LETTER THO TAM;Lo;0;L;;;;;N;;;;;
        "\u0E99",  # ;LAO LETTER NO;Lo;0;L;;;;;N;;;;;
        "\u0E9A",  # ;LAO LETTER BO;Lo;0;L;;;;;N;;;;;
        "\u0E9B",  # ;LAO LETTER PO;Lo;0;L;;;;;N;;;;;
        "\u0E9C",  # ;LAO LETTER PHO SUNG;Lo;0;L;;;;;N;;;;;
        "\u0E9D",  # ;LAO LETTER FO TAM;Lo;0;L;;;;;N;;;;;
        "\u0E9E",  # ;LAO LETTER PHO TAM;Lo;0;L;;;;;N;;;;;
        "\u0E9F",  # ;LAO LETTER FO SUNG;Lo;0;L;;;;;N;;;;;
        "\u0EA1",  # ;LAO LETTER MO;Lo;0;L;;;;;N;;;;;
        "\u0EA2",  # ;LAO LETTER YO;Lo;0;L;;;;;N;;;;;
        "\u0EA3",  # ;LAO LETTER LO LING;Lo;0;L;;;;;N;;;;;
        "\u0EA5",  # ;LAO LETTER LO LOOT;Lo;0;L;;;;;N;;;;;
        "\u0EA7",  # ;LAO LETTER WO;Lo;0;L;;;;;N;;;;;
        "\u0EAA",  # ;LAO LETTER SO SUNG;Lo;0;L;;;;;N;;;;;
        "\u0EAB",  # ;LAO LETTER HO SUNG;Lo;0;L;;;;;N;;;;;
        "\u0EAD",  # ;LAO LETTER O;Lo;0;L;;;;;N;;;;;
        "\u0EAE",  # ;LAO LETTER HO TAM;Lo;0;L;;;;;N;;;;;
        "\u0EAF",  # ;LAO ELLIPSIS;Lo;0;L;;;;;N;;;;;
        "\u0EB0",  # ;LAO VOWEL SIGN A;Lo;0;L;;;;;N;;;;;
        "\u0EB1",  # ;LAO VOWEL SIGN MAI KAN;Mn;0;NSM;;;;;N;;;;;
        "\u0EB2",  # ;LAO VOWEL SIGN AA;Lo;0;L;;;;;N;;;;;
        "\u0EB3",  # ;LAO VOWEL SIGN AM;Lo;0;L;<compat> 0ECD 0EB2;;;;N;;;;;
        "\u0EB4",  # ;LAO VOWEL SIGN I;Mn;0;NSM;;;;;N;;;;;
        "\u0EB5",  # ;LAO VOWEL SIGN II;Mn;0;NSM;;;;;N;;;;;
        "\u0EB6",  # ;LAO VOWEL SIGN Y;Mn;0;NSM;;;;;N;;;;;
        "\u0EB7",  # ;LAO VOWEL SIGN YY;Mn;0;NSM;;;;;N;;;;;
        "\u0EB8",  # ;LAO VOWEL SIGN U;Mn;118;NSM;;;;;N;;;;;
        "\u0EB9",  # ;LAO VOWEL SIGN UU;Mn;118;NSM;;;;;N;;;;;
        "\u0EBB",  # ;LAO VOWEL SIGN MAI KON;Mn;0;NSM;;;;;N;;;;;
        "\u0EBC",  # ;LAO SEMIVOWEL SIGN LO;Mn;0;NSM;;;;;N;;;;;
        "\u0EBD",  # ;LAO SEMIVOWEL SIGN NYO;Lo;0;L;;;;;N;;;;;
        "\u0EC0",  # ;LAO VOWEL SIGN E;Lo;0;L;;;;;N;;;;;
        "\u0EC1",  # ;LAO VOWEL SIGN EI;Lo;0;L;;;;;N;;;;;
        "\u0EC2",  # ;LAO VOWEL SIGN O;Lo;0;L;;;;;N;;;;;
        "\u0EC3",  # ;LAO VOWEL SIGN AY;Lo;0;L;;;;;N;;;;;
        "\u0EC4",  # ;LAO VOWEL SIGN AI;Lo;0;L;;;;;N;;;;;
        "\u0EC6",  # ;LAO KO LA;Lm;0;L;;;;;N;;;;;
        "\u0EC8",  # ;LAO TONE MAI EK;Mn;122;NSM;;;;;N;;;;;
        "\u0EC9",  # ;LAO TONE MAI THO;Mn;122;NSM;;;;;N;;;;;
        "\u0ECA",  # ;LAO TONE MAI TI;Mn;122;NSM;;;;;N;;;;;
        "\u0ECB",  # ;LAO TONE MAI CATAWA;Mn;122;NSM;;;;;N;;;;;
        "\u0ECC",  # ;LAO CANCELLATION MARK;Mn;0;NSM;;;;;N;;;;;
        "\u0ECD",  # ;LAO NIGGAHITA;Mn;0;NSM;;;;;N;;;;;
        "\u0ED0",  # ;LAO DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u0ED1",  # ;LAO DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u0ED2",  # ;LAO DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u0ED3",  # ;LAO DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u0ED4",  # ;LAO DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u0ED5",  # ;LAO DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u0ED6",  # ;LAO DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u0ED7",  # ;LAO DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u0ED8",  # ;LAO DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u0ED9",  # ;LAO DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u0EDC",  # ;LAO HO NO;Lo;0;L;<compat> 0EAB 0E99;;;;N;;;;;
        "\u0EDD",  # ;LAO HO MO;Lo;0;L;<compat> 0EAB 0EA1;;;;N;;;;;
        "\u0EDE",  # ;LAO LETTER KHMU GO;Lo;0;L;;;;;N;;;;;
        "\u0EDF",  # ;LAO LETTER KHMU NYO;Lo;0;L;;;;;N;;;;;
        "\u0F00",  # ;TIBETAN SYLLABLE OM;Lo;0;L;;;;;N;;;;;
        "\u0F01",  # ;TIBETAN MARK GTER YIG MGO TRUNCATED A;So;0;L;;;;;N;;;;;
        "\u0F02",  # ;TIBETAN MARK GTER YIG MGO -UM RNAM BCAD MA;So;0;L;;;;;N;;;;;
        "\u0F03",  # ;TIBETAN MARK GTER YIG MGO -UM GTER TSHEG MA;So;0;L;;;;;N;;;;;
        "\u0F04",  # ;TIBETAN MARK INITIAL YIG MGO MDUN MA;Po;0;L;;;;;N;TIBETAN SINGLE ORNAMENT;;;;
        "\u0F05",  # ;TIBETAN MARK CLOSING YIG MGO SGAB MA;Po;0;L;;;;;N;;;;;
        "\u0F06",  # ;TIBETAN MARK CARET YIG MGO PHUR SHAD MA;Po;0;L;;;;;N;;;;;
        "\u0F07",  # ;TIBETAN MARK YIG MGO TSHEG SHAD MA;Po;0;L;;;;;N;;;;;
        "\u0F08",  # ;TIBETAN MARK SBRUL SHAD;Po;0;L;;;;;N;TIBETAN RGYANSHAD;;;;
        "\u0F09",  # ;TIBETAN MARK BSKUR YIG MGO;Po;0;L;;;;;N;;;;;
        "\u0F0A",  # ;TIBETAN MARK BKA- SHOG YIG MGO;Po;0;L;;;;;N;;;;;
        "\u0F0B",  # ;TIBETAN MARK INTERSYLLABIC TSHEG;Po;0;L;;;;;N;TIBETAN TSEG;;;;
        "\u0F0C",  # ;TIBETAN MARK DELIMITER TSHEG BSTAR;Po;0;L;<noBreak> 0F0B;;;;N;;;;;
        "\u0F0D",  # ;TIBETAN MARK SHAD;Po;0;L;;;;;N;TIBETAN SHAD;;;;
        "\u0F0E",  # ;TIBETAN MARK NYIS SHAD;Po;0;L;;;;;N;TIBETAN DOUBLE SHAD;;;;
        "\u0F0F",  # ;TIBETAN MARK TSHEG SHAD;Po;0;L;;;;;N;;;;;
        "\u0F10",  # ;TIBETAN MARK NYIS TSHEG SHAD;Po;0;L;;;;;N;;;;;
        "\u0F11",  # ;TIBETAN MARK RIN CHEN SPUNGS SHAD;Po;0;L;;;;;N;TIBETAN RINCHANPHUNGSHAD;;;;
        "\u0F12",  # ;TIBETAN MARK RGYA GRAM SHAD;Po;0;L;;;;;N;;;;;
        "\u0F13",  # ;TIBETAN MARK CARET -DZUD RTAGS ME LONG CAN;So;0;L;;;;;N;;;;;
        "\u0F14",  # ;TIBETAN MARK GTER TSHEG;Po;0;L;;;;;N;TIBETAN COMMA;;;;
        "\u0F15",  # ;TIBETAN LOGOTYPE SIGN CHAD RTAGS;So;0;L;;;;;N;;;;;
        "\u0F16",  # ;TIBETAN LOGOTYPE SIGN LHAG RTAGS;So;0;L;;;;;N;;;;;
        "\u0F17",  # ;TIBETAN ASTROLOGICAL SIGN SGRA GCAN -CHAR RTAGS;So;0;L;;;;;N;;;;;
        "\u0F18",  # ;TIBETAN ASTROLOGICAL SIGN -KHYUD PA;Mn;220;NSM;;;;;N;;;;;
        "\u0F19",  # ;TIBETAN ASTROLOGICAL SIGN SDONG TSHUGS;Mn;220;NSM;;;;;N;;;;;
        "\u0F1A",  # ;TIBETAN SIGN RDEL DKAR GCIG;So;0;L;;;;;N;;;;;
        "\u0F1B",  # ;TIBETAN SIGN RDEL DKAR GNYIS;So;0;L;;;;;N;;;;;
        "\u0F1C",  # ;TIBETAN SIGN RDEL DKAR GSUM;So;0;L;;;;;N;;;;;
        "\u0F1D",  # ;TIBETAN SIGN RDEL NAG GCIG;So;0;L;;;;;N;;;;;
        "\u0F1E",  # ;TIBETAN SIGN RDEL NAG GNYIS;So;0;L;;;;;N;;;;;
        "\u0F1F",  # ;TIBETAN SIGN RDEL DKAR RDEL NAG;So;0;L;;;;;N;;;;;
        "\u0F20",  # ;TIBETAN DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u0F21",  # ;TIBETAN DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u0F22",  # ;TIBETAN DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u0F23",  # ;TIBETAN DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u0F24",  # ;TIBETAN DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u0F25",  # ;TIBETAN DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u0F26",  # ;TIBETAN DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u0F27",  # ;TIBETAN DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u0F28",  # ;TIBETAN DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u0F29",  # ;TIBETAN DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u0F2A",  # ;TIBETAN DIGIT HALF ONE;No;0;L;;;;1/2;N;;;;;
        "\u0F2B",  # ;TIBETAN DIGIT HALF TWO;No;0;L;;;;3/2;N;;;;;
        "\u0F2C",  # ;TIBETAN DIGIT HALF THREE;No;0;L;;;;5/2;N;;;;;
        "\u0F2D",  # ;TIBETAN DIGIT HALF FOUR;No;0;L;;;;7/2;N;;;;;
        "\u0F2E",  # ;TIBETAN DIGIT HALF FIVE;No;0;L;;;;9/2;N;;;;;
        "\u0F2F",  # ;TIBETAN DIGIT HALF SIX;No;0;L;;;;11/2;N;;;;;
        "\u0F30",  # ;TIBETAN DIGIT HALF SEVEN;No;0;L;;;;13/2;N;;;;;
        "\u0F31",  # ;TIBETAN DIGIT HALF EIGHT;No;0;L;;;;15/2;N;;;;;
        "\u0F32",  # ;TIBETAN DIGIT HALF NINE;No;0;L;;;;17/2;N;;;;;
        "\u0F33",  # ;TIBETAN DIGIT HALF ZERO;No;0;L;;;;-1/2;N;;;;;
        "\u0F34",  # ;TIBETAN MARK BSDUS RTAGS;So;0;L;;;;;N;;;;;
        "\u0F35",  # ;TIBETAN MARK NGAS BZUNG NYI ZLA;Mn;220;NSM;;;;;N;TIBETAN HONORIFIC UNDER RING;;;;
        "\u0F36",  # ;TIBETAN MARK CARET -DZUD RTAGS BZHI MIG CAN;So;0;L;;;;;N;;;;;
        "\u0F37",  # ;TIBETAN MARK NGAS BZUNG SGOR RTAGS;Mn;220;NSM;;;;;N;TIBETAN UNDER RING;;;;
        "\u0F38",  # ;TIBETAN MARK CHE MGO;So;0;L;;;;;N;;;;;
        "\u0F39",  # ;TIBETAN MARK TSA -PHRU;Mn;216;NSM;;;;;N;TIBETAN LENITION MARK;;;;
        "\u0F3A",  # ;TIBETAN MARK GUG RTAGS GYON;Ps;0;ON;;;;;Y;;;;;
        "\u0F3B",  # ;TIBETAN MARK GUG RTAGS GYAS;Pe;0;ON;;;;;Y;;;;;
        "\u0F3C",  # ;TIBETAN MARK ANG KHANG GYON;Ps;0;ON;;;;;Y;TIBETAN LEFT BRACE;;;;
        "\u0F3D",  # ;TIBETAN MARK ANG KHANG GYAS;Pe;0;ON;;;;;Y;TIBETAN RIGHT BRACE;;;;
        "\u0F3E",  # ;TIBETAN SIGN YAR TSHES;Mc;0;L;;;;;N;;;;;
        "\u0F3F",  # ;TIBETAN SIGN MAR TSHES;Mc;0;L;;;;;N;;;;;
        "\u0F40",  # ;TIBETAN LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u0F41",  # ;TIBETAN LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u0F42",  # ;TIBETAN LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u0F43",  # ;TIBETAN LETTER GHA;Lo;0;L;0F42 0FB7;;;;N;;;;;
        "\u0F44",  # ;TIBETAN LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u0F45",  # ;TIBETAN LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u0F46",  # ;TIBETAN LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u0F47",  # ;TIBETAN LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u0F49",  # ;TIBETAN LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u0F4A",  # ;TIBETAN LETTER TTA;Lo;0;L;;;;;N;TIBETAN LETTER REVERSED TA;;;;
        "\u0F4B",  # ;TIBETAN LETTER TTHA;Lo;0;L;;;;;N;TIBETAN LETTER REVERSED THA;;;;
        "\u0F4C",  # ;TIBETAN LETTER DDA;Lo;0;L;;;;;N;TIBETAN LETTER REVERSED DA;;;;
        "\u0F4D",  # ;TIBETAN LETTER DDHA;Lo;0;L;0F4C 0FB7;;;;N;;;;;
        "\u0F4E",  # ;TIBETAN LETTER NNA;Lo;0;L;;;;;N;TIBETAN LETTER REVERSED NA;;;;
        "\u0F4F",  # ;TIBETAN LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u0F50",  # ;TIBETAN LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u0F51",  # ;TIBETAN LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u0F52",  # ;TIBETAN LETTER DHA;Lo;0;L;0F51 0FB7;;;;N;;;;;
        "\u0F53",  # ;TIBETAN LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u0F54",  # ;TIBETAN LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u0F55",  # ;TIBETAN LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u0F56",  # ;TIBETAN LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u0F57",  # ;TIBETAN LETTER BHA;Lo;0;L;0F56 0FB7;;;;N;;;;;
        "\u0F58",  # ;TIBETAN LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u0F59",  # ;TIBETAN LETTER TSA;Lo;0;L;;;;;N;;;;;
        "\u0F5A",  # ;TIBETAN LETTER TSHA;Lo;0;L;;;;;N;;;;;
        "\u0F5B",  # ;TIBETAN LETTER DZA;Lo;0;L;;;;;N;;;;;
        "\u0F5C",  # ;TIBETAN LETTER DZHA;Lo;0;L;0F5B 0FB7;;;;N;;;;;
        "\u0F5D",  # ;TIBETAN LETTER WA;Lo;0;L;;;;;N;;;;;
        "\u0F5E",  # ;TIBETAN LETTER ZHA;Lo;0;L;;;;;N;;;;;
        "\u0F5F",  # ;TIBETAN LETTER ZA;Lo;0;L;;;;;N;;;;;
        "\u0F60",  # ;TIBETAN LETTER -A;Lo;0;L;;;;;N;TIBETAN LETTER AA;;;;
        "\u0F61",  # ;TIBETAN LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u0F62",  # ;TIBETAN LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u0F63",  # ;TIBETAN LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u0F64",  # ;TIBETAN LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u0F65",  # ;TIBETAN LETTER SSA;Lo;0;L;;;;;N;TIBETAN LETTER REVERSED SHA;;;;
        "\u0F66",  # ;TIBETAN LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u0F67",  # ;TIBETAN LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u0F68",  # ;TIBETAN LETTER A;Lo;0;L;;;;;N;;;;;
        "\u0F69",  # ;TIBETAN LETTER KSSA;Lo;0;L;0F40 0FB5;;;;N;;;;;
        "\u0F6A",  # ;TIBETAN LETTER FIXED-FORM RA;Lo;0;L;;;;;N;;;;;
        "\u0F6B",  # ;TIBETAN LETTER KKA;Lo;0;L;;;;;N;;;;;
        "\u0F6C",  # ;TIBETAN LETTER RRA;Lo;0;L;;;;;N;;;;;
        "\u0F71",  # ;TIBETAN VOWEL SIGN AA;Mn;129;NSM;;;;;N;;;;;
        "\u0F72",  # ;TIBETAN VOWEL SIGN I;Mn;130;NSM;;;;;N;;;;;
        "\u0F73",  # ;TIBETAN VOWEL SIGN II;Mn;0;NSM;0F71 0F72;;;;N;;;;;
        "\u0F74",  # ;TIBETAN VOWEL SIGN U;Mn;132;NSM;;;;;N;;;;;
        "\u0F75",  # ;TIBETAN VOWEL SIGN UU;Mn;0;NSM;0F71 0F74;;;;N;;;;;
        "\u0F76",  # ;TIBETAN VOWEL SIGN VOCALIC R;Mn;0;NSM;0FB2 0F80;;;;N;;;;;
        "\u0F77",  # ;TIBETAN VOWEL SIGN VOCALIC RR;Mn;0;NSM;<compat> 0FB2 0F81;;;;N;;;;;
        "\u0F78",  # ;TIBETAN VOWEL SIGN VOCALIC L;Mn;0;NSM;0FB3 0F80;;;;N;;;;;
        "\u0F79",  # ;TIBETAN VOWEL SIGN VOCALIC LL;Mn;0;NSM;<compat> 0FB3 0F81;;;;N;;;;;
        "\u0F7A",  # ;TIBETAN VOWEL SIGN E;Mn;130;NSM;;;;;N;;;;;
        "\u0F7B",  # ;TIBETAN VOWEL SIGN EE;Mn;130;NSM;;;;;N;TIBETAN VOWEL SIGN AI;;;;
        "\u0F7C",  # ;TIBETAN VOWEL SIGN O;Mn;130;NSM;;;;;N;;;;;
        "\u0F7D",  # ;TIBETAN VOWEL SIGN OO;Mn;130;NSM;;;;;N;TIBETAN VOWEL SIGN AU;;;;
        "\u0F7E",  # ;TIBETAN SIGN RJES SU NGA RO;Mn;0;NSM;;;;;N;TIBETAN ANUSVARA;;;;
        "\u0F7F",  # ;TIBETAN SIGN RNAM BCAD;Mc;0;L;;;;;N;TIBETAN VISARGA;;;;
        "\u0F80",  # ;TIBETAN VOWEL SIGN REVERSED I;Mn;130;NSM;;;;;N;TIBETAN VOWEL SIGN SHORT I;;;;
        "\u0F81",  # ;TIBETAN VOWEL SIGN REVERSED II;Mn;0;NSM;0F71 0F80;;;;N;;;;;
        "\u0F82",  # ;TIBETAN SIGN NYI ZLA NAA DA;Mn;230;NSM;;;;;N;TIBETAN CANDRABINDU WITH ORNAMENT;;;;
        "\u0F83",  # ;TIBETAN SIGN SNA LDAN;Mn;230;NSM;;;;;N;TIBETAN CANDRABINDU;;;;
        "\u0F84",  # ;TIBETAN MARK HALANTA;Mn;9;NSM;;;;;N;TIBETAN VIRAMA;;;;
        "\u0F85",  # ;TIBETAN MARK PALUTA;Po;0;L;;;;;N;TIBETAN CHUCHENYIGE;;;;
        "\u0F86",  # ;TIBETAN SIGN LCI RTAGS;Mn;230;NSM;;;;;N;;;;;
        "\u0F87",  # ;TIBETAN SIGN YANG RTAGS;Mn;230;NSM;;;;;N;;;;;
        "\u0F88",  # ;TIBETAN SIGN LCE TSA CAN;Lo;0;L;;;;;N;;;;;
        "\u0F89",  # ;TIBETAN SIGN MCHU CAN;Lo;0;L;;;;;N;;;;;
        "\u0F8A",  # ;TIBETAN SIGN GRU CAN RGYINGS;Lo;0;L;;;;;N;;;;;
        "\u0F8B",  # ;TIBETAN SIGN GRU MED RGYINGS;Lo;0;L;;;;;N;;;;;
        "\u0F8C",  # ;TIBETAN SIGN INVERTED MCHU CAN;Lo;0;L;;;;;N;;;;;
        "\u0F8D",  # ;TIBETAN SUBJOINED SIGN LCE TSA CAN;Mn;0;NSM;;;;;N;;;;;
        "\u0F8E",  # ;TIBETAN SUBJOINED SIGN MCHU CAN;Mn;0;NSM;;;;;N;;;;;
        "\u0F8F",  # ;TIBETAN SUBJOINED SIGN INVERTED MCHU CAN;Mn;0;NSM;;;;;N;;;;;
        "\u0F90",  # ;TIBETAN SUBJOINED LETTER KA;Mn;0;NSM;;;;;N;;;;;
        "\u0F91",  # ;TIBETAN SUBJOINED LETTER KHA;Mn;0;NSM;;;;;N;;;;;
        "\u0F92",  # ;TIBETAN SUBJOINED LETTER GA;Mn;0;NSM;;;;;N;;;;;
        "\u0F93",  # ;TIBETAN SUBJOINED LETTER GHA;Mn;0;NSM;0F92 0FB7;;;;N;;;;;
        "\u0F94",  # ;TIBETAN SUBJOINED LETTER NGA;Mn;0;NSM;;;;;N;;;;;
        "\u0F95",  # ;TIBETAN SUBJOINED LETTER CA;Mn;0;NSM;;;;;N;;;;;
        "\u0F96",  # ;TIBETAN SUBJOINED LETTER CHA;Mn;0;NSM;;;;;N;;;;;
        "\u0F97",  # ;TIBETAN SUBJOINED LETTER JA;Mn;0;NSM;;;;;N;;;;;
        "\u0F99",  # ;TIBETAN SUBJOINED LETTER NYA;Mn;0;NSM;;;;;N;;;;;
        "\u0F9A",  # ;TIBETAN SUBJOINED LETTER TTA;Mn;0;NSM;;;;;N;;;;;
        "\u0F9B",  # ;TIBETAN SUBJOINED LETTER TTHA;Mn;0;NSM;;;;;N;;;;;
        "\u0F9C",  # ;TIBETAN SUBJOINED LETTER DDA;Mn;0;NSM;;;;;N;;;;;
        "\u0F9D",  # ;TIBETAN SUBJOINED LETTER DDHA;Mn;0;NSM;0F9C 0FB7;;;;N;;;;;
        "\u0F9E",  # ;TIBETAN SUBJOINED LETTER NNA;Mn;0;NSM;;;;;N;;;;;
        "\u0F9F",  # ;TIBETAN SUBJOINED LETTER TA;Mn;0;NSM;;;;;N;;;;;
        "\u0FA0",  # ;TIBETAN SUBJOINED LETTER THA;Mn;0;NSM;;;;;N;;;;;
        "\u0FA1",  # ;TIBETAN SUBJOINED LETTER DA;Mn;0;NSM;;;;;N;;;;;
        "\u0FA2",  # ;TIBETAN SUBJOINED LETTER DHA;Mn;0;NSM;0FA1 0FB7;;;;N;;;;;
        "\u0FA3",  # ;TIBETAN SUBJOINED LETTER NA;Mn;0;NSM;;;;;N;;;;;
        "\u0FA4",  # ;TIBETAN SUBJOINED LETTER PA;Mn;0;NSM;;;;;N;;;;;
        "\u0FA5",  # ;TIBETAN SUBJOINED LETTER PHA;Mn;0;NSM;;;;;N;;;;;
        "\u0FA6",  # ;TIBETAN SUBJOINED LETTER BA;Mn;0;NSM;;;;;N;;;;;
        "\u0FA7",  # ;TIBETAN SUBJOINED LETTER BHA;Mn;0;NSM;0FA6 0FB7;;;;N;;;;;
        "\u0FA8",  # ;TIBETAN SUBJOINED LETTER MA;Mn;0;NSM;;;;;N;;;;;
        "\u0FA9",  # ;TIBETAN SUBJOINED LETTER TSA;Mn;0;NSM;;;;;N;;;;;
        "\u0FAA",  # ;TIBETAN SUBJOINED LETTER TSHA;Mn;0;NSM;;;;;N;;;;;
        "\u0FAB",  # ;TIBETAN SUBJOINED LETTER DZA;Mn;0;NSM;;;;;N;;;;;
        "\u0FAC",  # ;TIBETAN SUBJOINED LETTER DZHA;Mn;0;NSM;0FAB 0FB7;;;;N;;;;;
        "\u0FAD",  # ;TIBETAN SUBJOINED LETTER WA;Mn;0;NSM;;;;;N;;;;;
        "\u0FAE",  # ;TIBETAN SUBJOINED LETTER ZHA;Mn;0;NSM;;;;;N;;;;;
        "\u0FAF",  # ;TIBETAN SUBJOINED LETTER ZA;Mn;0;NSM;;;;;N;;;;;
        "\u0FB0",  # ;TIBETAN SUBJOINED LETTER -A;Mn;0;NSM;;;;;N;;;;;
        "\u0FB1",  # ;TIBETAN SUBJOINED LETTER YA;Mn;0;NSM;;;;;N;;;;;
        "\u0FB2",  # ;TIBETAN SUBJOINED LETTER RA;Mn;0;NSM;;;;;N;;;;;
        "\u0FB3",  # ;TIBETAN SUBJOINED LETTER LA;Mn;0;NSM;;;;;N;;;;;
        "\u0FB4",  # ;TIBETAN SUBJOINED LETTER SHA;Mn;0;NSM;;;;;N;;;;;
        "\u0FB5",  # ;TIBETAN SUBJOINED LETTER SSA;Mn;0;NSM;;;;;N;;;;;
        "\u0FB6",  # ;TIBETAN SUBJOINED LETTER SA;Mn;0;NSM;;;;;N;;;;;
        "\u0FB7",  # ;TIBETAN SUBJOINED LETTER HA;Mn;0;NSM;;;;;N;;;;;
        "\u0FB8",  # ;TIBETAN SUBJOINED LETTER A;Mn;0;NSM;;;;;N;;;;;
        "\u0FB9",  # ;TIBETAN SUBJOINED LETTER KSSA;Mn;0;NSM;0F90 0FB5;;;;N;;;;;
        "\u0FBA",  # ;TIBETAN SUBJOINED LETTER FIXED-FORM WA;Mn;0;NSM;;;;;N;;;;;
        "\u0FBB",  # ;TIBETAN SUBJOINED LETTER FIXED-FORM YA;Mn;0;NSM;;;;;N;;;;;
        "\u0FBC",  # ;TIBETAN SUBJOINED LETTER FIXED-FORM RA;Mn;0;NSM;;;;;N;;;;;
        "\u0FBE",  # ;TIBETAN KU RU KHA;So;0;L;;;;;N;;;;;
        "\u0FBF",  # ;TIBETAN KU RU KHA BZHI MIG CAN;So;0;L;;;;;N;;;;;
        "\u0FC0",  # ;TIBETAN CANTILLATION SIGN HEAVY BEAT;So;0;L;;;;;N;;;;;
        "\u0FC1",  # ;TIBETAN CANTILLATION SIGN LIGHT BEAT;So;0;L;;;;;N;;;;;
        "\u0FC2",  # ;TIBETAN CANTILLATION SIGN CANG TE-U;So;0;L;;;;;N;;;;;
        "\u0FC3",  # ;TIBETAN CANTILLATION SIGN SBUB -CHAL;So;0;L;;;;;N;;;;;
        "\u0FC4",  # ;TIBETAN SYMBOL DRIL BU;So;0;L;;;;;N;;;;;
        "\u0FC5",  # ;TIBETAN SYMBOL RDO RJE;So;0;L;;;;;N;;;;;
        "\u0FC6",  # ;TIBETAN SYMBOL PADMA GDAN;Mn;220;NSM;;;;;N;;;;;
        "\u0FC7",  # ;TIBETAN SYMBOL RDO RJE RGYA GRAM;So;0;L;;;;;N;;;;;
        "\u0FC8",  # ;TIBETAN SYMBOL PHUR PA;So;0;L;;;;;N;;;;;
        "\u0FC9",  # ;TIBETAN SYMBOL NOR BU;So;0;L;;;;;N;;;;;
        "\u0FCA",  # ;TIBETAN SYMBOL NOR BU NYIS -KHYIL;So;0;L;;;;;N;;;;;
        "\u0FCB",  # ;TIBETAN SYMBOL NOR BU GSUM -KHYIL;So;0;L;;;;;N;;;;;
        "\u0FCC",  # ;TIBETAN SYMBOL NOR BU BZHI -KHYIL;So;0;L;;;;;N;;;;;
        "\u0FCE",  # ;TIBETAN SIGN RDEL NAG RDEL DKAR;So;0;L;;;;;N;;;;;
        "\u0FCF",  # ;TIBETAN SIGN RDEL NAG GSUM;So;0;L;;;;;N;;;;;
        "\u0FD0",  # ;TIBETAN MARK BSKA- SHOG GI MGO RGYAN;Po;0;L;;;;;N;;;;;
        "\u0FD1",  # ;TIBETAN MARK MNYAM YIG GI MGO RGYAN;Po;0;L;;;;;N;;;;;
        "\u0FD2",  # ;TIBETAN MARK NYIS TSHEG;Po;0;L;;;;;N;;;;;
        "\u0FD3",  # ;TIBETAN MARK INITIAL BRDA RNYING YIG MGO MDUN MA;Po;0;L;;;;;N;;;;;
        "\u0FD4",  # ;TIBETAN MARK CLOSING BRDA RNYING YIG MGO SGAB MA;Po;0;L;;;;;N;;;;;
        "\u0FD5",  # ;RIGHT-FACING SVASTI SIGN;So;0;L;;;;;N;;;;;
        "\u0FD6",  # ;LEFT-FACING SVASTI SIGN;So;0;L;;;;;N;;;;;
        "\u0FD7",  # ;RIGHT-FACING SVASTI SIGN WITH DOTS;So;0;L;;;;;N;;;;;
        "\u0FD8",  # ;LEFT-FACING SVASTI SIGN WITH DOTS;So;0;L;;;;;N;;;;;
        "\u0FD9",  # ;TIBETAN MARK LEADING MCHAN RTAGS;Po;0;L;;;;;N;;;;;
        "\u0FDA",  # ;TIBETAN MARK TRAILING MCHAN RTAGS;Po;0;L;;;;;N;;;;;
        "\u1000",  # ;MYANMAR LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u1001",  # ;MYANMAR LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u1002",  # ;MYANMAR LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u1003",  # ;MYANMAR LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u1004",  # ;MYANMAR LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u1005",  # ;MYANMAR LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u1006",  # ;MYANMAR LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u1007",  # ;MYANMAR LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u1008",  # ;MYANMAR LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\u1009",  # ;MYANMAR LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u100A",  # ;MYANMAR LETTER NNYA;Lo;0;L;;;;;N;;;;;
        "\u100B",  # ;MYANMAR LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u100C",  # ;MYANMAR LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u100D",  # ;MYANMAR LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u100E",  # ;MYANMAR LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\u100F",  # ;MYANMAR LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u1010",  # ;MYANMAR LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u1011",  # ;MYANMAR LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u1012",  # ;MYANMAR LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u1013",  # ;MYANMAR LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u1014",  # ;MYANMAR LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u1015",  # ;MYANMAR LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u1016",  # ;MYANMAR LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u1017",  # ;MYANMAR LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u1018",  # ;MYANMAR LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u1019",  # ;MYANMAR LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u101A",  # ;MYANMAR LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u101B",  # ;MYANMAR LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u101C",  # ;MYANMAR LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u101D",  # ;MYANMAR LETTER WA;Lo;0;L;;;;;N;;;;;
        "\u101E",  # ;MYANMAR LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u101F",  # ;MYANMAR LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u1020",  # ;MYANMAR LETTER LLA;Lo;0;L;;;;;N;;;;;
        "\u1021",  # ;MYANMAR LETTER A;Lo;0;L;;;;;N;;;;;
        "\u1022",  # ;MYANMAR LETTER SHAN A;Lo;0;L;;;;;N;;;;;
        "\u1023",  # ;MYANMAR LETTER I;Lo;0;L;;;;;N;;;;;
        "\u1024",  # ;MYANMAR LETTER II;Lo;0;L;;;;;N;;;;;
        "\u1025",  # ;MYANMAR LETTER U;Lo;0;L;;;;;N;;;;;
        "\u1026",  # ;MYANMAR LETTER UU;Lo;0;L;1025 102E;;;;N;;;;;
        "\u1027",  # ;MYANMAR LETTER E;Lo;0;L;;;;;N;;;;;
        "\u1028",  # ;MYANMAR LETTER MON E;Lo;0;L;;;;;N;;;;;
        "\u1029",  # ;MYANMAR LETTER O;Lo;0;L;;;;;N;;;;;
        "\u102A",  # ;MYANMAR LETTER AU;Lo;0;L;;;;;N;;;;;
        "\u102B",  # ;MYANMAR VOWEL SIGN TALL AA;Mc;0;L;;;;;N;;;;;
        "\u102C",  # ;MYANMAR VOWEL SIGN AA;Mc;0;L;;;;;N;;;;;
        "\u102D",  # ;MYANMAR VOWEL SIGN I;Mn;0;NSM;;;;;N;;;;;
        "\u102E",  # ;MYANMAR VOWEL SIGN II;Mn;0;NSM;;;;;N;;;;;
        "\u102F",  # ;MYANMAR VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u1030",  # ;MYANMAR VOWEL SIGN UU;Mn;0;NSM;;;;;N;;;;;
        "\u1031",  # ;MYANMAR VOWEL SIGN E;Mc;0;L;;;;;N;;;;;
        "\u1032",  # ;MYANMAR VOWEL SIGN AI;Mn;0;NSM;;;;;N;;;;;
        "\u1033",  # ;MYANMAR VOWEL SIGN MON II;Mn;0;NSM;;;;;N;;;;;
        "\u1034",  # ;MYANMAR VOWEL SIGN MON O;Mn;0;NSM;;;;;N;;;;;
        "\u1035",  # ;MYANMAR VOWEL SIGN E ABOVE;Mn;0;NSM;;;;;N;;;;;
        "\u1036",  # ;MYANMAR SIGN ANUSVARA;Mn;0;NSM;;;;;N;;;;;
        "\u1037",  # ;MYANMAR SIGN DOT BELOW;Mn;7;NSM;;;;;N;;;;;
        "\u1038",  # ;MYANMAR SIGN VISARGA;Mc;0;L;;;;;N;;;;;
        "\u1039",  # ;MYANMAR SIGN VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\u103A",  # ;MYANMAR SIGN ASAT;Mn;9;NSM;;;;;N;;;;;
        "\u103B",  # ;MYANMAR CONSONANT SIGN MEDIAL YA;Mc;0;L;;;;;N;;;;;
        "\u103C",  # ;MYANMAR CONSONANT SIGN MEDIAL RA;Mc;0;L;;;;;N;;;;;
        "\u103D",  # ;MYANMAR CONSONANT SIGN MEDIAL WA;Mn;0;NSM;;;;;N;;;;;
        "\u103E",  # ;MYANMAR CONSONANT SIGN MEDIAL HA;Mn;0;NSM;;;;;N;;;;;
        "\u103F",  # ;MYANMAR LETTER GREAT SA;Lo;0;L;;;;;N;;;;;
        "\u1040",  # ;MYANMAR DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u1041",  # ;MYANMAR DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u1042",  # ;MYANMAR DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u1043",  # ;MYANMAR DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u1044",  # ;MYANMAR DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u1045",  # ;MYANMAR DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u1046",  # ;MYANMAR DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u1047",  # ;MYANMAR DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u1048",  # ;MYANMAR DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u1049",  # ;MYANMAR DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u104A",  # ;MYANMAR SIGN LITTLE SECTION;Po;0;L;;;;;N;;;;;
        "\u104B",  # ;MYANMAR SIGN SECTION;Po;0;L;;;;;N;;;;;
        "\u104C",  # ;MYANMAR SYMBOL LOCATIVE;Po;0;L;;;;;N;;;;;
        "\u104D",  # ;MYANMAR SYMBOL COMPLETED;Po;0;L;;;;;N;;;;;
        "\u104E",  # ;MYANMAR SYMBOL AFOREMENTIONED;Po;0;L;;;;;N;;;;;
        "\u104F",  # ;MYANMAR SYMBOL GENITIVE;Po;0;L;;;;;N;;;;;
        "\u1050",  # ;MYANMAR LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u1051",  # ;MYANMAR LETTER SSA;Lo;0;L;;;;;N;;;;;
        "\u1052",  # ;MYANMAR LETTER VOCALIC R;Lo;0;L;;;;;N;;;;;
        "\u1053",  # ;MYANMAR LETTER VOCALIC RR;Lo;0;L;;;;;N;;;;;
        "\u1054",  # ;MYANMAR LETTER VOCALIC L;Lo;0;L;;;;;N;;;;;
        "\u1055",  # ;MYANMAR LETTER VOCALIC LL;Lo;0;L;;;;;N;;;;;
        "\u1056",  # ;MYANMAR VOWEL SIGN VOCALIC R;Mc;0;L;;;;;N;;;;;
        "\u1057",  # ;MYANMAR VOWEL SIGN VOCALIC RR;Mc;0;L;;;;;N;;;;;
        "\u1058",  # ;MYANMAR VOWEL SIGN VOCALIC L;Mn;0;NSM;;;;;N;;;;;
        "\u1059",  # ;MYANMAR VOWEL SIGN VOCALIC LL;Mn;0;NSM;;;;;N;;;;;
        "\u105A",  # ;MYANMAR LETTER MON NGA;Lo;0;L;;;;;N;;;;;
        "\u105B",  # ;MYANMAR LETTER MON JHA;Lo;0;L;;;;;N;;;;;
        "\u105C",  # ;MYANMAR LETTER MON BBA;Lo;0;L;;;;;N;;;;;
        "\u105D",  # ;MYANMAR LETTER MON BBE;Lo;0;L;;;;;N;;;;;
        "\u105E",  # ;MYANMAR CONSONANT SIGN MON MEDIAL NA;Mn;0;NSM;;;;;N;;;;;
        "\u105F",  # ;MYANMAR CONSONANT SIGN MON MEDIAL MA;Mn;0;NSM;;;;;N;;;;;
        "\u1060",  # ;MYANMAR CONSONANT SIGN MON MEDIAL LA;Mn;0;NSM;;;;;N;;;;;
        "\u1061",  # ;MYANMAR LETTER SGAW KAREN SHA;Lo;0;L;;;;;N;;;;;
        "\u1062",  # ;MYANMAR VOWEL SIGN SGAW KAREN EU;Mc;0;L;;;;;N;;;;;
        "\u1063",  # ;MYANMAR TONE MARK SGAW KAREN HATHI;Mc;0;L;;;;;N;;;;;
        "\u1064",  # ;MYANMAR TONE MARK SGAW KAREN KE PHO;Mc;0;L;;;;;N;;;;;
        "\u1065",  # ;MYANMAR LETTER WESTERN PWO KAREN THA;Lo;0;L;;;;;N;;;;;
        "\u1066",  # ;MYANMAR LETTER WESTERN PWO KAREN PWA;Lo;0;L;;;;;N;;;;;
        "\u1067",  # ;MYANMAR VOWEL SIGN WESTERN PWO KAREN EU;Mc;0;L;;;;;N;;;;;
        "\u1068",  # ;MYANMAR VOWEL SIGN WESTERN PWO KAREN UE;Mc;0;L;;;;;N;;;;;
        "\u1069",  # ;MYANMAR SIGN WESTERN PWO KAREN TONE-1;Mc;0;L;;;;;N;;;;;
        "\u106A",  # ;MYANMAR SIGN WESTERN PWO KAREN TONE-2;Mc;0;L;;;;;N;;;;;
        "\u106B",  # ;MYANMAR SIGN WESTERN PWO KAREN TONE-3;Mc;0;L;;;;;N;;;;;
        "\u106C",  # ;MYANMAR SIGN WESTERN PWO KAREN TONE-4;Mc;0;L;;;;;N;;;;;
        "\u106D",  # ;MYANMAR SIGN WESTERN PWO KAREN TONE-5;Mc;0;L;;;;;N;;;;;
        "\u106E",  # ;MYANMAR LETTER EASTERN PWO KAREN NNA;Lo;0;L;;;;;N;;;;;
        "\u106F",  # ;MYANMAR LETTER EASTERN PWO KAREN YWA;Lo;0;L;;;;;N;;;;;
        "\u1070",  # ;MYANMAR LETTER EASTERN PWO KAREN GHWA;Lo;0;L;;;;;N;;;;;
        "\u1071",  # ;MYANMAR VOWEL SIGN GEBA KAREN I;Mn;0;NSM;;;;;N;;;;;
        "\u1072",  # ;MYANMAR VOWEL SIGN KAYAH OE;Mn;0;NSM;;;;;N;;;;;
        "\u1073",  # ;MYANMAR VOWEL SIGN KAYAH U;Mn;0;NSM;;;;;N;;;;;
        "\u1074",  # ;MYANMAR VOWEL SIGN KAYAH EE;Mn;0;NSM;;;;;N;;;;;
        "\u1075",  # ;MYANMAR LETTER SHAN KA;Lo;0;L;;;;;N;;;;;
        "\u1076",  # ;MYANMAR LETTER SHAN KHA;Lo;0;L;;;;;N;;;;;
        "\u1077",  # ;MYANMAR LETTER SHAN GA;Lo;0;L;;;;;N;;;;;
        "\u1078",  # ;MYANMAR LETTER SHAN CA;Lo;0;L;;;;;N;;;;;
        "\u1079",  # ;MYANMAR LETTER SHAN ZA;Lo;0;L;;;;;N;;;;;
        "\u107A",  # ;MYANMAR LETTER SHAN NYA;Lo;0;L;;;;;N;;;;;
        "\u107B",  # ;MYANMAR LETTER SHAN DA;Lo;0;L;;;;;N;;;;;
        "\u107C",  # ;MYANMAR LETTER SHAN NA;Lo;0;L;;;;;N;;;;;
        "\u107D",  # ;MYANMAR LETTER SHAN PHA;Lo;0;L;;;;;N;;;;;
        "\u107E",  # ;MYANMAR LETTER SHAN FA;Lo;0;L;;;;;N;;;;;
        "\u107F",  # ;MYANMAR LETTER SHAN BA;Lo;0;L;;;;;N;;;;;
        "\u1080",  # ;MYANMAR LETTER SHAN THA;Lo;0;L;;;;;N;;;;;
        "\u1081",  # ;MYANMAR LETTER SHAN HA;Lo;0;L;;;;;N;;;;;
        "\u1082",  # ;MYANMAR CONSONANT SIGN SHAN MEDIAL WA;Mn;0;NSM;;;;;N;;;;;
        "\u1083",  # ;MYANMAR VOWEL SIGN SHAN AA;Mc;0;L;;;;;N;;;;;
        "\u1084",  # ;MYANMAR VOWEL SIGN SHAN E;Mc;0;L;;;;;N;;;;;
        "\u1085",  # ;MYANMAR VOWEL SIGN SHAN E ABOVE;Mn;0;NSM;;;;;N;;;;;
        "\u1086",  # ;MYANMAR VOWEL SIGN SHAN FINAL Y;Mn;0;NSM;;;;;N;;;;;
        "\u1087",  # ;MYANMAR SIGN SHAN TONE-2;Mc;0;L;;;;;N;;;;;
        "\u1088",  # ;MYANMAR SIGN SHAN TONE-3;Mc;0;L;;;;;N;;;;;
        "\u1089",  # ;MYANMAR SIGN SHAN TONE-5;Mc;0;L;;;;;N;;;;;
        "\u108A",  # ;MYANMAR SIGN SHAN TONE-6;Mc;0;L;;;;;N;;;;;
        "\u108B",  # ;MYANMAR SIGN SHAN COUNCIL TONE-2;Mc;0;L;;;;;N;;;;;
        "\u108C",  # ;MYANMAR SIGN SHAN COUNCIL TONE-3;Mc;0;L;;;;;N;;;;;
        "\u108D",  # ;MYANMAR SIGN SHAN COUNCIL EMPHATIC TONE;Mn;220;NSM;;;;;N;;;;;
        "\u108E",  # ;MYANMAR LETTER RUMAI PALAUNG FA;Lo;0;L;;;;;N;;;;;
        "\u108F",  # ;MYANMAR SIGN RUMAI PALAUNG TONE-5;Mc;0;L;;;;;N;;;;;
        "\u1090",  # ;MYANMAR SHAN DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u1091",  # ;MYANMAR SHAN DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u1092",  # ;MYANMAR SHAN DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u1093",  # ;MYANMAR SHAN DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u1094",  # ;MYANMAR SHAN DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u1095",  # ;MYANMAR SHAN DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u1096",  # ;MYANMAR SHAN DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u1097",  # ;MYANMAR SHAN DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u1098",  # ;MYANMAR SHAN DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u1099",  # ;MYANMAR SHAN DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u109A",  # ;MYANMAR SIGN KHAMTI TONE-1;Mc;0;L;;;;;N;;;;;
        "\u109B",  # ;MYANMAR SIGN KHAMTI TONE-3;Mc;0;L;;;;;N;;;;;
        "\u109C",  # ;MYANMAR VOWEL SIGN AITON A;Mc;0;L;;;;;N;;;;;
        "\u109D",  # ;MYANMAR VOWEL SIGN AITON AI;Mn;0;NSM;;;;;N;;;;;
        "\u109E",  # ;MYANMAR SYMBOL SHAN ONE;So;0;L;;;;;N;;;;;
        "\u109F",  # ;MYANMAR SYMBOL SHAN EXCLAMATION;So;0;L;;;;;N;;;;;
        "\u10A0",  # ;GEORGIAN CAPITAL LETTER AN;Lu;0;L;;;;;N;;;;2D00;
        "\u10A1",  # ;GEORGIAN CAPITAL LETTER BAN;Lu;0;L;;;;;N;;;;2D01;
        "\u10A2",  # ;GEORGIAN CAPITAL LETTER GAN;Lu;0;L;;;;;N;;;;2D02;
        "\u10A3",  # ;GEORGIAN CAPITAL LETTER DON;Lu;0;L;;;;;N;;;;2D03;
        "\u10A4",  # ;GEORGIAN CAPITAL LETTER EN;Lu;0;L;;;;;N;;;;2D04;
        "\u10A5",  # ;GEORGIAN CAPITAL LETTER VIN;Lu;0;L;;;;;N;;;;2D05;
        "\u10A6",  # ;GEORGIAN CAPITAL LETTER ZEN;Lu;0;L;;;;;N;;;;2D06;
        "\u10A7",  # ;GEORGIAN CAPITAL LETTER TAN;Lu;0;L;;;;;N;;;;2D07;
        "\u10A8",  # ;GEORGIAN CAPITAL LETTER IN;Lu;0;L;;;;;N;;;;2D08;
        "\u10A9",  # ;GEORGIAN CAPITAL LETTER KAN;Lu;0;L;;;;;N;;;;2D09;
        "\u10AA",  # ;GEORGIAN CAPITAL LETTER LAS;Lu;0;L;;;;;N;;;;2D0A;
        "\u10AB",  # ;GEORGIAN CAPITAL LETTER MAN;Lu;0;L;;;;;N;;;;2D0B;
        "\u10AC",  # ;GEORGIAN CAPITAL LETTER NAR;Lu;0;L;;;;;N;;;;2D0C;
        "\u10AD",  # ;GEORGIAN CAPITAL LETTER ON;Lu;0;L;;;;;N;;;;2D0D;
        "\u10AE",  # ;GEORGIAN CAPITAL LETTER PAR;Lu;0;L;;;;;N;;;;2D0E;
        "\u10AF",  # ;GEORGIAN CAPITAL LETTER ZHAR;Lu;0;L;;;;;N;;;;2D0F;
        "\u10B0",  # ;GEORGIAN CAPITAL LETTER RAE;Lu;0;L;;;;;N;;;;2D10;
        "\u10B1",  # ;GEORGIAN CAPITAL LETTER SAN;Lu;0;L;;;;;N;;;;2D11;
        "\u10B2",  # ;GEORGIAN CAPITAL LETTER TAR;Lu;0;L;;;;;N;;;;2D12;
        "\u10B3",  # ;GEORGIAN CAPITAL LETTER UN;Lu;0;L;;;;;N;;;;2D13;
        "\u10B4",  # ;GEORGIAN CAPITAL LETTER PHAR;Lu;0;L;;;;;N;;;;2D14;
        "\u10B5",  # ;GEORGIAN CAPITAL LETTER KHAR;Lu;0;L;;;;;N;;;;2D15;
        "\u10B6",  # ;GEORGIAN CAPITAL LETTER GHAN;Lu;0;L;;;;;N;;;;2D16;
        "\u10B7",  # ;GEORGIAN CAPITAL LETTER QAR;Lu;0;L;;;;;N;;;;2D17;
        "\u10B8",  # ;GEORGIAN CAPITAL LETTER SHIN;Lu;0;L;;;;;N;;;;2D18;
        "\u10B9",  # ;GEORGIAN CAPITAL LETTER CHIN;Lu;0;L;;;;;N;;;;2D19;
        "\u10BA",  # ;GEORGIAN CAPITAL LETTER CAN;Lu;0;L;;;;;N;;;;2D1A;
        "\u10BB",  # ;GEORGIAN CAPITAL LETTER JIL;Lu;0;L;;;;;N;;;;2D1B;
        "\u10BC",  # ;GEORGIAN CAPITAL LETTER CIL;Lu;0;L;;;;;N;;;;2D1C;
        "\u10BD",  # ;GEORGIAN CAPITAL LETTER CHAR;Lu;0;L;;;;;N;;;;2D1D;
        "\u10BE",  # ;GEORGIAN CAPITAL LETTER XAN;Lu;0;L;;;;;N;;;;2D1E;
        "\u10BF",  # ;GEORGIAN CAPITAL LETTER JHAN;Lu;0;L;;;;;N;;;;2D1F;
        "\u10C0",  # ;GEORGIAN CAPITAL LETTER HAE;Lu;0;L;;;;;N;;;;2D20;
        "\u10C1",  # ;GEORGIAN CAPITAL LETTER HE;Lu;0;L;;;;;N;;;;2D21;
        "\u10C2",  # ;GEORGIAN CAPITAL LETTER HIE;Lu;0;L;;;;;N;;;;2D22;
        "\u10C3",  # ;GEORGIAN CAPITAL LETTER WE;Lu;0;L;;;;;N;;;;2D23;
        "\u10C4",  # ;GEORGIAN CAPITAL LETTER HAR;Lu;0;L;;;;;N;;;;2D24;
        "\u10C5",  # ;GEORGIAN CAPITAL LETTER HOE;Lu;0;L;;;;;N;;;;2D25;
        "\u10C7",  # ;GEORGIAN CAPITAL LETTER YN;Lu;0;L;;;;;N;;;;2D27;
        "\u10CD",  # ;GEORGIAN CAPITAL LETTER AEN;Lu;0;L;;;;;N;;;;2D2D;
        "\u10D0",  # ;GEORGIAN LETTER AN;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER AN;;;;
        "\u10D1",  # ;GEORGIAN LETTER BAN;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER BAN;;;;
        "\u10D2",  # ;GEORGIAN LETTER GAN;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER GAN;;;;
        "\u10D3",  # ;GEORGIAN LETTER DON;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER DON;;;;
        "\u10D4",  # ;GEORGIAN LETTER EN;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER EN;;;;
        "\u10D5",  # ;GEORGIAN LETTER VIN;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER VIN;;;;
        "\u10D6",  # ;GEORGIAN LETTER ZEN;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER ZEN;;;;
        "\u10D7",  # ;GEORGIAN LETTER TAN;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER TAN;;;;
        "\u10D8",  # ;GEORGIAN LETTER IN;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER IN;;;;
        "\u10D9",  # ;GEORGIAN LETTER KAN;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER KAN;;;;
        "\u10DA",  # ;GEORGIAN LETTER LAS;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER LAS;;;;
        "\u10DB",  # ;GEORGIAN LETTER MAN;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER MAN;;;;
        "\u10DC",  # ;GEORGIAN LETTER NAR;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER NAR;;;;
        "\u10DD",  # ;GEORGIAN LETTER ON;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER ON;;;;
        "\u10DE",  # ;GEORGIAN LETTER PAR;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER PAR;;;;
        "\u10DF",  # ;GEORGIAN LETTER ZHAR;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER ZHAR;;;;
        "\u10E0",  # ;GEORGIAN LETTER RAE;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER RAE;;;;
        "\u10E1",  # ;GEORGIAN LETTER SAN;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER SAN;;;;
        "\u10E2",  # ;GEORGIAN LETTER TAR;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER TAR;;;;
        "\u10E3",  # ;GEORGIAN LETTER UN;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER UN;;;;
        "\u10E4",  # ;GEORGIAN LETTER PHAR;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER PHAR;;;;
        "\u10E5",  # ;GEORGIAN LETTER KHAR;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER KHAR;;;;
        "\u10E6",  # ;GEORGIAN LETTER GHAN;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER GHAN;;;;
        "\u10E7",  # ;GEORGIAN LETTER QAR;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER QAR;;;;
        "\u10E8",  # ;GEORGIAN LETTER SHIN;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER SHIN;;;;
        "\u10E9",  # ;GEORGIAN LETTER CHIN;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER CHIN;;;;
        "\u10EA",  # ;GEORGIAN LETTER CAN;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER CAN;;;;
        "\u10EB",  # ;GEORGIAN LETTER JIL;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER JIL;;;;
        "\u10EC",  # ;GEORGIAN LETTER CIL;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER CIL;;;;
        "\u10ED",  # ;GEORGIAN LETTER CHAR;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER CHAR;;;;
        "\u10EE",  # ;GEORGIAN LETTER XAN;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER XAN;;;;
        "\u10EF",  # ;GEORGIAN LETTER JHAN;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER JHAN;;;;
        "\u10F0",  # ;GEORGIAN LETTER HAE;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER HAE;;;;
        "\u10F1",  # ;GEORGIAN LETTER HE;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER HE;;;;
        "\u10F2",  # ;GEORGIAN LETTER HIE;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER HIE;;;;
        "\u10F3",  # ;GEORGIAN LETTER WE;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER WE;;;;
        "\u10F4",  # ;GEORGIAN LETTER HAR;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER HAR;;;;
        "\u10F5",  # ;GEORGIAN LETTER HOE;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER HOE;;;;
        "\u10F6",  # ;GEORGIAN LETTER FI;Lo;0;L;;;;;N;GEORGIAN SMALL LETTER FI;;;;
        "\u10F7",  # ;GEORGIAN LETTER YN;Lo;0;L;;;;;N;;;;;
        "\u10F8",  # ;GEORGIAN LETTER ELIFI;Lo;0;L;;;;;N;;;;;
        "\u10F9",  # ;GEORGIAN LETTER TURNED GAN;Lo;0;L;;;;;N;;;;;
        "\u10FA",  # ;GEORGIAN LETTER AIN;Lo;0;L;;;;;N;;;;;
        "\u10FB",  # ;GEORGIAN PARAGRAPH SEPARATOR;Po;0;L;;;;;N;;;;;
        "\u10FC",  # ;MODIFIER LETTER GEORGIAN NAR;Lm;0;L;<super> 10DC;;;;N;;;;;
        "\u10FD",  # ;GEORGIAN LETTER AEN;Lo;0;L;;;;;N;;;;;
        "\u10FE",  # ;GEORGIAN LETTER HARD SIGN;Lo;0;L;;;;;N;;;;;
        "\u10FF",  # ;GEORGIAN LETTER LABIAL SIGN;Lo;0;L;;;;;N;;;;;
        "\u1100",  # ;HANGUL CHOSEONG KIYEOK;Lo;0;L;;;;;N;;;;;
        "\u1101",  # ;HANGUL CHOSEONG SSANGKIYEOK;Lo;0;L;;;;;N;;;;;
        "\u1102",  # ;HANGUL CHOSEONG NIEUN;Lo;0;L;;;;;N;;;;;
        "\u1103",  # ;HANGUL CHOSEONG TIKEUT;Lo;0;L;;;;;N;;;;;
        "\u1104",  # ;HANGUL CHOSEONG SSANGTIKEUT;Lo;0;L;;;;;N;;;;;
        "\u1105",  # ;HANGUL CHOSEONG RIEUL;Lo;0;L;;;;;N;;;;;
        "\u1106",  # ;HANGUL CHOSEONG MIEUM;Lo;0;L;;;;;N;;;;;
        "\u1107",  # ;HANGUL CHOSEONG PIEUP;Lo;0;L;;;;;N;;;;;
        "\u1108",  # ;HANGUL CHOSEONG SSANGPIEUP;Lo;0;L;;;;;N;;;;;
        "\u1109",  # ;HANGUL CHOSEONG SIOS;Lo;0;L;;;;;N;;;;;
        "\u110A",  # ;HANGUL CHOSEONG SSANGSIOS;Lo;0;L;;;;;N;;;;;
        "\u110B",  # ;HANGUL CHOSEONG IEUNG;Lo;0;L;;;;;N;;;;;
        "\u110C",  # ;HANGUL CHOSEONG CIEUC;Lo;0;L;;;;;N;;;;;
        "\u110D",  # ;HANGUL CHOSEONG SSANGCIEUC;Lo;0;L;;;;;N;;;;;
        "\u110E",  # ;HANGUL CHOSEONG CHIEUCH;Lo;0;L;;;;;N;;;;;
        "\u110F",  # ;HANGUL CHOSEONG KHIEUKH;Lo;0;L;;;;;N;;;;;
        "\u1110",  # ;HANGUL CHOSEONG THIEUTH;Lo;0;L;;;;;N;;;;;
        "\u1111",  # ;HANGUL CHOSEONG PHIEUPH;Lo;0;L;;;;;N;;;;;
        "\u1112",  # ;HANGUL CHOSEONG HIEUH;Lo;0;L;;;;;N;;;;;
        "\u1113",  # ;HANGUL CHOSEONG NIEUN-KIYEOK;Lo;0;L;;;;;N;;;;;
        "\u1114",  # ;HANGUL CHOSEONG SSANGNIEUN;Lo;0;L;;;;;N;;;;;
        "\u1115",  # ;HANGUL CHOSEONG NIEUN-TIKEUT;Lo;0;L;;;;;N;;;;;
        "\u1116",  # ;HANGUL CHOSEONG NIEUN-PIEUP;Lo;0;L;;;;;N;;;;;
        "\u1117",  # ;HANGUL CHOSEONG TIKEUT-KIYEOK;Lo;0;L;;;;;N;;;;;
        "\u1118",  # ;HANGUL CHOSEONG RIEUL-NIEUN;Lo;0;L;;;;;N;;;;;
        "\u1119",  # ;HANGUL CHOSEONG SSANGRIEUL;Lo;0;L;;;;;N;;;;;
        "\u111A",  # ;HANGUL CHOSEONG RIEUL-HIEUH;Lo;0;L;;;;;N;;;;;
        "\u111B",  # ;HANGUL CHOSEONG KAPYEOUNRIEUL;Lo;0;L;;;;;N;;;;;
        "\u111C",  # ;HANGUL CHOSEONG MIEUM-PIEUP;Lo;0;L;;;;;N;;;;;
        "\u111D",  # ;HANGUL CHOSEONG KAPYEOUNMIEUM;Lo;0;L;;;;;N;;;;;
        "\u111E",  # ;HANGUL CHOSEONG PIEUP-KIYEOK;Lo;0;L;;;;;N;;;;;
        "\u111F",  # ;HANGUL CHOSEONG PIEUP-NIEUN;Lo;0;L;;;;;N;;;;;
        "\u1120",  # ;HANGUL CHOSEONG PIEUP-TIKEUT;Lo;0;L;;;;;N;;;;;
        "\u1121",  # ;HANGUL CHOSEONG PIEUP-SIOS;Lo;0;L;;;;;N;;;;;
        "\u1122",  # ;HANGUL CHOSEONG PIEUP-SIOS-KIYEOK;Lo;0;L;;;;;N;;;;;
        "\u1123",  # ;HANGUL CHOSEONG PIEUP-SIOS-TIKEUT;Lo;0;L;;;;;N;;;;;
        "\u1124",  # ;HANGUL CHOSEONG PIEUP-SIOS-PIEUP;Lo;0;L;;;;;N;;;;;
        "\u1125",  # ;HANGUL CHOSEONG PIEUP-SSANGSIOS;Lo;0;L;;;;;N;;;;;
        "\u1126",  # ;HANGUL CHOSEONG PIEUP-SIOS-CIEUC;Lo;0;L;;;;;N;;;;;
        "\u1127",  # ;HANGUL CHOSEONG PIEUP-CIEUC;Lo;0;L;;;;;N;;;;;
        "\u1128",  # ;HANGUL CHOSEONG PIEUP-CHIEUCH;Lo;0;L;;;;;N;;;;;
        "\u1129",  # ;HANGUL CHOSEONG PIEUP-THIEUTH;Lo;0;L;;;;;N;;;;;
        "\u112A",  # ;HANGUL CHOSEONG PIEUP-PHIEUPH;Lo;0;L;;;;;N;;;;;
        "\u112B",  # ;HANGUL CHOSEONG KAPYEOUNPIEUP;Lo;0;L;;;;;N;;;;;
        "\u112C",  # ;HANGUL CHOSEONG KAPYEOUNSSANGPIEUP;Lo;0;L;;;;;N;;;;;
        "\u112D",  # ;HANGUL CHOSEONG SIOS-KIYEOK;Lo;0;L;;;;;N;;;;;
        "\u112E",  # ;HANGUL CHOSEONG SIOS-NIEUN;Lo;0;L;;;;;N;;;;;
        "\u112F",  # ;HANGUL CHOSEONG SIOS-TIKEUT;Lo;0;L;;;;;N;;;;;
        "\u1130",  # ;HANGUL CHOSEONG SIOS-RIEUL;Lo;0;L;;;;;N;;;;;
        "\u1131",  # ;HANGUL CHOSEONG SIOS-MIEUM;Lo;0;L;;;;;N;;;;;
        "\u1132",  # ;HANGUL CHOSEONG SIOS-PIEUP;Lo;0;L;;;;;N;;;;;
        "\u1133",  # ;HANGUL CHOSEONG SIOS-PIEUP-KIYEOK;Lo;0;L;;;;;N;;;;;
        "\u1134",  # ;HANGUL CHOSEONG SIOS-SSANGSIOS;Lo;0;L;;;;;N;;;;;
        "\u1135",  # ;HANGUL CHOSEONG SIOS-IEUNG;Lo;0;L;;;;;N;;;;;
        "\u1136",  # ;HANGUL CHOSEONG SIOS-CIEUC;Lo;0;L;;;;;N;;;;;
        "\u1137",  # ;HANGUL CHOSEONG SIOS-CHIEUCH;Lo;0;L;;;;;N;;;;;
        "\u1138",  # ;HANGUL CHOSEONG SIOS-KHIEUKH;Lo;0;L;;;;;N;;;;;
        "\u1139",  # ;HANGUL CHOSEONG SIOS-THIEUTH;Lo;0;L;;;;;N;;;;;
        "\u113A",  # ;HANGUL CHOSEONG SIOS-PHIEUPH;Lo;0;L;;;;;N;;;;;
        "\u113B",  # ;HANGUL CHOSEONG SIOS-HIEUH;Lo;0;L;;;;;N;;;;;
        "\u113C",  # ;HANGUL CHOSEONG CHITUEUMSIOS;Lo;0;L;;;;;N;;;;;
        "\u113D",  # ;HANGUL CHOSEONG CHITUEUMSSANGSIOS;Lo;0;L;;;;;N;;;;;
        "\u113E",  # ;HANGUL CHOSEONG CEONGCHIEUMSIOS;Lo;0;L;;;;;N;;;;;
        "\u113F",  # ;HANGUL CHOSEONG CEONGCHIEUMSSANGSIOS;Lo;0;L;;;;;N;;;;;
        "\u1140",  # ;HANGUL CHOSEONG PANSIOS;Lo;0;L;;;;;N;;;;;
        "\u1141",  # ;HANGUL CHOSEONG IEUNG-KIYEOK;Lo;0;L;;;;;N;;;;;
        "\u1142",  # ;HANGUL CHOSEONG IEUNG-TIKEUT;Lo;0;L;;;;;N;;;;;
        "\u1143",  # ;HANGUL CHOSEONG IEUNG-MIEUM;Lo;0;L;;;;;N;;;;;
        "\u1144",  # ;HANGUL CHOSEONG IEUNG-PIEUP;Lo;0;L;;;;;N;;;;;
        "\u1145",  # ;HANGUL CHOSEONG IEUNG-SIOS;Lo;0;L;;;;;N;;;;;
        "\u1146",  # ;HANGUL CHOSEONG IEUNG-PANSIOS;Lo;0;L;;;;;N;;;;;
        "\u1147",  # ;HANGUL CHOSEONG SSANGIEUNG;Lo;0;L;;;;;N;;;;;
        "\u1148",  # ;HANGUL CHOSEONG IEUNG-CIEUC;Lo;0;L;;;;;N;;;;;
        "\u1149",  # ;HANGUL CHOSEONG IEUNG-CHIEUCH;Lo;0;L;;;;;N;;;;;
        "\u114A",  # ;HANGUL CHOSEONG IEUNG-THIEUTH;Lo;0;L;;;;;N;;;;;
        "\u114B",  # ;HANGUL CHOSEONG IEUNG-PHIEUPH;Lo;0;L;;;;;N;;;;;
        "\u114C",  # ;HANGUL CHOSEONG YESIEUNG;Lo;0;L;;;;;N;;;;;
        "\u114D",  # ;HANGUL CHOSEONG CIEUC-IEUNG;Lo;0;L;;;;;N;;;;;
        "\u114E",  # ;HANGUL CHOSEONG CHITUEUMCIEUC;Lo;0;L;;;;;N;;;;;
        "\u114F",  # ;HANGUL CHOSEONG CHITUEUMSSANGCIEUC;Lo;0;L;;;;;N;;;;;
        "\u1150",  # ;HANGUL CHOSEONG CEONGCHIEUMCIEUC;Lo;0;L;;;;;N;;;;;
        "\u1151",  # ;HANGUL CHOSEONG CEONGCHIEUMSSANGCIEUC;Lo;0;L;;;;;N;;;;;
        "\u1152",  # ;HANGUL CHOSEONG CHIEUCH-KHIEUKH;Lo;0;L;;;;;N;;;;;
        "\u1153",  # ;HANGUL CHOSEONG CHIEUCH-HIEUH;Lo;0;L;;;;;N;;;;;
        "\u1154",  # ;HANGUL CHOSEONG CHITUEUMCHIEUCH;Lo;0;L;;;;;N;;;;;
        "\u1155",  # ;HANGUL CHOSEONG CEONGCHIEUMCHIEUCH;Lo;0;L;;;;;N;;;;;
        "\u1156",  # ;HANGUL CHOSEONG PHIEUPH-PIEUP;Lo;0;L;;;;;N;;;;;
        "\u1157",  # ;HANGUL CHOSEONG KAPYEOUNPHIEUPH;Lo;0;L;;;;;N;;;;;
        "\u1158",  # ;HANGUL CHOSEONG SSANGHIEUH;Lo;0;L;;;;;N;;;;;
        "\u1159",  # ;HANGUL CHOSEONG YEORINHIEUH;Lo;0;L;;;;;N;;;;;
        "\u115A",  # ;HANGUL CHOSEONG KIYEOK-TIKEUT;Lo;0;L;;;;;N;;;;;
        "\u115B",  # ;HANGUL CHOSEONG NIEUN-SIOS;Lo;0;L;;;;;N;;;;;
        "\u115C",  # ;HANGUL CHOSEONG NIEUN-CIEUC;Lo;0;L;;;;;N;;;;;
        "\u115D",  # ;HANGUL CHOSEONG NIEUN-HIEUH;Lo;0;L;;;;;N;;;;;
        "\u115E",  # ;HANGUL CHOSEONG TIKEUT-RIEUL;Lo;0;L;;;;;N;;;;;
        "\u115F",  # ;HANGUL CHOSEONG FILLER;Lo;0;L;;;;;N;;;;;
        "\u1160",  # ;HANGUL JUNGSEONG FILLER;Lo;0;L;;;;;N;;;;;
        "\u1161",  # ;HANGUL JUNGSEONG A;Lo;0;L;;;;;N;;;;;
        "\u1162",  # ;HANGUL JUNGSEONG AE;Lo;0;L;;;;;N;;;;;
        "\u1163",  # ;HANGUL JUNGSEONG YA;Lo;0;L;;;;;N;;;;;
        "\u1164",  # ;HANGUL JUNGSEONG YAE;Lo;0;L;;;;;N;;;;;
        "\u1165",  # ;HANGUL JUNGSEONG EO;Lo;0;L;;;;;N;;;;;
        "\u1166",  # ;HANGUL JUNGSEONG E;Lo;0;L;;;;;N;;;;;
        "\u1167",  # ;HANGUL JUNGSEONG YEO;Lo;0;L;;;;;N;;;;;
        "\u1168",  # ;HANGUL JUNGSEONG YE;Lo;0;L;;;;;N;;;;;
        "\u1169",  # ;HANGUL JUNGSEONG O;Lo;0;L;;;;;N;;;;;
        "\u116A",  # ;HANGUL JUNGSEONG WA;Lo;0;L;;;;;N;;;;;
        "\u116B",  # ;HANGUL JUNGSEONG WAE;Lo;0;L;;;;;N;;;;;
        "\u116C",  # ;HANGUL JUNGSEONG OE;Lo;0;L;;;;;N;;;;;
        "\u116D",  # ;HANGUL JUNGSEONG YO;Lo;0;L;;;;;N;;;;;
        "\u116E",  # ;HANGUL JUNGSEONG U;Lo;0;L;;;;;N;;;;;
        "\u116F",  # ;HANGUL JUNGSEONG WEO;Lo;0;L;;;;;N;;;;;
        "\u1170",  # ;HANGUL JUNGSEONG WE;Lo;0;L;;;;;N;;;;;
        "\u1171",  # ;HANGUL JUNGSEONG WI;Lo;0;L;;;;;N;;;;;
        "\u1172",  # ;HANGUL JUNGSEONG YU;Lo;0;L;;;;;N;;;;;
        "\u1173",  # ;HANGUL JUNGSEONG EU;Lo;0;L;;;;;N;;;;;
        "\u1174",  # ;HANGUL JUNGSEONG YI;Lo;0;L;;;;;N;;;;;
        "\u1175",  # ;HANGUL JUNGSEONG I;Lo;0;L;;;;;N;;;;;
        "\u1176",  # ;HANGUL JUNGSEONG A-O;Lo;0;L;;;;;N;;;;;
        "\u1177",  # ;HANGUL JUNGSEONG A-U;Lo;0;L;;;;;N;;;;;
        "\u1178",  # ;HANGUL JUNGSEONG YA-O;Lo;0;L;;;;;N;;;;;
        "\u1179",  # ;HANGUL JUNGSEONG YA-YO;Lo;0;L;;;;;N;;;;;
        "\u117A",  # ;HANGUL JUNGSEONG EO-O;Lo;0;L;;;;;N;;;;;
        "\u117B",  # ;HANGUL JUNGSEONG EO-U;Lo;0;L;;;;;N;;;;;
        "\u117C",  # ;HANGUL JUNGSEONG EO-EU;Lo;0;L;;;;;N;;;;;
        "\u117D",  # ;HANGUL JUNGSEONG YEO-O;Lo;0;L;;;;;N;;;;;
        "\u117E",  # ;HANGUL JUNGSEONG YEO-U;Lo;0;L;;;;;N;;;;;
        "\u117F",  # ;HANGUL JUNGSEONG O-EO;Lo;0;L;;;;;N;;;;;
        "\u1180",  # ;HANGUL JUNGSEONG O-E;Lo;0;L;;;;;N;;;;;
        "\u1181",  # ;HANGUL JUNGSEONG O-YE;Lo;0;L;;;;;N;;;;;
        "\u1182",  # ;HANGUL JUNGSEONG O-O;Lo;0;L;;;;;N;;;;;
        "\u1183",  # ;HANGUL JUNGSEONG O-U;Lo;0;L;;;;;N;;;;;
        "\u1184",  # ;HANGUL JUNGSEONG YO-YA;Lo;0;L;;;;;N;;;;;
        "\u1185",  # ;HANGUL JUNGSEONG YO-YAE;Lo;0;L;;;;;N;;;;;
        "\u1186",  # ;HANGUL JUNGSEONG YO-YEO;Lo;0;L;;;;;N;;;;;
        "\u1187",  # ;HANGUL JUNGSEONG YO-O;Lo;0;L;;;;;N;;;;;
        "\u1188",  # ;HANGUL JUNGSEONG YO-I;Lo;0;L;;;;;N;;;;;
        "\u1189",  # ;HANGUL JUNGSEONG U-A;Lo;0;L;;;;;N;;;;;
        "\u118A",  # ;HANGUL JUNGSEONG U-AE;Lo;0;L;;;;;N;;;;;
        "\u118B",  # ;HANGUL JUNGSEONG U-EO-EU;Lo;0;L;;;;;N;;;;;
        "\u118C",  # ;HANGUL JUNGSEONG U-YE;Lo;0;L;;;;;N;;;;;
        "\u118D",  # ;HANGUL JUNGSEONG U-U;Lo;0;L;;;;;N;;;;;
        "\u118E",  # ;HANGUL JUNGSEONG YU-A;Lo;0;L;;;;;N;;;;;
        "\u118F",  # ;HANGUL JUNGSEONG YU-EO;Lo;0;L;;;;;N;;;;;
        "\u1190",  # ;HANGUL JUNGSEONG YU-E;Lo;0;L;;;;;N;;;;;
        "\u1191",  # ;HANGUL JUNGSEONG YU-YEO;Lo;0;L;;;;;N;;;;;
        "\u1192",  # ;HANGUL JUNGSEONG YU-YE;Lo;0;L;;;;;N;;;;;
        "\u1193",  # ;HANGUL JUNGSEONG YU-U;Lo;0;L;;;;;N;;;;;
        "\u1194",  # ;HANGUL JUNGSEONG YU-I;Lo;0;L;;;;;N;;;;;
        "\u1195",  # ;HANGUL JUNGSEONG EU-U;Lo;0;L;;;;;N;;;;;
        "\u1196",  # ;HANGUL JUNGSEONG EU-EU;Lo;0;L;;;;;N;;;;;
        "\u1197",  # ;HANGUL JUNGSEONG YI-U;Lo;0;L;;;;;N;;;;;
        "\u1198",  # ;HANGUL JUNGSEONG I-A;Lo;0;L;;;;;N;;;;;
        "\u1199",  # ;HANGUL JUNGSEONG I-YA;Lo;0;L;;;;;N;;;;;
        "\u119A",  # ;HANGUL JUNGSEONG I-O;Lo;0;L;;;;;N;;;;;
        "\u119B",  # ;HANGUL JUNGSEONG I-U;Lo;0;L;;;;;N;;;;;
        "\u119C",  # ;HANGUL JUNGSEONG I-EU;Lo;0;L;;;;;N;;;;;
        "\u119D",  # ;HANGUL JUNGSEONG I-ARAEA;Lo;0;L;;;;;N;;;;;
        "\u119E",  # ;HANGUL JUNGSEONG ARAEA;Lo;0;L;;;;;N;;;;;
        "\u119F",  # ;HANGUL JUNGSEONG ARAEA-EO;Lo;0;L;;;;;N;;;;;
        "\u11A0",  # ;HANGUL JUNGSEONG ARAEA-U;Lo;0;L;;;;;N;;;;;
        "\u11A1",  # ;HANGUL JUNGSEONG ARAEA-I;Lo;0;L;;;;;N;;;;;
        "\u11A2",  # ;HANGUL JUNGSEONG SSANGARAEA;Lo;0;L;;;;;N;;;;;
        "\u11A3",  # ;HANGUL JUNGSEONG A-EU;Lo;0;L;;;;;N;;;;;
        "\u11A4",  # ;HANGUL JUNGSEONG YA-U;Lo;0;L;;;;;N;;;;;
        "\u11A5",  # ;HANGUL JUNGSEONG YEO-YA;Lo;0;L;;;;;N;;;;;
        "\u11A6",  # ;HANGUL JUNGSEONG O-YA;Lo;0;L;;;;;N;;;;;
        "\u11A7",  # ;HANGUL JUNGSEONG O-YAE;Lo;0;L;;;;;N;;;;;
        "\u11A8",  # ;HANGUL JONGSEONG KIYEOK;Lo;0;L;;;;;N;;;;;
        "\u11A9",  # ;HANGUL JONGSEONG SSANGKIYEOK;Lo;0;L;;;;;N;;;;;
        "\u11AA",  # ;HANGUL JONGSEONG KIYEOK-SIOS;Lo;0;L;;;;;N;;;;;
        "\u11AB",  # ;HANGUL JONGSEONG NIEUN;Lo;0;L;;;;;N;;;;;
        "\u11AC",  # ;HANGUL JONGSEONG NIEUN-CIEUC;Lo;0;L;;;;;N;;;;;
        "\u11AD",  # ;HANGUL JONGSEONG NIEUN-HIEUH;Lo;0;L;;;;;N;;;;;
        "\u11AE",  # ;HANGUL JONGSEONG TIKEUT;Lo;0;L;;;;;N;;;;;
        "\u11AF",  # ;HANGUL JONGSEONG RIEUL;Lo;0;L;;;;;N;;;;;
        "\u11B0",  # ;HANGUL JONGSEONG RIEUL-KIYEOK;Lo;0;L;;;;;N;;;;;
        "\u11B1",  # ;HANGUL JONGSEONG RIEUL-MIEUM;Lo;0;L;;;;;N;;;;;
        "\u11B2",  # ;HANGUL JONGSEONG RIEUL-PIEUP;Lo;0;L;;;;;N;;;;;
        "\u11B3",  # ;HANGUL JONGSEONG RIEUL-SIOS;Lo;0;L;;;;;N;;;;;
        "\u11B4",  # ;HANGUL JONGSEONG RIEUL-THIEUTH;Lo;0;L;;;;;N;;;;;
        "\u11B5",  # ;HANGUL JONGSEONG RIEUL-PHIEUPH;Lo;0;L;;;;;N;;;;;
        "\u11B6",  # ;HANGUL JONGSEONG RIEUL-HIEUH;Lo;0;L;;;;;N;;;;;
        "\u11B7",  # ;HANGUL JONGSEONG MIEUM;Lo;0;L;;;;;N;;;;;
        "\u11B8",  # ;HANGUL JONGSEONG PIEUP;Lo;0;L;;;;;N;;;;;
        "\u11B9",  # ;HANGUL JONGSEONG PIEUP-SIOS;Lo;0;L;;;;;N;;;;;
        "\u11BA",  # ;HANGUL JONGSEONG SIOS;Lo;0;L;;;;;N;;;;;
        "\u11BB",  # ;HANGUL JONGSEONG SSANGSIOS;Lo;0;L;;;;;N;;;;;
        "\u11BC",  # ;HANGUL JONGSEONG IEUNG;Lo;0;L;;;;;N;;;;;
        "\u11BD",  # ;HANGUL JONGSEONG CIEUC;Lo;0;L;;;;;N;;;;;
        "\u11BE",  # ;HANGUL JONGSEONG CHIEUCH;Lo;0;L;;;;;N;;;;;
        "\u11BF",  # ;HANGUL JONGSEONG KHIEUKH;Lo;0;L;;;;;N;;;;;
        "\u11C0",  # ;HANGUL JONGSEONG THIEUTH;Lo;0;L;;;;;N;;;;;
        "\u11C1",  # ;HANGUL JONGSEONG PHIEUPH;Lo;0;L;;;;;N;;;;;
        "\u11C2",  # ;HANGUL JONGSEONG HIEUH;Lo;0;L;;;;;N;;;;;
        "\u11C3",  # ;HANGUL JONGSEONG KIYEOK-RIEUL;Lo;0;L;;;;;N;;;;;
        "\u11C4",  # ;HANGUL JONGSEONG KIYEOK-SIOS-KIYEOK;Lo;0;L;;;;;N;;;;;
        "\u11C5",  # ;HANGUL JONGSEONG NIEUN-KIYEOK;Lo;0;L;;;;;N;;;;;
        "\u11C6",  # ;HANGUL JONGSEONG NIEUN-TIKEUT;Lo;0;L;;;;;N;;;;;
        "\u11C7",  # ;HANGUL JONGSEONG NIEUN-SIOS;Lo;0;L;;;;;N;;;;;
        "\u11C8",  # ;HANGUL JONGSEONG NIEUN-PANSIOS;Lo;0;L;;;;;N;;;;;
        "\u11C9",  # ;HANGUL JONGSEONG NIEUN-THIEUTH;Lo;0;L;;;;;N;;;;;
        "\u11CA",  # ;HANGUL JONGSEONG TIKEUT-KIYEOK;Lo;0;L;;;;;N;;;;;
        "\u11CB",  # ;HANGUL JONGSEONG TIKEUT-RIEUL;Lo;0;L;;;;;N;;;;;
        "\u11CC",  # ;HANGUL JONGSEONG RIEUL-KIYEOK-SIOS;Lo;0;L;;;;;N;;;;;
        "\u11CD",  # ;HANGUL JONGSEONG RIEUL-NIEUN;Lo;0;L;;;;;N;;;;;
        "\u11CE",  # ;HANGUL JONGSEONG RIEUL-TIKEUT;Lo;0;L;;;;;N;;;;;
        "\u11CF",  # ;HANGUL JONGSEONG RIEUL-TIKEUT-HIEUH;Lo;0;L;;;;;N;;;;;
        "\u11D0",  # ;HANGUL JONGSEONG SSANGRIEUL;Lo;0;L;;;;;N;;;;;
        "\u11D1",  # ;HANGUL JONGSEONG RIEUL-MIEUM-KIYEOK;Lo;0;L;;;;;N;;;;;
        "\u11D2",  # ;HANGUL JONGSEONG RIEUL-MIEUM-SIOS;Lo;0;L;;;;;N;;;;;
        "\u11D3",  # ;HANGUL JONGSEONG RIEUL-PIEUP-SIOS;Lo;0;L;;;;;N;;;;;
        "\u11D4",  # ;HANGUL JONGSEONG RIEUL-PIEUP-HIEUH;Lo;0;L;;;;;N;;;;;
        "\u11D5",  # ;HANGUL JONGSEONG RIEUL-KAPYEOUNPIEUP;Lo;0;L;;;;;N;;;;;
        "\u11D6",  # ;HANGUL JONGSEONG RIEUL-SSANGSIOS;Lo;0;L;;;;;N;;;;;
        "\u11D7",  # ;HANGUL JONGSEONG RIEUL-PANSIOS;Lo;0;L;;;;;N;;;;;
        "\u11D8",  # ;HANGUL JONGSEONG RIEUL-KHIEUKH;Lo;0;L;;;;;N;;;;;
        "\u11D9",  # ;HANGUL JONGSEONG RIEUL-YEORINHIEUH;Lo;0;L;;;;;N;;;;;
        "\u11DA",  # ;HANGUL JONGSEONG MIEUM-KIYEOK;Lo;0;L;;;;;N;;;;;
        "\u11DB",  # ;HANGUL JONGSEONG MIEUM-RIEUL;Lo;0;L;;;;;N;;;;;
        "\u11DC",  # ;HANGUL JONGSEONG MIEUM-PIEUP;Lo;0;L;;;;;N;;;;;
        "\u11DD",  # ;HANGUL JONGSEONG MIEUM-SIOS;Lo;0;L;;;;;N;;;;;
        "\u11DE",  # ;HANGUL JONGSEONG MIEUM-SSANGSIOS;Lo;0;L;;;;;N;;;;;
        "\u11DF",  # ;HANGUL JONGSEONG MIEUM-PANSIOS;Lo;0;L;;;;;N;;;;;
        "\u11E0",  # ;HANGUL JONGSEONG MIEUM-CHIEUCH;Lo;0;L;;;;;N;;;;;
        "\u11E1",  # ;HANGUL JONGSEONG MIEUM-HIEUH;Lo;0;L;;;;;N;;;;;
        "\u11E2",  # ;HANGUL JONGSEONG KAPYEOUNMIEUM;Lo;0;L;;;;;N;;;;;
        "\u11E3",  # ;HANGUL JONGSEONG PIEUP-RIEUL;Lo;0;L;;;;;N;;;;;
        "\u11E4",  # ;HANGUL JONGSEONG PIEUP-PHIEUPH;Lo;0;L;;;;;N;;;;;
        "\u11E5",  # ;HANGUL JONGSEONG PIEUP-HIEUH;Lo;0;L;;;;;N;;;;;
        "\u11E6",  # ;HANGUL JONGSEONG KAPYEOUNPIEUP;Lo;0;L;;;;;N;;;;;
        "\u11E7",  # ;HANGUL JONGSEONG SIOS-KIYEOK;Lo;0;L;;;;;N;;;;;
        "\u11E8",  # ;HANGUL JONGSEONG SIOS-TIKEUT;Lo;0;L;;;;;N;;;;;
        "\u11E9",  # ;HANGUL JONGSEONG SIOS-RIEUL;Lo;0;L;;;;;N;;;;;
        "\u11EA",  # ;HANGUL JONGSEONG SIOS-PIEUP;Lo;0;L;;;;;N;;;;;
        "\u11EB",  # ;HANGUL JONGSEONG PANSIOS;Lo;0;L;;;;;N;;;;;
        "\u11EC",  # ;HANGUL JONGSEONG IEUNG-KIYEOK;Lo;0;L;;;;;N;;;;;
        "\u11ED",  # ;HANGUL JONGSEONG IEUNG-SSANGKIYEOK;Lo;0;L;;;;;N;;;;;
        "\u11EE",  # ;HANGUL JONGSEONG SSANGIEUNG;Lo;0;L;;;;;N;;;;;
        "\u11EF",  # ;HANGUL JONGSEONG IEUNG-KHIEUKH;Lo;0;L;;;;;N;;;;;
        "\u11F0",  # ;HANGUL JONGSEONG YESIEUNG;Lo;0;L;;;;;N;;;;;
        "\u11F1",  # ;HANGUL JONGSEONG YESIEUNG-SIOS;Lo;0;L;;;;;N;;;;;
        "\u11F2",  # ;HANGUL JONGSEONG YESIEUNG-PANSIOS;Lo;0;L;;;;;N;;;;;
        "\u11F3",  # ;HANGUL JONGSEONG PHIEUPH-PIEUP;Lo;0;L;;;;;N;;;;;
        "\u11F4",  # ;HANGUL JONGSEONG KAPYEOUNPHIEUPH;Lo;0;L;;;;;N;;;;;
        "\u11F5",  # ;HANGUL JONGSEONG HIEUH-NIEUN;Lo;0;L;;;;;N;;;;;
        "\u11F6",  # ;HANGUL JONGSEONG HIEUH-RIEUL;Lo;0;L;;;;;N;;;;;
        "\u11F7",  # ;HANGUL JONGSEONG HIEUH-MIEUM;Lo;0;L;;;;;N;;;;;
        "\u11F8",  # ;HANGUL JONGSEONG HIEUH-PIEUP;Lo;0;L;;;;;N;;;;;
        "\u11F9",  # ;HANGUL JONGSEONG YEORINHIEUH;Lo;0;L;;;;;N;;;;;
        "\u11FA",  # ;HANGUL JONGSEONG KIYEOK-NIEUN;Lo;0;L;;;;;N;;;;;
        "\u11FB",  # ;HANGUL JONGSEONG KIYEOK-PIEUP;Lo;0;L;;;;;N;;;;;
        "\u11FC",  # ;HANGUL JONGSEONG KIYEOK-CHIEUCH;Lo;0;L;;;;;N;;;;;
        "\u11FD",  # ;HANGUL JONGSEONG KIYEOK-KHIEUKH;Lo;0;L;;;;;N;;;;;
        "\u11FE",  # ;HANGUL JONGSEONG KIYEOK-HIEUH;Lo;0;L;;;;;N;;;;;
        "\u11FF",  # ;HANGUL JONGSEONG SSANGNIEUN;Lo;0;L;;;;;N;;;;;
        "\u1200",  # ;ETHIOPIC SYLLABLE HA;Lo;0;L;;;;;N;;;;;
        "\u1201",  # ;ETHIOPIC SYLLABLE HU;Lo;0;L;;;;;N;;;;;
        "\u1202",  # ;ETHIOPIC SYLLABLE HI;Lo;0;L;;;;;N;;;;;
        "\u1203",  # ;ETHIOPIC SYLLABLE HAA;Lo;0;L;;;;;N;;;;;
        "\u1204",  # ;ETHIOPIC SYLLABLE HEE;Lo;0;L;;;;;N;;;;;
        "\u1205",  # ;ETHIOPIC SYLLABLE HE;Lo;0;L;;;;;N;;;;;
        "\u1206",  # ;ETHIOPIC SYLLABLE HO;Lo;0;L;;;;;N;;;;;
        "\u1207",  # ;ETHIOPIC SYLLABLE HOA;Lo;0;L;;;;;N;;;;;
        "\u1208",  # ;ETHIOPIC SYLLABLE LA;Lo;0;L;;;;;N;;;;;
        "\u1209",  # ;ETHIOPIC SYLLABLE LU;Lo;0;L;;;;;N;;;;;
        "\u120A",  # ;ETHIOPIC SYLLABLE LI;Lo;0;L;;;;;N;;;;;
        "\u120B",  # ;ETHIOPIC SYLLABLE LAA;Lo;0;L;;;;;N;;;;;
        "\u120C",  # ;ETHIOPIC SYLLABLE LEE;Lo;0;L;;;;;N;;;;;
        "\u120D",  # ;ETHIOPIC SYLLABLE LE;Lo;0;L;;;;;N;;;;;
        "\u120E",  # ;ETHIOPIC SYLLABLE LO;Lo;0;L;;;;;N;;;;;
        "\u120F",  # ;ETHIOPIC SYLLABLE LWA;Lo;0;L;;;;;N;;;;;
        "\u1210",  # ;ETHIOPIC SYLLABLE HHA;Lo;0;L;;;;;N;;;;;
        "\u1211",  # ;ETHIOPIC SYLLABLE HHU;Lo;0;L;;;;;N;;;;;
        "\u1212",  # ;ETHIOPIC SYLLABLE HHI;Lo;0;L;;;;;N;;;;;
        "\u1213",  # ;ETHIOPIC SYLLABLE HHAA;Lo;0;L;;;;;N;;;;;
        "\u1214",  # ;ETHIOPIC SYLLABLE HHEE;Lo;0;L;;;;;N;;;;;
        "\u1215",  # ;ETHIOPIC SYLLABLE HHE;Lo;0;L;;;;;N;;;;;
        "\u1216",  # ;ETHIOPIC SYLLABLE HHO;Lo;0;L;;;;;N;;;;;
        "\u1217",  # ;ETHIOPIC SYLLABLE HHWA;Lo;0;L;;;;;N;;;;;
        "\u1218",  # ;ETHIOPIC SYLLABLE MA;Lo;0;L;;;;;N;;;;;
        "\u1219",  # ;ETHIOPIC SYLLABLE MU;Lo;0;L;;;;;N;;;;;
        "\u121A",  # ;ETHIOPIC SYLLABLE MI;Lo;0;L;;;;;N;;;;;
        "\u121B",  # ;ETHIOPIC SYLLABLE MAA;Lo;0;L;;;;;N;;;;;
        "\u121C",  # ;ETHIOPIC SYLLABLE MEE;Lo;0;L;;;;;N;;;;;
        "\u121D",  # ;ETHIOPIC SYLLABLE ME;Lo;0;L;;;;;N;;;;;
        "\u121E",  # ;ETHIOPIC SYLLABLE MO;Lo;0;L;;;;;N;;;;;
        "\u121F",  # ;ETHIOPIC SYLLABLE MWA;Lo;0;L;;;;;N;;;;;
        "\u1220",  # ;ETHIOPIC SYLLABLE SZA;Lo;0;L;;;;;N;;;;;
        "\u1221",  # ;ETHIOPIC SYLLABLE SZU;Lo;0;L;;;;;N;;;;;
        "\u1222",  # ;ETHIOPIC SYLLABLE SZI;Lo;0;L;;;;;N;;;;;
        "\u1223",  # ;ETHIOPIC SYLLABLE SZAA;Lo;0;L;;;;;N;;;;;
        "\u1224",  # ;ETHIOPIC SYLLABLE SZEE;Lo;0;L;;;;;N;;;;;
        "\u1225",  # ;ETHIOPIC SYLLABLE SZE;Lo;0;L;;;;;N;;;;;
        "\u1226",  # ;ETHIOPIC SYLLABLE SZO;Lo;0;L;;;;;N;;;;;
        "\u1227",  # ;ETHIOPIC SYLLABLE SZWA;Lo;0;L;;;;;N;;;;;
        "\u1228",  # ;ETHIOPIC SYLLABLE RA;Lo;0;L;;;;;N;;;;;
        "\u1229",  # ;ETHIOPIC SYLLABLE RU;Lo;0;L;;;;;N;;;;;
        "\u122A",  # ;ETHIOPIC SYLLABLE RI;Lo;0;L;;;;;N;;;;;
        "\u122B",  # ;ETHIOPIC SYLLABLE RAA;Lo;0;L;;;;;N;;;;;
        "\u122C",  # ;ETHIOPIC SYLLABLE REE;Lo;0;L;;;;;N;;;;;
        "\u122D",  # ;ETHIOPIC SYLLABLE RE;Lo;0;L;;;;;N;;;;;
        "\u122E",  # ;ETHIOPIC SYLLABLE RO;Lo;0;L;;;;;N;;;;;
        "\u122F",  # ;ETHIOPIC SYLLABLE RWA;Lo;0;L;;;;;N;;;;;
        "\u1230",  # ;ETHIOPIC SYLLABLE SA;Lo;0;L;;;;;N;;;;;
        "\u1231",  # ;ETHIOPIC SYLLABLE SU;Lo;0;L;;;;;N;;;;;
        "\u1232",  # ;ETHIOPIC SYLLABLE SI;Lo;0;L;;;;;N;;;;;
        "\u1233",  # ;ETHIOPIC SYLLABLE SAA;Lo;0;L;;;;;N;;;;;
        "\u1234",  # ;ETHIOPIC SYLLABLE SEE;Lo;0;L;;;;;N;;;;;
        "\u1235",  # ;ETHIOPIC SYLLABLE SE;Lo;0;L;;;;;N;;;;;
        "\u1236",  # ;ETHIOPIC SYLLABLE SO;Lo;0;L;;;;;N;;;;;
        "\u1237",  # ;ETHIOPIC SYLLABLE SWA;Lo;0;L;;;;;N;;;;;
        "\u1238",  # ;ETHIOPIC SYLLABLE SHA;Lo;0;L;;;;;N;;;;;
        "\u1239",  # ;ETHIOPIC SYLLABLE SHU;Lo;0;L;;;;;N;;;;;
        "\u123A",  # ;ETHIOPIC SYLLABLE SHI;Lo;0;L;;;;;N;;;;;
        "\u123B",  # ;ETHIOPIC SYLLABLE SHAA;Lo;0;L;;;;;N;;;;;
        "\u123C",  # ;ETHIOPIC SYLLABLE SHEE;Lo;0;L;;;;;N;;;;;
        "\u123D",  # ;ETHIOPIC SYLLABLE SHE;Lo;0;L;;;;;N;;;;;
        "\u123E",  # ;ETHIOPIC SYLLABLE SHO;Lo;0;L;;;;;N;;;;;
        "\u123F",  # ;ETHIOPIC SYLLABLE SHWA;Lo;0;L;;;;;N;;;;;
        "\u1240",  # ;ETHIOPIC SYLLABLE QA;Lo;0;L;;;;;N;;;;;
        "\u1241",  # ;ETHIOPIC SYLLABLE QU;Lo;0;L;;;;;N;;;;;
        "\u1242",  # ;ETHIOPIC SYLLABLE QI;Lo;0;L;;;;;N;;;;;
        "\u1243",  # ;ETHIOPIC SYLLABLE QAA;Lo;0;L;;;;;N;;;;;
        "\u1244",  # ;ETHIOPIC SYLLABLE QEE;Lo;0;L;;;;;N;;;;;
        "\u1245",  # ;ETHIOPIC SYLLABLE QE;Lo;0;L;;;;;N;;;;;
        "\u1246",  # ;ETHIOPIC SYLLABLE QO;Lo;0;L;;;;;N;;;;;
        "\u1247",  # ;ETHIOPIC SYLLABLE QOA;Lo;0;L;;;;;N;;;;;
        "\u1248",  # ;ETHIOPIC SYLLABLE QWA;Lo;0;L;;;;;N;;;;;
        "\u124A",  # ;ETHIOPIC SYLLABLE QWI;Lo;0;L;;;;;N;;;;;
        "\u124B",  # ;ETHIOPIC SYLLABLE QWAA;Lo;0;L;;;;;N;;;;;
        "\u124C",  # ;ETHIOPIC SYLLABLE QWEE;Lo;0;L;;;;;N;;;;;
        "\u124D",  # ;ETHIOPIC SYLLABLE QWE;Lo;0;L;;;;;N;;;;;
        "\u1250",  # ;ETHIOPIC SYLLABLE QHA;Lo;0;L;;;;;N;;;;;
        "\u1251",  # ;ETHIOPIC SYLLABLE QHU;Lo;0;L;;;;;N;;;;;
        "\u1252",  # ;ETHIOPIC SYLLABLE QHI;Lo;0;L;;;;;N;;;;;
        "\u1253",  # ;ETHIOPIC SYLLABLE QHAA;Lo;0;L;;;;;N;;;;;
        "\u1254",  # ;ETHIOPIC SYLLABLE QHEE;Lo;0;L;;;;;N;;;;;
        "\u1255",  # ;ETHIOPIC SYLLABLE QHE;Lo;0;L;;;;;N;;;;;
        "\u1256",  # ;ETHIOPIC SYLLABLE QHO;Lo;0;L;;;;;N;;;;;
        "\u1258",  # ;ETHIOPIC SYLLABLE QHWA;Lo;0;L;;;;;N;;;;;
        "\u125A",  # ;ETHIOPIC SYLLABLE QHWI;Lo;0;L;;;;;N;;;;;
        "\u125B",  # ;ETHIOPIC SYLLABLE QHWAA;Lo;0;L;;;;;N;;;;;
        "\u125C",  # ;ETHIOPIC SYLLABLE QHWEE;Lo;0;L;;;;;N;;;;;
        "\u125D",  # ;ETHIOPIC SYLLABLE QHWE;Lo;0;L;;;;;N;;;;;
        "\u1260",  # ;ETHIOPIC SYLLABLE BA;Lo;0;L;;;;;N;;;;;
        "\u1261",  # ;ETHIOPIC SYLLABLE BU;Lo;0;L;;;;;N;;;;;
        "\u1262",  # ;ETHIOPIC SYLLABLE BI;Lo;0;L;;;;;N;;;;;
        "\u1263",  # ;ETHIOPIC SYLLABLE BAA;Lo;0;L;;;;;N;;;;;
        "\u1264",  # ;ETHIOPIC SYLLABLE BEE;Lo;0;L;;;;;N;;;;;
        "\u1265",  # ;ETHIOPIC SYLLABLE BE;Lo;0;L;;;;;N;;;;;
        "\u1266",  # ;ETHIOPIC SYLLABLE BO;Lo;0;L;;;;;N;;;;;
        "\u1267",  # ;ETHIOPIC SYLLABLE BWA;Lo;0;L;;;;;N;;;;;
        "\u1268",  # ;ETHIOPIC SYLLABLE VA;Lo;0;L;;;;;N;;;;;
        "\u1269",  # ;ETHIOPIC SYLLABLE VU;Lo;0;L;;;;;N;;;;;
        "\u126A",  # ;ETHIOPIC SYLLABLE VI;Lo;0;L;;;;;N;;;;;
        "\u126B",  # ;ETHIOPIC SYLLABLE VAA;Lo;0;L;;;;;N;;;;;
        "\u126C",  # ;ETHIOPIC SYLLABLE VEE;Lo;0;L;;;;;N;;;;;
        "\u126D",  # ;ETHIOPIC SYLLABLE VE;Lo;0;L;;;;;N;;;;;
        "\u126E",  # ;ETHIOPIC SYLLABLE VO;Lo;0;L;;;;;N;;;;;
        "\u126F",  # ;ETHIOPIC SYLLABLE VWA;Lo;0;L;;;;;N;;;;;
        "\u1270",  # ;ETHIOPIC SYLLABLE TA;Lo;0;L;;;;;N;;;;;
        "\u1271",  # ;ETHIOPIC SYLLABLE TU;Lo;0;L;;;;;N;;;;;
        "\u1272",  # ;ETHIOPIC SYLLABLE TI;Lo;0;L;;;;;N;;;;;
        "\u1273",  # ;ETHIOPIC SYLLABLE TAA;Lo;0;L;;;;;N;;;;;
        "\u1274",  # ;ETHIOPIC SYLLABLE TEE;Lo;0;L;;;;;N;;;;;
        "\u1275",  # ;ETHIOPIC SYLLABLE TE;Lo;0;L;;;;;N;;;;;
        "\u1276",  # ;ETHIOPIC SYLLABLE TO;Lo;0;L;;;;;N;;;;;
        "\u1277",  # ;ETHIOPIC SYLLABLE TWA;Lo;0;L;;;;;N;;;;;
        "\u1278",  # ;ETHIOPIC SYLLABLE CA;Lo;0;L;;;;;N;;;;;
        "\u1279",  # ;ETHIOPIC SYLLABLE CU;Lo;0;L;;;;;N;;;;;
        "\u127A",  # ;ETHIOPIC SYLLABLE CI;Lo;0;L;;;;;N;;;;;
        "\u127B",  # ;ETHIOPIC SYLLABLE CAA;Lo;0;L;;;;;N;;;;;
        "\u127C",  # ;ETHIOPIC SYLLABLE CEE;Lo;0;L;;;;;N;;;;;
        "\u127D",  # ;ETHIOPIC SYLLABLE CE;Lo;0;L;;;;;N;;;;;
        "\u127E",  # ;ETHIOPIC SYLLABLE CO;Lo;0;L;;;;;N;;;;;
        "\u127F",  # ;ETHIOPIC SYLLABLE CWA;Lo;0;L;;;;;N;;;;;
        "\u1280",  # ;ETHIOPIC SYLLABLE XA;Lo;0;L;;;;;N;;;;;
        "\u1281",  # ;ETHIOPIC SYLLABLE XU;Lo;0;L;;;;;N;;;;;
        "\u1282",  # ;ETHIOPIC SYLLABLE XI;Lo;0;L;;;;;N;;;;;
        "\u1283",  # ;ETHIOPIC SYLLABLE XAA;Lo;0;L;;;;;N;;;;;
        "\u1284",  # ;ETHIOPIC SYLLABLE XEE;Lo;0;L;;;;;N;;;;;
        "\u1285",  # ;ETHIOPIC SYLLABLE XE;Lo;0;L;;;;;N;;;;;
        "\u1286",  # ;ETHIOPIC SYLLABLE XO;Lo;0;L;;;;;N;;;;;
        "\u1287",  # ;ETHIOPIC SYLLABLE XOA;Lo;0;L;;;;;N;;;;;
        "\u1288",  # ;ETHIOPIC SYLLABLE XWA;Lo;0;L;;;;;N;;;;;
        "\u128A",  # ;ETHIOPIC SYLLABLE XWI;Lo;0;L;;;;;N;;;;;
        "\u128B",  # ;ETHIOPIC SYLLABLE XWAA;Lo;0;L;;;;;N;;;;;
        "\u128C",  # ;ETHIOPIC SYLLABLE XWEE;Lo;0;L;;;;;N;;;;;
        "\u128D",  # ;ETHIOPIC SYLLABLE XWE;Lo;0;L;;;;;N;;;;;
        "\u1290",  # ;ETHIOPIC SYLLABLE NA;Lo;0;L;;;;;N;;;;;
        "\u1291",  # ;ETHIOPIC SYLLABLE NU;Lo;0;L;;;;;N;;;;;
        "\u1292",  # ;ETHIOPIC SYLLABLE NI;Lo;0;L;;;;;N;;;;;
        "\u1293",  # ;ETHIOPIC SYLLABLE NAA;Lo;0;L;;;;;N;;;;;
        "\u1294",  # ;ETHIOPIC SYLLABLE NEE;Lo;0;L;;;;;N;;;;;
        "\u1295",  # ;ETHIOPIC SYLLABLE NE;Lo;0;L;;;;;N;;;;;
        "\u1296",  # ;ETHIOPIC SYLLABLE NO;Lo;0;L;;;;;N;;;;;
        "\u1297",  # ;ETHIOPIC SYLLABLE NWA;Lo;0;L;;;;;N;;;;;
        "\u1298",  # ;ETHIOPIC SYLLABLE NYA;Lo;0;L;;;;;N;;;;;
        "\u1299",  # ;ETHIOPIC SYLLABLE NYU;Lo;0;L;;;;;N;;;;;
        "\u129A",  # ;ETHIOPIC SYLLABLE NYI;Lo;0;L;;;;;N;;;;;
        "\u129B",  # ;ETHIOPIC SYLLABLE NYAA;Lo;0;L;;;;;N;;;;;
        "\u129C",  # ;ETHIOPIC SYLLABLE NYEE;Lo;0;L;;;;;N;;;;;
        "\u129D",  # ;ETHIOPIC SYLLABLE NYE;Lo;0;L;;;;;N;;;;;
        "\u129E",  # ;ETHIOPIC SYLLABLE NYO;Lo;0;L;;;;;N;;;;;
        "\u129F",  # ;ETHIOPIC SYLLABLE NYWA;Lo;0;L;;;;;N;;;;;
        "\u12A0",  # ;ETHIOPIC SYLLABLE GLOTTAL A;Lo;0;L;;;;;N;;;;;
        "\u12A1",  # ;ETHIOPIC SYLLABLE GLOTTAL U;Lo;0;L;;;;;N;;;;;
        "\u12A2",  # ;ETHIOPIC SYLLABLE GLOTTAL I;Lo;0;L;;;;;N;;;;;
        "\u12A3",  # ;ETHIOPIC SYLLABLE GLOTTAL AA;Lo;0;L;;;;;N;;;;;
        "\u12A4",  # ;ETHIOPIC SYLLABLE GLOTTAL EE;Lo;0;L;;;;;N;;;;;
        "\u12A5",  # ;ETHIOPIC SYLLABLE GLOTTAL E;Lo;0;L;;;;;N;;;;;
        "\u12A6",  # ;ETHIOPIC SYLLABLE GLOTTAL O;Lo;0;L;;;;;N;;;;;
        "\u12A7",  # ;ETHIOPIC SYLLABLE GLOTTAL WA;Lo;0;L;;;;;N;;;;;
        "\u12A8",  # ;ETHIOPIC SYLLABLE KA;Lo;0;L;;;;;N;;;;;
        "\u12A9",  # ;ETHIOPIC SYLLABLE KU;Lo;0;L;;;;;N;;;;;
        "\u12AA",  # ;ETHIOPIC SYLLABLE KI;Lo;0;L;;;;;N;;;;;
        "\u12AB",  # ;ETHIOPIC SYLLABLE KAA;Lo;0;L;;;;;N;;;;;
        "\u12AC",  # ;ETHIOPIC SYLLABLE KEE;Lo;0;L;;;;;N;;;;;
        "\u12AD",  # ;ETHIOPIC SYLLABLE KE;Lo;0;L;;;;;N;;;;;
        "\u12AE",  # ;ETHIOPIC SYLLABLE KO;Lo;0;L;;;;;N;;;;;
        "\u12AF",  # ;ETHIOPIC SYLLABLE KOA;Lo;0;L;;;;;N;;;;;
        "\u12B0",  # ;ETHIOPIC SYLLABLE KWA;Lo;0;L;;;;;N;;;;;
        "\u12B2",  # ;ETHIOPIC SYLLABLE KWI;Lo;0;L;;;;;N;;;;;
        "\u12B3",  # ;ETHIOPIC SYLLABLE KWAA;Lo;0;L;;;;;N;;;;;
        "\u12B4",  # ;ETHIOPIC SYLLABLE KWEE;Lo;0;L;;;;;N;;;;;
        "\u12B5",  # ;ETHIOPIC SYLLABLE KWE;Lo;0;L;;;;;N;;;;;
        "\u12B8",  # ;ETHIOPIC SYLLABLE KXA;Lo;0;L;;;;;N;;;;;
        "\u12B9",  # ;ETHIOPIC SYLLABLE KXU;Lo;0;L;;;;;N;;;;;
        "\u12BA",  # ;ETHIOPIC SYLLABLE KXI;Lo;0;L;;;;;N;;;;;
        "\u12BB",  # ;ETHIOPIC SYLLABLE KXAA;Lo;0;L;;;;;N;;;;;
        "\u12BC",  # ;ETHIOPIC SYLLABLE KXEE;Lo;0;L;;;;;N;;;;;
        "\u12BD",  # ;ETHIOPIC SYLLABLE KXE;Lo;0;L;;;;;N;;;;;
        "\u12BE",  # ;ETHIOPIC SYLLABLE KXO;Lo;0;L;;;;;N;;;;;
        "\u12C0",  # ;ETHIOPIC SYLLABLE KXWA;Lo;0;L;;;;;N;;;;;
        "\u12C2",  # ;ETHIOPIC SYLLABLE KXWI;Lo;0;L;;;;;N;;;;;
        "\u12C3",  # ;ETHIOPIC SYLLABLE KXWAA;Lo;0;L;;;;;N;;;;;
        "\u12C4",  # ;ETHIOPIC SYLLABLE KXWEE;Lo;0;L;;;;;N;;;;;
        "\u12C5",  # ;ETHIOPIC SYLLABLE KXWE;Lo;0;L;;;;;N;;;;;
        "\u12C8",  # ;ETHIOPIC SYLLABLE WA;Lo;0;L;;;;;N;;;;;
        "\u12C9",  # ;ETHIOPIC SYLLABLE WU;Lo;0;L;;;;;N;;;;;
        "\u12CA",  # ;ETHIOPIC SYLLABLE WI;Lo;0;L;;;;;N;;;;;
        "\u12CB",  # ;ETHIOPIC SYLLABLE WAA;Lo;0;L;;;;;N;;;;;
        "\u12CC",  # ;ETHIOPIC SYLLABLE WEE;Lo;0;L;;;;;N;;;;;
        "\u12CD",  # ;ETHIOPIC SYLLABLE WE;Lo;0;L;;;;;N;;;;;
        "\u12CE",  # ;ETHIOPIC SYLLABLE WO;Lo;0;L;;;;;N;;;;;
        "\u12CF",  # ;ETHIOPIC SYLLABLE WOA;Lo;0;L;;;;;N;;;;;
        "\u12D0",  # ;ETHIOPIC SYLLABLE PHARYNGEAL A;Lo;0;L;;;;;N;;;;;
        "\u12D1",  # ;ETHIOPIC SYLLABLE PHARYNGEAL U;Lo;0;L;;;;;N;;;;;
        "\u12D2",  # ;ETHIOPIC SYLLABLE PHARYNGEAL I;Lo;0;L;;;;;N;;;;;
        "\u12D3",  # ;ETHIOPIC SYLLABLE PHARYNGEAL AA;Lo;0;L;;;;;N;;;;;
        "\u12D4",  # ;ETHIOPIC SYLLABLE PHARYNGEAL EE;Lo;0;L;;;;;N;;;;;
        "\u12D5",  # ;ETHIOPIC SYLLABLE PHARYNGEAL E;Lo;0;L;;;;;N;;;;;
        "\u12D6",  # ;ETHIOPIC SYLLABLE PHARYNGEAL O;Lo;0;L;;;;;N;;;;;
        "\u12D8",  # ;ETHIOPIC SYLLABLE ZA;Lo;0;L;;;;;N;;;;;
        "\u12D9",  # ;ETHIOPIC SYLLABLE ZU;Lo;0;L;;;;;N;;;;;
        "\u12DA",  # ;ETHIOPIC SYLLABLE ZI;Lo;0;L;;;;;N;;;;;
        "\u12DB",  # ;ETHIOPIC SYLLABLE ZAA;Lo;0;L;;;;;N;;;;;
        "\u12DC",  # ;ETHIOPIC SYLLABLE ZEE;Lo;0;L;;;;;N;;;;;
        "\u12DD",  # ;ETHIOPIC SYLLABLE ZE;Lo;0;L;;;;;N;;;;;
        "\u12DE",  # ;ETHIOPIC SYLLABLE ZO;Lo;0;L;;;;;N;;;;;
        "\u12DF",  # ;ETHIOPIC SYLLABLE ZWA;Lo;0;L;;;;;N;;;;;
        "\u12E0",  # ;ETHIOPIC SYLLABLE ZHA;Lo;0;L;;;;;N;;;;;
        "\u12E1",  # ;ETHIOPIC SYLLABLE ZHU;Lo;0;L;;;;;N;;;;;
        "\u12E2",  # ;ETHIOPIC SYLLABLE ZHI;Lo;0;L;;;;;N;;;;;
        "\u12E3",  # ;ETHIOPIC SYLLABLE ZHAA;Lo;0;L;;;;;N;;;;;
        "\u12E4",  # ;ETHIOPIC SYLLABLE ZHEE;Lo;0;L;;;;;N;;;;;
        "\u12E5",  # ;ETHIOPIC SYLLABLE ZHE;Lo;0;L;;;;;N;;;;;
        "\u12E6",  # ;ETHIOPIC SYLLABLE ZHO;Lo;0;L;;;;;N;;;;;
        "\u12E7",  # ;ETHIOPIC SYLLABLE ZHWA;Lo;0;L;;;;;N;;;;;
        "\u12E8",  # ;ETHIOPIC SYLLABLE YA;Lo;0;L;;;;;N;;;;;
        "\u12E9",  # ;ETHIOPIC SYLLABLE YU;Lo;0;L;;;;;N;;;;;
        "\u12EA",  # ;ETHIOPIC SYLLABLE YI;Lo;0;L;;;;;N;;;;;
        "\u12EB",  # ;ETHIOPIC SYLLABLE YAA;Lo;0;L;;;;;N;;;;;
        "\u12EC",  # ;ETHIOPIC SYLLABLE YEE;Lo;0;L;;;;;N;;;;;
        "\u12ED",  # ;ETHIOPIC SYLLABLE YE;Lo;0;L;;;;;N;;;;;
        "\u12EE",  # ;ETHIOPIC SYLLABLE YO;Lo;0;L;;;;;N;;;;;
        "\u12EF",  # ;ETHIOPIC SYLLABLE YOA;Lo;0;L;;;;;N;;;;;
        "\u12F0",  # ;ETHIOPIC SYLLABLE DA;Lo;0;L;;;;;N;;;;;
        "\u12F1",  # ;ETHIOPIC SYLLABLE DU;Lo;0;L;;;;;N;;;;;
        "\u12F2",  # ;ETHIOPIC SYLLABLE DI;Lo;0;L;;;;;N;;;;;
        "\u12F3",  # ;ETHIOPIC SYLLABLE DAA;Lo;0;L;;;;;N;;;;;
        "\u12F4",  # ;ETHIOPIC SYLLABLE DEE;Lo;0;L;;;;;N;;;;;
        "\u12F5",  # ;ETHIOPIC SYLLABLE DE;Lo;0;L;;;;;N;;;;;
        "\u12F6",  # ;ETHIOPIC SYLLABLE DO;Lo;0;L;;;;;N;;;;;
        "\u12F7",  # ;ETHIOPIC SYLLABLE DWA;Lo;0;L;;;;;N;;;;;
        "\u12F8",  # ;ETHIOPIC SYLLABLE DDA;Lo;0;L;;;;;N;;;;;
        "\u12F9",  # ;ETHIOPIC SYLLABLE DDU;Lo;0;L;;;;;N;;;;;
        "\u12FA",  # ;ETHIOPIC SYLLABLE DDI;Lo;0;L;;;;;N;;;;;
        "\u12FB",  # ;ETHIOPIC SYLLABLE DDAA;Lo;0;L;;;;;N;;;;;
        "\u12FC",  # ;ETHIOPIC SYLLABLE DDEE;Lo;0;L;;;;;N;;;;;
        "\u12FD",  # ;ETHIOPIC SYLLABLE DDE;Lo;0;L;;;;;N;;;;;
        "\u12FE",  # ;ETHIOPIC SYLLABLE DDO;Lo;0;L;;;;;N;;;;;
        "\u12FF",  # ;ETHIOPIC SYLLABLE DDWA;Lo;0;L;;;;;N;;;;;
        "\u1300",  # ;ETHIOPIC SYLLABLE JA;Lo;0;L;;;;;N;;;;;
        "\u1301",  # ;ETHIOPIC SYLLABLE JU;Lo;0;L;;;;;N;;;;;
        "\u1302",  # ;ETHIOPIC SYLLABLE JI;Lo;0;L;;;;;N;;;;;
        "\u1303",  # ;ETHIOPIC SYLLABLE JAA;Lo;0;L;;;;;N;;;;;
        "\u1304",  # ;ETHIOPIC SYLLABLE JEE;Lo;0;L;;;;;N;;;;;
        "\u1305",  # ;ETHIOPIC SYLLABLE JE;Lo;0;L;;;;;N;;;;;
        "\u1306",  # ;ETHIOPIC SYLLABLE JO;Lo;0;L;;;;;N;;;;;
        "\u1307",  # ;ETHIOPIC SYLLABLE JWA;Lo;0;L;;;;;N;;;;;
        "\u1308",  # ;ETHIOPIC SYLLABLE GA;Lo;0;L;;;;;N;;;;;
        "\u1309",  # ;ETHIOPIC SYLLABLE GU;Lo;0;L;;;;;N;;;;;
        "\u130A",  # ;ETHIOPIC SYLLABLE GI;Lo;0;L;;;;;N;;;;;
        "\u130B",  # ;ETHIOPIC SYLLABLE GAA;Lo;0;L;;;;;N;;;;;
        "\u130C",  # ;ETHIOPIC SYLLABLE GEE;Lo;0;L;;;;;N;;;;;
        "\u130D",  # ;ETHIOPIC SYLLABLE GE;Lo;0;L;;;;;N;;;;;
        "\u130E",  # ;ETHIOPIC SYLLABLE GO;Lo;0;L;;;;;N;;;;;
        "\u130F",  # ;ETHIOPIC SYLLABLE GOA;Lo;0;L;;;;;N;;;;;
        "\u1310",  # ;ETHIOPIC SYLLABLE GWA;Lo;0;L;;;;;N;;;;;
        "\u1312",  # ;ETHIOPIC SYLLABLE GWI;Lo;0;L;;;;;N;;;;;
        "\u1313",  # ;ETHIOPIC SYLLABLE GWAA;Lo;0;L;;;;;N;;;;;
        "\u1314",  # ;ETHIOPIC SYLLABLE GWEE;Lo;0;L;;;;;N;;;;;
        "\u1315",  # ;ETHIOPIC SYLLABLE GWE;Lo;0;L;;;;;N;;;;;
        "\u1318",  # ;ETHIOPIC SYLLABLE GGA;Lo;0;L;;;;;N;;;;;
        "\u1319",  # ;ETHIOPIC SYLLABLE GGU;Lo;0;L;;;;;N;;;;;
        "\u131A",  # ;ETHIOPIC SYLLABLE GGI;Lo;0;L;;;;;N;;;;;
        "\u131B",  # ;ETHIOPIC SYLLABLE GGAA;Lo;0;L;;;;;N;;;;;
        "\u131C",  # ;ETHIOPIC SYLLABLE GGEE;Lo;0;L;;;;;N;;;;;
        "\u131D",  # ;ETHIOPIC SYLLABLE GGE;Lo;0;L;;;;;N;;;;;
        "\u131E",  # ;ETHIOPIC SYLLABLE GGO;Lo;0;L;;;;;N;;;;;
        "\u131F",  # ;ETHIOPIC SYLLABLE GGWAA;Lo;0;L;;;;;N;;;;;
        "\u1320",  # ;ETHIOPIC SYLLABLE THA;Lo;0;L;;;;;N;;;;;
        "\u1321",  # ;ETHIOPIC SYLLABLE THU;Lo;0;L;;;;;N;;;;;
        "\u1322",  # ;ETHIOPIC SYLLABLE THI;Lo;0;L;;;;;N;;;;;
        "\u1323",  # ;ETHIOPIC SYLLABLE THAA;Lo;0;L;;;;;N;;;;;
        "\u1324",  # ;ETHIOPIC SYLLABLE THEE;Lo;0;L;;;;;N;;;;;
        "\u1325",  # ;ETHIOPIC SYLLABLE THE;Lo;0;L;;;;;N;;;;;
        "\u1326",  # ;ETHIOPIC SYLLABLE THO;Lo;0;L;;;;;N;;;;;
        "\u1327",  # ;ETHIOPIC SYLLABLE THWA;Lo;0;L;;;;;N;;;;;
        "\u1328",  # ;ETHIOPIC SYLLABLE CHA;Lo;0;L;;;;;N;;;;;
        "\u1329",  # ;ETHIOPIC SYLLABLE CHU;Lo;0;L;;;;;N;;;;;
        "\u132A",  # ;ETHIOPIC SYLLABLE CHI;Lo;0;L;;;;;N;;;;;
        "\u132B",  # ;ETHIOPIC SYLLABLE CHAA;Lo;0;L;;;;;N;;;;;
        "\u132C",  # ;ETHIOPIC SYLLABLE CHEE;Lo;0;L;;;;;N;;;;;
        "\u132D",  # ;ETHIOPIC SYLLABLE CHE;Lo;0;L;;;;;N;;;;;
        "\u132E",  # ;ETHIOPIC SYLLABLE CHO;Lo;0;L;;;;;N;;;;;
        "\u132F",  # ;ETHIOPIC SYLLABLE CHWA;Lo;0;L;;;;;N;;;;;
        "\u1330",  # ;ETHIOPIC SYLLABLE PHA;Lo;0;L;;;;;N;;;;;
        "\u1331",  # ;ETHIOPIC SYLLABLE PHU;Lo;0;L;;;;;N;;;;;
        "\u1332",  # ;ETHIOPIC SYLLABLE PHI;Lo;0;L;;;;;N;;;;;
        "\u1333",  # ;ETHIOPIC SYLLABLE PHAA;Lo;0;L;;;;;N;;;;;
        "\u1334",  # ;ETHIOPIC SYLLABLE PHEE;Lo;0;L;;;;;N;;;;;
        "\u1335",  # ;ETHIOPIC SYLLABLE PHE;Lo;0;L;;;;;N;;;;;
        "\u1336",  # ;ETHIOPIC SYLLABLE PHO;Lo;0;L;;;;;N;;;;;
        "\u1337",  # ;ETHIOPIC SYLLABLE PHWA;Lo;0;L;;;;;N;;;;;
        "\u1338",  # ;ETHIOPIC SYLLABLE TSA;Lo;0;L;;;;;N;;;;;
        "\u1339",  # ;ETHIOPIC SYLLABLE TSU;Lo;0;L;;;;;N;;;;;
        "\u133A",  # ;ETHIOPIC SYLLABLE TSI;Lo;0;L;;;;;N;;;;;
        "\u133B",  # ;ETHIOPIC SYLLABLE TSAA;Lo;0;L;;;;;N;;;;;
        "\u133C",  # ;ETHIOPIC SYLLABLE TSEE;Lo;0;L;;;;;N;;;;;
        "\u133D",  # ;ETHIOPIC SYLLABLE TSE;Lo;0;L;;;;;N;;;;;
        "\u133E",  # ;ETHIOPIC SYLLABLE TSO;Lo;0;L;;;;;N;;;;;
        "\u133F",  # ;ETHIOPIC SYLLABLE TSWA;Lo;0;L;;;;;N;;;;;
        "\u1340",  # ;ETHIOPIC SYLLABLE TZA;Lo;0;L;;;;;N;;;;;
        "\u1341",  # ;ETHIOPIC SYLLABLE TZU;Lo;0;L;;;;;N;;;;;
        "\u1342",  # ;ETHIOPIC SYLLABLE TZI;Lo;0;L;;;;;N;;;;;
        "\u1343",  # ;ETHIOPIC SYLLABLE TZAA;Lo;0;L;;;;;N;;;;;
        "\u1344",  # ;ETHIOPIC SYLLABLE TZEE;Lo;0;L;;;;;N;;;;;
        "\u1345",  # ;ETHIOPIC SYLLABLE TZE;Lo;0;L;;;;;N;;;;;
        "\u1346",  # ;ETHIOPIC SYLLABLE TZO;Lo;0;L;;;;;N;;;;;
        "\u1347",  # ;ETHIOPIC SYLLABLE TZOA;Lo;0;L;;;;;N;;;;;
        "\u1348",  # ;ETHIOPIC SYLLABLE FA;Lo;0;L;;;;;N;;;;;
        "\u1349",  # ;ETHIOPIC SYLLABLE FU;Lo;0;L;;;;;N;;;;;
        "\u134A",  # ;ETHIOPIC SYLLABLE FI;Lo;0;L;;;;;N;;;;;
        "\u134B",  # ;ETHIOPIC SYLLABLE FAA;Lo;0;L;;;;;N;;;;;
        "\u134C",  # ;ETHIOPIC SYLLABLE FEE;Lo;0;L;;;;;N;;;;;
        "\u134D",  # ;ETHIOPIC SYLLABLE FE;Lo;0;L;;;;;N;;;;;
        "\u134E",  # ;ETHIOPIC SYLLABLE FO;Lo;0;L;;;;;N;;;;;
        "\u134F",  # ;ETHIOPIC SYLLABLE FWA;Lo;0;L;;;;;N;;;;;
        "\u1350",  # ;ETHIOPIC SYLLABLE PA;Lo;0;L;;;;;N;;;;;
        "\u1351",  # ;ETHIOPIC SYLLABLE PU;Lo;0;L;;;;;N;;;;;
        "\u1352",  # ;ETHIOPIC SYLLABLE PI;Lo;0;L;;;;;N;;;;;
        "\u1353",  # ;ETHIOPIC SYLLABLE PAA;Lo;0;L;;;;;N;;;;;
        "\u1354",  # ;ETHIOPIC SYLLABLE PEE;Lo;0;L;;;;;N;;;;;
        "\u1355",  # ;ETHIOPIC SYLLABLE PE;Lo;0;L;;;;;N;;;;;
        "\u1356",  # ;ETHIOPIC SYLLABLE PO;Lo;0;L;;;;;N;;;;;
        "\u1357",  # ;ETHIOPIC SYLLABLE PWA;Lo;0;L;;;;;N;;;;;
        "\u1358",  # ;ETHIOPIC SYLLABLE RYA;Lo;0;L;;;;;N;;;;;
        "\u1359",  # ;ETHIOPIC SYLLABLE MYA;Lo;0;L;;;;;N;;;;;
        "\u135A",  # ;ETHIOPIC SYLLABLE FYA;Lo;0;L;;;;;N;;;;;
        "\u135D",  # ;ETHIOPIC COMBINING GEMINATION AND VOWEL LENGTH MARK;Mn;230;NSM;;;;;N;;;;;
        "\u135E",  # ;ETHIOPIC COMBINING VOWEL LENGTH MARK;Mn;230;NSM;;;;;N;;;;;
        "\u135F",  # ;ETHIOPIC COMBINING GEMINATION MARK;Mn;230;NSM;;;;;N;;;;;
        "\u1360",  # ;ETHIOPIC SECTION MARK;Po;0;L;;;;;N;;;;;
        "\u1361",  # ;ETHIOPIC WORDSPACE;Po;0;L;;;;;N;;;;;
        "\u1362",  # ;ETHIOPIC FULL STOP;Po;0;L;;;;;N;;;;;
        "\u1363",  # ;ETHIOPIC COMMA;Po;0;L;;;;;N;;;;;
        "\u1364",  # ;ETHIOPIC SEMICOLON;Po;0;L;;;;;N;;;;;
        "\u1365",  # ;ETHIOPIC COLON;Po;0;L;;;;;N;;;;;
        "\u1366",  # ;ETHIOPIC PREFACE COLON;Po;0;L;;;;;N;;;;;
        "\u1367",  # ;ETHIOPIC QUESTION MARK;Po;0;L;;;;;N;;;;;
        "\u1368",  # ;ETHIOPIC PARAGRAPH SEPARATOR;Po;0;L;;;;;N;;;;;
        "\u1369",  # ;ETHIOPIC DIGIT ONE;No;0;L;;;1;1;N;;;;;
        "\u136A",  # ;ETHIOPIC DIGIT TWO;No;0;L;;;2;2;N;;;;;
        "\u136B",  # ;ETHIOPIC DIGIT THREE;No;0;L;;;3;3;N;;;;;
        "\u136C",  # ;ETHIOPIC DIGIT FOUR;No;0;L;;;4;4;N;;;;;
        "\u136D",  # ;ETHIOPIC DIGIT FIVE;No;0;L;;;5;5;N;;;;;
        "\u136E",  # ;ETHIOPIC DIGIT SIX;No;0;L;;;6;6;N;;;;;
        "\u136F",  # ;ETHIOPIC DIGIT SEVEN;No;0;L;;;7;7;N;;;;;
        "\u1370",  # ;ETHIOPIC DIGIT EIGHT;No;0;L;;;8;8;N;;;;;
        "\u1371",  # ;ETHIOPIC DIGIT NINE;No;0;L;;;9;9;N;;;;;
        "\u1372",  # ;ETHIOPIC NUMBER TEN;No;0;L;;;;10;N;;;;;
        "\u1373",  # ;ETHIOPIC NUMBER TWENTY;No;0;L;;;;20;N;;;;;
        "\u1374",  # ;ETHIOPIC NUMBER THIRTY;No;0;L;;;;30;N;;;;;
        "\u1375",  # ;ETHIOPIC NUMBER FORTY;No;0;L;;;;40;N;;;;;
        "\u1376",  # ;ETHIOPIC NUMBER FIFTY;No;0;L;;;;50;N;;;;;
        "\u1377",  # ;ETHIOPIC NUMBER SIXTY;No;0;L;;;;60;N;;;;;
        "\u1378",  # ;ETHIOPIC NUMBER SEVENTY;No;0;L;;;;70;N;;;;;
        "\u1379",  # ;ETHIOPIC NUMBER EIGHTY;No;0;L;;;;80;N;;;;;
        "\u137A",  # ;ETHIOPIC NUMBER NINETY;No;0;L;;;;90;N;;;;;
        "\u137B",  # ;ETHIOPIC NUMBER HUNDRED;No;0;L;;;;100;N;;;;;
        "\u137C",  # ;ETHIOPIC NUMBER TEN THOUSAND;No;0;L;;;;10000;N;;;;;
        "\u1380",  # ;ETHIOPIC SYLLABLE SEBATBEIT MWA;Lo;0;L;;;;;N;;;;;
        "\u1381",  # ;ETHIOPIC SYLLABLE MWI;Lo;0;L;;;;;N;;;;;
        "\u1382",  # ;ETHIOPIC SYLLABLE MWEE;Lo;0;L;;;;;N;;;;;
        "\u1383",  # ;ETHIOPIC SYLLABLE MWE;Lo;0;L;;;;;N;;;;;
        "\u1384",  # ;ETHIOPIC SYLLABLE SEBATBEIT BWA;Lo;0;L;;;;;N;;;;;
        "\u1385",  # ;ETHIOPIC SYLLABLE BWI;Lo;0;L;;;;;N;;;;;
        "\u1386",  # ;ETHIOPIC SYLLABLE BWEE;Lo;0;L;;;;;N;;;;;
        "\u1387",  # ;ETHIOPIC SYLLABLE BWE;Lo;0;L;;;;;N;;;;;
        "\u1388",  # ;ETHIOPIC SYLLABLE SEBATBEIT FWA;Lo;0;L;;;;;N;;;;;
        "\u1389",  # ;ETHIOPIC SYLLABLE FWI;Lo;0;L;;;;;N;;;;;
        "\u138A",  # ;ETHIOPIC SYLLABLE FWEE;Lo;0;L;;;;;N;;;;;
        "\u138B",  # ;ETHIOPIC SYLLABLE FWE;Lo;0;L;;;;;N;;;;;
        "\u138C",  # ;ETHIOPIC SYLLABLE SEBATBEIT PWA;Lo;0;L;;;;;N;;;;;
        "\u138D",  # ;ETHIOPIC SYLLABLE PWI;Lo;0;L;;;;;N;;;;;
        "\u138E",  # ;ETHIOPIC SYLLABLE PWEE;Lo;0;L;;;;;N;;;;;
        "\u138F",  # ;ETHIOPIC SYLLABLE PWE;Lo;0;L;;;;;N;;;;;
        "\u1390",  # ;ETHIOPIC TONAL MARK YIZET;So;0;ON;;;;;N;;;;;
        "\u1391",  # ;ETHIOPIC TONAL MARK DERET;So;0;ON;;;;;N;;;;;
        "\u1392",  # ;ETHIOPIC TONAL MARK RIKRIK;So;0;ON;;;;;N;;;;;
        "\u1393",  # ;ETHIOPIC TONAL MARK SHORT RIKRIK;So;0;ON;;;;;N;;;;;
        "\u1394",  # ;ETHIOPIC TONAL MARK DIFAT;So;0;ON;;;;;N;;;;;
        "\u1395",  # ;ETHIOPIC TONAL MARK KENAT;So;0;ON;;;;;N;;;;;
        "\u1396",  # ;ETHIOPIC TONAL MARK CHIRET;So;0;ON;;;;;N;;;;;
        "\u1397",  # ;ETHIOPIC TONAL MARK HIDET;So;0;ON;;;;;N;;;;;
        "\u1398",  # ;ETHIOPIC TONAL MARK DERET-HIDET;So;0;ON;;;;;N;;;;;
        "\u1399",  # ;ETHIOPIC TONAL MARK KURT;So;0;ON;;;;;N;;;;;
        "\u13A0",  # ;CHEROKEE LETTER A;Lu;0;L;;;;;N;;;;AB70;
        "\u13A1",  # ;CHEROKEE LETTER E;Lu;0;L;;;;;N;;;;AB71;
        "\u13A2",  # ;CHEROKEE LETTER I;Lu;0;L;;;;;N;;;;AB72;
        "\u13A3",  # ;CHEROKEE LETTER O;Lu;0;L;;;;;N;;;;AB73;
        "\u13A4",  # ;CHEROKEE LETTER U;Lu;0;L;;;;;N;;;;AB74;
        "\u13A5",  # ;CHEROKEE LETTER V;Lu;0;L;;;;;N;;;;AB75;
        "\u13A6",  # ;CHEROKEE LETTER GA;Lu;0;L;;;;;N;;;;AB76;
        "\u13A7",  # ;CHEROKEE LETTER KA;Lu;0;L;;;;;N;;;;AB77;
        "\u13A8",  # ;CHEROKEE LETTER GE;Lu;0;L;;;;;N;;;;AB78;
        "\u13A9",  # ;CHEROKEE LETTER GI;Lu;0;L;;;;;N;;;;AB79;
        "\u13AA",  # ;CHEROKEE LETTER GO;Lu;0;L;;;;;N;;;;AB7A;
        "\u13AB",  # ;CHEROKEE LETTER GU;Lu;0;L;;;;;N;;;;AB7B;
        "\u13AC",  # ;CHEROKEE LETTER GV;Lu;0;L;;;;;N;;;;AB7C;
        "\u13AD",  # ;CHEROKEE LETTER HA;Lu;0;L;;;;;N;;;;AB7D;
        "\u13AE",  # ;CHEROKEE LETTER HE;Lu;0;L;;;;;N;;;;AB7E;
        "\u13AF",  # ;CHEROKEE LETTER HI;Lu;0;L;;;;;N;;;;AB7F;
        "\u13B0",  # ;CHEROKEE LETTER HO;Lu;0;L;;;;;N;;;;AB80;
        "\u13B1",  # ;CHEROKEE LETTER HU;Lu;0;L;;;;;N;;;;AB81;
        "\u13B2",  # ;CHEROKEE LETTER HV;Lu;0;L;;;;;N;;;;AB82;
        "\u13B3",  # ;CHEROKEE LETTER LA;Lu;0;L;;;;;N;;;;AB83;
        "\u13B4",  # ;CHEROKEE LETTER LE;Lu;0;L;;;;;N;;;;AB84;
        "\u13B5",  # ;CHEROKEE LETTER LI;Lu;0;L;;;;;N;;;;AB85;
        "\u13B6",  # ;CHEROKEE LETTER LO;Lu;0;L;;;;;N;;;;AB86;
        "\u13B7",  # ;CHEROKEE LETTER LU;Lu;0;L;;;;;N;;;;AB87;
        "\u13B8",  # ;CHEROKEE LETTER LV;Lu;0;L;;;;;N;;;;AB88;
        "\u13B9",  # ;CHEROKEE LETTER MA;Lu;0;L;;;;;N;;;;AB89;
        "\u13BA",  # ;CHEROKEE LETTER ME;Lu;0;L;;;;;N;;;;AB8A;
        "\u13BB",  # ;CHEROKEE LETTER MI;Lu;0;L;;;;;N;;;;AB8B;
        "\u13BC",  # ;CHEROKEE LETTER MO;Lu;0;L;;;;;N;;;;AB8C;
        "\u13BD",  # ;CHEROKEE LETTER MU;Lu;0;L;;;;;N;;;;AB8D;
        "\u13BE",  # ;CHEROKEE LETTER NA;Lu;0;L;;;;;N;;;;AB8E;
        "\u13BF",  # ;CHEROKEE LETTER HNA;Lu;0;L;;;;;N;;;;AB8F;
        "\u13C0",  # ;CHEROKEE LETTER NAH;Lu;0;L;;;;;N;;;;AB90;
        "\u13C1",  # ;CHEROKEE LETTER NE;Lu;0;L;;;;;N;;;;AB91;
        "\u13C2",  # ;CHEROKEE LETTER NI;Lu;0;L;;;;;N;;;;AB92;
        "\u13C3",  # ;CHEROKEE LETTER NO;Lu;0;L;;;;;N;;;;AB93;
        "\u13C4",  # ;CHEROKEE LETTER NU;Lu;0;L;;;;;N;;;;AB94;
        "\u13C5",  # ;CHEROKEE LETTER NV;Lu;0;L;;;;;N;;;;AB95;
        "\u13C6",  # ;CHEROKEE LETTER QUA;Lu;0;L;;;;;N;;;;AB96;
        "\u13C7",  # ;CHEROKEE LETTER QUE;Lu;0;L;;;;;N;;;;AB97;
        "\u13C8",  # ;CHEROKEE LETTER QUI;Lu;0;L;;;;;N;;;;AB98;
        "\u13C9",  # ;CHEROKEE LETTER QUO;Lu;0;L;;;;;N;;;;AB99;
        "\u13CA",  # ;CHEROKEE LETTER QUU;Lu;0;L;;;;;N;;;;AB9A;
        "\u13CB",  # ;CHEROKEE LETTER QUV;Lu;0;L;;;;;N;;;;AB9B;
        "\u13CC",  # ;CHEROKEE LETTER SA;Lu;0;L;;;;;N;;;;AB9C;
        "\u13CD",  # ;CHEROKEE LETTER S;Lu;0;L;;;;;N;;;;AB9D;
        "\u13CE",  # ;CHEROKEE LETTER SE;Lu;0;L;;;;;N;;;;AB9E;
        "\u13CF",  # ;CHEROKEE LETTER SI;Lu;0;L;;;;;N;;;;AB9F;
        "\u13D0",  # ;CHEROKEE LETTER SO;Lu;0;L;;;;;N;;;;ABA0;
        "\u13D1",  # ;CHEROKEE LETTER SU;Lu;0;L;;;;;N;;;;ABA1;
        "\u13D2",  # ;CHEROKEE LETTER SV;Lu;0;L;;;;;N;;;;ABA2;
        "\u13D3",  # ;CHEROKEE LETTER DA;Lu;0;L;;;;;N;;;;ABA3;
        "\u13D4",  # ;CHEROKEE LETTER TA;Lu;0;L;;;;;N;;;;ABA4;
        "\u13D5",  # ;CHEROKEE LETTER DE;Lu;0;L;;;;;N;;;;ABA5;
        "\u13D6",  # ;CHEROKEE LETTER TE;Lu;0;L;;;;;N;;;;ABA6;
        "\u13D7",  # ;CHEROKEE LETTER DI;Lu;0;L;;;;;N;;;;ABA7;
        "\u13D8",  # ;CHEROKEE LETTER TI;Lu;0;L;;;;;N;;;;ABA8;
        "\u13D9",  # ;CHEROKEE LETTER DO;Lu;0;L;;;;;N;;;;ABA9;
        "\u13DA",  # ;CHEROKEE LETTER DU;Lu;0;L;;;;;N;;;;ABAA;
        "\u13DB",  # ;CHEROKEE LETTER DV;Lu;0;L;;;;;N;;;;ABAB;
        "\u13DC",  # ;CHEROKEE LETTER DLA;Lu;0;L;;;;;N;;;;ABAC;
        "\u13DD",  # ;CHEROKEE LETTER TLA;Lu;0;L;;;;;N;;;;ABAD;
        "\u13DE",  # ;CHEROKEE LETTER TLE;Lu;0;L;;;;;N;;;;ABAE;
        "\u13DF",  # ;CHEROKEE LETTER TLI;Lu;0;L;;;;;N;;;;ABAF;
        "\u13E0",  # ;CHEROKEE LETTER TLO;Lu;0;L;;;;;N;;;;ABB0;
        "\u13E1",  # ;CHEROKEE LETTER TLU;Lu;0;L;;;;;N;;;;ABB1;
        "\u13E2",  # ;CHEROKEE LETTER TLV;Lu;0;L;;;;;N;;;;ABB2;
        "\u13E3",  # ;CHEROKEE LETTER TSA;Lu;0;L;;;;;N;;;;ABB3;
        "\u13E4",  # ;CHEROKEE LETTER TSE;Lu;0;L;;;;;N;;;;ABB4;
        "\u13E5",  # ;CHEROKEE LETTER TSI;Lu;0;L;;;;;N;;;;ABB5;
        "\u13E6",  # ;CHEROKEE LETTER TSO;Lu;0;L;;;;;N;;;;ABB6;
        "\u13E7",  # ;CHEROKEE LETTER TSU;Lu;0;L;;;;;N;;;;ABB7;
        "\u13E8",  # ;CHEROKEE LETTER TSV;Lu;0;L;;;;;N;;;;ABB8;
        "\u13E9",  # ;CHEROKEE LETTER WA;Lu;0;L;;;;;N;;;;ABB9;
        "\u13EA",  # ;CHEROKEE LETTER WE;Lu;0;L;;;;;N;;;;ABBA;
        "\u13EB",  # ;CHEROKEE LETTER WI;Lu;0;L;;;;;N;;;;ABBB;
        "\u13EC",  # ;CHEROKEE LETTER WO;Lu;0;L;;;;;N;;;;ABBC;
        "\u13ED",  # ;CHEROKEE LETTER WU;Lu;0;L;;;;;N;;;;ABBD;
        "\u13EE",  # ;CHEROKEE LETTER WV;Lu;0;L;;;;;N;;;;ABBE;
        "\u13EF",  # ;CHEROKEE LETTER YA;Lu;0;L;;;;;N;;;;ABBF;
        "\u13F0",  # ;CHEROKEE LETTER YE;Lu;0;L;;;;;N;;;;13F8;
        "\u13F1",  # ;CHEROKEE LETTER YI;Lu;0;L;;;;;N;;;;13F9;
        "\u13F2",  # ;CHEROKEE LETTER YO;Lu;0;L;;;;;N;;;;13FA;
        "\u13F3",  # ;CHEROKEE LETTER YU;Lu;0;L;;;;;N;;;;13FB;
        "\u13F4",  # ;CHEROKEE LETTER YV;Lu;0;L;;;;;N;;;;13FC;
        "\u13F5",  # ;CHEROKEE LETTER MV;Lu;0;L;;;;;N;;;;13FD;
        "\u13F8",  # ;CHEROKEE SMALL LETTER YE;Ll;0;L;;;;;N;;;13F0;;13F0
        "\u13F9",  # ;CHEROKEE SMALL LETTER YI;Ll;0;L;;;;;N;;;13F1;;13F1
        "\u13FA",  # ;CHEROKEE SMALL LETTER YO;Ll;0;L;;;;;N;;;13F2;;13F2
        "\u13FB",  # ;CHEROKEE SMALL LETTER YU;Ll;0;L;;;;;N;;;13F3;;13F3
        "\u13FC",  # ;CHEROKEE SMALL LETTER YV;Ll;0;L;;;;;N;;;13F4;;13F4
        "\u13FD",  # ;CHEROKEE SMALL LETTER MV;Ll;0;L;;;;;N;;;13F5;;13F5
        "\u1400",  # ;CANADIAN SYLLABICS HYPHEN;Pd;0;ON;;;;;N;;;;;
        "\u1401",  # ;CANADIAN SYLLABICS E;Lo;0;L;;;;;N;;;;;
        "\u1402",  # ;CANADIAN SYLLABICS AAI;Lo;0;L;;;;;N;;;;;
        "\u1403",  # ;CANADIAN SYLLABICS I;Lo;0;L;;;;;N;;;;;
        "\u1404",  # ;CANADIAN SYLLABICS II;Lo;0;L;;;;;N;;;;;
        "\u1405",  # ;CANADIAN SYLLABICS O;Lo;0;L;;;;;N;;;;;
        "\u1406",  # ;CANADIAN SYLLABICS OO;Lo;0;L;;;;;N;;;;;
        "\u1407",  # ;CANADIAN SYLLABICS Y-CREE OO;Lo;0;L;;;;;N;;;;;
        "\u1408",  # ;CANADIAN SYLLABICS CARRIER EE;Lo;0;L;;;;;N;;;;;
        "\u1409",  # ;CANADIAN SYLLABICS CARRIER I;Lo;0;L;;;;;N;;;;;
        "\u140A",  # ;CANADIAN SYLLABICS A;Lo;0;L;;;;;N;;;;;
        "\u140B",  # ;CANADIAN SYLLABICS AA;Lo;0;L;;;;;N;;;;;
        "\u140C",  # ;CANADIAN SYLLABICS WE;Lo;0;L;;;;;N;;;;;
        "\u140D",  # ;CANADIAN SYLLABICS WEST-CREE WE;Lo;0;L;;;;;N;;;;;
        "\u140E",  # ;CANADIAN SYLLABICS WI;Lo;0;L;;;;;N;;;;;
        "\u140F",  # ;CANADIAN SYLLABICS WEST-CREE WI;Lo;0;L;;;;;N;;;;;
        "\u1410",  # ;CANADIAN SYLLABICS WII;Lo;0;L;;;;;N;;;;;
        "\u1411",  # ;CANADIAN SYLLABICS WEST-CREE WII;Lo;0;L;;;;;N;;;;;
        "\u1412",  # ;CANADIAN SYLLABICS WO;Lo;0;L;;;;;N;;;;;
        "\u1413",  # ;CANADIAN SYLLABICS WEST-CREE WO;Lo;0;L;;;;;N;;;;;
        "\u1414",  # ;CANADIAN SYLLABICS WOO;Lo;0;L;;;;;N;;;;;
        "\u1415",  # ;CANADIAN SYLLABICS WEST-CREE WOO;Lo;0;L;;;;;N;;;;;
        "\u1416",  # ;CANADIAN SYLLABICS NASKAPI WOO;Lo;0;L;;;;;N;;;;;
        "\u1417",  # ;CANADIAN SYLLABICS WA;Lo;0;L;;;;;N;;;;;
        "\u1418",  # ;CANADIAN SYLLABICS WEST-CREE WA;Lo;0;L;;;;;N;;;;;
        "\u1419",  # ;CANADIAN SYLLABICS WAA;Lo;0;L;;;;;N;;;;;
        "\u141A",  # ;CANADIAN SYLLABICS WEST-CREE WAA;Lo;0;L;;;;;N;;;;;
        "\u141B",  # ;CANADIAN SYLLABICS NASKAPI WAA;Lo;0;L;;;;;N;;;;;
        "\u141C",  # ;CANADIAN SYLLABICS AI;Lo;0;L;;;;;N;;;;;
        "\u141D",  # ;CANADIAN SYLLABICS Y-CREE W;Lo;0;L;;;;;N;;;;;
        "\u141E",  # ;CANADIAN SYLLABICS GLOTTAL STOP;Lo;0;L;;;;;N;;;;;
        "\u141F",  # ;CANADIAN SYLLABICS FINAL ACUTE;Lo;0;L;;;;;N;;;;;
        "\u1420",  # ;CANADIAN SYLLABICS FINAL GRAVE;Lo;0;L;;;;;N;;;;;
        "\u1421",  # ;CANADIAN SYLLABICS FINAL BOTTOM HALF RING;Lo;0;L;;;;;N;;;;;
        "\u1422",  # ;CANADIAN SYLLABICS FINAL TOP HALF RING;Lo;0;L;;;;;N;;;;;
        "\u1423",  # ;CANADIAN SYLLABICS FINAL RIGHT HALF RING;Lo;0;L;;;;;N;;;;;
        "\u1424",  # ;CANADIAN SYLLABICS FINAL RING;Lo;0;L;;;;;N;;;;;
        "\u1425",  # ;CANADIAN SYLLABICS FINAL DOUBLE ACUTE;Lo;0;L;;;;;N;;;;;
        "\u1426",  # ;CANADIAN SYLLABICS FINAL DOUBLE SHORT VERTICAL STROKES;Lo;0;L;;;;;N;;;;;
        "\u1427",  # ;CANADIAN SYLLABICS FINAL MIDDLE DOT;Lo;0;L;;;;;N;;;;;
        "\u1428",  # ;CANADIAN SYLLABICS FINAL SHORT HORIZONTAL STROKE;Lo;0;L;;;;;N;;;;;
        "\u1429",  # ;CANADIAN SYLLABICS FINAL PLUS;Lo;0;L;;;;;N;;;;;
        "\u142A",  # ;CANADIAN SYLLABICS FINAL DOWN TACK;Lo;0;L;;;;;N;;;;;
        "\u142B",  # ;CANADIAN SYLLABICS EN;Lo;0;L;;;;;N;;;;;
        "\u142C",  # ;CANADIAN SYLLABICS IN;Lo;0;L;;;;;N;;;;;
        "\u142D",  # ;CANADIAN SYLLABICS ON;Lo;0;L;;;;;N;;;;;
        "\u142E",  # ;CANADIAN SYLLABICS AN;Lo;0;L;;;;;N;;;;;
        "\u142F",  # ;CANADIAN SYLLABICS PE;Lo;0;L;;;;;N;;;;;
        "\u1430",  # ;CANADIAN SYLLABICS PAAI;Lo;0;L;;;;;N;;;;;
        "\u1431",  # ;CANADIAN SYLLABICS PI;Lo;0;L;;;;;N;;;;;
        "\u1432",  # ;CANADIAN SYLLABICS PII;Lo;0;L;;;;;N;;;;;
        "\u1433",  # ;CANADIAN SYLLABICS PO;Lo;0;L;;;;;N;;;;;
        "\u1434",  # ;CANADIAN SYLLABICS POO;Lo;0;L;;;;;N;;;;;
        "\u1435",  # ;CANADIAN SYLLABICS Y-CREE POO;Lo;0;L;;;;;N;;;;;
        "\u1436",  # ;CANADIAN SYLLABICS CARRIER HEE;Lo;0;L;;;;;N;;;;;
        "\u1437",  # ;CANADIAN SYLLABICS CARRIER HI;Lo;0;L;;;;;N;;;;;
        "\u1438",  # ;CANADIAN SYLLABICS PA;Lo;0;L;;;;;N;;;;;
        "\u1439",  # ;CANADIAN SYLLABICS PAA;Lo;0;L;;;;;N;;;;;
        "\u143A",  # ;CANADIAN SYLLABICS PWE;Lo;0;L;;;;;N;;;;;
        "\u143B",  # ;CANADIAN SYLLABICS WEST-CREE PWE;Lo;0;L;;;;;N;;;;;
        "\u143C",  # ;CANADIAN SYLLABICS PWI;Lo;0;L;;;;;N;;;;;
        "\u143D",  # ;CANADIAN SYLLABICS WEST-CREE PWI;Lo;0;L;;;;;N;;;;;
        "\u143E",  # ;CANADIAN SYLLABICS PWII;Lo;0;L;;;;;N;;;;;
        "\u143F",  # ;CANADIAN SYLLABICS WEST-CREE PWII;Lo;0;L;;;;;N;;;;;
        "\u1440",  # ;CANADIAN SYLLABICS PWO;Lo;0;L;;;;;N;;;;;
        "\u1441",  # ;CANADIAN SYLLABICS WEST-CREE PWO;Lo;0;L;;;;;N;;;;;
        "\u1442",  # ;CANADIAN SYLLABICS PWOO;Lo;0;L;;;;;N;;;;;
        "\u1443",  # ;CANADIAN SYLLABICS WEST-CREE PWOO;Lo;0;L;;;;;N;;;;;
        "\u1444",  # ;CANADIAN SYLLABICS PWA;Lo;0;L;;;;;N;;;;;
        "\u1445",  # ;CANADIAN SYLLABICS WEST-CREE PWA;Lo;0;L;;;;;N;;;;;
        "\u1446",  # ;CANADIAN SYLLABICS PWAA;Lo;0;L;;;;;N;;;;;
        "\u1447",  # ;CANADIAN SYLLABICS WEST-CREE PWAA;Lo;0;L;;;;;N;;;;;
        "\u1448",  # ;CANADIAN SYLLABICS Y-CREE PWAA;Lo;0;L;;;;;N;;;;;
        "\u1449",  # ;CANADIAN SYLLABICS P;Lo;0;L;;;;;N;;;;;
        "\u144A",  # ;CANADIAN SYLLABICS WEST-CREE P;Lo;0;L;;;;;N;;;;;
        "\u144B",  # ;CANADIAN SYLLABICS CARRIER H;Lo;0;L;;;;;N;;;;;
        "\u144C",  # ;CANADIAN SYLLABICS TE;Lo;0;L;;;;;N;;;;;
        "\u144D",  # ;CANADIAN SYLLABICS TAAI;Lo;0;L;;;;;N;;;;;
        "\u144E",  # ;CANADIAN SYLLABICS TI;Lo;0;L;;;;;N;;;;;
        "\u144F",  # ;CANADIAN SYLLABICS TII;Lo;0;L;;;;;N;;;;;
        "\u1450",  # ;CANADIAN SYLLABICS TO;Lo;0;L;;;;;N;;;;;
        "\u1451",  # ;CANADIAN SYLLABICS TOO;Lo;0;L;;;;;N;;;;;
        "\u1452",  # ;CANADIAN SYLLABICS Y-CREE TOO;Lo;0;L;;;;;N;;;;;
        "\u1453",  # ;CANADIAN SYLLABICS CARRIER DEE;Lo;0;L;;;;;N;;;;;
        "\u1454",  # ;CANADIAN SYLLABICS CARRIER DI;Lo;0;L;;;;;N;;;;;
        "\u1455",  # ;CANADIAN SYLLABICS TA;Lo;0;L;;;;;N;;;;;
        "\u1456",  # ;CANADIAN SYLLABICS TAA;Lo;0;L;;;;;N;;;;;
        "\u1457",  # ;CANADIAN SYLLABICS TWE;Lo;0;L;;;;;N;;;;;
        "\u1458",  # ;CANADIAN SYLLABICS WEST-CREE TWE;Lo;0;L;;;;;N;;;;;
        "\u1459",  # ;CANADIAN SYLLABICS TWI;Lo;0;L;;;;;N;;;;;
        "\u145A",  # ;CANADIAN SYLLABICS WEST-CREE TWI;Lo;0;L;;;;;N;;;;;
        "\u145B",  # ;CANADIAN SYLLABICS TWII;Lo;0;L;;;;;N;;;;;
        "\u145C",  # ;CANADIAN SYLLABICS WEST-CREE TWII;Lo;0;L;;;;;N;;;;;
        "\u145D",  # ;CANADIAN SYLLABICS TWO;Lo;0;L;;;;;N;;;;;
        "\u145E",  # ;CANADIAN SYLLABICS WEST-CREE TWO;Lo;0;L;;;;;N;;;;;
        "\u145F",  # ;CANADIAN SYLLABICS TWOO;Lo;0;L;;;;;N;;;;;
        "\u1460",  # ;CANADIAN SYLLABICS WEST-CREE TWOO;Lo;0;L;;;;;N;;;;;
        "\u1461",  # ;CANADIAN SYLLABICS TWA;Lo;0;L;;;;;N;;;;;
        "\u1462",  # ;CANADIAN SYLLABICS WEST-CREE TWA;Lo;0;L;;;;;N;;;;;
        "\u1463",  # ;CANADIAN SYLLABICS TWAA;Lo;0;L;;;;;N;;;;;
        "\u1464",  # ;CANADIAN SYLLABICS WEST-CREE TWAA;Lo;0;L;;;;;N;;;;;
        "\u1465",  # ;CANADIAN SYLLABICS NASKAPI TWAA;Lo;0;L;;;;;N;;;;;
        "\u1466",  # ;CANADIAN SYLLABICS T;Lo;0;L;;;;;N;;;;;
        "\u1467",  # ;CANADIAN SYLLABICS TTE;Lo;0;L;;;;;N;;;;;
        "\u1468",  # ;CANADIAN SYLLABICS TTI;Lo;0;L;;;;;N;;;;;
        "\u1469",  # ;CANADIAN SYLLABICS TTO;Lo;0;L;;;;;N;;;;;
        "\u146A",  # ;CANADIAN SYLLABICS TTA;Lo;0;L;;;;;N;;;;;
        "\u146B",  # ;CANADIAN SYLLABICS KE;Lo;0;L;;;;;N;;;;;
        "\u146C",  # ;CANADIAN SYLLABICS KAAI;Lo;0;L;;;;;N;;;;;
        "\u146D",  # ;CANADIAN SYLLABICS KI;Lo;0;L;;;;;N;;;;;
        "\u146E",  # ;CANADIAN SYLLABICS KII;Lo;0;L;;;;;N;;;;;
        "\u146F",  # ;CANADIAN SYLLABICS KO;Lo;0;L;;;;;N;;;;;
        "\u1470",  # ;CANADIAN SYLLABICS KOO;Lo;0;L;;;;;N;;;;;
        "\u1471",  # ;CANADIAN SYLLABICS Y-CREE KOO;Lo;0;L;;;;;N;;;;;
        "\u1472",  # ;CANADIAN SYLLABICS KA;Lo;0;L;;;;;N;;;;;
        "\u1473",  # ;CANADIAN SYLLABICS KAA;Lo;0;L;;;;;N;;;;;
        "\u1474",  # ;CANADIAN SYLLABICS KWE;Lo;0;L;;;;;N;;;;;
        "\u1475",  # ;CANADIAN SYLLABICS WEST-CREE KWE;Lo;0;L;;;;;N;;;;;
        "\u1476",  # ;CANADIAN SYLLABICS KWI;Lo;0;L;;;;;N;;;;;
        "\u1477",  # ;CANADIAN SYLLABICS WEST-CREE KWI;Lo;0;L;;;;;N;;;;;
        "\u1478",  # ;CANADIAN SYLLABICS KWII;Lo;0;L;;;;;N;;;;;
        "\u1479",  # ;CANADIAN SYLLABICS WEST-CREE KWII;Lo;0;L;;;;;N;;;;;
        "\u147A",  # ;CANADIAN SYLLABICS KWO;Lo;0;L;;;;;N;;;;;
        "\u147B",  # ;CANADIAN SYLLABICS WEST-CREE KWO;Lo;0;L;;;;;N;;;;;
        "\u147C",  # ;CANADIAN SYLLABICS KWOO;Lo;0;L;;;;;N;;;;;
        "\u147D",  # ;CANADIAN SYLLABICS WEST-CREE KWOO;Lo;0;L;;;;;N;;;;;
        "\u147E",  # ;CANADIAN SYLLABICS KWA;Lo;0;L;;;;;N;;;;;
        "\u147F",  # ;CANADIAN SYLLABICS WEST-CREE KWA;Lo;0;L;;;;;N;;;;;
        "\u1480",  # ;CANADIAN SYLLABICS KWAA;Lo;0;L;;;;;N;;;;;
        "\u1481",  # ;CANADIAN SYLLABICS WEST-CREE KWAA;Lo;0;L;;;;;N;;;;;
        "\u1482",  # ;CANADIAN SYLLABICS NASKAPI KWAA;Lo;0;L;;;;;N;;;;;
        "\u1483",  # ;CANADIAN SYLLABICS K;Lo;0;L;;;;;N;;;;;
        "\u1484",  # ;CANADIAN SYLLABICS KW;Lo;0;L;;;;;N;;;;;
        "\u1485",  # ;CANADIAN SYLLABICS SOUTH-SLAVEY KEH;Lo;0;L;;;;;N;;;;;
        "\u1486",  # ;CANADIAN SYLLABICS SOUTH-SLAVEY KIH;Lo;0;L;;;;;N;;;;;
        "\u1487",  # ;CANADIAN SYLLABICS SOUTH-SLAVEY KOH;Lo;0;L;;;;;N;;;;;
        "\u1488",  # ;CANADIAN SYLLABICS SOUTH-SLAVEY KAH;Lo;0;L;;;;;N;;;;;
        "\u1489",  # ;CANADIAN SYLLABICS CE;Lo;0;L;;;;;N;;;;;
        "\u148A",  # ;CANADIAN SYLLABICS CAAI;Lo;0;L;;;;;N;;;;;
        "\u148B",  # ;CANADIAN SYLLABICS CI;Lo;0;L;;;;;N;;;;;
        "\u148C",  # ;CANADIAN SYLLABICS CII;Lo;0;L;;;;;N;;;;;
        "\u148D",  # ;CANADIAN SYLLABICS CO;Lo;0;L;;;;;N;;;;;
        "\u148E",  # ;CANADIAN SYLLABICS COO;Lo;0;L;;;;;N;;;;;
        "\u148F",  # ;CANADIAN SYLLABICS Y-CREE COO;Lo;0;L;;;;;N;;;;;
        "\u1490",  # ;CANADIAN SYLLABICS CA;Lo;0;L;;;;;N;;;;;
        "\u1491",  # ;CANADIAN SYLLABICS CAA;Lo;0;L;;;;;N;;;;;
        "\u1492",  # ;CANADIAN SYLLABICS CWE;Lo;0;L;;;;;N;;;;;
        "\u1493",  # ;CANADIAN SYLLABICS WEST-CREE CWE;Lo;0;L;;;;;N;;;;;
        "\u1494",  # ;CANADIAN SYLLABICS CWI;Lo;0;L;;;;;N;;;;;
        "\u1495",  # ;CANADIAN SYLLABICS WEST-CREE CWI;Lo;0;L;;;;;N;;;;;
        "\u1496",  # ;CANADIAN SYLLABICS CWII;Lo;0;L;;;;;N;;;;;
        "\u1497",  # ;CANADIAN SYLLABICS WEST-CREE CWII;Lo;0;L;;;;;N;;;;;
        "\u1498",  # ;CANADIAN SYLLABICS CWO;Lo;0;L;;;;;N;;;;;
        "\u1499",  # ;CANADIAN SYLLABICS WEST-CREE CWO;Lo;0;L;;;;;N;;;;;
        "\u149A",  # ;CANADIAN SYLLABICS CWOO;Lo;0;L;;;;;N;;;;;
        "\u149B",  # ;CANADIAN SYLLABICS WEST-CREE CWOO;Lo;0;L;;;;;N;;;;;
        "\u149C",  # ;CANADIAN SYLLABICS CWA;Lo;0;L;;;;;N;;;;;
        "\u149D",  # ;CANADIAN SYLLABICS WEST-CREE CWA;Lo;0;L;;;;;N;;;;;
        "\u149E",  # ;CANADIAN SYLLABICS CWAA;Lo;0;L;;;;;N;;;;;
        "\u149F",  # ;CANADIAN SYLLABICS WEST-CREE CWAA;Lo;0;L;;;;;N;;;;;
        "\u14A0",  # ;CANADIAN SYLLABICS NASKAPI CWAA;Lo;0;L;;;;;N;;;;;
        "\u14A1",  # ;CANADIAN SYLLABICS C;Lo;0;L;;;;;N;;;;;
        "\u14A2",  # ;CANADIAN SYLLABICS SAYISI TH;Lo;0;L;;;;;N;;;;;
        "\u14A3",  # ;CANADIAN SYLLABICS ME;Lo;0;L;;;;;N;;;;;
        "\u14A4",  # ;CANADIAN SYLLABICS MAAI;Lo;0;L;;;;;N;;;;;
        "\u14A5",  # ;CANADIAN SYLLABICS MI;Lo;0;L;;;;;N;;;;;
        "\u14A6",  # ;CANADIAN SYLLABICS MII;Lo;0;L;;;;;N;;;;;
        "\u14A7",  # ;CANADIAN SYLLABICS MO;Lo;0;L;;;;;N;;;;;
        "\u14A8",  # ;CANADIAN SYLLABICS MOO;Lo;0;L;;;;;N;;;;;
        "\u14A9",  # ;CANADIAN SYLLABICS Y-CREE MOO;Lo;0;L;;;;;N;;;;;
        "\u14AA",  # ;CANADIAN SYLLABICS MA;Lo;0;L;;;;;N;;;;;
        "\u14AB",  # ;CANADIAN SYLLABICS MAA;Lo;0;L;;;;;N;;;;;
        "\u14AC",  # ;CANADIAN SYLLABICS MWE;Lo;0;L;;;;;N;;;;;
        "\u14AD",  # ;CANADIAN SYLLABICS WEST-CREE MWE;Lo;0;L;;;;;N;;;;;
        "\u14AE",  # ;CANADIAN SYLLABICS MWI;Lo;0;L;;;;;N;;;;;
        "\u14AF",  # ;CANADIAN SYLLABICS WEST-CREE MWI;Lo;0;L;;;;;N;;;;;
        "\u14B0",  # ;CANADIAN SYLLABICS MWII;Lo;0;L;;;;;N;;;;;
        "\u14B1",  # ;CANADIAN SYLLABICS WEST-CREE MWII;Lo;0;L;;;;;N;;;;;
        "\u14B2",  # ;CANADIAN SYLLABICS MWO;Lo;0;L;;;;;N;;;;;
        "\u14B3",  # ;CANADIAN SYLLABICS WEST-CREE MWO;Lo;0;L;;;;;N;;;;;
        "\u14B4",  # ;CANADIAN SYLLABICS MWOO;Lo;0;L;;;;;N;;;;;
        "\u14B5",  # ;CANADIAN SYLLABICS WEST-CREE MWOO;Lo;0;L;;;;;N;;;;;
        "\u14B6",  # ;CANADIAN SYLLABICS MWA;Lo;0;L;;;;;N;;;;;
        "\u14B7",  # ;CANADIAN SYLLABICS WEST-CREE MWA;Lo;0;L;;;;;N;;;;;
        "\u14B8",  # ;CANADIAN SYLLABICS MWAA;Lo;0;L;;;;;N;;;;;
        "\u14B9",  # ;CANADIAN SYLLABICS WEST-CREE MWAA;Lo;0;L;;;;;N;;;;;
        "\u14BA",  # ;CANADIAN SYLLABICS NASKAPI MWAA;Lo;0;L;;;;;N;;;;;
        "\u14BB",  # ;CANADIAN SYLLABICS M;Lo;0;L;;;;;N;;;;;
        "\u14BC",  # ;CANADIAN SYLLABICS WEST-CREE M;Lo;0;L;;;;;N;;;;;
        "\u14BD",  # ;CANADIAN SYLLABICS MH;Lo;0;L;;;;;N;;;;;
        "\u14BE",  # ;CANADIAN SYLLABICS ATHAPASCAN M;Lo;0;L;;;;;N;;;;;
        "\u14BF",  # ;CANADIAN SYLLABICS SAYISI M;Lo;0;L;;;;;N;;;;;
        "\u14C0",  # ;CANADIAN SYLLABICS NE;Lo;0;L;;;;;N;;;;;
        "\u14C1",  # ;CANADIAN SYLLABICS NAAI;Lo;0;L;;;;;N;;;;;
        "\u14C2",  # ;CANADIAN SYLLABICS NI;Lo;0;L;;;;;N;;;;;
        "\u14C3",  # ;CANADIAN SYLLABICS NII;Lo;0;L;;;;;N;;;;;
        "\u14C4",  # ;CANADIAN SYLLABICS NO;Lo;0;L;;;;;N;;;;;
        "\u14C5",  # ;CANADIAN SYLLABICS NOO;Lo;0;L;;;;;N;;;;;
        "\u14C6",  # ;CANADIAN SYLLABICS Y-CREE NOO;Lo;0;L;;;;;N;;;;;
        "\u14C7",  # ;CANADIAN SYLLABICS NA;Lo;0;L;;;;;N;;;;;
        "\u14C8",  # ;CANADIAN SYLLABICS NAA;Lo;0;L;;;;;N;;;;;
        "\u14C9",  # ;CANADIAN SYLLABICS NWE;Lo;0;L;;;;;N;;;;;
        "\u14CA",  # ;CANADIAN SYLLABICS WEST-CREE NWE;Lo;0;L;;;;;N;;;;;
        "\u14CB",  # ;CANADIAN SYLLABICS NWA;Lo;0;L;;;;;N;;;;;
        "\u14CC",  # ;CANADIAN SYLLABICS WEST-CREE NWA;Lo;0;L;;;;;N;;;;;
        "\u14CD",  # ;CANADIAN SYLLABICS NWAA;Lo;0;L;;;;;N;;;;;
        "\u14CE",  # ;CANADIAN SYLLABICS WEST-CREE NWAA;Lo;0;L;;;;;N;;;;;
        "\u14CF",  # ;CANADIAN SYLLABICS NASKAPI NWAA;Lo;0;L;;;;;N;;;;;
        "\u14D0",  # ;CANADIAN SYLLABICS N;Lo;0;L;;;;;N;;;;;
        "\u14D1",  # ;CANADIAN SYLLABICS CARRIER NG;Lo;0;L;;;;;N;;;;;
        "\u14D2",  # ;CANADIAN SYLLABICS NH;Lo;0;L;;;;;N;;;;;
        "\u14D3",  # ;CANADIAN SYLLABICS LE;Lo;0;L;;;;;N;;;;;
        "\u14D4",  # ;CANADIAN SYLLABICS LAAI;Lo;0;L;;;;;N;;;;;
        "\u14D5",  # ;CANADIAN SYLLABICS LI;Lo;0;L;;;;;N;;;;;
        "\u14D6",  # ;CANADIAN SYLLABICS LII;Lo;0;L;;;;;N;;;;;
        "\u14D7",  # ;CANADIAN SYLLABICS LO;Lo;0;L;;;;;N;;;;;
        "\u14D8",  # ;CANADIAN SYLLABICS LOO;Lo;0;L;;;;;N;;;;;
        "\u14D9",  # ;CANADIAN SYLLABICS Y-CREE LOO;Lo;0;L;;;;;N;;;;;
        "\u14DA",  # ;CANADIAN SYLLABICS LA;Lo;0;L;;;;;N;;;;;
        "\u14DB",  # ;CANADIAN SYLLABICS LAA;Lo;0;L;;;;;N;;;;;
        "\u14DC",  # ;CANADIAN SYLLABICS LWE;Lo;0;L;;;;;N;;;;;
        "\u14DD",  # ;CANADIAN SYLLABICS WEST-CREE LWE;Lo;0;L;;;;;N;;;;;
        "\u14DE",  # ;CANADIAN SYLLABICS LWI;Lo;0;L;;;;;N;;;;;
        "\u14DF",  # ;CANADIAN SYLLABICS WEST-CREE LWI;Lo;0;L;;;;;N;;;;;
        "\u14E0",  # ;CANADIAN SYLLABICS LWII;Lo;0;L;;;;;N;;;;;
        "\u14E1",  # ;CANADIAN SYLLABICS WEST-CREE LWII;Lo;0;L;;;;;N;;;;;
        "\u14E2",  # ;CANADIAN SYLLABICS LWO;Lo;0;L;;;;;N;;;;;
        "\u14E3",  # ;CANADIAN SYLLABICS WEST-CREE LWO;Lo;0;L;;;;;N;;;;;
        "\u14E4",  # ;CANADIAN SYLLABICS LWOO;Lo;0;L;;;;;N;;;;;
        "\u14E5",  # ;CANADIAN SYLLABICS WEST-CREE LWOO;Lo;0;L;;;;;N;;;;;
        "\u14E6",  # ;CANADIAN SYLLABICS LWA;Lo;0;L;;;;;N;;;;;
        "\u14E7",  # ;CANADIAN SYLLABICS WEST-CREE LWA;Lo;0;L;;;;;N;;;;;
        "\u14E8",  # ;CANADIAN SYLLABICS LWAA;Lo;0;L;;;;;N;;;;;
        "\u14E9",  # ;CANADIAN SYLLABICS WEST-CREE LWAA;Lo;0;L;;;;;N;;;;;
        "\u14EA",  # ;CANADIAN SYLLABICS L;Lo;0;L;;;;;N;;;;;
        "\u14EB",  # ;CANADIAN SYLLABICS WEST-CREE L;Lo;0;L;;;;;N;;;;;
        "\u14EC",  # ;CANADIAN SYLLABICS MEDIAL L;Lo;0;L;;;;;N;;;;;
        "\u14ED",  # ;CANADIAN SYLLABICS SE;Lo;0;L;;;;;N;;;;;
        "\u14EE",  # ;CANADIAN SYLLABICS SAAI;Lo;0;L;;;;;N;;;;;
        "\u14EF",  # ;CANADIAN SYLLABICS SI;Lo;0;L;;;;;N;;;;;
        "\u14F0",  # ;CANADIAN SYLLABICS SII;Lo;0;L;;;;;N;;;;;
        "\u14F1",  # ;CANADIAN SYLLABICS SO;Lo;0;L;;;;;N;;;;;
        "\u14F2",  # ;CANADIAN SYLLABICS SOO;Lo;0;L;;;;;N;;;;;
        "\u14F3",  # ;CANADIAN SYLLABICS Y-CREE SOO;Lo;0;L;;;;;N;;;;;
        "\u14F4",  # ;CANADIAN SYLLABICS SA;Lo;0;L;;;;;N;;;;;
        "\u14F5",  # ;CANADIAN SYLLABICS SAA;Lo;0;L;;;;;N;;;;;
        "\u14F6",  # ;CANADIAN SYLLABICS SWE;Lo;0;L;;;;;N;;;;;
        "\u14F7",  # ;CANADIAN SYLLABICS WEST-CREE SWE;Lo;0;L;;;;;N;;;;;
        "\u14F8",  # ;CANADIAN SYLLABICS SWI;Lo;0;L;;;;;N;;;;;
        "\u14F9",  # ;CANADIAN SYLLABICS WEST-CREE SWI;Lo;0;L;;;;;N;;;;;
        "\u14FA",  # ;CANADIAN SYLLABICS SWII;Lo;0;L;;;;;N;;;;;
        "\u14FB",  # ;CANADIAN SYLLABICS WEST-CREE SWII;Lo;0;L;;;;;N;;;;;
        "\u14FC",  # ;CANADIAN SYLLABICS SWO;Lo;0;L;;;;;N;;;;;
        "\u14FD",  # ;CANADIAN SYLLABICS WEST-CREE SWO;Lo;0;L;;;;;N;;;;;
        "\u14FE",  # ;CANADIAN SYLLABICS SWOO;Lo;0;L;;;;;N;;;;;
        "\u14FF",  # ;CANADIAN SYLLABICS WEST-CREE SWOO;Lo;0;L;;;;;N;;;;;
        "\u1500",  # ;CANADIAN SYLLABICS SWA;Lo;0;L;;;;;N;;;;;
        "\u1501",  # ;CANADIAN SYLLABICS WEST-CREE SWA;Lo;0;L;;;;;N;;;;;
        "\u1502",  # ;CANADIAN SYLLABICS SWAA;Lo;0;L;;;;;N;;;;;
        "\u1503",  # ;CANADIAN SYLLABICS WEST-CREE SWAA;Lo;0;L;;;;;N;;;;;
        "\u1504",  # ;CANADIAN SYLLABICS NASKAPI SWAA;Lo;0;L;;;;;N;;;;;
        "\u1505",  # ;CANADIAN SYLLABICS S;Lo;0;L;;;;;N;;;;;
        "\u1506",  # ;CANADIAN SYLLABICS ATHAPASCAN S;Lo;0;L;;;;;N;;;;;
        "\u1507",  # ;CANADIAN SYLLABICS SW;Lo;0;L;;;;;N;;;;;
        "\u1508",  # ;CANADIAN SYLLABICS BLACKFOOT S;Lo;0;L;;;;;N;;;;;
        "\u1509",  # ;CANADIAN SYLLABICS MOOSE-CREE SK;Lo;0;L;;;;;N;;;;;
        "\u150A",  # ;CANADIAN SYLLABICS NASKAPI SKW;Lo;0;L;;;;;N;;;;;
        "\u150B",  # ;CANADIAN SYLLABICS NASKAPI S-W;Lo;0;L;;;;;N;;;;;
        "\u150C",  # ;CANADIAN SYLLABICS NASKAPI SPWA;Lo;0;L;;;;;N;;;;;
        "\u150D",  # ;CANADIAN SYLLABICS NASKAPI STWA;Lo;0;L;;;;;N;;;;;
        "\u150E",  # ;CANADIAN SYLLABICS NASKAPI SKWA;Lo;0;L;;;;;N;;;;;
        "\u150F",  # ;CANADIAN SYLLABICS NASKAPI SCWA;Lo;0;L;;;;;N;;;;;
        "\u1510",  # ;CANADIAN SYLLABICS SHE;Lo;0;L;;;;;N;;;;;
        "\u1511",  # ;CANADIAN SYLLABICS SHI;Lo;0;L;;;;;N;;;;;
        "\u1512",  # ;CANADIAN SYLLABICS SHII;Lo;0;L;;;;;N;;;;;
        "\u1513",  # ;CANADIAN SYLLABICS SHO;Lo;0;L;;;;;N;;;;;
        "\u1514",  # ;CANADIAN SYLLABICS SHOO;Lo;0;L;;;;;N;;;;;
        "\u1515",  # ;CANADIAN SYLLABICS SHA;Lo;0;L;;;;;N;;;;;
        "\u1516",  # ;CANADIAN SYLLABICS SHAA;Lo;0;L;;;;;N;;;;;
        "\u1517",  # ;CANADIAN SYLLABICS SHWE;Lo;0;L;;;;;N;;;;;
        "\u1518",  # ;CANADIAN SYLLABICS WEST-CREE SHWE;Lo;0;L;;;;;N;;;;;
        "\u1519",  # ;CANADIAN SYLLABICS SHWI;Lo;0;L;;;;;N;;;;;
        "\u151A",  # ;CANADIAN SYLLABICS WEST-CREE SHWI;Lo;0;L;;;;;N;;;;;
        "\u151B",  # ;CANADIAN SYLLABICS SHWII;Lo;0;L;;;;;N;;;;;
        "\u151C",  # ;CANADIAN SYLLABICS WEST-CREE SHWII;Lo;0;L;;;;;N;;;;;
        "\u151D",  # ;CANADIAN SYLLABICS SHWO;Lo;0;L;;;;;N;;;;;
        "\u151E",  # ;CANADIAN SYLLABICS WEST-CREE SHWO;Lo;0;L;;;;;N;;;;;
        "\u151F",  # ;CANADIAN SYLLABICS SHWOO;Lo;0;L;;;;;N;;;;;
        "\u1520",  # ;CANADIAN SYLLABICS WEST-CREE SHWOO;Lo;0;L;;;;;N;;;;;
        "\u1521",  # ;CANADIAN SYLLABICS SHWA;Lo;0;L;;;;;N;;;;;
        "\u1522",  # ;CANADIAN SYLLABICS WEST-CREE SHWA;Lo;0;L;;;;;N;;;;;
        "\u1523",  # ;CANADIAN SYLLABICS SHWAA;Lo;0;L;;;;;N;;;;;
        "\u1524",  # ;CANADIAN SYLLABICS WEST-CREE SHWAA;Lo;0;L;;;;;N;;;;;
        "\u1525",  # ;CANADIAN SYLLABICS SH;Lo;0;L;;;;;N;;;;;
        "\u1526",  # ;CANADIAN SYLLABICS YE;Lo;0;L;;;;;N;;;;;
        "\u1527",  # ;CANADIAN SYLLABICS YAAI;Lo;0;L;;;;;N;;;;;
        "\u1528",  # ;CANADIAN SYLLABICS YI;Lo;0;L;;;;;N;;;;;
        "\u1529",  # ;CANADIAN SYLLABICS YII;Lo;0;L;;;;;N;;;;;
        "\u152A",  # ;CANADIAN SYLLABICS YO;Lo;0;L;;;;;N;;;;;
        "\u152B",  # ;CANADIAN SYLLABICS YOO;Lo;0;L;;;;;N;;;;;
        "\u152C",  # ;CANADIAN SYLLABICS Y-CREE YOO;Lo;0;L;;;;;N;;;;;
        "\u152D",  # ;CANADIAN SYLLABICS YA;Lo;0;L;;;;;N;;;;;
        "\u152E",  # ;CANADIAN SYLLABICS YAA;Lo;0;L;;;;;N;;;;;
        "\u152F",  # ;CANADIAN SYLLABICS YWE;Lo;0;L;;;;;N;;;;;
        "\u1530",  # ;CANADIAN SYLLABICS WEST-CREE YWE;Lo;0;L;;;;;N;;;;;
        "\u1531",  # ;CANADIAN SYLLABICS YWI;Lo;0;L;;;;;N;;;;;
        "\u1532",  # ;CANADIAN SYLLABICS WEST-CREE YWI;Lo;0;L;;;;;N;;;;;
        "\u1533",  # ;CANADIAN SYLLABICS YWII;Lo;0;L;;;;;N;;;;;
        "\u1534",  # ;CANADIAN SYLLABICS WEST-CREE YWII;Lo;0;L;;;;;N;;;;;
        "\u1535",  # ;CANADIAN SYLLABICS YWO;Lo;0;L;;;;;N;;;;;
        "\u1536",  # ;CANADIAN SYLLABICS WEST-CREE YWO;Lo;0;L;;;;;N;;;;;
        "\u1537",  # ;CANADIAN SYLLABICS YWOO;Lo;0;L;;;;;N;;;;;
        "\u1538",  # ;CANADIAN SYLLABICS WEST-CREE YWOO;Lo;0;L;;;;;N;;;;;
        "\u1539",  # ;CANADIAN SYLLABICS YWA;Lo;0;L;;;;;N;;;;;
        "\u153A",  # ;CANADIAN SYLLABICS WEST-CREE YWA;Lo;0;L;;;;;N;;;;;
        "\u153B",  # ;CANADIAN SYLLABICS YWAA;Lo;0;L;;;;;N;;;;;
        "\u153C",  # ;CANADIAN SYLLABICS WEST-CREE YWAA;Lo;0;L;;;;;N;;;;;
        "\u153D",  # ;CANADIAN SYLLABICS NASKAPI YWAA;Lo;0;L;;;;;N;;;;;
        "\u153E",  # ;CANADIAN SYLLABICS Y;Lo;0;L;;;;;N;;;;;
        "\u153F",  # ;CANADIAN SYLLABICS BIBLE-CREE Y;Lo;0;L;;;;;N;;;;;
        "\u1540",  # ;CANADIAN SYLLABICS WEST-CREE Y;Lo;0;L;;;;;N;;;;;
        "\u1541",  # ;CANADIAN SYLLABICS SAYISI YI;Lo;0;L;;;;;N;;;;;
        "\u1542",  # ;CANADIAN SYLLABICS RE;Lo;0;L;;;;;N;;;;;
        "\u1543",  # ;CANADIAN SYLLABICS R-CREE RE;Lo;0;L;;;;;N;;;;;
        "\u1544",  # ;CANADIAN SYLLABICS WEST-CREE LE;Lo;0;L;;;;;N;;;;;
        "\u1545",  # ;CANADIAN SYLLABICS RAAI;Lo;0;L;;;;;N;;;;;
        "\u1546",  # ;CANADIAN SYLLABICS RI;Lo;0;L;;;;;N;;;;;
        "\u1547",  # ;CANADIAN SYLLABICS RII;Lo;0;L;;;;;N;;;;;
        "\u1548",  # ;CANADIAN SYLLABICS RO;Lo;0;L;;;;;N;;;;;
        "\u1549",  # ;CANADIAN SYLLABICS ROO;Lo;0;L;;;;;N;;;;;
        "\u154A",  # ;CANADIAN SYLLABICS WEST-CREE LO;Lo;0;L;;;;;N;;;;;
        "\u154B",  # ;CANADIAN SYLLABICS RA;Lo;0;L;;;;;N;;;;;
        "\u154C",  # ;CANADIAN SYLLABICS RAA;Lo;0;L;;;;;N;;;;;
        "\u154D",  # ;CANADIAN SYLLABICS WEST-CREE LA;Lo;0;L;;;;;N;;;;;
        "\u154E",  # ;CANADIAN SYLLABICS RWAA;Lo;0;L;;;;;N;;;;;
        "\u154F",  # ;CANADIAN SYLLABICS WEST-CREE RWAA;Lo;0;L;;;;;N;;;;;
        "\u1550",  # ;CANADIAN SYLLABICS R;Lo;0;L;;;;;N;;;;;
        "\u1551",  # ;CANADIAN SYLLABICS WEST-CREE R;Lo;0;L;;;;;N;;;;;
        "\u1552",  # ;CANADIAN SYLLABICS MEDIAL R;Lo;0;L;;;;;N;;;;;
        "\u1553",  # ;CANADIAN SYLLABICS FE;Lo;0;L;;;;;N;;;;;
        "\u1554",  # ;CANADIAN SYLLABICS FAAI;Lo;0;L;;;;;N;;;;;
        "\u1555",  # ;CANADIAN SYLLABICS FI;Lo;0;L;;;;;N;;;;;
        "\u1556",  # ;CANADIAN SYLLABICS FII;Lo;0;L;;;;;N;;;;;
        "\u1557",  # ;CANADIAN SYLLABICS FO;Lo;0;L;;;;;N;;;;;
        "\u1558",  # ;CANADIAN SYLLABICS FOO;Lo;0;L;;;;;N;;;;;
        "\u1559",  # ;CANADIAN SYLLABICS FA;Lo;0;L;;;;;N;;;;;
        "\u155A",  # ;CANADIAN SYLLABICS FAA;Lo;0;L;;;;;N;;;;;
        "\u155B",  # ;CANADIAN SYLLABICS FWAA;Lo;0;L;;;;;N;;;;;
        "\u155C",  # ;CANADIAN SYLLABICS WEST-CREE FWAA;Lo;0;L;;;;;N;;;;;
        "\u155D",  # ;CANADIAN SYLLABICS F;Lo;0;L;;;;;N;;;;;
        "\u155E",  # ;CANADIAN SYLLABICS THE;Lo;0;L;;;;;N;;;;;
        "\u155F",  # ;CANADIAN SYLLABICS N-CREE THE;Lo;0;L;;;;;N;;;;;
        "\u1560",  # ;CANADIAN SYLLABICS THI;Lo;0;L;;;;;N;;;;;
        "\u1561",  # ;CANADIAN SYLLABICS N-CREE THI;Lo;0;L;;;;;N;;;;;
        "\u1562",  # ;CANADIAN SYLLABICS THII;Lo;0;L;;;;;N;;;;;
        "\u1563",  # ;CANADIAN SYLLABICS N-CREE THII;Lo;0;L;;;;;N;;;;;
        "\u1564",  # ;CANADIAN SYLLABICS THO;Lo;0;L;;;;;N;;;;;
        "\u1565",  # ;CANADIAN SYLLABICS THOO;Lo;0;L;;;;;N;;;;;
        "\u1566",  # ;CANADIAN SYLLABICS THA;Lo;0;L;;;;;N;;;;;
        "\u1567",  # ;CANADIAN SYLLABICS THAA;Lo;0;L;;;;;N;;;;;
        "\u1568",  # ;CANADIAN SYLLABICS THWAA;Lo;0;L;;;;;N;;;;;
        "\u1569",  # ;CANADIAN SYLLABICS WEST-CREE THWAA;Lo;0;L;;;;;N;;;;;
        "\u156A",  # ;CANADIAN SYLLABICS TH;Lo;0;L;;;;;N;;;;;
        "\u156B",  # ;CANADIAN SYLLABICS TTHE;Lo;0;L;;;;;N;;;;;
        "\u156C",  # ;CANADIAN SYLLABICS TTHI;Lo;0;L;;;;;N;;;;;
        "\u156D",  # ;CANADIAN SYLLABICS TTHO;Lo;0;L;;;;;N;;;;;
        "\u156E",  # ;CANADIAN SYLLABICS TTHA;Lo;0;L;;;;;N;;;;;
        "\u156F",  # ;CANADIAN SYLLABICS TTH;Lo;0;L;;;;;N;;;;;
        "\u1570",  # ;CANADIAN SYLLABICS TYE;Lo;0;L;;;;;N;;;;;
        "\u1571",  # ;CANADIAN SYLLABICS TYI;Lo;0;L;;;;;N;;;;;
        "\u1572",  # ;CANADIAN SYLLABICS TYO;Lo;0;L;;;;;N;;;;;
        "\u1573",  # ;CANADIAN SYLLABICS TYA;Lo;0;L;;;;;N;;;;;
        "\u1574",  # ;CANADIAN SYLLABICS NUNAVIK HE;Lo;0;L;;;;;N;;;;;
        "\u1575",  # ;CANADIAN SYLLABICS NUNAVIK HI;Lo;0;L;;;;;N;;;;;
        "\u1576",  # ;CANADIAN SYLLABICS NUNAVIK HII;Lo;0;L;;;;;N;;;;;
        "\u1577",  # ;CANADIAN SYLLABICS NUNAVIK HO;Lo;0;L;;;;;N;;;;;
        "\u1578",  # ;CANADIAN SYLLABICS NUNAVIK HOO;Lo;0;L;;;;;N;;;;;
        "\u1579",  # ;CANADIAN SYLLABICS NUNAVIK HA;Lo;0;L;;;;;N;;;;;
        "\u157A",  # ;CANADIAN SYLLABICS NUNAVIK HAA;Lo;0;L;;;;;N;;;;;
        "\u157B",  # ;CANADIAN SYLLABICS NUNAVIK H;Lo;0;L;;;;;N;;;;;
        "\u157C",  # ;CANADIAN SYLLABICS NUNAVUT H;Lo;0;L;;;;;N;;;;;
        "\u157D",  # ;CANADIAN SYLLABICS HK;Lo;0;L;;;;;N;;;;;
        "\u157E",  # ;CANADIAN SYLLABICS QAAI;Lo;0;L;;;;;N;;;;;
        "\u157F",  # ;CANADIAN SYLLABICS QI;Lo;0;L;;;;;N;;;;;
        "\u1580",  # ;CANADIAN SYLLABICS QII;Lo;0;L;;;;;N;;;;;
        "\u1581",  # ;CANADIAN SYLLABICS QO;Lo;0;L;;;;;N;;;;;
        "\u1582",  # ;CANADIAN SYLLABICS QOO;Lo;0;L;;;;;N;;;;;
        "\u1583",  # ;CANADIAN SYLLABICS QA;Lo;0;L;;;;;N;;;;;
        "\u1584",  # ;CANADIAN SYLLABICS QAA;Lo;0;L;;;;;N;;;;;
        "\u1585",  # ;CANADIAN SYLLABICS Q;Lo;0;L;;;;;N;;;;;
        "\u1586",  # ;CANADIAN SYLLABICS TLHE;Lo;0;L;;;;;N;;;;;
        "\u1587",  # ;CANADIAN SYLLABICS TLHI;Lo;0;L;;;;;N;;;;;
        "\u1588",  # ;CANADIAN SYLLABICS TLHO;Lo;0;L;;;;;N;;;;;
        "\u1589",  # ;CANADIAN SYLLABICS TLHA;Lo;0;L;;;;;N;;;;;
        "\u158A",  # ;CANADIAN SYLLABICS WEST-CREE RE;Lo;0;L;;;;;N;;;;;
        "\u158B",  # ;CANADIAN SYLLABICS WEST-CREE RI;Lo;0;L;;;;;N;;;;;
        "\u158C",  # ;CANADIAN SYLLABICS WEST-CREE RO;Lo;0;L;;;;;N;;;;;
        "\u158D",  # ;CANADIAN SYLLABICS WEST-CREE RA;Lo;0;L;;;;;N;;;;;
        "\u158E",  # ;CANADIAN SYLLABICS NGAAI;Lo;0;L;;;;;N;;;;;
        "\u158F",  # ;CANADIAN SYLLABICS NGI;Lo;0;L;;;;;N;;;;;
        "\u1590",  # ;CANADIAN SYLLABICS NGII;Lo;0;L;;;;;N;;;;;
        "\u1591",  # ;CANADIAN SYLLABICS NGO;Lo;0;L;;;;;N;;;;;
        "\u1592",  # ;CANADIAN SYLLABICS NGOO;Lo;0;L;;;;;N;;;;;
        "\u1593",  # ;CANADIAN SYLLABICS NGA;Lo;0;L;;;;;N;;;;;
        "\u1594",  # ;CANADIAN SYLLABICS NGAA;Lo;0;L;;;;;N;;;;;
        "\u1595",  # ;CANADIAN SYLLABICS NG;Lo;0;L;;;;;N;;;;;
        "\u1596",  # ;CANADIAN SYLLABICS NNG;Lo;0;L;;;;;N;;;;;
        "\u1597",  # ;CANADIAN SYLLABICS SAYISI SHE;Lo;0;L;;;;;N;;;;;
        "\u1598",  # ;CANADIAN SYLLABICS SAYISI SHI;Lo;0;L;;;;;N;;;;;
        "\u1599",  # ;CANADIAN SYLLABICS SAYISI SHO;Lo;0;L;;;;;N;;;;;
        "\u159A",  # ;CANADIAN SYLLABICS SAYISI SHA;Lo;0;L;;;;;N;;;;;
        "\u159B",  # ;CANADIAN SYLLABICS WOODS-CREE THE;Lo;0;L;;;;;N;;;;;
        "\u159C",  # ;CANADIAN SYLLABICS WOODS-CREE THI;Lo;0;L;;;;;N;;;;;
        "\u159D",  # ;CANADIAN SYLLABICS WOODS-CREE THO;Lo;0;L;;;;;N;;;;;
        "\u159E",  # ;CANADIAN SYLLABICS WOODS-CREE THA;Lo;0;L;;;;;N;;;;;
        "\u159F",  # ;CANADIAN SYLLABICS WOODS-CREE TH;Lo;0;L;;;;;N;;;;;
        "\u15A0",  # ;CANADIAN SYLLABICS LHI;Lo;0;L;;;;;N;;;;;
        "\u15A1",  # ;CANADIAN SYLLABICS LHII;Lo;0;L;;;;;N;;;;;
        "\u15A2",  # ;CANADIAN SYLLABICS LHO;Lo;0;L;;;;;N;;;;;
        "\u15A3",  # ;CANADIAN SYLLABICS LHOO;Lo;0;L;;;;;N;;;;;
        "\u15A4",  # ;CANADIAN SYLLABICS LHA;Lo;0;L;;;;;N;;;;;
        "\u15A5",  # ;CANADIAN SYLLABICS LHAA;Lo;0;L;;;;;N;;;;;
        "\u15A6",  # ;CANADIAN SYLLABICS LH;Lo;0;L;;;;;N;;;;;
        "\u15A7",  # ;CANADIAN SYLLABICS TH-CREE THE;Lo;0;L;;;;;N;;;;;
        "\u15A8",  # ;CANADIAN SYLLABICS TH-CREE THI;Lo;0;L;;;;;N;;;;;
        "\u15A9",  # ;CANADIAN SYLLABICS TH-CREE THII;Lo;0;L;;;;;N;;;;;
        "\u15AA",  # ;CANADIAN SYLLABICS TH-CREE THO;Lo;0;L;;;;;N;;;;;
        "\u15AB",  # ;CANADIAN SYLLABICS TH-CREE THOO;Lo;0;L;;;;;N;;;;;
        "\u15AC",  # ;CANADIAN SYLLABICS TH-CREE THA;Lo;0;L;;;;;N;;;;;
        "\u15AD",  # ;CANADIAN SYLLABICS TH-CREE THAA;Lo;0;L;;;;;N;;;;;
        "\u15AE",  # ;CANADIAN SYLLABICS TH-CREE TH;Lo;0;L;;;;;N;;;;;
        "\u15AF",  # ;CANADIAN SYLLABICS AIVILIK B;Lo;0;L;;;;;N;;;;;
        "\u15B0",  # ;CANADIAN SYLLABICS BLACKFOOT E;Lo;0;L;;;;;N;;;;;
        "\u15B1",  # ;CANADIAN SYLLABICS BLACKFOOT I;Lo;0;L;;;;;N;;;;;
        "\u15B2",  # ;CANADIAN SYLLABICS BLACKFOOT O;Lo;0;L;;;;;N;;;;;
        "\u15B3",  # ;CANADIAN SYLLABICS BLACKFOOT A;Lo;0;L;;;;;N;;;;;
        "\u15B4",  # ;CANADIAN SYLLABICS BLACKFOOT WE;Lo;0;L;;;;;N;;;;;
        "\u15B5",  # ;CANADIAN SYLLABICS BLACKFOOT WI;Lo;0;L;;;;;N;;;;;
        "\u15B6",  # ;CANADIAN SYLLABICS BLACKFOOT WO;Lo;0;L;;;;;N;;;;;
        "\u15B7",  # ;CANADIAN SYLLABICS BLACKFOOT WA;Lo;0;L;;;;;N;;;;;
        "\u15B8",  # ;CANADIAN SYLLABICS BLACKFOOT NE;Lo;0;L;;;;;N;;;;;
        "\u15B9",  # ;CANADIAN SYLLABICS BLACKFOOT NI;Lo;0;L;;;;;N;;;;;
        "\u15BA",  # ;CANADIAN SYLLABICS BLACKFOOT NO;Lo;0;L;;;;;N;;;;;
        "\u15BB",  # ;CANADIAN SYLLABICS BLACKFOOT NA;Lo;0;L;;;;;N;;;;;
        "\u15BC",  # ;CANADIAN SYLLABICS BLACKFOOT KE;Lo;0;L;;;;;N;;;;;
        "\u15BD",  # ;CANADIAN SYLLABICS BLACKFOOT KI;Lo;0;L;;;;;N;;;;;
        "\u15BE",  # ;CANADIAN SYLLABICS BLACKFOOT KO;Lo;0;L;;;;;N;;;;;
        "\u15BF",  # ;CANADIAN SYLLABICS BLACKFOOT KA;Lo;0;L;;;;;N;;;;;
        "\u15C0",  # ;CANADIAN SYLLABICS SAYISI HE;Lo;0;L;;;;;N;;;;;
        "\u15C1",  # ;CANADIAN SYLLABICS SAYISI HI;Lo;0;L;;;;;N;;;;;
        "\u15C2",  # ;CANADIAN SYLLABICS SAYISI HO;Lo;0;L;;;;;N;;;;;
        "\u15C3",  # ;CANADIAN SYLLABICS SAYISI HA;Lo;0;L;;;;;N;;;;;
        "\u15C4",  # ;CANADIAN SYLLABICS CARRIER GHU;Lo;0;L;;;;;N;;;;;
        "\u15C5",  # ;CANADIAN SYLLABICS CARRIER GHO;Lo;0;L;;;;;N;;;;;
        "\u15C6",  # ;CANADIAN SYLLABICS CARRIER GHE;Lo;0;L;;;;;N;;;;;
        "\u15C7",  # ;CANADIAN SYLLABICS CARRIER GHEE;Lo;0;L;;;;;N;;;;;
        "\u15C8",  # ;CANADIAN SYLLABICS CARRIER GHI;Lo;0;L;;;;;N;;;;;
        "\u15C9",  # ;CANADIAN SYLLABICS CARRIER GHA;Lo;0;L;;;;;N;;;;;
        "\u15CA",  # ;CANADIAN SYLLABICS CARRIER RU;Lo;0;L;;;;;N;;;;;
        "\u15CB",  # ;CANADIAN SYLLABICS CARRIER RO;Lo;0;L;;;;;N;;;;;
        "\u15CC",  # ;CANADIAN SYLLABICS CARRIER RE;Lo;0;L;;;;;N;;;;;
        "\u15CD",  # ;CANADIAN SYLLABICS CARRIER REE;Lo;0;L;;;;;N;;;;;
        "\u15CE",  # ;CANADIAN SYLLABICS CARRIER RI;Lo;0;L;;;;;N;;;;;
        "\u15CF",  # ;CANADIAN SYLLABICS CARRIER RA;Lo;0;L;;;;;N;;;;;
        "\u15D0",  # ;CANADIAN SYLLABICS CARRIER WU;Lo;0;L;;;;;N;;;;;
        "\u15D1",  # ;CANADIAN SYLLABICS CARRIER WO;Lo;0;L;;;;;N;;;;;
        "\u15D2",  # ;CANADIAN SYLLABICS CARRIER WE;Lo;0;L;;;;;N;;;;;
        "\u15D3",  # ;CANADIAN SYLLABICS CARRIER WEE;Lo;0;L;;;;;N;;;;;
        "\u15D4",  # ;CANADIAN SYLLABICS CARRIER WI;Lo;0;L;;;;;N;;;;;
        "\u15D5",  # ;CANADIAN SYLLABICS CARRIER WA;Lo;0;L;;;;;N;;;;;
        "\u15D6",  # ;CANADIAN SYLLABICS CARRIER HWU;Lo;0;L;;;;;N;;;;;
        "\u15D7",  # ;CANADIAN SYLLABICS CARRIER HWO;Lo;0;L;;;;;N;;;;;
        "\u15D8",  # ;CANADIAN SYLLABICS CARRIER HWE;Lo;0;L;;;;;N;;;;;
        "\u15D9",  # ;CANADIAN SYLLABICS CARRIER HWEE;Lo;0;L;;;;;N;;;;;
        "\u15DA",  # ;CANADIAN SYLLABICS CARRIER HWI;Lo;0;L;;;;;N;;;;;
        "\u15DB",  # ;CANADIAN SYLLABICS CARRIER HWA;Lo;0;L;;;;;N;;;;;
        "\u15DC",  # ;CANADIAN SYLLABICS CARRIER THU;Lo;0;L;;;;;N;;;;;
        "\u15DD",  # ;CANADIAN SYLLABICS CARRIER THO;Lo;0;L;;;;;N;;;;;
        "\u15DE",  # ;CANADIAN SYLLABICS CARRIER THE;Lo;0;L;;;;;N;;;;;
        "\u15DF",  # ;CANADIAN SYLLABICS CARRIER THEE;Lo;0;L;;;;;N;;;;;
        "\u15E0",  # ;CANADIAN SYLLABICS CARRIER THI;Lo;0;L;;;;;N;;;;;
        "\u15E1",  # ;CANADIAN SYLLABICS CARRIER THA;Lo;0;L;;;;;N;;;;;
        "\u15E2",  # ;CANADIAN SYLLABICS CARRIER TTU;Lo;0;L;;;;;N;;;;;
        "\u15E3",  # ;CANADIAN SYLLABICS CARRIER TTO;Lo;0;L;;;;;N;;;;;
        "\u15E4",  # ;CANADIAN SYLLABICS CARRIER TTE;Lo;0;L;;;;;N;;;;;
        "\u15E5",  # ;CANADIAN SYLLABICS CARRIER TTEE;Lo;0;L;;;;;N;;;;;
        "\u15E6",  # ;CANADIAN SYLLABICS CARRIER TTI;Lo;0;L;;;;;N;;;;;
        "\u15E7",  # ;CANADIAN SYLLABICS CARRIER TTA;Lo;0;L;;;;;N;;;;;
        "\u15E8",  # ;CANADIAN SYLLABICS CARRIER PU;Lo;0;L;;;;;N;;;;;
        "\u15E9",  # ;CANADIAN SYLLABICS CARRIER PO;Lo;0;L;;;;;N;;;;;
        "\u15EA",  # ;CANADIAN SYLLABICS CARRIER PE;Lo;0;L;;;;;N;;;;;
        "\u15EB",  # ;CANADIAN SYLLABICS CARRIER PEE;Lo;0;L;;;;;N;;;;;
        "\u15EC",  # ;CANADIAN SYLLABICS CARRIER PI;Lo;0;L;;;;;N;;;;;
        "\u15ED",  # ;CANADIAN SYLLABICS CARRIER PA;Lo;0;L;;;;;N;;;;;
        "\u15EE",  # ;CANADIAN SYLLABICS CARRIER P;Lo;0;L;;;;;N;;;;;
        "\u15EF",  # ;CANADIAN SYLLABICS CARRIER GU;Lo;0;L;;;;;N;;;;;
        "\u15F0",  # ;CANADIAN SYLLABICS CARRIER GO;Lo;0;L;;;;;N;;;;;
        "\u15F1",  # ;CANADIAN SYLLABICS CARRIER GE;Lo;0;L;;;;;N;;;;;
        "\u15F2",  # ;CANADIAN SYLLABICS CARRIER GEE;Lo;0;L;;;;;N;;;;;
        "\u15F3",  # ;CANADIAN SYLLABICS CARRIER GI;Lo;0;L;;;;;N;;;;;
        "\u15F4",  # ;CANADIAN SYLLABICS CARRIER GA;Lo;0;L;;;;;N;;;;;
        "\u15F5",  # ;CANADIAN SYLLABICS CARRIER KHU;Lo;0;L;;;;;N;;;;;
        "\u15F6",  # ;CANADIAN SYLLABICS CARRIER KHO;Lo;0;L;;;;;N;;;;;
        "\u15F7",  # ;CANADIAN SYLLABICS CARRIER KHE;Lo;0;L;;;;;N;;;;;
        "\u15F8",  # ;CANADIAN SYLLABICS CARRIER KHEE;Lo;0;L;;;;;N;;;;;
        "\u15F9",  # ;CANADIAN SYLLABICS CARRIER KHI;Lo;0;L;;;;;N;;;;;
        "\u15FA",  # ;CANADIAN SYLLABICS CARRIER KHA;Lo;0;L;;;;;N;;;;;
        "\u15FB",  # ;CANADIAN SYLLABICS CARRIER KKU;Lo;0;L;;;;;N;;;;;
        "\u15FC",  # ;CANADIAN SYLLABICS CARRIER KKO;Lo;0;L;;;;;N;;;;;
        "\u15FD",  # ;CANADIAN SYLLABICS CARRIER KKE;Lo;0;L;;;;;N;;;;;
        "\u15FE",  # ;CANADIAN SYLLABICS CARRIER KKEE;Lo;0;L;;;;;N;;;;;
        "\u15FF",  # ;CANADIAN SYLLABICS CARRIER KKI;Lo;0;L;;;;;N;;;;;
        "\u1600",  # ;CANADIAN SYLLABICS CARRIER KKA;Lo;0;L;;;;;N;;;;;
        "\u1601",  # ;CANADIAN SYLLABICS CARRIER KK;Lo;0;L;;;;;N;;;;;
        "\u1602",  # ;CANADIAN SYLLABICS CARRIER NU;Lo;0;L;;;;;N;;;;;
        "\u1603",  # ;CANADIAN SYLLABICS CARRIER NO;Lo;0;L;;;;;N;;;;;
        "\u1604",  # ;CANADIAN SYLLABICS CARRIER NE;Lo;0;L;;;;;N;;;;;
        "\u1605",  # ;CANADIAN SYLLABICS CARRIER NEE;Lo;0;L;;;;;N;;;;;
        "\u1606",  # ;CANADIAN SYLLABICS CARRIER NI;Lo;0;L;;;;;N;;;;;
        "\u1607",  # ;CANADIAN SYLLABICS CARRIER NA;Lo;0;L;;;;;N;;;;;
        "\u1608",  # ;CANADIAN SYLLABICS CARRIER MU;Lo;0;L;;;;;N;;;;;
        "\u1609",  # ;CANADIAN SYLLABICS CARRIER MO;Lo;0;L;;;;;N;;;;;
        "\u160A",  # ;CANADIAN SYLLABICS CARRIER ME;Lo;0;L;;;;;N;;;;;
        "\u160B",  # ;CANADIAN SYLLABICS CARRIER MEE;Lo;0;L;;;;;N;;;;;
        "\u160C",  # ;CANADIAN SYLLABICS CARRIER MI;Lo;0;L;;;;;N;;;;;
        "\u160D",  # ;CANADIAN SYLLABICS CARRIER MA;Lo;0;L;;;;;N;;;;;
        "\u160E",  # ;CANADIAN SYLLABICS CARRIER YU;Lo;0;L;;;;;N;;;;;
        "\u160F",  # ;CANADIAN SYLLABICS CARRIER YO;Lo;0;L;;;;;N;;;;;
        "\u1610",  # ;CANADIAN SYLLABICS CARRIER YE;Lo;0;L;;;;;N;;;;;
        "\u1611",  # ;CANADIAN SYLLABICS CARRIER YEE;Lo;0;L;;;;;N;;;;;
        "\u1612",  # ;CANADIAN SYLLABICS CARRIER YI;Lo;0;L;;;;;N;;;;;
        "\u1613",  # ;CANADIAN SYLLABICS CARRIER YA;Lo;0;L;;;;;N;;;;;
        "\u1614",  # ;CANADIAN SYLLABICS CARRIER JU;Lo;0;L;;;;;N;;;;;
        "\u1615",  # ;CANADIAN SYLLABICS SAYISI JU;Lo;0;L;;;;;N;;;;;
        "\u1616",  # ;CANADIAN SYLLABICS CARRIER JO;Lo;0;L;;;;;N;;;;;
        "\u1617",  # ;CANADIAN SYLLABICS CARRIER JE;Lo;0;L;;;;;N;;;;;
        "\u1618",  # ;CANADIAN SYLLABICS CARRIER JEE;Lo;0;L;;;;;N;;;;;
        "\u1619",  # ;CANADIAN SYLLABICS CARRIER JI;Lo;0;L;;;;;N;;;;;
        "\u161A",  # ;CANADIAN SYLLABICS SAYISI JI;Lo;0;L;;;;;N;;;;;
        "\u161B",  # ;CANADIAN SYLLABICS CARRIER JA;Lo;0;L;;;;;N;;;;;
        "\u161C",  # ;CANADIAN SYLLABICS CARRIER JJU;Lo;0;L;;;;;N;;;;;
        "\u161D",  # ;CANADIAN SYLLABICS CARRIER JJO;Lo;0;L;;;;;N;;;;;
        "\u161E",  # ;CANADIAN SYLLABICS CARRIER JJE;Lo;0;L;;;;;N;;;;;
        "\u161F",  # ;CANADIAN SYLLABICS CARRIER JJEE;Lo;0;L;;;;;N;;;;;
        "\u1620",  # ;CANADIAN SYLLABICS CARRIER JJI;Lo;0;L;;;;;N;;;;;
        "\u1621",  # ;CANADIAN SYLLABICS CARRIER JJA;Lo;0;L;;;;;N;;;;;
        "\u1622",  # ;CANADIAN SYLLABICS CARRIER LU;Lo;0;L;;;;;N;;;;;
        "\u1623",  # ;CANADIAN SYLLABICS CARRIER LO;Lo;0;L;;;;;N;;;;;
        "\u1624",  # ;CANADIAN SYLLABICS CARRIER LE;Lo;0;L;;;;;N;;;;;
        "\u1625",  # ;CANADIAN SYLLABICS CARRIER LEE;Lo;0;L;;;;;N;;;;;
        "\u1626",  # ;CANADIAN SYLLABICS CARRIER LI;Lo;0;L;;;;;N;;;;;
        "\u1627",  # ;CANADIAN SYLLABICS CARRIER LA;Lo;0;L;;;;;N;;;;;
        "\u1628",  # ;CANADIAN SYLLABICS CARRIER DLU;Lo;0;L;;;;;N;;;;;
        "\u1629",  # ;CANADIAN SYLLABICS CARRIER DLO;Lo;0;L;;;;;N;;;;;
        "\u162A",  # ;CANADIAN SYLLABICS CARRIER DLE;Lo;0;L;;;;;N;;;;;
        "\u162B",  # ;CANADIAN SYLLABICS CARRIER DLEE;Lo;0;L;;;;;N;;;;;
        "\u162C",  # ;CANADIAN SYLLABICS CARRIER DLI;Lo;0;L;;;;;N;;;;;
        "\u162D",  # ;CANADIAN SYLLABICS CARRIER DLA;Lo;0;L;;;;;N;;;;;
        "\u162E",  # ;CANADIAN SYLLABICS CARRIER LHU;Lo;0;L;;;;;N;;;;;
        "\u162F",  # ;CANADIAN SYLLABICS CARRIER LHO;Lo;0;L;;;;;N;;;;;
        "\u1630",  # ;CANADIAN SYLLABICS CARRIER LHE;Lo;0;L;;;;;N;;;;;
        "\u1631",  # ;CANADIAN SYLLABICS CARRIER LHEE;Lo;0;L;;;;;N;;;;;
        "\u1632",  # ;CANADIAN SYLLABICS CARRIER LHI;Lo;0;L;;;;;N;;;;;
        "\u1633",  # ;CANADIAN SYLLABICS CARRIER LHA;Lo;0;L;;;;;N;;;;;
        "\u1634",  # ;CANADIAN SYLLABICS CARRIER TLHU;Lo;0;L;;;;;N;;;;;
        "\u1635",  # ;CANADIAN SYLLABICS CARRIER TLHO;Lo;0;L;;;;;N;;;;;
        "\u1636",  # ;CANADIAN SYLLABICS CARRIER TLHE;Lo;0;L;;;;;N;;;;;
        "\u1637",  # ;CANADIAN SYLLABICS CARRIER TLHEE;Lo;0;L;;;;;N;;;;;
        "\u1638",  # ;CANADIAN SYLLABICS CARRIER TLHI;Lo;0;L;;;;;N;;;;;
        "\u1639",  # ;CANADIAN SYLLABICS CARRIER TLHA;Lo;0;L;;;;;N;;;;;
        "\u163A",  # ;CANADIAN SYLLABICS CARRIER TLU;Lo;0;L;;;;;N;;;;;
        "\u163B",  # ;CANADIAN SYLLABICS CARRIER TLO;Lo;0;L;;;;;N;;;;;
        "\u163C",  # ;CANADIAN SYLLABICS CARRIER TLE;Lo;0;L;;;;;N;;;;;
        "\u163D",  # ;CANADIAN SYLLABICS CARRIER TLEE;Lo;0;L;;;;;N;;;;;
        "\u163E",  # ;CANADIAN SYLLABICS CARRIER TLI;Lo;0;L;;;;;N;;;;;
        "\u163F",  # ;CANADIAN SYLLABICS CARRIER TLA;Lo;0;L;;;;;N;;;;;
        "\u1640",  # ;CANADIAN SYLLABICS CARRIER ZU;Lo;0;L;;;;;N;;;;;
        "\u1641",  # ;CANADIAN SYLLABICS CARRIER ZO;Lo;0;L;;;;;N;;;;;
        "\u1642",  # ;CANADIAN SYLLABICS CARRIER ZE;Lo;0;L;;;;;N;;;;;
        "\u1643",  # ;CANADIAN SYLLABICS CARRIER ZEE;Lo;0;L;;;;;N;;;;;
        "\u1644",  # ;CANADIAN SYLLABICS CARRIER ZI;Lo;0;L;;;;;N;;;;;
        "\u1645",  # ;CANADIAN SYLLABICS CARRIER ZA;Lo;0;L;;;;;N;;;;;
        "\u1646",  # ;CANADIAN SYLLABICS CARRIER Z;Lo;0;L;;;;;N;;;;;
        "\u1647",  # ;CANADIAN SYLLABICS CARRIER INITIAL Z;Lo;0;L;;;;;N;;;;;
        "\u1648",  # ;CANADIAN SYLLABICS CARRIER DZU;Lo;0;L;;;;;N;;;;;
        "\u1649",  # ;CANADIAN SYLLABICS CARRIER DZO;Lo;0;L;;;;;N;;;;;
        "\u164A",  # ;CANADIAN SYLLABICS CARRIER DZE;Lo;0;L;;;;;N;;;;;
        "\u164B",  # ;CANADIAN SYLLABICS CARRIER DZEE;Lo;0;L;;;;;N;;;;;
        "\u164C",  # ;CANADIAN SYLLABICS CARRIER DZI;Lo;0;L;;;;;N;;;;;
        "\u164D",  # ;CANADIAN SYLLABICS CARRIER DZA;Lo;0;L;;;;;N;;;;;
        "\u164E",  # ;CANADIAN SYLLABICS CARRIER SU;Lo;0;L;;;;;N;;;;;
        "\u164F",  # ;CANADIAN SYLLABICS CARRIER SO;Lo;0;L;;;;;N;;;;;
        "\u1650",  # ;CANADIAN SYLLABICS CARRIER SE;Lo;0;L;;;;;N;;;;;
        "\u1651",  # ;CANADIAN SYLLABICS CARRIER SEE;Lo;0;L;;;;;N;;;;;
        "\u1652",  # ;CANADIAN SYLLABICS CARRIER SI;Lo;0;L;;;;;N;;;;;
        "\u1653",  # ;CANADIAN SYLLABICS CARRIER SA;Lo;0;L;;;;;N;;;;;
        "\u1654",  # ;CANADIAN SYLLABICS CARRIER SHU;Lo;0;L;;;;;N;;;;;
        "\u1655",  # ;CANADIAN SYLLABICS CARRIER SHO;Lo;0;L;;;;;N;;;;;
        "\u1656",  # ;CANADIAN SYLLABICS CARRIER SHE;Lo;0;L;;;;;N;;;;;
        "\u1657",  # ;CANADIAN SYLLABICS CARRIER SHEE;Lo;0;L;;;;;N;;;;;
        "\u1658",  # ;CANADIAN SYLLABICS CARRIER SHI;Lo;0;L;;;;;N;;;;;
        "\u1659",  # ;CANADIAN SYLLABICS CARRIER SHA;Lo;0;L;;;;;N;;;;;
        "\u165A",  # ;CANADIAN SYLLABICS CARRIER SH;Lo;0;L;;;;;N;;;;;
        "\u165B",  # ;CANADIAN SYLLABICS CARRIER TSU;Lo;0;L;;;;;N;;;;;
        "\u165C",  # ;CANADIAN SYLLABICS CARRIER TSO;Lo;0;L;;;;;N;;;;;
        "\u165D",  # ;CANADIAN SYLLABICS CARRIER TSE;Lo;0;L;;;;;N;;;;;
        "\u165E",  # ;CANADIAN SYLLABICS CARRIER TSEE;Lo;0;L;;;;;N;;;;;
        "\u165F",  # ;CANADIAN SYLLABICS CARRIER TSI;Lo;0;L;;;;;N;;;;;
        "\u1660",  # ;CANADIAN SYLLABICS CARRIER TSA;Lo;0;L;;;;;N;;;;;
        "\u1661",  # ;CANADIAN SYLLABICS CARRIER CHU;Lo;0;L;;;;;N;;;;;
        "\u1662",  # ;CANADIAN SYLLABICS CARRIER CHO;Lo;0;L;;;;;N;;;;;
        "\u1663",  # ;CANADIAN SYLLABICS CARRIER CHE;Lo;0;L;;;;;N;;;;;
        "\u1664",  # ;CANADIAN SYLLABICS CARRIER CHEE;Lo;0;L;;;;;N;;;;;
        "\u1665",  # ;CANADIAN SYLLABICS CARRIER CHI;Lo;0;L;;;;;N;;;;;
        "\u1666",  # ;CANADIAN SYLLABICS CARRIER CHA;Lo;0;L;;;;;N;;;;;
        "\u1667",  # ;CANADIAN SYLLABICS CARRIER TTSU;Lo;0;L;;;;;N;;;;;
        "\u1668",  # ;CANADIAN SYLLABICS CARRIER TTSO;Lo;0;L;;;;;N;;;;;
        "\u1669",  # ;CANADIAN SYLLABICS CARRIER TTSE;Lo;0;L;;;;;N;;;;;
        "\u166A",  # ;CANADIAN SYLLABICS CARRIER TTSEE;Lo;0;L;;;;;N;;;;;
        "\u166B",  # ;CANADIAN SYLLABICS CARRIER TTSI;Lo;0;L;;;;;N;;;;;
        "\u166C",  # ;CANADIAN SYLLABICS CARRIER TTSA;Lo;0;L;;;;;N;;;;;
        "\u166D",  # ;CANADIAN SYLLABICS CHI SIGN;Po;0;L;;;;;N;;;;;
        "\u166E",  # ;CANADIAN SYLLABICS FULL STOP;Po;0;L;;;;;N;;;;;
        "\u166F",  # ;CANADIAN SYLLABICS QAI;Lo;0;L;;;;;N;;;;;
        "\u1670",  # ;CANADIAN SYLLABICS NGAI;Lo;0;L;;;;;N;;;;;
        "\u1671",  # ;CANADIAN SYLLABICS NNGI;Lo;0;L;;;;;N;;;;;
        "\u1672",  # ;CANADIAN SYLLABICS NNGII;Lo;0;L;;;;;N;;;;;
        "\u1673",  # ;CANADIAN SYLLABICS NNGO;Lo;0;L;;;;;N;;;;;
        "\u1674",  # ;CANADIAN SYLLABICS NNGOO;Lo;0;L;;;;;N;;;;;
        "\u1675",  # ;CANADIAN SYLLABICS NNGA;Lo;0;L;;;;;N;;;;;
        "\u1676",  # ;CANADIAN SYLLABICS NNGAA;Lo;0;L;;;;;N;;;;;
        "\u1677",  # ;CANADIAN SYLLABICS WOODS-CREE THWEE;Lo;0;L;;;;;N;;;;;
        "\u1678",  # ;CANADIAN SYLLABICS WOODS-CREE THWI;Lo;0;L;;;;;N;;;;;
        "\u1679",  # ;CANADIAN SYLLABICS WOODS-CREE THWII;Lo;0;L;;;;;N;;;;;
        "\u167A",  # ;CANADIAN SYLLABICS WOODS-CREE THWO;Lo;0;L;;;;;N;;;;;
        "\u167B",  # ;CANADIAN SYLLABICS WOODS-CREE THWOO;Lo;0;L;;;;;N;;;;;
        "\u167C",  # ;CANADIAN SYLLABICS WOODS-CREE THWA;Lo;0;L;;;;;N;;;;;
        "\u167D",  # ;CANADIAN SYLLABICS WOODS-CREE THWAA;Lo;0;L;;;;;N;;;;;
        "\u167E",  # ;CANADIAN SYLLABICS WOODS-CREE FINAL TH;Lo;0;L;;;;;N;;;;;
        "\u167F",  # ;CANADIAN SYLLABICS BLACKFOOT W;Lo;0;L;;;;;N;;;;;
        "\u1680",  # ;OGHAM SPACE MARK;Zs;0;WS;;;;;N;;;;;
        "\u1681",  # ;OGHAM LETTER BEITH;Lo;0;L;;;;;N;;;;;
        "\u1682",  # ;OGHAM LETTER LUIS;Lo;0;L;;;;;N;;;;;
        "\u1683",  # ;OGHAM LETTER FEARN;Lo;0;L;;;;;N;;;;;
        "\u1684",  # ;OGHAM LETTER SAIL;Lo;0;L;;;;;N;;;;;
        "\u1685",  # ;OGHAM LETTER NION;Lo;0;L;;;;;N;;;;;
        "\u1686",  # ;OGHAM LETTER UATH;Lo;0;L;;;;;N;;;;;
        "\u1687",  # ;OGHAM LETTER DAIR;Lo;0;L;;;;;N;;;;;
        "\u1688",  # ;OGHAM LETTER TINNE;Lo;0;L;;;;;N;;;;;
        "\u1689",  # ;OGHAM LETTER COLL;Lo;0;L;;;;;N;;;;;
        "\u168A",  # ;OGHAM LETTER CEIRT;Lo;0;L;;;;;N;;;;;
        "\u168B",  # ;OGHAM LETTER MUIN;Lo;0;L;;;;;N;;;;;
        "\u168C",  # ;OGHAM LETTER GORT;Lo;0;L;;;;;N;;;;;
        "\u168D",  # ;OGHAM LETTER NGEADAL;Lo;0;L;;;;;N;;;;;
        "\u168E",  # ;OGHAM LETTER STRAIF;Lo;0;L;;;;;N;;;;;
        "\u168F",  # ;OGHAM LETTER RUIS;Lo;0;L;;;;;N;;;;;
        "\u1690",  # ;OGHAM LETTER AILM;Lo;0;L;;;;;N;;;;;
        "\u1691",  # ;OGHAM LETTER ONN;Lo;0;L;;;;;N;;;;;
        "\u1692",  # ;OGHAM LETTER UR;Lo;0;L;;;;;N;;;;;
        "\u1693",  # ;OGHAM LETTER EADHADH;Lo;0;L;;;;;N;;;;;
        "\u1694",  # ;OGHAM LETTER IODHADH;Lo;0;L;;;;;N;;;;;
        "\u1695",  # ;OGHAM LETTER EABHADH;Lo;0;L;;;;;N;;;;;
        "\u1696",  # ;OGHAM LETTER OR;Lo;0;L;;;;;N;;;;;
        "\u1697",  # ;OGHAM LETTER UILLEANN;Lo;0;L;;;;;N;;;;;
        "\u1698",  # ;OGHAM LETTER IFIN;Lo;0;L;;;;;N;;;;;
        "\u1699",  # ;OGHAM LETTER EAMHANCHOLL;Lo;0;L;;;;;N;;;;;
        "\u169A",  # ;OGHAM LETTER PEITH;Lo;0;L;;;;;N;;;;;
        "\u169B",  # ;OGHAM FEATHER MARK;Ps;0;ON;;;;;Y;;;;;
        "\u169C",  # ;OGHAM REVERSED FEATHER MARK;Pe;0;ON;;;;;Y;;;;;
        "\u16A0",  # ;RUNIC LETTER FEHU FEOH FE F;Lo;0;L;;;;;N;;;;;
        "\u16A1",  # ;RUNIC LETTER V;Lo;0;L;;;;;N;;;;;
        "\u16A2",  # ;RUNIC LETTER URUZ UR U;Lo;0;L;;;;;N;;;;;
        "\u16A3",  # ;RUNIC LETTER YR;Lo;0;L;;;;;N;;;;;
        "\u16A4",  # ;RUNIC LETTER Y;Lo;0;L;;;;;N;;;;;
        "\u16A5",  # ;RUNIC LETTER W;Lo;0;L;;;;;N;;;;;
        "\u16A6",  # ;RUNIC LETTER THURISAZ THURS THORN;Lo;0;L;;;;;N;;;;;
        "\u16A7",  # ;RUNIC LETTER ETH;Lo;0;L;;;;;N;;;;;
        "\u16A8",  # ;RUNIC LETTER ANSUZ A;Lo;0;L;;;;;N;;;;;
        "\u16A9",  # ;RUNIC LETTER OS O;Lo;0;L;;;;;N;;;;;
        "\u16AA",  # ;RUNIC LETTER AC A;Lo;0;L;;;;;N;;;;;
        "\u16AB",  # ;RUNIC LETTER AESC;Lo;0;L;;;;;N;;;;;
        "\u16AC",  # ;RUNIC LETTER LONG-BRANCH-OSS O;Lo;0;L;;;;;N;;;;;
        "\u16AD",  # ;RUNIC LETTER SHORT-TWIG-OSS O;Lo;0;L;;;;;N;;;;;
        "\u16AE",  # ;RUNIC LETTER O;Lo;0;L;;;;;N;;;;;
        "\u16AF",  # ;RUNIC LETTER OE;Lo;0;L;;;;;N;;;;;
        "\u16B0",  # ;RUNIC LETTER ON;Lo;0;L;;;;;N;;;;;
        "\u16B1",  # ;RUNIC LETTER RAIDO RAD REID R;Lo;0;L;;;;;N;;;;;
        "\u16B2",  # ;RUNIC LETTER KAUNA;Lo;0;L;;;;;N;;;;;
        "\u16B3",  # ;RUNIC LETTER CEN;Lo;0;L;;;;;N;;;;;
        "\u16B4",  # ;RUNIC LETTER KAUN K;Lo;0;L;;;;;N;;;;;
        "\u16B5",  # ;RUNIC LETTER G;Lo;0;L;;;;;N;;;;;
        "\u16B6",  # ;RUNIC LETTER ENG;Lo;0;L;;;;;N;;;;;
        "\u16B7",  # ;RUNIC LETTER GEBO GYFU G;Lo;0;L;;;;;N;;;;;
        "\u16B8",  # ;RUNIC LETTER GAR;Lo;0;L;;;;;N;;;;;
        "\u16B9",  # ;RUNIC LETTER WUNJO WYNN W;Lo;0;L;;;;;N;;;;;
        "\u16BA",  # ;RUNIC LETTER HAGLAZ H;Lo;0;L;;;;;N;;;;;
        "\u16BB",  # ;RUNIC LETTER HAEGL H;Lo;0;L;;;;;N;;;;;
        "\u16BC",  # ;RUNIC LETTER LONG-BRANCH-HAGALL H;Lo;0;L;;;;;N;;;;;
        "\u16BD",  # ;RUNIC LETTER SHORT-TWIG-HAGALL H;Lo;0;L;;;;;N;;;;;
        "\u16BE",  # ;RUNIC LETTER NAUDIZ NYD NAUD N;Lo;0;L;;;;;N;;;;;
        "\u16BF",  # ;RUNIC LETTER SHORT-TWIG-NAUD N;Lo;0;L;;;;;N;;;;;
        "\u16C0",  # ;RUNIC LETTER DOTTED-N;Lo;0;L;;;;;N;;;;;
        "\u16C1",  # ;RUNIC LETTER ISAZ IS ISS I;Lo;0;L;;;;;N;;;;;
        "\u16C2",  # ;RUNIC LETTER E;Lo;0;L;;;;;N;;;;;
        "\u16C3",  # ;RUNIC LETTER JERAN J;Lo;0;L;;;;;N;;;;;
        "\u16C4",  # ;RUNIC LETTER GER;Lo;0;L;;;;;N;;;;;
        "\u16C5",  # ;RUNIC LETTER LONG-BRANCH-AR AE;Lo;0;L;;;;;N;;;;;
        "\u16C6",  # ;RUNIC LETTER SHORT-TWIG-AR A;Lo;0;L;;;;;N;;;;;
        "\u16C7",  # ;RUNIC LETTER IWAZ EOH;Lo;0;L;;;;;N;;;;;
        "\u16C8",  # ;RUNIC LETTER PERTHO PEORTH P;Lo;0;L;;;;;N;;;;;
        "\u16C9",  # ;RUNIC LETTER ALGIZ EOLHX;Lo;0;L;;;;;N;;;;;
        "\u16CA",  # ;RUNIC LETTER SOWILO S;Lo;0;L;;;;;N;;;;;
        "\u16CB",  # ;RUNIC LETTER SIGEL LONG-BRANCH-SOL S;Lo;0;L;;;;;N;;;;;
        "\u16CC",  # ;RUNIC LETTER SHORT-TWIG-SOL S;Lo;0;L;;;;;N;;;;;
        "\u16CD",  # ;RUNIC LETTER C;Lo;0;L;;;;;N;;;;;
        "\u16CE",  # ;RUNIC LETTER Z;Lo;0;L;;;;;N;;;;;
        "\u16CF",  # ;RUNIC LETTER TIWAZ TIR TYR T;Lo;0;L;;;;;N;;;;;
        "\u16D0",  # ;RUNIC LETTER SHORT-TWIG-TYR T;Lo;0;L;;;;;N;;;;;
        "\u16D1",  # ;RUNIC LETTER D;Lo;0;L;;;;;N;;;;;
        "\u16D2",  # ;RUNIC LETTER BERKANAN BEORC BJARKAN B;Lo;0;L;;;;;N;;;;;
        "\u16D3",  # ;RUNIC LETTER SHORT-TWIG-BJARKAN B;Lo;0;L;;;;;N;;;;;
        "\u16D4",  # ;RUNIC LETTER DOTTED-P;Lo;0;L;;;;;N;;;;;
        "\u16D5",  # ;RUNIC LETTER OPEN-P;Lo;0;L;;;;;N;;;;;
        "\u16D6",  # ;RUNIC LETTER EHWAZ EH E;Lo;0;L;;;;;N;;;;;
        "\u16D7",  # ;RUNIC LETTER MANNAZ MAN M;Lo;0;L;;;;;N;;;;;
        "\u16D8",  # ;RUNIC LETTER LONG-BRANCH-MADR M;Lo;0;L;;;;;N;;;;;
        "\u16D9",  # ;RUNIC LETTER SHORT-TWIG-MADR M;Lo;0;L;;;;;N;;;;;
        "\u16DA",  # ;RUNIC LETTER LAUKAZ LAGU LOGR L;Lo;0;L;;;;;N;;;;;
        "\u16DB",  # ;RUNIC LETTER DOTTED-L;Lo;0;L;;;;;N;;;;;
        "\u16DC",  # ;RUNIC LETTER INGWAZ;Lo;0;L;;;;;N;;;;;
        "\u16DD",  # ;RUNIC LETTER ING;Lo;0;L;;;;;N;;;;;
        "\u16DE",  # ;RUNIC LETTER DAGAZ DAEG D;Lo;0;L;;;;;N;;;;;
        "\u16DF",  # ;RUNIC LETTER OTHALAN ETHEL O;Lo;0;L;;;;;N;;;;;
        "\u16E0",  # ;RUNIC LETTER EAR;Lo;0;L;;;;;N;;;;;
        "\u16E1",  # ;RUNIC LETTER IOR;Lo;0;L;;;;;N;;;;;
        "\u16E2",  # ;RUNIC LETTER CWEORTH;Lo;0;L;;;;;N;;;;;
        "\u16E3",  # ;RUNIC LETTER CALC;Lo;0;L;;;;;N;;;;;
        "\u16E4",  # ;RUNIC LETTER CEALC;Lo;0;L;;;;;N;;;;;
        "\u16E5",  # ;RUNIC LETTER STAN;Lo;0;L;;;;;N;;;;;
        "\u16E6",  # ;RUNIC LETTER LONG-BRANCH-YR;Lo;0;L;;;;;N;;;;;
        "\u16E7",  # ;RUNIC LETTER SHORT-TWIG-YR;Lo;0;L;;;;;N;;;;;
        "\u16E8",  # ;RUNIC LETTER ICELANDIC-YR;Lo;0;L;;;;;N;;;;;
        "\u16E9",  # ;RUNIC LETTER Q;Lo;0;L;;;;;N;;;;;
        "\u16EA",  # ;RUNIC LETTER X;Lo;0;L;;;;;N;;;;;
        "\u16EB",  # ;RUNIC SINGLE PUNCTUATION;Po;0;L;;;;;N;;;;;
        "\u16EC",  # ;RUNIC MULTIPLE PUNCTUATION;Po;0;L;;;;;N;;;;;
        "\u16ED",  # ;RUNIC CROSS PUNCTUATION;Po;0;L;;;;;N;;;;;
        "\u16EE",  # ;RUNIC ARLAUG SYMBOL;Nl;0;L;;;;17;N;;;;;
        "\u16EF",  # ;RUNIC TVIMADUR SYMBOL;Nl;0;L;;;;18;N;;;;;
        "\u16F0",  # ;RUNIC BELGTHOR SYMBOL;Nl;0;L;;;;19;N;;;;;
        "\u16F1",  # ;RUNIC LETTER K;Lo;0;L;;;;;N;;;;;
        "\u16F2",  # ;RUNIC LETTER SH;Lo;0;L;;;;;N;;;;;
        "\u16F3",  # ;RUNIC LETTER OO;Lo;0;L;;;;;N;;;;;
        "\u16F4",  # ;RUNIC LETTER FRANKS CASKET OS;Lo;0;L;;;;;N;;;;;
        "\u16F5",  # ;RUNIC LETTER FRANKS CASKET IS;Lo;0;L;;;;;N;;;;;
        "\u16F6",  # ;RUNIC LETTER FRANKS CASKET EH;Lo;0;L;;;;;N;;;;;
        "\u16F7",  # ;RUNIC LETTER FRANKS CASKET AC;Lo;0;L;;;;;N;;;;;
        "\u16F8",  # ;RUNIC LETTER FRANKS CASKET AESC;Lo;0;L;;;;;N;;;;;
        "\u1700",  # ;TAGALOG LETTER A;Lo;0;L;;;;;N;;;;;
        "\u1701",  # ;TAGALOG LETTER I;Lo;0;L;;;;;N;;;;;
        "\u1702",  # ;TAGALOG LETTER U;Lo;0;L;;;;;N;;;;;
        "\u1703",  # ;TAGALOG LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u1704",  # ;TAGALOG LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u1705",  # ;TAGALOG LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u1706",  # ;TAGALOG LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u1707",  # ;TAGALOG LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u1708",  # ;TAGALOG LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u1709",  # ;TAGALOG LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u170A",  # ;TAGALOG LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u170B",  # ;TAGALOG LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u170C",  # ;TAGALOG LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u170E",  # ;TAGALOG LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u170F",  # ;TAGALOG LETTER WA;Lo;0;L;;;;;N;;;;;
        "\u1710",  # ;TAGALOG LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u1711",  # ;TAGALOG LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u1712",  # ;TAGALOG VOWEL SIGN I;Mn;0;NSM;;;;;N;;;;;
        "\u1713",  # ;TAGALOG VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u1714",  # ;TAGALOG SIGN VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\u1720",  # ;HANUNOO LETTER A;Lo;0;L;;;;;N;;;;;
        "\u1721",  # ;HANUNOO LETTER I;Lo;0;L;;;;;N;;;;;
        "\u1722",  # ;HANUNOO LETTER U;Lo;0;L;;;;;N;;;;;
        "\u1723",  # ;HANUNOO LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u1724",  # ;HANUNOO LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u1725",  # ;HANUNOO LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u1726",  # ;HANUNOO LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u1727",  # ;HANUNOO LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u1728",  # ;HANUNOO LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u1729",  # ;HANUNOO LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u172A",  # ;HANUNOO LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u172B",  # ;HANUNOO LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u172C",  # ;HANUNOO LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u172D",  # ;HANUNOO LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u172E",  # ;HANUNOO LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u172F",  # ;HANUNOO LETTER WA;Lo;0;L;;;;;N;;;;;
        "\u1730",  # ;HANUNOO LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u1731",  # ;HANUNOO LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u1732",  # ;HANUNOO VOWEL SIGN I;Mn;0;NSM;;;;;N;;;;;
        "\u1733",  # ;HANUNOO VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u1734",  # ;HANUNOO SIGN PAMUDPOD;Mn;9;NSM;;;;;N;;;;;
        "\u1735",  # ;PHILIPPINE SINGLE PUNCTUATION;Po;0;L;;;;;N;;;;;
        "\u1736",  # ;PHILIPPINE DOUBLE PUNCTUATION;Po;0;L;;;;;N;;;;;
        "\u1740",  # ;BUHID LETTER A;Lo;0;L;;;;;N;;;;;
        "\u1741",  # ;BUHID LETTER I;Lo;0;L;;;;;N;;;;;
        "\u1742",  # ;BUHID LETTER U;Lo;0;L;;;;;N;;;;;
        "\u1743",  # ;BUHID LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u1744",  # ;BUHID LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u1745",  # ;BUHID LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u1746",  # ;BUHID LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u1747",  # ;BUHID LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u1748",  # ;BUHID LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u1749",  # ;BUHID LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u174A",  # ;BUHID LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u174B",  # ;BUHID LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u174C",  # ;BUHID LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u174D",  # ;BUHID LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u174E",  # ;BUHID LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u174F",  # ;BUHID LETTER WA;Lo;0;L;;;;;N;;;;;
        "\u1750",  # ;BUHID LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u1751",  # ;BUHID LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u1752",  # ;BUHID VOWEL SIGN I;Mn;0;NSM;;;;;N;;;;;
        "\u1753",  # ;BUHID VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u1760",  # ;TAGBANWA LETTER A;Lo;0;L;;;;;N;;;;;
        "\u1761",  # ;TAGBANWA LETTER I;Lo;0;L;;;;;N;;;;;
        "\u1762",  # ;TAGBANWA LETTER U;Lo;0;L;;;;;N;;;;;
        "\u1763",  # ;TAGBANWA LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u1764",  # ;TAGBANWA LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u1765",  # ;TAGBANWA LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u1766",  # ;TAGBANWA LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u1767",  # ;TAGBANWA LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u1768",  # ;TAGBANWA LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u1769",  # ;TAGBANWA LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u176A",  # ;TAGBANWA LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u176B",  # ;TAGBANWA LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u176C",  # ;TAGBANWA LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u176E",  # ;TAGBANWA LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u176F",  # ;TAGBANWA LETTER WA;Lo;0;L;;;;;N;;;;;
        "\u1770",  # ;TAGBANWA LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u1772",  # ;TAGBANWA VOWEL SIGN I;Mn;0;NSM;;;;;N;;;;;
        "\u1773",  # ;TAGBANWA VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u1780",  # ;KHMER LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u1781",  # ;KHMER LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u1782",  # ;KHMER LETTER KO;Lo;0;L;;;;;N;;;;;
        "\u1783",  # ;KHMER LETTER KHO;Lo;0;L;;;;;N;;;;;
        "\u1784",  # ;KHMER LETTER NGO;Lo;0;L;;;;;N;;;;;
        "\u1785",  # ;KHMER LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u1786",  # ;KHMER LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u1787",  # ;KHMER LETTER CO;Lo;0;L;;;;;N;;;;;
        "\u1788",  # ;KHMER LETTER CHO;Lo;0;L;;;;;N;;;;;
        "\u1789",  # ;KHMER LETTER NYO;Lo;0;L;;;;;N;;;;;
        "\u178A",  # ;KHMER LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u178B",  # ;KHMER LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u178C",  # ;KHMER LETTER DO;Lo;0;L;;;;;N;;;;;
        "\u178D",  # ;KHMER LETTER TTHO;Lo;0;L;;;;;N;;;;;
        "\u178E",  # ;KHMER LETTER NNO;Lo;0;L;;;;;N;;;;;
        "\u178F",  # ;KHMER LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u1790",  # ;KHMER LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u1791",  # ;KHMER LETTER TO;Lo;0;L;;;;;N;;;;;
        "\u1792",  # ;KHMER LETTER THO;Lo;0;L;;;;;N;;;;;
        "\u1793",  # ;KHMER LETTER NO;Lo;0;L;;;;;N;;;;;
        "\u1794",  # ;KHMER LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u1795",  # ;KHMER LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u1796",  # ;KHMER LETTER PO;Lo;0;L;;;;;N;;;;;
        "\u1797",  # ;KHMER LETTER PHO;Lo;0;L;;;;;N;;;;;
        "\u1798",  # ;KHMER LETTER MO;Lo;0;L;;;;;N;;;;;
        "\u1799",  # ;KHMER LETTER YO;Lo;0;L;;;;;N;;;;;
        "\u179A",  # ;KHMER LETTER RO;Lo;0;L;;;;;N;;;;;
        "\u179B",  # ;KHMER LETTER LO;Lo;0;L;;;;;N;;;;;
        "\u179C",  # ;KHMER LETTER VO;Lo;0;L;;;;;N;;;;;
        "\u179D",  # ;KHMER LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u179E",  # ;KHMER LETTER SSO;Lo;0;L;;;;;N;;;;;
        "\u179F",  # ;KHMER LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u17A0",  # ;KHMER LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u17A1",  # ;KHMER LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u17A2",  # ;KHMER LETTER QA;Lo;0;L;;;;;N;;;;;
        "\u17A3",  # ;KHMER INDEPENDENT VOWEL QAQ;Lo;0;L;;;;;N;;;;;
        "\u17A4",  # ;KHMER INDEPENDENT VOWEL QAA;Lo;0;L;;;;;N;;;;;
        "\u17A5",  # ;KHMER INDEPENDENT VOWEL QI;Lo;0;L;;;;;N;;;;;
        "\u17A6",  # ;KHMER INDEPENDENT VOWEL QII;Lo;0;L;;;;;N;;;;;
        "\u17A7",  # ;KHMER INDEPENDENT VOWEL QU;Lo;0;L;;;;;N;;;;;
        "\u17A8",  # ;KHMER INDEPENDENT VOWEL QUK;Lo;0;L;;;;;N;;;;;
        "\u17A9",  # ;KHMER INDEPENDENT VOWEL QUU;Lo;0;L;;;;;N;;;;;
        "\u17AA",  # ;KHMER INDEPENDENT VOWEL QUUV;Lo;0;L;;;;;N;;;;;
        "\u17AB",  # ;KHMER INDEPENDENT VOWEL RY;Lo;0;L;;;;;N;;;;;
        "\u17AC",  # ;KHMER INDEPENDENT VOWEL RYY;Lo;0;L;;;;;N;;;;;
        "\u17AD",  # ;KHMER INDEPENDENT VOWEL LY;Lo;0;L;;;;;N;;;;;
        "\u17AE",  # ;KHMER INDEPENDENT VOWEL LYY;Lo;0;L;;;;;N;;;;;
        "\u17AF",  # ;KHMER INDEPENDENT VOWEL QE;Lo;0;L;;;;;N;;;;;
        "\u17B0",  # ;KHMER INDEPENDENT VOWEL QAI;Lo;0;L;;;;;N;;;;;
        "\u17B1",  # ;KHMER INDEPENDENT VOWEL QOO TYPE ONE;Lo;0;L;;;;;N;;;;;
        "\u17B2",  # ;KHMER INDEPENDENT VOWEL QOO TYPE TWO;Lo;0;L;;;;;N;;;;;
        "\u17B3",  # ;KHMER INDEPENDENT VOWEL QAU;Lo;0;L;;;;;N;;;;;
        "\u17B4",  # ;KHMER VOWEL INHERENT AQ;Mn;0;NSM;;;;;N;;;;;
        "\u17B5",  # ;KHMER VOWEL INHERENT AA;Mn;0;NSM;;;;;N;;;;;
        "\u17B6",  # ;KHMER VOWEL SIGN AA;Mc;0;L;;;;;N;;;;;
        "\u17B7",  # ;KHMER VOWEL SIGN I;Mn;0;NSM;;;;;N;;;;;
        "\u17B8",  # ;KHMER VOWEL SIGN II;Mn;0;NSM;;;;;N;;;;;
        "\u17B9",  # ;KHMER VOWEL SIGN Y;Mn;0;NSM;;;;;N;;;;;
        "\u17BA",  # ;KHMER VOWEL SIGN YY;Mn;0;NSM;;;;;N;;;;;
        "\u17BB",  # ;KHMER VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u17BC",  # ;KHMER VOWEL SIGN UU;Mn;0;NSM;;;;;N;;;;;
        "\u17BD",  # ;KHMER VOWEL SIGN UA;Mn;0;NSM;;;;;N;;;;;
        "\u17BE",  # ;KHMER VOWEL SIGN OE;Mc;0;L;;;;;N;;;;;
        "\u17BF",  # ;KHMER VOWEL SIGN YA;Mc;0;L;;;;;N;;;;;
        "\u17C0",  # ;KHMER VOWEL SIGN IE;Mc;0;L;;;;;N;;;;;
        "\u17C1",  # ;KHMER VOWEL SIGN E;Mc;0;L;;;;;N;;;;;
        "\u17C2",  # ;KHMER VOWEL SIGN AE;Mc;0;L;;;;;N;;;;;
        "\u17C3",  # ;KHMER VOWEL SIGN AI;Mc;0;L;;;;;N;;;;;
        "\u17C4",  # ;KHMER VOWEL SIGN OO;Mc;0;L;;;;;N;;;;;
        "\u17C5",  # ;KHMER VOWEL SIGN AU;Mc;0;L;;;;;N;;;;;
        "\u17C6",  # ;KHMER SIGN NIKAHIT;Mn;0;NSM;;;;;N;;;;;
        "\u17C7",  # ;KHMER SIGN REAHMUK;Mc;0;L;;;;;N;;;;;
        "\u17C8",  # ;KHMER SIGN YUUKALEAPINTU;Mc;0;L;;;;;N;;;;;
        "\u17C9",  # ;KHMER SIGN MUUSIKATOAN;Mn;0;NSM;;;;;N;;;;;
        "\u17CA",  # ;KHMER SIGN TRIISAP;Mn;0;NSM;;;;;N;;;;;
        "\u17CB",  # ;KHMER SIGN BANTOC;Mn;0;NSM;;;;;N;;;;;
        "\u17CC",  # ;KHMER SIGN ROBAT;Mn;0;NSM;;;;;N;;;;;
        "\u17CD",  # ;KHMER SIGN TOANDAKHIAT;Mn;0;NSM;;;;;N;;;;;
        "\u17CE",  # ;KHMER SIGN KAKABAT;Mn;0;NSM;;;;;N;;;;;
        "\u17CF",  # ;KHMER SIGN AHSDA;Mn;0;NSM;;;;;N;;;;;
        "\u17D0",  # ;KHMER SIGN SAMYOK SANNYA;Mn;0;NSM;;;;;N;;;;;
        "\u17D1",  # ;KHMER SIGN VIRIAM;Mn;0;NSM;;;;;N;;;;;
        "\u17D2",  # ;KHMER SIGN COENG;Mn;9;NSM;;;;;N;;;;;
        "\u17D3",  # ;KHMER SIGN BATHAMASAT;Mn;0;NSM;;;;;N;;;;;
        "\u17D4",  # ;KHMER SIGN KHAN;Po;0;L;;;;;N;;;;;
        "\u17D5",  # ;KHMER SIGN BARIYOOSAN;Po;0;L;;;;;N;;;;;
        "\u17D6",  # ;KHMER SIGN CAMNUC PII KUUH;Po;0;L;;;;;N;;;;;
        "\u17D7",  # ;KHMER SIGN LEK TOO;Lm;0;L;;;;;N;;;;;
        "\u17D8",  # ;KHMER SIGN BEYYAL;Po;0;L;;;;;N;;;;;
        "\u17D9",  # ;KHMER SIGN PHNAEK MUAN;Po;0;L;;;;;N;;;;;
        "\u17DA",  # ;KHMER SIGN KOOMUUT;Po;0;L;;;;;N;;;;;
        "\u17DB",  # ;KHMER CURRENCY SYMBOL RIEL;Sc;0;ET;;;;;N;;;;;
        "\u17DC",  # ;KHMER SIGN AVAKRAHASANYA;Lo;0;L;;;;;N;;;;;
        "\u17DD",  # ;KHMER SIGN ATTHACAN;Mn;230;NSM;;;;;N;;;;;
        "\u17E0",  # ;KHMER DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u17E1",  # ;KHMER DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u17E2",  # ;KHMER DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u17E3",  # ;KHMER DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u17E4",  # ;KHMER DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u17E5",  # ;KHMER DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u17E6",  # ;KHMER DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u17E7",  # ;KHMER DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u17E8",  # ;KHMER DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u17E9",  # ;KHMER DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u17F0",  # ;KHMER SYMBOL LEK ATTAK SON;No;0;ON;;;;0;N;;;;;
        "\u17F1",  # ;KHMER SYMBOL LEK ATTAK MUOY;No;0;ON;;;;1;N;;;;;
        "\u17F2",  # ;KHMER SYMBOL LEK ATTAK PII;No;0;ON;;;;2;N;;;;;
        "\u17F3",  # ;KHMER SYMBOL LEK ATTAK BEI;No;0;ON;;;;3;N;;;;;
        "\u17F4",  # ;KHMER SYMBOL LEK ATTAK BUON;No;0;ON;;;;4;N;;;;;
        "\u17F5",  # ;KHMER SYMBOL LEK ATTAK PRAM;No;0;ON;;;;5;N;;;;;
        "\u17F6",  # ;KHMER SYMBOL LEK ATTAK PRAM-MUOY;No;0;ON;;;;6;N;;;;;
        "\u17F7",  # ;KHMER SYMBOL LEK ATTAK PRAM-PII;No;0;ON;;;;7;N;;;;;
        "\u17F8",  # ;KHMER SYMBOL LEK ATTAK PRAM-BEI;No;0;ON;;;;8;N;;;;;
        "\u17F9",  # ;KHMER SYMBOL LEK ATTAK PRAM-BUON;No;0;ON;;;;9;N;;;;;
        "\u1800",  # ;MONGOLIAN BIRGA;Po;0;ON;;;;;N;;;;;
        "\u1801",  # ;MONGOLIAN ELLIPSIS;Po;0;ON;;;;;N;;;;;
        "\u1802",  # ;MONGOLIAN COMMA;Po;0;ON;;;;;N;;;;;
        "\u1803",  # ;MONGOLIAN FULL STOP;Po;0;ON;;;;;N;;;;;
        "\u1804",  # ;MONGOLIAN COLON;Po;0;ON;;;;;N;;;;;
        "\u1805",  # ;MONGOLIAN FOUR DOTS;Po;0;ON;;;;;N;;;;;
        "\u1806",  # ;MONGOLIAN TODO SOFT HYPHEN;Pd;0;ON;;;;;N;;;;;
        "\u1807",  # ;MONGOLIAN SIBE SYLLABLE BOUNDARY MARKER;Po;0;ON;;;;;N;;;;;
        "\u1808",  # ;MONGOLIAN MANCHU COMMA;Po;0;ON;;;;;N;;;;;
        "\u1809",  # ;MONGOLIAN MANCHU FULL STOP;Po;0;ON;;;;;N;;;;;
        "\u180A",  # ;MONGOLIAN NIRUGU;Po;0;ON;;;;;N;;;;;
        "\u180B",  # ;MONGOLIAN FREE VARIATION SELECTOR ONE;Mn;0;NSM;;;;;N;;;;;
        "\u180C",  # ;MONGOLIAN FREE VARIATION SELECTOR TWO;Mn;0;NSM;;;;;N;;;;;
        "\u180D",  # ;MONGOLIAN FREE VARIATION SELECTOR THREE;Mn;0;NSM;;;;;N;;;;;
        "\u180E",  # ;MONGOLIAN VOWEL SEPARATOR;Cf;0;BN;;;;;N;;;;;
        "\u1810",  # ;MONGOLIAN DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u1811",  # ;MONGOLIAN DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u1812",  # ;MONGOLIAN DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u1813",  # ;MONGOLIAN DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u1814",  # ;MONGOLIAN DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u1815",  # ;MONGOLIAN DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u1816",  # ;MONGOLIAN DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u1817",  # ;MONGOLIAN DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u1818",  # ;MONGOLIAN DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u1819",  # ;MONGOLIAN DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u1820",  # ;MONGOLIAN LETTER A;Lo;0;L;;;;;N;;;;;
        "\u1821",  # ;MONGOLIAN LETTER E;Lo;0;L;;;;;N;;;;;
        "\u1822",  # ;MONGOLIAN LETTER I;Lo;0;L;;;;;N;;;;;
        "\u1823",  # ;MONGOLIAN LETTER O;Lo;0;L;;;;;N;;;;;
        "\u1824",  # ;MONGOLIAN LETTER U;Lo;0;L;;;;;N;;;;;
        "\u1825",  # ;MONGOLIAN LETTER OE;Lo;0;L;;;;;N;;;;;
        "\u1826",  # ;MONGOLIAN LETTER UE;Lo;0;L;;;;;N;;;;;
        "\u1827",  # ;MONGOLIAN LETTER EE;Lo;0;L;;;;;N;;;;;
        "\u1828",  # ;MONGOLIAN LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u1829",  # ;MONGOLIAN LETTER ANG;Lo;0;L;;;;;N;;;;;
        "\u182A",  # ;MONGOLIAN LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u182B",  # ;MONGOLIAN LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u182C",  # ;MONGOLIAN LETTER QA;Lo;0;L;;;;;N;;;;;
        "\u182D",  # ;MONGOLIAN LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u182E",  # ;MONGOLIAN LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u182F",  # ;MONGOLIAN LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u1830",  # ;MONGOLIAN LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u1831",  # ;MONGOLIAN LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u1832",  # ;MONGOLIAN LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u1833",  # ;MONGOLIAN LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u1834",  # ;MONGOLIAN LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u1835",  # ;MONGOLIAN LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u1836",  # ;MONGOLIAN LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u1837",  # ;MONGOLIAN LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u1838",  # ;MONGOLIAN LETTER WA;Lo;0;L;;;;;N;;;;;
        "\u1839",  # ;MONGOLIAN LETTER FA;Lo;0;L;;;;;N;;;;;
        "\u183A",  # ;MONGOLIAN LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u183B",  # ;MONGOLIAN LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u183C",  # ;MONGOLIAN LETTER TSA;Lo;0;L;;;;;N;;;;;
        "\u183D",  # ;MONGOLIAN LETTER ZA;Lo;0;L;;;;;N;;;;;
        "\u183E",  # ;MONGOLIAN LETTER HAA;Lo;0;L;;;;;N;;;;;
        "\u183F",  # ;MONGOLIAN LETTER ZRA;Lo;0;L;;;;;N;;;;;
        "\u1840",  # ;MONGOLIAN LETTER LHA;Lo;0;L;;;;;N;;;;;
        "\u1841",  # ;MONGOLIAN LETTER ZHI;Lo;0;L;;;;;N;;;;;
        "\u1842",  # ;MONGOLIAN LETTER CHI;Lo;0;L;;;;;N;;;;;
        "\u1843",  # ;MONGOLIAN LETTER TODO LONG VOWEL SIGN;Lm;0;L;;;;;N;;;;;
        "\u1844",  # ;MONGOLIAN LETTER TODO E;Lo;0;L;;;;;N;;;;;
        "\u1845",  # ;MONGOLIAN LETTER TODO I;Lo;0;L;;;;;N;;;;;
        "\u1846",  # ;MONGOLIAN LETTER TODO O;Lo;0;L;;;;;N;;;;;
        "\u1847",  # ;MONGOLIAN LETTER TODO U;Lo;0;L;;;;;N;;;;;
        "\u1848",  # ;MONGOLIAN LETTER TODO OE;Lo;0;L;;;;;N;;;;;
        "\u1849",  # ;MONGOLIAN LETTER TODO UE;Lo;0;L;;;;;N;;;;;
        "\u184A",  # ;MONGOLIAN LETTER TODO ANG;Lo;0;L;;;;;N;;;;;
        "\u184B",  # ;MONGOLIAN LETTER TODO BA;Lo;0;L;;;;;N;;;;;
        "\u184C",  # ;MONGOLIAN LETTER TODO PA;Lo;0;L;;;;;N;;;;;
        "\u184D",  # ;MONGOLIAN LETTER TODO QA;Lo;0;L;;;;;N;;;;;
        "\u184E",  # ;MONGOLIAN LETTER TODO GA;Lo;0;L;;;;;N;;;;;
        "\u184F",  # ;MONGOLIAN LETTER TODO MA;Lo;0;L;;;;;N;;;;;
        "\u1850",  # ;MONGOLIAN LETTER TODO TA;Lo;0;L;;;;;N;;;;;
        "\u1851",  # ;MONGOLIAN LETTER TODO DA;Lo;0;L;;;;;N;;;;;
        "\u1852",  # ;MONGOLIAN LETTER TODO CHA;Lo;0;L;;;;;N;;;;;
        "\u1853",  # ;MONGOLIAN LETTER TODO JA;Lo;0;L;;;;;N;;;;;
        "\u1854",  # ;MONGOLIAN LETTER TODO TSA;Lo;0;L;;;;;N;;;;;
        "\u1855",  # ;MONGOLIAN LETTER TODO YA;Lo;0;L;;;;;N;;;;;
        "\u1856",  # ;MONGOLIAN LETTER TODO WA;Lo;0;L;;;;;N;;;;;
        "\u1857",  # ;MONGOLIAN LETTER TODO KA;Lo;0;L;;;;;N;;;;;
        "\u1858",  # ;MONGOLIAN LETTER TODO GAA;Lo;0;L;;;;;N;;;;;
        "\u1859",  # ;MONGOLIAN LETTER TODO HAA;Lo;0;L;;;;;N;;;;;
        "\u185A",  # ;MONGOLIAN LETTER TODO JIA;Lo;0;L;;;;;N;;;;;
        "\u185B",  # ;MONGOLIAN LETTER TODO NIA;Lo;0;L;;;;;N;;;;;
        "\u185C",  # ;MONGOLIAN LETTER TODO DZA;Lo;0;L;;;;;N;;;;;
        "\u185D",  # ;MONGOLIAN LETTER SIBE E;Lo;0;L;;;;;N;;;;;
        "\u185E",  # ;MONGOLIAN LETTER SIBE I;Lo;0;L;;;;;N;;;;;
        "\u185F",  # ;MONGOLIAN LETTER SIBE IY;Lo;0;L;;;;;N;;;;;
        "\u1860",  # ;MONGOLIAN LETTER SIBE UE;Lo;0;L;;;;;N;;;;;
        "\u1861",  # ;MONGOLIAN LETTER SIBE U;Lo;0;L;;;;;N;;;;;
        "\u1862",  # ;MONGOLIAN LETTER SIBE ANG;Lo;0;L;;;;;N;;;;;
        "\u1863",  # ;MONGOLIAN LETTER SIBE KA;Lo;0;L;;;;;N;;;;;
        "\u1864",  # ;MONGOLIAN LETTER SIBE GA;Lo;0;L;;;;;N;;;;;
        "\u1865",  # ;MONGOLIAN LETTER SIBE HA;Lo;0;L;;;;;N;;;;;
        "\u1866",  # ;MONGOLIAN LETTER SIBE PA;Lo;0;L;;;;;N;;;;;
        "\u1867",  # ;MONGOLIAN LETTER SIBE SHA;Lo;0;L;;;;;N;;;;;
        "\u1868",  # ;MONGOLIAN LETTER SIBE TA;Lo;0;L;;;;;N;;;;;
        "\u1869",  # ;MONGOLIAN LETTER SIBE DA;Lo;0;L;;;;;N;;;;;
        "\u186A",  # ;MONGOLIAN LETTER SIBE JA;Lo;0;L;;;;;N;;;;;
        "\u186B",  # ;MONGOLIAN LETTER SIBE FA;Lo;0;L;;;;;N;;;;;
        "\u186C",  # ;MONGOLIAN LETTER SIBE GAA;Lo;0;L;;;;;N;;;;;
        "\u186D",  # ;MONGOLIAN LETTER SIBE HAA;Lo;0;L;;;;;N;;;;;
        "\u186E",  # ;MONGOLIAN LETTER SIBE TSA;Lo;0;L;;;;;N;;;;;
        "\u186F",  # ;MONGOLIAN LETTER SIBE ZA;Lo;0;L;;;;;N;;;;;
        "\u1870",  # ;MONGOLIAN LETTER SIBE RAA;Lo;0;L;;;;;N;;;;;
        "\u1871",  # ;MONGOLIAN LETTER SIBE CHA;Lo;0;L;;;;;N;;;;;
        "\u1872",  # ;MONGOLIAN LETTER SIBE ZHA;Lo;0;L;;;;;N;;;;;
        "\u1873",  # ;MONGOLIAN LETTER MANCHU I;Lo;0;L;;;;;N;;;;;
        "\u1874",  # ;MONGOLIAN LETTER MANCHU KA;Lo;0;L;;;;;N;;;;;
        "\u1875",  # ;MONGOLIAN LETTER MANCHU RA;Lo;0;L;;;;;N;;;;;
        "\u1876",  # ;MONGOLIAN LETTER MANCHU FA;Lo;0;L;;;;;N;;;;;
        "\u1877",  # ;MONGOLIAN LETTER MANCHU ZHA;Lo;0;L;;;;;N;;;;;
        "\u1880",  # ;MONGOLIAN LETTER ALI GALI ANUSVARA ONE;Lo;0;L;;;;;N;;;;;
        "\u1881",  # ;MONGOLIAN LETTER ALI GALI VISARGA ONE;Lo;0;L;;;;;N;;;;;
        "\u1882",  # ;MONGOLIAN LETTER ALI GALI DAMARU;Lo;0;L;;;;;N;;;;;
        "\u1883",  # ;MONGOLIAN LETTER ALI GALI UBADAMA;Lo;0;L;;;;;N;;;;;
        "\u1884",  # ;MONGOLIAN LETTER ALI GALI INVERTED UBADAMA;Lo;0;L;;;;;N;;;;;
        "\u1885",  # ;MONGOLIAN LETTER ALI GALI BALUDA;Mn;0;NSM;;;;;N;;;;;
        "\u1886",  # ;MONGOLIAN LETTER ALI GALI THREE BALUDA;Mn;0;NSM;;;;;N;;;;;
        "\u1887",  # ;MONGOLIAN LETTER ALI GALI A;Lo;0;L;;;;;N;;;;;
        "\u1888",  # ;MONGOLIAN LETTER ALI GALI I;Lo;0;L;;;;;N;;;;;
        "\u1889",  # ;MONGOLIAN LETTER ALI GALI KA;Lo;0;L;;;;;N;;;;;
        "\u188A",  # ;MONGOLIAN LETTER ALI GALI NGA;Lo;0;L;;;;;N;;;;;
        "\u188B",  # ;MONGOLIAN LETTER ALI GALI CA;Lo;0;L;;;;;N;;;;;
        "\u188C",  # ;MONGOLIAN LETTER ALI GALI TTA;Lo;0;L;;;;;N;;;;;
        "\u188D",  # ;MONGOLIAN LETTER ALI GALI TTHA;Lo;0;L;;;;;N;;;;;
        "\u188E",  # ;MONGOLIAN LETTER ALI GALI DDA;Lo;0;L;;;;;N;;;;;
        "\u188F",  # ;MONGOLIAN LETTER ALI GALI NNA;Lo;0;L;;;;;N;;;;;
        "\u1890",  # ;MONGOLIAN LETTER ALI GALI TA;Lo;0;L;;;;;N;;;;;
        "\u1891",  # ;MONGOLIAN LETTER ALI GALI DA;Lo;0;L;;;;;N;;;;;
        "\u1892",  # ;MONGOLIAN LETTER ALI GALI PA;Lo;0;L;;;;;N;;;;;
        "\u1893",  # ;MONGOLIAN LETTER ALI GALI PHA;Lo;0;L;;;;;N;;;;;
        "\u1894",  # ;MONGOLIAN LETTER ALI GALI SSA;Lo;0;L;;;;;N;;;;;
        "\u1895",  # ;MONGOLIAN LETTER ALI GALI ZHA;Lo;0;L;;;;;N;;;;;
        "\u1896",  # ;MONGOLIAN LETTER ALI GALI ZA;Lo;0;L;;;;;N;;;;;
        "\u1897",  # ;MONGOLIAN LETTER ALI GALI AH;Lo;0;L;;;;;N;;;;;
        "\u1898",  # ;MONGOLIAN LETTER TODO ALI GALI TA;Lo;0;L;;;;;N;;;;;
        "\u1899",  # ;MONGOLIAN LETTER TODO ALI GALI ZHA;Lo;0;L;;;;;N;;;;;
        "\u189A",  # ;MONGOLIAN LETTER MANCHU ALI GALI GHA;Lo;0;L;;;;;N;;;;;
        "\u189B",  # ;MONGOLIAN LETTER MANCHU ALI GALI NGA;Lo;0;L;;;;;N;;;;;
        "\u189C",  # ;MONGOLIAN LETTER MANCHU ALI GALI CA;Lo;0;L;;;;;N;;;;;
        "\u189D",  # ;MONGOLIAN LETTER MANCHU ALI GALI JHA;Lo;0;L;;;;;N;;;;;
        "\u189E",  # ;MONGOLIAN LETTER MANCHU ALI GALI TTA;Lo;0;L;;;;;N;;;;;
        "\u189F",  # ;MONGOLIAN LETTER MANCHU ALI GALI DDHA;Lo;0;L;;;;;N;;;;;
        "\u18A0",  # ;MONGOLIAN LETTER MANCHU ALI GALI TA;Lo;0;L;;;;;N;;;;;
        "\u18A1",  # ;MONGOLIAN LETTER MANCHU ALI GALI DHA;Lo;0;L;;;;;N;;;;;
        "\u18A2",  # ;MONGOLIAN LETTER MANCHU ALI GALI SSA;Lo;0;L;;;;;N;;;;;
        "\u18A3",  # ;MONGOLIAN LETTER MANCHU ALI GALI CYA;Lo;0;L;;;;;N;;;;;
        "\u18A4",  # ;MONGOLIAN LETTER MANCHU ALI GALI ZHA;Lo;0;L;;;;;N;;;;;
        "\u18A5",  # ;MONGOLIAN LETTER MANCHU ALI GALI ZA;Lo;0;L;;;;;N;;;;;
        "\u18A6",  # ;MONGOLIAN LETTER ALI GALI HALF U;Lo;0;L;;;;;N;;;;;
        "\u18A7",  # ;MONGOLIAN LETTER ALI GALI HALF YA;Lo;0;L;;;;;N;;;;;
        "\u18A8",  # ;MONGOLIAN LETTER MANCHU ALI GALI BHA;Lo;0;L;;;;;N;;;;;
        "\u18A9",  # ;MONGOLIAN LETTER ALI GALI DAGALGA;Mn;228;NSM;;;;;N;;;;;
        "\u18AA",  # ;MONGOLIAN LETTER MANCHU ALI GALI LHA;Lo;0;L;;;;;N;;;;;
        "\u18B0",  # ;CANADIAN SYLLABICS OY;Lo;0;L;;;;;N;;;;;
        "\u18B1",  # ;CANADIAN SYLLABICS AY;Lo;0;L;;;;;N;;;;;
        "\u18B2",  # ;CANADIAN SYLLABICS AAY;Lo;0;L;;;;;N;;;;;
        "\u18B3",  # ;CANADIAN SYLLABICS WAY;Lo;0;L;;;;;N;;;;;
        "\u18B4",  # ;CANADIAN SYLLABICS POY;Lo;0;L;;;;;N;;;;;
        "\u18B5",  # ;CANADIAN SYLLABICS PAY;Lo;0;L;;;;;N;;;;;
        "\u18B6",  # ;CANADIAN SYLLABICS PWOY;Lo;0;L;;;;;N;;;;;
        "\u18B7",  # ;CANADIAN SYLLABICS TAY;Lo;0;L;;;;;N;;;;;
        "\u18B8",  # ;CANADIAN SYLLABICS KAY;Lo;0;L;;;;;N;;;;;
        "\u18B9",  # ;CANADIAN SYLLABICS KWAY;Lo;0;L;;;;;N;;;;;
        "\u18BA",  # ;CANADIAN SYLLABICS MAY;Lo;0;L;;;;;N;;;;;
        "\u18BB",  # ;CANADIAN SYLLABICS NOY;Lo;0;L;;;;;N;;;;;
        "\u18BC",  # ;CANADIAN SYLLABICS NAY;Lo;0;L;;;;;N;;;;;
        "\u18BD",  # ;CANADIAN SYLLABICS LAY;Lo;0;L;;;;;N;;;;;
        "\u18BE",  # ;CANADIAN SYLLABICS SOY;Lo;0;L;;;;;N;;;;;
        "\u18BF",  # ;CANADIAN SYLLABICS SAY;Lo;0;L;;;;;N;;;;;
        "\u18C0",  # ;CANADIAN SYLLABICS SHOY;Lo;0;L;;;;;N;;;;;
        "\u18C1",  # ;CANADIAN SYLLABICS SHAY;Lo;0;L;;;;;N;;;;;
        "\u18C2",  # ;CANADIAN SYLLABICS SHWOY;Lo;0;L;;;;;N;;;;;
        "\u18C3",  # ;CANADIAN SYLLABICS YOY;Lo;0;L;;;;;N;;;;;
        "\u18C4",  # ;CANADIAN SYLLABICS YAY;Lo;0;L;;;;;N;;;;;
        "\u18C5",  # ;CANADIAN SYLLABICS RAY;Lo;0;L;;;;;N;;;;;
        "\u18C6",  # ;CANADIAN SYLLABICS NWI;Lo;0;L;;;;;N;;;;;
        "\u18C7",  # ;CANADIAN SYLLABICS OJIBWAY NWI;Lo;0;L;;;;;N;;;;;
        "\u18C8",  # ;CANADIAN SYLLABICS NWII;Lo;0;L;;;;;N;;;;;
        "\u18C9",  # ;CANADIAN SYLLABICS OJIBWAY NWII;Lo;0;L;;;;;N;;;;;
        "\u18CA",  # ;CANADIAN SYLLABICS NWO;Lo;0;L;;;;;N;;;;;
        "\u18CB",  # ;CANADIAN SYLLABICS OJIBWAY NWO;Lo;0;L;;;;;N;;;;;
        "\u18CC",  # ;CANADIAN SYLLABICS NWOO;Lo;0;L;;;;;N;;;;;
        "\u18CD",  # ;CANADIAN SYLLABICS OJIBWAY NWOO;Lo;0;L;;;;;N;;;;;
        "\u18CE",  # ;CANADIAN SYLLABICS RWEE;Lo;0;L;;;;;N;;;;;
        "\u18CF",  # ;CANADIAN SYLLABICS RWI;Lo;0;L;;;;;N;;;;;
        "\u18D0",  # ;CANADIAN SYLLABICS RWII;Lo;0;L;;;;;N;;;;;
        "\u18D1",  # ;CANADIAN SYLLABICS RWO;Lo;0;L;;;;;N;;;;;
        "\u18D2",  # ;CANADIAN SYLLABICS RWOO;Lo;0;L;;;;;N;;;;;
        "\u18D3",  # ;CANADIAN SYLLABICS RWA;Lo;0;L;;;;;N;;;;;
        "\u18D4",  # ;CANADIAN SYLLABICS OJIBWAY P;Lo;0;L;;;;;N;;;;;
        "\u18D5",  # ;CANADIAN SYLLABICS OJIBWAY T;Lo;0;L;;;;;N;;;;;
        "\u18D6",  # ;CANADIAN SYLLABICS OJIBWAY K;Lo;0;L;;;;;N;;;;;
        "\u18D7",  # ;CANADIAN SYLLABICS OJIBWAY C;Lo;0;L;;;;;N;;;;;
        "\u18D8",  # ;CANADIAN SYLLABICS OJIBWAY M;Lo;0;L;;;;;N;;;;;
        "\u18D9",  # ;CANADIAN SYLLABICS OJIBWAY N;Lo;0;L;;;;;N;;;;;
        "\u18DA",  # ;CANADIAN SYLLABICS OJIBWAY S;Lo;0;L;;;;;N;;;;;
        "\u18DB",  # ;CANADIAN SYLLABICS OJIBWAY SH;Lo;0;L;;;;;N;;;;;
        "\u18DC",  # ;CANADIAN SYLLABICS EASTERN W;Lo;0;L;;;;;N;;;;;
        "\u18DD",  # ;CANADIAN SYLLABICS WESTERN W;Lo;0;L;;;;;N;;;;;
        "\u18DE",  # ;CANADIAN SYLLABICS FINAL SMALL RING;Lo;0;L;;;;;N;;;;;
        "\u18DF",  # ;CANADIAN SYLLABICS FINAL RAISED DOT;Lo;0;L;;;;;N;;;;;
        "\u18E0",  # ;CANADIAN SYLLABICS R-CREE RWE;Lo;0;L;;;;;N;;;;;
        "\u18E1",  # ;CANADIAN SYLLABICS WEST-CREE LOO;Lo;0;L;;;;;N;;;;;
        "\u18E2",  # ;CANADIAN SYLLABICS WEST-CREE LAA;Lo;0;L;;;;;N;;;;;
        "\u18E3",  # ;CANADIAN SYLLABICS THWE;Lo;0;L;;;;;N;;;;;
        "\u18E4",  # ;CANADIAN SYLLABICS THWA;Lo;0;L;;;;;N;;;;;
        "\u18E5",  # ;CANADIAN SYLLABICS TTHWE;Lo;0;L;;;;;N;;;;;
        "\u18E6",  # ;CANADIAN SYLLABICS TTHOO;Lo;0;L;;;;;N;;;;;
        "\u18E7",  # ;CANADIAN SYLLABICS TTHAA;Lo;0;L;;;;;N;;;;;
        "\u18E8",  # ;CANADIAN SYLLABICS TLHWE;Lo;0;L;;;;;N;;;;;
        "\u18E9",  # ;CANADIAN SYLLABICS TLHOO;Lo;0;L;;;;;N;;;;;
        "\u18EA",  # ;CANADIAN SYLLABICS SAYISI SHWE;Lo;0;L;;;;;N;;;;;
        "\u18EB",  # ;CANADIAN SYLLABICS SAYISI SHOO;Lo;0;L;;;;;N;;;;;
        "\u18EC",  # ;CANADIAN SYLLABICS SAYISI HOO;Lo;0;L;;;;;N;;;;;
        "\u18ED",  # ;CANADIAN SYLLABICS CARRIER GWU;Lo;0;L;;;;;N;;;;;
        "\u18EE",  # ;CANADIAN SYLLABICS CARRIER DENE GEE;Lo;0;L;;;;;N;;;;;
        "\u18EF",  # ;CANADIAN SYLLABICS CARRIER GAA;Lo;0;L;;;;;N;;;;;
        "\u18F0",  # ;CANADIAN SYLLABICS CARRIER GWA;Lo;0;L;;;;;N;;;;;
        "\u18F1",  # ;CANADIAN SYLLABICS SAYISI JUU;Lo;0;L;;;;;N;;;;;
        "\u18F2",  # ;CANADIAN SYLLABICS CARRIER JWA;Lo;0;L;;;;;N;;;;;
        "\u18F3",  # ;CANADIAN SYLLABICS BEAVER DENE L;Lo;0;L;;;;;N;;;;;
        "\u18F4",  # ;CANADIAN SYLLABICS BEAVER DENE R;Lo;0;L;;;;;N;;;;;
        "\u18F5",  # ;CANADIAN SYLLABICS CARRIER DENTAL S;Lo;0;L;;;;;N;;;;;
        "\u1900",  # ;LIMBU VOWEL-CARRIER LETTER;Lo;0;L;;;;;N;;;;;
        "\u1901",  # ;LIMBU LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u1902",  # ;LIMBU LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u1903",  # ;LIMBU LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u1904",  # ;LIMBU LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u1905",  # ;LIMBU LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u1906",  # ;LIMBU LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u1907",  # ;LIMBU LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u1908",  # ;LIMBU LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u1909",  # ;LIMBU LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\u190A",  # ;LIMBU LETTER YAN;Lo;0;L;;;;;N;;;;;
        "\u190B",  # ;LIMBU LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u190C",  # ;LIMBU LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u190D",  # ;LIMBU LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u190E",  # ;LIMBU LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u190F",  # ;LIMBU LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u1910",  # ;LIMBU LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u1911",  # ;LIMBU LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u1912",  # ;LIMBU LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u1913",  # ;LIMBU LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u1914",  # ;LIMBU LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u1915",  # ;LIMBU LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u1916",  # ;LIMBU LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u1917",  # ;LIMBU LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u1918",  # ;LIMBU LETTER WA;Lo;0;L;;;;;N;;;;;
        "\u1919",  # ;LIMBU LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u191A",  # ;LIMBU LETTER SSA;Lo;0;L;;;;;N;;;;;
        "\u191B",  # ;LIMBU LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u191C",  # ;LIMBU LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u191D",  # ;LIMBU LETTER GYAN;Lo;0;L;;;;;N;;;;;
        "\u191E",  # ;LIMBU LETTER TRA;Lo;0;L;;;;;N;;;;;
        "\u1920",  # ;LIMBU VOWEL SIGN A;Mn;0;NSM;;;;;N;;;;;
        "\u1921",  # ;LIMBU VOWEL SIGN I;Mn;0;NSM;;;;;N;;;;;
        "\u1922",  # ;LIMBU VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u1923",  # ;LIMBU VOWEL SIGN EE;Mc;0;L;;;;;N;;;;;
        "\u1924",  # ;LIMBU VOWEL SIGN AI;Mc;0;L;;;;;N;;;;;
        "\u1925",  # ;LIMBU VOWEL SIGN OO;Mc;0;L;;;;;N;;;;;
        "\u1926",  # ;LIMBU VOWEL SIGN AU;Mc;0;L;;;;;N;;;;;
        "\u1927",  # ;LIMBU VOWEL SIGN E;Mn;0;NSM;;;;;N;;;;;
        "\u1928",  # ;LIMBU VOWEL SIGN O;Mn;0;NSM;;;;;N;;;;;
        "\u1929",  # ;LIMBU SUBJOINED LETTER YA;Mc;0;L;;;;;N;;;;;
        "\u192A",  # ;LIMBU SUBJOINED LETTER RA;Mc;0;L;;;;;N;;;;;
        "\u192B",  # ;LIMBU SUBJOINED LETTER WA;Mc;0;L;;;;;N;;;;;
        "\u1930",  # ;LIMBU SMALL LETTER KA;Mc;0;L;;;;;N;;;;;
        "\u1931",  # ;LIMBU SMALL LETTER NGA;Mc;0;L;;;;;N;;;;;
        "\u1932",  # ;LIMBU SMALL LETTER ANUSVARA;Mn;0;NSM;;;;;N;;;;;
        "\u1933",  # ;LIMBU SMALL LETTER TA;Mc;0;L;;;;;N;;;;;
        "\u1934",  # ;LIMBU SMALL LETTER NA;Mc;0;L;;;;;N;;;;;
        "\u1935",  # ;LIMBU SMALL LETTER PA;Mc;0;L;;;;;N;;;;;
        "\u1936",  # ;LIMBU SMALL LETTER MA;Mc;0;L;;;;;N;;;;;
        "\u1937",  # ;LIMBU SMALL LETTER RA;Mc;0;L;;;;;N;;;;;
        "\u1938",  # ;LIMBU SMALL LETTER LA;Mc;0;L;;;;;N;;;;;
        "\u1939",  # ;LIMBU SIGN MUKPHRENG;Mn;222;NSM;;;;;N;;;;;
        "\u193A",  # ;LIMBU SIGN KEMPHRENG;Mn;230;NSM;;;;;N;;;;;
        "\u193B",  # ;LIMBU SIGN SA-I;Mn;220;NSM;;;;;N;;;;;
        "\u1940",  # ;LIMBU SIGN LOO;So;0;ON;;;;;N;;;;;
        "\u1944",  # ;LIMBU EXCLAMATION MARK;Po;0;ON;;;;;N;;;;;
        "\u1945",  # ;LIMBU QUESTION MARK;Po;0;ON;;;;;N;;;;;
        "\u1946",  # ;LIMBU DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u1947",  # ;LIMBU DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u1948",  # ;LIMBU DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u1949",  # ;LIMBU DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u194A",  # ;LIMBU DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u194B",  # ;LIMBU DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u194C",  # ;LIMBU DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u194D",  # ;LIMBU DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u194E",  # ;LIMBU DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u194F",  # ;LIMBU DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u1950",  # ;TAI LE LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u1951",  # ;TAI LE LETTER XA;Lo;0;L;;;;;N;;;;;
        "\u1952",  # ;TAI LE LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u1953",  # ;TAI LE LETTER TSA;Lo;0;L;;;;;N;;;;;
        "\u1954",  # ;TAI LE LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u1955",  # ;TAI LE LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u1956",  # ;TAI LE LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u1957",  # ;TAI LE LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u1958",  # ;TAI LE LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u1959",  # ;TAI LE LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u195A",  # ;TAI LE LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u195B",  # ;TAI LE LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u195C",  # ;TAI LE LETTER FA;Lo;0;L;;;;;N;;;;;
        "\u195D",  # ;TAI LE LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u195E",  # ;TAI LE LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u195F",  # ;TAI LE LETTER QA;Lo;0;L;;;;;N;;;;;
        "\u1960",  # ;TAI LE LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u1961",  # ;TAI LE LETTER TSHA;Lo;0;L;;;;;N;;;;;
        "\u1962",  # ;TAI LE LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u1963",  # ;TAI LE LETTER A;Lo;0;L;;;;;N;;;;;
        "\u1964",  # ;TAI LE LETTER I;Lo;0;L;;;;;N;;;;;
        "\u1965",  # ;TAI LE LETTER EE;Lo;0;L;;;;;N;;;;;
        "\u1966",  # ;TAI LE LETTER EH;Lo;0;L;;;;;N;;;;;
        "\u1967",  # ;TAI LE LETTER U;Lo;0;L;;;;;N;;;;;
        "\u1968",  # ;TAI LE LETTER OO;Lo;0;L;;;;;N;;;;;
        "\u1969",  # ;TAI LE LETTER O;Lo;0;L;;;;;N;;;;;
        "\u196A",  # ;TAI LE LETTER UE;Lo;0;L;;;;;N;;;;;
        "\u196B",  # ;TAI LE LETTER E;Lo;0;L;;;;;N;;;;;
        "\u196C",  # ;TAI LE LETTER AUE;Lo;0;L;;;;;N;;;;;
        "\u196D",  # ;TAI LE LETTER AI;Lo;0;L;;;;;N;;;;;
        "\u1970",  # ;TAI LE LETTER TONE-2;Lo;0;L;;;;;N;;;;;
        "\u1971",  # ;TAI LE LETTER TONE-3;Lo;0;L;;;;;N;;;;;
        "\u1972",  # ;TAI LE LETTER TONE-4;Lo;0;L;;;;;N;;;;;
        "\u1973",  # ;TAI LE LETTER TONE-5;Lo;0;L;;;;;N;;;;;
        "\u1974",  # ;TAI LE LETTER TONE-6;Lo;0;L;;;;;N;;;;;
        "\u1980",  # ;NEW TAI LUE LETTER HIGH QA;Lo;0;L;;;;;N;;;;;
        "\u1981",  # ;NEW TAI LUE LETTER LOW QA;Lo;0;L;;;;;N;;;;;
        "\u1982",  # ;NEW TAI LUE LETTER HIGH KA;Lo;0;L;;;;;N;;;;;
        "\u1983",  # ;NEW TAI LUE LETTER HIGH XA;Lo;0;L;;;;;N;;;;;
        "\u1984",  # ;NEW TAI LUE LETTER HIGH NGA;Lo;0;L;;;;;N;;;;;
        "\u1985",  # ;NEW TAI LUE LETTER LOW KA;Lo;0;L;;;;;N;;;;;
        "\u1986",  # ;NEW TAI LUE LETTER LOW XA;Lo;0;L;;;;;N;;;;;
        "\u1987",  # ;NEW TAI LUE LETTER LOW NGA;Lo;0;L;;;;;N;;;;;
        "\u1988",  # ;NEW TAI LUE LETTER HIGH TSA;Lo;0;L;;;;;N;;;;;
        "\u1989",  # ;NEW TAI LUE LETTER HIGH SA;Lo;0;L;;;;;N;;;;;
        "\u198A",  # ;NEW TAI LUE LETTER HIGH YA;Lo;0;L;;;;;N;;;;;
        "\u198B",  # ;NEW TAI LUE LETTER LOW TSA;Lo;0;L;;;;;N;;;;;
        "\u198C",  # ;NEW TAI LUE LETTER LOW SA;Lo;0;L;;;;;N;;;;;
        "\u198D",  # ;NEW TAI LUE LETTER LOW YA;Lo;0;L;;;;;N;;;;;
        "\u198E",  # ;NEW TAI LUE LETTER HIGH TA;Lo;0;L;;;;;N;;;;;
        "\u198F",  # ;NEW TAI LUE LETTER HIGH THA;Lo;0;L;;;;;N;;;;;
        "\u1990",  # ;NEW TAI LUE LETTER HIGH NA;Lo;0;L;;;;;N;;;;;
        "\u1991",  # ;NEW TAI LUE LETTER LOW TA;Lo;0;L;;;;;N;;;;;
        "\u1992",  # ;NEW TAI LUE LETTER LOW THA;Lo;0;L;;;;;N;;;;;
        "\u1993",  # ;NEW TAI LUE LETTER LOW NA;Lo;0;L;;;;;N;;;;;
        "\u1994",  # ;NEW TAI LUE LETTER HIGH PA;Lo;0;L;;;;;N;;;;;
        "\u1995",  # ;NEW TAI LUE LETTER HIGH PHA;Lo;0;L;;;;;N;;;;;
        "\u1996",  # ;NEW TAI LUE LETTER HIGH MA;Lo;0;L;;;;;N;;;;;
        "\u1997",  # ;NEW TAI LUE LETTER LOW PA;Lo;0;L;;;;;N;;;;;
        "\u1998",  # ;NEW TAI LUE LETTER LOW PHA;Lo;0;L;;;;;N;;;;;
        "\u1999",  # ;NEW TAI LUE LETTER LOW MA;Lo;0;L;;;;;N;;;;;
        "\u199A",  # ;NEW TAI LUE LETTER HIGH FA;Lo;0;L;;;;;N;;;;;
        "\u199B",  # ;NEW TAI LUE LETTER HIGH VA;Lo;0;L;;;;;N;;;;;
        "\u199C",  # ;NEW TAI LUE LETTER HIGH LA;Lo;0;L;;;;;N;;;;;
        "\u199D",  # ;NEW TAI LUE LETTER LOW FA;Lo;0;L;;;;;N;;;;;
        "\u199E",  # ;NEW TAI LUE LETTER LOW VA;Lo;0;L;;;;;N;;;;;
        "\u199F",  # ;NEW TAI LUE LETTER LOW LA;Lo;0;L;;;;;N;;;;;
        "\u19A0",  # ;NEW TAI LUE LETTER HIGH HA;Lo;0;L;;;;;N;;;;;
        "\u19A1",  # ;NEW TAI LUE LETTER HIGH DA;Lo;0;L;;;;;N;;;;;
        "\u19A2",  # ;NEW TAI LUE LETTER HIGH BA;Lo;0;L;;;;;N;;;;;
        "\u19A3",  # ;NEW TAI LUE LETTER LOW HA;Lo;0;L;;;;;N;;;;;
        "\u19A4",  # ;NEW TAI LUE LETTER LOW DA;Lo;0;L;;;;;N;;;;;
        "\u19A5",  # ;NEW TAI LUE LETTER LOW BA;Lo;0;L;;;;;N;;;;;
        "\u19A6",  # ;NEW TAI LUE LETTER HIGH KVA;Lo;0;L;;;;;N;;;;;
        "\u19A7",  # ;NEW TAI LUE LETTER HIGH XVA;Lo;0;L;;;;;N;;;;;
        "\u19A8",  # ;NEW TAI LUE LETTER LOW KVA;Lo;0;L;;;;;N;;;;;
        "\u19A9",  # ;NEW TAI LUE LETTER LOW XVA;Lo;0;L;;;;;N;;;;;
        "\u19AA",  # ;NEW TAI LUE LETTER HIGH SUA;Lo;0;L;;;;;N;;;;;
        "\u19AB",  # ;NEW TAI LUE LETTER LOW SUA;Lo;0;L;;;;;N;;;;;
        "\u19B0",  # ;NEW TAI LUE VOWEL SIGN VOWEL SHORTENER;Lo;0;L;;;;;N;;;;;
        "\u19B1",  # ;NEW TAI LUE VOWEL SIGN AA;Lo;0;L;;;;;N;;;;;
        "\u19B2",  # ;NEW TAI LUE VOWEL SIGN II;Lo;0;L;;;;;N;;;;;
        "\u19B3",  # ;NEW TAI LUE VOWEL SIGN U;Lo;0;L;;;;;N;;;;;
        "\u19B4",  # ;NEW TAI LUE VOWEL SIGN UU;Lo;0;L;;;;;N;;;;;
        "\u19B5",  # ;NEW TAI LUE VOWEL SIGN E;Lo;0;L;;;;;N;;;;;
        "\u19B6",  # ;NEW TAI LUE VOWEL SIGN AE;Lo;0;L;;;;;N;;;;;
        "\u19B7",  # ;NEW TAI LUE VOWEL SIGN O;Lo;0;L;;;;;N;;;;;
        "\u19B8",  # ;NEW TAI LUE VOWEL SIGN OA;Lo;0;L;;;;;N;;;;;
        "\u19B9",  # ;NEW TAI LUE VOWEL SIGN UE;Lo;0;L;;;;;N;;;;;
        "\u19BA",  # ;NEW TAI LUE VOWEL SIGN AY;Lo;0;L;;;;;N;;;;;
        "\u19BB",  # ;NEW TAI LUE VOWEL SIGN AAY;Lo;0;L;;;;;N;;;;;
        "\u19BC",  # ;NEW TAI LUE VOWEL SIGN UY;Lo;0;L;;;;;N;;;;;
        "\u19BD",  # ;NEW TAI LUE VOWEL SIGN OY;Lo;0;L;;;;;N;;;;;
        "\u19BE",  # ;NEW TAI LUE VOWEL SIGN OAY;Lo;0;L;;;;;N;;;;;
        "\u19BF",  # ;NEW TAI LUE VOWEL SIGN UEY;Lo;0;L;;;;;N;;;;;
        "\u19C0",  # ;NEW TAI LUE VOWEL SIGN IY;Lo;0;L;;;;;N;;;;;
        "\u19C1",  # ;NEW TAI LUE LETTER FINAL V;Lo;0;L;;;;;N;;;;;
        "\u19C2",  # ;NEW TAI LUE LETTER FINAL NG;Lo;0;L;;;;;N;;;;;
        "\u19C3",  # ;NEW TAI LUE LETTER FINAL N;Lo;0;L;;;;;N;;;;;
        "\u19C4",  # ;NEW TAI LUE LETTER FINAL M;Lo;0;L;;;;;N;;;;;
        "\u19C5",  # ;NEW TAI LUE LETTER FINAL K;Lo;0;L;;;;;N;;;;;
        "\u19C6",  # ;NEW TAI LUE LETTER FINAL D;Lo;0;L;;;;;N;;;;;
        "\u19C7",  # ;NEW TAI LUE LETTER FINAL B;Lo;0;L;;;;;N;;;;;
        "\u19C8",  # ;NEW TAI LUE TONE MARK-1;Lo;0;L;;;;;N;;;;;
        "\u19C9",  # ;NEW TAI LUE TONE MARK-2;Lo;0;L;;;;;N;;;;;
        "\u19D0",  # ;NEW TAI LUE DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u19D1",  # ;NEW TAI LUE DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u19D2",  # ;NEW TAI LUE DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u19D3",  # ;NEW TAI LUE DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u19D4",  # ;NEW TAI LUE DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u19D5",  # ;NEW TAI LUE DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u19D6",  # ;NEW TAI LUE DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u19D7",  # ;NEW TAI LUE DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u19D8",  # ;NEW TAI LUE DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u19D9",  # ;NEW TAI LUE DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u19DA",  # ;NEW TAI LUE THAM DIGIT ONE;No;0;L;;;1;1;N;;;;;
        "\u19DE",  # ;NEW TAI LUE SIGN LAE;So;0;ON;;;;;N;;;;;
        "\u19DF",  # ;NEW TAI LUE SIGN LAEV;So;0;ON;;;;;N;;;;;
        "\u19E0",  # ;KHMER SYMBOL PATHAMASAT;So;0;ON;;;;;N;;;;;
        "\u19E1",  # ;KHMER SYMBOL MUOY KOET;So;0;ON;;;;;N;;;;;
        "\u19E2",  # ;KHMER SYMBOL PII KOET;So;0;ON;;;;;N;;;;;
        "\u19E3",  # ;KHMER SYMBOL BEI KOET;So;0;ON;;;;;N;;;;;
        "\u19E4",  # ;KHMER SYMBOL BUON KOET;So;0;ON;;;;;N;;;;;
        "\u19E5",  # ;KHMER SYMBOL PRAM KOET;So;0;ON;;;;;N;;;;;
        "\u19E6",  # ;KHMER SYMBOL PRAM-MUOY KOET;So;0;ON;;;;;N;;;;;
        "\u19E7",  # ;KHMER SYMBOL PRAM-PII KOET;So;0;ON;;;;;N;;;;;
        "\u19E8",  # ;KHMER SYMBOL PRAM-BEI KOET;So;0;ON;;;;;N;;;;;
        "\u19E9",  # ;KHMER SYMBOL PRAM-BUON KOET;So;0;ON;;;;;N;;;;;
        "\u19EA",  # ;KHMER SYMBOL DAP KOET;So;0;ON;;;;;N;;;;;
        "\u19EB",  # ;KHMER SYMBOL DAP-MUOY KOET;So;0;ON;;;;;N;;;;;
        "\u19EC",  # ;KHMER SYMBOL DAP-PII KOET;So;0;ON;;;;;N;;;;;
        "\u19ED",  # ;KHMER SYMBOL DAP-BEI KOET;So;0;ON;;;;;N;;;;;
        "\u19EE",  # ;KHMER SYMBOL DAP-BUON KOET;So;0;ON;;;;;N;;;;;
        "\u19EF",  # ;KHMER SYMBOL DAP-PRAM KOET;So;0;ON;;;;;N;;;;;
        "\u19F0",  # ;KHMER SYMBOL TUTEYASAT;So;0;ON;;;;;N;;;;;
        "\u19F1",  # ;KHMER SYMBOL MUOY ROC;So;0;ON;;;;;N;;;;;
        "\u19F2",  # ;KHMER SYMBOL PII ROC;So;0;ON;;;;;N;;;;;
        "\u19F3",  # ;KHMER SYMBOL BEI ROC;So;0;ON;;;;;N;;;;;
        "\u19F4",  # ;KHMER SYMBOL BUON ROC;So;0;ON;;;;;N;;;;;
        "\u19F5",  # ;KHMER SYMBOL PRAM ROC;So;0;ON;;;;;N;;;;;
        "\u19F6",  # ;KHMER SYMBOL PRAM-MUOY ROC;So;0;ON;;;;;N;;;;;
        "\u19F7",  # ;KHMER SYMBOL PRAM-PII ROC;So;0;ON;;;;;N;;;;;
        "\u19F8",  # ;KHMER SYMBOL PRAM-BEI ROC;So;0;ON;;;;;N;;;;;
        "\u19F9",  # ;KHMER SYMBOL PRAM-BUON ROC;So;0;ON;;;;;N;;;;;
        "\u19FA",  # ;KHMER SYMBOL DAP ROC;So;0;ON;;;;;N;;;;;
        "\u19FB",  # ;KHMER SYMBOL DAP-MUOY ROC;So;0;ON;;;;;N;;;;;
        "\u19FC",  # ;KHMER SYMBOL DAP-PII ROC;So;0;ON;;;;;N;;;;;
        "\u19FD",  # ;KHMER SYMBOL DAP-BEI ROC;So;0;ON;;;;;N;;;;;
        "\u19FE",  # ;KHMER SYMBOL DAP-BUON ROC;So;0;ON;;;;;N;;;;;
        "\u19FF",  # ;KHMER SYMBOL DAP-PRAM ROC;So;0;ON;;;;;N;;;;;
        "\u1A00",  # ;BUGINESE LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u1A01",  # ;BUGINESE LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u1A02",  # ;BUGINESE LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u1A03",  # ;BUGINESE LETTER NGKA;Lo;0;L;;;;;N;;;;;
        "\u1A04",  # ;BUGINESE LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u1A05",  # ;BUGINESE LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u1A06",  # ;BUGINESE LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u1A07",  # ;BUGINESE LETTER MPA;Lo;0;L;;;;;N;;;;;
        "\u1A08",  # ;BUGINESE LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u1A09",  # ;BUGINESE LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u1A0A",  # ;BUGINESE LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u1A0B",  # ;BUGINESE LETTER NRA;Lo;0;L;;;;;N;;;;;
        "\u1A0C",  # ;BUGINESE LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u1A0D",  # ;BUGINESE LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u1A0E",  # ;BUGINESE LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u1A0F",  # ;BUGINESE LETTER NYCA;Lo;0;L;;;;;N;;;;;
        "\u1A10",  # ;BUGINESE LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u1A11",  # ;BUGINESE LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u1A12",  # ;BUGINESE LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u1A13",  # ;BUGINESE LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u1A14",  # ;BUGINESE LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u1A15",  # ;BUGINESE LETTER A;Lo;0;L;;;;;N;;;;;
        "\u1A16",  # ;BUGINESE LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u1A17",  # ;BUGINESE VOWEL SIGN I;Mn;230;NSM;;;;;N;;;;;
        "\u1A18",  # ;BUGINESE VOWEL SIGN U;Mn;220;NSM;;;;;N;;;;;
        "\u1A19",  # ;BUGINESE VOWEL SIGN E;Mc;0;L;;;;;N;;;;;
        "\u1A1A",  # ;BUGINESE VOWEL SIGN O;Mc;0;L;;;;;N;;;;;
        "\u1A1B",  # ;BUGINESE VOWEL SIGN AE;Mn;0;NSM;;;;;N;;;;;
        "\u1A1E",  # ;BUGINESE PALLAWA;Po;0;L;;;;;N;;;;;
        "\u1A1F",  # ;BUGINESE END OF SECTION;Po;0;L;;;;;N;;;;;
        "\u1A20",  # ;TAI THAM LETTER HIGH KA;Lo;0;L;;;;;N;;;;;
        "\u1A21",  # ;TAI THAM LETTER HIGH KHA;Lo;0;L;;;;;N;;;;;
        "\u1A22",  # ;TAI THAM LETTER HIGH KXA;Lo;0;L;;;;;N;;;;;
        "\u1A23",  # ;TAI THAM LETTER LOW KA;Lo;0;L;;;;;N;;;;;
        "\u1A24",  # ;TAI THAM LETTER LOW KXA;Lo;0;L;;;;;N;;;;;
        "\u1A25",  # ;TAI THAM LETTER LOW KHA;Lo;0;L;;;;;N;;;;;
        "\u1A26",  # ;TAI THAM LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u1A27",  # ;TAI THAM LETTER HIGH CA;Lo;0;L;;;;;N;;;;;
        "\u1A28",  # ;TAI THAM LETTER HIGH CHA;Lo;0;L;;;;;N;;;;;
        "\u1A29",  # ;TAI THAM LETTER LOW CA;Lo;0;L;;;;;N;;;;;
        "\u1A2A",  # ;TAI THAM LETTER LOW SA;Lo;0;L;;;;;N;;;;;
        "\u1A2B",  # ;TAI THAM LETTER LOW CHA;Lo;0;L;;;;;N;;;;;
        "\u1A2C",  # ;TAI THAM LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u1A2D",  # ;TAI THAM LETTER RATA;Lo;0;L;;;;;N;;;;;
        "\u1A2E",  # ;TAI THAM LETTER HIGH RATHA;Lo;0;L;;;;;N;;;;;
        "\u1A2F",  # ;TAI THAM LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u1A30",  # ;TAI THAM LETTER LOW RATHA;Lo;0;L;;;;;N;;;;;
        "\u1A31",  # ;TAI THAM LETTER RANA;Lo;0;L;;;;;N;;;;;
        "\u1A32",  # ;TAI THAM LETTER HIGH TA;Lo;0;L;;;;;N;;;;;
        "\u1A33",  # ;TAI THAM LETTER HIGH THA;Lo;0;L;;;;;N;;;;;
        "\u1A34",  # ;TAI THAM LETTER LOW TA;Lo;0;L;;;;;N;;;;;
        "\u1A35",  # ;TAI THAM LETTER LOW THA;Lo;0;L;;;;;N;;;;;
        "\u1A36",  # ;TAI THAM LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u1A37",  # ;TAI THAM LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u1A38",  # ;TAI THAM LETTER HIGH PA;Lo;0;L;;;;;N;;;;;
        "\u1A39",  # ;TAI THAM LETTER HIGH PHA;Lo;0;L;;;;;N;;;;;
        "\u1A3A",  # ;TAI THAM LETTER HIGH FA;Lo;0;L;;;;;N;;;;;
        "\u1A3B",  # ;TAI THAM LETTER LOW PA;Lo;0;L;;;;;N;;;;;
        "\u1A3C",  # ;TAI THAM LETTER LOW FA;Lo;0;L;;;;;N;;;;;
        "\u1A3D",  # ;TAI THAM LETTER LOW PHA;Lo;0;L;;;;;N;;;;;
        "\u1A3E",  # ;TAI THAM LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u1A3F",  # ;TAI THAM LETTER LOW YA;Lo;0;L;;;;;N;;;;;
        "\u1A40",  # ;TAI THAM LETTER HIGH YA;Lo;0;L;;;;;N;;;;;
        "\u1A41",  # ;TAI THAM LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u1A42",  # ;TAI THAM LETTER RUE;Lo;0;L;;;;;N;;;;;
        "\u1A43",  # ;TAI THAM LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u1A44",  # ;TAI THAM LETTER LUE;Lo;0;L;;;;;N;;;;;
        "\u1A45",  # ;TAI THAM LETTER WA;Lo;0;L;;;;;N;;;;;
        "\u1A46",  # ;TAI THAM LETTER HIGH SHA;Lo;0;L;;;;;N;;;;;
        "\u1A47",  # ;TAI THAM LETTER HIGH SSA;Lo;0;L;;;;;N;;;;;
        "\u1A48",  # ;TAI THAM LETTER HIGH SA;Lo;0;L;;;;;N;;;;;
        "\u1A49",  # ;TAI THAM LETTER HIGH HA;Lo;0;L;;;;;N;;;;;
        "\u1A4A",  # ;TAI THAM LETTER LLA;Lo;0;L;;;;;N;;;;;
        "\u1A4B",  # ;TAI THAM LETTER A;Lo;0;L;;;;;N;;;;;
        "\u1A4C",  # ;TAI THAM LETTER LOW HA;Lo;0;L;;;;;N;;;;;
        "\u1A4D",  # ;TAI THAM LETTER I;Lo;0;L;;;;;N;;;;;
        "\u1A4E",  # ;TAI THAM LETTER II;Lo;0;L;;;;;N;;;;;
        "\u1A4F",  # ;TAI THAM LETTER U;Lo;0;L;;;;;N;;;;;
        "\u1A50",  # ;TAI THAM LETTER UU;Lo;0;L;;;;;N;;;;;
        "\u1A51",  # ;TAI THAM LETTER EE;Lo;0;L;;;;;N;;;;;
        "\u1A52",  # ;TAI THAM LETTER OO;Lo;0;L;;;;;N;;;;;
        "\u1A53",  # ;TAI THAM LETTER LAE;Lo;0;L;;;;;N;;;;;
        "\u1A54",  # ;TAI THAM LETTER GREAT SA;Lo;0;L;;;;;N;;;;;
        "\u1A55",  # ;TAI THAM CONSONANT SIGN MEDIAL RA;Mc;0;L;;;;;N;;;;;
        "\u1A56",  # ;TAI THAM CONSONANT SIGN MEDIAL LA;Mn;0;NSM;;;;;N;;;;;
        "\u1A57",  # ;TAI THAM CONSONANT SIGN LA TANG LAI;Mc;0;L;;;;;N;;;;;
        "\u1A58",  # ;TAI THAM SIGN MAI KANG LAI;Mn;0;NSM;;;;;N;;;;;
        "\u1A59",  # ;TAI THAM CONSONANT SIGN FINAL NGA;Mn;0;NSM;;;;;N;;;;;
        "\u1A5A",  # ;TAI THAM CONSONANT SIGN LOW PA;Mn;0;NSM;;;;;N;;;;;
        "\u1A5B",  # ;TAI THAM CONSONANT SIGN HIGH RATHA OR LOW PA;Mn;0;NSM;;;;;N;;;;;
        "\u1A5C",  # ;TAI THAM CONSONANT SIGN MA;Mn;0;NSM;;;;;N;;;;;
        "\u1A5D",  # ;TAI THAM CONSONANT SIGN BA;Mn;0;NSM;;;;;N;;;;;
        "\u1A5E",  # ;TAI THAM CONSONANT SIGN SA;Mn;0;NSM;;;;;N;;;;;
        "\u1A60",  # ;TAI THAM SIGN SAKOT;Mn;9;NSM;;;;;N;;;;;
        "\u1A61",  # ;TAI THAM VOWEL SIGN A;Mc;0;L;;;;;N;;;;;
        "\u1A62",  # ;TAI THAM VOWEL SIGN MAI SAT;Mn;0;NSM;;;;;N;;;;;
        "\u1A63",  # ;TAI THAM VOWEL SIGN AA;Mc;0;L;;;;;N;;;;;
        "\u1A64",  # ;TAI THAM VOWEL SIGN TALL AA;Mc;0;L;;;;;N;;;;;
        "\u1A65",  # ;TAI THAM VOWEL SIGN I;Mn;0;NSM;;;;;N;;;;;
        "\u1A66",  # ;TAI THAM VOWEL SIGN II;Mn;0;NSM;;;;;N;;;;;
        "\u1A67",  # ;TAI THAM VOWEL SIGN UE;Mn;0;NSM;;;;;N;;;;;
        "\u1A68",  # ;TAI THAM VOWEL SIGN UUE;Mn;0;NSM;;;;;N;;;;;
        "\u1A69",  # ;TAI THAM VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u1A6A",  # ;TAI THAM VOWEL SIGN UU;Mn;0;NSM;;;;;N;;;;;
        "\u1A6B",  # ;TAI THAM VOWEL SIGN O;Mn;0;NSM;;;;;N;;;;;
        "\u1A6C",  # ;TAI THAM VOWEL SIGN OA BELOW;Mn;0;NSM;;;;;N;;;;;
        "\u1A6D",  # ;TAI THAM VOWEL SIGN OY;Mc;0;L;;;;;N;;;;;
        "\u1A6E",  # ;TAI THAM VOWEL SIGN E;Mc;0;L;;;;;N;;;;;
        "\u1A6F",  # ;TAI THAM VOWEL SIGN AE;Mc;0;L;;;;;N;;;;;
        "\u1A70",  # ;TAI THAM VOWEL SIGN OO;Mc;0;L;;;;;N;;;;;
        "\u1A71",  # ;TAI THAM VOWEL SIGN AI;Mc;0;L;;;;;N;;;;;
        "\u1A72",  # ;TAI THAM VOWEL SIGN THAM AI;Mc;0;L;;;;;N;;;;;
        "\u1A73",  # ;TAI THAM VOWEL SIGN OA ABOVE;Mn;0;NSM;;;;;N;;;;;
        "\u1A74",  # ;TAI THAM SIGN MAI KANG;Mn;0;NSM;;;;;N;;;;;
        "\u1A75",  # ;TAI THAM SIGN TONE-1;Mn;230;NSM;;;;;N;;;;;
        "\u1A76",  # ;TAI THAM SIGN TONE-2;Mn;230;NSM;;;;;N;;;;;
        "\u1A77",  # ;TAI THAM SIGN KHUEN TONE-3;Mn;230;NSM;;;;;N;;;;;
        "\u1A78",  # ;TAI THAM SIGN KHUEN TONE-4;Mn;230;NSM;;;;;N;;;;;
        "\u1A79",  # ;TAI THAM SIGN KHUEN TONE-5;Mn;230;NSM;;;;;N;;;;;
        "\u1A7A",  # ;TAI THAM SIGN RA HAAM;Mn;230;NSM;;;;;N;;;;;
        "\u1A7B",  # ;TAI THAM SIGN MAI SAM;Mn;230;NSM;;;;;N;;;;;
        "\u1A7C",  # ;TAI THAM SIGN KHUEN-LUE KARAN;Mn;230;NSM;;;;;N;;;;;
        "\u1A7F",  # ;TAI THAM COMBINING CRYPTOGRAMMIC DOT;Mn;220;NSM;;;;;N;;;;;
        "\u1A80",  # ;TAI THAM HORA DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u1A81",  # ;TAI THAM HORA DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u1A82",  # ;TAI THAM HORA DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u1A83",  # ;TAI THAM HORA DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u1A84",  # ;TAI THAM HORA DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u1A85",  # ;TAI THAM HORA DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u1A86",  # ;TAI THAM HORA DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u1A87",  # ;TAI THAM HORA DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u1A88",  # ;TAI THAM HORA DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u1A89",  # ;TAI THAM HORA DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u1A90",  # ;TAI THAM THAM DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u1A91",  # ;TAI THAM THAM DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u1A92",  # ;TAI THAM THAM DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u1A93",  # ;TAI THAM THAM DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u1A94",  # ;TAI THAM THAM DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u1A95",  # ;TAI THAM THAM DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u1A96",  # ;TAI THAM THAM DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u1A97",  # ;TAI THAM THAM DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u1A98",  # ;TAI THAM THAM DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u1A99",  # ;TAI THAM THAM DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u1AA0",  # ;TAI THAM SIGN WIANG;Po;0;L;;;;;N;;;;;
        "\u1AA1",  # ;TAI THAM SIGN WIANGWAAK;Po;0;L;;;;;N;;;;;
        "\u1AA2",  # ;TAI THAM SIGN SAWAN;Po;0;L;;;;;N;;;;;
        "\u1AA3",  # ;TAI THAM SIGN KEOW;Po;0;L;;;;;N;;;;;
        "\u1AA4",  # ;TAI THAM SIGN HOY;Po;0;L;;;;;N;;;;;
        "\u1AA5",  # ;TAI THAM SIGN DOKMAI;Po;0;L;;;;;N;;;;;
        "\u1AA6",  # ;TAI THAM SIGN REVERSED ROTATED RANA;Po;0;L;;;;;N;;;;;
        "\u1AA7",  # ;TAI THAM SIGN MAI YAMOK;Lm;0;L;;;;;N;;;;;
        "\u1AA8",  # ;TAI THAM SIGN KAAN;Po;0;L;;;;;N;;;;;
        "\u1AA9",  # ;TAI THAM SIGN KAANKUU;Po;0;L;;;;;N;;;;;
        "\u1AAA",  # ;TAI THAM SIGN SATKAAN;Po;0;L;;;;;N;;;;;
        "\u1AAB",  # ;TAI THAM SIGN SATKAANKUU;Po;0;L;;;;;N;;;;;
        "\u1AAC",  # ;TAI THAM SIGN HANG;Po;0;L;;;;;N;;;;;
        "\u1AAD",  # ;TAI THAM SIGN CAANG;Po;0;L;;;;;N;;;;;
        "\u1AB0",  # ;COMBINING DOUBLED CIRCUMFLEX ACCENT;Mn;230;NSM;;;;;N;;;;;
        "\u1AB1",  # ;COMBINING DIAERESIS-RING;Mn;230;NSM;;;;;N;;;;;
        "\u1AB2",  # ;COMBINING INFINITY;Mn;230;NSM;;;;;N;;;;;
        "\u1AB3",  # ;COMBINING DOWNWARDS ARROW;Mn;230;NSM;;;;;N;;;;;
        "\u1AB4",  # ;COMBINING TRIPLE DOT;Mn;230;NSM;;;;;N;;;;;
        "\u1AB5",  # ;COMBINING X-X BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u1AB6",  # ;COMBINING WIGGLY LINE BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u1AB7",  # ;COMBINING OPEN MARK BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u1AB8",  # ;COMBINING DOUBLE OPEN MARK BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u1AB9",  # ;COMBINING LIGHT CENTRALIZATION STROKE BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u1ABA",  # ;COMBINING STRONG CENTRALIZATION STROKE BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u1ABB",  # ;COMBINING PARENTHESES ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u1ABC",  # ;COMBINING DOUBLE PARENTHESES ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u1ABD",  # ;COMBINING PARENTHESES BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u1ABE",  # ;COMBINING PARENTHESES OVERLAY;Me;0;NSM;;;;;N;;;;;
        "\u1B00",  # ;BALINESE SIGN ULU RICEM;Mn;0;NSM;;;;;N;;;;;
        "\u1B01",  # ;BALINESE SIGN ULU CANDRA;Mn;0;NSM;;;;;N;;;;;
        "\u1B02",  # ;BALINESE SIGN CECEK;Mn;0;NSM;;;;;N;;;;;
        "\u1B03",  # ;BALINESE SIGN SURANG;Mn;0;NSM;;;;;N;;;;;
        "\u1B04",  # ;BALINESE SIGN BISAH;Mc;0;L;;;;;N;;;;;
        "\u1B05",  # ;BALINESE LETTER AKARA;Lo;0;L;;;;;N;;;;;
        "\u1B06",  # ;BALINESE LETTER AKARA TEDUNG;Lo;0;L;1B05 1B35;;;;N;;;;;
        "\u1B07",  # ;BALINESE LETTER IKARA;Lo;0;L;;;;;N;;;;;
        "\u1B08",  # ;BALINESE LETTER IKARA TEDUNG;Lo;0;L;1B07 1B35;;;;N;;;;;
        "\u1B09",  # ;BALINESE LETTER UKARA;Lo;0;L;;;;;N;;;;;
        "\u1B0A",  # ;BALINESE LETTER UKARA TEDUNG;Lo;0;L;1B09 1B35;;;;N;;;;;
        "\u1B0B",  # ;BALINESE LETTER RA REPA;Lo;0;L;;;;;N;;;;;
        "\u1B0C",  # ;BALINESE LETTER RA REPA TEDUNG;Lo;0;L;1B0B 1B35;;;;N;;;;;
        "\u1B0D",  # ;BALINESE LETTER LA LENGA;Lo;0;L;;;;;N;;;;;
        "\u1B0E",  # ;BALINESE LETTER LA LENGA TEDUNG;Lo;0;L;1B0D 1B35;;;;N;;;;;
        "\u1B0F",  # ;BALINESE LETTER EKARA;Lo;0;L;;;;;N;;;;;
        "\u1B10",  # ;BALINESE LETTER AIKARA;Lo;0;L;;;;;N;;;;;
        "\u1B11",  # ;BALINESE LETTER OKARA;Lo;0;L;;;;;N;;;;;
        "\u1B12",  # ;BALINESE LETTER OKARA TEDUNG;Lo;0;L;1B11 1B35;;;;N;;;;;
        "\u1B13",  # ;BALINESE LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u1B14",  # ;BALINESE LETTER KA MAHAPRANA;Lo;0;L;;;;;N;;;;;
        "\u1B15",  # ;BALINESE LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u1B16",  # ;BALINESE LETTER GA GORA;Lo;0;L;;;;;N;;;;;
        "\u1B17",  # ;BALINESE LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u1B18",  # ;BALINESE LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u1B19",  # ;BALINESE LETTER CA LACA;Lo;0;L;;;;;N;;;;;
        "\u1B1A",  # ;BALINESE LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u1B1B",  # ;BALINESE LETTER JA JERA;Lo;0;L;;;;;N;;;;;
        "\u1B1C",  # ;BALINESE LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u1B1D",  # ;BALINESE LETTER TA LATIK;Lo;0;L;;;;;N;;;;;
        "\u1B1E",  # ;BALINESE LETTER TA MURDA MAHAPRANA;Lo;0;L;;;;;N;;;;;
        "\u1B1F",  # ;BALINESE LETTER DA MURDA ALPAPRANA;Lo;0;L;;;;;N;;;;;
        "\u1B20",  # ;BALINESE LETTER DA MURDA MAHAPRANA;Lo;0;L;;;;;N;;;;;
        "\u1B21",  # ;BALINESE LETTER NA RAMBAT;Lo;0;L;;;;;N;;;;;
        "\u1B22",  # ;BALINESE LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u1B23",  # ;BALINESE LETTER TA TAWA;Lo;0;L;;;;;N;;;;;
        "\u1B24",  # ;BALINESE LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u1B25",  # ;BALINESE LETTER DA MADU;Lo;0;L;;;;;N;;;;;
        "\u1B26",  # ;BALINESE LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u1B27",  # ;BALINESE LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u1B28",  # ;BALINESE LETTER PA KAPAL;Lo;0;L;;;;;N;;;;;
        "\u1B29",  # ;BALINESE LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u1B2A",  # ;BALINESE LETTER BA KEMBANG;Lo;0;L;;;;;N;;;;;
        "\u1B2B",  # ;BALINESE LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u1B2C",  # ;BALINESE LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u1B2D",  # ;BALINESE LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u1B2E",  # ;BALINESE LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u1B2F",  # ;BALINESE LETTER WA;Lo;0;L;;;;;N;;;;;
        "\u1B30",  # ;BALINESE LETTER SA SAGA;Lo;0;L;;;;;N;;;;;
        "\u1B31",  # ;BALINESE LETTER SA SAPA;Lo;0;L;;;;;N;;;;;
        "\u1B32",  # ;BALINESE LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u1B33",  # ;BALINESE LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u1B34",  # ;BALINESE SIGN REREKAN;Mn;7;NSM;;;;;N;;;;;
        "\u1B35",  # ;BALINESE VOWEL SIGN TEDUNG;Mc;0;L;;;;;N;;;;;
        "\u1B36",  # ;BALINESE VOWEL SIGN ULU;Mn;0;NSM;;;;;N;;;;;
        "\u1B37",  # ;BALINESE VOWEL SIGN ULU SARI;Mn;0;NSM;;;;;N;;;;;
        "\u1B38",  # ;BALINESE VOWEL SIGN SUKU;Mn;0;NSM;;;;;N;;;;;
        "\u1B39",  # ;BALINESE VOWEL SIGN SUKU ILUT;Mn;0;NSM;;;;;N;;;;;
        "\u1B3A",  # ;BALINESE VOWEL SIGN RA REPA;Mn;0;NSM;;;;;N;;;;;
        "\u1B3B",  # ;BALINESE VOWEL SIGN RA REPA TEDUNG;Mc;0;L;1B3A 1B35;;;;N;;;;;
        "\u1B3C",  # ;BALINESE VOWEL SIGN LA LENGA;Mn;0;NSM;;;;;N;;;;;
        "\u1B3D",  # ;BALINESE VOWEL SIGN LA LENGA TEDUNG;Mc;0;L;1B3C 1B35;;;;N;;;;;
        "\u1B3E",  # ;BALINESE VOWEL SIGN TALING;Mc;0;L;;;;;N;;;;;
        "\u1B3F",  # ;BALINESE VOWEL SIGN TALING REPA;Mc;0;L;;;;;N;;;;;
        "\u1B40",  # ;BALINESE VOWEL SIGN TALING TEDUNG;Mc;0;L;1B3E 1B35;;;;N;;;;;
        "\u1B41",  # ;BALINESE VOWEL SIGN TALING REPA TEDUNG;Mc;0;L;1B3F 1B35;;;;N;;;;;
        "\u1B42",  # ;BALINESE VOWEL SIGN PEPET;Mn;0;NSM;;;;;N;;;;;
        "\u1B43",  # ;BALINESE VOWEL SIGN PEPET TEDUNG;Mc;0;L;1B42 1B35;;;;N;;;;;
        "\u1B44",  # ;BALINESE ADEG ADEG;Mc;9;L;;;;;N;;;;;
        "\u1B45",  # ;BALINESE LETTER KAF SASAK;Lo;0;L;;;;;N;;;;;
        "\u1B46",  # ;BALINESE LETTER KHOT SASAK;Lo;0;L;;;;;N;;;;;
        "\u1B47",  # ;BALINESE LETTER TZIR SASAK;Lo;0;L;;;;;N;;;;;
        "\u1B48",  # ;BALINESE LETTER EF SASAK;Lo;0;L;;;;;N;;;;;
        "\u1B49",  # ;BALINESE LETTER VE SASAK;Lo;0;L;;;;;N;;;;;
        "\u1B4A",  # ;BALINESE LETTER ZAL SASAK;Lo;0;L;;;;;N;;;;;
        "\u1B4B",  # ;BALINESE LETTER ASYURA SASAK;Lo;0;L;;;;;N;;;;;
        "\u1B50",  # ;BALINESE DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u1B51",  # ;BALINESE DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u1B52",  # ;BALINESE DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u1B53",  # ;BALINESE DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u1B54",  # ;BALINESE DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u1B55",  # ;BALINESE DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u1B56",  # ;BALINESE DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u1B57",  # ;BALINESE DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u1B58",  # ;BALINESE DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u1B59",  # ;BALINESE DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u1B5A",  # ;BALINESE PANTI;Po;0;L;;;;;N;;;;;
        "\u1B5B",  # ;BALINESE PAMADA;Po;0;L;;;;;N;;;;;
        "\u1B5C",  # ;BALINESE WINDU;Po;0;L;;;;;N;;;;;
        "\u1B5D",  # ;BALINESE CARIK PAMUNGKAH;Po;0;L;;;;;N;;;;;
        "\u1B5E",  # ;BALINESE CARIK SIKI;Po;0;L;;;;;N;;;;;
        "\u1B5F",  # ;BALINESE CARIK PAREREN;Po;0;L;;;;;N;;;;;
        "\u1B60",  # ;BALINESE PAMENENG;Po;0;L;;;;;N;;;;;
        "\u1B61",  # ;BALINESE MUSICAL SYMBOL DONG;So;0;L;;;;;N;;;;;
        "\u1B62",  # ;BALINESE MUSICAL SYMBOL DENG;So;0;L;;;;;N;;;;;
        "\u1B63",  # ;BALINESE MUSICAL SYMBOL DUNG;So;0;L;;;;;N;;;;;
        "\u1B64",  # ;BALINESE MUSICAL SYMBOL DANG;So;0;L;;;;;N;;;;;
        "\u1B65",  # ;BALINESE MUSICAL SYMBOL DANG SURANG;So;0;L;;;;;N;;;;;
        "\u1B66",  # ;BALINESE MUSICAL SYMBOL DING;So;0;L;;;;;N;;;;;
        "\u1B67",  # ;BALINESE MUSICAL SYMBOL DAENG;So;0;L;;;;;N;;;;;
        "\u1B68",  # ;BALINESE MUSICAL SYMBOL DEUNG;So;0;L;;;;;N;;;;;
        "\u1B69",  # ;BALINESE MUSICAL SYMBOL DAING;So;0;L;;;;;N;;;;;
        "\u1B6A",  # ;BALINESE MUSICAL SYMBOL DANG GEDE;So;0;L;;;;;N;;;;;
        "\u1B6B",  # ;BALINESE MUSICAL SYMBOL COMBINING TEGEH;Mn;230;NSM;;;;;N;;;;;
        "\u1B6C",  # ;BALINESE MUSICAL SYMBOL COMBINING ENDEP;Mn;220;NSM;;;;;N;;;;;
        "\u1B6D",  # ;BALINESE MUSICAL SYMBOL COMBINING KEMPUL;Mn;230;NSM;;;;;N;;;;;
        "\u1B6E",  # ;BALINESE MUSICAL SYMBOL COMBINING KEMPLI;Mn;230;NSM;;;;;N;;;;;
        "\u1B6F",  # ;BALINESE MUSICAL SYMBOL COMBINING JEGOGAN;Mn;230;NSM;;;;;N;;;;;
        "\u1B70",  # ;BALINESE MUSICAL SYMBOL COMBINING KEMPUL WITH JEGOGAN;Mn;230;NSM;;;;;N;;;;;
        "\u1B71",  # ;BALINESE MUSICAL SYMBOL COMBINING KEMPLI WITH JEGOGAN;Mn;230;NSM;;;;;N;;;;;
        "\u1B72",  # ;BALINESE MUSICAL SYMBOL COMBINING BENDE;Mn;230;NSM;;;;;N;;;;;
        "\u1B73",  # ;BALINESE MUSICAL SYMBOL COMBINING GONG;Mn;230;NSM;;;;;N;;;;;
        "\u1B74",  # ;BALINESE MUSICAL SYMBOL RIGHT-HAND OPEN DUG;So;0;L;;;;;N;;;;;
        "\u1B75",  # ;BALINESE MUSICAL SYMBOL RIGHT-HAND OPEN DAG;So;0;L;;;;;N;;;;;
        "\u1B76",  # ;BALINESE MUSICAL SYMBOL RIGHT-HAND CLOSED TUK;So;0;L;;;;;N;;;;;
        "\u1B77",  # ;BALINESE MUSICAL SYMBOL RIGHT-HAND CLOSED TAK;So;0;L;;;;;N;;;;;
        "\u1B78",  # ;BALINESE MUSICAL SYMBOL LEFT-HAND OPEN PANG;So;0;L;;;;;N;;;;;
        "\u1B79",  # ;BALINESE MUSICAL SYMBOL LEFT-HAND OPEN PUNG;So;0;L;;;;;N;;;;;
        "\u1B7A",  # ;BALINESE MUSICAL SYMBOL LEFT-HAND CLOSED PLAK;So;0;L;;;;;N;;;;;
        "\u1B7B",  # ;BALINESE MUSICAL SYMBOL LEFT-HAND CLOSED PLUK;So;0;L;;;;;N;;;;;
        "\u1B7C",  # ;BALINESE MUSICAL SYMBOL LEFT-HAND OPEN PING;So;0;L;;;;;N;;;;;
        "\u1B80",  # ;SUNDANESE SIGN PANYECEK;Mn;0;NSM;;;;;N;;;;;
        "\u1B81",  # ;SUNDANESE SIGN PANGLAYAR;Mn;0;NSM;;;;;N;;;;;
        "\u1B82",  # ;SUNDANESE SIGN PANGWISAD;Mc;0;L;;;;;N;;;;;
        "\u1B83",  # ;SUNDANESE LETTER A;Lo;0;L;;;;;N;;;;;
        "\u1B84",  # ;SUNDANESE LETTER I;Lo;0;L;;;;;N;;;;;
        "\u1B85",  # ;SUNDANESE LETTER U;Lo;0;L;;;;;N;;;;;
        "\u1B86",  # ;SUNDANESE LETTER AE;Lo;0;L;;;;;N;;;;;
        "\u1B87",  # ;SUNDANESE LETTER O;Lo;0;L;;;;;N;;;;;
        "\u1B88",  # ;SUNDANESE LETTER E;Lo;0;L;;;;;N;;;;;
        "\u1B89",  # ;SUNDANESE LETTER EU;Lo;0;L;;;;;N;;;;;
        "\u1B8A",  # ;SUNDANESE LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u1B8B",  # ;SUNDANESE LETTER QA;Lo;0;L;;;;;N;;;;;
        "\u1B8C",  # ;SUNDANESE LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u1B8D",  # ;SUNDANESE LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u1B8E",  # ;SUNDANESE LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u1B8F",  # ;SUNDANESE LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u1B90",  # ;SUNDANESE LETTER ZA;Lo;0;L;;;;;N;;;;;
        "\u1B91",  # ;SUNDANESE LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u1B92",  # ;SUNDANESE LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u1B93",  # ;SUNDANESE LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u1B94",  # ;SUNDANESE LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u1B95",  # ;SUNDANESE LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u1B96",  # ;SUNDANESE LETTER FA;Lo;0;L;;;;;N;;;;;
        "\u1B97",  # ;SUNDANESE LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u1B98",  # ;SUNDANESE LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u1B99",  # ;SUNDANESE LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u1B9A",  # ;SUNDANESE LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u1B9B",  # ;SUNDANESE LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u1B9C",  # ;SUNDANESE LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u1B9D",  # ;SUNDANESE LETTER WA;Lo;0;L;;;;;N;;;;;
        "\u1B9E",  # ;SUNDANESE LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u1B9F",  # ;SUNDANESE LETTER XA;Lo;0;L;;;;;N;;;;;
        "\u1BA0",  # ;SUNDANESE LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u1BA1",  # ;SUNDANESE CONSONANT SIGN PAMINGKAL;Mc;0;L;;;;;N;;;;;
        "\u1BA2",  # ;SUNDANESE CONSONANT SIGN PANYAKRA;Mn;0;NSM;;;;;N;;;;;
        "\u1BA3",  # ;SUNDANESE CONSONANT SIGN PANYIKU;Mn;0;NSM;;;;;N;;;;;
        "\u1BA4",  # ;SUNDANESE VOWEL SIGN PANGHULU;Mn;0;NSM;;;;;N;;;;;
        "\u1BA5",  # ;SUNDANESE VOWEL SIGN PANYUKU;Mn;0;NSM;;;;;N;;;;;
        "\u1BA6",  # ;SUNDANESE VOWEL SIGN PANAELAENG;Mc;0;L;;;;;N;;;;;
        "\u1BA7",  # ;SUNDANESE VOWEL SIGN PANOLONG;Mc;0;L;;;;;N;;;;;
        "\u1BA8",  # ;SUNDANESE VOWEL SIGN PAMEPET;Mn;0;NSM;;;;;N;;;;;
        "\u1BA9",  # ;SUNDANESE VOWEL SIGN PANEULEUNG;Mn;0;NSM;;;;;N;;;;;
        "\u1BAA",  # ;SUNDANESE SIGN PAMAAEH;Mc;9;L;;;;;N;;;;;
        "\u1BAB",  # ;SUNDANESE SIGN VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\u1BAC",  # ;SUNDANESE CONSONANT SIGN PASANGAN MA;Mn;0;NSM;;;;;N;;;;;
        "\u1BAD",  # ;SUNDANESE CONSONANT SIGN PASANGAN WA;Mn;0;NSM;;;;;N;;;;;
        "\u1BAE",  # ;SUNDANESE LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u1BAF",  # ;SUNDANESE LETTER SYA;Lo;0;L;;;;;N;;;;;
        "\u1BB0",  # ;SUNDANESE DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u1BB1",  # ;SUNDANESE DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u1BB2",  # ;SUNDANESE DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u1BB3",  # ;SUNDANESE DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u1BB4",  # ;SUNDANESE DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u1BB5",  # ;SUNDANESE DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u1BB6",  # ;SUNDANESE DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u1BB7",  # ;SUNDANESE DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u1BB8",  # ;SUNDANESE DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u1BB9",  # ;SUNDANESE DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u1BBA",  # ;SUNDANESE AVAGRAHA;Lo;0;L;;;;;N;;;;;
        "\u1BBB",  # ;SUNDANESE LETTER REU;Lo;0;L;;;;;N;;;;;
        "\u1BBC",  # ;SUNDANESE LETTER LEU;Lo;0;L;;;;;N;;;;;
        "\u1BBD",  # ;SUNDANESE LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u1BBE",  # ;SUNDANESE LETTER FINAL K;Lo;0;L;;;;;N;;;;;
        "\u1BBF",  # ;SUNDANESE LETTER FINAL M;Lo;0;L;;;;;N;;;;;
        "\u1BC0",  # ;BATAK LETTER A;Lo;0;L;;;;;N;;;;;
        "\u1BC1",  # ;BATAK LETTER SIMALUNGUN A;Lo;0;L;;;;;N;;;;;
        "\u1BC2",  # ;BATAK LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u1BC3",  # ;BATAK LETTER SIMALUNGUN HA;Lo;0;L;;;;;N;;;;;
        "\u1BC4",  # ;BATAK LETTER MANDAILING HA;Lo;0;L;;;;;N;;;;;
        "\u1BC5",  # ;BATAK LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u1BC6",  # ;BATAK LETTER KARO BA;Lo;0;L;;;;;N;;;;;
        "\u1BC7",  # ;BATAK LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u1BC8",  # ;BATAK LETTER SIMALUNGUN PA;Lo;0;L;;;;;N;;;;;
        "\u1BC9",  # ;BATAK LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u1BCA",  # ;BATAK LETTER MANDAILING NA;Lo;0;L;;;;;N;;;;;
        "\u1BCB",  # ;BATAK LETTER WA;Lo;0;L;;;;;N;;;;;
        "\u1BCC",  # ;BATAK LETTER SIMALUNGUN WA;Lo;0;L;;;;;N;;;;;
        "\u1BCD",  # ;BATAK LETTER PAKPAK WA;Lo;0;L;;;;;N;;;;;
        "\u1BCE",  # ;BATAK LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u1BCF",  # ;BATAK LETTER SIMALUNGUN GA;Lo;0;L;;;;;N;;;;;
        "\u1BD0",  # ;BATAK LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u1BD1",  # ;BATAK LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u1BD2",  # ;BATAK LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u1BD3",  # ;BATAK LETTER SIMALUNGUN RA;Lo;0;L;;;;;N;;;;;
        "\u1BD4",  # ;BATAK LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u1BD5",  # ;BATAK LETTER SIMALUNGUN MA;Lo;0;L;;;;;N;;;;;
        "\u1BD6",  # ;BATAK LETTER SOUTHERN TA;Lo;0;L;;;;;N;;;;;
        "\u1BD7",  # ;BATAK LETTER NORTHERN TA;Lo;0;L;;;;;N;;;;;
        "\u1BD8",  # ;BATAK LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u1BD9",  # ;BATAK LETTER SIMALUNGUN SA;Lo;0;L;;;;;N;;;;;
        "\u1BDA",  # ;BATAK LETTER MANDAILING SA;Lo;0;L;;;;;N;;;;;
        "\u1BDB",  # ;BATAK LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u1BDC",  # ;BATAK LETTER SIMALUNGUN YA;Lo;0;L;;;;;N;;;;;
        "\u1BDD",  # ;BATAK LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u1BDE",  # ;BATAK LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u1BDF",  # ;BATAK LETTER SIMALUNGUN LA;Lo;0;L;;;;;N;;;;;
        "\u1BE0",  # ;BATAK LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u1BE1",  # ;BATAK LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u1BE2",  # ;BATAK LETTER NDA;Lo;0;L;;;;;N;;;;;
        "\u1BE3",  # ;BATAK LETTER MBA;Lo;0;L;;;;;N;;;;;
        "\u1BE4",  # ;BATAK LETTER I;Lo;0;L;;;;;N;;;;;
        "\u1BE5",  # ;BATAK LETTER U;Lo;0;L;;;;;N;;;;;
        "\u1BE6",  # ;BATAK SIGN TOMPI;Mn;7;NSM;;;;;N;;;;;
        "\u1BE7",  # ;BATAK VOWEL SIGN E;Mc;0;L;;;;;N;;;;;
        "\u1BE8",  # ;BATAK VOWEL SIGN PAKPAK E;Mn;0;NSM;;;;;N;;;;;
        "\u1BE9",  # ;BATAK VOWEL SIGN EE;Mn;0;NSM;;;;;N;;;;;
        "\u1BEA",  # ;BATAK VOWEL SIGN I;Mc;0;L;;;;;N;;;;;
        "\u1BEB",  # ;BATAK VOWEL SIGN KARO I;Mc;0;L;;;;;N;;;;;
        "\u1BEC",  # ;BATAK VOWEL SIGN O;Mc;0;L;;;;;N;;;;;
        "\u1BED",  # ;BATAK VOWEL SIGN KARO O;Mn;0;NSM;;;;;N;;;;;
        "\u1BEE",  # ;BATAK VOWEL SIGN U;Mc;0;L;;;;;N;;;;;
        "\u1BEF",  # ;BATAK VOWEL SIGN U FOR SIMALUNGUN SA;Mn;0;NSM;;;;;N;;;;;
        "\u1BF0",  # ;BATAK CONSONANT SIGN NG;Mn;0;NSM;;;;;N;;;;;
        "\u1BF1",  # ;BATAK CONSONANT SIGN H;Mn;0;NSM;;;;;N;;;;;
        "\u1BF2",  # ;BATAK PANGOLAT;Mc;9;L;;;;;N;;;;;
        "\u1BF3",  # ;BATAK PANONGONAN;Mc;9;L;;;;;N;;;;;
        "\u1BFC",  # ;BATAK SYMBOL BINDU NA METEK;Po;0;L;;;;;N;;;;;
        "\u1BFD",  # ;BATAK SYMBOL BINDU PINARBORAS;Po;0;L;;;;;N;;;;;
        "\u1BFE",  # ;BATAK SYMBOL BINDU JUDUL;Po;0;L;;;;;N;;;;;
        "\u1BFF",  # ;BATAK SYMBOL BINDU PANGOLAT;Po;0;L;;;;;N;;;;;
        "\u1C00",  # ;LEPCHA LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u1C01",  # ;LEPCHA LETTER KLA;Lo;0;L;;;;;N;;;;;
        "\u1C02",  # ;LEPCHA LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u1C03",  # ;LEPCHA LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u1C04",  # ;LEPCHA LETTER GLA;Lo;0;L;;;;;N;;;;;
        "\u1C05",  # ;LEPCHA LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u1C06",  # ;LEPCHA LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u1C07",  # ;LEPCHA LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u1C08",  # ;LEPCHA LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u1C09",  # ;LEPCHA LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u1C0A",  # ;LEPCHA LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u1C0B",  # ;LEPCHA LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u1C0C",  # ;LEPCHA LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u1C0D",  # ;LEPCHA LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u1C0E",  # ;LEPCHA LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u1C0F",  # ;LEPCHA LETTER PLA;Lo;0;L;;;;;N;;;;;
        "\u1C10",  # ;LEPCHA LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u1C11",  # ;LEPCHA LETTER FA;Lo;0;L;;;;;N;;;;;
        "\u1C12",  # ;LEPCHA LETTER FLA;Lo;0;L;;;;;N;;;;;
        "\u1C13",  # ;LEPCHA LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u1C14",  # ;LEPCHA LETTER BLA;Lo;0;L;;;;;N;;;;;
        "\u1C15",  # ;LEPCHA LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u1C16",  # ;LEPCHA LETTER MLA;Lo;0;L;;;;;N;;;;;
        "\u1C17",  # ;LEPCHA LETTER TSA;Lo;0;L;;;;;N;;;;;
        "\u1C18",  # ;LEPCHA LETTER TSHA;Lo;0;L;;;;;N;;;;;
        "\u1C19",  # ;LEPCHA LETTER DZA;Lo;0;L;;;;;N;;;;;
        "\u1C1A",  # ;LEPCHA LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u1C1B",  # ;LEPCHA LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u1C1C",  # ;LEPCHA LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u1C1D",  # ;LEPCHA LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u1C1E",  # ;LEPCHA LETTER HLA;Lo;0;L;;;;;N;;;;;
        "\u1C1F",  # ;LEPCHA LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u1C20",  # ;LEPCHA LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u1C21",  # ;LEPCHA LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u1C22",  # ;LEPCHA LETTER WA;Lo;0;L;;;;;N;;;;;
        "\u1C23",  # ;LEPCHA LETTER A;Lo;0;L;;;;;N;;;;;
        "\u1C24",  # ;LEPCHA SUBJOINED LETTER YA;Mc;0;L;;;;;N;;;;;
        "\u1C25",  # ;LEPCHA SUBJOINED LETTER RA;Mc;0;L;;;;;N;;;;;
        "\u1C26",  # ;LEPCHA VOWEL SIGN AA;Mc;0;L;;;;;N;;;;;
        "\u1C27",  # ;LEPCHA VOWEL SIGN I;Mc;0;L;;;;;N;;;;;
        "\u1C28",  # ;LEPCHA VOWEL SIGN O;Mc;0;L;;;;;N;;;;;
        "\u1C29",  # ;LEPCHA VOWEL SIGN OO;Mc;0;L;;;;;N;;;;;
        "\u1C2A",  # ;LEPCHA VOWEL SIGN U;Mc;0;L;;;;;N;;;;;
        "\u1C2B",  # ;LEPCHA VOWEL SIGN UU;Mc;0;L;;;;;N;;;;;
        "\u1C2C",  # ;LEPCHA VOWEL SIGN E;Mn;0;NSM;;;;;N;;;;;
        "\u1C2D",  # ;LEPCHA CONSONANT SIGN K;Mn;0;NSM;;;;;N;;;;;
        "\u1C2E",  # ;LEPCHA CONSONANT SIGN M;Mn;0;NSM;;;;;N;;;;;
        "\u1C2F",  # ;LEPCHA CONSONANT SIGN L;Mn;0;NSM;;;;;N;;;;;
        "\u1C30",  # ;LEPCHA CONSONANT SIGN N;Mn;0;NSM;;;;;N;;;;;
        "\u1C31",  # ;LEPCHA CONSONANT SIGN P;Mn;0;NSM;;;;;N;;;;;
        "\u1C32",  # ;LEPCHA CONSONANT SIGN R;Mn;0;NSM;;;;;N;;;;;
        "\u1C33",  # ;LEPCHA CONSONANT SIGN T;Mn;0;NSM;;;;;N;;;;;
        "\u1C34",  # ;LEPCHA CONSONANT SIGN NYIN-DO;Mc;0;L;;;;;N;;;;;
        "\u1C35",  # ;LEPCHA CONSONANT SIGN KANG;Mc;0;L;;;;;N;;;;;
        "\u1C36",  # ;LEPCHA SIGN RAN;Mn;0;NSM;;;;;N;;;;;
        "\u1C37",  # ;LEPCHA SIGN NUKTA;Mn;7;NSM;;;;;N;;;;;
        "\u1C3B",  # ;LEPCHA PUNCTUATION TA-ROL;Po;0;L;;;;;N;;;;;
        "\u1C3C",  # ;LEPCHA PUNCTUATION NYET THYOOM TA-ROL;Po;0;L;;;;;N;;;;;
        "\u1C3D",  # ;LEPCHA PUNCTUATION CER-WA;Po;0;L;;;;;N;;;;;
        "\u1C3E",  # ;LEPCHA PUNCTUATION TSHOOK CER-WA;Po;0;L;;;;;N;;;;;
        "\u1C3F",  # ;LEPCHA PUNCTUATION TSHOOK;Po;0;L;;;;;N;;;;;
        "\u1C40",  # ;LEPCHA DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u1C41",  # ;LEPCHA DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u1C42",  # ;LEPCHA DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u1C43",  # ;LEPCHA DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u1C44",  # ;LEPCHA DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u1C45",  # ;LEPCHA DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u1C46",  # ;LEPCHA DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u1C47",  # ;LEPCHA DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u1C48",  # ;LEPCHA DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u1C49",  # ;LEPCHA DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u1C4D",  # ;LEPCHA LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u1C4E",  # ;LEPCHA LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u1C4F",  # ;LEPCHA LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u1C50",  # ;OL CHIKI DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u1C51",  # ;OL CHIKI DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u1C52",  # ;OL CHIKI DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u1C53",  # ;OL CHIKI DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u1C54",  # ;OL CHIKI DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u1C55",  # ;OL CHIKI DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u1C56",  # ;OL CHIKI DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u1C57",  # ;OL CHIKI DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u1C58",  # ;OL CHIKI DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u1C59",  # ;OL CHIKI DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u1C5A",  # ;OL CHIKI LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u1C5B",  # ;OL CHIKI LETTER AT;Lo;0;L;;;;;N;;;;;
        "\u1C5C",  # ;OL CHIKI LETTER AG;Lo;0;L;;;;;N;;;;;
        "\u1C5D",  # ;OL CHIKI LETTER ANG;Lo;0;L;;;;;N;;;;;
        "\u1C5E",  # ;OL CHIKI LETTER AL;Lo;0;L;;;;;N;;;;;
        "\u1C5F",  # ;OL CHIKI LETTER LAA;Lo;0;L;;;;;N;;;;;
        "\u1C60",  # ;OL CHIKI LETTER AAK;Lo;0;L;;;;;N;;;;;
        "\u1C61",  # ;OL CHIKI LETTER AAJ;Lo;0;L;;;;;N;;;;;
        "\u1C62",  # ;OL CHIKI LETTER AAM;Lo;0;L;;;;;N;;;;;
        "\u1C63",  # ;OL CHIKI LETTER AAW;Lo;0;L;;;;;N;;;;;
        "\u1C64",  # ;OL CHIKI LETTER LI;Lo;0;L;;;;;N;;;;;
        "\u1C65",  # ;OL CHIKI LETTER IS;Lo;0;L;;;;;N;;;;;
        "\u1C66",  # ;OL CHIKI LETTER IH;Lo;0;L;;;;;N;;;;;
        "\u1C67",  # ;OL CHIKI LETTER INY;Lo;0;L;;;;;N;;;;;
        "\u1C68",  # ;OL CHIKI LETTER IR;Lo;0;L;;;;;N;;;;;
        "\u1C69",  # ;OL CHIKI LETTER LU;Lo;0;L;;;;;N;;;;;
        "\u1C6A",  # ;OL CHIKI LETTER UC;Lo;0;L;;;;;N;;;;;
        "\u1C6B",  # ;OL CHIKI LETTER UD;Lo;0;L;;;;;N;;;;;
        "\u1C6C",  # ;OL CHIKI LETTER UNN;Lo;0;L;;;;;N;;;;;
        "\u1C6D",  # ;OL CHIKI LETTER UY;Lo;0;L;;;;;N;;;;;
        "\u1C6E",  # ;OL CHIKI LETTER LE;Lo;0;L;;;;;N;;;;;
        "\u1C6F",  # ;OL CHIKI LETTER EP;Lo;0;L;;;;;N;;;;;
        "\u1C70",  # ;OL CHIKI LETTER EDD;Lo;0;L;;;;;N;;;;;
        "\u1C71",  # ;OL CHIKI LETTER EN;Lo;0;L;;;;;N;;;;;
        "\u1C72",  # ;OL CHIKI LETTER ERR;Lo;0;L;;;;;N;;;;;
        "\u1C73",  # ;OL CHIKI LETTER LO;Lo;0;L;;;;;N;;;;;
        "\u1C74",  # ;OL CHIKI LETTER OTT;Lo;0;L;;;;;N;;;;;
        "\u1C75",  # ;OL CHIKI LETTER OB;Lo;0;L;;;;;N;;;;;
        "\u1C76",  # ;OL CHIKI LETTER OV;Lo;0;L;;;;;N;;;;;
        "\u1C77",  # ;OL CHIKI LETTER OH;Lo;0;L;;;;;N;;;;;
        "\u1C78",  # ;OL CHIKI MU TTUDDAG;Lm;0;L;;;;;N;;;;;
        "\u1C79",  # ;OL CHIKI GAAHLAA TTUDDAAG;Lm;0;L;;;;;N;;;;;
        "\u1C7A",  # ;OL CHIKI MU-GAAHLAA TTUDDAAG;Lm;0;L;;;;;N;;;;;
        "\u1C7B",  # ;OL CHIKI RELAA;Lm;0;L;;;;;N;;;;;
        "\u1C7C",  # ;OL CHIKI PHAARKAA;Lm;0;L;;;;;N;;;;;
        "\u1C7D",  # ;OL CHIKI AHAD;Lm;0;L;;;;;N;;;;;
        "\u1C7E",  # ;OL CHIKI PUNCTUATION MUCAAD;Po;0;L;;;;;N;;;;;
        "\u1C7F",  # ;OL CHIKI PUNCTUATION DOUBLE MUCAAD;Po;0;L;;;;;N;;;;;
        "\u1C80",  # ;CYRILLIC SMALL LETTER ROUNDED VE;Ll;0;L;;;;;N;;;0412;;0412
        "\u1C81",  # ;CYRILLIC SMALL LETTER LONG-LEGGED DE;Ll;0;L;;;;;N;;;0414;;0414
        "\u1C82",  # ;CYRILLIC SMALL LETTER NARROW O;Ll;0;L;;;;;N;;;041E;;041E
        "\u1C83",  # ;CYRILLIC SMALL LETTER WIDE ES;Ll;0;L;;;;;N;;;0421;;0421
        "\u1C84",  # ;CYRILLIC SMALL LETTER TALL TE;Ll;0;L;;;;;N;;;0422;;0422
        "\u1C85",  # ;CYRILLIC SMALL LETTER THREE-LEGGED TE;Ll;0;L;;;;;N;;;0422;;0422
        "\u1C86",  # ;CYRILLIC SMALL LETTER TALL HARD SIGN;Ll;0;L;;;;;N;;;042A;;042A
        "\u1C87",  # ;CYRILLIC SMALL LETTER TALL YAT;Ll;0;L;;;;;N;;;0462;;0462
        "\u1C88",  # ;CYRILLIC SMALL LETTER UNBLENDED UK;Ll;0;L;;;;;N;;;A64A;;A64A
        "\u1CC0",  # ;SUNDANESE PUNCTUATION BINDU SURYA;Po;0;L;;;;;N;;;;;
        "\u1CC1",  # ;SUNDANESE PUNCTUATION BINDU PANGLONG;Po;0;L;;;;;N;;;;;
        "\u1CC2",  # ;SUNDANESE PUNCTUATION BINDU PURNAMA;Po;0;L;;;;;N;;;;;
        "\u1CC3",  # ;SUNDANESE PUNCTUATION BINDU CAKRA;Po;0;L;;;;;N;;;;;
        "\u1CC4",  # ;SUNDANESE PUNCTUATION BINDU LEU SATANGA;Po;0;L;;;;;N;;;;;
        "\u1CC5",  # ;SUNDANESE PUNCTUATION BINDU KA SATANGA;Po;0;L;;;;;N;;;;;
        "\u1CC6",  # ;SUNDANESE PUNCTUATION BINDU DA SATANGA;Po;0;L;;;;;N;;;;;
        "\u1CC7",  # ;SUNDANESE PUNCTUATION BINDU BA SATANGA;Po;0;L;;;;;N;;;;;
        "\u1CD0",  # ;VEDIC TONE KARSHANA;Mn;230;NSM;;;;;N;;;;;
        "\u1CD1",  # ;VEDIC TONE SHARA;Mn;230;NSM;;;;;N;;;;;
        "\u1CD2",  # ;VEDIC TONE PRENKHA;Mn;230;NSM;;;;;N;;;;;
        "\u1CD3",  # ;VEDIC SIGN NIHSHVASA;Po;0;L;;;;;N;;;;;
        "\u1CD4",  # ;VEDIC SIGN YAJURVEDIC MIDLINE SVARITA;Mn;1;NSM;;;;;N;;;;;
        "\u1CD5",  # ;VEDIC TONE YAJURVEDIC AGGRAVATED INDEPENDENT SVARITA;Mn;220;NSM;;;;;N;;;;;
        "\u1CD6",  # ;VEDIC TONE YAJURVEDIC INDEPENDENT SVARITA;Mn;220;NSM;;;;;N;;;;;
        "\u1CD7",  # ;VEDIC TONE YAJURVEDIC KATHAKA INDEPENDENT SVARITA;Mn;220;NSM;;;;;N;;;;;
        "\u1CD8",  # ;VEDIC TONE CANDRA BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u1CD9",  # ;VEDIC TONE YAJURVEDIC KATHAKA INDEPENDENT SVARITA SCHROEDER;Mn;220;NSM;;;;;N;;;;;
        "\u1CDA",  # ;VEDIC TONE DOUBLE SVARITA;Mn;230;NSM;;;;;N;;;;;
        "\u1CDB",  # ;VEDIC TONE TRIPLE SVARITA;Mn;230;NSM;;;;;N;;;;;
        "\u1CDC",  # ;VEDIC TONE KATHAKA ANUDATTA;Mn;220;NSM;;;;;N;;;;;
        "\u1CDD",  # ;VEDIC TONE DOT BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u1CDE",  # ;VEDIC TONE TWO DOTS BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u1CDF",  # ;VEDIC TONE THREE DOTS BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u1CE0",  # ;VEDIC TONE RIGVEDIC KASHMIRI INDEPENDENT SVARITA;Mn;230;NSM;;;;;N;;;;;
        "\u1CE1",  # ;VEDIC TONE ATHARVAVEDIC INDEPENDENT SVARITA;Mc;0;L;;;;;N;;;;;
        "\u1CE2",  # ;VEDIC SIGN VISARGA SVARITA;Mn;1;NSM;;;;;N;;;;;
        "\u1CE3",  # ;VEDIC SIGN VISARGA UDATTA;Mn;1;NSM;;;;;N;;;;;
        "\u1CE4",  # ;VEDIC SIGN REVERSED VISARGA UDATTA;Mn;1;NSM;;;;;N;;;;;
        "\u1CE5",  # ;VEDIC SIGN VISARGA ANUDATTA;Mn;1;NSM;;;;;N;;;;;
        "\u1CE6",  # ;VEDIC SIGN REVERSED VISARGA ANUDATTA;Mn;1;NSM;;;;;N;;;;;
        "\u1CE7",  # ;VEDIC SIGN VISARGA UDATTA WITH TAIL;Mn;1;NSM;;;;;N;;;;;
        "\u1CE8",  # ;VEDIC SIGN VISARGA ANUDATTA WITH TAIL;Mn;1;NSM;;;;;N;;;;;
        "\u1CE9",  # ;VEDIC SIGN ANUSVARA ANTARGOMUKHA;Lo;0;L;;;;;N;;;;;
        "\u1CEA",  # ;VEDIC SIGN ANUSVARA BAHIRGOMUKHA;Lo;0;L;;;;;N;;;;;
        "\u1CEB",  # ;VEDIC SIGN ANUSVARA VAMAGOMUKHA;Lo;0;L;;;;;N;;;;;
        "\u1CEC",  # ;VEDIC SIGN ANUSVARA VAMAGOMUKHA WITH TAIL;Lo;0;L;;;;;N;;;;;
        "\u1CED",  # ;VEDIC SIGN TIRYAK;Mn;220;NSM;;;;;N;;;;;
        "\u1CEE",  # ;VEDIC SIGN HEXIFORM LONG ANUSVARA;Lo;0;L;;;;;N;;;;;
        "\u1CEF",  # ;VEDIC SIGN LONG ANUSVARA;Lo;0;L;;;;;N;;;;;
        "\u1CF0",  # ;VEDIC SIGN RTHANG LONG ANUSVARA;Lo;0;L;;;;;N;;;;;
        "\u1CF1",  # ;VEDIC SIGN ANUSVARA UBHAYATO MUKHA;Lo;0;L;;;;;N;;;;;
        "\u1CF2",  # ;VEDIC SIGN ARDHAVISARGA;Mc;0;L;;;;;N;;;;;
        "\u1CF3",  # ;VEDIC SIGN ROTATED ARDHAVISARGA;Mc;0;L;;;;;N;;;;;
        "\u1CF4",  # ;VEDIC TONE CANDRA ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u1CF5",  # ;VEDIC SIGN JIHVAMULIYA;Lo;0;L;;;;;N;;;;;
        "\u1CF6",  # ;VEDIC SIGN UPADHMANIYA;Lo;0;L;;;;;N;;;;;
        "\u1CF7",  # ;VEDIC SIGN ATIKRAMA;Mc;0;L;;;;;N;;;;;
        "\u1CF8",  # ;VEDIC TONE RING ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u1CF9",  # ;VEDIC TONE DOUBLE RING ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u1D00",  # ;LATIN LETTER SMALL CAPITAL A;Ll;0;L;;;;;N;;;;;
        "\u1D01",  # ;LATIN LETTER SMALL CAPITAL AE;Ll;0;L;;;;;N;;;;;
        "\u1D02",  # ;LATIN SMALL LETTER TURNED AE;Ll;0;L;;;;;N;;;;;
        "\u1D03",  # ;LATIN LETTER SMALL CAPITAL BARRED B;Ll;0;L;;;;;N;;;;;
        "\u1D04",  # ;LATIN LETTER SMALL CAPITAL C;Ll;0;L;;;;;N;;;;;
        "\u1D05",  # ;LATIN LETTER SMALL CAPITAL D;Ll;0;L;;;;;N;;;;;
        "\u1D06",  # ;LATIN LETTER SMALL CAPITAL ETH;Ll;0;L;;;;;N;;;;;
        "\u1D07",  # ;LATIN LETTER SMALL CAPITAL E;Ll;0;L;;;;;N;;;;;
        "\u1D08",  # ;LATIN SMALL LETTER TURNED OPEN E;Ll;0;L;;;;;N;;;;;
        "\u1D09",  # ;LATIN SMALL LETTER TURNED I;Ll;0;L;;;;;N;;;;;
        "\u1D0A",  # ;LATIN LETTER SMALL CAPITAL J;Ll;0;L;;;;;N;;;;;
        "\u1D0B",  # ;LATIN LETTER SMALL CAPITAL K;Ll;0;L;;;;;N;;;;;
        "\u1D0C",  # ;LATIN LETTER SMALL CAPITAL L WITH STROKE;Ll;0;L;;;;;N;;;;;
        "\u1D0D",  # ;LATIN LETTER SMALL CAPITAL M;Ll;0;L;;;;;N;;;;;
        "\u1D0E",  # ;LATIN LETTER SMALL CAPITAL REVERSED N;Ll;0;L;;;;;N;;;;;
        "\u1D0F",  # ;LATIN LETTER SMALL CAPITAL O;Ll;0;L;;;;;N;;;;;
        "\u1D10",  # ;LATIN LETTER SMALL CAPITAL OPEN O;Ll;0;L;;;;;N;;;;;
        "\u1D11",  # ;LATIN SMALL LETTER SIDEWAYS O;Ll;0;L;;;;;N;;;;;
        "\u1D12",  # ;LATIN SMALL LETTER SIDEWAYS OPEN O;Ll;0;L;;;;;N;;;;;
        "\u1D13",  # ;LATIN SMALL LETTER SIDEWAYS O WITH STROKE;Ll;0;L;;;;;N;;;;;
        "\u1D14",  # ;LATIN SMALL LETTER TURNED OE;Ll;0;L;;;;;N;;;;;
        "\u1D15",  # ;LATIN LETTER SMALL CAPITAL OU;Ll;0;L;;;;;N;;;;;
        "\u1D16",  # ;LATIN SMALL LETTER TOP HALF O;Ll;0;L;;;;;N;;;;;
        "\u1D17",  # ;LATIN SMALL LETTER BOTTOM HALF O;Ll;0;L;;;;;N;;;;;
        "\u1D18",  # ;LATIN LETTER SMALL CAPITAL P;Ll;0;L;;;;;N;;;;;
        "\u1D19",  # ;LATIN LETTER SMALL CAPITAL REVERSED R;Ll;0;L;;;;;N;;;;;
        "\u1D1A",  # ;LATIN LETTER SMALL CAPITAL TURNED R;Ll;0;L;;;;;N;;;;;
        "\u1D1B",  # ;LATIN LETTER SMALL CAPITAL T;Ll;0;L;;;;;N;;;;;
        "\u1D1C",  # ;LATIN LETTER SMALL CAPITAL U;Ll;0;L;;;;;N;;;;;
        "\u1D1D",  # ;LATIN SMALL LETTER SIDEWAYS U;Ll;0;L;;;;;N;;;;;
        "\u1D1E",  # ;LATIN SMALL LETTER SIDEWAYS DIAERESIZED U;Ll;0;L;;;;;N;;;;;
        "\u1D1F",  # ;LATIN SMALL LETTER SIDEWAYS TURNED M;Ll;0;L;;;;;N;;;;;
        "\u1D20",  # ;LATIN LETTER SMALL CAPITAL V;Ll;0;L;;;;;N;;;;;
        "\u1D21",  # ;LATIN LETTER SMALL CAPITAL W;Ll;0;L;;;;;N;;;;;
        "\u1D22",  # ;LATIN LETTER SMALL CAPITAL Z;Ll;0;L;;;;;N;;;;;
        "\u1D23",  # ;LATIN LETTER SMALL CAPITAL EZH;Ll;0;L;;;;;N;;;;;
        "\u1D24",  # ;LATIN LETTER VOICED LARYNGEAL SPIRANT;Ll;0;L;;;;;N;;;;;
        "\u1D25",  # ;LATIN LETTER AIN;Ll;0;L;;;;;N;;;;;
        "\u1D26",  # ;GREEK LETTER SMALL CAPITAL GAMMA;Ll;0;L;;;;;N;;;;;
        "\u1D27",  # ;GREEK LETTER SMALL CAPITAL LAMDA;Ll;0;L;;;;;N;;;;;
        "\u1D28",  # ;GREEK LETTER SMALL CAPITAL PI;Ll;0;L;;;;;N;;;;;
        "\u1D29",  # ;GREEK LETTER SMALL CAPITAL RHO;Ll;0;L;;;;;N;;;;;
        "\u1D2A",  # ;GREEK LETTER SMALL CAPITAL PSI;Ll;0;L;;;;;N;;;;;
        "\u1D2B",  # ;CYRILLIC LETTER SMALL CAPITAL EL;Ll;0;L;;;;;N;;;;;
        "\u1D2C",  # ;MODIFIER LETTER CAPITAL A;Lm;0;L;<super> 0041;;;;N;;;;;
        "\u1D2D",  # ;MODIFIER LETTER CAPITAL AE;Lm;0;L;<super> 00C6;;;;N;;;;;
        "\u1D2E",  # ;MODIFIER LETTER CAPITAL B;Lm;0;L;<super> 0042;;;;N;;;;;
        "\u1D2F",  # ;MODIFIER LETTER CAPITAL BARRED B;Lm;0;L;;;;;N;;;;;
        "\u1D30",  # ;MODIFIER LETTER CAPITAL D;Lm;0;L;<super> 0044;;;;N;;;;;
        "\u1D31",  # ;MODIFIER LETTER CAPITAL E;Lm;0;L;<super> 0045;;;;N;;;;;
        "\u1D32",  # ;MODIFIER LETTER CAPITAL REVERSED E;Lm;0;L;<super> 018E;;;;N;;;;;
        "\u1D33",  # ;MODIFIER LETTER CAPITAL G;Lm;0;L;<super> 0047;;;;N;;;;;
        "\u1D34",  # ;MODIFIER LETTER CAPITAL H;Lm;0;L;<super> 0048;;;;N;;;;;
        "\u1D35",  # ;MODIFIER LETTER CAPITAL I;Lm;0;L;<super> 0049;;;;N;;;;;
        "\u1D36",  # ;MODIFIER LETTER CAPITAL J;Lm;0;L;<super> 004A;;;;N;;;;;
        "\u1D37",  # ;MODIFIER LETTER CAPITAL K;Lm;0;L;<super> 004B;;;;N;;;;;
        "\u1D38",  # ;MODIFIER LETTER CAPITAL L;Lm;0;L;<super> 004C;;;;N;;;;;
        "\u1D39",  # ;MODIFIER LETTER CAPITAL M;Lm;0;L;<super> 004D;;;;N;;;;;
        "\u1D3A",  # ;MODIFIER LETTER CAPITAL N;Lm;0;L;<super> 004E;;;;N;;;;;
        "\u1D3B",  # ;MODIFIER LETTER CAPITAL REVERSED N;Lm;0;L;;;;;N;;;;;
        "\u1D3C",  # ;MODIFIER LETTER CAPITAL O;Lm;0;L;<super> 004F;;;;N;;;;;
        "\u1D3D",  # ;MODIFIER LETTER CAPITAL OU;Lm;0;L;<super> 0222;;;;N;;;;;
        "\u1D3E",  # ;MODIFIER LETTER CAPITAL P;Lm;0;L;<super> 0050;;;;N;;;;;
        "\u1D3F",  # ;MODIFIER LETTER CAPITAL R;Lm;0;L;<super> 0052;;;;N;;;;;
        "\u1D40",  # ;MODIFIER LETTER CAPITAL T;Lm;0;L;<super> 0054;;;;N;;;;;
        "\u1D41",  # ;MODIFIER LETTER CAPITAL U;Lm;0;L;<super> 0055;;;;N;;;;;
        "\u1D42",  # ;MODIFIER LETTER CAPITAL W;Lm;0;L;<super> 0057;;;;N;;;;;
        "\u1D43",  # ;MODIFIER LETTER SMALL A;Lm;0;L;<super> 0061;;;;N;;;;;
        "\u1D44",  # ;MODIFIER LETTER SMALL TURNED A;Lm;0;L;<super> 0250;;;;N;;;;;
        "\u1D45",  # ;MODIFIER LETTER SMALL ALPHA;Lm;0;L;<super> 0251;;;;N;;;;;
        "\u1D46",  # ;MODIFIER LETTER SMALL TURNED AE;Lm;0;L;<super> 1D02;;;;N;;;;;
        "\u1D47",  # ;MODIFIER LETTER SMALL B;Lm;0;L;<super> 0062;;;;N;;;;;
        "\u1D48",  # ;MODIFIER LETTER SMALL D;Lm;0;L;<super> 0064;;;;N;;;;;
        "\u1D49",  # ;MODIFIER LETTER SMALL E;Lm;0;L;<super> 0065;;;;N;;;;;
        "\u1D4A",  # ;MODIFIER LETTER SMALL SCHWA;Lm;0;L;<super> 0259;;;;N;;;;;
        "\u1D4B",  # ;MODIFIER LETTER SMALL OPEN E;Lm;0;L;<super> 025B;;;;N;;;;;
        "\u1D4C",  # ;MODIFIER LETTER SMALL TURNED OPEN E;Lm;0;L;<super> 025C;;;;N;;;;;
        "\u1D4D",  # ;MODIFIER LETTER SMALL G;Lm;0;L;<super> 0067;;;;N;;;;;
        "\u1D4E",  # ;MODIFIER LETTER SMALL TURNED I;Lm;0;L;;;;;N;;;;;
        "\u1D4F",  # ;MODIFIER LETTER SMALL K;Lm;0;L;<super> 006B;;;;N;;;;;
        "\u1D50",  # ;MODIFIER LETTER SMALL M;Lm;0;L;<super> 006D;;;;N;;;;;
        "\u1D51",  # ;MODIFIER LETTER SMALL ENG;Lm;0;L;<super> 014B;;;;N;;;;;
        "\u1D52",  # ;MODIFIER LETTER SMALL O;Lm;0;L;<super> 006F;;;;N;;;;;
        "\u1D53",  # ;MODIFIER LETTER SMALL OPEN O;Lm;0;L;<super> 0254;;;;N;;;;;
        "\u1D54",  # ;MODIFIER LETTER SMALL TOP HALF O;Lm;0;L;<super> 1D16;;;;N;;;;;
        "\u1D55",  # ;MODIFIER LETTER SMALL BOTTOM HALF O;Lm;0;L;<super> 1D17;;;;N;;;;;
        "\u1D56",  # ;MODIFIER LETTER SMALL P;Lm;0;L;<super> 0070;;;;N;;;;;
        "\u1D57",  # ;MODIFIER LETTER SMALL T;Lm;0;L;<super> 0074;;;;N;;;;;
        "\u1D58",  # ;MODIFIER LETTER SMALL U;Lm;0;L;<super> 0075;;;;N;;;;;
        "\u1D59",  # ;MODIFIER LETTER SMALL SIDEWAYS U;Lm;0;L;<super> 1D1D;;;;N;;;;;
        "\u1D5A",  # ;MODIFIER LETTER SMALL TURNED M;Lm;0;L;<super> 026F;;;;N;;;;;
        "\u1D5B",  # ;MODIFIER LETTER SMALL V;Lm;0;L;<super> 0076;;;;N;;;;;
        "\u1D5C",  # ;MODIFIER LETTER SMALL AIN;Lm;0;L;<super> 1D25;;;;N;;;;;
        "\u1D5D",  # ;MODIFIER LETTER SMALL BETA;Lm;0;L;<super> 03B2;;;;N;;;;;
        "\u1D5E",  # ;MODIFIER LETTER SMALL GREEK GAMMA;Lm;0;L;<super> 03B3;;;;N;;;;;
        "\u1D5F",  # ;MODIFIER LETTER SMALL DELTA;Lm;0;L;<super> 03B4;;;;N;;;;;
        "\u1D60",  # ;MODIFIER LETTER SMALL GREEK PHI;Lm;0;L;<super> 03C6;;;;N;;;;;
        "\u1D61",  # ;MODIFIER LETTER SMALL CHI;Lm;0;L;<super> 03C7;;;;N;;;;;
        "\u1D62",  # ;LATIN SUBSCRIPT SMALL LETTER I;Lm;0;L;<sub> 0069;;;;N;;;;;
        "\u1D63",  # ;LATIN SUBSCRIPT SMALL LETTER R;Lm;0;L;<sub> 0072;;;;N;;;;;
        "\u1D64",  # ;LATIN SUBSCRIPT SMALL LETTER U;Lm;0;L;<sub> 0075;;;;N;;;;;
        "\u1D65",  # ;LATIN SUBSCRIPT SMALL LETTER V;Lm;0;L;<sub> 0076;;;;N;;;;;
        "\u1D66",  # ;GREEK SUBSCRIPT SMALL LETTER BETA;Lm;0;L;<sub> 03B2;;;;N;;;;;
        "\u1D67",  # ;GREEK SUBSCRIPT SMALL LETTER GAMMA;Lm;0;L;<sub> 03B3;;;;N;;;;;
        "\u1D68",  # ;GREEK SUBSCRIPT SMALL LETTER RHO;Lm;0;L;<sub> 03C1;;;;N;;;;;
        "\u1D69",  # ;GREEK SUBSCRIPT SMALL LETTER PHI;Lm;0;L;<sub> 03C6;;;;N;;;;;
        "\u1D6A",  # ;GREEK SUBSCRIPT SMALL LETTER CHI;Lm;0;L;<sub> 03C7;;;;N;;;;;
        "\u1D6B",  # ;LATIN SMALL LETTER UE;Ll;0;L;;;;;N;;;;;
        "\u1D6C",  # ;LATIN SMALL LETTER B WITH MIDDLE TILDE;Ll;0;L;;;;;N;;;;;
        "\u1D6D",  # ;LATIN SMALL LETTER D WITH MIDDLE TILDE;Ll;0;L;;;;;N;;;;;
        "\u1D6E",  # ;LATIN SMALL LETTER F WITH MIDDLE TILDE;Ll;0;L;;;;;N;;;;;
        "\u1D6F",  # ;LATIN SMALL LETTER M WITH MIDDLE TILDE;Ll;0;L;;;;;N;;;;;
        "\u1D70",  # ;LATIN SMALL LETTER N WITH MIDDLE TILDE;Ll;0;L;;;;;N;;;;;
        "\u1D71",  # ;LATIN SMALL LETTER P WITH MIDDLE TILDE;Ll;0;L;;;;;N;;;;;
        "\u1D72",  # ;LATIN SMALL LETTER R WITH MIDDLE TILDE;Ll;0;L;;;;;N;;;;;
        "\u1D73",  # ;LATIN SMALL LETTER R WITH FISHHOOK AND MIDDLE TILDE;Ll;0;L;;;;;N;;;;;
        "\u1D74",  # ;LATIN SMALL LETTER S WITH MIDDLE TILDE;Ll;0;L;;;;;N;;;;;
        "\u1D75",  # ;LATIN SMALL LETTER T WITH MIDDLE TILDE;Ll;0;L;;;;;N;;;;;
        "\u1D76",  # ;LATIN SMALL LETTER Z WITH MIDDLE TILDE;Ll;0;L;;;;;N;;;;;
        "\u1D77",  # ;LATIN SMALL LETTER TURNED G;Ll;0;L;;;;;N;;;;;
        "\u1D78",  # ;MODIFIER LETTER CYRILLIC EN;Lm;0;L;<super> 043D;;;;N;;;;;
        "\u1D79",  # ;LATIN SMALL LETTER INSULAR G;Ll;0;L;;;;;N;;;A77D;;A77D
        "\u1D7A",  # ;LATIN SMALL LETTER TH WITH STRIKETHROUGH;Ll;0;L;;;;;N;;;;;
        "\u1D7B",  # ;LATIN SMALL CAPITAL LETTER I WITH STROKE;Ll;0;L;;;;;N;;;;;
        "\u1D7C",  # ;LATIN SMALL LETTER IOTA WITH STROKE;Ll;0;L;;;;;N;;;;;
        "\u1D7D",  # ;LATIN SMALL LETTER P WITH STROKE;Ll;0;L;;;;;N;;;2C63;;2C63
        "\u1D7E",  # ;LATIN SMALL CAPITAL LETTER U WITH STROKE;Ll;0;L;;;;;N;;;;;
        "\u1D7F",  # ;LATIN SMALL LETTER UPSILON WITH STROKE;Ll;0;L;;;;;N;;;;;
        "\u1D80",  # ;LATIN SMALL LETTER B WITH PALATAL HOOK;Ll;0;L;;;;;N;;;;;
        "\u1D81",  # ;LATIN SMALL LETTER D WITH PALATAL HOOK;Ll;0;L;;;;;N;;;;;
        "\u1D82",  # ;LATIN SMALL LETTER F WITH PALATAL HOOK;Ll;0;L;;;;;N;;;;;
        "\u1D83",  # ;LATIN SMALL LETTER G WITH PALATAL HOOK;Ll;0;L;;;;;N;;;;;
        "\u1D84",  # ;LATIN SMALL LETTER K WITH PALATAL HOOK;Ll;0;L;;;;;N;;;;;
        "\u1D85",  # ;LATIN SMALL LETTER L WITH PALATAL HOOK;Ll;0;L;;;;;N;;;;;
        "\u1D86",  # ;LATIN SMALL LETTER M WITH PALATAL HOOK;Ll;0;L;;;;;N;;;;;
        "\u1D87",  # ;LATIN SMALL LETTER N WITH PALATAL HOOK;Ll;0;L;;;;;N;;;;;
        "\u1D88",  # ;LATIN SMALL LETTER P WITH PALATAL HOOK;Ll;0;L;;;;;N;;;;;
        "\u1D89",  # ;LATIN SMALL LETTER R WITH PALATAL HOOK;Ll;0;L;;;;;N;;;;;
        "\u1D8A",  # ;LATIN SMALL LETTER S WITH PALATAL HOOK;Ll;0;L;;;;;N;;;;;
        "\u1D8B",  # ;LATIN SMALL LETTER ESH WITH PALATAL HOOK;Ll;0;L;;;;;N;;;;;
        "\u1D8C",  # ;LATIN SMALL LETTER V WITH PALATAL HOOK;Ll;0;L;;;;;N;;;;;
        "\u1D8D",  # ;LATIN SMALL LETTER X WITH PALATAL HOOK;Ll;0;L;;;;;N;;;;;
        "\u1D8E",  # ;LATIN SMALL LETTER Z WITH PALATAL HOOK;Ll;0;L;;;;;N;;;;;
        "\u1D8F",  # ;LATIN SMALL LETTER A WITH RETROFLEX HOOK;Ll;0;L;;;;;N;;;;;
        "\u1D90",  # ;LATIN SMALL LETTER ALPHA WITH RETROFLEX HOOK;Ll;0;L;;;;;N;;;;;
        "\u1D91",  # ;LATIN SMALL LETTER D WITH HOOK AND TAIL;Ll;0;L;;;;;N;;;;;
        "\u1D92",  # ;LATIN SMALL LETTER E WITH RETROFLEX HOOK;Ll;0;L;;;;;N;;;;;
        "\u1D93",  # ;LATIN SMALL LETTER OPEN E WITH RETROFLEX HOOK;Ll;0;L;;;;;N;;;;;
        "\u1D94",  # ;LATIN SMALL LETTER REVERSED OPEN E WITH RETROFLEX HOOK;Ll;0;L;;;;;N;;;;;
        "\u1D95",  # ;LATIN SMALL LETTER SCHWA WITH RETROFLEX HOOK;Ll;0;L;;;;;N;;;;;
        "\u1D96",  # ;LATIN SMALL LETTER I WITH RETROFLEX HOOK;Ll;0;L;;;;;N;;;;;
        "\u1D97",  # ;LATIN SMALL LETTER OPEN O WITH RETROFLEX HOOK;Ll;0;L;;;;;N;;;;;
        "\u1D98",  # ;LATIN SMALL LETTER ESH WITH RETROFLEX HOOK;Ll;0;L;;;;;N;;;;;
        "\u1D99",  # ;LATIN SMALL LETTER U WITH RETROFLEX HOOK;Ll;0;L;;;;;N;;;;;
        "\u1D9A",  # ;LATIN SMALL LETTER EZH WITH RETROFLEX HOOK;Ll;0;L;;;;;N;;;;;
        "\u1D9B",  # ;MODIFIER LETTER SMALL TURNED ALPHA;Lm;0;L;<super> 0252;;;;N;;;;;
        "\u1D9C",  # ;MODIFIER LETTER SMALL C;Lm;0;L;<super> 0063;;;;N;;;;;
        "\u1D9D",  # ;MODIFIER LETTER SMALL C WITH CURL;Lm;0;L;<super> 0255;;;;N;;;;;
        "\u1D9E",  # ;MODIFIER LETTER SMALL ETH;Lm;0;L;<super> 00F0;;;;N;;;;;
        "\u1D9F",  # ;MODIFIER LETTER SMALL REVERSED OPEN E;Lm;0;L;<super> 025C;;;;N;;;;;
        "\u1DA0",  # ;MODIFIER LETTER SMALL F;Lm;0;L;<super> 0066;;;;N;;;;;
        "\u1DA1",  # ;MODIFIER LETTER SMALL DOTLESS J WITH STROKE;Lm;0;L;<super> 025F;;;;N;;;;;
        "\u1DA2",  # ;MODIFIER LETTER SMALL SCRIPT G;Lm;0;L;<super> 0261;;;;N;;;;;
        "\u1DA3",  # ;MODIFIER LETTER SMALL TURNED H;Lm;0;L;<super> 0265;;;;N;;;;;
        "\u1DA4",  # ;MODIFIER LETTER SMALL I WITH STROKE;Lm;0;L;<super> 0268;;;;N;;;;;
        "\u1DA5",  # ;MODIFIER LETTER SMALL IOTA;Lm;0;L;<super> 0269;;;;N;;;;;
        "\u1DA6",  # ;MODIFIER LETTER SMALL CAPITAL I;Lm;0;L;<super> 026A;;;;N;;;;;
        "\u1DA7",  # ;MODIFIER LETTER SMALL CAPITAL I WITH STROKE;Lm;0;L;<super> 1D7B;;;;N;;;;;
        "\u1DA8",  # ;MODIFIER LETTER SMALL J WITH CROSSED-TAIL;Lm;0;L;<super> 029D;;;;N;;;;;
        "\u1DA9",  # ;MODIFIER LETTER SMALL L WITH RETROFLEX HOOK;Lm;0;L;<super> 026D;;;;N;;;;;
        "\u1DAA",  # ;MODIFIER LETTER SMALL L WITH PALATAL HOOK;Lm;0;L;<super> 1D85;;;;N;;;;;
        "\u1DAB",  # ;MODIFIER LETTER SMALL CAPITAL L;Lm;0;L;<super> 029F;;;;N;;;;;
        "\u1DAC",  # ;MODIFIER LETTER SMALL M WITH HOOK;Lm;0;L;<super> 0271;;;;N;;;;;
        "\u1DAD",  # ;MODIFIER LETTER SMALL TURNED M WITH LONG LEG;Lm;0;L;<super> 0270;;;;N;;;;;
        "\u1DAE",  # ;MODIFIER LETTER SMALL N WITH LEFT HOOK;Lm;0;L;<super> 0272;;;;N;;;;;
        "\u1DAF",  # ;MODIFIER LETTER SMALL N WITH RETROFLEX HOOK;Lm;0;L;<super> 0273;;;;N;;;;;
        "\u1DB0",  # ;MODIFIER LETTER SMALL CAPITAL N;Lm;0;L;<super> 0274;;;;N;;;;;
        "\u1DB1",  # ;MODIFIER LETTER SMALL BARRED O;Lm;0;L;<super> 0275;;;;N;;;;;
        "\u1DB2",  # ;MODIFIER LETTER SMALL PHI;Lm;0;L;<super> 0278;;;;N;;;;;
        "\u1DB3",  # ;MODIFIER LETTER SMALL S WITH HOOK;Lm;0;L;<super> 0282;;;;N;;;;;
        "\u1DB4",  # ;MODIFIER LETTER SMALL ESH;Lm;0;L;<super> 0283;;;;N;;;;;
        "\u1DB5",  # ;MODIFIER LETTER SMALL T WITH PALATAL HOOK;Lm;0;L;<super> 01AB;;;;N;;;;;
        "\u1DB6",  # ;MODIFIER LETTER SMALL U BAR;Lm;0;L;<super> 0289;;;;N;;;;;
        "\u1DB7",  # ;MODIFIER LETTER SMALL UPSILON;Lm;0;L;<super> 028A;;;;N;;;;;
        "\u1DB8",  # ;MODIFIER LETTER SMALL CAPITAL U;Lm;0;L;<super> 1D1C;;;;N;;;;;
        "\u1DB9",  # ;MODIFIER LETTER SMALL V WITH HOOK;Lm;0;L;<super> 028B;;;;N;;;;;
        "\u1DBA",  # ;MODIFIER LETTER SMALL TURNED V;Lm;0;L;<super> 028C;;;;N;;;;;
        "\u1DBB",  # ;MODIFIER LETTER SMALL Z;Lm;0;L;<super> 007A;;;;N;;;;;
        "\u1DBC",  # ;MODIFIER LETTER SMALL Z WITH RETROFLEX HOOK;Lm;0;L;<super> 0290;;;;N;;;;;
        "\u1DBD",  # ;MODIFIER LETTER SMALL Z WITH CURL;Lm;0;L;<super> 0291;;;;N;;;;;
        "\u1DBE",  # ;MODIFIER LETTER SMALL EZH;Lm;0;L;<super> 0292;;;;N;;;;;
        "\u1DBF",  # ;MODIFIER LETTER SMALL THETA;Lm;0;L;<super> 03B8;;;;N;;;;;
        "\u1DC0",  # ;COMBINING DOTTED GRAVE ACCENT;Mn;230;NSM;;;;;N;;;;;
        "\u1DC1",  # ;COMBINING DOTTED ACUTE ACCENT;Mn;230;NSM;;;;;N;;;;;
        "\u1DC2",  # ;COMBINING SNAKE BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u1DC3",  # ;COMBINING SUSPENSION MARK;Mn;230;NSM;;;;;N;;;;;
        "\u1DC4",  # ;COMBINING MACRON-ACUTE;Mn;230;NSM;;;;;N;;;;;
        "\u1DC5",  # ;COMBINING GRAVE-MACRON;Mn;230;NSM;;;;;N;;;;;
        "\u1DC6",  # ;COMBINING MACRON-GRAVE;Mn;230;NSM;;;;;N;;;;;
        "\u1DC7",  # ;COMBINING ACUTE-MACRON;Mn;230;NSM;;;;;N;;;;;
        "\u1DC8",  # ;COMBINING GRAVE-ACUTE-GRAVE;Mn;230;NSM;;;;;N;;;;;
        "\u1DC9",  # ;COMBINING ACUTE-GRAVE-ACUTE;Mn;230;NSM;;;;;N;;;;;
        "\u1DCA",  # ;COMBINING LATIN SMALL LETTER R BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u1DCB",  # ;COMBINING BREVE-MACRON;Mn;230;NSM;;;;;N;;;;;
        "\u1DCC",  # ;COMBINING MACRON-BREVE;Mn;230;NSM;;;;;N;;;;;
        "\u1DCD",  # ;COMBINING DOUBLE CIRCUMFLEX ABOVE;Mn;234;NSM;;;;;N;;;;;
        "\u1DCE",  # ;COMBINING OGONEK ABOVE;Mn;214;NSM;;;;;N;;;;;
        "\u1DCF",  # ;COMBINING ZIGZAG BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u1DD0",  # ;COMBINING IS BELOW;Mn;202;NSM;;;;;N;;;;;
        "\u1DD1",  # ;COMBINING UR ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u1DD2",  # ;COMBINING US ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u1DD3",  # ;COMBINING LATIN SMALL LETTER FLATTENED OPEN A ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u1DD4",  # ;COMBINING LATIN SMALL LETTER AE;Mn;230;NSM;;;;;N;;;;;
        "\u1DD5",  # ;COMBINING LATIN SMALL LETTER AO;Mn;230;NSM;;;;;N;;;;;
        "\u1DD6",  # ;COMBINING LATIN SMALL LETTER AV;Mn;230;NSM;;;;;N;;;;;
        "\u1DD7",  # ;COMBINING LATIN SMALL LETTER C CEDILLA;Mn;230;NSM;;;;;N;;;;;
        "\u1DD8",  # ;COMBINING LATIN SMALL LETTER INSULAR D;Mn;230;NSM;;;;;N;;;;;
        "\u1DD9",  # ;COMBINING LATIN SMALL LETTER ETH;Mn;230;NSM;;;;;N;;;;;
        "\u1DDA",  # ;COMBINING LATIN SMALL LETTER G;Mn;230;NSM;;;;;N;;;;;
        "\u1DDB",  # ;COMBINING LATIN LETTER SMALL CAPITAL G;Mn;230;NSM;;;;;N;;;;;
        "\u1DDC",  # ;COMBINING LATIN SMALL LETTER K;Mn;230;NSM;;;;;N;;;;;
        "\u1DDD",  # ;COMBINING LATIN SMALL LETTER L;Mn;230;NSM;;;;;N;;;;;
        "\u1DDE",  # ;COMBINING LATIN LETTER SMALL CAPITAL L;Mn;230;NSM;;;;;N;;;;;
        "\u1DDF",  # ;COMBINING LATIN LETTER SMALL CAPITAL M;Mn;230;NSM;;;;;N;;;;;
        "\u1DE0",  # ;COMBINING LATIN SMALL LETTER N;Mn;230;NSM;;;;;N;;;;;
        "\u1DE1",  # ;COMBINING LATIN LETTER SMALL CAPITAL N;Mn;230;NSM;;;;;N;;;;;
        "\u1DE2",  # ;COMBINING LATIN LETTER SMALL CAPITAL R;Mn;230;NSM;;;;;N;;;;;
        "\u1DE3",  # ;COMBINING LATIN SMALL LETTER R ROTUNDA;Mn;230;NSM;;;;;N;;;;;
        "\u1DE4",  # ;COMBINING LATIN SMALL LETTER S;Mn;230;NSM;;;;;N;;;;;
        "\u1DE5",  # ;COMBINING LATIN SMALL LETTER LONG S;Mn;230;NSM;;;;;N;;;;;
        "\u1DE6",  # ;COMBINING LATIN SMALL LETTER Z;Mn;230;NSM;;;;;N;;;;;
        "\u1DE7",  # ;COMBINING LATIN SMALL LETTER ALPHA;Mn;230;NSM;;;;;N;;;;;
        "\u1DE8",  # ;COMBINING LATIN SMALL LETTER B;Mn;230;NSM;;;;;N;;;;;
        "\u1DE9",  # ;COMBINING LATIN SMALL LETTER BETA;Mn;230;NSM;;;;;N;;;;;
        "\u1DEA",  # ;COMBINING LATIN SMALL LETTER SCHWA;Mn;230;NSM;;;;;N;;;;;
        "\u1DEB",  # ;COMBINING LATIN SMALL LETTER F;Mn;230;NSM;;;;;N;;;;;
        "\u1DEC",  # ;COMBINING LATIN SMALL LETTER L WITH DOUBLE MIDDLE TILDE;Mn;230;NSM;;;;;N;;;;;
        "\u1DED",  # ;COMBINING LATIN SMALL LETTER O WITH LIGHT CENTRALIZATION STROKE;Mn;230;NSM;;;;;N;;;;;
        "\u1DEE",  # ;COMBINING LATIN SMALL LETTER P;Mn;230;NSM;;;;;N;;;;;
        "\u1DEF",  # ;COMBINING LATIN SMALL LETTER ESH;Mn;230;NSM;;;;;N;;;;;
        "\u1DF0",  # ;COMBINING LATIN SMALL LETTER U WITH LIGHT CENTRALIZATION STROKE;Mn;230;NSM;;;;;N;;;;;
        "\u1DF1",  # ;COMBINING LATIN SMALL LETTER W;Mn;230;NSM;;;;;N;;;;;
        "\u1DF2",  # ;COMBINING LATIN SMALL LETTER A WITH DIAERESIS;Mn;230;NSM;;;;;N;;;;;
        "\u1DF3",  # ;COMBINING LATIN SMALL LETTER O WITH DIAERESIS;Mn;230;NSM;;;;;N;;;;;
        "\u1DF4",  # ;COMBINING LATIN SMALL LETTER U WITH DIAERESIS;Mn;230;NSM;;;;;N;;;;;
        "\u1DF5",  # ;COMBINING UP TACK ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u1DF6",  # ;COMBINING KAVYKA ABOVE RIGHT;Mn;232;NSM;;;;;N;;;;;
        "\u1DF7",  # ;COMBINING KAVYKA ABOVE LEFT;Mn;228;NSM;;;;;N;;;;;
        "\u1DF8",  # ;COMBINING DOT ABOVE LEFT;Mn;228;NSM;;;;;N;;;;;
        "\u1DF9",  # ;COMBINING WIDE INVERTED BRIDGE BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u1DFB",  # ;COMBINING DELETION MARK;Mn;230;NSM;;;;;N;;;;;
        "\u1DFC",  # ;COMBINING DOUBLE INVERTED BREVE BELOW;Mn;233;NSM;;;;;N;;;;;
        "\u1DFD",  # ;COMBINING ALMOST EQUAL TO BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u1DFE",  # ;COMBINING LEFT ARROWHEAD ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u1DFF",  # ;COMBINING RIGHT ARROWHEAD AND DOWN ARROWHEAD BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u1E00",  # ;LATIN CAPITAL LETTER A WITH RING BELOW;Lu;0;L;0041 0325;;;;N;;;;1E01;
        "\u1E01",  # ;LATIN SMALL LETTER A WITH RING BELOW;Ll;0;L;0061 0325;;;;N;;;1E00;;1E00
        "\u1E02",  # ;LATIN CAPITAL LETTER B WITH DOT ABOVE;Lu;0;L;0042 0307;;;;N;;;;1E03;
        "\u1E03",  # ;LATIN SMALL LETTER B WITH DOT ABOVE;Ll;0;L;0062 0307;;;;N;;;1E02;;1E02
        "\u1E04",  # ;LATIN CAPITAL LETTER B WITH DOT BELOW;Lu;0;L;0042 0323;;;;N;;;;1E05;
        "\u1E05",  # ;LATIN SMALL LETTER B WITH DOT BELOW;Ll;0;L;0062 0323;;;;N;;;1E04;;1E04
        "\u1E06",  # ;LATIN CAPITAL LETTER B WITH LINE BELOW;Lu;0;L;0042 0331;;;;N;;;;1E07;
        "\u1E07",  # ;LATIN SMALL LETTER B WITH LINE BELOW;Ll;0;L;0062 0331;;;;N;;;1E06;;1E06
        "\u1E08",  # ;LATIN CAPITAL LETTER C WITH CEDILLA AND ACUTE;Lu;0;L;00C7 0301;;;;N;;;;1E09;
        "\u1E09",  # ;LATIN SMALL LETTER C WITH CEDILLA AND ACUTE;Ll;0;L;00E7 0301;;;;N;;;1E08;;1E08
        "\u1E0A",  # ;LATIN CAPITAL LETTER D WITH DOT ABOVE;Lu;0;L;0044 0307;;;;N;;;;1E0B;
        "\u1E0B",  # ;LATIN SMALL LETTER D WITH DOT ABOVE;Ll;0;L;0064 0307;;;;N;;;1E0A;;1E0A
        "\u1E0C",  # ;LATIN CAPITAL LETTER D WITH DOT BELOW;Lu;0;L;0044 0323;;;;N;;;;1E0D;
        "\u1E0D",  # ;LATIN SMALL LETTER D WITH DOT BELOW;Ll;0;L;0064 0323;;;;N;;;1E0C;;1E0C
        "\u1E0E",  # ;LATIN CAPITAL LETTER D WITH LINE BELOW;Lu;0;L;0044 0331;;;;N;;;;1E0F;
        "\u1E0F",  # ;LATIN SMALL LETTER D WITH LINE BELOW;Ll;0;L;0064 0331;;;;N;;;1E0E;;1E0E
        "\u1E10",  # ;LATIN CAPITAL LETTER D WITH CEDILLA;Lu;0;L;0044 0327;;;;N;;;;1E11;
        "\u1E11",  # ;LATIN SMALL LETTER D WITH CEDILLA;Ll;0;L;0064 0327;;;;N;;;1E10;;1E10
        "\u1E12",  # ;LATIN CAPITAL LETTER D WITH CIRCUMFLEX BELOW;Lu;0;L;0044 032D;;;;N;;;;1E13;
        "\u1E13",  # ;LATIN SMALL LETTER D WITH CIRCUMFLEX BELOW;Ll;0;L;0064 032D;;;;N;;;1E12;;1E12
        "\u1E14",  # ;LATIN CAPITAL LETTER E WITH MACRON AND GRAVE;Lu;0;L;0112 0300;;;;N;;;;1E15;
        "\u1E15",  # ;LATIN SMALL LETTER E WITH MACRON AND GRAVE;Ll;0;L;0113 0300;;;;N;;;1E14;;1E14
        "\u1E16",  # ;LATIN CAPITAL LETTER E WITH MACRON AND ACUTE;Lu;0;L;0112 0301;;;;N;;;;1E17;
        "\u1E17",  # ;LATIN SMALL LETTER E WITH MACRON AND ACUTE;Ll;0;L;0113 0301;;;;N;;;1E16;;1E16
        "\u1E18",  # ;LATIN CAPITAL LETTER E WITH CIRCUMFLEX BELOW;Lu;0;L;0045 032D;;;;N;;;;1E19;
        "\u1E19",  # ;LATIN SMALL LETTER E WITH CIRCUMFLEX BELOW;Ll;0;L;0065 032D;;;;N;;;1E18;;1E18
        "\u1E1A",  # ;LATIN CAPITAL LETTER E WITH TILDE BELOW;Lu;0;L;0045 0330;;;;N;;;;1E1B;
        "\u1E1B",  # ;LATIN SMALL LETTER E WITH TILDE BELOW;Ll;0;L;0065 0330;;;;N;;;1E1A;;1E1A
        "\u1E1C",  # ;LATIN CAPITAL LETTER E WITH CEDILLA AND BREVE;Lu;0;L;0228 0306;;;;N;;;;1E1D;
        "\u1E1D",  # ;LATIN SMALL LETTER E WITH CEDILLA AND BREVE;Ll;0;L;0229 0306;;;;N;;;1E1C;;1E1C
        "\u1E1E",  # ;LATIN CAPITAL LETTER F WITH DOT ABOVE;Lu;0;L;0046 0307;;;;N;;;;1E1F;
        "\u1E1F",  # ;LATIN SMALL LETTER F WITH DOT ABOVE;Ll;0;L;0066 0307;;;;N;;;1E1E;;1E1E
        "\u1E20",  # ;LATIN CAPITAL LETTER G WITH MACRON;Lu;0;L;0047 0304;;;;N;;;;1E21;
        "\u1E21",  # ;LATIN SMALL LETTER G WITH MACRON;Ll;0;L;0067 0304;;;;N;;;1E20;;1E20
        "\u1E22",  # ;LATIN CAPITAL LETTER H WITH DOT ABOVE;Lu;0;L;0048 0307;;;;N;;;;1E23;
        "\u1E23",  # ;LATIN SMALL LETTER H WITH DOT ABOVE;Ll;0;L;0068 0307;;;;N;;;1E22;;1E22
        "\u1E24",  # ;LATIN CAPITAL LETTER H WITH DOT BELOW;Lu;0;L;0048 0323;;;;N;;;;1E25;
        "\u1E25",  # ;LATIN SMALL LETTER H WITH DOT BELOW;Ll;0;L;0068 0323;;;;N;;;1E24;;1E24
        "\u1E26",  # ;LATIN CAPITAL LETTER H WITH DIAERESIS;Lu;0;L;0048 0308;;;;N;;;;1E27;
        "\u1E27",  # ;LATIN SMALL LETTER H WITH DIAERESIS;Ll;0;L;0068 0308;;;;N;;;1E26;;1E26
        "\u1E28",  # ;LATIN CAPITAL LETTER H WITH CEDILLA;Lu;0;L;0048 0327;;;;N;;;;1E29;
        "\u1E29",  # ;LATIN SMALL LETTER H WITH CEDILLA;Ll;0;L;0068 0327;;;;N;;;1E28;;1E28
        "\u1E2A",  # ;LATIN CAPITAL LETTER H WITH BREVE BELOW;Lu;0;L;0048 032E;;;;N;;;;1E2B;
        "\u1E2B",  # ;LATIN SMALL LETTER H WITH BREVE BELOW;Ll;0;L;0068 032E;;;;N;;;1E2A;;1E2A
        "\u1E2C",  # ;LATIN CAPITAL LETTER I WITH TILDE BELOW;Lu;0;L;0049 0330;;;;N;;;;1E2D;
        "\u1E2D",  # ;LATIN SMALL LETTER I WITH TILDE BELOW;Ll;0;L;0069 0330;;;;N;;;1E2C;;1E2C
        "\u1E2E",  # ;LATIN CAPITAL LETTER I WITH DIAERESIS AND ACUTE;Lu;0;L;00CF 0301;;;;N;;;;1E2F;
        "\u1E2F",  # ;LATIN SMALL LETTER I WITH DIAERESIS AND ACUTE;Ll;0;L;00EF 0301;;;;N;;;1E2E;;1E2E
        "\u1E30",  # ;LATIN CAPITAL LETTER K WITH ACUTE;Lu;0;L;004B 0301;;;;N;;;;1E31;
        "\u1E31",  # ;LATIN SMALL LETTER K WITH ACUTE;Ll;0;L;006B 0301;;;;N;;;1E30;;1E30
        "\u1E32",  # ;LATIN CAPITAL LETTER K WITH DOT BELOW;Lu;0;L;004B 0323;;;;N;;;;1E33;
        "\u1E33",  # ;LATIN SMALL LETTER K WITH DOT BELOW;Ll;0;L;006B 0323;;;;N;;;1E32;;1E32
        "\u1E34",  # ;LATIN CAPITAL LETTER K WITH LINE BELOW;Lu;0;L;004B 0331;;;;N;;;;1E35;
        "\u1E35",  # ;LATIN SMALL LETTER K WITH LINE BELOW;Ll;0;L;006B 0331;;;;N;;;1E34;;1E34
        "\u1E36",  # ;LATIN CAPITAL LETTER L WITH DOT BELOW;Lu;0;L;004C 0323;;;;N;;;;1E37;
        "\u1E37",  # ;LATIN SMALL LETTER L WITH DOT BELOW;Ll;0;L;006C 0323;;;;N;;;1E36;;1E36
        "\u1E38",  # ;LATIN CAPITAL LETTER L WITH DOT BELOW AND MACRON;Lu;0;L;1E36 0304;;;;N;;;;1E39;
        "\u1E39",  # ;LATIN SMALL LETTER L WITH DOT BELOW AND MACRON;Ll;0;L;1E37 0304;;;;N;;;1E38;;1E38
        "\u1E3A",  # ;LATIN CAPITAL LETTER L WITH LINE BELOW;Lu;0;L;004C 0331;;;;N;;;;1E3B;
        "\u1E3B",  # ;LATIN SMALL LETTER L WITH LINE BELOW;Ll;0;L;006C 0331;;;;N;;;1E3A;;1E3A
        "\u1E3C",  # ;LATIN CAPITAL LETTER L WITH CIRCUMFLEX BELOW;Lu;0;L;004C 032D;;;;N;;;;1E3D;
        "\u1E3D",  # ;LATIN SMALL LETTER L WITH CIRCUMFLEX BELOW;Ll;0;L;006C 032D;;;;N;;;1E3C;;1E3C
        "\u1E3E",  # ;LATIN CAPITAL LETTER M WITH ACUTE;Lu;0;L;004D 0301;;;;N;;;;1E3F;
        "\u1E3F",  # ;LATIN SMALL LETTER M WITH ACUTE;Ll;0;L;006D 0301;;;;N;;;1E3E;;1E3E
        "\u1E40",  # ;LATIN CAPITAL LETTER M WITH DOT ABOVE;Lu;0;L;004D 0307;;;;N;;;;1E41;
        "\u1E41",  # ;LATIN SMALL LETTER M WITH DOT ABOVE;Ll;0;L;006D 0307;;;;N;;;1E40;;1E40
        "\u1E42",  # ;LATIN CAPITAL LETTER M WITH DOT BELOW;Lu;0;L;004D 0323;;;;N;;;;1E43;
        "\u1E43",  # ;LATIN SMALL LETTER M WITH DOT BELOW;Ll;0;L;006D 0323;;;;N;;;1E42;;1E42
        "\u1E44",  # ;LATIN CAPITAL LETTER N WITH DOT ABOVE;Lu;0;L;004E 0307;;;;N;;;;1E45;
        "\u1E45",  # ;LATIN SMALL LETTER N WITH DOT ABOVE;Ll;0;L;006E 0307;;;;N;;;1E44;;1E44
        "\u1E46",  # ;LATIN CAPITAL LETTER N WITH DOT BELOW;Lu;0;L;004E 0323;;;;N;;;;1E47;
        "\u1E47",  # ;LATIN SMALL LETTER N WITH DOT BELOW;Ll;0;L;006E 0323;;;;N;;;1E46;;1E46
        "\u1E48",  # ;LATIN CAPITAL LETTER N WITH LINE BELOW;Lu;0;L;004E 0331;;;;N;;;;1E49;
        "\u1E49",  # ;LATIN SMALL LETTER N WITH LINE BELOW;Ll;0;L;006E 0331;;;;N;;;1E48;;1E48
        "\u1E4A",  # ;LATIN CAPITAL LETTER N WITH CIRCUMFLEX BELOW;Lu;0;L;004E 032D;;;;N;;;;1E4B;
        "\u1E4B",  # ;LATIN SMALL LETTER N WITH CIRCUMFLEX BELOW;Ll;0;L;006E 032D;;;;N;;;1E4A;;1E4A
        "\u1E4C",  # ;LATIN CAPITAL LETTER O WITH TILDE AND ACUTE;Lu;0;L;00D5 0301;;;;N;;;;1E4D;
        "\u1E4D",  # ;LATIN SMALL LETTER O WITH TILDE AND ACUTE;Ll;0;L;00F5 0301;;;;N;;;1E4C;;1E4C
        "\u1E4E",  # ;LATIN CAPITAL LETTER O WITH TILDE AND DIAERESIS;Lu;0;L;00D5 0308;;;;N;;;;1E4F;
        "\u1E4F",  # ;LATIN SMALL LETTER O WITH TILDE AND DIAERESIS;Ll;0;L;00F5 0308;;;;N;;;1E4E;;1E4E
        "\u1E50",  # ;LATIN CAPITAL LETTER O WITH MACRON AND GRAVE;Lu;0;L;014C 0300;;;;N;;;;1E51;
        "\u1E51",  # ;LATIN SMALL LETTER O WITH MACRON AND GRAVE;Ll;0;L;014D 0300;;;;N;;;1E50;;1E50
        "\u1E52",  # ;LATIN CAPITAL LETTER O WITH MACRON AND ACUTE;Lu;0;L;014C 0301;;;;N;;;;1E53;
        "\u1E53",  # ;LATIN SMALL LETTER O WITH MACRON AND ACUTE;Ll;0;L;014D 0301;;;;N;;;1E52;;1E52
        "\u1E54",  # ;LATIN CAPITAL LETTER P WITH ACUTE;Lu;0;L;0050 0301;;;;N;;;;1E55;
        "\u1E55",  # ;LATIN SMALL LETTER P WITH ACUTE;Ll;0;L;0070 0301;;;;N;;;1E54;;1E54
        "\u1E56",  # ;LATIN CAPITAL LETTER P WITH DOT ABOVE;Lu;0;L;0050 0307;;;;N;;;;1E57;
        "\u1E57",  # ;LATIN SMALL LETTER P WITH DOT ABOVE;Ll;0;L;0070 0307;;;;N;;;1E56;;1E56
        "\u1E58",  # ;LATIN CAPITAL LETTER R WITH DOT ABOVE;Lu;0;L;0052 0307;;;;N;;;;1E59;
        "\u1E59",  # ;LATIN SMALL LETTER R WITH DOT ABOVE;Ll;0;L;0072 0307;;;;N;;;1E58;;1E58
        "\u1E5A",  # ;LATIN CAPITAL LETTER R WITH DOT BELOW;Lu;0;L;0052 0323;;;;N;;;;1E5B;
        "\u1E5B",  # ;LATIN SMALL LETTER R WITH DOT BELOW;Ll;0;L;0072 0323;;;;N;;;1E5A;;1E5A
        "\u1E5C",  # ;LATIN CAPITAL LETTER R WITH DOT BELOW AND MACRON;Lu;0;L;1E5A 0304;;;;N;;;;1E5D;
        "\u1E5D",  # ;LATIN SMALL LETTER R WITH DOT BELOW AND MACRON;Ll;0;L;1E5B 0304;;;;N;;;1E5C;;1E5C
        "\u1E5E",  # ;LATIN CAPITAL LETTER R WITH LINE BELOW;Lu;0;L;0052 0331;;;;N;;;;1E5F;
        "\u1E5F",  # ;LATIN SMALL LETTER R WITH LINE BELOW;Ll;0;L;0072 0331;;;;N;;;1E5E;;1E5E
        "\u1E60",  # ;LATIN CAPITAL LETTER S WITH DOT ABOVE;Lu;0;L;0053 0307;;;;N;;;;1E61;
        "\u1E61",  # ;LATIN SMALL LETTER S WITH DOT ABOVE;Ll;0;L;0073 0307;;;;N;;;1E60;;1E60
        "\u1E62",  # ;LATIN CAPITAL LETTER S WITH DOT BELOW;Lu;0;L;0053 0323;;;;N;;;;1E63;
        "\u1E63",  # ;LATIN SMALL LETTER S WITH DOT BELOW;Ll;0;L;0073 0323;;;;N;;;1E62;;1E62
        "\u1E64",  # ;LATIN CAPITAL LETTER S WITH ACUTE AND DOT ABOVE;Lu;0;L;015A 0307;;;;N;;;;1E65;
        "\u1E65",  # ;LATIN SMALL LETTER S WITH ACUTE AND DOT ABOVE;Ll;0;L;015B 0307;;;;N;;;1E64;;1E64
        "\u1E66",  # ;LATIN CAPITAL LETTER S WITH CARON AND DOT ABOVE;Lu;0;L;0160 0307;;;;N;;;;1E67;
        "\u1E67",  # ;LATIN SMALL LETTER S WITH CARON AND DOT ABOVE;Ll;0;L;0161 0307;;;;N;;;1E66;;1E66
        "\u1E68",  # ;LATIN CAPITAL LETTER S WITH DOT BELOW AND DOT ABOVE;Lu;0;L;1E62 0307;;;;N;;;;1E69;
        "\u1E69",  # ;LATIN SMALL LETTER S WITH DOT BELOW AND DOT ABOVE;Ll;0;L;1E63 0307;;;;N;;;1E68;;1E68
        "\u1E6A",  # ;LATIN CAPITAL LETTER T WITH DOT ABOVE;Lu;0;L;0054 0307;;;;N;;;;1E6B;
        "\u1E6B",  # ;LATIN SMALL LETTER T WITH DOT ABOVE;Ll;0;L;0074 0307;;;;N;;;1E6A;;1E6A
        "\u1E6C",  # ;LATIN CAPITAL LETTER T WITH DOT BELOW;Lu;0;L;0054 0323;;;;N;;;;1E6D;
        "\u1E6D",  # ;LATIN SMALL LETTER T WITH DOT BELOW;Ll;0;L;0074 0323;;;;N;;;1E6C;;1E6C
        "\u1E6E",  # ;LATIN CAPITAL LETTER T WITH LINE BELOW;Lu;0;L;0054 0331;;;;N;;;;1E6F;
        "\u1E6F",  # ;LATIN SMALL LETTER T WITH LINE BELOW;Ll;0;L;0074 0331;;;;N;;;1E6E;;1E6E
        "\u1E70",  # ;LATIN CAPITAL LETTER T WITH CIRCUMFLEX BELOW;Lu;0;L;0054 032D;;;;N;;;;1E71;
        "\u1E71",  # ;LATIN SMALL LETTER T WITH CIRCUMFLEX BELOW;Ll;0;L;0074 032D;;;;N;;;1E70;;1E70
        "\u1E72",  # ;LATIN CAPITAL LETTER U WITH DIAERESIS BELOW;Lu;0;L;0055 0324;;;;N;;;;1E73;
        "\u1E73",  # ;LATIN SMALL LETTER U WITH DIAERESIS BELOW;Ll;0;L;0075 0324;;;;N;;;1E72;;1E72
        "\u1E74",  # ;LATIN CAPITAL LETTER U WITH TILDE BELOW;Lu;0;L;0055 0330;;;;N;;;;1E75;
        "\u1E75",  # ;LATIN SMALL LETTER U WITH TILDE BELOW;Ll;0;L;0075 0330;;;;N;;;1E74;;1E74
        "\u1E76",  # ;LATIN CAPITAL LETTER U WITH CIRCUMFLEX BELOW;Lu;0;L;0055 032D;;;;N;;;;1E77;
        "\u1E77",  # ;LATIN SMALL LETTER U WITH CIRCUMFLEX BELOW;Ll;0;L;0075 032D;;;;N;;;1E76;;1E76
        "\u1E78",  # ;LATIN CAPITAL LETTER U WITH TILDE AND ACUTE;Lu;0;L;0168 0301;;;;N;;;;1E79;
        "\u1E79",  # ;LATIN SMALL LETTER U WITH TILDE AND ACUTE;Ll;0;L;0169 0301;;;;N;;;1E78;;1E78
        "\u1E7A",  # ;LATIN CAPITAL LETTER U WITH MACRON AND DIAERESIS;Lu;0;L;016A 0308;;;;N;;;;1E7B;
        "\u1E7B",  # ;LATIN SMALL LETTER U WITH MACRON AND DIAERESIS;Ll;0;L;016B 0308;;;;N;;;1E7A;;1E7A
        "\u1E7C",  # ;LATIN CAPITAL LETTER V WITH TILDE;Lu;0;L;0056 0303;;;;N;;;;1E7D;
        "\u1E7D",  # ;LATIN SMALL LETTER V WITH TILDE;Ll;0;L;0076 0303;;;;N;;;1E7C;;1E7C
        "\u1E7E",  # ;LATIN CAPITAL LETTER V WITH DOT BELOW;Lu;0;L;0056 0323;;;;N;;;;1E7F;
        "\u1E7F",  # ;LATIN SMALL LETTER V WITH DOT BELOW;Ll;0;L;0076 0323;;;;N;;;1E7E;;1E7E
        "\u1E80",  # ;LATIN CAPITAL LETTER W WITH GRAVE;Lu;0;L;0057 0300;;;;N;;;;1E81;
        "\u1E81",  # ;LATIN SMALL LETTER W WITH GRAVE;Ll;0;L;0077 0300;;;;N;;;1E80;;1E80
        "\u1E82",  # ;LATIN CAPITAL LETTER W WITH ACUTE;Lu;0;L;0057 0301;;;;N;;;;1E83;
        "\u1E83",  # ;LATIN SMALL LETTER W WITH ACUTE;Ll;0;L;0077 0301;;;;N;;;1E82;;1E82
        "\u1E84",  # ;LATIN CAPITAL LETTER W WITH DIAERESIS;Lu;0;L;0057 0308;;;;N;;;;1E85;
        "\u1E85",  # ;LATIN SMALL LETTER W WITH DIAERESIS;Ll;0;L;0077 0308;;;;N;;;1E84;;1E84
        "\u1E86",  # ;LATIN CAPITAL LETTER W WITH DOT ABOVE;Lu;0;L;0057 0307;;;;N;;;;1E87;
        "\u1E87",  # ;LATIN SMALL LETTER W WITH DOT ABOVE;Ll;0;L;0077 0307;;;;N;;;1E86;;1E86
        "\u1E88",  # ;LATIN CAPITAL LETTER W WITH DOT BELOW;Lu;0;L;0057 0323;;;;N;;;;1E89;
        "\u1E89",  # ;LATIN SMALL LETTER W WITH DOT BELOW;Ll;0;L;0077 0323;;;;N;;;1E88;;1E88
        "\u1E8A",  # ;LATIN CAPITAL LETTER X WITH DOT ABOVE;Lu;0;L;0058 0307;;;;N;;;;1E8B;
        "\u1E8B",  # ;LATIN SMALL LETTER X WITH DOT ABOVE;Ll;0;L;0078 0307;;;;N;;;1E8A;;1E8A
        "\u1E8C",  # ;LATIN CAPITAL LETTER X WITH DIAERESIS;Lu;0;L;0058 0308;;;;N;;;;1E8D;
        "\u1E8D",  # ;LATIN SMALL LETTER X WITH DIAERESIS;Ll;0;L;0078 0308;;;;N;;;1E8C;;1E8C
        "\u1E8E",  # ;LATIN CAPITAL LETTER Y WITH DOT ABOVE;Lu;0;L;0059 0307;;;;N;;;;1E8F;
        "\u1E8F",  # ;LATIN SMALL LETTER Y WITH DOT ABOVE;Ll;0;L;0079 0307;;;;N;;;1E8E;;1E8E
        "\u1E90",  # ;LATIN CAPITAL LETTER Z WITH CIRCUMFLEX;Lu;0;L;005A 0302;;;;N;;;;1E91;
        "\u1E91",  # ;LATIN SMALL LETTER Z WITH CIRCUMFLEX;Ll;0;L;007A 0302;;;;N;;;1E90;;1E90
        "\u1E92",  # ;LATIN CAPITAL LETTER Z WITH DOT BELOW;Lu;0;L;005A 0323;;;;N;;;;1E93;
        "\u1E93",  # ;LATIN SMALL LETTER Z WITH DOT BELOW;Ll;0;L;007A 0323;;;;N;;;1E92;;1E92
        "\u1E94",  # ;LATIN CAPITAL LETTER Z WITH LINE BELOW;Lu;0;L;005A 0331;;;;N;;;;1E95;
        "\u1E95",  # ;LATIN SMALL LETTER Z WITH LINE BELOW;Ll;0;L;007A 0331;;;;N;;;1E94;;1E94
        "\u1E96",  # ;LATIN SMALL LETTER H WITH LINE BELOW;Ll;0;L;0068 0331;;;;N;;;;;
        "\u1E97",  # ;LATIN SMALL LETTER T WITH DIAERESIS;Ll;0;L;0074 0308;;;;N;;;;;
        "\u1E98",  # ;LATIN SMALL LETTER W WITH RING ABOVE;Ll;0;L;0077 030A;;;;N;;;;;
        "\u1E99",  # ;LATIN SMALL LETTER Y WITH RING ABOVE;Ll;0;L;0079 030A;;;;N;;;;;
        "\u1E9A",  # ;LATIN SMALL LETTER A WITH RIGHT HALF RING;Ll;0;L;<compat> 0061 02BE;;;;N;;;;;
        "\u1E9B",  # ;LATIN SMALL LETTER LONG S WITH DOT ABOVE;Ll;0;L;017F 0307;;;;N;;;1E60;;1E60
        "\u1E9C",  # ;LATIN SMALL LETTER LONG S WITH DIAGONAL STROKE;Ll;0;L;;;;;N;;;;;
        "\u1E9D",  # ;LATIN SMALL LETTER LONG S WITH HIGH STROKE;Ll;0;L;;;;;N;;;;;
        "\u1E9E",  # ;LATIN CAPITAL LETTER SHARP S;Lu;0;L;;;;;N;;;;00DF;
        "\u1E9F",  # ;LATIN SMALL LETTER DELTA;Ll;0;L;;;;;N;;;;;
        "\u1EA0",  # ;LATIN CAPITAL LETTER A WITH DOT BELOW;Lu;0;L;0041 0323;;;;N;;;;1EA1;
        "\u1EA1",  # ;LATIN SMALL LETTER A WITH DOT BELOW;Ll;0;L;0061 0323;;;;N;;;1EA0;;1EA0
        "\u1EA2",  # ;LATIN CAPITAL LETTER A WITH HOOK ABOVE;Lu;0;L;0041 0309;;;;N;;;;1EA3;
        "\u1EA3",  # ;LATIN SMALL LETTER A WITH HOOK ABOVE;Ll;0;L;0061 0309;;;;N;;;1EA2;;1EA2
        "\u1EA4",  # ;LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND ACUTE;Lu;0;L;00C2 0301;;;;N;;;;1EA5;
        "\u1EA5",  # ;LATIN SMALL LETTER A WITH CIRCUMFLEX AND ACUTE;Ll;0;L;00E2 0301;;;;N;;;1EA4;;1EA4
        "\u1EA6",  # ;LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND GRAVE;Lu;0;L;00C2 0300;;;;N;;;;1EA7;
        "\u1EA7",  # ;LATIN SMALL LETTER A WITH CIRCUMFLEX AND GRAVE;Ll;0;L;00E2 0300;;;;N;;;1EA6;;1EA6
        "\u1EA8",  # ;LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE;Lu;0;L;00C2 0309;;;;N;;;;1EA9;
        "\u1EA9",  # ;LATIN SMALL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE;Ll;0;L;00E2 0309;;;;N;;;1EA8;;1EA8
        "\u1EAA",  # ;LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND TILDE;Lu;0;L;00C2 0303;;;;N;;;;1EAB;
        "\u1EAB",  # ;LATIN SMALL LETTER A WITH CIRCUMFLEX AND TILDE;Ll;0;L;00E2 0303;;;;N;;;1EAA;;1EAA
        "\u1EAC",  # ;LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND DOT BELOW;Lu;0;L;1EA0 0302;;;;N;;;;1EAD;
        "\u1EAD",  # ;LATIN SMALL LETTER A WITH CIRCUMFLEX AND DOT BELOW;Ll;0;L;1EA1 0302;;;;N;;;1EAC;;1EAC
        "\u1EAE",  # ;LATIN CAPITAL LETTER A WITH BREVE AND ACUTE;Lu;0;L;0102 0301;;;;N;;;;1EAF;
        "\u1EAF",  # ;LATIN SMALL LETTER A WITH BREVE AND ACUTE;Ll;0;L;0103 0301;;;;N;;;1EAE;;1EAE
        "\u1EB0",  # ;LATIN CAPITAL LETTER A WITH BREVE AND GRAVE;Lu;0;L;0102 0300;;;;N;;;;1EB1;
        "\u1EB1",  # ;LATIN SMALL LETTER A WITH BREVE AND GRAVE;Ll;0;L;0103 0300;;;;N;;;1EB0;;1EB0
        "\u1EB2",  # ;LATIN CAPITAL LETTER A WITH BREVE AND HOOK ABOVE;Lu;0;L;0102 0309;;;;N;;;;1EB3;
        "\u1EB3",  # ;LATIN SMALL LETTER A WITH BREVE AND HOOK ABOVE;Ll;0;L;0103 0309;;;;N;;;1EB2;;1EB2
        "\u1EB4",  # ;LATIN CAPITAL LETTER A WITH BREVE AND TILDE;Lu;0;L;0102 0303;;;;N;;;;1EB5;
        "\u1EB5",  # ;LATIN SMALL LETTER A WITH BREVE AND TILDE;Ll;0;L;0103 0303;;;;N;;;1EB4;;1EB4
        "\u1EB6",  # ;LATIN CAPITAL LETTER A WITH BREVE AND DOT BELOW;Lu;0;L;1EA0 0306;;;;N;;;;1EB7;
        "\u1EB7",  # ;LATIN SMALL LETTER A WITH BREVE AND DOT BELOW;Ll;0;L;1EA1 0306;;;;N;;;1EB6;;1EB6
        "\u1EB8",  # ;LATIN CAPITAL LETTER E WITH DOT BELOW;Lu;0;L;0045 0323;;;;N;;;;1EB9;
        "\u1EB9",  # ;LATIN SMALL LETTER E WITH DOT BELOW;Ll;0;L;0065 0323;;;;N;;;1EB8;;1EB8
        "\u1EBA",  # ;LATIN CAPITAL LETTER E WITH HOOK ABOVE;Lu;0;L;0045 0309;;;;N;;;;1EBB;
        "\u1EBB",  # ;LATIN SMALL LETTER E WITH HOOK ABOVE;Ll;0;L;0065 0309;;;;N;;;1EBA;;1EBA
        "\u1EBC",  # ;LATIN CAPITAL LETTER E WITH TILDE;Lu;0;L;0045 0303;;;;N;;;;1EBD;
        "\u1EBD",  # ;LATIN SMALL LETTER E WITH TILDE;Ll;0;L;0065 0303;;;;N;;;1EBC;;1EBC
        "\u1EBE",  # ;LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND ACUTE;Lu;0;L;00CA 0301;;;;N;;;;1EBF;
        "\u1EBF",  # ;LATIN SMALL LETTER E WITH CIRCUMFLEX AND ACUTE;Ll;0;L;00EA 0301;;;;N;;;1EBE;;1EBE
        "\u1EC0",  # ;LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND GRAVE;Lu;0;L;00CA 0300;;;;N;;;;1EC1;
        "\u1EC1",  # ;LATIN SMALL LETTER E WITH CIRCUMFLEX AND GRAVE;Ll;0;L;00EA 0300;;;;N;;;1EC0;;1EC0
        "\u1EC2",  # ;LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE;Lu;0;L;00CA 0309;;;;N;;;;1EC3;
        "\u1EC3",  # ;LATIN SMALL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE;Ll;0;L;00EA 0309;;;;N;;;1EC2;;1EC2
        "\u1EC4",  # ;LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND TILDE;Lu;0;L;00CA 0303;;;;N;;;;1EC5;
        "\u1EC5",  # ;LATIN SMALL LETTER E WITH CIRCUMFLEX AND TILDE;Ll;0;L;00EA 0303;;;;N;;;1EC4;;1EC4
        "\u1EC6",  # ;LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND DOT BELOW;Lu;0;L;1EB8 0302;;;;N;;;;1EC7;
        "\u1EC7",  # ;LATIN SMALL LETTER E WITH CIRCUMFLEX AND DOT BELOW;Ll;0;L;1EB9 0302;;;;N;;;1EC6;;1EC6
        "\u1EC8",  # ;LATIN CAPITAL LETTER I WITH HOOK ABOVE;Lu;0;L;0049 0309;;;;N;;;;1EC9;
        "\u1EC9",  # ;LATIN SMALL LETTER I WITH HOOK ABOVE;Ll;0;L;0069 0309;;;;N;;;1EC8;;1EC8
        "\u1ECA",  # ;LATIN CAPITAL LETTER I WITH DOT BELOW;Lu;0;L;0049 0323;;;;N;;;;1ECB;
        "\u1ECB",  # ;LATIN SMALL LETTER I WITH DOT BELOW;Ll;0;L;0069 0323;;;;N;;;1ECA;;1ECA
        "\u1ECC",  # ;LATIN CAPITAL LETTER O WITH DOT BELOW;Lu;0;L;004F 0323;;;;N;;;;1ECD;
        "\u1ECD",  # ;LATIN SMALL LETTER O WITH DOT BELOW;Ll;0;L;006F 0323;;;;N;;;1ECC;;1ECC
        "\u1ECE",  # ;LATIN CAPITAL LETTER O WITH HOOK ABOVE;Lu;0;L;004F 0309;;;;N;;;;1ECF;
        "\u1ECF",  # ;LATIN SMALL LETTER O WITH HOOK ABOVE;Ll;0;L;006F 0309;;;;N;;;1ECE;;1ECE
        "\u1ED0",  # ;LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND ACUTE;Lu;0;L;00D4 0301;;;;N;;;;1ED1;
        "\u1ED1",  # ;LATIN SMALL LETTER O WITH CIRCUMFLEX AND ACUTE;Ll;0;L;00F4 0301;;;;N;;;1ED0;;1ED0
        "\u1ED2",  # ;LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND GRAVE;Lu;0;L;00D4 0300;;;;N;;;;1ED3;
        "\u1ED3",  # ;LATIN SMALL LETTER O WITH CIRCUMFLEX AND GRAVE;Ll;0;L;00F4 0300;;;;N;;;1ED2;;1ED2
        "\u1ED4",  # ;LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE;Lu;0;L;00D4 0309;;;;N;;;;1ED5;
        "\u1ED5",  # ;LATIN SMALL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE;Ll;0;L;00F4 0309;;;;N;;;1ED4;;1ED4
        "\u1ED6",  # ;LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND TILDE;Lu;0;L;00D4 0303;;;;N;;;;1ED7;
        "\u1ED7",  # ;LATIN SMALL LETTER O WITH CIRCUMFLEX AND TILDE;Ll;0;L;00F4 0303;;;;N;;;1ED6;;1ED6
        "\u1ED8",  # ;LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND DOT BELOW;Lu;0;L;1ECC 0302;;;;N;;;;1ED9;
        "\u1ED9",  # ;LATIN SMALL LETTER O WITH CIRCUMFLEX AND DOT BELOW;Ll;0;L;1ECD 0302;;;;N;;;1ED8;;1ED8
        "\u1EDA",  # ;LATIN CAPITAL LETTER O WITH HORN AND ACUTE;Lu;0;L;01A0 0301;;;;N;;;;1EDB;
        "\u1EDB",  # ;LATIN SMALL LETTER O WITH HORN AND ACUTE;Ll;0;L;01A1 0301;;;;N;;;1EDA;;1EDA
        "\u1EDC",  # ;LATIN CAPITAL LETTER O WITH HORN AND GRAVE;Lu;0;L;01A0 0300;;;;N;;;;1EDD;
        "\u1EDD",  # ;LATIN SMALL LETTER O WITH HORN AND GRAVE;Ll;0;L;01A1 0300;;;;N;;;1EDC;;1EDC
        "\u1EDE",  # ;LATIN CAPITAL LETTER O WITH HORN AND HOOK ABOVE;Lu;0;L;01A0 0309;;;;N;;;;1EDF;
        "\u1EDF",  # ;LATIN SMALL LETTER O WITH HORN AND HOOK ABOVE;Ll;0;L;01A1 0309;;;;N;;;1EDE;;1EDE
        "\u1EE0",  # ;LATIN CAPITAL LETTER O WITH HORN AND TILDE;Lu;0;L;01A0 0303;;;;N;;;;1EE1;
        "\u1EE1",  # ;LATIN SMALL LETTER O WITH HORN AND TILDE;Ll;0;L;01A1 0303;;;;N;;;1EE0;;1EE0
        "\u1EE2",  # ;LATIN CAPITAL LETTER O WITH HORN AND DOT BELOW;Lu;0;L;01A0 0323;;;;N;;;;1EE3;
        "\u1EE3",  # ;LATIN SMALL LETTER O WITH HORN AND DOT BELOW;Ll;0;L;01A1 0323;;;;N;;;1EE2;;1EE2
        "\u1EE4",  # ;LATIN CAPITAL LETTER U WITH DOT BELOW;Lu;0;L;0055 0323;;;;N;;;;1EE5;
        "\u1EE5",  # ;LATIN SMALL LETTER U WITH DOT BELOW;Ll;0;L;0075 0323;;;;N;;;1EE4;;1EE4
        "\u1EE6",  # ;LATIN CAPITAL LETTER U WITH HOOK ABOVE;Lu;0;L;0055 0309;;;;N;;;;1EE7;
        "\u1EE7",  # ;LATIN SMALL LETTER U WITH HOOK ABOVE;Ll;0;L;0075 0309;;;;N;;;1EE6;;1EE6
        "\u1EE8",  # ;LATIN CAPITAL LETTER U WITH HORN AND ACUTE;Lu;0;L;01AF 0301;;;;N;;;;1EE9;
        "\u1EE9",  # ;LATIN SMALL LETTER U WITH HORN AND ACUTE;Ll;0;L;01B0 0301;;;;N;;;1EE8;;1EE8
        "\u1EEA",  # ;LATIN CAPITAL LETTER U WITH HORN AND GRAVE;Lu;0;L;01AF 0300;;;;N;;;;1EEB;
        "\u1EEB",  # ;LATIN SMALL LETTER U WITH HORN AND GRAVE;Ll;0;L;01B0 0300;;;;N;;;1EEA;;1EEA
        "\u1EEC",  # ;LATIN CAPITAL LETTER U WITH HORN AND HOOK ABOVE;Lu;0;L;01AF 0309;;;;N;;;;1EED;
        "\u1EED",  # ;LATIN SMALL LETTER U WITH HORN AND HOOK ABOVE;Ll;0;L;01B0 0309;;;;N;;;1EEC;;1EEC
        "\u1EEE",  # ;LATIN CAPITAL LETTER U WITH HORN AND TILDE;Lu;0;L;01AF 0303;;;;N;;;;1EEF;
        "\u1EEF",  # ;LATIN SMALL LETTER U WITH HORN AND TILDE;Ll;0;L;01B0 0303;;;;N;;;1EEE;;1EEE
        "\u1EF0",  # ;LATIN CAPITAL LETTER U WITH HORN AND DOT BELOW;Lu;0;L;01AF 0323;;;;N;;;;1EF1;
        "\u1EF1",  # ;LATIN SMALL LETTER U WITH HORN AND DOT BELOW;Ll;0;L;01B0 0323;;;;N;;;1EF0;;1EF0
        "\u1EF2",  # ;LATIN CAPITAL LETTER Y WITH GRAVE;Lu;0;L;0059 0300;;;;N;;;;1EF3;
        "\u1EF3",  # ;LATIN SMALL LETTER Y WITH GRAVE;Ll;0;L;0079 0300;;;;N;;;1EF2;;1EF2
        "\u1EF4",  # ;LATIN CAPITAL LETTER Y WITH DOT BELOW;Lu;0;L;0059 0323;;;;N;;;;1EF5;
        "\u1EF5",  # ;LATIN SMALL LETTER Y WITH DOT BELOW;Ll;0;L;0079 0323;;;;N;;;1EF4;;1EF4
        "\u1EF6",  # ;LATIN CAPITAL LETTER Y WITH HOOK ABOVE;Lu;0;L;0059 0309;;;;N;;;;1EF7;
        "\u1EF7",  # ;LATIN SMALL LETTER Y WITH HOOK ABOVE;Ll;0;L;0079 0309;;;;N;;;1EF6;;1EF6
        "\u1EF8",  # ;LATIN CAPITAL LETTER Y WITH TILDE;Lu;0;L;0059 0303;;;;N;;;;1EF9;
        "\u1EF9",  # ;LATIN SMALL LETTER Y WITH TILDE;Ll;0;L;0079 0303;;;;N;;;1EF8;;1EF8
        "\u1EFA",  # ;LATIN CAPITAL LETTER MIDDLE-WELSH LL;Lu;0;L;;;;;N;;;;1EFB;
        "\u1EFB",  # ;LATIN SMALL LETTER MIDDLE-WELSH LL;Ll;0;L;;;;;N;;;1EFA;;1EFA
        "\u1EFC",  # ;LATIN CAPITAL LETTER MIDDLE-WELSH V;Lu;0;L;;;;;N;;;;1EFD;
        "\u1EFD",  # ;LATIN SMALL LETTER MIDDLE-WELSH V;Ll;0;L;;;;;N;;;1EFC;;1EFC
        "\u1EFE",  # ;LATIN CAPITAL LETTER Y WITH LOOP;Lu;0;L;;;;;N;;;;1EFF;
        "\u1EFF",  # ;LATIN SMALL LETTER Y WITH LOOP;Ll;0;L;;;;;N;;;1EFE;;1EFE
        "\u1F00",  # ;GREEK SMALL LETTER ALPHA WITH PSILI;Ll;0;L;03B1 0313;;;;N;;;1F08;;1F08
        "\u1F01",  # ;GREEK SMALL LETTER ALPHA WITH DASIA;Ll;0;L;03B1 0314;;;;N;;;1F09;;1F09
        "\u1F02",  # ;GREEK SMALL LETTER ALPHA WITH PSILI AND VARIA;Ll;0;L;1F00 0300;;;;N;;;1F0A;;1F0A
        "\u1F03",  # ;GREEK SMALL LETTER ALPHA WITH DASIA AND VARIA;Ll;0;L;1F01 0300;;;;N;;;1F0B;;1F0B
        "\u1F04",  # ;GREEK SMALL LETTER ALPHA WITH PSILI AND OXIA;Ll;0;L;1F00 0301;;;;N;;;1F0C;;1F0C
        "\u1F05",  # ;GREEK SMALL LETTER ALPHA WITH DASIA AND OXIA;Ll;0;L;1F01 0301;;;;N;;;1F0D;;1F0D
        "\u1F06",  # ;GREEK SMALL LETTER ALPHA WITH PSILI AND PERISPOMENI;Ll;0;L;1F00 0342;;;;N;;;1F0E;;1F0E
        "\u1F07",  # ;GREEK SMALL LETTER ALPHA WITH DASIA AND PERISPOMENI;Ll;0;L;1F01 0342;;;;N;;;1F0F;;1F0F
        "\u1F08",  # ;GREEK CAPITAL LETTER ALPHA WITH PSILI;Lu;0;L;0391 0313;;;;N;;;;1F00;
        "\u1F09",  # ;GREEK CAPITAL LETTER ALPHA WITH DASIA;Lu;0;L;0391 0314;;;;N;;;;1F01;
        "\u1F0A",  # ;GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA;Lu;0;L;1F08 0300;;;;N;;;;1F02;
        "\u1F0B",  # ;GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA;Lu;0;L;1F09 0300;;;;N;;;;1F03;
        "\u1F0C",  # ;GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA;Lu;0;L;1F08 0301;;;;N;;;;1F04;
        "\u1F0D",  # ;GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA;Lu;0;L;1F09 0301;;;;N;;;;1F05;
        "\u1F0E",  # ;GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI;Lu;0;L;1F08 0342;;;;N;;;;1F06;
        "\u1F0F",  # ;GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI;Lu;0;L;1F09 0342;;;;N;;;;1F07;
        "\u1F10",  # ;GREEK SMALL LETTER EPSILON WITH PSILI;Ll;0;L;03B5 0313;;;;N;;;1F18;;1F18
        "\u1F11",  # ;GREEK SMALL LETTER EPSILON WITH DASIA;Ll;0;L;03B5 0314;;;;N;;;1F19;;1F19
        "\u1F12",  # ;GREEK SMALL LETTER EPSILON WITH PSILI AND VARIA;Ll;0;L;1F10 0300;;;;N;;;1F1A;;1F1A
        "\u1F13",  # ;GREEK SMALL LETTER EPSILON WITH DASIA AND VARIA;Ll;0;L;1F11 0300;;;;N;;;1F1B;;1F1B
        "\u1F14",  # ;GREEK SMALL LETTER EPSILON WITH PSILI AND OXIA;Ll;0;L;1F10 0301;;;;N;;;1F1C;;1F1C
        "\u1F15",  # ;GREEK SMALL LETTER EPSILON WITH DASIA AND OXIA;Ll;0;L;1F11 0301;;;;N;;;1F1D;;1F1D
        "\u1F18",  # ;GREEK CAPITAL LETTER EPSILON WITH PSILI;Lu;0;L;0395 0313;;;;N;;;;1F10;
        "\u1F19",  # ;GREEK CAPITAL LETTER EPSILON WITH DASIA;Lu;0;L;0395 0314;;;;N;;;;1F11;
        "\u1F1A",  # ;GREEK CAPITAL LETTER EPSILON WITH PSILI AND VARIA;Lu;0;L;1F18 0300;;;;N;;;;1F12;
        "\u1F1B",  # ;GREEK CAPITAL LETTER EPSILON WITH DASIA AND VARIA;Lu;0;L;1F19 0300;;;;N;;;;1F13;
        "\u1F1C",  # ;GREEK CAPITAL LETTER EPSILON WITH PSILI AND OXIA;Lu;0;L;1F18 0301;;;;N;;;;1F14;
        "\u1F1D",  # ;GREEK CAPITAL LETTER EPSILON WITH DASIA AND OXIA;Lu;0;L;1F19 0301;;;;N;;;;1F15;
        "\u1F20",  # ;GREEK SMALL LETTER ETA WITH PSILI;Ll;0;L;03B7 0313;;;;N;;;1F28;;1F28
        "\u1F21",  # ;GREEK SMALL LETTER ETA WITH DASIA;Ll;0;L;03B7 0314;;;;N;;;1F29;;1F29
        "\u1F22",  # ;GREEK SMALL LETTER ETA WITH PSILI AND VARIA;Ll;0;L;1F20 0300;;;;N;;;1F2A;;1F2A
        "\u1F23",  # ;GREEK SMALL LETTER ETA WITH DASIA AND VARIA;Ll;0;L;1F21 0300;;;;N;;;1F2B;;1F2B
        "\u1F24",  # ;GREEK SMALL LETTER ETA WITH PSILI AND OXIA;Ll;0;L;1F20 0301;;;;N;;;1F2C;;1F2C
        "\u1F25",  # ;GREEK SMALL LETTER ETA WITH DASIA AND OXIA;Ll;0;L;1F21 0301;;;;N;;;1F2D;;1F2D
        "\u1F26",  # ;GREEK SMALL LETTER ETA WITH PSILI AND PERISPOMENI;Ll;0;L;1F20 0342;;;;N;;;1F2E;;1F2E
        "\u1F27",  # ;GREEK SMALL LETTER ETA WITH DASIA AND PERISPOMENI;Ll;0;L;1F21 0342;;;;N;;;1F2F;;1F2F
        "\u1F28",  # ;GREEK CAPITAL LETTER ETA WITH PSILI;Lu;0;L;0397 0313;;;;N;;;;1F20;
        "\u1F29",  # ;GREEK CAPITAL LETTER ETA WITH DASIA;Lu;0;L;0397 0314;;;;N;;;;1F21;
        "\u1F2A",  # ;GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA;Lu;0;L;1F28 0300;;;;N;;;;1F22;
        "\u1F2B",  # ;GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA;Lu;0;L;1F29 0300;;;;N;;;;1F23;
        "\u1F2C",  # ;GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA;Lu;0;L;1F28 0301;;;;N;;;;1F24;
        "\u1F2D",  # ;GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA;Lu;0;L;1F29 0301;;;;N;;;;1F25;
        "\u1F2E",  # ;GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI;Lu;0;L;1F28 0342;;;;N;;;;1F26;
        "\u1F2F",  # ;GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI;Lu;0;L;1F29 0342;;;;N;;;;1F27;
        "\u1F30",  # ;GREEK SMALL LETTER IOTA WITH PSILI;Ll;0;L;03B9 0313;;;;N;;;1F38;;1F38
        "\u1F31",  # ;GREEK SMALL LETTER IOTA WITH DASIA;Ll;0;L;03B9 0314;;;;N;;;1F39;;1F39
        "\u1F32",  # ;GREEK SMALL LETTER IOTA WITH PSILI AND VARIA;Ll;0;L;1F30 0300;;;;N;;;1F3A;;1F3A
        "\u1F33",  # ;GREEK SMALL LETTER IOTA WITH DASIA AND VARIA;Ll;0;L;1F31 0300;;;;N;;;1F3B;;1F3B
        "\u1F34",  # ;GREEK SMALL LETTER IOTA WITH PSILI AND OXIA;Ll;0;L;1F30 0301;;;;N;;;1F3C;;1F3C
        "\u1F35",  # ;GREEK SMALL LETTER IOTA WITH DASIA AND OXIA;Ll;0;L;1F31 0301;;;;N;;;1F3D;;1F3D
        "\u1F36",  # ;GREEK SMALL LETTER IOTA WITH PSILI AND PERISPOMENI;Ll;0;L;1F30 0342;;;;N;;;1F3E;;1F3E
        "\u1F37",  # ;GREEK SMALL LETTER IOTA WITH DASIA AND PERISPOMENI;Ll;0;L;1F31 0342;;;;N;;;1F3F;;1F3F
        "\u1F38",  # ;GREEK CAPITAL LETTER IOTA WITH PSILI;Lu;0;L;0399 0313;;;;N;;;;1F30;
        "\u1F39",  # ;GREEK CAPITAL LETTER IOTA WITH DASIA;Lu;0;L;0399 0314;;;;N;;;;1F31;
        "\u1F3A",  # ;GREEK CAPITAL LETTER IOTA WITH PSILI AND VARIA;Lu;0;L;1F38 0300;;;;N;;;;1F32;
        "\u1F3B",  # ;GREEK CAPITAL LETTER IOTA WITH DASIA AND VARIA;Lu;0;L;1F39 0300;;;;N;;;;1F33;
        "\u1F3C",  # ;GREEK CAPITAL LETTER IOTA WITH PSILI AND OXIA;Lu;0;L;1F38 0301;;;;N;;;;1F34;
        "\u1F3D",  # ;GREEK CAPITAL LETTER IOTA WITH DASIA AND OXIA;Lu;0;L;1F39 0301;;;;N;;;;1F35;
        "\u1F3E",  # ;GREEK CAPITAL LETTER IOTA WITH PSILI AND PERISPOMENI;Lu;0;L;1F38 0342;;;;N;;;;1F36;
        "\u1F3F",  # ;GREEK CAPITAL LETTER IOTA WITH DASIA AND PERISPOMENI;Lu;0;L;1F39 0342;;;;N;;;;1F37;
        "\u1F40",  # ;GREEK SMALL LETTER OMICRON WITH PSILI;Ll;0;L;03BF 0313;;;;N;;;1F48;;1F48
        "\u1F41",  # ;GREEK SMALL LETTER OMICRON WITH DASIA;Ll;0;L;03BF 0314;;;;N;;;1F49;;1F49
        "\u1F42",  # ;GREEK SMALL LETTER OMICRON WITH PSILI AND VARIA;Ll;0;L;1F40 0300;;;;N;;;1F4A;;1F4A
        "\u1F43",  # ;GREEK SMALL LETTER OMICRON WITH DASIA AND VARIA;Ll;0;L;1F41 0300;;;;N;;;1F4B;;1F4B
        "\u1F44",  # ;GREEK SMALL LETTER OMICRON WITH PSILI AND OXIA;Ll;0;L;1F40 0301;;;;N;;;1F4C;;1F4C
        "\u1F45",  # ;GREEK SMALL LETTER OMICRON WITH DASIA AND OXIA;Ll;0;L;1F41 0301;;;;N;;;1F4D;;1F4D
        "\u1F48",  # ;GREEK CAPITAL LETTER OMICRON WITH PSILI;Lu;0;L;039F 0313;;;;N;;;;1F40;
        "\u1F49",  # ;GREEK CAPITAL LETTER OMICRON WITH DASIA;Lu;0;L;039F 0314;;;;N;;;;1F41;
        "\u1F4A",  # ;GREEK CAPITAL LETTER OMICRON WITH PSILI AND VARIA;Lu;0;L;1F48 0300;;;;N;;;;1F42;
        "\u1F4B",  # ;GREEK CAPITAL LETTER OMICRON WITH DASIA AND VARIA;Lu;0;L;1F49 0300;;;;N;;;;1F43;
        "\u1F4C",  # ;GREEK CAPITAL LETTER OMICRON WITH PSILI AND OXIA;Lu;0;L;1F48 0301;;;;N;;;;1F44;
        "\u1F4D",  # ;GREEK CAPITAL LETTER OMICRON WITH DASIA AND OXIA;Lu;0;L;1F49 0301;;;;N;;;;1F45;
        "\u1F50",  # ;GREEK SMALL LETTER UPSILON WITH PSILI;Ll;0;L;03C5 0313;;;;N;;;;;
        "\u1F51",  # ;GREEK SMALL LETTER UPSILON WITH DASIA;Ll;0;L;03C5 0314;;;;N;;;1F59;;1F59
        "\u1F52",  # ;GREEK SMALL LETTER UPSILON WITH PSILI AND VARIA;Ll;0;L;1F50 0300;;;;N;;;;;
        "\u1F53",  # ;GREEK SMALL LETTER UPSILON WITH DASIA AND VARIA;Ll;0;L;1F51 0300;;;;N;;;1F5B;;1F5B
        "\u1F54",  # ;GREEK SMALL LETTER UPSILON WITH PSILI AND OXIA;Ll;0;L;1F50 0301;;;;N;;;;;
        "\u1F55",  # ;GREEK SMALL LETTER UPSILON WITH DASIA AND OXIA;Ll;0;L;1F51 0301;;;;N;;;1F5D;;1F5D
        "\u1F56",  # ;GREEK SMALL LETTER UPSILON WITH PSILI AND PERISPOMENI;Ll;0;L;1F50 0342;;;;N;;;;;
        "\u1F57",  # ;GREEK SMALL LETTER UPSILON WITH DASIA AND PERISPOMENI;Ll;0;L;1F51 0342;;;;N;;;1F5F;;1F5F
        "\u1F59",  # ;GREEK CAPITAL LETTER UPSILON WITH DASIA;Lu;0;L;03A5 0314;;;;N;;;;1F51;
        "\u1F5B",  # ;GREEK CAPITAL LETTER UPSILON WITH DASIA AND VARIA;Lu;0;L;1F59 0300;;;;N;;;;1F53;
        "\u1F5D",  # ;GREEK CAPITAL LETTER UPSILON WITH DASIA AND OXIA;Lu;0;L;1F59 0301;;;;N;;;;1F55;
        "\u1F5F",  # ;GREEK CAPITAL LETTER UPSILON WITH DASIA AND PERISPOMENI;Lu;0;L;1F59 0342;;;;N;;;;1F57;
        "\u1F60",  # ;GREEK SMALL LETTER OMEGA WITH PSILI;Ll;0;L;03C9 0313;;;;N;;;1F68;;1F68
        "\u1F61",  # ;GREEK SMALL LETTER OMEGA WITH DASIA;Ll;0;L;03C9 0314;;;;N;;;1F69;;1F69
        "\u1F62",  # ;GREEK SMALL LETTER OMEGA WITH PSILI AND VARIA;Ll;0;L;1F60 0300;;;;N;;;1F6A;;1F6A
        "\u1F63",  # ;GREEK SMALL LETTER OMEGA WITH DASIA AND VARIA;Ll;0;L;1F61 0300;;;;N;;;1F6B;;1F6B
        "\u1F64",  # ;GREEK SMALL LETTER OMEGA WITH PSILI AND OXIA;Ll;0;L;1F60 0301;;;;N;;;1F6C;;1F6C
        "\u1F65",  # ;GREEK SMALL LETTER OMEGA WITH DASIA AND OXIA;Ll;0;L;1F61 0301;;;;N;;;1F6D;;1F6D
        "\u1F66",  # ;GREEK SMALL LETTER OMEGA WITH PSILI AND PERISPOMENI;Ll;0;L;1F60 0342;;;;N;;;1F6E;;1F6E
        "\u1F67",  # ;GREEK SMALL LETTER OMEGA WITH DASIA AND PERISPOMENI;Ll;0;L;1F61 0342;;;;N;;;1F6F;;1F6F
        "\u1F68",  # ;GREEK CAPITAL LETTER OMEGA WITH PSILI;Lu;0;L;03A9 0313;;;;N;;;;1F60;
        "\u1F69",  # ;GREEK CAPITAL LETTER OMEGA WITH DASIA;Lu;0;L;03A9 0314;;;;N;;;;1F61;
        "\u1F6A",  # ;GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA;Lu;0;L;1F68 0300;;;;N;;;;1F62;
        "\u1F6B",  # ;GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA;Lu;0;L;1F69 0300;;;;N;;;;1F63;
        "\u1F6C",  # ;GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA;Lu;0;L;1F68 0301;;;;N;;;;1F64;
        "\u1F6D",  # ;GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA;Lu;0;L;1F69 0301;;;;N;;;;1F65;
        "\u1F6E",  # ;GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI;Lu;0;L;1F68 0342;;;;N;;;;1F66;
        "\u1F6F",  # ;GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI;Lu;0;L;1F69 0342;;;;N;;;;1F67;
        "\u1F70",  # ;GREEK SMALL LETTER ALPHA WITH VARIA;Ll;0;L;03B1 0300;;;;N;;;1FBA;;1FBA
        "\u1F71",  # ;GREEK SMALL LETTER ALPHA WITH OXIA;Ll;0;L;03AC;;;;N;;;1FBB;;1FBB
        "\u1F72",  # ;GREEK SMALL LETTER EPSILON WITH VARIA;Ll;0;L;03B5 0300;;;;N;;;1FC8;;1FC8
        "\u1F73",  # ;GREEK SMALL LETTER EPSILON WITH OXIA;Ll;0;L;03AD;;;;N;;;1FC9;;1FC9
        "\u1F74",  # ;GREEK SMALL LETTER ETA WITH VARIA;Ll;0;L;03B7 0300;;;;N;;;1FCA;;1FCA
        "\u1F75",  # ;GREEK SMALL LETTER ETA WITH OXIA;Ll;0;L;03AE;;;;N;;;1FCB;;1FCB
        "\u1F76",  # ;GREEK SMALL LETTER IOTA WITH VARIA;Ll;0;L;03B9 0300;;;;N;;;1FDA;;1FDA
        "\u1F77",  # ;GREEK SMALL LETTER IOTA WITH OXIA;Ll;0;L;03AF;;;;N;;;1FDB;;1FDB
        "\u1F78",  # ;GREEK SMALL LETTER OMICRON WITH VARIA;Ll;0;L;03BF 0300;;;;N;;;1FF8;;1FF8
        "\u1F79",  # ;GREEK SMALL LETTER OMICRON WITH OXIA;Ll;0;L;03CC;;;;N;;;1FF9;;1FF9
        "\u1F7A",  # ;GREEK SMALL LETTER UPSILON WITH VARIA;Ll;0;L;03C5 0300;;;;N;;;1FEA;;1FEA
        "\u1F7B",  # ;GREEK SMALL LETTER UPSILON WITH OXIA;Ll;0;L;03CD;;;;N;;;1FEB;;1FEB
        "\u1F7C",  # ;GREEK SMALL LETTER OMEGA WITH VARIA;Ll;0;L;03C9 0300;;;;N;;;1FFA;;1FFA
        "\u1F7D",  # ;GREEK SMALL LETTER OMEGA WITH OXIA;Ll;0;L;03CE;;;;N;;;1FFB;;1FFB
        "\u1F80",  # ;GREEK SMALL LETTER ALPHA WITH PSILI AND YPOGEGRAMMENI;Ll;0;L;1F00 0345;;;;N;;;1F88;;1F88
        "\u1F81",  # ;GREEK SMALL LETTER ALPHA WITH DASIA AND YPOGEGRAMMENI;Ll;0;L;1F01 0345;;;;N;;;1F89;;1F89
        "\u1F82",  # ;GREEK SMALL LETTER ALPHA WITH PSILI AND VARIA AND YPOGEGRAMMENI;Ll;0;L;1F02 0345;;;;N;;;1F8A;;1F8A
        "\u1F83",  # ;GREEK SMALL LETTER ALPHA WITH DASIA AND VARIA AND YPOGEGRAMMENI;Ll;0;L;1F03 0345;;;;N;;;1F8B;;1F8B
        "\u1F84",  # ;GREEK SMALL LETTER ALPHA WITH PSILI AND OXIA AND YPOGEGRAMMENI;Ll;0;L;1F04 0345;;;;N;;;1F8C;;1F8C
        "\u1F85",  # ;GREEK SMALL LETTER ALPHA WITH DASIA AND OXIA AND YPOGEGRAMMENI;Ll;0;L;1F05 0345;;;;N;;;1F8D;;1F8D
        "\u1F86",  # ;GREEK SMALL LETTER ALPHA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI;Ll;0;L;1F06 0345;;;;N;;;1F8E;;1F8E
        "\u1F87",  # ;GREEK SMALL LETTER ALPHA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI;Ll;0;L;1F07 0345;;;;N;;;1F8F;;1F8F
        "\u1F88",  # ;GREEK CAPITAL LETTER ALPHA WITH PSILI AND PROSGEGRAMMENI;Lt;0;L;1F08 0345;;;;N;;;;1F80;
        "\u1F89",  # ;GREEK CAPITAL LETTER ALPHA WITH DASIA AND PROSGEGRAMMENI;Lt;0;L;1F09 0345;;;;N;;;;1F81;
        "\u1F8A",  # ;GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA AND PROSGEGRAMMENI;Lt;0;L;1F0A 0345;;;;N;;;;1F82;
        "\u1F8B",  # ;GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA AND PROSGEGRAMMENI;Lt;0;L;1F0B 0345;;;;N;;;;1F83;
        "\u1F8C",  # ;GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA AND PROSGEGRAMMENI;Lt;0;L;1F0C 0345;;;;N;;;;1F84;
        "\u1F8D",  # ;GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA AND PROSGEGRAMMENI;Lt;0;L;1F0D 0345;;;;N;;;;1F85;
        "\u1F8E",  # ;GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI;Lt;0;L;1F0E 0345;;;;N;;;;1F86;
        "\u1F8F",  # ;GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI;Lt;0;L;1F0F 0345;;;;N;;;;1F87;
        "\u1F90",  # ;GREEK SMALL LETTER ETA WITH PSILI AND YPOGEGRAMMENI;Ll;0;L;1F20 0345;;;;N;;;1F98;;1F98
        "\u1F91",  # ;GREEK SMALL LETTER ETA WITH DASIA AND YPOGEGRAMMENI;Ll;0;L;1F21 0345;;;;N;;;1F99;;1F99
        "\u1F92",  # ;GREEK SMALL LETTER ETA WITH PSILI AND VARIA AND YPOGEGRAMMENI;Ll;0;L;1F22 0345;;;;N;;;1F9A;;1F9A
        "\u1F93",  # ;GREEK SMALL LETTER ETA WITH DASIA AND VARIA AND YPOGEGRAMMENI;Ll;0;L;1F23 0345;;;;N;;;1F9B;;1F9B
        "\u1F94",  # ;GREEK SMALL LETTER ETA WITH PSILI AND OXIA AND YPOGEGRAMMENI;Ll;0;L;1F24 0345;;;;N;;;1F9C;;1F9C
        "\u1F95",  # ;GREEK SMALL LETTER ETA WITH DASIA AND OXIA AND YPOGEGRAMMENI;Ll;0;L;1F25 0345;;;;N;;;1F9D;;1F9D
        "\u1F96",  # ;GREEK SMALL LETTER ETA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI;Ll;0;L;1F26 0345;;;;N;;;1F9E;;1F9E
        "\u1F97",  # ;GREEK SMALL LETTER ETA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI;Ll;0;L;1F27 0345;;;;N;;;1F9F;;1F9F
        "\u1F98",  # ;GREEK CAPITAL LETTER ETA WITH PSILI AND PROSGEGRAMMENI;Lt;0;L;1F28 0345;;;;N;;;;1F90;
        "\u1F99",  # ;GREEK CAPITAL LETTER ETA WITH DASIA AND PROSGEGRAMMENI;Lt;0;L;1F29 0345;;;;N;;;;1F91;
        "\u1F9A",  # ;GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI;Lt;0;L;1F2A 0345;;;;N;;;;1F92;
        "\u1F9B",  # ;GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI;Lt;0;L;1F2B 0345;;;;N;;;;1F93;
        "\u1F9C",  # ;GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI;Lt;0;L;1F2C 0345;;;;N;;;;1F94;
        "\u1F9D",  # ;GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI;Lt;0;L;1F2D 0345;;;;N;;;;1F95;
        "\u1F9E",  # ;GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI;Lt;0;L;1F2E 0345;;;;N;;;;1F96;
        "\u1F9F",  # ;GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI;Lt;0;L;1F2F 0345;;;;N;;;;1F97;
        "\u1FA0",  # ;GREEK SMALL LETTER OMEGA WITH PSILI AND YPOGEGRAMMENI;Ll;0;L;1F60 0345;;;;N;;;1FA8;;1FA8
        "\u1FA1",  # ;GREEK SMALL LETTER OMEGA WITH DASIA AND YPOGEGRAMMENI;Ll;0;L;1F61 0345;;;;N;;;1FA9;;1FA9
        "\u1FA2",  # ;GREEK SMALL LETTER OMEGA WITH PSILI AND VARIA AND YPOGEGRAMMENI;Ll;0;L;1F62 0345;;;;N;;;1FAA;;1FAA
        "\u1FA3",  # ;GREEK SMALL LETTER OMEGA WITH DASIA AND VARIA AND YPOGEGRAMMENI;Ll;0;L;1F63 0345;;;;N;;;1FAB;;1FAB
        "\u1FA4",  # ;GREEK SMALL LETTER OMEGA WITH PSILI AND OXIA AND YPOGEGRAMMENI;Ll;0;L;1F64 0345;;;;N;;;1FAC;;1FAC
        "\u1FA5",  # ;GREEK SMALL LETTER OMEGA WITH DASIA AND OXIA AND YPOGEGRAMMENI;Ll;0;L;1F65 0345;;;;N;;;1FAD;;1FAD
        "\u1FA6",  # ;GREEK SMALL LETTER OMEGA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI;Ll;0;L;1F66 0345;;;;N;;;1FAE;;1FAE
        "\u1FA7",  # ;GREEK SMALL LETTER OMEGA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI;Ll;0;L;1F67 0345;;;;N;;;1FAF;;1FAF
        "\u1FA8",  # ;GREEK CAPITAL LETTER OMEGA WITH PSILI AND PROSGEGRAMMENI;Lt;0;L;1F68 0345;;;;N;;;;1FA0;
        "\u1FA9",  # ;GREEK CAPITAL LETTER OMEGA WITH DASIA AND PROSGEGRAMMENI;Lt;0;L;1F69 0345;;;;N;;;;1FA1;
        "\u1FAA",  # ;GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA AND PROSGEGRAMMENI;Lt;0;L;1F6A 0345;;;;N;;;;1FA2;
        "\u1FAB",  # ;GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA AND PROSGEGRAMMENI;Lt;0;L;1F6B 0345;;;;N;;;;1FA3;
        "\u1FAC",  # ;GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA AND PROSGEGRAMMENI;Lt;0;L;1F6C 0345;;;;N;;;;1FA4;
        "\u1FAD",  # ;GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA AND PROSGEGRAMMENI;Lt;0;L;1F6D 0345;;;;N;;;;1FA5;
        "\u1FAE",  # ;GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI;Lt;0;L;1F6E 0345;;;;N;;;;1FA6;
        "\u1FAF",  # ;GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI;Lt;0;L;1F6F 0345;;;;N;;;;1FA7;
        "\u1FB0",  # ;GREEK SMALL LETTER ALPHA WITH VRACHY;Ll;0;L;03B1 0306;;;;N;;;1FB8;;1FB8
        "\u1FB1",  # ;GREEK SMALL LETTER ALPHA WITH MACRON;Ll;0;L;03B1 0304;;;;N;;;1FB9;;1FB9
        "\u1FB2",  # ;GREEK SMALL LETTER ALPHA WITH VARIA AND YPOGEGRAMMENI;Ll;0;L;1F70 0345;;;;N;;;;;
        "\u1FB3",  # ;GREEK SMALL LETTER ALPHA WITH YPOGEGRAMMENI;Ll;0;L;03B1 0345;;;;N;;;1FBC;;1FBC
        "\u1FB4",  # ;GREEK SMALL LETTER ALPHA WITH OXIA AND YPOGEGRAMMENI;Ll;0;L;03AC 0345;;;;N;;;;;
        "\u1FB6",  # ;GREEK SMALL LETTER ALPHA WITH PERISPOMENI;Ll;0;L;03B1 0342;;;;N;;;;;
        "\u1FB7",  # ;GREEK SMALL LETTER ALPHA WITH PERISPOMENI AND YPOGEGRAMMENI;Ll;0;L;1FB6 0345;;;;N;;;;;
        "\u1FB8",  # ;GREEK CAPITAL LETTER ALPHA WITH VRACHY;Lu;0;L;0391 0306;;;;N;;;;1FB0;
        "\u1FB9",  # ;GREEK CAPITAL LETTER ALPHA WITH MACRON;Lu;0;L;0391 0304;;;;N;;;;1FB1;
        "\u1FBA",  # ;GREEK CAPITAL LETTER ALPHA WITH VARIA;Lu;0;L;0391 0300;;;;N;;;;1F70;
        "\u1FBB",  # ;GREEK CAPITAL LETTER ALPHA WITH OXIA;Lu;0;L;0386;;;;N;;;;1F71;
        "\u1FBC",  # ;GREEK CAPITAL LETTER ALPHA WITH PROSGEGRAMMENI;Lt;0;L;0391 0345;;;;N;;;;1FB3;
        "\u1FBD",  # ;GREEK KORONIS;Sk;0;ON;<compat> 0020 0313;;;;N;;;;;
        "\u1FBE",  # ;GREEK PROSGEGRAMMENI;Ll;0;L;03B9;;;;N;;;0399;;0399
        "\u1FBF",  # ;GREEK PSILI;Sk;0;ON;<compat> 0020 0313;;;;N;;;;;
        "\u1FC0",  # ;GREEK PERISPOMENI;Sk;0;ON;<compat> 0020 0342;;;;N;;;;;
        "\u1FC1",  # ;GREEK DIALYTIKA AND PERISPOMENI;Sk;0;ON;00A8 0342;;;;N;;;;;
        "\u1FC2",  # ;GREEK SMALL LETTER ETA WITH VARIA AND YPOGEGRAMMENI;Ll;0;L;1F74 0345;;;;N;;;;;
        "\u1FC3",  # ;GREEK SMALL LETTER ETA WITH YPOGEGRAMMENI;Ll;0;L;03B7 0345;;;;N;;;1FCC;;1FCC
        "\u1FC4",  # ;GREEK SMALL LETTER ETA WITH OXIA AND YPOGEGRAMMENI;Ll;0;L;03AE 0345;;;;N;;;;;
        "\u1FC6",  # ;GREEK SMALL LETTER ETA WITH PERISPOMENI;Ll;0;L;03B7 0342;;;;N;;;;;
        "\u1FC7",  # ;GREEK SMALL LETTER ETA WITH PERISPOMENI AND YPOGEGRAMMENI;Ll;0;L;1FC6 0345;;;;N;;;;;
        "\u1FC8",  # ;GREEK CAPITAL LETTER EPSILON WITH VARIA;Lu;0;L;0395 0300;;;;N;;;;1F72;
        "\u1FC9",  # ;GREEK CAPITAL LETTER EPSILON WITH OXIA;Lu;0;L;0388;;;;N;;;;1F73;
        "\u1FCA",  # ;GREEK CAPITAL LETTER ETA WITH VARIA;Lu;0;L;0397 0300;;;;N;;;;1F74;
        "\u1FCB",  # ;GREEK CAPITAL LETTER ETA WITH OXIA;Lu;0;L;0389;;;;N;;;;1F75;
        "\u1FCC",  # ;GREEK CAPITAL LETTER ETA WITH PROSGEGRAMMENI;Lt;0;L;0397 0345;;;;N;;;;1FC3;
        "\u1FCD",  # ;GREEK PSILI AND VARIA;Sk;0;ON;1FBF 0300;;;;N;;;;;
        "\u1FCE",  # ;GREEK PSILI AND OXIA;Sk;0;ON;1FBF 0301;;;;N;;;;;
        "\u1FCF",  # ;GREEK PSILI AND PERISPOMENI;Sk;0;ON;1FBF 0342;;;;N;;;;;
        "\u1FD0",  # ;GREEK SMALL LETTER IOTA WITH VRACHY;Ll;0;L;03B9 0306;;;;N;;;1FD8;;1FD8
        "\u1FD1",  # ;GREEK SMALL LETTER IOTA WITH MACRON;Ll;0;L;03B9 0304;;;;N;;;1FD9;;1FD9
        "\u1FD2",  # ;GREEK SMALL LETTER IOTA WITH DIALYTIKA AND VARIA;Ll;0;L;03CA 0300;;;;N;;;;;
        "\u1FD3",  # ;GREEK SMALL LETTER IOTA WITH DIALYTIKA AND OXIA;Ll;0;L;0390;;;;N;;;;;
        "\u1FD6",  # ;GREEK SMALL LETTER IOTA WITH PERISPOMENI;Ll;0;L;03B9 0342;;;;N;;;;;
        "\u1FD7",  # ;GREEK SMALL LETTER IOTA WITH DIALYTIKA AND PERISPOMENI;Ll;0;L;03CA 0342;;;;N;;;;;
        "\u1FD8",  # ;GREEK CAPITAL LETTER IOTA WITH VRACHY;Lu;0;L;0399 0306;;;;N;;;;1FD0;
        "\u1FD9",  # ;GREEK CAPITAL LETTER IOTA WITH MACRON;Lu;0;L;0399 0304;;;;N;;;;1FD1;
        "\u1FDA",  # ;GREEK CAPITAL LETTER IOTA WITH VARIA;Lu;0;L;0399 0300;;;;N;;;;1F76;
        "\u1FDB",  # ;GREEK CAPITAL LETTER IOTA WITH OXIA;Lu;0;L;038A;;;;N;;;;1F77;
        "\u1FDD",  # ;GREEK DASIA AND VARIA;Sk;0;ON;1FFE 0300;;;;N;;;;;
        "\u1FDE",  # ;GREEK DASIA AND OXIA;Sk;0;ON;1FFE 0301;;;;N;;;;;
        "\u1FDF",  # ;GREEK DASIA AND PERISPOMENI;Sk;0;ON;1FFE 0342;;;;N;;;;;
        "\u1FE0",  # ;GREEK SMALL LETTER UPSILON WITH VRACHY;Ll;0;L;03C5 0306;;;;N;;;1FE8;;1FE8
        "\u1FE1",  # ;GREEK SMALL LETTER UPSILON WITH MACRON;Ll;0;L;03C5 0304;;;;N;;;1FE9;;1FE9
        "\u1FE2",  # ;GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND VARIA;Ll;0;L;03CB 0300;;;;N;;;;;
        "\u1FE3",  # ;GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND OXIA;Ll;0;L;03B0;;;;N;;;;;
        "\u1FE4",  # ;GREEK SMALL LETTER RHO WITH PSILI;Ll;0;L;03C1 0313;;;;N;;;;;
        "\u1FE5",  # ;GREEK SMALL LETTER RHO WITH DASIA;Ll;0;L;03C1 0314;;;;N;;;1FEC;;1FEC
        "\u1FE6",  # ;GREEK SMALL LETTER UPSILON WITH PERISPOMENI;Ll;0;L;03C5 0342;;;;N;;;;;
        "\u1FE7",  # ;GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND PERISPOMENI;Ll;0;L;03CB 0342;;;;N;;;;;
        "\u1FE8",  # ;GREEK CAPITAL LETTER UPSILON WITH VRACHY;Lu;0;L;03A5 0306;;;;N;;;;1FE0;
        "\u1FE9",  # ;GREEK CAPITAL LETTER UPSILON WITH MACRON;Lu;0;L;03A5 0304;;;;N;;;;1FE1;
        "\u1FEA",  # ;GREEK CAPITAL LETTER UPSILON WITH VARIA;Lu;0;L;03A5 0300;;;;N;;;;1F7A;
        "\u1FEB",  # ;GREEK CAPITAL LETTER UPSILON WITH OXIA;Lu;0;L;038E;;;;N;;;;1F7B;
        "\u1FEC",  # ;GREEK CAPITAL LETTER RHO WITH DASIA;Lu;0;L;03A1 0314;;;;N;;;;1FE5;
        "\u1FED",  # ;GREEK DIALYTIKA AND VARIA;Sk;0;ON;00A8 0300;;;;N;;;;;
        "\u1FEE",  # ;GREEK DIALYTIKA AND OXIA;Sk;0;ON;0385;;;;N;;;;;
        "\u1FEF",  # ;GREEK VARIA;Sk;0;ON;0060;;;;N;;;;;
        "\u1FF2",  # ;GREEK SMALL LETTER OMEGA WITH VARIA AND YPOGEGRAMMENI;Ll;0;L;1F7C 0345;;;;N;;;;;
        "\u1FF3",  # ;GREEK SMALL LETTER OMEGA WITH YPOGEGRAMMENI;Ll;0;L;03C9 0345;;;;N;;;1FFC;;1FFC
        "\u1FF4",  # ;GREEK SMALL LETTER OMEGA WITH OXIA AND YPOGEGRAMMENI;Ll;0;L;03CE 0345;;;;N;;;;;
        "\u1FF6",  # ;GREEK SMALL LETTER OMEGA WITH PERISPOMENI;Ll;0;L;03C9 0342;;;;N;;;;;
        "\u1FF7",  # ;GREEK SMALL LETTER OMEGA WITH PERISPOMENI AND YPOGEGRAMMENI;Ll;0;L;1FF6 0345;;;;N;;;;;
        "\u1FF8",  # ;GREEK CAPITAL LETTER OMICRON WITH VARIA;Lu;0;L;039F 0300;;;;N;;;;1F78;
        "\u1FF9",  # ;GREEK CAPITAL LETTER OMICRON WITH OXIA;Lu;0;L;038C;;;;N;;;;1F79;
        "\u1FFA",  # ;GREEK CAPITAL LETTER OMEGA WITH VARIA;Lu;0;L;03A9 0300;;;;N;;;;1F7C;
        "\u1FFB",  # ;GREEK CAPITAL LETTER OMEGA WITH OXIA;Lu;0;L;038F;;;;N;;;;1F7D;
        "\u1FFC",  # ;GREEK CAPITAL LETTER OMEGA WITH PROSGEGRAMMENI;Lt;0;L;03A9 0345;;;;N;;;;1FF3;
        "\u1FFD",  # ;GREEK OXIA;Sk;0;ON;00B4;;;;N;;;;;
        "\u1FFE",  # ;GREEK DASIA;Sk;0;ON;<compat> 0020 0314;;;;N;;;;;
        "\u2000",  # ;EN QUAD;Zs;0;WS;2002;;;;N;;;;;
        "\u2001",  # ;EM QUAD;Zs;0;WS;2003;;;;N;;;;;
        "\u2002",  # ;EN SPACE;Zs;0;WS;<compat> 0020;;;;N;;;;;
        "\u2003",  # ;EM SPACE;Zs;0;WS;<compat> 0020;;;;N;;;;;
        "\u2004",  # ;THREE-PER-EM SPACE;Zs;0;WS;<compat> 0020;;;;N;;;;;
        "\u2005",  # ;FOUR-PER-EM SPACE;Zs;0;WS;<compat> 0020;;;;N;;;;;
        "\u2006",  # ;SIX-PER-EM SPACE;Zs;0;WS;<compat> 0020;;;;N;;;;;
        "\u2007",  # ;FIGURE SPACE;Zs;0;WS;<noBreak> 0020;;;;N;;;;;
        "\u2008",  # ;PUNCTUATION SPACE;Zs;0;WS;<compat> 0020;;;;N;;;;;
        "\u2009",  # ;THIN SPACE;Zs;0;WS;<compat> 0020;;;;N;;;;;
        "\u200A",  # ;HAIR SPACE;Zs;0;WS;<compat> 0020;;;;N;;;;;
        "\u200B",  # ;ZERO WIDTH SPACE;Cf;0;BN;;;;;N;;;;;
        "\u200C",  # ;ZERO WIDTH NON-JOINER;Cf;0;BN;;;;;N;;;;;
        "\u200D",  # ;ZERO WIDTH JOINER;Cf;0;BN;;;;;N;;;;;
        "\u200E",  # ;LEFT-TO-RIGHT MARK;Cf;0;L;;;;;N;;;;;
        "\u200F",  # ;RIGHT-TO-LEFT MARK;Cf;0;R;;;;;N;;;;;
        "\u2010",  # ;HYPHEN;Pd;0;ON;;;;;N;;;;;
        "\u2011",  # ;NON-BREAKING HYPHEN;Pd;0;ON;<noBreak> 2010;;;;N;;;;;
        "\u2012",  # ;FIGURE DASH;Pd;0;ON;;;;;N;;;;;
        "\u2013",  # ;EN DASH;Pd;0;ON;;;;;N;;;;;
        "\u2014",  # ;EM DASH;Pd;0;ON;;;;;N;;;;;
        "\u2015",  # ;HORIZONTAL BAR;Pd;0;ON;;;;;N;QUOTATION DASH;;;;
        "\u2016",  # ;DOUBLE VERTICAL LINE;Po;0;ON;;;;;N;DOUBLE VERTICAL BAR;;;;
        "\u2017",  # ;DOUBLE LOW LINE;Po;0;ON;<compat> 0020 0333;;;;N;SPACING DOUBLE UNDERSCORE;;;;
        "\u2018",  # ;LEFT SINGLE QUOTATION MARK;Pi;0;ON;;;;;N;SINGLE TURNED COMMA QUOTATION MARK;;;;
        "\u2019",  # ;RIGHT SINGLE QUOTATION MARK;Pf;0;ON;;;;;N;SINGLE COMMA QUOTATION MARK;;;;
        "\u201A",  # ;SINGLE LOW-9 QUOTATION MARK;Ps;0;ON;;;;;N;LOW SINGLE COMMA QUOTATION MARK;;;;
        "\u201B",  # ;SINGLE HIGH-REVERSED-9 QUOTATION MARK;Pi;0;ON;;;;;N;SINGLE REVERSED COMMA QUOTATION MARK;;;;
        "\u201C",  # ;LEFT DOUBLE QUOTATION MARK;Pi;0;ON;;;;;N;DOUBLE TURNED COMMA QUOTATION MARK;;;;
        "\u201D",  # ;RIGHT DOUBLE QUOTATION MARK;Pf;0;ON;;;;;N;DOUBLE COMMA QUOTATION MARK;;;;
        "\u201E",  # ;DOUBLE LOW-9 QUOTATION MARK;Ps;0;ON;;;;;N;LOW DOUBLE COMMA QUOTATION MARK;;;;
        "\u201F",  # ;DOUBLE HIGH-REVERSED-9 QUOTATION MARK;Pi;0;ON;;;;;N;DOUBLE REVERSED COMMA QUOTATION MARK;;;;
        "\u2020",  # ;DAGGER;Po;0;ON;;;;;N;;;;;
        "\u2021",  # ;DOUBLE DAGGER;Po;0;ON;;;;;N;;;;;
        "\u2022",  # ;BULLET;Po;0;ON;;;;;N;;;;;
        "\u2023",  # ;TRIANGULAR BULLET;Po;0;ON;;;;;N;;;;;
        "\u2024",  # ;ONE DOT LEADER;Po;0;ON;<compat> 002E;;;;N;;;;;
        "\u2025",  # ;TWO DOT LEADER;Po;0;ON;<compat> 002E 002E;;;;N;;;;;
        "\u2026",  # ;HORIZONTAL ELLIPSIS;Po;0;ON;<compat> 002E 002E 002E;;;;N;;;;;
        "\u2027",  # ;HYPHENATION POINT;Po;0;ON;;;;;N;;;;;
        "\u2028",  # ;LINE SEPARATOR;Zl;0;WS;;;;;N;;;;;
        "\u2029",  # ;PARAGRAPH SEPARATOR;Zp;0;B;;;;;N;;;;;
        "\u202A",  # ;LEFT-TO-RIGHT EMBEDDING;Cf;0;LRE;;;;;N;;;;;
        "\u202B",  # ;RIGHT-TO-LEFT EMBEDDING;Cf;0;RLE;;;;;N;;;;;
        "\u202C",  # ;POP DIRECTIONAL FORMATTING;Cf;0;PDF;;;;;N;;;;;
        "\u202D",  # ;LEFT-TO-RIGHT OVERRIDE;Cf;0;LRO;;;;;N;;;;;
        "\u202E",  # ;RIGHT-TO-LEFT OVERRIDE;Cf;0;RLO;;;;;N;;;;;
        "\u202F",  # ;NARROW NO-BREAK SPACE;Zs;0;CS;<noBreak> 0020;;;;N;;;;;
        "\u2030",  # ;PER MILLE SIGN;Po;0;ET;;;;;N;;;;;
        "\u2031",  # ;PER TEN THOUSAND SIGN;Po;0;ET;;;;;N;;;;;
        "\u2032",  # ;PRIME;Po;0;ET;;;;;N;;;;;
        "\u2033",  # ;DOUBLE PRIME;Po;0;ET;<compat> 2032 2032;;;;N;;;;;
        "\u2034",  # ;TRIPLE PRIME;Po;0;ET;<compat> 2032 2032 2032;;;;N;;;;;
        "\u2035",  # ;REVERSED PRIME;Po;0;ON;;;;;N;;;;;
        "\u2036",  # ;REVERSED DOUBLE PRIME;Po;0;ON;<compat> 2035 2035;;;;N;;;;;
        "\u2037",  # ;REVERSED TRIPLE PRIME;Po;0;ON;<compat> 2035 2035 2035;;;;N;;;;;
        "\u2038",  # ;CARET;Po;0;ON;;;;;N;;;;;
        "\u2039",  # ;SINGLE LEFT-POINTING ANGLE QUOTATION MARK;Pi;0;ON;;;;;Y;LEFT POINTING SINGLE GUILLEMET;;;;
        "\u203A",  # ;SINGLE RIGHT-POINTING ANGLE QUOTATION MARK;Pf;0;ON;;;;;Y;RIGHT POINTING SINGLE GUILLEMET;;;;
        "\u203B",  # ;REFERENCE MARK;Po;0;ON;;;;;N;;;;;
        "\u203C",  # ;DOUBLE EXCLAMATION MARK;Po;0;ON;<compat> 0021 0021;;;;N;;;;;
        "\u203D",  # ;INTERROBANG;Po;0;ON;;;;;N;;;;;
        "\u203E",  # ;OVERLINE;Po;0;ON;<compat> 0020 0305;;;;N;SPACING OVERSCORE;;;;
        "\u203F",  # ;UNDERTIE;Pc;0;ON;;;;;N;;;;;
        "\u2040",  # ;CHARACTER TIE;Pc;0;ON;;;;;N;;;;;
        "\u2041",  # ;CARET INSERTION POINT;Po;0;ON;;;;;N;;;;;
        "\u2042",  # ;ASTERISM;Po;0;ON;;;;;N;;;;;
        "\u2043",  # ;HYPHEN BULLET;Po;0;ON;;;;;N;;;;;
        "\u2044",  # ;FRACTION SLASH;Sm;0;CS;;;;;N;;;;;
        "\u2045",  # ;LEFT SQUARE BRACKET WITH QUILL;Ps;0;ON;;;;;Y;;;;;
        "\u2046",  # ;RIGHT SQUARE BRACKET WITH QUILL;Pe;0;ON;;;;;Y;;;;;
        "\u2047",  # ;DOUBLE QUESTION MARK;Po;0;ON;<compat> 003F 003F;;;;N;;;;;
        "\u2048",  # ;QUESTION EXCLAMATION MARK;Po;0;ON;<compat> 003F 0021;;;;N;;;;;
        "\u2049",  # ;EXCLAMATION QUESTION MARK;Po;0;ON;<compat> 0021 003F;;;;N;;;;;
        "\u204A",  # ;TIRONIAN SIGN ET;Po;0;ON;;;;;N;;;;;
        "\u204B",  # ;REVERSED PILCROW SIGN;Po;0;ON;;;;;N;;;;;
        "\u204C",  # ;BLACK LEFTWARDS BULLET;Po;0;ON;;;;;N;;;;;
        "\u204D",  # ;BLACK RIGHTWARDS BULLET;Po;0;ON;;;;;N;;;;;
        "\u204E",  # ;LOW ASTERISK;Po;0;ON;;;;;N;;;;;
        "\u204F",  # ;REVERSED SEMICOLON;Po;0;ON;;;;;N;;;;;
        "\u2050",  # ;CLOSE UP;Po;0;ON;;;;;N;;;;;
        "\u2051",  # ;TWO ASTERISKS ALIGNED VERTICALLY;Po;0;ON;;;;;N;;;;;
        "\u2052",  # ;COMMERCIAL MINUS SIGN;Sm;0;ON;;;;;N;;;;;
        "\u2053",  # ;SWUNG DASH;Po;0;ON;;;;;N;;;;;
        "\u2054",  # ;INVERTED UNDERTIE;Pc;0;ON;;;;;N;;;;;
        "\u2055",  # ;FLOWER PUNCTUATION MARK;Po;0;ON;;;;;N;;;;;
        "\u2056",  # ;THREE DOT PUNCTUATION;Po;0;ON;;;;;N;;;;;
        "\u2057",  # ;QUADRUPLE PRIME;Po;0;ON;<compat> 2032 2032 2032 2032;;;;N;;;;;
        "\u2058",  # ;FOUR DOT PUNCTUATION;Po;0;ON;;;;;N;;;;;
        "\u2059",  # ;FIVE DOT PUNCTUATION;Po;0;ON;;;;;N;;;;;
        "\u205A",  # ;TWO DOT PUNCTUATION;Po;0;ON;;;;;N;;;;;
        "\u205B",  # ;FOUR DOT MARK;Po;0;ON;;;;;N;;;;;
        "\u205C",  # ;DOTTED CROSS;Po;0;ON;;;;;N;;;;;
        "\u205D",  # ;TRICOLON;Po;0;ON;;;;;N;;;;;
        "\u205E",  # ;VERTICAL FOUR DOTS;Po;0;ON;;;;;N;;;;;
        "\u205F",  # ;MEDIUM MATHEMATICAL SPACE;Zs;0;WS;<compat> 0020;;;;N;;;;;
        "\u2060",  # ;WORD JOINER;Cf;0;BN;;;;;N;;;;;
        "\u2061",  # ;FUNCTION APPLICATION;Cf;0;BN;;;;;N;;;;;
        "\u2062",  # ;INVISIBLE TIMES;Cf;0;BN;;;;;N;;;;;
        "\u2063",  # ;INVISIBLE SEPARATOR;Cf;0;BN;;;;;N;;;;;
        "\u2064",  # ;INVISIBLE PLUS;Cf;0;BN;;;;;N;;;;;
        "\u2066",  # ;LEFT-TO-RIGHT ISOLATE;Cf;0;LRI;;;;;N;;;;;
        "\u2067",  # ;RIGHT-TO-LEFT ISOLATE;Cf;0;RLI;;;;;N;;;;;
        "\u2068",  # ;FIRST STRONG ISOLATE;Cf;0;FSI;;;;;N;;;;;
        "\u2069",  # ;POP DIRECTIONAL ISOLATE;Cf;0;PDI;;;;;N;;;;;
        "\u206A",  # ;INHIBIT SYMMETRIC SWAPPING;Cf;0;BN;;;;;N;;;;;
        "\u206B",  # ;ACTIVATE SYMMETRIC SWAPPING;Cf;0;BN;;;;;N;;;;;
        "\u206C",  # ;INHIBIT ARABIC FORM SHAPING;Cf;0;BN;;;;;N;;;;;
        "\u206D",  # ;ACTIVATE ARABIC FORM SHAPING;Cf;0;BN;;;;;N;;;;;
        "\u206E",  # ;NATIONAL DIGIT SHAPES;Cf;0;BN;;;;;N;;;;;
        "\u206F",  # ;NOMINAL DIGIT SHAPES;Cf;0;BN;;;;;N;;;;;
        "\u2070",  # ;SUPERSCRIPT ZERO;No;0;EN;<super> 0030;;0;0;N;SUPERSCRIPT DIGIT ZERO;;;;
        "\u2071",  # ;SUPERSCRIPT LATIN SMALL LETTER I;Lm;0;L;<super> 0069;;;;N;;;;;
        "\u2074",  # ;SUPERSCRIPT FOUR;No;0;EN;<super> 0034;;4;4;N;SUPERSCRIPT DIGIT FOUR;;;;
        "\u2075",  # ;SUPERSCRIPT FIVE;No;0;EN;<super> 0035;;5;5;N;SUPERSCRIPT DIGIT FIVE;;;;
        "\u2076",  # ;SUPERSCRIPT SIX;No;0;EN;<super> 0036;;6;6;N;SUPERSCRIPT DIGIT SIX;;;;
        "\u2077",  # ;SUPERSCRIPT SEVEN;No;0;EN;<super> 0037;;7;7;N;SUPERSCRIPT DIGIT SEVEN;;;;
        "\u2078",  # ;SUPERSCRIPT EIGHT;No;0;EN;<super> 0038;;8;8;N;SUPERSCRIPT DIGIT EIGHT;;;;
        "\u2079",  # ;SUPERSCRIPT NINE;No;0;EN;<super> 0039;;9;9;N;SUPERSCRIPT DIGIT NINE;;;;
        "\u207A",  # ;SUPERSCRIPT PLUS SIGN;Sm;0;ES;<super> 002B;;;;N;;;;;
        "\u207B",  # ;SUPERSCRIPT MINUS;Sm;0;ES;<super> 2212;;;;N;SUPERSCRIPT HYPHEN-MINUS;;;;
        "\u207C",  # ;SUPERSCRIPT EQUALS SIGN;Sm;0;ON;<super> 003D;;;;N;;;;;
        "\u207D",  # ;SUPERSCRIPT LEFT PARENTHESIS;Ps;0;ON;<super> 0028;;;;Y;SUPERSCRIPT OPENING PARENTHESIS;;;;
        "\u207E",  # ;SUPERSCRIPT RIGHT PARENTHESIS;Pe;0;ON;<super> 0029;;;;Y;SUPERSCRIPT CLOSING PARENTHESIS;;;;
        "\u207F",  # ;SUPERSCRIPT LATIN SMALL LETTER N;Lm;0;L;<super> 006E;;;;N;;;;;
        "\u2080",  # ;SUBSCRIPT ZERO;No;0;EN;<sub> 0030;;0;0;N;SUBSCRIPT DIGIT ZERO;;;;
        "\u2081",  # ;SUBSCRIPT ONE;No;0;EN;<sub> 0031;;1;1;N;SUBSCRIPT DIGIT ONE;;;;
        "\u2082",  # ;SUBSCRIPT TWO;No;0;EN;<sub> 0032;;2;2;N;SUBSCRIPT DIGIT TWO;;;;
        "\u2083",  # ;SUBSCRIPT THREE;No;0;EN;<sub> 0033;;3;3;N;SUBSCRIPT DIGIT THREE;;;;
        "\u2084",  # ;SUBSCRIPT FOUR;No;0;EN;<sub> 0034;;4;4;N;SUBSCRIPT DIGIT FOUR;;;;
        "\u2085",  # ;SUBSCRIPT FIVE;No;0;EN;<sub> 0035;;5;5;N;SUBSCRIPT DIGIT FIVE;;;;
        "\u2086",  # ;SUBSCRIPT SIX;No;0;EN;<sub> 0036;;6;6;N;SUBSCRIPT DIGIT SIX;;;;
        "\u2087",  # ;SUBSCRIPT SEVEN;No;0;EN;<sub> 0037;;7;7;N;SUBSCRIPT DIGIT SEVEN;;;;
        "\u2088",  # ;SUBSCRIPT EIGHT;No;0;EN;<sub> 0038;;8;8;N;SUBSCRIPT DIGIT EIGHT;;;;
        "\u2089",  # ;SUBSCRIPT NINE;No;0;EN;<sub> 0039;;9;9;N;SUBSCRIPT DIGIT NINE;;;;
        "\u208A",  # ;SUBSCRIPT PLUS SIGN;Sm;0;ES;<sub> 002B;;;;N;;;;;
        "\u208B",  # ;SUBSCRIPT MINUS;Sm;0;ES;<sub> 2212;;;;N;SUBSCRIPT HYPHEN-MINUS;;;;
        "\u208C",  # ;SUBSCRIPT EQUALS SIGN;Sm;0;ON;<sub> 003D;;;;N;;;;;
        "\u208D",  # ;SUBSCRIPT LEFT PARENTHESIS;Ps;0;ON;<sub> 0028;;;;Y;SUBSCRIPT OPENING PARENTHESIS;;;;
        "\u208E",  # ;SUBSCRIPT RIGHT PARENTHESIS;Pe;0;ON;<sub> 0029;;;;Y;SUBSCRIPT CLOSING PARENTHESIS;;;;
        "\u2090",  # ;LATIN SUBSCRIPT SMALL LETTER A;Lm;0;L;<sub> 0061;;;;N;;;;;
        "\u2091",  # ;LATIN SUBSCRIPT SMALL LETTER E;Lm;0;L;<sub> 0065;;;;N;;;;;
        "\u2092",  # ;LATIN SUBSCRIPT SMALL LETTER O;Lm;0;L;<sub> 006F;;;;N;;;;;
        "\u2093",  # ;LATIN SUBSCRIPT SMALL LETTER X;Lm;0;L;<sub> 0078;;;;N;;;;;
        "\u2094",  # ;LATIN SUBSCRIPT SMALL LETTER SCHWA;Lm;0;L;<sub> 0259;;;;N;;;;;
        "\u2095",  # ;LATIN SUBSCRIPT SMALL LETTER H;Lm;0;L;<sub> 0068;;;;N;;;;;
        "\u2096",  # ;LATIN SUBSCRIPT SMALL LETTER K;Lm;0;L;<sub> 006B;;;;N;;;;;
        "\u2097",  # ;LATIN SUBSCRIPT SMALL LETTER L;Lm;0;L;<sub> 006C;;;;N;;;;;
        "\u2098",  # ;LATIN SUBSCRIPT SMALL LETTER M;Lm;0;L;<sub> 006D;;;;N;;;;;
        "\u2099",  # ;LATIN SUBSCRIPT SMALL LETTER N;Lm;0;L;<sub> 006E;;;;N;;;;;
        "\u209A",  # ;LATIN SUBSCRIPT SMALL LETTER P;Lm;0;L;<sub> 0070;;;;N;;;;;
        "\u209B",  # ;LATIN SUBSCRIPT SMALL LETTER S;Lm;0;L;<sub> 0073;;;;N;;;;;
        "\u209C",  # ;LATIN SUBSCRIPT SMALL LETTER T;Lm;0;L;<sub> 0074;;;;N;;;;;
        "\u20A0",  # ;EURO-CURRENCY SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20A1",  # ;COLON SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20A2",  # ;CRUZEIRO SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20A3",  # ;FRENCH FRANC SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20A4",  # ;LIRA SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20A5",  # ;MILL SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20A6",  # ;NAIRA SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20A7",  # ;PESETA SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20A8",  # ;RUPEE SIGN;Sc;0;ET;<compat> 0052 0073;;;;N;;;;;
        "\u20A9",  # ;WON SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20AA",  # ;NEW SHEQEL SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20AB",  # ;DONG SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20AC",  # ;EURO SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20AD",  # ;KIP SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20AE",  # ;TUGRIK SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20AF",  # ;DRACHMA SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20B0",  # ;GERMAN PENNY SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20B1",  # ;PESO SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20B2",  # ;GUARANI SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20B3",  # ;AUSTRAL SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20B4",  # ;HRYVNIA SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20B5",  # ;CEDI SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20B6",  # ;LIVRE TOURNOIS SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20B7",  # ;SPESMILO SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20B8",  # ;TENGE SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20B9",  # ;INDIAN RUPEE SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20BA",  # ;TURKISH LIRA SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20BB",  # ;NORDIC MARK SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20BC",  # ;MANAT SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20BD",  # ;RUBLE SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20BE",  # ;LARI SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20BF",  # ;BITCOIN SIGN;Sc;0;ET;;;;;N;;;;;
        "\u20D0",  # ;COMBINING LEFT HARPOON ABOVE;Mn;230;NSM;;;;;N;NON-SPACING LEFT HARPOON ABOVE;;;;
        "\u20D1",  # ;COMBINING RIGHT HARPOON ABOVE;Mn;230;NSM;;;;;N;NON-SPACING RIGHT HARPOON ABOVE;;;;
        "\u20D2",  # ;COMBINING LONG VERTICAL LINE OVERLAY;Mn;1;NSM;;;;;N;NON-SPACING LONG VERTICAL BAR OVERLAY;;;;
        "\u20D3",  # ;COMBINING SHORT VERTICAL LINE OVERLAY;Mn;1;NSM;;;;;N;NON-SPACING SHORT VERTICAL BAR OVERLAY;;;;
        "\u20D4",  # ;COMBINING ANTICLOCKWISE ARROW ABOVE;Mn;230;NSM;;;;;N;NON-SPACING ANTICLOCKWISE ARROW ABOVE;;;;
        "\u20D5",  # ;COMBINING CLOCKWISE ARROW ABOVE;Mn;230;NSM;;;;;N;NON-SPACING CLOCKWISE ARROW ABOVE;;;;
        "\u20D6",  # ;COMBINING LEFT ARROW ABOVE;Mn;230;NSM;;;;;N;NON-SPACING LEFT ARROW ABOVE;;;;
        "\u20D7",  # ;COMBINING RIGHT ARROW ABOVE;Mn;230;NSM;;;;;N;NON-SPACING RIGHT ARROW ABOVE;;;;
        "\u20D8",  # ;COMBINING RING OVERLAY;Mn;1;NSM;;;;;N;NON-SPACING RING OVERLAY;;;;
        "\u20D9",  # ;COMBINING CLOCKWISE RING OVERLAY;Mn;1;NSM;;;;;N;NON-SPACING CLOCKWISE RING OVERLAY;;;;
        "\u20DA",  # ;COMBINING ANTICLOCKWISE RING OVERLAY;Mn;1;NSM;;;;;N;NON-SPACING ANTICLOCKWISE RING OVERLAY;;;;
        "\u20DB",  # ;COMBINING THREE DOTS ABOVE;Mn;230;NSM;;;;;N;NON-SPACING THREE DOTS ABOVE;;;;
        "\u20DC",  # ;COMBINING FOUR DOTS ABOVE;Mn;230;NSM;;;;;N;NON-SPACING FOUR DOTS ABOVE;;;;
        "\u20DD",  # ;COMBINING ENCLOSING CIRCLE;Me;0;NSM;;;;;N;ENCLOSING CIRCLE;;;;
        "\u20DE",  # ;COMBINING ENCLOSING SQUARE;Me;0;NSM;;;;;N;ENCLOSING SQUARE;;;;
        "\u20DF",  # ;COMBINING ENCLOSING DIAMOND;Me;0;NSM;;;;;N;ENCLOSING DIAMOND;;;;
        "\u20E0",  # ;COMBINING ENCLOSING CIRCLE BACKSLASH;Me;0;NSM;;;;;N;ENCLOSING CIRCLE SLASH;;;;
        "\u20E1",  # ;COMBINING LEFT RIGHT ARROW ABOVE;Mn;230;NSM;;;;;N;NON-SPACING LEFT RIGHT ARROW ABOVE;;;;
        "\u20E2",  # ;COMBINING ENCLOSING SCREEN;Me;0;NSM;;;;;N;;;;;
        "\u20E3",  # ;COMBINING ENCLOSING KEYCAP;Me;0;NSM;;;;;N;;;;;
        "\u20E4",  # ;COMBINING ENCLOSING UPWARD POINTING TRIANGLE;Me;0;NSM;;;;;N;;;;;
        "\u20E5",  # ;COMBINING REVERSE SOLIDUS OVERLAY;Mn;1;NSM;;;;;N;;;;;
        "\u20E6",  # ;COMBINING DOUBLE VERTICAL STROKE OVERLAY;Mn;1;NSM;;;;;N;;;;;
        "\u20E7",  # ;COMBINING ANNUITY SYMBOL;Mn;230;NSM;;;;;N;;;;;
        "\u20E8",  # ;COMBINING TRIPLE UNDERDOT;Mn;220;NSM;;;;;N;;;;;
        "\u20E9",  # ;COMBINING WIDE BRIDGE ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u20EA",  # ;COMBINING LEFTWARDS ARROW OVERLAY;Mn;1;NSM;;;;;N;;;;;
        "\u20EB",  # ;COMBINING LONG DOUBLE SOLIDUS OVERLAY;Mn;1;NSM;;;;;N;;;;;
        "\u20EC",  # ;COMBINING RIGHTWARDS HARPOON WITH BARB DOWNWARDS;Mn;220;NSM;;;;;N;;;;;
        "\u20ED",  # ;COMBINING LEFTWARDS HARPOON WITH BARB DOWNWARDS;Mn;220;NSM;;;;;N;;;;;
        "\u20EE",  # ;COMBINING LEFT ARROW BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u20EF",  # ;COMBINING RIGHT ARROW BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u20F0",  # ;COMBINING ASTERISK ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u2100",  # ;ACCOUNT OF;So;0;ON;<compat> 0061 002F 0063;;;;N;;;;;
        "\u2101",  # ;ADDRESSED TO THE SUBJECT;So;0;ON;<compat> 0061 002F 0073;;;;N;;;;;
        "\u2102",  # ;DOUBLE-STRUCK CAPITAL C;Lu;0;L;<font> 0043;;;;N;DOUBLE-STRUCK C;;;;
        "\u2103",  # ;DEGREE CELSIUS;So;0;ON;<compat> 00B0 0043;;;;N;DEGREES CENTIGRADE;;;;
        "\u2104",  # ;CENTRE LINE SYMBOL;So;0;ON;;;;;N;C L SYMBOL;;;;
        "\u2105",  # ;CARE OF;So;0;ON;<compat> 0063 002F 006F;;;;N;;;;;
        "\u2106",  # ;CADA UNA;So;0;ON;<compat> 0063 002F 0075;;;;N;;;;;
        "\u2107",  # ;EULER CONSTANT;Lu;0;L;<compat> 0190;;;;N;EULERS;;;;
        "\u2108",  # ;SCRUPLE;So;0;ON;;;;;N;;;;;
        "\u2109",  # ;DEGREE FAHRENHEIT;So;0;ON;<compat> 00B0 0046;;;;N;DEGREES FAHRENHEIT;;;;
        "\u210A",  # ;SCRIPT SMALL G;Ll;0;L;<font> 0067;;;;N;;;;;
        "\u210B",  # ;SCRIPT CAPITAL H;Lu;0;L;<font> 0048;;;;N;SCRIPT H;;;;
        "\u210C",  # ;BLACK-LETTER CAPITAL H;Lu;0;L;<font> 0048;;;;N;BLACK-LETTER H;;;;
        "\u210D",  # ;DOUBLE-STRUCK CAPITAL H;Lu;0;L;<font> 0048;;;;N;DOUBLE-STRUCK H;;;;
        "\u210E",  # ;PLANCK CONSTANT;Ll;0;L;<font> 0068;;;;N;;;;;
        "\u210F",  # ;PLANCK CONSTANT OVER TWO PI;Ll;0;L;<font> 0127;;;;N;PLANCK CONSTANT OVER 2 PI;;;;
        "\u2110",  # ;SCRIPT CAPITAL I;Lu;0;L;<font> 0049;;;;N;SCRIPT I;;;;
        "\u2111",  # ;BLACK-LETTER CAPITAL I;Lu;0;L;<font> 0049;;;;N;BLACK-LETTER I;;;;
        "\u2112",  # ;SCRIPT CAPITAL L;Lu;0;L;<font> 004C;;;;N;SCRIPT L;;;;
        "\u2113",  # ;SCRIPT SMALL L;Ll;0;L;<font> 006C;;;;N;;;;;
        "\u2114",  # ;L B BAR SYMBOL;So;0;ON;;;;;N;;;;;
        "\u2115",  # ;DOUBLE-STRUCK CAPITAL N;Lu;0;L;<font> 004E;;;;N;DOUBLE-STRUCK N;;;;
        "\u2116",  # ;NUMERO SIGN;So;0;ON;<compat> 004E 006F;;;;N;NUMERO;;;;
        "\u2117",  # ;SOUND RECORDING COPYRIGHT;So;0;ON;;;;;N;;;;;
        "\u2118",  # ;SCRIPT CAPITAL P;Sm;0;ON;;;;;N;SCRIPT P;;;;
        "\u2119",  # ;DOUBLE-STRUCK CAPITAL P;Lu;0;L;<font> 0050;;;;N;DOUBLE-STRUCK P;;;;
        "\u211A",  # ;DOUBLE-STRUCK CAPITAL Q;Lu;0;L;<font> 0051;;;;N;DOUBLE-STRUCK Q;;;;
        "\u211B",  # ;SCRIPT CAPITAL R;Lu;0;L;<font> 0052;;;;N;SCRIPT R;;;;
        "\u211C",  # ;BLACK-LETTER CAPITAL R;Lu;0;L;<font> 0052;;;;N;BLACK-LETTER R;;;;
        "\u211D",  # ;DOUBLE-STRUCK CAPITAL R;Lu;0;L;<font> 0052;;;;N;DOUBLE-STRUCK R;;;;
        "\u211E",  # ;PRESCRIPTION TAKE;So;0;ON;;;;;N;;;;;
        "\u211F",  # ;RESPONSE;So;0;ON;;;;;N;;;;;
        "\u2120",  # ;SERVICE MARK;So;0;ON;<super> 0053 004D;;;;N;;;;;
        "\u2121",  # ;TELEPHONE SIGN;So;0;ON;<compat> 0054 0045 004C;;;;N;T E L SYMBOL;;;;
        "\u2122",  # ;TRADE MARK SIGN;So;0;ON;<super> 0054 004D;;;;N;TRADEMARK;;;;
        "\u2123",  # ;VERSICLE;So;0;ON;;;;;N;;;;;
        "\u2124",  # ;DOUBLE-STRUCK CAPITAL Z;Lu;0;L;<font> 005A;;;;N;DOUBLE-STRUCK Z;;;;
        "\u2125",  # ;OUNCE SIGN;So;0;ON;;;;;N;OUNCE;;;;
        "\u2126",  # ;OHM SIGN;Lu;0;L;03A9;;;;N;OHM;;;03C9;
        "\u2127",  # ;INVERTED OHM SIGN;So;0;ON;;;;;N;MHO;;;;
        "\u2128",  # ;BLACK-LETTER CAPITAL Z;Lu;0;L;<font> 005A;;;;N;BLACK-LETTER Z;;;;
        "\u2129",  # ;TURNED GREEK SMALL LETTER IOTA;So;0;ON;;;;;N;;;;;
        "\u212A",  # ;KELVIN SIGN;Lu;0;L;004B;;;;N;DEGREES KELVIN;;;006B;
        "\u212B",  # ;ANGSTROM SIGN;Lu;0;L;00C5;;;;N;ANGSTROM UNIT;;;00E5;
        "\u212C",  # ;SCRIPT CAPITAL B;Lu;0;L;<font> 0042;;;;N;SCRIPT B;;;;
        "\u212D",  # ;BLACK-LETTER CAPITAL C;Lu;0;L;<font> 0043;;;;N;BLACK-LETTER C;;;;
        "\u212E",  # ;ESTIMATED SYMBOL;So;0;ET;;;;;N;;;;;
        "\u212F",  # ;SCRIPT SMALL E;Ll;0;L;<font> 0065;;;;N;;;;;
        "\u2130",  # ;SCRIPT CAPITAL E;Lu;0;L;<font> 0045;;;;N;SCRIPT E;;;;
        "\u2131",  # ;SCRIPT CAPITAL F;Lu;0;L;<font> 0046;;;;N;SCRIPT F;;;;
        "\u2132",  # ;TURNED CAPITAL F;Lu;0;L;;;;;N;TURNED F;;;214E;
        "\u2133",  # ;SCRIPT CAPITAL M;Lu;0;L;<font> 004D;;;;N;SCRIPT M;;;;
        "\u2134",  # ;SCRIPT SMALL O;Ll;0;L;<font> 006F;;;;N;;;;;
        "\u2135",  # ;ALEF SYMBOL;Lo;0;L;<compat> 05D0;;;;N;FIRST TRANSFINITE CARDINAL;;;;
        "\u2136",  # ;BET SYMBOL;Lo;0;L;<compat> 05D1;;;;N;SECOND TRANSFINITE CARDINAL;;;;
        "\u2137",  # ;GIMEL SYMBOL;Lo;0;L;<compat> 05D2;;;;N;THIRD TRANSFINITE CARDINAL;;;;
        "\u2138",  # ;DALET SYMBOL;Lo;0;L;<compat> 05D3;;;;N;FOURTH TRANSFINITE CARDINAL;;;;
        "\u2139",  # ;INFORMATION SOURCE;Ll;0;L;<font> 0069;;;;N;;;;;
        "\u213A",  # ;ROTATED CAPITAL Q;So;0;ON;;;;;N;;;;;
        "\u213B",  # ;FACSIMILE SIGN;So;0;ON;<compat> 0046 0041 0058;;;;N;;;;;
        "\u213C",  # ;DOUBLE-STRUCK SMALL PI;Ll;0;L;<font> 03C0;;;;N;;;;;
        "\u213D",  # ;DOUBLE-STRUCK SMALL GAMMA;Ll;0;L;<font> 03B3;;;;N;;;;;
        "\u213E",  # ;DOUBLE-STRUCK CAPITAL GAMMA;Lu;0;L;<font> 0393;;;;N;;;;;
        "\u213F",  # ;DOUBLE-STRUCK CAPITAL PI;Lu;0;L;<font> 03A0;;;;N;;;;;
        "\u2140",  # ;DOUBLE-STRUCK N-ARY SUMMATION;Sm;0;ON;<font> 2211;;;;Y;;;;;
        "\u2141",  # ;TURNED SANS-SERIF CAPITAL G;Sm;0;ON;;;;;N;;;;;
        "\u2142",  # ;TURNED SANS-SERIF CAPITAL L;Sm;0;ON;;;;;N;;;;;
        "\u2143",  # ;REVERSED SANS-SERIF CAPITAL L;Sm;0;ON;;;;;N;;;;;
        "\u2144",  # ;TURNED SANS-SERIF CAPITAL Y;Sm;0;ON;;;;;N;;;;;
        "\u2145",  # ;DOUBLE-STRUCK ITALIC CAPITAL D;Lu;0;L;<font> 0044;;;;N;;;;;
        "\u2146",  # ;DOUBLE-STRUCK ITALIC SMALL D;Ll;0;L;<font> 0064;;;;N;;;;;
        "\u2147",  # ;DOUBLE-STRUCK ITALIC SMALL E;Ll;0;L;<font> 0065;;;;N;;;;;
        "\u2148",  # ;DOUBLE-STRUCK ITALIC SMALL I;Ll;0;L;<font> 0069;;;;N;;;;;
        "\u2149",  # ;DOUBLE-STRUCK ITALIC SMALL J;Ll;0;L;<font> 006A;;;;N;;;;;
        "\u214A",  # ;PROPERTY LINE;So;0;ON;;;;;N;;;;;
        "\u214B",  # ;TURNED AMPERSAND;Sm;0;ON;;;;;N;;;;;
        "\u214C",  # ;PER SIGN;So;0;ON;;;;;N;;;;;
        "\u214D",  # ;AKTIESELSKAB;So;0;ON;;;;;N;;;;;
        "\u214E",  # ;TURNED SMALL F;Ll;0;L;;;;;N;;;2132;;2132
        "\u214F",  # ;SYMBOL FOR SAMARITAN SOURCE;So;0;L;;;;;N;;;;;
        "\u2150",  # ;VULGAR FRACTION ONE SEVENTH;No;0;ON;<fraction> 0031 2044 0037;;;1/7;N;;;;;
        "\u2151",  # ;VULGAR FRACTION ONE NINTH;No;0;ON;<fraction> 0031 2044 0039;;;1/9;N;;;;;
        "\u2152",  # ;VULGAR FRACTION ONE TENTH;No;0;ON;<fraction> 0031 2044 0031 0030;;;1/10;N;;;;;
        "\u2153",  # ;VULGAR FRACTION ONE THIRD;No;0;ON;<fraction> 0031 2044 0033;;;1/3;N;FRACTION ONE THIRD;;;;
        "\u2154",  # ;VULGAR FRACTION TWO THIRDS;No;0;ON;<fraction> 0032 2044 0033;;;2/3;N;FRACTION TWO THIRDS;;;;
        "\u2155",  # ;VULGAR FRACTION ONE FIFTH;No;0;ON;<fraction> 0031 2044 0035;;;1/5;N;FRACTION ONE FIFTH;;;;
        "\u2156",  # ;VULGAR FRACTION TWO FIFTHS;No;0;ON;<fraction> 0032 2044 0035;;;2/5;N;FRACTION TWO FIFTHS;;;;
        "\u2157",  # ;VULGAR FRACTION THREE FIFTHS;No;0;ON;<fraction> 0033 2044 0035;;;3/5;N;FRACTION THREE FIFTHS;;;;
        "\u2158",  # ;VULGAR FRACTION FOUR FIFTHS;No;0;ON;<fraction> 0034 2044 0035;;;4/5;N;FRACTION FOUR FIFTHS;;;;
        "\u2159",  # ;VULGAR FRACTION ONE SIXTH;No;0;ON;<fraction> 0031 2044 0036;;;1/6;N;FRACTION ONE SIXTH;;;;
        "\u215A",  # ;VULGAR FRACTION FIVE SIXTHS;No;0;ON;<fraction> 0035 2044 0036;;;5/6;N;FRACTION FIVE SIXTHS;;;;
        "\u215B",  # ;VULGAR FRACTION ONE EIGHTH;No;0;ON;<fraction> 0031 2044 0038;;;1/8;N;FRACTION ONE EIGHTH;;;;
        "\u215C",  # ;VULGAR FRACTION THREE EIGHTHS;No;0;ON;<fraction> 0033 2044 0038;;;3/8;N;FRACTION THREE EIGHTHS;;;;
        "\u215D",  # ;VULGAR FRACTION FIVE EIGHTHS;No;0;ON;<fraction> 0035 2044 0038;;;5/8;N;FRACTION FIVE EIGHTHS;;;;
        "\u215E",  # ;VULGAR FRACTION SEVEN EIGHTHS;No;0;ON;<fraction> 0037 2044 0038;;;7/8;N;FRACTION SEVEN EIGHTHS;;;;
        "\u215F",  # ;FRACTION NUMERATOR ONE;No;0;ON;<fraction> 0031 2044;;;1;N;;;;;
        "\u2160",  # ;ROMAN NUMERAL ONE;Nl;0;L;<compat> 0049;;;1;N;;;;2170;
        "\u2161",  # ;ROMAN NUMERAL TWO;Nl;0;L;<compat> 0049 0049;;;2;N;;;;2171;
        "\u2162",  # ;ROMAN NUMERAL THREE;Nl;0;L;<compat> 0049 0049 0049;;;3;N;;;;2172;
        "\u2163",  # ;ROMAN NUMERAL FOUR;Nl;0;L;<compat> 0049 0056;;;4;N;;;;2173;
        "\u2164",  # ;ROMAN NUMERAL FIVE;Nl;0;L;<compat> 0056;;;5;N;;;;2174;
        "\u2165",  # ;ROMAN NUMERAL SIX;Nl;0;L;<compat> 0056 0049;;;6;N;;;;2175;
        "\u2166",  # ;ROMAN NUMERAL SEVEN;Nl;0;L;<compat> 0056 0049 0049;;;7;N;;;;2176;
        "\u2167",  # ;ROMAN NUMERAL EIGHT;Nl;0;L;<compat> 0056 0049 0049 0049;;;8;N;;;;2177;
        "\u2168",  # ;ROMAN NUMERAL NINE;Nl;0;L;<compat> 0049 0058;;;9;N;;;;2178;
        "\u2169",  # ;ROMAN NUMERAL TEN;Nl;0;L;<compat> 0058;;;10;N;;;;2179;
        "\u216A",  # ;ROMAN NUMERAL ELEVEN;Nl;0;L;<compat> 0058 0049;;;11;N;;;;217A;
        "\u216B",  # ;ROMAN NUMERAL TWELVE;Nl;0;L;<compat> 0058 0049 0049;;;12;N;;;;217B;
        "\u216C",  # ;ROMAN NUMERAL FIFTY;Nl;0;L;<compat> 004C;;;50;N;;;;217C;
        "\u216D",  # ;ROMAN NUMERAL ONE HUNDRED;Nl;0;L;<compat> 0043;;;100;N;;;;217D;
        "\u216E",  # ;ROMAN NUMERAL FIVE HUNDRED;Nl;0;L;<compat> 0044;;;500;N;;;;217E;
        "\u216F",  # ;ROMAN NUMERAL ONE THOUSAND;Nl;0;L;<compat> 004D;;;1000;N;;;;217F;
        "\u2170",  # ;SMALL ROMAN NUMERAL ONE;Nl;0;L;<compat> 0069;;;1;N;;;2160;;2160
        "\u2171",  # ;SMALL ROMAN NUMERAL TWO;Nl;0;L;<compat> 0069 0069;;;2;N;;;2161;;2161
        "\u2172",  # ;SMALL ROMAN NUMERAL THREE;Nl;0;L;<compat> 0069 0069 0069;;;3;N;;;2162;;2162
        "\u2173",  # ;SMALL ROMAN NUMERAL FOUR;Nl;0;L;<compat> 0069 0076;;;4;N;;;2163;;2163
        "\u2174",  # ;SMALL ROMAN NUMERAL FIVE;Nl;0;L;<compat> 0076;;;5;N;;;2164;;2164
        "\u2175",  # ;SMALL ROMAN NUMERAL SIX;Nl;0;L;<compat> 0076 0069;;;6;N;;;2165;;2165
        "\u2176",  # ;SMALL ROMAN NUMERAL SEVEN;Nl;0;L;<compat> 0076 0069 0069;;;7;N;;;2166;;2166
        "\u2177",  # ;SMALL ROMAN NUMERAL EIGHT;Nl;0;L;<compat> 0076 0069 0069 0069;;;8;N;;;2167;;2167
        "\u2178",  # ;SMALL ROMAN NUMERAL NINE;Nl;0;L;<compat> 0069 0078;;;9;N;;;2168;;2168
        "\u2179",  # ;SMALL ROMAN NUMERAL TEN;Nl;0;L;<compat> 0078;;;10;N;;;2169;;2169
        "\u217A",  # ;SMALL ROMAN NUMERAL ELEVEN;Nl;0;L;<compat> 0078 0069;;;11;N;;;216A;;216A
        "\u217B",  # ;SMALL ROMAN NUMERAL TWELVE;Nl;0;L;<compat> 0078 0069 0069;;;12;N;;;216B;;216B
        "\u217C",  # ;SMALL ROMAN NUMERAL FIFTY;Nl;0;L;<compat> 006C;;;50;N;;;216C;;216C
        "\u217D",  # ;SMALL ROMAN NUMERAL ONE HUNDRED;Nl;0;L;<compat> 0063;;;100;N;;;216D;;216D
        "\u217E",  # ;SMALL ROMAN NUMERAL FIVE HUNDRED;Nl;0;L;<compat> 0064;;;500;N;;;216E;;216E
        "\u217F",  # ;SMALL ROMAN NUMERAL ONE THOUSAND;Nl;0;L;<compat> 006D;;;1000;N;;;216F;;216F
        "\u2180",  # ;ROMAN NUMERAL ONE THOUSAND C D;Nl;0;L;;;;1000;N;;;;;
        "\u2181",  # ;ROMAN NUMERAL FIVE THOUSAND;Nl;0;L;;;;5000;N;;;;;
        "\u2182",  # ;ROMAN NUMERAL TEN THOUSAND;Nl;0;L;;;;10000;N;;;;;
        "\u2183",  # ;ROMAN NUMERAL REVERSED ONE HUNDRED;Lu;0;L;;;;;N;;;;2184;
        "\u2184",  # ;LATIN SMALL LETTER REVERSED C;Ll;0;L;;;;;N;;;2183;;2183
        "\u2185",  # ;ROMAN NUMERAL SIX LATE FORM;Nl;0;L;;;;6;N;;;;;
        "\u2186",  # ;ROMAN NUMERAL FIFTY EARLY FORM;Nl;0;L;;;;50;N;;;;;
        "\u2187",  # ;ROMAN NUMERAL FIFTY THOUSAND;Nl;0;L;;;;50000;N;;;;;
        "\u2188",  # ;ROMAN NUMERAL ONE HUNDRED THOUSAND;Nl;0;L;;;;100000;N;;;;;
        "\u2189",  # ;VULGAR FRACTION ZERO THIRDS;No;0;ON;<fraction> 0030 2044 0033;;;0;N;;;;;
        "\u218A",  # ;TURNED DIGIT TWO;So;0;ON;;;;;N;;;;;
        "\u218B",  # ;TURNED DIGIT THREE;So;0;ON;;;;;N;;;;;
        "\u2190",  # ;LEFTWARDS ARROW;Sm;0;ON;;;;;N;LEFT ARROW;;;;
        "\u2191",  # ;UPWARDS ARROW;Sm;0;ON;;;;;N;UP ARROW;;;;
        "\u2192",  # ;RIGHTWARDS ARROW;Sm;0;ON;;;;;N;RIGHT ARROW;;;;
        "\u2193",  # ;DOWNWARDS ARROW;Sm;0;ON;;;;;N;DOWN ARROW;;;;
        "\u2194",  # ;LEFT RIGHT ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2195",  # ;UP DOWN ARROW;So;0;ON;;;;;N;;;;;
        "\u2196",  # ;NORTH WEST ARROW;So;0;ON;;;;;N;UPPER LEFT ARROW;;;;
        "\u2197",  # ;NORTH EAST ARROW;So;0;ON;;;;;N;UPPER RIGHT ARROW;;;;
        "\u2198",  # ;SOUTH EAST ARROW;So;0;ON;;;;;N;LOWER RIGHT ARROW;;;;
        "\u2199",  # ;SOUTH WEST ARROW;So;0;ON;;;;;N;LOWER LEFT ARROW;;;;
        "\u219A",  # ;LEFTWARDS ARROW WITH STROKE;Sm;0;ON;2190 0338;;;;N;LEFT ARROW WITH STROKE;;;;
        "\u219B",  # ;RIGHTWARDS ARROW WITH STROKE;Sm;0;ON;2192 0338;;;;N;RIGHT ARROW WITH STROKE;;;;
        "\u219C",  # ;LEFTWARDS WAVE ARROW;So;0;ON;;;;;N;LEFT WAVE ARROW;;;;
        "\u219D",  # ;RIGHTWARDS WAVE ARROW;So;0;ON;;;;;N;RIGHT WAVE ARROW;;;;
        "\u219E",  # ;LEFTWARDS TWO HEADED ARROW;So;0;ON;;;;;N;LEFT TWO HEADED ARROW;;;;
        "\u219F",  # ;UPWARDS TWO HEADED ARROW;So;0;ON;;;;;N;UP TWO HEADED ARROW;;;;
        "\u21A0",  # ;RIGHTWARDS TWO HEADED ARROW;Sm;0;ON;;;;;N;RIGHT TWO HEADED ARROW;;;;
        "\u21A1",  # ;DOWNWARDS TWO HEADED ARROW;So;0;ON;;;;;N;DOWN TWO HEADED ARROW;;;;
        "\u21A2",  # ;LEFTWARDS ARROW WITH TAIL;So;0;ON;;;;;N;LEFT ARROW WITH TAIL;;;;
        "\u21A3",  # ;RIGHTWARDS ARROW WITH TAIL;Sm;0;ON;;;;;N;RIGHT ARROW WITH TAIL;;;;
        "\u21A4",  # ;LEFTWARDS ARROW FROM BAR;So;0;ON;;;;;N;LEFT ARROW FROM BAR;;;;
        "\u21A5",  # ;UPWARDS ARROW FROM BAR;So;0;ON;;;;;N;UP ARROW FROM BAR;;;;
        "\u21A6",  # ;RIGHTWARDS ARROW FROM BAR;Sm;0;ON;;;;;N;RIGHT ARROW FROM BAR;;;;
        "\u21A7",  # ;DOWNWARDS ARROW FROM BAR;So;0;ON;;;;;N;DOWN ARROW FROM BAR;;;;
        "\u21A8",  # ;UP DOWN ARROW WITH BASE;So;0;ON;;;;;N;;;;;
        "\u21A9",  # ;LEFTWARDS ARROW WITH HOOK;So;0;ON;;;;;N;LEFT ARROW WITH HOOK;;;;
        "\u21AA",  # ;RIGHTWARDS ARROW WITH HOOK;So;0;ON;;;;;N;RIGHT ARROW WITH HOOK;;;;
        "\u21AB",  # ;LEFTWARDS ARROW WITH LOOP;So;0;ON;;;;;N;LEFT ARROW WITH LOOP;;;;
        "\u21AC",  # ;RIGHTWARDS ARROW WITH LOOP;So;0;ON;;;;;N;RIGHT ARROW WITH LOOP;;;;
        "\u21AD",  # ;LEFT RIGHT WAVE ARROW;So;0;ON;;;;;N;;;;;
        "\u21AE",  # ;LEFT RIGHT ARROW WITH STROKE;Sm;0;ON;2194 0338;;;;N;;;;;
        "\u21AF",  # ;DOWNWARDS ZIGZAG ARROW;So;0;ON;;;;;N;DOWN ZIGZAG ARROW;;;;
        "\u21B0",  # ;UPWARDS ARROW WITH TIP LEFTWARDS;So;0;ON;;;;;N;UP ARROW WITH TIP LEFT;;;;
        "\u21B1",  # ;UPWARDS ARROW WITH TIP RIGHTWARDS;So;0;ON;;;;;N;UP ARROW WITH TIP RIGHT;;;;
        "\u21B2",  # ;DOWNWARDS ARROW WITH TIP LEFTWARDS;So;0;ON;;;;;N;DOWN ARROW WITH TIP LEFT;;;;
        "\u21B3",  # ;DOWNWARDS ARROW WITH TIP RIGHTWARDS;So;0;ON;;;;;N;DOWN ARROW WITH TIP RIGHT;;;;
        "\u21B4",  # ;RIGHTWARDS ARROW WITH CORNER DOWNWARDS;So;0;ON;;;;;N;RIGHT ARROW WITH CORNER DOWN;;;;
        "\u21B5",  # ;DOWNWARDS ARROW WITH CORNER LEFTWARDS;So;0;ON;;;;;N;DOWN ARROW WITH CORNER LEFT;;;;
        "\u21B6",  # ;ANTICLOCKWISE TOP SEMICIRCLE ARROW;So;0;ON;;;;;N;;;;;
        "\u21B7",  # ;CLOCKWISE TOP SEMICIRCLE ARROW;So;0;ON;;;;;N;;;;;
        "\u21B8",  # ;NORTH WEST ARROW TO LONG BAR;So;0;ON;;;;;N;UPPER LEFT ARROW TO LONG BAR;;;;
        "\u21B9",  # ;LEFTWARDS ARROW TO BAR OVER RIGHTWARDS ARROW TO BAR;So;0;ON;;;;;N;LEFT ARROW TO BAR OVER RIGHT ARROW TO BAR;;;;
        "\u21BA",  # ;ANTICLOCKWISE OPEN CIRCLE ARROW;So;0;ON;;;;;N;;;;;
        "\u21BB",  # ;CLOCKWISE OPEN CIRCLE ARROW;So;0;ON;;;;;N;;;;;
        "\u21BC",  # ;LEFTWARDS HARPOON WITH BARB UPWARDS;So;0;ON;;;;;N;LEFT HARPOON WITH BARB UP;;;;
        "\u21BD",  # ;LEFTWARDS HARPOON WITH BARB DOWNWARDS;So;0;ON;;;;;N;LEFT HARPOON WITH BARB DOWN;;;;
        "\u21BE",  # ;UPWARDS HARPOON WITH BARB RIGHTWARDS;So;0;ON;;;;;N;UP HARPOON WITH BARB RIGHT;;;;
        "\u21BF",  # ;UPWARDS HARPOON WITH BARB LEFTWARDS;So;0;ON;;;;;N;UP HARPOON WITH BARB LEFT;;;;
        "\u21C0",  # ;RIGHTWARDS HARPOON WITH BARB UPWARDS;So;0;ON;;;;;N;RIGHT HARPOON WITH BARB UP;;;;
        "\u21C1",  # ;RIGHTWARDS HARPOON WITH BARB DOWNWARDS;So;0;ON;;;;;N;RIGHT HARPOON WITH BARB DOWN;;;;
        "\u21C2",  # ;DOWNWARDS HARPOON WITH BARB RIGHTWARDS;So;0;ON;;;;;N;DOWN HARPOON WITH BARB RIGHT;;;;
        "\u21C3",  # ;DOWNWARDS HARPOON WITH BARB LEFTWARDS;So;0;ON;;;;;N;DOWN HARPOON WITH BARB LEFT;;;;
        "\u21C4",  # ;RIGHTWARDS ARROW OVER LEFTWARDS ARROW;So;0;ON;;;;;N;RIGHT ARROW OVER LEFT ARROW;;;;
        "\u21C5",  # ;UPWARDS ARROW LEFTWARDS OF DOWNWARDS ARROW;So;0;ON;;;;;N;UP ARROW LEFT OF DOWN ARROW;;;;
        "\u21C6",  # ;LEFTWARDS ARROW OVER RIGHTWARDS ARROW;So;0;ON;;;;;N;LEFT ARROW OVER RIGHT ARROW;;;;
        "\u21C7",  # ;LEFTWARDS PAIRED ARROWS;So;0;ON;;;;;N;LEFT PAIRED ARROWS;;;;
        "\u21C8",  # ;UPWARDS PAIRED ARROWS;So;0;ON;;;;;N;UP PAIRED ARROWS;;;;
        "\u21C9",  # ;RIGHTWARDS PAIRED ARROWS;So;0;ON;;;;;N;RIGHT PAIRED ARROWS;;;;
        "\u21CA",  # ;DOWNWARDS PAIRED ARROWS;So;0;ON;;;;;N;DOWN PAIRED ARROWS;;;;
        "\u21CB",  # ;LEFTWARDS HARPOON OVER RIGHTWARDS HARPOON;So;0;ON;;;;;N;LEFT HARPOON OVER RIGHT HARPOON;;;;
        "\u21CC",  # ;RIGHTWARDS HARPOON OVER LEFTWARDS HARPOON;So;0;ON;;;;;N;RIGHT HARPOON OVER LEFT HARPOON;;;;
        "\u21CD",  # ;LEFTWARDS DOUBLE ARROW WITH STROKE;So;0;ON;21D0 0338;;;;N;LEFT DOUBLE ARROW WITH STROKE;;;;
        "\u21CE",  # ;LEFT RIGHT DOUBLE ARROW WITH STROKE;Sm;0;ON;21D4 0338;;;;N;;;;;
        "\u21CF",  # ;RIGHTWARDS DOUBLE ARROW WITH STROKE;Sm;0;ON;21D2 0338;;;;N;RIGHT DOUBLE ARROW WITH STROKE;;;;
        "\u21D0",  # ;LEFTWARDS DOUBLE ARROW;So;0;ON;;;;;N;LEFT DOUBLE ARROW;;;;
        "\u21D1",  # ;UPWARDS DOUBLE ARROW;So;0;ON;;;;;N;UP DOUBLE ARROW;;;;
        "\u21D2",  # ;RIGHTWARDS DOUBLE ARROW;Sm;0;ON;;;;;N;RIGHT DOUBLE ARROW;;;;
        "\u21D3",  # ;DOWNWARDS DOUBLE ARROW;So;0;ON;;;;;N;DOWN DOUBLE ARROW;;;;
        "\u21D4",  # ;LEFT RIGHT DOUBLE ARROW;Sm;0;ON;;;;;N;;;;;
        "\u21D5",  # ;UP DOWN DOUBLE ARROW;So;0;ON;;;;;N;;;;;
        "\u21D6",  # ;NORTH WEST DOUBLE ARROW;So;0;ON;;;;;N;UPPER LEFT DOUBLE ARROW;;;;
        "\u21D7",  # ;NORTH EAST DOUBLE ARROW;So;0;ON;;;;;N;UPPER RIGHT DOUBLE ARROW;;;;
        "\u21D8",  # ;SOUTH EAST DOUBLE ARROW;So;0;ON;;;;;N;LOWER RIGHT DOUBLE ARROW;;;;
        "\u21D9",  # ;SOUTH WEST DOUBLE ARROW;So;0;ON;;;;;N;LOWER LEFT DOUBLE ARROW;;;;
        "\u21DA",  # ;LEFTWARDS TRIPLE ARROW;So;0;ON;;;;;N;LEFT TRIPLE ARROW;;;;
        "\u21DB",  # ;RIGHTWARDS TRIPLE ARROW;So;0;ON;;;;;N;RIGHT TRIPLE ARROW;;;;
        "\u21DC",  # ;LEFTWARDS SQUIGGLE ARROW;So;0;ON;;;;;N;LEFT SQUIGGLE ARROW;;;;
        "\u21DD",  # ;RIGHTWARDS SQUIGGLE ARROW;So;0;ON;;;;;N;RIGHT SQUIGGLE ARROW;;;;
        "\u21DE",  # ;UPWARDS ARROW WITH DOUBLE STROKE;So;0;ON;;;;;N;UP ARROW WITH DOUBLE STROKE;;;;
        "\u21DF",  # ;DOWNWARDS ARROW WITH DOUBLE STROKE;So;0;ON;;;;;N;DOWN ARROW WITH DOUBLE STROKE;;;;
        "\u21E0",  # ;LEFTWARDS DASHED ARROW;So;0;ON;;;;;N;LEFT DASHED ARROW;;;;
        "\u21E1",  # ;UPWARDS DASHED ARROW;So;0;ON;;;;;N;UP DASHED ARROW;;;;
        "\u21E2",  # ;RIGHTWARDS DASHED ARROW;So;0;ON;;;;;N;RIGHT DASHED ARROW;;;;
        "\u21E3",  # ;DOWNWARDS DASHED ARROW;So;0;ON;;;;;N;DOWN DASHED ARROW;;;;
        "\u21E4",  # ;LEFTWARDS ARROW TO BAR;So;0;ON;;;;;N;LEFT ARROW TO BAR;;;;
        "\u21E5",  # ;RIGHTWARDS ARROW TO BAR;So;0;ON;;;;;N;RIGHT ARROW TO BAR;;;;
        "\u21E6",  # ;LEFTWARDS WHITE ARROW;So;0;ON;;;;;N;WHITE LEFT ARROW;;;;
        "\u21E7",  # ;UPWARDS WHITE ARROW;So;0;ON;;;;;N;WHITE UP ARROW;;;;
        "\u21E8",  # ;RIGHTWARDS WHITE ARROW;So;0;ON;;;;;N;WHITE RIGHT ARROW;;;;
        "\u21E9",  # ;DOWNWARDS WHITE ARROW;So;0;ON;;;;;N;WHITE DOWN ARROW;;;;
        "\u21EA",  # ;UPWARDS WHITE ARROW FROM BAR;So;0;ON;;;;;N;WHITE UP ARROW FROM BAR;;;;
        "\u21EB",  # ;UPWARDS WHITE ARROW ON PEDESTAL;So;0;ON;;;;;N;;;;;
        "\u21EC",  # ;UPWARDS WHITE ARROW ON PEDESTAL WITH HORIZONTAL BAR;So;0;ON;;;;;N;;;;;
        "\u21ED",  # ;UPWARDS WHITE ARROW ON PEDESTAL WITH VERTICAL BAR;So;0;ON;;;;;N;;;;;
        "\u21EE",  # ;UPWARDS WHITE DOUBLE ARROW;So;0;ON;;;;;N;;;;;
        "\u21EF",  # ;UPWARDS WHITE DOUBLE ARROW ON PEDESTAL;So;0;ON;;;;;N;;;;;
        "\u21F0",  # ;RIGHTWARDS WHITE ARROW FROM WALL;So;0;ON;;;;;N;;;;;
        "\u21F1",  # ;NORTH WEST ARROW TO CORNER;So;0;ON;;;;;N;;;;;
        "\u21F2",  # ;SOUTH EAST ARROW TO CORNER;So;0;ON;;;;;N;;;;;
        "\u21F3",  # ;UP DOWN WHITE ARROW;So;0;ON;;;;;N;;;;;
        "\u21F4",  # ;RIGHT ARROW WITH SMALL CIRCLE;Sm;0;ON;;;;;N;;;;;
        "\u21F5",  # ;DOWNWARDS ARROW LEFTWARDS OF UPWARDS ARROW;Sm;0;ON;;;;;N;;;;;
        "\u21F6",  # ;THREE RIGHTWARDS ARROWS;Sm;0;ON;;;;;N;;;;;
        "\u21F7",  # ;LEFTWARDS ARROW WITH VERTICAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u21F8",  # ;RIGHTWARDS ARROW WITH VERTICAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u21F9",  # ;LEFT RIGHT ARROW WITH VERTICAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u21FA",  # ;LEFTWARDS ARROW WITH DOUBLE VERTICAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u21FB",  # ;RIGHTWARDS ARROW WITH DOUBLE VERTICAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u21FC",  # ;LEFT RIGHT ARROW WITH DOUBLE VERTICAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u21FD",  # ;LEFTWARDS OPEN-HEADED ARROW;Sm;0;ON;;;;;N;;;;;
        "\u21FE",  # ;RIGHTWARDS OPEN-HEADED ARROW;Sm;0;ON;;;;;N;;;;;
        "\u21FF",  # ;LEFT RIGHT OPEN-HEADED ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2200",  # ;FOR ALL;Sm;0;ON;;;;;N;;;;;
        "\u2201",  # ;COMPLEMENT;Sm;0;ON;;;;;Y;;;;;
        "\u2202",  # ;PARTIAL DIFFERENTIAL;Sm;0;ON;;;;;Y;;;;;
        "\u2203",  # ;THERE EXISTS;Sm;0;ON;;;;;Y;;;;;
        "\u2204",  # ;THERE DOES NOT EXIST;Sm;0;ON;2203 0338;;;;Y;;;;;
        "\u2205",  # ;EMPTY SET;Sm;0;ON;;;;;N;;;;;
        "\u2206",  # ;INCREMENT;Sm;0;ON;;;;;N;;;;;
        "\u2207",  # ;NABLA;Sm;0;ON;;;;;N;;;;;
        "\u2208",  # ;ELEMENT OF;Sm;0;ON;;;;;Y;;;;;
        "\u2209",  # ;NOT AN ELEMENT OF;Sm;0;ON;2208 0338;;;;Y;;;;;
        "\u220A",  # ;SMALL ELEMENT OF;Sm;0;ON;;;;;Y;;;;;
        "\u220B",  # ;CONTAINS AS MEMBER;Sm;0;ON;;;;;Y;;;;;
        "\u220C",  # ;DOES NOT CONTAIN AS MEMBER;Sm;0;ON;220B 0338;;;;Y;;;;;
        "\u220D",  # ;SMALL CONTAINS AS MEMBER;Sm;0;ON;;;;;Y;;;;;
        "\u220E",  # ;END OF PROOF;Sm;0;ON;;;;;N;;;;;
        "\u220F",  # ;N-ARY PRODUCT;Sm;0;ON;;;;;N;;;;;
        "\u2210",  # ;N-ARY COPRODUCT;Sm;0;ON;;;;;N;;;;;
        "\u2211",  # ;N-ARY SUMMATION;Sm;0;ON;;;;;Y;;;;;
        "\u2212",  # ;MINUS SIGN;Sm;0;ES;;;;;N;;;;;
        "\u2213",  # ;MINUS-OR-PLUS SIGN;Sm;0;ET;;;;;N;;;;;
        "\u2214",  # ;DOT PLUS;Sm;0;ON;;;;;N;;;;;
        "\u2215",  # ;DIVISION SLASH;Sm;0;ON;;;;;Y;;;;;
        "\u2216",  # ;SET MINUS;Sm;0;ON;;;;;Y;;;;;
        "\u2217",  # ;ASTERISK OPERATOR;Sm;0;ON;;;;;N;;;;;
        "\u2218",  # ;RING OPERATOR;Sm;0;ON;;;;;N;;;;;
        "\u2219",  # ;BULLET OPERATOR;Sm;0;ON;;;;;N;;;;;
        "\u221A",  # ;SQUARE ROOT;Sm;0;ON;;;;;Y;;;;;
        "\u221B",  # ;CUBE ROOT;Sm;0;ON;;;;;Y;;;;;
        "\u221C",  # ;FOURTH ROOT;Sm;0;ON;;;;;Y;;;;;
        "\u221D",  # ;PROPORTIONAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u221E",  # ;INFINITY;Sm;0;ON;;;;;N;;;;;
        "\u221F",  # ;RIGHT ANGLE;Sm;0;ON;;;;;Y;;;;;
        "\u2220",  # ;ANGLE;Sm;0;ON;;;;;Y;;;;;
        "\u2221",  # ;MEASURED ANGLE;Sm;0;ON;;;;;Y;;;;;
        "\u2222",  # ;SPHERICAL ANGLE;Sm;0;ON;;;;;Y;;;;;
        "\u2223",  # ;DIVIDES;Sm;0;ON;;;;;N;;;;;
        "\u2224",  # ;DOES NOT DIVIDE;Sm;0;ON;2223 0338;;;;Y;;;;;
        "\u2225",  # ;PARALLEL TO;Sm;0;ON;;;;;N;;;;;
        "\u2226",  # ;NOT PARALLEL TO;Sm;0;ON;2225 0338;;;;Y;;;;;
        "\u2227",  # ;LOGICAL AND;Sm;0;ON;;;;;N;;;;;
        "\u2228",  # ;LOGICAL OR;Sm;0;ON;;;;;N;;;;;
        "\u2229",  # ;INTERSECTION;Sm;0;ON;;;;;N;;;;;
        "\u222A",  # ;UNION;Sm;0;ON;;;;;N;;;;;
        "\u222B",  # ;INTEGRAL;Sm;0;ON;;;;;Y;;;;;
        "\u222C",  # ;DOUBLE INTEGRAL;Sm;0;ON;<compat> 222B 222B;;;;Y;;;;;
        "\u222D",  # ;TRIPLE INTEGRAL;Sm;0;ON;<compat> 222B 222B 222B;;;;Y;;;;;
        "\u222E",  # ;CONTOUR INTEGRAL;Sm;0;ON;;;;;Y;;;;;
        "\u222F",  # ;SURFACE INTEGRAL;Sm;0;ON;<compat> 222E 222E;;;;Y;;;;;
        "\u2230",  # ;VOLUME INTEGRAL;Sm;0;ON;<compat> 222E 222E 222E;;;;Y;;;;;
        "\u2231",  # ;CLOCKWISE INTEGRAL;Sm;0;ON;;;;;Y;;;;;
        "\u2232",  # ;CLOCKWISE CONTOUR INTEGRAL;Sm;0;ON;;;;;Y;;;;;
        "\u2233",  # ;ANTICLOCKWISE CONTOUR INTEGRAL;Sm;0;ON;;;;;Y;;;;;
        "\u2234",  # ;THEREFORE;Sm;0;ON;;;;;N;;;;;
        "\u2235",  # ;BECAUSE;Sm;0;ON;;;;;N;;;;;
        "\u2236",  # ;RATIO;Sm;0;ON;;;;;N;;;;;
        "\u2237",  # ;PROPORTION;Sm;0;ON;;;;;N;;;;;
        "\u2238",  # ;DOT MINUS;Sm;0;ON;;;;;N;;;;;
        "\u2239",  # ;EXCESS;Sm;0;ON;;;;;Y;;;;;
        "\u223A",  # ;GEOMETRIC PROPORTION;Sm;0;ON;;;;;N;;;;;
        "\u223B",  # ;HOMOTHETIC;Sm;0;ON;;;;;Y;;;;;
        "\u223C",  # ;TILDE OPERATOR;Sm;0;ON;;;;;Y;;;;;
        "\u223D",  # ;REVERSED TILDE;Sm;0;ON;;;;;Y;;;;;
        "\u223E",  # ;INVERTED LAZY S;Sm;0;ON;;;;;Y;;;;;
        "\u223F",  # ;SINE WAVE;Sm;0;ON;;;;;Y;;;;;
        "\u2240",  # ;WREATH PRODUCT;Sm;0;ON;;;;;Y;;;;;
        "\u2241",  # ;NOT TILDE;Sm;0;ON;223C 0338;;;;Y;;;;;
        "\u2242",  # ;MINUS TILDE;Sm;0;ON;;;;;Y;;;;;
        "\u2243",  # ;ASYMPTOTICALLY EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2244",  # ;NOT ASYMPTOTICALLY EQUAL TO;Sm;0;ON;2243 0338;;;;Y;;;;;
        "\u2245",  # ;APPROXIMATELY EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2246",  # ;APPROXIMATELY BUT NOT ACTUALLY EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2247",  # ;NEITHER APPROXIMATELY NOR ACTUALLY EQUAL TO;Sm;0;ON;2245 0338;;;;Y;;;;;
        "\u2248",  # ;ALMOST EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2249",  # ;NOT ALMOST EQUAL TO;Sm;0;ON;2248 0338;;;;Y;;;;;
        "\u224A",  # ;ALMOST EQUAL OR EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u224B",  # ;TRIPLE TILDE;Sm;0;ON;;;;;Y;;;;;
        "\u224C",  # ;ALL EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u224D",  # ;EQUIVALENT TO;Sm;0;ON;;;;;N;;;;;
        "\u224E",  # ;GEOMETRICALLY EQUIVALENT TO;Sm;0;ON;;;;;N;;;;;
        "\u224F",  # ;DIFFERENCE BETWEEN;Sm;0;ON;;;;;N;;;;;
        "\u2250",  # ;APPROACHES THE LIMIT;Sm;0;ON;;;;;N;;;;;
        "\u2251",  # ;GEOMETRICALLY EQUAL TO;Sm;0;ON;;;;;N;;;;;
        "\u2252",  # ;APPROXIMATELY EQUAL TO OR THE IMAGE OF;Sm;0;ON;;;;;Y;;;;;
        "\u2253",  # ;IMAGE OF OR APPROXIMATELY EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2254",  # ;COLON EQUALS;Sm;0;ON;;;;;Y;COLON EQUAL;;;;
        "\u2255",  # ;EQUALS COLON;Sm;0;ON;;;;;Y;EQUAL COLON;;;;
        "\u2256",  # ;RING IN EQUAL TO;Sm;0;ON;;;;;N;;;;;
        "\u2257",  # ;RING EQUAL TO;Sm;0;ON;;;;;N;;;;;
        "\u2258",  # ;CORRESPONDS TO;Sm;0;ON;;;;;N;;;;;
        "\u2259",  # ;ESTIMATES;Sm;0;ON;;;;;N;;;;;
        "\u225A",  # ;EQUIANGULAR TO;Sm;0;ON;;;;;N;;;;;
        "\u225B",  # ;STAR EQUALS;Sm;0;ON;;;;;N;;;;;
        "\u225C",  # ;DELTA EQUAL TO;Sm;0;ON;;;;;N;;;;;
        "\u225D",  # ;EQUAL TO BY DEFINITION;Sm;0;ON;;;;;N;;;;;
        "\u225E",  # ;MEASURED BY;Sm;0;ON;;;;;N;;;;;
        "\u225F",  # ;QUESTIONED EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2260",  # ;NOT EQUAL TO;Sm;0;ON;003D 0338;;;;Y;;;;;
        "\u2261",  # ;IDENTICAL TO;Sm;0;ON;;;;;N;;;;;
        "\u2262",  # ;NOT IDENTICAL TO;Sm;0;ON;2261 0338;;;;Y;;;;;
        "\u2263",  # ;STRICTLY EQUIVALENT TO;Sm;0;ON;;;;;N;;;;;
        "\u2264",  # ;LESS-THAN OR EQUAL TO;Sm;0;ON;;;;;Y;LESS THAN OR EQUAL TO;;;;
        "\u2265",  # ;GREATER-THAN OR EQUAL TO;Sm;0;ON;;;;;Y;GREATER THAN OR EQUAL TO;;;;
        "\u2266",  # ;LESS-THAN OVER EQUAL TO;Sm;0;ON;;;;;Y;LESS THAN OVER EQUAL TO;;;;
        "\u2267",  # ;GREATER-THAN OVER EQUAL TO;Sm;0;ON;;;;;Y;GREATER THAN OVER EQUAL TO;;;;
        "\u2268",  # ;LESS-THAN BUT NOT EQUAL TO;Sm;0;ON;;;;;Y;LESS THAN BUT NOT EQUAL TO;;;;
        "\u2269",  # ;GREATER-THAN BUT NOT EQUAL TO;Sm;0;ON;;;;;Y;GREATER THAN BUT NOT EQUAL TO;;;;
        "\u226A",  # ;MUCH LESS-THAN;Sm;0;ON;;;;;Y;MUCH LESS THAN;;;;
        "\u226B",  # ;MUCH GREATER-THAN;Sm;0;ON;;;;;Y;MUCH GREATER THAN;;;;
        "\u226C",  # ;BETWEEN;Sm;0;ON;;;;;N;;;;;
        "\u226D",  # ;NOT EQUIVALENT TO;Sm;0;ON;224D 0338;;;;N;;;;;
        "\u226E",  # ;NOT LESS-THAN;Sm;0;ON;003C 0338;;;;Y;NOT LESS THAN;;;;
        "\u226F",  # ;NOT GREATER-THAN;Sm;0;ON;003E 0338;;;;Y;NOT GREATER THAN;;;;
        "\u2270",  # ;NEITHER LESS-THAN NOR EQUAL TO;Sm;0;ON;2264 0338;;;;Y;NEITHER LESS THAN NOR EQUAL TO;;;;
        "\u2271",  # ;NEITHER GREATER-THAN NOR EQUAL TO;Sm;0;ON;2265 0338;;;;Y;NEITHER GREATER THAN NOR EQUAL TO;;;;
        "\u2272",  # ;LESS-THAN OR EQUIVALENT TO;Sm;0;ON;;;;;Y;LESS THAN OR EQUIVALENT TO;;;;
        "\u2273",  # ;GREATER-THAN OR EQUIVALENT TO;Sm;0;ON;;;;;Y;GREATER THAN OR EQUIVALENT TO;;;;
        "\u2274",  # ;NEITHER LESS-THAN NOR EQUIVALENT TO;Sm;0;ON;2272 0338;;;;Y;NEITHER LESS THAN NOR EQUIVALENT TO;;;;
        "\u2275",  # ;NEITHER GREATER-THAN NOR EQUIVALENT TO;Sm;0;ON;2273 0338;;;;Y;NEITHER GREATER THAN NOR EQUIVALENT TO;;;;
        "\u2276",  # ;LESS-THAN OR GREATER-THAN;Sm;0;ON;;;;;Y;LESS THAN OR GREATER THAN;;;;
        "\u2277",  # ;GREATER-THAN OR LESS-THAN;Sm;0;ON;;;;;Y;GREATER THAN OR LESS THAN;;;;
        "\u2278",  # ;NEITHER LESS-THAN NOR GREATER-THAN;Sm;0;ON;2276 0338;;;;Y;NEITHER LESS THAN NOR GREATER THAN;;;;
        "\u2279",  # ;NEITHER GREATER-THAN NOR LESS-THAN;Sm;0;ON;2277 0338;;;;Y;NEITHER GREATER THAN NOR LESS THAN;;;;
        "\u227A",  # ;PRECEDES;Sm;0;ON;;;;;Y;;;;;
        "\u227B",  # ;SUCCEEDS;Sm;0;ON;;;;;Y;;;;;
        "\u227C",  # ;PRECEDES OR EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u227D",  # ;SUCCEEDS OR EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u227E",  # ;PRECEDES OR EQUIVALENT TO;Sm;0;ON;;;;;Y;;;;;
        "\u227F",  # ;SUCCEEDS OR EQUIVALENT TO;Sm;0;ON;;;;;Y;;;;;
        "\u2280",  # ;DOES NOT PRECEDE;Sm;0;ON;227A 0338;;;;Y;;;;;
        "\u2281",  # ;DOES NOT SUCCEED;Sm;0;ON;227B 0338;;;;Y;;;;;
        "\u2282",  # ;SUBSET OF;Sm;0;ON;;;;;Y;;;;;
        "\u2283",  # ;SUPERSET OF;Sm;0;ON;;;;;Y;;;;;
        "\u2284",  # ;NOT A SUBSET OF;Sm;0;ON;2282 0338;;;;Y;;;;;
        "\u2285",  # ;NOT A SUPERSET OF;Sm;0;ON;2283 0338;;;;Y;;;;;
        "\u2286",  # ;SUBSET OF OR EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2287",  # ;SUPERSET OF OR EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2288",  # ;NEITHER A SUBSET OF NOR EQUAL TO;Sm;0;ON;2286 0338;;;;Y;;;;;
        "\u2289",  # ;NEITHER A SUPERSET OF NOR EQUAL TO;Sm;0;ON;2287 0338;;;;Y;;;;;
        "\u228A",  # ;SUBSET OF WITH NOT EQUAL TO;Sm;0;ON;;;;;Y;SUBSET OF OR NOT EQUAL TO;;;;
        "\u228B",  # ;SUPERSET OF WITH NOT EQUAL TO;Sm;0;ON;;;;;Y;SUPERSET OF OR NOT EQUAL TO;;;;
        "\u228C",  # ;MULTISET;Sm;0;ON;;;;;Y;;;;;
        "\u228D",  # ;MULTISET MULTIPLICATION;Sm;0;ON;;;;;N;;;;;
        "\u228E",  # ;MULTISET UNION;Sm;0;ON;;;;;N;;;;;
        "\u228F",  # ;SQUARE IMAGE OF;Sm;0;ON;;;;;Y;;;;;
        "\u2290",  # ;SQUARE ORIGINAL OF;Sm;0;ON;;;;;Y;;;;;
        "\u2291",  # ;SQUARE IMAGE OF OR EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2292",  # ;SQUARE ORIGINAL OF OR EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2293",  # ;SQUARE CAP;Sm;0;ON;;;;;N;;;;;
        "\u2294",  # ;SQUARE CUP;Sm;0;ON;;;;;N;;;;;
        "\u2295",  # ;CIRCLED PLUS;Sm;0;ON;;;;;N;;;;;
        "\u2296",  # ;CIRCLED MINUS;Sm;0;ON;;;;;N;;;;;
        "\u2297",  # ;CIRCLED TIMES;Sm;0;ON;;;;;N;;;;;
        "\u2298",  # ;CIRCLED DIVISION SLASH;Sm;0;ON;;;;;Y;;;;;
        "\u2299",  # ;CIRCLED DOT OPERATOR;Sm;0;ON;;;;;N;;;;;
        "\u229A",  # ;CIRCLED RING OPERATOR;Sm;0;ON;;;;;N;;;;;
        "\u229B",  # ;CIRCLED ASTERISK OPERATOR;Sm;0;ON;;;;;N;;;;;
        "\u229C",  # ;CIRCLED EQUALS;Sm;0;ON;;;;;N;;;;;
        "\u229D",  # ;CIRCLED DASH;Sm;0;ON;;;;;N;;;;;
        "\u229E",  # ;SQUARED PLUS;Sm;0;ON;;;;;N;;;;;
        "\u229F",  # ;SQUARED MINUS;Sm;0;ON;;;;;N;;;;;
        "\u22A0",  # ;SQUARED TIMES;Sm;0;ON;;;;;N;;;;;
        "\u22A1",  # ;SQUARED DOT OPERATOR;Sm;0;ON;;;;;N;;;;;
        "\u22A2",  # ;RIGHT TACK;Sm;0;ON;;;;;Y;;;;;
        "\u22A3",  # ;LEFT TACK;Sm;0;ON;;;;;Y;;;;;
        "\u22A4",  # ;DOWN TACK;Sm;0;ON;;;;;N;;;;;
        "\u22A5",  # ;UP TACK;Sm;0;ON;;;;;N;;;;;
        "\u22A6",  # ;ASSERTION;Sm;0;ON;;;;;Y;;;;;
        "\u22A7",  # ;MODELS;Sm;0;ON;;;;;Y;;;;;
        "\u22A8",  # ;TRUE;Sm;0;ON;;;;;Y;;;;;
        "\u22A9",  # ;FORCES;Sm;0;ON;;;;;Y;;;;;
        "\u22AA",  # ;TRIPLE VERTICAL BAR RIGHT TURNSTILE;Sm;0;ON;;;;;Y;;;;;
        "\u22AB",  # ;DOUBLE VERTICAL BAR DOUBLE RIGHT TURNSTILE;Sm;0;ON;;;;;Y;;;;;
        "\u22AC",  # ;DOES NOT PROVE;Sm;0;ON;22A2 0338;;;;Y;;;;;
        "\u22AD",  # ;NOT TRUE;Sm;0;ON;22A8 0338;;;;Y;;;;;
        "\u22AE",  # ;DOES NOT FORCE;Sm;0;ON;22A9 0338;;;;Y;;;;;
        "\u22AF",  # ;NEGATED DOUBLE VERTICAL BAR DOUBLE RIGHT TURNSTILE;Sm;0;ON;22AB 0338;;;;Y;;;;;
        "\u22B0",  # ;PRECEDES UNDER RELATION;Sm;0;ON;;;;;Y;;;;;
        "\u22B1",  # ;SUCCEEDS UNDER RELATION;Sm;0;ON;;;;;Y;;;;;
        "\u22B2",  # ;NORMAL SUBGROUP OF;Sm;0;ON;;;;;Y;;;;;
        "\u22B3",  # ;CONTAINS AS NORMAL SUBGROUP;Sm;0;ON;;;;;Y;;;;;
        "\u22B4",  # ;NORMAL SUBGROUP OF OR EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u22B5",  # ;CONTAINS AS NORMAL SUBGROUP OR EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u22B6",  # ;ORIGINAL OF;Sm;0;ON;;;;;Y;;;;;
        "\u22B7",  # ;IMAGE OF;Sm;0;ON;;;;;Y;;;;;
        "\u22B8",  # ;MULTIMAP;Sm;0;ON;;;;;Y;;;;;
        "\u22B9",  # ;HERMITIAN CONJUGATE MATRIX;Sm;0;ON;;;;;N;;;;;
        "\u22BA",  # ;INTERCALATE;Sm;0;ON;;;;;N;;;;;
        "\u22BB",  # ;XOR;Sm;0;ON;;;;;N;;;;;
        "\u22BC",  # ;NAND;Sm;0;ON;;;;;N;;;;;
        "\u22BD",  # ;NOR;Sm;0;ON;;;;;N;;;;;
        "\u22BE",  # ;RIGHT ANGLE WITH ARC;Sm;0;ON;;;;;Y;;;;;
        "\u22BF",  # ;RIGHT TRIANGLE;Sm;0;ON;;;;;Y;;;;;
        "\u22C0",  # ;N-ARY LOGICAL AND;Sm;0;ON;;;;;N;;;;;
        "\u22C1",  # ;N-ARY LOGICAL OR;Sm;0;ON;;;;;N;;;;;
        "\u22C2",  # ;N-ARY INTERSECTION;Sm;0;ON;;;;;N;;;;;
        "\u22C3",  # ;N-ARY UNION;Sm;0;ON;;;;;N;;;;;
        "\u22C4",  # ;DIAMOND OPERATOR;Sm;0;ON;;;;;N;;;;;
        "\u22C5",  # ;DOT OPERATOR;Sm;0;ON;;;;;N;;;;;
        "\u22C6",  # ;STAR OPERATOR;Sm;0;ON;;;;;N;;;;;
        "\u22C7",  # ;DIVISION TIMES;Sm;0;ON;;;;;N;;;;;
        "\u22C8",  # ;BOWTIE;Sm;0;ON;;;;;N;;;;;
        "\u22C9",  # ;LEFT NORMAL FACTOR SEMIDIRECT PRODUCT;Sm;0;ON;;;;;Y;;;;;
        "\u22CA",  # ;RIGHT NORMAL FACTOR SEMIDIRECT PRODUCT;Sm;0;ON;;;;;Y;;;;;
        "\u22CB",  # ;LEFT SEMIDIRECT PRODUCT;Sm;0;ON;;;;;Y;;;;;
        "\u22CC",  # ;RIGHT SEMIDIRECT PRODUCT;Sm;0;ON;;;;;Y;;;;;
        "\u22CD",  # ;REVERSED TILDE EQUALS;Sm;0;ON;;;;;Y;;;;;
        "\u22CE",  # ;CURLY LOGICAL OR;Sm;0;ON;;;;;N;;;;;
        "\u22CF",  # ;CURLY LOGICAL AND;Sm;0;ON;;;;;N;;;;;
        "\u22D0",  # ;DOUBLE SUBSET;Sm;0;ON;;;;;Y;;;;;
        "\u22D1",  # ;DOUBLE SUPERSET;Sm;0;ON;;;;;Y;;;;;
        "\u22D2",  # ;DOUBLE INTERSECTION;Sm;0;ON;;;;;N;;;;;
        "\u22D3",  # ;DOUBLE UNION;Sm;0;ON;;;;;N;;;;;
        "\u22D4",  # ;PITCHFORK;Sm;0;ON;;;;;N;;;;;
        "\u22D5",  # ;EQUAL AND PARALLEL TO;Sm;0;ON;;;;;N;;;;;
        "\u22D6",  # ;LESS-THAN WITH DOT;Sm;0;ON;;;;;Y;LESS THAN WITH DOT;;;;
        "\u22D7",  # ;GREATER-THAN WITH DOT;Sm;0;ON;;;;;Y;GREATER THAN WITH DOT;;;;
        "\u22D8",  # ;VERY MUCH LESS-THAN;Sm;0;ON;;;;;Y;VERY MUCH LESS THAN;;;;
        "\u22D9",  # ;VERY MUCH GREATER-THAN;Sm;0;ON;;;;;Y;VERY MUCH GREATER THAN;;;;
        "\u22DA",  # ;LESS-THAN EQUAL TO OR GREATER-THAN;Sm;0;ON;;;;;Y;LESS THAN EQUAL TO OR GREATER THAN;;;;
        "\u22DB",  # ;GREATER-THAN EQUAL TO OR LESS-THAN;Sm;0;ON;;;;;Y;GREATER THAN EQUAL TO OR LESS THAN;;;;
        "\u22DC",  # ;EQUAL TO OR LESS-THAN;Sm;0;ON;;;;;Y;EQUAL TO OR LESS THAN;;;;
        "\u22DD",  # ;EQUAL TO OR GREATER-THAN;Sm;0;ON;;;;;Y;EQUAL TO OR GREATER THAN;;;;
        "\u22DE",  # ;EQUAL TO OR PRECEDES;Sm;0;ON;;;;;Y;;;;;
        "\u22DF",  # ;EQUAL TO OR SUCCEEDS;Sm;0;ON;;;;;Y;;;;;
        "\u22E0",  # ;DOES NOT PRECEDE OR EQUAL;Sm;0;ON;227C 0338;;;;Y;;;;;
        "\u22E1",  # ;DOES NOT SUCCEED OR EQUAL;Sm;0;ON;227D 0338;;;;Y;;;;;
        "\u22E2",  # ;NOT SQUARE IMAGE OF OR EQUAL TO;Sm;0;ON;2291 0338;;;;Y;;;;;
        "\u22E3",  # ;NOT SQUARE ORIGINAL OF OR EQUAL TO;Sm;0;ON;2292 0338;;;;Y;;;;;
        "\u22E4",  # ;SQUARE IMAGE OF OR NOT EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u22E5",  # ;SQUARE ORIGINAL OF OR NOT EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u22E6",  # ;LESS-THAN BUT NOT EQUIVALENT TO;Sm;0;ON;;;;;Y;LESS THAN BUT NOT EQUIVALENT TO;;;;
        "\u22E7",  # ;GREATER-THAN BUT NOT EQUIVALENT TO;Sm;0;ON;;;;;Y;GREATER THAN BUT NOT EQUIVALENT TO;;;;
        "\u22E8",  # ;PRECEDES BUT NOT EQUIVALENT TO;Sm;0;ON;;;;;Y;;;;;
        "\u22E9",  # ;SUCCEEDS BUT NOT EQUIVALENT TO;Sm;0;ON;;;;;Y;;;;;
        "\u22EA",  # ;NOT NORMAL SUBGROUP OF;Sm;0;ON;22B2 0338;;;;Y;;;;;
        "\u22EB",  # ;DOES NOT CONTAIN AS NORMAL SUBGROUP;Sm;0;ON;22B3 0338;;;;Y;;;;;
        "\u22EC",  # ;NOT NORMAL SUBGROUP OF OR EQUAL TO;Sm;0;ON;22B4 0338;;;;Y;;;;;
        "\u22ED",  # ;DOES NOT CONTAIN AS NORMAL SUBGROUP OR EQUAL;Sm;0;ON;22B5 0338;;;;Y;;;;;
        "\u22EE",  # ;VERTICAL ELLIPSIS;Sm;0;ON;;;;;N;;;;;
        "\u22EF",  # ;MIDLINE HORIZONTAL ELLIPSIS;Sm;0;ON;;;;;N;;;;;
        "\u22F0",  # ;UP RIGHT DIAGONAL ELLIPSIS;Sm;0;ON;;;;;Y;;;;;
        "\u22F1",  # ;DOWN RIGHT DIAGONAL ELLIPSIS;Sm;0;ON;;;;;Y;;;;;
        "\u22F2",  # ;ELEMENT OF WITH LONG HORIZONTAL STROKE;Sm;0;ON;;;;;Y;;;;;
        "\u22F3",  # ;ELEMENT OF WITH VERTICAL BAR AT END OF HORIZONTAL STROKE;Sm;0;ON;;;;;Y;;;;;
        "\u22F4",  # ;SMALL ELEMENT OF WITH VERTICAL BAR AT END OF HORIZONTAL STROKE;Sm;0;ON;;;;;Y;;;;;
        "\u22F5",  # ;ELEMENT OF WITH DOT ABOVE;Sm;0;ON;;;;;Y;;;;;
        "\u22F6",  # ;ELEMENT OF WITH OVERBAR;Sm;0;ON;;;;;Y;;;;;
        "\u22F7",  # ;SMALL ELEMENT OF WITH OVERBAR;Sm;0;ON;;;;;Y;;;;;
        "\u22F8",  # ;ELEMENT OF WITH UNDERBAR;Sm;0;ON;;;;;Y;;;;;
        "\u22F9",  # ;ELEMENT OF WITH TWO HORIZONTAL STROKES;Sm;0;ON;;;;;Y;;;;;
        "\u22FA",  # ;CONTAINS WITH LONG HORIZONTAL STROKE;Sm;0;ON;;;;;Y;;;;;
        "\u22FB",  # ;CONTAINS WITH VERTICAL BAR AT END OF HORIZONTAL STROKE;Sm;0;ON;;;;;Y;;;;;
        "\u22FC",  # ;SMALL CONTAINS WITH VERTICAL BAR AT END OF HORIZONTAL STROKE;Sm;0;ON;;;;;Y;;;;;
        "\u22FD",  # ;CONTAINS WITH OVERBAR;Sm;0;ON;;;;;Y;;;;;
        "\u22FE",  # ;SMALL CONTAINS WITH OVERBAR;Sm;0;ON;;;;;Y;;;;;
        "\u22FF",  # ;Z NOTATION BAG MEMBERSHIP;Sm;0;ON;;;;;Y;;;;;
        "\u2300",  # ;DIAMETER SIGN;So;0;ON;;;;;N;;;;;
        "\u2301",  # ;ELECTRIC ARROW;So;0;ON;;;;;N;;;;;
        "\u2302",  # ;HOUSE;So;0;ON;;;;;N;;;;;
        "\u2303",  # ;UP ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u2304",  # ;DOWN ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u2305",  # ;PROJECTIVE;So;0;ON;;;;;N;;;;;
        "\u2306",  # ;PERSPECTIVE;So;0;ON;;;;;N;;;;;
        "\u2307",  # ;WAVY LINE;So;0;ON;;;;;N;;;;;
        "\u2308",  # ;LEFT CEILING;Ps;0;ON;;;;;Y;;;;;
        "\u2309",  # ;RIGHT CEILING;Pe;0;ON;;;;;Y;;;;;
        "\u230A",  # ;LEFT FLOOR;Ps;0;ON;;;;;Y;;;;;
        "\u230B",  # ;RIGHT FLOOR;Pe;0;ON;;;;;Y;;;;;
        "\u230C",  # ;BOTTOM RIGHT CROP;So;0;ON;;;;;N;;;;;
        "\u230D",  # ;BOTTOM LEFT CROP;So;0;ON;;;;;N;;;;;
        "\u230E",  # ;TOP RIGHT CROP;So;0;ON;;;;;N;;;;;
        "\u230F",  # ;TOP LEFT CROP;So;0;ON;;;;;N;;;;;
        "\u2310",  # ;REVERSED NOT SIGN;So;0;ON;;;;;N;;;;;
        "\u2311",  # ;SQUARE LOZENGE;So;0;ON;;;;;N;;;;;
        "\u2312",  # ;ARC;So;0;ON;;;;;N;;;;;
        "\u2313",  # ;SEGMENT;So;0;ON;;;;;N;;;;;
        "\u2314",  # ;SECTOR;So;0;ON;;;;;N;;;;;
        "\u2315",  # ;TELEPHONE RECORDER;So;0;ON;;;;;N;;;;;
        "\u2316",  # ;POSITION INDICATOR;So;0;ON;;;;;N;;;;;
        "\u2317",  # ;VIEWDATA SQUARE;So;0;ON;;;;;N;;;;;
        "\u2318",  # ;PLACE OF INTEREST SIGN;So;0;ON;;;;;N;COMMAND KEY;;;;
        "\u2319",  # ;TURNED NOT SIGN;So;0;ON;;;;;N;;;;;
        "\u231A",  # ;WATCH;So;0;ON;;;;;N;;;;;
        "\u231B",  # ;HOURGLASS;So;0;ON;;;;;N;;;;;
        "\u231C",  # ;TOP LEFT CORNER;So;0;ON;;;;;N;;;;;
        "\u231D",  # ;TOP RIGHT CORNER;So;0;ON;;;;;N;;;;;
        "\u231E",  # ;BOTTOM LEFT CORNER;So;0;ON;;;;;N;;;;;
        "\u231F",  # ;BOTTOM RIGHT CORNER;So;0;ON;;;;;N;;;;;
        "\u2320",  # ;TOP HALF INTEGRAL;Sm;0;ON;;;;;Y;;;;;
        "\u2321",  # ;BOTTOM HALF INTEGRAL;Sm;0;ON;;;;;Y;;;;;
        "\u2322",  # ;FROWN;So;0;ON;;;;;N;;;;;
        "\u2323",  # ;SMILE;So;0;ON;;;;;N;;;;;
        "\u2324",  # ;UP ARROWHEAD BETWEEN TWO HORIZONTAL BARS;So;0;ON;;;;;N;ENTER KEY;;;;
        "\u2325",  # ;OPTION KEY;So;0;ON;;;;;N;;;;;
        "\u2326",  # ;ERASE TO THE RIGHT;So;0;ON;;;;;N;DELETE TO THE RIGHT KEY;;;;
        "\u2327",  # ;X IN A RECTANGLE BOX;So;0;ON;;;;;N;CLEAR KEY;;;;
        "\u2328",  # ;KEYBOARD;So;0;ON;;;;;N;;;;;
        "\u2329",  # ;LEFT-POINTING ANGLE BRACKET;Ps;0;ON;3008;;;;Y;BRA;;;;
        "\u232A",  # ;RIGHT-POINTING ANGLE BRACKET;Pe;0;ON;3009;;;;Y;KET;;;;
        "\u232B",  # ;ERASE TO THE LEFT;So;0;ON;;;;;N;DELETE TO THE LEFT KEY;;;;
        "\u232C",  # ;BENZENE RING;So;0;ON;;;;;N;;;;;
        "\u232D",  # ;CYLINDRICITY;So;0;ON;;;;;N;;;;;
        "\u232E",  # ;ALL AROUND-PROFILE;So;0;ON;;;;;N;;;;;
        "\u232F",  # ;SYMMETRY;So;0;ON;;;;;N;;;;;
        "\u2330",  # ;TOTAL RUNOUT;So;0;ON;;;;;N;;;;;
        "\u2331",  # ;DIMENSION ORIGIN;So;0;ON;;;;;N;;;;;
        "\u2332",  # ;CONICAL TAPER;So;0;ON;;;;;N;;;;;
        "\u2333",  # ;SLOPE;So;0;ON;;;;;N;;;;;
        "\u2334",  # ;COUNTERBORE;So;0;ON;;;;;N;;;;;
        "\u2335",  # ;COUNTERSINK;So;0;ON;;;;;N;;;;;
        "\u2336",  # ;APL FUNCTIONAL SYMBOL I-BEAM;So;0;L;;;;;N;;;;;
        "\u2337",  # ;APL FUNCTIONAL SYMBOL SQUISH QUAD;So;0;L;;;;;N;;;;;
        "\u2338",  # ;APL FUNCTIONAL SYMBOL QUAD EQUAL;So;0;L;;;;;N;;;;;
        "\u2339",  # ;APL FUNCTIONAL SYMBOL QUAD DIVIDE;So;0;L;;;;;N;;;;;
        "\u233A",  # ;APL FUNCTIONAL SYMBOL QUAD DIAMOND;So;0;L;;;;;N;;;;;
        "\u233B",  # ;APL FUNCTIONAL SYMBOL QUAD JOT;So;0;L;;;;;N;;;;;
        "\u233C",  # ;APL FUNCTIONAL SYMBOL QUAD CIRCLE;So;0;L;;;;;N;;;;;
        "\u233D",  # ;APL FUNCTIONAL SYMBOL CIRCLE STILE;So;0;L;;;;;N;;;;;
        "\u233E",  # ;APL FUNCTIONAL SYMBOL CIRCLE JOT;So;0;L;;;;;N;;;;;
        "\u233F",  # ;APL FUNCTIONAL SYMBOL SLASH BAR;So;0;L;;;;;N;;;;;
        "\u2340",  # ;APL FUNCTIONAL SYMBOL BACKSLASH BAR;So;0;L;;;;;N;;;;;
        "\u2341",  # ;APL FUNCTIONAL SYMBOL QUAD SLASH;So;0;L;;;;;N;;;;;
        "\u2342",  # ;APL FUNCTIONAL SYMBOL QUAD BACKSLASH;So;0;L;;;;;N;;;;;
        "\u2343",  # ;APL FUNCTIONAL SYMBOL QUAD LESS-THAN;So;0;L;;;;;N;;;;;
        "\u2344",  # ;APL FUNCTIONAL SYMBOL QUAD GREATER-THAN;So;0;L;;;;;N;;;;;
        "\u2345",  # ;APL FUNCTIONAL SYMBOL LEFTWARDS VANE;So;0;L;;;;;N;;;;;
        "\u2346",  # ;APL FUNCTIONAL SYMBOL RIGHTWARDS VANE;So;0;L;;;;;N;;;;;
        "\u2347",  # ;APL FUNCTIONAL SYMBOL QUAD LEFTWARDS ARROW;So;0;L;;;;;N;;;;;
        "\u2348",  # ;APL FUNCTIONAL SYMBOL QUAD RIGHTWARDS ARROW;So;0;L;;;;;N;;;;;
        "\u2349",  # ;APL FUNCTIONAL SYMBOL CIRCLE BACKSLASH;So;0;L;;;;;N;;;;;
        "\u234A",  # ;APL FUNCTIONAL SYMBOL DOWN TACK UNDERBAR;So;0;L;;;;;N;;;;;
        "\u234B",  # ;APL FUNCTIONAL SYMBOL DELTA STILE;So;0;L;;;;;N;;;;;
        "\u234C",  # ;APL FUNCTIONAL SYMBOL QUAD DOWN CARET;So;0;L;;;;;N;;;;;
        "\u234D",  # ;APL FUNCTIONAL SYMBOL QUAD DELTA;So;0;L;;;;;N;;;;;
        "\u234E",  # ;APL FUNCTIONAL SYMBOL DOWN TACK JOT;So;0;L;;;;;N;;;;;
        "\u234F",  # ;APL FUNCTIONAL SYMBOL UPWARDS VANE;So;0;L;;;;;N;;;;;
        "\u2350",  # ;APL FUNCTIONAL SYMBOL QUAD UPWARDS ARROW;So;0;L;;;;;N;;;;;
        "\u2351",  # ;APL FUNCTIONAL SYMBOL UP TACK OVERBAR;So;0;L;;;;;N;;;;;
        "\u2352",  # ;APL FUNCTIONAL SYMBOL DEL STILE;So;0;L;;;;;N;;;;;
        "\u2353",  # ;APL FUNCTIONAL SYMBOL QUAD UP CARET;So;0;L;;;;;N;;;;;
        "\u2354",  # ;APL FUNCTIONAL SYMBOL QUAD DEL;So;0;L;;;;;N;;;;;
        "\u2355",  # ;APL FUNCTIONAL SYMBOL UP TACK JOT;So;0;L;;;;;N;;;;;
        "\u2356",  # ;APL FUNCTIONAL SYMBOL DOWNWARDS VANE;So;0;L;;;;;N;;;;;
        "\u2357",  # ;APL FUNCTIONAL SYMBOL QUAD DOWNWARDS ARROW;So;0;L;;;;;N;;;;;
        "\u2358",  # ;APL FUNCTIONAL SYMBOL QUOTE UNDERBAR;So;0;L;;;;;N;;;;;
        "\u2359",  # ;APL FUNCTIONAL SYMBOL DELTA UNDERBAR;So;0;L;;;;;N;;;;;
        "\u235A",  # ;APL FUNCTIONAL SYMBOL DIAMOND UNDERBAR;So;0;L;;;;;N;;;;;
        "\u235B",  # ;APL FUNCTIONAL SYMBOL JOT UNDERBAR;So;0;L;;;;;N;;;;;
        "\u235C",  # ;APL FUNCTIONAL SYMBOL CIRCLE UNDERBAR;So;0;L;;;;;N;;;;;
        "\u235D",  # ;APL FUNCTIONAL SYMBOL UP SHOE JOT;So;0;L;;;;;N;;;;;
        "\u235E",  # ;APL FUNCTIONAL SYMBOL QUOTE QUAD;So;0;L;;;;;N;;;;;
        "\u235F",  # ;APL FUNCTIONAL SYMBOL CIRCLE STAR;So;0;L;;;;;N;;;;;
        "\u2360",  # ;APL FUNCTIONAL SYMBOL QUAD COLON;So;0;L;;;;;N;;;;;
        "\u2361",  # ;APL FUNCTIONAL SYMBOL UP TACK DIAERESIS;So;0;L;;;;;N;;;;;
        "\u2362",  # ;APL FUNCTIONAL SYMBOL DEL DIAERESIS;So;0;L;;;;;N;;;;;
        "\u2363",  # ;APL FUNCTIONAL SYMBOL STAR DIAERESIS;So;0;L;;;;;N;;;;;
        "\u2364",  # ;APL FUNCTIONAL SYMBOL JOT DIAERESIS;So;0;L;;;;;N;;;;;
        "\u2365",  # ;APL FUNCTIONAL SYMBOL CIRCLE DIAERESIS;So;0;L;;;;;N;;;;;
        "\u2366",  # ;APL FUNCTIONAL SYMBOL DOWN SHOE STILE;So;0;L;;;;;N;;;;;
        "\u2367",  # ;APL FUNCTIONAL SYMBOL LEFT SHOE STILE;So;0;L;;;;;N;;;;;
        "\u2368",  # ;APL FUNCTIONAL SYMBOL TILDE DIAERESIS;So;0;L;;;;;N;;;;;
        "\u2369",  # ;APL FUNCTIONAL SYMBOL GREATER-THAN DIAERESIS;So;0;L;;;;;N;;;;;
        "\u236A",  # ;APL FUNCTIONAL SYMBOL COMMA BAR;So;0;L;;;;;N;;;;;
        "\u236B",  # ;APL FUNCTIONAL SYMBOL DEL TILDE;So;0;L;;;;;N;;;;;
        "\u236C",  # ;APL FUNCTIONAL SYMBOL ZILDE;So;0;L;;;;;N;;;;;
        "\u236D",  # ;APL FUNCTIONAL SYMBOL STILE TILDE;So;0;L;;;;;N;;;;;
        "\u236E",  # ;APL FUNCTIONAL SYMBOL SEMICOLON UNDERBAR;So;0;L;;;;;N;;;;;
        "\u236F",  # ;APL FUNCTIONAL SYMBOL QUAD NOT EQUAL;So;0;L;;;;;N;;;;;
        "\u2370",  # ;APL FUNCTIONAL SYMBOL QUAD QUESTION;So;0;L;;;;;N;;;;;
        "\u2371",  # ;APL FUNCTIONAL SYMBOL DOWN CARET TILDE;So;0;L;;;;;N;;;;;
        "\u2372",  # ;APL FUNCTIONAL SYMBOL UP CARET TILDE;So;0;L;;;;;N;;;;;
        "\u2373",  # ;APL FUNCTIONAL SYMBOL IOTA;So;0;L;;;;;N;;;;;
        "\u2374",  # ;APL FUNCTIONAL SYMBOL RHO;So;0;L;;;;;N;;;;;
        "\u2375",  # ;APL FUNCTIONAL SYMBOL OMEGA;So;0;L;;;;;N;;;;;
        "\u2376",  # ;APL FUNCTIONAL SYMBOL ALPHA UNDERBAR;So;0;L;;;;;N;;;;;
        "\u2377",  # ;APL FUNCTIONAL SYMBOL EPSILON UNDERBAR;So;0;L;;;;;N;;;;;
        "\u2378",  # ;APL FUNCTIONAL SYMBOL IOTA UNDERBAR;So;0;L;;;;;N;;;;;
        "\u2379",  # ;APL FUNCTIONAL SYMBOL OMEGA UNDERBAR;So;0;L;;;;;N;;;;;
        "\u237A",  # ;APL FUNCTIONAL SYMBOL ALPHA;So;0;L;;;;;N;;;;;
        "\u237B",  # ;NOT CHECK MARK;So;0;ON;;;;;N;;;;;
        "\u237C",  # ;RIGHT ANGLE WITH DOWNWARDS ZIGZAG ARROW;Sm;0;ON;;;;;N;;;;;
        "\u237D",  # ;SHOULDERED OPEN BOX;So;0;ON;;;;;N;;;;;
        "\u237E",  # ;BELL SYMBOL;So;0;ON;;;;;N;;;;;
        "\u237F",  # ;VERTICAL LINE WITH MIDDLE DOT;So;0;ON;;;;;N;;;;;
        "\u2380",  # ;INSERTION SYMBOL;So;0;ON;;;;;N;;;;;
        "\u2381",  # ;CONTINUOUS UNDERLINE SYMBOL;So;0;ON;;;;;N;;;;;
        "\u2382",  # ;DISCONTINUOUS UNDERLINE SYMBOL;So;0;ON;;;;;N;;;;;
        "\u2383",  # ;EMPHASIS SYMBOL;So;0;ON;;;;;N;;;;;
        "\u2384",  # ;COMPOSITION SYMBOL;So;0;ON;;;;;N;;;;;
        "\u2385",  # ;WHITE SQUARE WITH CENTRE VERTICAL LINE;So;0;ON;;;;;N;;;;;
        "\u2386",  # ;ENTER SYMBOL;So;0;ON;;;;;N;;;;;
        "\u2387",  # ;ALTERNATIVE KEY SYMBOL;So;0;ON;;;;;N;;;;;
        "\u2388",  # ;HELM SYMBOL;So;0;ON;;;;;N;;;;;
        "\u2389",  # ;CIRCLED HORIZONTAL BAR WITH NOTCH;So;0;ON;;;;;N;;;;;
        "\u238A",  # ;CIRCLED TRIANGLE DOWN;So;0;ON;;;;;N;;;;;
        "\u238B",  # ;BROKEN CIRCLE WITH NORTHWEST ARROW;So;0;ON;;;;;N;;;;;
        "\u238C",  # ;UNDO SYMBOL;So;0;ON;;;;;N;;;;;
        "\u238D",  # ;MONOSTABLE SYMBOL;So;0;ON;;;;;N;;;;;
        "\u238E",  # ;HYSTERESIS SYMBOL;So;0;ON;;;;;N;;;;;
        "\u238F",  # ;OPEN-CIRCUIT-OUTPUT H-TYPE SYMBOL;So;0;ON;;;;;N;;;;;
        "\u2390",  # ;OPEN-CIRCUIT-OUTPUT L-TYPE SYMBOL;So;0;ON;;;;;N;;;;;
        "\u2391",  # ;PASSIVE-PULL-DOWN-OUTPUT SYMBOL;So;0;ON;;;;;N;;;;;
        "\u2392",  # ;PASSIVE-PULL-UP-OUTPUT SYMBOL;So;0;ON;;;;;N;;;;;
        "\u2393",  # ;DIRECT CURRENT SYMBOL FORM TWO;So;0;ON;;;;;N;;;;;
        "\u2394",  # ;SOFTWARE-FUNCTION SYMBOL;So;0;ON;;;;;N;;;;;
        "\u2395",  # ;APL FUNCTIONAL SYMBOL QUAD;So;0;L;;;;;N;;;;;
        "\u2396",  # ;DECIMAL SEPARATOR KEY SYMBOL;So;0;ON;;;;;N;;;;;
        "\u2397",  # ;PREVIOUS PAGE;So;0;ON;;;;;N;;;;;
        "\u2398",  # ;NEXT PAGE;So;0;ON;;;;;N;;;;;
        "\u2399",  # ;PRINT SCREEN SYMBOL;So;0;ON;;;;;N;;;;;
        "\u239A",  # ;CLEAR SCREEN SYMBOL;So;0;ON;;;;;N;;;;;
        "\u239B",  # ;LEFT PARENTHESIS UPPER HOOK;Sm;0;ON;;;;;N;;;;;
        "\u239C",  # ;LEFT PARENTHESIS EXTENSION;Sm;0;ON;;;;;N;;;;;
        "\u239D",  # ;LEFT PARENTHESIS LOWER HOOK;Sm;0;ON;;;;;N;;;;;
        "\u239E",  # ;RIGHT PARENTHESIS UPPER HOOK;Sm;0;ON;;;;;N;;;;;
        "\u239F",  # ;RIGHT PARENTHESIS EXTENSION;Sm;0;ON;;;;;N;;;;;
        "\u23A0",  # ;RIGHT PARENTHESIS LOWER HOOK;Sm;0;ON;;;;;N;;;;;
        "\u23A1",  # ;LEFT SQUARE BRACKET UPPER CORNER;Sm;0;ON;;;;;N;;;;;
        "\u23A2",  # ;LEFT SQUARE BRACKET EXTENSION;Sm;0;ON;;;;;N;;;;;
        "\u23A3",  # ;LEFT SQUARE BRACKET LOWER CORNER;Sm;0;ON;;;;;N;;;;;
        "\u23A4",  # ;RIGHT SQUARE BRACKET UPPER CORNER;Sm;0;ON;;;;;N;;;;;
        "\u23A5",  # ;RIGHT SQUARE BRACKET EXTENSION;Sm;0;ON;;;;;N;;;;;
        "\u23A6",  # ;RIGHT SQUARE BRACKET LOWER CORNER;Sm;0;ON;;;;;N;;;;;
        "\u23A7",  # ;LEFT CURLY BRACKET UPPER HOOK;Sm;0;ON;;;;;N;;;;;
        "\u23A8",  # ;LEFT CURLY BRACKET MIDDLE PIECE;Sm;0;ON;;;;;N;;;;;
        "\u23A9",  # ;LEFT CURLY BRACKET LOWER HOOK;Sm;0;ON;;;;;N;;;;;
        "\u23AA",  # ;CURLY BRACKET EXTENSION;Sm;0;ON;;;;;N;;;;;
        "\u23AB",  # ;RIGHT CURLY BRACKET UPPER HOOK;Sm;0;ON;;;;;N;;;;;
        "\u23AC",  # ;RIGHT CURLY BRACKET MIDDLE PIECE;Sm;0;ON;;;;;N;;;;;
        "\u23AD",  # ;RIGHT CURLY BRACKET LOWER HOOK;Sm;0;ON;;;;;N;;;;;
        "\u23AE",  # ;INTEGRAL EXTENSION;Sm;0;ON;;;;;N;;;;;
        "\u23AF",  # ;HORIZONTAL LINE EXTENSION;Sm;0;ON;;;;;N;;;;;
        "\u23B0",  # ;UPPER LEFT OR LOWER RIGHT CURLY BRACKET SECTION;Sm;0;ON;;;;;N;;;;;
        "\u23B1",  # ;UPPER RIGHT OR LOWER LEFT CURLY BRACKET SECTION;Sm;0;ON;;;;;N;;;;;
        "\u23B2",  # ;SUMMATION TOP;Sm;0;ON;;;;;N;;;;;
        "\u23B3",  # ;SUMMATION BOTTOM;Sm;0;ON;;;;;N;;;;;
        "\u23B4",  # ;TOP SQUARE BRACKET;So;0;ON;;;;;N;;;;;
        "\u23B5",  # ;BOTTOM SQUARE BRACKET;So;0;ON;;;;;N;;;;;
        "\u23B6",  # ;BOTTOM SQUARE BRACKET OVER TOP SQUARE BRACKET;So;0;ON;;;;;N;;;;;
        "\u23B7",  # ;RADICAL SYMBOL BOTTOM;So;0;ON;;;;;N;;;;;
        "\u23B8",  # ;LEFT VERTICAL BOX LINE;So;0;ON;;;;;N;;;;;
        "\u23B9",  # ;RIGHT VERTICAL BOX LINE;So;0;ON;;;;;N;;;;;
        "\u23BA",  # ;HORIZONTAL SCAN LINE-1;So;0;ON;;;;;N;;;;;
        "\u23BB",  # ;HORIZONTAL SCAN LINE-3;So;0;ON;;;;;N;;;;;
        "\u23BC",  # ;HORIZONTAL SCAN LINE-7;So;0;ON;;;;;N;;;;;
        "\u23BD",  # ;HORIZONTAL SCAN LINE-9;So;0;ON;;;;;N;;;;;
        "\u23BE",  # ;DENTISTRY SYMBOL LIGHT VERTICAL AND TOP RIGHT;So;0;ON;;;;;N;;;;;
        "\u23BF",  # ;DENTISTRY SYMBOL LIGHT VERTICAL AND BOTTOM RIGHT;So;0;ON;;;;;N;;;;;
        "\u23C0",  # ;DENTISTRY SYMBOL LIGHT VERTICAL WITH CIRCLE;So;0;ON;;;;;N;;;;;
        "\u23C1",  # ;DENTISTRY SYMBOL LIGHT DOWN AND HORIZONTAL WITH CIRCLE;So;0;ON;;;;;N;;;;;
        "\u23C2",  # ;DENTISTRY SYMBOL LIGHT UP AND HORIZONTAL WITH CIRCLE;So;0;ON;;;;;N;;;;;
        "\u23C3",  # ;DENTISTRY SYMBOL LIGHT VERTICAL WITH TRIANGLE;So;0;ON;;;;;N;;;;;
        "\u23C4",  # ;DENTISTRY SYMBOL LIGHT DOWN AND HORIZONTAL WITH TRIANGLE;So;0;ON;;;;;N;;;;;
        "\u23C5",  # ;DENTISTRY SYMBOL LIGHT UP AND HORIZONTAL WITH TRIANGLE;So;0;ON;;;;;N;;;;;
        "\u23C6",  # ;DENTISTRY SYMBOL LIGHT VERTICAL AND WAVE;So;0;ON;;;;;N;;;;;
        "\u23C7",  # ;DENTISTRY SYMBOL LIGHT DOWN AND HORIZONTAL WITH WAVE;So;0;ON;;;;;N;;;;;
        "\u23C8",  # ;DENTISTRY SYMBOL LIGHT UP AND HORIZONTAL WITH WAVE;So;0;ON;;;;;N;;;;;
        "\u23C9",  # ;DENTISTRY SYMBOL LIGHT DOWN AND HORIZONTAL;So;0;ON;;;;;N;;;;;
        "\u23CA",  # ;DENTISTRY SYMBOL LIGHT UP AND HORIZONTAL;So;0;ON;;;;;N;;;;;
        "\u23CB",  # ;DENTISTRY SYMBOL LIGHT VERTICAL AND TOP LEFT;So;0;ON;;;;;N;;;;;
        "\u23CC",  # ;DENTISTRY SYMBOL LIGHT VERTICAL AND BOTTOM LEFT;So;0;ON;;;;;N;;;;;
        "\u23CD",  # ;SQUARE FOOT;So;0;ON;;;;;N;;;;;
        "\u23CE",  # ;RETURN SYMBOL;So;0;ON;;;;;N;;;;;
        "\u23CF",  # ;EJECT SYMBOL;So;0;ON;;;;;N;;;;;
        "\u23D0",  # ;VERTICAL LINE EXTENSION;So;0;ON;;;;;N;;;;;
        "\u23D1",  # ;METRICAL BREVE;So;0;ON;;;;;N;;;;;
        "\u23D2",  # ;METRICAL LONG OVER SHORT;So;0;ON;;;;;N;;;;;
        "\u23D3",  # ;METRICAL SHORT OVER LONG;So;0;ON;;;;;N;;;;;
        "\u23D4",  # ;METRICAL LONG OVER TWO SHORTS;So;0;ON;;;;;N;;;;;
        "\u23D5",  # ;METRICAL TWO SHORTS OVER LONG;So;0;ON;;;;;N;;;;;
        "\u23D6",  # ;METRICAL TWO SHORTS JOINED;So;0;ON;;;;;N;;;;;
        "\u23D7",  # ;METRICAL TRISEME;So;0;ON;;;;;N;;;;;
        "\u23D8",  # ;METRICAL TETRASEME;So;0;ON;;;;;N;;;;;
        "\u23D9",  # ;METRICAL PENTASEME;So;0;ON;;;;;N;;;;;
        "\u23DA",  # ;EARTH GROUND;So;0;ON;;;;;N;;;;;
        "\u23DB",  # ;FUSE;So;0;ON;;;;;N;;;;;
        "\u23DC",  # ;TOP PARENTHESIS;Sm;0;ON;;;;;N;;;;;
        "\u23DD",  # ;BOTTOM PARENTHESIS;Sm;0;ON;;;;;N;;;;;
        "\u23DE",  # ;TOP CURLY BRACKET;Sm;0;ON;;;;;N;;;;;
        "\u23DF",  # ;BOTTOM CURLY BRACKET;Sm;0;ON;;;;;N;;;;;
        "\u23E0",  # ;TOP TORTOISE SHELL BRACKET;Sm;0;ON;;;;;N;;;;;
        "\u23E1",  # ;BOTTOM TORTOISE SHELL BRACKET;Sm;0;ON;;;;;N;;;;;
        "\u23E2",  # ;WHITE TRAPEZIUM;So;0;ON;;;;;N;;;;;
        "\u23E3",  # ;BENZENE RING WITH CIRCLE;So;0;ON;;;;;N;;;;;
        "\u23E4",  # ;STRAIGHTNESS;So;0;ON;;;;;N;;;;;
        "\u23E5",  # ;FLATNESS;So;0;ON;;;;;N;;;;;
        "\u23E6",  # ;AC CURRENT;So;0;ON;;;;;N;;;;;
        "\u23E7",  # ;ELECTRICAL INTERSECTION;So;0;ON;;;;;N;;;;;
        "\u23E8",  # ;DECIMAL EXPONENT SYMBOL;So;0;ON;;;;;N;;;;;
        "\u23E9",  # ;BLACK RIGHT-POINTING DOUBLE TRIANGLE;So;0;ON;;;;;N;;;;;
        "\u23EA",  # ;BLACK LEFT-POINTING DOUBLE TRIANGLE;So;0;ON;;;;;N;;;;;
        "\u23EB",  # ;BLACK UP-POINTING DOUBLE TRIANGLE;So;0;ON;;;;;N;;;;;
        "\u23EC",  # ;BLACK DOWN-POINTING DOUBLE TRIANGLE;So;0;ON;;;;;N;;;;;
        "\u23ED",  # ;BLACK RIGHT-POINTING DOUBLE TRIANGLE WITH VERTICAL BAR;So;0;ON;;;;;N;;;;;
        "\u23EE",  # ;BLACK LEFT-POINTING DOUBLE TRIANGLE WITH VERTICAL BAR;So;0;ON;;;;;N;;;;;
        "\u23EF",  # ;BLACK RIGHT-POINTING TRIANGLE WITH DOUBLE VERTICAL BAR;So;0;ON;;;;;N;;;;;
        "\u23F0",  # ;ALARM CLOCK;So;0;ON;;;;;N;;;;;
        "\u23F1",  # ;STOPWATCH;So;0;ON;;;;;N;;;;;
        "\u23F2",  # ;TIMER CLOCK;So;0;ON;;;;;N;;;;;
        "\u23F3",  # ;HOURGLASS WITH FLOWING SAND;So;0;ON;;;;;N;;;;;
        "\u23F4",  # ;BLACK MEDIUM LEFT-POINTING TRIANGLE;So;0;ON;;;;;N;;;;;
        "\u23F5",  # ;BLACK MEDIUM RIGHT-POINTING TRIANGLE;So;0;ON;;;;;N;;;;;
        "\u23F6",  # ;BLACK MEDIUM UP-POINTING TRIANGLE;So;0;ON;;;;;N;;;;;
        "\u23F7",  # ;BLACK MEDIUM DOWN-POINTING TRIANGLE;So;0;ON;;;;;N;;;;;
        "\u23F8",  # ;DOUBLE VERTICAL BAR;So;0;ON;;;;;N;;;;;
        "\u23F9",  # ;BLACK SQUARE FOR STOP;So;0;ON;;;;;N;;;;;
        "\u23FA",  # ;BLACK CIRCLE FOR RECORD;So;0;ON;;;;;N;;;;;
        "\u23FB",  # ;POWER SYMBOL;So;0;ON;;;;;N;;;;;
        "\u23FC",  # ;POWER ON-OFF SYMBOL;So;0;ON;;;;;N;;;;;
        "\u23FD",  # ;POWER ON SYMBOL;So;0;ON;;;;;N;;;;;
        "\u23FE",  # ;POWER SLEEP SYMBOL;So;0;ON;;;;;N;;;;;
        "\u23FF",  # ;OBSERVER EYE SYMBOL;So;0;ON;;;;;N;;;;;
        "\u2400",  # ;SYMBOL FOR NULL;So;0;ON;;;;;N;GRAPHIC FOR NULL;;;;
        "\u2401",  # ;SYMBOL FOR START OF HEADING;So;0;ON;;;;;N;GRAPHIC FOR START OF HEADING;;;;
        "\u2402",  # ;SYMBOL FOR START OF TEXT;So;0;ON;;;;;N;GRAPHIC FOR START OF TEXT;;;;
        "\u2403",  # ;SYMBOL FOR END OF TEXT;So;0;ON;;;;;N;GRAPHIC FOR END OF TEXT;;;;
        "\u2404",  # ;SYMBOL FOR END OF TRANSMISSION;So;0;ON;;;;;N;GRAPHIC FOR END OF TRANSMISSION;;;;
        "\u2405",  # ;SYMBOL FOR ENQUIRY;So;0;ON;;;;;N;GRAPHIC FOR ENQUIRY;;;;
        "\u2406",  # ;SYMBOL FOR ACKNOWLEDGE;So;0;ON;;;;;N;GRAPHIC FOR ACKNOWLEDGE;;;;
        "\u2407",  # ;SYMBOL FOR BELL;So;0;ON;;;;;N;GRAPHIC FOR BELL;;;;
        "\u2408",  # ;SYMBOL FOR BACKSPACE;So;0;ON;;;;;N;GRAPHIC FOR BACKSPACE;;;;
        "\u2409",  # ;SYMBOL FOR HORIZONTAL TABULATION;So;0;ON;;;;;N;GRAPHIC FOR HORIZONTAL TABULATION;;;;
        "\u240A",  # ;SYMBOL FOR LINE FEED;So;0;ON;;;;;N;GRAPHIC FOR LINE FEED;;;;
        "\u240B",  # ;SYMBOL FOR VERTICAL TABULATION;So;0;ON;;;;;N;GRAPHIC FOR VERTICAL TABULATION;;;;
        "\u240C",  # ;SYMBOL FOR FORM FEED;So;0;ON;;;;;N;GRAPHIC FOR FORM FEED;;;;
        "\u240D",  # ;SYMBOL FOR CARRIAGE RETURN;So;0;ON;;;;;N;GRAPHIC FOR CARRIAGE RETURN;;;;
        "\u240E",  # ;SYMBOL FOR SHIFT OUT;So;0;ON;;;;;N;GRAPHIC FOR SHIFT OUT;;;;
        "\u240F",  # ;SYMBOL FOR SHIFT IN;So;0;ON;;;;;N;GRAPHIC FOR SHIFT IN;;;;
        "\u2410",  # ;SYMBOL FOR DATA LINK ESCAPE;So;0;ON;;;;;N;GRAPHIC FOR DATA LINK ESCAPE;;;;
        "\u2411",  # ;SYMBOL FOR DEVICE CONTROL ONE;So;0;ON;;;;;N;GRAPHIC FOR DEVICE CONTROL ONE;;;;
        "\u2412",  # ;SYMBOL FOR DEVICE CONTROL TWO;So;0;ON;;;;;N;GRAPHIC FOR DEVICE CONTROL TWO;;;;
        "\u2413",  # ;SYMBOL FOR DEVICE CONTROL THREE;So;0;ON;;;;;N;GRAPHIC FOR DEVICE CONTROL THREE;;;;
        "\u2414",  # ;SYMBOL FOR DEVICE CONTROL FOUR;So;0;ON;;;;;N;GRAPHIC FOR DEVICE CONTROL FOUR;;;;
        "\u2415",  # ;SYMBOL FOR NEGATIVE ACKNOWLEDGE;So;0;ON;;;;;N;GRAPHIC FOR NEGATIVE ACKNOWLEDGE;;;;
        "\u2416",  # ;SYMBOL FOR SYNCHRONOUS IDLE;So;0;ON;;;;;N;GRAPHIC FOR SYNCHRONOUS IDLE;;;;
        "\u2417",  # ;SYMBOL FOR END OF TRANSMISSION BLOCK;So;0;ON;;;;;N;GRAPHIC FOR END OF TRANSMISSION BLOCK;;;;
        "\u2418",  # ;SYMBOL FOR CANCEL;So;0;ON;;;;;N;GRAPHIC FOR CANCEL;;;;
        "\u2419",  # ;SYMBOL FOR END OF MEDIUM;So;0;ON;;;;;N;GRAPHIC FOR END OF MEDIUM;;;;
        "\u241A",  # ;SYMBOL FOR SUBSTITUTE;So;0;ON;;;;;N;GRAPHIC FOR SUBSTITUTE;;;;
        "\u241B",  # ;SYMBOL FOR ESCAPE;So;0;ON;;;;;N;GRAPHIC FOR ESCAPE;;;;
        "\u241C",  # ;SYMBOL FOR FILE SEPARATOR;So;0;ON;;;;;N;GRAPHIC FOR FILE SEPARATOR;;;;
        "\u241D",  # ;SYMBOL FOR GROUP SEPARATOR;So;0;ON;;;;;N;GRAPHIC FOR GROUP SEPARATOR;;;;
        "\u241E",  # ;SYMBOL FOR RECORD SEPARATOR;So;0;ON;;;;;N;GRAPHIC FOR RECORD SEPARATOR;;;;
        "\u241F",  # ;SYMBOL FOR UNIT SEPARATOR;So;0;ON;;;;;N;GRAPHIC FOR UNIT SEPARATOR;;;;
        "\u2420",  # ;SYMBOL FOR SPACE;So;0;ON;;;;;N;GRAPHIC FOR SPACE;;;;
        "\u2421",  # ;SYMBOL FOR DELETE;So;0;ON;;;;;N;GRAPHIC FOR DELETE;;;;
        "\u2422",  # ;BLANK SYMBOL;So;0;ON;;;;;N;BLANK;;;;
        "\u2423",  # ;OPEN BOX;So;0;ON;;;;;N;;;;;
        "\u2424",  # ;SYMBOL FOR NEWLINE;So;0;ON;;;;;N;GRAPHIC FOR NEWLINE;;;;
        "\u2425",  # ;SYMBOL FOR DELETE FORM TWO;So;0;ON;;;;;N;;;;;
        "\u2426",  # ;SYMBOL FOR SUBSTITUTE FORM TWO;So;0;ON;;;;;N;;;;;
        "\u2440",  # ;OCR HOOK;So;0;ON;;;;;N;;;;;
        "\u2441",  # ;OCR CHAIR;So;0;ON;;;;;N;;;;;
        "\u2442",  # ;OCR FORK;So;0;ON;;;;;N;;;;;
        "\u2443",  # ;OCR INVERTED FORK;So;0;ON;;;;;N;;;;;
        "\u2444",  # ;OCR BELT BUCKLE;So;0;ON;;;;;N;;;;;
        "\u2445",  # ;OCR BOW TIE;So;0;ON;;;;;N;;;;;
        "\u2446",  # ;OCR BRANCH BANK IDENTIFICATION;So;0;ON;;;;;N;;;;;
        "\u2447",  # ;OCR AMOUNT OF CHECK;So;0;ON;;;;;N;;;;;
        "\u2448",  # ;OCR DASH;So;0;ON;;;;;N;;;;;
        "\u2449",  # ;OCR CUSTOMER ACCOUNT NUMBER;So;0;ON;;;;;N;;;;;
        "\u244A",  # ;OCR DOUBLE BACKSLASH;So;0;ON;;;;;N;;;;;
        "\u2460",  # ;CIRCLED DIGIT ONE;No;0;ON;<circle> 0031;;1;1;N;;;;;
        "\u2461",  # ;CIRCLED DIGIT TWO;No;0;ON;<circle> 0032;;2;2;N;;;;;
        "\u2462",  # ;CIRCLED DIGIT THREE;No;0;ON;<circle> 0033;;3;3;N;;;;;
        "\u2463",  # ;CIRCLED DIGIT FOUR;No;0;ON;<circle> 0034;;4;4;N;;;;;
        "\u2464",  # ;CIRCLED DIGIT FIVE;No;0;ON;<circle> 0035;;5;5;N;;;;;
        "\u2465",  # ;CIRCLED DIGIT SIX;No;0;ON;<circle> 0036;;6;6;N;;;;;
        "\u2466",  # ;CIRCLED DIGIT SEVEN;No;0;ON;<circle> 0037;;7;7;N;;;;;
        "\u2467",  # ;CIRCLED DIGIT EIGHT;No;0;ON;<circle> 0038;;8;8;N;;;;;
        "\u2468",  # ;CIRCLED DIGIT NINE;No;0;ON;<circle> 0039;;9;9;N;;;;;
        "\u2469",  # ;CIRCLED NUMBER TEN;No;0;ON;<circle> 0031 0030;;;10;N;;;;;
        "\u246A",  # ;CIRCLED NUMBER ELEVEN;No;0;ON;<circle> 0031 0031;;;11;N;;;;;
        "\u246B",  # ;CIRCLED NUMBER TWELVE;No;0;ON;<circle> 0031 0032;;;12;N;;;;;
        "\u246C",  # ;CIRCLED NUMBER THIRTEEN;No;0;ON;<circle> 0031 0033;;;13;N;;;;;
        "\u246D",  # ;CIRCLED NUMBER FOURTEEN;No;0;ON;<circle> 0031 0034;;;14;N;;;;;
        "\u246E",  # ;CIRCLED NUMBER FIFTEEN;No;0;ON;<circle> 0031 0035;;;15;N;;;;;
        "\u246F",  # ;CIRCLED NUMBER SIXTEEN;No;0;ON;<circle> 0031 0036;;;16;N;;;;;
        "\u2470",  # ;CIRCLED NUMBER SEVENTEEN;No;0;ON;<circle> 0031 0037;;;17;N;;;;;
        "\u2471",  # ;CIRCLED NUMBER EIGHTEEN;No;0;ON;<circle> 0031 0038;;;18;N;;;;;
        "\u2472",  # ;CIRCLED NUMBER NINETEEN;No;0;ON;<circle> 0031 0039;;;19;N;;;;;
        "\u2473",  # ;CIRCLED NUMBER TWENTY;No;0;ON;<circle> 0032 0030;;;20;N;;;;;
        "\u2474",  # ;PARENTHESIZED DIGIT ONE;No;0;ON;<compat> 0028 0031 0029;;1;1;N;;;;;
        "\u2475",  # ;PARENTHESIZED DIGIT TWO;No;0;ON;<compat> 0028 0032 0029;;2;2;N;;;;;
        "\u2476",  # ;PARENTHESIZED DIGIT THREE;No;0;ON;<compat> 0028 0033 0029;;3;3;N;;;;;
        "\u2477",  # ;PARENTHESIZED DIGIT FOUR;No;0;ON;<compat> 0028 0034 0029;;4;4;N;;;;;
        "\u2478",  # ;PARENTHESIZED DIGIT FIVE;No;0;ON;<compat> 0028 0035 0029;;5;5;N;;;;;
        "\u2479",  # ;PARENTHESIZED DIGIT SIX;No;0;ON;<compat> 0028 0036 0029;;6;6;N;;;;;
        "\u247A",  # ;PARENTHESIZED DIGIT SEVEN;No;0;ON;<compat> 0028 0037 0029;;7;7;N;;;;;
        "\u247B",  # ;PARENTHESIZED DIGIT EIGHT;No;0;ON;<compat> 0028 0038 0029;;8;8;N;;;;;
        "\u247C",  # ;PARENTHESIZED DIGIT NINE;No;0;ON;<compat> 0028 0039 0029;;9;9;N;;;;;
        "\u247D",  # ;PARENTHESIZED NUMBER TEN;No;0;ON;<compat> 0028 0031 0030 0029;;;10;N;;;;;
        "\u247E",  # ;PARENTHESIZED NUMBER ELEVEN;No;0;ON;<compat> 0028 0031 0031 0029;;;11;N;;;;;
        "\u247F",  # ;PARENTHESIZED NUMBER TWELVE;No;0;ON;<compat> 0028 0031 0032 0029;;;12;N;;;;;
        "\u2480",  # ;PARENTHESIZED NUMBER THIRTEEN;No;0;ON;<compat> 0028 0031 0033 0029;;;13;N;;;;;
        "\u2481",  # ;PARENTHESIZED NUMBER FOURTEEN;No;0;ON;<compat> 0028 0031 0034 0029;;;14;N;;;;;
        "\u2482",  # ;PARENTHESIZED NUMBER FIFTEEN;No;0;ON;<compat> 0028 0031 0035 0029;;;15;N;;;;;
        "\u2483",  # ;PARENTHESIZED NUMBER SIXTEEN;No;0;ON;<compat> 0028 0031 0036 0029;;;16;N;;;;;
        "\u2484",  # ;PARENTHESIZED NUMBER SEVENTEEN;No;0;ON;<compat> 0028 0031 0037 0029;;;17;N;;;;;
        "\u2485",  # ;PARENTHESIZED NUMBER EIGHTEEN;No;0;ON;<compat> 0028 0031 0038 0029;;;18;N;;;;;
        "\u2486",  # ;PARENTHESIZED NUMBER NINETEEN;No;0;ON;<compat> 0028 0031 0039 0029;;;19;N;;;;;
        "\u2487",  # ;PARENTHESIZED NUMBER TWENTY;No;0;ON;<compat> 0028 0032 0030 0029;;;20;N;;;;;
        "\u2488",  # ;DIGIT ONE FULL STOP;No;0;EN;<compat> 0031 002E;;1;1;N;DIGIT ONE PERIOD;;;;
        "\u2489",  # ;DIGIT TWO FULL STOP;No;0;EN;<compat> 0032 002E;;2;2;N;DIGIT TWO PERIOD;;;;
        "\u248A",  # ;DIGIT THREE FULL STOP;No;0;EN;<compat> 0033 002E;;3;3;N;DIGIT THREE PERIOD;;;;
        "\u248B",  # ;DIGIT FOUR FULL STOP;No;0;EN;<compat> 0034 002E;;4;4;N;DIGIT FOUR PERIOD;;;;
        "\u248C",  # ;DIGIT FIVE FULL STOP;No;0;EN;<compat> 0035 002E;;5;5;N;DIGIT FIVE PERIOD;;;;
        "\u248D",  # ;DIGIT SIX FULL STOP;No;0;EN;<compat> 0036 002E;;6;6;N;DIGIT SIX PERIOD;;;;
        "\u248E",  # ;DIGIT SEVEN FULL STOP;No;0;EN;<compat> 0037 002E;;7;7;N;DIGIT SEVEN PERIOD;;;;
        "\u248F",  # ;DIGIT EIGHT FULL STOP;No;0;EN;<compat> 0038 002E;;8;8;N;DIGIT EIGHT PERIOD;;;;
        "\u2490",  # ;DIGIT NINE FULL STOP;No;0;EN;<compat> 0039 002E;;9;9;N;DIGIT NINE PERIOD;;;;
        "\u2491",  # ;NUMBER TEN FULL STOP;No;0;EN;<compat> 0031 0030 002E;;;10;N;NUMBER TEN PERIOD;;;;
        "\u2492",  # ;NUMBER ELEVEN FULL STOP;No;0;EN;<compat> 0031 0031 002E;;;11;N;NUMBER ELEVEN PERIOD;;;;
        "\u2493",  # ;NUMBER TWELVE FULL STOP;No;0;EN;<compat> 0031 0032 002E;;;12;N;NUMBER TWELVE PERIOD;;;;
        "\u2494",  # ;NUMBER THIRTEEN FULL STOP;No;0;EN;<compat> 0031 0033 002E;;;13;N;NUMBER THIRTEEN PERIOD;;;;
        "\u2495",  # ;NUMBER FOURTEEN FULL STOP;No;0;EN;<compat> 0031 0034 002E;;;14;N;NUMBER FOURTEEN PERIOD;;;;
        "\u2496",  # ;NUMBER FIFTEEN FULL STOP;No;0;EN;<compat> 0031 0035 002E;;;15;N;NUMBER FIFTEEN PERIOD;;;;
        "\u2497",  # ;NUMBER SIXTEEN FULL STOP;No;0;EN;<compat> 0031 0036 002E;;;16;N;NUMBER SIXTEEN PERIOD;;;;
        "\u2498",  # ;NUMBER SEVENTEEN FULL STOP;No;0;EN;<compat> 0031 0037 002E;;;17;N;NUMBER SEVENTEEN PERIOD;;;;
        "\u2499",  # ;NUMBER EIGHTEEN FULL STOP;No;0;EN;<compat> 0031 0038 002E;;;18;N;NUMBER EIGHTEEN PERIOD;;;;
        "\u249A",  # ;NUMBER NINETEEN FULL STOP;No;0;EN;<compat> 0031 0039 002E;;;19;N;NUMBER NINETEEN PERIOD;;;;
        "\u249B",  # ;NUMBER TWENTY FULL STOP;No;0;EN;<compat> 0032 0030 002E;;;20;N;NUMBER TWENTY PERIOD;;;;
        "\u249C",  # ;PARENTHESIZED LATIN SMALL LETTER A;So;0;L;<compat> 0028 0061 0029;;;;N;;;;;
        "\u249D",  # ;PARENTHESIZED LATIN SMALL LETTER B;So;0;L;<compat> 0028 0062 0029;;;;N;;;;;
        "\u249E",  # ;PARENTHESIZED LATIN SMALL LETTER C;So;0;L;<compat> 0028 0063 0029;;;;N;;;;;
        "\u249F",  # ;PARENTHESIZED LATIN SMALL LETTER D;So;0;L;<compat> 0028 0064 0029;;;;N;;;;;
        "\u24A0",  # ;PARENTHESIZED LATIN SMALL LETTER E;So;0;L;<compat> 0028 0065 0029;;;;N;;;;;
        "\u24A1",  # ;PARENTHESIZED LATIN SMALL LETTER F;So;0;L;<compat> 0028 0066 0029;;;;N;;;;;
        "\u24A2",  # ;PARENTHESIZED LATIN SMALL LETTER G;So;0;L;<compat> 0028 0067 0029;;;;N;;;;;
        "\u24A3",  # ;PARENTHESIZED LATIN SMALL LETTER H;So;0;L;<compat> 0028 0068 0029;;;;N;;;;;
        "\u24A4",  # ;PARENTHESIZED LATIN SMALL LETTER I;So;0;L;<compat> 0028 0069 0029;;;;N;;;;;
        "\u24A5",  # ;PARENTHESIZED LATIN SMALL LETTER J;So;0;L;<compat> 0028 006A 0029;;;;N;;;;;
        "\u24A6",  # ;PARENTHESIZED LATIN SMALL LETTER K;So;0;L;<compat> 0028 006B 0029;;;;N;;;;;
        "\u24A7",  # ;PARENTHESIZED LATIN SMALL LETTER L;So;0;L;<compat> 0028 006C 0029;;;;N;;;;;
        "\u24A8",  # ;PARENTHESIZED LATIN SMALL LETTER M;So;0;L;<compat> 0028 006D 0029;;;;N;;;;;
        "\u24A9",  # ;PARENTHESIZED LATIN SMALL LETTER N;So;0;L;<compat> 0028 006E 0029;;;;N;;;;;
        "\u24AA",  # ;PARENTHESIZED LATIN SMALL LETTER O;So;0;L;<compat> 0028 006F 0029;;;;N;;;;;
        "\u24AB",  # ;PARENTHESIZED LATIN SMALL LETTER P;So;0;L;<compat> 0028 0070 0029;;;;N;;;;;
        "\u24AC",  # ;PARENTHESIZED LATIN SMALL LETTER Q;So;0;L;<compat> 0028 0071 0029;;;;N;;;;;
        "\u24AD",  # ;PARENTHESIZED LATIN SMALL LETTER R;So;0;L;<compat> 0028 0072 0029;;;;N;;;;;
        "\u24AE",  # ;PARENTHESIZED LATIN SMALL LETTER S;So;0;L;<compat> 0028 0073 0029;;;;N;;;;;
        "\u24AF",  # ;PARENTHESIZED LATIN SMALL LETTER T;So;0;L;<compat> 0028 0074 0029;;;;N;;;;;
        "\u24B0",  # ;PARENTHESIZED LATIN SMALL LETTER U;So;0;L;<compat> 0028 0075 0029;;;;N;;;;;
        "\u24B1",  # ;PARENTHESIZED LATIN SMALL LETTER V;So;0;L;<compat> 0028 0076 0029;;;;N;;;;;
        "\u24B2",  # ;PARENTHESIZED LATIN SMALL LETTER W;So;0;L;<compat> 0028 0077 0029;;;;N;;;;;
        "\u24B3",  # ;PARENTHESIZED LATIN SMALL LETTER X;So;0;L;<compat> 0028 0078 0029;;;;N;;;;;
        "\u24B4",  # ;PARENTHESIZED LATIN SMALL LETTER Y;So;0;L;<compat> 0028 0079 0029;;;;N;;;;;
        "\u24B5",  # ;PARENTHESIZED LATIN SMALL LETTER Z;So;0;L;<compat> 0028 007A 0029;;;;N;;;;;
        "\u24B6",  # ;CIRCLED LATIN CAPITAL LETTER A;So;0;L;<circle> 0041;;;;N;;;;24D0;
        "\u24B7",  # ;CIRCLED LATIN CAPITAL LETTER B;So;0;L;<circle> 0042;;;;N;;;;24D1;
        "\u24B8",  # ;CIRCLED LATIN CAPITAL LETTER C;So;0;L;<circle> 0043;;;;N;;;;24D2;
        "\u24B9",  # ;CIRCLED LATIN CAPITAL LETTER D;So;0;L;<circle> 0044;;;;N;;;;24D3;
        "\u24BA",  # ;CIRCLED LATIN CAPITAL LETTER E;So;0;L;<circle> 0045;;;;N;;;;24D4;
        "\u24BB",  # ;CIRCLED LATIN CAPITAL LETTER F;So;0;L;<circle> 0046;;;;N;;;;24D5;
        "\u24BC",  # ;CIRCLED LATIN CAPITAL LETTER G;So;0;L;<circle> 0047;;;;N;;;;24D6;
        "\u24BD",  # ;CIRCLED LATIN CAPITAL LETTER H;So;0;L;<circle> 0048;;;;N;;;;24D7;
        "\u24BE",  # ;CIRCLED LATIN CAPITAL LETTER I;So;0;L;<circle> 0049;;;;N;;;;24D8;
        "\u24BF",  # ;CIRCLED LATIN CAPITAL LETTER J;So;0;L;<circle> 004A;;;;N;;;;24D9;
        "\u24C0",  # ;CIRCLED LATIN CAPITAL LETTER K;So;0;L;<circle> 004B;;;;N;;;;24DA;
        "\u24C1",  # ;CIRCLED LATIN CAPITAL LETTER L;So;0;L;<circle> 004C;;;;N;;;;24DB;
        "\u24C2",  # ;CIRCLED LATIN CAPITAL LETTER M;So;0;L;<circle> 004D;;;;N;;;;24DC;
        "\u24C3",  # ;CIRCLED LATIN CAPITAL LETTER N;So;0;L;<circle> 004E;;;;N;;;;24DD;
        "\u24C4",  # ;CIRCLED LATIN CAPITAL LETTER O;So;0;L;<circle> 004F;;;;N;;;;24DE;
        "\u24C5",  # ;CIRCLED LATIN CAPITAL LETTER P;So;0;L;<circle> 0050;;;;N;;;;24DF;
        "\u24C6",  # ;CIRCLED LATIN CAPITAL LETTER Q;So;0;L;<circle> 0051;;;;N;;;;24E0;
        "\u24C7",  # ;CIRCLED LATIN CAPITAL LETTER R;So;0;L;<circle> 0052;;;;N;;;;24E1;
        "\u24C8",  # ;CIRCLED LATIN CAPITAL LETTER S;So;0;L;<circle> 0053;;;;N;;;;24E2;
        "\u24C9",  # ;CIRCLED LATIN CAPITAL LETTER T;So;0;L;<circle> 0054;;;;N;;;;24E3;
        "\u24CA",  # ;CIRCLED LATIN CAPITAL LETTER U;So;0;L;<circle> 0055;;;;N;;;;24E4;
        "\u24CB",  # ;CIRCLED LATIN CAPITAL LETTER V;So;0;L;<circle> 0056;;;;N;;;;24E5;
        "\u24CC",  # ;CIRCLED LATIN CAPITAL LETTER W;So;0;L;<circle> 0057;;;;N;;;;24E6;
        "\u24CD",  # ;CIRCLED LATIN CAPITAL LETTER X;So;0;L;<circle> 0058;;;;N;;;;24E7;
        "\u24CE",  # ;CIRCLED LATIN CAPITAL LETTER Y;So;0;L;<circle> 0059;;;;N;;;;24E8;
        "\u24CF",  # ;CIRCLED LATIN CAPITAL LETTER Z;So;0;L;<circle> 005A;;;;N;;;;24E9;
        "\u24D0",  # ;CIRCLED LATIN SMALL LETTER A;So;0;L;<circle> 0061;;;;N;;;24B6;;24B6
        "\u24D1",  # ;CIRCLED LATIN SMALL LETTER B;So;0;L;<circle> 0062;;;;N;;;24B7;;24B7
        "\u24D2",  # ;CIRCLED LATIN SMALL LETTER C;So;0;L;<circle> 0063;;;;N;;;24B8;;24B8
        "\u24D3",  # ;CIRCLED LATIN SMALL LETTER D;So;0;L;<circle> 0064;;;;N;;;24B9;;24B9
        "\u24D4",  # ;CIRCLED LATIN SMALL LETTER E;So;0;L;<circle> 0065;;;;N;;;24BA;;24BA
        "\u24D5",  # ;CIRCLED LATIN SMALL LETTER F;So;0;L;<circle> 0066;;;;N;;;24BB;;24BB
        "\u24D6",  # ;CIRCLED LATIN SMALL LETTER G;So;0;L;<circle> 0067;;;;N;;;24BC;;24BC
        "\u24D7",  # ;CIRCLED LATIN SMALL LETTER H;So;0;L;<circle> 0068;;;;N;;;24BD;;24BD
        "\u24D8",  # ;CIRCLED LATIN SMALL LETTER I;So;0;L;<circle> 0069;;;;N;;;24BE;;24BE
        "\u24D9",  # ;CIRCLED LATIN SMALL LETTER J;So;0;L;<circle> 006A;;;;N;;;24BF;;24BF
        "\u24DA",  # ;CIRCLED LATIN SMALL LETTER K;So;0;L;<circle> 006B;;;;N;;;24C0;;24C0
        "\u24DB",  # ;CIRCLED LATIN SMALL LETTER L;So;0;L;<circle> 006C;;;;N;;;24C1;;24C1
        "\u24DC",  # ;CIRCLED LATIN SMALL LETTER M;So;0;L;<circle> 006D;;;;N;;;24C2;;24C2
        "\u24DD",  # ;CIRCLED LATIN SMALL LETTER N;So;0;L;<circle> 006E;;;;N;;;24C3;;24C3
        "\u24DE",  # ;CIRCLED LATIN SMALL LETTER O;So;0;L;<circle> 006F;;;;N;;;24C4;;24C4
        "\u24DF",  # ;CIRCLED LATIN SMALL LETTER P;So;0;L;<circle> 0070;;;;N;;;24C5;;24C5
        "\u24E0",  # ;CIRCLED LATIN SMALL LETTER Q;So;0;L;<circle> 0071;;;;N;;;24C6;;24C6
        "\u24E1",  # ;CIRCLED LATIN SMALL LETTER R;So;0;L;<circle> 0072;;;;N;;;24C7;;24C7
        "\u24E2",  # ;CIRCLED LATIN SMALL LETTER S;So;0;L;<circle> 0073;;;;N;;;24C8;;24C8
        "\u24E3",  # ;CIRCLED LATIN SMALL LETTER T;So;0;L;<circle> 0074;;;;N;;;24C9;;24C9
        "\u24E4",  # ;CIRCLED LATIN SMALL LETTER U;So;0;L;<circle> 0075;;;;N;;;24CA;;24CA
        "\u24E5",  # ;CIRCLED LATIN SMALL LETTER V;So;0;L;<circle> 0076;;;;N;;;24CB;;24CB
        "\u24E6",  # ;CIRCLED LATIN SMALL LETTER W;So;0;L;<circle> 0077;;;;N;;;24CC;;24CC
        "\u24E7",  # ;CIRCLED LATIN SMALL LETTER X;So;0;L;<circle> 0078;;;;N;;;24CD;;24CD
        "\u24E8",  # ;CIRCLED LATIN SMALL LETTER Y;So;0;L;<circle> 0079;;;;N;;;24CE;;24CE
        "\u24E9",  # ;CIRCLED LATIN SMALL LETTER Z;So;0;L;<circle> 007A;;;;N;;;24CF;;24CF
        "\u24EA",  # ;CIRCLED DIGIT ZERO;No;0;ON;<circle> 0030;;0;0;N;;;;;
        "\u24EB",  # ;NEGATIVE CIRCLED NUMBER ELEVEN;No;0;ON;;;;11;N;;;;;
        "\u24EC",  # ;NEGATIVE CIRCLED NUMBER TWELVE;No;0;ON;;;;12;N;;;;;
        "\u24ED",  # ;NEGATIVE CIRCLED NUMBER THIRTEEN;No;0;ON;;;;13;N;;;;;
        "\u24EE",  # ;NEGATIVE CIRCLED NUMBER FOURTEEN;No;0;ON;;;;14;N;;;;;
        "\u24EF",  # ;NEGATIVE CIRCLED NUMBER FIFTEEN;No;0;ON;;;;15;N;;;;;
        "\u24F0",  # ;NEGATIVE CIRCLED NUMBER SIXTEEN;No;0;ON;;;;16;N;;;;;
        "\u24F1",  # ;NEGATIVE CIRCLED NUMBER SEVENTEEN;No;0;ON;;;;17;N;;;;;
        "\u24F2",  # ;NEGATIVE CIRCLED NUMBER EIGHTEEN;No;0;ON;;;;18;N;;;;;
        "\u24F3",  # ;NEGATIVE CIRCLED NUMBER NINETEEN;No;0;ON;;;;19;N;;;;;
        "\u24F4",  # ;NEGATIVE CIRCLED NUMBER TWENTY;No;0;ON;;;;20;N;;;;;
        "\u24F5",  # ;DOUBLE CIRCLED DIGIT ONE;No;0;ON;;;1;1;N;;;;;
        "\u24F6",  # ;DOUBLE CIRCLED DIGIT TWO;No;0;ON;;;2;2;N;;;;;
        "\u24F7",  # ;DOUBLE CIRCLED DIGIT THREE;No;0;ON;;;3;3;N;;;;;
        "\u24F8",  # ;DOUBLE CIRCLED DIGIT FOUR;No;0;ON;;;4;4;N;;;;;
        "\u24F9",  # ;DOUBLE CIRCLED DIGIT FIVE;No;0;ON;;;5;5;N;;;;;
        "\u24FA",  # ;DOUBLE CIRCLED DIGIT SIX;No;0;ON;;;6;6;N;;;;;
        "\u24FB",  # ;DOUBLE CIRCLED DIGIT SEVEN;No;0;ON;;;7;7;N;;;;;
        "\u24FC",  # ;DOUBLE CIRCLED DIGIT EIGHT;No;0;ON;;;8;8;N;;;;;
        "\u24FD",  # ;DOUBLE CIRCLED DIGIT NINE;No;0;ON;;;9;9;N;;;;;
        "\u24FE",  # ;DOUBLE CIRCLED NUMBER TEN;No;0;ON;;;;10;N;;;;;
        "\u24FF",  # ;NEGATIVE CIRCLED DIGIT ZERO;No;0;ON;;;0;0;N;;;;;
        "\u2500",  # ;BOX DRAWINGS LIGHT HORIZONTAL;So;0;ON;;;;;N;FORMS LIGHT HORIZONTAL;;;;
        "\u2501",  # ;BOX DRAWINGS HEAVY HORIZONTAL;So;0;ON;;;;;N;FORMS HEAVY HORIZONTAL;;;;
        "\u2502",  # ;BOX DRAWINGS LIGHT VERTICAL;So;0;ON;;;;;N;FORMS LIGHT VERTICAL;;;;
        "\u2503",  # ;BOX DRAWINGS HEAVY VERTICAL;So;0;ON;;;;;N;FORMS HEAVY VERTICAL;;;;
        "\u2504",  # ;BOX DRAWINGS LIGHT TRIPLE DASH HORIZONTAL;So;0;ON;;;;;N;FORMS LIGHT TRIPLE DASH HORIZONTAL;;;;
        "\u2505",  # ;BOX DRAWINGS HEAVY TRIPLE DASH HORIZONTAL;So;0;ON;;;;;N;FORMS HEAVY TRIPLE DASH HORIZONTAL;;;;
        "\u2506",  # ;BOX DRAWINGS LIGHT TRIPLE DASH VERTICAL;So;0;ON;;;;;N;FORMS LIGHT TRIPLE DASH VERTICAL;;;;
        "\u2507",  # ;BOX DRAWINGS HEAVY TRIPLE DASH VERTICAL;So;0;ON;;;;;N;FORMS HEAVY TRIPLE DASH VERTICAL;;;;
        "\u2508",  # ;BOX DRAWINGS LIGHT QUADRUPLE DASH HORIZONTAL;So;0;ON;;;;;N;FORMS LIGHT QUADRUPLE DASH HORIZONTAL;;;;
        "\u2509",  # ;BOX DRAWINGS HEAVY QUADRUPLE DASH HORIZONTAL;So;0;ON;;;;;N;FORMS HEAVY QUADRUPLE DASH HORIZONTAL;;;;
        "\u250A",  # ;BOX DRAWINGS LIGHT QUADRUPLE DASH VERTICAL;So;0;ON;;;;;N;FORMS LIGHT QUADRUPLE DASH VERTICAL;;;;
        "\u250B",  # ;BOX DRAWINGS HEAVY QUADRUPLE DASH VERTICAL;So;0;ON;;;;;N;FORMS HEAVY QUADRUPLE DASH VERTICAL;;;;
        "\u250C",  # ;BOX DRAWINGS LIGHT DOWN AND RIGHT;So;0;ON;;;;;N;FORMS LIGHT DOWN AND RIGHT;;;;
        "\u250D",  # ;BOX DRAWINGS DOWN LIGHT AND RIGHT HEAVY;So;0;ON;;;;;N;FORMS DOWN LIGHT AND RIGHT HEAVY;;;;
        "\u250E",  # ;BOX DRAWINGS DOWN HEAVY AND RIGHT LIGHT;So;0;ON;;;;;N;FORMS DOWN HEAVY AND RIGHT LIGHT;;;;
        "\u250F",  # ;BOX DRAWINGS HEAVY DOWN AND RIGHT;So;0;ON;;;;;N;FORMS HEAVY DOWN AND RIGHT;;;;
        "\u2510",  # ;BOX DRAWINGS LIGHT DOWN AND LEFT;So;0;ON;;;;;N;FORMS LIGHT DOWN AND LEFT;;;;
        "\u2511",  # ;BOX DRAWINGS DOWN LIGHT AND LEFT HEAVY;So;0;ON;;;;;N;FORMS DOWN LIGHT AND LEFT HEAVY;;;;
        "\u2512",  # ;BOX DRAWINGS DOWN HEAVY AND LEFT LIGHT;So;0;ON;;;;;N;FORMS DOWN HEAVY AND LEFT LIGHT;;;;
        "\u2513",  # ;BOX DRAWINGS HEAVY DOWN AND LEFT;So;0;ON;;;;;N;FORMS HEAVY DOWN AND LEFT;;;;
        "\u2514",  # ;BOX DRAWINGS LIGHT UP AND RIGHT;So;0;ON;;;;;N;FORMS LIGHT UP AND RIGHT;;;;
        "\u2515",  # ;BOX DRAWINGS UP LIGHT AND RIGHT HEAVY;So;0;ON;;;;;N;FORMS UP LIGHT AND RIGHT HEAVY;;;;
        "\u2516",  # ;BOX DRAWINGS UP HEAVY AND RIGHT LIGHT;So;0;ON;;;;;N;FORMS UP HEAVY AND RIGHT LIGHT;;;;
        "\u2517",  # ;BOX DRAWINGS HEAVY UP AND RIGHT;So;0;ON;;;;;N;FORMS HEAVY UP AND RIGHT;;;;
        "\u2518",  # ;BOX DRAWINGS LIGHT UP AND LEFT;So;0;ON;;;;;N;FORMS LIGHT UP AND LEFT;;;;
        "\u2519",  # ;BOX DRAWINGS UP LIGHT AND LEFT HEAVY;So;0;ON;;;;;N;FORMS UP LIGHT AND LEFT HEAVY;;;;
        "\u251A",  # ;BOX DRAWINGS UP HEAVY AND LEFT LIGHT;So;0;ON;;;;;N;FORMS UP HEAVY AND LEFT LIGHT;;;;
        "\u251B",  # ;BOX DRAWINGS HEAVY UP AND LEFT;So;0;ON;;;;;N;FORMS HEAVY UP AND LEFT;;;;
        "\u251C",  # ;BOX DRAWINGS LIGHT VERTICAL AND RIGHT;So;0;ON;;;;;N;FORMS LIGHT VERTICAL AND RIGHT;;;;
        "\u251D",  # ;BOX DRAWINGS VERTICAL LIGHT AND RIGHT HEAVY;So;0;ON;;;;;N;FORMS VERTICAL LIGHT AND RIGHT HEAVY;;;;
        "\u251E",  # ;BOX DRAWINGS UP HEAVY AND RIGHT DOWN LIGHT;So;0;ON;;;;;N;FORMS UP HEAVY AND RIGHT DOWN LIGHT;;;;
        "\u251F",  # ;BOX DRAWINGS DOWN HEAVY AND RIGHT UP LIGHT;So;0;ON;;;;;N;FORMS DOWN HEAVY AND RIGHT UP LIGHT;;;;
        "\u2520",  # ;BOX DRAWINGS VERTICAL HEAVY AND RIGHT LIGHT;So;0;ON;;;;;N;FORMS VERTICAL HEAVY AND RIGHT LIGHT;;;;
        "\u2521",  # ;BOX DRAWINGS DOWN LIGHT AND RIGHT UP HEAVY;So;0;ON;;;;;N;FORMS DOWN LIGHT AND RIGHT UP HEAVY;;;;
        "\u2522",  # ;BOX DRAWINGS UP LIGHT AND RIGHT DOWN HEAVY;So;0;ON;;;;;N;FORMS UP LIGHT AND RIGHT DOWN HEAVY;;;;
        "\u2523",  # ;BOX DRAWINGS HEAVY VERTICAL AND RIGHT;So;0;ON;;;;;N;FORMS HEAVY VERTICAL AND RIGHT;;;;
        "\u2524",  # ;BOX DRAWINGS LIGHT VERTICAL AND LEFT;So;0;ON;;;;;N;FORMS LIGHT VERTICAL AND LEFT;;;;
        "\u2525",  # ;BOX DRAWINGS VERTICAL LIGHT AND LEFT HEAVY;So;0;ON;;;;;N;FORMS VERTICAL LIGHT AND LEFT HEAVY;;;;
        "\u2526",  # ;BOX DRAWINGS UP HEAVY AND LEFT DOWN LIGHT;So;0;ON;;;;;N;FORMS UP HEAVY AND LEFT DOWN LIGHT;;;;
        "\u2527",  # ;BOX DRAWINGS DOWN HEAVY AND LEFT UP LIGHT;So;0;ON;;;;;N;FORMS DOWN HEAVY AND LEFT UP LIGHT;;;;
        "\u2528",  # ;BOX DRAWINGS VERTICAL HEAVY AND LEFT LIGHT;So;0;ON;;;;;N;FORMS VERTICAL HEAVY AND LEFT LIGHT;;;;
        "\u2529",  # ;BOX DRAWINGS DOWN LIGHT AND LEFT UP HEAVY;So;0;ON;;;;;N;FORMS DOWN LIGHT AND LEFT UP HEAVY;;;;
        "\u252A",  # ;BOX DRAWINGS UP LIGHT AND LEFT DOWN HEAVY;So;0;ON;;;;;N;FORMS UP LIGHT AND LEFT DOWN HEAVY;;;;
        "\u252B",  # ;BOX DRAWINGS HEAVY VERTICAL AND LEFT;So;0;ON;;;;;N;FORMS HEAVY VERTICAL AND LEFT;;;;
        "\u252C",  # ;BOX DRAWINGS LIGHT DOWN AND HORIZONTAL;So;0;ON;;;;;N;FORMS LIGHT DOWN AND HORIZONTAL;;;;
        "\u252D",  # ;BOX DRAWINGS LEFT HEAVY AND RIGHT DOWN LIGHT;So;0;ON;;;;;N;FORMS LEFT HEAVY AND RIGHT DOWN LIGHT;;;;
        "\u252E",  # ;BOX DRAWINGS RIGHT HEAVY AND LEFT DOWN LIGHT;So;0;ON;;;;;N;FORMS RIGHT HEAVY AND LEFT DOWN LIGHT;;;;
        "\u252F",  # ;BOX DRAWINGS DOWN LIGHT AND HORIZONTAL HEAVY;So;0;ON;;;;;N;FORMS DOWN LIGHT AND HORIZONTAL HEAVY;;;;
        "\u2530",  # ;BOX DRAWINGS DOWN HEAVY AND HORIZONTAL LIGHT;So;0;ON;;;;;N;FORMS DOWN HEAVY AND HORIZONTAL LIGHT;;;;
        "\u2531",  # ;BOX DRAWINGS RIGHT LIGHT AND LEFT DOWN HEAVY;So;0;ON;;;;;N;FORMS RIGHT LIGHT AND LEFT DOWN HEAVY;;;;
        "\u2532",  # ;BOX DRAWINGS LEFT LIGHT AND RIGHT DOWN HEAVY;So;0;ON;;;;;N;FORMS LEFT LIGHT AND RIGHT DOWN HEAVY;;;;
        "\u2533",  # ;BOX DRAWINGS HEAVY DOWN AND HORIZONTAL;So;0;ON;;;;;N;FORMS HEAVY DOWN AND HORIZONTAL;;;;
        "\u2534",  # ;BOX DRAWINGS LIGHT UP AND HORIZONTAL;So;0;ON;;;;;N;FORMS LIGHT UP AND HORIZONTAL;;;;
        "\u2535",  # ;BOX DRAWINGS LEFT HEAVY AND RIGHT UP LIGHT;So;0;ON;;;;;N;FORMS LEFT HEAVY AND RIGHT UP LIGHT;;;;
        "\u2536",  # ;BOX DRAWINGS RIGHT HEAVY AND LEFT UP LIGHT;So;0;ON;;;;;N;FORMS RIGHT HEAVY AND LEFT UP LIGHT;;;;
        "\u2537",  # ;BOX DRAWINGS UP LIGHT AND HORIZONTAL HEAVY;So;0;ON;;;;;N;FORMS UP LIGHT AND HORIZONTAL HEAVY;;;;
        "\u2538",  # ;BOX DRAWINGS UP HEAVY AND HORIZONTAL LIGHT;So;0;ON;;;;;N;FORMS UP HEAVY AND HORIZONTAL LIGHT;;;;
        "\u2539",  # ;BOX DRAWINGS RIGHT LIGHT AND LEFT UP HEAVY;So;0;ON;;;;;N;FORMS RIGHT LIGHT AND LEFT UP HEAVY;;;;
        "\u253A",  # ;BOX DRAWINGS LEFT LIGHT AND RIGHT UP HEAVY;So;0;ON;;;;;N;FORMS LEFT LIGHT AND RIGHT UP HEAVY;;;;
        "\u253B",  # ;BOX DRAWINGS HEAVY UP AND HORIZONTAL;So;0;ON;;;;;N;FORMS HEAVY UP AND HORIZONTAL;;;;
        "\u253C",  # ;BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL;So;0;ON;;;;;N;FORMS LIGHT VERTICAL AND HORIZONTAL;;;;
        "\u253D",  # ;BOX DRAWINGS LEFT HEAVY AND RIGHT VERTICAL LIGHT;So;0;ON;;;;;N;FORMS LEFT HEAVY AND RIGHT VERTICAL LIGHT;;;;
        "\u253E",  # ;BOX DRAWINGS RIGHT HEAVY AND LEFT VERTICAL LIGHT;So;0;ON;;;;;N;FORMS RIGHT HEAVY AND LEFT VERTICAL LIGHT;;;;
        "\u253F",  # ;BOX DRAWINGS VERTICAL LIGHT AND HORIZONTAL HEAVY;So;0;ON;;;;;N;FORMS VERTICAL LIGHT AND HORIZONTAL HEAVY;;;;
        "\u2540",  # ;BOX DRAWINGS UP HEAVY AND DOWN HORIZONTAL LIGHT;So;0;ON;;;;;N;FORMS UP HEAVY AND DOWN HORIZONTAL LIGHT;;;;
        "\u2541",  # ;BOX DRAWINGS DOWN HEAVY AND UP HORIZONTAL LIGHT;So;0;ON;;;;;N;FORMS DOWN HEAVY AND UP HORIZONTAL LIGHT;;;;
        "\u2542",  # ;BOX DRAWINGS VERTICAL HEAVY AND HORIZONTAL LIGHT;So;0;ON;;;;;N;FORMS VERTICAL HEAVY AND HORIZONTAL LIGHT;;;;
        "\u2543",  # ;BOX DRAWINGS LEFT UP HEAVY AND RIGHT DOWN LIGHT;So;0;ON;;;;;N;FORMS LEFT UP HEAVY AND RIGHT DOWN LIGHT;;;;
        "\u2544",  # ;BOX DRAWINGS RIGHT UP HEAVY AND LEFT DOWN LIGHT;So;0;ON;;;;;N;FORMS RIGHT UP HEAVY AND LEFT DOWN LIGHT;;;;
        "\u2545",  # ;BOX DRAWINGS LEFT DOWN HEAVY AND RIGHT UP LIGHT;So;0;ON;;;;;N;FORMS LEFT DOWN HEAVY AND RIGHT UP LIGHT;;;;
        "\u2546",  # ;BOX DRAWINGS RIGHT DOWN HEAVY AND LEFT UP LIGHT;So;0;ON;;;;;N;FORMS RIGHT DOWN HEAVY AND LEFT UP LIGHT;;;;
        "\u2547",  # ;BOX DRAWINGS DOWN LIGHT AND UP HORIZONTAL HEAVY;So;0;ON;;;;;N;FORMS DOWN LIGHT AND UP HORIZONTAL HEAVY;;;;
        "\u2548",  # ;BOX DRAWINGS UP LIGHT AND DOWN HORIZONTAL HEAVY;So;0;ON;;;;;N;FORMS UP LIGHT AND DOWN HORIZONTAL HEAVY;;;;
        "\u2549",  # ;BOX DRAWINGS RIGHT LIGHT AND LEFT VERTICAL HEAVY;So;0;ON;;;;;N;FORMS RIGHT LIGHT AND LEFT VERTICAL HEAVY;;;;
        "\u254A",  # ;BOX DRAWINGS LEFT LIGHT AND RIGHT VERTICAL HEAVY;So;0;ON;;;;;N;FORMS LEFT LIGHT AND RIGHT VERTICAL HEAVY;;;;
        "\u254B",  # ;BOX DRAWINGS HEAVY VERTICAL AND HORIZONTAL;So;0;ON;;;;;N;FORMS HEAVY VERTICAL AND HORIZONTAL;;;;
        "\u254C",  # ;BOX DRAWINGS LIGHT DOUBLE DASH HORIZONTAL;So;0;ON;;;;;N;FORMS LIGHT DOUBLE DASH HORIZONTAL;;;;
        "\u254D",  # ;BOX DRAWINGS HEAVY DOUBLE DASH HORIZONTAL;So;0;ON;;;;;N;FORMS HEAVY DOUBLE DASH HORIZONTAL;;;;
        "\u254E",  # ;BOX DRAWINGS LIGHT DOUBLE DASH VERTICAL;So;0;ON;;;;;N;FORMS LIGHT DOUBLE DASH VERTICAL;;;;
        "\u254F",  # ;BOX DRAWINGS HEAVY DOUBLE DASH VERTICAL;So;0;ON;;;;;N;FORMS HEAVY DOUBLE DASH VERTICAL;;;;
        "\u2550",  # ;BOX DRAWINGS DOUBLE HORIZONTAL;So;0;ON;;;;;N;FORMS DOUBLE HORIZONTAL;;;;
        "\u2551",  # ;BOX DRAWINGS DOUBLE VERTICAL;So;0;ON;;;;;N;FORMS DOUBLE VERTICAL;;;;
        "\u2552",  # ;BOX DRAWINGS DOWN SINGLE AND RIGHT DOUBLE;So;0;ON;;;;;N;FORMS DOWN SINGLE AND RIGHT DOUBLE;;;;
        "\u2553",  # ;BOX DRAWINGS DOWN DOUBLE AND RIGHT SINGLE;So;0;ON;;;;;N;FORMS DOWN DOUBLE AND RIGHT SINGLE;;;;
        "\u2554",  # ;BOX DRAWINGS DOUBLE DOWN AND RIGHT;So;0;ON;;;;;N;FORMS DOUBLE DOWN AND RIGHT;;;;
        "\u2555",  # ;BOX DRAWINGS DOWN SINGLE AND LEFT DOUBLE;So;0;ON;;;;;N;FORMS DOWN SINGLE AND LEFT DOUBLE;;;;
        "\u2556",  # ;BOX DRAWINGS DOWN DOUBLE AND LEFT SINGLE;So;0;ON;;;;;N;FORMS DOWN DOUBLE AND LEFT SINGLE;;;;
        "\u2557",  # ;BOX DRAWINGS DOUBLE DOWN AND LEFT;So;0;ON;;;;;N;FORMS DOUBLE DOWN AND LEFT;;;;
        "\u2558",  # ;BOX DRAWINGS UP SINGLE AND RIGHT DOUBLE;So;0;ON;;;;;N;FORMS UP SINGLE AND RIGHT DOUBLE;;;;
        "\u2559",  # ;BOX DRAWINGS UP DOUBLE AND RIGHT SINGLE;So;0;ON;;;;;N;FORMS UP DOUBLE AND RIGHT SINGLE;;;;
        "\u255A",  # ;BOX DRAWINGS DOUBLE UP AND RIGHT;So;0;ON;;;;;N;FORMS DOUBLE UP AND RIGHT;;;;
        "\u255B",  # ;BOX DRAWINGS UP SINGLE AND LEFT DOUBLE;So;0;ON;;;;;N;FORMS UP SINGLE AND LEFT DOUBLE;;;;
        "\u255C",  # ;BOX DRAWINGS UP DOUBLE AND LEFT SINGLE;So;0;ON;;;;;N;FORMS UP DOUBLE AND LEFT SINGLE;;;;
        "\u255D",  # ;BOX DRAWINGS DOUBLE UP AND LEFT;So;0;ON;;;;;N;FORMS DOUBLE UP AND LEFT;;;;
        "\u255E",  # ;BOX DRAWINGS VERTICAL SINGLE AND RIGHT DOUBLE;So;0;ON;;;;;N;FORMS VERTICAL SINGLE AND RIGHT DOUBLE;;;;
        "\u255F",  # ;BOX DRAWINGS VERTICAL DOUBLE AND RIGHT SINGLE;So;0;ON;;;;;N;FORMS VERTICAL DOUBLE AND RIGHT SINGLE;;;;
        "\u2560",  # ;BOX DRAWINGS DOUBLE VERTICAL AND RIGHT;So;0;ON;;;;;N;FORMS DOUBLE VERTICAL AND RIGHT;;;;
        "\u2561",  # ;BOX DRAWINGS VERTICAL SINGLE AND LEFT DOUBLE;So;0;ON;;;;;N;FORMS VERTICAL SINGLE AND LEFT DOUBLE;;;;
        "\u2562",  # ;BOX DRAWINGS VERTICAL DOUBLE AND LEFT SINGLE;So;0;ON;;;;;N;FORMS VERTICAL DOUBLE AND LEFT SINGLE;;;;
        "\u2563",  # ;BOX DRAWINGS DOUBLE VERTICAL AND LEFT;So;0;ON;;;;;N;FORMS DOUBLE VERTICAL AND LEFT;;;;
        "\u2564",  # ;BOX DRAWINGS DOWN SINGLE AND HORIZONTAL DOUBLE;So;0;ON;;;;;N;FORMS DOWN SINGLE AND HORIZONTAL DOUBLE;;;;
        "\u2565",  # ;BOX DRAWINGS DOWN DOUBLE AND HORIZONTAL SINGLE;So;0;ON;;;;;N;FORMS DOWN DOUBLE AND HORIZONTAL SINGLE;;;;
        "\u2566",  # ;BOX DRAWINGS DOUBLE DOWN AND HORIZONTAL;So;0;ON;;;;;N;FORMS DOUBLE DOWN AND HORIZONTAL;;;;
        "\u2567",  # ;BOX DRAWINGS UP SINGLE AND HORIZONTAL DOUBLE;So;0;ON;;;;;N;FORMS UP SINGLE AND HORIZONTAL DOUBLE;;;;
        "\u2568",  # ;BOX DRAWINGS UP DOUBLE AND HORIZONTAL SINGLE;So;0;ON;;;;;N;FORMS UP DOUBLE AND HORIZONTAL SINGLE;;;;
        "\u2569",  # ;BOX DRAWINGS DOUBLE UP AND HORIZONTAL;So;0;ON;;;;;N;FORMS DOUBLE UP AND HORIZONTAL;;;;
        "\u256A",  # ;BOX DRAWINGS VERTICAL SINGLE AND HORIZONTAL DOUBLE;So;0;ON;;;;;N;FORMS VERTICAL SINGLE AND HORIZONTAL DOUBLE;;;;
        "\u256B",  # ;BOX DRAWINGS VERTICAL DOUBLE AND HORIZONTAL SINGLE;So;0;ON;;;;;N;FORMS VERTICAL DOUBLE AND HORIZONTAL SINGLE;;;;
        "\u256C",  # ;BOX DRAWINGS DOUBLE VERTICAL AND HORIZONTAL;So;0;ON;;;;;N;FORMS DOUBLE VERTICAL AND HORIZONTAL;;;;
        "\u256D",  # ;BOX DRAWINGS LIGHT ARC DOWN AND RIGHT;So;0;ON;;;;;N;FORMS LIGHT ARC DOWN AND RIGHT;;;;
        "\u256E",  # ;BOX DRAWINGS LIGHT ARC DOWN AND LEFT;So;0;ON;;;;;N;FORMS LIGHT ARC DOWN AND LEFT;;;;
        "\u256F",  # ;BOX DRAWINGS LIGHT ARC UP AND LEFT;So;0;ON;;;;;N;FORMS LIGHT ARC UP AND LEFT;;;;
        "\u2570",  # ;BOX DRAWINGS LIGHT ARC UP AND RIGHT;So;0;ON;;;;;N;FORMS LIGHT ARC UP AND RIGHT;;;;
        "\u2571",  # ;BOX DRAWINGS LIGHT DIAGONAL UPPER RIGHT TO LOWER LEFT;So;0;ON;;;;;N;FORMS LIGHT DIAGONAL UPPER RIGHT TO LOWER LEFT;;;;
        "\u2572",  # ;BOX DRAWINGS LIGHT DIAGONAL UPPER LEFT TO LOWER RIGHT;So;0;ON;;;;;N;FORMS LIGHT DIAGONAL UPPER LEFT TO LOWER RIGHT;;;;
        "\u2573",  # ;BOX DRAWINGS LIGHT DIAGONAL CROSS;So;0;ON;;;;;N;FORMS LIGHT DIAGONAL CROSS;;;;
        "\u2574",  # ;BOX DRAWINGS LIGHT LEFT;So;0;ON;;;;;N;FORMS LIGHT LEFT;;;;
        "\u2575",  # ;BOX DRAWINGS LIGHT UP;So;0;ON;;;;;N;FORMS LIGHT UP;;;;
        "\u2576",  # ;BOX DRAWINGS LIGHT RIGHT;So;0;ON;;;;;N;FORMS LIGHT RIGHT;;;;
        "\u2577",  # ;BOX DRAWINGS LIGHT DOWN;So;0;ON;;;;;N;FORMS LIGHT DOWN;;;;
        "\u2578",  # ;BOX DRAWINGS HEAVY LEFT;So;0;ON;;;;;N;FORMS HEAVY LEFT;;;;
        "\u2579",  # ;BOX DRAWINGS HEAVY UP;So;0;ON;;;;;N;FORMS HEAVY UP;;;;
        "\u257A",  # ;BOX DRAWINGS HEAVY RIGHT;So;0;ON;;;;;N;FORMS HEAVY RIGHT;;;;
        "\u257B",  # ;BOX DRAWINGS HEAVY DOWN;So;0;ON;;;;;N;FORMS HEAVY DOWN;;;;
        "\u257C",  # ;BOX DRAWINGS LIGHT LEFT AND HEAVY RIGHT;So;0;ON;;;;;N;FORMS LIGHT LEFT AND HEAVY RIGHT;;;;
        "\u257D",  # ;BOX DRAWINGS LIGHT UP AND HEAVY DOWN;So;0;ON;;;;;N;FORMS LIGHT UP AND HEAVY DOWN;;;;
        "\u257E",  # ;BOX DRAWINGS HEAVY LEFT AND LIGHT RIGHT;So;0;ON;;;;;N;FORMS HEAVY LEFT AND LIGHT RIGHT;;;;
        "\u257F",  # ;BOX DRAWINGS HEAVY UP AND LIGHT DOWN;So;0;ON;;;;;N;FORMS HEAVY UP AND LIGHT DOWN;;;;
        "\u2580",  # ;UPPER HALF BLOCK;So;0;ON;;;;;N;;;;;
        "\u2581",  # ;LOWER ONE EIGHTH BLOCK;So;0;ON;;;;;N;;;;;
        "\u2582",  # ;LOWER ONE QUARTER BLOCK;So;0;ON;;;;;N;;;;;
        "\u2583",  # ;LOWER THREE EIGHTHS BLOCK;So;0;ON;;;;;N;;;;;
        "\u2584",  # ;LOWER HALF BLOCK;So;0;ON;;;;;N;;;;;
        "\u2585",  # ;LOWER FIVE EIGHTHS BLOCK;So;0;ON;;;;;N;;;;;
        "\u2586",  # ;LOWER THREE QUARTERS BLOCK;So;0;ON;;;;;N;LOWER THREE QUARTER BLOCK;;;;
        "\u2587",  # ;LOWER SEVEN EIGHTHS BLOCK;So;0;ON;;;;;N;;;;;
        "\u2588",  # ;FULL BLOCK;So;0;ON;;;;;N;;;;;
        "\u2589",  # ;LEFT SEVEN EIGHTHS BLOCK;So;0;ON;;;;;N;;;;;
        "\u258A",  # ;LEFT THREE QUARTERS BLOCK;So;0;ON;;;;;N;LEFT THREE QUARTER BLOCK;;;;
        "\u258B",  # ;LEFT FIVE EIGHTHS BLOCK;So;0;ON;;;;;N;;;;;
        "\u258C",  # ;LEFT HALF BLOCK;So;0;ON;;;;;N;;;;;
        "\u258D",  # ;LEFT THREE EIGHTHS BLOCK;So;0;ON;;;;;N;;;;;
        "\u258E",  # ;LEFT ONE QUARTER BLOCK;So;0;ON;;;;;N;;;;;
        "\u258F",  # ;LEFT ONE EIGHTH BLOCK;So;0;ON;;;;;N;;;;;
        "\u2590",  # ;RIGHT HALF BLOCK;So;0;ON;;;;;N;;;;;
        "\u2591",  # ;LIGHT SHADE;So;0;ON;;;;;N;;;;;
        "\u2592",  # ;MEDIUM SHADE;So;0;ON;;;;;N;;;;;
        "\u2593",  # ;DARK SHADE;So;0;ON;;;;;N;;;;;
        "\u2594",  # ;UPPER ONE EIGHTH BLOCK;So;0;ON;;;;;N;;;;;
        "\u2595",  # ;RIGHT ONE EIGHTH BLOCK;So;0;ON;;;;;N;;;;;
        "\u2596",  # ;QUADRANT LOWER LEFT;So;0;ON;;;;;N;;;;;
        "\u2597",  # ;QUADRANT LOWER RIGHT;So;0;ON;;;;;N;;;;;
        "\u2598",  # ;QUADRANT UPPER LEFT;So;0;ON;;;;;N;;;;;
        "\u2599",  # ;QUADRANT UPPER LEFT AND LOWER LEFT AND LOWER RIGHT;So;0;ON;;;;;N;;;;;
        "\u259A",  # ;QUADRANT UPPER LEFT AND LOWER RIGHT;So;0;ON;;;;;N;;;;;
        "\u259B",  # ;QUADRANT UPPER LEFT AND UPPER RIGHT AND LOWER LEFT;So;0;ON;;;;;N;;;;;
        "\u259C",  # ;QUADRANT UPPER LEFT AND UPPER RIGHT AND LOWER RIGHT;So;0;ON;;;;;N;;;;;
        "\u259D",  # ;QUADRANT UPPER RIGHT;So;0;ON;;;;;N;;;;;
        "\u259E",  # ;QUADRANT UPPER RIGHT AND LOWER LEFT;So;0;ON;;;;;N;;;;;
        "\u259F",  # ;QUADRANT UPPER RIGHT AND LOWER LEFT AND LOWER RIGHT;So;0;ON;;;;;N;;;;;
        "\u25A0",  # ;BLACK SQUARE;So;0;ON;;;;;N;;;;;
        "\u25A1",  # ;WHITE SQUARE;So;0;ON;;;;;N;;;;;
        "\u25A2",  # ;WHITE SQUARE WITH ROUNDED CORNERS;So;0;ON;;;;;N;;;;;
        "\u25A3",  # ;WHITE SQUARE CONTAINING BLACK SMALL SQUARE;So;0;ON;;;;;N;;;;;
        "\u25A4",  # ;SQUARE WITH HORIZONTAL FILL;So;0;ON;;;;;N;;;;;
        "\u25A5",  # ;SQUARE WITH VERTICAL FILL;So;0;ON;;;;;N;;;;;
        "\u25A6",  # ;SQUARE WITH ORTHOGONAL CROSSHATCH FILL;So;0;ON;;;;;N;;;;;
        "\u25A7",  # ;SQUARE WITH UPPER LEFT TO LOWER RIGHT FILL;So;0;ON;;;;;N;;;;;
        "\u25A8",  # ;SQUARE WITH UPPER RIGHT TO LOWER LEFT FILL;So;0;ON;;;;;N;;;;;
        "\u25A9",  # ;SQUARE WITH DIAGONAL CROSSHATCH FILL;So;0;ON;;;;;N;;;;;
        "\u25AA",  # ;BLACK SMALL SQUARE;So;0;ON;;;;;N;;;;;
        "\u25AB",  # ;WHITE SMALL SQUARE;So;0;ON;;;;;N;;;;;
        "\u25AC",  # ;BLACK RECTANGLE;So;0;ON;;;;;N;;;;;
        "\u25AD",  # ;WHITE RECTANGLE;So;0;ON;;;;;N;;;;;
        "\u25AE",  # ;BLACK VERTICAL RECTANGLE;So;0;ON;;;;;N;;;;;
        "\u25AF",  # ;WHITE VERTICAL RECTANGLE;So;0;ON;;;;;N;;;;;
        "\u25B0",  # ;BLACK PARALLELOGRAM;So;0;ON;;;;;N;;;;;
        "\u25B1",  # ;WHITE PARALLELOGRAM;So;0;ON;;;;;N;;;;;
        "\u25B2",  # ;BLACK UP-POINTING TRIANGLE;So;0;ON;;;;;N;BLACK UP POINTING TRIANGLE;;;;
        "\u25B3",  # ;WHITE UP-POINTING TRIANGLE;So;0;ON;;;;;N;WHITE UP POINTING TRIANGLE;;;;
        "\u25B4",  # ;BLACK UP-POINTING SMALL TRIANGLE;So;0;ON;;;;;N;BLACK UP POINTING SMALL TRIANGLE;;;;
        "\u25B5",  # ;WHITE UP-POINTING SMALL TRIANGLE;So;0;ON;;;;;N;WHITE UP POINTING SMALL TRIANGLE;;;;
        "\u25B6",  # ;BLACK RIGHT-POINTING TRIANGLE;So;0;ON;;;;;N;BLACK RIGHT POINTING TRIANGLE;;;;
        "\u25B7",  # ;WHITE RIGHT-POINTING TRIANGLE;Sm;0;ON;;;;;N;WHITE RIGHT POINTING TRIANGLE;;;;
        "\u25B8",  # ;BLACK RIGHT-POINTING SMALL TRIANGLE;So;0;ON;;;;;N;BLACK RIGHT POINTING SMALL TRIANGLE;;;;
        "\u25B9",  # ;WHITE RIGHT-POINTING SMALL TRIANGLE;So;0;ON;;;;;N;WHITE RIGHT POINTING SMALL TRIANGLE;;;;
        "\u25BA",  # ;BLACK RIGHT-POINTING POINTER;So;0;ON;;;;;N;BLACK RIGHT POINTING POINTER;;;;
        "\u25BB",  # ;WHITE RIGHT-POINTING POINTER;So;0;ON;;;;;N;WHITE RIGHT POINTING POINTER;;;;
        "\u25BC",  # ;BLACK DOWN-POINTING TRIANGLE;So;0;ON;;;;;N;BLACK DOWN POINTING TRIANGLE;;;;
        "\u25BD",  # ;WHITE DOWN-POINTING TRIANGLE;So;0;ON;;;;;N;WHITE DOWN POINTING TRIANGLE;;;;
        "\u25BE",  # ;BLACK DOWN-POINTING SMALL TRIANGLE;So;0;ON;;;;;N;BLACK DOWN POINTING SMALL TRIANGLE;;;;
        "\u25BF",  # ;WHITE DOWN-POINTING SMALL TRIANGLE;So;0;ON;;;;;N;WHITE DOWN POINTING SMALL TRIANGLE;;;;
        "\u25C0",  # ;BLACK LEFT-POINTING TRIANGLE;So;0;ON;;;;;N;BLACK LEFT POINTING TRIANGLE;;;;
        "\u25C1",  # ;WHITE LEFT-POINTING TRIANGLE;Sm;0;ON;;;;;N;WHITE LEFT POINTING TRIANGLE;;;;
        "\u25C2",  # ;BLACK LEFT-POINTING SMALL TRIANGLE;So;0;ON;;;;;N;BLACK LEFT POINTING SMALL TRIANGLE;;;;
        "\u25C3",  # ;WHITE LEFT-POINTING SMALL TRIANGLE;So;0;ON;;;;;N;WHITE LEFT POINTING SMALL TRIANGLE;;;;
        "\u25C4",  # ;BLACK LEFT-POINTING POINTER;So;0;ON;;;;;N;BLACK LEFT POINTING POINTER;;;;
        "\u25C5",  # ;WHITE LEFT-POINTING POINTER;So;0;ON;;;;;N;WHITE LEFT POINTING POINTER;;;;
        "\u25C6",  # ;BLACK DIAMOND;So;0;ON;;;;;N;;;;;
        "\u25C7",  # ;WHITE DIAMOND;So;0;ON;;;;;N;;;;;
        "\u25C8",  # ;WHITE DIAMOND CONTAINING BLACK SMALL DIAMOND;So;0;ON;;;;;N;;;;;
        "\u25C9",  # ;FISHEYE;So;0;ON;;;;;N;;;;;
        "\u25CA",  # ;LOZENGE;So;0;ON;;;;;N;;;;;
        "\u25CB",  # ;WHITE CIRCLE;So;0;ON;;;;;N;;;;;
        "\u25CC",  # ;DOTTED CIRCLE;So;0;ON;;;;;N;;;;;
        "\u25CD",  # ;CIRCLE WITH VERTICAL FILL;So;0;ON;;;;;N;;;;;
        "\u25CE",  # ;BULLSEYE;So;0;ON;;;;;N;;;;;
        "\u25CF",  # ;BLACK CIRCLE;So;0;ON;;;;;N;;;;;
        "\u25D0",  # ;CIRCLE WITH LEFT HALF BLACK;So;0;ON;;;;;N;;;;;
        "\u25D1",  # ;CIRCLE WITH RIGHT HALF BLACK;So;0;ON;;;;;N;;;;;
        "\u25D2",  # ;CIRCLE WITH LOWER HALF BLACK;So;0;ON;;;;;N;;;;;
        "\u25D3",  # ;CIRCLE WITH UPPER HALF BLACK;So;0;ON;;;;;N;;;;;
        "\u25D4",  # ;CIRCLE WITH UPPER RIGHT QUADRANT BLACK;So;0;ON;;;;;N;;;;;
        "\u25D5",  # ;CIRCLE WITH ALL BUT UPPER LEFT QUADRANT BLACK;So;0;ON;;;;;N;;;;;
        "\u25D6",  # ;LEFT HALF BLACK CIRCLE;So;0;ON;;;;;N;;;;;
        "\u25D7",  # ;RIGHT HALF BLACK CIRCLE;So;0;ON;;;;;N;;;;;
        "\u25D8",  # ;INVERSE BULLET;So;0;ON;;;;;N;;;;;
        "\u25D9",  # ;INVERSE WHITE CIRCLE;So;0;ON;;;;;N;;;;;
        "\u25DA",  # ;UPPER HALF INVERSE WHITE CIRCLE;So;0;ON;;;;;N;;;;;
        "\u25DB",  # ;LOWER HALF INVERSE WHITE CIRCLE;So;0;ON;;;;;N;;;;;
        "\u25DC",  # ;UPPER LEFT QUADRANT CIRCULAR ARC;So;0;ON;;;;;N;;;;;
        "\u25DD",  # ;UPPER RIGHT QUADRANT CIRCULAR ARC;So;0;ON;;;;;N;;;;;
        "\u25DE",  # ;LOWER RIGHT QUADRANT CIRCULAR ARC;So;0;ON;;;;;N;;;;;
        "\u25DF",  # ;LOWER LEFT QUADRANT CIRCULAR ARC;So;0;ON;;;;;N;;;;;
        "\u25E0",  # ;UPPER HALF CIRCLE;So;0;ON;;;;;N;;;;;
        "\u25E1",  # ;LOWER HALF CIRCLE;So;0;ON;;;;;N;;;;;
        "\u25E2",  # ;BLACK LOWER RIGHT TRIANGLE;So;0;ON;;;;;N;;;;;
        "\u25E3",  # ;BLACK LOWER LEFT TRIANGLE;So;0;ON;;;;;N;;;;;
        "\u25E4",  # ;BLACK UPPER LEFT TRIANGLE;So;0;ON;;;;;N;;;;;
        "\u25E5",  # ;BLACK UPPER RIGHT TRIANGLE;So;0;ON;;;;;N;;;;;
        "\u25E6",  # ;WHITE BULLET;So;0;ON;;;;;N;;;;;
        "\u25E7",  # ;SQUARE WITH LEFT HALF BLACK;So;0;ON;;;;;N;;;;;
        "\u25E8",  # ;SQUARE WITH RIGHT HALF BLACK;So;0;ON;;;;;N;;;;;
        "\u25E9",  # ;SQUARE WITH UPPER LEFT DIAGONAL HALF BLACK;So;0;ON;;;;;N;;;;;
        "\u25EA",  # ;SQUARE WITH LOWER RIGHT DIAGONAL HALF BLACK;So;0;ON;;;;;N;;;;;
        "\u25EB",  # ;WHITE SQUARE WITH VERTICAL BISECTING LINE;So;0;ON;;;;;N;;;;;
        "\u25EC",  # ;WHITE UP-POINTING TRIANGLE WITH DOT;So;0;ON;;;;;N;WHITE UP POINTING TRIANGLE WITH DOT;;;;
        "\u25ED",  # ;UP-POINTING TRIANGLE WITH LEFT HALF BLACK;So;0;ON;;;;;N;UP POINTING TRIANGLE WITH LEFT HALF BLACK;;;;
        "\u25EE",  # ;UP-POINTING TRIANGLE WITH RIGHT HALF BLACK;So;0;ON;;;;;N;UP POINTING TRIANGLE WITH RIGHT HALF BLACK;;;;
        "\u25EF",  # ;LARGE CIRCLE;So;0;ON;;;;;N;;;;;
        "\u25F0",  # ;WHITE SQUARE WITH UPPER LEFT QUADRANT;So;0;ON;;;;;N;;;;;
        "\u25F1",  # ;WHITE SQUARE WITH LOWER LEFT QUADRANT;So;0;ON;;;;;N;;;;;
        "\u25F2",  # ;WHITE SQUARE WITH LOWER RIGHT QUADRANT;So;0;ON;;;;;N;;;;;
        "\u25F3",  # ;WHITE SQUARE WITH UPPER RIGHT QUADRANT;So;0;ON;;;;;N;;;;;
        "\u25F4",  # ;WHITE CIRCLE WITH UPPER LEFT QUADRANT;So;0;ON;;;;;N;;;;;
        "\u25F5",  # ;WHITE CIRCLE WITH LOWER LEFT QUADRANT;So;0;ON;;;;;N;;;;;
        "\u25F6",  # ;WHITE CIRCLE WITH LOWER RIGHT QUADRANT;So;0;ON;;;;;N;;;;;
        "\u25F7",  # ;WHITE CIRCLE WITH UPPER RIGHT QUADRANT;So;0;ON;;;;;N;;;;;
        "\u25F8",  # ;UPPER LEFT TRIANGLE;Sm;0;ON;;;;;N;;;;;
        "\u25F9",  # ;UPPER RIGHT TRIANGLE;Sm;0;ON;;;;;N;;;;;
        "\u25FA",  # ;LOWER LEFT TRIANGLE;Sm;0;ON;;;;;N;;;;;
        "\u25FB",  # ;WHITE MEDIUM SQUARE;Sm;0;ON;;;;;N;;;;;
        "\u25FC",  # ;BLACK MEDIUM SQUARE;Sm;0;ON;;;;;N;;;;;
        "\u25FD",  # ;WHITE MEDIUM SMALL SQUARE;Sm;0;ON;;;;;N;;;;;
        "\u25FE",  # ;BLACK MEDIUM SMALL SQUARE;Sm;0;ON;;;;;N;;;;;
        "\u25FF",  # ;LOWER RIGHT TRIANGLE;Sm;0;ON;;;;;N;;;;;
        "\u2600",  # ;BLACK SUN WITH RAYS;So;0;ON;;;;;N;;;;;
        "\u2601",  # ;CLOUD;So;0;ON;;;;;N;;;;;
        "\u2602",  # ;UMBRELLA;So;0;ON;;;;;N;;;;;
        "\u2603",  # ;SNOWMAN;So;0;ON;;;;;N;;;;;
        "\u2604",  # ;COMET;So;0;ON;;;;;N;;;;;
        "\u2605",  # ;BLACK STAR;So;0;ON;;;;;N;;;;;
        "\u2606",  # ;WHITE STAR;So;0;ON;;;;;N;;;;;
        "\u2607",  # ;LIGHTNING;So;0;ON;;;;;N;;;;;
        "\u2608",  # ;THUNDERSTORM;So;0;ON;;;;;N;;;;;
        "\u2609",  # ;SUN;So;0;ON;;;;;N;;;;;
        "\u260A",  # ;ASCENDING NODE;So;0;ON;;;;;N;;;;;
        "\u260B",  # ;DESCENDING NODE;So;0;ON;;;;;N;;;;;
        "\u260C",  # ;CONJUNCTION;So;0;ON;;;;;N;;;;;
        "\u260D",  # ;OPPOSITION;So;0;ON;;;;;N;;;;;
        "\u260E",  # ;BLACK TELEPHONE;So;0;ON;;;;;N;;;;;
        "\u260F",  # ;WHITE TELEPHONE;So;0;ON;;;;;N;;;;;
        "\u2610",  # ;BALLOT BOX;So;0;ON;;;;;N;;;;;
        "\u2611",  # ;BALLOT BOX WITH CHECK;So;0;ON;;;;;N;;;;;
        "\u2612",  # ;BALLOT BOX WITH X;So;0;ON;;;;;N;;;;;
        "\u2613",  # ;SALTIRE;So;0;ON;;;;;N;;;;;
        "\u2614",  # ;UMBRELLA WITH RAIN DROPS;So;0;ON;;;;;N;;;;;
        "\u2615",  # ;HOT BEVERAGE;So;0;ON;;;;;N;;;;;
        "\u2616",  # ;WHITE SHOGI PIECE;So;0;ON;;;;;N;;;;;
        "\u2617",  # ;BLACK SHOGI PIECE;So;0;ON;;;;;N;;;;;
        "\u2618",  # ;SHAMROCK;So;0;ON;;;;;N;;;;;
        "\u2619",  # ;REVERSED ROTATED FLORAL HEART BULLET;So;0;ON;;;;;N;;;;;
        "\u261A",  # ;BLACK LEFT POINTING INDEX;So;0;ON;;;;;N;;;;;
        "\u261B",  # ;BLACK RIGHT POINTING INDEX;So;0;ON;;;;;N;;;;;
        "\u261C",  # ;WHITE LEFT POINTING INDEX;So;0;ON;;;;;N;;;;;
        "\u261D",  # ;WHITE UP POINTING INDEX;So;0;ON;;;;;N;;;;;
        "\u261E",  # ;WHITE RIGHT POINTING INDEX;So;0;ON;;;;;N;;;;;
        "\u261F",  # ;WHITE DOWN POINTING INDEX;So;0;ON;;;;;N;;;;;
        "\u2620",  # ;SKULL AND CROSSBONES;So;0;ON;;;;;N;;;;;
        "\u2621",  # ;CAUTION SIGN;So;0;ON;;;;;N;;;;;
        "\u2622",  # ;RADIOACTIVE SIGN;So;0;ON;;;;;N;;;;;
        "\u2623",  # ;BIOHAZARD SIGN;So;0;ON;;;;;N;;;;;
        "\u2624",  # ;CADUCEUS;So;0;ON;;;;;N;;;;;
        "\u2625",  # ;ANKH;So;0;ON;;;;;N;;;;;
        "\u2626",  # ;ORTHODOX CROSS;So;0;ON;;;;;N;;;;;
        "\u2627",  # ;CHI RHO;So;0;ON;;;;;N;;;;;
        "\u2628",  # ;CROSS OF LORRAINE;So;0;ON;;;;;N;;;;;
        "\u2629",  # ;CROSS OF JERUSALEM;So;0;ON;;;;;N;;;;;
        "\u262A",  # ;STAR AND CRESCENT;So;0;ON;;;;;N;;;;;
        "\u262B",  # ;FARSI SYMBOL;So;0;ON;;;;;N;SYMBOL OF IRAN;;;;
        "\u262C",  # ;ADI SHAKTI;So;0;ON;;;;;N;;;;;
        "\u262D",  # ;HAMMER AND SICKLE;So;0;ON;;;;;N;;;;;
        "\u262E",  # ;PEACE SYMBOL;So;0;ON;;;;;N;;;;;
        "\u262F",  # ;YIN YANG;So;0;ON;;;;;N;;;;;
        "\u2630",  # ;TRIGRAM FOR HEAVEN;So;0;ON;;;;;N;;;;;
        "\u2631",  # ;TRIGRAM FOR LAKE;So;0;ON;;;;;N;;;;;
        "\u2632",  # ;TRIGRAM FOR FIRE;So;0;ON;;;;;N;;;;;
        "\u2633",  # ;TRIGRAM FOR THUNDER;So;0;ON;;;;;N;;;;;
        "\u2634",  # ;TRIGRAM FOR WIND;So;0;ON;;;;;N;;;;;
        "\u2635",  # ;TRIGRAM FOR WATER;So;0;ON;;;;;N;;;;;
        "\u2636",  # ;TRIGRAM FOR MOUNTAIN;So;0;ON;;;;;N;;;;;
        "\u2637",  # ;TRIGRAM FOR EARTH;So;0;ON;;;;;N;;;;;
        "\u2638",  # ;WHEEL OF DHARMA;So;0;ON;;;;;N;;;;;
        "\u2639",  # ;WHITE FROWNING FACE;So;0;ON;;;;;N;;;;;
        "\u263A",  # ;WHITE SMILING FACE;So;0;ON;;;;;N;;;;;
        "\u263B",  # ;BLACK SMILING FACE;So;0;ON;;;;;N;;;;;
        "\u263C",  # ;WHITE SUN WITH RAYS;So;0;ON;;;;;N;;;;;
        "\u263D",  # ;FIRST QUARTER MOON;So;0;ON;;;;;N;;;;;
        "\u263E",  # ;LAST QUARTER MOON;So;0;ON;;;;;N;;;;;
        "\u263F",  # ;MERCURY;So;0;ON;;;;;N;;;;;
        "\u2640",  # ;FEMALE SIGN;So;0;ON;;;;;N;;;;;
        "\u2641",  # ;EARTH;So;0;ON;;;;;N;;;;;
        "\u2642",  # ;MALE SIGN;So;0;ON;;;;;N;;;;;
        "\u2643",  # ;JUPITER;So;0;ON;;;;;N;;;;;
        "\u2644",  # ;SATURN;So;0;ON;;;;;N;;;;;
        "\u2645",  # ;URANUS;So;0;ON;;;;;N;;;;;
        "\u2646",  # ;NEPTUNE;So;0;ON;;;;;N;;;;;
        "\u2647",  # ;PLUTO;So;0;ON;;;;;N;;;;;
        "\u2648",  # ;ARIES;So;0;ON;;;;;N;;;;;
        "\u2649",  # ;TAURUS;So;0;ON;;;;;N;;;;;
        "\u264A",  # ;GEMINI;So;0;ON;;;;;N;;;;;
        "\u264B",  # ;CANCER;So;0;ON;;;;;N;;;;;
        "\u264C",  # ;LEO;So;0;ON;;;;;N;;;;;
        "\u264D",  # ;VIRGO;So;0;ON;;;;;N;;;;;
        "\u264E",  # ;LIBRA;So;0;ON;;;;;N;;;;;
        "\u264F",  # ;SCORPIUS;So;0;ON;;;;;N;;;;;
        "\u2650",  # ;SAGITTARIUS;So;0;ON;;;;;N;;;;;
        "\u2651",  # ;CAPRICORN;So;0;ON;;;;;N;;;;;
        "\u2652",  # ;AQUARIUS;So;0;ON;;;;;N;;;;;
        "\u2653",  # ;PISCES;So;0;ON;;;;;N;;;;;
        "\u2654",  # ;WHITE CHESS KING;So;0;ON;;;;;N;;;;;
        "\u2655",  # ;WHITE CHESS QUEEN;So;0;ON;;;;;N;;;;;
        "\u2656",  # ;WHITE CHESS ROOK;So;0;ON;;;;;N;;;;;
        "\u2657",  # ;WHITE CHESS BISHOP;So;0;ON;;;;;N;;;;;
        "\u2658",  # ;WHITE CHESS KNIGHT;So;0;ON;;;;;N;;;;;
        "\u2659",  # ;WHITE CHESS PAWN;So;0;ON;;;;;N;;;;;
        "\u265A",  # ;BLACK CHESS KING;So;0;ON;;;;;N;;;;;
        "\u265B",  # ;BLACK CHESS QUEEN;So;0;ON;;;;;N;;;;;
        "\u265C",  # ;BLACK CHESS ROOK;So;0;ON;;;;;N;;;;;
        "\u265D",  # ;BLACK CHESS BISHOP;So;0;ON;;;;;N;;;;;
        "\u265E",  # ;BLACK CHESS KNIGHT;So;0;ON;;;;;N;;;;;
        "\u265F",  # ;BLACK CHESS PAWN;So;0;ON;;;;;N;;;;;
        "\u2660",  # ;BLACK SPADE SUIT;So;0;ON;;;;;N;;;;;
        "\u2661",  # ;WHITE HEART SUIT;So;0;ON;;;;;N;;;;;
        "\u2662",  # ;WHITE DIAMOND SUIT;So;0;ON;;;;;N;;;;;
        "\u2663",  # ;BLACK CLUB SUIT;So;0;ON;;;;;N;;;;;
        "\u2664",  # ;WHITE SPADE SUIT;So;0;ON;;;;;N;;;;;
        "\u2665",  # ;BLACK HEART SUIT;So;0;ON;;;;;N;;;;;
        "\u2666",  # ;BLACK DIAMOND SUIT;So;0;ON;;;;;N;;;;;
        "\u2667",  # ;WHITE CLUB SUIT;So;0;ON;;;;;N;;;;;
        "\u2668",  # ;HOT SPRINGS;So;0;ON;;;;;N;;;;;
        "\u2669",  # ;QUARTER NOTE;So;0;ON;;;;;N;;;;;
        "\u266A",  # ;EIGHTH NOTE;So;0;ON;;;;;N;;;;;
        "\u266B",  # ;BEAMED EIGHTH NOTES;So;0;ON;;;;;N;BARRED EIGHTH NOTES;;;;
        "\u266C",  # ;BEAMED SIXTEENTH NOTES;So;0;ON;;;;;N;BARRED SIXTEENTH NOTES;;;;
        "\u266D",  # ;MUSIC FLAT SIGN;So;0;ON;;;;;N;FLAT;;;;
        "\u266E",  # ;MUSIC NATURAL SIGN;So;0;ON;;;;;N;NATURAL;;;;
        "\u266F",  # ;MUSIC SHARP SIGN;Sm;0;ON;;;;;N;SHARP;;;;
        "\u2670",  # ;WEST SYRIAC CROSS;So;0;ON;;;;;N;;;;;
        "\u2671",  # ;EAST SYRIAC CROSS;So;0;ON;;;;;N;;;;;
        "\u2672",  # ;UNIVERSAL RECYCLING SYMBOL;So;0;ON;;;;;N;;;;;
        "\u2673",  # ;RECYCLING SYMBOL FOR TYPE-1 PLASTICS;So;0;ON;;;;;N;;;;;
        "\u2674",  # ;RECYCLING SYMBOL FOR TYPE-2 PLASTICS;So;0;ON;;;;;N;;;;;
        "\u2675",  # ;RECYCLING SYMBOL FOR TYPE-3 PLASTICS;So;0;ON;;;;;N;;;;;
        "\u2676",  # ;RECYCLING SYMBOL FOR TYPE-4 PLASTICS;So;0;ON;;;;;N;;;;;
        "\u2677",  # ;RECYCLING SYMBOL FOR TYPE-5 PLASTICS;So;0;ON;;;;;N;;;;;
        "\u2678",  # ;RECYCLING SYMBOL FOR TYPE-6 PLASTICS;So;0;ON;;;;;N;;;;;
        "\u2679",  # ;RECYCLING SYMBOL FOR TYPE-7 PLASTICS;So;0;ON;;;;;N;;;;;
        "\u267A",  # ;RECYCLING SYMBOL FOR GENERIC MATERIALS;So;0;ON;;;;;N;;;;;
        "\u267B",  # ;BLACK UNIVERSAL RECYCLING SYMBOL;So;0;ON;;;;;N;;;;;
        "\u267C",  # ;RECYCLED PAPER SYMBOL;So;0;ON;;;;;N;;;;;
        "\u267D",  # ;PARTIALLY-RECYCLED PAPER SYMBOL;So;0;ON;;;;;N;;;;;
        "\u267E",  # ;PERMANENT PAPER SIGN;So;0;ON;;;;;N;;;;;
        "\u267F",  # ;WHEELCHAIR SYMBOL;So;0;ON;;;;;N;;;;;
        "\u2680",  # ;DIE FACE-1;So;0;ON;;;;;N;;;;;
        "\u2681",  # ;DIE FACE-2;So;0;ON;;;;;N;;;;;
        "\u2682",  # ;DIE FACE-3;So;0;ON;;;;;N;;;;;
        "\u2683",  # ;DIE FACE-4;So;0;ON;;;;;N;;;;;
        "\u2684",  # ;DIE FACE-5;So;0;ON;;;;;N;;;;;
        "\u2685",  # ;DIE FACE-6;So;0;ON;;;;;N;;;;;
        "\u2686",  # ;WHITE CIRCLE WITH DOT RIGHT;So;0;ON;;;;;N;;;;;
        "\u2687",  # ;WHITE CIRCLE WITH TWO DOTS;So;0;ON;;;;;N;;;;;
        "\u2688",  # ;BLACK CIRCLE WITH WHITE DOT RIGHT;So;0;ON;;;;;N;;;;;
        "\u2689",  # ;BLACK CIRCLE WITH TWO WHITE DOTS;So;0;ON;;;;;N;;;;;
        "\u268A",  # ;MONOGRAM FOR YANG;So;0;ON;;;;;N;;;;;
        "\u268B",  # ;MONOGRAM FOR YIN;So;0;ON;;;;;N;;;;;
        "\u268C",  # ;DIGRAM FOR GREATER YANG;So;0;ON;;;;;N;;;;;
        "\u268D",  # ;DIGRAM FOR LESSER YIN;So;0;ON;;;;;N;;;;;
        "\u268E",  # ;DIGRAM FOR LESSER YANG;So;0;ON;;;;;N;;;;;
        "\u268F",  # ;DIGRAM FOR GREATER YIN;So;0;ON;;;;;N;;;;;
        "\u2690",  # ;WHITE FLAG;So;0;ON;;;;;N;;;;;
        "\u2691",  # ;BLACK FLAG;So;0;ON;;;;;N;;;;;
        "\u2692",  # ;HAMMER AND PICK;So;0;ON;;;;;N;;;;;
        "\u2693",  # ;ANCHOR;So;0;ON;;;;;N;;;;;
        "\u2694",  # ;CROSSED SWORDS;So;0;ON;;;;;N;;;;;
        "\u2695",  # ;STAFF OF AESCULAPIUS;So;0;ON;;;;;N;;;;;
        "\u2696",  # ;SCALES;So;0;ON;;;;;N;;;;;
        "\u2697",  # ;ALEMBIC;So;0;ON;;;;;N;;;;;
        "\u2698",  # ;FLOWER;So;0;ON;;;;;N;;;;;
        "\u2699",  # ;GEAR;So;0;ON;;;;;N;;;;;
        "\u269A",  # ;STAFF OF HERMES;So;0;ON;;;;;N;;;;;
        "\u269B",  # ;ATOM SYMBOL;So;0;ON;;;;;N;;;;;
        "\u269C",  # ;FLEUR-DE-LIS;So;0;ON;;;;;N;;;;;
        "\u269D",  # ;OUTLINED WHITE STAR;So;0;ON;;;;;N;;;;;
        "\u269E",  # ;THREE LINES CONVERGING RIGHT;So;0;ON;;;;;N;;;;;
        "\u269F",  # ;THREE LINES CONVERGING LEFT;So;0;ON;;;;;N;;;;;
        "\u26A0",  # ;WARNING SIGN;So;0;ON;;;;;N;;;;;
        "\u26A1",  # ;HIGH VOLTAGE SIGN;So;0;ON;;;;;N;;;;;
        "\u26A2",  # ;DOUBLED FEMALE SIGN;So;0;ON;;;;;N;;;;;
        "\u26A3",  # ;DOUBLED MALE SIGN;So;0;ON;;;;;N;;;;;
        "\u26A4",  # ;INTERLOCKED FEMALE AND MALE SIGN;So;0;ON;;;;;N;;;;;
        "\u26A5",  # ;MALE AND FEMALE SIGN;So;0;ON;;;;;N;;;;;
        "\u26A6",  # ;MALE WITH STROKE SIGN;So;0;ON;;;;;N;;;;;
        "\u26A7",  # ;MALE WITH STROKE AND MALE AND FEMALE SIGN;So;0;ON;;;;;N;;;;;
        "\u26A8",  # ;VERTICAL MALE WITH STROKE SIGN;So;0;ON;;;;;N;;;;;
        "\u26A9",  # ;HORIZONTAL MALE WITH STROKE SIGN;So;0;ON;;;;;N;;;;;
        "\u26AA",  # ;MEDIUM WHITE CIRCLE;So;0;ON;;;;;N;;;;;
        "\u26AB",  # ;MEDIUM BLACK CIRCLE;So;0;ON;;;;;N;;;;;
        "\u26AC",  # ;MEDIUM SMALL WHITE CIRCLE;So;0;L;;;;;N;;;;;
        "\u26AD",  # ;MARRIAGE SYMBOL;So;0;ON;;;;;N;;;;;
        "\u26AE",  # ;DIVORCE SYMBOL;So;0;ON;;;;;N;;;;;
        "\u26AF",  # ;UNMARRIED PARTNERSHIP SYMBOL;So;0;ON;;;;;N;;;;;
        "\u26B0",  # ;COFFIN;So;0;ON;;;;;N;;;;;
        "\u26B1",  # ;FUNERAL URN;So;0;ON;;;;;N;;;;;
        "\u26B2",  # ;NEUTER;So;0;ON;;;;;N;;;;;
        "\u26B3",  # ;CERES;So;0;ON;;;;;N;;;;;
        "\u26B4",  # ;PALLAS;So;0;ON;;;;;N;;;;;
        "\u26B5",  # ;JUNO;So;0;ON;;;;;N;;;;;
        "\u26B6",  # ;VESTA;So;0;ON;;;;;N;;;;;
        "\u26B7",  # ;CHIRON;So;0;ON;;;;;N;;;;;
        "\u26B8",  # ;BLACK MOON LILITH;So;0;ON;;;;;N;;;;;
        "\u26B9",  # ;SEXTILE;So;0;ON;;;;;N;;;;;
        "\u26BA",  # ;SEMISEXTILE;So;0;ON;;;;;N;;;;;
        "\u26BB",  # ;QUINCUNX;So;0;ON;;;;;N;;;;;
        "\u26BC",  # ;SESQUIQUADRATE;So;0;ON;;;;;N;;;;;
        "\u26BD",  # ;SOCCER BALL;So;0;ON;;;;;N;;;;;
        "\u26BE",  # ;BASEBALL;So;0;ON;;;;;N;;;;;
        "\u26BF",  # ;SQUARED KEY;So;0;ON;;;;;N;;;;;
        "\u26C0",  # ;WHITE DRAUGHTS MAN;So;0;ON;;;;;N;;;;;
        "\u26C1",  # ;WHITE DRAUGHTS KING;So;0;ON;;;;;N;;;;;
        "\u26C2",  # ;BLACK DRAUGHTS MAN;So;0;ON;;;;;N;;;;;
        "\u26C3",  # ;BLACK DRAUGHTS KING;So;0;ON;;;;;N;;;;;
        "\u26C4",  # ;SNOWMAN WITHOUT SNOW;So;0;ON;;;;;N;;;;;
        "\u26C5",  # ;SUN BEHIND CLOUD;So;0;ON;;;;;N;;;;;
        "\u26C6",  # ;RAIN;So;0;ON;;;;;N;;;;;
        "\u26C7",  # ;BLACK SNOWMAN;So;0;ON;;;;;N;;;;;
        "\u26C8",  # ;THUNDER CLOUD AND RAIN;So;0;ON;;;;;N;;;;;
        "\u26C9",  # ;TURNED WHITE SHOGI PIECE;So;0;ON;;;;;N;;;;;
        "\u26CA",  # ;TURNED BLACK SHOGI PIECE;So;0;ON;;;;;N;;;;;
        "\u26CB",  # ;WHITE DIAMOND IN SQUARE;So;0;ON;;;;;N;;;;;
        "\u26CC",  # ;CROSSING LANES;So;0;ON;;;;;N;;;;;
        "\u26CD",  # ;DISABLED CAR;So;0;ON;;;;;N;;;;;
        "\u26CE",  # ;OPHIUCHUS;So;0;ON;;;;;N;;;;;
        "\u26CF",  # ;PICK;So;0;ON;;;;;N;;;;;
        "\u26D0",  # ;CAR SLIDING;So;0;ON;;;;;N;;;;;
        "\u26D1",  # ;HELMET WITH WHITE CROSS;So;0;ON;;;;;N;;;;;
        "\u26D2",  # ;CIRCLED CROSSING LANES;So;0;ON;;;;;N;;;;;
        "\u26D3",  # ;CHAINS;So;0;ON;;;;;N;;;;;
        "\u26D4",  # ;NO ENTRY;So;0;ON;;;;;N;;;;;
        "\u26D5",  # ;ALTERNATE ONE-WAY LEFT WAY TRAFFIC;So;0;ON;;;;;N;;;;;
        "\u26D6",  # ;BLACK TWO-WAY LEFT WAY TRAFFIC;So;0;ON;;;;;N;;;;;
        "\u26D7",  # ;WHITE TWO-WAY LEFT WAY TRAFFIC;So;0;ON;;;;;N;;;;;
        "\u26D8",  # ;BLACK LEFT LANE MERGE;So;0;ON;;;;;N;;;;;
        "\u26D9",  # ;WHITE LEFT LANE MERGE;So;0;ON;;;;;N;;;;;
        "\u26DA",  # ;DRIVE SLOW SIGN;So;0;ON;;;;;N;;;;;
        "\u26DB",  # ;HEAVY WHITE DOWN-POINTING TRIANGLE;So;0;ON;;;;;N;;;;;
        "\u26DC",  # ;LEFT CLOSED ENTRY;So;0;ON;;;;;N;;;;;
        "\u26DD",  # ;SQUARED SALTIRE;So;0;ON;;;;;N;;;;;
        "\u26DE",  # ;FALLING DIAGONAL IN WHITE CIRCLE IN BLACK SQUARE;So;0;ON;;;;;N;;;;;
        "\u26DF",  # ;BLACK TRUCK;So;0;ON;;;;;N;;;;;
        "\u26E0",  # ;RESTRICTED LEFT ENTRY-1;So;0;ON;;;;;N;;;;;
        "\u26E1",  # ;RESTRICTED LEFT ENTRY-2;So;0;ON;;;;;N;;;;;
        "\u26E2",  # ;ASTRONOMICAL SYMBOL FOR URANUS;So;0;ON;;;;;N;;;;;
        "\u26E3",  # ;HEAVY CIRCLE WITH STROKE AND TWO DOTS ABOVE;So;0;ON;;;;;N;;;;;
        "\u26E4",  # ;PENTAGRAM;So;0;ON;;;;;N;;;;;
        "\u26E5",  # ;RIGHT-HANDED INTERLACED PENTAGRAM;So;0;ON;;;;;N;;;;;
        "\u26E6",  # ;LEFT-HANDED INTERLACED PENTAGRAM;So;0;ON;;;;;N;;;;;
        "\u26E7",  # ;INVERTED PENTAGRAM;So;0;ON;;;;;N;;;;;
        "\u26E8",  # ;BLACK CROSS ON SHIELD;So;0;ON;;;;;N;;;;;
        "\u26E9",  # ;SHINTO SHRINE;So;0;ON;;;;;N;;;;;
        "\u26EA",  # ;CHURCH;So;0;ON;;;;;N;;;;;
        "\u26EB",  # ;CASTLE;So;0;ON;;;;;N;;;;;
        "\u26EC",  # ;HISTORIC SITE;So;0;ON;;;;;N;;;;;
        "\u26ED",  # ;GEAR WITHOUT HUB;So;0;ON;;;;;N;;;;;
        "\u26EE",  # ;GEAR WITH HANDLES;So;0;ON;;;;;N;;;;;
        "\u26EF",  # ;MAP SYMBOL FOR LIGHTHOUSE;So;0;ON;;;;;N;;;;;
        "\u26F0",  # ;MOUNTAIN;So;0;ON;;;;;N;;;;;
        "\u26F1",  # ;UMBRELLA ON GROUND;So;0;ON;;;;;N;;;;;
        "\u26F2",  # ;FOUNTAIN;So;0;ON;;;;;N;;;;;
        "\u26F3",  # ;FLAG IN HOLE;So;0;ON;;;;;N;;;;;
        "\u26F4",  # ;FERRY;So;0;ON;;;;;N;;;;;
        "\u26F5",  # ;SAILBOAT;So;0;ON;;;;;N;;;;;
        "\u26F6",  # ;SQUARE FOUR CORNERS;So;0;ON;;;;;N;;;;;
        "\u26F7",  # ;SKIER;So;0;ON;;;;;N;;;;;
        "\u26F8",  # ;ICE SKATE;So;0;ON;;;;;N;;;;;
        "\u26F9",  # ;PERSON WITH BALL;So;0;ON;;;;;N;;;;;
        "\u26FA",  # ;TENT;So;0;ON;;;;;N;;;;;
        "\u26FB",  # ;JAPANESE BANK SYMBOL;So;0;ON;;;;;N;;;;;
        "\u26FC",  # ;HEADSTONE GRAVEYARD SYMBOL;So;0;ON;;;;;N;;;;;
        "\u26FD",  # ;FUEL PUMP;So;0;ON;;;;;N;;;;;
        "\u26FE",  # ;CUP ON BLACK SQUARE;So;0;ON;;;;;N;;;;;
        "\u26FF",  # ;WHITE FLAG WITH HORIZONTAL MIDDLE BLACK STRIPE;So;0;ON;;;;;N;;;;;
        "\u2700",  # ;BLACK SAFETY SCISSORS;So;0;ON;;;;;N;;;;;
        "\u2701",  # ;UPPER BLADE SCISSORS;So;0;ON;;;;;N;;;;;
        "\u2702",  # ;BLACK SCISSORS;So;0;ON;;;;;N;;;;;
        "\u2703",  # ;LOWER BLADE SCISSORS;So;0;ON;;;;;N;;;;;
        "\u2704",  # ;WHITE SCISSORS;So;0;ON;;;;;N;;;;;
        "\u2705",  # ;WHITE HEAVY CHECK MARK;So;0;ON;;;;;N;;;;;
        "\u2706",  # ;TELEPHONE LOCATION SIGN;So;0;ON;;;;;N;;;;;
        "\u2707",  # ;TAPE DRIVE;So;0;ON;;;;;N;;;;;
        "\u2708",  # ;AIRPLANE;So;0;ON;;;;;N;;;;;
        "\u2709",  # ;ENVELOPE;So;0;ON;;;;;N;;;;;
        "\u270A",  # ;RAISED FIST;So;0;ON;;;;;N;;;;;
        "\u270B",  # ;RAISED HAND;So;0;ON;;;;;N;;;;;
        "\u270C",  # ;VICTORY HAND;So;0;ON;;;;;N;;;;;
        "\u270D",  # ;WRITING HAND;So;0;ON;;;;;N;;;;;
        "\u270E",  # ;LOWER RIGHT PENCIL;So;0;ON;;;;;N;;;;;
        "\u270F",  # ;PENCIL;So;0;ON;;;;;N;;;;;
        "\u2710",  # ;UPPER RIGHT PENCIL;So;0;ON;;;;;N;;;;;
        "\u2711",  # ;WHITE NIB;So;0;ON;;;;;N;;;;;
        "\u2712",  # ;BLACK NIB;So;0;ON;;;;;N;;;;;
        "\u2713",  # ;CHECK MARK;So;0;ON;;;;;N;;;;;
        "\u2714",  # ;HEAVY CHECK MARK;So;0;ON;;;;;N;;;;;
        "\u2715",  # ;MULTIPLICATION X;So;0;ON;;;;;N;;;;;
        "\u2716",  # ;HEAVY MULTIPLICATION X;So;0;ON;;;;;N;;;;;
        "\u2717",  # ;BALLOT X;So;0;ON;;;;;N;;;;;
        "\u2718",  # ;HEAVY BALLOT X;So;0;ON;;;;;N;;;;;
        "\u2719",  # ;OUTLINED GREEK CROSS;So;0;ON;;;;;N;;;;;
        "\u271A",  # ;HEAVY GREEK CROSS;So;0;ON;;;;;N;;;;;
        "\u271B",  # ;OPEN CENTRE CROSS;So;0;ON;;;;;N;OPEN CENTER CROSS;;;;
        "\u271C",  # ;HEAVY OPEN CENTRE CROSS;So;0;ON;;;;;N;HEAVY OPEN CENTER CROSS;;;;
        "\u271D",  # ;LATIN CROSS;So;0;ON;;;;;N;;;;;
        "\u271E",  # ;SHADOWED WHITE LATIN CROSS;So;0;ON;;;;;N;;;;;
        "\u271F",  # ;OUTLINED LATIN CROSS;So;0;ON;;;;;N;;;;;
        "\u2720",  # ;MALTESE CROSS;So;0;ON;;;;;N;;;;;
        "\u2721",  # ;STAR OF DAVID;So;0;ON;;;;;N;;;;;
        "\u2722",  # ;FOUR TEARDROP-SPOKED ASTERISK;So;0;ON;;;;;N;;;;;
        "\u2723",  # ;FOUR BALLOON-SPOKED ASTERISK;So;0;ON;;;;;N;;;;;
        "\u2724",  # ;HEAVY FOUR BALLOON-SPOKED ASTERISK;So;0;ON;;;;;N;;;;;
        "\u2725",  # ;FOUR CLUB-SPOKED ASTERISK;So;0;ON;;;;;N;;;;;
        "\u2726",  # ;BLACK FOUR POINTED STAR;So;0;ON;;;;;N;;;;;
        "\u2727",  # ;WHITE FOUR POINTED STAR;So;0;ON;;;;;N;;;;;
        "\u2728",  # ;SPARKLES;So;0;ON;;;;;N;;;;;
        "\u2729",  # ;STRESS OUTLINED WHITE STAR;So;0;ON;;;;;N;;;;;
        "\u272A",  # ;CIRCLED WHITE STAR;So;0;ON;;;;;N;;;;;
        "\u272B",  # ;OPEN CENTRE BLACK STAR;So;0;ON;;;;;N;OPEN CENTER BLACK STAR;;;;
        "\u272C",  # ;BLACK CENTRE WHITE STAR;So;0;ON;;;;;N;BLACK CENTER WHITE STAR;;;;
        "\u272D",  # ;OUTLINED BLACK STAR;So;0;ON;;;;;N;;;;;
        "\u272E",  # ;HEAVY OUTLINED BLACK STAR;So;0;ON;;;;;N;;;;;
        "\u272F",  # ;PINWHEEL STAR;So;0;ON;;;;;N;;;;;
        "\u2730",  # ;SHADOWED WHITE STAR;So;0;ON;;;;;N;;;;;
        "\u2731",  # ;HEAVY ASTERISK;So;0;ON;;;;;N;;;;;
        "\u2732",  # ;OPEN CENTRE ASTERISK;So;0;ON;;;;;N;OPEN CENTER ASTERISK;;;;
        "\u2733",  # ;EIGHT SPOKED ASTERISK;So;0;ON;;;;;N;;;;;
        "\u2734",  # ;EIGHT POINTED BLACK STAR;So;0;ON;;;;;N;;;;;
        "\u2735",  # ;EIGHT POINTED PINWHEEL STAR;So;0;ON;;;;;N;;;;;
        "\u2736",  # ;SIX POINTED BLACK STAR;So;0;ON;;;;;N;;;;;
        "\u2737",  # ;EIGHT POINTED RECTILINEAR BLACK STAR;So;0;ON;;;;;N;;;;;
        "\u2738",  # ;HEAVY EIGHT POINTED RECTILINEAR BLACK STAR;So;0;ON;;;;;N;;;;;
        "\u2739",  # ;TWELVE POINTED BLACK STAR;So;0;ON;;;;;N;;;;;
        "\u273A",  # ;SIXTEEN POINTED ASTERISK;So;0;ON;;;;;N;;;;;
        "\u273B",  # ;TEARDROP-SPOKED ASTERISK;So;0;ON;;;;;N;;;;;
        "\u273C",  # ;OPEN CENTRE TEARDROP-SPOKED ASTERISK;So;0;ON;;;;;N;OPEN CENTER TEARDROP-SPOKED ASTERISK;;;;
        "\u273D",  # ;HEAVY TEARDROP-SPOKED ASTERISK;So;0;ON;;;;;N;;;;;
        "\u273E",  # ;SIX PETALLED BLACK AND WHITE FLORETTE;So;0;ON;;;;;N;;;;;
        "\u273F",  # ;BLACK FLORETTE;So;0;ON;;;;;N;;;;;
        "\u2740",  # ;WHITE FLORETTE;So;0;ON;;;;;N;;;;;
        "\u2741",  # ;EIGHT PETALLED OUTLINED BLACK FLORETTE;So;0;ON;;;;;N;;;;;
        "\u2742",  # ;CIRCLED OPEN CENTRE EIGHT POINTED STAR;So;0;ON;;;;;N;CIRCLED OPEN CENTER EIGHT POINTED STAR;;;;
        "\u2743",  # ;HEAVY TEARDROP-SPOKED PINWHEEL ASTERISK;So;0;ON;;;;;N;;;;;
        "\u2744",  # ;SNOWFLAKE;So;0;ON;;;;;N;;;;;
        "\u2745",  # ;TIGHT TRIFOLIATE SNOWFLAKE;So;0;ON;;;;;N;;;;;
        "\u2746",  # ;HEAVY CHEVRON SNOWFLAKE;So;0;ON;;;;;N;;;;;
        "\u2747",  # ;SPARKLE;So;0;ON;;;;;N;;;;;
        "\u2748",  # ;HEAVY SPARKLE;So;0;ON;;;;;N;;;;;
        "\u2749",  # ;BALLOON-SPOKED ASTERISK;So;0;ON;;;;;N;;;;;
        "\u274A",  # ;EIGHT TEARDROP-SPOKED PROPELLER ASTERISK;So;0;ON;;;;;N;;;;;
        "\u274B",  # ;HEAVY EIGHT TEARDROP-SPOKED PROPELLER ASTERISK;So;0;ON;;;;;N;;;;;
        "\u274C",  # ;CROSS MARK;So;0;ON;;;;;N;;;;;
        "\u274D",  # ;SHADOWED WHITE CIRCLE;So;0;ON;;;;;N;;;;;
        "\u274E",  # ;NEGATIVE SQUARED CROSS MARK;So;0;ON;;;;;N;;;;;
        "\u274F",  # ;LOWER RIGHT DROP-SHADOWED WHITE SQUARE;So;0;ON;;;;;N;;;;;
        "\u2750",  # ;UPPER RIGHT DROP-SHADOWED WHITE SQUARE;So;0;ON;;;;;N;;;;;
        "\u2751",  # ;LOWER RIGHT SHADOWED WHITE SQUARE;So;0;ON;;;;;N;;;;;
        "\u2752",  # ;UPPER RIGHT SHADOWED WHITE SQUARE;So;0;ON;;;;;N;;;;;
        "\u2753",  # ;BLACK QUESTION MARK ORNAMENT;So;0;ON;;;;;N;;;;;
        "\u2754",  # ;WHITE QUESTION MARK ORNAMENT;So;0;ON;;;;;N;;;;;
        "\u2755",  # ;WHITE EXCLAMATION MARK ORNAMENT;So;0;ON;;;;;N;;;;;
        "\u2756",  # ;BLACK DIAMOND MINUS WHITE X;So;0;ON;;;;;N;;;;;
        "\u2757",  # ;HEAVY EXCLAMATION MARK SYMBOL;So;0;ON;;;;;N;;;;;
        "\u2758",  # ;LIGHT VERTICAL BAR;So;0;ON;;;;;N;;;;;
        "\u2759",  # ;MEDIUM VERTICAL BAR;So;0;ON;;;;;N;;;;;
        "\u275A",  # ;HEAVY VERTICAL BAR;So;0;ON;;;;;N;;;;;
        "\u275B",  # ;HEAVY SINGLE TURNED COMMA QUOTATION MARK ORNAMENT;So;0;ON;;;;;N;;;;;
        "\u275C",  # ;HEAVY SINGLE COMMA QUOTATION MARK ORNAMENT;So;0;ON;;;;;N;;;;;
        "\u275D",  # ;HEAVY DOUBLE TURNED COMMA QUOTATION MARK ORNAMENT;So;0;ON;;;;;N;;;;;
        "\u275E",  # ;HEAVY DOUBLE COMMA QUOTATION MARK ORNAMENT;So;0;ON;;;;;N;;;;;
        "\u275F",  # ;HEAVY LOW SINGLE COMMA QUOTATION MARK ORNAMENT;So;0;ON;;;;;N;;;;;
        "\u2760",  # ;HEAVY LOW DOUBLE COMMA QUOTATION MARK ORNAMENT;So;0;ON;;;;;N;;;;;
        "\u2761",  # ;CURVED STEM PARAGRAPH SIGN ORNAMENT;So;0;ON;;;;;N;;;;;
        "\u2762",  # ;HEAVY EXCLAMATION MARK ORNAMENT;So;0;ON;;;;;N;;;;;
        "\u2763",  # ;HEAVY HEART EXCLAMATION MARK ORNAMENT;So;0;ON;;;;;N;;;;;
        "\u2764",  # ;HEAVY BLACK HEART;So;0;ON;;;;;N;;;;;
        "\u2765",  # ;ROTATED HEAVY BLACK HEART BULLET;So;0;ON;;;;;N;;;;;
        "\u2766",  # ;FLORAL HEART;So;0;ON;;;;;N;;;;;
        "\u2767",  # ;ROTATED FLORAL HEART BULLET;So;0;ON;;;;;N;;;;;
        "\u2768",  # ;MEDIUM LEFT PARENTHESIS ORNAMENT;Ps;0;ON;;;;;Y;;;;;
        "\u2769",  # ;MEDIUM RIGHT PARENTHESIS ORNAMENT;Pe;0;ON;;;;;Y;;;;;
        "\u276A",  # ;MEDIUM FLATTENED LEFT PARENTHESIS ORNAMENT;Ps;0;ON;;;;;Y;;;;;
        "\u276B",  # ;MEDIUM FLATTENED RIGHT PARENTHESIS ORNAMENT;Pe;0;ON;;;;;Y;;;;;
        "\u276C",  # ;MEDIUM LEFT-POINTING ANGLE BRACKET ORNAMENT;Ps;0;ON;;;;;Y;;;;;
        "\u276D",  # ;MEDIUM RIGHT-POINTING ANGLE BRACKET ORNAMENT;Pe;0;ON;;;;;Y;;;;;
        "\u276E",  # ;HEAVY LEFT-POINTING ANGLE QUOTATION MARK ORNAMENT;Ps;0;ON;;;;;Y;;;;;
        "\u276F",  # ;HEAVY RIGHT-POINTING ANGLE QUOTATION MARK ORNAMENT;Pe;0;ON;;;;;Y;;;;;
        "\u2770",  # ;HEAVY LEFT-POINTING ANGLE BRACKET ORNAMENT;Ps;0;ON;;;;;Y;;;;;
        "\u2771",  # ;HEAVY RIGHT-POINTING ANGLE BRACKET ORNAMENT;Pe;0;ON;;;;;Y;;;;;
        "\u2772",  # ;LIGHT LEFT TORTOISE SHELL BRACKET ORNAMENT;Ps;0;ON;;;;;Y;;;;;
        "\u2773",  # ;LIGHT RIGHT TORTOISE SHELL BRACKET ORNAMENT;Pe;0;ON;;;;;Y;;;;;
        "\u2774",  # ;MEDIUM LEFT CURLY BRACKET ORNAMENT;Ps;0;ON;;;;;Y;;;;;
        "\u2775",  # ;MEDIUM RIGHT CURLY BRACKET ORNAMENT;Pe;0;ON;;;;;Y;;;;;
        "\u2776",  # ;DINGBAT NEGATIVE CIRCLED DIGIT ONE;No;0;ON;;;1;1;N;INVERSE CIRCLED DIGIT ONE;;;;
        "\u2777",  # ;DINGBAT NEGATIVE CIRCLED DIGIT TWO;No;0;ON;;;2;2;N;INVERSE CIRCLED DIGIT TWO;;;;
        "\u2778",  # ;DINGBAT NEGATIVE CIRCLED DIGIT THREE;No;0;ON;;;3;3;N;INVERSE CIRCLED DIGIT THREE;;;;
        "\u2779",  # ;DINGBAT NEGATIVE CIRCLED DIGIT FOUR;No;0;ON;;;4;4;N;INVERSE CIRCLED DIGIT FOUR;;;;
        "\u277A",  # ;DINGBAT NEGATIVE CIRCLED DIGIT FIVE;No;0;ON;;;5;5;N;INVERSE CIRCLED DIGIT FIVE;;;;
        "\u277B",  # ;DINGBAT NEGATIVE CIRCLED DIGIT SIX;No;0;ON;;;6;6;N;INVERSE CIRCLED DIGIT SIX;;;;
        "\u277C",  # ;DINGBAT NEGATIVE CIRCLED DIGIT SEVEN;No;0;ON;;;7;7;N;INVERSE CIRCLED DIGIT SEVEN;;;;
        "\u277D",  # ;DINGBAT NEGATIVE CIRCLED DIGIT EIGHT;No;0;ON;;;8;8;N;INVERSE CIRCLED DIGIT EIGHT;;;;
        "\u277E",  # ;DINGBAT NEGATIVE CIRCLED DIGIT NINE;No;0;ON;;;9;9;N;INVERSE CIRCLED DIGIT NINE;;;;
        "\u277F",  # ;DINGBAT NEGATIVE CIRCLED NUMBER TEN;No;0;ON;;;;10;N;INVERSE CIRCLED NUMBER TEN;;;;
        "\u2780",  # ;DINGBAT CIRCLED SANS-SERIF DIGIT ONE;No;0;ON;;;1;1;N;CIRCLED SANS-SERIF DIGIT ONE;;;;
        "\u2781",  # ;DINGBAT CIRCLED SANS-SERIF DIGIT TWO;No;0;ON;;;2;2;N;CIRCLED SANS-SERIF DIGIT TWO;;;;
        "\u2782",  # ;DINGBAT CIRCLED SANS-SERIF DIGIT THREE;No;0;ON;;;3;3;N;CIRCLED SANS-SERIF DIGIT THREE;;;;
        "\u2783",  # ;DINGBAT CIRCLED SANS-SERIF DIGIT FOUR;No;0;ON;;;4;4;N;CIRCLED SANS-SERIF DIGIT FOUR;;;;
        "\u2784",  # ;DINGBAT CIRCLED SANS-SERIF DIGIT FIVE;No;0;ON;;;5;5;N;CIRCLED SANS-SERIF DIGIT FIVE;;;;
        "\u2785",  # ;DINGBAT CIRCLED SANS-SERIF DIGIT SIX;No;0;ON;;;6;6;N;CIRCLED SANS-SERIF DIGIT SIX;;;;
        "\u2786",  # ;DINGBAT CIRCLED SANS-SERIF DIGIT SEVEN;No;0;ON;;;7;7;N;CIRCLED SANS-SERIF DIGIT SEVEN;;;;
        "\u2787",  # ;DINGBAT CIRCLED SANS-SERIF DIGIT EIGHT;No;0;ON;;;8;8;N;CIRCLED SANS-SERIF DIGIT EIGHT;;;;
        "\u2788",  # ;DINGBAT CIRCLED SANS-SERIF DIGIT NINE;No;0;ON;;;9;9;N;CIRCLED SANS-SERIF DIGIT NINE;;;;
        "\u2789",  # ;DINGBAT CIRCLED SANS-SERIF NUMBER TEN;No;0;ON;;;;10;N;CIRCLED SANS-SERIF NUMBER TEN;;;;
        "\u278A",  # ;DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT ONE;No;0;ON;;;1;1;N;INVERSE CIRCLED SANS-SERIF DIGIT ONE;;;;
        "\u278B",  # ;DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT TWO;No;0;ON;;;2;2;N;INVERSE CIRCLED SANS-SERIF DIGIT TWO;;;;
        "\u278C",  # ;DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT THREE;No;0;ON;;;3;3;N;INVERSE CIRCLED SANS-SERIF DIGIT THREE;;;;
        "\u278D",  # ;DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT FOUR;No;0;ON;;;4;4;N;INVERSE CIRCLED SANS-SERIF DIGIT FOUR;;;;
        "\u278E",  # ;DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT FIVE;No;0;ON;;;5;5;N;INVERSE CIRCLED SANS-SERIF DIGIT FIVE;;;;
        "\u278F",  # ;DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT SIX;No;0;ON;;;6;6;N;INVERSE CIRCLED SANS-SERIF DIGIT SIX;;;;
        "\u2790",  # ;DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT SEVEN;No;0;ON;;;7;7;N;INVERSE CIRCLED SANS-SERIF DIGIT SEVEN;;;;
        "\u2791",  # ;DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT EIGHT;No;0;ON;;;8;8;N;INVERSE CIRCLED SANS-SERIF DIGIT EIGHT;;;;
        "\u2792",  # ;DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT NINE;No;0;ON;;;9;9;N;INVERSE CIRCLED SANS-SERIF DIGIT NINE;;;;
        "\u2793",  # ;DINGBAT NEGATIVE CIRCLED SANS-SERIF NUMBER TEN;No;0;ON;;;;10;N;INVERSE CIRCLED SANS-SERIF NUMBER TEN;;;;
        "\u2794",  # ;HEAVY WIDE-HEADED RIGHTWARDS ARROW;So;0;ON;;;;;N;HEAVY WIDE-HEADED RIGHT ARROW;;;;
        "\u2795",  # ;HEAVY PLUS SIGN;So;0;ON;;;;;N;;;;;
        "\u2796",  # ;HEAVY MINUS SIGN;So;0;ON;;;;;N;;;;;
        "\u2797",  # ;HEAVY DIVISION SIGN;So;0;ON;;;;;N;;;;;
        "\u2798",  # ;HEAVY SOUTH EAST ARROW;So;0;ON;;;;;N;HEAVY LOWER RIGHT ARROW;;;;
        "\u2799",  # ;HEAVY RIGHTWARDS ARROW;So;0;ON;;;;;N;HEAVY RIGHT ARROW;;;;
        "\u279A",  # ;HEAVY NORTH EAST ARROW;So;0;ON;;;;;N;HEAVY UPPER RIGHT ARROW;;;;
        "\u279B",  # ;DRAFTING POINT RIGHTWARDS ARROW;So;0;ON;;;;;N;DRAFTING POINT RIGHT ARROW;;;;
        "\u279C",  # ;HEAVY ROUND-TIPPED RIGHTWARDS ARROW;So;0;ON;;;;;N;HEAVY ROUND-TIPPED RIGHT ARROW;;;;
        "\u279D",  # ;TRIANGLE-HEADED RIGHTWARDS ARROW;So;0;ON;;;;;N;TRIANGLE-HEADED RIGHT ARROW;;;;
        "\u279E",  # ;HEAVY TRIANGLE-HEADED RIGHTWARDS ARROW;So;0;ON;;;;;N;HEAVY TRIANGLE-HEADED RIGHT ARROW;;;;
        "\u279F",  # ;DASHED TRIANGLE-HEADED RIGHTWARDS ARROW;So;0;ON;;;;;N;DASHED TRIANGLE-HEADED RIGHT ARROW;;;;
        "\u27A0",  # ;HEAVY DASHED TRIANGLE-HEADED RIGHTWARDS ARROW;So;0;ON;;;;;N;HEAVY DASHED TRIANGLE-HEADED RIGHT ARROW;;;;
        "\u27A1",  # ;BLACK RIGHTWARDS ARROW;So;0;ON;;;;;N;BLACK RIGHT ARROW;;;;
        "\u27A2",  # ;THREE-D TOP-LIGHTED RIGHTWARDS ARROWHEAD;So;0;ON;;;;;N;THREE-D TOP-LIGHTED RIGHT ARROWHEAD;;;;
        "\u27A3",  # ;THREE-D BOTTOM-LIGHTED RIGHTWARDS ARROWHEAD;So;0;ON;;;;;N;THREE-D BOTTOM-LIGHTED RIGHT ARROWHEAD;;;;
        "\u27A4",  # ;BLACK RIGHTWARDS ARROWHEAD;So;0;ON;;;;;N;BLACK RIGHT ARROWHEAD;;;;
        "\u27A5",  # ;HEAVY BLACK CURVED DOWNWARDS AND RIGHTWARDS ARROW;So;0;ON;;;;;N;HEAVY BLACK CURVED DOWN AND RIGHT ARROW;;;;
        "\u27A6",  # ;HEAVY BLACK CURVED UPWARDS AND RIGHTWARDS ARROW;So;0;ON;;;;;N;HEAVY BLACK CURVED UP AND RIGHT ARROW;;;;
        "\u27A7",  # ;SQUAT BLACK RIGHTWARDS ARROW;So;0;ON;;;;;N;SQUAT BLACK RIGHT ARROW;;;;
        "\u27A8",  # ;HEAVY CONCAVE-POINTED BLACK RIGHTWARDS ARROW;So;0;ON;;;;;N;HEAVY CONCAVE-POINTED BLACK RIGHT ARROW;;;;
        "\u27A9",  # ;RIGHT-SHADED WHITE RIGHTWARDS ARROW;So;0;ON;;;;;N;RIGHT-SHADED WHITE RIGHT ARROW;;;;
        "\u27AA",  # ;LEFT-SHADED WHITE RIGHTWARDS ARROW;So;0;ON;;;;;N;LEFT-SHADED WHITE RIGHT ARROW;;;;
        "\u27AB",  # ;BACK-TILTED SHADOWED WHITE RIGHTWARDS ARROW;So;0;ON;;;;;N;BACK-TILTED SHADOWED WHITE RIGHT ARROW;;;;
        "\u27AC",  # ;FRONT-TILTED SHADOWED WHITE RIGHTWARDS ARROW;So;0;ON;;;;;N;FRONT-TILTED SHADOWED WHITE RIGHT ARROW;;;;
        "\u27AD",  # ;HEAVY LOWER RIGHT-SHADOWED WHITE RIGHTWARDS ARROW;So;0;ON;;;;;N;HEAVY LOWER RIGHT-SHADOWED WHITE RIGHT ARROW;;;;
        "\u27AE",  # ;HEAVY UPPER RIGHT-SHADOWED WHITE RIGHTWARDS ARROW;So;0;ON;;;;;N;HEAVY UPPER RIGHT-SHADOWED WHITE RIGHT ARROW;;;;
        "\u27AF",  # ;NOTCHED LOWER RIGHT-SHADOWED WHITE RIGHTWARDS ARROW;So;0;ON;;;;;N;NOTCHED LOWER RIGHT-SHADOWED WHITE RIGHT ARROW;;;;
        "\u27B0",  # ;CURLY LOOP;So;0;ON;;;;;N;;;;;
        "\u27B1",  # ;NOTCHED UPPER RIGHT-SHADOWED WHITE RIGHTWARDS ARROW;So;0;ON;;;;;N;NOTCHED UPPER RIGHT-SHADOWED WHITE RIGHT ARROW;;;;
        "\u27B2",  # ;CIRCLED HEAVY WHITE RIGHTWARDS ARROW;So;0;ON;;;;;N;CIRCLED HEAVY WHITE RIGHT ARROW;;;;
        "\u27B3",  # ;WHITE-FEATHERED RIGHTWARDS ARROW;So;0;ON;;;;;N;WHITE-FEATHERED RIGHT ARROW;;;;
        "\u27B4",  # ;BLACK-FEATHERED SOUTH EAST ARROW;So;0;ON;;;;;N;BLACK-FEATHERED LOWER RIGHT ARROW;;;;
        "\u27B5",  # ;BLACK-FEATHERED RIGHTWARDS ARROW;So;0;ON;;;;;N;BLACK-FEATHERED RIGHT ARROW;;;;
        "\u27B6",  # ;BLACK-FEATHERED NORTH EAST ARROW;So;0;ON;;;;;N;BLACK-FEATHERED UPPER RIGHT ARROW;;;;
        "\u27B7",  # ;HEAVY BLACK-FEATHERED SOUTH EAST ARROW;So;0;ON;;;;;N;HEAVY BLACK-FEATHERED LOWER RIGHT ARROW;;;;
        "\u27B8",  # ;HEAVY BLACK-FEATHERED RIGHTWARDS ARROW;So;0;ON;;;;;N;HEAVY BLACK-FEATHERED RIGHT ARROW;;;;
        "\u27B9",  # ;HEAVY BLACK-FEATHERED NORTH EAST ARROW;So;0;ON;;;;;N;HEAVY BLACK-FEATHERED UPPER RIGHT ARROW;;;;
        "\u27BA",  # ;TEARDROP-BARBED RIGHTWARDS ARROW;So;0;ON;;;;;N;TEARDROP-BARBED RIGHT ARROW;;;;
        "\u27BB",  # ;HEAVY TEARDROP-SHANKED RIGHTWARDS ARROW;So;0;ON;;;;;N;HEAVY TEARDROP-SHANKED RIGHT ARROW;;;;
        "\u27BC",  # ;WEDGE-TAILED RIGHTWARDS ARROW;So;0;ON;;;;;N;WEDGE-TAILED RIGHT ARROW;;;;
        "\u27BD",  # ;HEAVY WEDGE-TAILED RIGHTWARDS ARROW;So;0;ON;;;;;N;HEAVY WEDGE-TAILED RIGHT ARROW;;;;
        "\u27BE",  # ;OPEN-OUTLINED RIGHTWARDS ARROW;So;0;ON;;;;;N;OPEN-OUTLINED RIGHT ARROW;;;;
        "\u27BF",  # ;DOUBLE CURLY LOOP;So;0;ON;;;;;N;;;;;
        "\u27C0",  # ;THREE DIMENSIONAL ANGLE;Sm;0;ON;;;;;Y;;;;;
        "\u27C1",  # ;WHITE TRIANGLE CONTAINING SMALL WHITE TRIANGLE;Sm;0;ON;;;;;N;;;;;
        "\u27C2",  # ;PERPENDICULAR;Sm;0;ON;;;;;N;;;;;
        "\u27C3",  # ;OPEN SUBSET;Sm;0;ON;;;;;Y;;;;;
        "\u27C4",  # ;OPEN SUPERSET;Sm;0;ON;;;;;Y;;;;;
        "\u27C5",  # ;LEFT S-SHAPED BAG DELIMITER;Ps;0;ON;;;;;Y;;;;;
        "\u27C6",  # ;RIGHT S-SHAPED BAG DELIMITER;Pe;0;ON;;;;;Y;;;;;
        "\u27C7",  # ;OR WITH DOT INSIDE;Sm;0;ON;;;;;N;;;;;
        "\u27C8",  # ;REVERSE SOLIDUS PRECEDING SUBSET;Sm;0;ON;;;;;Y;;;;;
        "\u27C9",  # ;SUPERSET PRECEDING SOLIDUS;Sm;0;ON;;;;;Y;;;;;
        "\u27CA",  # ;VERTICAL BAR WITH HORIZONTAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u27CB",  # ;MATHEMATICAL RISING DIAGONAL;Sm;0;ON;;;;;Y;;;;;
        "\u27CC",  # ;LONG DIVISION;Sm;0;ON;;;;;Y;;;;;
        "\u27CD",  # ;MATHEMATICAL FALLING DIAGONAL;Sm;0;ON;;;;;Y;;;;;
        "\u27CE",  # ;SQUARED LOGICAL AND;Sm;0;ON;;;;;N;;;;;
        "\u27CF",  # ;SQUARED LOGICAL OR;Sm;0;ON;;;;;N;;;;;
        "\u27D0",  # ;WHITE DIAMOND WITH CENTRED DOT;Sm;0;ON;;;;;N;;;;;
        "\u27D1",  # ;AND WITH DOT;Sm;0;ON;;;;;N;;;;;
        "\u27D2",  # ;ELEMENT OF OPENING UPWARDS;Sm;0;ON;;;;;N;;;;;
        "\u27D3",  # ;LOWER RIGHT CORNER WITH DOT;Sm;0;ON;;;;;Y;;;;;
        "\u27D4",  # ;UPPER LEFT CORNER WITH DOT;Sm;0;ON;;;;;Y;;;;;
        "\u27D5",  # ;LEFT OUTER JOIN;Sm;0;ON;;;;;Y;;;;;
        "\u27D6",  # ;RIGHT OUTER JOIN;Sm;0;ON;;;;;Y;;;;;
        "\u27D7",  # ;FULL OUTER JOIN;Sm;0;ON;;;;;N;;;;;
        "\u27D8",  # ;LARGE UP TACK;Sm;0;ON;;;;;N;;;;;
        "\u27D9",  # ;LARGE DOWN TACK;Sm;0;ON;;;;;N;;;;;
        "\u27DA",  # ;LEFT AND RIGHT DOUBLE TURNSTILE;Sm;0;ON;;;;;N;;;;;
        "\u27DB",  # ;LEFT AND RIGHT TACK;Sm;0;ON;;;;;N;;;;;
        "\u27DC",  # ;LEFT MULTIMAP;Sm;0;ON;;;;;Y;;;;;
        "\u27DD",  # ;LONG RIGHT TACK;Sm;0;ON;;;;;Y;;;;;
        "\u27DE",  # ;LONG LEFT TACK;Sm;0;ON;;;;;Y;;;;;
        "\u27DF",  # ;UP TACK WITH CIRCLE ABOVE;Sm;0;ON;;;;;N;;;;;
        "\u27E0",  # ;LOZENGE DIVIDED BY HORIZONTAL RULE;Sm;0;ON;;;;;N;;;;;
        "\u27E1",  # ;WHITE CONCAVE-SIDED DIAMOND;Sm;0;ON;;;;;N;;;;;
        "\u27E2",  # ;WHITE CONCAVE-SIDED DIAMOND WITH LEFTWARDS TICK;Sm;0;ON;;;;;Y;;;;;
        "\u27E3",  # ;WHITE CONCAVE-SIDED DIAMOND WITH RIGHTWARDS TICK;Sm;0;ON;;;;;Y;;;;;
        "\u27E4",  # ;WHITE SQUARE WITH LEFTWARDS TICK;Sm;0;ON;;;;;Y;;;;;
        "\u27E5",  # ;WHITE SQUARE WITH RIGHTWARDS TICK;Sm;0;ON;;;;;Y;;;;;
        "\u27E6",  # ;MATHEMATICAL LEFT WHITE SQUARE BRACKET;Ps;0;ON;;;;;Y;;;;;
        "\u27E7",  # ;MATHEMATICAL RIGHT WHITE SQUARE BRACKET;Pe;0;ON;;;;;Y;;;;;
        "\u27E8",  # ;MATHEMATICAL LEFT ANGLE BRACKET;Ps;0;ON;;;;;Y;;;;;
        "\u27E9",  # ;MATHEMATICAL RIGHT ANGLE BRACKET;Pe;0;ON;;;;;Y;;;;;
        "\u27EA",  # ;MATHEMATICAL LEFT DOUBLE ANGLE BRACKET;Ps;0;ON;;;;;Y;;;;;
        "\u27EB",  # ;MATHEMATICAL RIGHT DOUBLE ANGLE BRACKET;Pe;0;ON;;;;;Y;;;;;
        "\u27EC",  # ;MATHEMATICAL LEFT WHITE TORTOISE SHELL BRACKET;Ps;0;ON;;;;;Y;;;;;
        "\u27ED",  # ;MATHEMATICAL RIGHT WHITE TORTOISE SHELL BRACKET;Pe;0;ON;;;;;Y;;;;;
        "\u27EE",  # ;MATHEMATICAL LEFT FLATTENED PARENTHESIS;Ps;0;ON;;;;;Y;;;;;
        "\u27EF",  # ;MATHEMATICAL RIGHT FLATTENED PARENTHESIS;Pe;0;ON;;;;;Y;;;;;
        "\u27F0",  # ;UPWARDS QUADRUPLE ARROW;Sm;0;ON;;;;;N;;;;;
        "\u27F1",  # ;DOWNWARDS QUADRUPLE ARROW;Sm;0;ON;;;;;N;;;;;
        "\u27F2",  # ;ANTICLOCKWISE GAPPED CIRCLE ARROW;Sm;0;ON;;;;;N;;;;;
        "\u27F3",  # ;CLOCKWISE GAPPED CIRCLE ARROW;Sm;0;ON;;;;;N;;;;;
        "\u27F4",  # ;RIGHT ARROW WITH CIRCLED PLUS;Sm;0;ON;;;;;N;;;;;
        "\u27F5",  # ;LONG LEFTWARDS ARROW;Sm;0;ON;;;;;N;;;;;
        "\u27F6",  # ;LONG RIGHTWARDS ARROW;Sm;0;ON;;;;;N;;;;;
        "\u27F7",  # ;LONG LEFT RIGHT ARROW;Sm;0;ON;;;;;N;;;;;
        "\u27F8",  # ;LONG LEFTWARDS DOUBLE ARROW;Sm;0;ON;;;;;N;;;;;
        "\u27F9",  # ;LONG RIGHTWARDS DOUBLE ARROW;Sm;0;ON;;;;;N;;;;;
        "\u27FA",  # ;LONG LEFT RIGHT DOUBLE ARROW;Sm;0;ON;;;;;N;;;;;
        "\u27FB",  # ;LONG LEFTWARDS ARROW FROM BAR;Sm;0;ON;;;;;N;;;;;
        "\u27FC",  # ;LONG RIGHTWARDS ARROW FROM BAR;Sm;0;ON;;;;;N;;;;;
        "\u27FD",  # ;LONG LEFTWARDS DOUBLE ARROW FROM BAR;Sm;0;ON;;;;;N;;;;;
        "\u27FE",  # ;LONG RIGHTWARDS DOUBLE ARROW FROM BAR;Sm;0;ON;;;;;N;;;;;
        "\u27FF",  # ;LONG RIGHTWARDS SQUIGGLE ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2800",  # ;BRAILLE PATTERN BLANK;So;0;L;;;;;N;;;;;
        "\u2801",  # ;BRAILLE PATTERN DOTS-1;So;0;L;;;;;N;;;;;
        "\u2802",  # ;BRAILLE PATTERN DOTS-2;So;0;L;;;;;N;;;;;
        "\u2803",  # ;BRAILLE PATTERN DOTS-12;So;0;L;;;;;N;;;;;
        "\u2804",  # ;BRAILLE PATTERN DOTS-3;So;0;L;;;;;N;;;;;
        "\u2805",  # ;BRAILLE PATTERN DOTS-13;So;0;L;;;;;N;;;;;
        "\u2806",  # ;BRAILLE PATTERN DOTS-23;So;0;L;;;;;N;;;;;
        "\u2807",  # ;BRAILLE PATTERN DOTS-123;So;0;L;;;;;N;;;;;
        "\u2808",  # ;BRAILLE PATTERN DOTS-4;So;0;L;;;;;N;;;;;
        "\u2809",  # ;BRAILLE PATTERN DOTS-14;So;0;L;;;;;N;;;;;
        "\u280A",  # ;BRAILLE PATTERN DOTS-24;So;0;L;;;;;N;;;;;
        "\u280B",  # ;BRAILLE PATTERN DOTS-124;So;0;L;;;;;N;;;;;
        "\u280C",  # ;BRAILLE PATTERN DOTS-34;So;0;L;;;;;N;;;;;
        "\u280D",  # ;BRAILLE PATTERN DOTS-134;So;0;L;;;;;N;;;;;
        "\u280E",  # ;BRAILLE PATTERN DOTS-234;So;0;L;;;;;N;;;;;
        "\u280F",  # ;BRAILLE PATTERN DOTS-1234;So;0;L;;;;;N;;;;;
        "\u2810",  # ;BRAILLE PATTERN DOTS-5;So;0;L;;;;;N;;;;;
        "\u2811",  # ;BRAILLE PATTERN DOTS-15;So;0;L;;;;;N;;;;;
        "\u2812",  # ;BRAILLE PATTERN DOTS-25;So;0;L;;;;;N;;;;;
        "\u2813",  # ;BRAILLE PATTERN DOTS-125;So;0;L;;;;;N;;;;;
        "\u2814",  # ;BRAILLE PATTERN DOTS-35;So;0;L;;;;;N;;;;;
        "\u2815",  # ;BRAILLE PATTERN DOTS-135;So;0;L;;;;;N;;;;;
        "\u2816",  # ;BRAILLE PATTERN DOTS-235;So;0;L;;;;;N;;;;;
        "\u2817",  # ;BRAILLE PATTERN DOTS-1235;So;0;L;;;;;N;;;;;
        "\u2818",  # ;BRAILLE PATTERN DOTS-45;So;0;L;;;;;N;;;;;
        "\u2819",  # ;BRAILLE PATTERN DOTS-145;So;0;L;;;;;N;;;;;
        "\u281A",  # ;BRAILLE PATTERN DOTS-245;So;0;L;;;;;N;;;;;
        "\u281B",  # ;BRAILLE PATTERN DOTS-1245;So;0;L;;;;;N;;;;;
        "\u281C",  # ;BRAILLE PATTERN DOTS-345;So;0;L;;;;;N;;;;;
        "\u281D",  # ;BRAILLE PATTERN DOTS-1345;So;0;L;;;;;N;;;;;
        "\u281E",  # ;BRAILLE PATTERN DOTS-2345;So;0;L;;;;;N;;;;;
        "\u281F",  # ;BRAILLE PATTERN DOTS-12345;So;0;L;;;;;N;;;;;
        "\u2820",  # ;BRAILLE PATTERN DOTS-6;So;0;L;;;;;N;;;;;
        "\u2821",  # ;BRAILLE PATTERN DOTS-16;So;0;L;;;;;N;;;;;
        "\u2822",  # ;BRAILLE PATTERN DOTS-26;So;0;L;;;;;N;;;;;
        "\u2823",  # ;BRAILLE PATTERN DOTS-126;So;0;L;;;;;N;;;;;
        "\u2824",  # ;BRAILLE PATTERN DOTS-36;So;0;L;;;;;N;;;;;
        "\u2825",  # ;BRAILLE PATTERN DOTS-136;So;0;L;;;;;N;;;;;
        "\u2826",  # ;BRAILLE PATTERN DOTS-236;So;0;L;;;;;N;;;;;
        "\u2827",  # ;BRAILLE PATTERN DOTS-1236;So;0;L;;;;;N;;;;;
        "\u2828",  # ;BRAILLE PATTERN DOTS-46;So;0;L;;;;;N;;;;;
        "\u2829",  # ;BRAILLE PATTERN DOTS-146;So;0;L;;;;;N;;;;;
        "\u282A",  # ;BRAILLE PATTERN DOTS-246;So;0;L;;;;;N;;;;;
        "\u282B",  # ;BRAILLE PATTERN DOTS-1246;So;0;L;;;;;N;;;;;
        "\u282C",  # ;BRAILLE PATTERN DOTS-346;So;0;L;;;;;N;;;;;
        "\u282D",  # ;BRAILLE PATTERN DOTS-1346;So;0;L;;;;;N;;;;;
        "\u282E",  # ;BRAILLE PATTERN DOTS-2346;So;0;L;;;;;N;;;;;
        "\u282F",  # ;BRAILLE PATTERN DOTS-12346;So;0;L;;;;;N;;;;;
        "\u2830",  # ;BRAILLE PATTERN DOTS-56;So;0;L;;;;;N;;;;;
        "\u2831",  # ;BRAILLE PATTERN DOTS-156;So;0;L;;;;;N;;;;;
        "\u2832",  # ;BRAILLE PATTERN DOTS-256;So;0;L;;;;;N;;;;;
        "\u2833",  # ;BRAILLE PATTERN DOTS-1256;So;0;L;;;;;N;;;;;
        "\u2834",  # ;BRAILLE PATTERN DOTS-356;So;0;L;;;;;N;;;;;
        "\u2835",  # ;BRAILLE PATTERN DOTS-1356;So;0;L;;;;;N;;;;;
        "\u2836",  # ;BRAILLE PATTERN DOTS-2356;So;0;L;;;;;N;;;;;
        "\u2837",  # ;BRAILLE PATTERN DOTS-12356;So;0;L;;;;;N;;;;;
        "\u2838",  # ;BRAILLE PATTERN DOTS-456;So;0;L;;;;;N;;;;;
        "\u2839",  # ;BRAILLE PATTERN DOTS-1456;So;0;L;;;;;N;;;;;
        "\u283A",  # ;BRAILLE PATTERN DOTS-2456;So;0;L;;;;;N;;;;;
        "\u283B",  # ;BRAILLE PATTERN DOTS-12456;So;0;L;;;;;N;;;;;
        "\u283C",  # ;BRAILLE PATTERN DOTS-3456;So;0;L;;;;;N;;;;;
        "\u283D",  # ;BRAILLE PATTERN DOTS-13456;So;0;L;;;;;N;;;;;
        "\u283E",  # ;BRAILLE PATTERN DOTS-23456;So;0;L;;;;;N;;;;;
        "\u283F",  # ;BRAILLE PATTERN DOTS-123456;So;0;L;;;;;N;;;;;
        "\u2840",  # ;BRAILLE PATTERN DOTS-7;So;0;L;;;;;N;;;;;
        "\u2841",  # ;BRAILLE PATTERN DOTS-17;So;0;L;;;;;N;;;;;
        "\u2842",  # ;BRAILLE PATTERN DOTS-27;So;0;L;;;;;N;;;;;
        "\u2843",  # ;BRAILLE PATTERN DOTS-127;So;0;L;;;;;N;;;;;
        "\u2844",  # ;BRAILLE PATTERN DOTS-37;So;0;L;;;;;N;;;;;
        "\u2845",  # ;BRAILLE PATTERN DOTS-137;So;0;L;;;;;N;;;;;
        "\u2846",  # ;BRAILLE PATTERN DOTS-237;So;0;L;;;;;N;;;;;
        "\u2847",  # ;BRAILLE PATTERN DOTS-1237;So;0;L;;;;;N;;;;;
        "\u2848",  # ;BRAILLE PATTERN DOTS-47;So;0;L;;;;;N;;;;;
        "\u2849",  # ;BRAILLE PATTERN DOTS-147;So;0;L;;;;;N;;;;;
        "\u284A",  # ;BRAILLE PATTERN DOTS-247;So;0;L;;;;;N;;;;;
        "\u284B",  # ;BRAILLE PATTERN DOTS-1247;So;0;L;;;;;N;;;;;
        "\u284C",  # ;BRAILLE PATTERN DOTS-347;So;0;L;;;;;N;;;;;
        "\u284D",  # ;BRAILLE PATTERN DOTS-1347;So;0;L;;;;;N;;;;;
        "\u284E",  # ;BRAILLE PATTERN DOTS-2347;So;0;L;;;;;N;;;;;
        "\u284F",  # ;BRAILLE PATTERN DOTS-12347;So;0;L;;;;;N;;;;;
        "\u2850",  # ;BRAILLE PATTERN DOTS-57;So;0;L;;;;;N;;;;;
        "\u2851",  # ;BRAILLE PATTERN DOTS-157;So;0;L;;;;;N;;;;;
        "\u2852",  # ;BRAILLE PATTERN DOTS-257;So;0;L;;;;;N;;;;;
        "\u2853",  # ;BRAILLE PATTERN DOTS-1257;So;0;L;;;;;N;;;;;
        "\u2854",  # ;BRAILLE PATTERN DOTS-357;So;0;L;;;;;N;;;;;
        "\u2855",  # ;BRAILLE PATTERN DOTS-1357;So;0;L;;;;;N;;;;;
        "\u2856",  # ;BRAILLE PATTERN DOTS-2357;So;0;L;;;;;N;;;;;
        "\u2857",  # ;BRAILLE PATTERN DOTS-12357;So;0;L;;;;;N;;;;;
        "\u2858",  # ;BRAILLE PATTERN DOTS-457;So;0;L;;;;;N;;;;;
        "\u2859",  # ;BRAILLE PATTERN DOTS-1457;So;0;L;;;;;N;;;;;
        "\u285A",  # ;BRAILLE PATTERN DOTS-2457;So;0;L;;;;;N;;;;;
        "\u285B",  # ;BRAILLE PATTERN DOTS-12457;So;0;L;;;;;N;;;;;
        "\u285C",  # ;BRAILLE PATTERN DOTS-3457;So;0;L;;;;;N;;;;;
        "\u285D",  # ;BRAILLE PATTERN DOTS-13457;So;0;L;;;;;N;;;;;
        "\u285E",  # ;BRAILLE PATTERN DOTS-23457;So;0;L;;;;;N;;;;;
        "\u285F",  # ;BRAILLE PATTERN DOTS-123457;So;0;L;;;;;N;;;;;
        "\u2860",  # ;BRAILLE PATTERN DOTS-67;So;0;L;;;;;N;;;;;
        "\u2861",  # ;BRAILLE PATTERN DOTS-167;So;0;L;;;;;N;;;;;
        "\u2862",  # ;BRAILLE PATTERN DOTS-267;So;0;L;;;;;N;;;;;
        "\u2863",  # ;BRAILLE PATTERN DOTS-1267;So;0;L;;;;;N;;;;;
        "\u2864",  # ;BRAILLE PATTERN DOTS-367;So;0;L;;;;;N;;;;;
        "\u2865",  # ;BRAILLE PATTERN DOTS-1367;So;0;L;;;;;N;;;;;
        "\u2866",  # ;BRAILLE PATTERN DOTS-2367;So;0;L;;;;;N;;;;;
        "\u2867",  # ;BRAILLE PATTERN DOTS-12367;So;0;L;;;;;N;;;;;
        "\u2868",  # ;BRAILLE PATTERN DOTS-467;So;0;L;;;;;N;;;;;
        "\u2869",  # ;BRAILLE PATTERN DOTS-1467;So;0;L;;;;;N;;;;;
        "\u286A",  # ;BRAILLE PATTERN DOTS-2467;So;0;L;;;;;N;;;;;
        "\u286B",  # ;BRAILLE PATTERN DOTS-12467;So;0;L;;;;;N;;;;;
        "\u286C",  # ;BRAILLE PATTERN DOTS-3467;So;0;L;;;;;N;;;;;
        "\u286D",  # ;BRAILLE PATTERN DOTS-13467;So;0;L;;;;;N;;;;;
        "\u286E",  # ;BRAILLE PATTERN DOTS-23467;So;0;L;;;;;N;;;;;
        "\u286F",  # ;BRAILLE PATTERN DOTS-123467;So;0;L;;;;;N;;;;;
        "\u2870",  # ;BRAILLE PATTERN DOTS-567;So;0;L;;;;;N;;;;;
        "\u2871",  # ;BRAILLE PATTERN DOTS-1567;So;0;L;;;;;N;;;;;
        "\u2872",  # ;BRAILLE PATTERN DOTS-2567;So;0;L;;;;;N;;;;;
        "\u2873",  # ;BRAILLE PATTERN DOTS-12567;So;0;L;;;;;N;;;;;
        "\u2874",  # ;BRAILLE PATTERN DOTS-3567;So;0;L;;;;;N;;;;;
        "\u2875",  # ;BRAILLE PATTERN DOTS-13567;So;0;L;;;;;N;;;;;
        "\u2876",  # ;BRAILLE PATTERN DOTS-23567;So;0;L;;;;;N;;;;;
        "\u2877",  # ;BRAILLE PATTERN DOTS-123567;So;0;L;;;;;N;;;;;
        "\u2878",  # ;BRAILLE PATTERN DOTS-4567;So;0;L;;;;;N;;;;;
        "\u2879",  # ;BRAILLE PATTERN DOTS-14567;So;0;L;;;;;N;;;;;
        "\u287A",  # ;BRAILLE PATTERN DOTS-24567;So;0;L;;;;;N;;;;;
        "\u287B",  # ;BRAILLE PATTERN DOTS-124567;So;0;L;;;;;N;;;;;
        "\u287C",  # ;BRAILLE PATTERN DOTS-34567;So;0;L;;;;;N;;;;;
        "\u287D",  # ;BRAILLE PATTERN DOTS-134567;So;0;L;;;;;N;;;;;
        "\u287E",  # ;BRAILLE PATTERN DOTS-234567;So;0;L;;;;;N;;;;;
        "\u287F",  # ;BRAILLE PATTERN DOTS-1234567;So;0;L;;;;;N;;;;;
        "\u2880",  # ;BRAILLE PATTERN DOTS-8;So;0;L;;;;;N;;;;;
        "\u2881",  # ;BRAILLE PATTERN DOTS-18;So;0;L;;;;;N;;;;;
        "\u2882",  # ;BRAILLE PATTERN DOTS-28;So;0;L;;;;;N;;;;;
        "\u2883",  # ;BRAILLE PATTERN DOTS-128;So;0;L;;;;;N;;;;;
        "\u2884",  # ;BRAILLE PATTERN DOTS-38;So;0;L;;;;;N;;;;;
        "\u2885",  # ;BRAILLE PATTERN DOTS-138;So;0;L;;;;;N;;;;;
        "\u2886",  # ;BRAILLE PATTERN DOTS-238;So;0;L;;;;;N;;;;;
        "\u2887",  # ;BRAILLE PATTERN DOTS-1238;So;0;L;;;;;N;;;;;
        "\u2888",  # ;BRAILLE PATTERN DOTS-48;So;0;L;;;;;N;;;;;
        "\u2889",  # ;BRAILLE PATTERN DOTS-148;So;0;L;;;;;N;;;;;
        "\u288A",  # ;BRAILLE PATTERN DOTS-248;So;0;L;;;;;N;;;;;
        "\u288B",  # ;BRAILLE PATTERN DOTS-1248;So;0;L;;;;;N;;;;;
        "\u288C",  # ;BRAILLE PATTERN DOTS-348;So;0;L;;;;;N;;;;;
        "\u288D",  # ;BRAILLE PATTERN DOTS-1348;So;0;L;;;;;N;;;;;
        "\u288E",  # ;BRAILLE PATTERN DOTS-2348;So;0;L;;;;;N;;;;;
        "\u288F",  # ;BRAILLE PATTERN DOTS-12348;So;0;L;;;;;N;;;;;
        "\u2890",  # ;BRAILLE PATTERN DOTS-58;So;0;L;;;;;N;;;;;
        "\u2891",  # ;BRAILLE PATTERN DOTS-158;So;0;L;;;;;N;;;;;
        "\u2892",  # ;BRAILLE PATTERN DOTS-258;So;0;L;;;;;N;;;;;
        "\u2893",  # ;BRAILLE PATTERN DOTS-1258;So;0;L;;;;;N;;;;;
        "\u2894",  # ;BRAILLE PATTERN DOTS-358;So;0;L;;;;;N;;;;;
        "\u2895",  # ;BRAILLE PATTERN DOTS-1358;So;0;L;;;;;N;;;;;
        "\u2896",  # ;BRAILLE PATTERN DOTS-2358;So;0;L;;;;;N;;;;;
        "\u2897",  # ;BRAILLE PATTERN DOTS-12358;So;0;L;;;;;N;;;;;
        "\u2898",  # ;BRAILLE PATTERN DOTS-458;So;0;L;;;;;N;;;;;
        "\u2899",  # ;BRAILLE PATTERN DOTS-1458;So;0;L;;;;;N;;;;;
        "\u289A",  # ;BRAILLE PATTERN DOTS-2458;So;0;L;;;;;N;;;;;
        "\u289B",  # ;BRAILLE PATTERN DOTS-12458;So;0;L;;;;;N;;;;;
        "\u289C",  # ;BRAILLE PATTERN DOTS-3458;So;0;L;;;;;N;;;;;
        "\u289D",  # ;BRAILLE PATTERN DOTS-13458;So;0;L;;;;;N;;;;;
        "\u289E",  # ;BRAILLE PATTERN DOTS-23458;So;0;L;;;;;N;;;;;
        "\u289F",  # ;BRAILLE PATTERN DOTS-123458;So;0;L;;;;;N;;;;;
        "\u28A0",  # ;BRAILLE PATTERN DOTS-68;So;0;L;;;;;N;;;;;
        "\u28A1",  # ;BRAILLE PATTERN DOTS-168;So;0;L;;;;;N;;;;;
        "\u28A2",  # ;BRAILLE PATTERN DOTS-268;So;0;L;;;;;N;;;;;
        "\u28A3",  # ;BRAILLE PATTERN DOTS-1268;So;0;L;;;;;N;;;;;
        "\u28A4",  # ;BRAILLE PATTERN DOTS-368;So;0;L;;;;;N;;;;;
        "\u28A5",  # ;BRAILLE PATTERN DOTS-1368;So;0;L;;;;;N;;;;;
        "\u28A6",  # ;BRAILLE PATTERN DOTS-2368;So;0;L;;;;;N;;;;;
        "\u28A7",  # ;BRAILLE PATTERN DOTS-12368;So;0;L;;;;;N;;;;;
        "\u28A8",  # ;BRAILLE PATTERN DOTS-468;So;0;L;;;;;N;;;;;
        "\u28A9",  # ;BRAILLE PATTERN DOTS-1468;So;0;L;;;;;N;;;;;
        "\u28AA",  # ;BRAILLE PATTERN DOTS-2468;So;0;L;;;;;N;;;;;
        "\u28AB",  # ;BRAILLE PATTERN DOTS-12468;So;0;L;;;;;N;;;;;
        "\u28AC",  # ;BRAILLE PATTERN DOTS-3468;So;0;L;;;;;N;;;;;
        "\u28AD",  # ;BRAILLE PATTERN DOTS-13468;So;0;L;;;;;N;;;;;
        "\u28AE",  # ;BRAILLE PATTERN DOTS-23468;So;0;L;;;;;N;;;;;
        "\u28AF",  # ;BRAILLE PATTERN DOTS-123468;So;0;L;;;;;N;;;;;
        "\u28B0",  # ;BRAILLE PATTERN DOTS-568;So;0;L;;;;;N;;;;;
        "\u28B1",  # ;BRAILLE PATTERN DOTS-1568;So;0;L;;;;;N;;;;;
        "\u28B2",  # ;BRAILLE PATTERN DOTS-2568;So;0;L;;;;;N;;;;;
        "\u28B3",  # ;BRAILLE PATTERN DOTS-12568;So;0;L;;;;;N;;;;;
        "\u28B4",  # ;BRAILLE PATTERN DOTS-3568;So;0;L;;;;;N;;;;;
        "\u28B5",  # ;BRAILLE PATTERN DOTS-13568;So;0;L;;;;;N;;;;;
        "\u28B6",  # ;BRAILLE PATTERN DOTS-23568;So;0;L;;;;;N;;;;;
        "\u28B7",  # ;BRAILLE PATTERN DOTS-123568;So;0;L;;;;;N;;;;;
        "\u28B8",  # ;BRAILLE PATTERN DOTS-4568;So;0;L;;;;;N;;;;;
        "\u28B9",  # ;BRAILLE PATTERN DOTS-14568;So;0;L;;;;;N;;;;;
        "\u28BA",  # ;BRAILLE PATTERN DOTS-24568;So;0;L;;;;;N;;;;;
        "\u28BB",  # ;BRAILLE PATTERN DOTS-124568;So;0;L;;;;;N;;;;;
        "\u28BC",  # ;BRAILLE PATTERN DOTS-34568;So;0;L;;;;;N;;;;;
        "\u28BD",  # ;BRAILLE PATTERN DOTS-134568;So;0;L;;;;;N;;;;;
        "\u28BE",  # ;BRAILLE PATTERN DOTS-234568;So;0;L;;;;;N;;;;;
        "\u28BF",  # ;BRAILLE PATTERN DOTS-1234568;So;0;L;;;;;N;;;;;
        "\u28C0",  # ;BRAILLE PATTERN DOTS-78;So;0;L;;;;;N;;;;;
        "\u28C1",  # ;BRAILLE PATTERN DOTS-178;So;0;L;;;;;N;;;;;
        "\u28C2",  # ;BRAILLE PATTERN DOTS-278;So;0;L;;;;;N;;;;;
        "\u28C3",  # ;BRAILLE PATTERN DOTS-1278;So;0;L;;;;;N;;;;;
        "\u28C4",  # ;BRAILLE PATTERN DOTS-378;So;0;L;;;;;N;;;;;
        "\u28C5",  # ;BRAILLE PATTERN DOTS-1378;So;0;L;;;;;N;;;;;
        "\u28C6",  # ;BRAILLE PATTERN DOTS-2378;So;0;L;;;;;N;;;;;
        "\u28C7",  # ;BRAILLE PATTERN DOTS-12378;So;0;L;;;;;N;;;;;
        "\u28C8",  # ;BRAILLE PATTERN DOTS-478;So;0;L;;;;;N;;;;;
        "\u28C9",  # ;BRAILLE PATTERN DOTS-1478;So;0;L;;;;;N;;;;;
        "\u28CA",  # ;BRAILLE PATTERN DOTS-2478;So;0;L;;;;;N;;;;;
        "\u28CB",  # ;BRAILLE PATTERN DOTS-12478;So;0;L;;;;;N;;;;;
        "\u28CC",  # ;BRAILLE PATTERN DOTS-3478;So;0;L;;;;;N;;;;;
        "\u28CD",  # ;BRAILLE PATTERN DOTS-13478;So;0;L;;;;;N;;;;;
        "\u28CE",  # ;BRAILLE PATTERN DOTS-23478;So;0;L;;;;;N;;;;;
        "\u28CF",  # ;BRAILLE PATTERN DOTS-123478;So;0;L;;;;;N;;;;;
        "\u28D0",  # ;BRAILLE PATTERN DOTS-578;So;0;L;;;;;N;;;;;
        "\u28D1",  # ;BRAILLE PATTERN DOTS-1578;So;0;L;;;;;N;;;;;
        "\u28D2",  # ;BRAILLE PATTERN DOTS-2578;So;0;L;;;;;N;;;;;
        "\u28D3",  # ;BRAILLE PATTERN DOTS-12578;So;0;L;;;;;N;;;;;
        "\u28D4",  # ;BRAILLE PATTERN DOTS-3578;So;0;L;;;;;N;;;;;
        "\u28D5",  # ;BRAILLE PATTERN DOTS-13578;So;0;L;;;;;N;;;;;
        "\u28D6",  # ;BRAILLE PATTERN DOTS-23578;So;0;L;;;;;N;;;;;
        "\u28D7",  # ;BRAILLE PATTERN DOTS-123578;So;0;L;;;;;N;;;;;
        "\u28D8",  # ;BRAILLE PATTERN DOTS-4578;So;0;L;;;;;N;;;;;
        "\u28D9",  # ;BRAILLE PATTERN DOTS-14578;So;0;L;;;;;N;;;;;
        "\u28DA",  # ;BRAILLE PATTERN DOTS-24578;So;0;L;;;;;N;;;;;
        "\u28DB",  # ;BRAILLE PATTERN DOTS-124578;So;0;L;;;;;N;;;;;
        "\u28DC",  # ;BRAILLE PATTERN DOTS-34578;So;0;L;;;;;N;;;;;
        "\u28DD",  # ;BRAILLE PATTERN DOTS-134578;So;0;L;;;;;N;;;;;
        "\u28DE",  # ;BRAILLE PATTERN DOTS-234578;So;0;L;;;;;N;;;;;
        "\u28DF",  # ;BRAILLE PATTERN DOTS-1234578;So;0;L;;;;;N;;;;;
        "\u28E0",  # ;BRAILLE PATTERN DOTS-678;So;0;L;;;;;N;;;;;
        "\u28E1",  # ;BRAILLE PATTERN DOTS-1678;So;0;L;;;;;N;;;;;
        "\u28E2",  # ;BRAILLE PATTERN DOTS-2678;So;0;L;;;;;N;;;;;
        "\u28E3",  # ;BRAILLE PATTERN DOTS-12678;So;0;L;;;;;N;;;;;
        "\u28E4",  # ;BRAILLE PATTERN DOTS-3678;So;0;L;;;;;N;;;;;
        "\u28E5",  # ;BRAILLE PATTERN DOTS-13678;So;0;L;;;;;N;;;;;
        "\u28E6",  # ;BRAILLE PATTERN DOTS-23678;So;0;L;;;;;N;;;;;
        "\u28E7",  # ;BRAILLE PATTERN DOTS-123678;So;0;L;;;;;N;;;;;
        "\u28E8",  # ;BRAILLE PATTERN DOTS-4678;So;0;L;;;;;N;;;;;
        "\u28E9",  # ;BRAILLE PATTERN DOTS-14678;So;0;L;;;;;N;;;;;
        "\u28EA",  # ;BRAILLE PATTERN DOTS-24678;So;0;L;;;;;N;;;;;
        "\u28EB",  # ;BRAILLE PATTERN DOTS-124678;So;0;L;;;;;N;;;;;
        "\u28EC",  # ;BRAILLE PATTERN DOTS-34678;So;0;L;;;;;N;;;;;
        "\u28ED",  # ;BRAILLE PATTERN DOTS-134678;So;0;L;;;;;N;;;;;
        "\u28EE",  # ;BRAILLE PATTERN DOTS-234678;So;0;L;;;;;N;;;;;
        "\u28EF",  # ;BRAILLE PATTERN DOTS-1234678;So;0;L;;;;;N;;;;;
        "\u28F0",  # ;BRAILLE PATTERN DOTS-5678;So;0;L;;;;;N;;;;;
        "\u28F1",  # ;BRAILLE PATTERN DOTS-15678;So;0;L;;;;;N;;;;;
        "\u28F2",  # ;BRAILLE PATTERN DOTS-25678;So;0;L;;;;;N;;;;;
        "\u28F3",  # ;BRAILLE PATTERN DOTS-125678;So;0;L;;;;;N;;;;;
        "\u28F4",  # ;BRAILLE PATTERN DOTS-35678;So;0;L;;;;;N;;;;;
        "\u28F5",  # ;BRAILLE PATTERN DOTS-135678;So;0;L;;;;;N;;;;;
        "\u28F6",  # ;BRAILLE PATTERN DOTS-235678;So;0;L;;;;;N;;;;;
        "\u28F7",  # ;BRAILLE PATTERN DOTS-1235678;So;0;L;;;;;N;;;;;
        "\u28F8",  # ;BRAILLE PATTERN DOTS-45678;So;0;L;;;;;N;;;;;
        "\u28F9",  # ;BRAILLE PATTERN DOTS-145678;So;0;L;;;;;N;;;;;
        "\u28FA",  # ;BRAILLE PATTERN DOTS-245678;So;0;L;;;;;N;;;;;
        "\u28FB",  # ;BRAILLE PATTERN DOTS-1245678;So;0;L;;;;;N;;;;;
        "\u28FC",  # ;BRAILLE PATTERN DOTS-345678;So;0;L;;;;;N;;;;;
        "\u28FD",  # ;BRAILLE PATTERN DOTS-1345678;So;0;L;;;;;N;;;;;
        "\u28FE",  # ;BRAILLE PATTERN DOTS-2345678;So;0;L;;;;;N;;;;;
        "\u28FF",  # ;BRAILLE PATTERN DOTS-12345678;So;0;L;;;;;N;;;;;
        "\u2900",  # ;RIGHTWARDS TWO-HEADED ARROW WITH VERTICAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u2901",  # ;RIGHTWARDS TWO-HEADED ARROW WITH DOUBLE VERTICAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u2902",  # ;LEFTWARDS DOUBLE ARROW WITH VERTICAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u2903",  # ;RIGHTWARDS DOUBLE ARROW WITH VERTICAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u2904",  # ;LEFT RIGHT DOUBLE ARROW WITH VERTICAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u2905",  # ;RIGHTWARDS TWO-HEADED ARROW FROM BAR;Sm;0;ON;;;;;N;;;;;
        "\u2906",  # ;LEFTWARDS DOUBLE ARROW FROM BAR;Sm;0;ON;;;;;N;;;;;
        "\u2907",  # ;RIGHTWARDS DOUBLE ARROW FROM BAR;Sm;0;ON;;;;;N;;;;;
        "\u2908",  # ;DOWNWARDS ARROW WITH HORIZONTAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u2909",  # ;UPWARDS ARROW WITH HORIZONTAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u290A",  # ;UPWARDS TRIPLE ARROW;Sm;0;ON;;;;;N;;;;;
        "\u290B",  # ;DOWNWARDS TRIPLE ARROW;Sm;0;ON;;;;;N;;;;;
        "\u290C",  # ;LEFTWARDS DOUBLE DASH ARROW;Sm;0;ON;;;;;N;;;;;
        "\u290D",  # ;RIGHTWARDS DOUBLE DASH ARROW;Sm;0;ON;;;;;N;;;;;
        "\u290E",  # ;LEFTWARDS TRIPLE DASH ARROW;Sm;0;ON;;;;;N;;;;;
        "\u290F",  # ;RIGHTWARDS TRIPLE DASH ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2910",  # ;RIGHTWARDS TWO-HEADED TRIPLE DASH ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2911",  # ;RIGHTWARDS ARROW WITH DOTTED STEM;Sm;0;ON;;;;;N;;;;;
        "\u2912",  # ;UPWARDS ARROW TO BAR;Sm;0;ON;;;;;N;;;;;
        "\u2913",  # ;DOWNWARDS ARROW TO BAR;Sm;0;ON;;;;;N;;;;;
        "\u2914",  # ;RIGHTWARDS ARROW WITH TAIL WITH VERTICAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u2915",  # ;RIGHTWARDS ARROW WITH TAIL WITH DOUBLE VERTICAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u2916",  # ;RIGHTWARDS TWO-HEADED ARROW WITH TAIL;Sm;0;ON;;;;;N;;;;;
        "\u2917",  # ;RIGHTWARDS TWO-HEADED ARROW WITH TAIL WITH VERTICAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u2918",  # ;RIGHTWARDS TWO-HEADED ARROW WITH TAIL WITH DOUBLE VERTICAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u2919",  # ;LEFTWARDS ARROW-TAIL;Sm;0;ON;;;;;N;;;;;
        "\u291A",  # ;RIGHTWARDS ARROW-TAIL;Sm;0;ON;;;;;N;;;;;
        "\u291B",  # ;LEFTWARDS DOUBLE ARROW-TAIL;Sm;0;ON;;;;;N;;;;;
        "\u291C",  # ;RIGHTWARDS DOUBLE ARROW-TAIL;Sm;0;ON;;;;;N;;;;;
        "\u291D",  # ;LEFTWARDS ARROW TO BLACK DIAMOND;Sm;0;ON;;;;;N;;;;;
        "\u291E",  # ;RIGHTWARDS ARROW TO BLACK DIAMOND;Sm;0;ON;;;;;N;;;;;
        "\u291F",  # ;LEFTWARDS ARROW FROM BAR TO BLACK DIAMOND;Sm;0;ON;;;;;N;;;;;
        "\u2920",  # ;RIGHTWARDS ARROW FROM BAR TO BLACK DIAMOND;Sm;0;ON;;;;;N;;;;;
        "\u2921",  # ;NORTH WEST AND SOUTH EAST ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2922",  # ;NORTH EAST AND SOUTH WEST ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2923",  # ;NORTH WEST ARROW WITH HOOK;Sm;0;ON;;;;;N;;;;;
        "\u2924",  # ;NORTH EAST ARROW WITH HOOK;Sm;0;ON;;;;;N;;;;;
        "\u2925",  # ;SOUTH EAST ARROW WITH HOOK;Sm;0;ON;;;;;N;;;;;
        "\u2926",  # ;SOUTH WEST ARROW WITH HOOK;Sm;0;ON;;;;;N;;;;;
        "\u2927",  # ;NORTH WEST ARROW AND NORTH EAST ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2928",  # ;NORTH EAST ARROW AND SOUTH EAST ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2929",  # ;SOUTH EAST ARROW AND SOUTH WEST ARROW;Sm;0;ON;;;;;N;;;;;
        "\u292A",  # ;SOUTH WEST ARROW AND NORTH WEST ARROW;Sm;0;ON;;;;;N;;;;;
        "\u292B",  # ;RISING DIAGONAL CROSSING FALLING DIAGONAL;Sm;0;ON;;;;;N;;;;;
        "\u292C",  # ;FALLING DIAGONAL CROSSING RISING DIAGONAL;Sm;0;ON;;;;;N;;;;;
        "\u292D",  # ;SOUTH EAST ARROW CROSSING NORTH EAST ARROW;Sm;0;ON;;;;;N;;;;;
        "\u292E",  # ;NORTH EAST ARROW CROSSING SOUTH EAST ARROW;Sm;0;ON;;;;;N;;;;;
        "\u292F",  # ;FALLING DIAGONAL CROSSING NORTH EAST ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2930",  # ;RISING DIAGONAL CROSSING SOUTH EAST ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2931",  # ;NORTH EAST ARROW CROSSING NORTH WEST ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2932",  # ;NORTH WEST ARROW CROSSING NORTH EAST ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2933",  # ;WAVE ARROW POINTING DIRECTLY RIGHT;Sm;0;ON;;;;;N;;;;;
        "\u2934",  # ;ARROW POINTING RIGHTWARDS THEN CURVING UPWARDS;Sm;0;ON;;;;;N;;;;;
        "\u2935",  # ;ARROW POINTING RIGHTWARDS THEN CURVING DOWNWARDS;Sm;0;ON;;;;;N;;;;;
        "\u2936",  # ;ARROW POINTING DOWNWARDS THEN CURVING LEFTWARDS;Sm;0;ON;;;;;N;;;;;
        "\u2937",  # ;ARROW POINTING DOWNWARDS THEN CURVING RIGHTWARDS;Sm;0;ON;;;;;N;;;;;
        "\u2938",  # ;RIGHT-SIDE ARC CLOCKWISE ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2939",  # ;LEFT-SIDE ARC ANTICLOCKWISE ARROW;Sm;0;ON;;;;;N;;;;;
        "\u293A",  # ;TOP ARC ANTICLOCKWISE ARROW;Sm;0;ON;;;;;N;;;;;
        "\u293B",  # ;BOTTOM ARC ANTICLOCKWISE ARROW;Sm;0;ON;;;;;N;;;;;
        "\u293C",  # ;TOP ARC CLOCKWISE ARROW WITH MINUS;Sm;0;ON;;;;;N;;;;;
        "\u293D",  # ;TOP ARC ANTICLOCKWISE ARROW WITH PLUS;Sm;0;ON;;;;;N;;;;;
        "\u293E",  # ;LOWER RIGHT SEMICIRCULAR CLOCKWISE ARROW;Sm;0;ON;;;;;N;;;;;
        "\u293F",  # ;LOWER LEFT SEMICIRCULAR ANTICLOCKWISE ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2940",  # ;ANTICLOCKWISE CLOSED CIRCLE ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2941",  # ;CLOCKWISE CLOSED CIRCLE ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2942",  # ;RIGHTWARDS ARROW ABOVE SHORT LEFTWARDS ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2943",  # ;LEFTWARDS ARROW ABOVE SHORT RIGHTWARDS ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2944",  # ;SHORT RIGHTWARDS ARROW ABOVE LEFTWARDS ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2945",  # ;RIGHTWARDS ARROW WITH PLUS BELOW;Sm;0;ON;;;;;N;;;;;
        "\u2946",  # ;LEFTWARDS ARROW WITH PLUS BELOW;Sm;0;ON;;;;;N;;;;;
        "\u2947",  # ;RIGHTWARDS ARROW THROUGH X;Sm;0;ON;;;;;N;;;;;
        "\u2948",  # ;LEFT RIGHT ARROW THROUGH SMALL CIRCLE;Sm;0;ON;;;;;N;;;;;
        "\u2949",  # ;UPWARDS TWO-HEADED ARROW FROM SMALL CIRCLE;Sm;0;ON;;;;;N;;;;;
        "\u294A",  # ;LEFT BARB UP RIGHT BARB DOWN HARPOON;Sm;0;ON;;;;;N;;;;;
        "\u294B",  # ;LEFT BARB DOWN RIGHT BARB UP HARPOON;Sm;0;ON;;;;;N;;;;;
        "\u294C",  # ;UP BARB RIGHT DOWN BARB LEFT HARPOON;Sm;0;ON;;;;;N;;;;;
        "\u294D",  # ;UP BARB LEFT DOWN BARB RIGHT HARPOON;Sm;0;ON;;;;;N;;;;;
        "\u294E",  # ;LEFT BARB UP RIGHT BARB UP HARPOON;Sm;0;ON;;;;;N;;;;;
        "\u294F",  # ;UP BARB RIGHT DOWN BARB RIGHT HARPOON;Sm;0;ON;;;;;N;;;;;
        "\u2950",  # ;LEFT BARB DOWN RIGHT BARB DOWN HARPOON;Sm;0;ON;;;;;N;;;;;
        "\u2951",  # ;UP BARB LEFT DOWN BARB LEFT HARPOON;Sm;0;ON;;;;;N;;;;;
        "\u2952",  # ;LEFTWARDS HARPOON WITH BARB UP TO BAR;Sm;0;ON;;;;;N;;;;;
        "\u2953",  # ;RIGHTWARDS HARPOON WITH BARB UP TO BAR;Sm;0;ON;;;;;N;;;;;
        "\u2954",  # ;UPWARDS HARPOON WITH BARB RIGHT TO BAR;Sm;0;ON;;;;;N;;;;;
        "\u2955",  # ;DOWNWARDS HARPOON WITH BARB RIGHT TO BAR;Sm;0;ON;;;;;N;;;;;
        "\u2956",  # ;LEFTWARDS HARPOON WITH BARB DOWN TO BAR;Sm;0;ON;;;;;N;;;;;
        "\u2957",  # ;RIGHTWARDS HARPOON WITH BARB DOWN TO BAR;Sm;0;ON;;;;;N;;;;;
        "\u2958",  # ;UPWARDS HARPOON WITH BARB LEFT TO BAR;Sm;0;ON;;;;;N;;;;;
        "\u2959",  # ;DOWNWARDS HARPOON WITH BARB LEFT TO BAR;Sm;0;ON;;;;;N;;;;;
        "\u295A",  # ;LEFTWARDS HARPOON WITH BARB UP FROM BAR;Sm;0;ON;;;;;N;;;;;
        "\u295B",  # ;RIGHTWARDS HARPOON WITH BARB UP FROM BAR;Sm;0;ON;;;;;N;;;;;
        "\u295C",  # ;UPWARDS HARPOON WITH BARB RIGHT FROM BAR;Sm;0;ON;;;;;N;;;;;
        "\u295D",  # ;DOWNWARDS HARPOON WITH BARB RIGHT FROM BAR;Sm;0;ON;;;;;N;;;;;
        "\u295E",  # ;LEFTWARDS HARPOON WITH BARB DOWN FROM BAR;Sm;0;ON;;;;;N;;;;;
        "\u295F",  # ;RIGHTWARDS HARPOON WITH BARB DOWN FROM BAR;Sm;0;ON;;;;;N;;;;;
        "\u2960",  # ;UPWARDS HARPOON WITH BARB LEFT FROM BAR;Sm;0;ON;;;;;N;;;;;
        "\u2961",  # ;DOWNWARDS HARPOON WITH BARB LEFT FROM BAR;Sm;0;ON;;;;;N;;;;;
        "\u2962",  # ;LEFTWARDS HARPOON WITH BARB UP ABOVE LEFTWARDS HARPOON WITH BARB DOWN;Sm;0;ON;;;;;N;;;;;
        "\u2963",  # ;UPWARDS HARPOON WITH BARB LEFT BESIDE UPWARDS HARPOON WITH BARB RIGHT;Sm;0;ON;;;;;N;;;;;
        "\u2964",  # ;RIGHTWARDS HARPOON WITH BARB UP ABOVE RIGHTWARDS HARPOON WITH BARB DOWN;Sm;0;ON;;;;;N;;;;;
        "\u2965",  # ;DOWNWARDS HARPOON WITH BARB LEFT BESIDE DOWNWARDS HARPOON WITH BARB RIGHT;Sm;0;ON;;;;;N;;;;;
        "\u2966",  # ;LEFTWARDS HARPOON WITH BARB UP ABOVE RIGHTWARDS HARPOON WITH BARB UP;Sm;0;ON;;;;;N;;;;;
        "\u2967",  # ;LEFTWARDS HARPOON WITH BARB DOWN ABOVE RIGHTWARDS HARPOON WITH BARB DOWN;Sm;0;ON;;;;;N;;;;;
        "\u2968",  # ;RIGHTWARDS HARPOON WITH BARB UP ABOVE LEFTWARDS HARPOON WITH BARB UP;Sm;0;ON;;;;;N;;;;;
        "\u2969",  # ;RIGHTWARDS HARPOON WITH BARB DOWN ABOVE LEFTWARDS HARPOON WITH BARB DOWN;Sm;0;ON;;;;;N;;;;;
        "\u296A",  # ;LEFTWARDS HARPOON WITH BARB UP ABOVE LONG DASH;Sm;0;ON;;;;;N;;;;;
        "\u296B",  # ;LEFTWARDS HARPOON WITH BARB DOWN BELOW LONG DASH;Sm;0;ON;;;;;N;;;;;
        "\u296C",  # ;RIGHTWARDS HARPOON WITH BARB UP ABOVE LONG DASH;Sm;0;ON;;;;;N;;;;;
        "\u296D",  # ;RIGHTWARDS HARPOON WITH BARB DOWN BELOW LONG DASH;Sm;0;ON;;;;;N;;;;;
        "\u296E",  # ;UPWARDS HARPOON WITH BARB LEFT BESIDE DOWNWARDS HARPOON WITH BARB RIGHT;Sm;0;ON;;;;;N;;;;;
        "\u296F",  # ;DOWNWARDS HARPOON WITH BARB LEFT BESIDE UPWARDS HARPOON WITH BARB RIGHT;Sm;0;ON;;;;;N;;;;;
        "\u2970",  # ;RIGHT DOUBLE ARROW WITH ROUNDED HEAD;Sm;0;ON;;;;;N;;;;;
        "\u2971",  # ;EQUALS SIGN ABOVE RIGHTWARDS ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2972",  # ;TILDE OPERATOR ABOVE RIGHTWARDS ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2973",  # ;LEFTWARDS ARROW ABOVE TILDE OPERATOR;Sm;0;ON;;;;;N;;;;;
        "\u2974",  # ;RIGHTWARDS ARROW ABOVE TILDE OPERATOR;Sm;0;ON;;;;;N;;;;;
        "\u2975",  # ;RIGHTWARDS ARROW ABOVE ALMOST EQUAL TO;Sm;0;ON;;;;;N;;;;;
        "\u2976",  # ;LESS-THAN ABOVE LEFTWARDS ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2977",  # ;LEFTWARDS ARROW THROUGH LESS-THAN;Sm;0;ON;;;;;N;;;;;
        "\u2978",  # ;GREATER-THAN ABOVE RIGHTWARDS ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2979",  # ;SUBSET ABOVE RIGHTWARDS ARROW;Sm;0;ON;;;;;N;;;;;
        "\u297A",  # ;LEFTWARDS ARROW THROUGH SUBSET;Sm;0;ON;;;;;N;;;;;
        "\u297B",  # ;SUPERSET ABOVE LEFTWARDS ARROW;Sm;0;ON;;;;;N;;;;;
        "\u297C",  # ;LEFT FISH TAIL;Sm;0;ON;;;;;N;;;;;
        "\u297D",  # ;RIGHT FISH TAIL;Sm;0;ON;;;;;N;;;;;
        "\u297E",  # ;UP FISH TAIL;Sm;0;ON;;;;;N;;;;;
        "\u297F",  # ;DOWN FISH TAIL;Sm;0;ON;;;;;N;;;;;
        "\u2980",  # ;TRIPLE VERTICAL BAR DELIMITER;Sm;0;ON;;;;;N;;;;;
        "\u2981",  # ;Z NOTATION SPOT;Sm;0;ON;;;;;N;;;;;
        "\u2982",  # ;Z NOTATION TYPE COLON;Sm;0;ON;;;;;N;;;;;
        "\u2983",  # ;LEFT WHITE CURLY BRACKET;Ps;0;ON;;;;;Y;;;;;
        "\u2984",  # ;RIGHT WHITE CURLY BRACKET;Pe;0;ON;;;;;Y;;;;;
        "\u2985",  # ;LEFT WHITE PARENTHESIS;Ps;0;ON;;;;;Y;;;;;
        "\u2986",  # ;RIGHT WHITE PARENTHESIS;Pe;0;ON;;;;;Y;;;;;
        "\u2987",  # ;Z NOTATION LEFT IMAGE BRACKET;Ps;0;ON;;;;;Y;;;;;
        "\u2988",  # ;Z NOTATION RIGHT IMAGE BRACKET;Pe;0;ON;;;;;Y;;;;;
        "\u2989",  # ;Z NOTATION LEFT BINDING BRACKET;Ps;0;ON;;;;;Y;;;;;
        "\u298A",  # ;Z NOTATION RIGHT BINDING BRACKET;Pe;0;ON;;;;;Y;;;;;
        "\u298B",  # ;LEFT SQUARE BRACKET WITH UNDERBAR;Ps;0;ON;;;;;Y;;;;;
        "\u298C",  # ;RIGHT SQUARE BRACKET WITH UNDERBAR;Pe;0;ON;;;;;Y;;;;;
        "\u298D",  # ;LEFT SQUARE BRACKET WITH TICK IN TOP CORNER;Ps;0;ON;;;;;Y;;;;;
        "\u298E",  # ;RIGHT SQUARE BRACKET WITH TICK IN BOTTOM CORNER;Pe;0;ON;;;;;Y;;;;;
        "\u298F",  # ;LEFT SQUARE BRACKET WITH TICK IN BOTTOM CORNER;Ps;0;ON;;;;;Y;;;;;
        "\u2990",  # ;RIGHT SQUARE BRACKET WITH TICK IN TOP CORNER;Pe;0;ON;;;;;Y;;;;;
        "\u2991",  # ;LEFT ANGLE BRACKET WITH DOT;Ps;0;ON;;;;;Y;;;;;
        "\u2992",  # ;RIGHT ANGLE BRACKET WITH DOT;Pe;0;ON;;;;;Y;;;;;
        "\u2993",  # ;LEFT ARC LESS-THAN BRACKET;Ps;0;ON;;;;;Y;;;;;
        "\u2994",  # ;RIGHT ARC GREATER-THAN BRACKET;Pe;0;ON;;;;;Y;;;;;
        "\u2995",  # ;DOUBLE LEFT ARC GREATER-THAN BRACKET;Ps;0;ON;;;;;Y;;;;;
        "\u2996",  # ;DOUBLE RIGHT ARC LESS-THAN BRACKET;Pe;0;ON;;;;;Y;;;;;
        "\u2997",  # ;LEFT BLACK TORTOISE SHELL BRACKET;Ps;0;ON;;;;;Y;;;;;
        "\u2998",  # ;RIGHT BLACK TORTOISE SHELL BRACKET;Pe;0;ON;;;;;Y;;;;;
        "\u2999",  # ;DOTTED FENCE;Sm;0;ON;;;;;N;;;;;
        "\u299A",  # ;VERTICAL ZIGZAG LINE;Sm;0;ON;;;;;N;;;;;
        "\u299B",  # ;MEASURED ANGLE OPENING LEFT;Sm;0;ON;;;;;Y;;;;;
        "\u299C",  # ;RIGHT ANGLE VARIANT WITH SQUARE;Sm;0;ON;;;;;Y;;;;;
        "\u299D",  # ;MEASURED RIGHT ANGLE WITH DOT;Sm;0;ON;;;;;Y;;;;;
        "\u299E",  # ;ANGLE WITH S INSIDE;Sm;0;ON;;;;;Y;;;;;
        "\u299F",  # ;ACUTE ANGLE;Sm;0;ON;;;;;Y;;;;;
        "\u29A0",  # ;SPHERICAL ANGLE OPENING LEFT;Sm;0;ON;;;;;Y;;;;;
        "\u29A1",  # ;SPHERICAL ANGLE OPENING UP;Sm;0;ON;;;;;Y;;;;;
        "\u29A2",  # ;TURNED ANGLE;Sm;0;ON;;;;;Y;;;;;
        "\u29A3",  # ;REVERSED ANGLE;Sm;0;ON;;;;;Y;;;;;
        "\u29A4",  # ;ANGLE WITH UNDERBAR;Sm;0;ON;;;;;Y;;;;;
        "\u29A5",  # ;REVERSED ANGLE WITH UNDERBAR;Sm;0;ON;;;;;Y;;;;;
        "\u29A6",  # ;OBLIQUE ANGLE OPENING UP;Sm;0;ON;;;;;Y;;;;;
        "\u29A7",  # ;OBLIQUE ANGLE OPENING DOWN;Sm;0;ON;;;;;Y;;;;;
        "\u29A8",  # ;MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING UP AND RIGHT;Sm;0;ON;;;;;Y;;;;;
        "\u29A9",  # ;MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING UP AND LEFT;Sm;0;ON;;;;;Y;;;;;
        "\u29AA",  # ;MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING DOWN AND RIGHT;Sm;0;ON;;;;;Y;;;;;
        "\u29AB",  # ;MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING DOWN AND LEFT;Sm;0;ON;;;;;Y;;;;;
        "\u29AC",  # ;MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING RIGHT AND UP;Sm;0;ON;;;;;Y;;;;;
        "\u29AD",  # ;MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING LEFT AND UP;Sm;0;ON;;;;;Y;;;;;
        "\u29AE",  # ;MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING RIGHT AND DOWN;Sm;0;ON;;;;;Y;;;;;
        "\u29AF",  # ;MEASURED ANGLE WITH OPEN ARM ENDING IN ARROW POINTING LEFT AND DOWN;Sm;0;ON;;;;;Y;;;;;
        "\u29B0",  # ;REVERSED EMPTY SET;Sm;0;ON;;;;;N;;;;;
        "\u29B1",  # ;EMPTY SET WITH OVERBAR;Sm;0;ON;;;;;N;;;;;
        "\u29B2",  # ;EMPTY SET WITH SMALL CIRCLE ABOVE;Sm;0;ON;;;;;N;;;;;
        "\u29B3",  # ;EMPTY SET WITH RIGHT ARROW ABOVE;Sm;0;ON;;;;;N;;;;;
        "\u29B4",  # ;EMPTY SET WITH LEFT ARROW ABOVE;Sm;0;ON;;;;;N;;;;;
        "\u29B5",  # ;CIRCLE WITH HORIZONTAL BAR;Sm;0;ON;;;;;N;;;;;
        "\u29B6",  # ;CIRCLED VERTICAL BAR;Sm;0;ON;;;;;N;;;;;
        "\u29B7",  # ;CIRCLED PARALLEL;Sm;0;ON;;;;;N;;;;;
        "\u29B8",  # ;CIRCLED REVERSE SOLIDUS;Sm;0;ON;;;;;Y;;;;;
        "\u29B9",  # ;CIRCLED PERPENDICULAR;Sm;0;ON;;;;;N;;;;;
        "\u29BA",  # ;CIRCLE DIVIDED BY HORIZONTAL BAR AND TOP HALF DIVIDED BY VERTICAL BAR;Sm;0;ON;;;;;N;;;;;
        "\u29BB",  # ;CIRCLE WITH SUPERIMPOSED X;Sm;0;ON;;;;;N;;;;;
        "\u29BC",  # ;CIRCLED ANTICLOCKWISE-ROTATED DIVISION SIGN;Sm;0;ON;;;;;N;;;;;
        "\u29BD",  # ;UP ARROW THROUGH CIRCLE;Sm;0;ON;;;;;N;;;;;
        "\u29BE",  # ;CIRCLED WHITE BULLET;Sm;0;ON;;;;;N;;;;;
        "\u29BF",  # ;CIRCLED BULLET;Sm;0;ON;;;;;N;;;;;
        "\u29C0",  # ;CIRCLED LESS-THAN;Sm;0;ON;;;;;Y;;;;;
        "\u29C1",  # ;CIRCLED GREATER-THAN;Sm;0;ON;;;;;Y;;;;;
        "\u29C2",  # ;CIRCLE WITH SMALL CIRCLE TO THE RIGHT;Sm;0;ON;;;;;Y;;;;;
        "\u29C3",  # ;CIRCLE WITH TWO HORIZONTAL STROKES TO THE RIGHT;Sm;0;ON;;;;;Y;;;;;
        "\u29C4",  # ;SQUARED RISING DIAGONAL SLASH;Sm;0;ON;;;;;Y;;;;;
        "\u29C5",  # ;SQUARED FALLING DIAGONAL SLASH;Sm;0;ON;;;;;Y;;;;;
        "\u29C6",  # ;SQUARED ASTERISK;Sm;0;ON;;;;;N;;;;;
        "\u29C7",  # ;SQUARED SMALL CIRCLE;Sm;0;ON;;;;;N;;;;;
        "\u29C8",  # ;SQUARED SQUARE;Sm;0;ON;;;;;N;;;;;
        "\u29C9",  # ;TWO JOINED SQUARES;Sm;0;ON;;;;;Y;;;;;
        "\u29CA",  # ;TRIANGLE WITH DOT ABOVE;Sm;0;ON;;;;;N;;;;;
        "\u29CB",  # ;TRIANGLE WITH UNDERBAR;Sm;0;ON;;;;;N;;;;;
        "\u29CC",  # ;S IN TRIANGLE;Sm;0;ON;;;;;N;;;;;
        "\u29CD",  # ;TRIANGLE WITH SERIFS AT BOTTOM;Sm;0;ON;;;;;N;;;;;
        "\u29CE",  # ;RIGHT TRIANGLE ABOVE LEFT TRIANGLE;Sm;0;ON;;;;;Y;;;;;
        "\u29CF",  # ;LEFT TRIANGLE BESIDE VERTICAL BAR;Sm;0;ON;;;;;Y;;;;;
        "\u29D0",  # ;VERTICAL BAR BESIDE RIGHT TRIANGLE;Sm;0;ON;;;;;Y;;;;;
        "\u29D1",  # ;BOWTIE WITH LEFT HALF BLACK;Sm;0;ON;;;;;Y;;;;;
        "\u29D2",  # ;BOWTIE WITH RIGHT HALF BLACK;Sm;0;ON;;;;;Y;;;;;
        "\u29D3",  # ;BLACK BOWTIE;Sm;0;ON;;;;;N;;;;;
        "\u29D4",  # ;TIMES WITH LEFT HALF BLACK;Sm;0;ON;;;;;Y;;;;;
        "\u29D5",  # ;TIMES WITH RIGHT HALF BLACK;Sm;0;ON;;;;;Y;;;;;
        "\u29D6",  # ;WHITE HOURGLASS;Sm;0;ON;;;;;N;;;;;
        "\u29D7",  # ;BLACK HOURGLASS;Sm;0;ON;;;;;N;;;;;
        "\u29D8",  # ;LEFT WIGGLY FENCE;Ps;0;ON;;;;;Y;;;;;
        "\u29D9",  # ;RIGHT WIGGLY FENCE;Pe;0;ON;;;;;Y;;;;;
        "\u29DA",  # ;LEFT DOUBLE WIGGLY FENCE;Ps;0;ON;;;;;Y;;;;;
        "\u29DB",  # ;RIGHT DOUBLE WIGGLY FENCE;Pe;0;ON;;;;;Y;;;;;
        "\u29DC",  # ;INCOMPLETE INFINITY;Sm;0;ON;;;;;Y;;;;;
        "\u29DD",  # ;TIE OVER INFINITY;Sm;0;ON;;;;;N;;;;;
        "\u29DE",  # ;INFINITY NEGATED WITH VERTICAL BAR;Sm;0;ON;;;;;N;;;;;
        "\u29DF",  # ;DOUBLE-ENDED MULTIMAP;Sm;0;ON;;;;;N;;;;;
        "\u29E0",  # ;SQUARE WITH CONTOURED OUTLINE;Sm;0;ON;;;;;N;;;;;
        "\u29E1",  # ;INCREASES AS;Sm;0;ON;;;;;Y;;;;;
        "\u29E2",  # ;SHUFFLE PRODUCT;Sm;0;ON;;;;;N;;;;;
        "\u29E3",  # ;EQUALS SIGN AND SLANTED PARALLEL;Sm;0;ON;;;;;Y;;;;;
        "\u29E4",  # ;EQUALS SIGN AND SLANTED PARALLEL WITH TILDE ABOVE;Sm;0;ON;;;;;Y;;;;;
        "\u29E5",  # ;IDENTICAL TO AND SLANTED PARALLEL;Sm;0;ON;;;;;Y;;;;;
        "\u29E6",  # ;GLEICH STARK;Sm;0;ON;;;;;N;;;;;
        "\u29E7",  # ;THERMODYNAMIC;Sm;0;ON;;;;;N;;;;;
        "\u29E8",  # ;DOWN-POINTING TRIANGLE WITH LEFT HALF BLACK;Sm;0;ON;;;;;Y;;;;;
        "\u29E9",  # ;DOWN-POINTING TRIANGLE WITH RIGHT HALF BLACK;Sm;0;ON;;;;;Y;;;;;
        "\u29EA",  # ;BLACK DIAMOND WITH DOWN ARROW;Sm;0;ON;;;;;N;;;;;
        "\u29EB",  # ;BLACK LOZENGE;Sm;0;ON;;;;;N;;;;;
        "\u29EC",  # ;WHITE CIRCLE WITH DOWN ARROW;Sm;0;ON;;;;;N;;;;;
        "\u29ED",  # ;BLACK CIRCLE WITH DOWN ARROW;Sm;0;ON;;;;;N;;;;;
        "\u29EE",  # ;ERROR-BARRED WHITE SQUARE;Sm;0;ON;;;;;N;;;;;
        "\u29EF",  # ;ERROR-BARRED BLACK SQUARE;Sm;0;ON;;;;;N;;;;;
        "\u29F0",  # ;ERROR-BARRED WHITE DIAMOND;Sm;0;ON;;;;;N;;;;;
        "\u29F1",  # ;ERROR-BARRED BLACK DIAMOND;Sm;0;ON;;;;;N;;;;;
        "\u29F2",  # ;ERROR-BARRED WHITE CIRCLE;Sm;0;ON;;;;;N;;;;;
        "\u29F3",  # ;ERROR-BARRED BLACK CIRCLE;Sm;0;ON;;;;;N;;;;;
        "\u29F4",  # ;RULE-DELAYED;Sm;0;ON;;;;;Y;;;;;
        "\u29F5",  # ;REVERSE SOLIDUS OPERATOR;Sm;0;ON;;;;;Y;;;;;
        "\u29F6",  # ;SOLIDUS WITH OVERBAR;Sm;0;ON;;;;;Y;;;;;
        "\u29F7",  # ;REVERSE SOLIDUS WITH HORIZONTAL STROKE;Sm;0;ON;;;;;Y;;;;;
        "\u29F8",  # ;BIG SOLIDUS;Sm;0;ON;;;;;Y;;;;;
        "\u29F9",  # ;BIG REVERSE SOLIDUS;Sm;0;ON;;;;;Y;;;;;
        "\u29FA",  # ;DOUBLE PLUS;Sm;0;ON;;;;;N;;;;;
        "\u29FB",  # ;TRIPLE PLUS;Sm;0;ON;;;;;N;;;;;
        "\u29FC",  # ;LEFT-POINTING CURVED ANGLE BRACKET;Ps;0;ON;;;;;Y;;;;;
        "\u29FD",  # ;RIGHT-POINTING CURVED ANGLE BRACKET;Pe;0;ON;;;;;Y;;;;;
        "\u29FE",  # ;TINY;Sm;0;ON;;;;;N;;;;;
        "\u29FF",  # ;MINY;Sm;0;ON;;;;;N;;;;;
        "\u2A00",  # ;N-ARY CIRCLED DOT OPERATOR;Sm;0;ON;;;;;N;;;;;
        "\u2A01",  # ;N-ARY CIRCLED PLUS OPERATOR;Sm;0;ON;;;;;N;;;;;
        "\u2A02",  # ;N-ARY CIRCLED TIMES OPERATOR;Sm;0;ON;;;;;N;;;;;
        "\u2A03",  # ;N-ARY UNION OPERATOR WITH DOT;Sm;0;ON;;;;;N;;;;;
        "\u2A04",  # ;N-ARY UNION OPERATOR WITH PLUS;Sm;0;ON;;;;;N;;;;;
        "\u2A05",  # ;N-ARY SQUARE INTERSECTION OPERATOR;Sm;0;ON;;;;;N;;;;;
        "\u2A06",  # ;N-ARY SQUARE UNION OPERATOR;Sm;0;ON;;;;;N;;;;;
        "\u2A07",  # ;TWO LOGICAL AND OPERATOR;Sm;0;ON;;;;;N;;;;;
        "\u2A08",  # ;TWO LOGICAL OR OPERATOR;Sm;0;ON;;;;;N;;;;;
        "\u2A09",  # ;N-ARY TIMES OPERATOR;Sm;0;ON;;;;;N;;;;;
        "\u2A0A",  # ;MODULO TWO SUM;Sm;0;ON;;;;;Y;;;;;
        "\u2A0B",  # ;SUMMATION WITH INTEGRAL;Sm;0;ON;;;;;Y;;;;;
        "\u2A0C",  # ;QUADRUPLE INTEGRAL OPERATOR;Sm;0;ON;<compat> 222B 222B 222B 222B;;;;Y;;;;;
        "\u2A0D",  # ;FINITE PART INTEGRAL;Sm;0;ON;;;;;Y;;;;;
        "\u2A0E",  # ;INTEGRAL WITH DOUBLE STROKE;Sm;0;ON;;;;;Y;;;;;
        "\u2A0F",  # ;INTEGRAL AVERAGE WITH SLASH;Sm;0;ON;;;;;Y;;;;;
        "\u2A10",  # ;CIRCULATION FUNCTION;Sm;0;ON;;;;;Y;;;;;
        "\u2A11",  # ;ANTICLOCKWISE INTEGRATION;Sm;0;ON;;;;;Y;;;;;
        "\u2A12",  # ;LINE INTEGRATION WITH RECTANGULAR PATH AROUND POLE;Sm;0;ON;;;;;Y;;;;;
        "\u2A13",  # ;LINE INTEGRATION WITH SEMICIRCULAR PATH AROUND POLE;Sm;0;ON;;;;;Y;;;;;
        "\u2A14",  # ;LINE INTEGRATION NOT INCLUDING THE POLE;Sm;0;ON;;;;;Y;;;;;
        "\u2A15",  # ;INTEGRAL AROUND A POINT OPERATOR;Sm;0;ON;;;;;Y;;;;;
        "\u2A16",  # ;QUATERNION INTEGRAL OPERATOR;Sm;0;ON;;;;;Y;;;;;
        "\u2A17",  # ;INTEGRAL WITH LEFTWARDS ARROW WITH HOOK;Sm;0;ON;;;;;Y;;;;;
        "\u2A18",  # ;INTEGRAL WITH TIMES SIGN;Sm;0;ON;;;;;Y;;;;;
        "\u2A19",  # ;INTEGRAL WITH INTERSECTION;Sm;0;ON;;;;;Y;;;;;
        "\u2A1A",  # ;INTEGRAL WITH UNION;Sm;0;ON;;;;;Y;;;;;
        "\u2A1B",  # ;INTEGRAL WITH OVERBAR;Sm;0;ON;;;;;Y;;;;;
        "\u2A1C",  # ;INTEGRAL WITH UNDERBAR;Sm;0;ON;;;;;Y;;;;;
        "\u2A1D",  # ;JOIN;Sm;0;ON;;;;;N;;;;;
        "\u2A1E",  # ;LARGE LEFT TRIANGLE OPERATOR;Sm;0;ON;;;;;Y;;;;;
        "\u2A1F",  # ;Z NOTATION SCHEMA COMPOSITION;Sm;0;ON;;;;;Y;;;;;
        "\u2A20",  # ;Z NOTATION SCHEMA PIPING;Sm;0;ON;;;;;Y;;;;;
        "\u2A21",  # ;Z NOTATION SCHEMA PROJECTION;Sm;0;ON;;;;;Y;;;;;
        "\u2A22",  # ;PLUS SIGN WITH SMALL CIRCLE ABOVE;Sm;0;ON;;;;;N;;;;;
        "\u2A23",  # ;PLUS SIGN WITH CIRCUMFLEX ACCENT ABOVE;Sm;0;ON;;;;;N;;;;;
        "\u2A24",  # ;PLUS SIGN WITH TILDE ABOVE;Sm;0;ON;;;;;Y;;;;;
        "\u2A25",  # ;PLUS SIGN WITH DOT BELOW;Sm;0;ON;;;;;N;;;;;
        "\u2A26",  # ;PLUS SIGN WITH TILDE BELOW;Sm;0;ON;;;;;Y;;;;;
        "\u2A27",  # ;PLUS SIGN WITH SUBSCRIPT TWO;Sm;0;ON;;;;;N;;;;;
        "\u2A28",  # ;PLUS SIGN WITH BLACK TRIANGLE;Sm;0;ON;;;;;N;;;;;
        "\u2A29",  # ;MINUS SIGN WITH COMMA ABOVE;Sm;0;ON;;;;;Y;;;;;
        "\u2A2A",  # ;MINUS SIGN WITH DOT BELOW;Sm;0;ON;;;;;N;;;;;
        "\u2A2B",  # ;MINUS SIGN WITH FALLING DOTS;Sm;0;ON;;;;;Y;;;;;
        "\u2A2C",  # ;MINUS SIGN WITH RISING DOTS;Sm;0;ON;;;;;Y;;;;;
        "\u2A2D",  # ;PLUS SIGN IN LEFT HALF CIRCLE;Sm;0;ON;;;;;Y;;;;;
        "\u2A2E",  # ;PLUS SIGN IN RIGHT HALF CIRCLE;Sm;0;ON;;;;;Y;;;;;
        "\u2A2F",  # ;VECTOR OR CROSS PRODUCT;Sm;0;ON;;;;;N;;;;;
        "\u2A30",  # ;MULTIPLICATION SIGN WITH DOT ABOVE;Sm;0;ON;;;;;N;;;;;
        "\u2A31",  # ;MULTIPLICATION SIGN WITH UNDERBAR;Sm;0;ON;;;;;N;;;;;
        "\u2A32",  # ;SEMIDIRECT PRODUCT WITH BOTTOM CLOSED;Sm;0;ON;;;;;N;;;;;
        "\u2A33",  # ;SMASH PRODUCT;Sm;0;ON;;;;;N;;;;;
        "\u2A34",  # ;MULTIPLICATION SIGN IN LEFT HALF CIRCLE;Sm;0;ON;;;;;Y;;;;;
        "\u2A35",  # ;MULTIPLICATION SIGN IN RIGHT HALF CIRCLE;Sm;0;ON;;;;;Y;;;;;
        "\u2A36",  # ;CIRCLED MULTIPLICATION SIGN WITH CIRCUMFLEX ACCENT;Sm;0;ON;;;;;N;;;;;
        "\u2A37",  # ;MULTIPLICATION SIGN IN DOUBLE CIRCLE;Sm;0;ON;;;;;N;;;;;
        "\u2A38",  # ;CIRCLED DIVISION SIGN;Sm;0;ON;;;;;N;;;;;
        "\u2A39",  # ;PLUS SIGN IN TRIANGLE;Sm;0;ON;;;;;N;;;;;
        "\u2A3A",  # ;MINUS SIGN IN TRIANGLE;Sm;0;ON;;;;;N;;;;;
        "\u2A3B",  # ;MULTIPLICATION SIGN IN TRIANGLE;Sm;0;ON;;;;;N;;;;;
        "\u2A3C",  # ;INTERIOR PRODUCT;Sm;0;ON;;;;;Y;;;;;
        "\u2A3D",  # ;RIGHTHAND INTERIOR PRODUCT;Sm;0;ON;;;;;Y;;;;;
        "\u2A3E",  # ;Z NOTATION RELATIONAL COMPOSITION;Sm;0;ON;;;;;Y;;;;;
        "\u2A3F",  # ;AMALGAMATION OR COPRODUCT;Sm;0;ON;;;;;N;;;;;
        "\u2A40",  # ;INTERSECTION WITH DOT;Sm;0;ON;;;;;N;;;;;
        "\u2A41",  # ;UNION WITH MINUS SIGN;Sm;0;ON;;;;;N;;;;;
        "\u2A42",  # ;UNION WITH OVERBAR;Sm;0;ON;;;;;N;;;;;
        "\u2A43",  # ;INTERSECTION WITH OVERBAR;Sm;0;ON;;;;;N;;;;;
        "\u2A44",  # ;INTERSECTION WITH LOGICAL AND;Sm;0;ON;;;;;N;;;;;
        "\u2A45",  # ;UNION WITH LOGICAL OR;Sm;0;ON;;;;;N;;;;;
        "\u2A46",  # ;UNION ABOVE INTERSECTION;Sm;0;ON;;;;;N;;;;;
        "\u2A47",  # ;INTERSECTION ABOVE UNION;Sm;0;ON;;;;;N;;;;;
        "\u2A48",  # ;UNION ABOVE BAR ABOVE INTERSECTION;Sm;0;ON;;;;;N;;;;;
        "\u2A49",  # ;INTERSECTION ABOVE BAR ABOVE UNION;Sm;0;ON;;;;;N;;;;;
        "\u2A4A",  # ;UNION BESIDE AND JOINED WITH UNION;Sm;0;ON;;;;;N;;;;;
        "\u2A4B",  # ;INTERSECTION BESIDE AND JOINED WITH INTERSECTION;Sm;0;ON;;;;;N;;;;;
        "\u2A4C",  # ;CLOSED UNION WITH SERIFS;Sm;0;ON;;;;;N;;;;;
        "\u2A4D",  # ;CLOSED INTERSECTION WITH SERIFS;Sm;0;ON;;;;;N;;;;;
        "\u2A4E",  # ;DOUBLE SQUARE INTERSECTION;Sm;0;ON;;;;;N;;;;;
        "\u2A4F",  # ;DOUBLE SQUARE UNION;Sm;0;ON;;;;;N;;;;;
        "\u2A50",  # ;CLOSED UNION WITH SERIFS AND SMASH PRODUCT;Sm;0;ON;;;;;N;;;;;
        "\u2A51",  # ;LOGICAL AND WITH DOT ABOVE;Sm;0;ON;;;;;N;;;;;
        "\u2A52",  # ;LOGICAL OR WITH DOT ABOVE;Sm;0;ON;;;;;N;;;;;
        "\u2A53",  # ;DOUBLE LOGICAL AND;Sm;0;ON;;;;;N;;;;;
        "\u2A54",  # ;DOUBLE LOGICAL OR;Sm;0;ON;;;;;N;;;;;
        "\u2A55",  # ;TWO INTERSECTING LOGICAL AND;Sm;0;ON;;;;;N;;;;;
        "\u2A56",  # ;TWO INTERSECTING LOGICAL OR;Sm;0;ON;;;;;N;;;;;
        "\u2A57",  # ;SLOPING LARGE OR;Sm;0;ON;;;;;Y;;;;;
        "\u2A58",  # ;SLOPING LARGE AND;Sm;0;ON;;;;;Y;;;;;
        "\u2A59",  # ;LOGICAL OR OVERLAPPING LOGICAL AND;Sm;0;ON;;;;;N;;;;;
        "\u2A5A",  # ;LOGICAL AND WITH MIDDLE STEM;Sm;0;ON;;;;;N;;;;;
        "\u2A5B",  # ;LOGICAL OR WITH MIDDLE STEM;Sm;0;ON;;;;;N;;;;;
        "\u2A5C",  # ;LOGICAL AND WITH HORIZONTAL DASH;Sm;0;ON;;;;;N;;;;;
        "\u2A5D",  # ;LOGICAL OR WITH HORIZONTAL DASH;Sm;0;ON;;;;;N;;;;;
        "\u2A5E",  # ;LOGICAL AND WITH DOUBLE OVERBAR;Sm;0;ON;;;;;N;;;;;
        "\u2A5F",  # ;LOGICAL AND WITH UNDERBAR;Sm;0;ON;;;;;N;;;;;
        "\u2A60",  # ;LOGICAL AND WITH DOUBLE UNDERBAR;Sm;0;ON;;;;;N;;;;;
        "\u2A61",  # ;SMALL VEE WITH UNDERBAR;Sm;0;ON;;;;;N;;;;;
        "\u2A62",  # ;LOGICAL OR WITH DOUBLE OVERBAR;Sm;0;ON;;;;;N;;;;;
        "\u2A63",  # ;LOGICAL OR WITH DOUBLE UNDERBAR;Sm;0;ON;;;;;N;;;;;
        "\u2A64",  # ;Z NOTATION DOMAIN ANTIRESTRICTION;Sm;0;ON;;;;;Y;;;;;
        "\u2A65",  # ;Z NOTATION RANGE ANTIRESTRICTION;Sm;0;ON;;;;;Y;;;;;
        "\u2A66",  # ;EQUALS SIGN WITH DOT BELOW;Sm;0;ON;;;;;N;;;;;
        "\u2A67",  # ;IDENTICAL WITH DOT ABOVE;Sm;0;ON;;;;;N;;;;;
        "\u2A68",  # ;TRIPLE HORIZONTAL BAR WITH DOUBLE VERTICAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u2A69",  # ;TRIPLE HORIZONTAL BAR WITH TRIPLE VERTICAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u2A6A",  # ;TILDE OPERATOR WITH DOT ABOVE;Sm;0;ON;;;;;Y;;;;;
        "\u2A6B",  # ;TILDE OPERATOR WITH RISING DOTS;Sm;0;ON;;;;;Y;;;;;
        "\u2A6C",  # ;SIMILAR MINUS SIMILAR;Sm;0;ON;;;;;Y;;;;;
        "\u2A6D",  # ;CONGRUENT WITH DOT ABOVE;Sm;0;ON;;;;;Y;;;;;
        "\u2A6E",  # ;EQUALS WITH ASTERISK;Sm;0;ON;;;;;N;;;;;
        "\u2A6F",  # ;ALMOST EQUAL TO WITH CIRCUMFLEX ACCENT;Sm;0;ON;;;;;Y;;;;;
        "\u2A70",  # ;APPROXIMATELY EQUAL OR EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2A71",  # ;EQUALS SIGN ABOVE PLUS SIGN;Sm;0;ON;;;;;N;;;;;
        "\u2A72",  # ;PLUS SIGN ABOVE EQUALS SIGN;Sm;0;ON;;;;;N;;;;;
        "\u2A73",  # ;EQUALS SIGN ABOVE TILDE OPERATOR;Sm;0;ON;;;;;Y;;;;;
        "\u2A74",  # ;DOUBLE COLON EQUAL;Sm;0;ON;<compat> 003A 003A 003D;;;;Y;;;;;
        "\u2A75",  # ;TWO CONSECUTIVE EQUALS SIGNS;Sm;0;ON;<compat> 003D 003D;;;;N;;;;;
        "\u2A76",  # ;THREE CONSECUTIVE EQUALS SIGNS;Sm;0;ON;<compat> 003D 003D 003D;;;;N;;;;;
        "\u2A77",  # ;EQUALS SIGN WITH TWO DOTS ABOVE AND TWO DOTS BELOW;Sm;0;ON;;;;;N;;;;;
        "\u2A78",  # ;EQUIVALENT WITH FOUR DOTS ABOVE;Sm;0;ON;;;;;N;;;;;
        "\u2A79",  # ;LESS-THAN WITH CIRCLE INSIDE;Sm;0;ON;;;;;Y;;;;;
        "\u2A7A",  # ;GREATER-THAN WITH CIRCLE INSIDE;Sm;0;ON;;;;;Y;;;;;
        "\u2A7B",  # ;LESS-THAN WITH QUESTION MARK ABOVE;Sm;0;ON;;;;;Y;;;;;
        "\u2A7C",  # ;GREATER-THAN WITH QUESTION MARK ABOVE;Sm;0;ON;;;;;Y;;;;;
        "\u2A7D",  # ;LESS-THAN OR SLANTED EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2A7E",  # ;GREATER-THAN OR SLANTED EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2A7F",  # ;LESS-THAN OR SLANTED EQUAL TO WITH DOT INSIDE;Sm;0;ON;;;;;Y;;;;;
        "\u2A80",  # ;GREATER-THAN OR SLANTED EQUAL TO WITH DOT INSIDE;Sm;0;ON;;;;;Y;;;;;
        "\u2A81",  # ;LESS-THAN OR SLANTED EQUAL TO WITH DOT ABOVE;Sm;0;ON;;;;;Y;;;;;
        "\u2A82",  # ;GREATER-THAN OR SLANTED EQUAL TO WITH DOT ABOVE;Sm;0;ON;;;;;Y;;;;;
        "\u2A83",  # ;LESS-THAN OR SLANTED EQUAL TO WITH DOT ABOVE RIGHT;Sm;0;ON;;;;;Y;;;;;
        "\u2A84",  # ;GREATER-THAN OR SLANTED EQUAL TO WITH DOT ABOVE LEFT;Sm;0;ON;;;;;Y;;;;;
        "\u2A85",  # ;LESS-THAN OR APPROXIMATE;Sm;0;ON;;;;;Y;;;;;
        "\u2A86",  # ;GREATER-THAN OR APPROXIMATE;Sm;0;ON;;;;;Y;;;;;
        "\u2A87",  # ;LESS-THAN AND SINGLE-LINE NOT EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2A88",  # ;GREATER-THAN AND SINGLE-LINE NOT EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2A89",  # ;LESS-THAN AND NOT APPROXIMATE;Sm;0;ON;;;;;Y;;;;;
        "\u2A8A",  # ;GREATER-THAN AND NOT APPROXIMATE;Sm;0;ON;;;;;Y;;;;;
        "\u2A8B",  # ;LESS-THAN ABOVE DOUBLE-LINE EQUAL ABOVE GREATER-THAN;Sm;0;ON;;;;;Y;;;;;
        "\u2A8C",  # ;GREATER-THAN ABOVE DOUBLE-LINE EQUAL ABOVE LESS-THAN;Sm;0;ON;;;;;Y;;;;;
        "\u2A8D",  # ;LESS-THAN ABOVE SIMILAR OR EQUAL;Sm;0;ON;;;;;Y;;;;;
        "\u2A8E",  # ;GREATER-THAN ABOVE SIMILAR OR EQUAL;Sm;0;ON;;;;;Y;;;;;
        "\u2A8F",  # ;LESS-THAN ABOVE SIMILAR ABOVE GREATER-THAN;Sm;0;ON;;;;;Y;;;;;
        "\u2A90",  # ;GREATER-THAN ABOVE SIMILAR ABOVE LESS-THAN;Sm;0;ON;;;;;Y;;;;;
        "\u2A91",  # ;LESS-THAN ABOVE GREATER-THAN ABOVE DOUBLE-LINE EQUAL;Sm;0;ON;;;;;Y;;;;;
        "\u2A92",  # ;GREATER-THAN ABOVE LESS-THAN ABOVE DOUBLE-LINE EQUAL;Sm;0;ON;;;;;Y;;;;;
        "\u2A93",  # ;LESS-THAN ABOVE SLANTED EQUAL ABOVE GREATER-THAN ABOVE SLANTED EQUAL;Sm;0;ON;;;;;Y;;;;;
        "\u2A94",  # ;GREATER-THAN ABOVE SLANTED EQUAL ABOVE LESS-THAN ABOVE SLANTED EQUAL;Sm;0;ON;;;;;Y;;;;;
        "\u2A95",  # ;SLANTED EQUAL TO OR LESS-THAN;Sm;0;ON;;;;;Y;;;;;
        "\u2A96",  # ;SLANTED EQUAL TO OR GREATER-THAN;Sm;0;ON;;;;;Y;;;;;
        "\u2A97",  # ;SLANTED EQUAL TO OR LESS-THAN WITH DOT INSIDE;Sm;0;ON;;;;;Y;;;;;
        "\u2A98",  # ;SLANTED EQUAL TO OR GREATER-THAN WITH DOT INSIDE;Sm;0;ON;;;;;Y;;;;;
        "\u2A99",  # ;DOUBLE-LINE EQUAL TO OR LESS-THAN;Sm;0;ON;;;;;Y;;;;;
        "\u2A9A",  # ;DOUBLE-LINE EQUAL TO OR GREATER-THAN;Sm;0;ON;;;;;Y;;;;;
        "\u2A9B",  # ;DOUBLE-LINE SLANTED EQUAL TO OR LESS-THAN;Sm;0;ON;;;;;Y;;;;;
        "\u2A9C",  # ;DOUBLE-LINE SLANTED EQUAL TO OR GREATER-THAN;Sm;0;ON;;;;;Y;;;;;
        "\u2A9D",  # ;SIMILAR OR LESS-THAN;Sm;0;ON;;;;;Y;;;;;
        "\u2A9E",  # ;SIMILAR OR GREATER-THAN;Sm;0;ON;;;;;Y;;;;;
        "\u2A9F",  # ;SIMILAR ABOVE LESS-THAN ABOVE EQUALS SIGN;Sm;0;ON;;;;;Y;;;;;
        "\u2AA0",  # ;SIMILAR ABOVE GREATER-THAN ABOVE EQUALS SIGN;Sm;0;ON;;;;;Y;;;;;
        "\u2AA1",  # ;DOUBLE NESTED LESS-THAN;Sm;0;ON;;;;;Y;;;;;
        "\u2AA2",  # ;DOUBLE NESTED GREATER-THAN;Sm;0;ON;;;;;Y;;;;;
        "\u2AA3",  # ;DOUBLE NESTED LESS-THAN WITH UNDERBAR;Sm;0;ON;;;;;Y;;;;;
        "\u2AA4",  # ;GREATER-THAN OVERLAPPING LESS-THAN;Sm;0;ON;;;;;N;;;;;
        "\u2AA5",  # ;GREATER-THAN BESIDE LESS-THAN;Sm;0;ON;;;;;N;;;;;
        "\u2AA6",  # ;LESS-THAN CLOSED BY CURVE;Sm;0;ON;;;;;Y;;;;;
        "\u2AA7",  # ;GREATER-THAN CLOSED BY CURVE;Sm;0;ON;;;;;Y;;;;;
        "\u2AA8",  # ;LESS-THAN CLOSED BY CURVE ABOVE SLANTED EQUAL;Sm;0;ON;;;;;Y;;;;;
        "\u2AA9",  # ;GREATER-THAN CLOSED BY CURVE ABOVE SLANTED EQUAL;Sm;0;ON;;;;;Y;;;;;
        "\u2AAA",  # ;SMALLER THAN;Sm;0;ON;;;;;Y;;;;;
        "\u2AAB",  # ;LARGER THAN;Sm;0;ON;;;;;Y;;;;;
        "\u2AAC",  # ;SMALLER THAN OR EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2AAD",  # ;LARGER THAN OR EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2AAE",  # ;EQUALS SIGN WITH BUMPY ABOVE;Sm;0;ON;;;;;N;;;;;
        "\u2AAF",  # ;PRECEDES ABOVE SINGLE-LINE EQUALS SIGN;Sm;0;ON;;;;;Y;;;;;
        "\u2AB0",  # ;SUCCEEDS ABOVE SINGLE-LINE EQUALS SIGN;Sm;0;ON;;;;;Y;;;;;
        "\u2AB1",  # ;PRECEDES ABOVE SINGLE-LINE NOT EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2AB2",  # ;SUCCEEDS ABOVE SINGLE-LINE NOT EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2AB3",  # ;PRECEDES ABOVE EQUALS SIGN;Sm;0;ON;;;;;Y;;;;;
        "\u2AB4",  # ;SUCCEEDS ABOVE EQUALS SIGN;Sm;0;ON;;;;;Y;;;;;
        "\u2AB5",  # ;PRECEDES ABOVE NOT EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2AB6",  # ;SUCCEEDS ABOVE NOT EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2AB7",  # ;PRECEDES ABOVE ALMOST EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2AB8",  # ;SUCCEEDS ABOVE ALMOST EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2AB9",  # ;PRECEDES ABOVE NOT ALMOST EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2ABA",  # ;SUCCEEDS ABOVE NOT ALMOST EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2ABB",  # ;DOUBLE PRECEDES;Sm;0;ON;;;;;Y;;;;;
        "\u2ABC",  # ;DOUBLE SUCCEEDS;Sm;0;ON;;;;;Y;;;;;
        "\u2ABD",  # ;SUBSET WITH DOT;Sm;0;ON;;;;;Y;;;;;
        "\u2ABE",  # ;SUPERSET WITH DOT;Sm;0;ON;;;;;Y;;;;;
        "\u2ABF",  # ;SUBSET WITH PLUS SIGN BELOW;Sm;0;ON;;;;;Y;;;;;
        "\u2AC0",  # ;SUPERSET WITH PLUS SIGN BELOW;Sm;0;ON;;;;;Y;;;;;
        "\u2AC1",  # ;SUBSET WITH MULTIPLICATION SIGN BELOW;Sm;0;ON;;;;;Y;;;;;
        "\u2AC2",  # ;SUPERSET WITH MULTIPLICATION SIGN BELOW;Sm;0;ON;;;;;Y;;;;;
        "\u2AC3",  # ;SUBSET OF OR EQUAL TO WITH DOT ABOVE;Sm;0;ON;;;;;Y;;;;;
        "\u2AC4",  # ;SUPERSET OF OR EQUAL TO WITH DOT ABOVE;Sm;0;ON;;;;;Y;;;;;
        "\u2AC5",  # ;SUBSET OF ABOVE EQUALS SIGN;Sm;0;ON;;;;;Y;;;;;
        "\u2AC6",  # ;SUPERSET OF ABOVE EQUALS SIGN;Sm;0;ON;;;;;Y;;;;;
        "\u2AC7",  # ;SUBSET OF ABOVE TILDE OPERATOR;Sm;0;ON;;;;;Y;;;;;
        "\u2AC8",  # ;SUPERSET OF ABOVE TILDE OPERATOR;Sm;0;ON;;;;;Y;;;;;
        "\u2AC9",  # ;SUBSET OF ABOVE ALMOST EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2ACA",  # ;SUPERSET OF ABOVE ALMOST EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2ACB",  # ;SUBSET OF ABOVE NOT EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2ACC",  # ;SUPERSET OF ABOVE NOT EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2ACD",  # ;SQUARE LEFT OPEN BOX OPERATOR;Sm;0;ON;;;;;Y;;;;;
        "\u2ACE",  # ;SQUARE RIGHT OPEN BOX OPERATOR;Sm;0;ON;;;;;Y;;;;;
        "\u2ACF",  # ;CLOSED SUBSET;Sm;0;ON;;;;;Y;;;;;
        "\u2AD0",  # ;CLOSED SUPERSET;Sm;0;ON;;;;;Y;;;;;
        "\u2AD1",  # ;CLOSED SUBSET OR EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2AD2",  # ;CLOSED SUPERSET OR EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2AD3",  # ;SUBSET ABOVE SUPERSET;Sm;0;ON;;;;;Y;;;;;
        "\u2AD4",  # ;SUPERSET ABOVE SUBSET;Sm;0;ON;;;;;Y;;;;;
        "\u2AD5",  # ;SUBSET ABOVE SUBSET;Sm;0;ON;;;;;Y;;;;;
        "\u2AD6",  # ;SUPERSET ABOVE SUPERSET;Sm;0;ON;;;;;Y;;;;;
        "\u2AD7",  # ;SUPERSET BESIDE SUBSET;Sm;0;ON;;;;;N;;;;;
        "\u2AD8",  # ;SUPERSET BESIDE AND JOINED BY DASH WITH SUBSET;Sm;0;ON;;;;;N;;;;;
        "\u2AD9",  # ;ELEMENT OF OPENING DOWNWARDS;Sm;0;ON;;;;;N;;;;;
        "\u2ADA",  # ;PITCHFORK WITH TEE TOP;Sm;0;ON;;;;;N;;;;;
        "\u2ADB",  # ;TRANSVERSAL INTERSECTION;Sm;0;ON;;;;;N;;;;;
        "\u2ADC",  # ;FORKING;Sm;0;ON;2ADD 0338;;;;Y;;;;;
        "\u2ADD",  # ;NONFORKING;Sm;0;ON;;;;;N;;;;;
        "\u2ADE",  # ;SHORT LEFT TACK;Sm;0;ON;;;;;Y;;;;;
        "\u2ADF",  # ;SHORT DOWN TACK;Sm;0;ON;;;;;N;;;;;
        "\u2AE0",  # ;SHORT UP TACK;Sm;0;ON;;;;;N;;;;;
        "\u2AE1",  # ;PERPENDICULAR WITH S;Sm;0;ON;;;;;N;;;;;
        "\u2AE2",  # ;VERTICAL BAR TRIPLE RIGHT TURNSTILE;Sm;0;ON;;;;;Y;;;;;
        "\u2AE3",  # ;DOUBLE VERTICAL BAR LEFT TURNSTILE;Sm;0;ON;;;;;Y;;;;;
        "\u2AE4",  # ;VERTICAL BAR DOUBLE LEFT TURNSTILE;Sm;0;ON;;;;;Y;;;;;
        "\u2AE5",  # ;DOUBLE VERTICAL BAR DOUBLE LEFT TURNSTILE;Sm;0;ON;;;;;Y;;;;;
        "\u2AE6",  # ;LONG DASH FROM LEFT MEMBER OF DOUBLE VERTICAL;Sm;0;ON;;;;;Y;;;;;
        "\u2AE7",  # ;SHORT DOWN TACK WITH OVERBAR;Sm;0;ON;;;;;N;;;;;
        "\u2AE8",  # ;SHORT UP TACK WITH UNDERBAR;Sm;0;ON;;;;;N;;;;;
        "\u2AE9",  # ;SHORT UP TACK ABOVE SHORT DOWN TACK;Sm;0;ON;;;;;N;;;;;
        "\u2AEA",  # ;DOUBLE DOWN TACK;Sm;0;ON;;;;;N;;;;;
        "\u2AEB",  # ;DOUBLE UP TACK;Sm;0;ON;;;;;N;;;;;
        "\u2AEC",  # ;DOUBLE STROKE NOT SIGN;Sm;0;ON;;;;;Y;;;;;
        "\u2AED",  # ;REVERSED DOUBLE STROKE NOT SIGN;Sm;0;ON;;;;;Y;;;;;
        "\u2AEE",  # ;DOES NOT DIVIDE WITH REVERSED NEGATION SLASH;Sm;0;ON;;;;;Y;;;;;
        "\u2AEF",  # ;VERTICAL LINE WITH CIRCLE ABOVE;Sm;0;ON;;;;;N;;;;;
        "\u2AF0",  # ;VERTICAL LINE WITH CIRCLE BELOW;Sm;0;ON;;;;;N;;;;;
        "\u2AF1",  # ;DOWN TACK WITH CIRCLE BELOW;Sm;0;ON;;;;;N;;;;;
        "\u2AF2",  # ;PARALLEL WITH HORIZONTAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u2AF3",  # ;PARALLEL WITH TILDE OPERATOR;Sm;0;ON;;;;;Y;;;;;
        "\u2AF4",  # ;TRIPLE VERTICAL BAR BINARY RELATION;Sm;0;ON;;;;;N;;;;;
        "\u2AF5",  # ;TRIPLE VERTICAL BAR WITH HORIZONTAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u2AF6",  # ;TRIPLE COLON OPERATOR;Sm;0;ON;;;;;N;;;;;
        "\u2AF7",  # ;TRIPLE NESTED LESS-THAN;Sm;0;ON;;;;;Y;;;;;
        "\u2AF8",  # ;TRIPLE NESTED GREATER-THAN;Sm;0;ON;;;;;Y;;;;;
        "\u2AF9",  # ;DOUBLE-LINE SLANTED LESS-THAN OR EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2AFA",  # ;DOUBLE-LINE SLANTED GREATER-THAN OR EQUAL TO;Sm;0;ON;;;;;Y;;;;;
        "\u2AFB",  # ;TRIPLE SOLIDUS BINARY RELATION;Sm;0;ON;;;;;Y;;;;;
        "\u2AFC",  # ;LARGE TRIPLE VERTICAL BAR OPERATOR;Sm;0;ON;;;;;N;;;;;
        "\u2AFD",  # ;DOUBLE SOLIDUS OPERATOR;Sm;0;ON;;;;;Y;;;;;
        "\u2AFE",  # ;WHITE VERTICAL BAR;Sm;0;ON;;;;;N;;;;;
        "\u2AFF",  # ;N-ARY WHITE VERTICAL BAR;Sm;0;ON;;;;;N;;;;;
        "\u2B00",  # ;NORTH EAST WHITE ARROW;So;0;ON;;;;;N;;;;;
        "\u2B01",  # ;NORTH WEST WHITE ARROW;So;0;ON;;;;;N;;;;;
        "\u2B02",  # ;SOUTH EAST WHITE ARROW;So;0;ON;;;;;N;;;;;
        "\u2B03",  # ;SOUTH WEST WHITE ARROW;So;0;ON;;;;;N;;;;;
        "\u2B04",  # ;LEFT RIGHT WHITE ARROW;So;0;ON;;;;;N;;;;;
        "\u2B05",  # ;LEFTWARDS BLACK ARROW;So;0;ON;;;;;N;;;;;
        "\u2B06",  # ;UPWARDS BLACK ARROW;So;0;ON;;;;;N;;;;;
        "\u2B07",  # ;DOWNWARDS BLACK ARROW;So;0;ON;;;;;N;;;;;
        "\u2B08",  # ;NORTH EAST BLACK ARROW;So;0;ON;;;;;N;;;;;
        "\u2B09",  # ;NORTH WEST BLACK ARROW;So;0;ON;;;;;N;;;;;
        "\u2B0A",  # ;SOUTH EAST BLACK ARROW;So;0;ON;;;;;N;;;;;
        "\u2B0B",  # ;SOUTH WEST BLACK ARROW;So;0;ON;;;;;N;;;;;
        "\u2B0C",  # ;LEFT RIGHT BLACK ARROW;So;0;ON;;;;;N;;;;;
        "\u2B0D",  # ;UP DOWN BLACK ARROW;So;0;ON;;;;;N;;;;;
        "\u2B0E",  # ;RIGHTWARDS ARROW WITH TIP DOWNWARDS;So;0;ON;;;;;N;;;;;
        "\u2B0F",  # ;RIGHTWARDS ARROW WITH TIP UPWARDS;So;0;ON;;;;;N;;;;;
        "\u2B10",  # ;LEFTWARDS ARROW WITH TIP DOWNWARDS;So;0;ON;;;;;N;;;;;
        "\u2B11",  # ;LEFTWARDS ARROW WITH TIP UPWARDS;So;0;ON;;;;;N;;;;;
        "\u2B12",  # ;SQUARE WITH TOP HALF BLACK;So;0;ON;;;;;N;;;;;
        "\u2B13",  # ;SQUARE WITH BOTTOM HALF BLACK;So;0;ON;;;;;N;;;;;
        "\u2B14",  # ;SQUARE WITH UPPER RIGHT DIAGONAL HALF BLACK;So;0;ON;;;;;N;;;;;
        "\u2B15",  # ;SQUARE WITH LOWER LEFT DIAGONAL HALF BLACK;So;0;ON;;;;;N;;;;;
        "\u2B16",  # ;DIAMOND WITH LEFT HALF BLACK;So;0;ON;;;;;N;;;;;
        "\u2B17",  # ;DIAMOND WITH RIGHT HALF BLACK;So;0;ON;;;;;N;;;;;
        "\u2B18",  # ;DIAMOND WITH TOP HALF BLACK;So;0;ON;;;;;N;;;;;
        "\u2B19",  # ;DIAMOND WITH BOTTOM HALF BLACK;So;0;ON;;;;;N;;;;;
        "\u2B1A",  # ;DOTTED SQUARE;So;0;ON;;;;;N;;;;;
        "\u2B1B",  # ;BLACK LARGE SQUARE;So;0;ON;;;;;N;;;;;
        "\u2B1C",  # ;WHITE LARGE SQUARE;So;0;ON;;;;;N;;;;;
        "\u2B1D",  # ;BLACK VERY SMALL SQUARE;So;0;ON;;;;;N;;;;;
        "\u2B1E",  # ;WHITE VERY SMALL SQUARE;So;0;ON;;;;;N;;;;;
        "\u2B1F",  # ;BLACK PENTAGON;So;0;ON;;;;;N;;;;;
        "\u2B20",  # ;WHITE PENTAGON;So;0;ON;;;;;N;;;;;
        "\u2B21",  # ;WHITE HEXAGON;So;0;ON;;;;;N;;;;;
        "\u2B22",  # ;BLACK HEXAGON;So;0;ON;;;;;N;;;;;
        "\u2B23",  # ;HORIZONTAL BLACK HEXAGON;So;0;ON;;;;;N;;;;;
        "\u2B24",  # ;BLACK LARGE CIRCLE;So;0;ON;;;;;N;;;;;
        "\u2B25",  # ;BLACK MEDIUM DIAMOND;So;0;ON;;;;;N;;;;;
        "\u2B26",  # ;WHITE MEDIUM DIAMOND;So;0;ON;;;;;N;;;;;
        "\u2B27",  # ;BLACK MEDIUM LOZENGE;So;0;ON;;;;;N;;;;;
        "\u2B28",  # ;WHITE MEDIUM LOZENGE;So;0;ON;;;;;N;;;;;
        "\u2B29",  # ;BLACK SMALL DIAMOND;So;0;ON;;;;;N;;;;;
        "\u2B2A",  # ;BLACK SMALL LOZENGE;So;0;ON;;;;;N;;;;;
        "\u2B2B",  # ;WHITE SMALL LOZENGE;So;0;ON;;;;;N;;;;;
        "\u2B2C",  # ;BLACK HORIZONTAL ELLIPSE;So;0;ON;;;;;N;;;;;
        "\u2B2D",  # ;WHITE HORIZONTAL ELLIPSE;So;0;ON;;;;;N;;;;;
        "\u2B2E",  # ;BLACK VERTICAL ELLIPSE;So;0;ON;;;;;N;;;;;
        "\u2B2F",  # ;WHITE VERTICAL ELLIPSE;So;0;ON;;;;;N;;;;;
        "\u2B30",  # ;LEFT ARROW WITH SMALL CIRCLE;Sm;0;ON;;;;;N;;;;;
        "\u2B31",  # ;THREE LEFTWARDS ARROWS;Sm;0;ON;;;;;N;;;;;
        "\u2B32",  # ;LEFT ARROW WITH CIRCLED PLUS;Sm;0;ON;;;;;N;;;;;
        "\u2B33",  # ;LONG LEFTWARDS SQUIGGLE ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2B34",  # ;LEFTWARDS TWO-HEADED ARROW WITH VERTICAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u2B35",  # ;LEFTWARDS TWO-HEADED ARROW WITH DOUBLE VERTICAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u2B36",  # ;LEFTWARDS TWO-HEADED ARROW FROM BAR;Sm;0;ON;;;;;N;;;;;
        "\u2B37",  # ;LEFTWARDS TWO-HEADED TRIPLE DASH ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2B38",  # ;LEFTWARDS ARROW WITH DOTTED STEM;Sm;0;ON;;;;;N;;;;;
        "\u2B39",  # ;LEFTWARDS ARROW WITH TAIL WITH VERTICAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u2B3A",  # ;LEFTWARDS ARROW WITH TAIL WITH DOUBLE VERTICAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u2B3B",  # ;LEFTWARDS TWO-HEADED ARROW WITH TAIL;Sm;0;ON;;;;;N;;;;;
        "\u2B3C",  # ;LEFTWARDS TWO-HEADED ARROW WITH TAIL WITH VERTICAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u2B3D",  # ;LEFTWARDS TWO-HEADED ARROW WITH TAIL WITH DOUBLE VERTICAL STROKE;Sm;0;ON;;;;;N;;;;;
        "\u2B3E",  # ;LEFTWARDS ARROW THROUGH X;Sm;0;ON;;;;;N;;;;;
        "\u2B3F",  # ;WAVE ARROW POINTING DIRECTLY LEFT;Sm;0;ON;;;;;N;;;;;
        "\u2B40",  # ;EQUALS SIGN ABOVE LEFTWARDS ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2B41",  # ;REVERSE TILDE OPERATOR ABOVE LEFTWARDS ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2B42",  # ;LEFTWARDS ARROW ABOVE REVERSE ALMOST EQUAL TO;Sm;0;ON;;;;;N;;;;;
        "\u2B43",  # ;RIGHTWARDS ARROW THROUGH GREATER-THAN;Sm;0;ON;;;;;N;;;;;
        "\u2B44",  # ;RIGHTWARDS ARROW THROUGH SUPERSET;Sm;0;ON;;;;;N;;;;;
        "\u2B45",  # ;LEFTWARDS QUADRUPLE ARROW;So;0;ON;;;;;N;;;;;
        "\u2B46",  # ;RIGHTWARDS QUADRUPLE ARROW;So;0;ON;;;;;N;;;;;
        "\u2B47",  # ;REVERSE TILDE OPERATOR ABOVE RIGHTWARDS ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2B48",  # ;RIGHTWARDS ARROW ABOVE REVERSE ALMOST EQUAL TO;Sm;0;ON;;;;;N;;;;;
        "\u2B49",  # ;TILDE OPERATOR ABOVE LEFTWARDS ARROW;Sm;0;ON;;;;;N;;;;;
        "\u2B4A",  # ;LEFTWARDS ARROW ABOVE ALMOST EQUAL TO;Sm;0;ON;;;;;N;;;;;
        "\u2B4B",  # ;LEFTWARDS ARROW ABOVE REVERSE TILDE OPERATOR;Sm;0;ON;;;;;N;;;;;
        "\u2B4C",  # ;RIGHTWARDS ARROW ABOVE REVERSE TILDE OPERATOR;Sm;0;ON;;;;;N;;;;;
        "\u2B4D",  # ;DOWNWARDS TRIANGLE-HEADED ZIGZAG ARROW;So;0;ON;;;;;N;;;;;
        "\u2B4E",  # ;SHORT SLANTED NORTH ARROW;So;0;ON;;;;;N;;;;;
        "\u2B4F",  # ;SHORT BACKSLANTED SOUTH ARROW;So;0;ON;;;;;N;;;;;
        "\u2B50",  # ;WHITE MEDIUM STAR;So;0;ON;;;;;N;;;;;
        "\u2B51",  # ;BLACK SMALL STAR;So;0;ON;;;;;N;;;;;
        "\u2B52",  # ;WHITE SMALL STAR;So;0;ON;;;;;N;;;;;
        "\u2B53",  # ;BLACK RIGHT-POINTING PENTAGON;So;0;ON;;;;;N;;;;;
        "\u2B54",  # ;WHITE RIGHT-POINTING PENTAGON;So;0;ON;;;;;N;;;;;
        "\u2B55",  # ;HEAVY LARGE CIRCLE;So;0;ON;;;;;N;;;;;
        "\u2B56",  # ;HEAVY OVAL WITH OVAL INSIDE;So;0;ON;;;;;N;;;;;
        "\u2B57",  # ;HEAVY CIRCLE WITH CIRCLE INSIDE;So;0;ON;;;;;N;;;;;
        "\u2B58",  # ;HEAVY CIRCLE;So;0;ON;;;;;N;;;;;
        "\u2B59",  # ;HEAVY CIRCLED SALTIRE;So;0;ON;;;;;N;;;;;
        "\u2B5A",  # ;SLANTED NORTH ARROW WITH HOOKED HEAD;So;0;ON;;;;;N;;;;;
        "\u2B5B",  # ;BACKSLANTED SOUTH ARROW WITH HOOKED TAIL;So;0;ON;;;;;N;;;;;
        "\u2B5C",  # ;SLANTED NORTH ARROW WITH HORIZONTAL TAIL;So;0;ON;;;;;N;;;;;
        "\u2B5D",  # ;BACKSLANTED SOUTH ARROW WITH HORIZONTAL TAIL;So;0;ON;;;;;N;;;;;
        "\u2B5E",  # ;BENT ARROW POINTING DOWNWARDS THEN NORTH EAST;So;0;ON;;;;;N;;;;;
        "\u2B5F",  # ;SHORT BENT ARROW POINTING DOWNWARDS THEN NORTH EAST;So;0;ON;;;;;N;;;;;
        "\u2B60",  # ;LEFTWARDS TRIANGLE-HEADED ARROW;So;0;ON;;;;;N;;;;;
        "\u2B61",  # ;UPWARDS TRIANGLE-HEADED ARROW;So;0;ON;;;;;N;;;;;
        "\u2B62",  # ;RIGHTWARDS TRIANGLE-HEADED ARROW;So;0;ON;;;;;N;;;;;
        "\u2B63",  # ;DOWNWARDS TRIANGLE-HEADED ARROW;So;0;ON;;;;;N;;;;;
        "\u2B64",  # ;LEFT RIGHT TRIANGLE-HEADED ARROW;So;0;ON;;;;;N;;;;;
        "\u2B65",  # ;UP DOWN TRIANGLE-HEADED ARROW;So;0;ON;;;;;N;;;;;
        "\u2B66",  # ;NORTH WEST TRIANGLE-HEADED ARROW;So;0;ON;;;;;N;;;;;
        "\u2B67",  # ;NORTH EAST TRIANGLE-HEADED ARROW;So;0;ON;;;;;N;;;;;
        "\u2B68",  # ;SOUTH EAST TRIANGLE-HEADED ARROW;So;0;ON;;;;;N;;;;;
        "\u2B69",  # ;SOUTH WEST TRIANGLE-HEADED ARROW;So;0;ON;;;;;N;;;;;
        "\u2B6A",  # ;LEFTWARDS TRIANGLE-HEADED DASHED ARROW;So;0;ON;;;;;N;;;;;
        "\u2B6B",  # ;UPWARDS TRIANGLE-HEADED DASHED ARROW;So;0;ON;;;;;N;;;;;
        "\u2B6C",  # ;RIGHTWARDS TRIANGLE-HEADED DASHED ARROW;So;0;ON;;;;;N;;;;;
        "\u2B6D",  # ;DOWNWARDS TRIANGLE-HEADED DASHED ARROW;So;0;ON;;;;;N;;;;;
        "\u2B6E",  # ;CLOCKWISE TRIANGLE-HEADED OPEN CIRCLE ARROW;So;0;ON;;;;;N;;;;;
        "\u2B6F",  # ;ANTICLOCKWISE TRIANGLE-HEADED OPEN CIRCLE ARROW;So;0;ON;;;;;N;;;;;
        "\u2B70",  # ;LEFTWARDS TRIANGLE-HEADED ARROW TO BAR;So;0;ON;;;;;N;;;;;
        "\u2B71",  # ;UPWARDS TRIANGLE-HEADED ARROW TO BAR;So;0;ON;;;;;N;;;;;
        "\u2B72",  # ;RIGHTWARDS TRIANGLE-HEADED ARROW TO BAR;So;0;ON;;;;;N;;;;;
        "\u2B73",  # ;DOWNWARDS TRIANGLE-HEADED ARROW TO BAR;So;0;ON;;;;;N;;;;;
        "\u2B76",  # ;NORTH WEST TRIANGLE-HEADED ARROW TO BAR;So;0;ON;;;;;N;;;;;
        "\u2B77",  # ;NORTH EAST TRIANGLE-HEADED ARROW TO BAR;So;0;ON;;;;;N;;;;;
        "\u2B78",  # ;SOUTH EAST TRIANGLE-HEADED ARROW TO BAR;So;0;ON;;;;;N;;;;;
        "\u2B79",  # ;SOUTH WEST TRIANGLE-HEADED ARROW TO BAR;So;0;ON;;;;;N;;;;;
        "\u2B7A",  # ;LEFTWARDS TRIANGLE-HEADED ARROW WITH DOUBLE HORIZONTAL STROKE;So;0;ON;;;;;N;;;;;
        "\u2B7B",  # ;UPWARDS TRIANGLE-HEADED ARROW WITH DOUBLE HORIZONTAL STROKE;So;0;ON;;;;;N;;;;;
        "\u2B7C",  # ;RIGHTWARDS TRIANGLE-HEADED ARROW WITH DOUBLE HORIZONTAL STROKE;So;0;ON;;;;;N;;;;;
        "\u2B7D",  # ;DOWNWARDS TRIANGLE-HEADED ARROW WITH DOUBLE HORIZONTAL STROKE;So;0;ON;;;;;N;;;;;
        "\u2B7E",  # ;HORIZONTAL TAB KEY;So;0;ON;;;;;N;;;;;
        "\u2B7F",  # ;VERTICAL TAB KEY;So;0;ON;;;;;N;;;;;
        "\u2B80",  # ;LEFTWARDS TRIANGLE-HEADED ARROW OVER RIGHTWARDS TRIANGLE-HEADED ARROW;So;0;ON;;;;;N;;;;;
        "\u2B81",  # ;UPWARDS TRIANGLE-HEADED ARROW LEFTWARDS OF DOWNWARDS TRIANGLE-HEADED ARROW;So;0;ON;;;;;N;;;;;
        "\u2B82",  # ;RIGHTWARDS TRIANGLE-HEADED ARROW OVER LEFTWARDS TRIANGLE-HEADED ARROW;So;0;ON;;;;;N;;;;;
        "\u2B83",  # ;DOWNWARDS TRIANGLE-HEADED ARROW LEFTWARDS OF UPWARDS TRIANGLE-HEADED ARROW;So;0;ON;;;;;N;;;;;
        "\u2B84",  # ;LEFTWARDS TRIANGLE-HEADED PAIRED ARROWS;So;0;ON;;;;;N;;;;;
        "\u2B85",  # ;UPWARDS TRIANGLE-HEADED PAIRED ARROWS;So;0;ON;;;;;N;;;;;
        "\u2B86",  # ;RIGHTWARDS TRIANGLE-HEADED PAIRED ARROWS;So;0;ON;;;;;N;;;;;
        "\u2B87",  # ;DOWNWARDS TRIANGLE-HEADED PAIRED ARROWS;So;0;ON;;;;;N;;;;;
        "\u2B88",  # ;LEFTWARDS BLACK CIRCLED WHITE ARROW;So;0;ON;;;;;N;;;;;
        "\u2B89",  # ;UPWARDS BLACK CIRCLED WHITE ARROW;So;0;ON;;;;;N;;;;;
        "\u2B8A",  # ;RIGHTWARDS BLACK CIRCLED WHITE ARROW;So;0;ON;;;;;N;;;;;
        "\u2B8B",  # ;DOWNWARDS BLACK CIRCLED WHITE ARROW;So;0;ON;;;;;N;;;;;
        "\u2B8C",  # ;ANTICLOCKWISE TRIANGLE-HEADED RIGHT U-SHAPED ARROW;So;0;ON;;;;;N;;;;;
        "\u2B8D",  # ;ANTICLOCKWISE TRIANGLE-HEADED BOTTOM U-SHAPED ARROW;So;0;ON;;;;;N;;;;;
        "\u2B8E",  # ;ANTICLOCKWISE TRIANGLE-HEADED LEFT U-SHAPED ARROW;So;0;ON;;;;;N;;;;;
        "\u2B8F",  # ;ANTICLOCKWISE TRIANGLE-HEADED TOP U-SHAPED ARROW;So;0;ON;;;;;N;;;;;
        "\u2B90",  # ;RETURN LEFT;So;0;ON;;;;;N;;;;;
        "\u2B91",  # ;RETURN RIGHT;So;0;ON;;;;;N;;;;;
        "\u2B92",  # ;NEWLINE LEFT;So;0;ON;;;;;N;;;;;
        "\u2B93",  # ;NEWLINE RIGHT;So;0;ON;;;;;N;;;;;
        "\u2B94",  # ;FOUR CORNER ARROWS CIRCLING ANTICLOCKWISE;So;0;ON;;;;;N;;;;;
        "\u2B95",  # ;RIGHTWARDS BLACK ARROW;So;0;ON;;;;;N;;;;;
        "\u2B98",  # ;THREE-D TOP-LIGHTED LEFTWARDS EQUILATERAL ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u2B99",  # ;THREE-D RIGHT-LIGHTED UPWARDS EQUILATERAL ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u2B9A",  # ;THREE-D TOP-LIGHTED RIGHTWARDS EQUILATERAL ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u2B9B",  # ;THREE-D LEFT-LIGHTED DOWNWARDS EQUILATERAL ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u2B9C",  # ;BLACK LEFTWARDS EQUILATERAL ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u2B9D",  # ;BLACK UPWARDS EQUILATERAL ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u2B9E",  # ;BLACK RIGHTWARDS EQUILATERAL ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u2B9F",  # ;BLACK DOWNWARDS EQUILATERAL ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u2BA0",  # ;DOWNWARDS TRIANGLE-HEADED ARROW WITH LONG TIP LEFTWARDS;So;0;ON;;;;;N;;;;;
        "\u2BA1",  # ;DOWNWARDS TRIANGLE-HEADED ARROW WITH LONG TIP RIGHTWARDS;So;0;ON;;;;;N;;;;;
        "\u2BA2",  # ;UPWARDS TRIANGLE-HEADED ARROW WITH LONG TIP LEFTWARDS;So;0;ON;;;;;N;;;;;
        "\u2BA3",  # ;UPWARDS TRIANGLE-HEADED ARROW WITH LONG TIP RIGHTWARDS;So;0;ON;;;;;N;;;;;
        "\u2BA4",  # ;LEFTWARDS TRIANGLE-HEADED ARROW WITH LONG TIP UPWARDS;So;0;ON;;;;;N;;;;;
        "\u2BA5",  # ;RIGHTWARDS TRIANGLE-HEADED ARROW WITH LONG TIP UPWARDS;So;0;ON;;;;;N;;;;;
        "\u2BA6",  # ;LEFTWARDS TRIANGLE-HEADED ARROW WITH LONG TIP DOWNWARDS;So;0;ON;;;;;N;;;;;
        "\u2BA7",  # ;RIGHTWARDS TRIANGLE-HEADED ARROW WITH LONG TIP DOWNWARDS;So;0;ON;;;;;N;;;;;
        "\u2BA8",  # ;BLACK CURVED DOWNWARDS AND LEFTWARDS ARROW;So;0;ON;;;;;N;;;;;
        "\u2BA9",  # ;BLACK CURVED DOWNWARDS AND RIGHTWARDS ARROW;So;0;ON;;;;;N;;;;;
        "\u2BAA",  # ;BLACK CURVED UPWARDS AND LEFTWARDS ARROW;So;0;ON;;;;;N;;;;;
        "\u2BAB",  # ;BLACK CURVED UPWARDS AND RIGHTWARDS ARROW;So;0;ON;;;;;N;;;;;
        "\u2BAC",  # ;BLACK CURVED LEFTWARDS AND UPWARDS ARROW;So;0;ON;;;;;N;;;;;
        "\u2BAD",  # ;BLACK CURVED RIGHTWARDS AND UPWARDS ARROW;So;0;ON;;;;;N;;;;;
        "\u2BAE",  # ;BLACK CURVED LEFTWARDS AND DOWNWARDS ARROW;So;0;ON;;;;;N;;;;;
        "\u2BAF",  # ;BLACK CURVED RIGHTWARDS AND DOWNWARDS ARROW;So;0;ON;;;;;N;;;;;
        "\u2BB0",  # ;RIBBON ARROW DOWN LEFT;So;0;ON;;;;;N;;;;;
        "\u2BB1",  # ;RIBBON ARROW DOWN RIGHT;So;0;ON;;;;;N;;;;;
        "\u2BB2",  # ;RIBBON ARROW UP LEFT;So;0;ON;;;;;N;;;;;
        "\u2BB3",  # ;RIBBON ARROW UP RIGHT;So;0;ON;;;;;N;;;;;
        "\u2BB4",  # ;RIBBON ARROW LEFT UP;So;0;ON;;;;;N;;;;;
        "\u2BB5",  # ;RIBBON ARROW RIGHT UP;So;0;ON;;;;;N;;;;;
        "\u2BB6",  # ;RIBBON ARROW LEFT DOWN;So;0;ON;;;;;N;;;;;
        "\u2BB7",  # ;RIBBON ARROW RIGHT DOWN;So;0;ON;;;;;N;;;;;
        "\u2BB8",  # ;UPWARDS WHITE ARROW FROM BAR WITH HORIZONTAL BAR;So;0;ON;;;;;N;;;;;
        "\u2BB9",  # ;UP ARROWHEAD IN A RECTANGLE BOX;So;0;ON;;;;;N;;;;;
        "\u2BBD",  # ;BALLOT BOX WITH LIGHT X;So;0;ON;;;;;N;;;;;
        "\u2BBE",  # ;CIRCLED X;So;0;ON;;;;;N;;;;;
        "\u2BBF",  # ;CIRCLED BOLD X;So;0;ON;;;;;N;;;;;
        "\u2BC0",  # ;BLACK SQUARE CENTRED;So;0;ON;;;;;N;;;;;
        "\u2BC1",  # ;BLACK DIAMOND CENTRED;So;0;ON;;;;;N;;;;;
        "\u2BC2",  # ;TURNED BLACK PENTAGON;So;0;ON;;;;;N;;;;;
        "\u2BC3",  # ;HORIZONTAL BLACK OCTAGON;So;0;ON;;;;;N;;;;;
        "\u2BC4",  # ;BLACK OCTAGON;So;0;ON;;;;;N;;;;;
        "\u2BC5",  # ;BLACK MEDIUM UP-POINTING TRIANGLE CENTRED;So;0;ON;;;;;N;;;;;
        "\u2BC6",  # ;BLACK MEDIUM DOWN-POINTING TRIANGLE CENTRED;So;0;ON;;;;;N;;;;;
        "\u2BC7",  # ;BLACK MEDIUM LEFT-POINTING TRIANGLE CENTRED;So;0;ON;;;;;N;;;;;
        "\u2BC8",  # ;BLACK MEDIUM RIGHT-POINTING TRIANGLE CENTRED;So;0;ON;;;;;N;;;;;
        "\u2BCA",  # ;TOP HALF BLACK CIRCLE;So;0;ON;;;;;N;;;;;
        "\u2BCB",  # ;BOTTOM HALF BLACK CIRCLE;So;0;ON;;;;;N;;;;;
        "\u2BCC",  # ;LIGHT FOUR POINTED BLACK CUSP;So;0;ON;;;;;N;;;;;
        "\u2BCD",  # ;ROTATED LIGHT FOUR POINTED BLACK CUSP;So;0;ON;;;;;N;;;;;
        "\u2BCE",  # ;WHITE FOUR POINTED CUSP;So;0;ON;;;;;N;;;;;
        "\u2BCF",  # ;ROTATED WHITE FOUR POINTED CUSP;So;0;ON;;;;;N;;;;;
        "\u2BD0",  # ;SQUARE POSITION INDICATOR;So;0;ON;;;;;N;;;;;
        "\u2BD1",  # ;UNCERTAINTY SIGN;So;0;ON;;;;;N;;;;;
        "\u2BD2",  # ;GROUP MARK;So;0;ON;;;;;N;;;;;
        "\u2BEC",  # ;LEFTWARDS TWO-HEADED ARROW WITH TRIANGLE ARROWHEADS;So;0;ON;;;;;N;;;;;
        "\u2BED",  # ;UPWARDS TWO-HEADED ARROW WITH TRIANGLE ARROWHEADS;So;0;ON;;;;;N;;;;;
        "\u2BEE",  # ;RIGHTWARDS TWO-HEADED ARROW WITH TRIANGLE ARROWHEADS;So;0;ON;;;;;N;;;;;
        "\u2BEF",  # ;DOWNWARDS TWO-HEADED ARROW WITH TRIANGLE ARROWHEADS;So;0;ON;;;;;N;;;;;
        "\u2C00",  # ;GLAGOLITIC CAPITAL LETTER AZU;Lu;0;L;;;;;N;;;;2C30;
        "\u2C01",  # ;GLAGOLITIC CAPITAL LETTER BUKY;Lu;0;L;;;;;N;;;;2C31;
        "\u2C02",  # ;GLAGOLITIC CAPITAL LETTER VEDE;Lu;0;L;;;;;N;;;;2C32;
        "\u2C03",  # ;GLAGOLITIC CAPITAL LETTER GLAGOLI;Lu;0;L;;;;;N;;;;2C33;
        "\u2C04",  # ;GLAGOLITIC CAPITAL LETTER DOBRO;Lu;0;L;;;;;N;;;;2C34;
        "\u2C05",  # ;GLAGOLITIC CAPITAL LETTER YESTU;Lu;0;L;;;;;N;;;;2C35;
        "\u2C06",  # ;GLAGOLITIC CAPITAL LETTER ZHIVETE;Lu;0;L;;;;;N;;;;2C36;
        "\u2C07",  # ;GLAGOLITIC CAPITAL LETTER DZELO;Lu;0;L;;;;;N;;;;2C37;
        "\u2C08",  # ;GLAGOLITIC CAPITAL LETTER ZEMLJA;Lu;0;L;;;;;N;;;;2C38;
        "\u2C09",  # ;GLAGOLITIC CAPITAL LETTER IZHE;Lu;0;L;;;;;N;;;;2C39;
        "\u2C0A",  # ;GLAGOLITIC CAPITAL LETTER INITIAL IZHE;Lu;0;L;;;;;N;;;;2C3A;
        "\u2C0B",  # ;GLAGOLITIC CAPITAL LETTER I;Lu;0;L;;;;;N;;;;2C3B;
        "\u2C0C",  # ;GLAGOLITIC CAPITAL LETTER DJERVI;Lu;0;L;;;;;N;;;;2C3C;
        "\u2C0D",  # ;GLAGOLITIC CAPITAL LETTER KAKO;Lu;0;L;;;;;N;;;;2C3D;
        "\u2C0E",  # ;GLAGOLITIC CAPITAL LETTER LJUDIJE;Lu;0;L;;;;;N;;;;2C3E;
        "\u2C0F",  # ;GLAGOLITIC CAPITAL LETTER MYSLITE;Lu;0;L;;;;;N;;;;2C3F;
        "\u2C10",  # ;GLAGOLITIC CAPITAL LETTER NASHI;Lu;0;L;;;;;N;;;;2C40;
        "\u2C11",  # ;GLAGOLITIC CAPITAL LETTER ONU;Lu;0;L;;;;;N;;;;2C41;
        "\u2C12",  # ;GLAGOLITIC CAPITAL LETTER POKOJI;Lu;0;L;;;;;N;;;;2C42;
        "\u2C13",  # ;GLAGOLITIC CAPITAL LETTER RITSI;Lu;0;L;;;;;N;;;;2C43;
        "\u2C14",  # ;GLAGOLITIC CAPITAL LETTER SLOVO;Lu;0;L;;;;;N;;;;2C44;
        "\u2C15",  # ;GLAGOLITIC CAPITAL LETTER TVRIDO;Lu;0;L;;;;;N;;;;2C45;
        "\u2C16",  # ;GLAGOLITIC CAPITAL LETTER UKU;Lu;0;L;;;;;N;;;;2C46;
        "\u2C17",  # ;GLAGOLITIC CAPITAL LETTER FRITU;Lu;0;L;;;;;N;;;;2C47;
        "\u2C18",  # ;GLAGOLITIC CAPITAL LETTER HERU;Lu;0;L;;;;;N;;;;2C48;
        "\u2C19",  # ;GLAGOLITIC CAPITAL LETTER OTU;Lu;0;L;;;;;N;;;;2C49;
        "\u2C1A",  # ;GLAGOLITIC CAPITAL LETTER PE;Lu;0;L;;;;;N;;;;2C4A;
        "\u2C1B",  # ;GLAGOLITIC CAPITAL LETTER SHTA;Lu;0;L;;;;;N;;;;2C4B;
        "\u2C1C",  # ;GLAGOLITIC CAPITAL LETTER TSI;Lu;0;L;;;;;N;;;;2C4C;
        "\u2C1D",  # ;GLAGOLITIC CAPITAL LETTER CHRIVI;Lu;0;L;;;;;N;;;;2C4D;
        "\u2C1E",  # ;GLAGOLITIC CAPITAL LETTER SHA;Lu;0;L;;;;;N;;;;2C4E;
        "\u2C1F",  # ;GLAGOLITIC CAPITAL LETTER YERU;Lu;0;L;;;;;N;;;;2C4F;
        "\u2C20",  # ;GLAGOLITIC CAPITAL LETTER YERI;Lu;0;L;;;;;N;;;;2C50;
        "\u2C21",  # ;GLAGOLITIC CAPITAL LETTER YATI;Lu;0;L;;;;;N;;;;2C51;
        "\u2C22",  # ;GLAGOLITIC CAPITAL LETTER SPIDERY HA;Lu;0;L;;;;;N;;;;2C52;
        "\u2C23",  # ;GLAGOLITIC CAPITAL LETTER YU;Lu;0;L;;;;;N;;;;2C53;
        "\u2C24",  # ;GLAGOLITIC CAPITAL LETTER SMALL YUS;Lu;0;L;;;;;N;;;;2C54;
        "\u2C25",  # ;GLAGOLITIC CAPITAL LETTER SMALL YUS WITH TAIL;Lu;0;L;;;;;N;;;;2C55;
        "\u2C26",  # ;GLAGOLITIC CAPITAL LETTER YO;Lu;0;L;;;;;N;;;;2C56;
        "\u2C27",  # ;GLAGOLITIC CAPITAL LETTER IOTATED SMALL YUS;Lu;0;L;;;;;N;;;;2C57;
        "\u2C28",  # ;GLAGOLITIC CAPITAL LETTER BIG YUS;Lu;0;L;;;;;N;;;;2C58;
        "\u2C29",  # ;GLAGOLITIC CAPITAL LETTER IOTATED BIG YUS;Lu;0;L;;;;;N;;;;2C59;
        "\u2C2A",  # ;GLAGOLITIC CAPITAL LETTER FITA;Lu;0;L;;;;;N;;;;2C5A;
        "\u2C2B",  # ;GLAGOLITIC CAPITAL LETTER IZHITSA;Lu;0;L;;;;;N;;;;2C5B;
        "\u2C2C",  # ;GLAGOLITIC CAPITAL LETTER SHTAPIC;Lu;0;L;;;;;N;;;;2C5C;
        "\u2C2D",  # ;GLAGOLITIC CAPITAL LETTER TROKUTASTI A;Lu;0;L;;;;;N;;;;2C5D;
        "\u2C2E",  # ;GLAGOLITIC CAPITAL LETTER LATINATE MYSLITE;Lu;0;L;;;;;N;;;;2C5E;
        "\u2C30",  # ;GLAGOLITIC SMALL LETTER AZU;Ll;0;L;;;;;N;;;2C00;;2C00
        "\u2C31",  # ;GLAGOLITIC SMALL LETTER BUKY;Ll;0;L;;;;;N;;;2C01;;2C01
        "\u2C32",  # ;GLAGOLITIC SMALL LETTER VEDE;Ll;0;L;;;;;N;;;2C02;;2C02
        "\u2C33",  # ;GLAGOLITIC SMALL LETTER GLAGOLI;Ll;0;L;;;;;N;;;2C03;;2C03
        "\u2C34",  # ;GLAGOLITIC SMALL LETTER DOBRO;Ll;0;L;;;;;N;;;2C04;;2C04
        "\u2C35",  # ;GLAGOLITIC SMALL LETTER YESTU;Ll;0;L;;;;;N;;;2C05;;2C05
        "\u2C36",  # ;GLAGOLITIC SMALL LETTER ZHIVETE;Ll;0;L;;;;;N;;;2C06;;2C06
        "\u2C37",  # ;GLAGOLITIC SMALL LETTER DZELO;Ll;0;L;;;;;N;;;2C07;;2C07
        "\u2C38",  # ;GLAGOLITIC SMALL LETTER ZEMLJA;Ll;0;L;;;;;N;;;2C08;;2C08
        "\u2C39",  # ;GLAGOLITIC SMALL LETTER IZHE;Ll;0;L;;;;;N;;;2C09;;2C09
        "\u2C3A",  # ;GLAGOLITIC SMALL LETTER INITIAL IZHE;Ll;0;L;;;;;N;;;2C0A;;2C0A
        "\u2C3B",  # ;GLAGOLITIC SMALL LETTER I;Ll;0;L;;;;;N;;;2C0B;;2C0B
        "\u2C3C",  # ;GLAGOLITIC SMALL LETTER DJERVI;Ll;0;L;;;;;N;;;2C0C;;2C0C
        "\u2C3D",  # ;GLAGOLITIC SMALL LETTER KAKO;Ll;0;L;;;;;N;;;2C0D;;2C0D
        "\u2C3E",  # ;GLAGOLITIC SMALL LETTER LJUDIJE;Ll;0;L;;;;;N;;;2C0E;;2C0E
        "\u2C3F",  # ;GLAGOLITIC SMALL LETTER MYSLITE;Ll;0;L;;;;;N;;;2C0F;;2C0F
        "\u2C40",  # ;GLAGOLITIC SMALL LETTER NASHI;Ll;0;L;;;;;N;;;2C10;;2C10
        "\u2C41",  # ;GLAGOLITIC SMALL LETTER ONU;Ll;0;L;;;;;N;;;2C11;;2C11
        "\u2C42",  # ;GLAGOLITIC SMALL LETTER POKOJI;Ll;0;L;;;;;N;;;2C12;;2C12
        "\u2C43",  # ;GLAGOLITIC SMALL LETTER RITSI;Ll;0;L;;;;;N;;;2C13;;2C13
        "\u2C44",  # ;GLAGOLITIC SMALL LETTER SLOVO;Ll;0;L;;;;;N;;;2C14;;2C14
        "\u2C45",  # ;GLAGOLITIC SMALL LETTER TVRIDO;Ll;0;L;;;;;N;;;2C15;;2C15
        "\u2C46",  # ;GLAGOLITIC SMALL LETTER UKU;Ll;0;L;;;;;N;;;2C16;;2C16
        "\u2C47",  # ;GLAGOLITIC SMALL LETTER FRITU;Ll;0;L;;;;;N;;;2C17;;2C17
        "\u2C48",  # ;GLAGOLITIC SMALL LETTER HERU;Ll;0;L;;;;;N;;;2C18;;2C18
        "\u2C49",  # ;GLAGOLITIC SMALL LETTER OTU;Ll;0;L;;;;;N;;;2C19;;2C19
        "\u2C4A",  # ;GLAGOLITIC SMALL LETTER PE;Ll;0;L;;;;;N;;;2C1A;;2C1A
        "\u2C4B",  # ;GLAGOLITIC SMALL LETTER SHTA;Ll;0;L;;;;;N;;;2C1B;;2C1B
        "\u2C4C",  # ;GLAGOLITIC SMALL LETTER TSI;Ll;0;L;;;;;N;;;2C1C;;2C1C
        "\u2C4D",  # ;GLAGOLITIC SMALL LETTER CHRIVI;Ll;0;L;;;;;N;;;2C1D;;2C1D
        "\u2C4E",  # ;GLAGOLITIC SMALL LETTER SHA;Ll;0;L;;;;;N;;;2C1E;;2C1E
        "\u2C4F",  # ;GLAGOLITIC SMALL LETTER YERU;Ll;0;L;;;;;N;;;2C1F;;2C1F
        "\u2C50",  # ;GLAGOLITIC SMALL LETTER YERI;Ll;0;L;;;;;N;;;2C20;;2C20
        "\u2C51",  # ;GLAGOLITIC SMALL LETTER YATI;Ll;0;L;;;;;N;;;2C21;;2C21
        "\u2C52",  # ;GLAGOLITIC SMALL LETTER SPIDERY HA;Ll;0;L;;;;;N;;;2C22;;2C22
        "\u2C53",  # ;GLAGOLITIC SMALL LETTER YU;Ll;0;L;;;;;N;;;2C23;;2C23
        "\u2C54",  # ;GLAGOLITIC SMALL LETTER SMALL YUS;Ll;0;L;;;;;N;;;2C24;;2C24
        "\u2C55",  # ;GLAGOLITIC SMALL LETTER SMALL YUS WITH TAIL;Ll;0;L;;;;;N;;;2C25;;2C25
        "\u2C56",  # ;GLAGOLITIC SMALL LETTER YO;Ll;0;L;;;;;N;;;2C26;;2C26
        "\u2C57",  # ;GLAGOLITIC SMALL LETTER IOTATED SMALL YUS;Ll;0;L;;;;;N;;;2C27;;2C27
        "\u2C58",  # ;GLAGOLITIC SMALL LETTER BIG YUS;Ll;0;L;;;;;N;;;2C28;;2C28
        "\u2C59",  # ;GLAGOLITIC SMALL LETTER IOTATED BIG YUS;Ll;0;L;;;;;N;;;2C29;;2C29
        "\u2C5A",  # ;GLAGOLITIC SMALL LETTER FITA;Ll;0;L;;;;;N;;;2C2A;;2C2A
        "\u2C5B",  # ;GLAGOLITIC SMALL LETTER IZHITSA;Ll;0;L;;;;;N;;;2C2B;;2C2B
        "\u2C5C",  # ;GLAGOLITIC SMALL LETTER SHTAPIC;Ll;0;L;;;;;N;;;2C2C;;2C2C
        "\u2C5D",  # ;GLAGOLITIC SMALL LETTER TROKUTASTI A;Ll;0;L;;;;;N;;;2C2D;;2C2D
        "\u2C5E",  # ;GLAGOLITIC SMALL LETTER LATINATE MYSLITE;Ll;0;L;;;;;N;;;2C2E;;2C2E
        "\u2C60",  # ;LATIN CAPITAL LETTER L WITH DOUBLE BAR;Lu;0;L;;;;;N;;;;2C61;
        "\u2C61",  # ;LATIN SMALL LETTER L WITH DOUBLE BAR;Ll;0;L;;;;;N;;;2C60;;2C60
        "\u2C62",  # ;LATIN CAPITAL LETTER L WITH MIDDLE TILDE;Lu;0;L;;;;;N;;;;026B;
        "\u2C63",  # ;LATIN CAPITAL LETTER P WITH STROKE;Lu;0;L;;;;;N;;;;1D7D;
        "\u2C64",  # ;LATIN CAPITAL LETTER R WITH TAIL;Lu;0;L;;;;;N;;;;027D;
        "\u2C65",  # ;LATIN SMALL LETTER A WITH STROKE;Ll;0;L;;;;;N;;;023A;;023A
        "\u2C66",  # ;LATIN SMALL LETTER T WITH DIAGONAL STROKE;Ll;0;L;;;;;N;;;023E;;023E
        "\u2C67",  # ;LATIN CAPITAL LETTER H WITH DESCENDER;Lu;0;L;;;;;N;;;;2C68;
        "\u2C68",  # ;LATIN SMALL LETTER H WITH DESCENDER;Ll;0;L;;;;;N;;;2C67;;2C67
        "\u2C69",  # ;LATIN CAPITAL LETTER K WITH DESCENDER;Lu;0;L;;;;;N;;;;2C6A;
        "\u2C6A",  # ;LATIN SMALL LETTER K WITH DESCENDER;Ll;0;L;;;;;N;;;2C69;;2C69
        "\u2C6B",  # ;LATIN CAPITAL LETTER Z WITH DESCENDER;Lu;0;L;;;;;N;;;;2C6C;
        "\u2C6C",  # ;LATIN SMALL LETTER Z WITH DESCENDER;Ll;0;L;;;;;N;;;2C6B;;2C6B
        "\u2C6D",  # ;LATIN CAPITAL LETTER ALPHA;Lu;0;L;;;;;N;;;;0251;
        "\u2C6E",  # ;LATIN CAPITAL LETTER M WITH HOOK;Lu;0;L;;;;;N;;;;0271;
        "\u2C6F",  # ;LATIN CAPITAL LETTER TURNED A;Lu;0;L;;;;;N;;;;0250;
        "\u2C70",  # ;LATIN CAPITAL LETTER TURNED ALPHA;Lu;0;L;;;;;N;;;;0252;
        "\u2C71",  # ;LATIN SMALL LETTER V WITH RIGHT HOOK;Ll;0;L;;;;;N;;;;;
        "\u2C72",  # ;LATIN CAPITAL LETTER W WITH HOOK;Lu;0;L;;;;;N;;;;2C73;
        "\u2C73",  # ;LATIN SMALL LETTER W WITH HOOK;Ll;0;L;;;;;N;;;2C72;;2C72
        "\u2C74",  # ;LATIN SMALL LETTER V WITH CURL;Ll;0;L;;;;;N;;;;;
        "\u2C75",  # ;LATIN CAPITAL LETTER HALF H;Lu;0;L;;;;;N;;;;2C76;
        "\u2C76",  # ;LATIN SMALL LETTER HALF H;Ll;0;L;;;;;N;;;2C75;;2C75
        "\u2C77",  # ;LATIN SMALL LETTER TAILLESS PHI;Ll;0;L;;;;;N;;;;;
        "\u2C78",  # ;LATIN SMALL LETTER E WITH NOTCH;Ll;0;L;;;;;N;;;;;
        "\u2C79",  # ;LATIN SMALL LETTER TURNED R WITH TAIL;Ll;0;L;;;;;N;;;;;
        "\u2C7A",  # ;LATIN SMALL LETTER O WITH LOW RING INSIDE;Ll;0;L;;;;;N;;;;;
        "\u2C7B",  # ;LATIN LETTER SMALL CAPITAL TURNED E;Ll;0;L;;;;;N;;;;;
        "\u2C7C",  # ;LATIN SUBSCRIPT SMALL LETTER J;Lm;0;L;<sub> 006A;;;;N;;;;;
        "\u2C7D",  # ;MODIFIER LETTER CAPITAL V;Lm;0;L;<super> 0056;;;;N;;;;;
        "\u2C7E",  # ;LATIN CAPITAL LETTER S WITH SWASH TAIL;Lu;0;L;;;;;N;;;;023F;
        "\u2C7F",  # ;LATIN CAPITAL LETTER Z WITH SWASH TAIL;Lu;0;L;;;;;N;;;;0240;
        "\u2C80",  # ;COPTIC CAPITAL LETTER ALFA;Lu;0;L;;;;;N;;;;2C81;
        "\u2C81",  # ;COPTIC SMALL LETTER ALFA;Ll;0;L;;;;;N;;;2C80;;2C80
        "\u2C82",  # ;COPTIC CAPITAL LETTER VIDA;Lu;0;L;;;;;N;;;;2C83;
        "\u2C83",  # ;COPTIC SMALL LETTER VIDA;Ll;0;L;;;;;N;;;2C82;;2C82
        "\u2C84",  # ;COPTIC CAPITAL LETTER GAMMA;Lu;0;L;;;;;N;;;;2C85;
        "\u2C85",  # ;COPTIC SMALL LETTER GAMMA;Ll;0;L;;;;;N;;;2C84;;2C84
        "\u2C86",  # ;COPTIC CAPITAL LETTER DALDA;Lu;0;L;;;;;N;;;;2C87;
        "\u2C87",  # ;COPTIC SMALL LETTER DALDA;Ll;0;L;;;;;N;;;2C86;;2C86
        "\u2C88",  # ;COPTIC CAPITAL LETTER EIE;Lu;0;L;;;;;N;;;;2C89;
        "\u2C89",  # ;COPTIC SMALL LETTER EIE;Ll;0;L;;;;;N;;;2C88;;2C88
        "\u2C8A",  # ;COPTIC CAPITAL LETTER SOU;Lu;0;L;;;;;N;;;;2C8B;
        "\u2C8B",  # ;COPTIC SMALL LETTER SOU;Ll;0;L;;;;;N;;;2C8A;;2C8A
        "\u2C8C",  # ;COPTIC CAPITAL LETTER ZATA;Lu;0;L;;;;;N;;;;2C8D;
        "\u2C8D",  # ;COPTIC SMALL LETTER ZATA;Ll;0;L;;;;;N;;;2C8C;;2C8C
        "\u2C8E",  # ;COPTIC CAPITAL LETTER HATE;Lu;0;L;;;;;N;;;;2C8F;
        "\u2C8F",  # ;COPTIC SMALL LETTER HATE;Ll;0;L;;;;;N;;;2C8E;;2C8E
        "\u2C90",  # ;COPTIC CAPITAL LETTER THETHE;Lu;0;L;;;;;N;;;;2C91;
        "\u2C91",  # ;COPTIC SMALL LETTER THETHE;Ll;0;L;;;;;N;;;2C90;;2C90
        "\u2C92",  # ;COPTIC CAPITAL LETTER IAUDA;Lu;0;L;;;;;N;;;;2C93;
        "\u2C93",  # ;COPTIC SMALL LETTER IAUDA;Ll;0;L;;;;;N;;;2C92;;2C92
        "\u2C94",  # ;COPTIC CAPITAL LETTER KAPA;Lu;0;L;;;;;N;;;;2C95;
        "\u2C95",  # ;COPTIC SMALL LETTER KAPA;Ll;0;L;;;;;N;;;2C94;;2C94
        "\u2C96",  # ;COPTIC CAPITAL LETTER LAULA;Lu;0;L;;;;;N;;;;2C97;
        "\u2C97",  # ;COPTIC SMALL LETTER LAULA;Ll;0;L;;;;;N;;;2C96;;2C96
        "\u2C98",  # ;COPTIC CAPITAL LETTER MI;Lu;0;L;;;;;N;;;;2C99;
        "\u2C99",  # ;COPTIC SMALL LETTER MI;Ll;0;L;;;;;N;;;2C98;;2C98
        "\u2C9A",  # ;COPTIC CAPITAL LETTER NI;Lu;0;L;;;;;N;;;;2C9B;
        "\u2C9B",  # ;COPTIC SMALL LETTER NI;Ll;0;L;;;;;N;;;2C9A;;2C9A
        "\u2C9C",  # ;COPTIC CAPITAL LETTER KSI;Lu;0;L;;;;;N;;;;2C9D;
        "\u2C9D",  # ;COPTIC SMALL LETTER KSI;Ll;0;L;;;;;N;;;2C9C;;2C9C
        "\u2C9E",  # ;COPTIC CAPITAL LETTER O;Lu;0;L;;;;;N;;;;2C9F;
        "\u2C9F",  # ;COPTIC SMALL LETTER O;Ll;0;L;;;;;N;;;2C9E;;2C9E
        "\u2CA0",  # ;COPTIC CAPITAL LETTER PI;Lu;0;L;;;;;N;;;;2CA1;
        "\u2CA1",  # ;COPTIC SMALL LETTER PI;Ll;0;L;;;;;N;;;2CA0;;2CA0
        "\u2CA2",  # ;COPTIC CAPITAL LETTER RO;Lu;0;L;;;;;N;;;;2CA3;
        "\u2CA3",  # ;COPTIC SMALL LETTER RO;Ll;0;L;;;;;N;;;2CA2;;2CA2
        "\u2CA4",  # ;COPTIC CAPITAL LETTER SIMA;Lu;0;L;;;;;N;;;;2CA5;
        "\u2CA5",  # ;COPTIC SMALL LETTER SIMA;Ll;0;L;;;;;N;;;2CA4;;2CA4
        "\u2CA6",  # ;COPTIC CAPITAL LETTER TAU;Lu;0;L;;;;;N;;;;2CA7;
        "\u2CA7",  # ;COPTIC SMALL LETTER TAU;Ll;0;L;;;;;N;;;2CA6;;2CA6
        "\u2CA8",  # ;COPTIC CAPITAL LETTER UA;Lu;0;L;;;;;N;;;;2CA9;
        "\u2CA9",  # ;COPTIC SMALL LETTER UA;Ll;0;L;;;;;N;;;2CA8;;2CA8
        "\u2CAA",  # ;COPTIC CAPITAL LETTER FI;Lu;0;L;;;;;N;;;;2CAB;
        "\u2CAB",  # ;COPTIC SMALL LETTER FI;Ll;0;L;;;;;N;;;2CAA;;2CAA
        "\u2CAC",  # ;COPTIC CAPITAL LETTER KHI;Lu;0;L;;;;;N;;;;2CAD;
        "\u2CAD",  # ;COPTIC SMALL LETTER KHI;Ll;0;L;;;;;N;;;2CAC;;2CAC
        "\u2CAE",  # ;COPTIC CAPITAL LETTER PSI;Lu;0;L;;;;;N;;;;2CAF;
        "\u2CAF",  # ;COPTIC SMALL LETTER PSI;Ll;0;L;;;;;N;;;2CAE;;2CAE
        "\u2CB0",  # ;COPTIC CAPITAL LETTER OOU;Lu;0;L;;;;;N;;;;2CB1;
        "\u2CB1",  # ;COPTIC SMALL LETTER OOU;Ll;0;L;;;;;N;;;2CB0;;2CB0
        "\u2CB2",  # ;COPTIC CAPITAL LETTER DIALECT-P ALEF;Lu;0;L;;;;;N;;;;2CB3;
        "\u2CB3",  # ;COPTIC SMALL LETTER DIALECT-P ALEF;Ll;0;L;;;;;N;;;2CB2;;2CB2
        "\u2CB4",  # ;COPTIC CAPITAL LETTER OLD COPTIC AIN;Lu;0;L;;;;;N;;;;2CB5;
        "\u2CB5",  # ;COPTIC SMALL LETTER OLD COPTIC AIN;Ll;0;L;;;;;N;;;2CB4;;2CB4
        "\u2CB6",  # ;COPTIC CAPITAL LETTER CRYPTOGRAMMIC EIE;Lu;0;L;;;;;N;;;;2CB7;
        "\u2CB7",  # ;COPTIC SMALL LETTER CRYPTOGRAMMIC EIE;Ll;0;L;;;;;N;;;2CB6;;2CB6
        "\u2CB8",  # ;COPTIC CAPITAL LETTER DIALECT-P KAPA;Lu;0;L;;;;;N;;;;2CB9;
        "\u2CB9",  # ;COPTIC SMALL LETTER DIALECT-P KAPA;Ll;0;L;;;;;N;;;2CB8;;2CB8
        "\u2CBA",  # ;COPTIC CAPITAL LETTER DIALECT-P NI;Lu;0;L;;;;;N;;;;2CBB;
        "\u2CBB",  # ;COPTIC SMALL LETTER DIALECT-P NI;Ll;0;L;;;;;N;;;2CBA;;2CBA
        "\u2CBC",  # ;COPTIC CAPITAL LETTER CRYPTOGRAMMIC NI;Lu;0;L;;;;;N;;;;2CBD;
        "\u2CBD",  # ;COPTIC SMALL LETTER CRYPTOGRAMMIC NI;Ll;0;L;;;;;N;;;2CBC;;2CBC
        "\u2CBE",  # ;COPTIC CAPITAL LETTER OLD COPTIC OOU;Lu;0;L;;;;;N;;;;2CBF;
        "\u2CBF",  # ;COPTIC SMALL LETTER OLD COPTIC OOU;Ll;0;L;;;;;N;;;2CBE;;2CBE
        "\u2CC0",  # ;COPTIC CAPITAL LETTER SAMPI;Lu;0;L;;;;;N;;;;2CC1;
        "\u2CC1",  # ;COPTIC SMALL LETTER SAMPI;Ll;0;L;;;;;N;;;2CC0;;2CC0
        "\u2CC2",  # ;COPTIC CAPITAL LETTER CROSSED SHEI;Lu;0;L;;;;;N;;;;2CC3;
        "\u2CC3",  # ;COPTIC SMALL LETTER CROSSED SHEI;Ll;0;L;;;;;N;;;2CC2;;2CC2
        "\u2CC4",  # ;COPTIC CAPITAL LETTER OLD COPTIC SHEI;Lu;0;L;;;;;N;;;;2CC5;
        "\u2CC5",  # ;COPTIC SMALL LETTER OLD COPTIC SHEI;Ll;0;L;;;;;N;;;2CC4;;2CC4
        "\u2CC6",  # ;COPTIC CAPITAL LETTER OLD COPTIC ESH;Lu;0;L;;;;;N;;;;2CC7;
        "\u2CC7",  # ;COPTIC SMALL LETTER OLD COPTIC ESH;Ll;0;L;;;;;N;;;2CC6;;2CC6
        "\u2CC8",  # ;COPTIC CAPITAL LETTER AKHMIMIC KHEI;Lu;0;L;;;;;N;;;;2CC9;
        "\u2CC9",  # ;COPTIC SMALL LETTER AKHMIMIC KHEI;Ll;0;L;;;;;N;;;2CC8;;2CC8
        "\u2CCA",  # ;COPTIC CAPITAL LETTER DIALECT-P HORI;Lu;0;L;;;;;N;;;;2CCB;
        "\u2CCB",  # ;COPTIC SMALL LETTER DIALECT-P HORI;Ll;0;L;;;;;N;;;2CCA;;2CCA
        "\u2CCC",  # ;COPTIC CAPITAL LETTER OLD COPTIC HORI;Lu;0;L;;;;;N;;;;2CCD;
        "\u2CCD",  # ;COPTIC SMALL LETTER OLD COPTIC HORI;Ll;0;L;;;;;N;;;2CCC;;2CCC
        "\u2CCE",  # ;COPTIC CAPITAL LETTER OLD COPTIC HA;Lu;0;L;;;;;N;;;;2CCF;
        "\u2CCF",  # ;COPTIC SMALL LETTER OLD COPTIC HA;Ll;0;L;;;;;N;;;2CCE;;2CCE
        "\u2CD0",  # ;COPTIC CAPITAL LETTER L-SHAPED HA;Lu;0;L;;;;;N;;;;2CD1;
        "\u2CD1",  # ;COPTIC SMALL LETTER L-SHAPED HA;Ll;0;L;;;;;N;;;2CD0;;2CD0
        "\u2CD2",  # ;COPTIC CAPITAL LETTER OLD COPTIC HEI;Lu;0;L;;;;;N;;;;2CD3;
        "\u2CD3",  # ;COPTIC SMALL LETTER OLD COPTIC HEI;Ll;0;L;;;;;N;;;2CD2;;2CD2
        "\u2CD4",  # ;COPTIC CAPITAL LETTER OLD COPTIC HAT;Lu;0;L;;;;;N;;;;2CD5;
        "\u2CD5",  # ;COPTIC SMALL LETTER OLD COPTIC HAT;Ll;0;L;;;;;N;;;2CD4;;2CD4
        "\u2CD6",  # ;COPTIC CAPITAL LETTER OLD COPTIC GANGIA;Lu;0;L;;;;;N;;;;2CD7;
        "\u2CD7",  # ;COPTIC SMALL LETTER OLD COPTIC GANGIA;Ll;0;L;;;;;N;;;2CD6;;2CD6
        "\u2CD8",  # ;COPTIC CAPITAL LETTER OLD COPTIC DJA;Lu;0;L;;;;;N;;;;2CD9;
        "\u2CD9",  # ;COPTIC SMALL LETTER OLD COPTIC DJA;Ll;0;L;;;;;N;;;2CD8;;2CD8
        "\u2CDA",  # ;COPTIC CAPITAL LETTER OLD COPTIC SHIMA;Lu;0;L;;;;;N;;;;2CDB;
        "\u2CDB",  # ;COPTIC SMALL LETTER OLD COPTIC SHIMA;Ll;0;L;;;;;N;;;2CDA;;2CDA
        "\u2CDC",  # ;COPTIC CAPITAL LETTER OLD NUBIAN SHIMA;Lu;0;L;;;;;N;;;;2CDD;
        "\u2CDD",  # ;COPTIC SMALL LETTER OLD NUBIAN SHIMA;Ll;0;L;;;;;N;;;2CDC;;2CDC
        "\u2CDE",  # ;COPTIC CAPITAL LETTER OLD NUBIAN NGI;Lu;0;L;;;;;N;;;;2CDF;
        "\u2CDF",  # ;COPTIC SMALL LETTER OLD NUBIAN NGI;Ll;0;L;;;;;N;;;2CDE;;2CDE
        "\u2CE0",  # ;COPTIC CAPITAL LETTER OLD NUBIAN NYI;Lu;0;L;;;;;N;;;;2CE1;
        "\u2CE1",  # ;COPTIC SMALL LETTER OLD NUBIAN NYI;Ll;0;L;;;;;N;;;2CE0;;2CE0
        "\u2CE2",  # ;COPTIC CAPITAL LETTER OLD NUBIAN WAU;Lu;0;L;;;;;N;;;;2CE3;
        "\u2CE3",  # ;COPTIC SMALL LETTER OLD NUBIAN WAU;Ll;0;L;;;;;N;;;2CE2;;2CE2
        "\u2CE4",  # ;COPTIC SYMBOL KAI;Ll;0;L;;;;;N;;;;;
        "\u2CE5",  # ;COPTIC SYMBOL MI RO;So;0;ON;;;;;N;;;;;
        "\u2CE6",  # ;COPTIC SYMBOL PI RO;So;0;ON;;;;;N;;;;;
        "\u2CE7",  # ;COPTIC SYMBOL STAUROS;So;0;ON;;;;;N;;;;;
        "\u2CE8",  # ;COPTIC SYMBOL TAU RO;So;0;ON;;;;;N;;;;;
        "\u2CE9",  # ;COPTIC SYMBOL KHI RO;So;0;ON;;;;;N;;;;;
        "\u2CEA",  # ;COPTIC SYMBOL SHIMA SIMA;So;0;ON;;;;;N;;;;;
        "\u2CEB",  # ;COPTIC CAPITAL LETTER CRYPTOGRAMMIC SHEI;Lu;0;L;;;;;N;;;;2CEC;
        "\u2CEC",  # ;COPTIC SMALL LETTER CRYPTOGRAMMIC SHEI;Ll;0;L;;;;;N;;;2CEB;;2CEB
        "\u2CED",  # ;COPTIC CAPITAL LETTER CRYPTOGRAMMIC GANGIA;Lu;0;L;;;;;N;;;;2CEE;
        "\u2CEE",  # ;COPTIC SMALL LETTER CRYPTOGRAMMIC GANGIA;Ll;0;L;;;;;N;;;2CED;;2CED
        "\u2CEF",  # ;COPTIC COMBINING NI ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u2CF0",  # ;COPTIC COMBINING SPIRITUS ASPER;Mn;230;NSM;;;;;N;;;;;
        "\u2CF1",  # ;COPTIC COMBINING SPIRITUS LENIS;Mn;230;NSM;;;;;N;;;;;
        "\u2CF2",  # ;COPTIC CAPITAL LETTER BOHAIRIC KHEI;Lu;0;L;;;;;N;;;;2CF3;
        "\u2CF3",  # ;COPTIC SMALL LETTER BOHAIRIC KHEI;Ll;0;L;;;;;N;;;2CF2;;2CF2
        "\u2CF9",  # ;COPTIC OLD NUBIAN FULL STOP;Po;0;ON;;;;;N;;;;;
        "\u2CFA",  # ;COPTIC OLD NUBIAN DIRECT QUESTION MARK;Po;0;ON;;;;;N;;;;;
        "\u2CFB",  # ;COPTIC OLD NUBIAN INDIRECT QUESTION MARK;Po;0;ON;;;;;N;;;;;
        "\u2CFC",  # ;COPTIC OLD NUBIAN VERSE DIVIDER;Po;0;ON;;;;;N;;;;;
        "\u2CFD",  # ;COPTIC FRACTION ONE HALF;No;0;ON;;;;1/2;N;;;;;
        "\u2CFE",  # ;COPTIC FULL STOP;Po;0;ON;;;;;N;;;;;
        "\u2CFF",  # ;COPTIC MORPHOLOGICAL DIVIDER;Po;0;ON;;;;;N;;;;;
        "\u2D00",  # ;GEORGIAN SMALL LETTER AN;Ll;0;L;;;;;N;;;10A0;;10A0
        "\u2D01",  # ;GEORGIAN SMALL LETTER BAN;Ll;0;L;;;;;N;;;10A1;;10A1
        "\u2D02",  # ;GEORGIAN SMALL LETTER GAN;Ll;0;L;;;;;N;;;10A2;;10A2
        "\u2D03",  # ;GEORGIAN SMALL LETTER DON;Ll;0;L;;;;;N;;;10A3;;10A3
        "\u2D04",  # ;GEORGIAN SMALL LETTER EN;Ll;0;L;;;;;N;;;10A4;;10A4
        "\u2D05",  # ;GEORGIAN SMALL LETTER VIN;Ll;0;L;;;;;N;;;10A5;;10A5
        "\u2D06",  # ;GEORGIAN SMALL LETTER ZEN;Ll;0;L;;;;;N;;;10A6;;10A6
        "\u2D07",  # ;GEORGIAN SMALL LETTER TAN;Ll;0;L;;;;;N;;;10A7;;10A7
        "\u2D08",  # ;GEORGIAN SMALL LETTER IN;Ll;0;L;;;;;N;;;10A8;;10A8
        "\u2D09",  # ;GEORGIAN SMALL LETTER KAN;Ll;0;L;;;;;N;;;10A9;;10A9
        "\u2D0A",  # ;GEORGIAN SMALL LETTER LAS;Ll;0;L;;;;;N;;;10AA;;10AA
        "\u2D0B",  # ;GEORGIAN SMALL LETTER MAN;Ll;0;L;;;;;N;;;10AB;;10AB
        "\u2D0C",  # ;GEORGIAN SMALL LETTER NAR;Ll;0;L;;;;;N;;;10AC;;10AC
        "\u2D0D",  # ;GEORGIAN SMALL LETTER ON;Ll;0;L;;;;;N;;;10AD;;10AD
        "\u2D0E",  # ;GEORGIAN SMALL LETTER PAR;Ll;0;L;;;;;N;;;10AE;;10AE
        "\u2D0F",  # ;GEORGIAN SMALL LETTER ZHAR;Ll;0;L;;;;;N;;;10AF;;10AF
        "\u2D10",  # ;GEORGIAN SMALL LETTER RAE;Ll;0;L;;;;;N;;;10B0;;10B0
        "\u2D11",  # ;GEORGIAN SMALL LETTER SAN;Ll;0;L;;;;;N;;;10B1;;10B1
        "\u2D12",  # ;GEORGIAN SMALL LETTER TAR;Ll;0;L;;;;;N;;;10B2;;10B2
        "\u2D13",  # ;GEORGIAN SMALL LETTER UN;Ll;0;L;;;;;N;;;10B3;;10B3
        "\u2D14",  # ;GEORGIAN SMALL LETTER PHAR;Ll;0;L;;;;;N;;;10B4;;10B4
        "\u2D15",  # ;GEORGIAN SMALL LETTER KHAR;Ll;0;L;;;;;N;;;10B5;;10B5
        "\u2D16",  # ;GEORGIAN SMALL LETTER GHAN;Ll;0;L;;;;;N;;;10B6;;10B6
        "\u2D17",  # ;GEORGIAN SMALL LETTER QAR;Ll;0;L;;;;;N;;;10B7;;10B7
        "\u2D18",  # ;GEORGIAN SMALL LETTER SHIN;Ll;0;L;;;;;N;;;10B8;;10B8
        "\u2D19",  # ;GEORGIAN SMALL LETTER CHIN;Ll;0;L;;;;;N;;;10B9;;10B9
        "\u2D1A",  # ;GEORGIAN SMALL LETTER CAN;Ll;0;L;;;;;N;;;10BA;;10BA
        "\u2D1B",  # ;GEORGIAN SMALL LETTER JIL;Ll;0;L;;;;;N;;;10BB;;10BB
        "\u2D1C",  # ;GEORGIAN SMALL LETTER CIL;Ll;0;L;;;;;N;;;10BC;;10BC
        "\u2D1D",  # ;GEORGIAN SMALL LETTER CHAR;Ll;0;L;;;;;N;;;10BD;;10BD
        "\u2D1E",  # ;GEORGIAN SMALL LETTER XAN;Ll;0;L;;;;;N;;;10BE;;10BE
        "\u2D1F",  # ;GEORGIAN SMALL LETTER JHAN;Ll;0;L;;;;;N;;;10BF;;10BF
        "\u2D20",  # ;GEORGIAN SMALL LETTER HAE;Ll;0;L;;;;;N;;;10C0;;10C0
        "\u2D21",  # ;GEORGIAN SMALL LETTER HE;Ll;0;L;;;;;N;;;10C1;;10C1
        "\u2D22",  # ;GEORGIAN SMALL LETTER HIE;Ll;0;L;;;;;N;;;10C2;;10C2
        "\u2D23",  # ;GEORGIAN SMALL LETTER WE;Ll;0;L;;;;;N;;;10C3;;10C3
        "\u2D24",  # ;GEORGIAN SMALL LETTER HAR;Ll;0;L;;;;;N;;;10C4;;10C4
        "\u2D25",  # ;GEORGIAN SMALL LETTER HOE;Ll;0;L;;;;;N;;;10C5;;10C5
        "\u2D27",  # ;GEORGIAN SMALL LETTER YN;Ll;0;L;;;;;N;;;10C7;;10C7
        "\u2D2D",  # ;GEORGIAN SMALL LETTER AEN;Ll;0;L;;;;;N;;;10CD;;10CD
        "\u2D30",  # ;TIFINAGH LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u2D31",  # ;TIFINAGH LETTER YAB;Lo;0;L;;;;;N;;;;;
        "\u2D32",  # ;TIFINAGH LETTER YABH;Lo;0;L;;;;;N;;;;;
        "\u2D33",  # ;TIFINAGH LETTER YAG;Lo;0;L;;;;;N;;;;;
        "\u2D34",  # ;TIFINAGH LETTER YAGHH;Lo;0;L;;;;;N;;;;;
        "\u2D35",  # ;TIFINAGH LETTER BERBER ACADEMY YAJ;Lo;0;L;;;;;N;;;;;
        "\u2D36",  # ;TIFINAGH LETTER YAJ;Lo;0;L;;;;;N;;;;;
        "\u2D37",  # ;TIFINAGH LETTER YAD;Lo;0;L;;;;;N;;;;;
        "\u2D38",  # ;TIFINAGH LETTER YADH;Lo;0;L;;;;;N;;;;;
        "\u2D39",  # ;TIFINAGH LETTER YADD;Lo;0;L;;;;;N;;;;;
        "\u2D3A",  # ;TIFINAGH LETTER YADDH;Lo;0;L;;;;;N;;;;;
        "\u2D3B",  # ;TIFINAGH LETTER YEY;Lo;0;L;;;;;N;;;;;
        "\u2D3C",  # ;TIFINAGH LETTER YAF;Lo;0;L;;;;;N;;;;;
        "\u2D3D",  # ;TIFINAGH LETTER YAK;Lo;0;L;;;;;N;;;;;
        "\u2D3E",  # ;TIFINAGH LETTER TUAREG YAK;Lo;0;L;;;;;N;;;;;
        "\u2D3F",  # ;TIFINAGH LETTER YAKHH;Lo;0;L;;;;;N;;;;;
        "\u2D40",  # ;TIFINAGH LETTER YAH;Lo;0;L;;;;;N;;;;;
        "\u2D41",  # ;TIFINAGH LETTER BERBER ACADEMY YAH;Lo;0;L;;;;;N;;;;;
        "\u2D42",  # ;TIFINAGH LETTER TUAREG YAH;Lo;0;L;;;;;N;;;;;
        "\u2D43",  # ;TIFINAGH LETTER YAHH;Lo;0;L;;;;;N;;;;;
        "\u2D44",  # ;TIFINAGH LETTER YAA;Lo;0;L;;;;;N;;;;;
        "\u2D45",  # ;TIFINAGH LETTER YAKH;Lo;0;L;;;;;N;;;;;
        "\u2D46",  # ;TIFINAGH LETTER TUAREG YAKH;Lo;0;L;;;;;N;;;;;
        "\u2D47",  # ;TIFINAGH LETTER YAQ;Lo;0;L;;;;;N;;;;;
        "\u2D48",  # ;TIFINAGH LETTER TUAREG YAQ;Lo;0;L;;;;;N;;;;;
        "\u2D49",  # ;TIFINAGH LETTER YI;Lo;0;L;;;;;N;;;;;
        "\u2D4A",  # ;TIFINAGH LETTER YAZH;Lo;0;L;;;;;N;;;;;
        "\u2D4B",  # ;TIFINAGH LETTER AHAGGAR YAZH;Lo;0;L;;;;;N;;;;;
        "\u2D4C",  # ;TIFINAGH LETTER TUAREG YAZH;Lo;0;L;;;;;N;;;;;
        "\u2D4D",  # ;TIFINAGH LETTER YAL;Lo;0;L;;;;;N;;;;;
        "\u2D4E",  # ;TIFINAGH LETTER YAM;Lo;0;L;;;;;N;;;;;
        "\u2D4F",  # ;TIFINAGH LETTER YAN;Lo;0;L;;;;;N;;;;;
        "\u2D50",  # ;TIFINAGH LETTER TUAREG YAGN;Lo;0;L;;;;;N;;;;;
        "\u2D51",  # ;TIFINAGH LETTER TUAREG YANG;Lo;0;L;;;;;N;;;;;
        "\u2D52",  # ;TIFINAGH LETTER YAP;Lo;0;L;;;;;N;;;;;
        "\u2D53",  # ;TIFINAGH LETTER YU;Lo;0;L;;;;;N;;;;;
        "\u2D54",  # ;TIFINAGH LETTER YAR;Lo;0;L;;;;;N;;;;;
        "\u2D55",  # ;TIFINAGH LETTER YARR;Lo;0;L;;;;;N;;;;;
        "\u2D56",  # ;TIFINAGH LETTER YAGH;Lo;0;L;;;;;N;;;;;
        "\u2D57",  # ;TIFINAGH LETTER TUAREG YAGH;Lo;0;L;;;;;N;;;;;
        "\u2D58",  # ;TIFINAGH LETTER AYER YAGH;Lo;0;L;;;;;N;;;;;
        "\u2D59",  # ;TIFINAGH LETTER YAS;Lo;0;L;;;;;N;;;;;
        "\u2D5A",  # ;TIFINAGH LETTER YASS;Lo;0;L;;;;;N;;;;;
        "\u2D5B",  # ;TIFINAGH LETTER YASH;Lo;0;L;;;;;N;;;;;
        "\u2D5C",  # ;TIFINAGH LETTER YAT;Lo;0;L;;;;;N;;;;;
        "\u2D5D",  # ;TIFINAGH LETTER YATH;Lo;0;L;;;;;N;;;;;
        "\u2D5E",  # ;TIFINAGH LETTER YACH;Lo;0;L;;;;;N;;;;;
        "\u2D5F",  # ;TIFINAGH LETTER YATT;Lo;0;L;;;;;N;;;;;
        "\u2D60",  # ;TIFINAGH LETTER YAV;Lo;0;L;;;;;N;;;;;
        "\u2D61",  # ;TIFINAGH LETTER YAW;Lo;0;L;;;;;N;;;;;
        "\u2D62",  # ;TIFINAGH LETTER YAY;Lo;0;L;;;;;N;;;;;
        "\u2D63",  # ;TIFINAGH LETTER YAZ;Lo;0;L;;;;;N;;;;;
        "\u2D64",  # ;TIFINAGH LETTER TAWELLEMET YAZ;Lo;0;L;;;;;N;;;;;
        "\u2D65",  # ;TIFINAGH LETTER YAZZ;Lo;0;L;;;;;N;;;;;
        "\u2D66",  # ;TIFINAGH LETTER YE;Lo;0;L;;;;;N;;;;;
        "\u2D67",  # ;TIFINAGH LETTER YO;Lo;0;L;;;;;N;;;;;
        "\u2D6F",  # ;TIFINAGH MODIFIER LETTER LABIALIZATION MARK;Lm;0;L;<super> 2D61;;;;N;;;;;
        "\u2D70",  # ;TIFINAGH SEPARATOR MARK;Po;0;L;;;;;N;;;;;
        "\u2D7F",  # ;TIFINAGH CONSONANT JOINER;Mn;9;NSM;;;;;N;;;;;
        "\u2D80",  # ;ETHIOPIC SYLLABLE LOA;Lo;0;L;;;;;N;;;;;
        "\u2D81",  # ;ETHIOPIC SYLLABLE MOA;Lo;0;L;;;;;N;;;;;
        "\u2D82",  # ;ETHIOPIC SYLLABLE ROA;Lo;0;L;;;;;N;;;;;
        "\u2D83",  # ;ETHIOPIC SYLLABLE SOA;Lo;0;L;;;;;N;;;;;
        "\u2D84",  # ;ETHIOPIC SYLLABLE SHOA;Lo;0;L;;;;;N;;;;;
        "\u2D85",  # ;ETHIOPIC SYLLABLE BOA;Lo;0;L;;;;;N;;;;;
        "\u2D86",  # ;ETHIOPIC SYLLABLE TOA;Lo;0;L;;;;;N;;;;;
        "\u2D87",  # ;ETHIOPIC SYLLABLE COA;Lo;0;L;;;;;N;;;;;
        "\u2D88",  # ;ETHIOPIC SYLLABLE NOA;Lo;0;L;;;;;N;;;;;
        "\u2D89",  # ;ETHIOPIC SYLLABLE NYOA;Lo;0;L;;;;;N;;;;;
        "\u2D8A",  # ;ETHIOPIC SYLLABLE GLOTTAL OA;Lo;0;L;;;;;N;;;;;
        "\u2D8B",  # ;ETHIOPIC SYLLABLE ZOA;Lo;0;L;;;;;N;;;;;
        "\u2D8C",  # ;ETHIOPIC SYLLABLE DOA;Lo;0;L;;;;;N;;;;;
        "\u2D8D",  # ;ETHIOPIC SYLLABLE DDOA;Lo;0;L;;;;;N;;;;;
        "\u2D8E",  # ;ETHIOPIC SYLLABLE JOA;Lo;0;L;;;;;N;;;;;
        "\u2D8F",  # ;ETHIOPIC SYLLABLE THOA;Lo;0;L;;;;;N;;;;;
        "\u2D90",  # ;ETHIOPIC SYLLABLE CHOA;Lo;0;L;;;;;N;;;;;
        "\u2D91",  # ;ETHIOPIC SYLLABLE PHOA;Lo;0;L;;;;;N;;;;;
        "\u2D92",  # ;ETHIOPIC SYLLABLE POA;Lo;0;L;;;;;N;;;;;
        "\u2D93",  # ;ETHIOPIC SYLLABLE GGWA;Lo;0;L;;;;;N;;;;;
        "\u2D94",  # ;ETHIOPIC SYLLABLE GGWI;Lo;0;L;;;;;N;;;;;
        "\u2D95",  # ;ETHIOPIC SYLLABLE GGWEE;Lo;0;L;;;;;N;;;;;
        "\u2D96",  # ;ETHIOPIC SYLLABLE GGWE;Lo;0;L;;;;;N;;;;;
        "\u2DA0",  # ;ETHIOPIC SYLLABLE SSA;Lo;0;L;;;;;N;;;;;
        "\u2DA1",  # ;ETHIOPIC SYLLABLE SSU;Lo;0;L;;;;;N;;;;;
        "\u2DA2",  # ;ETHIOPIC SYLLABLE SSI;Lo;0;L;;;;;N;;;;;
        "\u2DA3",  # ;ETHIOPIC SYLLABLE SSAA;Lo;0;L;;;;;N;;;;;
        "\u2DA4",  # ;ETHIOPIC SYLLABLE SSEE;Lo;0;L;;;;;N;;;;;
        "\u2DA5",  # ;ETHIOPIC SYLLABLE SSE;Lo;0;L;;;;;N;;;;;
        "\u2DA6",  # ;ETHIOPIC SYLLABLE SSO;Lo;0;L;;;;;N;;;;;
        "\u2DA8",  # ;ETHIOPIC SYLLABLE CCA;Lo;0;L;;;;;N;;;;;
        "\u2DA9",  # ;ETHIOPIC SYLLABLE CCU;Lo;0;L;;;;;N;;;;;
        "\u2DAA",  # ;ETHIOPIC SYLLABLE CCI;Lo;0;L;;;;;N;;;;;
        "\u2DAB",  # ;ETHIOPIC SYLLABLE CCAA;Lo;0;L;;;;;N;;;;;
        "\u2DAC",  # ;ETHIOPIC SYLLABLE CCEE;Lo;0;L;;;;;N;;;;;
        "\u2DAD",  # ;ETHIOPIC SYLLABLE CCE;Lo;0;L;;;;;N;;;;;
        "\u2DAE",  # ;ETHIOPIC SYLLABLE CCO;Lo;0;L;;;;;N;;;;;
        "\u2DB0",  # ;ETHIOPIC SYLLABLE ZZA;Lo;0;L;;;;;N;;;;;
        "\u2DB1",  # ;ETHIOPIC SYLLABLE ZZU;Lo;0;L;;;;;N;;;;;
        "\u2DB2",  # ;ETHIOPIC SYLLABLE ZZI;Lo;0;L;;;;;N;;;;;
        "\u2DB3",  # ;ETHIOPIC SYLLABLE ZZAA;Lo;0;L;;;;;N;;;;;
        "\u2DB4",  # ;ETHIOPIC SYLLABLE ZZEE;Lo;0;L;;;;;N;;;;;
        "\u2DB5",  # ;ETHIOPIC SYLLABLE ZZE;Lo;0;L;;;;;N;;;;;
        "\u2DB6",  # ;ETHIOPIC SYLLABLE ZZO;Lo;0;L;;;;;N;;;;;
        "\u2DB8",  # ;ETHIOPIC SYLLABLE CCHA;Lo;0;L;;;;;N;;;;;
        "\u2DB9",  # ;ETHIOPIC SYLLABLE CCHU;Lo;0;L;;;;;N;;;;;
        "\u2DBA",  # ;ETHIOPIC SYLLABLE CCHI;Lo;0;L;;;;;N;;;;;
        "\u2DBB",  # ;ETHIOPIC SYLLABLE CCHAA;Lo;0;L;;;;;N;;;;;
        "\u2DBC",  # ;ETHIOPIC SYLLABLE CCHEE;Lo;0;L;;;;;N;;;;;
        "\u2DBD",  # ;ETHIOPIC SYLLABLE CCHE;Lo;0;L;;;;;N;;;;;
        "\u2DBE",  # ;ETHIOPIC SYLLABLE CCHO;Lo;0;L;;;;;N;;;;;
        "\u2DC0",  # ;ETHIOPIC SYLLABLE QYA;Lo;0;L;;;;;N;;;;;
        "\u2DC1",  # ;ETHIOPIC SYLLABLE QYU;Lo;0;L;;;;;N;;;;;
        "\u2DC2",  # ;ETHIOPIC SYLLABLE QYI;Lo;0;L;;;;;N;;;;;
        "\u2DC3",  # ;ETHIOPIC SYLLABLE QYAA;Lo;0;L;;;;;N;;;;;
        "\u2DC4",  # ;ETHIOPIC SYLLABLE QYEE;Lo;0;L;;;;;N;;;;;
        "\u2DC5",  # ;ETHIOPIC SYLLABLE QYE;Lo;0;L;;;;;N;;;;;
        "\u2DC6",  # ;ETHIOPIC SYLLABLE QYO;Lo;0;L;;;;;N;;;;;
        "\u2DC8",  # ;ETHIOPIC SYLLABLE KYA;Lo;0;L;;;;;N;;;;;
        "\u2DC9",  # ;ETHIOPIC SYLLABLE KYU;Lo;0;L;;;;;N;;;;;
        "\u2DCA",  # ;ETHIOPIC SYLLABLE KYI;Lo;0;L;;;;;N;;;;;
        "\u2DCB",  # ;ETHIOPIC SYLLABLE KYAA;Lo;0;L;;;;;N;;;;;
        "\u2DCC",  # ;ETHIOPIC SYLLABLE KYEE;Lo;0;L;;;;;N;;;;;
        "\u2DCD",  # ;ETHIOPIC SYLLABLE KYE;Lo;0;L;;;;;N;;;;;
        "\u2DCE",  # ;ETHIOPIC SYLLABLE KYO;Lo;0;L;;;;;N;;;;;
        "\u2DD0",  # ;ETHIOPIC SYLLABLE XYA;Lo;0;L;;;;;N;;;;;
        "\u2DD1",  # ;ETHIOPIC SYLLABLE XYU;Lo;0;L;;;;;N;;;;;
        "\u2DD2",  # ;ETHIOPIC SYLLABLE XYI;Lo;0;L;;;;;N;;;;;
        "\u2DD3",  # ;ETHIOPIC SYLLABLE XYAA;Lo;0;L;;;;;N;;;;;
        "\u2DD4",  # ;ETHIOPIC SYLLABLE XYEE;Lo;0;L;;;;;N;;;;;
        "\u2DD5",  # ;ETHIOPIC SYLLABLE XYE;Lo;0;L;;;;;N;;;;;
        "\u2DD6",  # ;ETHIOPIC SYLLABLE XYO;Lo;0;L;;;;;N;;;;;
        "\u2DD8",  # ;ETHIOPIC SYLLABLE GYA;Lo;0;L;;;;;N;;;;;
        "\u2DD9",  # ;ETHIOPIC SYLLABLE GYU;Lo;0;L;;;;;N;;;;;
        "\u2DDA",  # ;ETHIOPIC SYLLABLE GYI;Lo;0;L;;;;;N;;;;;
        "\u2DDB",  # ;ETHIOPIC SYLLABLE GYAA;Lo;0;L;;;;;N;;;;;
        "\u2DDC",  # ;ETHIOPIC SYLLABLE GYEE;Lo;0;L;;;;;N;;;;;
        "\u2DDD",  # ;ETHIOPIC SYLLABLE GYE;Lo;0;L;;;;;N;;;;;
        "\u2DDE",  # ;ETHIOPIC SYLLABLE GYO;Lo;0;L;;;;;N;;;;;
        "\u2DE0",  # ;COMBINING CYRILLIC LETTER BE;Mn;230;NSM;;;;;N;;;;;
        "\u2DE1",  # ;COMBINING CYRILLIC LETTER VE;Mn;230;NSM;;;;;N;;;;;
        "\u2DE2",  # ;COMBINING CYRILLIC LETTER GHE;Mn;230;NSM;;;;;N;;;;;
        "\u2DE3",  # ;COMBINING CYRILLIC LETTER DE;Mn;230;NSM;;;;;N;;;;;
        "\u2DE4",  # ;COMBINING CYRILLIC LETTER ZHE;Mn;230;NSM;;;;;N;;;;;
        "\u2DE5",  # ;COMBINING CYRILLIC LETTER ZE;Mn;230;NSM;;;;;N;;;;;
        "\u2DE6",  # ;COMBINING CYRILLIC LETTER KA;Mn;230;NSM;;;;;N;;;;;
        "\u2DE7",  # ;COMBINING CYRILLIC LETTER EL;Mn;230;NSM;;;;;N;;;;;
        "\u2DE8",  # ;COMBINING CYRILLIC LETTER EM;Mn;230;NSM;;;;;N;;;;;
        "\u2DE9",  # ;COMBINING CYRILLIC LETTER EN;Mn;230;NSM;;;;;N;;;;;
        "\u2DEA",  # ;COMBINING CYRILLIC LETTER O;Mn;230;NSM;;;;;N;;;;;
        "\u2DEB",  # ;COMBINING CYRILLIC LETTER PE;Mn;230;NSM;;;;;N;;;;;
        "\u2DEC",  # ;COMBINING CYRILLIC LETTER ER;Mn;230;NSM;;;;;N;;;;;
        "\u2DED",  # ;COMBINING CYRILLIC LETTER ES;Mn;230;NSM;;;;;N;;;;;
        "\u2DEE",  # ;COMBINING CYRILLIC LETTER TE;Mn;230;NSM;;;;;N;;;;;
        "\u2DEF",  # ;COMBINING CYRILLIC LETTER HA;Mn;230;NSM;;;;;N;;;;;
        "\u2DF0",  # ;COMBINING CYRILLIC LETTER TSE;Mn;230;NSM;;;;;N;;;;;
        "\u2DF1",  # ;COMBINING CYRILLIC LETTER CHE;Mn;230;NSM;;;;;N;;;;;
        "\u2DF2",  # ;COMBINING CYRILLIC LETTER SHA;Mn;230;NSM;;;;;N;;;;;
        "\u2DF3",  # ;COMBINING CYRILLIC LETTER SHCHA;Mn;230;NSM;;;;;N;;;;;
        "\u2DF4",  # ;COMBINING CYRILLIC LETTER FITA;Mn;230;NSM;;;;;N;;;;;
        "\u2DF5",  # ;COMBINING CYRILLIC LETTER ES-TE;Mn;230;NSM;;;;;N;;;;;
        "\u2DF6",  # ;COMBINING CYRILLIC LETTER A;Mn;230;NSM;;;;;N;;;;;
        "\u2DF7",  # ;COMBINING CYRILLIC LETTER IE;Mn;230;NSM;;;;;N;;;;;
        "\u2DF8",  # ;COMBINING CYRILLIC LETTER DJERV;Mn;230;NSM;;;;;N;;;;;
        "\u2DF9",  # ;COMBINING CYRILLIC LETTER MONOGRAPH UK;Mn;230;NSM;;;;;N;;;;;
        "\u2DFA",  # ;COMBINING CYRILLIC LETTER YAT;Mn;230;NSM;;;;;N;;;;;
        "\u2DFB",  # ;COMBINING CYRILLIC LETTER YU;Mn;230;NSM;;;;;N;;;;;
        "\u2DFC",  # ;COMBINING CYRILLIC LETTER IOTIFIED A;Mn;230;NSM;;;;;N;;;;;
        "\u2DFD",  # ;COMBINING CYRILLIC LETTER LITTLE YUS;Mn;230;NSM;;;;;N;;;;;
        "\u2DFE",  # ;COMBINING CYRILLIC LETTER BIG YUS;Mn;230;NSM;;;;;N;;;;;
        "\u2DFF",  # ;COMBINING CYRILLIC LETTER IOTIFIED BIG YUS;Mn;230;NSM;;;;;N;;;;;
        "\u2E00",  # ;RIGHT ANGLE SUBSTITUTION MARKER;Po;0;ON;;;;;N;;;;;
        "\u2E01",  # ;RIGHT ANGLE DOTTED SUBSTITUTION MARKER;Po;0;ON;;;;;N;;;;;
        "\u2E02",  # ;LEFT SUBSTITUTION BRACKET;Pi;0;ON;;;;;Y;;;;;
        "\u2E03",  # ;RIGHT SUBSTITUTION BRACKET;Pf;0;ON;;;;;Y;;;;;
        "\u2E04",  # ;LEFT DOTTED SUBSTITUTION BRACKET;Pi;0;ON;;;;;Y;;;;;
        "\u2E05",  # ;RIGHT DOTTED SUBSTITUTION BRACKET;Pf;0;ON;;;;;Y;;;;;
        "\u2E06",  # ;RAISED INTERPOLATION MARKER;Po;0;ON;;;;;N;;;;;
        "\u2E07",  # ;RAISED DOTTED INTERPOLATION MARKER;Po;0;ON;;;;;N;;;;;
        "\u2E08",  # ;DOTTED TRANSPOSITION MARKER;Po;0;ON;;;;;N;;;;;
        "\u2E09",  # ;LEFT TRANSPOSITION BRACKET;Pi;0;ON;;;;;Y;;;;;
        "\u2E0A",  # ;RIGHT TRANSPOSITION BRACKET;Pf;0;ON;;;;;Y;;;;;
        "\u2E0B",  # ;RAISED SQUARE;Po;0;ON;;;;;N;;;;;
        "\u2E0C",  # ;LEFT RAISED OMISSION BRACKET;Pi;0;ON;;;;;Y;;;;;
        "\u2E0D",  # ;RIGHT RAISED OMISSION BRACKET;Pf;0;ON;;;;;Y;;;;;
        "\u2E0E",  # ;EDITORIAL CORONIS;Po;0;ON;;;;;N;;;;;
        "\u2E0F",  # ;PARAGRAPHOS;Po;0;ON;;;;;N;;;;;
        "\u2E10",  # ;FORKED PARAGRAPHOS;Po;0;ON;;;;;N;;;;;
        "\u2E11",  # ;REVERSED FORKED PARAGRAPHOS;Po;0;ON;;;;;N;;;;;
        "\u2E12",  # ;HYPODIASTOLE;Po;0;ON;;;;;N;;;;;
        "\u2E13",  # ;DOTTED OBELOS;Po;0;ON;;;;;N;;;;;
        "\u2E14",  # ;DOWNWARDS ANCORA;Po;0;ON;;;;;N;;;;;
        "\u2E15",  # ;UPWARDS ANCORA;Po;0;ON;;;;;N;;;;;
        "\u2E16",  # ;DOTTED RIGHT-POINTING ANGLE;Po;0;ON;;;;;N;;;;;
        "\u2E17",  # ;DOUBLE OBLIQUE HYPHEN;Pd;0;ON;;;;;N;;;;;
        "\u2E18",  # ;INVERTED INTERROBANG;Po;0;ON;;;;;N;;;;;
        "\u2E19",  # ;PALM BRANCH;Po;0;ON;;;;;N;;;;;
        "\u2E1A",  # ;HYPHEN WITH DIAERESIS;Pd;0;ON;;;;;N;;;;;
        "\u2E1B",  # ;TILDE WITH RING ABOVE;Po;0;ON;;;;;N;;;;;
        "\u2E1C",  # ;LEFT LOW PARAPHRASE BRACKET;Pi;0;ON;;;;;Y;;;;;
        "\u2E1D",  # ;RIGHT LOW PARAPHRASE BRACKET;Pf;0;ON;;;;;Y;;;;;
        "\u2E1E",  # ;TILDE WITH DOT ABOVE;Po;0;ON;;;;;N;;;;;
        "\u2E1F",  # ;TILDE WITH DOT BELOW;Po;0;ON;;;;;N;;;;;
        "\u2E20",  # ;LEFT VERTICAL BAR WITH QUILL;Pi;0;ON;;;;;Y;;;;;
        "\u2E21",  # ;RIGHT VERTICAL BAR WITH QUILL;Pf;0;ON;;;;;Y;;;;;
        "\u2E22",  # ;TOP LEFT HALF BRACKET;Ps;0;ON;;;;;Y;;;;;
        "\u2E23",  # ;TOP RIGHT HALF BRACKET;Pe;0;ON;;;;;Y;;;;;
        "\u2E24",  # ;BOTTOM LEFT HALF BRACKET;Ps;0;ON;;;;;Y;;;;;
        "\u2E25",  # ;BOTTOM RIGHT HALF BRACKET;Pe;0;ON;;;;;Y;;;;;
        "\u2E26",  # ;LEFT SIDEWAYS U BRACKET;Ps;0;ON;;;;;Y;;;;;
        "\u2E27",  # ;RIGHT SIDEWAYS U BRACKET;Pe;0;ON;;;;;Y;;;;;
        "\u2E28",  # ;LEFT DOUBLE PARENTHESIS;Ps;0;ON;;;;;Y;;;;;
        "\u2E29",  # ;RIGHT DOUBLE PARENTHESIS;Pe;0;ON;;;;;Y;;;;;
        "\u2E2A",  # ;TWO DOTS OVER ONE DOT PUNCTUATION;Po;0;ON;;;;;N;;;;;
        "\u2E2B",  # ;ONE DOT OVER TWO DOTS PUNCTUATION;Po;0;ON;;;;;N;;;;;
        "\u2E2C",  # ;SQUARED FOUR DOT PUNCTUATION;Po;0;ON;;;;;N;;;;;
        "\u2E2D",  # ;FIVE DOT MARK;Po;0;ON;;;;;N;;;;;
        "\u2E2E",  # ;REVERSED QUESTION MARK;Po;0;ON;;;;;N;;;;;
        "\u2E2F",  # ;VERTICAL TILDE;Lm;0;ON;;;;;N;;;;;
        "\u2E30",  # ;RING POINT;Po;0;ON;;;;;N;;;;;
        "\u2E31",  # ;WORD SEPARATOR MIDDLE DOT;Po;0;ON;;;;;N;;;;;
        "\u2E32",  # ;TURNED COMMA;Po;0;ON;;;;;N;;;;;
        "\u2E33",  # ;RAISED DOT;Po;0;ON;;;;;N;;;;;
        "\u2E34",  # ;RAISED COMMA;Po;0;ON;;;;;N;;;;;
        "\u2E35",  # ;TURNED SEMICOLON;Po;0;ON;;;;;N;;;;;
        "\u2E36",  # ;DAGGER WITH LEFT GUARD;Po;0;ON;;;;;N;;;;;
        "\u2E37",  # ;DAGGER WITH RIGHT GUARD;Po;0;ON;;;;;N;;;;;
        "\u2E38",  # ;TURNED DAGGER;Po;0;ON;;;;;N;;;;;
        "\u2E39",  # ;TOP HALF SECTION SIGN;Po;0;ON;;;;;N;;;;;
        "\u2E3A",  # ;TWO-EM DASH;Pd;0;ON;;;;;N;;;;;
        "\u2E3B",  # ;THREE-EM DASH;Pd;0;ON;;;;;N;;;;;
        "\u2E3C",  # ;STENOGRAPHIC FULL STOP;Po;0;ON;;;;;N;;;;;
        "\u2E3D",  # ;VERTICAL SIX DOTS;Po;0;ON;;;;;N;;;;;
        "\u2E3E",  # ;WIGGLY VERTICAL LINE;Po;0;ON;;;;;N;;;;;
        "\u2E3F",  # ;CAPITULUM;Po;0;ON;;;;;N;;;;;
        "\u2E40",  # ;DOUBLE HYPHEN;Pd;0;ON;;;;;N;;;;;
        "\u2E41",  # ;REVERSED COMMA;Po;0;ON;;;;;N;;;;;
        "\u2E42",  # ;DOUBLE LOW-REVERSED-9 QUOTATION MARK;Ps;0;ON;;;;;N;;;;;
        "\u2E43",  # ;DASH WITH LEFT UPTURN;Po;0;ON;;;;;N;;;;;
        "\u2E44",  # ;DOUBLE SUSPENSION MARK;Po;0;ON;;;;;N;;;;;
        "\u2E45",  # ;INVERTED LOW KAVYKA;Po;0;ON;;;;;N;;;;;
        "\u2E46",  # ;INVERTED LOW KAVYKA WITH KAVYKA ABOVE;Po;0;ON;;;;;N;;;;;
        "\u2E47",  # ;LOW KAVYKA;Po;0;ON;;;;;N;;;;;
        "\u2E48",  # ;LOW KAVYKA WITH DOT;Po;0;ON;;;;;N;;;;;
        "\u2E49",  # ;DOUBLE STACKED COMMA;Po;0;ON;;;;;N;;;;;
        "\u2E80",  # ;CJK RADICAL REPEAT;So;0;ON;;;;;N;;;;;
        "\u2E81",  # ;CJK RADICAL CLIFF;So;0;ON;;;;;N;;;;;
        "\u2E82",  # ;CJK RADICAL SECOND ONE;So;0;ON;;;;;N;;;;;
        "\u2E83",  # ;CJK RADICAL SECOND TWO;So;0;ON;;;;;N;;;;;
        "\u2E84",  # ;CJK RADICAL SECOND THREE;So;0;ON;;;;;N;;;;;
        "\u2E85",  # ;CJK RADICAL PERSON;So;0;ON;;;;;N;;;;;
        "\u2E86",  # ;CJK RADICAL BOX;So;0;ON;;;;;N;;;;;
        "\u2E87",  # ;CJK RADICAL TABLE;So;0;ON;;;;;N;;;;;
        "\u2E88",  # ;CJK RADICAL KNIFE ONE;So;0;ON;;;;;N;;;;;
        "\u2E89",  # ;CJK RADICAL KNIFE TWO;So;0;ON;;;;;N;;;;;
        "\u2E8A",  # ;CJK RADICAL DIVINATION;So;0;ON;;;;;N;;;;;
        "\u2E8B",  # ;CJK RADICAL SEAL;So;0;ON;;;;;N;;;;;
        "\u2E8C",  # ;CJK RADICAL SMALL ONE;So;0;ON;;;;;N;;;;;
        "\u2E8D",  # ;CJK RADICAL SMALL TWO;So;0;ON;;;;;N;;;;;
        "\u2E8E",  # ;CJK RADICAL LAME ONE;So;0;ON;;;;;N;;;;;
        "\u2E8F",  # ;CJK RADICAL LAME TWO;So;0;ON;;;;;N;;;;;
        "\u2E90",  # ;CJK RADICAL LAME THREE;So;0;ON;;;;;N;;;;;
        "\u2E91",  # ;CJK RADICAL LAME FOUR;So;0;ON;;;;;N;;;;;
        "\u2E92",  # ;CJK RADICAL SNAKE;So;0;ON;;;;;N;;;;;
        "\u2E93",  # ;CJK RADICAL THREAD;So;0;ON;;;;;N;;;;;
        "\u2E94",  # ;CJK RADICAL SNOUT ONE;So;0;ON;;;;;N;;;;;
        "\u2E95",  # ;CJK RADICAL SNOUT TWO;So;0;ON;;;;;N;;;;;
        "\u2E96",  # ;CJK RADICAL HEART ONE;So;0;ON;;;;;N;;;;;
        "\u2E97",  # ;CJK RADICAL HEART TWO;So;0;ON;;;;;N;;;;;
        "\u2E98",  # ;CJK RADICAL HAND;So;0;ON;;;;;N;;;;;
        "\u2E99",  # ;CJK RADICAL RAP;So;0;ON;;;;;N;;;;;
        "\u2E9B",  # ;CJK RADICAL CHOKE;So;0;ON;;;;;N;;;;;
        "\u2E9C",  # ;CJK RADICAL SUN;So;0;ON;;;;;N;;;;;
        "\u2E9D",  # ;CJK RADICAL MOON;So;0;ON;;;;;N;;;;;
        "\u2E9E",  # ;CJK RADICAL DEATH;So;0;ON;;;;;N;;;;;
        "\u2E9F",  # ;CJK RADICAL MOTHER;So;0;ON;<compat> 6BCD;;;;N;;;;;
        "\u2EA0",  # ;CJK RADICAL CIVILIAN;So;0;ON;;;;;N;;;;;
        "\u2EA1",  # ;CJK RADICAL WATER ONE;So;0;ON;;;;;N;;;;;
        "\u2EA2",  # ;CJK RADICAL WATER TWO;So;0;ON;;;;;N;;;;;
        "\u2EA3",  # ;CJK RADICAL FIRE;So;0;ON;;;;;N;;;;;
        "\u2EA4",  # ;CJK RADICAL PAW ONE;So;0;ON;;;;;N;;;;;
        "\u2EA5",  # ;CJK RADICAL PAW TWO;So;0;ON;;;;;N;;;;;
        "\u2EA6",  # ;CJK RADICAL SIMPLIFIED HALF TREE TRUNK;So;0;ON;;;;;N;;;;;
        "\u2EA7",  # ;CJK RADICAL COW;So;0;ON;;;;;N;;;;;
        "\u2EA8",  # ;CJK RADICAL DOG;So;0;ON;;;;;N;;;;;
        "\u2EA9",  # ;CJK RADICAL JADE;So;0;ON;;;;;N;;;;;
        "\u2EAA",  # ;CJK RADICAL BOLT OF CLOTH;So;0;ON;;;;;N;;;;;
        "\u2EAB",  # ;CJK RADICAL EYE;So;0;ON;;;;;N;;;;;
        "\u2EAC",  # ;CJK RADICAL SPIRIT ONE;So;0;ON;;;;;N;;;;;
        "\u2EAD",  # ;CJK RADICAL SPIRIT TWO;So;0;ON;;;;;N;;;;;
        "\u2EAE",  # ;CJK RADICAL BAMBOO;So;0;ON;;;;;N;;;;;
        "\u2EAF",  # ;CJK RADICAL SILK;So;0;ON;;;;;N;;;;;
        "\u2EB0",  # ;CJK RADICAL C-SIMPLIFIED SILK;So;0;ON;;;;;N;;;;;
        "\u2EB1",  # ;CJK RADICAL NET ONE;So;0;ON;;;;;N;;;;;
        "\u2EB2",  # ;CJK RADICAL NET TWO;So;0;ON;;;;;N;;;;;
        "\u2EB3",  # ;CJK RADICAL NET THREE;So;0;ON;;;;;N;;;;;
        "\u2EB4",  # ;CJK RADICAL NET FOUR;So;0;ON;;;;;N;;;;;
        "\u2EB5",  # ;CJK RADICAL MESH;So;0;ON;;;;;N;;;;;
        "\u2EB6",  # ;CJK RADICAL SHEEP;So;0;ON;;;;;N;;;;;
        "\u2EB7",  # ;CJK RADICAL RAM;So;0;ON;;;;;N;;;;;
        "\u2EB8",  # ;CJK RADICAL EWE;So;0;ON;;;;;N;;;;;
        "\u2EB9",  # ;CJK RADICAL OLD;So;0;ON;;;;;N;;;;;
        "\u2EBA",  # ;CJK RADICAL BRUSH ONE;So;0;ON;;;;;N;;;;;
        "\u2EBB",  # ;CJK RADICAL BRUSH TWO;So;0;ON;;;;;N;;;;;
        "\u2EBC",  # ;CJK RADICAL MEAT;So;0;ON;;;;;N;;;;;
        "\u2EBD",  # ;CJK RADICAL MORTAR;So;0;ON;;;;;N;;;;;
        "\u2EBE",  # ;CJK RADICAL GRASS ONE;So;0;ON;;;;;N;;;;;
        "\u2EBF",  # ;CJK RADICAL GRASS TWO;So;0;ON;;;;;N;;;;;
        "\u2EC0",  # ;CJK RADICAL GRASS THREE;So;0;ON;;;;;N;;;;;
        "\u2EC1",  # ;CJK RADICAL TIGER;So;0;ON;;;;;N;;;;;
        "\u2EC2",  # ;CJK RADICAL CLOTHES;So;0;ON;;;;;N;;;;;
        "\u2EC3",  # ;CJK RADICAL WEST ONE;So;0;ON;;;;;N;;;;;
        "\u2EC4",  # ;CJK RADICAL WEST TWO;So;0;ON;;;;;N;;;;;
        "\u2EC5",  # ;CJK RADICAL C-SIMPLIFIED SEE;So;0;ON;;;;;N;;;;;
        "\u2EC6",  # ;CJK RADICAL SIMPLIFIED HORN;So;0;ON;;;;;N;;;;;
        "\u2EC7",  # ;CJK RADICAL HORN;So;0;ON;;;;;N;;;;;
        "\u2EC8",  # ;CJK RADICAL C-SIMPLIFIED SPEECH;So;0;ON;;;;;N;;;;;
        "\u2EC9",  # ;CJK RADICAL C-SIMPLIFIED SHELL;So;0;ON;;;;;N;;;;;
        "\u2ECA",  # ;CJK RADICAL FOOT;So;0;ON;;;;;N;;;;;
        "\u2ECB",  # ;CJK RADICAL C-SIMPLIFIED CART;So;0;ON;;;;;N;;;;;
        "\u2ECC",  # ;CJK RADICAL SIMPLIFIED WALK;So;0;ON;;;;;N;;;;;
        "\u2ECD",  # ;CJK RADICAL WALK ONE;So;0;ON;;;;;N;;;;;
        "\u2ECE",  # ;CJK RADICAL WALK TWO;So;0;ON;;;;;N;;;;;
        "\u2ECF",  # ;CJK RADICAL CITY;So;0;ON;;;;;N;;;;;
        "\u2ED0",  # ;CJK RADICAL C-SIMPLIFIED GOLD;So;0;ON;;;;;N;;;;;
        "\u2ED1",  # ;CJK RADICAL LONG ONE;So;0;ON;;;;;N;;;;;
        "\u2ED2",  # ;CJK RADICAL LONG TWO;So;0;ON;;;;;N;;;;;
        "\u2ED3",  # ;CJK RADICAL C-SIMPLIFIED LONG;So;0;ON;;;;;N;;;;;
        "\u2ED4",  # ;CJK RADICAL C-SIMPLIFIED GATE;So;0;ON;;;;;N;;;;;
        "\u2ED5",  # ;CJK RADICAL MOUND ONE;So;0;ON;;;;;N;;;;;
        "\u2ED6",  # ;CJK RADICAL MOUND TWO;So;0;ON;;;;;N;;;;;
        "\u2ED7",  # ;CJK RADICAL RAIN;So;0;ON;;;;;N;;;;;
        "\u2ED8",  # ;CJK RADICAL BLUE;So;0;ON;;;;;N;;;;;
        "\u2ED9",  # ;CJK RADICAL C-SIMPLIFIED TANNED LEATHER;So;0;ON;;;;;N;;;;;
        "\u2EDA",  # ;CJK RADICAL C-SIMPLIFIED LEAF;So;0;ON;;;;;N;;;;;
        "\u2EDB",  # ;CJK RADICAL C-SIMPLIFIED WIND;So;0;ON;;;;;N;;;;;
        "\u2EDC",  # ;CJK RADICAL C-SIMPLIFIED FLY;So;0;ON;;;;;N;;;;;
        "\u2EDD",  # ;CJK RADICAL EAT ONE;So;0;ON;;;;;N;;;;;
        "\u2EDE",  # ;CJK RADICAL EAT TWO;So;0;ON;;;;;N;;;;;
        "\u2EDF",  # ;CJK RADICAL EAT THREE;So;0;ON;;;;;N;;;;;
        "\u2EE0",  # ;CJK RADICAL C-SIMPLIFIED EAT;So;0;ON;;;;;N;;;;;
        "\u2EE1",  # ;CJK RADICAL HEAD;So;0;ON;;;;;N;;;;;
        "\u2EE2",  # ;CJK RADICAL C-SIMPLIFIED HORSE;So;0;ON;;;;;N;;;;;
        "\u2EE3",  # ;CJK RADICAL BONE;So;0;ON;;;;;N;;;;;
        "\u2EE4",  # ;CJK RADICAL GHOST;So;0;ON;;;;;N;;;;;
        "\u2EE5",  # ;CJK RADICAL C-SIMPLIFIED FISH;So;0;ON;;;;;N;;;;;
        "\u2EE6",  # ;CJK RADICAL C-SIMPLIFIED BIRD;So;0;ON;;;;;N;;;;;
        "\u2EE7",  # ;CJK RADICAL C-SIMPLIFIED SALT;So;0;ON;;;;;N;;;;;
        "\u2EE8",  # ;CJK RADICAL SIMPLIFIED WHEAT;So;0;ON;;;;;N;;;;;
        "\u2EE9",  # ;CJK RADICAL SIMPLIFIED YELLOW;So;0;ON;;;;;N;;;;;
        "\u2EEA",  # ;CJK RADICAL C-SIMPLIFIED FROG;So;0;ON;;;;;N;;;;;
        "\u2EEB",  # ;CJK RADICAL J-SIMPLIFIED EVEN;So;0;ON;;;;;N;;;;;
        "\u2EEC",  # ;CJK RADICAL C-SIMPLIFIED EVEN;So;0;ON;;;;;N;;;;;
        "\u2EED",  # ;CJK RADICAL J-SIMPLIFIED TOOTH;So;0;ON;;;;;N;;;;;
        "\u2EEE",  # ;CJK RADICAL C-SIMPLIFIED TOOTH;So;0;ON;;;;;N;;;;;
        "\u2EEF",  # ;CJK RADICAL J-SIMPLIFIED DRAGON;So;0;ON;;;;;N;;;;;
        "\u2EF0",  # ;CJK RADICAL C-SIMPLIFIED DRAGON;So;0;ON;;;;;N;;;;;
        "\u2EF1",  # ;CJK RADICAL TURTLE;So;0;ON;;;;;N;;;;;
        "\u2EF2",  # ;CJK RADICAL J-SIMPLIFIED TURTLE;So;0;ON;;;;;N;;;;;
        "\u2EF3",  # ;CJK RADICAL C-SIMPLIFIED TURTLE;So;0;ON;<compat> 9F9F;;;;N;;;;;
        "\u2F00",  # ;KANGXI RADICAL ONE;So;0;ON;<compat> 4E00;;;;N;;;;;
        "\u2F01",  # ;KANGXI RADICAL LINE;So;0;ON;<compat> 4E28;;;;N;;;;;
        "\u2F02",  # ;KANGXI RADICAL DOT;So;0;ON;<compat> 4E36;;;;N;;;;;
        "\u2F03",  # ;KANGXI RADICAL SLASH;So;0;ON;<compat> 4E3F;;;;N;;;;;
        "\u2F04",  # ;KANGXI RADICAL SECOND;So;0;ON;<compat> 4E59;;;;N;;;;;
        "\u2F05",  # ;KANGXI RADICAL HOOK;So;0;ON;<compat> 4E85;;;;N;;;;;
        "\u2F06",  # ;KANGXI RADICAL TWO;So;0;ON;<compat> 4E8C;;;;N;;;;;
        "\u2F07",  # ;KANGXI RADICAL LID;So;0;ON;<compat> 4EA0;;;;N;;;;;
        "\u2F08",  # ;KANGXI RADICAL MAN;So;0;ON;<compat> 4EBA;;;;N;;;;;
        "\u2F09",  # ;KANGXI RADICAL LEGS;So;0;ON;<compat> 513F;;;;N;;;;;
        "\u2F0A",  # ;KANGXI RADICAL ENTER;So;0;ON;<compat> 5165;;;;N;;;;;
        "\u2F0B",  # ;KANGXI RADICAL EIGHT;So;0;ON;<compat> 516B;;;;N;;;;;
        "\u2F0C",  # ;KANGXI RADICAL DOWN BOX;So;0;ON;<compat> 5182;;;;N;;;;;
        "\u2F0D",  # ;KANGXI RADICAL COVER;So;0;ON;<compat> 5196;;;;N;;;;;
        "\u2F0E",  # ;KANGXI RADICAL ICE;So;0;ON;<compat> 51AB;;;;N;;;;;
        "\u2F0F",  # ;KANGXI RADICAL TABLE;So;0;ON;<compat> 51E0;;;;N;;;;;
        "\u2F10",  # ;KANGXI RADICAL OPEN BOX;So;0;ON;<compat> 51F5;;;;N;;;;;
        "\u2F11",  # ;KANGXI RADICAL KNIFE;So;0;ON;<compat> 5200;;;;N;;;;;
        "\u2F12",  # ;KANGXI RADICAL POWER;So;0;ON;<compat> 529B;;;;N;;;;;
        "\u2F13",  # ;KANGXI RADICAL WRAP;So;0;ON;<compat> 52F9;;;;N;;;;;
        "\u2F14",  # ;KANGXI RADICAL SPOON;So;0;ON;<compat> 5315;;;;N;;;;;
        "\u2F15",  # ;KANGXI RADICAL RIGHT OPEN BOX;So;0;ON;<compat> 531A;;;;N;;;;;
        "\u2F16",  # ;KANGXI RADICAL HIDING ENCLOSURE;So;0;ON;<compat> 5338;;;;N;;;;;
        "\u2F17",  # ;KANGXI RADICAL TEN;So;0;ON;<compat> 5341;;;;N;;;;;
        "\u2F18",  # ;KANGXI RADICAL DIVINATION;So;0;ON;<compat> 535C;;;;N;;;;;
        "\u2F19",  # ;KANGXI RADICAL SEAL;So;0;ON;<compat> 5369;;;;N;;;;;
        "\u2F1A",  # ;KANGXI RADICAL CLIFF;So;0;ON;<compat> 5382;;;;N;;;;;
        "\u2F1B",  # ;KANGXI RADICAL PRIVATE;So;0;ON;<compat> 53B6;;;;N;;;;;
        "\u2F1C",  # ;KANGXI RADICAL AGAIN;So;0;ON;<compat> 53C8;;;;N;;;;;
        "\u2F1D",  # ;KANGXI RADICAL MOUTH;So;0;ON;<compat> 53E3;;;;N;;;;;
        "\u2F1E",  # ;KANGXI RADICAL ENCLOSURE;So;0;ON;<compat> 56D7;;;;N;;;;;
        "\u2F1F",  # ;KANGXI RADICAL EARTH;So;0;ON;<compat> 571F;;;;N;;;;;
        "\u2F20",  # ;KANGXI RADICAL SCHOLAR;So;0;ON;<compat> 58EB;;;;N;;;;;
        "\u2F21",  # ;KANGXI RADICAL GO;So;0;ON;<compat> 5902;;;;N;;;;;
        "\u2F22",  # ;KANGXI RADICAL GO SLOWLY;So;0;ON;<compat> 590A;;;;N;;;;;
        "\u2F23",  # ;KANGXI RADICAL EVENING;So;0;ON;<compat> 5915;;;;N;;;;;
        "\u2F24",  # ;KANGXI RADICAL BIG;So;0;ON;<compat> 5927;;;;N;;;;;
        "\u2F25",  # ;KANGXI RADICAL WOMAN;So;0;ON;<compat> 5973;;;;N;;;;;
        "\u2F26",  # ;KANGXI RADICAL CHILD;So;0;ON;<compat> 5B50;;;;N;;;;;
        "\u2F27",  # ;KANGXI RADICAL ROOF;So;0;ON;<compat> 5B80;;;;N;;;;;
        "\u2F28",  # ;KANGXI RADICAL INCH;So;0;ON;<compat> 5BF8;;;;N;;;;;
        "\u2F29",  # ;KANGXI RADICAL SMALL;So;0;ON;<compat> 5C0F;;;;N;;;;;
        "\u2F2A",  # ;KANGXI RADICAL LAME;So;0;ON;<compat> 5C22;;;;N;;;;;
        "\u2F2B",  # ;KANGXI RADICAL CORPSE;So;0;ON;<compat> 5C38;;;;N;;;;;
        "\u2F2C",  # ;KANGXI RADICAL SPROUT;So;0;ON;<compat> 5C6E;;;;N;;;;;
        "\u2F2D",  # ;KANGXI RADICAL MOUNTAIN;So;0;ON;<compat> 5C71;;;;N;;;;;
        "\u2F2E",  # ;KANGXI RADICAL RIVER;So;0;ON;<compat> 5DDB;;;;N;;;;;
        "\u2F2F",  # ;KANGXI RADICAL WORK;So;0;ON;<compat> 5DE5;;;;N;;;;;
        "\u2F30",  # ;KANGXI RADICAL ONESELF;So;0;ON;<compat> 5DF1;;;;N;;;;;
        "\u2F31",  # ;KANGXI RADICAL TURBAN;So;0;ON;<compat> 5DFE;;;;N;;;;;
        "\u2F32",  # ;KANGXI RADICAL DRY;So;0;ON;<compat> 5E72;;;;N;;;;;
        "\u2F33",  # ;KANGXI RADICAL SHORT THREAD;So;0;ON;<compat> 5E7A;;;;N;;;;;
        "\u2F34",  # ;KANGXI RADICAL DOTTED CLIFF;So;0;ON;<compat> 5E7F;;;;N;;;;;
        "\u2F35",  # ;KANGXI RADICAL LONG STRIDE;So;0;ON;<compat> 5EF4;;;;N;;;;;
        "\u2F36",  # ;KANGXI RADICAL TWO HANDS;So;0;ON;<compat> 5EFE;;;;N;;;;;
        "\u2F37",  # ;KANGXI RADICAL SHOOT;So;0;ON;<compat> 5F0B;;;;N;;;;;
        "\u2F38",  # ;KANGXI RADICAL BOW;So;0;ON;<compat> 5F13;;;;N;;;;;
        "\u2F39",  # ;KANGXI RADICAL SNOUT;So;0;ON;<compat> 5F50;;;;N;;;;;
        "\u2F3A",  # ;KANGXI RADICAL BRISTLE;So;0;ON;<compat> 5F61;;;;N;;;;;
        "\u2F3B",  # ;KANGXI RADICAL STEP;So;0;ON;<compat> 5F73;;;;N;;;;;
        "\u2F3C",  # ;KANGXI RADICAL HEART;So;0;ON;<compat> 5FC3;;;;N;;;;;
        "\u2F3D",  # ;KANGXI RADICAL HALBERD;So;0;ON;<compat> 6208;;;;N;;;;;
        "\u2F3E",  # ;KANGXI RADICAL DOOR;So;0;ON;<compat> 6236;;;;N;;;;;
        "\u2F3F",  # ;KANGXI RADICAL HAND;So;0;ON;<compat> 624B;;;;N;;;;;
        "\u2F40",  # ;KANGXI RADICAL BRANCH;So;0;ON;<compat> 652F;;;;N;;;;;
        "\u2F41",  # ;KANGXI RADICAL RAP;So;0;ON;<compat> 6534;;;;N;;;;;
        "\u2F42",  # ;KANGXI RADICAL SCRIPT;So;0;ON;<compat> 6587;;;;N;;;;;
        "\u2F43",  # ;KANGXI RADICAL DIPPER;So;0;ON;<compat> 6597;;;;N;;;;;
        "\u2F44",  # ;KANGXI RADICAL AXE;So;0;ON;<compat> 65A4;;;;N;;;;;
        "\u2F45",  # ;KANGXI RADICAL SQUARE;So;0;ON;<compat> 65B9;;;;N;;;;;
        "\u2F46",  # ;KANGXI RADICAL NOT;So;0;ON;<compat> 65E0;;;;N;;;;;
        "\u2F47",  # ;KANGXI RADICAL SUN;So;0;ON;<compat> 65E5;;;;N;;;;;
        "\u2F48",  # ;KANGXI RADICAL SAY;So;0;ON;<compat> 66F0;;;;N;;;;;
        "\u2F49",  # ;KANGXI RADICAL MOON;So;0;ON;<compat> 6708;;;;N;;;;;
        "\u2F4A",  # ;KANGXI RADICAL TREE;So;0;ON;<compat> 6728;;;;N;;;;;
        "\u2F4B",  # ;KANGXI RADICAL LACK;So;0;ON;<compat> 6B20;;;;N;;;;;
        "\u2F4C",  # ;KANGXI RADICAL STOP;So;0;ON;<compat> 6B62;;;;N;;;;;
        "\u2F4D",  # ;KANGXI RADICAL DEATH;So;0;ON;<compat> 6B79;;;;N;;;;;
        "\u2F4E",  # ;KANGXI RADICAL WEAPON;So;0;ON;<compat> 6BB3;;;;N;;;;;
        "\u2F4F",  # ;KANGXI RADICAL DO NOT;So;0;ON;<compat> 6BCB;;;;N;;;;;
        "\u2F50",  # ;KANGXI RADICAL COMPARE;So;0;ON;<compat> 6BD4;;;;N;;;;;
        "\u2F51",  # ;KANGXI RADICAL FUR;So;0;ON;<compat> 6BDB;;;;N;;;;;
        "\u2F52",  # ;KANGXI RADICAL CLAN;So;0;ON;<compat> 6C0F;;;;N;;;;;
        "\u2F53",  # ;KANGXI RADICAL STEAM;So;0;ON;<compat> 6C14;;;;N;;;;;
        "\u2F54",  # ;KANGXI RADICAL WATER;So;0;ON;<compat> 6C34;;;;N;;;;;
        "\u2F55",  # ;KANGXI RADICAL FIRE;So;0;ON;<compat> 706B;;;;N;;;;;
        "\u2F56",  # ;KANGXI RADICAL CLAW;So;0;ON;<compat> 722A;;;;N;;;;;
        "\u2F57",  # ;KANGXI RADICAL FATHER;So;0;ON;<compat> 7236;;;;N;;;;;
        "\u2F58",  # ;KANGXI RADICAL DOUBLE X;So;0;ON;<compat> 723B;;;;N;;;;;
        "\u2F59",  # ;KANGXI RADICAL HALF TREE TRUNK;So;0;ON;<compat> 723F;;;;N;;;;;
        "\u2F5A",  # ;KANGXI RADICAL SLICE;So;0;ON;<compat> 7247;;;;N;;;;;
        "\u2F5B",  # ;KANGXI RADICAL FANG;So;0;ON;<compat> 7259;;;;N;;;;;
        "\u2F5C",  # ;KANGXI RADICAL COW;So;0;ON;<compat> 725B;;;;N;;;;;
        "\u2F5D",  # ;KANGXI RADICAL DOG;So;0;ON;<compat> 72AC;;;;N;;;;;
        "\u2F5E",  # ;KANGXI RADICAL PROFOUND;So;0;ON;<compat> 7384;;;;N;;;;;
        "\u2F5F",  # ;KANGXI RADICAL JADE;So;0;ON;<compat> 7389;;;;N;;;;;
        "\u2F60",  # ;KANGXI RADICAL MELON;So;0;ON;<compat> 74DC;;;;N;;;;;
        "\u2F61",  # ;KANGXI RADICAL TILE;So;0;ON;<compat> 74E6;;;;N;;;;;
        "\u2F62",  # ;KANGXI RADICAL SWEET;So;0;ON;<compat> 7518;;;;N;;;;;
        "\u2F63",  # ;KANGXI RADICAL LIFE;So;0;ON;<compat> 751F;;;;N;;;;;
        "\u2F64",  # ;KANGXI RADICAL USE;So;0;ON;<compat> 7528;;;;N;;;;;
        "\u2F65",  # ;KANGXI RADICAL FIELD;So;0;ON;<compat> 7530;;;;N;;;;;
        "\u2F66",  # ;KANGXI RADICAL BOLT OF CLOTH;So;0;ON;<compat> 758B;;;;N;;;;;
        "\u2F67",  # ;KANGXI RADICAL SICKNESS;So;0;ON;<compat> 7592;;;;N;;;;;
        "\u2F68",  # ;KANGXI RADICAL DOTTED TENT;So;0;ON;<compat> 7676;;;;N;;;;;
        "\u2F69",  # ;KANGXI RADICAL WHITE;So;0;ON;<compat> 767D;;;;N;;;;;
        "\u2F6A",  # ;KANGXI RADICAL SKIN;So;0;ON;<compat> 76AE;;;;N;;;;;
        "\u2F6B",  # ;KANGXI RADICAL DISH;So;0;ON;<compat> 76BF;;;;N;;;;;
        "\u2F6C",  # ;KANGXI RADICAL EYE;So;0;ON;<compat> 76EE;;;;N;;;;;
        "\u2F6D",  # ;KANGXI RADICAL SPEAR;So;0;ON;<compat> 77DB;;;;N;;;;;
        "\u2F6E",  # ;KANGXI RADICAL ARROW;So;0;ON;<compat> 77E2;;;;N;;;;;
        "\u2F6F",  # ;KANGXI RADICAL STONE;So;0;ON;<compat> 77F3;;;;N;;;;;
        "\u2F70",  # ;KANGXI RADICAL SPIRIT;So;0;ON;<compat> 793A;;;;N;;;;;
        "\u2F71",  # ;KANGXI RADICAL TRACK;So;0;ON;<compat> 79B8;;;;N;;;;;
        "\u2F72",  # ;KANGXI RADICAL GRAIN;So;0;ON;<compat> 79BE;;;;N;;;;;
        "\u2F73",  # ;KANGXI RADICAL CAVE;So;0;ON;<compat> 7A74;;;;N;;;;;
        "\u2F74",  # ;KANGXI RADICAL STAND;So;0;ON;<compat> 7ACB;;;;N;;;;;
        "\u2F75",  # ;KANGXI RADICAL BAMBOO;So;0;ON;<compat> 7AF9;;;;N;;;;;
        "\u2F76",  # ;KANGXI RADICAL RICE;So;0;ON;<compat> 7C73;;;;N;;;;;
        "\u2F77",  # ;KANGXI RADICAL SILK;So;0;ON;<compat> 7CF8;;;;N;;;;;
        "\u2F78",  # ;KANGXI RADICAL JAR;So;0;ON;<compat> 7F36;;;;N;;;;;
        "\u2F79",  # ;KANGXI RADICAL NET;So;0;ON;<compat> 7F51;;;;N;;;;;
        "\u2F7A",  # ;KANGXI RADICAL SHEEP;So;0;ON;<compat> 7F8A;;;;N;;;;;
        "\u2F7B",  # ;KANGXI RADICAL FEATHER;So;0;ON;<compat> 7FBD;;;;N;;;;;
        "\u2F7C",  # ;KANGXI RADICAL OLD;So;0;ON;<compat> 8001;;;;N;;;;;
        "\u2F7D",  # ;KANGXI RADICAL AND;So;0;ON;<compat> 800C;;;;N;;;;;
        "\u2F7E",  # ;KANGXI RADICAL PLOW;So;0;ON;<compat> 8012;;;;N;;;;;
        "\u2F7F",  # ;KANGXI RADICAL EAR;So;0;ON;<compat> 8033;;;;N;;;;;
        "\u2F80",  # ;KANGXI RADICAL BRUSH;So;0;ON;<compat> 807F;;;;N;;;;;
        "\u2F81",  # ;KANGXI RADICAL MEAT;So;0;ON;<compat> 8089;;;;N;;;;;
        "\u2F82",  # ;KANGXI RADICAL MINISTER;So;0;ON;<compat> 81E3;;;;N;;;;;
        "\u2F83",  # ;KANGXI RADICAL SELF;So;0;ON;<compat> 81EA;;;;N;;;;;
        "\u2F84",  # ;KANGXI RADICAL ARRIVE;So;0;ON;<compat> 81F3;;;;N;;;;;
        "\u2F85",  # ;KANGXI RADICAL MORTAR;So;0;ON;<compat> 81FC;;;;N;;;;;
        "\u2F86",  # ;KANGXI RADICAL TONGUE;So;0;ON;<compat> 820C;;;;N;;;;;
        "\u2F87",  # ;KANGXI RADICAL OPPOSE;So;0;ON;<compat> 821B;;;;N;;;;;
        "\u2F88",  # ;KANGXI RADICAL BOAT;So;0;ON;<compat> 821F;;;;N;;;;;
        "\u2F89",  # ;KANGXI RADICAL STOPPING;So;0;ON;<compat> 826E;;;;N;;;;;
        "\u2F8A",  # ;KANGXI RADICAL COLOR;So;0;ON;<compat> 8272;;;;N;;;;;
        "\u2F8B",  # ;KANGXI RADICAL GRASS;So;0;ON;<compat> 8278;;;;N;;;;;
        "\u2F8C",  # ;KANGXI RADICAL TIGER;So;0;ON;<compat> 864D;;;;N;;;;;
        "\u2F8D",  # ;KANGXI RADICAL INSECT;So;0;ON;<compat> 866B;;;;N;;;;;
        "\u2F8E",  # ;KANGXI RADICAL BLOOD;So;0;ON;<compat> 8840;;;;N;;;;;
        "\u2F8F",  # ;KANGXI RADICAL WALK ENCLOSURE;So;0;ON;<compat> 884C;;;;N;;;;;
        "\u2F90",  # ;KANGXI RADICAL CLOTHES;So;0;ON;<compat> 8863;;;;N;;;;;
        "\u2F91",  # ;KANGXI RADICAL WEST;So;0;ON;<compat> 897E;;;;N;;;;;
        "\u2F92",  # ;KANGXI RADICAL SEE;So;0;ON;<compat> 898B;;;;N;;;;;
        "\u2F93",  # ;KANGXI RADICAL HORN;So;0;ON;<compat> 89D2;;;;N;;;;;
        "\u2F94",  # ;KANGXI RADICAL SPEECH;So;0;ON;<compat> 8A00;;;;N;;;;;
        "\u2F95",  # ;KANGXI RADICAL VALLEY;So;0;ON;<compat> 8C37;;;;N;;;;;
        "\u2F96",  # ;KANGXI RADICAL BEAN;So;0;ON;<compat> 8C46;;;;N;;;;;
        "\u2F97",  # ;KANGXI RADICAL PIG;So;0;ON;<compat> 8C55;;;;N;;;;;
        "\u2F98",  # ;KANGXI RADICAL BADGER;So;0;ON;<compat> 8C78;;;;N;;;;;
        "\u2F99",  # ;KANGXI RADICAL SHELL;So;0;ON;<compat> 8C9D;;;;N;;;;;
        "\u2F9A",  # ;KANGXI RADICAL RED;So;0;ON;<compat> 8D64;;;;N;;;;;
        "\u2F9B",  # ;KANGXI RADICAL RUN;So;0;ON;<compat> 8D70;;;;N;;;;;
        "\u2F9C",  # ;KANGXI RADICAL FOOT;So;0;ON;<compat> 8DB3;;;;N;;;;;
        "\u2F9D",  # ;KANGXI RADICAL BODY;So;0;ON;<compat> 8EAB;;;;N;;;;;
        "\u2F9E",  # ;KANGXI RADICAL CART;So;0;ON;<compat> 8ECA;;;;N;;;;;
        "\u2F9F",  # ;KANGXI RADICAL BITTER;So;0;ON;<compat> 8F9B;;;;N;;;;;
        "\u2FA0",  # ;KANGXI RADICAL MORNING;So;0;ON;<compat> 8FB0;;;;N;;;;;
        "\u2FA1",  # ;KANGXI RADICAL WALK;So;0;ON;<compat> 8FB5;;;;N;;;;;
        "\u2FA2",  # ;KANGXI RADICAL CITY;So;0;ON;<compat> 9091;;;;N;;;;;
        "\u2FA3",  # ;KANGXI RADICAL WINE;So;0;ON;<compat> 9149;;;;N;;;;;
        "\u2FA4",  # ;KANGXI RADICAL DISTINGUISH;So;0;ON;<compat> 91C6;;;;N;;;;;
        "\u2FA5",  # ;KANGXI RADICAL VILLAGE;So;0;ON;<compat> 91CC;;;;N;;;;;
        "\u2FA6",  # ;KANGXI RADICAL GOLD;So;0;ON;<compat> 91D1;;;;N;;;;;
        "\u2FA7",  # ;KANGXI RADICAL LONG;So;0;ON;<compat> 9577;;;;N;;;;;
        "\u2FA8",  # ;KANGXI RADICAL GATE;So;0;ON;<compat> 9580;;;;N;;;;;
        "\u2FA9",  # ;KANGXI RADICAL MOUND;So;0;ON;<compat> 961C;;;;N;;;;;
        "\u2FAA",  # ;KANGXI RADICAL SLAVE;So;0;ON;<compat> 96B6;;;;N;;;;;
        "\u2FAB",  # ;KANGXI RADICAL SHORT TAILED BIRD;So;0;ON;<compat> 96B9;;;;N;;;;;
        "\u2FAC",  # ;KANGXI RADICAL RAIN;So;0;ON;<compat> 96E8;;;;N;;;;;
        "\u2FAD",  # ;KANGXI RADICAL BLUE;So;0;ON;<compat> 9751;;;;N;;;;;
        "\u2FAE",  # ;KANGXI RADICAL WRONG;So;0;ON;<compat> 975E;;;;N;;;;;
        "\u2FAF",  # ;KANGXI RADICAL FACE;So;0;ON;<compat> 9762;;;;N;;;;;
        "\u2FB0",  # ;KANGXI RADICAL LEATHER;So;0;ON;<compat> 9769;;;;N;;;;;
        "\u2FB1",  # ;KANGXI RADICAL TANNED LEATHER;So;0;ON;<compat> 97CB;;;;N;;;;;
        "\u2FB2",  # ;KANGXI RADICAL LEEK;So;0;ON;<compat> 97ED;;;;N;;;;;
        "\u2FB3",  # ;KANGXI RADICAL SOUND;So;0;ON;<compat> 97F3;;;;N;;;;;
        "\u2FB4",  # ;KANGXI RADICAL LEAF;So;0;ON;<compat> 9801;;;;N;;;;;
        "\u2FB5",  # ;KANGXI RADICAL WIND;So;0;ON;<compat> 98A8;;;;N;;;;;
        "\u2FB6",  # ;KANGXI RADICAL FLY;So;0;ON;<compat> 98DB;;;;N;;;;;
        "\u2FB7",  # ;KANGXI RADICAL EAT;So;0;ON;<compat> 98DF;;;;N;;;;;
        "\u2FB8",  # ;KANGXI RADICAL HEAD;So;0;ON;<compat> 9996;;;;N;;;;;
        "\u2FB9",  # ;KANGXI RADICAL FRAGRANT;So;0;ON;<compat> 9999;;;;N;;;;;
        "\u2FBA",  # ;KANGXI RADICAL HORSE;So;0;ON;<compat> 99AC;;;;N;;;;;
        "\u2FBB",  # ;KANGXI RADICAL BONE;So;0;ON;<compat> 9AA8;;;;N;;;;;
        "\u2FBC",  # ;KANGXI RADICAL TALL;So;0;ON;<compat> 9AD8;;;;N;;;;;
        "\u2FBD",  # ;KANGXI RADICAL HAIR;So;0;ON;<compat> 9ADF;;;;N;;;;;
        "\u2FBE",  # ;KANGXI RADICAL FIGHT;So;0;ON;<compat> 9B25;;;;N;;;;;
        "\u2FBF",  # ;KANGXI RADICAL SACRIFICIAL WINE;So;0;ON;<compat> 9B2F;;;;N;;;;;
        "\u2FC0",  # ;KANGXI RADICAL CAULDRON;So;0;ON;<compat> 9B32;;;;N;;;;;
        "\u2FC1",  # ;KANGXI RADICAL GHOST;So;0;ON;<compat> 9B3C;;;;N;;;;;
        "\u2FC2",  # ;KANGXI RADICAL FISH;So;0;ON;<compat> 9B5A;;;;N;;;;;
        "\u2FC3",  # ;KANGXI RADICAL BIRD;So;0;ON;<compat> 9CE5;;;;N;;;;;
        "\u2FC4",  # ;KANGXI RADICAL SALT;So;0;ON;<compat> 9E75;;;;N;;;;;
        "\u2FC5",  # ;KANGXI RADICAL DEER;So;0;ON;<compat> 9E7F;;;;N;;;;;
        "\u2FC6",  # ;KANGXI RADICAL WHEAT;So;0;ON;<compat> 9EA5;;;;N;;;;;
        "\u2FC7",  # ;KANGXI RADICAL HEMP;So;0;ON;<compat> 9EBB;;;;N;;;;;
        "\u2FC8",  # ;KANGXI RADICAL YELLOW;So;0;ON;<compat> 9EC3;;;;N;;;;;
        "\u2FC9",  # ;KANGXI RADICAL MILLET;So;0;ON;<compat> 9ECD;;;;N;;;;;
        "\u2FCA",  # ;KANGXI RADICAL BLACK;So;0;ON;<compat> 9ED1;;;;N;;;;;
        "\u2FCB",  # ;KANGXI RADICAL EMBROIDERY;So;0;ON;<compat> 9EF9;;;;N;;;;;
        "\u2FCC",  # ;KANGXI RADICAL FROG;So;0;ON;<compat> 9EFD;;;;N;;;;;
        "\u2FCD",  # ;KANGXI RADICAL TRIPOD;So;0;ON;<compat> 9F0E;;;;N;;;;;
        "\u2FCE",  # ;KANGXI RADICAL DRUM;So;0;ON;<compat> 9F13;;;;N;;;;;
        "\u2FCF",  # ;KANGXI RADICAL RAT;So;0;ON;<compat> 9F20;;;;N;;;;;
        "\u2FD0",  # ;KANGXI RADICAL NOSE;So;0;ON;<compat> 9F3B;;;;N;;;;;
        "\u2FD1",  # ;KANGXI RADICAL EVEN;So;0;ON;<compat> 9F4A;;;;N;;;;;
        "\u2FD2",  # ;KANGXI RADICAL TOOTH;So;0;ON;<compat> 9F52;;;;N;;;;;
        "\u2FD3",  # ;KANGXI RADICAL DRAGON;So;0;ON;<compat> 9F8D;;;;N;;;;;
        "\u2FD4",  # ;KANGXI RADICAL TURTLE;So;0;ON;<compat> 9F9C;;;;N;;;;;
        "\u2FD5",  # ;KANGXI RADICAL FLUTE;So;0;ON;<compat> 9FA0;;;;N;;;;;
        "\u2FF0",  # ;IDEOGRAPHIC DESCRIPTION CHARACTER LEFT TO RIGHT;So;0;ON;;;;;N;;;;;
        "\u2FF1",  # ;IDEOGRAPHIC DESCRIPTION CHARACTER ABOVE TO BELOW;So;0;ON;;;;;N;;;;;
        "\u2FF2",  # ;IDEOGRAPHIC DESCRIPTION CHARACTER LEFT TO MIDDLE AND RIGHT;So;0;ON;;;;;N;;;;;
        "\u2FF3",  # ;IDEOGRAPHIC DESCRIPTION CHARACTER ABOVE TO MIDDLE AND BELOW;So;0;ON;;;;;N;;;;;
        "\u2FF4",  # ;IDEOGRAPHIC DESCRIPTION CHARACTER FULL SURROUND;So;0;ON;;;;;N;;;;;
        "\u2FF5",  # ;IDEOGRAPHIC DESCRIPTION CHARACTER SURROUND FROM ABOVE;So;0;ON;;;;;N;;;;;
        "\u2FF6",  # ;IDEOGRAPHIC DESCRIPTION CHARACTER SURROUND FROM BELOW;So;0;ON;;;;;N;;;;;
        "\u2FF7",  # ;IDEOGRAPHIC DESCRIPTION CHARACTER SURROUND FROM LEFT;So;0;ON;;;;;N;;;;;
        "\u2FF8",  # ;IDEOGRAPHIC DESCRIPTION CHARACTER SURROUND FROM UPPER LEFT;So;0;ON;;;;;N;;;;;
        "\u2FF9",  # ;IDEOGRAPHIC DESCRIPTION CHARACTER SURROUND FROM UPPER RIGHT;So;0;ON;;;;;N;;;;;
        "\u2FFA",  # ;IDEOGRAPHIC DESCRIPTION CHARACTER SURROUND FROM LOWER LEFT;So;0;ON;;;;;N;;;;;
        "\u2FFB",  # ;IDEOGRAPHIC DESCRIPTION CHARACTER OVERLAID;So;0;ON;;;;;N;;;;;
        "\u3000",  # ;IDEOGRAPHIC SPACE;Zs;0;WS;<wide> 0020;;;;N;;;;;
        "\u3001",  # ;IDEOGRAPHIC COMMA;Po;0;ON;;;;;N;;;;;
        "\u3002",  # ;IDEOGRAPHIC FULL STOP;Po;0;ON;;;;;N;IDEOGRAPHIC PERIOD;;;;
        "\u3003",  # ;DITTO MARK;Po;0;ON;;;;;N;;;;;
        "\u3004",  # ;JAPANESE INDUSTRIAL STANDARD SYMBOL;So;0;ON;;;;;N;;;;;
        "\u3005",  # ;IDEOGRAPHIC ITERATION MARK;Lm;0;L;;;;;N;;;;;
        "\u3006",  # ;IDEOGRAPHIC CLOSING MARK;Lo;0;L;;;;;N;;;;;
        "\u3007",  # ;IDEOGRAPHIC NUMBER ZERO;Nl;0;L;;;;0;N;;;;;
        "\u3008",  # ;LEFT ANGLE BRACKET;Ps;0;ON;;;;;Y;OPENING ANGLE BRACKET;;;;
        "\u3009",  # ;RIGHT ANGLE BRACKET;Pe;0;ON;;;;;Y;CLOSING ANGLE BRACKET;;;;
        "\u300A",  # ;LEFT DOUBLE ANGLE BRACKET;Ps;0;ON;;;;;Y;OPENING DOUBLE ANGLE BRACKET;;;;
        "\u300B",  # ;RIGHT DOUBLE ANGLE BRACKET;Pe;0;ON;;;;;Y;CLOSING DOUBLE ANGLE BRACKET;;;;
        "\u300C",  # ;LEFT CORNER BRACKET;Ps;0;ON;;;;;Y;OPENING CORNER BRACKET;;;;
        "\u300D",  # ;RIGHT CORNER BRACKET;Pe;0;ON;;;;;Y;CLOSING CORNER BRACKET;;;;
        "\u300E",  # ;LEFT WHITE CORNER BRACKET;Ps;0;ON;;;;;Y;OPENING WHITE CORNER BRACKET;;;;
        "\u300F",  # ;RIGHT WHITE CORNER BRACKET;Pe;0;ON;;;;;Y;CLOSING WHITE CORNER BRACKET;;;;
        "\u3010",  # ;LEFT BLACK LENTICULAR BRACKET;Ps;0;ON;;;;;Y;OPENING BLACK LENTICULAR BRACKET;;;;
        "\u3011",  # ;RIGHT BLACK LENTICULAR BRACKET;Pe;0;ON;;;;;Y;CLOSING BLACK LENTICULAR BRACKET;;;;
        "\u3012",  # ;POSTAL MARK;So;0;ON;;;;;N;;;;;
        "\u3013",  # ;GETA MARK;So;0;ON;;;;;N;;;;;
        "\u3014",  # ;LEFT TORTOISE SHELL BRACKET;Ps;0;ON;;;;;Y;OPENING TORTOISE SHELL BRACKET;;;;
        "\u3015",  # ;RIGHT TORTOISE SHELL BRACKET;Pe;0;ON;;;;;Y;CLOSING TORTOISE SHELL BRACKET;;;;
        "\u3016",  # ;LEFT WHITE LENTICULAR BRACKET;Ps;0;ON;;;;;Y;OPENING WHITE LENTICULAR BRACKET;;;;
        "\u3017",  # ;RIGHT WHITE LENTICULAR BRACKET;Pe;0;ON;;;;;Y;CLOSING WHITE LENTICULAR BRACKET;;;;
        "\u3018",  # ;LEFT WHITE TORTOISE SHELL BRACKET;Ps;0;ON;;;;;Y;OPENING WHITE TORTOISE SHELL BRACKET;;;;
        "\u3019",  # ;RIGHT WHITE TORTOISE SHELL BRACKET;Pe;0;ON;;;;;Y;CLOSING WHITE TORTOISE SHELL BRACKET;;;;
        "\u301A",  # ;LEFT WHITE SQUARE BRACKET;Ps;0;ON;;;;;Y;OPENING WHITE SQUARE BRACKET;;;;
        "\u301B",  # ;RIGHT WHITE SQUARE BRACKET;Pe;0;ON;;;;;Y;CLOSING WHITE SQUARE BRACKET;;;;
        "\u301C",  # ;WAVE DASH;Pd;0;ON;;;;;N;;;;;
        "\u301D",  # ;REVERSED DOUBLE PRIME QUOTATION MARK;Ps;0;ON;;;;;N;;;;;
        "\u301E",  # ;DOUBLE PRIME QUOTATION MARK;Pe;0;ON;;;;;N;;;;;
        "\u301F",  # ;LOW DOUBLE PRIME QUOTATION MARK;Pe;0;ON;;;;;N;;;;;
        "\u3020",  # ;POSTAL MARK FACE;So;0;ON;;;;;N;;;;;
        "\u3021",  # ;HANGZHOU NUMERAL ONE;Nl;0;L;;;;1;N;;;;;
        "\u3022",  # ;HANGZHOU NUMERAL TWO;Nl;0;L;;;;2;N;;;;;
        "\u3023",  # ;HANGZHOU NUMERAL THREE;Nl;0;L;;;;3;N;;;;;
        "\u3024",  # ;HANGZHOU NUMERAL FOUR;Nl;0;L;;;;4;N;;;;;
        "\u3025",  # ;HANGZHOU NUMERAL FIVE;Nl;0;L;;;;5;N;;;;;
        "\u3026",  # ;HANGZHOU NUMERAL SIX;Nl;0;L;;;;6;N;;;;;
        "\u3027",  # ;HANGZHOU NUMERAL SEVEN;Nl;0;L;;;;7;N;;;;;
        "\u3028",  # ;HANGZHOU NUMERAL EIGHT;Nl;0;L;;;;8;N;;;;;
        "\u3029",  # ;HANGZHOU NUMERAL NINE;Nl;0;L;;;;9;N;;;;;
        "\u302A",  # ;IDEOGRAPHIC LEVEL TONE MARK;Mn;218;NSM;;;;;N;;;;;
        "\u302B",  # ;IDEOGRAPHIC RISING TONE MARK;Mn;228;NSM;;;;;N;;;;;
        "\u302C",  # ;IDEOGRAPHIC DEPARTING TONE MARK;Mn;232;NSM;;;;;N;;;;;
        "\u302D",  # ;IDEOGRAPHIC ENTERING TONE MARK;Mn;222;NSM;;;;;N;;;;;
        "\u302E",  # ;HANGUL SINGLE DOT TONE MARK;Mc;224;L;;;;;N;;;;;
        "\u302F",  # ;HANGUL DOUBLE DOT TONE MARK;Mc;224;L;;;;;N;;;;;
        "\u3030",  # ;WAVY DASH;Pd;0;ON;;;;;N;;;;;
        "\u3031",  # ;VERTICAL KANA REPEAT MARK;Lm;0;L;;;;;N;;;;;
        "\u3032",  # ;VERTICAL KANA REPEAT WITH VOICED SOUND MARK;Lm;0;L;;;;;N;;;;;
        "\u3033",  # ;VERTICAL KANA REPEAT MARK UPPER HALF;Lm;0;L;;;;;N;;;;;
        "\u3034",  # ;VERTICAL KANA REPEAT WITH VOICED SOUND MARK UPPER HALF;Lm;0;L;;;;;N;;;;;
        "\u3035",  # ;VERTICAL KANA REPEAT MARK LOWER HALF;Lm;0;L;;;;;N;;;;;
        "\u3036",  # ;CIRCLED POSTAL MARK;So;0;ON;<compat> 3012;;;;N;;;;;
        "\u3037",  # ;IDEOGRAPHIC TELEGRAPH LINE FEED SEPARATOR SYMBOL;So;0;ON;;;;;N;;;;;
        "\u3038",  # ;HANGZHOU NUMERAL TEN;Nl;0;L;<compat> 5341;;;10;N;;;;;
        "\u3039",  # ;HANGZHOU NUMERAL TWENTY;Nl;0;L;<compat> 5344;;;20;N;;;;;
        "\u303A",  # ;HANGZHOU NUMERAL THIRTY;Nl;0;L;<compat> 5345;;;30;N;;;;;
        "\u303B",  # ;VERTICAL IDEOGRAPHIC ITERATION MARK;Lm;0;L;;;;;N;;;;;
        "\u303C",  # ;MASU MARK;Lo;0;L;;;;;N;;;;;
        "\u303D",  # ;PART ALTERNATION MARK;Po;0;ON;;;;;N;;;;;
        "\u303E",  # ;IDEOGRAPHIC VARIATION INDICATOR;So;0;ON;;;;;N;;;;;
        "\u303F",  # ;IDEOGRAPHIC HALF FILL SPACE;So;0;ON;;;;;N;;;;;
        "\u3041",  # ;HIRAGANA LETTER SMALL A;Lo;0;L;;;;;N;;;;;
        "\u3042",  # ;HIRAGANA LETTER A;Lo;0;L;;;;;N;;;;;
        "\u3043",  # ;HIRAGANA LETTER SMALL I;Lo;0;L;;;;;N;;;;;
        "\u3044",  # ;HIRAGANA LETTER I;Lo;0;L;;;;;N;;;;;
        "\u3045",  # ;HIRAGANA LETTER SMALL U;Lo;0;L;;;;;N;;;;;
        "\u3046",  # ;HIRAGANA LETTER U;Lo;0;L;;;;;N;;;;;
        "\u3047",  # ;HIRAGANA LETTER SMALL E;Lo;0;L;;;;;N;;;;;
        "\u3048",  # ;HIRAGANA LETTER E;Lo;0;L;;;;;N;;;;;
        "\u3049",  # ;HIRAGANA LETTER SMALL O;Lo;0;L;;;;;N;;;;;
        "\u304A",  # ;HIRAGANA LETTER O;Lo;0;L;;;;;N;;;;;
        "\u304B",  # ;HIRAGANA LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u304C",  # ;HIRAGANA LETTER GA;Lo;0;L;304B 3099;;;;N;;;;;
        "\u304D",  # ;HIRAGANA LETTER KI;Lo;0;L;;;;;N;;;;;
        "\u304E",  # ;HIRAGANA LETTER GI;Lo;0;L;304D 3099;;;;N;;;;;
        "\u304F",  # ;HIRAGANA LETTER KU;Lo;0;L;;;;;N;;;;;
        "\u3050",  # ;HIRAGANA LETTER GU;Lo;0;L;304F 3099;;;;N;;;;;
        "\u3051",  # ;HIRAGANA LETTER KE;Lo;0;L;;;;;N;;;;;
        "\u3052",  # ;HIRAGANA LETTER GE;Lo;0;L;3051 3099;;;;N;;;;;
        "\u3053",  # ;HIRAGANA LETTER KO;Lo;0;L;;;;;N;;;;;
        "\u3054",  # ;HIRAGANA LETTER GO;Lo;0;L;3053 3099;;;;N;;;;;
        "\u3055",  # ;HIRAGANA LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u3056",  # ;HIRAGANA LETTER ZA;Lo;0;L;3055 3099;;;;N;;;;;
        "\u3057",  # ;HIRAGANA LETTER SI;Lo;0;L;;;;;N;;;;;
        "\u3058",  # ;HIRAGANA LETTER ZI;Lo;0;L;3057 3099;;;;N;;;;;
        "\u3059",  # ;HIRAGANA LETTER SU;Lo;0;L;;;;;N;;;;;
        "\u305A",  # ;HIRAGANA LETTER ZU;Lo;0;L;3059 3099;;;;N;;;;;
        "\u305B",  # ;HIRAGANA LETTER SE;Lo;0;L;;;;;N;;;;;
        "\u305C",  # ;HIRAGANA LETTER ZE;Lo;0;L;305B 3099;;;;N;;;;;
        "\u305D",  # ;HIRAGANA LETTER SO;Lo;0;L;;;;;N;;;;;
        "\u305E",  # ;HIRAGANA LETTER ZO;Lo;0;L;305D 3099;;;;N;;;;;
        "\u305F",  # ;HIRAGANA LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u3060",  # ;HIRAGANA LETTER DA;Lo;0;L;305F 3099;;;;N;;;;;
        "\u3061",  # ;HIRAGANA LETTER TI;Lo;0;L;;;;;N;;;;;
        "\u3062",  # ;HIRAGANA LETTER DI;Lo;0;L;3061 3099;;;;N;;;;;
        "\u3063",  # ;HIRAGANA LETTER SMALL TU;Lo;0;L;;;;;N;;;;;
        "\u3064",  # ;HIRAGANA LETTER TU;Lo;0;L;;;;;N;;;;;
        "\u3065",  # ;HIRAGANA LETTER DU;Lo;0;L;3064 3099;;;;N;;;;;
        "\u3066",  # ;HIRAGANA LETTER TE;Lo;0;L;;;;;N;;;;;
        "\u3067",  # ;HIRAGANA LETTER DE;Lo;0;L;3066 3099;;;;N;;;;;
        "\u3068",  # ;HIRAGANA LETTER TO;Lo;0;L;;;;;N;;;;;
        "\u3069",  # ;HIRAGANA LETTER DO;Lo;0;L;3068 3099;;;;N;;;;;
        "\u306A",  # ;HIRAGANA LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u306B",  # ;HIRAGANA LETTER NI;Lo;0;L;;;;;N;;;;;
        "\u306C",  # ;HIRAGANA LETTER NU;Lo;0;L;;;;;N;;;;;
        "\u306D",  # ;HIRAGANA LETTER NE;Lo;0;L;;;;;N;;;;;
        "\u306E",  # ;HIRAGANA LETTER NO;Lo;0;L;;;;;N;;;;;
        "\u306F",  # ;HIRAGANA LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u3070",  # ;HIRAGANA LETTER BA;Lo;0;L;306F 3099;;;;N;;;;;
        "\u3071",  # ;HIRAGANA LETTER PA;Lo;0;L;306F 309A;;;;N;;;;;
        "\u3072",  # ;HIRAGANA LETTER HI;Lo;0;L;;;;;N;;;;;
        "\u3073",  # ;HIRAGANA LETTER BI;Lo;0;L;3072 3099;;;;N;;;;;
        "\u3074",  # ;HIRAGANA LETTER PI;Lo;0;L;3072 309A;;;;N;;;;;
        "\u3075",  # ;HIRAGANA LETTER HU;Lo;0;L;;;;;N;;;;;
        "\u3076",  # ;HIRAGANA LETTER BU;Lo;0;L;3075 3099;;;;N;;;;;
        "\u3077",  # ;HIRAGANA LETTER PU;Lo;0;L;3075 309A;;;;N;;;;;
        "\u3078",  # ;HIRAGANA LETTER HE;Lo;0;L;;;;;N;;;;;
        "\u3079",  # ;HIRAGANA LETTER BE;Lo;0;L;3078 3099;;;;N;;;;;
        "\u307A",  # ;HIRAGANA LETTER PE;Lo;0;L;3078 309A;;;;N;;;;;
        "\u307B",  # ;HIRAGANA LETTER HO;Lo;0;L;;;;;N;;;;;
        "\u307C",  # ;HIRAGANA LETTER BO;Lo;0;L;307B 3099;;;;N;;;;;
        "\u307D",  # ;HIRAGANA LETTER PO;Lo;0;L;307B 309A;;;;N;;;;;
        "\u307E",  # ;HIRAGANA LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u307F",  # ;HIRAGANA LETTER MI;Lo;0;L;;;;;N;;;;;
        "\u3080",  # ;HIRAGANA LETTER MU;Lo;0;L;;;;;N;;;;;
        "\u3081",  # ;HIRAGANA LETTER ME;Lo;0;L;;;;;N;;;;;
        "\u3082",  # ;HIRAGANA LETTER MO;Lo;0;L;;;;;N;;;;;
        "\u3083",  # ;HIRAGANA LETTER SMALL YA;Lo;0;L;;;;;N;;;;;
        "\u3084",  # ;HIRAGANA LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u3085",  # ;HIRAGANA LETTER SMALL YU;Lo;0;L;;;;;N;;;;;
        "\u3086",  # ;HIRAGANA LETTER YU;Lo;0;L;;;;;N;;;;;
        "\u3087",  # ;HIRAGANA LETTER SMALL YO;Lo;0;L;;;;;N;;;;;
        "\u3088",  # ;HIRAGANA LETTER YO;Lo;0;L;;;;;N;;;;;
        "\u3089",  # ;HIRAGANA LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u308A",  # ;HIRAGANA LETTER RI;Lo;0;L;;;;;N;;;;;
        "\u308B",  # ;HIRAGANA LETTER RU;Lo;0;L;;;;;N;;;;;
        "\u308C",  # ;HIRAGANA LETTER RE;Lo;0;L;;;;;N;;;;;
        "\u308D",  # ;HIRAGANA LETTER RO;Lo;0;L;;;;;N;;;;;
        "\u308E",  # ;HIRAGANA LETTER SMALL WA;Lo;0;L;;;;;N;;;;;
        "\u308F",  # ;HIRAGANA LETTER WA;Lo;0;L;;;;;N;;;;;
        "\u3090",  # ;HIRAGANA LETTER WI;Lo;0;L;;;;;N;;;;;
        "\u3091",  # ;HIRAGANA LETTER WE;Lo;0;L;;;;;N;;;;;
        "\u3092",  # ;HIRAGANA LETTER WO;Lo;0;L;;;;;N;;;;;
        "\u3093",  # ;HIRAGANA LETTER N;Lo;0;L;;;;;N;;;;;
        "\u3094",  # ;HIRAGANA LETTER VU;Lo;0;L;3046 3099;;;;N;;;;;
        "\u3095",  # ;HIRAGANA LETTER SMALL KA;Lo;0;L;;;;;N;;;;;
        "\u3096",  # ;HIRAGANA LETTER SMALL KE;Lo;0;L;;;;;N;;;;;
        "\u3099",  # ;COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK;Mn;8;NSM;;;;;N;NON-SPACING KATAKANA-HIRAGANA VOICED SOUND MARK;;;;
        "\u309A",  # ;COMBINING KATAKANA-HIRAGANA SEMI-VOICED SOUND MARK;Mn;8;NSM;;;;;N;NON-SPACING KATAKANA-HIRAGANA SEMI-VOICED SOUND MARK;;;;
        "\u309B",  # ;KATAKANA-HIRAGANA VOICED SOUND MARK;Sk;0;ON;<compat> 0020 3099;;;;N;;;;;
        "\u309C",  # ;KATAKANA-HIRAGANA SEMI-VOICED SOUND MARK;Sk;0;ON;<compat> 0020 309A;;;;N;;;;;
        "\u309D",  # ;HIRAGANA ITERATION MARK;Lm;0;L;;;;;N;;;;;
        "\u309E",  # ;HIRAGANA VOICED ITERATION MARK;Lm;0;L;309D 3099;;;;N;;;;;
        "\u309F",  # ;HIRAGANA DIGRAPH YORI;Lo;0;L;<vertical> 3088 308A;;;;N;;;;;
        "\u30A0",  # ;KATAKANA-HIRAGANA DOUBLE HYPHEN;Pd;0;ON;;;;;N;;;;;
        "\u30A1",  # ;KATAKANA LETTER SMALL A;Lo;0;L;;;;;N;;;;;
        "\u30A2",  # ;KATAKANA LETTER A;Lo;0;L;;;;;N;;;;;
        "\u30A3",  # ;KATAKANA LETTER SMALL I;Lo;0;L;;;;;N;;;;;
        "\u30A4",  # ;KATAKANA LETTER I;Lo;0;L;;;;;N;;;;;
        "\u30A5",  # ;KATAKANA LETTER SMALL U;Lo;0;L;;;;;N;;;;;
        "\u30A6",  # ;KATAKANA LETTER U;Lo;0;L;;;;;N;;;;;
        "\u30A7",  # ;KATAKANA LETTER SMALL E;Lo;0;L;;;;;N;;;;;
        "\u30A8",  # ;KATAKANA LETTER E;Lo;0;L;;;;;N;;;;;
        "\u30A9",  # ;KATAKANA LETTER SMALL O;Lo;0;L;;;;;N;;;;;
        "\u30AA",  # ;KATAKANA LETTER O;Lo;0;L;;;;;N;;;;;
        "\u30AB",  # ;KATAKANA LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u30AC",  # ;KATAKANA LETTER GA;Lo;0;L;30AB 3099;;;;N;;;;;
        "\u30AD",  # ;KATAKANA LETTER KI;Lo;0;L;;;;;N;;;;;
        "\u30AE",  # ;KATAKANA LETTER GI;Lo;0;L;30AD 3099;;;;N;;;;;
        "\u30AF",  # ;KATAKANA LETTER KU;Lo;0;L;;;;;N;;;;;
        "\u30B0",  # ;KATAKANA LETTER GU;Lo;0;L;30AF 3099;;;;N;;;;;
        "\u30B1",  # ;KATAKANA LETTER KE;Lo;0;L;;;;;N;;;;;
        "\u30B2",  # ;KATAKANA LETTER GE;Lo;0;L;30B1 3099;;;;N;;;;;
        "\u30B3",  # ;KATAKANA LETTER KO;Lo;0;L;;;;;N;;;;;
        "\u30B4",  # ;KATAKANA LETTER GO;Lo;0;L;30B3 3099;;;;N;;;;;
        "\u30B5",  # ;KATAKANA LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u30B6",  # ;KATAKANA LETTER ZA;Lo;0;L;30B5 3099;;;;N;;;;;
        "\u30B7",  # ;KATAKANA LETTER SI;Lo;0;L;;;;;N;;;;;
        "\u30B8",  # ;KATAKANA LETTER ZI;Lo;0;L;30B7 3099;;;;N;;;;;
        "\u30B9",  # ;KATAKANA LETTER SU;Lo;0;L;;;;;N;;;;;
        "\u30BA",  # ;KATAKANA LETTER ZU;Lo;0;L;30B9 3099;;;;N;;;;;
        "\u30BB",  # ;KATAKANA LETTER SE;Lo;0;L;;;;;N;;;;;
        "\u30BC",  # ;KATAKANA LETTER ZE;Lo;0;L;30BB 3099;;;;N;;;;;
        "\u30BD",  # ;KATAKANA LETTER SO;Lo;0;L;;;;;N;;;;;
        "\u30BE",  # ;KATAKANA LETTER ZO;Lo;0;L;30BD 3099;;;;N;;;;;
        "\u30BF",  # ;KATAKANA LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u30C0",  # ;KATAKANA LETTER DA;Lo;0;L;30BF 3099;;;;N;;;;;
        "\u30C1",  # ;KATAKANA LETTER TI;Lo;0;L;;;;;N;;;;;
        "\u30C2",  # ;KATAKANA LETTER DI;Lo;0;L;30C1 3099;;;;N;;;;;
        "\u30C3",  # ;KATAKANA LETTER SMALL TU;Lo;0;L;;;;;N;;;;;
        "\u30C4",  # ;KATAKANA LETTER TU;Lo;0;L;;;;;N;;;;;
        "\u30C5",  # ;KATAKANA LETTER DU;Lo;0;L;30C4 3099;;;;N;;;;;
        "\u30C6",  # ;KATAKANA LETTER TE;Lo;0;L;;;;;N;;;;;
        "\u30C7",  # ;KATAKANA LETTER DE;Lo;0;L;30C6 3099;;;;N;;;;;
        "\u30C8",  # ;KATAKANA LETTER TO;Lo;0;L;;;;;N;;;;;
        "\u30C9",  # ;KATAKANA LETTER DO;Lo;0;L;30C8 3099;;;;N;;;;;
        "\u30CA",  # ;KATAKANA LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u30CB",  # ;KATAKANA LETTER NI;Lo;0;L;;;;;N;;;;;
        "\u30CC",  # ;KATAKANA LETTER NU;Lo;0;L;;;;;N;;;;;
        "\u30CD",  # ;KATAKANA LETTER NE;Lo;0;L;;;;;N;;;;;
        "\u30CE",  # ;KATAKANA LETTER NO;Lo;0;L;;;;;N;;;;;
        "\u30CF",  # ;KATAKANA LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u30D0",  # ;KATAKANA LETTER BA;Lo;0;L;30CF 3099;;;;N;;;;;
        "\u30D1",  # ;KATAKANA LETTER PA;Lo;0;L;30CF 309A;;;;N;;;;;
        "\u30D2",  # ;KATAKANA LETTER HI;Lo;0;L;;;;;N;;;;;
        "\u30D3",  # ;KATAKANA LETTER BI;Lo;0;L;30D2 3099;;;;N;;;;;
        "\u30D4",  # ;KATAKANA LETTER PI;Lo;0;L;30D2 309A;;;;N;;;;;
        "\u30D5",  # ;KATAKANA LETTER HU;Lo;0;L;;;;;N;;;;;
        "\u30D6",  # ;KATAKANA LETTER BU;Lo;0;L;30D5 3099;;;;N;;;;;
        "\u30D7",  # ;KATAKANA LETTER PU;Lo;0;L;30D5 309A;;;;N;;;;;
        "\u30D8",  # ;KATAKANA LETTER HE;Lo;0;L;;;;;N;;;;;
        "\u30D9",  # ;KATAKANA LETTER BE;Lo;0;L;30D8 3099;;;;N;;;;;
        "\u30DA",  # ;KATAKANA LETTER PE;Lo;0;L;30D8 309A;;;;N;;;;;
        "\u30DB",  # ;KATAKANA LETTER HO;Lo;0;L;;;;;N;;;;;
        "\u30DC",  # ;KATAKANA LETTER BO;Lo;0;L;30DB 3099;;;;N;;;;;
        "\u30DD",  # ;KATAKANA LETTER PO;Lo;0;L;30DB 309A;;;;N;;;;;
        "\u30DE",  # ;KATAKANA LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u30DF",  # ;KATAKANA LETTER MI;Lo;0;L;;;;;N;;;;;
        "\u30E0",  # ;KATAKANA LETTER MU;Lo;0;L;;;;;N;;;;;
        "\u30E1",  # ;KATAKANA LETTER ME;Lo;0;L;;;;;N;;;;;
        "\u30E2",  # ;KATAKANA LETTER MO;Lo;0;L;;;;;N;;;;;
        "\u30E3",  # ;KATAKANA LETTER SMALL YA;Lo;0;L;;;;;N;;;;;
        "\u30E4",  # ;KATAKANA LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u30E5",  # ;KATAKANA LETTER SMALL YU;Lo;0;L;;;;;N;;;;;
        "\u30E6",  # ;KATAKANA LETTER YU;Lo;0;L;;;;;N;;;;;
        "\u30E7",  # ;KATAKANA LETTER SMALL YO;Lo;0;L;;;;;N;;;;;
        "\u30E8",  # ;KATAKANA LETTER YO;Lo;0;L;;;;;N;;;;;
        "\u30E9",  # ;KATAKANA LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u30EA",  # ;KATAKANA LETTER RI;Lo;0;L;;;;;N;;;;;
        "\u30EB",  # ;KATAKANA LETTER RU;Lo;0;L;;;;;N;;;;;
        "\u30EC",  # ;KATAKANA LETTER RE;Lo;0;L;;;;;N;;;;;
        "\u30ED",  # ;KATAKANA LETTER RO;Lo;0;L;;;;;N;;;;;
        "\u30EE",  # ;KATAKANA LETTER SMALL WA;Lo;0;L;;;;;N;;;;;
        "\u30EF",  # ;KATAKANA LETTER WA;Lo;0;L;;;;;N;;;;;
        "\u30F0",  # ;KATAKANA LETTER WI;Lo;0;L;;;;;N;;;;;
        "\u30F1",  # ;KATAKANA LETTER WE;Lo;0;L;;;;;N;;;;;
        "\u30F2",  # ;KATAKANA LETTER WO;Lo;0;L;;;;;N;;;;;
        "\u30F3",  # ;KATAKANA LETTER N;Lo;0;L;;;;;N;;;;;
        "\u30F4",  # ;KATAKANA LETTER VU;Lo;0;L;30A6 3099;;;;N;;;;;
        "\u30F5",  # ;KATAKANA LETTER SMALL KA;Lo;0;L;;;;;N;;;;;
        "\u30F6",  # ;KATAKANA LETTER SMALL KE;Lo;0;L;;;;;N;;;;;
        "\u30F7",  # ;KATAKANA LETTER VA;Lo;0;L;30EF 3099;;;;N;;;;;
        "\u30F8",  # ;KATAKANA LETTER VI;Lo;0;L;30F0 3099;;;;N;;;;;
        "\u30F9",  # ;KATAKANA LETTER VE;Lo;0;L;30F1 3099;;;;N;;;;;
        "\u30FA",  # ;KATAKANA LETTER VO;Lo;0;L;30F2 3099;;;;N;;;;;
        "\u30FB",  # ;KATAKANA MIDDLE DOT;Po;0;ON;;;;;N;;;;;
        "\u30FC",  # ;KATAKANA-HIRAGANA PROLONGED SOUND MARK;Lm;0;L;;;;;N;;;;;
        "\u30FD",  # ;KATAKANA ITERATION MARK;Lm;0;L;;;;;N;;;;;
        "\u30FE",  # ;KATAKANA VOICED ITERATION MARK;Lm;0;L;30FD 3099;;;;N;;;;;
        "\u30FF",  # ;KATAKANA DIGRAPH KOTO;Lo;0;L;<vertical> 30B3 30C8;;;;N;;;;;
        "\u3105",  # ;BOPOMOFO LETTER B;Lo;0;L;;;;;N;;;;;
        "\u3106",  # ;BOPOMOFO LETTER P;Lo;0;L;;;;;N;;;;;
        "\u3107",  # ;BOPOMOFO LETTER M;Lo;0;L;;;;;N;;;;;
        "\u3108",  # ;BOPOMOFO LETTER F;Lo;0;L;;;;;N;;;;;
        "\u3109",  # ;BOPOMOFO LETTER D;Lo;0;L;;;;;N;;;;;
        "\u310A",  # ;BOPOMOFO LETTER T;Lo;0;L;;;;;N;;;;;
        "\u310B",  # ;BOPOMOFO LETTER N;Lo;0;L;;;;;N;;;;;
        "\u310C",  # ;BOPOMOFO LETTER L;Lo;0;L;;;;;N;;;;;
        "\u310D",  # ;BOPOMOFO LETTER G;Lo;0;L;;;;;N;;;;;
        "\u310E",  # ;BOPOMOFO LETTER K;Lo;0;L;;;;;N;;;;;
        "\u310F",  # ;BOPOMOFO LETTER H;Lo;0;L;;;;;N;;;;;
        "\u3110",  # ;BOPOMOFO LETTER J;Lo;0;L;;;;;N;;;;;
        "\u3111",  # ;BOPOMOFO LETTER Q;Lo;0;L;;;;;N;;;;;
        "\u3112",  # ;BOPOMOFO LETTER X;Lo;0;L;;;;;N;;;;;
        "\u3113",  # ;BOPOMOFO LETTER ZH;Lo;0;L;;;;;N;;;;;
        "\u3114",  # ;BOPOMOFO LETTER CH;Lo;0;L;;;;;N;;;;;
        "\u3115",  # ;BOPOMOFO LETTER SH;Lo;0;L;;;;;N;;;;;
        "\u3116",  # ;BOPOMOFO LETTER R;Lo;0;L;;;;;N;;;;;
        "\u3117",  # ;BOPOMOFO LETTER Z;Lo;0;L;;;;;N;;;;;
        "\u3118",  # ;BOPOMOFO LETTER C;Lo;0;L;;;;;N;;;;;
        "\u3119",  # ;BOPOMOFO LETTER S;Lo;0;L;;;;;N;;;;;
        "\u311A",  # ;BOPOMOFO LETTER A;Lo;0;L;;;;;N;;;;;
        "\u311B",  # ;BOPOMOFO LETTER O;Lo;0;L;;;;;N;;;;;
        "\u311C",  # ;BOPOMOFO LETTER E;Lo;0;L;;;;;N;;;;;
        "\u311D",  # ;BOPOMOFO LETTER EH;Lo;0;L;;;;;N;;;;;
        "\u311E",  # ;BOPOMOFO LETTER AI;Lo;0;L;;;;;N;;;;;
        "\u311F",  # ;BOPOMOFO LETTER EI;Lo;0;L;;;;;N;;;;;
        "\u3120",  # ;BOPOMOFO LETTER AU;Lo;0;L;;;;;N;;;;;
        "\u3121",  # ;BOPOMOFO LETTER OU;Lo;0;L;;;;;N;;;;;
        "\u3122",  # ;BOPOMOFO LETTER AN;Lo;0;L;;;;;N;;;;;
        "\u3123",  # ;BOPOMOFO LETTER EN;Lo;0;L;;;;;N;;;;;
        "\u3124",  # ;BOPOMOFO LETTER ANG;Lo;0;L;;;;;N;;;;;
        "\u3125",  # ;BOPOMOFO LETTER ENG;Lo;0;L;;;;;N;;;;;
        "\u3126",  # ;BOPOMOFO LETTER ER;Lo;0;L;;;;;N;;;;;
        "\u3127",  # ;BOPOMOFO LETTER I;Lo;0;L;;;;;N;;;;;
        "\u3128",  # ;BOPOMOFO LETTER U;Lo;0;L;;;;;N;;;;;
        "\u3129",  # ;BOPOMOFO LETTER IU;Lo;0;L;;;;;N;;;;;
        "\u312A",  # ;BOPOMOFO LETTER V;Lo;0;L;;;;;N;;;;;
        "\u312B",  # ;BOPOMOFO LETTER NG;Lo;0;L;;;;;N;;;;;
        "\u312C",  # ;BOPOMOFO LETTER GN;Lo;0;L;;;;;N;;;;;
        "\u312D",  # ;BOPOMOFO LETTER IH;Lo;0;L;;;;;N;;;;;
        "\u312E",  # ;BOPOMOFO LETTER O WITH DOT ABOVE;Lo;0;L;;;;;N;;;;;
        "\u3131",  # ;HANGUL LETTER KIYEOK;Lo;0;L;<compat> 1100;;;;N;HANGUL LETTER GIYEOG;;;;
        "\u3132",  # ;HANGUL LETTER SSANGKIYEOK;Lo;0;L;<compat> 1101;;;;N;HANGUL LETTER SSANG GIYEOG;;;;
        "\u3133",  # ;HANGUL LETTER KIYEOK-SIOS;Lo;0;L;<compat> 11AA;;;;N;HANGUL LETTER GIYEOG SIOS;;;;
        "\u3134",  # ;HANGUL LETTER NIEUN;Lo;0;L;<compat> 1102;;;;N;;;;;
        "\u3135",  # ;HANGUL LETTER NIEUN-CIEUC;Lo;0;L;<compat> 11AC;;;;N;HANGUL LETTER NIEUN JIEUJ;;;;
        "\u3136",  # ;HANGUL LETTER NIEUN-HIEUH;Lo;0;L;<compat> 11AD;;;;N;HANGUL LETTER NIEUN HIEUH;;;;
        "\u3137",  # ;HANGUL LETTER TIKEUT;Lo;0;L;<compat> 1103;;;;N;HANGUL LETTER DIGEUD;;;;
        "\u3138",  # ;HANGUL LETTER SSANGTIKEUT;Lo;0;L;<compat> 1104;;;;N;HANGUL LETTER SSANG DIGEUD;;;;
        "\u3139",  # ;HANGUL LETTER RIEUL;Lo;0;L;<compat> 1105;;;;N;HANGUL LETTER LIEUL;;;;
        "\u313A",  # ;HANGUL LETTER RIEUL-KIYEOK;Lo;0;L;<compat> 11B0;;;;N;HANGUL LETTER LIEUL GIYEOG;;;;
        "\u313B",  # ;HANGUL LETTER RIEUL-MIEUM;Lo;0;L;<compat> 11B1;;;;N;HANGUL LETTER LIEUL MIEUM;;;;
        "\u313C",  # ;HANGUL LETTER RIEUL-PIEUP;Lo;0;L;<compat> 11B2;;;;N;HANGUL LETTER LIEUL BIEUB;;;;
        "\u313D",  # ;HANGUL LETTER RIEUL-SIOS;Lo;0;L;<compat> 11B3;;;;N;HANGUL LETTER LIEUL SIOS;;;;
        "\u313E",  # ;HANGUL LETTER RIEUL-THIEUTH;Lo;0;L;<compat> 11B4;;;;N;HANGUL LETTER LIEUL TIEUT;;;;
        "\u313F",  # ;HANGUL LETTER RIEUL-PHIEUPH;Lo;0;L;<compat> 11B5;;;;N;HANGUL LETTER LIEUL PIEUP;;;;
        "\u3140",  # ;HANGUL LETTER RIEUL-HIEUH;Lo;0;L;<compat> 111A;;;;N;HANGUL LETTER LIEUL HIEUH;;;;
        "\u3141",  # ;HANGUL LETTER MIEUM;Lo;0;L;<compat> 1106;;;;N;;;;;
        "\u3142",  # ;HANGUL LETTER PIEUP;Lo;0;L;<compat> 1107;;;;N;HANGUL LETTER BIEUB;;;;
        "\u3143",  # ;HANGUL LETTER SSANGPIEUP;Lo;0;L;<compat> 1108;;;;N;HANGUL LETTER SSANG BIEUB;;;;
        "\u3144",  # ;HANGUL LETTER PIEUP-SIOS;Lo;0;L;<compat> 1121;;;;N;HANGUL LETTER BIEUB SIOS;;;;
        "\u3145",  # ;HANGUL LETTER SIOS;Lo;0;L;<compat> 1109;;;;N;;;;;
        "\u3146",  # ;HANGUL LETTER SSANGSIOS;Lo;0;L;<compat> 110A;;;;N;HANGUL LETTER SSANG SIOS;;;;
        "\u3147",  # ;HANGUL LETTER IEUNG;Lo;0;L;<compat> 110B;;;;N;;;;;
        "\u3148",  # ;HANGUL LETTER CIEUC;Lo;0;L;<compat> 110C;;;;N;HANGUL LETTER JIEUJ;;;;
        "\u3149",  # ;HANGUL LETTER SSANGCIEUC;Lo;0;L;<compat> 110D;;;;N;HANGUL LETTER SSANG JIEUJ;;;;
        "\u314A",  # ;HANGUL LETTER CHIEUCH;Lo;0;L;<compat> 110E;;;;N;HANGUL LETTER CIEUC;;;;
        "\u314B",  # ;HANGUL LETTER KHIEUKH;Lo;0;L;<compat> 110F;;;;N;HANGUL LETTER KIYEOK;;;;
        "\u314C",  # ;HANGUL LETTER THIEUTH;Lo;0;L;<compat> 1110;;;;N;HANGUL LETTER TIEUT;;;;
        "\u314D",  # ;HANGUL LETTER PHIEUPH;Lo;0;L;<compat> 1111;;;;N;HANGUL LETTER PIEUP;;;;
        "\u314E",  # ;HANGUL LETTER HIEUH;Lo;0;L;<compat> 1112;;;;N;;;;;
        "\u314F",  # ;HANGUL LETTER A;Lo;0;L;<compat> 1161;;;;N;;;;;
        "\u3150",  # ;HANGUL LETTER AE;Lo;0;L;<compat> 1162;;;;N;;;;;
        "\u3151",  # ;HANGUL LETTER YA;Lo;0;L;<compat> 1163;;;;N;;;;;
        "\u3152",  # ;HANGUL LETTER YAE;Lo;0;L;<compat> 1164;;;;N;;;;;
        "\u3153",  # ;HANGUL LETTER EO;Lo;0;L;<compat> 1165;;;;N;;;;;
        "\u3154",  # ;HANGUL LETTER E;Lo;0;L;<compat> 1166;;;;N;;;;;
        "\u3155",  # ;HANGUL LETTER YEO;Lo;0;L;<compat> 1167;;;;N;;;;;
        "\u3156",  # ;HANGUL LETTER YE;Lo;0;L;<compat> 1168;;;;N;;;;;
        "\u3157",  # ;HANGUL LETTER O;Lo;0;L;<compat> 1169;;;;N;;;;;
        "\u3158",  # ;HANGUL LETTER WA;Lo;0;L;<compat> 116A;;;;N;;;;;
        "\u3159",  # ;HANGUL LETTER WAE;Lo;0;L;<compat> 116B;;;;N;;;;;
        "\u315A",  # ;HANGUL LETTER OE;Lo;0;L;<compat> 116C;;;;N;;;;;
        "\u315B",  # ;HANGUL LETTER YO;Lo;0;L;<compat> 116D;;;;N;;;;;
        "\u315C",  # ;HANGUL LETTER U;Lo;0;L;<compat> 116E;;;;N;;;;;
        "\u315D",  # ;HANGUL LETTER WEO;Lo;0;L;<compat> 116F;;;;N;;;;;
        "\u315E",  # ;HANGUL LETTER WE;Lo;0;L;<compat> 1170;;;;N;;;;;
        "\u315F",  # ;HANGUL LETTER WI;Lo;0;L;<compat> 1171;;;;N;;;;;
        "\u3160",  # ;HANGUL LETTER YU;Lo;0;L;<compat> 1172;;;;N;;;;;
        "\u3161",  # ;HANGUL LETTER EU;Lo;0;L;<compat> 1173;;;;N;;;;;
        "\u3162",  # ;HANGUL LETTER YI;Lo;0;L;<compat> 1174;;;;N;;;;;
        "\u3163",  # ;HANGUL LETTER I;Lo;0;L;<compat> 1175;;;;N;;;;;
        "\u3164",  # ;HANGUL FILLER;Lo;0;L;<compat> 1160;;;;N;HANGUL CAE OM;;;;
        "\u3165",  # ;HANGUL LETTER SSANGNIEUN;Lo;0;L;<compat> 1114;;;;N;HANGUL LETTER SSANG NIEUN;;;;
        "\u3166",  # ;HANGUL LETTER NIEUN-TIKEUT;Lo;0;L;<compat> 1115;;;;N;HANGUL LETTER NIEUN DIGEUD;;;;
        "\u3167",  # ;HANGUL LETTER NIEUN-SIOS;Lo;0;L;<compat> 11C7;;;;N;HANGUL LETTER NIEUN SIOS;;;;
        "\u3168",  # ;HANGUL LETTER NIEUN-PANSIOS;Lo;0;L;<compat> 11C8;;;;N;HANGUL LETTER NIEUN BAN CHI EUM;;;;
        "\u3169",  # ;HANGUL LETTER RIEUL-KIYEOK-SIOS;Lo;0;L;<compat> 11CC;;;;N;HANGUL LETTER LIEUL GIYEOG SIOS;;;;
        "\u316A",  # ;HANGUL LETTER RIEUL-TIKEUT;Lo;0;L;<compat> 11CE;;;;N;HANGUL LETTER LIEUL DIGEUD;;;;
        "\u316B",  # ;HANGUL LETTER RIEUL-PIEUP-SIOS;Lo;0;L;<compat> 11D3;;;;N;HANGUL LETTER LIEUL BIEUB SIOS;;;;
        "\u316C",  # ;HANGUL LETTER RIEUL-PANSIOS;Lo;0;L;<compat> 11D7;;;;N;HANGUL LETTER LIEUL BAN CHI EUM;;;;
        "\u316D",  # ;HANGUL LETTER RIEUL-YEORINHIEUH;Lo;0;L;<compat> 11D9;;;;N;HANGUL LETTER LIEUL YEOLIN HIEUH;;;;
        "\u316E",  # ;HANGUL LETTER MIEUM-PIEUP;Lo;0;L;<compat> 111C;;;;N;HANGUL LETTER MIEUM BIEUB;;;;
        "\u316F",  # ;HANGUL LETTER MIEUM-SIOS;Lo;0;L;<compat> 11DD;;;;N;HANGUL LETTER MIEUM SIOS;;;;
        "\u3170",  # ;HANGUL LETTER MIEUM-PANSIOS;Lo;0;L;<compat> 11DF;;;;N;HANGUL LETTER BIEUB BAN CHI EUM;;;;
        "\u3171",  # ;HANGUL LETTER KAPYEOUNMIEUM;Lo;0;L;<compat> 111D;;;;N;HANGUL LETTER MIEUM SUN GYEONG EUM;;;;
        "\u3172",  # ;HANGUL LETTER PIEUP-KIYEOK;Lo;0;L;<compat> 111E;;;;N;HANGUL LETTER BIEUB GIYEOG;;;;
        "\u3173",  # ;HANGUL LETTER PIEUP-TIKEUT;Lo;0;L;<compat> 1120;;;;N;HANGUL LETTER BIEUB DIGEUD;;;;
        "\u3174",  # ;HANGUL LETTER PIEUP-SIOS-KIYEOK;Lo;0;L;<compat> 1122;;;;N;HANGUL LETTER BIEUB SIOS GIYEOG;;;;
        "\u3175",  # ;HANGUL LETTER PIEUP-SIOS-TIKEUT;Lo;0;L;<compat> 1123;;;;N;HANGUL LETTER BIEUB SIOS DIGEUD;;;;
        "\u3176",  # ;HANGUL LETTER PIEUP-CIEUC;Lo;0;L;<compat> 1127;;;;N;HANGUL LETTER BIEUB JIEUJ;;;;
        "\u3177",  # ;HANGUL LETTER PIEUP-THIEUTH;Lo;0;L;<compat> 1129;;;;N;HANGUL LETTER BIEUB TIEUT;;;;
        "\u3178",  # ;HANGUL LETTER KAPYEOUNPIEUP;Lo;0;L;<compat> 112B;;;;N;HANGUL LETTER BIEUB SUN GYEONG EUM;;;;
        "\u3179",  # ;HANGUL LETTER KAPYEOUNSSANGPIEUP;Lo;0;L;<compat> 112C;;;;N;HANGUL LETTER SSANG BIEUB SUN GYEONG EUM;;;;
        "\u317A",  # ;HANGUL LETTER SIOS-KIYEOK;Lo;0;L;<compat> 112D;;;;N;HANGUL LETTER SIOS GIYEOG;;;;
        "\u317B",  # ;HANGUL LETTER SIOS-NIEUN;Lo;0;L;<compat> 112E;;;;N;HANGUL LETTER SIOS NIEUN;;;;
        "\u317C",  # ;HANGUL LETTER SIOS-TIKEUT;Lo;0;L;<compat> 112F;;;;N;HANGUL LETTER SIOS DIGEUD;;;;
        "\u317D",  # ;HANGUL LETTER SIOS-PIEUP;Lo;0;L;<compat> 1132;;;;N;HANGUL LETTER SIOS BIEUB;;;;
        "\u317E",  # ;HANGUL LETTER SIOS-CIEUC;Lo;0;L;<compat> 1136;;;;N;HANGUL LETTER SIOS JIEUJ;;;;
        "\u317F",  # ;HANGUL LETTER PANSIOS;Lo;0;L;<compat> 1140;;;;N;HANGUL LETTER BAN CHI EUM;;;;
        "\u3180",  # ;HANGUL LETTER SSANGIEUNG;Lo;0;L;<compat> 1147;;;;N;HANGUL LETTER SSANG IEUNG;;;;
        "\u3181",  # ;HANGUL LETTER YESIEUNG;Lo;0;L;<compat> 114C;;;;N;HANGUL LETTER NGIEUNG;;;;
        "\u3182",  # ;HANGUL LETTER YESIEUNG-SIOS;Lo;0;L;<compat> 11F1;;;;N;HANGUL LETTER NGIEUNG SIOS;;;;
        "\u3183",  # ;HANGUL LETTER YESIEUNG-PANSIOS;Lo;0;L;<compat> 11F2;;;;N;HANGUL LETTER NGIEUNG BAN CHI EUM;;;;
        "\u3184",  # ;HANGUL LETTER KAPYEOUNPHIEUPH;Lo;0;L;<compat> 1157;;;;N;HANGUL LETTER PIEUP SUN GYEONG EUM;;;;
        "\u3185",  # ;HANGUL LETTER SSANGHIEUH;Lo;0;L;<compat> 1158;;;;N;HANGUL LETTER SSANG HIEUH;;;;
        "\u3186",  # ;HANGUL LETTER YEORINHIEUH;Lo;0;L;<compat> 1159;;;;N;HANGUL LETTER YEOLIN HIEUH;;;;
        "\u3187",  # ;HANGUL LETTER YO-YA;Lo;0;L;<compat> 1184;;;;N;HANGUL LETTER YOYA;;;;
        "\u3188",  # ;HANGUL LETTER YO-YAE;Lo;0;L;<compat> 1185;;;;N;HANGUL LETTER YOYAE;;;;
        "\u3189",  # ;HANGUL LETTER YO-I;Lo;0;L;<compat> 1188;;;;N;HANGUL LETTER YOI;;;;
        "\u318A",  # ;HANGUL LETTER YU-YEO;Lo;0;L;<compat> 1191;;;;N;HANGUL LETTER YUYEO;;;;
        "\u318B",  # ;HANGUL LETTER YU-YE;Lo;0;L;<compat> 1192;;;;N;HANGUL LETTER YUYE;;;;
        "\u318C",  # ;HANGUL LETTER YU-I;Lo;0;L;<compat> 1194;;;;N;HANGUL LETTER YUI;;;;
        "\u318D",  # ;HANGUL LETTER ARAEA;Lo;0;L;<compat> 119E;;;;N;HANGUL LETTER ALAE A;;;;
        "\u318E",  # ;HANGUL LETTER ARAEAE;Lo;0;L;<compat> 11A1;;;;N;HANGUL LETTER ALAE AE;;;;
        "\u3190",  # ;IDEOGRAPHIC ANNOTATION LINKING MARK;So;0;L;;;;;N;KANBUN TATETEN;;;;
        "\u3191",  # ;IDEOGRAPHIC ANNOTATION REVERSE MARK;So;0;L;;;;;N;KAERITEN RE;;;;
        "\u3192",  # ;IDEOGRAPHIC ANNOTATION ONE MARK;No;0;L;<super> 4E00;;;1;N;KAERITEN ITI;;;;
        "\u3193",  # ;IDEOGRAPHIC ANNOTATION TWO MARK;No;0;L;<super> 4E8C;;;2;N;KAERITEN NI;;;;
        "\u3194",  # ;IDEOGRAPHIC ANNOTATION THREE MARK;No;0;L;<super> 4E09;;;3;N;KAERITEN SAN;;;;
        "\u3195",  # ;IDEOGRAPHIC ANNOTATION FOUR MARK;No;0;L;<super> 56DB;;;4;N;KAERITEN SI;;;;
        "\u3196",  # ;IDEOGRAPHIC ANNOTATION TOP MARK;So;0;L;<super> 4E0A;;;;N;KAERITEN ZYOU;;;;
        "\u3197",  # ;IDEOGRAPHIC ANNOTATION MIDDLE MARK;So;0;L;<super> 4E2D;;;;N;KAERITEN TYUU;;;;
        "\u3198",  # ;IDEOGRAPHIC ANNOTATION BOTTOM MARK;So;0;L;<super> 4E0B;;;;N;KAERITEN GE;;;;
        "\u3199",  # ;IDEOGRAPHIC ANNOTATION FIRST MARK;So;0;L;<super> 7532;;;;N;KAERITEN KOU;;;;
        "\u319A",  # ;IDEOGRAPHIC ANNOTATION SECOND MARK;So;0;L;<super> 4E59;;;;N;KAERITEN OTU;;;;
        "\u319B",  # ;IDEOGRAPHIC ANNOTATION THIRD MARK;So;0;L;<super> 4E19;;;;N;KAERITEN HEI;;;;
        "\u319C",  # ;IDEOGRAPHIC ANNOTATION FOURTH MARK;So;0;L;<super> 4E01;;;;N;KAERITEN TEI;;;;
        "\u319D",  # ;IDEOGRAPHIC ANNOTATION HEAVEN MARK;So;0;L;<super> 5929;;;;N;KAERITEN TEN;;;;
        "\u319E",  # ;IDEOGRAPHIC ANNOTATION EARTH MARK;So;0;L;<super> 5730;;;;N;KAERITEN TI;;;;
        "\u319F",  # ;IDEOGRAPHIC ANNOTATION MAN MARK;So;0;L;<super> 4EBA;;;;N;KAERITEN ZIN;;;;
        "\u31A0",  # ;BOPOMOFO LETTER BU;Lo;0;L;;;;;N;;;;;
        "\u31A1",  # ;BOPOMOFO LETTER ZI;Lo;0;L;;;;;N;;;;;
        "\u31A2",  # ;BOPOMOFO LETTER JI;Lo;0;L;;;;;N;;;;;
        "\u31A3",  # ;BOPOMOFO LETTER GU;Lo;0;L;;;;;N;;;;;
        "\u31A4",  # ;BOPOMOFO LETTER EE;Lo;0;L;;;;;N;;;;;
        "\u31A5",  # ;BOPOMOFO LETTER ENN;Lo;0;L;;;;;N;;;;;
        "\u31A6",  # ;BOPOMOFO LETTER OO;Lo;0;L;;;;;N;;;;;
        "\u31A7",  # ;BOPOMOFO LETTER ONN;Lo;0;L;;;;;N;;;;;
        "\u31A8",  # ;BOPOMOFO LETTER IR;Lo;0;L;;;;;N;;;;;
        "\u31A9",  # ;BOPOMOFO LETTER ANN;Lo;0;L;;;;;N;;;;;
        "\u31AA",  # ;BOPOMOFO LETTER INN;Lo;0;L;;;;;N;;;;;
        "\u31AB",  # ;BOPOMOFO LETTER UNN;Lo;0;L;;;;;N;;;;;
        "\u31AC",  # ;BOPOMOFO LETTER IM;Lo;0;L;;;;;N;;;;;
        "\u31AD",  # ;BOPOMOFO LETTER NGG;Lo;0;L;;;;;N;;;;;
        "\u31AE",  # ;BOPOMOFO LETTER AINN;Lo;0;L;;;;;N;;;;;
        "\u31AF",  # ;BOPOMOFO LETTER AUNN;Lo;0;L;;;;;N;;;;;
        "\u31B0",  # ;BOPOMOFO LETTER AM;Lo;0;L;;;;;N;;;;;
        "\u31B1",  # ;BOPOMOFO LETTER OM;Lo;0;L;;;;;N;;;;;
        "\u31B2",  # ;BOPOMOFO LETTER ONG;Lo;0;L;;;;;N;;;;;
        "\u31B3",  # ;BOPOMOFO LETTER INNN;Lo;0;L;;;;;N;;;;;
        "\u31B4",  # ;BOPOMOFO FINAL LETTER P;Lo;0;L;;;;;N;;;;;
        "\u31B5",  # ;BOPOMOFO FINAL LETTER T;Lo;0;L;;;;;N;;;;;
        "\u31B6",  # ;BOPOMOFO FINAL LETTER K;Lo;0;L;;;;;N;;;;;
        "\u31B7",  # ;BOPOMOFO FINAL LETTER H;Lo;0;L;;;;;N;;;;;
        "\u31B8",  # ;BOPOMOFO LETTER GH;Lo;0;L;;;;;N;;;;;
        "\u31B9",  # ;BOPOMOFO LETTER LH;Lo;0;L;;;;;N;;;;;
        "\u31BA",  # ;BOPOMOFO LETTER ZY;Lo;0;L;;;;;N;;;;;
        "\u31C0",  # ;CJK STROKE T;So;0;ON;;;;;N;;;;;
        "\u31C1",  # ;CJK STROKE WG;So;0;ON;;;;;N;;;;;
        "\u31C2",  # ;CJK STROKE XG;So;0;ON;;;;;N;;;;;
        "\u31C3",  # ;CJK STROKE BXG;So;0;ON;;;;;N;;;;;
        "\u31C4",  # ;CJK STROKE SW;So;0;ON;;;;;N;;;;;
        "\u31C5",  # ;CJK STROKE HZZ;So;0;ON;;;;;N;;;;;
        "\u31C6",  # ;CJK STROKE HZG;So;0;ON;;;;;N;;;;;
        "\u31C7",  # ;CJK STROKE HP;So;0;ON;;;;;N;;;;;
        "\u31C8",  # ;CJK STROKE HZWG;So;0;ON;;;;;N;;;;;
        "\u31C9",  # ;CJK STROKE SZWG;So;0;ON;;;;;N;;;;;
        "\u31CA",  # ;CJK STROKE HZT;So;0;ON;;;;;N;;;;;
        "\u31CB",  # ;CJK STROKE HZZP;So;0;ON;;;;;N;;;;;
        "\u31CC",  # ;CJK STROKE HPWG;So;0;ON;;;;;N;;;;;
        "\u31CD",  # ;CJK STROKE HZW;So;0;ON;;;;;N;;;;;
        "\u31CE",  # ;CJK STROKE HZZZ;So;0;ON;;;;;N;;;;;
        "\u31CF",  # ;CJK STROKE N;So;0;ON;;;;;N;;;;;
        "\u31D0",  # ;CJK STROKE H;So;0;ON;;;;;N;;;;;
        "\u31D1",  # ;CJK STROKE S;So;0;ON;;;;;N;;;;;
        "\u31D2",  # ;CJK STROKE P;So;0;ON;;;;;N;;;;;
        "\u31D3",  # ;CJK STROKE SP;So;0;ON;;;;;N;;;;;
        "\u31D4",  # ;CJK STROKE D;So;0;ON;;;;;N;;;;;
        "\u31D5",  # ;CJK STROKE HZ;So;0;ON;;;;;N;;;;;
        "\u31D6",  # ;CJK STROKE HG;So;0;ON;;;;;N;;;;;
        "\u31D7",  # ;CJK STROKE SZ;So;0;ON;;;;;N;;;;;
        "\u31D8",  # ;CJK STROKE SWZ;So;0;ON;;;;;N;;;;;
        "\u31D9",  # ;CJK STROKE ST;So;0;ON;;;;;N;;;;;
        "\u31DA",  # ;CJK STROKE SG;So;0;ON;;;;;N;;;;;
        "\u31DB",  # ;CJK STROKE PD;So;0;ON;;;;;N;;;;;
        "\u31DC",  # ;CJK STROKE PZ;So;0;ON;;;;;N;;;;;
        "\u31DD",  # ;CJK STROKE TN;So;0;ON;;;;;N;;;;;
        "\u31DE",  # ;CJK STROKE SZZ;So;0;ON;;;;;N;;;;;
        "\u31DF",  # ;CJK STROKE SWG;So;0;ON;;;;;N;;;;;
        "\u31E0",  # ;CJK STROKE HXWG;So;0;ON;;;;;N;;;;;
        "\u31E1",  # ;CJK STROKE HZZZG;So;0;ON;;;;;N;;;;;
        "\u31E2",  # ;CJK STROKE PG;So;0;ON;;;;;N;;;;;
        "\u31E3",  # ;CJK STROKE Q;So;0;ON;;;;;N;;;;;
        "\u31F0",  # ;KATAKANA LETTER SMALL KU;Lo;0;L;;;;;N;;;;;
        "\u31F1",  # ;KATAKANA LETTER SMALL SI;Lo;0;L;;;;;N;;;;;
        "\u31F2",  # ;KATAKANA LETTER SMALL SU;Lo;0;L;;;;;N;;;;;
        "\u31F3",  # ;KATAKANA LETTER SMALL TO;Lo;0;L;;;;;N;;;;;
        "\u31F4",  # ;KATAKANA LETTER SMALL NU;Lo;0;L;;;;;N;;;;;
        "\u31F5",  # ;KATAKANA LETTER SMALL HA;Lo;0;L;;;;;N;;;;;
        "\u31F6",  # ;KATAKANA LETTER SMALL HI;Lo;0;L;;;;;N;;;;;
        "\u31F7",  # ;KATAKANA LETTER SMALL HU;Lo;0;L;;;;;N;;;;;
        "\u31F8",  # ;KATAKANA LETTER SMALL HE;Lo;0;L;;;;;N;;;;;
        "\u31F9",  # ;KATAKANA LETTER SMALL HO;Lo;0;L;;;;;N;;;;;
        "\u31FA",  # ;KATAKANA LETTER SMALL MU;Lo;0;L;;;;;N;;;;;
        "\u31FB",  # ;KATAKANA LETTER SMALL RA;Lo;0;L;;;;;N;;;;;
        "\u31FC",  # ;KATAKANA LETTER SMALL RI;Lo;0;L;;;;;N;;;;;
        "\u31FD",  # ;KATAKANA LETTER SMALL RU;Lo;0;L;;;;;N;;;;;
        "\u31FE",  # ;KATAKANA LETTER SMALL RE;Lo;0;L;;;;;N;;;;;
        "\u31FF",  # ;KATAKANA LETTER SMALL RO;Lo;0;L;;;;;N;;;;;
        "\u3200",  # ;PARENTHESIZED HANGUL KIYEOK;So;0;L;<compat> 0028 1100 0029;;;;N;PARENTHESIZED HANGUL GIYEOG;;;;
        "\u3201",  # ;PARENTHESIZED HANGUL NIEUN;So;0;L;<compat> 0028 1102 0029;;;;N;;;;;
        "\u3202",  # ;PARENTHESIZED HANGUL TIKEUT;So;0;L;<compat> 0028 1103 0029;;;;N;PARENTHESIZED HANGUL DIGEUD;;;;
        "\u3203",  # ;PARENTHESIZED HANGUL RIEUL;So;0;L;<compat> 0028 1105 0029;;;;N;PARENTHESIZED HANGUL LIEUL;;;;
        "\u3204",  # ;PARENTHESIZED HANGUL MIEUM;So;0;L;<compat> 0028 1106 0029;;;;N;;;;;
        "\u3205",  # ;PARENTHESIZED HANGUL PIEUP;So;0;L;<compat> 0028 1107 0029;;;;N;PARENTHESIZED HANGUL BIEUB;;;;
        "\u3206",  # ;PARENTHESIZED HANGUL SIOS;So;0;L;<compat> 0028 1109 0029;;;;N;;;;;
        "\u3207",  # ;PARENTHESIZED HANGUL IEUNG;So;0;L;<compat> 0028 110B 0029;;;;N;;;;;
        "\u3208",  # ;PARENTHESIZED HANGUL CIEUC;So;0;L;<compat> 0028 110C 0029;;;;N;PARENTHESIZED HANGUL JIEUJ;;;;
        "\u3209",  # ;PARENTHESIZED HANGUL CHIEUCH;So;0;L;<compat> 0028 110E 0029;;;;N;PARENTHESIZED HANGUL CIEUC;;;;
        "\u320A",  # ;PARENTHESIZED HANGUL KHIEUKH;So;0;L;<compat> 0028 110F 0029;;;;N;PARENTHESIZED HANGUL KIYEOK;;;;
        "\u320B",  # ;PARENTHESIZED HANGUL THIEUTH;So;0;L;<compat> 0028 1110 0029;;;;N;PARENTHESIZED HANGUL TIEUT;;;;
        "\u320C",  # ;PARENTHESIZED HANGUL PHIEUPH;So;0;L;<compat> 0028 1111 0029;;;;N;PARENTHESIZED HANGUL PIEUP;;;;
        "\u320D",  # ;PARENTHESIZED HANGUL HIEUH;So;0;L;<compat> 0028 1112 0029;;;;N;;;;;
        "\u320E",  # ;PARENTHESIZED HANGUL KIYEOK A;So;0;L;<compat> 0028 1100 1161 0029;;;;N;PARENTHESIZED HANGUL GA;;;;
        "\u320F",  # ;PARENTHESIZED HANGUL NIEUN A;So;0;L;<compat> 0028 1102 1161 0029;;;;N;PARENTHESIZED HANGUL NA;;;;
        "\u3210",  # ;PARENTHESIZED HANGUL TIKEUT A;So;0;L;<compat> 0028 1103 1161 0029;;;;N;PARENTHESIZED HANGUL DA;;;;
        "\u3211",  # ;PARENTHESIZED HANGUL RIEUL A;So;0;L;<compat> 0028 1105 1161 0029;;;;N;PARENTHESIZED HANGUL LA;;;;
        "\u3212",  # ;PARENTHESIZED HANGUL MIEUM A;So;0;L;<compat> 0028 1106 1161 0029;;;;N;PARENTHESIZED HANGUL MA;;;;
        "\u3213",  # ;PARENTHESIZED HANGUL PIEUP A;So;0;L;<compat> 0028 1107 1161 0029;;;;N;PARENTHESIZED HANGUL BA;;;;
        "\u3214",  # ;PARENTHESIZED HANGUL SIOS A;So;0;L;<compat> 0028 1109 1161 0029;;;;N;PARENTHESIZED HANGUL SA;;;;
        "\u3215",  # ;PARENTHESIZED HANGUL IEUNG A;So;0;L;<compat> 0028 110B 1161 0029;;;;N;PARENTHESIZED HANGUL A;;;;
        "\u3216",  # ;PARENTHESIZED HANGUL CIEUC A;So;0;L;<compat> 0028 110C 1161 0029;;;;N;PARENTHESIZED HANGUL JA;;;;
        "\u3217",  # ;PARENTHESIZED HANGUL CHIEUCH A;So;0;L;<compat> 0028 110E 1161 0029;;;;N;PARENTHESIZED HANGUL CA;;;;
        "\u3218",  # ;PARENTHESIZED HANGUL KHIEUKH A;So;0;L;<compat> 0028 110F 1161 0029;;;;N;PARENTHESIZED HANGUL KA;;;;
        "\u3219",  # ;PARENTHESIZED HANGUL THIEUTH A;So;0;L;<compat> 0028 1110 1161 0029;;;;N;PARENTHESIZED HANGUL TA;;;;
        "\u321A",  # ;PARENTHESIZED HANGUL PHIEUPH A;So;0;L;<compat> 0028 1111 1161 0029;;;;N;PARENTHESIZED HANGUL PA;;;;
        "\u321B",  # ;PARENTHESIZED HANGUL HIEUH A;So;0;L;<compat> 0028 1112 1161 0029;;;;N;PARENTHESIZED HANGUL HA;;;;
        "\u321C",  # ;PARENTHESIZED HANGUL CIEUC U;So;0;L;<compat> 0028 110C 116E 0029;;;;N;PARENTHESIZED HANGUL JU;;;;
        "\u321D",  # ;PARENTHESIZED KOREAN CHARACTER OJEON;So;0;ON;<compat> 0028 110B 1169 110C 1165 11AB 0029;;;;N;;;;;
        "\u321E",  # ;PARENTHESIZED KOREAN CHARACTER O HU;So;0;ON;<compat> 0028 110B 1169 1112 116E 0029;;;;N;;;;;
        "\u3220",  # ;PARENTHESIZED IDEOGRAPH ONE;No;0;L;<compat> 0028 4E00 0029;;;1;N;;;;;
        "\u3221",  # ;PARENTHESIZED IDEOGRAPH TWO;No;0;L;<compat> 0028 4E8C 0029;;;2;N;;;;;
        "\u3222",  # ;PARENTHESIZED IDEOGRAPH THREE;No;0;L;<compat> 0028 4E09 0029;;;3;N;;;;;
        "\u3223",  # ;PARENTHESIZED IDEOGRAPH FOUR;No;0;L;<compat> 0028 56DB 0029;;;4;N;;;;;
        "\u3224",  # ;PARENTHESIZED IDEOGRAPH FIVE;No;0;L;<compat> 0028 4E94 0029;;;5;N;;;;;
        "\u3225",  # ;PARENTHESIZED IDEOGRAPH SIX;No;0;L;<compat> 0028 516D 0029;;;6;N;;;;;
        "\u3226",  # ;PARENTHESIZED IDEOGRAPH SEVEN;No;0;L;<compat> 0028 4E03 0029;;;7;N;;;;;
        "\u3227",  # ;PARENTHESIZED IDEOGRAPH EIGHT;No;0;L;<compat> 0028 516B 0029;;;8;N;;;;;
        "\u3228",  # ;PARENTHESIZED IDEOGRAPH NINE;No;0;L;<compat> 0028 4E5D 0029;;;9;N;;;;;
        "\u3229",  # ;PARENTHESIZED IDEOGRAPH TEN;No;0;L;<compat> 0028 5341 0029;;;10;N;;;;;
        "\u322A",  # ;PARENTHESIZED IDEOGRAPH MOON;So;0;L;<compat> 0028 6708 0029;;;;N;;;;;
        "\u322B",  # ;PARENTHESIZED IDEOGRAPH FIRE;So;0;L;<compat> 0028 706B 0029;;;;N;;;;;
        "\u322C",  # ;PARENTHESIZED IDEOGRAPH WATER;So;0;L;<compat> 0028 6C34 0029;;;;N;;;;;
        "\u322D",  # ;PARENTHESIZED IDEOGRAPH WOOD;So;0;L;<compat> 0028 6728 0029;;;;N;;;;;
        "\u322E",  # ;PARENTHESIZED IDEOGRAPH METAL;So;0;L;<compat> 0028 91D1 0029;;;;N;;;;;
        "\u322F",  # ;PARENTHESIZED IDEOGRAPH EARTH;So;0;L;<compat> 0028 571F 0029;;;;N;;;;;
        "\u3230",  # ;PARENTHESIZED IDEOGRAPH SUN;So;0;L;<compat> 0028 65E5 0029;;;;N;;;;;
        "\u3231",  # ;PARENTHESIZED IDEOGRAPH STOCK;So;0;L;<compat> 0028 682A 0029;;;;N;;;;;
        "\u3232",  # ;PARENTHESIZED IDEOGRAPH HAVE;So;0;L;<compat> 0028 6709 0029;;;;N;;;;;
        "\u3233",  # ;PARENTHESIZED IDEOGRAPH SOCIETY;So;0;L;<compat> 0028 793E 0029;;;;N;;;;;
        "\u3234",  # ;PARENTHESIZED IDEOGRAPH NAME;So;0;L;<compat> 0028 540D 0029;;;;N;;;;;
        "\u3235",  # ;PARENTHESIZED IDEOGRAPH SPECIAL;So;0;L;<compat> 0028 7279 0029;;;;N;;;;;
        "\u3236",  # ;PARENTHESIZED IDEOGRAPH FINANCIAL;So;0;L;<compat> 0028 8CA1 0029;;;;N;;;;;
        "\u3237",  # ;PARENTHESIZED IDEOGRAPH CONGRATULATION;So;0;L;<compat> 0028 795D 0029;;;;N;;;;;
        "\u3238",  # ;PARENTHESIZED IDEOGRAPH LABOR;So;0;L;<compat> 0028 52B4 0029;;;;N;;;;;
        "\u3239",  # ;PARENTHESIZED IDEOGRAPH REPRESENT;So;0;L;<compat> 0028 4EE3 0029;;;;N;;;;;
        "\u323A",  # ;PARENTHESIZED IDEOGRAPH CALL;So;0;L;<compat> 0028 547C 0029;;;;N;;;;;
        "\u323B",  # ;PARENTHESIZED IDEOGRAPH STUDY;So;0;L;<compat> 0028 5B66 0029;;;;N;;;;;
        "\u323C",  # ;PARENTHESIZED IDEOGRAPH SUPERVISE;So;0;L;<compat> 0028 76E3 0029;;;;N;;;;;
        "\u323D",  # ;PARENTHESIZED IDEOGRAPH ENTERPRISE;So;0;L;<compat> 0028 4F01 0029;;;;N;;;;;
        "\u323E",  # ;PARENTHESIZED IDEOGRAPH RESOURCE;So;0;L;<compat> 0028 8CC7 0029;;;;N;;;;;
        "\u323F",  # ;PARENTHESIZED IDEOGRAPH ALLIANCE;So;0;L;<compat> 0028 5354 0029;;;;N;;;;;
        "\u3240",  # ;PARENTHESIZED IDEOGRAPH FESTIVAL;So;0;L;<compat> 0028 796D 0029;;;;N;;;;;
        "\u3241",  # ;PARENTHESIZED IDEOGRAPH REST;So;0;L;<compat> 0028 4F11 0029;;;;N;;;;;
        "\u3242",  # ;PARENTHESIZED IDEOGRAPH SELF;So;0;L;<compat> 0028 81EA 0029;;;;N;;;;;
        "\u3243",  # ;PARENTHESIZED IDEOGRAPH REACH;So;0;L;<compat> 0028 81F3 0029;;;;N;;;;;
        "\u3244",  # ;CIRCLED IDEOGRAPH QUESTION;So;0;L;<circle> 554F;;;;N;;;;;
        "\u3245",  # ;CIRCLED IDEOGRAPH KINDERGARTEN;So;0;L;<circle> 5E7C;;;;N;;;;;
        "\u3246",  # ;CIRCLED IDEOGRAPH SCHOOL;So;0;L;<circle> 6587;;;;N;;;;;
        "\u3247",  # ;CIRCLED IDEOGRAPH KOTO;So;0;L;<circle> 7B8F;;;;N;;;;;
        "\u3248",  # ;CIRCLED NUMBER TEN ON BLACK SQUARE;No;0;L;;;;10;N;;;;;
        "\u3249",  # ;CIRCLED NUMBER TWENTY ON BLACK SQUARE;No;0;L;;;;20;N;;;;;
        "\u324A",  # ;CIRCLED NUMBER THIRTY ON BLACK SQUARE;No;0;L;;;;30;N;;;;;
        "\u324B",  # ;CIRCLED NUMBER FORTY ON BLACK SQUARE;No;0;L;;;;40;N;;;;;
        "\u324C",  # ;CIRCLED NUMBER FIFTY ON BLACK SQUARE;No;0;L;;;;50;N;;;;;
        "\u324D",  # ;CIRCLED NUMBER SIXTY ON BLACK SQUARE;No;0;L;;;;60;N;;;;;
        "\u324E",  # ;CIRCLED NUMBER SEVENTY ON BLACK SQUARE;No;0;L;;;;70;N;;;;;
        "\u324F",  # ;CIRCLED NUMBER EIGHTY ON BLACK SQUARE;No;0;L;;;;80;N;;;;;
        "\u3250",  # ;PARTNERSHIP SIGN;So;0;ON;<square> 0050 0054 0045;;;;N;;;;;
        "\u3251",  # ;CIRCLED NUMBER TWENTY ONE;No;0;ON;<circle> 0032 0031;;;21;N;;;;;
        "\u3252",  # ;CIRCLED NUMBER TWENTY TWO;No;0;ON;<circle> 0032 0032;;;22;N;;;;;
        "\u3253",  # ;CIRCLED NUMBER TWENTY THREE;No;0;ON;<circle> 0032 0033;;;23;N;;;;;
        "\u3254",  # ;CIRCLED NUMBER TWENTY FOUR;No;0;ON;<circle> 0032 0034;;;24;N;;;;;
        "\u3255",  # ;CIRCLED NUMBER TWENTY FIVE;No;0;ON;<circle> 0032 0035;;;25;N;;;;;
        "\u3256",  # ;CIRCLED NUMBER TWENTY SIX;No;0;ON;<circle> 0032 0036;;;26;N;;;;;
        "\u3257",  # ;CIRCLED NUMBER TWENTY SEVEN;No;0;ON;<circle> 0032 0037;;;27;N;;;;;
        "\u3258",  # ;CIRCLED NUMBER TWENTY EIGHT;No;0;ON;<circle> 0032 0038;;;28;N;;;;;
        "\u3259",  # ;CIRCLED NUMBER TWENTY NINE;No;0;ON;<circle> 0032 0039;;;29;N;;;;;
        "\u325A",  # ;CIRCLED NUMBER THIRTY;No;0;ON;<circle> 0033 0030;;;30;N;;;;;
        "\u325B",  # ;CIRCLED NUMBER THIRTY ONE;No;0;ON;<circle> 0033 0031;;;31;N;;;;;
        "\u325C",  # ;CIRCLED NUMBER THIRTY TWO;No;0;ON;<circle> 0033 0032;;;32;N;;;;;
        "\u325D",  # ;CIRCLED NUMBER THIRTY THREE;No;0;ON;<circle> 0033 0033;;;33;N;;;;;
        "\u325E",  # ;CIRCLED NUMBER THIRTY FOUR;No;0;ON;<circle> 0033 0034;;;34;N;;;;;
        "\u325F",  # ;CIRCLED NUMBER THIRTY FIVE;No;0;ON;<circle> 0033 0035;;;35;N;;;;;
        "\u3260",  # ;CIRCLED HANGUL KIYEOK;So;0;L;<circle> 1100;;;;N;CIRCLED HANGUL GIYEOG;;;;
        "\u3261",  # ;CIRCLED HANGUL NIEUN;So;0;L;<circle> 1102;;;;N;;;;;
        "\u3262",  # ;CIRCLED HANGUL TIKEUT;So;0;L;<circle> 1103;;;;N;CIRCLED HANGUL DIGEUD;;;;
        "\u3263",  # ;CIRCLED HANGUL RIEUL;So;0;L;<circle> 1105;;;;N;CIRCLED HANGUL LIEUL;;;;
        "\u3264",  # ;CIRCLED HANGUL MIEUM;So;0;L;<circle> 1106;;;;N;;;;;
        "\u3265",  # ;CIRCLED HANGUL PIEUP;So;0;L;<circle> 1107;;;;N;CIRCLED HANGUL BIEUB;;;;
        "\u3266",  # ;CIRCLED HANGUL SIOS;So;0;L;<circle> 1109;;;;N;;;;;
        "\u3267",  # ;CIRCLED HANGUL IEUNG;So;0;L;<circle> 110B;;;;N;;;;;
        "\u3268",  # ;CIRCLED HANGUL CIEUC;So;0;L;<circle> 110C;;;;N;CIRCLED HANGUL JIEUJ;;;;
        "\u3269",  # ;CIRCLED HANGUL CHIEUCH;So;0;L;<circle> 110E;;;;N;CIRCLED HANGUL CIEUC;;;;
        "\u326A",  # ;CIRCLED HANGUL KHIEUKH;So;0;L;<circle> 110F;;;;N;CIRCLED HANGUL KIYEOK;;;;
        "\u326B",  # ;CIRCLED HANGUL THIEUTH;So;0;L;<circle> 1110;;;;N;CIRCLED HANGUL TIEUT;;;;
        "\u326C",  # ;CIRCLED HANGUL PHIEUPH;So;0;L;<circle> 1111;;;;N;CIRCLED HANGUL PIEUP;;;;
        "\u326D",  # ;CIRCLED HANGUL HIEUH;So;0;L;<circle> 1112;;;;N;;;;;
        "\u326E",  # ;CIRCLED HANGUL KIYEOK A;So;0;L;<circle> 1100 1161;;;;N;CIRCLED HANGUL GA;;;;
        "\u326F",  # ;CIRCLED HANGUL NIEUN A;So;0;L;<circle> 1102 1161;;;;N;CIRCLED HANGUL NA;;;;
        "\u3270",  # ;CIRCLED HANGUL TIKEUT A;So;0;L;<circle> 1103 1161;;;;N;CIRCLED HANGUL DA;;;;
        "\u3271",  # ;CIRCLED HANGUL RIEUL A;So;0;L;<circle> 1105 1161;;;;N;CIRCLED HANGUL LA;;;;
        "\u3272",  # ;CIRCLED HANGUL MIEUM A;So;0;L;<circle> 1106 1161;;;;N;CIRCLED HANGUL MA;;;;
        "\u3273",  # ;CIRCLED HANGUL PIEUP A;So;0;L;<circle> 1107 1161;;;;N;CIRCLED HANGUL BA;;;;
        "\u3274",  # ;CIRCLED HANGUL SIOS A;So;0;L;<circle> 1109 1161;;;;N;CIRCLED HANGUL SA;;;;
        "\u3275",  # ;CIRCLED HANGUL IEUNG A;So;0;L;<circle> 110B 1161;;;;N;CIRCLED HANGUL A;;;;
        "\u3276",  # ;CIRCLED HANGUL CIEUC A;So;0;L;<circle> 110C 1161;;;;N;CIRCLED HANGUL JA;;;;
        "\u3277",  # ;CIRCLED HANGUL CHIEUCH A;So;0;L;<circle> 110E 1161;;;;N;CIRCLED HANGUL CA;;;;
        "\u3278",  # ;CIRCLED HANGUL KHIEUKH A;So;0;L;<circle> 110F 1161;;;;N;CIRCLED HANGUL KA;;;;
        "\u3279",  # ;CIRCLED HANGUL THIEUTH A;So;0;L;<circle> 1110 1161;;;;N;CIRCLED HANGUL TA;;;;
        "\u327A",  # ;CIRCLED HANGUL PHIEUPH A;So;0;L;<circle> 1111 1161;;;;N;CIRCLED HANGUL PA;;;;
        "\u327B",  # ;CIRCLED HANGUL HIEUH A;So;0;L;<circle> 1112 1161;;;;N;CIRCLED HANGUL HA;;;;
        "\u327C",  # ;CIRCLED KOREAN CHARACTER CHAMKO;So;0;ON;<circle> 110E 1161 11B7 1100 1169;;;;N;;;;;
        "\u327D",  # ;CIRCLED KOREAN CHARACTER JUEUI;So;0;ON;<circle> 110C 116E 110B 1174;;;;N;;;;;
        "\u327E",  # ;CIRCLED HANGUL IEUNG U;So;0;ON;<circle> 110B 116E;;;;N;;;;;
        "\u327F",  # ;KOREAN STANDARD SYMBOL;So;0;L;;;;;N;;;;;
        "\u3280",  # ;CIRCLED IDEOGRAPH ONE;No;0;L;<circle> 4E00;;;1;N;;;;;
        "\u3281",  # ;CIRCLED IDEOGRAPH TWO;No;0;L;<circle> 4E8C;;;2;N;;;;;
        "\u3282",  # ;CIRCLED IDEOGRAPH THREE;No;0;L;<circle> 4E09;;;3;N;;;;;
        "\u3283",  # ;CIRCLED IDEOGRAPH FOUR;No;0;L;<circle> 56DB;;;4;N;;;;;
        "\u3284",  # ;CIRCLED IDEOGRAPH FIVE;No;0;L;<circle> 4E94;;;5;N;;;;;
        "\u3285",  # ;CIRCLED IDEOGRAPH SIX;No;0;L;<circle> 516D;;;6;N;;;;;
        "\u3286",  # ;CIRCLED IDEOGRAPH SEVEN;No;0;L;<circle> 4E03;;;7;N;;;;;
        "\u3287",  # ;CIRCLED IDEOGRAPH EIGHT;No;0;L;<circle> 516B;;;8;N;;;;;
        "\u3288",  # ;CIRCLED IDEOGRAPH NINE;No;0;L;<circle> 4E5D;;;9;N;;;;;
        "\u3289",  # ;CIRCLED IDEOGRAPH TEN;No;0;L;<circle> 5341;;;10;N;;;;;
        "\u328A",  # ;CIRCLED IDEOGRAPH MOON;So;0;L;<circle> 6708;;;;N;;;;;
        "\u328B",  # ;CIRCLED IDEOGRAPH FIRE;So;0;L;<circle> 706B;;;;N;;;;;
        "\u328C",  # ;CIRCLED IDEOGRAPH WATER;So;0;L;<circle> 6C34;;;;N;;;;;
        "\u328D",  # ;CIRCLED IDEOGRAPH WOOD;So;0;L;<circle> 6728;;;;N;;;;;
        "\u328E",  # ;CIRCLED IDEOGRAPH METAL;So;0;L;<circle> 91D1;;;;N;;;;;
        "\u328F",  # ;CIRCLED IDEOGRAPH EARTH;So;0;L;<circle> 571F;;;;N;;;;;
        "\u3290",  # ;CIRCLED IDEOGRAPH SUN;So;0;L;<circle> 65E5;;;;N;;;;;
        "\u3291",  # ;CIRCLED IDEOGRAPH STOCK;So;0;L;<circle> 682A;;;;N;;;;;
        "\u3292",  # ;CIRCLED IDEOGRAPH HAVE;So;0;L;<circle> 6709;;;;N;;;;;
        "\u3293",  # ;CIRCLED IDEOGRAPH SOCIETY;So;0;L;<circle> 793E;;;;N;;;;;
        "\u3294",  # ;CIRCLED IDEOGRAPH NAME;So;0;L;<circle> 540D;;;;N;;;;;
        "\u3295",  # ;CIRCLED IDEOGRAPH SPECIAL;So;0;L;<circle> 7279;;;;N;;;;;
        "\u3296",  # ;CIRCLED IDEOGRAPH FINANCIAL;So;0;L;<circle> 8CA1;;;;N;;;;;
        "\u3297",  # ;CIRCLED IDEOGRAPH CONGRATULATION;So;0;L;<circle> 795D;;;;N;;;;;
        "\u3298",  # ;CIRCLED IDEOGRAPH LABOR;So;0;L;<circle> 52B4;;;;N;;;;;
        "\u3299",  # ;CIRCLED IDEOGRAPH SECRET;So;0;L;<circle> 79D8;;;;N;;;;;
        "\u329A",  # ;CIRCLED IDEOGRAPH MALE;So;0;L;<circle> 7537;;;;N;;;;;
        "\u329B",  # ;CIRCLED IDEOGRAPH FEMALE;So;0;L;<circle> 5973;;;;N;;;;;
        "\u329C",  # ;CIRCLED IDEOGRAPH SUITABLE;So;0;L;<circle> 9069;;;;N;;;;;
        "\u329D",  # ;CIRCLED IDEOGRAPH EXCELLENT;So;0;L;<circle> 512A;;;;N;;;;;
        "\u329E",  # ;CIRCLED IDEOGRAPH PRINT;So;0;L;<circle> 5370;;;;N;;;;;
        "\u329F",  # ;CIRCLED IDEOGRAPH ATTENTION;So;0;L;<circle> 6CE8;;;;N;;;;;
        "\u32A0",  # ;CIRCLED IDEOGRAPH ITEM;So;0;L;<circle> 9805;;;;N;;;;;
        "\u32A1",  # ;CIRCLED IDEOGRAPH REST;So;0;L;<circle> 4F11;;;;N;;;;;
        "\u32A2",  # ;CIRCLED IDEOGRAPH COPY;So;0;L;<circle> 5199;;;;N;;;;;
        "\u32A3",  # ;CIRCLED IDEOGRAPH CORRECT;So;0;L;<circle> 6B63;;;;N;;;;;
        "\u32A4",  # ;CIRCLED IDEOGRAPH HIGH;So;0;L;<circle> 4E0A;;;;N;;;;;
        "\u32A5",  # ;CIRCLED IDEOGRAPH CENTRE;So;0;L;<circle> 4E2D;;;;N;CIRCLED IDEOGRAPH CENTER;;;;
        "\u32A6",  # ;CIRCLED IDEOGRAPH LOW;So;0;L;<circle> 4E0B;;;;N;;;;;
        "\u32A7",  # ;CIRCLED IDEOGRAPH LEFT;So;0;L;<circle> 5DE6;;;;N;;;;;
        "\u32A8",  # ;CIRCLED IDEOGRAPH RIGHT;So;0;L;<circle> 53F3;;;;N;;;;;
        "\u32A9",  # ;CIRCLED IDEOGRAPH MEDICINE;So;0;L;<circle> 533B;;;;N;;;;;
        "\u32AA",  # ;CIRCLED IDEOGRAPH RELIGION;So;0;L;<circle> 5B97;;;;N;;;;;
        "\u32AB",  # ;CIRCLED IDEOGRAPH STUDY;So;0;L;<circle> 5B66;;;;N;;;;;
        "\u32AC",  # ;CIRCLED IDEOGRAPH SUPERVISE;So;0;L;<circle> 76E3;;;;N;;;;;
        "\u32AD",  # ;CIRCLED IDEOGRAPH ENTERPRISE;So;0;L;<circle> 4F01;;;;N;;;;;
        "\u32AE",  # ;CIRCLED IDEOGRAPH RESOURCE;So;0;L;<circle> 8CC7;;;;N;;;;;
        "\u32AF",  # ;CIRCLED IDEOGRAPH ALLIANCE;So;0;L;<circle> 5354;;;;N;;;;;
        "\u32B0",  # ;CIRCLED IDEOGRAPH NIGHT;So;0;L;<circle> 591C;;;;N;;;;;
        "\u32B1",  # ;CIRCLED NUMBER THIRTY SIX;No;0;ON;<circle> 0033 0036;;;36;N;;;;;
        "\u32B2",  # ;CIRCLED NUMBER THIRTY SEVEN;No;0;ON;<circle> 0033 0037;;;37;N;;;;;
        "\u32B3",  # ;CIRCLED NUMBER THIRTY EIGHT;No;0;ON;<circle> 0033 0038;;;38;N;;;;;
        "\u32B4",  # ;CIRCLED NUMBER THIRTY NINE;No;0;ON;<circle> 0033 0039;;;39;N;;;;;
        "\u32B5",  # ;CIRCLED NUMBER FORTY;No;0;ON;<circle> 0034 0030;;;40;N;;;;;
        "\u32B6",  # ;CIRCLED NUMBER FORTY ONE;No;0;ON;<circle> 0034 0031;;;41;N;;;;;
        "\u32B7",  # ;CIRCLED NUMBER FORTY TWO;No;0;ON;<circle> 0034 0032;;;42;N;;;;;
        "\u32B8",  # ;CIRCLED NUMBER FORTY THREE;No;0;ON;<circle> 0034 0033;;;43;N;;;;;
        "\u32B9",  # ;CIRCLED NUMBER FORTY FOUR;No;0;ON;<circle> 0034 0034;;;44;N;;;;;
        "\u32BA",  # ;CIRCLED NUMBER FORTY FIVE;No;0;ON;<circle> 0034 0035;;;45;N;;;;;
        "\u32BB",  # ;CIRCLED NUMBER FORTY SIX;No;0;ON;<circle> 0034 0036;;;46;N;;;;;
        "\u32BC",  # ;CIRCLED NUMBER FORTY SEVEN;No;0;ON;<circle> 0034 0037;;;47;N;;;;;
        "\u32BD",  # ;CIRCLED NUMBER FORTY EIGHT;No;0;ON;<circle> 0034 0038;;;48;N;;;;;
        "\u32BE",  # ;CIRCLED NUMBER FORTY NINE;No;0;ON;<circle> 0034 0039;;;49;N;;;;;
        "\u32BF",  # ;CIRCLED NUMBER FIFTY;No;0;ON;<circle> 0035 0030;;;50;N;;;;;
        "\u32C0",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR JANUARY;So;0;L;<compat> 0031 6708;;;;N;;;;;
        "\u32C1",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR FEBRUARY;So;0;L;<compat> 0032 6708;;;;N;;;;;
        "\u32C2",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR MARCH;So;0;L;<compat> 0033 6708;;;;N;;;;;
        "\u32C3",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR APRIL;So;0;L;<compat> 0034 6708;;;;N;;;;;
        "\u32C4",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR MAY;So;0;L;<compat> 0035 6708;;;;N;;;;;
        "\u32C5",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR JUNE;So;0;L;<compat> 0036 6708;;;;N;;;;;
        "\u32C6",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR JULY;So;0;L;<compat> 0037 6708;;;;N;;;;;
        "\u32C7",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR AUGUST;So;0;L;<compat> 0038 6708;;;;N;;;;;
        "\u32C8",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR SEPTEMBER;So;0;L;<compat> 0039 6708;;;;N;;;;;
        "\u32C9",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR OCTOBER;So;0;L;<compat> 0031 0030 6708;;;;N;;;;;
        "\u32CA",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR NOVEMBER;So;0;L;<compat> 0031 0031 6708;;;;N;;;;;
        "\u32CB",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DECEMBER;So;0;L;<compat> 0031 0032 6708;;;;N;;;;;
        "\u32CC",  # ;SQUARE HG;So;0;ON;<square> 0048 0067;;;;N;;;;;
        "\u32CD",  # ;SQUARE ERG;So;0;ON;<square> 0065 0072 0067;;;;N;;;;;
        "\u32CE",  # ;SQUARE EV;So;0;ON;<square> 0065 0056;;;;N;;;;;
        "\u32CF",  # ;LIMITED LIABILITY SIGN;So;0;ON;<square> 004C 0054 0044;;;;N;;;;;
        "\u32D0",  # ;CIRCLED KATAKANA A;So;0;L;<circle> 30A2;;;;N;;;;;
        "\u32D1",  # ;CIRCLED KATAKANA I;So;0;L;<circle> 30A4;;;;N;;;;;
        "\u32D2",  # ;CIRCLED KATAKANA U;So;0;L;<circle> 30A6;;;;N;;;;;
        "\u32D3",  # ;CIRCLED KATAKANA E;So;0;L;<circle> 30A8;;;;N;;;;;
        "\u32D4",  # ;CIRCLED KATAKANA O;So;0;L;<circle> 30AA;;;;N;;;;;
        "\u32D5",  # ;CIRCLED KATAKANA KA;So;0;L;<circle> 30AB;;;;N;;;;;
        "\u32D6",  # ;CIRCLED KATAKANA KI;So;0;L;<circle> 30AD;;;;N;;;;;
        "\u32D7",  # ;CIRCLED KATAKANA KU;So;0;L;<circle> 30AF;;;;N;;;;;
        "\u32D8",  # ;CIRCLED KATAKANA KE;So;0;L;<circle> 30B1;;;;N;;;;;
        "\u32D9",  # ;CIRCLED KATAKANA KO;So;0;L;<circle> 30B3;;;;N;;;;;
        "\u32DA",  # ;CIRCLED KATAKANA SA;So;0;L;<circle> 30B5;;;;N;;;;;
        "\u32DB",  # ;CIRCLED KATAKANA SI;So;0;L;<circle> 30B7;;;;N;;;;;
        "\u32DC",  # ;CIRCLED KATAKANA SU;So;0;L;<circle> 30B9;;;;N;;;;;
        "\u32DD",  # ;CIRCLED KATAKANA SE;So;0;L;<circle> 30BB;;;;N;;;;;
        "\u32DE",  # ;CIRCLED KATAKANA SO;So;0;L;<circle> 30BD;;;;N;;;;;
        "\u32DF",  # ;CIRCLED KATAKANA TA;So;0;L;<circle> 30BF;;;;N;;;;;
        "\u32E0",  # ;CIRCLED KATAKANA TI;So;0;L;<circle> 30C1;;;;N;;;;;
        "\u32E1",  # ;CIRCLED KATAKANA TU;So;0;L;<circle> 30C4;;;;N;;;;;
        "\u32E2",  # ;CIRCLED KATAKANA TE;So;0;L;<circle> 30C6;;;;N;;;;;
        "\u32E3",  # ;CIRCLED KATAKANA TO;So;0;L;<circle> 30C8;;;;N;;;;;
        "\u32E4",  # ;CIRCLED KATAKANA NA;So;0;L;<circle> 30CA;;;;N;;;;;
        "\u32E5",  # ;CIRCLED KATAKANA NI;So;0;L;<circle> 30CB;;;;N;;;;;
        "\u32E6",  # ;CIRCLED KATAKANA NU;So;0;L;<circle> 30CC;;;;N;;;;;
        "\u32E7",  # ;CIRCLED KATAKANA NE;So;0;L;<circle> 30CD;;;;N;;;;;
        "\u32E8",  # ;CIRCLED KATAKANA NO;So;0;L;<circle> 30CE;;;;N;;;;;
        "\u32E9",  # ;CIRCLED KATAKANA HA;So;0;L;<circle> 30CF;;;;N;;;;;
        "\u32EA",  # ;CIRCLED KATAKANA HI;So;0;L;<circle> 30D2;;;;N;;;;;
        "\u32EB",  # ;CIRCLED KATAKANA HU;So;0;L;<circle> 30D5;;;;N;;;;;
        "\u32EC",  # ;CIRCLED KATAKANA HE;So;0;L;<circle> 30D8;;;;N;;;;;
        "\u32ED",  # ;CIRCLED KATAKANA HO;So;0;L;<circle> 30DB;;;;N;;;;;
        "\u32EE",  # ;CIRCLED KATAKANA MA;So;0;L;<circle> 30DE;;;;N;;;;;
        "\u32EF",  # ;CIRCLED KATAKANA MI;So;0;L;<circle> 30DF;;;;N;;;;;
        "\u32F0",  # ;CIRCLED KATAKANA MU;So;0;L;<circle> 30E0;;;;N;;;;;
        "\u32F1",  # ;CIRCLED KATAKANA ME;So;0;L;<circle> 30E1;;;;N;;;;;
        "\u32F2",  # ;CIRCLED KATAKANA MO;So;0;L;<circle> 30E2;;;;N;;;;;
        "\u32F3",  # ;CIRCLED KATAKANA YA;So;0;L;<circle> 30E4;;;;N;;;;;
        "\u32F4",  # ;CIRCLED KATAKANA YU;So;0;L;<circle> 30E6;;;;N;;;;;
        "\u32F5",  # ;CIRCLED KATAKANA YO;So;0;L;<circle> 30E8;;;;N;;;;;
        "\u32F6",  # ;CIRCLED KATAKANA RA;So;0;L;<circle> 30E9;;;;N;;;;;
        "\u32F7",  # ;CIRCLED KATAKANA RI;So;0;L;<circle> 30EA;;;;N;;;;;
        "\u32F8",  # ;CIRCLED KATAKANA RU;So;0;L;<circle> 30EB;;;;N;;;;;
        "\u32F9",  # ;CIRCLED KATAKANA RE;So;0;L;<circle> 30EC;;;;N;;;;;
        "\u32FA",  # ;CIRCLED KATAKANA RO;So;0;L;<circle> 30ED;;;;N;;;;;
        "\u32FB",  # ;CIRCLED KATAKANA WA;So;0;L;<circle> 30EF;;;;N;;;;;
        "\u32FC",  # ;CIRCLED KATAKANA WI;So;0;L;<circle> 30F0;;;;N;;;;;
        "\u32FD",  # ;CIRCLED KATAKANA WE;So;0;L;<circle> 30F1;;;;N;;;;;
        "\u32FE",  # ;CIRCLED KATAKANA WO;So;0;L;<circle> 30F2;;;;N;;;;;
        "\u3300",  # ;SQUARE APAATO;So;0;L;<square> 30A2 30D1 30FC 30C8;;;;N;SQUARED APAATO;;;;
        "\u3301",  # ;SQUARE ARUHUA;So;0;L;<square> 30A2 30EB 30D5 30A1;;;;N;SQUARED ARUHUA;;;;
        "\u3302",  # ;SQUARE ANPEA;So;0;L;<square> 30A2 30F3 30DA 30A2;;;;N;SQUARED ANPEA;;;;
        "\u3303",  # ;SQUARE AARU;So;0;L;<square> 30A2 30FC 30EB;;;;N;SQUARED AARU;;;;
        "\u3304",  # ;SQUARE ININGU;So;0;L;<square> 30A4 30CB 30F3 30B0;;;;N;SQUARED ININGU;;;;
        "\u3305",  # ;SQUARE INTI;So;0;L;<square> 30A4 30F3 30C1;;;;N;SQUARED INTI;;;;
        "\u3306",  # ;SQUARE UON;So;0;L;<square> 30A6 30A9 30F3;;;;N;SQUARED UON;;;;
        "\u3307",  # ;SQUARE ESUKUUDO;So;0;L;<square> 30A8 30B9 30AF 30FC 30C9;;;;N;SQUARED ESUKUUDO;;;;
        "\u3308",  # ;SQUARE EEKAA;So;0;L;<square> 30A8 30FC 30AB 30FC;;;;N;SQUARED EEKAA;;;;
        "\u3309",  # ;SQUARE ONSU;So;0;L;<square> 30AA 30F3 30B9;;;;N;SQUARED ONSU;;;;
        "\u330A",  # ;SQUARE OOMU;So;0;L;<square> 30AA 30FC 30E0;;;;N;SQUARED OOMU;;;;
        "\u330B",  # ;SQUARE KAIRI;So;0;L;<square> 30AB 30A4 30EA;;;;N;SQUARED KAIRI;;;;
        "\u330C",  # ;SQUARE KARATTO;So;0;L;<square> 30AB 30E9 30C3 30C8;;;;N;SQUARED KARATTO;;;;
        "\u330D",  # ;SQUARE KARORII;So;0;L;<square> 30AB 30ED 30EA 30FC;;;;N;SQUARED KARORII;;;;
        "\u330E",  # ;SQUARE GARON;So;0;L;<square> 30AC 30ED 30F3;;;;N;SQUARED GARON;;;;
        "\u330F",  # ;SQUARE GANMA;So;0;L;<square> 30AC 30F3 30DE;;;;N;SQUARED GANMA;;;;
        "\u3310",  # ;SQUARE GIGA;So;0;L;<square> 30AE 30AC;;;;N;SQUARED GIGA;;;;
        "\u3311",  # ;SQUARE GINII;So;0;L;<square> 30AE 30CB 30FC;;;;N;SQUARED GINII;;;;
        "\u3312",  # ;SQUARE KYURII;So;0;L;<square> 30AD 30E5 30EA 30FC;;;;N;SQUARED KYURII;;;;
        "\u3313",  # ;SQUARE GIRUDAA;So;0;L;<square> 30AE 30EB 30C0 30FC;;;;N;SQUARED GIRUDAA;;;;
        "\u3314",  # ;SQUARE KIRO;So;0;L;<square> 30AD 30ED;;;;N;SQUARED KIRO;;;;
        "\u3315",  # ;SQUARE KIROGURAMU;So;0;L;<square> 30AD 30ED 30B0 30E9 30E0;;;;N;SQUARED KIROGURAMU;;;;
        "\u3316",  # ;SQUARE KIROMEETORU;So;0;L;<square> 30AD 30ED 30E1 30FC 30C8 30EB;;;;N;SQUARED KIROMEETORU;;;;
        "\u3317",  # ;SQUARE KIROWATTO;So;0;L;<square> 30AD 30ED 30EF 30C3 30C8;;;;N;SQUARED KIROWATTO;;;;
        "\u3318",  # ;SQUARE GURAMU;So;0;L;<square> 30B0 30E9 30E0;;;;N;SQUARED GURAMU;;;;
        "\u3319",  # ;SQUARE GURAMUTON;So;0;L;<square> 30B0 30E9 30E0 30C8 30F3;;;;N;SQUARED GURAMUTON;;;;
        "\u331A",  # ;SQUARE KURUZEIRO;So;0;L;<square> 30AF 30EB 30BC 30A4 30ED;;;;N;SQUARED KURUZEIRO;;;;
        "\u331B",  # ;SQUARE KUROONE;So;0;L;<square> 30AF 30ED 30FC 30CD;;;;N;SQUARED KUROONE;;;;
        "\u331C",  # ;SQUARE KEESU;So;0;L;<square> 30B1 30FC 30B9;;;;N;SQUARED KEESU;;;;
        "\u331D",  # ;SQUARE KORUNA;So;0;L;<square> 30B3 30EB 30CA;;;;N;SQUARED KORUNA;;;;
        "\u331E",  # ;SQUARE KOOPO;So;0;L;<square> 30B3 30FC 30DD;;;;N;SQUARED KOOPO;;;;
        "\u331F",  # ;SQUARE SAIKURU;So;0;L;<square> 30B5 30A4 30AF 30EB;;;;N;SQUARED SAIKURU;;;;
        "\u3320",  # ;SQUARE SANTIIMU;So;0;L;<square> 30B5 30F3 30C1 30FC 30E0;;;;N;SQUARED SANTIIMU;;;;
        "\u3321",  # ;SQUARE SIRINGU;So;0;L;<square> 30B7 30EA 30F3 30B0;;;;N;SQUARED SIRINGU;;;;
        "\u3322",  # ;SQUARE SENTI;So;0;L;<square> 30BB 30F3 30C1;;;;N;SQUARED SENTI;;;;
        "\u3323",  # ;SQUARE SENTO;So;0;L;<square> 30BB 30F3 30C8;;;;N;SQUARED SENTO;;;;
        "\u3324",  # ;SQUARE DAASU;So;0;L;<square> 30C0 30FC 30B9;;;;N;SQUARED DAASU;;;;
        "\u3325",  # ;SQUARE DESI;So;0;L;<square> 30C7 30B7;;;;N;SQUARED DESI;;;;
        "\u3326",  # ;SQUARE DORU;So;0;L;<square> 30C9 30EB;;;;N;SQUARED DORU;;;;
        "\u3327",  # ;SQUARE TON;So;0;L;<square> 30C8 30F3;;;;N;SQUARED TON;;;;
        "\u3328",  # ;SQUARE NANO;So;0;L;<square> 30CA 30CE;;;;N;SQUARED NANO;;;;
        "\u3329",  # ;SQUARE NOTTO;So;0;L;<square> 30CE 30C3 30C8;;;;N;SQUARED NOTTO;;;;
        "\u332A",  # ;SQUARE HAITU;So;0;L;<square> 30CF 30A4 30C4;;;;N;SQUARED HAITU;;;;
        "\u332B",  # ;SQUARE PAASENTO;So;0;L;<square> 30D1 30FC 30BB 30F3 30C8;;;;N;SQUARED PAASENTO;;;;
        "\u332C",  # ;SQUARE PAATU;So;0;L;<square> 30D1 30FC 30C4;;;;N;SQUARED PAATU;;;;
        "\u332D",  # ;SQUARE BAARERU;So;0;L;<square> 30D0 30FC 30EC 30EB;;;;N;SQUARED BAARERU;;;;
        "\u332E",  # ;SQUARE PIASUTORU;So;0;L;<square> 30D4 30A2 30B9 30C8 30EB;;;;N;SQUARED PIASUTORU;;;;
        "\u332F",  # ;SQUARE PIKURU;So;0;L;<square> 30D4 30AF 30EB;;;;N;SQUARED PIKURU;;;;
        "\u3330",  # ;SQUARE PIKO;So;0;L;<square> 30D4 30B3;;;;N;SQUARED PIKO;;;;
        "\u3331",  # ;SQUARE BIRU;So;0;L;<square> 30D3 30EB;;;;N;SQUARED BIRU;;;;
        "\u3332",  # ;SQUARE HUARADDO;So;0;L;<square> 30D5 30A1 30E9 30C3 30C9;;;;N;SQUARED HUARADDO;;;;
        "\u3333",  # ;SQUARE HUIITO;So;0;L;<square> 30D5 30A3 30FC 30C8;;;;N;SQUARED HUIITO;;;;
        "\u3334",  # ;SQUARE BUSSYERU;So;0;L;<square> 30D6 30C3 30B7 30A7 30EB;;;;N;SQUARED BUSSYERU;;;;
        "\u3335",  # ;SQUARE HURAN;So;0;L;<square> 30D5 30E9 30F3;;;;N;SQUARED HURAN;;;;
        "\u3336",  # ;SQUARE HEKUTAARU;So;0;L;<square> 30D8 30AF 30BF 30FC 30EB;;;;N;SQUARED HEKUTAARU;;;;
        "\u3337",  # ;SQUARE PESO;So;0;L;<square> 30DA 30BD;;;;N;SQUARED PESO;;;;
        "\u3338",  # ;SQUARE PENIHI;So;0;L;<square> 30DA 30CB 30D2;;;;N;SQUARED PENIHI;;;;
        "\u3339",  # ;SQUARE HERUTU;So;0;L;<square> 30D8 30EB 30C4;;;;N;SQUARED HERUTU;;;;
        "\u333A",  # ;SQUARE PENSU;So;0;L;<square> 30DA 30F3 30B9;;;;N;SQUARED PENSU;;;;
        "\u333B",  # ;SQUARE PEEZI;So;0;L;<square> 30DA 30FC 30B8;;;;N;SQUARED PEEZI;;;;
        "\u333C",  # ;SQUARE BEETA;So;0;L;<square> 30D9 30FC 30BF;;;;N;SQUARED BEETA;;;;
        "\u333D",  # ;SQUARE POINTO;So;0;L;<square> 30DD 30A4 30F3 30C8;;;;N;SQUARED POINTO;;;;
        "\u333E",  # ;SQUARE BORUTO;So;0;L;<square> 30DC 30EB 30C8;;;;N;SQUARED BORUTO;;;;
        "\u333F",  # ;SQUARE HON;So;0;L;<square> 30DB 30F3;;;;N;SQUARED HON;;;;
        "\u3340",  # ;SQUARE PONDO;So;0;L;<square> 30DD 30F3 30C9;;;;N;SQUARED PONDO;;;;
        "\u3341",  # ;SQUARE HOORU;So;0;L;<square> 30DB 30FC 30EB;;;;N;SQUARED HOORU;;;;
        "\u3342",  # ;SQUARE HOON;So;0;L;<square> 30DB 30FC 30F3;;;;N;SQUARED HOON;;;;
        "\u3343",  # ;SQUARE MAIKURO;So;0;L;<square> 30DE 30A4 30AF 30ED;;;;N;SQUARED MAIKURO;;;;
        "\u3344",  # ;SQUARE MAIRU;So;0;L;<square> 30DE 30A4 30EB;;;;N;SQUARED MAIRU;;;;
        "\u3345",  # ;SQUARE MAHHA;So;0;L;<square> 30DE 30C3 30CF;;;;N;SQUARED MAHHA;;;;
        "\u3346",  # ;SQUARE MARUKU;So;0;L;<square> 30DE 30EB 30AF;;;;N;SQUARED MARUKU;;;;
        "\u3347",  # ;SQUARE MANSYON;So;0;L;<square> 30DE 30F3 30B7 30E7 30F3;;;;N;SQUARED MANSYON;;;;
        "\u3348",  # ;SQUARE MIKURON;So;0;L;<square> 30DF 30AF 30ED 30F3;;;;N;SQUARED MIKURON;;;;
        "\u3349",  # ;SQUARE MIRI;So;0;L;<square> 30DF 30EA;;;;N;SQUARED MIRI;;;;
        "\u334A",  # ;SQUARE MIRIBAARU;So;0;L;<square> 30DF 30EA 30D0 30FC 30EB;;;;N;SQUARED MIRIBAARU;;;;
        "\u334B",  # ;SQUARE MEGA;So;0;L;<square> 30E1 30AC;;;;N;SQUARED MEGA;;;;
        "\u334C",  # ;SQUARE MEGATON;So;0;L;<square> 30E1 30AC 30C8 30F3;;;;N;SQUARED MEGATON;;;;
        "\u334D",  # ;SQUARE MEETORU;So;0;L;<square> 30E1 30FC 30C8 30EB;;;;N;SQUARED MEETORU;;;;
        "\u334E",  # ;SQUARE YAADO;So;0;L;<square> 30E4 30FC 30C9;;;;N;SQUARED YAADO;;;;
        "\u334F",  # ;SQUARE YAARU;So;0;L;<square> 30E4 30FC 30EB;;;;N;SQUARED YAARU;;;;
        "\u3350",  # ;SQUARE YUAN;So;0;L;<square> 30E6 30A2 30F3;;;;N;SQUARED YUAN;;;;
        "\u3351",  # ;SQUARE RITTORU;So;0;L;<square> 30EA 30C3 30C8 30EB;;;;N;SQUARED RITTORU;;;;
        "\u3352",  # ;SQUARE RIRA;So;0;L;<square> 30EA 30E9;;;;N;SQUARED RIRA;;;;
        "\u3353",  # ;SQUARE RUPII;So;0;L;<square> 30EB 30D4 30FC;;;;N;SQUARED RUPII;;;;
        "\u3354",  # ;SQUARE RUUBURU;So;0;L;<square> 30EB 30FC 30D6 30EB;;;;N;SQUARED RUUBURU;;;;
        "\u3355",  # ;SQUARE REMU;So;0;L;<square> 30EC 30E0;;;;N;SQUARED REMU;;;;
        "\u3356",  # ;SQUARE RENTOGEN;So;0;L;<square> 30EC 30F3 30C8 30B2 30F3;;;;N;SQUARED RENTOGEN;;;;
        "\u3357",  # ;SQUARE WATTO;So;0;L;<square> 30EF 30C3 30C8;;;;N;SQUARED WATTO;;;;
        "\u3358",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR ZERO;So;0;L;<compat> 0030 70B9;;;;N;;;;;
        "\u3359",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR ONE;So;0;L;<compat> 0031 70B9;;;;N;;;;;
        "\u335A",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWO;So;0;L;<compat> 0032 70B9;;;;N;;;;;
        "\u335B",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR THREE;So;0;L;<compat> 0033 70B9;;;;N;;;;;
        "\u335C",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR FOUR;So;0;L;<compat> 0034 70B9;;;;N;;;;;
        "\u335D",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR FIVE;So;0;L;<compat> 0035 70B9;;;;N;;;;;
        "\u335E",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR SIX;So;0;L;<compat> 0036 70B9;;;;N;;;;;
        "\u335F",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR SEVEN;So;0;L;<compat> 0037 70B9;;;;N;;;;;
        "\u3360",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR EIGHT;So;0;L;<compat> 0038 70B9;;;;N;;;;;
        "\u3361",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR NINE;So;0;L;<compat> 0039 70B9;;;;N;;;;;
        "\u3362",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TEN;So;0;L;<compat> 0031 0030 70B9;;;;N;;;;;
        "\u3363",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR ELEVEN;So;0;L;<compat> 0031 0031 70B9;;;;N;;;;;
        "\u3364",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWELVE;So;0;L;<compat> 0031 0032 70B9;;;;N;;;;;
        "\u3365",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR THIRTEEN;So;0;L;<compat> 0031 0033 70B9;;;;N;;;;;
        "\u3366",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR FOURTEEN;So;0;L;<compat> 0031 0034 70B9;;;;N;;;;;
        "\u3367",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR FIFTEEN;So;0;L;<compat> 0031 0035 70B9;;;;N;;;;;
        "\u3368",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR SIXTEEN;So;0;L;<compat> 0031 0036 70B9;;;;N;;;;;
        "\u3369",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR SEVENTEEN;So;0;L;<compat> 0031 0037 70B9;;;;N;;;;;
        "\u336A",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR EIGHTEEN;So;0;L;<compat> 0031 0038 70B9;;;;N;;;;;
        "\u336B",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR NINETEEN;So;0;L;<compat> 0031 0039 70B9;;;;N;;;;;
        "\u336C",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY;So;0;L;<compat> 0032 0030 70B9;;;;N;;;;;
        "\u336D",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY-ONE;So;0;L;<compat> 0032 0031 70B9;;;;N;;;;;
        "\u336E",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY-TWO;So;0;L;<compat> 0032 0032 70B9;;;;N;;;;;
        "\u336F",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY-THREE;So;0;L;<compat> 0032 0033 70B9;;;;N;;;;;
        "\u3370",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR HOUR TWENTY-FOUR;So;0;L;<compat> 0032 0034 70B9;;;;N;;;;;
        "\u3371",  # ;SQUARE HPA;So;0;L;<square> 0068 0050 0061;;;;N;;;;;
        "\u3372",  # ;SQUARE DA;So;0;L;<square> 0064 0061;;;;N;;;;;
        "\u3373",  # ;SQUARE AU;So;0;L;<square> 0041 0055;;;;N;;;;;
        "\u3374",  # ;SQUARE BAR;So;0;L;<square> 0062 0061 0072;;;;N;;;;;
        "\u3375",  # ;SQUARE OV;So;0;L;<square> 006F 0056;;;;N;;;;;
        "\u3376",  # ;SQUARE PC;So;0;L;<square> 0070 0063;;;;N;;;;;
        "\u3377",  # ;SQUARE DM;So;0;ON;<square> 0064 006D;;;;N;;;;;
        "\u3378",  # ;SQUARE DM SQUARED;So;0;ON;<square> 0064 006D 00B2;;;;N;;;;;
        "\u3379",  # ;SQUARE DM CUBED;So;0;ON;<square> 0064 006D 00B3;;;;N;;;;;
        "\u337A",  # ;SQUARE IU;So;0;ON;<square> 0049 0055;;;;N;;;;;
        "\u337B",  # ;SQUARE ERA NAME HEISEI;So;0;L;<square> 5E73 6210;;;;N;SQUARED TWO IDEOGRAPHS ERA NAME HEISEI;;;;
        "\u337C",  # ;SQUARE ERA NAME SYOUWA;So;0;L;<square> 662D 548C;;;;N;SQUARED TWO IDEOGRAPHS ERA NAME SYOUWA;;;;
        "\u337D",  # ;SQUARE ERA NAME TAISYOU;So;0;L;<square> 5927 6B63;;;;N;SQUARED TWO IDEOGRAPHS ERA NAME TAISYOU;;;;
        "\u337E",  # ;SQUARE ERA NAME MEIZI;So;0;L;<square> 660E 6CBB;;;;N;SQUARED TWO IDEOGRAPHS ERA NAME MEIZI;;;;
        "\u337F",  # ;SQUARE CORPORATION;So;0;L;<square> 682A 5F0F 4F1A 793E;;;;N;SQUARED FOUR IDEOGRAPHS CORPORATION;;;;
        "\u3380",  # ;SQUARE PA AMPS;So;0;L;<square> 0070 0041;;;;N;SQUARED PA AMPS;;;;
        "\u3381",  # ;SQUARE NA;So;0;L;<square> 006E 0041;;;;N;SQUARED NA;;;;
        "\u3382",  # ;SQUARE MU A;So;0;L;<square> 03BC 0041;;;;N;SQUARED MU A;;;;
        "\u3383",  # ;SQUARE MA;So;0;L;<square> 006D 0041;;;;N;SQUARED MA;;;;
        "\u3384",  # ;SQUARE KA;So;0;L;<square> 006B 0041;;;;N;SQUARED KA;;;;
        "\u3385",  # ;SQUARE KB;So;0;L;<square> 004B 0042;;;;N;SQUARED KB;;;;
        "\u3386",  # ;SQUARE MB;So;0;L;<square> 004D 0042;;;;N;SQUARED MB;;;;
        "\u3387",  # ;SQUARE GB;So;0;L;<square> 0047 0042;;;;N;SQUARED GB;;;;
        "\u3388",  # ;SQUARE CAL;So;0;L;<square> 0063 0061 006C;;;;N;SQUARED CAL;;;;
        "\u3389",  # ;SQUARE KCAL;So;0;L;<square> 006B 0063 0061 006C;;;;N;SQUARED KCAL;;;;
        "\u338A",  # ;SQUARE PF;So;0;L;<square> 0070 0046;;;;N;SQUARED PF;;;;
        "\u338B",  # ;SQUARE NF;So;0;L;<square> 006E 0046;;;;N;SQUARED NF;;;;
        "\u338C",  # ;SQUARE MU F;So;0;L;<square> 03BC 0046;;;;N;SQUARED MU F;;;;
        "\u338D",  # ;SQUARE MU G;So;0;L;<square> 03BC 0067;;;;N;SQUARED MU G;;;;
        "\u338E",  # ;SQUARE MG;So;0;L;<square> 006D 0067;;;;N;SQUARED MG;;;;
        "\u338F",  # ;SQUARE KG;So;0;L;<square> 006B 0067;;;;N;SQUARED KG;;;;
        "\u3390",  # ;SQUARE HZ;So;0;L;<square> 0048 007A;;;;N;SQUARED HZ;;;;
        "\u3391",  # ;SQUARE KHZ;So;0;L;<square> 006B 0048 007A;;;;N;SQUARED KHZ;;;;
        "\u3392",  # ;SQUARE MHZ;So;0;L;<square> 004D 0048 007A;;;;N;SQUARED MHZ;;;;
        "\u3393",  # ;SQUARE GHZ;So;0;L;<square> 0047 0048 007A;;;;N;SQUARED GHZ;;;;
        "\u3394",  # ;SQUARE THZ;So;0;L;<square> 0054 0048 007A;;;;N;SQUARED THZ;;;;
        "\u3395",  # ;SQUARE MU L;So;0;L;<square> 03BC 2113;;;;N;SQUARED MU L;;;;
        "\u3396",  # ;SQUARE ML;So;0;L;<square> 006D 2113;;;;N;SQUARED ML;;;;
        "\u3397",  # ;SQUARE DL;So;0;L;<square> 0064 2113;;;;N;SQUARED DL;;;;
        "\u3398",  # ;SQUARE KL;So;0;L;<square> 006B 2113;;;;N;SQUARED KL;;;;
        "\u3399",  # ;SQUARE FM;So;0;L;<square> 0066 006D;;;;N;SQUARED FM;;;;
        "\u339A",  # ;SQUARE NM;So;0;L;<square> 006E 006D;;;;N;SQUARED NM;;;;
        "\u339B",  # ;SQUARE MU M;So;0;L;<square> 03BC 006D;;;;N;SQUARED MU M;;;;
        "\u339C",  # ;SQUARE MM;So;0;L;<square> 006D 006D;;;;N;SQUARED MM;;;;
        "\u339D",  # ;SQUARE CM;So;0;L;<square> 0063 006D;;;;N;SQUARED CM;;;;
        "\u339E",  # ;SQUARE KM;So;0;L;<square> 006B 006D;;;;N;SQUARED KM;;;;
        "\u339F",  # ;SQUARE MM SQUARED;So;0;L;<square> 006D 006D 00B2;;;;N;SQUARED MM SQUARED;;;;
        "\u33A0",  # ;SQUARE CM SQUARED;So;0;L;<square> 0063 006D 00B2;;;;N;SQUARED CM SQUARED;;;;
        "\u33A1",  # ;SQUARE M SQUARED;So;0;L;<square> 006D 00B2;;;;N;SQUARED M SQUARED;;;;
        "\u33A2",  # ;SQUARE KM SQUARED;So;0;L;<square> 006B 006D 00B2;;;;N;SQUARED KM SQUARED;;;;
        "\u33A3",  # ;SQUARE MM CUBED;So;0;L;<square> 006D 006D 00B3;;;;N;SQUARED MM CUBED;;;;
        "\u33A4",  # ;SQUARE CM CUBED;So;0;L;<square> 0063 006D 00B3;;;;N;SQUARED CM CUBED;;;;
        "\u33A5",  # ;SQUARE M CUBED;So;0;L;<square> 006D 00B3;;;;N;SQUARED M CUBED;;;;
        "\u33A6",  # ;SQUARE KM CUBED;So;0;L;<square> 006B 006D 00B3;;;;N;SQUARED KM CUBED;;;;
        "\u33A7",  # ;SQUARE M OVER S;So;0;L;<square> 006D 2215 0073;;;;N;SQUARED M OVER S;;;;
        "\u33A8",  # ;SQUARE M OVER S SQUARED;So;0;L;<square> 006D 2215 0073 00B2;;;;N;SQUARED M OVER S SQUARED;;;;
        "\u33A9",  # ;SQUARE PA;So;0;L;<square> 0050 0061;;;;N;SQUARED PA;;;;
        "\u33AA",  # ;SQUARE KPA;So;0;L;<square> 006B 0050 0061;;;;N;SQUARED KPA;;;;
        "\u33AB",  # ;SQUARE MPA;So;0;L;<square> 004D 0050 0061;;;;N;SQUARED MPA;;;;
        "\u33AC",  # ;SQUARE GPA;So;0;L;<square> 0047 0050 0061;;;;N;SQUARED GPA;;;;
        "\u33AD",  # ;SQUARE RAD;So;0;L;<square> 0072 0061 0064;;;;N;SQUARED RAD;;;;
        "\u33AE",  # ;SQUARE RAD OVER S;So;0;L;<square> 0072 0061 0064 2215 0073;;;;N;SQUARED RAD OVER S;;;;
        "\u33AF",  # ;SQUARE RAD OVER S SQUARED;So;0;L;<square> 0072 0061 0064 2215 0073 00B2;;;;N;SQUARED RAD OVER S SQUARED;;;;
        "\u33B0",  # ;SQUARE PS;So;0;L;<square> 0070 0073;;;;N;SQUARED PS;;;;
        "\u33B1",  # ;SQUARE NS;So;0;L;<square> 006E 0073;;;;N;SQUARED NS;;;;
        "\u33B2",  # ;SQUARE MU S;So;0;L;<square> 03BC 0073;;;;N;SQUARED MU S;;;;
        "\u33B3",  # ;SQUARE MS;So;0;L;<square> 006D 0073;;;;N;SQUARED MS;;;;
        "\u33B4",  # ;SQUARE PV;So;0;L;<square> 0070 0056;;;;N;SQUARED PV;;;;
        "\u33B5",  # ;SQUARE NV;So;0;L;<square> 006E 0056;;;;N;SQUARED NV;;;;
        "\u33B6",  # ;SQUARE MU V;So;0;L;<square> 03BC 0056;;;;N;SQUARED MU V;;;;
        "\u33B7",  # ;SQUARE MV;So;0;L;<square> 006D 0056;;;;N;SQUARED MV;;;;
        "\u33B8",  # ;SQUARE KV;So;0;L;<square> 006B 0056;;;;N;SQUARED KV;;;;
        "\u33B9",  # ;SQUARE MV MEGA;So;0;L;<square> 004D 0056;;;;N;SQUARED MV MEGA;;;;
        "\u33BA",  # ;SQUARE PW;So;0;L;<square> 0070 0057;;;;N;SQUARED PW;;;;
        "\u33BB",  # ;SQUARE NW;So;0;L;<square> 006E 0057;;;;N;SQUARED NW;;;;
        "\u33BC",  # ;SQUARE MU W;So;0;L;<square> 03BC 0057;;;;N;SQUARED MU W;;;;
        "\u33BD",  # ;SQUARE MW;So;0;L;<square> 006D 0057;;;;N;SQUARED MW;;;;
        "\u33BE",  # ;SQUARE KW;So;0;L;<square> 006B 0057;;;;N;SQUARED KW;;;;
        "\u33BF",  # ;SQUARE MW MEGA;So;0;L;<square> 004D 0057;;;;N;SQUARED MW MEGA;;;;
        "\u33C0",  # ;SQUARE K OHM;So;0;L;<square> 006B 03A9;;;;N;SQUARED K OHM;;;;
        "\u33C1",  # ;SQUARE M OHM;So;0;L;<square> 004D 03A9;;;;N;SQUARED M OHM;;;;
        "\u33C2",  # ;SQUARE AM;So;0;L;<square> 0061 002E 006D 002E;;;;N;SQUARED AM;;;;
        "\u33C3",  # ;SQUARE BQ;So;0;L;<square> 0042 0071;;;;N;SQUARED BQ;;;;
        "\u33C4",  # ;SQUARE CC;So;0;L;<square> 0063 0063;;;;N;SQUARED CC;;;;
        "\u33C5",  # ;SQUARE CD;So;0;L;<square> 0063 0064;;;;N;SQUARED CD;;;;
        "\u33C6",  # ;SQUARE C OVER KG;So;0;L;<square> 0043 2215 006B 0067;;;;N;SQUARED C OVER KG;;;;
        "\u33C7",  # ;SQUARE CO;So;0;L;<square> 0043 006F 002E;;;;N;SQUARED CO;;;;
        "\u33C8",  # ;SQUARE DB;So;0;L;<square> 0064 0042;;;;N;SQUARED DB;;;;
        "\u33C9",  # ;SQUARE GY;So;0;L;<square> 0047 0079;;;;N;SQUARED GY;;;;
        "\u33CA",  # ;SQUARE HA;So;0;L;<square> 0068 0061;;;;N;SQUARED HA;;;;
        "\u33CB",  # ;SQUARE HP;So;0;L;<square> 0048 0050;;;;N;SQUARED HP;;;;
        "\u33CC",  # ;SQUARE IN;So;0;L;<square> 0069 006E;;;;N;SQUARED IN;;;;
        "\u33CD",  # ;SQUARE KK;So;0;L;<square> 004B 004B;;;;N;SQUARED KK;;;;
        "\u33CE",  # ;SQUARE KM CAPITAL;So;0;L;<square> 004B 004D;;;;N;SQUARED KM CAPITAL;;;;
        "\u33CF",  # ;SQUARE KT;So;0;L;<square> 006B 0074;;;;N;SQUARED KT;;;;
        "\u33D0",  # ;SQUARE LM;So;0;L;<square> 006C 006D;;;;N;SQUARED LM;;;;
        "\u33D1",  # ;SQUARE LN;So;0;L;<square> 006C 006E;;;;N;SQUARED LN;;;;
        "\u33D2",  # ;SQUARE LOG;So;0;L;<square> 006C 006F 0067;;;;N;SQUARED LOG;;;;
        "\u33D3",  # ;SQUARE LX;So;0;L;<square> 006C 0078;;;;N;SQUARED LX;;;;
        "\u33D4",  # ;SQUARE MB SMALL;So;0;L;<square> 006D 0062;;;;N;SQUARED MB SMALL;;;;
        "\u33D5",  # ;SQUARE MIL;So;0;L;<square> 006D 0069 006C;;;;N;SQUARED MIL;;;;
        "\u33D6",  # ;SQUARE MOL;So;0;L;<square> 006D 006F 006C;;;;N;SQUARED MOL;;;;
        "\u33D7",  # ;SQUARE PH;So;0;L;<square> 0050 0048;;;;N;SQUARED PH;;;;
        "\u33D8",  # ;SQUARE PM;So;0;L;<square> 0070 002E 006D 002E;;;;N;SQUARED PM;;;;
        "\u33D9",  # ;SQUARE PPM;So;0;L;<square> 0050 0050 004D;;;;N;SQUARED PPM;;;;
        "\u33DA",  # ;SQUARE PR;So;0;L;<square> 0050 0052;;;;N;SQUARED PR;;;;
        "\u33DB",  # ;SQUARE SR;So;0;L;<square> 0073 0072;;;;N;SQUARED SR;;;;
        "\u33DC",  # ;SQUARE SV;So;0;L;<square> 0053 0076;;;;N;SQUARED SV;;;;
        "\u33DD",  # ;SQUARE WB;So;0;L;<square> 0057 0062;;;;N;SQUARED WB;;;;
        "\u33DE",  # ;SQUARE V OVER M;So;0;ON;<square> 0056 2215 006D;;;;N;;;;;
        "\u33DF",  # ;SQUARE A OVER M;So;0;ON;<square> 0041 2215 006D;;;;N;;;;;
        "\u33E0",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY ONE;So;0;L;<compat> 0031 65E5;;;;N;;;;;
        "\u33E1",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWO;So;0;L;<compat> 0032 65E5;;;;N;;;;;
        "\u33E2",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY THREE;So;0;L;<compat> 0033 65E5;;;;N;;;;;
        "\u33E3",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY FOUR;So;0;L;<compat> 0034 65E5;;;;N;;;;;
        "\u33E4",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY FIVE;So;0;L;<compat> 0035 65E5;;;;N;;;;;
        "\u33E5",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY SIX;So;0;L;<compat> 0036 65E5;;;;N;;;;;
        "\u33E6",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY SEVEN;So;0;L;<compat> 0037 65E5;;;;N;;;;;
        "\u33E7",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY EIGHT;So;0;L;<compat> 0038 65E5;;;;N;;;;;
        "\u33E8",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY NINE;So;0;L;<compat> 0039 65E5;;;;N;;;;;
        "\u33E9",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TEN;So;0;L;<compat> 0031 0030 65E5;;;;N;;;;;
        "\u33EA",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY ELEVEN;So;0;L;<compat> 0031 0031 65E5;;;;N;;;;;
        "\u33EB",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWELVE;So;0;L;<compat> 0031 0032 65E5;;;;N;;;;;
        "\u33EC",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY THIRTEEN;So;0;L;<compat> 0031 0033 65E5;;;;N;;;;;
        "\u33ED",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY FOURTEEN;So;0;L;<compat> 0031 0034 65E5;;;;N;;;;;
        "\u33EE",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY FIFTEEN;So;0;L;<compat> 0031 0035 65E5;;;;N;;;;;
        "\u33EF",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY SIXTEEN;So;0;L;<compat> 0031 0036 65E5;;;;N;;;;;
        "\u33F0",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY SEVENTEEN;So;0;L;<compat> 0031 0037 65E5;;;;N;;;;;
        "\u33F1",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY EIGHTEEN;So;0;L;<compat> 0031 0038 65E5;;;;N;;;;;
        "\u33F2",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY NINETEEN;So;0;L;<compat> 0031 0039 65E5;;;;N;;;;;
        "\u33F3",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY;So;0;L;<compat> 0032 0030 65E5;;;;N;;;;;
        "\u33F4",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-ONE;So;0;L;<compat> 0032 0031 65E5;;;;N;;;;;
        "\u33F5",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-TWO;So;0;L;<compat> 0032 0032 65E5;;;;N;;;;;
        "\u33F6",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-THREE;So;0;L;<compat> 0032 0033 65E5;;;;N;;;;;
        "\u33F7",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-FOUR;So;0;L;<compat> 0032 0034 65E5;;;;N;;;;;
        "\u33F8",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-FIVE;So;0;L;<compat> 0032 0035 65E5;;;;N;;;;;
        "\u33F9",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-SIX;So;0;L;<compat> 0032 0036 65E5;;;;N;;;;;
        "\u33FA",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-SEVEN;So;0;L;<compat> 0032 0037 65E5;;;;N;;;;;
        "\u33FB",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-EIGHT;So;0;L;<compat> 0032 0038 65E5;;;;N;;;;;
        "\u33FC",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY TWENTY-NINE;So;0;L;<compat> 0032 0039 65E5;;;;N;;;;;
        "\u33FD",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY THIRTY;So;0;L;<compat> 0033 0030 65E5;;;;N;;;;;
        "\u33FE",  # ;IDEOGRAPHIC TELEGRAPH SYMBOL FOR DAY THIRTY-ONE;So;0;L;<compat> 0033 0031 65E5;;;;N;;;;;
        "\u33FF",  # ;SQUARE GAL;So;0;ON;<square> 0067 0061 006C;;;;N;;;;;
        "\u3400",  # ;<CJK Ideograph Extension A, First>;Lo;0;L;;;;;N;;;;;
        "\u4DB5",  # ;<CJK Ideograph Extension A, Last>;Lo;0;L;;;;;N;;;;;
        "\u4DC0",  # ;HEXAGRAM FOR THE CREATIVE HEAVEN;So;0;ON;;;;;N;;;;;
        "\u4DC1",  # ;HEXAGRAM FOR THE RECEPTIVE EARTH;So;0;ON;;;;;N;;;;;
        "\u4DC2",  # ;HEXAGRAM FOR DIFFICULTY AT THE BEGINNING;So;0;ON;;;;;N;;;;;
        "\u4DC3",  # ;HEXAGRAM FOR YOUTHFUL FOLLY;So;0;ON;;;;;N;;;;;
        "\u4DC4",  # ;HEXAGRAM FOR WAITING;So;0;ON;;;;;N;;;;;
        "\u4DC5",  # ;HEXAGRAM FOR CONFLICT;So;0;ON;;;;;N;;;;;
        "\u4DC6",  # ;HEXAGRAM FOR THE ARMY;So;0;ON;;;;;N;;;;;
        "\u4DC7",  # ;HEXAGRAM FOR HOLDING TOGETHER;So;0;ON;;;;;N;;;;;
        "\u4DC8",  # ;HEXAGRAM FOR SMALL TAMING;So;0;ON;;;;;N;;;;;
        "\u4DC9",  # ;HEXAGRAM FOR TREADING;So;0;ON;;;;;N;;;;;
        "\u4DCA",  # ;HEXAGRAM FOR PEACE;So;0;ON;;;;;N;;;;;
        "\u4DCB",  # ;HEXAGRAM FOR STANDSTILL;So;0;ON;;;;;N;;;;;
        "\u4DCC",  # ;HEXAGRAM FOR FELLOWSHIP;So;0;ON;;;;;N;;;;;
        "\u4DCD",  # ;HEXAGRAM FOR GREAT POSSESSION;So;0;ON;;;;;N;;;;;
        "\u4DCE",  # ;HEXAGRAM FOR MODESTY;So;0;ON;;;;;N;;;;;
        "\u4DCF",  # ;HEXAGRAM FOR ENTHUSIASM;So;0;ON;;;;;N;;;;;
        "\u4DD0",  # ;HEXAGRAM FOR FOLLOWING;So;0;ON;;;;;N;;;;;
        "\u4DD1",  # ;HEXAGRAM FOR WORK ON THE DECAYED;So;0;ON;;;;;N;;;;;
        "\u4DD2",  # ;HEXAGRAM FOR APPROACH;So;0;ON;;;;;N;;;;;
        "\u4DD3",  # ;HEXAGRAM FOR CONTEMPLATION;So;0;ON;;;;;N;;;;;
        "\u4DD4",  # ;HEXAGRAM FOR BITING THROUGH;So;0;ON;;;;;N;;;;;
        "\u4DD5",  # ;HEXAGRAM FOR GRACE;So;0;ON;;;;;N;;;;;
        "\u4DD6",  # ;HEXAGRAM FOR SPLITTING APART;So;0;ON;;;;;N;;;;;
        "\u4DD7",  # ;HEXAGRAM FOR RETURN;So;0;ON;;;;;N;;;;;
        "\u4DD8",  # ;HEXAGRAM FOR INNOCENCE;So;0;ON;;;;;N;;;;;
        "\u4DD9",  # ;HEXAGRAM FOR GREAT TAMING;So;0;ON;;;;;N;;;;;
        "\u4DDA",  # ;HEXAGRAM FOR MOUTH CORNERS;So;0;ON;;;;;N;;;;;
        "\u4DDB",  # ;HEXAGRAM FOR GREAT PREPONDERANCE;So;0;ON;;;;;N;;;;;
        "\u4DDC",  # ;HEXAGRAM FOR THE ABYSMAL WATER;So;0;ON;;;;;N;;;;;
        "\u4DDD",  # ;HEXAGRAM FOR THE CLINGING FIRE;So;0;ON;;;;;N;;;;;
        "\u4DDE",  # ;HEXAGRAM FOR INFLUENCE;So;0;ON;;;;;N;;;;;
        "\u4DDF",  # ;HEXAGRAM FOR DURATION;So;0;ON;;;;;N;;;;;
        "\u4DE0",  # ;HEXAGRAM FOR RETREAT;So;0;ON;;;;;N;;;;;
        "\u4DE1",  # ;HEXAGRAM FOR GREAT POWER;So;0;ON;;;;;N;;;;;
        "\u4DE2",  # ;HEXAGRAM FOR PROGRESS;So;0;ON;;;;;N;;;;;
        "\u4DE3",  # ;HEXAGRAM FOR DARKENING OF THE LIGHT;So;0;ON;;;;;N;;;;;
        "\u4DE4",  # ;HEXAGRAM FOR THE FAMILY;So;0;ON;;;;;N;;;;;
        "\u4DE5",  # ;HEXAGRAM FOR OPPOSITION;So;0;ON;;;;;N;;;;;
        "\u4DE6",  # ;HEXAGRAM FOR OBSTRUCTION;So;0;ON;;;;;N;;;;;
        "\u4DE7",  # ;HEXAGRAM FOR DELIVERANCE;So;0;ON;;;;;N;;;;;
        "\u4DE8",  # ;HEXAGRAM FOR DECREASE;So;0;ON;;;;;N;;;;;
        "\u4DE9",  # ;HEXAGRAM FOR INCREASE;So;0;ON;;;;;N;;;;;
        "\u4DEA",  # ;HEXAGRAM FOR BREAKTHROUGH;So;0;ON;;;;;N;;;;;
        "\u4DEB",  # ;HEXAGRAM FOR COMING TO MEET;So;0;ON;;;;;N;;;;;
        "\u4DEC",  # ;HEXAGRAM FOR GATHERING TOGETHER;So;0;ON;;;;;N;;;;;
        "\u4DED",  # ;HEXAGRAM FOR PUSHING UPWARD;So;0;ON;;;;;N;;;;;
        "\u4DEE",  # ;HEXAGRAM FOR OPPRESSION;So;0;ON;;;;;N;;;;;
        "\u4DEF",  # ;HEXAGRAM FOR THE WELL;So;0;ON;;;;;N;;;;;
        "\u4DF0",  # ;HEXAGRAM FOR REVOLUTION;So;0;ON;;;;;N;;;;;
        "\u4DF1",  # ;HEXAGRAM FOR THE CAULDRON;So;0;ON;;;;;N;;;;;
        "\u4DF2",  # ;HEXAGRAM FOR THE AROUSING THUNDER;So;0;ON;;;;;N;;;;;
        "\u4DF3",  # ;HEXAGRAM FOR THE KEEPING STILL MOUNTAIN;So;0;ON;;;;;N;;;;;
        "\u4DF4",  # ;HEXAGRAM FOR DEVELOPMENT;So;0;ON;;;;;N;;;;;
        "\u4DF5",  # ;HEXAGRAM FOR THE MARRYING MAIDEN;So;0;ON;;;;;N;;;;;
        "\u4DF6",  # ;HEXAGRAM FOR ABUNDANCE;So;0;ON;;;;;N;;;;;
        "\u4DF7",  # ;HEXAGRAM FOR THE WANDERER;So;0;ON;;;;;N;;;;;
        "\u4DF8",  # ;HEXAGRAM FOR THE GENTLE WIND;So;0;ON;;;;;N;;;;;
        "\u4DF9",  # ;HEXAGRAM FOR THE JOYOUS LAKE;So;0;ON;;;;;N;;;;;
        "\u4DFA",  # ;HEXAGRAM FOR DISPERSION;So;0;ON;;;;;N;;;;;
        "\u4DFB",  # ;HEXAGRAM FOR LIMITATION;So;0;ON;;;;;N;;;;;
        "\u4DFC",  # ;HEXAGRAM FOR INNER TRUTH;So;0;ON;;;;;N;;;;;
        "\u4DFD",  # ;HEXAGRAM FOR SMALL PREPONDERANCE;So;0;ON;;;;;N;;;;;
        "\u4DFE",  # ;HEXAGRAM FOR AFTER COMPLETION;So;0;ON;;;;;N;;;;;
        "\u4DFF",  # ;HEXAGRAM FOR BEFORE COMPLETION;So;0;ON;;;;;N;;;;;
        "\u4E00",  # ;<CJK Ideograph, First>;Lo;0;L;;;;;N;;;;;
        "\u9FEA",  # ;<CJK Ideograph, Last>;Lo;0;L;;;;;N;;;;;
        "\uA000",  # ;YI SYLLABLE IT;Lo;0;L;;;;;N;;;;;
        "\uA001",  # ;YI SYLLABLE IX;Lo;0;L;;;;;N;;;;;
        "\uA002",  # ;YI SYLLABLE I;Lo;0;L;;;;;N;;;;;
        "\uA003",  # ;YI SYLLABLE IP;Lo;0;L;;;;;N;;;;;
        "\uA004",  # ;YI SYLLABLE IET;Lo;0;L;;;;;N;;;;;
        "\uA005",  # ;YI SYLLABLE IEX;Lo;0;L;;;;;N;;;;;
        "\uA006",  # ;YI SYLLABLE IE;Lo;0;L;;;;;N;;;;;
        "\uA007",  # ;YI SYLLABLE IEP;Lo;0;L;;;;;N;;;;;
        "\uA008",  # ;YI SYLLABLE AT;Lo;0;L;;;;;N;;;;;
        "\uA009",  # ;YI SYLLABLE AX;Lo;0;L;;;;;N;;;;;
        "\uA00A",  # ;YI SYLLABLE A;Lo;0;L;;;;;N;;;;;
        "\uA00B",  # ;YI SYLLABLE AP;Lo;0;L;;;;;N;;;;;
        "\uA00C",  # ;YI SYLLABLE UOX;Lo;0;L;;;;;N;;;;;
        "\uA00D",  # ;YI SYLLABLE UO;Lo;0;L;;;;;N;;;;;
        "\uA00E",  # ;YI SYLLABLE UOP;Lo;0;L;;;;;N;;;;;
        "\uA00F",  # ;YI SYLLABLE OT;Lo;0;L;;;;;N;;;;;
        "\uA010",  # ;YI SYLLABLE OX;Lo;0;L;;;;;N;;;;;
        "\uA011",  # ;YI SYLLABLE O;Lo;0;L;;;;;N;;;;;
        "\uA012",  # ;YI SYLLABLE OP;Lo;0;L;;;;;N;;;;;
        "\uA013",  # ;YI SYLLABLE EX;Lo;0;L;;;;;N;;;;;
        "\uA014",  # ;YI SYLLABLE E;Lo;0;L;;;;;N;;;;;
        "\uA015",  # ;YI SYLLABLE WU;Lm;0;L;;;;;N;;;;;
        "\uA016",  # ;YI SYLLABLE BIT;Lo;0;L;;;;;N;;;;;
        "\uA017",  # ;YI SYLLABLE BIX;Lo;0;L;;;;;N;;;;;
        "\uA018",  # ;YI SYLLABLE BI;Lo;0;L;;;;;N;;;;;
        "\uA019",  # ;YI SYLLABLE BIP;Lo;0;L;;;;;N;;;;;
        "\uA01A",  # ;YI SYLLABLE BIET;Lo;0;L;;;;;N;;;;;
        "\uA01B",  # ;YI SYLLABLE BIEX;Lo;0;L;;;;;N;;;;;
        "\uA01C",  # ;YI SYLLABLE BIE;Lo;0;L;;;;;N;;;;;
        "\uA01D",  # ;YI SYLLABLE BIEP;Lo;0;L;;;;;N;;;;;
        "\uA01E",  # ;YI SYLLABLE BAT;Lo;0;L;;;;;N;;;;;
        "\uA01F",  # ;YI SYLLABLE BAX;Lo;0;L;;;;;N;;;;;
        "\uA020",  # ;YI SYLLABLE BA;Lo;0;L;;;;;N;;;;;
        "\uA021",  # ;YI SYLLABLE BAP;Lo;0;L;;;;;N;;;;;
        "\uA022",  # ;YI SYLLABLE BUOX;Lo;0;L;;;;;N;;;;;
        "\uA023",  # ;YI SYLLABLE BUO;Lo;0;L;;;;;N;;;;;
        "\uA024",  # ;YI SYLLABLE BUOP;Lo;0;L;;;;;N;;;;;
        "\uA025",  # ;YI SYLLABLE BOT;Lo;0;L;;;;;N;;;;;
        "\uA026",  # ;YI SYLLABLE BOX;Lo;0;L;;;;;N;;;;;
        "\uA027",  # ;YI SYLLABLE BO;Lo;0;L;;;;;N;;;;;
        "\uA028",  # ;YI SYLLABLE BOP;Lo;0;L;;;;;N;;;;;
        "\uA029",  # ;YI SYLLABLE BEX;Lo;0;L;;;;;N;;;;;
        "\uA02A",  # ;YI SYLLABLE BE;Lo;0;L;;;;;N;;;;;
        "\uA02B",  # ;YI SYLLABLE BEP;Lo;0;L;;;;;N;;;;;
        "\uA02C",  # ;YI SYLLABLE BUT;Lo;0;L;;;;;N;;;;;
        "\uA02D",  # ;YI SYLLABLE BUX;Lo;0;L;;;;;N;;;;;
        "\uA02E",  # ;YI SYLLABLE BU;Lo;0;L;;;;;N;;;;;
        "\uA02F",  # ;YI SYLLABLE BUP;Lo;0;L;;;;;N;;;;;
        "\uA030",  # ;YI SYLLABLE BURX;Lo;0;L;;;;;N;;;;;
        "\uA031",  # ;YI SYLLABLE BUR;Lo;0;L;;;;;N;;;;;
        "\uA032",  # ;YI SYLLABLE BYT;Lo;0;L;;;;;N;;;;;
        "\uA033",  # ;YI SYLLABLE BYX;Lo;0;L;;;;;N;;;;;
        "\uA034",  # ;YI SYLLABLE BY;Lo;0;L;;;;;N;;;;;
        "\uA035",  # ;YI SYLLABLE BYP;Lo;0;L;;;;;N;;;;;
        "\uA036",  # ;YI SYLLABLE BYRX;Lo;0;L;;;;;N;;;;;
        "\uA037",  # ;YI SYLLABLE BYR;Lo;0;L;;;;;N;;;;;
        "\uA038",  # ;YI SYLLABLE PIT;Lo;0;L;;;;;N;;;;;
        "\uA039",  # ;YI SYLLABLE PIX;Lo;0;L;;;;;N;;;;;
        "\uA03A",  # ;YI SYLLABLE PI;Lo;0;L;;;;;N;;;;;
        "\uA03B",  # ;YI SYLLABLE PIP;Lo;0;L;;;;;N;;;;;
        "\uA03C",  # ;YI SYLLABLE PIEX;Lo;0;L;;;;;N;;;;;
        "\uA03D",  # ;YI SYLLABLE PIE;Lo;0;L;;;;;N;;;;;
        "\uA03E",  # ;YI SYLLABLE PIEP;Lo;0;L;;;;;N;;;;;
        "\uA03F",  # ;YI SYLLABLE PAT;Lo;0;L;;;;;N;;;;;
        "\uA040",  # ;YI SYLLABLE PAX;Lo;0;L;;;;;N;;;;;
        "\uA041",  # ;YI SYLLABLE PA;Lo;0;L;;;;;N;;;;;
        "\uA042",  # ;YI SYLLABLE PAP;Lo;0;L;;;;;N;;;;;
        "\uA043",  # ;YI SYLLABLE PUOX;Lo;0;L;;;;;N;;;;;
        "\uA044",  # ;YI SYLLABLE PUO;Lo;0;L;;;;;N;;;;;
        "\uA045",  # ;YI SYLLABLE PUOP;Lo;0;L;;;;;N;;;;;
        "\uA046",  # ;YI SYLLABLE POT;Lo;0;L;;;;;N;;;;;
        "\uA047",  # ;YI SYLLABLE POX;Lo;0;L;;;;;N;;;;;
        "\uA048",  # ;YI SYLLABLE PO;Lo;0;L;;;;;N;;;;;
        "\uA049",  # ;YI SYLLABLE POP;Lo;0;L;;;;;N;;;;;
        "\uA04A",  # ;YI SYLLABLE PUT;Lo;0;L;;;;;N;;;;;
        "\uA04B",  # ;YI SYLLABLE PUX;Lo;0;L;;;;;N;;;;;
        "\uA04C",  # ;YI SYLLABLE PU;Lo;0;L;;;;;N;;;;;
        "\uA04D",  # ;YI SYLLABLE PUP;Lo;0;L;;;;;N;;;;;
        "\uA04E",  # ;YI SYLLABLE PURX;Lo;0;L;;;;;N;;;;;
        "\uA04F",  # ;YI SYLLABLE PUR;Lo;0;L;;;;;N;;;;;
        "\uA050",  # ;YI SYLLABLE PYT;Lo;0;L;;;;;N;;;;;
        "\uA051",  # ;YI SYLLABLE PYX;Lo;0;L;;;;;N;;;;;
        "\uA052",  # ;YI SYLLABLE PY;Lo;0;L;;;;;N;;;;;
        "\uA053",  # ;YI SYLLABLE PYP;Lo;0;L;;;;;N;;;;;
        "\uA054",  # ;YI SYLLABLE PYRX;Lo;0;L;;;;;N;;;;;
        "\uA055",  # ;YI SYLLABLE PYR;Lo;0;L;;;;;N;;;;;
        "\uA056",  # ;YI SYLLABLE BBIT;Lo;0;L;;;;;N;;;;;
        "\uA057",  # ;YI SYLLABLE BBIX;Lo;0;L;;;;;N;;;;;
        "\uA058",  # ;YI SYLLABLE BBI;Lo;0;L;;;;;N;;;;;
        "\uA059",  # ;YI SYLLABLE BBIP;Lo;0;L;;;;;N;;;;;
        "\uA05A",  # ;YI SYLLABLE BBIET;Lo;0;L;;;;;N;;;;;
        "\uA05B",  # ;YI SYLLABLE BBIEX;Lo;0;L;;;;;N;;;;;
        "\uA05C",  # ;YI SYLLABLE BBIE;Lo;0;L;;;;;N;;;;;
        "\uA05D",  # ;YI SYLLABLE BBIEP;Lo;0;L;;;;;N;;;;;
        "\uA05E",  # ;YI SYLLABLE BBAT;Lo;0;L;;;;;N;;;;;
        "\uA05F",  # ;YI SYLLABLE BBAX;Lo;0;L;;;;;N;;;;;
        "\uA060",  # ;YI SYLLABLE BBA;Lo;0;L;;;;;N;;;;;
        "\uA061",  # ;YI SYLLABLE BBAP;Lo;0;L;;;;;N;;;;;
        "\uA062",  # ;YI SYLLABLE BBUOX;Lo;0;L;;;;;N;;;;;
        "\uA063",  # ;YI SYLLABLE BBUO;Lo;0;L;;;;;N;;;;;
        "\uA064",  # ;YI SYLLABLE BBUOP;Lo;0;L;;;;;N;;;;;
        "\uA065",  # ;YI SYLLABLE BBOT;Lo;0;L;;;;;N;;;;;
        "\uA066",  # ;YI SYLLABLE BBOX;Lo;0;L;;;;;N;;;;;
        "\uA067",  # ;YI SYLLABLE BBO;Lo;0;L;;;;;N;;;;;
        "\uA068",  # ;YI SYLLABLE BBOP;Lo;0;L;;;;;N;;;;;
        "\uA069",  # ;YI SYLLABLE BBEX;Lo;0;L;;;;;N;;;;;
        "\uA06A",  # ;YI SYLLABLE BBE;Lo;0;L;;;;;N;;;;;
        "\uA06B",  # ;YI SYLLABLE BBEP;Lo;0;L;;;;;N;;;;;
        "\uA06C",  # ;YI SYLLABLE BBUT;Lo;0;L;;;;;N;;;;;
        "\uA06D",  # ;YI SYLLABLE BBUX;Lo;0;L;;;;;N;;;;;
        "\uA06E",  # ;YI SYLLABLE BBU;Lo;0;L;;;;;N;;;;;
        "\uA06F",  # ;YI SYLLABLE BBUP;Lo;0;L;;;;;N;;;;;
        "\uA070",  # ;YI SYLLABLE BBURX;Lo;0;L;;;;;N;;;;;
        "\uA071",  # ;YI SYLLABLE BBUR;Lo;0;L;;;;;N;;;;;
        "\uA072",  # ;YI SYLLABLE BBYT;Lo;0;L;;;;;N;;;;;
        "\uA073",  # ;YI SYLLABLE BBYX;Lo;0;L;;;;;N;;;;;
        "\uA074",  # ;YI SYLLABLE BBY;Lo;0;L;;;;;N;;;;;
        "\uA075",  # ;YI SYLLABLE BBYP;Lo;0;L;;;;;N;;;;;
        "\uA076",  # ;YI SYLLABLE NBIT;Lo;0;L;;;;;N;;;;;
        "\uA077",  # ;YI SYLLABLE NBIX;Lo;0;L;;;;;N;;;;;
        "\uA078",  # ;YI SYLLABLE NBI;Lo;0;L;;;;;N;;;;;
        "\uA079",  # ;YI SYLLABLE NBIP;Lo;0;L;;;;;N;;;;;
        "\uA07A",  # ;YI SYLLABLE NBIEX;Lo;0;L;;;;;N;;;;;
        "\uA07B",  # ;YI SYLLABLE NBIE;Lo;0;L;;;;;N;;;;;
        "\uA07C",  # ;YI SYLLABLE NBIEP;Lo;0;L;;;;;N;;;;;
        "\uA07D",  # ;YI SYLLABLE NBAT;Lo;0;L;;;;;N;;;;;
        "\uA07E",  # ;YI SYLLABLE NBAX;Lo;0;L;;;;;N;;;;;
        "\uA07F",  # ;YI SYLLABLE NBA;Lo;0;L;;;;;N;;;;;
        "\uA080",  # ;YI SYLLABLE NBAP;Lo;0;L;;;;;N;;;;;
        "\uA081",  # ;YI SYLLABLE NBOT;Lo;0;L;;;;;N;;;;;
        "\uA082",  # ;YI SYLLABLE NBOX;Lo;0;L;;;;;N;;;;;
        "\uA083",  # ;YI SYLLABLE NBO;Lo;0;L;;;;;N;;;;;
        "\uA084",  # ;YI SYLLABLE NBOP;Lo;0;L;;;;;N;;;;;
        "\uA085",  # ;YI SYLLABLE NBUT;Lo;0;L;;;;;N;;;;;
        "\uA086",  # ;YI SYLLABLE NBUX;Lo;0;L;;;;;N;;;;;
        "\uA087",  # ;YI SYLLABLE NBU;Lo;0;L;;;;;N;;;;;
        "\uA088",  # ;YI SYLLABLE NBUP;Lo;0;L;;;;;N;;;;;
        "\uA089",  # ;YI SYLLABLE NBURX;Lo;0;L;;;;;N;;;;;
        "\uA08A",  # ;YI SYLLABLE NBUR;Lo;0;L;;;;;N;;;;;
        "\uA08B",  # ;YI SYLLABLE NBYT;Lo;0;L;;;;;N;;;;;
        "\uA08C",  # ;YI SYLLABLE NBYX;Lo;0;L;;;;;N;;;;;
        "\uA08D",  # ;YI SYLLABLE NBY;Lo;0;L;;;;;N;;;;;
        "\uA08E",  # ;YI SYLLABLE NBYP;Lo;0;L;;;;;N;;;;;
        "\uA08F",  # ;YI SYLLABLE NBYRX;Lo;0;L;;;;;N;;;;;
        "\uA090",  # ;YI SYLLABLE NBYR;Lo;0;L;;;;;N;;;;;
        "\uA091",  # ;YI SYLLABLE HMIT;Lo;0;L;;;;;N;;;;;
        "\uA092",  # ;YI SYLLABLE HMIX;Lo;0;L;;;;;N;;;;;
        "\uA093",  # ;YI SYLLABLE HMI;Lo;0;L;;;;;N;;;;;
        "\uA094",  # ;YI SYLLABLE HMIP;Lo;0;L;;;;;N;;;;;
        "\uA095",  # ;YI SYLLABLE HMIEX;Lo;0;L;;;;;N;;;;;
        "\uA096",  # ;YI SYLLABLE HMIE;Lo;0;L;;;;;N;;;;;
        "\uA097",  # ;YI SYLLABLE HMIEP;Lo;0;L;;;;;N;;;;;
        "\uA098",  # ;YI SYLLABLE HMAT;Lo;0;L;;;;;N;;;;;
        "\uA099",  # ;YI SYLLABLE HMAX;Lo;0;L;;;;;N;;;;;
        "\uA09A",  # ;YI SYLLABLE HMA;Lo;0;L;;;;;N;;;;;
        "\uA09B",  # ;YI SYLLABLE HMAP;Lo;0;L;;;;;N;;;;;
        "\uA09C",  # ;YI SYLLABLE HMUOX;Lo;0;L;;;;;N;;;;;
        "\uA09D",  # ;YI SYLLABLE HMUO;Lo;0;L;;;;;N;;;;;
        "\uA09E",  # ;YI SYLLABLE HMUOP;Lo;0;L;;;;;N;;;;;
        "\uA09F",  # ;YI SYLLABLE HMOT;Lo;0;L;;;;;N;;;;;
        "\uA0A0",  # ;YI SYLLABLE HMOX;Lo;0;L;;;;;N;;;;;
        "\uA0A1",  # ;YI SYLLABLE HMO;Lo;0;L;;;;;N;;;;;
        "\uA0A2",  # ;YI SYLLABLE HMOP;Lo;0;L;;;;;N;;;;;
        "\uA0A3",  # ;YI SYLLABLE HMUT;Lo;0;L;;;;;N;;;;;
        "\uA0A4",  # ;YI SYLLABLE HMUX;Lo;0;L;;;;;N;;;;;
        "\uA0A5",  # ;YI SYLLABLE HMU;Lo;0;L;;;;;N;;;;;
        "\uA0A6",  # ;YI SYLLABLE HMUP;Lo;0;L;;;;;N;;;;;
        "\uA0A7",  # ;YI SYLLABLE HMURX;Lo;0;L;;;;;N;;;;;
        "\uA0A8",  # ;YI SYLLABLE HMUR;Lo;0;L;;;;;N;;;;;
        "\uA0A9",  # ;YI SYLLABLE HMYX;Lo;0;L;;;;;N;;;;;
        "\uA0AA",  # ;YI SYLLABLE HMY;Lo;0;L;;;;;N;;;;;
        "\uA0AB",  # ;YI SYLLABLE HMYP;Lo;0;L;;;;;N;;;;;
        "\uA0AC",  # ;YI SYLLABLE HMYRX;Lo;0;L;;;;;N;;;;;
        "\uA0AD",  # ;YI SYLLABLE HMYR;Lo;0;L;;;;;N;;;;;
        "\uA0AE",  # ;YI SYLLABLE MIT;Lo;0;L;;;;;N;;;;;
        "\uA0AF",  # ;YI SYLLABLE MIX;Lo;0;L;;;;;N;;;;;
        "\uA0B0",  # ;YI SYLLABLE MI;Lo;0;L;;;;;N;;;;;
        "\uA0B1",  # ;YI SYLLABLE MIP;Lo;0;L;;;;;N;;;;;
        "\uA0B2",  # ;YI SYLLABLE MIEX;Lo;0;L;;;;;N;;;;;
        "\uA0B3",  # ;YI SYLLABLE MIE;Lo;0;L;;;;;N;;;;;
        "\uA0B4",  # ;YI SYLLABLE MIEP;Lo;0;L;;;;;N;;;;;
        "\uA0B5",  # ;YI SYLLABLE MAT;Lo;0;L;;;;;N;;;;;
        "\uA0B6",  # ;YI SYLLABLE MAX;Lo;0;L;;;;;N;;;;;
        "\uA0B7",  # ;YI SYLLABLE MA;Lo;0;L;;;;;N;;;;;
        "\uA0B8",  # ;YI SYLLABLE MAP;Lo;0;L;;;;;N;;;;;
        "\uA0B9",  # ;YI SYLLABLE MUOT;Lo;0;L;;;;;N;;;;;
        "\uA0BA",  # ;YI SYLLABLE MUOX;Lo;0;L;;;;;N;;;;;
        "\uA0BB",  # ;YI SYLLABLE MUO;Lo;0;L;;;;;N;;;;;
        "\uA0BC",  # ;YI SYLLABLE MUOP;Lo;0;L;;;;;N;;;;;
        "\uA0BD",  # ;YI SYLLABLE MOT;Lo;0;L;;;;;N;;;;;
        "\uA0BE",  # ;YI SYLLABLE MOX;Lo;0;L;;;;;N;;;;;
        "\uA0BF",  # ;YI SYLLABLE MO;Lo;0;L;;;;;N;;;;;
        "\uA0C0",  # ;YI SYLLABLE MOP;Lo;0;L;;;;;N;;;;;
        "\uA0C1",  # ;YI SYLLABLE MEX;Lo;0;L;;;;;N;;;;;
        "\uA0C2",  # ;YI SYLLABLE ME;Lo;0;L;;;;;N;;;;;
        "\uA0C3",  # ;YI SYLLABLE MUT;Lo;0;L;;;;;N;;;;;
        "\uA0C4",  # ;YI SYLLABLE MUX;Lo;0;L;;;;;N;;;;;
        "\uA0C5",  # ;YI SYLLABLE MU;Lo;0;L;;;;;N;;;;;
        "\uA0C6",  # ;YI SYLLABLE MUP;Lo;0;L;;;;;N;;;;;
        "\uA0C7",  # ;YI SYLLABLE MURX;Lo;0;L;;;;;N;;;;;
        "\uA0C8",  # ;YI SYLLABLE MUR;Lo;0;L;;;;;N;;;;;
        "\uA0C9",  # ;YI SYLLABLE MYT;Lo;0;L;;;;;N;;;;;
        "\uA0CA",  # ;YI SYLLABLE MYX;Lo;0;L;;;;;N;;;;;
        "\uA0CB",  # ;YI SYLLABLE MY;Lo;0;L;;;;;N;;;;;
        "\uA0CC",  # ;YI SYLLABLE MYP;Lo;0;L;;;;;N;;;;;
        "\uA0CD",  # ;YI SYLLABLE FIT;Lo;0;L;;;;;N;;;;;
        "\uA0CE",  # ;YI SYLLABLE FIX;Lo;0;L;;;;;N;;;;;
        "\uA0CF",  # ;YI SYLLABLE FI;Lo;0;L;;;;;N;;;;;
        "\uA0D0",  # ;YI SYLLABLE FIP;Lo;0;L;;;;;N;;;;;
        "\uA0D1",  # ;YI SYLLABLE FAT;Lo;0;L;;;;;N;;;;;
        "\uA0D2",  # ;YI SYLLABLE FAX;Lo;0;L;;;;;N;;;;;
        "\uA0D3",  # ;YI SYLLABLE FA;Lo;0;L;;;;;N;;;;;
        "\uA0D4",  # ;YI SYLLABLE FAP;Lo;0;L;;;;;N;;;;;
        "\uA0D5",  # ;YI SYLLABLE FOX;Lo;0;L;;;;;N;;;;;
        "\uA0D6",  # ;YI SYLLABLE FO;Lo;0;L;;;;;N;;;;;
        "\uA0D7",  # ;YI SYLLABLE FOP;Lo;0;L;;;;;N;;;;;
        "\uA0D8",  # ;YI SYLLABLE FUT;Lo;0;L;;;;;N;;;;;
        "\uA0D9",  # ;YI SYLLABLE FUX;Lo;0;L;;;;;N;;;;;
        "\uA0DA",  # ;YI SYLLABLE FU;Lo;0;L;;;;;N;;;;;
        "\uA0DB",  # ;YI SYLLABLE FUP;Lo;0;L;;;;;N;;;;;
        "\uA0DC",  # ;YI SYLLABLE FURX;Lo;0;L;;;;;N;;;;;
        "\uA0DD",  # ;YI SYLLABLE FUR;Lo;0;L;;;;;N;;;;;
        "\uA0DE",  # ;YI SYLLABLE FYT;Lo;0;L;;;;;N;;;;;
        "\uA0DF",  # ;YI SYLLABLE FYX;Lo;0;L;;;;;N;;;;;
        "\uA0E0",  # ;YI SYLLABLE FY;Lo;0;L;;;;;N;;;;;
        "\uA0E1",  # ;YI SYLLABLE FYP;Lo;0;L;;;;;N;;;;;
        "\uA0E2",  # ;YI SYLLABLE VIT;Lo;0;L;;;;;N;;;;;
        "\uA0E3",  # ;YI SYLLABLE VIX;Lo;0;L;;;;;N;;;;;
        "\uA0E4",  # ;YI SYLLABLE VI;Lo;0;L;;;;;N;;;;;
        "\uA0E5",  # ;YI SYLLABLE VIP;Lo;0;L;;;;;N;;;;;
        "\uA0E6",  # ;YI SYLLABLE VIET;Lo;0;L;;;;;N;;;;;
        "\uA0E7",  # ;YI SYLLABLE VIEX;Lo;0;L;;;;;N;;;;;
        "\uA0E8",  # ;YI SYLLABLE VIE;Lo;0;L;;;;;N;;;;;
        "\uA0E9",  # ;YI SYLLABLE VIEP;Lo;0;L;;;;;N;;;;;
        "\uA0EA",  # ;YI SYLLABLE VAT;Lo;0;L;;;;;N;;;;;
        "\uA0EB",  # ;YI SYLLABLE VAX;Lo;0;L;;;;;N;;;;;
        "\uA0EC",  # ;YI SYLLABLE VA;Lo;0;L;;;;;N;;;;;
        "\uA0ED",  # ;YI SYLLABLE VAP;Lo;0;L;;;;;N;;;;;
        "\uA0EE",  # ;YI SYLLABLE VOT;Lo;0;L;;;;;N;;;;;
        "\uA0EF",  # ;YI SYLLABLE VOX;Lo;0;L;;;;;N;;;;;
        "\uA0F0",  # ;YI SYLLABLE VO;Lo;0;L;;;;;N;;;;;
        "\uA0F1",  # ;YI SYLLABLE VOP;Lo;0;L;;;;;N;;;;;
        "\uA0F2",  # ;YI SYLLABLE VEX;Lo;0;L;;;;;N;;;;;
        "\uA0F3",  # ;YI SYLLABLE VEP;Lo;0;L;;;;;N;;;;;
        "\uA0F4",  # ;YI SYLLABLE VUT;Lo;0;L;;;;;N;;;;;
        "\uA0F5",  # ;YI SYLLABLE VUX;Lo;0;L;;;;;N;;;;;
        "\uA0F6",  # ;YI SYLLABLE VU;Lo;0;L;;;;;N;;;;;
        "\uA0F7",  # ;YI SYLLABLE VUP;Lo;0;L;;;;;N;;;;;
        "\uA0F8",  # ;YI SYLLABLE VURX;Lo;0;L;;;;;N;;;;;
        "\uA0F9",  # ;YI SYLLABLE VUR;Lo;0;L;;;;;N;;;;;
        "\uA0FA",  # ;YI SYLLABLE VYT;Lo;0;L;;;;;N;;;;;
        "\uA0FB",  # ;YI SYLLABLE VYX;Lo;0;L;;;;;N;;;;;
        "\uA0FC",  # ;YI SYLLABLE VY;Lo;0;L;;;;;N;;;;;
        "\uA0FD",  # ;YI SYLLABLE VYP;Lo;0;L;;;;;N;;;;;
        "\uA0FE",  # ;YI SYLLABLE VYRX;Lo;0;L;;;;;N;;;;;
        "\uA0FF",  # ;YI SYLLABLE VYR;Lo;0;L;;;;;N;;;;;
        "\uA100",  # ;YI SYLLABLE DIT;Lo;0;L;;;;;N;;;;;
        "\uA101",  # ;YI SYLLABLE DIX;Lo;0;L;;;;;N;;;;;
        "\uA102",  # ;YI SYLLABLE DI;Lo;0;L;;;;;N;;;;;
        "\uA103",  # ;YI SYLLABLE DIP;Lo;0;L;;;;;N;;;;;
        "\uA104",  # ;YI SYLLABLE DIEX;Lo;0;L;;;;;N;;;;;
        "\uA105",  # ;YI SYLLABLE DIE;Lo;0;L;;;;;N;;;;;
        "\uA106",  # ;YI SYLLABLE DIEP;Lo;0;L;;;;;N;;;;;
        "\uA107",  # ;YI SYLLABLE DAT;Lo;0;L;;;;;N;;;;;
        "\uA108",  # ;YI SYLLABLE DAX;Lo;0;L;;;;;N;;;;;
        "\uA109",  # ;YI SYLLABLE DA;Lo;0;L;;;;;N;;;;;
        "\uA10A",  # ;YI SYLLABLE DAP;Lo;0;L;;;;;N;;;;;
        "\uA10B",  # ;YI SYLLABLE DUOX;Lo;0;L;;;;;N;;;;;
        "\uA10C",  # ;YI SYLLABLE DUO;Lo;0;L;;;;;N;;;;;
        "\uA10D",  # ;YI SYLLABLE DOT;Lo;0;L;;;;;N;;;;;
        "\uA10E",  # ;YI SYLLABLE DOX;Lo;0;L;;;;;N;;;;;
        "\uA10F",  # ;YI SYLLABLE DO;Lo;0;L;;;;;N;;;;;
        "\uA110",  # ;YI SYLLABLE DOP;Lo;0;L;;;;;N;;;;;
        "\uA111",  # ;YI SYLLABLE DEX;Lo;0;L;;;;;N;;;;;
        "\uA112",  # ;YI SYLLABLE DE;Lo;0;L;;;;;N;;;;;
        "\uA113",  # ;YI SYLLABLE DEP;Lo;0;L;;;;;N;;;;;
        "\uA114",  # ;YI SYLLABLE DUT;Lo;0;L;;;;;N;;;;;
        "\uA115",  # ;YI SYLLABLE DUX;Lo;0;L;;;;;N;;;;;
        "\uA116",  # ;YI SYLLABLE DU;Lo;0;L;;;;;N;;;;;
        "\uA117",  # ;YI SYLLABLE DUP;Lo;0;L;;;;;N;;;;;
        "\uA118",  # ;YI SYLLABLE DURX;Lo;0;L;;;;;N;;;;;
        "\uA119",  # ;YI SYLLABLE DUR;Lo;0;L;;;;;N;;;;;
        "\uA11A",  # ;YI SYLLABLE TIT;Lo;0;L;;;;;N;;;;;
        "\uA11B",  # ;YI SYLLABLE TIX;Lo;0;L;;;;;N;;;;;
        "\uA11C",  # ;YI SYLLABLE TI;Lo;0;L;;;;;N;;;;;
        "\uA11D",  # ;YI SYLLABLE TIP;Lo;0;L;;;;;N;;;;;
        "\uA11E",  # ;YI SYLLABLE TIEX;Lo;0;L;;;;;N;;;;;
        "\uA11F",  # ;YI SYLLABLE TIE;Lo;0;L;;;;;N;;;;;
        "\uA120",  # ;YI SYLLABLE TIEP;Lo;0;L;;;;;N;;;;;
        "\uA121",  # ;YI SYLLABLE TAT;Lo;0;L;;;;;N;;;;;
        "\uA122",  # ;YI SYLLABLE TAX;Lo;0;L;;;;;N;;;;;
        "\uA123",  # ;YI SYLLABLE TA;Lo;0;L;;;;;N;;;;;
        "\uA124",  # ;YI SYLLABLE TAP;Lo;0;L;;;;;N;;;;;
        "\uA125",  # ;YI SYLLABLE TUOT;Lo;0;L;;;;;N;;;;;
        "\uA126",  # ;YI SYLLABLE TUOX;Lo;0;L;;;;;N;;;;;
        "\uA127",  # ;YI SYLLABLE TUO;Lo;0;L;;;;;N;;;;;
        "\uA128",  # ;YI SYLLABLE TUOP;Lo;0;L;;;;;N;;;;;
        "\uA129",  # ;YI SYLLABLE TOT;Lo;0;L;;;;;N;;;;;
        "\uA12A",  # ;YI SYLLABLE TOX;Lo;0;L;;;;;N;;;;;
        "\uA12B",  # ;YI SYLLABLE TO;Lo;0;L;;;;;N;;;;;
        "\uA12C",  # ;YI SYLLABLE TOP;Lo;0;L;;;;;N;;;;;
        "\uA12D",  # ;YI SYLLABLE TEX;Lo;0;L;;;;;N;;;;;
        "\uA12E",  # ;YI SYLLABLE TE;Lo;0;L;;;;;N;;;;;
        "\uA12F",  # ;YI SYLLABLE TEP;Lo;0;L;;;;;N;;;;;
        "\uA130",  # ;YI SYLLABLE TUT;Lo;0;L;;;;;N;;;;;
        "\uA131",  # ;YI SYLLABLE TUX;Lo;0;L;;;;;N;;;;;
        "\uA132",  # ;YI SYLLABLE TU;Lo;0;L;;;;;N;;;;;
        "\uA133",  # ;YI SYLLABLE TUP;Lo;0;L;;;;;N;;;;;
        "\uA134",  # ;YI SYLLABLE TURX;Lo;0;L;;;;;N;;;;;
        "\uA135",  # ;YI SYLLABLE TUR;Lo;0;L;;;;;N;;;;;
        "\uA136",  # ;YI SYLLABLE DDIT;Lo;0;L;;;;;N;;;;;
        "\uA137",  # ;YI SYLLABLE DDIX;Lo;0;L;;;;;N;;;;;
        "\uA138",  # ;YI SYLLABLE DDI;Lo;0;L;;;;;N;;;;;
        "\uA139",  # ;YI SYLLABLE DDIP;Lo;0;L;;;;;N;;;;;
        "\uA13A",  # ;YI SYLLABLE DDIEX;Lo;0;L;;;;;N;;;;;
        "\uA13B",  # ;YI SYLLABLE DDIE;Lo;0;L;;;;;N;;;;;
        "\uA13C",  # ;YI SYLLABLE DDIEP;Lo;0;L;;;;;N;;;;;
        "\uA13D",  # ;YI SYLLABLE DDAT;Lo;0;L;;;;;N;;;;;
        "\uA13E",  # ;YI SYLLABLE DDAX;Lo;0;L;;;;;N;;;;;
        "\uA13F",  # ;YI SYLLABLE DDA;Lo;0;L;;;;;N;;;;;
        "\uA140",  # ;YI SYLLABLE DDAP;Lo;0;L;;;;;N;;;;;
        "\uA141",  # ;YI SYLLABLE DDUOX;Lo;0;L;;;;;N;;;;;
        "\uA142",  # ;YI SYLLABLE DDUO;Lo;0;L;;;;;N;;;;;
        "\uA143",  # ;YI SYLLABLE DDUOP;Lo;0;L;;;;;N;;;;;
        "\uA144",  # ;YI SYLLABLE DDOT;Lo;0;L;;;;;N;;;;;
        "\uA145",  # ;YI SYLLABLE DDOX;Lo;0;L;;;;;N;;;;;
        "\uA146",  # ;YI SYLLABLE DDO;Lo;0;L;;;;;N;;;;;
        "\uA147",  # ;YI SYLLABLE DDOP;Lo;0;L;;;;;N;;;;;
        "\uA148",  # ;YI SYLLABLE DDEX;Lo;0;L;;;;;N;;;;;
        "\uA149",  # ;YI SYLLABLE DDE;Lo;0;L;;;;;N;;;;;
        "\uA14A",  # ;YI SYLLABLE DDEP;Lo;0;L;;;;;N;;;;;
        "\uA14B",  # ;YI SYLLABLE DDUT;Lo;0;L;;;;;N;;;;;
        "\uA14C",  # ;YI SYLLABLE DDUX;Lo;0;L;;;;;N;;;;;
        "\uA14D",  # ;YI SYLLABLE DDU;Lo;0;L;;;;;N;;;;;
        "\uA14E",  # ;YI SYLLABLE DDUP;Lo;0;L;;;;;N;;;;;
        "\uA14F",  # ;YI SYLLABLE DDURX;Lo;0;L;;;;;N;;;;;
        "\uA150",  # ;YI SYLLABLE DDUR;Lo;0;L;;;;;N;;;;;
        "\uA151",  # ;YI SYLLABLE NDIT;Lo;0;L;;;;;N;;;;;
        "\uA152",  # ;YI SYLLABLE NDIX;Lo;0;L;;;;;N;;;;;
        "\uA153",  # ;YI SYLLABLE NDI;Lo;0;L;;;;;N;;;;;
        "\uA154",  # ;YI SYLLABLE NDIP;Lo;0;L;;;;;N;;;;;
        "\uA155",  # ;YI SYLLABLE NDIEX;Lo;0;L;;;;;N;;;;;
        "\uA156",  # ;YI SYLLABLE NDIE;Lo;0;L;;;;;N;;;;;
        "\uA157",  # ;YI SYLLABLE NDAT;Lo;0;L;;;;;N;;;;;
        "\uA158",  # ;YI SYLLABLE NDAX;Lo;0;L;;;;;N;;;;;
        "\uA159",  # ;YI SYLLABLE NDA;Lo;0;L;;;;;N;;;;;
        "\uA15A",  # ;YI SYLLABLE NDAP;Lo;0;L;;;;;N;;;;;
        "\uA15B",  # ;YI SYLLABLE NDOT;Lo;0;L;;;;;N;;;;;
        "\uA15C",  # ;YI SYLLABLE NDOX;Lo;0;L;;;;;N;;;;;
        "\uA15D",  # ;YI SYLLABLE NDO;Lo;0;L;;;;;N;;;;;
        "\uA15E",  # ;YI SYLLABLE NDOP;Lo;0;L;;;;;N;;;;;
        "\uA15F",  # ;YI SYLLABLE NDEX;Lo;0;L;;;;;N;;;;;
        "\uA160",  # ;YI SYLLABLE NDE;Lo;0;L;;;;;N;;;;;
        "\uA161",  # ;YI SYLLABLE NDEP;Lo;0;L;;;;;N;;;;;
        "\uA162",  # ;YI SYLLABLE NDUT;Lo;0;L;;;;;N;;;;;
        "\uA163",  # ;YI SYLLABLE NDUX;Lo;0;L;;;;;N;;;;;
        "\uA164",  # ;YI SYLLABLE NDU;Lo;0;L;;;;;N;;;;;
        "\uA165",  # ;YI SYLLABLE NDUP;Lo;0;L;;;;;N;;;;;
        "\uA166",  # ;YI SYLLABLE NDURX;Lo;0;L;;;;;N;;;;;
        "\uA167",  # ;YI SYLLABLE NDUR;Lo;0;L;;;;;N;;;;;
        "\uA168",  # ;YI SYLLABLE HNIT;Lo;0;L;;;;;N;;;;;
        "\uA169",  # ;YI SYLLABLE HNIX;Lo;0;L;;;;;N;;;;;
        "\uA16A",  # ;YI SYLLABLE HNI;Lo;0;L;;;;;N;;;;;
        "\uA16B",  # ;YI SYLLABLE HNIP;Lo;0;L;;;;;N;;;;;
        "\uA16C",  # ;YI SYLLABLE HNIET;Lo;0;L;;;;;N;;;;;
        "\uA16D",  # ;YI SYLLABLE HNIEX;Lo;0;L;;;;;N;;;;;
        "\uA16E",  # ;YI SYLLABLE HNIE;Lo;0;L;;;;;N;;;;;
        "\uA16F",  # ;YI SYLLABLE HNIEP;Lo;0;L;;;;;N;;;;;
        "\uA170",  # ;YI SYLLABLE HNAT;Lo;0;L;;;;;N;;;;;
        "\uA171",  # ;YI SYLLABLE HNAX;Lo;0;L;;;;;N;;;;;
        "\uA172",  # ;YI SYLLABLE HNA;Lo;0;L;;;;;N;;;;;
        "\uA173",  # ;YI SYLLABLE HNAP;Lo;0;L;;;;;N;;;;;
        "\uA174",  # ;YI SYLLABLE HNUOX;Lo;0;L;;;;;N;;;;;
        "\uA175",  # ;YI SYLLABLE HNUO;Lo;0;L;;;;;N;;;;;
        "\uA176",  # ;YI SYLLABLE HNOT;Lo;0;L;;;;;N;;;;;
        "\uA177",  # ;YI SYLLABLE HNOX;Lo;0;L;;;;;N;;;;;
        "\uA178",  # ;YI SYLLABLE HNOP;Lo;0;L;;;;;N;;;;;
        "\uA179",  # ;YI SYLLABLE HNEX;Lo;0;L;;;;;N;;;;;
        "\uA17A",  # ;YI SYLLABLE HNE;Lo;0;L;;;;;N;;;;;
        "\uA17B",  # ;YI SYLLABLE HNEP;Lo;0;L;;;;;N;;;;;
        "\uA17C",  # ;YI SYLLABLE HNUT;Lo;0;L;;;;;N;;;;;
        "\uA17D",  # ;YI SYLLABLE NIT;Lo;0;L;;;;;N;;;;;
        "\uA17E",  # ;YI SYLLABLE NIX;Lo;0;L;;;;;N;;;;;
        "\uA17F",  # ;YI SYLLABLE NI;Lo;0;L;;;;;N;;;;;
        "\uA180",  # ;YI SYLLABLE NIP;Lo;0;L;;;;;N;;;;;
        "\uA181",  # ;YI SYLLABLE NIEX;Lo;0;L;;;;;N;;;;;
        "\uA182",  # ;YI SYLLABLE NIE;Lo;0;L;;;;;N;;;;;
        "\uA183",  # ;YI SYLLABLE NIEP;Lo;0;L;;;;;N;;;;;
        "\uA184",  # ;YI SYLLABLE NAX;Lo;0;L;;;;;N;;;;;
        "\uA185",  # ;YI SYLLABLE NA;Lo;0;L;;;;;N;;;;;
        "\uA186",  # ;YI SYLLABLE NAP;Lo;0;L;;;;;N;;;;;
        "\uA187",  # ;YI SYLLABLE NUOX;Lo;0;L;;;;;N;;;;;
        "\uA188",  # ;YI SYLLABLE NUO;Lo;0;L;;;;;N;;;;;
        "\uA189",  # ;YI SYLLABLE NUOP;Lo;0;L;;;;;N;;;;;
        "\uA18A",  # ;YI SYLLABLE NOT;Lo;0;L;;;;;N;;;;;
        "\uA18B",  # ;YI SYLLABLE NOX;Lo;0;L;;;;;N;;;;;
        "\uA18C",  # ;YI SYLLABLE NO;Lo;0;L;;;;;N;;;;;
        "\uA18D",  # ;YI SYLLABLE NOP;Lo;0;L;;;;;N;;;;;
        "\uA18E",  # ;YI SYLLABLE NEX;Lo;0;L;;;;;N;;;;;
        "\uA18F",  # ;YI SYLLABLE NE;Lo;0;L;;;;;N;;;;;
        "\uA190",  # ;YI SYLLABLE NEP;Lo;0;L;;;;;N;;;;;
        "\uA191",  # ;YI SYLLABLE NUT;Lo;0;L;;;;;N;;;;;
        "\uA192",  # ;YI SYLLABLE NUX;Lo;0;L;;;;;N;;;;;
        "\uA193",  # ;YI SYLLABLE NU;Lo;0;L;;;;;N;;;;;
        "\uA194",  # ;YI SYLLABLE NUP;Lo;0;L;;;;;N;;;;;
        "\uA195",  # ;YI SYLLABLE NURX;Lo;0;L;;;;;N;;;;;
        "\uA196",  # ;YI SYLLABLE NUR;Lo;0;L;;;;;N;;;;;
        "\uA197",  # ;YI SYLLABLE HLIT;Lo;0;L;;;;;N;;;;;
        "\uA198",  # ;YI SYLLABLE HLIX;Lo;0;L;;;;;N;;;;;
        "\uA199",  # ;YI SYLLABLE HLI;Lo;0;L;;;;;N;;;;;
        "\uA19A",  # ;YI SYLLABLE HLIP;Lo;0;L;;;;;N;;;;;
        "\uA19B",  # ;YI SYLLABLE HLIEX;Lo;0;L;;;;;N;;;;;
        "\uA19C",  # ;YI SYLLABLE HLIE;Lo;0;L;;;;;N;;;;;
        "\uA19D",  # ;YI SYLLABLE HLIEP;Lo;0;L;;;;;N;;;;;
        "\uA19E",  # ;YI SYLLABLE HLAT;Lo;0;L;;;;;N;;;;;
        "\uA19F",  # ;YI SYLLABLE HLAX;Lo;0;L;;;;;N;;;;;
        "\uA1A0",  # ;YI SYLLABLE HLA;Lo;0;L;;;;;N;;;;;
        "\uA1A1",  # ;YI SYLLABLE HLAP;Lo;0;L;;;;;N;;;;;
        "\uA1A2",  # ;YI SYLLABLE HLUOX;Lo;0;L;;;;;N;;;;;
        "\uA1A3",  # ;YI SYLLABLE HLUO;Lo;0;L;;;;;N;;;;;
        "\uA1A4",  # ;YI SYLLABLE HLUOP;Lo;0;L;;;;;N;;;;;
        "\uA1A5",  # ;YI SYLLABLE HLOX;Lo;0;L;;;;;N;;;;;
        "\uA1A6",  # ;YI SYLLABLE HLO;Lo;0;L;;;;;N;;;;;
        "\uA1A7",  # ;YI SYLLABLE HLOP;Lo;0;L;;;;;N;;;;;
        "\uA1A8",  # ;YI SYLLABLE HLEX;Lo;0;L;;;;;N;;;;;
        "\uA1A9",  # ;YI SYLLABLE HLE;Lo;0;L;;;;;N;;;;;
        "\uA1AA",  # ;YI SYLLABLE HLEP;Lo;0;L;;;;;N;;;;;
        "\uA1AB",  # ;YI SYLLABLE HLUT;Lo;0;L;;;;;N;;;;;
        "\uA1AC",  # ;YI SYLLABLE HLUX;Lo;0;L;;;;;N;;;;;
        "\uA1AD",  # ;YI SYLLABLE HLU;Lo;0;L;;;;;N;;;;;
        "\uA1AE",  # ;YI SYLLABLE HLUP;Lo;0;L;;;;;N;;;;;
        "\uA1AF",  # ;YI SYLLABLE HLURX;Lo;0;L;;;;;N;;;;;
        "\uA1B0",  # ;YI SYLLABLE HLUR;Lo;0;L;;;;;N;;;;;
        "\uA1B1",  # ;YI SYLLABLE HLYT;Lo;0;L;;;;;N;;;;;
        "\uA1B2",  # ;YI SYLLABLE HLYX;Lo;0;L;;;;;N;;;;;
        "\uA1B3",  # ;YI SYLLABLE HLY;Lo;0;L;;;;;N;;;;;
        "\uA1B4",  # ;YI SYLLABLE HLYP;Lo;0;L;;;;;N;;;;;
        "\uA1B5",  # ;YI SYLLABLE HLYRX;Lo;0;L;;;;;N;;;;;
        "\uA1B6",  # ;YI SYLLABLE HLYR;Lo;0;L;;;;;N;;;;;
        "\uA1B7",  # ;YI SYLLABLE LIT;Lo;0;L;;;;;N;;;;;
        "\uA1B8",  # ;YI SYLLABLE LIX;Lo;0;L;;;;;N;;;;;
        "\uA1B9",  # ;YI SYLLABLE LI;Lo;0;L;;;;;N;;;;;
        "\uA1BA",  # ;YI SYLLABLE LIP;Lo;0;L;;;;;N;;;;;
        "\uA1BB",  # ;YI SYLLABLE LIET;Lo;0;L;;;;;N;;;;;
        "\uA1BC",  # ;YI SYLLABLE LIEX;Lo;0;L;;;;;N;;;;;
        "\uA1BD",  # ;YI SYLLABLE LIE;Lo;0;L;;;;;N;;;;;
        "\uA1BE",  # ;YI SYLLABLE LIEP;Lo;0;L;;;;;N;;;;;
        "\uA1BF",  # ;YI SYLLABLE LAT;Lo;0;L;;;;;N;;;;;
        "\uA1C0",  # ;YI SYLLABLE LAX;Lo;0;L;;;;;N;;;;;
        "\uA1C1",  # ;YI SYLLABLE LA;Lo;0;L;;;;;N;;;;;
        "\uA1C2",  # ;YI SYLLABLE LAP;Lo;0;L;;;;;N;;;;;
        "\uA1C3",  # ;YI SYLLABLE LUOT;Lo;0;L;;;;;N;;;;;
        "\uA1C4",  # ;YI SYLLABLE LUOX;Lo;0;L;;;;;N;;;;;
        "\uA1C5",  # ;YI SYLLABLE LUO;Lo;0;L;;;;;N;;;;;
        "\uA1C6",  # ;YI SYLLABLE LUOP;Lo;0;L;;;;;N;;;;;
        "\uA1C7",  # ;YI SYLLABLE LOT;Lo;0;L;;;;;N;;;;;
        "\uA1C8",  # ;YI SYLLABLE LOX;Lo;0;L;;;;;N;;;;;
        "\uA1C9",  # ;YI SYLLABLE LO;Lo;0;L;;;;;N;;;;;
        "\uA1CA",  # ;YI SYLLABLE LOP;Lo;0;L;;;;;N;;;;;
        "\uA1CB",  # ;YI SYLLABLE LEX;Lo;0;L;;;;;N;;;;;
        "\uA1CC",  # ;YI SYLLABLE LE;Lo;0;L;;;;;N;;;;;
        "\uA1CD",  # ;YI SYLLABLE LEP;Lo;0;L;;;;;N;;;;;
        "\uA1CE",  # ;YI SYLLABLE LUT;Lo;0;L;;;;;N;;;;;
        "\uA1CF",  # ;YI SYLLABLE LUX;Lo;0;L;;;;;N;;;;;
        "\uA1D0",  # ;YI SYLLABLE LU;Lo;0;L;;;;;N;;;;;
        "\uA1D1",  # ;YI SYLLABLE LUP;Lo;0;L;;;;;N;;;;;
        "\uA1D2",  # ;YI SYLLABLE LURX;Lo;0;L;;;;;N;;;;;
        "\uA1D3",  # ;YI SYLLABLE LUR;Lo;0;L;;;;;N;;;;;
        "\uA1D4",  # ;YI SYLLABLE LYT;Lo;0;L;;;;;N;;;;;
        "\uA1D5",  # ;YI SYLLABLE LYX;Lo;0;L;;;;;N;;;;;
        "\uA1D6",  # ;YI SYLLABLE LY;Lo;0;L;;;;;N;;;;;
        "\uA1D7",  # ;YI SYLLABLE LYP;Lo;0;L;;;;;N;;;;;
        "\uA1D8",  # ;YI SYLLABLE LYRX;Lo;0;L;;;;;N;;;;;
        "\uA1D9",  # ;YI SYLLABLE LYR;Lo;0;L;;;;;N;;;;;
        "\uA1DA",  # ;YI SYLLABLE GIT;Lo;0;L;;;;;N;;;;;
        "\uA1DB",  # ;YI SYLLABLE GIX;Lo;0;L;;;;;N;;;;;
        "\uA1DC",  # ;YI SYLLABLE GI;Lo;0;L;;;;;N;;;;;
        "\uA1DD",  # ;YI SYLLABLE GIP;Lo;0;L;;;;;N;;;;;
        "\uA1DE",  # ;YI SYLLABLE GIET;Lo;0;L;;;;;N;;;;;
        "\uA1DF",  # ;YI SYLLABLE GIEX;Lo;0;L;;;;;N;;;;;
        "\uA1E0",  # ;YI SYLLABLE GIE;Lo;0;L;;;;;N;;;;;
        "\uA1E1",  # ;YI SYLLABLE GIEP;Lo;0;L;;;;;N;;;;;
        "\uA1E2",  # ;YI SYLLABLE GAT;Lo;0;L;;;;;N;;;;;
        "\uA1E3",  # ;YI SYLLABLE GAX;Lo;0;L;;;;;N;;;;;
        "\uA1E4",  # ;YI SYLLABLE GA;Lo;0;L;;;;;N;;;;;
        "\uA1E5",  # ;YI SYLLABLE GAP;Lo;0;L;;;;;N;;;;;
        "\uA1E6",  # ;YI SYLLABLE GUOT;Lo;0;L;;;;;N;;;;;
        "\uA1E7",  # ;YI SYLLABLE GUOX;Lo;0;L;;;;;N;;;;;
        "\uA1E8",  # ;YI SYLLABLE GUO;Lo;0;L;;;;;N;;;;;
        "\uA1E9",  # ;YI SYLLABLE GUOP;Lo;0;L;;;;;N;;;;;
        "\uA1EA",  # ;YI SYLLABLE GOT;Lo;0;L;;;;;N;;;;;
        "\uA1EB",  # ;YI SYLLABLE GOX;Lo;0;L;;;;;N;;;;;
        "\uA1EC",  # ;YI SYLLABLE GO;Lo;0;L;;;;;N;;;;;
        "\uA1ED",  # ;YI SYLLABLE GOP;Lo;0;L;;;;;N;;;;;
        "\uA1EE",  # ;YI SYLLABLE GET;Lo;0;L;;;;;N;;;;;
        "\uA1EF",  # ;YI SYLLABLE GEX;Lo;0;L;;;;;N;;;;;
        "\uA1F0",  # ;YI SYLLABLE GE;Lo;0;L;;;;;N;;;;;
        "\uA1F1",  # ;YI SYLLABLE GEP;Lo;0;L;;;;;N;;;;;
        "\uA1F2",  # ;YI SYLLABLE GUT;Lo;0;L;;;;;N;;;;;
        "\uA1F3",  # ;YI SYLLABLE GUX;Lo;0;L;;;;;N;;;;;
        "\uA1F4",  # ;YI SYLLABLE GU;Lo;0;L;;;;;N;;;;;
        "\uA1F5",  # ;YI SYLLABLE GUP;Lo;0;L;;;;;N;;;;;
        "\uA1F6",  # ;YI SYLLABLE GURX;Lo;0;L;;;;;N;;;;;
        "\uA1F7",  # ;YI SYLLABLE GUR;Lo;0;L;;;;;N;;;;;
        "\uA1F8",  # ;YI SYLLABLE KIT;Lo;0;L;;;;;N;;;;;
        "\uA1F9",  # ;YI SYLLABLE KIX;Lo;0;L;;;;;N;;;;;
        "\uA1FA",  # ;YI SYLLABLE KI;Lo;0;L;;;;;N;;;;;
        "\uA1FB",  # ;YI SYLLABLE KIP;Lo;0;L;;;;;N;;;;;
        "\uA1FC",  # ;YI SYLLABLE KIEX;Lo;0;L;;;;;N;;;;;
        "\uA1FD",  # ;YI SYLLABLE KIE;Lo;0;L;;;;;N;;;;;
        "\uA1FE",  # ;YI SYLLABLE KIEP;Lo;0;L;;;;;N;;;;;
        "\uA1FF",  # ;YI SYLLABLE KAT;Lo;0;L;;;;;N;;;;;
        "\uA200",  # ;YI SYLLABLE KAX;Lo;0;L;;;;;N;;;;;
        "\uA201",  # ;YI SYLLABLE KA;Lo;0;L;;;;;N;;;;;
        "\uA202",  # ;YI SYLLABLE KAP;Lo;0;L;;;;;N;;;;;
        "\uA203",  # ;YI SYLLABLE KUOX;Lo;0;L;;;;;N;;;;;
        "\uA204",  # ;YI SYLLABLE KUO;Lo;0;L;;;;;N;;;;;
        "\uA205",  # ;YI SYLLABLE KUOP;Lo;0;L;;;;;N;;;;;
        "\uA206",  # ;YI SYLLABLE KOT;Lo;0;L;;;;;N;;;;;
        "\uA207",  # ;YI SYLLABLE KOX;Lo;0;L;;;;;N;;;;;
        "\uA208",  # ;YI SYLLABLE KO;Lo;0;L;;;;;N;;;;;
        "\uA209",  # ;YI SYLLABLE KOP;Lo;0;L;;;;;N;;;;;
        "\uA20A",  # ;YI SYLLABLE KET;Lo;0;L;;;;;N;;;;;
        "\uA20B",  # ;YI SYLLABLE KEX;Lo;0;L;;;;;N;;;;;
        "\uA20C",  # ;YI SYLLABLE KE;Lo;0;L;;;;;N;;;;;
        "\uA20D",  # ;YI SYLLABLE KEP;Lo;0;L;;;;;N;;;;;
        "\uA20E",  # ;YI SYLLABLE KUT;Lo;0;L;;;;;N;;;;;
        "\uA20F",  # ;YI SYLLABLE KUX;Lo;0;L;;;;;N;;;;;
        "\uA210",  # ;YI SYLLABLE KU;Lo;0;L;;;;;N;;;;;
        "\uA211",  # ;YI SYLLABLE KUP;Lo;0;L;;;;;N;;;;;
        "\uA212",  # ;YI SYLLABLE KURX;Lo;0;L;;;;;N;;;;;
        "\uA213",  # ;YI SYLLABLE KUR;Lo;0;L;;;;;N;;;;;
        "\uA214",  # ;YI SYLLABLE GGIT;Lo;0;L;;;;;N;;;;;
        "\uA215",  # ;YI SYLLABLE GGIX;Lo;0;L;;;;;N;;;;;
        "\uA216",  # ;YI SYLLABLE GGI;Lo;0;L;;;;;N;;;;;
        "\uA217",  # ;YI SYLLABLE GGIEX;Lo;0;L;;;;;N;;;;;
        "\uA218",  # ;YI SYLLABLE GGIE;Lo;0;L;;;;;N;;;;;
        "\uA219",  # ;YI SYLLABLE GGIEP;Lo;0;L;;;;;N;;;;;
        "\uA21A",  # ;YI SYLLABLE GGAT;Lo;0;L;;;;;N;;;;;
        "\uA21B",  # ;YI SYLLABLE GGAX;Lo;0;L;;;;;N;;;;;
        "\uA21C",  # ;YI SYLLABLE GGA;Lo;0;L;;;;;N;;;;;
        "\uA21D",  # ;YI SYLLABLE GGAP;Lo;0;L;;;;;N;;;;;
        "\uA21E",  # ;YI SYLLABLE GGUOT;Lo;0;L;;;;;N;;;;;
        "\uA21F",  # ;YI SYLLABLE GGUOX;Lo;0;L;;;;;N;;;;;
        "\uA220",  # ;YI SYLLABLE GGUO;Lo;0;L;;;;;N;;;;;
        "\uA221",  # ;YI SYLLABLE GGUOP;Lo;0;L;;;;;N;;;;;
        "\uA222",  # ;YI SYLLABLE GGOT;Lo;0;L;;;;;N;;;;;
        "\uA223",  # ;YI SYLLABLE GGOX;Lo;0;L;;;;;N;;;;;
        "\uA224",  # ;YI SYLLABLE GGO;Lo;0;L;;;;;N;;;;;
        "\uA225",  # ;YI SYLLABLE GGOP;Lo;0;L;;;;;N;;;;;
        "\uA226",  # ;YI SYLLABLE GGET;Lo;0;L;;;;;N;;;;;
        "\uA227",  # ;YI SYLLABLE GGEX;Lo;0;L;;;;;N;;;;;
        "\uA228",  # ;YI SYLLABLE GGE;Lo;0;L;;;;;N;;;;;
        "\uA229",  # ;YI SYLLABLE GGEP;Lo;0;L;;;;;N;;;;;
        "\uA22A",  # ;YI SYLLABLE GGUT;Lo;0;L;;;;;N;;;;;
        "\uA22B",  # ;YI SYLLABLE GGUX;Lo;0;L;;;;;N;;;;;
        "\uA22C",  # ;YI SYLLABLE GGU;Lo;0;L;;;;;N;;;;;
        "\uA22D",  # ;YI SYLLABLE GGUP;Lo;0;L;;;;;N;;;;;
        "\uA22E",  # ;YI SYLLABLE GGURX;Lo;0;L;;;;;N;;;;;
        "\uA22F",  # ;YI SYLLABLE GGUR;Lo;0;L;;;;;N;;;;;
        "\uA230",  # ;YI SYLLABLE MGIEX;Lo;0;L;;;;;N;;;;;
        "\uA231",  # ;YI SYLLABLE MGIE;Lo;0;L;;;;;N;;;;;
        "\uA232",  # ;YI SYLLABLE MGAT;Lo;0;L;;;;;N;;;;;
        "\uA233",  # ;YI SYLLABLE MGAX;Lo;0;L;;;;;N;;;;;
        "\uA234",  # ;YI SYLLABLE MGA;Lo;0;L;;;;;N;;;;;
        "\uA235",  # ;YI SYLLABLE MGAP;Lo;0;L;;;;;N;;;;;
        "\uA236",  # ;YI SYLLABLE MGUOX;Lo;0;L;;;;;N;;;;;
        "\uA237",  # ;YI SYLLABLE MGUO;Lo;0;L;;;;;N;;;;;
        "\uA238",  # ;YI SYLLABLE MGUOP;Lo;0;L;;;;;N;;;;;
        "\uA239",  # ;YI SYLLABLE MGOT;Lo;0;L;;;;;N;;;;;
        "\uA23A",  # ;YI SYLLABLE MGOX;Lo;0;L;;;;;N;;;;;
        "\uA23B",  # ;YI SYLLABLE MGO;Lo;0;L;;;;;N;;;;;
        "\uA23C",  # ;YI SYLLABLE MGOP;Lo;0;L;;;;;N;;;;;
        "\uA23D",  # ;YI SYLLABLE MGEX;Lo;0;L;;;;;N;;;;;
        "\uA23E",  # ;YI SYLLABLE MGE;Lo;0;L;;;;;N;;;;;
        "\uA23F",  # ;YI SYLLABLE MGEP;Lo;0;L;;;;;N;;;;;
        "\uA240",  # ;YI SYLLABLE MGUT;Lo;0;L;;;;;N;;;;;
        "\uA241",  # ;YI SYLLABLE MGUX;Lo;0;L;;;;;N;;;;;
        "\uA242",  # ;YI SYLLABLE MGU;Lo;0;L;;;;;N;;;;;
        "\uA243",  # ;YI SYLLABLE MGUP;Lo;0;L;;;;;N;;;;;
        "\uA244",  # ;YI SYLLABLE MGURX;Lo;0;L;;;;;N;;;;;
        "\uA245",  # ;YI SYLLABLE MGUR;Lo;0;L;;;;;N;;;;;
        "\uA246",  # ;YI SYLLABLE HXIT;Lo;0;L;;;;;N;;;;;
        "\uA247",  # ;YI SYLLABLE HXIX;Lo;0;L;;;;;N;;;;;
        "\uA248",  # ;YI SYLLABLE HXI;Lo;0;L;;;;;N;;;;;
        "\uA249",  # ;YI SYLLABLE HXIP;Lo;0;L;;;;;N;;;;;
        "\uA24A",  # ;YI SYLLABLE HXIET;Lo;0;L;;;;;N;;;;;
        "\uA24B",  # ;YI SYLLABLE HXIEX;Lo;0;L;;;;;N;;;;;
        "\uA24C",  # ;YI SYLLABLE HXIE;Lo;0;L;;;;;N;;;;;
        "\uA24D",  # ;YI SYLLABLE HXIEP;Lo;0;L;;;;;N;;;;;
        "\uA24E",  # ;YI SYLLABLE HXAT;Lo;0;L;;;;;N;;;;;
        "\uA24F",  # ;YI SYLLABLE HXAX;Lo;0;L;;;;;N;;;;;
        "\uA250",  # ;YI SYLLABLE HXA;Lo;0;L;;;;;N;;;;;
        "\uA251",  # ;YI SYLLABLE HXAP;Lo;0;L;;;;;N;;;;;
        "\uA252",  # ;YI SYLLABLE HXUOT;Lo;0;L;;;;;N;;;;;
        "\uA253",  # ;YI SYLLABLE HXUOX;Lo;0;L;;;;;N;;;;;
        "\uA254",  # ;YI SYLLABLE HXUO;Lo;0;L;;;;;N;;;;;
        "\uA255",  # ;YI SYLLABLE HXUOP;Lo;0;L;;;;;N;;;;;
        "\uA256",  # ;YI SYLLABLE HXOT;Lo;0;L;;;;;N;;;;;
        "\uA257",  # ;YI SYLLABLE HXOX;Lo;0;L;;;;;N;;;;;
        "\uA258",  # ;YI SYLLABLE HXO;Lo;0;L;;;;;N;;;;;
        "\uA259",  # ;YI SYLLABLE HXOP;Lo;0;L;;;;;N;;;;;
        "\uA25A",  # ;YI SYLLABLE HXEX;Lo;0;L;;;;;N;;;;;
        "\uA25B",  # ;YI SYLLABLE HXE;Lo;0;L;;;;;N;;;;;
        "\uA25C",  # ;YI SYLLABLE HXEP;Lo;0;L;;;;;N;;;;;
        "\uA25D",  # ;YI SYLLABLE NGIEX;Lo;0;L;;;;;N;;;;;
        "\uA25E",  # ;YI SYLLABLE NGIE;Lo;0;L;;;;;N;;;;;
        "\uA25F",  # ;YI SYLLABLE NGIEP;Lo;0;L;;;;;N;;;;;
        "\uA260",  # ;YI SYLLABLE NGAT;Lo;0;L;;;;;N;;;;;
        "\uA261",  # ;YI SYLLABLE NGAX;Lo;0;L;;;;;N;;;;;
        "\uA262",  # ;YI SYLLABLE NGA;Lo;0;L;;;;;N;;;;;
        "\uA263",  # ;YI SYLLABLE NGAP;Lo;0;L;;;;;N;;;;;
        "\uA264",  # ;YI SYLLABLE NGUOT;Lo;0;L;;;;;N;;;;;
        "\uA265",  # ;YI SYLLABLE NGUOX;Lo;0;L;;;;;N;;;;;
        "\uA266",  # ;YI SYLLABLE NGUO;Lo;0;L;;;;;N;;;;;
        "\uA267",  # ;YI SYLLABLE NGOT;Lo;0;L;;;;;N;;;;;
        "\uA268",  # ;YI SYLLABLE NGOX;Lo;0;L;;;;;N;;;;;
        "\uA269",  # ;YI SYLLABLE NGO;Lo;0;L;;;;;N;;;;;
        "\uA26A",  # ;YI SYLLABLE NGOP;Lo;0;L;;;;;N;;;;;
        "\uA26B",  # ;YI SYLLABLE NGEX;Lo;0;L;;;;;N;;;;;
        "\uA26C",  # ;YI SYLLABLE NGE;Lo;0;L;;;;;N;;;;;
        "\uA26D",  # ;YI SYLLABLE NGEP;Lo;0;L;;;;;N;;;;;
        "\uA26E",  # ;YI SYLLABLE HIT;Lo;0;L;;;;;N;;;;;
        "\uA26F",  # ;YI SYLLABLE HIEX;Lo;0;L;;;;;N;;;;;
        "\uA270",  # ;YI SYLLABLE HIE;Lo;0;L;;;;;N;;;;;
        "\uA271",  # ;YI SYLLABLE HAT;Lo;0;L;;;;;N;;;;;
        "\uA272",  # ;YI SYLLABLE HAX;Lo;0;L;;;;;N;;;;;
        "\uA273",  # ;YI SYLLABLE HA;Lo;0;L;;;;;N;;;;;
        "\uA274",  # ;YI SYLLABLE HAP;Lo;0;L;;;;;N;;;;;
        "\uA275",  # ;YI SYLLABLE HUOT;Lo;0;L;;;;;N;;;;;
        "\uA276",  # ;YI SYLLABLE HUOX;Lo;0;L;;;;;N;;;;;
        "\uA277",  # ;YI SYLLABLE HUO;Lo;0;L;;;;;N;;;;;
        "\uA278",  # ;YI SYLLABLE HUOP;Lo;0;L;;;;;N;;;;;
        "\uA279",  # ;YI SYLLABLE HOT;Lo;0;L;;;;;N;;;;;
        "\uA27A",  # ;YI SYLLABLE HOX;Lo;0;L;;;;;N;;;;;
        "\uA27B",  # ;YI SYLLABLE HO;Lo;0;L;;;;;N;;;;;
        "\uA27C",  # ;YI SYLLABLE HOP;Lo;0;L;;;;;N;;;;;
        "\uA27D",  # ;YI SYLLABLE HEX;Lo;0;L;;;;;N;;;;;
        "\uA27E",  # ;YI SYLLABLE HE;Lo;0;L;;;;;N;;;;;
        "\uA27F",  # ;YI SYLLABLE HEP;Lo;0;L;;;;;N;;;;;
        "\uA280",  # ;YI SYLLABLE WAT;Lo;0;L;;;;;N;;;;;
        "\uA281",  # ;YI SYLLABLE WAX;Lo;0;L;;;;;N;;;;;
        "\uA282",  # ;YI SYLLABLE WA;Lo;0;L;;;;;N;;;;;
        "\uA283",  # ;YI SYLLABLE WAP;Lo;0;L;;;;;N;;;;;
        "\uA284",  # ;YI SYLLABLE WUOX;Lo;0;L;;;;;N;;;;;
        "\uA285",  # ;YI SYLLABLE WUO;Lo;0;L;;;;;N;;;;;
        "\uA286",  # ;YI SYLLABLE WUOP;Lo;0;L;;;;;N;;;;;
        "\uA287",  # ;YI SYLLABLE WOX;Lo;0;L;;;;;N;;;;;
        "\uA288",  # ;YI SYLLABLE WO;Lo;0;L;;;;;N;;;;;
        "\uA289",  # ;YI SYLLABLE WOP;Lo;0;L;;;;;N;;;;;
        "\uA28A",  # ;YI SYLLABLE WEX;Lo;0;L;;;;;N;;;;;
        "\uA28B",  # ;YI SYLLABLE WE;Lo;0;L;;;;;N;;;;;
        "\uA28C",  # ;YI SYLLABLE WEP;Lo;0;L;;;;;N;;;;;
        "\uA28D",  # ;YI SYLLABLE ZIT;Lo;0;L;;;;;N;;;;;
        "\uA28E",  # ;YI SYLLABLE ZIX;Lo;0;L;;;;;N;;;;;
        "\uA28F",  # ;YI SYLLABLE ZI;Lo;0;L;;;;;N;;;;;
        "\uA290",  # ;YI SYLLABLE ZIP;Lo;0;L;;;;;N;;;;;
        "\uA291",  # ;YI SYLLABLE ZIEX;Lo;0;L;;;;;N;;;;;
        "\uA292",  # ;YI SYLLABLE ZIE;Lo;0;L;;;;;N;;;;;
        "\uA293",  # ;YI SYLLABLE ZIEP;Lo;0;L;;;;;N;;;;;
        "\uA294",  # ;YI SYLLABLE ZAT;Lo;0;L;;;;;N;;;;;
        "\uA295",  # ;YI SYLLABLE ZAX;Lo;0;L;;;;;N;;;;;
        "\uA296",  # ;YI SYLLABLE ZA;Lo;0;L;;;;;N;;;;;
        "\uA297",  # ;YI SYLLABLE ZAP;Lo;0;L;;;;;N;;;;;
        "\uA298",  # ;YI SYLLABLE ZUOX;Lo;0;L;;;;;N;;;;;
        "\uA299",  # ;YI SYLLABLE ZUO;Lo;0;L;;;;;N;;;;;
        "\uA29A",  # ;YI SYLLABLE ZUOP;Lo;0;L;;;;;N;;;;;
        "\uA29B",  # ;YI SYLLABLE ZOT;Lo;0;L;;;;;N;;;;;
        "\uA29C",  # ;YI SYLLABLE ZOX;Lo;0;L;;;;;N;;;;;
        "\uA29D",  # ;YI SYLLABLE ZO;Lo;0;L;;;;;N;;;;;
        "\uA29E",  # ;YI SYLLABLE ZOP;Lo;0;L;;;;;N;;;;;
        "\uA29F",  # ;YI SYLLABLE ZEX;Lo;0;L;;;;;N;;;;;
        "\uA2A0",  # ;YI SYLLABLE ZE;Lo;0;L;;;;;N;;;;;
        "\uA2A1",  # ;YI SYLLABLE ZEP;Lo;0;L;;;;;N;;;;;
        "\uA2A2",  # ;YI SYLLABLE ZUT;Lo;0;L;;;;;N;;;;;
        "\uA2A3",  # ;YI SYLLABLE ZUX;Lo;0;L;;;;;N;;;;;
        "\uA2A4",  # ;YI SYLLABLE ZU;Lo;0;L;;;;;N;;;;;
        "\uA2A5",  # ;YI SYLLABLE ZUP;Lo;0;L;;;;;N;;;;;
        "\uA2A6",  # ;YI SYLLABLE ZURX;Lo;0;L;;;;;N;;;;;
        "\uA2A7",  # ;YI SYLLABLE ZUR;Lo;0;L;;;;;N;;;;;
        "\uA2A8",  # ;YI SYLLABLE ZYT;Lo;0;L;;;;;N;;;;;
        "\uA2A9",  # ;YI SYLLABLE ZYX;Lo;0;L;;;;;N;;;;;
        "\uA2AA",  # ;YI SYLLABLE ZY;Lo;0;L;;;;;N;;;;;
        "\uA2AB",  # ;YI SYLLABLE ZYP;Lo;0;L;;;;;N;;;;;
        "\uA2AC",  # ;YI SYLLABLE ZYRX;Lo;0;L;;;;;N;;;;;
        "\uA2AD",  # ;YI SYLLABLE ZYR;Lo;0;L;;;;;N;;;;;
        "\uA2AE",  # ;YI SYLLABLE CIT;Lo;0;L;;;;;N;;;;;
        "\uA2AF",  # ;YI SYLLABLE CIX;Lo;0;L;;;;;N;;;;;
        "\uA2B0",  # ;YI SYLLABLE CI;Lo;0;L;;;;;N;;;;;
        "\uA2B1",  # ;YI SYLLABLE CIP;Lo;0;L;;;;;N;;;;;
        "\uA2B2",  # ;YI SYLLABLE CIET;Lo;0;L;;;;;N;;;;;
        "\uA2B3",  # ;YI SYLLABLE CIEX;Lo;0;L;;;;;N;;;;;
        "\uA2B4",  # ;YI SYLLABLE CIE;Lo;0;L;;;;;N;;;;;
        "\uA2B5",  # ;YI SYLLABLE CIEP;Lo;0;L;;;;;N;;;;;
        "\uA2B6",  # ;YI SYLLABLE CAT;Lo;0;L;;;;;N;;;;;
        "\uA2B7",  # ;YI SYLLABLE CAX;Lo;0;L;;;;;N;;;;;
        "\uA2B8",  # ;YI SYLLABLE CA;Lo;0;L;;;;;N;;;;;
        "\uA2B9",  # ;YI SYLLABLE CAP;Lo;0;L;;;;;N;;;;;
        "\uA2BA",  # ;YI SYLLABLE CUOX;Lo;0;L;;;;;N;;;;;
        "\uA2BB",  # ;YI SYLLABLE CUO;Lo;0;L;;;;;N;;;;;
        "\uA2BC",  # ;YI SYLLABLE CUOP;Lo;0;L;;;;;N;;;;;
        "\uA2BD",  # ;YI SYLLABLE COT;Lo;0;L;;;;;N;;;;;
        "\uA2BE",  # ;YI SYLLABLE COX;Lo;0;L;;;;;N;;;;;
        "\uA2BF",  # ;YI SYLLABLE CO;Lo;0;L;;;;;N;;;;;
        "\uA2C0",  # ;YI SYLLABLE COP;Lo;0;L;;;;;N;;;;;
        "\uA2C1",  # ;YI SYLLABLE CEX;Lo;0;L;;;;;N;;;;;
        "\uA2C2",  # ;YI SYLLABLE CE;Lo;0;L;;;;;N;;;;;
        "\uA2C3",  # ;YI SYLLABLE CEP;Lo;0;L;;;;;N;;;;;
        "\uA2C4",  # ;YI SYLLABLE CUT;Lo;0;L;;;;;N;;;;;
        "\uA2C5",  # ;YI SYLLABLE CUX;Lo;0;L;;;;;N;;;;;
        "\uA2C6",  # ;YI SYLLABLE CU;Lo;0;L;;;;;N;;;;;
        "\uA2C7",  # ;YI SYLLABLE CUP;Lo;0;L;;;;;N;;;;;
        "\uA2C8",  # ;YI SYLLABLE CURX;Lo;0;L;;;;;N;;;;;
        "\uA2C9",  # ;YI SYLLABLE CUR;Lo;0;L;;;;;N;;;;;
        "\uA2CA",  # ;YI SYLLABLE CYT;Lo;0;L;;;;;N;;;;;
        "\uA2CB",  # ;YI SYLLABLE CYX;Lo;0;L;;;;;N;;;;;
        "\uA2CC",  # ;YI SYLLABLE CY;Lo;0;L;;;;;N;;;;;
        "\uA2CD",  # ;YI SYLLABLE CYP;Lo;0;L;;;;;N;;;;;
        "\uA2CE",  # ;YI SYLLABLE CYRX;Lo;0;L;;;;;N;;;;;
        "\uA2CF",  # ;YI SYLLABLE CYR;Lo;0;L;;;;;N;;;;;
        "\uA2D0",  # ;YI SYLLABLE ZZIT;Lo;0;L;;;;;N;;;;;
        "\uA2D1",  # ;YI SYLLABLE ZZIX;Lo;0;L;;;;;N;;;;;
        "\uA2D2",  # ;YI SYLLABLE ZZI;Lo;0;L;;;;;N;;;;;
        "\uA2D3",  # ;YI SYLLABLE ZZIP;Lo;0;L;;;;;N;;;;;
        "\uA2D4",  # ;YI SYLLABLE ZZIET;Lo;0;L;;;;;N;;;;;
        "\uA2D5",  # ;YI SYLLABLE ZZIEX;Lo;0;L;;;;;N;;;;;
        "\uA2D6",  # ;YI SYLLABLE ZZIE;Lo;0;L;;;;;N;;;;;
        "\uA2D7",  # ;YI SYLLABLE ZZIEP;Lo;0;L;;;;;N;;;;;
        "\uA2D8",  # ;YI SYLLABLE ZZAT;Lo;0;L;;;;;N;;;;;
        "\uA2D9",  # ;YI SYLLABLE ZZAX;Lo;0;L;;;;;N;;;;;
        "\uA2DA",  # ;YI SYLLABLE ZZA;Lo;0;L;;;;;N;;;;;
        "\uA2DB",  # ;YI SYLLABLE ZZAP;Lo;0;L;;;;;N;;;;;
        "\uA2DC",  # ;YI SYLLABLE ZZOX;Lo;0;L;;;;;N;;;;;
        "\uA2DD",  # ;YI SYLLABLE ZZO;Lo;0;L;;;;;N;;;;;
        "\uA2DE",  # ;YI SYLLABLE ZZOP;Lo;0;L;;;;;N;;;;;
        "\uA2DF",  # ;YI SYLLABLE ZZEX;Lo;0;L;;;;;N;;;;;
        "\uA2E0",  # ;YI SYLLABLE ZZE;Lo;0;L;;;;;N;;;;;
        "\uA2E1",  # ;YI SYLLABLE ZZEP;Lo;0;L;;;;;N;;;;;
        "\uA2E2",  # ;YI SYLLABLE ZZUX;Lo;0;L;;;;;N;;;;;
        "\uA2E3",  # ;YI SYLLABLE ZZU;Lo;0;L;;;;;N;;;;;
        "\uA2E4",  # ;YI SYLLABLE ZZUP;Lo;0;L;;;;;N;;;;;
        "\uA2E5",  # ;YI SYLLABLE ZZURX;Lo;0;L;;;;;N;;;;;
        "\uA2E6",  # ;YI SYLLABLE ZZUR;Lo;0;L;;;;;N;;;;;
        "\uA2E7",  # ;YI SYLLABLE ZZYT;Lo;0;L;;;;;N;;;;;
        "\uA2E8",  # ;YI SYLLABLE ZZYX;Lo;0;L;;;;;N;;;;;
        "\uA2E9",  # ;YI SYLLABLE ZZY;Lo;0;L;;;;;N;;;;;
        "\uA2EA",  # ;YI SYLLABLE ZZYP;Lo;0;L;;;;;N;;;;;
        "\uA2EB",  # ;YI SYLLABLE ZZYRX;Lo;0;L;;;;;N;;;;;
        "\uA2EC",  # ;YI SYLLABLE ZZYR;Lo;0;L;;;;;N;;;;;
        "\uA2ED",  # ;YI SYLLABLE NZIT;Lo;0;L;;;;;N;;;;;
        "\uA2EE",  # ;YI SYLLABLE NZIX;Lo;0;L;;;;;N;;;;;
        "\uA2EF",  # ;YI SYLLABLE NZI;Lo;0;L;;;;;N;;;;;
        "\uA2F0",  # ;YI SYLLABLE NZIP;Lo;0;L;;;;;N;;;;;
        "\uA2F1",  # ;YI SYLLABLE NZIEX;Lo;0;L;;;;;N;;;;;
        "\uA2F2",  # ;YI SYLLABLE NZIE;Lo;0;L;;;;;N;;;;;
        "\uA2F3",  # ;YI SYLLABLE NZIEP;Lo;0;L;;;;;N;;;;;
        "\uA2F4",  # ;YI SYLLABLE NZAT;Lo;0;L;;;;;N;;;;;
        "\uA2F5",  # ;YI SYLLABLE NZAX;Lo;0;L;;;;;N;;;;;
        "\uA2F6",  # ;YI SYLLABLE NZA;Lo;0;L;;;;;N;;;;;
        "\uA2F7",  # ;YI SYLLABLE NZAP;Lo;0;L;;;;;N;;;;;
        "\uA2F8",  # ;YI SYLLABLE NZUOX;Lo;0;L;;;;;N;;;;;
        "\uA2F9",  # ;YI SYLLABLE NZUO;Lo;0;L;;;;;N;;;;;
        "\uA2FA",  # ;YI SYLLABLE NZOX;Lo;0;L;;;;;N;;;;;
        "\uA2FB",  # ;YI SYLLABLE NZOP;Lo;0;L;;;;;N;;;;;
        "\uA2FC",  # ;YI SYLLABLE NZEX;Lo;0;L;;;;;N;;;;;
        "\uA2FD",  # ;YI SYLLABLE NZE;Lo;0;L;;;;;N;;;;;
        "\uA2FE",  # ;YI SYLLABLE NZUX;Lo;0;L;;;;;N;;;;;
        "\uA2FF",  # ;YI SYLLABLE NZU;Lo;0;L;;;;;N;;;;;
        "\uA300",  # ;YI SYLLABLE NZUP;Lo;0;L;;;;;N;;;;;
        "\uA301",  # ;YI SYLLABLE NZURX;Lo;0;L;;;;;N;;;;;
        "\uA302",  # ;YI SYLLABLE NZUR;Lo;0;L;;;;;N;;;;;
        "\uA303",  # ;YI SYLLABLE NZYT;Lo;0;L;;;;;N;;;;;
        "\uA304",  # ;YI SYLLABLE NZYX;Lo;0;L;;;;;N;;;;;
        "\uA305",  # ;YI SYLLABLE NZY;Lo;0;L;;;;;N;;;;;
        "\uA306",  # ;YI SYLLABLE NZYP;Lo;0;L;;;;;N;;;;;
        "\uA307",  # ;YI SYLLABLE NZYRX;Lo;0;L;;;;;N;;;;;
        "\uA308",  # ;YI SYLLABLE NZYR;Lo;0;L;;;;;N;;;;;
        "\uA309",  # ;YI SYLLABLE SIT;Lo;0;L;;;;;N;;;;;
        "\uA30A",  # ;YI SYLLABLE SIX;Lo;0;L;;;;;N;;;;;
        "\uA30B",  # ;YI SYLLABLE SI;Lo;0;L;;;;;N;;;;;
        "\uA30C",  # ;YI SYLLABLE SIP;Lo;0;L;;;;;N;;;;;
        "\uA30D",  # ;YI SYLLABLE SIEX;Lo;0;L;;;;;N;;;;;
        "\uA30E",  # ;YI SYLLABLE SIE;Lo;0;L;;;;;N;;;;;
        "\uA30F",  # ;YI SYLLABLE SIEP;Lo;0;L;;;;;N;;;;;
        "\uA310",  # ;YI SYLLABLE SAT;Lo;0;L;;;;;N;;;;;
        "\uA311",  # ;YI SYLLABLE SAX;Lo;0;L;;;;;N;;;;;
        "\uA312",  # ;YI SYLLABLE SA;Lo;0;L;;;;;N;;;;;
        "\uA313",  # ;YI SYLLABLE SAP;Lo;0;L;;;;;N;;;;;
        "\uA314",  # ;YI SYLLABLE SUOX;Lo;0;L;;;;;N;;;;;
        "\uA315",  # ;YI SYLLABLE SUO;Lo;0;L;;;;;N;;;;;
        "\uA316",  # ;YI SYLLABLE SUOP;Lo;0;L;;;;;N;;;;;
        "\uA317",  # ;YI SYLLABLE SOT;Lo;0;L;;;;;N;;;;;
        "\uA318",  # ;YI SYLLABLE SOX;Lo;0;L;;;;;N;;;;;
        "\uA319",  # ;YI SYLLABLE SO;Lo;0;L;;;;;N;;;;;
        "\uA31A",  # ;YI SYLLABLE SOP;Lo;0;L;;;;;N;;;;;
        "\uA31B",  # ;YI SYLLABLE SEX;Lo;0;L;;;;;N;;;;;
        "\uA31C",  # ;YI SYLLABLE SE;Lo;0;L;;;;;N;;;;;
        "\uA31D",  # ;YI SYLLABLE SEP;Lo;0;L;;;;;N;;;;;
        "\uA31E",  # ;YI SYLLABLE SUT;Lo;0;L;;;;;N;;;;;
        "\uA31F",  # ;YI SYLLABLE SUX;Lo;0;L;;;;;N;;;;;
        "\uA320",  # ;YI SYLLABLE SU;Lo;0;L;;;;;N;;;;;
        "\uA321",  # ;YI SYLLABLE SUP;Lo;0;L;;;;;N;;;;;
        "\uA322",  # ;YI SYLLABLE SURX;Lo;0;L;;;;;N;;;;;
        "\uA323",  # ;YI SYLLABLE SUR;Lo;0;L;;;;;N;;;;;
        "\uA324",  # ;YI SYLLABLE SYT;Lo;0;L;;;;;N;;;;;
        "\uA325",  # ;YI SYLLABLE SYX;Lo;0;L;;;;;N;;;;;
        "\uA326",  # ;YI SYLLABLE SY;Lo;0;L;;;;;N;;;;;
        "\uA327",  # ;YI SYLLABLE SYP;Lo;0;L;;;;;N;;;;;
        "\uA328",  # ;YI SYLLABLE SYRX;Lo;0;L;;;;;N;;;;;
        "\uA329",  # ;YI SYLLABLE SYR;Lo;0;L;;;;;N;;;;;
        "\uA32A",  # ;YI SYLLABLE SSIT;Lo;0;L;;;;;N;;;;;
        "\uA32B",  # ;YI SYLLABLE SSIX;Lo;0;L;;;;;N;;;;;
        "\uA32C",  # ;YI SYLLABLE SSI;Lo;0;L;;;;;N;;;;;
        "\uA32D",  # ;YI SYLLABLE SSIP;Lo;0;L;;;;;N;;;;;
        "\uA32E",  # ;YI SYLLABLE SSIEX;Lo;0;L;;;;;N;;;;;
        "\uA32F",  # ;YI SYLLABLE SSIE;Lo;0;L;;;;;N;;;;;
        "\uA330",  # ;YI SYLLABLE SSIEP;Lo;0;L;;;;;N;;;;;
        "\uA331",  # ;YI SYLLABLE SSAT;Lo;0;L;;;;;N;;;;;
        "\uA332",  # ;YI SYLLABLE SSAX;Lo;0;L;;;;;N;;;;;
        "\uA333",  # ;YI SYLLABLE SSA;Lo;0;L;;;;;N;;;;;
        "\uA334",  # ;YI SYLLABLE SSAP;Lo;0;L;;;;;N;;;;;
        "\uA335",  # ;YI SYLLABLE SSOT;Lo;0;L;;;;;N;;;;;
        "\uA336",  # ;YI SYLLABLE SSOX;Lo;0;L;;;;;N;;;;;
        "\uA337",  # ;YI SYLLABLE SSO;Lo;0;L;;;;;N;;;;;
        "\uA338",  # ;YI SYLLABLE SSOP;Lo;0;L;;;;;N;;;;;
        "\uA339",  # ;YI SYLLABLE SSEX;Lo;0;L;;;;;N;;;;;
        "\uA33A",  # ;YI SYLLABLE SSE;Lo;0;L;;;;;N;;;;;
        "\uA33B",  # ;YI SYLLABLE SSEP;Lo;0;L;;;;;N;;;;;
        "\uA33C",  # ;YI SYLLABLE SSUT;Lo;0;L;;;;;N;;;;;
        "\uA33D",  # ;YI SYLLABLE SSUX;Lo;0;L;;;;;N;;;;;
        "\uA33E",  # ;YI SYLLABLE SSU;Lo;0;L;;;;;N;;;;;
        "\uA33F",  # ;YI SYLLABLE SSUP;Lo;0;L;;;;;N;;;;;
        "\uA340",  # ;YI SYLLABLE SSYT;Lo;0;L;;;;;N;;;;;
        "\uA341",  # ;YI SYLLABLE SSYX;Lo;0;L;;;;;N;;;;;
        "\uA342",  # ;YI SYLLABLE SSY;Lo;0;L;;;;;N;;;;;
        "\uA343",  # ;YI SYLLABLE SSYP;Lo;0;L;;;;;N;;;;;
        "\uA344",  # ;YI SYLLABLE SSYRX;Lo;0;L;;;;;N;;;;;
        "\uA345",  # ;YI SYLLABLE SSYR;Lo;0;L;;;;;N;;;;;
        "\uA346",  # ;YI SYLLABLE ZHAT;Lo;0;L;;;;;N;;;;;
        "\uA347",  # ;YI SYLLABLE ZHAX;Lo;0;L;;;;;N;;;;;
        "\uA348",  # ;YI SYLLABLE ZHA;Lo;0;L;;;;;N;;;;;
        "\uA349",  # ;YI SYLLABLE ZHAP;Lo;0;L;;;;;N;;;;;
        "\uA34A",  # ;YI SYLLABLE ZHUOX;Lo;0;L;;;;;N;;;;;
        "\uA34B",  # ;YI SYLLABLE ZHUO;Lo;0;L;;;;;N;;;;;
        "\uA34C",  # ;YI SYLLABLE ZHUOP;Lo;0;L;;;;;N;;;;;
        "\uA34D",  # ;YI SYLLABLE ZHOT;Lo;0;L;;;;;N;;;;;
        "\uA34E",  # ;YI SYLLABLE ZHOX;Lo;0;L;;;;;N;;;;;
        "\uA34F",  # ;YI SYLLABLE ZHO;Lo;0;L;;;;;N;;;;;
        "\uA350",  # ;YI SYLLABLE ZHOP;Lo;0;L;;;;;N;;;;;
        "\uA351",  # ;YI SYLLABLE ZHET;Lo;0;L;;;;;N;;;;;
        "\uA352",  # ;YI SYLLABLE ZHEX;Lo;0;L;;;;;N;;;;;
        "\uA353",  # ;YI SYLLABLE ZHE;Lo;0;L;;;;;N;;;;;
        "\uA354",  # ;YI SYLLABLE ZHEP;Lo;0;L;;;;;N;;;;;
        "\uA355",  # ;YI SYLLABLE ZHUT;Lo;0;L;;;;;N;;;;;
        "\uA356",  # ;YI SYLLABLE ZHUX;Lo;0;L;;;;;N;;;;;
        "\uA357",  # ;YI SYLLABLE ZHU;Lo;0;L;;;;;N;;;;;
        "\uA358",  # ;YI SYLLABLE ZHUP;Lo;0;L;;;;;N;;;;;
        "\uA359",  # ;YI SYLLABLE ZHURX;Lo;0;L;;;;;N;;;;;
        "\uA35A",  # ;YI SYLLABLE ZHUR;Lo;0;L;;;;;N;;;;;
        "\uA35B",  # ;YI SYLLABLE ZHYT;Lo;0;L;;;;;N;;;;;
        "\uA35C",  # ;YI SYLLABLE ZHYX;Lo;0;L;;;;;N;;;;;
        "\uA35D",  # ;YI SYLLABLE ZHY;Lo;0;L;;;;;N;;;;;
        "\uA35E",  # ;YI SYLLABLE ZHYP;Lo;0;L;;;;;N;;;;;
        "\uA35F",  # ;YI SYLLABLE ZHYRX;Lo;0;L;;;;;N;;;;;
        "\uA360",  # ;YI SYLLABLE ZHYR;Lo;0;L;;;;;N;;;;;
        "\uA361",  # ;YI SYLLABLE CHAT;Lo;0;L;;;;;N;;;;;
        "\uA362",  # ;YI SYLLABLE CHAX;Lo;0;L;;;;;N;;;;;
        "\uA363",  # ;YI SYLLABLE CHA;Lo;0;L;;;;;N;;;;;
        "\uA364",  # ;YI SYLLABLE CHAP;Lo;0;L;;;;;N;;;;;
        "\uA365",  # ;YI SYLLABLE CHUOT;Lo;0;L;;;;;N;;;;;
        "\uA366",  # ;YI SYLLABLE CHUOX;Lo;0;L;;;;;N;;;;;
        "\uA367",  # ;YI SYLLABLE CHUO;Lo;0;L;;;;;N;;;;;
        "\uA368",  # ;YI SYLLABLE CHUOP;Lo;0;L;;;;;N;;;;;
        "\uA369",  # ;YI SYLLABLE CHOT;Lo;0;L;;;;;N;;;;;
        "\uA36A",  # ;YI SYLLABLE CHOX;Lo;0;L;;;;;N;;;;;
        "\uA36B",  # ;YI SYLLABLE CHO;Lo;0;L;;;;;N;;;;;
        "\uA36C",  # ;YI SYLLABLE CHOP;Lo;0;L;;;;;N;;;;;
        "\uA36D",  # ;YI SYLLABLE CHET;Lo;0;L;;;;;N;;;;;
        "\uA36E",  # ;YI SYLLABLE CHEX;Lo;0;L;;;;;N;;;;;
        "\uA36F",  # ;YI SYLLABLE CHE;Lo;0;L;;;;;N;;;;;
        "\uA370",  # ;YI SYLLABLE CHEP;Lo;0;L;;;;;N;;;;;
        "\uA371",  # ;YI SYLLABLE CHUX;Lo;0;L;;;;;N;;;;;
        "\uA372",  # ;YI SYLLABLE CHU;Lo;0;L;;;;;N;;;;;
        "\uA373",  # ;YI SYLLABLE CHUP;Lo;0;L;;;;;N;;;;;
        "\uA374",  # ;YI SYLLABLE CHURX;Lo;0;L;;;;;N;;;;;
        "\uA375",  # ;YI SYLLABLE CHUR;Lo;0;L;;;;;N;;;;;
        "\uA376",  # ;YI SYLLABLE CHYT;Lo;0;L;;;;;N;;;;;
        "\uA377",  # ;YI SYLLABLE CHYX;Lo;0;L;;;;;N;;;;;
        "\uA378",  # ;YI SYLLABLE CHY;Lo;0;L;;;;;N;;;;;
        "\uA379",  # ;YI SYLLABLE CHYP;Lo;0;L;;;;;N;;;;;
        "\uA37A",  # ;YI SYLLABLE CHYRX;Lo;0;L;;;;;N;;;;;
        "\uA37B",  # ;YI SYLLABLE CHYR;Lo;0;L;;;;;N;;;;;
        "\uA37C",  # ;YI SYLLABLE RRAX;Lo;0;L;;;;;N;;;;;
        "\uA37D",  # ;YI SYLLABLE RRA;Lo;0;L;;;;;N;;;;;
        "\uA37E",  # ;YI SYLLABLE RRUOX;Lo;0;L;;;;;N;;;;;
        "\uA37F",  # ;YI SYLLABLE RRUO;Lo;0;L;;;;;N;;;;;
        "\uA380",  # ;YI SYLLABLE RROT;Lo;0;L;;;;;N;;;;;
        "\uA381",  # ;YI SYLLABLE RROX;Lo;0;L;;;;;N;;;;;
        "\uA382",  # ;YI SYLLABLE RRO;Lo;0;L;;;;;N;;;;;
        "\uA383",  # ;YI SYLLABLE RROP;Lo;0;L;;;;;N;;;;;
        "\uA384",  # ;YI SYLLABLE RRET;Lo;0;L;;;;;N;;;;;
        "\uA385",  # ;YI SYLLABLE RREX;Lo;0;L;;;;;N;;;;;
        "\uA386",  # ;YI SYLLABLE RRE;Lo;0;L;;;;;N;;;;;
        "\uA387",  # ;YI SYLLABLE RREP;Lo;0;L;;;;;N;;;;;
        "\uA388",  # ;YI SYLLABLE RRUT;Lo;0;L;;;;;N;;;;;
        "\uA389",  # ;YI SYLLABLE RRUX;Lo;0;L;;;;;N;;;;;
        "\uA38A",  # ;YI SYLLABLE RRU;Lo;0;L;;;;;N;;;;;
        "\uA38B",  # ;YI SYLLABLE RRUP;Lo;0;L;;;;;N;;;;;
        "\uA38C",  # ;YI SYLLABLE RRURX;Lo;0;L;;;;;N;;;;;
        "\uA38D",  # ;YI SYLLABLE RRUR;Lo;0;L;;;;;N;;;;;
        "\uA38E",  # ;YI SYLLABLE RRYT;Lo;0;L;;;;;N;;;;;
        "\uA38F",  # ;YI SYLLABLE RRYX;Lo;0;L;;;;;N;;;;;
        "\uA390",  # ;YI SYLLABLE RRY;Lo;0;L;;;;;N;;;;;
        "\uA391",  # ;YI SYLLABLE RRYP;Lo;0;L;;;;;N;;;;;
        "\uA392",  # ;YI SYLLABLE RRYRX;Lo;0;L;;;;;N;;;;;
        "\uA393",  # ;YI SYLLABLE RRYR;Lo;0;L;;;;;N;;;;;
        "\uA394",  # ;YI SYLLABLE NRAT;Lo;0;L;;;;;N;;;;;
        "\uA395",  # ;YI SYLLABLE NRAX;Lo;0;L;;;;;N;;;;;
        "\uA396",  # ;YI SYLLABLE NRA;Lo;0;L;;;;;N;;;;;
        "\uA397",  # ;YI SYLLABLE NRAP;Lo;0;L;;;;;N;;;;;
        "\uA398",  # ;YI SYLLABLE NROX;Lo;0;L;;;;;N;;;;;
        "\uA399",  # ;YI SYLLABLE NRO;Lo;0;L;;;;;N;;;;;
        "\uA39A",  # ;YI SYLLABLE NROP;Lo;0;L;;;;;N;;;;;
        "\uA39B",  # ;YI SYLLABLE NRET;Lo;0;L;;;;;N;;;;;
        "\uA39C",  # ;YI SYLLABLE NREX;Lo;0;L;;;;;N;;;;;
        "\uA39D",  # ;YI SYLLABLE NRE;Lo;0;L;;;;;N;;;;;
        "\uA39E",  # ;YI SYLLABLE NREP;Lo;0;L;;;;;N;;;;;
        "\uA39F",  # ;YI SYLLABLE NRUT;Lo;0;L;;;;;N;;;;;
        "\uA3A0",  # ;YI SYLLABLE NRUX;Lo;0;L;;;;;N;;;;;
        "\uA3A1",  # ;YI SYLLABLE NRU;Lo;0;L;;;;;N;;;;;
        "\uA3A2",  # ;YI SYLLABLE NRUP;Lo;0;L;;;;;N;;;;;
        "\uA3A3",  # ;YI SYLLABLE NRURX;Lo;0;L;;;;;N;;;;;
        "\uA3A4",  # ;YI SYLLABLE NRUR;Lo;0;L;;;;;N;;;;;
        "\uA3A5",  # ;YI SYLLABLE NRYT;Lo;0;L;;;;;N;;;;;
        "\uA3A6",  # ;YI SYLLABLE NRYX;Lo;0;L;;;;;N;;;;;
        "\uA3A7",  # ;YI SYLLABLE NRY;Lo;0;L;;;;;N;;;;;
        "\uA3A8",  # ;YI SYLLABLE NRYP;Lo;0;L;;;;;N;;;;;
        "\uA3A9",  # ;YI SYLLABLE NRYRX;Lo;0;L;;;;;N;;;;;
        "\uA3AA",  # ;YI SYLLABLE NRYR;Lo;0;L;;;;;N;;;;;
        "\uA3AB",  # ;YI SYLLABLE SHAT;Lo;0;L;;;;;N;;;;;
        "\uA3AC",  # ;YI SYLLABLE SHAX;Lo;0;L;;;;;N;;;;;
        "\uA3AD",  # ;YI SYLLABLE SHA;Lo;0;L;;;;;N;;;;;
        "\uA3AE",  # ;YI SYLLABLE SHAP;Lo;0;L;;;;;N;;;;;
        "\uA3AF",  # ;YI SYLLABLE SHUOX;Lo;0;L;;;;;N;;;;;
        "\uA3B0",  # ;YI SYLLABLE SHUO;Lo;0;L;;;;;N;;;;;
        "\uA3B1",  # ;YI SYLLABLE SHUOP;Lo;0;L;;;;;N;;;;;
        "\uA3B2",  # ;YI SYLLABLE SHOT;Lo;0;L;;;;;N;;;;;
        "\uA3B3",  # ;YI SYLLABLE SHOX;Lo;0;L;;;;;N;;;;;
        "\uA3B4",  # ;YI SYLLABLE SHO;Lo;0;L;;;;;N;;;;;
        "\uA3B5",  # ;YI SYLLABLE SHOP;Lo;0;L;;;;;N;;;;;
        "\uA3B6",  # ;YI SYLLABLE SHET;Lo;0;L;;;;;N;;;;;
        "\uA3B7",  # ;YI SYLLABLE SHEX;Lo;0;L;;;;;N;;;;;
        "\uA3B8",  # ;YI SYLLABLE SHE;Lo;0;L;;;;;N;;;;;
        "\uA3B9",  # ;YI SYLLABLE SHEP;Lo;0;L;;;;;N;;;;;
        "\uA3BA",  # ;YI SYLLABLE SHUT;Lo;0;L;;;;;N;;;;;
        "\uA3BB",  # ;YI SYLLABLE SHUX;Lo;0;L;;;;;N;;;;;
        "\uA3BC",  # ;YI SYLLABLE SHU;Lo;0;L;;;;;N;;;;;
        "\uA3BD",  # ;YI SYLLABLE SHUP;Lo;0;L;;;;;N;;;;;
        "\uA3BE",  # ;YI SYLLABLE SHURX;Lo;0;L;;;;;N;;;;;
        "\uA3BF",  # ;YI SYLLABLE SHUR;Lo;0;L;;;;;N;;;;;
        "\uA3C0",  # ;YI SYLLABLE SHYT;Lo;0;L;;;;;N;;;;;
        "\uA3C1",  # ;YI SYLLABLE SHYX;Lo;0;L;;;;;N;;;;;
        "\uA3C2",  # ;YI SYLLABLE SHY;Lo;0;L;;;;;N;;;;;
        "\uA3C3",  # ;YI SYLLABLE SHYP;Lo;0;L;;;;;N;;;;;
        "\uA3C4",  # ;YI SYLLABLE SHYRX;Lo;0;L;;;;;N;;;;;
        "\uA3C5",  # ;YI SYLLABLE SHYR;Lo;0;L;;;;;N;;;;;
        "\uA3C6",  # ;YI SYLLABLE RAT;Lo;0;L;;;;;N;;;;;
        "\uA3C7",  # ;YI SYLLABLE RAX;Lo;0;L;;;;;N;;;;;
        "\uA3C8",  # ;YI SYLLABLE RA;Lo;0;L;;;;;N;;;;;
        "\uA3C9",  # ;YI SYLLABLE RAP;Lo;0;L;;;;;N;;;;;
        "\uA3CA",  # ;YI SYLLABLE RUOX;Lo;0;L;;;;;N;;;;;
        "\uA3CB",  # ;YI SYLLABLE RUO;Lo;0;L;;;;;N;;;;;
        "\uA3CC",  # ;YI SYLLABLE RUOP;Lo;0;L;;;;;N;;;;;
        "\uA3CD",  # ;YI SYLLABLE ROT;Lo;0;L;;;;;N;;;;;
        "\uA3CE",  # ;YI SYLLABLE ROX;Lo;0;L;;;;;N;;;;;
        "\uA3CF",  # ;YI SYLLABLE RO;Lo;0;L;;;;;N;;;;;
        "\uA3D0",  # ;YI SYLLABLE ROP;Lo;0;L;;;;;N;;;;;
        "\uA3D1",  # ;YI SYLLABLE REX;Lo;0;L;;;;;N;;;;;
        "\uA3D2",  # ;YI SYLLABLE RE;Lo;0;L;;;;;N;;;;;
        "\uA3D3",  # ;YI SYLLABLE REP;Lo;0;L;;;;;N;;;;;
        "\uA3D4",  # ;YI SYLLABLE RUT;Lo;0;L;;;;;N;;;;;
        "\uA3D5",  # ;YI SYLLABLE RUX;Lo;0;L;;;;;N;;;;;
        "\uA3D6",  # ;YI SYLLABLE RU;Lo;0;L;;;;;N;;;;;
        "\uA3D7",  # ;YI SYLLABLE RUP;Lo;0;L;;;;;N;;;;;
        "\uA3D8",  # ;YI SYLLABLE RURX;Lo;0;L;;;;;N;;;;;
        "\uA3D9",  # ;YI SYLLABLE RUR;Lo;0;L;;;;;N;;;;;
        "\uA3DA",  # ;YI SYLLABLE RYT;Lo;0;L;;;;;N;;;;;
        "\uA3DB",  # ;YI SYLLABLE RYX;Lo;0;L;;;;;N;;;;;
        "\uA3DC",  # ;YI SYLLABLE RY;Lo;0;L;;;;;N;;;;;
        "\uA3DD",  # ;YI SYLLABLE RYP;Lo;0;L;;;;;N;;;;;
        "\uA3DE",  # ;YI SYLLABLE RYRX;Lo;0;L;;;;;N;;;;;
        "\uA3DF",  # ;YI SYLLABLE RYR;Lo;0;L;;;;;N;;;;;
        "\uA3E0",  # ;YI SYLLABLE JIT;Lo;0;L;;;;;N;;;;;
        "\uA3E1",  # ;YI SYLLABLE JIX;Lo;0;L;;;;;N;;;;;
        "\uA3E2",  # ;YI SYLLABLE JI;Lo;0;L;;;;;N;;;;;
        "\uA3E3",  # ;YI SYLLABLE JIP;Lo;0;L;;;;;N;;;;;
        "\uA3E4",  # ;YI SYLLABLE JIET;Lo;0;L;;;;;N;;;;;
        "\uA3E5",  # ;YI SYLLABLE JIEX;Lo;0;L;;;;;N;;;;;
        "\uA3E6",  # ;YI SYLLABLE JIE;Lo;0;L;;;;;N;;;;;
        "\uA3E7",  # ;YI SYLLABLE JIEP;Lo;0;L;;;;;N;;;;;
        "\uA3E8",  # ;YI SYLLABLE JUOT;Lo;0;L;;;;;N;;;;;
        "\uA3E9",  # ;YI SYLLABLE JUOX;Lo;0;L;;;;;N;;;;;
        "\uA3EA",  # ;YI SYLLABLE JUO;Lo;0;L;;;;;N;;;;;
        "\uA3EB",  # ;YI SYLLABLE JUOP;Lo;0;L;;;;;N;;;;;
        "\uA3EC",  # ;YI SYLLABLE JOT;Lo;0;L;;;;;N;;;;;
        "\uA3ED",  # ;YI SYLLABLE JOX;Lo;0;L;;;;;N;;;;;
        "\uA3EE",  # ;YI SYLLABLE JO;Lo;0;L;;;;;N;;;;;
        "\uA3EF",  # ;YI SYLLABLE JOP;Lo;0;L;;;;;N;;;;;
        "\uA3F0",  # ;YI SYLLABLE JUT;Lo;0;L;;;;;N;;;;;
        "\uA3F1",  # ;YI SYLLABLE JUX;Lo;0;L;;;;;N;;;;;
        "\uA3F2",  # ;YI SYLLABLE JU;Lo;0;L;;;;;N;;;;;
        "\uA3F3",  # ;YI SYLLABLE JUP;Lo;0;L;;;;;N;;;;;
        "\uA3F4",  # ;YI SYLLABLE JURX;Lo;0;L;;;;;N;;;;;
        "\uA3F5",  # ;YI SYLLABLE JUR;Lo;0;L;;;;;N;;;;;
        "\uA3F6",  # ;YI SYLLABLE JYT;Lo;0;L;;;;;N;;;;;
        "\uA3F7",  # ;YI SYLLABLE JYX;Lo;0;L;;;;;N;;;;;
        "\uA3F8",  # ;YI SYLLABLE JY;Lo;0;L;;;;;N;;;;;
        "\uA3F9",  # ;YI SYLLABLE JYP;Lo;0;L;;;;;N;;;;;
        "\uA3FA",  # ;YI SYLLABLE JYRX;Lo;0;L;;;;;N;;;;;
        "\uA3FB",  # ;YI SYLLABLE JYR;Lo;0;L;;;;;N;;;;;
        "\uA3FC",  # ;YI SYLLABLE QIT;Lo;0;L;;;;;N;;;;;
        "\uA3FD",  # ;YI SYLLABLE QIX;Lo;0;L;;;;;N;;;;;
        "\uA3FE",  # ;YI SYLLABLE QI;Lo;0;L;;;;;N;;;;;
        "\uA3FF",  # ;YI SYLLABLE QIP;Lo;0;L;;;;;N;;;;;
        "\uA400",  # ;YI SYLLABLE QIET;Lo;0;L;;;;;N;;;;;
        "\uA401",  # ;YI SYLLABLE QIEX;Lo;0;L;;;;;N;;;;;
        "\uA402",  # ;YI SYLLABLE QIE;Lo;0;L;;;;;N;;;;;
        "\uA403",  # ;YI SYLLABLE QIEP;Lo;0;L;;;;;N;;;;;
        "\uA404",  # ;YI SYLLABLE QUOT;Lo;0;L;;;;;N;;;;;
        "\uA405",  # ;YI SYLLABLE QUOX;Lo;0;L;;;;;N;;;;;
        "\uA406",  # ;YI SYLLABLE QUO;Lo;0;L;;;;;N;;;;;
        "\uA407",  # ;YI SYLLABLE QUOP;Lo;0;L;;;;;N;;;;;
        "\uA408",  # ;YI SYLLABLE QOT;Lo;0;L;;;;;N;;;;;
        "\uA409",  # ;YI SYLLABLE QOX;Lo;0;L;;;;;N;;;;;
        "\uA40A",  # ;YI SYLLABLE QO;Lo;0;L;;;;;N;;;;;
        "\uA40B",  # ;YI SYLLABLE QOP;Lo;0;L;;;;;N;;;;;
        "\uA40C",  # ;YI SYLLABLE QUT;Lo;0;L;;;;;N;;;;;
        "\uA40D",  # ;YI SYLLABLE QUX;Lo;0;L;;;;;N;;;;;
        "\uA40E",  # ;YI SYLLABLE QU;Lo;0;L;;;;;N;;;;;
        "\uA40F",  # ;YI SYLLABLE QUP;Lo;0;L;;;;;N;;;;;
        "\uA410",  # ;YI SYLLABLE QURX;Lo;0;L;;;;;N;;;;;
        "\uA411",  # ;YI SYLLABLE QUR;Lo;0;L;;;;;N;;;;;
        "\uA412",  # ;YI SYLLABLE QYT;Lo;0;L;;;;;N;;;;;
        "\uA413",  # ;YI SYLLABLE QYX;Lo;0;L;;;;;N;;;;;
        "\uA414",  # ;YI SYLLABLE QY;Lo;0;L;;;;;N;;;;;
        "\uA415",  # ;YI SYLLABLE QYP;Lo;0;L;;;;;N;;;;;
        "\uA416",  # ;YI SYLLABLE QYRX;Lo;0;L;;;;;N;;;;;
        "\uA417",  # ;YI SYLLABLE QYR;Lo;0;L;;;;;N;;;;;
        "\uA418",  # ;YI SYLLABLE JJIT;Lo;0;L;;;;;N;;;;;
        "\uA419",  # ;YI SYLLABLE JJIX;Lo;0;L;;;;;N;;;;;
        "\uA41A",  # ;YI SYLLABLE JJI;Lo;0;L;;;;;N;;;;;
        "\uA41B",  # ;YI SYLLABLE JJIP;Lo;0;L;;;;;N;;;;;
        "\uA41C",  # ;YI SYLLABLE JJIET;Lo;0;L;;;;;N;;;;;
        "\uA41D",  # ;YI SYLLABLE JJIEX;Lo;0;L;;;;;N;;;;;
        "\uA41E",  # ;YI SYLLABLE JJIE;Lo;0;L;;;;;N;;;;;
        "\uA41F",  # ;YI SYLLABLE JJIEP;Lo;0;L;;;;;N;;;;;
        "\uA420",  # ;YI SYLLABLE JJUOX;Lo;0;L;;;;;N;;;;;
        "\uA421",  # ;YI SYLLABLE JJUO;Lo;0;L;;;;;N;;;;;
        "\uA422",  # ;YI SYLLABLE JJUOP;Lo;0;L;;;;;N;;;;;
        "\uA423",  # ;YI SYLLABLE JJOT;Lo;0;L;;;;;N;;;;;
        "\uA424",  # ;YI SYLLABLE JJOX;Lo;0;L;;;;;N;;;;;
        "\uA425",  # ;YI SYLLABLE JJO;Lo;0;L;;;;;N;;;;;
        "\uA426",  # ;YI SYLLABLE JJOP;Lo;0;L;;;;;N;;;;;
        "\uA427",  # ;YI SYLLABLE JJUT;Lo;0;L;;;;;N;;;;;
        "\uA428",  # ;YI SYLLABLE JJUX;Lo;0;L;;;;;N;;;;;
        "\uA429",  # ;YI SYLLABLE JJU;Lo;0;L;;;;;N;;;;;
        "\uA42A",  # ;YI SYLLABLE JJUP;Lo;0;L;;;;;N;;;;;
        "\uA42B",  # ;YI SYLLABLE JJURX;Lo;0;L;;;;;N;;;;;
        "\uA42C",  # ;YI SYLLABLE JJUR;Lo;0;L;;;;;N;;;;;
        "\uA42D",  # ;YI SYLLABLE JJYT;Lo;0;L;;;;;N;;;;;
        "\uA42E",  # ;YI SYLLABLE JJYX;Lo;0;L;;;;;N;;;;;
        "\uA42F",  # ;YI SYLLABLE JJY;Lo;0;L;;;;;N;;;;;
        "\uA430",  # ;YI SYLLABLE JJYP;Lo;0;L;;;;;N;;;;;
        "\uA431",  # ;YI SYLLABLE NJIT;Lo;0;L;;;;;N;;;;;
        "\uA432",  # ;YI SYLLABLE NJIX;Lo;0;L;;;;;N;;;;;
        "\uA433",  # ;YI SYLLABLE NJI;Lo;0;L;;;;;N;;;;;
        "\uA434",  # ;YI SYLLABLE NJIP;Lo;0;L;;;;;N;;;;;
        "\uA435",  # ;YI SYLLABLE NJIET;Lo;0;L;;;;;N;;;;;
        "\uA436",  # ;YI SYLLABLE NJIEX;Lo;0;L;;;;;N;;;;;
        "\uA437",  # ;YI SYLLABLE NJIE;Lo;0;L;;;;;N;;;;;
        "\uA438",  # ;YI SYLLABLE NJIEP;Lo;0;L;;;;;N;;;;;
        "\uA439",  # ;YI SYLLABLE NJUOX;Lo;0;L;;;;;N;;;;;
        "\uA43A",  # ;YI SYLLABLE NJUO;Lo;0;L;;;;;N;;;;;
        "\uA43B",  # ;YI SYLLABLE NJOT;Lo;0;L;;;;;N;;;;;
        "\uA43C",  # ;YI SYLLABLE NJOX;Lo;0;L;;;;;N;;;;;
        "\uA43D",  # ;YI SYLLABLE NJO;Lo;0;L;;;;;N;;;;;
        "\uA43E",  # ;YI SYLLABLE NJOP;Lo;0;L;;;;;N;;;;;
        "\uA43F",  # ;YI SYLLABLE NJUX;Lo;0;L;;;;;N;;;;;
        "\uA440",  # ;YI SYLLABLE NJU;Lo;0;L;;;;;N;;;;;
        "\uA441",  # ;YI SYLLABLE NJUP;Lo;0;L;;;;;N;;;;;
        "\uA442",  # ;YI SYLLABLE NJURX;Lo;0;L;;;;;N;;;;;
        "\uA443",  # ;YI SYLLABLE NJUR;Lo;0;L;;;;;N;;;;;
        "\uA444",  # ;YI SYLLABLE NJYT;Lo;0;L;;;;;N;;;;;
        "\uA445",  # ;YI SYLLABLE NJYX;Lo;0;L;;;;;N;;;;;
        "\uA446",  # ;YI SYLLABLE NJY;Lo;0;L;;;;;N;;;;;
        "\uA447",  # ;YI SYLLABLE NJYP;Lo;0;L;;;;;N;;;;;
        "\uA448",  # ;YI SYLLABLE NJYRX;Lo;0;L;;;;;N;;;;;
        "\uA449",  # ;YI SYLLABLE NJYR;Lo;0;L;;;;;N;;;;;
        "\uA44A",  # ;YI SYLLABLE NYIT;Lo;0;L;;;;;N;;;;;
        "\uA44B",  # ;YI SYLLABLE NYIX;Lo;0;L;;;;;N;;;;;
        "\uA44C",  # ;YI SYLLABLE NYI;Lo;0;L;;;;;N;;;;;
        "\uA44D",  # ;YI SYLLABLE NYIP;Lo;0;L;;;;;N;;;;;
        "\uA44E",  # ;YI SYLLABLE NYIET;Lo;0;L;;;;;N;;;;;
        "\uA44F",  # ;YI SYLLABLE NYIEX;Lo;0;L;;;;;N;;;;;
        "\uA450",  # ;YI SYLLABLE NYIE;Lo;0;L;;;;;N;;;;;
        "\uA451",  # ;YI SYLLABLE NYIEP;Lo;0;L;;;;;N;;;;;
        "\uA452",  # ;YI SYLLABLE NYUOX;Lo;0;L;;;;;N;;;;;
        "\uA453",  # ;YI SYLLABLE NYUO;Lo;0;L;;;;;N;;;;;
        "\uA454",  # ;YI SYLLABLE NYUOP;Lo;0;L;;;;;N;;;;;
        "\uA455",  # ;YI SYLLABLE NYOT;Lo;0;L;;;;;N;;;;;
        "\uA456",  # ;YI SYLLABLE NYOX;Lo;0;L;;;;;N;;;;;
        "\uA457",  # ;YI SYLLABLE NYO;Lo;0;L;;;;;N;;;;;
        "\uA458",  # ;YI SYLLABLE NYOP;Lo;0;L;;;;;N;;;;;
        "\uA459",  # ;YI SYLLABLE NYUT;Lo;0;L;;;;;N;;;;;
        "\uA45A",  # ;YI SYLLABLE NYUX;Lo;0;L;;;;;N;;;;;
        "\uA45B",  # ;YI SYLLABLE NYU;Lo;0;L;;;;;N;;;;;
        "\uA45C",  # ;YI SYLLABLE NYUP;Lo;0;L;;;;;N;;;;;
        "\uA45D",  # ;YI SYLLABLE XIT;Lo;0;L;;;;;N;;;;;
        "\uA45E",  # ;YI SYLLABLE XIX;Lo;0;L;;;;;N;;;;;
        "\uA45F",  # ;YI SYLLABLE XI;Lo;0;L;;;;;N;;;;;
        "\uA460",  # ;YI SYLLABLE XIP;Lo;0;L;;;;;N;;;;;
        "\uA461",  # ;YI SYLLABLE XIET;Lo;0;L;;;;;N;;;;;
        "\uA462",  # ;YI SYLLABLE XIEX;Lo;0;L;;;;;N;;;;;
        "\uA463",  # ;YI SYLLABLE XIE;Lo;0;L;;;;;N;;;;;
        "\uA464",  # ;YI SYLLABLE XIEP;Lo;0;L;;;;;N;;;;;
        "\uA465",  # ;YI SYLLABLE XUOX;Lo;0;L;;;;;N;;;;;
        "\uA466",  # ;YI SYLLABLE XUO;Lo;0;L;;;;;N;;;;;
        "\uA467",  # ;YI SYLLABLE XOT;Lo;0;L;;;;;N;;;;;
        "\uA468",  # ;YI SYLLABLE XOX;Lo;0;L;;;;;N;;;;;
        "\uA469",  # ;YI SYLLABLE XO;Lo;0;L;;;;;N;;;;;
        "\uA46A",  # ;YI SYLLABLE XOP;Lo;0;L;;;;;N;;;;;
        "\uA46B",  # ;YI SYLLABLE XYT;Lo;0;L;;;;;N;;;;;
        "\uA46C",  # ;YI SYLLABLE XYX;Lo;0;L;;;;;N;;;;;
        "\uA46D",  # ;YI SYLLABLE XY;Lo;0;L;;;;;N;;;;;
        "\uA46E",  # ;YI SYLLABLE XYP;Lo;0;L;;;;;N;;;;;
        "\uA46F",  # ;YI SYLLABLE XYRX;Lo;0;L;;;;;N;;;;;
        "\uA470",  # ;YI SYLLABLE XYR;Lo;0;L;;;;;N;;;;;
        "\uA471",  # ;YI SYLLABLE YIT;Lo;0;L;;;;;N;;;;;
        "\uA472",  # ;YI SYLLABLE YIX;Lo;0;L;;;;;N;;;;;
        "\uA473",  # ;YI SYLLABLE YI;Lo;0;L;;;;;N;;;;;
        "\uA474",  # ;YI SYLLABLE YIP;Lo;0;L;;;;;N;;;;;
        "\uA475",  # ;YI SYLLABLE YIET;Lo;0;L;;;;;N;;;;;
        "\uA476",  # ;YI SYLLABLE YIEX;Lo;0;L;;;;;N;;;;;
        "\uA477",  # ;YI SYLLABLE YIE;Lo;0;L;;;;;N;;;;;
        "\uA478",  # ;YI SYLLABLE YIEP;Lo;0;L;;;;;N;;;;;
        "\uA479",  # ;YI SYLLABLE YUOT;Lo;0;L;;;;;N;;;;;
        "\uA47A",  # ;YI SYLLABLE YUOX;Lo;0;L;;;;;N;;;;;
        "\uA47B",  # ;YI SYLLABLE YUO;Lo;0;L;;;;;N;;;;;
        "\uA47C",  # ;YI SYLLABLE YUOP;Lo;0;L;;;;;N;;;;;
        "\uA47D",  # ;YI SYLLABLE YOT;Lo;0;L;;;;;N;;;;;
        "\uA47E",  # ;YI SYLLABLE YOX;Lo;0;L;;;;;N;;;;;
        "\uA47F",  # ;YI SYLLABLE YO;Lo;0;L;;;;;N;;;;;
        "\uA480",  # ;YI SYLLABLE YOP;Lo;0;L;;;;;N;;;;;
        "\uA481",  # ;YI SYLLABLE YUT;Lo;0;L;;;;;N;;;;;
        "\uA482",  # ;YI SYLLABLE YUX;Lo;0;L;;;;;N;;;;;
        "\uA483",  # ;YI SYLLABLE YU;Lo;0;L;;;;;N;;;;;
        "\uA484",  # ;YI SYLLABLE YUP;Lo;0;L;;;;;N;;;;;
        "\uA485",  # ;YI SYLLABLE YURX;Lo;0;L;;;;;N;;;;;
        "\uA486",  # ;YI SYLLABLE YUR;Lo;0;L;;;;;N;;;;;
        "\uA487",  # ;YI SYLLABLE YYT;Lo;0;L;;;;;N;;;;;
        "\uA488",  # ;YI SYLLABLE YYX;Lo;0;L;;;;;N;;;;;
        "\uA489",  # ;YI SYLLABLE YY;Lo;0;L;;;;;N;;;;;
        "\uA48A",  # ;YI SYLLABLE YYP;Lo;0;L;;;;;N;;;;;
        "\uA48B",  # ;YI SYLLABLE YYRX;Lo;0;L;;;;;N;;;;;
        "\uA48C",  # ;YI SYLLABLE YYR;Lo;0;L;;;;;N;;;;;
        "\uA490",  # ;YI RADICAL QOT;So;0;ON;;;;;N;;;;;
        "\uA491",  # ;YI RADICAL LI;So;0;ON;;;;;N;;;;;
        "\uA492",  # ;YI RADICAL KIT;So;0;ON;;;;;N;;;;;
        "\uA493",  # ;YI RADICAL NYIP;So;0;ON;;;;;N;;;;;
        "\uA494",  # ;YI RADICAL CYP;So;0;ON;;;;;N;;;;;
        "\uA495",  # ;YI RADICAL SSI;So;0;ON;;;;;N;;;;;
        "\uA496",  # ;YI RADICAL GGOP;So;0;ON;;;;;N;;;;;
        "\uA497",  # ;YI RADICAL GEP;So;0;ON;;;;;N;;;;;
        "\uA498",  # ;YI RADICAL MI;So;0;ON;;;;;N;;;;;
        "\uA499",  # ;YI RADICAL HXIT;So;0;ON;;;;;N;;;;;
        "\uA49A",  # ;YI RADICAL LYR;So;0;ON;;;;;N;;;;;
        "\uA49B",  # ;YI RADICAL BBUT;So;0;ON;;;;;N;;;;;
        "\uA49C",  # ;YI RADICAL MOP;So;0;ON;;;;;N;;;;;
        "\uA49D",  # ;YI RADICAL YO;So;0;ON;;;;;N;;;;;
        "\uA49E",  # ;YI RADICAL PUT;So;0;ON;;;;;N;;;;;
        "\uA49F",  # ;YI RADICAL HXUO;So;0;ON;;;;;N;;;;;
        "\uA4A0",  # ;YI RADICAL TAT;So;0;ON;;;;;N;;;;;
        "\uA4A1",  # ;YI RADICAL GA;So;0;ON;;;;;N;;;;;
        "\uA4A2",  # ;YI RADICAL ZUP;So;0;ON;;;;;N;;;;;
        "\uA4A3",  # ;YI RADICAL CYT;So;0;ON;;;;;N;;;;;
        "\uA4A4",  # ;YI RADICAL DDUR;So;0;ON;;;;;N;;;;;
        "\uA4A5",  # ;YI RADICAL BUR;So;0;ON;;;;;N;;;;;
        "\uA4A6",  # ;YI RADICAL GGUO;So;0;ON;;;;;N;;;;;
        "\uA4A7",  # ;YI RADICAL NYOP;So;0;ON;;;;;N;;;;;
        "\uA4A8",  # ;YI RADICAL TU;So;0;ON;;;;;N;;;;;
        "\uA4A9",  # ;YI RADICAL OP;So;0;ON;;;;;N;;;;;
        "\uA4AA",  # ;YI RADICAL JJUT;So;0;ON;;;;;N;;;;;
        "\uA4AB",  # ;YI RADICAL ZOT;So;0;ON;;;;;N;;;;;
        "\uA4AC",  # ;YI RADICAL PYT;So;0;ON;;;;;N;;;;;
        "\uA4AD",  # ;YI RADICAL HMO;So;0;ON;;;;;N;;;;;
        "\uA4AE",  # ;YI RADICAL YIT;So;0;ON;;;;;N;;;;;
        "\uA4AF",  # ;YI RADICAL VUR;So;0;ON;;;;;N;;;;;
        "\uA4B0",  # ;YI RADICAL SHY;So;0;ON;;;;;N;;;;;
        "\uA4B1",  # ;YI RADICAL VEP;So;0;ON;;;;;N;;;;;
        "\uA4B2",  # ;YI RADICAL ZA;So;0;ON;;;;;N;;;;;
        "\uA4B3",  # ;YI RADICAL JO;So;0;ON;;;;;N;;;;;
        "\uA4B4",  # ;YI RADICAL NZUP;So;0;ON;;;;;N;;;;;
        "\uA4B5",  # ;YI RADICAL JJY;So;0;ON;;;;;N;;;;;
        "\uA4B6",  # ;YI RADICAL GOT;So;0;ON;;;;;N;;;;;
        "\uA4B7",  # ;YI RADICAL JJIE;So;0;ON;;;;;N;;;;;
        "\uA4B8",  # ;YI RADICAL WO;So;0;ON;;;;;N;;;;;
        "\uA4B9",  # ;YI RADICAL DU;So;0;ON;;;;;N;;;;;
        "\uA4BA",  # ;YI RADICAL SHUR;So;0;ON;;;;;N;;;;;
        "\uA4BB",  # ;YI RADICAL LIE;So;0;ON;;;;;N;;;;;
        "\uA4BC",  # ;YI RADICAL CY;So;0;ON;;;;;N;;;;;
        "\uA4BD",  # ;YI RADICAL CUOP;So;0;ON;;;;;N;;;;;
        "\uA4BE",  # ;YI RADICAL CIP;So;0;ON;;;;;N;;;;;
        "\uA4BF",  # ;YI RADICAL HXOP;So;0;ON;;;;;N;;;;;
        "\uA4C0",  # ;YI RADICAL SHAT;So;0;ON;;;;;N;;;;;
        "\uA4C1",  # ;YI RADICAL ZUR;So;0;ON;;;;;N;;;;;
        "\uA4C2",  # ;YI RADICAL SHOP;So;0;ON;;;;;N;;;;;
        "\uA4C3",  # ;YI RADICAL CHE;So;0;ON;;;;;N;;;;;
        "\uA4C4",  # ;YI RADICAL ZZIET;So;0;ON;;;;;N;;;;;
        "\uA4C5",  # ;YI RADICAL NBIE;So;0;ON;;;;;N;;;;;
        "\uA4C6",  # ;YI RADICAL KE;So;0;ON;;;;;N;;;;;
        "\uA4D0",  # ;LISU LETTER BA;Lo;0;L;;;;;N;;;;;
        "\uA4D1",  # ;LISU LETTER PA;Lo;0;L;;;;;N;;;;;
        "\uA4D2",  # ;LISU LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\uA4D3",  # ;LISU LETTER DA;Lo;0;L;;;;;N;;;;;
        "\uA4D4",  # ;LISU LETTER TA;Lo;0;L;;;;;N;;;;;
        "\uA4D5",  # ;LISU LETTER THA;Lo;0;L;;;;;N;;;;;
        "\uA4D6",  # ;LISU LETTER GA;Lo;0;L;;;;;N;;;;;
        "\uA4D7",  # ;LISU LETTER KA;Lo;0;L;;;;;N;;;;;
        "\uA4D8",  # ;LISU LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\uA4D9",  # ;LISU LETTER JA;Lo;0;L;;;;;N;;;;;
        "\uA4DA",  # ;LISU LETTER CA;Lo;0;L;;;;;N;;;;;
        "\uA4DB",  # ;LISU LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\uA4DC",  # ;LISU LETTER DZA;Lo;0;L;;;;;N;;;;;
        "\uA4DD",  # ;LISU LETTER TSA;Lo;0;L;;;;;N;;;;;
        "\uA4DE",  # ;LISU LETTER TSHA;Lo;0;L;;;;;N;;;;;
        "\uA4DF",  # ;LISU LETTER MA;Lo;0;L;;;;;N;;;;;
        "\uA4E0",  # ;LISU LETTER NA;Lo;0;L;;;;;N;;;;;
        "\uA4E1",  # ;LISU LETTER LA;Lo;0;L;;;;;N;;;;;
        "\uA4E2",  # ;LISU LETTER SA;Lo;0;L;;;;;N;;;;;
        "\uA4E3",  # ;LISU LETTER ZHA;Lo;0;L;;;;;N;;;;;
        "\uA4E4",  # ;LISU LETTER ZA;Lo;0;L;;;;;N;;;;;
        "\uA4E5",  # ;LISU LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\uA4E6",  # ;LISU LETTER HA;Lo;0;L;;;;;N;;;;;
        "\uA4E7",  # ;LISU LETTER XA;Lo;0;L;;;;;N;;;;;
        "\uA4E8",  # ;LISU LETTER HHA;Lo;0;L;;;;;N;;;;;
        "\uA4E9",  # ;LISU LETTER FA;Lo;0;L;;;;;N;;;;;
        "\uA4EA",  # ;LISU LETTER WA;Lo;0;L;;;;;N;;;;;
        "\uA4EB",  # ;LISU LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\uA4EC",  # ;LISU LETTER YA;Lo;0;L;;;;;N;;;;;
        "\uA4ED",  # ;LISU LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\uA4EE",  # ;LISU LETTER A;Lo;0;L;;;;;N;;;;;
        "\uA4EF",  # ;LISU LETTER AE;Lo;0;L;;;;;N;;;;;
        "\uA4F0",  # ;LISU LETTER E;Lo;0;L;;;;;N;;;;;
        "\uA4F1",  # ;LISU LETTER EU;Lo;0;L;;;;;N;;;;;
        "\uA4F2",  # ;LISU LETTER I;Lo;0;L;;;;;N;;;;;
        "\uA4F3",  # ;LISU LETTER O;Lo;0;L;;;;;N;;;;;
        "\uA4F4",  # ;LISU LETTER U;Lo;0;L;;;;;N;;;;;
        "\uA4F5",  # ;LISU LETTER UE;Lo;0;L;;;;;N;;;;;
        "\uA4F6",  # ;LISU LETTER UH;Lo;0;L;;;;;N;;;;;
        "\uA4F7",  # ;LISU LETTER OE;Lo;0;L;;;;;N;;;;;
        "\uA4F8",  # ;LISU LETTER TONE MYA TI;Lm;0;L;;;;;N;;;;;
        "\uA4F9",  # ;LISU LETTER TONE NA PO;Lm;0;L;;;;;N;;;;;
        "\uA4FA",  # ;LISU LETTER TONE MYA CYA;Lm;0;L;;;;;N;;;;;
        "\uA4FB",  # ;LISU LETTER TONE MYA BO;Lm;0;L;;;;;N;;;;;
        "\uA4FC",  # ;LISU LETTER TONE MYA NA;Lm;0;L;;;;;N;;;;;
        "\uA4FD",  # ;LISU LETTER TONE MYA JEU;Lm;0;L;;;;;N;;;;;
        "\uA4FE",  # ;LISU PUNCTUATION COMMA;Po;0;L;;;;;N;;;;;
        "\uA4FF",  # ;LISU PUNCTUATION FULL STOP;Po;0;L;;;;;N;;;;;
        "\uA500",  # ;VAI SYLLABLE EE;Lo;0;L;;;;;N;;;;;
        "\uA501",  # ;VAI SYLLABLE EEN;Lo;0;L;;;;;N;;;;;
        "\uA502",  # ;VAI SYLLABLE HEE;Lo;0;L;;;;;N;;;;;
        "\uA503",  # ;VAI SYLLABLE WEE;Lo;0;L;;;;;N;;;;;
        "\uA504",  # ;VAI SYLLABLE WEEN;Lo;0;L;;;;;N;;;;;
        "\uA505",  # ;VAI SYLLABLE PEE;Lo;0;L;;;;;N;;;;;
        "\uA506",  # ;VAI SYLLABLE BHEE;Lo;0;L;;;;;N;;;;;
        "\uA507",  # ;VAI SYLLABLE BEE;Lo;0;L;;;;;N;;;;;
        "\uA508",  # ;VAI SYLLABLE MBEE;Lo;0;L;;;;;N;;;;;
        "\uA509",  # ;VAI SYLLABLE KPEE;Lo;0;L;;;;;N;;;;;
        "\uA50A",  # ;VAI SYLLABLE MGBEE;Lo;0;L;;;;;N;;;;;
        "\uA50B",  # ;VAI SYLLABLE GBEE;Lo;0;L;;;;;N;;;;;
        "\uA50C",  # ;VAI SYLLABLE FEE;Lo;0;L;;;;;N;;;;;
        "\uA50D",  # ;VAI SYLLABLE VEE;Lo;0;L;;;;;N;;;;;
        "\uA50E",  # ;VAI SYLLABLE TEE;Lo;0;L;;;;;N;;;;;
        "\uA50F",  # ;VAI SYLLABLE THEE;Lo;0;L;;;;;N;;;;;
        "\uA510",  # ;VAI SYLLABLE DHEE;Lo;0;L;;;;;N;;;;;
        "\uA511",  # ;VAI SYLLABLE DHHEE;Lo;0;L;;;;;N;;;;;
        "\uA512",  # ;VAI SYLLABLE LEE;Lo;0;L;;;;;N;;;;;
        "\uA513",  # ;VAI SYLLABLE REE;Lo;0;L;;;;;N;;;;;
        "\uA514",  # ;VAI SYLLABLE DEE;Lo;0;L;;;;;N;;;;;
        "\uA515",  # ;VAI SYLLABLE NDEE;Lo;0;L;;;;;N;;;;;
        "\uA516",  # ;VAI SYLLABLE SEE;Lo;0;L;;;;;N;;;;;
        "\uA517",  # ;VAI SYLLABLE SHEE;Lo;0;L;;;;;N;;;;;
        "\uA518",  # ;VAI SYLLABLE ZEE;Lo;0;L;;;;;N;;;;;
        "\uA519",  # ;VAI SYLLABLE ZHEE;Lo;0;L;;;;;N;;;;;
        "\uA51A",  # ;VAI SYLLABLE CEE;Lo;0;L;;;;;N;;;;;
        "\uA51B",  # ;VAI SYLLABLE JEE;Lo;0;L;;;;;N;;;;;
        "\uA51C",  # ;VAI SYLLABLE NJEE;Lo;0;L;;;;;N;;;;;
        "\uA51D",  # ;VAI SYLLABLE YEE;Lo;0;L;;;;;N;;;;;
        "\uA51E",  # ;VAI SYLLABLE KEE;Lo;0;L;;;;;N;;;;;
        "\uA51F",  # ;VAI SYLLABLE NGGEE;Lo;0;L;;;;;N;;;;;
        "\uA520",  # ;VAI SYLLABLE GEE;Lo;0;L;;;;;N;;;;;
        "\uA521",  # ;VAI SYLLABLE MEE;Lo;0;L;;;;;N;;;;;
        "\uA522",  # ;VAI SYLLABLE NEE;Lo;0;L;;;;;N;;;;;
        "\uA523",  # ;VAI SYLLABLE NYEE;Lo;0;L;;;;;N;;;;;
        "\uA524",  # ;VAI SYLLABLE I;Lo;0;L;;;;;N;;;;;
        "\uA525",  # ;VAI SYLLABLE IN;Lo;0;L;;;;;N;;;;;
        "\uA526",  # ;VAI SYLLABLE HI;Lo;0;L;;;;;N;;;;;
        "\uA527",  # ;VAI SYLLABLE HIN;Lo;0;L;;;;;N;;;;;
        "\uA528",  # ;VAI SYLLABLE WI;Lo;0;L;;;;;N;;;;;
        "\uA529",  # ;VAI SYLLABLE WIN;Lo;0;L;;;;;N;;;;;
        "\uA52A",  # ;VAI SYLLABLE PI;Lo;0;L;;;;;N;;;;;
        "\uA52B",  # ;VAI SYLLABLE BHI;Lo;0;L;;;;;N;;;;;
        "\uA52C",  # ;VAI SYLLABLE BI;Lo;0;L;;;;;N;;;;;
        "\uA52D",  # ;VAI SYLLABLE MBI;Lo;0;L;;;;;N;;;;;
        "\uA52E",  # ;VAI SYLLABLE KPI;Lo;0;L;;;;;N;;;;;
        "\uA52F",  # ;VAI SYLLABLE MGBI;Lo;0;L;;;;;N;;;;;
        "\uA530",  # ;VAI SYLLABLE GBI;Lo;0;L;;;;;N;;;;;
        "\uA531",  # ;VAI SYLLABLE FI;Lo;0;L;;;;;N;;;;;
        "\uA532",  # ;VAI SYLLABLE VI;Lo;0;L;;;;;N;;;;;
        "\uA533",  # ;VAI SYLLABLE TI;Lo;0;L;;;;;N;;;;;
        "\uA534",  # ;VAI SYLLABLE THI;Lo;0;L;;;;;N;;;;;
        "\uA535",  # ;VAI SYLLABLE DHI;Lo;0;L;;;;;N;;;;;
        "\uA536",  # ;VAI SYLLABLE DHHI;Lo;0;L;;;;;N;;;;;
        "\uA537",  # ;VAI SYLLABLE LI;Lo;0;L;;;;;N;;;;;
        "\uA538",  # ;VAI SYLLABLE RI;Lo;0;L;;;;;N;;;;;
        "\uA539",  # ;VAI SYLLABLE DI;Lo;0;L;;;;;N;;;;;
        "\uA53A",  # ;VAI SYLLABLE NDI;Lo;0;L;;;;;N;;;;;
        "\uA53B",  # ;VAI SYLLABLE SI;Lo;0;L;;;;;N;;;;;
        "\uA53C",  # ;VAI SYLLABLE SHI;Lo;0;L;;;;;N;;;;;
        "\uA53D",  # ;VAI SYLLABLE ZI;Lo;0;L;;;;;N;;;;;
        "\uA53E",  # ;VAI SYLLABLE ZHI;Lo;0;L;;;;;N;;;;;
        "\uA53F",  # ;VAI SYLLABLE CI;Lo;0;L;;;;;N;;;;;
        "\uA540",  # ;VAI SYLLABLE JI;Lo;0;L;;;;;N;;;;;
        "\uA541",  # ;VAI SYLLABLE NJI;Lo;0;L;;;;;N;;;;;
        "\uA542",  # ;VAI SYLLABLE YI;Lo;0;L;;;;;N;;;;;
        "\uA543",  # ;VAI SYLLABLE KI;Lo;0;L;;;;;N;;;;;
        "\uA544",  # ;VAI SYLLABLE NGGI;Lo;0;L;;;;;N;;;;;
        "\uA545",  # ;VAI SYLLABLE GI;Lo;0;L;;;;;N;;;;;
        "\uA546",  # ;VAI SYLLABLE MI;Lo;0;L;;;;;N;;;;;
        "\uA547",  # ;VAI SYLLABLE NI;Lo;0;L;;;;;N;;;;;
        "\uA548",  # ;VAI SYLLABLE NYI;Lo;0;L;;;;;N;;;;;
        "\uA549",  # ;VAI SYLLABLE A;Lo;0;L;;;;;N;;;;;
        "\uA54A",  # ;VAI SYLLABLE AN;Lo;0;L;;;;;N;;;;;
        "\uA54B",  # ;VAI SYLLABLE NGAN;Lo;0;L;;;;;N;;;;;
        "\uA54C",  # ;VAI SYLLABLE HA;Lo;0;L;;;;;N;;;;;
        "\uA54D",  # ;VAI SYLLABLE HAN;Lo;0;L;;;;;N;;;;;
        "\uA54E",  # ;VAI SYLLABLE WA;Lo;0;L;;;;;N;;;;;
        "\uA54F",  # ;VAI SYLLABLE WAN;Lo;0;L;;;;;N;;;;;
        "\uA550",  # ;VAI SYLLABLE PA;Lo;0;L;;;;;N;;;;;
        "\uA551",  # ;VAI SYLLABLE BHA;Lo;0;L;;;;;N;;;;;
        "\uA552",  # ;VAI SYLLABLE BA;Lo;0;L;;;;;N;;;;;
        "\uA553",  # ;VAI SYLLABLE MBA;Lo;0;L;;;;;N;;;;;
        "\uA554",  # ;VAI SYLLABLE KPA;Lo;0;L;;;;;N;;;;;
        "\uA555",  # ;VAI SYLLABLE KPAN;Lo;0;L;;;;;N;;;;;
        "\uA556",  # ;VAI SYLLABLE MGBA;Lo;0;L;;;;;N;;;;;
        "\uA557",  # ;VAI SYLLABLE GBA;Lo;0;L;;;;;N;;;;;
        "\uA558",  # ;VAI SYLLABLE FA;Lo;0;L;;;;;N;;;;;
        "\uA559",  # ;VAI SYLLABLE VA;Lo;0;L;;;;;N;;;;;
        "\uA55A",  # ;VAI SYLLABLE TA;Lo;0;L;;;;;N;;;;;
        "\uA55B",  # ;VAI SYLLABLE THA;Lo;0;L;;;;;N;;;;;
        "\uA55C",  # ;VAI SYLLABLE DHA;Lo;0;L;;;;;N;;;;;
        "\uA55D",  # ;VAI SYLLABLE DHHA;Lo;0;L;;;;;N;;;;;
        "\uA55E",  # ;VAI SYLLABLE LA;Lo;0;L;;;;;N;;;;;
        "\uA55F",  # ;VAI SYLLABLE RA;Lo;0;L;;;;;N;;;;;
        "\uA560",  # ;VAI SYLLABLE DA;Lo;0;L;;;;;N;;;;;
        "\uA561",  # ;VAI SYLLABLE NDA;Lo;0;L;;;;;N;;;;;
        "\uA562",  # ;VAI SYLLABLE SA;Lo;0;L;;;;;N;;;;;
        "\uA563",  # ;VAI SYLLABLE SHA;Lo;0;L;;;;;N;;;;;
        "\uA564",  # ;VAI SYLLABLE ZA;Lo;0;L;;;;;N;;;;;
        "\uA565",  # ;VAI SYLLABLE ZHA;Lo;0;L;;;;;N;;;;;
        "\uA566",  # ;VAI SYLLABLE CA;Lo;0;L;;;;;N;;;;;
        "\uA567",  # ;VAI SYLLABLE JA;Lo;0;L;;;;;N;;;;;
        "\uA568",  # ;VAI SYLLABLE NJA;Lo;0;L;;;;;N;;;;;
        "\uA569",  # ;VAI SYLLABLE YA;Lo;0;L;;;;;N;;;;;
        "\uA56A",  # ;VAI SYLLABLE KA;Lo;0;L;;;;;N;;;;;
        "\uA56B",  # ;VAI SYLLABLE KAN;Lo;0;L;;;;;N;;;;;
        "\uA56C",  # ;VAI SYLLABLE NGGA;Lo;0;L;;;;;N;;;;;
        "\uA56D",  # ;VAI SYLLABLE GA;Lo;0;L;;;;;N;;;;;
        "\uA56E",  # ;VAI SYLLABLE MA;Lo;0;L;;;;;N;;;;;
        "\uA56F",  # ;VAI SYLLABLE NA;Lo;0;L;;;;;N;;;;;
        "\uA570",  # ;VAI SYLLABLE NYA;Lo;0;L;;;;;N;;;;;
        "\uA571",  # ;VAI SYLLABLE OO;Lo;0;L;;;;;N;;;;;
        "\uA572",  # ;VAI SYLLABLE OON;Lo;0;L;;;;;N;;;;;
        "\uA573",  # ;VAI SYLLABLE HOO;Lo;0;L;;;;;N;;;;;
        "\uA574",  # ;VAI SYLLABLE WOO;Lo;0;L;;;;;N;;;;;
        "\uA575",  # ;VAI SYLLABLE WOON;Lo;0;L;;;;;N;;;;;
        "\uA576",  # ;VAI SYLLABLE POO;Lo;0;L;;;;;N;;;;;
        "\uA577",  # ;VAI SYLLABLE BHOO;Lo;0;L;;;;;N;;;;;
        "\uA578",  # ;VAI SYLLABLE BOO;Lo;0;L;;;;;N;;;;;
        "\uA579",  # ;VAI SYLLABLE MBOO;Lo;0;L;;;;;N;;;;;
        "\uA57A",  # ;VAI SYLLABLE KPOO;Lo;0;L;;;;;N;;;;;
        "\uA57B",  # ;VAI SYLLABLE MGBOO;Lo;0;L;;;;;N;;;;;
        "\uA57C",  # ;VAI SYLLABLE GBOO;Lo;0;L;;;;;N;;;;;
        "\uA57D",  # ;VAI SYLLABLE FOO;Lo;0;L;;;;;N;;;;;
        "\uA57E",  # ;VAI SYLLABLE VOO;Lo;0;L;;;;;N;;;;;
        "\uA57F",  # ;VAI SYLLABLE TOO;Lo;0;L;;;;;N;;;;;
        "\uA580",  # ;VAI SYLLABLE THOO;Lo;0;L;;;;;N;;;;;
        "\uA581",  # ;VAI SYLLABLE DHOO;Lo;0;L;;;;;N;;;;;
        "\uA582",  # ;VAI SYLLABLE DHHOO;Lo;0;L;;;;;N;;;;;
        "\uA583",  # ;VAI SYLLABLE LOO;Lo;0;L;;;;;N;;;;;
        "\uA584",  # ;VAI SYLLABLE ROO;Lo;0;L;;;;;N;;;;;
        "\uA585",  # ;VAI SYLLABLE DOO;Lo;0;L;;;;;N;;;;;
        "\uA586",  # ;VAI SYLLABLE NDOO;Lo;0;L;;;;;N;;;;;
        "\uA587",  # ;VAI SYLLABLE SOO;Lo;0;L;;;;;N;;;;;
        "\uA588",  # ;VAI SYLLABLE SHOO;Lo;0;L;;;;;N;;;;;
        "\uA589",  # ;VAI SYLLABLE ZOO;Lo;0;L;;;;;N;;;;;
        "\uA58A",  # ;VAI SYLLABLE ZHOO;Lo;0;L;;;;;N;;;;;
        "\uA58B",  # ;VAI SYLLABLE COO;Lo;0;L;;;;;N;;;;;
        "\uA58C",  # ;VAI SYLLABLE JOO;Lo;0;L;;;;;N;;;;;
        "\uA58D",  # ;VAI SYLLABLE NJOO;Lo;0;L;;;;;N;;;;;
        "\uA58E",  # ;VAI SYLLABLE YOO;Lo;0;L;;;;;N;;;;;
        "\uA58F",  # ;VAI SYLLABLE KOO;Lo;0;L;;;;;N;;;;;
        "\uA590",  # ;VAI SYLLABLE NGGOO;Lo;0;L;;;;;N;;;;;
        "\uA591",  # ;VAI SYLLABLE GOO;Lo;0;L;;;;;N;;;;;
        "\uA592",  # ;VAI SYLLABLE MOO;Lo;0;L;;;;;N;;;;;
        "\uA593",  # ;VAI SYLLABLE NOO;Lo;0;L;;;;;N;;;;;
        "\uA594",  # ;VAI SYLLABLE NYOO;Lo;0;L;;;;;N;;;;;
        "\uA595",  # ;VAI SYLLABLE U;Lo;0;L;;;;;N;;;;;
        "\uA596",  # ;VAI SYLLABLE UN;Lo;0;L;;;;;N;;;;;
        "\uA597",  # ;VAI SYLLABLE HU;Lo;0;L;;;;;N;;;;;
        "\uA598",  # ;VAI SYLLABLE HUN;Lo;0;L;;;;;N;;;;;
        "\uA599",  # ;VAI SYLLABLE WU;Lo;0;L;;;;;N;;;;;
        "\uA59A",  # ;VAI SYLLABLE WUN;Lo;0;L;;;;;N;;;;;
        "\uA59B",  # ;VAI SYLLABLE PU;Lo;0;L;;;;;N;;;;;
        "\uA59C",  # ;VAI SYLLABLE BHU;Lo;0;L;;;;;N;;;;;
        "\uA59D",  # ;VAI SYLLABLE BU;Lo;0;L;;;;;N;;;;;
        "\uA59E",  # ;VAI SYLLABLE MBU;Lo;0;L;;;;;N;;;;;
        "\uA59F",  # ;VAI SYLLABLE KPU;Lo;0;L;;;;;N;;;;;
        "\uA5A0",  # ;VAI SYLLABLE MGBU;Lo;0;L;;;;;N;;;;;
        "\uA5A1",  # ;VAI SYLLABLE GBU;Lo;0;L;;;;;N;;;;;
        "\uA5A2",  # ;VAI SYLLABLE FU;Lo;0;L;;;;;N;;;;;
        "\uA5A3",  # ;VAI SYLLABLE VU;Lo;0;L;;;;;N;;;;;
        "\uA5A4",  # ;VAI SYLLABLE TU;Lo;0;L;;;;;N;;;;;
        "\uA5A5",  # ;VAI SYLLABLE THU;Lo;0;L;;;;;N;;;;;
        "\uA5A6",  # ;VAI SYLLABLE DHU;Lo;0;L;;;;;N;;;;;
        "\uA5A7",  # ;VAI SYLLABLE DHHU;Lo;0;L;;;;;N;;;;;
        "\uA5A8",  # ;VAI SYLLABLE LU;Lo;0;L;;;;;N;;;;;
        "\uA5A9",  # ;VAI SYLLABLE RU;Lo;0;L;;;;;N;;;;;
        "\uA5AA",  # ;VAI SYLLABLE DU;Lo;0;L;;;;;N;;;;;
        "\uA5AB",  # ;VAI SYLLABLE NDU;Lo;0;L;;;;;N;;;;;
        "\uA5AC",  # ;VAI SYLLABLE SU;Lo;0;L;;;;;N;;;;;
        "\uA5AD",  # ;VAI SYLLABLE SHU;Lo;0;L;;;;;N;;;;;
        "\uA5AE",  # ;VAI SYLLABLE ZU;Lo;0;L;;;;;N;;;;;
        "\uA5AF",  # ;VAI SYLLABLE ZHU;Lo;0;L;;;;;N;;;;;
        "\uA5B0",  # ;VAI SYLLABLE CU;Lo;0;L;;;;;N;;;;;
        "\uA5B1",  # ;VAI SYLLABLE JU;Lo;0;L;;;;;N;;;;;
        "\uA5B2",  # ;VAI SYLLABLE NJU;Lo;0;L;;;;;N;;;;;
        "\uA5B3",  # ;VAI SYLLABLE YU;Lo;0;L;;;;;N;;;;;
        "\uA5B4",  # ;VAI SYLLABLE KU;Lo;0;L;;;;;N;;;;;
        "\uA5B5",  # ;VAI SYLLABLE NGGU;Lo;0;L;;;;;N;;;;;
        "\uA5B6",  # ;VAI SYLLABLE GU;Lo;0;L;;;;;N;;;;;
        "\uA5B7",  # ;VAI SYLLABLE MU;Lo;0;L;;;;;N;;;;;
        "\uA5B8",  # ;VAI SYLLABLE NU;Lo;0;L;;;;;N;;;;;
        "\uA5B9",  # ;VAI SYLLABLE NYU;Lo;0;L;;;;;N;;;;;
        "\uA5BA",  # ;VAI SYLLABLE O;Lo;0;L;;;;;N;;;;;
        "\uA5BB",  # ;VAI SYLLABLE ON;Lo;0;L;;;;;N;;;;;
        "\uA5BC",  # ;VAI SYLLABLE NGON;Lo;0;L;;;;;N;;;;;
        "\uA5BD",  # ;VAI SYLLABLE HO;Lo;0;L;;;;;N;;;;;
        "\uA5BE",  # ;VAI SYLLABLE HON;Lo;0;L;;;;;N;;;;;
        "\uA5BF",  # ;VAI SYLLABLE WO;Lo;0;L;;;;;N;;;;;
        "\uA5C0",  # ;VAI SYLLABLE WON;Lo;0;L;;;;;N;;;;;
        "\uA5C1",  # ;VAI SYLLABLE PO;Lo;0;L;;;;;N;;;;;
        "\uA5C2",  # ;VAI SYLLABLE BHO;Lo;0;L;;;;;N;;;;;
        "\uA5C3",  # ;VAI SYLLABLE BO;Lo;0;L;;;;;N;;;;;
        "\uA5C4",  # ;VAI SYLLABLE MBO;Lo;0;L;;;;;N;;;;;
        "\uA5C5",  # ;VAI SYLLABLE KPO;Lo;0;L;;;;;N;;;;;
        "\uA5C6",  # ;VAI SYLLABLE MGBO;Lo;0;L;;;;;N;;;;;
        "\uA5C7",  # ;VAI SYLLABLE GBO;Lo;0;L;;;;;N;;;;;
        "\uA5C8",  # ;VAI SYLLABLE GBON;Lo;0;L;;;;;N;;;;;
        "\uA5C9",  # ;VAI SYLLABLE FO;Lo;0;L;;;;;N;;;;;
        "\uA5CA",  # ;VAI SYLLABLE VO;Lo;0;L;;;;;N;;;;;
        "\uA5CB",  # ;VAI SYLLABLE TO;Lo;0;L;;;;;N;;;;;
        "\uA5CC",  # ;VAI SYLLABLE THO;Lo;0;L;;;;;N;;;;;
        "\uA5CD",  # ;VAI SYLLABLE DHO;Lo;0;L;;;;;N;;;;;
        "\uA5CE",  # ;VAI SYLLABLE DHHO;Lo;0;L;;;;;N;;;;;
        "\uA5CF",  # ;VAI SYLLABLE LO;Lo;0;L;;;;;N;;;;;
        "\uA5D0",  # ;VAI SYLLABLE RO;Lo;0;L;;;;;N;;;;;
        "\uA5D1",  # ;VAI SYLLABLE DO;Lo;0;L;;;;;N;;;;;
        "\uA5D2",  # ;VAI SYLLABLE NDO;Lo;0;L;;;;;N;;;;;
        "\uA5D3",  # ;VAI SYLLABLE SO;Lo;0;L;;;;;N;;;;;
        "\uA5D4",  # ;VAI SYLLABLE SHO;Lo;0;L;;;;;N;;;;;
        "\uA5D5",  # ;VAI SYLLABLE ZO;Lo;0;L;;;;;N;;;;;
        "\uA5D6",  # ;VAI SYLLABLE ZHO;Lo;0;L;;;;;N;;;;;
        "\uA5D7",  # ;VAI SYLLABLE CO;Lo;0;L;;;;;N;;;;;
        "\uA5D8",  # ;VAI SYLLABLE JO;Lo;0;L;;;;;N;;;;;
        "\uA5D9",  # ;VAI SYLLABLE NJO;Lo;0;L;;;;;N;;;;;
        "\uA5DA",  # ;VAI SYLLABLE YO;Lo;0;L;;;;;N;;;;;
        "\uA5DB",  # ;VAI SYLLABLE KO;Lo;0;L;;;;;N;;;;;
        "\uA5DC",  # ;VAI SYLLABLE NGGO;Lo;0;L;;;;;N;;;;;
        "\uA5DD",  # ;VAI SYLLABLE GO;Lo;0;L;;;;;N;;;;;
        "\uA5DE",  # ;VAI SYLLABLE MO;Lo;0;L;;;;;N;;;;;
        "\uA5DF",  # ;VAI SYLLABLE NO;Lo;0;L;;;;;N;;;;;
        "\uA5E0",  # ;VAI SYLLABLE NYO;Lo;0;L;;;;;N;;;;;
        "\uA5E1",  # ;VAI SYLLABLE E;Lo;0;L;;;;;N;;;;;
        "\uA5E2",  # ;VAI SYLLABLE EN;Lo;0;L;;;;;N;;;;;
        "\uA5E3",  # ;VAI SYLLABLE NGEN;Lo;0;L;;;;;N;;;;;
        "\uA5E4",  # ;VAI SYLLABLE HE;Lo;0;L;;;;;N;;;;;
        "\uA5E5",  # ;VAI SYLLABLE HEN;Lo;0;L;;;;;N;;;;;
        "\uA5E6",  # ;VAI SYLLABLE WE;Lo;0;L;;;;;N;;;;;
        "\uA5E7",  # ;VAI SYLLABLE WEN;Lo;0;L;;;;;N;;;;;
        "\uA5E8",  # ;VAI SYLLABLE PE;Lo;0;L;;;;;N;;;;;
        "\uA5E9",  # ;VAI SYLLABLE BHE;Lo;0;L;;;;;N;;;;;
        "\uA5EA",  # ;VAI SYLLABLE BE;Lo;0;L;;;;;N;;;;;
        "\uA5EB",  # ;VAI SYLLABLE MBE;Lo;0;L;;;;;N;;;;;
        "\uA5EC",  # ;VAI SYLLABLE KPE;Lo;0;L;;;;;N;;;;;
        "\uA5ED",  # ;VAI SYLLABLE KPEN;Lo;0;L;;;;;N;;;;;
        "\uA5EE",  # ;VAI SYLLABLE MGBE;Lo;0;L;;;;;N;;;;;
        "\uA5EF",  # ;VAI SYLLABLE GBE;Lo;0;L;;;;;N;;;;;
        "\uA5F0",  # ;VAI SYLLABLE GBEN;Lo;0;L;;;;;N;;;;;
        "\uA5F1",  # ;VAI SYLLABLE FE;Lo;0;L;;;;;N;;;;;
        "\uA5F2",  # ;VAI SYLLABLE VE;Lo;0;L;;;;;N;;;;;
        "\uA5F3",  # ;VAI SYLLABLE TE;Lo;0;L;;;;;N;;;;;
        "\uA5F4",  # ;VAI SYLLABLE THE;Lo;0;L;;;;;N;;;;;
        "\uA5F5",  # ;VAI SYLLABLE DHE;Lo;0;L;;;;;N;;;;;
        "\uA5F6",  # ;VAI SYLLABLE DHHE;Lo;0;L;;;;;N;;;;;
        "\uA5F7",  # ;VAI SYLLABLE LE;Lo;0;L;;;;;N;;;;;
        "\uA5F8",  # ;VAI SYLLABLE RE;Lo;0;L;;;;;N;;;;;
        "\uA5F9",  # ;VAI SYLLABLE DE;Lo;0;L;;;;;N;;;;;
        "\uA5FA",  # ;VAI SYLLABLE NDE;Lo;0;L;;;;;N;;;;;
        "\uA5FB",  # ;VAI SYLLABLE SE;Lo;0;L;;;;;N;;;;;
        "\uA5FC",  # ;VAI SYLLABLE SHE;Lo;0;L;;;;;N;;;;;
        "\uA5FD",  # ;VAI SYLLABLE ZE;Lo;0;L;;;;;N;;;;;
        "\uA5FE",  # ;VAI SYLLABLE ZHE;Lo;0;L;;;;;N;;;;;
        "\uA5FF",  # ;VAI SYLLABLE CE;Lo;0;L;;;;;N;;;;;
        "\uA600",  # ;VAI SYLLABLE JE;Lo;0;L;;;;;N;;;;;
        "\uA601",  # ;VAI SYLLABLE NJE;Lo;0;L;;;;;N;;;;;
        "\uA602",  # ;VAI SYLLABLE YE;Lo;0;L;;;;;N;;;;;
        "\uA603",  # ;VAI SYLLABLE KE;Lo;0;L;;;;;N;;;;;
        "\uA604",  # ;VAI SYLLABLE NGGE;Lo;0;L;;;;;N;;;;;
        "\uA605",  # ;VAI SYLLABLE NGGEN;Lo;0;L;;;;;N;;;;;
        "\uA606",  # ;VAI SYLLABLE GE;Lo;0;L;;;;;N;;;;;
        "\uA607",  # ;VAI SYLLABLE GEN;Lo;0;L;;;;;N;;;;;
        "\uA608",  # ;VAI SYLLABLE ME;Lo;0;L;;;;;N;;;;;
        "\uA609",  # ;VAI SYLLABLE NE;Lo;0;L;;;;;N;;;;;
        "\uA60A",  # ;VAI SYLLABLE NYE;Lo;0;L;;;;;N;;;;;
        "\uA60B",  # ;VAI SYLLABLE NG;Lo;0;L;;;;;N;;;;;
        "\uA60C",  # ;VAI SYLLABLE LENGTHENER;Lm;0;L;;;;;N;;;;;
        "\uA60D",  # ;VAI COMMA;Po;0;ON;;;;;N;;;;;
        "\uA60E",  # ;VAI FULL STOP;Po;0;ON;;;;;N;;;;;
        "\uA60F",  # ;VAI QUESTION MARK;Po;0;ON;;;;;N;;;;;
        "\uA610",  # ;VAI SYLLABLE NDOLE FA;Lo;0;L;;;;;N;;;;;
        "\uA611",  # ;VAI SYLLABLE NDOLE KA;Lo;0;L;;;;;N;;;;;
        "\uA612",  # ;VAI SYLLABLE NDOLE SOO;Lo;0;L;;;;;N;;;;;
        "\uA613",  # ;VAI SYMBOL FEENG;Lo;0;L;;;;;N;;;;;
        "\uA614",  # ;VAI SYMBOL KEENG;Lo;0;L;;;;;N;;;;;
        "\uA615",  # ;VAI SYMBOL TING;Lo;0;L;;;;;N;;;;;
        "\uA616",  # ;VAI SYMBOL NII;Lo;0;L;;;;;N;;;;;
        "\uA617",  # ;VAI SYMBOL BANG;Lo;0;L;;;;;N;;;;;
        "\uA618",  # ;VAI SYMBOL FAA;Lo;0;L;;;;;N;;;;;
        "\uA619",  # ;VAI SYMBOL TAA;Lo;0;L;;;;;N;;;;;
        "\uA61A",  # ;VAI SYMBOL DANG;Lo;0;L;;;;;N;;;;;
        "\uA61B",  # ;VAI SYMBOL DOONG;Lo;0;L;;;;;N;;;;;
        "\uA61C",  # ;VAI SYMBOL KUNG;Lo;0;L;;;;;N;;;;;
        "\uA61D",  # ;VAI SYMBOL TONG;Lo;0;L;;;;;N;;;;;
        "\uA61E",  # ;VAI SYMBOL DO-O;Lo;0;L;;;;;N;;;;;
        "\uA61F",  # ;VAI SYMBOL JONG;Lo;0;L;;;;;N;;;;;
        "\uA620",  # ;VAI DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\uA621",  # ;VAI DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\uA622",  # ;VAI DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\uA623",  # ;VAI DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\uA624",  # ;VAI DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\uA625",  # ;VAI DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\uA626",  # ;VAI DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\uA627",  # ;VAI DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\uA628",  # ;VAI DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\uA629",  # ;VAI DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\uA62A",  # ;VAI SYLLABLE NDOLE MA;Lo;0;L;;;;;N;;;;;
        "\uA62B",  # ;VAI SYLLABLE NDOLE DO;Lo;0;L;;;;;N;;;;;
        "\uA640",  # ;CYRILLIC CAPITAL LETTER ZEMLYA;Lu;0;L;;;;;N;;;;A641;
        "\uA641",  # ;CYRILLIC SMALL LETTER ZEMLYA;Ll;0;L;;;;;N;;;A640;;A640
        "\uA642",  # ;CYRILLIC CAPITAL LETTER DZELO;Lu;0;L;;;;;N;;;;A643;
        "\uA643",  # ;CYRILLIC SMALL LETTER DZELO;Ll;0;L;;;;;N;;;A642;;A642
        "\uA644",  # ;CYRILLIC CAPITAL LETTER REVERSED DZE;Lu;0;L;;;;;N;;;;A645;
        "\uA645",  # ;CYRILLIC SMALL LETTER REVERSED DZE;Ll;0;L;;;;;N;;;A644;;A644
        "\uA646",  # ;CYRILLIC CAPITAL LETTER IOTA;Lu;0;L;;;;;N;;;;A647;
        "\uA647",  # ;CYRILLIC SMALL LETTER IOTA;Ll;0;L;;;;;N;;;A646;;A646
        "\uA648",  # ;CYRILLIC CAPITAL LETTER DJERV;Lu;0;L;;;;;N;;;;A649;
        "\uA649",  # ;CYRILLIC SMALL LETTER DJERV;Ll;0;L;;;;;N;;;A648;;A648
        "\uA64A",  # ;CYRILLIC CAPITAL LETTER MONOGRAPH UK;Lu;0;L;;;;;N;;;;A64B;
        "\uA64B",  # ;CYRILLIC SMALL LETTER MONOGRAPH UK;Ll;0;L;;;;;N;;;A64A;;A64A
        "\uA64C",  # ;CYRILLIC CAPITAL LETTER BROAD OMEGA;Lu;0;L;;;;;N;;;;A64D;
        "\uA64D",  # ;CYRILLIC SMALL LETTER BROAD OMEGA;Ll;0;L;;;;;N;;;A64C;;A64C
        "\uA64E",  # ;CYRILLIC CAPITAL LETTER NEUTRAL YER;Lu;0;L;;;;;N;;;;A64F;
        "\uA64F",  # ;CYRILLIC SMALL LETTER NEUTRAL YER;Ll;0;L;;;;;N;;;A64E;;A64E
        "\uA650",  # ;CYRILLIC CAPITAL LETTER YERU WITH BACK YER;Lu;0;L;;;;;N;;;;A651;
        "\uA651",  # ;CYRILLIC SMALL LETTER YERU WITH BACK YER;Ll;0;L;;;;;N;;;A650;;A650
        "\uA652",  # ;CYRILLIC CAPITAL LETTER IOTIFIED YAT;Lu;0;L;;;;;N;;;;A653;
        "\uA653",  # ;CYRILLIC SMALL LETTER IOTIFIED YAT;Ll;0;L;;;;;N;;;A652;;A652
        "\uA654",  # ;CYRILLIC CAPITAL LETTER REVERSED YU;Lu;0;L;;;;;N;;;;A655;
        "\uA655",  # ;CYRILLIC SMALL LETTER REVERSED YU;Ll;0;L;;;;;N;;;A654;;A654
        "\uA656",  # ;CYRILLIC CAPITAL LETTER IOTIFIED A;Lu;0;L;;;;;N;;;;A657;
        "\uA657",  # ;CYRILLIC SMALL LETTER IOTIFIED A;Ll;0;L;;;;;N;;;A656;;A656
        "\uA658",  # ;CYRILLIC CAPITAL LETTER CLOSED LITTLE YUS;Lu;0;L;;;;;N;;;;A659;
        "\uA659",  # ;CYRILLIC SMALL LETTER CLOSED LITTLE YUS;Ll;0;L;;;;;N;;;A658;;A658
        "\uA65A",  # ;CYRILLIC CAPITAL LETTER BLENDED YUS;Lu;0;L;;;;;N;;;;A65B;
        "\uA65B",  # ;CYRILLIC SMALL LETTER BLENDED YUS;Ll;0;L;;;;;N;;;A65A;;A65A
        "\uA65C",  # ;CYRILLIC CAPITAL LETTER IOTIFIED CLOSED LITTLE YUS;Lu;0;L;;;;;N;;;;A65D;
        "\uA65D",  # ;CYRILLIC SMALL LETTER IOTIFIED CLOSED LITTLE YUS;Ll;0;L;;;;;N;;;A65C;;A65C
        "\uA65E",  # ;CYRILLIC CAPITAL LETTER YN;Lu;0;L;;;;;N;;;;A65F;
        "\uA65F",  # ;CYRILLIC SMALL LETTER YN;Ll;0;L;;;;;N;;;A65E;;A65E
        "\uA660",  # ;CYRILLIC CAPITAL LETTER REVERSED TSE;Lu;0;L;;;;;N;;;;A661;
        "\uA661",  # ;CYRILLIC SMALL LETTER REVERSED TSE;Ll;0;L;;;;;N;;;A660;;A660
        "\uA662",  # ;CYRILLIC CAPITAL LETTER SOFT DE;Lu;0;L;;;;;N;;;;A663;
        "\uA663",  # ;CYRILLIC SMALL LETTER SOFT DE;Ll;0;L;;;;;N;;;A662;;A662
        "\uA664",  # ;CYRILLIC CAPITAL LETTER SOFT EL;Lu;0;L;;;;;N;;;;A665;
        "\uA665",  # ;CYRILLIC SMALL LETTER SOFT EL;Ll;0;L;;;;;N;;;A664;;A664
        "\uA666",  # ;CYRILLIC CAPITAL LETTER SOFT EM;Lu;0;L;;;;;N;;;;A667;
        "\uA667",  # ;CYRILLIC SMALL LETTER SOFT EM;Ll;0;L;;;;;N;;;A666;;A666
        "\uA668",  # ;CYRILLIC CAPITAL LETTER MONOCULAR O;Lu;0;L;;;;;N;;;;A669;
        "\uA669",  # ;CYRILLIC SMALL LETTER MONOCULAR O;Ll;0;L;;;;;N;;;A668;;A668
        "\uA66A",  # ;CYRILLIC CAPITAL LETTER BINOCULAR O;Lu;0;L;;;;;N;;;;A66B;
        "\uA66B",  # ;CYRILLIC SMALL LETTER BINOCULAR O;Ll;0;L;;;;;N;;;A66A;;A66A
        "\uA66C",  # ;CYRILLIC CAPITAL LETTER DOUBLE MONOCULAR O;Lu;0;L;;;;;N;;;;A66D;
        "\uA66D",  # ;CYRILLIC SMALL LETTER DOUBLE MONOCULAR O;Ll;0;L;;;;;N;;;A66C;;A66C
        "\uA66E",  # ;CYRILLIC LETTER MULTIOCULAR O;Lo;0;L;;;;;N;;;;;
        "\uA66F",  # ;COMBINING CYRILLIC VZMET;Mn;230;NSM;;;;;N;;;;;
        "\uA670",  # ;COMBINING CYRILLIC TEN MILLIONS SIGN;Me;0;NSM;;;;;N;;;;;
        "\uA671",  # ;COMBINING CYRILLIC HUNDRED MILLIONS SIGN;Me;0;NSM;;;;;N;;;;;
        "\uA672",  # ;COMBINING CYRILLIC THOUSAND MILLIONS SIGN;Me;0;NSM;;;;;N;;;;;
        "\uA673",  # ;SLAVONIC ASTERISK;Po;0;ON;;;;;N;;;;;
        "\uA674",  # ;COMBINING CYRILLIC LETTER UKRAINIAN IE;Mn;230;NSM;;;;;N;;;;;
        "\uA675",  # ;COMBINING CYRILLIC LETTER I;Mn;230;NSM;;;;;N;;;;;
        "\uA676",  # ;COMBINING CYRILLIC LETTER YI;Mn;230;NSM;;;;;N;;;;;
        "\uA677",  # ;COMBINING CYRILLIC LETTER U;Mn;230;NSM;;;;;N;;;;;
        "\uA678",  # ;COMBINING CYRILLIC LETTER HARD SIGN;Mn;230;NSM;;;;;N;;;;;
        "\uA679",  # ;COMBINING CYRILLIC LETTER YERU;Mn;230;NSM;;;;;N;;;;;
        "\uA67A",  # ;COMBINING CYRILLIC LETTER SOFT SIGN;Mn;230;NSM;;;;;N;;;;;
        "\uA67B",  # ;COMBINING CYRILLIC LETTER OMEGA;Mn;230;NSM;;;;;N;;;;;
        "\uA67C",  # ;COMBINING CYRILLIC KAVYKA;Mn;230;NSM;;;;;N;;;;;
        "\uA67D",  # ;COMBINING CYRILLIC PAYEROK;Mn;230;NSM;;;;;N;;;;;
        "\uA67E",  # ;CYRILLIC KAVYKA;Po;0;ON;;;;;N;;;;;
        "\uA67F",  # ;CYRILLIC PAYEROK;Lm;0;ON;;;;;N;;;;;
        "\uA680",  # ;CYRILLIC CAPITAL LETTER DWE;Lu;0;L;;;;;N;;;;A681;
        "\uA681",  # ;CYRILLIC SMALL LETTER DWE;Ll;0;L;;;;;N;;;A680;;A680
        "\uA682",  # ;CYRILLIC CAPITAL LETTER DZWE;Lu;0;L;;;;;N;;;;A683;
        "\uA683",  # ;CYRILLIC SMALL LETTER DZWE;Ll;0;L;;;;;N;;;A682;;A682
        "\uA684",  # ;CYRILLIC CAPITAL LETTER ZHWE;Lu;0;L;;;;;N;;;;A685;
        "\uA685",  # ;CYRILLIC SMALL LETTER ZHWE;Ll;0;L;;;;;N;;;A684;;A684
        "\uA686",  # ;CYRILLIC CAPITAL LETTER CCHE;Lu;0;L;;;;;N;;;;A687;
        "\uA687",  # ;CYRILLIC SMALL LETTER CCHE;Ll;0;L;;;;;N;;;A686;;A686
        "\uA688",  # ;CYRILLIC CAPITAL LETTER DZZE;Lu;0;L;;;;;N;;;;A689;
        "\uA689",  # ;CYRILLIC SMALL LETTER DZZE;Ll;0;L;;;;;N;;;A688;;A688
        "\uA68A",  # ;CYRILLIC CAPITAL LETTER TE WITH MIDDLE HOOK;Lu;0;L;;;;;N;;;;A68B;
        "\uA68B",  # ;CYRILLIC SMALL LETTER TE WITH MIDDLE HOOK;Ll;0;L;;;;;N;;;A68A;;A68A
        "\uA68C",  # ;CYRILLIC CAPITAL LETTER TWE;Lu;0;L;;;;;N;;;;A68D;
        "\uA68D",  # ;CYRILLIC SMALL LETTER TWE;Ll;0;L;;;;;N;;;A68C;;A68C
        "\uA68E",  # ;CYRILLIC CAPITAL LETTER TSWE;Lu;0;L;;;;;N;;;;A68F;
        "\uA68F",  # ;CYRILLIC SMALL LETTER TSWE;Ll;0;L;;;;;N;;;A68E;;A68E
        "\uA690",  # ;CYRILLIC CAPITAL LETTER TSSE;Lu;0;L;;;;;N;;;;A691;
        "\uA691",  # ;CYRILLIC SMALL LETTER TSSE;Ll;0;L;;;;;N;;;A690;;A690
        "\uA692",  # ;CYRILLIC CAPITAL LETTER TCHE;Lu;0;L;;;;;N;;;;A693;
        "\uA693",  # ;CYRILLIC SMALL LETTER TCHE;Ll;0;L;;;;;N;;;A692;;A692
        "\uA694",  # ;CYRILLIC CAPITAL LETTER HWE;Lu;0;L;;;;;N;;;;A695;
        "\uA695",  # ;CYRILLIC SMALL LETTER HWE;Ll;0;L;;;;;N;;;A694;;A694
        "\uA696",  # ;CYRILLIC CAPITAL LETTER SHWE;Lu;0;L;;;;;N;;;;A697;
        "\uA697",  # ;CYRILLIC SMALL LETTER SHWE;Ll;0;L;;;;;N;;;A696;;A696
        "\uA698",  # ;CYRILLIC CAPITAL LETTER DOUBLE O;Lu;0;L;;;;;N;;;;A699;
        "\uA699",  # ;CYRILLIC SMALL LETTER DOUBLE O;Ll;0;L;;;;;N;;;A698;;A698
        "\uA69A",  # ;CYRILLIC CAPITAL LETTER CROSSED O;Lu;0;L;;;;;N;;;;A69B;
        "\uA69B",  # ;CYRILLIC SMALL LETTER CROSSED O;Ll;0;L;;;;;N;;;A69A;;A69A
        "\uA69C",  # ;MODIFIER LETTER CYRILLIC HARD SIGN;Lm;0;L;<super> 044A;;;;N;;;;;
        "\uA69D",  # ;MODIFIER LETTER CYRILLIC SOFT SIGN;Lm;0;L;<super> 044C;;;;N;;;;;
        "\uA69E",  # ;COMBINING CYRILLIC LETTER EF;Mn;230;NSM;;;;;N;;;;;
        "\uA69F",  # ;COMBINING CYRILLIC LETTER IOTIFIED E;Mn;230;NSM;;;;;N;;;;;
        "\uA6A0",  # ;BAMUM LETTER A;Lo;0;L;;;;;N;;;;;
        "\uA6A1",  # ;BAMUM LETTER KA;Lo;0;L;;;;;N;;;;;
        "\uA6A2",  # ;BAMUM LETTER U;Lo;0;L;;;;;N;;;;;
        "\uA6A3",  # ;BAMUM LETTER KU;Lo;0;L;;;;;N;;;;;
        "\uA6A4",  # ;BAMUM LETTER EE;Lo;0;L;;;;;N;;;;;
        "\uA6A5",  # ;BAMUM LETTER REE;Lo;0;L;;;;;N;;;;;
        "\uA6A6",  # ;BAMUM LETTER TAE;Lo;0;L;;;;;N;;;;;
        "\uA6A7",  # ;BAMUM LETTER O;Lo;0;L;;;;;N;;;;;
        "\uA6A8",  # ;BAMUM LETTER NYI;Lo;0;L;;;;;N;;;;;
        "\uA6A9",  # ;BAMUM LETTER I;Lo;0;L;;;;;N;;;;;
        "\uA6AA",  # ;BAMUM LETTER LA;Lo;0;L;;;;;N;;;;;
        "\uA6AB",  # ;BAMUM LETTER PA;Lo;0;L;;;;;N;;;;;
        "\uA6AC",  # ;BAMUM LETTER RII;Lo;0;L;;;;;N;;;;;
        "\uA6AD",  # ;BAMUM LETTER RIEE;Lo;0;L;;;;;N;;;;;
        "\uA6AE",  # ;BAMUM LETTER LEEEE;Lo;0;L;;;;;N;;;;;
        "\uA6AF",  # ;BAMUM LETTER MEEEE;Lo;0;L;;;;;N;;;;;
        "\uA6B0",  # ;BAMUM LETTER TAA;Lo;0;L;;;;;N;;;;;
        "\uA6B1",  # ;BAMUM LETTER NDAA;Lo;0;L;;;;;N;;;;;
        "\uA6B2",  # ;BAMUM LETTER NJAEM;Lo;0;L;;;;;N;;;;;
        "\uA6B3",  # ;BAMUM LETTER M;Lo;0;L;;;;;N;;;;;
        "\uA6B4",  # ;BAMUM LETTER SUU;Lo;0;L;;;;;N;;;;;
        "\uA6B5",  # ;BAMUM LETTER MU;Lo;0;L;;;;;N;;;;;
        "\uA6B6",  # ;BAMUM LETTER SHII;Lo;0;L;;;;;N;;;;;
        "\uA6B7",  # ;BAMUM LETTER SI;Lo;0;L;;;;;N;;;;;
        "\uA6B8",  # ;BAMUM LETTER SHEUX;Lo;0;L;;;;;N;;;;;
        "\uA6B9",  # ;BAMUM LETTER SEUX;Lo;0;L;;;;;N;;;;;
        "\uA6BA",  # ;BAMUM LETTER KYEE;Lo;0;L;;;;;N;;;;;
        "\uA6BB",  # ;BAMUM LETTER KET;Lo;0;L;;;;;N;;;;;
        "\uA6BC",  # ;BAMUM LETTER NUAE;Lo;0;L;;;;;N;;;;;
        "\uA6BD",  # ;BAMUM LETTER NU;Lo;0;L;;;;;N;;;;;
        "\uA6BE",  # ;BAMUM LETTER NJUAE;Lo;0;L;;;;;N;;;;;
        "\uA6BF",  # ;BAMUM LETTER YOQ;Lo;0;L;;;;;N;;;;;
        "\uA6C0",  # ;BAMUM LETTER SHU;Lo;0;L;;;;;N;;;;;
        "\uA6C1",  # ;BAMUM LETTER YUQ;Lo;0;L;;;;;N;;;;;
        "\uA6C2",  # ;BAMUM LETTER YA;Lo;0;L;;;;;N;;;;;
        "\uA6C3",  # ;BAMUM LETTER NSHA;Lo;0;L;;;;;N;;;;;
        "\uA6C4",  # ;BAMUM LETTER KEUX;Lo;0;L;;;;;N;;;;;
        "\uA6C5",  # ;BAMUM LETTER PEUX;Lo;0;L;;;;;N;;;;;
        "\uA6C6",  # ;BAMUM LETTER NJEE;Lo;0;L;;;;;N;;;;;
        "\uA6C7",  # ;BAMUM LETTER NTEE;Lo;0;L;;;;;N;;;;;
        "\uA6C8",  # ;BAMUM LETTER PUE;Lo;0;L;;;;;N;;;;;
        "\uA6C9",  # ;BAMUM LETTER WUE;Lo;0;L;;;;;N;;;;;
        "\uA6CA",  # ;BAMUM LETTER PEE;Lo;0;L;;;;;N;;;;;
        "\uA6CB",  # ;BAMUM LETTER FEE;Lo;0;L;;;;;N;;;;;
        "\uA6CC",  # ;BAMUM LETTER RU;Lo;0;L;;;;;N;;;;;
        "\uA6CD",  # ;BAMUM LETTER LU;Lo;0;L;;;;;N;;;;;
        "\uA6CE",  # ;BAMUM LETTER MI;Lo;0;L;;;;;N;;;;;
        "\uA6CF",  # ;BAMUM LETTER NI;Lo;0;L;;;;;N;;;;;
        "\uA6D0",  # ;BAMUM LETTER REUX;Lo;0;L;;;;;N;;;;;
        "\uA6D1",  # ;BAMUM LETTER RAE;Lo;0;L;;;;;N;;;;;
        "\uA6D2",  # ;BAMUM LETTER KEN;Lo;0;L;;;;;N;;;;;
        "\uA6D3",  # ;BAMUM LETTER NGKWAEN;Lo;0;L;;;;;N;;;;;
        "\uA6D4",  # ;BAMUM LETTER NGGA;Lo;0;L;;;;;N;;;;;
        "\uA6D5",  # ;BAMUM LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\uA6D6",  # ;BAMUM LETTER SHO;Lo;0;L;;;;;N;;;;;
        "\uA6D7",  # ;BAMUM LETTER PUAE;Lo;0;L;;;;;N;;;;;
        "\uA6D8",  # ;BAMUM LETTER FU;Lo;0;L;;;;;N;;;;;
        "\uA6D9",  # ;BAMUM LETTER FOM;Lo;0;L;;;;;N;;;;;
        "\uA6DA",  # ;BAMUM LETTER WA;Lo;0;L;;;;;N;;;;;
        "\uA6DB",  # ;BAMUM LETTER NA;Lo;0;L;;;;;N;;;;;
        "\uA6DC",  # ;BAMUM LETTER LI;Lo;0;L;;;;;N;;;;;
        "\uA6DD",  # ;BAMUM LETTER PI;Lo;0;L;;;;;N;;;;;
        "\uA6DE",  # ;BAMUM LETTER LOQ;Lo;0;L;;;;;N;;;;;
        "\uA6DF",  # ;BAMUM LETTER KO;Lo;0;L;;;;;N;;;;;
        "\uA6E0",  # ;BAMUM LETTER MBEN;Lo;0;L;;;;;N;;;;;
        "\uA6E1",  # ;BAMUM LETTER REN;Lo;0;L;;;;;N;;;;;
        "\uA6E2",  # ;BAMUM LETTER MEN;Lo;0;L;;;;;N;;;;;
        "\uA6E3",  # ;BAMUM LETTER MA;Lo;0;L;;;;;N;;;;;
        "\uA6E4",  # ;BAMUM LETTER TI;Lo;0;L;;;;;N;;;;;
        "\uA6E5",  # ;BAMUM LETTER KI;Lo;0;L;;;;;N;;;;;
        "\uA6E6",  # ;BAMUM LETTER MO;Nl;0;L;;;;1;N;;;;;
        "\uA6E7",  # ;BAMUM LETTER MBAA;Nl;0;L;;;;2;N;;;;;
        "\uA6E8",  # ;BAMUM LETTER TET;Nl;0;L;;;;3;N;;;;;
        "\uA6E9",  # ;BAMUM LETTER KPA;Nl;0;L;;;;4;N;;;;;
        "\uA6EA",  # ;BAMUM LETTER TEN;Nl;0;L;;;;5;N;;;;;
        "\uA6EB",  # ;BAMUM LETTER NTUU;Nl;0;L;;;;6;N;;;;;
        "\uA6EC",  # ;BAMUM LETTER SAMBA;Nl;0;L;;;;7;N;;;;;
        "\uA6ED",  # ;BAMUM LETTER FAAMAE;Nl;0;L;;;;8;N;;;;;
        "\uA6EE",  # ;BAMUM LETTER KOVUU;Nl;0;L;;;;9;N;;;;;
        "\uA6EF",  # ;BAMUM LETTER KOGHOM;Nl;0;L;;;;0;N;;;;;
        "\uA6F0",  # ;BAMUM COMBINING MARK KOQNDON;Mn;230;NSM;;;;;N;;;;;
        "\uA6F1",  # ;BAMUM COMBINING MARK TUKWENTIS;Mn;230;NSM;;;;;N;;;;;
        "\uA6F2",  # ;BAMUM NJAEMLI;Po;0;L;;;;;N;;;;;
        "\uA6F3",  # ;BAMUM FULL STOP;Po;0;L;;;;;N;;;;;
        "\uA6F4",  # ;BAMUM COLON;Po;0;L;;;;;N;;;;;
        "\uA6F5",  # ;BAMUM COMMA;Po;0;L;;;;;N;;;;;
        "\uA6F6",  # ;BAMUM SEMICOLON;Po;0;L;;;;;N;;;;;
        "\uA6F7",  # ;BAMUM QUESTION MARK;Po;0;L;;;;;N;;;;;
        "\uA700",  # ;MODIFIER LETTER CHINESE TONE YIN PING;Sk;0;ON;;;;;N;;;;;
        "\uA701",  # ;MODIFIER LETTER CHINESE TONE YANG PING;Sk;0;ON;;;;;N;;;;;
        "\uA702",  # ;MODIFIER LETTER CHINESE TONE YIN SHANG;Sk;0;ON;;;;;N;;;;;
        "\uA703",  # ;MODIFIER LETTER CHINESE TONE YANG SHANG;Sk;0;ON;;;;;N;;;;;
        "\uA704",  # ;MODIFIER LETTER CHINESE TONE YIN QU;Sk;0;ON;;;;;N;;;;;
        "\uA705",  # ;MODIFIER LETTER CHINESE TONE YANG QU;Sk;0;ON;;;;;N;;;;;
        "\uA706",  # ;MODIFIER LETTER CHINESE TONE YIN RU;Sk;0;ON;;;;;N;;;;;
        "\uA707",  # ;MODIFIER LETTER CHINESE TONE YANG RU;Sk;0;ON;;;;;N;;;;;
        "\uA708",  # ;MODIFIER LETTER EXTRA-HIGH DOTTED TONE BAR;Sk;0;ON;;;;;N;;;;;
        "\uA709",  # ;MODIFIER LETTER HIGH DOTTED TONE BAR;Sk;0;ON;;;;;N;;;;;
        "\uA70A",  # ;MODIFIER LETTER MID DOTTED TONE BAR;Sk;0;ON;;;;;N;;;;;
        "\uA70B",  # ;MODIFIER LETTER LOW DOTTED TONE BAR;Sk;0;ON;;;;;N;;;;;
        "\uA70C",  # ;MODIFIER LETTER EXTRA-LOW DOTTED TONE BAR;Sk;0;ON;;;;;N;;;;;
        "\uA70D",  # ;MODIFIER LETTER EXTRA-HIGH DOTTED LEFT-STEM TONE BAR;Sk;0;ON;;;;;N;;;;;
        "\uA70E",  # ;MODIFIER LETTER HIGH DOTTED LEFT-STEM TONE BAR;Sk;0;ON;;;;;N;;;;;
        "\uA70F",  # ;MODIFIER LETTER MID DOTTED LEFT-STEM TONE BAR;Sk;0;ON;;;;;N;;;;;
        "\uA710",  # ;MODIFIER LETTER LOW DOTTED LEFT-STEM TONE BAR;Sk;0;ON;;;;;N;;;;;
        "\uA711",  # ;MODIFIER LETTER EXTRA-LOW DOTTED LEFT-STEM TONE BAR;Sk;0;ON;;;;;N;;;;;
        "\uA712",  # ;MODIFIER LETTER EXTRA-HIGH LEFT-STEM TONE BAR;Sk;0;ON;;;;;N;;;;;
        "\uA713",  # ;MODIFIER LETTER HIGH LEFT-STEM TONE BAR;Sk;0;ON;;;;;N;;;;;
        "\uA714",  # ;MODIFIER LETTER MID LEFT-STEM TONE BAR;Sk;0;ON;;;;;N;;;;;
        "\uA715",  # ;MODIFIER LETTER LOW LEFT-STEM TONE BAR;Sk;0;ON;;;;;N;;;;;
        "\uA716",  # ;MODIFIER LETTER EXTRA-LOW LEFT-STEM TONE BAR;Sk;0;ON;;;;;N;;;;;
        "\uA717",  # ;MODIFIER LETTER DOT VERTICAL BAR;Lm;0;ON;;;;;N;;;;;
        "\uA718",  # ;MODIFIER LETTER DOT SLASH;Lm;0;ON;;;;;N;;;;;
        "\uA719",  # ;MODIFIER LETTER DOT HORIZONTAL BAR;Lm;0;ON;;;;;N;;;;;
        "\uA71A",  # ;MODIFIER LETTER LOWER RIGHT CORNER ANGLE;Lm;0;ON;;;;;N;;;;;
        "\uA71B",  # ;MODIFIER LETTER RAISED UP ARROW;Lm;0;ON;;;;;N;;;;;
        "\uA71C",  # ;MODIFIER LETTER RAISED DOWN ARROW;Lm;0;ON;;;;;N;;;;;
        "\uA71D",  # ;MODIFIER LETTER RAISED EXCLAMATION MARK;Lm;0;ON;;;;;N;;;;;
        "\uA71E",  # ;MODIFIER LETTER RAISED INVERTED EXCLAMATION MARK;Lm;0;ON;;;;;N;;;;;
        "\uA71F",  # ;MODIFIER LETTER LOW INVERTED EXCLAMATION MARK;Lm;0;ON;;;;;N;;;;;
        "\uA720",  # ;MODIFIER LETTER STRESS AND HIGH TONE;Sk;0;ON;;;;;N;;;;;
        "\uA721",  # ;MODIFIER LETTER STRESS AND LOW TONE;Sk;0;ON;;;;;N;;;;;
        "\uA722",  # ;LATIN CAPITAL LETTER EGYPTOLOGICAL ALEF;Lu;0;L;;;;;N;;;;A723;
        "\uA723",  # ;LATIN SMALL LETTER EGYPTOLOGICAL ALEF;Ll;0;L;;;;;N;;;A722;;A722
        "\uA724",  # ;LATIN CAPITAL LETTER EGYPTOLOGICAL AIN;Lu;0;L;;;;;N;;;;A725;
        "\uA725",  # ;LATIN SMALL LETTER EGYPTOLOGICAL AIN;Ll;0;L;;;;;N;;;A724;;A724
        "\uA726",  # ;LATIN CAPITAL LETTER HENG;Lu;0;L;;;;;N;;;;A727;
        "\uA727",  # ;LATIN SMALL LETTER HENG;Ll;0;L;;;;;N;;;A726;;A726
        "\uA728",  # ;LATIN CAPITAL LETTER TZ;Lu;0;L;;;;;N;;;;A729;
        "\uA729",  # ;LATIN SMALL LETTER TZ;Ll;0;L;;;;;N;;;A728;;A728
        "\uA72A",  # ;LATIN CAPITAL LETTER TRESILLO;Lu;0;L;;;;;N;;;;A72B;
        "\uA72B",  # ;LATIN SMALL LETTER TRESILLO;Ll;0;L;;;;;N;;;A72A;;A72A
        "\uA72C",  # ;LATIN CAPITAL LETTER CUATRILLO;Lu;0;L;;;;;N;;;;A72D;
        "\uA72D",  # ;LATIN SMALL LETTER CUATRILLO;Ll;0;L;;;;;N;;;A72C;;A72C
        "\uA72E",  # ;LATIN CAPITAL LETTER CUATRILLO WITH COMMA;Lu;0;L;;;;;N;;;;A72F;
        "\uA72F",  # ;LATIN SMALL LETTER CUATRILLO WITH COMMA;Ll;0;L;;;;;N;;;A72E;;A72E
        "\uA730",  # ;LATIN LETTER SMALL CAPITAL F;Ll;0;L;;;;;N;;;;;
        "\uA731",  # ;LATIN LETTER SMALL CAPITAL S;Ll;0;L;;;;;N;;;;;
        "\uA732",  # ;LATIN CAPITAL LETTER AA;Lu;0;L;;;;;N;;;;A733;
        "\uA733",  # ;LATIN SMALL LETTER AA;Ll;0;L;;;;;N;;;A732;;A732
        "\uA734",  # ;LATIN CAPITAL LETTER AO;Lu;0;L;;;;;N;;;;A735;
        "\uA735",  # ;LATIN SMALL LETTER AO;Ll;0;L;;;;;N;;;A734;;A734
        "\uA736",  # ;LATIN CAPITAL LETTER AU;Lu;0;L;;;;;N;;;;A737;
        "\uA737",  # ;LATIN SMALL LETTER AU;Ll;0;L;;;;;N;;;A736;;A736
        "\uA738",  # ;LATIN CAPITAL LETTER AV;Lu;0;L;;;;;N;;;;A739;
        "\uA739",  # ;LATIN SMALL LETTER AV;Ll;0;L;;;;;N;;;A738;;A738
        "\uA73A",  # ;LATIN CAPITAL LETTER AV WITH HORIZONTAL BAR;Lu;0;L;;;;;N;;;;A73B;
        "\uA73B",  # ;LATIN SMALL LETTER AV WITH HORIZONTAL BAR;Ll;0;L;;;;;N;;;A73A;;A73A
        "\uA73C",  # ;LATIN CAPITAL LETTER AY;Lu;0;L;;;;;N;;;;A73D;
        "\uA73D",  # ;LATIN SMALL LETTER AY;Ll;0;L;;;;;N;;;A73C;;A73C
        "\uA73E",  # ;LATIN CAPITAL LETTER REVERSED C WITH DOT;Lu;0;L;;;;;N;;;;A73F;
        "\uA73F",  # ;LATIN SMALL LETTER REVERSED C WITH DOT;Ll;0;L;;;;;N;;;A73E;;A73E
        "\uA740",  # ;LATIN CAPITAL LETTER K WITH STROKE;Lu;0;L;;;;;N;;;;A741;
        "\uA741",  # ;LATIN SMALL LETTER K WITH STROKE;Ll;0;L;;;;;N;;;A740;;A740
        "\uA742",  # ;LATIN CAPITAL LETTER K WITH DIAGONAL STROKE;Lu;0;L;;;;;N;;;;A743;
        "\uA743",  # ;LATIN SMALL LETTER K WITH DIAGONAL STROKE;Ll;0;L;;;;;N;;;A742;;A742
        "\uA744",  # ;LATIN CAPITAL LETTER K WITH STROKE AND DIAGONAL STROKE;Lu;0;L;;;;;N;;;;A745;
        "\uA745",  # ;LATIN SMALL LETTER K WITH STROKE AND DIAGONAL STROKE;Ll;0;L;;;;;N;;;A744;;A744
        "\uA746",  # ;LATIN CAPITAL LETTER BROKEN L;Lu;0;L;;;;;N;;;;A747;
        "\uA747",  # ;LATIN SMALL LETTER BROKEN L;Ll;0;L;;;;;N;;;A746;;A746
        "\uA748",  # ;LATIN CAPITAL LETTER L WITH HIGH STROKE;Lu;0;L;;;;;N;;;;A749;
        "\uA749",  # ;LATIN SMALL LETTER L WITH HIGH STROKE;Ll;0;L;;;;;N;;;A748;;A748
        "\uA74A",  # ;LATIN CAPITAL LETTER O WITH LONG STROKE OVERLAY;Lu;0;L;;;;;N;;;;A74B;
        "\uA74B",  # ;LATIN SMALL LETTER O WITH LONG STROKE OVERLAY;Ll;0;L;;;;;N;;;A74A;;A74A
        "\uA74C",  # ;LATIN CAPITAL LETTER O WITH LOOP;Lu;0;L;;;;;N;;;;A74D;
        "\uA74D",  # ;LATIN SMALL LETTER O WITH LOOP;Ll;0;L;;;;;N;;;A74C;;A74C
        "\uA74E",  # ;LATIN CAPITAL LETTER OO;Lu;0;L;;;;;N;;;;A74F;
        "\uA74F",  # ;LATIN SMALL LETTER OO;Ll;0;L;;;;;N;;;A74E;;A74E
        "\uA750",  # ;LATIN CAPITAL LETTER P WITH STROKE THROUGH DESCENDER;Lu;0;L;;;;;N;;;;A751;
        "\uA751",  # ;LATIN SMALL LETTER P WITH STROKE THROUGH DESCENDER;Ll;0;L;;;;;N;;;A750;;A750
        "\uA752",  # ;LATIN CAPITAL LETTER P WITH FLOURISH;Lu;0;L;;;;;N;;;;A753;
        "\uA753",  # ;LATIN SMALL LETTER P WITH FLOURISH;Ll;0;L;;;;;N;;;A752;;A752
        "\uA754",  # ;LATIN CAPITAL LETTER P WITH SQUIRREL TAIL;Lu;0;L;;;;;N;;;;A755;
        "\uA755",  # ;LATIN SMALL LETTER P WITH SQUIRREL TAIL;Ll;0;L;;;;;N;;;A754;;A754
        "\uA756",  # ;LATIN CAPITAL LETTER Q WITH STROKE THROUGH DESCENDER;Lu;0;L;;;;;N;;;;A757;
        "\uA757",  # ;LATIN SMALL LETTER Q WITH STROKE THROUGH DESCENDER;Ll;0;L;;;;;N;;;A756;;A756
        "\uA758",  # ;LATIN CAPITAL LETTER Q WITH DIAGONAL STROKE;Lu;0;L;;;;;N;;;;A759;
        "\uA759",  # ;LATIN SMALL LETTER Q WITH DIAGONAL STROKE;Ll;0;L;;;;;N;;;A758;;A758
        "\uA75A",  # ;LATIN CAPITAL LETTER R ROTUNDA;Lu;0;L;;;;;N;;;;A75B;
        "\uA75B",  # ;LATIN SMALL LETTER R ROTUNDA;Ll;0;L;;;;;N;;;A75A;;A75A
        "\uA75C",  # ;LATIN CAPITAL LETTER RUM ROTUNDA;Lu;0;L;;;;;N;;;;A75D;
        "\uA75D",  # ;LATIN SMALL LETTER RUM ROTUNDA;Ll;0;L;;;;;N;;;A75C;;A75C
        "\uA75E",  # ;LATIN CAPITAL LETTER V WITH DIAGONAL STROKE;Lu;0;L;;;;;N;;;;A75F;
        "\uA75F",  # ;LATIN SMALL LETTER V WITH DIAGONAL STROKE;Ll;0;L;;;;;N;;;A75E;;A75E
        "\uA760",  # ;LATIN CAPITAL LETTER VY;Lu;0;L;;;;;N;;;;A761;
        "\uA761",  # ;LATIN SMALL LETTER VY;Ll;0;L;;;;;N;;;A760;;A760
        "\uA762",  # ;LATIN CAPITAL LETTER VISIGOTHIC Z;Lu;0;L;;;;;N;;;;A763;
        "\uA763",  # ;LATIN SMALL LETTER VISIGOTHIC Z;Ll;0;L;;;;;N;;;A762;;A762
        "\uA764",  # ;LATIN CAPITAL LETTER THORN WITH STROKE;Lu;0;L;;;;;N;;;;A765;
        "\uA765",  # ;LATIN SMALL LETTER THORN WITH STROKE;Ll;0;L;;;;;N;;;A764;;A764
        "\uA766",  # ;LATIN CAPITAL LETTER THORN WITH STROKE THROUGH DESCENDER;Lu;0;L;;;;;N;;;;A767;
        "\uA767",  # ;LATIN SMALL LETTER THORN WITH STROKE THROUGH DESCENDER;Ll;0;L;;;;;N;;;A766;;A766
        "\uA768",  # ;LATIN CAPITAL LETTER VEND;Lu;0;L;;;;;N;;;;A769;
        "\uA769",  # ;LATIN SMALL LETTER VEND;Ll;0;L;;;;;N;;;A768;;A768
        "\uA76A",  # ;LATIN CAPITAL LETTER ET;Lu;0;L;;;;;N;;;;A76B;
        "\uA76B",  # ;LATIN SMALL LETTER ET;Ll;0;L;;;;;N;;;A76A;;A76A
        "\uA76C",  # ;LATIN CAPITAL LETTER IS;Lu;0;L;;;;;N;;;;A76D;
        "\uA76D",  # ;LATIN SMALL LETTER IS;Ll;0;L;;;;;N;;;A76C;;A76C
        "\uA76E",  # ;LATIN CAPITAL LETTER CON;Lu;0;L;;;;;N;;;;A76F;
        "\uA76F",  # ;LATIN SMALL LETTER CON;Ll;0;L;;;;;N;;;A76E;;A76E
        "\uA770",  # ;MODIFIER LETTER US;Lm;0;L;<super> A76F;;;;N;;;;;
        "\uA771",  # ;LATIN SMALL LETTER DUM;Ll;0;L;;;;;N;;;;;
        "\uA772",  # ;LATIN SMALL LETTER LUM;Ll;0;L;;;;;N;;;;;
        "\uA773",  # ;LATIN SMALL LETTER MUM;Ll;0;L;;;;;N;;;;;
        "\uA774",  # ;LATIN SMALL LETTER NUM;Ll;0;L;;;;;N;;;;;
        "\uA775",  # ;LATIN SMALL LETTER RUM;Ll;0;L;;;;;N;;;;;
        "\uA776",  # ;LATIN LETTER SMALL CAPITAL RUM;Ll;0;L;;;;;N;;;;;
        "\uA777",  # ;LATIN SMALL LETTER TUM;Ll;0;L;;;;;N;;;;;
        "\uA778",  # ;LATIN SMALL LETTER UM;Ll;0;L;;;;;N;;;;;
        "\uA779",  # ;LATIN CAPITAL LETTER INSULAR D;Lu;0;L;;;;;N;;;;A77A;
        "\uA77A",  # ;LATIN SMALL LETTER INSULAR D;Ll;0;L;;;;;N;;;A779;;A779
        "\uA77B",  # ;LATIN CAPITAL LETTER INSULAR F;Lu;0;L;;;;;N;;;;A77C;
        "\uA77C",  # ;LATIN SMALL LETTER INSULAR F;Ll;0;L;;;;;N;;;A77B;;A77B
        "\uA77D",  # ;LATIN CAPITAL LETTER INSULAR G;Lu;0;L;;;;;N;;;;1D79;
        "\uA77E",  # ;LATIN CAPITAL LETTER TURNED INSULAR G;Lu;0;L;;;;;N;;;;A77F;
        "\uA77F",  # ;LATIN SMALL LETTER TURNED INSULAR G;Ll;0;L;;;;;N;;;A77E;;A77E
        "\uA780",  # ;LATIN CAPITAL LETTER TURNED L;Lu;0;L;;;;;N;;;;A781;
        "\uA781",  # ;LATIN SMALL LETTER TURNED L;Ll;0;L;;;;;N;;;A780;;A780
        "\uA782",  # ;LATIN CAPITAL LETTER INSULAR R;Lu;0;L;;;;;N;;;;A783;
        "\uA783",  # ;LATIN SMALL LETTER INSULAR R;Ll;0;L;;;;;N;;;A782;;A782
        "\uA784",  # ;LATIN CAPITAL LETTER INSULAR S;Lu;0;L;;;;;N;;;;A785;
        "\uA785",  # ;LATIN SMALL LETTER INSULAR S;Ll;0;L;;;;;N;;;A784;;A784
        "\uA786",  # ;LATIN CAPITAL LETTER INSULAR T;Lu;0;L;;;;;N;;;;A787;
        "\uA787",  # ;LATIN SMALL LETTER INSULAR T;Ll;0;L;;;;;N;;;A786;;A786
        "\uA788",  # ;MODIFIER LETTER LOW CIRCUMFLEX ACCENT;Lm;0;ON;;;;;N;;;;;
        "\uA789",  # ;MODIFIER LETTER COLON;Sk;0;L;;;;;N;;;;;
        "\uA78A",  # ;MODIFIER LETTER SHORT EQUALS SIGN;Sk;0;L;;;;;N;;;;;
        "\uA78B",  # ;LATIN CAPITAL LETTER SALTILLO;Lu;0;L;;;;;N;;;;A78C;
        "\uA78C",  # ;LATIN SMALL LETTER SALTILLO;Ll;0;L;;;;;N;;;A78B;;A78B
        "\uA78D",  # ;LATIN CAPITAL LETTER TURNED H;Lu;0;L;;;;;N;;;;0265;
        "\uA78E",  # ;LATIN SMALL LETTER L WITH RETROFLEX HOOK AND BELT;Ll;0;L;;;;;N;;;;;
        "\uA78F",  # ;LATIN LETTER SINOLOGICAL DOT;Lo;0;L;;;;;N;;;;;
        "\uA790",  # ;LATIN CAPITAL LETTER N WITH DESCENDER;Lu;0;L;;;;;N;;;;A791;
        "\uA791",  # ;LATIN SMALL LETTER N WITH DESCENDER;Ll;0;L;;;;;N;;;A790;;A790
        "\uA792",  # ;LATIN CAPITAL LETTER C WITH BAR;Lu;0;L;;;;;N;;;;A793;
        "\uA793",  # ;LATIN SMALL LETTER C WITH BAR;Ll;0;L;;;;;N;;;A792;;A792
        "\uA794",  # ;LATIN SMALL LETTER C WITH PALATAL HOOK;Ll;0;L;;;;;N;;;;;
        "\uA795",  # ;LATIN SMALL LETTER H WITH PALATAL HOOK;Ll;0;L;;;;;N;;;;;
        "\uA796",  # ;LATIN CAPITAL LETTER B WITH FLOURISH;Lu;0;L;;;;;N;;;;A797;
        "\uA797",  # ;LATIN SMALL LETTER B WITH FLOURISH;Ll;0;L;;;;;N;;;A796;;A796
        "\uA798",  # ;LATIN CAPITAL LETTER F WITH STROKE;Lu;0;L;;;;;N;;;;A799;
        "\uA799",  # ;LATIN SMALL LETTER F WITH STROKE;Ll;0;L;;;;;N;;;A798;;A798
        "\uA79A",  # ;LATIN CAPITAL LETTER VOLAPUK AE;Lu;0;L;;;;;N;;;;A79B;
        "\uA79B",  # ;LATIN SMALL LETTER VOLAPUK AE;Ll;0;L;;;;;N;;;A79A;;A79A
        "\uA79C",  # ;LATIN CAPITAL LETTER VOLAPUK OE;Lu;0;L;;;;;N;;;;A79D;
        "\uA79D",  # ;LATIN SMALL LETTER VOLAPUK OE;Ll;0;L;;;;;N;;;A79C;;A79C
        "\uA79E",  # ;LATIN CAPITAL LETTER VOLAPUK UE;Lu;0;L;;;;;N;;;;A79F;
        "\uA79F",  # ;LATIN SMALL LETTER VOLAPUK UE;Ll;0;L;;;;;N;;;A79E;;A79E
        "\uA7A0",  # ;LATIN CAPITAL LETTER G WITH OBLIQUE STROKE;Lu;0;L;;;;;N;;;;A7A1;
        "\uA7A1",  # ;LATIN SMALL LETTER G WITH OBLIQUE STROKE;Ll;0;L;;;;;N;;;A7A0;;A7A0
        "\uA7A2",  # ;LATIN CAPITAL LETTER K WITH OBLIQUE STROKE;Lu;0;L;;;;;N;;;;A7A3;
        "\uA7A3",  # ;LATIN SMALL LETTER K WITH OBLIQUE STROKE;Ll;0;L;;;;;N;;;A7A2;;A7A2
        "\uA7A4",  # ;LATIN CAPITAL LETTER N WITH OBLIQUE STROKE;Lu;0;L;;;;;N;;;;A7A5;
        "\uA7A5",  # ;LATIN SMALL LETTER N WITH OBLIQUE STROKE;Ll;0;L;;;;;N;;;A7A4;;A7A4
        "\uA7A6",  # ;LATIN CAPITAL LETTER R WITH OBLIQUE STROKE;Lu;0;L;;;;;N;;;;A7A7;
        "\uA7A7",  # ;LATIN SMALL LETTER R WITH OBLIQUE STROKE;Ll;0;L;;;;;N;;;A7A6;;A7A6
        "\uA7A8",  # ;LATIN CAPITAL LETTER S WITH OBLIQUE STROKE;Lu;0;L;;;;;N;;;;A7A9;
        "\uA7A9",  # ;LATIN SMALL LETTER S WITH OBLIQUE STROKE;Ll;0;L;;;;;N;;;A7A8;;A7A8
        "\uA7AA",  # ;LATIN CAPITAL LETTER H WITH HOOK;Lu;0;L;;;;;N;;;;0266;
        "\uA7AB",  # ;LATIN CAPITAL LETTER REVERSED OPEN E;Lu;0;L;;;;;N;;;;025C;
        "\uA7AC",  # ;LATIN CAPITAL LETTER SCRIPT G;Lu;0;L;;;;;N;;;;0261;
        "\uA7AD",  # ;LATIN CAPITAL LETTER L WITH BELT;Lu;0;L;;;;;N;;;;026C;
        "\uA7AE",  # ;LATIN CAPITAL LETTER SMALL CAPITAL I;Lu;0;L;;;;;N;;;;026A;
        "\uA7B0",  # ;LATIN CAPITAL LETTER TURNED K;Lu;0;L;;;;;N;;;;029E;
        "\uA7B1",  # ;LATIN CAPITAL LETTER TURNED T;Lu;0;L;;;;;N;;;;0287;
        "\uA7B2",  # ;LATIN CAPITAL LETTER J WITH CROSSED-TAIL;Lu;0;L;;;;;N;;;;029D;
        "\uA7B3",  # ;LATIN CAPITAL LETTER CHI;Lu;0;L;;;;;N;;;;AB53;
        "\uA7B4",  # ;LATIN CAPITAL LETTER BETA;Lu;0;L;;;;;N;;;;A7B5;
        "\uA7B5",  # ;LATIN SMALL LETTER BETA;Ll;0;L;;;;;N;;;A7B4;;A7B4
        "\uA7B6",  # ;LATIN CAPITAL LETTER OMEGA;Lu;0;L;;;;;N;;;;A7B7;
        "\uA7B7",  # ;LATIN SMALL LETTER OMEGA;Ll;0;L;;;;;N;;;A7B6;;A7B6
        "\uA7F7",  # ;LATIN EPIGRAPHIC LETTER SIDEWAYS I;Lo;0;L;;;;;N;;;;;
        "\uA7F8",  # ;MODIFIER LETTER CAPITAL H WITH STROKE;Lm;0;L;<super> 0126;;;;N;;;;;
        "\uA7F9",  # ;MODIFIER LETTER SMALL LIGATURE OE;Lm;0;L;<super> 0153;;;;N;;;;;
        "\uA7FA",  # ;LATIN LETTER SMALL CAPITAL TURNED M;Ll;0;L;;;;;N;;;;;
        "\uA7FB",  # ;LATIN EPIGRAPHIC LETTER REVERSED F;Lo;0;L;;;;;N;;;;;
        "\uA7FC",  # ;LATIN EPIGRAPHIC LETTER REVERSED P;Lo;0;L;;;;;N;;;;;
        "\uA7FD",  # ;LATIN EPIGRAPHIC LETTER INVERTED M;Lo;0;L;;;;;N;;;;;
        "\uA7FE",  # ;LATIN EPIGRAPHIC LETTER I LONGA;Lo;0;L;;;;;N;;;;;
        "\uA7FF",  # ;LATIN EPIGRAPHIC LETTER ARCHAIC M;Lo;0;L;;;;;N;;;;;
        "\uA800",  # ;SYLOTI NAGRI LETTER A;Lo;0;L;;;;;N;;;;;
        "\uA801",  # ;SYLOTI NAGRI LETTER I;Lo;0;L;;;;;N;;;;;
        "\uA802",  # ;SYLOTI NAGRI SIGN DVISVARA;Mn;0;NSM;;;;;N;;;;;
        "\uA803",  # ;SYLOTI NAGRI LETTER U;Lo;0;L;;;;;N;;;;;
        "\uA804",  # ;SYLOTI NAGRI LETTER E;Lo;0;L;;;;;N;;;;;
        "\uA805",  # ;SYLOTI NAGRI LETTER O;Lo;0;L;;;;;N;;;;;
        "\uA806",  # ;SYLOTI NAGRI SIGN HASANTA;Mn;9;NSM;;;;;N;;;;;
        "\uA807",  # ;SYLOTI NAGRI LETTER KO;Lo;0;L;;;;;N;;;;;
        "\uA808",  # ;SYLOTI NAGRI LETTER KHO;Lo;0;L;;;;;N;;;;;
        "\uA809",  # ;SYLOTI NAGRI LETTER GO;Lo;0;L;;;;;N;;;;;
        "\uA80A",  # ;SYLOTI NAGRI LETTER GHO;Lo;0;L;;;;;N;;;;;
        "\uA80B",  # ;SYLOTI NAGRI SIGN ANUSVARA;Mn;0;NSM;;;;;N;;;;;
        "\uA80C",  # ;SYLOTI NAGRI LETTER CO;Lo;0;L;;;;;N;;;;;
        "\uA80D",  # ;SYLOTI NAGRI LETTER CHO;Lo;0;L;;;;;N;;;;;
        "\uA80E",  # ;SYLOTI NAGRI LETTER JO;Lo;0;L;;;;;N;;;;;
        "\uA80F",  # ;SYLOTI NAGRI LETTER JHO;Lo;0;L;;;;;N;;;;;
        "\uA810",  # ;SYLOTI NAGRI LETTER TTO;Lo;0;L;;;;;N;;;;;
        "\uA811",  # ;SYLOTI NAGRI LETTER TTHO;Lo;0;L;;;;;N;;;;;
        "\uA812",  # ;SYLOTI NAGRI LETTER DDO;Lo;0;L;;;;;N;;;;;
        "\uA813",  # ;SYLOTI NAGRI LETTER DDHO;Lo;0;L;;;;;N;;;;;
        "\uA814",  # ;SYLOTI NAGRI LETTER TO;Lo;0;L;;;;;N;;;;;
        "\uA815",  # ;SYLOTI NAGRI LETTER THO;Lo;0;L;;;;;N;;;;;
        "\uA816",  # ;SYLOTI NAGRI LETTER DO;Lo;0;L;;;;;N;;;;;
        "\uA817",  # ;SYLOTI NAGRI LETTER DHO;Lo;0;L;;;;;N;;;;;
        "\uA818",  # ;SYLOTI NAGRI LETTER NO;Lo;0;L;;;;;N;;;;;
        "\uA819",  # ;SYLOTI NAGRI LETTER PO;Lo;0;L;;;;;N;;;;;
        "\uA81A",  # ;SYLOTI NAGRI LETTER PHO;Lo;0;L;;;;;N;;;;;
        "\uA81B",  # ;SYLOTI NAGRI LETTER BO;Lo;0;L;;;;;N;;;;;
        "\uA81C",  # ;SYLOTI NAGRI LETTER BHO;Lo;0;L;;;;;N;;;;;
        "\uA81D",  # ;SYLOTI NAGRI LETTER MO;Lo;0;L;;;;;N;;;;;
        "\uA81E",  # ;SYLOTI NAGRI LETTER RO;Lo;0;L;;;;;N;;;;;
        "\uA81F",  # ;SYLOTI NAGRI LETTER LO;Lo;0;L;;;;;N;;;;;
        "\uA820",  # ;SYLOTI NAGRI LETTER RRO;Lo;0;L;;;;;N;;;;;
        "\uA821",  # ;SYLOTI NAGRI LETTER SO;Lo;0;L;;;;;N;;;;;
        "\uA822",  # ;SYLOTI NAGRI LETTER HO;Lo;0;L;;;;;N;;;;;
        "\uA823",  # ;SYLOTI NAGRI VOWEL SIGN A;Mc;0;L;;;;;N;;;;;
        "\uA824",  # ;SYLOTI NAGRI VOWEL SIGN I;Mc;0;L;;;;;N;;;;;
        "\uA825",  # ;SYLOTI NAGRI VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\uA826",  # ;SYLOTI NAGRI VOWEL SIGN E;Mn;0;NSM;;;;;N;;;;;
        "\uA827",  # ;SYLOTI NAGRI VOWEL SIGN OO;Mc;0;L;;;;;N;;;;;
        "\uA828",  # ;SYLOTI NAGRI POETRY MARK-1;So;0;ON;;;;;N;;;;;
        "\uA829",  # ;SYLOTI NAGRI POETRY MARK-2;So;0;ON;;;;;N;;;;;
        "\uA82A",  # ;SYLOTI NAGRI POETRY MARK-3;So;0;ON;;;;;N;;;;;
        "\uA82B",  # ;SYLOTI NAGRI POETRY MARK-4;So;0;ON;;;;;N;;;;;
        "\uA830",  # ;NORTH INDIC FRACTION ONE QUARTER;No;0;L;;;;1/4;N;;;;;
        "\uA831",  # ;NORTH INDIC FRACTION ONE HALF;No;0;L;;;;1/2;N;;;;;
        "\uA832",  # ;NORTH INDIC FRACTION THREE QUARTERS;No;0;L;;;;3/4;N;;;;;
        "\uA833",  # ;NORTH INDIC FRACTION ONE SIXTEENTH;No;0;L;;;;1/16;N;;;;;
        "\uA834",  # ;NORTH INDIC FRACTION ONE EIGHTH;No;0;L;;;;1/8;N;;;;;
        "\uA835",  # ;NORTH INDIC FRACTION THREE SIXTEENTHS;No;0;L;;;;3/16;N;;;;;
        "\uA836",  # ;NORTH INDIC QUARTER MARK;So;0;L;;;;;N;;;;;
        "\uA837",  # ;NORTH INDIC PLACEHOLDER MARK;So;0;L;;;;;N;;;;;
        "\uA838",  # ;NORTH INDIC RUPEE MARK;Sc;0;ET;;;;;N;;;;;
        "\uA839",  # ;NORTH INDIC QUANTITY MARK;So;0;ET;;;;;N;;;;;
        "\uA840",  # ;PHAGS-PA LETTER KA;Lo;0;L;;;;;N;;;;;
        "\uA841",  # ;PHAGS-PA LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\uA842",  # ;PHAGS-PA LETTER GA;Lo;0;L;;;;;N;;;;;
        "\uA843",  # ;PHAGS-PA LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\uA844",  # ;PHAGS-PA LETTER CA;Lo;0;L;;;;;N;;;;;
        "\uA845",  # ;PHAGS-PA LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\uA846",  # ;PHAGS-PA LETTER JA;Lo;0;L;;;;;N;;;;;
        "\uA847",  # ;PHAGS-PA LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\uA848",  # ;PHAGS-PA LETTER TA;Lo;0;L;;;;;N;;;;;
        "\uA849",  # ;PHAGS-PA LETTER THA;Lo;0;L;;;;;N;;;;;
        "\uA84A",  # ;PHAGS-PA LETTER DA;Lo;0;L;;;;;N;;;;;
        "\uA84B",  # ;PHAGS-PA LETTER NA;Lo;0;L;;;;;N;;;;;
        "\uA84C",  # ;PHAGS-PA LETTER PA;Lo;0;L;;;;;N;;;;;
        "\uA84D",  # ;PHAGS-PA LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\uA84E",  # ;PHAGS-PA LETTER BA;Lo;0;L;;;;;N;;;;;
        "\uA84F",  # ;PHAGS-PA LETTER MA;Lo;0;L;;;;;N;;;;;
        "\uA850",  # ;PHAGS-PA LETTER TSA;Lo;0;L;;;;;N;;;;;
        "\uA851",  # ;PHAGS-PA LETTER TSHA;Lo;0;L;;;;;N;;;;;
        "\uA852",  # ;PHAGS-PA LETTER DZA;Lo;0;L;;;;;N;;;;;
        "\uA853",  # ;PHAGS-PA LETTER WA;Lo;0;L;;;;;N;;;;;
        "\uA854",  # ;PHAGS-PA LETTER ZHA;Lo;0;L;;;;;N;;;;;
        "\uA855",  # ;PHAGS-PA LETTER ZA;Lo;0;L;;;;;N;;;;;
        "\uA856",  # ;PHAGS-PA LETTER SMALL A;Lo;0;L;;;;;N;;;;;
        "\uA857",  # ;PHAGS-PA LETTER YA;Lo;0;L;;;;;N;;;;;
        "\uA858",  # ;PHAGS-PA LETTER RA;Lo;0;L;;;;;N;;;;;
        "\uA859",  # ;PHAGS-PA LETTER LA;Lo;0;L;;;;;N;;;;;
        "\uA85A",  # ;PHAGS-PA LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\uA85B",  # ;PHAGS-PA LETTER SA;Lo;0;L;;;;;N;;;;;
        "\uA85C",  # ;PHAGS-PA LETTER HA;Lo;0;L;;;;;N;;;;;
        "\uA85D",  # ;PHAGS-PA LETTER A;Lo;0;L;;;;;N;;;;;
        "\uA85E",  # ;PHAGS-PA LETTER I;Lo;0;L;;;;;N;;;;;
        "\uA85F",  # ;PHAGS-PA LETTER U;Lo;0;L;;;;;N;;;;;
        "\uA860",  # ;PHAGS-PA LETTER E;Lo;0;L;;;;;N;;;;;
        "\uA861",  # ;PHAGS-PA LETTER O;Lo;0;L;;;;;N;;;;;
        "\uA862",  # ;PHAGS-PA LETTER QA;Lo;0;L;;;;;N;;;;;
        "\uA863",  # ;PHAGS-PA LETTER XA;Lo;0;L;;;;;N;;;;;
        "\uA864",  # ;PHAGS-PA LETTER FA;Lo;0;L;;;;;N;;;;;
        "\uA865",  # ;PHAGS-PA LETTER GGA;Lo;0;L;;;;;N;;;;;
        "\uA866",  # ;PHAGS-PA LETTER EE;Lo;0;L;;;;;N;;;;;
        "\uA867",  # ;PHAGS-PA SUBJOINED LETTER WA;Lo;0;L;;;;;N;;;;;
        "\uA868",  # ;PHAGS-PA SUBJOINED LETTER YA;Lo;0;L;;;;;N;;;;;
        "\uA869",  # ;PHAGS-PA LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\uA86A",  # ;PHAGS-PA LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\uA86B",  # ;PHAGS-PA LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\uA86C",  # ;PHAGS-PA LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\uA86D",  # ;PHAGS-PA LETTER ALTERNATE YA;Lo;0;L;;;;;N;;;;;
        "\uA86E",  # ;PHAGS-PA LETTER VOICELESS SHA;Lo;0;L;;;;;N;;;;;
        "\uA86F",  # ;PHAGS-PA LETTER VOICED HA;Lo;0;L;;;;;N;;;;;
        "\uA870",  # ;PHAGS-PA LETTER ASPIRATED FA;Lo;0;L;;;;;N;;;;;
        "\uA871",  # ;PHAGS-PA SUBJOINED LETTER RA;Lo;0;L;;;;;N;;;;;
        "\uA872",  # ;PHAGS-PA SUPERFIXED LETTER RA;Lo;0;L;;;;;N;;;;;
        "\uA873",  # ;PHAGS-PA LETTER CANDRABINDU;Lo;0;L;;;;;N;;;;;
        "\uA874",  # ;PHAGS-PA SINGLE HEAD MARK;Po;0;ON;;;;;N;;;;;
        "\uA875",  # ;PHAGS-PA DOUBLE HEAD MARK;Po;0;ON;;;;;N;;;;;
        "\uA876",  # ;PHAGS-PA MARK SHAD;Po;0;ON;;;;;N;;;;;
        "\uA877",  # ;PHAGS-PA MARK DOUBLE SHAD;Po;0;ON;;;;;N;;;;;
        "\uA880",  # ;SAURASHTRA SIGN ANUSVARA;Mc;0;L;;;;;N;;;;;
        "\uA881",  # ;SAURASHTRA SIGN VISARGA;Mc;0;L;;;;;N;;;;;
        "\uA882",  # ;SAURASHTRA LETTER A;Lo;0;L;;;;;N;;;;;
        "\uA883",  # ;SAURASHTRA LETTER AA;Lo;0;L;;;;;N;;;;;
        "\uA884",  # ;SAURASHTRA LETTER I;Lo;0;L;;;;;N;;;;;
        "\uA885",  # ;SAURASHTRA LETTER II;Lo;0;L;;;;;N;;;;;
        "\uA886",  # ;SAURASHTRA LETTER U;Lo;0;L;;;;;N;;;;;
        "\uA887",  # ;SAURASHTRA LETTER UU;Lo;0;L;;;;;N;;;;;
        "\uA888",  # ;SAURASHTRA LETTER VOCALIC R;Lo;0;L;;;;;N;;;;;
        "\uA889",  # ;SAURASHTRA LETTER VOCALIC RR;Lo;0;L;;;;;N;;;;;
        "\uA88A",  # ;SAURASHTRA LETTER VOCALIC L;Lo;0;L;;;;;N;;;;;
        "\uA88B",  # ;SAURASHTRA LETTER VOCALIC LL;Lo;0;L;;;;;N;;;;;
        "\uA88C",  # ;SAURASHTRA LETTER E;Lo;0;L;;;;;N;;;;;
        "\uA88D",  # ;SAURASHTRA LETTER EE;Lo;0;L;;;;;N;;;;;
        "\uA88E",  # ;SAURASHTRA LETTER AI;Lo;0;L;;;;;N;;;;;
        "\uA88F",  # ;SAURASHTRA LETTER O;Lo;0;L;;;;;N;;;;;
        "\uA890",  # ;SAURASHTRA LETTER OO;Lo;0;L;;;;;N;;;;;
        "\uA891",  # ;SAURASHTRA LETTER AU;Lo;0;L;;;;;N;;;;;
        "\uA892",  # ;SAURASHTRA LETTER KA;Lo;0;L;;;;;N;;;;;
        "\uA893",  # ;SAURASHTRA LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\uA894",  # ;SAURASHTRA LETTER GA;Lo;0;L;;;;;N;;;;;
        "\uA895",  # ;SAURASHTRA LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\uA896",  # ;SAURASHTRA LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\uA897",  # ;SAURASHTRA LETTER CA;Lo;0;L;;;;;N;;;;;
        "\uA898",  # ;SAURASHTRA LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\uA899",  # ;SAURASHTRA LETTER JA;Lo;0;L;;;;;N;;;;;
        "\uA89A",  # ;SAURASHTRA LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\uA89B",  # ;SAURASHTRA LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\uA89C",  # ;SAURASHTRA LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\uA89D",  # ;SAURASHTRA LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\uA89E",  # ;SAURASHTRA LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\uA89F",  # ;SAURASHTRA LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\uA8A0",  # ;SAURASHTRA LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\uA8A1",  # ;SAURASHTRA LETTER TA;Lo;0;L;;;;;N;;;;;
        "\uA8A2",  # ;SAURASHTRA LETTER THA;Lo;0;L;;;;;N;;;;;
        "\uA8A3",  # ;SAURASHTRA LETTER DA;Lo;0;L;;;;;N;;;;;
        "\uA8A4",  # ;SAURASHTRA LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\uA8A5",  # ;SAURASHTRA LETTER NA;Lo;0;L;;;;;N;;;;;
        "\uA8A6",  # ;SAURASHTRA LETTER PA;Lo;0;L;;;;;N;;;;;
        "\uA8A7",  # ;SAURASHTRA LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\uA8A8",  # ;SAURASHTRA LETTER BA;Lo;0;L;;;;;N;;;;;
        "\uA8A9",  # ;SAURASHTRA LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\uA8AA",  # ;SAURASHTRA LETTER MA;Lo;0;L;;;;;N;;;;;
        "\uA8AB",  # ;SAURASHTRA LETTER YA;Lo;0;L;;;;;N;;;;;
        "\uA8AC",  # ;SAURASHTRA LETTER RA;Lo;0;L;;;;;N;;;;;
        "\uA8AD",  # ;SAURASHTRA LETTER LA;Lo;0;L;;;;;N;;;;;
        "\uA8AE",  # ;SAURASHTRA LETTER VA;Lo;0;L;;;;;N;;;;;
        "\uA8AF",  # ;SAURASHTRA LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\uA8B0",  # ;SAURASHTRA LETTER SSA;Lo;0;L;;;;;N;;;;;
        "\uA8B1",  # ;SAURASHTRA LETTER SA;Lo;0;L;;;;;N;;;;;
        "\uA8B2",  # ;SAURASHTRA LETTER HA;Lo;0;L;;;;;N;;;;;
        "\uA8B3",  # ;SAURASHTRA LETTER LLA;Lo;0;L;;;;;N;;;;;
        "\uA8B4",  # ;SAURASHTRA CONSONANT SIGN HAARU;Mc;0;L;;;;;N;;;;;
        "\uA8B5",  # ;SAURASHTRA VOWEL SIGN AA;Mc;0;L;;;;;N;;;;;
        "\uA8B6",  # ;SAURASHTRA VOWEL SIGN I;Mc;0;L;;;;;N;;;;;
        "\uA8B7",  # ;SAURASHTRA VOWEL SIGN II;Mc;0;L;;;;;N;;;;;
        "\uA8B8",  # ;SAURASHTRA VOWEL SIGN U;Mc;0;L;;;;;N;;;;;
        "\uA8B9",  # ;SAURASHTRA VOWEL SIGN UU;Mc;0;L;;;;;N;;;;;
        "\uA8BA",  # ;SAURASHTRA VOWEL SIGN VOCALIC R;Mc;0;L;;;;;N;;;;;
        "\uA8BB",  # ;SAURASHTRA VOWEL SIGN VOCALIC RR;Mc;0;L;;;;;N;;;;;
        "\uA8BC",  # ;SAURASHTRA VOWEL SIGN VOCALIC L;Mc;0;L;;;;;N;;;;;
        "\uA8BD",  # ;SAURASHTRA VOWEL SIGN VOCALIC LL;Mc;0;L;;;;;N;;;;;
        "\uA8BE",  # ;SAURASHTRA VOWEL SIGN E;Mc;0;L;;;;;N;;;;;
        "\uA8BF",  # ;SAURASHTRA VOWEL SIGN EE;Mc;0;L;;;;;N;;;;;
        "\uA8C0",  # ;SAURASHTRA VOWEL SIGN AI;Mc;0;L;;;;;N;;;;;
        "\uA8C1",  # ;SAURASHTRA VOWEL SIGN O;Mc;0;L;;;;;N;;;;;
        "\uA8C2",  # ;SAURASHTRA VOWEL SIGN OO;Mc;0;L;;;;;N;;;;;
        "\uA8C3",  # ;SAURASHTRA VOWEL SIGN AU;Mc;0;L;;;;;N;;;;;
        "\uA8C4",  # ;SAURASHTRA SIGN VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\uA8C5",  # ;SAURASHTRA SIGN CANDRABINDU;Mn;0;NSM;;;;;N;;;;;
        "\uA8CE",  # ;SAURASHTRA DANDA;Po;0;L;;;;;N;;;;;
        "\uA8CF",  # ;SAURASHTRA DOUBLE DANDA;Po;0;L;;;;;N;;;;;
        "\uA8D0",  # ;SAURASHTRA DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\uA8D1",  # ;SAURASHTRA DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\uA8D2",  # ;SAURASHTRA DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\uA8D3",  # ;SAURASHTRA DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\uA8D4",  # ;SAURASHTRA DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\uA8D5",  # ;SAURASHTRA DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\uA8D6",  # ;SAURASHTRA DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\uA8D7",  # ;SAURASHTRA DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\uA8D8",  # ;SAURASHTRA DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\uA8D9",  # ;SAURASHTRA DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\uA8E0",  # ;COMBINING DEVANAGARI DIGIT ZERO;Mn;230;NSM;;;;;N;;;;;
        "\uA8E1",  # ;COMBINING DEVANAGARI DIGIT ONE;Mn;230;NSM;;;;;N;;;;;
        "\uA8E2",  # ;COMBINING DEVANAGARI DIGIT TWO;Mn;230;NSM;;;;;N;;;;;
        "\uA8E3",  # ;COMBINING DEVANAGARI DIGIT THREE;Mn;230;NSM;;;;;N;;;;;
        "\uA8E4",  # ;COMBINING DEVANAGARI DIGIT FOUR;Mn;230;NSM;;;;;N;;;;;
        "\uA8E5",  # ;COMBINING DEVANAGARI DIGIT FIVE;Mn;230;NSM;;;;;N;;;;;
        "\uA8E6",  # ;COMBINING DEVANAGARI DIGIT SIX;Mn;230;NSM;;;;;N;;;;;
        "\uA8E7",  # ;COMBINING DEVANAGARI DIGIT SEVEN;Mn;230;NSM;;;;;N;;;;;
        "\uA8E8",  # ;COMBINING DEVANAGARI DIGIT EIGHT;Mn;230;NSM;;;;;N;;;;;
        "\uA8E9",  # ;COMBINING DEVANAGARI DIGIT NINE;Mn;230;NSM;;;;;N;;;;;
        "\uA8EA",  # ;COMBINING DEVANAGARI LETTER A;Mn;230;NSM;;;;;N;;;;;
        "\uA8EB",  # ;COMBINING DEVANAGARI LETTER U;Mn;230;NSM;;;;;N;;;;;
        "\uA8EC",  # ;COMBINING DEVANAGARI LETTER KA;Mn;230;NSM;;;;;N;;;;;
        "\uA8ED",  # ;COMBINING DEVANAGARI LETTER NA;Mn;230;NSM;;;;;N;;;;;
        "\uA8EE",  # ;COMBINING DEVANAGARI LETTER PA;Mn;230;NSM;;;;;N;;;;;
        "\uA8EF",  # ;COMBINING DEVANAGARI LETTER RA;Mn;230;NSM;;;;;N;;;;;
        "\uA8F0",  # ;COMBINING DEVANAGARI LETTER VI;Mn;230;NSM;;;;;N;;;;;
        "\uA8F1",  # ;COMBINING DEVANAGARI SIGN AVAGRAHA;Mn;230;NSM;;;;;N;;;;;
        "\uA8F2",  # ;DEVANAGARI SIGN SPACING CANDRABINDU;Lo;0;L;;;;;N;;;;;
        "\uA8F3",  # ;DEVANAGARI SIGN CANDRABINDU VIRAMA;Lo;0;L;;;;;N;;;;;
        "\uA8F4",  # ;DEVANAGARI SIGN DOUBLE CANDRABINDU VIRAMA;Lo;0;L;;;;;N;;;;;
        "\uA8F5",  # ;DEVANAGARI SIGN CANDRABINDU TWO;Lo;0;L;;;;;N;;;;;
        "\uA8F6",  # ;DEVANAGARI SIGN CANDRABINDU THREE;Lo;0;L;;;;;N;;;;;
        "\uA8F7",  # ;DEVANAGARI SIGN CANDRABINDU AVAGRAHA;Lo;0;L;;;;;N;;;;;
        "\uA8F8",  # ;DEVANAGARI SIGN PUSHPIKA;Po;0;L;;;;;N;;;;;
        "\uA8F9",  # ;DEVANAGARI GAP FILLER;Po;0;L;;;;;N;;;;;
        "\uA8FA",  # ;DEVANAGARI CARET;Po;0;L;;;;;N;;;;;
        "\uA8FB",  # ;DEVANAGARI HEADSTROKE;Lo;0;L;;;;;N;;;;;
        "\uA8FC",  # ;DEVANAGARI SIGN SIDDHAM;Po;0;L;;;;;N;;;;;
        "\uA8FD",  # ;DEVANAGARI JAIN OM;Lo;0;L;;;;;N;;;;;
        "\uA900",  # ;KAYAH LI DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\uA901",  # ;KAYAH LI DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\uA902",  # ;KAYAH LI DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\uA903",  # ;KAYAH LI DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\uA904",  # ;KAYAH LI DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\uA905",  # ;KAYAH LI DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\uA906",  # ;KAYAH LI DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\uA907",  # ;KAYAH LI DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\uA908",  # ;KAYAH LI DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\uA909",  # ;KAYAH LI DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\uA90A",  # ;KAYAH LI LETTER KA;Lo;0;L;;;;;N;;;;;
        "\uA90B",  # ;KAYAH LI LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\uA90C",  # ;KAYAH LI LETTER GA;Lo;0;L;;;;;N;;;;;
        "\uA90D",  # ;KAYAH LI LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\uA90E",  # ;KAYAH LI LETTER SA;Lo;0;L;;;;;N;;;;;
        "\uA90F",  # ;KAYAH LI LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\uA910",  # ;KAYAH LI LETTER ZA;Lo;0;L;;;;;N;;;;;
        "\uA911",  # ;KAYAH LI LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\uA912",  # ;KAYAH LI LETTER TA;Lo;0;L;;;;;N;;;;;
        "\uA913",  # ;KAYAH LI LETTER HTA;Lo;0;L;;;;;N;;;;;
        "\uA914",  # ;KAYAH LI LETTER NA;Lo;0;L;;;;;N;;;;;
        "\uA915",  # ;KAYAH LI LETTER PA;Lo;0;L;;;;;N;;;;;
        "\uA916",  # ;KAYAH LI LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\uA917",  # ;KAYAH LI LETTER MA;Lo;0;L;;;;;N;;;;;
        "\uA918",  # ;KAYAH LI LETTER DA;Lo;0;L;;;;;N;;;;;
        "\uA919",  # ;KAYAH LI LETTER BA;Lo;0;L;;;;;N;;;;;
        "\uA91A",  # ;KAYAH LI LETTER RA;Lo;0;L;;;;;N;;;;;
        "\uA91B",  # ;KAYAH LI LETTER YA;Lo;0;L;;;;;N;;;;;
        "\uA91C",  # ;KAYAH LI LETTER LA;Lo;0;L;;;;;N;;;;;
        "\uA91D",  # ;KAYAH LI LETTER WA;Lo;0;L;;;;;N;;;;;
        "\uA91E",  # ;KAYAH LI LETTER THA;Lo;0;L;;;;;N;;;;;
        "\uA91F",  # ;KAYAH LI LETTER HA;Lo;0;L;;;;;N;;;;;
        "\uA920",  # ;KAYAH LI LETTER VA;Lo;0;L;;;;;N;;;;;
        "\uA921",  # ;KAYAH LI LETTER CA;Lo;0;L;;;;;N;;;;;
        "\uA922",  # ;KAYAH LI LETTER A;Lo;0;L;;;;;N;;;;;
        "\uA923",  # ;KAYAH LI LETTER OE;Lo;0;L;;;;;N;;;;;
        "\uA924",  # ;KAYAH LI LETTER I;Lo;0;L;;;;;N;;;;;
        "\uA925",  # ;KAYAH LI LETTER OO;Lo;0;L;;;;;N;;;;;
        "\uA926",  # ;KAYAH LI VOWEL UE;Mn;0;NSM;;;;;N;;;;;
        "\uA927",  # ;KAYAH LI VOWEL E;Mn;0;NSM;;;;;N;;;;;
        "\uA928",  # ;KAYAH LI VOWEL U;Mn;0;NSM;;;;;N;;;;;
        "\uA929",  # ;KAYAH LI VOWEL EE;Mn;0;NSM;;;;;N;;;;;
        "\uA92A",  # ;KAYAH LI VOWEL O;Mn;0;NSM;;;;;N;;;;;
        "\uA92B",  # ;KAYAH LI TONE PLOPHU;Mn;220;NSM;;;;;N;;;;;
        "\uA92C",  # ;KAYAH LI TONE CALYA;Mn;220;NSM;;;;;N;;;;;
        "\uA92D",  # ;KAYAH LI TONE CALYA PLOPHU;Mn;220;NSM;;;;;N;;;;;
        "\uA92E",  # ;KAYAH LI SIGN CWI;Po;0;L;;;;;N;;;;;
        "\uA92F",  # ;KAYAH LI SIGN SHYA;Po;0;L;;;;;N;;;;;
        "\uA930",  # ;REJANG LETTER KA;Lo;0;L;;;;;N;;;;;
        "\uA931",  # ;REJANG LETTER GA;Lo;0;L;;;;;N;;;;;
        "\uA932",  # ;REJANG LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\uA933",  # ;REJANG LETTER TA;Lo;0;L;;;;;N;;;;;
        "\uA934",  # ;REJANG LETTER DA;Lo;0;L;;;;;N;;;;;
        "\uA935",  # ;REJANG LETTER NA;Lo;0;L;;;;;N;;;;;
        "\uA936",  # ;REJANG LETTER PA;Lo;0;L;;;;;N;;;;;
        "\uA937",  # ;REJANG LETTER BA;Lo;0;L;;;;;N;;;;;
        "\uA938",  # ;REJANG LETTER MA;Lo;0;L;;;;;N;;;;;
        "\uA939",  # ;REJANG LETTER CA;Lo;0;L;;;;;N;;;;;
        "\uA93A",  # ;REJANG LETTER JA;Lo;0;L;;;;;N;;;;;
        "\uA93B",  # ;REJANG LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\uA93C",  # ;REJANG LETTER SA;Lo;0;L;;;;;N;;;;;
        "\uA93D",  # ;REJANG LETTER RA;Lo;0;L;;;;;N;;;;;
        "\uA93E",  # ;REJANG LETTER LA;Lo;0;L;;;;;N;;;;;
        "\uA93F",  # ;REJANG LETTER YA;Lo;0;L;;;;;N;;;;;
        "\uA940",  # ;REJANG LETTER WA;Lo;0;L;;;;;N;;;;;
        "\uA941",  # ;REJANG LETTER HA;Lo;0;L;;;;;N;;;;;
        "\uA942",  # ;REJANG LETTER MBA;Lo;0;L;;;;;N;;;;;
        "\uA943",  # ;REJANG LETTER NGGA;Lo;0;L;;;;;N;;;;;
        "\uA944",  # ;REJANG LETTER NDA;Lo;0;L;;;;;N;;;;;
        "\uA945",  # ;REJANG LETTER NYJA;Lo;0;L;;;;;N;;;;;
        "\uA946",  # ;REJANG LETTER A;Lo;0;L;;;;;N;;;;;
        "\uA947",  # ;REJANG VOWEL SIGN I;Mn;0;NSM;;;;;N;;;;;
        "\uA948",  # ;REJANG VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\uA949",  # ;REJANG VOWEL SIGN E;Mn;0;NSM;;;;;N;;;;;
        "\uA94A",  # ;REJANG VOWEL SIGN AI;Mn;0;NSM;;;;;N;;;;;
        "\uA94B",  # ;REJANG VOWEL SIGN O;Mn;0;NSM;;;;;N;;;;;
        "\uA94C",  # ;REJANG VOWEL SIGN AU;Mn;0;NSM;;;;;N;;;;;
        "\uA94D",  # ;REJANG VOWEL SIGN EU;Mn;0;NSM;;;;;N;;;;;
        "\uA94E",  # ;REJANG VOWEL SIGN EA;Mn;0;NSM;;;;;N;;;;;
        "\uA94F",  # ;REJANG CONSONANT SIGN NG;Mn;0;NSM;;;;;N;;;;;
        "\uA950",  # ;REJANG CONSONANT SIGN N;Mn;0;NSM;;;;;N;;;;;
        "\uA951",  # ;REJANG CONSONANT SIGN R;Mn;0;NSM;;;;;N;;;;;
        "\uA952",  # ;REJANG CONSONANT SIGN H;Mc;0;L;;;;;N;;;;;
        "\uA953",  # ;REJANG VIRAMA;Mc;9;L;;;;;N;;;;;
        "\uA95F",  # ;REJANG SECTION MARK;Po;0;L;;;;;N;;;;;
        "\uA960",  # ;HANGUL CHOSEONG TIKEUT-MIEUM;Lo;0;L;;;;;N;;;;;
        "\uA961",  # ;HANGUL CHOSEONG TIKEUT-PIEUP;Lo;0;L;;;;;N;;;;;
        "\uA962",  # ;HANGUL CHOSEONG TIKEUT-SIOS;Lo;0;L;;;;;N;;;;;
        "\uA963",  # ;HANGUL CHOSEONG TIKEUT-CIEUC;Lo;0;L;;;;;N;;;;;
        "\uA964",  # ;HANGUL CHOSEONG RIEUL-KIYEOK;Lo;0;L;;;;;N;;;;;
        "\uA965",  # ;HANGUL CHOSEONG RIEUL-SSANGKIYEOK;Lo;0;L;;;;;N;;;;;
        "\uA966",  # ;HANGUL CHOSEONG RIEUL-TIKEUT;Lo;0;L;;;;;N;;;;;
        "\uA967",  # ;HANGUL CHOSEONG RIEUL-SSANGTIKEUT;Lo;0;L;;;;;N;;;;;
        "\uA968",  # ;HANGUL CHOSEONG RIEUL-MIEUM;Lo;0;L;;;;;N;;;;;
        "\uA969",  # ;HANGUL CHOSEONG RIEUL-PIEUP;Lo;0;L;;;;;N;;;;;
        "\uA96A",  # ;HANGUL CHOSEONG RIEUL-SSANGPIEUP;Lo;0;L;;;;;N;;;;;
        "\uA96B",  # ;HANGUL CHOSEONG RIEUL-KAPYEOUNPIEUP;Lo;0;L;;;;;N;;;;;
        "\uA96C",  # ;HANGUL CHOSEONG RIEUL-SIOS;Lo;0;L;;;;;N;;;;;
        "\uA96D",  # ;HANGUL CHOSEONG RIEUL-CIEUC;Lo;0;L;;;;;N;;;;;
        "\uA96E",  # ;HANGUL CHOSEONG RIEUL-KHIEUKH;Lo;0;L;;;;;N;;;;;
        "\uA96F",  # ;HANGUL CHOSEONG MIEUM-KIYEOK;Lo;0;L;;;;;N;;;;;
        "\uA970",  # ;HANGUL CHOSEONG MIEUM-TIKEUT;Lo;0;L;;;;;N;;;;;
        "\uA971",  # ;HANGUL CHOSEONG MIEUM-SIOS;Lo;0;L;;;;;N;;;;;
        "\uA972",  # ;HANGUL CHOSEONG PIEUP-SIOS-THIEUTH;Lo;0;L;;;;;N;;;;;
        "\uA973",  # ;HANGUL CHOSEONG PIEUP-KHIEUKH;Lo;0;L;;;;;N;;;;;
        "\uA974",  # ;HANGUL CHOSEONG PIEUP-HIEUH;Lo;0;L;;;;;N;;;;;
        "\uA975",  # ;HANGUL CHOSEONG SSANGSIOS-PIEUP;Lo;0;L;;;;;N;;;;;
        "\uA976",  # ;HANGUL CHOSEONG IEUNG-RIEUL;Lo;0;L;;;;;N;;;;;
        "\uA977",  # ;HANGUL CHOSEONG IEUNG-HIEUH;Lo;0;L;;;;;N;;;;;
        "\uA978",  # ;HANGUL CHOSEONG SSANGCIEUC-HIEUH;Lo;0;L;;;;;N;;;;;
        "\uA979",  # ;HANGUL CHOSEONG SSANGTHIEUTH;Lo;0;L;;;;;N;;;;;
        "\uA97A",  # ;HANGUL CHOSEONG PHIEUPH-HIEUH;Lo;0;L;;;;;N;;;;;
        "\uA97B",  # ;HANGUL CHOSEONG HIEUH-SIOS;Lo;0;L;;;;;N;;;;;
        "\uA97C",  # ;HANGUL CHOSEONG SSANGYEORINHIEUH;Lo;0;L;;;;;N;;;;;
        "\uA980",  # ;JAVANESE SIGN PANYANGGA;Mn;0;NSM;;;;;N;;;;;
        "\uA981",  # ;JAVANESE SIGN CECAK;Mn;0;NSM;;;;;N;;;;;
        "\uA982",  # ;JAVANESE SIGN LAYAR;Mn;0;NSM;;;;;N;;;;;
        "\uA983",  # ;JAVANESE SIGN WIGNYAN;Mc;0;L;;;;;N;;;;;
        "\uA984",  # ;JAVANESE LETTER A;Lo;0;L;;;;;N;;;;;
        "\uA985",  # ;JAVANESE LETTER I KAWI;Lo;0;L;;;;;N;;;;;
        "\uA986",  # ;JAVANESE LETTER I;Lo;0;L;;;;;N;;;;;
        "\uA987",  # ;JAVANESE LETTER II;Lo;0;L;;;;;N;;;;;
        "\uA988",  # ;JAVANESE LETTER U;Lo;0;L;;;;;N;;;;;
        "\uA989",  # ;JAVANESE LETTER PA CEREK;Lo;0;L;;;;;N;;;;;
        "\uA98A",  # ;JAVANESE LETTER NGA LELET;Lo;0;L;;;;;N;;;;;
        "\uA98B",  # ;JAVANESE LETTER NGA LELET RASWADI;Lo;0;L;;;;;N;;;;;
        "\uA98C",  # ;JAVANESE LETTER E;Lo;0;L;;;;;N;;;;;
        "\uA98D",  # ;JAVANESE LETTER AI;Lo;0;L;;;;;N;;;;;
        "\uA98E",  # ;JAVANESE LETTER O;Lo;0;L;;;;;N;;;;;
        "\uA98F",  # ;JAVANESE LETTER KA;Lo;0;L;;;;;N;;;;;
        "\uA990",  # ;JAVANESE LETTER KA SASAK;Lo;0;L;;;;;N;;;;;
        "\uA991",  # ;JAVANESE LETTER KA MURDA;Lo;0;L;;;;;N;;;;;
        "\uA992",  # ;JAVANESE LETTER GA;Lo;0;L;;;;;N;;;;;
        "\uA993",  # ;JAVANESE LETTER GA MURDA;Lo;0;L;;;;;N;;;;;
        "\uA994",  # ;JAVANESE LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\uA995",  # ;JAVANESE LETTER CA;Lo;0;L;;;;;N;;;;;
        "\uA996",  # ;JAVANESE LETTER CA MURDA;Lo;0;L;;;;;N;;;;;
        "\uA997",  # ;JAVANESE LETTER JA;Lo;0;L;;;;;N;;;;;
        "\uA998",  # ;JAVANESE LETTER NYA MURDA;Lo;0;L;;;;;N;;;;;
        "\uA999",  # ;JAVANESE LETTER JA MAHAPRANA;Lo;0;L;;;;;N;;;;;
        "\uA99A",  # ;JAVANESE LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\uA99B",  # ;JAVANESE LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\uA99C",  # ;JAVANESE LETTER TTA MAHAPRANA;Lo;0;L;;;;;N;;;;;
        "\uA99D",  # ;JAVANESE LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\uA99E",  # ;JAVANESE LETTER DDA MAHAPRANA;Lo;0;L;;;;;N;;;;;
        "\uA99F",  # ;JAVANESE LETTER NA MURDA;Lo;0;L;;;;;N;;;;;
        "\uA9A0",  # ;JAVANESE LETTER TA;Lo;0;L;;;;;N;;;;;
        "\uA9A1",  # ;JAVANESE LETTER TA MURDA;Lo;0;L;;;;;N;;;;;
        "\uA9A2",  # ;JAVANESE LETTER DA;Lo;0;L;;;;;N;;;;;
        "\uA9A3",  # ;JAVANESE LETTER DA MAHAPRANA;Lo;0;L;;;;;N;;;;;
        "\uA9A4",  # ;JAVANESE LETTER NA;Lo;0;L;;;;;N;;;;;
        "\uA9A5",  # ;JAVANESE LETTER PA;Lo;0;L;;;;;N;;;;;
        "\uA9A6",  # ;JAVANESE LETTER PA MURDA;Lo;0;L;;;;;N;;;;;
        "\uA9A7",  # ;JAVANESE LETTER BA;Lo;0;L;;;;;N;;;;;
        "\uA9A8",  # ;JAVANESE LETTER BA MURDA;Lo;0;L;;;;;N;;;;;
        "\uA9A9",  # ;JAVANESE LETTER MA;Lo;0;L;;;;;N;;;;;
        "\uA9AA",  # ;JAVANESE LETTER YA;Lo;0;L;;;;;N;;;;;
        "\uA9AB",  # ;JAVANESE LETTER RA;Lo;0;L;;;;;N;;;;;
        "\uA9AC",  # ;JAVANESE LETTER RA AGUNG;Lo;0;L;;;;;N;;;;;
        "\uA9AD",  # ;JAVANESE LETTER LA;Lo;0;L;;;;;N;;;;;
        "\uA9AE",  # ;JAVANESE LETTER WA;Lo;0;L;;;;;N;;;;;
        "\uA9AF",  # ;JAVANESE LETTER SA MURDA;Lo;0;L;;;;;N;;;;;
        "\uA9B0",  # ;JAVANESE LETTER SA MAHAPRANA;Lo;0;L;;;;;N;;;;;
        "\uA9B1",  # ;JAVANESE LETTER SA;Lo;0;L;;;;;N;;;;;
        "\uA9B2",  # ;JAVANESE LETTER HA;Lo;0;L;;;;;N;;;;;
        "\uA9B3",  # ;JAVANESE SIGN CECAK TELU;Mn;7;NSM;;;;;N;;;;;
        "\uA9B4",  # ;JAVANESE VOWEL SIGN TARUNG;Mc;0;L;;;;;N;;;;;
        "\uA9B5",  # ;JAVANESE VOWEL SIGN TOLONG;Mc;0;L;;;;;N;;;;;
        "\uA9B6",  # ;JAVANESE VOWEL SIGN WULU;Mn;0;NSM;;;;;N;;;;;
        "\uA9B7",  # ;JAVANESE VOWEL SIGN WULU MELIK;Mn;0;NSM;;;;;N;;;;;
        "\uA9B8",  # ;JAVANESE VOWEL SIGN SUKU;Mn;0;NSM;;;;;N;;;;;
        "\uA9B9",  # ;JAVANESE VOWEL SIGN SUKU MENDUT;Mn;0;NSM;;;;;N;;;;;
        "\uA9BA",  # ;JAVANESE VOWEL SIGN TALING;Mc;0;L;;;;;N;;;;;
        "\uA9BB",  # ;JAVANESE VOWEL SIGN DIRGA MURE;Mc;0;L;;;;;N;;;;;
        "\uA9BC",  # ;JAVANESE VOWEL SIGN PEPET;Mn;0;NSM;;;;;N;;;;;
        "\uA9BD",  # ;JAVANESE CONSONANT SIGN KERET;Mc;0;L;;;;;N;;;;;
        "\uA9BE",  # ;JAVANESE CONSONANT SIGN PENGKAL;Mc;0;L;;;;;N;;;;;
        "\uA9BF",  # ;JAVANESE CONSONANT SIGN CAKRA;Mc;0;L;;;;;N;;;;;
        "\uA9C0",  # ;JAVANESE PANGKON;Mc;9;L;;;;;N;;;;;
        "\uA9C1",  # ;JAVANESE LEFT RERENGGAN;Po;0;L;;;;;N;;;;;
        "\uA9C2",  # ;JAVANESE RIGHT RERENGGAN;Po;0;L;;;;;N;;;;;
        "\uA9C3",  # ;JAVANESE PADA ANDAP;Po;0;L;;;;;N;;;;;
        "\uA9C4",  # ;JAVANESE PADA MADYA;Po;0;L;;;;;N;;;;;
        "\uA9C5",  # ;JAVANESE PADA LUHUR;Po;0;L;;;;;N;;;;;
        "\uA9C6",  # ;JAVANESE PADA WINDU;Po;0;L;;;;;N;;;;;
        "\uA9C7",  # ;JAVANESE PADA PANGKAT;Po;0;L;;;;;N;;;;;
        "\uA9C8",  # ;JAVANESE PADA LINGSA;Po;0;L;;;;;N;;;;;
        "\uA9C9",  # ;JAVANESE PADA LUNGSI;Po;0;L;;;;;N;;;;;
        "\uA9CA",  # ;JAVANESE PADA ADEG;Po;0;L;;;;;N;;;;;
        "\uA9CB",  # ;JAVANESE PADA ADEG ADEG;Po;0;L;;;;;N;;;;;
        "\uA9CC",  # ;JAVANESE PADA PISELEH;Po;0;L;;;;;N;;;;;
        "\uA9CD",  # ;JAVANESE TURNED PADA PISELEH;Po;0;L;;;;;N;;;;;
        "\uA9CF",  # ;JAVANESE PANGRANGKEP;Lm;0;L;;;;;N;;;;;
        "\uA9D0",  # ;JAVANESE DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\uA9D1",  # ;JAVANESE DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\uA9D2",  # ;JAVANESE DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\uA9D3",  # ;JAVANESE DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\uA9D4",  # ;JAVANESE DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\uA9D5",  # ;JAVANESE DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\uA9D6",  # ;JAVANESE DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\uA9D7",  # ;JAVANESE DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\uA9D8",  # ;JAVANESE DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\uA9D9",  # ;JAVANESE DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\uA9DE",  # ;JAVANESE PADA TIRTA TUMETES;Po;0;L;;;;;N;;;;;
        "\uA9DF",  # ;JAVANESE PADA ISEN-ISEN;Po;0;L;;;;;N;;;;;
        "\uA9E0",  # ;MYANMAR LETTER SHAN GHA;Lo;0;L;;;;;N;;;;;
        "\uA9E1",  # ;MYANMAR LETTER SHAN CHA;Lo;0;L;;;;;N;;;;;
        "\uA9E2",  # ;MYANMAR LETTER SHAN JHA;Lo;0;L;;;;;N;;;;;
        "\uA9E3",  # ;MYANMAR LETTER SHAN NNA;Lo;0;L;;;;;N;;;;;
        "\uA9E4",  # ;MYANMAR LETTER SHAN BHA;Lo;0;L;;;;;N;;;;;
        "\uA9E5",  # ;MYANMAR SIGN SHAN SAW;Mn;0;NSM;;;;;N;;;;;
        "\uA9E6",  # ;MYANMAR MODIFIER LETTER SHAN REDUPLICATION;Lm;0;L;;;;;N;;;;;
        "\uA9E7",  # ;MYANMAR LETTER TAI LAING NYA;Lo;0;L;;;;;N;;;;;
        "\uA9E8",  # ;MYANMAR LETTER TAI LAING FA;Lo;0;L;;;;;N;;;;;
        "\uA9E9",  # ;MYANMAR LETTER TAI LAING GA;Lo;0;L;;;;;N;;;;;
        "\uA9EA",  # ;MYANMAR LETTER TAI LAING GHA;Lo;0;L;;;;;N;;;;;
        "\uA9EB",  # ;MYANMAR LETTER TAI LAING JA;Lo;0;L;;;;;N;;;;;
        "\uA9EC",  # ;MYANMAR LETTER TAI LAING JHA;Lo;0;L;;;;;N;;;;;
        "\uA9ED",  # ;MYANMAR LETTER TAI LAING DDA;Lo;0;L;;;;;N;;;;;
        "\uA9EE",  # ;MYANMAR LETTER TAI LAING DDHA;Lo;0;L;;;;;N;;;;;
        "\uA9EF",  # ;MYANMAR LETTER TAI LAING NNA;Lo;0;L;;;;;N;;;;;
        "\uA9F0",  # ;MYANMAR TAI LAING DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\uA9F1",  # ;MYANMAR TAI LAING DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\uA9F2",  # ;MYANMAR TAI LAING DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\uA9F3",  # ;MYANMAR TAI LAING DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\uA9F4",  # ;MYANMAR TAI LAING DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\uA9F5",  # ;MYANMAR TAI LAING DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\uA9F6",  # ;MYANMAR TAI LAING DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\uA9F7",  # ;MYANMAR TAI LAING DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\uA9F8",  # ;MYANMAR TAI LAING DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\uA9F9",  # ;MYANMAR TAI LAING DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\uA9FA",  # ;MYANMAR LETTER TAI LAING LLA;Lo;0;L;;;;;N;;;;;
        "\uA9FB",  # ;MYANMAR LETTER TAI LAING DA;Lo;0;L;;;;;N;;;;;
        "\uA9FC",  # ;MYANMAR LETTER TAI LAING DHA;Lo;0;L;;;;;N;;;;;
        "\uA9FD",  # ;MYANMAR LETTER TAI LAING BA;Lo;0;L;;;;;N;;;;;
        "\uA9FE",  # ;MYANMAR LETTER TAI LAING BHA;Lo;0;L;;;;;N;;;;;
        "\uAA00",  # ;CHAM LETTER A;Lo;0;L;;;;;N;;;;;
        "\uAA01",  # ;CHAM LETTER I;Lo;0;L;;;;;N;;;;;
        "\uAA02",  # ;CHAM LETTER U;Lo;0;L;;;;;N;;;;;
        "\uAA03",  # ;CHAM LETTER E;Lo;0;L;;;;;N;;;;;
        "\uAA04",  # ;CHAM LETTER AI;Lo;0;L;;;;;N;;;;;
        "\uAA05",  # ;CHAM LETTER O;Lo;0;L;;;;;N;;;;;
        "\uAA06",  # ;CHAM LETTER KA;Lo;0;L;;;;;N;;;;;
        "\uAA07",  # ;CHAM LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\uAA08",  # ;CHAM LETTER GA;Lo;0;L;;;;;N;;;;;
        "\uAA09",  # ;CHAM LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\uAA0A",  # ;CHAM LETTER NGUE;Lo;0;L;;;;;N;;;;;
        "\uAA0B",  # ;CHAM LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\uAA0C",  # ;CHAM LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\uAA0D",  # ;CHAM LETTER CHHA;Lo;0;L;;;;;N;;;;;
        "\uAA0E",  # ;CHAM LETTER JA;Lo;0;L;;;;;N;;;;;
        "\uAA0F",  # ;CHAM LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\uAA10",  # ;CHAM LETTER NHUE;Lo;0;L;;;;;N;;;;;
        "\uAA11",  # ;CHAM LETTER NHA;Lo;0;L;;;;;N;;;;;
        "\uAA12",  # ;CHAM LETTER NHJA;Lo;0;L;;;;;N;;;;;
        "\uAA13",  # ;CHAM LETTER TA;Lo;0;L;;;;;N;;;;;
        "\uAA14",  # ;CHAM LETTER THA;Lo;0;L;;;;;N;;;;;
        "\uAA15",  # ;CHAM LETTER DA;Lo;0;L;;;;;N;;;;;
        "\uAA16",  # ;CHAM LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\uAA17",  # ;CHAM LETTER NUE;Lo;0;L;;;;;N;;;;;
        "\uAA18",  # ;CHAM LETTER NA;Lo;0;L;;;;;N;;;;;
        "\uAA19",  # ;CHAM LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\uAA1A",  # ;CHAM LETTER PA;Lo;0;L;;;;;N;;;;;
        "\uAA1B",  # ;CHAM LETTER PPA;Lo;0;L;;;;;N;;;;;
        "\uAA1C",  # ;CHAM LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\uAA1D",  # ;CHAM LETTER BA;Lo;0;L;;;;;N;;;;;
        "\uAA1E",  # ;CHAM LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\uAA1F",  # ;CHAM LETTER MUE;Lo;0;L;;;;;N;;;;;
        "\uAA20",  # ;CHAM LETTER MA;Lo;0;L;;;;;N;;;;;
        "\uAA21",  # ;CHAM LETTER BBA;Lo;0;L;;;;;N;;;;;
        "\uAA22",  # ;CHAM LETTER YA;Lo;0;L;;;;;N;;;;;
        "\uAA23",  # ;CHAM LETTER RA;Lo;0;L;;;;;N;;;;;
        "\uAA24",  # ;CHAM LETTER LA;Lo;0;L;;;;;N;;;;;
        "\uAA25",  # ;CHAM LETTER VA;Lo;0;L;;;;;N;;;;;
        "\uAA26",  # ;CHAM LETTER SSA;Lo;0;L;;;;;N;;;;;
        "\uAA27",  # ;CHAM LETTER SA;Lo;0;L;;;;;N;;;;;
        "\uAA28",  # ;CHAM LETTER HA;Lo;0;L;;;;;N;;;;;
        "\uAA29",  # ;CHAM VOWEL SIGN AA;Mn;0;NSM;;;;;N;;;;;
        "\uAA2A",  # ;CHAM VOWEL SIGN I;Mn;0;NSM;;;;;N;;;;;
        "\uAA2B",  # ;CHAM VOWEL SIGN II;Mn;0;NSM;;;;;N;;;;;
        "\uAA2C",  # ;CHAM VOWEL SIGN EI;Mn;0;NSM;;;;;N;;;;;
        "\uAA2D",  # ;CHAM VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\uAA2E",  # ;CHAM VOWEL SIGN OE;Mn;0;NSM;;;;;N;;;;;
        "\uAA2F",  # ;CHAM VOWEL SIGN O;Mc;0;L;;;;;N;;;;;
        "\uAA30",  # ;CHAM VOWEL SIGN AI;Mc;0;L;;;;;N;;;;;
        "\uAA31",  # ;CHAM VOWEL SIGN AU;Mn;0;NSM;;;;;N;;;;;
        "\uAA32",  # ;CHAM VOWEL SIGN UE;Mn;0;NSM;;;;;N;;;;;
        "\uAA33",  # ;CHAM CONSONANT SIGN YA;Mc;0;L;;;;;N;;;;;
        "\uAA34",  # ;CHAM CONSONANT SIGN RA;Mc;0;L;;;;;N;;;;;
        "\uAA35",  # ;CHAM CONSONANT SIGN LA;Mn;0;NSM;;;;;N;;;;;
        "\uAA36",  # ;CHAM CONSONANT SIGN WA;Mn;0;NSM;;;;;N;;;;;
        "\uAA40",  # ;CHAM LETTER FINAL K;Lo;0;L;;;;;N;;;;;
        "\uAA41",  # ;CHAM LETTER FINAL G;Lo;0;L;;;;;N;;;;;
        "\uAA42",  # ;CHAM LETTER FINAL NG;Lo;0;L;;;;;N;;;;;
        "\uAA43",  # ;CHAM CONSONANT SIGN FINAL NG;Mn;0;NSM;;;;;N;;;;;
        "\uAA44",  # ;CHAM LETTER FINAL CH;Lo;0;L;;;;;N;;;;;
        "\uAA45",  # ;CHAM LETTER FINAL T;Lo;0;L;;;;;N;;;;;
        "\uAA46",  # ;CHAM LETTER FINAL N;Lo;0;L;;;;;N;;;;;
        "\uAA47",  # ;CHAM LETTER FINAL P;Lo;0;L;;;;;N;;;;;
        "\uAA48",  # ;CHAM LETTER FINAL Y;Lo;0;L;;;;;N;;;;;
        "\uAA49",  # ;CHAM LETTER FINAL R;Lo;0;L;;;;;N;;;;;
        "\uAA4A",  # ;CHAM LETTER FINAL L;Lo;0;L;;;;;N;;;;;
        "\uAA4B",  # ;CHAM LETTER FINAL SS;Lo;0;L;;;;;N;;;;;
        "\uAA4C",  # ;CHAM CONSONANT SIGN FINAL M;Mn;0;NSM;;;;;N;;;;;
        "\uAA4D",  # ;CHAM CONSONANT SIGN FINAL H;Mc;0;L;;;;;N;;;;;
        "\uAA50",  # ;CHAM DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\uAA51",  # ;CHAM DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\uAA52",  # ;CHAM DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\uAA53",  # ;CHAM DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\uAA54",  # ;CHAM DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\uAA55",  # ;CHAM DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\uAA56",  # ;CHAM DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\uAA57",  # ;CHAM DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\uAA58",  # ;CHAM DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\uAA59",  # ;CHAM DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\uAA5C",  # ;CHAM PUNCTUATION SPIRAL;Po;0;L;;;;;N;;;;;
        "\uAA5D",  # ;CHAM PUNCTUATION DANDA;Po;0;L;;;;;N;;;;;
        "\uAA5E",  # ;CHAM PUNCTUATION DOUBLE DANDA;Po;0;L;;;;;N;;;;;
        "\uAA5F",  # ;CHAM PUNCTUATION TRIPLE DANDA;Po;0;L;;;;;N;;;;;
        "\uAA60",  # ;MYANMAR LETTER KHAMTI GA;Lo;0;L;;;;;N;;;;;
        "\uAA61",  # ;MYANMAR LETTER KHAMTI CA;Lo;0;L;;;;;N;;;;;
        "\uAA62",  # ;MYANMAR LETTER KHAMTI CHA;Lo;0;L;;;;;N;;;;;
        "\uAA63",  # ;MYANMAR LETTER KHAMTI JA;Lo;0;L;;;;;N;;;;;
        "\uAA64",  # ;MYANMAR LETTER KHAMTI JHA;Lo;0;L;;;;;N;;;;;
        "\uAA65",  # ;MYANMAR LETTER KHAMTI NYA;Lo;0;L;;;;;N;;;;;
        "\uAA66",  # ;MYANMAR LETTER KHAMTI TTA;Lo;0;L;;;;;N;;;;;
        "\uAA67",  # ;MYANMAR LETTER KHAMTI TTHA;Lo;0;L;;;;;N;;;;;
        "\uAA68",  # ;MYANMAR LETTER KHAMTI DDA;Lo;0;L;;;;;N;;;;;
        "\uAA69",  # ;MYANMAR LETTER KHAMTI DDHA;Lo;0;L;;;;;N;;;;;
        "\uAA6A",  # ;MYANMAR LETTER KHAMTI DHA;Lo;0;L;;;;;N;;;;;
        "\uAA6B",  # ;MYANMAR LETTER KHAMTI NA;Lo;0;L;;;;;N;;;;;
        "\uAA6C",  # ;MYANMAR LETTER KHAMTI SA;Lo;0;L;;;;;N;;;;;
        "\uAA6D",  # ;MYANMAR LETTER KHAMTI HA;Lo;0;L;;;;;N;;;;;
        "\uAA6E",  # ;MYANMAR LETTER KHAMTI HHA;Lo;0;L;;;;;N;;;;;
        "\uAA6F",  # ;MYANMAR LETTER KHAMTI FA;Lo;0;L;;;;;N;;;;;
        "\uAA70",  # ;MYANMAR MODIFIER LETTER KHAMTI REDUPLICATION;Lm;0;L;;;;;N;;;;;
        "\uAA71",  # ;MYANMAR LETTER KHAMTI XA;Lo;0;L;;;;;N;;;;;
        "\uAA72",  # ;MYANMAR LETTER KHAMTI ZA;Lo;0;L;;;;;N;;;;;
        "\uAA73",  # ;MYANMAR LETTER KHAMTI RA;Lo;0;L;;;;;N;;;;;
        "\uAA74",  # ;MYANMAR LOGOGRAM KHAMTI OAY;Lo;0;L;;;;;N;;;;;
        "\uAA75",  # ;MYANMAR LOGOGRAM KHAMTI QN;Lo;0;L;;;;;N;;;;;
        "\uAA76",  # ;MYANMAR LOGOGRAM KHAMTI HM;Lo;0;L;;;;;N;;;;;
        "\uAA77",  # ;MYANMAR SYMBOL AITON EXCLAMATION;So;0;L;;;;;N;;;;;
        "\uAA78",  # ;MYANMAR SYMBOL AITON ONE;So;0;L;;;;;N;;;;;
        "\uAA79",  # ;MYANMAR SYMBOL AITON TWO;So;0;L;;;;;N;;;;;
        "\uAA7A",  # ;MYANMAR LETTER AITON RA;Lo;0;L;;;;;N;;;;;
        "\uAA7B",  # ;MYANMAR SIGN PAO KAREN TONE;Mc;0;L;;;;;N;;;;;
        "\uAA7C",  # ;MYANMAR SIGN TAI LAING TONE-2;Mn;0;NSM;;;;;N;;;;;
        "\uAA7D",  # ;MYANMAR SIGN TAI LAING TONE-5;Mc;0;L;;;;;N;;;;;
        "\uAA7E",  # ;MYANMAR LETTER SHWE PALAUNG CHA;Lo;0;L;;;;;N;;;;;
        "\uAA7F",  # ;MYANMAR LETTER SHWE PALAUNG SHA;Lo;0;L;;;;;N;;;;;
        "\uAA80",  # ;TAI VIET LETTER LOW KO;Lo;0;L;;;;;N;;;;;
        "\uAA81",  # ;TAI VIET LETTER HIGH KO;Lo;0;L;;;;;N;;;;;
        "\uAA82",  # ;TAI VIET LETTER LOW KHO;Lo;0;L;;;;;N;;;;;
        "\uAA83",  # ;TAI VIET LETTER HIGH KHO;Lo;0;L;;;;;N;;;;;
        "\uAA84",  # ;TAI VIET LETTER LOW KHHO;Lo;0;L;;;;;N;;;;;
        "\uAA85",  # ;TAI VIET LETTER HIGH KHHO;Lo;0;L;;;;;N;;;;;
        "\uAA86",  # ;TAI VIET LETTER LOW GO;Lo;0;L;;;;;N;;;;;
        "\uAA87",  # ;TAI VIET LETTER HIGH GO;Lo;0;L;;;;;N;;;;;
        "\uAA88",  # ;TAI VIET LETTER LOW NGO;Lo;0;L;;;;;N;;;;;
        "\uAA89",  # ;TAI VIET LETTER HIGH NGO;Lo;0;L;;;;;N;;;;;
        "\uAA8A",  # ;TAI VIET LETTER LOW CO;Lo;0;L;;;;;N;;;;;
        "\uAA8B",  # ;TAI VIET LETTER HIGH CO;Lo;0;L;;;;;N;;;;;
        "\uAA8C",  # ;TAI VIET LETTER LOW CHO;Lo;0;L;;;;;N;;;;;
        "\uAA8D",  # ;TAI VIET LETTER HIGH CHO;Lo;0;L;;;;;N;;;;;
        "\uAA8E",  # ;TAI VIET LETTER LOW SO;Lo;0;L;;;;;N;;;;;
        "\uAA8F",  # ;TAI VIET LETTER HIGH SO;Lo;0;L;;;;;N;;;;;
        "\uAA90",  # ;TAI VIET LETTER LOW NYO;Lo;0;L;;;;;N;;;;;
        "\uAA91",  # ;TAI VIET LETTER HIGH NYO;Lo;0;L;;;;;N;;;;;
        "\uAA92",  # ;TAI VIET LETTER LOW DO;Lo;0;L;;;;;N;;;;;
        "\uAA93",  # ;TAI VIET LETTER HIGH DO;Lo;0;L;;;;;N;;;;;
        "\uAA94",  # ;TAI VIET LETTER LOW TO;Lo;0;L;;;;;N;;;;;
        "\uAA95",  # ;TAI VIET LETTER HIGH TO;Lo;0;L;;;;;N;;;;;
        "\uAA96",  # ;TAI VIET LETTER LOW THO;Lo;0;L;;;;;N;;;;;
        "\uAA97",  # ;TAI VIET LETTER HIGH THO;Lo;0;L;;;;;N;;;;;
        "\uAA98",  # ;TAI VIET LETTER LOW NO;Lo;0;L;;;;;N;;;;;
        "\uAA99",  # ;TAI VIET LETTER HIGH NO;Lo;0;L;;;;;N;;;;;
        "\uAA9A",  # ;TAI VIET LETTER LOW BO;Lo;0;L;;;;;N;;;;;
        "\uAA9B",  # ;TAI VIET LETTER HIGH BO;Lo;0;L;;;;;N;;;;;
        "\uAA9C",  # ;TAI VIET LETTER LOW PO;Lo;0;L;;;;;N;;;;;
        "\uAA9D",  # ;TAI VIET LETTER HIGH PO;Lo;0;L;;;;;N;;;;;
        "\uAA9E",  # ;TAI VIET LETTER LOW PHO;Lo;0;L;;;;;N;;;;;
        "\uAA9F",  # ;TAI VIET LETTER HIGH PHO;Lo;0;L;;;;;N;;;;;
        "\uAAA0",  # ;TAI VIET LETTER LOW FO;Lo;0;L;;;;;N;;;;;
        "\uAAA1",  # ;TAI VIET LETTER HIGH FO;Lo;0;L;;;;;N;;;;;
        "\uAAA2",  # ;TAI VIET LETTER LOW MO;Lo;0;L;;;;;N;;;;;
        "\uAAA3",  # ;TAI VIET LETTER HIGH MO;Lo;0;L;;;;;N;;;;;
        "\uAAA4",  # ;TAI VIET LETTER LOW YO;Lo;0;L;;;;;N;;;;;
        "\uAAA5",  # ;TAI VIET LETTER HIGH YO;Lo;0;L;;;;;N;;;;;
        "\uAAA6",  # ;TAI VIET LETTER LOW RO;Lo;0;L;;;;;N;;;;;
        "\uAAA7",  # ;TAI VIET LETTER HIGH RO;Lo;0;L;;;;;N;;;;;
        "\uAAA8",  # ;TAI VIET LETTER LOW LO;Lo;0;L;;;;;N;;;;;
        "\uAAA9",  # ;TAI VIET LETTER HIGH LO;Lo;0;L;;;;;N;;;;;
        "\uAAAA",  # ;TAI VIET LETTER LOW VO;Lo;0;L;;;;;N;;;;;
        "\uAAAB",  # ;TAI VIET LETTER HIGH VO;Lo;0;L;;;;;N;;;;;
        "\uAAAC",  # ;TAI VIET LETTER LOW HO;Lo;0;L;;;;;N;;;;;
        "\uAAAD",  # ;TAI VIET LETTER HIGH HO;Lo;0;L;;;;;N;;;;;
        "\uAAAE",  # ;TAI VIET LETTER LOW O;Lo;0;L;;;;;N;;;;;
        "\uAAAF",  # ;TAI VIET LETTER HIGH O;Lo;0;L;;;;;N;;;;;
        "\uAAB0",  # ;TAI VIET MAI KANG;Mn;230;NSM;;;;;N;;;;;
        "\uAAB1",  # ;TAI VIET VOWEL AA;Lo;0;L;;;;;N;;;;;
        "\uAAB2",  # ;TAI VIET VOWEL I;Mn;230;NSM;;;;;N;;;;;
        "\uAAB3",  # ;TAI VIET VOWEL UE;Mn;230;NSM;;;;;N;;;;;
        "\uAAB4",  # ;TAI VIET VOWEL U;Mn;220;NSM;;;;;N;;;;;
        "\uAAB5",  # ;TAI VIET VOWEL E;Lo;0;L;;;;;N;;;;;
        "\uAAB6",  # ;TAI VIET VOWEL O;Lo;0;L;;;;;N;;;;;
        "\uAAB7",  # ;TAI VIET MAI KHIT;Mn;230;NSM;;;;;N;;;;;
        "\uAAB8",  # ;TAI VIET VOWEL IA;Mn;230;NSM;;;;;N;;;;;
        "\uAAB9",  # ;TAI VIET VOWEL UEA;Lo;0;L;;;;;N;;;;;
        "\uAABA",  # ;TAI VIET VOWEL UA;Lo;0;L;;;;;N;;;;;
        "\uAABB",  # ;TAI VIET VOWEL AUE;Lo;0;L;;;;;N;;;;;
        "\uAABC",  # ;TAI VIET VOWEL AY;Lo;0;L;;;;;N;;;;;
        "\uAABD",  # ;TAI VIET VOWEL AN;Lo;0;L;;;;;N;;;;;
        "\uAABE",  # ;TAI VIET VOWEL AM;Mn;230;NSM;;;;;N;;;;;
        "\uAABF",  # ;TAI VIET TONE MAI EK;Mn;230;NSM;;;;;N;;;;;
        "\uAAC0",  # ;TAI VIET TONE MAI NUENG;Lo;0;L;;;;;N;;;;;
        "\uAAC1",  # ;TAI VIET TONE MAI THO;Mn;230;NSM;;;;;N;;;;;
        "\uAAC2",  # ;TAI VIET TONE MAI SONG;Lo;0;L;;;;;N;;;;;
        "\uAADB",  # ;TAI VIET SYMBOL KON;Lo;0;L;;;;;N;;;;;
        "\uAADC",  # ;TAI VIET SYMBOL NUENG;Lo;0;L;;;;;N;;;;;
        "\uAADD",  # ;TAI VIET SYMBOL SAM;Lm;0;L;;;;;N;;;;;
        "\uAADE",  # ;TAI VIET SYMBOL HO HOI;Po;0;L;;;;;N;;;;;
        "\uAADF",  # ;TAI VIET SYMBOL KOI KOI;Po;0;L;;;;;N;;;;;
        "\uAAE0",  # ;MEETEI MAYEK LETTER E;Lo;0;L;;;;;N;;;;;
        "\uAAE1",  # ;MEETEI MAYEK LETTER O;Lo;0;L;;;;;N;;;;;
        "\uAAE2",  # ;MEETEI MAYEK LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\uAAE3",  # ;MEETEI MAYEK LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\uAAE4",  # ;MEETEI MAYEK LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\uAAE5",  # ;MEETEI MAYEK LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\uAAE6",  # ;MEETEI MAYEK LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\uAAE7",  # ;MEETEI MAYEK LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\uAAE8",  # ;MEETEI MAYEK LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\uAAE9",  # ;MEETEI MAYEK LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\uAAEA",  # ;MEETEI MAYEK LETTER SSA;Lo;0;L;;;;;N;;;;;
        "\uAAEB",  # ;MEETEI MAYEK VOWEL SIGN II;Mc;0;L;;;;;N;;;;;
        "\uAAEC",  # ;MEETEI MAYEK VOWEL SIGN UU;Mn;0;NSM;;;;;N;;;;;
        "\uAAED",  # ;MEETEI MAYEK VOWEL SIGN AAI;Mn;0;NSM;;;;;N;;;;;
        "\uAAEE",  # ;MEETEI MAYEK VOWEL SIGN AU;Mc;0;L;;;;;N;;;;;
        "\uAAEF",  # ;MEETEI MAYEK VOWEL SIGN AAU;Mc;0;L;;;;;N;;;;;
        "\uAAF0",  # ;MEETEI MAYEK CHEIKHAN;Po;0;L;;;;;N;;;;;
        "\uAAF1",  # ;MEETEI MAYEK AHANG KHUDAM;Po;0;L;;;;;N;;;;;
        "\uAAF2",  # ;MEETEI MAYEK ANJI;Lo;0;L;;;;;N;;;;;
        "\uAAF3",  # ;MEETEI MAYEK SYLLABLE REPETITION MARK;Lm;0;L;;;;;N;;;;;
        "\uAAF4",  # ;MEETEI MAYEK WORD REPETITION MARK;Lm;0;L;;;;;N;;;;;
        "\uAAF5",  # ;MEETEI MAYEK VOWEL SIGN VISARGA;Mc;0;L;;;;;N;;;;;
        "\uAAF6",  # ;MEETEI MAYEK VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\uAB01",  # ;ETHIOPIC SYLLABLE TTHU;Lo;0;L;;;;;N;;;;;
        "\uAB02",  # ;ETHIOPIC SYLLABLE TTHI;Lo;0;L;;;;;N;;;;;
        "\uAB03",  # ;ETHIOPIC SYLLABLE TTHAA;Lo;0;L;;;;;N;;;;;
        "\uAB04",  # ;ETHIOPIC SYLLABLE TTHEE;Lo;0;L;;;;;N;;;;;
        "\uAB05",  # ;ETHIOPIC SYLLABLE TTHE;Lo;0;L;;;;;N;;;;;
        "\uAB06",  # ;ETHIOPIC SYLLABLE TTHO;Lo;0;L;;;;;N;;;;;
        "\uAB09",  # ;ETHIOPIC SYLLABLE DDHU;Lo;0;L;;;;;N;;;;;
        "\uAB0A",  # ;ETHIOPIC SYLLABLE DDHI;Lo;0;L;;;;;N;;;;;
        "\uAB0B",  # ;ETHIOPIC SYLLABLE DDHAA;Lo;0;L;;;;;N;;;;;
        "\uAB0C",  # ;ETHIOPIC SYLLABLE DDHEE;Lo;0;L;;;;;N;;;;;
        "\uAB0D",  # ;ETHIOPIC SYLLABLE DDHE;Lo;0;L;;;;;N;;;;;
        "\uAB0E",  # ;ETHIOPIC SYLLABLE DDHO;Lo;0;L;;;;;N;;;;;
        "\uAB11",  # ;ETHIOPIC SYLLABLE DZU;Lo;0;L;;;;;N;;;;;
        "\uAB12",  # ;ETHIOPIC SYLLABLE DZI;Lo;0;L;;;;;N;;;;;
        "\uAB13",  # ;ETHIOPIC SYLLABLE DZAA;Lo;0;L;;;;;N;;;;;
        "\uAB14",  # ;ETHIOPIC SYLLABLE DZEE;Lo;0;L;;;;;N;;;;;
        "\uAB15",  # ;ETHIOPIC SYLLABLE DZE;Lo;0;L;;;;;N;;;;;
        "\uAB16",  # ;ETHIOPIC SYLLABLE DZO;Lo;0;L;;;;;N;;;;;
        "\uAB20",  # ;ETHIOPIC SYLLABLE CCHHA;Lo;0;L;;;;;N;;;;;
        "\uAB21",  # ;ETHIOPIC SYLLABLE CCHHU;Lo;0;L;;;;;N;;;;;
        "\uAB22",  # ;ETHIOPIC SYLLABLE CCHHI;Lo;0;L;;;;;N;;;;;
        "\uAB23",  # ;ETHIOPIC SYLLABLE CCHHAA;Lo;0;L;;;;;N;;;;;
        "\uAB24",  # ;ETHIOPIC SYLLABLE CCHHEE;Lo;0;L;;;;;N;;;;;
        "\uAB25",  # ;ETHIOPIC SYLLABLE CCHHE;Lo;0;L;;;;;N;;;;;
        "\uAB26",  # ;ETHIOPIC SYLLABLE CCHHO;Lo;0;L;;;;;N;;;;;
        "\uAB28",  # ;ETHIOPIC SYLLABLE BBA;Lo;0;L;;;;;N;;;;;
        "\uAB29",  # ;ETHIOPIC SYLLABLE BBU;Lo;0;L;;;;;N;;;;;
        "\uAB2A",  # ;ETHIOPIC SYLLABLE BBI;Lo;0;L;;;;;N;;;;;
        "\uAB2B",  # ;ETHIOPIC SYLLABLE BBAA;Lo;0;L;;;;;N;;;;;
        "\uAB2C",  # ;ETHIOPIC SYLLABLE BBEE;Lo;0;L;;;;;N;;;;;
        "\uAB2D",  # ;ETHIOPIC SYLLABLE BBE;Lo;0;L;;;;;N;;;;;
        "\uAB2E",  # ;ETHIOPIC SYLLABLE BBO;Lo;0;L;;;;;N;;;;;
        "\uAB30",  # ;LATIN SMALL LETTER BARRED ALPHA;Ll;0;L;;;;;N;;;;;
        "\uAB31",  # ;LATIN SMALL LETTER A REVERSED-SCHWA;Ll;0;L;;;;;N;;;;;
        "\uAB32",  # ;LATIN SMALL LETTER BLACKLETTER E;Ll;0;L;;;;;N;;;;;
        "\uAB33",  # ;LATIN SMALL LETTER BARRED E;Ll;0;L;;;;;N;;;;;
        "\uAB34",  # ;LATIN SMALL LETTER E WITH FLOURISH;Ll;0;L;;;;;N;;;;;
        "\uAB35",  # ;LATIN SMALL LETTER LENIS F;Ll;0;L;;;;;N;;;;;
        "\uAB36",  # ;LATIN SMALL LETTER SCRIPT G WITH CROSSED-TAIL;Ll;0;L;;;;;N;;;;;
        "\uAB37",  # ;LATIN SMALL LETTER L WITH INVERTED LAZY S;Ll;0;L;;;;;N;;;;;
        "\uAB38",  # ;LATIN SMALL LETTER L WITH DOUBLE MIDDLE TILDE;Ll;0;L;;;;;N;;;;;
        "\uAB39",  # ;LATIN SMALL LETTER L WITH MIDDLE RING;Ll;0;L;;;;;N;;;;;
        "\uAB3A",  # ;LATIN SMALL LETTER M WITH CROSSED-TAIL;Ll;0;L;;;;;N;;;;;
        "\uAB3B",  # ;LATIN SMALL LETTER N WITH CROSSED-TAIL;Ll;0;L;;;;;N;;;;;
        "\uAB3C",  # ;LATIN SMALL LETTER ENG WITH CROSSED-TAIL;Ll;0;L;;;;;N;;;;;
        "\uAB3D",  # ;LATIN SMALL LETTER BLACKLETTER O;Ll;0;L;;;;;N;;;;;
        "\uAB3E",  # ;LATIN SMALL LETTER BLACKLETTER O WITH STROKE;Ll;0;L;;;;;N;;;;;
        "\uAB3F",  # ;LATIN SMALL LETTER OPEN O WITH STROKE;Ll;0;L;;;;;N;;;;;
        "\uAB40",  # ;LATIN SMALL LETTER INVERTED OE;Ll;0;L;;;;;N;;;;;
        "\uAB41",  # ;LATIN SMALL LETTER TURNED OE WITH STROKE;Ll;0;L;;;;;N;;;;;
        "\uAB42",  # ;LATIN SMALL LETTER TURNED OE WITH HORIZONTAL STROKE;Ll;0;L;;;;;N;;;;;
        "\uAB43",  # ;LATIN SMALL LETTER TURNED O OPEN-O;Ll;0;L;;;;;N;;;;;
        "\uAB44",  # ;LATIN SMALL LETTER TURNED O OPEN-O WITH STROKE;Ll;0;L;;;;;N;;;;;
        "\uAB45",  # ;LATIN SMALL LETTER STIRRUP R;Ll;0;L;;;;;N;;;;;
        "\uAB46",  # ;LATIN LETTER SMALL CAPITAL R WITH RIGHT LEG;Ll;0;L;;;;;N;;;;;
        "\uAB47",  # ;LATIN SMALL LETTER R WITHOUT HANDLE;Ll;0;L;;;;;N;;;;;
        "\uAB48",  # ;LATIN SMALL LETTER DOUBLE R;Ll;0;L;;;;;N;;;;;
        "\uAB49",  # ;LATIN SMALL LETTER R WITH CROSSED-TAIL;Ll;0;L;;;;;N;;;;;
        "\uAB4A",  # ;LATIN SMALL LETTER DOUBLE R WITH CROSSED-TAIL;Ll;0;L;;;;;N;;;;;
        "\uAB4B",  # ;LATIN SMALL LETTER SCRIPT R;Ll;0;L;;;;;N;;;;;
        "\uAB4C",  # ;LATIN SMALL LETTER SCRIPT R WITH RING;Ll;0;L;;;;;N;;;;;
        "\uAB4D",  # ;LATIN SMALL LETTER BASELINE ESH;Ll;0;L;;;;;N;;;;;
        "\uAB4E",  # ;LATIN SMALL LETTER U WITH SHORT RIGHT LEG;Ll;0;L;;;;;N;;;;;
        "\uAB4F",  # ;LATIN SMALL LETTER U BAR WITH SHORT RIGHT LEG;Ll;0;L;;;;;N;;;;;
        "\uAB50",  # ;LATIN SMALL LETTER UI;Ll;0;L;;;;;N;;;;;
        "\uAB51",  # ;LATIN SMALL LETTER TURNED UI;Ll;0;L;;;;;N;;;;;
        "\uAB52",  # ;LATIN SMALL LETTER U WITH LEFT HOOK;Ll;0;L;;;;;N;;;;;
        "\uAB53",  # ;LATIN SMALL LETTER CHI;Ll;0;L;;;;;N;;;A7B3;;A7B3
        "\uAB54",  # ;LATIN SMALL LETTER CHI WITH LOW RIGHT RING;Ll;0;L;;;;;N;;;;;
        "\uAB55",  # ;LATIN SMALL LETTER CHI WITH LOW LEFT SERIF;Ll;0;L;;;;;N;;;;;
        "\uAB56",  # ;LATIN SMALL LETTER X WITH LOW RIGHT RING;Ll;0;L;;;;;N;;;;;
        "\uAB57",  # ;LATIN SMALL LETTER X WITH LONG LEFT LEG;Ll;0;L;;;;;N;;;;;
        "\uAB58",  # ;LATIN SMALL LETTER X WITH LONG LEFT LEG AND LOW RIGHT RING;Ll;0;L;;;;;N;;;;;
        "\uAB59",  # ;LATIN SMALL LETTER X WITH LONG LEFT LEG WITH SERIF;Ll;0;L;;;;;N;;;;;
        "\uAB5A",  # ;LATIN SMALL LETTER Y WITH SHORT RIGHT LEG;Ll;0;L;;;;;N;;;;;
        "\uAB5B",  # ;MODIFIER BREVE WITH INVERTED BREVE;Sk;0;L;;;;;N;;;;;
        "\uAB5C",  # ;MODIFIER LETTER SMALL HENG;Lm;0;L;<super> A727;;;;N;;;;;
        "\uAB5D",  # ;MODIFIER LETTER SMALL L WITH INVERTED LAZY S;Lm;0;L;<super> AB37;;;;N;;;;;
        "\uAB5E",  # ;MODIFIER LETTER SMALL L WITH MIDDLE TILDE;Lm;0;L;<super> 026B;;;;N;;;;;
        "\uAB5F",  # ;MODIFIER LETTER SMALL U WITH LEFT HOOK;Lm;0;L;<super> AB52;;;;N;;;;;
        "\uAB60",  # ;LATIN SMALL LETTER SAKHA YAT;Ll;0;L;;;;;N;;;;;
        "\uAB61",  # ;LATIN SMALL LETTER IOTIFIED E;Ll;0;L;;;;;N;;;;;
        "\uAB62",  # ;LATIN SMALL LETTER OPEN OE;Ll;0;L;;;;;N;;;;;
        "\uAB63",  # ;LATIN SMALL LETTER UO;Ll;0;L;;;;;N;;;;;
        "\uAB64",  # ;LATIN SMALL LETTER INVERTED ALPHA;Ll;0;L;;;;;N;;;;;
        "\uAB65",  # ;GREEK LETTER SMALL CAPITAL OMEGA;Ll;0;L;;;;;N;;;;;
        "\uAB70",  # ;CHEROKEE SMALL LETTER A;Ll;0;L;;;;;N;;;13A0;;13A0
        "\uAB71",  # ;CHEROKEE SMALL LETTER E;Ll;0;L;;;;;N;;;13A1;;13A1
        "\uAB72",  # ;CHEROKEE SMALL LETTER I;Ll;0;L;;;;;N;;;13A2;;13A2
        "\uAB73",  # ;CHEROKEE SMALL LETTER O;Ll;0;L;;;;;N;;;13A3;;13A3
        "\uAB74",  # ;CHEROKEE SMALL LETTER U;Ll;0;L;;;;;N;;;13A4;;13A4
        "\uAB75",  # ;CHEROKEE SMALL LETTER V;Ll;0;L;;;;;N;;;13A5;;13A5
        "\uAB76",  # ;CHEROKEE SMALL LETTER GA;Ll;0;L;;;;;N;;;13A6;;13A6
        "\uAB77",  # ;CHEROKEE SMALL LETTER KA;Ll;0;L;;;;;N;;;13A7;;13A7
        "\uAB78",  # ;CHEROKEE SMALL LETTER GE;Ll;0;L;;;;;N;;;13A8;;13A8
        "\uAB79",  # ;CHEROKEE SMALL LETTER GI;Ll;0;L;;;;;N;;;13A9;;13A9
        "\uAB7A",  # ;CHEROKEE SMALL LETTER GO;Ll;0;L;;;;;N;;;13AA;;13AA
        "\uAB7B",  # ;CHEROKEE SMALL LETTER GU;Ll;0;L;;;;;N;;;13AB;;13AB
        "\uAB7C",  # ;CHEROKEE SMALL LETTER GV;Ll;0;L;;;;;N;;;13AC;;13AC
        "\uAB7D",  # ;CHEROKEE SMALL LETTER HA;Ll;0;L;;;;;N;;;13AD;;13AD
        "\uAB7E",  # ;CHEROKEE SMALL LETTER HE;Ll;0;L;;;;;N;;;13AE;;13AE
        "\uAB7F",  # ;CHEROKEE SMALL LETTER HI;Ll;0;L;;;;;N;;;13AF;;13AF
        "\uAB80",  # ;CHEROKEE SMALL LETTER HO;Ll;0;L;;;;;N;;;13B0;;13B0
        "\uAB81",  # ;CHEROKEE SMALL LETTER HU;Ll;0;L;;;;;N;;;13B1;;13B1
        "\uAB82",  # ;CHEROKEE SMALL LETTER HV;Ll;0;L;;;;;N;;;13B2;;13B2
        "\uAB83",  # ;CHEROKEE SMALL LETTER LA;Ll;0;L;;;;;N;;;13B3;;13B3
        "\uAB84",  # ;CHEROKEE SMALL LETTER LE;Ll;0;L;;;;;N;;;13B4;;13B4
        "\uAB85",  # ;CHEROKEE SMALL LETTER LI;Ll;0;L;;;;;N;;;13B5;;13B5
        "\uAB86",  # ;CHEROKEE SMALL LETTER LO;Ll;0;L;;;;;N;;;13B6;;13B6
        "\uAB87",  # ;CHEROKEE SMALL LETTER LU;Ll;0;L;;;;;N;;;13B7;;13B7
        "\uAB88",  # ;CHEROKEE SMALL LETTER LV;Ll;0;L;;;;;N;;;13B8;;13B8
        "\uAB89",  # ;CHEROKEE SMALL LETTER MA;Ll;0;L;;;;;N;;;13B9;;13B9
        "\uAB8A",  # ;CHEROKEE SMALL LETTER ME;Ll;0;L;;;;;N;;;13BA;;13BA
        "\uAB8B",  # ;CHEROKEE SMALL LETTER MI;Ll;0;L;;;;;N;;;13BB;;13BB
        "\uAB8C",  # ;CHEROKEE SMALL LETTER MO;Ll;0;L;;;;;N;;;13BC;;13BC
        "\uAB8D",  # ;CHEROKEE SMALL LETTER MU;Ll;0;L;;;;;N;;;13BD;;13BD
        "\uAB8E",  # ;CHEROKEE SMALL LETTER NA;Ll;0;L;;;;;N;;;13BE;;13BE
        "\uAB8F",  # ;CHEROKEE SMALL LETTER HNA;Ll;0;L;;;;;N;;;13BF;;13BF
        "\uAB90",  # ;CHEROKEE SMALL LETTER NAH;Ll;0;L;;;;;N;;;13C0;;13C0
        "\uAB91",  # ;CHEROKEE SMALL LETTER NE;Ll;0;L;;;;;N;;;13C1;;13C1
        "\uAB92",  # ;CHEROKEE SMALL LETTER NI;Ll;0;L;;;;;N;;;13C2;;13C2
        "\uAB93",  # ;CHEROKEE SMALL LETTER NO;Ll;0;L;;;;;N;;;13C3;;13C3
        "\uAB94",  # ;CHEROKEE SMALL LETTER NU;Ll;0;L;;;;;N;;;13C4;;13C4
        "\uAB95",  # ;CHEROKEE SMALL LETTER NV;Ll;0;L;;;;;N;;;13C5;;13C5
        "\uAB96",  # ;CHEROKEE SMALL LETTER QUA;Ll;0;L;;;;;N;;;13C6;;13C6
        "\uAB97",  # ;CHEROKEE SMALL LETTER QUE;Ll;0;L;;;;;N;;;13C7;;13C7
        "\uAB98",  # ;CHEROKEE SMALL LETTER QUI;Ll;0;L;;;;;N;;;13C8;;13C8
        "\uAB99",  # ;CHEROKEE SMALL LETTER QUO;Ll;0;L;;;;;N;;;13C9;;13C9
        "\uAB9A",  # ;CHEROKEE SMALL LETTER QUU;Ll;0;L;;;;;N;;;13CA;;13CA
        "\uAB9B",  # ;CHEROKEE SMALL LETTER QUV;Ll;0;L;;;;;N;;;13CB;;13CB
        "\uAB9C",  # ;CHEROKEE SMALL LETTER SA;Ll;0;L;;;;;N;;;13CC;;13CC
        "\uAB9D",  # ;CHEROKEE SMALL LETTER S;Ll;0;L;;;;;N;;;13CD;;13CD
        "\uAB9E",  # ;CHEROKEE SMALL LETTER SE;Ll;0;L;;;;;N;;;13CE;;13CE
        "\uAB9F",  # ;CHEROKEE SMALL LETTER SI;Ll;0;L;;;;;N;;;13CF;;13CF
        "\uABA0",  # ;CHEROKEE SMALL LETTER SO;Ll;0;L;;;;;N;;;13D0;;13D0
        "\uABA1",  # ;CHEROKEE SMALL LETTER SU;Ll;0;L;;;;;N;;;13D1;;13D1
        "\uABA2",  # ;CHEROKEE SMALL LETTER SV;Ll;0;L;;;;;N;;;13D2;;13D2
        "\uABA3",  # ;CHEROKEE SMALL LETTER DA;Ll;0;L;;;;;N;;;13D3;;13D3
        "\uABA4",  # ;CHEROKEE SMALL LETTER TA;Ll;0;L;;;;;N;;;13D4;;13D4
        "\uABA5",  # ;CHEROKEE SMALL LETTER DE;Ll;0;L;;;;;N;;;13D5;;13D5
        "\uABA6",  # ;CHEROKEE SMALL LETTER TE;Ll;0;L;;;;;N;;;13D6;;13D6
        "\uABA7",  # ;CHEROKEE SMALL LETTER DI;Ll;0;L;;;;;N;;;13D7;;13D7
        "\uABA8",  # ;CHEROKEE SMALL LETTER TI;Ll;0;L;;;;;N;;;13D8;;13D8
        "\uABA9",  # ;CHEROKEE SMALL LETTER DO;Ll;0;L;;;;;N;;;13D9;;13D9
        "\uABAA",  # ;CHEROKEE SMALL LETTER DU;Ll;0;L;;;;;N;;;13DA;;13DA
        "\uABAB",  # ;CHEROKEE SMALL LETTER DV;Ll;0;L;;;;;N;;;13DB;;13DB
        "\uABAC",  # ;CHEROKEE SMALL LETTER DLA;Ll;0;L;;;;;N;;;13DC;;13DC
        "\uABAD",  # ;CHEROKEE SMALL LETTER TLA;Ll;0;L;;;;;N;;;13DD;;13DD
        "\uABAE",  # ;CHEROKEE SMALL LETTER TLE;Ll;0;L;;;;;N;;;13DE;;13DE
        "\uABAF",  # ;CHEROKEE SMALL LETTER TLI;Ll;0;L;;;;;N;;;13DF;;13DF
        "\uABB0",  # ;CHEROKEE SMALL LETTER TLO;Ll;0;L;;;;;N;;;13E0;;13E0
        "\uABB1",  # ;CHEROKEE SMALL LETTER TLU;Ll;0;L;;;;;N;;;13E1;;13E1
        "\uABB2",  # ;CHEROKEE SMALL LETTER TLV;Ll;0;L;;;;;N;;;13E2;;13E2
        "\uABB3",  # ;CHEROKEE SMALL LETTER TSA;Ll;0;L;;;;;N;;;13E3;;13E3
        "\uABB4",  # ;CHEROKEE SMALL LETTER TSE;Ll;0;L;;;;;N;;;13E4;;13E4
        "\uABB5",  # ;CHEROKEE SMALL LETTER TSI;Ll;0;L;;;;;N;;;13E5;;13E5
        "\uABB6",  # ;CHEROKEE SMALL LETTER TSO;Ll;0;L;;;;;N;;;13E6;;13E6
        "\uABB7",  # ;CHEROKEE SMALL LETTER TSU;Ll;0;L;;;;;N;;;13E7;;13E7
        "\uABB8",  # ;CHEROKEE SMALL LETTER TSV;Ll;0;L;;;;;N;;;13E8;;13E8
        "\uABB9",  # ;CHEROKEE SMALL LETTER WA;Ll;0;L;;;;;N;;;13E9;;13E9
        "\uABBA",  # ;CHEROKEE SMALL LETTER WE;Ll;0;L;;;;;N;;;13EA;;13EA
        "\uABBB",  # ;CHEROKEE SMALL LETTER WI;Ll;0;L;;;;;N;;;13EB;;13EB
        "\uABBC",  # ;CHEROKEE SMALL LETTER WO;Ll;0;L;;;;;N;;;13EC;;13EC
        "\uABBD",  # ;CHEROKEE SMALL LETTER WU;Ll;0;L;;;;;N;;;13ED;;13ED
        "\uABBE",  # ;CHEROKEE SMALL LETTER WV;Ll;0;L;;;;;N;;;13EE;;13EE
        "\uABBF",  # ;CHEROKEE SMALL LETTER YA;Ll;0;L;;;;;N;;;13EF;;13EF
        "\uABC0",  # ;MEETEI MAYEK LETTER KOK;Lo;0;L;;;;;N;;;;;
        "\uABC1",  # ;MEETEI MAYEK LETTER SAM;Lo;0;L;;;;;N;;;;;
        "\uABC2",  # ;MEETEI MAYEK LETTER LAI;Lo;0;L;;;;;N;;;;;
        "\uABC3",  # ;MEETEI MAYEK LETTER MIT;Lo;0;L;;;;;N;;;;;
        "\uABC4",  # ;MEETEI MAYEK LETTER PA;Lo;0;L;;;;;N;;;;;
        "\uABC5",  # ;MEETEI MAYEK LETTER NA;Lo;0;L;;;;;N;;;;;
        "\uABC6",  # ;MEETEI MAYEK LETTER CHIL;Lo;0;L;;;;;N;;;;;
        "\uABC7",  # ;MEETEI MAYEK LETTER TIL;Lo;0;L;;;;;N;;;;;
        "\uABC8",  # ;MEETEI MAYEK LETTER KHOU;Lo;0;L;;;;;N;;;;;
        "\uABC9",  # ;MEETEI MAYEK LETTER NGOU;Lo;0;L;;;;;N;;;;;
        "\uABCA",  # ;MEETEI MAYEK LETTER THOU;Lo;0;L;;;;;N;;;;;
        "\uABCB",  # ;MEETEI MAYEK LETTER WAI;Lo;0;L;;;;;N;;;;;
        "\uABCC",  # ;MEETEI MAYEK LETTER YANG;Lo;0;L;;;;;N;;;;;
        "\uABCD",  # ;MEETEI MAYEK LETTER HUK;Lo;0;L;;;;;N;;;;;
        "\uABCE",  # ;MEETEI MAYEK LETTER UN;Lo;0;L;;;;;N;;;;;
        "\uABCF",  # ;MEETEI MAYEK LETTER I;Lo;0;L;;;;;N;;;;;
        "\uABD0",  # ;MEETEI MAYEK LETTER PHAM;Lo;0;L;;;;;N;;;;;
        "\uABD1",  # ;MEETEI MAYEK LETTER ATIYA;Lo;0;L;;;;;N;;;;;
        "\uABD2",  # ;MEETEI MAYEK LETTER GOK;Lo;0;L;;;;;N;;;;;
        "\uABD3",  # ;MEETEI MAYEK LETTER JHAM;Lo;0;L;;;;;N;;;;;
        "\uABD4",  # ;MEETEI MAYEK LETTER RAI;Lo;0;L;;;;;N;;;;;
        "\uABD5",  # ;MEETEI MAYEK LETTER BA;Lo;0;L;;;;;N;;;;;
        "\uABD6",  # ;MEETEI MAYEK LETTER JIL;Lo;0;L;;;;;N;;;;;
        "\uABD7",  # ;MEETEI MAYEK LETTER DIL;Lo;0;L;;;;;N;;;;;
        "\uABD8",  # ;MEETEI MAYEK LETTER GHOU;Lo;0;L;;;;;N;;;;;
        "\uABD9",  # ;MEETEI MAYEK LETTER DHOU;Lo;0;L;;;;;N;;;;;
        "\uABDA",  # ;MEETEI MAYEK LETTER BHAM;Lo;0;L;;;;;N;;;;;
        "\uABDB",  # ;MEETEI MAYEK LETTER KOK LONSUM;Lo;0;L;;;;;N;;;;;
        "\uABDC",  # ;MEETEI MAYEK LETTER LAI LONSUM;Lo;0;L;;;;;N;;;;;
        "\uABDD",  # ;MEETEI MAYEK LETTER MIT LONSUM;Lo;0;L;;;;;N;;;;;
        "\uABDE",  # ;MEETEI MAYEK LETTER PA LONSUM;Lo;0;L;;;;;N;;;;;
        "\uABDF",  # ;MEETEI MAYEK LETTER NA LONSUM;Lo;0;L;;;;;N;;;;;
        "\uABE0",  # ;MEETEI MAYEK LETTER TIL LONSUM;Lo;0;L;;;;;N;;;;;
        "\uABE1",  # ;MEETEI MAYEK LETTER NGOU LONSUM;Lo;0;L;;;;;N;;;;;
        "\uABE2",  # ;MEETEI MAYEK LETTER I LONSUM;Lo;0;L;;;;;N;;;;;
        "\uABE3",  # ;MEETEI MAYEK VOWEL SIGN ONAP;Mc;0;L;;;;;N;;;;;
        "\uABE4",  # ;MEETEI MAYEK VOWEL SIGN INAP;Mc;0;L;;;;;N;;;;;
        "\uABE5",  # ;MEETEI MAYEK VOWEL SIGN ANAP;Mn;0;NSM;;;;;N;;;;;
        "\uABE6",  # ;MEETEI MAYEK VOWEL SIGN YENAP;Mc;0;L;;;;;N;;;;;
        "\uABE7",  # ;MEETEI MAYEK VOWEL SIGN SOUNAP;Mc;0;L;;;;;N;;;;;
        "\uABE8",  # ;MEETEI MAYEK VOWEL SIGN UNAP;Mn;0;NSM;;;;;N;;;;;
        "\uABE9",  # ;MEETEI MAYEK VOWEL SIGN CHEINAP;Mc;0;L;;;;;N;;;;;
        "\uABEA",  # ;MEETEI MAYEK VOWEL SIGN NUNG;Mc;0;L;;;;;N;;;;;
        "\uABEB",  # ;MEETEI MAYEK CHEIKHEI;Po;0;L;;;;;N;;;;;
        "\uABEC",  # ;MEETEI MAYEK LUM IYEK;Mc;0;L;;;;;N;;;;;
        "\uABED",  # ;MEETEI MAYEK APUN IYEK;Mn;9;NSM;;;;;N;;;;;
        "\uABF0",  # ;MEETEI MAYEK DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\uABF1",  # ;MEETEI MAYEK DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\uABF2",  # ;MEETEI MAYEK DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\uABF3",  # ;MEETEI MAYEK DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\uABF4",  # ;MEETEI MAYEK DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\uABF5",  # ;MEETEI MAYEK DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\uABF6",  # ;MEETEI MAYEK DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\uABF7",  # ;MEETEI MAYEK DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\uABF8",  # ;MEETEI MAYEK DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\uABF9",  # ;MEETEI MAYEK DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\uAC00",  # ;<Hangul Syllable, First>;Lo;0;L;;;;;N;;;;;
        "\uD7A3",  # ;<Hangul Syllable, Last>;Lo;0;L;;;;;N;;;;;
        "\uD7B0",  # ;HANGUL JUNGSEONG O-YEO;Lo;0;L;;;;;N;;;;;
        "\uD7B1",  # ;HANGUL JUNGSEONG O-O-I;Lo;0;L;;;;;N;;;;;
        "\uD7B2",  # ;HANGUL JUNGSEONG YO-A;Lo;0;L;;;;;N;;;;;
        "\uD7B3",  # ;HANGUL JUNGSEONG YO-AE;Lo;0;L;;;;;N;;;;;
        "\uD7B4",  # ;HANGUL JUNGSEONG YO-EO;Lo;0;L;;;;;N;;;;;
        "\uD7B5",  # ;HANGUL JUNGSEONG U-YEO;Lo;0;L;;;;;N;;;;;
        "\uD7B6",  # ;HANGUL JUNGSEONG U-I-I;Lo;0;L;;;;;N;;;;;
        "\uD7B7",  # ;HANGUL JUNGSEONG YU-AE;Lo;0;L;;;;;N;;;;;
        "\uD7B8",  # ;HANGUL JUNGSEONG YU-O;Lo;0;L;;;;;N;;;;;
        "\uD7B9",  # ;HANGUL JUNGSEONG EU-A;Lo;0;L;;;;;N;;;;;
        "\uD7BA",  # ;HANGUL JUNGSEONG EU-EO;Lo;0;L;;;;;N;;;;;
        "\uD7BB",  # ;HANGUL JUNGSEONG EU-E;Lo;0;L;;;;;N;;;;;
        "\uD7BC",  # ;HANGUL JUNGSEONG EU-O;Lo;0;L;;;;;N;;;;;
        "\uD7BD",  # ;HANGUL JUNGSEONG I-YA-O;Lo;0;L;;;;;N;;;;;
        "\uD7BE",  # ;HANGUL JUNGSEONG I-YAE;Lo;0;L;;;;;N;;;;;
        "\uD7BF",  # ;HANGUL JUNGSEONG I-YEO;Lo;0;L;;;;;N;;;;;
        "\uD7C0",  # ;HANGUL JUNGSEONG I-YE;Lo;0;L;;;;;N;;;;;
        "\uD7C1",  # ;HANGUL JUNGSEONG I-O-I;Lo;0;L;;;;;N;;;;;
        "\uD7C2",  # ;HANGUL JUNGSEONG I-YO;Lo;0;L;;;;;N;;;;;
        "\uD7C3",  # ;HANGUL JUNGSEONG I-YU;Lo;0;L;;;;;N;;;;;
        "\uD7C4",  # ;HANGUL JUNGSEONG I-I;Lo;0;L;;;;;N;;;;;
        "\uD7C5",  # ;HANGUL JUNGSEONG ARAEA-A;Lo;0;L;;;;;N;;;;;
        "\uD7C6",  # ;HANGUL JUNGSEONG ARAEA-E;Lo;0;L;;;;;N;;;;;
        "\uD7CB",  # ;HANGUL JONGSEONG NIEUN-RIEUL;Lo;0;L;;;;;N;;;;;
        "\uD7CC",  # ;HANGUL JONGSEONG NIEUN-CHIEUCH;Lo;0;L;;;;;N;;;;;
        "\uD7CD",  # ;HANGUL JONGSEONG SSANGTIKEUT;Lo;0;L;;;;;N;;;;;
        "\uD7CE",  # ;HANGUL JONGSEONG SSANGTIKEUT-PIEUP;Lo;0;L;;;;;N;;;;;
        "\uD7CF",  # ;HANGUL JONGSEONG TIKEUT-PIEUP;Lo;0;L;;;;;N;;;;;
        "\uD7D0",  # ;HANGUL JONGSEONG TIKEUT-SIOS;Lo;0;L;;;;;N;;;;;
        "\uD7D1",  # ;HANGUL JONGSEONG TIKEUT-SIOS-KIYEOK;Lo;0;L;;;;;N;;;;;
        "\uD7D2",  # ;HANGUL JONGSEONG TIKEUT-CIEUC;Lo;0;L;;;;;N;;;;;
        "\uD7D3",  # ;HANGUL JONGSEONG TIKEUT-CHIEUCH;Lo;0;L;;;;;N;;;;;
        "\uD7D4",  # ;HANGUL JONGSEONG TIKEUT-THIEUTH;Lo;0;L;;;;;N;;;;;
        "\uD7D5",  # ;HANGUL JONGSEONG RIEUL-SSANGKIYEOK;Lo;0;L;;;;;N;;;;;
        "\uD7D6",  # ;HANGUL JONGSEONG RIEUL-KIYEOK-HIEUH;Lo;0;L;;;;;N;;;;;
        "\uD7D7",  # ;HANGUL JONGSEONG SSANGRIEUL-KHIEUKH;Lo;0;L;;;;;N;;;;;
        "\uD7D8",  # ;HANGUL JONGSEONG RIEUL-MIEUM-HIEUH;Lo;0;L;;;;;N;;;;;
        "\uD7D9",  # ;HANGUL JONGSEONG RIEUL-PIEUP-TIKEUT;Lo;0;L;;;;;N;;;;;
        "\uD7DA",  # ;HANGUL JONGSEONG RIEUL-PIEUP-PHIEUPH;Lo;0;L;;;;;N;;;;;
        "\uD7DB",  # ;HANGUL JONGSEONG RIEUL-YESIEUNG;Lo;0;L;;;;;N;;;;;
        "\uD7DC",  # ;HANGUL JONGSEONG RIEUL-YEORINHIEUH-HIEUH;Lo;0;L;;;;;N;;;;;
        "\uD7DD",  # ;HANGUL JONGSEONG KAPYEOUNRIEUL;Lo;0;L;;;;;N;;;;;
        "\uD7DE",  # ;HANGUL JONGSEONG MIEUM-NIEUN;Lo;0;L;;;;;N;;;;;
        "\uD7DF",  # ;HANGUL JONGSEONG MIEUM-SSANGNIEUN;Lo;0;L;;;;;N;;;;;
        "\uD7E0",  # ;HANGUL JONGSEONG SSANGMIEUM;Lo;0;L;;;;;N;;;;;
        "\uD7E1",  # ;HANGUL JONGSEONG MIEUM-PIEUP-SIOS;Lo;0;L;;;;;N;;;;;
        "\uD7E2",  # ;HANGUL JONGSEONG MIEUM-CIEUC;Lo;0;L;;;;;N;;;;;
        "\uD7E3",  # ;HANGUL JONGSEONG PIEUP-TIKEUT;Lo;0;L;;;;;N;;;;;
        "\uD7E4",  # ;HANGUL JONGSEONG PIEUP-RIEUL-PHIEUPH;Lo;0;L;;;;;N;;;;;
        "\uD7E5",  # ;HANGUL JONGSEONG PIEUP-MIEUM;Lo;0;L;;;;;N;;;;;
        "\uD7E6",  # ;HANGUL JONGSEONG SSANGPIEUP;Lo;0;L;;;;;N;;;;;
        "\uD7E7",  # ;HANGUL JONGSEONG PIEUP-SIOS-TIKEUT;Lo;0;L;;;;;N;;;;;
        "\uD7E8",  # ;HANGUL JONGSEONG PIEUP-CIEUC;Lo;0;L;;;;;N;;;;;
        "\uD7E9",  # ;HANGUL JONGSEONG PIEUP-CHIEUCH;Lo;0;L;;;;;N;;;;;
        "\uD7EA",  # ;HANGUL JONGSEONG SIOS-MIEUM;Lo;0;L;;;;;N;;;;;
        "\uD7EB",  # ;HANGUL JONGSEONG SIOS-KAPYEOUNPIEUP;Lo;0;L;;;;;N;;;;;
        "\uD7EC",  # ;HANGUL JONGSEONG SSANGSIOS-KIYEOK;Lo;0;L;;;;;N;;;;;
        "\uD7ED",  # ;HANGUL JONGSEONG SSANGSIOS-TIKEUT;Lo;0;L;;;;;N;;;;;
        "\uD7EE",  # ;HANGUL JONGSEONG SIOS-PANSIOS;Lo;0;L;;;;;N;;;;;
        "\uD7EF",  # ;HANGUL JONGSEONG SIOS-CIEUC;Lo;0;L;;;;;N;;;;;
        "\uD7F0",  # ;HANGUL JONGSEONG SIOS-CHIEUCH;Lo;0;L;;;;;N;;;;;
        "\uD7F1",  # ;HANGUL JONGSEONG SIOS-THIEUTH;Lo;0;L;;;;;N;;;;;
        "\uD7F2",  # ;HANGUL JONGSEONG SIOS-HIEUH;Lo;0;L;;;;;N;;;;;
        "\uD7F3",  # ;HANGUL JONGSEONG PANSIOS-PIEUP;Lo;0;L;;;;;N;;;;;
        "\uD7F4",  # ;HANGUL JONGSEONG PANSIOS-KAPYEOUNPIEUP;Lo;0;L;;;;;N;;;;;
        "\uD7F5",  # ;HANGUL JONGSEONG YESIEUNG-MIEUM;Lo;0;L;;;;;N;;;;;
        "\uD7F6",  # ;HANGUL JONGSEONG YESIEUNG-HIEUH;Lo;0;L;;;;;N;;;;;
        "\uD7F7",  # ;HANGUL JONGSEONG CIEUC-PIEUP;Lo;0;L;;;;;N;;;;;
        "\uD7F8",  # ;HANGUL JONGSEONG CIEUC-SSANGPIEUP;Lo;0;L;;;;;N;;;;;
        "\uD7F9",  # ;HANGUL JONGSEONG SSANGCIEUC;Lo;0;L;;;;;N;;;;;
        "\uD7FA",  # ;HANGUL JONGSEONG PHIEUPH-SIOS;Lo;0;L;;;;;N;;;;;
        "\uD7FB",  # ;HANGUL JONGSEONG PHIEUPH-THIEUTH;Lo;0;L;;;;;N;;;;;
        "\uE000",  # ;<Private Use, First>;Co;0;L;;;;;N;;;;;
        "\uF8FF",  # ;<Private Use, Last>;Co;0;L;;;;;N;;;;;
        "\uF900",  # ;CJK COMPATIBILITY IDEOGRAPH-F900;Lo;0;L;8C48;;;;N;;;;;
        "\uF901",  # ;CJK COMPATIBILITY IDEOGRAPH-F901;Lo;0;L;66F4;;;;N;;;;;
        "\uF902",  # ;CJK COMPATIBILITY IDEOGRAPH-F902;Lo;0;L;8ECA;;;;N;;;;;
        "\uF903",  # ;CJK COMPATIBILITY IDEOGRAPH-F903;Lo;0;L;8CC8;;;;N;;;;;
        "\uF904",  # ;CJK COMPATIBILITY IDEOGRAPH-F904;Lo;0;L;6ED1;;;;N;;;;;
        "\uF905",  # ;CJK COMPATIBILITY IDEOGRAPH-F905;Lo;0;L;4E32;;;;N;;;;;
        "\uF906",  # ;CJK COMPATIBILITY IDEOGRAPH-F906;Lo;0;L;53E5;;;;N;;;;;
        "\uF907",  # ;CJK COMPATIBILITY IDEOGRAPH-F907;Lo;0;L;9F9C;;;;N;;;;;
        "\uF908",  # ;CJK COMPATIBILITY IDEOGRAPH-F908;Lo;0;L;9F9C;;;;N;;;;;
        "\uF909",  # ;CJK COMPATIBILITY IDEOGRAPH-F909;Lo;0;L;5951;;;;N;;;;;
        "\uF90A",  # ;CJK COMPATIBILITY IDEOGRAPH-F90A;Lo;0;L;91D1;;;;N;;;;;
        "\uF90B",  # ;CJK COMPATIBILITY IDEOGRAPH-F90B;Lo;0;L;5587;;;;N;;;;;
        "\uF90C",  # ;CJK COMPATIBILITY IDEOGRAPH-F90C;Lo;0;L;5948;;;;N;;;;;
        "\uF90D",  # ;CJK COMPATIBILITY IDEOGRAPH-F90D;Lo;0;L;61F6;;;;N;;;;;
        "\uF90E",  # ;CJK COMPATIBILITY IDEOGRAPH-F90E;Lo;0;L;7669;;;;N;;;;;
        "\uF90F",  # ;CJK COMPATIBILITY IDEOGRAPH-F90F;Lo;0;L;7F85;;;;N;;;;;
        "\uF910",  # ;CJK COMPATIBILITY IDEOGRAPH-F910;Lo;0;L;863F;;;;N;;;;;
        "\uF911",  # ;CJK COMPATIBILITY IDEOGRAPH-F911;Lo;0;L;87BA;;;;N;;;;;
        "\uF912",  # ;CJK COMPATIBILITY IDEOGRAPH-F912;Lo;0;L;88F8;;;;N;;;;;
        "\uF913",  # ;CJK COMPATIBILITY IDEOGRAPH-F913;Lo;0;L;908F;;;;N;;;;;
        "\uF914",  # ;CJK COMPATIBILITY IDEOGRAPH-F914;Lo;0;L;6A02;;;;N;;;;;
        "\uF915",  # ;CJK COMPATIBILITY IDEOGRAPH-F915;Lo;0;L;6D1B;;;;N;;;;;
        "\uF916",  # ;CJK COMPATIBILITY IDEOGRAPH-F916;Lo;0;L;70D9;;;;N;;;;;
        "\uF917",  # ;CJK COMPATIBILITY IDEOGRAPH-F917;Lo;0;L;73DE;;;;N;;;;;
        "\uF918",  # ;CJK COMPATIBILITY IDEOGRAPH-F918;Lo;0;L;843D;;;;N;;;;;
        "\uF919",  # ;CJK COMPATIBILITY IDEOGRAPH-F919;Lo;0;L;916A;;;;N;;;;;
        "\uF91A",  # ;CJK COMPATIBILITY IDEOGRAPH-F91A;Lo;0;L;99F1;;;;N;;;;;
        "\uF91B",  # ;CJK COMPATIBILITY IDEOGRAPH-F91B;Lo;0;L;4E82;;;;N;;;;;
        "\uF91C",  # ;CJK COMPATIBILITY IDEOGRAPH-F91C;Lo;0;L;5375;;;;N;;;;;
        "\uF91D",  # ;CJK COMPATIBILITY IDEOGRAPH-F91D;Lo;0;L;6B04;;;;N;;;;;
        "\uF91E",  # ;CJK COMPATIBILITY IDEOGRAPH-F91E;Lo;0;L;721B;;;;N;;;;;
        "\uF91F",  # ;CJK COMPATIBILITY IDEOGRAPH-F91F;Lo;0;L;862D;;;;N;;;;;
        "\uF920",  # ;CJK COMPATIBILITY IDEOGRAPH-F920;Lo;0;L;9E1E;;;;N;;;;;
        "\uF921",  # ;CJK COMPATIBILITY IDEOGRAPH-F921;Lo;0;L;5D50;;;;N;;;;;
        "\uF922",  # ;CJK COMPATIBILITY IDEOGRAPH-F922;Lo;0;L;6FEB;;;;N;;;;;
        "\uF923",  # ;CJK COMPATIBILITY IDEOGRAPH-F923;Lo;0;L;85CD;;;;N;;;;;
        "\uF924",  # ;CJK COMPATIBILITY IDEOGRAPH-F924;Lo;0;L;8964;;;;N;;;;;
        "\uF925",  # ;CJK COMPATIBILITY IDEOGRAPH-F925;Lo;0;L;62C9;;;;N;;;;;
        "\uF926",  # ;CJK COMPATIBILITY IDEOGRAPH-F926;Lo;0;L;81D8;;;;N;;;;;
        "\uF927",  # ;CJK COMPATIBILITY IDEOGRAPH-F927;Lo;0;L;881F;;;;N;;;;;
        "\uF928",  # ;CJK COMPATIBILITY IDEOGRAPH-F928;Lo;0;L;5ECA;;;;N;;;;;
        "\uF929",  # ;CJK COMPATIBILITY IDEOGRAPH-F929;Lo;0;L;6717;;;;N;;;;;
        "\uF92A",  # ;CJK COMPATIBILITY IDEOGRAPH-F92A;Lo;0;L;6D6A;;;;N;;;;;
        "\uF92B",  # ;CJK COMPATIBILITY IDEOGRAPH-F92B;Lo;0;L;72FC;;;;N;;;;;
        "\uF92C",  # ;CJK COMPATIBILITY IDEOGRAPH-F92C;Lo;0;L;90CE;;;;N;;;;;
        "\uF92D",  # ;CJK COMPATIBILITY IDEOGRAPH-F92D;Lo;0;L;4F86;;;;N;;;;;
        "\uF92E",  # ;CJK COMPATIBILITY IDEOGRAPH-F92E;Lo;0;L;51B7;;;;N;;;;;
        "\uF92F",  # ;CJK COMPATIBILITY IDEOGRAPH-F92F;Lo;0;L;52DE;;;;N;;;;;
        "\uF930",  # ;CJK COMPATIBILITY IDEOGRAPH-F930;Lo;0;L;64C4;;;;N;;;;;
        "\uF931",  # ;CJK COMPATIBILITY IDEOGRAPH-F931;Lo;0;L;6AD3;;;;N;;;;;
        "\uF932",  # ;CJK COMPATIBILITY IDEOGRAPH-F932;Lo;0;L;7210;;;;N;;;;;
        "\uF933",  # ;CJK COMPATIBILITY IDEOGRAPH-F933;Lo;0;L;76E7;;;;N;;;;;
        "\uF934",  # ;CJK COMPATIBILITY IDEOGRAPH-F934;Lo;0;L;8001;;;;N;;;;;
        "\uF935",  # ;CJK COMPATIBILITY IDEOGRAPH-F935;Lo;0;L;8606;;;;N;;;;;
        "\uF936",  # ;CJK COMPATIBILITY IDEOGRAPH-F936;Lo;0;L;865C;;;;N;;;;;
        "\uF937",  # ;CJK COMPATIBILITY IDEOGRAPH-F937;Lo;0;L;8DEF;;;;N;;;;;
        "\uF938",  # ;CJK COMPATIBILITY IDEOGRAPH-F938;Lo;0;L;9732;;;;N;;;;;
        "\uF939",  # ;CJK COMPATIBILITY IDEOGRAPH-F939;Lo;0;L;9B6F;;;;N;;;;;
        "\uF93A",  # ;CJK COMPATIBILITY IDEOGRAPH-F93A;Lo;0;L;9DFA;;;;N;;;;;
        "\uF93B",  # ;CJK COMPATIBILITY IDEOGRAPH-F93B;Lo;0;L;788C;;;;N;;;;;
        "\uF93C",  # ;CJK COMPATIBILITY IDEOGRAPH-F93C;Lo;0;L;797F;;;;N;;;;;
        "\uF93D",  # ;CJK COMPATIBILITY IDEOGRAPH-F93D;Lo;0;L;7DA0;;;;N;;;;;
        "\uF93E",  # ;CJK COMPATIBILITY IDEOGRAPH-F93E;Lo;0;L;83C9;;;;N;;;;;
        "\uF93F",  # ;CJK COMPATIBILITY IDEOGRAPH-F93F;Lo;0;L;9304;;;;N;;;;;
        "\uF940",  # ;CJK COMPATIBILITY IDEOGRAPH-F940;Lo;0;L;9E7F;;;;N;;;;;
        "\uF941",  # ;CJK COMPATIBILITY IDEOGRAPH-F941;Lo;0;L;8AD6;;;;N;;;;;
        "\uF942",  # ;CJK COMPATIBILITY IDEOGRAPH-F942;Lo;0;L;58DF;;;;N;;;;;
        "\uF943",  # ;CJK COMPATIBILITY IDEOGRAPH-F943;Lo;0;L;5F04;;;;N;;;;;
        "\uF944",  # ;CJK COMPATIBILITY IDEOGRAPH-F944;Lo;0;L;7C60;;;;N;;;;;
        "\uF945",  # ;CJK COMPATIBILITY IDEOGRAPH-F945;Lo;0;L;807E;;;;N;;;;;
        "\uF946",  # ;CJK COMPATIBILITY IDEOGRAPH-F946;Lo;0;L;7262;;;;N;;;;;
        "\uF947",  # ;CJK COMPATIBILITY IDEOGRAPH-F947;Lo;0;L;78CA;;;;N;;;;;
        "\uF948",  # ;CJK COMPATIBILITY IDEOGRAPH-F948;Lo;0;L;8CC2;;;;N;;;;;
        "\uF949",  # ;CJK COMPATIBILITY IDEOGRAPH-F949;Lo;0;L;96F7;;;;N;;;;;
        "\uF94A",  # ;CJK COMPATIBILITY IDEOGRAPH-F94A;Lo;0;L;58D8;;;;N;;;;;
        "\uF94B",  # ;CJK COMPATIBILITY IDEOGRAPH-F94B;Lo;0;L;5C62;;;;N;;;;;
        "\uF94C",  # ;CJK COMPATIBILITY IDEOGRAPH-F94C;Lo;0;L;6A13;;;;N;;;;;
        "\uF94D",  # ;CJK COMPATIBILITY IDEOGRAPH-F94D;Lo;0;L;6DDA;;;;N;;;;;
        "\uF94E",  # ;CJK COMPATIBILITY IDEOGRAPH-F94E;Lo;0;L;6F0F;;;;N;;;;;
        "\uF94F",  # ;CJK COMPATIBILITY IDEOGRAPH-F94F;Lo;0;L;7D2F;;;;N;;;;;
        "\uF950",  # ;CJK COMPATIBILITY IDEOGRAPH-F950;Lo;0;L;7E37;;;;N;;;;;
        "\uF951",  # ;CJK COMPATIBILITY IDEOGRAPH-F951;Lo;0;L;964B;;;;N;;;;;
        "\uF952",  # ;CJK COMPATIBILITY IDEOGRAPH-F952;Lo;0;L;52D2;;;;N;;;;;
        "\uF953",  # ;CJK COMPATIBILITY IDEOGRAPH-F953;Lo;0;L;808B;;;;N;;;;;
        "\uF954",  # ;CJK COMPATIBILITY IDEOGRAPH-F954;Lo;0;L;51DC;;;;N;;;;;
        "\uF955",  # ;CJK COMPATIBILITY IDEOGRAPH-F955;Lo;0;L;51CC;;;;N;;;;;
        "\uF956",  # ;CJK COMPATIBILITY IDEOGRAPH-F956;Lo;0;L;7A1C;;;;N;;;;;
        "\uF957",  # ;CJK COMPATIBILITY IDEOGRAPH-F957;Lo;0;L;7DBE;;;;N;;;;;
        "\uF958",  # ;CJK COMPATIBILITY IDEOGRAPH-F958;Lo;0;L;83F1;;;;N;;;;;
        "\uF959",  # ;CJK COMPATIBILITY IDEOGRAPH-F959;Lo;0;L;9675;;;;N;;;;;
        "\uF95A",  # ;CJK COMPATIBILITY IDEOGRAPH-F95A;Lo;0;L;8B80;;;;N;;;;;
        "\uF95B",  # ;CJK COMPATIBILITY IDEOGRAPH-F95B;Lo;0;L;62CF;;;;N;;;;;
        "\uF95C",  # ;CJK COMPATIBILITY IDEOGRAPH-F95C;Lo;0;L;6A02;;;;N;;;;;
        "\uF95D",  # ;CJK COMPATIBILITY IDEOGRAPH-F95D;Lo;0;L;8AFE;;;;N;;;;;
        "\uF95E",  # ;CJK COMPATIBILITY IDEOGRAPH-F95E;Lo;0;L;4E39;;;;N;;;;;
        "\uF95F",  # ;CJK COMPATIBILITY IDEOGRAPH-F95F;Lo;0;L;5BE7;;;;N;;;;;
        "\uF960",  # ;CJK COMPATIBILITY IDEOGRAPH-F960;Lo;0;L;6012;;;;N;;;;;
        "\uF961",  # ;CJK COMPATIBILITY IDEOGRAPH-F961;Lo;0;L;7387;;;;N;;;;;
        "\uF962",  # ;CJK COMPATIBILITY IDEOGRAPH-F962;Lo;0;L;7570;;;;N;;;;;
        "\uF963",  # ;CJK COMPATIBILITY IDEOGRAPH-F963;Lo;0;L;5317;;;;N;;;;;
        "\uF964",  # ;CJK COMPATIBILITY IDEOGRAPH-F964;Lo;0;L;78FB;;;;N;;;;;
        "\uF965",  # ;CJK COMPATIBILITY IDEOGRAPH-F965;Lo;0;L;4FBF;;;;N;;;;;
        "\uF966",  # ;CJK COMPATIBILITY IDEOGRAPH-F966;Lo;0;L;5FA9;;;;N;;;;;
        "\uF967",  # ;CJK COMPATIBILITY IDEOGRAPH-F967;Lo;0;L;4E0D;;;;N;;;;;
        "\uF968",  # ;CJK COMPATIBILITY IDEOGRAPH-F968;Lo;0;L;6CCC;;;;N;;;;;
        "\uF969",  # ;CJK COMPATIBILITY IDEOGRAPH-F969;Lo;0;L;6578;;;;N;;;;;
        "\uF96A",  # ;CJK COMPATIBILITY IDEOGRAPH-F96A;Lo;0;L;7D22;;;;N;;;;;
        "\uF96B",  # ;CJK COMPATIBILITY IDEOGRAPH-F96B;Lo;0;L;53C3;;;3;N;;;;;
        "\uF96C",  # ;CJK COMPATIBILITY IDEOGRAPH-F96C;Lo;0;L;585E;;;;N;;;;;
        "\uF96D",  # ;CJK COMPATIBILITY IDEOGRAPH-F96D;Lo;0;L;7701;;;;N;;;;;
        "\uF96E",  # ;CJK COMPATIBILITY IDEOGRAPH-F96E;Lo;0;L;8449;;;;N;;;;;
        "\uF96F",  # ;CJK COMPATIBILITY IDEOGRAPH-F96F;Lo;0;L;8AAA;;;;N;;;;;
        "\uF970",  # ;CJK COMPATIBILITY IDEOGRAPH-F970;Lo;0;L;6BBA;;;;N;;;;;
        "\uF971",  # ;CJK COMPATIBILITY IDEOGRAPH-F971;Lo;0;L;8FB0;;;;N;;;;;
        "\uF972",  # ;CJK COMPATIBILITY IDEOGRAPH-F972;Lo;0;L;6C88;;;;N;;;;;
        "\uF973",  # ;CJK COMPATIBILITY IDEOGRAPH-F973;Lo;0;L;62FE;;;10;N;;;;;
        "\uF974",  # ;CJK COMPATIBILITY IDEOGRAPH-F974;Lo;0;L;82E5;;;;N;;;;;
        "\uF975",  # ;CJK COMPATIBILITY IDEOGRAPH-F975;Lo;0;L;63A0;;;;N;;;;;
        "\uF976",  # ;CJK COMPATIBILITY IDEOGRAPH-F976;Lo;0;L;7565;;;;N;;;;;
        "\uF977",  # ;CJK COMPATIBILITY IDEOGRAPH-F977;Lo;0;L;4EAE;;;;N;;;;;
        "\uF978",  # ;CJK COMPATIBILITY IDEOGRAPH-F978;Lo;0;L;5169;;;2;N;;;;;
        "\uF979",  # ;CJK COMPATIBILITY IDEOGRAPH-F979;Lo;0;L;51C9;;;;N;;;;;
        "\uF97A",  # ;CJK COMPATIBILITY IDEOGRAPH-F97A;Lo;0;L;6881;;;;N;;;;;
        "\uF97B",  # ;CJK COMPATIBILITY IDEOGRAPH-F97B;Lo;0;L;7CE7;;;;N;;;;;
        "\uF97C",  # ;CJK COMPATIBILITY IDEOGRAPH-F97C;Lo;0;L;826F;;;;N;;;;;
        "\uF97D",  # ;CJK COMPATIBILITY IDEOGRAPH-F97D;Lo;0;L;8AD2;;;;N;;;;;
        "\uF97E",  # ;CJK COMPATIBILITY IDEOGRAPH-F97E;Lo;0;L;91CF;;;;N;;;;;
        "\uF97F",  # ;CJK COMPATIBILITY IDEOGRAPH-F97F;Lo;0;L;52F5;;;;N;;;;;
        "\uF980",  # ;CJK COMPATIBILITY IDEOGRAPH-F980;Lo;0;L;5442;;;;N;;;;;
        "\uF981",  # ;CJK COMPATIBILITY IDEOGRAPH-F981;Lo;0;L;5973;;;;N;;;;;
        "\uF982",  # ;CJK COMPATIBILITY IDEOGRAPH-F982;Lo;0;L;5EEC;;;;N;;;;;
        "\uF983",  # ;CJK COMPATIBILITY IDEOGRAPH-F983;Lo;0;L;65C5;;;;N;;;;;
        "\uF984",  # ;CJK COMPATIBILITY IDEOGRAPH-F984;Lo;0;L;6FFE;;;;N;;;;;
        "\uF985",  # ;CJK COMPATIBILITY IDEOGRAPH-F985;Lo;0;L;792A;;;;N;;;;;
        "\uF986",  # ;CJK COMPATIBILITY IDEOGRAPH-F986;Lo;0;L;95AD;;;;N;;;;;
        "\uF987",  # ;CJK COMPATIBILITY IDEOGRAPH-F987;Lo;0;L;9A6A;;;;N;;;;;
        "\uF988",  # ;CJK COMPATIBILITY IDEOGRAPH-F988;Lo;0;L;9E97;;;;N;;;;;
        "\uF989",  # ;CJK COMPATIBILITY IDEOGRAPH-F989;Lo;0;L;9ECE;;;;N;;;;;
        "\uF98A",  # ;CJK COMPATIBILITY IDEOGRAPH-F98A;Lo;0;L;529B;;;;N;;;;;
        "\uF98B",  # ;CJK COMPATIBILITY IDEOGRAPH-F98B;Lo;0;L;66C6;;;;N;;;;;
        "\uF98C",  # ;CJK COMPATIBILITY IDEOGRAPH-F98C;Lo;0;L;6B77;;;;N;;;;;
        "\uF98D",  # ;CJK COMPATIBILITY IDEOGRAPH-F98D;Lo;0;L;8F62;;;;N;;;;;
        "\uF98E",  # ;CJK COMPATIBILITY IDEOGRAPH-F98E;Lo;0;L;5E74;;;;N;;;;;
        "\uF98F",  # ;CJK COMPATIBILITY IDEOGRAPH-F98F;Lo;0;L;6190;;;;N;;;;;
        "\uF990",  # ;CJK COMPATIBILITY IDEOGRAPH-F990;Lo;0;L;6200;;;;N;;;;;
        "\uF991",  # ;CJK COMPATIBILITY IDEOGRAPH-F991;Lo;0;L;649A;;;;N;;;;;
        "\uF992",  # ;CJK COMPATIBILITY IDEOGRAPH-F992;Lo;0;L;6F23;;;;N;;;;;
        "\uF993",  # ;CJK COMPATIBILITY IDEOGRAPH-F993;Lo;0;L;7149;;;;N;;;;;
        "\uF994",  # ;CJK COMPATIBILITY IDEOGRAPH-F994;Lo;0;L;7489;;;;N;;;;;
        "\uF995",  # ;CJK COMPATIBILITY IDEOGRAPH-F995;Lo;0;L;79CA;;;;N;;;;;
        "\uF996",  # ;CJK COMPATIBILITY IDEOGRAPH-F996;Lo;0;L;7DF4;;;;N;;;;;
        "\uF997",  # ;CJK COMPATIBILITY IDEOGRAPH-F997;Lo;0;L;806F;;;;N;;;;;
        "\uF998",  # ;CJK COMPATIBILITY IDEOGRAPH-F998;Lo;0;L;8F26;;;;N;;;;;
        "\uF999",  # ;CJK COMPATIBILITY IDEOGRAPH-F999;Lo;0;L;84EE;;;;N;;;;;
        "\uF99A",  # ;CJK COMPATIBILITY IDEOGRAPH-F99A;Lo;0;L;9023;;;;N;;;;;
        "\uF99B",  # ;CJK COMPATIBILITY IDEOGRAPH-F99B;Lo;0;L;934A;;;;N;;;;;
        "\uF99C",  # ;CJK COMPATIBILITY IDEOGRAPH-F99C;Lo;0;L;5217;;;;N;;;;;
        "\uF99D",  # ;CJK COMPATIBILITY IDEOGRAPH-F99D;Lo;0;L;52A3;;;;N;;;;;
        "\uF99E",  # ;CJK COMPATIBILITY IDEOGRAPH-F99E;Lo;0;L;54BD;;;;N;;;;;
        "\uF99F",  # ;CJK COMPATIBILITY IDEOGRAPH-F99F;Lo;0;L;70C8;;;;N;;;;;
        "\uF9A0",  # ;CJK COMPATIBILITY IDEOGRAPH-F9A0;Lo;0;L;88C2;;;;N;;;;;
        "\uF9A1",  # ;CJK COMPATIBILITY IDEOGRAPH-F9A1;Lo;0;L;8AAA;;;;N;;;;;
        "\uF9A2",  # ;CJK COMPATIBILITY IDEOGRAPH-F9A2;Lo;0;L;5EC9;;;;N;;;;;
        "\uF9A3",  # ;CJK COMPATIBILITY IDEOGRAPH-F9A3;Lo;0;L;5FF5;;;;N;;;;;
        "\uF9A4",  # ;CJK COMPATIBILITY IDEOGRAPH-F9A4;Lo;0;L;637B;;;;N;;;;;
        "\uF9A5",  # ;CJK COMPATIBILITY IDEOGRAPH-F9A5;Lo;0;L;6BAE;;;;N;;;;;
        "\uF9A6",  # ;CJK COMPATIBILITY IDEOGRAPH-F9A6;Lo;0;L;7C3E;;;;N;;;;;
        "\uF9A7",  # ;CJK COMPATIBILITY IDEOGRAPH-F9A7;Lo;0;L;7375;;;;N;;;;;
        "\uF9A8",  # ;CJK COMPATIBILITY IDEOGRAPH-F9A8;Lo;0;L;4EE4;;;;N;;;;;
        "\uF9A9",  # ;CJK COMPATIBILITY IDEOGRAPH-F9A9;Lo;0;L;56F9;;;;N;;;;;
        "\uF9AA",  # ;CJK COMPATIBILITY IDEOGRAPH-F9AA;Lo;0;L;5BE7;;;;N;;;;;
        "\uF9AB",  # ;CJK COMPATIBILITY IDEOGRAPH-F9AB;Lo;0;L;5DBA;;;;N;;;;;
        "\uF9AC",  # ;CJK COMPATIBILITY IDEOGRAPH-F9AC;Lo;0;L;601C;;;;N;;;;;
        "\uF9AD",  # ;CJK COMPATIBILITY IDEOGRAPH-F9AD;Lo;0;L;73B2;;;;N;;;;;
        "\uF9AE",  # ;CJK COMPATIBILITY IDEOGRAPH-F9AE;Lo;0;L;7469;;;;N;;;;;
        "\uF9AF",  # ;CJK COMPATIBILITY IDEOGRAPH-F9AF;Lo;0;L;7F9A;;;;N;;;;;
        "\uF9B0",  # ;CJK COMPATIBILITY IDEOGRAPH-F9B0;Lo;0;L;8046;;;;N;;;;;
        "\uF9B1",  # ;CJK COMPATIBILITY IDEOGRAPH-F9B1;Lo;0;L;9234;;;;N;;;;;
        "\uF9B2",  # ;CJK COMPATIBILITY IDEOGRAPH-F9B2;Lo;0;L;96F6;;;0;N;;;;;
        "\uF9B3",  # ;CJK COMPATIBILITY IDEOGRAPH-F9B3;Lo;0;L;9748;;;;N;;;;;
        "\uF9B4",  # ;CJK COMPATIBILITY IDEOGRAPH-F9B4;Lo;0;L;9818;;;;N;;;;;
        "\uF9B5",  # ;CJK COMPATIBILITY IDEOGRAPH-F9B5;Lo;0;L;4F8B;;;;N;;;;;
        "\uF9B6",  # ;CJK COMPATIBILITY IDEOGRAPH-F9B6;Lo;0;L;79AE;;;;N;;;;;
        "\uF9B7",  # ;CJK COMPATIBILITY IDEOGRAPH-F9B7;Lo;0;L;91B4;;;;N;;;;;
        "\uF9B8",  # ;CJK COMPATIBILITY IDEOGRAPH-F9B8;Lo;0;L;96B8;;;;N;;;;;
        "\uF9B9",  # ;CJK COMPATIBILITY IDEOGRAPH-F9B9;Lo;0;L;60E1;;;;N;;;;;
        "\uF9BA",  # ;CJK COMPATIBILITY IDEOGRAPH-F9BA;Lo;0;L;4E86;;;;N;;;;;
        "\uF9BB",  # ;CJK COMPATIBILITY IDEOGRAPH-F9BB;Lo;0;L;50DA;;;;N;;;;;
        "\uF9BC",  # ;CJK COMPATIBILITY IDEOGRAPH-F9BC;Lo;0;L;5BEE;;;;N;;;;;
        "\uF9BD",  # ;CJK COMPATIBILITY IDEOGRAPH-F9BD;Lo;0;L;5C3F;;;;N;;;;;
        "\uF9BE",  # ;CJK COMPATIBILITY IDEOGRAPH-F9BE;Lo;0;L;6599;;;;N;;;;;
        "\uF9BF",  # ;CJK COMPATIBILITY IDEOGRAPH-F9BF;Lo;0;L;6A02;;;;N;;;;;
        "\uF9C0",  # ;CJK COMPATIBILITY IDEOGRAPH-F9C0;Lo;0;L;71CE;;;;N;;;;;
        "\uF9C1",  # ;CJK COMPATIBILITY IDEOGRAPH-F9C1;Lo;0;L;7642;;;;N;;;;;
        "\uF9C2",  # ;CJK COMPATIBILITY IDEOGRAPH-F9C2;Lo;0;L;84FC;;;;N;;;;;
        "\uF9C3",  # ;CJK COMPATIBILITY IDEOGRAPH-F9C3;Lo;0;L;907C;;;;N;;;;;
        "\uF9C4",  # ;CJK COMPATIBILITY IDEOGRAPH-F9C4;Lo;0;L;9F8D;;;;N;;;;;
        "\uF9C5",  # ;CJK COMPATIBILITY IDEOGRAPH-F9C5;Lo;0;L;6688;;;;N;;;;;
        "\uF9C6",  # ;CJK COMPATIBILITY IDEOGRAPH-F9C6;Lo;0;L;962E;;;;N;;;;;
        "\uF9C7",  # ;CJK COMPATIBILITY IDEOGRAPH-F9C7;Lo;0;L;5289;;;;N;;;;;
        "\uF9C8",  # ;CJK COMPATIBILITY IDEOGRAPH-F9C8;Lo;0;L;677B;;;;N;;;;;
        "\uF9C9",  # ;CJK COMPATIBILITY IDEOGRAPH-F9C9;Lo;0;L;67F3;;;;N;;;;;
        "\uF9CA",  # ;CJK COMPATIBILITY IDEOGRAPH-F9CA;Lo;0;L;6D41;;;;N;;;;;
        "\uF9CB",  # ;CJK COMPATIBILITY IDEOGRAPH-F9CB;Lo;0;L;6E9C;;;;N;;;;;
        "\uF9CC",  # ;CJK COMPATIBILITY IDEOGRAPH-F9CC;Lo;0;L;7409;;;;N;;;;;
        "\uF9CD",  # ;CJK COMPATIBILITY IDEOGRAPH-F9CD;Lo;0;L;7559;;;;N;;;;;
        "\uF9CE",  # ;CJK COMPATIBILITY IDEOGRAPH-F9CE;Lo;0;L;786B;;;;N;;;;;
        "\uF9CF",  # ;CJK COMPATIBILITY IDEOGRAPH-F9CF;Lo;0;L;7D10;;;;N;;;;;
        "\uF9D0",  # ;CJK COMPATIBILITY IDEOGRAPH-F9D0;Lo;0;L;985E;;;;N;;;;;
        "\uF9D1",  # ;CJK COMPATIBILITY IDEOGRAPH-F9D1;Lo;0;L;516D;;;6;N;;;;;
        "\uF9D2",  # ;CJK COMPATIBILITY IDEOGRAPH-F9D2;Lo;0;L;622E;;;;N;;;;;
        "\uF9D3",  # ;CJK COMPATIBILITY IDEOGRAPH-F9D3;Lo;0;L;9678;;;6;N;;;;;
        "\uF9D4",  # ;CJK COMPATIBILITY IDEOGRAPH-F9D4;Lo;0;L;502B;;;;N;;;;;
        "\uF9D5",  # ;CJK COMPATIBILITY IDEOGRAPH-F9D5;Lo;0;L;5D19;;;;N;;;;;
        "\uF9D6",  # ;CJK COMPATIBILITY IDEOGRAPH-F9D6;Lo;0;L;6DEA;;;;N;;;;;
        "\uF9D7",  # ;CJK COMPATIBILITY IDEOGRAPH-F9D7;Lo;0;L;8F2A;;;;N;;;;;
        "\uF9D8",  # ;CJK COMPATIBILITY IDEOGRAPH-F9D8;Lo;0;L;5F8B;;;;N;;;;;
        "\uF9D9",  # ;CJK COMPATIBILITY IDEOGRAPH-F9D9;Lo;0;L;6144;;;;N;;;;;
        "\uF9DA",  # ;CJK COMPATIBILITY IDEOGRAPH-F9DA;Lo;0;L;6817;;;;N;;;;;
        "\uF9DB",  # ;CJK COMPATIBILITY IDEOGRAPH-F9DB;Lo;0;L;7387;;;;N;;;;;
        "\uF9DC",  # ;CJK COMPATIBILITY IDEOGRAPH-F9DC;Lo;0;L;9686;;;;N;;;;;
        "\uF9DD",  # ;CJK COMPATIBILITY IDEOGRAPH-F9DD;Lo;0;L;5229;;;;N;;;;;
        "\uF9DE",  # ;CJK COMPATIBILITY IDEOGRAPH-F9DE;Lo;0;L;540F;;;;N;;;;;
        "\uF9DF",  # ;CJK COMPATIBILITY IDEOGRAPH-F9DF;Lo;0;L;5C65;;;;N;;;;;
        "\uF9E0",  # ;CJK COMPATIBILITY IDEOGRAPH-F9E0;Lo;0;L;6613;;;;N;;;;;
        "\uF9E1",  # ;CJK COMPATIBILITY IDEOGRAPH-F9E1;Lo;0;L;674E;;;;N;;;;;
        "\uF9E2",  # ;CJK COMPATIBILITY IDEOGRAPH-F9E2;Lo;0;L;68A8;;;;N;;;;;
        "\uF9E3",  # ;CJK COMPATIBILITY IDEOGRAPH-F9E3;Lo;0;L;6CE5;;;;N;;;;;
        "\uF9E4",  # ;CJK COMPATIBILITY IDEOGRAPH-F9E4;Lo;0;L;7406;;;;N;;;;;
        "\uF9E5",  # ;CJK COMPATIBILITY IDEOGRAPH-F9E5;Lo;0;L;75E2;;;;N;;;;;
        "\uF9E6",  # ;CJK COMPATIBILITY IDEOGRAPH-F9E6;Lo;0;L;7F79;;;;N;;;;;
        "\uF9E7",  # ;CJK COMPATIBILITY IDEOGRAPH-F9E7;Lo;0;L;88CF;;;;N;;;;;
        "\uF9E8",  # ;CJK COMPATIBILITY IDEOGRAPH-F9E8;Lo;0;L;88E1;;;;N;;;;;
        "\uF9E9",  # ;CJK COMPATIBILITY IDEOGRAPH-F9E9;Lo;0;L;91CC;;;;N;;;;;
        "\uF9EA",  # ;CJK COMPATIBILITY IDEOGRAPH-F9EA;Lo;0;L;96E2;;;;N;;;;;
        "\uF9EB",  # ;CJK COMPATIBILITY IDEOGRAPH-F9EB;Lo;0;L;533F;;;;N;;;;;
        "\uF9EC",  # ;CJK COMPATIBILITY IDEOGRAPH-F9EC;Lo;0;L;6EBA;;;;N;;;;;
        "\uF9ED",  # ;CJK COMPATIBILITY IDEOGRAPH-F9ED;Lo;0;L;541D;;;;N;;;;;
        "\uF9EE",  # ;CJK COMPATIBILITY IDEOGRAPH-F9EE;Lo;0;L;71D0;;;;N;;;;;
        "\uF9EF",  # ;CJK COMPATIBILITY IDEOGRAPH-F9EF;Lo;0;L;7498;;;;N;;;;;
        "\uF9F0",  # ;CJK COMPATIBILITY IDEOGRAPH-F9F0;Lo;0;L;85FA;;;;N;;;;;
        "\uF9F1",  # ;CJK COMPATIBILITY IDEOGRAPH-F9F1;Lo;0;L;96A3;;;;N;;;;;
        "\uF9F2",  # ;CJK COMPATIBILITY IDEOGRAPH-F9F2;Lo;0;L;9C57;;;;N;;;;;
        "\uF9F3",  # ;CJK COMPATIBILITY IDEOGRAPH-F9F3;Lo;0;L;9E9F;;;;N;;;;;
        "\uF9F4",  # ;CJK COMPATIBILITY IDEOGRAPH-F9F4;Lo;0;L;6797;;;;N;;;;;
        "\uF9F5",  # ;CJK COMPATIBILITY IDEOGRAPH-F9F5;Lo;0;L;6DCB;;;;N;;;;;
        "\uF9F6",  # ;CJK COMPATIBILITY IDEOGRAPH-F9F6;Lo;0;L;81E8;;;;N;;;;;
        "\uF9F7",  # ;CJK COMPATIBILITY IDEOGRAPH-F9F7;Lo;0;L;7ACB;;;;N;;;;;
        "\uF9F8",  # ;CJK COMPATIBILITY IDEOGRAPH-F9F8;Lo;0;L;7B20;;;;N;;;;;
        "\uF9F9",  # ;CJK COMPATIBILITY IDEOGRAPH-F9F9;Lo;0;L;7C92;;;;N;;;;;
        "\uF9FA",  # ;CJK COMPATIBILITY IDEOGRAPH-F9FA;Lo;0;L;72C0;;;;N;;;;;
        "\uF9FB",  # ;CJK COMPATIBILITY IDEOGRAPH-F9FB;Lo;0;L;7099;;;;N;;;;;
        "\uF9FC",  # ;CJK COMPATIBILITY IDEOGRAPH-F9FC;Lo;0;L;8B58;;;;N;;;;;
        "\uF9FD",  # ;CJK COMPATIBILITY IDEOGRAPH-F9FD;Lo;0;L;4EC0;;;10;N;;;;;
        "\uF9FE",  # ;CJK COMPATIBILITY IDEOGRAPH-F9FE;Lo;0;L;8336;;;;N;;;;;
        "\uF9FF",  # ;CJK COMPATIBILITY IDEOGRAPH-F9FF;Lo;0;L;523A;;;;N;;;;;
        "\uFA00",  # ;CJK COMPATIBILITY IDEOGRAPH-FA00;Lo;0;L;5207;;;;N;;;;;
        "\uFA01",  # ;CJK COMPATIBILITY IDEOGRAPH-FA01;Lo;0;L;5EA6;;;;N;;;;;
        "\uFA02",  # ;CJK COMPATIBILITY IDEOGRAPH-FA02;Lo;0;L;62D3;;;;N;;;;;
        "\uFA03",  # ;CJK COMPATIBILITY IDEOGRAPH-FA03;Lo;0;L;7CD6;;;;N;;;;;
        "\uFA04",  # ;CJK COMPATIBILITY IDEOGRAPH-FA04;Lo;0;L;5B85;;;;N;;;;;
        "\uFA05",  # ;CJK COMPATIBILITY IDEOGRAPH-FA05;Lo;0;L;6D1E;;;;N;;;;;
        "\uFA06",  # ;CJK COMPATIBILITY IDEOGRAPH-FA06;Lo;0;L;66B4;;;;N;;;;;
        "\uFA07",  # ;CJK COMPATIBILITY IDEOGRAPH-FA07;Lo;0;L;8F3B;;;;N;;;;;
        "\uFA08",  # ;CJK COMPATIBILITY IDEOGRAPH-FA08;Lo;0;L;884C;;;;N;;;;;
        "\uFA09",  # ;CJK COMPATIBILITY IDEOGRAPH-FA09;Lo;0;L;964D;;;;N;;;;;
        "\uFA0A",  # ;CJK COMPATIBILITY IDEOGRAPH-FA0A;Lo;0;L;898B;;;;N;;;;;
        "\uFA0B",  # ;CJK COMPATIBILITY IDEOGRAPH-FA0B;Lo;0;L;5ED3;;;;N;;;;;
        "\uFA0C",  # ;CJK COMPATIBILITY IDEOGRAPH-FA0C;Lo;0;L;5140;;;;N;;;;;
        "\uFA0D",  # ;CJK COMPATIBILITY IDEOGRAPH-FA0D;Lo;0;L;55C0;;;;N;;;;;
        "\uFA0E",  # ;CJK COMPATIBILITY IDEOGRAPH-FA0E;Lo;0;L;;;;;N;;;;;
        "\uFA0F",  # ;CJK COMPATIBILITY IDEOGRAPH-FA0F;Lo;0;L;;;;;N;;;;;
        "\uFA10",  # ;CJK COMPATIBILITY IDEOGRAPH-FA10;Lo;0;L;585A;;;;N;;;;;
        "\uFA11",  # ;CJK COMPATIBILITY IDEOGRAPH-FA11;Lo;0;L;;;;;N;;;;;
        "\uFA12",  # ;CJK COMPATIBILITY IDEOGRAPH-FA12;Lo;0;L;6674;;;;N;;;;;
        "\uFA13",  # ;CJK COMPATIBILITY IDEOGRAPH-FA13;Lo;0;L;;;;;N;;;;;
        "\uFA14",  # ;CJK COMPATIBILITY IDEOGRAPH-FA14;Lo;0;L;;;;;N;;;;;
        "\uFA15",  # ;CJK COMPATIBILITY IDEOGRAPH-FA15;Lo;0;L;51DE;;;;N;;;;;
        "\uFA16",  # ;CJK COMPATIBILITY IDEOGRAPH-FA16;Lo;0;L;732A;;;;N;;;;;
        "\uFA17",  # ;CJK COMPATIBILITY IDEOGRAPH-FA17;Lo;0;L;76CA;;;;N;;;;;
        "\uFA18",  # ;CJK COMPATIBILITY IDEOGRAPH-FA18;Lo;0;L;793C;;;;N;;;;;
        "\uFA19",  # ;CJK COMPATIBILITY IDEOGRAPH-FA19;Lo;0;L;795E;;;;N;;;;;
        "\uFA1A",  # ;CJK COMPATIBILITY IDEOGRAPH-FA1A;Lo;0;L;7965;;;;N;;;;;
        "\uFA1B",  # ;CJK COMPATIBILITY IDEOGRAPH-FA1B;Lo;0;L;798F;;;;N;;;;;
        "\uFA1C",  # ;CJK COMPATIBILITY IDEOGRAPH-FA1C;Lo;0;L;9756;;;;N;;;;;
        "\uFA1D",  # ;CJK COMPATIBILITY IDEOGRAPH-FA1D;Lo;0;L;7CBE;;;;N;;;;;
        "\uFA1E",  # ;CJK COMPATIBILITY IDEOGRAPH-FA1E;Lo;0;L;7FBD;;;;N;;;;;
        "\uFA1F",  # ;CJK COMPATIBILITY IDEOGRAPH-FA1F;Lo;0;L;;;;;N;;;;;
        "\uFA20",  # ;CJK COMPATIBILITY IDEOGRAPH-FA20;Lo;0;L;8612;;;;N;;;;;
        "\uFA21",  # ;CJK COMPATIBILITY IDEOGRAPH-FA21;Lo;0;L;;;;;N;;;;;
        "\uFA22",  # ;CJK COMPATIBILITY IDEOGRAPH-FA22;Lo;0;L;8AF8;;;;N;;;;;
        "\uFA23",  # ;CJK COMPATIBILITY IDEOGRAPH-FA23;Lo;0;L;;;;;N;;;;;
        "\uFA24",  # ;CJK COMPATIBILITY IDEOGRAPH-FA24;Lo;0;L;;;;;N;;;;;
        "\uFA25",  # ;CJK COMPATIBILITY IDEOGRAPH-FA25;Lo;0;L;9038;;;;N;;;;;
        "\uFA26",  # ;CJK COMPATIBILITY IDEOGRAPH-FA26;Lo;0;L;90FD;;;;N;;;;;
        "\uFA27",  # ;CJK COMPATIBILITY IDEOGRAPH-FA27;Lo;0;L;;;;;N;;;;;
        "\uFA28",  # ;CJK COMPATIBILITY IDEOGRAPH-FA28;Lo;0;L;;;;;N;;;;;
        "\uFA29",  # ;CJK COMPATIBILITY IDEOGRAPH-FA29;Lo;0;L;;;;;N;;;;;
        "\uFA2A",  # ;CJK COMPATIBILITY IDEOGRAPH-FA2A;Lo;0;L;98EF;;;;N;;;;;
        "\uFA2B",  # ;CJK COMPATIBILITY IDEOGRAPH-FA2B;Lo;0;L;98FC;;;;N;;;;;
        "\uFA2C",  # ;CJK COMPATIBILITY IDEOGRAPH-FA2C;Lo;0;L;9928;;;;N;;;;;
        "\uFA2D",  # ;CJK COMPATIBILITY IDEOGRAPH-FA2D;Lo;0;L;9DB4;;;;N;;;;;
        "\uFA2E",  # ;CJK COMPATIBILITY IDEOGRAPH-FA2E;Lo;0;L;90DE;;;;N;;;;;
        "\uFA2F",  # ;CJK COMPATIBILITY IDEOGRAPH-FA2F;Lo;0;L;96B7;;;;N;;;;;
        "\uFA30",  # ;CJK COMPATIBILITY IDEOGRAPH-FA30;Lo;0;L;4FAE;;;;N;;;;;
        "\uFA31",  # ;CJK COMPATIBILITY IDEOGRAPH-FA31;Lo;0;L;50E7;;;;N;;;;;
        "\uFA32",  # ;CJK COMPATIBILITY IDEOGRAPH-FA32;Lo;0;L;514D;;;;N;;;;;
        "\uFA33",  # ;CJK COMPATIBILITY IDEOGRAPH-FA33;Lo;0;L;52C9;;;;N;;;;;
        "\uFA34",  # ;CJK COMPATIBILITY IDEOGRAPH-FA34;Lo;0;L;52E4;;;;N;;;;;
        "\uFA35",  # ;CJK COMPATIBILITY IDEOGRAPH-FA35;Lo;0;L;5351;;;;N;;;;;
        "\uFA36",  # ;CJK COMPATIBILITY IDEOGRAPH-FA36;Lo;0;L;559D;;;;N;;;;;
        "\uFA37",  # ;CJK COMPATIBILITY IDEOGRAPH-FA37;Lo;0;L;5606;;;;N;;;;;
        "\uFA38",  # ;CJK COMPATIBILITY IDEOGRAPH-FA38;Lo;0;L;5668;;;;N;;;;;
        "\uFA39",  # ;CJK COMPATIBILITY IDEOGRAPH-FA39;Lo;0;L;5840;;;;N;;;;;
        "\uFA3A",  # ;CJK COMPATIBILITY IDEOGRAPH-FA3A;Lo;0;L;58A8;;;;N;;;;;
        "\uFA3B",  # ;CJK COMPATIBILITY IDEOGRAPH-FA3B;Lo;0;L;5C64;;;;N;;;;;
        "\uFA3C",  # ;CJK COMPATIBILITY IDEOGRAPH-FA3C;Lo;0;L;5C6E;;;;N;;;;;
        "\uFA3D",  # ;CJK COMPATIBILITY IDEOGRAPH-FA3D;Lo;0;L;6094;;;;N;;;;;
        "\uFA3E",  # ;CJK COMPATIBILITY IDEOGRAPH-FA3E;Lo;0;L;6168;;;;N;;;;;
        "\uFA3F",  # ;CJK COMPATIBILITY IDEOGRAPH-FA3F;Lo;0;L;618E;;;;N;;;;;
        "\uFA40",  # ;CJK COMPATIBILITY IDEOGRAPH-FA40;Lo;0;L;61F2;;;;N;;;;;
        "\uFA41",  # ;CJK COMPATIBILITY IDEOGRAPH-FA41;Lo;0;L;654F;;;;N;;;;;
        "\uFA42",  # ;CJK COMPATIBILITY IDEOGRAPH-FA42;Lo;0;L;65E2;;;;N;;;;;
        "\uFA43",  # ;CJK COMPATIBILITY IDEOGRAPH-FA43;Lo;0;L;6691;;;;N;;;;;
        "\uFA44",  # ;CJK COMPATIBILITY IDEOGRAPH-FA44;Lo;0;L;6885;;;;N;;;;;
        "\uFA45",  # ;CJK COMPATIBILITY IDEOGRAPH-FA45;Lo;0;L;6D77;;;;N;;;;;
        "\uFA46",  # ;CJK COMPATIBILITY IDEOGRAPH-FA46;Lo;0;L;6E1A;;;;N;;;;;
        "\uFA47",  # ;CJK COMPATIBILITY IDEOGRAPH-FA47;Lo;0;L;6F22;;;;N;;;;;
        "\uFA48",  # ;CJK COMPATIBILITY IDEOGRAPH-FA48;Lo;0;L;716E;;;;N;;;;;
        "\uFA49",  # ;CJK COMPATIBILITY IDEOGRAPH-FA49;Lo;0;L;722B;;;;N;;;;;
        "\uFA4A",  # ;CJK COMPATIBILITY IDEOGRAPH-FA4A;Lo;0;L;7422;;;;N;;;;;
        "\uFA4B",  # ;CJK COMPATIBILITY IDEOGRAPH-FA4B;Lo;0;L;7891;;;;N;;;;;
        "\uFA4C",  # ;CJK COMPATIBILITY IDEOGRAPH-FA4C;Lo;0;L;793E;;;;N;;;;;
        "\uFA4D",  # ;CJK COMPATIBILITY IDEOGRAPH-FA4D;Lo;0;L;7949;;;;N;;;;;
        "\uFA4E",  # ;CJK COMPATIBILITY IDEOGRAPH-FA4E;Lo;0;L;7948;;;;N;;;;;
        "\uFA4F",  # ;CJK COMPATIBILITY IDEOGRAPH-FA4F;Lo;0;L;7950;;;;N;;;;;
        "\uFA50",  # ;CJK COMPATIBILITY IDEOGRAPH-FA50;Lo;0;L;7956;;;;N;;;;;
        "\uFA51",  # ;CJK COMPATIBILITY IDEOGRAPH-FA51;Lo;0;L;795D;;;;N;;;;;
        "\uFA52",  # ;CJK COMPATIBILITY IDEOGRAPH-FA52;Lo;0;L;798D;;;;N;;;;;
        "\uFA53",  # ;CJK COMPATIBILITY IDEOGRAPH-FA53;Lo;0;L;798E;;;;N;;;;;
        "\uFA54",  # ;CJK COMPATIBILITY IDEOGRAPH-FA54;Lo;0;L;7A40;;;;N;;;;;
        "\uFA55",  # ;CJK COMPATIBILITY IDEOGRAPH-FA55;Lo;0;L;7A81;;;;N;;;;;
        "\uFA56",  # ;CJK COMPATIBILITY IDEOGRAPH-FA56;Lo;0;L;7BC0;;;;N;;;;;
        "\uFA57",  # ;CJK COMPATIBILITY IDEOGRAPH-FA57;Lo;0;L;7DF4;;;;N;;;;;
        "\uFA58",  # ;CJK COMPATIBILITY IDEOGRAPH-FA58;Lo;0;L;7E09;;;;N;;;;;
        "\uFA59",  # ;CJK COMPATIBILITY IDEOGRAPH-FA59;Lo;0;L;7E41;;;;N;;;;;
        "\uFA5A",  # ;CJK COMPATIBILITY IDEOGRAPH-FA5A;Lo;0;L;7F72;;;;N;;;;;
        "\uFA5B",  # ;CJK COMPATIBILITY IDEOGRAPH-FA5B;Lo;0;L;8005;;;;N;;;;;
        "\uFA5C",  # ;CJK COMPATIBILITY IDEOGRAPH-FA5C;Lo;0;L;81ED;;;;N;;;;;
        "\uFA5D",  # ;CJK COMPATIBILITY IDEOGRAPH-FA5D;Lo;0;L;8279;;;;N;;;;;
        "\uFA5E",  # ;CJK COMPATIBILITY IDEOGRAPH-FA5E;Lo;0;L;8279;;;;N;;;;;
        "\uFA5F",  # ;CJK COMPATIBILITY IDEOGRAPH-FA5F;Lo;0;L;8457;;;;N;;;;;
        "\uFA60",  # ;CJK COMPATIBILITY IDEOGRAPH-FA60;Lo;0;L;8910;;;;N;;;;;
        "\uFA61",  # ;CJK COMPATIBILITY IDEOGRAPH-FA61;Lo;0;L;8996;;;;N;;;;;
        "\uFA62",  # ;CJK COMPATIBILITY IDEOGRAPH-FA62;Lo;0;L;8B01;;;;N;;;;;
        "\uFA63",  # ;CJK COMPATIBILITY IDEOGRAPH-FA63;Lo;0;L;8B39;;;;N;;;;;
        "\uFA64",  # ;CJK COMPATIBILITY IDEOGRAPH-FA64;Lo;0;L;8CD3;;;;N;;;;;
        "\uFA65",  # ;CJK COMPATIBILITY IDEOGRAPH-FA65;Lo;0;L;8D08;;;;N;;;;;
        "\uFA66",  # ;CJK COMPATIBILITY IDEOGRAPH-FA66;Lo;0;L;8FB6;;;;N;;;;;
        "\uFA67",  # ;CJK COMPATIBILITY IDEOGRAPH-FA67;Lo;0;L;9038;;;;N;;;;;
        "\uFA68",  # ;CJK COMPATIBILITY IDEOGRAPH-FA68;Lo;0;L;96E3;;;;N;;;;;
        "\uFA69",  # ;CJK COMPATIBILITY IDEOGRAPH-FA69;Lo;0;L;97FF;;;;N;;;;;
        "\uFA6A",  # ;CJK COMPATIBILITY IDEOGRAPH-FA6A;Lo;0;L;983B;;;;N;;;;;
        "\uFA6B",  # ;CJK COMPATIBILITY IDEOGRAPH-FA6B;Lo;0;L;6075;;;;N;;;;;
        "\uFA6C",  # ;CJK COMPATIBILITY IDEOGRAPH-FA6C;Lo;0;L;242EE;;;;N;;;;;
        "\uFA6D",  # ;CJK COMPATIBILITY IDEOGRAPH-FA6D;Lo;0;L;8218;;;;N;;;;;
        "\uFA70",  # ;CJK COMPATIBILITY IDEOGRAPH-FA70;Lo;0;L;4E26;;;;N;;;;;
        "\uFA71",  # ;CJK COMPATIBILITY IDEOGRAPH-FA71;Lo;0;L;51B5;;;;N;;;;;
        "\uFA72",  # ;CJK COMPATIBILITY IDEOGRAPH-FA72;Lo;0;L;5168;;;;N;;;;;
        "\uFA73",  # ;CJK COMPATIBILITY IDEOGRAPH-FA73;Lo;0;L;4F80;;;;N;;;;;
        "\uFA74",  # ;CJK COMPATIBILITY IDEOGRAPH-FA74;Lo;0;L;5145;;;;N;;;;;
        "\uFA75",  # ;CJK COMPATIBILITY IDEOGRAPH-FA75;Lo;0;L;5180;;;;N;;;;;
        "\uFA76",  # ;CJK COMPATIBILITY IDEOGRAPH-FA76;Lo;0;L;52C7;;;;N;;;;;
        "\uFA77",  # ;CJK COMPATIBILITY IDEOGRAPH-FA77;Lo;0;L;52FA;;;;N;;;;;
        "\uFA78",  # ;CJK COMPATIBILITY IDEOGRAPH-FA78;Lo;0;L;559D;;;;N;;;;;
        "\uFA79",  # ;CJK COMPATIBILITY IDEOGRAPH-FA79;Lo;0;L;5555;;;;N;;;;;
        "\uFA7A",  # ;CJK COMPATIBILITY IDEOGRAPH-FA7A;Lo;0;L;5599;;;;N;;;;;
        "\uFA7B",  # ;CJK COMPATIBILITY IDEOGRAPH-FA7B;Lo;0;L;55E2;;;;N;;;;;
        "\uFA7C",  # ;CJK COMPATIBILITY IDEOGRAPH-FA7C;Lo;0;L;585A;;;;N;;;;;
        "\uFA7D",  # ;CJK COMPATIBILITY IDEOGRAPH-FA7D;Lo;0;L;58B3;;;;N;;;;;
        "\uFA7E",  # ;CJK COMPATIBILITY IDEOGRAPH-FA7E;Lo;0;L;5944;;;;N;;;;;
        "\uFA7F",  # ;CJK COMPATIBILITY IDEOGRAPH-FA7F;Lo;0;L;5954;;;;N;;;;;
        "\uFA80",  # ;CJK COMPATIBILITY IDEOGRAPH-FA80;Lo;0;L;5A62;;;;N;;;;;
        "\uFA81",  # ;CJK COMPATIBILITY IDEOGRAPH-FA81;Lo;0;L;5B28;;;;N;;;;;
        "\uFA82",  # ;CJK COMPATIBILITY IDEOGRAPH-FA82;Lo;0;L;5ED2;;;;N;;;;;
        "\uFA83",  # ;CJK COMPATIBILITY IDEOGRAPH-FA83;Lo;0;L;5ED9;;;;N;;;;;
        "\uFA84",  # ;CJK COMPATIBILITY IDEOGRAPH-FA84;Lo;0;L;5F69;;;;N;;;;;
        "\uFA85",  # ;CJK COMPATIBILITY IDEOGRAPH-FA85;Lo;0;L;5FAD;;;;N;;;;;
        "\uFA86",  # ;CJK COMPATIBILITY IDEOGRAPH-FA86;Lo;0;L;60D8;;;;N;;;;;
        "\uFA87",  # ;CJK COMPATIBILITY IDEOGRAPH-FA87;Lo;0;L;614E;;;;N;;;;;
        "\uFA88",  # ;CJK COMPATIBILITY IDEOGRAPH-FA88;Lo;0;L;6108;;;;N;;;;;
        "\uFA89",  # ;CJK COMPATIBILITY IDEOGRAPH-FA89;Lo;0;L;618E;;;;N;;;;;
        "\uFA8A",  # ;CJK COMPATIBILITY IDEOGRAPH-FA8A;Lo;0;L;6160;;;;N;;;;;
        "\uFA8B",  # ;CJK COMPATIBILITY IDEOGRAPH-FA8B;Lo;0;L;61F2;;;;N;;;;;
        "\uFA8C",  # ;CJK COMPATIBILITY IDEOGRAPH-FA8C;Lo;0;L;6234;;;;N;;;;;
        "\uFA8D",  # ;CJK COMPATIBILITY IDEOGRAPH-FA8D;Lo;0;L;63C4;;;;N;;;;;
        "\uFA8E",  # ;CJK COMPATIBILITY IDEOGRAPH-FA8E;Lo;0;L;641C;;;;N;;;;;
        "\uFA8F",  # ;CJK COMPATIBILITY IDEOGRAPH-FA8F;Lo;0;L;6452;;;;N;;;;;
        "\uFA90",  # ;CJK COMPATIBILITY IDEOGRAPH-FA90;Lo;0;L;6556;;;;N;;;;;
        "\uFA91",  # ;CJK COMPATIBILITY IDEOGRAPH-FA91;Lo;0;L;6674;;;;N;;;;;
        "\uFA92",  # ;CJK COMPATIBILITY IDEOGRAPH-FA92;Lo;0;L;6717;;;;N;;;;;
        "\uFA93",  # ;CJK COMPATIBILITY IDEOGRAPH-FA93;Lo;0;L;671B;;;;N;;;;;
        "\uFA94",  # ;CJK COMPATIBILITY IDEOGRAPH-FA94;Lo;0;L;6756;;;;N;;;;;
        "\uFA95",  # ;CJK COMPATIBILITY IDEOGRAPH-FA95;Lo;0;L;6B79;;;;N;;;;;
        "\uFA96",  # ;CJK COMPATIBILITY IDEOGRAPH-FA96;Lo;0;L;6BBA;;;;N;;;;;
        "\uFA97",  # ;CJK COMPATIBILITY IDEOGRAPH-FA97;Lo;0;L;6D41;;;;N;;;;;
        "\uFA98",  # ;CJK COMPATIBILITY IDEOGRAPH-FA98;Lo;0;L;6EDB;;;;N;;;;;
        "\uFA99",  # ;CJK COMPATIBILITY IDEOGRAPH-FA99;Lo;0;L;6ECB;;;;N;;;;;
        "\uFA9A",  # ;CJK COMPATIBILITY IDEOGRAPH-FA9A;Lo;0;L;6F22;;;;N;;;;;
        "\uFA9B",  # ;CJK COMPATIBILITY IDEOGRAPH-FA9B;Lo;0;L;701E;;;;N;;;;;
        "\uFA9C",  # ;CJK COMPATIBILITY IDEOGRAPH-FA9C;Lo;0;L;716E;;;;N;;;;;
        "\uFA9D",  # ;CJK COMPATIBILITY IDEOGRAPH-FA9D;Lo;0;L;77A7;;;;N;;;;;
        "\uFA9E",  # ;CJK COMPATIBILITY IDEOGRAPH-FA9E;Lo;0;L;7235;;;;N;;;;;
        "\uFA9F",  # ;CJK COMPATIBILITY IDEOGRAPH-FA9F;Lo;0;L;72AF;;;;N;;;;;
        "\uFAA0",  # ;CJK COMPATIBILITY IDEOGRAPH-FAA0;Lo;0;L;732A;;;;N;;;;;
        "\uFAA1",  # ;CJK COMPATIBILITY IDEOGRAPH-FAA1;Lo;0;L;7471;;;;N;;;;;
        "\uFAA2",  # ;CJK COMPATIBILITY IDEOGRAPH-FAA2;Lo;0;L;7506;;;;N;;;;;
        "\uFAA3",  # ;CJK COMPATIBILITY IDEOGRAPH-FAA3;Lo;0;L;753B;;;;N;;;;;
        "\uFAA4",  # ;CJK COMPATIBILITY IDEOGRAPH-FAA4;Lo;0;L;761D;;;;N;;;;;
        "\uFAA5",  # ;CJK COMPATIBILITY IDEOGRAPH-FAA5;Lo;0;L;761F;;;;N;;;;;
        "\uFAA6",  # ;CJK COMPATIBILITY IDEOGRAPH-FAA6;Lo;0;L;76CA;;;;N;;;;;
        "\uFAA7",  # ;CJK COMPATIBILITY IDEOGRAPH-FAA7;Lo;0;L;76DB;;;;N;;;;;
        "\uFAA8",  # ;CJK COMPATIBILITY IDEOGRAPH-FAA8;Lo;0;L;76F4;;;;N;;;;;
        "\uFAA9",  # ;CJK COMPATIBILITY IDEOGRAPH-FAA9;Lo;0;L;774A;;;;N;;;;;
        "\uFAAA",  # ;CJK COMPATIBILITY IDEOGRAPH-FAAA;Lo;0;L;7740;;;;N;;;;;
        "\uFAAB",  # ;CJK COMPATIBILITY IDEOGRAPH-FAAB;Lo;0;L;78CC;;;;N;;;;;
        "\uFAAC",  # ;CJK COMPATIBILITY IDEOGRAPH-FAAC;Lo;0;L;7AB1;;;;N;;;;;
        "\uFAAD",  # ;CJK COMPATIBILITY IDEOGRAPH-FAAD;Lo;0;L;7BC0;;;;N;;;;;
        "\uFAAE",  # ;CJK COMPATIBILITY IDEOGRAPH-FAAE;Lo;0;L;7C7B;;;;N;;;;;
        "\uFAAF",  # ;CJK COMPATIBILITY IDEOGRAPH-FAAF;Lo;0;L;7D5B;;;;N;;;;;
        "\uFAB0",  # ;CJK COMPATIBILITY IDEOGRAPH-FAB0;Lo;0;L;7DF4;;;;N;;;;;
        "\uFAB1",  # ;CJK COMPATIBILITY IDEOGRAPH-FAB1;Lo;0;L;7F3E;;;;N;;;;;
        "\uFAB2",  # ;CJK COMPATIBILITY IDEOGRAPH-FAB2;Lo;0;L;8005;;;;N;;;;;
        "\uFAB3",  # ;CJK COMPATIBILITY IDEOGRAPH-FAB3;Lo;0;L;8352;;;;N;;;;;
        "\uFAB4",  # ;CJK COMPATIBILITY IDEOGRAPH-FAB4;Lo;0;L;83EF;;;;N;;;;;
        "\uFAB5",  # ;CJK COMPATIBILITY IDEOGRAPH-FAB5;Lo;0;L;8779;;;;N;;;;;
        "\uFAB6",  # ;CJK COMPATIBILITY IDEOGRAPH-FAB6;Lo;0;L;8941;;;;N;;;;;
        "\uFAB7",  # ;CJK COMPATIBILITY IDEOGRAPH-FAB7;Lo;0;L;8986;;;;N;;;;;
        "\uFAB8",  # ;CJK COMPATIBILITY IDEOGRAPH-FAB8;Lo;0;L;8996;;;;N;;;;;
        "\uFAB9",  # ;CJK COMPATIBILITY IDEOGRAPH-FAB9;Lo;0;L;8ABF;;;;N;;;;;
        "\uFABA",  # ;CJK COMPATIBILITY IDEOGRAPH-FABA;Lo;0;L;8AF8;;;;N;;;;;
        "\uFABB",  # ;CJK COMPATIBILITY IDEOGRAPH-FABB;Lo;0;L;8ACB;;;;N;;;;;
        "\uFABC",  # ;CJK COMPATIBILITY IDEOGRAPH-FABC;Lo;0;L;8B01;;;;N;;;;;
        "\uFABD",  # ;CJK COMPATIBILITY IDEOGRAPH-FABD;Lo;0;L;8AFE;;;;N;;;;;
        "\uFABE",  # ;CJK COMPATIBILITY IDEOGRAPH-FABE;Lo;0;L;8AED;;;;N;;;;;
        "\uFABF",  # ;CJK COMPATIBILITY IDEOGRAPH-FABF;Lo;0;L;8B39;;;;N;;;;;
        "\uFAC0",  # ;CJK COMPATIBILITY IDEOGRAPH-FAC0;Lo;0;L;8B8A;;;;N;;;;;
        "\uFAC1",  # ;CJK COMPATIBILITY IDEOGRAPH-FAC1;Lo;0;L;8D08;;;;N;;;;;
        "\uFAC2",  # ;CJK COMPATIBILITY IDEOGRAPH-FAC2;Lo;0;L;8F38;;;;N;;;;;
        "\uFAC3",  # ;CJK COMPATIBILITY IDEOGRAPH-FAC3;Lo;0;L;9072;;;;N;;;;;
        "\uFAC4",  # ;CJK COMPATIBILITY IDEOGRAPH-FAC4;Lo;0;L;9199;;;;N;;;;;
        "\uFAC5",  # ;CJK COMPATIBILITY IDEOGRAPH-FAC5;Lo;0;L;9276;;;;N;;;;;
        "\uFAC6",  # ;CJK COMPATIBILITY IDEOGRAPH-FAC6;Lo;0;L;967C;;;;N;;;;;
        "\uFAC7",  # ;CJK COMPATIBILITY IDEOGRAPH-FAC7;Lo;0;L;96E3;;;;N;;;;;
        "\uFAC8",  # ;CJK COMPATIBILITY IDEOGRAPH-FAC8;Lo;0;L;9756;;;;N;;;;;
        "\uFAC9",  # ;CJK COMPATIBILITY IDEOGRAPH-FAC9;Lo;0;L;97DB;;;;N;;;;;
        "\uFACA",  # ;CJK COMPATIBILITY IDEOGRAPH-FACA;Lo;0;L;97FF;;;;N;;;;;
        "\uFACB",  # ;CJK COMPATIBILITY IDEOGRAPH-FACB;Lo;0;L;980B;;;;N;;;;;
        "\uFACC",  # ;CJK COMPATIBILITY IDEOGRAPH-FACC;Lo;0;L;983B;;;;N;;;;;
        "\uFACD",  # ;CJK COMPATIBILITY IDEOGRAPH-FACD;Lo;0;L;9B12;;;;N;;;;;
        "\uFACE",  # ;CJK COMPATIBILITY IDEOGRAPH-FACE;Lo;0;L;9F9C;;;;N;;;;;
        "\uFACF",  # ;CJK COMPATIBILITY IDEOGRAPH-FACF;Lo;0;L;2284A;;;;N;;;;;
        "\uFAD0",  # ;CJK COMPATIBILITY IDEOGRAPH-FAD0;Lo;0;L;22844;;;;N;;;;;
        "\uFAD1",  # ;CJK COMPATIBILITY IDEOGRAPH-FAD1;Lo;0;L;233D5;;;;N;;;;;
        "\uFAD2",  # ;CJK COMPATIBILITY IDEOGRAPH-FAD2;Lo;0;L;3B9D;;;;N;;;;;
        "\uFAD3",  # ;CJK COMPATIBILITY IDEOGRAPH-FAD3;Lo;0;L;4018;;;;N;;;;;
        "\uFAD4",  # ;CJK COMPATIBILITY IDEOGRAPH-FAD4;Lo;0;L;4039;;;;N;;;;;
        "\uFAD5",  # ;CJK COMPATIBILITY IDEOGRAPH-FAD5;Lo;0;L;25249;;;;N;;;;;
        "\uFAD6",  # ;CJK COMPATIBILITY IDEOGRAPH-FAD6;Lo;0;L;25CD0;;;;N;;;;;
        "\uFAD7",  # ;CJK COMPATIBILITY IDEOGRAPH-FAD7;Lo;0;L;27ED3;;;;N;;;;;
        "\uFAD8",  # ;CJK COMPATIBILITY IDEOGRAPH-FAD8;Lo;0;L;9F43;;;;N;;;;;
        "\uFAD9",  # ;CJK COMPATIBILITY IDEOGRAPH-FAD9;Lo;0;L;9F8E;;;;N;;;;;
        "\uFB00",  # ;LATIN SMALL LIGATURE FF;Ll;0;L;<compat> 0066 0066;;;;N;;;;;
        "\uFB01",  # ;LATIN SMALL LIGATURE FI;Ll;0;L;<compat> 0066 0069;;;;N;;;;;
        "\uFB02",  # ;LATIN SMALL LIGATURE FL;Ll;0;L;<compat> 0066 006C;;;;N;;;;;
        "\uFB03",  # ;LATIN SMALL LIGATURE FFI;Ll;0;L;<compat> 0066 0066 0069;;;;N;;;;;
        "\uFB04",  # ;LATIN SMALL LIGATURE FFL;Ll;0;L;<compat> 0066 0066 006C;;;;N;;;;;
        "\uFB05",  # ;LATIN SMALL LIGATURE LONG S T;Ll;0;L;<compat> 017F 0074;;;;N;;;;;
        "\uFB06",  # ;LATIN SMALL LIGATURE ST;Ll;0;L;<compat> 0073 0074;;;;N;;;;;
        "\uFB13",  # ;ARMENIAN SMALL LIGATURE MEN NOW;Ll;0;L;<compat> 0574 0576;;;;N;;;;;
        "\uFB14",  # ;ARMENIAN SMALL LIGATURE MEN ECH;Ll;0;L;<compat> 0574 0565;;;;N;;;;;
        "\uFB15",  # ;ARMENIAN SMALL LIGATURE MEN INI;Ll;0;L;<compat> 0574 056B;;;;N;;;;;
        "\uFB16",  # ;ARMENIAN SMALL LIGATURE VEW NOW;Ll;0;L;<compat> 057E 0576;;;;N;;;;;
        "\uFB17",  # ;ARMENIAN SMALL LIGATURE MEN XEH;Ll;0;L;<compat> 0574 056D;;;;N;;;;;
        "\uFB1D",  # ;HEBREW LETTER YOD WITH HIRIQ;Lo;0;R;05D9 05B4;;;;N;;;;;
        "\uFB1E",  # ;HEBREW POINT JUDEO-SPANISH VARIKA;Mn;26;NSM;;;;;N;HEBREW POINT VARIKA;;;;
        "\uFB1F",  # ;HEBREW LIGATURE YIDDISH YOD YOD PATAH;Lo;0;R;05F2 05B7;;;;N;;;;;
        "\uFB20",  # ;HEBREW LETTER ALTERNATIVE AYIN;Lo;0;R;<font> 05E2;;;;N;;;;;
        "\uFB21",  # ;HEBREW LETTER WIDE ALEF;Lo;0;R;<font> 05D0;;;;N;;;;;
        "\uFB22",  # ;HEBREW LETTER WIDE DALET;Lo;0;R;<font> 05D3;;;;N;;;;;
        "\uFB23",  # ;HEBREW LETTER WIDE HE;Lo;0;R;<font> 05D4;;;;N;;;;;
        "\uFB24",  # ;HEBREW LETTER WIDE KAF;Lo;0;R;<font> 05DB;;;;N;;;;;
        "\uFB25",  # ;HEBREW LETTER WIDE LAMED;Lo;0;R;<font> 05DC;;;;N;;;;;
        "\uFB26",  # ;HEBREW LETTER WIDE FINAL MEM;Lo;0;R;<font> 05DD;;;;N;;;;;
        "\uFB27",  # ;HEBREW LETTER WIDE RESH;Lo;0;R;<font> 05E8;;;;N;;;;;
        "\uFB28",  # ;HEBREW LETTER WIDE TAV;Lo;0;R;<font> 05EA;;;;N;;;;;
        "\uFB29",  # ;HEBREW LETTER ALTERNATIVE PLUS SIGN;Sm;0;ES;<font> 002B;;;;N;;;;;
        "\uFB2A",  # ;HEBREW LETTER SHIN WITH SHIN DOT;Lo;0;R;05E9 05C1;;;;N;;;;;
        "\uFB2B",  # ;HEBREW LETTER SHIN WITH SIN DOT;Lo;0;R;05E9 05C2;;;;N;;;;;
        "\uFB2C",  # ;HEBREW LETTER SHIN WITH DAGESH AND SHIN DOT;Lo;0;R;FB49 05C1;;;;N;;;;;
        "\uFB2D",  # ;HEBREW LETTER SHIN WITH DAGESH AND SIN DOT;Lo;0;R;FB49 05C2;;;;N;;;;;
        "\uFB2E",  # ;HEBREW LETTER ALEF WITH PATAH;Lo;0;R;05D0 05B7;;;;N;;;;;
        "\uFB2F",  # ;HEBREW LETTER ALEF WITH QAMATS;Lo;0;R;05D0 05B8;;;;N;;;;;
        "\uFB30",  # ;HEBREW LETTER ALEF WITH MAPIQ;Lo;0;R;05D0 05BC;;;;N;;;;;
        "\uFB31",  # ;HEBREW LETTER BET WITH DAGESH;Lo;0;R;05D1 05BC;;;;N;;;;;
        "\uFB32",  # ;HEBREW LETTER GIMEL WITH DAGESH;Lo;0;R;05D2 05BC;;;;N;;;;;
        "\uFB33",  # ;HEBREW LETTER DALET WITH DAGESH;Lo;0;R;05D3 05BC;;;;N;;;;;
        "\uFB34",  # ;HEBREW LETTER HE WITH MAPIQ;Lo;0;R;05D4 05BC;;;;N;;;;;
        "\uFB35",  # ;HEBREW LETTER VAV WITH DAGESH;Lo;0;R;05D5 05BC;;;;N;;;;;
        "\uFB36",  # ;HEBREW LETTER ZAYIN WITH DAGESH;Lo;0;R;05D6 05BC;;;;N;;;;;
        "\uFB38",  # ;HEBREW LETTER TET WITH DAGESH;Lo;0;R;05D8 05BC;;;;N;;;;;
        "\uFB39",  # ;HEBREW LETTER YOD WITH DAGESH;Lo;0;R;05D9 05BC;;;;N;;;;;
        "\uFB3A",  # ;HEBREW LETTER FINAL KAF WITH DAGESH;Lo;0;R;05DA 05BC;;;;N;;;;;
        "\uFB3B",  # ;HEBREW LETTER KAF WITH DAGESH;Lo;0;R;05DB 05BC;;;;N;;;;;
        "\uFB3C",  # ;HEBREW LETTER LAMED WITH DAGESH;Lo;0;R;05DC 05BC;;;;N;;;;;
        "\uFB3E",  # ;HEBREW LETTER MEM WITH DAGESH;Lo;0;R;05DE 05BC;;;;N;;;;;
        "\uFB40",  # ;HEBREW LETTER NUN WITH DAGESH;Lo;0;R;05E0 05BC;;;;N;;;;;
        "\uFB41",  # ;HEBREW LETTER SAMEKH WITH DAGESH;Lo;0;R;05E1 05BC;;;;N;;;;;
        "\uFB43",  # ;HEBREW LETTER FINAL PE WITH DAGESH;Lo;0;R;05E3 05BC;;;;N;;;;;
        "\uFB44",  # ;HEBREW LETTER PE WITH DAGESH;Lo;0;R;05E4 05BC;;;;N;;;;;
        "\uFB46",  # ;HEBREW LETTER TSADI WITH DAGESH;Lo;0;R;05E6 05BC;;;;N;;;;;
        "\uFB47",  # ;HEBREW LETTER QOF WITH DAGESH;Lo;0;R;05E7 05BC;;;;N;;;;;
        "\uFB48",  # ;HEBREW LETTER RESH WITH DAGESH;Lo;0;R;05E8 05BC;;;;N;;;;;
        "\uFB49",  # ;HEBREW LETTER SHIN WITH DAGESH;Lo;0;R;05E9 05BC;;;;N;;;;;
        "\uFB4A",  # ;HEBREW LETTER TAV WITH DAGESH;Lo;0;R;05EA 05BC;;;;N;;;;;
        "\uFB4B",  # ;HEBREW LETTER VAV WITH HOLAM;Lo;0;R;05D5 05B9;;;;N;;;;;
        "\uFB4C",  # ;HEBREW LETTER BET WITH RAFE;Lo;0;R;05D1 05BF;;;;N;;;;;
        "\uFB4D",  # ;HEBREW LETTER KAF WITH RAFE;Lo;0;R;05DB 05BF;;;;N;;;;;
        "\uFB4E",  # ;HEBREW LETTER PE WITH RAFE;Lo;0;R;05E4 05BF;;;;N;;;;;
        "\uFB4F",  # ;HEBREW LIGATURE ALEF LAMED;Lo;0;R;<compat> 05D0 05DC;;;;N;;;;;
        "\uFB50",  # ;ARABIC LETTER ALEF WASLA ISOLATED FORM;Lo;0;AL;<isolated> 0671;;;;N;;;;;
        "\uFB51",  # ;ARABIC LETTER ALEF WASLA FINAL FORM;Lo;0;AL;<final> 0671;;;;N;;;;;
        "\uFB52",  # ;ARABIC LETTER BEEH ISOLATED FORM;Lo;0;AL;<isolated> 067B;;;;N;;;;;
        "\uFB53",  # ;ARABIC LETTER BEEH FINAL FORM;Lo;0;AL;<final> 067B;;;;N;;;;;
        "\uFB54",  # ;ARABIC LETTER BEEH INITIAL FORM;Lo;0;AL;<initial> 067B;;;;N;;;;;
        "\uFB55",  # ;ARABIC LETTER BEEH MEDIAL FORM;Lo;0;AL;<medial> 067B;;;;N;;;;;
        "\uFB56",  # ;ARABIC LETTER PEH ISOLATED FORM;Lo;0;AL;<isolated> 067E;;;;N;;;;;
        "\uFB57",  # ;ARABIC LETTER PEH FINAL FORM;Lo;0;AL;<final> 067E;;;;N;;;;;
        "\uFB58",  # ;ARABIC LETTER PEH INITIAL FORM;Lo;0;AL;<initial> 067E;;;;N;;;;;
        "\uFB59",  # ;ARABIC LETTER PEH MEDIAL FORM;Lo;0;AL;<medial> 067E;;;;N;;;;;
        "\uFB5A",  # ;ARABIC LETTER BEHEH ISOLATED FORM;Lo;0;AL;<isolated> 0680;;;;N;;;;;
        "\uFB5B",  # ;ARABIC LETTER BEHEH FINAL FORM;Lo;0;AL;<final> 0680;;;;N;;;;;
        "\uFB5C",  # ;ARABIC LETTER BEHEH INITIAL FORM;Lo;0;AL;<initial> 0680;;;;N;;;;;
        "\uFB5D",  # ;ARABIC LETTER BEHEH MEDIAL FORM;Lo;0;AL;<medial> 0680;;;;N;;;;;
        "\uFB5E",  # ;ARABIC LETTER TTEHEH ISOLATED FORM;Lo;0;AL;<isolated> 067A;;;;N;;;;;
        "\uFB5F",  # ;ARABIC LETTER TTEHEH FINAL FORM;Lo;0;AL;<final> 067A;;;;N;;;;;
        "\uFB60",  # ;ARABIC LETTER TTEHEH INITIAL FORM;Lo;0;AL;<initial> 067A;;;;N;;;;;
        "\uFB61",  # ;ARABIC LETTER TTEHEH MEDIAL FORM;Lo;0;AL;<medial> 067A;;;;N;;;;;
        "\uFB62",  # ;ARABIC LETTER TEHEH ISOLATED FORM;Lo;0;AL;<isolated> 067F;;;;N;;;;;
        "\uFB63",  # ;ARABIC LETTER TEHEH FINAL FORM;Lo;0;AL;<final> 067F;;;;N;;;;;
        "\uFB64",  # ;ARABIC LETTER TEHEH INITIAL FORM;Lo;0;AL;<initial> 067F;;;;N;;;;;
        "\uFB65",  # ;ARABIC LETTER TEHEH MEDIAL FORM;Lo;0;AL;<medial> 067F;;;;N;;;;;
        "\uFB66",  # ;ARABIC LETTER TTEH ISOLATED FORM;Lo;0;AL;<isolated> 0679;;;;N;;;;;
        "\uFB67",  # ;ARABIC LETTER TTEH FINAL FORM;Lo;0;AL;<final> 0679;;;;N;;;;;
        "\uFB68",  # ;ARABIC LETTER TTEH INITIAL FORM;Lo;0;AL;<initial> 0679;;;;N;;;;;
        "\uFB69",  # ;ARABIC LETTER TTEH MEDIAL FORM;Lo;0;AL;<medial> 0679;;;;N;;;;;
        "\uFB6A",  # ;ARABIC LETTER VEH ISOLATED FORM;Lo;0;AL;<isolated> 06A4;;;;N;;;;;
        "\uFB6B",  # ;ARABIC LETTER VEH FINAL FORM;Lo;0;AL;<final> 06A4;;;;N;;;;;
        "\uFB6C",  # ;ARABIC LETTER VEH INITIAL FORM;Lo;0;AL;<initial> 06A4;;;;N;;;;;
        "\uFB6D",  # ;ARABIC LETTER VEH MEDIAL FORM;Lo;0;AL;<medial> 06A4;;;;N;;;;;
        "\uFB6E",  # ;ARABIC LETTER PEHEH ISOLATED FORM;Lo;0;AL;<isolated> 06A6;;;;N;;;;;
        "\uFB6F",  # ;ARABIC LETTER PEHEH FINAL FORM;Lo;0;AL;<final> 06A6;;;;N;;;;;
        "\uFB70",  # ;ARABIC LETTER PEHEH INITIAL FORM;Lo;0;AL;<initial> 06A6;;;;N;;;;;
        "\uFB71",  # ;ARABIC LETTER PEHEH MEDIAL FORM;Lo;0;AL;<medial> 06A6;;;;N;;;;;
        "\uFB72",  # ;ARABIC LETTER DYEH ISOLATED FORM;Lo;0;AL;<isolated> 0684;;;;N;;;;;
        "\uFB73",  # ;ARABIC LETTER DYEH FINAL FORM;Lo;0;AL;<final> 0684;;;;N;;;;;
        "\uFB74",  # ;ARABIC LETTER DYEH INITIAL FORM;Lo;0;AL;<initial> 0684;;;;N;;;;;
        "\uFB75",  # ;ARABIC LETTER DYEH MEDIAL FORM;Lo;0;AL;<medial> 0684;;;;N;;;;;
        "\uFB76",  # ;ARABIC LETTER NYEH ISOLATED FORM;Lo;0;AL;<isolated> 0683;;;;N;;;;;
        "\uFB77",  # ;ARABIC LETTER NYEH FINAL FORM;Lo;0;AL;<final> 0683;;;;N;;;;;
        "\uFB78",  # ;ARABIC LETTER NYEH INITIAL FORM;Lo;0;AL;<initial> 0683;;;;N;;;;;
        "\uFB79",  # ;ARABIC LETTER NYEH MEDIAL FORM;Lo;0;AL;<medial> 0683;;;;N;;;;;
        "\uFB7A",  # ;ARABIC LETTER TCHEH ISOLATED FORM;Lo;0;AL;<isolated> 0686;;;;N;;;;;
        "\uFB7B",  # ;ARABIC LETTER TCHEH FINAL FORM;Lo;0;AL;<final> 0686;;;;N;;;;;
        "\uFB7C",  # ;ARABIC LETTER TCHEH INITIAL FORM;Lo;0;AL;<initial> 0686;;;;N;;;;;
        "\uFB7D",  # ;ARABIC LETTER TCHEH MEDIAL FORM;Lo;0;AL;<medial> 0686;;;;N;;;;;
        "\uFB7E",  # ;ARABIC LETTER TCHEHEH ISOLATED FORM;Lo;0;AL;<isolated> 0687;;;;N;;;;;
        "\uFB7F",  # ;ARABIC LETTER TCHEHEH FINAL FORM;Lo;0;AL;<final> 0687;;;;N;;;;;
        "\uFB80",  # ;ARABIC LETTER TCHEHEH INITIAL FORM;Lo;0;AL;<initial> 0687;;;;N;;;;;
        "\uFB81",  # ;ARABIC LETTER TCHEHEH MEDIAL FORM;Lo;0;AL;<medial> 0687;;;;N;;;;;
        "\uFB82",  # ;ARABIC LETTER DDAHAL ISOLATED FORM;Lo;0;AL;<isolated> 068D;;;;N;;;;;
        "\uFB83",  # ;ARABIC LETTER DDAHAL FINAL FORM;Lo;0;AL;<final> 068D;;;;N;;;;;
        "\uFB84",  # ;ARABIC LETTER DAHAL ISOLATED FORM;Lo;0;AL;<isolated> 068C;;;;N;;;;;
        "\uFB85",  # ;ARABIC LETTER DAHAL FINAL FORM;Lo;0;AL;<final> 068C;;;;N;;;;;
        "\uFB86",  # ;ARABIC LETTER DUL ISOLATED FORM;Lo;0;AL;<isolated> 068E;;;;N;;;;;
        "\uFB87",  # ;ARABIC LETTER DUL FINAL FORM;Lo;0;AL;<final> 068E;;;;N;;;;;
        "\uFB88",  # ;ARABIC LETTER DDAL ISOLATED FORM;Lo;0;AL;<isolated> 0688;;;;N;;;;;
        "\uFB89",  # ;ARABIC LETTER DDAL FINAL FORM;Lo;0;AL;<final> 0688;;;;N;;;;;
        "\uFB8A",  # ;ARABIC LETTER JEH ISOLATED FORM;Lo;0;AL;<isolated> 0698;;;;N;;;;;
        "\uFB8B",  # ;ARABIC LETTER JEH FINAL FORM;Lo;0;AL;<final> 0698;;;;N;;;;;
        "\uFB8C",  # ;ARABIC LETTER RREH ISOLATED FORM;Lo;0;AL;<isolated> 0691;;;;N;;;;;
        "\uFB8D",  # ;ARABIC LETTER RREH FINAL FORM;Lo;0;AL;<final> 0691;;;;N;;;;;
        "\uFB8E",  # ;ARABIC LETTER KEHEH ISOLATED FORM;Lo;0;AL;<isolated> 06A9;;;;N;;;;;
        "\uFB8F",  # ;ARABIC LETTER KEHEH FINAL FORM;Lo;0;AL;<final> 06A9;;;;N;;;;;
        "\uFB90",  # ;ARABIC LETTER KEHEH INITIAL FORM;Lo;0;AL;<initial> 06A9;;;;N;;;;;
        "\uFB91",  # ;ARABIC LETTER KEHEH MEDIAL FORM;Lo;0;AL;<medial> 06A9;;;;N;;;;;
        "\uFB92",  # ;ARABIC LETTER GAF ISOLATED FORM;Lo;0;AL;<isolated> 06AF;;;;N;;;;;
        "\uFB93",  # ;ARABIC LETTER GAF FINAL FORM;Lo;0;AL;<final> 06AF;;;;N;;;;;
        "\uFB94",  # ;ARABIC LETTER GAF INITIAL FORM;Lo;0;AL;<initial> 06AF;;;;N;;;;;
        "\uFB95",  # ;ARABIC LETTER GAF MEDIAL FORM;Lo;0;AL;<medial> 06AF;;;;N;;;;;
        "\uFB96",  # ;ARABIC LETTER GUEH ISOLATED FORM;Lo;0;AL;<isolated> 06B3;;;;N;;;;;
        "\uFB97",  # ;ARABIC LETTER GUEH FINAL FORM;Lo;0;AL;<final> 06B3;;;;N;;;;;
        "\uFB98",  # ;ARABIC LETTER GUEH INITIAL FORM;Lo;0;AL;<initial> 06B3;;;;N;;;;;
        "\uFB99",  # ;ARABIC LETTER GUEH MEDIAL FORM;Lo;0;AL;<medial> 06B3;;;;N;;;;;
        "\uFB9A",  # ;ARABIC LETTER NGOEH ISOLATED FORM;Lo;0;AL;<isolated> 06B1;;;;N;;;;;
        "\uFB9B",  # ;ARABIC LETTER NGOEH FINAL FORM;Lo;0;AL;<final> 06B1;;;;N;;;;;
        "\uFB9C",  # ;ARABIC LETTER NGOEH INITIAL FORM;Lo;0;AL;<initial> 06B1;;;;N;;;;;
        "\uFB9D",  # ;ARABIC LETTER NGOEH MEDIAL FORM;Lo;0;AL;<medial> 06B1;;;;N;;;;;
        "\uFB9E",  # ;ARABIC LETTER NOON GHUNNA ISOLATED FORM;Lo;0;AL;<isolated> 06BA;;;;N;;;;;
        "\uFB9F",  # ;ARABIC LETTER NOON GHUNNA FINAL FORM;Lo;0;AL;<final> 06BA;;;;N;;;;;
        "\uFBA0",  # ;ARABIC LETTER RNOON ISOLATED FORM;Lo;0;AL;<isolated> 06BB;;;;N;;;;;
        "\uFBA1",  # ;ARABIC LETTER RNOON FINAL FORM;Lo;0;AL;<final> 06BB;;;;N;;;;;
        "\uFBA2",  # ;ARABIC LETTER RNOON INITIAL FORM;Lo;0;AL;<initial> 06BB;;;;N;;;;;
        "\uFBA3",  # ;ARABIC LETTER RNOON MEDIAL FORM;Lo;0;AL;<medial> 06BB;;;;N;;;;;
        "\uFBA4",  # ;ARABIC LETTER HEH WITH YEH ABOVE ISOLATED FORM;Lo;0;AL;<isolated> 06C0;;;;N;;;;;
        "\uFBA5",  # ;ARABIC LETTER HEH WITH YEH ABOVE FINAL FORM;Lo;0;AL;<final> 06C0;;;;N;;;;;
        "\uFBA6",  # ;ARABIC LETTER HEH GOAL ISOLATED FORM;Lo;0;AL;<isolated> 06C1;;;;N;;;;;
        "\uFBA7",  # ;ARABIC LETTER HEH GOAL FINAL FORM;Lo;0;AL;<final> 06C1;;;;N;;;;;
        "\uFBA8",  # ;ARABIC LETTER HEH GOAL INITIAL FORM;Lo;0;AL;<initial> 06C1;;;;N;;;;;
        "\uFBA9",  # ;ARABIC LETTER HEH GOAL MEDIAL FORM;Lo;0;AL;<medial> 06C1;;;;N;;;;;
        "\uFBAA",  # ;ARABIC LETTER HEH DOACHASHMEE ISOLATED FORM;Lo;0;AL;<isolated> 06BE;;;;N;;;;;
        "\uFBAB",  # ;ARABIC LETTER HEH DOACHASHMEE FINAL FORM;Lo;0;AL;<final> 06BE;;;;N;;;;;
        "\uFBAC",  # ;ARABIC LETTER HEH DOACHASHMEE INITIAL FORM;Lo;0;AL;<initial> 06BE;;;;N;;;;;
        "\uFBAD",  # ;ARABIC LETTER HEH DOACHASHMEE MEDIAL FORM;Lo;0;AL;<medial> 06BE;;;;N;;;;;
        "\uFBAE",  # ;ARABIC LETTER YEH BARREE ISOLATED FORM;Lo;0;AL;<isolated> 06D2;;;;N;;;;;
        "\uFBAF",  # ;ARABIC LETTER YEH BARREE FINAL FORM;Lo;0;AL;<final> 06D2;;;;N;;;;;
        "\uFBB0",  # ;ARABIC LETTER YEH BARREE WITH HAMZA ABOVE ISOLATED FORM;Lo;0;AL;<isolated> 06D3;;;;N;;;;;
        "\uFBB1",  # ;ARABIC LETTER YEH BARREE WITH HAMZA ABOVE FINAL FORM;Lo;0;AL;<final> 06D3;;;;N;;;;;
        "\uFBB2",  # ;ARABIC SYMBOL DOT ABOVE;Sk;0;AL;;;;;N;;;;;
        "\uFBB3",  # ;ARABIC SYMBOL DOT BELOW;Sk;0;AL;;;;;N;;;;;
        "\uFBB4",  # ;ARABIC SYMBOL TWO DOTS ABOVE;Sk;0;AL;;;;;N;;;;;
        "\uFBB5",  # ;ARABIC SYMBOL TWO DOTS BELOW;Sk;0;AL;;;;;N;;;;;
        "\uFBB6",  # ;ARABIC SYMBOL THREE DOTS ABOVE;Sk;0;AL;;;;;N;;;;;
        "\uFBB7",  # ;ARABIC SYMBOL THREE DOTS BELOW;Sk;0;AL;;;;;N;;;;;
        "\uFBB8",  # ;ARABIC SYMBOL THREE DOTS POINTING DOWNWARDS ABOVE;Sk;0;AL;;;;;N;;;;;
        "\uFBB9",  # ;ARABIC SYMBOL THREE DOTS POINTING DOWNWARDS BELOW;Sk;0;AL;;;;;N;;;;;
        "\uFBBA",  # ;ARABIC SYMBOL FOUR DOTS ABOVE;Sk;0;AL;;;;;N;;;;;
        "\uFBBB",  # ;ARABIC SYMBOL FOUR DOTS BELOW;Sk;0;AL;;;;;N;;;;;
        "\uFBBC",  # ;ARABIC SYMBOL DOUBLE VERTICAL BAR BELOW;Sk;0;AL;;;;;N;;;;;
        "\uFBBD",  # ;ARABIC SYMBOL TWO DOTS VERTICALLY ABOVE;Sk;0;AL;;;;;N;;;;;
        "\uFBBE",  # ;ARABIC SYMBOL TWO DOTS VERTICALLY BELOW;Sk;0;AL;;;;;N;;;;;
        "\uFBBF",  # ;ARABIC SYMBOL RING;Sk;0;AL;;;;;N;;;;;
        "\uFBC0",  # ;ARABIC SYMBOL SMALL TAH ABOVE;Sk;0;AL;;;;;N;;;;;
        "\uFBC1",  # ;ARABIC SYMBOL SMALL TAH BELOW;Sk;0;AL;;;;;N;;;;;
        "\uFBD3",  # ;ARABIC LETTER NG ISOLATED FORM;Lo;0;AL;<isolated> 06AD;;;;N;;;;;
        "\uFBD4",  # ;ARABIC LETTER NG FINAL FORM;Lo;0;AL;<final> 06AD;;;;N;;;;;
        "\uFBD5",  # ;ARABIC LETTER NG INITIAL FORM;Lo;0;AL;<initial> 06AD;;;;N;;;;;
        "\uFBD6",  # ;ARABIC LETTER NG MEDIAL FORM;Lo;0;AL;<medial> 06AD;;;;N;;;;;
        "\uFBD7",  # ;ARABIC LETTER U ISOLATED FORM;Lo;0;AL;<isolated> 06C7;;;;N;;;;;
        "\uFBD8",  # ;ARABIC LETTER U FINAL FORM;Lo;0;AL;<final> 06C7;;;;N;;;;;
        "\uFBD9",  # ;ARABIC LETTER OE ISOLATED FORM;Lo;0;AL;<isolated> 06C6;;;;N;;;;;
        "\uFBDA",  # ;ARABIC LETTER OE FINAL FORM;Lo;0;AL;<final> 06C6;;;;N;;;;;
        "\uFBDB",  # ;ARABIC LETTER YU ISOLATED FORM;Lo;0;AL;<isolated> 06C8;;;;N;;;;;
        "\uFBDC",  # ;ARABIC LETTER YU FINAL FORM;Lo;0;AL;<final> 06C8;;;;N;;;;;
        "\uFBDD",  # ;ARABIC LETTER U WITH HAMZA ABOVE ISOLATED FORM;Lo;0;AL;<isolated> 0677;;;;N;;;;;
        "\uFBDE",  # ;ARABIC LETTER VE ISOLATED FORM;Lo;0;AL;<isolated> 06CB;;;;N;;;;;
        "\uFBDF",  # ;ARABIC LETTER VE FINAL FORM;Lo;0;AL;<final> 06CB;;;;N;;;;;
        "\uFBE0",  # ;ARABIC LETTER KIRGHIZ OE ISOLATED FORM;Lo;0;AL;<isolated> 06C5;;;;N;;;;;
        "\uFBE1",  # ;ARABIC LETTER KIRGHIZ OE FINAL FORM;Lo;0;AL;<final> 06C5;;;;N;;;;;
        "\uFBE2",  # ;ARABIC LETTER KIRGHIZ YU ISOLATED FORM;Lo;0;AL;<isolated> 06C9;;;;N;;;;;
        "\uFBE3",  # ;ARABIC LETTER KIRGHIZ YU FINAL FORM;Lo;0;AL;<final> 06C9;;;;N;;;;;
        "\uFBE4",  # ;ARABIC LETTER E ISOLATED FORM;Lo;0;AL;<isolated> 06D0;;;;N;;;;;
        "\uFBE5",  # ;ARABIC LETTER E FINAL FORM;Lo;0;AL;<final> 06D0;;;;N;;;;;
        "\uFBE6",  # ;ARABIC LETTER E INITIAL FORM;Lo;0;AL;<initial> 06D0;;;;N;;;;;
        "\uFBE7",  # ;ARABIC LETTER E MEDIAL FORM;Lo;0;AL;<medial> 06D0;;;;N;;;;;
        "\uFBE8",  # ;ARABIC LETTER UIGHUR KAZAKH KIRGHIZ ALEF MAKSURA INITIAL FORM;Lo;0;AL;<initial> 0649;;;;N;;;;;
        "\uFBE9",  # ;ARABIC LETTER UIGHUR KAZAKH KIRGHIZ ALEF MAKSURA MEDIAL FORM;Lo;0;AL;<medial> 0649;;;;N;;;;;
        "\uFBEA",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ALEF ISOLATED FORM;Lo;0;AL;<isolated> 0626 0627;;;;N;;;;;
        "\uFBEB",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ALEF FINAL FORM;Lo;0;AL;<final> 0626 0627;;;;N;;;;;
        "\uFBEC",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH AE ISOLATED FORM;Lo;0;AL;<isolated> 0626 06D5;;;;N;;;;;
        "\uFBED",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH AE FINAL FORM;Lo;0;AL;<final> 0626 06D5;;;;N;;;;;
        "\uFBEE",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH WAW ISOLATED FORM;Lo;0;AL;<isolated> 0626 0648;;;;N;;;;;
        "\uFBEF",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH WAW FINAL FORM;Lo;0;AL;<final> 0626 0648;;;;N;;;;;
        "\uFBF0",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH U ISOLATED FORM;Lo;0;AL;<isolated> 0626 06C7;;;;N;;;;;
        "\uFBF1",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH U FINAL FORM;Lo;0;AL;<final> 0626 06C7;;;;N;;;;;
        "\uFBF2",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH OE ISOLATED FORM;Lo;0;AL;<isolated> 0626 06C6;;;;N;;;;;
        "\uFBF3",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH OE FINAL FORM;Lo;0;AL;<final> 0626 06C6;;;;N;;;;;
        "\uFBF4",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH YU ISOLATED FORM;Lo;0;AL;<isolated> 0626 06C8;;;;N;;;;;
        "\uFBF5",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH YU FINAL FORM;Lo;0;AL;<final> 0626 06C8;;;;N;;;;;
        "\uFBF6",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH E ISOLATED FORM;Lo;0;AL;<isolated> 0626 06D0;;;;N;;;;;
        "\uFBF7",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH E FINAL FORM;Lo;0;AL;<final> 0626 06D0;;;;N;;;;;
        "\uFBF8",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH E INITIAL FORM;Lo;0;AL;<initial> 0626 06D0;;;;N;;;;;
        "\uFBF9",  # ;ARABIC LIGATURE UIGHUR KIRGHIZ YEH WITH HAMZA ABOVE WITH ALEF MAKSURA ISOLATED FORM;Lo;0;AL;<isolated> 0626 0649;;;;N;;;;;
        "\uFBFA",  # ;ARABIC LIGATURE UIGHUR KIRGHIZ YEH WITH HAMZA ABOVE WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 0626 0649;;;;N;;;;;
        "\uFBFB",  # ;ARABIC LIGATURE UIGHUR KIRGHIZ YEH WITH HAMZA ABOVE WITH ALEF MAKSURA INITIAL FORM;Lo;0;AL;<initial> 0626 0649;;;;N;;;;;
        "\uFBFC",  # ;ARABIC LETTER FARSI YEH ISOLATED FORM;Lo;0;AL;<isolated> 06CC;;;;N;;;;;
        "\uFBFD",  # ;ARABIC LETTER FARSI YEH FINAL FORM;Lo;0;AL;<final> 06CC;;;;N;;;;;
        "\uFBFE",  # ;ARABIC LETTER FARSI YEH INITIAL FORM;Lo;0;AL;<initial> 06CC;;;;N;;;;;
        "\uFBFF",  # ;ARABIC LETTER FARSI YEH MEDIAL FORM;Lo;0;AL;<medial> 06CC;;;;N;;;;;
        "\uFC00",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH JEEM ISOLATED FORM;Lo;0;AL;<isolated> 0626 062C;;;;N;;;;;
        "\uFC01",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH HAH ISOLATED FORM;Lo;0;AL;<isolated> 0626 062D;;;;N;;;;;
        "\uFC02",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH MEEM ISOLATED FORM;Lo;0;AL;<isolated> 0626 0645;;;;N;;;;;
        "\uFC03",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ALEF MAKSURA ISOLATED FORM;Lo;0;AL;<isolated> 0626 0649;;;;N;;;;;
        "\uFC04",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH YEH ISOLATED FORM;Lo;0;AL;<isolated> 0626 064A;;;;N;;;;;
        "\uFC05",  # ;ARABIC LIGATURE BEH WITH JEEM ISOLATED FORM;Lo;0;AL;<isolated> 0628 062C;;;;N;;;;;
        "\uFC06",  # ;ARABIC LIGATURE BEH WITH HAH ISOLATED FORM;Lo;0;AL;<isolated> 0628 062D;;;;N;;;;;
        "\uFC07",  # ;ARABIC LIGATURE BEH WITH KHAH ISOLATED FORM;Lo;0;AL;<isolated> 0628 062E;;;;N;;;;;
        "\uFC08",  # ;ARABIC LIGATURE BEH WITH MEEM ISOLATED FORM;Lo;0;AL;<isolated> 0628 0645;;;;N;;;;;
        "\uFC09",  # ;ARABIC LIGATURE BEH WITH ALEF MAKSURA ISOLATED FORM;Lo;0;AL;<isolated> 0628 0649;;;;N;;;;;
        "\uFC0A",  # ;ARABIC LIGATURE BEH WITH YEH ISOLATED FORM;Lo;0;AL;<isolated> 0628 064A;;;;N;;;;;
        "\uFC0B",  # ;ARABIC LIGATURE TEH WITH JEEM ISOLATED FORM;Lo;0;AL;<isolated> 062A 062C;;;;N;;;;;
        "\uFC0C",  # ;ARABIC LIGATURE TEH WITH HAH ISOLATED FORM;Lo;0;AL;<isolated> 062A 062D;;;;N;;;;;
        "\uFC0D",  # ;ARABIC LIGATURE TEH WITH KHAH ISOLATED FORM;Lo;0;AL;<isolated> 062A 062E;;;;N;;;;;
        "\uFC0E",  # ;ARABIC LIGATURE TEH WITH MEEM ISOLATED FORM;Lo;0;AL;<isolated> 062A 0645;;;;N;;;;;
        "\uFC0F",  # ;ARABIC LIGATURE TEH WITH ALEF MAKSURA ISOLATED FORM;Lo;0;AL;<isolated> 062A 0649;;;;N;;;;;
        "\uFC10",  # ;ARABIC LIGATURE TEH WITH YEH ISOLATED FORM;Lo;0;AL;<isolated> 062A 064A;;;;N;;;;;
        "\uFC11",  # ;ARABIC LIGATURE THEH WITH JEEM ISOLATED FORM;Lo;0;AL;<isolated> 062B 062C;;;;N;;;;;
        "\uFC12",  # ;ARABIC LIGATURE THEH WITH MEEM ISOLATED FORM;Lo;0;AL;<isolated> 062B 0645;;;;N;;;;;
        "\uFC13",  # ;ARABIC LIGATURE THEH WITH ALEF MAKSURA ISOLATED FORM;Lo;0;AL;<isolated> 062B 0649;;;;N;;;;;
        "\uFC14",  # ;ARABIC LIGATURE THEH WITH YEH ISOLATED FORM;Lo;0;AL;<isolated> 062B 064A;;;;N;;;;;
        "\uFC15",  # ;ARABIC LIGATURE JEEM WITH HAH ISOLATED FORM;Lo;0;AL;<isolated> 062C 062D;;;;N;;;;;
        "\uFC16",  # ;ARABIC LIGATURE JEEM WITH MEEM ISOLATED FORM;Lo;0;AL;<isolated> 062C 0645;;;;N;;;;;
        "\uFC17",  # ;ARABIC LIGATURE HAH WITH JEEM ISOLATED FORM;Lo;0;AL;<isolated> 062D 062C;;;;N;;;;;
        "\uFC18",  # ;ARABIC LIGATURE HAH WITH MEEM ISOLATED FORM;Lo;0;AL;<isolated> 062D 0645;;;;N;;;;;
        "\uFC19",  # ;ARABIC LIGATURE KHAH WITH JEEM ISOLATED FORM;Lo;0;AL;<isolated> 062E 062C;;;;N;;;;;
        "\uFC1A",  # ;ARABIC LIGATURE KHAH WITH HAH ISOLATED FORM;Lo;0;AL;<isolated> 062E 062D;;;;N;;;;;
        "\uFC1B",  # ;ARABIC LIGATURE KHAH WITH MEEM ISOLATED FORM;Lo;0;AL;<isolated> 062E 0645;;;;N;;;;;
        "\uFC1C",  # ;ARABIC LIGATURE SEEN WITH JEEM ISOLATED FORM;Lo;0;AL;<isolated> 0633 062C;;;;N;;;;;
        "\uFC1D",  # ;ARABIC LIGATURE SEEN WITH HAH ISOLATED FORM;Lo;0;AL;<isolated> 0633 062D;;;;N;;;;;
        "\uFC1E",  # ;ARABIC LIGATURE SEEN WITH KHAH ISOLATED FORM;Lo;0;AL;<isolated> 0633 062E;;;;N;;;;;
        "\uFC1F",  # ;ARABIC LIGATURE SEEN WITH MEEM ISOLATED FORM;Lo;0;AL;<isolated> 0633 0645;;;;N;;;;;
        "\uFC20",  # ;ARABIC LIGATURE SAD WITH HAH ISOLATED FORM;Lo;0;AL;<isolated> 0635 062D;;;;N;;;;;
        "\uFC21",  # ;ARABIC LIGATURE SAD WITH MEEM ISOLATED FORM;Lo;0;AL;<isolated> 0635 0645;;;;N;;;;;
        "\uFC22",  # ;ARABIC LIGATURE DAD WITH JEEM ISOLATED FORM;Lo;0;AL;<isolated> 0636 062C;;;;N;;;;;
        "\uFC23",  # ;ARABIC LIGATURE DAD WITH HAH ISOLATED FORM;Lo;0;AL;<isolated> 0636 062D;;;;N;;;;;
        "\uFC24",  # ;ARABIC LIGATURE DAD WITH KHAH ISOLATED FORM;Lo;0;AL;<isolated> 0636 062E;;;;N;;;;;
        "\uFC25",  # ;ARABIC LIGATURE DAD WITH MEEM ISOLATED FORM;Lo;0;AL;<isolated> 0636 0645;;;;N;;;;;
        "\uFC26",  # ;ARABIC LIGATURE TAH WITH HAH ISOLATED FORM;Lo;0;AL;<isolated> 0637 062D;;;;N;;;;;
        "\uFC27",  # ;ARABIC LIGATURE TAH WITH MEEM ISOLATED FORM;Lo;0;AL;<isolated> 0637 0645;;;;N;;;;;
        "\uFC28",  # ;ARABIC LIGATURE ZAH WITH MEEM ISOLATED FORM;Lo;0;AL;<isolated> 0638 0645;;;;N;;;;;
        "\uFC29",  # ;ARABIC LIGATURE AIN WITH JEEM ISOLATED FORM;Lo;0;AL;<isolated> 0639 062C;;;;N;;;;;
        "\uFC2A",  # ;ARABIC LIGATURE AIN WITH MEEM ISOLATED FORM;Lo;0;AL;<isolated> 0639 0645;;;;N;;;;;
        "\uFC2B",  # ;ARABIC LIGATURE GHAIN WITH JEEM ISOLATED FORM;Lo;0;AL;<isolated> 063A 062C;;;;N;;;;;
        "\uFC2C",  # ;ARABIC LIGATURE GHAIN WITH MEEM ISOLATED FORM;Lo;0;AL;<isolated> 063A 0645;;;;N;;;;;
        "\uFC2D",  # ;ARABIC LIGATURE FEH WITH JEEM ISOLATED FORM;Lo;0;AL;<isolated> 0641 062C;;;;N;;;;;
        "\uFC2E",  # ;ARABIC LIGATURE FEH WITH HAH ISOLATED FORM;Lo;0;AL;<isolated> 0641 062D;;;;N;;;;;
        "\uFC2F",  # ;ARABIC LIGATURE FEH WITH KHAH ISOLATED FORM;Lo;0;AL;<isolated> 0641 062E;;;;N;;;;;
        "\uFC30",  # ;ARABIC LIGATURE FEH WITH MEEM ISOLATED FORM;Lo;0;AL;<isolated> 0641 0645;;;;N;;;;;
        "\uFC31",  # ;ARABIC LIGATURE FEH WITH ALEF MAKSURA ISOLATED FORM;Lo;0;AL;<isolated> 0641 0649;;;;N;;;;;
        "\uFC32",  # ;ARABIC LIGATURE FEH WITH YEH ISOLATED FORM;Lo;0;AL;<isolated> 0641 064A;;;;N;;;;;
        "\uFC33",  # ;ARABIC LIGATURE QAF WITH HAH ISOLATED FORM;Lo;0;AL;<isolated> 0642 062D;;;;N;;;;;
        "\uFC34",  # ;ARABIC LIGATURE QAF WITH MEEM ISOLATED FORM;Lo;0;AL;<isolated> 0642 0645;;;;N;;;;;
        "\uFC35",  # ;ARABIC LIGATURE QAF WITH ALEF MAKSURA ISOLATED FORM;Lo;0;AL;<isolated> 0642 0649;;;;N;;;;;
        "\uFC36",  # ;ARABIC LIGATURE QAF WITH YEH ISOLATED FORM;Lo;0;AL;<isolated> 0642 064A;;;;N;;;;;
        "\uFC37",  # ;ARABIC LIGATURE KAF WITH ALEF ISOLATED FORM;Lo;0;AL;<isolated> 0643 0627;;;;N;;;;;
        "\uFC38",  # ;ARABIC LIGATURE KAF WITH JEEM ISOLATED FORM;Lo;0;AL;<isolated> 0643 062C;;;;N;;;;;
        "\uFC39",  # ;ARABIC LIGATURE KAF WITH HAH ISOLATED FORM;Lo;0;AL;<isolated> 0643 062D;;;;N;;;;;
        "\uFC3A",  # ;ARABIC LIGATURE KAF WITH KHAH ISOLATED FORM;Lo;0;AL;<isolated> 0643 062E;;;;N;;;;;
        "\uFC3B",  # ;ARABIC LIGATURE KAF WITH LAM ISOLATED FORM;Lo;0;AL;<isolated> 0643 0644;;;;N;;;;;
        "\uFC3C",  # ;ARABIC LIGATURE KAF WITH MEEM ISOLATED FORM;Lo;0;AL;<isolated> 0643 0645;;;;N;;;;;
        "\uFC3D",  # ;ARABIC LIGATURE KAF WITH ALEF MAKSURA ISOLATED FORM;Lo;0;AL;<isolated> 0643 0649;;;;N;;;;;
        "\uFC3E",  # ;ARABIC LIGATURE KAF WITH YEH ISOLATED FORM;Lo;0;AL;<isolated> 0643 064A;;;;N;;;;;
        "\uFC3F",  # ;ARABIC LIGATURE LAM WITH JEEM ISOLATED FORM;Lo;0;AL;<isolated> 0644 062C;;;;N;;;;;
        "\uFC40",  # ;ARABIC LIGATURE LAM WITH HAH ISOLATED FORM;Lo;0;AL;<isolated> 0644 062D;;;;N;;;;;
        "\uFC41",  # ;ARABIC LIGATURE LAM WITH KHAH ISOLATED FORM;Lo;0;AL;<isolated> 0644 062E;;;;N;;;;;
        "\uFC42",  # ;ARABIC LIGATURE LAM WITH MEEM ISOLATED FORM;Lo;0;AL;<isolated> 0644 0645;;;;N;;;;;
        "\uFC43",  # ;ARABIC LIGATURE LAM WITH ALEF MAKSURA ISOLATED FORM;Lo;0;AL;<isolated> 0644 0649;;;;N;;;;;
        "\uFC44",  # ;ARABIC LIGATURE LAM WITH YEH ISOLATED FORM;Lo;0;AL;<isolated> 0644 064A;;;;N;;;;;
        "\uFC45",  # ;ARABIC LIGATURE MEEM WITH JEEM ISOLATED FORM;Lo;0;AL;<isolated> 0645 062C;;;;N;;;;;
        "\uFC46",  # ;ARABIC LIGATURE MEEM WITH HAH ISOLATED FORM;Lo;0;AL;<isolated> 0645 062D;;;;N;;;;;
        "\uFC47",  # ;ARABIC LIGATURE MEEM WITH KHAH ISOLATED FORM;Lo;0;AL;<isolated> 0645 062E;;;;N;;;;;
        "\uFC48",  # ;ARABIC LIGATURE MEEM WITH MEEM ISOLATED FORM;Lo;0;AL;<isolated> 0645 0645;;;;N;;;;;
        "\uFC49",  # ;ARABIC LIGATURE MEEM WITH ALEF MAKSURA ISOLATED FORM;Lo;0;AL;<isolated> 0645 0649;;;;N;;;;;
        "\uFC4A",  # ;ARABIC LIGATURE MEEM WITH YEH ISOLATED FORM;Lo;0;AL;<isolated> 0645 064A;;;;N;;;;;
        "\uFC4B",  # ;ARABIC LIGATURE NOON WITH JEEM ISOLATED FORM;Lo;0;AL;<isolated> 0646 062C;;;;N;;;;;
        "\uFC4C",  # ;ARABIC LIGATURE NOON WITH HAH ISOLATED FORM;Lo;0;AL;<isolated> 0646 062D;;;;N;;;;;
        "\uFC4D",  # ;ARABIC LIGATURE NOON WITH KHAH ISOLATED FORM;Lo;0;AL;<isolated> 0646 062E;;;;N;;;;;
        "\uFC4E",  # ;ARABIC LIGATURE NOON WITH MEEM ISOLATED FORM;Lo;0;AL;<isolated> 0646 0645;;;;N;;;;;
        "\uFC4F",  # ;ARABIC LIGATURE NOON WITH ALEF MAKSURA ISOLATED FORM;Lo;0;AL;<isolated> 0646 0649;;;;N;;;;;
        "\uFC50",  # ;ARABIC LIGATURE NOON WITH YEH ISOLATED FORM;Lo;0;AL;<isolated> 0646 064A;;;;N;;;;;
        "\uFC51",  # ;ARABIC LIGATURE HEH WITH JEEM ISOLATED FORM;Lo;0;AL;<isolated> 0647 062C;;;;N;;;;;
        "\uFC52",  # ;ARABIC LIGATURE HEH WITH MEEM ISOLATED FORM;Lo;0;AL;<isolated> 0647 0645;;;;N;;;;;
        "\uFC53",  # ;ARABIC LIGATURE HEH WITH ALEF MAKSURA ISOLATED FORM;Lo;0;AL;<isolated> 0647 0649;;;;N;;;;;
        "\uFC54",  # ;ARABIC LIGATURE HEH WITH YEH ISOLATED FORM;Lo;0;AL;<isolated> 0647 064A;;;;N;;;;;
        "\uFC55",  # ;ARABIC LIGATURE YEH WITH JEEM ISOLATED FORM;Lo;0;AL;<isolated> 064A 062C;;;;N;;;;;
        "\uFC56",  # ;ARABIC LIGATURE YEH WITH HAH ISOLATED FORM;Lo;0;AL;<isolated> 064A 062D;;;;N;;;;;
        "\uFC57",  # ;ARABIC LIGATURE YEH WITH KHAH ISOLATED FORM;Lo;0;AL;<isolated> 064A 062E;;;;N;;;;;
        "\uFC58",  # ;ARABIC LIGATURE YEH WITH MEEM ISOLATED FORM;Lo;0;AL;<isolated> 064A 0645;;;;N;;;;;
        "\uFC59",  # ;ARABIC LIGATURE YEH WITH ALEF MAKSURA ISOLATED FORM;Lo;0;AL;<isolated> 064A 0649;;;;N;;;;;
        "\uFC5A",  # ;ARABIC LIGATURE YEH WITH YEH ISOLATED FORM;Lo;0;AL;<isolated> 064A 064A;;;;N;;;;;
        "\uFC5B",  # ;ARABIC LIGATURE THAL WITH SUPERSCRIPT ALEF ISOLATED FORM;Lo;0;AL;<isolated> 0630 0670;;;;N;;;;;
        "\uFC5C",  # ;ARABIC LIGATURE REH WITH SUPERSCRIPT ALEF ISOLATED FORM;Lo;0;AL;<isolated> 0631 0670;;;;N;;;;;
        "\uFC5D",  # ;ARABIC LIGATURE ALEF MAKSURA WITH SUPERSCRIPT ALEF ISOLATED FORM;Lo;0;AL;<isolated> 0649 0670;;;;N;;;;;
        "\uFC5E",  # ;ARABIC LIGATURE SHADDA WITH DAMMATAN ISOLATED FORM;Lo;0;AL;<isolated> 0020 064C 0651;;;;N;;;;;
        "\uFC5F",  # ;ARABIC LIGATURE SHADDA WITH KASRATAN ISOLATED FORM;Lo;0;AL;<isolated> 0020 064D 0651;;;;N;;;;;
        "\uFC60",  # ;ARABIC LIGATURE SHADDA WITH FATHA ISOLATED FORM;Lo;0;AL;<isolated> 0020 064E 0651;;;;N;;;;;
        "\uFC61",  # ;ARABIC LIGATURE SHADDA WITH DAMMA ISOLATED FORM;Lo;0;AL;<isolated> 0020 064F 0651;;;;N;;;;;
        "\uFC62",  # ;ARABIC LIGATURE SHADDA WITH KASRA ISOLATED FORM;Lo;0;AL;<isolated> 0020 0650 0651;;;;N;;;;;
        "\uFC63",  # ;ARABIC LIGATURE SHADDA WITH SUPERSCRIPT ALEF ISOLATED FORM;Lo;0;AL;<isolated> 0020 0651 0670;;;;N;;;;;
        "\uFC64",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH REH FINAL FORM;Lo;0;AL;<final> 0626 0631;;;;N;;;;;
        "\uFC65",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ZAIN FINAL FORM;Lo;0;AL;<final> 0626 0632;;;;N;;;;;
        "\uFC66",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH MEEM FINAL FORM;Lo;0;AL;<final> 0626 0645;;;;N;;;;;
        "\uFC67",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH NOON FINAL FORM;Lo;0;AL;<final> 0626 0646;;;;N;;;;;
        "\uFC68",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 0626 0649;;;;N;;;;;
        "\uFC69",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH YEH FINAL FORM;Lo;0;AL;<final> 0626 064A;;;;N;;;;;
        "\uFC6A",  # ;ARABIC LIGATURE BEH WITH REH FINAL FORM;Lo;0;AL;<final> 0628 0631;;;;N;;;;;
        "\uFC6B",  # ;ARABIC LIGATURE BEH WITH ZAIN FINAL FORM;Lo;0;AL;<final> 0628 0632;;;;N;;;;;
        "\uFC6C",  # ;ARABIC LIGATURE BEH WITH MEEM FINAL FORM;Lo;0;AL;<final> 0628 0645;;;;N;;;;;
        "\uFC6D",  # ;ARABIC LIGATURE BEH WITH NOON FINAL FORM;Lo;0;AL;<final> 0628 0646;;;;N;;;;;
        "\uFC6E",  # ;ARABIC LIGATURE BEH WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 0628 0649;;;;N;;;;;
        "\uFC6F",  # ;ARABIC LIGATURE BEH WITH YEH FINAL FORM;Lo;0;AL;<final> 0628 064A;;;;N;;;;;
        "\uFC70",  # ;ARABIC LIGATURE TEH WITH REH FINAL FORM;Lo;0;AL;<final> 062A 0631;;;;N;;;;;
        "\uFC71",  # ;ARABIC LIGATURE TEH WITH ZAIN FINAL FORM;Lo;0;AL;<final> 062A 0632;;;;N;;;;;
        "\uFC72",  # ;ARABIC LIGATURE TEH WITH MEEM FINAL FORM;Lo;0;AL;<final> 062A 0645;;;;N;;;;;
        "\uFC73",  # ;ARABIC LIGATURE TEH WITH NOON FINAL FORM;Lo;0;AL;<final> 062A 0646;;;;N;;;;;
        "\uFC74",  # ;ARABIC LIGATURE TEH WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 062A 0649;;;;N;;;;;
        "\uFC75",  # ;ARABIC LIGATURE TEH WITH YEH FINAL FORM;Lo;0;AL;<final> 062A 064A;;;;N;;;;;
        "\uFC76",  # ;ARABIC LIGATURE THEH WITH REH FINAL FORM;Lo;0;AL;<final> 062B 0631;;;;N;;;;;
        "\uFC77",  # ;ARABIC LIGATURE THEH WITH ZAIN FINAL FORM;Lo;0;AL;<final> 062B 0632;;;;N;;;;;
        "\uFC78",  # ;ARABIC LIGATURE THEH WITH MEEM FINAL FORM;Lo;0;AL;<final> 062B 0645;;;;N;;;;;
        "\uFC79",  # ;ARABIC LIGATURE THEH WITH NOON FINAL FORM;Lo;0;AL;<final> 062B 0646;;;;N;;;;;
        "\uFC7A",  # ;ARABIC LIGATURE THEH WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 062B 0649;;;;N;;;;;
        "\uFC7B",  # ;ARABIC LIGATURE THEH WITH YEH FINAL FORM;Lo;0;AL;<final> 062B 064A;;;;N;;;;;
        "\uFC7C",  # ;ARABIC LIGATURE FEH WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 0641 0649;;;;N;;;;;
        "\uFC7D",  # ;ARABIC LIGATURE FEH WITH YEH FINAL FORM;Lo;0;AL;<final> 0641 064A;;;;N;;;;;
        "\uFC7E",  # ;ARABIC LIGATURE QAF WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 0642 0649;;;;N;;;;;
        "\uFC7F",  # ;ARABIC LIGATURE QAF WITH YEH FINAL FORM;Lo;0;AL;<final> 0642 064A;;;;N;;;;;
        "\uFC80",  # ;ARABIC LIGATURE KAF WITH ALEF FINAL FORM;Lo;0;AL;<final> 0643 0627;;;;N;;;;;
        "\uFC81",  # ;ARABIC LIGATURE KAF WITH LAM FINAL FORM;Lo;0;AL;<final> 0643 0644;;;;N;;;;;
        "\uFC82",  # ;ARABIC LIGATURE KAF WITH MEEM FINAL FORM;Lo;0;AL;<final> 0643 0645;;;;N;;;;;
        "\uFC83",  # ;ARABIC LIGATURE KAF WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 0643 0649;;;;N;;;;;
        "\uFC84",  # ;ARABIC LIGATURE KAF WITH YEH FINAL FORM;Lo;0;AL;<final> 0643 064A;;;;N;;;;;
        "\uFC85",  # ;ARABIC LIGATURE LAM WITH MEEM FINAL FORM;Lo;0;AL;<final> 0644 0645;;;;N;;;;;
        "\uFC86",  # ;ARABIC LIGATURE LAM WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 0644 0649;;;;N;;;;;
        "\uFC87",  # ;ARABIC LIGATURE LAM WITH YEH FINAL FORM;Lo;0;AL;<final> 0644 064A;;;;N;;;;;
        "\uFC88",  # ;ARABIC LIGATURE MEEM WITH ALEF FINAL FORM;Lo;0;AL;<final> 0645 0627;;;;N;;;;;
        "\uFC89",  # ;ARABIC LIGATURE MEEM WITH MEEM FINAL FORM;Lo;0;AL;<final> 0645 0645;;;;N;;;;;
        "\uFC8A",  # ;ARABIC LIGATURE NOON WITH REH FINAL FORM;Lo;0;AL;<final> 0646 0631;;;;N;;;;;
        "\uFC8B",  # ;ARABIC LIGATURE NOON WITH ZAIN FINAL FORM;Lo;0;AL;<final> 0646 0632;;;;N;;;;;
        "\uFC8C",  # ;ARABIC LIGATURE NOON WITH MEEM FINAL FORM;Lo;0;AL;<final> 0646 0645;;;;N;;;;;
        "\uFC8D",  # ;ARABIC LIGATURE NOON WITH NOON FINAL FORM;Lo;0;AL;<final> 0646 0646;;;;N;;;;;
        "\uFC8E",  # ;ARABIC LIGATURE NOON WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 0646 0649;;;;N;;;;;
        "\uFC8F",  # ;ARABIC LIGATURE NOON WITH YEH FINAL FORM;Lo;0;AL;<final> 0646 064A;;;;N;;;;;
        "\uFC90",  # ;ARABIC LIGATURE ALEF MAKSURA WITH SUPERSCRIPT ALEF FINAL FORM;Lo;0;AL;<final> 0649 0670;;;;N;;;;;
        "\uFC91",  # ;ARABIC LIGATURE YEH WITH REH FINAL FORM;Lo;0;AL;<final> 064A 0631;;;;N;;;;;
        "\uFC92",  # ;ARABIC LIGATURE YEH WITH ZAIN FINAL FORM;Lo;0;AL;<final> 064A 0632;;;;N;;;;;
        "\uFC93",  # ;ARABIC LIGATURE YEH WITH MEEM FINAL FORM;Lo;0;AL;<final> 064A 0645;;;;N;;;;;
        "\uFC94",  # ;ARABIC LIGATURE YEH WITH NOON FINAL FORM;Lo;0;AL;<final> 064A 0646;;;;N;;;;;
        "\uFC95",  # ;ARABIC LIGATURE YEH WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 064A 0649;;;;N;;;;;
        "\uFC96",  # ;ARABIC LIGATURE YEH WITH YEH FINAL FORM;Lo;0;AL;<final> 064A 064A;;;;N;;;;;
        "\uFC97",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH JEEM INITIAL FORM;Lo;0;AL;<initial> 0626 062C;;;;N;;;;;
        "\uFC98",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH HAH INITIAL FORM;Lo;0;AL;<initial> 0626 062D;;;;N;;;;;
        "\uFC99",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH KHAH INITIAL FORM;Lo;0;AL;<initial> 0626 062E;;;;N;;;;;
        "\uFC9A",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0626 0645;;;;N;;;;;
        "\uFC9B",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH HEH INITIAL FORM;Lo;0;AL;<initial> 0626 0647;;;;N;;;;;
        "\uFC9C",  # ;ARABIC LIGATURE BEH WITH JEEM INITIAL FORM;Lo;0;AL;<initial> 0628 062C;;;;N;;;;;
        "\uFC9D",  # ;ARABIC LIGATURE BEH WITH HAH INITIAL FORM;Lo;0;AL;<initial> 0628 062D;;;;N;;;;;
        "\uFC9E",  # ;ARABIC LIGATURE BEH WITH KHAH INITIAL FORM;Lo;0;AL;<initial> 0628 062E;;;;N;;;;;
        "\uFC9F",  # ;ARABIC LIGATURE BEH WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0628 0645;;;;N;;;;;
        "\uFCA0",  # ;ARABIC LIGATURE BEH WITH HEH INITIAL FORM;Lo;0;AL;<initial> 0628 0647;;;;N;;;;;
        "\uFCA1",  # ;ARABIC LIGATURE TEH WITH JEEM INITIAL FORM;Lo;0;AL;<initial> 062A 062C;;;;N;;;;;
        "\uFCA2",  # ;ARABIC LIGATURE TEH WITH HAH INITIAL FORM;Lo;0;AL;<initial> 062A 062D;;;;N;;;;;
        "\uFCA3",  # ;ARABIC LIGATURE TEH WITH KHAH INITIAL FORM;Lo;0;AL;<initial> 062A 062E;;;;N;;;;;
        "\uFCA4",  # ;ARABIC LIGATURE TEH WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 062A 0645;;;;N;;;;;
        "\uFCA5",  # ;ARABIC LIGATURE TEH WITH HEH INITIAL FORM;Lo;0;AL;<initial> 062A 0647;;;;N;;;;;
        "\uFCA6",  # ;ARABIC LIGATURE THEH WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 062B 0645;;;;N;;;;;
        "\uFCA7",  # ;ARABIC LIGATURE JEEM WITH HAH INITIAL FORM;Lo;0;AL;<initial> 062C 062D;;;;N;;;;;
        "\uFCA8",  # ;ARABIC LIGATURE JEEM WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 062C 0645;;;;N;;;;;
        "\uFCA9",  # ;ARABIC LIGATURE HAH WITH JEEM INITIAL FORM;Lo;0;AL;<initial> 062D 062C;;;;N;;;;;
        "\uFCAA",  # ;ARABIC LIGATURE HAH WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 062D 0645;;;;N;;;;;
        "\uFCAB",  # ;ARABIC LIGATURE KHAH WITH JEEM INITIAL FORM;Lo;0;AL;<initial> 062E 062C;;;;N;;;;;
        "\uFCAC",  # ;ARABIC LIGATURE KHAH WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 062E 0645;;;;N;;;;;
        "\uFCAD",  # ;ARABIC LIGATURE SEEN WITH JEEM INITIAL FORM;Lo;0;AL;<initial> 0633 062C;;;;N;;;;;
        "\uFCAE",  # ;ARABIC LIGATURE SEEN WITH HAH INITIAL FORM;Lo;0;AL;<initial> 0633 062D;;;;N;;;;;
        "\uFCAF",  # ;ARABIC LIGATURE SEEN WITH KHAH INITIAL FORM;Lo;0;AL;<initial> 0633 062E;;;;N;;;;;
        "\uFCB0",  # ;ARABIC LIGATURE SEEN WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0633 0645;;;;N;;;;;
        "\uFCB1",  # ;ARABIC LIGATURE SAD WITH HAH INITIAL FORM;Lo;0;AL;<initial> 0635 062D;;;;N;;;;;
        "\uFCB2",  # ;ARABIC LIGATURE SAD WITH KHAH INITIAL FORM;Lo;0;AL;<initial> 0635 062E;;;;N;;;;;
        "\uFCB3",  # ;ARABIC LIGATURE SAD WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0635 0645;;;;N;;;;;
        "\uFCB4",  # ;ARABIC LIGATURE DAD WITH JEEM INITIAL FORM;Lo;0;AL;<initial> 0636 062C;;;;N;;;;;
        "\uFCB5",  # ;ARABIC LIGATURE DAD WITH HAH INITIAL FORM;Lo;0;AL;<initial> 0636 062D;;;;N;;;;;
        "\uFCB6",  # ;ARABIC LIGATURE DAD WITH KHAH INITIAL FORM;Lo;0;AL;<initial> 0636 062E;;;;N;;;;;
        "\uFCB7",  # ;ARABIC LIGATURE DAD WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0636 0645;;;;N;;;;;
        "\uFCB8",  # ;ARABIC LIGATURE TAH WITH HAH INITIAL FORM;Lo;0;AL;<initial> 0637 062D;;;;N;;;;;
        "\uFCB9",  # ;ARABIC LIGATURE ZAH WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0638 0645;;;;N;;;;;
        "\uFCBA",  # ;ARABIC LIGATURE AIN WITH JEEM INITIAL FORM;Lo;0;AL;<initial> 0639 062C;;;;N;;;;;
        "\uFCBB",  # ;ARABIC LIGATURE AIN WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0639 0645;;;;N;;;;;
        "\uFCBC",  # ;ARABIC LIGATURE GHAIN WITH JEEM INITIAL FORM;Lo;0;AL;<initial> 063A 062C;;;;N;;;;;
        "\uFCBD",  # ;ARABIC LIGATURE GHAIN WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 063A 0645;;;;N;;;;;
        "\uFCBE",  # ;ARABIC LIGATURE FEH WITH JEEM INITIAL FORM;Lo;0;AL;<initial> 0641 062C;;;;N;;;;;
        "\uFCBF",  # ;ARABIC LIGATURE FEH WITH HAH INITIAL FORM;Lo;0;AL;<initial> 0641 062D;;;;N;;;;;
        "\uFCC0",  # ;ARABIC LIGATURE FEH WITH KHAH INITIAL FORM;Lo;0;AL;<initial> 0641 062E;;;;N;;;;;
        "\uFCC1",  # ;ARABIC LIGATURE FEH WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0641 0645;;;;N;;;;;
        "\uFCC2",  # ;ARABIC LIGATURE QAF WITH HAH INITIAL FORM;Lo;0;AL;<initial> 0642 062D;;;;N;;;;;
        "\uFCC3",  # ;ARABIC LIGATURE QAF WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0642 0645;;;;N;;;;;
        "\uFCC4",  # ;ARABIC LIGATURE KAF WITH JEEM INITIAL FORM;Lo;0;AL;<initial> 0643 062C;;;;N;;;;;
        "\uFCC5",  # ;ARABIC LIGATURE KAF WITH HAH INITIAL FORM;Lo;0;AL;<initial> 0643 062D;;;;N;;;;;
        "\uFCC6",  # ;ARABIC LIGATURE KAF WITH KHAH INITIAL FORM;Lo;0;AL;<initial> 0643 062E;;;;N;;;;;
        "\uFCC7",  # ;ARABIC LIGATURE KAF WITH LAM INITIAL FORM;Lo;0;AL;<initial> 0643 0644;;;;N;;;;;
        "\uFCC8",  # ;ARABIC LIGATURE KAF WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0643 0645;;;;N;;;;;
        "\uFCC9",  # ;ARABIC LIGATURE LAM WITH JEEM INITIAL FORM;Lo;0;AL;<initial> 0644 062C;;;;N;;;;;
        "\uFCCA",  # ;ARABIC LIGATURE LAM WITH HAH INITIAL FORM;Lo;0;AL;<initial> 0644 062D;;;;N;;;;;
        "\uFCCB",  # ;ARABIC LIGATURE LAM WITH KHAH INITIAL FORM;Lo;0;AL;<initial> 0644 062E;;;;N;;;;;
        "\uFCCC",  # ;ARABIC LIGATURE LAM WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0644 0645;;;;N;;;;;
        "\uFCCD",  # ;ARABIC LIGATURE LAM WITH HEH INITIAL FORM;Lo;0;AL;<initial> 0644 0647;;;;N;;;;;
        "\uFCCE",  # ;ARABIC LIGATURE MEEM WITH JEEM INITIAL FORM;Lo;0;AL;<initial> 0645 062C;;;;N;;;;;
        "\uFCCF",  # ;ARABIC LIGATURE MEEM WITH HAH INITIAL FORM;Lo;0;AL;<initial> 0645 062D;;;;N;;;;;
        "\uFCD0",  # ;ARABIC LIGATURE MEEM WITH KHAH INITIAL FORM;Lo;0;AL;<initial> 0645 062E;;;;N;;;;;
        "\uFCD1",  # ;ARABIC LIGATURE MEEM WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0645 0645;;;;N;;;;;
        "\uFCD2",  # ;ARABIC LIGATURE NOON WITH JEEM INITIAL FORM;Lo;0;AL;<initial> 0646 062C;;;;N;;;;;
        "\uFCD3",  # ;ARABIC LIGATURE NOON WITH HAH INITIAL FORM;Lo;0;AL;<initial> 0646 062D;;;;N;;;;;
        "\uFCD4",  # ;ARABIC LIGATURE NOON WITH KHAH INITIAL FORM;Lo;0;AL;<initial> 0646 062E;;;;N;;;;;
        "\uFCD5",  # ;ARABIC LIGATURE NOON WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0646 0645;;;;N;;;;;
        "\uFCD6",  # ;ARABIC LIGATURE NOON WITH HEH INITIAL FORM;Lo;0;AL;<initial> 0646 0647;;;;N;;;;;
        "\uFCD7",  # ;ARABIC LIGATURE HEH WITH JEEM INITIAL FORM;Lo;0;AL;<initial> 0647 062C;;;;N;;;;;
        "\uFCD8",  # ;ARABIC LIGATURE HEH WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0647 0645;;;;N;;;;;
        "\uFCD9",  # ;ARABIC LIGATURE HEH WITH SUPERSCRIPT ALEF INITIAL FORM;Lo;0;AL;<initial> 0647 0670;;;;N;;;;;
        "\uFCDA",  # ;ARABIC LIGATURE YEH WITH JEEM INITIAL FORM;Lo;0;AL;<initial> 064A 062C;;;;N;;;;;
        "\uFCDB",  # ;ARABIC LIGATURE YEH WITH HAH INITIAL FORM;Lo;0;AL;<initial> 064A 062D;;;;N;;;;;
        "\uFCDC",  # ;ARABIC LIGATURE YEH WITH KHAH INITIAL FORM;Lo;0;AL;<initial> 064A 062E;;;;N;;;;;
        "\uFCDD",  # ;ARABIC LIGATURE YEH WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 064A 0645;;;;N;;;;;
        "\uFCDE",  # ;ARABIC LIGATURE YEH WITH HEH INITIAL FORM;Lo;0;AL;<initial> 064A 0647;;;;N;;;;;
        "\uFCDF",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH MEEM MEDIAL FORM;Lo;0;AL;<medial> 0626 0645;;;;N;;;;;
        "\uFCE0",  # ;ARABIC LIGATURE YEH WITH HAMZA ABOVE WITH HEH MEDIAL FORM;Lo;0;AL;<medial> 0626 0647;;;;N;;;;;
        "\uFCE1",  # ;ARABIC LIGATURE BEH WITH MEEM MEDIAL FORM;Lo;0;AL;<medial> 0628 0645;;;;N;;;;;
        "\uFCE2",  # ;ARABIC LIGATURE BEH WITH HEH MEDIAL FORM;Lo;0;AL;<medial> 0628 0647;;;;N;;;;;
        "\uFCE3",  # ;ARABIC LIGATURE TEH WITH MEEM MEDIAL FORM;Lo;0;AL;<medial> 062A 0645;;;;N;;;;;
        "\uFCE4",  # ;ARABIC LIGATURE TEH WITH HEH MEDIAL FORM;Lo;0;AL;<medial> 062A 0647;;;;N;;;;;
        "\uFCE5",  # ;ARABIC LIGATURE THEH WITH MEEM MEDIAL FORM;Lo;0;AL;<medial> 062B 0645;;;;N;;;;;
        "\uFCE6",  # ;ARABIC LIGATURE THEH WITH HEH MEDIAL FORM;Lo;0;AL;<medial> 062B 0647;;;;N;;;;;
        "\uFCE7",  # ;ARABIC LIGATURE SEEN WITH MEEM MEDIAL FORM;Lo;0;AL;<medial> 0633 0645;;;;N;;;;;
        "\uFCE8",  # ;ARABIC LIGATURE SEEN WITH HEH MEDIAL FORM;Lo;0;AL;<medial> 0633 0647;;;;N;;;;;
        "\uFCE9",  # ;ARABIC LIGATURE SHEEN WITH MEEM MEDIAL FORM;Lo;0;AL;<medial> 0634 0645;;;;N;;;;;
        "\uFCEA",  # ;ARABIC LIGATURE SHEEN WITH HEH MEDIAL FORM;Lo;0;AL;<medial> 0634 0647;;;;N;;;;;
        "\uFCEB",  # ;ARABIC LIGATURE KAF WITH LAM MEDIAL FORM;Lo;0;AL;<medial> 0643 0644;;;;N;;;;;
        "\uFCEC",  # ;ARABIC LIGATURE KAF WITH MEEM MEDIAL FORM;Lo;0;AL;<medial> 0643 0645;;;;N;;;;;
        "\uFCED",  # ;ARABIC LIGATURE LAM WITH MEEM MEDIAL FORM;Lo;0;AL;<medial> 0644 0645;;;;N;;;;;
        "\uFCEE",  # ;ARABIC LIGATURE NOON WITH MEEM MEDIAL FORM;Lo;0;AL;<medial> 0646 0645;;;;N;;;;;
        "\uFCEF",  # ;ARABIC LIGATURE NOON WITH HEH MEDIAL FORM;Lo;0;AL;<medial> 0646 0647;;;;N;;;;;
        "\uFCF0",  # ;ARABIC LIGATURE YEH WITH MEEM MEDIAL FORM;Lo;0;AL;<medial> 064A 0645;;;;N;;;;;
        "\uFCF1",  # ;ARABIC LIGATURE YEH WITH HEH MEDIAL FORM;Lo;0;AL;<medial> 064A 0647;;;;N;;;;;
        "\uFCF2",  # ;ARABIC LIGATURE SHADDA WITH FATHA MEDIAL FORM;Lo;0;AL;<medial> 0640 064E 0651;;;;N;;;;;
        "\uFCF3",  # ;ARABIC LIGATURE SHADDA WITH DAMMA MEDIAL FORM;Lo;0;AL;<medial> 0640 064F 0651;;;;N;;;;;
        "\uFCF4",  # ;ARABIC LIGATURE SHADDA WITH KASRA MEDIAL FORM;Lo;0;AL;<medial> 0640 0650 0651;;;;N;;;;;
        "\uFCF5",  # ;ARABIC LIGATURE TAH WITH ALEF MAKSURA ISOLATED FORM;Lo;0;AL;<isolated> 0637 0649;;;;N;;;;;
        "\uFCF6",  # ;ARABIC LIGATURE TAH WITH YEH ISOLATED FORM;Lo;0;AL;<isolated> 0637 064A;;;;N;;;;;
        "\uFCF7",  # ;ARABIC LIGATURE AIN WITH ALEF MAKSURA ISOLATED FORM;Lo;0;AL;<isolated> 0639 0649;;;;N;;;;;
        "\uFCF8",  # ;ARABIC LIGATURE AIN WITH YEH ISOLATED FORM;Lo;0;AL;<isolated> 0639 064A;;;;N;;;;;
        "\uFCF9",  # ;ARABIC LIGATURE GHAIN WITH ALEF MAKSURA ISOLATED FORM;Lo;0;AL;<isolated> 063A 0649;;;;N;;;;;
        "\uFCFA",  # ;ARABIC LIGATURE GHAIN WITH YEH ISOLATED FORM;Lo;0;AL;<isolated> 063A 064A;;;;N;;;;;
        "\uFCFB",  # ;ARABIC LIGATURE SEEN WITH ALEF MAKSURA ISOLATED FORM;Lo;0;AL;<isolated> 0633 0649;;;;N;;;;;
        "\uFCFC",  # ;ARABIC LIGATURE SEEN WITH YEH ISOLATED FORM;Lo;0;AL;<isolated> 0633 064A;;;;N;;;;;
        "\uFCFD",  # ;ARABIC LIGATURE SHEEN WITH ALEF MAKSURA ISOLATED FORM;Lo;0;AL;<isolated> 0634 0649;;;;N;;;;;
        "\uFCFE",  # ;ARABIC LIGATURE SHEEN WITH YEH ISOLATED FORM;Lo;0;AL;<isolated> 0634 064A;;;;N;;;;;
        "\uFCFF",  # ;ARABIC LIGATURE HAH WITH ALEF MAKSURA ISOLATED FORM;Lo;0;AL;<isolated> 062D 0649;;;;N;;;;;
        "\uFD00",  # ;ARABIC LIGATURE HAH WITH YEH ISOLATED FORM;Lo;0;AL;<isolated> 062D 064A;;;;N;;;;;
        "\uFD01",  # ;ARABIC LIGATURE JEEM WITH ALEF MAKSURA ISOLATED FORM;Lo;0;AL;<isolated> 062C 0649;;;;N;;;;;
        "\uFD02",  # ;ARABIC LIGATURE JEEM WITH YEH ISOLATED FORM;Lo;0;AL;<isolated> 062C 064A;;;;N;;;;;
        "\uFD03",  # ;ARABIC LIGATURE KHAH WITH ALEF MAKSURA ISOLATED FORM;Lo;0;AL;<isolated> 062E 0649;;;;N;;;;;
        "\uFD04",  # ;ARABIC LIGATURE KHAH WITH YEH ISOLATED FORM;Lo;0;AL;<isolated> 062E 064A;;;;N;;;;;
        "\uFD05",  # ;ARABIC LIGATURE SAD WITH ALEF MAKSURA ISOLATED FORM;Lo;0;AL;<isolated> 0635 0649;;;;N;;;;;
        "\uFD06",  # ;ARABIC LIGATURE SAD WITH YEH ISOLATED FORM;Lo;0;AL;<isolated> 0635 064A;;;;N;;;;;
        "\uFD07",  # ;ARABIC LIGATURE DAD WITH ALEF MAKSURA ISOLATED FORM;Lo;0;AL;<isolated> 0636 0649;;;;N;;;;;
        "\uFD08",  # ;ARABIC LIGATURE DAD WITH YEH ISOLATED FORM;Lo;0;AL;<isolated> 0636 064A;;;;N;;;;;
        "\uFD09",  # ;ARABIC LIGATURE SHEEN WITH JEEM ISOLATED FORM;Lo;0;AL;<isolated> 0634 062C;;;;N;;;;;
        "\uFD0A",  # ;ARABIC LIGATURE SHEEN WITH HAH ISOLATED FORM;Lo;0;AL;<isolated> 0634 062D;;;;N;;;;;
        "\uFD0B",  # ;ARABIC LIGATURE SHEEN WITH KHAH ISOLATED FORM;Lo;0;AL;<isolated> 0634 062E;;;;N;;;;;
        "\uFD0C",  # ;ARABIC LIGATURE SHEEN WITH MEEM ISOLATED FORM;Lo;0;AL;<isolated> 0634 0645;;;;N;;;;;
        "\uFD0D",  # ;ARABIC LIGATURE SHEEN WITH REH ISOLATED FORM;Lo;0;AL;<isolated> 0634 0631;;;;N;;;;;
        "\uFD0E",  # ;ARABIC LIGATURE SEEN WITH REH ISOLATED FORM;Lo;0;AL;<isolated> 0633 0631;;;;N;;;;;
        "\uFD0F",  # ;ARABIC LIGATURE SAD WITH REH ISOLATED FORM;Lo;0;AL;<isolated> 0635 0631;;;;N;;;;;
        "\uFD10",  # ;ARABIC LIGATURE DAD WITH REH ISOLATED FORM;Lo;0;AL;<isolated> 0636 0631;;;;N;;;;;
        "\uFD11",  # ;ARABIC LIGATURE TAH WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 0637 0649;;;;N;;;;;
        "\uFD12",  # ;ARABIC LIGATURE TAH WITH YEH FINAL FORM;Lo;0;AL;<final> 0637 064A;;;;N;;;;;
        "\uFD13",  # ;ARABIC LIGATURE AIN WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 0639 0649;;;;N;;;;;
        "\uFD14",  # ;ARABIC LIGATURE AIN WITH YEH FINAL FORM;Lo;0;AL;<final> 0639 064A;;;;N;;;;;
        "\uFD15",  # ;ARABIC LIGATURE GHAIN WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 063A 0649;;;;N;;;;;
        "\uFD16",  # ;ARABIC LIGATURE GHAIN WITH YEH FINAL FORM;Lo;0;AL;<final> 063A 064A;;;;N;;;;;
        "\uFD17",  # ;ARABIC LIGATURE SEEN WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 0633 0649;;;;N;;;;;
        "\uFD18",  # ;ARABIC LIGATURE SEEN WITH YEH FINAL FORM;Lo;0;AL;<final> 0633 064A;;;;N;;;;;
        "\uFD19",  # ;ARABIC LIGATURE SHEEN WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 0634 0649;;;;N;;;;;
        "\uFD1A",  # ;ARABIC LIGATURE SHEEN WITH YEH FINAL FORM;Lo;0;AL;<final> 0634 064A;;;;N;;;;;
        "\uFD1B",  # ;ARABIC LIGATURE HAH WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 062D 0649;;;;N;;;;;
        "\uFD1C",  # ;ARABIC LIGATURE HAH WITH YEH FINAL FORM;Lo;0;AL;<final> 062D 064A;;;;N;;;;;
        "\uFD1D",  # ;ARABIC LIGATURE JEEM WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 062C 0649;;;;N;;;;;
        "\uFD1E",  # ;ARABIC LIGATURE JEEM WITH YEH FINAL FORM;Lo;0;AL;<final> 062C 064A;;;;N;;;;;
        "\uFD1F",  # ;ARABIC LIGATURE KHAH WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 062E 0649;;;;N;;;;;
        "\uFD20",  # ;ARABIC LIGATURE KHAH WITH YEH FINAL FORM;Lo;0;AL;<final> 062E 064A;;;;N;;;;;
        "\uFD21",  # ;ARABIC LIGATURE SAD WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 0635 0649;;;;N;;;;;
        "\uFD22",  # ;ARABIC LIGATURE SAD WITH YEH FINAL FORM;Lo;0;AL;<final> 0635 064A;;;;N;;;;;
        "\uFD23",  # ;ARABIC LIGATURE DAD WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 0636 0649;;;;N;;;;;
        "\uFD24",  # ;ARABIC LIGATURE DAD WITH YEH FINAL FORM;Lo;0;AL;<final> 0636 064A;;;;N;;;;;
        "\uFD25",  # ;ARABIC LIGATURE SHEEN WITH JEEM FINAL FORM;Lo;0;AL;<final> 0634 062C;;;;N;;;;;
        "\uFD26",  # ;ARABIC LIGATURE SHEEN WITH HAH FINAL FORM;Lo;0;AL;<final> 0634 062D;;;;N;;;;;
        "\uFD27",  # ;ARABIC LIGATURE SHEEN WITH KHAH FINAL FORM;Lo;0;AL;<final> 0634 062E;;;;N;;;;;
        "\uFD28",  # ;ARABIC LIGATURE SHEEN WITH MEEM FINAL FORM;Lo;0;AL;<final> 0634 0645;;;;N;;;;;
        "\uFD29",  # ;ARABIC LIGATURE SHEEN WITH REH FINAL FORM;Lo;0;AL;<final> 0634 0631;;;;N;;;;;
        "\uFD2A",  # ;ARABIC LIGATURE SEEN WITH REH FINAL FORM;Lo;0;AL;<final> 0633 0631;;;;N;;;;;
        "\uFD2B",  # ;ARABIC LIGATURE SAD WITH REH FINAL FORM;Lo;0;AL;<final> 0635 0631;;;;N;;;;;
        "\uFD2C",  # ;ARABIC LIGATURE DAD WITH REH FINAL FORM;Lo;0;AL;<final> 0636 0631;;;;N;;;;;
        "\uFD2D",  # ;ARABIC LIGATURE SHEEN WITH JEEM INITIAL FORM;Lo;0;AL;<initial> 0634 062C;;;;N;;;;;
        "\uFD2E",  # ;ARABIC LIGATURE SHEEN WITH HAH INITIAL FORM;Lo;0;AL;<initial> 0634 062D;;;;N;;;;;
        "\uFD2F",  # ;ARABIC LIGATURE SHEEN WITH KHAH INITIAL FORM;Lo;0;AL;<initial> 0634 062E;;;;N;;;;;
        "\uFD30",  # ;ARABIC LIGATURE SHEEN WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0634 0645;;;;N;;;;;
        "\uFD31",  # ;ARABIC LIGATURE SEEN WITH HEH INITIAL FORM;Lo;0;AL;<initial> 0633 0647;;;;N;;;;;
        "\uFD32",  # ;ARABIC LIGATURE SHEEN WITH HEH INITIAL FORM;Lo;0;AL;<initial> 0634 0647;;;;N;;;;;
        "\uFD33",  # ;ARABIC LIGATURE TAH WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0637 0645;;;;N;;;;;
        "\uFD34",  # ;ARABIC LIGATURE SEEN WITH JEEM MEDIAL FORM;Lo;0;AL;<medial> 0633 062C;;;;N;;;;;
        "\uFD35",  # ;ARABIC LIGATURE SEEN WITH HAH MEDIAL FORM;Lo;0;AL;<medial> 0633 062D;;;;N;;;;;
        "\uFD36",  # ;ARABIC LIGATURE SEEN WITH KHAH MEDIAL FORM;Lo;0;AL;<medial> 0633 062E;;;;N;;;;;
        "\uFD37",  # ;ARABIC LIGATURE SHEEN WITH JEEM MEDIAL FORM;Lo;0;AL;<medial> 0634 062C;;;;N;;;;;
        "\uFD38",  # ;ARABIC LIGATURE SHEEN WITH HAH MEDIAL FORM;Lo;0;AL;<medial> 0634 062D;;;;N;;;;;
        "\uFD39",  # ;ARABIC LIGATURE SHEEN WITH KHAH MEDIAL FORM;Lo;0;AL;<medial> 0634 062E;;;;N;;;;;
        "\uFD3A",  # ;ARABIC LIGATURE TAH WITH MEEM MEDIAL FORM;Lo;0;AL;<medial> 0637 0645;;;;N;;;;;
        "\uFD3B",  # ;ARABIC LIGATURE ZAH WITH MEEM MEDIAL FORM;Lo;0;AL;<medial> 0638 0645;;;;N;;;;;
        "\uFD3C",  # ;ARABIC LIGATURE ALEF WITH FATHATAN FINAL FORM;Lo;0;AL;<final> 0627 064B;;;;N;;;;;
        "\uFD3D",  # ;ARABIC LIGATURE ALEF WITH FATHATAN ISOLATED FORM;Lo;0;AL;<isolated> 0627 064B;;;;N;;;;;
        "\uFD3E",  # ;ORNATE LEFT PARENTHESIS;Pe;0;ON;;;;;N;;;;;
        "\uFD3F",  # ;ORNATE RIGHT PARENTHESIS;Ps;0;ON;;;;;N;;;;;
        "\uFD50",  # ;ARABIC LIGATURE TEH WITH JEEM WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 062A 062C 0645;;;;N;;;;;
        "\uFD51",  # ;ARABIC LIGATURE TEH WITH HAH WITH JEEM FINAL FORM;Lo;0;AL;<final> 062A 062D 062C;;;;N;;;;;
        "\uFD52",  # ;ARABIC LIGATURE TEH WITH HAH WITH JEEM INITIAL FORM;Lo;0;AL;<initial> 062A 062D 062C;;;;N;;;;;
        "\uFD53",  # ;ARABIC LIGATURE TEH WITH HAH WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 062A 062D 0645;;;;N;;;;;
        "\uFD54",  # ;ARABIC LIGATURE TEH WITH KHAH WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 062A 062E 0645;;;;N;;;;;
        "\uFD55",  # ;ARABIC LIGATURE TEH WITH MEEM WITH JEEM INITIAL FORM;Lo;0;AL;<initial> 062A 0645 062C;;;;N;;;;;
        "\uFD56",  # ;ARABIC LIGATURE TEH WITH MEEM WITH HAH INITIAL FORM;Lo;0;AL;<initial> 062A 0645 062D;;;;N;;;;;
        "\uFD57",  # ;ARABIC LIGATURE TEH WITH MEEM WITH KHAH INITIAL FORM;Lo;0;AL;<initial> 062A 0645 062E;;;;N;;;;;
        "\uFD58",  # ;ARABIC LIGATURE JEEM WITH MEEM WITH HAH FINAL FORM;Lo;0;AL;<final> 062C 0645 062D;;;;N;;;;;
        "\uFD59",  # ;ARABIC LIGATURE JEEM WITH MEEM WITH HAH INITIAL FORM;Lo;0;AL;<initial> 062C 0645 062D;;;;N;;;;;
        "\uFD5A",  # ;ARABIC LIGATURE HAH WITH MEEM WITH YEH FINAL FORM;Lo;0;AL;<final> 062D 0645 064A;;;;N;;;;;
        "\uFD5B",  # ;ARABIC LIGATURE HAH WITH MEEM WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 062D 0645 0649;;;;N;;;;;
        "\uFD5C",  # ;ARABIC LIGATURE SEEN WITH HAH WITH JEEM INITIAL FORM;Lo;0;AL;<initial> 0633 062D 062C;;;;N;;;;;
        "\uFD5D",  # ;ARABIC LIGATURE SEEN WITH JEEM WITH HAH INITIAL FORM;Lo;0;AL;<initial> 0633 062C 062D;;;;N;;;;;
        "\uFD5E",  # ;ARABIC LIGATURE SEEN WITH JEEM WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 0633 062C 0649;;;;N;;;;;
        "\uFD5F",  # ;ARABIC LIGATURE SEEN WITH MEEM WITH HAH FINAL FORM;Lo;0;AL;<final> 0633 0645 062D;;;;N;;;;;
        "\uFD60",  # ;ARABIC LIGATURE SEEN WITH MEEM WITH HAH INITIAL FORM;Lo;0;AL;<initial> 0633 0645 062D;;;;N;;;;;
        "\uFD61",  # ;ARABIC LIGATURE SEEN WITH MEEM WITH JEEM INITIAL FORM;Lo;0;AL;<initial> 0633 0645 062C;;;;N;;;;;
        "\uFD62",  # ;ARABIC LIGATURE SEEN WITH MEEM WITH MEEM FINAL FORM;Lo;0;AL;<final> 0633 0645 0645;;;;N;;;;;
        "\uFD63",  # ;ARABIC LIGATURE SEEN WITH MEEM WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0633 0645 0645;;;;N;;;;;
        "\uFD64",  # ;ARABIC LIGATURE SAD WITH HAH WITH HAH FINAL FORM;Lo;0;AL;<final> 0635 062D 062D;;;;N;;;;;
        "\uFD65",  # ;ARABIC LIGATURE SAD WITH HAH WITH HAH INITIAL FORM;Lo;0;AL;<initial> 0635 062D 062D;;;;N;;;;;
        "\uFD66",  # ;ARABIC LIGATURE SAD WITH MEEM WITH MEEM FINAL FORM;Lo;0;AL;<final> 0635 0645 0645;;;;N;;;;;
        "\uFD67",  # ;ARABIC LIGATURE SHEEN WITH HAH WITH MEEM FINAL FORM;Lo;0;AL;<final> 0634 062D 0645;;;;N;;;;;
        "\uFD68",  # ;ARABIC LIGATURE SHEEN WITH HAH WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0634 062D 0645;;;;N;;;;;
        "\uFD69",  # ;ARABIC LIGATURE SHEEN WITH JEEM WITH YEH FINAL FORM;Lo;0;AL;<final> 0634 062C 064A;;;;N;;;;;
        "\uFD6A",  # ;ARABIC LIGATURE SHEEN WITH MEEM WITH KHAH FINAL FORM;Lo;0;AL;<final> 0634 0645 062E;;;;N;;;;;
        "\uFD6B",  # ;ARABIC LIGATURE SHEEN WITH MEEM WITH KHAH INITIAL FORM;Lo;0;AL;<initial> 0634 0645 062E;;;;N;;;;;
        "\uFD6C",  # ;ARABIC LIGATURE SHEEN WITH MEEM WITH MEEM FINAL FORM;Lo;0;AL;<final> 0634 0645 0645;;;;N;;;;;
        "\uFD6D",  # ;ARABIC LIGATURE SHEEN WITH MEEM WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0634 0645 0645;;;;N;;;;;
        "\uFD6E",  # ;ARABIC LIGATURE DAD WITH HAH WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 0636 062D 0649;;;;N;;;;;
        "\uFD6F",  # ;ARABIC LIGATURE DAD WITH KHAH WITH MEEM FINAL FORM;Lo;0;AL;<final> 0636 062E 0645;;;;N;;;;;
        "\uFD70",  # ;ARABIC LIGATURE DAD WITH KHAH WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0636 062E 0645;;;;N;;;;;
        "\uFD71",  # ;ARABIC LIGATURE TAH WITH MEEM WITH HAH FINAL FORM;Lo;0;AL;<final> 0637 0645 062D;;;;N;;;;;
        "\uFD72",  # ;ARABIC LIGATURE TAH WITH MEEM WITH HAH INITIAL FORM;Lo;0;AL;<initial> 0637 0645 062D;;;;N;;;;;
        "\uFD73",  # ;ARABIC LIGATURE TAH WITH MEEM WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0637 0645 0645;;;;N;;;;;
        "\uFD74",  # ;ARABIC LIGATURE TAH WITH MEEM WITH YEH FINAL FORM;Lo;0;AL;<final> 0637 0645 064A;;;;N;;;;;
        "\uFD75",  # ;ARABIC LIGATURE AIN WITH JEEM WITH MEEM FINAL FORM;Lo;0;AL;<final> 0639 062C 0645;;;;N;;;;;
        "\uFD76",  # ;ARABIC LIGATURE AIN WITH MEEM WITH MEEM FINAL FORM;Lo;0;AL;<final> 0639 0645 0645;;;;N;;;;;
        "\uFD77",  # ;ARABIC LIGATURE AIN WITH MEEM WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0639 0645 0645;;;;N;;;;;
        "\uFD78",  # ;ARABIC LIGATURE AIN WITH MEEM WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 0639 0645 0649;;;;N;;;;;
        "\uFD79",  # ;ARABIC LIGATURE GHAIN WITH MEEM WITH MEEM FINAL FORM;Lo;0;AL;<final> 063A 0645 0645;;;;N;;;;;
        "\uFD7A",  # ;ARABIC LIGATURE GHAIN WITH MEEM WITH YEH FINAL FORM;Lo;0;AL;<final> 063A 0645 064A;;;;N;;;;;
        "\uFD7B",  # ;ARABIC LIGATURE GHAIN WITH MEEM WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 063A 0645 0649;;;;N;;;;;
        "\uFD7C",  # ;ARABIC LIGATURE FEH WITH KHAH WITH MEEM FINAL FORM;Lo;0;AL;<final> 0641 062E 0645;;;;N;;;;;
        "\uFD7D",  # ;ARABIC LIGATURE FEH WITH KHAH WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0641 062E 0645;;;;N;;;;;
        "\uFD7E",  # ;ARABIC LIGATURE QAF WITH MEEM WITH HAH FINAL FORM;Lo;0;AL;<final> 0642 0645 062D;;;;N;;;;;
        "\uFD7F",  # ;ARABIC LIGATURE QAF WITH MEEM WITH MEEM FINAL FORM;Lo;0;AL;<final> 0642 0645 0645;;;;N;;;;;
        "\uFD80",  # ;ARABIC LIGATURE LAM WITH HAH WITH MEEM FINAL FORM;Lo;0;AL;<final> 0644 062D 0645;;;;N;;;;;
        "\uFD81",  # ;ARABIC LIGATURE LAM WITH HAH WITH YEH FINAL FORM;Lo;0;AL;<final> 0644 062D 064A;;;;N;;;;;
        "\uFD82",  # ;ARABIC LIGATURE LAM WITH HAH WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 0644 062D 0649;;;;N;;;;;
        "\uFD83",  # ;ARABIC LIGATURE LAM WITH JEEM WITH JEEM INITIAL FORM;Lo;0;AL;<initial> 0644 062C 062C;;;;N;;;;;
        "\uFD84",  # ;ARABIC LIGATURE LAM WITH JEEM WITH JEEM FINAL FORM;Lo;0;AL;<final> 0644 062C 062C;;;;N;;;;;
        "\uFD85",  # ;ARABIC LIGATURE LAM WITH KHAH WITH MEEM FINAL FORM;Lo;0;AL;<final> 0644 062E 0645;;;;N;;;;;
        "\uFD86",  # ;ARABIC LIGATURE LAM WITH KHAH WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0644 062E 0645;;;;N;;;;;
        "\uFD87",  # ;ARABIC LIGATURE LAM WITH MEEM WITH HAH FINAL FORM;Lo;0;AL;<final> 0644 0645 062D;;;;N;;;;;
        "\uFD88",  # ;ARABIC LIGATURE LAM WITH MEEM WITH HAH INITIAL FORM;Lo;0;AL;<initial> 0644 0645 062D;;;;N;;;;;
        "\uFD89",  # ;ARABIC LIGATURE MEEM WITH HAH WITH JEEM INITIAL FORM;Lo;0;AL;<initial> 0645 062D 062C;;;;N;;;;;
        "\uFD8A",  # ;ARABIC LIGATURE MEEM WITH HAH WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0645 062D 0645;;;;N;;;;;
        "\uFD8B",  # ;ARABIC LIGATURE MEEM WITH HAH WITH YEH FINAL FORM;Lo;0;AL;<final> 0645 062D 064A;;;;N;;;;;
        "\uFD8C",  # ;ARABIC LIGATURE MEEM WITH JEEM WITH HAH INITIAL FORM;Lo;0;AL;<initial> 0645 062C 062D;;;;N;;;;;
        "\uFD8D",  # ;ARABIC LIGATURE MEEM WITH JEEM WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0645 062C 0645;;;;N;;;;;
        "\uFD8E",  # ;ARABIC LIGATURE MEEM WITH KHAH WITH JEEM INITIAL FORM;Lo;0;AL;<initial> 0645 062E 062C;;;;N;;;;;
        "\uFD8F",  # ;ARABIC LIGATURE MEEM WITH KHAH WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0645 062E 0645;;;;N;;;;;
        "\uFD92",  # ;ARABIC LIGATURE MEEM WITH JEEM WITH KHAH INITIAL FORM;Lo;0;AL;<initial> 0645 062C 062E;;;;N;;;;;
        "\uFD93",  # ;ARABIC LIGATURE HEH WITH MEEM WITH JEEM INITIAL FORM;Lo;0;AL;<initial> 0647 0645 062C;;;;N;;;;;
        "\uFD94",  # ;ARABIC LIGATURE HEH WITH MEEM WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0647 0645 0645;;;;N;;;;;
        "\uFD95",  # ;ARABIC LIGATURE NOON WITH HAH WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0646 062D 0645;;;;N;;;;;
        "\uFD96",  # ;ARABIC LIGATURE NOON WITH HAH WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 0646 062D 0649;;;;N;;;;;
        "\uFD97",  # ;ARABIC LIGATURE NOON WITH JEEM WITH MEEM FINAL FORM;Lo;0;AL;<final> 0646 062C 0645;;;;N;;;;;
        "\uFD98",  # ;ARABIC LIGATURE NOON WITH JEEM WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0646 062C 0645;;;;N;;;;;
        "\uFD99",  # ;ARABIC LIGATURE NOON WITH JEEM WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 0646 062C 0649;;;;N;;;;;
        "\uFD9A",  # ;ARABIC LIGATURE NOON WITH MEEM WITH YEH FINAL FORM;Lo;0;AL;<final> 0646 0645 064A;;;;N;;;;;
        "\uFD9B",  # ;ARABIC LIGATURE NOON WITH MEEM WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 0646 0645 0649;;;;N;;;;;
        "\uFD9C",  # ;ARABIC LIGATURE YEH WITH MEEM WITH MEEM FINAL FORM;Lo;0;AL;<final> 064A 0645 0645;;;;N;;;;;
        "\uFD9D",  # ;ARABIC LIGATURE YEH WITH MEEM WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 064A 0645 0645;;;;N;;;;;
        "\uFD9E",  # ;ARABIC LIGATURE BEH WITH KHAH WITH YEH FINAL FORM;Lo;0;AL;<final> 0628 062E 064A;;;;N;;;;;
        "\uFD9F",  # ;ARABIC LIGATURE TEH WITH JEEM WITH YEH FINAL FORM;Lo;0;AL;<final> 062A 062C 064A;;;;N;;;;;
        "\uFDA0",  # ;ARABIC LIGATURE TEH WITH JEEM WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 062A 062C 0649;;;;N;;;;;
        "\uFDA1",  # ;ARABIC LIGATURE TEH WITH KHAH WITH YEH FINAL FORM;Lo;0;AL;<final> 062A 062E 064A;;;;N;;;;;
        "\uFDA2",  # ;ARABIC LIGATURE TEH WITH KHAH WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 062A 062E 0649;;;;N;;;;;
        "\uFDA3",  # ;ARABIC LIGATURE TEH WITH MEEM WITH YEH FINAL FORM;Lo;0;AL;<final> 062A 0645 064A;;;;N;;;;;
        "\uFDA4",  # ;ARABIC LIGATURE TEH WITH MEEM WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 062A 0645 0649;;;;N;;;;;
        "\uFDA5",  # ;ARABIC LIGATURE JEEM WITH MEEM WITH YEH FINAL FORM;Lo;0;AL;<final> 062C 0645 064A;;;;N;;;;;
        "\uFDA6",  # ;ARABIC LIGATURE JEEM WITH HAH WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 062C 062D 0649;;;;N;;;;;
        "\uFDA7",  # ;ARABIC LIGATURE JEEM WITH MEEM WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 062C 0645 0649;;;;N;;;;;
        "\uFDA8",  # ;ARABIC LIGATURE SEEN WITH KHAH WITH ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 0633 062E 0649;;;;N;;;;;
        "\uFDA9",  # ;ARABIC LIGATURE SAD WITH HAH WITH YEH FINAL FORM;Lo;0;AL;<final> 0635 062D 064A;;;;N;;;;;
        "\uFDAA",  # ;ARABIC LIGATURE SHEEN WITH HAH WITH YEH FINAL FORM;Lo;0;AL;<final> 0634 062D 064A;;;;N;;;;;
        "\uFDAB",  # ;ARABIC LIGATURE DAD WITH HAH WITH YEH FINAL FORM;Lo;0;AL;<final> 0636 062D 064A;;;;N;;;;;
        "\uFDAC",  # ;ARABIC LIGATURE LAM WITH JEEM WITH YEH FINAL FORM;Lo;0;AL;<final> 0644 062C 064A;;;;N;;;;;
        "\uFDAD",  # ;ARABIC LIGATURE LAM WITH MEEM WITH YEH FINAL FORM;Lo;0;AL;<final> 0644 0645 064A;;;;N;;;;;
        "\uFDAE",  # ;ARABIC LIGATURE YEH WITH HAH WITH YEH FINAL FORM;Lo;0;AL;<final> 064A 062D 064A;;;;N;;;;;
        "\uFDAF",  # ;ARABIC LIGATURE YEH WITH JEEM WITH YEH FINAL FORM;Lo;0;AL;<final> 064A 062C 064A;;;;N;;;;;
        "\uFDB0",  # ;ARABIC LIGATURE YEH WITH MEEM WITH YEH FINAL FORM;Lo;0;AL;<final> 064A 0645 064A;;;;N;;;;;
        "\uFDB1",  # ;ARABIC LIGATURE MEEM WITH MEEM WITH YEH FINAL FORM;Lo;0;AL;<final> 0645 0645 064A;;;;N;;;;;
        "\uFDB2",  # ;ARABIC LIGATURE QAF WITH MEEM WITH YEH FINAL FORM;Lo;0;AL;<final> 0642 0645 064A;;;;N;;;;;
        "\uFDB3",  # ;ARABIC LIGATURE NOON WITH HAH WITH YEH FINAL FORM;Lo;0;AL;<final> 0646 062D 064A;;;;N;;;;;
        "\uFDB4",  # ;ARABIC LIGATURE QAF WITH MEEM WITH HAH INITIAL FORM;Lo;0;AL;<initial> 0642 0645 062D;;;;N;;;;;
        "\uFDB5",  # ;ARABIC LIGATURE LAM WITH HAH WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0644 062D 0645;;;;N;;;;;
        "\uFDB6",  # ;ARABIC LIGATURE AIN WITH MEEM WITH YEH FINAL FORM;Lo;0;AL;<final> 0639 0645 064A;;;;N;;;;;
        "\uFDB7",  # ;ARABIC LIGATURE KAF WITH MEEM WITH YEH FINAL FORM;Lo;0;AL;<final> 0643 0645 064A;;;;N;;;;;
        "\uFDB8",  # ;ARABIC LIGATURE NOON WITH JEEM WITH HAH INITIAL FORM;Lo;0;AL;<initial> 0646 062C 062D;;;;N;;;;;
        "\uFDB9",  # ;ARABIC LIGATURE MEEM WITH KHAH WITH YEH FINAL FORM;Lo;0;AL;<final> 0645 062E 064A;;;;N;;;;;
        "\uFDBA",  # ;ARABIC LIGATURE LAM WITH JEEM WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0644 062C 0645;;;;N;;;;;
        "\uFDBB",  # ;ARABIC LIGATURE KAF WITH MEEM WITH MEEM FINAL FORM;Lo;0;AL;<final> 0643 0645 0645;;;;N;;;;;
        "\uFDBC",  # ;ARABIC LIGATURE LAM WITH JEEM WITH MEEM FINAL FORM;Lo;0;AL;<final> 0644 062C 0645;;;;N;;;;;
        "\uFDBD",  # ;ARABIC LIGATURE NOON WITH JEEM WITH HAH FINAL FORM;Lo;0;AL;<final> 0646 062C 062D;;;;N;;;;;
        "\uFDBE",  # ;ARABIC LIGATURE JEEM WITH HAH WITH YEH FINAL FORM;Lo;0;AL;<final> 062C 062D 064A;;;;N;;;;;
        "\uFDBF",  # ;ARABIC LIGATURE HAH WITH JEEM WITH YEH FINAL FORM;Lo;0;AL;<final> 062D 062C 064A;;;;N;;;;;
        "\uFDC0",  # ;ARABIC LIGATURE MEEM WITH JEEM WITH YEH FINAL FORM;Lo;0;AL;<final> 0645 062C 064A;;;;N;;;;;
        "\uFDC1",  # ;ARABIC LIGATURE FEH WITH MEEM WITH YEH FINAL FORM;Lo;0;AL;<final> 0641 0645 064A;;;;N;;;;;
        "\uFDC2",  # ;ARABIC LIGATURE BEH WITH HAH WITH YEH FINAL FORM;Lo;0;AL;<final> 0628 062D 064A;;;;N;;;;;
        "\uFDC3",  # ;ARABIC LIGATURE KAF WITH MEEM WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0643 0645 0645;;;;N;;;;;
        "\uFDC4",  # ;ARABIC LIGATURE AIN WITH JEEM WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0639 062C 0645;;;;N;;;;;
        "\uFDC5",  # ;ARABIC LIGATURE SAD WITH MEEM WITH MEEM INITIAL FORM;Lo;0;AL;<initial> 0635 0645 0645;;;;N;;;;;
        "\uFDC6",  # ;ARABIC LIGATURE SEEN WITH KHAH WITH YEH FINAL FORM;Lo;0;AL;<final> 0633 062E 064A;;;;N;;;;;
        "\uFDC7",  # ;ARABIC LIGATURE NOON WITH JEEM WITH YEH FINAL FORM;Lo;0;AL;<final> 0646 062C 064A;;;;N;;;;;
        "\uFDF0",  # ;ARABIC LIGATURE SALLA USED AS KORANIC STOP SIGN ISOLATED FORM;Lo;0;AL;<isolated> 0635 0644 06D2;;;;N;;;;;
        "\uFDF1",  # ;ARABIC LIGATURE QALA USED AS KORANIC STOP SIGN ISOLATED FORM;Lo;0;AL;<isolated> 0642 0644 06D2;;;;N;;;;;
        "\uFDF2",  # ;ARABIC LIGATURE ALLAH ISOLATED FORM;Lo;0;AL;<isolated> 0627 0644 0644 0647;;;;N;;;;;
        "\uFDF3",  # ;ARABIC LIGATURE AKBAR ISOLATED FORM;Lo;0;AL;<isolated> 0627 0643 0628 0631;;;;N;;;;;
        "\uFDF4",  # ;ARABIC LIGATURE MOHAMMAD ISOLATED FORM;Lo;0;AL;<isolated> 0645 062D 0645 062F;;;;N;;;;;
        "\uFDF5",  # ;ARABIC LIGATURE SALAM ISOLATED FORM;Lo;0;AL;<isolated> 0635 0644 0639 0645;;;;N;;;;;
        "\uFDF6",  # ;ARABIC LIGATURE RASOUL ISOLATED FORM;Lo;0;AL;<isolated> 0631 0633 0648 0644;;;;N;;;;;
        "\uFDF7",  # ;ARABIC LIGATURE ALAYHE ISOLATED FORM;Lo;0;AL;<isolated> 0639 0644 064A 0647;;;;N;;;;;
        "\uFDF8",  # ;ARABIC LIGATURE WASALLAM ISOLATED FORM;Lo;0;AL;<isolated> 0648 0633 0644 0645;;;;N;;;;;
        "\uFDF9",  # ;ARABIC LIGATURE SALLA ISOLATED FORM;Lo;0;AL;<isolated> 0635 0644 0649;;;;N;;;;;
        "\uFDFA",  # ;ARABIC LIGATURE SALLALLAHOU ALAYHE WASALLAM;Lo;0;AL;<isolated> 0635 0644 0649 0020 0627 0644 0644 0647 0020 0639 0644 064A 0647 0020 0648 0633 0644 0645;;;;N;ARABIC LETTER SALLALLAHOU ALAYHE WASALLAM;;;;
        "\uFDFB",  # ;ARABIC LIGATURE JALLAJALALOUHOU;Lo;0;AL;<isolated> 062C 0644 0020 062C 0644 0627 0644 0647;;;;N;ARABIC LETTER JALLAJALALOUHOU;;;;
        "\uFDFC",  # ;RIAL SIGN;Sc;0;AL;<isolated> 0631 06CC 0627 0644;;;;N;;;;;
        "\uFDFD",  # ;ARABIC LIGATURE BISMILLAH AR-RAHMAN AR-RAHEEM;So;0;ON;;;;;N;;;;;
        "\uFE00",  # ;VARIATION SELECTOR-1;Mn;0;NSM;;;;;N;;;;;
        "\uFE01",  # ;VARIATION SELECTOR-2;Mn;0;NSM;;;;;N;;;;;
        "\uFE02",  # ;VARIATION SELECTOR-3;Mn;0;NSM;;;;;N;;;;;
        "\uFE03",  # ;VARIATION SELECTOR-4;Mn;0;NSM;;;;;N;;;;;
        "\uFE04",  # ;VARIATION SELECTOR-5;Mn;0;NSM;;;;;N;;;;;
        "\uFE05",  # ;VARIATION SELECTOR-6;Mn;0;NSM;;;;;N;;;;;
        "\uFE06",  # ;VARIATION SELECTOR-7;Mn;0;NSM;;;;;N;;;;;
        "\uFE07",  # ;VARIATION SELECTOR-8;Mn;0;NSM;;;;;N;;;;;
        "\uFE08",  # ;VARIATION SELECTOR-9;Mn;0;NSM;;;;;N;;;;;
        "\uFE09",  # ;VARIATION SELECTOR-10;Mn;0;NSM;;;;;N;;;;;
        "\uFE0A",  # ;VARIATION SELECTOR-11;Mn;0;NSM;;;;;N;;;;;
        "\uFE0B",  # ;VARIATION SELECTOR-12;Mn;0;NSM;;;;;N;;;;;
        "\uFE0C",  # ;VARIATION SELECTOR-13;Mn;0;NSM;;;;;N;;;;;
        "\uFE0D",  # ;VARIATION SELECTOR-14;Mn;0;NSM;;;;;N;;;;;
        "\uFE0E",  # ;VARIATION SELECTOR-15;Mn;0;NSM;;;;;N;;;;;
        "\uFE0F",  # ;VARIATION SELECTOR-16;Mn;0;NSM;;;;;N;;;;;
        "\uFE10",  # ;PRESENTATION FORM FOR VERTICAL COMMA;Po;0;ON;<vertical> 002C;;;;N;;;;;
        "\uFE11",  # ;PRESENTATION FORM FOR VERTICAL IDEOGRAPHIC COMMA;Po;0;ON;<vertical> 3001;;;;N;;;;;
        "\uFE12",  # ;PRESENTATION FORM FOR VERTICAL IDEOGRAPHIC FULL STOP;Po;0;ON;<vertical> 3002;;;;N;;;;;
        "\uFE13",  # ;PRESENTATION FORM FOR VERTICAL COLON;Po;0;ON;<vertical> 003A;;;;N;;;;;
        "\uFE14",  # ;PRESENTATION FORM FOR VERTICAL SEMICOLON;Po;0;ON;<vertical> 003B;;;;N;;;;;
        "\uFE15",  # ;PRESENTATION FORM FOR VERTICAL EXCLAMATION MARK;Po;0;ON;<vertical> 0021;;;;N;;;;;
        "\uFE16",  # ;PRESENTATION FORM FOR VERTICAL QUESTION MARK;Po;0;ON;<vertical> 003F;;;;N;;;;;
        "\uFE17",  # ;PRESENTATION FORM FOR VERTICAL LEFT WHITE LENTICULAR BRACKET;Ps;0;ON;<vertical> 3016;;;;N;;;;;
        "\uFE18",  # ;PRESENTATION FORM FOR VERTICAL RIGHT WHITE LENTICULAR BRAKCET;Pe;0;ON;<vertical> 3017;;;;N;;;;;
        "\uFE19",  # ;PRESENTATION FORM FOR VERTICAL HORIZONTAL ELLIPSIS;Po;0;ON;<vertical> 2026;;;;N;;;;;
        "\uFE20",  # ;COMBINING LIGATURE LEFT HALF;Mn;230;NSM;;;;;N;;;;;
        "\uFE21",  # ;COMBINING LIGATURE RIGHT HALF;Mn;230;NSM;;;;;N;;;;;
        "\uFE22",  # ;COMBINING DOUBLE TILDE LEFT HALF;Mn;230;NSM;;;;;N;;;;;
        "\uFE23",  # ;COMBINING DOUBLE TILDE RIGHT HALF;Mn;230;NSM;;;;;N;;;;;
        "\uFE24",  # ;COMBINING MACRON LEFT HALF;Mn;230;NSM;;;;;N;;;;;
        "\uFE25",  # ;COMBINING MACRON RIGHT HALF;Mn;230;NSM;;;;;N;;;;;
        "\uFE26",  # ;COMBINING CONJOINING MACRON;Mn;230;NSM;;;;;N;;;;;
        "\uFE27",  # ;COMBINING LIGATURE LEFT HALF BELOW;Mn;220;NSM;;;;;N;;;;;
        "\uFE28",  # ;COMBINING LIGATURE RIGHT HALF BELOW;Mn;220;NSM;;;;;N;;;;;
        "\uFE29",  # ;COMBINING TILDE LEFT HALF BELOW;Mn;220;NSM;;;;;N;;;;;
        "\uFE2A",  # ;COMBINING TILDE RIGHT HALF BELOW;Mn;220;NSM;;;;;N;;;;;
        "\uFE2B",  # ;COMBINING MACRON LEFT HALF BELOW;Mn;220;NSM;;;;;N;;;;;
        "\uFE2C",  # ;COMBINING MACRON RIGHT HALF BELOW;Mn;220;NSM;;;;;N;;;;;
        "\uFE2D",  # ;COMBINING CONJOINING MACRON BELOW;Mn;220;NSM;;;;;N;;;;;
        "\uFE2E",  # ;COMBINING CYRILLIC TITLO LEFT HALF;Mn;230;NSM;;;;;N;;;;;
        "\uFE2F",  # ;COMBINING CYRILLIC TITLO RIGHT HALF;Mn;230;NSM;;;;;N;;;;;
        "\uFE30",  # ;PRESENTATION FORM FOR VERTICAL TWO DOT LEADER;Po;0;ON;<vertical> 2025;;;;N;GLYPH FOR VERTICAL TWO DOT LEADER;;;;
        "\uFE31",  # ;PRESENTATION FORM FOR VERTICAL EM DASH;Pd;0;ON;<vertical> 2014;;;;N;GLYPH FOR VERTICAL EM DASH;;;;
        "\uFE32",  # ;PRESENTATION FORM FOR VERTICAL EN DASH;Pd;0;ON;<vertical> 2013;;;;N;GLYPH FOR VERTICAL EN DASH;;;;
        "\uFE33",  # ;PRESENTATION FORM FOR VERTICAL LOW LINE;Pc;0;ON;<vertical> 005F;;;;N;GLYPH FOR VERTICAL SPACING UNDERSCORE;;;;
        "\uFE34",  # ;PRESENTATION FORM FOR VERTICAL WAVY LOW LINE;Pc;0;ON;<vertical> 005F;;;;N;GLYPH FOR VERTICAL SPACING WAVY UNDERSCORE;;;;
        "\uFE35",  # ;PRESENTATION FORM FOR VERTICAL LEFT PARENTHESIS;Ps;0;ON;<vertical> 0028;;;;N;GLYPH FOR VERTICAL OPENING PARENTHESIS;;;;
        "\uFE36",  # ;PRESENTATION FORM FOR VERTICAL RIGHT PARENTHESIS;Pe;0;ON;<vertical> 0029;;;;N;GLYPH FOR VERTICAL CLOSING PARENTHESIS;;;;
        "\uFE37",  # ;PRESENTATION FORM FOR VERTICAL LEFT CURLY BRACKET;Ps;0;ON;<vertical> 007B;;;;N;GLYPH FOR VERTICAL OPENING CURLY BRACKET;;;;
        "\uFE38",  # ;PRESENTATION FORM FOR VERTICAL RIGHT CURLY BRACKET;Pe;0;ON;<vertical> 007D;;;;N;GLYPH FOR VERTICAL CLOSING CURLY BRACKET;;;;
        "\uFE39",  # ;PRESENTATION FORM FOR VERTICAL LEFT TORTOISE SHELL BRACKET;Ps;0;ON;<vertical> 3014;;;;N;GLYPH FOR VERTICAL OPENING TORTOISE SHELL BRACKET;;;;
        "\uFE3A",  # ;PRESENTATION FORM FOR VERTICAL RIGHT TORTOISE SHELL BRACKET;Pe;0;ON;<vertical> 3015;;;;N;GLYPH FOR VERTICAL CLOSING TORTOISE SHELL BRACKET;;;;
        "\uFE3B",  # ;PRESENTATION FORM FOR VERTICAL LEFT BLACK LENTICULAR BRACKET;Ps;0;ON;<vertical> 3010;;;;N;GLYPH FOR VERTICAL OPENING BLACK LENTICULAR BRACKET;;;;
        "\uFE3C",  # ;PRESENTATION FORM FOR VERTICAL RIGHT BLACK LENTICULAR BRACKET;Pe;0;ON;<vertical> 3011;;;;N;GLYPH FOR VERTICAL CLOSING BLACK LENTICULAR BRACKET;;;;
        "\uFE3D",  # ;PRESENTATION FORM FOR VERTICAL LEFT DOUBLE ANGLE BRACKET;Ps;0;ON;<vertical> 300A;;;;N;GLYPH FOR VERTICAL OPENING DOUBLE ANGLE BRACKET;;;;
        "\uFE3E",  # ;PRESENTATION FORM FOR VERTICAL RIGHT DOUBLE ANGLE BRACKET;Pe;0;ON;<vertical> 300B;;;;N;GLYPH FOR VERTICAL CLOSING DOUBLE ANGLE BRACKET;;;;
        "\uFE3F",  # ;PRESENTATION FORM FOR VERTICAL LEFT ANGLE BRACKET;Ps;0;ON;<vertical> 3008;;;;N;GLYPH FOR VERTICAL OPENING ANGLE BRACKET;;;;
        "\uFE40",  # ;PRESENTATION FORM FOR VERTICAL RIGHT ANGLE BRACKET;Pe;0;ON;<vertical> 3009;;;;N;GLYPH FOR VERTICAL CLOSING ANGLE BRACKET;;;;
        "\uFE41",  # ;PRESENTATION FORM FOR VERTICAL LEFT CORNER BRACKET;Ps;0;ON;<vertical> 300C;;;;N;GLYPH FOR VERTICAL OPENING CORNER BRACKET;;;;
        "\uFE42",  # ;PRESENTATION FORM FOR VERTICAL RIGHT CORNER BRACKET;Pe;0;ON;<vertical> 300D;;;;N;GLYPH FOR VERTICAL CLOSING CORNER BRACKET;;;;
        "\uFE43",  # ;PRESENTATION FORM FOR VERTICAL LEFT WHITE CORNER BRACKET;Ps;0;ON;<vertical> 300E;;;;N;GLYPH FOR VERTICAL OPENING WHITE CORNER BRACKET;;;;
        "\uFE44",  # ;PRESENTATION FORM FOR VERTICAL RIGHT WHITE CORNER BRACKET;Pe;0;ON;<vertical> 300F;;;;N;GLYPH FOR VERTICAL CLOSING WHITE CORNER BRACKET;;;;
        "\uFE45",  # ;SESAME DOT;Po;0;ON;;;;;N;;;;;
        "\uFE46",  # ;WHITE SESAME DOT;Po;0;ON;;;;;N;;;;;
        "\uFE47",  # ;PRESENTATION FORM FOR VERTICAL LEFT SQUARE BRACKET;Ps;0;ON;<vertical> 005B;;;;N;;;;;
        "\uFE48",  # ;PRESENTATION FORM FOR VERTICAL RIGHT SQUARE BRACKET;Pe;0;ON;<vertical> 005D;;;;N;;;;;
        "\uFE49",  # ;DASHED OVERLINE;Po;0;ON;<compat> 203E;;;;N;SPACING DASHED OVERSCORE;;;;
        "\uFE4A",  # ;CENTRELINE OVERLINE;Po;0;ON;<compat> 203E;;;;N;SPACING CENTERLINE OVERSCORE;;;;
        "\uFE4B",  # ;WAVY OVERLINE;Po;0;ON;<compat> 203E;;;;N;SPACING WAVY OVERSCORE;;;;
        "\uFE4C",  # ;DOUBLE WAVY OVERLINE;Po;0;ON;<compat> 203E;;;;N;SPACING DOUBLE WAVY OVERSCORE;;;;
        "\uFE4D",  # ;DASHED LOW LINE;Pc;0;ON;<compat> 005F;;;;N;SPACING DASHED UNDERSCORE;;;;
        "\uFE4E",  # ;CENTRELINE LOW LINE;Pc;0;ON;<compat> 005F;;;;N;SPACING CENTERLINE UNDERSCORE;;;;
        "\uFE4F",  # ;WAVY LOW LINE;Pc;0;ON;<compat> 005F;;;;N;SPACING WAVY UNDERSCORE;;;;
        "\uFE50",  # ;SMALL COMMA;Po;0;CS;<small> 002C;;;;N;;;;;
        "\uFE51",  # ;SMALL IDEOGRAPHIC COMMA;Po;0;ON;<small> 3001;;;;N;;;;;
        "\uFE52",  # ;SMALL FULL STOP;Po;0;CS;<small> 002E;;;;N;SMALL PERIOD;;;;
        "\uFE54",  # ;SMALL SEMICOLON;Po;0;ON;<small> 003B;;;;N;;;;;
        "\uFE55",  # ;SMALL COLON;Po;0;CS;<small> 003A;;;;N;;;;;
        "\uFE56",  # ;SMALL QUESTION MARK;Po;0;ON;<small> 003F;;;;N;;;;;
        "\uFE57",  # ;SMALL EXCLAMATION MARK;Po;0;ON;<small> 0021;;;;N;;;;;
        "\uFE58",  # ;SMALL EM DASH;Pd;0;ON;<small> 2014;;;;N;;;;;
        "\uFE59",  # ;SMALL LEFT PARENTHESIS;Ps;0;ON;<small> 0028;;;;Y;SMALL OPENING PARENTHESIS;;;;
        "\uFE5A",  # ;SMALL RIGHT PARENTHESIS;Pe;0;ON;<small> 0029;;;;Y;SMALL CLOSING PARENTHESIS;;;;
        "\uFE5B",  # ;SMALL LEFT CURLY BRACKET;Ps;0;ON;<small> 007B;;;;Y;SMALL OPENING CURLY BRACKET;;;;
        "\uFE5C",  # ;SMALL RIGHT CURLY BRACKET;Pe;0;ON;<small> 007D;;;;Y;SMALL CLOSING CURLY BRACKET;;;;
        "\uFE5D",  # ;SMALL LEFT TORTOISE SHELL BRACKET;Ps;0;ON;<small> 3014;;;;Y;SMALL OPENING TORTOISE SHELL BRACKET;;;;
        "\uFE5E",  # ;SMALL RIGHT TORTOISE SHELL BRACKET;Pe;0;ON;<small> 3015;;;;Y;SMALL CLOSING TORTOISE SHELL BRACKET;;;;
        "\uFE5F",  # ;SMALL NUMBER SIGN;Po;0;ET;<small> 0023;;;;N;;;;;
        "\uFE60",  # ;SMALL AMPERSAND;Po;0;ON;<small> 0026;;;;N;;;;;
        "\uFE61",  # ;SMALL ASTERISK;Po;0;ON;<small> 002A;;;;N;;;;;
        "\uFE62",  # ;SMALL PLUS SIGN;Sm;0;ES;<small> 002B;;;;N;;;;;
        "\uFE63",  # ;SMALL HYPHEN-MINUS;Pd;0;ES;<small> 002D;;;;N;;;;;
        "\uFE64",  # ;SMALL LESS-THAN SIGN;Sm;0;ON;<small> 003C;;;;Y;;;;;
        "\uFE65",  # ;SMALL GREATER-THAN SIGN;Sm;0;ON;<small> 003E;;;;Y;;;;;
        "\uFE66",  # ;SMALL EQUALS SIGN;Sm;0;ON;<small> 003D;;;;N;;;;;
        "\uFE68",  # ;SMALL REVERSE SOLIDUS;Po;0;ON;<small> 005C;;;;N;SMALL BACKSLASH;;;;
        "\uFE69",  # ;SMALL DOLLAR SIGN;Sc;0;ET;<small> 0024;;;;N;;;;;
        "\uFE6A",  # ;SMALL PERCENT SIGN;Po;0;ET;<small> 0025;;;;N;;;;;
        "\uFE6B",  # ;SMALL COMMERCIAL AT;Po;0;ON;<small> 0040;;;;N;;;;;
        "\uFE70",  # ;ARABIC FATHATAN ISOLATED FORM;Lo;0;AL;<isolated> 0020 064B;;;;N;ARABIC SPACING FATHATAN;;;;
        "\uFE71",  # ;ARABIC TATWEEL WITH FATHATAN ABOVE;Lo;0;AL;<medial> 0640 064B;;;;N;ARABIC FATHATAN ON TATWEEL;;;;
        "\uFE72",  # ;ARABIC DAMMATAN ISOLATED FORM;Lo;0;AL;<isolated> 0020 064C;;;;N;ARABIC SPACING DAMMATAN;;;;
        "\uFE73",  # ;ARABIC TAIL FRAGMENT;Lo;0;AL;;;;;N;;;;;
        "\uFE74",  # ;ARABIC KASRATAN ISOLATED FORM;Lo;0;AL;<isolated> 0020 064D;;;;N;ARABIC SPACING KASRATAN;;;;
        "\uFE76",  # ;ARABIC FATHA ISOLATED FORM;Lo;0;AL;<isolated> 0020 064E;;;;N;ARABIC SPACING FATHAH;;;;
        "\uFE77",  # ;ARABIC FATHA MEDIAL FORM;Lo;0;AL;<medial> 0640 064E;;;;N;ARABIC FATHAH ON TATWEEL;;;;
        "\uFE78",  # ;ARABIC DAMMA ISOLATED FORM;Lo;0;AL;<isolated> 0020 064F;;;;N;ARABIC SPACING DAMMAH;;;;
        "\uFE79",  # ;ARABIC DAMMA MEDIAL FORM;Lo;0;AL;<medial> 0640 064F;;;;N;ARABIC DAMMAH ON TATWEEL;;;;
        "\uFE7A",  # ;ARABIC KASRA ISOLATED FORM;Lo;0;AL;<isolated> 0020 0650;;;;N;ARABIC SPACING KASRAH;;;;
        "\uFE7B",  # ;ARABIC KASRA MEDIAL FORM;Lo;0;AL;<medial> 0640 0650;;;;N;ARABIC KASRAH ON TATWEEL;;;;
        "\uFE7C",  # ;ARABIC SHADDA ISOLATED FORM;Lo;0;AL;<isolated> 0020 0651;;;;N;ARABIC SPACING SHADDAH;;;;
        "\uFE7D",  # ;ARABIC SHADDA MEDIAL FORM;Lo;0;AL;<medial> 0640 0651;;;;N;ARABIC SHADDAH ON TATWEEL;;;;
        "\uFE7E",  # ;ARABIC SUKUN ISOLATED FORM;Lo;0;AL;<isolated> 0020 0652;;;;N;ARABIC SPACING SUKUN;;;;
        "\uFE7F",  # ;ARABIC SUKUN MEDIAL FORM;Lo;0;AL;<medial> 0640 0652;;;;N;ARABIC SUKUN ON TATWEEL;;;;
        "\uFE80",  # ;ARABIC LETTER HAMZA ISOLATED FORM;Lo;0;AL;<isolated> 0621;;;;N;GLYPH FOR ISOLATE ARABIC HAMZAH;;;;
        "\uFE81",  # ;ARABIC LETTER ALEF WITH MADDA ABOVE ISOLATED FORM;Lo;0;AL;<isolated> 0622;;;;N;GLYPH FOR ISOLATE ARABIC MADDAH ON ALEF;;;;
        "\uFE82",  # ;ARABIC LETTER ALEF WITH MADDA ABOVE FINAL FORM;Lo;0;AL;<final> 0622;;;;N;GLYPH FOR FINAL ARABIC MADDAH ON ALEF;;;;
        "\uFE83",  # ;ARABIC LETTER ALEF WITH HAMZA ABOVE ISOLATED FORM;Lo;0;AL;<isolated> 0623;;;;N;GLYPH FOR ISOLATE ARABIC HAMZAH ON ALEF;;;;
        "\uFE84",  # ;ARABIC LETTER ALEF WITH HAMZA ABOVE FINAL FORM;Lo;0;AL;<final> 0623;;;;N;GLYPH FOR FINAL ARABIC HAMZAH ON ALEF;;;;
        "\uFE85",  # ;ARABIC LETTER WAW WITH HAMZA ABOVE ISOLATED FORM;Lo;0;AL;<isolated> 0624;;;;N;GLYPH FOR ISOLATE ARABIC HAMZAH ON WAW;;;;
        "\uFE86",  # ;ARABIC LETTER WAW WITH HAMZA ABOVE FINAL FORM;Lo;0;AL;<final> 0624;;;;N;GLYPH FOR FINAL ARABIC HAMZAH ON WAW;;;;
        "\uFE87",  # ;ARABIC LETTER ALEF WITH HAMZA BELOW ISOLATED FORM;Lo;0;AL;<isolated> 0625;;;;N;GLYPH FOR ISOLATE ARABIC HAMZAH UNDER ALEF;;;;
        "\uFE88",  # ;ARABIC LETTER ALEF WITH HAMZA BELOW FINAL FORM;Lo;0;AL;<final> 0625;;;;N;GLYPH FOR FINAL ARABIC HAMZAH UNDER ALEF;;;;
        "\uFE89",  # ;ARABIC LETTER YEH WITH HAMZA ABOVE ISOLATED FORM;Lo;0;AL;<isolated> 0626;;;;N;GLYPH FOR ISOLATE ARABIC HAMZAH ON YA;;;;
        "\uFE8A",  # ;ARABIC LETTER YEH WITH HAMZA ABOVE FINAL FORM;Lo;0;AL;<final> 0626;;;;N;GLYPH FOR FINAL ARABIC HAMZAH ON YA;;;;
        "\uFE8B",  # ;ARABIC LETTER YEH WITH HAMZA ABOVE INITIAL FORM;Lo;0;AL;<initial> 0626;;;;N;GLYPH FOR INITIAL ARABIC HAMZAH ON YA;;;;
        "\uFE8C",  # ;ARABIC LETTER YEH WITH HAMZA ABOVE MEDIAL FORM;Lo;0;AL;<medial> 0626;;;;N;GLYPH FOR MEDIAL ARABIC HAMZAH ON YA;;;;
        "\uFE8D",  # ;ARABIC LETTER ALEF ISOLATED FORM;Lo;0;AL;<isolated> 0627;;;;N;GLYPH FOR ISOLATE ARABIC ALEF;;;;
        "\uFE8E",  # ;ARABIC LETTER ALEF FINAL FORM;Lo;0;AL;<final> 0627;;;;N;GLYPH FOR FINAL ARABIC ALEF;;;;
        "\uFE8F",  # ;ARABIC LETTER BEH ISOLATED FORM;Lo;0;AL;<isolated> 0628;;;;N;GLYPH FOR ISOLATE ARABIC BAA;;;;
        "\uFE90",  # ;ARABIC LETTER BEH FINAL FORM;Lo;0;AL;<final> 0628;;;;N;GLYPH FOR FINAL ARABIC BAA;;;;
        "\uFE91",  # ;ARABIC LETTER BEH INITIAL FORM;Lo;0;AL;<initial> 0628;;;;N;GLYPH FOR INITIAL ARABIC BAA;;;;
        "\uFE92",  # ;ARABIC LETTER BEH MEDIAL FORM;Lo;0;AL;<medial> 0628;;;;N;GLYPH FOR MEDIAL ARABIC BAA;;;;
        "\uFE93",  # ;ARABIC LETTER TEH MARBUTA ISOLATED FORM;Lo;0;AL;<isolated> 0629;;;;N;GLYPH FOR ISOLATE ARABIC TAA MARBUTAH;;;;
        "\uFE94",  # ;ARABIC LETTER TEH MARBUTA FINAL FORM;Lo;0;AL;<final> 0629;;;;N;GLYPH FOR FINAL ARABIC TAA MARBUTAH;;;;
        "\uFE95",  # ;ARABIC LETTER TEH ISOLATED FORM;Lo;0;AL;<isolated> 062A;;;;N;GLYPH FOR ISOLATE ARABIC TAA;;;;
        "\uFE96",  # ;ARABIC LETTER TEH FINAL FORM;Lo;0;AL;<final> 062A;;;;N;GLYPH FOR FINAL ARABIC TAA;;;;
        "\uFE97",  # ;ARABIC LETTER TEH INITIAL FORM;Lo;0;AL;<initial> 062A;;;;N;GLYPH FOR INITIAL ARABIC TAA;;;;
        "\uFE98",  # ;ARABIC LETTER TEH MEDIAL FORM;Lo;0;AL;<medial> 062A;;;;N;GLYPH FOR MEDIAL ARABIC TAA;;;;
        "\uFE99",  # ;ARABIC LETTER THEH ISOLATED FORM;Lo;0;AL;<isolated> 062B;;;;N;GLYPH FOR ISOLATE ARABIC THAA;;;;
        "\uFE9A",  # ;ARABIC LETTER THEH FINAL FORM;Lo;0;AL;<final> 062B;;;;N;GLYPH FOR FINAL ARABIC THAA;;;;
        "\uFE9B",  # ;ARABIC LETTER THEH INITIAL FORM;Lo;0;AL;<initial> 062B;;;;N;GLYPH FOR INITIAL ARABIC THAA;;;;
        "\uFE9C",  # ;ARABIC LETTER THEH MEDIAL FORM;Lo;0;AL;<medial> 062B;;;;N;GLYPH FOR MEDIAL ARABIC THAA;;;;
        "\uFE9D",  # ;ARABIC LETTER JEEM ISOLATED FORM;Lo;0;AL;<isolated> 062C;;;;N;GLYPH FOR ISOLATE ARABIC JEEM;;;;
        "\uFE9E",  # ;ARABIC LETTER JEEM FINAL FORM;Lo;0;AL;<final> 062C;;;;N;GLYPH FOR FINAL ARABIC JEEM;;;;
        "\uFE9F",  # ;ARABIC LETTER JEEM INITIAL FORM;Lo;0;AL;<initial> 062C;;;;N;GLYPH FOR INITIAL ARABIC JEEM;;;;
        "\uFEA0",  # ;ARABIC LETTER JEEM MEDIAL FORM;Lo;0;AL;<medial> 062C;;;;N;GLYPH FOR MEDIAL ARABIC JEEM;;;;
        "\uFEA1",  # ;ARABIC LETTER HAH ISOLATED FORM;Lo;0;AL;<isolated> 062D;;;;N;GLYPH FOR ISOLATE ARABIC HAA;;;;
        "\uFEA2",  # ;ARABIC LETTER HAH FINAL FORM;Lo;0;AL;<final> 062D;;;;N;GLYPH FOR FINAL ARABIC HAA;;;;
        "\uFEA3",  # ;ARABIC LETTER HAH INITIAL FORM;Lo;0;AL;<initial> 062D;;;;N;GLYPH FOR INITIAL ARABIC HAA;;;;
        "\uFEA4",  # ;ARABIC LETTER HAH MEDIAL FORM;Lo;0;AL;<medial> 062D;;;;N;GLYPH FOR MEDIAL ARABIC HAA;;;;
        "\uFEA5",  # ;ARABIC LETTER KHAH ISOLATED FORM;Lo;0;AL;<isolated> 062E;;;;N;GLYPH FOR ISOLATE ARABIC KHAA;;;;
        "\uFEA6",  # ;ARABIC LETTER KHAH FINAL FORM;Lo;0;AL;<final> 062E;;;;N;GLYPH FOR FINAL ARABIC KHAA;;;;
        "\uFEA7",  # ;ARABIC LETTER KHAH INITIAL FORM;Lo;0;AL;<initial> 062E;;;;N;GLYPH FOR INITIAL ARABIC KHAA;;;;
        "\uFEA8",  # ;ARABIC LETTER KHAH MEDIAL FORM;Lo;0;AL;<medial> 062E;;;;N;GLYPH FOR MEDIAL ARABIC KHAA;;;;
        "\uFEA9",  # ;ARABIC LETTER DAL ISOLATED FORM;Lo;0;AL;<isolated> 062F;;;;N;GLYPH FOR ISOLATE ARABIC DAL;;;;
        "\uFEAA",  # ;ARABIC LETTER DAL FINAL FORM;Lo;0;AL;<final> 062F;;;;N;GLYPH FOR FINAL ARABIC DAL;;;;
        "\uFEAB",  # ;ARABIC LETTER THAL ISOLATED FORM;Lo;0;AL;<isolated> 0630;;;;N;GLYPH FOR ISOLATE ARABIC THAL;;;;
        "\uFEAC",  # ;ARABIC LETTER THAL FINAL FORM;Lo;0;AL;<final> 0630;;;;N;GLYPH FOR FINAL ARABIC THAL;;;;
        "\uFEAD",  # ;ARABIC LETTER REH ISOLATED FORM;Lo;0;AL;<isolated> 0631;;;;N;GLYPH FOR ISOLATE ARABIC RA;;;;
        "\uFEAE",  # ;ARABIC LETTER REH FINAL FORM;Lo;0;AL;<final> 0631;;;;N;GLYPH FOR FINAL ARABIC RA;;;;
        "\uFEAF",  # ;ARABIC LETTER ZAIN ISOLATED FORM;Lo;0;AL;<isolated> 0632;;;;N;GLYPH FOR ISOLATE ARABIC ZAIN;;;;
        "\uFEB0",  # ;ARABIC LETTER ZAIN FINAL FORM;Lo;0;AL;<final> 0632;;;;N;GLYPH FOR FINAL ARABIC ZAIN;;;;
        "\uFEB1",  # ;ARABIC LETTER SEEN ISOLATED FORM;Lo;0;AL;<isolated> 0633;;;;N;GLYPH FOR ISOLATE ARABIC SEEN;;;;
        "\uFEB2",  # ;ARABIC LETTER SEEN FINAL FORM;Lo;0;AL;<final> 0633;;;;N;GLYPH FOR FINAL ARABIC SEEN;;;;
        "\uFEB3",  # ;ARABIC LETTER SEEN INITIAL FORM;Lo;0;AL;<initial> 0633;;;;N;GLYPH FOR INITIAL ARABIC SEEN;;;;
        "\uFEB4",  # ;ARABIC LETTER SEEN MEDIAL FORM;Lo;0;AL;<medial> 0633;;;;N;GLYPH FOR MEDIAL ARABIC SEEN;;;;
        "\uFEB5",  # ;ARABIC LETTER SHEEN ISOLATED FORM;Lo;0;AL;<isolated> 0634;;;;N;GLYPH FOR ISOLATE ARABIC SHEEN;;;;
        "\uFEB6",  # ;ARABIC LETTER SHEEN FINAL FORM;Lo;0;AL;<final> 0634;;;;N;GLYPH FOR FINAL ARABIC SHEEN;;;;
        "\uFEB7",  # ;ARABIC LETTER SHEEN INITIAL FORM;Lo;0;AL;<initial> 0634;;;;N;GLYPH FOR INITIAL ARABIC SHEEN;;;;
        "\uFEB8",  # ;ARABIC LETTER SHEEN MEDIAL FORM;Lo;0;AL;<medial> 0634;;;;N;GLYPH FOR MEDIAL ARABIC SHEEN;;;;
        "\uFEB9",  # ;ARABIC LETTER SAD ISOLATED FORM;Lo;0;AL;<isolated> 0635;;;;N;GLYPH FOR ISOLATE ARABIC SAD;;;;
        "\uFEBA",  # ;ARABIC LETTER SAD FINAL FORM;Lo;0;AL;<final> 0635;;;;N;GLYPH FOR FINAL ARABIC SAD;;;;
        "\uFEBB",  # ;ARABIC LETTER SAD INITIAL FORM;Lo;0;AL;<initial> 0635;;;;N;GLYPH FOR INITIAL ARABIC SAD;;;;
        "\uFEBC",  # ;ARABIC LETTER SAD MEDIAL FORM;Lo;0;AL;<medial> 0635;;;;N;GLYPH FOR MEDIAL ARABIC SAD;;;;
        "\uFEBD",  # ;ARABIC LETTER DAD ISOLATED FORM;Lo;0;AL;<isolated> 0636;;;;N;GLYPH FOR ISOLATE ARABIC DAD;;;;
        "\uFEBE",  # ;ARABIC LETTER DAD FINAL FORM;Lo;0;AL;<final> 0636;;;;N;GLYPH FOR FINAL ARABIC DAD;;;;
        "\uFEBF",  # ;ARABIC LETTER DAD INITIAL FORM;Lo;0;AL;<initial> 0636;;;;N;GLYPH FOR INITIAL ARABIC DAD;;;;
        "\uFEC0",  # ;ARABIC LETTER DAD MEDIAL FORM;Lo;0;AL;<medial> 0636;;;;N;GLYPH FOR MEDIAL ARABIC DAD;;;;
        "\uFEC1",  # ;ARABIC LETTER TAH ISOLATED FORM;Lo;0;AL;<isolated> 0637;;;;N;GLYPH FOR ISOLATE ARABIC TAH;;;;
        "\uFEC2",  # ;ARABIC LETTER TAH FINAL FORM;Lo;0;AL;<final> 0637;;;;N;GLYPH FOR FINAL ARABIC TAH;;;;
        "\uFEC3",  # ;ARABIC LETTER TAH INITIAL FORM;Lo;0;AL;<initial> 0637;;;;N;GLYPH FOR INITIAL ARABIC TAH;;;;
        "\uFEC4",  # ;ARABIC LETTER TAH MEDIAL FORM;Lo;0;AL;<medial> 0637;;;;N;GLYPH FOR MEDIAL ARABIC TAH;;;;
        "\uFEC5",  # ;ARABIC LETTER ZAH ISOLATED FORM;Lo;0;AL;<isolated> 0638;;;;N;GLYPH FOR ISOLATE ARABIC DHAH;;;;
        "\uFEC6",  # ;ARABIC LETTER ZAH FINAL FORM;Lo;0;AL;<final> 0638;;;;N;GLYPH FOR FINAL ARABIC DHAH;;;;
        "\uFEC7",  # ;ARABIC LETTER ZAH INITIAL FORM;Lo;0;AL;<initial> 0638;;;;N;GLYPH FOR INITIAL ARABIC DHAH;;;;
        "\uFEC8",  # ;ARABIC LETTER ZAH MEDIAL FORM;Lo;0;AL;<medial> 0638;;;;N;GLYPH FOR MEDIAL ARABIC DHAH;;;;
        "\uFEC9",  # ;ARABIC LETTER AIN ISOLATED FORM;Lo;0;AL;<isolated> 0639;;;;N;GLYPH FOR ISOLATE ARABIC AIN;;;;
        "\uFECA",  # ;ARABIC LETTER AIN FINAL FORM;Lo;0;AL;<final> 0639;;;;N;GLYPH FOR FINAL ARABIC AIN;;;;
        "\uFECB",  # ;ARABIC LETTER AIN INITIAL FORM;Lo;0;AL;<initial> 0639;;;;N;GLYPH FOR INITIAL ARABIC AIN;;;;
        "\uFECC",  # ;ARABIC LETTER AIN MEDIAL FORM;Lo;0;AL;<medial> 0639;;;;N;GLYPH FOR MEDIAL ARABIC AIN;;;;
        "\uFECD",  # ;ARABIC LETTER GHAIN ISOLATED FORM;Lo;0;AL;<isolated> 063A;;;;N;GLYPH FOR ISOLATE ARABIC GHAIN;;;;
        "\uFECE",  # ;ARABIC LETTER GHAIN FINAL FORM;Lo;0;AL;<final> 063A;;;;N;GLYPH FOR FINAL ARABIC GHAIN;;;;
        "\uFECF",  # ;ARABIC LETTER GHAIN INITIAL FORM;Lo;0;AL;<initial> 063A;;;;N;GLYPH FOR INITIAL ARABIC GHAIN;;;;
        "\uFED0",  # ;ARABIC LETTER GHAIN MEDIAL FORM;Lo;0;AL;<medial> 063A;;;;N;GLYPH FOR MEDIAL ARABIC GHAIN;;;;
        "\uFED1",  # ;ARABIC LETTER FEH ISOLATED FORM;Lo;0;AL;<isolated> 0641;;;;N;GLYPH FOR ISOLATE ARABIC FA;;;;
        "\uFED2",  # ;ARABIC LETTER FEH FINAL FORM;Lo;0;AL;<final> 0641;;;;N;GLYPH FOR FINAL ARABIC FA;;;;
        "\uFED3",  # ;ARABIC LETTER FEH INITIAL FORM;Lo;0;AL;<initial> 0641;;;;N;GLYPH FOR INITIAL ARABIC FA;;;;
        "\uFED4",  # ;ARABIC LETTER FEH MEDIAL FORM;Lo;0;AL;<medial> 0641;;;;N;GLYPH FOR MEDIAL ARABIC FA;;;;
        "\uFED5",  # ;ARABIC LETTER QAF ISOLATED FORM;Lo;0;AL;<isolated> 0642;;;;N;GLYPH FOR ISOLATE ARABIC QAF;;;;
        "\uFED6",  # ;ARABIC LETTER QAF FINAL FORM;Lo;0;AL;<final> 0642;;;;N;GLYPH FOR FINAL ARABIC QAF;;;;
        "\uFED7",  # ;ARABIC LETTER QAF INITIAL FORM;Lo;0;AL;<initial> 0642;;;;N;GLYPH FOR INITIAL ARABIC QAF;;;;
        "\uFED8",  # ;ARABIC LETTER QAF MEDIAL FORM;Lo;0;AL;<medial> 0642;;;;N;GLYPH FOR MEDIAL ARABIC QAF;;;;
        "\uFED9",  # ;ARABIC LETTER KAF ISOLATED FORM;Lo;0;AL;<isolated> 0643;;;;N;GLYPH FOR ISOLATE ARABIC CAF;;;;
        "\uFEDA",  # ;ARABIC LETTER KAF FINAL FORM;Lo;0;AL;<final> 0643;;;;N;GLYPH FOR FINAL ARABIC CAF;;;;
        "\uFEDB",  # ;ARABIC LETTER KAF INITIAL FORM;Lo;0;AL;<initial> 0643;;;;N;GLYPH FOR INITIAL ARABIC CAF;;;;
        "\uFEDC",  # ;ARABIC LETTER KAF MEDIAL FORM;Lo;0;AL;<medial> 0643;;;;N;GLYPH FOR MEDIAL ARABIC CAF;;;;
        "\uFEDD",  # ;ARABIC LETTER LAM ISOLATED FORM;Lo;0;AL;<isolated> 0644;;;;N;GLYPH FOR ISOLATE ARABIC LAM;;;;
        "\uFEDE",  # ;ARABIC LETTER LAM FINAL FORM;Lo;0;AL;<final> 0644;;;;N;GLYPH FOR FINAL ARABIC LAM;;;;
        "\uFEDF",  # ;ARABIC LETTER LAM INITIAL FORM;Lo;0;AL;<initial> 0644;;;;N;GLYPH FOR INITIAL ARABIC LAM;;;;
        "\uFEE0",  # ;ARABIC LETTER LAM MEDIAL FORM;Lo;0;AL;<medial> 0644;;;;N;GLYPH FOR MEDIAL ARABIC LAM;;;;
        "\uFEE1",  # ;ARABIC LETTER MEEM ISOLATED FORM;Lo;0;AL;<isolated> 0645;;;;N;GLYPH FOR ISOLATE ARABIC MEEM;;;;
        "\uFEE2",  # ;ARABIC LETTER MEEM FINAL FORM;Lo;0;AL;<final> 0645;;;;N;GLYPH FOR FINAL ARABIC MEEM;;;;
        "\uFEE3",  # ;ARABIC LETTER MEEM INITIAL FORM;Lo;0;AL;<initial> 0645;;;;N;GLYPH FOR INITIAL ARABIC MEEM;;;;
        "\uFEE4",  # ;ARABIC LETTER MEEM MEDIAL FORM;Lo;0;AL;<medial> 0645;;;;N;GLYPH FOR MEDIAL ARABIC MEEM;;;;
        "\uFEE5",  # ;ARABIC LETTER NOON ISOLATED FORM;Lo;0;AL;<isolated> 0646;;;;N;GLYPH FOR ISOLATE ARABIC NOON;;;;
        "\uFEE6",  # ;ARABIC LETTER NOON FINAL FORM;Lo;0;AL;<final> 0646;;;;N;GLYPH FOR FINAL ARABIC NOON;;;;
        "\uFEE7",  # ;ARABIC LETTER NOON INITIAL FORM;Lo;0;AL;<initial> 0646;;;;N;GLYPH FOR INITIAL ARABIC NOON;;;;
        "\uFEE8",  # ;ARABIC LETTER NOON MEDIAL FORM;Lo;0;AL;<medial> 0646;;;;N;GLYPH FOR MEDIAL ARABIC NOON;;;;
        "\uFEE9",  # ;ARABIC LETTER HEH ISOLATED FORM;Lo;0;AL;<isolated> 0647;;;;N;GLYPH FOR ISOLATE ARABIC HA;;;;
        "\uFEEA",  # ;ARABIC LETTER HEH FINAL FORM;Lo;0;AL;<final> 0647;;;;N;GLYPH FOR FINAL ARABIC HA;;;;
        "\uFEEB",  # ;ARABIC LETTER HEH INITIAL FORM;Lo;0;AL;<initial> 0647;;;;N;GLYPH FOR INITIAL ARABIC HA;;;;
        "\uFEEC",  # ;ARABIC LETTER HEH MEDIAL FORM;Lo;0;AL;<medial> 0647;;;;N;GLYPH FOR MEDIAL ARABIC HA;;;;
        "\uFEED",  # ;ARABIC LETTER WAW ISOLATED FORM;Lo;0;AL;<isolated> 0648;;;;N;GLYPH FOR ISOLATE ARABIC WAW;;;;
        "\uFEEE",  # ;ARABIC LETTER WAW FINAL FORM;Lo;0;AL;<final> 0648;;;;N;GLYPH FOR FINAL ARABIC WAW;;;;
        "\uFEEF",  # ;ARABIC LETTER ALEF MAKSURA ISOLATED FORM;Lo;0;AL;<isolated> 0649;;;;N;GLYPH FOR ISOLATE ARABIC ALEF MAQSURAH;;;;
        "\uFEF0",  # ;ARABIC LETTER ALEF MAKSURA FINAL FORM;Lo;0;AL;<final> 0649;;;;N;GLYPH FOR FINAL ARABIC ALEF MAQSURAH;;;;
        "\uFEF1",  # ;ARABIC LETTER YEH ISOLATED FORM;Lo;0;AL;<isolated> 064A;;;;N;GLYPH FOR ISOLATE ARABIC YA;;;;
        "\uFEF2",  # ;ARABIC LETTER YEH FINAL FORM;Lo;0;AL;<final> 064A;;;;N;GLYPH FOR FINAL ARABIC YA;;;;
        "\uFEF3",  # ;ARABIC LETTER YEH INITIAL FORM;Lo;0;AL;<initial> 064A;;;;N;GLYPH FOR INITIAL ARABIC YA;;;;
        "\uFEF4",  # ;ARABIC LETTER YEH MEDIAL FORM;Lo;0;AL;<medial> 064A;;;;N;GLYPH FOR MEDIAL ARABIC YA;;;;
        "\uFEF5",  # ;ARABIC LIGATURE LAM WITH ALEF WITH MADDA ABOVE ISOLATED FORM;Lo;0;AL;<isolated> 0644 0622;;;;N;GLYPH FOR ISOLATE ARABIC MADDAH ON LIGATURE LAM ALEF;;;;
        "\uFEF6",  # ;ARABIC LIGATURE LAM WITH ALEF WITH MADDA ABOVE FINAL FORM;Lo;0;AL;<final> 0644 0622;;;;N;GLYPH FOR FINAL ARABIC MADDAH ON LIGATURE LAM ALEF;;;;
        "\uFEF7",  # ;ARABIC LIGATURE LAM WITH ALEF WITH HAMZA ABOVE ISOLATED FORM;Lo;0;AL;<isolated> 0644 0623;;;;N;GLYPH FOR ISOLATE ARABIC HAMZAH ON LIGATURE LAM ALEF;;;;
        "\uFEF8",  # ;ARABIC LIGATURE LAM WITH ALEF WITH HAMZA ABOVE FINAL FORM;Lo;0;AL;<final> 0644 0623;;;;N;GLYPH FOR FINAL ARABIC HAMZAH ON LIGATURE LAM ALEF;;;;
        "\uFEF9",  # ;ARABIC LIGATURE LAM WITH ALEF WITH HAMZA BELOW ISOLATED FORM;Lo;0;AL;<isolated> 0644 0625;;;;N;GLYPH FOR ISOLATE ARABIC HAMZAH UNDER LIGATURE LAM ALEF;;;;
        "\uFEFA",  # ;ARABIC LIGATURE LAM WITH ALEF WITH HAMZA BELOW FINAL FORM;Lo;0;AL;<final> 0644 0625;;;;N;GLYPH FOR FINAL ARABIC HAMZAH UNDER LIGATURE LAM ALEF;;;;
        "\uFEFB",  # ;ARABIC LIGATURE LAM WITH ALEF ISOLATED FORM;Lo;0;AL;<isolated> 0644 0627;;;;N;GLYPH FOR ISOLATE ARABIC LIGATURE LAM ALEF;;;;
        "\uFEFC",  # ;ARABIC LIGATURE LAM WITH ALEF FINAL FORM;Lo;0;AL;<final> 0644 0627;;;;N;GLYPH FOR FINAL ARABIC LIGATURE LAM ALEF;;;;
        "\uFEFF",  # ;ZERO WIDTH NO-BREAK SPACE;Cf;0;BN;;;;;N;BYTE ORDER MARK;;;;
        "\uFF01",  # ;FULLWIDTH EXCLAMATION MARK;Po;0;ON;<wide> 0021;;;;N;;;;;
        "\uFF02",  # ;FULLWIDTH QUOTATION MARK;Po;0;ON;<wide> 0022;;;;N;;;;;
        "\uFF03",  # ;FULLWIDTH NUMBER SIGN;Po;0;ET;<wide> 0023;;;;N;;;;;
        "\uFF04",  # ;FULLWIDTH DOLLAR SIGN;Sc;0;ET;<wide> 0024;;;;N;;;;;
        "\uFF05",  # ;FULLWIDTH PERCENT SIGN;Po;0;ET;<wide> 0025;;;;N;;;;;
        "\uFF06",  # ;FULLWIDTH AMPERSAND;Po;0;ON;<wide> 0026;;;;N;;;;;
        "\uFF07",  # ;FULLWIDTH APOSTROPHE;Po;0;ON;<wide> 0027;;;;N;;;;;
        "\uFF08",  # ;FULLWIDTH LEFT PARENTHESIS;Ps;0;ON;<wide> 0028;;;;Y;FULLWIDTH OPENING PARENTHESIS;;;;
        "\uFF09",  # ;FULLWIDTH RIGHT PARENTHESIS;Pe;0;ON;<wide> 0029;;;;Y;FULLWIDTH CLOSING PARENTHESIS;;;;
        "\uFF0A",  # ;FULLWIDTH ASTERISK;Po;0;ON;<wide> 002A;;;;N;;;;;
        "\uFF0B",  # ;FULLWIDTH PLUS SIGN;Sm;0;ES;<wide> 002B;;;;N;;;;;
        "\uFF0C",  # ;FULLWIDTH COMMA;Po;0;CS;<wide> 002C;;;;N;;;;;
        "\uFF0D",  # ;FULLWIDTH HYPHEN-MINUS;Pd;0;ES;<wide> 002D;;;;N;;;;;
        "\uFF0E",  # ;FULLWIDTH FULL STOP;Po;0;CS;<wide> 002E;;;;N;FULLWIDTH PERIOD;;;;
        "\uFF0F",  # ;FULLWIDTH SOLIDUS;Po;0;CS;<wide> 002F;;;;N;FULLWIDTH SLASH;;;;
        "\uFF10",  # ;FULLWIDTH DIGIT ZERO;Nd;0;EN;<wide> 0030;0;0;0;N;;;;;
        "\uFF11",  # ;FULLWIDTH DIGIT ONE;Nd;0;EN;<wide> 0031;1;1;1;N;;;;;
        "\uFF12",  # ;FULLWIDTH DIGIT TWO;Nd;0;EN;<wide> 0032;2;2;2;N;;;;;
        "\uFF13",  # ;FULLWIDTH DIGIT THREE;Nd;0;EN;<wide> 0033;3;3;3;N;;;;;
        "\uFF14",  # ;FULLWIDTH DIGIT FOUR;Nd;0;EN;<wide> 0034;4;4;4;N;;;;;
        "\uFF15",  # ;FULLWIDTH DIGIT FIVE;Nd;0;EN;<wide> 0035;5;5;5;N;;;;;
        "\uFF16",  # ;FULLWIDTH DIGIT SIX;Nd;0;EN;<wide> 0036;6;6;6;N;;;;;
        "\uFF17",  # ;FULLWIDTH DIGIT SEVEN;Nd;0;EN;<wide> 0037;7;7;7;N;;;;;
        "\uFF18",  # ;FULLWIDTH DIGIT EIGHT;Nd;0;EN;<wide> 0038;8;8;8;N;;;;;
        "\uFF19",  # ;FULLWIDTH DIGIT NINE;Nd;0;EN;<wide> 0039;9;9;9;N;;;;;
        "\uFF1A",  # ;FULLWIDTH COLON;Po;0;CS;<wide> 003A;;;;N;;;;;
        "\uFF1B",  # ;FULLWIDTH SEMICOLON;Po;0;ON;<wide> 003B;;;;N;;;;;
        "\uFF1C",  # ;FULLWIDTH LESS-THAN SIGN;Sm;0;ON;<wide> 003C;;;;Y;;;;;
        "\uFF1D",  # ;FULLWIDTH EQUALS SIGN;Sm;0;ON;<wide> 003D;;;;N;;;;;
        "\uFF1E",  # ;FULLWIDTH GREATER-THAN SIGN;Sm;0;ON;<wide> 003E;;;;Y;;;;;
        "\uFF1F",  # ;FULLWIDTH QUESTION MARK;Po;0;ON;<wide> 003F;;;;N;;;;;
        "\uFF20",  # ;FULLWIDTH COMMERCIAL AT;Po;0;ON;<wide> 0040;;;;N;;;;;
        "\uFF21",  # ;FULLWIDTH LATIN CAPITAL LETTER A;Lu;0;L;<wide> 0041;;;;N;;;;FF41;
        "\uFF22",  # ;FULLWIDTH LATIN CAPITAL LETTER B;Lu;0;L;<wide> 0042;;;;N;;;;FF42;
        "\uFF23",  # ;FULLWIDTH LATIN CAPITAL LETTER C;Lu;0;L;<wide> 0043;;;;N;;;;FF43;
        "\uFF24",  # ;FULLWIDTH LATIN CAPITAL LETTER D;Lu;0;L;<wide> 0044;;;;N;;;;FF44;
        "\uFF25",  # ;FULLWIDTH LATIN CAPITAL LETTER E;Lu;0;L;<wide> 0045;;;;N;;;;FF45;
        "\uFF26",  # ;FULLWIDTH LATIN CAPITAL LETTER F;Lu;0;L;<wide> 0046;;;;N;;;;FF46;
        "\uFF27",  # ;FULLWIDTH LATIN CAPITAL LETTER G;Lu;0;L;<wide> 0047;;;;N;;;;FF47;
        "\uFF28",  # ;FULLWIDTH LATIN CAPITAL LETTER H;Lu;0;L;<wide> 0048;;;;N;;;;FF48;
        "\uFF29",  # ;FULLWIDTH LATIN CAPITAL LETTER I;Lu;0;L;<wide> 0049;;;;N;;;;FF49;
        "\uFF2A",  # ;FULLWIDTH LATIN CAPITAL LETTER J;Lu;0;L;<wide> 004A;;;;N;;;;FF4A;
        "\uFF2B",  # ;FULLWIDTH LATIN CAPITAL LETTER K;Lu;0;L;<wide> 004B;;;;N;;;;FF4B;
        "\uFF2C",  # ;FULLWIDTH LATIN CAPITAL LETTER L;Lu;0;L;<wide> 004C;;;;N;;;;FF4C;
        "\uFF2D",  # ;FULLWIDTH LATIN CAPITAL LETTER M;Lu;0;L;<wide> 004D;;;;N;;;;FF4D;
        "\uFF2E",  # ;FULLWIDTH LATIN CAPITAL LETTER N;Lu;0;L;<wide> 004E;;;;N;;;;FF4E;
        "\uFF2F",  # ;FULLWIDTH LATIN CAPITAL LETTER O;Lu;0;L;<wide> 004F;;;;N;;;;FF4F;
        "\uFF30",  # ;FULLWIDTH LATIN CAPITAL LETTER P;Lu;0;L;<wide> 0050;;;;N;;;;FF50;
        "\uFF31",  # ;FULLWIDTH LATIN CAPITAL LETTER Q;Lu;0;L;<wide> 0051;;;;N;;;;FF51;
        "\uFF32",  # ;FULLWIDTH LATIN CAPITAL LETTER R;Lu;0;L;<wide> 0052;;;;N;;;;FF52;
        "\uFF33",  # ;FULLWIDTH LATIN CAPITAL LETTER S;Lu;0;L;<wide> 0053;;;;N;;;;FF53;
        "\uFF34",  # ;FULLWIDTH LATIN CAPITAL LETTER T;Lu;0;L;<wide> 0054;;;;N;;;;FF54;
        "\uFF35",  # ;FULLWIDTH LATIN CAPITAL LETTER U;Lu;0;L;<wide> 0055;;;;N;;;;FF55;
        "\uFF36",  # ;FULLWIDTH LATIN CAPITAL LETTER V;Lu;0;L;<wide> 0056;;;;N;;;;FF56;
        "\uFF37",  # ;FULLWIDTH LATIN CAPITAL LETTER W;Lu;0;L;<wide> 0057;;;;N;;;;FF57;
        "\uFF38",  # ;FULLWIDTH LATIN CAPITAL LETTER X;Lu;0;L;<wide> 0058;;;;N;;;;FF58;
        "\uFF39",  # ;FULLWIDTH LATIN CAPITAL LETTER Y;Lu;0;L;<wide> 0059;;;;N;;;;FF59;
        "\uFF3A",  # ;FULLWIDTH LATIN CAPITAL LETTER Z;Lu;0;L;<wide> 005A;;;;N;;;;FF5A;
        "\uFF3B",  # ;FULLWIDTH LEFT SQUARE BRACKET;Ps;0;ON;<wide> 005B;;;;Y;FULLWIDTH OPENING SQUARE BRACKET;;;;
        "\uFF3C",  # ;FULLWIDTH REVERSE SOLIDUS;Po;0;ON;<wide> 005C;;;;N;FULLWIDTH BACKSLASH;;;;
        "\uFF3D",  # ;FULLWIDTH RIGHT SQUARE BRACKET;Pe;0;ON;<wide> 005D;;;;Y;FULLWIDTH CLOSING SQUARE BRACKET;;;;
        "\uFF3E",  # ;FULLWIDTH CIRCUMFLEX ACCENT;Sk;0;ON;<wide> 005E;;;;N;FULLWIDTH SPACING CIRCUMFLEX;;;;
        "\uFF3F",  # ;FULLWIDTH LOW LINE;Pc;0;ON;<wide> 005F;;;;N;FULLWIDTH SPACING UNDERSCORE;;;;
        "\uFF40",  # ;FULLWIDTH GRAVE ACCENT;Sk;0;ON;<wide> 0060;;;;N;FULLWIDTH SPACING GRAVE;;;;
        "\uFF41",  # ;FULLWIDTH LATIN SMALL LETTER A;Ll;0;L;<wide> 0061;;;;N;;;FF21;;FF21
        "\uFF42",  # ;FULLWIDTH LATIN SMALL LETTER B;Ll;0;L;<wide> 0062;;;;N;;;FF22;;FF22
        "\uFF43",  # ;FULLWIDTH LATIN SMALL LETTER C;Ll;0;L;<wide> 0063;;;;N;;;FF23;;FF23
        "\uFF44",  # ;FULLWIDTH LATIN SMALL LETTER D;Ll;0;L;<wide> 0064;;;;N;;;FF24;;FF24
        "\uFF45",  # ;FULLWIDTH LATIN SMALL LETTER E;Ll;0;L;<wide> 0065;;;;N;;;FF25;;FF25
        "\uFF46",  # ;FULLWIDTH LATIN SMALL LETTER F;Ll;0;L;<wide> 0066;;;;N;;;FF26;;FF26
        "\uFF47",  # ;FULLWIDTH LATIN SMALL LETTER G;Ll;0;L;<wide> 0067;;;;N;;;FF27;;FF27
        "\uFF48",  # ;FULLWIDTH LATIN SMALL LETTER H;Ll;0;L;<wide> 0068;;;;N;;;FF28;;FF28
        "\uFF49",  # ;FULLWIDTH LATIN SMALL LETTER I;Ll;0;L;<wide> 0069;;;;N;;;FF29;;FF29
        "\uFF4A",  # ;FULLWIDTH LATIN SMALL LETTER J;Ll;0;L;<wide> 006A;;;;N;;;FF2A;;FF2A
        "\uFF4B",  # ;FULLWIDTH LATIN SMALL LETTER K;Ll;0;L;<wide> 006B;;;;N;;;FF2B;;FF2B
        "\uFF4C",  # ;FULLWIDTH LATIN SMALL LETTER L;Ll;0;L;<wide> 006C;;;;N;;;FF2C;;FF2C
        "\uFF4D",  # ;FULLWIDTH LATIN SMALL LETTER M;Ll;0;L;<wide> 006D;;;;N;;;FF2D;;FF2D
        "\uFF4E",  # ;FULLWIDTH LATIN SMALL LETTER N;Ll;0;L;<wide> 006E;;;;N;;;FF2E;;FF2E
        "\uFF4F",  # ;FULLWIDTH LATIN SMALL LETTER O;Ll;0;L;<wide> 006F;;;;N;;;FF2F;;FF2F
        "\uFF50",  # ;FULLWIDTH LATIN SMALL LETTER P;Ll;0;L;<wide> 0070;;;;N;;;FF30;;FF30
        "\uFF51",  # ;FULLWIDTH LATIN SMALL LETTER Q;Ll;0;L;<wide> 0071;;;;N;;;FF31;;FF31
        "\uFF52",  # ;FULLWIDTH LATIN SMALL LETTER R;Ll;0;L;<wide> 0072;;;;N;;;FF32;;FF32
        "\uFF53",  # ;FULLWIDTH LATIN SMALL LETTER S;Ll;0;L;<wide> 0073;;;;N;;;FF33;;FF33
        "\uFF54",  # ;FULLWIDTH LATIN SMALL LETTER T;Ll;0;L;<wide> 0074;;;;N;;;FF34;;FF34
        "\uFF55",  # ;FULLWIDTH LATIN SMALL LETTER U;Ll;0;L;<wide> 0075;;;;N;;;FF35;;FF35
        "\uFF56",  # ;FULLWIDTH LATIN SMALL LETTER V;Ll;0;L;<wide> 0076;;;;N;;;FF36;;FF36
        "\uFF57",  # ;FULLWIDTH LATIN SMALL LETTER W;Ll;0;L;<wide> 0077;;;;N;;;FF37;;FF37
        "\uFF58",  # ;FULLWIDTH LATIN SMALL LETTER X;Ll;0;L;<wide> 0078;;;;N;;;FF38;;FF38
        "\uFF59",  # ;FULLWIDTH LATIN SMALL LETTER Y;Ll;0;L;<wide> 0079;;;;N;;;FF39;;FF39
        "\uFF5A",  # ;FULLWIDTH LATIN SMALL LETTER Z;Ll;0;L;<wide> 007A;;;;N;;;FF3A;;FF3A
        "\uFF5B",  # ;FULLWIDTH LEFT CURLY BRACKET;Ps;0;ON;<wide> 007B;;;;Y;FULLWIDTH OPENING CURLY BRACKET;;;;
        "\uFF5C",  # ;FULLWIDTH VERTICAL LINE;Sm;0;ON;<wide> 007C;;;;N;FULLWIDTH VERTICAL BAR;;;;
        "\uFF5D",  # ;FULLWIDTH RIGHT CURLY BRACKET;Pe;0;ON;<wide> 007D;;;;Y;FULLWIDTH CLOSING CURLY BRACKET;;;;
        "\uFF5E",  # ;FULLWIDTH TILDE;Sm;0;ON;<wide> 007E;;;;N;FULLWIDTH SPACING TILDE;;;;
        "\uFF5F",  # ;FULLWIDTH LEFT WHITE PARENTHESIS;Ps;0;ON;<wide> 2985;;;;Y;;;;;
        "\uFF60",  # ;FULLWIDTH RIGHT WHITE PARENTHESIS;Pe;0;ON;<wide> 2986;;;;Y;;;;;
        "\uFF61",  # ;HALFWIDTH IDEOGRAPHIC FULL STOP;Po;0;ON;<narrow> 3002;;;;N;HALFWIDTH IDEOGRAPHIC PERIOD;;;;
        "\uFF62",  # ;HALFWIDTH LEFT CORNER BRACKET;Ps;0;ON;<narrow> 300C;;;;Y;HALFWIDTH OPENING CORNER BRACKET;;;;
        "\uFF63",  # ;HALFWIDTH RIGHT CORNER BRACKET;Pe;0;ON;<narrow> 300D;;;;Y;HALFWIDTH CLOSING CORNER BRACKET;;;;
        "\uFF64",  # ;HALFWIDTH IDEOGRAPHIC COMMA;Po;0;ON;<narrow> 3001;;;;N;;;;;
        "\uFF65",  # ;HALFWIDTH KATAKANA MIDDLE DOT;Po;0;ON;<narrow> 30FB;;;;N;;;;;
        "\uFF66",  # ;HALFWIDTH KATAKANA LETTER WO;Lo;0;L;<narrow> 30F2;;;;N;;;;;
        "\uFF67",  # ;HALFWIDTH KATAKANA LETTER SMALL A;Lo;0;L;<narrow> 30A1;;;;N;;;;;
        "\uFF68",  # ;HALFWIDTH KATAKANA LETTER SMALL I;Lo;0;L;<narrow> 30A3;;;;N;;;;;
        "\uFF69",  # ;HALFWIDTH KATAKANA LETTER SMALL U;Lo;0;L;<narrow> 30A5;;;;N;;;;;
        "\uFF6A",  # ;HALFWIDTH KATAKANA LETTER SMALL E;Lo;0;L;<narrow> 30A7;;;;N;;;;;
        "\uFF6B",  # ;HALFWIDTH KATAKANA LETTER SMALL O;Lo;0;L;<narrow> 30A9;;;;N;;;;;
        "\uFF6C",  # ;HALFWIDTH KATAKANA LETTER SMALL YA;Lo;0;L;<narrow> 30E3;;;;N;;;;;
        "\uFF6D",  # ;HALFWIDTH KATAKANA LETTER SMALL YU;Lo;0;L;<narrow> 30E5;;;;N;;;;;
        "\uFF6E",  # ;HALFWIDTH KATAKANA LETTER SMALL YO;Lo;0;L;<narrow> 30E7;;;;N;;;;;
        "\uFF6F",  # ;HALFWIDTH KATAKANA LETTER SMALL TU;Lo;0;L;<narrow> 30C3;;;;N;;;;;
        "\uFF70",  # ;HALFWIDTH KATAKANA-HIRAGANA PROLONGED SOUND MARK;Lm;0;L;<narrow> 30FC;;;;N;;;;;
        "\uFF71",  # ;HALFWIDTH KATAKANA LETTER A;Lo;0;L;<narrow> 30A2;;;;N;;;;;
        "\uFF72",  # ;HALFWIDTH KATAKANA LETTER I;Lo;0;L;<narrow> 30A4;;;;N;;;;;
        "\uFF73",  # ;HALFWIDTH KATAKANA LETTER U;Lo;0;L;<narrow> 30A6;;;;N;;;;;
        "\uFF74",  # ;HALFWIDTH KATAKANA LETTER E;Lo;0;L;<narrow> 30A8;;;;N;;;;;
        "\uFF75",  # ;HALFWIDTH KATAKANA LETTER O;Lo;0;L;<narrow> 30AA;;;;N;;;;;
        "\uFF76",  # ;HALFWIDTH KATAKANA LETTER KA;Lo;0;L;<narrow> 30AB;;;;N;;;;;
        "\uFF77",  # ;HALFWIDTH KATAKANA LETTER KI;Lo;0;L;<narrow> 30AD;;;;N;;;;;
        "\uFF78",  # ;HALFWIDTH KATAKANA LETTER KU;Lo;0;L;<narrow> 30AF;;;;N;;;;;
        "\uFF79",  # ;HALFWIDTH KATAKANA LETTER KE;Lo;0;L;<narrow> 30B1;;;;N;;;;;
        "\uFF7A",  # ;HALFWIDTH KATAKANA LETTER KO;Lo;0;L;<narrow> 30B3;;;;N;;;;;
        "\uFF7B",  # ;HALFWIDTH KATAKANA LETTER SA;Lo;0;L;<narrow> 30B5;;;;N;;;;;
        "\uFF7C",  # ;HALFWIDTH KATAKANA LETTER SI;Lo;0;L;<narrow> 30B7;;;;N;;;;;
        "\uFF7D",  # ;HALFWIDTH KATAKANA LETTER SU;Lo;0;L;<narrow> 30B9;;;;N;;;;;
        "\uFF7E",  # ;HALFWIDTH KATAKANA LETTER SE;Lo;0;L;<narrow> 30BB;;;;N;;;;;
        "\uFF7F",  # ;HALFWIDTH KATAKANA LETTER SO;Lo;0;L;<narrow> 30BD;;;;N;;;;;
        "\uFF80",  # ;HALFWIDTH KATAKANA LETTER TA;Lo;0;L;<narrow> 30BF;;;;N;;;;;
        "\uFF81",  # ;HALFWIDTH KATAKANA LETTER TI;Lo;0;L;<narrow> 30C1;;;;N;;;;;
        "\uFF82",  # ;HALFWIDTH KATAKANA LETTER TU;Lo;0;L;<narrow> 30C4;;;;N;;;;;
        "\uFF83",  # ;HALFWIDTH KATAKANA LETTER TE;Lo;0;L;<narrow> 30C6;;;;N;;;;;
        "\uFF84",  # ;HALFWIDTH KATAKANA LETTER TO;Lo;0;L;<narrow> 30C8;;;;N;;;;;
        "\uFF85",  # ;HALFWIDTH KATAKANA LETTER NA;Lo;0;L;<narrow> 30CA;;;;N;;;;;
        "\uFF86",  # ;HALFWIDTH KATAKANA LETTER NI;Lo;0;L;<narrow> 30CB;;;;N;;;;;
        "\uFF87",  # ;HALFWIDTH KATAKANA LETTER NU;Lo;0;L;<narrow> 30CC;;;;N;;;;;
        "\uFF88",  # ;HALFWIDTH KATAKANA LETTER NE;Lo;0;L;<narrow> 30CD;;;;N;;;;;
        "\uFF89",  # ;HALFWIDTH KATAKANA LETTER NO;Lo;0;L;<narrow> 30CE;;;;N;;;;;
        "\uFF8A",  # ;HALFWIDTH KATAKANA LETTER HA;Lo;0;L;<narrow> 30CF;;;;N;;;;;
        "\uFF8B",  # ;HALFWIDTH KATAKANA LETTER HI;Lo;0;L;<narrow> 30D2;;;;N;;;;;
        "\uFF8C",  # ;HALFWIDTH KATAKANA LETTER HU;Lo;0;L;<narrow> 30D5;;;;N;;;;;
        "\uFF8D",  # ;HALFWIDTH KATAKANA LETTER HE;Lo;0;L;<narrow> 30D8;;;;N;;;;;
        "\uFF8E",  # ;HALFWIDTH KATAKANA LETTER HO;Lo;0;L;<narrow> 30DB;;;;N;;;;;
        "\uFF8F",  # ;HALFWIDTH KATAKANA LETTER MA;Lo;0;L;<narrow> 30DE;;;;N;;;;;
        "\uFF90",  # ;HALFWIDTH KATAKANA LETTER MI;Lo;0;L;<narrow> 30DF;;;;N;;;;;
        "\uFF91",  # ;HALFWIDTH KATAKANA LETTER MU;Lo;0;L;<narrow> 30E0;;;;N;;;;;
        "\uFF92",  # ;HALFWIDTH KATAKANA LETTER ME;Lo;0;L;<narrow> 30E1;;;;N;;;;;
        "\uFF93",  # ;HALFWIDTH KATAKANA LETTER MO;Lo;0;L;<narrow> 30E2;;;;N;;;;;
        "\uFF94",  # ;HALFWIDTH KATAKANA LETTER YA;Lo;0;L;<narrow> 30E4;;;;N;;;;;
        "\uFF95",  # ;HALFWIDTH KATAKANA LETTER YU;Lo;0;L;<narrow> 30E6;;;;N;;;;;
        "\uFF96",  # ;HALFWIDTH KATAKANA LETTER YO;Lo;0;L;<narrow> 30E8;;;;N;;;;;
        "\uFF97",  # ;HALFWIDTH KATAKANA LETTER RA;Lo;0;L;<narrow> 30E9;;;;N;;;;;
        "\uFF98",  # ;HALFWIDTH KATAKANA LETTER RI;Lo;0;L;<narrow> 30EA;;;;N;;;;;
        "\uFF99",  # ;HALFWIDTH KATAKANA LETTER RU;Lo;0;L;<narrow> 30EB;;;;N;;;;;
        "\uFF9A",  # ;HALFWIDTH KATAKANA LETTER RE;Lo;0;L;<narrow> 30EC;;;;N;;;;;
        "\uFF9B",  # ;HALFWIDTH KATAKANA LETTER RO;Lo;0;L;<narrow> 30ED;;;;N;;;;;
        "\uFF9C",  # ;HALFWIDTH KATAKANA LETTER WA;Lo;0;L;<narrow> 30EF;;;;N;;;;;
        "\uFF9D",  # ;HALFWIDTH KATAKANA LETTER N;Lo;0;L;<narrow> 30F3;;;;N;;;;;
        "\uFF9E",  # ;HALFWIDTH KATAKANA VOICED SOUND MARK;Lm;0;L;<narrow> 3099;;;;N;;;;;
        "\uFF9F",  # ;HALFWIDTH KATAKANA SEMI-VOICED SOUND MARK;Lm;0;L;<narrow> 309A;;;;N;;;;;
        "\uFFA0",  # ;HALFWIDTH HANGUL FILLER;Lo;0;L;<narrow> 3164;;;;N;HALFWIDTH HANGUL CAE OM;;;;
        "\uFFA1",  # ;HALFWIDTH HANGUL LETTER KIYEOK;Lo;0;L;<narrow> 3131;;;;N;HALFWIDTH HANGUL LETTER GIYEOG;;;;
        "\uFFA2",  # ;HALFWIDTH HANGUL LETTER SSANGKIYEOK;Lo;0;L;<narrow> 3132;;;;N;HALFWIDTH HANGUL LETTER SSANG GIYEOG;;;;
        "\uFFA3",  # ;HALFWIDTH HANGUL LETTER KIYEOK-SIOS;Lo;0;L;<narrow> 3133;;;;N;HALFWIDTH HANGUL LETTER GIYEOG SIOS;;;;
        "\uFFA4",  # ;HALFWIDTH HANGUL LETTER NIEUN;Lo;0;L;<narrow> 3134;;;;N;;;;;
        "\uFFA5",  # ;HALFWIDTH HANGUL LETTER NIEUN-CIEUC;Lo;0;L;<narrow> 3135;;;;N;HALFWIDTH HANGUL LETTER NIEUN JIEUJ;;;;
        "\uFFA6",  # ;HALFWIDTH HANGUL LETTER NIEUN-HIEUH;Lo;0;L;<narrow> 3136;;;;N;HALFWIDTH HANGUL LETTER NIEUN HIEUH;;;;
        "\uFFA7",  # ;HALFWIDTH HANGUL LETTER TIKEUT;Lo;0;L;<narrow> 3137;;;;N;HALFWIDTH HANGUL LETTER DIGEUD;;;;
        "\uFFA8",  # ;HALFWIDTH HANGUL LETTER SSANGTIKEUT;Lo;0;L;<narrow> 3138;;;;N;HALFWIDTH HANGUL LETTER SSANG DIGEUD;;;;
        "\uFFA9",  # ;HALFWIDTH HANGUL LETTER RIEUL;Lo;0;L;<narrow> 3139;;;;N;HALFWIDTH HANGUL LETTER LIEUL;;;;
        "\uFFAA",  # ;HALFWIDTH HANGUL LETTER RIEUL-KIYEOK;Lo;0;L;<narrow> 313A;;;;N;HALFWIDTH HANGUL LETTER LIEUL GIYEOG;;;;
        "\uFFAB",  # ;HALFWIDTH HANGUL LETTER RIEUL-MIEUM;Lo;0;L;<narrow> 313B;;;;N;HALFWIDTH HANGUL LETTER LIEUL MIEUM;;;;
        "\uFFAC",  # ;HALFWIDTH HANGUL LETTER RIEUL-PIEUP;Lo;0;L;<narrow> 313C;;;;N;HALFWIDTH HANGUL LETTER LIEUL BIEUB;;;;
        "\uFFAD",  # ;HALFWIDTH HANGUL LETTER RIEUL-SIOS;Lo;0;L;<narrow> 313D;;;;N;HALFWIDTH HANGUL LETTER LIEUL SIOS;;;;
        "\uFFAE",  # ;HALFWIDTH HANGUL LETTER RIEUL-THIEUTH;Lo;0;L;<narrow> 313E;;;;N;HALFWIDTH HANGUL LETTER LIEUL TIEUT;;;;
        "\uFFAF",  # ;HALFWIDTH HANGUL LETTER RIEUL-PHIEUPH;Lo;0;L;<narrow> 313F;;;;N;HALFWIDTH HANGUL LETTER LIEUL PIEUP;;;;
        "\uFFB0",  # ;HALFWIDTH HANGUL LETTER RIEUL-HIEUH;Lo;0;L;<narrow> 3140;;;;N;HALFWIDTH HANGUL LETTER LIEUL HIEUH;;;;
        "\uFFB1",  # ;HALFWIDTH HANGUL LETTER MIEUM;Lo;0;L;<narrow> 3141;;;;N;;;;;
        "\uFFB2",  # ;HALFWIDTH HANGUL LETTER PIEUP;Lo;0;L;<narrow> 3142;;;;N;HALFWIDTH HANGUL LETTER BIEUB;;;;
        "\uFFB3",  # ;HALFWIDTH HANGUL LETTER SSANGPIEUP;Lo;0;L;<narrow> 3143;;;;N;HALFWIDTH HANGUL LETTER SSANG BIEUB;;;;
        "\uFFB4",  # ;HALFWIDTH HANGUL LETTER PIEUP-SIOS;Lo;0;L;<narrow> 3144;;;;N;HALFWIDTH HANGUL LETTER BIEUB SIOS;;;;
        "\uFFB5",  # ;HALFWIDTH HANGUL LETTER SIOS;Lo;0;L;<narrow> 3145;;;;N;;;;;
        "\uFFB6",  # ;HALFWIDTH HANGUL LETTER SSANGSIOS;Lo;0;L;<narrow> 3146;;;;N;HALFWIDTH HANGUL LETTER SSANG SIOS;;;;
        "\uFFB7",  # ;HALFWIDTH HANGUL LETTER IEUNG;Lo;0;L;<narrow> 3147;;;;N;;;;;
        "\uFFB8",  # ;HALFWIDTH HANGUL LETTER CIEUC;Lo;0;L;<narrow> 3148;;;;N;HALFWIDTH HANGUL LETTER JIEUJ;;;;
        "\uFFB9",  # ;HALFWIDTH HANGUL LETTER SSANGCIEUC;Lo;0;L;<narrow> 3149;;;;N;HALFWIDTH HANGUL LETTER SSANG JIEUJ;;;;
        "\uFFBA",  # ;HALFWIDTH HANGUL LETTER CHIEUCH;Lo;0;L;<narrow> 314A;;;;N;HALFWIDTH HANGUL LETTER CIEUC;;;;
        "\uFFBB",  # ;HALFWIDTH HANGUL LETTER KHIEUKH;Lo;0;L;<narrow> 314B;;;;N;HALFWIDTH HANGUL LETTER KIYEOK;;;;
        "\uFFBC",  # ;HALFWIDTH HANGUL LETTER THIEUTH;Lo;0;L;<narrow> 314C;;;;N;HALFWIDTH HANGUL LETTER TIEUT;;;;
        "\uFFBD",  # ;HALFWIDTH HANGUL LETTER PHIEUPH;Lo;0;L;<narrow> 314D;;;;N;HALFWIDTH HANGUL LETTER PIEUP;;;;
        "\uFFBE",  # ;HALFWIDTH HANGUL LETTER HIEUH;Lo;0;L;<narrow> 314E;;;;N;;;;;
        "\uFFC2",  # ;HALFWIDTH HANGUL LETTER A;Lo;0;L;<narrow> 314F;;;;N;;;;;
        "\uFFC3",  # ;HALFWIDTH HANGUL LETTER AE;Lo;0;L;<narrow> 3150;;;;N;;;;;
        "\uFFC4",  # ;HALFWIDTH HANGUL LETTER YA;Lo;0;L;<narrow> 3151;;;;N;;;;;
        "\uFFC5",  # ;HALFWIDTH HANGUL LETTER YAE;Lo;0;L;<narrow> 3152;;;;N;;;;;
        "\uFFC6",  # ;HALFWIDTH HANGUL LETTER EO;Lo;0;L;<narrow> 3153;;;;N;;;;;
        "\uFFC7",  # ;HALFWIDTH HANGUL LETTER E;Lo;0;L;<narrow> 3154;;;;N;;;;;
        "\uFFCA",  # ;HALFWIDTH HANGUL LETTER YEO;Lo;0;L;<narrow> 3155;;;;N;;;;;
        "\uFFCB",  # ;HALFWIDTH HANGUL LETTER YE;Lo;0;L;<narrow> 3156;;;;N;;;;;
        "\uFFCC",  # ;HALFWIDTH HANGUL LETTER O;Lo;0;L;<narrow> 3157;;;;N;;;;;
        "\uFFCD",  # ;HALFWIDTH HANGUL LETTER WA;Lo;0;L;<narrow> 3158;;;;N;;;;;
        "\uFFCE",  # ;HALFWIDTH HANGUL LETTER WAE;Lo;0;L;<narrow> 3159;;;;N;;;;;
        "\uFFCF",  # ;HALFWIDTH HANGUL LETTER OE;Lo;0;L;<narrow> 315A;;;;N;;;;;
        "\uFFD2",  # ;HALFWIDTH HANGUL LETTER YO;Lo;0;L;<narrow> 315B;;;;N;;;;;
        "\uFFD3",  # ;HALFWIDTH HANGUL LETTER U;Lo;0;L;<narrow> 315C;;;;N;;;;;
        "\uFFD4",  # ;HALFWIDTH HANGUL LETTER WEO;Lo;0;L;<narrow> 315D;;;;N;;;;;
        "\uFFD5",  # ;HALFWIDTH HANGUL LETTER WE;Lo;0;L;<narrow> 315E;;;;N;;;;;
        "\uFFD6",  # ;HALFWIDTH HANGUL LETTER WI;Lo;0;L;<narrow> 315F;;;;N;;;;;
        "\uFFD7",  # ;HALFWIDTH HANGUL LETTER YU;Lo;0;L;<narrow> 3160;;;;N;;;;;
        "\uFFDA",  # ;HALFWIDTH HANGUL LETTER EU;Lo;0;L;<narrow> 3161;;;;N;;;;;
        "\uFFDB",  # ;HALFWIDTH HANGUL LETTER YI;Lo;0;L;<narrow> 3162;;;;N;;;;;
        "\uFFDC",  # ;HALFWIDTH HANGUL LETTER I;Lo;0;L;<narrow> 3163;;;;N;;;;;
        "\uFFE0",  # ;FULLWIDTH CENT SIGN;Sc;0;ET;<wide> 00A2;;;;N;;;;;
        "\uFFE1",  # ;FULLWIDTH POUND SIGN;Sc;0;ET;<wide> 00A3;;;;N;;;;;
        "\uFFE2",  # ;FULLWIDTH NOT SIGN;Sm;0;ON;<wide> 00AC;;;;N;;;;;
        "\uFFE3",  # ;FULLWIDTH MACRON;Sk;0;ON;<wide> 00AF;;;;N;FULLWIDTH SPACING MACRON;;;;
        "\uFFE4",  # ;FULLWIDTH BROKEN BAR;So;0;ON;<wide> 00A6;;;;N;FULLWIDTH BROKEN VERTICAL BAR;;;;
        "\uFFE5",  # ;FULLWIDTH YEN SIGN;Sc;0;ET;<wide> 00A5;;;;N;;;;;
        "\uFFE6",  # ;FULLWIDTH WON SIGN;Sc;0;ET;<wide> 20A9;;;;N;;;;;
        "\uFFE8",  # ;HALFWIDTH FORMS LIGHT VERTICAL;So;0;ON;<narrow> 2502;;;;N;;;;;
        "\uFFE9",  # ;HALFWIDTH LEFTWARDS ARROW;Sm;0;ON;<narrow> 2190;;;;N;;;;;
        "\uFFEA",  # ;HALFWIDTH UPWARDS ARROW;Sm;0;ON;<narrow> 2191;;;;N;;;;;
        "\uFFEB",  # ;HALFWIDTH RIGHTWARDS ARROW;Sm;0;ON;<narrow> 2192;;;;N;;;;;
        "\uFFEC",  # ;HALFWIDTH DOWNWARDS ARROW;Sm;0;ON;<narrow> 2193;;;;N;;;;;
        "\uFFED",  # ;HALFWIDTH BLACK SQUARE;So;0;ON;<narrow> 25A0;;;;N;;;;;
        "\uFFEE",  # ;HALFWIDTH WHITE CIRCLE;So;0;ON;<narrow> 25CB;;;;N;;;;;
        "\uFFF9",  # ;INTERLINEAR ANNOTATION ANCHOR;Cf;0;ON;;;;;N;;;;;
        "\uFFFA",  # ;INTERLINEAR ANNOTATION SEPARATOR;Cf;0;ON;;;;;N;;;;;
        "\uFFFB",  # ;INTERLINEAR ANNOTATION TERMINATOR;Cf;0;ON;;;;;N;;;;;
        "\uFFFC",  # ;OBJECT REPLACEMENT CHARACTER;So;0;ON;;;;;N;;;;;
        "\uFFFD",  # ;REPLACEMENT CHARACTER;So;0;ON;;;;;N;;;;;
        "\u10000",  # ;LINEAR B SYLLABLE B008 A;Lo;0;L;;;;;N;;;;;
        "\u10001",  # ;LINEAR B SYLLABLE B038 E;Lo;0;L;;;;;N;;;;;
        "\u10002",  # ;LINEAR B SYLLABLE B028 I;Lo;0;L;;;;;N;;;;;
        "\u10003",  # ;LINEAR B SYLLABLE B061 O;Lo;0;L;;;;;N;;;;;
        "\u10004",  # ;LINEAR B SYLLABLE B010 U;Lo;0;L;;;;;N;;;;;
        "\u10005",  # ;LINEAR B SYLLABLE B001 DA;Lo;0;L;;;;;N;;;;;
        "\u10006",  # ;LINEAR B SYLLABLE B045 DE;Lo;0;L;;;;;N;;;;;
        "\u10007",  # ;LINEAR B SYLLABLE B007 DI;Lo;0;L;;;;;N;;;;;
        "\u10008",  # ;LINEAR B SYLLABLE B014 DO;Lo;0;L;;;;;N;;;;;
        "\u10009",  # ;LINEAR B SYLLABLE B051 DU;Lo;0;L;;;;;N;;;;;
        "\u1000A",  # ;LINEAR B SYLLABLE B057 JA;Lo;0;L;;;;;N;;;;;
        "\u1000B",  # ;LINEAR B SYLLABLE B046 JE;Lo;0;L;;;;;N;;;;;
        "\u1000D",  # ;LINEAR B SYLLABLE B036 JO;Lo;0;L;;;;;N;;;;;
        "\u1000E",  # ;LINEAR B SYLLABLE B065 JU;Lo;0;L;;;;;N;;;;;
        "\u1000F",  # ;LINEAR B SYLLABLE B077 KA;Lo;0;L;;;;;N;;;;;
        "\u10010",  # ;LINEAR B SYLLABLE B044 KE;Lo;0;L;;;;;N;;;;;
        "\u10011",  # ;LINEAR B SYLLABLE B067 KI;Lo;0;L;;;;;N;;;;;
        "\u10012",  # ;LINEAR B SYLLABLE B070 KO;Lo;0;L;;;;;N;;;;;
        "\u10013",  # ;LINEAR B SYLLABLE B081 KU;Lo;0;L;;;;;N;;;;;
        "\u10014",  # ;LINEAR B SYLLABLE B080 MA;Lo;0;L;;;;;N;;;;;
        "\u10015",  # ;LINEAR B SYLLABLE B013 ME;Lo;0;L;;;;;N;;;;;
        "\u10016",  # ;LINEAR B SYLLABLE B073 MI;Lo;0;L;;;;;N;;;;;
        "\u10017",  # ;LINEAR B SYLLABLE B015 MO;Lo;0;L;;;;;N;;;;;
        "\u10018",  # ;LINEAR B SYLLABLE B023 MU;Lo;0;L;;;;;N;;;;;
        "\u10019",  # ;LINEAR B SYLLABLE B006 NA;Lo;0;L;;;;;N;;;;;
        "\u1001A",  # ;LINEAR B SYLLABLE B024 NE;Lo;0;L;;;;;N;;;;;
        "\u1001B",  # ;LINEAR B SYLLABLE B030 NI;Lo;0;L;;;;;N;;;;;
        "\u1001C",  # ;LINEAR B SYLLABLE B052 NO;Lo;0;L;;;;;N;;;;;
        "\u1001D",  # ;LINEAR B SYLLABLE B055 NU;Lo;0;L;;;;;N;;;;;
        "\u1001E",  # ;LINEAR B SYLLABLE B003 PA;Lo;0;L;;;;;N;;;;;
        "\u1001F",  # ;LINEAR B SYLLABLE B072 PE;Lo;0;L;;;;;N;;;;;
        "\u10020",  # ;LINEAR B SYLLABLE B039 PI;Lo;0;L;;;;;N;;;;;
        "\u10021",  # ;LINEAR B SYLLABLE B011 PO;Lo;0;L;;;;;N;;;;;
        "\u10022",  # ;LINEAR B SYLLABLE B050 PU;Lo;0;L;;;;;N;;;;;
        "\u10023",  # ;LINEAR B SYLLABLE B016 QA;Lo;0;L;;;;;N;;;;;
        "\u10024",  # ;LINEAR B SYLLABLE B078 QE;Lo;0;L;;;;;N;;;;;
        "\u10025",  # ;LINEAR B SYLLABLE B021 QI;Lo;0;L;;;;;N;;;;;
        "\u10026",  # ;LINEAR B SYLLABLE B032 QO;Lo;0;L;;;;;N;;;;;
        "\u10028",  # ;LINEAR B SYLLABLE B060 RA;Lo;0;L;;;;;N;;;;;
        "\u10029",  # ;LINEAR B SYLLABLE B027 RE;Lo;0;L;;;;;N;;;;;
        "\u1002A",  # ;LINEAR B SYLLABLE B053 RI;Lo;0;L;;;;;N;;;;;
        "\u1002B",  # ;LINEAR B SYLLABLE B002 RO;Lo;0;L;;;;;N;;;;;
        "\u1002C",  # ;LINEAR B SYLLABLE B026 RU;Lo;0;L;;;;;N;;;;;
        "\u1002D",  # ;LINEAR B SYLLABLE B031 SA;Lo;0;L;;;;;N;;;;;
        "\u1002E",  # ;LINEAR B SYLLABLE B009 SE;Lo;0;L;;;;;N;;;;;
        "\u1002F",  # ;LINEAR B SYLLABLE B041 SI;Lo;0;L;;;;;N;;;;;
        "\u10030",  # ;LINEAR B SYLLABLE B012 SO;Lo;0;L;;;;;N;;;;;
        "\u10031",  # ;LINEAR B SYLLABLE B058 SU;Lo;0;L;;;;;N;;;;;
        "\u10032",  # ;LINEAR B SYLLABLE B059 TA;Lo;0;L;;;;;N;;;;;
        "\u10033",  # ;LINEAR B SYLLABLE B004 TE;Lo;0;L;;;;;N;;;;;
        "\u10034",  # ;LINEAR B SYLLABLE B037 TI;Lo;0;L;;;;;N;;;;;
        "\u10035",  # ;LINEAR B SYLLABLE B005 TO;Lo;0;L;;;;;N;;;;;
        "\u10036",  # ;LINEAR B SYLLABLE B069 TU;Lo;0;L;;;;;N;;;;;
        "\u10037",  # ;LINEAR B SYLLABLE B054 WA;Lo;0;L;;;;;N;;;;;
        "\u10038",  # ;LINEAR B SYLLABLE B075 WE;Lo;0;L;;;;;N;;;;;
        "\u10039",  # ;LINEAR B SYLLABLE B040 WI;Lo;0;L;;;;;N;;;;;
        "\u1003A",  # ;LINEAR B SYLLABLE B042 WO;Lo;0;L;;;;;N;;;;;
        "\u1003C",  # ;LINEAR B SYLLABLE B017 ZA;Lo;0;L;;;;;N;;;;;
        "\u1003D",  # ;LINEAR B SYLLABLE B074 ZE;Lo;0;L;;;;;N;;;;;
        "\u1003F",  # ;LINEAR B SYLLABLE B020 ZO;Lo;0;L;;;;;N;;;;;
        "\u10040",  # ;LINEAR B SYLLABLE B025 A2;Lo;0;L;;;;;N;;;;;
        "\u10041",  # ;LINEAR B SYLLABLE B043 A3;Lo;0;L;;;;;N;;;;;
        "\u10042",  # ;LINEAR B SYLLABLE B085 AU;Lo;0;L;;;;;N;;;;;
        "\u10043",  # ;LINEAR B SYLLABLE B071 DWE;Lo;0;L;;;;;N;;;;;
        "\u10044",  # ;LINEAR B SYLLABLE B090 DWO;Lo;0;L;;;;;N;;;;;
        "\u10045",  # ;LINEAR B SYLLABLE B048 NWA;Lo;0;L;;;;;N;;;;;
        "\u10046",  # ;LINEAR B SYLLABLE B029 PU2;Lo;0;L;;;;;N;;;;;
        "\u10047",  # ;LINEAR B SYLLABLE B062 PTE;Lo;0;L;;;;;N;;;;;
        "\u10048",  # ;LINEAR B SYLLABLE B076 RA2;Lo;0;L;;;;;N;;;;;
        "\u10049",  # ;LINEAR B SYLLABLE B033 RA3;Lo;0;L;;;;;N;;;;;
        "\u1004A",  # ;LINEAR B SYLLABLE B068 RO2;Lo;0;L;;;;;N;;;;;
        "\u1004B",  # ;LINEAR B SYLLABLE B066 TA2;Lo;0;L;;;;;N;;;;;
        "\u1004C",  # ;LINEAR B SYLLABLE B087 TWE;Lo;0;L;;;;;N;;;;;
        "\u1004D",  # ;LINEAR B SYLLABLE B091 TWO;Lo;0;L;;;;;N;;;;;
        "\u10050",  # ;LINEAR B SYMBOL B018;Lo;0;L;;;;;N;;;;;
        "\u10051",  # ;LINEAR B SYMBOL B019;Lo;0;L;;;;;N;;;;;
        "\u10052",  # ;LINEAR B SYMBOL B022;Lo;0;L;;;;;N;;;;;
        "\u10053",  # ;LINEAR B SYMBOL B034;Lo;0;L;;;;;N;;;;;
        "\u10054",  # ;LINEAR B SYMBOL B047;Lo;0;L;;;;;N;;;;;
        "\u10055",  # ;LINEAR B SYMBOL B049;Lo;0;L;;;;;N;;;;;
        "\u10056",  # ;LINEAR B SYMBOL B056;Lo;0;L;;;;;N;;;;;
        "\u10057",  # ;LINEAR B SYMBOL B063;Lo;0;L;;;;;N;;;;;
        "\u10058",  # ;LINEAR B SYMBOL B064;Lo;0;L;;;;;N;;;;;
        "\u10059",  # ;LINEAR B SYMBOL B079;Lo;0;L;;;;;N;;;;;
        "\u1005A",  # ;LINEAR B SYMBOL B082;Lo;0;L;;;;;N;;;;;
        "\u1005B",  # ;LINEAR B SYMBOL B083;Lo;0;L;;;;;N;;;;;
        "\u1005C",  # ;LINEAR B SYMBOL B086;Lo;0;L;;;;;N;;;;;
        "\u1005D",  # ;LINEAR B SYMBOL B089;Lo;0;L;;;;;N;;;;;
        "\u10080",  # ;LINEAR B IDEOGRAM B100 MAN;Lo;0;L;;;;;N;;;;;
        "\u10081",  # ;LINEAR B IDEOGRAM B102 WOMAN;Lo;0;L;;;;;N;;;;;
        "\u10082",  # ;LINEAR B IDEOGRAM B104 DEER;Lo;0;L;;;;;N;;;;;
        "\u10083",  # ;LINEAR B IDEOGRAM B105 EQUID;Lo;0;L;;;;;N;;;;;
        "\u10084",  # ;LINEAR B IDEOGRAM B105F MARE;Lo;0;L;;;;;N;;;;;
        "\u10085",  # ;LINEAR B IDEOGRAM B105M STALLION;Lo;0;L;;;;;N;;;;;
        "\u10086",  # ;LINEAR B IDEOGRAM B106F EWE;Lo;0;L;;;;;N;;;;;
        "\u10087",  # ;LINEAR B IDEOGRAM B106M RAM;Lo;0;L;;;;;N;;;;;
        "\u10088",  # ;LINEAR B IDEOGRAM B107F SHE-GOAT;Lo;0;L;;;;;N;;;;;
        "\u10089",  # ;LINEAR B IDEOGRAM B107M HE-GOAT;Lo;0;L;;;;;N;;;;;
        "\u1008A",  # ;LINEAR B IDEOGRAM B108F SOW;Lo;0;L;;;;;N;;;;;
        "\u1008B",  # ;LINEAR B IDEOGRAM B108M BOAR;Lo;0;L;;;;;N;;;;;
        "\u1008C",  # ;LINEAR B IDEOGRAM B109F COW;Lo;0;L;;;;;N;;;;;
        "\u1008D",  # ;LINEAR B IDEOGRAM B109M BULL;Lo;0;L;;;;;N;;;;;
        "\u1008E",  # ;LINEAR B IDEOGRAM B120 WHEAT;Lo;0;L;;;;;N;;;;;
        "\u1008F",  # ;LINEAR B IDEOGRAM B121 BARLEY;Lo;0;L;;;;;N;;;;;
        "\u10090",  # ;LINEAR B IDEOGRAM B122 OLIVE;Lo;0;L;;;;;N;;;;;
        "\u10091",  # ;LINEAR B IDEOGRAM B123 SPICE;Lo;0;L;;;;;N;;;;;
        "\u10092",  # ;LINEAR B IDEOGRAM B125 CYPERUS;Lo;0;L;;;;;N;;;;;
        "\u10093",  # ;LINEAR B MONOGRAM B127 KAPO;Lo;0;L;;;;;N;;;;;
        "\u10094",  # ;LINEAR B MONOGRAM B128 KANAKO;Lo;0;L;;;;;N;;;;;
        "\u10095",  # ;LINEAR B IDEOGRAM B130 OIL;Lo;0;L;;;;;N;;;;;
        "\u10096",  # ;LINEAR B IDEOGRAM B131 WINE;Lo;0;L;;;;;N;;;;;
        "\u10097",  # ;LINEAR B IDEOGRAM B132;Lo;0;L;;;;;N;;;;;
        "\u10098",  # ;LINEAR B MONOGRAM B133 AREPA;Lo;0;L;;;;;N;;;;;
        "\u10099",  # ;LINEAR B MONOGRAM B135 MERI;Lo;0;L;;;;;N;;;;;
        "\u1009A",  # ;LINEAR B IDEOGRAM B140 BRONZE;Lo;0;L;;;;;N;;;;;
        "\u1009B",  # ;LINEAR B IDEOGRAM B141 GOLD;Lo;0;L;;;;;N;;;;;
        "\u1009C",  # ;LINEAR B IDEOGRAM B142;Lo;0;L;;;;;N;;;;;
        "\u1009D",  # ;LINEAR B IDEOGRAM B145 WOOL;Lo;0;L;;;;;N;;;;;
        "\u1009E",  # ;LINEAR B IDEOGRAM B146;Lo;0;L;;;;;N;;;;;
        "\u1009F",  # ;LINEAR B IDEOGRAM B150;Lo;0;L;;;;;N;;;;;
        "\u100A0",  # ;LINEAR B IDEOGRAM B151 HORN;Lo;0;L;;;;;N;;;;;
        "\u100A1",  # ;LINEAR B IDEOGRAM B152;Lo;0;L;;;;;N;;;;;
        "\u100A2",  # ;LINEAR B IDEOGRAM B153;Lo;0;L;;;;;N;;;;;
        "\u100A3",  # ;LINEAR B IDEOGRAM B154;Lo;0;L;;;;;N;;;;;
        "\u100A4",  # ;LINEAR B MONOGRAM B156 TURO2;Lo;0;L;;;;;N;;;;;
        "\u100A5",  # ;LINEAR B IDEOGRAM B157;Lo;0;L;;;;;N;;;;;
        "\u100A6",  # ;LINEAR B IDEOGRAM B158;Lo;0;L;;;;;N;;;;;
        "\u100A7",  # ;LINEAR B IDEOGRAM B159 CLOTH;Lo;0;L;;;;;N;;;;;
        "\u100A8",  # ;LINEAR B IDEOGRAM B160;Lo;0;L;;;;;N;;;;;
        "\u100A9",  # ;LINEAR B IDEOGRAM B161;Lo;0;L;;;;;N;;;;;
        "\u100AA",  # ;LINEAR B IDEOGRAM B162 GARMENT;Lo;0;L;;;;;N;;;;;
        "\u100AB",  # ;LINEAR B IDEOGRAM B163 ARMOUR;Lo;0;L;;;;;N;;;;;
        "\u100AC",  # ;LINEAR B IDEOGRAM B164;Lo;0;L;;;;;N;;;;;
        "\u100AD",  # ;LINEAR B IDEOGRAM B165;Lo;0;L;;;;;N;;;;;
        "\u100AE",  # ;LINEAR B IDEOGRAM B166;Lo;0;L;;;;;N;;;;;
        "\u100AF",  # ;LINEAR B IDEOGRAM B167;Lo;0;L;;;;;N;;;;;
        "\u100B0",  # ;LINEAR B IDEOGRAM B168;Lo;0;L;;;;;N;;;;;
        "\u100B1",  # ;LINEAR B IDEOGRAM B169;Lo;0;L;;;;;N;;;;;
        "\u100B2",  # ;LINEAR B IDEOGRAM B170;Lo;0;L;;;;;N;;;;;
        "\u100B3",  # ;LINEAR B IDEOGRAM B171;Lo;0;L;;;;;N;;;;;
        "\u100B4",  # ;LINEAR B IDEOGRAM B172;Lo;0;L;;;;;N;;;;;
        "\u100B5",  # ;LINEAR B IDEOGRAM B173 MONTH;Lo;0;L;;;;;N;;;;;
        "\u100B6",  # ;LINEAR B IDEOGRAM B174;Lo;0;L;;;;;N;;;;;
        "\u100B7",  # ;LINEAR B IDEOGRAM B176 TREE;Lo;0;L;;;;;N;;;;;
        "\u100B8",  # ;LINEAR B IDEOGRAM B177;Lo;0;L;;;;;N;;;;;
        "\u100B9",  # ;LINEAR B IDEOGRAM B178;Lo;0;L;;;;;N;;;;;
        "\u100BA",  # ;LINEAR B IDEOGRAM B179;Lo;0;L;;;;;N;;;;;
        "\u100BB",  # ;LINEAR B IDEOGRAM B180;Lo;0;L;;;;;N;;;;;
        "\u100BC",  # ;LINEAR B IDEOGRAM B181;Lo;0;L;;;;;N;;;;;
        "\u100BD",  # ;LINEAR B IDEOGRAM B182;Lo;0;L;;;;;N;;;;;
        "\u100BE",  # ;LINEAR B IDEOGRAM B183;Lo;0;L;;;;;N;;;;;
        "\u100BF",  # ;LINEAR B IDEOGRAM B184;Lo;0;L;;;;;N;;;;;
        "\u100C0",  # ;LINEAR B IDEOGRAM B185;Lo;0;L;;;;;N;;;;;
        "\u100C1",  # ;LINEAR B IDEOGRAM B189;Lo;0;L;;;;;N;;;;;
        "\u100C2",  # ;LINEAR B IDEOGRAM B190;Lo;0;L;;;;;N;;;;;
        "\u100C3",  # ;LINEAR B IDEOGRAM B191 HELMET;Lo;0;L;;;;;N;;;;;
        "\u100C4",  # ;LINEAR B IDEOGRAM B220 FOOTSTOOL;Lo;0;L;;;;;N;;;;;
        "\u100C5",  # ;LINEAR B IDEOGRAM B225 BATHTUB;Lo;0;L;;;;;N;;;;;
        "\u100C6",  # ;LINEAR B IDEOGRAM B230 SPEAR;Lo;0;L;;;;;N;;;;;
        "\u100C7",  # ;LINEAR B IDEOGRAM B231 ARROW;Lo;0;L;;;;;N;;;;;
        "\u100C8",  # ;LINEAR B IDEOGRAM B232;Lo;0;L;;;;;N;;;;;
        "\u100C9",  # ;LINEAR B IDEOGRAM B233 SWORD;Lo;0;L;;;;;N;;;;;
        "\u100CA",  # ;LINEAR B IDEOGRAM B234;Lo;0;L;;;;;N;;;;;
        "\u100CB",  # ;LINEAR B IDEOGRAM B236;Lo;0;L;;;;;N;;;;;
        "\u100CC",  # ;LINEAR B IDEOGRAM B240 WHEELED CHARIOT;Lo;0;L;;;;;N;;;;;
        "\u100CD",  # ;LINEAR B IDEOGRAM B241 CHARIOT;Lo;0;L;;;;;N;;;;;
        "\u100CE",  # ;LINEAR B IDEOGRAM B242 CHARIOT FRAME;Lo;0;L;;;;;N;;;;;
        "\u100CF",  # ;LINEAR B IDEOGRAM B243 WHEEL;Lo;0;L;;;;;N;;;;;
        "\u100D0",  # ;LINEAR B IDEOGRAM B245;Lo;0;L;;;;;N;;;;;
        "\u100D1",  # ;LINEAR B IDEOGRAM B246;Lo;0;L;;;;;N;;;;;
        "\u100D2",  # ;LINEAR B MONOGRAM B247 DIPTE;Lo;0;L;;;;;N;;;;;
        "\u100D3",  # ;LINEAR B IDEOGRAM B248;Lo;0;L;;;;;N;;;;;
        "\u100D4",  # ;LINEAR B IDEOGRAM B249;Lo;0;L;;;;;N;;;;;
        "\u100D5",  # ;LINEAR B IDEOGRAM B251;Lo;0;L;;;;;N;;;;;
        "\u100D6",  # ;LINEAR B IDEOGRAM B252;Lo;0;L;;;;;N;;;;;
        "\u100D7",  # ;LINEAR B IDEOGRAM B253;Lo;0;L;;;;;N;;;;;
        "\u100D8",  # ;LINEAR B IDEOGRAM B254 DART;Lo;0;L;;;;;N;;;;;
        "\u100D9",  # ;LINEAR B IDEOGRAM B255;Lo;0;L;;;;;N;;;;;
        "\u100DA",  # ;LINEAR B IDEOGRAM B256;Lo;0;L;;;;;N;;;;;
        "\u100DB",  # ;LINEAR B IDEOGRAM B257;Lo;0;L;;;;;N;;;;;
        "\u100DC",  # ;LINEAR B IDEOGRAM B258;Lo;0;L;;;;;N;;;;;
        "\u100DD",  # ;LINEAR B IDEOGRAM B259;Lo;0;L;;;;;N;;;;;
        "\u100DE",  # ;LINEAR B IDEOGRAM VESSEL B155;Lo;0;L;;;;;N;;;;;
        "\u100DF",  # ;LINEAR B IDEOGRAM VESSEL B200;Lo;0;L;;;;;N;;;;;
        "\u100E0",  # ;LINEAR B IDEOGRAM VESSEL B201;Lo;0;L;;;;;N;;;;;
        "\u100E1",  # ;LINEAR B IDEOGRAM VESSEL B202;Lo;0;L;;;;;N;;;;;
        "\u100E2",  # ;LINEAR B IDEOGRAM VESSEL B203;Lo;0;L;;;;;N;;;;;
        "\u100E3",  # ;LINEAR B IDEOGRAM VESSEL B204;Lo;0;L;;;;;N;;;;;
        "\u100E4",  # ;LINEAR B IDEOGRAM VESSEL B205;Lo;0;L;;;;;N;;;;;
        "\u100E5",  # ;LINEAR B IDEOGRAM VESSEL B206;Lo;0;L;;;;;N;;;;;
        "\u100E6",  # ;LINEAR B IDEOGRAM VESSEL B207;Lo;0;L;;;;;N;;;;;
        "\u100E7",  # ;LINEAR B IDEOGRAM VESSEL B208;Lo;0;L;;;;;N;;;;;
        "\u100E8",  # ;LINEAR B IDEOGRAM VESSEL B209;Lo;0;L;;;;;N;;;;;
        "\u100E9",  # ;LINEAR B IDEOGRAM VESSEL B210;Lo;0;L;;;;;N;;;;;
        "\u100EA",  # ;LINEAR B IDEOGRAM VESSEL B211;Lo;0;L;;;;;N;;;;;
        "\u100EB",  # ;LINEAR B IDEOGRAM VESSEL B212;Lo;0;L;;;;;N;;;;;
        "\u100EC",  # ;LINEAR B IDEOGRAM VESSEL B213;Lo;0;L;;;;;N;;;;;
        "\u100ED",  # ;LINEAR B IDEOGRAM VESSEL B214;Lo;0;L;;;;;N;;;;;
        "\u100EE",  # ;LINEAR B IDEOGRAM VESSEL B215;Lo;0;L;;;;;N;;;;;
        "\u100EF",  # ;LINEAR B IDEOGRAM VESSEL B216;Lo;0;L;;;;;N;;;;;
        "\u100F0",  # ;LINEAR B IDEOGRAM VESSEL B217;Lo;0;L;;;;;N;;;;;
        "\u100F1",  # ;LINEAR B IDEOGRAM VESSEL B218;Lo;0;L;;;;;N;;;;;
        "\u100F2",  # ;LINEAR B IDEOGRAM VESSEL B219;Lo;0;L;;;;;N;;;;;
        "\u100F3",  # ;LINEAR B IDEOGRAM VESSEL B221;Lo;0;L;;;;;N;;;;;
        "\u100F4",  # ;LINEAR B IDEOGRAM VESSEL B222;Lo;0;L;;;;;N;;;;;
        "\u100F5",  # ;LINEAR B IDEOGRAM VESSEL B226;Lo;0;L;;;;;N;;;;;
        "\u100F6",  # ;LINEAR B IDEOGRAM VESSEL B227;Lo;0;L;;;;;N;;;;;
        "\u100F7",  # ;LINEAR B IDEOGRAM VESSEL B228;Lo;0;L;;;;;N;;;;;
        "\u100F8",  # ;LINEAR B IDEOGRAM VESSEL B229;Lo;0;L;;;;;N;;;;;
        "\u100F9",  # ;LINEAR B IDEOGRAM VESSEL B250;Lo;0;L;;;;;N;;;;;
        "\u100FA",  # ;LINEAR B IDEOGRAM VESSEL B305;Lo;0;L;;;;;N;;;;;
        "\u10100",  # ;AEGEAN WORD SEPARATOR LINE;Po;0;L;;;;;N;;;;;
        "\u10101",  # ;AEGEAN WORD SEPARATOR DOT;Po;0;ON;;;;;N;;;;;
        "\u10102",  # ;AEGEAN CHECK MARK;Po;0;L;;;;;N;;;;;
        "\u10107",  # ;AEGEAN NUMBER ONE;No;0;L;;;;1;N;;;;;
        "\u10108",  # ;AEGEAN NUMBER TWO;No;0;L;;;;2;N;;;;;
        "\u10109",  # ;AEGEAN NUMBER THREE;No;0;L;;;;3;N;;;;;
        "\u1010A",  # ;AEGEAN NUMBER FOUR;No;0;L;;;;4;N;;;;;
        "\u1010B",  # ;AEGEAN NUMBER FIVE;No;0;L;;;;5;N;;;;;
        "\u1010C",  # ;AEGEAN NUMBER SIX;No;0;L;;;;6;N;;;;;
        "\u1010D",  # ;AEGEAN NUMBER SEVEN;No;0;L;;;;7;N;;;;;
        "\u1010E",  # ;AEGEAN NUMBER EIGHT;No;0;L;;;;8;N;;;;;
        "\u1010F",  # ;AEGEAN NUMBER NINE;No;0;L;;;;9;N;;;;;
        "\u10110",  # ;AEGEAN NUMBER TEN;No;0;L;;;;10;N;;;;;
        "\u10111",  # ;AEGEAN NUMBER TWENTY;No;0;L;;;;20;N;;;;;
        "\u10112",  # ;AEGEAN NUMBER THIRTY;No;0;L;;;;30;N;;;;;
        "\u10113",  # ;AEGEAN NUMBER FORTY;No;0;L;;;;40;N;;;;;
        "\u10114",  # ;AEGEAN NUMBER FIFTY;No;0;L;;;;50;N;;;;;
        "\u10115",  # ;AEGEAN NUMBER SIXTY;No;0;L;;;;60;N;;;;;
        "\u10116",  # ;AEGEAN NUMBER SEVENTY;No;0;L;;;;70;N;;;;;
        "\u10117",  # ;AEGEAN NUMBER EIGHTY;No;0;L;;;;80;N;;;;;
        "\u10118",  # ;AEGEAN NUMBER NINETY;No;0;L;;;;90;N;;;;;
        "\u10119",  # ;AEGEAN NUMBER ONE HUNDRED;No;0;L;;;;100;N;;;;;
        "\u1011A",  # ;AEGEAN NUMBER TWO HUNDRED;No;0;L;;;;200;N;;;;;
        "\u1011B",  # ;AEGEAN NUMBER THREE HUNDRED;No;0;L;;;;300;N;;;;;
        "\u1011C",  # ;AEGEAN NUMBER FOUR HUNDRED;No;0;L;;;;400;N;;;;;
        "\u1011D",  # ;AEGEAN NUMBER FIVE HUNDRED;No;0;L;;;;500;N;;;;;
        "\u1011E",  # ;AEGEAN NUMBER SIX HUNDRED;No;0;L;;;;600;N;;;;;
        "\u1011F",  # ;AEGEAN NUMBER SEVEN HUNDRED;No;0;L;;;;700;N;;;;;
        "\u10120",  # ;AEGEAN NUMBER EIGHT HUNDRED;No;0;L;;;;800;N;;;;;
        "\u10121",  # ;AEGEAN NUMBER NINE HUNDRED;No;0;L;;;;900;N;;;;;
        "\u10122",  # ;AEGEAN NUMBER ONE THOUSAND;No;0;L;;;;1000;N;;;;;
        "\u10123",  # ;AEGEAN NUMBER TWO THOUSAND;No;0;L;;;;2000;N;;;;;
        "\u10124",  # ;AEGEAN NUMBER THREE THOUSAND;No;0;L;;;;3000;N;;;;;
        "\u10125",  # ;AEGEAN NUMBER FOUR THOUSAND;No;0;L;;;;4000;N;;;;;
        "\u10126",  # ;AEGEAN NUMBER FIVE THOUSAND;No;0;L;;;;5000;N;;;;;
        "\u10127",  # ;AEGEAN NUMBER SIX THOUSAND;No;0;L;;;;6000;N;;;;;
        "\u10128",  # ;AEGEAN NUMBER SEVEN THOUSAND;No;0;L;;;;7000;N;;;;;
        "\u10129",  # ;AEGEAN NUMBER EIGHT THOUSAND;No;0;L;;;;8000;N;;;;;
        "\u1012A",  # ;AEGEAN NUMBER NINE THOUSAND;No;0;L;;;;9000;N;;;;;
        "\u1012B",  # ;AEGEAN NUMBER TEN THOUSAND;No;0;L;;;;10000;N;;;;;
        "\u1012C",  # ;AEGEAN NUMBER TWENTY THOUSAND;No;0;L;;;;20000;N;;;;;
        "\u1012D",  # ;AEGEAN NUMBER THIRTY THOUSAND;No;0;L;;;;30000;N;;;;;
        "\u1012E",  # ;AEGEAN NUMBER FORTY THOUSAND;No;0;L;;;;40000;N;;;;;
        "\u1012F",  # ;AEGEAN NUMBER FIFTY THOUSAND;No;0;L;;;;50000;N;;;;;
        "\u10130",  # ;AEGEAN NUMBER SIXTY THOUSAND;No;0;L;;;;60000;N;;;;;
        "\u10131",  # ;AEGEAN NUMBER SEVENTY THOUSAND;No;0;L;;;;70000;N;;;;;
        "\u10132",  # ;AEGEAN NUMBER EIGHTY THOUSAND;No;0;L;;;;80000;N;;;;;
        "\u10133",  # ;AEGEAN NUMBER NINETY THOUSAND;No;0;L;;;;90000;N;;;;;
        "\u10137",  # ;AEGEAN WEIGHT BASE UNIT;So;0;L;;;;;N;;;;;
        "\u10138",  # ;AEGEAN WEIGHT FIRST SUBUNIT;So;0;L;;;;;N;;;;;
        "\u10139",  # ;AEGEAN WEIGHT SECOND SUBUNIT;So;0;L;;;;;N;;;;;
        "\u1013A",  # ;AEGEAN WEIGHT THIRD SUBUNIT;So;0;L;;;;;N;;;;;
        "\u1013B",  # ;AEGEAN WEIGHT FOURTH SUBUNIT;So;0;L;;;;;N;;;;;
        "\u1013C",  # ;AEGEAN DRY MEASURE FIRST SUBUNIT;So;0;L;;;;;N;;;;;
        "\u1013D",  # ;AEGEAN LIQUID MEASURE FIRST SUBUNIT;So;0;L;;;;;N;;;;;
        "\u1013E",  # ;AEGEAN MEASURE SECOND SUBUNIT;So;0;L;;;;;N;;;;;
        "\u1013F",  # ;AEGEAN MEASURE THIRD SUBUNIT;So;0;L;;;;;N;;;;;
        "\u10140",  # ;GREEK ACROPHONIC ATTIC ONE QUARTER;Nl;0;ON;;;;1/4;N;;;;;
        "\u10141",  # ;GREEK ACROPHONIC ATTIC ONE HALF;Nl;0;ON;;;;1/2;N;;;;;
        "\u10142",  # ;GREEK ACROPHONIC ATTIC ONE DRACHMA;Nl;0;ON;;;;1;N;;;;;
        "\u10143",  # ;GREEK ACROPHONIC ATTIC FIVE;Nl;0;ON;;;;5;N;;;;;
        "\u10144",  # ;GREEK ACROPHONIC ATTIC FIFTY;Nl;0;ON;;;;50;N;;;;;
        "\u10145",  # ;GREEK ACROPHONIC ATTIC FIVE HUNDRED;Nl;0;ON;;;;500;N;;;;;
        "\u10146",  # ;GREEK ACROPHONIC ATTIC FIVE THOUSAND;Nl;0;ON;;;;5000;N;;;;;
        "\u10147",  # ;GREEK ACROPHONIC ATTIC FIFTY THOUSAND;Nl;0;ON;;;;50000;N;;;;;
        "\u10148",  # ;GREEK ACROPHONIC ATTIC FIVE TALENTS;Nl;0;ON;;;;5;N;;;;;
        "\u10149",  # ;GREEK ACROPHONIC ATTIC TEN TALENTS;Nl;0;ON;;;;10;N;;;;;
        "\u1014A",  # ;GREEK ACROPHONIC ATTIC FIFTY TALENTS;Nl;0;ON;;;;50;N;;;;;
        "\u1014B",  # ;GREEK ACROPHONIC ATTIC ONE HUNDRED TALENTS;Nl;0;ON;;;;100;N;;;;;
        "\u1014C",  # ;GREEK ACROPHONIC ATTIC FIVE HUNDRED TALENTS;Nl;0;ON;;;;500;N;;;;;
        "\u1014D",  # ;GREEK ACROPHONIC ATTIC ONE THOUSAND TALENTS;Nl;0;ON;;;;1000;N;;;;;
        "\u1014E",  # ;GREEK ACROPHONIC ATTIC FIVE THOUSAND TALENTS;Nl;0;ON;;;;5000;N;;;;;
        "\u1014F",  # ;GREEK ACROPHONIC ATTIC FIVE STATERS;Nl;0;ON;;;;5;N;;;;;
        "\u10150",  # ;GREEK ACROPHONIC ATTIC TEN STATERS;Nl;0;ON;;;;10;N;;;;;
        "\u10151",  # ;GREEK ACROPHONIC ATTIC FIFTY STATERS;Nl;0;ON;;;;50;N;;;;;
        "\u10152",  # ;GREEK ACROPHONIC ATTIC ONE HUNDRED STATERS;Nl;0;ON;;;;100;N;;;;;
        "\u10153",  # ;GREEK ACROPHONIC ATTIC FIVE HUNDRED STATERS;Nl;0;ON;;;;500;N;;;;;
        "\u10154",  # ;GREEK ACROPHONIC ATTIC ONE THOUSAND STATERS;Nl;0;ON;;;;1000;N;;;;;
        "\u10155",  # ;GREEK ACROPHONIC ATTIC TEN THOUSAND STATERS;Nl;0;ON;;;;10000;N;;;;;
        "\u10156",  # ;GREEK ACROPHONIC ATTIC FIFTY THOUSAND STATERS;Nl;0;ON;;;;50000;N;;;;;
        "\u10157",  # ;GREEK ACROPHONIC ATTIC TEN MNAS;Nl;0;ON;;;;10;N;;;;;
        "\u10158",  # ;GREEK ACROPHONIC HERAEUM ONE PLETHRON;Nl;0;ON;;;;1;N;;;;;
        "\u10159",  # ;GREEK ACROPHONIC THESPIAN ONE;Nl;0;ON;;;;1;N;;;;;
        "\u1015A",  # ;GREEK ACROPHONIC HERMIONIAN ONE;Nl;0;ON;;;;1;N;;;;;
        "\u1015B",  # ;GREEK ACROPHONIC EPIDAUREAN TWO;Nl;0;ON;;;;2;N;;;;;
        "\u1015C",  # ;GREEK ACROPHONIC THESPIAN TWO;Nl;0;ON;;;;2;N;;;;;
        "\u1015D",  # ;GREEK ACROPHONIC CYRENAIC TWO DRACHMAS;Nl;0;ON;;;;2;N;;;;;
        "\u1015E",  # ;GREEK ACROPHONIC EPIDAUREAN TWO DRACHMAS;Nl;0;ON;;;;2;N;;;;;
        "\u1015F",  # ;GREEK ACROPHONIC TROEZENIAN FIVE;Nl;0;ON;;;;5;N;;;;;
        "\u10160",  # ;GREEK ACROPHONIC TROEZENIAN TEN;Nl;0;ON;;;;10;N;;;;;
        "\u10161",  # ;GREEK ACROPHONIC TROEZENIAN TEN ALTERNATE FORM;Nl;0;ON;;;;10;N;;;;;
        "\u10162",  # ;GREEK ACROPHONIC HERMIONIAN TEN;Nl;0;ON;;;;10;N;;;;;
        "\u10163",  # ;GREEK ACROPHONIC MESSENIAN TEN;Nl;0;ON;;;;10;N;;;;;
        "\u10164",  # ;GREEK ACROPHONIC THESPIAN TEN;Nl;0;ON;;;;10;N;;;;;
        "\u10165",  # ;GREEK ACROPHONIC THESPIAN THIRTY;Nl;0;ON;;;;30;N;;;;;
        "\u10166",  # ;GREEK ACROPHONIC TROEZENIAN FIFTY;Nl;0;ON;;;;50;N;;;;;
        "\u10167",  # ;GREEK ACROPHONIC TROEZENIAN FIFTY ALTERNATE FORM;Nl;0;ON;;;;50;N;;;;;
        "\u10168",  # ;GREEK ACROPHONIC HERMIONIAN FIFTY;Nl;0;ON;;;;50;N;;;;;
        "\u10169",  # ;GREEK ACROPHONIC THESPIAN FIFTY;Nl;0;ON;;;;50;N;;;;;
        "\u1016A",  # ;GREEK ACROPHONIC THESPIAN ONE HUNDRED;Nl;0;ON;;;;100;N;;;;;
        "\u1016B",  # ;GREEK ACROPHONIC THESPIAN THREE HUNDRED;Nl;0;ON;;;;300;N;;;;;
        "\u1016C",  # ;GREEK ACROPHONIC EPIDAUREAN FIVE HUNDRED;Nl;0;ON;;;;500;N;;;;;
        "\u1016D",  # ;GREEK ACROPHONIC TROEZENIAN FIVE HUNDRED;Nl;0;ON;;;;500;N;;;;;
        "\u1016E",  # ;GREEK ACROPHONIC THESPIAN FIVE HUNDRED;Nl;0;ON;;;;500;N;;;;;
        "\u1016F",  # ;GREEK ACROPHONIC CARYSTIAN FIVE HUNDRED;Nl;0;ON;;;;500;N;;;;;
        "\u10170",  # ;GREEK ACROPHONIC NAXIAN FIVE HUNDRED;Nl;0;ON;;;;500;N;;;;;
        "\u10171",  # ;GREEK ACROPHONIC THESPIAN ONE THOUSAND;Nl;0;ON;;;;1000;N;;;;;
        "\u10172",  # ;GREEK ACROPHONIC THESPIAN FIVE THOUSAND;Nl;0;ON;;;;5000;N;;;;;
        "\u10173",  # ;GREEK ACROPHONIC DELPHIC FIVE MNAS;Nl;0;ON;;;;5;N;;;;;
        "\u10174",  # ;GREEK ACROPHONIC STRATIAN FIFTY MNAS;Nl;0;ON;;;;50;N;;;;;
        "\u10175",  # ;GREEK ONE HALF SIGN;No;0;ON;;;;1/2;N;;;;;
        "\u10176",  # ;GREEK ONE HALF SIGN ALTERNATE FORM;No;0;ON;;;;1/2;N;;;;;
        "\u10177",  # ;GREEK TWO THIRDS SIGN;No;0;ON;;;;2/3;N;;;;;
        "\u10178",  # ;GREEK THREE QUARTERS SIGN;No;0;ON;;;;3/4;N;;;;;
        "\u10179",  # ;GREEK YEAR SIGN;So;0;ON;;;;;N;;;;;
        "\u1017A",  # ;GREEK TALENT SIGN;So;0;ON;;;;;N;;;;;
        "\u1017B",  # ;GREEK DRACHMA SIGN;So;0;ON;;;;;N;;;;;
        "\u1017C",  # ;GREEK OBOL SIGN;So;0;ON;;;;;N;;;;;
        "\u1017D",  # ;GREEK TWO OBOLS SIGN;So;0;ON;;;;;N;;;;;
        "\u1017E",  # ;GREEK THREE OBOLS SIGN;So;0;ON;;;;;N;;;;;
        "\u1017F",  # ;GREEK FOUR OBOLS SIGN;So;0;ON;;;;;N;;;;;
        "\u10180",  # ;GREEK FIVE OBOLS SIGN;So;0;ON;;;;;N;;;;;
        "\u10181",  # ;GREEK METRETES SIGN;So;0;ON;;;;;N;;;;;
        "\u10182",  # ;GREEK KYATHOS BASE SIGN;So;0;ON;;;;;N;;;;;
        "\u10183",  # ;GREEK LITRA SIGN;So;0;ON;;;;;N;;;;;
        "\u10184",  # ;GREEK OUNKIA SIGN;So;0;ON;;;;;N;;;;;
        "\u10185",  # ;GREEK XESTES SIGN;So;0;ON;;;;;N;;;;;
        "\u10186",  # ;GREEK ARTABE SIGN;So;0;ON;;;;;N;;;;;
        "\u10187",  # ;GREEK AROURA SIGN;So;0;ON;;;;;N;;;;;
        "\u10188",  # ;GREEK GRAMMA SIGN;So;0;ON;;;;;N;;;;;
        "\u10189",  # ;GREEK TRYBLION BASE SIGN;So;0;ON;;;;;N;;;;;
        "\u1018A",  # ;GREEK ZERO SIGN;No;0;ON;;;;0;N;;;;;
        "\u1018B",  # ;GREEK ONE QUARTER SIGN;No;0;ON;;;;1/4;N;;;;;
        "\u1018C",  # ;GREEK SINUSOID SIGN;So;0;ON;;;;;N;;;;;
        "\u1018D",  # ;GREEK INDICTION SIGN;So;0;L;;;;;N;;;;;
        "\u1018E",  # ;NOMISMA SIGN;So;0;L;;;;;N;;;;;
        "\u10190",  # ;ROMAN SEXTANS SIGN;So;0;ON;;;;;N;;;;;
        "\u10191",  # ;ROMAN UNCIA SIGN;So;0;ON;;;;;N;;;;;
        "\u10192",  # ;ROMAN SEMUNCIA SIGN;So;0;ON;;;;;N;;;;;
        "\u10193",  # ;ROMAN SEXTULA SIGN;So;0;ON;;;;;N;;;;;
        "\u10194",  # ;ROMAN DIMIDIA SEXTULA SIGN;So;0;ON;;;;;N;;;;;
        "\u10195",  # ;ROMAN SILIQUA SIGN;So;0;ON;;;;;N;;;;;
        "\u10196",  # ;ROMAN DENARIUS SIGN;So;0;ON;;;;;N;;;;;
        "\u10197",  # ;ROMAN QUINARIUS SIGN;So;0;ON;;;;;N;;;;;
        "\u10198",  # ;ROMAN SESTERTIUS SIGN;So;0;ON;;;;;N;;;;;
        "\u10199",  # ;ROMAN DUPONDIUS SIGN;So;0;ON;;;;;N;;;;;
        "\u1019A",  # ;ROMAN AS SIGN;So;0;ON;;;;;N;;;;;
        "\u1019B",  # ;ROMAN CENTURIAL SIGN;So;0;ON;;;;;N;;;;;
        "\u101A0",  # ;GREEK SYMBOL TAU RHO;So;0;ON;;;;;N;;;;;
        "\u101D0",  # ;PHAISTOS DISC SIGN PEDESTRIAN;So;0;L;;;;;N;;;;;
        "\u101D1",  # ;PHAISTOS DISC SIGN PLUMED HEAD;So;0;L;;;;;N;;;;;
        "\u101D2",  # ;PHAISTOS DISC SIGN TATTOOED HEAD;So;0;L;;;;;N;;;;;
        "\u101D3",  # ;PHAISTOS DISC SIGN CAPTIVE;So;0;L;;;;;N;;;;;
        "\u101D4",  # ;PHAISTOS DISC SIGN CHILD;So;0;L;;;;;N;;;;;
        "\u101D5",  # ;PHAISTOS DISC SIGN WOMAN;So;0;L;;;;;N;;;;;
        "\u101D6",  # ;PHAISTOS DISC SIGN HELMET;So;0;L;;;;;N;;;;;
        "\u101D7",  # ;PHAISTOS DISC SIGN GAUNTLET;So;0;L;;;;;N;;;;;
        "\u101D8",  # ;PHAISTOS DISC SIGN TIARA;So;0;L;;;;;N;;;;;
        "\u101D9",  # ;PHAISTOS DISC SIGN ARROW;So;0;L;;;;;N;;;;;
        "\u101DA",  # ;PHAISTOS DISC SIGN BOW;So;0;L;;;;;N;;;;;
        "\u101DB",  # ;PHAISTOS DISC SIGN SHIELD;So;0;L;;;;;N;;;;;
        "\u101DC",  # ;PHAISTOS DISC SIGN CLUB;So;0;L;;;;;N;;;;;
        "\u101DD",  # ;PHAISTOS DISC SIGN MANACLES;So;0;L;;;;;N;;;;;
        "\u101DE",  # ;PHAISTOS DISC SIGN MATTOCK;So;0;L;;;;;N;;;;;
        "\u101DF",  # ;PHAISTOS DISC SIGN SAW;So;0;L;;;;;N;;;;;
        "\u101E0",  # ;PHAISTOS DISC SIGN LID;So;0;L;;;;;N;;;;;
        "\u101E1",  # ;PHAISTOS DISC SIGN BOOMERANG;So;0;L;;;;;N;;;;;
        "\u101E2",  # ;PHAISTOS DISC SIGN CARPENTRY PLANE;So;0;L;;;;;N;;;;;
        "\u101E3",  # ;PHAISTOS DISC SIGN DOLIUM;So;0;L;;;;;N;;;;;
        "\u101E4",  # ;PHAISTOS DISC SIGN COMB;So;0;L;;;;;N;;;;;
        "\u101E5",  # ;PHAISTOS DISC SIGN SLING;So;0;L;;;;;N;;;;;
        "\u101E6",  # ;PHAISTOS DISC SIGN COLUMN;So;0;L;;;;;N;;;;;
        "\u101E7",  # ;PHAISTOS DISC SIGN BEEHIVE;So;0;L;;;;;N;;;;;
        "\u101E8",  # ;PHAISTOS DISC SIGN SHIP;So;0;L;;;;;N;;;;;
        "\u101E9",  # ;PHAISTOS DISC SIGN HORN;So;0;L;;;;;N;;;;;
        "\u101EA",  # ;PHAISTOS DISC SIGN HIDE;So;0;L;;;;;N;;;;;
        "\u101EB",  # ;PHAISTOS DISC SIGN BULLS LEG;So;0;L;;;;;N;;;;;
        "\u101EC",  # ;PHAISTOS DISC SIGN CAT;So;0;L;;;;;N;;;;;
        "\u101ED",  # ;PHAISTOS DISC SIGN RAM;So;0;L;;;;;N;;;;;
        "\u101EE",  # ;PHAISTOS DISC SIGN EAGLE;So;0;L;;;;;N;;;;;
        "\u101EF",  # ;PHAISTOS DISC SIGN DOVE;So;0;L;;;;;N;;;;;
        "\u101F0",  # ;PHAISTOS DISC SIGN TUNNY;So;0;L;;;;;N;;;;;
        "\u101F1",  # ;PHAISTOS DISC SIGN BEE;So;0;L;;;;;N;;;;;
        "\u101F2",  # ;PHAISTOS DISC SIGN PLANE TREE;So;0;L;;;;;N;;;;;
        "\u101F3",  # ;PHAISTOS DISC SIGN VINE;So;0;L;;;;;N;;;;;
        "\u101F4",  # ;PHAISTOS DISC SIGN PAPYRUS;So;0;L;;;;;N;;;;;
        "\u101F5",  # ;PHAISTOS DISC SIGN ROSETTE;So;0;L;;;;;N;;;;;
        "\u101F6",  # ;PHAISTOS DISC SIGN LILY;So;0;L;;;;;N;;;;;
        "\u101F7",  # ;PHAISTOS DISC SIGN OX BACK;So;0;L;;;;;N;;;;;
        "\u101F8",  # ;PHAISTOS DISC SIGN FLUTE;So;0;L;;;;;N;;;;;
        "\u101F9",  # ;PHAISTOS DISC SIGN GRATER;So;0;L;;;;;N;;;;;
        "\u101FA",  # ;PHAISTOS DISC SIGN STRAINER;So;0;L;;;;;N;;;;;
        "\u101FB",  # ;PHAISTOS DISC SIGN SMALL AXE;So;0;L;;;;;N;;;;;
        "\u101FC",  # ;PHAISTOS DISC SIGN WAVY BAND;So;0;L;;;;;N;;;;;
        "\u101FD",  # ;PHAISTOS DISC SIGN COMBINING OBLIQUE STROKE;Mn;220;NSM;;;;;N;;;;;
        "\u10280",  # ;LYCIAN LETTER A;Lo;0;L;;;;;N;;;;;
        "\u10281",  # ;LYCIAN LETTER E;Lo;0;L;;;;;N;;;;;
        "\u10282",  # ;LYCIAN LETTER B;Lo;0;L;;;;;N;;;;;
        "\u10283",  # ;LYCIAN LETTER BH;Lo;0;L;;;;;N;;;;;
        "\u10284",  # ;LYCIAN LETTER G;Lo;0;L;;;;;N;;;;;
        "\u10285",  # ;LYCIAN LETTER D;Lo;0;L;;;;;N;;;;;
        "\u10286",  # ;LYCIAN LETTER I;Lo;0;L;;;;;N;;;;;
        "\u10287",  # ;LYCIAN LETTER W;Lo;0;L;;;;;N;;;;;
        "\u10288",  # ;LYCIAN LETTER Z;Lo;0;L;;;;;N;;;;;
        "\u10289",  # ;LYCIAN LETTER TH;Lo;0;L;;;;;N;;;;;
        "\u1028A",  # ;LYCIAN LETTER J;Lo;0;L;;;;;N;;;;;
        "\u1028B",  # ;LYCIAN LETTER K;Lo;0;L;;;;;N;;;;;
        "\u1028C",  # ;LYCIAN LETTER Q;Lo;0;L;;;;;N;;;;;
        "\u1028D",  # ;LYCIAN LETTER L;Lo;0;L;;;;;N;;;;;
        "\u1028E",  # ;LYCIAN LETTER M;Lo;0;L;;;;;N;;;;;
        "\u1028F",  # ;LYCIAN LETTER N;Lo;0;L;;;;;N;;;;;
        "\u10290",  # ;LYCIAN LETTER MM;Lo;0;L;;;;;N;;;;;
        "\u10291",  # ;LYCIAN LETTER NN;Lo;0;L;;;;;N;;;;;
        "\u10292",  # ;LYCIAN LETTER U;Lo;0;L;;;;;N;;;;;
        "\u10293",  # ;LYCIAN LETTER P;Lo;0;L;;;;;N;;;;;
        "\u10294",  # ;LYCIAN LETTER KK;Lo;0;L;;;;;N;;;;;
        "\u10295",  # ;LYCIAN LETTER R;Lo;0;L;;;;;N;;;;;
        "\u10296",  # ;LYCIAN LETTER S;Lo;0;L;;;;;N;;;;;
        "\u10297",  # ;LYCIAN LETTER T;Lo;0;L;;;;;N;;;;;
        "\u10298",  # ;LYCIAN LETTER TT;Lo;0;L;;;;;N;;;;;
        "\u10299",  # ;LYCIAN LETTER AN;Lo;0;L;;;;;N;;;;;
        "\u1029A",  # ;LYCIAN LETTER EN;Lo;0;L;;;;;N;;;;;
        "\u1029B",  # ;LYCIAN LETTER H;Lo;0;L;;;;;N;;;;;
        "\u1029C",  # ;LYCIAN LETTER X;Lo;0;L;;;;;N;;;;;
        "\u102A0",  # ;CARIAN LETTER A;Lo;0;L;;;;;N;;;;;
        "\u102A1",  # ;CARIAN LETTER P2;Lo;0;L;;;;;N;;;;;
        "\u102A2",  # ;CARIAN LETTER D;Lo;0;L;;;;;N;;;;;
        "\u102A3",  # ;CARIAN LETTER L;Lo;0;L;;;;;N;;;;;
        "\u102A4",  # ;CARIAN LETTER UUU;Lo;0;L;;;;;N;;;;;
        "\u102A5",  # ;CARIAN LETTER R;Lo;0;L;;;;;N;;;;;
        "\u102A6",  # ;CARIAN LETTER LD;Lo;0;L;;;;;N;;;;;
        "\u102A7",  # ;CARIAN LETTER A2;Lo;0;L;;;;;N;;;;;
        "\u102A8",  # ;CARIAN LETTER Q;Lo;0;L;;;;;N;;;;;
        "\u102A9",  # ;CARIAN LETTER B;Lo;0;L;;;;;N;;;;;
        "\u102AA",  # ;CARIAN LETTER M;Lo;0;L;;;;;N;;;;;
        "\u102AB",  # ;CARIAN LETTER O;Lo;0;L;;;;;N;;;;;
        "\u102AC",  # ;CARIAN LETTER D2;Lo;0;L;;;;;N;;;;;
        "\u102AD",  # ;CARIAN LETTER T;Lo;0;L;;;;;N;;;;;
        "\u102AE",  # ;CARIAN LETTER SH;Lo;0;L;;;;;N;;;;;
        "\u102AF",  # ;CARIAN LETTER SH2;Lo;0;L;;;;;N;;;;;
        "\u102B0",  # ;CARIAN LETTER S;Lo;0;L;;;;;N;;;;;
        "\u102B1",  # ;CARIAN LETTER C-18;Lo;0;L;;;;;N;;;;;
        "\u102B2",  # ;CARIAN LETTER U;Lo;0;L;;;;;N;;;;;
        "\u102B3",  # ;CARIAN LETTER NN;Lo;0;L;;;;;N;;;;;
        "\u102B4",  # ;CARIAN LETTER X;Lo;0;L;;;;;N;;;;;
        "\u102B5",  # ;CARIAN LETTER N;Lo;0;L;;;;;N;;;;;
        "\u102B6",  # ;CARIAN LETTER TT2;Lo;0;L;;;;;N;;;;;
        "\u102B7",  # ;CARIAN LETTER P;Lo;0;L;;;;;N;;;;;
        "\u102B8",  # ;CARIAN LETTER SS;Lo;0;L;;;;;N;;;;;
        "\u102B9",  # ;CARIAN LETTER I;Lo;0;L;;;;;N;;;;;
        "\u102BA",  # ;CARIAN LETTER E;Lo;0;L;;;;;N;;;;;
        "\u102BB",  # ;CARIAN LETTER UUUU;Lo;0;L;;;;;N;;;;;
        "\u102BC",  # ;CARIAN LETTER K;Lo;0;L;;;;;N;;;;;
        "\u102BD",  # ;CARIAN LETTER K2;Lo;0;L;;;;;N;;;;;
        "\u102BE",  # ;CARIAN LETTER ND;Lo;0;L;;;;;N;;;;;
        "\u102BF",  # ;CARIAN LETTER UU;Lo;0;L;;;;;N;;;;;
        "\u102C0",  # ;CARIAN LETTER G;Lo;0;L;;;;;N;;;;;
        "\u102C1",  # ;CARIAN LETTER G2;Lo;0;L;;;;;N;;;;;
        "\u102C2",  # ;CARIAN LETTER ST;Lo;0;L;;;;;N;;;;;
        "\u102C3",  # ;CARIAN LETTER ST2;Lo;0;L;;;;;N;;;;;
        "\u102C4",  # ;CARIAN LETTER NG;Lo;0;L;;;;;N;;;;;
        "\u102C5",  # ;CARIAN LETTER II;Lo;0;L;;;;;N;;;;;
        "\u102C6",  # ;CARIAN LETTER C-39;Lo;0;L;;;;;N;;;;;
        "\u102C7",  # ;CARIAN LETTER TT;Lo;0;L;;;;;N;;;;;
        "\u102C8",  # ;CARIAN LETTER UUU2;Lo;0;L;;;;;N;;;;;
        "\u102C9",  # ;CARIAN LETTER RR;Lo;0;L;;;;;N;;;;;
        "\u102CA",  # ;CARIAN LETTER MB;Lo;0;L;;;;;N;;;;;
        "\u102CB",  # ;CARIAN LETTER MB2;Lo;0;L;;;;;N;;;;;
        "\u102CC",  # ;CARIAN LETTER MB3;Lo;0;L;;;;;N;;;;;
        "\u102CD",  # ;CARIAN LETTER MB4;Lo;0;L;;;;;N;;;;;
        "\u102CE",  # ;CARIAN LETTER LD2;Lo;0;L;;;;;N;;;;;
        "\u102CF",  # ;CARIAN LETTER E2;Lo;0;L;;;;;N;;;;;
        "\u102D0",  # ;CARIAN LETTER UUU3;Lo;0;L;;;;;N;;;;;
        "\u102E0",  # ;COPTIC EPACT THOUSANDS MARK;Mn;220;NSM;;;;;N;;;;;
        "\u102E1",  # ;COPTIC EPACT DIGIT ONE;No;0;EN;;;;1;N;;;;;
        "\u102E2",  # ;COPTIC EPACT DIGIT TWO;No;0;EN;;;;2;N;;;;;
        "\u102E3",  # ;COPTIC EPACT DIGIT THREE;No;0;EN;;;;3;N;;;;;
        "\u102E4",  # ;COPTIC EPACT DIGIT FOUR;No;0;EN;;;;4;N;;;;;
        "\u102E5",  # ;COPTIC EPACT DIGIT FIVE;No;0;EN;;;;5;N;;;;;
        "\u102E6",  # ;COPTIC EPACT DIGIT SIX;No;0;EN;;;;6;N;;;;;
        "\u102E7",  # ;COPTIC EPACT DIGIT SEVEN;No;0;EN;;;;7;N;;;;;
        "\u102E8",  # ;COPTIC EPACT DIGIT EIGHT;No;0;EN;;;;8;N;;;;;
        "\u102E9",  # ;COPTIC EPACT DIGIT NINE;No;0;EN;;;;9;N;;;;;
        "\u102EA",  # ;COPTIC EPACT NUMBER TEN;No;0;EN;;;;10;N;;;;;
        "\u102EB",  # ;COPTIC EPACT NUMBER TWENTY;No;0;EN;;;;20;N;;;;;
        "\u102EC",  # ;COPTIC EPACT NUMBER THIRTY;No;0;EN;;;;30;N;;;;;
        "\u102ED",  # ;COPTIC EPACT NUMBER FORTY;No;0;EN;;;;40;N;;;;;
        "\u102EE",  # ;COPTIC EPACT NUMBER FIFTY;No;0;EN;;;;50;N;;;;;
        "\u102EF",  # ;COPTIC EPACT NUMBER SIXTY;No;0;EN;;;;60;N;;;;;
        "\u102F0",  # ;COPTIC EPACT NUMBER SEVENTY;No;0;EN;;;;70;N;;;;;
        "\u102F1",  # ;COPTIC EPACT NUMBER EIGHTY;No;0;EN;;;;80;N;;;;;
        "\u102F2",  # ;COPTIC EPACT NUMBER NINETY;No;0;EN;;;;90;N;;;;;
        "\u102F3",  # ;COPTIC EPACT NUMBER ONE HUNDRED;No;0;EN;;;;100;N;;;;;
        "\u102F4",  # ;COPTIC EPACT NUMBER TWO HUNDRED;No;0;EN;;;;200;N;;;;;
        "\u102F5",  # ;COPTIC EPACT NUMBER THREE HUNDRED;No;0;EN;;;;300;N;;;;;
        "\u102F6",  # ;COPTIC EPACT NUMBER FOUR HUNDRED;No;0;EN;;;;400;N;;;;;
        "\u102F7",  # ;COPTIC EPACT NUMBER FIVE HUNDRED;No;0;EN;;;;500;N;;;;;
        "\u102F8",  # ;COPTIC EPACT NUMBER SIX HUNDRED;No;0;EN;;;;600;N;;;;;
        "\u102F9",  # ;COPTIC EPACT NUMBER SEVEN HUNDRED;No;0;EN;;;;700;N;;;;;
        "\u102FA",  # ;COPTIC EPACT NUMBER EIGHT HUNDRED;No;0;EN;;;;800;N;;;;;
        "\u102FB",  # ;COPTIC EPACT NUMBER NINE HUNDRED;No;0;EN;;;;900;N;;;;;
        "\u10300",  # ;OLD ITALIC LETTER A;Lo;0;L;;;;;N;;;;;
        "\u10301",  # ;OLD ITALIC LETTER BE;Lo;0;L;;;;;N;;;;;
        "\u10302",  # ;OLD ITALIC LETTER KE;Lo;0;L;;;;;N;;;;;
        "\u10303",  # ;OLD ITALIC LETTER DE;Lo;0;L;;;;;N;;;;;
        "\u10304",  # ;OLD ITALIC LETTER E;Lo;0;L;;;;;N;;;;;
        "\u10305",  # ;OLD ITALIC LETTER VE;Lo;0;L;;;;;N;;;;;
        "\u10306",  # ;OLD ITALIC LETTER ZE;Lo;0;L;;;;;N;;;;;
        "\u10307",  # ;OLD ITALIC LETTER HE;Lo;0;L;;;;;N;;;;;
        "\u10308",  # ;OLD ITALIC LETTER THE;Lo;0;L;;;;;N;;;;;
        "\u10309",  # ;OLD ITALIC LETTER I;Lo;0;L;;;;;N;;;;;
        "\u1030A",  # ;OLD ITALIC LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u1030B",  # ;OLD ITALIC LETTER EL;Lo;0;L;;;;;N;;;;;
        "\u1030C",  # ;OLD ITALIC LETTER EM;Lo;0;L;;;;;N;;;;;
        "\u1030D",  # ;OLD ITALIC LETTER EN;Lo;0;L;;;;;N;;;;;
        "\u1030E",  # ;OLD ITALIC LETTER ESH;Lo;0;L;;;;;N;;;;;
        "\u1030F",  # ;OLD ITALIC LETTER O;Lo;0;L;;;;;N;;;;;
        "\u10310",  # ;OLD ITALIC LETTER PE;Lo;0;L;;;;;N;;;;;
        "\u10311",  # ;OLD ITALIC LETTER SHE;Lo;0;L;;;;;N;;;;;
        "\u10312",  # ;OLD ITALIC LETTER KU;Lo;0;L;;;;;N;;;;;
        "\u10313",  # ;OLD ITALIC LETTER ER;Lo;0;L;;;;;N;;;;;
        "\u10314",  # ;OLD ITALIC LETTER ES;Lo;0;L;;;;;N;;;;;
        "\u10315",  # ;OLD ITALIC LETTER TE;Lo;0;L;;;;;N;;;;;
        "\u10316",  # ;OLD ITALIC LETTER U;Lo;0;L;;;;;N;;;;;
        "\u10317",  # ;OLD ITALIC LETTER EKS;Lo;0;L;;;;;N;;;;;
        "\u10318",  # ;OLD ITALIC LETTER PHE;Lo;0;L;;;;;N;;;;;
        "\u10319",  # ;OLD ITALIC LETTER KHE;Lo;0;L;;;;;N;;;;;
        "\u1031A",  # ;OLD ITALIC LETTER EF;Lo;0;L;;;;;N;;;;;
        "\u1031B",  # ;OLD ITALIC LETTER ERS;Lo;0;L;;;;;N;;;;;
        "\u1031C",  # ;OLD ITALIC LETTER CHE;Lo;0;L;;;;;N;;;;;
        "\u1031D",  # ;OLD ITALIC LETTER II;Lo;0;L;;;;;N;;;;;
        "\u1031E",  # ;OLD ITALIC LETTER UU;Lo;0;L;;;;;N;;;;;
        "\u1031F",  # ;OLD ITALIC LETTER ESS;Lo;0;L;;;;;N;;;;;
        "\u10320",  # ;OLD ITALIC NUMERAL ONE;No;0;L;;;;1;N;;;;;
        "\u10321",  # ;OLD ITALIC NUMERAL FIVE;No;0;L;;;;5;N;;;;;
        "\u10322",  # ;OLD ITALIC NUMERAL TEN;No;0;L;;;;10;N;;;;;
        "\u10323",  # ;OLD ITALIC NUMERAL FIFTY;No;0;L;;;;50;N;;;;;
        "\u1032D",  # ;OLD ITALIC LETTER YE;Lo;0;L;;;;;N;;;;;
        "\u1032E",  # ;OLD ITALIC LETTER NORTHERN TSE;Lo;0;L;;;;;N;;;;;
        "\u1032F",  # ;OLD ITALIC LETTER SOUTHERN TSE;Lo;0;L;;;;;N;;;;;
        "\u10330",  # ;GOTHIC LETTER AHSA;Lo;0;L;;;;;N;;;;;
        "\u10331",  # ;GOTHIC LETTER BAIRKAN;Lo;0;L;;;;;N;;;;;
        "\u10332",  # ;GOTHIC LETTER GIBA;Lo;0;L;;;;;N;;;;;
        "\u10333",  # ;GOTHIC LETTER DAGS;Lo;0;L;;;;;N;;;;;
        "\u10334",  # ;GOTHIC LETTER AIHVUS;Lo;0;L;;;;;N;;;;;
        "\u10335",  # ;GOTHIC LETTER QAIRTHRA;Lo;0;L;;;;;N;;;;;
        "\u10336",  # ;GOTHIC LETTER IUJA;Lo;0;L;;;;;N;;;;;
        "\u10337",  # ;GOTHIC LETTER HAGL;Lo;0;L;;;;;N;;;;;
        "\u10338",  # ;GOTHIC LETTER THIUTH;Lo;0;L;;;;;N;;;;;
        "\u10339",  # ;GOTHIC LETTER EIS;Lo;0;L;;;;;N;;;;;
        "\u1033A",  # ;GOTHIC LETTER KUSMA;Lo;0;L;;;;;N;;;;;
        "\u1033B",  # ;GOTHIC LETTER LAGUS;Lo;0;L;;;;;N;;;;;
        "\u1033C",  # ;GOTHIC LETTER MANNA;Lo;0;L;;;;;N;;;;;
        "\u1033D",  # ;GOTHIC LETTER NAUTHS;Lo;0;L;;;;;N;;;;;
        "\u1033E",  # ;GOTHIC LETTER JER;Lo;0;L;;;;;N;;;;;
        "\u1033F",  # ;GOTHIC LETTER URUS;Lo;0;L;;;;;N;;;;;
        "\u10340",  # ;GOTHIC LETTER PAIRTHRA;Lo;0;L;;;;;N;;;;;
        "\u10341",  # ;GOTHIC LETTER NINETY;Nl;0;L;;;;90;N;;;;;
        "\u10342",  # ;GOTHIC LETTER RAIDA;Lo;0;L;;;;;N;;;;;
        "\u10343",  # ;GOTHIC LETTER SAUIL;Lo;0;L;;;;;N;;;;;
        "\u10344",  # ;GOTHIC LETTER TEIWS;Lo;0;L;;;;;N;;;;;
        "\u10345",  # ;GOTHIC LETTER WINJA;Lo;0;L;;;;;N;;;;;
        "\u10346",  # ;GOTHIC LETTER FAIHU;Lo;0;L;;;;;N;;;;;
        "\u10347",  # ;GOTHIC LETTER IGGWS;Lo;0;L;;;;;N;;;;;
        "\u10348",  # ;GOTHIC LETTER HWAIR;Lo;0;L;;;;;N;;;;;
        "\u10349",  # ;GOTHIC LETTER OTHAL;Lo;0;L;;;;;N;;;;;
        "\u1034A",  # ;GOTHIC LETTER NINE HUNDRED;Nl;0;L;;;;900;N;;;;;
        "\u10350",  # ;OLD PERMIC LETTER AN;Lo;0;L;;;;;N;;;;;
        "\u10351",  # ;OLD PERMIC LETTER BUR;Lo;0;L;;;;;N;;;;;
        "\u10352",  # ;OLD PERMIC LETTER GAI;Lo;0;L;;;;;N;;;;;
        "\u10353",  # ;OLD PERMIC LETTER DOI;Lo;0;L;;;;;N;;;;;
        "\u10354",  # ;OLD PERMIC LETTER E;Lo;0;L;;;;;N;;;;;
        "\u10355",  # ;OLD PERMIC LETTER ZHOI;Lo;0;L;;;;;N;;;;;
        "\u10356",  # ;OLD PERMIC LETTER DZHOI;Lo;0;L;;;;;N;;;;;
        "\u10357",  # ;OLD PERMIC LETTER ZATA;Lo;0;L;;;;;N;;;;;
        "\u10358",  # ;OLD PERMIC LETTER DZITA;Lo;0;L;;;;;N;;;;;
        "\u10359",  # ;OLD PERMIC LETTER I;Lo;0;L;;;;;N;;;;;
        "\u1035A",  # ;OLD PERMIC LETTER KOKE;Lo;0;L;;;;;N;;;;;
        "\u1035B",  # ;OLD PERMIC LETTER LEI;Lo;0;L;;;;;N;;;;;
        "\u1035C",  # ;OLD PERMIC LETTER MENOE;Lo;0;L;;;;;N;;;;;
        "\u1035D",  # ;OLD PERMIC LETTER NENOE;Lo;0;L;;;;;N;;;;;
        "\u1035E",  # ;OLD PERMIC LETTER VOOI;Lo;0;L;;;;;N;;;;;
        "\u1035F",  # ;OLD PERMIC LETTER PEEI;Lo;0;L;;;;;N;;;;;
        "\u10360",  # ;OLD PERMIC LETTER REI;Lo;0;L;;;;;N;;;;;
        "\u10361",  # ;OLD PERMIC LETTER SII;Lo;0;L;;;;;N;;;;;
        "\u10362",  # ;OLD PERMIC LETTER TAI;Lo;0;L;;;;;N;;;;;
        "\u10363",  # ;OLD PERMIC LETTER U;Lo;0;L;;;;;N;;;;;
        "\u10364",  # ;OLD PERMIC LETTER CHERY;Lo;0;L;;;;;N;;;;;
        "\u10365",  # ;OLD PERMIC LETTER SHOOI;Lo;0;L;;;;;N;;;;;
        "\u10366",  # ;OLD PERMIC LETTER SHCHOOI;Lo;0;L;;;;;N;;;;;
        "\u10367",  # ;OLD PERMIC LETTER YRY;Lo;0;L;;;;;N;;;;;
        "\u10368",  # ;OLD PERMIC LETTER YERU;Lo;0;L;;;;;N;;;;;
        "\u10369",  # ;OLD PERMIC LETTER O;Lo;0;L;;;;;N;;;;;
        "\u1036A",  # ;OLD PERMIC LETTER OO;Lo;0;L;;;;;N;;;;;
        "\u1036B",  # ;OLD PERMIC LETTER EF;Lo;0;L;;;;;N;;;;;
        "\u1036C",  # ;OLD PERMIC LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u1036D",  # ;OLD PERMIC LETTER TSIU;Lo;0;L;;;;;N;;;;;
        "\u1036E",  # ;OLD PERMIC LETTER VER;Lo;0;L;;;;;N;;;;;
        "\u1036F",  # ;OLD PERMIC LETTER YER;Lo;0;L;;;;;N;;;;;
        "\u10370",  # ;OLD PERMIC LETTER YERI;Lo;0;L;;;;;N;;;;;
        "\u10371",  # ;OLD PERMIC LETTER YAT;Lo;0;L;;;;;N;;;;;
        "\u10372",  # ;OLD PERMIC LETTER IE;Lo;0;L;;;;;N;;;;;
        "\u10373",  # ;OLD PERMIC LETTER YU;Lo;0;L;;;;;N;;;;;
        "\u10374",  # ;OLD PERMIC LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u10375",  # ;OLD PERMIC LETTER IA;Lo;0;L;;;;;N;;;;;
        "\u10376",  # ;COMBINING OLD PERMIC LETTER AN;Mn;230;NSM;;;;;N;;;;;
        "\u10377",  # ;COMBINING OLD PERMIC LETTER DOI;Mn;230;NSM;;;;;N;;;;;
        "\u10378",  # ;COMBINING OLD PERMIC LETTER ZATA;Mn;230;NSM;;;;;N;;;;;
        "\u10379",  # ;COMBINING OLD PERMIC LETTER NENOE;Mn;230;NSM;;;;;N;;;;;
        "\u1037A",  # ;COMBINING OLD PERMIC LETTER SII;Mn;230;NSM;;;;;N;;;;;
        "\u10380",  # ;UGARITIC LETTER ALPA;Lo;0;L;;;;;N;;;;;
        "\u10381",  # ;UGARITIC LETTER BETA;Lo;0;L;;;;;N;;;;;
        "\u10382",  # ;UGARITIC LETTER GAMLA;Lo;0;L;;;;;N;;;;;
        "\u10383",  # ;UGARITIC LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u10384",  # ;UGARITIC LETTER DELTA;Lo;0;L;;;;;N;;;;;
        "\u10385",  # ;UGARITIC LETTER HO;Lo;0;L;;;;;N;;;;;
        "\u10386",  # ;UGARITIC LETTER WO;Lo;0;L;;;;;N;;;;;
        "\u10387",  # ;UGARITIC LETTER ZETA;Lo;0;L;;;;;N;;;;;
        "\u10388",  # ;UGARITIC LETTER HOTA;Lo;0;L;;;;;N;;;;;
        "\u10389",  # ;UGARITIC LETTER TET;Lo;0;L;;;;;N;;;;;
        "\u1038A",  # ;UGARITIC LETTER YOD;Lo;0;L;;;;;N;;;;;
        "\u1038B",  # ;UGARITIC LETTER KAF;Lo;0;L;;;;;N;;;;;
        "\u1038C",  # ;UGARITIC LETTER SHIN;Lo;0;L;;;;;N;;;;;
        "\u1038D",  # ;UGARITIC LETTER LAMDA;Lo;0;L;;;;;N;;;;;
        "\u1038E",  # ;UGARITIC LETTER MEM;Lo;0;L;;;;;N;;;;;
        "\u1038F",  # ;UGARITIC LETTER DHAL;Lo;0;L;;;;;N;;;;;
        "\u10390",  # ;UGARITIC LETTER NUN;Lo;0;L;;;;;N;;;;;
        "\u10391",  # ;UGARITIC LETTER ZU;Lo;0;L;;;;;N;;;;;
        "\u10392",  # ;UGARITIC LETTER SAMKA;Lo;0;L;;;;;N;;;;;
        "\u10393",  # ;UGARITIC LETTER AIN;Lo;0;L;;;;;N;;;;;
        "\u10394",  # ;UGARITIC LETTER PU;Lo;0;L;;;;;N;;;;;
        "\u10395",  # ;UGARITIC LETTER SADE;Lo;0;L;;;;;N;;;;;
        "\u10396",  # ;UGARITIC LETTER QOPA;Lo;0;L;;;;;N;;;;;
        "\u10397",  # ;UGARITIC LETTER RASHA;Lo;0;L;;;;;N;;;;;
        "\u10398",  # ;UGARITIC LETTER THANNA;Lo;0;L;;;;;N;;;;;
        "\u10399",  # ;UGARITIC LETTER GHAIN;Lo;0;L;;;;;N;;;;;
        "\u1039A",  # ;UGARITIC LETTER TO;Lo;0;L;;;;;N;;;;;
        "\u1039B",  # ;UGARITIC LETTER I;Lo;0;L;;;;;N;;;;;
        "\u1039C",  # ;UGARITIC LETTER U;Lo;0;L;;;;;N;;;;;
        "\u1039D",  # ;UGARITIC LETTER SSU;Lo;0;L;;;;;N;;;;;
        "\u1039F",  # ;UGARITIC WORD DIVIDER;Po;0;L;;;;;N;;;;;
        "\u103A0",  # ;OLD PERSIAN SIGN A;Lo;0;L;;;;;N;;;;;
        "\u103A1",  # ;OLD PERSIAN SIGN I;Lo;0;L;;;;;N;;;;;
        "\u103A2",  # ;OLD PERSIAN SIGN U;Lo;0;L;;;;;N;;;;;
        "\u103A3",  # ;OLD PERSIAN SIGN KA;Lo;0;L;;;;;N;;;;;
        "\u103A4",  # ;OLD PERSIAN SIGN KU;Lo;0;L;;;;;N;;;;;
        "\u103A5",  # ;OLD PERSIAN SIGN GA;Lo;0;L;;;;;N;;;;;
        "\u103A6",  # ;OLD PERSIAN SIGN GU;Lo;0;L;;;;;N;;;;;
        "\u103A7",  # ;OLD PERSIAN SIGN XA;Lo;0;L;;;;;N;;;;;
        "\u103A8",  # ;OLD PERSIAN SIGN CA;Lo;0;L;;;;;N;;;;;
        "\u103A9",  # ;OLD PERSIAN SIGN JA;Lo;0;L;;;;;N;;;;;
        "\u103AA",  # ;OLD PERSIAN SIGN JI;Lo;0;L;;;;;N;;;;;
        "\u103AB",  # ;OLD PERSIAN SIGN TA;Lo;0;L;;;;;N;;;;;
        "\u103AC",  # ;OLD PERSIAN SIGN TU;Lo;0;L;;;;;N;;;;;
        "\u103AD",  # ;OLD PERSIAN SIGN DA;Lo;0;L;;;;;N;;;;;
        "\u103AE",  # ;OLD PERSIAN SIGN DI;Lo;0;L;;;;;N;;;;;
        "\u103AF",  # ;OLD PERSIAN SIGN DU;Lo;0;L;;;;;N;;;;;
        "\u103B0",  # ;OLD PERSIAN SIGN THA;Lo;0;L;;;;;N;;;;;
        "\u103B1",  # ;OLD PERSIAN SIGN PA;Lo;0;L;;;;;N;;;;;
        "\u103B2",  # ;OLD PERSIAN SIGN BA;Lo;0;L;;;;;N;;;;;
        "\u103B3",  # ;OLD PERSIAN SIGN FA;Lo;0;L;;;;;N;;;;;
        "\u103B4",  # ;OLD PERSIAN SIGN NA;Lo;0;L;;;;;N;;;;;
        "\u103B5",  # ;OLD PERSIAN SIGN NU;Lo;0;L;;;;;N;;;;;
        "\u103B6",  # ;OLD PERSIAN SIGN MA;Lo;0;L;;;;;N;;;;;
        "\u103B7",  # ;OLD PERSIAN SIGN MI;Lo;0;L;;;;;N;;;;;
        "\u103B8",  # ;OLD PERSIAN SIGN MU;Lo;0;L;;;;;N;;;;;
        "\u103B9",  # ;OLD PERSIAN SIGN YA;Lo;0;L;;;;;N;;;;;
        "\u103BA",  # ;OLD PERSIAN SIGN VA;Lo;0;L;;;;;N;;;;;
        "\u103BB",  # ;OLD PERSIAN SIGN VI;Lo;0;L;;;;;N;;;;;
        "\u103BC",  # ;OLD PERSIAN SIGN RA;Lo;0;L;;;;;N;;;;;
        "\u103BD",  # ;OLD PERSIAN SIGN RU;Lo;0;L;;;;;N;;;;;
        "\u103BE",  # ;OLD PERSIAN SIGN LA;Lo;0;L;;;;;N;;;;;
        "\u103BF",  # ;OLD PERSIAN SIGN SA;Lo;0;L;;;;;N;;;;;
        "\u103C0",  # ;OLD PERSIAN SIGN ZA;Lo;0;L;;;;;N;;;;;
        "\u103C1",  # ;OLD PERSIAN SIGN SHA;Lo;0;L;;;;;N;;;;;
        "\u103C2",  # ;OLD PERSIAN SIGN SSA;Lo;0;L;;;;;N;;;;;
        "\u103C3",  # ;OLD PERSIAN SIGN HA;Lo;0;L;;;;;N;;;;;
        "\u103C8",  # ;OLD PERSIAN SIGN AURAMAZDAA;Lo;0;L;;;;;N;;;;;
        "\u103C9",  # ;OLD PERSIAN SIGN AURAMAZDAA-2;Lo;0;L;;;;;N;;;;;
        "\u103CA",  # ;OLD PERSIAN SIGN AURAMAZDAAHA;Lo;0;L;;;;;N;;;;;
        "\u103CB",  # ;OLD PERSIAN SIGN XSHAAYATHIYA;Lo;0;L;;;;;N;;;;;
        "\u103CC",  # ;OLD PERSIAN SIGN DAHYAAUSH;Lo;0;L;;;;;N;;;;;
        "\u103CD",  # ;OLD PERSIAN SIGN DAHYAAUSH-2;Lo;0;L;;;;;N;;;;;
        "\u103CE",  # ;OLD PERSIAN SIGN BAGA;Lo;0;L;;;;;N;;;;;
        "\u103CF",  # ;OLD PERSIAN SIGN BUUMISH;Lo;0;L;;;;;N;;;;;
        "\u103D0",  # ;OLD PERSIAN WORD DIVIDER;Po;0;L;;;;;N;;;;;
        "\u103D1",  # ;OLD PERSIAN NUMBER ONE;Nl;0;L;;;;1;N;;;;;
        "\u103D2",  # ;OLD PERSIAN NUMBER TWO;Nl;0;L;;;;2;N;;;;;
        "\u103D3",  # ;OLD PERSIAN NUMBER TEN;Nl;0;L;;;;10;N;;;;;
        "\u103D4",  # ;OLD PERSIAN NUMBER TWENTY;Nl;0;L;;;;20;N;;;;;
        "\u103D5",  # ;OLD PERSIAN NUMBER HUNDRED;Nl;0;L;;;;100;N;;;;;
        "\u10400",  # ;DESERET CAPITAL LETTER LONG I;Lu;0;L;;;;;N;;;;10428;
        "\u10401",  # ;DESERET CAPITAL LETTER LONG E;Lu;0;L;;;;;N;;;;10429;
        "\u10402",  # ;DESERET CAPITAL LETTER LONG A;Lu;0;L;;;;;N;;;;1042A;
        "\u10403",  # ;DESERET CAPITAL LETTER LONG AH;Lu;0;L;;;;;N;;;;1042B;
        "\u10404",  # ;DESERET CAPITAL LETTER LONG O;Lu;0;L;;;;;N;;;;1042C;
        "\u10405",  # ;DESERET CAPITAL LETTER LONG OO;Lu;0;L;;;;;N;;;;1042D;
        "\u10406",  # ;DESERET CAPITAL LETTER SHORT I;Lu;0;L;;;;;N;;;;1042E;
        "\u10407",  # ;DESERET CAPITAL LETTER SHORT E;Lu;0;L;;;;;N;;;;1042F;
        "\u10408",  # ;DESERET CAPITAL LETTER SHORT A;Lu;0;L;;;;;N;;;;10430;
        "\u10409",  # ;DESERET CAPITAL LETTER SHORT AH;Lu;0;L;;;;;N;;;;10431;
        "\u1040A",  # ;DESERET CAPITAL LETTER SHORT O;Lu;0;L;;;;;N;;;;10432;
        "\u1040B",  # ;DESERET CAPITAL LETTER SHORT OO;Lu;0;L;;;;;N;;;;10433;
        "\u1040C",  # ;DESERET CAPITAL LETTER AY;Lu;0;L;;;;;N;;;;10434;
        "\u1040D",  # ;DESERET CAPITAL LETTER OW;Lu;0;L;;;;;N;;;;10435;
        "\u1040E",  # ;DESERET CAPITAL LETTER WU;Lu;0;L;;;;;N;;;;10436;
        "\u1040F",  # ;DESERET CAPITAL LETTER YEE;Lu;0;L;;;;;N;;;;10437;
        "\u10410",  # ;DESERET CAPITAL LETTER H;Lu;0;L;;;;;N;;;;10438;
        "\u10411",  # ;DESERET CAPITAL LETTER PEE;Lu;0;L;;;;;N;;;;10439;
        "\u10412",  # ;DESERET CAPITAL LETTER BEE;Lu;0;L;;;;;N;;;;1043A;
        "\u10413",  # ;DESERET CAPITAL LETTER TEE;Lu;0;L;;;;;N;;;;1043B;
        "\u10414",  # ;DESERET CAPITAL LETTER DEE;Lu;0;L;;;;;N;;;;1043C;
        "\u10415",  # ;DESERET CAPITAL LETTER CHEE;Lu;0;L;;;;;N;;;;1043D;
        "\u10416",  # ;DESERET CAPITAL LETTER JEE;Lu;0;L;;;;;N;;;;1043E;
        "\u10417",  # ;DESERET CAPITAL LETTER KAY;Lu;0;L;;;;;N;;;;1043F;
        "\u10418",  # ;DESERET CAPITAL LETTER GAY;Lu;0;L;;;;;N;;;;10440;
        "\u10419",  # ;DESERET CAPITAL LETTER EF;Lu;0;L;;;;;N;;;;10441;
        "\u1041A",  # ;DESERET CAPITAL LETTER VEE;Lu;0;L;;;;;N;;;;10442;
        "\u1041B",  # ;DESERET CAPITAL LETTER ETH;Lu;0;L;;;;;N;;;;10443;
        "\u1041C",  # ;DESERET CAPITAL LETTER THEE;Lu;0;L;;;;;N;;;;10444;
        "\u1041D",  # ;DESERET CAPITAL LETTER ES;Lu;0;L;;;;;N;;;;10445;
        "\u1041E",  # ;DESERET CAPITAL LETTER ZEE;Lu;0;L;;;;;N;;;;10446;
        "\u1041F",  # ;DESERET CAPITAL LETTER ESH;Lu;0;L;;;;;N;;;;10447;
        "\u10420",  # ;DESERET CAPITAL LETTER ZHEE;Lu;0;L;;;;;N;;;;10448;
        "\u10421",  # ;DESERET CAPITAL LETTER ER;Lu;0;L;;;;;N;;;;10449;
        "\u10422",  # ;DESERET CAPITAL LETTER EL;Lu;0;L;;;;;N;;;;1044A;
        "\u10423",  # ;DESERET CAPITAL LETTER EM;Lu;0;L;;;;;N;;;;1044B;
        "\u10424",  # ;DESERET CAPITAL LETTER EN;Lu;0;L;;;;;N;;;;1044C;
        "\u10425",  # ;DESERET CAPITAL LETTER ENG;Lu;0;L;;;;;N;;;;1044D;
        "\u10426",  # ;DESERET CAPITAL LETTER OI;Lu;0;L;;;;;N;;;;1044E;
        "\u10427",  # ;DESERET CAPITAL LETTER EW;Lu;0;L;;;;;N;;;;1044F;
        "\u10428",  # ;DESERET SMALL LETTER LONG I;Ll;0;L;;;;;N;;;10400;;10400
        "\u10429",  # ;DESERET SMALL LETTER LONG E;Ll;0;L;;;;;N;;;10401;;10401
        "\u1042A",  # ;DESERET SMALL LETTER LONG A;Ll;0;L;;;;;N;;;10402;;10402
        "\u1042B",  # ;DESERET SMALL LETTER LONG AH;Ll;0;L;;;;;N;;;10403;;10403
        "\u1042C",  # ;DESERET SMALL LETTER LONG O;Ll;0;L;;;;;N;;;10404;;10404
        "\u1042D",  # ;DESERET SMALL LETTER LONG OO;Ll;0;L;;;;;N;;;10405;;10405
        "\u1042E",  # ;DESERET SMALL LETTER SHORT I;Ll;0;L;;;;;N;;;10406;;10406
        "\u1042F",  # ;DESERET SMALL LETTER SHORT E;Ll;0;L;;;;;N;;;10407;;10407
        "\u10430",  # ;DESERET SMALL LETTER SHORT A;Ll;0;L;;;;;N;;;10408;;10408
        "\u10431",  # ;DESERET SMALL LETTER SHORT AH;Ll;0;L;;;;;N;;;10409;;10409
        "\u10432",  # ;DESERET SMALL LETTER SHORT O;Ll;0;L;;;;;N;;;1040A;;1040A
        "\u10433",  # ;DESERET SMALL LETTER SHORT OO;Ll;0;L;;;;;N;;;1040B;;1040B
        "\u10434",  # ;DESERET SMALL LETTER AY;Ll;0;L;;;;;N;;;1040C;;1040C
        "\u10435",  # ;DESERET SMALL LETTER OW;Ll;0;L;;;;;N;;;1040D;;1040D
        "\u10436",  # ;DESERET SMALL LETTER WU;Ll;0;L;;;;;N;;;1040E;;1040E
        "\u10437",  # ;DESERET SMALL LETTER YEE;Ll;0;L;;;;;N;;;1040F;;1040F
        "\u10438",  # ;DESERET SMALL LETTER H;Ll;0;L;;;;;N;;;10410;;10410
        "\u10439",  # ;DESERET SMALL LETTER PEE;Ll;0;L;;;;;N;;;10411;;10411
        "\u1043A",  # ;DESERET SMALL LETTER BEE;Ll;0;L;;;;;N;;;10412;;10412
        "\u1043B",  # ;DESERET SMALL LETTER TEE;Ll;0;L;;;;;N;;;10413;;10413
        "\u1043C",  # ;DESERET SMALL LETTER DEE;Ll;0;L;;;;;N;;;10414;;10414
        "\u1043D",  # ;DESERET SMALL LETTER CHEE;Ll;0;L;;;;;N;;;10415;;10415
        "\u1043E",  # ;DESERET SMALL LETTER JEE;Ll;0;L;;;;;N;;;10416;;10416
        "\u1043F",  # ;DESERET SMALL LETTER KAY;Ll;0;L;;;;;N;;;10417;;10417
        "\u10440",  # ;DESERET SMALL LETTER GAY;Ll;0;L;;;;;N;;;10418;;10418
        "\u10441",  # ;DESERET SMALL LETTER EF;Ll;0;L;;;;;N;;;10419;;10419
        "\u10442",  # ;DESERET SMALL LETTER VEE;Ll;0;L;;;;;N;;;1041A;;1041A
        "\u10443",  # ;DESERET SMALL LETTER ETH;Ll;0;L;;;;;N;;;1041B;;1041B
        "\u10444",  # ;DESERET SMALL LETTER THEE;Ll;0;L;;;;;N;;;1041C;;1041C
        "\u10445",  # ;DESERET SMALL LETTER ES;Ll;0;L;;;;;N;;;1041D;;1041D
        "\u10446",  # ;DESERET SMALL LETTER ZEE;Ll;0;L;;;;;N;;;1041E;;1041E
        "\u10447",  # ;DESERET SMALL LETTER ESH;Ll;0;L;;;;;N;;;1041F;;1041F
        "\u10448",  # ;DESERET SMALL LETTER ZHEE;Ll;0;L;;;;;N;;;10420;;10420
        "\u10449",  # ;DESERET SMALL LETTER ER;Ll;0;L;;;;;N;;;10421;;10421
        "\u1044A",  # ;DESERET SMALL LETTER EL;Ll;0;L;;;;;N;;;10422;;10422
        "\u1044B",  # ;DESERET SMALL LETTER EM;Ll;0;L;;;;;N;;;10423;;10423
        "\u1044C",  # ;DESERET SMALL LETTER EN;Ll;0;L;;;;;N;;;10424;;10424
        "\u1044D",  # ;DESERET SMALL LETTER ENG;Ll;0;L;;;;;N;;;10425;;10425
        "\u1044E",  # ;DESERET SMALL LETTER OI;Ll;0;L;;;;;N;;;10426;;10426
        "\u1044F",  # ;DESERET SMALL LETTER EW;Ll;0;L;;;;;N;;;10427;;10427
        "\u10450",  # ;SHAVIAN LETTER PEEP;Lo;0;L;;;;;N;;;;;
        "\u10451",  # ;SHAVIAN LETTER TOT;Lo;0;L;;;;;N;;;;;
        "\u10452",  # ;SHAVIAN LETTER KICK;Lo;0;L;;;;;N;;;;;
        "\u10453",  # ;SHAVIAN LETTER FEE;Lo;0;L;;;;;N;;;;;
        "\u10454",  # ;SHAVIAN LETTER THIGH;Lo;0;L;;;;;N;;;;;
        "\u10455",  # ;SHAVIAN LETTER SO;Lo;0;L;;;;;N;;;;;
        "\u10456",  # ;SHAVIAN LETTER SURE;Lo;0;L;;;;;N;;;;;
        "\u10457",  # ;SHAVIAN LETTER CHURCH;Lo;0;L;;;;;N;;;;;
        "\u10458",  # ;SHAVIAN LETTER YEA;Lo;0;L;;;;;N;;;;;
        "\u10459",  # ;SHAVIAN LETTER HUNG;Lo;0;L;;;;;N;;;;;
        "\u1045A",  # ;SHAVIAN LETTER BIB;Lo;0;L;;;;;N;;;;;
        "\u1045B",  # ;SHAVIAN LETTER DEAD;Lo;0;L;;;;;N;;;;;
        "\u1045C",  # ;SHAVIAN LETTER GAG;Lo;0;L;;;;;N;;;;;
        "\u1045D",  # ;SHAVIAN LETTER VOW;Lo;0;L;;;;;N;;;;;
        "\u1045E",  # ;SHAVIAN LETTER THEY;Lo;0;L;;;;;N;;;;;
        "\u1045F",  # ;SHAVIAN LETTER ZOO;Lo;0;L;;;;;N;;;;;
        "\u10460",  # ;SHAVIAN LETTER MEASURE;Lo;0;L;;;;;N;;;;;
        "\u10461",  # ;SHAVIAN LETTER JUDGE;Lo;0;L;;;;;N;;;;;
        "\u10462",  # ;SHAVIAN LETTER WOE;Lo;0;L;;;;;N;;;;;
        "\u10463",  # ;SHAVIAN LETTER HA-HA;Lo;0;L;;;;;N;;;;;
        "\u10464",  # ;SHAVIAN LETTER LOLL;Lo;0;L;;;;;N;;;;;
        "\u10465",  # ;SHAVIAN LETTER MIME;Lo;0;L;;;;;N;;;;;
        "\u10466",  # ;SHAVIAN LETTER IF;Lo;0;L;;;;;N;;;;;
        "\u10467",  # ;SHAVIAN LETTER EGG;Lo;0;L;;;;;N;;;;;
        "\u10468",  # ;SHAVIAN LETTER ASH;Lo;0;L;;;;;N;;;;;
        "\u10469",  # ;SHAVIAN LETTER ADO;Lo;0;L;;;;;N;;;;;
        "\u1046A",  # ;SHAVIAN LETTER ON;Lo;0;L;;;;;N;;;;;
        "\u1046B",  # ;SHAVIAN LETTER WOOL;Lo;0;L;;;;;N;;;;;
        "\u1046C",  # ;SHAVIAN LETTER OUT;Lo;0;L;;;;;N;;;;;
        "\u1046D",  # ;SHAVIAN LETTER AH;Lo;0;L;;;;;N;;;;;
        "\u1046E",  # ;SHAVIAN LETTER ROAR;Lo;0;L;;;;;N;;;;;
        "\u1046F",  # ;SHAVIAN LETTER NUN;Lo;0;L;;;;;N;;;;;
        "\u10470",  # ;SHAVIAN LETTER EAT;Lo;0;L;;;;;N;;;;;
        "\u10471",  # ;SHAVIAN LETTER AGE;Lo;0;L;;;;;N;;;;;
        "\u10472",  # ;SHAVIAN LETTER ICE;Lo;0;L;;;;;N;;;;;
        "\u10473",  # ;SHAVIAN LETTER UP;Lo;0;L;;;;;N;;;;;
        "\u10474",  # ;SHAVIAN LETTER OAK;Lo;0;L;;;;;N;;;;;
        "\u10475",  # ;SHAVIAN LETTER OOZE;Lo;0;L;;;;;N;;;;;
        "\u10476",  # ;SHAVIAN LETTER OIL;Lo;0;L;;;;;N;;;;;
        "\u10477",  # ;SHAVIAN LETTER AWE;Lo;0;L;;;;;N;;;;;
        "\u10478",  # ;SHAVIAN LETTER ARE;Lo;0;L;;;;;N;;;;;
        "\u10479",  # ;SHAVIAN LETTER OR;Lo;0;L;;;;;N;;;;;
        "\u1047A",  # ;SHAVIAN LETTER AIR;Lo;0;L;;;;;N;;;;;
        "\u1047B",  # ;SHAVIAN LETTER ERR;Lo;0;L;;;;;N;;;;;
        "\u1047C",  # ;SHAVIAN LETTER ARRAY;Lo;0;L;;;;;N;;;;;
        "\u1047D",  # ;SHAVIAN LETTER EAR;Lo;0;L;;;;;N;;;;;
        "\u1047E",  # ;SHAVIAN LETTER IAN;Lo;0;L;;;;;N;;;;;
        "\u1047F",  # ;SHAVIAN LETTER YEW;Lo;0;L;;;;;N;;;;;
        "\u10480",  # ;OSMANYA LETTER ALEF;Lo;0;L;;;;;N;;;;;
        "\u10481",  # ;OSMANYA LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u10482",  # ;OSMANYA LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u10483",  # ;OSMANYA LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u10484",  # ;OSMANYA LETTER XA;Lo;0;L;;;;;N;;;;;
        "\u10485",  # ;OSMANYA LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u10486",  # ;OSMANYA LETTER DEEL;Lo;0;L;;;;;N;;;;;
        "\u10487",  # ;OSMANYA LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u10488",  # ;OSMANYA LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u10489",  # ;OSMANYA LETTER SHIIN;Lo;0;L;;;;;N;;;;;
        "\u1048A",  # ;OSMANYA LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u1048B",  # ;OSMANYA LETTER CAYN;Lo;0;L;;;;;N;;;;;
        "\u1048C",  # ;OSMANYA LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u1048D",  # ;OSMANYA LETTER FA;Lo;0;L;;;;;N;;;;;
        "\u1048E",  # ;OSMANYA LETTER QAAF;Lo;0;L;;;;;N;;;;;
        "\u1048F",  # ;OSMANYA LETTER KAAF;Lo;0;L;;;;;N;;;;;
        "\u10490",  # ;OSMANYA LETTER LAAN;Lo;0;L;;;;;N;;;;;
        "\u10491",  # ;OSMANYA LETTER MIIN;Lo;0;L;;;;;N;;;;;
        "\u10492",  # ;OSMANYA LETTER NUUN;Lo;0;L;;;;;N;;;;;
        "\u10493",  # ;OSMANYA LETTER WAW;Lo;0;L;;;;;N;;;;;
        "\u10494",  # ;OSMANYA LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u10495",  # ;OSMANYA LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u10496",  # ;OSMANYA LETTER A;Lo;0;L;;;;;N;;;;;
        "\u10497",  # ;OSMANYA LETTER E;Lo;0;L;;;;;N;;;;;
        "\u10498",  # ;OSMANYA LETTER I;Lo;0;L;;;;;N;;;;;
        "\u10499",  # ;OSMANYA LETTER O;Lo;0;L;;;;;N;;;;;
        "\u1049A",  # ;OSMANYA LETTER U;Lo;0;L;;;;;N;;;;;
        "\u1049B",  # ;OSMANYA LETTER AA;Lo;0;L;;;;;N;;;;;
        "\u1049C",  # ;OSMANYA LETTER EE;Lo;0;L;;;;;N;;;;;
        "\u1049D",  # ;OSMANYA LETTER OO;Lo;0;L;;;;;N;;;;;
        "\u104A0",  # ;OSMANYA DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u104A1",  # ;OSMANYA DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u104A2",  # ;OSMANYA DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u104A3",  # ;OSMANYA DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u104A4",  # ;OSMANYA DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u104A5",  # ;OSMANYA DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u104A6",  # ;OSMANYA DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u104A7",  # ;OSMANYA DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u104A8",  # ;OSMANYA DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u104A9",  # ;OSMANYA DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u104B0",  # ;OSAGE CAPITAL LETTER A;Lu;0;L;;;;;N;;;;104D8;
        "\u104B1",  # ;OSAGE CAPITAL LETTER AI;Lu;0;L;;;;;N;;;;104D9;
        "\u104B2",  # ;OSAGE CAPITAL LETTER AIN;Lu;0;L;;;;;N;;;;104DA;
        "\u104B3",  # ;OSAGE CAPITAL LETTER AH;Lu;0;L;;;;;N;;;;104DB;
        "\u104B4",  # ;OSAGE CAPITAL LETTER BRA;Lu;0;L;;;;;N;;;;104DC;
        "\u104B5",  # ;OSAGE CAPITAL LETTER CHA;Lu;0;L;;;;;N;;;;104DD;
        "\u104B6",  # ;OSAGE CAPITAL LETTER EHCHA;Lu;0;L;;;;;N;;;;104DE;
        "\u104B7",  # ;OSAGE CAPITAL LETTER E;Lu;0;L;;;;;N;;;;104DF;
        "\u104B8",  # ;OSAGE CAPITAL LETTER EIN;Lu;0;L;;;;;N;;;;104E0;
        "\u104B9",  # ;OSAGE CAPITAL LETTER HA;Lu;0;L;;;;;N;;;;104E1;
        "\u104BA",  # ;OSAGE CAPITAL LETTER HYA;Lu;0;L;;;;;N;;;;104E2;
        "\u104BB",  # ;OSAGE CAPITAL LETTER I;Lu;0;L;;;;;N;;;;104E3;
        "\u104BC",  # ;OSAGE CAPITAL LETTER KA;Lu;0;L;;;;;N;;;;104E4;
        "\u104BD",  # ;OSAGE CAPITAL LETTER EHKA;Lu;0;L;;;;;N;;;;104E5;
        "\u104BE",  # ;OSAGE CAPITAL LETTER KYA;Lu;0;L;;;;;N;;;;104E6;
        "\u104BF",  # ;OSAGE CAPITAL LETTER LA;Lu;0;L;;;;;N;;;;104E7;
        "\u104C0",  # ;OSAGE CAPITAL LETTER MA;Lu;0;L;;;;;N;;;;104E8;
        "\u104C1",  # ;OSAGE CAPITAL LETTER NA;Lu;0;L;;;;;N;;;;104E9;
        "\u104C2",  # ;OSAGE CAPITAL LETTER O;Lu;0;L;;;;;N;;;;104EA;
        "\u104C3",  # ;OSAGE CAPITAL LETTER OIN;Lu;0;L;;;;;N;;;;104EB;
        "\u104C4",  # ;OSAGE CAPITAL LETTER PA;Lu;0;L;;;;;N;;;;104EC;
        "\u104C5",  # ;OSAGE CAPITAL LETTER EHPA;Lu;0;L;;;;;N;;;;104ED;
        "\u104C6",  # ;OSAGE CAPITAL LETTER SA;Lu;0;L;;;;;N;;;;104EE;
        "\u104C7",  # ;OSAGE CAPITAL LETTER SHA;Lu;0;L;;;;;N;;;;104EF;
        "\u104C8",  # ;OSAGE CAPITAL LETTER TA;Lu;0;L;;;;;N;;;;104F0;
        "\u104C9",  # ;OSAGE CAPITAL LETTER EHTA;Lu;0;L;;;;;N;;;;104F1;
        "\u104CA",  # ;OSAGE CAPITAL LETTER TSA;Lu;0;L;;;;;N;;;;104F2;
        "\u104CB",  # ;OSAGE CAPITAL LETTER EHTSA;Lu;0;L;;;;;N;;;;104F3;
        "\u104CC",  # ;OSAGE CAPITAL LETTER TSHA;Lu;0;L;;;;;N;;;;104F4;
        "\u104CD",  # ;OSAGE CAPITAL LETTER DHA;Lu;0;L;;;;;N;;;;104F5;
        "\u104CE",  # ;OSAGE CAPITAL LETTER U;Lu;0;L;;;;;N;;;;104F6;
        "\u104CF",  # ;OSAGE CAPITAL LETTER WA;Lu;0;L;;;;;N;;;;104F7;
        "\u104D0",  # ;OSAGE CAPITAL LETTER KHA;Lu;0;L;;;;;N;;;;104F8;
        "\u104D1",  # ;OSAGE CAPITAL LETTER GHA;Lu;0;L;;;;;N;;;;104F9;
        "\u104D2",  # ;OSAGE CAPITAL LETTER ZA;Lu;0;L;;;;;N;;;;104FA;
        "\u104D3",  # ;OSAGE CAPITAL LETTER ZHA;Lu;0;L;;;;;N;;;;104FB;
        "\u104D8",  # ;OSAGE SMALL LETTER A;Ll;0;L;;;;;N;;;104B0;;104B0
        "\u104D9",  # ;OSAGE SMALL LETTER AI;Ll;0;L;;;;;N;;;104B1;;104B1
        "\u104DA",  # ;OSAGE SMALL LETTER AIN;Ll;0;L;;;;;N;;;104B2;;104B2
        "\u104DB",  # ;OSAGE SMALL LETTER AH;Ll;0;L;;;;;N;;;104B3;;104B3
        "\u104DC",  # ;OSAGE SMALL LETTER BRA;Ll;0;L;;;;;N;;;104B4;;104B4
        "\u104DD",  # ;OSAGE SMALL LETTER CHA;Ll;0;L;;;;;N;;;104B5;;104B5
        "\u104DE",  # ;OSAGE SMALL LETTER EHCHA;Ll;0;L;;;;;N;;;104B6;;104B6
        "\u104DF",  # ;OSAGE SMALL LETTER E;Ll;0;L;;;;;N;;;104B7;;104B7
        "\u104E0",  # ;OSAGE SMALL LETTER EIN;Ll;0;L;;;;;N;;;104B8;;104B8
        "\u104E1",  # ;OSAGE SMALL LETTER HA;Ll;0;L;;;;;N;;;104B9;;104B9
        "\u104E2",  # ;OSAGE SMALL LETTER HYA;Ll;0;L;;;;;N;;;104BA;;104BA
        "\u104E3",  # ;OSAGE SMALL LETTER I;Ll;0;L;;;;;N;;;104BB;;104BB
        "\u104E4",  # ;OSAGE SMALL LETTER KA;Ll;0;L;;;;;N;;;104BC;;104BC
        "\u104E5",  # ;OSAGE SMALL LETTER EHKA;Ll;0;L;;;;;N;;;104BD;;104BD
        "\u104E6",  # ;OSAGE SMALL LETTER KYA;Ll;0;L;;;;;N;;;104BE;;104BE
        "\u104E7",  # ;OSAGE SMALL LETTER LA;Ll;0;L;;;;;N;;;104BF;;104BF
        "\u104E8",  # ;OSAGE SMALL LETTER MA;Ll;0;L;;;;;N;;;104C0;;104C0
        "\u104E9",  # ;OSAGE SMALL LETTER NA;Ll;0;L;;;;;N;;;104C1;;104C1
        "\u104EA",  # ;OSAGE SMALL LETTER O;Ll;0;L;;;;;N;;;104C2;;104C2
        "\u104EB",  # ;OSAGE SMALL LETTER OIN;Ll;0;L;;;;;N;;;104C3;;104C3
        "\u104EC",  # ;OSAGE SMALL LETTER PA;Ll;0;L;;;;;N;;;104C4;;104C4
        "\u104ED",  # ;OSAGE SMALL LETTER EHPA;Ll;0;L;;;;;N;;;104C5;;104C5
        "\u104EE",  # ;OSAGE SMALL LETTER SA;Ll;0;L;;;;;N;;;104C6;;104C6
        "\u104EF",  # ;OSAGE SMALL LETTER SHA;Ll;0;L;;;;;N;;;104C7;;104C7
        "\u104F0",  # ;OSAGE SMALL LETTER TA;Ll;0;L;;;;;N;;;104C8;;104C8
        "\u104F1",  # ;OSAGE SMALL LETTER EHTA;Ll;0;L;;;;;N;;;104C9;;104C9
        "\u104F2",  # ;OSAGE SMALL LETTER TSA;Ll;0;L;;;;;N;;;104CA;;104CA
        "\u104F3",  # ;OSAGE SMALL LETTER EHTSA;Ll;0;L;;;;;N;;;104CB;;104CB
        "\u104F4",  # ;OSAGE SMALL LETTER TSHA;Ll;0;L;;;;;N;;;104CC;;104CC
        "\u104F5",  # ;OSAGE SMALL LETTER DHA;Ll;0;L;;;;;N;;;104CD;;104CD
        "\u104F6",  # ;OSAGE SMALL LETTER U;Ll;0;L;;;;;N;;;104CE;;104CE
        "\u104F7",  # ;OSAGE SMALL LETTER WA;Ll;0;L;;;;;N;;;104CF;;104CF
        "\u104F8",  # ;OSAGE SMALL LETTER KHA;Ll;0;L;;;;;N;;;104D0;;104D0
        "\u104F9",  # ;OSAGE SMALL LETTER GHA;Ll;0;L;;;;;N;;;104D1;;104D1
        "\u104FA",  # ;OSAGE SMALL LETTER ZA;Ll;0;L;;;;;N;;;104D2;;104D2
        "\u104FB",  # ;OSAGE SMALL LETTER ZHA;Ll;0;L;;;;;N;;;104D3;;104D3
        "\u10500",  # ;ELBASAN LETTER A;Lo;0;L;;;;;N;;;;;
        "\u10501",  # ;ELBASAN LETTER BE;Lo;0;L;;;;;N;;;;;
        "\u10502",  # ;ELBASAN LETTER CE;Lo;0;L;;;;;N;;;;;
        "\u10503",  # ;ELBASAN LETTER CHE;Lo;0;L;;;;;N;;;;;
        "\u10504",  # ;ELBASAN LETTER DE;Lo;0;L;;;;;N;;;;;
        "\u10505",  # ;ELBASAN LETTER NDE;Lo;0;L;;;;;N;;;;;
        "\u10506",  # ;ELBASAN LETTER DHE;Lo;0;L;;;;;N;;;;;
        "\u10507",  # ;ELBASAN LETTER EI;Lo;0;L;;;;;N;;;;;
        "\u10508",  # ;ELBASAN LETTER E;Lo;0;L;;;;;N;;;;;
        "\u10509",  # ;ELBASAN LETTER FE;Lo;0;L;;;;;N;;;;;
        "\u1050A",  # ;ELBASAN LETTER GE;Lo;0;L;;;;;N;;;;;
        "\u1050B",  # ;ELBASAN LETTER GJE;Lo;0;L;;;;;N;;;;;
        "\u1050C",  # ;ELBASAN LETTER HE;Lo;0;L;;;;;N;;;;;
        "\u1050D",  # ;ELBASAN LETTER I;Lo;0;L;;;;;N;;;;;
        "\u1050E",  # ;ELBASAN LETTER JE;Lo;0;L;;;;;N;;;;;
        "\u1050F",  # ;ELBASAN LETTER KE;Lo;0;L;;;;;N;;;;;
        "\u10510",  # ;ELBASAN LETTER LE;Lo;0;L;;;;;N;;;;;
        "\u10511",  # ;ELBASAN LETTER LLE;Lo;0;L;;;;;N;;;;;
        "\u10512",  # ;ELBASAN LETTER ME;Lo;0;L;;;;;N;;;;;
        "\u10513",  # ;ELBASAN LETTER NE;Lo;0;L;;;;;N;;;;;
        "\u10514",  # ;ELBASAN LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u10515",  # ;ELBASAN LETTER NJE;Lo;0;L;;;;;N;;;;;
        "\u10516",  # ;ELBASAN LETTER O;Lo;0;L;;;;;N;;;;;
        "\u10517",  # ;ELBASAN LETTER PE;Lo;0;L;;;;;N;;;;;
        "\u10518",  # ;ELBASAN LETTER QE;Lo;0;L;;;;;N;;;;;
        "\u10519",  # ;ELBASAN LETTER RE;Lo;0;L;;;;;N;;;;;
        "\u1051A",  # ;ELBASAN LETTER RRE;Lo;0;L;;;;;N;;;;;
        "\u1051B",  # ;ELBASAN LETTER SE;Lo;0;L;;;;;N;;;;;
        "\u1051C",  # ;ELBASAN LETTER SHE;Lo;0;L;;;;;N;;;;;
        "\u1051D",  # ;ELBASAN LETTER TE;Lo;0;L;;;;;N;;;;;
        "\u1051E",  # ;ELBASAN LETTER THE;Lo;0;L;;;;;N;;;;;
        "\u1051F",  # ;ELBASAN LETTER U;Lo;0;L;;;;;N;;;;;
        "\u10520",  # ;ELBASAN LETTER VE;Lo;0;L;;;;;N;;;;;
        "\u10521",  # ;ELBASAN LETTER XE;Lo;0;L;;;;;N;;;;;
        "\u10522",  # ;ELBASAN LETTER Y;Lo;0;L;;;;;N;;;;;
        "\u10523",  # ;ELBASAN LETTER ZE;Lo;0;L;;;;;N;;;;;
        "\u10524",  # ;ELBASAN LETTER ZHE;Lo;0;L;;;;;N;;;;;
        "\u10525",  # ;ELBASAN LETTER GHE;Lo;0;L;;;;;N;;;;;
        "\u10526",  # ;ELBASAN LETTER GHAMMA;Lo;0;L;;;;;N;;;;;
        "\u10527",  # ;ELBASAN LETTER KHE;Lo;0;L;;;;;N;;;;;
        "\u10530",  # ;CAUCASIAN ALBANIAN LETTER ALT;Lo;0;L;;;;;N;;;;;
        "\u10531",  # ;CAUCASIAN ALBANIAN LETTER BET;Lo;0;L;;;;;N;;;;;
        "\u10532",  # ;CAUCASIAN ALBANIAN LETTER GIM;Lo;0;L;;;;;N;;;;;
        "\u10533",  # ;CAUCASIAN ALBANIAN LETTER DAT;Lo;0;L;;;;;N;;;;;
        "\u10534",  # ;CAUCASIAN ALBANIAN LETTER EB;Lo;0;L;;;;;N;;;;;
        "\u10535",  # ;CAUCASIAN ALBANIAN LETTER ZARL;Lo;0;L;;;;;N;;;;;
        "\u10536",  # ;CAUCASIAN ALBANIAN LETTER EYN;Lo;0;L;;;;;N;;;;;
        "\u10537",  # ;CAUCASIAN ALBANIAN LETTER ZHIL;Lo;0;L;;;;;N;;;;;
        "\u10538",  # ;CAUCASIAN ALBANIAN LETTER TAS;Lo;0;L;;;;;N;;;;;
        "\u10539",  # ;CAUCASIAN ALBANIAN LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u1053A",  # ;CAUCASIAN ALBANIAN LETTER YOWD;Lo;0;L;;;;;N;;;;;
        "\u1053B",  # ;CAUCASIAN ALBANIAN LETTER ZHA;Lo;0;L;;;;;N;;;;;
        "\u1053C",  # ;CAUCASIAN ALBANIAN LETTER IRB;Lo;0;L;;;;;N;;;;;
        "\u1053D",  # ;CAUCASIAN ALBANIAN LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u1053E",  # ;CAUCASIAN ALBANIAN LETTER LAN;Lo;0;L;;;;;N;;;;;
        "\u1053F",  # ;CAUCASIAN ALBANIAN LETTER INYA;Lo;0;L;;;;;N;;;;;
        "\u10540",  # ;CAUCASIAN ALBANIAN LETTER XEYN;Lo;0;L;;;;;N;;;;;
        "\u10541",  # ;CAUCASIAN ALBANIAN LETTER DYAN;Lo;0;L;;;;;N;;;;;
        "\u10542",  # ;CAUCASIAN ALBANIAN LETTER CAR;Lo;0;L;;;;;N;;;;;
        "\u10543",  # ;CAUCASIAN ALBANIAN LETTER JHOX;Lo;0;L;;;;;N;;;;;
        "\u10544",  # ;CAUCASIAN ALBANIAN LETTER KAR;Lo;0;L;;;;;N;;;;;
        "\u10545",  # ;CAUCASIAN ALBANIAN LETTER LYIT;Lo;0;L;;;;;N;;;;;
        "\u10546",  # ;CAUCASIAN ALBANIAN LETTER HEYT;Lo;0;L;;;;;N;;;;;
        "\u10547",  # ;CAUCASIAN ALBANIAN LETTER QAY;Lo;0;L;;;;;N;;;;;
        "\u10548",  # ;CAUCASIAN ALBANIAN LETTER AOR;Lo;0;L;;;;;N;;;;;
        "\u10549",  # ;CAUCASIAN ALBANIAN LETTER CHOY;Lo;0;L;;;;;N;;;;;
        "\u1054A",  # ;CAUCASIAN ALBANIAN LETTER CHI;Lo;0;L;;;;;N;;;;;
        "\u1054B",  # ;CAUCASIAN ALBANIAN LETTER CYAY;Lo;0;L;;;;;N;;;;;
        "\u1054C",  # ;CAUCASIAN ALBANIAN LETTER MAQ;Lo;0;L;;;;;N;;;;;
        "\u1054D",  # ;CAUCASIAN ALBANIAN LETTER QAR;Lo;0;L;;;;;N;;;;;
        "\u1054E",  # ;CAUCASIAN ALBANIAN LETTER NOWC;Lo;0;L;;;;;N;;;;;
        "\u1054F",  # ;CAUCASIAN ALBANIAN LETTER DZYAY;Lo;0;L;;;;;N;;;;;
        "\u10550",  # ;CAUCASIAN ALBANIAN LETTER SHAK;Lo;0;L;;;;;N;;;;;
        "\u10551",  # ;CAUCASIAN ALBANIAN LETTER JAYN;Lo;0;L;;;;;N;;;;;
        "\u10552",  # ;CAUCASIAN ALBANIAN LETTER ON;Lo;0;L;;;;;N;;;;;
        "\u10553",  # ;CAUCASIAN ALBANIAN LETTER TYAY;Lo;0;L;;;;;N;;;;;
        "\u10554",  # ;CAUCASIAN ALBANIAN LETTER FAM;Lo;0;L;;;;;N;;;;;
        "\u10555",  # ;CAUCASIAN ALBANIAN LETTER DZAY;Lo;0;L;;;;;N;;;;;
        "\u10556",  # ;CAUCASIAN ALBANIAN LETTER CHAT;Lo;0;L;;;;;N;;;;;
        "\u10557",  # ;CAUCASIAN ALBANIAN LETTER PEN;Lo;0;L;;;;;N;;;;;
        "\u10558",  # ;CAUCASIAN ALBANIAN LETTER GHEYS;Lo;0;L;;;;;N;;;;;
        "\u10559",  # ;CAUCASIAN ALBANIAN LETTER RAT;Lo;0;L;;;;;N;;;;;
        "\u1055A",  # ;CAUCASIAN ALBANIAN LETTER SEYK;Lo;0;L;;;;;N;;;;;
        "\u1055B",  # ;CAUCASIAN ALBANIAN LETTER VEYZ;Lo;0;L;;;;;N;;;;;
        "\u1055C",  # ;CAUCASIAN ALBANIAN LETTER TIWR;Lo;0;L;;;;;N;;;;;
        "\u1055D",  # ;CAUCASIAN ALBANIAN LETTER SHOY;Lo;0;L;;;;;N;;;;;
        "\u1055E",  # ;CAUCASIAN ALBANIAN LETTER IWN;Lo;0;L;;;;;N;;;;;
        "\u1055F",  # ;CAUCASIAN ALBANIAN LETTER CYAW;Lo;0;L;;;;;N;;;;;
        "\u10560",  # ;CAUCASIAN ALBANIAN LETTER CAYN;Lo;0;L;;;;;N;;;;;
        "\u10561",  # ;CAUCASIAN ALBANIAN LETTER YAYD;Lo;0;L;;;;;N;;;;;
        "\u10562",  # ;CAUCASIAN ALBANIAN LETTER PIWR;Lo;0;L;;;;;N;;;;;
        "\u10563",  # ;CAUCASIAN ALBANIAN LETTER KIW;Lo;0;L;;;;;N;;;;;
        "\u1056F",  # ;CAUCASIAN ALBANIAN CITATION MARK;Po;0;L;;;;;N;;;;;
        "\u10600",  # ;LINEAR A SIGN AB001;Lo;0;L;;;;;N;;;;;
        "\u10601",  # ;LINEAR A SIGN AB002;Lo;0;L;;;;;N;;;;;
        "\u10602",  # ;LINEAR A SIGN AB003;Lo;0;L;;;;;N;;;;;
        "\u10603",  # ;LINEAR A SIGN AB004;Lo;0;L;;;;;N;;;;;
        "\u10604",  # ;LINEAR A SIGN AB005;Lo;0;L;;;;;N;;;;;
        "\u10605",  # ;LINEAR A SIGN AB006;Lo;0;L;;;;;N;;;;;
        "\u10606",  # ;LINEAR A SIGN AB007;Lo;0;L;;;;;N;;;;;
        "\u10607",  # ;LINEAR A SIGN AB008;Lo;0;L;;;;;N;;;;;
        "\u10608",  # ;LINEAR A SIGN AB009;Lo;0;L;;;;;N;;;;;
        "\u10609",  # ;LINEAR A SIGN AB010;Lo;0;L;;;;;N;;;;;
        "\u1060A",  # ;LINEAR A SIGN AB011;Lo;0;L;;;;;N;;;;;
        "\u1060B",  # ;LINEAR A SIGN AB013;Lo;0;L;;;;;N;;;;;
        "\u1060C",  # ;LINEAR A SIGN AB016;Lo;0;L;;;;;N;;;;;
        "\u1060D",  # ;LINEAR A SIGN AB017;Lo;0;L;;;;;N;;;;;
        "\u1060E",  # ;LINEAR A SIGN AB020;Lo;0;L;;;;;N;;;;;
        "\u1060F",  # ;LINEAR A SIGN AB021;Lo;0;L;;;;;N;;;;;
        "\u10610",  # ;LINEAR A SIGN AB021F;Lo;0;L;;;;;N;;;;;
        "\u10611",  # ;LINEAR A SIGN AB021M;Lo;0;L;;;;;N;;;;;
        "\u10612",  # ;LINEAR A SIGN AB022;Lo;0;L;;;;;N;;;;;
        "\u10613",  # ;LINEAR A SIGN AB022F;Lo;0;L;;;;;N;;;;;
        "\u10614",  # ;LINEAR A SIGN AB022M;Lo;0;L;;;;;N;;;;;
        "\u10615",  # ;LINEAR A SIGN AB023;Lo;0;L;;;;;N;;;;;
        "\u10616",  # ;LINEAR A SIGN AB023M;Lo;0;L;;;;;N;;;;;
        "\u10617",  # ;LINEAR A SIGN AB024;Lo;0;L;;;;;N;;;;;
        "\u10618",  # ;LINEAR A SIGN AB026;Lo;0;L;;;;;N;;;;;
        "\u10619",  # ;LINEAR A SIGN AB027;Lo;0;L;;;;;N;;;;;
        "\u1061A",  # ;LINEAR A SIGN AB028;Lo;0;L;;;;;N;;;;;
        "\u1061B",  # ;LINEAR A SIGN A028B;Lo;0;L;;;;;N;;;;;
        "\u1061C",  # ;LINEAR A SIGN AB029;Lo;0;L;;;;;N;;;;;
        "\u1061D",  # ;LINEAR A SIGN AB030;Lo;0;L;;;;;N;;;;;
        "\u1061E",  # ;LINEAR A SIGN AB031;Lo;0;L;;;;;N;;;;;
        "\u1061F",  # ;LINEAR A SIGN AB034;Lo;0;L;;;;;N;;;;;
        "\u10620",  # ;LINEAR A SIGN AB037;Lo;0;L;;;;;N;;;;;
        "\u10621",  # ;LINEAR A SIGN AB038;Lo;0;L;;;;;N;;;;;
        "\u10622",  # ;LINEAR A SIGN AB039;Lo;0;L;;;;;N;;;;;
        "\u10623",  # ;LINEAR A SIGN AB040;Lo;0;L;;;;;N;;;;;
        "\u10624",  # ;LINEAR A SIGN AB041;Lo;0;L;;;;;N;;;;;
        "\u10625",  # ;LINEAR A SIGN AB044;Lo;0;L;;;;;N;;;;;
        "\u10626",  # ;LINEAR A SIGN AB045;Lo;0;L;;;;;N;;;;;
        "\u10627",  # ;LINEAR A SIGN AB046;Lo;0;L;;;;;N;;;;;
        "\u10628",  # ;LINEAR A SIGN AB047;Lo;0;L;;;;;N;;;;;
        "\u10629",  # ;LINEAR A SIGN AB048;Lo;0;L;;;;;N;;;;;
        "\u1062A",  # ;LINEAR A SIGN AB049;Lo;0;L;;;;;N;;;;;
        "\u1062B",  # ;LINEAR A SIGN AB050;Lo;0;L;;;;;N;;;;;
        "\u1062C",  # ;LINEAR A SIGN AB051;Lo;0;L;;;;;N;;;;;
        "\u1062D",  # ;LINEAR A SIGN AB053;Lo;0;L;;;;;N;;;;;
        "\u1062E",  # ;LINEAR A SIGN AB054;Lo;0;L;;;;;N;;;;;
        "\u1062F",  # ;LINEAR A SIGN AB055;Lo;0;L;;;;;N;;;;;
        "\u10630",  # ;LINEAR A SIGN AB056;Lo;0;L;;;;;N;;;;;
        "\u10631",  # ;LINEAR A SIGN AB057;Lo;0;L;;;;;N;;;;;
        "\u10632",  # ;LINEAR A SIGN AB058;Lo;0;L;;;;;N;;;;;
        "\u10633",  # ;LINEAR A SIGN AB059;Lo;0;L;;;;;N;;;;;
        "\u10634",  # ;LINEAR A SIGN AB060;Lo;0;L;;;;;N;;;;;
        "\u10635",  # ;LINEAR A SIGN AB061;Lo;0;L;;;;;N;;;;;
        "\u10636",  # ;LINEAR A SIGN AB065;Lo;0;L;;;;;N;;;;;
        "\u10637",  # ;LINEAR A SIGN AB066;Lo;0;L;;;;;N;;;;;
        "\u10638",  # ;LINEAR A SIGN AB067;Lo;0;L;;;;;N;;;;;
        "\u10639",  # ;LINEAR A SIGN AB069;Lo;0;L;;;;;N;;;;;
        "\u1063A",  # ;LINEAR A SIGN AB070;Lo;0;L;;;;;N;;;;;
        "\u1063B",  # ;LINEAR A SIGN AB073;Lo;0;L;;;;;N;;;;;
        "\u1063C",  # ;LINEAR A SIGN AB074;Lo;0;L;;;;;N;;;;;
        "\u1063D",  # ;LINEAR A SIGN AB076;Lo;0;L;;;;;N;;;;;
        "\u1063E",  # ;LINEAR A SIGN AB077;Lo;0;L;;;;;N;;;;;
        "\u1063F",  # ;LINEAR A SIGN AB078;Lo;0;L;;;;;N;;;;;
        "\u10640",  # ;LINEAR A SIGN AB079;Lo;0;L;;;;;N;;;;;
        "\u10641",  # ;LINEAR A SIGN AB080;Lo;0;L;;;;;N;;;;;
        "\u10642",  # ;LINEAR A SIGN AB081;Lo;0;L;;;;;N;;;;;
        "\u10643",  # ;LINEAR A SIGN AB082;Lo;0;L;;;;;N;;;;;
        "\u10644",  # ;LINEAR A SIGN AB085;Lo;0;L;;;;;N;;;;;
        "\u10645",  # ;LINEAR A SIGN AB086;Lo;0;L;;;;;N;;;;;
        "\u10646",  # ;LINEAR A SIGN AB087;Lo;0;L;;;;;N;;;;;
        "\u10647",  # ;LINEAR A SIGN A100-102;Lo;0;L;;;;;N;;;;;
        "\u10648",  # ;LINEAR A SIGN AB118;Lo;0;L;;;;;N;;;;;
        "\u10649",  # ;LINEAR A SIGN AB120;Lo;0;L;;;;;N;;;;;
        "\u1064A",  # ;LINEAR A SIGN A120B;Lo;0;L;;;;;N;;;;;
        "\u1064B",  # ;LINEAR A SIGN AB122;Lo;0;L;;;;;N;;;;;
        "\u1064C",  # ;LINEAR A SIGN AB123;Lo;0;L;;;;;N;;;;;
        "\u1064D",  # ;LINEAR A SIGN AB131A;Lo;0;L;;;;;N;;;;;
        "\u1064E",  # ;LINEAR A SIGN AB131B;Lo;0;L;;;;;N;;;;;
        "\u1064F",  # ;LINEAR A SIGN A131C;Lo;0;L;;;;;N;;;;;
        "\u10650",  # ;LINEAR A SIGN AB164;Lo;0;L;;;;;N;;;;;
        "\u10651",  # ;LINEAR A SIGN AB171;Lo;0;L;;;;;N;;;;;
        "\u10652",  # ;LINEAR A SIGN AB180;Lo;0;L;;;;;N;;;;;
        "\u10653",  # ;LINEAR A SIGN AB188;Lo;0;L;;;;;N;;;;;
        "\u10654",  # ;LINEAR A SIGN AB191;Lo;0;L;;;;;N;;;;;
        "\u10655",  # ;LINEAR A SIGN A301;Lo;0;L;;;;;N;;;;;
        "\u10656",  # ;LINEAR A SIGN A302;Lo;0;L;;;;;N;;;;;
        "\u10657",  # ;LINEAR A SIGN A303;Lo;0;L;;;;;N;;;;;
        "\u10658",  # ;LINEAR A SIGN A304;Lo;0;L;;;;;N;;;;;
        "\u10659",  # ;LINEAR A SIGN A305;Lo;0;L;;;;;N;;;;;
        "\u1065A",  # ;LINEAR A SIGN A306;Lo;0;L;;;;;N;;;;;
        "\u1065B",  # ;LINEAR A SIGN A307;Lo;0;L;;;;;N;;;;;
        "\u1065C",  # ;LINEAR A SIGN A308;Lo;0;L;;;;;N;;;;;
        "\u1065D",  # ;LINEAR A SIGN A309A;Lo;0;L;;;;;N;;;;;
        "\u1065E",  # ;LINEAR A SIGN A309B;Lo;0;L;;;;;N;;;;;
        "\u1065F",  # ;LINEAR A SIGN A309C;Lo;0;L;;;;;N;;;;;
        "\u10660",  # ;LINEAR A SIGN A310;Lo;0;L;;;;;N;;;;;
        "\u10661",  # ;LINEAR A SIGN A311;Lo;0;L;;;;;N;;;;;
        "\u10662",  # ;LINEAR A SIGN A312;Lo;0;L;;;;;N;;;;;
        "\u10663",  # ;LINEAR A SIGN A313A;Lo;0;L;;;;;N;;;;;
        "\u10664",  # ;LINEAR A SIGN A313B;Lo;0;L;;;;;N;;;;;
        "\u10665",  # ;LINEAR A SIGN A313C;Lo;0;L;;;;;N;;;;;
        "\u10666",  # ;LINEAR A SIGN A314;Lo;0;L;;;;;N;;;;;
        "\u10667",  # ;LINEAR A SIGN A315;Lo;0;L;;;;;N;;;;;
        "\u10668",  # ;LINEAR A SIGN A316;Lo;0;L;;;;;N;;;;;
        "\u10669",  # ;LINEAR A SIGN A317;Lo;0;L;;;;;N;;;;;
        "\u1066A",  # ;LINEAR A SIGN A318;Lo;0;L;;;;;N;;;;;
        "\u1066B",  # ;LINEAR A SIGN A319;Lo;0;L;;;;;N;;;;;
        "\u1066C",  # ;LINEAR A SIGN A320;Lo;0;L;;;;;N;;;;;
        "\u1066D",  # ;LINEAR A SIGN A321;Lo;0;L;;;;;N;;;;;
        "\u1066E",  # ;LINEAR A SIGN A322;Lo;0;L;;;;;N;;;;;
        "\u1066F",  # ;LINEAR A SIGN A323;Lo;0;L;;;;;N;;;;;
        "\u10670",  # ;LINEAR A SIGN A324;Lo;0;L;;;;;N;;;;;
        "\u10671",  # ;LINEAR A SIGN A325;Lo;0;L;;;;;N;;;;;
        "\u10672",  # ;LINEAR A SIGN A326;Lo;0;L;;;;;N;;;;;
        "\u10673",  # ;LINEAR A SIGN A327;Lo;0;L;;;;;N;;;;;
        "\u10674",  # ;LINEAR A SIGN A328;Lo;0;L;;;;;N;;;;;
        "\u10675",  # ;LINEAR A SIGN A329;Lo;0;L;;;;;N;;;;;
        "\u10676",  # ;LINEAR A SIGN A330;Lo;0;L;;;;;N;;;;;
        "\u10677",  # ;LINEAR A SIGN A331;Lo;0;L;;;;;N;;;;;
        "\u10678",  # ;LINEAR A SIGN A332;Lo;0;L;;;;;N;;;;;
        "\u10679",  # ;LINEAR A SIGN A333;Lo;0;L;;;;;N;;;;;
        "\u1067A",  # ;LINEAR A SIGN A334;Lo;0;L;;;;;N;;;;;
        "\u1067B",  # ;LINEAR A SIGN A335;Lo;0;L;;;;;N;;;;;
        "\u1067C",  # ;LINEAR A SIGN A336;Lo;0;L;;;;;N;;;;;
        "\u1067D",  # ;LINEAR A SIGN A337;Lo;0;L;;;;;N;;;;;
        "\u1067E",  # ;LINEAR A SIGN A338;Lo;0;L;;;;;N;;;;;
        "\u1067F",  # ;LINEAR A SIGN A339;Lo;0;L;;;;;N;;;;;
        "\u10680",  # ;LINEAR A SIGN A340;Lo;0;L;;;;;N;;;;;
        "\u10681",  # ;LINEAR A SIGN A341;Lo;0;L;;;;;N;;;;;
        "\u10682",  # ;LINEAR A SIGN A342;Lo;0;L;;;;;N;;;;;
        "\u10683",  # ;LINEAR A SIGN A343;Lo;0;L;;;;;N;;;;;
        "\u10684",  # ;LINEAR A SIGN A344;Lo;0;L;;;;;N;;;;;
        "\u10685",  # ;LINEAR A SIGN A345;Lo;0;L;;;;;N;;;;;
        "\u10686",  # ;LINEAR A SIGN A346;Lo;0;L;;;;;N;;;;;
        "\u10687",  # ;LINEAR A SIGN A347;Lo;0;L;;;;;N;;;;;
        "\u10688",  # ;LINEAR A SIGN A348;Lo;0;L;;;;;N;;;;;
        "\u10689",  # ;LINEAR A SIGN A349;Lo;0;L;;;;;N;;;;;
        "\u1068A",  # ;LINEAR A SIGN A350;Lo;0;L;;;;;N;;;;;
        "\u1068B",  # ;LINEAR A SIGN A351;Lo;0;L;;;;;N;;;;;
        "\u1068C",  # ;LINEAR A SIGN A352;Lo;0;L;;;;;N;;;;;
        "\u1068D",  # ;LINEAR A SIGN A353;Lo;0;L;;;;;N;;;;;
        "\u1068E",  # ;LINEAR A SIGN A354;Lo;0;L;;;;;N;;;;;
        "\u1068F",  # ;LINEAR A SIGN A355;Lo;0;L;;;;;N;;;;;
        "\u10690",  # ;LINEAR A SIGN A356;Lo;0;L;;;;;N;;;;;
        "\u10691",  # ;LINEAR A SIGN A357;Lo;0;L;;;;;N;;;;;
        "\u10692",  # ;LINEAR A SIGN A358;Lo;0;L;;;;;N;;;;;
        "\u10693",  # ;LINEAR A SIGN A359;Lo;0;L;;;;;N;;;;;
        "\u10694",  # ;LINEAR A SIGN A360;Lo;0;L;;;;;N;;;;;
        "\u10695",  # ;LINEAR A SIGN A361;Lo;0;L;;;;;N;;;;;
        "\u10696",  # ;LINEAR A SIGN A362;Lo;0;L;;;;;N;;;;;
        "\u10697",  # ;LINEAR A SIGN A363;Lo;0;L;;;;;N;;;;;
        "\u10698",  # ;LINEAR A SIGN A364;Lo;0;L;;;;;N;;;;;
        "\u10699",  # ;LINEAR A SIGN A365;Lo;0;L;;;;;N;;;;;
        "\u1069A",  # ;LINEAR A SIGN A366;Lo;0;L;;;;;N;;;;;
        "\u1069B",  # ;LINEAR A SIGN A367;Lo;0;L;;;;;N;;;;;
        "\u1069C",  # ;LINEAR A SIGN A368;Lo;0;L;;;;;N;;;;;
        "\u1069D",  # ;LINEAR A SIGN A369;Lo;0;L;;;;;N;;;;;
        "\u1069E",  # ;LINEAR A SIGN A370;Lo;0;L;;;;;N;;;;;
        "\u1069F",  # ;LINEAR A SIGN A371;Lo;0;L;;;;;N;;;;;
        "\u106A0",  # ;LINEAR A SIGN A400-VAS;Lo;0;L;;;;;N;;;;;
        "\u106A1",  # ;LINEAR A SIGN A401-VAS;Lo;0;L;;;;;N;;;;;
        "\u106A2",  # ;LINEAR A SIGN A402-VAS;Lo;0;L;;;;;N;;;;;
        "\u106A3",  # ;LINEAR A SIGN A403-VAS;Lo;0;L;;;;;N;;;;;
        "\u106A4",  # ;LINEAR A SIGN A404-VAS;Lo;0;L;;;;;N;;;;;
        "\u106A5",  # ;LINEAR A SIGN A405-VAS;Lo;0;L;;;;;N;;;;;
        "\u106A6",  # ;LINEAR A SIGN A406-VAS;Lo;0;L;;;;;N;;;;;
        "\u106A7",  # ;LINEAR A SIGN A407-VAS;Lo;0;L;;;;;N;;;;;
        "\u106A8",  # ;LINEAR A SIGN A408-VAS;Lo;0;L;;;;;N;;;;;
        "\u106A9",  # ;LINEAR A SIGN A409-VAS;Lo;0;L;;;;;N;;;;;
        "\u106AA",  # ;LINEAR A SIGN A410-VAS;Lo;0;L;;;;;N;;;;;
        "\u106AB",  # ;LINEAR A SIGN A411-VAS;Lo;0;L;;;;;N;;;;;
        "\u106AC",  # ;LINEAR A SIGN A412-VAS;Lo;0;L;;;;;N;;;;;
        "\u106AD",  # ;LINEAR A SIGN A413-VAS;Lo;0;L;;;;;N;;;;;
        "\u106AE",  # ;LINEAR A SIGN A414-VAS;Lo;0;L;;;;;N;;;;;
        "\u106AF",  # ;LINEAR A SIGN A415-VAS;Lo;0;L;;;;;N;;;;;
        "\u106B0",  # ;LINEAR A SIGN A416-VAS;Lo;0;L;;;;;N;;;;;
        "\u106B1",  # ;LINEAR A SIGN A417-VAS;Lo;0;L;;;;;N;;;;;
        "\u106B2",  # ;LINEAR A SIGN A418-VAS;Lo;0;L;;;;;N;;;;;
        "\u106B3",  # ;LINEAR A SIGN A501;Lo;0;L;;;;;N;;;;;
        "\u106B4",  # ;LINEAR A SIGN A502;Lo;0;L;;;;;N;;;;;
        "\u106B5",  # ;LINEAR A SIGN A503;Lo;0;L;;;;;N;;;;;
        "\u106B6",  # ;LINEAR A SIGN A504;Lo;0;L;;;;;N;;;;;
        "\u106B7",  # ;LINEAR A SIGN A505;Lo;0;L;;;;;N;;;;;
        "\u106B8",  # ;LINEAR A SIGN A506;Lo;0;L;;;;;N;;;;;
        "\u106B9",  # ;LINEAR A SIGN A508;Lo;0;L;;;;;N;;;;;
        "\u106BA",  # ;LINEAR A SIGN A509;Lo;0;L;;;;;N;;;;;
        "\u106BB",  # ;LINEAR A SIGN A510;Lo;0;L;;;;;N;;;;;
        "\u106BC",  # ;LINEAR A SIGN A511;Lo;0;L;;;;;N;;;;;
        "\u106BD",  # ;LINEAR A SIGN A512;Lo;0;L;;;;;N;;;;;
        "\u106BE",  # ;LINEAR A SIGN A513;Lo;0;L;;;;;N;;;;;
        "\u106BF",  # ;LINEAR A SIGN A515;Lo;0;L;;;;;N;;;;;
        "\u106C0",  # ;LINEAR A SIGN A516;Lo;0;L;;;;;N;;;;;
        "\u106C1",  # ;LINEAR A SIGN A520;Lo;0;L;;;;;N;;;;;
        "\u106C2",  # ;LINEAR A SIGN A521;Lo;0;L;;;;;N;;;;;
        "\u106C3",  # ;LINEAR A SIGN A523;Lo;0;L;;;;;N;;;;;
        "\u106C4",  # ;LINEAR A SIGN A524;Lo;0;L;;;;;N;;;;;
        "\u106C5",  # ;LINEAR A SIGN A525;Lo;0;L;;;;;N;;;;;
        "\u106C6",  # ;LINEAR A SIGN A526;Lo;0;L;;;;;N;;;;;
        "\u106C7",  # ;LINEAR A SIGN A527;Lo;0;L;;;;;N;;;;;
        "\u106C8",  # ;LINEAR A SIGN A528;Lo;0;L;;;;;N;;;;;
        "\u106C9",  # ;LINEAR A SIGN A529;Lo;0;L;;;;;N;;;;;
        "\u106CA",  # ;LINEAR A SIGN A530;Lo;0;L;;;;;N;;;;;
        "\u106CB",  # ;LINEAR A SIGN A531;Lo;0;L;;;;;N;;;;;
        "\u106CC",  # ;LINEAR A SIGN A532;Lo;0;L;;;;;N;;;;;
        "\u106CD",  # ;LINEAR A SIGN A534;Lo;0;L;;;;;N;;;;;
        "\u106CE",  # ;LINEAR A SIGN A535;Lo;0;L;;;;;N;;;;;
        "\u106CF",  # ;LINEAR A SIGN A536;Lo;0;L;;;;;N;;;;;
        "\u106D0",  # ;LINEAR A SIGN A537;Lo;0;L;;;;;N;;;;;
        "\u106D1",  # ;LINEAR A SIGN A538;Lo;0;L;;;;;N;;;;;
        "\u106D2",  # ;LINEAR A SIGN A539;Lo;0;L;;;;;N;;;;;
        "\u106D3",  # ;LINEAR A SIGN A540;Lo;0;L;;;;;N;;;;;
        "\u106D4",  # ;LINEAR A SIGN A541;Lo;0;L;;;;;N;;;;;
        "\u106D5",  # ;LINEAR A SIGN A542;Lo;0;L;;;;;N;;;;;
        "\u106D6",  # ;LINEAR A SIGN A545;Lo;0;L;;;;;N;;;;;
        "\u106D7",  # ;LINEAR A SIGN A547;Lo;0;L;;;;;N;;;;;
        "\u106D8",  # ;LINEAR A SIGN A548;Lo;0;L;;;;;N;;;;;
        "\u106D9",  # ;LINEAR A SIGN A549;Lo;0;L;;;;;N;;;;;
        "\u106DA",  # ;LINEAR A SIGN A550;Lo;0;L;;;;;N;;;;;
        "\u106DB",  # ;LINEAR A SIGN A551;Lo;0;L;;;;;N;;;;;
        "\u106DC",  # ;LINEAR A SIGN A552;Lo;0;L;;;;;N;;;;;
        "\u106DD",  # ;LINEAR A SIGN A553;Lo;0;L;;;;;N;;;;;
        "\u106DE",  # ;LINEAR A SIGN A554;Lo;0;L;;;;;N;;;;;
        "\u106DF",  # ;LINEAR A SIGN A555;Lo;0;L;;;;;N;;;;;
        "\u106E0",  # ;LINEAR A SIGN A556;Lo;0;L;;;;;N;;;;;
        "\u106E1",  # ;LINEAR A SIGN A557;Lo;0;L;;;;;N;;;;;
        "\u106E2",  # ;LINEAR A SIGN A559;Lo;0;L;;;;;N;;;;;
        "\u106E3",  # ;LINEAR A SIGN A563;Lo;0;L;;;;;N;;;;;
        "\u106E4",  # ;LINEAR A SIGN A564;Lo;0;L;;;;;N;;;;;
        "\u106E5",  # ;LINEAR A SIGN A565;Lo;0;L;;;;;N;;;;;
        "\u106E6",  # ;LINEAR A SIGN A566;Lo;0;L;;;;;N;;;;;
        "\u106E7",  # ;LINEAR A SIGN A568;Lo;0;L;;;;;N;;;;;
        "\u106E8",  # ;LINEAR A SIGN A569;Lo;0;L;;;;;N;;;;;
        "\u106E9",  # ;LINEAR A SIGN A570;Lo;0;L;;;;;N;;;;;
        "\u106EA",  # ;LINEAR A SIGN A571;Lo;0;L;;;;;N;;;;;
        "\u106EB",  # ;LINEAR A SIGN A572;Lo;0;L;;;;;N;;;;;
        "\u106EC",  # ;LINEAR A SIGN A573;Lo;0;L;;;;;N;;;;;
        "\u106ED",  # ;LINEAR A SIGN A574;Lo;0;L;;;;;N;;;;;
        "\u106EE",  # ;LINEAR A SIGN A575;Lo;0;L;;;;;N;;;;;
        "\u106EF",  # ;LINEAR A SIGN A576;Lo;0;L;;;;;N;;;;;
        "\u106F0",  # ;LINEAR A SIGN A577;Lo;0;L;;;;;N;;;;;
        "\u106F1",  # ;LINEAR A SIGN A578;Lo;0;L;;;;;N;;;;;
        "\u106F2",  # ;LINEAR A SIGN A579;Lo;0;L;;;;;N;;;;;
        "\u106F3",  # ;LINEAR A SIGN A580;Lo;0;L;;;;;N;;;;;
        "\u106F4",  # ;LINEAR A SIGN A581;Lo;0;L;;;;;N;;;;;
        "\u106F5",  # ;LINEAR A SIGN A582;Lo;0;L;;;;;N;;;;;
        "\u106F6",  # ;LINEAR A SIGN A583;Lo;0;L;;;;;N;;;;;
        "\u106F7",  # ;LINEAR A SIGN A584;Lo;0;L;;;;;N;;;;;
        "\u106F8",  # ;LINEAR A SIGN A585;Lo;0;L;;;;;N;;;;;
        "\u106F9",  # ;LINEAR A SIGN A586;Lo;0;L;;;;;N;;;;;
        "\u106FA",  # ;LINEAR A SIGN A587;Lo;0;L;;;;;N;;;;;
        "\u106FB",  # ;LINEAR A SIGN A588;Lo;0;L;;;;;N;;;;;
        "\u106FC",  # ;LINEAR A SIGN A589;Lo;0;L;;;;;N;;;;;
        "\u106FD",  # ;LINEAR A SIGN A591;Lo;0;L;;;;;N;;;;;
        "\u106FE",  # ;LINEAR A SIGN A592;Lo;0;L;;;;;N;;;;;
        "\u106FF",  # ;LINEAR A SIGN A594;Lo;0;L;;;;;N;;;;;
        "\u10700",  # ;LINEAR A SIGN A595;Lo;0;L;;;;;N;;;;;
        "\u10701",  # ;LINEAR A SIGN A596;Lo;0;L;;;;;N;;;;;
        "\u10702",  # ;LINEAR A SIGN A598;Lo;0;L;;;;;N;;;;;
        "\u10703",  # ;LINEAR A SIGN A600;Lo;0;L;;;;;N;;;;;
        "\u10704",  # ;LINEAR A SIGN A601;Lo;0;L;;;;;N;;;;;
        "\u10705",  # ;LINEAR A SIGN A602;Lo;0;L;;;;;N;;;;;
        "\u10706",  # ;LINEAR A SIGN A603;Lo;0;L;;;;;N;;;;;
        "\u10707",  # ;LINEAR A SIGN A604;Lo;0;L;;;;;N;;;;;
        "\u10708",  # ;LINEAR A SIGN A606;Lo;0;L;;;;;N;;;;;
        "\u10709",  # ;LINEAR A SIGN A608;Lo;0;L;;;;;N;;;;;
        "\u1070A",  # ;LINEAR A SIGN A609;Lo;0;L;;;;;N;;;;;
        "\u1070B",  # ;LINEAR A SIGN A610;Lo;0;L;;;;;N;;;;;
        "\u1070C",  # ;LINEAR A SIGN A611;Lo;0;L;;;;;N;;;;;
        "\u1070D",  # ;LINEAR A SIGN A612;Lo;0;L;;;;;N;;;;;
        "\u1070E",  # ;LINEAR A SIGN A613;Lo;0;L;;;;;N;;;;;
        "\u1070F",  # ;LINEAR A SIGN A614;Lo;0;L;;;;;N;;;;;
        "\u10710",  # ;LINEAR A SIGN A615;Lo;0;L;;;;;N;;;;;
        "\u10711",  # ;LINEAR A SIGN A616;Lo;0;L;;;;;N;;;;;
        "\u10712",  # ;LINEAR A SIGN A617;Lo;0;L;;;;;N;;;;;
        "\u10713",  # ;LINEAR A SIGN A618;Lo;0;L;;;;;N;;;;;
        "\u10714",  # ;LINEAR A SIGN A619;Lo;0;L;;;;;N;;;;;
        "\u10715",  # ;LINEAR A SIGN A620;Lo;0;L;;;;;N;;;;;
        "\u10716",  # ;LINEAR A SIGN A621;Lo;0;L;;;;;N;;;;;
        "\u10717",  # ;LINEAR A SIGN A622;Lo;0;L;;;;;N;;;;;
        "\u10718",  # ;LINEAR A SIGN A623;Lo;0;L;;;;;N;;;;;
        "\u10719",  # ;LINEAR A SIGN A624;Lo;0;L;;;;;N;;;;;
        "\u1071A",  # ;LINEAR A SIGN A626;Lo;0;L;;;;;N;;;;;
        "\u1071B",  # ;LINEAR A SIGN A627;Lo;0;L;;;;;N;;;;;
        "\u1071C",  # ;LINEAR A SIGN A628;Lo;0;L;;;;;N;;;;;
        "\u1071D",  # ;LINEAR A SIGN A629;Lo;0;L;;;;;N;;;;;
        "\u1071E",  # ;LINEAR A SIGN A634;Lo;0;L;;;;;N;;;;;
        "\u1071F",  # ;LINEAR A SIGN A637;Lo;0;L;;;;;N;;;;;
        "\u10720",  # ;LINEAR A SIGN A638;Lo;0;L;;;;;N;;;;;
        "\u10721",  # ;LINEAR A SIGN A640;Lo;0;L;;;;;N;;;;;
        "\u10722",  # ;LINEAR A SIGN A642;Lo;0;L;;;;;N;;;;;
        "\u10723",  # ;LINEAR A SIGN A643;Lo;0;L;;;;;N;;;;;
        "\u10724",  # ;LINEAR A SIGN A644;Lo;0;L;;;;;N;;;;;
        "\u10725",  # ;LINEAR A SIGN A645;Lo;0;L;;;;;N;;;;;
        "\u10726",  # ;LINEAR A SIGN A646;Lo;0;L;;;;;N;;;;;
        "\u10727",  # ;LINEAR A SIGN A648;Lo;0;L;;;;;N;;;;;
        "\u10728",  # ;LINEAR A SIGN A649;Lo;0;L;;;;;N;;;;;
        "\u10729",  # ;LINEAR A SIGN A651;Lo;0;L;;;;;N;;;;;
        "\u1072A",  # ;LINEAR A SIGN A652;Lo;0;L;;;;;N;;;;;
        "\u1072B",  # ;LINEAR A SIGN A653;Lo;0;L;;;;;N;;;;;
        "\u1072C",  # ;LINEAR A SIGN A654;Lo;0;L;;;;;N;;;;;
        "\u1072D",  # ;LINEAR A SIGN A655;Lo;0;L;;;;;N;;;;;
        "\u1072E",  # ;LINEAR A SIGN A656;Lo;0;L;;;;;N;;;;;
        "\u1072F",  # ;LINEAR A SIGN A657;Lo;0;L;;;;;N;;;;;
        "\u10730",  # ;LINEAR A SIGN A658;Lo;0;L;;;;;N;;;;;
        "\u10731",  # ;LINEAR A SIGN A659;Lo;0;L;;;;;N;;;;;
        "\u10732",  # ;LINEAR A SIGN A660;Lo;0;L;;;;;N;;;;;
        "\u10733",  # ;LINEAR A SIGN A661;Lo;0;L;;;;;N;;;;;
        "\u10734",  # ;LINEAR A SIGN A662;Lo;0;L;;;;;N;;;;;
        "\u10735",  # ;LINEAR A SIGN A663;Lo;0;L;;;;;N;;;;;
        "\u10736",  # ;LINEAR A SIGN A664;Lo;0;L;;;;;N;;;;;
        "\u10740",  # ;LINEAR A SIGN A701 A;Lo;0;L;;;;;N;;;;;
        "\u10741",  # ;LINEAR A SIGN A702 B;Lo;0;L;;;;;N;;;;;
        "\u10742",  # ;LINEAR A SIGN A703 D;Lo;0;L;;;;;N;;;;;
        "\u10743",  # ;LINEAR A SIGN A704 E;Lo;0;L;;;;;N;;;;;
        "\u10744",  # ;LINEAR A SIGN A705 F;Lo;0;L;;;;;N;;;;;
        "\u10745",  # ;LINEAR A SIGN A706 H;Lo;0;L;;;;;N;;;;;
        "\u10746",  # ;LINEAR A SIGN A707 J;Lo;0;L;;;;;N;;;;;
        "\u10747",  # ;LINEAR A SIGN A708 K;Lo;0;L;;;;;N;;;;;
        "\u10748",  # ;LINEAR A SIGN A709 L;Lo;0;L;;;;;N;;;;;
        "\u10749",  # ;LINEAR A SIGN A709-2 L2;Lo;0;L;;;;;N;;;;;
        "\u1074A",  # ;LINEAR A SIGN A709-3 L3;Lo;0;L;;;;;N;;;;;
        "\u1074B",  # ;LINEAR A SIGN A709-4 L4;Lo;0;L;;;;;N;;;;;
        "\u1074C",  # ;LINEAR A SIGN A709-6 L6;Lo;0;L;;;;;N;;;;;
        "\u1074D",  # ;LINEAR A SIGN A710 W;Lo;0;L;;;;;N;;;;;
        "\u1074E",  # ;LINEAR A SIGN A711 X;Lo;0;L;;;;;N;;;;;
        "\u1074F",  # ;LINEAR A SIGN A712 Y;Lo;0;L;;;;;N;;;;;
        "\u10750",  # ;LINEAR A SIGN A713 OMEGA;Lo;0;L;;;;;N;;;;;
        "\u10751",  # ;LINEAR A SIGN A714 ABB;Lo;0;L;;;;;N;;;;;
        "\u10752",  # ;LINEAR A SIGN A715 BB;Lo;0;L;;;;;N;;;;;
        "\u10753",  # ;LINEAR A SIGN A717 DD;Lo;0;L;;;;;N;;;;;
        "\u10754",  # ;LINEAR A SIGN A726 EYYY;Lo;0;L;;;;;N;;;;;
        "\u10755",  # ;LINEAR A SIGN A732 JE;Lo;0;L;;;;;N;;;;;
        "\u10760",  # ;LINEAR A SIGN A800;Lo;0;L;;;;;N;;;;;
        "\u10761",  # ;LINEAR A SIGN A801;Lo;0;L;;;;;N;;;;;
        "\u10762",  # ;LINEAR A SIGN A802;Lo;0;L;;;;;N;;;;;
        "\u10763",  # ;LINEAR A SIGN A803;Lo;0;L;;;;;N;;;;;
        "\u10764",  # ;LINEAR A SIGN A804;Lo;0;L;;;;;N;;;;;
        "\u10765",  # ;LINEAR A SIGN A805;Lo;0;L;;;;;N;;;;;
        "\u10766",  # ;LINEAR A SIGN A806;Lo;0;L;;;;;N;;;;;
        "\u10767",  # ;LINEAR A SIGN A807;Lo;0;L;;;;;N;;;;;
        "\u10800",  # ;CYPRIOT SYLLABLE A;Lo;0;R;;;;;N;;;;;
        "\u10801",  # ;CYPRIOT SYLLABLE E;Lo;0;R;;;;;N;;;;;
        "\u10802",  # ;CYPRIOT SYLLABLE I;Lo;0;R;;;;;N;;;;;
        "\u10803",  # ;CYPRIOT SYLLABLE O;Lo;0;R;;;;;N;;;;;
        "\u10804",  # ;CYPRIOT SYLLABLE U;Lo;0;R;;;;;N;;;;;
        "\u10805",  # ;CYPRIOT SYLLABLE JA;Lo;0;R;;;;;N;;;;;
        "\u10808",  # ;CYPRIOT SYLLABLE JO;Lo;0;R;;;;;N;;;;;
        "\u1080A",  # ;CYPRIOT SYLLABLE KA;Lo;0;R;;;;;N;;;;;
        "\u1080B",  # ;CYPRIOT SYLLABLE KE;Lo;0;R;;;;;N;;;;;
        "\u1080C",  # ;CYPRIOT SYLLABLE KI;Lo;0;R;;;;;N;;;;;
        "\u1080D",  # ;CYPRIOT SYLLABLE KO;Lo;0;R;;;;;N;;;;;
        "\u1080E",  # ;CYPRIOT SYLLABLE KU;Lo;0;R;;;;;N;;;;;
        "\u1080F",  # ;CYPRIOT SYLLABLE LA;Lo;0;R;;;;;N;;;;;
        "\u10810",  # ;CYPRIOT SYLLABLE LE;Lo;0;R;;;;;N;;;;;
        "\u10811",  # ;CYPRIOT SYLLABLE LI;Lo;0;R;;;;;N;;;;;
        "\u10812",  # ;CYPRIOT SYLLABLE LO;Lo;0;R;;;;;N;;;;;
        "\u10813",  # ;CYPRIOT SYLLABLE LU;Lo;0;R;;;;;N;;;;;
        "\u10814",  # ;CYPRIOT SYLLABLE MA;Lo;0;R;;;;;N;;;;;
        "\u10815",  # ;CYPRIOT SYLLABLE ME;Lo;0;R;;;;;N;;;;;
        "\u10816",  # ;CYPRIOT SYLLABLE MI;Lo;0;R;;;;;N;;;;;
        "\u10817",  # ;CYPRIOT SYLLABLE MO;Lo;0;R;;;;;N;;;;;
        "\u10818",  # ;CYPRIOT SYLLABLE MU;Lo;0;R;;;;;N;;;;;
        "\u10819",  # ;CYPRIOT SYLLABLE NA;Lo;0;R;;;;;N;;;;;
        "\u1081A",  # ;CYPRIOT SYLLABLE NE;Lo;0;R;;;;;N;;;;;
        "\u1081B",  # ;CYPRIOT SYLLABLE NI;Lo;0;R;;;;;N;;;;;
        "\u1081C",  # ;CYPRIOT SYLLABLE NO;Lo;0;R;;;;;N;;;;;
        "\u1081D",  # ;CYPRIOT SYLLABLE NU;Lo;0;R;;;;;N;;;;;
        "\u1081E",  # ;CYPRIOT SYLLABLE PA;Lo;0;R;;;;;N;;;;;
        "\u1081F",  # ;CYPRIOT SYLLABLE PE;Lo;0;R;;;;;N;;;;;
        "\u10820",  # ;CYPRIOT SYLLABLE PI;Lo;0;R;;;;;N;;;;;
        "\u10821",  # ;CYPRIOT SYLLABLE PO;Lo;0;R;;;;;N;;;;;
        "\u10822",  # ;CYPRIOT SYLLABLE PU;Lo;0;R;;;;;N;;;;;
        "\u10823",  # ;CYPRIOT SYLLABLE RA;Lo;0;R;;;;;N;;;;;
        "\u10824",  # ;CYPRIOT SYLLABLE RE;Lo;0;R;;;;;N;;;;;
        "\u10825",  # ;CYPRIOT SYLLABLE RI;Lo;0;R;;;;;N;;;;;
        "\u10826",  # ;CYPRIOT SYLLABLE RO;Lo;0;R;;;;;N;;;;;
        "\u10827",  # ;CYPRIOT SYLLABLE RU;Lo;0;R;;;;;N;;;;;
        "\u10828",  # ;CYPRIOT SYLLABLE SA;Lo;0;R;;;;;N;;;;;
        "\u10829",  # ;CYPRIOT SYLLABLE SE;Lo;0;R;;;;;N;;;;;
        "\u1082A",  # ;CYPRIOT SYLLABLE SI;Lo;0;R;;;;;N;;;;;
        "\u1082B",  # ;CYPRIOT SYLLABLE SO;Lo;0;R;;;;;N;;;;;
        "\u1082C",  # ;CYPRIOT SYLLABLE SU;Lo;0;R;;;;;N;;;;;
        "\u1082D",  # ;CYPRIOT SYLLABLE TA;Lo;0;R;;;;;N;;;;;
        "\u1082E",  # ;CYPRIOT SYLLABLE TE;Lo;0;R;;;;;N;;;;;
        "\u1082F",  # ;CYPRIOT SYLLABLE TI;Lo;0;R;;;;;N;;;;;
        "\u10830",  # ;CYPRIOT SYLLABLE TO;Lo;0;R;;;;;N;;;;;
        "\u10831",  # ;CYPRIOT SYLLABLE TU;Lo;0;R;;;;;N;;;;;
        "\u10832",  # ;CYPRIOT SYLLABLE WA;Lo;0;R;;;;;N;;;;;
        "\u10833",  # ;CYPRIOT SYLLABLE WE;Lo;0;R;;;;;N;;;;;
        "\u10834",  # ;CYPRIOT SYLLABLE WI;Lo;0;R;;;;;N;;;;;
        "\u10835",  # ;CYPRIOT SYLLABLE WO;Lo;0;R;;;;;N;;;;;
        "\u10837",  # ;CYPRIOT SYLLABLE XA;Lo;0;R;;;;;N;;;;;
        "\u10838",  # ;CYPRIOT SYLLABLE XE;Lo;0;R;;;;;N;;;;;
        "\u1083C",  # ;CYPRIOT SYLLABLE ZA;Lo;0;R;;;;;N;;;;;
        "\u1083F",  # ;CYPRIOT SYLLABLE ZO;Lo;0;R;;;;;N;;;;;
        "\u10840",  # ;IMPERIAL ARAMAIC LETTER ALEPH;Lo;0;R;;;;;N;;;;;
        "\u10841",  # ;IMPERIAL ARAMAIC LETTER BETH;Lo;0;R;;;;;N;;;;;
        "\u10842",  # ;IMPERIAL ARAMAIC LETTER GIMEL;Lo;0;R;;;;;N;;;;;
        "\u10843",  # ;IMPERIAL ARAMAIC LETTER DALETH;Lo;0;R;;;;;N;;;;;
        "\u10844",  # ;IMPERIAL ARAMAIC LETTER HE;Lo;0;R;;;;;N;;;;;
        "\u10845",  # ;IMPERIAL ARAMAIC LETTER WAW;Lo;0;R;;;;;N;;;;;
        "\u10846",  # ;IMPERIAL ARAMAIC LETTER ZAYIN;Lo;0;R;;;;;N;;;;;
        "\u10847",  # ;IMPERIAL ARAMAIC LETTER HETH;Lo;0;R;;;;;N;;;;;
        "\u10848",  # ;IMPERIAL ARAMAIC LETTER TETH;Lo;0;R;;;;;N;;;;;
        "\u10849",  # ;IMPERIAL ARAMAIC LETTER YODH;Lo;0;R;;;;;N;;;;;
        "\u1084A",  # ;IMPERIAL ARAMAIC LETTER KAPH;Lo;0;R;;;;;N;;;;;
        "\u1084B",  # ;IMPERIAL ARAMAIC LETTER LAMEDH;Lo;0;R;;;;;N;;;;;
        "\u1084C",  # ;IMPERIAL ARAMAIC LETTER MEM;Lo;0;R;;;;;N;;;;;
        "\u1084D",  # ;IMPERIAL ARAMAIC LETTER NUN;Lo;0;R;;;;;N;;;;;
        "\u1084E",  # ;IMPERIAL ARAMAIC LETTER SAMEKH;Lo;0;R;;;;;N;;;;;
        "\u1084F",  # ;IMPERIAL ARAMAIC LETTER AYIN;Lo;0;R;;;;;N;;;;;
        "\u10850",  # ;IMPERIAL ARAMAIC LETTER PE;Lo;0;R;;;;;N;;;;;
        "\u10851",  # ;IMPERIAL ARAMAIC LETTER SADHE;Lo;0;R;;;;;N;;;;;
        "\u10852",  # ;IMPERIAL ARAMAIC LETTER QOPH;Lo;0;R;;;;;N;;;;;
        "\u10853",  # ;IMPERIAL ARAMAIC LETTER RESH;Lo;0;R;;;;;N;;;;;
        "\u10854",  # ;IMPERIAL ARAMAIC LETTER SHIN;Lo;0;R;;;;;N;;;;;
        "\u10855",  # ;IMPERIAL ARAMAIC LETTER TAW;Lo;0;R;;;;;N;;;;;
        "\u10857",  # ;IMPERIAL ARAMAIC SECTION SIGN;Po;0;R;;;;;N;;;;;
        "\u10858",  # ;IMPERIAL ARAMAIC NUMBER ONE;No;0;R;;;;1;N;;;;;
        "\u10859",  # ;IMPERIAL ARAMAIC NUMBER TWO;No;0;R;;;;2;N;;;;;
        "\u1085A",  # ;IMPERIAL ARAMAIC NUMBER THREE;No;0;R;;;;3;N;;;;;
        "\u1085B",  # ;IMPERIAL ARAMAIC NUMBER TEN;No;0;R;;;;10;N;;;;;
        "\u1085C",  # ;IMPERIAL ARAMAIC NUMBER TWENTY;No;0;R;;;;20;N;;;;;
        "\u1085D",  # ;IMPERIAL ARAMAIC NUMBER ONE HUNDRED;No;0;R;;;;100;N;;;;;
        "\u1085E",  # ;IMPERIAL ARAMAIC NUMBER ONE THOUSAND;No;0;R;;;;1000;N;;;;;
        "\u1085F",  # ;IMPERIAL ARAMAIC NUMBER TEN THOUSAND;No;0;R;;;;10000;N;;;;;
        "\u10860",  # ;PALMYRENE LETTER ALEPH;Lo;0;R;;;;;N;;;;;
        "\u10861",  # ;PALMYRENE LETTER BETH;Lo;0;R;;;;;N;;;;;
        "\u10862",  # ;PALMYRENE LETTER GIMEL;Lo;0;R;;;;;N;;;;;
        "\u10863",  # ;PALMYRENE LETTER DALETH;Lo;0;R;;;;;N;;;;;
        "\u10864",  # ;PALMYRENE LETTER HE;Lo;0;R;;;;;N;;;;;
        "\u10865",  # ;PALMYRENE LETTER WAW;Lo;0;R;;;;;N;;;;;
        "\u10866",  # ;PALMYRENE LETTER ZAYIN;Lo;0;R;;;;;N;;;;;
        "\u10867",  # ;PALMYRENE LETTER HETH;Lo;0;R;;;;;N;;;;;
        "\u10868",  # ;PALMYRENE LETTER TETH;Lo;0;R;;;;;N;;;;;
        "\u10869",  # ;PALMYRENE LETTER YODH;Lo;0;R;;;;;N;;;;;
        "\u1086A",  # ;PALMYRENE LETTER KAPH;Lo;0;R;;;;;N;;;;;
        "\u1086B",  # ;PALMYRENE LETTER LAMEDH;Lo;0;R;;;;;N;;;;;
        "\u1086C",  # ;PALMYRENE LETTER MEM;Lo;0;R;;;;;N;;;;;
        "\u1086D",  # ;PALMYRENE LETTER FINAL NUN;Lo;0;R;;;;;N;;;;;
        "\u1086E",  # ;PALMYRENE LETTER NUN;Lo;0;R;;;;;N;;;;;
        "\u1086F",  # ;PALMYRENE LETTER SAMEKH;Lo;0;R;;;;;N;;;;;
        "\u10870",  # ;PALMYRENE LETTER AYIN;Lo;0;R;;;;;N;;;;;
        "\u10871",  # ;PALMYRENE LETTER PE;Lo;0;R;;;;;N;;;;;
        "\u10872",  # ;PALMYRENE LETTER SADHE;Lo;0;R;;;;;N;;;;;
        "\u10873",  # ;PALMYRENE LETTER QOPH;Lo;0;R;;;;;N;;;;;
        "\u10874",  # ;PALMYRENE LETTER RESH;Lo;0;R;;;;;N;;;;;
        "\u10875",  # ;PALMYRENE LETTER SHIN;Lo;0;R;;;;;N;;;;;
        "\u10876",  # ;PALMYRENE LETTER TAW;Lo;0;R;;;;;N;;;;;
        "\u10877",  # ;PALMYRENE LEFT-POINTING FLEURON;So;0;R;;;;;N;;;;;
        "\u10878",  # ;PALMYRENE RIGHT-POINTING FLEURON;So;0;R;;;;;N;;;;;
        "\u10879",  # ;PALMYRENE NUMBER ONE;No;0;R;;;;1;N;;;;;
        "\u1087A",  # ;PALMYRENE NUMBER TWO;No;0;R;;;;2;N;;;;;
        "\u1087B",  # ;PALMYRENE NUMBER THREE;No;0;R;;;;3;N;;;;;
        "\u1087C",  # ;PALMYRENE NUMBER FOUR;No;0;R;;;;4;N;;;;;
        "\u1087D",  # ;PALMYRENE NUMBER FIVE;No;0;R;;;;5;N;;;;;
        "\u1087E",  # ;PALMYRENE NUMBER TEN;No;0;R;;;;10;N;;;;;
        "\u1087F",  # ;PALMYRENE NUMBER TWENTY;No;0;R;;;;20;N;;;;;
        "\u10880",  # ;NABATAEAN LETTER FINAL ALEPH;Lo;0;R;;;;;N;;;;;
        "\u10881",  # ;NABATAEAN LETTER ALEPH;Lo;0;R;;;;;N;;;;;
        "\u10882",  # ;NABATAEAN LETTER FINAL BETH;Lo;0;R;;;;;N;;;;;
        "\u10883",  # ;NABATAEAN LETTER BETH;Lo;0;R;;;;;N;;;;;
        "\u10884",  # ;NABATAEAN LETTER GIMEL;Lo;0;R;;;;;N;;;;;
        "\u10885",  # ;NABATAEAN LETTER DALETH;Lo;0;R;;;;;N;;;;;
        "\u10886",  # ;NABATAEAN LETTER FINAL HE;Lo;0;R;;;;;N;;;;;
        "\u10887",  # ;NABATAEAN LETTER HE;Lo;0;R;;;;;N;;;;;
        "\u10888",  # ;NABATAEAN LETTER WAW;Lo;0;R;;;;;N;;;;;
        "\u10889",  # ;NABATAEAN LETTER ZAYIN;Lo;0;R;;;;;N;;;;;
        "\u1088A",  # ;NABATAEAN LETTER HETH;Lo;0;R;;;;;N;;;;;
        "\u1088B",  # ;NABATAEAN LETTER TETH;Lo;0;R;;;;;N;;;;;
        "\u1088C",  # ;NABATAEAN LETTER FINAL YODH;Lo;0;R;;;;;N;;;;;
        "\u1088D",  # ;NABATAEAN LETTER YODH;Lo;0;R;;;;;N;;;;;
        "\u1088E",  # ;NABATAEAN LETTER FINAL KAPH;Lo;0;R;;;;;N;;;;;
        "\u1088F",  # ;NABATAEAN LETTER KAPH;Lo;0;R;;;;;N;;;;;
        "\u10890",  # ;NABATAEAN LETTER FINAL LAMEDH;Lo;0;R;;;;;N;;;;;
        "\u10891",  # ;NABATAEAN LETTER LAMEDH;Lo;0;R;;;;;N;;;;;
        "\u10892",  # ;NABATAEAN LETTER FINAL MEM;Lo;0;R;;;;;N;;;;;
        "\u10893",  # ;NABATAEAN LETTER MEM;Lo;0;R;;;;;N;;;;;
        "\u10894",  # ;NABATAEAN LETTER FINAL NUN;Lo;0;R;;;;;N;;;;;
        "\u10895",  # ;NABATAEAN LETTER NUN;Lo;0;R;;;;;N;;;;;
        "\u10896",  # ;NABATAEAN LETTER SAMEKH;Lo;0;R;;;;;N;;;;;
        "\u10897",  # ;NABATAEAN LETTER AYIN;Lo;0;R;;;;;N;;;;;
        "\u10898",  # ;NABATAEAN LETTER PE;Lo;0;R;;;;;N;;;;;
        "\u10899",  # ;NABATAEAN LETTER SADHE;Lo;0;R;;;;;N;;;;;
        "\u1089A",  # ;NABATAEAN LETTER QOPH;Lo;0;R;;;;;N;;;;;
        "\u1089B",  # ;NABATAEAN LETTER RESH;Lo;0;R;;;;;N;;;;;
        "\u1089C",  # ;NABATAEAN LETTER FINAL SHIN;Lo;0;R;;;;;N;;;;;
        "\u1089D",  # ;NABATAEAN LETTER SHIN;Lo;0;R;;;;;N;;;;;
        "\u1089E",  # ;NABATAEAN LETTER TAW;Lo;0;R;;;;;N;;;;;
        "\u108A7",  # ;NABATAEAN NUMBER ONE;No;0;R;;;;1;N;;;;;
        "\u108A8",  # ;NABATAEAN NUMBER TWO;No;0;R;;;;2;N;;;;;
        "\u108A9",  # ;NABATAEAN NUMBER THREE;No;0;R;;;;3;N;;;;;
        "\u108AA",  # ;NABATAEAN NUMBER FOUR;No;0;R;;;;4;N;;;;;
        "\u108AB",  # ;NABATAEAN CRUCIFORM NUMBER FOUR;No;0;R;;;;4;N;;;;;
        "\u108AC",  # ;NABATAEAN NUMBER FIVE;No;0;R;;;;5;N;;;;;
        "\u108AD",  # ;NABATAEAN NUMBER TEN;No;0;R;;;;10;N;;;;;
        "\u108AE",  # ;NABATAEAN NUMBER TWENTY;No;0;R;;;;20;N;;;;;
        "\u108AF",  # ;NABATAEAN NUMBER ONE HUNDRED;No;0;R;;;;100;N;;;;;
        "\u108E0",  # ;HATRAN LETTER ALEPH;Lo;0;R;;;;;N;;;;;
        "\u108E1",  # ;HATRAN LETTER BETH;Lo;0;R;;;;;N;;;;;
        "\u108E2",  # ;HATRAN LETTER GIMEL;Lo;0;R;;;;;N;;;;;
        "\u108E3",  # ;HATRAN LETTER DALETH-RESH;Lo;0;R;;;;;N;;;;;
        "\u108E4",  # ;HATRAN LETTER HE;Lo;0;R;;;;;N;;;;;
        "\u108E5",  # ;HATRAN LETTER WAW;Lo;0;R;;;;;N;;;;;
        "\u108E6",  # ;HATRAN LETTER ZAYN;Lo;0;R;;;;;N;;;;;
        "\u108E7",  # ;HATRAN LETTER HETH;Lo;0;R;;;;;N;;;;;
        "\u108E8",  # ;HATRAN LETTER TETH;Lo;0;R;;;;;N;;;;;
        "\u108E9",  # ;HATRAN LETTER YODH;Lo;0;R;;;;;N;;;;;
        "\u108EA",  # ;HATRAN LETTER KAPH;Lo;0;R;;;;;N;;;;;
        "\u108EB",  # ;HATRAN LETTER LAMEDH;Lo;0;R;;;;;N;;;;;
        "\u108EC",  # ;HATRAN LETTER MEM;Lo;0;R;;;;;N;;;;;
        "\u108ED",  # ;HATRAN LETTER NUN;Lo;0;R;;;;;N;;;;;
        "\u108EE",  # ;HATRAN LETTER SAMEKH;Lo;0;R;;;;;N;;;;;
        "\u108EF",  # ;HATRAN LETTER AYN;Lo;0;R;;;;;N;;;;;
        "\u108F0",  # ;HATRAN LETTER PE;Lo;0;R;;;;;N;;;;;
        "\u108F1",  # ;HATRAN LETTER SADHE;Lo;0;R;;;;;N;;;;;
        "\u108F2",  # ;HATRAN LETTER QOPH;Lo;0;R;;;;;N;;;;;
        "\u108F4",  # ;HATRAN LETTER SHIN;Lo;0;R;;;;;N;;;;;
        "\u108F5",  # ;HATRAN LETTER TAW;Lo;0;R;;;;;N;;;;;
        "\u108FB",  # ;HATRAN NUMBER ONE;No;0;R;;;;1;N;;;;;
        "\u108FC",  # ;HATRAN NUMBER FIVE;No;0;R;;;;5;N;;;;;
        "\u108FD",  # ;HATRAN NUMBER TEN;No;0;R;;;;10;N;;;;;
        "\u108FE",  # ;HATRAN NUMBER TWENTY;No;0;R;;;;20;N;;;;;
        "\u108FF",  # ;HATRAN NUMBER ONE HUNDRED;No;0;R;;;;100;N;;;;;
        "\u10900",  # ;PHOENICIAN LETTER ALF;Lo;0;R;;;;;N;;;;;
        "\u10901",  # ;PHOENICIAN LETTER BET;Lo;0;R;;;;;N;;;;;
        "\u10902",  # ;PHOENICIAN LETTER GAML;Lo;0;R;;;;;N;;;;;
        "\u10903",  # ;PHOENICIAN LETTER DELT;Lo;0;R;;;;;N;;;;;
        "\u10904",  # ;PHOENICIAN LETTER HE;Lo;0;R;;;;;N;;;;;
        "\u10905",  # ;PHOENICIAN LETTER WAU;Lo;0;R;;;;;N;;;;;
        "\u10906",  # ;PHOENICIAN LETTER ZAI;Lo;0;R;;;;;N;;;;;
        "\u10907",  # ;PHOENICIAN LETTER HET;Lo;0;R;;;;;N;;;;;
        "\u10908",  # ;PHOENICIAN LETTER TET;Lo;0;R;;;;;N;;;;;
        "\u10909",  # ;PHOENICIAN LETTER YOD;Lo;0;R;;;;;N;;;;;
        "\u1090A",  # ;PHOENICIAN LETTER KAF;Lo;0;R;;;;;N;;;;;
        "\u1090B",  # ;PHOENICIAN LETTER LAMD;Lo;0;R;;;;;N;;;;;
        "\u1090C",  # ;PHOENICIAN LETTER MEM;Lo;0;R;;;;;N;;;;;
        "\u1090D",  # ;PHOENICIAN LETTER NUN;Lo;0;R;;;;;N;;;;;
        "\u1090E",  # ;PHOENICIAN LETTER SEMK;Lo;0;R;;;;;N;;;;;
        "\u1090F",  # ;PHOENICIAN LETTER AIN;Lo;0;R;;;;;N;;;;;
        "\u10910",  # ;PHOENICIAN LETTER PE;Lo;0;R;;;;;N;;;;;
        "\u10911",  # ;PHOENICIAN LETTER SADE;Lo;0;R;;;;;N;;;;;
        "\u10912",  # ;PHOENICIAN LETTER QOF;Lo;0;R;;;;;N;;;;;
        "\u10913",  # ;PHOENICIAN LETTER ROSH;Lo;0;R;;;;;N;;;;;
        "\u10914",  # ;PHOENICIAN LETTER SHIN;Lo;0;R;;;;;N;;;;;
        "\u10915",  # ;PHOENICIAN LETTER TAU;Lo;0;R;;;;;N;;;;;
        "\u10916",  # ;PHOENICIAN NUMBER ONE;No;0;R;;;;1;N;;;;;
        "\u10917",  # ;PHOENICIAN NUMBER TEN;No;0;R;;;;10;N;;;;;
        "\u10918",  # ;PHOENICIAN NUMBER TWENTY;No;0;R;;;;20;N;;;;;
        "\u10919",  # ;PHOENICIAN NUMBER ONE HUNDRED;No;0;R;;;;100;N;;;;;
        "\u1091A",  # ;PHOENICIAN NUMBER TWO;No;0;R;;;;2;N;;;;;
        "\u1091B",  # ;PHOENICIAN NUMBER THREE;No;0;R;;;;3;N;;;;;
        "\u1091F",  # ;PHOENICIAN WORD SEPARATOR;Po;0;ON;;;;;N;;;;;
        "\u10920",  # ;LYDIAN LETTER A;Lo;0;R;;;;;N;;;;;
        "\u10921",  # ;LYDIAN LETTER B;Lo;0;R;;;;;N;;;;;
        "\u10922",  # ;LYDIAN LETTER G;Lo;0;R;;;;;N;;;;;
        "\u10923",  # ;LYDIAN LETTER D;Lo;0;R;;;;;N;;;;;
        "\u10924",  # ;LYDIAN LETTER E;Lo;0;R;;;;;N;;;;;
        "\u10925",  # ;LYDIAN LETTER V;Lo;0;R;;;;;N;;;;;
        "\u10926",  # ;LYDIAN LETTER I;Lo;0;R;;;;;N;;;;;
        "\u10927",  # ;LYDIAN LETTER Y;Lo;0;R;;;;;N;;;;;
        "\u10928",  # ;LYDIAN LETTER K;Lo;0;R;;;;;N;;;;;
        "\u10929",  # ;LYDIAN LETTER L;Lo;0;R;;;;;N;;;;;
        "\u1092A",  # ;LYDIAN LETTER M;Lo;0;R;;;;;N;;;;;
        "\u1092B",  # ;LYDIAN LETTER N;Lo;0;R;;;;;N;;;;;
        "\u1092C",  # ;LYDIAN LETTER O;Lo;0;R;;;;;N;;;;;
        "\u1092D",  # ;LYDIAN LETTER R;Lo;0;R;;;;;N;;;;;
        "\u1092E",  # ;LYDIAN LETTER SS;Lo;0;R;;;;;N;;;;;
        "\u1092F",  # ;LYDIAN LETTER T;Lo;0;R;;;;;N;;;;;
        "\u10930",  # ;LYDIAN LETTER U;Lo;0;R;;;;;N;;;;;
        "\u10931",  # ;LYDIAN LETTER F;Lo;0;R;;;;;N;;;;;
        "\u10932",  # ;LYDIAN LETTER Q;Lo;0;R;;;;;N;;;;;
        "\u10933",  # ;LYDIAN LETTER S;Lo;0;R;;;;;N;;;;;
        "\u10934",  # ;LYDIAN LETTER TT;Lo;0;R;;;;;N;;;;;
        "\u10935",  # ;LYDIAN LETTER AN;Lo;0;R;;;;;N;;;;;
        "\u10936",  # ;LYDIAN LETTER EN;Lo;0;R;;;;;N;;;;;
        "\u10937",  # ;LYDIAN LETTER LY;Lo;0;R;;;;;N;;;;;
        "\u10938",  # ;LYDIAN LETTER NN;Lo;0;R;;;;;N;;;;;
        "\u10939",  # ;LYDIAN LETTER C;Lo;0;R;;;;;N;;;;;
        "\u1093F",  # ;LYDIAN TRIANGULAR MARK;Po;0;R;;;;;N;;;;;
        "\u10980",  # ;MEROITIC HIEROGLYPHIC LETTER A;Lo;0;R;;;;;N;;;;;
        "\u10981",  # ;MEROITIC HIEROGLYPHIC LETTER E;Lo;0;R;;;;;N;;;;;
        "\u10982",  # ;MEROITIC HIEROGLYPHIC LETTER I;Lo;0;R;;;;;N;;;;;
        "\u10983",  # ;MEROITIC HIEROGLYPHIC LETTER O;Lo;0;R;;;;;N;;;;;
        "\u10984",  # ;MEROITIC HIEROGLYPHIC LETTER YA;Lo;0;R;;;;;N;;;;;
        "\u10985",  # ;MEROITIC HIEROGLYPHIC LETTER WA;Lo;0;R;;;;;N;;;;;
        "\u10986",  # ;MEROITIC HIEROGLYPHIC LETTER BA;Lo;0;R;;;;;N;;;;;
        "\u10987",  # ;MEROITIC HIEROGLYPHIC LETTER BA-2;Lo;0;R;;;;;N;;;;;
        "\u10988",  # ;MEROITIC HIEROGLYPHIC LETTER PA;Lo;0;R;;;;;N;;;;;
        "\u10989",  # ;MEROITIC HIEROGLYPHIC LETTER MA;Lo;0;R;;;;;N;;;;;
        "\u1098A",  # ;MEROITIC HIEROGLYPHIC LETTER NA;Lo;0;R;;;;;N;;;;;
        "\u1098B",  # ;MEROITIC HIEROGLYPHIC LETTER NA-2;Lo;0;R;;;;;N;;;;;
        "\u1098C",  # ;MEROITIC HIEROGLYPHIC LETTER NE;Lo;0;R;;;;;N;;;;;
        "\u1098D",  # ;MEROITIC HIEROGLYPHIC LETTER NE-2;Lo;0;R;;;;;N;;;;;
        "\u1098E",  # ;MEROITIC HIEROGLYPHIC LETTER RA;Lo;0;R;;;;;N;;;;;
        "\u1098F",  # ;MEROITIC HIEROGLYPHIC LETTER RA-2;Lo;0;R;;;;;N;;;;;
        "\u10990",  # ;MEROITIC HIEROGLYPHIC LETTER LA;Lo;0;R;;;;;N;;;;;
        "\u10991",  # ;MEROITIC HIEROGLYPHIC LETTER KHA;Lo;0;R;;;;;N;;;;;
        "\u10992",  # ;MEROITIC HIEROGLYPHIC LETTER HHA;Lo;0;R;;;;;N;;;;;
        "\u10993",  # ;MEROITIC HIEROGLYPHIC LETTER SA;Lo;0;R;;;;;N;;;;;
        "\u10994",  # ;MEROITIC HIEROGLYPHIC LETTER SA-2;Lo;0;R;;;;;N;;;;;
        "\u10995",  # ;MEROITIC HIEROGLYPHIC LETTER SE;Lo;0;R;;;;;N;;;;;
        "\u10996",  # ;MEROITIC HIEROGLYPHIC LETTER KA;Lo;0;R;;;;;N;;;;;
        "\u10997",  # ;MEROITIC HIEROGLYPHIC LETTER QA;Lo;0;R;;;;;N;;;;;
        "\u10998",  # ;MEROITIC HIEROGLYPHIC LETTER TA;Lo;0;R;;;;;N;;;;;
        "\u10999",  # ;MEROITIC HIEROGLYPHIC LETTER TA-2;Lo;0;R;;;;;N;;;;;
        "\u1099A",  # ;MEROITIC HIEROGLYPHIC LETTER TE;Lo;0;R;;;;;N;;;;;
        "\u1099B",  # ;MEROITIC HIEROGLYPHIC LETTER TE-2;Lo;0;R;;;;;N;;;;;
        "\u1099C",  # ;MEROITIC HIEROGLYPHIC LETTER TO;Lo;0;R;;;;;N;;;;;
        "\u1099D",  # ;MEROITIC HIEROGLYPHIC LETTER DA;Lo;0;R;;;;;N;;;;;
        "\u1099E",  # ;MEROITIC HIEROGLYPHIC SYMBOL VIDJ;Lo;0;R;;;;;N;;;;;
        "\u1099F",  # ;MEROITIC HIEROGLYPHIC SYMBOL VIDJ-2;Lo;0;R;;;;;N;;;;;
        "\u109A0",  # ;MEROITIC CURSIVE LETTER A;Lo;0;R;;;;;N;;;;;
        "\u109A1",  # ;MEROITIC CURSIVE LETTER E;Lo;0;R;;;;;N;;;;;
        "\u109A2",  # ;MEROITIC CURSIVE LETTER I;Lo;0;R;;;;;N;;;;;
        "\u109A3",  # ;MEROITIC CURSIVE LETTER O;Lo;0;R;;;;;N;;;;;
        "\u109A4",  # ;MEROITIC CURSIVE LETTER YA;Lo;0;R;;;;;N;;;;;
        "\u109A5",  # ;MEROITIC CURSIVE LETTER WA;Lo;0;R;;;;;N;;;;;
        "\u109A6",  # ;MEROITIC CURSIVE LETTER BA;Lo;0;R;;;;;N;;;;;
        "\u109A7",  # ;MEROITIC CURSIVE LETTER PA;Lo;0;R;;;;;N;;;;;
        "\u109A8",  # ;MEROITIC CURSIVE LETTER MA;Lo;0;R;;;;;N;;;;;
        "\u109A9",  # ;MEROITIC CURSIVE LETTER NA;Lo;0;R;;;;;N;;;;;
        "\u109AA",  # ;MEROITIC CURSIVE LETTER NE;Lo;0;R;;;;;N;;;;;
        "\u109AB",  # ;MEROITIC CURSIVE LETTER RA;Lo;0;R;;;;;N;;;;;
        "\u109AC",  # ;MEROITIC CURSIVE LETTER LA;Lo;0;R;;;;;N;;;;;
        "\u109AD",  # ;MEROITIC CURSIVE LETTER KHA;Lo;0;R;;;;;N;;;;;
        "\u109AE",  # ;MEROITIC CURSIVE LETTER HHA;Lo;0;R;;;;;N;;;;;
        "\u109AF",  # ;MEROITIC CURSIVE LETTER SA;Lo;0;R;;;;;N;;;;;
        "\u109B0",  # ;MEROITIC CURSIVE LETTER ARCHAIC SA;Lo;0;R;;;;;N;;;;;
        "\u109B1",  # ;MEROITIC CURSIVE LETTER SE;Lo;0;R;;;;;N;;;;;
        "\u109B2",  # ;MEROITIC CURSIVE LETTER KA;Lo;0;R;;;;;N;;;;;
        "\u109B3",  # ;MEROITIC CURSIVE LETTER QA;Lo;0;R;;;;;N;;;;;
        "\u109B4",  # ;MEROITIC CURSIVE LETTER TA;Lo;0;R;;;;;N;;;;;
        "\u109B5",  # ;MEROITIC CURSIVE LETTER TE;Lo;0;R;;;;;N;;;;;
        "\u109B6",  # ;MEROITIC CURSIVE LETTER TO;Lo;0;R;;;;;N;;;;;
        "\u109B7",  # ;MEROITIC CURSIVE LETTER DA;Lo;0;R;;;;;N;;;;;
        "\u109BC",  # ;MEROITIC CURSIVE FRACTION ELEVEN TWELFTHS;No;0;R;;;;11/12;N;;;;;
        "\u109BD",  # ;MEROITIC CURSIVE FRACTION ONE HALF;No;0;R;;;;1/2;N;;;;;
        "\u109BE",  # ;MEROITIC CURSIVE LOGOGRAM RMT;Lo;0;R;;;;;N;;;;;
        "\u109BF",  # ;MEROITIC CURSIVE LOGOGRAM IMN;Lo;0;R;;;;;N;;;;;
        "\u109C0",  # ;MEROITIC CURSIVE NUMBER ONE;No;0;R;;;;1;N;;;;;
        "\u109C1",  # ;MEROITIC CURSIVE NUMBER TWO;No;0;R;;;;2;N;;;;;
        "\u109C2",  # ;MEROITIC CURSIVE NUMBER THREE;No;0;R;;;;3;N;;;;;
        "\u109C3",  # ;MEROITIC CURSIVE NUMBER FOUR;No;0;R;;;;4;N;;;;;
        "\u109C4",  # ;MEROITIC CURSIVE NUMBER FIVE;No;0;R;;;;5;N;;;;;
        "\u109C5",  # ;MEROITIC CURSIVE NUMBER SIX;No;0;R;;;;6;N;;;;;
        "\u109C6",  # ;MEROITIC CURSIVE NUMBER SEVEN;No;0;R;;;;7;N;;;;;
        "\u109C7",  # ;MEROITIC CURSIVE NUMBER EIGHT;No;0;R;;;;8;N;;;;;
        "\u109C8",  # ;MEROITIC CURSIVE NUMBER NINE;No;0;R;;;;9;N;;;;;
        "\u109C9",  # ;MEROITIC CURSIVE NUMBER TEN;No;0;R;;;;10;N;;;;;
        "\u109CA",  # ;MEROITIC CURSIVE NUMBER TWENTY;No;0;R;;;;20;N;;;;;
        "\u109CB",  # ;MEROITIC CURSIVE NUMBER THIRTY;No;0;R;;;;30;N;;;;;
        "\u109CC",  # ;MEROITIC CURSIVE NUMBER FORTY;No;0;R;;;;40;N;;;;;
        "\u109CD",  # ;MEROITIC CURSIVE NUMBER FIFTY;No;0;R;;;;50;N;;;;;
        "\u109CE",  # ;MEROITIC CURSIVE NUMBER SIXTY;No;0;R;;;;60;N;;;;;
        "\u109CF",  # ;MEROITIC CURSIVE NUMBER SEVENTY;No;0;R;;;;70;N;;;;;
        "\u109D2",  # ;MEROITIC CURSIVE NUMBER ONE HUNDRED;No;0;R;;;;100;N;;;;;
        "\u109D3",  # ;MEROITIC CURSIVE NUMBER TWO HUNDRED;No;0;R;;;;200;N;;;;;
        "\u109D4",  # ;MEROITIC CURSIVE NUMBER THREE HUNDRED;No;0;R;;;;300;N;;;;;
        "\u109D5",  # ;MEROITIC CURSIVE NUMBER FOUR HUNDRED;No;0;R;;;;400;N;;;;;
        "\u109D6",  # ;MEROITIC CURSIVE NUMBER FIVE HUNDRED;No;0;R;;;;500;N;;;;;
        "\u109D7",  # ;MEROITIC CURSIVE NUMBER SIX HUNDRED;No;0;R;;;;600;N;;;;;
        "\u109D8",  # ;MEROITIC CURSIVE NUMBER SEVEN HUNDRED;No;0;R;;;;700;N;;;;;
        "\u109D9",  # ;MEROITIC CURSIVE NUMBER EIGHT HUNDRED;No;0;R;;;;800;N;;;;;
        "\u109DA",  # ;MEROITIC CURSIVE NUMBER NINE HUNDRED;No;0;R;;;;900;N;;;;;
        "\u109DB",  # ;MEROITIC CURSIVE NUMBER ONE THOUSAND;No;0;R;;;;1000;N;;;;;
        "\u109DC",  # ;MEROITIC CURSIVE NUMBER TWO THOUSAND;No;0;R;;;;2000;N;;;;;
        "\u109DD",  # ;MEROITIC CURSIVE NUMBER THREE THOUSAND;No;0;R;;;;3000;N;;;;;
        "\u109DE",  # ;MEROITIC CURSIVE NUMBER FOUR THOUSAND;No;0;R;;;;4000;N;;;;;
        "\u109DF",  # ;MEROITIC CURSIVE NUMBER FIVE THOUSAND;No;0;R;;;;5000;N;;;;;
        "\u109E0",  # ;MEROITIC CURSIVE NUMBER SIX THOUSAND;No;0;R;;;;6000;N;;;;;
        "\u109E1",  # ;MEROITIC CURSIVE NUMBER SEVEN THOUSAND;No;0;R;;;;7000;N;;;;;
        "\u109E2",  # ;MEROITIC CURSIVE NUMBER EIGHT THOUSAND;No;0;R;;;;8000;N;;;;;
        "\u109E3",  # ;MEROITIC CURSIVE NUMBER NINE THOUSAND;No;0;R;;;;9000;N;;;;;
        "\u109E4",  # ;MEROITIC CURSIVE NUMBER TEN THOUSAND;No;0;R;;;;10000;N;;;;;
        "\u109E5",  # ;MEROITIC CURSIVE NUMBER TWENTY THOUSAND;No;0;R;;;;20000;N;;;;;
        "\u109E6",  # ;MEROITIC CURSIVE NUMBER THIRTY THOUSAND;No;0;R;;;;30000;N;;;;;
        "\u109E7",  # ;MEROITIC CURSIVE NUMBER FORTY THOUSAND;No;0;R;;;;40000;N;;;;;
        "\u109E8",  # ;MEROITIC CURSIVE NUMBER FIFTY THOUSAND;No;0;R;;;;50000;N;;;;;
        "\u109E9",  # ;MEROITIC CURSIVE NUMBER SIXTY THOUSAND;No;0;R;;;;60000;N;;;;;
        "\u109EA",  # ;MEROITIC CURSIVE NUMBER SEVENTY THOUSAND;No;0;R;;;;70000;N;;;;;
        "\u109EB",  # ;MEROITIC CURSIVE NUMBER EIGHTY THOUSAND;No;0;R;;;;80000;N;;;;;
        "\u109EC",  # ;MEROITIC CURSIVE NUMBER NINETY THOUSAND;No;0;R;;;;90000;N;;;;;
        "\u109ED",  # ;MEROITIC CURSIVE NUMBER ONE HUNDRED THOUSAND;No;0;R;;;;100000;N;;;;;
        "\u109EE",  # ;MEROITIC CURSIVE NUMBER TWO HUNDRED THOUSAND;No;0;R;;;;200000;N;;;;;
        "\u109EF",  # ;MEROITIC CURSIVE NUMBER THREE HUNDRED THOUSAND;No;0;R;;;;300000;N;;;;;
        "\u109F0",  # ;MEROITIC CURSIVE NUMBER FOUR HUNDRED THOUSAND;No;0;R;;;;400000;N;;;;;
        "\u109F1",  # ;MEROITIC CURSIVE NUMBER FIVE HUNDRED THOUSAND;No;0;R;;;;500000;N;;;;;
        "\u109F2",  # ;MEROITIC CURSIVE NUMBER SIX HUNDRED THOUSAND;No;0;R;;;;600000;N;;;;;
        "\u109F3",  # ;MEROITIC CURSIVE NUMBER SEVEN HUNDRED THOUSAND;No;0;R;;;;700000;N;;;;;
        "\u109F4",  # ;MEROITIC CURSIVE NUMBER EIGHT HUNDRED THOUSAND;No;0;R;;;;800000;N;;;;;
        "\u109F5",  # ;MEROITIC CURSIVE NUMBER NINE HUNDRED THOUSAND;No;0;R;;;;900000;N;;;;;
        "\u109F6",  # ;MEROITIC CURSIVE FRACTION ONE TWELFTH;No;0;R;;;;1/12;N;;;;;
        "\u109F7",  # ;MEROITIC CURSIVE FRACTION TWO TWELFTHS;No;0;R;;;;2/12;N;;;;;
        "\u109F8",  # ;MEROITIC CURSIVE FRACTION THREE TWELFTHS;No;0;R;;;;3/12;N;;;;;
        "\u109F9",  # ;MEROITIC CURSIVE FRACTION FOUR TWELFTHS;No;0;R;;;;4/12;N;;;;;
        "\u109FA",  # ;MEROITIC CURSIVE FRACTION FIVE TWELFTHS;No;0;R;;;;5/12;N;;;;;
        "\u109FB",  # ;MEROITIC CURSIVE FRACTION SIX TWELFTHS;No;0;R;;;;6/12;N;;;;;
        "\u109FC",  # ;MEROITIC CURSIVE FRACTION SEVEN TWELFTHS;No;0;R;;;;7/12;N;;;;;
        "\u109FD",  # ;MEROITIC CURSIVE FRACTION EIGHT TWELFTHS;No;0;R;;;;8/12;N;;;;;
        "\u109FE",  # ;MEROITIC CURSIVE FRACTION NINE TWELFTHS;No;0;R;;;;9/12;N;;;;;
        "\u109FF",  # ;MEROITIC CURSIVE FRACTION TEN TWELFTHS;No;0;R;;;;10/12;N;;;;;
        "\u10A00",  # ;KHAROSHTHI LETTER A;Lo;0;R;;;;;N;;;;;
        "\u10A01",  # ;KHAROSHTHI VOWEL SIGN I;Mn;0;NSM;;;;;N;;;;;
        "\u10A02",  # ;KHAROSHTHI VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u10A03",  # ;KHAROSHTHI VOWEL SIGN VOCALIC R;Mn;0;NSM;;;;;N;;;;;
        "\u10A05",  # ;KHAROSHTHI VOWEL SIGN E;Mn;0;NSM;;;;;N;;;;;
        "\u10A06",  # ;KHAROSHTHI VOWEL SIGN O;Mn;0;NSM;;;;;N;;;;;
        "\u10A0C",  # ;KHAROSHTHI VOWEL LENGTH MARK;Mn;0;NSM;;;;;N;;;;;
        "\u10A0D",  # ;KHAROSHTHI SIGN DOUBLE RING BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u10A0E",  # ;KHAROSHTHI SIGN ANUSVARA;Mn;0;NSM;;;;;N;;;;;
        "\u10A0F",  # ;KHAROSHTHI SIGN VISARGA;Mn;230;NSM;;;;;N;;;;;
        "\u10A10",  # ;KHAROSHTHI LETTER KA;Lo;0;R;;;;;N;;;;;
        "\u10A11",  # ;KHAROSHTHI LETTER KHA;Lo;0;R;;;;;N;;;;;
        "\u10A12",  # ;KHAROSHTHI LETTER GA;Lo;0;R;;;;;N;;;;;
        "\u10A13",  # ;KHAROSHTHI LETTER GHA;Lo;0;R;;;;;N;;;;;
        "\u10A15",  # ;KHAROSHTHI LETTER CA;Lo;0;R;;;;;N;;;;;
        "\u10A16",  # ;KHAROSHTHI LETTER CHA;Lo;0;R;;;;;N;;;;;
        "\u10A17",  # ;KHAROSHTHI LETTER JA;Lo;0;R;;;;;N;;;;;
        "\u10A19",  # ;KHAROSHTHI LETTER NYA;Lo;0;R;;;;;N;;;;;
        "\u10A1A",  # ;KHAROSHTHI LETTER TTA;Lo;0;R;;;;;N;;;;;
        "\u10A1B",  # ;KHAROSHTHI LETTER TTHA;Lo;0;R;;;;;N;;;;;
        "\u10A1C",  # ;KHAROSHTHI LETTER DDA;Lo;0;R;;;;;N;;;;;
        "\u10A1D",  # ;KHAROSHTHI LETTER DDHA;Lo;0;R;;;;;N;;;;;
        "\u10A1E",  # ;KHAROSHTHI LETTER NNA;Lo;0;R;;;;;N;;;;;
        "\u10A1F",  # ;KHAROSHTHI LETTER TA;Lo;0;R;;;;;N;;;;;
        "\u10A20",  # ;KHAROSHTHI LETTER THA;Lo;0;R;;;;;N;;;;;
        "\u10A21",  # ;KHAROSHTHI LETTER DA;Lo;0;R;;;;;N;;;;;
        "\u10A22",  # ;KHAROSHTHI LETTER DHA;Lo;0;R;;;;;N;;;;;
        "\u10A23",  # ;KHAROSHTHI LETTER NA;Lo;0;R;;;;;N;;;;;
        "\u10A24",  # ;KHAROSHTHI LETTER PA;Lo;0;R;;;;;N;;;;;
        "\u10A25",  # ;KHAROSHTHI LETTER PHA;Lo;0;R;;;;;N;;;;;
        "\u10A26",  # ;KHAROSHTHI LETTER BA;Lo;0;R;;;;;N;;;;;
        "\u10A27",  # ;KHAROSHTHI LETTER BHA;Lo;0;R;;;;;N;;;;;
        "\u10A28",  # ;KHAROSHTHI LETTER MA;Lo;0;R;;;;;N;;;;;
        "\u10A29",  # ;KHAROSHTHI LETTER YA;Lo;0;R;;;;;N;;;;;
        "\u10A2A",  # ;KHAROSHTHI LETTER RA;Lo;0;R;;;;;N;;;;;
        "\u10A2B",  # ;KHAROSHTHI LETTER LA;Lo;0;R;;;;;N;;;;;
        "\u10A2C",  # ;KHAROSHTHI LETTER VA;Lo;0;R;;;;;N;;;;;
        "\u10A2D",  # ;KHAROSHTHI LETTER SHA;Lo;0;R;;;;;N;;;;;
        "\u10A2E",  # ;KHAROSHTHI LETTER SSA;Lo;0;R;;;;;N;;;;;
        "\u10A2F",  # ;KHAROSHTHI LETTER SA;Lo;0;R;;;;;N;;;;;
        "\u10A30",  # ;KHAROSHTHI LETTER ZA;Lo;0;R;;;;;N;;;;;
        "\u10A31",  # ;KHAROSHTHI LETTER HA;Lo;0;R;;;;;N;;;;;
        "\u10A32",  # ;KHAROSHTHI LETTER KKA;Lo;0;R;;;;;N;;;;;
        "\u10A33",  # ;KHAROSHTHI LETTER TTTHA;Lo;0;R;;;;;N;;;;;
        "\u10A38",  # ;KHAROSHTHI SIGN BAR ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u10A39",  # ;KHAROSHTHI SIGN CAUDA;Mn;1;NSM;;;;;N;;;;;
        "\u10A3A",  # ;KHAROSHTHI SIGN DOT BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u10A3F",  # ;KHAROSHTHI VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\u10A40",  # ;KHAROSHTHI DIGIT ONE;No;0;R;;;1;1;N;;;;;
        "\u10A41",  # ;KHAROSHTHI DIGIT TWO;No;0;R;;;2;2;N;;;;;
        "\u10A42",  # ;KHAROSHTHI DIGIT THREE;No;0;R;;;3;3;N;;;;;
        "\u10A43",  # ;KHAROSHTHI DIGIT FOUR;No;0;R;;;4;4;N;;;;;
        "\u10A44",  # ;KHAROSHTHI NUMBER TEN;No;0;R;;;;10;N;;;;;
        "\u10A45",  # ;KHAROSHTHI NUMBER TWENTY;No;0;R;;;;20;N;;;;;
        "\u10A46",  # ;KHAROSHTHI NUMBER ONE HUNDRED;No;0;R;;;;100;N;;;;;
        "\u10A47",  # ;KHAROSHTHI NUMBER ONE THOUSAND;No;0;R;;;;1000;N;;;;;
        "\u10A50",  # ;KHAROSHTHI PUNCTUATION DOT;Po;0;R;;;;;N;;;;;
        "\u10A51",  # ;KHAROSHTHI PUNCTUATION SMALL CIRCLE;Po;0;R;;;;;N;;;;;
        "\u10A52",  # ;KHAROSHTHI PUNCTUATION CIRCLE;Po;0;R;;;;;N;;;;;
        "\u10A53",  # ;KHAROSHTHI PUNCTUATION CRESCENT BAR;Po;0;R;;;;;N;;;;;
        "\u10A54",  # ;KHAROSHTHI PUNCTUATION MANGALAM;Po;0;R;;;;;N;;;;;
        "\u10A55",  # ;KHAROSHTHI PUNCTUATION LOTUS;Po;0;R;;;;;N;;;;;
        "\u10A56",  # ;KHAROSHTHI PUNCTUATION DANDA;Po;0;R;;;;;N;;;;;
        "\u10A57",  # ;KHAROSHTHI PUNCTUATION DOUBLE DANDA;Po;0;R;;;;;N;;;;;
        "\u10A58",  # ;KHAROSHTHI PUNCTUATION LINES;Po;0;R;;;;;N;;;;;
        "\u10A60",  # ;OLD SOUTH ARABIAN LETTER HE;Lo;0;R;;;;;N;;;;;
        "\u10A61",  # ;OLD SOUTH ARABIAN LETTER LAMEDH;Lo;0;R;;;;;N;;;;;
        "\u10A62",  # ;OLD SOUTH ARABIAN LETTER HETH;Lo;0;R;;;;;N;;;;;
        "\u10A63",  # ;OLD SOUTH ARABIAN LETTER MEM;Lo;0;R;;;;;N;;;;;
        "\u10A64",  # ;OLD SOUTH ARABIAN LETTER QOPH;Lo;0;R;;;;;N;;;;;
        "\u10A65",  # ;OLD SOUTH ARABIAN LETTER WAW;Lo;0;R;;;;;N;;;;;
        "\u10A66",  # ;OLD SOUTH ARABIAN LETTER SHIN;Lo;0;R;;;;;N;;;;;
        "\u10A67",  # ;OLD SOUTH ARABIAN LETTER RESH;Lo;0;R;;;;;N;;;;;
        "\u10A68",  # ;OLD SOUTH ARABIAN LETTER BETH;Lo;0;R;;;;;N;;;;;
        "\u10A69",  # ;OLD SOUTH ARABIAN LETTER TAW;Lo;0;R;;;;;N;;;;;
        "\u10A6A",  # ;OLD SOUTH ARABIAN LETTER SAT;Lo;0;R;;;;;N;;;;;
        "\u10A6B",  # ;OLD SOUTH ARABIAN LETTER KAPH;Lo;0;R;;;;;N;;;;;
        "\u10A6C",  # ;OLD SOUTH ARABIAN LETTER NUN;Lo;0;R;;;;;N;;;;;
        "\u10A6D",  # ;OLD SOUTH ARABIAN LETTER KHETH;Lo;0;R;;;;;N;;;;;
        "\u10A6E",  # ;OLD SOUTH ARABIAN LETTER SADHE;Lo;0;R;;;;;N;;;;;
        "\u10A6F",  # ;OLD SOUTH ARABIAN LETTER SAMEKH;Lo;0;R;;;;;N;;;;;
        "\u10A70",  # ;OLD SOUTH ARABIAN LETTER FE;Lo;0;R;;;;;N;;;;;
        "\u10A71",  # ;OLD SOUTH ARABIAN LETTER ALEF;Lo;0;R;;;;;N;;;;;
        "\u10A72",  # ;OLD SOUTH ARABIAN LETTER AYN;Lo;0;R;;;;;N;;;;;
        "\u10A73",  # ;OLD SOUTH ARABIAN LETTER DHADHE;Lo;0;R;;;;;N;;;;;
        "\u10A74",  # ;OLD SOUTH ARABIAN LETTER GIMEL;Lo;0;R;;;;;N;;;;;
        "\u10A75",  # ;OLD SOUTH ARABIAN LETTER DALETH;Lo;0;R;;;;;N;;;;;
        "\u10A76",  # ;OLD SOUTH ARABIAN LETTER GHAYN;Lo;0;R;;;;;N;;;;;
        "\u10A77",  # ;OLD SOUTH ARABIAN LETTER TETH;Lo;0;R;;;;;N;;;;;
        "\u10A78",  # ;OLD SOUTH ARABIAN LETTER ZAYN;Lo;0;R;;;;;N;;;;;
        "\u10A79",  # ;OLD SOUTH ARABIAN LETTER DHALETH;Lo;0;R;;;;;N;;;;;
        "\u10A7A",  # ;OLD SOUTH ARABIAN LETTER YODH;Lo;0;R;;;;;N;;;;;
        "\u10A7B",  # ;OLD SOUTH ARABIAN LETTER THAW;Lo;0;R;;;;;N;;;;;
        "\u10A7C",  # ;OLD SOUTH ARABIAN LETTER THETH;Lo;0;R;;;;;N;;;;;
        "\u10A7D",  # ;OLD SOUTH ARABIAN NUMBER ONE;No;0;R;;;;1;N;;;;;
        "\u10A7E",  # ;OLD SOUTH ARABIAN NUMBER FIFTY;No;0;R;;;;50;N;;;;;
        "\u10A7F",  # ;OLD SOUTH ARABIAN NUMERIC INDICATOR;Po;0;R;;;;;N;;;;;
        "\u10A80",  # ;OLD NORTH ARABIAN LETTER HEH;Lo;0;R;;;;;N;;;;;
        "\u10A81",  # ;OLD NORTH ARABIAN LETTER LAM;Lo;0;R;;;;;N;;;;;
        "\u10A82",  # ;OLD NORTH ARABIAN LETTER HAH;Lo;0;R;;;;;N;;;;;
        "\u10A83",  # ;OLD NORTH ARABIAN LETTER MEEM;Lo;0;R;;;;;N;;;;;
        "\u10A84",  # ;OLD NORTH ARABIAN LETTER QAF;Lo;0;R;;;;;N;;;;;
        "\u10A85",  # ;OLD NORTH ARABIAN LETTER WAW;Lo;0;R;;;;;N;;;;;
        "\u10A86",  # ;OLD NORTH ARABIAN LETTER ES-2;Lo;0;R;;;;;N;;;;;
        "\u10A87",  # ;OLD NORTH ARABIAN LETTER REH;Lo;0;R;;;;;N;;;;;
        "\u10A88",  # ;OLD NORTH ARABIAN LETTER BEH;Lo;0;R;;;;;N;;;;;
        "\u10A89",  # ;OLD NORTH ARABIAN LETTER TEH;Lo;0;R;;;;;N;;;;;
        "\u10A8A",  # ;OLD NORTH ARABIAN LETTER ES-1;Lo;0;R;;;;;N;;;;;
        "\u10A8B",  # ;OLD NORTH ARABIAN LETTER KAF;Lo;0;R;;;;;N;;;;;
        "\u10A8C",  # ;OLD NORTH ARABIAN LETTER NOON;Lo;0;R;;;;;N;;;;;
        "\u10A8D",  # ;OLD NORTH ARABIAN LETTER KHAH;Lo;0;R;;;;;N;;;;;
        "\u10A8E",  # ;OLD NORTH ARABIAN LETTER SAD;Lo;0;R;;;;;N;;;;;
        "\u10A8F",  # ;OLD NORTH ARABIAN LETTER ES-3;Lo;0;R;;;;;N;;;;;
        "\u10A90",  # ;OLD NORTH ARABIAN LETTER FEH;Lo;0;R;;;;;N;;;;;
        "\u10A91",  # ;OLD NORTH ARABIAN LETTER ALEF;Lo;0;R;;;;;N;;;;;
        "\u10A92",  # ;OLD NORTH ARABIAN LETTER AIN;Lo;0;R;;;;;N;;;;;
        "\u10A93",  # ;OLD NORTH ARABIAN LETTER DAD;Lo;0;R;;;;;N;;;;;
        "\u10A94",  # ;OLD NORTH ARABIAN LETTER GEEM;Lo;0;R;;;;;N;;;;;
        "\u10A95",  # ;OLD NORTH ARABIAN LETTER DAL;Lo;0;R;;;;;N;;;;;
        "\u10A96",  # ;OLD NORTH ARABIAN LETTER GHAIN;Lo;0;R;;;;;N;;;;;
        "\u10A97",  # ;OLD NORTH ARABIAN LETTER TAH;Lo;0;R;;;;;N;;;;;
        "\u10A98",  # ;OLD NORTH ARABIAN LETTER ZAIN;Lo;0;R;;;;;N;;;;;
        "\u10A99",  # ;OLD NORTH ARABIAN LETTER THAL;Lo;0;R;;;;;N;;;;;
        "\u10A9A",  # ;OLD NORTH ARABIAN LETTER YEH;Lo;0;R;;;;;N;;;;;
        "\u10A9B",  # ;OLD NORTH ARABIAN LETTER THEH;Lo;0;R;;;;;N;;;;;
        "\u10A9C",  # ;OLD NORTH ARABIAN LETTER ZAH;Lo;0;R;;;;;N;;;;;
        "\u10A9D",  # ;OLD NORTH ARABIAN NUMBER ONE;No;0;R;;;;1;N;;;;;
        "\u10A9E",  # ;OLD NORTH ARABIAN NUMBER TEN;No;0;R;;;;10;N;;;;;
        "\u10A9F",  # ;OLD NORTH ARABIAN NUMBER TWENTY;No;0;R;;;;20;N;;;;;
        "\u10AC0",  # ;MANICHAEAN LETTER ALEPH;Lo;0;R;;;;;N;;;;;
        "\u10AC1",  # ;MANICHAEAN LETTER BETH;Lo;0;R;;;;;N;;;;;
        "\u10AC2",  # ;MANICHAEAN LETTER BHETH;Lo;0;R;;;;;N;;;;;
        "\u10AC3",  # ;MANICHAEAN LETTER GIMEL;Lo;0;R;;;;;N;;;;;
        "\u10AC4",  # ;MANICHAEAN LETTER GHIMEL;Lo;0;R;;;;;N;;;;;
        "\u10AC5",  # ;MANICHAEAN LETTER DALETH;Lo;0;R;;;;;N;;;;;
        "\u10AC6",  # ;MANICHAEAN LETTER HE;Lo;0;R;;;;;N;;;;;
        "\u10AC7",  # ;MANICHAEAN LETTER WAW;Lo;0;R;;;;;N;;;;;
        "\u10AC8",  # ;MANICHAEAN SIGN UD;So;0;R;;;;;N;;;;;
        "\u10AC9",  # ;MANICHAEAN LETTER ZAYIN;Lo;0;R;;;;;N;;;;;
        "\u10ACA",  # ;MANICHAEAN LETTER ZHAYIN;Lo;0;R;;;;;N;;;;;
        "\u10ACB",  # ;MANICHAEAN LETTER JAYIN;Lo;0;R;;;;;N;;;;;
        "\u10ACC",  # ;MANICHAEAN LETTER JHAYIN;Lo;0;R;;;;;N;;;;;
        "\u10ACD",  # ;MANICHAEAN LETTER HETH;Lo;0;R;;;;;N;;;;;
        "\u10ACE",  # ;MANICHAEAN LETTER TETH;Lo;0;R;;;;;N;;;;;
        "\u10ACF",  # ;MANICHAEAN LETTER YODH;Lo;0;R;;;;;N;;;;;
        "\u10AD0",  # ;MANICHAEAN LETTER KAPH;Lo;0;R;;;;;N;;;;;
        "\u10AD1",  # ;MANICHAEAN LETTER XAPH;Lo;0;R;;;;;N;;;;;
        "\u10AD2",  # ;MANICHAEAN LETTER KHAPH;Lo;0;R;;;;;N;;;;;
        "\u10AD3",  # ;MANICHAEAN LETTER LAMEDH;Lo;0;R;;;;;N;;;;;
        "\u10AD4",  # ;MANICHAEAN LETTER DHAMEDH;Lo;0;R;;;;;N;;;;;
        "\u10AD5",  # ;MANICHAEAN LETTER THAMEDH;Lo;0;R;;;;;N;;;;;
        "\u10AD6",  # ;MANICHAEAN LETTER MEM;Lo;0;R;;;;;N;;;;;
        "\u10AD7",  # ;MANICHAEAN LETTER NUN;Lo;0;R;;;;;N;;;;;
        "\u10AD8",  # ;MANICHAEAN LETTER SAMEKH;Lo;0;R;;;;;N;;;;;
        "\u10AD9",  # ;MANICHAEAN LETTER AYIN;Lo;0;R;;;;;N;;;;;
        "\u10ADA",  # ;MANICHAEAN LETTER AAYIN;Lo;0;R;;;;;N;;;;;
        "\u10ADB",  # ;MANICHAEAN LETTER PE;Lo;0;R;;;;;N;;;;;
        "\u10ADC",  # ;MANICHAEAN LETTER FE;Lo;0;R;;;;;N;;;;;
        "\u10ADD",  # ;MANICHAEAN LETTER SADHE;Lo;0;R;;;;;N;;;;;
        "\u10ADE",  # ;MANICHAEAN LETTER QOPH;Lo;0;R;;;;;N;;;;;
        "\u10ADF",  # ;MANICHAEAN LETTER XOPH;Lo;0;R;;;;;N;;;;;
        "\u10AE0",  # ;MANICHAEAN LETTER QHOPH;Lo;0;R;;;;;N;;;;;
        "\u10AE1",  # ;MANICHAEAN LETTER RESH;Lo;0;R;;;;;N;;;;;
        "\u10AE2",  # ;MANICHAEAN LETTER SHIN;Lo;0;R;;;;;N;;;;;
        "\u10AE3",  # ;MANICHAEAN LETTER SSHIN;Lo;0;R;;;;;N;;;;;
        "\u10AE4",  # ;MANICHAEAN LETTER TAW;Lo;0;R;;;;;N;;;;;
        "\u10AE5",  # ;MANICHAEAN ABBREVIATION MARK ABOVE;Mn;230;NSM;;;;;N;;;;;
        "\u10AE6",  # ;MANICHAEAN ABBREVIATION MARK BELOW;Mn;220;NSM;;;;;N;;;;;
        "\u10AEB",  # ;MANICHAEAN NUMBER ONE;No;0;R;;;;1;N;;;;;
        "\u10AEC",  # ;MANICHAEAN NUMBER FIVE;No;0;R;;;;5;N;;;;;
        "\u10AED",  # ;MANICHAEAN NUMBER TEN;No;0;R;;;;10;N;;;;;
        "\u10AEE",  # ;MANICHAEAN NUMBER TWENTY;No;0;R;;;;20;N;;;;;
        "\u10AEF",  # ;MANICHAEAN NUMBER ONE HUNDRED;No;0;R;;;;100;N;;;;;
        "\u10AF0",  # ;MANICHAEAN PUNCTUATION STAR;Po;0;R;;;;;N;;;;;
        "\u10AF1",  # ;MANICHAEAN PUNCTUATION FLEURON;Po;0;R;;;;;N;;;;;
        "\u10AF2",  # ;MANICHAEAN PUNCTUATION DOUBLE DOT WITHIN DOT;Po;0;R;;;;;N;;;;;
        "\u10AF3",  # ;MANICHAEAN PUNCTUATION DOT WITHIN DOT;Po;0;R;;;;;N;;;;;
        "\u10AF4",  # ;MANICHAEAN PUNCTUATION DOT;Po;0;R;;;;;N;;;;;
        "\u10AF5",  # ;MANICHAEAN PUNCTUATION TWO DOTS;Po;0;R;;;;;N;;;;;
        "\u10AF6",  # ;MANICHAEAN PUNCTUATION LINE FILLER;Po;0;R;;;;;N;;;;;
        "\u10B00",  # ;AVESTAN LETTER A;Lo;0;R;;;;;N;;;;;
        "\u10B01",  # ;AVESTAN LETTER AA;Lo;0;R;;;;;N;;;;;
        "\u10B02",  # ;AVESTAN LETTER AO;Lo;0;R;;;;;N;;;;;
        "\u10B03",  # ;AVESTAN LETTER AAO;Lo;0;R;;;;;N;;;;;
        "\u10B04",  # ;AVESTAN LETTER AN;Lo;0;R;;;;;N;;;;;
        "\u10B05",  # ;AVESTAN LETTER AAN;Lo;0;R;;;;;N;;;;;
        "\u10B06",  # ;AVESTAN LETTER AE;Lo;0;R;;;;;N;;;;;
        "\u10B07",  # ;AVESTAN LETTER AEE;Lo;0;R;;;;;N;;;;;
        "\u10B08",  # ;AVESTAN LETTER E;Lo;0;R;;;;;N;;;;;
        "\u10B09",  # ;AVESTAN LETTER EE;Lo;0;R;;;;;N;;;;;
        "\u10B0A",  # ;AVESTAN LETTER O;Lo;0;R;;;;;N;;;;;
        "\u10B0B",  # ;AVESTAN LETTER OO;Lo;0;R;;;;;N;;;;;
        "\u10B0C",  # ;AVESTAN LETTER I;Lo;0;R;;;;;N;;;;;
        "\u10B0D",  # ;AVESTAN LETTER II;Lo;0;R;;;;;N;;;;;
        "\u10B0E",  # ;AVESTAN LETTER U;Lo;0;R;;;;;N;;;;;
        "\u10B0F",  # ;AVESTAN LETTER UU;Lo;0;R;;;;;N;;;;;
        "\u10B10",  # ;AVESTAN LETTER KE;Lo;0;R;;;;;N;;;;;
        "\u10B11",  # ;AVESTAN LETTER XE;Lo;0;R;;;;;N;;;;;
        "\u10B12",  # ;AVESTAN LETTER XYE;Lo;0;R;;;;;N;;;;;
        "\u10B13",  # ;AVESTAN LETTER XVE;Lo;0;R;;;;;N;;;;;
        "\u10B14",  # ;AVESTAN LETTER GE;Lo;0;R;;;;;N;;;;;
        "\u10B15",  # ;AVESTAN LETTER GGE;Lo;0;R;;;;;N;;;;;
        "\u10B16",  # ;AVESTAN LETTER GHE;Lo;0;R;;;;;N;;;;;
        "\u10B17",  # ;AVESTAN LETTER CE;Lo;0;R;;;;;N;;;;;
        "\u10B18",  # ;AVESTAN LETTER JE;Lo;0;R;;;;;N;;;;;
        "\u10B19",  # ;AVESTAN LETTER TE;Lo;0;R;;;;;N;;;;;
        "\u10B1A",  # ;AVESTAN LETTER THE;Lo;0;R;;;;;N;;;;;
        "\u10B1B",  # ;AVESTAN LETTER DE;Lo;0;R;;;;;N;;;;;
        "\u10B1C",  # ;AVESTAN LETTER DHE;Lo;0;R;;;;;N;;;;;
        "\u10B1D",  # ;AVESTAN LETTER TTE;Lo;0;R;;;;;N;;;;;
        "\u10B1E",  # ;AVESTAN LETTER PE;Lo;0;R;;;;;N;;;;;
        "\u10B1F",  # ;AVESTAN LETTER FE;Lo;0;R;;;;;N;;;;;
        "\u10B20",  # ;AVESTAN LETTER BE;Lo;0;R;;;;;N;;;;;
        "\u10B21",  # ;AVESTAN LETTER BHE;Lo;0;R;;;;;N;;;;;
        "\u10B22",  # ;AVESTAN LETTER NGE;Lo;0;R;;;;;N;;;;;
        "\u10B23",  # ;AVESTAN LETTER NGYE;Lo;0;R;;;;;N;;;;;
        "\u10B24",  # ;AVESTAN LETTER NGVE;Lo;0;R;;;;;N;;;;;
        "\u10B25",  # ;AVESTAN LETTER NE;Lo;0;R;;;;;N;;;;;
        "\u10B26",  # ;AVESTAN LETTER NYE;Lo;0;R;;;;;N;;;;;
        "\u10B27",  # ;AVESTAN LETTER NNE;Lo;0;R;;;;;N;;;;;
        "\u10B28",  # ;AVESTAN LETTER ME;Lo;0;R;;;;;N;;;;;
        "\u10B29",  # ;AVESTAN LETTER HME;Lo;0;R;;;;;N;;;;;
        "\u10B2A",  # ;AVESTAN LETTER YYE;Lo;0;R;;;;;N;;;;;
        "\u10B2B",  # ;AVESTAN LETTER YE;Lo;0;R;;;;;N;;;;;
        "\u10B2C",  # ;AVESTAN LETTER VE;Lo;0;R;;;;;N;;;;;
        "\u10B2D",  # ;AVESTAN LETTER RE;Lo;0;R;;;;;N;;;;;
        "\u10B2E",  # ;AVESTAN LETTER LE;Lo;0;R;;;;;N;;;;;
        "\u10B2F",  # ;AVESTAN LETTER SE;Lo;0;R;;;;;N;;;;;
        "\u10B30",  # ;AVESTAN LETTER ZE;Lo;0;R;;;;;N;;;;;
        "\u10B31",  # ;AVESTAN LETTER SHE;Lo;0;R;;;;;N;;;;;
        "\u10B32",  # ;AVESTAN LETTER ZHE;Lo;0;R;;;;;N;;;;;
        "\u10B33",  # ;AVESTAN LETTER SHYE;Lo;0;R;;;;;N;;;;;
        "\u10B34",  # ;AVESTAN LETTER SSHE;Lo;0;R;;;;;N;;;;;
        "\u10B35",  # ;AVESTAN LETTER HE;Lo;0;R;;;;;N;;;;;
        "\u10B39",  # ;AVESTAN ABBREVIATION MARK;Po;0;ON;;;;;N;;;;;
        "\u10B3A",  # ;TINY TWO DOTS OVER ONE DOT PUNCTUATION;Po;0;ON;;;;;N;;;;;
        "\u10B3B",  # ;SMALL TWO DOTS OVER ONE DOT PUNCTUATION;Po;0;ON;;;;;N;;;;;
        "\u10B3C",  # ;LARGE TWO DOTS OVER ONE DOT PUNCTUATION;Po;0;ON;;;;;N;;;;;
        "\u10B3D",  # ;LARGE ONE DOT OVER TWO DOTS PUNCTUATION;Po;0;ON;;;;;N;;;;;
        "\u10B3E",  # ;LARGE TWO RINGS OVER ONE RING PUNCTUATION;Po;0;ON;;;;;N;;;;;
        "\u10B3F",  # ;LARGE ONE RING OVER TWO RINGS PUNCTUATION;Po;0;ON;;;;;N;;;;;
        "\u10B40",  # ;INSCRIPTIONAL PARTHIAN LETTER ALEPH;Lo;0;R;;;;;N;;;;;
        "\u10B41",  # ;INSCRIPTIONAL PARTHIAN LETTER BETH;Lo;0;R;;;;;N;;;;;
        "\u10B42",  # ;INSCRIPTIONAL PARTHIAN LETTER GIMEL;Lo;0;R;;;;;N;;;;;
        "\u10B43",  # ;INSCRIPTIONAL PARTHIAN LETTER DALETH;Lo;0;R;;;;;N;;;;;
        "\u10B44",  # ;INSCRIPTIONAL PARTHIAN LETTER HE;Lo;0;R;;;;;N;;;;;
        "\u10B45",  # ;INSCRIPTIONAL PARTHIAN LETTER WAW;Lo;0;R;;;;;N;;;;;
        "\u10B46",  # ;INSCRIPTIONAL PARTHIAN LETTER ZAYIN;Lo;0;R;;;;;N;;;;;
        "\u10B47",  # ;INSCRIPTIONAL PARTHIAN LETTER HETH;Lo;0;R;;;;;N;;;;;
        "\u10B48",  # ;INSCRIPTIONAL PARTHIAN LETTER TETH;Lo;0;R;;;;;N;;;;;
        "\u10B49",  # ;INSCRIPTIONAL PARTHIAN LETTER YODH;Lo;0;R;;;;;N;;;;;
        "\u10B4A",  # ;INSCRIPTIONAL PARTHIAN LETTER KAPH;Lo;0;R;;;;;N;;;;;
        "\u10B4B",  # ;INSCRIPTIONAL PARTHIAN LETTER LAMEDH;Lo;0;R;;;;;N;;;;;
        "\u10B4C",  # ;INSCRIPTIONAL PARTHIAN LETTER MEM;Lo;0;R;;;;;N;;;;;
        "\u10B4D",  # ;INSCRIPTIONAL PARTHIAN LETTER NUN;Lo;0;R;;;;;N;;;;;
        "\u10B4E",  # ;INSCRIPTIONAL PARTHIAN LETTER SAMEKH;Lo;0;R;;;;;N;;;;;
        "\u10B4F",  # ;INSCRIPTIONAL PARTHIAN LETTER AYIN;Lo;0;R;;;;;N;;;;;
        "\u10B50",  # ;INSCRIPTIONAL PARTHIAN LETTER PE;Lo;0;R;;;;;N;;;;;
        "\u10B51",  # ;INSCRIPTIONAL PARTHIAN LETTER SADHE;Lo;0;R;;;;;N;;;;;
        "\u10B52",  # ;INSCRIPTIONAL PARTHIAN LETTER QOPH;Lo;0;R;;;;;N;;;;;
        "\u10B53",  # ;INSCRIPTIONAL PARTHIAN LETTER RESH;Lo;0;R;;;;;N;;;;;
        "\u10B54",  # ;INSCRIPTIONAL PARTHIAN LETTER SHIN;Lo;0;R;;;;;N;;;;;
        "\u10B55",  # ;INSCRIPTIONAL PARTHIAN LETTER TAW;Lo;0;R;;;;;N;;;;;
        "\u10B58",  # ;INSCRIPTIONAL PARTHIAN NUMBER ONE;No;0;R;;;;1;N;;;;;
        "\u10B59",  # ;INSCRIPTIONAL PARTHIAN NUMBER TWO;No;0;R;;;;2;N;;;;;
        "\u10B5A",  # ;INSCRIPTIONAL PARTHIAN NUMBER THREE;No;0;R;;;;3;N;;;;;
        "\u10B5B",  # ;INSCRIPTIONAL PARTHIAN NUMBER FOUR;No;0;R;;;;4;N;;;;;
        "\u10B5C",  # ;INSCRIPTIONAL PARTHIAN NUMBER TEN;No;0;R;;;;10;N;;;;;
        "\u10B5D",  # ;INSCRIPTIONAL PARTHIAN NUMBER TWENTY;No;0;R;;;;20;N;;;;;
        "\u10B5E",  # ;INSCRIPTIONAL PARTHIAN NUMBER ONE HUNDRED;No;0;R;;;;100;N;;;;;
        "\u10B5F",  # ;INSCRIPTIONAL PARTHIAN NUMBER ONE THOUSAND;No;0;R;;;;1000;N;;;;;
        "\u10B60",  # ;INSCRIPTIONAL PAHLAVI LETTER ALEPH;Lo;0;R;;;;;N;;;;;
        "\u10B61",  # ;INSCRIPTIONAL PAHLAVI LETTER BETH;Lo;0;R;;;;;N;;;;;
        "\u10B62",  # ;INSCRIPTIONAL PAHLAVI LETTER GIMEL;Lo;0;R;;;;;N;;;;;
        "\u10B63",  # ;INSCRIPTIONAL PAHLAVI LETTER DALETH;Lo;0;R;;;;;N;;;;;
        "\u10B64",  # ;INSCRIPTIONAL PAHLAVI LETTER HE;Lo;0;R;;;;;N;;;;;
        "\u10B65",  # ;INSCRIPTIONAL PAHLAVI LETTER WAW-AYIN-RESH;Lo;0;R;;;;;N;;;;;
        "\u10B66",  # ;INSCRIPTIONAL PAHLAVI LETTER ZAYIN;Lo;0;R;;;;;N;;;;;
        "\u10B67",  # ;INSCRIPTIONAL PAHLAVI LETTER HETH;Lo;0;R;;;;;N;;;;;
        "\u10B68",  # ;INSCRIPTIONAL PAHLAVI LETTER TETH;Lo;0;R;;;;;N;;;;;
        "\u10B69",  # ;INSCRIPTIONAL PAHLAVI LETTER YODH;Lo;0;R;;;;;N;;;;;
        "\u10B6A",  # ;INSCRIPTIONAL PAHLAVI LETTER KAPH;Lo;0;R;;;;;N;;;;;
        "\u10B6B",  # ;INSCRIPTIONAL PAHLAVI LETTER LAMEDH;Lo;0;R;;;;;N;;;;;
        "\u10B6C",  # ;INSCRIPTIONAL PAHLAVI LETTER MEM-QOPH;Lo;0;R;;;;;N;;;;;
        "\u10B6D",  # ;INSCRIPTIONAL PAHLAVI LETTER NUN;Lo;0;R;;;;;N;;;;;
        "\u10B6E",  # ;INSCRIPTIONAL PAHLAVI LETTER SAMEKH;Lo;0;R;;;;;N;;;;;
        "\u10B6F",  # ;INSCRIPTIONAL PAHLAVI LETTER PE;Lo;0;R;;;;;N;;;;;
        "\u10B70",  # ;INSCRIPTIONAL PAHLAVI LETTER SADHE;Lo;0;R;;;;;N;;;;;
        "\u10B71",  # ;INSCRIPTIONAL PAHLAVI LETTER SHIN;Lo;0;R;;;;;N;;;;;
        "\u10B72",  # ;INSCRIPTIONAL PAHLAVI LETTER TAW;Lo;0;R;;;;;N;;;;;
        "\u10B78",  # ;INSCRIPTIONAL PAHLAVI NUMBER ONE;No;0;R;;;;1;N;;;;;
        "\u10B79",  # ;INSCRIPTIONAL PAHLAVI NUMBER TWO;No;0;R;;;;2;N;;;;;
        "\u10B7A",  # ;INSCRIPTIONAL PAHLAVI NUMBER THREE;No;0;R;;;;3;N;;;;;
        "\u10B7B",  # ;INSCRIPTIONAL PAHLAVI NUMBER FOUR;No;0;R;;;;4;N;;;;;
        "\u10B7C",  # ;INSCRIPTIONAL PAHLAVI NUMBER TEN;No;0;R;;;;10;N;;;;;
        "\u10B7D",  # ;INSCRIPTIONAL PAHLAVI NUMBER TWENTY;No;0;R;;;;20;N;;;;;
        "\u10B7E",  # ;INSCRIPTIONAL PAHLAVI NUMBER ONE HUNDRED;No;0;R;;;;100;N;;;;;
        "\u10B7F",  # ;INSCRIPTIONAL PAHLAVI NUMBER ONE THOUSAND;No;0;R;;;;1000;N;;;;;
        "\u10B80",  # ;PSALTER PAHLAVI LETTER ALEPH;Lo;0;R;;;;;N;;;;;
        "\u10B81",  # ;PSALTER PAHLAVI LETTER BETH;Lo;0;R;;;;;N;;;;;
        "\u10B82",  # ;PSALTER PAHLAVI LETTER GIMEL;Lo;0;R;;;;;N;;;;;
        "\u10B83",  # ;PSALTER PAHLAVI LETTER DALETH;Lo;0;R;;;;;N;;;;;
        "\u10B84",  # ;PSALTER PAHLAVI LETTER HE;Lo;0;R;;;;;N;;;;;
        "\u10B85",  # ;PSALTER PAHLAVI LETTER WAW-AYIN-RESH;Lo;0;R;;;;;N;;;;;
        "\u10B86",  # ;PSALTER PAHLAVI LETTER ZAYIN;Lo;0;R;;;;;N;;;;;
        "\u10B87",  # ;PSALTER PAHLAVI LETTER HETH;Lo;0;R;;;;;N;;;;;
        "\u10B88",  # ;PSALTER PAHLAVI LETTER YODH;Lo;0;R;;;;;N;;;;;
        "\u10B89",  # ;PSALTER PAHLAVI LETTER KAPH;Lo;0;R;;;;;N;;;;;
        "\u10B8A",  # ;PSALTER PAHLAVI LETTER LAMEDH;Lo;0;R;;;;;N;;;;;
        "\u10B8B",  # ;PSALTER PAHLAVI LETTER MEM-QOPH;Lo;0;R;;;;;N;;;;;
        "\u10B8C",  # ;PSALTER PAHLAVI LETTER NUN;Lo;0;R;;;;;N;;;;;
        "\u10B8D",  # ;PSALTER PAHLAVI LETTER SAMEKH;Lo;0;R;;;;;N;;;;;
        "\u10B8E",  # ;PSALTER PAHLAVI LETTER PE;Lo;0;R;;;;;N;;;;;
        "\u10B8F",  # ;PSALTER PAHLAVI LETTER SADHE;Lo;0;R;;;;;N;;;;;
        "\u10B90",  # ;PSALTER PAHLAVI LETTER SHIN;Lo;0;R;;;;;N;;;;;
        "\u10B91",  # ;PSALTER PAHLAVI LETTER TAW;Lo;0;R;;;;;N;;;;;
        "\u10B99",  # ;PSALTER PAHLAVI SECTION MARK;Po;0;R;;;;;N;;;;;
        "\u10B9A",  # ;PSALTER PAHLAVI TURNED SECTION MARK;Po;0;R;;;;;N;;;;;
        "\u10B9B",  # ;PSALTER PAHLAVI FOUR DOTS WITH CROSS;Po;0;R;;;;;N;;;;;
        "\u10B9C",  # ;PSALTER PAHLAVI FOUR DOTS WITH DOT;Po;0;R;;;;;N;;;;;
        "\u10BA9",  # ;PSALTER PAHLAVI NUMBER ONE;No;0;R;;;;1;N;;;;;
        "\u10BAA",  # ;PSALTER PAHLAVI NUMBER TWO;No;0;R;;;;2;N;;;;;
        "\u10BAB",  # ;PSALTER PAHLAVI NUMBER THREE;No;0;R;;;;3;N;;;;;
        "\u10BAC",  # ;PSALTER PAHLAVI NUMBER FOUR;No;0;R;;;;4;N;;;;;
        "\u10BAD",  # ;PSALTER PAHLAVI NUMBER TEN;No;0;R;;;;10;N;;;;;
        "\u10BAE",  # ;PSALTER PAHLAVI NUMBER TWENTY;No;0;R;;;;20;N;;;;;
        "\u10BAF",  # ;PSALTER PAHLAVI NUMBER ONE HUNDRED;No;0;R;;;;100;N;;;;;
        "\u10C00",  # ;OLD TURKIC LETTER ORKHON A;Lo;0;R;;;;;N;;;;;
        "\u10C01",  # ;OLD TURKIC LETTER YENISEI A;Lo;0;R;;;;;N;;;;;
        "\u10C02",  # ;OLD TURKIC LETTER YENISEI AE;Lo;0;R;;;;;N;;;;;
        "\u10C03",  # ;OLD TURKIC LETTER ORKHON I;Lo;0;R;;;;;N;;;;;
        "\u10C04",  # ;OLD TURKIC LETTER YENISEI I;Lo;0;R;;;;;N;;;;;
        "\u10C05",  # ;OLD TURKIC LETTER YENISEI E;Lo;0;R;;;;;N;;;;;
        "\u10C06",  # ;OLD TURKIC LETTER ORKHON O;Lo;0;R;;;;;N;;;;;
        "\u10C07",  # ;OLD TURKIC LETTER ORKHON OE;Lo;0;R;;;;;N;;;;;
        "\u10C08",  # ;OLD TURKIC LETTER YENISEI OE;Lo;0;R;;;;;N;;;;;
        "\u10C09",  # ;OLD TURKIC LETTER ORKHON AB;Lo;0;R;;;;;N;;;;;
        "\u10C0A",  # ;OLD TURKIC LETTER YENISEI AB;Lo;0;R;;;;;N;;;;;
        "\u10C0B",  # ;OLD TURKIC LETTER ORKHON AEB;Lo;0;R;;;;;N;;;;;
        "\u10C0C",  # ;OLD TURKIC LETTER YENISEI AEB;Lo;0;R;;;;;N;;;;;
        "\u10C0D",  # ;OLD TURKIC LETTER ORKHON AG;Lo;0;R;;;;;N;;;;;
        "\u10C0E",  # ;OLD TURKIC LETTER YENISEI AG;Lo;0;R;;;;;N;;;;;
        "\u10C0F",  # ;OLD TURKIC LETTER ORKHON AEG;Lo;0;R;;;;;N;;;;;
        "\u10C10",  # ;OLD TURKIC LETTER YENISEI AEG;Lo;0;R;;;;;N;;;;;
        "\u10C11",  # ;OLD TURKIC LETTER ORKHON AD;Lo;0;R;;;;;N;;;;;
        "\u10C12",  # ;OLD TURKIC LETTER YENISEI AD;Lo;0;R;;;;;N;;;;;
        "\u10C13",  # ;OLD TURKIC LETTER ORKHON AED;Lo;0;R;;;;;N;;;;;
        "\u10C14",  # ;OLD TURKIC LETTER ORKHON EZ;Lo;0;R;;;;;N;;;;;
        "\u10C15",  # ;OLD TURKIC LETTER YENISEI EZ;Lo;0;R;;;;;N;;;;;
        "\u10C16",  # ;OLD TURKIC LETTER ORKHON AY;Lo;0;R;;;;;N;;;;;
        "\u10C17",  # ;OLD TURKIC LETTER YENISEI AY;Lo;0;R;;;;;N;;;;;
        "\u10C18",  # ;OLD TURKIC LETTER ORKHON AEY;Lo;0;R;;;;;N;;;;;
        "\u10C19",  # ;OLD TURKIC LETTER YENISEI AEY;Lo;0;R;;;;;N;;;;;
        "\u10C1A",  # ;OLD TURKIC LETTER ORKHON AEK;Lo;0;R;;;;;N;;;;;
        "\u10C1B",  # ;OLD TURKIC LETTER YENISEI AEK;Lo;0;R;;;;;N;;;;;
        "\u10C1C",  # ;OLD TURKIC LETTER ORKHON OEK;Lo;0;R;;;;;N;;;;;
        "\u10C1D",  # ;OLD TURKIC LETTER YENISEI OEK;Lo;0;R;;;;;N;;;;;
        "\u10C1E",  # ;OLD TURKIC LETTER ORKHON AL;Lo;0;R;;;;;N;;;;;
        "\u10C1F",  # ;OLD TURKIC LETTER YENISEI AL;Lo;0;R;;;;;N;;;;;
        "\u10C20",  # ;OLD TURKIC LETTER ORKHON AEL;Lo;0;R;;;;;N;;;;;
        "\u10C21",  # ;OLD TURKIC LETTER ORKHON ELT;Lo;0;R;;;;;N;;;;;
        "\u10C22",  # ;OLD TURKIC LETTER ORKHON EM;Lo;0;R;;;;;N;;;;;
        "\u10C23",  # ;OLD TURKIC LETTER ORKHON AN;Lo;0;R;;;;;N;;;;;
        "\u10C24",  # ;OLD TURKIC LETTER ORKHON AEN;Lo;0;R;;;;;N;;;;;
        "\u10C25",  # ;OLD TURKIC LETTER YENISEI AEN;Lo;0;R;;;;;N;;;;;
        "\u10C26",  # ;OLD TURKIC LETTER ORKHON ENT;Lo;0;R;;;;;N;;;;;
        "\u10C27",  # ;OLD TURKIC LETTER YENISEI ENT;Lo;0;R;;;;;N;;;;;
        "\u10C28",  # ;OLD TURKIC LETTER ORKHON ENC;Lo;0;R;;;;;N;;;;;
        "\u10C29",  # ;OLD TURKIC LETTER YENISEI ENC;Lo;0;R;;;;;N;;;;;
        "\u10C2A",  # ;OLD TURKIC LETTER ORKHON ENY;Lo;0;R;;;;;N;;;;;
        "\u10C2B",  # ;OLD TURKIC LETTER YENISEI ENY;Lo;0;R;;;;;N;;;;;
        "\u10C2C",  # ;OLD TURKIC LETTER YENISEI ANG;Lo;0;R;;;;;N;;;;;
        "\u10C2D",  # ;OLD TURKIC LETTER ORKHON ENG;Lo;0;R;;;;;N;;;;;
        "\u10C2E",  # ;OLD TURKIC LETTER YENISEI AENG;Lo;0;R;;;;;N;;;;;
        "\u10C2F",  # ;OLD TURKIC LETTER ORKHON EP;Lo;0;R;;;;;N;;;;;
        "\u10C30",  # ;OLD TURKIC LETTER ORKHON OP;Lo;0;R;;;;;N;;;;;
        "\u10C31",  # ;OLD TURKIC LETTER ORKHON IC;Lo;0;R;;;;;N;;;;;
        "\u10C32",  # ;OLD TURKIC LETTER ORKHON EC;Lo;0;R;;;;;N;;;;;
        "\u10C33",  # ;OLD TURKIC LETTER YENISEI EC;Lo;0;R;;;;;N;;;;;
        "\u10C34",  # ;OLD TURKIC LETTER ORKHON AQ;Lo;0;R;;;;;N;;;;;
        "\u10C35",  # ;OLD TURKIC LETTER YENISEI AQ;Lo;0;R;;;;;N;;;;;
        "\u10C36",  # ;OLD TURKIC LETTER ORKHON IQ;Lo;0;R;;;;;N;;;;;
        "\u10C37",  # ;OLD TURKIC LETTER YENISEI IQ;Lo;0;R;;;;;N;;;;;
        "\u10C38",  # ;OLD TURKIC LETTER ORKHON OQ;Lo;0;R;;;;;N;;;;;
        "\u10C39",  # ;OLD TURKIC LETTER YENISEI OQ;Lo;0;R;;;;;N;;;;;
        "\u10C3A",  # ;OLD TURKIC LETTER ORKHON AR;Lo;0;R;;;;;N;;;;;
        "\u10C3B",  # ;OLD TURKIC LETTER YENISEI AR;Lo;0;R;;;;;N;;;;;
        "\u10C3C",  # ;OLD TURKIC LETTER ORKHON AER;Lo;0;R;;;;;N;;;;;
        "\u10C3D",  # ;OLD TURKIC LETTER ORKHON AS;Lo;0;R;;;;;N;;;;;
        "\u10C3E",  # ;OLD TURKIC LETTER ORKHON AES;Lo;0;R;;;;;N;;;;;
        "\u10C3F",  # ;OLD TURKIC LETTER ORKHON ASH;Lo;0;R;;;;;N;;;;;
        "\u10C40",  # ;OLD TURKIC LETTER YENISEI ASH;Lo;0;R;;;;;N;;;;;
        "\u10C41",  # ;OLD TURKIC LETTER ORKHON ESH;Lo;0;R;;;;;N;;;;;
        "\u10C42",  # ;OLD TURKIC LETTER YENISEI ESH;Lo;0;R;;;;;N;;;;;
        "\u10C43",  # ;OLD TURKIC LETTER ORKHON AT;Lo;0;R;;;;;N;;;;;
        "\u10C44",  # ;OLD TURKIC LETTER YENISEI AT;Lo;0;R;;;;;N;;;;;
        "\u10C45",  # ;OLD TURKIC LETTER ORKHON AET;Lo;0;R;;;;;N;;;;;
        "\u10C46",  # ;OLD TURKIC LETTER YENISEI AET;Lo;0;R;;;;;N;;;;;
        "\u10C47",  # ;OLD TURKIC LETTER ORKHON OT;Lo;0;R;;;;;N;;;;;
        "\u10C48",  # ;OLD TURKIC LETTER ORKHON BASH;Lo;0;R;;;;;N;;;;;
        "\u10C80",  # ;OLD HUNGARIAN CAPITAL LETTER A;Lu;0;R;;;;;N;;;;10CC0;
        "\u10C81",  # ;OLD HUNGARIAN CAPITAL LETTER AA;Lu;0;R;;;;;N;;;;10CC1;
        "\u10C82",  # ;OLD HUNGARIAN CAPITAL LETTER EB;Lu;0;R;;;;;N;;;;10CC2;
        "\u10C83",  # ;OLD HUNGARIAN CAPITAL LETTER AMB;Lu;0;R;;;;;N;;;;10CC3;
        "\u10C84",  # ;OLD HUNGARIAN CAPITAL LETTER EC;Lu;0;R;;;;;N;;;;10CC4;
        "\u10C85",  # ;OLD HUNGARIAN CAPITAL LETTER ENC;Lu;0;R;;;;;N;;;;10CC5;
        "\u10C86",  # ;OLD HUNGARIAN CAPITAL LETTER ECS;Lu;0;R;;;;;N;;;;10CC6;
        "\u10C87",  # ;OLD HUNGARIAN CAPITAL LETTER ED;Lu;0;R;;;;;N;;;;10CC7;
        "\u10C88",  # ;OLD HUNGARIAN CAPITAL LETTER AND;Lu;0;R;;;;;N;;;;10CC8;
        "\u10C89",  # ;OLD HUNGARIAN CAPITAL LETTER E;Lu;0;R;;;;;N;;;;10CC9;
        "\u10C8A",  # ;OLD HUNGARIAN CAPITAL LETTER CLOSE E;Lu;0;R;;;;;N;;;;10CCA;
        "\u10C8B",  # ;OLD HUNGARIAN CAPITAL LETTER EE;Lu;0;R;;;;;N;;;;10CCB;
        "\u10C8C",  # ;OLD HUNGARIAN CAPITAL LETTER EF;Lu;0;R;;;;;N;;;;10CCC;
        "\u10C8D",  # ;OLD HUNGARIAN CAPITAL LETTER EG;Lu;0;R;;;;;N;;;;10CCD;
        "\u10C8E",  # ;OLD HUNGARIAN CAPITAL LETTER EGY;Lu;0;R;;;;;N;;;;10CCE;
        "\u10C8F",  # ;OLD HUNGARIAN CAPITAL LETTER EH;Lu;0;R;;;;;N;;;;10CCF;
        "\u10C90",  # ;OLD HUNGARIAN CAPITAL LETTER I;Lu;0;R;;;;;N;;;;10CD0;
        "\u10C91",  # ;OLD HUNGARIAN CAPITAL LETTER II;Lu;0;R;;;;;N;;;;10CD1;
        "\u10C92",  # ;OLD HUNGARIAN CAPITAL LETTER EJ;Lu;0;R;;;;;N;;;;10CD2;
        "\u10C93",  # ;OLD HUNGARIAN CAPITAL LETTER EK;Lu;0;R;;;;;N;;;;10CD3;
        "\u10C94",  # ;OLD HUNGARIAN CAPITAL LETTER AK;Lu;0;R;;;;;N;;;;10CD4;
        "\u10C95",  # ;OLD HUNGARIAN CAPITAL LETTER UNK;Lu;0;R;;;;;N;;;;10CD5;
        "\u10C96",  # ;OLD HUNGARIAN CAPITAL LETTER EL;Lu;0;R;;;;;N;;;;10CD6;
        "\u10C97",  # ;OLD HUNGARIAN CAPITAL LETTER ELY;Lu;0;R;;;;;N;;;;10CD7;
        "\u10C98",  # ;OLD HUNGARIAN CAPITAL LETTER EM;Lu;0;R;;;;;N;;;;10CD8;
        "\u10C99",  # ;OLD HUNGARIAN CAPITAL LETTER EN;Lu;0;R;;;;;N;;;;10CD9;
        "\u10C9A",  # ;OLD HUNGARIAN CAPITAL LETTER ENY;Lu;0;R;;;;;N;;;;10CDA;
        "\u10C9B",  # ;OLD HUNGARIAN CAPITAL LETTER O;Lu;0;R;;;;;N;;;;10CDB;
        "\u10C9C",  # ;OLD HUNGARIAN CAPITAL LETTER OO;Lu;0;R;;;;;N;;;;10CDC;
        "\u10C9D",  # ;OLD HUNGARIAN CAPITAL LETTER NIKOLSBURG OE;Lu;0;R;;;;;N;;;;10CDD;
        "\u10C9E",  # ;OLD HUNGARIAN CAPITAL LETTER RUDIMENTA OE;Lu;0;R;;;;;N;;;;10CDE;
        "\u10C9F",  # ;OLD HUNGARIAN CAPITAL LETTER OEE;Lu;0;R;;;;;N;;;;10CDF;
        "\u10CA0",  # ;OLD HUNGARIAN CAPITAL LETTER EP;Lu;0;R;;;;;N;;;;10CE0;
        "\u10CA1",  # ;OLD HUNGARIAN CAPITAL LETTER EMP;Lu;0;R;;;;;N;;;;10CE1;
        "\u10CA2",  # ;OLD HUNGARIAN CAPITAL LETTER ER;Lu;0;R;;;;;N;;;;10CE2;
        "\u10CA3",  # ;OLD HUNGARIAN CAPITAL LETTER SHORT ER;Lu;0;R;;;;;N;;;;10CE3;
        "\u10CA4",  # ;OLD HUNGARIAN CAPITAL LETTER ES;Lu;0;R;;;;;N;;;;10CE4;
        "\u10CA5",  # ;OLD HUNGARIAN CAPITAL LETTER ESZ;Lu;0;R;;;;;N;;;;10CE5;
        "\u10CA6",  # ;OLD HUNGARIAN CAPITAL LETTER ET;Lu;0;R;;;;;N;;;;10CE6;
        "\u10CA7",  # ;OLD HUNGARIAN CAPITAL LETTER ENT;Lu;0;R;;;;;N;;;;10CE7;
        "\u10CA8",  # ;OLD HUNGARIAN CAPITAL LETTER ETY;Lu;0;R;;;;;N;;;;10CE8;
        "\u10CA9",  # ;OLD HUNGARIAN CAPITAL LETTER ECH;Lu;0;R;;;;;N;;;;10CE9;
        "\u10CAA",  # ;OLD HUNGARIAN CAPITAL LETTER U;Lu;0;R;;;;;N;;;;10CEA;
        "\u10CAB",  # ;OLD HUNGARIAN CAPITAL LETTER UU;Lu;0;R;;;;;N;;;;10CEB;
        "\u10CAC",  # ;OLD HUNGARIAN CAPITAL LETTER NIKOLSBURG UE;Lu;0;R;;;;;N;;;;10CEC;
        "\u10CAD",  # ;OLD HUNGARIAN CAPITAL LETTER RUDIMENTA UE;Lu;0;R;;;;;N;;;;10CED;
        "\u10CAE",  # ;OLD HUNGARIAN CAPITAL LETTER EV;Lu;0;R;;;;;N;;;;10CEE;
        "\u10CAF",  # ;OLD HUNGARIAN CAPITAL LETTER EZ;Lu;0;R;;;;;N;;;;10CEF;
        "\u10CB0",  # ;OLD HUNGARIAN CAPITAL LETTER EZS;Lu;0;R;;;;;N;;;;10CF0;
        "\u10CB1",  # ;OLD HUNGARIAN CAPITAL LETTER ENT-SHAPED SIGN;Lu;0;R;;;;;N;;;;10CF1;
        "\u10CB2",  # ;OLD HUNGARIAN CAPITAL LETTER US;Lu;0;R;;;;;N;;;;10CF2;
        "\u10CC0",  # ;OLD HUNGARIAN SMALL LETTER A;Ll;0;R;;;;;N;;;10C80;;10C80
        "\u10CC1",  # ;OLD HUNGARIAN SMALL LETTER AA;Ll;0;R;;;;;N;;;10C81;;10C81
        "\u10CC2",  # ;OLD HUNGARIAN SMALL LETTER EB;Ll;0;R;;;;;N;;;10C82;;10C82
        "\u10CC3",  # ;OLD HUNGARIAN SMALL LETTER AMB;Ll;0;R;;;;;N;;;10C83;;10C83
        "\u10CC4",  # ;OLD HUNGARIAN SMALL LETTER EC;Ll;0;R;;;;;N;;;10C84;;10C84
        "\u10CC5",  # ;OLD HUNGARIAN SMALL LETTER ENC;Ll;0;R;;;;;N;;;10C85;;10C85
        "\u10CC6",  # ;OLD HUNGARIAN SMALL LETTER ECS;Ll;0;R;;;;;N;;;10C86;;10C86
        "\u10CC7",  # ;OLD HUNGARIAN SMALL LETTER ED;Ll;0;R;;;;;N;;;10C87;;10C87
        "\u10CC8",  # ;OLD HUNGARIAN SMALL LETTER AND;Ll;0;R;;;;;N;;;10C88;;10C88
        "\u10CC9",  # ;OLD HUNGARIAN SMALL LETTER E;Ll;0;R;;;;;N;;;10C89;;10C89
        "\u10CCA",  # ;OLD HUNGARIAN SMALL LETTER CLOSE E;Ll;0;R;;;;;N;;;10C8A;;10C8A
        "\u10CCB",  # ;OLD HUNGARIAN SMALL LETTER EE;Ll;0;R;;;;;N;;;10C8B;;10C8B
        "\u10CCC",  # ;OLD HUNGARIAN SMALL LETTER EF;Ll;0;R;;;;;N;;;10C8C;;10C8C
        "\u10CCD",  # ;OLD HUNGARIAN SMALL LETTER EG;Ll;0;R;;;;;N;;;10C8D;;10C8D
        "\u10CCE",  # ;OLD HUNGARIAN SMALL LETTER EGY;Ll;0;R;;;;;N;;;10C8E;;10C8E
        "\u10CCF",  # ;OLD HUNGARIAN SMALL LETTER EH;Ll;0;R;;;;;N;;;10C8F;;10C8F
        "\u10CD0",  # ;OLD HUNGARIAN SMALL LETTER I;Ll;0;R;;;;;N;;;10C90;;10C90
        "\u10CD1",  # ;OLD HUNGARIAN SMALL LETTER II;Ll;0;R;;;;;N;;;10C91;;10C91
        "\u10CD2",  # ;OLD HUNGARIAN SMALL LETTER EJ;Ll;0;R;;;;;N;;;10C92;;10C92
        "\u10CD3",  # ;OLD HUNGARIAN SMALL LETTER EK;Ll;0;R;;;;;N;;;10C93;;10C93
        "\u10CD4",  # ;OLD HUNGARIAN SMALL LETTER AK;Ll;0;R;;;;;N;;;10C94;;10C94
        "\u10CD5",  # ;OLD HUNGARIAN SMALL LETTER UNK;Ll;0;R;;;;;N;;;10C95;;10C95
        "\u10CD6",  # ;OLD HUNGARIAN SMALL LETTER EL;Ll;0;R;;;;;N;;;10C96;;10C96
        "\u10CD7",  # ;OLD HUNGARIAN SMALL LETTER ELY;Ll;0;R;;;;;N;;;10C97;;10C97
        "\u10CD8",  # ;OLD HUNGARIAN SMALL LETTER EM;Ll;0;R;;;;;N;;;10C98;;10C98
        "\u10CD9",  # ;OLD HUNGARIAN SMALL LETTER EN;Ll;0;R;;;;;N;;;10C99;;10C99
        "\u10CDA",  # ;OLD HUNGARIAN SMALL LETTER ENY;Ll;0;R;;;;;N;;;10C9A;;10C9A
        "\u10CDB",  # ;OLD HUNGARIAN SMALL LETTER O;Ll;0;R;;;;;N;;;10C9B;;10C9B
        "\u10CDC",  # ;OLD HUNGARIAN SMALL LETTER OO;Ll;0;R;;;;;N;;;10C9C;;10C9C
        "\u10CDD",  # ;OLD HUNGARIAN SMALL LETTER NIKOLSBURG OE;Ll;0;R;;;;;N;;;10C9D;;10C9D
        "\u10CDE",  # ;OLD HUNGARIAN SMALL LETTER RUDIMENTA OE;Ll;0;R;;;;;N;;;10C9E;;10C9E
        "\u10CDF",  # ;OLD HUNGARIAN SMALL LETTER OEE;Ll;0;R;;;;;N;;;10C9F;;10C9F
        "\u10CE0",  # ;OLD HUNGARIAN SMALL LETTER EP;Ll;0;R;;;;;N;;;10CA0;;10CA0
        "\u10CE1",  # ;OLD HUNGARIAN SMALL LETTER EMP;Ll;0;R;;;;;N;;;10CA1;;10CA1
        "\u10CE2",  # ;OLD HUNGARIAN SMALL LETTER ER;Ll;0;R;;;;;N;;;10CA2;;10CA2
        "\u10CE3",  # ;OLD HUNGARIAN SMALL LETTER SHORT ER;Ll;0;R;;;;;N;;;10CA3;;10CA3
        "\u10CE4",  # ;OLD HUNGARIAN SMALL LETTER ES;Ll;0;R;;;;;N;;;10CA4;;10CA4
        "\u10CE5",  # ;OLD HUNGARIAN SMALL LETTER ESZ;Ll;0;R;;;;;N;;;10CA5;;10CA5
        "\u10CE6",  # ;OLD HUNGARIAN SMALL LETTER ET;Ll;0;R;;;;;N;;;10CA6;;10CA6
        "\u10CE7",  # ;OLD HUNGARIAN SMALL LETTER ENT;Ll;0;R;;;;;N;;;10CA7;;10CA7
        "\u10CE8",  # ;OLD HUNGARIAN SMALL LETTER ETY;Ll;0;R;;;;;N;;;10CA8;;10CA8
        "\u10CE9",  # ;OLD HUNGARIAN SMALL LETTER ECH;Ll;0;R;;;;;N;;;10CA9;;10CA9
        "\u10CEA",  # ;OLD HUNGARIAN SMALL LETTER U;Ll;0;R;;;;;N;;;10CAA;;10CAA
        "\u10CEB",  # ;OLD HUNGARIAN SMALL LETTER UU;Ll;0;R;;;;;N;;;10CAB;;10CAB
        "\u10CEC",  # ;OLD HUNGARIAN SMALL LETTER NIKOLSBURG UE;Ll;0;R;;;;;N;;;10CAC;;10CAC
        "\u10CED",  # ;OLD HUNGARIAN SMALL LETTER RUDIMENTA UE;Ll;0;R;;;;;N;;;10CAD;;10CAD
        "\u10CEE",  # ;OLD HUNGARIAN SMALL LETTER EV;Ll;0;R;;;;;N;;;10CAE;;10CAE
        "\u10CEF",  # ;OLD HUNGARIAN SMALL LETTER EZ;Ll;0;R;;;;;N;;;10CAF;;10CAF
        "\u10CF0",  # ;OLD HUNGARIAN SMALL LETTER EZS;Ll;0;R;;;;;N;;;10CB0;;10CB0
        "\u10CF1",  # ;OLD HUNGARIAN SMALL LETTER ENT-SHAPED SIGN;Ll;0;R;;;;;N;;;10CB1;;10CB1
        "\u10CF2",  # ;OLD HUNGARIAN SMALL LETTER US;Ll;0;R;;;;;N;;;10CB2;;10CB2
        "\u10CFA",  # ;OLD HUNGARIAN NUMBER ONE;No;0;R;;;;1;N;;;;;
        "\u10CFB",  # ;OLD HUNGARIAN NUMBER FIVE;No;0;R;;;;5;N;;;;;
        "\u10CFC",  # ;OLD HUNGARIAN NUMBER TEN;No;0;R;;;;10;N;;;;;
        "\u10CFD",  # ;OLD HUNGARIAN NUMBER FIFTY;No;0;R;;;;50;N;;;;;
        "\u10CFE",  # ;OLD HUNGARIAN NUMBER ONE HUNDRED;No;0;R;;;;100;N;;;;;
        "\u10CFF",  # ;OLD HUNGARIAN NUMBER ONE THOUSAND;No;0;R;;;;1000;N;;;;;
        "\u10E60",  # ;RUMI DIGIT ONE;No;0;AN;;;1;1;N;;;;;
        "\u10E61",  # ;RUMI DIGIT TWO;No;0;AN;;;2;2;N;;;;;
        "\u10E62",  # ;RUMI DIGIT THREE;No;0;AN;;;3;3;N;;;;;
        "\u10E63",  # ;RUMI DIGIT FOUR;No;0;AN;;;4;4;N;;;;;
        "\u10E64",  # ;RUMI DIGIT FIVE;No;0;AN;;;5;5;N;;;;;
        "\u10E65",  # ;RUMI DIGIT SIX;No;0;AN;;;6;6;N;;;;;
        "\u10E66",  # ;RUMI DIGIT SEVEN;No;0;AN;;;7;7;N;;;;;
        "\u10E67",  # ;RUMI DIGIT EIGHT;No;0;AN;;;8;8;N;;;;;
        "\u10E68",  # ;RUMI DIGIT NINE;No;0;AN;;;9;9;N;;;;;
        "\u10E69",  # ;RUMI NUMBER TEN;No;0;AN;;;;10;N;;;;;
        "\u10E6A",  # ;RUMI NUMBER TWENTY;No;0;AN;;;;20;N;;;;;
        "\u10E6B",  # ;RUMI NUMBER THIRTY;No;0;AN;;;;30;N;;;;;
        "\u10E6C",  # ;RUMI NUMBER FORTY;No;0;AN;;;;40;N;;;;;
        "\u10E6D",  # ;RUMI NUMBER FIFTY;No;0;AN;;;;50;N;;;;;
        "\u10E6E",  # ;RUMI NUMBER SIXTY;No;0;AN;;;;60;N;;;;;
        "\u10E6F",  # ;RUMI NUMBER SEVENTY;No;0;AN;;;;70;N;;;;;
        "\u10E70",  # ;RUMI NUMBER EIGHTY;No;0;AN;;;;80;N;;;;;
        "\u10E71",  # ;RUMI NUMBER NINETY;No;0;AN;;;;90;N;;;;;
        "\u10E72",  # ;RUMI NUMBER ONE HUNDRED;No;0;AN;;;;100;N;;;;;
        "\u10E73",  # ;RUMI NUMBER TWO HUNDRED;No;0;AN;;;;200;N;;;;;
        "\u10E74",  # ;RUMI NUMBER THREE HUNDRED;No;0;AN;;;;300;N;;;;;
        "\u10E75",  # ;RUMI NUMBER FOUR HUNDRED;No;0;AN;;;;400;N;;;;;
        "\u10E76",  # ;RUMI NUMBER FIVE HUNDRED;No;0;AN;;;;500;N;;;;;
        "\u10E77",  # ;RUMI NUMBER SIX HUNDRED;No;0;AN;;;;600;N;;;;;
        "\u10E78",  # ;RUMI NUMBER SEVEN HUNDRED;No;0;AN;;;;700;N;;;;;
        "\u10E79",  # ;RUMI NUMBER EIGHT HUNDRED;No;0;AN;;;;800;N;;;;;
        "\u10E7A",  # ;RUMI NUMBER NINE HUNDRED;No;0;AN;;;;900;N;;;;;
        "\u10E7B",  # ;RUMI FRACTION ONE HALF;No;0;AN;;;;1/2;N;;;;;
        "\u10E7C",  # ;RUMI FRACTION ONE QUARTER;No;0;AN;;;;1/4;N;;;;;
        "\u10E7D",  # ;RUMI FRACTION ONE THIRD;No;0;AN;;;;1/3;N;;;;;
        "\u10E7E",  # ;RUMI FRACTION TWO THIRDS;No;0;AN;;;;2/3;N;;;;;
        "\u11000",  # ;BRAHMI SIGN CANDRABINDU;Mc;0;L;;;;;N;;;;;
        "\u11001",  # ;BRAHMI SIGN ANUSVARA;Mn;0;NSM;;;;;N;;;;;
        "\u11002",  # ;BRAHMI SIGN VISARGA;Mc;0;L;;;;;N;;;;;
        "\u11003",  # ;BRAHMI SIGN JIHVAMULIYA;Lo;0;L;;;;;N;;;;;
        "\u11004",  # ;BRAHMI SIGN UPADHMANIYA;Lo;0;L;;;;;N;;;;;
        "\u11005",  # ;BRAHMI LETTER A;Lo;0;L;;;;;N;;;;;
        "\u11006",  # ;BRAHMI LETTER AA;Lo;0;L;;;;;N;;;;;
        "\u11007",  # ;BRAHMI LETTER I;Lo;0;L;;;;;N;;;;;
        "\u11008",  # ;BRAHMI LETTER II;Lo;0;L;;;;;N;;;;;
        "\u11009",  # ;BRAHMI LETTER U;Lo;0;L;;;;;N;;;;;
        "\u1100A",  # ;BRAHMI LETTER UU;Lo;0;L;;;;;N;;;;;
        "\u1100B",  # ;BRAHMI LETTER VOCALIC R;Lo;0;L;;;;;N;;;;;
        "\u1100C",  # ;BRAHMI LETTER VOCALIC RR;Lo;0;L;;;;;N;;;;;
        "\u1100D",  # ;BRAHMI LETTER VOCALIC L;Lo;0;L;;;;;N;;;;;
        "\u1100E",  # ;BRAHMI LETTER VOCALIC LL;Lo;0;L;;;;;N;;;;;
        "\u1100F",  # ;BRAHMI LETTER E;Lo;0;L;;;;;N;;;;;
        "\u11010",  # ;BRAHMI LETTER AI;Lo;0;L;;;;;N;;;;;
        "\u11011",  # ;BRAHMI LETTER O;Lo;0;L;;;;;N;;;;;
        "\u11012",  # ;BRAHMI LETTER AU;Lo;0;L;;;;;N;;;;;
        "\u11013",  # ;BRAHMI LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u11014",  # ;BRAHMI LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u11015",  # ;BRAHMI LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u11016",  # ;BRAHMI LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u11017",  # ;BRAHMI LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u11018",  # ;BRAHMI LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u11019",  # ;BRAHMI LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u1101A",  # ;BRAHMI LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u1101B",  # ;BRAHMI LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\u1101C",  # ;BRAHMI LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u1101D",  # ;BRAHMI LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u1101E",  # ;BRAHMI LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u1101F",  # ;BRAHMI LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u11020",  # ;BRAHMI LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\u11021",  # ;BRAHMI LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u11022",  # ;BRAHMI LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u11023",  # ;BRAHMI LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u11024",  # ;BRAHMI LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u11025",  # ;BRAHMI LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u11026",  # ;BRAHMI LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u11027",  # ;BRAHMI LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u11028",  # ;BRAHMI LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u11029",  # ;BRAHMI LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u1102A",  # ;BRAHMI LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u1102B",  # ;BRAHMI LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u1102C",  # ;BRAHMI LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u1102D",  # ;BRAHMI LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u1102E",  # ;BRAHMI LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u1102F",  # ;BRAHMI LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u11030",  # ;BRAHMI LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u11031",  # ;BRAHMI LETTER SSA;Lo;0;L;;;;;N;;;;;
        "\u11032",  # ;BRAHMI LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u11033",  # ;BRAHMI LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u11034",  # ;BRAHMI LETTER LLA;Lo;0;L;;;;;N;;;;;
        "\u11035",  # ;BRAHMI LETTER OLD TAMIL LLLA;Lo;0;L;;;;;N;;;;;
        "\u11036",  # ;BRAHMI LETTER OLD TAMIL RRA;Lo;0;L;;;;;N;;;;;
        "\u11037",  # ;BRAHMI LETTER OLD TAMIL NNNA;Lo;0;L;;;;;N;;;;;
        "\u11038",  # ;BRAHMI VOWEL SIGN AA;Mn;0;NSM;;;;;N;;;;;
        "\u11039",  # ;BRAHMI VOWEL SIGN BHATTIPROLU AA;Mn;0;NSM;;;;;N;;;;;
        "\u1103A",  # ;BRAHMI VOWEL SIGN I;Mn;0;NSM;;;;;N;;;;;
        "\u1103B",  # ;BRAHMI VOWEL SIGN II;Mn;0;NSM;;;;;N;;;;;
        "\u1103C",  # ;BRAHMI VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u1103D",  # ;BRAHMI VOWEL SIGN UU;Mn;0;NSM;;;;;N;;;;;
        "\u1103E",  # ;BRAHMI VOWEL SIGN VOCALIC R;Mn;0;NSM;;;;;N;;;;;
        "\u1103F",  # ;BRAHMI VOWEL SIGN VOCALIC RR;Mn;0;NSM;;;;;N;;;;;
        "\u11040",  # ;BRAHMI VOWEL SIGN VOCALIC L;Mn;0;NSM;;;;;N;;;;;
        "\u11041",  # ;BRAHMI VOWEL SIGN VOCALIC LL;Mn;0;NSM;;;;;N;;;;;
        "\u11042",  # ;BRAHMI VOWEL SIGN E;Mn;0;NSM;;;;;N;;;;;
        "\u11043",  # ;BRAHMI VOWEL SIGN AI;Mn;0;NSM;;;;;N;;;;;
        "\u11044",  # ;BRAHMI VOWEL SIGN O;Mn;0;NSM;;;;;N;;;;;
        "\u11045",  # ;BRAHMI VOWEL SIGN AU;Mn;0;NSM;;;;;N;;;;;
        "\u11046",  # ;BRAHMI VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\u11047",  # ;BRAHMI DANDA;Po;0;L;;;;;N;;;;;
        "\u11048",  # ;BRAHMI DOUBLE DANDA;Po;0;L;;;;;N;;;;;
        "\u11049",  # ;BRAHMI PUNCTUATION DOT;Po;0;L;;;;;N;;;;;
        "\u1104A",  # ;BRAHMI PUNCTUATION DOUBLE DOT;Po;0;L;;;;;N;;;;;
        "\u1104B",  # ;BRAHMI PUNCTUATION LINE;Po;0;L;;;;;N;;;;;
        "\u1104C",  # ;BRAHMI PUNCTUATION CRESCENT BAR;Po;0;L;;;;;N;;;;;
        "\u1104D",  # ;BRAHMI PUNCTUATION LOTUS;Po;0;L;;;;;N;;;;;
        "\u11052",  # ;BRAHMI NUMBER ONE;No;0;ON;;;1;1;N;;;;;
        "\u11053",  # ;BRAHMI NUMBER TWO;No;0;ON;;;2;2;N;;;;;
        "\u11054",  # ;BRAHMI NUMBER THREE;No;0;ON;;;3;3;N;;;;;
        "\u11055",  # ;BRAHMI NUMBER FOUR;No;0;ON;;;4;4;N;;;;;
        "\u11056",  # ;BRAHMI NUMBER FIVE;No;0;ON;;;5;5;N;;;;;
        "\u11057",  # ;BRAHMI NUMBER SIX;No;0;ON;;;6;6;N;;;;;
        "\u11058",  # ;BRAHMI NUMBER SEVEN;No;0;ON;;;7;7;N;;;;;
        "\u11059",  # ;BRAHMI NUMBER EIGHT;No;0;ON;;;8;8;N;;;;;
        "\u1105A",  # ;BRAHMI NUMBER NINE;No;0;ON;;;9;9;N;;;;;
        "\u1105B",  # ;BRAHMI NUMBER TEN;No;0;ON;;;;10;N;;;;;
        "\u1105C",  # ;BRAHMI NUMBER TWENTY;No;0;ON;;;;20;N;;;;;
        "\u1105D",  # ;BRAHMI NUMBER THIRTY;No;0;ON;;;;30;N;;;;;
        "\u1105E",  # ;BRAHMI NUMBER FORTY;No;0;ON;;;;40;N;;;;;
        "\u1105F",  # ;BRAHMI NUMBER FIFTY;No;0;ON;;;;50;N;;;;;
        "\u11060",  # ;BRAHMI NUMBER SIXTY;No;0;ON;;;;60;N;;;;;
        "\u11061",  # ;BRAHMI NUMBER SEVENTY;No;0;ON;;;;70;N;;;;;
        "\u11062",  # ;BRAHMI NUMBER EIGHTY;No;0;ON;;;;80;N;;;;;
        "\u11063",  # ;BRAHMI NUMBER NINETY;No;0;ON;;;;90;N;;;;;
        "\u11064",  # ;BRAHMI NUMBER ONE HUNDRED;No;0;ON;;;;100;N;;;;;
        "\u11065",  # ;BRAHMI NUMBER ONE THOUSAND;No;0;ON;;;;1000;N;;;;;
        "\u11066",  # ;BRAHMI DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u11067",  # ;BRAHMI DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u11068",  # ;BRAHMI DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u11069",  # ;BRAHMI DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u1106A",  # ;BRAHMI DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u1106B",  # ;BRAHMI DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u1106C",  # ;BRAHMI DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u1106D",  # ;BRAHMI DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u1106E",  # ;BRAHMI DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u1106F",  # ;BRAHMI DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u1107F",  # ;BRAHMI NUMBER JOINER;Mn;9;NSM;;;;;N;;;;;
        "\u11080",  # ;KAITHI SIGN CANDRABINDU;Mn;0;NSM;;;;;N;;;;;
        "\u11081",  # ;KAITHI SIGN ANUSVARA;Mn;0;NSM;;;;;N;;;;;
        "\u11082",  # ;KAITHI SIGN VISARGA;Mc;0;L;;;;;N;;;;;
        "\u11083",  # ;KAITHI LETTER A;Lo;0;L;;;;;N;;;;;
        "\u11084",  # ;KAITHI LETTER AA;Lo;0;L;;;;;N;;;;;
        "\u11085",  # ;KAITHI LETTER I;Lo;0;L;;;;;N;;;;;
        "\u11086",  # ;KAITHI LETTER II;Lo;0;L;;;;;N;;;;;
        "\u11087",  # ;KAITHI LETTER U;Lo;0;L;;;;;N;;;;;
        "\u11088",  # ;KAITHI LETTER UU;Lo;0;L;;;;;N;;;;;
        "\u11089",  # ;KAITHI LETTER E;Lo;0;L;;;;;N;;;;;
        "\u1108A",  # ;KAITHI LETTER AI;Lo;0;L;;;;;N;;;;;
        "\u1108B",  # ;KAITHI LETTER O;Lo;0;L;;;;;N;;;;;
        "\u1108C",  # ;KAITHI LETTER AU;Lo;0;L;;;;;N;;;;;
        "\u1108D",  # ;KAITHI LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u1108E",  # ;KAITHI LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u1108F",  # ;KAITHI LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u11090",  # ;KAITHI LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u11091",  # ;KAITHI LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u11092",  # ;KAITHI LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u11093",  # ;KAITHI LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u11094",  # ;KAITHI LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u11095",  # ;KAITHI LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\u11096",  # ;KAITHI LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u11097",  # ;KAITHI LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u11098",  # ;KAITHI LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u11099",  # ;KAITHI LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u1109A",  # ;KAITHI LETTER DDDHA;Lo;0;L;11099 110BA;;;;N;;;;;
        "\u1109B",  # ;KAITHI LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\u1109C",  # ;KAITHI LETTER RHA;Lo;0;L;1109B 110BA;;;;N;;;;;
        "\u1109D",  # ;KAITHI LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u1109E",  # ;KAITHI LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u1109F",  # ;KAITHI LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u110A0",  # ;KAITHI LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u110A1",  # ;KAITHI LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u110A2",  # ;KAITHI LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u110A3",  # ;KAITHI LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u110A4",  # ;KAITHI LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u110A5",  # ;KAITHI LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u110A6",  # ;KAITHI LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u110A7",  # ;KAITHI LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u110A8",  # ;KAITHI LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u110A9",  # ;KAITHI LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u110AA",  # ;KAITHI LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u110AB",  # ;KAITHI LETTER VA;Lo;0;L;110A5 110BA;;;;N;;;;;
        "\u110AC",  # ;KAITHI LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u110AD",  # ;KAITHI LETTER SSA;Lo;0;L;;;;;N;;;;;
        "\u110AE",  # ;KAITHI LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u110AF",  # ;KAITHI LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u110B0",  # ;KAITHI VOWEL SIGN AA;Mc;0;L;;;;;N;;;;;
        "\u110B1",  # ;KAITHI VOWEL SIGN I;Mc;0;L;;;;;N;;;;;
        "\u110B2",  # ;KAITHI VOWEL SIGN II;Mc;0;L;;;;;N;;;;;
        "\u110B3",  # ;KAITHI VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u110B4",  # ;KAITHI VOWEL SIGN UU;Mn;0;NSM;;;;;N;;;;;
        "\u110B5",  # ;KAITHI VOWEL SIGN E;Mn;0;NSM;;;;;N;;;;;
        "\u110B6",  # ;KAITHI VOWEL SIGN AI;Mn;0;NSM;;;;;N;;;;;
        "\u110B7",  # ;KAITHI VOWEL SIGN O;Mc;0;L;;;;;N;;;;;
        "\u110B8",  # ;KAITHI VOWEL SIGN AU;Mc;0;L;;;;;N;;;;;
        "\u110B9",  # ;KAITHI SIGN VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\u110BA",  # ;KAITHI SIGN NUKTA;Mn;7;NSM;;;;;N;;;;;
        "\u110BB",  # ;KAITHI ABBREVIATION SIGN;Po;0;L;;;;;N;;;;;
        "\u110BC",  # ;KAITHI ENUMERATION SIGN;Po;0;L;;;;;N;;;;;
        "\u110BD",  # ;KAITHI NUMBER SIGN;Cf;0;L;;;;;N;;;;;
        "\u110BE",  # ;KAITHI SECTION MARK;Po;0;L;;;;;N;;;;;
        "\u110BF",  # ;KAITHI DOUBLE SECTION MARK;Po;0;L;;;;;N;;;;;
        "\u110C0",  # ;KAITHI DANDA;Po;0;L;;;;;N;;;;;
        "\u110C1",  # ;KAITHI DOUBLE DANDA;Po;0;L;;;;;N;;;;;
        "\u110D0",  # ;SORA SOMPENG LETTER SAH;Lo;0;L;;;;;N;;;;;
        "\u110D1",  # ;SORA SOMPENG LETTER TAH;Lo;0;L;;;;;N;;;;;
        "\u110D2",  # ;SORA SOMPENG LETTER BAH;Lo;0;L;;;;;N;;;;;
        "\u110D3",  # ;SORA SOMPENG LETTER CAH;Lo;0;L;;;;;N;;;;;
        "\u110D4",  # ;SORA SOMPENG LETTER DAH;Lo;0;L;;;;;N;;;;;
        "\u110D5",  # ;SORA SOMPENG LETTER GAH;Lo;0;L;;;;;N;;;;;
        "\u110D6",  # ;SORA SOMPENG LETTER MAH;Lo;0;L;;;;;N;;;;;
        "\u110D7",  # ;SORA SOMPENG LETTER NGAH;Lo;0;L;;;;;N;;;;;
        "\u110D8",  # ;SORA SOMPENG LETTER LAH;Lo;0;L;;;;;N;;;;;
        "\u110D9",  # ;SORA SOMPENG LETTER NAH;Lo;0;L;;;;;N;;;;;
        "\u110DA",  # ;SORA SOMPENG LETTER VAH;Lo;0;L;;;;;N;;;;;
        "\u110DB",  # ;SORA SOMPENG LETTER PAH;Lo;0;L;;;;;N;;;;;
        "\u110DC",  # ;SORA SOMPENG LETTER YAH;Lo;0;L;;;;;N;;;;;
        "\u110DD",  # ;SORA SOMPENG LETTER RAH;Lo;0;L;;;;;N;;;;;
        "\u110DE",  # ;SORA SOMPENG LETTER HAH;Lo;0;L;;;;;N;;;;;
        "\u110DF",  # ;SORA SOMPENG LETTER KAH;Lo;0;L;;;;;N;;;;;
        "\u110E0",  # ;SORA SOMPENG LETTER JAH;Lo;0;L;;;;;N;;;;;
        "\u110E1",  # ;SORA SOMPENG LETTER NYAH;Lo;0;L;;;;;N;;;;;
        "\u110E2",  # ;SORA SOMPENG LETTER AH;Lo;0;L;;;;;N;;;;;
        "\u110E3",  # ;SORA SOMPENG LETTER EEH;Lo;0;L;;;;;N;;;;;
        "\u110E4",  # ;SORA SOMPENG LETTER IH;Lo;0;L;;;;;N;;;;;
        "\u110E5",  # ;SORA SOMPENG LETTER UH;Lo;0;L;;;;;N;;;;;
        "\u110E6",  # ;SORA SOMPENG LETTER OH;Lo;0;L;;;;;N;;;;;
        "\u110E7",  # ;SORA SOMPENG LETTER EH;Lo;0;L;;;;;N;;;;;
        "\u110E8",  # ;SORA SOMPENG LETTER MAE;Lo;0;L;;;;;N;;;;;
        "\u110F0",  # ;SORA SOMPENG DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u110F1",  # ;SORA SOMPENG DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u110F2",  # ;SORA SOMPENG DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u110F3",  # ;SORA SOMPENG DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u110F4",  # ;SORA SOMPENG DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u110F5",  # ;SORA SOMPENG DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u110F6",  # ;SORA SOMPENG DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u110F7",  # ;SORA SOMPENG DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u110F8",  # ;SORA SOMPENG DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u110F9",  # ;SORA SOMPENG DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u11100",  # ;CHAKMA SIGN CANDRABINDU;Mn;230;NSM;;;;;N;;;;;
        "\u11101",  # ;CHAKMA SIGN ANUSVARA;Mn;230;NSM;;;;;N;;;;;
        "\u11102",  # ;CHAKMA SIGN VISARGA;Mn;230;NSM;;;;;N;;;;;
        "\u11103",  # ;CHAKMA LETTER AA;Lo;0;L;;;;;N;;;;;
        "\u11104",  # ;CHAKMA LETTER I;Lo;0;L;;;;;N;;;;;
        "\u11105",  # ;CHAKMA LETTER U;Lo;0;L;;;;;N;;;;;
        "\u11106",  # ;CHAKMA LETTER E;Lo;0;L;;;;;N;;;;;
        "\u11107",  # ;CHAKMA LETTER KAA;Lo;0;L;;;;;N;;;;;
        "\u11108",  # ;CHAKMA LETTER KHAA;Lo;0;L;;;;;N;;;;;
        "\u11109",  # ;CHAKMA LETTER GAA;Lo;0;L;;;;;N;;;;;
        "\u1110A",  # ;CHAKMA LETTER GHAA;Lo;0;L;;;;;N;;;;;
        "\u1110B",  # ;CHAKMA LETTER NGAA;Lo;0;L;;;;;N;;;;;
        "\u1110C",  # ;CHAKMA LETTER CAA;Lo;0;L;;;;;N;;;;;
        "\u1110D",  # ;CHAKMA LETTER CHAA;Lo;0;L;;;;;N;;;;;
        "\u1110E",  # ;CHAKMA LETTER JAA;Lo;0;L;;;;;N;;;;;
        "\u1110F",  # ;CHAKMA LETTER JHAA;Lo;0;L;;;;;N;;;;;
        "\u11110",  # ;CHAKMA LETTER NYAA;Lo;0;L;;;;;N;;;;;
        "\u11111",  # ;CHAKMA LETTER TTAA;Lo;0;L;;;;;N;;;;;
        "\u11112",  # ;CHAKMA LETTER TTHAA;Lo;0;L;;;;;N;;;;;
        "\u11113",  # ;CHAKMA LETTER DDAA;Lo;0;L;;;;;N;;;;;
        "\u11114",  # ;CHAKMA LETTER DDHAA;Lo;0;L;;;;;N;;;;;
        "\u11115",  # ;CHAKMA LETTER NNAA;Lo;0;L;;;;;N;;;;;
        "\u11116",  # ;CHAKMA LETTER TAA;Lo;0;L;;;;;N;;;;;
        "\u11117",  # ;CHAKMA LETTER THAA;Lo;0;L;;;;;N;;;;;
        "\u11118",  # ;CHAKMA LETTER DAA;Lo;0;L;;;;;N;;;;;
        "\u11119",  # ;CHAKMA LETTER DHAA;Lo;0;L;;;;;N;;;;;
        "\u1111A",  # ;CHAKMA LETTER NAA;Lo;0;L;;;;;N;;;;;
        "\u1111B",  # ;CHAKMA LETTER PAA;Lo;0;L;;;;;N;;;;;
        "\u1111C",  # ;CHAKMA LETTER PHAA;Lo;0;L;;;;;N;;;;;
        "\u1111D",  # ;CHAKMA LETTER BAA;Lo;0;L;;;;;N;;;;;
        "\u1111E",  # ;CHAKMA LETTER BHAA;Lo;0;L;;;;;N;;;;;
        "\u1111F",  # ;CHAKMA LETTER MAA;Lo;0;L;;;;;N;;;;;
        "\u11120",  # ;CHAKMA LETTER YYAA;Lo;0;L;;;;;N;;;;;
        "\u11121",  # ;CHAKMA LETTER YAA;Lo;0;L;;;;;N;;;;;
        "\u11122",  # ;CHAKMA LETTER RAA;Lo;0;L;;;;;N;;;;;
        "\u11123",  # ;CHAKMA LETTER LAA;Lo;0;L;;;;;N;;;;;
        "\u11124",  # ;CHAKMA LETTER WAA;Lo;0;L;;;;;N;;;;;
        "\u11125",  # ;CHAKMA LETTER SAA;Lo;0;L;;;;;N;;;;;
        "\u11126",  # ;CHAKMA LETTER HAA;Lo;0;L;;;;;N;;;;;
        "\u11127",  # ;CHAKMA VOWEL SIGN A;Mn;0;NSM;;;;;N;;;;;
        "\u11128",  # ;CHAKMA VOWEL SIGN I;Mn;0;NSM;;;;;N;;;;;
        "\u11129",  # ;CHAKMA VOWEL SIGN II;Mn;0;NSM;;;;;N;;;;;
        "\u1112A",  # ;CHAKMA VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u1112B",  # ;CHAKMA VOWEL SIGN UU;Mn;0;NSM;;;;;N;;;;;
        "\u1112C",  # ;CHAKMA VOWEL SIGN E;Mc;0;L;;;;;N;;;;;
        "\u1112D",  # ;CHAKMA VOWEL SIGN AI;Mn;0;NSM;;;;;N;;;;;
        "\u1112E",  # ;CHAKMA VOWEL SIGN O;Mn;0;NSM;11131 11127;;;;N;;;;;
        "\u1112F",  # ;CHAKMA VOWEL SIGN AU;Mn;0;NSM;11132 11127;;;;N;;;;;
        "\u11130",  # ;CHAKMA VOWEL SIGN OI;Mn;0;NSM;;;;;N;;;;;
        "\u11131",  # ;CHAKMA O MARK;Mn;0;NSM;;;;;N;;;;;
        "\u11132",  # ;CHAKMA AU MARK;Mn;0;NSM;;;;;N;;;;;
        "\u11133",  # ;CHAKMA VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\u11134",  # ;CHAKMA MAAYYAA;Mn;9;NSM;;;;;N;;;;;
        "\u11136",  # ;CHAKMA DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u11137",  # ;CHAKMA DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u11138",  # ;CHAKMA DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u11139",  # ;CHAKMA DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u1113A",  # ;CHAKMA DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u1113B",  # ;CHAKMA DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u1113C",  # ;CHAKMA DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u1113D",  # ;CHAKMA DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u1113E",  # ;CHAKMA DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u1113F",  # ;CHAKMA DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u11140",  # ;CHAKMA SECTION MARK;Po;0;L;;;;;N;;;;;
        "\u11141",  # ;CHAKMA DANDA;Po;0;L;;;;;N;;;;;
        "\u11142",  # ;CHAKMA DOUBLE DANDA;Po;0;L;;;;;N;;;;;
        "\u11143",  # ;CHAKMA QUESTION MARK;Po;0;L;;;;;N;;;;;
        "\u11150",  # ;MAHAJANI LETTER A;Lo;0;L;;;;;N;;;;;
        "\u11151",  # ;MAHAJANI LETTER I;Lo;0;L;;;;;N;;;;;
        "\u11152",  # ;MAHAJANI LETTER U;Lo;0;L;;;;;N;;;;;
        "\u11153",  # ;MAHAJANI LETTER E;Lo;0;L;;;;;N;;;;;
        "\u11154",  # ;MAHAJANI LETTER O;Lo;0;L;;;;;N;;;;;
        "\u11155",  # ;MAHAJANI LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u11156",  # ;MAHAJANI LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u11157",  # ;MAHAJANI LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u11158",  # ;MAHAJANI LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u11159",  # ;MAHAJANI LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u1115A",  # ;MAHAJANI LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u1115B",  # ;MAHAJANI LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u1115C",  # ;MAHAJANI LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\u1115D",  # ;MAHAJANI LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u1115E",  # ;MAHAJANI LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u1115F",  # ;MAHAJANI LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u11160",  # ;MAHAJANI LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u11161",  # ;MAHAJANI LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\u11162",  # ;MAHAJANI LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u11163",  # ;MAHAJANI LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u11164",  # ;MAHAJANI LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u11165",  # ;MAHAJANI LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u11166",  # ;MAHAJANI LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u11167",  # ;MAHAJANI LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u11168",  # ;MAHAJANI LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u11169",  # ;MAHAJANI LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u1116A",  # ;MAHAJANI LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u1116B",  # ;MAHAJANI LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u1116C",  # ;MAHAJANI LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u1116D",  # ;MAHAJANI LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u1116E",  # ;MAHAJANI LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u1116F",  # ;MAHAJANI LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u11170",  # ;MAHAJANI LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u11171",  # ;MAHAJANI LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u11172",  # ;MAHAJANI LETTER RRA;Lo;0;L;;;;;N;;;;;
        "\u11173",  # ;MAHAJANI SIGN NUKTA;Mn;7;NSM;;;;;N;;;;;
        "\u11174",  # ;MAHAJANI ABBREVIATION SIGN;Po;0;L;;;;;N;;;;;
        "\u11175",  # ;MAHAJANI SECTION MARK;Po;0;L;;;;;N;;;;;
        "\u11176",  # ;MAHAJANI LIGATURE SHRI;Lo;0;L;;;;;N;;;;;
        "\u11180",  # ;SHARADA SIGN CANDRABINDU;Mn;0;NSM;;;;;N;;;;;
        "\u11181",  # ;SHARADA SIGN ANUSVARA;Mn;0;NSM;;;;;N;;;;;
        "\u11182",  # ;SHARADA SIGN VISARGA;Mc;0;L;;;;;N;;;;;
        "\u11183",  # ;SHARADA LETTER A;Lo;0;L;;;;;N;;;;;
        "\u11184",  # ;SHARADA LETTER AA;Lo;0;L;;;;;N;;;;;
        "\u11185",  # ;SHARADA LETTER I;Lo;0;L;;;;;N;;;;;
        "\u11186",  # ;SHARADA LETTER II;Lo;0;L;;;;;N;;;;;
        "\u11187",  # ;SHARADA LETTER U;Lo;0;L;;;;;N;;;;;
        "\u11188",  # ;SHARADA LETTER UU;Lo;0;L;;;;;N;;;;;
        "\u11189",  # ;SHARADA LETTER VOCALIC R;Lo;0;L;;;;;N;;;;;
        "\u1118A",  # ;SHARADA LETTER VOCALIC RR;Lo;0;L;;;;;N;;;;;
        "\u1118B",  # ;SHARADA LETTER VOCALIC L;Lo;0;L;;;;;N;;;;;
        "\u1118C",  # ;SHARADA LETTER VOCALIC LL;Lo;0;L;;;;;N;;;;;
        "\u1118D",  # ;SHARADA LETTER E;Lo;0;L;;;;;N;;;;;
        "\u1118E",  # ;SHARADA LETTER AI;Lo;0;L;;;;;N;;;;;
        "\u1118F",  # ;SHARADA LETTER O;Lo;0;L;;;;;N;;;;;
        "\u11190",  # ;SHARADA LETTER AU;Lo;0;L;;;;;N;;;;;
        "\u11191",  # ;SHARADA LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u11192",  # ;SHARADA LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u11193",  # ;SHARADA LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u11194",  # ;SHARADA LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u11195",  # ;SHARADA LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u11196",  # ;SHARADA LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u11197",  # ;SHARADA LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u11198",  # ;SHARADA LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u11199",  # ;SHARADA LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\u1119A",  # ;SHARADA LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u1119B",  # ;SHARADA LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u1119C",  # ;SHARADA LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u1119D",  # ;SHARADA LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u1119E",  # ;SHARADA LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\u1119F",  # ;SHARADA LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u111A0",  # ;SHARADA LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u111A1",  # ;SHARADA LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u111A2",  # ;SHARADA LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u111A3",  # ;SHARADA LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u111A4",  # ;SHARADA LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u111A5",  # ;SHARADA LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u111A6",  # ;SHARADA LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u111A7",  # ;SHARADA LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u111A8",  # ;SHARADA LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u111A9",  # ;SHARADA LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u111AA",  # ;SHARADA LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u111AB",  # ;SHARADA LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u111AC",  # ;SHARADA LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u111AD",  # ;SHARADA LETTER LLA;Lo;0;L;;;;;N;;;;;
        "\u111AE",  # ;SHARADA LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u111AF",  # ;SHARADA LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u111B0",  # ;SHARADA LETTER SSA;Lo;0;L;;;;;N;;;;;
        "\u111B1",  # ;SHARADA LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u111B2",  # ;SHARADA LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u111B3",  # ;SHARADA VOWEL SIGN AA;Mc;0;L;;;;;N;;;;;
        "\u111B4",  # ;SHARADA VOWEL SIGN I;Mc;0;L;;;;;N;;;;;
        "\u111B5",  # ;SHARADA VOWEL SIGN II;Mc;0;L;;;;;N;;;;;
        "\u111B6",  # ;SHARADA VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u111B7",  # ;SHARADA VOWEL SIGN UU;Mn;0;NSM;;;;;N;;;;;
        "\u111B8",  # ;SHARADA VOWEL SIGN VOCALIC R;Mn;0;NSM;;;;;N;;;;;
        "\u111B9",  # ;SHARADA VOWEL SIGN VOCALIC RR;Mn;0;NSM;;;;;N;;;;;
        "\u111BA",  # ;SHARADA VOWEL SIGN VOCALIC L;Mn;0;NSM;;;;;N;;;;;
        "\u111BB",  # ;SHARADA VOWEL SIGN VOCALIC LL;Mn;0;NSM;;;;;N;;;;;
        "\u111BC",  # ;SHARADA VOWEL SIGN E;Mn;0;NSM;;;;;N;;;;;
        "\u111BD",  # ;SHARADA VOWEL SIGN AI;Mn;0;NSM;;;;;N;;;;;
        "\u111BE",  # ;SHARADA VOWEL SIGN O;Mn;0;NSM;;;;;N;;;;;
        "\u111BF",  # ;SHARADA VOWEL SIGN AU;Mc;0;L;;;;;N;;;;;
        "\u111C0",  # ;SHARADA SIGN VIRAMA;Mc;9;L;;;;;N;;;;;
        "\u111C1",  # ;SHARADA SIGN AVAGRAHA;Lo;0;L;;;;;N;;;;;
        "\u111C2",  # ;SHARADA SIGN JIHVAMULIYA;Lo;0;L;;;;;N;;;;;
        "\u111C3",  # ;SHARADA SIGN UPADHMANIYA;Lo;0;L;;;;;N;;;;;
        "\u111C4",  # ;SHARADA OM;Lo;0;L;;;;;N;;;;;
        "\u111C5",  # ;SHARADA DANDA;Po;0;L;;;;;N;;;;;
        "\u111C6",  # ;SHARADA DOUBLE DANDA;Po;0;L;;;;;N;;;;;
        "\u111C7",  # ;SHARADA ABBREVIATION SIGN;Po;0;L;;;;;N;;;;;
        "\u111C8",  # ;SHARADA SEPARATOR;Po;0;L;;;;;N;;;;;
        "\u111C9",  # ;SHARADA SANDHI MARK;Po;0;L;;;;;N;;;;;
        "\u111CA",  # ;SHARADA SIGN NUKTA;Mn;7;NSM;;;;;N;;;;;
        "\u111CB",  # ;SHARADA VOWEL MODIFIER MARK;Mn;0;NSM;;;;;N;;;;;
        "\u111CC",  # ;SHARADA EXTRA SHORT VOWEL MARK;Mn;0;NSM;;;;;N;;;;;
        "\u111CD",  # ;SHARADA SUTRA MARK;Po;0;L;;;;;N;;;;;
        "\u111D0",  # ;SHARADA DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u111D1",  # ;SHARADA DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u111D2",  # ;SHARADA DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u111D3",  # ;SHARADA DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u111D4",  # ;SHARADA DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u111D5",  # ;SHARADA DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u111D6",  # ;SHARADA DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u111D7",  # ;SHARADA DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u111D8",  # ;SHARADA DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u111D9",  # ;SHARADA DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u111DA",  # ;SHARADA EKAM;Lo;0;L;;;;;N;;;;;
        "\u111DB",  # ;SHARADA SIGN SIDDHAM;Po;0;L;;;;;N;;;;;
        "\u111DC",  # ;SHARADA HEADSTROKE;Lo;0;L;;;;;N;;;;;
        "\u111DD",  # ;SHARADA CONTINUATION SIGN;Po;0;L;;;;;N;;;;;
        "\u111DE",  # ;SHARADA SECTION MARK-1;Po;0;L;;;;;N;;;;;
        "\u111DF",  # ;SHARADA SECTION MARK-2;Po;0;L;;;;;N;;;;;
        "\u111E1",  # ;SINHALA ARCHAIC DIGIT ONE;No;0;L;;;;1;N;;;;;
        "\u111E2",  # ;SINHALA ARCHAIC DIGIT TWO;No;0;L;;;;2;N;;;;;
        "\u111E3",  # ;SINHALA ARCHAIC DIGIT THREE;No;0;L;;;;3;N;;;;;
        "\u111E4",  # ;SINHALA ARCHAIC DIGIT FOUR;No;0;L;;;;4;N;;;;;
        "\u111E5",  # ;SINHALA ARCHAIC DIGIT FIVE;No;0;L;;;;5;N;;;;;
        "\u111E6",  # ;SINHALA ARCHAIC DIGIT SIX;No;0;L;;;;6;N;;;;;
        "\u111E7",  # ;SINHALA ARCHAIC DIGIT SEVEN;No;0;L;;;;7;N;;;;;
        "\u111E8",  # ;SINHALA ARCHAIC DIGIT EIGHT;No;0;L;;;;8;N;;;;;
        "\u111E9",  # ;SINHALA ARCHAIC DIGIT NINE;No;0;L;;;;9;N;;;;;
        "\u111EA",  # ;SINHALA ARCHAIC NUMBER TEN;No;0;L;;;;10;N;;;;;
        "\u111EB",  # ;SINHALA ARCHAIC NUMBER TWENTY;No;0;L;;;;20;N;;;;;
        "\u111EC",  # ;SINHALA ARCHAIC NUMBER THIRTY;No;0;L;;;;30;N;;;;;
        "\u111ED",  # ;SINHALA ARCHAIC NUMBER FORTY;No;0;L;;;;40;N;;;;;
        "\u111EE",  # ;SINHALA ARCHAIC NUMBER FIFTY;No;0;L;;;;50;N;;;;;
        "\u111EF",  # ;SINHALA ARCHAIC NUMBER SIXTY;No;0;L;;;;60;N;;;;;
        "\u111F0",  # ;SINHALA ARCHAIC NUMBER SEVENTY;No;0;L;;;;70;N;;;;;
        "\u111F1",  # ;SINHALA ARCHAIC NUMBER EIGHTY;No;0;L;;;;80;N;;;;;
        "\u111F2",  # ;SINHALA ARCHAIC NUMBER NINETY;No;0;L;;;;90;N;;;;;
        "\u111F3",  # ;SINHALA ARCHAIC NUMBER ONE HUNDRED;No;0;L;;;;100;N;;;;;
        "\u111F4",  # ;SINHALA ARCHAIC NUMBER ONE THOUSAND;No;0;L;;;;1000;N;;;;;
        "\u11200",  # ;KHOJKI LETTER A;Lo;0;L;;;;;N;;;;;
        "\u11201",  # ;KHOJKI LETTER AA;Lo;0;L;;;;;N;;;;;
        "\u11202",  # ;KHOJKI LETTER I;Lo;0;L;;;;;N;;;;;
        "\u11203",  # ;KHOJKI LETTER U;Lo;0;L;;;;;N;;;;;
        "\u11204",  # ;KHOJKI LETTER E;Lo;0;L;;;;;N;;;;;
        "\u11205",  # ;KHOJKI LETTER AI;Lo;0;L;;;;;N;;;;;
        "\u11206",  # ;KHOJKI LETTER O;Lo;0;L;;;;;N;;;;;
        "\u11207",  # ;KHOJKI LETTER AU;Lo;0;L;;;;;N;;;;;
        "\u11208",  # ;KHOJKI LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u11209",  # ;KHOJKI LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u1120A",  # ;KHOJKI LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u1120B",  # ;KHOJKI LETTER GGA;Lo;0;L;;;;;N;;;;;
        "\u1120C",  # ;KHOJKI LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u1120D",  # ;KHOJKI LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u1120E",  # ;KHOJKI LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u1120F",  # ;KHOJKI LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u11210",  # ;KHOJKI LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u11211",  # ;KHOJKI LETTER JJA;Lo;0;L;;;;;N;;;;;
        "\u11213",  # ;KHOJKI LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u11214",  # ;KHOJKI LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u11215",  # ;KHOJKI LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u11216",  # ;KHOJKI LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u11217",  # ;KHOJKI LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\u11218",  # ;KHOJKI LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u11219",  # ;KHOJKI LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u1121A",  # ;KHOJKI LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u1121B",  # ;KHOJKI LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u1121C",  # ;KHOJKI LETTER DDDA;Lo;0;L;;;;;N;;;;;
        "\u1121D",  # ;KHOJKI LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u1121E",  # ;KHOJKI LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u1121F",  # ;KHOJKI LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u11220",  # ;KHOJKI LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u11221",  # ;KHOJKI LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u11222",  # ;KHOJKI LETTER BBA;Lo;0;L;;;;;N;;;;;
        "\u11223",  # ;KHOJKI LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u11224",  # ;KHOJKI LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u11225",  # ;KHOJKI LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u11226",  # ;KHOJKI LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u11227",  # ;KHOJKI LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u11228",  # ;KHOJKI LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u11229",  # ;KHOJKI LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u1122A",  # ;KHOJKI LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u1122B",  # ;KHOJKI LETTER LLA;Lo;0;L;;;;;N;;;;;
        "\u1122C",  # ;KHOJKI VOWEL SIGN AA;Mc;0;L;;;;;N;;;;;
        "\u1122D",  # ;KHOJKI VOWEL SIGN I;Mc;0;L;;;;;N;;;;;
        "\u1122E",  # ;KHOJKI VOWEL SIGN II;Mc;0;L;;;;;N;;;;;
        "\u1122F",  # ;KHOJKI VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u11230",  # ;KHOJKI VOWEL SIGN E;Mn;0;NSM;;;;;N;;;;;
        "\u11231",  # ;KHOJKI VOWEL SIGN AI;Mn;0;NSM;;;;;N;;;;;
        "\u11232",  # ;KHOJKI VOWEL SIGN O;Mc;0;L;;;;;N;;;;;
        "\u11233",  # ;KHOJKI VOWEL SIGN AU;Mc;0;L;;;;;N;;;;;
        "\u11234",  # ;KHOJKI SIGN ANUSVARA;Mn;0;NSM;;;;;N;;;;;
        "\u11235",  # ;KHOJKI SIGN VIRAMA;Mc;9;L;;;;;N;;;;;
        "\u11236",  # ;KHOJKI SIGN NUKTA;Mn;7;NSM;;;;;N;;;;;
        "\u11237",  # ;KHOJKI SIGN SHADDA;Mn;0;NSM;;;;;N;;;;;
        "\u11238",  # ;KHOJKI DANDA;Po;0;L;;;;;N;;;;;
        "\u11239",  # ;KHOJKI DOUBLE DANDA;Po;0;L;;;;;N;;;;;
        "\u1123A",  # ;KHOJKI WORD SEPARATOR;Po;0;L;;;;;N;;;;;
        "\u1123B",  # ;KHOJKI SECTION MARK;Po;0;L;;;;;N;;;;;
        "\u1123C",  # ;KHOJKI DOUBLE SECTION MARK;Po;0;L;;;;;N;;;;;
        "\u1123D",  # ;KHOJKI ABBREVIATION SIGN;Po;0;L;;;;;N;;;;;
        "\u1123E",  # ;KHOJKI SIGN SUKUN;Mn;0;NSM;;;;;N;;;;;
        "\u11280",  # ;MULTANI LETTER A;Lo;0;L;;;;;N;;;;;
        "\u11281",  # ;MULTANI LETTER I;Lo;0;L;;;;;N;;;;;
        "\u11282",  # ;MULTANI LETTER U;Lo;0;L;;;;;N;;;;;
        "\u11283",  # ;MULTANI LETTER E;Lo;0;L;;;;;N;;;;;
        "\u11284",  # ;MULTANI LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u11285",  # ;MULTANI LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u11286",  # ;MULTANI LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u11288",  # ;MULTANI LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u1128A",  # ;MULTANI LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u1128B",  # ;MULTANI LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u1128C",  # ;MULTANI LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u1128D",  # ;MULTANI LETTER JJA;Lo;0;L;;;;;N;;;;;
        "\u1128F",  # ;MULTANI LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u11290",  # ;MULTANI LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u11291",  # ;MULTANI LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u11292",  # ;MULTANI LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u11293",  # ;MULTANI LETTER DDDA;Lo;0;L;;;;;N;;;;;
        "\u11294",  # ;MULTANI LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\u11295",  # ;MULTANI LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u11296",  # ;MULTANI LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u11297",  # ;MULTANI LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u11298",  # ;MULTANI LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u11299",  # ;MULTANI LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u1129A",  # ;MULTANI LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u1129B",  # ;MULTANI LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u1129C",  # ;MULTANI LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u1129D",  # ;MULTANI LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u1129F",  # ;MULTANI LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u112A0",  # ;MULTANI LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u112A1",  # ;MULTANI LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u112A2",  # ;MULTANI LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u112A3",  # ;MULTANI LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u112A4",  # ;MULTANI LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u112A5",  # ;MULTANI LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u112A6",  # ;MULTANI LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u112A7",  # ;MULTANI LETTER RRA;Lo;0;L;;;;;N;;;;;
        "\u112A8",  # ;MULTANI LETTER RHA;Lo;0;L;;;;;N;;;;;
        "\u112A9",  # ;MULTANI SECTION MARK;Po;0;L;;;;;N;;;;;
        "\u112B0",  # ;KHUDAWADI LETTER A;Lo;0;L;;;;;N;;;;;
        "\u112B1",  # ;KHUDAWADI LETTER AA;Lo;0;L;;;;;N;;;;;
        "\u112B2",  # ;KHUDAWADI LETTER I;Lo;0;L;;;;;N;;;;;
        "\u112B3",  # ;KHUDAWADI LETTER II;Lo;0;L;;;;;N;;;;;
        "\u112B4",  # ;KHUDAWADI LETTER U;Lo;0;L;;;;;N;;;;;
        "\u112B5",  # ;KHUDAWADI LETTER UU;Lo;0;L;;;;;N;;;;;
        "\u112B6",  # ;KHUDAWADI LETTER E;Lo;0;L;;;;;N;;;;;
        "\u112B7",  # ;KHUDAWADI LETTER AI;Lo;0;L;;;;;N;;;;;
        "\u112B8",  # ;KHUDAWADI LETTER O;Lo;0;L;;;;;N;;;;;
        "\u112B9",  # ;KHUDAWADI LETTER AU;Lo;0;L;;;;;N;;;;;
        "\u112BA",  # ;KHUDAWADI LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u112BB",  # ;KHUDAWADI LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u112BC",  # ;KHUDAWADI LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u112BD",  # ;KHUDAWADI LETTER GGA;Lo;0;L;;;;;N;;;;;
        "\u112BE",  # ;KHUDAWADI LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u112BF",  # ;KHUDAWADI LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u112C0",  # ;KHUDAWADI LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u112C1",  # ;KHUDAWADI LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u112C2",  # ;KHUDAWADI LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u112C3",  # ;KHUDAWADI LETTER JJA;Lo;0;L;;;;;N;;;;;
        "\u112C4",  # ;KHUDAWADI LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\u112C5",  # ;KHUDAWADI LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u112C6",  # ;KHUDAWADI LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u112C7",  # ;KHUDAWADI LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u112C8",  # ;KHUDAWADI LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u112C9",  # ;KHUDAWADI LETTER DDDA;Lo;0;L;;;;;N;;;;;
        "\u112CA",  # ;KHUDAWADI LETTER RRA;Lo;0;L;;;;;N;;;;;
        "\u112CB",  # ;KHUDAWADI LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\u112CC",  # ;KHUDAWADI LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u112CD",  # ;KHUDAWADI LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u112CE",  # ;KHUDAWADI LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u112CF",  # ;KHUDAWADI LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u112D0",  # ;KHUDAWADI LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u112D1",  # ;KHUDAWADI LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u112D2",  # ;KHUDAWADI LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u112D3",  # ;KHUDAWADI LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u112D4",  # ;KHUDAWADI LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u112D5",  # ;KHUDAWADI LETTER BBA;Lo;0;L;;;;;N;;;;;
        "\u112D6",  # ;KHUDAWADI LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u112D7",  # ;KHUDAWADI LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u112D8",  # ;KHUDAWADI LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u112D9",  # ;KHUDAWADI LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u112DA",  # ;KHUDAWADI LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u112DB",  # ;KHUDAWADI LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u112DC",  # ;KHUDAWADI LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u112DD",  # ;KHUDAWADI LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u112DE",  # ;KHUDAWADI LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u112DF",  # ;KHUDAWADI SIGN ANUSVARA;Mn;0;NSM;;;;;N;;;;;
        "\u112E0",  # ;KHUDAWADI VOWEL SIGN AA;Mc;0;L;;;;;N;;;;;
        "\u112E1",  # ;KHUDAWADI VOWEL SIGN I;Mc;0;L;;;;;N;;;;;
        "\u112E2",  # ;KHUDAWADI VOWEL SIGN II;Mc;0;L;;;;;N;;;;;
        "\u112E3",  # ;KHUDAWADI VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u112E4",  # ;KHUDAWADI VOWEL SIGN UU;Mn;0;NSM;;;;;N;;;;;
        "\u112E5",  # ;KHUDAWADI VOWEL SIGN E;Mn;0;NSM;;;;;N;;;;;
        "\u112E6",  # ;KHUDAWADI VOWEL SIGN AI;Mn;0;NSM;;;;;N;;;;;
        "\u112E7",  # ;KHUDAWADI VOWEL SIGN O;Mn;0;NSM;;;;;N;;;;;
        "\u112E8",  # ;KHUDAWADI VOWEL SIGN AU;Mn;0;NSM;;;;;N;;;;;
        "\u112E9",  # ;KHUDAWADI SIGN NUKTA;Mn;7;NSM;;;;;N;;;;;
        "\u112EA",  # ;KHUDAWADI SIGN VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\u112F0",  # ;KHUDAWADI DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u112F1",  # ;KHUDAWADI DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u112F2",  # ;KHUDAWADI DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u112F3",  # ;KHUDAWADI DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u112F4",  # ;KHUDAWADI DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u112F5",  # ;KHUDAWADI DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u112F6",  # ;KHUDAWADI DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u112F7",  # ;KHUDAWADI DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u112F8",  # ;KHUDAWADI DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u112F9",  # ;KHUDAWADI DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u11300",  # ;GRANTHA SIGN COMBINING ANUSVARA ABOVE;Mn;0;NSM;;;;;N;;;;;
        "\u11301",  # ;GRANTHA SIGN CANDRABINDU;Mn;0;NSM;;;;;N;;;;;
        "\u11302",  # ;GRANTHA SIGN ANUSVARA;Mc;0;L;;;;;N;;;;;
        "\u11303",  # ;GRANTHA SIGN VISARGA;Mc;0;L;;;;;N;;;;;
        "\u11305",  # ;GRANTHA LETTER A;Lo;0;L;;;;;N;;;;;
        "\u11306",  # ;GRANTHA LETTER AA;Lo;0;L;;;;;N;;;;;
        "\u11307",  # ;GRANTHA LETTER I;Lo;0;L;;;;;N;;;;;
        "\u11308",  # ;GRANTHA LETTER II;Lo;0;L;;;;;N;;;;;
        "\u11309",  # ;GRANTHA LETTER U;Lo;0;L;;;;;N;;;;;
        "\u1130A",  # ;GRANTHA LETTER UU;Lo;0;L;;;;;N;;;;;
        "\u1130B",  # ;GRANTHA LETTER VOCALIC R;Lo;0;L;;;;;N;;;;;
        "\u1130C",  # ;GRANTHA LETTER VOCALIC L;Lo;0;L;;;;;N;;;;;
        "\u1130F",  # ;GRANTHA LETTER EE;Lo;0;L;;;;;N;;;;;
        "\u11310",  # ;GRANTHA LETTER AI;Lo;0;L;;;;;N;;;;;
        "\u11313",  # ;GRANTHA LETTER OO;Lo;0;L;;;;;N;;;;;
        "\u11314",  # ;GRANTHA LETTER AU;Lo;0;L;;;;;N;;;;;
        "\u11315",  # ;GRANTHA LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u11316",  # ;GRANTHA LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u11317",  # ;GRANTHA LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u11318",  # ;GRANTHA LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u11319",  # ;GRANTHA LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u1131A",  # ;GRANTHA LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u1131B",  # ;GRANTHA LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u1131C",  # ;GRANTHA LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u1131D",  # ;GRANTHA LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\u1131E",  # ;GRANTHA LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u1131F",  # ;GRANTHA LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u11320",  # ;GRANTHA LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u11321",  # ;GRANTHA LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u11322",  # ;GRANTHA LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\u11323",  # ;GRANTHA LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u11324",  # ;GRANTHA LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u11325",  # ;GRANTHA LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u11326",  # ;GRANTHA LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u11327",  # ;GRANTHA LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u11328",  # ;GRANTHA LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u1132A",  # ;GRANTHA LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u1132B",  # ;GRANTHA LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u1132C",  # ;GRANTHA LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u1132D",  # ;GRANTHA LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u1132E",  # ;GRANTHA LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u1132F",  # ;GRANTHA LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u11330",  # ;GRANTHA LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u11332",  # ;GRANTHA LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u11333",  # ;GRANTHA LETTER LLA;Lo;0;L;;;;;N;;;;;
        "\u11335",  # ;GRANTHA LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u11336",  # ;GRANTHA LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u11337",  # ;GRANTHA LETTER SSA;Lo;0;L;;;;;N;;;;;
        "\u11338",  # ;GRANTHA LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u11339",  # ;GRANTHA LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u1133C",  # ;GRANTHA SIGN NUKTA;Mn;7;NSM;;;;;N;;;;;
        "\u1133D",  # ;GRANTHA SIGN AVAGRAHA;Lo;0;L;;;;;N;;;;;
        "\u1133E",  # ;GRANTHA VOWEL SIGN AA;Mc;0;L;;;;;N;;;;;
        "\u1133F",  # ;GRANTHA VOWEL SIGN I;Mc;0;L;;;;;N;;;;;
        "\u11340",  # ;GRANTHA VOWEL SIGN II;Mn;0;NSM;;;;;N;;;;;
        "\u11341",  # ;GRANTHA VOWEL SIGN U;Mc;0;L;;;;;N;;;;;
        "\u11342",  # ;GRANTHA VOWEL SIGN UU;Mc;0;L;;;;;N;;;;;
        "\u11343",  # ;GRANTHA VOWEL SIGN VOCALIC R;Mc;0;L;;;;;N;;;;;
        "\u11344",  # ;GRANTHA VOWEL SIGN VOCALIC RR;Mc;0;L;;;;;N;;;;;
        "\u11347",  # ;GRANTHA VOWEL SIGN EE;Mc;0;L;;;;;N;;;;;
        "\u11348",  # ;GRANTHA VOWEL SIGN AI;Mc;0;L;;;;;N;;;;;
        "\u1134B",  # ;GRANTHA VOWEL SIGN OO;Mc;0;L;11347 1133E;;;;N;;;;;
        "\u1134C",  # ;GRANTHA VOWEL SIGN AU;Mc;0;L;11347 11357;;;;N;;;;;
        "\u1134D",  # ;GRANTHA SIGN VIRAMA;Mc;9;L;;;;;N;;;;;
        "\u11350",  # ;GRANTHA OM;Lo;0;L;;;;;N;;;;;
        "\u11357",  # ;GRANTHA AU LENGTH MARK;Mc;0;L;;;;;N;;;;;
        "\u1135D",  # ;GRANTHA SIGN PLUTA;Lo;0;L;;;;;N;;;;;
        "\u1135E",  # ;GRANTHA LETTER VEDIC ANUSVARA;Lo;0;L;;;;;N;;;;;
        "\u1135F",  # ;GRANTHA LETTER VEDIC DOUBLE ANUSVARA;Lo;0;L;;;;;N;;;;;
        "\u11360",  # ;GRANTHA LETTER VOCALIC RR;Lo;0;L;;;;;N;;;;;
        "\u11361",  # ;GRANTHA LETTER VOCALIC LL;Lo;0;L;;;;;N;;;;;
        "\u11362",  # ;GRANTHA VOWEL SIGN VOCALIC L;Mc;0;L;;;;;N;;;;;
        "\u11363",  # ;GRANTHA VOWEL SIGN VOCALIC LL;Mc;0;L;;;;;N;;;;;
        "\u11366",  # ;COMBINING GRANTHA DIGIT ZERO;Mn;230;NSM;;;;;N;;;;;
        "\u11367",  # ;COMBINING GRANTHA DIGIT ONE;Mn;230;NSM;;;;;N;;;;;
        "\u11368",  # ;COMBINING GRANTHA DIGIT TWO;Mn;230;NSM;;;;;N;;;;;
        "\u11369",  # ;COMBINING GRANTHA DIGIT THREE;Mn;230;NSM;;;;;N;;;;;
        "\u1136A",  # ;COMBINING GRANTHA DIGIT FOUR;Mn;230;NSM;;;;;N;;;;;
        "\u1136B",  # ;COMBINING GRANTHA DIGIT FIVE;Mn;230;NSM;;;;;N;;;;;
        "\u1136C",  # ;COMBINING GRANTHA DIGIT SIX;Mn;230;NSM;;;;;N;;;;;
        "\u11370",  # ;COMBINING GRANTHA LETTER A;Mn;230;NSM;;;;;N;;;;;
        "\u11371",  # ;COMBINING GRANTHA LETTER KA;Mn;230;NSM;;;;;N;;;;;
        "\u11372",  # ;COMBINING GRANTHA LETTER NA;Mn;230;NSM;;;;;N;;;;;
        "\u11373",  # ;COMBINING GRANTHA LETTER VI;Mn;230;NSM;;;;;N;;;;;
        "\u11374",  # ;COMBINING GRANTHA LETTER PA;Mn;230;NSM;;;;;N;;;;;
        "\u11400",  # ;NEWA LETTER A;Lo;0;L;;;;;N;;;;;
        "\u11401",  # ;NEWA LETTER AA;Lo;0;L;;;;;N;;;;;
        "\u11402",  # ;NEWA LETTER I;Lo;0;L;;;;;N;;;;;
        "\u11403",  # ;NEWA LETTER II;Lo;0;L;;;;;N;;;;;
        "\u11404",  # ;NEWA LETTER U;Lo;0;L;;;;;N;;;;;
        "\u11405",  # ;NEWA LETTER UU;Lo;0;L;;;;;N;;;;;
        "\u11406",  # ;NEWA LETTER VOCALIC R;Lo;0;L;;;;;N;;;;;
        "\u11407",  # ;NEWA LETTER VOCALIC RR;Lo;0;L;;;;;N;;;;;
        "\u11408",  # ;NEWA LETTER VOCALIC L;Lo;0;L;;;;;N;;;;;
        "\u11409",  # ;NEWA LETTER VOCALIC LL;Lo;0;L;;;;;N;;;;;
        "\u1140A",  # ;NEWA LETTER E;Lo;0;L;;;;;N;;;;;
        "\u1140B",  # ;NEWA LETTER AI;Lo;0;L;;;;;N;;;;;
        "\u1140C",  # ;NEWA LETTER O;Lo;0;L;;;;;N;;;;;
        "\u1140D",  # ;NEWA LETTER AU;Lo;0;L;;;;;N;;;;;
        "\u1140E",  # ;NEWA LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u1140F",  # ;NEWA LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u11410",  # ;NEWA LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u11411",  # ;NEWA LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u11412",  # ;NEWA LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u11413",  # ;NEWA LETTER NGHA;Lo;0;L;;;;;N;;;;;
        "\u11414",  # ;NEWA LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u11415",  # ;NEWA LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u11416",  # ;NEWA LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u11417",  # ;NEWA LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\u11418",  # ;NEWA LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u11419",  # ;NEWA LETTER NYHA;Lo;0;L;;;;;N;;;;;
        "\u1141A",  # ;NEWA LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u1141B",  # ;NEWA LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u1141C",  # ;NEWA LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u1141D",  # ;NEWA LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\u1141E",  # ;NEWA LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u1141F",  # ;NEWA LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u11420",  # ;NEWA LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u11421",  # ;NEWA LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u11422",  # ;NEWA LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u11423",  # ;NEWA LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u11424",  # ;NEWA LETTER NHA;Lo;0;L;;;;;N;;;;;
        "\u11425",  # ;NEWA LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u11426",  # ;NEWA LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u11427",  # ;NEWA LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u11428",  # ;NEWA LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u11429",  # ;NEWA LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u1142A",  # ;NEWA LETTER MHA;Lo;0;L;;;;;N;;;;;
        "\u1142B",  # ;NEWA LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u1142C",  # ;NEWA LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u1142D",  # ;NEWA LETTER RHA;Lo;0;L;;;;;N;;;;;
        "\u1142E",  # ;NEWA LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u1142F",  # ;NEWA LETTER LHA;Lo;0;L;;;;;N;;;;;
        "\u11430",  # ;NEWA LETTER WA;Lo;0;L;;;;;N;;;;;
        "\u11431",  # ;NEWA LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u11432",  # ;NEWA LETTER SSA;Lo;0;L;;;;;N;;;;;
        "\u11433",  # ;NEWA LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u11434",  # ;NEWA LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u11435",  # ;NEWA VOWEL SIGN AA;Mc;0;L;;;;;N;;;;;
        "\u11436",  # ;NEWA VOWEL SIGN I;Mc;0;L;;;;;N;;;;;
        "\u11437",  # ;NEWA VOWEL SIGN II;Mc;0;L;;;;;N;;;;;
        "\u11438",  # ;NEWA VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u11439",  # ;NEWA VOWEL SIGN UU;Mn;0;NSM;;;;;N;;;;;
        "\u1143A",  # ;NEWA VOWEL SIGN VOCALIC R;Mn;0;NSM;;;;;N;;;;;
        "\u1143B",  # ;NEWA VOWEL SIGN VOCALIC RR;Mn;0;NSM;;;;;N;;;;;
        "\u1143C",  # ;NEWA VOWEL SIGN VOCALIC L;Mn;0;NSM;;;;;N;;;;;
        "\u1143D",  # ;NEWA VOWEL SIGN VOCALIC LL;Mn;0;NSM;;;;;N;;;;;
        "\u1143E",  # ;NEWA VOWEL SIGN E;Mn;0;NSM;;;;;N;;;;;
        "\u1143F",  # ;NEWA VOWEL SIGN AI;Mn;0;NSM;;;;;N;;;;;
        "\u11440",  # ;NEWA VOWEL SIGN O;Mc;0;L;;;;;N;;;;;
        "\u11441",  # ;NEWA VOWEL SIGN AU;Mc;0;L;;;;;N;;;;;
        "\u11442",  # ;NEWA SIGN VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\u11443",  # ;NEWA SIGN CANDRABINDU;Mn;0;NSM;;;;;N;;;;;
        "\u11444",  # ;NEWA SIGN ANUSVARA;Mn;0;NSM;;;;;N;;;;;
        "\u11445",  # ;NEWA SIGN VISARGA;Mc;0;L;;;;;N;;;;;
        "\u11446",  # ;NEWA SIGN NUKTA;Mn;7;NSM;;;;;N;;;;;
        "\u11447",  # ;NEWA SIGN AVAGRAHA;Lo;0;L;;;;;N;;;;;
        "\u11448",  # ;NEWA SIGN FINAL ANUSVARA;Lo;0;L;;;;;N;;;;;
        "\u11449",  # ;NEWA OM;Lo;0;L;;;;;N;;;;;
        "\u1144A",  # ;NEWA SIDDHI;Lo;0;L;;;;;N;;;;;
        "\u1144B",  # ;NEWA DANDA;Po;0;L;;;;;N;;;;;
        "\u1144C",  # ;NEWA DOUBLE DANDA;Po;0;L;;;;;N;;;;;
        "\u1144D",  # ;NEWA COMMA;Po;0;L;;;;;N;;;;;
        "\u1144E",  # ;NEWA GAP FILLER;Po;0;L;;;;;N;;;;;
        "\u1144F",  # ;NEWA ABBREVIATION SIGN;Po;0;L;;;;;N;;;;;
        "\u11450",  # ;NEWA DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u11451",  # ;NEWA DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u11452",  # ;NEWA DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u11453",  # ;NEWA DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u11454",  # ;NEWA DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u11455",  # ;NEWA DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u11456",  # ;NEWA DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u11457",  # ;NEWA DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u11458",  # ;NEWA DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u11459",  # ;NEWA DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u1145B",  # ;NEWA PLACEHOLDER MARK;Po;0;L;;;;;N;;;;;
        "\u1145D",  # ;NEWA INSERTION SIGN;Po;0;L;;;;;N;;;;;
        "\u11480",  # ;TIRHUTA ANJI;Lo;0;L;;;;;N;;;;;
        "\u11481",  # ;TIRHUTA LETTER A;Lo;0;L;;;;;N;;;;;
        "\u11482",  # ;TIRHUTA LETTER AA;Lo;0;L;;;;;N;;;;;
        "\u11483",  # ;TIRHUTA LETTER I;Lo;0;L;;;;;N;;;;;
        "\u11484",  # ;TIRHUTA LETTER II;Lo;0;L;;;;;N;;;;;
        "\u11485",  # ;TIRHUTA LETTER U;Lo;0;L;;;;;N;;;;;
        "\u11486",  # ;TIRHUTA LETTER UU;Lo;0;L;;;;;N;;;;;
        "\u11487",  # ;TIRHUTA LETTER VOCALIC R;Lo;0;L;;;;;N;;;;;
        "\u11488",  # ;TIRHUTA LETTER VOCALIC RR;Lo;0;L;;;;;N;;;;;
        "\u11489",  # ;TIRHUTA LETTER VOCALIC L;Lo;0;L;;;;;N;;;;;
        "\u1148A",  # ;TIRHUTA LETTER VOCALIC LL;Lo;0;L;;;;;N;;;;;
        "\u1148B",  # ;TIRHUTA LETTER E;Lo;0;L;;;;;N;;;;;
        "\u1148C",  # ;TIRHUTA LETTER AI;Lo;0;L;;;;;N;;;;;
        "\u1148D",  # ;TIRHUTA LETTER O;Lo;0;L;;;;;N;;;;;
        "\u1148E",  # ;TIRHUTA LETTER AU;Lo;0;L;;;;;N;;;;;
        "\u1148F",  # ;TIRHUTA LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u11490",  # ;TIRHUTA LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u11491",  # ;TIRHUTA LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u11492",  # ;TIRHUTA LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u11493",  # ;TIRHUTA LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u11494",  # ;TIRHUTA LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u11495",  # ;TIRHUTA LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u11496",  # ;TIRHUTA LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u11497",  # ;TIRHUTA LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\u11498",  # ;TIRHUTA LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u11499",  # ;TIRHUTA LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u1149A",  # ;TIRHUTA LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u1149B",  # ;TIRHUTA LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u1149C",  # ;TIRHUTA LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\u1149D",  # ;TIRHUTA LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u1149E",  # ;TIRHUTA LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u1149F",  # ;TIRHUTA LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u114A0",  # ;TIRHUTA LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u114A1",  # ;TIRHUTA LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u114A2",  # ;TIRHUTA LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u114A3",  # ;TIRHUTA LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u114A4",  # ;TIRHUTA LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u114A5",  # ;TIRHUTA LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u114A6",  # ;TIRHUTA LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u114A7",  # ;TIRHUTA LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u114A8",  # ;TIRHUTA LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u114A9",  # ;TIRHUTA LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u114AA",  # ;TIRHUTA LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u114AB",  # ;TIRHUTA LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u114AC",  # ;TIRHUTA LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u114AD",  # ;TIRHUTA LETTER SSA;Lo;0;L;;;;;N;;;;;
        "\u114AE",  # ;TIRHUTA LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u114AF",  # ;TIRHUTA LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u114B0",  # ;TIRHUTA VOWEL SIGN AA;Mc;0;L;;;;;N;;;;;
        "\u114B1",  # ;TIRHUTA VOWEL SIGN I;Mc;0;L;;;;;N;;;;;
        "\u114B2",  # ;TIRHUTA VOWEL SIGN II;Mc;0;L;;;;;N;;;;;
        "\u114B3",  # ;TIRHUTA VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u114B4",  # ;TIRHUTA VOWEL SIGN UU;Mn;0;NSM;;;;;N;;;;;
        "\u114B5",  # ;TIRHUTA VOWEL SIGN VOCALIC R;Mn;0;NSM;;;;;N;;;;;
        "\u114B6",  # ;TIRHUTA VOWEL SIGN VOCALIC RR;Mn;0;NSM;;;;;N;;;;;
        "\u114B7",  # ;TIRHUTA VOWEL SIGN VOCALIC L;Mn;0;NSM;;;;;N;;;;;
        "\u114B8",  # ;TIRHUTA VOWEL SIGN VOCALIC LL;Mn;0;NSM;;;;;N;;;;;
        "\u114B9",  # ;TIRHUTA VOWEL SIGN E;Mc;0;L;;;;;N;;;;;
        "\u114BA",  # ;TIRHUTA VOWEL SIGN SHORT E;Mn;0;NSM;;;;;N;;;;;
        "\u114BB",  # ;TIRHUTA VOWEL SIGN AI;Mc;0;L;114B9 114BA;;;;N;;;;;
        "\u114BC",  # ;TIRHUTA VOWEL SIGN O;Mc;0;L;114B9 114B0;;;;N;;;;;
        "\u114BD",  # ;TIRHUTA VOWEL SIGN SHORT O;Mc;0;L;;;;;N;;;;;
        "\u114BE",  # ;TIRHUTA VOWEL SIGN AU;Mc;0;L;114B9 114BD;;;;N;;;;;
        "\u114BF",  # ;TIRHUTA SIGN CANDRABINDU;Mn;0;NSM;;;;;N;;;;;
        "\u114C0",  # ;TIRHUTA SIGN ANUSVARA;Mn;0;NSM;;;;;N;;;;;
        "\u114C1",  # ;TIRHUTA SIGN VISARGA;Mc;0;L;;;;;N;;;;;
        "\u114C2",  # ;TIRHUTA SIGN VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\u114C3",  # ;TIRHUTA SIGN NUKTA;Mn;7;NSM;;;;;N;;;;;
        "\u114C4",  # ;TIRHUTA SIGN AVAGRAHA;Lo;0;L;;;;;N;;;;;
        "\u114C5",  # ;TIRHUTA GVANG;Lo;0;L;;;;;N;;;;;
        "\u114C6",  # ;TIRHUTA ABBREVIATION SIGN;Po;0;L;;;;;N;;;;;
        "\u114C7",  # ;TIRHUTA OM;Lo;0;L;;;;;N;;;;;
        "\u114D0",  # ;TIRHUTA DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u114D1",  # ;TIRHUTA DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u114D2",  # ;TIRHUTA DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u114D3",  # ;TIRHUTA DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u114D4",  # ;TIRHUTA DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u114D5",  # ;TIRHUTA DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u114D6",  # ;TIRHUTA DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u114D7",  # ;TIRHUTA DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u114D8",  # ;TIRHUTA DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u114D9",  # ;TIRHUTA DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u11580",  # ;SIDDHAM LETTER A;Lo;0;L;;;;;N;;;;;
        "\u11581",  # ;SIDDHAM LETTER AA;Lo;0;L;;;;;N;;;;;
        "\u11582",  # ;SIDDHAM LETTER I;Lo;0;L;;;;;N;;;;;
        "\u11583",  # ;SIDDHAM LETTER II;Lo;0;L;;;;;N;;;;;
        "\u11584",  # ;SIDDHAM LETTER U;Lo;0;L;;;;;N;;;;;
        "\u11585",  # ;SIDDHAM LETTER UU;Lo;0;L;;;;;N;;;;;
        "\u11586",  # ;SIDDHAM LETTER VOCALIC R;Lo;0;L;;;;;N;;;;;
        "\u11587",  # ;SIDDHAM LETTER VOCALIC RR;Lo;0;L;;;;;N;;;;;
        "\u11588",  # ;SIDDHAM LETTER VOCALIC L;Lo;0;L;;;;;N;;;;;
        "\u11589",  # ;SIDDHAM LETTER VOCALIC LL;Lo;0;L;;;;;N;;;;;
        "\u1158A",  # ;SIDDHAM LETTER E;Lo;0;L;;;;;N;;;;;
        "\u1158B",  # ;SIDDHAM LETTER AI;Lo;0;L;;;;;N;;;;;
        "\u1158C",  # ;SIDDHAM LETTER O;Lo;0;L;;;;;N;;;;;
        "\u1158D",  # ;SIDDHAM LETTER AU;Lo;0;L;;;;;N;;;;;
        "\u1158E",  # ;SIDDHAM LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u1158F",  # ;SIDDHAM LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u11590",  # ;SIDDHAM LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u11591",  # ;SIDDHAM LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u11592",  # ;SIDDHAM LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u11593",  # ;SIDDHAM LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u11594",  # ;SIDDHAM LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u11595",  # ;SIDDHAM LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u11596",  # ;SIDDHAM LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\u11597",  # ;SIDDHAM LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u11598",  # ;SIDDHAM LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u11599",  # ;SIDDHAM LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u1159A",  # ;SIDDHAM LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u1159B",  # ;SIDDHAM LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\u1159C",  # ;SIDDHAM LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u1159D",  # ;SIDDHAM LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u1159E",  # ;SIDDHAM LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u1159F",  # ;SIDDHAM LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u115A0",  # ;SIDDHAM LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u115A1",  # ;SIDDHAM LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u115A2",  # ;SIDDHAM LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u115A3",  # ;SIDDHAM LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u115A4",  # ;SIDDHAM LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u115A5",  # ;SIDDHAM LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u115A6",  # ;SIDDHAM LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u115A7",  # ;SIDDHAM LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u115A8",  # ;SIDDHAM LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u115A9",  # ;SIDDHAM LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u115AA",  # ;SIDDHAM LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u115AB",  # ;SIDDHAM LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u115AC",  # ;SIDDHAM LETTER SSA;Lo;0;L;;;;;N;;;;;
        "\u115AD",  # ;SIDDHAM LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u115AE",  # ;SIDDHAM LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u115AF",  # ;SIDDHAM VOWEL SIGN AA;Mc;0;L;;;;;N;;;;;
        "\u115B0",  # ;SIDDHAM VOWEL SIGN I;Mc;0;L;;;;;N;;;;;
        "\u115B1",  # ;SIDDHAM VOWEL SIGN II;Mc;0;L;;;;;N;;;;;
        "\u115B2",  # ;SIDDHAM VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u115B3",  # ;SIDDHAM VOWEL SIGN UU;Mn;0;NSM;;;;;N;;;;;
        "\u115B4",  # ;SIDDHAM VOWEL SIGN VOCALIC R;Mn;0;NSM;;;;;N;;;;;
        "\u115B5",  # ;SIDDHAM VOWEL SIGN VOCALIC RR;Mn;0;NSM;;;;;N;;;;;
        "\u115B8",  # ;SIDDHAM VOWEL SIGN E;Mc;0;L;;;;;N;;;;;
        "\u115B9",  # ;SIDDHAM VOWEL SIGN AI;Mc;0;L;;;;;N;;;;;
        "\u115BA",  # ;SIDDHAM VOWEL SIGN O;Mc;0;L;115B8 115AF;;;;N;;;;;
        "\u115BB",  # ;SIDDHAM VOWEL SIGN AU;Mc;0;L;115B9 115AF;;;;N;;;;;
        "\u115BC",  # ;SIDDHAM SIGN CANDRABINDU;Mn;0;NSM;;;;;N;;;;;
        "\u115BD",  # ;SIDDHAM SIGN ANUSVARA;Mn;0;NSM;;;;;N;;;;;
        "\u115BE",  # ;SIDDHAM SIGN VISARGA;Mc;0;L;;;;;N;;;;;
        "\u115BF",  # ;SIDDHAM SIGN VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\u115C0",  # ;SIDDHAM SIGN NUKTA;Mn;7;NSM;;;;;N;;;;;
        "\u115C1",  # ;SIDDHAM SIGN SIDDHAM;Po;0;L;;;;;N;;;;;
        "\u115C2",  # ;SIDDHAM DANDA;Po;0;L;;;;;N;;;;;
        "\u115C3",  # ;SIDDHAM DOUBLE DANDA;Po;0;L;;;;;N;;;;;
        "\u115C4",  # ;SIDDHAM SEPARATOR DOT;Po;0;L;;;;;N;;;;;
        "\u115C5",  # ;SIDDHAM SEPARATOR BAR;Po;0;L;;;;;N;;;;;
        "\u115C6",  # ;SIDDHAM REPETITION MARK-1;Po;0;L;;;;;N;;;;;
        "\u115C7",  # ;SIDDHAM REPETITION MARK-2;Po;0;L;;;;;N;;;;;
        "\u115C8",  # ;SIDDHAM REPETITION MARK-3;Po;0;L;;;;;N;;;;;
        "\u115C9",  # ;SIDDHAM END OF TEXT MARK;Po;0;L;;;;;N;;;;;
        "\u115CA",  # ;SIDDHAM SECTION MARK WITH TRIDENT AND U-SHAPED ORNAMENTS;Po;0;L;;;;;N;;;;;
        "\u115CB",  # ;SIDDHAM SECTION MARK WITH TRIDENT AND DOTTED CRESCENTS;Po;0;L;;;;;N;;;;;
        "\u115CC",  # ;SIDDHAM SECTION MARK WITH RAYS AND DOTTED CRESCENTS;Po;0;L;;;;;N;;;;;
        "\u115CD",  # ;SIDDHAM SECTION MARK WITH RAYS AND DOTTED DOUBLE CRESCENTS;Po;0;L;;;;;N;;;;;
        "\u115CE",  # ;SIDDHAM SECTION MARK WITH RAYS AND DOTTED TRIPLE CRESCENTS;Po;0;L;;;;;N;;;;;
        "\u115CF",  # ;SIDDHAM SECTION MARK DOUBLE RING;Po;0;L;;;;;N;;;;;
        "\u115D0",  # ;SIDDHAM SECTION MARK DOUBLE RING WITH RAYS;Po;0;L;;;;;N;;;;;
        "\u115D1",  # ;SIDDHAM SECTION MARK WITH DOUBLE CRESCENTS;Po;0;L;;;;;N;;;;;
        "\u115D2",  # ;SIDDHAM SECTION MARK WITH TRIPLE CRESCENTS;Po;0;L;;;;;N;;;;;
        "\u115D3",  # ;SIDDHAM SECTION MARK WITH QUADRUPLE CRESCENTS;Po;0;L;;;;;N;;;;;
        "\u115D4",  # ;SIDDHAM SECTION MARK WITH SEPTUPLE CRESCENTS;Po;0;L;;;;;N;;;;;
        "\u115D5",  # ;SIDDHAM SECTION MARK WITH CIRCLES AND RAYS;Po;0;L;;;;;N;;;;;
        "\u115D6",  # ;SIDDHAM SECTION MARK WITH CIRCLES AND TWO ENCLOSURES;Po;0;L;;;;;N;;;;;
        "\u115D7",  # ;SIDDHAM SECTION MARK WITH CIRCLES AND FOUR ENCLOSURES;Po;0;L;;;;;N;;;;;
        "\u115D8",  # ;SIDDHAM LETTER THREE-CIRCLE ALTERNATE I;Lo;0;L;;;;;N;;;;;
        "\u115D9",  # ;SIDDHAM LETTER TWO-CIRCLE ALTERNATE I;Lo;0;L;;;;;N;;;;;
        "\u115DA",  # ;SIDDHAM LETTER TWO-CIRCLE ALTERNATE II;Lo;0;L;;;;;N;;;;;
        "\u115DB",  # ;SIDDHAM LETTER ALTERNATE U;Lo;0;L;;;;;N;;;;;
        "\u115DC",  # ;SIDDHAM VOWEL SIGN ALTERNATE U;Mn;0;NSM;;;;;N;;;;;
        "\u115DD",  # ;SIDDHAM VOWEL SIGN ALTERNATE UU;Mn;0;NSM;;;;;N;;;;;
        "\u11600",  # ;MODI LETTER A;Lo;0;L;;;;;N;;;;;
        "\u11601",  # ;MODI LETTER AA;Lo;0;L;;;;;N;;;;;
        "\u11602",  # ;MODI LETTER I;Lo;0;L;;;;;N;;;;;
        "\u11603",  # ;MODI LETTER II;Lo;0;L;;;;;N;;;;;
        "\u11604",  # ;MODI LETTER U;Lo;0;L;;;;;N;;;;;
        "\u11605",  # ;MODI LETTER UU;Lo;0;L;;;;;N;;;;;
        "\u11606",  # ;MODI LETTER VOCALIC R;Lo;0;L;;;;;N;;;;;
        "\u11607",  # ;MODI LETTER VOCALIC RR;Lo;0;L;;;;;N;;;;;
        "\u11608",  # ;MODI LETTER VOCALIC L;Lo;0;L;;;;;N;;;;;
        "\u11609",  # ;MODI LETTER VOCALIC LL;Lo;0;L;;;;;N;;;;;
        "\u1160A",  # ;MODI LETTER E;Lo;0;L;;;;;N;;;;;
        "\u1160B",  # ;MODI LETTER AI;Lo;0;L;;;;;N;;;;;
        "\u1160C",  # ;MODI LETTER O;Lo;0;L;;;;;N;;;;;
        "\u1160D",  # ;MODI LETTER AU;Lo;0;L;;;;;N;;;;;
        "\u1160E",  # ;MODI LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u1160F",  # ;MODI LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u11610",  # ;MODI LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u11611",  # ;MODI LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u11612",  # ;MODI LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u11613",  # ;MODI LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u11614",  # ;MODI LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u11615",  # ;MODI LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u11616",  # ;MODI LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\u11617",  # ;MODI LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u11618",  # ;MODI LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u11619",  # ;MODI LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u1161A",  # ;MODI LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u1161B",  # ;MODI LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\u1161C",  # ;MODI LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u1161D",  # ;MODI LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u1161E",  # ;MODI LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u1161F",  # ;MODI LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u11620",  # ;MODI LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u11621",  # ;MODI LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u11622",  # ;MODI LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u11623",  # ;MODI LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u11624",  # ;MODI LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u11625",  # ;MODI LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u11626",  # ;MODI LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u11627",  # ;MODI LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u11628",  # ;MODI LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u11629",  # ;MODI LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u1162A",  # ;MODI LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u1162B",  # ;MODI LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u1162C",  # ;MODI LETTER SSA;Lo;0;L;;;;;N;;;;;
        "\u1162D",  # ;MODI LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u1162E",  # ;MODI LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u1162F",  # ;MODI LETTER LLA;Lo;0;L;;;;;N;;;;;
        "\u11630",  # ;MODI VOWEL SIGN AA;Mc;0;L;;;;;N;;;;;
        "\u11631",  # ;MODI VOWEL SIGN I;Mc;0;L;;;;;N;;;;;
        "\u11632",  # ;MODI VOWEL SIGN II;Mc;0;L;;;;;N;;;;;
        "\u11633",  # ;MODI VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u11634",  # ;MODI VOWEL SIGN UU;Mn;0;NSM;;;;;N;;;;;
        "\u11635",  # ;MODI VOWEL SIGN VOCALIC R;Mn;0;NSM;;;;;N;;;;;
        "\u11636",  # ;MODI VOWEL SIGN VOCALIC RR;Mn;0;NSM;;;;;N;;;;;
        "\u11637",  # ;MODI VOWEL SIGN VOCALIC L;Mn;0;NSM;;;;;N;;;;;
        "\u11638",  # ;MODI VOWEL SIGN VOCALIC LL;Mn;0;NSM;;;;;N;;;;;
        "\u11639",  # ;MODI VOWEL SIGN E;Mn;0;NSM;;;;;N;;;;;
        "\u1163A",  # ;MODI VOWEL SIGN AI;Mn;0;NSM;;;;;N;;;;;
        "\u1163B",  # ;MODI VOWEL SIGN O;Mc;0;L;;;;;N;;;;;
        "\u1163C",  # ;MODI VOWEL SIGN AU;Mc;0;L;;;;;N;;;;;
        "\u1163D",  # ;MODI SIGN ANUSVARA;Mn;0;NSM;;;;;N;;;;;
        "\u1163E",  # ;MODI SIGN VISARGA;Mc;0;L;;;;;N;;;;;
        "\u1163F",  # ;MODI SIGN VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\u11640",  # ;MODI SIGN ARDHACANDRA;Mn;0;NSM;;;;;N;;;;;
        "\u11641",  # ;MODI DANDA;Po;0;L;;;;;N;;;;;
        "\u11642",  # ;MODI DOUBLE DANDA;Po;0;L;;;;;N;;;;;
        "\u11643",  # ;MODI ABBREVIATION SIGN;Po;0;L;;;;;N;;;;;
        "\u11644",  # ;MODI SIGN HUVA;Lo;0;L;;;;;N;;;;;
        "\u11650",  # ;MODI DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u11651",  # ;MODI DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u11652",  # ;MODI DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u11653",  # ;MODI DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u11654",  # ;MODI DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u11655",  # ;MODI DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u11656",  # ;MODI DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u11657",  # ;MODI DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u11658",  # ;MODI DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u11659",  # ;MODI DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u11660",  # ;MONGOLIAN BIRGA WITH ORNAMENT;Po;0;ON;;;;;N;;;;;
        "\u11661",  # ;MONGOLIAN ROTATED BIRGA;Po;0;ON;;;;;N;;;;;
        "\u11662",  # ;MONGOLIAN DOUBLE BIRGA WITH ORNAMENT;Po;0;ON;;;;;N;;;;;
        "\u11663",  # ;MONGOLIAN TRIPLE BIRGA WITH ORNAMENT;Po;0;ON;;;;;N;;;;;
        "\u11664",  # ;MONGOLIAN BIRGA WITH DOUBLE ORNAMENT;Po;0;ON;;;;;N;;;;;
        "\u11665",  # ;MONGOLIAN ROTATED BIRGA WITH ORNAMENT;Po;0;ON;;;;;N;;;;;
        "\u11666",  # ;MONGOLIAN ROTATED BIRGA WITH DOUBLE ORNAMENT;Po;0;ON;;;;;N;;;;;
        "\u11667",  # ;MONGOLIAN INVERTED BIRGA;Po;0;ON;;;;;N;;;;;
        "\u11668",  # ;MONGOLIAN INVERTED BIRGA WITH DOUBLE ORNAMENT;Po;0;ON;;;;;N;;;;;
        "\u11669",  # ;MONGOLIAN SWIRL BIRGA;Po;0;ON;;;;;N;;;;;
        "\u1166A",  # ;MONGOLIAN SWIRL BIRGA WITH ORNAMENT;Po;0;ON;;;;;N;;;;;
        "\u1166B",  # ;MONGOLIAN SWIRL BIRGA WITH DOUBLE ORNAMENT;Po;0;ON;;;;;N;;;;;
        "\u1166C",  # ;MONGOLIAN TURNED SWIRL BIRGA WITH DOUBLE ORNAMENT;Po;0;ON;;;;;N;;;;;
        "\u11680",  # ;TAKRI LETTER A;Lo;0;L;;;;;N;;;;;
        "\u11681",  # ;TAKRI LETTER AA;Lo;0;L;;;;;N;;;;;
        "\u11682",  # ;TAKRI LETTER I;Lo;0;L;;;;;N;;;;;
        "\u11683",  # ;TAKRI LETTER II;Lo;0;L;;;;;N;;;;;
        "\u11684",  # ;TAKRI LETTER U;Lo;0;L;;;;;N;;;;;
        "\u11685",  # ;TAKRI LETTER UU;Lo;0;L;;;;;N;;;;;
        "\u11686",  # ;TAKRI LETTER E;Lo;0;L;;;;;N;;;;;
        "\u11687",  # ;TAKRI LETTER AI;Lo;0;L;;;;;N;;;;;
        "\u11688",  # ;TAKRI LETTER O;Lo;0;L;;;;;N;;;;;
        "\u11689",  # ;TAKRI LETTER AU;Lo;0;L;;;;;N;;;;;
        "\u1168A",  # ;TAKRI LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u1168B",  # ;TAKRI LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u1168C",  # ;TAKRI LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u1168D",  # ;TAKRI LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u1168E",  # ;TAKRI LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u1168F",  # ;TAKRI LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u11690",  # ;TAKRI LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u11691",  # ;TAKRI LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u11692",  # ;TAKRI LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\u11693",  # ;TAKRI LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u11694",  # ;TAKRI LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u11695",  # ;TAKRI LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u11696",  # ;TAKRI LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u11697",  # ;TAKRI LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\u11698",  # ;TAKRI LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u11699",  # ;TAKRI LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u1169A",  # ;TAKRI LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u1169B",  # ;TAKRI LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u1169C",  # ;TAKRI LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u1169D",  # ;TAKRI LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u1169E",  # ;TAKRI LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u1169F",  # ;TAKRI LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u116A0",  # ;TAKRI LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u116A1",  # ;TAKRI LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u116A2",  # ;TAKRI LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u116A3",  # ;TAKRI LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u116A4",  # ;TAKRI LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u116A5",  # ;TAKRI LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u116A6",  # ;TAKRI LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u116A7",  # ;TAKRI LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u116A8",  # ;TAKRI LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u116A9",  # ;TAKRI LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u116AA",  # ;TAKRI LETTER RRA;Lo;0;L;;;;;N;;;;;
        "\u116AB",  # ;TAKRI SIGN ANUSVARA;Mn;0;NSM;;;;;N;;;;;
        "\u116AC",  # ;TAKRI SIGN VISARGA;Mc;0;L;;;;;N;;;;;
        "\u116AD",  # ;TAKRI VOWEL SIGN AA;Mn;0;NSM;;;;;N;;;;;
        "\u116AE",  # ;TAKRI VOWEL SIGN I;Mc;0;L;;;;;N;;;;;
        "\u116AF",  # ;TAKRI VOWEL SIGN II;Mc;0;L;;;;;N;;;;;
        "\u116B0",  # ;TAKRI VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u116B1",  # ;TAKRI VOWEL SIGN UU;Mn;0;NSM;;;;;N;;;;;
        "\u116B2",  # ;TAKRI VOWEL SIGN E;Mn;0;NSM;;;;;N;;;;;
        "\u116B3",  # ;TAKRI VOWEL SIGN AI;Mn;0;NSM;;;;;N;;;;;
        "\u116B4",  # ;TAKRI VOWEL SIGN O;Mn;0;NSM;;;;;N;;;;;
        "\u116B5",  # ;TAKRI VOWEL SIGN AU;Mn;0;NSM;;;;;N;;;;;
        "\u116B6",  # ;TAKRI SIGN VIRAMA;Mc;9;L;;;;;N;;;;;
        "\u116B7",  # ;TAKRI SIGN NUKTA;Mn;7;NSM;;;;;N;;;;;
        "\u116C0",  # ;TAKRI DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u116C1",  # ;TAKRI DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u116C2",  # ;TAKRI DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u116C3",  # ;TAKRI DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u116C4",  # ;TAKRI DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u116C5",  # ;TAKRI DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u116C6",  # ;TAKRI DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u116C7",  # ;TAKRI DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u116C8",  # ;TAKRI DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u116C9",  # ;TAKRI DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u11700",  # ;AHOM LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u11701",  # ;AHOM LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u11702",  # ;AHOM LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u11703",  # ;AHOM LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u11704",  # ;AHOM LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u11705",  # ;AHOM LETTER ALTERNATE TA;Lo;0;L;;;;;N;;;;;
        "\u11706",  # ;AHOM LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u11707",  # ;AHOM LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u11708",  # ;AHOM LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u11709",  # ;AHOM LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u1170A",  # ;AHOM LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u1170B",  # ;AHOM LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u1170C",  # ;AHOM LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u1170D",  # ;AHOM LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u1170E",  # ;AHOM LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u1170F",  # ;AHOM LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u11710",  # ;AHOM LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u11711",  # ;AHOM LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u11712",  # ;AHOM LETTER A;Lo;0;L;;;;;N;;;;;
        "\u11713",  # ;AHOM LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u11714",  # ;AHOM LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u11715",  # ;AHOM LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u11716",  # ;AHOM LETTER ALTERNATE GA;Lo;0;L;;;;;N;;;;;
        "\u11717",  # ;AHOM LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u11718",  # ;AHOM LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u11719",  # ;AHOM LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\u1171D",  # ;AHOM CONSONANT SIGN MEDIAL LA;Mn;0;NSM;;;;;N;;;;;
        "\u1171E",  # ;AHOM CONSONANT SIGN MEDIAL RA;Mn;0;NSM;;;;;N;;;;;
        "\u1171F",  # ;AHOM CONSONANT SIGN MEDIAL LIGATING RA;Mn;0;NSM;;;;;N;;;;;
        "\u11720",  # ;AHOM VOWEL SIGN A;Mc;0;L;;;;;N;;;;;
        "\u11721",  # ;AHOM VOWEL SIGN AA;Mc;0;L;;;;;N;;;;;
        "\u11722",  # ;AHOM VOWEL SIGN I;Mn;0;NSM;;;;;N;;;;;
        "\u11723",  # ;AHOM VOWEL SIGN II;Mn;0;NSM;;;;;N;;;;;
        "\u11724",  # ;AHOM VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u11725",  # ;AHOM VOWEL SIGN UU;Mn;0;NSM;;;;;N;;;;;
        "\u11726",  # ;AHOM VOWEL SIGN E;Mc;0;L;;;;;N;;;;;
        "\u11727",  # ;AHOM VOWEL SIGN AW;Mn;0;NSM;;;;;N;;;;;
        "\u11728",  # ;AHOM VOWEL SIGN O;Mn;0;NSM;;;;;N;;;;;
        "\u11729",  # ;AHOM VOWEL SIGN AI;Mn;0;NSM;;;;;N;;;;;
        "\u1172A",  # ;AHOM VOWEL SIGN AM;Mn;0;NSM;;;;;N;;;;;
        "\u1172B",  # ;AHOM SIGN KILLER;Mn;9;NSM;;;;;N;;;;;
        "\u11730",  # ;AHOM DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u11731",  # ;AHOM DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u11732",  # ;AHOM DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u11733",  # ;AHOM DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u11734",  # ;AHOM DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u11735",  # ;AHOM DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u11736",  # ;AHOM DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u11737",  # ;AHOM DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u11738",  # ;AHOM DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u11739",  # ;AHOM DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u1173A",  # ;AHOM NUMBER TEN;No;0;L;;;;10;N;;;;;
        "\u1173B",  # ;AHOM NUMBER TWENTY;No;0;L;;;;20;N;;;;;
        "\u1173C",  # ;AHOM SIGN SMALL SECTION;Po;0;L;;;;;N;;;;;
        "\u1173D",  # ;AHOM SIGN SECTION;Po;0;L;;;;;N;;;;;
        "\u1173E",  # ;AHOM SIGN RULAI;Po;0;L;;;;;N;;;;;
        "\u1173F",  # ;AHOM SYMBOL VI;So;0;L;;;;;N;;;;;
        "\u118A0",  # ;WARANG CITI CAPITAL LETTER NGAA;Lu;0;L;;;;;N;;;;118C0;
        "\u118A1",  # ;WARANG CITI CAPITAL LETTER A;Lu;0;L;;;;;N;;;;118C1;
        "\u118A2",  # ;WARANG CITI CAPITAL LETTER WI;Lu;0;L;;;;;N;;;;118C2;
        "\u118A3",  # ;WARANG CITI CAPITAL LETTER YU;Lu;0;L;;;;;N;;;;118C3;
        "\u118A4",  # ;WARANG CITI CAPITAL LETTER YA;Lu;0;L;;;;;N;;;;118C4;
        "\u118A5",  # ;WARANG CITI CAPITAL LETTER YO;Lu;0;L;;;;;N;;;;118C5;
        "\u118A6",  # ;WARANG CITI CAPITAL LETTER II;Lu;0;L;;;;;N;;;;118C6;
        "\u118A7",  # ;WARANG CITI CAPITAL LETTER UU;Lu;0;L;;;;;N;;;;118C7;
        "\u118A8",  # ;WARANG CITI CAPITAL LETTER E;Lu;0;L;;;;;N;;;;118C8;
        "\u118A9",  # ;WARANG CITI CAPITAL LETTER O;Lu;0;L;;;;;N;;;;118C9;
        "\u118AA",  # ;WARANG CITI CAPITAL LETTER ANG;Lu;0;L;;;;;N;;;;118CA;
        "\u118AB",  # ;WARANG CITI CAPITAL LETTER GA;Lu;0;L;;;;;N;;;;118CB;
        "\u118AC",  # ;WARANG CITI CAPITAL LETTER KO;Lu;0;L;;;;;N;;;;118CC;
        "\u118AD",  # ;WARANG CITI CAPITAL LETTER ENY;Lu;0;L;;;;;N;;;;118CD;
        "\u118AE",  # ;WARANG CITI CAPITAL LETTER YUJ;Lu;0;L;;;;;N;;;;118CE;
        "\u118AF",  # ;WARANG CITI CAPITAL LETTER UC;Lu;0;L;;;;;N;;;;118CF;
        "\u118B0",  # ;WARANG CITI CAPITAL LETTER ENN;Lu;0;L;;;;;N;;;;118D0;
        "\u118B1",  # ;WARANG CITI CAPITAL LETTER ODD;Lu;0;L;;;;;N;;;;118D1;
        "\u118B2",  # ;WARANG CITI CAPITAL LETTER TTE;Lu;0;L;;;;;N;;;;118D2;
        "\u118B3",  # ;WARANG CITI CAPITAL LETTER NUNG;Lu;0;L;;;;;N;;;;118D3;
        "\u118B4",  # ;WARANG CITI CAPITAL LETTER DA;Lu;0;L;;;;;N;;;;118D4;
        "\u118B5",  # ;WARANG CITI CAPITAL LETTER AT;Lu;0;L;;;;;N;;;;118D5;
        "\u118B6",  # ;WARANG CITI CAPITAL LETTER AM;Lu;0;L;;;;;N;;;;118D6;
        "\u118B7",  # ;WARANG CITI CAPITAL LETTER BU;Lu;0;L;;;;;N;;;;118D7;
        "\u118B8",  # ;WARANG CITI CAPITAL LETTER PU;Lu;0;L;;;;;N;;;;118D8;
        "\u118B9",  # ;WARANG CITI CAPITAL LETTER HIYO;Lu;0;L;;;;;N;;;;118D9;
        "\u118BA",  # ;WARANG CITI CAPITAL LETTER HOLO;Lu;0;L;;;;;N;;;;118DA;
        "\u118BB",  # ;WARANG CITI CAPITAL LETTER HORR;Lu;0;L;;;;;N;;;;118DB;
        "\u118BC",  # ;WARANG CITI CAPITAL LETTER HAR;Lu;0;L;;;;;N;;;;118DC;
        "\u118BD",  # ;WARANG CITI CAPITAL LETTER SSUU;Lu;0;L;;;;;N;;;;118DD;
        "\u118BE",  # ;WARANG CITI CAPITAL LETTER SII;Lu;0;L;;;;;N;;;;118DE;
        "\u118BF",  # ;WARANG CITI CAPITAL LETTER VIYO;Lu;0;L;;;;;N;;;;118DF;
        "\u118C0",  # ;WARANG CITI SMALL LETTER NGAA;Ll;0;L;;;;;N;;;118A0;;118A0
        "\u118C1",  # ;WARANG CITI SMALL LETTER A;Ll;0;L;;;;;N;;;118A1;;118A1
        "\u118C2",  # ;WARANG CITI SMALL LETTER WI;Ll;0;L;;;;;N;;;118A2;;118A2
        "\u118C3",  # ;WARANG CITI SMALL LETTER YU;Ll;0;L;;;;;N;;;118A3;;118A3
        "\u118C4",  # ;WARANG CITI SMALL LETTER YA;Ll;0;L;;;;;N;;;118A4;;118A4
        "\u118C5",  # ;WARANG CITI SMALL LETTER YO;Ll;0;L;;;;;N;;;118A5;;118A5
        "\u118C6",  # ;WARANG CITI SMALL LETTER II;Ll;0;L;;;;;N;;;118A6;;118A6
        "\u118C7",  # ;WARANG CITI SMALL LETTER UU;Ll;0;L;;;;;N;;;118A7;;118A7
        "\u118C8",  # ;WARANG CITI SMALL LETTER E;Ll;0;L;;;;;N;;;118A8;;118A8
        "\u118C9",  # ;WARANG CITI SMALL LETTER O;Ll;0;L;;;;;N;;;118A9;;118A9
        "\u118CA",  # ;WARANG CITI SMALL LETTER ANG;Ll;0;L;;;;;N;;;118AA;;118AA
        "\u118CB",  # ;WARANG CITI SMALL LETTER GA;Ll;0;L;;;;;N;;;118AB;;118AB
        "\u118CC",  # ;WARANG CITI SMALL LETTER KO;Ll;0;L;;;;;N;;;118AC;;118AC
        "\u118CD",  # ;WARANG CITI SMALL LETTER ENY;Ll;0;L;;;;;N;;;118AD;;118AD
        "\u118CE",  # ;WARANG CITI SMALL LETTER YUJ;Ll;0;L;;;;;N;;;118AE;;118AE
        "\u118CF",  # ;WARANG CITI SMALL LETTER UC;Ll;0;L;;;;;N;;;118AF;;118AF
        "\u118D0",  # ;WARANG CITI SMALL LETTER ENN;Ll;0;L;;;;;N;;;118B0;;118B0
        "\u118D1",  # ;WARANG CITI SMALL LETTER ODD;Ll;0;L;;;;;N;;;118B1;;118B1
        "\u118D2",  # ;WARANG CITI SMALL LETTER TTE;Ll;0;L;;;;;N;;;118B2;;118B2
        "\u118D3",  # ;WARANG CITI SMALL LETTER NUNG;Ll;0;L;;;;;N;;;118B3;;118B3
        "\u118D4",  # ;WARANG CITI SMALL LETTER DA;Ll;0;L;;;;;N;;;118B4;;118B4
        "\u118D5",  # ;WARANG CITI SMALL LETTER AT;Ll;0;L;;;;;N;;;118B5;;118B5
        "\u118D6",  # ;WARANG CITI SMALL LETTER AM;Ll;0;L;;;;;N;;;118B6;;118B6
        "\u118D7",  # ;WARANG CITI SMALL LETTER BU;Ll;0;L;;;;;N;;;118B7;;118B7
        "\u118D8",  # ;WARANG CITI SMALL LETTER PU;Ll;0;L;;;;;N;;;118B8;;118B8
        "\u118D9",  # ;WARANG CITI SMALL LETTER HIYO;Ll;0;L;;;;;N;;;118B9;;118B9
        "\u118DA",  # ;WARANG CITI SMALL LETTER HOLO;Ll;0;L;;;;;N;;;118BA;;118BA
        "\u118DB",  # ;WARANG CITI SMALL LETTER HORR;Ll;0;L;;;;;N;;;118BB;;118BB
        "\u118DC",  # ;WARANG CITI SMALL LETTER HAR;Ll;0;L;;;;;N;;;118BC;;118BC
        "\u118DD",  # ;WARANG CITI SMALL LETTER SSUU;Ll;0;L;;;;;N;;;118BD;;118BD
        "\u118DE",  # ;WARANG CITI SMALL LETTER SII;Ll;0;L;;;;;N;;;118BE;;118BE
        "\u118DF",  # ;WARANG CITI SMALL LETTER VIYO;Ll;0;L;;;;;N;;;118BF;;118BF
        "\u118E0",  # ;WARANG CITI DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u118E1",  # ;WARANG CITI DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u118E2",  # ;WARANG CITI DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u118E3",  # ;WARANG CITI DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u118E4",  # ;WARANG CITI DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u118E5",  # ;WARANG CITI DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u118E6",  # ;WARANG CITI DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u118E7",  # ;WARANG CITI DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u118E8",  # ;WARANG CITI DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u118E9",  # ;WARANG CITI DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u118EA",  # ;WARANG CITI NUMBER TEN;No;0;L;;;;10;N;;;;;
        "\u118EB",  # ;WARANG CITI NUMBER TWENTY;No;0;L;;;;20;N;;;;;
        "\u118EC",  # ;WARANG CITI NUMBER THIRTY;No;0;L;;;;30;N;;;;;
        "\u118ED",  # ;WARANG CITI NUMBER FORTY;No;0;L;;;;40;N;;;;;
        "\u118EE",  # ;WARANG CITI NUMBER FIFTY;No;0;L;;;;50;N;;;;;
        "\u118EF",  # ;WARANG CITI NUMBER SIXTY;No;0;L;;;;60;N;;;;;
        "\u118F0",  # ;WARANG CITI NUMBER SEVENTY;No;0;L;;;;70;N;;;;;
        "\u118F1",  # ;WARANG CITI NUMBER EIGHTY;No;0;L;;;;80;N;;;;;
        "\u118F2",  # ;WARANG CITI NUMBER NINETY;No;0;L;;;;90;N;;;;;
        "\u118FF",  # ;WARANG CITI OM;Lo;0;L;;;;;N;;;;;
        "\u11A00",  # ;ZANABAZAR SQUARE LETTER A;Lo;0;L;;;;;N;;;;;
        "\u11A01",  # ;ZANABAZAR SQUARE VOWEL SIGN I;Mn;0;NSM;;;;;N;;;;;
        "\u11A02",  # ;ZANABAZAR SQUARE VOWEL SIGN UE;Mn;0;NSM;;;;;N;;;;;
        "\u11A03",  # ;ZANABAZAR SQUARE VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u11A04",  # ;ZANABAZAR SQUARE VOWEL SIGN E;Mn;0;NSM;;;;;N;;;;;
        "\u11A05",  # ;ZANABAZAR SQUARE VOWEL SIGN OE;Mn;0;NSM;;;;;N;;;;;
        "\u11A06",  # ;ZANABAZAR SQUARE VOWEL SIGN O;Mn;0;NSM;;;;;N;;;;;
        "\u11A07",  # ;ZANABAZAR SQUARE VOWEL SIGN AI;Mc;0;L;;;;;N;;;;;
        "\u11A08",  # ;ZANABAZAR SQUARE VOWEL SIGN AU;Mc;0;L;;;;;N;;;;;
        "\u11A09",  # ;ZANABAZAR SQUARE VOWEL SIGN REVERSED I;Mn;0;NSM;;;;;N;;;;;
        "\u11A0A",  # ;ZANABAZAR SQUARE VOWEL LENGTH MARK;Mn;0;NSM;;;;;N;;;;;
        "\u11A0B",  # ;ZANABAZAR SQUARE LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u11A0C",  # ;ZANABAZAR SQUARE LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u11A0D",  # ;ZANABAZAR SQUARE LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u11A0E",  # ;ZANABAZAR SQUARE LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u11A0F",  # ;ZANABAZAR SQUARE LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u11A10",  # ;ZANABAZAR SQUARE LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u11A11",  # ;ZANABAZAR SQUARE LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u11A12",  # ;ZANABAZAR SQUARE LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u11A13",  # ;ZANABAZAR SQUARE LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u11A14",  # ;ZANABAZAR SQUARE LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u11A15",  # ;ZANABAZAR SQUARE LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u11A16",  # ;ZANABAZAR SQUARE LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u11A17",  # ;ZANABAZAR SQUARE LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\u11A18",  # ;ZANABAZAR SQUARE LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u11A19",  # ;ZANABAZAR SQUARE LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u11A1A",  # ;ZANABAZAR SQUARE LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u11A1B",  # ;ZANABAZAR SQUARE LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u11A1C",  # ;ZANABAZAR SQUARE LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u11A1D",  # ;ZANABAZAR SQUARE LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u11A1E",  # ;ZANABAZAR SQUARE LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u11A1F",  # ;ZANABAZAR SQUARE LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u11A20",  # ;ZANABAZAR SQUARE LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u11A21",  # ;ZANABAZAR SQUARE LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u11A22",  # ;ZANABAZAR SQUARE LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u11A23",  # ;ZANABAZAR SQUARE LETTER TSA;Lo;0;L;;;;;N;;;;;
        "\u11A24",  # ;ZANABAZAR SQUARE LETTER TSHA;Lo;0;L;;;;;N;;;;;
        "\u11A25",  # ;ZANABAZAR SQUARE LETTER DZA;Lo;0;L;;;;;N;;;;;
        "\u11A26",  # ;ZANABAZAR SQUARE LETTER DZHA;Lo;0;L;;;;;N;;;;;
        "\u11A27",  # ;ZANABAZAR SQUARE LETTER ZHA;Lo;0;L;;;;;N;;;;;
        "\u11A28",  # ;ZANABAZAR SQUARE LETTER ZA;Lo;0;L;;;;;N;;;;;
        "\u11A29",  # ;ZANABAZAR SQUARE LETTER -A;Lo;0;L;;;;;N;;;;;
        "\u11A2A",  # ;ZANABAZAR SQUARE LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u11A2B",  # ;ZANABAZAR SQUARE LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u11A2C",  # ;ZANABAZAR SQUARE LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u11A2D",  # ;ZANABAZAR SQUARE LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u11A2E",  # ;ZANABAZAR SQUARE LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u11A2F",  # ;ZANABAZAR SQUARE LETTER SSA;Lo;0;L;;;;;N;;;;;
        "\u11A30",  # ;ZANABAZAR SQUARE LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u11A31",  # ;ZANABAZAR SQUARE LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u11A32",  # ;ZANABAZAR SQUARE LETTER KSSA;Lo;0;L;;;;;N;;;;;
        "\u11A33",  # ;ZANABAZAR SQUARE FINAL CONSONANT MARK;Mn;0;NSM;;;;;N;;;;;
        "\u11A34",  # ;ZANABAZAR SQUARE SIGN VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\u11A35",  # ;ZANABAZAR SQUARE SIGN CANDRABINDU;Mn;0;NSM;;;;;N;;;;;
        "\u11A36",  # ;ZANABAZAR SQUARE SIGN CANDRABINDU WITH ORNAMENT;Mn;0;NSM;;;;;N;;;;;
        "\u11A37",  # ;ZANABAZAR SQUARE SIGN CANDRA WITH ORNAMENT;Mn;0;NSM;;;;;N;;;;;
        "\u11A38",  # ;ZANABAZAR SQUARE SIGN ANUSVARA;Mn;0;NSM;;;;;N;;;;;
        "\u11A39",  # ;ZANABAZAR SQUARE SIGN VISARGA;Mc;0;L;;;;;N;;;;;
        "\u11A3A",  # ;ZANABAZAR SQUARE CLUSTER-INITIAL LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u11A3B",  # ;ZANABAZAR SQUARE CLUSTER-FINAL LETTER YA;Mn;0;NSM;;;;;N;;;;;
        "\u11A3C",  # ;ZANABAZAR SQUARE CLUSTER-FINAL LETTER RA;Mn;0;NSM;;;;;N;;;;;
        "\u11A3D",  # ;ZANABAZAR SQUARE CLUSTER-FINAL LETTER LA;Mn;0;NSM;;;;;N;;;;;
        "\u11A3E",  # ;ZANABAZAR SQUARE CLUSTER-FINAL LETTER VA;Mn;0;NSM;;;;;N;;;;;
        "\u11A3F",  # ;ZANABAZAR SQUARE INITIAL HEAD MARK;Po;0;L;;;;;N;;;;;
        "\u11A40",  # ;ZANABAZAR SQUARE CLOSING HEAD MARK;Po;0;L;;;;;N;;;;;
        "\u11A41",  # ;ZANABAZAR SQUARE MARK TSHEG;Po;0;L;;;;;N;;;;;
        "\u11A42",  # ;ZANABAZAR SQUARE MARK SHAD;Po;0;L;;;;;N;;;;;
        "\u11A43",  # ;ZANABAZAR SQUARE MARK DOUBLE SHAD;Po;0;L;;;;;N;;;;;
        "\u11A44",  # ;ZANABAZAR SQUARE MARK LONG TSHEG;Po;0;L;;;;;N;;;;;
        "\u11A45",  # ;ZANABAZAR SQUARE INITIAL DOUBLE-LINED HEAD MARK;Po;0;L;;;;;N;;;;;
        "\u11A46",  # ;ZANABAZAR SQUARE CLOSING DOUBLE-LINED HEAD MARK;Po;0;L;;;;;N;;;;;
        "\u11A47",  # ;ZANABAZAR SQUARE SUBJOINER;Mn;9;NSM;;;;;N;;;;;
        "\u11A50",  # ;SOYOMBO LETTER A;Lo;0;L;;;;;N;;;;;
        "\u11A51",  # ;SOYOMBO VOWEL SIGN I;Mn;0;NSM;;;;;N;;;;;
        "\u11A52",  # ;SOYOMBO VOWEL SIGN UE;Mn;0;NSM;;;;;N;;;;;
        "\u11A53",  # ;SOYOMBO VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u11A54",  # ;SOYOMBO VOWEL SIGN E;Mn;0;NSM;;;;;N;;;;;
        "\u11A55",  # ;SOYOMBO VOWEL SIGN O;Mn;0;NSM;;;;;N;;;;;
        "\u11A56",  # ;SOYOMBO VOWEL SIGN OE;Mn;0;NSM;;;;;N;;;;;
        "\u11A57",  # ;SOYOMBO VOWEL SIGN AI;Mc;0;L;;;;;N;;;;;
        "\u11A58",  # ;SOYOMBO VOWEL SIGN AU;Mc;0;L;;;;;N;;;;;
        "\u11A59",  # ;SOYOMBO VOWEL SIGN VOCALIC R;Mn;0;NSM;;;;;N;;;;;
        "\u11A5A",  # ;SOYOMBO VOWEL SIGN VOCALIC L;Mn;0;NSM;;;;;N;;;;;
        "\u11A5B",  # ;SOYOMBO VOWEL LENGTH MARK;Mn;0;NSM;;;;;N;;;;;
        "\u11A5C",  # ;SOYOMBO LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u11A5D",  # ;SOYOMBO LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u11A5E",  # ;SOYOMBO LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u11A5F",  # ;SOYOMBO LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u11A60",  # ;SOYOMBO LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u11A61",  # ;SOYOMBO LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u11A62",  # ;SOYOMBO LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u11A63",  # ;SOYOMBO LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u11A64",  # ;SOYOMBO LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\u11A65",  # ;SOYOMBO LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u11A66",  # ;SOYOMBO LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u11A67",  # ;SOYOMBO LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u11A68",  # ;SOYOMBO LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u11A69",  # ;SOYOMBO LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\u11A6A",  # ;SOYOMBO LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u11A6B",  # ;SOYOMBO LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u11A6C",  # ;SOYOMBO LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u11A6D",  # ;SOYOMBO LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u11A6E",  # ;SOYOMBO LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u11A6F",  # ;SOYOMBO LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u11A70",  # ;SOYOMBO LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u11A71",  # ;SOYOMBO LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u11A72",  # ;SOYOMBO LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u11A73",  # ;SOYOMBO LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u11A74",  # ;SOYOMBO LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u11A75",  # ;SOYOMBO LETTER TSA;Lo;0;L;;;;;N;;;;;
        "\u11A76",  # ;SOYOMBO LETTER TSHA;Lo;0;L;;;;;N;;;;;
        "\u11A77",  # ;SOYOMBO LETTER DZA;Lo;0;L;;;;;N;;;;;
        "\u11A78",  # ;SOYOMBO LETTER ZHA;Lo;0;L;;;;;N;;;;;
        "\u11A79",  # ;SOYOMBO LETTER ZA;Lo;0;L;;;;;N;;;;;
        "\u11A7A",  # ;SOYOMBO LETTER -A;Lo;0;L;;;;;N;;;;;
        "\u11A7B",  # ;SOYOMBO LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u11A7C",  # ;SOYOMBO LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u11A7D",  # ;SOYOMBO LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u11A7E",  # ;SOYOMBO LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u11A7F",  # ;SOYOMBO LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u11A80",  # ;SOYOMBO LETTER SSA;Lo;0;L;;;;;N;;;;;
        "\u11A81",  # ;SOYOMBO LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u11A82",  # ;SOYOMBO LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u11A83",  # ;SOYOMBO LETTER KSSA;Lo;0;L;;;;;N;;;;;
        "\u11A86",  # ;SOYOMBO CLUSTER-INITIAL LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u11A87",  # ;SOYOMBO CLUSTER-INITIAL LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u11A88",  # ;SOYOMBO CLUSTER-INITIAL LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u11A89",  # ;SOYOMBO CLUSTER-INITIAL LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u11A8A",  # ;SOYOMBO FINAL CONSONANT SIGN G;Mn;0;NSM;;;;;N;;;;;
        "\u11A8B",  # ;SOYOMBO FINAL CONSONANT SIGN K;Mn;0;NSM;;;;;N;;;;;
        "\u11A8C",  # ;SOYOMBO FINAL CONSONANT SIGN NG;Mn;0;NSM;;;;;N;;;;;
        "\u11A8D",  # ;SOYOMBO FINAL CONSONANT SIGN D;Mn;0;NSM;;;;;N;;;;;
        "\u11A8E",  # ;SOYOMBO FINAL CONSONANT SIGN N;Mn;0;NSM;;;;;N;;;;;
        "\u11A8F",  # ;SOYOMBO FINAL CONSONANT SIGN B;Mn;0;NSM;;;;;N;;;;;
        "\u11A90",  # ;SOYOMBO FINAL CONSONANT SIGN M;Mn;0;NSM;;;;;N;;;;;
        "\u11A91",  # ;SOYOMBO FINAL CONSONANT SIGN R;Mn;0;NSM;;;;;N;;;;;
        "\u11A92",  # ;SOYOMBO FINAL CONSONANT SIGN L;Mn;0;NSM;;;;;N;;;;;
        "\u11A93",  # ;SOYOMBO FINAL CONSONANT SIGN SH;Mn;0;NSM;;;;;N;;;;;
        "\u11A94",  # ;SOYOMBO FINAL CONSONANT SIGN S;Mn;0;NSM;;;;;N;;;;;
        "\u11A95",  # ;SOYOMBO FINAL CONSONANT SIGN -A;Mn;0;NSM;;;;;N;;;;;
        "\u11A96",  # ;SOYOMBO SIGN ANUSVARA;Mn;0;NSM;;;;;N;;;;;
        "\u11A97",  # ;SOYOMBO SIGN VISARGA;Mc;0;L;;;;;N;;;;;
        "\u11A98",  # ;SOYOMBO GEMINATION MARK;Mn;0;NSM;;;;;N;;;;;
        "\u11A99",  # ;SOYOMBO SUBJOINER;Mn;9;NSM;;;;;N;;;;;
        "\u11A9A",  # ;SOYOMBO MARK TSHEG;Po;0;L;;;;;N;;;;;
        "\u11A9B",  # ;SOYOMBO MARK SHAD;Po;0;L;;;;;N;;;;;
        "\u11A9C",  # ;SOYOMBO MARK DOUBLE SHAD;Po;0;L;;;;;N;;;;;
        "\u11A9E",  # ;SOYOMBO HEAD MARK WITH MOON AND SUN AND TRIPLE FLAME;Po;0;L;;;;;N;;;;;
        "\u11A9F",  # ;SOYOMBO HEAD MARK WITH MOON AND SUN AND FLAME;Po;0;L;;;;;N;;;;;
        "\u11AA0",  # ;SOYOMBO HEAD MARK WITH MOON AND SUN;Po;0;L;;;;;N;;;;;
        "\u11AA1",  # ;SOYOMBO TERMINAL MARK-1;Po;0;L;;;;;N;;;;;
        "\u11AA2",  # ;SOYOMBO TERMINAL MARK-2;Po;0;L;;;;;N;;;;;
        "\u11AC0",  # ;PAU CIN HAU LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u11AC1",  # ;PAU CIN HAU LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u11AC2",  # ;PAU CIN HAU LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u11AC3",  # ;PAU CIN HAU LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u11AC4",  # ;PAU CIN HAU LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u11AC5",  # ;PAU CIN HAU LETTER ZA;Lo;0;L;;;;;N;;;;;
        "\u11AC6",  # ;PAU CIN HAU LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u11AC7",  # ;PAU CIN HAU LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u11AC8",  # ;PAU CIN HAU LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u11AC9",  # ;PAU CIN HAU LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u11ACA",  # ;PAU CIN HAU LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u11ACB",  # ;PAU CIN HAU LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u11ACC",  # ;PAU CIN HAU LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u11ACD",  # ;PAU CIN HAU LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u11ACE",  # ;PAU CIN HAU LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u11ACF",  # ;PAU CIN HAU LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u11AD0",  # ;PAU CIN HAU LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u11AD1",  # ;PAU CIN HAU LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u11AD2",  # ;PAU CIN HAU LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u11AD3",  # ;PAU CIN HAU LETTER FA;Lo;0;L;;;;;N;;;;;
        "\u11AD4",  # ;PAU CIN HAU LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u11AD5",  # ;PAU CIN HAU LETTER A;Lo;0;L;;;;;N;;;;;
        "\u11AD6",  # ;PAU CIN HAU LETTER E;Lo;0;L;;;;;N;;;;;
        "\u11AD7",  # ;PAU CIN HAU LETTER I;Lo;0;L;;;;;N;;;;;
        "\u11AD8",  # ;PAU CIN HAU LETTER O;Lo;0;L;;;;;N;;;;;
        "\u11AD9",  # ;PAU CIN HAU LETTER U;Lo;0;L;;;;;N;;;;;
        "\u11ADA",  # ;PAU CIN HAU LETTER UA;Lo;0;L;;;;;N;;;;;
        "\u11ADB",  # ;PAU CIN HAU LETTER IA;Lo;0;L;;;;;N;;;;;
        "\u11ADC",  # ;PAU CIN HAU LETTER FINAL P;Lo;0;L;;;;;N;;;;;
        "\u11ADD",  # ;PAU CIN HAU LETTER FINAL K;Lo;0;L;;;;;N;;;;;
        "\u11ADE",  # ;PAU CIN HAU LETTER FINAL T;Lo;0;L;;;;;N;;;;;
        "\u11ADF",  # ;PAU CIN HAU LETTER FINAL M;Lo;0;L;;;;;N;;;;;
        "\u11AE0",  # ;PAU CIN HAU LETTER FINAL N;Lo;0;L;;;;;N;;;;;
        "\u11AE1",  # ;PAU CIN HAU LETTER FINAL L;Lo;0;L;;;;;N;;;;;
        "\u11AE2",  # ;PAU CIN HAU LETTER FINAL W;Lo;0;L;;;;;N;;;;;
        "\u11AE3",  # ;PAU CIN HAU LETTER FINAL NG;Lo;0;L;;;;;N;;;;;
        "\u11AE4",  # ;PAU CIN HAU LETTER FINAL Y;Lo;0;L;;;;;N;;;;;
        "\u11AE5",  # ;PAU CIN HAU RISING TONE LONG;Lo;0;L;;;;;N;;;;;
        "\u11AE6",  # ;PAU CIN HAU RISING TONE;Lo;0;L;;;;;N;;;;;
        "\u11AE7",  # ;PAU CIN HAU SANDHI GLOTTAL STOP;Lo;0;L;;;;;N;;;;;
        "\u11AE8",  # ;PAU CIN HAU RISING TONE LONG FINAL;Lo;0;L;;;;;N;;;;;
        "\u11AE9",  # ;PAU CIN HAU RISING TONE FINAL;Lo;0;L;;;;;N;;;;;
        "\u11AEA",  # ;PAU CIN HAU SANDHI GLOTTAL STOP FINAL;Lo;0;L;;;;;N;;;;;
        "\u11AEB",  # ;PAU CIN HAU SANDHI TONE LONG;Lo;0;L;;;;;N;;;;;
        "\u11AEC",  # ;PAU CIN HAU SANDHI TONE;Lo;0;L;;;;;N;;;;;
        "\u11AED",  # ;PAU CIN HAU SANDHI TONE LONG FINAL;Lo;0;L;;;;;N;;;;;
        "\u11AEE",  # ;PAU CIN HAU SANDHI TONE FINAL;Lo;0;L;;;;;N;;;;;
        "\u11AEF",  # ;PAU CIN HAU MID-LEVEL TONE;Lo;0;L;;;;;N;;;;;
        "\u11AF0",  # ;PAU CIN HAU GLOTTAL STOP VARIANT;Lo;0;L;;;;;N;;;;;
        "\u11AF1",  # ;PAU CIN HAU MID-LEVEL TONE LONG FINAL;Lo;0;L;;;;;N;;;;;
        "\u11AF2",  # ;PAU CIN HAU MID-LEVEL TONE FINAL;Lo;0;L;;;;;N;;;;;
        "\u11AF3",  # ;PAU CIN HAU LOW-FALLING TONE LONG;Lo;0;L;;;;;N;;;;;
        "\u11AF4",  # ;PAU CIN HAU LOW-FALLING TONE;Lo;0;L;;;;;N;;;;;
        "\u11AF5",  # ;PAU CIN HAU GLOTTAL STOP;Lo;0;L;;;;;N;;;;;
        "\u11AF6",  # ;PAU CIN HAU LOW-FALLING TONE LONG FINAL;Lo;0;L;;;;;N;;;;;
        "\u11AF7",  # ;PAU CIN HAU LOW-FALLING TONE FINAL;Lo;0;L;;;;;N;;;;;
        "\u11AF8",  # ;PAU CIN HAU GLOTTAL STOP FINAL;Lo;0;L;;;;;N;;;;;
        "\u11C00",  # ;BHAIKSUKI LETTER A;Lo;0;L;;;;;N;;;;;
        "\u11C01",  # ;BHAIKSUKI LETTER AA;Lo;0;L;;;;;N;;;;;
        "\u11C02",  # ;BHAIKSUKI LETTER I;Lo;0;L;;;;;N;;;;;
        "\u11C03",  # ;BHAIKSUKI LETTER II;Lo;0;L;;;;;N;;;;;
        "\u11C04",  # ;BHAIKSUKI LETTER U;Lo;0;L;;;;;N;;;;;
        "\u11C05",  # ;BHAIKSUKI LETTER UU;Lo;0;L;;;;;N;;;;;
        "\u11C06",  # ;BHAIKSUKI LETTER VOCALIC R;Lo;0;L;;;;;N;;;;;
        "\u11C07",  # ;BHAIKSUKI LETTER VOCALIC RR;Lo;0;L;;;;;N;;;;;
        "\u11C08",  # ;BHAIKSUKI LETTER VOCALIC L;Lo;0;L;;;;;N;;;;;
        "\u11C0A",  # ;BHAIKSUKI LETTER E;Lo;0;L;;;;;N;;;;;
        "\u11C0B",  # ;BHAIKSUKI LETTER AI;Lo;0;L;;;;;N;;;;;
        "\u11C0C",  # ;BHAIKSUKI LETTER O;Lo;0;L;;;;;N;;;;;
        "\u11C0D",  # ;BHAIKSUKI LETTER AU;Lo;0;L;;;;;N;;;;;
        "\u11C0E",  # ;BHAIKSUKI LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u11C0F",  # ;BHAIKSUKI LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u11C10",  # ;BHAIKSUKI LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u11C11",  # ;BHAIKSUKI LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u11C12",  # ;BHAIKSUKI LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u11C13",  # ;BHAIKSUKI LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u11C14",  # ;BHAIKSUKI LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u11C15",  # ;BHAIKSUKI LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u11C16",  # ;BHAIKSUKI LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\u11C17",  # ;BHAIKSUKI LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u11C18",  # ;BHAIKSUKI LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u11C19",  # ;BHAIKSUKI LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u11C1A",  # ;BHAIKSUKI LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u11C1B",  # ;BHAIKSUKI LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\u11C1C",  # ;BHAIKSUKI LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u11C1D",  # ;BHAIKSUKI LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u11C1E",  # ;BHAIKSUKI LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u11C1F",  # ;BHAIKSUKI LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u11C20",  # ;BHAIKSUKI LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u11C21",  # ;BHAIKSUKI LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u11C22",  # ;BHAIKSUKI LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u11C23",  # ;BHAIKSUKI LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u11C24",  # ;BHAIKSUKI LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u11C25",  # ;BHAIKSUKI LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u11C26",  # ;BHAIKSUKI LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u11C27",  # ;BHAIKSUKI LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u11C28",  # ;BHAIKSUKI LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u11C29",  # ;BHAIKSUKI LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u11C2A",  # ;BHAIKSUKI LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u11C2B",  # ;BHAIKSUKI LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u11C2C",  # ;BHAIKSUKI LETTER SSA;Lo;0;L;;;;;N;;;;;
        "\u11C2D",  # ;BHAIKSUKI LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u11C2E",  # ;BHAIKSUKI LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u11C2F",  # ;BHAIKSUKI VOWEL SIGN AA;Mc;0;L;;;;;N;;;;;
        "\u11C30",  # ;BHAIKSUKI VOWEL SIGN I;Mn;0;NSM;;;;;N;;;;;
        "\u11C31",  # ;BHAIKSUKI VOWEL SIGN II;Mn;0;NSM;;;;;N;;;;;
        "\u11C32",  # ;BHAIKSUKI VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u11C33",  # ;BHAIKSUKI VOWEL SIGN UU;Mn;0;NSM;;;;;N;;;;;
        "\u11C34",  # ;BHAIKSUKI VOWEL SIGN VOCALIC R;Mn;0;NSM;;;;;N;;;;;
        "\u11C35",  # ;BHAIKSUKI VOWEL SIGN VOCALIC RR;Mn;0;NSM;;;;;N;;;;;
        "\u11C36",  # ;BHAIKSUKI VOWEL SIGN VOCALIC L;Mn;0;NSM;;;;;N;;;;;
        "\u11C38",  # ;BHAIKSUKI VOWEL SIGN E;Mn;0;NSM;;;;;N;;;;;
        "\u11C39",  # ;BHAIKSUKI VOWEL SIGN AI;Mn;0;NSM;;;;;N;;;;;
        "\u11C3A",  # ;BHAIKSUKI VOWEL SIGN O;Mn;0;NSM;;;;;N;;;;;
        "\u11C3B",  # ;BHAIKSUKI VOWEL SIGN AU;Mn;0;NSM;;;;;N;;;;;
        "\u11C3C",  # ;BHAIKSUKI SIGN CANDRABINDU;Mn;0;NSM;;;;;N;;;;;
        "\u11C3D",  # ;BHAIKSUKI SIGN ANUSVARA;Mn;0;NSM;;;;;N;;;;;
        "\u11C3E",  # ;BHAIKSUKI SIGN VISARGA;Mc;0;L;;;;;N;;;;;
        "\u11C3F",  # ;BHAIKSUKI SIGN VIRAMA;Mn;9;L;;;;;N;;;;;
        "\u11C40",  # ;BHAIKSUKI SIGN AVAGRAHA;Lo;0;L;;;;;N;;;;;
        "\u11C41",  # ;BHAIKSUKI DANDA;Po;0;L;;;;;N;;;;;
        "\u11C42",  # ;BHAIKSUKI DOUBLE DANDA;Po;0;L;;;;;N;;;;;
        "\u11C43",  # ;BHAIKSUKI WORD SEPARATOR;Po;0;L;;;;;N;;;;;
        "\u11C44",  # ;BHAIKSUKI GAP FILLER-1;Po;0;L;;;;;N;;;;;
        "\u11C45",  # ;BHAIKSUKI GAP FILLER-2;Po;0;L;;;;;N;;;;;
        "\u11C50",  # ;BHAIKSUKI DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u11C51",  # ;BHAIKSUKI DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u11C52",  # ;BHAIKSUKI DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u11C53",  # ;BHAIKSUKI DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u11C54",  # ;BHAIKSUKI DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u11C55",  # ;BHAIKSUKI DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u11C56",  # ;BHAIKSUKI DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u11C57",  # ;BHAIKSUKI DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u11C58",  # ;BHAIKSUKI DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u11C59",  # ;BHAIKSUKI DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u11C5A",  # ;BHAIKSUKI NUMBER ONE;No;0;L;;;;1;N;;;;;
        "\u11C5B",  # ;BHAIKSUKI NUMBER TWO;No;0;L;;;;2;N;;;;;
        "\u11C5C",  # ;BHAIKSUKI NUMBER THREE;No;0;L;;;;3;N;;;;;
        "\u11C5D",  # ;BHAIKSUKI NUMBER FOUR;No;0;L;;;;4;N;;;;;
        "\u11C5E",  # ;BHAIKSUKI NUMBER FIVE;No;0;L;;;;5;N;;;;;
        "\u11C5F",  # ;BHAIKSUKI NUMBER SIX;No;0;L;;;;6;N;;;;;
        "\u11C60",  # ;BHAIKSUKI NUMBER SEVEN;No;0;L;;;;7;N;;;;;
        "\u11C61",  # ;BHAIKSUKI NUMBER EIGHT;No;0;L;;;;8;N;;;;;
        "\u11C62",  # ;BHAIKSUKI NUMBER NINE;No;0;L;;;;9;N;;;;;
        "\u11C63",  # ;BHAIKSUKI NUMBER TEN;No;0;L;;;;10;N;;;;;
        "\u11C64",  # ;BHAIKSUKI NUMBER TWENTY;No;0;L;;;;20;N;;;;;
        "\u11C65",  # ;BHAIKSUKI NUMBER THIRTY;No;0;L;;;;30;N;;;;;
        "\u11C66",  # ;BHAIKSUKI NUMBER FORTY;No;0;L;;;;40;N;;;;;
        "\u11C67",  # ;BHAIKSUKI NUMBER FIFTY;No;0;L;;;;50;N;;;;;
        "\u11C68",  # ;BHAIKSUKI NUMBER SIXTY;No;0;L;;;;60;N;;;;;
        "\u11C69",  # ;BHAIKSUKI NUMBER SEVENTY;No;0;L;;;;70;N;;;;;
        "\u11C6A",  # ;BHAIKSUKI NUMBER EIGHTY;No;0;L;;;;80;N;;;;;
        "\u11C6B",  # ;BHAIKSUKI NUMBER NINETY;No;0;L;;;;90;N;;;;;
        "\u11C6C",  # ;BHAIKSUKI HUNDREDS UNIT MARK;No;0;L;;;;100;N;;;;;
        "\u11C70",  # ;MARCHEN HEAD MARK;Po;0;L;;;;;N;;;;;
        "\u11C71",  # ;MARCHEN MARK SHAD;Po;0;L;;;;;N;;;;;
        "\u11C72",  # ;MARCHEN LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u11C73",  # ;MARCHEN LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u11C74",  # ;MARCHEN LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u11C75",  # ;MARCHEN LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u11C76",  # ;MARCHEN LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u11C77",  # ;MARCHEN LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u11C78",  # ;MARCHEN LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u11C79",  # ;MARCHEN LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u11C7A",  # ;MARCHEN LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u11C7B",  # ;MARCHEN LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u11C7C",  # ;MARCHEN LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u11C7D",  # ;MARCHEN LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u11C7E",  # ;MARCHEN LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u11C7F",  # ;MARCHEN LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u11C80",  # ;MARCHEN LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u11C81",  # ;MARCHEN LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u11C82",  # ;MARCHEN LETTER TSA;Lo;0;L;;;;;N;;;;;
        "\u11C83",  # ;MARCHEN LETTER TSHA;Lo;0;L;;;;;N;;;;;
        "\u11C84",  # ;MARCHEN LETTER DZA;Lo;0;L;;;;;N;;;;;
        "\u11C85",  # ;MARCHEN LETTER WA;Lo;0;L;;;;;N;;;;;
        "\u11C86",  # ;MARCHEN LETTER ZHA;Lo;0;L;;;;;N;;;;;
        "\u11C87",  # ;MARCHEN LETTER ZA;Lo;0;L;;;;;N;;;;;
        "\u11C88",  # ;MARCHEN LETTER -A;Lo;0;L;;;;;N;;;;;
        "\u11C89",  # ;MARCHEN LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u11C8A",  # ;MARCHEN LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u11C8B",  # ;MARCHEN LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u11C8C",  # ;MARCHEN LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u11C8D",  # ;MARCHEN LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u11C8E",  # ;MARCHEN LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u11C8F",  # ;MARCHEN LETTER A;Lo;0;L;;;;;N;;;;;
        "\u11C92",  # ;MARCHEN SUBJOINED LETTER KA;Mn;0;NSM;;;;;N;;;;;
        "\u11C93",  # ;MARCHEN SUBJOINED LETTER KHA;Mn;0;NSM;;;;;N;;;;;
        "\u11C94",  # ;MARCHEN SUBJOINED LETTER GA;Mn;0;NSM;;;;;N;;;;;
        "\u11C95",  # ;MARCHEN SUBJOINED LETTER NGA;Mn;0;NSM;;;;;N;;;;;
        "\u11C96",  # ;MARCHEN SUBJOINED LETTER CA;Mn;0;NSM;;;;;N;;;;;
        "\u11C97",  # ;MARCHEN SUBJOINED LETTER CHA;Mn;0;NSM;;;;;N;;;;;
        "\u11C98",  # ;MARCHEN SUBJOINED LETTER JA;Mn;0;NSM;;;;;N;;;;;
        "\u11C99",  # ;MARCHEN SUBJOINED LETTER NYA;Mn;0;NSM;;;;;N;;;;;
        "\u11C9A",  # ;MARCHEN SUBJOINED LETTER TA;Mn;0;NSM;;;;;N;;;;;
        "\u11C9B",  # ;MARCHEN SUBJOINED LETTER THA;Mn;0;NSM;;;;;N;;;;;
        "\u11C9C",  # ;MARCHEN SUBJOINED LETTER DA;Mn;0;NSM;;;;;N;;;;;
        "\u11C9D",  # ;MARCHEN SUBJOINED LETTER NA;Mn;0;NSM;;;;;N;;;;;
        "\u11C9E",  # ;MARCHEN SUBJOINED LETTER PA;Mn;0;NSM;;;;;N;;;;;
        "\u11C9F",  # ;MARCHEN SUBJOINED LETTER PHA;Mn;0;NSM;;;;;N;;;;;
        "\u11CA0",  # ;MARCHEN SUBJOINED LETTER BA;Mn;0;NSM;;;;;N;;;;;
        "\u11CA1",  # ;MARCHEN SUBJOINED LETTER MA;Mn;0;NSM;;;;;N;;;;;
        "\u11CA2",  # ;MARCHEN SUBJOINED LETTER TSA;Mn;0;NSM;;;;;N;;;;;
        "\u11CA3",  # ;MARCHEN SUBJOINED LETTER TSHA;Mn;0;NSM;;;;;N;;;;;
        "\u11CA4",  # ;MARCHEN SUBJOINED LETTER DZA;Mn;0;NSM;;;;;N;;;;;
        "\u11CA5",  # ;MARCHEN SUBJOINED LETTER WA;Mn;0;NSM;;;;;N;;;;;
        "\u11CA6",  # ;MARCHEN SUBJOINED LETTER ZHA;Mn;0;NSM;;;;;N;;;;;
        "\u11CA7",  # ;MARCHEN SUBJOINED LETTER ZA;Mn;0;NSM;;;;;N;;;;;
        "\u11CA9",  # ;MARCHEN SUBJOINED LETTER YA;Mc;0;L;;;;;N;;;;;
        "\u11CAA",  # ;MARCHEN SUBJOINED LETTER RA;Mn;0;NSM;;;;;N;;;;;
        "\u11CAB",  # ;MARCHEN SUBJOINED LETTER LA;Mn;0;NSM;;;;;N;;;;;
        "\u11CAC",  # ;MARCHEN SUBJOINED LETTER SHA;Mn;0;NSM;;;;;N;;;;;
        "\u11CAD",  # ;MARCHEN SUBJOINED LETTER SA;Mn;0;NSM;;;;;N;;;;;
        "\u11CAE",  # ;MARCHEN SUBJOINED LETTER HA;Mn;0;NSM;;;;;N;;;;;
        "\u11CAF",  # ;MARCHEN SUBJOINED LETTER A;Mn;0;NSM;;;;;N;;;;;
        "\u11CB0",  # ;MARCHEN VOWEL SIGN AA;Mn;0;NSM;;;;;N;;;;;
        "\u11CB1",  # ;MARCHEN VOWEL SIGN I;Mc;0;L;;;;;N;;;;;
        "\u11CB2",  # ;MARCHEN VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u11CB3",  # ;MARCHEN VOWEL SIGN E;Mn;0;NSM;;;;;N;;;;;
        "\u11CB4",  # ;MARCHEN VOWEL SIGN O;Mc;0;L;;;;;N;;;;;
        "\u11CB5",  # ;MARCHEN SIGN ANUSVARA;Mn;0;NSM;;;;;N;;;;;
        "\u11CB6",  # ;MARCHEN SIGN CANDRABINDU;Mn;0;NSM;;;;;N;;;;;
        "\u11D00",  # ;MASARAM GONDI LETTER A;Lo;0;L;;;;;N;;;;;
        "\u11D01",  # ;MASARAM GONDI LETTER AA;Lo;0;L;;;;;N;;;;;
        "\u11D02",  # ;MASARAM GONDI LETTER I;Lo;0;L;;;;;N;;;;;
        "\u11D03",  # ;MASARAM GONDI LETTER II;Lo;0;L;;;;;N;;;;;
        "\u11D04",  # ;MASARAM GONDI LETTER U;Lo;0;L;;;;;N;;;;;
        "\u11D05",  # ;MASARAM GONDI LETTER UU;Lo;0;L;;;;;N;;;;;
        "\u11D06",  # ;MASARAM GONDI LETTER E;Lo;0;L;;;;;N;;;;;
        "\u11D08",  # ;MASARAM GONDI LETTER AI;Lo;0;L;;;;;N;;;;;
        "\u11D09",  # ;MASARAM GONDI LETTER O;Lo;0;L;;;;;N;;;;;
        "\u11D0B",  # ;MASARAM GONDI LETTER AU;Lo;0;L;;;;;N;;;;;
        "\u11D0C",  # ;MASARAM GONDI LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u11D0D",  # ;MASARAM GONDI LETTER KHA;Lo;0;L;;;;;N;;;;;
        "\u11D0E",  # ;MASARAM GONDI LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u11D0F",  # ;MASARAM GONDI LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u11D10",  # ;MASARAM GONDI LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u11D11",  # ;MASARAM GONDI LETTER CA;Lo;0;L;;;;;N;;;;;
        "\u11D12",  # ;MASARAM GONDI LETTER CHA;Lo;0;L;;;;;N;;;;;
        "\u11D13",  # ;MASARAM GONDI LETTER JA;Lo;0;L;;;;;N;;;;;
        "\u11D14",  # ;MASARAM GONDI LETTER JHA;Lo;0;L;;;;;N;;;;;
        "\u11D15",  # ;MASARAM GONDI LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u11D16",  # ;MASARAM GONDI LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u11D17",  # ;MASARAM GONDI LETTER TTHA;Lo;0;L;;;;;N;;;;;
        "\u11D18",  # ;MASARAM GONDI LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u11D19",  # ;MASARAM GONDI LETTER DDHA;Lo;0;L;;;;;N;;;;;
        "\u11D1A",  # ;MASARAM GONDI LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u11D1B",  # ;MASARAM GONDI LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u11D1C",  # ;MASARAM GONDI LETTER THA;Lo;0;L;;;;;N;;;;;
        "\u11D1D",  # ;MASARAM GONDI LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u11D1E",  # ;MASARAM GONDI LETTER DHA;Lo;0;L;;;;;N;;;;;
        "\u11D1F",  # ;MASARAM GONDI LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u11D20",  # ;MASARAM GONDI LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u11D21",  # ;MASARAM GONDI LETTER PHA;Lo;0;L;;;;;N;;;;;
        "\u11D22",  # ;MASARAM GONDI LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u11D23",  # ;MASARAM GONDI LETTER BHA;Lo;0;L;;;;;N;;;;;
        "\u11D24",  # ;MASARAM GONDI LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u11D25",  # ;MASARAM GONDI LETTER YA;Lo;0;L;;;;;N;;;;;
        "\u11D26",  # ;MASARAM GONDI LETTER RA;Lo;0;L;;;;;N;;;;;
        "\u11D27",  # ;MASARAM GONDI LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u11D28",  # ;MASARAM GONDI LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u11D29",  # ;MASARAM GONDI LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u11D2A",  # ;MASARAM GONDI LETTER SSA;Lo;0;L;;;;;N;;;;;
        "\u11D2B",  # ;MASARAM GONDI LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u11D2C",  # ;MASARAM GONDI LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u11D2D",  # ;MASARAM GONDI LETTER LLA;Lo;0;L;;;;;N;;;;;
        "\u11D2E",  # ;MASARAM GONDI LETTER KSSA;Lo;0;L;;;;;N;;;;;
        "\u11D2F",  # ;MASARAM GONDI LETTER JNYA;Lo;0;L;;;;;N;;;;;
        "\u11D30",  # ;MASARAM GONDI LETTER TRA;Lo;0;L;;;;;N;;;;;
        "\u11D31",  # ;MASARAM GONDI VOWEL SIGN AA;Mn;0;NSM;;;;;N;;;;;
        "\u11D32",  # ;MASARAM GONDI VOWEL SIGN I;Mn;0;NSM;;;;;N;;;;;
        "\u11D33",  # ;MASARAM GONDI VOWEL SIGN II;Mn;0;NSM;;;;;N;;;;;
        "\u11D34",  # ;MASARAM GONDI VOWEL SIGN U;Mn;0;NSM;;;;;N;;;;;
        "\u11D35",  # ;MASARAM GONDI VOWEL SIGN UU;Mn;0;NSM;;;;;N;;;;;
        "\u11D36",  # ;MASARAM GONDI VOWEL SIGN VOCALIC R;Mn;0;NSM;;;;;N;;;;;
        "\u11D3A",  # ;MASARAM GONDI VOWEL SIGN E;Mn;0;NSM;;;;;N;;;;;
        "\u11D3C",  # ;MASARAM GONDI VOWEL SIGN AI;Mn;0;NSM;;;;;N;;;;;
        "\u11D3D",  # ;MASARAM GONDI VOWEL SIGN O;Mn;0;NSM;;;;;N;;;;;
        "\u11D3F",  # ;MASARAM GONDI VOWEL SIGN AU;Mn;0;NSM;;;;;N;;;;;
        "\u11D40",  # ;MASARAM GONDI SIGN ANUSVARA;Mn;0;NSM;;;;;N;;;;;
        "\u11D41",  # ;MASARAM GONDI SIGN VISARGA;Mn;0;NSM;;;;;N;;;;;
        "\u11D42",  # ;MASARAM GONDI SIGN NUKTA;Mn;7;NSM;;;;;N;;;;;
        "\u11D43",  # ;MASARAM GONDI SIGN CANDRA;Mn;0;NSM;;;;;N;;;;;
        "\u11D44",  # ;MASARAM GONDI SIGN HALANTA;Mn;9;NSM;;;;;N;;;;;
        "\u11D45",  # ;MASARAM GONDI VIRAMA;Mn;9;NSM;;;;;N;;;;;
        "\u11D46",  # ;MASARAM GONDI REPHA;Lo;0;L;;;;;N;;;;;
        "\u11D47",  # ;MASARAM GONDI RA-KARA;Mn;0;NSM;;;;;N;;;;;
        "\u11D50",  # ;MASARAM GONDI DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u11D51",  # ;MASARAM GONDI DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u11D52",  # ;MASARAM GONDI DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u11D53",  # ;MASARAM GONDI DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u11D54",  # ;MASARAM GONDI DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u11D55",  # ;MASARAM GONDI DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u11D56",  # ;MASARAM GONDI DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u11D57",  # ;MASARAM GONDI DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u11D58",  # ;MASARAM GONDI DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u11D59",  # ;MASARAM GONDI DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u12000",  # ;CUNEIFORM SIGN A;Lo;0;L;;;;;N;;;;;
        "\u12001",  # ;CUNEIFORM SIGN A TIMES A;Lo;0;L;;;;;N;;;;;
        "\u12002",  # ;CUNEIFORM SIGN A TIMES BAD;Lo;0;L;;;;;N;;;;;
        "\u12003",  # ;CUNEIFORM SIGN A TIMES GAN2 TENU;Lo;0;L;;;;;N;;;;;
        "\u12004",  # ;CUNEIFORM SIGN A TIMES HA;Lo;0;L;;;;;N;;;;;
        "\u12005",  # ;CUNEIFORM SIGN A TIMES IGI;Lo;0;L;;;;;N;;;;;
        "\u12006",  # ;CUNEIFORM SIGN A TIMES LAGAR GUNU;Lo;0;L;;;;;N;;;;;
        "\u12007",  # ;CUNEIFORM SIGN A TIMES MUSH;Lo;0;L;;;;;N;;;;;
        "\u12008",  # ;CUNEIFORM SIGN A TIMES SAG;Lo;0;L;;;;;N;;;;;
        "\u12009",  # ;CUNEIFORM SIGN A2;Lo;0;L;;;;;N;;;;;
        "\u1200A",  # ;CUNEIFORM SIGN AB;Lo;0;L;;;;;N;;;;;
        "\u1200B",  # ;CUNEIFORM SIGN AB TIMES ASH2;Lo;0;L;;;;;N;;;;;
        "\u1200C",  # ;CUNEIFORM SIGN AB TIMES DUN3 GUNU;Lo;0;L;;;;;N;;;;;
        "\u1200D",  # ;CUNEIFORM SIGN AB TIMES GAL;Lo;0;L;;;;;N;;;;;
        "\u1200E",  # ;CUNEIFORM SIGN AB TIMES GAN2 TENU;Lo;0;L;;;;;N;;;;;
        "\u1200F",  # ;CUNEIFORM SIGN AB TIMES HA;Lo;0;L;;;;;N;;;;;
        "\u12010",  # ;CUNEIFORM SIGN AB TIMES IGI GUNU;Lo;0;L;;;;;N;;;;;
        "\u12011",  # ;CUNEIFORM SIGN AB TIMES IMIN;Lo;0;L;;;;;N;;;;;
        "\u12012",  # ;CUNEIFORM SIGN AB TIMES LAGAB;Lo;0;L;;;;;N;;;;;
        "\u12013",  # ;CUNEIFORM SIGN AB TIMES SHESH;Lo;0;L;;;;;N;;;;;
        "\u12014",  # ;CUNEIFORM SIGN AB TIMES U PLUS U PLUS U;Lo;0;L;;;;;N;;;;;
        "\u12015",  # ;CUNEIFORM SIGN AB GUNU;Lo;0;L;;;;;N;;;;;
        "\u12016",  # ;CUNEIFORM SIGN AB2;Lo;0;L;;;;;N;;;;;
        "\u12017",  # ;CUNEIFORM SIGN AB2 TIMES BALAG;Lo;0;L;;;;;N;;;;;
        "\u12018",  # ;CUNEIFORM SIGN AB2 TIMES GAN2 TENU;Lo;0;L;;;;;N;;;;;
        "\u12019",  # ;CUNEIFORM SIGN AB2 TIMES ME PLUS EN;Lo;0;L;;;;;N;;;;;
        "\u1201A",  # ;CUNEIFORM SIGN AB2 TIMES SHA3;Lo;0;L;;;;;N;;;;;
        "\u1201B",  # ;CUNEIFORM SIGN AB2 TIMES TAK4;Lo;0;L;;;;;N;;;;;
        "\u1201C",  # ;CUNEIFORM SIGN AD;Lo;0;L;;;;;N;;;;;
        "\u1201D",  # ;CUNEIFORM SIGN AK;Lo;0;L;;;;;N;;;;;
        "\u1201E",  # ;CUNEIFORM SIGN AK TIMES ERIN2;Lo;0;L;;;;;N;;;;;
        "\u1201F",  # ;CUNEIFORM SIGN AK TIMES SHITA PLUS GISH;Lo;0;L;;;;;N;;;;;
        "\u12020",  # ;CUNEIFORM SIGN AL;Lo;0;L;;;;;N;;;;;
        "\u12021",  # ;CUNEIFORM SIGN AL TIMES AL;Lo;0;L;;;;;N;;;;;
        "\u12022",  # ;CUNEIFORM SIGN AL TIMES DIM2;Lo;0;L;;;;;N;;;;;
        "\u12023",  # ;CUNEIFORM SIGN AL TIMES GISH;Lo;0;L;;;;;N;;;;;
        "\u12024",  # ;CUNEIFORM SIGN AL TIMES HA;Lo;0;L;;;;;N;;;;;
        "\u12025",  # ;CUNEIFORM SIGN AL TIMES KAD3;Lo;0;L;;;;;N;;;;;
        "\u12026",  # ;CUNEIFORM SIGN AL TIMES KI;Lo;0;L;;;;;N;;;;;
        "\u12027",  # ;CUNEIFORM SIGN AL TIMES SHE;Lo;0;L;;;;;N;;;;;
        "\u12028",  # ;CUNEIFORM SIGN AL TIMES USH;Lo;0;L;;;;;N;;;;;
        "\u12029",  # ;CUNEIFORM SIGN ALAN;Lo;0;L;;;;;N;;;;;
        "\u1202A",  # ;CUNEIFORM SIGN ALEPH;Lo;0;L;;;;;N;;;;;
        "\u1202B",  # ;CUNEIFORM SIGN AMAR;Lo;0;L;;;;;N;;;;;
        "\u1202C",  # ;CUNEIFORM SIGN AMAR TIMES SHE;Lo;0;L;;;;;N;;;;;
        "\u1202D",  # ;CUNEIFORM SIGN AN;Lo;0;L;;;;;N;;;;;
        "\u1202E",  # ;CUNEIFORM SIGN AN OVER AN;Lo;0;L;;;;;N;;;;;
        "\u1202F",  # ;CUNEIFORM SIGN AN THREE TIMES;Lo;0;L;;;;;N;;;;;
        "\u12030",  # ;CUNEIFORM SIGN AN PLUS NAGA OPPOSING AN PLUS NAGA;Lo;0;L;;;;;N;;;;;
        "\u12031",  # ;CUNEIFORM SIGN AN PLUS NAGA SQUARED;Lo;0;L;;;;;N;;;;;
        "\u12032",  # ;CUNEIFORM SIGN ANSHE;Lo;0;L;;;;;N;;;;;
        "\u12033",  # ;CUNEIFORM SIGN APIN;Lo;0;L;;;;;N;;;;;
        "\u12034",  # ;CUNEIFORM SIGN ARAD;Lo;0;L;;;;;N;;;;;
        "\u12035",  # ;CUNEIFORM SIGN ARAD TIMES KUR;Lo;0;L;;;;;N;;;;;
        "\u12036",  # ;CUNEIFORM SIGN ARKAB;Lo;0;L;;;;;N;;;;;
        "\u12037",  # ;CUNEIFORM SIGN ASAL2;Lo;0;L;;;;;N;;;;;
        "\u12038",  # ;CUNEIFORM SIGN ASH;Lo;0;L;;;;;N;;;;;
        "\u12039",  # ;CUNEIFORM SIGN ASH ZIDA TENU;Lo;0;L;;;;;N;;;;;
        "\u1203A",  # ;CUNEIFORM SIGN ASH KABA TENU;Lo;0;L;;;;;N;;;;;
        "\u1203B",  # ;CUNEIFORM SIGN ASH OVER ASH TUG2 OVER TUG2 TUG2 OVER TUG2 PAP;Lo;0;L;;;;;N;;;;;
        "\u1203C",  # ;CUNEIFORM SIGN ASH OVER ASH OVER ASH;Lo;0;L;;;;;N;;;;;
        "\u1203D",  # ;CUNEIFORM SIGN ASH OVER ASH OVER ASH CROSSING ASH OVER ASH OVER ASH;Lo;0;L;;;;;N;;;;;
        "\u1203E",  # ;CUNEIFORM SIGN ASH2;Lo;0;L;;;;;N;;;;;
        "\u1203F",  # ;CUNEIFORM SIGN ASHGAB;Lo;0;L;;;;;N;;;;;
        "\u12040",  # ;CUNEIFORM SIGN BA;Lo;0;L;;;;;N;;;;;
        "\u12041",  # ;CUNEIFORM SIGN BAD;Lo;0;L;;;;;N;;;;;
        "\u12042",  # ;CUNEIFORM SIGN BAG3;Lo;0;L;;;;;N;;;;;
        "\u12043",  # ;CUNEIFORM SIGN BAHAR2;Lo;0;L;;;;;N;;;;;
        "\u12044",  # ;CUNEIFORM SIGN BAL;Lo;0;L;;;;;N;;;;;
        "\u12045",  # ;CUNEIFORM SIGN BAL OVER BAL;Lo;0;L;;;;;N;;;;;
        "\u12046",  # ;CUNEIFORM SIGN BALAG;Lo;0;L;;;;;N;;;;;
        "\u12047",  # ;CUNEIFORM SIGN BAR;Lo;0;L;;;;;N;;;;;
        "\u12048",  # ;CUNEIFORM SIGN BARA2;Lo;0;L;;;;;N;;;;;
        "\u12049",  # ;CUNEIFORM SIGN BI;Lo;0;L;;;;;N;;;;;
        "\u1204A",  # ;CUNEIFORM SIGN BI TIMES A;Lo;0;L;;;;;N;;;;;
        "\u1204B",  # ;CUNEIFORM SIGN BI TIMES GAR;Lo;0;L;;;;;N;;;;;
        "\u1204C",  # ;CUNEIFORM SIGN BI TIMES IGI GUNU;Lo;0;L;;;;;N;;;;;
        "\u1204D",  # ;CUNEIFORM SIGN BU;Lo;0;L;;;;;N;;;;;
        "\u1204E",  # ;CUNEIFORM SIGN BU OVER BU AB;Lo;0;L;;;;;N;;;;;
        "\u1204F",  # ;CUNEIFORM SIGN BU OVER BU UN;Lo;0;L;;;;;N;;;;;
        "\u12050",  # ;CUNEIFORM SIGN BU CROSSING BU;Lo;0;L;;;;;N;;;;;
        "\u12051",  # ;CUNEIFORM SIGN BULUG;Lo;0;L;;;;;N;;;;;
        "\u12052",  # ;CUNEIFORM SIGN BULUG OVER BULUG;Lo;0;L;;;;;N;;;;;
        "\u12053",  # ;CUNEIFORM SIGN BUR;Lo;0;L;;;;;N;;;;;
        "\u12054",  # ;CUNEIFORM SIGN BUR2;Lo;0;L;;;;;N;;;;;
        "\u12055",  # ;CUNEIFORM SIGN DA;Lo;0;L;;;;;N;;;;;
        "\u12056",  # ;CUNEIFORM SIGN DAG;Lo;0;L;;;;;N;;;;;
        "\u12057",  # ;CUNEIFORM SIGN DAG KISIM5 TIMES A PLUS MASH;Lo;0;L;;;;;N;;;;;
        "\u12058",  # ;CUNEIFORM SIGN DAG KISIM5 TIMES AMAR;Lo;0;L;;;;;N;;;;;
        "\u12059",  # ;CUNEIFORM SIGN DAG KISIM5 TIMES BALAG;Lo;0;L;;;;;N;;;;;
        "\u1205A",  # ;CUNEIFORM SIGN DAG KISIM5 TIMES BI;Lo;0;L;;;;;N;;;;;
        "\u1205B",  # ;CUNEIFORM SIGN DAG KISIM5 TIMES GA;Lo;0;L;;;;;N;;;;;
        "\u1205C",  # ;CUNEIFORM SIGN DAG KISIM5 TIMES GA PLUS MASH;Lo;0;L;;;;;N;;;;;
        "\u1205D",  # ;CUNEIFORM SIGN DAG KISIM5 TIMES GI;Lo;0;L;;;;;N;;;;;
        "\u1205E",  # ;CUNEIFORM SIGN DAG KISIM5 TIMES GIR2;Lo;0;L;;;;;N;;;;;
        "\u1205F",  # ;CUNEIFORM SIGN DAG KISIM5 TIMES GUD;Lo;0;L;;;;;N;;;;;
        "\u12060",  # ;CUNEIFORM SIGN DAG KISIM5 TIMES HA;Lo;0;L;;;;;N;;;;;
        "\u12061",  # ;CUNEIFORM SIGN DAG KISIM5 TIMES IR;Lo;0;L;;;;;N;;;;;
        "\u12062",  # ;CUNEIFORM SIGN DAG KISIM5 TIMES IR PLUS LU;Lo;0;L;;;;;N;;;;;
        "\u12063",  # ;CUNEIFORM SIGN DAG KISIM5 TIMES KAK;Lo;0;L;;;;;N;;;;;
        "\u12064",  # ;CUNEIFORM SIGN DAG KISIM5 TIMES LA;Lo;0;L;;;;;N;;;;;
        "\u12065",  # ;CUNEIFORM SIGN DAG KISIM5 TIMES LU;Lo;0;L;;;;;N;;;;;
        "\u12066",  # ;CUNEIFORM SIGN DAG KISIM5 TIMES LU PLUS MASH2;Lo;0;L;;;;;N;;;;;
        "\u12067",  # ;CUNEIFORM SIGN DAG KISIM5 TIMES LUM;Lo;0;L;;;;;N;;;;;
        "\u12068",  # ;CUNEIFORM SIGN DAG KISIM5 TIMES NE;Lo;0;L;;;;;N;;;;;
        "\u12069",  # ;CUNEIFORM SIGN DAG KISIM5 TIMES PAP PLUS PAP;Lo;0;L;;;;;N;;;;;
        "\u1206A",  # ;CUNEIFORM SIGN DAG KISIM5 TIMES SI;Lo;0;L;;;;;N;;;;;
        "\u1206B",  # ;CUNEIFORM SIGN DAG KISIM5 TIMES TAK4;Lo;0;L;;;;;N;;;;;
        "\u1206C",  # ;CUNEIFORM SIGN DAG KISIM5 TIMES U2 PLUS GIR2;Lo;0;L;;;;;N;;;;;
        "\u1206D",  # ;CUNEIFORM SIGN DAG KISIM5 TIMES USH;Lo;0;L;;;;;N;;;;;
        "\u1206E",  # ;CUNEIFORM SIGN DAM;Lo;0;L;;;;;N;;;;;
        "\u1206F",  # ;CUNEIFORM SIGN DAR;Lo;0;L;;;;;N;;;;;
        "\u12070",  # ;CUNEIFORM SIGN DARA3;Lo;0;L;;;;;N;;;;;
        "\u12071",  # ;CUNEIFORM SIGN DARA4;Lo;0;L;;;;;N;;;;;
        "\u12072",  # ;CUNEIFORM SIGN DI;Lo;0;L;;;;;N;;;;;
        "\u12073",  # ;CUNEIFORM SIGN DIB;Lo;0;L;;;;;N;;;;;
        "\u12074",  # ;CUNEIFORM SIGN DIM;Lo;0;L;;;;;N;;;;;
        "\u12075",  # ;CUNEIFORM SIGN DIM TIMES SHE;Lo;0;L;;;;;N;;;;;
        "\u12076",  # ;CUNEIFORM SIGN DIM2;Lo;0;L;;;;;N;;;;;
        "\u12077",  # ;CUNEIFORM SIGN DIN;Lo;0;L;;;;;N;;;;;
        "\u12078",  # ;CUNEIFORM SIGN DIN KASKAL U GUNU DISH;Lo;0;L;;;;;N;;;;;
        "\u12079",  # ;CUNEIFORM SIGN DISH;Lo;0;L;;;;;N;;;;;
        "\u1207A",  # ;CUNEIFORM SIGN DU;Lo;0;L;;;;;N;;;;;
        "\u1207B",  # ;CUNEIFORM SIGN DU OVER DU;Lo;0;L;;;;;N;;;;;
        "\u1207C",  # ;CUNEIFORM SIGN DU GUNU;Lo;0;L;;;;;N;;;;;
        "\u1207D",  # ;CUNEIFORM SIGN DU SHESHIG;Lo;0;L;;;;;N;;;;;
        "\u1207E",  # ;CUNEIFORM SIGN DUB;Lo;0;L;;;;;N;;;;;
        "\u1207F",  # ;CUNEIFORM SIGN DUB TIMES ESH2;Lo;0;L;;;;;N;;;;;
        "\u12080",  # ;CUNEIFORM SIGN DUB2;Lo;0;L;;;;;N;;;;;
        "\u12081",  # ;CUNEIFORM SIGN DUG;Lo;0;L;;;;;N;;;;;
        "\u12082",  # ;CUNEIFORM SIGN DUGUD;Lo;0;L;;;;;N;;;;;
        "\u12083",  # ;CUNEIFORM SIGN DUH;Lo;0;L;;;;;N;;;;;
        "\u12084",  # ;CUNEIFORM SIGN DUN;Lo;0;L;;;;;N;;;;;
        "\u12085",  # ;CUNEIFORM SIGN DUN3;Lo;0;L;;;;;N;;;;;
        "\u12086",  # ;CUNEIFORM SIGN DUN3 GUNU;Lo;0;L;;;;;N;;;;;
        "\u12087",  # ;CUNEIFORM SIGN DUN3 GUNU GUNU;Lo;0;L;;;;;N;;;;;
        "\u12088",  # ;CUNEIFORM SIGN DUN4;Lo;0;L;;;;;N;;;;;
        "\u12089",  # ;CUNEIFORM SIGN DUR2;Lo;0;L;;;;;N;;;;;
        "\u1208A",  # ;CUNEIFORM SIGN E;Lo;0;L;;;;;N;;;;;
        "\u1208B",  # ;CUNEIFORM SIGN E TIMES PAP;Lo;0;L;;;;;N;;;;;
        "\u1208C",  # ;CUNEIFORM SIGN E OVER E NUN OVER NUN;Lo;0;L;;;;;N;;;;;
        "\u1208D",  # ;CUNEIFORM SIGN E2;Lo;0;L;;;;;N;;;;;
        "\u1208E",  # ;CUNEIFORM SIGN E2 TIMES A PLUS HA PLUS DA;Lo;0;L;;;;;N;;;;;
        "\u1208F",  # ;CUNEIFORM SIGN E2 TIMES GAR;Lo;0;L;;;;;N;;;;;
        "\u12090",  # ;CUNEIFORM SIGN E2 TIMES MI;Lo;0;L;;;;;N;;;;;
        "\u12091",  # ;CUNEIFORM SIGN E2 TIMES SAL;Lo;0;L;;;;;N;;;;;
        "\u12092",  # ;CUNEIFORM SIGN E2 TIMES SHE;Lo;0;L;;;;;N;;;;;
        "\u12093",  # ;CUNEIFORM SIGN E2 TIMES U;Lo;0;L;;;;;N;;;;;
        "\u12094",  # ;CUNEIFORM SIGN EDIN;Lo;0;L;;;;;N;;;;;
        "\u12095",  # ;CUNEIFORM SIGN EGIR;Lo;0;L;;;;;N;;;;;
        "\u12096",  # ;CUNEIFORM SIGN EL;Lo;0;L;;;;;N;;;;;
        "\u12097",  # ;CUNEIFORM SIGN EN;Lo;0;L;;;;;N;;;;;
        "\u12098",  # ;CUNEIFORM SIGN EN TIMES GAN2;Lo;0;L;;;;;N;;;;;
        "\u12099",  # ;CUNEIFORM SIGN EN TIMES GAN2 TENU;Lo;0;L;;;;;N;;;;;
        "\u1209A",  # ;CUNEIFORM SIGN EN TIMES ME;Lo;0;L;;;;;N;;;;;
        "\u1209B",  # ;CUNEIFORM SIGN EN CROSSING EN;Lo;0;L;;;;;N;;;;;
        "\u1209C",  # ;CUNEIFORM SIGN EN OPPOSING EN;Lo;0;L;;;;;N;;;;;
        "\u1209D",  # ;CUNEIFORM SIGN EN SQUARED;Lo;0;L;;;;;N;;;;;
        "\u1209E",  # ;CUNEIFORM SIGN EREN;Lo;0;L;;;;;N;;;;;
        "\u1209F",  # ;CUNEIFORM SIGN ERIN2;Lo;0;L;;;;;N;;;;;
        "\u120A0",  # ;CUNEIFORM SIGN ESH2;Lo;0;L;;;;;N;;;;;
        "\u120A1",  # ;CUNEIFORM SIGN EZEN;Lo;0;L;;;;;N;;;;;
        "\u120A2",  # ;CUNEIFORM SIGN EZEN TIMES A;Lo;0;L;;;;;N;;;;;
        "\u120A3",  # ;CUNEIFORM SIGN EZEN TIMES A PLUS LAL;Lo;0;L;;;;;N;;;;;
        "\u120A4",  # ;CUNEIFORM SIGN EZEN TIMES A PLUS LAL TIMES LAL;Lo;0;L;;;;;N;;;;;
        "\u120A5",  # ;CUNEIFORM SIGN EZEN TIMES AN;Lo;0;L;;;;;N;;;;;
        "\u120A6",  # ;CUNEIFORM SIGN EZEN TIMES BAD;Lo;0;L;;;;;N;;;;;
        "\u120A7",  # ;CUNEIFORM SIGN EZEN TIMES DUN3 GUNU;Lo;0;L;;;;;N;;;;;
        "\u120A8",  # ;CUNEIFORM SIGN EZEN TIMES DUN3 GUNU GUNU;Lo;0;L;;;;;N;;;;;
        "\u120A9",  # ;CUNEIFORM SIGN EZEN TIMES HA;Lo;0;L;;;;;N;;;;;
        "\u120AA",  # ;CUNEIFORM SIGN EZEN TIMES HA GUNU;Lo;0;L;;;;;N;;;;;
        "\u120AB",  # ;CUNEIFORM SIGN EZEN TIMES IGI GUNU;Lo;0;L;;;;;N;;;;;
        "\u120AC",  # ;CUNEIFORM SIGN EZEN TIMES KASKAL;Lo;0;L;;;;;N;;;;;
        "\u120AD",  # ;CUNEIFORM SIGN EZEN TIMES KASKAL SQUARED;Lo;0;L;;;;;N;;;;;
        "\u120AE",  # ;CUNEIFORM SIGN EZEN TIMES KU3;Lo;0;L;;;;;N;;;;;
        "\u120AF",  # ;CUNEIFORM SIGN EZEN TIMES LA;Lo;0;L;;;;;N;;;;;
        "\u120B0",  # ;CUNEIFORM SIGN EZEN TIMES LAL TIMES LAL;Lo;0;L;;;;;N;;;;;
        "\u120B1",  # ;CUNEIFORM SIGN EZEN TIMES LI;Lo;0;L;;;;;N;;;;;
        "\u120B2",  # ;CUNEIFORM SIGN EZEN TIMES LU;Lo;0;L;;;;;N;;;;;
        "\u120B3",  # ;CUNEIFORM SIGN EZEN TIMES U2;Lo;0;L;;;;;N;;;;;
        "\u120B4",  # ;CUNEIFORM SIGN EZEN TIMES UD;Lo;0;L;;;;;N;;;;;
        "\u120B5",  # ;CUNEIFORM SIGN GA;Lo;0;L;;;;;N;;;;;
        "\u120B6",  # ;CUNEIFORM SIGN GA GUNU;Lo;0;L;;;;;N;;;;;
        "\u120B7",  # ;CUNEIFORM SIGN GA2;Lo;0;L;;;;;N;;;;;
        "\u120B8",  # ;CUNEIFORM SIGN GA2 TIMES A PLUS DA PLUS HA;Lo;0;L;;;;;N;;;;;
        "\u120B9",  # ;CUNEIFORM SIGN GA2 TIMES A PLUS HA;Lo;0;L;;;;;N;;;;;
        "\u120BA",  # ;CUNEIFORM SIGN GA2 TIMES A PLUS IGI;Lo;0;L;;;;;N;;;;;
        "\u120BB",  # ;CUNEIFORM SIGN GA2 TIMES AB2 TENU PLUS TAB;Lo;0;L;;;;;N;;;;;
        "\u120BC",  # ;CUNEIFORM SIGN GA2 TIMES AN;Lo;0;L;;;;;N;;;;;
        "\u120BD",  # ;CUNEIFORM SIGN GA2 TIMES ASH;Lo;0;L;;;;;N;;;;;
        "\u120BE",  # ;CUNEIFORM SIGN GA2 TIMES ASH2 PLUS GAL;Lo;0;L;;;;;N;;;;;
        "\u120BF",  # ;CUNEIFORM SIGN GA2 TIMES BAD;Lo;0;L;;;;;N;;;;;
        "\u120C0",  # ;CUNEIFORM SIGN GA2 TIMES BAR PLUS RA;Lo;0;L;;;;;N;;;;;
        "\u120C1",  # ;CUNEIFORM SIGN GA2 TIMES BUR;Lo;0;L;;;;;N;;;;;
        "\u120C2",  # ;CUNEIFORM SIGN GA2 TIMES BUR PLUS RA;Lo;0;L;;;;;N;;;;;
        "\u120C3",  # ;CUNEIFORM SIGN GA2 TIMES DA;Lo;0;L;;;;;N;;;;;
        "\u120C4",  # ;CUNEIFORM SIGN GA2 TIMES DI;Lo;0;L;;;;;N;;;;;
        "\u120C5",  # ;CUNEIFORM SIGN GA2 TIMES DIM TIMES SHE;Lo;0;L;;;;;N;;;;;
        "\u120C6",  # ;CUNEIFORM SIGN GA2 TIMES DUB;Lo;0;L;;;;;N;;;;;
        "\u120C7",  # ;CUNEIFORM SIGN GA2 TIMES EL;Lo;0;L;;;;;N;;;;;
        "\u120C8",  # ;CUNEIFORM SIGN GA2 TIMES EL PLUS LA;Lo;0;L;;;;;N;;;;;
        "\u120C9",  # ;CUNEIFORM SIGN GA2 TIMES EN;Lo;0;L;;;;;N;;;;;
        "\u120CA",  # ;CUNEIFORM SIGN GA2 TIMES EN TIMES GAN2 TENU;Lo;0;L;;;;;N;;;;;
        "\u120CB",  # ;CUNEIFORM SIGN GA2 TIMES GAN2 TENU;Lo;0;L;;;;;N;;;;;
        "\u120CC",  # ;CUNEIFORM SIGN GA2 TIMES GAR;Lo;0;L;;;;;N;;;;;
        "\u120CD",  # ;CUNEIFORM SIGN GA2 TIMES GI;Lo;0;L;;;;;N;;;;;
        "\u120CE",  # ;CUNEIFORM SIGN GA2 TIMES GI4;Lo;0;L;;;;;N;;;;;
        "\u120CF",  # ;CUNEIFORM SIGN GA2 TIMES GI4 PLUS A;Lo;0;L;;;;;N;;;;;
        "\u120D0",  # ;CUNEIFORM SIGN GA2 TIMES GIR2 PLUS SU;Lo;0;L;;;;;N;;;;;
        "\u120D1",  # ;CUNEIFORM SIGN GA2 TIMES HA PLUS LU PLUS ESH2;Lo;0;L;;;;;N;;;;;
        "\u120D2",  # ;CUNEIFORM SIGN GA2 TIMES HAL;Lo;0;L;;;;;N;;;;;
        "\u120D3",  # ;CUNEIFORM SIGN GA2 TIMES HAL PLUS LA;Lo;0;L;;;;;N;;;;;
        "\u120D4",  # ;CUNEIFORM SIGN GA2 TIMES HI PLUS LI;Lo;0;L;;;;;N;;;;;
        "\u120D5",  # ;CUNEIFORM SIGN GA2 TIMES HUB2;Lo;0;L;;;;;N;;;;;
        "\u120D6",  # ;CUNEIFORM SIGN GA2 TIMES IGI GUNU;Lo;0;L;;;;;N;;;;;
        "\u120D7",  # ;CUNEIFORM SIGN GA2 TIMES ISH PLUS HU PLUS ASH;Lo;0;L;;;;;N;;;;;
        "\u120D8",  # ;CUNEIFORM SIGN GA2 TIMES KAK;Lo;0;L;;;;;N;;;;;
        "\u120D9",  # ;CUNEIFORM SIGN GA2 TIMES KASKAL;Lo;0;L;;;;;N;;;;;
        "\u120DA",  # ;CUNEIFORM SIGN GA2 TIMES KID;Lo;0;L;;;;;N;;;;;
        "\u120DB",  # ;CUNEIFORM SIGN GA2 TIMES KID PLUS LAL;Lo;0;L;;;;;N;;;;;
        "\u120DC",  # ;CUNEIFORM SIGN GA2 TIMES KU3 PLUS AN;Lo;0;L;;;;;N;;;;;
        "\u120DD",  # ;CUNEIFORM SIGN GA2 TIMES LA;Lo;0;L;;;;;N;;;;;
        "\u120DE",  # ;CUNEIFORM SIGN GA2 TIMES ME PLUS EN;Lo;0;L;;;;;N;;;;;
        "\u120DF",  # ;CUNEIFORM SIGN GA2 TIMES MI;Lo;0;L;;;;;N;;;;;
        "\u120E0",  # ;CUNEIFORM SIGN GA2 TIMES NUN;Lo;0;L;;;;;N;;;;;
        "\u120E1",  # ;CUNEIFORM SIGN GA2 TIMES NUN OVER NUN;Lo;0;L;;;;;N;;;;;
        "\u120E2",  # ;CUNEIFORM SIGN GA2 TIMES PA;Lo;0;L;;;;;N;;;;;
        "\u120E3",  # ;CUNEIFORM SIGN GA2 TIMES SAL;Lo;0;L;;;;;N;;;;;
        "\u120E4",  # ;CUNEIFORM SIGN GA2 TIMES SAR;Lo;0;L;;;;;N;;;;;
        "\u120E5",  # ;CUNEIFORM SIGN GA2 TIMES SHE;Lo;0;L;;;;;N;;;;;
        "\u120E6",  # ;CUNEIFORM SIGN GA2 TIMES SHE PLUS TUR;Lo;0;L;;;;;N;;;;;
        "\u120E7",  # ;CUNEIFORM SIGN GA2 TIMES SHID;Lo;0;L;;;;;N;;;;;
        "\u120E8",  # ;CUNEIFORM SIGN GA2 TIMES SUM;Lo;0;L;;;;;N;;;;;
        "\u120E9",  # ;CUNEIFORM SIGN GA2 TIMES TAK4;Lo;0;L;;;;;N;;;;;
        "\u120EA",  # ;CUNEIFORM SIGN GA2 TIMES U;Lo;0;L;;;;;N;;;;;
        "\u120EB",  # ;CUNEIFORM SIGN GA2 TIMES UD;Lo;0;L;;;;;N;;;;;
        "\u120EC",  # ;CUNEIFORM SIGN GA2 TIMES UD PLUS DU;Lo;0;L;;;;;N;;;;;
        "\u120ED",  # ;CUNEIFORM SIGN GA2 OVER GA2;Lo;0;L;;;;;N;;;;;
        "\u120EE",  # ;CUNEIFORM SIGN GABA;Lo;0;L;;;;;N;;;;;
        "\u120EF",  # ;CUNEIFORM SIGN GABA CROSSING GABA;Lo;0;L;;;;;N;;;;;
        "\u120F0",  # ;CUNEIFORM SIGN GAD;Lo;0;L;;;;;N;;;;;
        "\u120F1",  # ;CUNEIFORM SIGN GAD OVER GAD GAR OVER GAR;Lo;0;L;;;;;N;;;;;
        "\u120F2",  # ;CUNEIFORM SIGN GAL;Lo;0;L;;;;;N;;;;;
        "\u120F3",  # ;CUNEIFORM SIGN GAL GAD OVER GAD GAR OVER GAR;Lo;0;L;;;;;N;;;;;
        "\u120F4",  # ;CUNEIFORM SIGN GALAM;Lo;0;L;;;;;N;;;;;
        "\u120F5",  # ;CUNEIFORM SIGN GAM;Lo;0;L;;;;;N;;;;;
        "\u120F6",  # ;CUNEIFORM SIGN GAN;Lo;0;L;;;;;N;;;;;
        "\u120F7",  # ;CUNEIFORM SIGN GAN2;Lo;0;L;;;;;N;;;;;
        "\u120F8",  # ;CUNEIFORM SIGN GAN2 TENU;Lo;0;L;;;;;N;;;;;
        "\u120F9",  # ;CUNEIFORM SIGN GAN2 OVER GAN2;Lo;0;L;;;;;N;;;;;
        "\u120FA",  # ;CUNEIFORM SIGN GAN2 CROSSING GAN2;Lo;0;L;;;;;N;;;;;
        "\u120FB",  # ;CUNEIFORM SIGN GAR;Lo;0;L;;;;;N;;;;;
        "\u120FC",  # ;CUNEIFORM SIGN GAR3;Lo;0;L;;;;;N;;;;;
        "\u120FD",  # ;CUNEIFORM SIGN GASHAN;Lo;0;L;;;;;N;;;;;
        "\u120FE",  # ;CUNEIFORM SIGN GESHTIN;Lo;0;L;;;;;N;;;;;
        "\u120FF",  # ;CUNEIFORM SIGN GESHTIN TIMES KUR;Lo;0;L;;;;;N;;;;;
        "\u12100",  # ;CUNEIFORM SIGN GI;Lo;0;L;;;;;N;;;;;
        "\u12101",  # ;CUNEIFORM SIGN GI TIMES E;Lo;0;L;;;;;N;;;;;
        "\u12102",  # ;CUNEIFORM SIGN GI TIMES U;Lo;0;L;;;;;N;;;;;
        "\u12103",  # ;CUNEIFORM SIGN GI CROSSING GI;Lo;0;L;;;;;N;;;;;
        "\u12104",  # ;CUNEIFORM SIGN GI4;Lo;0;L;;;;;N;;;;;
        "\u12105",  # ;CUNEIFORM SIGN GI4 OVER GI4;Lo;0;L;;;;;N;;;;;
        "\u12106",  # ;CUNEIFORM SIGN GI4 CROSSING GI4;Lo;0;L;;;;;N;;;;;
        "\u12107",  # ;CUNEIFORM SIGN GIDIM;Lo;0;L;;;;;N;;;;;
        "\u12108",  # ;CUNEIFORM SIGN GIR2;Lo;0;L;;;;;N;;;;;
        "\u12109",  # ;CUNEIFORM SIGN GIR2 GUNU;Lo;0;L;;;;;N;;;;;
        "\u1210A",  # ;CUNEIFORM SIGN GIR3;Lo;0;L;;;;;N;;;;;
        "\u1210B",  # ;CUNEIFORM SIGN GIR3 TIMES A PLUS IGI;Lo;0;L;;;;;N;;;;;
        "\u1210C",  # ;CUNEIFORM SIGN GIR3 TIMES GAN2 TENU;Lo;0;L;;;;;N;;;;;
        "\u1210D",  # ;CUNEIFORM SIGN GIR3 TIMES IGI;Lo;0;L;;;;;N;;;;;
        "\u1210E",  # ;CUNEIFORM SIGN GIR3 TIMES LU PLUS IGI;Lo;0;L;;;;;N;;;;;
        "\u1210F",  # ;CUNEIFORM SIGN GIR3 TIMES PA;Lo;0;L;;;;;N;;;;;
        "\u12110",  # ;CUNEIFORM SIGN GISAL;Lo;0;L;;;;;N;;;;;
        "\u12111",  # ;CUNEIFORM SIGN GISH;Lo;0;L;;;;;N;;;;;
        "\u12112",  # ;CUNEIFORM SIGN GISH CROSSING GISH;Lo;0;L;;;;;N;;;;;
        "\u12113",  # ;CUNEIFORM SIGN GISH TIMES BAD;Lo;0;L;;;;;N;;;;;
        "\u12114",  # ;CUNEIFORM SIGN GISH TIMES TAK4;Lo;0;L;;;;;N;;;;;
        "\u12115",  # ;CUNEIFORM SIGN GISH TENU;Lo;0;L;;;;;N;;;;;
        "\u12116",  # ;CUNEIFORM SIGN GU;Lo;0;L;;;;;N;;;;;
        "\u12117",  # ;CUNEIFORM SIGN GU CROSSING GU;Lo;0;L;;;;;N;;;;;
        "\u12118",  # ;CUNEIFORM SIGN GU2;Lo;0;L;;;;;N;;;;;
        "\u12119",  # ;CUNEIFORM SIGN GU2 TIMES KAK;Lo;0;L;;;;;N;;;;;
        "\u1211A",  # ;CUNEIFORM SIGN GU2 TIMES KAK TIMES IGI GUNU;Lo;0;L;;;;;N;;;;;
        "\u1211B",  # ;CUNEIFORM SIGN GU2 TIMES NUN;Lo;0;L;;;;;N;;;;;
        "\u1211C",  # ;CUNEIFORM SIGN GU2 TIMES SAL PLUS TUG2;Lo;0;L;;;;;N;;;;;
        "\u1211D",  # ;CUNEIFORM SIGN GU2 GUNU;Lo;0;L;;;;;N;;;;;
        "\u1211E",  # ;CUNEIFORM SIGN GUD;Lo;0;L;;;;;N;;;;;
        "\u1211F",  # ;CUNEIFORM SIGN GUD TIMES A PLUS KUR;Lo;0;L;;;;;N;;;;;
        "\u12120",  # ;CUNEIFORM SIGN GUD TIMES KUR;Lo;0;L;;;;;N;;;;;
        "\u12121",  # ;CUNEIFORM SIGN GUD OVER GUD LUGAL;Lo;0;L;;;;;N;;;;;
        "\u12122",  # ;CUNEIFORM SIGN GUL;Lo;0;L;;;;;N;;;;;
        "\u12123",  # ;CUNEIFORM SIGN GUM;Lo;0;L;;;;;N;;;;;
        "\u12124",  # ;CUNEIFORM SIGN GUM TIMES SHE;Lo;0;L;;;;;N;;;;;
        "\u12125",  # ;CUNEIFORM SIGN GUR;Lo;0;L;;;;;N;;;;;
        "\u12126",  # ;CUNEIFORM SIGN GUR7;Lo;0;L;;;;;N;;;;;
        "\u12127",  # ;CUNEIFORM SIGN GURUN;Lo;0;L;;;;;N;;;;;
        "\u12128",  # ;CUNEIFORM SIGN GURUSH;Lo;0;L;;;;;N;;;;;
        "\u12129",  # ;CUNEIFORM SIGN HA;Lo;0;L;;;;;N;;;;;
        "\u1212A",  # ;CUNEIFORM SIGN HA TENU;Lo;0;L;;;;;N;;;;;
        "\u1212B",  # ;CUNEIFORM SIGN HA GUNU;Lo;0;L;;;;;N;;;;;
        "\u1212C",  # ;CUNEIFORM SIGN HAL;Lo;0;L;;;;;N;;;;;
        "\u1212D",  # ;CUNEIFORM SIGN HI;Lo;0;L;;;;;N;;;;;
        "\u1212E",  # ;CUNEIFORM SIGN HI TIMES ASH;Lo;0;L;;;;;N;;;;;
        "\u1212F",  # ;CUNEIFORM SIGN HI TIMES ASH2;Lo;0;L;;;;;N;;;;;
        "\u12130",  # ;CUNEIFORM SIGN HI TIMES BAD;Lo;0;L;;;;;N;;;;;
        "\u12131",  # ;CUNEIFORM SIGN HI TIMES DISH;Lo;0;L;;;;;N;;;;;
        "\u12132",  # ;CUNEIFORM SIGN HI TIMES GAD;Lo;0;L;;;;;N;;;;;
        "\u12133",  # ;CUNEIFORM SIGN HI TIMES KIN;Lo;0;L;;;;;N;;;;;
        "\u12134",  # ;CUNEIFORM SIGN HI TIMES NUN;Lo;0;L;;;;;N;;;;;
        "\u12135",  # ;CUNEIFORM SIGN HI TIMES SHE;Lo;0;L;;;;;N;;;;;
        "\u12136",  # ;CUNEIFORM SIGN HI TIMES U;Lo;0;L;;;;;N;;;;;
        "\u12137",  # ;CUNEIFORM SIGN HU;Lo;0;L;;;;;N;;;;;
        "\u12138",  # ;CUNEIFORM SIGN HUB2;Lo;0;L;;;;;N;;;;;
        "\u12139",  # ;CUNEIFORM SIGN HUB2 TIMES AN;Lo;0;L;;;;;N;;;;;
        "\u1213A",  # ;CUNEIFORM SIGN HUB2 TIMES HAL;Lo;0;L;;;;;N;;;;;
        "\u1213B",  # ;CUNEIFORM SIGN HUB2 TIMES KASKAL;Lo;0;L;;;;;N;;;;;
        "\u1213C",  # ;CUNEIFORM SIGN HUB2 TIMES LISH;Lo;0;L;;;;;N;;;;;
        "\u1213D",  # ;CUNEIFORM SIGN HUB2 TIMES UD;Lo;0;L;;;;;N;;;;;
        "\u1213E",  # ;CUNEIFORM SIGN HUL2;Lo;0;L;;;;;N;;;;;
        "\u1213F",  # ;CUNEIFORM SIGN I;Lo;0;L;;;;;N;;;;;
        "\u12140",  # ;CUNEIFORM SIGN I A;Lo;0;L;;;;;N;;;;;
        "\u12141",  # ;CUNEIFORM SIGN IB;Lo;0;L;;;;;N;;;;;
        "\u12142",  # ;CUNEIFORM SIGN IDIM;Lo;0;L;;;;;N;;;;;
        "\u12143",  # ;CUNEIFORM SIGN IDIM OVER IDIM BUR;Lo;0;L;;;;;N;;;;;
        "\u12144",  # ;CUNEIFORM SIGN IDIM OVER IDIM SQUARED;Lo;0;L;;;;;N;;;;;
        "\u12145",  # ;CUNEIFORM SIGN IG;Lo;0;L;;;;;N;;;;;
        "\u12146",  # ;CUNEIFORM SIGN IGI;Lo;0;L;;;;;N;;;;;
        "\u12147",  # ;CUNEIFORM SIGN IGI DIB;Lo;0;L;;;;;N;;;;;
        "\u12148",  # ;CUNEIFORM SIGN IGI RI;Lo;0;L;;;;;N;;;;;
        "\u12149",  # ;CUNEIFORM SIGN IGI OVER IGI SHIR OVER SHIR UD OVER UD;Lo;0;L;;;;;N;;;;;
        "\u1214A",  # ;CUNEIFORM SIGN IGI GUNU;Lo;0;L;;;;;N;;;;;
        "\u1214B",  # ;CUNEIFORM SIGN IL;Lo;0;L;;;;;N;;;;;
        "\u1214C",  # ;CUNEIFORM SIGN IL TIMES GAN2 TENU;Lo;0;L;;;;;N;;;;;
        "\u1214D",  # ;CUNEIFORM SIGN IL2;Lo;0;L;;;;;N;;;;;
        "\u1214E",  # ;CUNEIFORM SIGN IM;Lo;0;L;;;;;N;;;;;
        "\u1214F",  # ;CUNEIFORM SIGN IM TIMES TAK4;Lo;0;L;;;;;N;;;;;
        "\u12150",  # ;CUNEIFORM SIGN IM CROSSING IM;Lo;0;L;;;;;N;;;;;
        "\u12151",  # ;CUNEIFORM SIGN IM OPPOSING IM;Lo;0;L;;;;;N;;;;;
        "\u12152",  # ;CUNEIFORM SIGN IM SQUARED;Lo;0;L;;;;;N;;;;;
        "\u12153",  # ;CUNEIFORM SIGN IMIN;Lo;0;L;;;;;N;;;;;
        "\u12154",  # ;CUNEIFORM SIGN IN;Lo;0;L;;;;;N;;;;;
        "\u12155",  # ;CUNEIFORM SIGN IR;Lo;0;L;;;;;N;;;;;
        "\u12156",  # ;CUNEIFORM SIGN ISH;Lo;0;L;;;;;N;;;;;
        "\u12157",  # ;CUNEIFORM SIGN KA;Lo;0;L;;;;;N;;;;;
        "\u12158",  # ;CUNEIFORM SIGN KA TIMES A;Lo;0;L;;;;;N;;;;;
        "\u12159",  # ;CUNEIFORM SIGN KA TIMES AD;Lo;0;L;;;;;N;;;;;
        "\u1215A",  # ;CUNEIFORM SIGN KA TIMES AD PLUS KU3;Lo;0;L;;;;;N;;;;;
        "\u1215B",  # ;CUNEIFORM SIGN KA TIMES ASH2;Lo;0;L;;;;;N;;;;;
        "\u1215C",  # ;CUNEIFORM SIGN KA TIMES BAD;Lo;0;L;;;;;N;;;;;
        "\u1215D",  # ;CUNEIFORM SIGN KA TIMES BALAG;Lo;0;L;;;;;N;;;;;
        "\u1215E",  # ;CUNEIFORM SIGN KA TIMES BAR;Lo;0;L;;;;;N;;;;;
        "\u1215F",  # ;CUNEIFORM SIGN KA TIMES BI;Lo;0;L;;;;;N;;;;;
        "\u12160",  # ;CUNEIFORM SIGN KA TIMES ERIN2;Lo;0;L;;;;;N;;;;;
        "\u12161",  # ;CUNEIFORM SIGN KA TIMES ESH2;Lo;0;L;;;;;N;;;;;
        "\u12162",  # ;CUNEIFORM SIGN KA TIMES GA;Lo;0;L;;;;;N;;;;;
        "\u12163",  # ;CUNEIFORM SIGN KA TIMES GAL;Lo;0;L;;;;;N;;;;;
        "\u12164",  # ;CUNEIFORM SIGN KA TIMES GAN2 TENU;Lo;0;L;;;;;N;;;;;
        "\u12165",  # ;CUNEIFORM SIGN KA TIMES GAR;Lo;0;L;;;;;N;;;;;
        "\u12166",  # ;CUNEIFORM SIGN KA TIMES GAR PLUS SHA3 PLUS A;Lo;0;L;;;;;N;;;;;
        "\u12167",  # ;CUNEIFORM SIGN KA TIMES GI;Lo;0;L;;;;;N;;;;;
        "\u12168",  # ;CUNEIFORM SIGN KA TIMES GIR2;Lo;0;L;;;;;N;;;;;
        "\u12169",  # ;CUNEIFORM SIGN KA TIMES GISH PLUS SAR;Lo;0;L;;;;;N;;;;;
        "\u1216A",  # ;CUNEIFORM SIGN KA TIMES GISH CROSSING GISH;Lo;0;L;;;;;N;;;;;
        "\u1216B",  # ;CUNEIFORM SIGN KA TIMES GU;Lo;0;L;;;;;N;;;;;
        "\u1216C",  # ;CUNEIFORM SIGN KA TIMES GUR7;Lo;0;L;;;;;N;;;;;
        "\u1216D",  # ;CUNEIFORM SIGN KA TIMES IGI;Lo;0;L;;;;;N;;;;;
        "\u1216E",  # ;CUNEIFORM SIGN KA TIMES IM;Lo;0;L;;;;;N;;;;;
        "\u1216F",  # ;CUNEIFORM SIGN KA TIMES KAK;Lo;0;L;;;;;N;;;;;
        "\u12170",  # ;CUNEIFORM SIGN KA TIMES KI;Lo;0;L;;;;;N;;;;;
        "\u12171",  # ;CUNEIFORM SIGN KA TIMES KID;Lo;0;L;;;;;N;;;;;
        "\u12172",  # ;CUNEIFORM SIGN KA TIMES LI;Lo;0;L;;;;;N;;;;;
        "\u12173",  # ;CUNEIFORM SIGN KA TIMES LU;Lo;0;L;;;;;N;;;;;
        "\u12174",  # ;CUNEIFORM SIGN KA TIMES ME;Lo;0;L;;;;;N;;;;;
        "\u12175",  # ;CUNEIFORM SIGN KA TIMES ME PLUS DU;Lo;0;L;;;;;N;;;;;
        "\u12176",  # ;CUNEIFORM SIGN KA TIMES ME PLUS GI;Lo;0;L;;;;;N;;;;;
        "\u12177",  # ;CUNEIFORM SIGN KA TIMES ME PLUS TE;Lo;0;L;;;;;N;;;;;
        "\u12178",  # ;CUNEIFORM SIGN KA TIMES MI;Lo;0;L;;;;;N;;;;;
        "\u12179",  # ;CUNEIFORM SIGN KA TIMES MI PLUS NUNUZ;Lo;0;L;;;;;N;;;;;
        "\u1217A",  # ;CUNEIFORM SIGN KA TIMES NE;Lo;0;L;;;;;N;;;;;
        "\u1217B",  # ;CUNEIFORM SIGN KA TIMES NUN;Lo;0;L;;;;;N;;;;;
        "\u1217C",  # ;CUNEIFORM SIGN KA TIMES PI;Lo;0;L;;;;;N;;;;;
        "\u1217D",  # ;CUNEIFORM SIGN KA TIMES RU;Lo;0;L;;;;;N;;;;;
        "\u1217E",  # ;CUNEIFORM SIGN KA TIMES SA;Lo;0;L;;;;;N;;;;;
        "\u1217F",  # ;CUNEIFORM SIGN KA TIMES SAR;Lo;0;L;;;;;N;;;;;
        "\u12180",  # ;CUNEIFORM SIGN KA TIMES SHA;Lo;0;L;;;;;N;;;;;
        "\u12181",  # ;CUNEIFORM SIGN KA TIMES SHE;Lo;0;L;;;;;N;;;;;
        "\u12182",  # ;CUNEIFORM SIGN KA TIMES SHID;Lo;0;L;;;;;N;;;;;
        "\u12183",  # ;CUNEIFORM SIGN KA TIMES SHU;Lo;0;L;;;;;N;;;;;
        "\u12184",  # ;CUNEIFORM SIGN KA TIMES SIG;Lo;0;L;;;;;N;;;;;
        "\u12185",  # ;CUNEIFORM SIGN KA TIMES SUHUR;Lo;0;L;;;;;N;;;;;
        "\u12186",  # ;CUNEIFORM SIGN KA TIMES TAR;Lo;0;L;;;;;N;;;;;
        "\u12187",  # ;CUNEIFORM SIGN KA TIMES U;Lo;0;L;;;;;N;;;;;
        "\u12188",  # ;CUNEIFORM SIGN KA TIMES U2;Lo;0;L;;;;;N;;;;;
        "\u12189",  # ;CUNEIFORM SIGN KA TIMES UD;Lo;0;L;;;;;N;;;;;
        "\u1218A",  # ;CUNEIFORM SIGN KA TIMES UMUM TIMES PA;Lo;0;L;;;;;N;;;;;
        "\u1218B",  # ;CUNEIFORM SIGN KA TIMES USH;Lo;0;L;;;;;N;;;;;
        "\u1218C",  # ;CUNEIFORM SIGN KA TIMES ZI;Lo;0;L;;;;;N;;;;;
        "\u1218D",  # ;CUNEIFORM SIGN KA2;Lo;0;L;;;;;N;;;;;
        "\u1218E",  # ;CUNEIFORM SIGN KA2 CROSSING KA2;Lo;0;L;;;;;N;;;;;
        "\u1218F",  # ;CUNEIFORM SIGN KAB;Lo;0;L;;;;;N;;;;;
        "\u12190",  # ;CUNEIFORM SIGN KAD2;Lo;0;L;;;;;N;;;;;
        "\u12191",  # ;CUNEIFORM SIGN KAD3;Lo;0;L;;;;;N;;;;;
        "\u12192",  # ;CUNEIFORM SIGN KAD4;Lo;0;L;;;;;N;;;;;
        "\u12193",  # ;CUNEIFORM SIGN KAD5;Lo;0;L;;;;;N;;;;;
        "\u12194",  # ;CUNEIFORM SIGN KAD5 OVER KAD5;Lo;0;L;;;;;N;;;;;
        "\u12195",  # ;CUNEIFORM SIGN KAK;Lo;0;L;;;;;N;;;;;
        "\u12196",  # ;CUNEIFORM SIGN KAK TIMES IGI GUNU;Lo;0;L;;;;;N;;;;;
        "\u12197",  # ;CUNEIFORM SIGN KAL;Lo;0;L;;;;;N;;;;;
        "\u12198",  # ;CUNEIFORM SIGN KAL TIMES BAD;Lo;0;L;;;;;N;;;;;
        "\u12199",  # ;CUNEIFORM SIGN KAL CROSSING KAL;Lo;0;L;;;;;N;;;;;
        "\u1219A",  # ;CUNEIFORM SIGN KAM2;Lo;0;L;;;;;N;;;;;
        "\u1219B",  # ;CUNEIFORM SIGN KAM4;Lo;0;L;;;;;N;;;;;
        "\u1219C",  # ;CUNEIFORM SIGN KASKAL;Lo;0;L;;;;;N;;;;;
        "\u1219D",  # ;CUNEIFORM SIGN KASKAL LAGAB TIMES U OVER LAGAB TIMES U;Lo;0;L;;;;;N;;;;;
        "\u1219E",  # ;CUNEIFORM SIGN KASKAL OVER KASKAL LAGAB TIMES U OVER LAGAB TIMES U;Lo;0;L;;;;;N;;;;;
        "\u1219F",  # ;CUNEIFORM SIGN KESH2;Lo;0;L;;;;;N;;;;;
        "\u121A0",  # ;CUNEIFORM SIGN KI;Lo;0;L;;;;;N;;;;;
        "\u121A1",  # ;CUNEIFORM SIGN KI TIMES BAD;Lo;0;L;;;;;N;;;;;
        "\u121A2",  # ;CUNEIFORM SIGN KI TIMES U;Lo;0;L;;;;;N;;;;;
        "\u121A3",  # ;CUNEIFORM SIGN KI TIMES UD;Lo;0;L;;;;;N;;;;;
        "\u121A4",  # ;CUNEIFORM SIGN KID;Lo;0;L;;;;;N;;;;;
        "\u121A5",  # ;CUNEIFORM SIGN KIN;Lo;0;L;;;;;N;;;;;
        "\u121A6",  # ;CUNEIFORM SIGN KISAL;Lo;0;L;;;;;N;;;;;
        "\u121A7",  # ;CUNEIFORM SIGN KISH;Lo;0;L;;;;;N;;;;;
        "\u121A8",  # ;CUNEIFORM SIGN KISIM5;Lo;0;L;;;;;N;;;;;
        "\u121A9",  # ;CUNEIFORM SIGN KISIM5 OVER KISIM5;Lo;0;L;;;;;N;;;;;
        "\u121AA",  # ;CUNEIFORM SIGN KU;Lo;0;L;;;;;N;;;;;
        "\u121AB",  # ;CUNEIFORM SIGN KU OVER HI TIMES ASH2 KU OVER HI TIMES ASH2;Lo;0;L;;;;;N;;;;;
        "\u121AC",  # ;CUNEIFORM SIGN KU3;Lo;0;L;;;;;N;;;;;
        "\u121AD",  # ;CUNEIFORM SIGN KU4;Lo;0;L;;;;;N;;;;;
        "\u121AE",  # ;CUNEIFORM SIGN KU4 VARIANT FORM;Lo;0;L;;;;;N;;;;;
        "\u121AF",  # ;CUNEIFORM SIGN KU7;Lo;0;L;;;;;N;;;;;
        "\u121B0",  # ;CUNEIFORM SIGN KUL;Lo;0;L;;;;;N;;;;;
        "\u121B1",  # ;CUNEIFORM SIGN KUL GUNU;Lo;0;L;;;;;N;;;;;
        "\u121B2",  # ;CUNEIFORM SIGN KUN;Lo;0;L;;;;;N;;;;;
        "\u121B3",  # ;CUNEIFORM SIGN KUR;Lo;0;L;;;;;N;;;;;
        "\u121B4",  # ;CUNEIFORM SIGN KUR OPPOSING KUR;Lo;0;L;;;;;N;;;;;
        "\u121B5",  # ;CUNEIFORM SIGN KUSHU2;Lo;0;L;;;;;N;;;;;
        "\u121B6",  # ;CUNEIFORM SIGN KWU318;Lo;0;L;;;;;N;;;;;
        "\u121B7",  # ;CUNEIFORM SIGN LA;Lo;0;L;;;;;N;;;;;
        "\u121B8",  # ;CUNEIFORM SIGN LAGAB;Lo;0;L;;;;;N;;;;;
        "\u121B9",  # ;CUNEIFORM SIGN LAGAB TIMES A;Lo;0;L;;;;;N;;;;;
        "\u121BA",  # ;CUNEIFORM SIGN LAGAB TIMES A PLUS DA PLUS HA;Lo;0;L;;;;;N;;;;;
        "\u121BB",  # ;CUNEIFORM SIGN LAGAB TIMES A PLUS GAR;Lo;0;L;;;;;N;;;;;
        "\u121BC",  # ;CUNEIFORM SIGN LAGAB TIMES A PLUS LAL;Lo;0;L;;;;;N;;;;;
        "\u121BD",  # ;CUNEIFORM SIGN LAGAB TIMES AL;Lo;0;L;;;;;N;;;;;
        "\u121BE",  # ;CUNEIFORM SIGN LAGAB TIMES AN;Lo;0;L;;;;;N;;;;;
        "\u121BF",  # ;CUNEIFORM SIGN LAGAB TIMES ASH ZIDA TENU;Lo;0;L;;;;;N;;;;;
        "\u121C0",  # ;CUNEIFORM SIGN LAGAB TIMES BAD;Lo;0;L;;;;;N;;;;;
        "\u121C1",  # ;CUNEIFORM SIGN LAGAB TIMES BI;Lo;0;L;;;;;N;;;;;
        "\u121C2",  # ;CUNEIFORM SIGN LAGAB TIMES DAR;Lo;0;L;;;;;N;;;;;
        "\u121C3",  # ;CUNEIFORM SIGN LAGAB TIMES EN;Lo;0;L;;;;;N;;;;;
        "\u121C4",  # ;CUNEIFORM SIGN LAGAB TIMES GA;Lo;0;L;;;;;N;;;;;
        "\u121C5",  # ;CUNEIFORM SIGN LAGAB TIMES GAR;Lo;0;L;;;;;N;;;;;
        "\u121C6",  # ;CUNEIFORM SIGN LAGAB TIMES GUD;Lo;0;L;;;;;N;;;;;
        "\u121C7",  # ;CUNEIFORM SIGN LAGAB TIMES GUD PLUS GUD;Lo;0;L;;;;;N;;;;;
        "\u121C8",  # ;CUNEIFORM SIGN LAGAB TIMES HA;Lo;0;L;;;;;N;;;;;
        "\u121C9",  # ;CUNEIFORM SIGN LAGAB TIMES HAL;Lo;0;L;;;;;N;;;;;
        "\u121CA",  # ;CUNEIFORM SIGN LAGAB TIMES HI TIMES NUN;Lo;0;L;;;;;N;;;;;
        "\u121CB",  # ;CUNEIFORM SIGN LAGAB TIMES IGI GUNU;Lo;0;L;;;;;N;;;;;
        "\u121CC",  # ;CUNEIFORM SIGN LAGAB TIMES IM;Lo;0;L;;;;;N;;;;;
        "\u121CD",  # ;CUNEIFORM SIGN LAGAB TIMES IM PLUS HA;Lo;0;L;;;;;N;;;;;
        "\u121CE",  # ;CUNEIFORM SIGN LAGAB TIMES IM PLUS LU;Lo;0;L;;;;;N;;;;;
        "\u121CF",  # ;CUNEIFORM SIGN LAGAB TIMES KI;Lo;0;L;;;;;N;;;;;
        "\u121D0",  # ;CUNEIFORM SIGN LAGAB TIMES KIN;Lo;0;L;;;;;N;;;;;
        "\u121D1",  # ;CUNEIFORM SIGN LAGAB TIMES KU3;Lo;0;L;;;;;N;;;;;
        "\u121D2",  # ;CUNEIFORM SIGN LAGAB TIMES KUL;Lo;0;L;;;;;N;;;;;
        "\u121D3",  # ;CUNEIFORM SIGN LAGAB TIMES KUL PLUS HI PLUS A;Lo;0;L;;;;;N;;;;;
        "\u121D4",  # ;CUNEIFORM SIGN LAGAB TIMES LAGAB;Lo;0;L;;;;;N;;;;;
        "\u121D5",  # ;CUNEIFORM SIGN LAGAB TIMES LISH;Lo;0;L;;;;;N;;;;;
        "\u121D6",  # ;CUNEIFORM SIGN LAGAB TIMES LU;Lo;0;L;;;;;N;;;;;
        "\u121D7",  # ;CUNEIFORM SIGN LAGAB TIMES LUL;Lo;0;L;;;;;N;;;;;
        "\u121D8",  # ;CUNEIFORM SIGN LAGAB TIMES ME;Lo;0;L;;;;;N;;;;;
        "\u121D9",  # ;CUNEIFORM SIGN LAGAB TIMES ME PLUS EN;Lo;0;L;;;;;N;;;;;
        "\u121DA",  # ;CUNEIFORM SIGN LAGAB TIMES MUSH;Lo;0;L;;;;;N;;;;;
        "\u121DB",  # ;CUNEIFORM SIGN LAGAB TIMES NE;Lo;0;L;;;;;N;;;;;
        "\u121DC",  # ;CUNEIFORM SIGN LAGAB TIMES SHE PLUS SUM;Lo;0;L;;;;;N;;;;;
        "\u121DD",  # ;CUNEIFORM SIGN LAGAB TIMES SHITA PLUS GISH PLUS ERIN2;Lo;0;L;;;;;N;;;;;
        "\u121DE",  # ;CUNEIFORM SIGN LAGAB TIMES SHITA PLUS GISH TENU;Lo;0;L;;;;;N;;;;;
        "\u121DF",  # ;CUNEIFORM SIGN LAGAB TIMES SHU2;Lo;0;L;;;;;N;;;;;
        "\u121E0",  # ;CUNEIFORM SIGN LAGAB TIMES SHU2 PLUS SHU2;Lo;0;L;;;;;N;;;;;
        "\u121E1",  # ;CUNEIFORM SIGN LAGAB TIMES SUM;Lo;0;L;;;;;N;;;;;
        "\u121E2",  # ;CUNEIFORM SIGN LAGAB TIMES TAG;Lo;0;L;;;;;N;;;;;
        "\u121E3",  # ;CUNEIFORM SIGN LAGAB TIMES TAK4;Lo;0;L;;;;;N;;;;;
        "\u121E4",  # ;CUNEIFORM SIGN LAGAB TIMES TE PLUS A PLUS SU PLUS NA;Lo;0;L;;;;;N;;;;;
        "\u121E5",  # ;CUNEIFORM SIGN LAGAB TIMES U;Lo;0;L;;;;;N;;;;;
        "\u121E6",  # ;CUNEIFORM SIGN LAGAB TIMES U PLUS A;Lo;0;L;;;;;N;;;;;
        "\u121E7",  # ;CUNEIFORM SIGN LAGAB TIMES U PLUS U PLUS U;Lo;0;L;;;;;N;;;;;
        "\u121E8",  # ;CUNEIFORM SIGN LAGAB TIMES U2 PLUS ASH;Lo;0;L;;;;;N;;;;;
        "\u121E9",  # ;CUNEIFORM SIGN LAGAB TIMES UD;Lo;0;L;;;;;N;;;;;
        "\u121EA",  # ;CUNEIFORM SIGN LAGAB TIMES USH;Lo;0;L;;;;;N;;;;;
        "\u121EB",  # ;CUNEIFORM SIGN LAGAB SQUARED;Lo;0;L;;;;;N;;;;;
        "\u121EC",  # ;CUNEIFORM SIGN LAGAR;Lo;0;L;;;;;N;;;;;
        "\u121ED",  # ;CUNEIFORM SIGN LAGAR TIMES SHE;Lo;0;L;;;;;N;;;;;
        "\u121EE",  # ;CUNEIFORM SIGN LAGAR TIMES SHE PLUS SUM;Lo;0;L;;;;;N;;;;;
        "\u121EF",  # ;CUNEIFORM SIGN LAGAR GUNU;Lo;0;L;;;;;N;;;;;
        "\u121F0",  # ;CUNEIFORM SIGN LAGAR GUNU OVER LAGAR GUNU SHE;Lo;0;L;;;;;N;;;;;
        "\u121F1",  # ;CUNEIFORM SIGN LAHSHU;Lo;0;L;;;;;N;;;;;
        "\u121F2",  # ;CUNEIFORM SIGN LAL;Lo;0;L;;;;;N;;;;;
        "\u121F3",  # ;CUNEIFORM SIGN LAL TIMES LAL;Lo;0;L;;;;;N;;;;;
        "\u121F4",  # ;CUNEIFORM SIGN LAM;Lo;0;L;;;;;N;;;;;
        "\u121F5",  # ;CUNEIFORM SIGN LAM TIMES KUR;Lo;0;L;;;;;N;;;;;
        "\u121F6",  # ;CUNEIFORM SIGN LAM TIMES KUR PLUS RU;Lo;0;L;;;;;N;;;;;
        "\u121F7",  # ;CUNEIFORM SIGN LI;Lo;0;L;;;;;N;;;;;
        "\u121F8",  # ;CUNEIFORM SIGN LIL;Lo;0;L;;;;;N;;;;;
        "\u121F9",  # ;CUNEIFORM SIGN LIMMU2;Lo;0;L;;;;;N;;;;;
        "\u121FA",  # ;CUNEIFORM SIGN LISH;Lo;0;L;;;;;N;;;;;
        "\u121FB",  # ;CUNEIFORM SIGN LU;Lo;0;L;;;;;N;;;;;
        "\u121FC",  # ;CUNEIFORM SIGN LU TIMES BAD;Lo;0;L;;;;;N;;;;;
        "\u121FD",  # ;CUNEIFORM SIGN LU2;Lo;0;L;;;;;N;;;;;
        "\u121FE",  # ;CUNEIFORM SIGN LU2 TIMES AL;Lo;0;L;;;;;N;;;;;
        "\u121FF",  # ;CUNEIFORM SIGN LU2 TIMES BAD;Lo;0;L;;;;;N;;;;;
        "\u12200",  # ;CUNEIFORM SIGN LU2 TIMES ESH2;Lo;0;L;;;;;N;;;;;
        "\u12201",  # ;CUNEIFORM SIGN LU2 TIMES ESH2 TENU;Lo;0;L;;;;;N;;;;;
        "\u12202",  # ;CUNEIFORM SIGN LU2 TIMES GAN2 TENU;Lo;0;L;;;;;N;;;;;
        "\u12203",  # ;CUNEIFORM SIGN LU2 TIMES HI TIMES BAD;Lo;0;L;;;;;N;;;;;
        "\u12204",  # ;CUNEIFORM SIGN LU2 TIMES IM;Lo;0;L;;;;;N;;;;;
        "\u12205",  # ;CUNEIFORM SIGN LU2 TIMES KAD2;Lo;0;L;;;;;N;;;;;
        "\u12206",  # ;CUNEIFORM SIGN LU2 TIMES KAD3;Lo;0;L;;;;;N;;;;;
        "\u12207",  # ;CUNEIFORM SIGN LU2 TIMES KAD3 PLUS ASH;Lo;0;L;;;;;N;;;;;
        "\u12208",  # ;CUNEIFORM SIGN LU2 TIMES KI;Lo;0;L;;;;;N;;;;;
        "\u12209",  # ;CUNEIFORM SIGN LU2 TIMES LA PLUS ASH;Lo;0;L;;;;;N;;;;;
        "\u1220A",  # ;CUNEIFORM SIGN LU2 TIMES LAGAB;Lo;0;L;;;;;N;;;;;
        "\u1220B",  # ;CUNEIFORM SIGN LU2 TIMES ME PLUS EN;Lo;0;L;;;;;N;;;;;
        "\u1220C",  # ;CUNEIFORM SIGN LU2 TIMES NE;Lo;0;L;;;;;N;;;;;
        "\u1220D",  # ;CUNEIFORM SIGN LU2 TIMES NU;Lo;0;L;;;;;N;;;;;
        "\u1220E",  # ;CUNEIFORM SIGN LU2 TIMES SI PLUS ASH;Lo;0;L;;;;;N;;;;;
        "\u1220F",  # ;CUNEIFORM SIGN LU2 TIMES SIK2 PLUS BU;Lo;0;L;;;;;N;;;;;
        "\u12210",  # ;CUNEIFORM SIGN LU2 TIMES TUG2;Lo;0;L;;;;;N;;;;;
        "\u12211",  # ;CUNEIFORM SIGN LU2 TENU;Lo;0;L;;;;;N;;;;;
        "\u12212",  # ;CUNEIFORM SIGN LU2 CROSSING LU2;Lo;0;L;;;;;N;;;;;
        "\u12213",  # ;CUNEIFORM SIGN LU2 OPPOSING LU2;Lo;0;L;;;;;N;;;;;
        "\u12214",  # ;CUNEIFORM SIGN LU2 SQUARED;Lo;0;L;;;;;N;;;;;
        "\u12215",  # ;CUNEIFORM SIGN LU2 SHESHIG;Lo;0;L;;;;;N;;;;;
        "\u12216",  # ;CUNEIFORM SIGN LU3;Lo;0;L;;;;;N;;;;;
        "\u12217",  # ;CUNEIFORM SIGN LUGAL;Lo;0;L;;;;;N;;;;;
        "\u12218",  # ;CUNEIFORM SIGN LUGAL OVER LUGAL;Lo;0;L;;;;;N;;;;;
        "\u12219",  # ;CUNEIFORM SIGN LUGAL OPPOSING LUGAL;Lo;0;L;;;;;N;;;;;
        "\u1221A",  # ;CUNEIFORM SIGN LUGAL SHESHIG;Lo;0;L;;;;;N;;;;;
        "\u1221B",  # ;CUNEIFORM SIGN LUH;Lo;0;L;;;;;N;;;;;
        "\u1221C",  # ;CUNEIFORM SIGN LUL;Lo;0;L;;;;;N;;;;;
        "\u1221D",  # ;CUNEIFORM SIGN LUM;Lo;0;L;;;;;N;;;;;
        "\u1221E",  # ;CUNEIFORM SIGN LUM OVER LUM;Lo;0;L;;;;;N;;;;;
        "\u1221F",  # ;CUNEIFORM SIGN LUM OVER LUM GAR OVER GAR;Lo;0;L;;;;;N;;;;;
        "\u12220",  # ;CUNEIFORM SIGN MA;Lo;0;L;;;;;N;;;;;
        "\u12221",  # ;CUNEIFORM SIGN MA TIMES TAK4;Lo;0;L;;;;;N;;;;;
        "\u12222",  # ;CUNEIFORM SIGN MA GUNU;Lo;0;L;;;;;N;;;;;
        "\u12223",  # ;CUNEIFORM SIGN MA2;Lo;0;L;;;;;N;;;;;
        "\u12224",  # ;CUNEIFORM SIGN MAH;Lo;0;L;;;;;N;;;;;
        "\u12225",  # ;CUNEIFORM SIGN MAR;Lo;0;L;;;;;N;;;;;
        "\u12226",  # ;CUNEIFORM SIGN MASH;Lo;0;L;;;;;N;;;;;
        "\u12227",  # ;CUNEIFORM SIGN MASH2;Lo;0;L;;;;;N;;;;;
        "\u12228",  # ;CUNEIFORM SIGN ME;Lo;0;L;;;;;N;;;;;
        "\u12229",  # ;CUNEIFORM SIGN MES;Lo;0;L;;;;;N;;;;;
        "\u1222A",  # ;CUNEIFORM SIGN MI;Lo;0;L;;;;;N;;;;;
        "\u1222B",  # ;CUNEIFORM SIGN MIN;Lo;0;L;;;;;N;;;;;
        "\u1222C",  # ;CUNEIFORM SIGN MU;Lo;0;L;;;;;N;;;;;
        "\u1222D",  # ;CUNEIFORM SIGN MU OVER MU;Lo;0;L;;;;;N;;;;;
        "\u1222E",  # ;CUNEIFORM SIGN MUG;Lo;0;L;;;;;N;;;;;
        "\u1222F",  # ;CUNEIFORM SIGN MUG GUNU;Lo;0;L;;;;;N;;;;;
        "\u12230",  # ;CUNEIFORM SIGN MUNSUB;Lo;0;L;;;;;N;;;;;
        "\u12231",  # ;CUNEIFORM SIGN MURGU2;Lo;0;L;;;;;N;;;;;
        "\u12232",  # ;CUNEIFORM SIGN MUSH;Lo;0;L;;;;;N;;;;;
        "\u12233",  # ;CUNEIFORM SIGN MUSH TIMES A;Lo;0;L;;;;;N;;;;;
        "\u12234",  # ;CUNEIFORM SIGN MUSH TIMES KUR;Lo;0;L;;;;;N;;;;;
        "\u12235",  # ;CUNEIFORM SIGN MUSH TIMES ZA;Lo;0;L;;;;;N;;;;;
        "\u12236",  # ;CUNEIFORM SIGN MUSH OVER MUSH;Lo;0;L;;;;;N;;;;;
        "\u12237",  # ;CUNEIFORM SIGN MUSH OVER MUSH TIMES A PLUS NA;Lo;0;L;;;;;N;;;;;
        "\u12238",  # ;CUNEIFORM SIGN MUSH CROSSING MUSH;Lo;0;L;;;;;N;;;;;
        "\u12239",  # ;CUNEIFORM SIGN MUSH3;Lo;0;L;;;;;N;;;;;
        "\u1223A",  # ;CUNEIFORM SIGN MUSH3 TIMES A;Lo;0;L;;;;;N;;;;;
        "\u1223B",  # ;CUNEIFORM SIGN MUSH3 TIMES A PLUS DI;Lo;0;L;;;;;N;;;;;
        "\u1223C",  # ;CUNEIFORM SIGN MUSH3 TIMES DI;Lo;0;L;;;;;N;;;;;
        "\u1223D",  # ;CUNEIFORM SIGN MUSH3 GUNU;Lo;0;L;;;;;N;;;;;
        "\u1223E",  # ;CUNEIFORM SIGN NA;Lo;0;L;;;;;N;;;;;
        "\u1223F",  # ;CUNEIFORM SIGN NA2;Lo;0;L;;;;;N;;;;;
        "\u12240",  # ;CUNEIFORM SIGN NAGA;Lo;0;L;;;;;N;;;;;
        "\u12241",  # ;CUNEIFORM SIGN NAGA INVERTED;Lo;0;L;;;;;N;;;;;
        "\u12242",  # ;CUNEIFORM SIGN NAGA TIMES SHU TENU;Lo;0;L;;;;;N;;;;;
        "\u12243",  # ;CUNEIFORM SIGN NAGA OPPOSING NAGA;Lo;0;L;;;;;N;;;;;
        "\u12244",  # ;CUNEIFORM SIGN NAGAR;Lo;0;L;;;;;N;;;;;
        "\u12245",  # ;CUNEIFORM SIGN NAM NUTILLU;Lo;0;L;;;;;N;;;;;
        "\u12246",  # ;CUNEIFORM SIGN NAM;Lo;0;L;;;;;N;;;;;
        "\u12247",  # ;CUNEIFORM SIGN NAM2;Lo;0;L;;;;;N;;;;;
        "\u12248",  # ;CUNEIFORM SIGN NE;Lo;0;L;;;;;N;;;;;
        "\u12249",  # ;CUNEIFORM SIGN NE TIMES A;Lo;0;L;;;;;N;;;;;
        "\u1224A",  # ;CUNEIFORM SIGN NE TIMES UD;Lo;0;L;;;;;N;;;;;
        "\u1224B",  # ;CUNEIFORM SIGN NE SHESHIG;Lo;0;L;;;;;N;;;;;
        "\u1224C",  # ;CUNEIFORM SIGN NI;Lo;0;L;;;;;N;;;;;
        "\u1224D",  # ;CUNEIFORM SIGN NI TIMES E;Lo;0;L;;;;;N;;;;;
        "\u1224E",  # ;CUNEIFORM SIGN NI2;Lo;0;L;;;;;N;;;;;
        "\u1224F",  # ;CUNEIFORM SIGN NIM;Lo;0;L;;;;;N;;;;;
        "\u12250",  # ;CUNEIFORM SIGN NIM TIMES GAN2 TENU;Lo;0;L;;;;;N;;;;;
        "\u12251",  # ;CUNEIFORM SIGN NIM TIMES GAR PLUS GAN2 TENU;Lo;0;L;;;;;N;;;;;
        "\u12252",  # ;CUNEIFORM SIGN NINDA2;Lo;0;L;;;;;N;;;;;
        "\u12253",  # ;CUNEIFORM SIGN NINDA2 TIMES AN;Lo;0;L;;;;;N;;;;;
        "\u12254",  # ;CUNEIFORM SIGN NINDA2 TIMES ASH;Lo;0;L;;;;;N;;;;;
        "\u12255",  # ;CUNEIFORM SIGN NINDA2 TIMES ASH PLUS ASH;Lo;0;L;;;;;N;;;;;
        "\u12256",  # ;CUNEIFORM SIGN NINDA2 TIMES GUD;Lo;0;L;;;;;N;;;;;
        "\u12257",  # ;CUNEIFORM SIGN NINDA2 TIMES ME PLUS GAN2 TENU;Lo;0;L;;;;;N;;;;;
        "\u12258",  # ;CUNEIFORM SIGN NINDA2 TIMES NE;Lo;0;L;;;;;N;;;;;
        "\u12259",  # ;CUNEIFORM SIGN NINDA2 TIMES NUN;Lo;0;L;;;;;N;;;;;
        "\u1225A",  # ;CUNEIFORM SIGN NINDA2 TIMES SHE;Lo;0;L;;;;;N;;;;;
        "\u1225B",  # ;CUNEIFORM SIGN NINDA2 TIMES SHE PLUS A AN;Lo;0;L;;;;;N;;;;;
        "\u1225C",  # ;CUNEIFORM SIGN NINDA2 TIMES SHE PLUS ASH;Lo;0;L;;;;;N;;;;;
        "\u1225D",  # ;CUNEIFORM SIGN NINDA2 TIMES SHE PLUS ASH PLUS ASH;Lo;0;L;;;;;N;;;;;
        "\u1225E",  # ;CUNEIFORM SIGN NINDA2 TIMES U2 PLUS ASH;Lo;0;L;;;;;N;;;;;
        "\u1225F",  # ;CUNEIFORM SIGN NINDA2 TIMES USH;Lo;0;L;;;;;N;;;;;
        "\u12260",  # ;CUNEIFORM SIGN NISAG;Lo;0;L;;;;;N;;;;;
        "\u12261",  # ;CUNEIFORM SIGN NU;Lo;0;L;;;;;N;;;;;
        "\u12262",  # ;CUNEIFORM SIGN NU11;Lo;0;L;;;;;N;;;;;
        "\u12263",  # ;CUNEIFORM SIGN NUN;Lo;0;L;;;;;N;;;;;
        "\u12264",  # ;CUNEIFORM SIGN NUN LAGAR TIMES GAR;Lo;0;L;;;;;N;;;;;
        "\u12265",  # ;CUNEIFORM SIGN NUN LAGAR TIMES MASH;Lo;0;L;;;;;N;;;;;
        "\u12266",  # ;CUNEIFORM SIGN NUN LAGAR TIMES SAL;Lo;0;L;;;;;N;;;;;
        "\u12267",  # ;CUNEIFORM SIGN NUN LAGAR TIMES SAL OVER NUN LAGAR TIMES SAL;Lo;0;L;;;;;N;;;;;
        "\u12268",  # ;CUNEIFORM SIGN NUN LAGAR TIMES USH;Lo;0;L;;;;;N;;;;;
        "\u12269",  # ;CUNEIFORM SIGN NUN TENU;Lo;0;L;;;;;N;;;;;
        "\u1226A",  # ;CUNEIFORM SIGN NUN OVER NUN;Lo;0;L;;;;;N;;;;;
        "\u1226B",  # ;CUNEIFORM SIGN NUN CROSSING NUN;Lo;0;L;;;;;N;;;;;
        "\u1226C",  # ;CUNEIFORM SIGN NUN CROSSING NUN LAGAR OVER LAGAR;Lo;0;L;;;;;N;;;;;
        "\u1226D",  # ;CUNEIFORM SIGN NUNUZ;Lo;0;L;;;;;N;;;;;
        "\u1226E",  # ;CUNEIFORM SIGN NUNUZ AB2 TIMES ASHGAB;Lo;0;L;;;;;N;;;;;
        "\u1226F",  # ;CUNEIFORM SIGN NUNUZ AB2 TIMES BI;Lo;0;L;;;;;N;;;;;
        "\u12270",  # ;CUNEIFORM SIGN NUNUZ AB2 TIMES DUG;Lo;0;L;;;;;N;;;;;
        "\u12271",  # ;CUNEIFORM SIGN NUNUZ AB2 TIMES GUD;Lo;0;L;;;;;N;;;;;
        "\u12272",  # ;CUNEIFORM SIGN NUNUZ AB2 TIMES IGI GUNU;Lo;0;L;;;;;N;;;;;
        "\u12273",  # ;CUNEIFORM SIGN NUNUZ AB2 TIMES KAD3;Lo;0;L;;;;;N;;;;;
        "\u12274",  # ;CUNEIFORM SIGN NUNUZ AB2 TIMES LA;Lo;0;L;;;;;N;;;;;
        "\u12275",  # ;CUNEIFORM SIGN NUNUZ AB2 TIMES NE;Lo;0;L;;;;;N;;;;;
        "\u12276",  # ;CUNEIFORM SIGN NUNUZ AB2 TIMES SILA3;Lo;0;L;;;;;N;;;;;
        "\u12277",  # ;CUNEIFORM SIGN NUNUZ AB2 TIMES U2;Lo;0;L;;;;;N;;;;;
        "\u12278",  # ;CUNEIFORM SIGN NUNUZ KISIM5 TIMES BI;Lo;0;L;;;;;N;;;;;
        "\u12279",  # ;CUNEIFORM SIGN NUNUZ KISIM5 TIMES BI U;Lo;0;L;;;;;N;;;;;
        "\u1227A",  # ;CUNEIFORM SIGN PA;Lo;0;L;;;;;N;;;;;
        "\u1227B",  # ;CUNEIFORM SIGN PAD;Lo;0;L;;;;;N;;;;;
        "\u1227C",  # ;CUNEIFORM SIGN PAN;Lo;0;L;;;;;N;;;;;
        "\u1227D",  # ;CUNEIFORM SIGN PAP;Lo;0;L;;;;;N;;;;;
        "\u1227E",  # ;CUNEIFORM SIGN PESH2;Lo;0;L;;;;;N;;;;;
        "\u1227F",  # ;CUNEIFORM SIGN PI;Lo;0;L;;;;;N;;;;;
        "\u12280",  # ;CUNEIFORM SIGN PI TIMES A;Lo;0;L;;;;;N;;;;;
        "\u12281",  # ;CUNEIFORM SIGN PI TIMES AB;Lo;0;L;;;;;N;;;;;
        "\u12282",  # ;CUNEIFORM SIGN PI TIMES BI;Lo;0;L;;;;;N;;;;;
        "\u12283",  # ;CUNEIFORM SIGN PI TIMES BU;Lo;0;L;;;;;N;;;;;
        "\u12284",  # ;CUNEIFORM SIGN PI TIMES E;Lo;0;L;;;;;N;;;;;
        "\u12285",  # ;CUNEIFORM SIGN PI TIMES I;Lo;0;L;;;;;N;;;;;
        "\u12286",  # ;CUNEIFORM SIGN PI TIMES IB;Lo;0;L;;;;;N;;;;;
        "\u12287",  # ;CUNEIFORM SIGN PI TIMES U;Lo;0;L;;;;;N;;;;;
        "\u12288",  # ;CUNEIFORM SIGN PI TIMES U2;Lo;0;L;;;;;N;;;;;
        "\u12289",  # ;CUNEIFORM SIGN PI CROSSING PI;Lo;0;L;;;;;N;;;;;
        "\u1228A",  # ;CUNEIFORM SIGN PIRIG;Lo;0;L;;;;;N;;;;;
        "\u1228B",  # ;CUNEIFORM SIGN PIRIG TIMES KAL;Lo;0;L;;;;;N;;;;;
        "\u1228C",  # ;CUNEIFORM SIGN PIRIG TIMES UD;Lo;0;L;;;;;N;;;;;
        "\u1228D",  # ;CUNEIFORM SIGN PIRIG TIMES ZA;Lo;0;L;;;;;N;;;;;
        "\u1228E",  # ;CUNEIFORM SIGN PIRIG OPPOSING PIRIG;Lo;0;L;;;;;N;;;;;
        "\u1228F",  # ;CUNEIFORM SIGN RA;Lo;0;L;;;;;N;;;;;
        "\u12290",  # ;CUNEIFORM SIGN RAB;Lo;0;L;;;;;N;;;;;
        "\u12291",  # ;CUNEIFORM SIGN RI;Lo;0;L;;;;;N;;;;;
        "\u12292",  # ;CUNEIFORM SIGN RU;Lo;0;L;;;;;N;;;;;
        "\u12293",  # ;CUNEIFORM SIGN SA;Lo;0;L;;;;;N;;;;;
        "\u12294",  # ;CUNEIFORM SIGN SAG NUTILLU;Lo;0;L;;;;;N;;;;;
        "\u12295",  # ;CUNEIFORM SIGN SAG;Lo;0;L;;;;;N;;;;;
        "\u12296",  # ;CUNEIFORM SIGN SAG TIMES A;Lo;0;L;;;;;N;;;;;
        "\u12297",  # ;CUNEIFORM SIGN SAG TIMES DU;Lo;0;L;;;;;N;;;;;
        "\u12298",  # ;CUNEIFORM SIGN SAG TIMES DUB;Lo;0;L;;;;;N;;;;;
        "\u12299",  # ;CUNEIFORM SIGN SAG TIMES HA;Lo;0;L;;;;;N;;;;;
        "\u1229A",  # ;CUNEIFORM SIGN SAG TIMES KAK;Lo;0;L;;;;;N;;;;;
        "\u1229B",  # ;CUNEIFORM SIGN SAG TIMES KUR;Lo;0;L;;;;;N;;;;;
        "\u1229C",  # ;CUNEIFORM SIGN SAG TIMES LUM;Lo;0;L;;;;;N;;;;;
        "\u1229D",  # ;CUNEIFORM SIGN SAG TIMES MI;Lo;0;L;;;;;N;;;;;
        "\u1229E",  # ;CUNEIFORM SIGN SAG TIMES NUN;Lo;0;L;;;;;N;;;;;
        "\u1229F",  # ;CUNEIFORM SIGN SAG TIMES SAL;Lo;0;L;;;;;N;;;;;
        "\u122A0",  # ;CUNEIFORM SIGN SAG TIMES SHID;Lo;0;L;;;;;N;;;;;
        "\u122A1",  # ;CUNEIFORM SIGN SAG TIMES TAB;Lo;0;L;;;;;N;;;;;
        "\u122A2",  # ;CUNEIFORM SIGN SAG TIMES U2;Lo;0;L;;;;;N;;;;;
        "\u122A3",  # ;CUNEIFORM SIGN SAG TIMES UB;Lo;0;L;;;;;N;;;;;
        "\u122A4",  # ;CUNEIFORM SIGN SAG TIMES UM;Lo;0;L;;;;;N;;;;;
        "\u122A5",  # ;CUNEIFORM SIGN SAG TIMES UR;Lo;0;L;;;;;N;;;;;
        "\u122A6",  # ;CUNEIFORM SIGN SAG TIMES USH;Lo;0;L;;;;;N;;;;;
        "\u122A7",  # ;CUNEIFORM SIGN SAG OVER SAG;Lo;0;L;;;;;N;;;;;
        "\u122A8",  # ;CUNEIFORM SIGN SAG GUNU;Lo;0;L;;;;;N;;;;;
        "\u122A9",  # ;CUNEIFORM SIGN SAL;Lo;0;L;;;;;N;;;;;
        "\u122AA",  # ;CUNEIFORM SIGN SAL LAGAB TIMES ASH2;Lo;0;L;;;;;N;;;;;
        "\u122AB",  # ;CUNEIFORM SIGN SANGA2;Lo;0;L;;;;;N;;;;;
        "\u122AC",  # ;CUNEIFORM SIGN SAR;Lo;0;L;;;;;N;;;;;
        "\u122AD",  # ;CUNEIFORM SIGN SHA;Lo;0;L;;;;;N;;;;;
        "\u122AE",  # ;CUNEIFORM SIGN SHA3;Lo;0;L;;;;;N;;;;;
        "\u122AF",  # ;CUNEIFORM SIGN SHA3 TIMES A;Lo;0;L;;;;;N;;;;;
        "\u122B0",  # ;CUNEIFORM SIGN SHA3 TIMES BAD;Lo;0;L;;;;;N;;;;;
        "\u122B1",  # ;CUNEIFORM SIGN SHA3 TIMES GISH;Lo;0;L;;;;;N;;;;;
        "\u122B2",  # ;CUNEIFORM SIGN SHA3 TIMES NE;Lo;0;L;;;;;N;;;;;
        "\u122B3",  # ;CUNEIFORM SIGN SHA3 TIMES SHU2;Lo;0;L;;;;;N;;;;;
        "\u122B4",  # ;CUNEIFORM SIGN SHA3 TIMES TUR;Lo;0;L;;;;;N;;;;;
        "\u122B5",  # ;CUNEIFORM SIGN SHA3 TIMES U;Lo;0;L;;;;;N;;;;;
        "\u122B6",  # ;CUNEIFORM SIGN SHA3 TIMES U PLUS A;Lo;0;L;;;;;N;;;;;
        "\u122B7",  # ;CUNEIFORM SIGN SHA6;Lo;0;L;;;;;N;;;;;
        "\u122B8",  # ;CUNEIFORM SIGN SHAB6;Lo;0;L;;;;;N;;;;;
        "\u122B9",  # ;CUNEIFORM SIGN SHAR2;Lo;0;L;;;;;N;;;;;
        "\u122BA",  # ;CUNEIFORM SIGN SHE;Lo;0;L;;;;;N;;;;;
        "\u122BB",  # ;CUNEIFORM SIGN SHE HU;Lo;0;L;;;;;N;;;;;
        "\u122BC",  # ;CUNEIFORM SIGN SHE OVER SHE GAD OVER GAD GAR OVER GAR;Lo;0;L;;;;;N;;;;;
        "\u122BD",  # ;CUNEIFORM SIGN SHE OVER SHE TAB OVER TAB GAR OVER GAR;Lo;0;L;;;;;N;;;;;
        "\u122BE",  # ;CUNEIFORM SIGN SHEG9;Lo;0;L;;;;;N;;;;;
        "\u122BF",  # ;CUNEIFORM SIGN SHEN;Lo;0;L;;;;;N;;;;;
        "\u122C0",  # ;CUNEIFORM SIGN SHESH;Lo;0;L;;;;;N;;;;;
        "\u122C1",  # ;CUNEIFORM SIGN SHESH2;Lo;0;L;;;;;N;;;;;
        "\u122C2",  # ;CUNEIFORM SIGN SHESHLAM;Lo;0;L;;;;;N;;;;;
        "\u122C3",  # ;CUNEIFORM SIGN SHID;Lo;0;L;;;;;N;;;;;
        "\u122C4",  # ;CUNEIFORM SIGN SHID TIMES A;Lo;0;L;;;;;N;;;;;
        "\u122C5",  # ;CUNEIFORM SIGN SHID TIMES IM;Lo;0;L;;;;;N;;;;;
        "\u122C6",  # ;CUNEIFORM SIGN SHIM;Lo;0;L;;;;;N;;;;;
        "\u122C7",  # ;CUNEIFORM SIGN SHIM TIMES A;Lo;0;L;;;;;N;;;;;
        "\u122C8",  # ;CUNEIFORM SIGN SHIM TIMES BAL;Lo;0;L;;;;;N;;;;;
        "\u122C9",  # ;CUNEIFORM SIGN SHIM TIMES BULUG;Lo;0;L;;;;;N;;;;;
        "\u122CA",  # ;CUNEIFORM SIGN SHIM TIMES DIN;Lo;0;L;;;;;N;;;;;
        "\u122CB",  # ;CUNEIFORM SIGN SHIM TIMES GAR;Lo;0;L;;;;;N;;;;;
        "\u122CC",  # ;CUNEIFORM SIGN SHIM TIMES IGI;Lo;0;L;;;;;N;;;;;
        "\u122CD",  # ;CUNEIFORM SIGN SHIM TIMES IGI GUNU;Lo;0;L;;;;;N;;;;;
        "\u122CE",  # ;CUNEIFORM SIGN SHIM TIMES KUSHU2;Lo;0;L;;;;;N;;;;;
        "\u122CF",  # ;CUNEIFORM SIGN SHIM TIMES LUL;Lo;0;L;;;;;N;;;;;
        "\u122D0",  # ;CUNEIFORM SIGN SHIM TIMES MUG;Lo;0;L;;;;;N;;;;;
        "\u122D1",  # ;CUNEIFORM SIGN SHIM TIMES SAL;Lo;0;L;;;;;N;;;;;
        "\u122D2",  # ;CUNEIFORM SIGN SHINIG;Lo;0;L;;;;;N;;;;;
        "\u122D3",  # ;CUNEIFORM SIGN SHIR;Lo;0;L;;;;;N;;;;;
        "\u122D4",  # ;CUNEIFORM SIGN SHIR TENU;Lo;0;L;;;;;N;;;;;
        "\u122D5",  # ;CUNEIFORM SIGN SHIR OVER SHIR BUR OVER BUR;Lo;0;L;;;;;N;;;;;
        "\u122D6",  # ;CUNEIFORM SIGN SHITA;Lo;0;L;;;;;N;;;;;
        "\u122D7",  # ;CUNEIFORM SIGN SHU;Lo;0;L;;;;;N;;;;;
        "\u122D8",  # ;CUNEIFORM SIGN SHU OVER INVERTED SHU;Lo;0;L;;;;;N;;;;;
        "\u122D9",  # ;CUNEIFORM SIGN SHU2;Lo;0;L;;;;;N;;;;;
        "\u122DA",  # ;CUNEIFORM SIGN SHUBUR;Lo;0;L;;;;;N;;;;;
        "\u122DB",  # ;CUNEIFORM SIGN SI;Lo;0;L;;;;;N;;;;;
        "\u122DC",  # ;CUNEIFORM SIGN SI GUNU;Lo;0;L;;;;;N;;;;;
        "\u122DD",  # ;CUNEIFORM SIGN SIG;Lo;0;L;;;;;N;;;;;
        "\u122DE",  # ;CUNEIFORM SIGN SIG4;Lo;0;L;;;;;N;;;;;
        "\u122DF",  # ;CUNEIFORM SIGN SIG4 OVER SIG4 SHU2;Lo;0;L;;;;;N;;;;;
        "\u122E0",  # ;CUNEIFORM SIGN SIK2;Lo;0;L;;;;;N;;;;;
        "\u122E1",  # ;CUNEIFORM SIGN SILA3;Lo;0;L;;;;;N;;;;;
        "\u122E2",  # ;CUNEIFORM SIGN SU;Lo;0;L;;;;;N;;;;;
        "\u122E3",  # ;CUNEIFORM SIGN SU OVER SU;Lo;0;L;;;;;N;;;;;
        "\u122E4",  # ;CUNEIFORM SIGN SUD;Lo;0;L;;;;;N;;;;;
        "\u122E5",  # ;CUNEIFORM SIGN SUD2;Lo;0;L;;;;;N;;;;;
        "\u122E6",  # ;CUNEIFORM SIGN SUHUR;Lo;0;L;;;;;N;;;;;
        "\u122E7",  # ;CUNEIFORM SIGN SUM;Lo;0;L;;;;;N;;;;;
        "\u122E8",  # ;CUNEIFORM SIGN SUMASH;Lo;0;L;;;;;N;;;;;
        "\u122E9",  # ;CUNEIFORM SIGN SUR;Lo;0;L;;;;;N;;;;;
        "\u122EA",  # ;CUNEIFORM SIGN SUR9;Lo;0;L;;;;;N;;;;;
        "\u122EB",  # ;CUNEIFORM SIGN TA;Lo;0;L;;;;;N;;;;;
        "\u122EC",  # ;CUNEIFORM SIGN TA ASTERISK;Lo;0;L;;;;;N;;;;;
        "\u122ED",  # ;CUNEIFORM SIGN TA TIMES HI;Lo;0;L;;;;;N;;;;;
        "\u122EE",  # ;CUNEIFORM SIGN TA TIMES MI;Lo;0;L;;;;;N;;;;;
        "\u122EF",  # ;CUNEIFORM SIGN TA GUNU;Lo;0;L;;;;;N;;;;;
        "\u122F0",  # ;CUNEIFORM SIGN TAB;Lo;0;L;;;;;N;;;;;
        "\u122F1",  # ;CUNEIFORM SIGN TAB OVER TAB NI OVER NI DISH OVER DISH;Lo;0;L;;;;;N;;;;;
        "\u122F2",  # ;CUNEIFORM SIGN TAB SQUARED;Lo;0;L;;;;;N;;;;;
        "\u122F3",  # ;CUNEIFORM SIGN TAG;Lo;0;L;;;;;N;;;;;
        "\u122F4",  # ;CUNEIFORM SIGN TAG TIMES BI;Lo;0;L;;;;;N;;;;;
        "\u122F5",  # ;CUNEIFORM SIGN TAG TIMES GUD;Lo;0;L;;;;;N;;;;;
        "\u122F6",  # ;CUNEIFORM SIGN TAG TIMES SHE;Lo;0;L;;;;;N;;;;;
        "\u122F7",  # ;CUNEIFORM SIGN TAG TIMES SHU;Lo;0;L;;;;;N;;;;;
        "\u122F8",  # ;CUNEIFORM SIGN TAG TIMES TUG2;Lo;0;L;;;;;N;;;;;
        "\u122F9",  # ;CUNEIFORM SIGN TAG TIMES UD;Lo;0;L;;;;;N;;;;;
        "\u122FA",  # ;CUNEIFORM SIGN TAK4;Lo;0;L;;;;;N;;;;;
        "\u122FB",  # ;CUNEIFORM SIGN TAR;Lo;0;L;;;;;N;;;;;
        "\u122FC",  # ;CUNEIFORM SIGN TE;Lo;0;L;;;;;N;;;;;
        "\u122FD",  # ;CUNEIFORM SIGN TE GUNU;Lo;0;L;;;;;N;;;;;
        "\u122FE",  # ;CUNEIFORM SIGN TI;Lo;0;L;;;;;N;;;;;
        "\u122FF",  # ;CUNEIFORM SIGN TI TENU;Lo;0;L;;;;;N;;;;;
        "\u12300",  # ;CUNEIFORM SIGN TIL;Lo;0;L;;;;;N;;;;;
        "\u12301",  # ;CUNEIFORM SIGN TIR;Lo;0;L;;;;;N;;;;;
        "\u12302",  # ;CUNEIFORM SIGN TIR TIMES TAK4;Lo;0;L;;;;;N;;;;;
        "\u12303",  # ;CUNEIFORM SIGN TIR OVER TIR;Lo;0;L;;;;;N;;;;;
        "\u12304",  # ;CUNEIFORM SIGN TIR OVER TIR GAD OVER GAD GAR OVER GAR;Lo;0;L;;;;;N;;;;;
        "\u12305",  # ;CUNEIFORM SIGN TU;Lo;0;L;;;;;N;;;;;
        "\u12306",  # ;CUNEIFORM SIGN TUG2;Lo;0;L;;;;;N;;;;;
        "\u12307",  # ;CUNEIFORM SIGN TUK;Lo;0;L;;;;;N;;;;;
        "\u12308",  # ;CUNEIFORM SIGN TUM;Lo;0;L;;;;;N;;;;;
        "\u12309",  # ;CUNEIFORM SIGN TUR;Lo;0;L;;;;;N;;;;;
        "\u1230A",  # ;CUNEIFORM SIGN TUR OVER TUR ZA OVER ZA;Lo;0;L;;;;;N;;;;;
        "\u1230B",  # ;CUNEIFORM SIGN U;Lo;0;L;;;;;N;;;;;
        "\u1230C",  # ;CUNEIFORM SIGN U GUD;Lo;0;L;;;;;N;;;;;
        "\u1230D",  # ;CUNEIFORM SIGN U U U;Lo;0;L;;;;;N;;;;;
        "\u1230E",  # ;CUNEIFORM SIGN U OVER U PA OVER PA GAR OVER GAR;Lo;0;L;;;;;N;;;;;
        "\u1230F",  # ;CUNEIFORM SIGN U OVER U SUR OVER SUR;Lo;0;L;;;;;N;;;;;
        "\u12310",  # ;CUNEIFORM SIGN U OVER U U REVERSED OVER U REVERSED;Lo;0;L;;;;;N;;;;;
        "\u12311",  # ;CUNEIFORM SIGN U2;Lo;0;L;;;;;N;;;;;
        "\u12312",  # ;CUNEIFORM SIGN UB;Lo;0;L;;;;;N;;;;;
        "\u12313",  # ;CUNEIFORM SIGN UD;Lo;0;L;;;;;N;;;;;
        "\u12314",  # ;CUNEIFORM SIGN UD KUSHU2;Lo;0;L;;;;;N;;;;;
        "\u12315",  # ;CUNEIFORM SIGN UD TIMES BAD;Lo;0;L;;;;;N;;;;;
        "\u12316",  # ;CUNEIFORM SIGN UD TIMES MI;Lo;0;L;;;;;N;;;;;
        "\u12317",  # ;CUNEIFORM SIGN UD TIMES U PLUS U PLUS U;Lo;0;L;;;;;N;;;;;
        "\u12318",  # ;CUNEIFORM SIGN UD TIMES U PLUS U PLUS U GUNU;Lo;0;L;;;;;N;;;;;
        "\u12319",  # ;CUNEIFORM SIGN UD GUNU;Lo;0;L;;;;;N;;;;;
        "\u1231A",  # ;CUNEIFORM SIGN UD SHESHIG;Lo;0;L;;;;;N;;;;;
        "\u1231B",  # ;CUNEIFORM SIGN UD SHESHIG TIMES BAD;Lo;0;L;;;;;N;;;;;
        "\u1231C",  # ;CUNEIFORM SIGN UDUG;Lo;0;L;;;;;N;;;;;
        "\u1231D",  # ;CUNEIFORM SIGN UM;Lo;0;L;;;;;N;;;;;
        "\u1231E",  # ;CUNEIFORM SIGN UM TIMES LAGAB;Lo;0;L;;;;;N;;;;;
        "\u1231F",  # ;CUNEIFORM SIGN UM TIMES ME PLUS DA;Lo;0;L;;;;;N;;;;;
        "\u12320",  # ;CUNEIFORM SIGN UM TIMES SHA3;Lo;0;L;;;;;N;;;;;
        "\u12321",  # ;CUNEIFORM SIGN UM TIMES U;Lo;0;L;;;;;N;;;;;
        "\u12322",  # ;CUNEIFORM SIGN UMBIN;Lo;0;L;;;;;N;;;;;
        "\u12323",  # ;CUNEIFORM SIGN UMUM;Lo;0;L;;;;;N;;;;;
        "\u12324",  # ;CUNEIFORM SIGN UMUM TIMES KASKAL;Lo;0;L;;;;;N;;;;;
        "\u12325",  # ;CUNEIFORM SIGN UMUM TIMES PA;Lo;0;L;;;;;N;;;;;
        "\u12326",  # ;CUNEIFORM SIGN UN;Lo;0;L;;;;;N;;;;;
        "\u12327",  # ;CUNEIFORM SIGN UN GUNU;Lo;0;L;;;;;N;;;;;
        "\u12328",  # ;CUNEIFORM SIGN UR;Lo;0;L;;;;;N;;;;;
        "\u12329",  # ;CUNEIFORM SIGN UR CROSSING UR;Lo;0;L;;;;;N;;;;;
        "\u1232A",  # ;CUNEIFORM SIGN UR SHESHIG;Lo;0;L;;;;;N;;;;;
        "\u1232B",  # ;CUNEIFORM SIGN UR2;Lo;0;L;;;;;N;;;;;
        "\u1232C",  # ;CUNEIFORM SIGN UR2 TIMES A PLUS HA;Lo;0;L;;;;;N;;;;;
        "\u1232D",  # ;CUNEIFORM SIGN UR2 TIMES A PLUS NA;Lo;0;L;;;;;N;;;;;
        "\u1232E",  # ;CUNEIFORM SIGN UR2 TIMES AL;Lo;0;L;;;;;N;;;;;
        "\u1232F",  # ;CUNEIFORM SIGN UR2 TIMES HA;Lo;0;L;;;;;N;;;;;
        "\u12330",  # ;CUNEIFORM SIGN UR2 TIMES NUN;Lo;0;L;;;;;N;;;;;
        "\u12331",  # ;CUNEIFORM SIGN UR2 TIMES U2;Lo;0;L;;;;;N;;;;;
        "\u12332",  # ;CUNEIFORM SIGN UR2 TIMES U2 PLUS ASH;Lo;0;L;;;;;N;;;;;
        "\u12333",  # ;CUNEIFORM SIGN UR2 TIMES U2 PLUS BI;Lo;0;L;;;;;N;;;;;
        "\u12334",  # ;CUNEIFORM SIGN UR4;Lo;0;L;;;;;N;;;;;
        "\u12335",  # ;CUNEIFORM SIGN URI;Lo;0;L;;;;;N;;;;;
        "\u12336",  # ;CUNEIFORM SIGN URI3;Lo;0;L;;;;;N;;;;;
        "\u12337",  # ;CUNEIFORM SIGN URU;Lo;0;L;;;;;N;;;;;
        "\u12338",  # ;CUNEIFORM SIGN URU TIMES A;Lo;0;L;;;;;N;;;;;
        "\u12339",  # ;CUNEIFORM SIGN URU TIMES ASHGAB;Lo;0;L;;;;;N;;;;;
        "\u1233A",  # ;CUNEIFORM SIGN URU TIMES BAR;Lo;0;L;;;;;N;;;;;
        "\u1233B",  # ;CUNEIFORM SIGN URU TIMES DUN;Lo;0;L;;;;;N;;;;;
        "\u1233C",  # ;CUNEIFORM SIGN URU TIMES GA;Lo;0;L;;;;;N;;;;;
        "\u1233D",  # ;CUNEIFORM SIGN URU TIMES GAL;Lo;0;L;;;;;N;;;;;
        "\u1233E",  # ;CUNEIFORM SIGN URU TIMES GAN2 TENU;Lo;0;L;;;;;N;;;;;
        "\u1233F",  # ;CUNEIFORM SIGN URU TIMES GAR;Lo;0;L;;;;;N;;;;;
        "\u12340",  # ;CUNEIFORM SIGN URU TIMES GU;Lo;0;L;;;;;N;;;;;
        "\u12341",  # ;CUNEIFORM SIGN URU TIMES HA;Lo;0;L;;;;;N;;;;;
        "\u12342",  # ;CUNEIFORM SIGN URU TIMES IGI;Lo;0;L;;;;;N;;;;;
        "\u12343",  # ;CUNEIFORM SIGN URU TIMES IM;Lo;0;L;;;;;N;;;;;
        "\u12344",  # ;CUNEIFORM SIGN URU TIMES ISH;Lo;0;L;;;;;N;;;;;
        "\u12345",  # ;CUNEIFORM SIGN URU TIMES KI;Lo;0;L;;;;;N;;;;;
        "\u12346",  # ;CUNEIFORM SIGN URU TIMES LUM;Lo;0;L;;;;;N;;;;;
        "\u12347",  # ;CUNEIFORM SIGN URU TIMES MIN;Lo;0;L;;;;;N;;;;;
        "\u12348",  # ;CUNEIFORM SIGN URU TIMES PA;Lo;0;L;;;;;N;;;;;
        "\u12349",  # ;CUNEIFORM SIGN URU TIMES SHE;Lo;0;L;;;;;N;;;;;
        "\u1234A",  # ;CUNEIFORM SIGN URU TIMES SIG4;Lo;0;L;;;;;N;;;;;
        "\u1234B",  # ;CUNEIFORM SIGN URU TIMES TU;Lo;0;L;;;;;N;;;;;
        "\u1234C",  # ;CUNEIFORM SIGN URU TIMES U PLUS GUD;Lo;0;L;;;;;N;;;;;
        "\u1234D",  # ;CUNEIFORM SIGN URU TIMES UD;Lo;0;L;;;;;N;;;;;
        "\u1234E",  # ;CUNEIFORM SIGN URU TIMES URUDA;Lo;0;L;;;;;N;;;;;
        "\u1234F",  # ;CUNEIFORM SIGN URUDA;Lo;0;L;;;;;N;;;;;
        "\u12350",  # ;CUNEIFORM SIGN URUDA TIMES U;Lo;0;L;;;;;N;;;;;
        "\u12351",  # ;CUNEIFORM SIGN USH;Lo;0;L;;;;;N;;;;;
        "\u12352",  # ;CUNEIFORM SIGN USH TIMES A;Lo;0;L;;;;;N;;;;;
        "\u12353",  # ;CUNEIFORM SIGN USH TIMES KU;Lo;0;L;;;;;N;;;;;
        "\u12354",  # ;CUNEIFORM SIGN USH TIMES KUR;Lo;0;L;;;;;N;;;;;
        "\u12355",  # ;CUNEIFORM SIGN USH TIMES TAK4;Lo;0;L;;;;;N;;;;;
        "\u12356",  # ;CUNEIFORM SIGN USHX;Lo;0;L;;;;;N;;;;;
        "\u12357",  # ;CUNEIFORM SIGN USH2;Lo;0;L;;;;;N;;;;;
        "\u12358",  # ;CUNEIFORM SIGN USHUMX;Lo;0;L;;;;;N;;;;;
        "\u12359",  # ;CUNEIFORM SIGN UTUKI;Lo;0;L;;;;;N;;;;;
        "\u1235A",  # ;CUNEIFORM SIGN UZ3;Lo;0;L;;;;;N;;;;;
        "\u1235B",  # ;CUNEIFORM SIGN UZ3 TIMES KASKAL;Lo;0;L;;;;;N;;;;;
        "\u1235C",  # ;CUNEIFORM SIGN UZU;Lo;0;L;;;;;N;;;;;
        "\u1235D",  # ;CUNEIFORM SIGN ZA;Lo;0;L;;;;;N;;;;;
        "\u1235E",  # ;CUNEIFORM SIGN ZA TENU;Lo;0;L;;;;;N;;;;;
        "\u1235F",  # ;CUNEIFORM SIGN ZA SQUARED TIMES KUR;Lo;0;L;;;;;N;;;;;
        "\u12360",  # ;CUNEIFORM SIGN ZAG;Lo;0;L;;;;;N;;;;;
        "\u12361",  # ;CUNEIFORM SIGN ZAMX;Lo;0;L;;;;;N;;;;;
        "\u12362",  # ;CUNEIFORM SIGN ZE2;Lo;0;L;;;;;N;;;;;
        "\u12363",  # ;CUNEIFORM SIGN ZI;Lo;0;L;;;;;N;;;;;
        "\u12364",  # ;CUNEIFORM SIGN ZI OVER ZI;Lo;0;L;;;;;N;;;;;
        "\u12365",  # ;CUNEIFORM SIGN ZI3;Lo;0;L;;;;;N;;;;;
        "\u12366",  # ;CUNEIFORM SIGN ZIB;Lo;0;L;;;;;N;;;;;
        "\u12367",  # ;CUNEIFORM SIGN ZIB KABA TENU;Lo;0;L;;;;;N;;;;;
        "\u12368",  # ;CUNEIFORM SIGN ZIG;Lo;0;L;;;;;N;;;;;
        "\u12369",  # ;CUNEIFORM SIGN ZIZ2;Lo;0;L;;;;;N;;;;;
        "\u1236A",  # ;CUNEIFORM SIGN ZU;Lo;0;L;;;;;N;;;;;
        "\u1236B",  # ;CUNEIFORM SIGN ZU5;Lo;0;L;;;;;N;;;;;
        "\u1236C",  # ;CUNEIFORM SIGN ZU5 TIMES A;Lo;0;L;;;;;N;;;;;
        "\u1236D",  # ;CUNEIFORM SIGN ZUBUR;Lo;0;L;;;;;N;;;;;
        "\u1236E",  # ;CUNEIFORM SIGN ZUM;Lo;0;L;;;;;N;;;;;
        "\u1236F",  # ;CUNEIFORM SIGN KAP ELAMITE;Lo;0;L;;;;;N;;;;;
        "\u12370",  # ;CUNEIFORM SIGN AB TIMES NUN;Lo;0;L;;;;;N;;;;;
        "\u12371",  # ;CUNEIFORM SIGN AB2 TIMES A;Lo;0;L;;;;;N;;;;;
        "\u12372",  # ;CUNEIFORM SIGN AMAR TIMES KUG;Lo;0;L;;;;;N;;;;;
        "\u12373",  # ;CUNEIFORM SIGN DAG KISIM5 TIMES U2 PLUS MASH;Lo;0;L;;;;;N;;;;;
        "\u12374",  # ;CUNEIFORM SIGN DAG3;Lo;0;L;;;;;N;;;;;
        "\u12375",  # ;CUNEIFORM SIGN DISH PLUS SHU;Lo;0;L;;;;;N;;;;;
        "\u12376",  # ;CUNEIFORM SIGN DUB TIMES SHE;Lo;0;L;;;;;N;;;;;
        "\u12377",  # ;CUNEIFORM SIGN EZEN TIMES GUD;Lo;0;L;;;;;N;;;;;
        "\u12378",  # ;CUNEIFORM SIGN EZEN TIMES SHE;Lo;0;L;;;;;N;;;;;
        "\u12379",  # ;CUNEIFORM SIGN GA2 TIMES AN PLUS KAK PLUS A;Lo;0;L;;;;;N;;;;;
        "\u1237A",  # ;CUNEIFORM SIGN GA2 TIMES ASH2;Lo;0;L;;;;;N;;;;;
        "\u1237B",  # ;CUNEIFORM SIGN GE22;Lo;0;L;;;;;N;;;;;
        "\u1237C",  # ;CUNEIFORM SIGN GIG;Lo;0;L;;;;;N;;;;;
        "\u1237D",  # ;CUNEIFORM SIGN HUSH;Lo;0;L;;;;;N;;;;;
        "\u1237E",  # ;CUNEIFORM SIGN KA TIMES ANSHE;Lo;0;L;;;;;N;;;;;
        "\u1237F",  # ;CUNEIFORM SIGN KA TIMES ASH3;Lo;0;L;;;;;N;;;;;
        "\u12380",  # ;CUNEIFORM SIGN KA TIMES GISH;Lo;0;L;;;;;N;;;;;
        "\u12381",  # ;CUNEIFORM SIGN KA TIMES GUD;Lo;0;L;;;;;N;;;;;
        "\u12382",  # ;CUNEIFORM SIGN KA TIMES HI TIMES ASH2;Lo;0;L;;;;;N;;;;;
        "\u12383",  # ;CUNEIFORM SIGN KA TIMES LUM;Lo;0;L;;;;;N;;;;;
        "\u12384",  # ;CUNEIFORM SIGN KA TIMES PA;Lo;0;L;;;;;N;;;;;
        "\u12385",  # ;CUNEIFORM SIGN KA TIMES SHUL;Lo;0;L;;;;;N;;;;;
        "\u12386",  # ;CUNEIFORM SIGN KA TIMES TU;Lo;0;L;;;;;N;;;;;
        "\u12387",  # ;CUNEIFORM SIGN KA TIMES UR2;Lo;0;L;;;;;N;;;;;
        "\u12388",  # ;CUNEIFORM SIGN LAGAB TIMES GI;Lo;0;L;;;;;N;;;;;
        "\u12389",  # ;CUNEIFORM SIGN LU2 SHESHIG TIMES BAD;Lo;0;L;;;;;N;;;;;
        "\u1238A",  # ;CUNEIFORM SIGN LU2 TIMES ESH2 PLUS LAL;Lo;0;L;;;;;N;;;;;
        "\u1238B",  # ;CUNEIFORM SIGN LU2 TIMES SHU;Lo;0;L;;;;;N;;;;;
        "\u1238C",  # ;CUNEIFORM SIGN MESH;Lo;0;L;;;;;N;;;;;
        "\u1238D",  # ;CUNEIFORM SIGN MUSH3 TIMES ZA;Lo;0;L;;;;;N;;;;;
        "\u1238E",  # ;CUNEIFORM SIGN NA4;Lo;0;L;;;;;N;;;;;
        "\u1238F",  # ;CUNEIFORM SIGN NIN;Lo;0;L;;;;;N;;;;;
        "\u12390",  # ;CUNEIFORM SIGN NIN9;Lo;0;L;;;;;N;;;;;
        "\u12391",  # ;CUNEIFORM SIGN NINDA2 TIMES BAL;Lo;0;L;;;;;N;;;;;
        "\u12392",  # ;CUNEIFORM SIGN NINDA2 TIMES GI;Lo;0;L;;;;;N;;;;;
        "\u12393",  # ;CUNEIFORM SIGN NU11 ROTATED NINETY DEGREES;Lo;0;L;;;;;N;;;;;
        "\u12394",  # ;CUNEIFORM SIGN PESH2 ASTERISK;Lo;0;L;;;;;N;;;;;
        "\u12395",  # ;CUNEIFORM SIGN PIR2;Lo;0;L;;;;;N;;;;;
        "\u12396",  # ;CUNEIFORM SIGN SAG TIMES IGI GUNU;Lo;0;L;;;;;N;;;;;
        "\u12397",  # ;CUNEIFORM SIGN TI2;Lo;0;L;;;;;N;;;;;
        "\u12398",  # ;CUNEIFORM SIGN UM TIMES ME;Lo;0;L;;;;;N;;;;;
        "\u12399",  # ;CUNEIFORM SIGN U U;Lo;0;L;;;;;N;;;;;
        "\u12400",  # ;CUNEIFORM NUMERIC SIGN TWO ASH;Nl;0;L;;;;2;N;;;;;
        "\u12401",  # ;CUNEIFORM NUMERIC SIGN THREE ASH;Nl;0;L;;;;3;N;;;;;
        "\u12402",  # ;CUNEIFORM NUMERIC SIGN FOUR ASH;Nl;0;L;;;;4;N;;;;;
        "\u12403",  # ;CUNEIFORM NUMERIC SIGN FIVE ASH;Nl;0;L;;;;5;N;;;;;
        "\u12404",  # ;CUNEIFORM NUMERIC SIGN SIX ASH;Nl;0;L;;;;6;N;;;;;
        "\u12405",  # ;CUNEIFORM NUMERIC SIGN SEVEN ASH;Nl;0;L;;;;7;N;;;;;
        "\u12406",  # ;CUNEIFORM NUMERIC SIGN EIGHT ASH;Nl;0;L;;;;8;N;;;;;
        "\u12407",  # ;CUNEIFORM NUMERIC SIGN NINE ASH;Nl;0;L;;;;9;N;;;;;
        "\u12408",  # ;CUNEIFORM NUMERIC SIGN THREE DISH;Nl;0;L;;;;3;N;;;;;
        "\u12409",  # ;CUNEIFORM NUMERIC SIGN FOUR DISH;Nl;0;L;;;;4;N;;;;;
        "\u1240A",  # ;CUNEIFORM NUMERIC SIGN FIVE DISH;Nl;0;L;;;;5;N;;;;;
        "\u1240B",  # ;CUNEIFORM NUMERIC SIGN SIX DISH;Nl;0;L;;;;6;N;;;;;
        "\u1240C",  # ;CUNEIFORM NUMERIC SIGN SEVEN DISH;Nl;0;L;;;;7;N;;;;;
        "\u1240D",  # ;CUNEIFORM NUMERIC SIGN EIGHT DISH;Nl;0;L;;;;8;N;;;;;
        "\u1240E",  # ;CUNEIFORM NUMERIC SIGN NINE DISH;Nl;0;L;;;;9;N;;;;;
        "\u1240F",  # ;CUNEIFORM NUMERIC SIGN FOUR U;Nl;0;L;;;;4;N;;;;;
        "\u12410",  # ;CUNEIFORM NUMERIC SIGN FIVE U;Nl;0;L;;;;5;N;;;;;
        "\u12411",  # ;CUNEIFORM NUMERIC SIGN SIX U;Nl;0;L;;;;6;N;;;;;
        "\u12412",  # ;CUNEIFORM NUMERIC SIGN SEVEN U;Nl;0;L;;;;7;N;;;;;
        "\u12413",  # ;CUNEIFORM NUMERIC SIGN EIGHT U;Nl;0;L;;;;8;N;;;;;
        "\u12414",  # ;CUNEIFORM NUMERIC SIGN NINE U;Nl;0;L;;;;9;N;;;;;
        "\u12415",  # ;CUNEIFORM NUMERIC SIGN ONE GESH2;Nl;0;L;;;;1;N;;;;;
        "\u12416",  # ;CUNEIFORM NUMERIC SIGN TWO GESH2;Nl;0;L;;;;2;N;;;;;
        "\u12417",  # ;CUNEIFORM NUMERIC SIGN THREE GESH2;Nl;0;L;;;;3;N;;;;;
        "\u12418",  # ;CUNEIFORM NUMERIC SIGN FOUR GESH2;Nl;0;L;;;;4;N;;;;;
        "\u12419",  # ;CUNEIFORM NUMERIC SIGN FIVE GESH2;Nl;0;L;;;;5;N;;;;;
        "\u1241A",  # ;CUNEIFORM NUMERIC SIGN SIX GESH2;Nl;0;L;;;;6;N;;;;;
        "\u1241B",  # ;CUNEIFORM NUMERIC SIGN SEVEN GESH2;Nl;0;L;;;;7;N;;;;;
        "\u1241C",  # ;CUNEIFORM NUMERIC SIGN EIGHT GESH2;Nl;0;L;;;;8;N;;;;;
        "\u1241D",  # ;CUNEIFORM NUMERIC SIGN NINE GESH2;Nl;0;L;;;;9;N;;;;;
        "\u1241E",  # ;CUNEIFORM NUMERIC SIGN ONE GESHU;Nl;0;L;;;;1;N;;;;;
        "\u1241F",  # ;CUNEIFORM NUMERIC SIGN TWO GESHU;Nl;0;L;;;;2;N;;;;;
        "\u12420",  # ;CUNEIFORM NUMERIC SIGN THREE GESHU;Nl;0;L;;;;3;N;;;;;
        "\u12421",  # ;CUNEIFORM NUMERIC SIGN FOUR GESHU;Nl;0;L;;;;4;N;;;;;
        "\u12422",  # ;CUNEIFORM NUMERIC SIGN FIVE GESHU;Nl;0;L;;;;5;N;;;;;
        "\u12423",  # ;CUNEIFORM NUMERIC SIGN TWO SHAR2;Nl;0;L;;;;2;N;;;;;
        "\u12424",  # ;CUNEIFORM NUMERIC SIGN THREE SHAR2;Nl;0;L;;;;3;N;;;;;
        "\u12425",  # ;CUNEIFORM NUMERIC SIGN THREE SHAR2 VARIANT FORM;Nl;0;L;;;;3;N;;;;;
        "\u12426",  # ;CUNEIFORM NUMERIC SIGN FOUR SHAR2;Nl;0;L;;;;4;N;;;;;
        "\u12427",  # ;CUNEIFORM NUMERIC SIGN FIVE SHAR2;Nl;0;L;;;;5;N;;;;;
        "\u12428",  # ;CUNEIFORM NUMERIC SIGN SIX SHAR2;Nl;0;L;;;;6;N;;;;;
        "\u12429",  # ;CUNEIFORM NUMERIC SIGN SEVEN SHAR2;Nl;0;L;;;;7;N;;;;;
        "\u1242A",  # ;CUNEIFORM NUMERIC SIGN EIGHT SHAR2;Nl;0;L;;;;8;N;;;;;
        "\u1242B",  # ;CUNEIFORM NUMERIC SIGN NINE SHAR2;Nl;0;L;;;;9;N;;;;;
        "\u1242C",  # ;CUNEIFORM NUMERIC SIGN ONE SHARU;Nl;0;L;;;;1;N;;;;;
        "\u1242D",  # ;CUNEIFORM NUMERIC SIGN TWO SHARU;Nl;0;L;;;;2;N;;;;;
        "\u1242E",  # ;CUNEIFORM NUMERIC SIGN THREE SHARU;Nl;0;L;;;;3;N;;;;;
        "\u1242F",  # ;CUNEIFORM NUMERIC SIGN THREE SHARU VARIANT FORM;Nl;0;L;;;;3;N;;;;;
        "\u12430",  # ;CUNEIFORM NUMERIC SIGN FOUR SHARU;Nl;0;L;;;;4;N;;;;;
        "\u12431",  # ;CUNEIFORM NUMERIC SIGN FIVE SHARU;Nl;0;L;;;;5;N;;;;;
        "\u12432",  # ;CUNEIFORM NUMERIC SIGN SHAR2 TIMES GAL PLUS DISH;Nl;0;L;;;;216000;N;;;;;
        "\u12433",  # ;CUNEIFORM NUMERIC SIGN SHAR2 TIMES GAL PLUS MIN;Nl;0;L;;;;432000;N;;;;;
        "\u12434",  # ;CUNEIFORM NUMERIC SIGN ONE BURU;Nl;0;L;;;;1;N;;;;;
        "\u12435",  # ;CUNEIFORM NUMERIC SIGN TWO BURU;Nl;0;L;;;;2;N;;;;;
        "\u12436",  # ;CUNEIFORM NUMERIC SIGN THREE BURU;Nl;0;L;;;;3;N;;;;;
        "\u12437",  # ;CUNEIFORM NUMERIC SIGN THREE BURU VARIANT FORM;Nl;0;L;;;;3;N;;;;;
        "\u12438",  # ;CUNEIFORM NUMERIC SIGN FOUR BURU;Nl;0;L;;;;4;N;;;;;
        "\u12439",  # ;CUNEIFORM NUMERIC SIGN FIVE BURU;Nl;0;L;;;;5;N;;;;;
        "\u1243A",  # ;CUNEIFORM NUMERIC SIGN THREE VARIANT FORM ESH16;Nl;0;L;;;;3;N;;;;;
        "\u1243B",  # ;CUNEIFORM NUMERIC SIGN THREE VARIANT FORM ESH21;Nl;0;L;;;;3;N;;;;;
        "\u1243C",  # ;CUNEIFORM NUMERIC SIGN FOUR VARIANT FORM LIMMU;Nl;0;L;;;;4;N;;;;;
        "\u1243D",  # ;CUNEIFORM NUMERIC SIGN FOUR VARIANT FORM LIMMU4;Nl;0;L;;;;4;N;;;;;
        "\u1243E",  # ;CUNEIFORM NUMERIC SIGN FOUR VARIANT FORM LIMMU A;Nl;0;L;;;;4;N;;;;;
        "\u1243F",  # ;CUNEIFORM NUMERIC SIGN FOUR VARIANT FORM LIMMU B;Nl;0;L;;;;4;N;;;;;
        "\u12440",  # ;CUNEIFORM NUMERIC SIGN SIX VARIANT FORM ASH9;Nl;0;L;;;;6;N;;;;;
        "\u12441",  # ;CUNEIFORM NUMERIC SIGN SEVEN VARIANT FORM IMIN3;Nl;0;L;;;;7;N;;;;;
        "\u12442",  # ;CUNEIFORM NUMERIC SIGN SEVEN VARIANT FORM IMIN A;Nl;0;L;;;;7;N;;;;;
        "\u12443",  # ;CUNEIFORM NUMERIC SIGN SEVEN VARIANT FORM IMIN B;Nl;0;L;;;;7;N;;;;;
        "\u12444",  # ;CUNEIFORM NUMERIC SIGN EIGHT VARIANT FORM USSU;Nl;0;L;;;;8;N;;;;;
        "\u12445",  # ;CUNEIFORM NUMERIC SIGN EIGHT VARIANT FORM USSU3;Nl;0;L;;;;8;N;;;;;
        "\u12446",  # ;CUNEIFORM NUMERIC SIGN NINE VARIANT FORM ILIMMU;Nl;0;L;;;;9;N;;;;;
        "\u12447",  # ;CUNEIFORM NUMERIC SIGN NINE VARIANT FORM ILIMMU3;Nl;0;L;;;;9;N;;;;;
        "\u12448",  # ;CUNEIFORM NUMERIC SIGN NINE VARIANT FORM ILIMMU4;Nl;0;L;;;;9;N;;;;;
        "\u12449",  # ;CUNEIFORM NUMERIC SIGN NINE VARIANT FORM ILIMMU A;Nl;0;L;;;;9;N;;;;;
        "\u1244A",  # ;CUNEIFORM NUMERIC SIGN TWO ASH TENU;Nl;0;L;;;;2;N;;;;;
        "\u1244B",  # ;CUNEIFORM NUMERIC SIGN THREE ASH TENU;Nl;0;L;;;;3;N;;;;;
        "\u1244C",  # ;CUNEIFORM NUMERIC SIGN FOUR ASH TENU;Nl;0;L;;;;4;N;;;;;
        "\u1244D",  # ;CUNEIFORM NUMERIC SIGN FIVE ASH TENU;Nl;0;L;;;;5;N;;;;;
        "\u1244E",  # ;CUNEIFORM NUMERIC SIGN SIX ASH TENU;Nl;0;L;;;;6;N;;;;;
        "\u1244F",  # ;CUNEIFORM NUMERIC SIGN ONE BAN2;Nl;0;L;;;;1;N;;;;;
        "\u12450",  # ;CUNEIFORM NUMERIC SIGN TWO BAN2;Nl;0;L;;;;2;N;;;;;
        "\u12451",  # ;CUNEIFORM NUMERIC SIGN THREE BAN2;Nl;0;L;;;;3;N;;;;;
        "\u12452",  # ;CUNEIFORM NUMERIC SIGN FOUR BAN2;Nl;0;L;;;;4;N;;;;;
        "\u12453",  # ;CUNEIFORM NUMERIC SIGN FOUR BAN2 VARIANT FORM;Nl;0;L;;;;4;N;;;;;
        "\u12454",  # ;CUNEIFORM NUMERIC SIGN FIVE BAN2;Nl;0;L;;;;5;N;;;;;
        "\u12455",  # ;CUNEIFORM NUMERIC SIGN FIVE BAN2 VARIANT FORM;Nl;0;L;;;;5;N;;;;;
        "\u12456",  # ;CUNEIFORM NUMERIC SIGN NIGIDAMIN;Nl;0;L;;;;2;N;;;;;
        "\u12457",  # ;CUNEIFORM NUMERIC SIGN NIGIDAESH;Nl;0;L;;;;3;N;;;;;
        "\u12458",  # ;CUNEIFORM NUMERIC SIGN ONE ESHE3;Nl;0;L;;;;1;N;;;;;
        "\u12459",  # ;CUNEIFORM NUMERIC SIGN TWO ESHE3;Nl;0;L;;;;2;N;;;;;
        "\u1245A",  # ;CUNEIFORM NUMERIC SIGN ONE THIRD DISH;Nl;0;L;;;;1/3;N;;;;;
        "\u1245B",  # ;CUNEIFORM NUMERIC SIGN TWO THIRDS DISH;Nl;0;L;;;;2/3;N;;;;;
        "\u1245C",  # ;CUNEIFORM NUMERIC SIGN FIVE SIXTHS DISH;Nl;0;L;;;;5/6;N;;;;;
        "\u1245D",  # ;CUNEIFORM NUMERIC SIGN ONE THIRD VARIANT FORM A;Nl;0;L;;;;1/3;N;;;;;
        "\u1245E",  # ;CUNEIFORM NUMERIC SIGN TWO THIRDS VARIANT FORM A;Nl;0;L;;;;2/3;N;;;;;
        "\u1245F",  # ;CUNEIFORM NUMERIC SIGN ONE EIGHTH ASH;Nl;0;L;;;;1/8;N;;;;;
        "\u12460",  # ;CUNEIFORM NUMERIC SIGN ONE QUARTER ASH;Nl;0;L;;;;1/4;N;;;;;
        "\u12461",  # ;CUNEIFORM NUMERIC SIGN OLD ASSYRIAN ONE SIXTH;Nl;0;L;;;;1/6;N;;;;;
        "\u12462",  # ;CUNEIFORM NUMERIC SIGN OLD ASSYRIAN ONE QUARTER;Nl;0;L;;;;1/4;N;;;;;
        "\u12463",  # ;CUNEIFORM NUMERIC SIGN ONE QUARTER GUR;Nl;0;L;;;;1/4;N;;;;;
        "\u12464",  # ;CUNEIFORM NUMERIC SIGN ONE HALF GUR;Nl;0;L;;;;1/2;N;;;;;
        "\u12465",  # ;CUNEIFORM NUMERIC SIGN ELAMITE ONE THIRD;Nl;0;L;;;;1/3;N;;;;;
        "\u12466",  # ;CUNEIFORM NUMERIC SIGN ELAMITE TWO THIRDS;Nl;0;L;;;;2/3;N;;;;;
        "\u12467",  # ;CUNEIFORM NUMERIC SIGN ELAMITE FORTY;Nl;0;L;;;;40;N;;;;;
        "\u12468",  # ;CUNEIFORM NUMERIC SIGN ELAMITE FIFTY;Nl;0;L;;;;50;N;;;;;
        "\u12469",  # ;CUNEIFORM NUMERIC SIGN FOUR U VARIANT FORM;Nl;0;L;;;;4;N;;;;;
        "\u1246A",  # ;CUNEIFORM NUMERIC SIGN FIVE U VARIANT FORM;Nl;0;L;;;;5;N;;;;;
        "\u1246B",  # ;CUNEIFORM NUMERIC SIGN SIX U VARIANT FORM;Nl;0;L;;;;6;N;;;;;
        "\u1246C",  # ;CUNEIFORM NUMERIC SIGN SEVEN U VARIANT FORM;Nl;0;L;;;;7;N;;;;;
        "\u1246D",  # ;CUNEIFORM NUMERIC SIGN EIGHT U VARIANT FORM;Nl;0;L;;;;8;N;;;;;
        "\u1246E",  # ;CUNEIFORM NUMERIC SIGN NINE U VARIANT FORM;Nl;0;L;;;;9;N;;;;;
        "\u12470",  # ;CUNEIFORM PUNCTUATION SIGN OLD ASSYRIAN WORD DIVIDER;Po;0;L;;;;;N;;;;;
        "\u12471",  # ;CUNEIFORM PUNCTUATION SIGN VERTICAL COLON;Po;0;L;;;;;N;;;;;
        "\u12472",  # ;CUNEIFORM PUNCTUATION SIGN DIAGONAL COLON;Po;0;L;;;;;N;;;;;
        "\u12473",  # ;CUNEIFORM PUNCTUATION SIGN DIAGONAL TRICOLON;Po;0;L;;;;;N;;;;;
        "\u12474",  # ;CUNEIFORM PUNCTUATION SIGN DIAGONAL QUADCOLON;Po;0;L;;;;;N;;;;;
        "\u12480",  # ;CUNEIFORM SIGN AB TIMES NUN TENU;Lo;0;L;;;;;N;;;;;
        "\u12481",  # ;CUNEIFORM SIGN AB TIMES SHU2;Lo;0;L;;;;;N;;;;;
        "\u12482",  # ;CUNEIFORM SIGN AD TIMES ESH2;Lo;0;L;;;;;N;;;;;
        "\u12483",  # ;CUNEIFORM SIGN BAD TIMES DISH TENU;Lo;0;L;;;;;N;;;;;
        "\u12484",  # ;CUNEIFORM SIGN BAHAR2 TIMES AB2;Lo;0;L;;;;;N;;;;;
        "\u12485",  # ;CUNEIFORM SIGN BAHAR2 TIMES NI;Lo;0;L;;;;;N;;;;;
        "\u12486",  # ;CUNEIFORM SIGN BAHAR2 TIMES ZA;Lo;0;L;;;;;N;;;;;
        "\u12487",  # ;CUNEIFORM SIGN BU OVER BU TIMES NA2;Lo;0;L;;;;;N;;;;;
        "\u12488",  # ;CUNEIFORM SIGN DA TIMES TAK4;Lo;0;L;;;;;N;;;;;
        "\u12489",  # ;CUNEIFORM SIGN DAG TIMES KUR;Lo;0;L;;;;;N;;;;;
        "\u1248A",  # ;CUNEIFORM SIGN DIM TIMES IGI;Lo;0;L;;;;;N;;;;;
        "\u1248B",  # ;CUNEIFORM SIGN DIM TIMES U U U;Lo;0;L;;;;;N;;;;;
        "\u1248C",  # ;CUNEIFORM SIGN DIM2 TIMES UD;Lo;0;L;;;;;N;;;;;
        "\u1248D",  # ;CUNEIFORM SIGN DUG TIMES ANSHE;Lo;0;L;;;;;N;;;;;
        "\u1248E",  # ;CUNEIFORM SIGN DUG TIMES ASH;Lo;0;L;;;;;N;;;;;
        "\u1248F",  # ;CUNEIFORM SIGN DUG TIMES ASH AT LEFT;Lo;0;L;;;;;N;;;;;
        "\u12490",  # ;CUNEIFORM SIGN DUG TIMES DIN;Lo;0;L;;;;;N;;;;;
        "\u12491",  # ;CUNEIFORM SIGN DUG TIMES DUN;Lo;0;L;;;;;N;;;;;
        "\u12492",  # ;CUNEIFORM SIGN DUG TIMES ERIN2;Lo;0;L;;;;;N;;;;;
        "\u12493",  # ;CUNEIFORM SIGN DUG TIMES GA;Lo;0;L;;;;;N;;;;;
        "\u12494",  # ;CUNEIFORM SIGN DUG TIMES GI;Lo;0;L;;;;;N;;;;;
        "\u12495",  # ;CUNEIFORM SIGN DUG TIMES GIR2 GUNU;Lo;0;L;;;;;N;;;;;
        "\u12496",  # ;CUNEIFORM SIGN DUG TIMES GISH;Lo;0;L;;;;;N;;;;;
        "\u12497",  # ;CUNEIFORM SIGN DUG TIMES HA;Lo;0;L;;;;;N;;;;;
        "\u12498",  # ;CUNEIFORM SIGN DUG TIMES HI;Lo;0;L;;;;;N;;;;;
        "\u12499",  # ;CUNEIFORM SIGN DUG TIMES IGI GUNU;Lo;0;L;;;;;N;;;;;
        "\u1249A",  # ;CUNEIFORM SIGN DUG TIMES KASKAL;Lo;0;L;;;;;N;;;;;
        "\u1249B",  # ;CUNEIFORM SIGN DUG TIMES KUR;Lo;0;L;;;;;N;;;;;
        "\u1249C",  # ;CUNEIFORM SIGN DUG TIMES KUSHU2;Lo;0;L;;;;;N;;;;;
        "\u1249D",  # ;CUNEIFORM SIGN DUG TIMES KUSHU2 PLUS KASKAL;Lo;0;L;;;;;N;;;;;
        "\u1249E",  # ;CUNEIFORM SIGN DUG TIMES LAK-020;Lo;0;L;;;;;N;;;;;
        "\u1249F",  # ;CUNEIFORM SIGN DUG TIMES LAM;Lo;0;L;;;;;N;;;;;
        "\u124A0",  # ;CUNEIFORM SIGN DUG TIMES LAM TIMES KUR;Lo;0;L;;;;;N;;;;;
        "\u124A1",  # ;CUNEIFORM SIGN DUG TIMES LUH PLUS GISH;Lo;0;L;;;;;N;;;;;
        "\u124A2",  # ;CUNEIFORM SIGN DUG TIMES MASH;Lo;0;L;;;;;N;;;;;
        "\u124A3",  # ;CUNEIFORM SIGN DUG TIMES MES;Lo;0;L;;;;;N;;;;;
        "\u124A4",  # ;CUNEIFORM SIGN DUG TIMES MI;Lo;0;L;;;;;N;;;;;
        "\u124A5",  # ;CUNEIFORM SIGN DUG TIMES NI;Lo;0;L;;;;;N;;;;;
        "\u124A6",  # ;CUNEIFORM SIGN DUG TIMES PI;Lo;0;L;;;;;N;;;;;
        "\u124A7",  # ;CUNEIFORM SIGN DUG TIMES SHE;Lo;0;L;;;;;N;;;;;
        "\u124A8",  # ;CUNEIFORM SIGN DUG TIMES SI GUNU;Lo;0;L;;;;;N;;;;;
        "\u124A9",  # ;CUNEIFORM SIGN E2 TIMES KUR;Lo;0;L;;;;;N;;;;;
        "\u124AA",  # ;CUNEIFORM SIGN E2 TIMES PAP;Lo;0;L;;;;;N;;;;;
        "\u124AB",  # ;CUNEIFORM SIGN ERIN2 X;Lo;0;L;;;;;N;;;;;
        "\u124AC",  # ;CUNEIFORM SIGN ESH2 CROSSING ESH2;Lo;0;L;;;;;N;;;;;
        "\u124AD",  # ;CUNEIFORM SIGN EZEN SHESHIG TIMES ASH;Lo;0;L;;;;;N;;;;;
        "\u124AE",  # ;CUNEIFORM SIGN EZEN SHESHIG TIMES HI;Lo;0;L;;;;;N;;;;;
        "\u124AF",  # ;CUNEIFORM SIGN EZEN SHESHIG TIMES IGI GUNU;Lo;0;L;;;;;N;;;;;
        "\u124B0",  # ;CUNEIFORM SIGN EZEN SHESHIG TIMES LA;Lo;0;L;;;;;N;;;;;
        "\u124B1",  # ;CUNEIFORM SIGN EZEN SHESHIG TIMES LAL;Lo;0;L;;;;;N;;;;;
        "\u124B2",  # ;CUNEIFORM SIGN EZEN SHESHIG TIMES ME;Lo;0;L;;;;;N;;;;;
        "\u124B3",  # ;CUNEIFORM SIGN EZEN SHESHIG TIMES MES;Lo;0;L;;;;;N;;;;;
        "\u124B4",  # ;CUNEIFORM SIGN EZEN SHESHIG TIMES SU;Lo;0;L;;;;;N;;;;;
        "\u124B5",  # ;CUNEIFORM SIGN EZEN TIMES SU;Lo;0;L;;;;;N;;;;;
        "\u124B6",  # ;CUNEIFORM SIGN GA2 TIMES BAHAR2;Lo;0;L;;;;;N;;;;;
        "\u124B7",  # ;CUNEIFORM SIGN GA2 TIMES DIM GUNU;Lo;0;L;;;;;N;;;;;
        "\u124B8",  # ;CUNEIFORM SIGN GA2 TIMES DUG TIMES IGI GUNU;Lo;0;L;;;;;N;;;;;
        "\u124B9",  # ;CUNEIFORM SIGN GA2 TIMES DUG TIMES KASKAL;Lo;0;L;;;;;N;;;;;
        "\u124BA",  # ;CUNEIFORM SIGN GA2 TIMES EREN;Lo;0;L;;;;;N;;;;;
        "\u124BB",  # ;CUNEIFORM SIGN GA2 TIMES GA;Lo;0;L;;;;;N;;;;;
        "\u124BC",  # ;CUNEIFORM SIGN GA2 TIMES GAR PLUS DI;Lo;0;L;;;;;N;;;;;
        "\u124BD",  # ;CUNEIFORM SIGN GA2 TIMES GAR PLUS NE;Lo;0;L;;;;;N;;;;;
        "\u124BE",  # ;CUNEIFORM SIGN GA2 TIMES HA PLUS A;Lo;0;L;;;;;N;;;;;
        "\u124BF",  # ;CUNEIFORM SIGN GA2 TIMES KUSHU2 PLUS KASKAL;Lo;0;L;;;;;N;;;;;
        "\u124C0",  # ;CUNEIFORM SIGN GA2 TIMES LAM;Lo;0;L;;;;;N;;;;;
        "\u124C1",  # ;CUNEIFORM SIGN GA2 TIMES LAM TIMES KUR;Lo;0;L;;;;;N;;;;;
        "\u124C2",  # ;CUNEIFORM SIGN GA2 TIMES LUH;Lo;0;L;;;;;N;;;;;
        "\u124C3",  # ;CUNEIFORM SIGN GA2 TIMES MUSH;Lo;0;L;;;;;N;;;;;
        "\u124C4",  # ;CUNEIFORM SIGN GA2 TIMES NE;Lo;0;L;;;;;N;;;;;
        "\u124C5",  # ;CUNEIFORM SIGN GA2 TIMES NE PLUS E2;Lo;0;L;;;;;N;;;;;
        "\u124C6",  # ;CUNEIFORM SIGN GA2 TIMES NE PLUS GI;Lo;0;L;;;;;N;;;;;
        "\u124C7",  # ;CUNEIFORM SIGN GA2 TIMES SHIM;Lo;0;L;;;;;N;;;;;
        "\u124C8",  # ;CUNEIFORM SIGN GA2 TIMES ZIZ2;Lo;0;L;;;;;N;;;;;
        "\u124C9",  # ;CUNEIFORM SIGN GABA ROTATED NINETY DEGREES;Lo;0;L;;;;;N;;;;;
        "\u124CA",  # ;CUNEIFORM SIGN GESHTIN TIMES U;Lo;0;L;;;;;N;;;;;
        "\u124CB",  # ;CUNEIFORM SIGN GISH TIMES GISH CROSSING GISH;Lo;0;L;;;;;N;;;;;
        "\u124CC",  # ;CUNEIFORM SIGN GU2 TIMES IGI GUNU;Lo;0;L;;;;;N;;;;;
        "\u124CD",  # ;CUNEIFORM SIGN GUD PLUS GISH TIMES TAK4;Lo;0;L;;;;;N;;;;;
        "\u124CE",  # ;CUNEIFORM SIGN HA TENU GUNU;Lo;0;L;;;;;N;;;;;
        "\u124CF",  # ;CUNEIFORM SIGN HI TIMES ASH OVER HI TIMES ASH;Lo;0;L;;;;;N;;;;;
        "\u124D0",  # ;CUNEIFORM SIGN KA TIMES BU;Lo;0;L;;;;;N;;;;;
        "\u124D1",  # ;CUNEIFORM SIGN KA TIMES KA;Lo;0;L;;;;;N;;;;;
        "\u124D2",  # ;CUNEIFORM SIGN KA TIMES U U U;Lo;0;L;;;;;N;;;;;
        "\u124D3",  # ;CUNEIFORM SIGN KA TIMES UR;Lo;0;L;;;;;N;;;;;
        "\u124D4",  # ;CUNEIFORM SIGN LAGAB TIMES ZU OVER ZU;Lo;0;L;;;;;N;;;;;
        "\u124D5",  # ;CUNEIFORM SIGN LAK-003;Lo;0;L;;;;;N;;;;;
        "\u124D6",  # ;CUNEIFORM SIGN LAK-021;Lo;0;L;;;;;N;;;;;
        "\u124D7",  # ;CUNEIFORM SIGN LAK-025;Lo;0;L;;;;;N;;;;;
        "\u124D8",  # ;CUNEIFORM SIGN LAK-030;Lo;0;L;;;;;N;;;;;
        "\u124D9",  # ;CUNEIFORM SIGN LAK-050;Lo;0;L;;;;;N;;;;;
        "\u124DA",  # ;CUNEIFORM SIGN LAK-051;Lo;0;L;;;;;N;;;;;
        "\u124DB",  # ;CUNEIFORM SIGN LAK-062;Lo;0;L;;;;;N;;;;;
        "\u124DC",  # ;CUNEIFORM SIGN LAK-079 OVER LAK-079 GUNU;Lo;0;L;;;;;N;;;;;
        "\u124DD",  # ;CUNEIFORM SIGN LAK-080;Lo;0;L;;;;;N;;;;;
        "\u124DE",  # ;CUNEIFORM SIGN LAK-081 OVER LAK-081;Lo;0;L;;;;;N;;;;;
        "\u124DF",  # ;CUNEIFORM SIGN LAK-092;Lo;0;L;;;;;N;;;;;
        "\u124E0",  # ;CUNEIFORM SIGN LAK-130;Lo;0;L;;;;;N;;;;;
        "\u124E1",  # ;CUNEIFORM SIGN LAK-142;Lo;0;L;;;;;N;;;;;
        "\u124E2",  # ;CUNEIFORM SIGN LAK-210;Lo;0;L;;;;;N;;;;;
        "\u124E3",  # ;CUNEIFORM SIGN LAK-219;Lo;0;L;;;;;N;;;;;
        "\u124E4",  # ;CUNEIFORM SIGN LAK-220;Lo;0;L;;;;;N;;;;;
        "\u124E5",  # ;CUNEIFORM SIGN LAK-225;Lo;0;L;;;;;N;;;;;
        "\u124E6",  # ;CUNEIFORM SIGN LAK-228;Lo;0;L;;;;;N;;;;;
        "\u124E7",  # ;CUNEIFORM SIGN LAK-238;Lo;0;L;;;;;N;;;;;
        "\u124E8",  # ;CUNEIFORM SIGN LAK-265;Lo;0;L;;;;;N;;;;;
        "\u124E9",  # ;CUNEIFORM SIGN LAK-266;Lo;0;L;;;;;N;;;;;
        "\u124EA",  # ;CUNEIFORM SIGN LAK-343;Lo;0;L;;;;;N;;;;;
        "\u124EB",  # ;CUNEIFORM SIGN LAK-347;Lo;0;L;;;;;N;;;;;
        "\u124EC",  # ;CUNEIFORM SIGN LAK-348;Lo;0;L;;;;;N;;;;;
        "\u124ED",  # ;CUNEIFORM SIGN LAK-383;Lo;0;L;;;;;N;;;;;
        "\u124EE",  # ;CUNEIFORM SIGN LAK-384;Lo;0;L;;;;;N;;;;;
        "\u124EF",  # ;CUNEIFORM SIGN LAK-390;Lo;0;L;;;;;N;;;;;
        "\u124F0",  # ;CUNEIFORM SIGN LAK-441;Lo;0;L;;;;;N;;;;;
        "\u124F1",  # ;CUNEIFORM SIGN LAK-449;Lo;0;L;;;;;N;;;;;
        "\u124F2",  # ;CUNEIFORM SIGN LAK-449 TIMES GU;Lo;0;L;;;;;N;;;;;
        "\u124F3",  # ;CUNEIFORM SIGN LAK-449 TIMES IGI;Lo;0;L;;;;;N;;;;;
        "\u124F4",  # ;CUNEIFORM SIGN LAK-449 TIMES PAP PLUS LU3;Lo;0;L;;;;;N;;;;;
        "\u124F5",  # ;CUNEIFORM SIGN LAK-449 TIMES PAP PLUS PAP PLUS LU3;Lo;0;L;;;;;N;;;;;
        "\u124F6",  # ;CUNEIFORM SIGN LAK-449 TIMES U2 PLUS BA;Lo;0;L;;;;;N;;;;;
        "\u124F7",  # ;CUNEIFORM SIGN LAK-450;Lo;0;L;;;;;N;;;;;
        "\u124F8",  # ;CUNEIFORM SIGN LAK-457;Lo;0;L;;;;;N;;;;;
        "\u124F9",  # ;CUNEIFORM SIGN LAK-470;Lo;0;L;;;;;N;;;;;
        "\u124FA",  # ;CUNEIFORM SIGN LAK-483;Lo;0;L;;;;;N;;;;;
        "\u124FB",  # ;CUNEIFORM SIGN LAK-490;Lo;0;L;;;;;N;;;;;
        "\u124FC",  # ;CUNEIFORM SIGN LAK-492;Lo;0;L;;;;;N;;;;;
        "\u124FD",  # ;CUNEIFORM SIGN LAK-493;Lo;0;L;;;;;N;;;;;
        "\u124FE",  # ;CUNEIFORM SIGN LAK-495;Lo;0;L;;;;;N;;;;;
        "\u124FF",  # ;CUNEIFORM SIGN LAK-550;Lo;0;L;;;;;N;;;;;
        "\u12500",  # ;CUNEIFORM SIGN LAK-608;Lo;0;L;;;;;N;;;;;
        "\u12501",  # ;CUNEIFORM SIGN LAK-617;Lo;0;L;;;;;N;;;;;
        "\u12502",  # ;CUNEIFORM SIGN LAK-617 TIMES ASH;Lo;0;L;;;;;N;;;;;
        "\u12503",  # ;CUNEIFORM SIGN LAK-617 TIMES BAD;Lo;0;L;;;;;N;;;;;
        "\u12504",  # ;CUNEIFORM SIGN LAK-617 TIMES DUN3 GUNU GUNU;Lo;0;L;;;;;N;;;;;
        "\u12505",  # ;CUNEIFORM SIGN LAK-617 TIMES KU3;Lo;0;L;;;;;N;;;;;
        "\u12506",  # ;CUNEIFORM SIGN LAK-617 TIMES LA;Lo;0;L;;;;;N;;;;;
        "\u12507",  # ;CUNEIFORM SIGN LAK-617 TIMES TAR;Lo;0;L;;;;;N;;;;;
        "\u12508",  # ;CUNEIFORM SIGN LAK-617 TIMES TE;Lo;0;L;;;;;N;;;;;
        "\u12509",  # ;CUNEIFORM SIGN LAK-617 TIMES U2;Lo;0;L;;;;;N;;;;;
        "\u1250A",  # ;CUNEIFORM SIGN LAK-617 TIMES UD;Lo;0;L;;;;;N;;;;;
        "\u1250B",  # ;CUNEIFORM SIGN LAK-617 TIMES URUDA;Lo;0;L;;;;;N;;;;;
        "\u1250C",  # ;CUNEIFORM SIGN LAK-636;Lo;0;L;;;;;N;;;;;
        "\u1250D",  # ;CUNEIFORM SIGN LAK-648;Lo;0;L;;;;;N;;;;;
        "\u1250E",  # ;CUNEIFORM SIGN LAK-648 TIMES DUB;Lo;0;L;;;;;N;;;;;
        "\u1250F",  # ;CUNEIFORM SIGN LAK-648 TIMES GA;Lo;0;L;;;;;N;;;;;
        "\u12510",  # ;CUNEIFORM SIGN LAK-648 TIMES IGI;Lo;0;L;;;;;N;;;;;
        "\u12511",  # ;CUNEIFORM SIGN LAK-648 TIMES IGI GUNU;Lo;0;L;;;;;N;;;;;
        "\u12512",  # ;CUNEIFORM SIGN LAK-648 TIMES NI;Lo;0;L;;;;;N;;;;;
        "\u12513",  # ;CUNEIFORM SIGN LAK-648 TIMES PAP PLUS PAP PLUS LU3;Lo;0;L;;;;;N;;;;;
        "\u12514",  # ;CUNEIFORM SIGN LAK-648 TIMES SHESH PLUS KI;Lo;0;L;;;;;N;;;;;
        "\u12515",  # ;CUNEIFORM SIGN LAK-648 TIMES UD;Lo;0;L;;;;;N;;;;;
        "\u12516",  # ;CUNEIFORM SIGN LAK-648 TIMES URUDA;Lo;0;L;;;;;N;;;;;
        "\u12517",  # ;CUNEIFORM SIGN LAK-724;Lo;0;L;;;;;N;;;;;
        "\u12518",  # ;CUNEIFORM SIGN LAK-749;Lo;0;L;;;;;N;;;;;
        "\u12519",  # ;CUNEIFORM SIGN LU2 GUNU TIMES ASH;Lo;0;L;;;;;N;;;;;
        "\u1251A",  # ;CUNEIFORM SIGN LU2 TIMES DISH;Lo;0;L;;;;;N;;;;;
        "\u1251B",  # ;CUNEIFORM SIGN LU2 TIMES HAL;Lo;0;L;;;;;N;;;;;
        "\u1251C",  # ;CUNEIFORM SIGN LU2 TIMES PAP;Lo;0;L;;;;;N;;;;;
        "\u1251D",  # ;CUNEIFORM SIGN LU2 TIMES PAP PLUS PAP PLUS LU3;Lo;0;L;;;;;N;;;;;
        "\u1251E",  # ;CUNEIFORM SIGN LU2 TIMES TAK4;Lo;0;L;;;;;N;;;;;
        "\u1251F",  # ;CUNEIFORM SIGN MI PLUS ZA7;Lo;0;L;;;;;N;;;;;
        "\u12520",  # ;CUNEIFORM SIGN MUSH OVER MUSH TIMES GA;Lo;0;L;;;;;N;;;;;
        "\u12521",  # ;CUNEIFORM SIGN MUSH OVER MUSH TIMES KAK;Lo;0;L;;;;;N;;;;;
        "\u12522",  # ;CUNEIFORM SIGN NINDA2 TIMES DIM GUNU;Lo;0;L;;;;;N;;;;;
        "\u12523",  # ;CUNEIFORM SIGN NINDA2 TIMES GISH;Lo;0;L;;;;;N;;;;;
        "\u12524",  # ;CUNEIFORM SIGN NINDA2 TIMES GUL;Lo;0;L;;;;;N;;;;;
        "\u12525",  # ;CUNEIFORM SIGN NINDA2 TIMES HI;Lo;0;L;;;;;N;;;;;
        "\u12526",  # ;CUNEIFORM SIGN NINDA2 TIMES KESH2;Lo;0;L;;;;;N;;;;;
        "\u12527",  # ;CUNEIFORM SIGN NINDA2 TIMES LAK-050;Lo;0;L;;;;;N;;;;;
        "\u12528",  # ;CUNEIFORM SIGN NINDA2 TIMES MASH;Lo;0;L;;;;;N;;;;;
        "\u12529",  # ;CUNEIFORM SIGN NINDA2 TIMES PAP PLUS PAP;Lo;0;L;;;;;N;;;;;
        "\u1252A",  # ;CUNEIFORM SIGN NINDA2 TIMES U;Lo;0;L;;;;;N;;;;;
        "\u1252B",  # ;CUNEIFORM SIGN NINDA2 TIMES U PLUS U;Lo;0;L;;;;;N;;;;;
        "\u1252C",  # ;CUNEIFORM SIGN NINDA2 TIMES URUDA;Lo;0;L;;;;;N;;;;;
        "\u1252D",  # ;CUNEIFORM SIGN SAG GUNU TIMES HA;Lo;0;L;;;;;N;;;;;
        "\u1252E",  # ;CUNEIFORM SIGN SAG TIMES EN;Lo;0;L;;;;;N;;;;;
        "\u1252F",  # ;CUNEIFORM SIGN SAG TIMES SHE AT LEFT;Lo;0;L;;;;;N;;;;;
        "\u12530",  # ;CUNEIFORM SIGN SAG TIMES TAK4;Lo;0;L;;;;;N;;;;;
        "\u12531",  # ;CUNEIFORM SIGN SHA6 TENU;Lo;0;L;;;;;N;;;;;
        "\u12532",  # ;CUNEIFORM SIGN SHE OVER SHE;Lo;0;L;;;;;N;;;;;
        "\u12533",  # ;CUNEIFORM SIGN SHE PLUS HUB2;Lo;0;L;;;;;N;;;;;
        "\u12534",  # ;CUNEIFORM SIGN SHE PLUS NAM2;Lo;0;L;;;;;N;;;;;
        "\u12535",  # ;CUNEIFORM SIGN SHE PLUS SAR;Lo;0;L;;;;;N;;;;;
        "\u12536",  # ;CUNEIFORM SIGN SHU2 PLUS DUG TIMES NI;Lo;0;L;;;;;N;;;;;
        "\u12537",  # ;CUNEIFORM SIGN SHU2 PLUS E2 TIMES AN;Lo;0;L;;;;;N;;;;;
        "\u12538",  # ;CUNEIFORM SIGN SI TIMES TAK4;Lo;0;L;;;;;N;;;;;
        "\u12539",  # ;CUNEIFORM SIGN TAK4 PLUS SAG;Lo;0;L;;;;;N;;;;;
        "\u1253A",  # ;CUNEIFORM SIGN TUM TIMES GAN2 TENU;Lo;0;L;;;;;N;;;;;
        "\u1253B",  # ;CUNEIFORM SIGN TUM TIMES THREE DISH;Lo;0;L;;;;;N;;;;;
        "\u1253C",  # ;CUNEIFORM SIGN UR2 INVERTED;Lo;0;L;;;;;N;;;;;
        "\u1253D",  # ;CUNEIFORM SIGN UR2 TIMES UD;Lo;0;L;;;;;N;;;;;
        "\u1253E",  # ;CUNEIFORM SIGN URU TIMES DARA3;Lo;0;L;;;;;N;;;;;
        "\u1253F",  # ;CUNEIFORM SIGN URU TIMES LAK-668;Lo;0;L;;;;;N;;;;;
        "\u12540",  # ;CUNEIFORM SIGN URU TIMES LU3;Lo;0;L;;;;;N;;;;;
        "\u12541",  # ;CUNEIFORM SIGN ZA7;Lo;0;L;;;;;N;;;;;
        "\u12542",  # ;CUNEIFORM SIGN ZU OVER ZU PLUS SAR;Lo;0;L;;;;;N;;;;;
        "\u12543",  # ;CUNEIFORM SIGN ZU5 TIMES THREE DISH TENU;Lo;0;L;;;;;N;;;;;
        "\u13000",  # ;EGYPTIAN HIEROGLYPH A001;Lo;0;L;;;;;N;;;;;
        "\u13001",  # ;EGYPTIAN HIEROGLYPH A002;Lo;0;L;;;;;N;;;;;
        "\u13002",  # ;EGYPTIAN HIEROGLYPH A003;Lo;0;L;;;;;N;;;;;
        "\u13003",  # ;EGYPTIAN HIEROGLYPH A004;Lo;0;L;;;;;N;;;;;
        "\u13004",  # ;EGYPTIAN HIEROGLYPH A005;Lo;0;L;;;;;N;;;;;
        "\u13005",  # ;EGYPTIAN HIEROGLYPH A005A;Lo;0;L;;;;;N;;;;;
        "\u13006",  # ;EGYPTIAN HIEROGLYPH A006;Lo;0;L;;;;;N;;;;;
        "\u13007",  # ;EGYPTIAN HIEROGLYPH A006A;Lo;0;L;;;;;N;;;;;
        "\u13008",  # ;EGYPTIAN HIEROGLYPH A006B;Lo;0;L;;;;;N;;;;;
        "\u13009",  # ;EGYPTIAN HIEROGLYPH A007;Lo;0;L;;;;;N;;;;;
        "\u1300A",  # ;EGYPTIAN HIEROGLYPH A008;Lo;0;L;;;;;N;;;;;
        "\u1300B",  # ;EGYPTIAN HIEROGLYPH A009;Lo;0;L;;;;;N;;;;;
        "\u1300C",  # ;EGYPTIAN HIEROGLYPH A010;Lo;0;L;;;;;N;;;;;
        "\u1300D",  # ;EGYPTIAN HIEROGLYPH A011;Lo;0;L;;;;;N;;;;;
        "\u1300E",  # ;EGYPTIAN HIEROGLYPH A012;Lo;0;L;;;;;N;;;;;
        "\u1300F",  # ;EGYPTIAN HIEROGLYPH A013;Lo;0;L;;;;;N;;;;;
        "\u13010",  # ;EGYPTIAN HIEROGLYPH A014;Lo;0;L;;;;;N;;;;;
        "\u13011",  # ;EGYPTIAN HIEROGLYPH A014A;Lo;0;L;;;;;N;;;;;
        "\u13012",  # ;EGYPTIAN HIEROGLYPH A015;Lo;0;L;;;;;N;;;;;
        "\u13013",  # ;EGYPTIAN HIEROGLYPH A016;Lo;0;L;;;;;N;;;;;
        "\u13014",  # ;EGYPTIAN HIEROGLYPH A017;Lo;0;L;;;;;N;;;;;
        "\u13015",  # ;EGYPTIAN HIEROGLYPH A017A;Lo;0;L;;;;;N;;;;;
        "\u13016",  # ;EGYPTIAN HIEROGLYPH A018;Lo;0;L;;;;;N;;;;;
        "\u13017",  # ;EGYPTIAN HIEROGLYPH A019;Lo;0;L;;;;;N;;;;;
        "\u13018",  # ;EGYPTIAN HIEROGLYPH A020;Lo;0;L;;;;;N;;;;;
        "\u13019",  # ;EGYPTIAN HIEROGLYPH A021;Lo;0;L;;;;;N;;;;;
        "\u1301A",  # ;EGYPTIAN HIEROGLYPH A022;Lo;0;L;;;;;N;;;;;
        "\u1301B",  # ;EGYPTIAN HIEROGLYPH A023;Lo;0;L;;;;;N;;;;;
        "\u1301C",  # ;EGYPTIAN HIEROGLYPH A024;Lo;0;L;;;;;N;;;;;
        "\u1301D",  # ;EGYPTIAN HIEROGLYPH A025;Lo;0;L;;;;;N;;;;;
        "\u1301E",  # ;EGYPTIAN HIEROGLYPH A026;Lo;0;L;;;;;N;;;;;
        "\u1301F",  # ;EGYPTIAN HIEROGLYPH A027;Lo;0;L;;;;;N;;;;;
        "\u13020",  # ;EGYPTIAN HIEROGLYPH A028;Lo;0;L;;;;;N;;;;;
        "\u13021",  # ;EGYPTIAN HIEROGLYPH A029;Lo;0;L;;;;;N;;;;;
        "\u13022",  # ;EGYPTIAN HIEROGLYPH A030;Lo;0;L;;;;;N;;;;;
        "\u13023",  # ;EGYPTIAN HIEROGLYPH A031;Lo;0;L;;;;;N;;;;;
        "\u13024",  # ;EGYPTIAN HIEROGLYPH A032;Lo;0;L;;;;;N;;;;;
        "\u13025",  # ;EGYPTIAN HIEROGLYPH A032A;Lo;0;L;;;;;N;;;;;
        "\u13026",  # ;EGYPTIAN HIEROGLYPH A033;Lo;0;L;;;;;N;;;;;
        "\u13027",  # ;EGYPTIAN HIEROGLYPH A034;Lo;0;L;;;;;N;;;;;
        "\u13028",  # ;EGYPTIAN HIEROGLYPH A035;Lo;0;L;;;;;N;;;;;
        "\u13029",  # ;EGYPTIAN HIEROGLYPH A036;Lo;0;L;;;;;N;;;;;
        "\u1302A",  # ;EGYPTIAN HIEROGLYPH A037;Lo;0;L;;;;;N;;;;;
        "\u1302B",  # ;EGYPTIAN HIEROGLYPH A038;Lo;0;L;;;;;N;;;;;
        "\u1302C",  # ;EGYPTIAN HIEROGLYPH A039;Lo;0;L;;;;;N;;;;;
        "\u1302D",  # ;EGYPTIAN HIEROGLYPH A040;Lo;0;L;;;;;N;;;;;
        "\u1302E",  # ;EGYPTIAN HIEROGLYPH A040A;Lo;0;L;;;;;N;;;;;
        "\u1302F",  # ;EGYPTIAN HIEROGLYPH A041;Lo;0;L;;;;;N;;;;;
        "\u13030",  # ;EGYPTIAN HIEROGLYPH A042;Lo;0;L;;;;;N;;;;;
        "\u13031",  # ;EGYPTIAN HIEROGLYPH A042A;Lo;0;L;;;;;N;;;;;
        "\u13032",  # ;EGYPTIAN HIEROGLYPH A043;Lo;0;L;;;;;N;;;;;
        "\u13033",  # ;EGYPTIAN HIEROGLYPH A043A;Lo;0;L;;;;;N;;;;;
        "\u13034",  # ;EGYPTIAN HIEROGLYPH A044;Lo;0;L;;;;;N;;;;;
        "\u13035",  # ;EGYPTIAN HIEROGLYPH A045;Lo;0;L;;;;;N;;;;;
        "\u13036",  # ;EGYPTIAN HIEROGLYPH A045A;Lo;0;L;;;;;N;;;;;
        "\u13037",  # ;EGYPTIAN HIEROGLYPH A046;Lo;0;L;;;;;N;;;;;
        "\u13038",  # ;EGYPTIAN HIEROGLYPH A047;Lo;0;L;;;;;N;;;;;
        "\u13039",  # ;EGYPTIAN HIEROGLYPH A048;Lo;0;L;;;;;N;;;;;
        "\u1303A",  # ;EGYPTIAN HIEROGLYPH A049;Lo;0;L;;;;;N;;;;;
        "\u1303B",  # ;EGYPTIAN HIEROGLYPH A050;Lo;0;L;;;;;N;;;;;
        "\u1303C",  # ;EGYPTIAN HIEROGLYPH A051;Lo;0;L;;;;;N;;;;;
        "\u1303D",  # ;EGYPTIAN HIEROGLYPH A052;Lo;0;L;;;;;N;;;;;
        "\u1303E",  # ;EGYPTIAN HIEROGLYPH A053;Lo;0;L;;;;;N;;;;;
        "\u1303F",  # ;EGYPTIAN HIEROGLYPH A054;Lo;0;L;;;;;N;;;;;
        "\u13040",  # ;EGYPTIAN HIEROGLYPH A055;Lo;0;L;;;;;N;;;;;
        "\u13041",  # ;EGYPTIAN HIEROGLYPH A056;Lo;0;L;;;;;N;;;;;
        "\u13042",  # ;EGYPTIAN HIEROGLYPH A057;Lo;0;L;;;;;N;;;;;
        "\u13043",  # ;EGYPTIAN HIEROGLYPH A058;Lo;0;L;;;;;N;;;;;
        "\u13044",  # ;EGYPTIAN HIEROGLYPH A059;Lo;0;L;;;;;N;;;;;
        "\u13045",  # ;EGYPTIAN HIEROGLYPH A060;Lo;0;L;;;;;N;;;;;
        "\u13046",  # ;EGYPTIAN HIEROGLYPH A061;Lo;0;L;;;;;N;;;;;
        "\u13047",  # ;EGYPTIAN HIEROGLYPH A062;Lo;0;L;;;;;N;;;;;
        "\u13048",  # ;EGYPTIAN HIEROGLYPH A063;Lo;0;L;;;;;N;;;;;
        "\u13049",  # ;EGYPTIAN HIEROGLYPH A064;Lo;0;L;;;;;N;;;;;
        "\u1304A",  # ;EGYPTIAN HIEROGLYPH A065;Lo;0;L;;;;;N;;;;;
        "\u1304B",  # ;EGYPTIAN HIEROGLYPH A066;Lo;0;L;;;;;N;;;;;
        "\u1304C",  # ;EGYPTIAN HIEROGLYPH A067;Lo;0;L;;;;;N;;;;;
        "\u1304D",  # ;EGYPTIAN HIEROGLYPH A068;Lo;0;L;;;;;N;;;;;
        "\u1304E",  # ;EGYPTIAN HIEROGLYPH A069;Lo;0;L;;;;;N;;;;;
        "\u1304F",  # ;EGYPTIAN HIEROGLYPH A070;Lo;0;L;;;;;N;;;;;
        "\u13050",  # ;EGYPTIAN HIEROGLYPH B001;Lo;0;L;;;;;N;;;;;
        "\u13051",  # ;EGYPTIAN HIEROGLYPH B002;Lo;0;L;;;;;N;;;;;
        "\u13052",  # ;EGYPTIAN HIEROGLYPH B003;Lo;0;L;;;;;N;;;;;
        "\u13053",  # ;EGYPTIAN HIEROGLYPH B004;Lo;0;L;;;;;N;;;;;
        "\u13054",  # ;EGYPTIAN HIEROGLYPH B005;Lo;0;L;;;;;N;;;;;
        "\u13055",  # ;EGYPTIAN HIEROGLYPH B005A;Lo;0;L;;;;;N;;;;;
        "\u13056",  # ;EGYPTIAN HIEROGLYPH B006;Lo;0;L;;;;;N;;;;;
        "\u13057",  # ;EGYPTIAN HIEROGLYPH B007;Lo;0;L;;;;;N;;;;;
        "\u13058",  # ;EGYPTIAN HIEROGLYPH B008;Lo;0;L;;;;;N;;;;;
        "\u13059",  # ;EGYPTIAN HIEROGLYPH B009;Lo;0;L;;;;;N;;;;;
        "\u1305A",  # ;EGYPTIAN HIEROGLYPH C001;Lo;0;L;;;;;N;;;;;
        "\u1305B",  # ;EGYPTIAN HIEROGLYPH C002;Lo;0;L;;;;;N;;;;;
        "\u1305C",  # ;EGYPTIAN HIEROGLYPH C002A;Lo;0;L;;;;;N;;;;;
        "\u1305D",  # ;EGYPTIAN HIEROGLYPH C002B;Lo;0;L;;;;;N;;;;;
        "\u1305E",  # ;EGYPTIAN HIEROGLYPH C002C;Lo;0;L;;;;;N;;;;;
        "\u1305F",  # ;EGYPTIAN HIEROGLYPH C003;Lo;0;L;;;;;N;;;;;
        "\u13060",  # ;EGYPTIAN HIEROGLYPH C004;Lo;0;L;;;;;N;;;;;
        "\u13061",  # ;EGYPTIAN HIEROGLYPH C005;Lo;0;L;;;;;N;;;;;
        "\u13062",  # ;EGYPTIAN HIEROGLYPH C006;Lo;0;L;;;;;N;;;;;
        "\u13063",  # ;EGYPTIAN HIEROGLYPH C007;Lo;0;L;;;;;N;;;;;
        "\u13064",  # ;EGYPTIAN HIEROGLYPH C008;Lo;0;L;;;;;N;;;;;
        "\u13065",  # ;EGYPTIAN HIEROGLYPH C009;Lo;0;L;;;;;N;;;;;
        "\u13066",  # ;EGYPTIAN HIEROGLYPH C010;Lo;0;L;;;;;N;;;;;
        "\u13067",  # ;EGYPTIAN HIEROGLYPH C010A;Lo;0;L;;;;;N;;;;;
        "\u13068",  # ;EGYPTIAN HIEROGLYPH C011;Lo;0;L;;;;;N;;;;;
        "\u13069",  # ;EGYPTIAN HIEROGLYPH C012;Lo;0;L;;;;;N;;;;;
        "\u1306A",  # ;EGYPTIAN HIEROGLYPH C013;Lo;0;L;;;;;N;;;;;
        "\u1306B",  # ;EGYPTIAN HIEROGLYPH C014;Lo;0;L;;;;;N;;;;;
        "\u1306C",  # ;EGYPTIAN HIEROGLYPH C015;Lo;0;L;;;;;N;;;;;
        "\u1306D",  # ;EGYPTIAN HIEROGLYPH C016;Lo;0;L;;;;;N;;;;;
        "\u1306E",  # ;EGYPTIAN HIEROGLYPH C017;Lo;0;L;;;;;N;;;;;
        "\u1306F",  # ;EGYPTIAN HIEROGLYPH C018;Lo;0;L;;;;;N;;;;;
        "\u13070",  # ;EGYPTIAN HIEROGLYPH C019;Lo;0;L;;;;;N;;;;;
        "\u13071",  # ;EGYPTIAN HIEROGLYPH C020;Lo;0;L;;;;;N;;;;;
        "\u13072",  # ;EGYPTIAN HIEROGLYPH C021;Lo;0;L;;;;;N;;;;;
        "\u13073",  # ;EGYPTIAN HIEROGLYPH C022;Lo;0;L;;;;;N;;;;;
        "\u13074",  # ;EGYPTIAN HIEROGLYPH C023;Lo;0;L;;;;;N;;;;;
        "\u13075",  # ;EGYPTIAN HIEROGLYPH C024;Lo;0;L;;;;;N;;;;;
        "\u13076",  # ;EGYPTIAN HIEROGLYPH D001;Lo;0;L;;;;;N;;;;;
        "\u13077",  # ;EGYPTIAN HIEROGLYPH D002;Lo;0;L;;;;;N;;;;;
        "\u13078",  # ;EGYPTIAN HIEROGLYPH D003;Lo;0;L;;;;;N;;;;;
        "\u13079",  # ;EGYPTIAN HIEROGLYPH D004;Lo;0;L;;;;;N;;;;;
        "\u1307A",  # ;EGYPTIAN HIEROGLYPH D005;Lo;0;L;;;;;N;;;;;
        "\u1307B",  # ;EGYPTIAN HIEROGLYPH D006;Lo;0;L;;;;;N;;;;;
        "\u1307C",  # ;EGYPTIAN HIEROGLYPH D007;Lo;0;L;;;;;N;;;;;
        "\u1307D",  # ;EGYPTIAN HIEROGLYPH D008;Lo;0;L;;;;;N;;;;;
        "\u1307E",  # ;EGYPTIAN HIEROGLYPH D008A;Lo;0;L;;;;;N;;;;;
        "\u1307F",  # ;EGYPTIAN HIEROGLYPH D009;Lo;0;L;;;;;N;;;;;
        "\u13080",  # ;EGYPTIAN HIEROGLYPH D010;Lo;0;L;;;;;N;;;;;
        "\u13081",  # ;EGYPTIAN HIEROGLYPH D011;Lo;0;L;;;;;N;;;;;
        "\u13082",  # ;EGYPTIAN HIEROGLYPH D012;Lo;0;L;;;;;N;;;;;
        "\u13083",  # ;EGYPTIAN HIEROGLYPH D013;Lo;0;L;;;;;N;;;;;
        "\u13084",  # ;EGYPTIAN HIEROGLYPH D014;Lo;0;L;;;;;N;;;;;
        "\u13085",  # ;EGYPTIAN HIEROGLYPH D015;Lo;0;L;;;;;N;;;;;
        "\u13086",  # ;EGYPTIAN HIEROGLYPH D016;Lo;0;L;;;;;N;;;;;
        "\u13087",  # ;EGYPTIAN HIEROGLYPH D017;Lo;0;L;;;;;N;;;;;
        "\u13088",  # ;EGYPTIAN HIEROGLYPH D018;Lo;0;L;;;;;N;;;;;
        "\u13089",  # ;EGYPTIAN HIEROGLYPH D019;Lo;0;L;;;;;N;;;;;
        "\u1308A",  # ;EGYPTIAN HIEROGLYPH D020;Lo;0;L;;;;;N;;;;;
        "\u1308B",  # ;EGYPTIAN HIEROGLYPH D021;Lo;0;L;;;;;N;;;;;
        "\u1308C",  # ;EGYPTIAN HIEROGLYPH D022;Lo;0;L;;;;;N;;;;;
        "\u1308D",  # ;EGYPTIAN HIEROGLYPH D023;Lo;0;L;;;;;N;;;;;
        "\u1308E",  # ;EGYPTIAN HIEROGLYPH D024;Lo;0;L;;;;;N;;;;;
        "\u1308F",  # ;EGYPTIAN HIEROGLYPH D025;Lo;0;L;;;;;N;;;;;
        "\u13090",  # ;EGYPTIAN HIEROGLYPH D026;Lo;0;L;;;;;N;;;;;
        "\u13091",  # ;EGYPTIAN HIEROGLYPH D027;Lo;0;L;;;;;N;;;;;
        "\u13092",  # ;EGYPTIAN HIEROGLYPH D027A;Lo;0;L;;;;;N;;;;;
        "\u13093",  # ;EGYPTIAN HIEROGLYPH D028;Lo;0;L;;;;;N;;;;;
        "\u13094",  # ;EGYPTIAN HIEROGLYPH D029;Lo;0;L;;;;;N;;;;;
        "\u13095",  # ;EGYPTIAN HIEROGLYPH D030;Lo;0;L;;;;;N;;;;;
        "\u13096",  # ;EGYPTIAN HIEROGLYPH D031;Lo;0;L;;;;;N;;;;;
        "\u13097",  # ;EGYPTIAN HIEROGLYPH D031A;Lo;0;L;;;;;N;;;;;
        "\u13098",  # ;EGYPTIAN HIEROGLYPH D032;Lo;0;L;;;;;N;;;;;
        "\u13099",  # ;EGYPTIAN HIEROGLYPH D033;Lo;0;L;;;;;N;;;;;
        "\u1309A",  # ;EGYPTIAN HIEROGLYPH D034;Lo;0;L;;;;;N;;;;;
        "\u1309B",  # ;EGYPTIAN HIEROGLYPH D034A;Lo;0;L;;;;;N;;;;;
        "\u1309C",  # ;EGYPTIAN HIEROGLYPH D035;Lo;0;L;;;;;N;;;;;
        "\u1309D",  # ;EGYPTIAN HIEROGLYPH D036;Lo;0;L;;;;;N;;;;;
        "\u1309E",  # ;EGYPTIAN HIEROGLYPH D037;Lo;0;L;;;;;N;;;;;
        "\u1309F",  # ;EGYPTIAN HIEROGLYPH D038;Lo;0;L;;;;;N;;;;;
        "\u130A0",  # ;EGYPTIAN HIEROGLYPH D039;Lo;0;L;;;;;N;;;;;
        "\u130A1",  # ;EGYPTIAN HIEROGLYPH D040;Lo;0;L;;;;;N;;;;;
        "\u130A2",  # ;EGYPTIAN HIEROGLYPH D041;Lo;0;L;;;;;N;;;;;
        "\u130A3",  # ;EGYPTIAN HIEROGLYPH D042;Lo;0;L;;;;;N;;;;;
        "\u130A4",  # ;EGYPTIAN HIEROGLYPH D043;Lo;0;L;;;;;N;;;;;
        "\u130A5",  # ;EGYPTIAN HIEROGLYPH D044;Lo;0;L;;;;;N;;;;;
        "\u130A6",  # ;EGYPTIAN HIEROGLYPH D045;Lo;0;L;;;;;N;;;;;
        "\u130A7",  # ;EGYPTIAN HIEROGLYPH D046;Lo;0;L;;;;;N;;;;;
        "\u130A8",  # ;EGYPTIAN HIEROGLYPH D046A;Lo;0;L;;;;;N;;;;;
        "\u130A9",  # ;EGYPTIAN HIEROGLYPH D047;Lo;0;L;;;;;N;;;;;
        "\u130AA",  # ;EGYPTIAN HIEROGLYPH D048;Lo;0;L;;;;;N;;;;;
        "\u130AB",  # ;EGYPTIAN HIEROGLYPH D048A;Lo;0;L;;;;;N;;;;;
        "\u130AC",  # ;EGYPTIAN HIEROGLYPH D049;Lo;0;L;;;;;N;;;;;
        "\u130AD",  # ;EGYPTIAN HIEROGLYPH D050;Lo;0;L;;;;;N;;;;;
        "\u130AE",  # ;EGYPTIAN HIEROGLYPH D050A;Lo;0;L;;;;;N;;;;;
        "\u130AF",  # ;EGYPTIAN HIEROGLYPH D050B;Lo;0;L;;;;;N;;;;;
        "\u130B0",  # ;EGYPTIAN HIEROGLYPH D050C;Lo;0;L;;;;;N;;;;;
        "\u130B1",  # ;EGYPTIAN HIEROGLYPH D050D;Lo;0;L;;;;;N;;;;;
        "\u130B2",  # ;EGYPTIAN HIEROGLYPH D050E;Lo;0;L;;;;;N;;;;;
        "\u130B3",  # ;EGYPTIAN HIEROGLYPH D050F;Lo;0;L;;;;;N;;;;;
        "\u130B4",  # ;EGYPTIAN HIEROGLYPH D050G;Lo;0;L;;;;;N;;;;;
        "\u130B5",  # ;EGYPTIAN HIEROGLYPH D050H;Lo;0;L;;;;;N;;;;;
        "\u130B6",  # ;EGYPTIAN HIEROGLYPH D050I;Lo;0;L;;;;;N;;;;;
        "\u130B7",  # ;EGYPTIAN HIEROGLYPH D051;Lo;0;L;;;;;N;;;;;
        "\u130B8",  # ;EGYPTIAN HIEROGLYPH D052;Lo;0;L;;;;;N;;;;;
        "\u130B9",  # ;EGYPTIAN HIEROGLYPH D052A;Lo;0;L;;;;;N;;;;;
        "\u130BA",  # ;EGYPTIAN HIEROGLYPH D053;Lo;0;L;;;;;N;;;;;
        "\u130BB",  # ;EGYPTIAN HIEROGLYPH D054;Lo;0;L;;;;;N;;;;;
        "\u130BC",  # ;EGYPTIAN HIEROGLYPH D054A;Lo;0;L;;;;;N;;;;;
        "\u130BD",  # ;EGYPTIAN HIEROGLYPH D055;Lo;0;L;;;;;N;;;;;
        "\u130BE",  # ;EGYPTIAN HIEROGLYPH D056;Lo;0;L;;;;;N;;;;;
        "\u130BF",  # ;EGYPTIAN HIEROGLYPH D057;Lo;0;L;;;;;N;;;;;
        "\u130C0",  # ;EGYPTIAN HIEROGLYPH D058;Lo;0;L;;;;;N;;;;;
        "\u130C1",  # ;EGYPTIAN HIEROGLYPH D059;Lo;0;L;;;;;N;;;;;
        "\u130C2",  # ;EGYPTIAN HIEROGLYPH D060;Lo;0;L;;;;;N;;;;;
        "\u130C3",  # ;EGYPTIAN HIEROGLYPH D061;Lo;0;L;;;;;N;;;;;
        "\u130C4",  # ;EGYPTIAN HIEROGLYPH D062;Lo;0;L;;;;;N;;;;;
        "\u130C5",  # ;EGYPTIAN HIEROGLYPH D063;Lo;0;L;;;;;N;;;;;
        "\u130C6",  # ;EGYPTIAN HIEROGLYPH D064;Lo;0;L;;;;;N;;;;;
        "\u130C7",  # ;EGYPTIAN HIEROGLYPH D065;Lo;0;L;;;;;N;;;;;
        "\u130C8",  # ;EGYPTIAN HIEROGLYPH D066;Lo;0;L;;;;;N;;;;;
        "\u130C9",  # ;EGYPTIAN HIEROGLYPH D067;Lo;0;L;;;;;N;;;;;
        "\u130CA",  # ;EGYPTIAN HIEROGLYPH D067A;Lo;0;L;;;;;N;;;;;
        "\u130CB",  # ;EGYPTIAN HIEROGLYPH D067B;Lo;0;L;;;;;N;;;;;
        "\u130CC",  # ;EGYPTIAN HIEROGLYPH D067C;Lo;0;L;;;;;N;;;;;
        "\u130CD",  # ;EGYPTIAN HIEROGLYPH D067D;Lo;0;L;;;;;N;;;;;
        "\u130CE",  # ;EGYPTIAN HIEROGLYPH D067E;Lo;0;L;;;;;N;;;;;
        "\u130CF",  # ;EGYPTIAN HIEROGLYPH D067F;Lo;0;L;;;;;N;;;;;
        "\u130D0",  # ;EGYPTIAN HIEROGLYPH D067G;Lo;0;L;;;;;N;;;;;
        "\u130D1",  # ;EGYPTIAN HIEROGLYPH D067H;Lo;0;L;;;;;N;;;;;
        "\u130D2",  # ;EGYPTIAN HIEROGLYPH E001;Lo;0;L;;;;;N;;;;;
        "\u130D3",  # ;EGYPTIAN HIEROGLYPH E002;Lo;0;L;;;;;N;;;;;
        "\u130D4",  # ;EGYPTIAN HIEROGLYPH E003;Lo;0;L;;;;;N;;;;;
        "\u130D5",  # ;EGYPTIAN HIEROGLYPH E004;Lo;0;L;;;;;N;;;;;
        "\u130D6",  # ;EGYPTIAN HIEROGLYPH E005;Lo;0;L;;;;;N;;;;;
        "\u130D7",  # ;EGYPTIAN HIEROGLYPH E006;Lo;0;L;;;;;N;;;;;
        "\u130D8",  # ;EGYPTIAN HIEROGLYPH E007;Lo;0;L;;;;;N;;;;;
        "\u130D9",  # ;EGYPTIAN HIEROGLYPH E008;Lo;0;L;;;;;N;;;;;
        "\u130DA",  # ;EGYPTIAN HIEROGLYPH E008A;Lo;0;L;;;;;N;;;;;
        "\u130DB",  # ;EGYPTIAN HIEROGLYPH E009;Lo;0;L;;;;;N;;;;;
        "\u130DC",  # ;EGYPTIAN HIEROGLYPH E009A;Lo;0;L;;;;;N;;;;;
        "\u130DD",  # ;EGYPTIAN HIEROGLYPH E010;Lo;0;L;;;;;N;;;;;
        "\u130DE",  # ;EGYPTIAN HIEROGLYPH E011;Lo;0;L;;;;;N;;;;;
        "\u130DF",  # ;EGYPTIAN HIEROGLYPH E012;Lo;0;L;;;;;N;;;;;
        "\u130E0",  # ;EGYPTIAN HIEROGLYPH E013;Lo;0;L;;;;;N;;;;;
        "\u130E1",  # ;EGYPTIAN HIEROGLYPH E014;Lo;0;L;;;;;N;;;;;
        "\u130E2",  # ;EGYPTIAN HIEROGLYPH E015;Lo;0;L;;;;;N;;;;;
        "\u130E3",  # ;EGYPTIAN HIEROGLYPH E016;Lo;0;L;;;;;N;;;;;
        "\u130E4",  # ;EGYPTIAN HIEROGLYPH E016A;Lo;0;L;;;;;N;;;;;
        "\u130E5",  # ;EGYPTIAN HIEROGLYPH E017;Lo;0;L;;;;;N;;;;;
        "\u130E6",  # ;EGYPTIAN HIEROGLYPH E017A;Lo;0;L;;;;;N;;;;;
        "\u130E7",  # ;EGYPTIAN HIEROGLYPH E018;Lo;0;L;;;;;N;;;;;
        "\u130E8",  # ;EGYPTIAN HIEROGLYPH E019;Lo;0;L;;;;;N;;;;;
        "\u130E9",  # ;EGYPTIAN HIEROGLYPH E020;Lo;0;L;;;;;N;;;;;
        "\u130EA",  # ;EGYPTIAN HIEROGLYPH E020A;Lo;0;L;;;;;N;;;;;
        "\u130EB",  # ;EGYPTIAN HIEROGLYPH E021;Lo;0;L;;;;;N;;;;;
        "\u130EC",  # ;EGYPTIAN HIEROGLYPH E022;Lo;0;L;;;;;N;;;;;
        "\u130ED",  # ;EGYPTIAN HIEROGLYPH E023;Lo;0;L;;;;;N;;;;;
        "\u130EE",  # ;EGYPTIAN HIEROGLYPH E024;Lo;0;L;;;;;N;;;;;
        "\u130EF",  # ;EGYPTIAN HIEROGLYPH E025;Lo;0;L;;;;;N;;;;;
        "\u130F0",  # ;EGYPTIAN HIEROGLYPH E026;Lo;0;L;;;;;N;;;;;
        "\u130F1",  # ;EGYPTIAN HIEROGLYPH E027;Lo;0;L;;;;;N;;;;;
        "\u130F2",  # ;EGYPTIAN HIEROGLYPH E028;Lo;0;L;;;;;N;;;;;
        "\u130F3",  # ;EGYPTIAN HIEROGLYPH E028A;Lo;0;L;;;;;N;;;;;
        "\u130F4",  # ;EGYPTIAN HIEROGLYPH E029;Lo;0;L;;;;;N;;;;;
        "\u130F5",  # ;EGYPTIAN HIEROGLYPH E030;Lo;0;L;;;;;N;;;;;
        "\u130F6",  # ;EGYPTIAN HIEROGLYPH E031;Lo;0;L;;;;;N;;;;;
        "\u130F7",  # ;EGYPTIAN HIEROGLYPH E032;Lo;0;L;;;;;N;;;;;
        "\u130F8",  # ;EGYPTIAN HIEROGLYPH E033;Lo;0;L;;;;;N;;;;;
        "\u130F9",  # ;EGYPTIAN HIEROGLYPH E034;Lo;0;L;;;;;N;;;;;
        "\u130FA",  # ;EGYPTIAN HIEROGLYPH E034A;Lo;0;L;;;;;N;;;;;
        "\u130FB",  # ;EGYPTIAN HIEROGLYPH E036;Lo;0;L;;;;;N;;;;;
        "\u130FC",  # ;EGYPTIAN HIEROGLYPH E037;Lo;0;L;;;;;N;;;;;
        "\u130FD",  # ;EGYPTIAN HIEROGLYPH E038;Lo;0;L;;;;;N;;;;;
        "\u130FE",  # ;EGYPTIAN HIEROGLYPH F001;Lo;0;L;;;;;N;;;;;
        "\u130FF",  # ;EGYPTIAN HIEROGLYPH F001A;Lo;0;L;;;;;N;;;;;
        "\u13100",  # ;EGYPTIAN HIEROGLYPH F002;Lo;0;L;;;;;N;;;;;
        "\u13101",  # ;EGYPTIAN HIEROGLYPH F003;Lo;0;L;;;;;N;;;;;
        "\u13102",  # ;EGYPTIAN HIEROGLYPH F004;Lo;0;L;;;;;N;;;;;
        "\u13103",  # ;EGYPTIAN HIEROGLYPH F005;Lo;0;L;;;;;N;;;;;
        "\u13104",  # ;EGYPTIAN HIEROGLYPH F006;Lo;0;L;;;;;N;;;;;
        "\u13105",  # ;EGYPTIAN HIEROGLYPH F007;Lo;0;L;;;;;N;;;;;
        "\u13106",  # ;EGYPTIAN HIEROGLYPH F008;Lo;0;L;;;;;N;;;;;
        "\u13107",  # ;EGYPTIAN HIEROGLYPH F009;Lo;0;L;;;;;N;;;;;
        "\u13108",  # ;EGYPTIAN HIEROGLYPH F010;Lo;0;L;;;;;N;;;;;
        "\u13109",  # ;EGYPTIAN HIEROGLYPH F011;Lo;0;L;;;;;N;;;;;
        "\u1310A",  # ;EGYPTIAN HIEROGLYPH F012;Lo;0;L;;;;;N;;;;;
        "\u1310B",  # ;EGYPTIAN HIEROGLYPH F013;Lo;0;L;;;;;N;;;;;
        "\u1310C",  # ;EGYPTIAN HIEROGLYPH F013A;Lo;0;L;;;;;N;;;;;
        "\u1310D",  # ;EGYPTIAN HIEROGLYPH F014;Lo;0;L;;;;;N;;;;;
        "\u1310E",  # ;EGYPTIAN HIEROGLYPH F015;Lo;0;L;;;;;N;;;;;
        "\u1310F",  # ;EGYPTIAN HIEROGLYPH F016;Lo;0;L;;;;;N;;;;;
        "\u13110",  # ;EGYPTIAN HIEROGLYPH F017;Lo;0;L;;;;;N;;;;;
        "\u13111",  # ;EGYPTIAN HIEROGLYPH F018;Lo;0;L;;;;;N;;;;;
        "\u13112",  # ;EGYPTIAN HIEROGLYPH F019;Lo;0;L;;;;;N;;;;;
        "\u13113",  # ;EGYPTIAN HIEROGLYPH F020;Lo;0;L;;;;;N;;;;;
        "\u13114",  # ;EGYPTIAN HIEROGLYPH F021;Lo;0;L;;;;;N;;;;;
        "\u13115",  # ;EGYPTIAN HIEROGLYPH F021A;Lo;0;L;;;;;N;;;;;
        "\u13116",  # ;EGYPTIAN HIEROGLYPH F022;Lo;0;L;;;;;N;;;;;
        "\u13117",  # ;EGYPTIAN HIEROGLYPH F023;Lo;0;L;;;;;N;;;;;
        "\u13118",  # ;EGYPTIAN HIEROGLYPH F024;Lo;0;L;;;;;N;;;;;
        "\u13119",  # ;EGYPTIAN HIEROGLYPH F025;Lo;0;L;;;;;N;;;;;
        "\u1311A",  # ;EGYPTIAN HIEROGLYPH F026;Lo;0;L;;;;;N;;;;;
        "\u1311B",  # ;EGYPTIAN HIEROGLYPH F027;Lo;0;L;;;;;N;;;;;
        "\u1311C",  # ;EGYPTIAN HIEROGLYPH F028;Lo;0;L;;;;;N;;;;;
        "\u1311D",  # ;EGYPTIAN HIEROGLYPH F029;Lo;0;L;;;;;N;;;;;
        "\u1311E",  # ;EGYPTIAN HIEROGLYPH F030;Lo;0;L;;;;;N;;;;;
        "\u1311F",  # ;EGYPTIAN HIEROGLYPH F031;Lo;0;L;;;;;N;;;;;
        "\u13120",  # ;EGYPTIAN HIEROGLYPH F031A;Lo;0;L;;;;;N;;;;;
        "\u13121",  # ;EGYPTIAN HIEROGLYPH F032;Lo;0;L;;;;;N;;;;;
        "\u13122",  # ;EGYPTIAN HIEROGLYPH F033;Lo;0;L;;;;;N;;;;;
        "\u13123",  # ;EGYPTIAN HIEROGLYPH F034;Lo;0;L;;;;;N;;;;;
        "\u13124",  # ;EGYPTIAN HIEROGLYPH F035;Lo;0;L;;;;;N;;;;;
        "\u13125",  # ;EGYPTIAN HIEROGLYPH F036;Lo;0;L;;;;;N;;;;;
        "\u13126",  # ;EGYPTIAN HIEROGLYPH F037;Lo;0;L;;;;;N;;;;;
        "\u13127",  # ;EGYPTIAN HIEROGLYPH F037A;Lo;0;L;;;;;N;;;;;
        "\u13128",  # ;EGYPTIAN HIEROGLYPH F038;Lo;0;L;;;;;N;;;;;
        "\u13129",  # ;EGYPTIAN HIEROGLYPH F038A;Lo;0;L;;;;;N;;;;;
        "\u1312A",  # ;EGYPTIAN HIEROGLYPH F039;Lo;0;L;;;;;N;;;;;
        "\u1312B",  # ;EGYPTIAN HIEROGLYPH F040;Lo;0;L;;;;;N;;;;;
        "\u1312C",  # ;EGYPTIAN HIEROGLYPH F041;Lo;0;L;;;;;N;;;;;
        "\u1312D",  # ;EGYPTIAN HIEROGLYPH F042;Lo;0;L;;;;;N;;;;;
        "\u1312E",  # ;EGYPTIAN HIEROGLYPH F043;Lo;0;L;;;;;N;;;;;
        "\u1312F",  # ;EGYPTIAN HIEROGLYPH F044;Lo;0;L;;;;;N;;;;;
        "\u13130",  # ;EGYPTIAN HIEROGLYPH F045;Lo;0;L;;;;;N;;;;;
        "\u13131",  # ;EGYPTIAN HIEROGLYPH F045A;Lo;0;L;;;;;N;;;;;
        "\u13132",  # ;EGYPTIAN HIEROGLYPH F046;Lo;0;L;;;;;N;;;;;
        "\u13133",  # ;EGYPTIAN HIEROGLYPH F046A;Lo;0;L;;;;;N;;;;;
        "\u13134",  # ;EGYPTIAN HIEROGLYPH F047;Lo;0;L;;;;;N;;;;;
        "\u13135",  # ;EGYPTIAN HIEROGLYPH F047A;Lo;0;L;;;;;N;;;;;
        "\u13136",  # ;EGYPTIAN HIEROGLYPH F048;Lo;0;L;;;;;N;;;;;
        "\u13137",  # ;EGYPTIAN HIEROGLYPH F049;Lo;0;L;;;;;N;;;;;
        "\u13138",  # ;EGYPTIAN HIEROGLYPH F050;Lo;0;L;;;;;N;;;;;
        "\u13139",  # ;EGYPTIAN HIEROGLYPH F051;Lo;0;L;;;;;N;;;;;
        "\u1313A",  # ;EGYPTIAN HIEROGLYPH F051A;Lo;0;L;;;;;N;;;;;
        "\u1313B",  # ;EGYPTIAN HIEROGLYPH F051B;Lo;0;L;;;;;N;;;;;
        "\u1313C",  # ;EGYPTIAN HIEROGLYPH F051C;Lo;0;L;;;;;N;;;;;
        "\u1313D",  # ;EGYPTIAN HIEROGLYPH F052;Lo;0;L;;;;;N;;;;;
        "\u1313E",  # ;EGYPTIAN HIEROGLYPH F053;Lo;0;L;;;;;N;;;;;
        "\u1313F",  # ;EGYPTIAN HIEROGLYPH G001;Lo;0;L;;;;;N;;;;;
        "\u13140",  # ;EGYPTIAN HIEROGLYPH G002;Lo;0;L;;;;;N;;;;;
        "\u13141",  # ;EGYPTIAN HIEROGLYPH G003;Lo;0;L;;;;;N;;;;;
        "\u13142",  # ;EGYPTIAN HIEROGLYPH G004;Lo;0;L;;;;;N;;;;;
        "\u13143",  # ;EGYPTIAN HIEROGLYPH G005;Lo;0;L;;;;;N;;;;;
        "\u13144",  # ;EGYPTIAN HIEROGLYPH G006;Lo;0;L;;;;;N;;;;;
        "\u13145",  # ;EGYPTIAN HIEROGLYPH G006A;Lo;0;L;;;;;N;;;;;
        "\u13146",  # ;EGYPTIAN HIEROGLYPH G007;Lo;0;L;;;;;N;;;;;
        "\u13147",  # ;EGYPTIAN HIEROGLYPH G007A;Lo;0;L;;;;;N;;;;;
        "\u13148",  # ;EGYPTIAN HIEROGLYPH G007B;Lo;0;L;;;;;N;;;;;
        "\u13149",  # ;EGYPTIAN HIEROGLYPH G008;Lo;0;L;;;;;N;;;;;
        "\u1314A",  # ;EGYPTIAN HIEROGLYPH G009;Lo;0;L;;;;;N;;;;;
        "\u1314B",  # ;EGYPTIAN HIEROGLYPH G010;Lo;0;L;;;;;N;;;;;
        "\u1314C",  # ;EGYPTIAN HIEROGLYPH G011;Lo;0;L;;;;;N;;;;;
        "\u1314D",  # ;EGYPTIAN HIEROGLYPH G011A;Lo;0;L;;;;;N;;;;;
        "\u1314E",  # ;EGYPTIAN HIEROGLYPH G012;Lo;0;L;;;;;N;;;;;
        "\u1314F",  # ;EGYPTIAN HIEROGLYPH G013;Lo;0;L;;;;;N;;;;;
        "\u13150",  # ;EGYPTIAN HIEROGLYPH G014;Lo;0;L;;;;;N;;;;;
        "\u13151",  # ;EGYPTIAN HIEROGLYPH G015;Lo;0;L;;;;;N;;;;;
        "\u13152",  # ;EGYPTIAN HIEROGLYPH G016;Lo;0;L;;;;;N;;;;;
        "\u13153",  # ;EGYPTIAN HIEROGLYPH G017;Lo;0;L;;;;;N;;;;;
        "\u13154",  # ;EGYPTIAN HIEROGLYPH G018;Lo;0;L;;;;;N;;;;;
        "\u13155",  # ;EGYPTIAN HIEROGLYPH G019;Lo;0;L;;;;;N;;;;;
        "\u13156",  # ;EGYPTIAN HIEROGLYPH G020;Lo;0;L;;;;;N;;;;;
        "\u13157",  # ;EGYPTIAN HIEROGLYPH G020A;Lo;0;L;;;;;N;;;;;
        "\u13158",  # ;EGYPTIAN HIEROGLYPH G021;Lo;0;L;;;;;N;;;;;
        "\u13159",  # ;EGYPTIAN HIEROGLYPH G022;Lo;0;L;;;;;N;;;;;
        "\u1315A",  # ;EGYPTIAN HIEROGLYPH G023;Lo;0;L;;;;;N;;;;;
        "\u1315B",  # ;EGYPTIAN HIEROGLYPH G024;Lo;0;L;;;;;N;;;;;
        "\u1315C",  # ;EGYPTIAN HIEROGLYPH G025;Lo;0;L;;;;;N;;;;;
        "\u1315D",  # ;EGYPTIAN HIEROGLYPH G026;Lo;0;L;;;;;N;;;;;
        "\u1315E",  # ;EGYPTIAN HIEROGLYPH G026A;Lo;0;L;;;;;N;;;;;
        "\u1315F",  # ;EGYPTIAN HIEROGLYPH G027;Lo;0;L;;;;;N;;;;;
        "\u13160",  # ;EGYPTIAN HIEROGLYPH G028;Lo;0;L;;;;;N;;;;;
        "\u13161",  # ;EGYPTIAN HIEROGLYPH G029;Lo;0;L;;;;;N;;;;;
        "\u13162",  # ;EGYPTIAN HIEROGLYPH G030;Lo;0;L;;;;;N;;;;;
        "\u13163",  # ;EGYPTIAN HIEROGLYPH G031;Lo;0;L;;;;;N;;;;;
        "\u13164",  # ;EGYPTIAN HIEROGLYPH G032;Lo;0;L;;;;;N;;;;;
        "\u13165",  # ;EGYPTIAN HIEROGLYPH G033;Lo;0;L;;;;;N;;;;;
        "\u13166",  # ;EGYPTIAN HIEROGLYPH G034;Lo;0;L;;;;;N;;;;;
        "\u13167",  # ;EGYPTIAN HIEROGLYPH G035;Lo;0;L;;;;;N;;;;;
        "\u13168",  # ;EGYPTIAN HIEROGLYPH G036;Lo;0;L;;;;;N;;;;;
        "\u13169",  # ;EGYPTIAN HIEROGLYPH G036A;Lo;0;L;;;;;N;;;;;
        "\u1316A",  # ;EGYPTIAN HIEROGLYPH G037;Lo;0;L;;;;;N;;;;;
        "\u1316B",  # ;EGYPTIAN HIEROGLYPH G037A;Lo;0;L;;;;;N;;;;;
        "\u1316C",  # ;EGYPTIAN HIEROGLYPH G038;Lo;0;L;;;;;N;;;;;
        "\u1316D",  # ;EGYPTIAN HIEROGLYPH G039;Lo;0;L;;;;;N;;;;;
        "\u1316E",  # ;EGYPTIAN HIEROGLYPH G040;Lo;0;L;;;;;N;;;;;
        "\u1316F",  # ;EGYPTIAN HIEROGLYPH G041;Lo;0;L;;;;;N;;;;;
        "\u13170",  # ;EGYPTIAN HIEROGLYPH G042;Lo;0;L;;;;;N;;;;;
        "\u13171",  # ;EGYPTIAN HIEROGLYPH G043;Lo;0;L;;;;;N;;;;;
        "\u13172",  # ;EGYPTIAN HIEROGLYPH G043A;Lo;0;L;;;;;N;;;;;
        "\u13173",  # ;EGYPTIAN HIEROGLYPH G044;Lo;0;L;;;;;N;;;;;
        "\u13174",  # ;EGYPTIAN HIEROGLYPH G045;Lo;0;L;;;;;N;;;;;
        "\u13175",  # ;EGYPTIAN HIEROGLYPH G045A;Lo;0;L;;;;;N;;;;;
        "\u13176",  # ;EGYPTIAN HIEROGLYPH G046;Lo;0;L;;;;;N;;;;;
        "\u13177",  # ;EGYPTIAN HIEROGLYPH G047;Lo;0;L;;;;;N;;;;;
        "\u13178",  # ;EGYPTIAN HIEROGLYPH G048;Lo;0;L;;;;;N;;;;;
        "\u13179",  # ;EGYPTIAN HIEROGLYPH G049;Lo;0;L;;;;;N;;;;;
        "\u1317A",  # ;EGYPTIAN HIEROGLYPH G050;Lo;0;L;;;;;N;;;;;
        "\u1317B",  # ;EGYPTIAN HIEROGLYPH G051;Lo;0;L;;;;;N;;;;;
        "\u1317C",  # ;EGYPTIAN HIEROGLYPH G052;Lo;0;L;;;;;N;;;;;
        "\u1317D",  # ;EGYPTIAN HIEROGLYPH G053;Lo;0;L;;;;;N;;;;;
        "\u1317E",  # ;EGYPTIAN HIEROGLYPH G054;Lo;0;L;;;;;N;;;;;
        "\u1317F",  # ;EGYPTIAN HIEROGLYPH H001;Lo;0;L;;;;;N;;;;;
        "\u13180",  # ;EGYPTIAN HIEROGLYPH H002;Lo;0;L;;;;;N;;;;;
        "\u13181",  # ;EGYPTIAN HIEROGLYPH H003;Lo;0;L;;;;;N;;;;;
        "\u13182",  # ;EGYPTIAN HIEROGLYPH H004;Lo;0;L;;;;;N;;;;;
        "\u13183",  # ;EGYPTIAN HIEROGLYPH H005;Lo;0;L;;;;;N;;;;;
        "\u13184",  # ;EGYPTIAN HIEROGLYPH H006;Lo;0;L;;;;;N;;;;;
        "\u13185",  # ;EGYPTIAN HIEROGLYPH H006A;Lo;0;L;;;;;N;;;;;
        "\u13186",  # ;EGYPTIAN HIEROGLYPH H007;Lo;0;L;;;;;N;;;;;
        "\u13187",  # ;EGYPTIAN HIEROGLYPH H008;Lo;0;L;;;;;N;;;;;
        "\u13188",  # ;EGYPTIAN HIEROGLYPH I001;Lo;0;L;;;;;N;;;;;
        "\u13189",  # ;EGYPTIAN HIEROGLYPH I002;Lo;0;L;;;;;N;;;;;
        "\u1318A",  # ;EGYPTIAN HIEROGLYPH I003;Lo;0;L;;;;;N;;;;;
        "\u1318B",  # ;EGYPTIAN HIEROGLYPH I004;Lo;0;L;;;;;N;;;;;
        "\u1318C",  # ;EGYPTIAN HIEROGLYPH I005;Lo;0;L;;;;;N;;;;;
        "\u1318D",  # ;EGYPTIAN HIEROGLYPH I005A;Lo;0;L;;;;;N;;;;;
        "\u1318E",  # ;EGYPTIAN HIEROGLYPH I006;Lo;0;L;;;;;N;;;;;
        "\u1318F",  # ;EGYPTIAN HIEROGLYPH I007;Lo;0;L;;;;;N;;;;;
        "\u13190",  # ;EGYPTIAN HIEROGLYPH I008;Lo;0;L;;;;;N;;;;;
        "\u13191",  # ;EGYPTIAN HIEROGLYPH I009;Lo;0;L;;;;;N;;;;;
        "\u13192",  # ;EGYPTIAN HIEROGLYPH I009A;Lo;0;L;;;;;N;;;;;
        "\u13193",  # ;EGYPTIAN HIEROGLYPH I010;Lo;0;L;;;;;N;;;;;
        "\u13194",  # ;EGYPTIAN HIEROGLYPH I010A;Lo;0;L;;;;;N;;;;;
        "\u13195",  # ;EGYPTIAN HIEROGLYPH I011;Lo;0;L;;;;;N;;;;;
        "\u13196",  # ;EGYPTIAN HIEROGLYPH I011A;Lo;0;L;;;;;N;;;;;
        "\u13197",  # ;EGYPTIAN HIEROGLYPH I012;Lo;0;L;;;;;N;;;;;
        "\u13198",  # ;EGYPTIAN HIEROGLYPH I013;Lo;0;L;;;;;N;;;;;
        "\u13199",  # ;EGYPTIAN HIEROGLYPH I014;Lo;0;L;;;;;N;;;;;
        "\u1319A",  # ;EGYPTIAN HIEROGLYPH I015;Lo;0;L;;;;;N;;;;;
        "\u1319B",  # ;EGYPTIAN HIEROGLYPH K001;Lo;0;L;;;;;N;;;;;
        "\u1319C",  # ;EGYPTIAN HIEROGLYPH K002;Lo;0;L;;;;;N;;;;;
        "\u1319D",  # ;EGYPTIAN HIEROGLYPH K003;Lo;0;L;;;;;N;;;;;
        "\u1319E",  # ;EGYPTIAN HIEROGLYPH K004;Lo;0;L;;;;;N;;;;;
        "\u1319F",  # ;EGYPTIAN HIEROGLYPH K005;Lo;0;L;;;;;N;;;;;
        "\u131A0",  # ;EGYPTIAN HIEROGLYPH K006;Lo;0;L;;;;;N;;;;;
        "\u131A1",  # ;EGYPTIAN HIEROGLYPH K007;Lo;0;L;;;;;N;;;;;
        "\u131A2",  # ;EGYPTIAN HIEROGLYPH K008;Lo;0;L;;;;;N;;;;;
        "\u131A3",  # ;EGYPTIAN HIEROGLYPH L001;Lo;0;L;;;;;N;;;;;
        "\u131A4",  # ;EGYPTIAN HIEROGLYPH L002;Lo;0;L;;;;;N;;;;;
        "\u131A5",  # ;EGYPTIAN HIEROGLYPH L002A;Lo;0;L;;;;;N;;;;;
        "\u131A6",  # ;EGYPTIAN HIEROGLYPH L003;Lo;0;L;;;;;N;;;;;
        "\u131A7",  # ;EGYPTIAN HIEROGLYPH L004;Lo;0;L;;;;;N;;;;;
        "\u131A8",  # ;EGYPTIAN HIEROGLYPH L005;Lo;0;L;;;;;N;;;;;
        "\u131A9",  # ;EGYPTIAN HIEROGLYPH L006;Lo;0;L;;;;;N;;;;;
        "\u131AA",  # ;EGYPTIAN HIEROGLYPH L006A;Lo;0;L;;;;;N;;;;;
        "\u131AB",  # ;EGYPTIAN HIEROGLYPH L007;Lo;0;L;;;;;N;;;;;
        "\u131AC",  # ;EGYPTIAN HIEROGLYPH L008;Lo;0;L;;;;;N;;;;;
        "\u131AD",  # ;EGYPTIAN HIEROGLYPH M001;Lo;0;L;;;;;N;;;;;
        "\u131AE",  # ;EGYPTIAN HIEROGLYPH M001A;Lo;0;L;;;;;N;;;;;
        "\u131AF",  # ;EGYPTIAN HIEROGLYPH M001B;Lo;0;L;;;;;N;;;;;
        "\u131B0",  # ;EGYPTIAN HIEROGLYPH M002;Lo;0;L;;;;;N;;;;;
        "\u131B1",  # ;EGYPTIAN HIEROGLYPH M003;Lo;0;L;;;;;N;;;;;
        "\u131B2",  # ;EGYPTIAN HIEROGLYPH M003A;Lo;0;L;;;;;N;;;;;
        "\u131B3",  # ;EGYPTIAN HIEROGLYPH M004;Lo;0;L;;;;;N;;;;;
        "\u131B4",  # ;EGYPTIAN HIEROGLYPH M005;Lo;0;L;;;;;N;;;;;
        "\u131B5",  # ;EGYPTIAN HIEROGLYPH M006;Lo;0;L;;;;;N;;;;;
        "\u131B6",  # ;EGYPTIAN HIEROGLYPH M007;Lo;0;L;;;;;N;;;;;
        "\u131B7",  # ;EGYPTIAN HIEROGLYPH M008;Lo;0;L;;;;;N;;;;;
        "\u131B8",  # ;EGYPTIAN HIEROGLYPH M009;Lo;0;L;;;;;N;;;;;
        "\u131B9",  # ;EGYPTIAN HIEROGLYPH M010;Lo;0;L;;;;;N;;;;;
        "\u131BA",  # ;EGYPTIAN HIEROGLYPH M010A;Lo;0;L;;;;;N;;;;;
        "\u131BB",  # ;EGYPTIAN HIEROGLYPH M011;Lo;0;L;;;;;N;;;;;
        "\u131BC",  # ;EGYPTIAN HIEROGLYPH M012;Lo;0;L;;;;;N;;;;;
        "\u131BD",  # ;EGYPTIAN HIEROGLYPH M012A;Lo;0;L;;;;;N;;;;;
        "\u131BE",  # ;EGYPTIAN HIEROGLYPH M012B;Lo;0;L;;;;;N;;;;;
        "\u131BF",  # ;EGYPTIAN HIEROGLYPH M012C;Lo;0;L;;;;;N;;;;;
        "\u131C0",  # ;EGYPTIAN HIEROGLYPH M012D;Lo;0;L;;;;;N;;;;;
        "\u131C1",  # ;EGYPTIAN HIEROGLYPH M012E;Lo;0;L;;;;;N;;;;;
        "\u131C2",  # ;EGYPTIAN HIEROGLYPH M012F;Lo;0;L;;;;;N;;;;;
        "\u131C3",  # ;EGYPTIAN HIEROGLYPH M012G;Lo;0;L;;;;;N;;;;;
        "\u131C4",  # ;EGYPTIAN HIEROGLYPH M012H;Lo;0;L;;;;;N;;;;;
        "\u131C5",  # ;EGYPTIAN HIEROGLYPH M013;Lo;0;L;;;;;N;;;;;
        "\u131C6",  # ;EGYPTIAN HIEROGLYPH M014;Lo;0;L;;;;;N;;;;;
        "\u131C7",  # ;EGYPTIAN HIEROGLYPH M015;Lo;0;L;;;;;N;;;;;
        "\u131C8",  # ;EGYPTIAN HIEROGLYPH M015A;Lo;0;L;;;;;N;;;;;
        "\u131C9",  # ;EGYPTIAN HIEROGLYPH M016;Lo;0;L;;;;;N;;;;;
        "\u131CA",  # ;EGYPTIAN HIEROGLYPH M016A;Lo;0;L;;;;;N;;;;;
        "\u131CB",  # ;EGYPTIAN HIEROGLYPH M017;Lo;0;L;;;;;N;;;;;
        "\u131CC",  # ;EGYPTIAN HIEROGLYPH M017A;Lo;0;L;;;;;N;;;;;
        "\u131CD",  # ;EGYPTIAN HIEROGLYPH M018;Lo;0;L;;;;;N;;;;;
        "\u131CE",  # ;EGYPTIAN HIEROGLYPH M019;Lo;0;L;;;;;N;;;;;
        "\u131CF",  # ;EGYPTIAN HIEROGLYPH M020;Lo;0;L;;;;;N;;;;;
        "\u131D0",  # ;EGYPTIAN HIEROGLYPH M021;Lo;0;L;;;;;N;;;;;
        "\u131D1",  # ;EGYPTIAN HIEROGLYPH M022;Lo;0;L;;;;;N;;;;;
        "\u131D2",  # ;EGYPTIAN HIEROGLYPH M022A;Lo;0;L;;;;;N;;;;;
        "\u131D3",  # ;EGYPTIAN HIEROGLYPH M023;Lo;0;L;;;;;N;;;;;
        "\u131D4",  # ;EGYPTIAN HIEROGLYPH M024;Lo;0;L;;;;;N;;;;;
        "\u131D5",  # ;EGYPTIAN HIEROGLYPH M024A;Lo;0;L;;;;;N;;;;;
        "\u131D6",  # ;EGYPTIAN HIEROGLYPH M025;Lo;0;L;;;;;N;;;;;
        "\u131D7",  # ;EGYPTIAN HIEROGLYPH M026;Lo;0;L;;;;;N;;;;;
        "\u131D8",  # ;EGYPTIAN HIEROGLYPH M027;Lo;0;L;;;;;N;;;;;
        "\u131D9",  # ;EGYPTIAN HIEROGLYPH M028;Lo;0;L;;;;;N;;;;;
        "\u131DA",  # ;EGYPTIAN HIEROGLYPH M028A;Lo;0;L;;;;;N;;;;;
        "\u131DB",  # ;EGYPTIAN HIEROGLYPH M029;Lo;0;L;;;;;N;;;;;
        "\u131DC",  # ;EGYPTIAN HIEROGLYPH M030;Lo;0;L;;;;;N;;;;;
        "\u131DD",  # ;EGYPTIAN HIEROGLYPH M031;Lo;0;L;;;;;N;;;;;
        "\u131DE",  # ;EGYPTIAN HIEROGLYPH M031A;Lo;0;L;;;;;N;;;;;
        "\u131DF",  # ;EGYPTIAN HIEROGLYPH M032;Lo;0;L;;;;;N;;;;;
        "\u131E0",  # ;EGYPTIAN HIEROGLYPH M033;Lo;0;L;;;;;N;;;;;
        "\u131E1",  # ;EGYPTIAN HIEROGLYPH M033A;Lo;0;L;;;;;N;;;;;
        "\u131E2",  # ;EGYPTIAN HIEROGLYPH M033B;Lo;0;L;;;;;N;;;;;
        "\u131E3",  # ;EGYPTIAN HIEROGLYPH M034;Lo;0;L;;;;;N;;;;;
        "\u131E4",  # ;EGYPTIAN HIEROGLYPH M035;Lo;0;L;;;;;N;;;;;
        "\u131E5",  # ;EGYPTIAN HIEROGLYPH M036;Lo;0;L;;;;;N;;;;;
        "\u131E6",  # ;EGYPTIAN HIEROGLYPH M037;Lo;0;L;;;;;N;;;;;
        "\u131E7",  # ;EGYPTIAN HIEROGLYPH M038;Lo;0;L;;;;;N;;;;;
        "\u131E8",  # ;EGYPTIAN HIEROGLYPH M039;Lo;0;L;;;;;N;;;;;
        "\u131E9",  # ;EGYPTIAN HIEROGLYPH M040;Lo;0;L;;;;;N;;;;;
        "\u131EA",  # ;EGYPTIAN HIEROGLYPH M040A;Lo;0;L;;;;;N;;;;;
        "\u131EB",  # ;EGYPTIAN HIEROGLYPH M041;Lo;0;L;;;;;N;;;;;
        "\u131EC",  # ;EGYPTIAN HIEROGLYPH M042;Lo;0;L;;;;;N;;;;;
        "\u131ED",  # ;EGYPTIAN HIEROGLYPH M043;Lo;0;L;;;;;N;;;;;
        "\u131EE",  # ;EGYPTIAN HIEROGLYPH M044;Lo;0;L;;;;;N;;;;;
        "\u131EF",  # ;EGYPTIAN HIEROGLYPH N001;Lo;0;L;;;;;N;;;;;
        "\u131F0",  # ;EGYPTIAN HIEROGLYPH N002;Lo;0;L;;;;;N;;;;;
        "\u131F1",  # ;EGYPTIAN HIEROGLYPH N003;Lo;0;L;;;;;N;;;;;
        "\u131F2",  # ;EGYPTIAN HIEROGLYPH N004;Lo;0;L;;;;;N;;;;;
        "\u131F3",  # ;EGYPTIAN HIEROGLYPH N005;Lo;0;L;;;;;N;;;;;
        "\u131F4",  # ;EGYPTIAN HIEROGLYPH N006;Lo;0;L;;;;;N;;;;;
        "\u131F5",  # ;EGYPTIAN HIEROGLYPH N007;Lo;0;L;;;;;N;;;;;
        "\u131F6",  # ;EGYPTIAN HIEROGLYPH N008;Lo;0;L;;;;;N;;;;;
        "\u131F7",  # ;EGYPTIAN HIEROGLYPH N009;Lo;0;L;;;;;N;;;;;
        "\u131F8",  # ;EGYPTIAN HIEROGLYPH N010;Lo;0;L;;;;;N;;;;;
        "\u131F9",  # ;EGYPTIAN HIEROGLYPH N011;Lo;0;L;;;;;N;;;;;
        "\u131FA",  # ;EGYPTIAN HIEROGLYPH N012;Lo;0;L;;;;;N;;;;;
        "\u131FB",  # ;EGYPTIAN HIEROGLYPH N013;Lo;0;L;;;;;N;;;;;
        "\u131FC",  # ;EGYPTIAN HIEROGLYPH N014;Lo;0;L;;;;;N;;;;;
        "\u131FD",  # ;EGYPTIAN HIEROGLYPH N015;Lo;0;L;;;;;N;;;;;
        "\u131FE",  # ;EGYPTIAN HIEROGLYPH N016;Lo;0;L;;;;;N;;;;;
        "\u131FF",  # ;EGYPTIAN HIEROGLYPH N017;Lo;0;L;;;;;N;;;;;
        "\u13200",  # ;EGYPTIAN HIEROGLYPH N018;Lo;0;L;;;;;N;;;;;
        "\u13201",  # ;EGYPTIAN HIEROGLYPH N018A;Lo;0;L;;;;;N;;;;;
        "\u13202",  # ;EGYPTIAN HIEROGLYPH N018B;Lo;0;L;;;;;N;;;;;
        "\u13203",  # ;EGYPTIAN HIEROGLYPH N019;Lo;0;L;;;;;N;;;;;
        "\u13204",  # ;EGYPTIAN HIEROGLYPH N020;Lo;0;L;;;;;N;;;;;
        "\u13205",  # ;EGYPTIAN HIEROGLYPH N021;Lo;0;L;;;;;N;;;;;
        "\u13206",  # ;EGYPTIAN HIEROGLYPH N022;Lo;0;L;;;;;N;;;;;
        "\u13207",  # ;EGYPTIAN HIEROGLYPH N023;Lo;0;L;;;;;N;;;;;
        "\u13208",  # ;EGYPTIAN HIEROGLYPH N024;Lo;0;L;;;;;N;;;;;
        "\u13209",  # ;EGYPTIAN HIEROGLYPH N025;Lo;0;L;;;;;N;;;;;
        "\u1320A",  # ;EGYPTIAN HIEROGLYPH N025A;Lo;0;L;;;;;N;;;;;
        "\u1320B",  # ;EGYPTIAN HIEROGLYPH N026;Lo;0;L;;;;;N;;;;;
        "\u1320C",  # ;EGYPTIAN HIEROGLYPH N027;Lo;0;L;;;;;N;;;;;
        "\u1320D",  # ;EGYPTIAN HIEROGLYPH N028;Lo;0;L;;;;;N;;;;;
        "\u1320E",  # ;EGYPTIAN HIEROGLYPH N029;Lo;0;L;;;;;N;;;;;
        "\u1320F",  # ;EGYPTIAN HIEROGLYPH N030;Lo;0;L;;;;;N;;;;;
        "\u13210",  # ;EGYPTIAN HIEROGLYPH N031;Lo;0;L;;;;;N;;;;;
        "\u13211",  # ;EGYPTIAN HIEROGLYPH N032;Lo;0;L;;;;;N;;;;;
        "\u13212",  # ;EGYPTIAN HIEROGLYPH N033;Lo;0;L;;;;;N;;;;;
        "\u13213",  # ;EGYPTIAN HIEROGLYPH N033A;Lo;0;L;;;;;N;;;;;
        "\u13214",  # ;EGYPTIAN HIEROGLYPH N034;Lo;0;L;;;;;N;;;;;
        "\u13215",  # ;EGYPTIAN HIEROGLYPH N034A;Lo;0;L;;;;;N;;;;;
        "\u13216",  # ;EGYPTIAN HIEROGLYPH N035;Lo;0;L;;;;;N;;;;;
        "\u13217",  # ;EGYPTIAN HIEROGLYPH N035A;Lo;0;L;;;;;N;;;;;
        "\u13218",  # ;EGYPTIAN HIEROGLYPH N036;Lo;0;L;;;;;N;;;;;
        "\u13219",  # ;EGYPTIAN HIEROGLYPH N037;Lo;0;L;;;;;N;;;;;
        "\u1321A",  # ;EGYPTIAN HIEROGLYPH N037A;Lo;0;L;;;;;N;;;;;
        "\u1321B",  # ;EGYPTIAN HIEROGLYPH N038;Lo;0;L;;;;;N;;;;;
        "\u1321C",  # ;EGYPTIAN HIEROGLYPH N039;Lo;0;L;;;;;N;;;;;
        "\u1321D",  # ;EGYPTIAN HIEROGLYPH N040;Lo;0;L;;;;;N;;;;;
        "\u1321E",  # ;EGYPTIAN HIEROGLYPH N041;Lo;0;L;;;;;N;;;;;
        "\u1321F",  # ;EGYPTIAN HIEROGLYPH N042;Lo;0;L;;;;;N;;;;;
        "\u13220",  # ;EGYPTIAN HIEROGLYPH NL001;Lo;0;L;;;;;N;;;;;
        "\u13221",  # ;EGYPTIAN HIEROGLYPH NL002;Lo;0;L;;;;;N;;;;;
        "\u13222",  # ;EGYPTIAN HIEROGLYPH NL003;Lo;0;L;;;;;N;;;;;
        "\u13223",  # ;EGYPTIAN HIEROGLYPH NL004;Lo;0;L;;;;;N;;;;;
        "\u13224",  # ;EGYPTIAN HIEROGLYPH NL005;Lo;0;L;;;;;N;;;;;
        "\u13225",  # ;EGYPTIAN HIEROGLYPH NL005A;Lo;0;L;;;;;N;;;;;
        "\u13226",  # ;EGYPTIAN HIEROGLYPH NL006;Lo;0;L;;;;;N;;;;;
        "\u13227",  # ;EGYPTIAN HIEROGLYPH NL007;Lo;0;L;;;;;N;;;;;
        "\u13228",  # ;EGYPTIAN HIEROGLYPH NL008;Lo;0;L;;;;;N;;;;;
        "\u13229",  # ;EGYPTIAN HIEROGLYPH NL009;Lo;0;L;;;;;N;;;;;
        "\u1322A",  # ;EGYPTIAN HIEROGLYPH NL010;Lo;0;L;;;;;N;;;;;
        "\u1322B",  # ;EGYPTIAN HIEROGLYPH NL011;Lo;0;L;;;;;N;;;;;
        "\u1322C",  # ;EGYPTIAN HIEROGLYPH NL012;Lo;0;L;;;;;N;;;;;
        "\u1322D",  # ;EGYPTIAN HIEROGLYPH NL013;Lo;0;L;;;;;N;;;;;
        "\u1322E",  # ;EGYPTIAN HIEROGLYPH NL014;Lo;0;L;;;;;N;;;;;
        "\u1322F",  # ;EGYPTIAN HIEROGLYPH NL015;Lo;0;L;;;;;N;;;;;
        "\u13230",  # ;EGYPTIAN HIEROGLYPH NL016;Lo;0;L;;;;;N;;;;;
        "\u13231",  # ;EGYPTIAN HIEROGLYPH NL017;Lo;0;L;;;;;N;;;;;
        "\u13232",  # ;EGYPTIAN HIEROGLYPH NL017A;Lo;0;L;;;;;N;;;;;
        "\u13233",  # ;EGYPTIAN HIEROGLYPH NL018;Lo;0;L;;;;;N;;;;;
        "\u13234",  # ;EGYPTIAN HIEROGLYPH NL019;Lo;0;L;;;;;N;;;;;
        "\u13235",  # ;EGYPTIAN HIEROGLYPH NL020;Lo;0;L;;;;;N;;;;;
        "\u13236",  # ;EGYPTIAN HIEROGLYPH NU001;Lo;0;L;;;;;N;;;;;
        "\u13237",  # ;EGYPTIAN HIEROGLYPH NU002;Lo;0;L;;;;;N;;;;;
        "\u13238",  # ;EGYPTIAN HIEROGLYPH NU003;Lo;0;L;;;;;N;;;;;
        "\u13239",  # ;EGYPTIAN HIEROGLYPH NU004;Lo;0;L;;;;;N;;;;;
        "\u1323A",  # ;EGYPTIAN HIEROGLYPH NU005;Lo;0;L;;;;;N;;;;;
        "\u1323B",  # ;EGYPTIAN HIEROGLYPH NU006;Lo;0;L;;;;;N;;;;;
        "\u1323C",  # ;EGYPTIAN HIEROGLYPH NU007;Lo;0;L;;;;;N;;;;;
        "\u1323D",  # ;EGYPTIAN HIEROGLYPH NU008;Lo;0;L;;;;;N;;;;;
        "\u1323E",  # ;EGYPTIAN HIEROGLYPH NU009;Lo;0;L;;;;;N;;;;;
        "\u1323F",  # ;EGYPTIAN HIEROGLYPH NU010;Lo;0;L;;;;;N;;;;;
        "\u13240",  # ;EGYPTIAN HIEROGLYPH NU010A;Lo;0;L;;;;;N;;;;;
        "\u13241",  # ;EGYPTIAN HIEROGLYPH NU011;Lo;0;L;;;;;N;;;;;
        "\u13242",  # ;EGYPTIAN HIEROGLYPH NU011A;Lo;0;L;;;;;N;;;;;
        "\u13243",  # ;EGYPTIAN HIEROGLYPH NU012;Lo;0;L;;;;;N;;;;;
        "\u13244",  # ;EGYPTIAN HIEROGLYPH NU013;Lo;0;L;;;;;N;;;;;
        "\u13245",  # ;EGYPTIAN HIEROGLYPH NU014;Lo;0;L;;;;;N;;;;;
        "\u13246",  # ;EGYPTIAN HIEROGLYPH NU015;Lo;0;L;;;;;N;;;;;
        "\u13247",  # ;EGYPTIAN HIEROGLYPH NU016;Lo;0;L;;;;;N;;;;;
        "\u13248",  # ;EGYPTIAN HIEROGLYPH NU017;Lo;0;L;;;;;N;;;;;
        "\u13249",  # ;EGYPTIAN HIEROGLYPH NU018;Lo;0;L;;;;;N;;;;;
        "\u1324A",  # ;EGYPTIAN HIEROGLYPH NU018A;Lo;0;L;;;;;N;;;;;
        "\u1324B",  # ;EGYPTIAN HIEROGLYPH NU019;Lo;0;L;;;;;N;;;;;
        "\u1324C",  # ;EGYPTIAN HIEROGLYPH NU020;Lo;0;L;;;;;N;;;;;
        "\u1324D",  # ;EGYPTIAN HIEROGLYPH NU021;Lo;0;L;;;;;N;;;;;
        "\u1324E",  # ;EGYPTIAN HIEROGLYPH NU022;Lo;0;L;;;;;N;;;;;
        "\u1324F",  # ;EGYPTIAN HIEROGLYPH NU022A;Lo;0;L;;;;;N;;;;;
        "\u13250",  # ;EGYPTIAN HIEROGLYPH O001;Lo;0;L;;;;;N;;;;;
        "\u13251",  # ;EGYPTIAN HIEROGLYPH O001A;Lo;0;L;;;;;N;;;;;
        "\u13252",  # ;EGYPTIAN HIEROGLYPH O002;Lo;0;L;;;;;N;;;;;
        "\u13253",  # ;EGYPTIAN HIEROGLYPH O003;Lo;0;L;;;;;N;;;;;
        "\u13254",  # ;EGYPTIAN HIEROGLYPH O004;Lo;0;L;;;;;N;;;;;
        "\u13255",  # ;EGYPTIAN HIEROGLYPH O005;Lo;0;L;;;;;N;;;;;
        "\u13256",  # ;EGYPTIAN HIEROGLYPH O005A;Lo;0;L;;;;;N;;;;;
        "\u13257",  # ;EGYPTIAN HIEROGLYPH O006;Lo;0;L;;;;;N;;;;;
        "\u13258",  # ;EGYPTIAN HIEROGLYPH O006A;Lo;0;L;;;;;N;;;;;
        "\u13259",  # ;EGYPTIAN HIEROGLYPH O006B;Lo;0;L;;;;;N;;;;;
        "\u1325A",  # ;EGYPTIAN HIEROGLYPH O006C;Lo;0;L;;;;;N;;;;;
        "\u1325B",  # ;EGYPTIAN HIEROGLYPH O006D;Lo;0;L;;;;;N;;;;;
        "\u1325C",  # ;EGYPTIAN HIEROGLYPH O006E;Lo;0;L;;;;;N;;;;;
        "\u1325D",  # ;EGYPTIAN HIEROGLYPH O006F;Lo;0;L;;;;;N;;;;;
        "\u1325E",  # ;EGYPTIAN HIEROGLYPH O007;Lo;0;L;;;;;N;;;;;
        "\u1325F",  # ;EGYPTIAN HIEROGLYPH O008;Lo;0;L;;;;;N;;;;;
        "\u13260",  # ;EGYPTIAN HIEROGLYPH O009;Lo;0;L;;;;;N;;;;;
        "\u13261",  # ;EGYPTIAN HIEROGLYPH O010;Lo;0;L;;;;;N;;;;;
        "\u13262",  # ;EGYPTIAN HIEROGLYPH O010A;Lo;0;L;;;;;N;;;;;
        "\u13263",  # ;EGYPTIAN HIEROGLYPH O010B;Lo;0;L;;;;;N;;;;;
        "\u13264",  # ;EGYPTIAN HIEROGLYPH O010C;Lo;0;L;;;;;N;;;;;
        "\u13265",  # ;EGYPTIAN HIEROGLYPH O011;Lo;0;L;;;;;N;;;;;
        "\u13266",  # ;EGYPTIAN HIEROGLYPH O012;Lo;0;L;;;;;N;;;;;
        "\u13267",  # ;EGYPTIAN HIEROGLYPH O013;Lo;0;L;;;;;N;;;;;
        "\u13268",  # ;EGYPTIAN HIEROGLYPH O014;Lo;0;L;;;;;N;;;;;
        "\u13269",  # ;EGYPTIAN HIEROGLYPH O015;Lo;0;L;;;;;N;;;;;
        "\u1326A",  # ;EGYPTIAN HIEROGLYPH O016;Lo;0;L;;;;;N;;;;;
        "\u1326B",  # ;EGYPTIAN HIEROGLYPH O017;Lo;0;L;;;;;N;;;;;
        "\u1326C",  # ;EGYPTIAN HIEROGLYPH O018;Lo;0;L;;;;;N;;;;;
        "\u1326D",  # ;EGYPTIAN HIEROGLYPH O019;Lo;0;L;;;;;N;;;;;
        "\u1326E",  # ;EGYPTIAN HIEROGLYPH O019A;Lo;0;L;;;;;N;;;;;
        "\u1326F",  # ;EGYPTIAN HIEROGLYPH O020;Lo;0;L;;;;;N;;;;;
        "\u13270",  # ;EGYPTIAN HIEROGLYPH O020A;Lo;0;L;;;;;N;;;;;
        "\u13271",  # ;EGYPTIAN HIEROGLYPH O021;Lo;0;L;;;;;N;;;;;
        "\u13272",  # ;EGYPTIAN HIEROGLYPH O022;Lo;0;L;;;;;N;;;;;
        "\u13273",  # ;EGYPTIAN HIEROGLYPH O023;Lo;0;L;;;;;N;;;;;
        "\u13274",  # ;EGYPTIAN HIEROGLYPH O024;Lo;0;L;;;;;N;;;;;
        "\u13275",  # ;EGYPTIAN HIEROGLYPH O024A;Lo;0;L;;;;;N;;;;;
        "\u13276",  # ;EGYPTIAN HIEROGLYPH O025;Lo;0;L;;;;;N;;;;;
        "\u13277",  # ;EGYPTIAN HIEROGLYPH O025A;Lo;0;L;;;;;N;;;;;
        "\u13278",  # ;EGYPTIAN HIEROGLYPH O026;Lo;0;L;;;;;N;;;;;
        "\u13279",  # ;EGYPTIAN HIEROGLYPH O027;Lo;0;L;;;;;N;;;;;
        "\u1327A",  # ;EGYPTIAN HIEROGLYPH O028;Lo;0;L;;;;;N;;;;;
        "\u1327B",  # ;EGYPTIAN HIEROGLYPH O029;Lo;0;L;;;;;N;;;;;
        "\u1327C",  # ;EGYPTIAN HIEROGLYPH O029A;Lo;0;L;;;;;N;;;;;
        "\u1327D",  # ;EGYPTIAN HIEROGLYPH O030;Lo;0;L;;;;;N;;;;;
        "\u1327E",  # ;EGYPTIAN HIEROGLYPH O030A;Lo;0;L;;;;;N;;;;;
        "\u1327F",  # ;EGYPTIAN HIEROGLYPH O031;Lo;0;L;;;;;N;;;;;
        "\u13280",  # ;EGYPTIAN HIEROGLYPH O032;Lo;0;L;;;;;N;;;;;
        "\u13281",  # ;EGYPTIAN HIEROGLYPH O033;Lo;0;L;;;;;N;;;;;
        "\u13282",  # ;EGYPTIAN HIEROGLYPH O033A;Lo;0;L;;;;;N;;;;;
        "\u13283",  # ;EGYPTIAN HIEROGLYPH O034;Lo;0;L;;;;;N;;;;;
        "\u13284",  # ;EGYPTIAN HIEROGLYPH O035;Lo;0;L;;;;;N;;;;;
        "\u13285",  # ;EGYPTIAN HIEROGLYPH O036;Lo;0;L;;;;;N;;;;;
        "\u13286",  # ;EGYPTIAN HIEROGLYPH O036A;Lo;0;L;;;;;N;;;;;
        "\u13287",  # ;EGYPTIAN HIEROGLYPH O036B;Lo;0;L;;;;;N;;;;;
        "\u13288",  # ;EGYPTIAN HIEROGLYPH O036C;Lo;0;L;;;;;N;;;;;
        "\u13289",  # ;EGYPTIAN HIEROGLYPH O036D;Lo;0;L;;;;;N;;;;;
        "\u1328A",  # ;EGYPTIAN HIEROGLYPH O037;Lo;0;L;;;;;N;;;;;
        "\u1328B",  # ;EGYPTIAN HIEROGLYPH O038;Lo;0;L;;;;;N;;;;;
        "\u1328C",  # ;EGYPTIAN HIEROGLYPH O039;Lo;0;L;;;;;N;;;;;
        "\u1328D",  # ;EGYPTIAN HIEROGLYPH O040;Lo;0;L;;;;;N;;;;;
        "\u1328E",  # ;EGYPTIAN HIEROGLYPH O041;Lo;0;L;;;;;N;;;;;
        "\u1328F",  # ;EGYPTIAN HIEROGLYPH O042;Lo;0;L;;;;;N;;;;;
        "\u13290",  # ;EGYPTIAN HIEROGLYPH O043;Lo;0;L;;;;;N;;;;;
        "\u13291",  # ;EGYPTIAN HIEROGLYPH O044;Lo;0;L;;;;;N;;;;;
        "\u13292",  # ;EGYPTIAN HIEROGLYPH O045;Lo;0;L;;;;;N;;;;;
        "\u13293",  # ;EGYPTIAN HIEROGLYPH O046;Lo;0;L;;;;;N;;;;;
        "\u13294",  # ;EGYPTIAN HIEROGLYPH O047;Lo;0;L;;;;;N;;;;;
        "\u13295",  # ;EGYPTIAN HIEROGLYPH O048;Lo;0;L;;;;;N;;;;;
        "\u13296",  # ;EGYPTIAN HIEROGLYPH O049;Lo;0;L;;;;;N;;;;;
        "\u13297",  # ;EGYPTIAN HIEROGLYPH O050;Lo;0;L;;;;;N;;;;;
        "\u13298",  # ;EGYPTIAN HIEROGLYPH O050A;Lo;0;L;;;;;N;;;;;
        "\u13299",  # ;EGYPTIAN HIEROGLYPH O050B;Lo;0;L;;;;;N;;;;;
        "\u1329A",  # ;EGYPTIAN HIEROGLYPH O051;Lo;0;L;;;;;N;;;;;
        "\u1329B",  # ;EGYPTIAN HIEROGLYPH P001;Lo;0;L;;;;;N;;;;;
        "\u1329C",  # ;EGYPTIAN HIEROGLYPH P001A;Lo;0;L;;;;;N;;;;;
        "\u1329D",  # ;EGYPTIAN HIEROGLYPH P002;Lo;0;L;;;;;N;;;;;
        "\u1329E",  # ;EGYPTIAN HIEROGLYPH P003;Lo;0;L;;;;;N;;;;;
        "\u1329F",  # ;EGYPTIAN HIEROGLYPH P003A;Lo;0;L;;;;;N;;;;;
        "\u132A0",  # ;EGYPTIAN HIEROGLYPH P004;Lo;0;L;;;;;N;;;;;
        "\u132A1",  # ;EGYPTIAN HIEROGLYPH P005;Lo;0;L;;;;;N;;;;;
        "\u132A2",  # ;EGYPTIAN HIEROGLYPH P006;Lo;0;L;;;;;N;;;;;
        "\u132A3",  # ;EGYPTIAN HIEROGLYPH P007;Lo;0;L;;;;;N;;;;;
        "\u132A4",  # ;EGYPTIAN HIEROGLYPH P008;Lo;0;L;;;;;N;;;;;
        "\u132A5",  # ;EGYPTIAN HIEROGLYPH P009;Lo;0;L;;;;;N;;;;;
        "\u132A6",  # ;EGYPTIAN HIEROGLYPH P010;Lo;0;L;;;;;N;;;;;
        "\u132A7",  # ;EGYPTIAN HIEROGLYPH P011;Lo;0;L;;;;;N;;;;;
        "\u132A8",  # ;EGYPTIAN HIEROGLYPH Q001;Lo;0;L;;;;;N;;;;;
        "\u132A9",  # ;EGYPTIAN HIEROGLYPH Q002;Lo;0;L;;;;;N;;;;;
        "\u132AA",  # ;EGYPTIAN HIEROGLYPH Q003;Lo;0;L;;;;;N;;;;;
        "\u132AB",  # ;EGYPTIAN HIEROGLYPH Q004;Lo;0;L;;;;;N;;;;;
        "\u132AC",  # ;EGYPTIAN HIEROGLYPH Q005;Lo;0;L;;;;;N;;;;;
        "\u132AD",  # ;EGYPTIAN HIEROGLYPH Q006;Lo;0;L;;;;;N;;;;;
        "\u132AE",  # ;EGYPTIAN HIEROGLYPH Q007;Lo;0;L;;;;;N;;;;;
        "\u132AF",  # ;EGYPTIAN HIEROGLYPH R001;Lo;0;L;;;;;N;;;;;
        "\u132B0",  # ;EGYPTIAN HIEROGLYPH R002;Lo;0;L;;;;;N;;;;;
        "\u132B1",  # ;EGYPTIAN HIEROGLYPH R002A;Lo;0;L;;;;;N;;;;;
        "\u132B2",  # ;EGYPTIAN HIEROGLYPH R003;Lo;0;L;;;;;N;;;;;
        "\u132B3",  # ;EGYPTIAN HIEROGLYPH R003A;Lo;0;L;;;;;N;;;;;
        "\u132B4",  # ;EGYPTIAN HIEROGLYPH R003B;Lo;0;L;;;;;N;;;;;
        "\u132B5",  # ;EGYPTIAN HIEROGLYPH R004;Lo;0;L;;;;;N;;;;;
        "\u132B6",  # ;EGYPTIAN HIEROGLYPH R005;Lo;0;L;;;;;N;;;;;
        "\u132B7",  # ;EGYPTIAN HIEROGLYPH R006;Lo;0;L;;;;;N;;;;;
        "\u132B8",  # ;EGYPTIAN HIEROGLYPH R007;Lo;0;L;;;;;N;;;;;
        "\u132B9",  # ;EGYPTIAN HIEROGLYPH R008;Lo;0;L;;;;;N;;;;;
        "\u132BA",  # ;EGYPTIAN HIEROGLYPH R009;Lo;0;L;;;;;N;;;;;
        "\u132BB",  # ;EGYPTIAN HIEROGLYPH R010;Lo;0;L;;;;;N;;;;;
        "\u132BC",  # ;EGYPTIAN HIEROGLYPH R010A;Lo;0;L;;;;;N;;;;;
        "\u132BD",  # ;EGYPTIAN HIEROGLYPH R011;Lo;0;L;;;;;N;;;;;
        "\u132BE",  # ;EGYPTIAN HIEROGLYPH R012;Lo;0;L;;;;;N;;;;;
        "\u132BF",  # ;EGYPTIAN HIEROGLYPH R013;Lo;0;L;;;;;N;;;;;
        "\u132C0",  # ;EGYPTIAN HIEROGLYPH R014;Lo;0;L;;;;;N;;;;;
        "\u132C1",  # ;EGYPTIAN HIEROGLYPH R015;Lo;0;L;;;;;N;;;;;
        "\u132C2",  # ;EGYPTIAN HIEROGLYPH R016;Lo;0;L;;;;;N;;;;;
        "\u132C3",  # ;EGYPTIAN HIEROGLYPH R016A;Lo;0;L;;;;;N;;;;;
        "\u132C4",  # ;EGYPTIAN HIEROGLYPH R017;Lo;0;L;;;;;N;;;;;
        "\u132C5",  # ;EGYPTIAN HIEROGLYPH R018;Lo;0;L;;;;;N;;;;;
        "\u132C6",  # ;EGYPTIAN HIEROGLYPH R019;Lo;0;L;;;;;N;;;;;
        "\u132C7",  # ;EGYPTIAN HIEROGLYPH R020;Lo;0;L;;;;;N;;;;;
        "\u132C8",  # ;EGYPTIAN HIEROGLYPH R021;Lo;0;L;;;;;N;;;;;
        "\u132C9",  # ;EGYPTIAN HIEROGLYPH R022;Lo;0;L;;;;;N;;;;;
        "\u132CA",  # ;EGYPTIAN HIEROGLYPH R023;Lo;0;L;;;;;N;;;;;
        "\u132CB",  # ;EGYPTIAN HIEROGLYPH R024;Lo;0;L;;;;;N;;;;;
        "\u132CC",  # ;EGYPTIAN HIEROGLYPH R025;Lo;0;L;;;;;N;;;;;
        "\u132CD",  # ;EGYPTIAN HIEROGLYPH R026;Lo;0;L;;;;;N;;;;;
        "\u132CE",  # ;EGYPTIAN HIEROGLYPH R027;Lo;0;L;;;;;N;;;;;
        "\u132CF",  # ;EGYPTIAN HIEROGLYPH R028;Lo;0;L;;;;;N;;;;;
        "\u132D0",  # ;EGYPTIAN HIEROGLYPH R029;Lo;0;L;;;;;N;;;;;
        "\u132D1",  # ;EGYPTIAN HIEROGLYPH S001;Lo;0;L;;;;;N;;;;;
        "\u132D2",  # ;EGYPTIAN HIEROGLYPH S002;Lo;0;L;;;;;N;;;;;
        "\u132D3",  # ;EGYPTIAN HIEROGLYPH S002A;Lo;0;L;;;;;N;;;;;
        "\u132D4",  # ;EGYPTIAN HIEROGLYPH S003;Lo;0;L;;;;;N;;;;;
        "\u132D5",  # ;EGYPTIAN HIEROGLYPH S004;Lo;0;L;;;;;N;;;;;
        "\u132D6",  # ;EGYPTIAN HIEROGLYPH S005;Lo;0;L;;;;;N;;;;;
        "\u132D7",  # ;EGYPTIAN HIEROGLYPH S006;Lo;0;L;;;;;N;;;;;
        "\u132D8",  # ;EGYPTIAN HIEROGLYPH S006A;Lo;0;L;;;;;N;;;;;
        "\u132D9",  # ;EGYPTIAN HIEROGLYPH S007;Lo;0;L;;;;;N;;;;;
        "\u132DA",  # ;EGYPTIAN HIEROGLYPH S008;Lo;0;L;;;;;N;;;;;
        "\u132DB",  # ;EGYPTIAN HIEROGLYPH S009;Lo;0;L;;;;;N;;;;;
        "\u132DC",  # ;EGYPTIAN HIEROGLYPH S010;Lo;0;L;;;;;N;;;;;
        "\u132DD",  # ;EGYPTIAN HIEROGLYPH S011;Lo;0;L;;;;;N;;;;;
        "\u132DE",  # ;EGYPTIAN HIEROGLYPH S012;Lo;0;L;;;;;N;;;;;
        "\u132DF",  # ;EGYPTIAN HIEROGLYPH S013;Lo;0;L;;;;;N;;;;;
        "\u132E0",  # ;EGYPTIAN HIEROGLYPH S014;Lo;0;L;;;;;N;;;;;
        "\u132E1",  # ;EGYPTIAN HIEROGLYPH S014A;Lo;0;L;;;;;N;;;;;
        "\u132E2",  # ;EGYPTIAN HIEROGLYPH S014B;Lo;0;L;;;;;N;;;;;
        "\u132E3",  # ;EGYPTIAN HIEROGLYPH S015;Lo;0;L;;;;;N;;;;;
        "\u132E4",  # ;EGYPTIAN HIEROGLYPH S016;Lo;0;L;;;;;N;;;;;
        "\u132E5",  # ;EGYPTIAN HIEROGLYPH S017;Lo;0;L;;;;;N;;;;;
        "\u132E6",  # ;EGYPTIAN HIEROGLYPH S017A;Lo;0;L;;;;;N;;;;;
        "\u132E7",  # ;EGYPTIAN HIEROGLYPH S018;Lo;0;L;;;;;N;;;;;
        "\u132E8",  # ;EGYPTIAN HIEROGLYPH S019;Lo;0;L;;;;;N;;;;;
        "\u132E9",  # ;EGYPTIAN HIEROGLYPH S020;Lo;0;L;;;;;N;;;;;
        "\u132EA",  # ;EGYPTIAN HIEROGLYPH S021;Lo;0;L;;;;;N;;;;;
        "\u132EB",  # ;EGYPTIAN HIEROGLYPH S022;Lo;0;L;;;;;N;;;;;
        "\u132EC",  # ;EGYPTIAN HIEROGLYPH S023;Lo;0;L;;;;;N;;;;;
        "\u132ED",  # ;EGYPTIAN HIEROGLYPH S024;Lo;0;L;;;;;N;;;;;
        "\u132EE",  # ;EGYPTIAN HIEROGLYPH S025;Lo;0;L;;;;;N;;;;;
        "\u132EF",  # ;EGYPTIAN HIEROGLYPH S026;Lo;0;L;;;;;N;;;;;
        "\u132F0",  # ;EGYPTIAN HIEROGLYPH S026A;Lo;0;L;;;;;N;;;;;
        "\u132F1",  # ;EGYPTIAN HIEROGLYPH S026B;Lo;0;L;;;;;N;;;;;
        "\u132F2",  # ;EGYPTIAN HIEROGLYPH S027;Lo;0;L;;;;;N;;;;;
        "\u132F3",  # ;EGYPTIAN HIEROGLYPH S028;Lo;0;L;;;;;N;;;;;
        "\u132F4",  # ;EGYPTIAN HIEROGLYPH S029;Lo;0;L;;;;;N;;;;;
        "\u132F5",  # ;EGYPTIAN HIEROGLYPH S030;Lo;0;L;;;;;N;;;;;
        "\u132F6",  # ;EGYPTIAN HIEROGLYPH S031;Lo;0;L;;;;;N;;;;;
        "\u132F7",  # ;EGYPTIAN HIEROGLYPH S032;Lo;0;L;;;;;N;;;;;
        "\u132F8",  # ;EGYPTIAN HIEROGLYPH S033;Lo;0;L;;;;;N;;;;;
        "\u132F9",  # ;EGYPTIAN HIEROGLYPH S034;Lo;0;L;;;;;N;;;;;
        "\u132FA",  # ;EGYPTIAN HIEROGLYPH S035;Lo;0;L;;;;;N;;;;;
        "\u132FB",  # ;EGYPTIAN HIEROGLYPH S035A;Lo;0;L;;;;;N;;;;;
        "\u132FC",  # ;EGYPTIAN HIEROGLYPH S036;Lo;0;L;;;;;N;;;;;
        "\u132FD",  # ;EGYPTIAN HIEROGLYPH S037;Lo;0;L;;;;;N;;;;;
        "\u132FE",  # ;EGYPTIAN HIEROGLYPH S038;Lo;0;L;;;;;N;;;;;
        "\u132FF",  # ;EGYPTIAN HIEROGLYPH S039;Lo;0;L;;;;;N;;;;;
        "\u13300",  # ;EGYPTIAN HIEROGLYPH S040;Lo;0;L;;;;;N;;;;;
        "\u13301",  # ;EGYPTIAN HIEROGLYPH S041;Lo;0;L;;;;;N;;;;;
        "\u13302",  # ;EGYPTIAN HIEROGLYPH S042;Lo;0;L;;;;;N;;;;;
        "\u13303",  # ;EGYPTIAN HIEROGLYPH S043;Lo;0;L;;;;;N;;;;;
        "\u13304",  # ;EGYPTIAN HIEROGLYPH S044;Lo;0;L;;;;;N;;;;;
        "\u13305",  # ;EGYPTIAN HIEROGLYPH S045;Lo;0;L;;;;;N;;;;;
        "\u13306",  # ;EGYPTIAN HIEROGLYPH S046;Lo;0;L;;;;;N;;;;;
        "\u13307",  # ;EGYPTIAN HIEROGLYPH T001;Lo;0;L;;;;;N;;;;;
        "\u13308",  # ;EGYPTIAN HIEROGLYPH T002;Lo;0;L;;;;;N;;;;;
        "\u13309",  # ;EGYPTIAN HIEROGLYPH T003;Lo;0;L;;;;;N;;;;;
        "\u1330A",  # ;EGYPTIAN HIEROGLYPH T003A;Lo;0;L;;;;;N;;;;;
        "\u1330B",  # ;EGYPTIAN HIEROGLYPH T004;Lo;0;L;;;;;N;;;;;
        "\u1330C",  # ;EGYPTIAN HIEROGLYPH T005;Lo;0;L;;;;;N;;;;;
        "\u1330D",  # ;EGYPTIAN HIEROGLYPH T006;Lo;0;L;;;;;N;;;;;
        "\u1330E",  # ;EGYPTIAN HIEROGLYPH T007;Lo;0;L;;;;;N;;;;;
        "\u1330F",  # ;EGYPTIAN HIEROGLYPH T007A;Lo;0;L;;;;;N;;;;;
        "\u13310",  # ;EGYPTIAN HIEROGLYPH T008;Lo;0;L;;;;;N;;;;;
        "\u13311",  # ;EGYPTIAN HIEROGLYPH T008A;Lo;0;L;;;;;N;;;;;
        "\u13312",  # ;EGYPTIAN HIEROGLYPH T009;Lo;0;L;;;;;N;;;;;
        "\u13313",  # ;EGYPTIAN HIEROGLYPH T009A;Lo;0;L;;;;;N;;;;;
        "\u13314",  # ;EGYPTIAN HIEROGLYPH T010;Lo;0;L;;;;;N;;;;;
        "\u13315",  # ;EGYPTIAN HIEROGLYPH T011;Lo;0;L;;;;;N;;;;;
        "\u13316",  # ;EGYPTIAN HIEROGLYPH T011A;Lo;0;L;;;;;N;;;;;
        "\u13317",  # ;EGYPTIAN HIEROGLYPH T012;Lo;0;L;;;;;N;;;;;
        "\u13318",  # ;EGYPTIAN HIEROGLYPH T013;Lo;0;L;;;;;N;;;;;
        "\u13319",  # ;EGYPTIAN HIEROGLYPH T014;Lo;0;L;;;;;N;;;;;
        "\u1331A",  # ;EGYPTIAN HIEROGLYPH T015;Lo;0;L;;;;;N;;;;;
        "\u1331B",  # ;EGYPTIAN HIEROGLYPH T016;Lo;0;L;;;;;N;;;;;
        "\u1331C",  # ;EGYPTIAN HIEROGLYPH T016A;Lo;0;L;;;;;N;;;;;
        "\u1331D",  # ;EGYPTIAN HIEROGLYPH T017;Lo;0;L;;;;;N;;;;;
        "\u1331E",  # ;EGYPTIAN HIEROGLYPH T018;Lo;0;L;;;;;N;;;;;
        "\u1331F",  # ;EGYPTIAN HIEROGLYPH T019;Lo;0;L;;;;;N;;;;;
        "\u13320",  # ;EGYPTIAN HIEROGLYPH T020;Lo;0;L;;;;;N;;;;;
        "\u13321",  # ;EGYPTIAN HIEROGLYPH T021;Lo;0;L;;;;;N;;;;;
        "\u13322",  # ;EGYPTIAN HIEROGLYPH T022;Lo;0;L;;;;;N;;;;;
        "\u13323",  # ;EGYPTIAN HIEROGLYPH T023;Lo;0;L;;;;;N;;;;;
        "\u13324",  # ;EGYPTIAN HIEROGLYPH T024;Lo;0;L;;;;;N;;;;;
        "\u13325",  # ;EGYPTIAN HIEROGLYPH T025;Lo;0;L;;;;;N;;;;;
        "\u13326",  # ;EGYPTIAN HIEROGLYPH T026;Lo;0;L;;;;;N;;;;;
        "\u13327",  # ;EGYPTIAN HIEROGLYPH T027;Lo;0;L;;;;;N;;;;;
        "\u13328",  # ;EGYPTIAN HIEROGLYPH T028;Lo;0;L;;;;;N;;;;;
        "\u13329",  # ;EGYPTIAN HIEROGLYPH T029;Lo;0;L;;;;;N;;;;;
        "\u1332A",  # ;EGYPTIAN HIEROGLYPH T030;Lo;0;L;;;;;N;;;;;
        "\u1332B",  # ;EGYPTIAN HIEROGLYPH T031;Lo;0;L;;;;;N;;;;;
        "\u1332C",  # ;EGYPTIAN HIEROGLYPH T032;Lo;0;L;;;;;N;;;;;
        "\u1332D",  # ;EGYPTIAN HIEROGLYPH T032A;Lo;0;L;;;;;N;;;;;
        "\u1332E",  # ;EGYPTIAN HIEROGLYPH T033;Lo;0;L;;;;;N;;;;;
        "\u1332F",  # ;EGYPTIAN HIEROGLYPH T033A;Lo;0;L;;;;;N;;;;;
        "\u13330",  # ;EGYPTIAN HIEROGLYPH T034;Lo;0;L;;;;;N;;;;;
        "\u13331",  # ;EGYPTIAN HIEROGLYPH T035;Lo;0;L;;;;;N;;;;;
        "\u13332",  # ;EGYPTIAN HIEROGLYPH T036;Lo;0;L;;;;;N;;;;;
        "\u13333",  # ;EGYPTIAN HIEROGLYPH U001;Lo;0;L;;;;;N;;;;;
        "\u13334",  # ;EGYPTIAN HIEROGLYPH U002;Lo;0;L;;;;;N;;;;;
        "\u13335",  # ;EGYPTIAN HIEROGLYPH U003;Lo;0;L;;;;;N;;;;;
        "\u13336",  # ;EGYPTIAN HIEROGLYPH U004;Lo;0;L;;;;;N;;;;;
        "\u13337",  # ;EGYPTIAN HIEROGLYPH U005;Lo;0;L;;;;;N;;;;;
        "\u13338",  # ;EGYPTIAN HIEROGLYPH U006;Lo;0;L;;;;;N;;;;;
        "\u13339",  # ;EGYPTIAN HIEROGLYPH U006A;Lo;0;L;;;;;N;;;;;
        "\u1333A",  # ;EGYPTIAN HIEROGLYPH U006B;Lo;0;L;;;;;N;;;;;
        "\u1333B",  # ;EGYPTIAN HIEROGLYPH U007;Lo;0;L;;;;;N;;;;;
        "\u1333C",  # ;EGYPTIAN HIEROGLYPH U008;Lo;0;L;;;;;N;;;;;
        "\u1333D",  # ;EGYPTIAN HIEROGLYPH U009;Lo;0;L;;;;;N;;;;;
        "\u1333E",  # ;EGYPTIAN HIEROGLYPH U010;Lo;0;L;;;;;N;;;;;
        "\u1333F",  # ;EGYPTIAN HIEROGLYPH U011;Lo;0;L;;;;;N;;;;;
        "\u13340",  # ;EGYPTIAN HIEROGLYPH U012;Lo;0;L;;;;;N;;;;;
        "\u13341",  # ;EGYPTIAN HIEROGLYPH U013;Lo;0;L;;;;;N;;;;;
        "\u13342",  # ;EGYPTIAN HIEROGLYPH U014;Lo;0;L;;;;;N;;;;;
        "\u13343",  # ;EGYPTIAN HIEROGLYPH U015;Lo;0;L;;;;;N;;;;;
        "\u13344",  # ;EGYPTIAN HIEROGLYPH U016;Lo;0;L;;;;;N;;;;;
        "\u13345",  # ;EGYPTIAN HIEROGLYPH U017;Lo;0;L;;;;;N;;;;;
        "\u13346",  # ;EGYPTIAN HIEROGLYPH U018;Lo;0;L;;;;;N;;;;;
        "\u13347",  # ;EGYPTIAN HIEROGLYPH U019;Lo;0;L;;;;;N;;;;;
        "\u13348",  # ;EGYPTIAN HIEROGLYPH U020;Lo;0;L;;;;;N;;;;;
        "\u13349",  # ;EGYPTIAN HIEROGLYPH U021;Lo;0;L;;;;;N;;;;;
        "\u1334A",  # ;EGYPTIAN HIEROGLYPH U022;Lo;0;L;;;;;N;;;;;
        "\u1334B",  # ;EGYPTIAN HIEROGLYPH U023;Lo;0;L;;;;;N;;;;;
        "\u1334C",  # ;EGYPTIAN HIEROGLYPH U023A;Lo;0;L;;;;;N;;;;;
        "\u1334D",  # ;EGYPTIAN HIEROGLYPH U024;Lo;0;L;;;;;N;;;;;
        "\u1334E",  # ;EGYPTIAN HIEROGLYPH U025;Lo;0;L;;;;;N;;;;;
        "\u1334F",  # ;EGYPTIAN HIEROGLYPH U026;Lo;0;L;;;;;N;;;;;
        "\u13350",  # ;EGYPTIAN HIEROGLYPH U027;Lo;0;L;;;;;N;;;;;
        "\u13351",  # ;EGYPTIAN HIEROGLYPH U028;Lo;0;L;;;;;N;;;;;
        "\u13352",  # ;EGYPTIAN HIEROGLYPH U029;Lo;0;L;;;;;N;;;;;
        "\u13353",  # ;EGYPTIAN HIEROGLYPH U029A;Lo;0;L;;;;;N;;;;;
        "\u13354",  # ;EGYPTIAN HIEROGLYPH U030;Lo;0;L;;;;;N;;;;;
        "\u13355",  # ;EGYPTIAN HIEROGLYPH U031;Lo;0;L;;;;;N;;;;;
        "\u13356",  # ;EGYPTIAN HIEROGLYPH U032;Lo;0;L;;;;;N;;;;;
        "\u13357",  # ;EGYPTIAN HIEROGLYPH U032A;Lo;0;L;;;;;N;;;;;
        "\u13358",  # ;EGYPTIAN HIEROGLYPH U033;Lo;0;L;;;;;N;;;;;
        "\u13359",  # ;EGYPTIAN HIEROGLYPH U034;Lo;0;L;;;;;N;;;;;
        "\u1335A",  # ;EGYPTIAN HIEROGLYPH U035;Lo;0;L;;;;;N;;;;;
        "\u1335B",  # ;EGYPTIAN HIEROGLYPH U036;Lo;0;L;;;;;N;;;;;
        "\u1335C",  # ;EGYPTIAN HIEROGLYPH U037;Lo;0;L;;;;;N;;;;;
        "\u1335D",  # ;EGYPTIAN HIEROGLYPH U038;Lo;0;L;;;;;N;;;;;
        "\u1335E",  # ;EGYPTIAN HIEROGLYPH U039;Lo;0;L;;;;;N;;;;;
        "\u1335F",  # ;EGYPTIAN HIEROGLYPH U040;Lo;0;L;;;;;N;;;;;
        "\u13360",  # ;EGYPTIAN HIEROGLYPH U041;Lo;0;L;;;;;N;;;;;
        "\u13361",  # ;EGYPTIAN HIEROGLYPH U042;Lo;0;L;;;;;N;;;;;
        "\u13362",  # ;EGYPTIAN HIEROGLYPH V001;Lo;0;L;;;;;N;;;;;
        "\u13363",  # ;EGYPTIAN HIEROGLYPH V001A;Lo;0;L;;;;;N;;;;;
        "\u13364",  # ;EGYPTIAN HIEROGLYPH V001B;Lo;0;L;;;;;N;;;;;
        "\u13365",  # ;EGYPTIAN HIEROGLYPH V001C;Lo;0;L;;;;;N;;;;;
        "\u13366",  # ;EGYPTIAN HIEROGLYPH V001D;Lo;0;L;;;;;N;;;;;
        "\u13367",  # ;EGYPTIAN HIEROGLYPH V001E;Lo;0;L;;;;;N;;;;;
        "\u13368",  # ;EGYPTIAN HIEROGLYPH V001F;Lo;0;L;;;;;N;;;;;
        "\u13369",  # ;EGYPTIAN HIEROGLYPH V001G;Lo;0;L;;;;;N;;;;;
        "\u1336A",  # ;EGYPTIAN HIEROGLYPH V001H;Lo;0;L;;;;;N;;;;;
        "\u1336B",  # ;EGYPTIAN HIEROGLYPH V001I;Lo;0;L;;;;;N;;;;;
        "\u1336C",  # ;EGYPTIAN HIEROGLYPH V002;Lo;0;L;;;;;N;;;;;
        "\u1336D",  # ;EGYPTIAN HIEROGLYPH V002A;Lo;0;L;;;;;N;;;;;
        "\u1336E",  # ;EGYPTIAN HIEROGLYPH V003;Lo;0;L;;;;;N;;;;;
        "\u1336F",  # ;EGYPTIAN HIEROGLYPH V004;Lo;0;L;;;;;N;;;;;
        "\u13370",  # ;EGYPTIAN HIEROGLYPH V005;Lo;0;L;;;;;N;;;;;
        "\u13371",  # ;EGYPTIAN HIEROGLYPH V006;Lo;0;L;;;;;N;;;;;
        "\u13372",  # ;EGYPTIAN HIEROGLYPH V007;Lo;0;L;;;;;N;;;;;
        "\u13373",  # ;EGYPTIAN HIEROGLYPH V007A;Lo;0;L;;;;;N;;;;;
        "\u13374",  # ;EGYPTIAN HIEROGLYPH V007B;Lo;0;L;;;;;N;;;;;
        "\u13375",  # ;EGYPTIAN HIEROGLYPH V008;Lo;0;L;;;;;N;;;;;
        "\u13376",  # ;EGYPTIAN HIEROGLYPH V009;Lo;0;L;;;;;N;;;;;
        "\u13377",  # ;EGYPTIAN HIEROGLYPH V010;Lo;0;L;;;;;N;;;;;
        "\u13378",  # ;EGYPTIAN HIEROGLYPH V011;Lo;0;L;;;;;N;;;;;
        "\u13379",  # ;EGYPTIAN HIEROGLYPH V011A;Lo;0;L;;;;;N;;;;;
        "\u1337A",  # ;EGYPTIAN HIEROGLYPH V011B;Lo;0;L;;;;;N;;;;;
        "\u1337B",  # ;EGYPTIAN HIEROGLYPH V011C;Lo;0;L;;;;;N;;;;;
        "\u1337C",  # ;EGYPTIAN HIEROGLYPH V012;Lo;0;L;;;;;N;;;;;
        "\u1337D",  # ;EGYPTIAN HIEROGLYPH V012A;Lo;0;L;;;;;N;;;;;
        "\u1337E",  # ;EGYPTIAN HIEROGLYPH V012B;Lo;0;L;;;;;N;;;;;
        "\u1337F",  # ;EGYPTIAN HIEROGLYPH V013;Lo;0;L;;;;;N;;;;;
        "\u13380",  # ;EGYPTIAN HIEROGLYPH V014;Lo;0;L;;;;;N;;;;;
        "\u13381",  # ;EGYPTIAN HIEROGLYPH V015;Lo;0;L;;;;;N;;;;;
        "\u13382",  # ;EGYPTIAN HIEROGLYPH V016;Lo;0;L;;;;;N;;;;;
        "\u13383",  # ;EGYPTIAN HIEROGLYPH V017;Lo;0;L;;;;;N;;;;;
        "\u13384",  # ;EGYPTIAN HIEROGLYPH V018;Lo;0;L;;;;;N;;;;;
        "\u13385",  # ;EGYPTIAN HIEROGLYPH V019;Lo;0;L;;;;;N;;;;;
        "\u13386",  # ;EGYPTIAN HIEROGLYPH V020;Lo;0;L;;;;;N;;;;;
        "\u13387",  # ;EGYPTIAN HIEROGLYPH V020A;Lo;0;L;;;;;N;;;;;
        "\u13388",  # ;EGYPTIAN HIEROGLYPH V020B;Lo;0;L;;;;;N;;;;;
        "\u13389",  # ;EGYPTIAN HIEROGLYPH V020C;Lo;0;L;;;;;N;;;;;
        "\u1338A",  # ;EGYPTIAN HIEROGLYPH V020D;Lo;0;L;;;;;N;;;;;
        "\u1338B",  # ;EGYPTIAN HIEROGLYPH V020E;Lo;0;L;;;;;N;;;;;
        "\u1338C",  # ;EGYPTIAN HIEROGLYPH V020F;Lo;0;L;;;;;N;;;;;
        "\u1338D",  # ;EGYPTIAN HIEROGLYPH V020G;Lo;0;L;;;;;N;;;;;
        "\u1338E",  # ;EGYPTIAN HIEROGLYPH V020H;Lo;0;L;;;;;N;;;;;
        "\u1338F",  # ;EGYPTIAN HIEROGLYPH V020I;Lo;0;L;;;;;N;;;;;
        "\u13390",  # ;EGYPTIAN HIEROGLYPH V020J;Lo;0;L;;;;;N;;;;;
        "\u13391",  # ;EGYPTIAN HIEROGLYPH V020K;Lo;0;L;;;;;N;;;;;
        "\u13392",  # ;EGYPTIAN HIEROGLYPH V020L;Lo;0;L;;;;;N;;;;;
        "\u13393",  # ;EGYPTIAN HIEROGLYPH V021;Lo;0;L;;;;;N;;;;;
        "\u13394",  # ;EGYPTIAN HIEROGLYPH V022;Lo;0;L;;;;;N;;;;;
        "\u13395",  # ;EGYPTIAN HIEROGLYPH V023;Lo;0;L;;;;;N;;;;;
        "\u13396",  # ;EGYPTIAN HIEROGLYPH V023A;Lo;0;L;;;;;N;;;;;
        "\u13397",  # ;EGYPTIAN HIEROGLYPH V024;Lo;0;L;;;;;N;;;;;
        "\u13398",  # ;EGYPTIAN HIEROGLYPH V025;Lo;0;L;;;;;N;;;;;
        "\u13399",  # ;EGYPTIAN HIEROGLYPH V026;Lo;0;L;;;;;N;;;;;
        "\u1339A",  # ;EGYPTIAN HIEROGLYPH V027;Lo;0;L;;;;;N;;;;;
        "\u1339B",  # ;EGYPTIAN HIEROGLYPH V028;Lo;0;L;;;;;N;;;;;
        "\u1339C",  # ;EGYPTIAN HIEROGLYPH V028A;Lo;0;L;;;;;N;;;;;
        "\u1339D",  # ;EGYPTIAN HIEROGLYPH V029;Lo;0;L;;;;;N;;;;;
        "\u1339E",  # ;EGYPTIAN HIEROGLYPH V029A;Lo;0;L;;;;;N;;;;;
        "\u1339F",  # ;EGYPTIAN HIEROGLYPH V030;Lo;0;L;;;;;N;;;;;
        "\u133A0",  # ;EGYPTIAN HIEROGLYPH V030A;Lo;0;L;;;;;N;;;;;
        "\u133A1",  # ;EGYPTIAN HIEROGLYPH V031;Lo;0;L;;;;;N;;;;;
        "\u133A2",  # ;EGYPTIAN HIEROGLYPH V031A;Lo;0;L;;;;;N;;;;;
        "\u133A3",  # ;EGYPTIAN HIEROGLYPH V032;Lo;0;L;;;;;N;;;;;
        "\u133A4",  # ;EGYPTIAN HIEROGLYPH V033;Lo;0;L;;;;;N;;;;;
        "\u133A5",  # ;EGYPTIAN HIEROGLYPH V033A;Lo;0;L;;;;;N;;;;;
        "\u133A6",  # ;EGYPTIAN HIEROGLYPH V034;Lo;0;L;;;;;N;;;;;
        "\u133A7",  # ;EGYPTIAN HIEROGLYPH V035;Lo;0;L;;;;;N;;;;;
        "\u133A8",  # ;EGYPTIAN HIEROGLYPH V036;Lo;0;L;;;;;N;;;;;
        "\u133A9",  # ;EGYPTIAN HIEROGLYPH V037;Lo;0;L;;;;;N;;;;;
        "\u133AA",  # ;EGYPTIAN HIEROGLYPH V037A;Lo;0;L;;;;;N;;;;;
        "\u133AB",  # ;EGYPTIAN HIEROGLYPH V038;Lo;0;L;;;;;N;;;;;
        "\u133AC",  # ;EGYPTIAN HIEROGLYPH V039;Lo;0;L;;;;;N;;;;;
        "\u133AD",  # ;EGYPTIAN HIEROGLYPH V040;Lo;0;L;;;;;N;;;;;
        "\u133AE",  # ;EGYPTIAN HIEROGLYPH V040A;Lo;0;L;;;;;N;;;;;
        "\u133AF",  # ;EGYPTIAN HIEROGLYPH W001;Lo;0;L;;;;;N;;;;;
        "\u133B0",  # ;EGYPTIAN HIEROGLYPH W002;Lo;0;L;;;;;N;;;;;
        "\u133B1",  # ;EGYPTIAN HIEROGLYPH W003;Lo;0;L;;;;;N;;;;;
        "\u133B2",  # ;EGYPTIAN HIEROGLYPH W003A;Lo;0;L;;;;;N;;;;;
        "\u133B3",  # ;EGYPTIAN HIEROGLYPH W004;Lo;0;L;;;;;N;;;;;
        "\u133B4",  # ;EGYPTIAN HIEROGLYPH W005;Lo;0;L;;;;;N;;;;;
        "\u133B5",  # ;EGYPTIAN HIEROGLYPH W006;Lo;0;L;;;;;N;;;;;
        "\u133B6",  # ;EGYPTIAN HIEROGLYPH W007;Lo;0;L;;;;;N;;;;;
        "\u133B7",  # ;EGYPTIAN HIEROGLYPH W008;Lo;0;L;;;;;N;;;;;
        "\u133B8",  # ;EGYPTIAN HIEROGLYPH W009;Lo;0;L;;;;;N;;;;;
        "\u133B9",  # ;EGYPTIAN HIEROGLYPH W009A;Lo;0;L;;;;;N;;;;;
        "\u133BA",  # ;EGYPTIAN HIEROGLYPH W010;Lo;0;L;;;;;N;;;;;
        "\u133BB",  # ;EGYPTIAN HIEROGLYPH W010A;Lo;0;L;;;;;N;;;;;
        "\u133BC",  # ;EGYPTIAN HIEROGLYPH W011;Lo;0;L;;;;;N;;;;;
        "\u133BD",  # ;EGYPTIAN HIEROGLYPH W012;Lo;0;L;;;;;N;;;;;
        "\u133BE",  # ;EGYPTIAN HIEROGLYPH W013;Lo;0;L;;;;;N;;;;;
        "\u133BF",  # ;EGYPTIAN HIEROGLYPH W014;Lo;0;L;;;;;N;;;;;
        "\u133C0",  # ;EGYPTIAN HIEROGLYPH W014A;Lo;0;L;;;;;N;;;;;
        "\u133C1",  # ;EGYPTIAN HIEROGLYPH W015;Lo;0;L;;;;;N;;;;;
        "\u133C2",  # ;EGYPTIAN HIEROGLYPH W016;Lo;0;L;;;;;N;;;;;
        "\u133C3",  # ;EGYPTIAN HIEROGLYPH W017;Lo;0;L;;;;;N;;;;;
        "\u133C4",  # ;EGYPTIAN HIEROGLYPH W017A;Lo;0;L;;;;;N;;;;;
        "\u133C5",  # ;EGYPTIAN HIEROGLYPH W018;Lo;0;L;;;;;N;;;;;
        "\u133C6",  # ;EGYPTIAN HIEROGLYPH W018A;Lo;0;L;;;;;N;;;;;
        "\u133C7",  # ;EGYPTIAN HIEROGLYPH W019;Lo;0;L;;;;;N;;;;;
        "\u133C8",  # ;EGYPTIAN HIEROGLYPH W020;Lo;0;L;;;;;N;;;;;
        "\u133C9",  # ;EGYPTIAN HIEROGLYPH W021;Lo;0;L;;;;;N;;;;;
        "\u133CA",  # ;EGYPTIAN HIEROGLYPH W022;Lo;0;L;;;;;N;;;;;
        "\u133CB",  # ;EGYPTIAN HIEROGLYPH W023;Lo;0;L;;;;;N;;;;;
        "\u133CC",  # ;EGYPTIAN HIEROGLYPH W024;Lo;0;L;;;;;N;;;;;
        "\u133CD",  # ;EGYPTIAN HIEROGLYPH W024A;Lo;0;L;;;;;N;;;;;
        "\u133CE",  # ;EGYPTIAN HIEROGLYPH W025;Lo;0;L;;;;;N;;;;;
        "\u133CF",  # ;EGYPTIAN HIEROGLYPH X001;Lo;0;L;;;;;N;;;;;
        "\u133D0",  # ;EGYPTIAN HIEROGLYPH X002;Lo;0;L;;;;;N;;;;;
        "\u133D1",  # ;EGYPTIAN HIEROGLYPH X003;Lo;0;L;;;;;N;;;;;
        "\u133D2",  # ;EGYPTIAN HIEROGLYPH X004;Lo;0;L;;;;;N;;;;;
        "\u133D3",  # ;EGYPTIAN HIEROGLYPH X004A;Lo;0;L;;;;;N;;;;;
        "\u133D4",  # ;EGYPTIAN HIEROGLYPH X004B;Lo;0;L;;;;;N;;;;;
        "\u133D5",  # ;EGYPTIAN HIEROGLYPH X005;Lo;0;L;;;;;N;;;;;
        "\u133D6",  # ;EGYPTIAN HIEROGLYPH X006;Lo;0;L;;;;;N;;;;;
        "\u133D7",  # ;EGYPTIAN HIEROGLYPH X006A;Lo;0;L;;;;;N;;;;;
        "\u133D8",  # ;EGYPTIAN HIEROGLYPH X007;Lo;0;L;;;;;N;;;;;
        "\u133D9",  # ;EGYPTIAN HIEROGLYPH X008;Lo;0;L;;;;;N;;;;;
        "\u133DA",  # ;EGYPTIAN HIEROGLYPH X008A;Lo;0;L;;;;;N;;;;;
        "\u133DB",  # ;EGYPTIAN HIEROGLYPH Y001;Lo;0;L;;;;;N;;;;;
        "\u133DC",  # ;EGYPTIAN HIEROGLYPH Y001A;Lo;0;L;;;;;N;;;;;
        "\u133DD",  # ;EGYPTIAN HIEROGLYPH Y002;Lo;0;L;;;;;N;;;;;
        "\u133DE",  # ;EGYPTIAN HIEROGLYPH Y003;Lo;0;L;;;;;N;;;;;
        "\u133DF",  # ;EGYPTIAN HIEROGLYPH Y004;Lo;0;L;;;;;N;;;;;
        "\u133E0",  # ;EGYPTIAN HIEROGLYPH Y005;Lo;0;L;;;;;N;;;;;
        "\u133E1",  # ;EGYPTIAN HIEROGLYPH Y006;Lo;0;L;;;;;N;;;;;
        "\u133E2",  # ;EGYPTIAN HIEROGLYPH Y007;Lo;0;L;;;;;N;;;;;
        "\u133E3",  # ;EGYPTIAN HIEROGLYPH Y008;Lo;0;L;;;;;N;;;;;
        "\u133E4",  # ;EGYPTIAN HIEROGLYPH Z001;Lo;0;L;;;;;N;;;;;
        "\u133E5",  # ;EGYPTIAN HIEROGLYPH Z002;Lo;0;L;;;;;N;;;;;
        "\u133E6",  # ;EGYPTIAN HIEROGLYPH Z002A;Lo;0;L;;;;;N;;;;;
        "\u133E7",  # ;EGYPTIAN HIEROGLYPH Z002B;Lo;0;L;;;;;N;;;;;
        "\u133E8",  # ;EGYPTIAN HIEROGLYPH Z002C;Lo;0;L;;;;;N;;;;;
        "\u133E9",  # ;EGYPTIAN HIEROGLYPH Z002D;Lo;0;L;;;;;N;;;;;
        "\u133EA",  # ;EGYPTIAN HIEROGLYPH Z003;Lo;0;L;;;;;N;;;;;
        "\u133EB",  # ;EGYPTIAN HIEROGLYPH Z003A;Lo;0;L;;;;;N;;;;;
        "\u133EC",  # ;EGYPTIAN HIEROGLYPH Z003B;Lo;0;L;;;;;N;;;;;
        "\u133ED",  # ;EGYPTIAN HIEROGLYPH Z004;Lo;0;L;;;;;N;;;;;
        "\u133EE",  # ;EGYPTIAN HIEROGLYPH Z004A;Lo;0;L;;;;;N;;;;;
        "\u133EF",  # ;EGYPTIAN HIEROGLYPH Z005;Lo;0;L;;;;;N;;;;;
        "\u133F0",  # ;EGYPTIAN HIEROGLYPH Z005A;Lo;0;L;;;;;N;;;;;
        "\u133F1",  # ;EGYPTIAN HIEROGLYPH Z006;Lo;0;L;;;;;N;;;;;
        "\u133F2",  # ;EGYPTIAN HIEROGLYPH Z007;Lo;0;L;;;;;N;;;;;
        "\u133F3",  # ;EGYPTIAN HIEROGLYPH Z008;Lo;0;L;;;;;N;;;;;
        "\u133F4",  # ;EGYPTIAN HIEROGLYPH Z009;Lo;0;L;;;;;N;;;;;
        "\u133F5",  # ;EGYPTIAN HIEROGLYPH Z010;Lo;0;L;;;;;N;;;;;
        "\u133F6",  # ;EGYPTIAN HIEROGLYPH Z011;Lo;0;L;;;;;N;;;;;
        "\u133F7",  # ;EGYPTIAN HIEROGLYPH Z012;Lo;0;L;;;;;N;;;;;
        "\u133F8",  # ;EGYPTIAN HIEROGLYPH Z013;Lo;0;L;;;;;N;;;;;
        "\u133F9",  # ;EGYPTIAN HIEROGLYPH Z014;Lo;0;L;;;;;N;;;;;
        "\u133FA",  # ;EGYPTIAN HIEROGLYPH Z015;Lo;0;L;;;;;N;;;;;
        "\u133FB",  # ;EGYPTIAN HIEROGLYPH Z015A;Lo;0;L;;;;;N;;;;;
        "\u133FC",  # ;EGYPTIAN HIEROGLYPH Z015B;Lo;0;L;;;;;N;;;;;
        "\u133FD",  # ;EGYPTIAN HIEROGLYPH Z015C;Lo;0;L;;;;;N;;;;;
        "\u133FE",  # ;EGYPTIAN HIEROGLYPH Z015D;Lo;0;L;;;;;N;;;;;
        "\u133FF",  # ;EGYPTIAN HIEROGLYPH Z015E;Lo;0;L;;;;;N;;;;;
        "\u13400",  # ;EGYPTIAN HIEROGLYPH Z015F;Lo;0;L;;;;;N;;;;;
        "\u13401",  # ;EGYPTIAN HIEROGLYPH Z015G;Lo;0;L;;;;;N;;;;;
        "\u13402",  # ;EGYPTIAN HIEROGLYPH Z015H;Lo;0;L;;;;;N;;;;;
        "\u13403",  # ;EGYPTIAN HIEROGLYPH Z015I;Lo;0;L;;;;;N;;;;;
        "\u13404",  # ;EGYPTIAN HIEROGLYPH Z016;Lo;0;L;;;;;N;;;;;
        "\u13405",  # ;EGYPTIAN HIEROGLYPH Z016A;Lo;0;L;;;;;N;;;;;
        "\u13406",  # ;EGYPTIAN HIEROGLYPH Z016B;Lo;0;L;;;;;N;;;;;
        "\u13407",  # ;EGYPTIAN HIEROGLYPH Z016C;Lo;0;L;;;;;N;;;;;
        "\u13408",  # ;EGYPTIAN HIEROGLYPH Z016D;Lo;0;L;;;;;N;;;;;
        "\u13409",  # ;EGYPTIAN HIEROGLYPH Z016E;Lo;0;L;;;;;N;;;;;
        "\u1340A",  # ;EGYPTIAN HIEROGLYPH Z016F;Lo;0;L;;;;;N;;;;;
        "\u1340B",  # ;EGYPTIAN HIEROGLYPH Z016G;Lo;0;L;;;;;N;;;;;
        "\u1340C",  # ;EGYPTIAN HIEROGLYPH Z016H;Lo;0;L;;;;;N;;;;;
        "\u1340D",  # ;EGYPTIAN HIEROGLYPH AA001;Lo;0;L;;;;;N;;;;;
        "\u1340E",  # ;EGYPTIAN HIEROGLYPH AA002;Lo;0;L;;;;;N;;;;;
        "\u1340F",  # ;EGYPTIAN HIEROGLYPH AA003;Lo;0;L;;;;;N;;;;;
        "\u13410",  # ;EGYPTIAN HIEROGLYPH AA004;Lo;0;L;;;;;N;;;;;
        "\u13411",  # ;EGYPTIAN HIEROGLYPH AA005;Lo;0;L;;;;;N;;;;;
        "\u13412",  # ;EGYPTIAN HIEROGLYPH AA006;Lo;0;L;;;;;N;;;;;
        "\u13413",  # ;EGYPTIAN HIEROGLYPH AA007;Lo;0;L;;;;;N;;;;;
        "\u13414",  # ;EGYPTIAN HIEROGLYPH AA007A;Lo;0;L;;;;;N;;;;;
        "\u13415",  # ;EGYPTIAN HIEROGLYPH AA007B;Lo;0;L;;;;;N;;;;;
        "\u13416",  # ;EGYPTIAN HIEROGLYPH AA008;Lo;0;L;;;;;N;;;;;
        "\u13417",  # ;EGYPTIAN HIEROGLYPH AA009;Lo;0;L;;;;;N;;;;;
        "\u13418",  # ;EGYPTIAN HIEROGLYPH AA010;Lo;0;L;;;;;N;;;;;
        "\u13419",  # ;EGYPTIAN HIEROGLYPH AA011;Lo;0;L;;;;;N;;;;;
        "\u1341A",  # ;EGYPTIAN HIEROGLYPH AA012;Lo;0;L;;;;;N;;;;;
        "\u1341B",  # ;EGYPTIAN HIEROGLYPH AA013;Lo;0;L;;;;;N;;;;;
        "\u1341C",  # ;EGYPTIAN HIEROGLYPH AA014;Lo;0;L;;;;;N;;;;;
        "\u1341D",  # ;EGYPTIAN HIEROGLYPH AA015;Lo;0;L;;;;;N;;;;;
        "\u1341E",  # ;EGYPTIAN HIEROGLYPH AA016;Lo;0;L;;;;;N;;;;;
        "\u1341F",  # ;EGYPTIAN HIEROGLYPH AA017;Lo;0;L;;;;;N;;;;;
        "\u13420",  # ;EGYPTIAN HIEROGLYPH AA018;Lo;0;L;;;;;N;;;;;
        "\u13421",  # ;EGYPTIAN HIEROGLYPH AA019;Lo;0;L;;;;;N;;;;;
        "\u13422",  # ;EGYPTIAN HIEROGLYPH AA020;Lo;0;L;;;;;N;;;;;
        "\u13423",  # ;EGYPTIAN HIEROGLYPH AA021;Lo;0;L;;;;;N;;;;;
        "\u13424",  # ;EGYPTIAN HIEROGLYPH AA022;Lo;0;L;;;;;N;;;;;
        "\u13425",  # ;EGYPTIAN HIEROGLYPH AA023;Lo;0;L;;;;;N;;;;;
        "\u13426",  # ;EGYPTIAN HIEROGLYPH AA024;Lo;0;L;;;;;N;;;;;
        "\u13427",  # ;EGYPTIAN HIEROGLYPH AA025;Lo;0;L;;;;;N;;;;;
        "\u13428",  # ;EGYPTIAN HIEROGLYPH AA026;Lo;0;L;;;;;N;;;;;
        "\u13429",  # ;EGYPTIAN HIEROGLYPH AA027;Lo;0;L;;;;;N;;;;;
        "\u1342A",  # ;EGYPTIAN HIEROGLYPH AA028;Lo;0;L;;;;;N;;;;;
        "\u1342B",  # ;EGYPTIAN HIEROGLYPH AA029;Lo;0;L;;;;;N;;;;;
        "\u1342C",  # ;EGYPTIAN HIEROGLYPH AA030;Lo;0;L;;;;;N;;;;;
        "\u1342D",  # ;EGYPTIAN HIEROGLYPH AA031;Lo;0;L;;;;;N;;;;;
        "\u1342E",  # ;EGYPTIAN HIEROGLYPH AA032;Lo;0;L;;;;;N;;;;;
        "\u14400",  # ;ANATOLIAN HIEROGLYPH A001;Lo;0;L;;;;;N;;;;;
        "\u14401",  # ;ANATOLIAN HIEROGLYPH A002;Lo;0;L;;;;;N;;;;;
        "\u14402",  # ;ANATOLIAN HIEROGLYPH A003;Lo;0;L;;;;;N;;;;;
        "\u14403",  # ;ANATOLIAN HIEROGLYPH A004;Lo;0;L;;;;;N;;;;;
        "\u14404",  # ;ANATOLIAN HIEROGLYPH A005;Lo;0;L;;;;;N;;;;;
        "\u14405",  # ;ANATOLIAN HIEROGLYPH A006;Lo;0;L;;;;;N;;;;;
        "\u14406",  # ;ANATOLIAN HIEROGLYPH A007;Lo;0;L;;;;;N;;;;;
        "\u14407",  # ;ANATOLIAN HIEROGLYPH A008;Lo;0;L;;;;;N;;;;;
        "\u14408",  # ;ANATOLIAN HIEROGLYPH A009;Lo;0;L;;;;;N;;;;;
        "\u14409",  # ;ANATOLIAN HIEROGLYPH A010;Lo;0;L;;;;;N;;;;;
        "\u1440A",  # ;ANATOLIAN HIEROGLYPH A010A;Lo;0;L;;;;;N;;;;;
        "\u1440B",  # ;ANATOLIAN HIEROGLYPH A011;Lo;0;L;;;;;N;;;;;
        "\u1440C",  # ;ANATOLIAN HIEROGLYPH A012;Lo;0;L;;;;;N;;;;;
        "\u1440D",  # ;ANATOLIAN HIEROGLYPH A013;Lo;0;L;;;;;N;;;;;
        "\u1440E",  # ;ANATOLIAN HIEROGLYPH A014;Lo;0;L;;;;;N;;;;;
        "\u1440F",  # ;ANATOLIAN HIEROGLYPH A015;Lo;0;L;;;;;N;;;;;
        "\u14410",  # ;ANATOLIAN HIEROGLYPH A016;Lo;0;L;;;;;N;;;;;
        "\u14411",  # ;ANATOLIAN HIEROGLYPH A017;Lo;0;L;;;;;N;;;;;
        "\u14412",  # ;ANATOLIAN HIEROGLYPH A018;Lo;0;L;;;;;N;;;;;
        "\u14413",  # ;ANATOLIAN HIEROGLYPH A019;Lo;0;L;;;;;N;;;;;
        "\u14414",  # ;ANATOLIAN HIEROGLYPH A020;Lo;0;L;;;;;N;;;;;
        "\u14415",  # ;ANATOLIAN HIEROGLYPH A021;Lo;0;L;;;;;N;;;;;
        "\u14416",  # ;ANATOLIAN HIEROGLYPH A022;Lo;0;L;;;;;N;;;;;
        "\u14417",  # ;ANATOLIAN HIEROGLYPH A023;Lo;0;L;;;;;N;;;;;
        "\u14418",  # ;ANATOLIAN HIEROGLYPH A024;Lo;0;L;;;;;N;;;;;
        "\u14419",  # ;ANATOLIAN HIEROGLYPH A025;Lo;0;L;;;;;N;;;;;
        "\u1441A",  # ;ANATOLIAN HIEROGLYPH A026;Lo;0;L;;;;;N;;;;;
        "\u1441B",  # ;ANATOLIAN HIEROGLYPH A026A;Lo;0;L;;;;;N;;;;;
        "\u1441C",  # ;ANATOLIAN HIEROGLYPH A027;Lo;0;L;;;;;N;;;;;
        "\u1441D",  # ;ANATOLIAN HIEROGLYPH A028;Lo;0;L;;;;;N;;;;;
        "\u1441E",  # ;ANATOLIAN HIEROGLYPH A029;Lo;0;L;;;;;N;;;;;
        "\u1441F",  # ;ANATOLIAN HIEROGLYPH A030;Lo;0;L;;;;;N;;;;;
        "\u14420",  # ;ANATOLIAN HIEROGLYPH A031;Lo;0;L;;;;;N;;;;;
        "\u14421",  # ;ANATOLIAN HIEROGLYPH A032;Lo;0;L;;;;;N;;;;;
        "\u14422",  # ;ANATOLIAN HIEROGLYPH A033;Lo;0;L;;;;;N;;;;;
        "\u14423",  # ;ANATOLIAN HIEROGLYPH A034;Lo;0;L;;;;;N;;;;;
        "\u14424",  # ;ANATOLIAN HIEROGLYPH A035;Lo;0;L;;;;;N;;;;;
        "\u14425",  # ;ANATOLIAN HIEROGLYPH A036;Lo;0;L;;;;;N;;;;;
        "\u14426",  # ;ANATOLIAN HIEROGLYPH A037;Lo;0;L;;;;;N;;;;;
        "\u14427",  # ;ANATOLIAN HIEROGLYPH A038;Lo;0;L;;;;;N;;;;;
        "\u14428",  # ;ANATOLIAN HIEROGLYPH A039;Lo;0;L;;;;;N;;;;;
        "\u14429",  # ;ANATOLIAN HIEROGLYPH A039A;Lo;0;L;;;;;N;;;;;
        "\u1442A",  # ;ANATOLIAN HIEROGLYPH A040;Lo;0;L;;;;;N;;;;;
        "\u1442B",  # ;ANATOLIAN HIEROGLYPH A041;Lo;0;L;;;;;N;;;;;
        "\u1442C",  # ;ANATOLIAN HIEROGLYPH A041A;Lo;0;L;;;;;N;;;;;
        "\u1442D",  # ;ANATOLIAN HIEROGLYPH A042;Lo;0;L;;;;;N;;;;;
        "\u1442E",  # ;ANATOLIAN HIEROGLYPH A043;Lo;0;L;;;;;N;;;;;
        "\u1442F",  # ;ANATOLIAN HIEROGLYPH A044;Lo;0;L;;;;;N;;;;;
        "\u14430",  # ;ANATOLIAN HIEROGLYPH A045;Lo;0;L;;;;;N;;;;;
        "\u14431",  # ;ANATOLIAN HIEROGLYPH A045A;Lo;0;L;;;;;N;;;;;
        "\u14432",  # ;ANATOLIAN HIEROGLYPH A046;Lo;0;L;;;;;N;;;;;
        "\u14433",  # ;ANATOLIAN HIEROGLYPH A046A;Lo;0;L;;;;;N;;;;;
        "\u14434",  # ;ANATOLIAN HIEROGLYPH A046B;Lo;0;L;;;;;N;;;;;
        "\u14435",  # ;ANATOLIAN HIEROGLYPH A047;Lo;0;L;;;;;N;;;;;
        "\u14436",  # ;ANATOLIAN HIEROGLYPH A048;Lo;0;L;;;;;N;;;;;
        "\u14437",  # ;ANATOLIAN HIEROGLYPH A049;Lo;0;L;;;;;N;;;;;
        "\u14438",  # ;ANATOLIAN HIEROGLYPH A050;Lo;0;L;;;;;N;;;;;
        "\u14439",  # ;ANATOLIAN HIEROGLYPH A051;Lo;0;L;;;;;N;;;;;
        "\u1443A",  # ;ANATOLIAN HIEROGLYPH A052;Lo;0;L;;;;;N;;;;;
        "\u1443B",  # ;ANATOLIAN HIEROGLYPH A053;Lo;0;L;;;;;N;;;;;
        "\u1443C",  # ;ANATOLIAN HIEROGLYPH A054;Lo;0;L;;;;;N;;;;;
        "\u1443D",  # ;ANATOLIAN HIEROGLYPH A055;Lo;0;L;;;;;N;;;;;
        "\u1443E",  # ;ANATOLIAN HIEROGLYPH A056;Lo;0;L;;;;;N;;;;;
        "\u1443F",  # ;ANATOLIAN HIEROGLYPH A057;Lo;0;L;;;;;N;;;;;
        "\u14440",  # ;ANATOLIAN HIEROGLYPH A058;Lo;0;L;;;;;N;;;;;
        "\u14441",  # ;ANATOLIAN HIEROGLYPH A059;Lo;0;L;;;;;N;;;;;
        "\u14442",  # ;ANATOLIAN HIEROGLYPH A060;Lo;0;L;;;;;N;;;;;
        "\u14443",  # ;ANATOLIAN HIEROGLYPH A061;Lo;0;L;;;;;N;;;;;
        "\u14444",  # ;ANATOLIAN HIEROGLYPH A062;Lo;0;L;;;;;N;;;;;
        "\u14445",  # ;ANATOLIAN HIEROGLYPH A063;Lo;0;L;;;;;N;;;;;
        "\u14446",  # ;ANATOLIAN HIEROGLYPH A064;Lo;0;L;;;;;N;;;;;
        "\u14447",  # ;ANATOLIAN HIEROGLYPH A065;Lo;0;L;;;;;N;;;;;
        "\u14448",  # ;ANATOLIAN HIEROGLYPH A066;Lo;0;L;;;;;N;;;;;
        "\u14449",  # ;ANATOLIAN HIEROGLYPH A066A;Lo;0;L;;;;;N;;;;;
        "\u1444A",  # ;ANATOLIAN HIEROGLYPH A066B;Lo;0;L;;;;;N;;;;;
        "\u1444B",  # ;ANATOLIAN HIEROGLYPH A066C;Lo;0;L;;;;;N;;;;;
        "\u1444C",  # ;ANATOLIAN HIEROGLYPH A067;Lo;0;L;;;;;N;;;;;
        "\u1444D",  # ;ANATOLIAN HIEROGLYPH A068;Lo;0;L;;;;;N;;;;;
        "\u1444E",  # ;ANATOLIAN HIEROGLYPH A069;Lo;0;L;;;;;N;;;;;
        "\u1444F",  # ;ANATOLIAN HIEROGLYPH A070;Lo;0;L;;;;;N;;;;;
        "\u14450",  # ;ANATOLIAN HIEROGLYPH A071;Lo;0;L;;;;;N;;;;;
        "\u14451",  # ;ANATOLIAN HIEROGLYPH A072;Lo;0;L;;;;;N;;;;;
        "\u14452",  # ;ANATOLIAN HIEROGLYPH A073;Lo;0;L;;;;;N;;;;;
        "\u14453",  # ;ANATOLIAN HIEROGLYPH A074;Lo;0;L;;;;;N;;;;;
        "\u14454",  # ;ANATOLIAN HIEROGLYPH A075;Lo;0;L;;;;;N;;;;;
        "\u14455",  # ;ANATOLIAN HIEROGLYPH A076;Lo;0;L;;;;;N;;;;;
        "\u14456",  # ;ANATOLIAN HIEROGLYPH A077;Lo;0;L;;;;;N;;;;;
        "\u14457",  # ;ANATOLIAN HIEROGLYPH A078;Lo;0;L;;;;;N;;;;;
        "\u14458",  # ;ANATOLIAN HIEROGLYPH A079;Lo;0;L;;;;;N;;;;;
        "\u14459",  # ;ANATOLIAN HIEROGLYPH A080;Lo;0;L;;;;;N;;;;;
        "\u1445A",  # ;ANATOLIAN HIEROGLYPH A081;Lo;0;L;;;;;N;;;;;
        "\u1445B",  # ;ANATOLIAN HIEROGLYPH A082;Lo;0;L;;;;;N;;;;;
        "\u1445C",  # ;ANATOLIAN HIEROGLYPH A083;Lo;0;L;;;;;N;;;;;
        "\u1445D",  # ;ANATOLIAN HIEROGLYPH A084;Lo;0;L;;;;;N;;;;;
        "\u1445E",  # ;ANATOLIAN HIEROGLYPH A085;Lo;0;L;;;;;N;;;;;
        "\u1445F",  # ;ANATOLIAN HIEROGLYPH A086;Lo;0;L;;;;;N;;;;;
        "\u14460",  # ;ANATOLIAN HIEROGLYPH A087;Lo;0;L;;;;;N;;;;;
        "\u14461",  # ;ANATOLIAN HIEROGLYPH A088;Lo;0;L;;;;;N;;;;;
        "\u14462",  # ;ANATOLIAN HIEROGLYPH A089;Lo;0;L;;;;;N;;;;;
        "\u14463",  # ;ANATOLIAN HIEROGLYPH A090;Lo;0;L;;;;;N;;;;;
        "\u14464",  # ;ANATOLIAN HIEROGLYPH A091;Lo;0;L;;;;;N;;;;;
        "\u14465",  # ;ANATOLIAN HIEROGLYPH A092;Lo;0;L;;;;;N;;;;;
        "\u14466",  # ;ANATOLIAN HIEROGLYPH A093;Lo;0;L;;;;;N;;;;;
        "\u14467",  # ;ANATOLIAN HIEROGLYPH A094;Lo;0;L;;;;;N;;;;;
        "\u14468",  # ;ANATOLIAN HIEROGLYPH A095;Lo;0;L;;;;;N;;;;;
        "\u14469",  # ;ANATOLIAN HIEROGLYPH A096;Lo;0;L;;;;;N;;;;;
        "\u1446A",  # ;ANATOLIAN HIEROGLYPH A097;Lo;0;L;;;;;N;;;;;
        "\u1446B",  # ;ANATOLIAN HIEROGLYPH A097A;Lo;0;L;;;;;N;;;;;
        "\u1446C",  # ;ANATOLIAN HIEROGLYPH A098;Lo;0;L;;;;;N;;;;;
        "\u1446D",  # ;ANATOLIAN HIEROGLYPH A098A;Lo;0;L;;;;;N;;;;;
        "\u1446E",  # ;ANATOLIAN HIEROGLYPH A099;Lo;0;L;;;;;N;;;;;
        "\u1446F",  # ;ANATOLIAN HIEROGLYPH A100;Lo;0;L;;;;;N;;;;;
        "\u14470",  # ;ANATOLIAN HIEROGLYPH A100A;Lo;0;L;;;;;N;;;;;
        "\u14471",  # ;ANATOLIAN HIEROGLYPH A101;Lo;0;L;;;;;N;;;;;
        "\u14472",  # ;ANATOLIAN HIEROGLYPH A101A;Lo;0;L;;;;;N;;;;;
        "\u14473",  # ;ANATOLIAN HIEROGLYPH A102;Lo;0;L;;;;;N;;;;;
        "\u14474",  # ;ANATOLIAN HIEROGLYPH A102A;Lo;0;L;;;;;N;;;;;
        "\u14475",  # ;ANATOLIAN HIEROGLYPH A103;Lo;0;L;;;;;N;;;;;
        "\u14476",  # ;ANATOLIAN HIEROGLYPH A104;Lo;0;L;;;;;N;;;;;
        "\u14477",  # ;ANATOLIAN HIEROGLYPH A104A;Lo;0;L;;;;;N;;;;;
        "\u14478",  # ;ANATOLIAN HIEROGLYPH A104B;Lo;0;L;;;;;N;;;;;
        "\u14479",  # ;ANATOLIAN HIEROGLYPH A104C;Lo;0;L;;;;;N;;;;;
        "\u1447A",  # ;ANATOLIAN HIEROGLYPH A105;Lo;0;L;;;;;N;;;;;
        "\u1447B",  # ;ANATOLIAN HIEROGLYPH A105A;Lo;0;L;;;;;N;;;;;
        "\u1447C",  # ;ANATOLIAN HIEROGLYPH A105B;Lo;0;L;;;;;N;;;;;
        "\u1447D",  # ;ANATOLIAN HIEROGLYPH A106;Lo;0;L;;;;;N;;;;;
        "\u1447E",  # ;ANATOLIAN HIEROGLYPH A107;Lo;0;L;;;;;N;;;;;
        "\u1447F",  # ;ANATOLIAN HIEROGLYPH A107A;Lo;0;L;;;;;N;;;;;
        "\u14480",  # ;ANATOLIAN HIEROGLYPH A107B;Lo;0;L;;;;;N;;;;;
        "\u14481",  # ;ANATOLIAN HIEROGLYPH A107C;Lo;0;L;;;;;N;;;;;
        "\u14482",  # ;ANATOLIAN HIEROGLYPH A108;Lo;0;L;;;;;N;;;;;
        "\u14483",  # ;ANATOLIAN HIEROGLYPH A109;Lo;0;L;;;;;N;;;;;
        "\u14484",  # ;ANATOLIAN HIEROGLYPH A110;Lo;0;L;;;;;N;;;;;
        "\u14485",  # ;ANATOLIAN HIEROGLYPH A110A;Lo;0;L;;;;;N;;;;;
        "\u14486",  # ;ANATOLIAN HIEROGLYPH A110B;Lo;0;L;;;;;N;;;;;
        "\u14487",  # ;ANATOLIAN HIEROGLYPH A111;Lo;0;L;;;;;N;;;;;
        "\u14488",  # ;ANATOLIAN HIEROGLYPH A112;Lo;0;L;;;;;N;;;;;
        "\u14489",  # ;ANATOLIAN HIEROGLYPH A113;Lo;0;L;;;;;N;;;;;
        "\u1448A",  # ;ANATOLIAN HIEROGLYPH A114;Lo;0;L;;;;;N;;;;;
        "\u1448B",  # ;ANATOLIAN HIEROGLYPH A115;Lo;0;L;;;;;N;;;;;
        "\u1448C",  # ;ANATOLIAN HIEROGLYPH A115A;Lo;0;L;;;;;N;;;;;
        "\u1448D",  # ;ANATOLIAN HIEROGLYPH A116;Lo;0;L;;;;;N;;;;;
        "\u1448E",  # ;ANATOLIAN HIEROGLYPH A117;Lo;0;L;;;;;N;;;;;
        "\u1448F",  # ;ANATOLIAN HIEROGLYPH A118;Lo;0;L;;;;;N;;;;;
        "\u14490",  # ;ANATOLIAN HIEROGLYPH A119;Lo;0;L;;;;;N;;;;;
        "\u14491",  # ;ANATOLIAN HIEROGLYPH A120;Lo;0;L;;;;;N;;;;;
        "\u14492",  # ;ANATOLIAN HIEROGLYPH A121;Lo;0;L;;;;;N;;;;;
        "\u14493",  # ;ANATOLIAN HIEROGLYPH A122;Lo;0;L;;;;;N;;;;;
        "\u14494",  # ;ANATOLIAN HIEROGLYPH A123;Lo;0;L;;;;;N;;;;;
        "\u14495",  # ;ANATOLIAN HIEROGLYPH A124;Lo;0;L;;;;;N;;;;;
        "\u14496",  # ;ANATOLIAN HIEROGLYPH A125;Lo;0;L;;;;;N;;;;;
        "\u14497",  # ;ANATOLIAN HIEROGLYPH A125A;Lo;0;L;;;;;N;;;;;
        "\u14498",  # ;ANATOLIAN HIEROGLYPH A126;Lo;0;L;;;;;N;;;;;
        "\u14499",  # ;ANATOLIAN HIEROGLYPH A127;Lo;0;L;;;;;N;;;;;
        "\u1449A",  # ;ANATOLIAN HIEROGLYPH A128;Lo;0;L;;;;;N;;;;;
        "\u1449B",  # ;ANATOLIAN HIEROGLYPH A129;Lo;0;L;;;;;N;;;;;
        "\u1449C",  # ;ANATOLIAN HIEROGLYPH A130;Lo;0;L;;;;;N;;;;;
        "\u1449D",  # ;ANATOLIAN HIEROGLYPH A131;Lo;0;L;;;;;N;;;;;
        "\u1449E",  # ;ANATOLIAN HIEROGLYPH A132;Lo;0;L;;;;;N;;;;;
        "\u1449F",  # ;ANATOLIAN HIEROGLYPH A133;Lo;0;L;;;;;N;;;;;
        "\u144A0",  # ;ANATOLIAN HIEROGLYPH A134;Lo;0;L;;;;;N;;;;;
        "\u144A1",  # ;ANATOLIAN HIEROGLYPH A135;Lo;0;L;;;;;N;;;;;
        "\u144A2",  # ;ANATOLIAN HIEROGLYPH A135A;Lo;0;L;;;;;N;;;;;
        "\u144A3",  # ;ANATOLIAN HIEROGLYPH A136;Lo;0;L;;;;;N;;;;;
        "\u144A4",  # ;ANATOLIAN HIEROGLYPH A137;Lo;0;L;;;;;N;;;;;
        "\u144A5",  # ;ANATOLIAN HIEROGLYPH A138;Lo;0;L;;;;;N;;;;;
        "\u144A6",  # ;ANATOLIAN HIEROGLYPH A139;Lo;0;L;;;;;N;;;;;
        "\u144A7",  # ;ANATOLIAN HIEROGLYPH A140;Lo;0;L;;;;;N;;;;;
        "\u144A8",  # ;ANATOLIAN HIEROGLYPH A141;Lo;0;L;;;;;N;;;;;
        "\u144A9",  # ;ANATOLIAN HIEROGLYPH A142;Lo;0;L;;;;;N;;;;;
        "\u144AA",  # ;ANATOLIAN HIEROGLYPH A143;Lo;0;L;;;;;N;;;;;
        "\u144AB",  # ;ANATOLIAN HIEROGLYPH A144;Lo;0;L;;;;;N;;;;;
        "\u144AC",  # ;ANATOLIAN HIEROGLYPH A145;Lo;0;L;;;;;N;;;;;
        "\u144AD",  # ;ANATOLIAN HIEROGLYPH A146;Lo;0;L;;;;;N;;;;;
        "\u144AE",  # ;ANATOLIAN HIEROGLYPH A147;Lo;0;L;;;;;N;;;;;
        "\u144AF",  # ;ANATOLIAN HIEROGLYPH A148;Lo;0;L;;;;;N;;;;;
        "\u144B0",  # ;ANATOLIAN HIEROGLYPH A149;Lo;0;L;;;;;N;;;;;
        "\u144B1",  # ;ANATOLIAN HIEROGLYPH A150;Lo;0;L;;;;;N;;;;;
        "\u144B2",  # ;ANATOLIAN HIEROGLYPH A151;Lo;0;L;;;;;N;;;;;
        "\u144B3",  # ;ANATOLIAN HIEROGLYPH A152;Lo;0;L;;;;;N;;;;;
        "\u144B4",  # ;ANATOLIAN HIEROGLYPH A153;Lo;0;L;;;;;N;;;;;
        "\u144B5",  # ;ANATOLIAN HIEROGLYPH A154;Lo;0;L;;;;;N;;;;;
        "\u144B6",  # ;ANATOLIAN HIEROGLYPH A155;Lo;0;L;;;;;N;;;;;
        "\u144B7",  # ;ANATOLIAN HIEROGLYPH A156;Lo;0;L;;;;;N;;;;;
        "\u144B8",  # ;ANATOLIAN HIEROGLYPH A157;Lo;0;L;;;;;N;;;;;
        "\u144B9",  # ;ANATOLIAN HIEROGLYPH A158;Lo;0;L;;;;;N;;;;;
        "\u144BA",  # ;ANATOLIAN HIEROGLYPH A159;Lo;0;L;;;;;N;;;;;
        "\u144BB",  # ;ANATOLIAN HIEROGLYPH A160;Lo;0;L;;;;;N;;;;;
        "\u144BC",  # ;ANATOLIAN HIEROGLYPH A161;Lo;0;L;;;;;N;;;;;
        "\u144BD",  # ;ANATOLIAN HIEROGLYPH A162;Lo;0;L;;;;;N;;;;;
        "\u144BE",  # ;ANATOLIAN HIEROGLYPH A163;Lo;0;L;;;;;N;;;;;
        "\u144BF",  # ;ANATOLIAN HIEROGLYPH A164;Lo;0;L;;;;;N;;;;;
        "\u144C0",  # ;ANATOLIAN HIEROGLYPH A165;Lo;0;L;;;;;N;;;;;
        "\u144C1",  # ;ANATOLIAN HIEROGLYPH A166;Lo;0;L;;;;;N;;;;;
        "\u144C2",  # ;ANATOLIAN HIEROGLYPH A167;Lo;0;L;;;;;N;;;;;
        "\u144C3",  # ;ANATOLIAN HIEROGLYPH A168;Lo;0;L;;;;;N;;;;;
        "\u144C4",  # ;ANATOLIAN HIEROGLYPH A169;Lo;0;L;;;;;N;;;;;
        "\u144C5",  # ;ANATOLIAN HIEROGLYPH A170;Lo;0;L;;;;;N;;;;;
        "\u144C6",  # ;ANATOLIAN HIEROGLYPH A171;Lo;0;L;;;;;N;;;;;
        "\u144C7",  # ;ANATOLIAN HIEROGLYPH A172;Lo;0;L;;;;;N;;;;;
        "\u144C8",  # ;ANATOLIAN HIEROGLYPH A173;Lo;0;L;;;;;N;;;;;
        "\u144C9",  # ;ANATOLIAN HIEROGLYPH A174;Lo;0;L;;;;;N;;;;;
        "\u144CA",  # ;ANATOLIAN HIEROGLYPH A175;Lo;0;L;;;;;N;;;;;
        "\u144CB",  # ;ANATOLIAN HIEROGLYPH A176;Lo;0;L;;;;;N;;;;;
        "\u144CC",  # ;ANATOLIAN HIEROGLYPH A177;Lo;0;L;;;;;N;;;;;
        "\u144CD",  # ;ANATOLIAN HIEROGLYPH A178;Lo;0;L;;;;;N;;;;;
        "\u144CE",  # ;ANATOLIAN HIEROGLYPH A179;Lo;0;L;;;;;N;;;;;
        "\u144CF",  # ;ANATOLIAN HIEROGLYPH A180;Lo;0;L;;;;;N;;;;;
        "\u144D0",  # ;ANATOLIAN HIEROGLYPH A181;Lo;0;L;;;;;N;;;;;
        "\u144D1",  # ;ANATOLIAN HIEROGLYPH A182;Lo;0;L;;;;;N;;;;;
        "\u144D2",  # ;ANATOLIAN HIEROGLYPH A183;Lo;0;L;;;;;N;;;;;
        "\u144D3",  # ;ANATOLIAN HIEROGLYPH A184;Lo;0;L;;;;;N;;;;;
        "\u144D4",  # ;ANATOLIAN HIEROGLYPH A185;Lo;0;L;;;;;N;;;;;
        "\u144D5",  # ;ANATOLIAN HIEROGLYPH A186;Lo;0;L;;;;;N;;;;;
        "\u144D6",  # ;ANATOLIAN HIEROGLYPH A187;Lo;0;L;;;;;N;;;;;
        "\u144D7",  # ;ANATOLIAN HIEROGLYPH A188;Lo;0;L;;;;;N;;;;;
        "\u144D8",  # ;ANATOLIAN HIEROGLYPH A189;Lo;0;L;;;;;N;;;;;
        "\u144D9",  # ;ANATOLIAN HIEROGLYPH A190;Lo;0;L;;;;;N;;;;;
        "\u144DA",  # ;ANATOLIAN HIEROGLYPH A191;Lo;0;L;;;;;N;;;;;
        "\u144DB",  # ;ANATOLIAN HIEROGLYPH A192;Lo;0;L;;;;;N;;;;;
        "\u144DC",  # ;ANATOLIAN HIEROGLYPH A193;Lo;0;L;;;;;N;;;;;
        "\u144DD",  # ;ANATOLIAN HIEROGLYPH A194;Lo;0;L;;;;;N;;;;;
        "\u144DE",  # ;ANATOLIAN HIEROGLYPH A195;Lo;0;L;;;;;N;;;;;
        "\u144DF",  # ;ANATOLIAN HIEROGLYPH A196;Lo;0;L;;;;;N;;;;;
        "\u144E0",  # ;ANATOLIAN HIEROGLYPH A197;Lo;0;L;;;;;N;;;;;
        "\u144E1",  # ;ANATOLIAN HIEROGLYPH A198;Lo;0;L;;;;;N;;;;;
        "\u144E2",  # ;ANATOLIAN HIEROGLYPH A199;Lo;0;L;;;;;N;;;;;
        "\u144E3",  # ;ANATOLIAN HIEROGLYPH A200;Lo;0;L;;;;;N;;;;;
        "\u144E4",  # ;ANATOLIAN HIEROGLYPH A201;Lo;0;L;;;;;N;;;;;
        "\u144E5",  # ;ANATOLIAN HIEROGLYPH A202;Lo;0;L;;;;;N;;;;;
        "\u144E6",  # ;ANATOLIAN HIEROGLYPH A202A;Lo;0;L;;;;;N;;;;;
        "\u144E7",  # ;ANATOLIAN HIEROGLYPH A202B;Lo;0;L;;;;;N;;;;;
        "\u144E8",  # ;ANATOLIAN HIEROGLYPH A203;Lo;0;L;;;;;N;;;;;
        "\u144E9",  # ;ANATOLIAN HIEROGLYPH A204;Lo;0;L;;;;;N;;;;;
        "\u144EA",  # ;ANATOLIAN HIEROGLYPH A205;Lo;0;L;;;;;N;;;;;
        "\u144EB",  # ;ANATOLIAN HIEROGLYPH A206;Lo;0;L;;;;;N;;;;;
        "\u144EC",  # ;ANATOLIAN HIEROGLYPH A207;Lo;0;L;;;;;N;;;;;
        "\u144ED",  # ;ANATOLIAN HIEROGLYPH A207A;Lo;0;L;;;;;N;;;;;
        "\u144EE",  # ;ANATOLIAN HIEROGLYPH A208;Lo;0;L;;;;;N;;;;;
        "\u144EF",  # ;ANATOLIAN HIEROGLYPH A209;Lo;0;L;;;;;N;;;;;
        "\u144F0",  # ;ANATOLIAN HIEROGLYPH A209A;Lo;0;L;;;;;N;;;;;
        "\u144F1",  # ;ANATOLIAN HIEROGLYPH A210;Lo;0;L;;;;;N;;;;;
        "\u144F2",  # ;ANATOLIAN HIEROGLYPH A211;Lo;0;L;;;;;N;;;;;
        "\u144F3",  # ;ANATOLIAN HIEROGLYPH A212;Lo;0;L;;;;;N;;;;;
        "\u144F4",  # ;ANATOLIAN HIEROGLYPH A213;Lo;0;L;;;;;N;;;;;
        "\u144F5",  # ;ANATOLIAN HIEROGLYPH A214;Lo;0;L;;;;;N;;;;;
        "\u144F6",  # ;ANATOLIAN HIEROGLYPH A215;Lo;0;L;;;;;N;;;;;
        "\u144F7",  # ;ANATOLIAN HIEROGLYPH A215A;Lo;0;L;;;;;N;;;;;
        "\u144F8",  # ;ANATOLIAN HIEROGLYPH A216;Lo;0;L;;;;;N;;;;;
        "\u144F9",  # ;ANATOLIAN HIEROGLYPH A216A;Lo;0;L;;;;;N;;;;;
        "\u144FA",  # ;ANATOLIAN HIEROGLYPH A217;Lo;0;L;;;;;N;;;;;
        "\u144FB",  # ;ANATOLIAN HIEROGLYPH A218;Lo;0;L;;;;;N;;;;;
        "\u144FC",  # ;ANATOLIAN HIEROGLYPH A219;Lo;0;L;;;;;N;;;;;
        "\u144FD",  # ;ANATOLIAN HIEROGLYPH A220;Lo;0;L;;;;;N;;;;;
        "\u144FE",  # ;ANATOLIAN HIEROGLYPH A221;Lo;0;L;;;;;N;;;;;
        "\u144FF",  # ;ANATOLIAN HIEROGLYPH A222;Lo;0;L;;;;;N;;;;;
        "\u14500",  # ;ANATOLIAN HIEROGLYPH A223;Lo;0;L;;;;;N;;;;;
        "\u14501",  # ;ANATOLIAN HIEROGLYPH A224;Lo;0;L;;;;;N;;;;;
        "\u14502",  # ;ANATOLIAN HIEROGLYPH A225;Lo;0;L;;;;;N;;;;;
        "\u14503",  # ;ANATOLIAN HIEROGLYPH A226;Lo;0;L;;;;;N;;;;;
        "\u14504",  # ;ANATOLIAN HIEROGLYPH A227;Lo;0;L;;;;;N;;;;;
        "\u14505",  # ;ANATOLIAN HIEROGLYPH A227A;Lo;0;L;;;;;N;;;;;
        "\u14506",  # ;ANATOLIAN HIEROGLYPH A228;Lo;0;L;;;;;N;;;;;
        "\u14507",  # ;ANATOLIAN HIEROGLYPH A229;Lo;0;L;;;;;N;;;;;
        "\u14508",  # ;ANATOLIAN HIEROGLYPH A230;Lo;0;L;;;;;N;;;;;
        "\u14509",  # ;ANATOLIAN HIEROGLYPH A231;Lo;0;L;;;;;N;;;;;
        "\u1450A",  # ;ANATOLIAN HIEROGLYPH A232;Lo;0;L;;;;;N;;;;;
        "\u1450B",  # ;ANATOLIAN HIEROGLYPH A233;Lo;0;L;;;;;N;;;;;
        "\u1450C",  # ;ANATOLIAN HIEROGLYPH A234;Lo;0;L;;;;;N;;;;;
        "\u1450D",  # ;ANATOLIAN HIEROGLYPH A235;Lo;0;L;;;;;N;;;;;
        "\u1450E",  # ;ANATOLIAN HIEROGLYPH A236;Lo;0;L;;;;;N;;;;;
        "\u1450F",  # ;ANATOLIAN HIEROGLYPH A237;Lo;0;L;;;;;N;;;;;
        "\u14510",  # ;ANATOLIAN HIEROGLYPH A238;Lo;0;L;;;;;N;;;;;
        "\u14511",  # ;ANATOLIAN HIEROGLYPH A239;Lo;0;L;;;;;N;;;;;
        "\u14512",  # ;ANATOLIAN HIEROGLYPH A240;Lo;0;L;;;;;N;;;;;
        "\u14513",  # ;ANATOLIAN HIEROGLYPH A241;Lo;0;L;;;;;N;;;;;
        "\u14514",  # ;ANATOLIAN HIEROGLYPH A242;Lo;0;L;;;;;N;;;;;
        "\u14515",  # ;ANATOLIAN HIEROGLYPH A243;Lo;0;L;;;;;N;;;;;
        "\u14516",  # ;ANATOLIAN HIEROGLYPH A244;Lo;0;L;;;;;N;;;;;
        "\u14517",  # ;ANATOLIAN HIEROGLYPH A245;Lo;0;L;;;;;N;;;;;
        "\u14518",  # ;ANATOLIAN HIEROGLYPH A246;Lo;0;L;;;;;N;;;;;
        "\u14519",  # ;ANATOLIAN HIEROGLYPH A247;Lo;0;L;;;;;N;;;;;
        "\u1451A",  # ;ANATOLIAN HIEROGLYPH A248;Lo;0;L;;;;;N;;;;;
        "\u1451B",  # ;ANATOLIAN HIEROGLYPH A249;Lo;0;L;;;;;N;;;;;
        "\u1451C",  # ;ANATOLIAN HIEROGLYPH A250;Lo;0;L;;;;;N;;;;;
        "\u1451D",  # ;ANATOLIAN HIEROGLYPH A251;Lo;0;L;;;;;N;;;;;
        "\u1451E",  # ;ANATOLIAN HIEROGLYPH A252;Lo;0;L;;;;;N;;;;;
        "\u1451F",  # ;ANATOLIAN HIEROGLYPH A253;Lo;0;L;;;;;N;;;;;
        "\u14520",  # ;ANATOLIAN HIEROGLYPH A254;Lo;0;L;;;;;N;;;;;
        "\u14521",  # ;ANATOLIAN HIEROGLYPH A255;Lo;0;L;;;;;N;;;;;
        "\u14522",  # ;ANATOLIAN HIEROGLYPH A256;Lo;0;L;;;;;N;;;;;
        "\u14523",  # ;ANATOLIAN HIEROGLYPH A257;Lo;0;L;;;;;N;;;;;
        "\u14524",  # ;ANATOLIAN HIEROGLYPH A258;Lo;0;L;;;;;N;;;;;
        "\u14525",  # ;ANATOLIAN HIEROGLYPH A259;Lo;0;L;;;;;N;;;;;
        "\u14526",  # ;ANATOLIAN HIEROGLYPH A260;Lo;0;L;;;;;N;;;;;
        "\u14527",  # ;ANATOLIAN HIEROGLYPH A261;Lo;0;L;;;;;N;;;;;
        "\u14528",  # ;ANATOLIAN HIEROGLYPH A262;Lo;0;L;;;;;N;;;;;
        "\u14529",  # ;ANATOLIAN HIEROGLYPH A263;Lo;0;L;;;;;N;;;;;
        "\u1452A",  # ;ANATOLIAN HIEROGLYPH A264;Lo;0;L;;;;;N;;;;;
        "\u1452B",  # ;ANATOLIAN HIEROGLYPH A265;Lo;0;L;;;;;N;;;;;
        "\u1452C",  # ;ANATOLIAN HIEROGLYPH A266;Lo;0;L;;;;;N;;;;;
        "\u1452D",  # ;ANATOLIAN HIEROGLYPH A267;Lo;0;L;;;;;N;;;;;
        "\u1452E",  # ;ANATOLIAN HIEROGLYPH A267A;Lo;0;L;;;;;N;;;;;
        "\u1452F",  # ;ANATOLIAN HIEROGLYPH A268;Lo;0;L;;;;;N;;;;;
        "\u14530",  # ;ANATOLIAN HIEROGLYPH A269;Lo;0;L;;;;;N;;;;;
        "\u14531",  # ;ANATOLIAN HIEROGLYPH A270;Lo;0;L;;;;;N;;;;;
        "\u14532",  # ;ANATOLIAN HIEROGLYPH A271;Lo;0;L;;;;;N;;;;;
        "\u14533",  # ;ANATOLIAN HIEROGLYPH A272;Lo;0;L;;;;;N;;;;;
        "\u14534",  # ;ANATOLIAN HIEROGLYPH A273;Lo;0;L;;;;;N;;;;;
        "\u14535",  # ;ANATOLIAN HIEROGLYPH A274;Lo;0;L;;;;;N;;;;;
        "\u14536",  # ;ANATOLIAN HIEROGLYPH A275;Lo;0;L;;;;;N;;;;;
        "\u14537",  # ;ANATOLIAN HIEROGLYPH A276;Lo;0;L;;;;;N;;;;;
        "\u14538",  # ;ANATOLIAN HIEROGLYPH A277;Lo;0;L;;;;;N;;;;;
        "\u14539",  # ;ANATOLIAN HIEROGLYPH A278;Lo;0;L;;;;;N;;;;;
        "\u1453A",  # ;ANATOLIAN HIEROGLYPH A279;Lo;0;L;;;;;N;;;;;
        "\u1453B",  # ;ANATOLIAN HIEROGLYPH A280;Lo;0;L;;;;;N;;;;;
        "\u1453C",  # ;ANATOLIAN HIEROGLYPH A281;Lo;0;L;;;;;N;;;;;
        "\u1453D",  # ;ANATOLIAN HIEROGLYPH A282;Lo;0;L;;;;;N;;;;;
        "\u1453E",  # ;ANATOLIAN HIEROGLYPH A283;Lo;0;L;;;;;N;;;;;
        "\u1453F",  # ;ANATOLIAN HIEROGLYPH A284;Lo;0;L;;;;;N;;;;;
        "\u14540",  # ;ANATOLIAN HIEROGLYPH A285;Lo;0;L;;;;;N;;;;;
        "\u14541",  # ;ANATOLIAN HIEROGLYPH A286;Lo;0;L;;;;;N;;;;;
        "\u14542",  # ;ANATOLIAN HIEROGLYPH A287;Lo;0;L;;;;;N;;;;;
        "\u14543",  # ;ANATOLIAN HIEROGLYPH A288;Lo;0;L;;;;;N;;;;;
        "\u14544",  # ;ANATOLIAN HIEROGLYPH A289;Lo;0;L;;;;;N;;;;;
        "\u14545",  # ;ANATOLIAN HIEROGLYPH A289A;Lo;0;L;;;;;N;;;;;
        "\u14546",  # ;ANATOLIAN HIEROGLYPH A290;Lo;0;L;;;;;N;;;;;
        "\u14547",  # ;ANATOLIAN HIEROGLYPH A291;Lo;0;L;;;;;N;;;;;
        "\u14548",  # ;ANATOLIAN HIEROGLYPH A292;Lo;0;L;;;;;N;;;;;
        "\u14549",  # ;ANATOLIAN HIEROGLYPH A293;Lo;0;L;;;;;N;;;;;
        "\u1454A",  # ;ANATOLIAN HIEROGLYPH A294;Lo;0;L;;;;;N;;;;;
        "\u1454B",  # ;ANATOLIAN HIEROGLYPH A294A;Lo;0;L;;;;;N;;;;;
        "\u1454C",  # ;ANATOLIAN HIEROGLYPH A295;Lo;0;L;;;;;N;;;;;
        "\u1454D",  # ;ANATOLIAN HIEROGLYPH A296;Lo;0;L;;;;;N;;;;;
        "\u1454E",  # ;ANATOLIAN HIEROGLYPH A297;Lo;0;L;;;;;N;;;;;
        "\u1454F",  # ;ANATOLIAN HIEROGLYPH A298;Lo;0;L;;;;;N;;;;;
        "\u14550",  # ;ANATOLIAN HIEROGLYPH A299;Lo;0;L;;;;;N;;;;;
        "\u14551",  # ;ANATOLIAN HIEROGLYPH A299A;Lo;0;L;;;;;N;;;;;
        "\u14552",  # ;ANATOLIAN HIEROGLYPH A300;Lo;0;L;;;;;N;;;;;
        "\u14553",  # ;ANATOLIAN HIEROGLYPH A301;Lo;0;L;;;;;N;;;;;
        "\u14554",  # ;ANATOLIAN HIEROGLYPH A302;Lo;0;L;;;;;N;;;;;
        "\u14555",  # ;ANATOLIAN HIEROGLYPH A303;Lo;0;L;;;;;N;;;;;
        "\u14556",  # ;ANATOLIAN HIEROGLYPH A304;Lo;0;L;;;;;N;;;;;
        "\u14557",  # ;ANATOLIAN HIEROGLYPH A305;Lo;0;L;;;;;N;;;;;
        "\u14558",  # ;ANATOLIAN HIEROGLYPH A306;Lo;0;L;;;;;N;;;;;
        "\u14559",  # ;ANATOLIAN HIEROGLYPH A307;Lo;0;L;;;;;N;;;;;
        "\u1455A",  # ;ANATOLIAN HIEROGLYPH A308;Lo;0;L;;;;;N;;;;;
        "\u1455B",  # ;ANATOLIAN HIEROGLYPH A309;Lo;0;L;;;;;N;;;;;
        "\u1455C",  # ;ANATOLIAN HIEROGLYPH A309A;Lo;0;L;;;;;N;;;;;
        "\u1455D",  # ;ANATOLIAN HIEROGLYPH A310;Lo;0;L;;;;;N;;;;;
        "\u1455E",  # ;ANATOLIAN HIEROGLYPH A311;Lo;0;L;;;;;N;;;;;
        "\u1455F",  # ;ANATOLIAN HIEROGLYPH A312;Lo;0;L;;;;;N;;;;;
        "\u14560",  # ;ANATOLIAN HIEROGLYPH A313;Lo;0;L;;;;;N;;;;;
        "\u14561",  # ;ANATOLIAN HIEROGLYPH A314;Lo;0;L;;;;;N;;;;;
        "\u14562",  # ;ANATOLIAN HIEROGLYPH A315;Lo;0;L;;;;;N;;;;;
        "\u14563",  # ;ANATOLIAN HIEROGLYPH A316;Lo;0;L;;;;;N;;;;;
        "\u14564",  # ;ANATOLIAN HIEROGLYPH A317;Lo;0;L;;;;;N;;;;;
        "\u14565",  # ;ANATOLIAN HIEROGLYPH A318;Lo;0;L;;;;;N;;;;;
        "\u14566",  # ;ANATOLIAN HIEROGLYPH A319;Lo;0;L;;;;;N;;;;;
        "\u14567",  # ;ANATOLIAN HIEROGLYPH A320;Lo;0;L;;;;;N;;;;;
        "\u14568",  # ;ANATOLIAN HIEROGLYPH A321;Lo;0;L;;;;;N;;;;;
        "\u14569",  # ;ANATOLIAN HIEROGLYPH A322;Lo;0;L;;;;;N;;;;;
        "\u1456A",  # ;ANATOLIAN HIEROGLYPH A323;Lo;0;L;;;;;N;;;;;
        "\u1456B",  # ;ANATOLIAN HIEROGLYPH A324;Lo;0;L;;;;;N;;;;;
        "\u1456C",  # ;ANATOLIAN HIEROGLYPH A325;Lo;0;L;;;;;N;;;;;
        "\u1456D",  # ;ANATOLIAN HIEROGLYPH A326;Lo;0;L;;;;;N;;;;;
        "\u1456E",  # ;ANATOLIAN HIEROGLYPH A327;Lo;0;L;;;;;N;;;;;
        "\u1456F",  # ;ANATOLIAN HIEROGLYPH A328;Lo;0;L;;;;;N;;;;;
        "\u14570",  # ;ANATOLIAN HIEROGLYPH A329;Lo;0;L;;;;;N;;;;;
        "\u14571",  # ;ANATOLIAN HIEROGLYPH A329A;Lo;0;L;;;;;N;;;;;
        "\u14572",  # ;ANATOLIAN HIEROGLYPH A330;Lo;0;L;;;;;N;;;;;
        "\u14573",  # ;ANATOLIAN HIEROGLYPH A331;Lo;0;L;;;;;N;;;;;
        "\u14574",  # ;ANATOLIAN HIEROGLYPH A332A;Lo;0;L;;;;;N;;;;;
        "\u14575",  # ;ANATOLIAN HIEROGLYPH A332B;Lo;0;L;;;;;N;;;;;
        "\u14576",  # ;ANATOLIAN HIEROGLYPH A332C;Lo;0;L;;;;;N;;;;;
        "\u14577",  # ;ANATOLIAN HIEROGLYPH A333;Lo;0;L;;;;;N;;;;;
        "\u14578",  # ;ANATOLIAN HIEROGLYPH A334;Lo;0;L;;;;;N;;;;;
        "\u14579",  # ;ANATOLIAN HIEROGLYPH A335;Lo;0;L;;;;;N;;;;;
        "\u1457A",  # ;ANATOLIAN HIEROGLYPH A336;Lo;0;L;;;;;N;;;;;
        "\u1457B",  # ;ANATOLIAN HIEROGLYPH A336A;Lo;0;L;;;;;N;;;;;
        "\u1457C",  # ;ANATOLIAN HIEROGLYPH A336B;Lo;0;L;;;;;N;;;;;
        "\u1457D",  # ;ANATOLIAN HIEROGLYPH A336C;Lo;0;L;;;;;N;;;;;
        "\u1457E",  # ;ANATOLIAN HIEROGLYPH A337;Lo;0;L;;;;;N;;;;;
        "\u1457F",  # ;ANATOLIAN HIEROGLYPH A338;Lo;0;L;;;;;N;;;;;
        "\u14580",  # ;ANATOLIAN HIEROGLYPH A339;Lo;0;L;;;;;N;;;;;
        "\u14581",  # ;ANATOLIAN HIEROGLYPH A340;Lo;0;L;;;;;N;;;;;
        "\u14582",  # ;ANATOLIAN HIEROGLYPH A341;Lo;0;L;;;;;N;;;;;
        "\u14583",  # ;ANATOLIAN HIEROGLYPH A342;Lo;0;L;;;;;N;;;;;
        "\u14584",  # ;ANATOLIAN HIEROGLYPH A343;Lo;0;L;;;;;N;;;;;
        "\u14585",  # ;ANATOLIAN HIEROGLYPH A344;Lo;0;L;;;;;N;;;;;
        "\u14586",  # ;ANATOLIAN HIEROGLYPH A345;Lo;0;L;;;;;N;;;;;
        "\u14587",  # ;ANATOLIAN HIEROGLYPH A346;Lo;0;L;;;;;N;;;;;
        "\u14588",  # ;ANATOLIAN HIEROGLYPH A347;Lo;0;L;;;;;N;;;;;
        "\u14589",  # ;ANATOLIAN HIEROGLYPH A348;Lo;0;L;;;;;N;;;;;
        "\u1458A",  # ;ANATOLIAN HIEROGLYPH A349;Lo;0;L;;;;;N;;;;;
        "\u1458B",  # ;ANATOLIAN HIEROGLYPH A350;Lo;0;L;;;;;N;;;;;
        "\u1458C",  # ;ANATOLIAN HIEROGLYPH A351;Lo;0;L;;;;;N;;;;;
        "\u1458D",  # ;ANATOLIAN HIEROGLYPH A352;Lo;0;L;;;;;N;;;;;
        "\u1458E",  # ;ANATOLIAN HIEROGLYPH A353;Lo;0;L;;;;;N;;;;;
        "\u1458F",  # ;ANATOLIAN HIEROGLYPH A354;Lo;0;L;;;;;N;;;;;
        "\u14590",  # ;ANATOLIAN HIEROGLYPH A355;Lo;0;L;;;;;N;;;;;
        "\u14591",  # ;ANATOLIAN HIEROGLYPH A356;Lo;0;L;;;;;N;;;;;
        "\u14592",  # ;ANATOLIAN HIEROGLYPH A357;Lo;0;L;;;;;N;;;;;
        "\u14593",  # ;ANATOLIAN HIEROGLYPH A358;Lo;0;L;;;;;N;;;;;
        "\u14594",  # ;ANATOLIAN HIEROGLYPH A359;Lo;0;L;;;;;N;;;;;
        "\u14595",  # ;ANATOLIAN HIEROGLYPH A359A;Lo;0;L;;;;;N;;;;;
        "\u14596",  # ;ANATOLIAN HIEROGLYPH A360;Lo;0;L;;;;;N;;;;;
        "\u14597",  # ;ANATOLIAN HIEROGLYPH A361;Lo;0;L;;;;;N;;;;;
        "\u14598",  # ;ANATOLIAN HIEROGLYPH A362;Lo;0;L;;;;;N;;;;;
        "\u14599",  # ;ANATOLIAN HIEROGLYPH A363;Lo;0;L;;;;;N;;;;;
        "\u1459A",  # ;ANATOLIAN HIEROGLYPH A364;Lo;0;L;;;;;N;;;;;
        "\u1459B",  # ;ANATOLIAN HIEROGLYPH A364A;Lo;0;L;;;;;N;;;;;
        "\u1459C",  # ;ANATOLIAN HIEROGLYPH A365;Lo;0;L;;;;;N;;;;;
        "\u1459D",  # ;ANATOLIAN HIEROGLYPH A366;Lo;0;L;;;;;N;;;;;
        "\u1459E",  # ;ANATOLIAN HIEROGLYPH A367;Lo;0;L;;;;;N;;;;;
        "\u1459F",  # ;ANATOLIAN HIEROGLYPH A368;Lo;0;L;;;;;N;;;;;
        "\u145A0",  # ;ANATOLIAN HIEROGLYPH A368A;Lo;0;L;;;;;N;;;;;
        "\u145A1",  # ;ANATOLIAN HIEROGLYPH A369;Lo;0;L;;;;;N;;;;;
        "\u145A2",  # ;ANATOLIAN HIEROGLYPH A370;Lo;0;L;;;;;N;;;;;
        "\u145A3",  # ;ANATOLIAN HIEROGLYPH A371;Lo;0;L;;;;;N;;;;;
        "\u145A4",  # ;ANATOLIAN HIEROGLYPH A371A;Lo;0;L;;;;;N;;;;;
        "\u145A5",  # ;ANATOLIAN HIEROGLYPH A372;Lo;0;L;;;;;N;;;;;
        "\u145A6",  # ;ANATOLIAN HIEROGLYPH A373;Lo;0;L;;;;;N;;;;;
        "\u145A7",  # ;ANATOLIAN HIEROGLYPH A374;Lo;0;L;;;;;N;;;;;
        "\u145A8",  # ;ANATOLIAN HIEROGLYPH A375;Lo;0;L;;;;;N;;;;;
        "\u145A9",  # ;ANATOLIAN HIEROGLYPH A376;Lo;0;L;;;;;N;;;;;
        "\u145AA",  # ;ANATOLIAN HIEROGLYPH A377;Lo;0;L;;;;;N;;;;;
        "\u145AB",  # ;ANATOLIAN HIEROGLYPH A378;Lo;0;L;;;;;N;;;;;
        "\u145AC",  # ;ANATOLIAN HIEROGLYPH A379;Lo;0;L;;;;;N;;;;;
        "\u145AD",  # ;ANATOLIAN HIEROGLYPH A380;Lo;0;L;;;;;N;;;;;
        "\u145AE",  # ;ANATOLIAN HIEROGLYPH A381;Lo;0;L;;;;;N;;;;;
        "\u145AF",  # ;ANATOLIAN HIEROGLYPH A381A;Lo;0;L;;;;;N;;;;;
        "\u145B0",  # ;ANATOLIAN HIEROGLYPH A382;Lo;0;L;;;;;N;;;;;
        "\u145B1",  # ;ANATOLIAN HIEROGLYPH A383 RA OR RI;Lo;0;L;;;;;N;;;;;
        "\u145B2",  # ;ANATOLIAN HIEROGLYPH A383A;Lo;0;L;;;;;N;;;;;
        "\u145B3",  # ;ANATOLIAN HIEROGLYPH A384;Lo;0;L;;;;;N;;;;;
        "\u145B4",  # ;ANATOLIAN HIEROGLYPH A385;Lo;0;L;;;;;N;;;;;
        "\u145B5",  # ;ANATOLIAN HIEROGLYPH A386;Lo;0;L;;;;;N;;;;;
        "\u145B6",  # ;ANATOLIAN HIEROGLYPH A386A;Lo;0;L;;;;;N;;;;;
        "\u145B7",  # ;ANATOLIAN HIEROGLYPH A387;Lo;0;L;;;;;N;;;;;
        "\u145B8",  # ;ANATOLIAN HIEROGLYPH A388;Lo;0;L;;;;;N;;;;;
        "\u145B9",  # ;ANATOLIAN HIEROGLYPH A389;Lo;0;L;;;;;N;;;;;
        "\u145BA",  # ;ANATOLIAN HIEROGLYPH A390;Lo;0;L;;;;;N;;;;;
        "\u145BB",  # ;ANATOLIAN HIEROGLYPH A391;Lo;0;L;;;;;N;;;;;
        "\u145BC",  # ;ANATOLIAN HIEROGLYPH A392;Lo;0;L;;;;;N;;;;;
        "\u145BD",  # ;ANATOLIAN HIEROGLYPH A393 EIGHT;Lo;0;L;;;;;N;;;;;
        "\u145BE",  # ;ANATOLIAN HIEROGLYPH A394;Lo;0;L;;;;;N;;;;;
        "\u145BF",  # ;ANATOLIAN HIEROGLYPH A395;Lo;0;L;;;;;N;;;;;
        "\u145C0",  # ;ANATOLIAN HIEROGLYPH A396;Lo;0;L;;;;;N;;;;;
        "\u145C1",  # ;ANATOLIAN HIEROGLYPH A397;Lo;0;L;;;;;N;;;;;
        "\u145C2",  # ;ANATOLIAN HIEROGLYPH A398;Lo;0;L;;;;;N;;;;;
        "\u145C3",  # ;ANATOLIAN HIEROGLYPH A399;Lo;0;L;;;;;N;;;;;
        "\u145C4",  # ;ANATOLIAN HIEROGLYPH A400;Lo;0;L;;;;;N;;;;;
        "\u145C5",  # ;ANATOLIAN HIEROGLYPH A401;Lo;0;L;;;;;N;;;;;
        "\u145C6",  # ;ANATOLIAN HIEROGLYPH A402;Lo;0;L;;;;;N;;;;;
        "\u145C7",  # ;ANATOLIAN HIEROGLYPH A403;Lo;0;L;;;;;N;;;;;
        "\u145C8",  # ;ANATOLIAN HIEROGLYPH A404;Lo;0;L;;;;;N;;;;;
        "\u145C9",  # ;ANATOLIAN HIEROGLYPH A405;Lo;0;L;;;;;N;;;;;
        "\u145CA",  # ;ANATOLIAN HIEROGLYPH A406;Lo;0;L;;;;;N;;;;;
        "\u145CB",  # ;ANATOLIAN HIEROGLYPH A407;Lo;0;L;;;;;N;;;;;
        "\u145CC",  # ;ANATOLIAN HIEROGLYPH A408;Lo;0;L;;;;;N;;;;;
        "\u145CD",  # ;ANATOLIAN HIEROGLYPH A409;Lo;0;L;;;;;N;;;;;
        "\u145CE",  # ;ANATOLIAN HIEROGLYPH A410 BEGIN LOGOGRAM MARK;Lo;0;L;;;;;N;;;;;
        "\u145CF",  # ;ANATOLIAN HIEROGLYPH A410A END LOGOGRAM MARK;Lo;0;L;;;;;N;;;;;
        "\u145D0",  # ;ANATOLIAN HIEROGLYPH A411;Lo;0;L;;;;;N;;;;;
        "\u145D1",  # ;ANATOLIAN HIEROGLYPH A412;Lo;0;L;;;;;N;;;;;
        "\u145D2",  # ;ANATOLIAN HIEROGLYPH A413;Lo;0;L;;;;;N;;;;;
        "\u145D3",  # ;ANATOLIAN HIEROGLYPH A414;Lo;0;L;;;;;N;;;;;
        "\u145D4",  # ;ANATOLIAN HIEROGLYPH A415;Lo;0;L;;;;;N;;;;;
        "\u145D5",  # ;ANATOLIAN HIEROGLYPH A416;Lo;0;L;;;;;N;;;;;
        "\u145D6",  # ;ANATOLIAN HIEROGLYPH A417;Lo;0;L;;;;;N;;;;;
        "\u145D7",  # ;ANATOLIAN HIEROGLYPH A418;Lo;0;L;;;;;N;;;;;
        "\u145D8",  # ;ANATOLIAN HIEROGLYPH A419;Lo;0;L;;;;;N;;;;;
        "\u145D9",  # ;ANATOLIAN HIEROGLYPH A420;Lo;0;L;;;;;N;;;;;
        "\u145DA",  # ;ANATOLIAN HIEROGLYPH A421;Lo;0;L;;;;;N;;;;;
        "\u145DB",  # ;ANATOLIAN HIEROGLYPH A422;Lo;0;L;;;;;N;;;;;
        "\u145DC",  # ;ANATOLIAN HIEROGLYPH A423;Lo;0;L;;;;;N;;;;;
        "\u145DD",  # ;ANATOLIAN HIEROGLYPH A424;Lo;0;L;;;;;N;;;;;
        "\u145DE",  # ;ANATOLIAN HIEROGLYPH A425;Lo;0;L;;;;;N;;;;;
        "\u145DF",  # ;ANATOLIAN HIEROGLYPH A426;Lo;0;L;;;;;N;;;;;
        "\u145E0",  # ;ANATOLIAN HIEROGLYPH A427;Lo;0;L;;;;;N;;;;;
        "\u145E1",  # ;ANATOLIAN HIEROGLYPH A428;Lo;0;L;;;;;N;;;;;
        "\u145E2",  # ;ANATOLIAN HIEROGLYPH A429;Lo;0;L;;;;;N;;;;;
        "\u145E3",  # ;ANATOLIAN HIEROGLYPH A430;Lo;0;L;;;;;N;;;;;
        "\u145E4",  # ;ANATOLIAN HIEROGLYPH A431;Lo;0;L;;;;;N;;;;;
        "\u145E5",  # ;ANATOLIAN HIEROGLYPH A432;Lo;0;L;;;;;N;;;;;
        "\u145E6",  # ;ANATOLIAN HIEROGLYPH A433;Lo;0;L;;;;;N;;;;;
        "\u145E7",  # ;ANATOLIAN HIEROGLYPH A434;Lo;0;L;;;;;N;;;;;
        "\u145E8",  # ;ANATOLIAN HIEROGLYPH A435;Lo;0;L;;;;;N;;;;;
        "\u145E9",  # ;ANATOLIAN HIEROGLYPH A436;Lo;0;L;;;;;N;;;;;
        "\u145EA",  # ;ANATOLIAN HIEROGLYPH A437;Lo;0;L;;;;;N;;;;;
        "\u145EB",  # ;ANATOLIAN HIEROGLYPH A438;Lo;0;L;;;;;N;;;;;
        "\u145EC",  # ;ANATOLIAN HIEROGLYPH A439;Lo;0;L;;;;;N;;;;;
        "\u145ED",  # ;ANATOLIAN HIEROGLYPH A440;Lo;0;L;;;;;N;;;;;
        "\u145EE",  # ;ANATOLIAN HIEROGLYPH A441;Lo;0;L;;;;;N;;;;;
        "\u145EF",  # ;ANATOLIAN HIEROGLYPH A442;Lo;0;L;;;;;N;;;;;
        "\u145F0",  # ;ANATOLIAN HIEROGLYPH A443;Lo;0;L;;;;;N;;;;;
        "\u145F1",  # ;ANATOLIAN HIEROGLYPH A444;Lo;0;L;;;;;N;;;;;
        "\u145F2",  # ;ANATOLIAN HIEROGLYPH A445;Lo;0;L;;;;;N;;;;;
        "\u145F3",  # ;ANATOLIAN HIEROGLYPH A446;Lo;0;L;;;;;N;;;;;
        "\u145F4",  # ;ANATOLIAN HIEROGLYPH A447;Lo;0;L;;;;;N;;;;;
        "\u145F5",  # ;ANATOLIAN HIEROGLYPH A448;Lo;0;L;;;;;N;;;;;
        "\u145F6",  # ;ANATOLIAN HIEROGLYPH A449;Lo;0;L;;;;;N;;;;;
        "\u145F7",  # ;ANATOLIAN HIEROGLYPH A450;Lo;0;L;;;;;N;;;;;
        "\u145F8",  # ;ANATOLIAN HIEROGLYPH A450A;Lo;0;L;;;;;N;;;;;
        "\u145F9",  # ;ANATOLIAN HIEROGLYPH A451;Lo;0;L;;;;;N;;;;;
        "\u145FA",  # ;ANATOLIAN HIEROGLYPH A452;Lo;0;L;;;;;N;;;;;
        "\u145FB",  # ;ANATOLIAN HIEROGLYPH A453;Lo;0;L;;;;;N;;;;;
        "\u145FC",  # ;ANATOLIAN HIEROGLYPH A454;Lo;0;L;;;;;N;;;;;
        "\u145FD",  # ;ANATOLIAN HIEROGLYPH A455;Lo;0;L;;;;;N;;;;;
        "\u145FE",  # ;ANATOLIAN HIEROGLYPH A456;Lo;0;L;;;;;N;;;;;
        "\u145FF",  # ;ANATOLIAN HIEROGLYPH A457;Lo;0;L;;;;;N;;;;;
        "\u14600",  # ;ANATOLIAN HIEROGLYPH A457A;Lo;0;L;;;;;N;;;;;
        "\u14601",  # ;ANATOLIAN HIEROGLYPH A458;Lo;0;L;;;;;N;;;;;
        "\u14602",  # ;ANATOLIAN HIEROGLYPH A459;Lo;0;L;;;;;N;;;;;
        "\u14603",  # ;ANATOLIAN HIEROGLYPH A460;Lo;0;L;;;;;N;;;;;
        "\u14604",  # ;ANATOLIAN HIEROGLYPH A461;Lo;0;L;;;;;N;;;;;
        "\u14605",  # ;ANATOLIAN HIEROGLYPH A462;Lo;0;L;;;;;N;;;;;
        "\u14606",  # ;ANATOLIAN HIEROGLYPH A463;Lo;0;L;;;;;N;;;;;
        "\u14607",  # ;ANATOLIAN HIEROGLYPH A464;Lo;0;L;;;;;N;;;;;
        "\u14608",  # ;ANATOLIAN HIEROGLYPH A465;Lo;0;L;;;;;N;;;;;
        "\u14609",  # ;ANATOLIAN HIEROGLYPH A466;Lo;0;L;;;;;N;;;;;
        "\u1460A",  # ;ANATOLIAN HIEROGLYPH A467;Lo;0;L;;;;;N;;;;;
        "\u1460B",  # ;ANATOLIAN HIEROGLYPH A468;Lo;0;L;;;;;N;;;;;
        "\u1460C",  # ;ANATOLIAN HIEROGLYPH A469;Lo;0;L;;;;;N;;;;;
        "\u1460D",  # ;ANATOLIAN HIEROGLYPH A470;Lo;0;L;;;;;N;;;;;
        "\u1460E",  # ;ANATOLIAN HIEROGLYPH A471;Lo;0;L;;;;;N;;;;;
        "\u1460F",  # ;ANATOLIAN HIEROGLYPH A472;Lo;0;L;;;;;N;;;;;
        "\u14610",  # ;ANATOLIAN HIEROGLYPH A473;Lo;0;L;;;;;N;;;;;
        "\u14611",  # ;ANATOLIAN HIEROGLYPH A474;Lo;0;L;;;;;N;;;;;
        "\u14612",  # ;ANATOLIAN HIEROGLYPH A475;Lo;0;L;;;;;N;;;;;
        "\u14613",  # ;ANATOLIAN HIEROGLYPH A476;Lo;0;L;;;;;N;;;;;
        "\u14614",  # ;ANATOLIAN HIEROGLYPH A477;Lo;0;L;;;;;N;;;;;
        "\u14615",  # ;ANATOLIAN HIEROGLYPH A478;Lo;0;L;;;;;N;;;;;
        "\u14616",  # ;ANATOLIAN HIEROGLYPH A479;Lo;0;L;;;;;N;;;;;
        "\u14617",  # ;ANATOLIAN HIEROGLYPH A480;Lo;0;L;;;;;N;;;;;
        "\u14618",  # ;ANATOLIAN HIEROGLYPH A481;Lo;0;L;;;;;N;;;;;
        "\u14619",  # ;ANATOLIAN HIEROGLYPH A482;Lo;0;L;;;;;N;;;;;
        "\u1461A",  # ;ANATOLIAN HIEROGLYPH A483;Lo;0;L;;;;;N;;;;;
        "\u1461B",  # ;ANATOLIAN HIEROGLYPH A484;Lo;0;L;;;;;N;;;;;
        "\u1461C",  # ;ANATOLIAN HIEROGLYPH A485;Lo;0;L;;;;;N;;;;;
        "\u1461D",  # ;ANATOLIAN HIEROGLYPH A486;Lo;0;L;;;;;N;;;;;
        "\u1461E",  # ;ANATOLIAN HIEROGLYPH A487;Lo;0;L;;;;;N;;;;;
        "\u1461F",  # ;ANATOLIAN HIEROGLYPH A488;Lo;0;L;;;;;N;;;;;
        "\u14620",  # ;ANATOLIAN HIEROGLYPH A489;Lo;0;L;;;;;N;;;;;
        "\u14621",  # ;ANATOLIAN HIEROGLYPH A490;Lo;0;L;;;;;N;;;;;
        "\u14622",  # ;ANATOLIAN HIEROGLYPH A491;Lo;0;L;;;;;N;;;;;
        "\u14623",  # ;ANATOLIAN HIEROGLYPH A492;Lo;0;L;;;;;N;;;;;
        "\u14624",  # ;ANATOLIAN HIEROGLYPH A493;Lo;0;L;;;;;N;;;;;
        "\u14625",  # ;ANATOLIAN HIEROGLYPH A494;Lo;0;L;;;;;N;;;;;
        "\u14626",  # ;ANATOLIAN HIEROGLYPH A495;Lo;0;L;;;;;N;;;;;
        "\u14627",  # ;ANATOLIAN HIEROGLYPH A496;Lo;0;L;;;;;N;;;;;
        "\u14628",  # ;ANATOLIAN HIEROGLYPH A497;Lo;0;L;;;;;N;;;;;
        "\u14629",  # ;ANATOLIAN HIEROGLYPH A501;Lo;0;L;;;;;N;;;;;
        "\u1462A",  # ;ANATOLIAN HIEROGLYPH A502;Lo;0;L;;;;;N;;;;;
        "\u1462B",  # ;ANATOLIAN HIEROGLYPH A503;Lo;0;L;;;;;N;;;;;
        "\u1462C",  # ;ANATOLIAN HIEROGLYPH A504;Lo;0;L;;;;;N;;;;;
        "\u1462D",  # ;ANATOLIAN HIEROGLYPH A505;Lo;0;L;;;;;N;;;;;
        "\u1462E",  # ;ANATOLIAN HIEROGLYPH A506;Lo;0;L;;;;;N;;;;;
        "\u1462F",  # ;ANATOLIAN HIEROGLYPH A507;Lo;0;L;;;;;N;;;;;
        "\u14630",  # ;ANATOLIAN HIEROGLYPH A508;Lo;0;L;;;;;N;;;;;
        "\u14631",  # ;ANATOLIAN HIEROGLYPH A509;Lo;0;L;;;;;N;;;;;
        "\u14632",  # ;ANATOLIAN HIEROGLYPH A510;Lo;0;L;;;;;N;;;;;
        "\u14633",  # ;ANATOLIAN HIEROGLYPH A511;Lo;0;L;;;;;N;;;;;
        "\u14634",  # ;ANATOLIAN HIEROGLYPH A512;Lo;0;L;;;;;N;;;;;
        "\u14635",  # ;ANATOLIAN HIEROGLYPH A513;Lo;0;L;;;;;N;;;;;
        "\u14636",  # ;ANATOLIAN HIEROGLYPH A514;Lo;0;L;;;;;N;;;;;
        "\u14637",  # ;ANATOLIAN HIEROGLYPH A515;Lo;0;L;;;;;N;;;;;
        "\u14638",  # ;ANATOLIAN HIEROGLYPH A516;Lo;0;L;;;;;N;;;;;
        "\u14639",  # ;ANATOLIAN HIEROGLYPH A517;Lo;0;L;;;;;N;;;;;
        "\u1463A",  # ;ANATOLIAN HIEROGLYPH A518;Lo;0;L;;;;;N;;;;;
        "\u1463B",  # ;ANATOLIAN HIEROGLYPH A519;Lo;0;L;;;;;N;;;;;
        "\u1463C",  # ;ANATOLIAN HIEROGLYPH A520;Lo;0;L;;;;;N;;;;;
        "\u1463D",  # ;ANATOLIAN HIEROGLYPH A521;Lo;0;L;;;;;N;;;;;
        "\u1463E",  # ;ANATOLIAN HIEROGLYPH A522;Lo;0;L;;;;;N;;;;;
        "\u1463F",  # ;ANATOLIAN HIEROGLYPH A523;Lo;0;L;;;;;N;;;;;
        "\u14640",  # ;ANATOLIAN HIEROGLYPH A524;Lo;0;L;;;;;N;;;;;
        "\u14641",  # ;ANATOLIAN HIEROGLYPH A525;Lo;0;L;;;;;N;;;;;
        "\u14642",  # ;ANATOLIAN HIEROGLYPH A526;Lo;0;L;;;;;N;;;;;
        "\u14643",  # ;ANATOLIAN HIEROGLYPH A527;Lo;0;L;;;;;N;;;;;
        "\u14644",  # ;ANATOLIAN HIEROGLYPH A528;Lo;0;L;;;;;N;;;;;
        "\u14645",  # ;ANATOLIAN HIEROGLYPH A529;Lo;0;L;;;;;N;;;;;
        "\u14646",  # ;ANATOLIAN HIEROGLYPH A530;Lo;0;L;;;;;N;;;;;
        "\u16800",  # ;BAMUM LETTER PHASE-A NGKUE MFON;Lo;0;L;;;;;N;;;;;
        "\u16801",  # ;BAMUM LETTER PHASE-A GBIEE FON;Lo;0;L;;;;;N;;;;;
        "\u16802",  # ;BAMUM LETTER PHASE-A PON MFON PIPAEMGBIEE;Lo;0;L;;;;;N;;;;;
        "\u16803",  # ;BAMUM LETTER PHASE-A PON MFON PIPAEMBA;Lo;0;L;;;;;N;;;;;
        "\u16804",  # ;BAMUM LETTER PHASE-A NAA MFON;Lo;0;L;;;;;N;;;;;
        "\u16805",  # ;BAMUM LETTER PHASE-A SHUENSHUET;Lo;0;L;;;;;N;;;;;
        "\u16806",  # ;BAMUM LETTER PHASE-A TITA MFON;Lo;0;L;;;;;N;;;;;
        "\u16807",  # ;BAMUM LETTER PHASE-A NZA MFON;Lo;0;L;;;;;N;;;;;
        "\u16808",  # ;BAMUM LETTER PHASE-A SHINDA PA NJI;Lo;0;L;;;;;N;;;;;
        "\u16809",  # ;BAMUM LETTER PHASE-A PON PA NJI PIPAEMGBIEE;Lo;0;L;;;;;N;;;;;
        "\u1680A",  # ;BAMUM LETTER PHASE-A PON PA NJI PIPAEMBA;Lo;0;L;;;;;N;;;;;
        "\u1680B",  # ;BAMUM LETTER PHASE-A MAEMBGBIEE;Lo;0;L;;;;;N;;;;;
        "\u1680C",  # ;BAMUM LETTER PHASE-A TU MAEMBA;Lo;0;L;;;;;N;;;;;
        "\u1680D",  # ;BAMUM LETTER PHASE-A NGANGU;Lo;0;L;;;;;N;;;;;
        "\u1680E",  # ;BAMUM LETTER PHASE-A MAEMVEUX;Lo;0;L;;;;;N;;;;;
        "\u1680F",  # ;BAMUM LETTER PHASE-A MANSUAE;Lo;0;L;;;;;N;;;;;
        "\u16810",  # ;BAMUM LETTER PHASE-A MVEUAENGAM;Lo;0;L;;;;;N;;;;;
        "\u16811",  # ;BAMUM LETTER PHASE-A SEUNYAM;Lo;0;L;;;;;N;;;;;
        "\u16812",  # ;BAMUM LETTER PHASE-A NTOQPEN;Lo;0;L;;;;;N;;;;;
        "\u16813",  # ;BAMUM LETTER PHASE-A KEUKEUTNDA;Lo;0;L;;;;;N;;;;;
        "\u16814",  # ;BAMUM LETTER PHASE-A NKINDI;Lo;0;L;;;;;N;;;;;
        "\u16815",  # ;BAMUM LETTER PHASE-A SUU;Lo;0;L;;;;;N;;;;;
        "\u16816",  # ;BAMUM LETTER PHASE-A NGKUENZEUM;Lo;0;L;;;;;N;;;;;
        "\u16817",  # ;BAMUM LETTER PHASE-A LAPAQ;Lo;0;L;;;;;N;;;;;
        "\u16818",  # ;BAMUM LETTER PHASE-A LET KUT;Lo;0;L;;;;;N;;;;;
        "\u16819",  # ;BAMUM LETTER PHASE-A NTAP MFAA;Lo;0;L;;;;;N;;;;;
        "\u1681A",  # ;BAMUM LETTER PHASE-A MAEKEUP;Lo;0;L;;;;;N;;;;;
        "\u1681B",  # ;BAMUM LETTER PHASE-A PASHAE;Lo;0;L;;;;;N;;;;;
        "\u1681C",  # ;BAMUM LETTER PHASE-A GHEUAERAE;Lo;0;L;;;;;N;;;;;
        "\u1681D",  # ;BAMUM LETTER PHASE-A PAMSHAE;Lo;0;L;;;;;N;;;;;
        "\u1681E",  # ;BAMUM LETTER PHASE-A MON NGGEUAET;Lo;0;L;;;;;N;;;;;
        "\u1681F",  # ;BAMUM LETTER PHASE-A NZUN MEUT;Lo;0;L;;;;;N;;;;;
        "\u16820",  # ;BAMUM LETTER PHASE-A U YUQ NAE;Lo;0;L;;;;;N;;;;;
        "\u16821",  # ;BAMUM LETTER PHASE-A GHEUAEGHEUAE;Lo;0;L;;;;;N;;;;;
        "\u16822",  # ;BAMUM LETTER PHASE-A NTAP NTAA;Lo;0;L;;;;;N;;;;;
        "\u16823",  # ;BAMUM LETTER PHASE-A SISA;Lo;0;L;;;;;N;;;;;
        "\u16824",  # ;BAMUM LETTER PHASE-A MGBASA;Lo;0;L;;;;;N;;;;;
        "\u16825",  # ;BAMUM LETTER PHASE-A MEUNJOMNDEUQ;Lo;0;L;;;;;N;;;;;
        "\u16826",  # ;BAMUM LETTER PHASE-A MOOMPUQ;Lo;0;L;;;;;N;;;;;
        "\u16827",  # ;BAMUM LETTER PHASE-A KAFA;Lo;0;L;;;;;N;;;;;
        "\u16828",  # ;BAMUM LETTER PHASE-A PA LEERAEWA;Lo;0;L;;;;;N;;;;;
        "\u16829",  # ;BAMUM LETTER PHASE-A NDA LEERAEWA;Lo;0;L;;;;;N;;;;;
        "\u1682A",  # ;BAMUM LETTER PHASE-A PET;Lo;0;L;;;;;N;;;;;
        "\u1682B",  # ;BAMUM LETTER PHASE-A MAEMKPEN;Lo;0;L;;;;;N;;;;;
        "\u1682C",  # ;BAMUM LETTER PHASE-A NIKA;Lo;0;L;;;;;N;;;;;
        "\u1682D",  # ;BAMUM LETTER PHASE-A PUP;Lo;0;L;;;;;N;;;;;
        "\u1682E",  # ;BAMUM LETTER PHASE-A TUAEP;Lo;0;L;;;;;N;;;;;
        "\u1682F",  # ;BAMUM LETTER PHASE-A LUAEP;Lo;0;L;;;;;N;;;;;
        "\u16830",  # ;BAMUM LETTER PHASE-A SONJAM;Lo;0;L;;;;;N;;;;;
        "\u16831",  # ;BAMUM LETTER PHASE-A TEUTEUWEN;Lo;0;L;;;;;N;;;;;
        "\u16832",  # ;BAMUM LETTER PHASE-A MAENYI;Lo;0;L;;;;;N;;;;;
        "\u16833",  # ;BAMUM LETTER PHASE-A KET;Lo;0;L;;;;;N;;;;;
        "\u16834",  # ;BAMUM LETTER PHASE-A NDAANGGEUAET;Lo;0;L;;;;;N;;;;;
        "\u16835",  # ;BAMUM LETTER PHASE-A KUOQ;Lo;0;L;;;;;N;;;;;
        "\u16836",  # ;BAMUM LETTER PHASE-A MOOMEUT;Lo;0;L;;;;;N;;;;;
        "\u16837",  # ;BAMUM LETTER PHASE-A SHUM;Lo;0;L;;;;;N;;;;;
        "\u16838",  # ;BAMUM LETTER PHASE-A LOMMAE;Lo;0;L;;;;;N;;;;;
        "\u16839",  # ;BAMUM LETTER PHASE-A FIRI;Lo;0;L;;;;;N;;;;;
        "\u1683A",  # ;BAMUM LETTER PHASE-A ROM;Lo;0;L;;;;;N;;;;;
        "\u1683B",  # ;BAMUM LETTER PHASE-A KPOQ;Lo;0;L;;;;;N;;;;;
        "\u1683C",  # ;BAMUM LETTER PHASE-A SOQ;Lo;0;L;;;;;N;;;;;
        "\u1683D",  # ;BAMUM LETTER PHASE-A MAP PIEET;Lo;0;L;;;;;N;;;;;
        "\u1683E",  # ;BAMUM LETTER PHASE-A SHIRAE;Lo;0;L;;;;;N;;;;;
        "\u1683F",  # ;BAMUM LETTER PHASE-A NTAP;Lo;0;L;;;;;N;;;;;
        "\u16840",  # ;BAMUM LETTER PHASE-A SHOQ NSHUT YUM;Lo;0;L;;;;;N;;;;;
        "\u16841",  # ;BAMUM LETTER PHASE-A NYIT MONGKEUAEQ;Lo;0;L;;;;;N;;;;;
        "\u16842",  # ;BAMUM LETTER PHASE-A PAARAE;Lo;0;L;;;;;N;;;;;
        "\u16843",  # ;BAMUM LETTER PHASE-A NKAARAE;Lo;0;L;;;;;N;;;;;
        "\u16844",  # ;BAMUM LETTER PHASE-A UNKNOWN;Lo;0;L;;;;;N;;;;;
        "\u16845",  # ;BAMUM LETTER PHASE-A NGGEN;Lo;0;L;;;;;N;;;;;
        "\u16846",  # ;BAMUM LETTER PHASE-A MAESI;Lo;0;L;;;;;N;;;;;
        "\u16847",  # ;BAMUM LETTER PHASE-A NJAM;Lo;0;L;;;;;N;;;;;
        "\u16848",  # ;BAMUM LETTER PHASE-A MBANYI;Lo;0;L;;;;;N;;;;;
        "\u16849",  # ;BAMUM LETTER PHASE-A NYET;Lo;0;L;;;;;N;;;;;
        "\u1684A",  # ;BAMUM LETTER PHASE-A TEUAEN;Lo;0;L;;;;;N;;;;;
        "\u1684B",  # ;BAMUM LETTER PHASE-A SOT;Lo;0;L;;;;;N;;;;;
        "\u1684C",  # ;BAMUM LETTER PHASE-A PAAM;Lo;0;L;;;;;N;;;;;
        "\u1684D",  # ;BAMUM LETTER PHASE-A NSHIEE;Lo;0;L;;;;;N;;;;;
        "\u1684E",  # ;BAMUM LETTER PHASE-A MAEM;Lo;0;L;;;;;N;;;;;
        "\u1684F",  # ;BAMUM LETTER PHASE-A NYI;Lo;0;L;;;;;N;;;;;
        "\u16850",  # ;BAMUM LETTER PHASE-A KAQ;Lo;0;L;;;;;N;;;;;
        "\u16851",  # ;BAMUM LETTER PHASE-A NSHA;Lo;0;L;;;;;N;;;;;
        "\u16852",  # ;BAMUM LETTER PHASE-A VEE;Lo;0;L;;;;;N;;;;;
        "\u16853",  # ;BAMUM LETTER PHASE-A LU;Lo;0;L;;;;;N;;;;;
        "\u16854",  # ;BAMUM LETTER PHASE-A NEN;Lo;0;L;;;;;N;;;;;
        "\u16855",  # ;BAMUM LETTER PHASE-A NAQ;Lo;0;L;;;;;N;;;;;
        "\u16856",  # ;BAMUM LETTER PHASE-A MBAQ;Lo;0;L;;;;;N;;;;;
        "\u16857",  # ;BAMUM LETTER PHASE-B NSHUET;Lo;0;L;;;;;N;;;;;
        "\u16858",  # ;BAMUM LETTER PHASE-B TU MAEMGBIEE;Lo;0;L;;;;;N;;;;;
        "\u16859",  # ;BAMUM LETTER PHASE-B SIEE;Lo;0;L;;;;;N;;;;;
        "\u1685A",  # ;BAMUM LETTER PHASE-B SET TU;Lo;0;L;;;;;N;;;;;
        "\u1685B",  # ;BAMUM LETTER PHASE-B LOM NTEUM;Lo;0;L;;;;;N;;;;;
        "\u1685C",  # ;BAMUM LETTER PHASE-B MBA MAELEE;Lo;0;L;;;;;N;;;;;
        "\u1685D",  # ;BAMUM LETTER PHASE-B KIEEM;Lo;0;L;;;;;N;;;;;
        "\u1685E",  # ;BAMUM LETTER PHASE-B YEURAE;Lo;0;L;;;;;N;;;;;
        "\u1685F",  # ;BAMUM LETTER PHASE-B MBAARAE;Lo;0;L;;;;;N;;;;;
        "\u16860",  # ;BAMUM LETTER PHASE-B KAM;Lo;0;L;;;;;N;;;;;
        "\u16861",  # ;BAMUM LETTER PHASE-B PEESHI;Lo;0;L;;;;;N;;;;;
        "\u16862",  # ;BAMUM LETTER PHASE-B YAFU LEERAEWA;Lo;0;L;;;;;N;;;;;
        "\u16863",  # ;BAMUM LETTER PHASE-B LAM NSHUT NYAM;Lo;0;L;;;;;N;;;;;
        "\u16864",  # ;BAMUM LETTER PHASE-B NTIEE SHEUOQ;Lo;0;L;;;;;N;;;;;
        "\u16865",  # ;BAMUM LETTER PHASE-B NDU NJAA;Lo;0;L;;;;;N;;;;;
        "\u16866",  # ;BAMUM LETTER PHASE-B GHEUGHEUAEM;Lo;0;L;;;;;N;;;;;
        "\u16867",  # ;BAMUM LETTER PHASE-B PIT;Lo;0;L;;;;;N;;;;;
        "\u16868",  # ;BAMUM LETTER PHASE-B TU NSIEE;Lo;0;L;;;;;N;;;;;
        "\u16869",  # ;BAMUM LETTER PHASE-B SHET NJAQ;Lo;0;L;;;;;N;;;;;
        "\u1686A",  # ;BAMUM LETTER PHASE-B SHEUAEQTU;Lo;0;L;;;;;N;;;;;
        "\u1686B",  # ;BAMUM LETTER PHASE-B MFON TEUAEQ;Lo;0;L;;;;;N;;;;;
        "\u1686C",  # ;BAMUM LETTER PHASE-B MBIT MBAAKET;Lo;0;L;;;;;N;;;;;
        "\u1686D",  # ;BAMUM LETTER PHASE-B NYI NTEUM;Lo;0;L;;;;;N;;;;;
        "\u1686E",  # ;BAMUM LETTER PHASE-B KEUPUQ;Lo;0;L;;;;;N;;;;;
        "\u1686F",  # ;BAMUM LETTER PHASE-B GHEUGHEN;Lo;0;L;;;;;N;;;;;
        "\u16870",  # ;BAMUM LETTER PHASE-B KEUYEUX;Lo;0;L;;;;;N;;;;;
        "\u16871",  # ;BAMUM LETTER PHASE-B LAANAE;Lo;0;L;;;;;N;;;;;
        "\u16872",  # ;BAMUM LETTER PHASE-B PARUM;Lo;0;L;;;;;N;;;;;
        "\u16873",  # ;BAMUM LETTER PHASE-B VEUM;Lo;0;L;;;;;N;;;;;
        "\u16874",  # ;BAMUM LETTER PHASE-B NGKINDI MVOP;Lo;0;L;;;;;N;;;;;
        "\u16875",  # ;BAMUM LETTER PHASE-B NGGEU MBU;Lo;0;L;;;;;N;;;;;
        "\u16876",  # ;BAMUM LETTER PHASE-B WUAET;Lo;0;L;;;;;N;;;;;
        "\u16877",  # ;BAMUM LETTER PHASE-B SAKEUAE;Lo;0;L;;;;;N;;;;;
        "\u16878",  # ;BAMUM LETTER PHASE-B TAAM;Lo;0;L;;;;;N;;;;;
        "\u16879",  # ;BAMUM LETTER PHASE-B MEUQ;Lo;0;L;;;;;N;;;;;
        "\u1687A",  # ;BAMUM LETTER PHASE-B NGGUOQ;Lo;0;L;;;;;N;;;;;
        "\u1687B",  # ;BAMUM LETTER PHASE-B NGGUOQ LARGE;Lo;0;L;;;;;N;;;;;
        "\u1687C",  # ;BAMUM LETTER PHASE-B MFIYAQ;Lo;0;L;;;;;N;;;;;
        "\u1687D",  # ;BAMUM LETTER PHASE-B SUE;Lo;0;L;;;;;N;;;;;
        "\u1687E",  # ;BAMUM LETTER PHASE-B MBEURI;Lo;0;L;;;;;N;;;;;
        "\u1687F",  # ;BAMUM LETTER PHASE-B MONTIEEN;Lo;0;L;;;;;N;;;;;
        "\u16880",  # ;BAMUM LETTER PHASE-B NYAEMAE;Lo;0;L;;;;;N;;;;;
        "\u16881",  # ;BAMUM LETTER PHASE-B PUNGAAM;Lo;0;L;;;;;N;;;;;
        "\u16882",  # ;BAMUM LETTER PHASE-B MEUT NGGEET;Lo;0;L;;;;;N;;;;;
        "\u16883",  # ;BAMUM LETTER PHASE-B FEUX;Lo;0;L;;;;;N;;;;;
        "\u16884",  # ;BAMUM LETTER PHASE-B MBUOQ;Lo;0;L;;;;;N;;;;;
        "\u16885",  # ;BAMUM LETTER PHASE-B FEE;Lo;0;L;;;;;N;;;;;
        "\u16886",  # ;BAMUM LETTER PHASE-B KEUAEM;Lo;0;L;;;;;N;;;;;
        "\u16887",  # ;BAMUM LETTER PHASE-B MA NJEUAENA;Lo;0;L;;;;;N;;;;;
        "\u16888",  # ;BAMUM LETTER PHASE-B MA NJUQA;Lo;0;L;;;;;N;;;;;
        "\u16889",  # ;BAMUM LETTER PHASE-B LET;Lo;0;L;;;;;N;;;;;
        "\u1688A",  # ;BAMUM LETTER PHASE-B NGGAAM;Lo;0;L;;;;;N;;;;;
        "\u1688B",  # ;BAMUM LETTER PHASE-B NSEN;Lo;0;L;;;;;N;;;;;
        "\u1688C",  # ;BAMUM LETTER PHASE-B MA;Lo;0;L;;;;;N;;;;;
        "\u1688D",  # ;BAMUM LETTER PHASE-B KIQ;Lo;0;L;;;;;N;;;;;
        "\u1688E",  # ;BAMUM LETTER PHASE-B NGOM;Lo;0;L;;;;;N;;;;;
        "\u1688F",  # ;BAMUM LETTER PHASE-C NGKUE MAEMBA;Lo;0;L;;;;;N;;;;;
        "\u16890",  # ;BAMUM LETTER PHASE-C NZA;Lo;0;L;;;;;N;;;;;
        "\u16891",  # ;BAMUM LETTER PHASE-C YUM;Lo;0;L;;;;;N;;;;;
        "\u16892",  # ;BAMUM LETTER PHASE-C WANGKUOQ;Lo;0;L;;;;;N;;;;;
        "\u16893",  # ;BAMUM LETTER PHASE-C NGGEN;Lo;0;L;;;;;N;;;;;
        "\u16894",  # ;BAMUM LETTER PHASE-C NDEUAEREE;Lo;0;L;;;;;N;;;;;
        "\u16895",  # ;BAMUM LETTER PHASE-C NGKAQ;Lo;0;L;;;;;N;;;;;
        "\u16896",  # ;BAMUM LETTER PHASE-C GHARAE;Lo;0;L;;;;;N;;;;;
        "\u16897",  # ;BAMUM LETTER PHASE-C MBEEKEET;Lo;0;L;;;;;N;;;;;
        "\u16898",  # ;BAMUM LETTER PHASE-C GBAYI;Lo;0;L;;;;;N;;;;;
        "\u16899",  # ;BAMUM LETTER PHASE-C NYIR MKPARAQ MEUN;Lo;0;L;;;;;N;;;;;
        "\u1689A",  # ;BAMUM LETTER PHASE-C NTU MBIT;Lo;0;L;;;;;N;;;;;
        "\u1689B",  # ;BAMUM LETTER PHASE-C MBEUM;Lo;0;L;;;;;N;;;;;
        "\u1689C",  # ;BAMUM LETTER PHASE-C PIRIEEN;Lo;0;L;;;;;N;;;;;
        "\u1689D",  # ;BAMUM LETTER PHASE-C NDOMBU;Lo;0;L;;;;;N;;;;;
        "\u1689E",  # ;BAMUM LETTER PHASE-C MBAA CABBAGE-TREE;Lo;0;L;;;;;N;;;;;
        "\u1689F",  # ;BAMUM LETTER PHASE-C KEUSHEUAEP;Lo;0;L;;;;;N;;;;;
        "\u168A0",  # ;BAMUM LETTER PHASE-C GHAP;Lo;0;L;;;;;N;;;;;
        "\u168A1",  # ;BAMUM LETTER PHASE-C KEUKAQ;Lo;0;L;;;;;N;;;;;
        "\u168A2",  # ;BAMUM LETTER PHASE-C YU MUOMAE;Lo;0;L;;;;;N;;;;;
        "\u168A3",  # ;BAMUM LETTER PHASE-C NZEUM;Lo;0;L;;;;;N;;;;;
        "\u168A4",  # ;BAMUM LETTER PHASE-C MBUE;Lo;0;L;;;;;N;;;;;
        "\u168A5",  # ;BAMUM LETTER PHASE-C NSEUAEN;Lo;0;L;;;;;N;;;;;
        "\u168A6",  # ;BAMUM LETTER PHASE-C MBIT;Lo;0;L;;;;;N;;;;;
        "\u168A7",  # ;BAMUM LETTER PHASE-C YEUQ;Lo;0;L;;;;;N;;;;;
        "\u168A8",  # ;BAMUM LETTER PHASE-C KPARAQ;Lo;0;L;;;;;N;;;;;
        "\u168A9",  # ;BAMUM LETTER PHASE-C KAA;Lo;0;L;;;;;N;;;;;
        "\u168AA",  # ;BAMUM LETTER PHASE-C SEUX;Lo;0;L;;;;;N;;;;;
        "\u168AB",  # ;BAMUM LETTER PHASE-C NDIDA;Lo;0;L;;;;;N;;;;;
        "\u168AC",  # ;BAMUM LETTER PHASE-C TAASHAE;Lo;0;L;;;;;N;;;;;
        "\u168AD",  # ;BAMUM LETTER PHASE-C NJUEQ;Lo;0;L;;;;;N;;;;;
        "\u168AE",  # ;BAMUM LETTER PHASE-C TITA YUE;Lo;0;L;;;;;N;;;;;
        "\u168AF",  # ;BAMUM LETTER PHASE-C SUAET;Lo;0;L;;;;;N;;;;;
        "\u168B0",  # ;BAMUM LETTER PHASE-C NGGUAEN NYAM;Lo;0;L;;;;;N;;;;;
        "\u168B1",  # ;BAMUM LETTER PHASE-C VEUX;Lo;0;L;;;;;N;;;;;
        "\u168B2",  # ;BAMUM LETTER PHASE-C NANSANAQ;Lo;0;L;;;;;N;;;;;
        "\u168B3",  # ;BAMUM LETTER PHASE-C MA KEUAERI;Lo;0;L;;;;;N;;;;;
        "\u168B4",  # ;BAMUM LETTER PHASE-C NTAA;Lo;0;L;;;;;N;;;;;
        "\u168B5",  # ;BAMUM LETTER PHASE-C NGGUON;Lo;0;L;;;;;N;;;;;
        "\u168B6",  # ;BAMUM LETTER PHASE-C LAP;Lo;0;L;;;;;N;;;;;
        "\u168B7",  # ;BAMUM LETTER PHASE-C MBIRIEEN;Lo;0;L;;;;;N;;;;;
        "\u168B8",  # ;BAMUM LETTER PHASE-C MGBASAQ;Lo;0;L;;;;;N;;;;;
        "\u168B9",  # ;BAMUM LETTER PHASE-C NTEUNGBA;Lo;0;L;;;;;N;;;;;
        "\u168BA",  # ;BAMUM LETTER PHASE-C TEUTEUX;Lo;0;L;;;;;N;;;;;
        "\u168BB",  # ;BAMUM LETTER PHASE-C NGGUM;Lo;0;L;;;;;N;;;;;
        "\u168BC",  # ;BAMUM LETTER PHASE-C FUE;Lo;0;L;;;;;N;;;;;
        "\u168BD",  # ;BAMUM LETTER PHASE-C NDEUT;Lo;0;L;;;;;N;;;;;
        "\u168BE",  # ;BAMUM LETTER PHASE-C NSA;Lo;0;L;;;;;N;;;;;
        "\u168BF",  # ;BAMUM LETTER PHASE-C NSHAQ;Lo;0;L;;;;;N;;;;;
        "\u168C0",  # ;BAMUM LETTER PHASE-C BUNG;Lo;0;L;;;;;N;;;;;
        "\u168C1",  # ;BAMUM LETTER PHASE-C VEUAEPEN;Lo;0;L;;;;;N;;;;;
        "\u168C2",  # ;BAMUM LETTER PHASE-C MBERAE;Lo;0;L;;;;;N;;;;;
        "\u168C3",  # ;BAMUM LETTER PHASE-C RU;Lo;0;L;;;;;N;;;;;
        "\u168C4",  # ;BAMUM LETTER PHASE-C NJAEM;Lo;0;L;;;;;N;;;;;
        "\u168C5",  # ;BAMUM LETTER PHASE-C LAM;Lo;0;L;;;;;N;;;;;
        "\u168C6",  # ;BAMUM LETTER PHASE-C TITUAEP;Lo;0;L;;;;;N;;;;;
        "\u168C7",  # ;BAMUM LETTER PHASE-C NSUOT NGOM;Lo;0;L;;;;;N;;;;;
        "\u168C8",  # ;BAMUM LETTER PHASE-C NJEEEE;Lo;0;L;;;;;N;;;;;
        "\u168C9",  # ;BAMUM LETTER PHASE-C KET;Lo;0;L;;;;;N;;;;;
        "\u168CA",  # ;BAMUM LETTER PHASE-C NGGU;Lo;0;L;;;;;N;;;;;
        "\u168CB",  # ;BAMUM LETTER PHASE-C MAESI;Lo;0;L;;;;;N;;;;;
        "\u168CC",  # ;BAMUM LETTER PHASE-C MBUAEM;Lo;0;L;;;;;N;;;;;
        "\u168CD",  # ;BAMUM LETTER PHASE-C LU;Lo;0;L;;;;;N;;;;;
        "\u168CE",  # ;BAMUM LETTER PHASE-C KUT;Lo;0;L;;;;;N;;;;;
        "\u168CF",  # ;BAMUM LETTER PHASE-C NJAM;Lo;0;L;;;;;N;;;;;
        "\u168D0",  # ;BAMUM LETTER PHASE-C NGOM;Lo;0;L;;;;;N;;;;;
        "\u168D1",  # ;BAMUM LETTER PHASE-C WUP;Lo;0;L;;;;;N;;;;;
        "\u168D2",  # ;BAMUM LETTER PHASE-C NGGUEET;Lo;0;L;;;;;N;;;;;
        "\u168D3",  # ;BAMUM LETTER PHASE-C NSOM;Lo;0;L;;;;;N;;;;;
        "\u168D4",  # ;BAMUM LETTER PHASE-C NTEN;Lo;0;L;;;;;N;;;;;
        "\u168D5",  # ;BAMUM LETTER PHASE-C KUOP NKAARAE;Lo;0;L;;;;;N;;;;;
        "\u168D6",  # ;BAMUM LETTER PHASE-C NSUN;Lo;0;L;;;;;N;;;;;
        "\u168D7",  # ;BAMUM LETTER PHASE-C NDAM;Lo;0;L;;;;;N;;;;;
        "\u168D8",  # ;BAMUM LETTER PHASE-C MA NSIEE;Lo;0;L;;;;;N;;;;;
        "\u168D9",  # ;BAMUM LETTER PHASE-C YAA;Lo;0;L;;;;;N;;;;;
        "\u168DA",  # ;BAMUM LETTER PHASE-C NDAP;Lo;0;L;;;;;N;;;;;
        "\u168DB",  # ;BAMUM LETTER PHASE-C SHUEQ;Lo;0;L;;;;;N;;;;;
        "\u168DC",  # ;BAMUM LETTER PHASE-C SETFON;Lo;0;L;;;;;N;;;;;
        "\u168DD",  # ;BAMUM LETTER PHASE-C MBI;Lo;0;L;;;;;N;;;;;
        "\u168DE",  # ;BAMUM LETTER PHASE-C MAEMBA;Lo;0;L;;;;;N;;;;;
        "\u168DF",  # ;BAMUM LETTER PHASE-C MBANYI;Lo;0;L;;;;;N;;;;;
        "\u168E0",  # ;BAMUM LETTER PHASE-C KEUSEUX;Lo;0;L;;;;;N;;;;;
        "\u168E1",  # ;BAMUM LETTER PHASE-C MBEUX;Lo;0;L;;;;;N;;;;;
        "\u168E2",  # ;BAMUM LETTER PHASE-C KEUM;Lo;0;L;;;;;N;;;;;
        "\u168E3",  # ;BAMUM LETTER PHASE-C MBAA PICKET;Lo;0;L;;;;;N;;;;;
        "\u168E4",  # ;BAMUM LETTER PHASE-C YUWOQ;Lo;0;L;;;;;N;;;;;
        "\u168E5",  # ;BAMUM LETTER PHASE-C NJEUX;Lo;0;L;;;;;N;;;;;
        "\u168E6",  # ;BAMUM LETTER PHASE-C MIEE;Lo;0;L;;;;;N;;;;;
        "\u168E7",  # ;BAMUM LETTER PHASE-C MUAE;Lo;0;L;;;;;N;;;;;
        "\u168E8",  # ;BAMUM LETTER PHASE-C SHIQ;Lo;0;L;;;;;N;;;;;
        "\u168E9",  # ;BAMUM LETTER PHASE-C KEN LAW;Lo;0;L;;;;;N;;;;;
        "\u168EA",  # ;BAMUM LETTER PHASE-C KEN FATIGUE;Lo;0;L;;;;;N;;;;;
        "\u168EB",  # ;BAMUM LETTER PHASE-C NGAQ;Lo;0;L;;;;;N;;;;;
        "\u168EC",  # ;BAMUM LETTER PHASE-C NAQ;Lo;0;L;;;;;N;;;;;
        "\u168ED",  # ;BAMUM LETTER PHASE-C LIQ;Lo;0;L;;;;;N;;;;;
        "\u168EE",  # ;BAMUM LETTER PHASE-C PIN;Lo;0;L;;;;;N;;;;;
        "\u168EF",  # ;BAMUM LETTER PHASE-C PEN;Lo;0;L;;;;;N;;;;;
        "\u168F0",  # ;BAMUM LETTER PHASE-C TET;Lo;0;L;;;;;N;;;;;
        "\u168F1",  # ;BAMUM LETTER PHASE-D MBUO;Lo;0;L;;;;;N;;;;;
        "\u168F2",  # ;BAMUM LETTER PHASE-D WAP;Lo;0;L;;;;;N;;;;;
        "\u168F3",  # ;BAMUM LETTER PHASE-D NJI;Lo;0;L;;;;;N;;;;;
        "\u168F4",  # ;BAMUM LETTER PHASE-D MFON;Lo;0;L;;;;;N;;;;;
        "\u168F5",  # ;BAMUM LETTER PHASE-D NJIEE;Lo;0;L;;;;;N;;;;;
        "\u168F6",  # ;BAMUM LETTER PHASE-D LIEE;Lo;0;L;;;;;N;;;;;
        "\u168F7",  # ;BAMUM LETTER PHASE-D NJEUT;Lo;0;L;;;;;N;;;;;
        "\u168F8",  # ;BAMUM LETTER PHASE-D NSHEE;Lo;0;L;;;;;N;;;;;
        "\u168F9",  # ;BAMUM LETTER PHASE-D NGGAAMAE;Lo;0;L;;;;;N;;;;;
        "\u168FA",  # ;BAMUM LETTER PHASE-D NYAM;Lo;0;L;;;;;N;;;;;
        "\u168FB",  # ;BAMUM LETTER PHASE-D WUAEN;Lo;0;L;;;;;N;;;;;
        "\u168FC",  # ;BAMUM LETTER PHASE-D NGKUN;Lo;0;L;;;;;N;;;;;
        "\u168FD",  # ;BAMUM LETTER PHASE-D SHEE;Lo;0;L;;;;;N;;;;;
        "\u168FE",  # ;BAMUM LETTER PHASE-D NGKAP;Lo;0;L;;;;;N;;;;;
        "\u168FF",  # ;BAMUM LETTER PHASE-D KEUAETMEUN;Lo;0;L;;;;;N;;;;;
        "\u16900",  # ;BAMUM LETTER PHASE-D TEUT;Lo;0;L;;;;;N;;;;;
        "\u16901",  # ;BAMUM LETTER PHASE-D SHEUAE;Lo;0;L;;;;;N;;;;;
        "\u16902",  # ;BAMUM LETTER PHASE-D NJAP;Lo;0;L;;;;;N;;;;;
        "\u16903",  # ;BAMUM LETTER PHASE-D SUE;Lo;0;L;;;;;N;;;;;
        "\u16904",  # ;BAMUM LETTER PHASE-D KET;Lo;0;L;;;;;N;;;;;
        "\u16905",  # ;BAMUM LETTER PHASE-D YAEMMAE;Lo;0;L;;;;;N;;;;;
        "\u16906",  # ;BAMUM LETTER PHASE-D KUOM;Lo;0;L;;;;;N;;;;;
        "\u16907",  # ;BAMUM LETTER PHASE-D SAP;Lo;0;L;;;;;N;;;;;
        "\u16908",  # ;BAMUM LETTER PHASE-D MFEUT;Lo;0;L;;;;;N;;;;;
        "\u16909",  # ;BAMUM LETTER PHASE-D NDEUX;Lo;0;L;;;;;N;;;;;
        "\u1690A",  # ;BAMUM LETTER PHASE-D MALEERI;Lo;0;L;;;;;N;;;;;
        "\u1690B",  # ;BAMUM LETTER PHASE-D MEUT;Lo;0;L;;;;;N;;;;;
        "\u1690C",  # ;BAMUM LETTER PHASE-D SEUAEQ;Lo;0;L;;;;;N;;;;;
        "\u1690D",  # ;BAMUM LETTER PHASE-D YEN;Lo;0;L;;;;;N;;;;;
        "\u1690E",  # ;BAMUM LETTER PHASE-D NJEUAEM;Lo;0;L;;;;;N;;;;;
        "\u1690F",  # ;BAMUM LETTER PHASE-D KEUOT MBUAE;Lo;0;L;;;;;N;;;;;
        "\u16910",  # ;BAMUM LETTER PHASE-D NGKEURI;Lo;0;L;;;;;N;;;;;
        "\u16911",  # ;BAMUM LETTER PHASE-D TU;Lo;0;L;;;;;N;;;;;
        "\u16912",  # ;BAMUM LETTER PHASE-D GHAA;Lo;0;L;;;;;N;;;;;
        "\u16913",  # ;BAMUM LETTER PHASE-D NGKYEE;Lo;0;L;;;;;N;;;;;
        "\u16914",  # ;BAMUM LETTER PHASE-D FEUFEUAET;Lo;0;L;;;;;N;;;;;
        "\u16915",  # ;BAMUM LETTER PHASE-D NDEE;Lo;0;L;;;;;N;;;;;
        "\u16916",  # ;BAMUM LETTER PHASE-D MGBOFUM;Lo;0;L;;;;;N;;;;;
        "\u16917",  # ;BAMUM LETTER PHASE-D LEUAEP;Lo;0;L;;;;;N;;;;;
        "\u16918",  # ;BAMUM LETTER PHASE-D NDON;Lo;0;L;;;;;N;;;;;
        "\u16919",  # ;BAMUM LETTER PHASE-D MONI;Lo;0;L;;;;;N;;;;;
        "\u1691A",  # ;BAMUM LETTER PHASE-D MGBEUN;Lo;0;L;;;;;N;;;;;
        "\u1691B",  # ;BAMUM LETTER PHASE-D PUUT;Lo;0;L;;;;;N;;;;;
        "\u1691C",  # ;BAMUM LETTER PHASE-D MGBIEE;Lo;0;L;;;;;N;;;;;
        "\u1691D",  # ;BAMUM LETTER PHASE-D MFO;Lo;0;L;;;;;N;;;;;
        "\u1691E",  # ;BAMUM LETTER PHASE-D LUM;Lo;0;L;;;;;N;;;;;
        "\u1691F",  # ;BAMUM LETTER PHASE-D NSIEEP;Lo;0;L;;;;;N;;;;;
        "\u16920",  # ;BAMUM LETTER PHASE-D MBAA;Lo;0;L;;;;;N;;;;;
        "\u16921",  # ;BAMUM LETTER PHASE-D KWAET;Lo;0;L;;;;;N;;;;;
        "\u16922",  # ;BAMUM LETTER PHASE-D NYET;Lo;0;L;;;;;N;;;;;
        "\u16923",  # ;BAMUM LETTER PHASE-D TEUAEN;Lo;0;L;;;;;N;;;;;
        "\u16924",  # ;BAMUM LETTER PHASE-D SOT;Lo;0;L;;;;;N;;;;;
        "\u16925",  # ;BAMUM LETTER PHASE-D YUWOQ;Lo;0;L;;;;;N;;;;;
        "\u16926",  # ;BAMUM LETTER PHASE-D KEUM;Lo;0;L;;;;;N;;;;;
        "\u16927",  # ;BAMUM LETTER PHASE-D RAEM;Lo;0;L;;;;;N;;;;;
        "\u16928",  # ;BAMUM LETTER PHASE-D TEEEE;Lo;0;L;;;;;N;;;;;
        "\u16929",  # ;BAMUM LETTER PHASE-D NGKEUAEQ;Lo;0;L;;;;;N;;;;;
        "\u1692A",  # ;BAMUM LETTER PHASE-D MFEUAE;Lo;0;L;;;;;N;;;;;
        "\u1692B",  # ;BAMUM LETTER PHASE-D NSIEET;Lo;0;L;;;;;N;;;;;
        "\u1692C",  # ;BAMUM LETTER PHASE-D KEUP;Lo;0;L;;;;;N;;;;;
        "\u1692D",  # ;BAMUM LETTER PHASE-D PIP;Lo;0;L;;;;;N;;;;;
        "\u1692E",  # ;BAMUM LETTER PHASE-D PEUTAE;Lo;0;L;;;;;N;;;;;
        "\u1692F",  # ;BAMUM LETTER PHASE-D NYUE;Lo;0;L;;;;;N;;;;;
        "\u16930",  # ;BAMUM LETTER PHASE-D LET;Lo;0;L;;;;;N;;;;;
        "\u16931",  # ;BAMUM LETTER PHASE-D NGGAAM;Lo;0;L;;;;;N;;;;;
        "\u16932",  # ;BAMUM LETTER PHASE-D MFIEE;Lo;0;L;;;;;N;;;;;
        "\u16933",  # ;BAMUM LETTER PHASE-D NGGWAEN;Lo;0;L;;;;;N;;;;;
        "\u16934",  # ;BAMUM LETTER PHASE-D YUOM;Lo;0;L;;;;;N;;;;;
        "\u16935",  # ;BAMUM LETTER PHASE-D PAP;Lo;0;L;;;;;N;;;;;
        "\u16936",  # ;BAMUM LETTER PHASE-D YUOP;Lo;0;L;;;;;N;;;;;
        "\u16937",  # ;BAMUM LETTER PHASE-D NDAM;Lo;0;L;;;;;N;;;;;
        "\u16938",  # ;BAMUM LETTER PHASE-D NTEUM;Lo;0;L;;;;;N;;;;;
        "\u16939",  # ;BAMUM LETTER PHASE-D SUAE;Lo;0;L;;;;;N;;;;;
        "\u1693A",  # ;BAMUM LETTER PHASE-D KUN;Lo;0;L;;;;;N;;;;;
        "\u1693B",  # ;BAMUM LETTER PHASE-D NGGEUX;Lo;0;L;;;;;N;;;;;
        "\u1693C",  # ;BAMUM LETTER PHASE-D NGKIEE;Lo;0;L;;;;;N;;;;;
        "\u1693D",  # ;BAMUM LETTER PHASE-D TUOT;Lo;0;L;;;;;N;;;;;
        "\u1693E",  # ;BAMUM LETTER PHASE-D MEUN;Lo;0;L;;;;;N;;;;;
        "\u1693F",  # ;BAMUM LETTER PHASE-D KUQ;Lo;0;L;;;;;N;;;;;
        "\u16940",  # ;BAMUM LETTER PHASE-D NSUM;Lo;0;L;;;;;N;;;;;
        "\u16941",  # ;BAMUM LETTER PHASE-D TEUN;Lo;0;L;;;;;N;;;;;
        "\u16942",  # ;BAMUM LETTER PHASE-D MAENJET;Lo;0;L;;;;;N;;;;;
        "\u16943",  # ;BAMUM LETTER PHASE-D NGGAP;Lo;0;L;;;;;N;;;;;
        "\u16944",  # ;BAMUM LETTER PHASE-D LEUM;Lo;0;L;;;;;N;;;;;
        "\u16945",  # ;BAMUM LETTER PHASE-D NGGUOM;Lo;0;L;;;;;N;;;;;
        "\u16946",  # ;BAMUM LETTER PHASE-D NSHUT;Lo;0;L;;;;;N;;;;;
        "\u16947",  # ;BAMUM LETTER PHASE-D NJUEQ;Lo;0;L;;;;;N;;;;;
        "\u16948",  # ;BAMUM LETTER PHASE-D GHEUAE;Lo;0;L;;;;;N;;;;;
        "\u16949",  # ;BAMUM LETTER PHASE-D KU;Lo;0;L;;;;;N;;;;;
        "\u1694A",  # ;BAMUM LETTER PHASE-D REN OLD;Lo;0;L;;;;;N;;;;;
        "\u1694B",  # ;BAMUM LETTER PHASE-D TAE;Lo;0;L;;;;;N;;;;;
        "\u1694C",  # ;BAMUM LETTER PHASE-D TOQ;Lo;0;L;;;;;N;;;;;
        "\u1694D",  # ;BAMUM LETTER PHASE-D NYI;Lo;0;L;;;;;N;;;;;
        "\u1694E",  # ;BAMUM LETTER PHASE-D RII;Lo;0;L;;;;;N;;;;;
        "\u1694F",  # ;BAMUM LETTER PHASE-D LEEEE;Lo;0;L;;;;;N;;;;;
        "\u16950",  # ;BAMUM LETTER PHASE-D MEEEE;Lo;0;L;;;;;N;;;;;
        "\u16951",  # ;BAMUM LETTER PHASE-D M;Lo;0;L;;;;;N;;;;;
        "\u16952",  # ;BAMUM LETTER PHASE-D SUU;Lo;0;L;;;;;N;;;;;
        "\u16953",  # ;BAMUM LETTER PHASE-D MU;Lo;0;L;;;;;N;;;;;
        "\u16954",  # ;BAMUM LETTER PHASE-D SHII;Lo;0;L;;;;;N;;;;;
        "\u16955",  # ;BAMUM LETTER PHASE-D SHEUX;Lo;0;L;;;;;N;;;;;
        "\u16956",  # ;BAMUM LETTER PHASE-D KYEE;Lo;0;L;;;;;N;;;;;
        "\u16957",  # ;BAMUM LETTER PHASE-D NU;Lo;0;L;;;;;N;;;;;
        "\u16958",  # ;BAMUM LETTER PHASE-D SHU;Lo;0;L;;;;;N;;;;;
        "\u16959",  # ;BAMUM LETTER PHASE-D NTEE;Lo;0;L;;;;;N;;;;;
        "\u1695A",  # ;BAMUM LETTER PHASE-D PEE;Lo;0;L;;;;;N;;;;;
        "\u1695B",  # ;BAMUM LETTER PHASE-D NI;Lo;0;L;;;;;N;;;;;
        "\u1695C",  # ;BAMUM LETTER PHASE-D SHOQ;Lo;0;L;;;;;N;;;;;
        "\u1695D",  # ;BAMUM LETTER PHASE-D PUQ;Lo;0;L;;;;;N;;;;;
        "\u1695E",  # ;BAMUM LETTER PHASE-D MVOP;Lo;0;L;;;;;N;;;;;
        "\u1695F",  # ;BAMUM LETTER PHASE-D LOQ;Lo;0;L;;;;;N;;;;;
        "\u16960",  # ;BAMUM LETTER PHASE-D REN MUCH;Lo;0;L;;;;;N;;;;;
        "\u16961",  # ;BAMUM LETTER PHASE-D TI;Lo;0;L;;;;;N;;;;;
        "\u16962",  # ;BAMUM LETTER PHASE-D NTUU;Lo;0;L;;;;;N;;;;;
        "\u16963",  # ;BAMUM LETTER PHASE-D MBAA SEVEN;Lo;0;L;;;;;N;;;;;
        "\u16964",  # ;BAMUM LETTER PHASE-D SAQ;Lo;0;L;;;;;N;;;;;
        "\u16965",  # ;BAMUM LETTER PHASE-D FAA;Lo;0;L;;;;;N;;;;;
        "\u16966",  # ;BAMUM LETTER PHASE-E NDAP;Lo;0;L;;;;;N;;;;;
        "\u16967",  # ;BAMUM LETTER PHASE-E TOON;Lo;0;L;;;;;N;;;;;
        "\u16968",  # ;BAMUM LETTER PHASE-E MBEUM;Lo;0;L;;;;;N;;;;;
        "\u16969",  # ;BAMUM LETTER PHASE-E LAP;Lo;0;L;;;;;N;;;;;
        "\u1696A",  # ;BAMUM LETTER PHASE-E VOM;Lo;0;L;;;;;N;;;;;
        "\u1696B",  # ;BAMUM LETTER PHASE-E LOON;Lo;0;L;;;;;N;;;;;
        "\u1696C",  # ;BAMUM LETTER PHASE-E PAA;Lo;0;L;;;;;N;;;;;
        "\u1696D",  # ;BAMUM LETTER PHASE-E SOM;Lo;0;L;;;;;N;;;;;
        "\u1696E",  # ;BAMUM LETTER PHASE-E RAQ;Lo;0;L;;;;;N;;;;;
        "\u1696F",  # ;BAMUM LETTER PHASE-E NSHUOP;Lo;0;L;;;;;N;;;;;
        "\u16970",  # ;BAMUM LETTER PHASE-E NDUN;Lo;0;L;;;;;N;;;;;
        "\u16971",  # ;BAMUM LETTER PHASE-E PUAE;Lo;0;L;;;;;N;;;;;
        "\u16972",  # ;BAMUM LETTER PHASE-E TAM;Lo;0;L;;;;;N;;;;;
        "\u16973",  # ;BAMUM LETTER PHASE-E NGKA;Lo;0;L;;;;;N;;;;;
        "\u16974",  # ;BAMUM LETTER PHASE-E KPEUX;Lo;0;L;;;;;N;;;;;
        "\u16975",  # ;BAMUM LETTER PHASE-E WUO;Lo;0;L;;;;;N;;;;;
        "\u16976",  # ;BAMUM LETTER PHASE-E SEE;Lo;0;L;;;;;N;;;;;
        "\u16977",  # ;BAMUM LETTER PHASE-E NGGEUAET;Lo;0;L;;;;;N;;;;;
        "\u16978",  # ;BAMUM LETTER PHASE-E PAAM;Lo;0;L;;;;;N;;;;;
        "\u16979",  # ;BAMUM LETTER PHASE-E TOO;Lo;0;L;;;;;N;;;;;
        "\u1697A",  # ;BAMUM LETTER PHASE-E KUOP;Lo;0;L;;;;;N;;;;;
        "\u1697B",  # ;BAMUM LETTER PHASE-E LOM;Lo;0;L;;;;;N;;;;;
        "\u1697C",  # ;BAMUM LETTER PHASE-E NSHIEE;Lo;0;L;;;;;N;;;;;
        "\u1697D",  # ;BAMUM LETTER PHASE-E NGOP;Lo;0;L;;;;;N;;;;;
        "\u1697E",  # ;BAMUM LETTER PHASE-E MAEM;Lo;0;L;;;;;N;;;;;
        "\u1697F",  # ;BAMUM LETTER PHASE-E NGKEUX;Lo;0;L;;;;;N;;;;;
        "\u16980",  # ;BAMUM LETTER PHASE-E NGOQ;Lo;0;L;;;;;N;;;;;
        "\u16981",  # ;BAMUM LETTER PHASE-E NSHUE;Lo;0;L;;;;;N;;;;;
        "\u16982",  # ;BAMUM LETTER PHASE-E RIMGBA;Lo;0;L;;;;;N;;;;;
        "\u16983",  # ;BAMUM LETTER PHASE-E NJEUX;Lo;0;L;;;;;N;;;;;
        "\u16984",  # ;BAMUM LETTER PHASE-E PEEM;Lo;0;L;;;;;N;;;;;
        "\u16985",  # ;BAMUM LETTER PHASE-E SAA;Lo;0;L;;;;;N;;;;;
        "\u16986",  # ;BAMUM LETTER PHASE-E NGGURAE;Lo;0;L;;;;;N;;;;;
        "\u16987",  # ;BAMUM LETTER PHASE-E MGBA;Lo;0;L;;;;;N;;;;;
        "\u16988",  # ;BAMUM LETTER PHASE-E GHEUX;Lo;0;L;;;;;N;;;;;
        "\u16989",  # ;BAMUM LETTER PHASE-E NGKEUAEM;Lo;0;L;;;;;N;;;;;
        "\u1698A",  # ;BAMUM LETTER PHASE-E NJAEMLI;Lo;0;L;;;;;N;;;;;
        "\u1698B",  # ;BAMUM LETTER PHASE-E MAP;Lo;0;L;;;;;N;;;;;
        "\u1698C",  # ;BAMUM LETTER PHASE-E LOOT;Lo;0;L;;;;;N;;;;;
        "\u1698D",  # ;BAMUM LETTER PHASE-E NGGEEEE;Lo;0;L;;;;;N;;;;;
        "\u1698E",  # ;BAMUM LETTER PHASE-E NDIQ;Lo;0;L;;;;;N;;;;;
        "\u1698F",  # ;BAMUM LETTER PHASE-E TAEN NTEUM;Lo;0;L;;;;;N;;;;;
        "\u16990",  # ;BAMUM LETTER PHASE-E SET;Lo;0;L;;;;;N;;;;;
        "\u16991",  # ;BAMUM LETTER PHASE-E PUM;Lo;0;L;;;;;N;;;;;
        "\u16992",  # ;BAMUM LETTER PHASE-E NDAA SOFTNESS;Lo;0;L;;;;;N;;;;;
        "\u16993",  # ;BAMUM LETTER PHASE-E NGGUAESHAE NYAM;Lo;0;L;;;;;N;;;;;
        "\u16994",  # ;BAMUM LETTER PHASE-E YIEE;Lo;0;L;;;;;N;;;;;
        "\u16995",  # ;BAMUM LETTER PHASE-E GHEUN;Lo;0;L;;;;;N;;;;;
        "\u16996",  # ;BAMUM LETTER PHASE-E TUAE;Lo;0;L;;;;;N;;;;;
        "\u16997",  # ;BAMUM LETTER PHASE-E YEUAE;Lo;0;L;;;;;N;;;;;
        "\u16998",  # ;BAMUM LETTER PHASE-E PO;Lo;0;L;;;;;N;;;;;
        "\u16999",  # ;BAMUM LETTER PHASE-E TUMAE;Lo;0;L;;;;;N;;;;;
        "\u1699A",  # ;BAMUM LETTER PHASE-E KEUAE;Lo;0;L;;;;;N;;;;;
        "\u1699B",  # ;BAMUM LETTER PHASE-E SUAEN;Lo;0;L;;;;;N;;;;;
        "\u1699C",  # ;BAMUM LETTER PHASE-E TEUAEQ;Lo;0;L;;;;;N;;;;;
        "\u1699D",  # ;BAMUM LETTER PHASE-E VEUAE;Lo;0;L;;;;;N;;;;;
        "\u1699E",  # ;BAMUM LETTER PHASE-E WEUX;Lo;0;L;;;;;N;;;;;
        "\u1699F",  # ;BAMUM LETTER PHASE-E LAAM;Lo;0;L;;;;;N;;;;;
        "\u169A0",  # ;BAMUM LETTER PHASE-E PU;Lo;0;L;;;;;N;;;;;
        "\u169A1",  # ;BAMUM LETTER PHASE-E TAAQ;Lo;0;L;;;;;N;;;;;
        "\u169A2",  # ;BAMUM LETTER PHASE-E GHAAMAE;Lo;0;L;;;;;N;;;;;
        "\u169A3",  # ;BAMUM LETTER PHASE-E NGEUREUT;Lo;0;L;;;;;N;;;;;
        "\u169A4",  # ;BAMUM LETTER PHASE-E SHEUAEQ;Lo;0;L;;;;;N;;;;;
        "\u169A5",  # ;BAMUM LETTER PHASE-E MGBEN;Lo;0;L;;;;;N;;;;;
        "\u169A6",  # ;BAMUM LETTER PHASE-E MBEE;Lo;0;L;;;;;N;;;;;
        "\u169A7",  # ;BAMUM LETTER PHASE-E NZAQ;Lo;0;L;;;;;N;;;;;
        "\u169A8",  # ;BAMUM LETTER PHASE-E NKOM;Lo;0;L;;;;;N;;;;;
        "\u169A9",  # ;BAMUM LETTER PHASE-E GBET;Lo;0;L;;;;;N;;;;;
        "\u169AA",  # ;BAMUM LETTER PHASE-E TUM;Lo;0;L;;;;;N;;;;;
        "\u169AB",  # ;BAMUM LETTER PHASE-E KUET;Lo;0;L;;;;;N;;;;;
        "\u169AC",  # ;BAMUM LETTER PHASE-E YAP;Lo;0;L;;;;;N;;;;;
        "\u169AD",  # ;BAMUM LETTER PHASE-E NYI CLEAVER;Lo;0;L;;;;;N;;;;;
        "\u169AE",  # ;BAMUM LETTER PHASE-E YIT;Lo;0;L;;;;;N;;;;;
        "\u169AF",  # ;BAMUM LETTER PHASE-E MFEUQ;Lo;0;L;;;;;N;;;;;
        "\u169B0",  # ;BAMUM LETTER PHASE-E NDIAQ;Lo;0;L;;;;;N;;;;;
        "\u169B1",  # ;BAMUM LETTER PHASE-E PIEEQ;Lo;0;L;;;;;N;;;;;
        "\u169B2",  # ;BAMUM LETTER PHASE-E YUEQ;Lo;0;L;;;;;N;;;;;
        "\u169B3",  # ;BAMUM LETTER PHASE-E LEUAEM;Lo;0;L;;;;;N;;;;;
        "\u169B4",  # ;BAMUM LETTER PHASE-E FUE;Lo;0;L;;;;;N;;;;;
        "\u169B5",  # ;BAMUM LETTER PHASE-E GBEUX;Lo;0;L;;;;;N;;;;;
        "\u169B6",  # ;BAMUM LETTER PHASE-E NGKUP;Lo;0;L;;;;;N;;;;;
        "\u169B7",  # ;BAMUM LETTER PHASE-E KET;Lo;0;L;;;;;N;;;;;
        "\u169B8",  # ;BAMUM LETTER PHASE-E MAE;Lo;0;L;;;;;N;;;;;
        "\u169B9",  # ;BAMUM LETTER PHASE-E NGKAAMI;Lo;0;L;;;;;N;;;;;
        "\u169BA",  # ;BAMUM LETTER PHASE-E GHET;Lo;0;L;;;;;N;;;;;
        "\u169BB",  # ;BAMUM LETTER PHASE-E FA;Lo;0;L;;;;;N;;;;;
        "\u169BC",  # ;BAMUM LETTER PHASE-E NTUM;Lo;0;L;;;;;N;;;;;
        "\u169BD",  # ;BAMUM LETTER PHASE-E PEUT;Lo;0;L;;;;;N;;;;;
        "\u169BE",  # ;BAMUM LETTER PHASE-E YEUM;Lo;0;L;;;;;N;;;;;
        "\u169BF",  # ;BAMUM LETTER PHASE-E NGGEUAE;Lo;0;L;;;;;N;;;;;
        "\u169C0",  # ;BAMUM LETTER PHASE-E NYI BETWEEN;Lo;0;L;;;;;N;;;;;
        "\u169C1",  # ;BAMUM LETTER PHASE-E NZUQ;Lo;0;L;;;;;N;;;;;
        "\u169C2",  # ;BAMUM LETTER PHASE-E POON;Lo;0;L;;;;;N;;;;;
        "\u169C3",  # ;BAMUM LETTER PHASE-E MIEE;Lo;0;L;;;;;N;;;;;
        "\u169C4",  # ;BAMUM LETTER PHASE-E FUET;Lo;0;L;;;;;N;;;;;
        "\u169C5",  # ;BAMUM LETTER PHASE-E NAE;Lo;0;L;;;;;N;;;;;
        "\u169C6",  # ;BAMUM LETTER PHASE-E MUAE;Lo;0;L;;;;;N;;;;;
        "\u169C7",  # ;BAMUM LETTER PHASE-E GHEUAE;Lo;0;L;;;;;N;;;;;
        "\u169C8",  # ;BAMUM LETTER PHASE-E FU I;Lo;0;L;;;;;N;;;;;
        "\u169C9",  # ;BAMUM LETTER PHASE-E MVI;Lo;0;L;;;;;N;;;;;
        "\u169CA",  # ;BAMUM LETTER PHASE-E PUAQ;Lo;0;L;;;;;N;;;;;
        "\u169CB",  # ;BAMUM LETTER PHASE-E NGKUM;Lo;0;L;;;;;N;;;;;
        "\u169CC",  # ;BAMUM LETTER PHASE-E KUT;Lo;0;L;;;;;N;;;;;
        "\u169CD",  # ;BAMUM LETTER PHASE-E PIET;Lo;0;L;;;;;N;;;;;
        "\u169CE",  # ;BAMUM LETTER PHASE-E NTAP;Lo;0;L;;;;;N;;;;;
        "\u169CF",  # ;BAMUM LETTER PHASE-E YEUAET;Lo;0;L;;;;;N;;;;;
        "\u169D0",  # ;BAMUM LETTER PHASE-E NGGUP;Lo;0;L;;;;;N;;;;;
        "\u169D1",  # ;BAMUM LETTER PHASE-E PA PEOPLE;Lo;0;L;;;;;N;;;;;
        "\u169D2",  # ;BAMUM LETTER PHASE-E FU CALL;Lo;0;L;;;;;N;;;;;
        "\u169D3",  # ;BAMUM LETTER PHASE-E FOM;Lo;0;L;;;;;N;;;;;
        "\u169D4",  # ;BAMUM LETTER PHASE-E NJEE;Lo;0;L;;;;;N;;;;;
        "\u169D5",  # ;BAMUM LETTER PHASE-E A;Lo;0;L;;;;;N;;;;;
        "\u169D6",  # ;BAMUM LETTER PHASE-E TOQ;Lo;0;L;;;;;N;;;;;
        "\u169D7",  # ;BAMUM LETTER PHASE-E O;Lo;0;L;;;;;N;;;;;
        "\u169D8",  # ;BAMUM LETTER PHASE-E I;Lo;0;L;;;;;N;;;;;
        "\u169D9",  # ;BAMUM LETTER PHASE-E LAQ;Lo;0;L;;;;;N;;;;;
        "\u169DA",  # ;BAMUM LETTER PHASE-E PA PLURAL;Lo;0;L;;;;;N;;;;;
        "\u169DB",  # ;BAMUM LETTER PHASE-E TAA;Lo;0;L;;;;;N;;;;;
        "\u169DC",  # ;BAMUM LETTER PHASE-E TAQ;Lo;0;L;;;;;N;;;;;
        "\u169DD",  # ;BAMUM LETTER PHASE-E NDAA MY HOUSE;Lo;0;L;;;;;N;;;;;
        "\u169DE",  # ;BAMUM LETTER PHASE-E SHIQ;Lo;0;L;;;;;N;;;;;
        "\u169DF",  # ;BAMUM LETTER PHASE-E YEUX;Lo;0;L;;;;;N;;;;;
        "\u169E0",  # ;BAMUM LETTER PHASE-E NGUAE;Lo;0;L;;;;;N;;;;;
        "\u169E1",  # ;BAMUM LETTER PHASE-E YUAEN;Lo;0;L;;;;;N;;;;;
        "\u169E2",  # ;BAMUM LETTER PHASE-E YOQ SWIMMING;Lo;0;L;;;;;N;;;;;
        "\u169E3",  # ;BAMUM LETTER PHASE-E YOQ COVER;Lo;0;L;;;;;N;;;;;
        "\u169E4",  # ;BAMUM LETTER PHASE-E YUQ;Lo;0;L;;;;;N;;;;;
        "\u169E5",  # ;BAMUM LETTER PHASE-E YUN;Lo;0;L;;;;;N;;;;;
        "\u169E6",  # ;BAMUM LETTER PHASE-E KEUX;Lo;0;L;;;;;N;;;;;
        "\u169E7",  # ;BAMUM LETTER PHASE-E PEUX;Lo;0;L;;;;;N;;;;;
        "\u169E8",  # ;BAMUM LETTER PHASE-E NJEE EPOCH;Lo;0;L;;;;;N;;;;;
        "\u169E9",  # ;BAMUM LETTER PHASE-E PUE;Lo;0;L;;;;;N;;;;;
        "\u169EA",  # ;BAMUM LETTER PHASE-E WUE;Lo;0;L;;;;;N;;;;;
        "\u169EB",  # ;BAMUM LETTER PHASE-E FEE;Lo;0;L;;;;;N;;;;;
        "\u169EC",  # ;BAMUM LETTER PHASE-E VEE;Lo;0;L;;;;;N;;;;;
        "\u169ED",  # ;BAMUM LETTER PHASE-E LU;Lo;0;L;;;;;N;;;;;
        "\u169EE",  # ;BAMUM LETTER PHASE-E MI;Lo;0;L;;;;;N;;;;;
        "\u169EF",  # ;BAMUM LETTER PHASE-E REUX;Lo;0;L;;;;;N;;;;;
        "\u169F0",  # ;BAMUM LETTER PHASE-E RAE;Lo;0;L;;;;;N;;;;;
        "\u169F1",  # ;BAMUM LETTER PHASE-E NGUAET;Lo;0;L;;;;;N;;;;;
        "\u169F2",  # ;BAMUM LETTER PHASE-E NGA;Lo;0;L;;;;;N;;;;;
        "\u169F3",  # ;BAMUM LETTER PHASE-E SHO;Lo;0;L;;;;;N;;;;;
        "\u169F4",  # ;BAMUM LETTER PHASE-E SHOQ;Lo;0;L;;;;;N;;;;;
        "\u169F5",  # ;BAMUM LETTER PHASE-E FU REMEDY;Lo;0;L;;;;;N;;;;;
        "\u169F6",  # ;BAMUM LETTER PHASE-E NA;Lo;0;L;;;;;N;;;;;
        "\u169F7",  # ;BAMUM LETTER PHASE-E PI;Lo;0;L;;;;;N;;;;;
        "\u169F8",  # ;BAMUM LETTER PHASE-E LOQ;Lo;0;L;;;;;N;;;;;
        "\u169F9",  # ;BAMUM LETTER PHASE-E KO;Lo;0;L;;;;;N;;;;;
        "\u169FA",  # ;BAMUM LETTER PHASE-E MEN;Lo;0;L;;;;;N;;;;;
        "\u169FB",  # ;BAMUM LETTER PHASE-E MA;Lo;0;L;;;;;N;;;;;
        "\u169FC",  # ;BAMUM LETTER PHASE-E MAQ;Lo;0;L;;;;;N;;;;;
        "\u169FD",  # ;BAMUM LETTER PHASE-E TEU;Lo;0;L;;;;;N;;;;;
        "\u169FE",  # ;BAMUM LETTER PHASE-E KI;Lo;0;L;;;;;N;;;;;
        "\u169FF",  # ;BAMUM LETTER PHASE-E MON;Lo;0;L;;;;;N;;;;;
        "\u16A00",  # ;BAMUM LETTER PHASE-E TEN;Lo;0;L;;;;;N;;;;;
        "\u16A01",  # ;BAMUM LETTER PHASE-E FAQ;Lo;0;L;;;;;N;;;;;
        "\u16A02",  # ;BAMUM LETTER PHASE-E GHOM;Lo;0;L;;;;;N;;;;;
        "\u16A03",  # ;BAMUM LETTER PHASE-F KA;Lo;0;L;;;;;N;;;;;
        "\u16A04",  # ;BAMUM LETTER PHASE-F U;Lo;0;L;;;;;N;;;;;
        "\u16A05",  # ;BAMUM LETTER PHASE-F KU;Lo;0;L;;;;;N;;;;;
        "\u16A06",  # ;BAMUM LETTER PHASE-F EE;Lo;0;L;;;;;N;;;;;
        "\u16A07",  # ;BAMUM LETTER PHASE-F REE;Lo;0;L;;;;;N;;;;;
        "\u16A08",  # ;BAMUM LETTER PHASE-F TAE;Lo;0;L;;;;;N;;;;;
        "\u16A09",  # ;BAMUM LETTER PHASE-F NYI;Lo;0;L;;;;;N;;;;;
        "\u16A0A",  # ;BAMUM LETTER PHASE-F LA;Lo;0;L;;;;;N;;;;;
        "\u16A0B",  # ;BAMUM LETTER PHASE-F RII;Lo;0;L;;;;;N;;;;;
        "\u16A0C",  # ;BAMUM LETTER PHASE-F RIEE;Lo;0;L;;;;;N;;;;;
        "\u16A0D",  # ;BAMUM LETTER PHASE-F MEEEE;Lo;0;L;;;;;N;;;;;
        "\u16A0E",  # ;BAMUM LETTER PHASE-F TAA;Lo;0;L;;;;;N;;;;;
        "\u16A0F",  # ;BAMUM LETTER PHASE-F NDAA;Lo;0;L;;;;;N;;;;;
        "\u16A10",  # ;BAMUM LETTER PHASE-F NJAEM;Lo;0;L;;;;;N;;;;;
        "\u16A11",  # ;BAMUM LETTER PHASE-F M;Lo;0;L;;;;;N;;;;;
        "\u16A12",  # ;BAMUM LETTER PHASE-F SUU;Lo;0;L;;;;;N;;;;;
        "\u16A13",  # ;BAMUM LETTER PHASE-F SHII;Lo;0;L;;;;;N;;;;;
        "\u16A14",  # ;BAMUM LETTER PHASE-F SI;Lo;0;L;;;;;N;;;;;
        "\u16A15",  # ;BAMUM LETTER PHASE-F SEUX;Lo;0;L;;;;;N;;;;;
        "\u16A16",  # ;BAMUM LETTER PHASE-F KYEE;Lo;0;L;;;;;N;;;;;
        "\u16A17",  # ;BAMUM LETTER PHASE-F KET;Lo;0;L;;;;;N;;;;;
        "\u16A18",  # ;BAMUM LETTER PHASE-F NUAE;Lo;0;L;;;;;N;;;;;
        "\u16A19",  # ;BAMUM LETTER PHASE-F NU;Lo;0;L;;;;;N;;;;;
        "\u16A1A",  # ;BAMUM LETTER PHASE-F NJUAE;Lo;0;L;;;;;N;;;;;
        "\u16A1B",  # ;BAMUM LETTER PHASE-F YOQ;Lo;0;L;;;;;N;;;;;
        "\u16A1C",  # ;BAMUM LETTER PHASE-F SHU;Lo;0;L;;;;;N;;;;;
        "\u16A1D",  # ;BAMUM LETTER PHASE-F YA;Lo;0;L;;;;;N;;;;;
        "\u16A1E",  # ;BAMUM LETTER PHASE-F NSHA;Lo;0;L;;;;;N;;;;;
        "\u16A1F",  # ;BAMUM LETTER PHASE-F PEUX;Lo;0;L;;;;;N;;;;;
        "\u16A20",  # ;BAMUM LETTER PHASE-F NTEE;Lo;0;L;;;;;N;;;;;
        "\u16A21",  # ;BAMUM LETTER PHASE-F WUE;Lo;0;L;;;;;N;;;;;
        "\u16A22",  # ;BAMUM LETTER PHASE-F PEE;Lo;0;L;;;;;N;;;;;
        "\u16A23",  # ;BAMUM LETTER PHASE-F RU;Lo;0;L;;;;;N;;;;;
        "\u16A24",  # ;BAMUM LETTER PHASE-F NI;Lo;0;L;;;;;N;;;;;
        "\u16A25",  # ;BAMUM LETTER PHASE-F REUX;Lo;0;L;;;;;N;;;;;
        "\u16A26",  # ;BAMUM LETTER PHASE-F KEN;Lo;0;L;;;;;N;;;;;
        "\u16A27",  # ;BAMUM LETTER PHASE-F NGKWAEN;Lo;0;L;;;;;N;;;;;
        "\u16A28",  # ;BAMUM LETTER PHASE-F NGGA;Lo;0;L;;;;;N;;;;;
        "\u16A29",  # ;BAMUM LETTER PHASE-F SHO;Lo;0;L;;;;;N;;;;;
        "\u16A2A",  # ;BAMUM LETTER PHASE-F PUAE;Lo;0;L;;;;;N;;;;;
        "\u16A2B",  # ;BAMUM LETTER PHASE-F FOM;Lo;0;L;;;;;N;;;;;
        "\u16A2C",  # ;BAMUM LETTER PHASE-F WA;Lo;0;L;;;;;N;;;;;
        "\u16A2D",  # ;BAMUM LETTER PHASE-F LI;Lo;0;L;;;;;N;;;;;
        "\u16A2E",  # ;BAMUM LETTER PHASE-F LOQ;Lo;0;L;;;;;N;;;;;
        "\u16A2F",  # ;BAMUM LETTER PHASE-F KO;Lo;0;L;;;;;N;;;;;
        "\u16A30",  # ;BAMUM LETTER PHASE-F MBEN;Lo;0;L;;;;;N;;;;;
        "\u16A31",  # ;BAMUM LETTER PHASE-F REN;Lo;0;L;;;;;N;;;;;
        "\u16A32",  # ;BAMUM LETTER PHASE-F MA;Lo;0;L;;;;;N;;;;;
        "\u16A33",  # ;BAMUM LETTER PHASE-F MO;Lo;0;L;;;;;N;;;;;
        "\u16A34",  # ;BAMUM LETTER PHASE-F MBAA;Lo;0;L;;;;;N;;;;;
        "\u16A35",  # ;BAMUM LETTER PHASE-F TET;Lo;0;L;;;;;N;;;;;
        "\u16A36",  # ;BAMUM LETTER PHASE-F KPA;Lo;0;L;;;;;N;;;;;
        "\u16A37",  # ;BAMUM LETTER PHASE-F SAMBA;Lo;0;L;;;;;N;;;;;
        "\u16A38",  # ;BAMUM LETTER PHASE-F VUEQ;Lo;0;L;;;;;N;;;;;
        "\u16A40",  # ;MRO LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u16A41",  # ;MRO LETTER NGI;Lo;0;L;;;;;N;;;;;
        "\u16A42",  # ;MRO LETTER YO;Lo;0;L;;;;;N;;;;;
        "\u16A43",  # ;MRO LETTER MIM;Lo;0;L;;;;;N;;;;;
        "\u16A44",  # ;MRO LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u16A45",  # ;MRO LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u16A46",  # ;MRO LETTER A;Lo;0;L;;;;;N;;;;;
        "\u16A47",  # ;MRO LETTER PHI;Lo;0;L;;;;;N;;;;;
        "\u16A48",  # ;MRO LETTER KHAI;Lo;0;L;;;;;N;;;;;
        "\u16A49",  # ;MRO LETTER HAO;Lo;0;L;;;;;N;;;;;
        "\u16A4A",  # ;MRO LETTER DAI;Lo;0;L;;;;;N;;;;;
        "\u16A4B",  # ;MRO LETTER CHU;Lo;0;L;;;;;N;;;;;
        "\u16A4C",  # ;MRO LETTER KEAAE;Lo;0;L;;;;;N;;;;;
        "\u16A4D",  # ;MRO LETTER OL;Lo;0;L;;;;;N;;;;;
        "\u16A4E",  # ;MRO LETTER MAEM;Lo;0;L;;;;;N;;;;;
        "\u16A4F",  # ;MRO LETTER NIN;Lo;0;L;;;;;N;;;;;
        "\u16A50",  # ;MRO LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u16A51",  # ;MRO LETTER OO;Lo;0;L;;;;;N;;;;;
        "\u16A52",  # ;MRO LETTER O;Lo;0;L;;;;;N;;;;;
        "\u16A53",  # ;MRO LETTER RO;Lo;0;L;;;;;N;;;;;
        "\u16A54",  # ;MRO LETTER SHI;Lo;0;L;;;;;N;;;;;
        "\u16A55",  # ;MRO LETTER THEA;Lo;0;L;;;;;N;;;;;
        "\u16A56",  # ;MRO LETTER EA;Lo;0;L;;;;;N;;;;;
        "\u16A57",  # ;MRO LETTER WA;Lo;0;L;;;;;N;;;;;
        "\u16A58",  # ;MRO LETTER E;Lo;0;L;;;;;N;;;;;
        "\u16A59",  # ;MRO LETTER KO;Lo;0;L;;;;;N;;;;;
        "\u16A5A",  # ;MRO LETTER LAN;Lo;0;L;;;;;N;;;;;
        "\u16A5B",  # ;MRO LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u16A5C",  # ;MRO LETTER HAI;Lo;0;L;;;;;N;;;;;
        "\u16A5D",  # ;MRO LETTER RI;Lo;0;L;;;;;N;;;;;
        "\u16A5E",  # ;MRO LETTER TEK;Lo;0;L;;;;;N;;;;;
        "\u16A60",  # ;MRO DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u16A61",  # ;MRO DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u16A62",  # ;MRO DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u16A63",  # ;MRO DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u16A64",  # ;MRO DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u16A65",  # ;MRO DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u16A66",  # ;MRO DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u16A67",  # ;MRO DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u16A68",  # ;MRO DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u16A69",  # ;MRO DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u16A6E",  # ;MRO DANDA;Po;0;L;;;;;N;;;;;
        "\u16A6F",  # ;MRO DOUBLE DANDA;Po;0;L;;;;;N;;;;;
        "\u16AD0",  # ;BASSA VAH LETTER ENNI;Lo;0;L;;;;;N;;;;;
        "\u16AD1",  # ;BASSA VAH LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u16AD2",  # ;BASSA VAH LETTER SE;Lo;0;L;;;;;N;;;;;
        "\u16AD3",  # ;BASSA VAH LETTER FA;Lo;0;L;;;;;N;;;;;
        "\u16AD4",  # ;BASSA VAH LETTER MBE;Lo;0;L;;;;;N;;;;;
        "\u16AD5",  # ;BASSA VAH LETTER YIE;Lo;0;L;;;;;N;;;;;
        "\u16AD6",  # ;BASSA VAH LETTER GAH;Lo;0;L;;;;;N;;;;;
        "\u16AD7",  # ;BASSA VAH LETTER DHII;Lo;0;L;;;;;N;;;;;
        "\u16AD8",  # ;BASSA VAH LETTER KPAH;Lo;0;L;;;;;N;;;;;
        "\u16AD9",  # ;BASSA VAH LETTER JO;Lo;0;L;;;;;N;;;;;
        "\u16ADA",  # ;BASSA VAH LETTER HWAH;Lo;0;L;;;;;N;;;;;
        "\u16ADB",  # ;BASSA VAH LETTER WA;Lo;0;L;;;;;N;;;;;
        "\u16ADC",  # ;BASSA VAH LETTER ZO;Lo;0;L;;;;;N;;;;;
        "\u16ADD",  # ;BASSA VAH LETTER GBU;Lo;0;L;;;;;N;;;;;
        "\u16ADE",  # ;BASSA VAH LETTER DO;Lo;0;L;;;;;N;;;;;
        "\u16ADF",  # ;BASSA VAH LETTER CE;Lo;0;L;;;;;N;;;;;
        "\u16AE0",  # ;BASSA VAH LETTER UWU;Lo;0;L;;;;;N;;;;;
        "\u16AE1",  # ;BASSA VAH LETTER TO;Lo;0;L;;;;;N;;;;;
        "\u16AE2",  # ;BASSA VAH LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u16AE3",  # ;BASSA VAH LETTER VU;Lo;0;L;;;;;N;;;;;
        "\u16AE4",  # ;BASSA VAH LETTER YEIN;Lo;0;L;;;;;N;;;;;
        "\u16AE5",  # ;BASSA VAH LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u16AE6",  # ;BASSA VAH LETTER WADDA;Lo;0;L;;;;;N;;;;;
        "\u16AE7",  # ;BASSA VAH LETTER A;Lo;0;L;;;;;N;;;;;
        "\u16AE8",  # ;BASSA VAH LETTER O;Lo;0;L;;;;;N;;;;;
        "\u16AE9",  # ;BASSA VAH LETTER OO;Lo;0;L;;;;;N;;;;;
        "\u16AEA",  # ;BASSA VAH LETTER U;Lo;0;L;;;;;N;;;;;
        "\u16AEB",  # ;BASSA VAH LETTER EE;Lo;0;L;;;;;N;;;;;
        "\u16AEC",  # ;BASSA VAH LETTER E;Lo;0;L;;;;;N;;;;;
        "\u16AED",  # ;BASSA VAH LETTER I;Lo;0;L;;;;;N;;;;;
        "\u16AF0",  # ;BASSA VAH COMBINING HIGH TONE;Mn;1;NSM;;;;;N;;;;;
        "\u16AF1",  # ;BASSA VAH COMBINING LOW TONE;Mn;1;NSM;;;;;N;;;;;
        "\u16AF2",  # ;BASSA VAH COMBINING MID TONE;Mn;1;NSM;;;;;N;;;;;
        "\u16AF3",  # ;BASSA VAH COMBINING LOW-MID TONE;Mn;1;NSM;;;;;N;;;;;
        "\u16AF4",  # ;BASSA VAH COMBINING HIGH-LOW TONE;Mn;1;NSM;;;;;N;;;;;
        "\u16AF5",  # ;BASSA VAH FULL STOP;Po;0;L;;;;;N;;;;;
        "\u16B00",  # ;PAHAWH HMONG VOWEL KEEB;Lo;0;L;;;;;N;;;;;
        "\u16B01",  # ;PAHAWH HMONG VOWEL KEEV;Lo;0;L;;;;;N;;;;;
        "\u16B02",  # ;PAHAWH HMONG VOWEL KIB;Lo;0;L;;;;;N;;;;;
        "\u16B03",  # ;PAHAWH HMONG VOWEL KIV;Lo;0;L;;;;;N;;;;;
        "\u16B04",  # ;PAHAWH HMONG VOWEL KAUB;Lo;0;L;;;;;N;;;;;
        "\u16B05",  # ;PAHAWH HMONG VOWEL KAUV;Lo;0;L;;;;;N;;;;;
        "\u16B06",  # ;PAHAWH HMONG VOWEL KUB;Lo;0;L;;;;;N;;;;;
        "\u16B07",  # ;PAHAWH HMONG VOWEL KUV;Lo;0;L;;;;;N;;;;;
        "\u16B08",  # ;PAHAWH HMONG VOWEL KEB;Lo;0;L;;;;;N;;;;;
        "\u16B09",  # ;PAHAWH HMONG VOWEL KEV;Lo;0;L;;;;;N;;;;;
        "\u16B0A",  # ;PAHAWH HMONG VOWEL KAIB;Lo;0;L;;;;;N;;;;;
        "\u16B0B",  # ;PAHAWH HMONG VOWEL KAIV;Lo;0;L;;;;;N;;;;;
        "\u16B0C",  # ;PAHAWH HMONG VOWEL KOOB;Lo;0;L;;;;;N;;;;;
        "\u16B0D",  # ;PAHAWH HMONG VOWEL KOOV;Lo;0;L;;;;;N;;;;;
        "\u16B0E",  # ;PAHAWH HMONG VOWEL KAWB;Lo;0;L;;;;;N;;;;;
        "\u16B0F",  # ;PAHAWH HMONG VOWEL KAWV;Lo;0;L;;;;;N;;;;;
        "\u16B10",  # ;PAHAWH HMONG VOWEL KUAB;Lo;0;L;;;;;N;;;;;
        "\u16B11",  # ;PAHAWH HMONG VOWEL KUAV;Lo;0;L;;;;;N;;;;;
        "\u16B12",  # ;PAHAWH HMONG VOWEL KOB;Lo;0;L;;;;;N;;;;;
        "\u16B13",  # ;PAHAWH HMONG VOWEL KOV;Lo;0;L;;;;;N;;;;;
        "\u16B14",  # ;PAHAWH HMONG VOWEL KIAB;Lo;0;L;;;;;N;;;;;
        "\u16B15",  # ;PAHAWH HMONG VOWEL KIAV;Lo;0;L;;;;;N;;;;;
        "\u16B16",  # ;PAHAWH HMONG VOWEL KAB;Lo;0;L;;;;;N;;;;;
        "\u16B17",  # ;PAHAWH HMONG VOWEL KAV;Lo;0;L;;;;;N;;;;;
        "\u16B18",  # ;PAHAWH HMONG VOWEL KWB;Lo;0;L;;;;;N;;;;;
        "\u16B19",  # ;PAHAWH HMONG VOWEL KWV;Lo;0;L;;;;;N;;;;;
        "\u16B1A",  # ;PAHAWH HMONG VOWEL KAAB;Lo;0;L;;;;;N;;;;;
        "\u16B1B",  # ;PAHAWH HMONG VOWEL KAAV;Lo;0;L;;;;;N;;;;;
        "\u16B1C",  # ;PAHAWH HMONG CONSONANT VAU;Lo;0;L;;;;;N;;;;;
        "\u16B1D",  # ;PAHAWH HMONG CONSONANT NTSAU;Lo;0;L;;;;;N;;;;;
        "\u16B1E",  # ;PAHAWH HMONG CONSONANT LAU;Lo;0;L;;;;;N;;;;;
        "\u16B1F",  # ;PAHAWH HMONG CONSONANT HAU;Lo;0;L;;;;;N;;;;;
        "\u16B20",  # ;PAHAWH HMONG CONSONANT NLAU;Lo;0;L;;;;;N;;;;;
        "\u16B21",  # ;PAHAWH HMONG CONSONANT RAU;Lo;0;L;;;;;N;;;;;
        "\u16B22",  # ;PAHAWH HMONG CONSONANT NKAU;Lo;0;L;;;;;N;;;;;
        "\u16B23",  # ;PAHAWH HMONG CONSONANT QHAU;Lo;0;L;;;;;N;;;;;
        "\u16B24",  # ;PAHAWH HMONG CONSONANT YAU;Lo;0;L;;;;;N;;;;;
        "\u16B25",  # ;PAHAWH HMONG CONSONANT HLAU;Lo;0;L;;;;;N;;;;;
        "\u16B26",  # ;PAHAWH HMONG CONSONANT MAU;Lo;0;L;;;;;N;;;;;
        "\u16B27",  # ;PAHAWH HMONG CONSONANT CHAU;Lo;0;L;;;;;N;;;;;
        "\u16B28",  # ;PAHAWH HMONG CONSONANT NCHAU;Lo;0;L;;;;;N;;;;;
        "\u16B29",  # ;PAHAWH HMONG CONSONANT HNAU;Lo;0;L;;;;;N;;;;;
        "\u16B2A",  # ;PAHAWH HMONG CONSONANT PLHAU;Lo;0;L;;;;;N;;;;;
        "\u16B2B",  # ;PAHAWH HMONG CONSONANT NTHAU;Lo;0;L;;;;;N;;;;;
        "\u16B2C",  # ;PAHAWH HMONG CONSONANT NAU;Lo;0;L;;;;;N;;;;;
        "\u16B2D",  # ;PAHAWH HMONG CONSONANT AU;Lo;0;L;;;;;N;;;;;
        "\u16B2E",  # ;PAHAWH HMONG CONSONANT XAU;Lo;0;L;;;;;N;;;;;
        "\u16B2F",  # ;PAHAWH HMONG CONSONANT CAU;Lo;0;L;;;;;N;;;;;
        "\u16B30",  # ;PAHAWH HMONG MARK CIM TUB;Mn;230;NSM;;;;;N;;;;;
        "\u16B31",  # ;PAHAWH HMONG MARK CIM SO;Mn;230;NSM;;;;;N;;;;;
        "\u16B32",  # ;PAHAWH HMONG MARK CIM KES;Mn;230;NSM;;;;;N;;;;;
        "\u16B33",  # ;PAHAWH HMONG MARK CIM KHAV;Mn;230;NSM;;;;;N;;;;;
        "\u16B34",  # ;PAHAWH HMONG MARK CIM SUAM;Mn;230;NSM;;;;;N;;;;;
        "\u16B35",  # ;PAHAWH HMONG MARK CIM HOM;Mn;230;NSM;;;;;N;;;;;
        "\u16B36",  # ;PAHAWH HMONG MARK CIM TAUM;Mn;230;NSM;;;;;N;;;;;
        "\u16B37",  # ;PAHAWH HMONG SIGN VOS THOM;Po;0;L;;;;;N;;;;;
        "\u16B38",  # ;PAHAWH HMONG SIGN VOS TSHAB CEEB;Po;0;L;;;;;N;;;;;
        "\u16B39",  # ;PAHAWH HMONG SIGN CIM CHEEM;Po;0;L;;;;;N;;;;;
        "\u16B3A",  # ;PAHAWH HMONG SIGN VOS THIAB;Po;0;L;;;;;N;;;;;
        "\u16B3B",  # ;PAHAWH HMONG SIGN VOS FEEM;Po;0;L;;;;;N;;;;;
        "\u16B3C",  # ;PAHAWH HMONG SIGN XYEEM NTXIV;So;0;L;;;;;N;;;;;
        "\u16B3D",  # ;PAHAWH HMONG SIGN XYEEM RHO;So;0;L;;;;;N;;;;;
        "\u16B3E",  # ;PAHAWH HMONG SIGN XYEEM TOV;So;0;L;;;;;N;;;;;
        "\u16B3F",  # ;PAHAWH HMONG SIGN XYEEM FAIB;So;0;L;;;;;N;;;;;
        "\u16B40",  # ;PAHAWH HMONG SIGN VOS SEEV;Lm;0;L;;;;;N;;;;;
        "\u16B41",  # ;PAHAWH HMONG SIGN MEEJ SUAB;Lm;0;L;;;;;N;;;;;
        "\u16B42",  # ;PAHAWH HMONG SIGN VOS NRUA;Lm;0;L;;;;;N;;;;;
        "\u16B43",  # ;PAHAWH HMONG SIGN IB YAM;Lm;0;L;;;;;N;;;;;
        "\u16B44",  # ;PAHAWH HMONG SIGN XAUS;Po;0;L;;;;;N;;;;;
        "\u16B45",  # ;PAHAWH HMONG SIGN CIM TSOV ROG;So;0;L;;;;;N;;;;;
        "\u16B50",  # ;PAHAWH HMONG DIGIT ZERO;Nd;0;L;;0;0;0;N;;;;;
        "\u16B51",  # ;PAHAWH HMONG DIGIT ONE;Nd;0;L;;1;1;1;N;;;;;
        "\u16B52",  # ;PAHAWH HMONG DIGIT TWO;Nd;0;L;;2;2;2;N;;;;;
        "\u16B53",  # ;PAHAWH HMONG DIGIT THREE;Nd;0;L;;3;3;3;N;;;;;
        "\u16B54",  # ;PAHAWH HMONG DIGIT FOUR;Nd;0;L;;4;4;4;N;;;;;
        "\u16B55",  # ;PAHAWH HMONG DIGIT FIVE;Nd;0;L;;5;5;5;N;;;;;
        "\u16B56",  # ;PAHAWH HMONG DIGIT SIX;Nd;0;L;;6;6;6;N;;;;;
        "\u16B57",  # ;PAHAWH HMONG DIGIT SEVEN;Nd;0;L;;7;7;7;N;;;;;
        "\u16B58",  # ;PAHAWH HMONG DIGIT EIGHT;Nd;0;L;;8;8;8;N;;;;;
        "\u16B59",  # ;PAHAWH HMONG DIGIT NINE;Nd;0;L;;9;9;9;N;;;;;
        "\u16B5B",  # ;PAHAWH HMONG NUMBER TENS;No;0;L;;;;10;N;;;;;
        "\u16B5C",  # ;PAHAWH HMONG NUMBER HUNDREDS;No;0;L;;;;100;N;;;;;
        "\u16B5D",  # ;PAHAWH HMONG NUMBER TEN THOUSANDS;No;0;L;;;;10000;N;;;;;
        "\u16B5E",  # ;PAHAWH HMONG NUMBER MILLIONS;No;0;L;;;;1000000;N;;;;;
        "\u16B5F",  # ;PAHAWH HMONG NUMBER HUNDRED MILLIONS;No;0;L;;;;100000000;N;;;;;
        "\u16B60",  # ;PAHAWH HMONG NUMBER TEN BILLIONS;No;0;L;;;;10000000000;N;;;;;
        "\u16B61",  # ;PAHAWH HMONG NUMBER TRILLIONS;No;0;L;;;;1000000000000;N;;;;;
        "\u16B63",  # ;PAHAWH HMONG SIGN VOS LUB;Lo;0;L;;;;;N;;;;;
        "\u16B64",  # ;PAHAWH HMONG SIGN XYOO;Lo;0;L;;;;;N;;;;;
        "\u16B65",  # ;PAHAWH HMONG SIGN HLI;Lo;0;L;;;;;N;;;;;
        "\u16B66",  # ;PAHAWH HMONG SIGN THIRD-STAGE HLI;Lo;0;L;;;;;N;;;;;
        "\u16B67",  # ;PAHAWH HMONG SIGN ZWJ THAJ;Lo;0;L;;;;;N;;;;;
        "\u16B68",  # ;PAHAWH HMONG SIGN HNUB;Lo;0;L;;;;;N;;;;;
        "\u16B69",  # ;PAHAWH HMONG SIGN NQIG;Lo;0;L;;;;;N;;;;;
        "\u16B6A",  # ;PAHAWH HMONG SIGN XIAB;Lo;0;L;;;;;N;;;;;
        "\u16B6B",  # ;PAHAWH HMONG SIGN NTUJ;Lo;0;L;;;;;N;;;;;
        "\u16B6C",  # ;PAHAWH HMONG SIGN AV;Lo;0;L;;;;;N;;;;;
        "\u16B6D",  # ;PAHAWH HMONG SIGN TXHEEJ CEEV;Lo;0;L;;;;;N;;;;;
        "\u16B6E",  # ;PAHAWH HMONG SIGN MEEJ TSEEB;Lo;0;L;;;;;N;;;;;
        "\u16B6F",  # ;PAHAWH HMONG SIGN TAU;Lo;0;L;;;;;N;;;;;
        "\u16B70",  # ;PAHAWH HMONG SIGN LOS;Lo;0;L;;;;;N;;;;;
        "\u16B71",  # ;PAHAWH HMONG SIGN MUS;Lo;0;L;;;;;N;;;;;
        "\u16B72",  # ;PAHAWH HMONG SIGN CIM HAIS LUS NTOG NTOG;Lo;0;L;;;;;N;;;;;
        "\u16B73",  # ;PAHAWH HMONG SIGN CIM CUAM TSHOOJ;Lo;0;L;;;;;N;;;;;
        "\u16B74",  # ;PAHAWH HMONG SIGN CIM TXWV;Lo;0;L;;;;;N;;;;;
        "\u16B75",  # ;PAHAWH HMONG SIGN CIM TXWV CHWV;Lo;0;L;;;;;N;;;;;
        "\u16B76",  # ;PAHAWH HMONG SIGN CIM PUB DAWB;Lo;0;L;;;;;N;;;;;
        "\u16B77",  # ;PAHAWH HMONG SIGN CIM NRES TOS;Lo;0;L;;;;;N;;;;;
        "\u16B7D",  # ;PAHAWH HMONG CLAN SIGN TSHEEJ;Lo;0;L;;;;;N;;;;;
        "\u16B7E",  # ;PAHAWH HMONG CLAN SIGN YEEG;Lo;0;L;;;;;N;;;;;
        "\u16B7F",  # ;PAHAWH HMONG CLAN SIGN LIS;Lo;0;L;;;;;N;;;;;
        "\u16B80",  # ;PAHAWH HMONG CLAN SIGN LAUJ;Lo;0;L;;;;;N;;;;;
        "\u16B81",  # ;PAHAWH HMONG CLAN SIGN XYOOJ;Lo;0;L;;;;;N;;;;;
        "\u16B82",  # ;PAHAWH HMONG CLAN SIGN KOO;Lo;0;L;;;;;N;;;;;
        "\u16B83",  # ;PAHAWH HMONG CLAN SIGN HAWJ;Lo;0;L;;;;;N;;;;;
        "\u16B84",  # ;PAHAWH HMONG CLAN SIGN MUAS;Lo;0;L;;;;;N;;;;;
        "\u16B85",  # ;PAHAWH HMONG CLAN SIGN THOJ;Lo;0;L;;;;;N;;;;;
        "\u16B86",  # ;PAHAWH HMONG CLAN SIGN TSAB;Lo;0;L;;;;;N;;;;;
        "\u16B87",  # ;PAHAWH HMONG CLAN SIGN PHAB;Lo;0;L;;;;;N;;;;;
        "\u16B88",  # ;PAHAWH HMONG CLAN SIGN KHAB;Lo;0;L;;;;;N;;;;;
        "\u16B89",  # ;PAHAWH HMONG CLAN SIGN HAM;Lo;0;L;;;;;N;;;;;
        "\u16B8A",  # ;PAHAWH HMONG CLAN SIGN VAJ;Lo;0;L;;;;;N;;;;;
        "\u16B8B",  # ;PAHAWH HMONG CLAN SIGN FAJ;Lo;0;L;;;;;N;;;;;
        "\u16B8C",  # ;PAHAWH HMONG CLAN SIGN YAJ;Lo;0;L;;;;;N;;;;;
        "\u16B8D",  # ;PAHAWH HMONG CLAN SIGN TSWB;Lo;0;L;;;;;N;;;;;
        "\u16B8E",  # ;PAHAWH HMONG CLAN SIGN KWM;Lo;0;L;;;;;N;;;;;
        "\u16B8F",  # ;PAHAWH HMONG CLAN SIGN VWJ;Lo;0;L;;;;;N;;;;;
        "\u16F00",  # ;MIAO LETTER PA;Lo;0;L;;;;;N;;;;;
        "\u16F01",  # ;MIAO LETTER BA;Lo;0;L;;;;;N;;;;;
        "\u16F02",  # ;MIAO LETTER YI PA;Lo;0;L;;;;;N;;;;;
        "\u16F03",  # ;MIAO LETTER PLA;Lo;0;L;;;;;N;;;;;
        "\u16F04",  # ;MIAO LETTER MA;Lo;0;L;;;;;N;;;;;
        "\u16F05",  # ;MIAO LETTER MHA;Lo;0;L;;;;;N;;;;;
        "\u16F06",  # ;MIAO LETTER ARCHAIC MA;Lo;0;L;;;;;N;;;;;
        "\u16F07",  # ;MIAO LETTER FA;Lo;0;L;;;;;N;;;;;
        "\u16F08",  # ;MIAO LETTER VA;Lo;0;L;;;;;N;;;;;
        "\u16F09",  # ;MIAO LETTER VFA;Lo;0;L;;;;;N;;;;;
        "\u16F0A",  # ;MIAO LETTER TA;Lo;0;L;;;;;N;;;;;
        "\u16F0B",  # ;MIAO LETTER DA;Lo;0;L;;;;;N;;;;;
        "\u16F0C",  # ;MIAO LETTER YI TTA;Lo;0;L;;;;;N;;;;;
        "\u16F0D",  # ;MIAO LETTER YI TA;Lo;0;L;;;;;N;;;;;
        "\u16F0E",  # ;MIAO LETTER TTA;Lo;0;L;;;;;N;;;;;
        "\u16F0F",  # ;MIAO LETTER DDA;Lo;0;L;;;;;N;;;;;
        "\u16F10",  # ;MIAO LETTER NA;Lo;0;L;;;;;N;;;;;
        "\u16F11",  # ;MIAO LETTER NHA;Lo;0;L;;;;;N;;;;;
        "\u16F12",  # ;MIAO LETTER YI NNA;Lo;0;L;;;;;N;;;;;
        "\u16F13",  # ;MIAO LETTER ARCHAIC NA;Lo;0;L;;;;;N;;;;;
        "\u16F14",  # ;MIAO LETTER NNA;Lo;0;L;;;;;N;;;;;
        "\u16F15",  # ;MIAO LETTER NNHA;Lo;0;L;;;;;N;;;;;
        "\u16F16",  # ;MIAO LETTER LA;Lo;0;L;;;;;N;;;;;
        "\u16F17",  # ;MIAO LETTER LYA;Lo;0;L;;;;;N;;;;;
        "\u16F18",  # ;MIAO LETTER LHA;Lo;0;L;;;;;N;;;;;
        "\u16F19",  # ;MIAO LETTER LHYA;Lo;0;L;;;;;N;;;;;
        "\u16F1A",  # ;MIAO LETTER TLHA;Lo;0;L;;;;;N;;;;;
        "\u16F1B",  # ;MIAO LETTER DLHA;Lo;0;L;;;;;N;;;;;
        "\u16F1C",  # ;MIAO LETTER TLHYA;Lo;0;L;;;;;N;;;;;
        "\u16F1D",  # ;MIAO LETTER DLHYA;Lo;0;L;;;;;N;;;;;
        "\u16F1E",  # ;MIAO LETTER KA;Lo;0;L;;;;;N;;;;;
        "\u16F1F",  # ;MIAO LETTER GA;Lo;0;L;;;;;N;;;;;
        "\u16F20",  # ;MIAO LETTER YI KA;Lo;0;L;;;;;N;;;;;
        "\u16F21",  # ;MIAO LETTER QA;Lo;0;L;;;;;N;;;;;
        "\u16F22",  # ;MIAO LETTER QGA;Lo;0;L;;;;;N;;;;;
        "\u16F23",  # ;MIAO LETTER NGA;Lo;0;L;;;;;N;;;;;
        "\u16F24",  # ;MIAO LETTER NGHA;Lo;0;L;;;;;N;;;;;
        "\u16F25",  # ;MIAO LETTER ARCHAIC NGA;Lo;0;L;;;;;N;;;;;
        "\u16F26",  # ;MIAO LETTER HA;Lo;0;L;;;;;N;;;;;
        "\u16F27",  # ;MIAO LETTER XA;Lo;0;L;;;;;N;;;;;
        "\u16F28",  # ;MIAO LETTER GHA;Lo;0;L;;;;;N;;;;;
        "\u16F29",  # ;MIAO LETTER GHHA;Lo;0;L;;;;;N;;;;;
        "\u16F2A",  # ;MIAO LETTER TSSA;Lo;0;L;;;;;N;;;;;
        "\u16F2B",  # ;MIAO LETTER DZZA;Lo;0;L;;;;;N;;;;;
        "\u16F2C",  # ;MIAO LETTER NYA;Lo;0;L;;;;;N;;;;;
        "\u16F2D",  # ;MIAO LETTER NYHA;Lo;0;L;;;;;N;;;;;
        "\u16F2E",  # ;MIAO LETTER TSHA;Lo;0;L;;;;;N;;;;;
        "\u16F2F",  # ;MIAO LETTER DZHA;Lo;0;L;;;;;N;;;;;
        "\u16F30",  # ;MIAO LETTER YI TSHA;Lo;0;L;;;;;N;;;;;
        "\u16F31",  # ;MIAO LETTER YI DZHA;Lo;0;L;;;;;N;;;;;
        "\u16F32",  # ;MIAO LETTER REFORMED TSHA;Lo;0;L;;;;;N;;;;;
        "\u16F33",  # ;MIAO LETTER SHA;Lo;0;L;;;;;N;;;;;
        "\u16F34",  # ;MIAO LETTER SSA;Lo;0;L;;;;;N;;;;;
        "\u16F35",  # ;MIAO LETTER ZHA;Lo;0;L;;;;;N;;;;;
        "\u16F36",  # ;MIAO LETTER ZSHA;Lo;0;L;;;;;N;;;;;
        "\u16F37",  # ;MIAO LETTER TSA;Lo;0;L;;;;;N;;;;;
        "\u16F38",  # ;MIAO LETTER DZA;Lo;0;L;;;;;N;;;;;
        "\u16F39",  # ;MIAO LETTER YI TSA;Lo;0;L;;;;;N;;;;;
        "\u16F3A",  # ;MIAO LETTER SA;Lo;0;L;;;;;N;;;;;
        "\u16F3B",  # ;MIAO LETTER ZA;Lo;0;L;;;;;N;;;;;
        "\u16F3C",  # ;MIAO LETTER ZSA;Lo;0;L;;;;;N;;;;;
        "\u16F3D",  # ;MIAO LETTER ZZA;Lo;0;L;;;;;N;;;;;
        "\u16F3E",  # ;MIAO LETTER ZZSA;Lo;0;L;;;;;N;;;;;
        "\u16F3F",  # ;MIAO LETTER ARCHAIC ZZA;Lo;0;L;;;;;N;;;;;
        "\u16F40",  # ;MIAO LETTER ZZYA;Lo;0;L;;;;;N;;;;;
        "\u16F41",  # ;MIAO LETTER ZZSYA;Lo;0;L;;;;;N;;;;;
        "\u16F42",  # ;MIAO LETTER WA;Lo;0;L;;;;;N;;;;;
        "\u16F43",  # ;MIAO LETTER AH;Lo;0;L;;;;;N;;;;;
        "\u16F44",  # ;MIAO LETTER HHA;Lo;0;L;;;;;N;;;;;
        "\u16F50",  # ;MIAO LETTER NASALIZATION;Lo;0;L;;;;;N;;;;;
        "\u16F51",  # ;MIAO SIGN ASPIRATION;Mc;0;L;;;;;N;;;;;
        "\u16F52",  # ;MIAO SIGN REFORMED VOICING;Mc;0;L;;;;;N;;;;;
        "\u16F53",  # ;MIAO SIGN REFORMED ASPIRATION;Mc;0;L;;;;;N;;;;;
        "\u16F54",  # ;MIAO VOWEL SIGN A;Mc;0;L;;;;;N;;;;;
        "\u16F55",  # ;MIAO VOWEL SIGN AA;Mc;0;L;;;;;N;;;;;
        "\u16F56",  # ;MIAO VOWEL SIGN AHH;Mc;0;L;;;;;N;;;;;
        "\u16F57",  # ;MIAO VOWEL SIGN AN;Mc;0;L;;;;;N;;;;;
        "\u16F58",  # ;MIAO VOWEL SIGN ANG;Mc;0;L;;;;;N;;;;;
        "\u16F59",  # ;MIAO VOWEL SIGN O;Mc;0;L;;;;;N;;;;;
        "\u16F5A",  # ;MIAO VOWEL SIGN OO;Mc;0;L;;;;;N;;;;;
        "\u16F5B",  # ;MIAO VOWEL SIGN WO;Mc;0;L;;;;;N;;;;;
        "\u16F5C",  # ;MIAO VOWEL SIGN W;Mc;0;L;;;;;N;;;;;
        "\u16F5D",  # ;MIAO VOWEL SIGN E;Mc;0;L;;;;;N;;;;;
        "\u16F5E",  # ;MIAO VOWEL SIGN EN;Mc;0;L;;;;;N;;;;;
        "\u16F5F",  # ;MIAO VOWEL SIGN ENG;Mc;0;L;;;;;N;;;;;
        "\u16F60",  # ;MIAO VOWEL SIGN OEY;Mc;0;L;;;;;N;;;;;
        "\u16F61",  # ;MIAO VOWEL SIGN I;Mc;0;L;;;;;N;;;;;
        "\u16F62",  # ;MIAO VOWEL SIGN IA;Mc;0;L;;;;;N;;;;;
        "\u16F63",  # ;MIAO VOWEL SIGN IAN;Mc;0;L;;;;;N;;;;;
        "\u16F64",  # ;MIAO VOWEL SIGN IANG;Mc;0;L;;;;;N;;;;;
        "\u16F65",  # ;MIAO VOWEL SIGN IO;Mc;0;L;;;;;N;;;;;
        "\u16F66",  # ;MIAO VOWEL SIGN IE;Mc;0;L;;;;;N;;;;;
        "\u16F67",  # ;MIAO VOWEL SIGN II;Mc;0;L;;;;;N;;;;;
        "\u16F68",  # ;MIAO VOWEL SIGN IU;Mc;0;L;;;;;N;;;;;
        "\u16F69",  # ;MIAO VOWEL SIGN ING;Mc;0;L;;;;;N;;;;;
        "\u16F6A",  # ;MIAO VOWEL SIGN U;Mc;0;L;;;;;N;;;;;
        "\u16F6B",  # ;MIAO VOWEL SIGN UA;Mc;0;L;;;;;N;;;;;
        "\u16F6C",  # ;MIAO VOWEL SIGN UAN;Mc;0;L;;;;;N;;;;;
        "\u16F6D",  # ;MIAO VOWEL SIGN UANG;Mc;0;L;;;;;N;;;;;
        "\u16F6E",  # ;MIAO VOWEL SIGN UU;Mc;0;L;;;;;N;;;;;
        "\u16F6F",  # ;MIAO VOWEL SIGN UEI;Mc;0;L;;;;;N;;;;;
        "\u16F70",  # ;MIAO VOWEL SIGN UNG;Mc;0;L;;;;;N;;;;;
        "\u16F71",  # ;MIAO VOWEL SIGN Y;Mc;0;L;;;;;N;;;;;
        "\u16F72",  # ;MIAO VOWEL SIGN YI;Mc;0;L;;;;;N;;;;;
        "\u16F73",  # ;MIAO VOWEL SIGN AE;Mc;0;L;;;;;N;;;;;
        "\u16F74",  # ;MIAO VOWEL SIGN AEE;Mc;0;L;;;;;N;;;;;
        "\u16F75",  # ;MIAO VOWEL SIGN ERR;Mc;0;L;;;;;N;;;;;
        "\u16F76",  # ;MIAO VOWEL SIGN ROUNDED ERR;Mc;0;L;;;;;N;;;;;
        "\u16F77",  # ;MIAO VOWEL SIGN ER;Mc;0;L;;;;;N;;;;;
        "\u16F78",  # ;MIAO VOWEL SIGN ROUNDED ER;Mc;0;L;;;;;N;;;;;
        "\u16F79",  # ;MIAO VOWEL SIGN AI;Mc;0;L;;;;;N;;;;;
        "\u16F7A",  # ;MIAO VOWEL SIGN EI;Mc;0;L;;;;;N;;;;;
        "\u16F7B",  # ;MIAO VOWEL SIGN AU;Mc;0;L;;;;;N;;;;;
        "\u16F7C",  # ;MIAO VOWEL SIGN OU;Mc;0;L;;;;;N;;;;;
        "\u16F7D",  # ;MIAO VOWEL SIGN N;Mc;0;L;;;;;N;;;;;
        "\u16F7E",  # ;MIAO VOWEL SIGN NG;Mc;0;L;;;;;N;;;;;
        "\u16F8F",  # ;MIAO TONE RIGHT;Mn;0;NSM;;;;;N;;;;;
        "\u16F90",  # ;MIAO TONE TOP RIGHT;Mn;0;NSM;;;;;N;;;;;
        "\u16F91",  # ;MIAO TONE ABOVE;Mn;0;NSM;;;;;N;;;;;
        "\u16F92",  # ;MIAO TONE BELOW;Mn;0;NSM;;;;;N;;;;;
        "\u16F93",  # ;MIAO LETTER TONE-2;Lm;0;L;;;;;N;;;;;
        "\u16F94",  # ;MIAO LETTER TONE-3;Lm;0;L;;;;;N;;;;;
        "\u16F95",  # ;MIAO LETTER TONE-4;Lm;0;L;;;;;N;;;;;
        "\u16F96",  # ;MIAO LETTER TONE-5;Lm;0;L;;;;;N;;;;;
        "\u16F97",  # ;MIAO LETTER TONE-6;Lm;0;L;;;;;N;;;;;
        "\u16F98",  # ;MIAO LETTER TONE-7;Lm;0;L;;;;;N;;;;;
        "\u16F99",  # ;MIAO LETTER TONE-8;Lm;0;L;;;;;N;;;;;
        "\u16F9A",  # ;MIAO LETTER REFORMED TONE-1;Lm;0;L;;;;;N;;;;;
        "\u16F9B",  # ;MIAO LETTER REFORMED TONE-2;Lm;0;L;;;;;N;;;;;
        "\u16F9C",  # ;MIAO LETTER REFORMED TONE-4;Lm;0;L;;;;;N;;;;;
        "\u16F9D",  # ;MIAO LETTER REFORMED TONE-5;Lm;0;L;;;;;N;;;;;
        "\u16F9E",  # ;MIAO LETTER REFORMED TONE-6;Lm;0;L;;;;;N;;;;;
        "\u16F9F",  # ;MIAO LETTER REFORMED TONE-8;Lm;0;L;;;;;N;;;;;
        "\u16FE0",  # ;TANGUT ITERATION MARK;Lm;0;L;;;;;N;;;;;
        "\u16FE1",  # ;NUSHU ITERATION MARK;Lm;0;L;;;;;N;;;;;
        "\u17000",  # ;<Tangut Ideograph, First>;Lo;0;L;;;;;N;;;;;
        "\u187EC",  # ;<Tangut Ideograph, Last>;Lo;0;L;;;;;N;;;;;
        "\u18800",  # ;TANGUT COMPONENT-001;Lo;0;L;;;;;N;;;;;
        "\u18801",  # ;TANGUT COMPONENT-002;Lo;0;L;;;;;N;;;;;
        "\u18802",  # ;TANGUT COMPONENT-003;Lo;0;L;;;;;N;;;;;
        "\u18803",  # ;TANGUT COMPONENT-004;Lo;0;L;;;;;N;;;;;
        "\u18804",  # ;TANGUT COMPONENT-005;Lo;0;L;;;;;N;;;;;
        "\u18805",  # ;TANGUT COMPONENT-006;Lo;0;L;;;;;N;;;;;
        "\u18806",  # ;TANGUT COMPONENT-007;Lo;0;L;;;;;N;;;;;
        "\u18807",  # ;TANGUT COMPONENT-008;Lo;0;L;;;;;N;;;;;
        "\u18808",  # ;TANGUT COMPONENT-009;Lo;0;L;;;;;N;;;;;
        "\u18809",  # ;TANGUT COMPONENT-010;Lo;0;L;;;;;N;;;;;
        "\u1880A",  # ;TANGUT COMPONENT-011;Lo;0;L;;;;;N;;;;;
        "\u1880B",  # ;TANGUT COMPONENT-012;Lo;0;L;;;;;N;;;;;
        "\u1880C",  # ;TANGUT COMPONENT-013;Lo;0;L;;;;;N;;;;;
        "\u1880D",  # ;TANGUT COMPONENT-014;Lo;0;L;;;;;N;;;;;
        "\u1880E",  # ;TANGUT COMPONENT-015;Lo;0;L;;;;;N;;;;;
        "\u1880F",  # ;TANGUT COMPONENT-016;Lo;0;L;;;;;N;;;;;
        "\u18810",  # ;TANGUT COMPONENT-017;Lo;0;L;;;;;N;;;;;
        "\u18811",  # ;TANGUT COMPONENT-018;Lo;0;L;;;;;N;;;;;
        "\u18812",  # ;TANGUT COMPONENT-019;Lo;0;L;;;;;N;;;;;
        "\u18813",  # ;TANGUT COMPONENT-020;Lo;0;L;;;;;N;;;;;
        "\u18814",  # ;TANGUT COMPONENT-021;Lo;0;L;;;;;N;;;;;
        "\u18815",  # ;TANGUT COMPONENT-022;Lo;0;L;;;;;N;;;;;
        "\u18816",  # ;TANGUT COMPONENT-023;Lo;0;L;;;;;N;;;;;
        "\u18817",  # ;TANGUT COMPONENT-024;Lo;0;L;;;;;N;;;;;
        "\u18818",  # ;TANGUT COMPONENT-025;Lo;0;L;;;;;N;;;;;
        "\u18819",  # ;TANGUT COMPONENT-026;Lo;0;L;;;;;N;;;;;
        "\u1881A",  # ;TANGUT COMPONENT-027;Lo;0;L;;;;;N;;;;;
        "\u1881B",  # ;TANGUT COMPONENT-028;Lo;0;L;;;;;N;;;;;
        "\u1881C",  # ;TANGUT COMPONENT-029;Lo;0;L;;;;;N;;;;;
        "\u1881D",  # ;TANGUT COMPONENT-030;Lo;0;L;;;;;N;;;;;
        "\u1881E",  # ;TANGUT COMPONENT-031;Lo;0;L;;;;;N;;;;;
        "\u1881F",  # ;TANGUT COMPONENT-032;Lo;0;L;;;;;N;;;;;
        "\u18820",  # ;TANGUT COMPONENT-033;Lo;0;L;;;;;N;;;;;
        "\u18821",  # ;TANGUT COMPONENT-034;Lo;0;L;;;;;N;;;;;
        "\u18822",  # ;TANGUT COMPONENT-035;Lo;0;L;;;;;N;;;;;
        "\u18823",  # ;TANGUT COMPONENT-036;Lo;0;L;;;;;N;;;;;
        "\u18824",  # ;TANGUT COMPONENT-037;Lo;0;L;;;;;N;;;;;
        "\u18825",  # ;TANGUT COMPONENT-038;Lo;0;L;;;;;N;;;;;
        "\u18826",  # ;TANGUT COMPONENT-039;Lo;0;L;;;;;N;;;;;
        "\u18827",  # ;TANGUT COMPONENT-040;Lo;0;L;;;;;N;;;;;
        "\u18828",  # ;TANGUT COMPONENT-041;Lo;0;L;;;;;N;;;;;
        "\u18829",  # ;TANGUT COMPONENT-042;Lo;0;L;;;;;N;;;;;
        "\u1882A",  # ;TANGUT COMPONENT-043;Lo;0;L;;;;;N;;;;;
        "\u1882B",  # ;TANGUT COMPONENT-044;Lo;0;L;;;;;N;;;;;
        "\u1882C",  # ;TANGUT COMPONENT-045;Lo;0;L;;;;;N;;;;;
        "\u1882D",  # ;TANGUT COMPONENT-046;Lo;0;L;;;;;N;;;;;
        "\u1882E",  # ;TANGUT COMPONENT-047;Lo;0;L;;;;;N;;;;;
        "\u1882F",  # ;TANGUT COMPONENT-048;Lo;0;L;;;;;N;;;;;
        "\u18830",  # ;TANGUT COMPONENT-049;Lo;0;L;;;;;N;;;;;
        "\u18831",  # ;TANGUT COMPONENT-050;Lo;0;L;;;;;N;;;;;
        "\u18832",  # ;TANGUT COMPONENT-051;Lo;0;L;;;;;N;;;;;
        "\u18833",  # ;TANGUT COMPONENT-052;Lo;0;L;;;;;N;;;;;
        "\u18834",  # ;TANGUT COMPONENT-053;Lo;0;L;;;;;N;;;;;
        "\u18835",  # ;TANGUT COMPONENT-054;Lo;0;L;;;;;N;;;;;
        "\u18836",  # ;TANGUT COMPONENT-055;Lo;0;L;;;;;N;;;;;
        "\u18837",  # ;TANGUT COMPONENT-056;Lo;0;L;;;;;N;;;;;
        "\u18838",  # ;TANGUT COMPONENT-057;Lo;0;L;;;;;N;;;;;
        "\u18839",  # ;TANGUT COMPONENT-058;Lo;0;L;;;;;N;;;;;
        "\u1883A",  # ;TANGUT COMPONENT-059;Lo;0;L;;;;;N;;;;;
        "\u1883B",  # ;TANGUT COMPONENT-060;Lo;0;L;;;;;N;;;;;
        "\u1883C",  # ;TANGUT COMPONENT-061;Lo;0;L;;;;;N;;;;;
        "\u1883D",  # ;TANGUT COMPONENT-062;Lo;0;L;;;;;N;;;;;
        "\u1883E",  # ;TANGUT COMPONENT-063;Lo;0;L;;;;;N;;;;;
        "\u1883F",  # ;TANGUT COMPONENT-064;Lo;0;L;;;;;N;;;;;
        "\u18840",  # ;TANGUT COMPONENT-065;Lo;0;L;;;;;N;;;;;
        "\u18841",  # ;TANGUT COMPONENT-066;Lo;0;L;;;;;N;;;;;
        "\u18842",  # ;TANGUT COMPONENT-067;Lo;0;L;;;;;N;;;;;
        "\u18843",  # ;TANGUT COMPONENT-068;Lo;0;L;;;;;N;;;;;
        "\u18844",  # ;TANGUT COMPONENT-069;Lo;0;L;;;;;N;;;;;
        "\u18845",  # ;TANGUT COMPONENT-070;Lo;0;L;;;;;N;;;;;
        "\u18846",  # ;TANGUT COMPONENT-071;Lo;0;L;;;;;N;;;;;
        "\u18847",  # ;TANGUT COMPONENT-072;Lo;0;L;;;;;N;;;;;
        "\u18848",  # ;TANGUT COMPONENT-073;Lo;0;L;;;;;N;;;;;
        "\u18849",  # ;TANGUT COMPONENT-074;Lo;0;L;;;;;N;;;;;
        "\u1884A",  # ;TANGUT COMPONENT-075;Lo;0;L;;;;;N;;;;;
        "\u1884B",  # ;TANGUT COMPONENT-076;Lo;0;L;;;;;N;;;;;
        "\u1884C",  # ;TANGUT COMPONENT-077;Lo;0;L;;;;;N;;;;;
        "\u1884D",  # ;TANGUT COMPONENT-078;Lo;0;L;;;;;N;;;;;
        "\u1884E",  # ;TANGUT COMPONENT-079;Lo;0;L;;;;;N;;;;;
        "\u1884F",  # ;TANGUT COMPONENT-080;Lo;0;L;;;;;N;;;;;
        "\u18850",  # ;TANGUT COMPONENT-081;Lo;0;L;;;;;N;;;;;
        "\u18851",  # ;TANGUT COMPONENT-082;Lo;0;L;;;;;N;;;;;
        "\u18852",  # ;TANGUT COMPONENT-083;Lo;0;L;;;;;N;;;;;
        "\u18853",  # ;TANGUT COMPONENT-084;Lo;0;L;;;;;N;;;;;
        "\u18854",  # ;TANGUT COMPONENT-085;Lo;0;L;;;;;N;;;;;
        "\u18855",  # ;TANGUT COMPONENT-086;Lo;0;L;;;;;N;;;;;
        "\u18856",  # ;TANGUT COMPONENT-087;Lo;0;L;;;;;N;;;;;
        "\u18857",  # ;TANGUT COMPONENT-088;Lo;0;L;;;;;N;;;;;
        "\u18858",  # ;TANGUT COMPONENT-089;Lo;0;L;;;;;N;;;;;
        "\u18859",  # ;TANGUT COMPONENT-090;Lo;0;L;;;;;N;;;;;
        "\u1885A",  # ;TANGUT COMPONENT-091;Lo;0;L;;;;;N;;;;;
        "\u1885B",  # ;TANGUT COMPONENT-092;Lo;0;L;;;;;N;;;;;
        "\u1885C",  # ;TANGUT COMPONENT-093;Lo;0;L;;;;;N;;;;;
        "\u1885D",  # ;TANGUT COMPONENT-094;Lo;0;L;;;;;N;;;;;
        "\u1885E",  # ;TANGUT COMPONENT-095;Lo;0;L;;;;;N;;;;;
        "\u1885F",  # ;TANGUT COMPONENT-096;Lo;0;L;;;;;N;;;;;
        "\u18860",  # ;TANGUT COMPONENT-097;Lo;0;L;;;;;N;;;;;
        "\u18861",  # ;TANGUT COMPONENT-098;Lo;0;L;;;;;N;;;;;
        "\u18862",  # ;TANGUT COMPONENT-099;Lo;0;L;;;;;N;;;;;
        "\u18863",  # ;TANGUT COMPONENT-100;Lo;0;L;;;;;N;;;;;
        "\u18864",  # ;TANGUT COMPONENT-101;Lo;0;L;;;;;N;;;;;
        "\u18865",  # ;TANGUT COMPONENT-102;Lo;0;L;;;;;N;;;;;
        "\u18866",  # ;TANGUT COMPONENT-103;Lo;0;L;;;;;N;;;;;
        "\u18867",  # ;TANGUT COMPONENT-104;Lo;0;L;;;;;N;;;;;
        "\u18868",  # ;TANGUT COMPONENT-105;Lo;0;L;;;;;N;;;;;
        "\u18869",  # ;TANGUT COMPONENT-106;Lo;0;L;;;;;N;;;;;
        "\u1886A",  # ;TANGUT COMPONENT-107;Lo;0;L;;;;;N;;;;;
        "\u1886B",  # ;TANGUT COMPONENT-108;Lo;0;L;;;;;N;;;;;
        "\u1886C",  # ;TANGUT COMPONENT-109;Lo;0;L;;;;;N;;;;;
        "\u1886D",  # ;TANGUT COMPONENT-110;Lo;0;L;;;;;N;;;;;
        "\u1886E",  # ;TANGUT COMPONENT-111;Lo;0;L;;;;;N;;;;;
        "\u1886F",  # ;TANGUT COMPONENT-112;Lo;0;L;;;;;N;;;;;
        "\u18870",  # ;TANGUT COMPONENT-113;Lo;0;L;;;;;N;;;;;
        "\u18871",  # ;TANGUT COMPONENT-114;Lo;0;L;;;;;N;;;;;
        "\u18872",  # ;TANGUT COMPONENT-115;Lo;0;L;;;;;N;;;;;
        "\u18873",  # ;TANGUT COMPONENT-116;Lo;0;L;;;;;N;;;;;
        "\u18874",  # ;TANGUT COMPONENT-117;Lo;0;L;;;;;N;;;;;
        "\u18875",  # ;TANGUT COMPONENT-118;Lo;0;L;;;;;N;;;;;
        "\u18876",  # ;TANGUT COMPONENT-119;Lo;0;L;;;;;N;;;;;
        "\u18877",  # ;TANGUT COMPONENT-120;Lo;0;L;;;;;N;;;;;
        "\u18878",  # ;TANGUT COMPONENT-121;Lo;0;L;;;;;N;;;;;
        "\u18879",  # ;TANGUT COMPONENT-122;Lo;0;L;;;;;N;;;;;
        "\u1887A",  # ;TANGUT COMPONENT-123;Lo;0;L;;;;;N;;;;;
        "\u1887B",  # ;TANGUT COMPONENT-124;Lo;0;L;;;;;N;;;;;
        "\u1887C",  # ;TANGUT COMPONENT-125;Lo;0;L;;;;;N;;;;;
        "\u1887D",  # ;TANGUT COMPONENT-126;Lo;0;L;;;;;N;;;;;
        "\u1887E",  # ;TANGUT COMPONENT-127;Lo;0;L;;;;;N;;;;;
        "\u1887F",  # ;TANGUT COMPONENT-128;Lo;0;L;;;;;N;;;;;
        "\u18880",  # ;TANGUT COMPONENT-129;Lo;0;L;;;;;N;;;;;
        "\u18881",  # ;TANGUT COMPONENT-130;Lo;0;L;;;;;N;;;;;
        "\u18882",  # ;TANGUT COMPONENT-131;Lo;0;L;;;;;N;;;;;
        "\u18883",  # ;TANGUT COMPONENT-132;Lo;0;L;;;;;N;;;;;
        "\u18884",  # ;TANGUT COMPONENT-133;Lo;0;L;;;;;N;;;;;
        "\u18885",  # ;TANGUT COMPONENT-134;Lo;0;L;;;;;N;;;;;
        "\u18886",  # ;TANGUT COMPONENT-135;Lo;0;L;;;;;N;;;;;
        "\u18887",  # ;TANGUT COMPONENT-136;Lo;0;L;;;;;N;;;;;
        "\u18888",  # ;TANGUT COMPONENT-137;Lo;0;L;;;;;N;;;;;
        "\u18889",  # ;TANGUT COMPONENT-138;Lo;0;L;;;;;N;;;;;
        "\u1888A",  # ;TANGUT COMPONENT-139;Lo;0;L;;;;;N;;;;;
        "\u1888B",  # ;TANGUT COMPONENT-140;Lo;0;L;;;;;N;;;;;
        "\u1888C",  # ;TANGUT COMPONENT-141;Lo;0;L;;;;;N;;;;;
        "\u1888D",  # ;TANGUT COMPONENT-142;Lo;0;L;;;;;N;;;;;
        "\u1888E",  # ;TANGUT COMPONENT-143;Lo;0;L;;;;;N;;;;;
        "\u1888F",  # ;TANGUT COMPONENT-144;Lo;0;L;;;;;N;;;;;
        "\u18890",  # ;TANGUT COMPONENT-145;Lo;0;L;;;;;N;;;;;
        "\u18891",  # ;TANGUT COMPONENT-146;Lo;0;L;;;;;N;;;;;
        "\u18892",  # ;TANGUT COMPONENT-147;Lo;0;L;;;;;N;;;;;
        "\u18893",  # ;TANGUT COMPONENT-148;Lo;0;L;;;;;N;;;;;
        "\u18894",  # ;TANGUT COMPONENT-149;Lo;0;L;;;;;N;;;;;
        "\u18895",  # ;TANGUT COMPONENT-150;Lo;0;L;;;;;N;;;;;
        "\u18896",  # ;TANGUT COMPONENT-151;Lo;0;L;;;;;N;;;;;
        "\u18897",  # ;TANGUT COMPONENT-152;Lo;0;L;;;;;N;;;;;
        "\u18898",  # ;TANGUT COMPONENT-153;Lo;0;L;;;;;N;;;;;
        "\u18899",  # ;TANGUT COMPONENT-154;Lo;0;L;;;;;N;;;;;
        "\u1889A",  # ;TANGUT COMPONENT-155;Lo;0;L;;;;;N;;;;;
        "\u1889B",  # ;TANGUT COMPONENT-156;Lo;0;L;;;;;N;;;;;
        "\u1889C",  # ;TANGUT COMPONENT-157;Lo;0;L;;;;;N;;;;;
        "\u1889D",  # ;TANGUT COMPONENT-158;Lo;0;L;;;;;N;;;;;
        "\u1889E",  # ;TANGUT COMPONENT-159;Lo;0;L;;;;;N;;;;;
        "\u1889F",  # ;TANGUT COMPONENT-160;Lo;0;L;;;;;N;;;;;
        "\u188A0",  # ;TANGUT COMPONENT-161;Lo;0;L;;;;;N;;;;;
        "\u188A1",  # ;TANGUT COMPONENT-162;Lo;0;L;;;;;N;;;;;
        "\u188A2",  # ;TANGUT COMPONENT-163;Lo;0;L;;;;;N;;;;;
        "\u188A3",  # ;TANGUT COMPONENT-164;Lo;0;L;;;;;N;;;;;
        "\u188A4",  # ;TANGUT COMPONENT-165;Lo;0;L;;;;;N;;;;;
        "\u188A5",  # ;TANGUT COMPONENT-166;Lo;0;L;;;;;N;;;;;
        "\u188A6",  # ;TANGUT COMPONENT-167;Lo;0;L;;;;;N;;;;;
        "\u188A7",  # ;TANGUT COMPONENT-168;Lo;0;L;;;;;N;;;;;
        "\u188A8",  # ;TANGUT COMPONENT-169;Lo;0;L;;;;;N;;;;;
        "\u188A9",  # ;TANGUT COMPONENT-170;Lo;0;L;;;;;N;;;;;
        "\u188AA",  # ;TANGUT COMPONENT-171;Lo;0;L;;;;;N;;;;;
        "\u188AB",  # ;TANGUT COMPONENT-172;Lo;0;L;;;;;N;;;;;
        "\u188AC",  # ;TANGUT COMPONENT-173;Lo;0;L;;;;;N;;;;;
        "\u188AD",  # ;TANGUT COMPONENT-174;Lo;0;L;;;;;N;;;;;
        "\u188AE",  # ;TANGUT COMPONENT-175;Lo;0;L;;;;;N;;;;;
        "\u188AF",  # ;TANGUT COMPONENT-176;Lo;0;L;;;;;N;;;;;
        "\u188B0",  # ;TANGUT COMPONENT-177;Lo;0;L;;;;;N;;;;;
        "\u188B1",  # ;TANGUT COMPONENT-178;Lo;0;L;;;;;N;;;;;
        "\u188B2",  # ;TANGUT COMPONENT-179;Lo;0;L;;;;;N;;;;;
        "\u188B3",  # ;TANGUT COMPONENT-180;Lo;0;L;;;;;N;;;;;
        "\u188B4",  # ;TANGUT COMPONENT-181;Lo;0;L;;;;;N;;;;;
        "\u188B5",  # ;TANGUT COMPONENT-182;Lo;0;L;;;;;N;;;;;
        "\u188B6",  # ;TANGUT COMPONENT-183;Lo;0;L;;;;;N;;;;;
        "\u188B7",  # ;TANGUT COMPONENT-184;Lo;0;L;;;;;N;;;;;
        "\u188B8",  # ;TANGUT COMPONENT-185;Lo;0;L;;;;;N;;;;;
        "\u188B9",  # ;TANGUT COMPONENT-186;Lo;0;L;;;;;N;;;;;
        "\u188BA",  # ;TANGUT COMPONENT-187;Lo;0;L;;;;;N;;;;;
        "\u188BB",  # ;TANGUT COMPONENT-188;Lo;0;L;;;;;N;;;;;
        "\u188BC",  # ;TANGUT COMPONENT-189;Lo;0;L;;;;;N;;;;;
        "\u188BD",  # ;TANGUT COMPONENT-190;Lo;0;L;;;;;N;;;;;
        "\u188BE",  # ;TANGUT COMPONENT-191;Lo;0;L;;;;;N;;;;;
        "\u188BF",  # ;TANGUT COMPONENT-192;Lo;0;L;;;;;N;;;;;
        "\u188C0",  # ;TANGUT COMPONENT-193;Lo;0;L;;;;;N;;;;;
        "\u188C1",  # ;TANGUT COMPONENT-194;Lo;0;L;;;;;N;;;;;
        "\u188C2",  # ;TANGUT COMPONENT-195;Lo;0;L;;;;;N;;;;;
        "\u188C3",  # ;TANGUT COMPONENT-196;Lo;0;L;;;;;N;;;;;
        "\u188C4",  # ;TANGUT COMPONENT-197;Lo;0;L;;;;;N;;;;;
        "\u188C5",  # ;TANGUT COMPONENT-198;Lo;0;L;;;;;N;;;;;
        "\u188C6",  # ;TANGUT COMPONENT-199;Lo;0;L;;;;;N;;;;;
        "\u188C7",  # ;TANGUT COMPONENT-200;Lo;0;L;;;;;N;;;;;
        "\u188C8",  # ;TANGUT COMPONENT-201;Lo;0;L;;;;;N;;;;;
        "\u188C9",  # ;TANGUT COMPONENT-202;Lo;0;L;;;;;N;;;;;
        "\u188CA",  # ;TANGUT COMPONENT-203;Lo;0;L;;;;;N;;;;;
        "\u188CB",  # ;TANGUT COMPONENT-204;Lo;0;L;;;;;N;;;;;
        "\u188CC",  # ;TANGUT COMPONENT-205;Lo;0;L;;;;;N;;;;;
        "\u188CD",  # ;TANGUT COMPONENT-206;Lo;0;L;;;;;N;;;;;
        "\u188CE",  # ;TANGUT COMPONENT-207;Lo;0;L;;;;;N;;;;;
        "\u188CF",  # ;TANGUT COMPONENT-208;Lo;0;L;;;;;N;;;;;
        "\u188D0",  # ;TANGUT COMPONENT-209;Lo;0;L;;;;;N;;;;;
        "\u188D1",  # ;TANGUT COMPONENT-210;Lo;0;L;;;;;N;;;;;
        "\u188D2",  # ;TANGUT COMPONENT-211;Lo;0;L;;;;;N;;;;;
        "\u188D3",  # ;TANGUT COMPONENT-212;Lo;0;L;;;;;N;;;;;
        "\u188D4",  # ;TANGUT COMPONENT-213;Lo;0;L;;;;;N;;;;;
        "\u188D5",  # ;TANGUT COMPONENT-214;Lo;0;L;;;;;N;;;;;
        "\u188D6",  # ;TANGUT COMPONENT-215;Lo;0;L;;;;;N;;;;;
        "\u188D7",  # ;TANGUT COMPONENT-216;Lo;0;L;;;;;N;;;;;
        "\u188D8",  # ;TANGUT COMPONENT-217;Lo;0;L;;;;;N;;;;;
        "\u188D9",  # ;TANGUT COMPONENT-218;Lo;0;L;;;;;N;;;;;
        "\u188DA",  # ;TANGUT COMPONENT-219;Lo;0;L;;;;;N;;;;;
        "\u188DB",  # ;TANGUT COMPONENT-220;Lo;0;L;;;;;N;;;;;
        "\u188DC",  # ;TANGUT COMPONENT-221;Lo;0;L;;;;;N;;;;;
        "\u188DD",  # ;TANGUT COMPONENT-222;Lo;0;L;;;;;N;;;;;
        "\u188DE",  # ;TANGUT COMPONENT-223;Lo;0;L;;;;;N;;;;;
        "\u188DF",  # ;TANGUT COMPONENT-224;Lo;0;L;;;;;N;;;;;
        "\u188E0",  # ;TANGUT COMPONENT-225;Lo;0;L;;;;;N;;;;;
        "\u188E1",  # ;TANGUT COMPONENT-226;Lo;0;L;;;;;N;;;;;
        "\u188E2",  # ;TANGUT COMPONENT-227;Lo;0;L;;;;;N;;;;;
        "\u188E3",  # ;TANGUT COMPONENT-228;Lo;0;L;;;;;N;;;;;
        "\u188E4",  # ;TANGUT COMPONENT-229;Lo;0;L;;;;;N;;;;;
        "\u188E5",  # ;TANGUT COMPONENT-230;Lo;0;L;;;;;N;;;;;
        "\u188E6",  # ;TANGUT COMPONENT-231;Lo;0;L;;;;;N;;;;;
        "\u188E7",  # ;TANGUT COMPONENT-232;Lo;0;L;;;;;N;;;;;
        "\u188E8",  # ;TANGUT COMPONENT-233;Lo;0;L;;;;;N;;;;;
        "\u188E9",  # ;TANGUT COMPONENT-234;Lo;0;L;;;;;N;;;;;
        "\u188EA",  # ;TANGUT COMPONENT-235;Lo;0;L;;;;;N;;;;;
        "\u188EB",  # ;TANGUT COMPONENT-236;Lo;0;L;;;;;N;;;;;
        "\u188EC",  # ;TANGUT COMPONENT-237;Lo;0;L;;;;;N;;;;;
        "\u188ED",  # ;TANGUT COMPONENT-238;Lo;0;L;;;;;N;;;;;
        "\u188EE",  # ;TANGUT COMPONENT-239;Lo;0;L;;;;;N;;;;;
        "\u188EF",  # ;TANGUT COMPONENT-240;Lo;0;L;;;;;N;;;;;
        "\u188F0",  # ;TANGUT COMPONENT-241;Lo;0;L;;;;;N;;;;;
        "\u188F1",  # ;TANGUT COMPONENT-242;Lo;0;L;;;;;N;;;;;
        "\u188F2",  # ;TANGUT COMPONENT-243;Lo;0;L;;;;;N;;;;;
        "\u188F3",  # ;TANGUT COMPONENT-244;Lo;0;L;;;;;N;;;;;
        "\u188F4",  # ;TANGUT COMPONENT-245;Lo;0;L;;;;;N;;;;;
        "\u188F5",  # ;TANGUT COMPONENT-246;Lo;0;L;;;;;N;;;;;
        "\u188F6",  # ;TANGUT COMPONENT-247;Lo;0;L;;;;;N;;;;;
        "\u188F7",  # ;TANGUT COMPONENT-248;Lo;0;L;;;;;N;;;;;
        "\u188F8",  # ;TANGUT COMPONENT-249;Lo;0;L;;;;;N;;;;;
        "\u188F9",  # ;TANGUT COMPONENT-250;Lo;0;L;;;;;N;;;;;
        "\u188FA",  # ;TANGUT COMPONENT-251;Lo;0;L;;;;;N;;;;;
        "\u188FB",  # ;TANGUT COMPONENT-252;Lo;0;L;;;;;N;;;;;
        "\u188FC",  # ;TANGUT COMPONENT-253;Lo;0;L;;;;;N;;;;;
        "\u188FD",  # ;TANGUT COMPONENT-254;Lo;0;L;;;;;N;;;;;
        "\u188FE",  # ;TANGUT COMPONENT-255;Lo;0;L;;;;;N;;;;;
        "\u188FF",  # ;TANGUT COMPONENT-256;Lo;0;L;;;;;N;;;;;
        "\u18900",  # ;TANGUT COMPONENT-257;Lo;0;L;;;;;N;;;;;
        "\u18901",  # ;TANGUT COMPONENT-258;Lo;0;L;;;;;N;;;;;
        "\u18902",  # ;TANGUT COMPONENT-259;Lo;0;L;;;;;N;;;;;
        "\u18903",  # ;TANGUT COMPONENT-260;Lo;0;L;;;;;N;;;;;
        "\u18904",  # ;TANGUT COMPONENT-261;Lo;0;L;;;;;N;;;;;
        "\u18905",  # ;TANGUT COMPONENT-262;Lo;0;L;;;;;N;;;;;
        "\u18906",  # ;TANGUT COMPONENT-263;Lo;0;L;;;;;N;;;;;
        "\u18907",  # ;TANGUT COMPONENT-264;Lo;0;L;;;;;N;;;;;
        "\u18908",  # ;TANGUT COMPONENT-265;Lo;0;L;;;;;N;;;;;
        "\u18909",  # ;TANGUT COMPONENT-266;Lo;0;L;;;;;N;;;;;
        "\u1890A",  # ;TANGUT COMPONENT-267;Lo;0;L;;;;;N;;;;;
        "\u1890B",  # ;TANGUT COMPONENT-268;Lo;0;L;;;;;N;;;;;
        "\u1890C",  # ;TANGUT COMPONENT-269;Lo;0;L;;;;;N;;;;;
        "\u1890D",  # ;TANGUT COMPONENT-270;Lo;0;L;;;;;N;;;;;
        "\u1890E",  # ;TANGUT COMPONENT-271;Lo;0;L;;;;;N;;;;;
        "\u1890F",  # ;TANGUT COMPONENT-272;Lo;0;L;;;;;N;;;;;
        "\u18910",  # ;TANGUT COMPONENT-273;Lo;0;L;;;;;N;;;;;
        "\u18911",  # ;TANGUT COMPONENT-274;Lo;0;L;;;;;N;;;;;
        "\u18912",  # ;TANGUT COMPONENT-275;Lo;0;L;;;;;N;;;;;
        "\u18913",  # ;TANGUT COMPONENT-276;Lo;0;L;;;;;N;;;;;
        "\u18914",  # ;TANGUT COMPONENT-277;Lo;0;L;;;;;N;;;;;
        "\u18915",  # ;TANGUT COMPONENT-278;Lo;0;L;;;;;N;;;;;
        "\u18916",  # ;TANGUT COMPONENT-279;Lo;0;L;;;;;N;;;;;
        "\u18917",  # ;TANGUT COMPONENT-280;Lo;0;L;;;;;N;;;;;
        "\u18918",  # ;TANGUT COMPONENT-281;Lo;0;L;;;;;N;;;;;
        "\u18919",  # ;TANGUT COMPONENT-282;Lo;0;L;;;;;N;;;;;
        "\u1891A",  # ;TANGUT COMPONENT-283;Lo;0;L;;;;;N;;;;;
        "\u1891B",  # ;TANGUT COMPONENT-284;Lo;0;L;;;;;N;;;;;
        "\u1891C",  # ;TANGUT COMPONENT-285;Lo;0;L;;;;;N;;;;;
        "\u1891D",  # ;TANGUT COMPONENT-286;Lo;0;L;;;;;N;;;;;
        "\u1891E",  # ;TANGUT COMPONENT-287;Lo;0;L;;;;;N;;;;;
        "\u1891F",  # ;TANGUT COMPONENT-288;Lo;0;L;;;;;N;;;;;
        "\u18920",  # ;TANGUT COMPONENT-289;Lo;0;L;;;;;N;;;;;
        "\u18921",  # ;TANGUT COMPONENT-290;Lo;0;L;;;;;N;;;;;
        "\u18922",  # ;TANGUT COMPONENT-291;Lo;0;L;;;;;N;;;;;
        "\u18923",  # ;TANGUT COMPONENT-292;Lo;0;L;;;;;N;;;;;
        "\u18924",  # ;TANGUT COMPONENT-293;Lo;0;L;;;;;N;;;;;
        "\u18925",  # ;TANGUT COMPONENT-294;Lo;0;L;;;;;N;;;;;
        "\u18926",  # ;TANGUT COMPONENT-295;Lo;0;L;;;;;N;;;;;
        "\u18927",  # ;TANGUT COMPONENT-296;Lo;0;L;;;;;N;;;;;
        "\u18928",  # ;TANGUT COMPONENT-297;Lo;0;L;;;;;N;;;;;
        "\u18929",  # ;TANGUT COMPONENT-298;Lo;0;L;;;;;N;;;;;
        "\u1892A",  # ;TANGUT COMPONENT-299;Lo;0;L;;;;;N;;;;;
        "\u1892B",  # ;TANGUT COMPONENT-300;Lo;0;L;;;;;N;;;;;
        "\u1892C",  # ;TANGUT COMPONENT-301;Lo;0;L;;;;;N;;;;;
        "\u1892D",  # ;TANGUT COMPONENT-302;Lo;0;L;;;;;N;;;;;
        "\u1892E",  # ;TANGUT COMPONENT-303;Lo;0;L;;;;;N;;;;;
        "\u1892F",  # ;TANGUT COMPONENT-304;Lo;0;L;;;;;N;;;;;
        "\u18930",  # ;TANGUT COMPONENT-305;Lo;0;L;;;;;N;;;;;
        "\u18931",  # ;TANGUT COMPONENT-306;Lo;0;L;;;;;N;;;;;
        "\u18932",  # ;TANGUT COMPONENT-307;Lo;0;L;;;;;N;;;;;
        "\u18933",  # ;TANGUT COMPONENT-308;Lo;0;L;;;;;N;;;;;
        "\u18934",  # ;TANGUT COMPONENT-309;Lo;0;L;;;;;N;;;;;
        "\u18935",  # ;TANGUT COMPONENT-310;Lo;0;L;;;;;N;;;;;
        "\u18936",  # ;TANGUT COMPONENT-311;Lo;0;L;;;;;N;;;;;
        "\u18937",  # ;TANGUT COMPONENT-312;Lo;0;L;;;;;N;;;;;
        "\u18938",  # ;TANGUT COMPONENT-313;Lo;0;L;;;;;N;;;;;
        "\u18939",  # ;TANGUT COMPONENT-314;Lo;0;L;;;;;N;;;;;
        "\u1893A",  # ;TANGUT COMPONENT-315;Lo;0;L;;;;;N;;;;;
        "\u1893B",  # ;TANGUT COMPONENT-316;Lo;0;L;;;;;N;;;;;
        "\u1893C",  # ;TANGUT COMPONENT-317;Lo;0;L;;;;;N;;;;;
        "\u1893D",  # ;TANGUT COMPONENT-318;Lo;0;L;;;;;N;;;;;
        "\u1893E",  # ;TANGUT COMPONENT-319;Lo;0;L;;;;;N;;;;;
        "\u1893F",  # ;TANGUT COMPONENT-320;Lo;0;L;;;;;N;;;;;
        "\u18940",  # ;TANGUT COMPONENT-321;Lo;0;L;;;;;N;;;;;
        "\u18941",  # ;TANGUT COMPONENT-322;Lo;0;L;;;;;N;;;;;
        "\u18942",  # ;TANGUT COMPONENT-323;Lo;0;L;;;;;N;;;;;
        "\u18943",  # ;TANGUT COMPONENT-324;Lo;0;L;;;;;N;;;;;
        "\u18944",  # ;TANGUT COMPONENT-325;Lo;0;L;;;;;N;;;;;
        "\u18945",  # ;TANGUT COMPONENT-326;Lo;0;L;;;;;N;;;;;
        "\u18946",  # ;TANGUT COMPONENT-327;Lo;0;L;;;;;N;;;;;
        "\u18947",  # ;TANGUT COMPONENT-328;Lo;0;L;;;;;N;;;;;
        "\u18948",  # ;TANGUT COMPONENT-329;Lo;0;L;;;;;N;;;;;
        "\u18949",  # ;TANGUT COMPONENT-330;Lo;0;L;;;;;N;;;;;
        "\u1894A",  # ;TANGUT COMPONENT-331;Lo;0;L;;;;;N;;;;;
        "\u1894B",  # ;TANGUT COMPONENT-332;Lo;0;L;;;;;N;;;;;
        "\u1894C",  # ;TANGUT COMPONENT-333;Lo;0;L;;;;;N;;;;;
        "\u1894D",  # ;TANGUT COMPONENT-334;Lo;0;L;;;;;N;;;;;
        "\u1894E",  # ;TANGUT COMPONENT-335;Lo;0;L;;;;;N;;;;;
        "\u1894F",  # ;TANGUT COMPONENT-336;Lo;0;L;;;;;N;;;;;
        "\u18950",  # ;TANGUT COMPONENT-337;Lo;0;L;;;;;N;;;;;
        "\u18951",  # ;TANGUT COMPONENT-338;Lo;0;L;;;;;N;;;;;
        "\u18952",  # ;TANGUT COMPONENT-339;Lo;0;L;;;;;N;;;;;
        "\u18953",  # ;TANGUT COMPONENT-340;Lo;0;L;;;;;N;;;;;
        "\u18954",  # ;TANGUT COMPONENT-341;Lo;0;L;;;;;N;;;;;
        "\u18955",  # ;TANGUT COMPONENT-342;Lo;0;L;;;;;N;;;;;
        "\u18956",  # ;TANGUT COMPONENT-343;Lo;0;L;;;;;N;;;;;
        "\u18957",  # ;TANGUT COMPONENT-344;Lo;0;L;;;;;N;;;;;
        "\u18958",  # ;TANGUT COMPONENT-345;Lo;0;L;;;;;N;;;;;
        "\u18959",  # ;TANGUT COMPONENT-346;Lo;0;L;;;;;N;;;;;
        "\u1895A",  # ;TANGUT COMPONENT-347;Lo;0;L;;;;;N;;;;;
        "\u1895B",  # ;TANGUT COMPONENT-348;Lo;0;L;;;;;N;;;;;
        "\u1895C",  # ;TANGUT COMPONENT-349;Lo;0;L;;;;;N;;;;;
        "\u1895D",  # ;TANGUT COMPONENT-350;Lo;0;L;;;;;N;;;;;
        "\u1895E",  # ;TANGUT COMPONENT-351;Lo;0;L;;;;;N;;;;;
        "\u1895F",  # ;TANGUT COMPONENT-352;Lo;0;L;;;;;N;;;;;
        "\u18960",  # ;TANGUT COMPONENT-353;Lo;0;L;;;;;N;;;;;
        "\u18961",  # ;TANGUT COMPONENT-354;Lo;0;L;;;;;N;;;;;
        "\u18962",  # ;TANGUT COMPONENT-355;Lo;0;L;;;;;N;;;;;
        "\u18963",  # ;TANGUT COMPONENT-356;Lo;0;L;;;;;N;;;;;
        "\u18964",  # ;TANGUT COMPONENT-357;Lo;0;L;;;;;N;;;;;
        "\u18965",  # ;TANGUT COMPONENT-358;Lo;0;L;;;;;N;;;;;
        "\u18966",  # ;TANGUT COMPONENT-359;Lo;0;L;;;;;N;;;;;
        "\u18967",  # ;TANGUT COMPONENT-360;Lo;0;L;;;;;N;;;;;
        "\u18968",  # ;TANGUT COMPONENT-361;Lo;0;L;;;;;N;;;;;
        "\u18969",  # ;TANGUT COMPONENT-362;Lo;0;L;;;;;N;;;;;
        "\u1896A",  # ;TANGUT COMPONENT-363;Lo;0;L;;;;;N;;;;;
        "\u1896B",  # ;TANGUT COMPONENT-364;Lo;0;L;;;;;N;;;;;
        "\u1896C",  # ;TANGUT COMPONENT-365;Lo;0;L;;;;;N;;;;;
        "\u1896D",  # ;TANGUT COMPONENT-366;Lo;0;L;;;;;N;;;;;
        "\u1896E",  # ;TANGUT COMPONENT-367;Lo;0;L;;;;;N;;;;;
        "\u1896F",  # ;TANGUT COMPONENT-368;Lo;0;L;;;;;N;;;;;
        "\u18970",  # ;TANGUT COMPONENT-369;Lo;0;L;;;;;N;;;;;
        "\u18971",  # ;TANGUT COMPONENT-370;Lo;0;L;;;;;N;;;;;
        "\u18972",  # ;TANGUT COMPONENT-371;Lo;0;L;;;;;N;;;;;
        "\u18973",  # ;TANGUT COMPONENT-372;Lo;0;L;;;;;N;;;;;
        "\u18974",  # ;TANGUT COMPONENT-373;Lo;0;L;;;;;N;;;;;
        "\u18975",  # ;TANGUT COMPONENT-374;Lo;0;L;;;;;N;;;;;
        "\u18976",  # ;TANGUT COMPONENT-375;Lo;0;L;;;;;N;;;;;
        "\u18977",  # ;TANGUT COMPONENT-376;Lo;0;L;;;;;N;;;;;
        "\u18978",  # ;TANGUT COMPONENT-377;Lo;0;L;;;;;N;;;;;
        "\u18979",  # ;TANGUT COMPONENT-378;Lo;0;L;;;;;N;;;;;
        "\u1897A",  # ;TANGUT COMPONENT-379;Lo;0;L;;;;;N;;;;;
        "\u1897B",  # ;TANGUT COMPONENT-380;Lo;0;L;;;;;N;;;;;
        "\u1897C",  # ;TANGUT COMPONENT-381;Lo;0;L;;;;;N;;;;;
        "\u1897D",  # ;TANGUT COMPONENT-382;Lo;0;L;;;;;N;;;;;
        "\u1897E",  # ;TANGUT COMPONENT-383;Lo;0;L;;;;;N;;;;;
        "\u1897F",  # ;TANGUT COMPONENT-384;Lo;0;L;;;;;N;;;;;
        "\u18980",  # ;TANGUT COMPONENT-385;Lo;0;L;;;;;N;;;;;
        "\u18981",  # ;TANGUT COMPONENT-386;Lo;0;L;;;;;N;;;;;
        "\u18982",  # ;TANGUT COMPONENT-387;Lo;0;L;;;;;N;;;;;
        "\u18983",  # ;TANGUT COMPONENT-388;Lo;0;L;;;;;N;;;;;
        "\u18984",  # ;TANGUT COMPONENT-389;Lo;0;L;;;;;N;;;;;
        "\u18985",  # ;TANGUT COMPONENT-390;Lo;0;L;;;;;N;;;;;
        "\u18986",  # ;TANGUT COMPONENT-391;Lo;0;L;;;;;N;;;;;
        "\u18987",  # ;TANGUT COMPONENT-392;Lo;0;L;;;;;N;;;;;
        "\u18988",  # ;TANGUT COMPONENT-393;Lo;0;L;;;;;N;;;;;
        "\u18989",  # ;TANGUT COMPONENT-394;Lo;0;L;;;;;N;;;;;
        "\u1898A",  # ;TANGUT COMPONENT-395;Lo;0;L;;;;;N;;;;;
        "\u1898B",  # ;TANGUT COMPONENT-396;Lo;0;L;;;;;N;;;;;
        "\u1898C",  # ;TANGUT COMPONENT-397;Lo;0;L;;;;;N;;;;;
        "\u1898D",  # ;TANGUT COMPONENT-398;Lo;0;L;;;;;N;;;;;
        "\u1898E",  # ;TANGUT COMPONENT-399;Lo;0;L;;;;;N;;;;;
        "\u1898F",  # ;TANGUT COMPONENT-400;Lo;0;L;;;;;N;;;;;
        "\u18990",  # ;TANGUT COMPONENT-401;Lo;0;L;;;;;N;;;;;
        "\u18991",  # ;TANGUT COMPONENT-402;Lo;0;L;;;;;N;;;;;
        "\u18992",  # ;TANGUT COMPONENT-403;Lo;0;L;;;;;N;;;;;
        "\u18993",  # ;TANGUT COMPONENT-404;Lo;0;L;;;;;N;;;;;
        "\u18994",  # ;TANGUT COMPONENT-405;Lo;0;L;;;;;N;;;;;
        "\u18995",  # ;TANGUT COMPONENT-406;Lo;0;L;;;;;N;;;;;
        "\u18996",  # ;TANGUT COMPONENT-407;Lo;0;L;;;;;N;;;;;
        "\u18997",  # ;TANGUT COMPONENT-408;Lo;0;L;;;;;N;;;;;
        "\u18998",  # ;TANGUT COMPONENT-409;Lo;0;L;;;;;N;;;;;
        "\u18999",  # ;TANGUT COMPONENT-410;Lo;0;L;;;;;N;;;;;
        "\u1899A",  # ;TANGUT COMPONENT-411;Lo;0;L;;;;;N;;;;;
        "\u1899B",  # ;TANGUT COMPONENT-412;Lo;0;L;;;;;N;;;;;
        "\u1899C",  # ;TANGUT COMPONENT-413;Lo;0;L;;;;;N;;;;;
        "\u1899D",  # ;TANGUT COMPONENT-414;Lo;0;L;;;;;N;;;;;
        "\u1899E",  # ;TANGUT COMPONENT-415;Lo;0;L;;;;;N;;;;;
        "\u1899F",  # ;TANGUT COMPONENT-416;Lo;0;L;;;;;N;;;;;
        "\u189A0",  # ;TANGUT COMPONENT-417;Lo;0;L;;;;;N;;;;;
        "\u189A1",  # ;TANGUT COMPONENT-418;Lo;0;L;;;;;N;;;;;
        "\u189A2",  # ;TANGUT COMPONENT-419;Lo;0;L;;;;;N;;;;;
        "\u189A3",  # ;TANGUT COMPONENT-420;Lo;0;L;;;;;N;;;;;
        "\u189A4",  # ;TANGUT COMPONENT-421;Lo;0;L;;;;;N;;;;;
        "\u189A5",  # ;TANGUT COMPONENT-422;Lo;0;L;;;;;N;;;;;
        "\u189A6",  # ;TANGUT COMPONENT-423;Lo;0;L;;;;;N;;;;;
        "\u189A7",  # ;TANGUT COMPONENT-424;Lo;0;L;;;;;N;;;;;
        "\u189A8",  # ;TANGUT COMPONENT-425;Lo;0;L;;;;;N;;;;;
        "\u189A9",  # ;TANGUT COMPONENT-426;Lo;0;L;;;;;N;;;;;
        "\u189AA",  # ;TANGUT COMPONENT-427;Lo;0;L;;;;;N;;;;;
        "\u189AB",  # ;TANGUT COMPONENT-428;Lo;0;L;;;;;N;;;;;
        "\u189AC",  # ;TANGUT COMPONENT-429;Lo;0;L;;;;;N;;;;;
        "\u189AD",  # ;TANGUT COMPONENT-430;Lo;0;L;;;;;N;;;;;
        "\u189AE",  # ;TANGUT COMPONENT-431;Lo;0;L;;;;;N;;;;;
        "\u189AF",  # ;TANGUT COMPONENT-432;Lo;0;L;;;;;N;;;;;
        "\u189B0",  # ;TANGUT COMPONENT-433;Lo;0;L;;;;;N;;;;;
        "\u189B1",  # ;TANGUT COMPONENT-434;Lo;0;L;;;;;N;;;;;
        "\u189B2",  # ;TANGUT COMPONENT-435;Lo;0;L;;;;;N;;;;;
        "\u189B3",  # ;TANGUT COMPONENT-436;Lo;0;L;;;;;N;;;;;
        "\u189B4",  # ;TANGUT COMPONENT-437;Lo;0;L;;;;;N;;;;;
        "\u189B5",  # ;TANGUT COMPONENT-438;Lo;0;L;;;;;N;;;;;
        "\u189B6",  # ;TANGUT COMPONENT-439;Lo;0;L;;;;;N;;;;;
        "\u189B7",  # ;TANGUT COMPONENT-440;Lo;0;L;;;;;N;;;;;
        "\u189B8",  # ;TANGUT COMPONENT-441;Lo;0;L;;;;;N;;;;;
        "\u189B9",  # ;TANGUT COMPONENT-442;Lo;0;L;;;;;N;;;;;
        "\u189BA",  # ;TANGUT COMPONENT-443;Lo;0;L;;;;;N;;;;;
        "\u189BB",  # ;TANGUT COMPONENT-444;Lo;0;L;;;;;N;;;;;
        "\u189BC",  # ;TANGUT COMPONENT-445;Lo;0;L;;;;;N;;;;;
        "\u189BD",  # ;TANGUT COMPONENT-446;Lo;0;L;;;;;N;;;;;
        "\u189BE",  # ;TANGUT COMPONENT-447;Lo;0;L;;;;;N;;;;;
        "\u189BF",  # ;TANGUT COMPONENT-448;Lo;0;L;;;;;N;;;;;
        "\u189C0",  # ;TANGUT COMPONENT-449;Lo;0;L;;;;;N;;;;;
        "\u189C1",  # ;TANGUT COMPONENT-450;Lo;0;L;;;;;N;;;;;
        "\u189C2",  # ;TANGUT COMPONENT-451;Lo;0;L;;;;;N;;;;;
        "\u189C3",  # ;TANGUT COMPONENT-452;Lo;0;L;;;;;N;;;;;
        "\u189C4",  # ;TANGUT COMPONENT-453;Lo;0;L;;;;;N;;;;;
        "\u189C5",  # ;TANGUT COMPONENT-454;Lo;0;L;;;;;N;;;;;
        "\u189C6",  # ;TANGUT COMPONENT-455;Lo;0;L;;;;;N;;;;;
        "\u189C7",  # ;TANGUT COMPONENT-456;Lo;0;L;;;;;N;;;;;
        "\u189C8",  # ;TANGUT COMPONENT-457;Lo;0;L;;;;;N;;;;;
        "\u189C9",  # ;TANGUT COMPONENT-458;Lo;0;L;;;;;N;;;;;
        "\u189CA",  # ;TANGUT COMPONENT-459;Lo;0;L;;;;;N;;;;;
        "\u189CB",  # ;TANGUT COMPONENT-460;Lo;0;L;;;;;N;;;;;
        "\u189CC",  # ;TANGUT COMPONENT-461;Lo;0;L;;;;;N;;;;;
        "\u189CD",  # ;TANGUT COMPONENT-462;Lo;0;L;;;;;N;;;;;
        "\u189CE",  # ;TANGUT COMPONENT-463;Lo;0;L;;;;;N;;;;;
        "\u189CF",  # ;TANGUT COMPONENT-464;Lo;0;L;;;;;N;;;;;
        "\u189D0",  # ;TANGUT COMPONENT-465;Lo;0;L;;;;;N;;;;;
        "\u189D1",  # ;TANGUT COMPONENT-466;Lo;0;L;;;;;N;;;;;
        "\u189D2",  # ;TANGUT COMPONENT-467;Lo;0;L;;;;;N;;;;;
        "\u189D3",  # ;TANGUT COMPONENT-468;Lo;0;L;;;;;N;;;;;
        "\u189D4",  # ;TANGUT COMPONENT-469;Lo;0;L;;;;;N;;;;;
        "\u189D5",  # ;TANGUT COMPONENT-470;Lo;0;L;;;;;N;;;;;
        "\u189D6",  # ;TANGUT COMPONENT-471;Lo;0;L;;;;;N;;;;;
        "\u189D7",  # ;TANGUT COMPONENT-472;Lo;0;L;;;;;N;;;;;
        "\u189D8",  # ;TANGUT COMPONENT-473;Lo;0;L;;;;;N;;;;;
        "\u189D9",  # ;TANGUT COMPONENT-474;Lo;0;L;;;;;N;;;;;
        "\u189DA",  # ;TANGUT COMPONENT-475;Lo;0;L;;;;;N;;;;;
        "\u189DB",  # ;TANGUT COMPONENT-476;Lo;0;L;;;;;N;;;;;
        "\u189DC",  # ;TANGUT COMPONENT-477;Lo;0;L;;;;;N;;;;;
        "\u189DD",  # ;TANGUT COMPONENT-478;Lo;0;L;;;;;N;;;;;
        "\u189DE",  # ;TANGUT COMPONENT-479;Lo;0;L;;;;;N;;;;;
        "\u189DF",  # ;TANGUT COMPONENT-480;Lo;0;L;;;;;N;;;;;
        "\u189E0",  # ;TANGUT COMPONENT-481;Lo;0;L;;;;;N;;;;;
        "\u189E1",  # ;TANGUT COMPONENT-482;Lo;0;L;;;;;N;;;;;
        "\u189E2",  # ;TANGUT COMPONENT-483;Lo;0;L;;;;;N;;;;;
        "\u189E3",  # ;TANGUT COMPONENT-484;Lo;0;L;;;;;N;;;;;
        "\u189E4",  # ;TANGUT COMPONENT-485;Lo;0;L;;;;;N;;;;;
        "\u189E5",  # ;TANGUT COMPONENT-486;Lo;0;L;;;;;N;;;;;
        "\u189E6",  # ;TANGUT COMPONENT-487;Lo;0;L;;;;;N;;;;;
        "\u189E7",  # ;TANGUT COMPONENT-488;Lo;0;L;;;;;N;;;;;
        "\u189E8",  # ;TANGUT COMPONENT-489;Lo;0;L;;;;;N;;;;;
        "\u189E9",  # ;TANGUT COMPONENT-490;Lo;0;L;;;;;N;;;;;
        "\u189EA",  # ;TANGUT COMPONENT-491;Lo;0;L;;;;;N;;;;;
        "\u189EB",  # ;TANGUT COMPONENT-492;Lo;0;L;;;;;N;;;;;
        "\u189EC",  # ;TANGUT COMPONENT-493;Lo;0;L;;;;;N;;;;;
        "\u189ED",  # ;TANGUT COMPONENT-494;Lo;0;L;;;;;N;;;;;
        "\u189EE",  # ;TANGUT COMPONENT-495;Lo;0;L;;;;;N;;;;;
        "\u189EF",  # ;TANGUT COMPONENT-496;Lo;0;L;;;;;N;;;;;
        "\u189F0",  # ;TANGUT COMPONENT-497;Lo;0;L;;;;;N;;;;;
        "\u189F1",  # ;TANGUT COMPONENT-498;Lo;0;L;;;;;N;;;;;
        "\u189F2",  # ;TANGUT COMPONENT-499;Lo;0;L;;;;;N;;;;;
        "\u189F3",  # ;TANGUT COMPONENT-500;Lo;0;L;;;;;N;;;;;
        "\u189F4",  # ;TANGUT COMPONENT-501;Lo;0;L;;;;;N;;;;;
        "\u189F5",  # ;TANGUT COMPONENT-502;Lo;0;L;;;;;N;;;;;
        "\u189F6",  # ;TANGUT COMPONENT-503;Lo;0;L;;;;;N;;;;;
        "\u189F7",  # ;TANGUT COMPONENT-504;Lo;0;L;;;;;N;;;;;
        "\u189F8",  # ;TANGUT COMPONENT-505;Lo;0;L;;;;;N;;;;;
        "\u189F9",  # ;TANGUT COMPONENT-506;Lo;0;L;;;;;N;;;;;
        "\u189FA",  # ;TANGUT COMPONENT-507;Lo;0;L;;;;;N;;;;;
        "\u189FB",  # ;TANGUT COMPONENT-508;Lo;0;L;;;;;N;;;;;
        "\u189FC",  # ;TANGUT COMPONENT-509;Lo;0;L;;;;;N;;;;;
        "\u189FD",  # ;TANGUT COMPONENT-510;Lo;0;L;;;;;N;;;;;
        "\u189FE",  # ;TANGUT COMPONENT-511;Lo;0;L;;;;;N;;;;;
        "\u189FF",  # ;TANGUT COMPONENT-512;Lo;0;L;;;;;N;;;;;
        "\u18A00",  # ;TANGUT COMPONENT-513;Lo;0;L;;;;;N;;;;;
        "\u18A01",  # ;TANGUT COMPONENT-514;Lo;0;L;;;;;N;;;;;
        "\u18A02",  # ;TANGUT COMPONENT-515;Lo;0;L;;;;;N;;;;;
        "\u18A03",  # ;TANGUT COMPONENT-516;Lo;0;L;;;;;N;;;;;
        "\u18A04",  # ;TANGUT COMPONENT-517;Lo;0;L;;;;;N;;;;;
        "\u18A05",  # ;TANGUT COMPONENT-518;Lo;0;L;;;;;N;;;;;
        "\u18A06",  # ;TANGUT COMPONENT-519;Lo;0;L;;;;;N;;;;;
        "\u18A07",  # ;TANGUT COMPONENT-520;Lo;0;L;;;;;N;;;;;
        "\u18A08",  # ;TANGUT COMPONENT-521;Lo;0;L;;;;;N;;;;;
        "\u18A09",  # ;TANGUT COMPONENT-522;Lo;0;L;;;;;N;;;;;
        "\u18A0A",  # ;TANGUT COMPONENT-523;Lo;0;L;;;;;N;;;;;
        "\u18A0B",  # ;TANGUT COMPONENT-524;Lo;0;L;;;;;N;;;;;
        "\u18A0C",  # ;TANGUT COMPONENT-525;Lo;0;L;;;;;N;;;;;
        "\u18A0D",  # ;TANGUT COMPONENT-526;Lo;0;L;;;;;N;;;;;
        "\u18A0E",  # ;TANGUT COMPONENT-527;Lo;0;L;;;;;N;;;;;
        "\u18A0F",  # ;TANGUT COMPONENT-528;Lo;0;L;;;;;N;;;;;
        "\u18A10",  # ;TANGUT COMPONENT-529;Lo;0;L;;;;;N;;;;;
        "\u18A11",  # ;TANGUT COMPONENT-530;Lo;0;L;;;;;N;;;;;
        "\u18A12",  # ;TANGUT COMPONENT-531;Lo;0;L;;;;;N;;;;;
        "\u18A13",  # ;TANGUT COMPONENT-532;Lo;0;L;;;;;N;;;;;
        "\u18A14",  # ;TANGUT COMPONENT-533;Lo;0;L;;;;;N;;;;;
        "\u18A15",  # ;TANGUT COMPONENT-534;Lo;0;L;;;;;N;;;;;
        "\u18A16",  # ;TANGUT COMPONENT-535;Lo;0;L;;;;;N;;;;;
        "\u18A17",  # ;TANGUT COMPONENT-536;Lo;0;L;;;;;N;;;;;
        "\u18A18",  # ;TANGUT COMPONENT-537;Lo;0;L;;;;;N;;;;;
        "\u18A19",  # ;TANGUT COMPONENT-538;Lo;0;L;;;;;N;;;;;
        "\u18A1A",  # ;TANGUT COMPONENT-539;Lo;0;L;;;;;N;;;;;
        "\u18A1B",  # ;TANGUT COMPONENT-540;Lo;0;L;;;;;N;;;;;
        "\u18A1C",  # ;TANGUT COMPONENT-541;Lo;0;L;;;;;N;;;;;
        "\u18A1D",  # ;TANGUT COMPONENT-542;Lo;0;L;;;;;N;;;;;
        "\u18A1E",  # ;TANGUT COMPONENT-543;Lo;0;L;;;;;N;;;;;
        "\u18A1F",  # ;TANGUT COMPONENT-544;Lo;0;L;;;;;N;;;;;
        "\u18A20",  # ;TANGUT COMPONENT-545;Lo;0;L;;;;;N;;;;;
        "\u18A21",  # ;TANGUT COMPONENT-546;Lo;0;L;;;;;N;;;;;
        "\u18A22",  # ;TANGUT COMPONENT-547;Lo;0;L;;;;;N;;;;;
        "\u18A23",  # ;TANGUT COMPONENT-548;Lo;0;L;;;;;N;;;;;
        "\u18A24",  # ;TANGUT COMPONENT-549;Lo;0;L;;;;;N;;;;;
        "\u18A25",  # ;TANGUT COMPONENT-550;Lo;0;L;;;;;N;;;;;
        "\u18A26",  # ;TANGUT COMPONENT-551;Lo;0;L;;;;;N;;;;;
        "\u18A27",  # ;TANGUT COMPONENT-552;Lo;0;L;;;;;N;;;;;
        "\u18A28",  # ;TANGUT COMPONENT-553;Lo;0;L;;;;;N;;;;;
        "\u18A29",  # ;TANGUT COMPONENT-554;Lo;0;L;;;;;N;;;;;
        "\u18A2A",  # ;TANGUT COMPONENT-555;Lo;0;L;;;;;N;;;;;
        "\u18A2B",  # ;TANGUT COMPONENT-556;Lo;0;L;;;;;N;;;;;
        "\u18A2C",  # ;TANGUT COMPONENT-557;Lo;0;L;;;;;N;;;;;
        "\u18A2D",  # ;TANGUT COMPONENT-558;Lo;0;L;;;;;N;;;;;
        "\u18A2E",  # ;TANGUT COMPONENT-559;Lo;0;L;;;;;N;;;;;
        "\u18A2F",  # ;TANGUT COMPONENT-560;Lo;0;L;;;;;N;;;;;
        "\u18A30",  # ;TANGUT COMPONENT-561;Lo;0;L;;;;;N;;;;;
        "\u18A31",  # ;TANGUT COMPONENT-562;Lo;0;L;;;;;N;;;;;
        "\u18A32",  # ;TANGUT COMPONENT-563;Lo;0;L;;;;;N;;;;;
        "\u18A33",  # ;TANGUT COMPONENT-564;Lo;0;L;;;;;N;;;;;
        "\u18A34",  # ;TANGUT COMPONENT-565;Lo;0;L;;;;;N;;;;;
        "\u18A35",  # ;TANGUT COMPONENT-566;Lo;0;L;;;;;N;;;;;
        "\u18A36",  # ;TANGUT COMPONENT-567;Lo;0;L;;;;;N;;;;;
        "\u18A37",  # ;TANGUT COMPONENT-568;Lo;0;L;;;;;N;;;;;
        "\u18A38",  # ;TANGUT COMPONENT-569;Lo;0;L;;;;;N;;;;;
        "\u18A39",  # ;TANGUT COMPONENT-570;Lo;0;L;;;;;N;;;;;
        "\u18A3A",  # ;TANGUT COMPONENT-571;Lo;0;L;;;;;N;;;;;
        "\u18A3B",  # ;TANGUT COMPONENT-572;Lo;0;L;;;;;N;;;;;
        "\u18A3C",  # ;TANGUT COMPONENT-573;Lo;0;L;;;;;N;;;;;
        "\u18A3D",  # ;TANGUT COMPONENT-574;Lo;0;L;;;;;N;;;;;
        "\u18A3E",  # ;TANGUT COMPONENT-575;Lo;0;L;;;;;N;;;;;
        "\u18A3F",  # ;TANGUT COMPONENT-576;Lo;0;L;;;;;N;;;;;
        "\u18A40",  # ;TANGUT COMPONENT-577;Lo;0;L;;;;;N;;;;;
        "\u18A41",  # ;TANGUT COMPONENT-578;Lo;0;L;;;;;N;;;;;
        "\u18A42",  # ;TANGUT COMPONENT-579;Lo;0;L;;;;;N;;;;;
        "\u18A43",  # ;TANGUT COMPONENT-580;Lo;0;L;;;;;N;;;;;
        "\u18A44",  # ;TANGUT COMPONENT-581;Lo;0;L;;;;;N;;;;;
        "\u18A45",  # ;TANGUT COMPONENT-582;Lo;0;L;;;;;N;;;;;
        "\u18A46",  # ;TANGUT COMPONENT-583;Lo;0;L;;;;;N;;;;;
        "\u18A47",  # ;TANGUT COMPONENT-584;Lo;0;L;;;;;N;;;;;
        "\u18A48",  # ;TANGUT COMPONENT-585;Lo;0;L;;;;;N;;;;;
        "\u18A49",  # ;TANGUT COMPONENT-586;Lo;0;L;;;;;N;;;;;
        "\u18A4A",  # ;TANGUT COMPONENT-587;Lo;0;L;;;;;N;;;;;
        "\u18A4B",  # ;TANGUT COMPONENT-588;Lo;0;L;;;;;N;;;;;
        "\u18A4C",  # ;TANGUT COMPONENT-589;Lo;0;L;;;;;N;;;;;
        "\u18A4D",  # ;TANGUT COMPONENT-590;Lo;0;L;;;;;N;;;;;
        "\u18A4E",  # ;TANGUT COMPONENT-591;Lo;0;L;;;;;N;;;;;
        "\u18A4F",  # ;TANGUT COMPONENT-592;Lo;0;L;;;;;N;;;;;
        "\u18A50",  # ;TANGUT COMPONENT-593;Lo;0;L;;;;;N;;;;;
        "\u18A51",  # ;TANGUT COMPONENT-594;Lo;0;L;;;;;N;;;;;
        "\u18A52",  # ;TANGUT COMPONENT-595;Lo;0;L;;;;;N;;;;;
        "\u18A53",  # ;TANGUT COMPONENT-596;Lo;0;L;;;;;N;;;;;
        "\u18A54",  # ;TANGUT COMPONENT-597;Lo;0;L;;;;;N;;;;;
        "\u18A55",  # ;TANGUT COMPONENT-598;Lo;0;L;;;;;N;;;;;
        "\u18A56",  # ;TANGUT COMPONENT-599;Lo;0;L;;;;;N;;;;;
        "\u18A57",  # ;TANGUT COMPONENT-600;Lo;0;L;;;;;N;;;;;
        "\u18A58",  # ;TANGUT COMPONENT-601;Lo;0;L;;;;;N;;;;;
        "\u18A59",  # ;TANGUT COMPONENT-602;Lo;0;L;;;;;N;;;;;
        "\u18A5A",  # ;TANGUT COMPONENT-603;Lo;0;L;;;;;N;;;;;
        "\u18A5B",  # ;TANGUT COMPONENT-604;Lo;0;L;;;;;N;;;;;
        "\u18A5C",  # ;TANGUT COMPONENT-605;Lo;0;L;;;;;N;;;;;
        "\u18A5D",  # ;TANGUT COMPONENT-606;Lo;0;L;;;;;N;;;;;
        "\u18A5E",  # ;TANGUT COMPONENT-607;Lo;0;L;;;;;N;;;;;
        "\u18A5F",  # ;TANGUT COMPONENT-608;Lo;0;L;;;;;N;;;;;
        "\u18A60",  # ;TANGUT COMPONENT-609;Lo;0;L;;;;;N;;;;;
        "\u18A61",  # ;TANGUT COMPONENT-610;Lo;0;L;;;;;N;;;;;
        "\u18A62",  # ;TANGUT COMPONENT-611;Lo;0;L;;;;;N;;;;;
        "\u18A63",  # ;TANGUT COMPONENT-612;Lo;0;L;;;;;N;;;;;
        "\u18A64",  # ;TANGUT COMPONENT-613;Lo;0;L;;;;;N;;;;;
        "\u18A65",  # ;TANGUT COMPONENT-614;Lo;0;L;;;;;N;;;;;
        "\u18A66",  # ;TANGUT COMPONENT-615;Lo;0;L;;;;;N;;;;;
        "\u18A67",  # ;TANGUT COMPONENT-616;Lo;0;L;;;;;N;;;;;
        "\u18A68",  # ;TANGUT COMPONENT-617;Lo;0;L;;;;;N;;;;;
        "\u18A69",  # ;TANGUT COMPONENT-618;Lo;0;L;;;;;N;;;;;
        "\u18A6A",  # ;TANGUT COMPONENT-619;Lo;0;L;;;;;N;;;;;
        "\u18A6B",  # ;TANGUT COMPONENT-620;Lo;0;L;;;;;N;;;;;
        "\u18A6C",  # ;TANGUT COMPONENT-621;Lo;0;L;;;;;N;;;;;
        "\u18A6D",  # ;TANGUT COMPONENT-622;Lo;0;L;;;;;N;;;;;
        "\u18A6E",  # ;TANGUT COMPONENT-623;Lo;0;L;;;;;N;;;;;
        "\u18A6F",  # ;TANGUT COMPONENT-624;Lo;0;L;;;;;N;;;;;
        "\u18A70",  # ;TANGUT COMPONENT-625;Lo;0;L;;;;;N;;;;;
        "\u18A71",  # ;TANGUT COMPONENT-626;Lo;0;L;;;;;N;;;;;
        "\u18A72",  # ;TANGUT COMPONENT-627;Lo;0;L;;;;;N;;;;;
        "\u18A73",  # ;TANGUT COMPONENT-628;Lo;0;L;;;;;N;;;;;
        "\u18A74",  # ;TANGUT COMPONENT-629;Lo;0;L;;;;;N;;;;;
        "\u18A75",  # ;TANGUT COMPONENT-630;Lo;0;L;;;;;N;;;;;
        "\u18A76",  # ;TANGUT COMPONENT-631;Lo;0;L;;;;;N;;;;;
        "\u18A77",  # ;TANGUT COMPONENT-632;Lo;0;L;;;;;N;;;;;
        "\u18A78",  # ;TANGUT COMPONENT-633;Lo;0;L;;;;;N;;;;;
        "\u18A79",  # ;TANGUT COMPONENT-634;Lo;0;L;;;;;N;;;;;
        "\u18A7A",  # ;TANGUT COMPONENT-635;Lo;0;L;;;;;N;;;;;
        "\u18A7B",  # ;TANGUT COMPONENT-636;Lo;0;L;;;;;N;;;;;
        "\u18A7C",  # ;TANGUT COMPONENT-637;Lo;0;L;;;;;N;;;;;
        "\u18A7D",  # ;TANGUT COMPONENT-638;Lo;0;L;;;;;N;;;;;
        "\u18A7E",  # ;TANGUT COMPONENT-639;Lo;0;L;;;;;N;;;;;
        "\u18A7F",  # ;TANGUT COMPONENT-640;Lo;0;L;;;;;N;;;;;
        "\u18A80",  # ;TANGUT COMPONENT-641;Lo;0;L;;;;;N;;;;;
        "\u18A81",  # ;TANGUT COMPONENT-642;Lo;0;L;;;;;N;;;;;
        "\u18A82",  # ;TANGUT COMPONENT-643;Lo;0;L;;;;;N;;;;;
        "\u18A83",  # ;TANGUT COMPONENT-644;Lo;0;L;;;;;N;;;;;
        "\u18A84",  # ;TANGUT COMPONENT-645;Lo;0;L;;;;;N;;;;;
        "\u18A85",  # ;TANGUT COMPONENT-646;Lo;0;L;;;;;N;;;;;
        "\u18A86",  # ;TANGUT COMPONENT-647;Lo;0;L;;;;;N;;;;;
        "\u18A87",  # ;TANGUT COMPONENT-648;Lo;0;L;;;;;N;;;;;
        "\u18A88",  # ;TANGUT COMPONENT-649;Lo;0;L;;;;;N;;;;;
        "\u18A89",  # ;TANGUT COMPONENT-650;Lo;0;L;;;;;N;;;;;
        "\u18A8A",  # ;TANGUT COMPONENT-651;Lo;0;L;;;;;N;;;;;
        "\u18A8B",  # ;TANGUT COMPONENT-652;Lo;0;L;;;;;N;;;;;
        "\u18A8C",  # ;TANGUT COMPONENT-653;Lo;0;L;;;;;N;;;;;
        "\u18A8D",  # ;TANGUT COMPONENT-654;Lo;0;L;;;;;N;;;;;
        "\u18A8E",  # ;TANGUT COMPONENT-655;Lo;0;L;;;;;N;;;;;
        "\u18A8F",  # ;TANGUT COMPONENT-656;Lo;0;L;;;;;N;;;;;
        "\u18A90",  # ;TANGUT COMPONENT-657;Lo;0;L;;;;;N;;;;;
        "\u18A91",  # ;TANGUT COMPONENT-658;Lo;0;L;;;;;N;;;;;
        "\u18A92",  # ;TANGUT COMPONENT-659;Lo;0;L;;;;;N;;;;;
        "\u18A93",  # ;TANGUT COMPONENT-660;Lo;0;L;;;;;N;;;;;
        "\u18A94",  # ;TANGUT COMPONENT-661;Lo;0;L;;;;;N;;;;;
        "\u18A95",  # ;TANGUT COMPONENT-662;Lo;0;L;;;;;N;;;;;
        "\u18A96",  # ;TANGUT COMPONENT-663;Lo;0;L;;;;;N;;;;;
        "\u18A97",  # ;TANGUT COMPONENT-664;Lo;0;L;;;;;N;;;;;
        "\u18A98",  # ;TANGUT COMPONENT-665;Lo;0;L;;;;;N;;;;;
        "\u18A99",  # ;TANGUT COMPONENT-666;Lo;0;L;;;;;N;;;;;
        "\u18A9A",  # ;TANGUT COMPONENT-667;Lo;0;L;;;;;N;;;;;
        "\u18A9B",  # ;TANGUT COMPONENT-668;Lo;0;L;;;;;N;;;;;
        "\u18A9C",  # ;TANGUT COMPONENT-669;Lo;0;L;;;;;N;;;;;
        "\u18A9D",  # ;TANGUT COMPONENT-670;Lo;0;L;;;;;N;;;;;
        "\u18A9E",  # ;TANGUT COMPONENT-671;Lo;0;L;;;;;N;;;;;
        "\u18A9F",  # ;TANGUT COMPONENT-672;Lo;0;L;;;;;N;;;;;
        "\u18AA0",  # ;TANGUT COMPONENT-673;Lo;0;L;;;;;N;;;;;
        "\u18AA1",  # ;TANGUT COMPONENT-674;Lo;0;L;;;;;N;;;;;
        "\u18AA2",  # ;TANGUT COMPONENT-675;Lo;0;L;;;;;N;;;;;
        "\u18AA3",  # ;TANGUT COMPONENT-676;Lo;0;L;;;;;N;;;;;
        "\u18AA4",  # ;TANGUT COMPONENT-677;Lo;0;L;;;;;N;;;;;
        "\u18AA5",  # ;TANGUT COMPONENT-678;Lo;0;L;;;;;N;;;;;
        "\u18AA6",  # ;TANGUT COMPONENT-679;Lo;0;L;;;;;N;;;;;
        "\u18AA7",  # ;TANGUT COMPONENT-680;Lo;0;L;;;;;N;;;;;
        "\u18AA8",  # ;TANGUT COMPONENT-681;Lo;0;L;;;;;N;;;;;
        "\u18AA9",  # ;TANGUT COMPONENT-682;Lo;0;L;;;;;N;;;;;
        "\u18AAA",  # ;TANGUT COMPONENT-683;Lo;0;L;;;;;N;;;;;
        "\u18AAB",  # ;TANGUT COMPONENT-684;Lo;0;L;;;;;N;;;;;
        "\u18AAC",  # ;TANGUT COMPONENT-685;Lo;0;L;;;;;N;;;;;
        "\u18AAD",  # ;TANGUT COMPONENT-686;Lo;0;L;;;;;N;;;;;
        "\u18AAE",  # ;TANGUT COMPONENT-687;Lo;0;L;;;;;N;;;;;
        "\u18AAF",  # ;TANGUT COMPONENT-688;Lo;0;L;;;;;N;;;;;
        "\u18AB0",  # ;TANGUT COMPONENT-689;Lo;0;L;;;;;N;;;;;
        "\u18AB1",  # ;TANGUT COMPONENT-690;Lo;0;L;;;;;N;;;;;
        "\u18AB2",  # ;TANGUT COMPONENT-691;Lo;0;L;;;;;N;;;;;
        "\u18AB3",  # ;TANGUT COMPONENT-692;Lo;0;L;;;;;N;;;;;
        "\u18AB4",  # ;TANGUT COMPONENT-693;Lo;0;L;;;;;N;;;;;
        "\u18AB5",  # ;TANGUT COMPONENT-694;Lo;0;L;;;;;N;;;;;
        "\u18AB6",  # ;TANGUT COMPONENT-695;Lo;0;L;;;;;N;;;;;
        "\u18AB7",  # ;TANGUT COMPONENT-696;Lo;0;L;;;;;N;;;;;
        "\u18AB8",  # ;TANGUT COMPONENT-697;Lo;0;L;;;;;N;;;;;
        "\u18AB9",  # ;TANGUT COMPONENT-698;Lo;0;L;;;;;N;;;;;
        "\u18ABA",  # ;TANGUT COMPONENT-699;Lo;0;L;;;;;N;;;;;
        "\u18ABB",  # ;TANGUT COMPONENT-700;Lo;0;L;;;;;N;;;;;
        "\u18ABC",  # ;TANGUT COMPONENT-701;Lo;0;L;;;;;N;;;;;
        "\u18ABD",  # ;TANGUT COMPONENT-702;Lo;0;L;;;;;N;;;;;
        "\u18ABE",  # ;TANGUT COMPONENT-703;Lo;0;L;;;;;N;;;;;
        "\u18ABF",  # ;TANGUT COMPONENT-704;Lo;0;L;;;;;N;;;;;
        "\u18AC0",  # ;TANGUT COMPONENT-705;Lo;0;L;;;;;N;;;;;
        "\u18AC1",  # ;TANGUT COMPONENT-706;Lo;0;L;;;;;N;;;;;
        "\u18AC2",  # ;TANGUT COMPONENT-707;Lo;0;L;;;;;N;;;;;
        "\u18AC3",  # ;TANGUT COMPONENT-708;Lo;0;L;;;;;N;;;;;
        "\u18AC4",  # ;TANGUT COMPONENT-709;Lo;0;L;;;;;N;;;;;
        "\u18AC5",  # ;TANGUT COMPONENT-710;Lo;0;L;;;;;N;;;;;
        "\u18AC6",  # ;TANGUT COMPONENT-711;Lo;0;L;;;;;N;;;;;
        "\u18AC7",  # ;TANGUT COMPONENT-712;Lo;0;L;;;;;N;;;;;
        "\u18AC8",  # ;TANGUT COMPONENT-713;Lo;0;L;;;;;N;;;;;
        "\u18AC9",  # ;TANGUT COMPONENT-714;Lo;0;L;;;;;N;;;;;
        "\u18ACA",  # ;TANGUT COMPONENT-715;Lo;0;L;;;;;N;;;;;
        "\u18ACB",  # ;TANGUT COMPONENT-716;Lo;0;L;;;;;N;;;;;
        "\u18ACC",  # ;TANGUT COMPONENT-717;Lo;0;L;;;;;N;;;;;
        "\u18ACD",  # ;TANGUT COMPONENT-718;Lo;0;L;;;;;N;;;;;
        "\u18ACE",  # ;TANGUT COMPONENT-719;Lo;0;L;;;;;N;;;;;
        "\u18ACF",  # ;TANGUT COMPONENT-720;Lo;0;L;;;;;N;;;;;
        "\u18AD0",  # ;TANGUT COMPONENT-721;Lo;0;L;;;;;N;;;;;
        "\u18AD1",  # ;TANGUT COMPONENT-722;Lo;0;L;;;;;N;;;;;
        "\u18AD2",  # ;TANGUT COMPONENT-723;Lo;0;L;;;;;N;;;;;
        "\u18AD3",  # ;TANGUT COMPONENT-724;Lo;0;L;;;;;N;;;;;
        "\u18AD4",  # ;TANGUT COMPONENT-725;Lo;0;L;;;;;N;;;;;
        "\u18AD5",  # ;TANGUT COMPONENT-726;Lo;0;L;;;;;N;;;;;
        "\u18AD6",  # ;TANGUT COMPONENT-727;Lo;0;L;;;;;N;;;;;
        "\u18AD7",  # ;TANGUT COMPONENT-728;Lo;0;L;;;;;N;;;;;
        "\u18AD8",  # ;TANGUT COMPONENT-729;Lo;0;L;;;;;N;;;;;
        "\u18AD9",  # ;TANGUT COMPONENT-730;Lo;0;L;;;;;N;;;;;
        "\u18ADA",  # ;TANGUT COMPONENT-731;Lo;0;L;;;;;N;;;;;
        "\u18ADB",  # ;TANGUT COMPONENT-732;Lo;0;L;;;;;N;;;;;
        "\u18ADC",  # ;TANGUT COMPONENT-733;Lo;0;L;;;;;N;;;;;
        "\u18ADD",  # ;TANGUT COMPONENT-734;Lo;0;L;;;;;N;;;;;
        "\u18ADE",  # ;TANGUT COMPONENT-735;Lo;0;L;;;;;N;;;;;
        "\u18ADF",  # ;TANGUT COMPONENT-736;Lo;0;L;;;;;N;;;;;
        "\u18AE0",  # ;TANGUT COMPONENT-737;Lo;0;L;;;;;N;;;;;
        "\u18AE1",  # ;TANGUT COMPONENT-738;Lo;0;L;;;;;N;;;;;
        "\u18AE2",  # ;TANGUT COMPONENT-739;Lo;0;L;;;;;N;;;;;
        "\u18AE3",  # ;TANGUT COMPONENT-740;Lo;0;L;;;;;N;;;;;
        "\u18AE4",  # ;TANGUT COMPONENT-741;Lo;0;L;;;;;N;;;;;
        "\u18AE5",  # ;TANGUT COMPONENT-742;Lo;0;L;;;;;N;;;;;
        "\u18AE6",  # ;TANGUT COMPONENT-743;Lo;0;L;;;;;N;;;;;
        "\u18AE7",  # ;TANGUT COMPONENT-744;Lo;0;L;;;;;N;;;;;
        "\u18AE8",  # ;TANGUT COMPONENT-745;Lo;0;L;;;;;N;;;;;
        "\u18AE9",  # ;TANGUT COMPONENT-746;Lo;0;L;;;;;N;;;;;
        "\u18AEA",  # ;TANGUT COMPONENT-747;Lo;0;L;;;;;N;;;;;
        "\u18AEB",  # ;TANGUT COMPONENT-748;Lo;0;L;;;;;N;;;;;
        "\u18AEC",  # ;TANGUT COMPONENT-749;Lo;0;L;;;;;N;;;;;
        "\u18AED",  # ;TANGUT COMPONENT-750;Lo;0;L;;;;;N;;;;;
        "\u18AEE",  # ;TANGUT COMPONENT-751;Lo;0;L;;;;;N;;;;;
        "\u18AEF",  # ;TANGUT COMPONENT-752;Lo;0;L;;;;;N;;;;;
        "\u18AF0",  # ;TANGUT COMPONENT-753;Lo;0;L;;;;;N;;;;;
        "\u18AF1",  # ;TANGUT COMPONENT-754;Lo;0;L;;;;;N;;;;;
        "\u18AF2",  # ;TANGUT COMPONENT-755;Lo;0;L;;;;;N;;;;;
        "\u1B000",  # ;KATAKANA LETTER ARCHAIC E;Lo;0;L;;;;;N;;;;;
        "\u1B001",  # ;HIRAGANA LETTER ARCHAIC YE;Lo;0;L;;;;;N;;;;;
        "\u1B002",  # ;HENTAIGANA LETTER A-1;Lo;0;L;;;;;N;;;;;
        "\u1B003",  # ;HENTAIGANA LETTER A-2;Lo;0;L;;;;;N;;;;;
        "\u1B004",  # ;HENTAIGANA LETTER A-3;Lo;0;L;;;;;N;;;;;
        "\u1B005",  # ;HENTAIGANA LETTER A-WO;Lo;0;L;;;;;N;;;;;
        "\u1B006",  # ;HENTAIGANA LETTER I-1;Lo;0;L;;;;;N;;;;;
        "\u1B007",  # ;HENTAIGANA LETTER I-2;Lo;0;L;;;;;N;;;;;
        "\u1B008",  # ;HENTAIGANA LETTER I-3;Lo;0;L;;;;;N;;;;;
        "\u1B009",  # ;HENTAIGANA LETTER I-4;Lo;0;L;;;;;N;;;;;
        "\u1B00A",  # ;HENTAIGANA LETTER U-1;Lo;0;L;;;;;N;;;;;
        "\u1B00B",  # ;HENTAIGANA LETTER U-2;Lo;0;L;;;;;N;;;;;
        "\u1B00C",  # ;HENTAIGANA LETTER U-3;Lo;0;L;;;;;N;;;;;
        "\u1B00D",  # ;HENTAIGANA LETTER U-4;Lo;0;L;;;;;N;;;;;
        "\u1B00E",  # ;HENTAIGANA LETTER U-5;Lo;0;L;;;;;N;;;;;
        "\u1B00F",  # ;HENTAIGANA LETTER E-2;Lo;0;L;;;;;N;;;;;
        "\u1B010",  # ;HENTAIGANA LETTER E-3;Lo;0;L;;;;;N;;;;;
        "\u1B011",  # ;HENTAIGANA LETTER E-4;Lo;0;L;;;;;N;;;;;
        "\u1B012",  # ;HENTAIGANA LETTER E-5;Lo;0;L;;;;;N;;;;;
        "\u1B013",  # ;HENTAIGANA LETTER E-6;Lo;0;L;;;;;N;;;;;
        "\u1B014",  # ;HENTAIGANA LETTER O-1;Lo;0;L;;;;;N;;;;;
        "\u1B015",  # ;HENTAIGANA LETTER O-2;Lo;0;L;;;;;N;;;;;
        "\u1B016",  # ;HENTAIGANA LETTER O-3;Lo;0;L;;;;;N;;;;;
        "\u1B017",  # ;HENTAIGANA LETTER KA-1;Lo;0;L;;;;;N;;;;;
        "\u1B018",  # ;HENTAIGANA LETTER KA-2;Lo;0;L;;;;;N;;;;;
        "\u1B019",  # ;HENTAIGANA LETTER KA-3;Lo;0;L;;;;;N;;;;;
        "\u1B01A",  # ;HENTAIGANA LETTER KA-4;Lo;0;L;;;;;N;;;;;
        "\u1B01B",  # ;HENTAIGANA LETTER KA-5;Lo;0;L;;;;;N;;;;;
        "\u1B01C",  # ;HENTAIGANA LETTER KA-6;Lo;0;L;;;;;N;;;;;
        "\u1B01D",  # ;HENTAIGANA LETTER KA-7;Lo;0;L;;;;;N;;;;;
        "\u1B01E",  # ;HENTAIGANA LETTER KA-8;Lo;0;L;;;;;N;;;;;
        "\u1B01F",  # ;HENTAIGANA LETTER KA-9;Lo;0;L;;;;;N;;;;;
        "\u1B020",  # ;HENTAIGANA LETTER KA-10;Lo;0;L;;;;;N;;;;;
        "\u1B021",  # ;HENTAIGANA LETTER KA-11;Lo;0;L;;;;;N;;;;;
        "\u1B022",  # ;HENTAIGANA LETTER KA-KE;Lo;0;L;;;;;N;;;;;
        "\u1B023",  # ;HENTAIGANA LETTER KI-1;Lo;0;L;;;;;N;;;;;
        "\u1B024",  # ;HENTAIGANA LETTER KI-2;Lo;0;L;;;;;N;;;;;
        "\u1B025",  # ;HENTAIGANA LETTER KI-3;Lo;0;L;;;;;N;;;;;
        "\u1B026",  # ;HENTAIGANA LETTER KI-4;Lo;0;L;;;;;N;;;;;
        "\u1B027",  # ;HENTAIGANA LETTER KI-5;Lo;0;L;;;;;N;;;;;
        "\u1B028",  # ;HENTAIGANA LETTER KI-6;Lo;0;L;;;;;N;;;;;
        "\u1B029",  # ;HENTAIGANA LETTER KI-7;Lo;0;L;;;;;N;;;;;
        "\u1B02A",  # ;HENTAIGANA LETTER KI-8;Lo;0;L;;;;;N;;;;;
        "\u1B02B",  # ;HENTAIGANA LETTER KU-1;Lo;0;L;;;;;N;;;;;
        "\u1B02C",  # ;HENTAIGANA LETTER KU-2;Lo;0;L;;;;;N;;;;;
        "\u1B02D",  # ;HENTAIGANA LETTER KU-3;Lo;0;L;;;;;N;;;;;
        "\u1B02E",  # ;HENTAIGANA LETTER KU-4;Lo;0;L;;;;;N;;;;;
        "\u1B02F",  # ;HENTAIGANA LETTER KU-5;Lo;0;L;;;;;N;;;;;
        "\u1B030",  # ;HENTAIGANA LETTER KU-6;Lo;0;L;;;;;N;;;;;
        "\u1B031",  # ;HENTAIGANA LETTER KU-7;Lo;0;L;;;;;N;;;;;
        "\u1B032",  # ;HENTAIGANA LETTER KE-1;Lo;0;L;;;;;N;;;;;
        "\u1B033",  # ;HENTAIGANA LETTER KE-2;Lo;0;L;;;;;N;;;;;
        "\u1B034",  # ;HENTAIGANA LETTER KE-3;Lo;0;L;;;;;N;;;;;
        "\u1B035",  # ;HENTAIGANA LETTER KE-4;Lo;0;L;;;;;N;;;;;
        "\u1B036",  # ;HENTAIGANA LETTER KE-5;Lo;0;L;;;;;N;;;;;
        "\u1B037",  # ;HENTAIGANA LETTER KE-6;Lo;0;L;;;;;N;;;;;
        "\u1B038",  # ;HENTAIGANA LETTER KO-1;Lo;0;L;;;;;N;;;;;
        "\u1B039",  # ;HENTAIGANA LETTER KO-2;Lo;0;L;;;;;N;;;;;
        "\u1B03A",  # ;HENTAIGANA LETTER KO-3;Lo;0;L;;;;;N;;;;;
        "\u1B03B",  # ;HENTAIGANA LETTER KO-KI;Lo;0;L;;;;;N;;;;;
        "\u1B03C",  # ;HENTAIGANA LETTER SA-1;Lo;0;L;;;;;N;;;;;
        "\u1B03D",  # ;HENTAIGANA LETTER SA-2;Lo;0;L;;;;;N;;;;;
        "\u1B03E",  # ;HENTAIGANA LETTER SA-3;Lo;0;L;;;;;N;;;;;
        "\u1B03F",  # ;HENTAIGANA LETTER SA-4;Lo;0;L;;;;;N;;;;;
        "\u1B040",  # ;HENTAIGANA LETTER SA-5;Lo;0;L;;;;;N;;;;;
        "\u1B041",  # ;HENTAIGANA LETTER SA-6;Lo;0;L;;;;;N;;;;;
        "\u1B042",  # ;HENTAIGANA LETTER SA-7;Lo;0;L;;;;;N;;;;;
        "\u1B043",  # ;HENTAIGANA LETTER SA-8;Lo;0;L;;;;;N;;;;;
        "\u1B044",  # ;HENTAIGANA LETTER SI-1;Lo;0;L;;;;;N;;;;;
        "\u1B045",  # ;HENTAIGANA LETTER SI-2;Lo;0;L;;;;;N;;;;;
        "\u1B046",  # ;HENTAIGANA LETTER SI-3;Lo;0;L;;;;;N;;;;;
        "\u1B047",  # ;HENTAIGANA LETTER SI-4;Lo;0;L;;;;;N;;;;;
        "\u1B048",  # ;HENTAIGANA LETTER SI-5;Lo;0;L;;;;;N;;;;;
        "\u1B049",  # ;HENTAIGANA LETTER SI-6;Lo;0;L;;;;;N;;;;;
        "\u1B04A",  # ;HENTAIGANA LETTER SU-1;Lo;0;L;;;;;N;;;;;
        "\u1B04B",  # ;HENTAIGANA LETTER SU-2;Lo;0;L;;;;;N;;;;;
        "\u1B04C",  # ;HENTAIGANA LETTER SU-3;Lo;0;L;;;;;N;;;;;
        "\u1B04D",  # ;HENTAIGANA LETTER SU-4;Lo;0;L;;;;;N;;;;;
        "\u1B04E",  # ;HENTAIGANA LETTER SU-5;Lo;0;L;;;;;N;;;;;
        "\u1B04F",  # ;HENTAIGANA LETTER SU-6;Lo;0;L;;;;;N;;;;;
        "\u1B050",  # ;HENTAIGANA LETTER SU-7;Lo;0;L;;;;;N;;;;;
        "\u1B051",  # ;HENTAIGANA LETTER SU-8;Lo;0;L;;;;;N;;;;;
        "\u1B052",  # ;HENTAIGANA LETTER SE-1;Lo;0;L;;;;;N;;;;;
        "\u1B053",  # ;HENTAIGANA LETTER SE-2;Lo;0;L;;;;;N;;;;;
        "\u1B054",  # ;HENTAIGANA LETTER SE-3;Lo;0;L;;;;;N;;;;;
        "\u1B055",  # ;HENTAIGANA LETTER SE-4;Lo;0;L;;;;;N;;;;;
        "\u1B056",  # ;HENTAIGANA LETTER SE-5;Lo;0;L;;;;;N;;;;;
        "\u1B057",  # ;HENTAIGANA LETTER SO-1;Lo;0;L;;;;;N;;;;;
        "\u1B058",  # ;HENTAIGANA LETTER SO-2;Lo;0;L;;;;;N;;;;;
        "\u1B059",  # ;HENTAIGANA LETTER SO-3;Lo;0;L;;;;;N;;;;;
        "\u1B05A",  # ;HENTAIGANA LETTER SO-4;Lo;0;L;;;;;N;;;;;
        "\u1B05B",  # ;HENTAIGANA LETTER SO-5;Lo;0;L;;;;;N;;;;;
        "\u1B05C",  # ;HENTAIGANA LETTER SO-6;Lo;0;L;;;;;N;;;;;
        "\u1B05D",  # ;HENTAIGANA LETTER SO-7;Lo;0;L;;;;;N;;;;;
        "\u1B05E",  # ;HENTAIGANA LETTER TA-1;Lo;0;L;;;;;N;;;;;
        "\u1B05F",  # ;HENTAIGANA LETTER TA-2;Lo;0;L;;;;;N;;;;;
        "\u1B060",  # ;HENTAIGANA LETTER TA-3;Lo;0;L;;;;;N;;;;;
        "\u1B061",  # ;HENTAIGANA LETTER TA-4;Lo;0;L;;;;;N;;;;;
        "\u1B062",  # ;HENTAIGANA LETTER TI-1;Lo;0;L;;;;;N;;;;;
        "\u1B063",  # ;HENTAIGANA LETTER TI-2;Lo;0;L;;;;;N;;;;;
        "\u1B064",  # ;HENTAIGANA LETTER TI-3;Lo;0;L;;;;;N;;;;;
        "\u1B065",  # ;HENTAIGANA LETTER TI-4;Lo;0;L;;;;;N;;;;;
        "\u1B066",  # ;HENTAIGANA LETTER TI-5;Lo;0;L;;;;;N;;;;;
        "\u1B067",  # ;HENTAIGANA LETTER TI-6;Lo;0;L;;;;;N;;;;;
        "\u1B068",  # ;HENTAIGANA LETTER TI-7;Lo;0;L;;;;;N;;;;;
        "\u1B069",  # ;HENTAIGANA LETTER TU-1;Lo;0;L;;;;;N;;;;;
        "\u1B06A",  # ;HENTAIGANA LETTER TU-2;Lo;0;L;;;;;N;;;;;
        "\u1B06B",  # ;HENTAIGANA LETTER TU-3;Lo;0;L;;;;;N;;;;;
        "\u1B06C",  # ;HENTAIGANA LETTER TU-4;Lo;0;L;;;;;N;;;;;
        "\u1B06D",  # ;HENTAIGANA LETTER TU-TO;Lo;0;L;;;;;N;;;;;
        "\u1B06E",  # ;HENTAIGANA LETTER TE-1;Lo;0;L;;;;;N;;;;;
        "\u1B06F",  # ;HENTAIGANA LETTER TE-2;Lo;0;L;;;;;N;;;;;
        "\u1B070",  # ;HENTAIGANA LETTER TE-3;Lo;0;L;;;;;N;;;;;
        "\u1B071",  # ;HENTAIGANA LETTER TE-4;Lo;0;L;;;;;N;;;;;
        "\u1B072",  # ;HENTAIGANA LETTER TE-5;Lo;0;L;;;;;N;;;;;
        "\u1B073",  # ;HENTAIGANA LETTER TE-6;Lo;0;L;;;;;N;;;;;
        "\u1B074",  # ;HENTAIGANA LETTER TE-7;Lo;0;L;;;;;N;;;;;
        "\u1B075",  # ;HENTAIGANA LETTER TE-8;Lo;0;L;;;;;N;;;;;
        "\u1B076",  # ;HENTAIGANA LETTER TE-9;Lo;0;L;;;;;N;;;;;
        "\u1B077",  # ;HENTAIGANA LETTER TO-1;Lo;0;L;;;;;N;;;;;
        "\u1B078",  # ;HENTAIGANA LETTER TO-2;Lo;0;L;;;;;N;;;;;
        "\u1B079",  # ;HENTAIGANA LETTER TO-3;Lo;0;L;;;;;N;;;;;
        "\u1B07A",  # ;HENTAIGANA LETTER TO-4;Lo;0;L;;;;;N;;;;;
        "\u1B07B",  # ;HENTAIGANA LETTER TO-5;Lo;0;L;;;;;N;;;;;
        "\u1B07C",  # ;HENTAIGANA LETTER TO-6;Lo;0;L;;;;;N;;;;;
        "\u1B07D",  # ;HENTAIGANA LETTER TO-RA;Lo;0;L;;;;;N;;;;;
        "\u1B07E",  # ;HENTAIGANA LETTER NA-1;Lo;0;L;;;;;N;;;;;
        "\u1B07F",  # ;HENTAIGANA LETTER NA-2;Lo;0;L;;;;;N;;;;;
        "\u1B080",  # ;HENTAIGANA LETTER NA-3;Lo;0;L;;;;;N;;;;;
        "\u1B081",  # ;HENTAIGANA LETTER NA-4;Lo;0;L;;;;;N;;;;;
        "\u1B082",  # ;HENTAIGANA LETTER NA-5;Lo;0;L;;;;;N;;;;;
        "\u1B083",  # ;HENTAIGANA LETTER NA-6;Lo;0;L;;;;;N;;;;;
        "\u1B084",  # ;HENTAIGANA LETTER NA-7;Lo;0;L;;;;;N;;;;;
        "\u1B085",  # ;HENTAIGANA LETTER NA-8;Lo;0;L;;;;;N;;;;;
        "\u1B086",  # ;HENTAIGANA LETTER NA-9;Lo;0;L;;;;;N;;;;;
        "\u1B087",  # ;HENTAIGANA LETTER NI-1;Lo;0;L;;;;;N;;;;;
        "\u1B088",  # ;HENTAIGANA LETTER NI-2;Lo;0;L;;;;;N;;;;;
        "\u1B089",  # ;HENTAIGANA LETTER NI-3;Lo;0;L;;;;;N;;;;;
        "\u1B08A",  # ;HENTAIGANA LETTER NI-4;Lo;0;L;;;;;N;;;;;
        "\u1B08B",  # ;HENTAIGANA LETTER NI-5;Lo;0;L;;;;;N;;;;;
        "\u1B08C",  # ;HENTAIGANA LETTER NI-6;Lo;0;L;;;;;N;;;;;
        "\u1B08D",  # ;HENTAIGANA LETTER NI-7;Lo;0;L;;;;;N;;;;;
        "\u1B08E",  # ;HENTAIGANA LETTER NI-TE;Lo;0;L;;;;;N;;;;;
        "\u1B08F",  # ;HENTAIGANA LETTER NU-1;Lo;0;L;;;;;N;;;;;
        "\u1B090",  # ;HENTAIGANA LETTER NU-2;Lo;0;L;;;;;N;;;;;
        "\u1B091",  # ;HENTAIGANA LETTER NU-3;Lo;0;L;;;;;N;;;;;
        "\u1B092",  # ;HENTAIGANA LETTER NE-1;Lo;0;L;;;;;N;;;;;
        "\u1B093",  # ;HENTAIGANA LETTER NE-2;Lo;0;L;;;;;N;;;;;
        "\u1B094",  # ;HENTAIGANA LETTER NE-3;Lo;0;L;;;;;N;;;;;
        "\u1B095",  # ;HENTAIGANA LETTER NE-4;Lo;0;L;;;;;N;;;;;
        "\u1B096",  # ;HENTAIGANA LETTER NE-5;Lo;0;L;;;;;N;;;;;
        "\u1B097",  # ;HENTAIGANA LETTER NE-6;Lo;0;L;;;;;N;;;;;
        "\u1B098",  # ;HENTAIGANA LETTER NE-KO;Lo;0;L;;;;;N;;;;;
        "\u1B099",  # ;HENTAIGANA LETTER NO-1;Lo;0;L;;;;;N;;;;;
        "\u1B09A",  # ;HENTAIGANA LETTER NO-2;Lo;0;L;;;;;N;;;;;
        "\u1B09B",  # ;HENTAIGANA LETTER NO-3;Lo;0;L;;;;;N;;;;;
        "\u1B09C",  # ;HENTAIGANA LETTER NO-4;Lo;0;L;;;;;N;;;;;
        "\u1B09D",  # ;HENTAIGANA LETTER NO-5;Lo;0;L;;;;;N;;;;;
        "\u1B09E",  # ;HENTAIGANA LETTER HA-1;Lo;0;L;;;;;N;;;;;
        "\u1B09F",  # ;HENTAIGANA LETTER HA-2;Lo;0;L;;;;;N;;;;;
        "\u1B0A0",  # ;HENTAIGANA LETTER HA-3;Lo;0;L;;;;;N;;;;;
        "\u1B0A1",  # ;HENTAIGANA LETTER HA-4;Lo;0;L;;;;;N;;;;;
        "\u1B0A2",  # ;HENTAIGANA LETTER HA-5;Lo;0;L;;;;;N;;;;;
        "\u1B0A3",  # ;HENTAIGANA LETTER HA-6;Lo;0;L;;;;;N;;;;;
        "\u1B0A4",  # ;HENTAIGANA LETTER HA-7;Lo;0;L;;;;;N;;;;;
        "\u1B0A5",  # ;HENTAIGANA LETTER HA-8;Lo;0;L;;;;;N;;;;;
        "\u1B0A6",  # ;HENTAIGANA LETTER HA-9;Lo;0;L;;;;;N;;;;;
        "\u1B0A7",  # ;HENTAIGANA LETTER HA-10;Lo;0;L;;;;;N;;;;;
        "\u1B0A8",  # ;HENTAIGANA LETTER HA-11;Lo;0;L;;;;;N;;;;;
        "\u1B0A9",  # ;HENTAIGANA LETTER HI-1;Lo;0;L;;;;;N;;;;;
        "\u1B0AA",  # ;HENTAIGANA LETTER HI-2;Lo;0;L;;;;;N;;;;;
        "\u1B0AB",  # ;HENTAIGANA LETTER HI-3;Lo;0;L;;;;;N;;;;;
        "\u1B0AC",  # ;HENTAIGANA LETTER HI-4;Lo;0;L;;;;;N;;;;;
        "\u1B0AD",  # ;HENTAIGANA LETTER HI-5;Lo;0;L;;;;;N;;;;;
        "\u1B0AE",  # ;HENTAIGANA LETTER HI-6;Lo;0;L;;;;;N;;;;;
        "\u1B0AF",  # ;HENTAIGANA LETTER HI-7;Lo;0;L;;;;;N;;;;;
        "\u1B0B0",  # ;HENTAIGANA LETTER HU-1;Lo;0;L;;;;;N;;;;;
        "\u1B0B1",  # ;HENTAIGANA LETTER HU-2;Lo;0;L;;;;;N;;;;;
        "\u1B0B2",  # ;HENTAIGANA LETTER HU-3;Lo;0;L;;;;;N;;;;;
        "\u1B0B3",  # ;HENTAIGANA LETTER HE-1;Lo;0;L;;;;;N;;;;;
        "\u1B0B4",  # ;HENTAIGANA LETTER HE-2;Lo;0;L;;;;;N;;;;;
        "\u1B0B5",  # ;HENTAIGANA LETTER HE-3;Lo;0;L;;;;;N;;;;;
        "\u1B0B6",  # ;HENTAIGANA LETTER HE-4;Lo;0;L;;;;;N;;;;;
        "\u1B0B7",  # ;HENTAIGANA LETTER HE-5;Lo;0;L;;;;;N;;;;;
        "\u1B0B8",  # ;HENTAIGANA LETTER HE-6;Lo;0;L;;;;;N;;;;;
        "\u1B0B9",  # ;HENTAIGANA LETTER HE-7;Lo;0;L;;;;;N;;;;;
        "\u1B0BA",  # ;HENTAIGANA LETTER HO-1;Lo;0;L;;;;;N;;;;;
        "\u1B0BB",  # ;HENTAIGANA LETTER HO-2;Lo;0;L;;;;;N;;;;;
        "\u1B0BC",  # ;HENTAIGANA LETTER HO-3;Lo;0;L;;;;;N;;;;;
        "\u1B0BD",  # ;HENTAIGANA LETTER HO-4;Lo;0;L;;;;;N;;;;;
        "\u1B0BE",  # ;HENTAIGANA LETTER HO-5;Lo;0;L;;;;;N;;;;;
        "\u1B0BF",  # ;HENTAIGANA LETTER HO-6;Lo;0;L;;;;;N;;;;;
        "\u1B0C0",  # ;HENTAIGANA LETTER HO-7;Lo;0;L;;;;;N;;;;;
        "\u1B0C1",  # ;HENTAIGANA LETTER HO-8;Lo;0;L;;;;;N;;;;;
        "\u1B0C2",  # ;HENTAIGANA LETTER MA-1;Lo;0;L;;;;;N;;;;;
        "\u1B0C3",  # ;HENTAIGANA LETTER MA-2;Lo;0;L;;;;;N;;;;;
        "\u1B0C4",  # ;HENTAIGANA LETTER MA-3;Lo;0;L;;;;;N;;;;;
        "\u1B0C5",  # ;HENTAIGANA LETTER MA-4;Lo;0;L;;;;;N;;;;;
        "\u1B0C6",  # ;HENTAIGANA LETTER MA-5;Lo;0;L;;;;;N;;;;;
        "\u1B0C7",  # ;HENTAIGANA LETTER MA-6;Lo;0;L;;;;;N;;;;;
        "\u1B0C8",  # ;HENTAIGANA LETTER MA-7;Lo;0;L;;;;;N;;;;;
        "\u1B0C9",  # ;HENTAIGANA LETTER MI-1;Lo;0;L;;;;;N;;;;;
        "\u1B0CA",  # ;HENTAIGANA LETTER MI-2;Lo;0;L;;;;;N;;;;;
        "\u1B0CB",  # ;HENTAIGANA LETTER MI-3;Lo;0;L;;;;;N;;;;;
        "\u1B0CC",  # ;HENTAIGANA LETTER MI-4;Lo;0;L;;;;;N;;;;;
        "\u1B0CD",  # ;HENTAIGANA LETTER MI-5;Lo;0;L;;;;;N;;;;;
        "\u1B0CE",  # ;HENTAIGANA LETTER MI-6;Lo;0;L;;;;;N;;;;;
        "\u1B0CF",  # ;HENTAIGANA LETTER MI-7;Lo;0;L;;;;;N;;;;;
        "\u1B0D0",  # ;HENTAIGANA LETTER MU-1;Lo;0;L;;;;;N;;;;;
        "\u1B0D1",  # ;HENTAIGANA LETTER MU-2;Lo;0;L;;;;;N;;;;;
        "\u1B0D2",  # ;HENTAIGANA LETTER MU-3;Lo;0;L;;;;;N;;;;;
        "\u1B0D3",  # ;HENTAIGANA LETTER MU-4;Lo;0;L;;;;;N;;;;;
        "\u1B0D4",  # ;HENTAIGANA LETTER ME-1;Lo;0;L;;;;;N;;;;;
        "\u1B0D5",  # ;HENTAIGANA LETTER ME-2;Lo;0;L;;;;;N;;;;;
        "\u1B0D6",  # ;HENTAIGANA LETTER ME-MA;Lo;0;L;;;;;N;;;;;
        "\u1B0D7",  # ;HENTAIGANA LETTER MO-1;Lo;0;L;;;;;N;;;;;
        "\u1B0D8",  # ;HENTAIGANA LETTER MO-2;Lo;0;L;;;;;N;;;;;
        "\u1B0D9",  # ;HENTAIGANA LETTER MO-3;Lo;0;L;;;;;N;;;;;
        "\u1B0DA",  # ;HENTAIGANA LETTER MO-4;Lo;0;L;;;;;N;;;;;
        "\u1B0DB",  # ;HENTAIGANA LETTER MO-5;Lo;0;L;;;;;N;;;;;
        "\u1B0DC",  # ;HENTAIGANA LETTER MO-6;Lo;0;L;;;;;N;;;;;
        "\u1B0DD",  # ;HENTAIGANA LETTER YA-1;Lo;0;L;;;;;N;;;;;
        "\u1B0DE",  # ;HENTAIGANA LETTER YA-2;Lo;0;L;;;;;N;;;;;
        "\u1B0DF",  # ;HENTAIGANA LETTER YA-3;Lo;0;L;;;;;N;;;;;
        "\u1B0E0",  # ;HENTAIGANA LETTER YA-4;Lo;0;L;;;;;N;;;;;
        "\u1B0E1",  # ;HENTAIGANA LETTER YA-5;Lo;0;L;;;;;N;;;;;
        "\u1B0E2",  # ;HENTAIGANA LETTER YA-YO;Lo;0;L;;;;;N;;;;;
        "\u1B0E3",  # ;HENTAIGANA LETTER YU-1;Lo;0;L;;;;;N;;;;;
        "\u1B0E4",  # ;HENTAIGANA LETTER YU-2;Lo;0;L;;;;;N;;;;;
        "\u1B0E5",  # ;HENTAIGANA LETTER YU-3;Lo;0;L;;;;;N;;;;;
        "\u1B0E6",  # ;HENTAIGANA LETTER YU-4;Lo;0;L;;;;;N;;;;;
        "\u1B0E7",  # ;HENTAIGANA LETTER YO-1;Lo;0;L;;;;;N;;;;;
        "\u1B0E8",  # ;HENTAIGANA LETTER YO-2;Lo;0;L;;;;;N;;;;;
        "\u1B0E9",  # ;HENTAIGANA LETTER YO-3;Lo;0;L;;;;;N;;;;;
        "\u1B0EA",  # ;HENTAIGANA LETTER YO-4;Lo;0;L;;;;;N;;;;;
        "\u1B0EB",  # ;HENTAIGANA LETTER YO-5;Lo;0;L;;;;;N;;;;;
        "\u1B0EC",  # ;HENTAIGANA LETTER YO-6;Lo;0;L;;;;;N;;;;;
        "\u1B0ED",  # ;HENTAIGANA LETTER RA-1;Lo;0;L;;;;;N;;;;;
        "\u1B0EE",  # ;HENTAIGANA LETTER RA-2;Lo;0;L;;;;;N;;;;;
        "\u1B0EF",  # ;HENTAIGANA LETTER RA-3;Lo;0;L;;;;;N;;;;;
        "\u1B0F0",  # ;HENTAIGANA LETTER RA-4;Lo;0;L;;;;;N;;;;;
        "\u1B0F1",  # ;HENTAIGANA LETTER RI-1;Lo;0;L;;;;;N;;;;;
        "\u1B0F2",  # ;HENTAIGANA LETTER RI-2;Lo;0;L;;;;;N;;;;;
        "\u1B0F3",  # ;HENTAIGANA LETTER RI-3;Lo;0;L;;;;;N;;;;;
        "\u1B0F4",  # ;HENTAIGANA LETTER RI-4;Lo;0;L;;;;;N;;;;;
        "\u1B0F5",  # ;HENTAIGANA LETTER RI-5;Lo;0;L;;;;;N;;;;;
        "\u1B0F6",  # ;HENTAIGANA LETTER RI-6;Lo;0;L;;;;;N;;;;;
        "\u1B0F7",  # ;HENTAIGANA LETTER RI-7;Lo;0;L;;;;;N;;;;;
        "\u1B0F8",  # ;HENTAIGANA LETTER RU-1;Lo;0;L;;;;;N;;;;;
        "\u1B0F9",  # ;HENTAIGANA LETTER RU-2;Lo;0;L;;;;;N;;;;;
        "\u1B0FA",  # ;HENTAIGANA LETTER RU-3;Lo;0;L;;;;;N;;;;;
        "\u1B0FB",  # ;HENTAIGANA LETTER RU-4;Lo;0;L;;;;;N;;;;;
        "\u1B0FC",  # ;HENTAIGANA LETTER RU-5;Lo;0;L;;;;;N;;;;;
        "\u1B0FD",  # ;HENTAIGANA LETTER RU-6;Lo;0;L;;;;;N;;;;;
        "\u1B0FE",  # ;HENTAIGANA LETTER RE-1;Lo;0;L;;;;;N;;;;;
        "\u1B0FF",  # ;HENTAIGANA LETTER RE-2;Lo;0;L;;;;;N;;;;;
        "\u1B100",  # ;HENTAIGANA LETTER RE-3;Lo;0;L;;;;;N;;;;;
        "\u1B101",  # ;HENTAIGANA LETTER RE-4;Lo;0;L;;;;;N;;;;;
        "\u1B102",  # ;HENTAIGANA LETTER RO-1;Lo;0;L;;;;;N;;;;;
        "\u1B103",  # ;HENTAIGANA LETTER RO-2;Lo;0;L;;;;;N;;;;;
        "\u1B104",  # ;HENTAIGANA LETTER RO-3;Lo;0;L;;;;;N;;;;;
        "\u1B105",  # ;HENTAIGANA LETTER RO-4;Lo;0;L;;;;;N;;;;;
        "\u1B106",  # ;HENTAIGANA LETTER RO-5;Lo;0;L;;;;;N;;;;;
        "\u1B107",  # ;HENTAIGANA LETTER RO-6;Lo;0;L;;;;;N;;;;;
        "\u1B108",  # ;HENTAIGANA LETTER WA-1;Lo;0;L;;;;;N;;;;;
        "\u1B109",  # ;HENTAIGANA LETTER WA-2;Lo;0;L;;;;;N;;;;;
        "\u1B10A",  # ;HENTAIGANA LETTER WA-3;Lo;0;L;;;;;N;;;;;
        "\u1B10B",  # ;HENTAIGANA LETTER WA-4;Lo;0;L;;;;;N;;;;;
        "\u1B10C",  # ;HENTAIGANA LETTER WA-5;Lo;0;L;;;;;N;;;;;
        "\u1B10D",  # ;HENTAIGANA LETTER WI-1;Lo;0;L;;;;;N;;;;;
        "\u1B10E",  # ;HENTAIGANA LETTER WI-2;Lo;0;L;;;;;N;;;;;
        "\u1B10F",  # ;HENTAIGANA LETTER WI-3;Lo;0;L;;;;;N;;;;;
        "\u1B110",  # ;HENTAIGANA LETTER WI-4;Lo;0;L;;;;;N;;;;;
        "\u1B111",  # ;HENTAIGANA LETTER WI-5;Lo;0;L;;;;;N;;;;;
        "\u1B112",  # ;HENTAIGANA LETTER WE-1;Lo;0;L;;;;;N;;;;;
        "\u1B113",  # ;HENTAIGANA LETTER WE-2;Lo;0;L;;;;;N;;;;;
        "\u1B114",  # ;HENTAIGANA LETTER WE-3;Lo;0;L;;;;;N;;;;;
        "\u1B115",  # ;HENTAIGANA LETTER WE-4;Lo;0;L;;;;;N;;;;;
        "\u1B116",  # ;HENTAIGANA LETTER WO-1;Lo;0;L;;;;;N;;;;;
        "\u1B117",  # ;HENTAIGANA LETTER WO-2;Lo;0;L;;;;;N;;;;;
        "\u1B118",  # ;HENTAIGANA LETTER WO-3;Lo;0;L;;;;;N;;;;;
        "\u1B119",  # ;HENTAIGANA LETTER WO-4;Lo;0;L;;;;;N;;;;;
        "\u1B11A",  # ;HENTAIGANA LETTER WO-5;Lo;0;L;;;;;N;;;;;
        "\u1B11B",  # ;HENTAIGANA LETTER WO-6;Lo;0;L;;;;;N;;;;;
        "\u1B11C",  # ;HENTAIGANA LETTER WO-7;Lo;0;L;;;;;N;;;;;
        "\u1B11D",  # ;HENTAIGANA LETTER N-MU-MO-1;Lo;0;L;;;;;N;;;;;
        "\u1B11E",  # ;HENTAIGANA LETTER N-MU-MO-2;Lo;0;L;;;;;N;;;;;
        "\u1B170",  # ;NUSHU CHARACTER-1B170;Lo;0;L;;;;;N;;;;;
        "\u1B171",  # ;NUSHU CHARACTER-1B171;Lo;0;L;;;;;N;;;;;
        "\u1B172",  # ;NUSHU CHARACTER-1B172;Lo;0;L;;;;;N;;;;;
        "\u1B173",  # ;NUSHU CHARACTER-1B173;Lo;0;L;;;;;N;;;;;
        "\u1B174",  # ;NUSHU CHARACTER-1B174;Lo;0;L;;;;;N;;;;;
        "\u1B175",  # ;NUSHU CHARACTER-1B175;Lo;0;L;;;;;N;;;;;
        "\u1B176",  # ;NUSHU CHARACTER-1B176;Lo;0;L;;;;;N;;;;;
        "\u1B177",  # ;NUSHU CHARACTER-1B177;Lo;0;L;;;;;N;;;;;
        "\u1B178",  # ;NUSHU CHARACTER-1B178;Lo;0;L;;;;;N;;;;;
        "\u1B179",  # ;NUSHU CHARACTER-1B179;Lo;0;L;;;;;N;;;;;
        "\u1B17A",  # ;NUSHU CHARACTER-1B17A;Lo;0;L;;;;;N;;;;;
        "\u1B17B",  # ;NUSHU CHARACTER-1B17B;Lo;0;L;;;;;N;;;;;
        "\u1B17C",  # ;NUSHU CHARACTER-1B17C;Lo;0;L;;;;;N;;;;;
        "\u1B17D",  # ;NUSHU CHARACTER-1B17D;Lo;0;L;;;;;N;;;;;
        "\u1B17E",  # ;NUSHU CHARACTER-1B17E;Lo;0;L;;;;;N;;;;;
        "\u1B17F",  # ;NUSHU CHARACTER-1B17F;Lo;0;L;;;;;N;;;;;
        "\u1B180",  # ;NUSHU CHARACTER-1B180;Lo;0;L;;;;;N;;;;;
        "\u1B181",  # ;NUSHU CHARACTER-1B181;Lo;0;L;;;;;N;;;;;
        "\u1B182",  # ;NUSHU CHARACTER-1B182;Lo;0;L;;;;;N;;;;;
        "\u1B183",  # ;NUSHU CHARACTER-1B183;Lo;0;L;;;;;N;;;;;
        "\u1B184",  # ;NUSHU CHARACTER-1B184;Lo;0;L;;;;;N;;;;;
        "\u1B185",  # ;NUSHU CHARACTER-1B185;Lo;0;L;;;;;N;;;;;
        "\u1B186",  # ;NUSHU CHARACTER-1B186;Lo;0;L;;;;;N;;;;;
        "\u1B187",  # ;NUSHU CHARACTER-1B187;Lo;0;L;;;;;N;;;;;
        "\u1B188",  # ;NUSHU CHARACTER-1B188;Lo;0;L;;;;;N;;;;;
        "\u1B189",  # ;NUSHU CHARACTER-1B189;Lo;0;L;;;;;N;;;;;
        "\u1B18A",  # ;NUSHU CHARACTER-1B18A;Lo;0;L;;;;;N;;;;;
        "\u1B18B",  # ;NUSHU CHARACTER-1B18B;Lo;0;L;;;;;N;;;;;
        "\u1B18C",  # ;NUSHU CHARACTER-1B18C;Lo;0;L;;;;;N;;;;;
        "\u1B18D",  # ;NUSHU CHARACTER-1B18D;Lo;0;L;;;;;N;;;;;
        "\u1B18E",  # ;NUSHU CHARACTER-1B18E;Lo;0;L;;;;;N;;;;;
        "\u1B18F",  # ;NUSHU CHARACTER-1B18F;Lo;0;L;;;;;N;;;;;
        "\u1B190",  # ;NUSHU CHARACTER-1B190;Lo;0;L;;;;;N;;;;;
        "\u1B191",  # ;NUSHU CHARACTER-1B191;Lo;0;L;;;;;N;;;;;
        "\u1B192",  # ;NUSHU CHARACTER-1B192;Lo;0;L;;;;;N;;;;;
        "\u1B193",  # ;NUSHU CHARACTER-1B193;Lo;0;L;;;;;N;;;;;
        "\u1B194",  # ;NUSHU CHARACTER-1B194;Lo;0;L;;;;;N;;;;;
        "\u1B195",  # ;NUSHU CHARACTER-1B195;Lo;0;L;;;;;N;;;;;
        "\u1B196",  # ;NUSHU CHARACTER-1B196;Lo;0;L;;;;;N;;;;;
        "\u1B197",  # ;NUSHU CHARACTER-1B197;Lo;0;L;;;;;N;;;;;
        "\u1B198",  # ;NUSHU CHARACTER-1B198;Lo;0;L;;;;;N;;;;;
        "\u1B199",  # ;NUSHU CHARACTER-1B199;Lo;0;L;;;;;N;;;;;
        "\u1B19A",  # ;NUSHU CHARACTER-1B19A;Lo;0;L;;;;;N;;;;;
        "\u1B19B",  # ;NUSHU CHARACTER-1B19B;Lo;0;L;;;;;N;;;;;
        "\u1B19C",  # ;NUSHU CHARACTER-1B19C;Lo;0;L;;;;;N;;;;;
        "\u1B19D",  # ;NUSHU CHARACTER-1B19D;Lo;0;L;;;;;N;;;;;
        "\u1B19E",  # ;NUSHU CHARACTER-1B19E;Lo;0;L;;;;;N;;;;;
        "\u1B19F",  # ;NUSHU CHARACTER-1B19F;Lo;0;L;;;;;N;;;;;
        "\u1B1A0",  # ;NUSHU CHARACTER-1B1A0;Lo;0;L;;;;;N;;;;;
        "\u1B1A1",  # ;NUSHU CHARACTER-1B1A1;Lo;0;L;;;;;N;;;;;
        "\u1B1A2",  # ;NUSHU CHARACTER-1B1A2;Lo;0;L;;;;;N;;;;;
        "\u1B1A3",  # ;NUSHU CHARACTER-1B1A3;Lo;0;L;;;;;N;;;;;
        "\u1B1A4",  # ;NUSHU CHARACTER-1B1A4;Lo;0;L;;;;;N;;;;;
        "\u1B1A5",  # ;NUSHU CHARACTER-1B1A5;Lo;0;L;;;;;N;;;;;
        "\u1B1A6",  # ;NUSHU CHARACTER-1B1A6;Lo;0;L;;;;;N;;;;;
        "\u1B1A7",  # ;NUSHU CHARACTER-1B1A7;Lo;0;L;;;;;N;;;;;
        "\u1B1A8",  # ;NUSHU CHARACTER-1B1A8;Lo;0;L;;;;;N;;;;;
        "\u1B1A9",  # ;NUSHU CHARACTER-1B1A9;Lo;0;L;;;;;N;;;;;
        "\u1B1AA",  # ;NUSHU CHARACTER-1B1AA;Lo;0;L;;;;;N;;;;;
        "\u1B1AB",  # ;NUSHU CHARACTER-1B1AB;Lo;0;L;;;;;N;;;;;
        "\u1B1AC",  # ;NUSHU CHARACTER-1B1AC;Lo;0;L;;;;;N;;;;;
        "\u1B1AD",  # ;NUSHU CHARACTER-1B1AD;Lo;0;L;;;;;N;;;;;
        "\u1B1AE",  # ;NUSHU CHARACTER-1B1AE;Lo;0;L;;;;;N;;;;;
        "\u1B1AF",  # ;NUSHU CHARACTER-1B1AF;Lo;0;L;;;;;N;;;;;
        "\u1B1B0",  # ;NUSHU CHARACTER-1B1B0;Lo;0;L;;;;;N;;;;;
        "\u1B1B1",  # ;NUSHU CHARACTER-1B1B1;Lo;0;L;;;;;N;;;;;
        "\u1B1B2",  # ;NUSHU CHARACTER-1B1B2;Lo;0;L;;;;;N;;;;;
        "\u1B1B3",  # ;NUSHU CHARACTER-1B1B3;Lo;0;L;;;;;N;;;;;
        "\u1B1B4",  # ;NUSHU CHARACTER-1B1B4;Lo;0;L;;;;;N;;;;;
        "\u1B1B5",  # ;NUSHU CHARACTER-1B1B5;Lo;0;L;;;;;N;;;;;
        "\u1B1B6",  # ;NUSHU CHARACTER-1B1B6;Lo;0;L;;;;;N;;;;;
        "\u1B1B7",  # ;NUSHU CHARACTER-1B1B7;Lo;0;L;;;;;N;;;;;
        "\u1B1B8",  # ;NUSHU CHARACTER-1B1B8;Lo;0;L;;;;;N;;;;;
        "\u1B1B9",  # ;NUSHU CHARACTER-1B1B9;Lo;0;L;;;;;N;;;;;
        "\u1B1BA",  # ;NUSHU CHARACTER-1B1BA;Lo;0;L;;;;;N;;;;;
        "\u1B1BB",  # ;NUSHU CHARACTER-1B1BB;Lo;0;L;;;;;N;;;;;
        "\u1B1BC",  # ;NUSHU CHARACTER-1B1BC;Lo;0;L;;;;;N;;;;;
        "\u1B1BD",  # ;NUSHU CHARACTER-1B1BD;Lo;0;L;;;;;N;;;;;
        "\u1B1BE",  # ;NUSHU CHARACTER-1B1BE;Lo;0;L;;;;;N;;;;;
        "\u1B1BF",  # ;NUSHU CHARACTER-1B1BF;Lo;0;L;;;;;N;;;;;
        "\u1B1C0",  # ;NUSHU CHARACTER-1B1C0;Lo;0;L;;;;;N;;;;;
        "\u1B1C1",  # ;NUSHU CHARACTER-1B1C1;Lo;0;L;;;;;N;;;;;
        "\u1B1C2",  # ;NUSHU CHARACTER-1B1C2;Lo;0;L;;;;;N;;;;;
        "\u1B1C3",  # ;NUSHU CHARACTER-1B1C3;Lo;0;L;;;;;N;;;;;
        "\u1B1C4",  # ;NUSHU CHARACTER-1B1C4;Lo;0;L;;;;;N;;;;;
        "\u1B1C5",  # ;NUSHU CHARACTER-1B1C5;Lo;0;L;;;;;N;;;;;
        "\u1B1C6",  # ;NUSHU CHARACTER-1B1C6;Lo;0;L;;;;;N;;;;;
        "\u1B1C7",  # ;NUSHU CHARACTER-1B1C7;Lo;0;L;;;;;N;;;;;
        "\u1B1C8",  # ;NUSHU CHARACTER-1B1C8;Lo;0;L;;;;;N;;;;;
        "\u1B1C9",  # ;NUSHU CHARACTER-1B1C9;Lo;0;L;;;;;N;;;;;
        "\u1B1CA",  # ;NUSHU CHARACTER-1B1CA;Lo;0;L;;;;;N;;;;;
        "\u1B1CB",  # ;NUSHU CHARACTER-1B1CB;Lo;0;L;;;;;N;;;;;
        "\u1B1CC",  # ;NUSHU CHARACTER-1B1CC;Lo;0;L;;;;;N;;;;;
        "\u1B1CD",  # ;NUSHU CHARACTER-1B1CD;Lo;0;L;;;;;N;;;;;
        "\u1B1CE",  # ;NUSHU CHARACTER-1B1CE;Lo;0;L;;;;;N;;;;;
        "\u1B1CF",  # ;NUSHU CHARACTER-1B1CF;Lo;0;L;;;;;N;;;;;
        "\u1B1D0",  # ;NUSHU CHARACTER-1B1D0;Lo;0;L;;;;;N;;;;;
        "\u1B1D1",  # ;NUSHU CHARACTER-1B1D1;Lo;0;L;;;;;N;;;;;
        "\u1B1D2",  # ;NUSHU CHARACTER-1B1D2;Lo;0;L;;;;;N;;;;;
        "\u1B1D3",  # ;NUSHU CHARACTER-1B1D3;Lo;0;L;;;;;N;;;;;
        "\u1B1D4",  # ;NUSHU CHARACTER-1B1D4;Lo;0;L;;;;;N;;;;;
        "\u1B1D5",  # ;NUSHU CHARACTER-1B1D5;Lo;0;L;;;;;N;;;;;
        "\u1B1D6",  # ;NUSHU CHARACTER-1B1D6;Lo;0;L;;;;;N;;;;;
        "\u1B1D7",  # ;NUSHU CHARACTER-1B1D7;Lo;0;L;;;;;N;;;;;
        "\u1B1D8",  # ;NUSHU CHARACTER-1B1D8;Lo;0;L;;;;;N;;;;;
        "\u1B1D9",  # ;NUSHU CHARACTER-1B1D9;Lo;0;L;;;;;N;;;;;
        "\u1B1DA",  # ;NUSHU CHARACTER-1B1DA;Lo;0;L;;;;;N;;;;;
        "\u1B1DB",  # ;NUSHU CHARACTER-1B1DB;Lo;0;L;;;;;N;;;;;
        "\u1B1DC",  # ;NUSHU CHARACTER-1B1DC;Lo;0;L;;;;;N;;;;;
        "\u1B1DD",  # ;NUSHU CHARACTER-1B1DD;Lo;0;L;;;;;N;;;;;
        "\u1B1DE",  # ;NUSHU CHARACTER-1B1DE;Lo;0;L;;;;;N;;;;;
        "\u1B1DF",  # ;NUSHU CHARACTER-1B1DF;Lo;0;L;;;;;N;;;;;
        "\u1B1E0",  # ;NUSHU CHARACTER-1B1E0;Lo;0;L;;;;;N;;;;;
        "\u1B1E1",  # ;NUSHU CHARACTER-1B1E1;Lo;0;L;;;;;N;;;;;
        "\u1B1E2",  # ;NUSHU CHARACTER-1B1E2;Lo;0;L;;;;;N;;;;;
        "\u1B1E3",  # ;NUSHU CHARACTER-1B1E3;Lo;0;L;;;;;N;;;;;
        "\u1B1E4",  # ;NUSHU CHARACTER-1B1E4;Lo;0;L;;;;;N;;;;;
        "\u1B1E5",  # ;NUSHU CHARACTER-1B1E5;Lo;0;L;;;;;N;;;;;
        "\u1B1E6",  # ;NUSHU CHARACTER-1B1E6;Lo;0;L;;;;;N;;;;;
        "\u1B1E7",  # ;NUSHU CHARACTER-1B1E7;Lo;0;L;;;;;N;;;;;
        "\u1B1E8",  # ;NUSHU CHARACTER-1B1E8;Lo;0;L;;;;;N;;;;;
        "\u1B1E9",  # ;NUSHU CHARACTER-1B1E9;Lo;0;L;;;;;N;;;;;
        "\u1B1EA",  # ;NUSHU CHARACTER-1B1EA;Lo;0;L;;;;;N;;;;;
        "\u1B1EB",  # ;NUSHU CHARACTER-1B1EB;Lo;0;L;;;;;N;;;;;
        "\u1B1EC",  # ;NUSHU CHARACTER-1B1EC;Lo;0;L;;;;;N;;;;;
        "\u1B1ED",  # ;NUSHU CHARACTER-1B1ED;Lo;0;L;;;;;N;;;;;
        "\u1B1EE",  # ;NUSHU CHARACTER-1B1EE;Lo;0;L;;;;;N;;;;;
        "\u1B1EF",  # ;NUSHU CHARACTER-1B1EF;Lo;0;L;;;;;N;;;;;
        "\u1B1F0",  # ;NUSHU CHARACTER-1B1F0;Lo;0;L;;;;;N;;;;;
        "\u1B1F1",  # ;NUSHU CHARACTER-1B1F1;Lo;0;L;;;;;N;;;;;
        "\u1B1F2",  # ;NUSHU CHARACTER-1B1F2;Lo;0;L;;;;;N;;;;;
        "\u1B1F3",  # ;NUSHU CHARACTER-1B1F3;Lo;0;L;;;;;N;;;;;
        "\u1B1F4",  # ;NUSHU CHARACTER-1B1F4;Lo;0;L;;;;;N;;;;;
        "\u1B1F5",  # ;NUSHU CHARACTER-1B1F5;Lo;0;L;;;;;N;;;;;
        "\u1B1F6",  # ;NUSHU CHARACTER-1B1F6;Lo;0;L;;;;;N;;;;;
        "\u1B1F7",  # ;NUSHU CHARACTER-1B1F7;Lo;0;L;;;;;N;;;;;
        "\u1B1F8",  # ;NUSHU CHARACTER-1B1F8;Lo;0;L;;;;;N;;;;;
        "\u1B1F9",  # ;NUSHU CHARACTER-1B1F9;Lo;0;L;;;;;N;;;;;
        "\u1B1FA",  # ;NUSHU CHARACTER-1B1FA;Lo;0;L;;;;;N;;;;;
        "\u1B1FB",  # ;NUSHU CHARACTER-1B1FB;Lo;0;L;;;;;N;;;;;
        "\u1B1FC",  # ;NUSHU CHARACTER-1B1FC;Lo;0;L;;;;;N;;;;;
        "\u1B1FD",  # ;NUSHU CHARACTER-1B1FD;Lo;0;L;;;;;N;;;;;
        "\u1B1FE",  # ;NUSHU CHARACTER-1B1FE;Lo;0;L;;;;;N;;;;;
        "\u1B1FF",  # ;NUSHU CHARACTER-1B1FF;Lo;0;L;;;;;N;;;;;
        "\u1B200",  # ;NUSHU CHARACTER-1B200;Lo;0;L;;;;;N;;;;;
        "\u1B201",  # ;NUSHU CHARACTER-1B201;Lo;0;L;;;;;N;;;;;
        "\u1B202",  # ;NUSHU CHARACTER-1B202;Lo;0;L;;;;;N;;;;;
        "\u1B203",  # ;NUSHU CHARACTER-1B203;Lo;0;L;;;;;N;;;;;
        "\u1B204",  # ;NUSHU CHARACTER-1B204;Lo;0;L;;;;;N;;;;;
        "\u1B205",  # ;NUSHU CHARACTER-1B205;Lo;0;L;;;;;N;;;;;
        "\u1B206",  # ;NUSHU CHARACTER-1B206;Lo;0;L;;;;;N;;;;;
        "\u1B207",  # ;NUSHU CHARACTER-1B207;Lo;0;L;;;;;N;;;;;
        "\u1B208",  # ;NUSHU CHARACTER-1B208;Lo;0;L;;;;;N;;;;;
        "\u1B209",  # ;NUSHU CHARACTER-1B209;Lo;0;L;;;;;N;;;;;
        "\u1B20A",  # ;NUSHU CHARACTER-1B20A;Lo;0;L;;;;;N;;;;;
        "\u1B20B",  # ;NUSHU CHARACTER-1B20B;Lo;0;L;;;;;N;;;;;
        "\u1B20C",  # ;NUSHU CHARACTER-1B20C;Lo;0;L;;;;;N;;;;;
        "\u1B20D",  # ;NUSHU CHARACTER-1B20D;Lo;0;L;;;;;N;;;;;
        "\u1B20E",  # ;NUSHU CHARACTER-1B20E;Lo;0;L;;;;;N;;;;;
        "\u1B20F",  # ;NUSHU CHARACTER-1B20F;Lo;0;L;;;;;N;;;;;
        "\u1B210",  # ;NUSHU CHARACTER-1B210;Lo;0;L;;;;;N;;;;;
        "\u1B211",  # ;NUSHU CHARACTER-1B211;Lo;0;L;;;;;N;;;;;
        "\u1B212",  # ;NUSHU CHARACTER-1B212;Lo;0;L;;;;;N;;;;;
        "\u1B213",  # ;NUSHU CHARACTER-1B213;Lo;0;L;;;;;N;;;;;
        "\u1B214",  # ;NUSHU CHARACTER-1B214;Lo;0;L;;;;;N;;;;;
        "\u1B215",  # ;NUSHU CHARACTER-1B215;Lo;0;L;;;;;N;;;;;
        "\u1B216",  # ;NUSHU CHARACTER-1B216;Lo;0;L;;;;;N;;;;;
        "\u1B217",  # ;NUSHU CHARACTER-1B217;Lo;0;L;;;;;N;;;;;
        "\u1B218",  # ;NUSHU CHARACTER-1B218;Lo;0;L;;;;;N;;;;;
        "\u1B219",  # ;NUSHU CHARACTER-1B219;Lo;0;L;;;;;N;;;;;
        "\u1B21A",  # ;NUSHU CHARACTER-1B21A;Lo;0;L;;;;;N;;;;;
        "\u1B21B",  # ;NUSHU CHARACTER-1B21B;Lo;0;L;;;;;N;;;;;
        "\u1B21C",  # ;NUSHU CHARACTER-1B21C;Lo;0;L;;;;;N;;;;;
        "\u1B21D",  # ;NUSHU CHARACTER-1B21D;Lo;0;L;;;;;N;;;;;
        "\u1B21E",  # ;NUSHU CHARACTER-1B21E;Lo;0;L;;;;;N;;;;;
        "\u1B21F",  # ;NUSHU CHARACTER-1B21F;Lo;0;L;;;;;N;;;;;
        "\u1B220",  # ;NUSHU CHARACTER-1B220;Lo;0;L;;;;;N;;;;;
        "\u1B221",  # ;NUSHU CHARACTER-1B221;Lo;0;L;;;;;N;;;;;
        "\u1B222",  # ;NUSHU CHARACTER-1B222;Lo;0;L;;;;;N;;;;;
        "\u1B223",  # ;NUSHU CHARACTER-1B223;Lo;0;L;;;;;N;;;;;
        "\u1B224",  # ;NUSHU CHARACTER-1B224;Lo;0;L;;;;;N;;;;;
        "\u1B225",  # ;NUSHU CHARACTER-1B225;Lo;0;L;;;;;N;;;;;
        "\u1B226",  # ;NUSHU CHARACTER-1B226;Lo;0;L;;;;;N;;;;;
        "\u1B227",  # ;NUSHU CHARACTER-1B227;Lo;0;L;;;;;N;;;;;
        "\u1B228",  # ;NUSHU CHARACTER-1B228;Lo;0;L;;;;;N;;;;;
        "\u1B229",  # ;NUSHU CHARACTER-1B229;Lo;0;L;;;;;N;;;;;
        "\u1B22A",  # ;NUSHU CHARACTER-1B22A;Lo;0;L;;;;;N;;;;;
        "\u1B22B",  # ;NUSHU CHARACTER-1B22B;Lo;0;L;;;;;N;;;;;
        "\u1B22C",  # ;NUSHU CHARACTER-1B22C;Lo;0;L;;;;;N;;;;;
        "\u1B22D",  # ;NUSHU CHARACTER-1B22D;Lo;0;L;;;;;N;;;;;
        "\u1B22E",  # ;NUSHU CHARACTER-1B22E;Lo;0;L;;;;;N;;;;;
        "\u1B22F",  # ;NUSHU CHARACTER-1B22F;Lo;0;L;;;;;N;;;;;
        "\u1B230",  # ;NUSHU CHARACTER-1B230;Lo;0;L;;;;;N;;;;;
        "\u1B231",  # ;NUSHU CHARACTER-1B231;Lo;0;L;;;;;N;;;;;
        "\u1B232",  # ;NUSHU CHARACTER-1B232;Lo;0;L;;;;;N;;;;;
        "\u1B233",  # ;NUSHU CHARACTER-1B233;Lo;0;L;;;;;N;;;;;
        "\u1B234",  # ;NUSHU CHARACTER-1B234;Lo;0;L;;;;;N;;;;;
        "\u1B235",  # ;NUSHU CHARACTER-1B235;Lo;0;L;;;;;N;;;;;
        "\u1B236",  # ;NUSHU CHARACTER-1B236;Lo;0;L;;;;;N;;;;;
        "\u1B237",  # ;NUSHU CHARACTER-1B237;Lo;0;L;;;;;N;;;;;
        "\u1B238",  # ;NUSHU CHARACTER-1B238;Lo;0;L;;;;;N;;;;;
        "\u1B239",  # ;NUSHU CHARACTER-1B239;Lo;0;L;;;;;N;;;;;
        "\u1B23A",  # ;NUSHU CHARACTER-1B23A;Lo;0;L;;;;;N;;;;;
        "\u1B23B",  # ;NUSHU CHARACTER-1B23B;Lo;0;L;;;;;N;;;;;
        "\u1B23C",  # ;NUSHU CHARACTER-1B23C;Lo;0;L;;;;;N;;;;;
        "\u1B23D",  # ;NUSHU CHARACTER-1B23D;Lo;0;L;;;;;N;;;;;
        "\u1B23E",  # ;NUSHU CHARACTER-1B23E;Lo;0;L;;;;;N;;;;;
        "\u1B23F",  # ;NUSHU CHARACTER-1B23F;Lo;0;L;;;;;N;;;;;
        "\u1B240",  # ;NUSHU CHARACTER-1B240;Lo;0;L;;;;;N;;;;;
        "\u1B241",  # ;NUSHU CHARACTER-1B241;Lo;0;L;;;;;N;;;;;
        "\u1B242",  # ;NUSHU CHARACTER-1B242;Lo;0;L;;;;;N;;;;;
        "\u1B243",  # ;NUSHU CHARACTER-1B243;Lo;0;L;;;;;N;;;;;
        "\u1B244",  # ;NUSHU CHARACTER-1B244;Lo;0;L;;;;;N;;;;;
        "\u1B245",  # ;NUSHU CHARACTER-1B245;Lo;0;L;;;;;N;;;;;
        "\u1B246",  # ;NUSHU CHARACTER-1B246;Lo;0;L;;;;;N;;;;;
        "\u1B247",  # ;NUSHU CHARACTER-1B247;Lo;0;L;;;;;N;;;;;
        "\u1B248",  # ;NUSHU CHARACTER-1B248;Lo;0;L;;;;;N;;;;;
        "\u1B249",  # ;NUSHU CHARACTER-1B249;Lo;0;L;;;;;N;;;;;
        "\u1B24A",  # ;NUSHU CHARACTER-1B24A;Lo;0;L;;;;;N;;;;;
        "\u1B24B",  # ;NUSHU CHARACTER-1B24B;Lo;0;L;;;;;N;;;;;
        "\u1B24C",  # ;NUSHU CHARACTER-1B24C;Lo;0;L;;;;;N;;;;;
        "\u1B24D",  # ;NUSHU CHARACTER-1B24D;Lo;0;L;;;;;N;;;;;
        "\u1B24E",  # ;NUSHU CHARACTER-1B24E;Lo;0;L;;;;;N;;;;;
        "\u1B24F",  # ;NUSHU CHARACTER-1B24F;Lo;0;L;;;;;N;;;;;
        "\u1B250",  # ;NUSHU CHARACTER-1B250;Lo;0;L;;;;;N;;;;;
        "\u1B251",  # ;NUSHU CHARACTER-1B251;Lo;0;L;;;;;N;;;;;
        "\u1B252",  # ;NUSHU CHARACTER-1B252;Lo;0;L;;;;;N;;;;;
        "\u1B253",  # ;NUSHU CHARACTER-1B253;Lo;0;L;;;;;N;;;;;
        "\u1B254",  # ;NUSHU CHARACTER-1B254;Lo;0;L;;;;;N;;;;;
        "\u1B255",  # ;NUSHU CHARACTER-1B255;Lo;0;L;;;;;N;;;;;
        "\u1B256",  # ;NUSHU CHARACTER-1B256;Lo;0;L;;;;;N;;;;;
        "\u1B257",  # ;NUSHU CHARACTER-1B257;Lo;0;L;;;;;N;;;;;
        "\u1B258",  # ;NUSHU CHARACTER-1B258;Lo;0;L;;;;;N;;;;;
        "\u1B259",  # ;NUSHU CHARACTER-1B259;Lo;0;L;;;;;N;;;;;
        "\u1B25A",  # ;NUSHU CHARACTER-1B25A;Lo;0;L;;;;;N;;;;;
        "\u1B25B",  # ;NUSHU CHARACTER-1B25B;Lo;0;L;;;;;N;;;;;
        "\u1B25C",  # ;NUSHU CHARACTER-1B25C;Lo;0;L;;;;;N;;;;;
        "\u1B25D",  # ;NUSHU CHARACTER-1B25D;Lo;0;L;;;;;N;;;;;
        "\u1B25E",  # ;NUSHU CHARACTER-1B25E;Lo;0;L;;;;;N;;;;;
        "\u1B25F",  # ;NUSHU CHARACTER-1B25F;Lo;0;L;;;;;N;;;;;
        "\u1B260",  # ;NUSHU CHARACTER-1B260;Lo;0;L;;;;;N;;;;;
        "\u1B261",  # ;NUSHU CHARACTER-1B261;Lo;0;L;;;;;N;;;;;
        "\u1B262",  # ;NUSHU CHARACTER-1B262;Lo;0;L;;;;;N;;;;;
        "\u1B263",  # ;NUSHU CHARACTER-1B263;Lo;0;L;;;;;N;;;;;
        "\u1B264",  # ;NUSHU CHARACTER-1B264;Lo;0;L;;;;;N;;;;;
        "\u1B265",  # ;NUSHU CHARACTER-1B265;Lo;0;L;;;;;N;;;;;
        "\u1B266",  # ;NUSHU CHARACTER-1B266;Lo;0;L;;;;;N;;;;;
        "\u1B267",  # ;NUSHU CHARACTER-1B267;Lo;0;L;;;;;N;;;;;
        "\u1B268",  # ;NUSHU CHARACTER-1B268;Lo;0;L;;;;;N;;;;;
        "\u1B269",  # ;NUSHU CHARACTER-1B269;Lo;0;L;;;;;N;;;;;
        "\u1B26A",  # ;NUSHU CHARACTER-1B26A;Lo;0;L;;;;;N;;;;;
        "\u1B26B",  # ;NUSHU CHARACTER-1B26B;Lo;0;L;;;;;N;;;;;
        "\u1B26C",  # ;NUSHU CHARACTER-1B26C;Lo;0;L;;;;;N;;;;;
        "\u1B26D",  # ;NUSHU CHARACTER-1B26D;Lo;0;L;;;;;N;;;;;
        "\u1B26E",  # ;NUSHU CHARACTER-1B26E;Lo;0;L;;;;;N;;;;;
        "\u1B26F",  # ;NUSHU CHARACTER-1B26F;Lo;0;L;;;;;N;;;;;
        "\u1B270",  # ;NUSHU CHARACTER-1B270;Lo;0;L;;;;;N;;;;;
        "\u1B271",  # ;NUSHU CHARACTER-1B271;Lo;0;L;;;;;N;;;;;
        "\u1B272",  # ;NUSHU CHARACTER-1B272;Lo;0;L;;;;;N;;;;;
        "\u1B273",  # ;NUSHU CHARACTER-1B273;Lo;0;L;;;;;N;;;;;
        "\u1B274",  # ;NUSHU CHARACTER-1B274;Lo;0;L;;;;;N;;;;;
        "\u1B275",  # ;NUSHU CHARACTER-1B275;Lo;0;L;;;;;N;;;;;
        "\u1B276",  # ;NUSHU CHARACTER-1B276;Lo;0;L;;;;;N;;;;;
        "\u1B277",  # ;NUSHU CHARACTER-1B277;Lo;0;L;;;;;N;;;;;
        "\u1B278",  # ;NUSHU CHARACTER-1B278;Lo;0;L;;;;;N;;;;;
        "\u1B279",  # ;NUSHU CHARACTER-1B279;Lo;0;L;;;;;N;;;;;
        "\u1B27A",  # ;NUSHU CHARACTER-1B27A;Lo;0;L;;;;;N;;;;;
        "\u1B27B",  # ;NUSHU CHARACTER-1B27B;Lo;0;L;;;;;N;;;;;
        "\u1B27C",  # ;NUSHU CHARACTER-1B27C;Lo;0;L;;;;;N;;;;;
        "\u1B27D",  # ;NUSHU CHARACTER-1B27D;Lo;0;L;;;;;N;;;;;
        "\u1B27E",  # ;NUSHU CHARACTER-1B27E;Lo;0;L;;;;;N;;;;;
        "\u1B27F",  # ;NUSHU CHARACTER-1B27F;Lo;0;L;;;;;N;;;;;
        "\u1B280",  # ;NUSHU CHARACTER-1B280;Lo;0;L;;;;;N;;;;;
        "\u1B281",  # ;NUSHU CHARACTER-1B281;Lo;0;L;;;;;N;;;;;
        "\u1B282",  # ;NUSHU CHARACTER-1B282;Lo;0;L;;;;;N;;;;;
        "\u1B283",  # ;NUSHU CHARACTER-1B283;Lo;0;L;;;;;N;;;;;
        "\u1B284",  # ;NUSHU CHARACTER-1B284;Lo;0;L;;;;;N;;;;;
        "\u1B285",  # ;NUSHU CHARACTER-1B285;Lo;0;L;;;;;N;;;;;
        "\u1B286",  # ;NUSHU CHARACTER-1B286;Lo;0;L;;;;;N;;;;;
        "\u1B287",  # ;NUSHU CHARACTER-1B287;Lo;0;L;;;;;N;;;;;
        "\u1B288",  # ;NUSHU CHARACTER-1B288;Lo;0;L;;;;;N;;;;;
        "\u1B289",  # ;NUSHU CHARACTER-1B289;Lo;0;L;;;;;N;;;;;
        "\u1B28A",  # ;NUSHU CHARACTER-1B28A;Lo;0;L;;;;;N;;;;;
        "\u1B28B",  # ;NUSHU CHARACTER-1B28B;Lo;0;L;;;;;N;;;;;
        "\u1B28C",  # ;NUSHU CHARACTER-1B28C;Lo;0;L;;;;;N;;;;;
        "\u1B28D",  # ;NUSHU CHARACTER-1B28D;Lo;0;L;;;;;N;;;;;
        "\u1B28E",  # ;NUSHU CHARACTER-1B28E;Lo;0;L;;;;;N;;;;;
        "\u1B28F",  # ;NUSHU CHARACTER-1B28F;Lo;0;L;;;;;N;;;;;
        "\u1B290",  # ;NUSHU CHARACTER-1B290;Lo;0;L;;;;;N;;;;;
        "\u1B291",  # ;NUSHU CHARACTER-1B291;Lo;0;L;;;;;N;;;;;
        "\u1B292",  # ;NUSHU CHARACTER-1B292;Lo;0;L;;;;;N;;;;;
        "\u1B293",  # ;NUSHU CHARACTER-1B293;Lo;0;L;;;;;N;;;;;
        "\u1B294",  # ;NUSHU CHARACTER-1B294;Lo;0;L;;;;;N;;;;;
        "\u1B295",  # ;NUSHU CHARACTER-1B295;Lo;0;L;;;;;N;;;;;
        "\u1B296",  # ;NUSHU CHARACTER-1B296;Lo;0;L;;;;;N;;;;;
        "\u1B297",  # ;NUSHU CHARACTER-1B297;Lo;0;L;;;;;N;;;;;
        "\u1B298",  # ;NUSHU CHARACTER-1B298;Lo;0;L;;;;;N;;;;;
        "\u1B299",  # ;NUSHU CHARACTER-1B299;Lo;0;L;;;;;N;;;;;
        "\u1B29A",  # ;NUSHU CHARACTER-1B29A;Lo;0;L;;;;;N;;;;;
        "\u1B29B",  # ;NUSHU CHARACTER-1B29B;Lo;0;L;;;;;N;;;;;
        "\u1B29C",  # ;NUSHU CHARACTER-1B29C;Lo;0;L;;;;;N;;;;;
        "\u1B29D",  # ;NUSHU CHARACTER-1B29D;Lo;0;L;;;;;N;;;;;
        "\u1B29E",  # ;NUSHU CHARACTER-1B29E;Lo;0;L;;;;;N;;;;;
        "\u1B29F",  # ;NUSHU CHARACTER-1B29F;Lo;0;L;;;;;N;;;;;
        "\u1B2A0",  # ;NUSHU CHARACTER-1B2A0;Lo;0;L;;;;;N;;;;;
        "\u1B2A1",  # ;NUSHU CHARACTER-1B2A1;Lo;0;L;;;;;N;;;;;
        "\u1B2A2",  # ;NUSHU CHARACTER-1B2A2;Lo;0;L;;;;;N;;;;;
        "\u1B2A3",  # ;NUSHU CHARACTER-1B2A3;Lo;0;L;;;;;N;;;;;
        "\u1B2A4",  # ;NUSHU CHARACTER-1B2A4;Lo;0;L;;;;;N;;;;;
        "\u1B2A5",  # ;NUSHU CHARACTER-1B2A5;Lo;0;L;;;;;N;;;;;
        "\u1B2A6",  # ;NUSHU CHARACTER-1B2A6;Lo;0;L;;;;;N;;;;;
        "\u1B2A7",  # ;NUSHU CHARACTER-1B2A7;Lo;0;L;;;;;N;;;;;
        "\u1B2A8",  # ;NUSHU CHARACTER-1B2A8;Lo;0;L;;;;;N;;;;;
        "\u1B2A9",  # ;NUSHU CHARACTER-1B2A9;Lo;0;L;;;;;N;;;;;
        "\u1B2AA",  # ;NUSHU CHARACTER-1B2AA;Lo;0;L;;;;;N;;;;;
        "\u1B2AB",  # ;NUSHU CHARACTER-1B2AB;Lo;0;L;;;;;N;;;;;
        "\u1B2AC",  # ;NUSHU CHARACTER-1B2AC;Lo;0;L;;;;;N;;;;;
        "\u1B2AD",  # ;NUSHU CHARACTER-1B2AD;Lo;0;L;;;;;N;;;;;
        "\u1B2AE",  # ;NUSHU CHARACTER-1B2AE;Lo;0;L;;;;;N;;;;;
        "\u1B2AF",  # ;NUSHU CHARACTER-1B2AF;Lo;0;L;;;;;N;;;;;
        "\u1B2B0",  # ;NUSHU CHARACTER-1B2B0;Lo;0;L;;;;;N;;;;;
        "\u1B2B1",  # ;NUSHU CHARACTER-1B2B1;Lo;0;L;;;;;N;;;;;
        "\u1B2B2",  # ;NUSHU CHARACTER-1B2B2;Lo;0;L;;;;;N;;;;;
        "\u1B2B3",  # ;NUSHU CHARACTER-1B2B3;Lo;0;L;;;;;N;;;;;
        "\u1B2B4",  # ;NUSHU CHARACTER-1B2B4;Lo;0;L;;;;;N;;;;;
        "\u1B2B5",  # ;NUSHU CHARACTER-1B2B5;Lo;0;L;;;;;N;;;;;
        "\u1B2B6",  # ;NUSHU CHARACTER-1B2B6;Lo;0;L;;;;;N;;;;;
        "\u1B2B7",  # ;NUSHU CHARACTER-1B2B7;Lo;0;L;;;;;N;;;;;
        "\u1B2B8",  # ;NUSHU CHARACTER-1B2B8;Lo;0;L;;;;;N;;;;;
        "\u1B2B9",  # ;NUSHU CHARACTER-1B2B9;Lo;0;L;;;;;N;;;;;
        "\u1B2BA",  # ;NUSHU CHARACTER-1B2BA;Lo;0;L;;;;;N;;;;;
        "\u1B2BB",  # ;NUSHU CHARACTER-1B2BB;Lo;0;L;;;;;N;;;;;
        "\u1B2BC",  # ;NUSHU CHARACTER-1B2BC;Lo;0;L;;;;;N;;;;;
        "\u1B2BD",  # ;NUSHU CHARACTER-1B2BD;Lo;0;L;;;;;N;;;;;
        "\u1B2BE",  # ;NUSHU CHARACTER-1B2BE;Lo;0;L;;;;;N;;;;;
        "\u1B2BF",  # ;NUSHU CHARACTER-1B2BF;Lo;0;L;;;;;N;;;;;
        "\u1B2C0",  # ;NUSHU CHARACTER-1B2C0;Lo;0;L;;;;;N;;;;;
        "\u1B2C1",  # ;NUSHU CHARACTER-1B2C1;Lo;0;L;;;;;N;;;;;
        "\u1B2C2",  # ;NUSHU CHARACTER-1B2C2;Lo;0;L;;;;;N;;;;;
        "\u1B2C3",  # ;NUSHU CHARACTER-1B2C3;Lo;0;L;;;;;N;;;;;
        "\u1B2C4",  # ;NUSHU CHARACTER-1B2C4;Lo;0;L;;;;;N;;;;;
        "\u1B2C5",  # ;NUSHU CHARACTER-1B2C5;Lo;0;L;;;;;N;;;;;
        "\u1B2C6",  # ;NUSHU CHARACTER-1B2C6;Lo;0;L;;;;;N;;;;;
        "\u1B2C7",  # ;NUSHU CHARACTER-1B2C7;Lo;0;L;;;;;N;;;;;
        "\u1B2C8",  # ;NUSHU CHARACTER-1B2C8;Lo;0;L;;;;;N;;;;;
        "\u1B2C9",  # ;NUSHU CHARACTER-1B2C9;Lo;0;L;;;;;N;;;;;
        "\u1B2CA",  # ;NUSHU CHARACTER-1B2CA;Lo;0;L;;;;;N;;;;;
        "\u1B2CB",  # ;NUSHU CHARACTER-1B2CB;Lo;0;L;;;;;N;;;;;
        "\u1B2CC",  # ;NUSHU CHARACTER-1B2CC;Lo;0;L;;;;;N;;;;;
        "\u1B2CD",  # ;NUSHU CHARACTER-1B2CD;Lo;0;L;;;;;N;;;;;
        "\u1B2CE",  # ;NUSHU CHARACTER-1B2CE;Lo;0;L;;;;;N;;;;;
        "\u1B2CF",  # ;NUSHU CHARACTER-1B2CF;Lo;0;L;;;;;N;;;;;
        "\u1B2D0",  # ;NUSHU CHARACTER-1B2D0;Lo;0;L;;;;;N;;;;;
        "\u1B2D1",  # ;NUSHU CHARACTER-1B2D1;Lo;0;L;;;;;N;;;;;
        "\u1B2D2",  # ;NUSHU CHARACTER-1B2D2;Lo;0;L;;;;;N;;;;;
        "\u1B2D3",  # ;NUSHU CHARACTER-1B2D3;Lo;0;L;;;;;N;;;;;
        "\u1B2D4",  # ;NUSHU CHARACTER-1B2D4;Lo;0;L;;;;;N;;;;;
        "\u1B2D5",  # ;NUSHU CHARACTER-1B2D5;Lo;0;L;;;;;N;;;;;
        "\u1B2D6",  # ;NUSHU CHARACTER-1B2D6;Lo;0;L;;;;;N;;;;;
        "\u1B2D7",  # ;NUSHU CHARACTER-1B2D7;Lo;0;L;;;;;N;;;;;
        "\u1B2D8",  # ;NUSHU CHARACTER-1B2D8;Lo;0;L;;;;;N;;;;;
        "\u1B2D9",  # ;NUSHU CHARACTER-1B2D9;Lo;0;L;;;;;N;;;;;
        "\u1B2DA",  # ;NUSHU CHARACTER-1B2DA;Lo;0;L;;;;;N;;;;;
        "\u1B2DB",  # ;NUSHU CHARACTER-1B2DB;Lo;0;L;;;;;N;;;;;
        "\u1B2DC",  # ;NUSHU CHARACTER-1B2DC;Lo;0;L;;;;;N;;;;;
        "\u1B2DD",  # ;NUSHU CHARACTER-1B2DD;Lo;0;L;;;;;N;;;;;
        "\u1B2DE",  # ;NUSHU CHARACTER-1B2DE;Lo;0;L;;;;;N;;;;;
        "\u1B2DF",  # ;NUSHU CHARACTER-1B2DF;Lo;0;L;;;;;N;;;;;
        "\u1B2E0",  # ;NUSHU CHARACTER-1B2E0;Lo;0;L;;;;;N;;;;;
        "\u1B2E1",  # ;NUSHU CHARACTER-1B2E1;Lo;0;L;;;;;N;;;;;
        "\u1B2E2",  # ;NUSHU CHARACTER-1B2E2;Lo;0;L;;;;;N;;;;;
        "\u1B2E3",  # ;NUSHU CHARACTER-1B2E3;Lo;0;L;;;;;N;;;;;
        "\u1B2E4",  # ;NUSHU CHARACTER-1B2E4;Lo;0;L;;;;;N;;;;;
        "\u1B2E5",  # ;NUSHU CHARACTER-1B2E5;Lo;0;L;;;;;N;;;;;
        "\u1B2E6",  # ;NUSHU CHARACTER-1B2E6;Lo;0;L;;;;;N;;;;;
        "\u1B2E7",  # ;NUSHU CHARACTER-1B2E7;Lo;0;L;;;;;N;;;;;
        "\u1B2E8",  # ;NUSHU CHARACTER-1B2E8;Lo;0;L;;;;;N;;;;;
        "\u1B2E9",  # ;NUSHU CHARACTER-1B2E9;Lo;0;L;;;;;N;;;;;
        "\u1B2EA",  # ;NUSHU CHARACTER-1B2EA;Lo;0;L;;;;;N;;;;;
        "\u1B2EB",  # ;NUSHU CHARACTER-1B2EB;Lo;0;L;;;;;N;;;;;
        "\u1B2EC",  # ;NUSHU CHARACTER-1B2EC;Lo;0;L;;;;;N;;;;;
        "\u1B2ED",  # ;NUSHU CHARACTER-1B2ED;Lo;0;L;;;;;N;;;;;
        "\u1B2EE",  # ;NUSHU CHARACTER-1B2EE;Lo;0;L;;;;;N;;;;;
        "\u1B2EF",  # ;NUSHU CHARACTER-1B2EF;Lo;0;L;;;;;N;;;;;
        "\u1B2F0",  # ;NUSHU CHARACTER-1B2F0;Lo;0;L;;;;;N;;;;;
        "\u1B2F1",  # ;NUSHU CHARACTER-1B2F1;Lo;0;L;;;;;N;;;;;
        "\u1B2F2",  # ;NUSHU CHARACTER-1B2F2;Lo;0;L;;;;;N;;;;;
        "\u1B2F3",  # ;NUSHU CHARACTER-1B2F3;Lo;0;L;;;;;N;;;;;
        "\u1B2F4",  # ;NUSHU CHARACTER-1B2F4;Lo;0;L;;;;;N;;;;;
        "\u1B2F5",  # ;NUSHU CHARACTER-1B2F5;Lo;0;L;;;;;N;;;;;
        "\u1B2F6",  # ;NUSHU CHARACTER-1B2F6;Lo;0;L;;;;;N;;;;;
        "\u1B2F7",  # ;NUSHU CHARACTER-1B2F7;Lo;0;L;;;;;N;;;;;
        "\u1B2F8",  # ;NUSHU CHARACTER-1B2F8;Lo;0;L;;;;;N;;;;;
        "\u1B2F9",  # ;NUSHU CHARACTER-1B2F9;Lo;0;L;;;;;N;;;;;
        "\u1B2FA",  # ;NUSHU CHARACTER-1B2FA;Lo;0;L;;;;;N;;;;;
        "\u1B2FB",  # ;NUSHU CHARACTER-1B2FB;Lo;0;L;;;;;N;;;;;
        "\u1BC00",  # ;DUPLOYAN LETTER H;Lo;0;L;;;;;N;;;;;
        "\u1BC01",  # ;DUPLOYAN LETTER X;Lo;0;L;;;;;N;;;;;
        "\u1BC02",  # ;DUPLOYAN LETTER P;Lo;0;L;;;;;N;;;;;
        "\u1BC03",  # ;DUPLOYAN LETTER T;Lo;0;L;;;;;N;;;;;
        "\u1BC04",  # ;DUPLOYAN LETTER F;Lo;0;L;;;;;N;;;;;
        "\u1BC05",  # ;DUPLOYAN LETTER K;Lo;0;L;;;;;N;;;;;
        "\u1BC06",  # ;DUPLOYAN LETTER L;Lo;0;L;;;;;N;;;;;
        "\u1BC07",  # ;DUPLOYAN LETTER B;Lo;0;L;;;;;N;;;;;
        "\u1BC08",  # ;DUPLOYAN LETTER D;Lo;0;L;;;;;N;;;;;
        "\u1BC09",  # ;DUPLOYAN LETTER V;Lo;0;L;;;;;N;;;;;
        "\u1BC0A",  # ;DUPLOYAN LETTER G;Lo;0;L;;;;;N;;;;;
        "\u1BC0B",  # ;DUPLOYAN LETTER R;Lo;0;L;;;;;N;;;;;
        "\u1BC0C",  # ;DUPLOYAN LETTER P N;Lo;0;L;;;;;N;;;;;
        "\u1BC0D",  # ;DUPLOYAN LETTER D S;Lo;0;L;;;;;N;;;;;
        "\u1BC0E",  # ;DUPLOYAN LETTER F N;Lo;0;L;;;;;N;;;;;
        "\u1BC0F",  # ;DUPLOYAN LETTER K M;Lo;0;L;;;;;N;;;;;
        "\u1BC10",  # ;DUPLOYAN LETTER R S;Lo;0;L;;;;;N;;;;;
        "\u1BC11",  # ;DUPLOYAN LETTER TH;Lo;0;L;;;;;N;;;;;
        "\u1BC12",  # ;DUPLOYAN LETTER SLOAN DH;Lo;0;L;;;;;N;;;;;
        "\u1BC13",  # ;DUPLOYAN LETTER DH;Lo;0;L;;;;;N;;;;;
        "\u1BC14",  # ;DUPLOYAN LETTER KK;Lo;0;L;;;;;N;;;;;
        "\u1BC15",  # ;DUPLOYAN LETTER SLOAN J;Lo;0;L;;;;;N;;;;;
        "\u1BC16",  # ;DUPLOYAN LETTER HL;Lo;0;L;;;;;N;;;;;
        "\u1BC17",  # ;DUPLOYAN LETTER LH;Lo;0;L;;;;;N;;;;;
        "\u1BC18",  # ;DUPLOYAN LETTER RH;Lo;0;L;;;;;N;;;;;
        "\u1BC19",  # ;DUPLOYAN LETTER M;Lo;0;L;;;;;N;;;;;
        "\u1BC1A",  # ;DUPLOYAN LETTER N;Lo;0;L;;;;;N;;;;;
        "\u1BC1B",  # ;DUPLOYAN LETTER J;Lo;0;L;;;;;N;;;;;
        "\u1BC1C",  # ;DUPLOYAN LETTER S;Lo;0;L;;;;;N;;;;;
        "\u1BC1D",  # ;DUPLOYAN LETTER M N;Lo;0;L;;;;;N;;;;;
        "\u1BC1E",  # ;DUPLOYAN LETTER N M;Lo;0;L;;;;;N;;;;;
        "\u1BC1F",  # ;DUPLOYAN LETTER J M;Lo;0;L;;;;;N;;;;;
        "\u1BC20",  # ;DUPLOYAN LETTER S J;Lo;0;L;;;;;N;;;;;
        "\u1BC21",  # ;DUPLOYAN LETTER M WITH DOT;Lo;0;L;;;;;N;;;;;
        "\u1BC22",  # ;DUPLOYAN LETTER N WITH DOT;Lo;0;L;;;;;N;;;;;
        "\u1BC23",  # ;DUPLOYAN LETTER J WITH DOT;Lo;0;L;;;;;N;;;;;
        "\u1BC24",  # ;DUPLOYAN LETTER J WITH DOTS INSIDE AND ABOVE;Lo;0;L;;;;;N;;;;;
        "\u1BC25",  # ;DUPLOYAN LETTER S WITH DOT;Lo;0;L;;;;;N;;;;;
        "\u1BC26",  # ;DUPLOYAN LETTER S WITH DOT BELOW;Lo;0;L;;;;;N;;;;;
        "\u1BC27",  # ;DUPLOYAN LETTER M S;Lo;0;L;;;;;N;;;;;
        "\u1BC28",  # ;DUPLOYAN LETTER N S;Lo;0;L;;;;;N;;;;;
        "\u1BC29",  # ;DUPLOYAN LETTER J S;Lo;0;L;;;;;N;;;;;
        "\u1BC2A",  # ;DUPLOYAN LETTER S S;Lo;0;L;;;;;N;;;;;
        "\u1BC2B",  # ;DUPLOYAN LETTER M N S;Lo;0;L;;;;;N;;;;;
        "\u1BC2C",  # ;DUPLOYAN LETTER N M S;Lo;0;L;;;;;N;;;;;
        "\u1BC2D",  # ;DUPLOYAN LETTER J M S;Lo;0;L;;;;;N;;;;;
        "\u1BC2E",  # ;DUPLOYAN LETTER S J S;Lo;0;L;;;;;N;;;;;
        "\u1BC2F",  # ;DUPLOYAN LETTER J S WITH DOT;Lo;0;L;;;;;N;;;;;
        "\u1BC30",  # ;DUPLOYAN LETTER J N;Lo;0;L;;;;;N;;;;;
        "\u1BC31",  # ;DUPLOYAN LETTER J N S;Lo;0;L;;;;;N;;;;;
        "\u1BC32",  # ;DUPLOYAN LETTER S T;Lo;0;L;;;;;N;;;;;
        "\u1BC33",  # ;DUPLOYAN LETTER S T R;Lo;0;L;;;;;N;;;;;
        "\u1BC34",  # ;DUPLOYAN LETTER S P;Lo;0;L;;;;;N;;;;;
        "\u1BC35",  # ;DUPLOYAN LETTER S P R;Lo;0;L;;;;;N;;;;;
        "\u1BC36",  # ;DUPLOYAN LETTER T S;Lo;0;L;;;;;N;;;;;
        "\u1BC37",  # ;DUPLOYAN LETTER T R S;Lo;0;L;;;;;N;;;;;
        "\u1BC38",  # ;DUPLOYAN LETTER W;Lo;0;L;;;;;N;;;;;
        "\u1BC39",  # ;DUPLOYAN LETTER WH;Lo;0;L;;;;;N;;;;;
        "\u1BC3A",  # ;DUPLOYAN LETTER W R;Lo;0;L;;;;;N;;;;;
        "\u1BC3B",  # ;DUPLOYAN LETTER S N;Lo;0;L;;;;;N;;;;;
        "\u1BC3C",  # ;DUPLOYAN LETTER S M;Lo;0;L;;;;;N;;;;;
        "\u1BC3D",  # ;DUPLOYAN LETTER K R S;Lo;0;L;;;;;N;;;;;
        "\u1BC3E",  # ;DUPLOYAN LETTER G R S;Lo;0;L;;;;;N;;;;;
        "\u1BC3F",  # ;DUPLOYAN LETTER S K;Lo;0;L;;;;;N;;;;;
        "\u1BC40",  # ;DUPLOYAN LETTER S K R;Lo;0;L;;;;;N;;;;;
        "\u1BC41",  # ;DUPLOYAN LETTER A;Lo;0;L;;;;;N;;;;;
        "\u1BC42",  # ;DUPLOYAN LETTER SLOAN OW;Lo;0;L;;;;;N;;;;;
        "\u1BC43",  # ;DUPLOYAN LETTER OA;Lo;0;L;;;;;N;;;;;
        "\u1BC44",  # ;DUPLOYAN LETTER O;Lo;0;L;;;;;N;;;;;
        "\u1BC45",  # ;DUPLOYAN LETTER AOU;Lo;0;L;;;;;N;;;;;
        "\u1BC46",  # ;DUPLOYAN LETTER I;Lo;0;L;;;;;N;;;;;
        "\u1BC47",  # ;DUPLOYAN LETTER E;Lo;0;L;;;;;N;;;;;
        "\u1BC48",  # ;DUPLOYAN LETTER IE;Lo;0;L;;;;;N;;;;;
        "\u1BC49",  # ;DUPLOYAN LETTER SHORT I;Lo;0;L;;;;;N;;;;;
        "\u1BC4A",  # ;DUPLOYAN LETTER UI;Lo;0;L;;;;;N;;;;;
        "\u1BC4B",  # ;DUPLOYAN LETTER EE;Lo;0;L;;;;;N;;;;;
        "\u1BC4C",  # ;DUPLOYAN LETTER SLOAN EH;Lo;0;L;;;;;N;;;;;
        "\u1BC4D",  # ;DUPLOYAN LETTER ROMANIAN I;Lo;0;L;;;;;N;;;;;
        "\u1BC4E",  # ;DUPLOYAN LETTER SLOAN EE;Lo;0;L;;;;;N;;;;;
        "\u1BC4F",  # ;DUPLOYAN LETTER LONG I;Lo;0;L;;;;;N;;;;;
        "\u1BC50",  # ;DUPLOYAN LETTER YE;Lo;0;L;;;;;N;;;;;
        "\u1BC51",  # ;DUPLOYAN LETTER U;Lo;0;L;;;;;N;;;;;
        "\u1BC52",  # ;DUPLOYAN LETTER EU;Lo;0;L;;;;;N;;;;;
        "\u1BC53",  # ;DUPLOYAN LETTER XW;Lo;0;L;;;;;N;;;;;
        "\u1BC54",  # ;DUPLOYAN LETTER U N;Lo;0;L;;;;;N;;;;;
        "\u1BC55",  # ;DUPLOYAN LETTER LONG U;Lo;0;L;;;;;N;;;;;
        "\u1BC56",  # ;DUPLOYAN LETTER ROMANIAN U;Lo;0;L;;;;;N;;;;;
        "\u1BC57",  # ;DUPLOYAN LETTER UH;Lo;0;L;;;;;N;;;;;
        "\u1BC58",  # ;DUPLOYAN LETTER SLOAN U;Lo;0;L;;;;;N;;;;;
        "\u1BC59",  # ;DUPLOYAN LETTER OOH;Lo;0;L;;;;;N;;;;;
        "\u1BC5A",  # ;DUPLOYAN LETTER OW;Lo;0;L;;;;;N;;;;;
        "\u1BC5B",  # ;DUPLOYAN LETTER OU;Lo;0;L;;;;;N;;;;;
        "\u1BC5C",  # ;DUPLOYAN LETTER WA;Lo;0;L;;;;;N;;;;;
        "\u1BC5D",  # ;DUPLOYAN LETTER WO;Lo;0;L;;;;;N;;;;;
        "\u1BC5E",  # ;DUPLOYAN LETTER WI;Lo;0;L;;;;;N;;;;;
        "\u1BC5F",  # ;DUPLOYAN LETTER WEI;Lo;0;L;;;;;N;;;;;
        "\u1BC60",  # ;DUPLOYAN LETTER WOW;Lo;0;L;;;;;N;;;;;
        "\u1BC61",  # ;DUPLOYAN LETTER NASAL U;Lo;0;L;;;;;N;;;;;
        "\u1BC62",  # ;DUPLOYAN LETTER NASAL O;Lo;0;L;;;;;N;;;;;
        "\u1BC63",  # ;DUPLOYAN LETTER NASAL I;Lo;0;L;;;;;N;;;;;
        "\u1BC64",  # ;DUPLOYAN LETTER NASAL A;Lo;0;L;;;;;N;;;;;
        "\u1BC65",  # ;DUPLOYAN LETTER PERNIN AN;Lo;0;L;;;;;N;;;;;
        "\u1BC66",  # ;DUPLOYAN LETTER PERNIN AM;Lo;0;L;;;;;N;;;;;
        "\u1BC67",  # ;DUPLOYAN LETTER SLOAN EN;Lo;0;L;;;;;N;;;;;
        "\u1BC68",  # ;DUPLOYAN LETTER SLOAN AN;Lo;0;L;;;;;N;;;;;
        "\u1BC69",  # ;DUPLOYAN LETTER SLOAN ON;Lo;0;L;;;;;N;;;;;
        "\u1BC6A",  # ;DUPLOYAN LETTER VOCALIC M;Lo;0;L;;;;;N;;;;;
        "\u1BC70",  # ;DUPLOYAN AFFIX LEFT HORIZONTAL SECANT;Lo;0;L;;;;;N;;;;;
        "\u1BC71",  # ;DUPLOYAN AFFIX MID HORIZONTAL SECANT;Lo;0;L;;;;;N;;;;;
        "\u1BC72",  # ;DUPLOYAN AFFIX RIGHT HORIZONTAL SECANT;Lo;0;L;;;;;N;;;;;
        "\u1BC73",  # ;DUPLOYAN AFFIX LOW VERTICAL SECANT;Lo;0;L;;;;;N;;;;;
        "\u1BC74",  # ;DUPLOYAN AFFIX MID VERTICAL SECANT;Lo;0;L;;;;;N;;;;;
        "\u1BC75",  # ;DUPLOYAN AFFIX HIGH VERTICAL SECANT;Lo;0;L;;;;;N;;;;;
        "\u1BC76",  # ;DUPLOYAN AFFIX ATTACHED SECANT;Lo;0;L;;;;;N;;;;;
        "\u1BC77",  # ;DUPLOYAN AFFIX ATTACHED LEFT-TO-RIGHT SECANT;Lo;0;L;;;;;N;;;;;
        "\u1BC78",  # ;DUPLOYAN AFFIX ATTACHED TANGENT;Lo;0;L;;;;;N;;;;;
        "\u1BC79",  # ;DUPLOYAN AFFIX ATTACHED TAIL;Lo;0;L;;;;;N;;;;;
        "\u1BC7A",  # ;DUPLOYAN AFFIX ATTACHED E HOOK;Lo;0;L;;;;;N;;;;;
        "\u1BC7B",  # ;DUPLOYAN AFFIX ATTACHED I HOOK;Lo;0;L;;;;;N;;;;;
        "\u1BC7C",  # ;DUPLOYAN AFFIX ATTACHED TANGENT HOOK;Lo;0;L;;;;;N;;;;;
        "\u1BC80",  # ;DUPLOYAN AFFIX HIGH ACUTE;Lo;0;L;;;;;N;;;;;
        "\u1BC81",  # ;DUPLOYAN AFFIX HIGH TIGHT ACUTE;Lo;0;L;;;;;N;;;;;
        "\u1BC82",  # ;DUPLOYAN AFFIX HIGH GRAVE;Lo;0;L;;;;;N;;;;;
        "\u1BC83",  # ;DUPLOYAN AFFIX HIGH LONG GRAVE;Lo;0;L;;;;;N;;;;;
        "\u1BC84",  # ;DUPLOYAN AFFIX HIGH DOT;Lo;0;L;;;;;N;;;;;
        "\u1BC85",  # ;DUPLOYAN AFFIX HIGH CIRCLE;Lo;0;L;;;;;N;;;;;
        "\u1BC86",  # ;DUPLOYAN AFFIX HIGH LINE;Lo;0;L;;;;;N;;;;;
        "\u1BC87",  # ;DUPLOYAN AFFIX HIGH WAVE;Lo;0;L;;;;;N;;;;;
        "\u1BC88",  # ;DUPLOYAN AFFIX HIGH VERTICAL;Lo;0;L;;;;;N;;;;;
        "\u1BC90",  # ;DUPLOYAN AFFIX LOW ACUTE;Lo;0;L;;;;;N;;;;;
        "\u1BC91",  # ;DUPLOYAN AFFIX LOW TIGHT ACUTE;Lo;0;L;;;;;N;;;;;
        "\u1BC92",  # ;DUPLOYAN AFFIX LOW GRAVE;Lo;0;L;;;;;N;;;;;
        "\u1BC93",  # ;DUPLOYAN AFFIX LOW LONG GRAVE;Lo;0;L;;;;;N;;;;;
        "\u1BC94",  # ;DUPLOYAN AFFIX LOW DOT;Lo;0;L;;;;;N;;;;;
        "\u1BC95",  # ;DUPLOYAN AFFIX LOW CIRCLE;Lo;0;L;;;;;N;;;;;
        "\u1BC96",  # ;DUPLOYAN AFFIX LOW LINE;Lo;0;L;;;;;N;;;;;
        "\u1BC97",  # ;DUPLOYAN AFFIX LOW WAVE;Lo;0;L;;;;;N;;;;;
        "\u1BC98",  # ;DUPLOYAN AFFIX LOW VERTICAL;Lo;0;L;;;;;N;;;;;
        "\u1BC99",  # ;DUPLOYAN AFFIX LOW ARROW;Lo;0;L;;;;;N;;;;;
        "\u1BC9C",  # ;DUPLOYAN SIGN O WITH CROSS;So;0;L;;;;;N;;;;;
        "\u1BC9D",  # ;DUPLOYAN THICK LETTER SELECTOR;Mn;0;NSM;;;;;N;;;;;
        "\u1BC9E",  # ;DUPLOYAN DOUBLE MARK;Mn;1;NSM;;;;;N;;;;;
        "\u1BC9F",  # ;DUPLOYAN PUNCTUATION CHINOOK FULL STOP;Po;0;L;;;;;N;;;;;
        "\u1BCA0",  # ;SHORTHAND FORMAT LETTER OVERLAP;Cf;0;BN;;;;;N;;;;;
        "\u1BCA1",  # ;SHORTHAND FORMAT CONTINUING OVERLAP;Cf;0;BN;;;;;N;;;;;
        "\u1BCA2",  # ;SHORTHAND FORMAT DOWN STEP;Cf;0;BN;;;;;N;;;;;
        "\u1BCA3",  # ;SHORTHAND FORMAT UP STEP;Cf;0;BN;;;;;N;;;;;
        "\u1D000",  # ;BYZANTINE MUSICAL SYMBOL PSILI;So;0;L;;;;;N;;;;;
        "\u1D001",  # ;BYZANTINE MUSICAL SYMBOL DASEIA;So;0;L;;;;;N;;;;;
        "\u1D002",  # ;BYZANTINE MUSICAL SYMBOL PERISPOMENI;So;0;L;;;;;N;;;;;
        "\u1D003",  # ;BYZANTINE MUSICAL SYMBOL OXEIA EKFONITIKON;So;0;L;;;;;N;;;;;
        "\u1D004",  # ;BYZANTINE MUSICAL SYMBOL OXEIA DIPLI;So;0;L;;;;;N;;;;;
        "\u1D005",  # ;BYZANTINE MUSICAL SYMBOL VAREIA EKFONITIKON;So;0;L;;;;;N;;;;;
        "\u1D006",  # ;BYZANTINE MUSICAL SYMBOL VAREIA DIPLI;So;0;L;;;;;N;;;;;
        "\u1D007",  # ;BYZANTINE MUSICAL SYMBOL KATHISTI;So;0;L;;;;;N;;;;;
        "\u1D008",  # ;BYZANTINE MUSICAL SYMBOL SYRMATIKI;So;0;L;;;;;N;;;;;
        "\u1D009",  # ;BYZANTINE MUSICAL SYMBOL PARAKLITIKI;So;0;L;;;;;N;;;;;
        "\u1D00A",  # ;BYZANTINE MUSICAL SYMBOL YPOKRISIS;So;0;L;;;;;N;;;;;
        "\u1D00B",  # ;BYZANTINE MUSICAL SYMBOL YPOKRISIS DIPLI;So;0;L;;;;;N;;;;;
        "\u1D00C",  # ;BYZANTINE MUSICAL SYMBOL KREMASTI;So;0;L;;;;;N;;;;;
        "\u1D00D",  # ;BYZANTINE MUSICAL SYMBOL APESO EKFONITIKON;So;0;L;;;;;N;;;;;
        "\u1D00E",  # ;BYZANTINE MUSICAL SYMBOL EXO EKFONITIKON;So;0;L;;;;;N;;;;;
        "\u1D00F",  # ;BYZANTINE MUSICAL SYMBOL TELEIA;So;0;L;;;;;N;;;;;
        "\u1D010",  # ;BYZANTINE MUSICAL SYMBOL KENTIMATA;So;0;L;;;;;N;;;;;
        "\u1D011",  # ;BYZANTINE MUSICAL SYMBOL APOSTROFOS;So;0;L;;;;;N;;;;;
        "\u1D012",  # ;BYZANTINE MUSICAL SYMBOL APOSTROFOS DIPLI;So;0;L;;;;;N;;;;;
        "\u1D013",  # ;BYZANTINE MUSICAL SYMBOL SYNEVMA;So;0;L;;;;;N;;;;;
        "\u1D014",  # ;BYZANTINE MUSICAL SYMBOL THITA;So;0;L;;;;;N;;;;;
        "\u1D015",  # ;BYZANTINE MUSICAL SYMBOL OLIGON ARCHAION;So;0;L;;;;;N;;;;;
        "\u1D016",  # ;BYZANTINE MUSICAL SYMBOL GORGON ARCHAION;So;0;L;;;;;N;;;;;
        "\u1D017",  # ;BYZANTINE MUSICAL SYMBOL PSILON;So;0;L;;;;;N;;;;;
        "\u1D018",  # ;BYZANTINE MUSICAL SYMBOL CHAMILON;So;0;L;;;;;N;;;;;
        "\u1D019",  # ;BYZANTINE MUSICAL SYMBOL VATHY;So;0;L;;;;;N;;;;;
        "\u1D01A",  # ;BYZANTINE MUSICAL SYMBOL ISON ARCHAION;So;0;L;;;;;N;;;;;
        "\u1D01B",  # ;BYZANTINE MUSICAL SYMBOL KENTIMA ARCHAION;So;0;L;;;;;N;;;;;
        "\u1D01C",  # ;BYZANTINE MUSICAL SYMBOL KENTIMATA ARCHAION;So;0;L;;;;;N;;;;;
        "\u1D01D",  # ;BYZANTINE MUSICAL SYMBOL SAXIMATA;So;0;L;;;;;N;;;;;
        "\u1D01E",  # ;BYZANTINE MUSICAL SYMBOL PARICHON;So;0;L;;;;;N;;;;;
        "\u1D01F",  # ;BYZANTINE MUSICAL SYMBOL STAVROS APODEXIA;So;0;L;;;;;N;;;;;
        "\u1D020",  # ;BYZANTINE MUSICAL SYMBOL OXEIAI ARCHAION;So;0;L;;;;;N;;;;;
        "\u1D021",  # ;BYZANTINE MUSICAL SYMBOL VAREIAI ARCHAION;So;0;L;;;;;N;;;;;
        "\u1D022",  # ;BYZANTINE MUSICAL SYMBOL APODERMA ARCHAION;So;0;L;;;;;N;;;;;
        "\u1D023",  # ;BYZANTINE MUSICAL SYMBOL APOTHEMA;So;0;L;;;;;N;;;;;
        "\u1D024",  # ;BYZANTINE MUSICAL SYMBOL KLASMA;So;0;L;;;;;N;;;;;
        "\u1D025",  # ;BYZANTINE MUSICAL SYMBOL REVMA;So;0;L;;;;;N;;;;;
        "\u1D026",  # ;BYZANTINE MUSICAL SYMBOL PIASMA ARCHAION;So;0;L;;;;;N;;;;;
        "\u1D027",  # ;BYZANTINE MUSICAL SYMBOL TINAGMA;So;0;L;;;;;N;;;;;
        "\u1D028",  # ;BYZANTINE MUSICAL SYMBOL ANATRICHISMA;So;0;L;;;;;N;;;;;
        "\u1D029",  # ;BYZANTINE MUSICAL SYMBOL SEISMA;So;0;L;;;;;N;;;;;
        "\u1D02A",  # ;BYZANTINE MUSICAL SYMBOL SYNAGMA ARCHAION;So;0;L;;;;;N;;;;;
        "\u1D02B",  # ;BYZANTINE MUSICAL SYMBOL SYNAGMA META STAVROU;So;0;L;;;;;N;;;;;
        "\u1D02C",  # ;BYZANTINE MUSICAL SYMBOL OYRANISMA ARCHAION;So;0;L;;;;;N;;;;;
        "\u1D02D",  # ;BYZANTINE MUSICAL SYMBOL THEMA;So;0;L;;;;;N;;;;;
        "\u1D02E",  # ;BYZANTINE MUSICAL SYMBOL LEMOI;So;0;L;;;;;N;;;;;
        "\u1D02F",  # ;BYZANTINE MUSICAL SYMBOL DYO;So;0;L;;;;;N;;;;;
        "\u1D030",  # ;BYZANTINE MUSICAL SYMBOL TRIA;So;0;L;;;;;N;;;;;
        "\u1D031",  # ;BYZANTINE MUSICAL SYMBOL TESSERA;So;0;L;;;;;N;;;;;
        "\u1D032",  # ;BYZANTINE MUSICAL SYMBOL KRATIMATA;So;0;L;;;;;N;;;;;
        "\u1D033",  # ;BYZANTINE MUSICAL SYMBOL APESO EXO NEO;So;0;L;;;;;N;;;;;
        "\u1D034",  # ;BYZANTINE MUSICAL SYMBOL FTHORA ARCHAION;So;0;L;;;;;N;;;;;
        "\u1D035",  # ;BYZANTINE MUSICAL SYMBOL IMIFTHORA;So;0;L;;;;;N;;;;;
        "\u1D036",  # ;BYZANTINE MUSICAL SYMBOL TROMIKON ARCHAION;So;0;L;;;;;N;;;;;
        "\u1D037",  # ;BYZANTINE MUSICAL SYMBOL KATAVA TROMIKON;So;0;L;;;;;N;;;;;
        "\u1D038",  # ;BYZANTINE MUSICAL SYMBOL PELASTON;So;0;L;;;;;N;;;;;
        "\u1D039",  # ;BYZANTINE MUSICAL SYMBOL PSIFISTON;So;0;L;;;;;N;;;;;
        "\u1D03A",  # ;BYZANTINE MUSICAL SYMBOL KONTEVMA;So;0;L;;;;;N;;;;;
        "\u1D03B",  # ;BYZANTINE MUSICAL SYMBOL CHOREVMA ARCHAION;So;0;L;;;;;N;;;;;
        "\u1D03C",  # ;BYZANTINE MUSICAL SYMBOL RAPISMA;So;0;L;;;;;N;;;;;
        "\u1D03D",  # ;BYZANTINE MUSICAL SYMBOL PARAKALESMA ARCHAION;So;0;L;;;;;N;;;;;
        "\u1D03E",  # ;BYZANTINE MUSICAL SYMBOL PARAKLITIKI ARCHAION;So;0;L;;;;;N;;;;;
        "\u1D03F",  # ;BYZANTINE MUSICAL SYMBOL ICHADIN;So;0;L;;;;;N;;;;;
        "\u1D040",  # ;BYZANTINE MUSICAL SYMBOL NANA;So;0;L;;;;;N;;;;;
        "\u1D041",  # ;BYZANTINE MUSICAL SYMBOL PETASMA;So;0;L;;;;;N;;;;;
        "\u1D042",  # ;BYZANTINE MUSICAL SYMBOL KONTEVMA ALLO;So;0;L;;;;;N;;;;;
        "\u1D043",  # ;BYZANTINE MUSICAL SYMBOL TROMIKON ALLO;So;0;L;;;;;N;;;;;
        "\u1D044",  # ;BYZANTINE MUSICAL SYMBOL STRAGGISMATA;So;0;L;;;;;N;;;;;
        "\u1D045",  # ;BYZANTINE MUSICAL SYMBOL GRONTHISMATA;So;0;L;;;;;N;;;;;
        "\u1D046",  # ;BYZANTINE MUSICAL SYMBOL ISON NEO;So;0;L;;;;;N;;;;;
        "\u1D047",  # ;BYZANTINE MUSICAL SYMBOL OLIGON NEO;So;0;L;;;;;N;;;;;
        "\u1D048",  # ;BYZANTINE MUSICAL SYMBOL OXEIA NEO;So;0;L;;;;;N;;;;;
        "\u1D049",  # ;BYZANTINE MUSICAL SYMBOL PETASTI;So;0;L;;;;;N;;;;;
        "\u1D04A",  # ;BYZANTINE MUSICAL SYMBOL KOUFISMA;So;0;L;;;;;N;;;;;
        "\u1D04B",  # ;BYZANTINE MUSICAL SYMBOL PETASTOKOUFISMA;So;0;L;;;;;N;;;;;
        "\u1D04C",  # ;BYZANTINE MUSICAL SYMBOL KRATIMOKOUFISMA;So;0;L;;;;;N;;;;;
        "\u1D04D",  # ;BYZANTINE MUSICAL SYMBOL PELASTON NEO;So;0;L;;;;;N;;;;;
        "\u1D04E",  # ;BYZANTINE MUSICAL SYMBOL KENTIMATA NEO ANO;So;0;L;;;;;N;;;;;
        "\u1D04F",  # ;BYZANTINE MUSICAL SYMBOL KENTIMA NEO ANO;So;0;L;;;;;N;;;;;
        "\u1D050",  # ;BYZANTINE MUSICAL SYMBOL YPSILI;So;0;L;;;;;N;;;;;
        "\u1D051",  # ;BYZANTINE MUSICAL SYMBOL APOSTROFOS NEO;So;0;L;;;;;N;;;;;
        "\u1D052",  # ;BYZANTINE MUSICAL SYMBOL APOSTROFOI SYNDESMOS NEO;So;0;L;;;;;N;;;;;
        "\u1D053",  # ;BYZANTINE MUSICAL SYMBOL YPORROI;So;0;L;;;;;N;;;;;
        "\u1D054",  # ;BYZANTINE MUSICAL SYMBOL KRATIMOYPORROON;So;0;L;;;;;N;;;;;
        "\u1D055",  # ;BYZANTINE MUSICAL SYMBOL ELAFRON;So;0;L;;;;;N;;;;;
        "\u1D056",  # ;BYZANTINE MUSICAL SYMBOL CHAMILI;So;0;L;;;;;N;;;;;
        "\u1D057",  # ;BYZANTINE MUSICAL SYMBOL MIKRON ISON;So;0;L;;;;;N;;;;;
        "\u1D058",  # ;BYZANTINE MUSICAL SYMBOL VAREIA NEO;So;0;L;;;;;N;;;;;
        "\u1D059",  # ;BYZANTINE MUSICAL SYMBOL PIASMA NEO;So;0;L;;;;;N;;;;;
        "\u1D05A",  # ;BYZANTINE MUSICAL SYMBOL PSIFISTON NEO;So;0;L;;;;;N;;;;;
        "\u1D05B",  # ;BYZANTINE MUSICAL SYMBOL OMALON;So;0;L;;;;;N;;;;;
        "\u1D05C",  # ;BYZANTINE MUSICAL SYMBOL ANTIKENOMA;So;0;L;;;;;N;;;;;
        "\u1D05D",  # ;BYZANTINE MUSICAL SYMBOL LYGISMA;So;0;L;;;;;N;;;;;
        "\u1D05E",  # ;BYZANTINE MUSICAL SYMBOL PARAKLITIKI NEO;So;0;L;;;;;N;;;;;
        "\u1D05F",  # ;BYZANTINE MUSICAL SYMBOL PARAKALESMA NEO;So;0;L;;;;;N;;;;;
        "\u1D060",  # ;BYZANTINE MUSICAL SYMBOL ETERON PARAKALESMA;So;0;L;;;;;N;;;;;
        "\u1D061",  # ;BYZANTINE MUSICAL SYMBOL KYLISMA;So;0;L;;;;;N;;;;;
        "\u1D062",  # ;BYZANTINE MUSICAL SYMBOL ANTIKENOKYLISMA;So;0;L;;;;;N;;;;;
        "\u1D063",  # ;BYZANTINE MUSICAL SYMBOL TROMIKON NEO;So;0;L;;;;;N;;;;;
        "\u1D064",  # ;BYZANTINE MUSICAL SYMBOL EKSTREPTON;So;0;L;;;;;N;;;;;
        "\u1D065",  # ;BYZANTINE MUSICAL SYMBOL SYNAGMA NEO;So;0;L;;;;;N;;;;;
        "\u1D066",  # ;BYZANTINE MUSICAL SYMBOL SYRMA;So;0;L;;;;;N;;;;;
        "\u1D067",  # ;BYZANTINE MUSICAL SYMBOL CHOREVMA NEO;So;0;L;;;;;N;;;;;
        "\u1D068",  # ;BYZANTINE MUSICAL SYMBOL EPEGERMA;So;0;L;;;;;N;;;;;
        "\u1D069",  # ;BYZANTINE MUSICAL SYMBOL SEISMA NEO;So;0;L;;;;;N;;;;;
        "\u1D06A",  # ;BYZANTINE MUSICAL SYMBOL XIRON KLASMA;So;0;L;;;;;N;;;;;
        "\u1D06B",  # ;BYZANTINE MUSICAL SYMBOL TROMIKOPSIFISTON;So;0;L;;;;;N;;;;;
        "\u1D06C",  # ;BYZANTINE MUSICAL SYMBOL PSIFISTOLYGISMA;So;0;L;;;;;N;;;;;
        "\u1D06D",  # ;BYZANTINE MUSICAL SYMBOL TROMIKOLYGISMA;So;0;L;;;;;N;;;;;
        "\u1D06E",  # ;BYZANTINE MUSICAL SYMBOL TROMIKOPARAKALESMA;So;0;L;;;;;N;;;;;
        "\u1D06F",  # ;BYZANTINE MUSICAL SYMBOL PSIFISTOPARAKALESMA;So;0;L;;;;;N;;;;;
        "\u1D070",  # ;BYZANTINE MUSICAL SYMBOL TROMIKOSYNAGMA;So;0;L;;;;;N;;;;;
        "\u1D071",  # ;BYZANTINE MUSICAL SYMBOL PSIFISTOSYNAGMA;So;0;L;;;;;N;;;;;
        "\u1D072",  # ;BYZANTINE MUSICAL SYMBOL GORGOSYNTHETON;So;0;L;;;;;N;;;;;
        "\u1D073",  # ;BYZANTINE MUSICAL SYMBOL ARGOSYNTHETON;So;0;L;;;;;N;;;;;
        "\u1D074",  # ;BYZANTINE MUSICAL SYMBOL ETERON ARGOSYNTHETON;So;0;L;;;;;N;;;;;
        "\u1D075",  # ;BYZANTINE MUSICAL SYMBOL OYRANISMA NEO;So;0;L;;;;;N;;;;;
        "\u1D076",  # ;BYZANTINE MUSICAL SYMBOL THEMATISMOS ESO;So;0;L;;;;;N;;;;;
        "\u1D077",  # ;BYZANTINE MUSICAL SYMBOL THEMATISMOS EXO;So;0;L;;;;;N;;;;;
        "\u1D078",  # ;BYZANTINE MUSICAL SYMBOL THEMA APLOUN;So;0;L;;;;;N;;;;;
        "\u1D079",  # ;BYZANTINE MUSICAL SYMBOL THES KAI APOTHES;So;0;L;;;;;N;;;;;
        "\u1D07A",  # ;BYZANTINE MUSICAL SYMBOL KATAVASMA;So;0;L;;;;;N;;;;;
        "\u1D07B",  # ;BYZANTINE MUSICAL SYMBOL ENDOFONON;So;0;L;;;;;N;;;;;
        "\u1D07C",  # ;BYZANTINE MUSICAL SYMBOL YFEN KATO;So;0;L;;;;;N;;;;;
        "\u1D07D",  # ;BYZANTINE MUSICAL SYMBOL YFEN ANO;So;0;L;;;;;N;;;;;
        "\u1D07E",  # ;BYZANTINE MUSICAL SYMBOL STAVROS;So;0;L;;;;;N;;;;;
        "\u1D07F",  # ;BYZANTINE MUSICAL SYMBOL KLASMA ANO;So;0;L;;;;;N;;;;;
        "\u1D080",  # ;BYZANTINE MUSICAL SYMBOL DIPLI ARCHAION;So;0;L;;;;;N;;;;;
        "\u1D081",  # ;BYZANTINE MUSICAL SYMBOL KRATIMA ARCHAION;So;0;L;;;;;N;;;;;
        "\u1D082",  # ;BYZANTINE MUSICAL SYMBOL KRATIMA ALLO;So;0;L;;;;;N;;;;;
        "\u1D083",  # ;BYZANTINE MUSICAL SYMBOL KRATIMA NEO;So;0;L;;;;;N;;;;;
        "\u1D084",  # ;BYZANTINE MUSICAL SYMBOL APODERMA NEO;So;0;L;;;;;N;;;;;
        "\u1D085",  # ;BYZANTINE MUSICAL SYMBOL APLI;So;0;L;;;;;N;;;;;
        "\u1D086",  # ;BYZANTINE MUSICAL SYMBOL DIPLI;So;0;L;;;;;N;;;;;
        "\u1D087",  # ;BYZANTINE MUSICAL SYMBOL TRIPLI;So;0;L;;;;;N;;;;;
        "\u1D088",  # ;BYZANTINE MUSICAL SYMBOL TETRAPLI;So;0;L;;;;;N;;;;;
        "\u1D089",  # ;BYZANTINE MUSICAL SYMBOL KORONIS;So;0;L;;;;;N;;;;;
        "\u1D08A",  # ;BYZANTINE MUSICAL SYMBOL LEIMMA ENOS CHRONOU;So;0;L;;;;;N;;;;;
        "\u1D08B",  # ;BYZANTINE MUSICAL SYMBOL LEIMMA DYO CHRONON;So;0;L;;;;;N;;;;;
        "\u1D08C",  # ;BYZANTINE MUSICAL SYMBOL LEIMMA TRION CHRONON;So;0;L;;;;;N;;;;;
        "\u1D08D",  # ;BYZANTINE MUSICAL SYMBOL LEIMMA TESSARON CHRONON;So;0;L;;;;;N;;;;;
        "\u1D08E",  # ;BYZANTINE MUSICAL SYMBOL LEIMMA IMISEOS CHRONOU;So;0;L;;;;;N;;;;;
        "\u1D08F",  # ;BYZANTINE MUSICAL SYMBOL GORGON NEO ANO;So;0;L;;;;;N;;;;;
        "\u1D090",  # ;BYZANTINE MUSICAL SYMBOL GORGON PARESTIGMENON ARISTERA;So;0;L;;;;;N;;;;;
        "\u1D091",  # ;BYZANTINE MUSICAL SYMBOL GORGON PARESTIGMENON DEXIA;So;0;L;;;;;N;;;;;
        "\u1D092",  # ;BYZANTINE MUSICAL SYMBOL DIGORGON;So;0;L;;;;;N;;;;;
        "\u1D093",  # ;BYZANTINE MUSICAL SYMBOL DIGORGON PARESTIGMENON ARISTERA KATO;So;0;L;;;;;N;;;;;
        "\u1D094",  # ;BYZANTINE MUSICAL SYMBOL DIGORGON PARESTIGMENON ARISTERA ANO;So;0;L;;;;;N;;;;;
        "\u1D095",  # ;BYZANTINE MUSICAL SYMBOL DIGORGON PARESTIGMENON DEXIA;So;0;L;;;;;N;;;;;
        "\u1D096",  # ;BYZANTINE MUSICAL SYMBOL TRIGORGON;So;0;L;;;;;N;;;;;
        "\u1D097",  # ;BYZANTINE MUSICAL SYMBOL ARGON;So;0;L;;;;;N;;;;;
        "\u1D098",  # ;BYZANTINE MUSICAL SYMBOL IMIDIARGON;So;0;L;;;;;N;;;;;
        "\u1D099",  # ;BYZANTINE MUSICAL SYMBOL DIARGON;So;0;L;;;;;N;;;;;
        "\u1D09A",  # ;BYZANTINE MUSICAL SYMBOL AGOGI POLI ARGI;So;0;L;;;;;N;;;;;
        "\u1D09B",  # ;BYZANTINE MUSICAL SYMBOL AGOGI ARGOTERI;So;0;L;;;;;N;;;;;
        "\u1D09C",  # ;BYZANTINE MUSICAL SYMBOL AGOGI ARGI;So;0;L;;;;;N;;;;;
        "\u1D09D",  # ;BYZANTINE MUSICAL SYMBOL AGOGI METRIA;So;0;L;;;;;N;;;;;
        "\u1D09E",  # ;BYZANTINE MUSICAL SYMBOL AGOGI MESI;So;0;L;;;;;N;;;;;
        "\u1D09F",  # ;BYZANTINE MUSICAL SYMBOL AGOGI GORGI;So;0;L;;;;;N;;;;;
        "\u1D0A0",  # ;BYZANTINE MUSICAL SYMBOL AGOGI GORGOTERI;So;0;L;;;;;N;;;;;
        "\u1D0A1",  # ;BYZANTINE MUSICAL SYMBOL AGOGI POLI GORGI;So;0;L;;;;;N;;;;;
        "\u1D0A2",  # ;BYZANTINE MUSICAL SYMBOL MARTYRIA PROTOS ICHOS;So;0;L;;;;;N;;;;;
        "\u1D0A3",  # ;BYZANTINE MUSICAL SYMBOL MARTYRIA ALLI PROTOS ICHOS;So;0;L;;;;;N;;;;;
        "\u1D0A4",  # ;BYZANTINE MUSICAL SYMBOL MARTYRIA DEYTEROS ICHOS;So;0;L;;;;;N;;;;;
        "\u1D0A5",  # ;BYZANTINE MUSICAL SYMBOL MARTYRIA ALLI DEYTEROS ICHOS;So;0;L;;;;;N;;;;;
        "\u1D0A6",  # ;BYZANTINE MUSICAL SYMBOL MARTYRIA TRITOS ICHOS;So;0;L;;;;;N;;;;;
        "\u1D0A7",  # ;BYZANTINE MUSICAL SYMBOL MARTYRIA TRIFONIAS;So;0;L;;;;;N;;;;;
        "\u1D0A8",  # ;BYZANTINE MUSICAL SYMBOL MARTYRIA TETARTOS ICHOS;So;0;L;;;;;N;;;;;
        "\u1D0A9",  # ;BYZANTINE MUSICAL SYMBOL MARTYRIA TETARTOS LEGETOS ICHOS;So;0;L;;;;;N;;;;;
        "\u1D0AA",  # ;BYZANTINE MUSICAL SYMBOL MARTYRIA LEGETOS ICHOS;So;0;L;;;;;N;;;;;
        "\u1D0AB",  # ;BYZANTINE MUSICAL SYMBOL MARTYRIA PLAGIOS ICHOS;So;0;L;;;;;N;;;;;
        "\u1D0AC",  # ;BYZANTINE MUSICAL SYMBOL ISAKIA TELOUS ICHIMATOS;So;0;L;;;;;N;;;;;
        "\u1D0AD",  # ;BYZANTINE MUSICAL SYMBOL APOSTROFOI TELOUS ICHIMATOS;So;0;L;;;;;N;;;;;
        "\u1D0AE",  # ;BYZANTINE MUSICAL SYMBOL FANEROSIS TETRAFONIAS;So;0;L;;;;;N;;;;;
        "\u1D0AF",  # ;BYZANTINE MUSICAL SYMBOL FANEROSIS MONOFONIAS;So;0;L;;;;;N;;;;;
        "\u1D0B0",  # ;BYZANTINE MUSICAL SYMBOL FANEROSIS DIFONIAS;So;0;L;;;;;N;;;;;
        "\u1D0B1",  # ;BYZANTINE MUSICAL SYMBOL MARTYRIA VARYS ICHOS;So;0;L;;;;;N;;;;;
        "\u1D0B2",  # ;BYZANTINE MUSICAL SYMBOL MARTYRIA PROTOVARYS ICHOS;So;0;L;;;;;N;;;;;
        "\u1D0B3",  # ;BYZANTINE MUSICAL SYMBOL MARTYRIA PLAGIOS TETARTOS ICHOS;So;0;L;;;;;N;;;;;
        "\u1D0B4",  # ;BYZANTINE MUSICAL SYMBOL GORTHMIKON N APLOUN;So;0;L;;;;;N;;;;;
        "\u1D0B5",  # ;BYZANTINE MUSICAL SYMBOL GORTHMIKON N DIPLOUN;So;0;L;;;;;N;;;;;
        "\u1D0B6",  # ;BYZANTINE MUSICAL SYMBOL ENARXIS KAI FTHORA VOU;So;0;L;;;;;N;;;;;
        "\u1D0B7",  # ;BYZANTINE MUSICAL SYMBOL IMIFONON;So;0;L;;;;;N;;;;;
        "\u1D0B8",  # ;BYZANTINE MUSICAL SYMBOL IMIFTHORON;So;0;L;;;;;N;;;;;
        "\u1D0B9",  # ;BYZANTINE MUSICAL SYMBOL FTHORA ARCHAION DEYTEROU ICHOU;So;0;L;;;;;N;;;;;
        "\u1D0BA",  # ;BYZANTINE MUSICAL SYMBOL FTHORA DIATONIKI PA;So;0;L;;;;;N;;;;;
        "\u1D0BB",  # ;BYZANTINE MUSICAL SYMBOL FTHORA DIATONIKI NANA;So;0;L;;;;;N;;;;;
        "\u1D0BC",  # ;BYZANTINE MUSICAL SYMBOL FTHORA NAOS ICHOS;So;0;L;;;;;N;;;;;
        "\u1D0BD",  # ;BYZANTINE MUSICAL SYMBOL FTHORA DIATONIKI DI;So;0;L;;;;;N;;;;;
        "\u1D0BE",  # ;BYZANTINE MUSICAL SYMBOL FTHORA SKLIRON DIATONON DI;So;0;L;;;;;N;;;;;
        "\u1D0BF",  # ;BYZANTINE MUSICAL SYMBOL FTHORA DIATONIKI KE;So;0;L;;;;;N;;;;;
        "\u1D0C0",  # ;BYZANTINE MUSICAL SYMBOL FTHORA DIATONIKI ZO;So;0;L;;;;;N;;;;;
        "\u1D0C1",  # ;BYZANTINE MUSICAL SYMBOL FTHORA DIATONIKI NI KATO;So;0;L;;;;;N;;;;;
        "\u1D0C2",  # ;BYZANTINE MUSICAL SYMBOL FTHORA DIATONIKI NI ANO;So;0;L;;;;;N;;;;;
        "\u1D0C3",  # ;BYZANTINE MUSICAL SYMBOL FTHORA MALAKON CHROMA DIFONIAS;So;0;L;;;;;N;;;;;
        "\u1D0C4",  # ;BYZANTINE MUSICAL SYMBOL FTHORA MALAKON CHROMA MONOFONIAS;So;0;L;;;;;N;;;;;
        "\u1D0C5",  # ;BYZANTINE MUSICAL SYMBOL FHTORA SKLIRON CHROMA VASIS;So;0;L;;;;;N;;;;;
        "\u1D0C6",  # ;BYZANTINE MUSICAL SYMBOL FTHORA SKLIRON CHROMA SYNAFI;So;0;L;;;;;N;;;;;
        "\u1D0C7",  # ;BYZANTINE MUSICAL SYMBOL FTHORA NENANO;So;0;L;;;;;N;;;;;
        "\u1D0C8",  # ;BYZANTINE MUSICAL SYMBOL CHROA ZYGOS;So;0;L;;;;;N;;;;;
        "\u1D0C9",  # ;BYZANTINE MUSICAL SYMBOL CHROA KLITON;So;0;L;;;;;N;;;;;
        "\u1D0CA",  # ;BYZANTINE MUSICAL SYMBOL CHROA SPATHI;So;0;L;;;;;N;;;;;
        "\u1D0CB",  # ;BYZANTINE MUSICAL SYMBOL FTHORA I YFESIS TETARTIMORION;So;0;L;;;;;N;;;;;
        "\u1D0CC",  # ;BYZANTINE MUSICAL SYMBOL FTHORA ENARMONIOS ANTIFONIA;So;0;L;;;;;N;;;;;
        "\u1D0CD",  # ;BYZANTINE MUSICAL SYMBOL YFESIS TRITIMORION;So;0;L;;;;;N;;;;;
        "\u1D0CE",  # ;BYZANTINE MUSICAL SYMBOL DIESIS TRITIMORION;So;0;L;;;;;N;;;;;
        "\u1D0CF",  # ;BYZANTINE MUSICAL SYMBOL DIESIS TETARTIMORION;So;0;L;;;;;N;;;;;
        "\u1D0D0",  # ;BYZANTINE MUSICAL SYMBOL DIESIS APLI DYO DODEKATA;So;0;L;;;;;N;;;;;
        "\u1D0D1",  # ;BYZANTINE MUSICAL SYMBOL DIESIS MONOGRAMMOS TESSERA DODEKATA;So;0;L;;;;;N;;;;;
        "\u1D0D2",  # ;BYZANTINE MUSICAL SYMBOL DIESIS DIGRAMMOS EX DODEKATA;So;0;L;;;;;N;;;;;
        "\u1D0D3",  # ;BYZANTINE MUSICAL SYMBOL DIESIS TRIGRAMMOS OKTO DODEKATA;So;0;L;;;;;N;;;;;
        "\u1D0D4",  # ;BYZANTINE MUSICAL SYMBOL YFESIS APLI DYO DODEKATA;So;0;L;;;;;N;;;;;
        "\u1D0D5",  # ;BYZANTINE MUSICAL SYMBOL YFESIS MONOGRAMMOS TESSERA DODEKATA;So;0;L;;;;;N;;;;;
        "\u1D0D6",  # ;BYZANTINE MUSICAL SYMBOL YFESIS DIGRAMMOS EX DODEKATA;So;0;L;;;;;N;;;;;
        "\u1D0D7",  # ;BYZANTINE MUSICAL SYMBOL YFESIS TRIGRAMMOS OKTO DODEKATA;So;0;L;;;;;N;;;;;
        "\u1D0D8",  # ;BYZANTINE MUSICAL SYMBOL GENIKI DIESIS;So;0;L;;;;;N;;;;;
        "\u1D0D9",  # ;BYZANTINE MUSICAL SYMBOL GENIKI YFESIS;So;0;L;;;;;N;;;;;
        "\u1D0DA",  # ;BYZANTINE MUSICAL SYMBOL DIASTOLI APLI MIKRI;So;0;L;;;;;N;;;;;
        "\u1D0DB",  # ;BYZANTINE MUSICAL SYMBOL DIASTOLI APLI MEGALI;So;0;L;;;;;N;;;;;
        "\u1D0DC",  # ;BYZANTINE MUSICAL SYMBOL DIASTOLI DIPLI;So;0;L;;;;;N;;;;;
        "\u1D0DD",  # ;BYZANTINE MUSICAL SYMBOL DIASTOLI THESEOS;So;0;L;;;;;N;;;;;
        "\u1D0DE",  # ;BYZANTINE MUSICAL SYMBOL SIMANSIS THESEOS;So;0;L;;;;;N;;;;;
        "\u1D0DF",  # ;BYZANTINE MUSICAL SYMBOL SIMANSIS THESEOS DISIMOU;So;0;L;;;;;N;;;;;
        "\u1D0E0",  # ;BYZANTINE MUSICAL SYMBOL SIMANSIS THESEOS TRISIMOU;So;0;L;;;;;N;;;;;
        "\u1D0E1",  # ;BYZANTINE MUSICAL SYMBOL SIMANSIS THESEOS TETRASIMOU;So;0;L;;;;;N;;;;;
        "\u1D0E2",  # ;BYZANTINE MUSICAL SYMBOL SIMANSIS ARSEOS;So;0;L;;;;;N;;;;;
        "\u1D0E3",  # ;BYZANTINE MUSICAL SYMBOL SIMANSIS ARSEOS DISIMOU;So;0;L;;;;;N;;;;;
        "\u1D0E4",  # ;BYZANTINE MUSICAL SYMBOL SIMANSIS ARSEOS TRISIMOU;So;0;L;;;;;N;;;;;
        "\u1D0E5",  # ;BYZANTINE MUSICAL SYMBOL SIMANSIS ARSEOS TETRASIMOU;So;0;L;;;;;N;;;;;
        "\u1D0E6",  # ;BYZANTINE MUSICAL SYMBOL DIGRAMMA GG;So;0;L;;;;;N;;;;;
        "\u1D0E7",  # ;BYZANTINE MUSICAL SYMBOL DIFTOGGOS OU;So;0;L;;;;;N;;;;;
        "\u1D0E8",  # ;BYZANTINE MUSICAL SYMBOL STIGMA;So;0;L;;;;;N;;;;;
        "\u1D0E9",  # ;BYZANTINE MUSICAL SYMBOL ARKTIKO PA;So;0;L;;;;;N;;;;;
        "\u1D0EA",  # ;BYZANTINE MUSICAL SYMBOL ARKTIKO VOU;So;0;L;;;;;N;;;;;
        "\u1D0EB",  # ;BYZANTINE MUSICAL SYMBOL ARKTIKO GA;So;0;L;;;;;N;;;;;
        "\u1D0EC",  # ;BYZANTINE MUSICAL SYMBOL ARKTIKO DI;So;0;L;;;;;N;;;;;
        "\u1D0ED",  # ;BYZANTINE MUSICAL SYMBOL ARKTIKO KE;So;0;L;;;;;N;;;;;
        "\u1D0EE",  # ;BYZANTINE MUSICAL SYMBOL ARKTIKO ZO;So;0;L;;;;;N;;;;;
        "\u1D0EF",  # ;BYZANTINE MUSICAL SYMBOL ARKTIKO NI;So;0;L;;;;;N;;;;;
        "\u1D0F0",  # ;BYZANTINE MUSICAL SYMBOL KENTIMATA NEO MESO;So;0;L;;;;;N;;;;;
        "\u1D0F1",  # ;BYZANTINE MUSICAL SYMBOL KENTIMA NEO MESO;So;0;L;;;;;N;;;;;
        "\u1D0F2",  # ;BYZANTINE MUSICAL SYMBOL KENTIMATA NEO KATO;So;0;L;;;;;N;;;;;
        "\u1D0F3",  # ;BYZANTINE MUSICAL SYMBOL KENTIMA NEO KATO;So;0;L;;;;;N;;;;;
        "\u1D0F4",  # ;BYZANTINE MUSICAL SYMBOL KLASMA KATO;So;0;L;;;;;N;;;;;
        "\u1D0F5",  # ;BYZANTINE MUSICAL SYMBOL GORGON NEO KATO;So;0;L;;;;;N;;;;;
        "\u1D100",  # ;MUSICAL SYMBOL SINGLE BARLINE;So;0;L;;;;;N;;;;;
        "\u1D101",  # ;MUSICAL SYMBOL DOUBLE BARLINE;So;0;L;;;;;N;;;;;
        "\u1D102",  # ;MUSICAL SYMBOL FINAL BARLINE;So;0;L;;;;;N;;;;;
        "\u1D103",  # ;MUSICAL SYMBOL REVERSE FINAL BARLINE;So;0;L;;;;;N;;;;;
        "\u1D104",  # ;MUSICAL SYMBOL DASHED BARLINE;So;0;L;;;;;N;;;;;
        "\u1D105",  # ;MUSICAL SYMBOL SHORT BARLINE;So;0;L;;;;;N;;;;;
        "\u1D106",  # ;MUSICAL SYMBOL LEFT REPEAT SIGN;So;0;L;;;;;N;;;;;
        "\u1D107",  # ;MUSICAL SYMBOL RIGHT REPEAT SIGN;So;0;L;;;;;N;;;;;
        "\u1D108",  # ;MUSICAL SYMBOL REPEAT DOTS;So;0;L;;;;;N;;;;;
        "\u1D109",  # ;MUSICAL SYMBOL DAL SEGNO;So;0;L;;;;;N;;;;;
        "\u1D10A",  # ;MUSICAL SYMBOL DA CAPO;So;0;L;;;;;N;;;;;
        "\u1D10B",  # ;MUSICAL SYMBOL SEGNO;So;0;L;;;;;N;;;;;
        "\u1D10C",  # ;MUSICAL SYMBOL CODA;So;0;L;;;;;N;;;;;
        "\u1D10D",  # ;MUSICAL SYMBOL REPEATED FIGURE-1;So;0;L;;;;;N;;;;;
        "\u1D10E",  # ;MUSICAL SYMBOL REPEATED FIGURE-2;So;0;L;;;;;N;;;;;
        "\u1D10F",  # ;MUSICAL SYMBOL REPEATED FIGURE-3;So;0;L;;;;;N;;;;;
        "\u1D110",  # ;MUSICAL SYMBOL FERMATA;So;0;L;;;;;N;;;;;
        "\u1D111",  # ;MUSICAL SYMBOL FERMATA BELOW;So;0;L;;;;;N;;;;;
        "\u1D112",  # ;MUSICAL SYMBOL BREATH MARK;So;0;L;;;;;N;;;;;
        "\u1D113",  # ;MUSICAL SYMBOL CAESURA;So;0;L;;;;;N;;;;;
        "\u1D114",  # ;MUSICAL SYMBOL BRACE;So;0;L;;;;;N;;;;;
        "\u1D115",  # ;MUSICAL SYMBOL BRACKET;So;0;L;;;;;N;;;;;
        "\u1D116",  # ;MUSICAL SYMBOL ONE-LINE STAFF;So;0;L;;;;;N;;;;;
        "\u1D117",  # ;MUSICAL SYMBOL TWO-LINE STAFF;So;0;L;;;;;N;;;;;
        "\u1D118",  # ;MUSICAL SYMBOL THREE-LINE STAFF;So;0;L;;;;;N;;;;;
        "\u1D119",  # ;MUSICAL SYMBOL FOUR-LINE STAFF;So;0;L;;;;;N;;;;;
        "\u1D11A",  # ;MUSICAL SYMBOL FIVE-LINE STAFF;So;0;L;;;;;N;;;;;
        "\u1D11B",  # ;MUSICAL SYMBOL SIX-LINE STAFF;So;0;L;;;;;N;;;;;
        "\u1D11C",  # ;MUSICAL SYMBOL SIX-STRING FRETBOARD;So;0;L;;;;;N;;;;;
        "\u1D11D",  # ;MUSICAL SYMBOL FOUR-STRING FRETBOARD;So;0;L;;;;;N;;;;;
        "\u1D11E",  # ;MUSICAL SYMBOL G CLEF;So;0;L;;;;;N;;;;;
        "\u1D11F",  # ;MUSICAL SYMBOL G CLEF OTTAVA ALTA;So;0;L;;;;;N;;;;;
        "\u1D120",  # ;MUSICAL SYMBOL G CLEF OTTAVA BASSA;So;0;L;;;;;N;;;;;
        "\u1D121",  # ;MUSICAL SYMBOL C CLEF;So;0;L;;;;;N;;;;;
        "\u1D122",  # ;MUSICAL SYMBOL F CLEF;So;0;L;;;;;N;;;;;
        "\u1D123",  # ;MUSICAL SYMBOL F CLEF OTTAVA ALTA;So;0;L;;;;;N;;;;;
        "\u1D124",  # ;MUSICAL SYMBOL F CLEF OTTAVA BASSA;So;0;L;;;;;N;;;;;
        "\u1D125",  # ;MUSICAL SYMBOL DRUM CLEF-1;So;0;L;;;;;N;;;;;
        "\u1D126",  # ;MUSICAL SYMBOL DRUM CLEF-2;So;0;L;;;;;N;;;;;
        "\u1D129",  # ;MUSICAL SYMBOL MULTIPLE MEASURE REST;So;0;L;;;;;N;;;;;
        "\u1D12A",  # ;MUSICAL SYMBOL DOUBLE SHARP;So;0;L;;;;;N;;;;;
        "\u1D12B",  # ;MUSICAL SYMBOL DOUBLE FLAT;So;0;L;;;;;N;;;;;
        "\u1D12C",  # ;MUSICAL SYMBOL FLAT UP;So;0;L;;;;;N;;;;;
        "\u1D12D",  # ;MUSICAL SYMBOL FLAT DOWN;So;0;L;;;;;N;;;;;
        "\u1D12E",  # ;MUSICAL SYMBOL NATURAL UP;So;0;L;;;;;N;;;;;
        "\u1D12F",  # ;MUSICAL SYMBOL NATURAL DOWN;So;0;L;;;;;N;;;;;
        "\u1D130",  # ;MUSICAL SYMBOL SHARP UP;So;0;L;;;;;N;;;;;
        "\u1D131",  # ;MUSICAL SYMBOL SHARP DOWN;So;0;L;;;;;N;;;;;
        "\u1D132",  # ;MUSICAL SYMBOL QUARTER TONE SHARP;So;0;L;;;;;N;;;;;
        "\u1D133",  # ;MUSICAL SYMBOL QUARTER TONE FLAT;So;0;L;;;;;N;;;;;
        "\u1D134",  # ;MUSICAL SYMBOL COMMON TIME;So;0;L;;;;;N;;;;;
        "\u1D135",  # ;MUSICAL SYMBOL CUT TIME;So;0;L;;;;;N;;;;;
        "\u1D136",  # ;MUSICAL SYMBOL OTTAVA ALTA;So;0;L;;;;;N;;;;;
        "\u1D137",  # ;MUSICAL SYMBOL OTTAVA BASSA;So;0;L;;;;;N;;;;;
        "\u1D138",  # ;MUSICAL SYMBOL QUINDICESIMA ALTA;So;0;L;;;;;N;;;;;
        "\u1D139",  # ;MUSICAL SYMBOL QUINDICESIMA BASSA;So;0;L;;;;;N;;;;;
        "\u1D13A",  # ;MUSICAL SYMBOL MULTI REST;So;0;L;;;;;N;;;;;
        "\u1D13B",  # ;MUSICAL SYMBOL WHOLE REST;So;0;L;;;;;N;;;;;
        "\u1D13C",  # ;MUSICAL SYMBOL HALF REST;So;0;L;;;;;N;;;;;
        "\u1D13D",  # ;MUSICAL SYMBOL QUARTER REST;So;0;L;;;;;N;;;;;
        "\u1D13E",  # ;MUSICAL SYMBOL EIGHTH REST;So;0;L;;;;;N;;;;;
        "\u1D13F",  # ;MUSICAL SYMBOL SIXTEENTH REST;So;0;L;;;;;N;;;;;
        "\u1D140",  # ;MUSICAL SYMBOL THIRTY-SECOND REST;So;0;L;;;;;N;;;;;
        "\u1D141",  # ;MUSICAL SYMBOL SIXTY-FOURTH REST;So;0;L;;;;;N;;;;;
        "\u1D142",  # ;MUSICAL SYMBOL ONE HUNDRED TWENTY-EIGHTH REST;So;0;L;;;;;N;;;;;
        "\u1D143",  # ;MUSICAL SYMBOL X NOTEHEAD;So;0;L;;;;;N;;;;;
        "\u1D144",  # ;MUSICAL SYMBOL PLUS NOTEHEAD;So;0;L;;;;;N;;;;;
        "\u1D145",  # ;MUSICAL SYMBOL CIRCLE X NOTEHEAD;So;0;L;;;;;N;;;;;
        "\u1D146",  # ;MUSICAL SYMBOL SQUARE NOTEHEAD WHITE;So;0;L;;;;;N;;;;;
        "\u1D147",  # ;MUSICAL SYMBOL SQUARE NOTEHEAD BLACK;So;0;L;;;;;N;;;;;
        "\u1D148",  # ;MUSICAL SYMBOL TRIANGLE NOTEHEAD UP WHITE;So;0;L;;;;;N;;;;;
        "\u1D149",  # ;MUSICAL SYMBOL TRIANGLE NOTEHEAD UP BLACK;So;0;L;;;;;N;;;;;
        "\u1D14A",  # ;MUSICAL SYMBOL TRIANGLE NOTEHEAD LEFT WHITE;So;0;L;;;;;N;;;;;
        "\u1D14B",  # ;MUSICAL SYMBOL TRIANGLE NOTEHEAD LEFT BLACK;So;0;L;;;;;N;;;;;
        "\u1D14C",  # ;MUSICAL SYMBOL TRIANGLE NOTEHEAD RIGHT WHITE;So;0;L;;;;;N;;;;;
        "\u1D14D",  # ;MUSICAL SYMBOL TRIANGLE NOTEHEAD RIGHT BLACK;So;0;L;;;;;N;;;;;
        "\u1D14E",  # ;MUSICAL SYMBOL TRIANGLE NOTEHEAD DOWN WHITE;So;0;L;;;;;N;;;;;
        "\u1D14F",  # ;MUSICAL SYMBOL TRIANGLE NOTEHEAD DOWN BLACK;So;0;L;;;;;N;;;;;
        "\u1D150",  # ;MUSICAL SYMBOL TRIANGLE NOTEHEAD UP RIGHT WHITE;So;0;L;;;;;N;;;;;
        "\u1D151",  # ;MUSICAL SYMBOL TRIANGLE NOTEHEAD UP RIGHT BLACK;So;0;L;;;;;N;;;;;
        "\u1D152",  # ;MUSICAL SYMBOL MOON NOTEHEAD WHITE;So;0;L;;;;;N;;;;;
        "\u1D153",  # ;MUSICAL SYMBOL MOON NOTEHEAD BLACK;So;0;L;;;;;N;;;;;
        "\u1D154",  # ;MUSICAL SYMBOL TRIANGLE-ROUND NOTEHEAD DOWN WHITE;So;0;L;;;;;N;;;;;
        "\u1D155",  # ;MUSICAL SYMBOL TRIANGLE-ROUND NOTEHEAD DOWN BLACK;So;0;L;;;;;N;;;;;
        "\u1D156",  # ;MUSICAL SYMBOL PARENTHESIS NOTEHEAD;So;0;L;;;;;N;;;;;
        "\u1D157",  # ;MUSICAL SYMBOL VOID NOTEHEAD;So;0;L;;;;;N;;;;;
        "\u1D158",  # ;MUSICAL SYMBOL NOTEHEAD BLACK;So;0;L;;;;;N;;;;;
        "\u1D159",  # ;MUSICAL SYMBOL NULL NOTEHEAD;So;0;L;;;;;N;;;;;
        "\u1D15A",  # ;MUSICAL SYMBOL CLUSTER NOTEHEAD WHITE;So;0;L;;;;;N;;;;;
        "\u1D15B",  # ;MUSICAL SYMBOL CLUSTER NOTEHEAD BLACK;So;0;L;;;;;N;;;;;
        "\u1D15C",  # ;MUSICAL SYMBOL BREVE;So;0;L;;;;;N;;;;;
        "\u1D15D",  # ;MUSICAL SYMBOL WHOLE NOTE;So;0;L;;;;;N;;;;;
        "\u1D15E",  # ;MUSICAL SYMBOL HALF NOTE;So;0;L;1D157 1D165;;;;N;;;;;
        "\u1D15F",  # ;MUSICAL SYMBOL QUARTER NOTE;So;0;L;1D158 1D165;;;;N;;;;;
        "\u1D160",  # ;MUSICAL SYMBOL EIGHTH NOTE;So;0;L;1D15F 1D16E;;;;N;;;;;
        "\u1D161",  # ;MUSICAL SYMBOL SIXTEENTH NOTE;So;0;L;1D15F 1D16F;;;;N;;;;;
        "\u1D162",  # ;MUSICAL SYMBOL THIRTY-SECOND NOTE;So;0;L;1D15F 1D170;;;;N;;;;;
        "\u1D163",  # ;MUSICAL SYMBOL SIXTY-FOURTH NOTE;So;0;L;1D15F 1D171;;;;N;;;;;
        "\u1D164",  # ;MUSICAL SYMBOL ONE HUNDRED TWENTY-EIGHTH NOTE;So;0;L;1D15F 1D172;;;;N;;;;;
        "\u1D165",  # ;MUSICAL SYMBOL COMBINING STEM;Mc;216;L;;;;;N;;;;;
        "\u1D166",  # ;MUSICAL SYMBOL COMBINING SPRECHGESANG STEM;Mc;216;L;;;;;N;;;;;
        "\u1D167",  # ;MUSICAL SYMBOL COMBINING TREMOLO-1;Mn;1;NSM;;;;;N;;;;;
        "\u1D168",  # ;MUSICAL SYMBOL COMBINING TREMOLO-2;Mn;1;NSM;;;;;N;;;;;
        "\u1D169",  # ;MUSICAL SYMBOL COMBINING TREMOLO-3;Mn;1;NSM;;;;;N;;;;;
        "\u1D16A",  # ;MUSICAL SYMBOL FINGERED TREMOLO-1;So;0;L;;;;;N;;;;;
        "\u1D16B",  # ;MUSICAL SYMBOL FINGERED TREMOLO-2;So;0;L;;;;;N;;;;;
        "\u1D16C",  # ;MUSICAL SYMBOL FINGERED TREMOLO-3;So;0;L;;;;;N;;;;;
        "\u1D16D",  # ;MUSICAL SYMBOL COMBINING AUGMENTATION DOT;Mc;226;L;;;;;N;;;;;
        "\u1D16E",  # ;MUSICAL SYMBOL COMBINING FLAG-1;Mc;216;L;;;;;N;;;;;
        "\u1D16F",  # ;MUSICAL SYMBOL COMBINING FLAG-2;Mc;216;L;;;;;N;;;;;
        "\u1D170",  # ;MUSICAL SYMBOL COMBINING FLAG-3;Mc;216;L;;;;;N;;;;;
        "\u1D171",  # ;MUSICAL SYMBOL COMBINING FLAG-4;Mc;216;L;;;;;N;;;;;
        "\u1D172",  # ;MUSICAL SYMBOL COMBINING FLAG-5;Mc;216;L;;;;;N;;;;;
        "\u1D173",  # ;MUSICAL SYMBOL BEGIN BEAM;Cf;0;BN;;;;;N;;;;;
        "\u1D174",  # ;MUSICAL SYMBOL END BEAM;Cf;0;BN;;;;;N;;;;;
        "\u1D175",  # ;MUSICAL SYMBOL BEGIN TIE;Cf;0;BN;;;;;N;;;;;
        "\u1D176",  # ;MUSICAL SYMBOL END TIE;Cf;0;BN;;;;;N;;;;;
        "\u1D177",  # ;MUSICAL SYMBOL BEGIN SLUR;Cf;0;BN;;;;;N;;;;;
        "\u1D178",  # ;MUSICAL SYMBOL END SLUR;Cf;0;BN;;;;;N;;;;;
        "\u1D179",  # ;MUSICAL SYMBOL BEGIN PHRASE;Cf;0;BN;;;;;N;;;;;
        "\u1D17A",  # ;MUSICAL SYMBOL END PHRASE;Cf;0;BN;;;;;N;;;;;
        "\u1D17B",  # ;MUSICAL SYMBOL COMBINING ACCENT;Mn;220;NSM;;;;;N;;;;;
        "\u1D17C",  # ;MUSICAL SYMBOL COMBINING STACCATO;Mn;220;NSM;;;;;N;;;;;
        "\u1D17D",  # ;MUSICAL SYMBOL COMBINING TENUTO;Mn;220;NSM;;;;;N;;;;;
        "\u1D17E",  # ;MUSICAL SYMBOL COMBINING STACCATISSIMO;Mn;220;NSM;;;;;N;;;;;
        "\u1D17F",  # ;MUSICAL SYMBOL COMBINING MARCATO;Mn;220;NSM;;;;;N;;;;;
        "\u1D180",  # ;MUSICAL SYMBOL COMBINING MARCATO-STACCATO;Mn;220;NSM;;;;;N;;;;;
        "\u1D181",  # ;MUSICAL SYMBOL COMBINING ACCENT-STACCATO;Mn;220;NSM;;;;;N;;;;;
        "\u1D182",  # ;MUSICAL SYMBOL COMBINING LOURE;Mn;220;NSM;;;;;N;;;;;
        "\u1D183",  # ;MUSICAL SYMBOL ARPEGGIATO UP;So;0;L;;;;;N;;;;;
        "\u1D184",  # ;MUSICAL SYMBOL ARPEGGIATO DOWN;So;0;L;;;;;N;;;;;
        "\u1D185",  # ;MUSICAL SYMBOL COMBINING DOIT;Mn;230;NSM;;;;;N;;;;;
        "\u1D186",  # ;MUSICAL SYMBOL COMBINING RIP;Mn;230;NSM;;;;;N;;;;;
        "\u1D187",  # ;MUSICAL SYMBOL COMBINING FLIP;Mn;230;NSM;;;;;N;;;;;
        "\u1D188",  # ;MUSICAL SYMBOL COMBINING SMEAR;Mn;230;NSM;;;;;N;;;;;
        "\u1D189",  # ;MUSICAL SYMBOL COMBINING BEND;Mn;230;NSM;;;;;N;;;;;
        "\u1D18A",  # ;MUSICAL SYMBOL COMBINING DOUBLE TONGUE;Mn;220;NSM;;;;;N;;;;;
        "\u1D18B",  # ;MUSICAL SYMBOL COMBINING TRIPLE TONGUE;Mn;220;NSM;;;;;N;;;;;
        "\u1D18C",  # ;MUSICAL SYMBOL RINFORZANDO;So;0;L;;;;;N;;;;;
        "\u1D18D",  # ;MUSICAL SYMBOL SUBITO;So;0;L;;;;;N;;;;;
        "\u1D18E",  # ;MUSICAL SYMBOL Z;So;0;L;;;;;N;;;;;
        "\u1D18F",  # ;MUSICAL SYMBOL PIANO;So;0;L;;;;;N;;;;;
        "\u1D190",  # ;MUSICAL SYMBOL MEZZO;So;0;L;;;;;N;;;;;
        "\u1D191",  # ;MUSICAL SYMBOL FORTE;So;0;L;;;;;N;;;;;
        "\u1D192",  # ;MUSICAL SYMBOL CRESCENDO;So;0;L;;;;;N;;;;;
        "\u1D193",  # ;MUSICAL SYMBOL DECRESCENDO;So;0;L;;;;;N;;;;;
        "\u1D194",  # ;MUSICAL SYMBOL GRACE NOTE SLASH;So;0;L;;;;;N;;;;;
        "\u1D195",  # ;MUSICAL SYMBOL GRACE NOTE NO SLASH;So;0;L;;;;;N;;;;;
        "\u1D196",  # ;MUSICAL SYMBOL TR;So;0;L;;;;;N;;;;;
        "\u1D197",  # ;MUSICAL SYMBOL TURN;So;0;L;;;;;N;;;;;
        "\u1D198",  # ;MUSICAL SYMBOL INVERTED TURN;So;0;L;;;;;N;;;;;
        "\u1D199",  # ;MUSICAL SYMBOL TURN SLASH;So;0;L;;;;;N;;;;;
        "\u1D19A",  # ;MUSICAL SYMBOL TURN UP;So;0;L;;;;;N;;;;;
        "\u1D19B",  # ;MUSICAL SYMBOL ORNAMENT STROKE-1;So;0;L;;;;;N;;;;;
        "\u1D19C",  # ;MUSICAL SYMBOL ORNAMENT STROKE-2;So;0;L;;;;;N;;;;;
        "\u1D19D",  # ;MUSICAL SYMBOL ORNAMENT STROKE-3;So;0;L;;;;;N;;;;;
        "\u1D19E",  # ;MUSICAL SYMBOL ORNAMENT STROKE-4;So;0;L;;;;;N;;;;;
        "\u1D19F",  # ;MUSICAL SYMBOL ORNAMENT STROKE-5;So;0;L;;;;;N;;;;;
        "\u1D1A0",  # ;MUSICAL SYMBOL ORNAMENT STROKE-6;So;0;L;;;;;N;;;;;
        "\u1D1A1",  # ;MUSICAL SYMBOL ORNAMENT STROKE-7;So;0;L;;;;;N;;;;;
        "\u1D1A2",  # ;MUSICAL SYMBOL ORNAMENT STROKE-8;So;0;L;;;;;N;;;;;
        "\u1D1A3",  # ;MUSICAL SYMBOL ORNAMENT STROKE-9;So;0;L;;;;;N;;;;;
        "\u1D1A4",  # ;MUSICAL SYMBOL ORNAMENT STROKE-10;So;0;L;;;;;N;;;;;
        "\u1D1A5",  # ;MUSICAL SYMBOL ORNAMENT STROKE-11;So;0;L;;;;;N;;;;;
        "\u1D1A6",  # ;MUSICAL SYMBOL HAUPTSTIMME;So;0;L;;;;;N;;;;;
        "\u1D1A7",  # ;MUSICAL SYMBOL NEBENSTIMME;So;0;L;;;;;N;;;;;
        "\u1D1A8",  # ;MUSICAL SYMBOL END OF STIMME;So;0;L;;;;;N;;;;;
        "\u1D1A9",  # ;MUSICAL SYMBOL DEGREE SLASH;So;0;L;;;;;N;;;;;
        "\u1D1AA",  # ;MUSICAL SYMBOL COMBINING DOWN BOW;Mn;230;NSM;;;;;N;;;;;
        "\u1D1AB",  # ;MUSICAL SYMBOL COMBINING UP BOW;Mn;230;NSM;;;;;N;;;;;
        "\u1D1AC",  # ;MUSICAL SYMBOL COMBINING HARMONIC;Mn;230;NSM;;;;;N;;;;;
        "\u1D1AD",  # ;MUSICAL SYMBOL COMBINING SNAP PIZZICATO;Mn;230;NSM;;;;;N;;;;;
        "\u1D1AE",  # ;MUSICAL SYMBOL PEDAL MARK;So;0;L;;;;;N;;;;;
        "\u1D1AF",  # ;MUSICAL SYMBOL PEDAL UP MARK;So;0;L;;;;;N;;;;;
        "\u1D1B0",  # ;MUSICAL SYMBOL HALF PEDAL MARK;So;0;L;;;;;N;;;;;
        "\u1D1B1",  # ;MUSICAL SYMBOL GLISSANDO UP;So;0;L;;;;;N;;;;;
        "\u1D1B2",  # ;MUSICAL SYMBOL GLISSANDO DOWN;So;0;L;;;;;N;;;;;
        "\u1D1B3",  # ;MUSICAL SYMBOL WITH FINGERNAILS;So;0;L;;;;;N;;;;;
        "\u1D1B4",  # ;MUSICAL SYMBOL DAMP;So;0;L;;;;;N;;;;;
        "\u1D1B5",  # ;MUSICAL SYMBOL DAMP ALL;So;0;L;;;;;N;;;;;
        "\u1D1B6",  # ;MUSICAL SYMBOL MAXIMA;So;0;L;;;;;N;;;;;
        "\u1D1B7",  # ;MUSICAL SYMBOL LONGA;So;0;L;;;;;N;;;;;
        "\u1D1B8",  # ;MUSICAL SYMBOL BREVIS;So;0;L;;;;;N;;;;;
        "\u1D1B9",  # ;MUSICAL SYMBOL SEMIBREVIS WHITE;So;0;L;;;;;N;;;;;
        "\u1D1BA",  # ;MUSICAL SYMBOL SEMIBREVIS BLACK;So;0;L;;;;;N;;;;;
        "\u1D1BB",  # ;MUSICAL SYMBOL MINIMA;So;0;L;1D1B9 1D165;;;;N;;;;;
        "\u1D1BC",  # ;MUSICAL SYMBOL MINIMA BLACK;So;0;L;1D1BA 1D165;;;;N;;;;;
        "\u1D1BD",  # ;MUSICAL SYMBOL SEMIMINIMA WHITE;So;0;L;1D1BB 1D16E;;;;N;;;;;
        "\u1D1BE",  # ;MUSICAL SYMBOL SEMIMINIMA BLACK;So;0;L;1D1BC 1D16E;;;;N;;;;;
        "\u1D1BF",  # ;MUSICAL SYMBOL FUSA WHITE;So;0;L;1D1BB 1D16F;;;;N;;;;;
        "\u1D1C0",  # ;MUSICAL SYMBOL FUSA BLACK;So;0;L;1D1BC 1D16F;;;;N;;;;;
        "\u1D1C1",  # ;MUSICAL SYMBOL LONGA PERFECTA REST;So;0;L;;;;;N;;;;;
        "\u1D1C2",  # ;MUSICAL SYMBOL LONGA IMPERFECTA REST;So;0;L;;;;;N;;;;;
        "\u1D1C3",  # ;MUSICAL SYMBOL BREVIS REST;So;0;L;;;;;N;;;;;
        "\u1D1C4",  # ;MUSICAL SYMBOL SEMIBREVIS REST;So;0;L;;;;;N;;;;;
        "\u1D1C5",  # ;MUSICAL SYMBOL MINIMA REST;So;0;L;;;;;N;;;;;
        "\u1D1C6",  # ;MUSICAL SYMBOL SEMIMINIMA REST;So;0;L;;;;;N;;;;;
        "\u1D1C7",  # ;MUSICAL SYMBOL TEMPUS PERFECTUM CUM PROLATIONE PERFECTA;So;0;L;;;;;N;;;;;
        "\u1D1C8",  # ;MUSICAL SYMBOL TEMPUS PERFECTUM CUM PROLATIONE IMPERFECTA;So;0;L;;;;;N;;;;;
        "\u1D1C9",  # ;MUSICAL SYMBOL TEMPUS PERFECTUM CUM PROLATIONE PERFECTA DIMINUTION-1;So;0;L;;;;;N;;;;;
        "\u1D1CA",  # ;MUSICAL SYMBOL TEMPUS IMPERFECTUM CUM PROLATIONE PERFECTA;So;0;L;;;;;N;;;;;
        "\u1D1CB",  # ;MUSICAL SYMBOL TEMPUS IMPERFECTUM CUM PROLATIONE IMPERFECTA;So;0;L;;;;;N;;;;;
        "\u1D1CC",  # ;MUSICAL SYMBOL TEMPUS IMPERFECTUM CUM PROLATIONE IMPERFECTA DIMINUTION-1;So;0;L;;;;;N;;;;;
        "\u1D1CD",  # ;MUSICAL SYMBOL TEMPUS IMPERFECTUM CUM PROLATIONE IMPERFECTA DIMINUTION-2;So;0;L;;;;;N;;;;;
        "\u1D1CE",  # ;MUSICAL SYMBOL TEMPUS IMPERFECTUM CUM PROLATIONE IMPERFECTA DIMINUTION-3;So;0;L;;;;;N;;;;;
        "\u1D1CF",  # ;MUSICAL SYMBOL CROIX;So;0;L;;;;;N;;;;;
        "\u1D1D0",  # ;MUSICAL SYMBOL GREGORIAN C CLEF;So;0;L;;;;;N;;;;;
        "\u1D1D1",  # ;MUSICAL SYMBOL GREGORIAN F CLEF;So;0;L;;;;;N;;;;;
        "\u1D1D2",  # ;MUSICAL SYMBOL SQUARE B;So;0;L;;;;;N;;;;;
        "\u1D1D3",  # ;MUSICAL SYMBOL VIRGA;So;0;L;;;;;N;;;;;
        "\u1D1D4",  # ;MUSICAL SYMBOL PODATUS;So;0;L;;;;;N;;;;;
        "\u1D1D5",  # ;MUSICAL SYMBOL CLIVIS;So;0;L;;;;;N;;;;;
        "\u1D1D6",  # ;MUSICAL SYMBOL SCANDICUS;So;0;L;;;;;N;;;;;
        "\u1D1D7",  # ;MUSICAL SYMBOL CLIMACUS;So;0;L;;;;;N;;;;;
        "\u1D1D8",  # ;MUSICAL SYMBOL TORCULUS;So;0;L;;;;;N;;;;;
        "\u1D1D9",  # ;MUSICAL SYMBOL PORRECTUS;So;0;L;;;;;N;;;;;
        "\u1D1DA",  # ;MUSICAL SYMBOL PORRECTUS FLEXUS;So;0;L;;;;;N;;;;;
        "\u1D1DB",  # ;MUSICAL SYMBOL SCANDICUS FLEXUS;So;0;L;;;;;N;;;;;
        "\u1D1DC",  # ;MUSICAL SYMBOL TORCULUS RESUPINUS;So;0;L;;;;;N;;;;;
        "\u1D1DD",  # ;MUSICAL SYMBOL PES SUBPUNCTIS;So;0;L;;;;;N;;;;;
        "\u1D1DE",  # ;MUSICAL SYMBOL KIEVAN C CLEF;So;0;L;;;;;N;;;;;
        "\u1D1DF",  # ;MUSICAL SYMBOL KIEVAN END OF PIECE;So;0;L;;;;;N;;;;;
        "\u1D1E0",  # ;MUSICAL SYMBOL KIEVAN FINAL NOTE;So;0;L;;;;;N;;;;;
        "\u1D1E1",  # ;MUSICAL SYMBOL KIEVAN RECITATIVE MARK;So;0;L;;;;;N;;;;;
        "\u1D1E2",  # ;MUSICAL SYMBOL KIEVAN WHOLE NOTE;So;0;L;;;;;N;;;;;
        "\u1D1E3",  # ;MUSICAL SYMBOL KIEVAN HALF NOTE;So;0;L;;;;;N;;;;;
        "\u1D1E4",  # ;MUSICAL SYMBOL KIEVAN QUARTER NOTE STEM DOWN;So;0;L;;;;;N;;;;;
        "\u1D1E5",  # ;MUSICAL SYMBOL KIEVAN QUARTER NOTE STEM UP;So;0;L;;;;;N;;;;;
        "\u1D1E6",  # ;MUSICAL SYMBOL KIEVAN EIGHTH NOTE STEM DOWN;So;0;L;;;;;N;;;;;
        "\u1D1E7",  # ;MUSICAL SYMBOL KIEVAN EIGHTH NOTE STEM UP;So;0;L;;;;;N;;;;;
        "\u1D1E8",  # ;MUSICAL SYMBOL KIEVAN FLAT SIGN;So;0;L;;;;;N;;;;;
        "\u1D200",  # ;GREEK VOCAL NOTATION SYMBOL-1;So;0;ON;;;;;N;;;;;
        "\u1D201",  # ;GREEK VOCAL NOTATION SYMBOL-2;So;0;ON;;;;;N;;;;;
        "\u1D202",  # ;GREEK VOCAL NOTATION SYMBOL-3;So;0;ON;;;;;N;;;;;
        "\u1D203",  # ;GREEK VOCAL NOTATION SYMBOL-4;So;0;ON;;;;;N;;;;;
        "\u1D204",  # ;GREEK VOCAL NOTATION SYMBOL-5;So;0;ON;;;;;N;;;;;
        "\u1D205",  # ;GREEK VOCAL NOTATION SYMBOL-6;So;0;ON;;;;;N;;;;;
        "\u1D206",  # ;GREEK VOCAL NOTATION SYMBOL-7;So;0;ON;;;;;N;;;;;
        "\u1D207",  # ;GREEK VOCAL NOTATION SYMBOL-8;So;0;ON;;;;;N;;;;;
        "\u1D208",  # ;GREEK VOCAL NOTATION SYMBOL-9;So;0;ON;;;;;N;;;;;
        "\u1D209",  # ;GREEK VOCAL NOTATION SYMBOL-10;So;0;ON;;;;;N;;;;;
        "\u1D20A",  # ;GREEK VOCAL NOTATION SYMBOL-11;So;0;ON;;;;;N;;;;;
        "\u1D20B",  # ;GREEK VOCAL NOTATION SYMBOL-12;So;0;ON;;;;;N;;;;;
        "\u1D20C",  # ;GREEK VOCAL NOTATION SYMBOL-13;So;0;ON;;;;;N;;;;;
        "\u1D20D",  # ;GREEK VOCAL NOTATION SYMBOL-14;So;0;ON;;;;;N;;;;;
        "\u1D20E",  # ;GREEK VOCAL NOTATION SYMBOL-15;So;0;ON;;;;;N;;;;;
        "\u1D20F",  # ;GREEK VOCAL NOTATION SYMBOL-16;So;0;ON;;;;;N;;;;;
        "\u1D210",  # ;GREEK VOCAL NOTATION SYMBOL-17;So;0;ON;;;;;N;;;;;
        "\u1D211",  # ;GREEK VOCAL NOTATION SYMBOL-18;So;0;ON;;;;;N;;;;;
        "\u1D212",  # ;GREEK VOCAL NOTATION SYMBOL-19;So;0;ON;;;;;N;;;;;
        "\u1D213",  # ;GREEK VOCAL NOTATION SYMBOL-20;So;0;ON;;;;;N;;;;;
        "\u1D214",  # ;GREEK VOCAL NOTATION SYMBOL-21;So;0;ON;;;;;N;;;;;
        "\u1D215",  # ;GREEK VOCAL NOTATION SYMBOL-22;So;0;ON;;;;;N;;;;;
        "\u1D216",  # ;GREEK VOCAL NOTATION SYMBOL-23;So;0;ON;;;;;N;;;;;
        "\u1D217",  # ;GREEK VOCAL NOTATION SYMBOL-24;So;0;ON;;;;;N;;;;;
        "\u1D218",  # ;GREEK VOCAL NOTATION SYMBOL-50;So;0;ON;;;;;N;;;;;
        "\u1D219",  # ;GREEK VOCAL NOTATION SYMBOL-51;So;0;ON;;;;;N;;;;;
        "\u1D21A",  # ;GREEK VOCAL NOTATION SYMBOL-52;So;0;ON;;;;;N;;;;;
        "\u1D21B",  # ;GREEK VOCAL NOTATION SYMBOL-53;So;0;ON;;;;;N;;;;;
        "\u1D21C",  # ;GREEK VOCAL NOTATION SYMBOL-54;So;0;ON;;;;;N;;;;;
        "\u1D21D",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-1;So;0;ON;;;;;N;;;;;
        "\u1D21E",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-2;So;0;ON;;;;;N;;;;;
        "\u1D21F",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-4;So;0;ON;;;;;N;;;;;
        "\u1D220",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-5;So;0;ON;;;;;N;;;;;
        "\u1D221",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-7;So;0;ON;;;;;N;;;;;
        "\u1D222",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-8;So;0;ON;;;;;N;;;;;
        "\u1D223",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-11;So;0;ON;;;;;N;;;;;
        "\u1D224",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-12;So;0;ON;;;;;N;;;;;
        "\u1D225",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-13;So;0;ON;;;;;N;;;;;
        "\u1D226",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-14;So;0;ON;;;;;N;;;;;
        "\u1D227",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-17;So;0;ON;;;;;N;;;;;
        "\u1D228",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-18;So;0;ON;;;;;N;;;;;
        "\u1D229",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-19;So;0;ON;;;;;N;;;;;
        "\u1D22A",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-23;So;0;ON;;;;;N;;;;;
        "\u1D22B",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-24;So;0;ON;;;;;N;;;;;
        "\u1D22C",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-25;So;0;ON;;;;;N;;;;;
        "\u1D22D",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-26;So;0;ON;;;;;N;;;;;
        "\u1D22E",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-27;So;0;ON;;;;;N;;;;;
        "\u1D22F",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-29;So;0;ON;;;;;N;;;;;
        "\u1D230",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-30;So;0;ON;;;;;N;;;;;
        "\u1D231",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-32;So;0;ON;;;;;N;;;;;
        "\u1D232",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-36;So;0;ON;;;;;N;;;;;
        "\u1D233",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-37;So;0;ON;;;;;N;;;;;
        "\u1D234",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-38;So;0;ON;;;;;N;;;;;
        "\u1D235",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-39;So;0;ON;;;;;N;;;;;
        "\u1D236",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-40;So;0;ON;;;;;N;;;;;
        "\u1D237",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-42;So;0;ON;;;;;N;;;;;
        "\u1D238",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-43;So;0;ON;;;;;N;;;;;
        "\u1D239",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-45;So;0;ON;;;;;N;;;;;
        "\u1D23A",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-47;So;0;ON;;;;;N;;;;;
        "\u1D23B",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-48;So;0;ON;;;;;N;;;;;
        "\u1D23C",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-49;So;0;ON;;;;;N;;;;;
        "\u1D23D",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-50;So;0;ON;;;;;N;;;;;
        "\u1D23E",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-51;So;0;ON;;;;;N;;;;;
        "\u1D23F",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-52;So;0;ON;;;;;N;;;;;
        "\u1D240",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-53;So;0;ON;;;;;N;;;;;
        "\u1D241",  # ;GREEK INSTRUMENTAL NOTATION SYMBOL-54;So;0;ON;;;;;N;;;;;
        "\u1D242",  # ;COMBINING GREEK MUSICAL TRISEME;Mn;230;NSM;;;;;N;;;;;
        "\u1D243",  # ;COMBINING GREEK MUSICAL TETRASEME;Mn;230;NSM;;;;;N;;;;;
        "\u1D244",  # ;COMBINING GREEK MUSICAL PENTASEME;Mn;230;NSM;;;;;N;;;;;
        "\u1D245",  # ;GREEK MUSICAL LEIMMA;So;0;ON;;;;;N;;;;;
        "\u1D300",  # ;MONOGRAM FOR EARTH;So;0;ON;;;;;N;;;;;
        "\u1D301",  # ;DIGRAM FOR HEAVENLY EARTH;So;0;ON;;;;;N;;;;;
        "\u1D302",  # ;DIGRAM FOR HUMAN EARTH;So;0;ON;;;;;N;;;;;
        "\u1D303",  # ;DIGRAM FOR EARTHLY HEAVEN;So;0;ON;;;;;N;;;;;
        "\u1D304",  # ;DIGRAM FOR EARTHLY HUMAN;So;0;ON;;;;;N;;;;;
        "\u1D305",  # ;DIGRAM FOR EARTH;So;0;ON;;;;;N;;;;;
        "\u1D306",  # ;TETRAGRAM FOR CENTRE;So;0;ON;;;;;N;;;;;
        "\u1D307",  # ;TETRAGRAM FOR FULL CIRCLE;So;0;ON;;;;;N;;;;;
        "\u1D308",  # ;TETRAGRAM FOR MIRED;So;0;ON;;;;;N;;;;;
        "\u1D309",  # ;TETRAGRAM FOR BARRIER;So;0;ON;;;;;N;;;;;
        "\u1D30A",  # ;TETRAGRAM FOR KEEPING SMALL;So;0;ON;;;;;N;;;;;
        "\u1D30B",  # ;TETRAGRAM FOR CONTRARIETY;So;0;ON;;;;;N;;;;;
        "\u1D30C",  # ;TETRAGRAM FOR ASCENT;So;0;ON;;;;;N;;;;;
        "\u1D30D",  # ;TETRAGRAM FOR OPPOSITION;So;0;ON;;;;;N;;;;;
        "\u1D30E",  # ;TETRAGRAM FOR BRANCHING OUT;So;0;ON;;;;;N;;;;;
        "\u1D30F",  # ;TETRAGRAM FOR DEFECTIVENESS OR DISTORTION;So;0;ON;;;;;N;;;;;
        "\u1D310",  # ;TETRAGRAM FOR DIVERGENCE;So;0;ON;;;;;N;;;;;
        "\u1D311",  # ;TETRAGRAM FOR YOUTHFULNESS;So;0;ON;;;;;N;;;;;
        "\u1D312",  # ;TETRAGRAM FOR INCREASE;So;0;ON;;;;;N;;;;;
        "\u1D313",  # ;TETRAGRAM FOR PENETRATION;So;0;ON;;;;;N;;;;;
        "\u1D314",  # ;TETRAGRAM FOR REACH;So;0;ON;;;;;N;;;;;
        "\u1D315",  # ;TETRAGRAM FOR CONTACT;So;0;ON;;;;;N;;;;;
        "\u1D316",  # ;TETRAGRAM FOR HOLDING BACK;So;0;ON;;;;;N;;;;;
        "\u1D317",  # ;TETRAGRAM FOR WAITING;So;0;ON;;;;;N;;;;;
        "\u1D318",  # ;TETRAGRAM FOR FOLLOWING;So;0;ON;;;;;N;;;;;
        "\u1D319",  # ;TETRAGRAM FOR ADVANCE;So;0;ON;;;;;N;;;;;
        "\u1D31A",  # ;TETRAGRAM FOR RELEASE;So;0;ON;;;;;N;;;;;
        "\u1D31B",  # ;TETRAGRAM FOR RESISTANCE;So;0;ON;;;;;N;;;;;
        "\u1D31C",  # ;TETRAGRAM FOR EASE;So;0;ON;;;;;N;;;;;
        "\u1D31D",  # ;TETRAGRAM FOR JOY;So;0;ON;;;;;N;;;;;
        "\u1D31E",  # ;TETRAGRAM FOR CONTENTION;So;0;ON;;;;;N;;;;;
        "\u1D31F",  # ;TETRAGRAM FOR ENDEAVOUR;So;0;ON;;;;;N;;;;;
        "\u1D320",  # ;TETRAGRAM FOR DUTIES;So;0;ON;;;;;N;;;;;
        "\u1D321",  # ;TETRAGRAM FOR CHANGE;So;0;ON;;;;;N;;;;;
        "\u1D322",  # ;TETRAGRAM FOR DECISIVENESS;So;0;ON;;;;;N;;;;;
        "\u1D323",  # ;TETRAGRAM FOR BOLD RESOLUTION;So;0;ON;;;;;N;;;;;
        "\u1D324",  # ;TETRAGRAM FOR PACKING;So;0;ON;;;;;N;;;;;
        "\u1D325",  # ;TETRAGRAM FOR LEGION;So;0;ON;;;;;N;;;;;
        "\u1D326",  # ;TETRAGRAM FOR CLOSENESS;So;0;ON;;;;;N;;;;;
        "\u1D327",  # ;TETRAGRAM FOR KINSHIP;So;0;ON;;;;;N;;;;;
        "\u1D328",  # ;TETRAGRAM FOR GATHERING;So;0;ON;;;;;N;;;;;
        "\u1D329",  # ;TETRAGRAM FOR STRENGTH;So;0;ON;;;;;N;;;;;
        "\u1D32A",  # ;TETRAGRAM FOR PURITY;So;0;ON;;;;;N;;;;;
        "\u1D32B",  # ;TETRAGRAM FOR FULLNESS;So;0;ON;;;;;N;;;;;
        "\u1D32C",  # ;TETRAGRAM FOR RESIDENCE;So;0;ON;;;;;N;;;;;
        "\u1D32D",  # ;TETRAGRAM FOR LAW OR MODEL;So;0;ON;;;;;N;;;;;
        "\u1D32E",  # ;TETRAGRAM FOR RESPONSE;So;0;ON;;;;;N;;;;;
        "\u1D32F",  # ;TETRAGRAM FOR GOING TO MEET;So;0;ON;;;;;N;;;;;
        "\u1D330",  # ;TETRAGRAM FOR ENCOUNTERS;So;0;ON;;;;;N;;;;;
        "\u1D331",  # ;TETRAGRAM FOR STOVE;So;0;ON;;;;;N;;;;;
        "\u1D332",  # ;TETRAGRAM FOR GREATNESS;So;0;ON;;;;;N;;;;;
        "\u1D333",  # ;TETRAGRAM FOR ENLARGEMENT;So;0;ON;;;;;N;;;;;
        "\u1D334",  # ;TETRAGRAM FOR PATTERN;So;0;ON;;;;;N;;;;;
        "\u1D335",  # ;TETRAGRAM FOR RITUAL;So;0;ON;;;;;N;;;;;
        "\u1D336",  # ;TETRAGRAM FOR FLIGHT;So;0;ON;;;;;N;;;;;
        "\u1D337",  # ;TETRAGRAM FOR VASTNESS OR WASTING;So;0;ON;;;;;N;;;;;
        "\u1D338",  # ;TETRAGRAM FOR CONSTANCY;So;0;ON;;;;;N;;;;;
        "\u1D339",  # ;TETRAGRAM FOR MEASURE;So;0;ON;;;;;N;;;;;
        "\u1D33A",  # ;TETRAGRAM FOR ETERNITY;So;0;ON;;;;;N;;;;;
        "\u1D33B",  # ;TETRAGRAM FOR UNITY;So;0;ON;;;;;N;;;;;
        "\u1D33C",  # ;TETRAGRAM FOR DIMINISHMENT;So;0;ON;;;;;N;;;;;
        "\u1D33D",  # ;TETRAGRAM FOR CLOSED MOUTH;So;0;ON;;;;;N;;;;;
        "\u1D33E",  # ;TETRAGRAM FOR GUARDEDNESS;So;0;ON;;;;;N;;;;;
        "\u1D33F",  # ;TETRAGRAM FOR GATHERING IN;So;0;ON;;;;;N;;;;;
        "\u1D340",  # ;TETRAGRAM FOR MASSING;So;0;ON;;;;;N;;;;;
        "\u1D341",  # ;TETRAGRAM FOR ACCUMULATION;So;0;ON;;;;;N;;;;;
        "\u1D342",  # ;TETRAGRAM FOR EMBELLISHMENT;So;0;ON;;;;;N;;;;;
        "\u1D343",  # ;TETRAGRAM FOR DOUBT;So;0;ON;;;;;N;;;;;
        "\u1D344",  # ;TETRAGRAM FOR WATCH;So;0;ON;;;;;N;;;;;
        "\u1D345",  # ;TETRAGRAM FOR SINKING;So;0;ON;;;;;N;;;;;
        "\u1D346",  # ;TETRAGRAM FOR INNER;So;0;ON;;;;;N;;;;;
        "\u1D347",  # ;TETRAGRAM FOR DEPARTURE;So;0;ON;;;;;N;;;;;
        "\u1D348",  # ;TETRAGRAM FOR DARKENING;So;0;ON;;;;;N;;;;;
        "\u1D349",  # ;TETRAGRAM FOR DIMMING;So;0;ON;;;;;N;;;;;
        "\u1D34A",  # ;TETRAGRAM FOR EXHAUSTION;So;0;ON;;;;;N;;;;;
        "\u1D34B",  # ;TETRAGRAM FOR SEVERANCE;So;0;ON;;;;;N;;;;;
        "\u1D34C",  # ;TETRAGRAM FOR STOPPAGE;So;0;ON;;;;;N;;;;;
        "\u1D34D",  # ;TETRAGRAM FOR HARDNESS;So;0;ON;;;;;N;;;;;
        "\u1D34E",  # ;TETRAGRAM FOR COMPLETION;So;0;ON;;;;;N;;;;;
        "\u1D34F",  # ;TETRAGRAM FOR CLOSURE;So;0;ON;;;;;N;;;;;
        "\u1D350",  # ;TETRAGRAM FOR FAILURE;So;0;ON;;;;;N;;;;;
        "\u1D351",  # ;TETRAGRAM FOR AGGRAVATION;So;0;ON;;;;;N;;;;;
        "\u1D352",  # ;TETRAGRAM FOR COMPLIANCE;So;0;ON;;;;;N;;;;;
        "\u1D353",  # ;TETRAGRAM FOR ON THE VERGE;So;0;ON;;;;;N;;;;;
        "\u1D354",  # ;TETRAGRAM FOR DIFFICULTIES;So;0;ON;;;;;N;;;;;
        "\u1D355",  # ;TETRAGRAM FOR LABOURING;So;0;ON;;;;;N;;;;;
        "\u1D356",  # ;TETRAGRAM FOR FOSTERING;So;0;ON;;;;;N;;;;;
        "\u1D360",  # ;COUNTING ROD UNIT DIGIT ONE;No;0;L;;;;1;N;;;;;
        "\u1D361",  # ;COUNTING ROD UNIT DIGIT TWO;No;0;L;;;;2;N;;;;;
        "\u1D362",  # ;COUNTING ROD UNIT DIGIT THREE;No;0;L;;;;3;N;;;;;
        "\u1D363",  # ;COUNTING ROD UNIT DIGIT FOUR;No;0;L;;;;4;N;;;;;
        "\u1D364",  # ;COUNTING ROD UNIT DIGIT FIVE;No;0;L;;;;5;N;;;;;
        "\u1D365",  # ;COUNTING ROD UNIT DIGIT SIX;No;0;L;;;;6;N;;;;;
        "\u1D366",  # ;COUNTING ROD UNIT DIGIT SEVEN;No;0;L;;;;7;N;;;;;
        "\u1D367",  # ;COUNTING ROD UNIT DIGIT EIGHT;No;0;L;;;;8;N;;;;;
        "\u1D368",  # ;COUNTING ROD UNIT DIGIT NINE;No;0;L;;;;9;N;;;;;
        "\u1D369",  # ;COUNTING ROD TENS DIGIT ONE;No;0;L;;;;10;N;;;;;
        "\u1D36A",  # ;COUNTING ROD TENS DIGIT TWO;No;0;L;;;;20;N;;;;;
        "\u1D36B",  # ;COUNTING ROD TENS DIGIT THREE;No;0;L;;;;30;N;;;;;
        "\u1D36C",  # ;COUNTING ROD TENS DIGIT FOUR;No;0;L;;;;40;N;;;;;
        "\u1D36D",  # ;COUNTING ROD TENS DIGIT FIVE;No;0;L;;;;50;N;;;;;
        "\u1D36E",  # ;COUNTING ROD TENS DIGIT SIX;No;0;L;;;;60;N;;;;;
        "\u1D36F",  # ;COUNTING ROD TENS DIGIT SEVEN;No;0;L;;;;70;N;;;;;
        "\u1D370",  # ;COUNTING ROD TENS DIGIT EIGHT;No;0;L;;;;80;N;;;;;
        "\u1D371",  # ;COUNTING ROD TENS DIGIT NINE;No;0;L;;;;90;N;;;;;
        "\u1D400",  # ;MATHEMATICAL BOLD CAPITAL A;Lu;0;L;<font> 0041;;;;N;;;;;
        "\u1D401",  # ;MATHEMATICAL BOLD CAPITAL B;Lu;0;L;<font> 0042;;;;N;;;;;
        "\u1D402",  # ;MATHEMATICAL BOLD CAPITAL C;Lu;0;L;<font> 0043;;;;N;;;;;
        "\u1D403",  # ;MATHEMATICAL BOLD CAPITAL D;Lu;0;L;<font> 0044;;;;N;;;;;
        "\u1D404",  # ;MATHEMATICAL BOLD CAPITAL E;Lu;0;L;<font> 0045;;;;N;;;;;
        "\u1D405",  # ;MATHEMATICAL BOLD CAPITAL F;Lu;0;L;<font> 0046;;;;N;;;;;
        "\u1D406",  # ;MATHEMATICAL BOLD CAPITAL G;Lu;0;L;<font> 0047;;;;N;;;;;
        "\u1D407",  # ;MATHEMATICAL BOLD CAPITAL H;Lu;0;L;<font> 0048;;;;N;;;;;
        "\u1D408",  # ;MATHEMATICAL BOLD CAPITAL I;Lu;0;L;<font> 0049;;;;N;;;;;
        "\u1D409",  # ;MATHEMATICAL BOLD CAPITAL J;Lu;0;L;<font> 004A;;;;N;;;;;
        "\u1D40A",  # ;MATHEMATICAL BOLD CAPITAL K;Lu;0;L;<font> 004B;;;;N;;;;;
        "\u1D40B",  # ;MATHEMATICAL BOLD CAPITAL L;Lu;0;L;<font> 004C;;;;N;;;;;
        "\u1D40C",  # ;MATHEMATICAL BOLD CAPITAL M;Lu;0;L;<font> 004D;;;;N;;;;;
        "\u1D40D",  # ;MATHEMATICAL BOLD CAPITAL N;Lu;0;L;<font> 004E;;;;N;;;;;
        "\u1D40E",  # ;MATHEMATICAL BOLD CAPITAL O;Lu;0;L;<font> 004F;;;;N;;;;;
        "\u1D40F",  # ;MATHEMATICAL BOLD CAPITAL P;Lu;0;L;<font> 0050;;;;N;;;;;
        "\u1D410",  # ;MATHEMATICAL BOLD CAPITAL Q;Lu;0;L;<font> 0051;;;;N;;;;;
        "\u1D411",  # ;MATHEMATICAL BOLD CAPITAL R;Lu;0;L;<font> 0052;;;;N;;;;;
        "\u1D412",  # ;MATHEMATICAL BOLD CAPITAL S;Lu;0;L;<font> 0053;;;;N;;;;;
        "\u1D413",  # ;MATHEMATICAL BOLD CAPITAL T;Lu;0;L;<font> 0054;;;;N;;;;;
        "\u1D414",  # ;MATHEMATICAL BOLD CAPITAL U;Lu;0;L;<font> 0055;;;;N;;;;;
        "\u1D415",  # ;MATHEMATICAL BOLD CAPITAL V;Lu;0;L;<font> 0056;;;;N;;;;;
        "\u1D416",  # ;MATHEMATICAL BOLD CAPITAL W;Lu;0;L;<font> 0057;;;;N;;;;;
        "\u1D417",  # ;MATHEMATICAL BOLD CAPITAL X;Lu;0;L;<font> 0058;;;;N;;;;;
        "\u1D418",  # ;MATHEMATICAL BOLD CAPITAL Y;Lu;0;L;<font> 0059;;;;N;;;;;
        "\u1D419",  # ;MATHEMATICAL BOLD CAPITAL Z;Lu;0;L;<font> 005A;;;;N;;;;;
        "\u1D41A",  # ;MATHEMATICAL BOLD SMALL A;Ll;0;L;<font> 0061;;;;N;;;;;
        "\u1D41B",  # ;MATHEMATICAL BOLD SMALL B;Ll;0;L;<font> 0062;;;;N;;;;;
        "\u1D41C",  # ;MATHEMATICAL BOLD SMALL C;Ll;0;L;<font> 0063;;;;N;;;;;
        "\u1D41D",  # ;MATHEMATICAL BOLD SMALL D;Ll;0;L;<font> 0064;;;;N;;;;;
        "\u1D41E",  # ;MATHEMATICAL BOLD SMALL E;Ll;0;L;<font> 0065;;;;N;;;;;
        "\u1D41F",  # ;MATHEMATICAL BOLD SMALL F;Ll;0;L;<font> 0066;;;;N;;;;;
        "\u1D420",  # ;MATHEMATICAL BOLD SMALL G;Ll;0;L;<font> 0067;;;;N;;;;;
        "\u1D421",  # ;MATHEMATICAL BOLD SMALL H;Ll;0;L;<font> 0068;;;;N;;;;;
        "\u1D422",  # ;MATHEMATICAL BOLD SMALL I;Ll;0;L;<font> 0069;;;;N;;;;;
        "\u1D423",  # ;MATHEMATICAL BOLD SMALL J;Ll;0;L;<font> 006A;;;;N;;;;;
        "\u1D424",  # ;MATHEMATICAL BOLD SMALL K;Ll;0;L;<font> 006B;;;;N;;;;;
        "\u1D425",  # ;MATHEMATICAL BOLD SMALL L;Ll;0;L;<font> 006C;;;;N;;;;;
        "\u1D426",  # ;MATHEMATICAL BOLD SMALL M;Ll;0;L;<font> 006D;;;;N;;;;;
        "\u1D427",  # ;MATHEMATICAL BOLD SMALL N;Ll;0;L;<font> 006E;;;;N;;;;;
        "\u1D428",  # ;MATHEMATICAL BOLD SMALL O;Ll;0;L;<font> 006F;;;;N;;;;;
        "\u1D429",  # ;MATHEMATICAL BOLD SMALL P;Ll;0;L;<font> 0070;;;;N;;;;;
        "\u1D42A",  # ;MATHEMATICAL BOLD SMALL Q;Ll;0;L;<font> 0071;;;;N;;;;;
        "\u1D42B",  # ;MATHEMATICAL BOLD SMALL R;Ll;0;L;<font> 0072;;;;N;;;;;
        "\u1D42C",  # ;MATHEMATICAL BOLD SMALL S;Ll;0;L;<font> 0073;;;;N;;;;;
        "\u1D42D",  # ;MATHEMATICAL BOLD SMALL T;Ll;0;L;<font> 0074;;;;N;;;;;
        "\u1D42E",  # ;MATHEMATICAL BOLD SMALL U;Ll;0;L;<font> 0075;;;;N;;;;;
        "\u1D42F",  # ;MATHEMATICAL BOLD SMALL V;Ll;0;L;<font> 0076;;;;N;;;;;
        "\u1D430",  # ;MATHEMATICAL BOLD SMALL W;Ll;0;L;<font> 0077;;;;N;;;;;
        "\u1D431",  # ;MATHEMATICAL BOLD SMALL X;Ll;0;L;<font> 0078;;;;N;;;;;
        "\u1D432",  # ;MATHEMATICAL BOLD SMALL Y;Ll;0;L;<font> 0079;;;;N;;;;;
        "\u1D433",  # ;MATHEMATICAL BOLD SMALL Z;Ll;0;L;<font> 007A;;;;N;;;;;
        "\u1D434",  # ;MATHEMATICAL ITALIC CAPITAL A;Lu;0;L;<font> 0041;;;;N;;;;;
        "\u1D435",  # ;MATHEMATICAL ITALIC CAPITAL B;Lu;0;L;<font> 0042;;;;N;;;;;
        "\u1D436",  # ;MATHEMATICAL ITALIC CAPITAL C;Lu;0;L;<font> 0043;;;;N;;;;;
        "\u1D437",  # ;MATHEMATICAL ITALIC CAPITAL D;Lu;0;L;<font> 0044;;;;N;;;;;
        "\u1D438",  # ;MATHEMATICAL ITALIC CAPITAL E;Lu;0;L;<font> 0045;;;;N;;;;;
        "\u1D439",  # ;MATHEMATICAL ITALIC CAPITAL F;Lu;0;L;<font> 0046;;;;N;;;;;
        "\u1D43A",  # ;MATHEMATICAL ITALIC CAPITAL G;Lu;0;L;<font> 0047;;;;N;;;;;
        "\u1D43B",  # ;MATHEMATICAL ITALIC CAPITAL H;Lu;0;L;<font> 0048;;;;N;;;;;
        "\u1D43C",  # ;MATHEMATICAL ITALIC CAPITAL I;Lu;0;L;<font> 0049;;;;N;;;;;
        "\u1D43D",  # ;MATHEMATICAL ITALIC CAPITAL J;Lu;0;L;<font> 004A;;;;N;;;;;
        "\u1D43E",  # ;MATHEMATICAL ITALIC CAPITAL K;Lu;0;L;<font> 004B;;;;N;;;;;
        "\u1D43F",  # ;MATHEMATICAL ITALIC CAPITAL L;Lu;0;L;<font> 004C;;;;N;;;;;
        "\u1D440",  # ;MATHEMATICAL ITALIC CAPITAL M;Lu;0;L;<font> 004D;;;;N;;;;;
        "\u1D441",  # ;MATHEMATICAL ITALIC CAPITAL N;Lu;0;L;<font> 004E;;;;N;;;;;
        "\u1D442",  # ;MATHEMATICAL ITALIC CAPITAL O;Lu;0;L;<font> 004F;;;;N;;;;;
        "\u1D443",  # ;MATHEMATICAL ITALIC CAPITAL P;Lu;0;L;<font> 0050;;;;N;;;;;
        "\u1D444",  # ;MATHEMATICAL ITALIC CAPITAL Q;Lu;0;L;<font> 0051;;;;N;;;;;
        "\u1D445",  # ;MATHEMATICAL ITALIC CAPITAL R;Lu;0;L;<font> 0052;;;;N;;;;;
        "\u1D446",  # ;MATHEMATICAL ITALIC CAPITAL S;Lu;0;L;<font> 0053;;;;N;;;;;
        "\u1D447",  # ;MATHEMATICAL ITALIC CAPITAL T;Lu;0;L;<font> 0054;;;;N;;;;;
        "\u1D448",  # ;MATHEMATICAL ITALIC CAPITAL U;Lu;0;L;<font> 0055;;;;N;;;;;
        "\u1D449",  # ;MATHEMATICAL ITALIC CAPITAL V;Lu;0;L;<font> 0056;;;;N;;;;;
        "\u1D44A",  # ;MATHEMATICAL ITALIC CAPITAL W;Lu;0;L;<font> 0057;;;;N;;;;;
        "\u1D44B",  # ;MATHEMATICAL ITALIC CAPITAL X;Lu;0;L;<font> 0058;;;;N;;;;;
        "\u1D44C",  # ;MATHEMATICAL ITALIC CAPITAL Y;Lu;0;L;<font> 0059;;;;N;;;;;
        "\u1D44D",  # ;MATHEMATICAL ITALIC CAPITAL Z;Lu;0;L;<font> 005A;;;;N;;;;;
        "\u1D44E",  # ;MATHEMATICAL ITALIC SMALL A;Ll;0;L;<font> 0061;;;;N;;;;;
        "\u1D44F",  # ;MATHEMATICAL ITALIC SMALL B;Ll;0;L;<font> 0062;;;;N;;;;;
        "\u1D450",  # ;MATHEMATICAL ITALIC SMALL C;Ll;0;L;<font> 0063;;;;N;;;;;
        "\u1D451",  # ;MATHEMATICAL ITALIC SMALL D;Ll;0;L;<font> 0064;;;;N;;;;;
        "\u1D452",  # ;MATHEMATICAL ITALIC SMALL E;Ll;0;L;<font> 0065;;;;N;;;;;
        "\u1D453",  # ;MATHEMATICAL ITALIC SMALL F;Ll;0;L;<font> 0066;;;;N;;;;;
        "\u1D454",  # ;MATHEMATICAL ITALIC SMALL G;Ll;0;L;<font> 0067;;;;N;;;;;
        "\u1D456",  # ;MATHEMATICAL ITALIC SMALL I;Ll;0;L;<font> 0069;;;;N;;;;;
        "\u1D457",  # ;MATHEMATICAL ITALIC SMALL J;Ll;0;L;<font> 006A;;;;N;;;;;
        "\u1D458",  # ;MATHEMATICAL ITALIC SMALL K;Ll;0;L;<font> 006B;;;;N;;;;;
        "\u1D459",  # ;MATHEMATICAL ITALIC SMALL L;Ll;0;L;<font> 006C;;;;N;;;;;
        "\u1D45A",  # ;MATHEMATICAL ITALIC SMALL M;Ll;0;L;<font> 006D;;;;N;;;;;
        "\u1D45B",  # ;MATHEMATICAL ITALIC SMALL N;Ll;0;L;<font> 006E;;;;N;;;;;
        "\u1D45C",  # ;MATHEMATICAL ITALIC SMALL O;Ll;0;L;<font> 006F;;;;N;;;;;
        "\u1D45D",  # ;MATHEMATICAL ITALIC SMALL P;Ll;0;L;<font> 0070;;;;N;;;;;
        "\u1D45E",  # ;MATHEMATICAL ITALIC SMALL Q;Ll;0;L;<font> 0071;;;;N;;;;;
        "\u1D45F",  # ;MATHEMATICAL ITALIC SMALL R;Ll;0;L;<font> 0072;;;;N;;;;;
        "\u1D460",  # ;MATHEMATICAL ITALIC SMALL S;Ll;0;L;<font> 0073;;;;N;;;;;
        "\u1D461",  # ;MATHEMATICAL ITALIC SMALL T;Ll;0;L;<font> 0074;;;;N;;;;;
        "\u1D462",  # ;MATHEMATICAL ITALIC SMALL U;Ll;0;L;<font> 0075;;;;N;;;;;
        "\u1D463",  # ;MATHEMATICAL ITALIC SMALL V;Ll;0;L;<font> 0076;;;;N;;;;;
        "\u1D464",  # ;MATHEMATICAL ITALIC SMALL W;Ll;0;L;<font> 0077;;;;N;;;;;
        "\u1D465",  # ;MATHEMATICAL ITALIC SMALL X;Ll;0;L;<font> 0078;;;;N;;;;;
        "\u1D466",  # ;MATHEMATICAL ITALIC SMALL Y;Ll;0;L;<font> 0079;;;;N;;;;;
        "\u1D467",  # ;MATHEMATICAL ITALIC SMALL Z;Ll;0;L;<font> 007A;;;;N;;;;;
        "\u1D468",  # ;MATHEMATICAL BOLD ITALIC CAPITAL A;Lu;0;L;<font> 0041;;;;N;;;;;
        "\u1D469",  # ;MATHEMATICAL BOLD ITALIC CAPITAL B;Lu;0;L;<font> 0042;;;;N;;;;;
        "\u1D46A",  # ;MATHEMATICAL BOLD ITALIC CAPITAL C;Lu;0;L;<font> 0043;;;;N;;;;;
        "\u1D46B",  # ;MATHEMATICAL BOLD ITALIC CAPITAL D;Lu;0;L;<font> 0044;;;;N;;;;;
        "\u1D46C",  # ;MATHEMATICAL BOLD ITALIC CAPITAL E;Lu;0;L;<font> 0045;;;;N;;;;;
        "\u1D46D",  # ;MATHEMATICAL BOLD ITALIC CAPITAL F;Lu;0;L;<font> 0046;;;;N;;;;;
        "\u1D46E",  # ;MATHEMATICAL BOLD ITALIC CAPITAL G;Lu;0;L;<font> 0047;;;;N;;;;;
        "\u1D46F",  # ;MATHEMATICAL BOLD ITALIC CAPITAL H;Lu;0;L;<font> 0048;;;;N;;;;;
        "\u1D470",  # ;MATHEMATICAL BOLD ITALIC CAPITAL I;Lu;0;L;<font> 0049;;;;N;;;;;
        "\u1D471",  # ;MATHEMATICAL BOLD ITALIC CAPITAL J;Lu;0;L;<font> 004A;;;;N;;;;;
        "\u1D472",  # ;MATHEMATICAL BOLD ITALIC CAPITAL K;Lu;0;L;<font> 004B;;;;N;;;;;
        "\u1D473",  # ;MATHEMATICAL BOLD ITALIC CAPITAL L;Lu;0;L;<font> 004C;;;;N;;;;;
        "\u1D474",  # ;MATHEMATICAL BOLD ITALIC CAPITAL M;Lu;0;L;<font> 004D;;;;N;;;;;
        "\u1D475",  # ;MATHEMATICAL BOLD ITALIC CAPITAL N;Lu;0;L;<font> 004E;;;;N;;;;;
        "\u1D476",  # ;MATHEMATICAL BOLD ITALIC CAPITAL O;Lu;0;L;<font> 004F;;;;N;;;;;
        "\u1D477",  # ;MATHEMATICAL BOLD ITALIC CAPITAL P;Lu;0;L;<font> 0050;;;;N;;;;;
        "\u1D478",  # ;MATHEMATICAL BOLD ITALIC CAPITAL Q;Lu;0;L;<font> 0051;;;;N;;;;;
        "\u1D479",  # ;MATHEMATICAL BOLD ITALIC CAPITAL R;Lu;0;L;<font> 0052;;;;N;;;;;
        "\u1D47A",  # ;MATHEMATICAL BOLD ITALIC CAPITAL S;Lu;0;L;<font> 0053;;;;N;;;;;
        "\u1D47B",  # ;MATHEMATICAL BOLD ITALIC CAPITAL T;Lu;0;L;<font> 0054;;;;N;;;;;
        "\u1D47C",  # ;MATHEMATICAL BOLD ITALIC CAPITAL U;Lu;0;L;<font> 0055;;;;N;;;;;
        "\u1D47D",  # ;MATHEMATICAL BOLD ITALIC CAPITAL V;Lu;0;L;<font> 0056;;;;N;;;;;
        "\u1D47E",  # ;MATHEMATICAL BOLD ITALIC CAPITAL W;Lu;0;L;<font> 0057;;;;N;;;;;
        "\u1D47F",  # ;MATHEMATICAL BOLD ITALIC CAPITAL X;Lu;0;L;<font> 0058;;;;N;;;;;
        "\u1D480",  # ;MATHEMATICAL BOLD ITALIC CAPITAL Y;Lu;0;L;<font> 0059;;;;N;;;;;
        "\u1D481",  # ;MATHEMATICAL BOLD ITALIC CAPITAL Z;Lu;0;L;<font> 005A;;;;N;;;;;
        "\u1D482",  # ;MATHEMATICAL BOLD ITALIC SMALL A;Ll;0;L;<font> 0061;;;;N;;;;;
        "\u1D483",  # ;MATHEMATICAL BOLD ITALIC SMALL B;Ll;0;L;<font> 0062;;;;N;;;;;
        "\u1D484",  # ;MATHEMATICAL BOLD ITALIC SMALL C;Ll;0;L;<font> 0063;;;;N;;;;;
        "\u1D485",  # ;MATHEMATICAL BOLD ITALIC SMALL D;Ll;0;L;<font> 0064;;;;N;;;;;
        "\u1D486",  # ;MATHEMATICAL BOLD ITALIC SMALL E;Ll;0;L;<font> 0065;;;;N;;;;;
        "\u1D487",  # ;MATHEMATICAL BOLD ITALIC SMALL F;Ll;0;L;<font> 0066;;;;N;;;;;
        "\u1D488",  # ;MATHEMATICAL BOLD ITALIC SMALL G;Ll;0;L;<font> 0067;;;;N;;;;;
        "\u1D489",  # ;MATHEMATICAL BOLD ITALIC SMALL H;Ll;0;L;<font> 0068;;;;N;;;;;
        "\u1D48A",  # ;MATHEMATICAL BOLD ITALIC SMALL I;Ll;0;L;<font> 0069;;;;N;;;;;
        "\u1D48B",  # ;MATHEMATICAL BOLD ITALIC SMALL J;Ll;0;L;<font> 006A;;;;N;;;;;
        "\u1D48C",  # ;MATHEMATICAL BOLD ITALIC SMALL K;Ll;0;L;<font> 006B;;;;N;;;;;
        "\u1D48D",  # ;MATHEMATICAL BOLD ITALIC SMALL L;Ll;0;L;<font> 006C;;;;N;;;;;
        "\u1D48E",  # ;MATHEMATICAL BOLD ITALIC SMALL M;Ll;0;L;<font> 006D;;;;N;;;;;
        "\u1D48F",  # ;MATHEMATICAL BOLD ITALIC SMALL N;Ll;0;L;<font> 006E;;;;N;;;;;
        "\u1D490",  # ;MATHEMATICAL BOLD ITALIC SMALL O;Ll;0;L;<font> 006F;;;;N;;;;;
        "\u1D491",  # ;MATHEMATICAL BOLD ITALIC SMALL P;Ll;0;L;<font> 0070;;;;N;;;;;
        "\u1D492",  # ;MATHEMATICAL BOLD ITALIC SMALL Q;Ll;0;L;<font> 0071;;;;N;;;;;
        "\u1D493",  # ;MATHEMATICAL BOLD ITALIC SMALL R;Ll;0;L;<font> 0072;;;;N;;;;;
        "\u1D494",  # ;MATHEMATICAL BOLD ITALIC SMALL S;Ll;0;L;<font> 0073;;;;N;;;;;
        "\u1D495",  # ;MATHEMATICAL BOLD ITALIC SMALL T;Ll;0;L;<font> 0074;;;;N;;;;;
        "\u1D496",  # ;MATHEMATICAL BOLD ITALIC SMALL U;Ll;0;L;<font> 0075;;;;N;;;;;
        "\u1D497",  # ;MATHEMATICAL BOLD ITALIC SMALL V;Ll;0;L;<font> 0076;;;;N;;;;;
        "\u1D498",  # ;MATHEMATICAL BOLD ITALIC SMALL W;Ll;0;L;<font> 0077;;;;N;;;;;
        "\u1D499",  # ;MATHEMATICAL BOLD ITALIC SMALL X;Ll;0;L;<font> 0078;;;;N;;;;;
        "\u1D49A",  # ;MATHEMATICAL BOLD ITALIC SMALL Y;Ll;0;L;<font> 0079;;;;N;;;;;
        "\u1D49B",  # ;MATHEMATICAL BOLD ITALIC SMALL Z;Ll;0;L;<font> 007A;;;;N;;;;;
        "\u1D49C",  # ;MATHEMATICAL SCRIPT CAPITAL A;Lu;0;L;<font> 0041;;;;N;;;;;
        "\u1D49E",  # ;MATHEMATICAL SCRIPT CAPITAL C;Lu;0;L;<font> 0043;;;;N;;;;;
        "\u1D49F",  # ;MATHEMATICAL SCRIPT CAPITAL D;Lu;0;L;<font> 0044;;;;N;;;;;
        "\u1D4A2",  # ;MATHEMATICAL SCRIPT CAPITAL G;Lu;0;L;<font> 0047;;;;N;;;;;
        "\u1D4A5",  # ;MATHEMATICAL SCRIPT CAPITAL J;Lu;0;L;<font> 004A;;;;N;;;;;
        "\u1D4A6",  # ;MATHEMATICAL SCRIPT CAPITAL K;Lu;0;L;<font> 004B;;;;N;;;;;
        "\u1D4A9",  # ;MATHEMATICAL SCRIPT CAPITAL N;Lu;0;L;<font> 004E;;;;N;;;;;
        "\u1D4AA",  # ;MATHEMATICAL SCRIPT CAPITAL O;Lu;0;L;<font> 004F;;;;N;;;;;
        "\u1D4AB",  # ;MATHEMATICAL SCRIPT CAPITAL P;Lu;0;L;<font> 0050;;;;N;;;;;
        "\u1D4AC",  # ;MATHEMATICAL SCRIPT CAPITAL Q;Lu;0;L;<font> 0051;;;;N;;;;;
        "\u1D4AE",  # ;MATHEMATICAL SCRIPT CAPITAL S;Lu;0;L;<font> 0053;;;;N;;;;;
        "\u1D4AF",  # ;MATHEMATICAL SCRIPT CAPITAL T;Lu;0;L;<font> 0054;;;;N;;;;;
        "\u1D4B0",  # ;MATHEMATICAL SCRIPT CAPITAL U;Lu;0;L;<font> 0055;;;;N;;;;;
        "\u1D4B1",  # ;MATHEMATICAL SCRIPT CAPITAL V;Lu;0;L;<font> 0056;;;;N;;;;;
        "\u1D4B2",  # ;MATHEMATICAL SCRIPT CAPITAL W;Lu;0;L;<font> 0057;;;;N;;;;;
        "\u1D4B3",  # ;MATHEMATICAL SCRIPT CAPITAL X;Lu;0;L;<font> 0058;;;;N;;;;;
        "\u1D4B4",  # ;MATHEMATICAL SCRIPT CAPITAL Y;Lu;0;L;<font> 0059;;;;N;;;;;
        "\u1D4B5",  # ;MATHEMATICAL SCRIPT CAPITAL Z;Lu;0;L;<font> 005A;;;;N;;;;;
        "\u1D4B6",  # ;MATHEMATICAL SCRIPT SMALL A;Ll;0;L;<font> 0061;;;;N;;;;;
        "\u1D4B7",  # ;MATHEMATICAL SCRIPT SMALL B;Ll;0;L;<font> 0062;;;;N;;;;;
        "\u1D4B8",  # ;MATHEMATICAL SCRIPT SMALL C;Ll;0;L;<font> 0063;;;;N;;;;;
        "\u1D4B9",  # ;MATHEMATICAL SCRIPT SMALL D;Ll;0;L;<font> 0064;;;;N;;;;;
        "\u1D4BB",  # ;MATHEMATICAL SCRIPT SMALL F;Ll;0;L;<font> 0066;;;;N;;;;;
        "\u1D4BD",  # ;MATHEMATICAL SCRIPT SMALL H;Ll;0;L;<font> 0068;;;;N;;;;;
        "\u1D4BE",  # ;MATHEMATICAL SCRIPT SMALL I;Ll;0;L;<font> 0069;;;;N;;;;;
        "\u1D4BF",  # ;MATHEMATICAL SCRIPT SMALL J;Ll;0;L;<font> 006A;;;;N;;;;;
        "\u1D4C0",  # ;MATHEMATICAL SCRIPT SMALL K;Ll;0;L;<font> 006B;;;;N;;;;;
        "\u1D4C1",  # ;MATHEMATICAL SCRIPT SMALL L;Ll;0;L;<font> 006C;;;;N;;;;;
        "\u1D4C2",  # ;MATHEMATICAL SCRIPT SMALL M;Ll;0;L;<font> 006D;;;;N;;;;;
        "\u1D4C3",  # ;MATHEMATICAL SCRIPT SMALL N;Ll;0;L;<font> 006E;;;;N;;;;;
        "\u1D4C5",  # ;MATHEMATICAL SCRIPT SMALL P;Ll;0;L;<font> 0070;;;;N;;;;;
        "\u1D4C6",  # ;MATHEMATICAL SCRIPT SMALL Q;Ll;0;L;<font> 0071;;;;N;;;;;
        "\u1D4C7",  # ;MATHEMATICAL SCRIPT SMALL R;Ll;0;L;<font> 0072;;;;N;;;;;
        "\u1D4C8",  # ;MATHEMATICAL SCRIPT SMALL S;Ll;0;L;<font> 0073;;;;N;;;;;
        "\u1D4C9",  # ;MATHEMATICAL SCRIPT SMALL T;Ll;0;L;<font> 0074;;;;N;;;;;
        "\u1D4CA",  # ;MATHEMATICAL SCRIPT SMALL U;Ll;0;L;<font> 0075;;;;N;;;;;
        "\u1D4CB",  # ;MATHEMATICAL SCRIPT SMALL V;Ll;0;L;<font> 0076;;;;N;;;;;
        "\u1D4CC",  # ;MATHEMATICAL SCRIPT SMALL W;Ll;0;L;<font> 0077;;;;N;;;;;
        "\u1D4CD",  # ;MATHEMATICAL SCRIPT SMALL X;Ll;0;L;<font> 0078;;;;N;;;;;
        "\u1D4CE",  # ;MATHEMATICAL SCRIPT SMALL Y;Ll;0;L;<font> 0079;;;;N;;;;;
        "\u1D4CF",  # ;MATHEMATICAL SCRIPT SMALL Z;Ll;0;L;<font> 007A;;;;N;;;;;
        "\u1D4D0",  # ;MATHEMATICAL BOLD SCRIPT CAPITAL A;Lu;0;L;<font> 0041;;;;N;;;;;
        "\u1D4D1",  # ;MATHEMATICAL BOLD SCRIPT CAPITAL B;Lu;0;L;<font> 0042;;;;N;;;;;
        "\u1D4D2",  # ;MATHEMATICAL BOLD SCRIPT CAPITAL C;Lu;0;L;<font> 0043;;;;N;;;;;
        "\u1D4D3",  # ;MATHEMATICAL BOLD SCRIPT CAPITAL D;Lu;0;L;<font> 0044;;;;N;;;;;
        "\u1D4D4",  # ;MATHEMATICAL BOLD SCRIPT CAPITAL E;Lu;0;L;<font> 0045;;;;N;;;;;
        "\u1D4D5",  # ;MATHEMATICAL BOLD SCRIPT CAPITAL F;Lu;0;L;<font> 0046;;;;N;;;;;
        "\u1D4D6",  # ;MATHEMATICAL BOLD SCRIPT CAPITAL G;Lu;0;L;<font> 0047;;;;N;;;;;
        "\u1D4D7",  # ;MATHEMATICAL BOLD SCRIPT CAPITAL H;Lu;0;L;<font> 0048;;;;N;;;;;
        "\u1D4D8",  # ;MATHEMATICAL BOLD SCRIPT CAPITAL I;Lu;0;L;<font> 0049;;;;N;;;;;
        "\u1D4D9",  # ;MATHEMATICAL BOLD SCRIPT CAPITAL J;Lu;0;L;<font> 004A;;;;N;;;;;
        "\u1D4DA",  # ;MATHEMATICAL BOLD SCRIPT CAPITAL K;Lu;0;L;<font> 004B;;;;N;;;;;
        "\u1D4DB",  # ;MATHEMATICAL BOLD SCRIPT CAPITAL L;Lu;0;L;<font> 004C;;;;N;;;;;
        "\u1D4DC",  # ;MATHEMATICAL BOLD SCRIPT CAPITAL M;Lu;0;L;<font> 004D;;;;N;;;;;
        "\u1D4DD",  # ;MATHEMATICAL BOLD SCRIPT CAPITAL N;Lu;0;L;<font> 004E;;;;N;;;;;
        "\u1D4DE",  # ;MATHEMATICAL BOLD SCRIPT CAPITAL O;Lu;0;L;<font> 004F;;;;N;;;;;
        "\u1D4DF",  # ;MATHEMATICAL BOLD SCRIPT CAPITAL P;Lu;0;L;<font> 0050;;;;N;;;;;
        "\u1D4E0",  # ;MATHEMATICAL BOLD SCRIPT CAPITAL Q;Lu;0;L;<font> 0051;;;;N;;;;;
        "\u1D4E1",  # ;MATHEMATICAL BOLD SCRIPT CAPITAL R;Lu;0;L;<font> 0052;;;;N;;;;;
        "\u1D4E2",  # ;MATHEMATICAL BOLD SCRIPT CAPITAL S;Lu;0;L;<font> 0053;;;;N;;;;;
        "\u1D4E3",  # ;MATHEMATICAL BOLD SCRIPT CAPITAL T;Lu;0;L;<font> 0054;;;;N;;;;;
        "\u1D4E4",  # ;MATHEMATICAL BOLD SCRIPT CAPITAL U;Lu;0;L;<font> 0055;;;;N;;;;;
        "\u1D4E5",  # ;MATHEMATICAL BOLD SCRIPT CAPITAL V;Lu;0;L;<font> 0056;;;;N;;;;;
        "\u1D4E6",  # ;MATHEMATICAL BOLD SCRIPT CAPITAL W;Lu;0;L;<font> 0057;;;;N;;;;;
        "\u1D4E7",  # ;MATHEMATICAL BOLD SCRIPT CAPITAL X;Lu;0;L;<font> 0058;;;;N;;;;;
        "\u1D4E8",  # ;MATHEMATICAL BOLD SCRIPT CAPITAL Y;Lu;0;L;<font> 0059;;;;N;;;;;
        "\u1D4E9",  # ;MATHEMATICAL BOLD SCRIPT CAPITAL Z;Lu;0;L;<font> 005A;;;;N;;;;;
        "\u1D4EA",  # ;MATHEMATICAL BOLD SCRIPT SMALL A;Ll;0;L;<font> 0061;;;;N;;;;;
        "\u1D4EB",  # ;MATHEMATICAL BOLD SCRIPT SMALL B;Ll;0;L;<font> 0062;;;;N;;;;;
        "\u1D4EC",  # ;MATHEMATICAL BOLD SCRIPT SMALL C;Ll;0;L;<font> 0063;;;;N;;;;;
        "\u1D4ED",  # ;MATHEMATICAL BOLD SCRIPT SMALL D;Ll;0;L;<font> 0064;;;;N;;;;;
        "\u1D4EE",  # ;MATHEMATICAL BOLD SCRIPT SMALL E;Ll;0;L;<font> 0065;;;;N;;;;;
        "\u1D4EF",  # ;MATHEMATICAL BOLD SCRIPT SMALL F;Ll;0;L;<font> 0066;;;;N;;;;;
        "\u1D4F0",  # ;MATHEMATICAL BOLD SCRIPT SMALL G;Ll;0;L;<font> 0067;;;;N;;;;;
        "\u1D4F1",  # ;MATHEMATICAL BOLD SCRIPT SMALL H;Ll;0;L;<font> 0068;;;;N;;;;;
        "\u1D4F2",  # ;MATHEMATICAL BOLD SCRIPT SMALL I;Ll;0;L;<font> 0069;;;;N;;;;;
        "\u1D4F3",  # ;MATHEMATICAL BOLD SCRIPT SMALL J;Ll;0;L;<font> 006A;;;;N;;;;;
        "\u1D4F4",  # ;MATHEMATICAL BOLD SCRIPT SMALL K;Ll;0;L;<font> 006B;;;;N;;;;;
        "\u1D4F5",  # ;MATHEMATICAL BOLD SCRIPT SMALL L;Ll;0;L;<font> 006C;;;;N;;;;;
        "\u1D4F6",  # ;MATHEMATICAL BOLD SCRIPT SMALL M;Ll;0;L;<font> 006D;;;;N;;;;;
        "\u1D4F7",  # ;MATHEMATICAL BOLD SCRIPT SMALL N;Ll;0;L;<font> 006E;;;;N;;;;;
        "\u1D4F8",  # ;MATHEMATICAL BOLD SCRIPT SMALL O;Ll;0;L;<font> 006F;;;;N;;;;;
        "\u1D4F9",  # ;MATHEMATICAL BOLD SCRIPT SMALL P;Ll;0;L;<font> 0070;;;;N;;;;;
        "\u1D4FA",  # ;MATHEMATICAL BOLD SCRIPT SMALL Q;Ll;0;L;<font> 0071;;;;N;;;;;
        "\u1D4FB",  # ;MATHEMATICAL BOLD SCRIPT SMALL R;Ll;0;L;<font> 0072;;;;N;;;;;
        "\u1D4FC",  # ;MATHEMATICAL BOLD SCRIPT SMALL S;Ll;0;L;<font> 0073;;;;N;;;;;
        "\u1D4FD",  # ;MATHEMATICAL BOLD SCRIPT SMALL T;Ll;0;L;<font> 0074;;;;N;;;;;
        "\u1D4FE",  # ;MATHEMATICAL BOLD SCRIPT SMALL U;Ll;0;L;<font> 0075;;;;N;;;;;
        "\u1D4FF",  # ;MATHEMATICAL BOLD SCRIPT SMALL V;Ll;0;L;<font> 0076;;;;N;;;;;
        "\u1D500",  # ;MATHEMATICAL BOLD SCRIPT SMALL W;Ll;0;L;<font> 0077;;;;N;;;;;
        "\u1D501",  # ;MATHEMATICAL BOLD SCRIPT SMALL X;Ll;0;L;<font> 0078;;;;N;;;;;
        "\u1D502",  # ;MATHEMATICAL BOLD SCRIPT SMALL Y;Ll;0;L;<font> 0079;;;;N;;;;;
        "\u1D503",  # ;MATHEMATICAL BOLD SCRIPT SMALL Z;Ll;0;L;<font> 007A;;;;N;;;;;
        "\u1D504",  # ;MATHEMATICAL FRAKTUR CAPITAL A;Lu;0;L;<font> 0041;;;;N;;;;;
        "\u1D505",  # ;MATHEMATICAL FRAKTUR CAPITAL B;Lu;0;L;<font> 0042;;;;N;;;;;
        "\u1D507",  # ;MATHEMATICAL FRAKTUR CAPITAL D;Lu;0;L;<font> 0044;;;;N;;;;;
        "\u1D508",  # ;MATHEMATICAL FRAKTUR CAPITAL E;Lu;0;L;<font> 0045;;;;N;;;;;
        "\u1D509",  # ;MATHEMATICAL FRAKTUR CAPITAL F;Lu;0;L;<font> 0046;;;;N;;;;;
        "\u1D50A",  # ;MATHEMATICAL FRAKTUR CAPITAL G;Lu;0;L;<font> 0047;;;;N;;;;;
        "\u1D50D",  # ;MATHEMATICAL FRAKTUR CAPITAL J;Lu;0;L;<font> 004A;;;;N;;;;;
        "\u1D50E",  # ;MATHEMATICAL FRAKTUR CAPITAL K;Lu;0;L;<font> 004B;;;;N;;;;;
        "\u1D50F",  # ;MATHEMATICAL FRAKTUR CAPITAL L;Lu;0;L;<font> 004C;;;;N;;;;;
        "\u1D510",  # ;MATHEMATICAL FRAKTUR CAPITAL M;Lu;0;L;<font> 004D;;;;N;;;;;
        "\u1D511",  # ;MATHEMATICAL FRAKTUR CAPITAL N;Lu;0;L;<font> 004E;;;;N;;;;;
        "\u1D512",  # ;MATHEMATICAL FRAKTUR CAPITAL O;Lu;0;L;<font> 004F;;;;N;;;;;
        "\u1D513",  # ;MATHEMATICAL FRAKTUR CAPITAL P;Lu;0;L;<font> 0050;;;;N;;;;;
        "\u1D514",  # ;MATHEMATICAL FRAKTUR CAPITAL Q;Lu;0;L;<font> 0051;;;;N;;;;;
        "\u1D516",  # ;MATHEMATICAL FRAKTUR CAPITAL S;Lu;0;L;<font> 0053;;;;N;;;;;
        "\u1D517",  # ;MATHEMATICAL FRAKTUR CAPITAL T;Lu;0;L;<font> 0054;;;;N;;;;;
        "\u1D518",  # ;MATHEMATICAL FRAKTUR CAPITAL U;Lu;0;L;<font> 0055;;;;N;;;;;
        "\u1D519",  # ;MATHEMATICAL FRAKTUR CAPITAL V;Lu;0;L;<font> 0056;;;;N;;;;;
        "\u1D51A",  # ;MATHEMATICAL FRAKTUR CAPITAL W;Lu;0;L;<font> 0057;;;;N;;;;;
        "\u1D51B",  # ;MATHEMATICAL FRAKTUR CAPITAL X;Lu;0;L;<font> 0058;;;;N;;;;;
        "\u1D51C",  # ;MATHEMATICAL FRAKTUR CAPITAL Y;Lu;0;L;<font> 0059;;;;N;;;;;
        "\u1D51E",  # ;MATHEMATICAL FRAKTUR SMALL A;Ll;0;L;<font> 0061;;;;N;;;;;
        "\u1D51F",  # ;MATHEMATICAL FRAKTUR SMALL B;Ll;0;L;<font> 0062;;;;N;;;;;
        "\u1D520",  # ;MATHEMATICAL FRAKTUR SMALL C;Ll;0;L;<font> 0063;;;;N;;;;;
        "\u1D521",  # ;MATHEMATICAL FRAKTUR SMALL D;Ll;0;L;<font> 0064;;;;N;;;;;
        "\u1D522",  # ;MATHEMATICAL FRAKTUR SMALL E;Ll;0;L;<font> 0065;;;;N;;;;;
        "\u1D523",  # ;MATHEMATICAL FRAKTUR SMALL F;Ll;0;L;<font> 0066;;;;N;;;;;
        "\u1D524",  # ;MATHEMATICAL FRAKTUR SMALL G;Ll;0;L;<font> 0067;;;;N;;;;;
        "\u1D525",  # ;MATHEMATICAL FRAKTUR SMALL H;Ll;0;L;<font> 0068;;;;N;;;;;
        "\u1D526",  # ;MATHEMATICAL FRAKTUR SMALL I;Ll;0;L;<font> 0069;;;;N;;;;;
        "\u1D527",  # ;MATHEMATICAL FRAKTUR SMALL J;Ll;0;L;<font> 006A;;;;N;;;;;
        "\u1D528",  # ;MATHEMATICAL FRAKTUR SMALL K;Ll;0;L;<font> 006B;;;;N;;;;;
        "\u1D529",  # ;MATHEMATICAL FRAKTUR SMALL L;Ll;0;L;<font> 006C;;;;N;;;;;
        "\u1D52A",  # ;MATHEMATICAL FRAKTUR SMALL M;Ll;0;L;<font> 006D;;;;N;;;;;
        "\u1D52B",  # ;MATHEMATICAL FRAKTUR SMALL N;Ll;0;L;<font> 006E;;;;N;;;;;
        "\u1D52C",  # ;MATHEMATICAL FRAKTUR SMALL O;Ll;0;L;<font> 006F;;;;N;;;;;
        "\u1D52D",  # ;MATHEMATICAL FRAKTUR SMALL P;Ll;0;L;<font> 0070;;;;N;;;;;
        "\u1D52E",  # ;MATHEMATICAL FRAKTUR SMALL Q;Ll;0;L;<font> 0071;;;;N;;;;;
        "\u1D52F",  # ;MATHEMATICAL FRAKTUR SMALL R;Ll;0;L;<font> 0072;;;;N;;;;;
        "\u1D530",  # ;MATHEMATICAL FRAKTUR SMALL S;Ll;0;L;<font> 0073;;;;N;;;;;
        "\u1D531",  # ;MATHEMATICAL FRAKTUR SMALL T;Ll;0;L;<font> 0074;;;;N;;;;;
        "\u1D532",  # ;MATHEMATICAL FRAKTUR SMALL U;Ll;0;L;<font> 0075;;;;N;;;;;
        "\u1D533",  # ;MATHEMATICAL FRAKTUR SMALL V;Ll;0;L;<font> 0076;;;;N;;;;;
        "\u1D534",  # ;MATHEMATICAL FRAKTUR SMALL W;Ll;0;L;<font> 0077;;;;N;;;;;
        "\u1D535",  # ;MATHEMATICAL FRAKTUR SMALL X;Ll;0;L;<font> 0078;;;;N;;;;;
        "\u1D536",  # ;MATHEMATICAL FRAKTUR SMALL Y;Ll;0;L;<font> 0079;;;;N;;;;;
        "\u1D537",  # ;MATHEMATICAL FRAKTUR SMALL Z;Ll;0;L;<font> 007A;;;;N;;;;;
        "\u1D538",  # ;MATHEMATICAL DOUBLE-STRUCK CAPITAL A;Lu;0;L;<font> 0041;;;;N;;;;;
        "\u1D539",  # ;MATHEMATICAL DOUBLE-STRUCK CAPITAL B;Lu;0;L;<font> 0042;;;;N;;;;;
        "\u1D53B",  # ;MATHEMATICAL DOUBLE-STRUCK CAPITAL D;Lu;0;L;<font> 0044;;;;N;;;;;
        "\u1D53C",  # ;MATHEMATICAL DOUBLE-STRUCK CAPITAL E;Lu;0;L;<font> 0045;;;;N;;;;;
        "\u1D53D",  # ;MATHEMATICAL DOUBLE-STRUCK CAPITAL F;Lu;0;L;<font> 0046;;;;N;;;;;
        "\u1D53E",  # ;MATHEMATICAL DOUBLE-STRUCK CAPITAL G;Lu;0;L;<font> 0047;;;;N;;;;;
        "\u1D540",  # ;MATHEMATICAL DOUBLE-STRUCK CAPITAL I;Lu;0;L;<font> 0049;;;;N;;;;;
        "\u1D541",  # ;MATHEMATICAL DOUBLE-STRUCK CAPITAL J;Lu;0;L;<font> 004A;;;;N;;;;;
        "\u1D542",  # ;MATHEMATICAL DOUBLE-STRUCK CAPITAL K;Lu;0;L;<font> 004B;;;;N;;;;;
        "\u1D543",  # ;MATHEMATICAL DOUBLE-STRUCK CAPITAL L;Lu;0;L;<font> 004C;;;;N;;;;;
        "\u1D544",  # ;MATHEMATICAL DOUBLE-STRUCK CAPITAL M;Lu;0;L;<font> 004D;;;;N;;;;;
        "\u1D546",  # ;MATHEMATICAL DOUBLE-STRUCK CAPITAL O;Lu;0;L;<font> 004F;;;;N;;;;;
        "\u1D54A",  # ;MATHEMATICAL DOUBLE-STRUCK CAPITAL S;Lu;0;L;<font> 0053;;;;N;;;;;
        "\u1D54B",  # ;MATHEMATICAL DOUBLE-STRUCK CAPITAL T;Lu;0;L;<font> 0054;;;;N;;;;;
        "\u1D54C",  # ;MATHEMATICAL DOUBLE-STRUCK CAPITAL U;Lu;0;L;<font> 0055;;;;N;;;;;
        "\u1D54D",  # ;MATHEMATICAL DOUBLE-STRUCK CAPITAL V;Lu;0;L;<font> 0056;;;;N;;;;;
        "\u1D54E",  # ;MATHEMATICAL DOUBLE-STRUCK CAPITAL W;Lu;0;L;<font> 0057;;;;N;;;;;
        "\u1D54F",  # ;MATHEMATICAL DOUBLE-STRUCK CAPITAL X;Lu;0;L;<font> 0058;;;;N;;;;;
        "\u1D550",  # ;MATHEMATICAL DOUBLE-STRUCK CAPITAL Y;Lu;0;L;<font> 0059;;;;N;;;;;
        "\u1D552",  # ;MATHEMATICAL DOUBLE-STRUCK SMALL A;Ll;0;L;<font> 0061;;;;N;;;;;
        "\u1D553",  # ;MATHEMATICAL DOUBLE-STRUCK SMALL B;Ll;0;L;<font> 0062;;;;N;;;;;
        "\u1D554",  # ;MATHEMATICAL DOUBLE-STRUCK SMALL C;Ll;0;L;<font> 0063;;;;N;;;;;
        "\u1D555",  # ;MATHEMATICAL DOUBLE-STRUCK SMALL D;Ll;0;L;<font> 0064;;;;N;;;;;
        "\u1D556",  # ;MATHEMATICAL DOUBLE-STRUCK SMALL E;Ll;0;L;<font> 0065;;;;N;;;;;
        "\u1D557",  # ;MATHEMATICAL DOUBLE-STRUCK SMALL F;Ll;0;L;<font> 0066;;;;N;;;;;
        "\u1D558",  # ;MATHEMATICAL DOUBLE-STRUCK SMALL G;Ll;0;L;<font> 0067;;;;N;;;;;
        "\u1D559",  # ;MATHEMATICAL DOUBLE-STRUCK SMALL H;Ll;0;L;<font> 0068;;;;N;;;;;
        "\u1D55A",  # ;MATHEMATICAL DOUBLE-STRUCK SMALL I;Ll;0;L;<font> 0069;;;;N;;;;;
        "\u1D55B",  # ;MATHEMATICAL DOUBLE-STRUCK SMALL J;Ll;0;L;<font> 006A;;;;N;;;;;
        "\u1D55C",  # ;MATHEMATICAL DOUBLE-STRUCK SMALL K;Ll;0;L;<font> 006B;;;;N;;;;;
        "\u1D55D",  # ;MATHEMATICAL DOUBLE-STRUCK SMALL L;Ll;0;L;<font> 006C;;;;N;;;;;
        "\u1D55E",  # ;MATHEMATICAL DOUBLE-STRUCK SMALL M;Ll;0;L;<font> 006D;;;;N;;;;;
        "\u1D55F",  # ;MATHEMATICAL DOUBLE-STRUCK SMALL N;Ll;0;L;<font> 006E;;;;N;;;;;
        "\u1D560",  # ;MATHEMATICAL DOUBLE-STRUCK SMALL O;Ll;0;L;<font> 006F;;;;N;;;;;
        "\u1D561",  # ;MATHEMATICAL DOUBLE-STRUCK SMALL P;Ll;0;L;<font> 0070;;;;N;;;;;
        "\u1D562",  # ;MATHEMATICAL DOUBLE-STRUCK SMALL Q;Ll;0;L;<font> 0071;;;;N;;;;;
        "\u1D563",  # ;MATHEMATICAL DOUBLE-STRUCK SMALL R;Ll;0;L;<font> 0072;;;;N;;;;;
        "\u1D564",  # ;MATHEMATICAL DOUBLE-STRUCK SMALL S;Ll;0;L;<font> 0073;;;;N;;;;;
        "\u1D565",  # ;MATHEMATICAL DOUBLE-STRUCK SMALL T;Ll;0;L;<font> 0074;;;;N;;;;;
        "\u1D566",  # ;MATHEMATICAL DOUBLE-STRUCK SMALL U;Ll;0;L;<font> 0075;;;;N;;;;;
        "\u1D567",  # ;MATHEMATICAL DOUBLE-STRUCK SMALL V;Ll;0;L;<font> 0076;;;;N;;;;;
        "\u1D568",  # ;MATHEMATICAL DOUBLE-STRUCK SMALL W;Ll;0;L;<font> 0077;;;;N;;;;;
        "\u1D569",  # ;MATHEMATICAL DOUBLE-STRUCK SMALL X;Ll;0;L;<font> 0078;;;;N;;;;;
        "\u1D56A",  # ;MATHEMATICAL DOUBLE-STRUCK SMALL Y;Ll;0;L;<font> 0079;;;;N;;;;;
        "\u1D56B",  # ;MATHEMATICAL DOUBLE-STRUCK SMALL Z;Ll;0;L;<font> 007A;;;;N;;;;;
        "\u1D56C",  # ;MATHEMATICAL BOLD FRAKTUR CAPITAL A;Lu;0;L;<font> 0041;;;;N;;;;;
        "\u1D56D",  # ;MATHEMATICAL BOLD FRAKTUR CAPITAL B;Lu;0;L;<font> 0042;;;;N;;;;;
        "\u1D56E",  # ;MATHEMATICAL BOLD FRAKTUR CAPITAL C;Lu;0;L;<font> 0043;;;;N;;;;;
        "\u1D56F",  # ;MATHEMATICAL BOLD FRAKTUR CAPITAL D;Lu;0;L;<font> 0044;;;;N;;;;;
        "\u1D570",  # ;MATHEMATICAL BOLD FRAKTUR CAPITAL E;Lu;0;L;<font> 0045;;;;N;;;;;
        "\u1D571",  # ;MATHEMATICAL BOLD FRAKTUR CAPITAL F;Lu;0;L;<font> 0046;;;;N;;;;;
        "\u1D572",  # ;MATHEMATICAL BOLD FRAKTUR CAPITAL G;Lu;0;L;<font> 0047;;;;N;;;;;
        "\u1D573",  # ;MATHEMATICAL BOLD FRAKTUR CAPITAL H;Lu;0;L;<font> 0048;;;;N;;;;;
        "\u1D574",  # ;MATHEMATICAL BOLD FRAKTUR CAPITAL I;Lu;0;L;<font> 0049;;;;N;;;;;
        "\u1D575",  # ;MATHEMATICAL BOLD FRAKTUR CAPITAL J;Lu;0;L;<font> 004A;;;;N;;;;;
        "\u1D576",  # ;MATHEMATICAL BOLD FRAKTUR CAPITAL K;Lu;0;L;<font> 004B;;;;N;;;;;
        "\u1D577",  # ;MATHEMATICAL BOLD FRAKTUR CAPITAL L;Lu;0;L;<font> 004C;;;;N;;;;;
        "\u1D578",  # ;MATHEMATICAL BOLD FRAKTUR CAPITAL M;Lu;0;L;<font> 004D;;;;N;;;;;
        "\u1D579",  # ;MATHEMATICAL BOLD FRAKTUR CAPITAL N;Lu;0;L;<font> 004E;;;;N;;;;;
        "\u1D57A",  # ;MATHEMATICAL BOLD FRAKTUR CAPITAL O;Lu;0;L;<font> 004F;;;;N;;;;;
        "\u1D57B",  # ;MATHEMATICAL BOLD FRAKTUR CAPITAL P;Lu;0;L;<font> 0050;;;;N;;;;;
        "\u1D57C",  # ;MATHEMATICAL BOLD FRAKTUR CAPITAL Q;Lu;0;L;<font> 0051;;;;N;;;;;
        "\u1D57D",  # ;MATHEMATICAL BOLD FRAKTUR CAPITAL R;Lu;0;L;<font> 0052;;;;N;;;;;
        "\u1D57E",  # ;MATHEMATICAL BOLD FRAKTUR CAPITAL S;Lu;0;L;<font> 0053;;;;N;;;;;
        "\u1D57F",  # ;MATHEMATICAL BOLD FRAKTUR CAPITAL T;Lu;0;L;<font> 0054;;;;N;;;;;
        "\u1D580",  # ;MATHEMATICAL BOLD FRAKTUR CAPITAL U;Lu;0;L;<font> 0055;;;;N;;;;;
        "\u1D581",  # ;MATHEMATICAL BOLD FRAKTUR CAPITAL V;Lu;0;L;<font> 0056;;;;N;;;;;
        "\u1D582",  # ;MATHEMATICAL BOLD FRAKTUR CAPITAL W;Lu;0;L;<font> 0057;;;;N;;;;;
        "\u1D583",  # ;MATHEMATICAL BOLD FRAKTUR CAPITAL X;Lu;0;L;<font> 0058;;;;N;;;;;
        "\u1D584",  # ;MATHEMATICAL BOLD FRAKTUR CAPITAL Y;Lu;0;L;<font> 0059;;;;N;;;;;
        "\u1D585",  # ;MATHEMATICAL BOLD FRAKTUR CAPITAL Z;Lu;0;L;<font> 005A;;;;N;;;;;
        "\u1D586",  # ;MATHEMATICAL BOLD FRAKTUR SMALL A;Ll;0;L;<font> 0061;;;;N;;;;;
        "\u1D587",  # ;MATHEMATICAL BOLD FRAKTUR SMALL B;Ll;0;L;<font> 0062;;;;N;;;;;
        "\u1D588",  # ;MATHEMATICAL BOLD FRAKTUR SMALL C;Ll;0;L;<font> 0063;;;;N;;;;;
        "\u1D589",  # ;MATHEMATICAL BOLD FRAKTUR SMALL D;Ll;0;L;<font> 0064;;;;N;;;;;
        "\u1D58A",  # ;MATHEMATICAL BOLD FRAKTUR SMALL E;Ll;0;L;<font> 0065;;;;N;;;;;
        "\u1D58B",  # ;MATHEMATICAL BOLD FRAKTUR SMALL F;Ll;0;L;<font> 0066;;;;N;;;;;
        "\u1D58C",  # ;MATHEMATICAL BOLD FRAKTUR SMALL G;Ll;0;L;<font> 0067;;;;N;;;;;
        "\u1D58D",  # ;MATHEMATICAL BOLD FRAKTUR SMALL H;Ll;0;L;<font> 0068;;;;N;;;;;
        "\u1D58E",  # ;MATHEMATICAL BOLD FRAKTUR SMALL I;Ll;0;L;<font> 0069;;;;N;;;;;
        "\u1D58F",  # ;MATHEMATICAL BOLD FRAKTUR SMALL J;Ll;0;L;<font> 006A;;;;N;;;;;
        "\u1D590",  # ;MATHEMATICAL BOLD FRAKTUR SMALL K;Ll;0;L;<font> 006B;;;;N;;;;;
        "\u1D591",  # ;MATHEMATICAL BOLD FRAKTUR SMALL L;Ll;0;L;<font> 006C;;;;N;;;;;
        "\u1D592",  # ;MATHEMATICAL BOLD FRAKTUR SMALL M;Ll;0;L;<font> 006D;;;;N;;;;;
        "\u1D593",  # ;MATHEMATICAL BOLD FRAKTUR SMALL N;Ll;0;L;<font> 006E;;;;N;;;;;
        "\u1D594",  # ;MATHEMATICAL BOLD FRAKTUR SMALL O;Ll;0;L;<font> 006F;;;;N;;;;;
        "\u1D595",  # ;MATHEMATICAL BOLD FRAKTUR SMALL P;Ll;0;L;<font> 0070;;;;N;;;;;
        "\u1D596",  # ;MATHEMATICAL BOLD FRAKTUR SMALL Q;Ll;0;L;<font> 0071;;;;N;;;;;
        "\u1D597",  # ;MATHEMATICAL BOLD FRAKTUR SMALL R;Ll;0;L;<font> 0072;;;;N;;;;;
        "\u1D598",  # ;MATHEMATICAL BOLD FRAKTUR SMALL S;Ll;0;L;<font> 0073;;;;N;;;;;
        "\u1D599",  # ;MATHEMATICAL BOLD FRAKTUR SMALL T;Ll;0;L;<font> 0074;;;;N;;;;;
        "\u1D59A",  # ;MATHEMATICAL BOLD FRAKTUR SMALL U;Ll;0;L;<font> 0075;;;;N;;;;;
        "\u1D59B",  # ;MATHEMATICAL BOLD FRAKTUR SMALL V;Ll;0;L;<font> 0076;;;;N;;;;;
        "\u1D59C",  # ;MATHEMATICAL BOLD FRAKTUR SMALL W;Ll;0;L;<font> 0077;;;;N;;;;;
        "\u1D59D",  # ;MATHEMATICAL BOLD FRAKTUR SMALL X;Ll;0;L;<font> 0078;;;;N;;;;;
        "\u1D59E",  # ;MATHEMATICAL BOLD FRAKTUR SMALL Y;Ll;0;L;<font> 0079;;;;N;;;;;
        "\u1D59F",  # ;MATHEMATICAL BOLD FRAKTUR SMALL Z;Ll;0;L;<font> 007A;;;;N;;;;;
        "\u1D5A0",  # ;MATHEMATICAL SANS-SERIF CAPITAL A;Lu;0;L;<font> 0041;;;;N;;;;;
        "\u1D5A1",  # ;MATHEMATICAL SANS-SERIF CAPITAL B;Lu;0;L;<font> 0042;;;;N;;;;;
        "\u1D5A2",  # ;MATHEMATICAL SANS-SERIF CAPITAL C;Lu;0;L;<font> 0043;;;;N;;;;;
        "\u1D5A3",  # ;MATHEMATICAL SANS-SERIF CAPITAL D;Lu;0;L;<font> 0044;;;;N;;;;;
        "\u1D5A4",  # ;MATHEMATICAL SANS-SERIF CAPITAL E;Lu;0;L;<font> 0045;;;;N;;;;;
        "\u1D5A5",  # ;MATHEMATICAL SANS-SERIF CAPITAL F;Lu;0;L;<font> 0046;;;;N;;;;;
        "\u1D5A6",  # ;MATHEMATICAL SANS-SERIF CAPITAL G;Lu;0;L;<font> 0047;;;;N;;;;;
        "\u1D5A7",  # ;MATHEMATICAL SANS-SERIF CAPITAL H;Lu;0;L;<font> 0048;;;;N;;;;;
        "\u1D5A8",  # ;MATHEMATICAL SANS-SERIF CAPITAL I;Lu;0;L;<font> 0049;;;;N;;;;;
        "\u1D5A9",  # ;MATHEMATICAL SANS-SERIF CAPITAL J;Lu;0;L;<font> 004A;;;;N;;;;;
        "\u1D5AA",  # ;MATHEMATICAL SANS-SERIF CAPITAL K;Lu;0;L;<font> 004B;;;;N;;;;;
        "\u1D5AB",  # ;MATHEMATICAL SANS-SERIF CAPITAL L;Lu;0;L;<font> 004C;;;;N;;;;;
        "\u1D5AC",  # ;MATHEMATICAL SANS-SERIF CAPITAL M;Lu;0;L;<font> 004D;;;;N;;;;;
        "\u1D5AD",  # ;MATHEMATICAL SANS-SERIF CAPITAL N;Lu;0;L;<font> 004E;;;;N;;;;;
        "\u1D5AE",  # ;MATHEMATICAL SANS-SERIF CAPITAL O;Lu;0;L;<font> 004F;;;;N;;;;;
        "\u1D5AF",  # ;MATHEMATICAL SANS-SERIF CAPITAL P;Lu;0;L;<font> 0050;;;;N;;;;;
        "\u1D5B0",  # ;MATHEMATICAL SANS-SERIF CAPITAL Q;Lu;0;L;<font> 0051;;;;N;;;;;
        "\u1D5B1",  # ;MATHEMATICAL SANS-SERIF CAPITAL R;Lu;0;L;<font> 0052;;;;N;;;;;
        "\u1D5B2",  # ;MATHEMATICAL SANS-SERIF CAPITAL S;Lu;0;L;<font> 0053;;;;N;;;;;
        "\u1D5B3",  # ;MATHEMATICAL SANS-SERIF CAPITAL T;Lu;0;L;<font> 0054;;;;N;;;;;
        "\u1D5B4",  # ;MATHEMATICAL SANS-SERIF CAPITAL U;Lu;0;L;<font> 0055;;;;N;;;;;
        "\u1D5B5",  # ;MATHEMATICAL SANS-SERIF CAPITAL V;Lu;0;L;<font> 0056;;;;N;;;;;
        "\u1D5B6",  # ;MATHEMATICAL SANS-SERIF CAPITAL W;Lu;0;L;<font> 0057;;;;N;;;;;
        "\u1D5B7",  # ;MATHEMATICAL SANS-SERIF CAPITAL X;Lu;0;L;<font> 0058;;;;N;;;;;
        "\u1D5B8",  # ;MATHEMATICAL SANS-SERIF CAPITAL Y;Lu;0;L;<font> 0059;;;;N;;;;;
        "\u1D5B9",  # ;MATHEMATICAL SANS-SERIF CAPITAL Z;Lu;0;L;<font> 005A;;;;N;;;;;
        "\u1D5BA",  # ;MATHEMATICAL SANS-SERIF SMALL A;Ll;0;L;<font> 0061;;;;N;;;;;
        "\u1D5BB",  # ;MATHEMATICAL SANS-SERIF SMALL B;Ll;0;L;<font> 0062;;;;N;;;;;
        "\u1D5BC",  # ;MATHEMATICAL SANS-SERIF SMALL C;Ll;0;L;<font> 0063;;;;N;;;;;
        "\u1D5BD",  # ;MATHEMATICAL SANS-SERIF SMALL D;Ll;0;L;<font> 0064;;;;N;;;;;
        "\u1D5BE",  # ;MATHEMATICAL SANS-SERIF SMALL E;Ll;0;L;<font> 0065;;;;N;;;;;
        "\u1D5BF",  # ;MATHEMATICAL SANS-SERIF SMALL F;Ll;0;L;<font> 0066;;;;N;;;;;
        "\u1D5C0",  # ;MATHEMATICAL SANS-SERIF SMALL G;Ll;0;L;<font> 0067;;;;N;;;;;
        "\u1D5C1",  # ;MATHEMATICAL SANS-SERIF SMALL H;Ll;0;L;<font> 0068;;;;N;;;;;
        "\u1D5C2",  # ;MATHEMATICAL SANS-SERIF SMALL I;Ll;0;L;<font> 0069;;;;N;;;;;
        "\u1D5C3",  # ;MATHEMATICAL SANS-SERIF SMALL J;Ll;0;L;<font> 006A;;;;N;;;;;
        "\u1D5C4",  # ;MATHEMATICAL SANS-SERIF SMALL K;Ll;0;L;<font> 006B;;;;N;;;;;
        "\u1D5C5",  # ;MATHEMATICAL SANS-SERIF SMALL L;Ll;0;L;<font> 006C;;;;N;;;;;
        "\u1D5C6",  # ;MATHEMATICAL SANS-SERIF SMALL M;Ll;0;L;<font> 006D;;;;N;;;;;
        "\u1D5C7",  # ;MATHEMATICAL SANS-SERIF SMALL N;Ll;0;L;<font> 006E;;;;N;;;;;
        "\u1D5C8",  # ;MATHEMATICAL SANS-SERIF SMALL O;Ll;0;L;<font> 006F;;;;N;;;;;
        "\u1D5C9",  # ;MATHEMATICAL SANS-SERIF SMALL P;Ll;0;L;<font> 0070;;;;N;;;;;
        "\u1D5CA",  # ;MATHEMATICAL SANS-SERIF SMALL Q;Ll;0;L;<font> 0071;;;;N;;;;;
        "\u1D5CB",  # ;MATHEMATICAL SANS-SERIF SMALL R;Ll;0;L;<font> 0072;;;;N;;;;;
        "\u1D5CC",  # ;MATHEMATICAL SANS-SERIF SMALL S;Ll;0;L;<font> 0073;;;;N;;;;;
        "\u1D5CD",  # ;MATHEMATICAL SANS-SERIF SMALL T;Ll;0;L;<font> 0074;;;;N;;;;;
        "\u1D5CE",  # ;MATHEMATICAL SANS-SERIF SMALL U;Ll;0;L;<font> 0075;;;;N;;;;;
        "\u1D5CF",  # ;MATHEMATICAL SANS-SERIF SMALL V;Ll;0;L;<font> 0076;;;;N;;;;;
        "\u1D5D0",  # ;MATHEMATICAL SANS-SERIF SMALL W;Ll;0;L;<font> 0077;;;;N;;;;;
        "\u1D5D1",  # ;MATHEMATICAL SANS-SERIF SMALL X;Ll;0;L;<font> 0078;;;;N;;;;;
        "\u1D5D2",  # ;MATHEMATICAL SANS-SERIF SMALL Y;Ll;0;L;<font> 0079;;;;N;;;;;
        "\u1D5D3",  # ;MATHEMATICAL SANS-SERIF SMALL Z;Ll;0;L;<font> 007A;;;;N;;;;;
        "\u1D5D4",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL A;Lu;0;L;<font> 0041;;;;N;;;;;
        "\u1D5D5",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL B;Lu;0;L;<font> 0042;;;;N;;;;;
        "\u1D5D6",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL C;Lu;0;L;<font> 0043;;;;N;;;;;
        "\u1D5D7",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL D;Lu;0;L;<font> 0044;;;;N;;;;;
        "\u1D5D8",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL E;Lu;0;L;<font> 0045;;;;N;;;;;
        "\u1D5D9",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL F;Lu;0;L;<font> 0046;;;;N;;;;;
        "\u1D5DA",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL G;Lu;0;L;<font> 0047;;;;N;;;;;
        "\u1D5DB",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL H;Lu;0;L;<font> 0048;;;;N;;;;;
        "\u1D5DC",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL I;Lu;0;L;<font> 0049;;;;N;;;;;
        "\u1D5DD",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL J;Lu;0;L;<font> 004A;;;;N;;;;;
        "\u1D5DE",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL K;Lu;0;L;<font> 004B;;;;N;;;;;
        "\u1D5DF",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL L;Lu;0;L;<font> 004C;;;;N;;;;;
        "\u1D5E0",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL M;Lu;0;L;<font> 004D;;;;N;;;;;
        "\u1D5E1",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL N;Lu;0;L;<font> 004E;;;;N;;;;;
        "\u1D5E2",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL O;Lu;0;L;<font> 004F;;;;N;;;;;
        "\u1D5E3",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL P;Lu;0;L;<font> 0050;;;;N;;;;;
        "\u1D5E4",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL Q;Lu;0;L;<font> 0051;;;;N;;;;;
        "\u1D5E5",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL R;Lu;0;L;<font> 0052;;;;N;;;;;
        "\u1D5E6",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL S;Lu;0;L;<font> 0053;;;;N;;;;;
        "\u1D5E7",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL T;Lu;0;L;<font> 0054;;;;N;;;;;
        "\u1D5E8",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL U;Lu;0;L;<font> 0055;;;;N;;;;;
        "\u1D5E9",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL V;Lu;0;L;<font> 0056;;;;N;;;;;
        "\u1D5EA",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL W;Lu;0;L;<font> 0057;;;;N;;;;;
        "\u1D5EB",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL X;Lu;0;L;<font> 0058;;;;N;;;;;
        "\u1D5EC",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL Y;Lu;0;L;<font> 0059;;;;N;;;;;
        "\u1D5ED",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL Z;Lu;0;L;<font> 005A;;;;N;;;;;
        "\u1D5EE",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL A;Ll;0;L;<font> 0061;;;;N;;;;;
        "\u1D5EF",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL B;Ll;0;L;<font> 0062;;;;N;;;;;
        "\u1D5F0",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL C;Ll;0;L;<font> 0063;;;;N;;;;;
        "\u1D5F1",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL D;Ll;0;L;<font> 0064;;;;N;;;;;
        "\u1D5F2",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL E;Ll;0;L;<font> 0065;;;;N;;;;;
        "\u1D5F3",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL F;Ll;0;L;<font> 0066;;;;N;;;;;
        "\u1D5F4",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL G;Ll;0;L;<font> 0067;;;;N;;;;;
        "\u1D5F5",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL H;Ll;0;L;<font> 0068;;;;N;;;;;
        "\u1D5F6",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL I;Ll;0;L;<font> 0069;;;;N;;;;;
        "\u1D5F7",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL J;Ll;0;L;<font> 006A;;;;N;;;;;
        "\u1D5F8",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL K;Ll;0;L;<font> 006B;;;;N;;;;;
        "\u1D5F9",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL L;Ll;0;L;<font> 006C;;;;N;;;;;
        "\u1D5FA",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL M;Ll;0;L;<font> 006D;;;;N;;;;;
        "\u1D5FB",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL N;Ll;0;L;<font> 006E;;;;N;;;;;
        "\u1D5FC",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL O;Ll;0;L;<font> 006F;;;;N;;;;;
        "\u1D5FD",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL P;Ll;0;L;<font> 0070;;;;N;;;;;
        "\u1D5FE",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL Q;Ll;0;L;<font> 0071;;;;N;;;;;
        "\u1D5FF",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL R;Ll;0;L;<font> 0072;;;;N;;;;;
        "\u1D600",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL S;Ll;0;L;<font> 0073;;;;N;;;;;
        "\u1D601",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL T;Ll;0;L;<font> 0074;;;;N;;;;;
        "\u1D602",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL U;Ll;0;L;<font> 0075;;;;N;;;;;
        "\u1D603",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL V;Ll;0;L;<font> 0076;;;;N;;;;;
        "\u1D604",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL W;Ll;0;L;<font> 0077;;;;N;;;;;
        "\u1D605",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL X;Ll;0;L;<font> 0078;;;;N;;;;;
        "\u1D606",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL Y;Ll;0;L;<font> 0079;;;;N;;;;;
        "\u1D607",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL Z;Ll;0;L;<font> 007A;;;;N;;;;;
        "\u1D608",  # ;MATHEMATICAL SANS-SERIF ITALIC CAPITAL A;Lu;0;L;<font> 0041;;;;N;;;;;
        "\u1D609",  # ;MATHEMATICAL SANS-SERIF ITALIC CAPITAL B;Lu;0;L;<font> 0042;;;;N;;;;;
        "\u1D60A",  # ;MATHEMATICAL SANS-SERIF ITALIC CAPITAL C;Lu;0;L;<font> 0043;;;;N;;;;;
        "\u1D60B",  # ;MATHEMATICAL SANS-SERIF ITALIC CAPITAL D;Lu;0;L;<font> 0044;;;;N;;;;;
        "\u1D60C",  # ;MATHEMATICAL SANS-SERIF ITALIC CAPITAL E;Lu;0;L;<font> 0045;;;;N;;;;;
        "\u1D60D",  # ;MATHEMATICAL SANS-SERIF ITALIC CAPITAL F;Lu;0;L;<font> 0046;;;;N;;;;;
        "\u1D60E",  # ;MATHEMATICAL SANS-SERIF ITALIC CAPITAL G;Lu;0;L;<font> 0047;;;;N;;;;;
        "\u1D60F",  # ;MATHEMATICAL SANS-SERIF ITALIC CAPITAL H;Lu;0;L;<font> 0048;;;;N;;;;;
        "\u1D610",  # ;MATHEMATICAL SANS-SERIF ITALIC CAPITAL I;Lu;0;L;<font> 0049;;;;N;;;;;
        "\u1D611",  # ;MATHEMATICAL SANS-SERIF ITALIC CAPITAL J;Lu;0;L;<font> 004A;;;;N;;;;;
        "\u1D612",  # ;MATHEMATICAL SANS-SERIF ITALIC CAPITAL K;Lu;0;L;<font> 004B;;;;N;;;;;
        "\u1D613",  # ;MATHEMATICAL SANS-SERIF ITALIC CAPITAL L;Lu;0;L;<font> 004C;;;;N;;;;;
        "\u1D614",  # ;MATHEMATICAL SANS-SERIF ITALIC CAPITAL M;Lu;0;L;<font> 004D;;;;N;;;;;
        "\u1D615",  # ;MATHEMATICAL SANS-SERIF ITALIC CAPITAL N;Lu;0;L;<font> 004E;;;;N;;;;;
        "\u1D616",  # ;MATHEMATICAL SANS-SERIF ITALIC CAPITAL O;Lu;0;L;<font> 004F;;;;N;;;;;
        "\u1D617",  # ;MATHEMATICAL SANS-SERIF ITALIC CAPITAL P;Lu;0;L;<font> 0050;;;;N;;;;;
        "\u1D618",  # ;MATHEMATICAL SANS-SERIF ITALIC CAPITAL Q;Lu;0;L;<font> 0051;;;;N;;;;;
        "\u1D619",  # ;MATHEMATICAL SANS-SERIF ITALIC CAPITAL R;Lu;0;L;<font> 0052;;;;N;;;;;
        "\u1D61A",  # ;MATHEMATICAL SANS-SERIF ITALIC CAPITAL S;Lu;0;L;<font> 0053;;;;N;;;;;
        "\u1D61B",  # ;MATHEMATICAL SANS-SERIF ITALIC CAPITAL T;Lu;0;L;<font> 0054;;;;N;;;;;
        "\u1D61C",  # ;MATHEMATICAL SANS-SERIF ITALIC CAPITAL U;Lu;0;L;<font> 0055;;;;N;;;;;
        "\u1D61D",  # ;MATHEMATICAL SANS-SERIF ITALIC CAPITAL V;Lu;0;L;<font> 0056;;;;N;;;;;
        "\u1D61E",  # ;MATHEMATICAL SANS-SERIF ITALIC CAPITAL W;Lu;0;L;<font> 0057;;;;N;;;;;
        "\u1D61F",  # ;MATHEMATICAL SANS-SERIF ITALIC CAPITAL X;Lu;0;L;<font> 0058;;;;N;;;;;
        "\u1D620",  # ;MATHEMATICAL SANS-SERIF ITALIC CAPITAL Y;Lu;0;L;<font> 0059;;;;N;;;;;
        "\u1D621",  # ;MATHEMATICAL SANS-SERIF ITALIC CAPITAL Z;Lu;0;L;<font> 005A;;;;N;;;;;
        "\u1D622",  # ;MATHEMATICAL SANS-SERIF ITALIC SMALL A;Ll;0;L;<font> 0061;;;;N;;;;;
        "\u1D623",  # ;MATHEMATICAL SANS-SERIF ITALIC SMALL B;Ll;0;L;<font> 0062;;;;N;;;;;
        "\u1D624",  # ;MATHEMATICAL SANS-SERIF ITALIC SMALL C;Ll;0;L;<font> 0063;;;;N;;;;;
        "\u1D625",  # ;MATHEMATICAL SANS-SERIF ITALIC SMALL D;Ll;0;L;<font> 0064;;;;N;;;;;
        "\u1D626",  # ;MATHEMATICAL SANS-SERIF ITALIC SMALL E;Ll;0;L;<font> 0065;;;;N;;;;;
        "\u1D627",  # ;MATHEMATICAL SANS-SERIF ITALIC SMALL F;Ll;0;L;<font> 0066;;;;N;;;;;
        "\u1D628",  # ;MATHEMATICAL SANS-SERIF ITALIC SMALL G;Ll;0;L;<font> 0067;;;;N;;;;;
        "\u1D629",  # ;MATHEMATICAL SANS-SERIF ITALIC SMALL H;Ll;0;L;<font> 0068;;;;N;;;;;
        "\u1D62A",  # ;MATHEMATICAL SANS-SERIF ITALIC SMALL I;Ll;0;L;<font> 0069;;;;N;;;;;
        "\u1D62B",  # ;MATHEMATICAL SANS-SERIF ITALIC SMALL J;Ll;0;L;<font> 006A;;;;N;;;;;
        "\u1D62C",  # ;MATHEMATICAL SANS-SERIF ITALIC SMALL K;Ll;0;L;<font> 006B;;;;N;;;;;
        "\u1D62D",  # ;MATHEMATICAL SANS-SERIF ITALIC SMALL L;Ll;0;L;<font> 006C;;;;N;;;;;
        "\u1D62E",  # ;MATHEMATICAL SANS-SERIF ITALIC SMALL M;Ll;0;L;<font> 006D;;;;N;;;;;
        "\u1D62F",  # ;MATHEMATICAL SANS-SERIF ITALIC SMALL N;Ll;0;L;<font> 006E;;;;N;;;;;
        "\u1D630",  # ;MATHEMATICAL SANS-SERIF ITALIC SMALL O;Ll;0;L;<font> 006F;;;;N;;;;;
        "\u1D631",  # ;MATHEMATICAL SANS-SERIF ITALIC SMALL P;Ll;0;L;<font> 0070;;;;N;;;;;
        "\u1D632",  # ;MATHEMATICAL SANS-SERIF ITALIC SMALL Q;Ll;0;L;<font> 0071;;;;N;;;;;
        "\u1D633",  # ;MATHEMATICAL SANS-SERIF ITALIC SMALL R;Ll;0;L;<font> 0072;;;;N;;;;;
        "\u1D634",  # ;MATHEMATICAL SANS-SERIF ITALIC SMALL S;Ll;0;L;<font> 0073;;;;N;;;;;
        "\u1D635",  # ;MATHEMATICAL SANS-SERIF ITALIC SMALL T;Ll;0;L;<font> 0074;;;;N;;;;;
        "\u1D636",  # ;MATHEMATICAL SANS-SERIF ITALIC SMALL U;Ll;0;L;<font> 0075;;;;N;;;;;
        "\u1D637",  # ;MATHEMATICAL SANS-SERIF ITALIC SMALL V;Ll;0;L;<font> 0076;;;;N;;;;;
        "\u1D638",  # ;MATHEMATICAL SANS-SERIF ITALIC SMALL W;Ll;0;L;<font> 0077;;;;N;;;;;
        "\u1D639",  # ;MATHEMATICAL SANS-SERIF ITALIC SMALL X;Ll;0;L;<font> 0078;;;;N;;;;;
        "\u1D63A",  # ;MATHEMATICAL SANS-SERIF ITALIC SMALL Y;Ll;0;L;<font> 0079;;;;N;;;;;
        "\u1D63B",  # ;MATHEMATICAL SANS-SERIF ITALIC SMALL Z;Ll;0;L;<font> 007A;;;;N;;;;;
        "\u1D63C",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL A;Lu;0;L;<font> 0041;;;;N;;;;;
        "\u1D63D",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL B;Lu;0;L;<font> 0042;;;;N;;;;;
        "\u1D63E",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL C;Lu;0;L;<font> 0043;;;;N;;;;;
        "\u1D63F",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL D;Lu;0;L;<font> 0044;;;;N;;;;;
        "\u1D640",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL E;Lu;0;L;<font> 0045;;;;N;;;;;
        "\u1D641",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL F;Lu;0;L;<font> 0046;;;;N;;;;;
        "\u1D642",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL G;Lu;0;L;<font> 0047;;;;N;;;;;
        "\u1D643",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL H;Lu;0;L;<font> 0048;;;;N;;;;;
        "\u1D644",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL I;Lu;0;L;<font> 0049;;;;N;;;;;
        "\u1D645",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL J;Lu;0;L;<font> 004A;;;;N;;;;;
        "\u1D646",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL K;Lu;0;L;<font> 004B;;;;N;;;;;
        "\u1D647",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL L;Lu;0;L;<font> 004C;;;;N;;;;;
        "\u1D648",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL M;Lu;0;L;<font> 004D;;;;N;;;;;
        "\u1D649",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL N;Lu;0;L;<font> 004E;;;;N;;;;;
        "\u1D64A",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL O;Lu;0;L;<font> 004F;;;;N;;;;;
        "\u1D64B",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL P;Lu;0;L;<font> 0050;;;;N;;;;;
        "\u1D64C",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL Q;Lu;0;L;<font> 0051;;;;N;;;;;
        "\u1D64D",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL R;Lu;0;L;<font> 0052;;;;N;;;;;
        "\u1D64E",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL S;Lu;0;L;<font> 0053;;;;N;;;;;
        "\u1D64F",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL T;Lu;0;L;<font> 0054;;;;N;;;;;
        "\u1D650",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL U;Lu;0;L;<font> 0055;;;;N;;;;;
        "\u1D651",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL V;Lu;0;L;<font> 0056;;;;N;;;;;
        "\u1D652",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL W;Lu;0;L;<font> 0057;;;;N;;;;;
        "\u1D653",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL X;Lu;0;L;<font> 0058;;;;N;;;;;
        "\u1D654",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL Y;Lu;0;L;<font> 0059;;;;N;;;;;
        "\u1D655",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL Z;Lu;0;L;<font> 005A;;;;N;;;;;
        "\u1D656",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL A;Ll;0;L;<font> 0061;;;;N;;;;;
        "\u1D657",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL B;Ll;0;L;<font> 0062;;;;N;;;;;
        "\u1D658",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL C;Ll;0;L;<font> 0063;;;;N;;;;;
        "\u1D659",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL D;Ll;0;L;<font> 0064;;;;N;;;;;
        "\u1D65A",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL E;Ll;0;L;<font> 0065;;;;N;;;;;
        "\u1D65B",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL F;Ll;0;L;<font> 0066;;;;N;;;;;
        "\u1D65C",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL G;Ll;0;L;<font> 0067;;;;N;;;;;
        "\u1D65D",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL H;Ll;0;L;<font> 0068;;;;N;;;;;
        "\u1D65E",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL I;Ll;0;L;<font> 0069;;;;N;;;;;
        "\u1D65F",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL J;Ll;0;L;<font> 006A;;;;N;;;;;
        "\u1D660",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL K;Ll;0;L;<font> 006B;;;;N;;;;;
        "\u1D661",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL L;Ll;0;L;<font> 006C;;;;N;;;;;
        "\u1D662",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL M;Ll;0;L;<font> 006D;;;;N;;;;;
        "\u1D663",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL N;Ll;0;L;<font> 006E;;;;N;;;;;
        "\u1D664",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL O;Ll;0;L;<font> 006F;;;;N;;;;;
        "\u1D665",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL P;Ll;0;L;<font> 0070;;;;N;;;;;
        "\u1D666",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL Q;Ll;0;L;<font> 0071;;;;N;;;;;
        "\u1D667",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL R;Ll;0;L;<font> 0072;;;;N;;;;;
        "\u1D668",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL S;Ll;0;L;<font> 0073;;;;N;;;;;
        "\u1D669",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL T;Ll;0;L;<font> 0074;;;;N;;;;;
        "\u1D66A",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL U;Ll;0;L;<font> 0075;;;;N;;;;;
        "\u1D66B",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL V;Ll;0;L;<font> 0076;;;;N;;;;;
        "\u1D66C",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL W;Ll;0;L;<font> 0077;;;;N;;;;;
        "\u1D66D",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL X;Ll;0;L;<font> 0078;;;;N;;;;;
        "\u1D66E",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL Y;Ll;0;L;<font> 0079;;;;N;;;;;
        "\u1D66F",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL Z;Ll;0;L;<font> 007A;;;;N;;;;;
        "\u1D670",  # ;MATHEMATICAL MONOSPACE CAPITAL A;Lu;0;L;<font> 0041;;;;N;;;;;
        "\u1D671",  # ;MATHEMATICAL MONOSPACE CAPITAL B;Lu;0;L;<font> 0042;;;;N;;;;;
        "\u1D672",  # ;MATHEMATICAL MONOSPACE CAPITAL C;Lu;0;L;<font> 0043;;;;N;;;;;
        "\u1D673",  # ;MATHEMATICAL MONOSPACE CAPITAL D;Lu;0;L;<font> 0044;;;;N;;;;;
        "\u1D674",  # ;MATHEMATICAL MONOSPACE CAPITAL E;Lu;0;L;<font> 0045;;;;N;;;;;
        "\u1D675",  # ;MATHEMATICAL MONOSPACE CAPITAL F;Lu;0;L;<font> 0046;;;;N;;;;;
        "\u1D676",  # ;MATHEMATICAL MONOSPACE CAPITAL G;Lu;0;L;<font> 0047;;;;N;;;;;
        "\u1D677",  # ;MATHEMATICAL MONOSPACE CAPITAL H;Lu;0;L;<font> 0048;;;;N;;;;;
        "\u1D678",  # ;MATHEMATICAL MONOSPACE CAPITAL I;Lu;0;L;<font> 0049;;;;N;;;;;
        "\u1D679",  # ;MATHEMATICAL MONOSPACE CAPITAL J;Lu;0;L;<font> 004A;;;;N;;;;;
        "\u1D67A",  # ;MATHEMATICAL MONOSPACE CAPITAL K;Lu;0;L;<font> 004B;;;;N;;;;;
        "\u1D67B",  # ;MATHEMATICAL MONOSPACE CAPITAL L;Lu;0;L;<font> 004C;;;;N;;;;;
        "\u1D67C",  # ;MATHEMATICAL MONOSPACE CAPITAL M;Lu;0;L;<font> 004D;;;;N;;;;;
        "\u1D67D",  # ;MATHEMATICAL MONOSPACE CAPITAL N;Lu;0;L;<font> 004E;;;;N;;;;;
        "\u1D67E",  # ;MATHEMATICAL MONOSPACE CAPITAL O;Lu;0;L;<font> 004F;;;;N;;;;;
        "\u1D67F",  # ;MATHEMATICAL MONOSPACE CAPITAL P;Lu;0;L;<font> 0050;;;;N;;;;;
        "\u1D680",  # ;MATHEMATICAL MONOSPACE CAPITAL Q;Lu;0;L;<font> 0051;;;;N;;;;;
        "\u1D681",  # ;MATHEMATICAL MONOSPACE CAPITAL R;Lu;0;L;<font> 0052;;;;N;;;;;
        "\u1D682",  # ;MATHEMATICAL MONOSPACE CAPITAL S;Lu;0;L;<font> 0053;;;;N;;;;;
        "\u1D683",  # ;MATHEMATICAL MONOSPACE CAPITAL T;Lu;0;L;<font> 0054;;;;N;;;;;
        "\u1D684",  # ;MATHEMATICAL MONOSPACE CAPITAL U;Lu;0;L;<font> 0055;;;;N;;;;;
        "\u1D685",  # ;MATHEMATICAL MONOSPACE CAPITAL V;Lu;0;L;<font> 0056;;;;N;;;;;
        "\u1D686",  # ;MATHEMATICAL MONOSPACE CAPITAL W;Lu;0;L;<font> 0057;;;;N;;;;;
        "\u1D687",  # ;MATHEMATICAL MONOSPACE CAPITAL X;Lu;0;L;<font> 0058;;;;N;;;;;
        "\u1D688",  # ;MATHEMATICAL MONOSPACE CAPITAL Y;Lu;0;L;<font> 0059;;;;N;;;;;
        "\u1D689",  # ;MATHEMATICAL MONOSPACE CAPITAL Z;Lu;0;L;<font> 005A;;;;N;;;;;
        "\u1D68A",  # ;MATHEMATICAL MONOSPACE SMALL A;Ll;0;L;<font> 0061;;;;N;;;;;
        "\u1D68B",  # ;MATHEMATICAL MONOSPACE SMALL B;Ll;0;L;<font> 0062;;;;N;;;;;
        "\u1D68C",  # ;MATHEMATICAL MONOSPACE SMALL C;Ll;0;L;<font> 0063;;;;N;;;;;
        "\u1D68D",  # ;MATHEMATICAL MONOSPACE SMALL D;Ll;0;L;<font> 0064;;;;N;;;;;
        "\u1D68E",  # ;MATHEMATICAL MONOSPACE SMALL E;Ll;0;L;<font> 0065;;;;N;;;;;
        "\u1D68F",  # ;MATHEMATICAL MONOSPACE SMALL F;Ll;0;L;<font> 0066;;;;N;;;;;
        "\u1D690",  # ;MATHEMATICAL MONOSPACE SMALL G;Ll;0;L;<font> 0067;;;;N;;;;;
        "\u1D691",  # ;MATHEMATICAL MONOSPACE SMALL H;Ll;0;L;<font> 0068;;;;N;;;;;
        "\u1D692",  # ;MATHEMATICAL MONOSPACE SMALL I;Ll;0;L;<font> 0069;;;;N;;;;;
        "\u1D693",  # ;MATHEMATICAL MONOSPACE SMALL J;Ll;0;L;<font> 006A;;;;N;;;;;
        "\u1D694",  # ;MATHEMATICAL MONOSPACE SMALL K;Ll;0;L;<font> 006B;;;;N;;;;;
        "\u1D695",  # ;MATHEMATICAL MONOSPACE SMALL L;Ll;0;L;<font> 006C;;;;N;;;;;
        "\u1D696",  # ;MATHEMATICAL MONOSPACE SMALL M;Ll;0;L;<font> 006D;;;;N;;;;;
        "\u1D697",  # ;MATHEMATICAL MONOSPACE SMALL N;Ll;0;L;<font> 006E;;;;N;;;;;
        "\u1D698",  # ;MATHEMATICAL MONOSPACE SMALL O;Ll;0;L;<font> 006F;;;;N;;;;;
        "\u1D699",  # ;MATHEMATICAL MONOSPACE SMALL P;Ll;0;L;<font> 0070;;;;N;;;;;
        "\u1D69A",  # ;MATHEMATICAL MONOSPACE SMALL Q;Ll;0;L;<font> 0071;;;;N;;;;;
        "\u1D69B",  # ;MATHEMATICAL MONOSPACE SMALL R;Ll;0;L;<font> 0072;;;;N;;;;;
        "\u1D69C",  # ;MATHEMATICAL MONOSPACE SMALL S;Ll;0;L;<font> 0073;;;;N;;;;;
        "\u1D69D",  # ;MATHEMATICAL MONOSPACE SMALL T;Ll;0;L;<font> 0074;;;;N;;;;;
        "\u1D69E",  # ;MATHEMATICAL MONOSPACE SMALL U;Ll;0;L;<font> 0075;;;;N;;;;;
        "\u1D69F",  # ;MATHEMATICAL MONOSPACE SMALL V;Ll;0;L;<font> 0076;;;;N;;;;;
        "\u1D6A0",  # ;MATHEMATICAL MONOSPACE SMALL W;Ll;0;L;<font> 0077;;;;N;;;;;
        "\u1D6A1",  # ;MATHEMATICAL MONOSPACE SMALL X;Ll;0;L;<font> 0078;;;;N;;;;;
        "\u1D6A2",  # ;MATHEMATICAL MONOSPACE SMALL Y;Ll;0;L;<font> 0079;;;;N;;;;;
        "\u1D6A3",  # ;MATHEMATICAL MONOSPACE SMALL Z;Ll;0;L;<font> 007A;;;;N;;;;;
        "\u1D6A4",  # ;MATHEMATICAL ITALIC SMALL DOTLESS I;Ll;0;L;<font> 0131;;;;N;;;;;
        "\u1D6A5",  # ;MATHEMATICAL ITALIC SMALL DOTLESS J;Ll;0;L;<font> 0237;;;;N;;;;;
        "\u1D6A8",  # ;MATHEMATICAL BOLD CAPITAL ALPHA;Lu;0;L;<font> 0391;;;;N;;;;;
        "\u1D6A9",  # ;MATHEMATICAL BOLD CAPITAL BETA;Lu;0;L;<font> 0392;;;;N;;;;;
        "\u1D6AA",  # ;MATHEMATICAL BOLD CAPITAL GAMMA;Lu;0;L;<font> 0393;;;;N;;;;;
        "\u1D6AB",  # ;MATHEMATICAL BOLD CAPITAL DELTA;Lu;0;L;<font> 0394;;;;N;;;;;
        "\u1D6AC",  # ;MATHEMATICAL BOLD CAPITAL EPSILON;Lu;0;L;<font> 0395;;;;N;;;;;
        "\u1D6AD",  # ;MATHEMATICAL BOLD CAPITAL ZETA;Lu;0;L;<font> 0396;;;;N;;;;;
        "\u1D6AE",  # ;MATHEMATICAL BOLD CAPITAL ETA;Lu;0;L;<font> 0397;;;;N;;;;;
        "\u1D6AF",  # ;MATHEMATICAL BOLD CAPITAL THETA;Lu;0;L;<font> 0398;;;;N;;;;;
        "\u1D6B0",  # ;MATHEMATICAL BOLD CAPITAL IOTA;Lu;0;L;<font> 0399;;;;N;;;;;
        "\u1D6B1",  # ;MATHEMATICAL BOLD CAPITAL KAPPA;Lu;0;L;<font> 039A;;;;N;;;;;
        "\u1D6B2",  # ;MATHEMATICAL BOLD CAPITAL LAMDA;Lu;0;L;<font> 039B;;;;N;;;;;
        "\u1D6B3",  # ;MATHEMATICAL BOLD CAPITAL MU;Lu;0;L;<font> 039C;;;;N;;;;;
        "\u1D6B4",  # ;MATHEMATICAL BOLD CAPITAL NU;Lu;0;L;<font> 039D;;;;N;;;;;
        "\u1D6B5",  # ;MATHEMATICAL BOLD CAPITAL XI;Lu;0;L;<font> 039E;;;;N;;;;;
        "\u1D6B6",  # ;MATHEMATICAL BOLD CAPITAL OMICRON;Lu;0;L;<font> 039F;;;;N;;;;;
        "\u1D6B7",  # ;MATHEMATICAL BOLD CAPITAL PI;Lu;0;L;<font> 03A0;;;;N;;;;;
        "\u1D6B8",  # ;MATHEMATICAL BOLD CAPITAL RHO;Lu;0;L;<font> 03A1;;;;N;;;;;
        "\u1D6B9",  # ;MATHEMATICAL BOLD CAPITAL THETA SYMBOL;Lu;0;L;<font> 03F4;;;;N;;;;;
        "\u1D6BA",  # ;MATHEMATICAL BOLD CAPITAL SIGMA;Lu;0;L;<font> 03A3;;;;N;;;;;
        "\u1D6BB",  # ;MATHEMATICAL BOLD CAPITAL TAU;Lu;0;L;<font> 03A4;;;;N;;;;;
        "\u1D6BC",  # ;MATHEMATICAL BOLD CAPITAL UPSILON;Lu;0;L;<font> 03A5;;;;N;;;;;
        "\u1D6BD",  # ;MATHEMATICAL BOLD CAPITAL PHI;Lu;0;L;<font> 03A6;;;;N;;;;;
        "\u1D6BE",  # ;MATHEMATICAL BOLD CAPITAL CHI;Lu;0;L;<font> 03A7;;;;N;;;;;
        "\u1D6BF",  # ;MATHEMATICAL BOLD CAPITAL PSI;Lu;0;L;<font> 03A8;;;;N;;;;;
        "\u1D6C0",  # ;MATHEMATICAL BOLD CAPITAL OMEGA;Lu;0;L;<font> 03A9;;;;N;;;;;
        "\u1D6C1",  # ;MATHEMATICAL BOLD NABLA;Sm;0;L;<font> 2207;;;;N;;;;;
        "\u1D6C2",  # ;MATHEMATICAL BOLD SMALL ALPHA;Ll;0;L;<font> 03B1;;;;N;;;;;
        "\u1D6C3",  # ;MATHEMATICAL BOLD SMALL BETA;Ll;0;L;<font> 03B2;;;;N;;;;;
        "\u1D6C4",  # ;MATHEMATICAL BOLD SMALL GAMMA;Ll;0;L;<font> 03B3;;;;N;;;;;
        "\u1D6C5",  # ;MATHEMATICAL BOLD SMALL DELTA;Ll;0;L;<font> 03B4;;;;N;;;;;
        "\u1D6C6",  # ;MATHEMATICAL BOLD SMALL EPSILON;Ll;0;L;<font> 03B5;;;;N;;;;;
        "\u1D6C7",  # ;MATHEMATICAL BOLD SMALL ZETA;Ll;0;L;<font> 03B6;;;;N;;;;;
        "\u1D6C8",  # ;MATHEMATICAL BOLD SMALL ETA;Ll;0;L;<font> 03B7;;;;N;;;;;
        "\u1D6C9",  # ;MATHEMATICAL BOLD SMALL THETA;Ll;0;L;<font> 03B8;;;;N;;;;;
        "\u1D6CA",  # ;MATHEMATICAL BOLD SMALL IOTA;Ll;0;L;<font> 03B9;;;;N;;;;;
        "\u1D6CB",  # ;MATHEMATICAL BOLD SMALL KAPPA;Ll;0;L;<font> 03BA;;;;N;;;;;
        "\u1D6CC",  # ;MATHEMATICAL BOLD SMALL LAMDA;Ll;0;L;<font> 03BB;;;;N;;;;;
        "\u1D6CD",  # ;MATHEMATICAL BOLD SMALL MU;Ll;0;L;<font> 03BC;;;;N;;;;;
        "\u1D6CE",  # ;MATHEMATICAL BOLD SMALL NU;Ll;0;L;<font> 03BD;;;;N;;;;;
        "\u1D6CF",  # ;MATHEMATICAL BOLD SMALL XI;Ll;0;L;<font> 03BE;;;;N;;;;;
        "\u1D6D0",  # ;MATHEMATICAL BOLD SMALL OMICRON;Ll;0;L;<font> 03BF;;;;N;;;;;
        "\u1D6D1",  # ;MATHEMATICAL BOLD SMALL PI;Ll;0;L;<font> 03C0;;;;N;;;;;
        "\u1D6D2",  # ;MATHEMATICAL BOLD SMALL RHO;Ll;0;L;<font> 03C1;;;;N;;;;;
        "\u1D6D3",  # ;MATHEMATICAL BOLD SMALL FINAL SIGMA;Ll;0;L;<font> 03C2;;;;N;;;;;
        "\u1D6D4",  # ;MATHEMATICAL BOLD SMALL SIGMA;Ll;0;L;<font> 03C3;;;;N;;;;;
        "\u1D6D5",  # ;MATHEMATICAL BOLD SMALL TAU;Ll;0;L;<font> 03C4;;;;N;;;;;
        "\u1D6D6",  # ;MATHEMATICAL BOLD SMALL UPSILON;Ll;0;L;<font> 03C5;;;;N;;;;;
        "\u1D6D7",  # ;MATHEMATICAL BOLD SMALL PHI;Ll;0;L;<font> 03C6;;;;N;;;;;
        "\u1D6D8",  # ;MATHEMATICAL BOLD SMALL CHI;Ll;0;L;<font> 03C7;;;;N;;;;;
        "\u1D6D9",  # ;MATHEMATICAL BOLD SMALL PSI;Ll;0;L;<font> 03C8;;;;N;;;;;
        "\u1D6DA",  # ;MATHEMATICAL BOLD SMALL OMEGA;Ll;0;L;<font> 03C9;;;;N;;;;;
        "\u1D6DB",  # ;MATHEMATICAL BOLD PARTIAL DIFFERENTIAL;Sm;0;ON;<font> 2202;;;;Y;;;;;
        "\u1D6DC",  # ;MATHEMATICAL BOLD EPSILON SYMBOL;Ll;0;L;<font> 03F5;;;;N;;;;;
        "\u1D6DD",  # ;MATHEMATICAL BOLD THETA SYMBOL;Ll;0;L;<font> 03D1;;;;N;;;;;
        "\u1D6DE",  # ;MATHEMATICAL BOLD KAPPA SYMBOL;Ll;0;L;<font> 03F0;;;;N;;;;;
        "\u1D6DF",  # ;MATHEMATICAL BOLD PHI SYMBOL;Ll;0;L;<font> 03D5;;;;N;;;;;
        "\u1D6E0",  # ;MATHEMATICAL BOLD RHO SYMBOL;Ll;0;L;<font> 03F1;;;;N;;;;;
        "\u1D6E1",  # ;MATHEMATICAL BOLD PI SYMBOL;Ll;0;L;<font> 03D6;;;;N;;;;;
        "\u1D6E2",  # ;MATHEMATICAL ITALIC CAPITAL ALPHA;Lu;0;L;<font> 0391;;;;N;;;;;
        "\u1D6E3",  # ;MATHEMATICAL ITALIC CAPITAL BETA;Lu;0;L;<font> 0392;;;;N;;;;;
        "\u1D6E4",  # ;MATHEMATICAL ITALIC CAPITAL GAMMA;Lu;0;L;<font> 0393;;;;N;;;;;
        "\u1D6E5",  # ;MATHEMATICAL ITALIC CAPITAL DELTA;Lu;0;L;<font> 0394;;;;N;;;;;
        "\u1D6E6",  # ;MATHEMATICAL ITALIC CAPITAL EPSILON;Lu;0;L;<font> 0395;;;;N;;;;;
        "\u1D6E7",  # ;MATHEMATICAL ITALIC CAPITAL ZETA;Lu;0;L;<font> 0396;;;;N;;;;;
        "\u1D6E8",  # ;MATHEMATICAL ITALIC CAPITAL ETA;Lu;0;L;<font> 0397;;;;N;;;;;
        "\u1D6E9",  # ;MATHEMATICAL ITALIC CAPITAL THETA;Lu;0;L;<font> 0398;;;;N;;;;;
        "\u1D6EA",  # ;MATHEMATICAL ITALIC CAPITAL IOTA;Lu;0;L;<font> 0399;;;;N;;;;;
        "\u1D6EB",  # ;MATHEMATICAL ITALIC CAPITAL KAPPA;Lu;0;L;<font> 039A;;;;N;;;;;
        "\u1D6EC",  # ;MATHEMATICAL ITALIC CAPITAL LAMDA;Lu;0;L;<font> 039B;;;;N;;;;;
        "\u1D6ED",  # ;MATHEMATICAL ITALIC CAPITAL MU;Lu;0;L;<font> 039C;;;;N;;;;;
        "\u1D6EE",  # ;MATHEMATICAL ITALIC CAPITAL NU;Lu;0;L;<font> 039D;;;;N;;;;;
        "\u1D6EF",  # ;MATHEMATICAL ITALIC CAPITAL XI;Lu;0;L;<font> 039E;;;;N;;;;;
        "\u1D6F0",  # ;MATHEMATICAL ITALIC CAPITAL OMICRON;Lu;0;L;<font> 039F;;;;N;;;;;
        "\u1D6F1",  # ;MATHEMATICAL ITALIC CAPITAL PI;Lu;0;L;<font> 03A0;;;;N;;;;;
        "\u1D6F2",  # ;MATHEMATICAL ITALIC CAPITAL RHO;Lu;0;L;<font> 03A1;;;;N;;;;;
        "\u1D6F3",  # ;MATHEMATICAL ITALIC CAPITAL THETA SYMBOL;Lu;0;L;<font> 03F4;;;;N;;;;;
        "\u1D6F4",  # ;MATHEMATICAL ITALIC CAPITAL SIGMA;Lu;0;L;<font> 03A3;;;;N;;;;;
        "\u1D6F5",  # ;MATHEMATICAL ITALIC CAPITAL TAU;Lu;0;L;<font> 03A4;;;;N;;;;;
        "\u1D6F6",  # ;MATHEMATICAL ITALIC CAPITAL UPSILON;Lu;0;L;<font> 03A5;;;;N;;;;;
        "\u1D6F7",  # ;MATHEMATICAL ITALIC CAPITAL PHI;Lu;0;L;<font> 03A6;;;;N;;;;;
        "\u1D6F8",  # ;MATHEMATICAL ITALIC CAPITAL CHI;Lu;0;L;<font> 03A7;;;;N;;;;;
        "\u1D6F9",  # ;MATHEMATICAL ITALIC CAPITAL PSI;Lu;0;L;<font> 03A8;;;;N;;;;;
        "\u1D6FA",  # ;MATHEMATICAL ITALIC CAPITAL OMEGA;Lu;0;L;<font> 03A9;;;;N;;;;;
        "\u1D6FB",  # ;MATHEMATICAL ITALIC NABLA;Sm;0;L;<font> 2207;;;;N;;;;;
        "\u1D6FC",  # ;MATHEMATICAL ITALIC SMALL ALPHA;Ll;0;L;<font> 03B1;;;;N;;;;;
        "\u1D6FD",  # ;MATHEMATICAL ITALIC SMALL BETA;Ll;0;L;<font> 03B2;;;;N;;;;;
        "\u1D6FE",  # ;MATHEMATICAL ITALIC SMALL GAMMA;Ll;0;L;<font> 03B3;;;;N;;;;;
        "\u1D6FF",  # ;MATHEMATICAL ITALIC SMALL DELTA;Ll;0;L;<font> 03B4;;;;N;;;;;
        "\u1D700",  # ;MATHEMATICAL ITALIC SMALL EPSILON;Ll;0;L;<font> 03B5;;;;N;;;;;
        "\u1D701",  # ;MATHEMATICAL ITALIC SMALL ZETA;Ll;0;L;<font> 03B6;;;;N;;;;;
        "\u1D702",  # ;MATHEMATICAL ITALIC SMALL ETA;Ll;0;L;<font> 03B7;;;;N;;;;;
        "\u1D703",  # ;MATHEMATICAL ITALIC SMALL THETA;Ll;0;L;<font> 03B8;;;;N;;;;;
        "\u1D704",  # ;MATHEMATICAL ITALIC SMALL IOTA;Ll;0;L;<font> 03B9;;;;N;;;;;
        "\u1D705",  # ;MATHEMATICAL ITALIC SMALL KAPPA;Ll;0;L;<font> 03BA;;;;N;;;;;
        "\u1D706",  # ;MATHEMATICAL ITALIC SMALL LAMDA;Ll;0;L;<font> 03BB;;;;N;;;;;
        "\u1D707",  # ;MATHEMATICAL ITALIC SMALL MU;Ll;0;L;<font> 03BC;;;;N;;;;;
        "\u1D708",  # ;MATHEMATICAL ITALIC SMALL NU;Ll;0;L;<font> 03BD;;;;N;;;;;
        "\u1D709",  # ;MATHEMATICAL ITALIC SMALL XI;Ll;0;L;<font> 03BE;;;;N;;;;;
        "\u1D70A",  # ;MATHEMATICAL ITALIC SMALL OMICRON;Ll;0;L;<font> 03BF;;;;N;;;;;
        "\u1D70B",  # ;MATHEMATICAL ITALIC SMALL PI;Ll;0;L;<font> 03C0;;;;N;;;;;
        "\u1D70C",  # ;MATHEMATICAL ITALIC SMALL RHO;Ll;0;L;<font> 03C1;;;;N;;;;;
        "\u1D70D",  # ;MATHEMATICAL ITALIC SMALL FINAL SIGMA;Ll;0;L;<font> 03C2;;;;N;;;;;
        "\u1D70E",  # ;MATHEMATICAL ITALIC SMALL SIGMA;Ll;0;L;<font> 03C3;;;;N;;;;;
        "\u1D70F",  # ;MATHEMATICAL ITALIC SMALL TAU;Ll;0;L;<font> 03C4;;;;N;;;;;
        "\u1D710",  # ;MATHEMATICAL ITALIC SMALL UPSILON;Ll;0;L;<font> 03C5;;;;N;;;;;
        "\u1D711",  # ;MATHEMATICAL ITALIC SMALL PHI;Ll;0;L;<font> 03C6;;;;N;;;;;
        "\u1D712",  # ;MATHEMATICAL ITALIC SMALL CHI;Ll;0;L;<font> 03C7;;;;N;;;;;
        "\u1D713",  # ;MATHEMATICAL ITALIC SMALL PSI;Ll;0;L;<font> 03C8;;;;N;;;;;
        "\u1D714",  # ;MATHEMATICAL ITALIC SMALL OMEGA;Ll;0;L;<font> 03C9;;;;N;;;;;
        "\u1D715",  # ;MATHEMATICAL ITALIC PARTIAL DIFFERENTIAL;Sm;0;ON;<font> 2202;;;;Y;;;;;
        "\u1D716",  # ;MATHEMATICAL ITALIC EPSILON SYMBOL;Ll;0;L;<font> 03F5;;;;N;;;;;
        "\u1D717",  # ;MATHEMATICAL ITALIC THETA SYMBOL;Ll;0;L;<font> 03D1;;;;N;;;;;
        "\u1D718",  # ;MATHEMATICAL ITALIC KAPPA SYMBOL;Ll;0;L;<font> 03F0;;;;N;;;;;
        "\u1D719",  # ;MATHEMATICAL ITALIC PHI SYMBOL;Ll;0;L;<font> 03D5;;;;N;;;;;
        "\u1D71A",  # ;MATHEMATICAL ITALIC RHO SYMBOL;Ll;0;L;<font> 03F1;;;;N;;;;;
        "\u1D71B",  # ;MATHEMATICAL ITALIC PI SYMBOL;Ll;0;L;<font> 03D6;;;;N;;;;;
        "\u1D71C",  # ;MATHEMATICAL BOLD ITALIC CAPITAL ALPHA;Lu;0;L;<font> 0391;;;;N;;;;;
        "\u1D71D",  # ;MATHEMATICAL BOLD ITALIC CAPITAL BETA;Lu;0;L;<font> 0392;;;;N;;;;;
        "\u1D71E",  # ;MATHEMATICAL BOLD ITALIC CAPITAL GAMMA;Lu;0;L;<font> 0393;;;;N;;;;;
        "\u1D71F",  # ;MATHEMATICAL BOLD ITALIC CAPITAL DELTA;Lu;0;L;<font> 0394;;;;N;;;;;
        "\u1D720",  # ;MATHEMATICAL BOLD ITALIC CAPITAL EPSILON;Lu;0;L;<font> 0395;;;;N;;;;;
        "\u1D721",  # ;MATHEMATICAL BOLD ITALIC CAPITAL ZETA;Lu;0;L;<font> 0396;;;;N;;;;;
        "\u1D722",  # ;MATHEMATICAL BOLD ITALIC CAPITAL ETA;Lu;0;L;<font> 0397;;;;N;;;;;
        "\u1D723",  # ;MATHEMATICAL BOLD ITALIC CAPITAL THETA;Lu;0;L;<font> 0398;;;;N;;;;;
        "\u1D724",  # ;MATHEMATICAL BOLD ITALIC CAPITAL IOTA;Lu;0;L;<font> 0399;;;;N;;;;;
        "\u1D725",  # ;MATHEMATICAL BOLD ITALIC CAPITAL KAPPA;Lu;0;L;<font> 039A;;;;N;;;;;
        "\u1D726",  # ;MATHEMATICAL BOLD ITALIC CAPITAL LAMDA;Lu;0;L;<font> 039B;;;;N;;;;;
        "\u1D727",  # ;MATHEMATICAL BOLD ITALIC CAPITAL MU;Lu;0;L;<font> 039C;;;;N;;;;;
        "\u1D728",  # ;MATHEMATICAL BOLD ITALIC CAPITAL NU;Lu;0;L;<font> 039D;;;;N;;;;;
        "\u1D729",  # ;MATHEMATICAL BOLD ITALIC CAPITAL XI;Lu;0;L;<font> 039E;;;;N;;;;;
        "\u1D72A",  # ;MATHEMATICAL BOLD ITALIC CAPITAL OMICRON;Lu;0;L;<font> 039F;;;;N;;;;;
        "\u1D72B",  # ;MATHEMATICAL BOLD ITALIC CAPITAL PI;Lu;0;L;<font> 03A0;;;;N;;;;;
        "\u1D72C",  # ;MATHEMATICAL BOLD ITALIC CAPITAL RHO;Lu;0;L;<font> 03A1;;;;N;;;;;
        "\u1D72D",  # ;MATHEMATICAL BOLD ITALIC CAPITAL THETA SYMBOL;Lu;0;L;<font> 03F4;;;;N;;;;;
        "\u1D72E",  # ;MATHEMATICAL BOLD ITALIC CAPITAL SIGMA;Lu;0;L;<font> 03A3;;;;N;;;;;
        "\u1D72F",  # ;MATHEMATICAL BOLD ITALIC CAPITAL TAU;Lu;0;L;<font> 03A4;;;;N;;;;;
        "\u1D730",  # ;MATHEMATICAL BOLD ITALIC CAPITAL UPSILON;Lu;0;L;<font> 03A5;;;;N;;;;;
        "\u1D731",  # ;MATHEMATICAL BOLD ITALIC CAPITAL PHI;Lu;0;L;<font> 03A6;;;;N;;;;;
        "\u1D732",  # ;MATHEMATICAL BOLD ITALIC CAPITAL CHI;Lu;0;L;<font> 03A7;;;;N;;;;;
        "\u1D733",  # ;MATHEMATICAL BOLD ITALIC CAPITAL PSI;Lu;0;L;<font> 03A8;;;;N;;;;;
        "\u1D734",  # ;MATHEMATICAL BOLD ITALIC CAPITAL OMEGA;Lu;0;L;<font> 03A9;;;;N;;;;;
        "\u1D735",  # ;MATHEMATICAL BOLD ITALIC NABLA;Sm;0;L;<font> 2207;;;;N;;;;;
        "\u1D736",  # ;MATHEMATICAL BOLD ITALIC SMALL ALPHA;Ll;0;L;<font> 03B1;;;;N;;;;;
        "\u1D737",  # ;MATHEMATICAL BOLD ITALIC SMALL BETA;Ll;0;L;<font> 03B2;;;;N;;;;;
        "\u1D738",  # ;MATHEMATICAL BOLD ITALIC SMALL GAMMA;Ll;0;L;<font> 03B3;;;;N;;;;;
        "\u1D739",  # ;MATHEMATICAL BOLD ITALIC SMALL DELTA;Ll;0;L;<font> 03B4;;;;N;;;;;
        "\u1D73A",  # ;MATHEMATICAL BOLD ITALIC SMALL EPSILON;Ll;0;L;<font> 03B5;;;;N;;;;;
        "\u1D73B",  # ;MATHEMATICAL BOLD ITALIC SMALL ZETA;Ll;0;L;<font> 03B6;;;;N;;;;;
        "\u1D73C",  # ;MATHEMATICAL BOLD ITALIC SMALL ETA;Ll;0;L;<font> 03B7;;;;N;;;;;
        "\u1D73D",  # ;MATHEMATICAL BOLD ITALIC SMALL THETA;Ll;0;L;<font> 03B8;;;;N;;;;;
        "\u1D73E",  # ;MATHEMATICAL BOLD ITALIC SMALL IOTA;Ll;0;L;<font> 03B9;;;;N;;;;;
        "\u1D73F",  # ;MATHEMATICAL BOLD ITALIC SMALL KAPPA;Ll;0;L;<font> 03BA;;;;N;;;;;
        "\u1D740",  # ;MATHEMATICAL BOLD ITALIC SMALL LAMDA;Ll;0;L;<font> 03BB;;;;N;;;;;
        "\u1D741",  # ;MATHEMATICAL BOLD ITALIC SMALL MU;Ll;0;L;<font> 03BC;;;;N;;;;;
        "\u1D742",  # ;MATHEMATICAL BOLD ITALIC SMALL NU;Ll;0;L;<font> 03BD;;;;N;;;;;
        "\u1D743",  # ;MATHEMATICAL BOLD ITALIC SMALL XI;Ll;0;L;<font> 03BE;;;;N;;;;;
        "\u1D744",  # ;MATHEMATICAL BOLD ITALIC SMALL OMICRON;Ll;0;L;<font> 03BF;;;;N;;;;;
        "\u1D745",  # ;MATHEMATICAL BOLD ITALIC SMALL PI;Ll;0;L;<font> 03C0;;;;N;;;;;
        "\u1D746",  # ;MATHEMATICAL BOLD ITALIC SMALL RHO;Ll;0;L;<font> 03C1;;;;N;;;;;
        "\u1D747",  # ;MATHEMATICAL BOLD ITALIC SMALL FINAL SIGMA;Ll;0;L;<font> 03C2;;;;N;;;;;
        "\u1D748",  # ;MATHEMATICAL BOLD ITALIC SMALL SIGMA;Ll;0;L;<font> 03C3;;;;N;;;;;
        "\u1D749",  # ;MATHEMATICAL BOLD ITALIC SMALL TAU;Ll;0;L;<font> 03C4;;;;N;;;;;
        "\u1D74A",  # ;MATHEMATICAL BOLD ITALIC SMALL UPSILON;Ll;0;L;<font> 03C5;;;;N;;;;;
        "\u1D74B",  # ;MATHEMATICAL BOLD ITALIC SMALL PHI;Ll;0;L;<font> 03C6;;;;N;;;;;
        "\u1D74C",  # ;MATHEMATICAL BOLD ITALIC SMALL CHI;Ll;0;L;<font> 03C7;;;;N;;;;;
        "\u1D74D",  # ;MATHEMATICAL BOLD ITALIC SMALL PSI;Ll;0;L;<font> 03C8;;;;N;;;;;
        "\u1D74E",  # ;MATHEMATICAL BOLD ITALIC SMALL OMEGA;Ll;0;L;<font> 03C9;;;;N;;;;;
        "\u1D74F",  # ;MATHEMATICAL BOLD ITALIC PARTIAL DIFFERENTIAL;Sm;0;ON;<font> 2202;;;;Y;;;;;
        "\u1D750",  # ;MATHEMATICAL BOLD ITALIC EPSILON SYMBOL;Ll;0;L;<font> 03F5;;;;N;;;;;
        "\u1D751",  # ;MATHEMATICAL BOLD ITALIC THETA SYMBOL;Ll;0;L;<font> 03D1;;;;N;;;;;
        "\u1D752",  # ;MATHEMATICAL BOLD ITALIC KAPPA SYMBOL;Ll;0;L;<font> 03F0;;;;N;;;;;
        "\u1D753",  # ;MATHEMATICAL BOLD ITALIC PHI SYMBOL;Ll;0;L;<font> 03D5;;;;N;;;;;
        "\u1D754",  # ;MATHEMATICAL BOLD ITALIC RHO SYMBOL;Ll;0;L;<font> 03F1;;;;N;;;;;
        "\u1D755",  # ;MATHEMATICAL BOLD ITALIC PI SYMBOL;Ll;0;L;<font> 03D6;;;;N;;;;;
        "\u1D756",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL ALPHA;Lu;0;L;<font> 0391;;;;N;;;;;
        "\u1D757",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL BETA;Lu;0;L;<font> 0392;;;;N;;;;;
        "\u1D758",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL GAMMA;Lu;0;L;<font> 0393;;;;N;;;;;
        "\u1D759",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL DELTA;Lu;0;L;<font> 0394;;;;N;;;;;
        "\u1D75A",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL EPSILON;Lu;0;L;<font> 0395;;;;N;;;;;
        "\u1D75B",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL ZETA;Lu;0;L;<font> 0396;;;;N;;;;;
        "\u1D75C",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL ETA;Lu;0;L;<font> 0397;;;;N;;;;;
        "\u1D75D",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL THETA;Lu;0;L;<font> 0398;;;;N;;;;;
        "\u1D75E",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL IOTA;Lu;0;L;<font> 0399;;;;N;;;;;
        "\u1D75F",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL KAPPA;Lu;0;L;<font> 039A;;;;N;;;;;
        "\u1D760",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL LAMDA;Lu;0;L;<font> 039B;;;;N;;;;;
        "\u1D761",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL MU;Lu;0;L;<font> 039C;;;;N;;;;;
        "\u1D762",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL NU;Lu;0;L;<font> 039D;;;;N;;;;;
        "\u1D763",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL XI;Lu;0;L;<font> 039E;;;;N;;;;;
        "\u1D764",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL OMICRON;Lu;0;L;<font> 039F;;;;N;;;;;
        "\u1D765",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL PI;Lu;0;L;<font> 03A0;;;;N;;;;;
        "\u1D766",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL RHO;Lu;0;L;<font> 03A1;;;;N;;;;;
        "\u1D767",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL THETA SYMBOL;Lu;0;L;<font> 03F4;;;;N;;;;;
        "\u1D768",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL SIGMA;Lu;0;L;<font> 03A3;;;;N;;;;;
        "\u1D769",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL TAU;Lu;0;L;<font> 03A4;;;;N;;;;;
        "\u1D76A",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL UPSILON;Lu;0;L;<font> 03A5;;;;N;;;;;
        "\u1D76B",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL PHI;Lu;0;L;<font> 03A6;;;;N;;;;;
        "\u1D76C",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL CHI;Lu;0;L;<font> 03A7;;;;N;;;;;
        "\u1D76D",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL PSI;Lu;0;L;<font> 03A8;;;;N;;;;;
        "\u1D76E",  # ;MATHEMATICAL SANS-SERIF BOLD CAPITAL OMEGA;Lu;0;L;<font> 03A9;;;;N;;;;;
        "\u1D76F",  # ;MATHEMATICAL SANS-SERIF BOLD NABLA;Sm;0;L;<font> 2207;;;;N;;;;;
        "\u1D770",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL ALPHA;Ll;0;L;<font> 03B1;;;;N;;;;;
        "\u1D771",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL BETA;Ll;0;L;<font> 03B2;;;;N;;;;;
        "\u1D772",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL GAMMA;Ll;0;L;<font> 03B3;;;;N;;;;;
        "\u1D773",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL DELTA;Ll;0;L;<font> 03B4;;;;N;;;;;
        "\u1D774",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL EPSILON;Ll;0;L;<font> 03B5;;;;N;;;;;
        "\u1D775",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL ZETA;Ll;0;L;<font> 03B6;;;;N;;;;;
        "\u1D776",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL ETA;Ll;0;L;<font> 03B7;;;;N;;;;;
        "\u1D777",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL THETA;Ll;0;L;<font> 03B8;;;;N;;;;;
        "\u1D778",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL IOTA;Ll;0;L;<font> 03B9;;;;N;;;;;
        "\u1D779",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL KAPPA;Ll;0;L;<font> 03BA;;;;N;;;;;
        "\u1D77A",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL LAMDA;Ll;0;L;<font> 03BB;;;;N;;;;;
        "\u1D77B",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL MU;Ll;0;L;<font> 03BC;;;;N;;;;;
        "\u1D77C",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL NU;Ll;0;L;<font> 03BD;;;;N;;;;;
        "\u1D77D",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL XI;Ll;0;L;<font> 03BE;;;;N;;;;;
        "\u1D77E",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL OMICRON;Ll;0;L;<font> 03BF;;;;N;;;;;
        "\u1D77F",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL PI;Ll;0;L;<font> 03C0;;;;N;;;;;
        "\u1D780",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL RHO;Ll;0;L;<font> 03C1;;;;N;;;;;
        "\u1D781",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL FINAL SIGMA;Ll;0;L;<font> 03C2;;;;N;;;;;
        "\u1D782",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL SIGMA;Ll;0;L;<font> 03C3;;;;N;;;;;
        "\u1D783",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL TAU;Ll;0;L;<font> 03C4;;;;N;;;;;
        "\u1D784",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL UPSILON;Ll;0;L;<font> 03C5;;;;N;;;;;
        "\u1D785",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL PHI;Ll;0;L;<font> 03C6;;;;N;;;;;
        "\u1D786",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL CHI;Ll;0;L;<font> 03C7;;;;N;;;;;
        "\u1D787",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL PSI;Ll;0;L;<font> 03C8;;;;N;;;;;
        "\u1D788",  # ;MATHEMATICAL SANS-SERIF BOLD SMALL OMEGA;Ll;0;L;<font> 03C9;;;;N;;;;;
        "\u1D789",  # ;MATHEMATICAL SANS-SERIF BOLD PARTIAL DIFFERENTIAL;Sm;0;ON;<font> 2202;;;;Y;;;;;
        "\u1D78A",  # ;MATHEMATICAL SANS-SERIF BOLD EPSILON SYMBOL;Ll;0;L;<font> 03F5;;;;N;;;;;
        "\u1D78B",  # ;MATHEMATICAL SANS-SERIF BOLD THETA SYMBOL;Ll;0;L;<font> 03D1;;;;N;;;;;
        "\u1D78C",  # ;MATHEMATICAL SANS-SERIF BOLD KAPPA SYMBOL;Ll;0;L;<font> 03F0;;;;N;;;;;
        "\u1D78D",  # ;MATHEMATICAL SANS-SERIF BOLD PHI SYMBOL;Ll;0;L;<font> 03D5;;;;N;;;;;
        "\u1D78E",  # ;MATHEMATICAL SANS-SERIF BOLD RHO SYMBOL;Ll;0;L;<font> 03F1;;;;N;;;;;
        "\u1D78F",  # ;MATHEMATICAL SANS-SERIF BOLD PI SYMBOL;Ll;0;L;<font> 03D6;;;;N;;;;;
        "\u1D790",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL ALPHA;Lu;0;L;<font> 0391;;;;N;;;;;
        "\u1D791",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL BETA;Lu;0;L;<font> 0392;;;;N;;;;;
        "\u1D792",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL GAMMA;Lu;0;L;<font> 0393;;;;N;;;;;
        "\u1D793",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL DELTA;Lu;0;L;<font> 0394;;;;N;;;;;
        "\u1D794",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL EPSILON;Lu;0;L;<font> 0395;;;;N;;;;;
        "\u1D795",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL ZETA;Lu;0;L;<font> 0396;;;;N;;;;;
        "\u1D796",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL ETA;Lu;0;L;<font> 0397;;;;N;;;;;
        "\u1D797",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL THETA;Lu;0;L;<font> 0398;;;;N;;;;;
        "\u1D798",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL IOTA;Lu;0;L;<font> 0399;;;;N;;;;;
        "\u1D799",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL KAPPA;Lu;0;L;<font> 039A;;;;N;;;;;
        "\u1D79A",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL LAMDA;Lu;0;L;<font> 039B;;;;N;;;;;
        "\u1D79B",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL MU;Lu;0;L;<font> 039C;;;;N;;;;;
        "\u1D79C",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL NU;Lu;0;L;<font> 039D;;;;N;;;;;
        "\u1D79D",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL XI;Lu;0;L;<font> 039E;;;;N;;;;;
        "\u1D79E",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL OMICRON;Lu;0;L;<font> 039F;;;;N;;;;;
        "\u1D79F",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL PI;Lu;0;L;<font> 03A0;;;;N;;;;;
        "\u1D7A0",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL RHO;Lu;0;L;<font> 03A1;;;;N;;;;;
        "\u1D7A1",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL THETA SYMBOL;Lu;0;L;<font> 03F4;;;;N;;;;;
        "\u1D7A2",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL SIGMA;Lu;0;L;<font> 03A3;;;;N;;;;;
        "\u1D7A3",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL TAU;Lu;0;L;<font> 03A4;;;;N;;;;;
        "\u1D7A4",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL UPSILON;Lu;0;L;<font> 03A5;;;;N;;;;;
        "\u1D7A5",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL PHI;Lu;0;L;<font> 03A6;;;;N;;;;;
        "\u1D7A6",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL CHI;Lu;0;L;<font> 03A7;;;;N;;;;;
        "\u1D7A7",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL PSI;Lu;0;L;<font> 03A8;;;;N;;;;;
        "\u1D7A8",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL OMEGA;Lu;0;L;<font> 03A9;;;;N;;;;;
        "\u1D7A9",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC NABLA;Sm;0;L;<font> 2207;;;;N;;;;;
        "\u1D7AA",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL ALPHA;Ll;0;L;<font> 03B1;;;;N;;;;;
        "\u1D7AB",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL BETA;Ll;0;L;<font> 03B2;;;;N;;;;;
        "\u1D7AC",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL GAMMA;Ll;0;L;<font> 03B3;;;;N;;;;;
        "\u1D7AD",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL DELTA;Ll;0;L;<font> 03B4;;;;N;;;;;
        "\u1D7AE",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL EPSILON;Ll;0;L;<font> 03B5;;;;N;;;;;
        "\u1D7AF",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL ZETA;Ll;0;L;<font> 03B6;;;;N;;;;;
        "\u1D7B0",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL ETA;Ll;0;L;<font> 03B7;;;;N;;;;;
        "\u1D7B1",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL THETA;Ll;0;L;<font> 03B8;;;;N;;;;;
        "\u1D7B2",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL IOTA;Ll;0;L;<font> 03B9;;;;N;;;;;
        "\u1D7B3",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL KAPPA;Ll;0;L;<font> 03BA;;;;N;;;;;
        "\u1D7B4",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL LAMDA;Ll;0;L;<font> 03BB;;;;N;;;;;
        "\u1D7B5",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL MU;Ll;0;L;<font> 03BC;;;;N;;;;;
        "\u1D7B6",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL NU;Ll;0;L;<font> 03BD;;;;N;;;;;
        "\u1D7B7",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL XI;Ll;0;L;<font> 03BE;;;;N;;;;;
        "\u1D7B8",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL OMICRON;Ll;0;L;<font> 03BF;;;;N;;;;;
        "\u1D7B9",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL PI;Ll;0;L;<font> 03C0;;;;N;;;;;
        "\u1D7BA",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL RHO;Ll;0;L;<font> 03C1;;;;N;;;;;
        "\u1D7BB",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL FINAL SIGMA;Ll;0;L;<font> 03C2;;;;N;;;;;
        "\u1D7BC",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL SIGMA;Ll;0;L;<font> 03C3;;;;N;;;;;
        "\u1D7BD",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL TAU;Ll;0;L;<font> 03C4;;;;N;;;;;
        "\u1D7BE",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL UPSILON;Ll;0;L;<font> 03C5;;;;N;;;;;
        "\u1D7BF",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL PHI;Ll;0;L;<font> 03C6;;;;N;;;;;
        "\u1D7C0",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL CHI;Ll;0;L;<font> 03C7;;;;N;;;;;
        "\u1D7C1",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL PSI;Ll;0;L;<font> 03C8;;;;N;;;;;
        "\u1D7C2",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL OMEGA;Ll;0;L;<font> 03C9;;;;N;;;;;
        "\u1D7C3",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC PARTIAL DIFFERENTIAL;Sm;0;ON;<font> 2202;;;;Y;;;;;
        "\u1D7C4",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC EPSILON SYMBOL;Ll;0;L;<font> 03F5;;;;N;;;;;
        "\u1D7C5",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC THETA SYMBOL;Ll;0;L;<font> 03D1;;;;N;;;;;
        "\u1D7C6",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC KAPPA SYMBOL;Ll;0;L;<font> 03F0;;;;N;;;;;
        "\u1D7C7",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC PHI SYMBOL;Ll;0;L;<font> 03D5;;;;N;;;;;
        "\u1D7C8",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC RHO SYMBOL;Ll;0;L;<font> 03F1;;;;N;;;;;
        "\u1D7C9",  # ;MATHEMATICAL SANS-SERIF BOLD ITALIC PI SYMBOL;Ll;0;L;<font> 03D6;;;;N;;;;;
        "\u1D7CA",  # ;MATHEMATICAL BOLD CAPITAL DIGAMMA;Lu;0;L;<font> 03DC;;;;N;;;;;
        "\u1D7CB",  # ;MATHEMATICAL BOLD SMALL DIGAMMA;Ll;0;L;<font> 03DD;;;;N;;;;;
        "\u1D7CE",  # ;MATHEMATICAL BOLD DIGIT ZERO;Nd;0;EN;<font> 0030;0;0;0;N;;;;;
        "\u1D7CF",  # ;MATHEMATICAL BOLD DIGIT ONE;Nd;0;EN;<font> 0031;1;1;1;N;;;;;
        "\u1D7D0",  # ;MATHEMATICAL BOLD DIGIT TWO;Nd;0;EN;<font> 0032;2;2;2;N;;;;;
        "\u1D7D1",  # ;MATHEMATICAL BOLD DIGIT THREE;Nd;0;EN;<font> 0033;3;3;3;N;;;;;
        "\u1D7D2",  # ;MATHEMATICAL BOLD DIGIT FOUR;Nd;0;EN;<font> 0034;4;4;4;N;;;;;
        "\u1D7D3",  # ;MATHEMATICAL BOLD DIGIT FIVE;Nd;0;EN;<font> 0035;5;5;5;N;;;;;
        "\u1D7D4",  # ;MATHEMATICAL BOLD DIGIT SIX;Nd;0;EN;<font> 0036;6;6;6;N;;;;;
        "\u1D7D5",  # ;MATHEMATICAL BOLD DIGIT SEVEN;Nd;0;EN;<font> 0037;7;7;7;N;;;;;
        "\u1D7D6",  # ;MATHEMATICAL BOLD DIGIT EIGHT;Nd;0;EN;<font> 0038;8;8;8;N;;;;;
        "\u1D7D7",  # ;MATHEMATICAL BOLD DIGIT NINE;Nd;0;EN;<font> 0039;9;9;9;N;;;;;
        "\u1D7D8",  # ;MATHEMATICAL DOUBLE-STRUCK DIGIT ZERO;Nd;0;EN;<font> 0030;0;0;0;N;;;;;
        "\u1D7D9",  # ;MATHEMATICAL DOUBLE-STRUCK DIGIT ONE;Nd;0;EN;<font> 0031;1;1;1;N;;;;;
        "\u1D7DA",  # ;MATHEMATICAL DOUBLE-STRUCK DIGIT TWO;Nd;0;EN;<font> 0032;2;2;2;N;;;;;
        "\u1D7DB",  # ;MATHEMATICAL DOUBLE-STRUCK DIGIT THREE;Nd;0;EN;<font> 0033;3;3;3;N;;;;;
        "\u1D7DC",  # ;MATHEMATICAL DOUBLE-STRUCK DIGIT FOUR;Nd;0;EN;<font> 0034;4;4;4;N;;;;;
        "\u1D7DD",  # ;MATHEMATICAL DOUBLE-STRUCK DIGIT FIVE;Nd;0;EN;<font> 0035;5;5;5;N;;;;;
        "\u1D7DE",  # ;MATHEMATICAL DOUBLE-STRUCK DIGIT SIX;Nd;0;EN;<font> 0036;6;6;6;N;;;;;
        "\u1D7DF",  # ;MATHEMATICAL DOUBLE-STRUCK DIGIT SEVEN;Nd;0;EN;<font> 0037;7;7;7;N;;;;;
        "\u1D7E0",  # ;MATHEMATICAL DOUBLE-STRUCK DIGIT EIGHT;Nd;0;EN;<font> 0038;8;8;8;N;;;;;
        "\u1D7E1",  # ;MATHEMATICAL DOUBLE-STRUCK DIGIT NINE;Nd;0;EN;<font> 0039;9;9;9;N;;;;;
        "\u1D7E2",  # ;MATHEMATICAL SANS-SERIF DIGIT ZERO;Nd;0;EN;<font> 0030;0;0;0;N;;;;;
        "\u1D7E3",  # ;MATHEMATICAL SANS-SERIF DIGIT ONE;Nd;0;EN;<font> 0031;1;1;1;N;;;;;
        "\u1D7E4",  # ;MATHEMATICAL SANS-SERIF DIGIT TWO;Nd;0;EN;<font> 0032;2;2;2;N;;;;;
        "\u1D7E5",  # ;MATHEMATICAL SANS-SERIF DIGIT THREE;Nd;0;EN;<font> 0033;3;3;3;N;;;;;
        "\u1D7E6",  # ;MATHEMATICAL SANS-SERIF DIGIT FOUR;Nd;0;EN;<font> 0034;4;4;4;N;;;;;
        "\u1D7E7",  # ;MATHEMATICAL SANS-SERIF DIGIT FIVE;Nd;0;EN;<font> 0035;5;5;5;N;;;;;
        "\u1D7E8",  # ;MATHEMATICAL SANS-SERIF DIGIT SIX;Nd;0;EN;<font> 0036;6;6;6;N;;;;;
        "\u1D7E9",  # ;MATHEMATICAL SANS-SERIF DIGIT SEVEN;Nd;0;EN;<font> 0037;7;7;7;N;;;;;
        "\u1D7EA",  # ;MATHEMATICAL SANS-SERIF DIGIT EIGHT;Nd;0;EN;<font> 0038;8;8;8;N;;;;;
        "\u1D7EB",  # ;MATHEMATICAL SANS-SERIF DIGIT NINE;Nd;0;EN;<font> 0039;9;9;9;N;;;;;
        "\u1D7EC",  # ;MATHEMATICAL SANS-SERIF BOLD DIGIT ZERO;Nd;0;EN;<font> 0030;0;0;0;N;;;;;
        "\u1D7ED",  # ;MATHEMATICAL SANS-SERIF BOLD DIGIT ONE;Nd;0;EN;<font> 0031;1;1;1;N;;;;;
        "\u1D7EE",  # ;MATHEMATICAL SANS-SERIF BOLD DIGIT TWO;Nd;0;EN;<font> 0032;2;2;2;N;;;;;
        "\u1D7EF",  # ;MATHEMATICAL SANS-SERIF BOLD DIGIT THREE;Nd;0;EN;<font> 0033;3;3;3;N;;;;;
        "\u1D7F0",  # ;MATHEMATICAL SANS-SERIF BOLD DIGIT FOUR;Nd;0;EN;<font> 0034;4;4;4;N;;;;;
        "\u1D7F1",  # ;MATHEMATICAL SANS-SERIF BOLD DIGIT FIVE;Nd;0;EN;<font> 0035;5;5;5;N;;;;;
        "\u1D7F2",  # ;MATHEMATICAL SANS-SERIF BOLD DIGIT SIX;Nd;0;EN;<font> 0036;6;6;6;N;;;;;
        "\u1D7F3",  # ;MATHEMATICAL SANS-SERIF BOLD DIGIT SEVEN;Nd;0;EN;<font> 0037;7;7;7;N;;;;;
        "\u1D7F4",  # ;MATHEMATICAL SANS-SERIF BOLD DIGIT EIGHT;Nd;0;EN;<font> 0038;8;8;8;N;;;;;
        "\u1D7F5",  # ;MATHEMATICAL SANS-SERIF BOLD DIGIT NINE;Nd;0;EN;<font> 0039;9;9;9;N;;;;;
        "\u1D7F6",  # ;MATHEMATICAL MONOSPACE DIGIT ZERO;Nd;0;EN;<font> 0030;0;0;0;N;;;;;
        "\u1D7F7",  # ;MATHEMATICAL MONOSPACE DIGIT ONE;Nd;0;EN;<font> 0031;1;1;1;N;;;;;
        "\u1D7F8",  # ;MATHEMATICAL MONOSPACE DIGIT TWO;Nd;0;EN;<font> 0032;2;2;2;N;;;;;
        "\u1D7F9",  # ;MATHEMATICAL MONOSPACE DIGIT THREE;Nd;0;EN;<font> 0033;3;3;3;N;;;;;
        "\u1D7FA",  # ;MATHEMATICAL MONOSPACE DIGIT FOUR;Nd;0;EN;<font> 0034;4;4;4;N;;;;;
        "\u1D7FB",  # ;MATHEMATICAL MONOSPACE DIGIT FIVE;Nd;0;EN;<font> 0035;5;5;5;N;;;;;
        "\u1D7FC",  # ;MATHEMATICAL MONOSPACE DIGIT SIX;Nd;0;EN;<font> 0036;6;6;6;N;;;;;
        "\u1D7FD",  # ;MATHEMATICAL MONOSPACE DIGIT SEVEN;Nd;0;EN;<font> 0037;7;7;7;N;;;;;
        "\u1D7FE",  # ;MATHEMATICAL MONOSPACE DIGIT EIGHT;Nd;0;EN;<font> 0038;8;8;8;N;;;;;
        "\u1D7FF",  # ;MATHEMATICAL MONOSPACE DIGIT NINE;Nd;0;EN;<font> 0039;9;9;9;N;;;;;
        "\u1D800",  # ;SIGNWRITING HAND-FIST INDEX;So;0;L;;;;;N;;;;;
        "\u1D801",  # ;SIGNWRITING HAND-CIRCLE INDEX;So;0;L;;;;;N;;;;;
        "\u1D802",  # ;SIGNWRITING HAND-CUP INDEX;So;0;L;;;;;N;;;;;
        "\u1D803",  # ;SIGNWRITING HAND-OVAL INDEX;So;0;L;;;;;N;;;;;
        "\u1D804",  # ;SIGNWRITING HAND-HINGE INDEX;So;0;L;;;;;N;;;;;
        "\u1D805",  # ;SIGNWRITING HAND-ANGLE INDEX;So;0;L;;;;;N;;;;;
        "\u1D806",  # ;SIGNWRITING HAND-FIST INDEX BENT;So;0;L;;;;;N;;;;;
        "\u1D807",  # ;SIGNWRITING HAND-CIRCLE INDEX BENT;So;0;L;;;;;N;;;;;
        "\u1D808",  # ;SIGNWRITING HAND-FIST THUMB UNDER INDEX BENT;So;0;L;;;;;N;;;;;
        "\u1D809",  # ;SIGNWRITING HAND-FIST INDEX RAISED KNUCKLE;So;0;L;;;;;N;;;;;
        "\u1D80A",  # ;SIGNWRITING HAND-FIST INDEX CUPPED;So;0;L;;;;;N;;;;;
        "\u1D80B",  # ;SIGNWRITING HAND-FIST INDEX HINGED;So;0;L;;;;;N;;;;;
        "\u1D80C",  # ;SIGNWRITING HAND-FIST INDEX HINGED LOW;So;0;L;;;;;N;;;;;
        "\u1D80D",  # ;SIGNWRITING HAND-CIRCLE INDEX HINGE;So;0;L;;;;;N;;;;;
        "\u1D80E",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE;So;0;L;;;;;N;;;;;
        "\u1D80F",  # ;SIGNWRITING HAND-CIRCLE INDEX MIDDLE;So;0;L;;;;;N;;;;;
        "\u1D810",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE BENT;So;0;L;;;;;N;;;;;
        "\u1D811",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE RAISED KNUCKLES;So;0;L;;;;;N;;;;;
        "\u1D812",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE HINGED;So;0;L;;;;;N;;;;;
        "\u1D813",  # ;SIGNWRITING HAND-FIST INDEX UP MIDDLE HINGED;So;0;L;;;;;N;;;;;
        "\u1D814",  # ;SIGNWRITING HAND-FIST INDEX HINGED MIDDLE UP;So;0;L;;;;;N;;;;;
        "\u1D815",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED;So;0;L;;;;;N;;;;;
        "\u1D816",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED INDEX BENT;So;0;L;;;;;N;;;;;
        "\u1D817",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED MIDDLE BENT;So;0;L;;;;;N;;;;;
        "\u1D818",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED CUPPED;So;0;L;;;;;N;;;;;
        "\u1D819",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED HINGED;So;0;L;;;;;N;;;;;
        "\u1D81A",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE CROSSED;So;0;L;;;;;N;;;;;
        "\u1D81B",  # ;SIGNWRITING HAND-CIRCLE INDEX MIDDLE CROSSED;So;0;L;;;;;N;;;;;
        "\u1D81C",  # ;SIGNWRITING HAND-FIST MIDDLE BENT OVER INDEX;So;0;L;;;;;N;;;;;
        "\u1D81D",  # ;SIGNWRITING HAND-FIST INDEX BENT OVER MIDDLE;So;0;L;;;;;N;;;;;
        "\u1D81E",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE THUMB;So;0;L;;;;;N;;;;;
        "\u1D81F",  # ;SIGNWRITING HAND-CIRCLE INDEX MIDDLE THUMB;So;0;L;;;;;N;;;;;
        "\u1D820",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE STRAIGHT THUMB BENT;So;0;L;;;;;N;;;;;
        "\u1D821",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE BENT THUMB STRAIGHT;So;0;L;;;;;N;;;;;
        "\u1D822",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE THUMB BENT;So;0;L;;;;;N;;;;;
        "\u1D823",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE HINGED SPREAD THUMB SIDE;So;0;L;;;;;N;;;;;
        "\u1D824",  # ;SIGNWRITING HAND-FIST INDEX UP MIDDLE HINGED THUMB SIDE;So;0;L;;;;;N;;;;;
        "\u1D825",  # ;SIGNWRITING HAND-FIST INDEX UP MIDDLE HINGED THUMB CONJOINED;So;0;L;;;;;N;;;;;
        "\u1D826",  # ;SIGNWRITING HAND-FIST INDEX HINGED MIDDLE UP THUMB SIDE;So;0;L;;;;;N;;;;;
        "\u1D827",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE UP SPREAD THUMB FORWARD;So;0;L;;;;;N;;;;;
        "\u1D828",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE THUMB CUPPED;So;0;L;;;;;N;;;;;
        "\u1D829",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE THUMB CIRCLED;So;0;L;;;;;N;;;;;
        "\u1D82A",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE THUMB HOOKED;So;0;L;;;;;N;;;;;
        "\u1D82B",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE THUMB HINGED;So;0;L;;;;;N;;;;;
        "\u1D82C",  # ;SIGNWRITING HAND-FIST THUMB BETWEEN INDEX MIDDLE STRAIGHT;So;0;L;;;;;N;;;;;
        "\u1D82D",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED THUMB SIDE;So;0;L;;;;;N;;;;;
        "\u1D82E",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED THUMB SIDE CONJOINED;So;0;L;;;;;N;;;;;
        "\u1D82F",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED THUMB SIDE BENT;So;0;L;;;;;N;;;;;
        "\u1D830",  # ;SIGNWRITING HAND-FIST MIDDLE THUMB HOOKED INDEX UP;So;0;L;;;;;N;;;;;
        "\u1D831",  # ;SIGNWRITING HAND-FIST INDEX THUMB HOOKED MIDDLE UP;So;0;L;;;;;N;;;;;
        "\u1D832",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED HINGED THUMB SIDE;So;0;L;;;;;N;;;;;
        "\u1D833",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE CROSSED THUMB SIDE;So;0;L;;;;;N;;;;;
        "\u1D834",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED THUMB FORWARD;So;0;L;;;;;N;;;;;
        "\u1D835",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE CONJOINED CUPPED THUMB FORWARD;So;0;L;;;;;N;;;;;
        "\u1D836",  # ;SIGNWRITING HAND-FIST MIDDLE THUMB CUPPED INDEX UP;So;0;L;;;;;N;;;;;
        "\u1D837",  # ;SIGNWRITING HAND-FIST INDEX THUMB CUPPED MIDDLE UP;So;0;L;;;;;N;;;;;
        "\u1D838",  # ;SIGNWRITING HAND-FIST MIDDLE THUMB CIRCLED INDEX UP;So;0;L;;;;;N;;;;;
        "\u1D839",  # ;SIGNWRITING HAND-FIST MIDDLE THUMB CIRCLED INDEX HINGED;So;0;L;;;;;N;;;;;
        "\u1D83A",  # ;SIGNWRITING HAND-FIST INDEX THUMB ANGLED OUT MIDDLE UP;So;0;L;;;;;N;;;;;
        "\u1D83B",  # ;SIGNWRITING HAND-FIST INDEX THUMB ANGLED IN MIDDLE UP;So;0;L;;;;;N;;;;;
        "\u1D83C",  # ;SIGNWRITING HAND-FIST INDEX THUMB CIRCLED MIDDLE UP;So;0;L;;;;;N;;;;;
        "\u1D83D",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE THUMB CONJOINED HINGED;So;0;L;;;;;N;;;;;
        "\u1D83E",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE THUMB ANGLED OUT;So;0;L;;;;;N;;;;;
        "\u1D83F",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE THUMB ANGLED;So;0;L;;;;;N;;;;;
        "\u1D840",  # ;SIGNWRITING HAND-FIST MIDDLE THUMB ANGLED OUT INDEX UP;So;0;L;;;;;N;;;;;
        "\u1D841",  # ;SIGNWRITING HAND-FIST MIDDLE THUMB ANGLED OUT INDEX CROSSED;So;0;L;;;;;N;;;;;
        "\u1D842",  # ;SIGNWRITING HAND-FIST MIDDLE THUMB ANGLED INDEX UP;So;0;L;;;;;N;;;;;
        "\u1D843",  # ;SIGNWRITING HAND-FIST INDEX THUMB HOOKED MIDDLE HINGED;So;0;L;;;;;N;;;;;
        "\u1D844",  # ;SIGNWRITING HAND-FLAT FOUR FINGERS;So;0;L;;;;;N;;;;;
        "\u1D845",  # ;SIGNWRITING HAND-FLAT FOUR FINGERS BENT;So;0;L;;;;;N;;;;;
        "\u1D846",  # ;SIGNWRITING HAND-FLAT FOUR FINGERS HINGED;So;0;L;;;;;N;;;;;
        "\u1D847",  # ;SIGNWRITING HAND-FLAT FOUR FINGERS CONJOINED;So;0;L;;;;;N;;;;;
        "\u1D848",  # ;SIGNWRITING HAND-FLAT FOUR FINGERS CONJOINED SPLIT;So;0;L;;;;;N;;;;;
        "\u1D849",  # ;SIGNWRITING HAND-CLAW FOUR FINGERS CONJOINED;So;0;L;;;;;N;;;;;
        "\u1D84A",  # ;SIGNWRITING HAND-FIST FOUR FINGERS CONJOINED BENT;So;0;L;;;;;N;;;;;
        "\u1D84B",  # ;SIGNWRITING HAND-HINGE FOUR FINGERS CONJOINED;So;0;L;;;;;N;;;;;
        "\u1D84C",  # ;SIGNWRITING HAND-FLAT FIVE FINGERS SPREAD;So;0;L;;;;;N;;;;;
        "\u1D84D",  # ;SIGNWRITING HAND-FLAT HEEL FIVE FINGERS SPREAD;So;0;L;;;;;N;;;;;
        "\u1D84E",  # ;SIGNWRITING HAND-FLAT FIVE FINGERS SPREAD FOUR BENT;So;0;L;;;;;N;;;;;
        "\u1D84F",  # ;SIGNWRITING HAND-FLAT HEEL FIVE FINGERS SPREAD FOUR BENT;So;0;L;;;;;N;;;;;
        "\u1D850",  # ;SIGNWRITING HAND-FLAT FIVE FINGERS SPREAD BENT;So;0;L;;;;;N;;;;;
        "\u1D851",  # ;SIGNWRITING HAND-FLAT HEEL FIVE FINGERS SPREAD BENT;So;0;L;;;;;N;;;;;
        "\u1D852",  # ;SIGNWRITING HAND-FLAT FIVE FINGERS SPREAD THUMB FORWARD;So;0;L;;;;;N;;;;;
        "\u1D853",  # ;SIGNWRITING HAND-CUP FIVE FINGERS SPREAD;So;0;L;;;;;N;;;;;
        "\u1D854",  # ;SIGNWRITING HAND-CUP FIVE FINGERS SPREAD OPEN;So;0;L;;;;;N;;;;;
        "\u1D855",  # ;SIGNWRITING HAND-HINGE FIVE FINGERS SPREAD OPEN;So;0;L;;;;;N;;;;;
        "\u1D856",  # ;SIGNWRITING HAND-OVAL FIVE FINGERS SPREAD;So;0;L;;;;;N;;;;;
        "\u1D857",  # ;SIGNWRITING HAND-FLAT FIVE FINGERS SPREAD HINGED;So;0;L;;;;;N;;;;;
        "\u1D858",  # ;SIGNWRITING HAND-FLAT FIVE FINGERS SPREAD HINGED THUMB SIDE;So;0;L;;;;;N;;;;;
        "\u1D859",  # ;SIGNWRITING HAND-FLAT FIVE FINGERS SPREAD HINGED NO THUMB;So;0;L;;;;;N;;;;;
        "\u1D85A",  # ;SIGNWRITING HAND-FLAT;So;0;L;;;;;N;;;;;
        "\u1D85B",  # ;SIGNWRITING HAND-FLAT BETWEEN PALM FACINGS;So;0;L;;;;;N;;;;;
        "\u1D85C",  # ;SIGNWRITING HAND-FLAT HEEL;So;0;L;;;;;N;;;;;
        "\u1D85D",  # ;SIGNWRITING HAND-FLAT THUMB SIDE;So;0;L;;;;;N;;;;;
        "\u1D85E",  # ;SIGNWRITING HAND-FLAT HEEL THUMB SIDE;So;0;L;;;;;N;;;;;
        "\u1D85F",  # ;SIGNWRITING HAND-FLAT THUMB BENT;So;0;L;;;;;N;;;;;
        "\u1D860",  # ;SIGNWRITING HAND-FLAT THUMB FORWARD;So;0;L;;;;;N;;;;;
        "\u1D861",  # ;SIGNWRITING HAND-FLAT SPLIT INDEX THUMB SIDE;So;0;L;;;;;N;;;;;
        "\u1D862",  # ;SIGNWRITING HAND-FLAT SPLIT CENTRE;So;0;L;;;;;N;;;;;
        "\u1D863",  # ;SIGNWRITING HAND-FLAT SPLIT CENTRE THUMB SIDE;So;0;L;;;;;N;;;;;
        "\u1D864",  # ;SIGNWRITING HAND-FLAT SPLIT CENTRE THUMB SIDE BENT;So;0;L;;;;;N;;;;;
        "\u1D865",  # ;SIGNWRITING HAND-FLAT SPLIT LITTLE;So;0;L;;;;;N;;;;;
        "\u1D866",  # ;SIGNWRITING HAND-CLAW;So;0;L;;;;;N;;;;;
        "\u1D867",  # ;SIGNWRITING HAND-CLAW THUMB SIDE;So;0;L;;;;;N;;;;;
        "\u1D868",  # ;SIGNWRITING HAND-CLAW NO THUMB;So;0;L;;;;;N;;;;;
        "\u1D869",  # ;SIGNWRITING HAND-CLAW THUMB FORWARD;So;0;L;;;;;N;;;;;
        "\u1D86A",  # ;SIGNWRITING HAND-HOOK CURLICUE;So;0;L;;;;;N;;;;;
        "\u1D86B",  # ;SIGNWRITING HAND-HOOK;So;0;L;;;;;N;;;;;
        "\u1D86C",  # ;SIGNWRITING HAND-CUP OPEN;So;0;L;;;;;N;;;;;
        "\u1D86D",  # ;SIGNWRITING HAND-CUP;So;0;L;;;;;N;;;;;
        "\u1D86E",  # ;SIGNWRITING HAND-CUP OPEN THUMB SIDE;So;0;L;;;;;N;;;;;
        "\u1D86F",  # ;SIGNWRITING HAND-CUP THUMB SIDE;So;0;L;;;;;N;;;;;
        "\u1D870",  # ;SIGNWRITING HAND-CUP OPEN NO THUMB;So;0;L;;;;;N;;;;;
        "\u1D871",  # ;SIGNWRITING HAND-CUP NO THUMB;So;0;L;;;;;N;;;;;
        "\u1D872",  # ;SIGNWRITING HAND-CUP OPEN THUMB FORWARD;So;0;L;;;;;N;;;;;
        "\u1D873",  # ;SIGNWRITING HAND-CUP THUMB FORWARD;So;0;L;;;;;N;;;;;
        "\u1D874",  # ;SIGNWRITING HAND-CURLICUE OPEN;So;0;L;;;;;N;;;;;
        "\u1D875",  # ;SIGNWRITING HAND-CURLICUE;So;0;L;;;;;N;;;;;
        "\u1D876",  # ;SIGNWRITING HAND-CIRCLE;So;0;L;;;;;N;;;;;
        "\u1D877",  # ;SIGNWRITING HAND-OVAL;So;0;L;;;;;N;;;;;
        "\u1D878",  # ;SIGNWRITING HAND-OVAL THUMB SIDE;So;0;L;;;;;N;;;;;
        "\u1D879",  # ;SIGNWRITING HAND-OVAL NO THUMB;So;0;L;;;;;N;;;;;
        "\u1D87A",  # ;SIGNWRITING HAND-OVAL THUMB FORWARD;So;0;L;;;;;N;;;;;
        "\u1D87B",  # ;SIGNWRITING HAND-HINGE OPEN;So;0;L;;;;;N;;;;;
        "\u1D87C",  # ;SIGNWRITING HAND-HINGE OPEN THUMB FORWARD;So;0;L;;;;;N;;;;;
        "\u1D87D",  # ;SIGNWRITING HAND-HINGE;So;0;L;;;;;N;;;;;
        "\u1D87E",  # ;SIGNWRITING HAND-HINGE SMALL;So;0;L;;;;;N;;;;;
        "\u1D87F",  # ;SIGNWRITING HAND-HINGE OPEN THUMB SIDE;So;0;L;;;;;N;;;;;
        "\u1D880",  # ;SIGNWRITING HAND-HINGE THUMB SIDE;So;0;L;;;;;N;;;;;
        "\u1D881",  # ;SIGNWRITING HAND-HINGE OPEN NO THUMB;So;0;L;;;;;N;;;;;
        "\u1D882",  # ;SIGNWRITING HAND-HINGE NO THUMB;So;0;L;;;;;N;;;;;
        "\u1D883",  # ;SIGNWRITING HAND-HINGE THUMB SIDE TOUCHING INDEX;So;0;L;;;;;N;;;;;
        "\u1D884",  # ;SIGNWRITING HAND-HINGE THUMB BETWEEN MIDDLE RING;So;0;L;;;;;N;;;;;
        "\u1D885",  # ;SIGNWRITING HAND-ANGLE;So;0;L;;;;;N;;;;;
        "\u1D886",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE RING;So;0;L;;;;;N;;;;;
        "\u1D887",  # ;SIGNWRITING HAND-CIRCLE INDEX MIDDLE RING;So;0;L;;;;;N;;;;;
        "\u1D888",  # ;SIGNWRITING HAND-HINGE INDEX MIDDLE RING;So;0;L;;;;;N;;;;;
        "\u1D889",  # ;SIGNWRITING HAND-ANGLE INDEX MIDDLE RING;So;0;L;;;;;N;;;;;
        "\u1D88A",  # ;SIGNWRITING HAND-HINGE LITTLE;So;0;L;;;;;N;;;;;
        "\u1D88B",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE RING BENT;So;0;L;;;;;N;;;;;
        "\u1D88C",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE RING CONJOINED;So;0;L;;;;;N;;;;;
        "\u1D88D",  # ;SIGNWRITING HAND-HINGE INDEX MIDDLE RING CONJOINED;So;0;L;;;;;N;;;;;
        "\u1D88E",  # ;SIGNWRITING HAND-FIST LITTLE DOWN;So;0;L;;;;;N;;;;;
        "\u1D88F",  # ;SIGNWRITING HAND-FIST LITTLE DOWN RIPPLE STRAIGHT;So;0;L;;;;;N;;;;;
        "\u1D890",  # ;SIGNWRITING HAND-FIST LITTLE DOWN RIPPLE CURVED;So;0;L;;;;;N;;;;;
        "\u1D891",  # ;SIGNWRITING HAND-FIST LITTLE DOWN OTHERS CIRCLED;So;0;L;;;;;N;;;;;
        "\u1D892",  # ;SIGNWRITING HAND-FIST LITTLE UP;So;0;L;;;;;N;;;;;
        "\u1D893",  # ;SIGNWRITING HAND-FIST THUMB UNDER LITTLE UP;So;0;L;;;;;N;;;;;
        "\u1D894",  # ;SIGNWRITING HAND-CIRCLE LITTLE UP;So;0;L;;;;;N;;;;;
        "\u1D895",  # ;SIGNWRITING HAND-OVAL LITTLE UP;So;0;L;;;;;N;;;;;
        "\u1D896",  # ;SIGNWRITING HAND-ANGLE LITTLE UP;So;0;L;;;;;N;;;;;
        "\u1D897",  # ;SIGNWRITING HAND-FIST LITTLE RAISED KNUCKLE;So;0;L;;;;;N;;;;;
        "\u1D898",  # ;SIGNWRITING HAND-FIST LITTLE BENT;So;0;L;;;;;N;;;;;
        "\u1D899",  # ;SIGNWRITING HAND-FIST LITTLE TOUCHES THUMB;So;0;L;;;;;N;;;;;
        "\u1D89A",  # ;SIGNWRITING HAND-FIST LITTLE THUMB;So;0;L;;;;;N;;;;;
        "\u1D89B",  # ;SIGNWRITING HAND-HINGE LITTLE THUMB;So;0;L;;;;;N;;;;;
        "\u1D89C",  # ;SIGNWRITING HAND-FIST LITTLE INDEX THUMB;So;0;L;;;;;N;;;;;
        "\u1D89D",  # ;SIGNWRITING HAND-HINGE LITTLE INDEX THUMB;So;0;L;;;;;N;;;;;
        "\u1D89E",  # ;SIGNWRITING HAND-ANGLE LITTLE INDEX THUMB INDEX THUMB OUT;So;0;L;;;;;N;;;;;
        "\u1D89F",  # ;SIGNWRITING HAND-ANGLE LITTLE INDEX THUMB INDEX THUMB;So;0;L;;;;;N;;;;;
        "\u1D8A0",  # ;SIGNWRITING HAND-FIST LITTLE INDEX;So;0;L;;;;;N;;;;;
        "\u1D8A1",  # ;SIGNWRITING HAND-CIRCLE LITTLE INDEX;So;0;L;;;;;N;;;;;
        "\u1D8A2",  # ;SIGNWRITING HAND-HINGE LITTLE INDEX;So;0;L;;;;;N;;;;;
        "\u1D8A3",  # ;SIGNWRITING HAND-ANGLE LITTLE INDEX;So;0;L;;;;;N;;;;;
        "\u1D8A4",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE LITTLE;So;0;L;;;;;N;;;;;
        "\u1D8A5",  # ;SIGNWRITING HAND-CIRCLE INDEX MIDDLE LITTLE;So;0;L;;;;;N;;;;;
        "\u1D8A6",  # ;SIGNWRITING HAND-HINGE INDEX MIDDLE LITTLE;So;0;L;;;;;N;;;;;
        "\u1D8A7",  # ;SIGNWRITING HAND-HINGE RING;So;0;L;;;;;N;;;;;
        "\u1D8A8",  # ;SIGNWRITING HAND-ANGLE INDEX MIDDLE LITTLE;So;0;L;;;;;N;;;;;
        "\u1D8A9",  # ;SIGNWRITING HAND-FIST INDEX MIDDLE CROSS LITTLE;So;0;L;;;;;N;;;;;
        "\u1D8AA",  # ;SIGNWRITING HAND-CIRCLE INDEX MIDDLE CROSS LITTLE;So;0;L;;;;;N;;;;;
        "\u1D8AB",  # ;SIGNWRITING HAND-FIST RING DOWN;So;0;L;;;;;N;;;;;
        "\u1D8AC",  # ;SIGNWRITING HAND-HINGE RING DOWN INDEX THUMB HOOK MIDDLE;So;0;L;;;;;N;;;;;
        "\u1D8AD",  # ;SIGNWRITING HAND-ANGLE RING DOWN MIDDLE THUMB INDEX CROSS;So;0;L;;;;;N;;;;;
        "\u1D8AE",  # ;SIGNWRITING HAND-FIST RING UP;So;0;L;;;;;N;;;;;
        "\u1D8AF",  # ;SIGNWRITING HAND-FIST RING RAISED KNUCKLE;So;0;L;;;;;N;;;;;
        "\u1D8B0",  # ;SIGNWRITING HAND-FIST RING LITTLE;So;0;L;;;;;N;;;;;
        "\u1D8B1",  # ;SIGNWRITING HAND-CIRCLE RING LITTLE;So;0;L;;;;;N;;;;;
        "\u1D8B2",  # ;SIGNWRITING HAND-OVAL RING LITTLE;So;0;L;;;;;N;;;;;
        "\u1D8B3",  # ;SIGNWRITING HAND-ANGLE RING LITTLE;So;0;L;;;;;N;;;;;
        "\u1D8B4",  # ;SIGNWRITING HAND-FIST RING MIDDLE;So;0;L;;;;;N;;;;;
        "\u1D8B5",  # ;SIGNWRITING HAND-FIST RING MIDDLE CONJOINED;So;0;L;;;;;N;;;;;
        "\u1D8B6",  # ;SIGNWRITING HAND-FIST RING MIDDLE RAISED KNUCKLES;So;0;L;;;;;N;;;;;
        "\u1D8B7",  # ;SIGNWRITING HAND-FIST RING INDEX;So;0;L;;;;;N;;;;;
        "\u1D8B8",  # ;SIGNWRITING HAND-FIST RING THUMB;So;0;L;;;;;N;;;;;
        "\u1D8B9",  # ;SIGNWRITING HAND-HOOK RING THUMB;So;0;L;;;;;N;;;;;
        "\u1D8BA",  # ;SIGNWRITING HAND-FIST INDEX RING LITTLE;So;0;L;;;;;N;;;;;
        "\u1D8BB",  # ;SIGNWRITING HAND-CIRCLE INDEX RING LITTLE;So;0;L;;;;;N;;;;;
        "\u1D8BC",  # ;SIGNWRITING HAND-CURLICUE INDEX RING LITTLE ON;So;0;L;;;;;N;;;;;
        "\u1D8BD",  # ;SIGNWRITING HAND-HOOK INDEX RING LITTLE OUT;So;0;L;;;;;N;;;;;
        "\u1D8BE",  # ;SIGNWRITING HAND-HOOK INDEX RING LITTLE IN;So;0;L;;;;;N;;;;;
        "\u1D8BF",  # ;SIGNWRITING HAND-HOOK INDEX RING LITTLE UNDER;So;0;L;;;;;N;;;;;
        "\u1D8C0",  # ;SIGNWRITING HAND-CUP INDEX RING LITTLE;So;0;L;;;;;N;;;;;
        "\u1D8C1",  # ;SIGNWRITING HAND-HINGE INDEX RING LITTLE;So;0;L;;;;;N;;;;;
        "\u1D8C2",  # ;SIGNWRITING HAND-ANGLE INDEX RING LITTLE OUT;So;0;L;;;;;N;;;;;
        "\u1D8C3",  # ;SIGNWRITING HAND-ANGLE INDEX RING LITTLE;So;0;L;;;;;N;;;;;
        "\u1D8C4",  # ;SIGNWRITING HAND-FIST MIDDLE DOWN;So;0;L;;;;;N;;;;;
        "\u1D8C5",  # ;SIGNWRITING HAND-HINGE MIDDLE;So;0;L;;;;;N;;;;;
        "\u1D8C6",  # ;SIGNWRITING HAND-FIST MIDDLE UP;So;0;L;;;;;N;;;;;
        "\u1D8C7",  # ;SIGNWRITING HAND-CIRCLE MIDDLE UP;So;0;L;;;;;N;;;;;
        "\u1D8C8",  # ;SIGNWRITING HAND-FIST MIDDLE RAISED KNUCKLE;So;0;L;;;;;N;;;;;
        "\u1D8C9",  # ;SIGNWRITING HAND-FIST MIDDLE UP THUMB SIDE;So;0;L;;;;;N;;;;;
        "\u1D8CA",  # ;SIGNWRITING HAND-HOOK MIDDLE THUMB;So;0;L;;;;;N;;;;;
        "\u1D8CB",  # ;SIGNWRITING HAND-FIST MIDDLE THUMB LITTLE;So;0;L;;;;;N;;;;;
        "\u1D8CC",  # ;SIGNWRITING HAND-FIST MIDDLE LITTLE;So;0;L;;;;;N;;;;;
        "\u1D8CD",  # ;SIGNWRITING HAND-FIST MIDDLE RING LITTLE;So;0;L;;;;;N;;;;;
        "\u1D8CE",  # ;SIGNWRITING HAND-CIRCLE MIDDLE RING LITTLE;So;0;L;;;;;N;;;;;
        "\u1D8CF",  # ;SIGNWRITING HAND-CURLICUE MIDDLE RING LITTLE ON;So;0;L;;;;;N;;;;;
        "\u1D8D0",  # ;SIGNWRITING HAND-CUP MIDDLE RING LITTLE;So;0;L;;;;;N;;;;;
        "\u1D8D1",  # ;SIGNWRITING HAND-HINGE MIDDLE RING LITTLE;So;0;L;;;;;N;;;;;
        "\u1D8D2",  # ;SIGNWRITING HAND-ANGLE MIDDLE RING LITTLE OUT;So;0;L;;;;;N;;;;;
        "\u1D8D3",  # ;SIGNWRITING HAND-ANGLE MIDDLE RING LITTLE IN;So;0;L;;;;;N;;;;;
        "\u1D8D4",  # ;SIGNWRITING HAND-ANGLE MIDDLE RING LITTLE;So;0;L;;;;;N;;;;;
        "\u1D8D5",  # ;SIGNWRITING HAND-CIRCLE MIDDLE RING LITTLE BENT;So;0;L;;;;;N;;;;;
        "\u1D8D6",  # ;SIGNWRITING HAND-CLAW MIDDLE RING LITTLE CONJOINED;So;0;L;;;;;N;;;;;
        "\u1D8D7",  # ;SIGNWRITING HAND-CLAW MIDDLE RING LITTLE CONJOINED SIDE;So;0;L;;;;;N;;;;;
        "\u1D8D8",  # ;SIGNWRITING HAND-HOOK MIDDLE RING LITTLE CONJOINED OUT;So;0;L;;;;;N;;;;;
        "\u1D8D9",  # ;SIGNWRITING HAND-HOOK MIDDLE RING LITTLE CONJOINED IN;So;0;L;;;;;N;;;;;
        "\u1D8DA",  # ;SIGNWRITING HAND-HOOK MIDDLE RING LITTLE CONJOINED;So;0;L;;;;;N;;;;;
        "\u1D8DB",  # ;SIGNWRITING HAND-HINGE INDEX HINGED;So;0;L;;;;;N;;;;;
        "\u1D8DC",  # ;SIGNWRITING HAND-FIST INDEX THUMB SIDE;So;0;L;;;;;N;;;;;
        "\u1D8DD",  # ;SIGNWRITING HAND-HINGE INDEX THUMB SIDE;So;0;L;;;;;N;;;;;
        "\u1D8DE",  # ;SIGNWRITING HAND-FIST INDEX THUMB SIDE THUMB DIAGONAL;So;0;L;;;;;N;;;;;
        "\u1D8DF",  # ;SIGNWRITING HAND-FIST INDEX THUMB SIDE THUMB CONJOINED;So;0;L;;;;;N;;;;;
        "\u1D8E0",  # ;SIGNWRITING HAND-FIST INDEX THUMB SIDE THUMB BENT;So;0;L;;;;;N;;;;;
        "\u1D8E1",  # ;SIGNWRITING HAND-FIST INDEX THUMB SIDE INDEX BENT;So;0;L;;;;;N;;;;;
        "\u1D8E2",  # ;SIGNWRITING HAND-FIST INDEX THUMB SIDE BOTH BENT;So;0;L;;;;;N;;;;;
        "\u1D8E3",  # ;SIGNWRITING HAND-FIST INDEX THUMB SIDE INDEX HINGE;So;0;L;;;;;N;;;;;
        "\u1D8E4",  # ;SIGNWRITING HAND-FIST INDEX THUMB FORWARD INDEX STRAIGHT;So;0;L;;;;;N;;;;;
        "\u1D8E5",  # ;SIGNWRITING HAND-FIST INDEX THUMB FORWARD INDEX BENT;So;0;L;;;;;N;;;;;
        "\u1D8E6",  # ;SIGNWRITING HAND-FIST INDEX THUMB HOOK;So;0;L;;;;;N;;;;;
        "\u1D8E7",  # ;SIGNWRITING HAND-FIST INDEX THUMB CURLICUE;So;0;L;;;;;N;;;;;
        "\u1D8E8",  # ;SIGNWRITING HAND-FIST INDEX THUMB CURVE THUMB INSIDE;So;0;L;;;;;N;;;;;
        "\u1D8E9",  # ;SIGNWRITING HAND-CLAW INDEX THUMB CURVE THUMB INSIDE;So;0;L;;;;;N;;;;;
        "\u1D8EA",  # ;SIGNWRITING HAND-FIST INDEX THUMB CURVE THUMB UNDER;So;0;L;;;;;N;;;;;
        "\u1D8EB",  # ;SIGNWRITING HAND-FIST INDEX THUMB CIRCLE;So;0;L;;;;;N;;;;;
        "\u1D8EC",  # ;SIGNWRITING HAND-CUP INDEX THUMB;So;0;L;;;;;N;;;;;
        "\u1D8ED",  # ;SIGNWRITING HAND-CUP INDEX THUMB OPEN;So;0;L;;;;;N;;;;;
        "\u1D8EE",  # ;SIGNWRITING HAND-HINGE INDEX THUMB OPEN;So;0;L;;;;;N;;;;;
        "\u1D8EF",  # ;SIGNWRITING HAND-HINGE INDEX THUMB LARGE;So;0;L;;;;;N;;;;;
        "\u1D8F0",  # ;SIGNWRITING HAND-HINGE INDEX THUMB;So;0;L;;;;;N;;;;;
        "\u1D8F1",  # ;SIGNWRITING HAND-HINGE INDEX THUMB SMALL;So;0;L;;;;;N;;;;;
        "\u1D8F2",  # ;SIGNWRITING HAND-ANGLE INDEX THUMB OUT;So;0;L;;;;;N;;;;;
        "\u1D8F3",  # ;SIGNWRITING HAND-ANGLE INDEX THUMB IN;So;0;L;;;;;N;;;;;
        "\u1D8F4",  # ;SIGNWRITING HAND-ANGLE INDEX THUMB;So;0;L;;;;;N;;;;;
        "\u1D8F5",  # ;SIGNWRITING HAND-FIST THUMB;So;0;L;;;;;N;;;;;
        "\u1D8F6",  # ;SIGNWRITING HAND-FIST THUMB HEEL;So;0;L;;;;;N;;;;;
        "\u1D8F7",  # ;SIGNWRITING HAND-FIST THUMB SIDE DIAGONAL;So;0;L;;;;;N;;;;;
        "\u1D8F8",  # ;SIGNWRITING HAND-FIST THUMB SIDE CONJOINED;So;0;L;;;;;N;;;;;
        "\u1D8F9",  # ;SIGNWRITING HAND-FIST THUMB SIDE BENT;So;0;L;;;;;N;;;;;
        "\u1D8FA",  # ;SIGNWRITING HAND-FIST THUMB FORWARD;So;0;L;;;;;N;;;;;
        "\u1D8FB",  # ;SIGNWRITING HAND-FIST THUMB BETWEEN INDEX MIDDLE;So;0;L;;;;;N;;;;;
        "\u1D8FC",  # ;SIGNWRITING HAND-FIST THUMB BETWEEN MIDDLE RING;So;0;L;;;;;N;;;;;
        "\u1D8FD",  # ;SIGNWRITING HAND-FIST THUMB BETWEEN RING LITTLE;So;0;L;;;;;N;;;;;
        "\u1D8FE",  # ;SIGNWRITING HAND-FIST THUMB UNDER TWO FINGERS;So;0;L;;;;;N;;;;;
        "\u1D8FF",  # ;SIGNWRITING HAND-FIST THUMB OVER TWO FINGERS;So;0;L;;;;;N;;;;;
        "\u1D900",  # ;SIGNWRITING HAND-FIST THUMB UNDER THREE FINGERS;So;0;L;;;;;N;;;;;
        "\u1D901",  # ;SIGNWRITING HAND-FIST THUMB UNDER FOUR FINGERS;So;0;L;;;;;N;;;;;
        "\u1D902",  # ;SIGNWRITING HAND-FIST THUMB OVER FOUR RAISED KNUCKLES;So;0;L;;;;;N;;;;;
        "\u1D903",  # ;SIGNWRITING HAND-FIST;So;0;L;;;;;N;;;;;
        "\u1D904",  # ;SIGNWRITING HAND-FIST HEEL;So;0;L;;;;;N;;;;;
        "\u1D905",  # ;SIGNWRITING TOUCH SINGLE;So;0;L;;;;;N;;;;;
        "\u1D906",  # ;SIGNWRITING TOUCH MULTIPLE;So;0;L;;;;;N;;;;;
        "\u1D907",  # ;SIGNWRITING TOUCH BETWEEN;So;0;L;;;;;N;;;;;
        "\u1D908",  # ;SIGNWRITING GRASP SINGLE;So;0;L;;;;;N;;;;;
        "\u1D909",  # ;SIGNWRITING GRASP MULTIPLE;So;0;L;;;;;N;;;;;
        "\u1D90A",  # ;SIGNWRITING GRASP BETWEEN;So;0;L;;;;;N;;;;;
        "\u1D90B",  # ;SIGNWRITING STRIKE SINGLE;So;0;L;;;;;N;;;;;
        "\u1D90C",  # ;SIGNWRITING STRIKE MULTIPLE;So;0;L;;;;;N;;;;;
        "\u1D90D",  # ;SIGNWRITING STRIKE BETWEEN;So;0;L;;;;;N;;;;;
        "\u1D90E",  # ;SIGNWRITING BRUSH SINGLE;So;0;L;;;;;N;;;;;
        "\u1D90F",  # ;SIGNWRITING BRUSH MULTIPLE;So;0;L;;;;;N;;;;;
        "\u1D910",  # ;SIGNWRITING BRUSH BETWEEN;So;0;L;;;;;N;;;;;
        "\u1D911",  # ;SIGNWRITING RUB SINGLE;So;0;L;;;;;N;;;;;
        "\u1D912",  # ;SIGNWRITING RUB MULTIPLE;So;0;L;;;;;N;;;;;
        "\u1D913",  # ;SIGNWRITING RUB BETWEEN;So;0;L;;;;;N;;;;;
        "\u1D914",  # ;SIGNWRITING SURFACE SYMBOLS;So;0;L;;;;;N;;;;;
        "\u1D915",  # ;SIGNWRITING SURFACE BETWEEN;So;0;L;;;;;N;;;;;
        "\u1D916",  # ;SIGNWRITING SQUEEZE LARGE SINGLE;So;0;L;;;;;N;;;;;
        "\u1D917",  # ;SIGNWRITING SQUEEZE SMALL SINGLE;So;0;L;;;;;N;;;;;
        "\u1D918",  # ;SIGNWRITING SQUEEZE LARGE MULTIPLE;So;0;L;;;;;N;;;;;
        "\u1D919",  # ;SIGNWRITING SQUEEZE SMALL MULTIPLE;So;0;L;;;;;N;;;;;
        "\u1D91A",  # ;SIGNWRITING SQUEEZE SEQUENTIAL;So;0;L;;;;;N;;;;;
        "\u1D91B",  # ;SIGNWRITING FLICK LARGE SINGLE;So;0;L;;;;;N;;;;;
        "\u1D91C",  # ;SIGNWRITING FLICK SMALL SINGLE;So;0;L;;;;;N;;;;;
        "\u1D91D",  # ;SIGNWRITING FLICK LARGE MULTIPLE;So;0;L;;;;;N;;;;;
        "\u1D91E",  # ;SIGNWRITING FLICK SMALL MULTIPLE;So;0;L;;;;;N;;;;;
        "\u1D91F",  # ;SIGNWRITING FLICK SEQUENTIAL;So;0;L;;;;;N;;;;;
        "\u1D920",  # ;SIGNWRITING SQUEEZE FLICK ALTERNATING;So;0;L;;;;;N;;;;;
        "\u1D921",  # ;SIGNWRITING MOVEMENT-HINGE UP DOWN LARGE;So;0;L;;;;;N;;;;;
        "\u1D922",  # ;SIGNWRITING MOVEMENT-HINGE UP DOWN SMALL;So;0;L;;;;;N;;;;;
        "\u1D923",  # ;SIGNWRITING MOVEMENT-HINGE UP SEQUENTIAL;So;0;L;;;;;N;;;;;
        "\u1D924",  # ;SIGNWRITING MOVEMENT-HINGE DOWN SEQUENTIAL;So;0;L;;;;;N;;;;;
        "\u1D925",  # ;SIGNWRITING MOVEMENT-HINGE UP DOWN ALTERNATING LARGE;So;0;L;;;;;N;;;;;
        "\u1D926",  # ;SIGNWRITING MOVEMENT-HINGE UP DOWN ALTERNATING SMALL;So;0;L;;;;;N;;;;;
        "\u1D927",  # ;SIGNWRITING MOVEMENT-HINGE SIDE TO SIDE SCISSORS;So;0;L;;;;;N;;;;;
        "\u1D928",  # ;SIGNWRITING MOVEMENT-WALLPLANE FINGER CONTACT;So;0;L;;;;;N;;;;;
        "\u1D929",  # ;SIGNWRITING MOVEMENT-FLOORPLANE FINGER CONTACT;So;0;L;;;;;N;;;;;
        "\u1D92A",  # ;SIGNWRITING MOVEMENT-WALLPLANE SINGLE STRAIGHT SMALL;So;0;L;;;;;N;;;;;
        "\u1D92B",  # ;SIGNWRITING MOVEMENT-WALLPLANE SINGLE STRAIGHT MEDIUM;So;0;L;;;;;N;;;;;
        "\u1D92C",  # ;SIGNWRITING MOVEMENT-WALLPLANE SINGLE STRAIGHT LARGE;So;0;L;;;;;N;;;;;
        "\u1D92D",  # ;SIGNWRITING MOVEMENT-WALLPLANE SINGLE STRAIGHT LARGEST;So;0;L;;;;;N;;;;;
        "\u1D92E",  # ;SIGNWRITING MOVEMENT-WALLPLANE SINGLE WRIST FLEX;So;0;L;;;;;N;;;;;
        "\u1D92F",  # ;SIGNWRITING MOVEMENT-WALLPLANE DOUBLE STRAIGHT;So;0;L;;;;;N;;;;;
        "\u1D930",  # ;SIGNWRITING MOVEMENT-WALLPLANE DOUBLE WRIST FLEX;So;0;L;;;;;N;;;;;
        "\u1D931",  # ;SIGNWRITING MOVEMENT-WALLPLANE DOUBLE ALTERNATING;So;0;L;;;;;N;;;;;
        "\u1D932",  # ;SIGNWRITING MOVEMENT-WALLPLANE DOUBLE ALTERNATING WRIST FLEX;So;0;L;;;;;N;;;;;
        "\u1D933",  # ;SIGNWRITING MOVEMENT-WALLPLANE CROSS;So;0;L;;;;;N;;;;;
        "\u1D934",  # ;SIGNWRITING MOVEMENT-WALLPLANE TRIPLE STRAIGHT MOVEMENT;So;0;L;;;;;N;;;;;
        "\u1D935",  # ;SIGNWRITING MOVEMENT-WALLPLANE TRIPLE WRIST FLEX;So;0;L;;;;;N;;;;;
        "\u1D936",  # ;SIGNWRITING MOVEMENT-WALLPLANE TRIPLE ALTERNATING;So;0;L;;;;;N;;;;;
        "\u1D937",  # ;SIGNWRITING MOVEMENT-WALLPLANE TRIPLE ALTERNATING WRIST FLEX;So;0;L;;;;;N;;;;;
        "\u1D938",  # ;SIGNWRITING MOVEMENT-WALLPLANE BEND SMALL;So;0;L;;;;;N;;;;;
        "\u1D939",  # ;SIGNWRITING MOVEMENT-WALLPLANE BEND MEDIUM;So;0;L;;;;;N;;;;;
        "\u1D93A",  # ;SIGNWRITING MOVEMENT-WALLPLANE BEND LARGE;So;0;L;;;;;N;;;;;
        "\u1D93B",  # ;SIGNWRITING MOVEMENT-WALLPLANE CORNER SMALL;So;0;L;;;;;N;;;;;
        "\u1D93C",  # ;SIGNWRITING MOVEMENT-WALLPLANE CORNER MEDIUM;So;0;L;;;;;N;;;;;
        "\u1D93D",  # ;SIGNWRITING MOVEMENT-WALLPLANE CORNER LARGE;So;0;L;;;;;N;;;;;
        "\u1D93E",  # ;SIGNWRITING MOVEMENT-WALLPLANE CORNER ROTATION;So;0;L;;;;;N;;;;;
        "\u1D93F",  # ;SIGNWRITING MOVEMENT-WALLPLANE CHECK SMALL;So;0;L;;;;;N;;;;;
        "\u1D940",  # ;SIGNWRITING MOVEMENT-WALLPLANE CHECK MEDIUM;So;0;L;;;;;N;;;;;
        "\u1D941",  # ;SIGNWRITING MOVEMENT-WALLPLANE CHECK LARGE;So;0;L;;;;;N;;;;;
        "\u1D942",  # ;SIGNWRITING MOVEMENT-WALLPLANE BOX SMALL;So;0;L;;;;;N;;;;;
        "\u1D943",  # ;SIGNWRITING MOVEMENT-WALLPLANE BOX MEDIUM;So;0;L;;;;;N;;;;;
        "\u1D944",  # ;SIGNWRITING MOVEMENT-WALLPLANE BOX LARGE;So;0;L;;;;;N;;;;;
        "\u1D945",  # ;SIGNWRITING MOVEMENT-WALLPLANE ZIGZAG SMALL;So;0;L;;;;;N;;;;;
        "\u1D946",  # ;SIGNWRITING MOVEMENT-WALLPLANE ZIGZAG MEDIUM;So;0;L;;;;;N;;;;;
        "\u1D947",  # ;SIGNWRITING MOVEMENT-WALLPLANE ZIGZAG LARGE;So;0;L;;;;;N;;;;;
        "\u1D948",  # ;SIGNWRITING MOVEMENT-WALLPLANE PEAKS SMALL;So;0;L;;;;;N;;;;;
        "\u1D949",  # ;SIGNWRITING MOVEMENT-WALLPLANE PEAKS MEDIUM;So;0;L;;;;;N;;;;;
        "\u1D94A",  # ;SIGNWRITING MOVEMENT-WALLPLANE PEAKS LARGE;So;0;L;;;;;N;;;;;
        "\u1D94B",  # ;SIGNWRITING TRAVEL-WALLPLANE ROTATION-WALLPLANE SINGLE;So;0;L;;;;;N;;;;;
        "\u1D94C",  # ;SIGNWRITING TRAVEL-WALLPLANE ROTATION-WALLPLANE DOUBLE;So;0;L;;;;;N;;;;;
        "\u1D94D",  # ;SIGNWRITING TRAVEL-WALLPLANE ROTATION-WALLPLANE ALTERNATING;So;0;L;;;;;N;;;;;
        "\u1D94E",  # ;SIGNWRITING TRAVEL-WALLPLANE ROTATION-FLOORPLANE SINGLE;So;0;L;;;;;N;;;;;
        "\u1D94F",  # ;SIGNWRITING TRAVEL-WALLPLANE ROTATION-FLOORPLANE DOUBLE;So;0;L;;;;;N;;;;;
        "\u1D950",  # ;SIGNWRITING TRAVEL-WALLPLANE ROTATION-FLOORPLANE ALTERNATING;So;0;L;;;;;N;;;;;
        "\u1D951",  # ;SIGNWRITING TRAVEL-WALLPLANE SHAKING;So;0;L;;;;;N;;;;;
        "\u1D952",  # ;SIGNWRITING TRAVEL-WALLPLANE ARM SPIRAL SINGLE;So;0;L;;;;;N;;;;;
        "\u1D953",  # ;SIGNWRITING TRAVEL-WALLPLANE ARM SPIRAL DOUBLE;So;0;L;;;;;N;;;;;
        "\u1D954",  # ;SIGNWRITING TRAVEL-WALLPLANE ARM SPIRAL TRIPLE;So;0;L;;;;;N;;;;;
        "\u1D955",  # ;SIGNWRITING MOVEMENT-DIAGONAL AWAY SMALL;So;0;L;;;;;N;;;;;
        "\u1D956",  # ;SIGNWRITING MOVEMENT-DIAGONAL AWAY MEDIUM;So;0;L;;;;;N;;;;;
        "\u1D957",  # ;SIGNWRITING MOVEMENT-DIAGONAL AWAY LARGE;So;0;L;;;;;N;;;;;
        "\u1D958",  # ;SIGNWRITING MOVEMENT-DIAGONAL AWAY LARGEST;So;0;L;;;;;N;;;;;
        "\u1D959",  # ;SIGNWRITING MOVEMENT-DIAGONAL TOWARDS SMALL;So;0;L;;;;;N;;;;;
        "\u1D95A",  # ;SIGNWRITING MOVEMENT-DIAGONAL TOWARDS MEDIUM;So;0;L;;;;;N;;;;;
        "\u1D95B",  # ;SIGNWRITING MOVEMENT-DIAGONAL TOWARDS LARGE;So;0;L;;;;;N;;;;;
        "\u1D95C",  # ;SIGNWRITING MOVEMENT-DIAGONAL TOWARDS LARGEST;So;0;L;;;;;N;;;;;
        "\u1D95D",  # ;SIGNWRITING MOVEMENT-DIAGONAL BETWEEN AWAY SMALL;So;0;L;;;;;N;;;;;
        "\u1D95E",  # ;SIGNWRITING MOVEMENT-DIAGONAL BETWEEN AWAY MEDIUM;So;0;L;;;;;N;;;;;
        "\u1D95F",  # ;SIGNWRITING MOVEMENT-DIAGONAL BETWEEN AWAY LARGE;So;0;L;;;;;N;;;;;
        "\u1D960",  # ;SIGNWRITING MOVEMENT-DIAGONAL BETWEEN AWAY LARGEST;So;0;L;;;;;N;;;;;
        "\u1D961",  # ;SIGNWRITING MOVEMENT-DIAGONAL BETWEEN TOWARDS SMALL;So;0;L;;;;;N;;;;;
        "\u1D962",  # ;SIGNWRITING MOVEMENT-DIAGONAL BETWEEN TOWARDS MEDIUM;So;0;L;;;;;N;;;;;
        "\u1D963",  # ;SIGNWRITING MOVEMENT-DIAGONAL BETWEEN TOWARDS LARGE;So;0;L;;;;;N;;;;;
        "\u1D964",  # ;SIGNWRITING MOVEMENT-DIAGONAL BETWEEN TOWARDS LARGEST;So;0;L;;;;;N;;;;;
        "\u1D965",  # ;SIGNWRITING MOVEMENT-FLOORPLANE SINGLE STRAIGHT SMALL;So;0;L;;;;;N;;;;;
        "\u1D966",  # ;SIGNWRITING MOVEMENT-FLOORPLANE SINGLE STRAIGHT MEDIUM;So;0;L;;;;;N;;;;;
        "\u1D967",  # ;SIGNWRITING MOVEMENT-FLOORPLANE SINGLE STRAIGHT LARGE;So;0;L;;;;;N;;;;;
        "\u1D968",  # ;SIGNWRITING MOVEMENT-FLOORPLANE SINGLE STRAIGHT LARGEST;So;0;L;;;;;N;;;;;
        "\u1D969",  # ;SIGNWRITING MOVEMENT-FLOORPLANE SINGLE WRIST FLEX;So;0;L;;;;;N;;;;;
        "\u1D96A",  # ;SIGNWRITING MOVEMENT-FLOORPLANE DOUBLE STRAIGHT;So;0;L;;;;;N;;;;;
        "\u1D96B",  # ;SIGNWRITING MOVEMENT-FLOORPLANE DOUBLE WRIST FLEX;So;0;L;;;;;N;;;;;
        "\u1D96C",  # ;SIGNWRITING MOVEMENT-FLOORPLANE DOUBLE ALTERNATING;So;0;L;;;;;N;;;;;
        "\u1D96D",  # ;SIGNWRITING MOVEMENT-FLOORPLANE DOUBLE ALTERNATING WRIST FLEX;So;0;L;;;;;N;;;;;
        "\u1D96E",  # ;SIGNWRITING MOVEMENT-FLOORPLANE CROSS;So;0;L;;;;;N;;;;;
        "\u1D96F",  # ;SIGNWRITING MOVEMENT-FLOORPLANE TRIPLE STRAIGHT MOVEMENT;So;0;L;;;;;N;;;;;
        "\u1D970",  # ;SIGNWRITING MOVEMENT-FLOORPLANE TRIPLE WRIST FLEX;So;0;L;;;;;N;;;;;
        "\u1D971",  # ;SIGNWRITING MOVEMENT-FLOORPLANE TRIPLE ALTERNATING MOVEMENT;So;0;L;;;;;N;;;;;
        "\u1D972",  # ;SIGNWRITING MOVEMENT-FLOORPLANE TRIPLE ALTERNATING WRIST FLEX;So;0;L;;;;;N;;;;;
        "\u1D973",  # ;SIGNWRITING MOVEMENT-FLOORPLANE BEND;So;0;L;;;;;N;;;;;
        "\u1D974",  # ;SIGNWRITING MOVEMENT-FLOORPLANE CORNER SMALL;So;0;L;;;;;N;;;;;
        "\u1D975",  # ;SIGNWRITING MOVEMENT-FLOORPLANE CORNER MEDIUM;So;0;L;;;;;N;;;;;
        "\u1D976",  # ;SIGNWRITING MOVEMENT-FLOORPLANE CORNER LARGE;So;0;L;;;;;N;;;;;
        "\u1D977",  # ;SIGNWRITING MOVEMENT-FLOORPLANE CHECK;So;0;L;;;;;N;;;;;
        "\u1D978",  # ;SIGNWRITING MOVEMENT-FLOORPLANE BOX SMALL;So;0;L;;;;;N;;;;;
        "\u1D979",  # ;SIGNWRITING MOVEMENT-FLOORPLANE BOX MEDIUM;So;0;L;;;;;N;;;;;
        "\u1D97A",  # ;SIGNWRITING MOVEMENT-FLOORPLANE BOX LARGE;So;0;L;;;;;N;;;;;
        "\u1D97B",  # ;SIGNWRITING MOVEMENT-FLOORPLANE ZIGZAG SMALL;So;0;L;;;;;N;;;;;
        "\u1D97C",  # ;SIGNWRITING MOVEMENT-FLOORPLANE ZIGZAG MEDIUM;So;0;L;;;;;N;;;;;
        "\u1D97D",  # ;SIGNWRITING MOVEMENT-FLOORPLANE ZIGZAG LARGE;So;0;L;;;;;N;;;;;
        "\u1D97E",  # ;SIGNWRITING MOVEMENT-FLOORPLANE PEAKS SMALL;So;0;L;;;;;N;;;;;
        "\u1D97F",  # ;SIGNWRITING MOVEMENT-FLOORPLANE PEAKS MEDIUM;So;0;L;;;;;N;;;;;
        "\u1D980",  # ;SIGNWRITING MOVEMENT-FLOORPLANE PEAKS LARGE;So;0;L;;;;;N;;;;;
        "\u1D981",  # ;SIGNWRITING TRAVEL-FLOORPLANE ROTATION-FLOORPLANE SINGLE;So;0;L;;;;;N;;;;;
        "\u1D982",  # ;SIGNWRITING TRAVEL-FLOORPLANE ROTATION-FLOORPLANE DOUBLE;So;0;L;;;;;N;;;;;
        "\u1D983",  # ;SIGNWRITING TRAVEL-FLOORPLANE ROTATION-FLOORPLANE ALTERNATING;So;0;L;;;;;N;;;;;
        "\u1D984",  # ;SIGNWRITING TRAVEL-FLOORPLANE ROTATION-WALLPLANE SINGLE;So;0;L;;;;;N;;;;;
        "\u1D985",  # ;SIGNWRITING TRAVEL-FLOORPLANE ROTATION-WALLPLANE DOUBLE;So;0;L;;;;;N;;;;;
        "\u1D986",  # ;SIGNWRITING TRAVEL-FLOORPLANE ROTATION-WALLPLANE ALTERNATING;So;0;L;;;;;N;;;;;
        "\u1D987",  # ;SIGNWRITING TRAVEL-FLOORPLANE SHAKING;So;0;L;;;;;N;;;;;
        "\u1D988",  # ;SIGNWRITING MOVEMENT-WALLPLANE CURVE QUARTER SMALL;So;0;L;;;;;N;;;;;
        "\u1D989",  # ;SIGNWRITING MOVEMENT-WALLPLANE CURVE QUARTER MEDIUM;So;0;L;;;;;N;;;;;
        "\u1D98A",  # ;SIGNWRITING MOVEMENT-WALLPLANE CURVE QUARTER LARGE;So;0;L;;;;;N;;;;;
        "\u1D98B",  # ;SIGNWRITING MOVEMENT-WALLPLANE CURVE QUARTER LARGEST;So;0;L;;;;;N;;;;;
        "\u1D98C",  # ;SIGNWRITING MOVEMENT-WALLPLANE CURVE HALF-CIRCLE SMALL;So;0;L;;;;;N;;;;;
        "\u1D98D",  # ;SIGNWRITING MOVEMENT-WALLPLANE CURVE HALF-CIRCLE MEDIUM;So;0;L;;;;;N;;;;;
        "\u1D98E",  # ;SIGNWRITING MOVEMENT-WALLPLANE CURVE HALF-CIRCLE LARGE;So;0;L;;;;;N;;;;;
        "\u1D98F",  # ;SIGNWRITING MOVEMENT-WALLPLANE CURVE HALF-CIRCLE LARGEST;So;0;L;;;;;N;;;;;
        "\u1D990",  # ;SIGNWRITING MOVEMENT-WALLPLANE CURVE THREE-QUARTER CIRCLE SMALL;So;0;L;;;;;N;;;;;
        "\u1D991",  # ;SIGNWRITING MOVEMENT-WALLPLANE CURVE THREE-QUARTER CIRCLE MEDIUM;So;0;L;;;;;N;;;;;
        "\u1D992",  # ;SIGNWRITING MOVEMENT-WALLPLANE HUMP SMALL;So;0;L;;;;;N;;;;;
        "\u1D993",  # ;SIGNWRITING MOVEMENT-WALLPLANE HUMP MEDIUM;So;0;L;;;;;N;;;;;
        "\u1D994",  # ;SIGNWRITING MOVEMENT-WALLPLANE HUMP LARGE;So;0;L;;;;;N;;;;;
        "\u1D995",  # ;SIGNWRITING MOVEMENT-WALLPLANE LOOP SMALL;So;0;L;;;;;N;;;;;
        "\u1D996",  # ;SIGNWRITING MOVEMENT-WALLPLANE LOOP MEDIUM;So;0;L;;;;;N;;;;;
        "\u1D997",  # ;SIGNWRITING MOVEMENT-WALLPLANE LOOP LARGE;So;0;L;;;;;N;;;;;
        "\u1D998",  # ;SIGNWRITING MOVEMENT-WALLPLANE LOOP SMALL DOUBLE;So;0;L;;;;;N;;;;;
        "\u1D999",  # ;SIGNWRITING MOVEMENT-WALLPLANE WAVE CURVE DOUBLE SMALL;So;0;L;;;;;N;;;;;
        "\u1D99A",  # ;SIGNWRITING MOVEMENT-WALLPLANE WAVE CURVE DOUBLE MEDIUM;So;0;L;;;;;N;;;;;
        "\u1D99B",  # ;SIGNWRITING MOVEMENT-WALLPLANE WAVE CURVE DOUBLE LARGE;So;0;L;;;;;N;;;;;
        "\u1D99C",  # ;SIGNWRITING MOVEMENT-WALLPLANE WAVE CURVE TRIPLE SMALL;So;0;L;;;;;N;;;;;
        "\u1D99D",  # ;SIGNWRITING MOVEMENT-WALLPLANE WAVE CURVE TRIPLE MEDIUM;So;0;L;;;;;N;;;;;
        "\u1D99E",  # ;SIGNWRITING MOVEMENT-WALLPLANE WAVE CURVE TRIPLE LARGE;So;0;L;;;;;N;;;;;
        "\u1D99F",  # ;SIGNWRITING MOVEMENT-WALLPLANE CURVE THEN STRAIGHT;So;0;L;;;;;N;;;;;
        "\u1D9A0",  # ;SIGNWRITING MOVEMENT-WALLPLANE CURVED CROSS SMALL;So;0;L;;;;;N;;;;;
        "\u1D9A1",  # ;SIGNWRITING MOVEMENT-WALLPLANE CURVED CROSS MEDIUM;So;0;L;;;;;N;;;;;
        "\u1D9A2",  # ;SIGNWRITING ROTATION-WALLPLANE SINGLE;So;0;L;;;;;N;;;;;
        "\u1D9A3",  # ;SIGNWRITING ROTATION-WALLPLANE DOUBLE;So;0;L;;;;;N;;;;;
        "\u1D9A4",  # ;SIGNWRITING ROTATION-WALLPLANE ALTERNATE;So;0;L;;;;;N;;;;;
        "\u1D9A5",  # ;SIGNWRITING MOVEMENT-WALLPLANE SHAKING;So;0;L;;;;;N;;;;;
        "\u1D9A6",  # ;SIGNWRITING MOVEMENT-WALLPLANE CURVE HITTING FRONT WALL;So;0;L;;;;;N;;;;;
        "\u1D9A7",  # ;SIGNWRITING MOVEMENT-WALLPLANE HUMP HITTING FRONT WALL;So;0;L;;;;;N;;;;;
        "\u1D9A8",  # ;SIGNWRITING MOVEMENT-WALLPLANE LOOP HITTING FRONT WALL;So;0;L;;;;;N;;;;;
        "\u1D9A9",  # ;SIGNWRITING MOVEMENT-WALLPLANE WAVE HITTING FRONT WALL;So;0;L;;;;;N;;;;;
        "\u1D9AA",  # ;SIGNWRITING ROTATION-WALLPLANE SINGLE HITTING FRONT WALL;So;0;L;;;;;N;;;;;
        "\u1D9AB",  # ;SIGNWRITING ROTATION-WALLPLANE DOUBLE HITTING FRONT WALL;So;0;L;;;;;N;;;;;
        "\u1D9AC",  # ;SIGNWRITING ROTATION-WALLPLANE ALTERNATING HITTING FRONT WALL;So;0;L;;;;;N;;;;;
        "\u1D9AD",  # ;SIGNWRITING MOVEMENT-WALLPLANE CURVE HITTING CHEST;So;0;L;;;;;N;;;;;
        "\u1D9AE",  # ;SIGNWRITING MOVEMENT-WALLPLANE HUMP HITTING CHEST;So;0;L;;;;;N;;;;;
        "\u1D9AF",  # ;SIGNWRITING MOVEMENT-WALLPLANE LOOP HITTING CHEST;So;0;L;;;;;N;;;;;
        "\u1D9B0",  # ;SIGNWRITING MOVEMENT-WALLPLANE WAVE HITTING CHEST;So;0;L;;;;;N;;;;;
        "\u1D9B1",  # ;SIGNWRITING ROTATION-WALLPLANE SINGLE HITTING CHEST;So;0;L;;;;;N;;;;;
        "\u1D9B2",  # ;SIGNWRITING ROTATION-WALLPLANE DOUBLE HITTING CHEST;So;0;L;;;;;N;;;;;
        "\u1D9B3",  # ;SIGNWRITING ROTATION-WALLPLANE ALTERNATING HITTING CHEST;So;0;L;;;;;N;;;;;
        "\u1D9B4",  # ;SIGNWRITING MOVEMENT-WALLPLANE WAVE DIAGONAL PATH SMALL;So;0;L;;;;;N;;;;;
        "\u1D9B5",  # ;SIGNWRITING MOVEMENT-WALLPLANE WAVE DIAGONAL PATH MEDIUM;So;0;L;;;;;N;;;;;
        "\u1D9B6",  # ;SIGNWRITING MOVEMENT-WALLPLANE WAVE DIAGONAL PATH LARGE;So;0;L;;;;;N;;;;;
        "\u1D9B7",  # ;SIGNWRITING MOVEMENT-FLOORPLANE CURVE HITTING CEILING SMALL;So;0;L;;;;;N;;;;;
        "\u1D9B8",  # ;SIGNWRITING MOVEMENT-FLOORPLANE CURVE HITTING CEILING LARGE;So;0;L;;;;;N;;;;;
        "\u1D9B9",  # ;SIGNWRITING MOVEMENT-FLOORPLANE HUMP HITTING CEILING SMALL DOUBLE;So;0;L;;;;;N;;;;;
        "\u1D9BA",  # ;SIGNWRITING MOVEMENT-FLOORPLANE HUMP HITTING CEILING LARGE DOUBLE;So;0;L;;;;;N;;;;;
        "\u1D9BB",  # ;SIGNWRITING MOVEMENT-FLOORPLANE HUMP HITTING CEILING SMALL TRIPLE;So;0;L;;;;;N;;;;;
        "\u1D9BC",  # ;SIGNWRITING MOVEMENT-FLOORPLANE HUMP HITTING CEILING LARGE TRIPLE;So;0;L;;;;;N;;;;;
        "\u1D9BD",  # ;SIGNWRITING MOVEMENT-FLOORPLANE LOOP HITTING CEILING SMALL SINGLE;So;0;L;;;;;N;;;;;
        "\u1D9BE",  # ;SIGNWRITING MOVEMENT-FLOORPLANE LOOP HITTING CEILING LARGE SINGLE;So;0;L;;;;;N;;;;;
        "\u1D9BF",  # ;SIGNWRITING MOVEMENT-FLOORPLANE LOOP HITTING CEILING SMALL DOUBLE;So;0;L;;;;;N;;;;;
        "\u1D9C0",  # ;SIGNWRITING MOVEMENT-FLOORPLANE LOOP HITTING CEILING LARGE DOUBLE;So;0;L;;;;;N;;;;;
        "\u1D9C1",  # ;SIGNWRITING MOVEMENT-FLOORPLANE WAVE HITTING CEILING SMALL;So;0;L;;;;;N;;;;;
        "\u1D9C2",  # ;SIGNWRITING MOVEMENT-FLOORPLANE WAVE HITTING CEILING LARGE;So;0;L;;;;;N;;;;;
        "\u1D9C3",  # ;SIGNWRITING ROTATION-FLOORPLANE SINGLE HITTING CEILING;So;0;L;;;;;N;;;;;
        "\u1D9C4",  # ;SIGNWRITING ROTATION-FLOORPLANE DOUBLE HITTING CEILING;So;0;L;;;;;N;;;;;
        "\u1D9C5",  # ;SIGNWRITING ROTATION-FLOORPLANE ALTERNATING HITTING CEILING;So;0;L;;;;;N;;;;;
        "\u1D9C6",  # ;SIGNWRITING MOVEMENT-FLOORPLANE CURVE HITTING FLOOR SMALL;So;0;L;;;;;N;;;;;
        "\u1D9C7",  # ;SIGNWRITING MOVEMENT-FLOORPLANE CURVE HITTING FLOOR LARGE;So;0;L;;;;;N;;;;;
        "\u1D9C8",  # ;SIGNWRITING MOVEMENT-FLOORPLANE HUMP HITTING FLOOR SMALL DOUBLE;So;0;L;;;;;N;;;;;
        "\u1D9C9",  # ;SIGNWRITING MOVEMENT-FLOORPLANE HUMP HITTING FLOOR LARGE DOUBLE;So;0;L;;;;;N;;;;;
        "\u1D9CA",  # ;SIGNWRITING MOVEMENT-FLOORPLANE HUMP HITTING FLOOR TRIPLE SMALL TRIPLE;So;0;L;;;;;N;;;;;
        "\u1D9CB",  # ;SIGNWRITING MOVEMENT-FLOORPLANE HUMP HITTING FLOOR TRIPLE LARGE TRIPLE;So;0;L;;;;;N;;;;;
        "\u1D9CC",  # ;SIGNWRITING MOVEMENT-FLOORPLANE LOOP HITTING FLOOR SMALL SINGLE;So;0;L;;;;;N;;;;;
        "\u1D9CD",  # ;SIGNWRITING MOVEMENT-FLOORPLANE LOOP HITTING FLOOR LARGE SINGLE;So;0;L;;;;;N;;;;;
        "\u1D9CE",  # ;SIGNWRITING MOVEMENT-FLOORPLANE LOOP HITTING FLOOR SMALL DOUBLE;So;0;L;;;;;N;;;;;
        "\u1D9CF",  # ;SIGNWRITING MOVEMENT-FLOORPLANE LOOP HITTING FLOOR LARGE DOUBLE;So;0;L;;;;;N;;;;;
        "\u1D9D0",  # ;SIGNWRITING MOVEMENT-FLOORPLANE WAVE HITTING FLOOR SMALL;So;0;L;;;;;N;;;;;
        "\u1D9D1",  # ;SIGNWRITING MOVEMENT-FLOORPLANE WAVE HITTING FLOOR LARGE;So;0;L;;;;;N;;;;;
        "\u1D9D2",  # ;SIGNWRITING ROTATION-FLOORPLANE SINGLE HITTING FLOOR;So;0;L;;;;;N;;;;;
        "\u1D9D3",  # ;SIGNWRITING ROTATION-FLOORPLANE DOUBLE HITTING FLOOR;So;0;L;;;;;N;;;;;
        "\u1D9D4",  # ;SIGNWRITING ROTATION-FLOORPLANE ALTERNATING HITTING FLOOR;So;0;L;;;;;N;;;;;
        "\u1D9D5",  # ;SIGNWRITING MOVEMENT-FLOORPLANE CURVE SMALL;So;0;L;;;;;N;;;;;
        "\u1D9D6",  # ;SIGNWRITING MOVEMENT-FLOORPLANE CURVE MEDIUM;So;0;L;;;;;N;;;;;
        "\u1D9D7",  # ;SIGNWRITING MOVEMENT-FLOORPLANE CURVE LARGE;So;0;L;;;;;N;;;;;
        "\u1D9D8",  # ;SIGNWRITING MOVEMENT-FLOORPLANE CURVE LARGEST;So;0;L;;;;;N;;;;;
        "\u1D9D9",  # ;SIGNWRITING MOVEMENT-FLOORPLANE CURVE COMBINED;So;0;L;;;;;N;;;;;
        "\u1D9DA",  # ;SIGNWRITING MOVEMENT-FLOORPLANE HUMP SMALL;So;0;L;;;;;N;;;;;
        "\u1D9DB",  # ;SIGNWRITING MOVEMENT-FLOORPLANE LOOP SMALL;So;0;L;;;;;N;;;;;
        "\u1D9DC",  # ;SIGNWRITING MOVEMENT-FLOORPLANE WAVE SNAKE;So;0;L;;;;;N;;;;;
        "\u1D9DD",  # ;SIGNWRITING MOVEMENT-FLOORPLANE WAVE SMALL;So;0;L;;;;;N;;;;;
        "\u1D9DE",  # ;SIGNWRITING MOVEMENT-FLOORPLANE WAVE LARGE;So;0;L;;;;;N;;;;;
        "\u1D9DF",  # ;SIGNWRITING ROTATION-FLOORPLANE SINGLE;So;0;L;;;;;N;;;;;
        "\u1D9E0",  # ;SIGNWRITING ROTATION-FLOORPLANE DOUBLE;So;0;L;;;;;N;;;;;
        "\u1D9E1",  # ;SIGNWRITING ROTATION-FLOORPLANE ALTERNATING;So;0;L;;;;;N;;;;;
        "\u1D9E2",  # ;SIGNWRITING MOVEMENT-FLOORPLANE SHAKING PARALLEL;So;0;L;;;;;N;;;;;
        "\u1D9E3",  # ;SIGNWRITING MOVEMENT-WALLPLANE ARM CIRCLE SMALL SINGLE;So;0;L;;;;;N;;;;;
        "\u1D9E4",  # ;SIGNWRITING MOVEMENT-WALLPLANE ARM CIRCLE MEDIUM SINGLE;So;0;L;;;;;N;;;;;
        "\u1D9E5",  # ;SIGNWRITING MOVEMENT-WALLPLANE ARM CIRCLE SMALL DOUBLE;So;0;L;;;;;N;;;;;
        "\u1D9E6",  # ;SIGNWRITING MOVEMENT-WALLPLANE ARM CIRCLE MEDIUM DOUBLE;So;0;L;;;;;N;;;;;
        "\u1D9E7",  # ;SIGNWRITING MOVEMENT-FLOORPLANE ARM CIRCLE HITTING WALL SMALL SINGLE;So;0;L;;;;;N;;;;;
        "\u1D9E8",  # ;SIGNWRITING MOVEMENT-FLOORPLANE ARM CIRCLE HITTING WALL MEDIUM SINGLE;So;0;L;;;;;N;;;;;
        "\u1D9E9",  # ;SIGNWRITING MOVEMENT-FLOORPLANE ARM CIRCLE HITTING WALL LARGE SINGLE;So;0;L;;;;;N;;;;;
        "\u1D9EA",  # ;SIGNWRITING MOVEMENT-FLOORPLANE ARM CIRCLE HITTING WALL SMALL DOUBLE;So;0;L;;;;;N;;;;;
        "\u1D9EB",  # ;SIGNWRITING MOVEMENT-FLOORPLANE ARM CIRCLE HITTING WALL MEDIUM DOUBLE;So;0;L;;;;;N;;;;;
        "\u1D9EC",  # ;SIGNWRITING MOVEMENT-FLOORPLANE ARM CIRCLE HITTING WALL LARGE DOUBLE;So;0;L;;;;;N;;;;;
        "\u1D9ED",  # ;SIGNWRITING MOVEMENT-WALLPLANE WRIST CIRCLE FRONT SINGLE;So;0;L;;;;;N;;;;;
        "\u1D9EE",  # ;SIGNWRITING MOVEMENT-WALLPLANE WRIST CIRCLE FRONT DOUBLE;So;0;L;;;;;N;;;;;
        "\u1D9EF",  # ;SIGNWRITING MOVEMENT-FLOORPLANE WRIST CIRCLE HITTING WALL SINGLE;So;0;L;;;;;N;;;;;
        "\u1D9F0",  # ;SIGNWRITING MOVEMENT-FLOORPLANE WRIST CIRCLE HITTING WALL DOUBLE;So;0;L;;;;;N;;;;;
        "\u1D9F1",  # ;SIGNWRITING MOVEMENT-WALLPLANE FINGER CIRCLES SINGLE;So;0;L;;;;;N;;;;;
        "\u1D9F2",  # ;SIGNWRITING MOVEMENT-WALLPLANE FINGER CIRCLES DOUBLE;So;0;L;;;;;N;;;;;
        "\u1D9F3",  # ;SIGNWRITING MOVEMENT-FLOORPLANE FINGER CIRCLES HITTING WALL SINGLE;So;0;L;;;;;N;;;;;
        "\u1D9F4",  # ;SIGNWRITING MOVEMENT-FLOORPLANE FINGER CIRCLES HITTING WALL DOUBLE;So;0;L;;;;;N;;;;;
        "\u1D9F5",  # ;SIGNWRITING DYNAMIC ARROWHEAD SMALL;So;0;L;;;;;N;;;;;
        "\u1D9F6",  # ;SIGNWRITING DYNAMIC ARROWHEAD LARGE;So;0;L;;;;;N;;;;;
        "\u1D9F7",  # ;SIGNWRITING DYNAMIC FAST;So;0;L;;;;;N;;;;;
        "\u1D9F8",  # ;SIGNWRITING DYNAMIC SLOW;So;0;L;;;;;N;;;;;
        "\u1D9F9",  # ;SIGNWRITING DYNAMIC TENSE;So;0;L;;;;;N;;;;;
        "\u1D9FA",  # ;SIGNWRITING DYNAMIC RELAXED;So;0;L;;;;;N;;;;;
        "\u1D9FB",  # ;SIGNWRITING DYNAMIC SIMULTANEOUS;So;0;L;;;;;N;;;;;
        "\u1D9FC",  # ;SIGNWRITING DYNAMIC SIMULTANEOUS ALTERNATING;So;0;L;;;;;N;;;;;
        "\u1D9FD",  # ;SIGNWRITING DYNAMIC EVERY OTHER TIME;So;0;L;;;;;N;;;;;
        "\u1D9FE",  # ;SIGNWRITING DYNAMIC GRADUAL;So;0;L;;;;;N;;;;;
        "\u1D9FF",  # ;SIGNWRITING HEAD;So;0;L;;;;;N;;;;;
        "\u1DA00",  # ;SIGNWRITING HEAD RIM;Mn;0;NSM;;;;;N;;;;;
        "\u1DA01",  # ;SIGNWRITING HEAD MOVEMENT-WALLPLANE STRAIGHT;Mn;0;NSM;;;;;N;;;;;
        "\u1DA02",  # ;SIGNWRITING HEAD MOVEMENT-WALLPLANE TILT;Mn;0;NSM;;;;;N;;;;;
        "\u1DA03",  # ;SIGNWRITING HEAD MOVEMENT-FLOORPLANE STRAIGHT;Mn;0;NSM;;;;;N;;;;;
        "\u1DA04",  # ;SIGNWRITING HEAD MOVEMENT-WALLPLANE CURVE;Mn;0;NSM;;;;;N;;;;;
        "\u1DA05",  # ;SIGNWRITING HEAD MOVEMENT-FLOORPLANE CURVE;Mn;0;NSM;;;;;N;;;;;
        "\u1DA06",  # ;SIGNWRITING HEAD MOVEMENT CIRCLE;Mn;0;NSM;;;;;N;;;;;
        "\u1DA07",  # ;SIGNWRITING FACE DIRECTION POSITION NOSE FORWARD TILTING;Mn;0;NSM;;;;;N;;;;;
        "\u1DA08",  # ;SIGNWRITING FACE DIRECTION POSITION NOSE UP OR DOWN;Mn;0;NSM;;;;;N;;;;;
        "\u1DA09",  # ;SIGNWRITING FACE DIRECTION POSITION NOSE UP OR DOWN TILTING;Mn;0;NSM;;;;;N;;;;;
        "\u1DA0A",  # ;SIGNWRITING EYEBROWS STRAIGHT UP;Mn;0;NSM;;;;;N;;;;;
        "\u1DA0B",  # ;SIGNWRITING EYEBROWS STRAIGHT NEUTRAL;Mn;0;NSM;;;;;N;;;;;
        "\u1DA0C",  # ;SIGNWRITING EYEBROWS STRAIGHT DOWN;Mn;0;NSM;;;;;N;;;;;
        "\u1DA0D",  # ;SIGNWRITING DREAMY EYEBROWS NEUTRAL DOWN;Mn;0;NSM;;;;;N;;;;;
        "\u1DA0E",  # ;SIGNWRITING DREAMY EYEBROWS DOWN NEUTRAL;Mn;0;NSM;;;;;N;;;;;
        "\u1DA0F",  # ;SIGNWRITING DREAMY EYEBROWS UP NEUTRAL;Mn;0;NSM;;;;;N;;;;;
        "\u1DA10",  # ;SIGNWRITING DREAMY EYEBROWS NEUTRAL UP;Mn;0;NSM;;;;;N;;;;;
        "\u1DA11",  # ;SIGNWRITING FOREHEAD NEUTRAL;Mn;0;NSM;;;;;N;;;;;
        "\u1DA12",  # ;SIGNWRITING FOREHEAD CONTACT;Mn;0;NSM;;;;;N;;;;;
        "\u1DA13",  # ;SIGNWRITING FOREHEAD WRINKLED;Mn;0;NSM;;;;;N;;;;;
        "\u1DA14",  # ;SIGNWRITING EYES OPEN;Mn;0;NSM;;;;;N;;;;;
        "\u1DA15",  # ;SIGNWRITING EYES SQUEEZED;Mn;0;NSM;;;;;N;;;;;
        "\u1DA16",  # ;SIGNWRITING EYES CLOSED;Mn;0;NSM;;;;;N;;;;;
        "\u1DA17",  # ;SIGNWRITING EYE BLINK SINGLE;Mn;0;NSM;;;;;N;;;;;
        "\u1DA18",  # ;SIGNWRITING EYE BLINK MULTIPLE;Mn;0;NSM;;;;;N;;;;;
        "\u1DA19",  # ;SIGNWRITING EYES HALF OPEN;Mn;0;NSM;;;;;N;;;;;
        "\u1DA1A",  # ;SIGNWRITING EYES WIDE OPEN;Mn;0;NSM;;;;;N;;;;;
        "\u1DA1B",  # ;SIGNWRITING EYES HALF CLOSED;Mn;0;NSM;;;;;N;;;;;
        "\u1DA1C",  # ;SIGNWRITING EYES WIDENING MOVEMENT;Mn;0;NSM;;;;;N;;;;;
        "\u1DA1D",  # ;SIGNWRITING EYE WINK;Mn;0;NSM;;;;;N;;;;;
        "\u1DA1E",  # ;SIGNWRITING EYELASHES UP;Mn;0;NSM;;;;;N;;;;;
        "\u1DA1F",  # ;SIGNWRITING EYELASHES DOWN;Mn;0;NSM;;;;;N;;;;;
        "\u1DA20",  # ;SIGNWRITING EYELASHES FLUTTERING;Mn;0;NSM;;;;;N;;;;;
        "\u1DA21",  # ;SIGNWRITING EYEGAZE-WALLPLANE STRAIGHT;Mn;0;NSM;;;;;N;;;;;
        "\u1DA22",  # ;SIGNWRITING EYEGAZE-WALLPLANE STRAIGHT DOUBLE;Mn;0;NSM;;;;;N;;;;;
        "\u1DA23",  # ;SIGNWRITING EYEGAZE-WALLPLANE STRAIGHT ALTERNATING;Mn;0;NSM;;;;;N;;;;;
        "\u1DA24",  # ;SIGNWRITING EYEGAZE-FLOORPLANE STRAIGHT;Mn;0;NSM;;;;;N;;;;;
        "\u1DA25",  # ;SIGNWRITING EYEGAZE-FLOORPLANE STRAIGHT DOUBLE;Mn;0;NSM;;;;;N;;;;;
        "\u1DA26",  # ;SIGNWRITING EYEGAZE-FLOORPLANE STRAIGHT ALTERNATING;Mn;0;NSM;;;;;N;;;;;
        "\u1DA27",  # ;SIGNWRITING EYEGAZE-WALLPLANE CURVED;Mn;0;NSM;;;;;N;;;;;
        "\u1DA28",  # ;SIGNWRITING EYEGAZE-FLOORPLANE CURVED;Mn;0;NSM;;;;;N;;;;;
        "\u1DA29",  # ;SIGNWRITING EYEGAZE-WALLPLANE CIRCLING;Mn;0;NSM;;;;;N;;;;;
        "\u1DA2A",  # ;SIGNWRITING CHEEKS PUFFED;Mn;0;NSM;;;;;N;;;;;
        "\u1DA2B",  # ;SIGNWRITING CHEEKS NEUTRAL;Mn;0;NSM;;;;;N;;;;;
        "\u1DA2C",  # ;SIGNWRITING CHEEKS SUCKED;Mn;0;NSM;;;;;N;;;;;
        "\u1DA2D",  # ;SIGNWRITING TENSE CHEEKS HIGH;Mn;0;NSM;;;;;N;;;;;
        "\u1DA2E",  # ;SIGNWRITING TENSE CHEEKS MIDDLE;Mn;0;NSM;;;;;N;;;;;
        "\u1DA2F",  # ;SIGNWRITING TENSE CHEEKS LOW;Mn;0;NSM;;;;;N;;;;;
        "\u1DA30",  # ;SIGNWRITING EARS;Mn;0;NSM;;;;;N;;;;;
        "\u1DA31",  # ;SIGNWRITING NOSE NEUTRAL;Mn;0;NSM;;;;;N;;;;;
        "\u1DA32",  # ;SIGNWRITING NOSE CONTACT;Mn;0;NSM;;;;;N;;;;;
        "\u1DA33",  # ;SIGNWRITING NOSE WRINKLES;Mn;0;NSM;;;;;N;;;;;
        "\u1DA34",  # ;SIGNWRITING NOSE WIGGLES;Mn;0;NSM;;;;;N;;;;;
        "\u1DA35",  # ;SIGNWRITING AIR BLOWING OUT;Mn;0;NSM;;;;;N;;;;;
        "\u1DA36",  # ;SIGNWRITING AIR SUCKING IN;Mn;0;NSM;;;;;N;;;;;
        "\u1DA37",  # ;SIGNWRITING AIR BLOW SMALL ROTATIONS;So;0;L;;;;;N;;;;;
        "\u1DA38",  # ;SIGNWRITING AIR SUCK SMALL ROTATIONS;So;0;L;;;;;N;;;;;
        "\u1DA39",  # ;SIGNWRITING BREATH INHALE;So;0;L;;;;;N;;;;;
        "\u1DA3A",  # ;SIGNWRITING BREATH EXHALE;So;0;L;;;;;N;;;;;
        "\u1DA3B",  # ;SIGNWRITING MOUTH CLOSED NEUTRAL;Mn;0;NSM;;;;;N;;;;;
        "\u1DA3C",  # ;SIGNWRITING MOUTH CLOSED FORWARD;Mn;0;NSM;;;;;N;;;;;
        "\u1DA3D",  # ;SIGNWRITING MOUTH CLOSED CONTACT;Mn;0;NSM;;;;;N;;;;;
        "\u1DA3E",  # ;SIGNWRITING MOUTH SMILE;Mn;0;NSM;;;;;N;;;;;
        "\u1DA3F",  # ;SIGNWRITING MOUTH SMILE WRINKLED;Mn;0;NSM;;;;;N;;;;;
        "\u1DA40",  # ;SIGNWRITING MOUTH SMILE OPEN;Mn;0;NSM;;;;;N;;;;;
        "\u1DA41",  # ;SIGNWRITING MOUTH FROWN;Mn;0;NSM;;;;;N;;;;;
        "\u1DA42",  # ;SIGNWRITING MOUTH FROWN WRINKLED;Mn;0;NSM;;;;;N;;;;;
        "\u1DA43",  # ;SIGNWRITING MOUTH FROWN OPEN;Mn;0;NSM;;;;;N;;;;;
        "\u1DA44",  # ;SIGNWRITING MOUTH OPEN CIRCLE;Mn;0;NSM;;;;;N;;;;;
        "\u1DA45",  # ;SIGNWRITING MOUTH OPEN FORWARD;Mn;0;NSM;;;;;N;;;;;
        "\u1DA46",  # ;SIGNWRITING MOUTH OPEN WRINKLED;Mn;0;NSM;;;;;N;;;;;
        "\u1DA47",  # ;SIGNWRITING MOUTH OPEN OVAL;Mn;0;NSM;;;;;N;;;;;
        "\u1DA48",  # ;SIGNWRITING MOUTH OPEN OVAL WRINKLED;Mn;0;NSM;;;;;N;;;;;
        "\u1DA49",  # ;SIGNWRITING MOUTH OPEN OVAL YAWN;Mn;0;NSM;;;;;N;;;;;
        "\u1DA4A",  # ;SIGNWRITING MOUTH OPEN RECTANGLE;Mn;0;NSM;;;;;N;;;;;
        "\u1DA4B",  # ;SIGNWRITING MOUTH OPEN RECTANGLE WRINKLED;Mn;0;NSM;;;;;N;;;;;
        "\u1DA4C",  # ;SIGNWRITING MOUTH OPEN RECTANGLE YAWN;Mn;0;NSM;;;;;N;;;;;
        "\u1DA4D",  # ;SIGNWRITING MOUTH KISS;Mn;0;NSM;;;;;N;;;;;
        "\u1DA4E",  # ;SIGNWRITING MOUTH KISS FORWARD;Mn;0;NSM;;;;;N;;;;;
        "\u1DA4F",  # ;SIGNWRITING MOUTH KISS WRINKLED;Mn;0;NSM;;;;;N;;;;;
        "\u1DA50",  # ;SIGNWRITING MOUTH TENSE;Mn;0;NSM;;;;;N;;;;;
        "\u1DA51",  # ;SIGNWRITING MOUTH TENSE FORWARD;Mn;0;NSM;;;;;N;;;;;
        "\u1DA52",  # ;SIGNWRITING MOUTH TENSE SUCKED;Mn;0;NSM;;;;;N;;;;;
        "\u1DA53",  # ;SIGNWRITING LIPS PRESSED TOGETHER;Mn;0;NSM;;;;;N;;;;;
        "\u1DA54",  # ;SIGNWRITING LIP LOWER OVER UPPER;Mn;0;NSM;;;;;N;;;;;
        "\u1DA55",  # ;SIGNWRITING LIP UPPER OVER LOWER;Mn;0;NSM;;;;;N;;;;;
        "\u1DA56",  # ;SIGNWRITING MOUTH CORNERS;Mn;0;NSM;;;;;N;;;;;
        "\u1DA57",  # ;SIGNWRITING MOUTH WRINKLES SINGLE;Mn;0;NSM;;;;;N;;;;;
        "\u1DA58",  # ;SIGNWRITING MOUTH WRINKLES DOUBLE;Mn;0;NSM;;;;;N;;;;;
        "\u1DA59",  # ;SIGNWRITING TONGUE STICKING OUT FAR;Mn;0;NSM;;;;;N;;;;;
        "\u1DA5A",  # ;SIGNWRITING TONGUE LICKING LIPS;Mn;0;NSM;;;;;N;;;;;
        "\u1DA5B",  # ;SIGNWRITING TONGUE TIP BETWEEN LIPS;Mn;0;NSM;;;;;N;;;;;
        "\u1DA5C",  # ;SIGNWRITING TONGUE TIP TOUCHING INSIDE MOUTH;Mn;0;NSM;;;;;N;;;;;
        "\u1DA5D",  # ;SIGNWRITING TONGUE INSIDE MOUTH RELAXED;Mn;0;NSM;;;;;N;;;;;
        "\u1DA5E",  # ;SIGNWRITING TONGUE MOVES AGAINST CHEEK;Mn;0;NSM;;;;;N;;;;;
        "\u1DA5F",  # ;SIGNWRITING TONGUE CENTRE STICKING OUT;Mn;0;NSM;;;;;N;;;;;
        "\u1DA60",  # ;SIGNWRITING TONGUE CENTRE INSIDE MOUTH;Mn;0;NSM;;;;;N;;;;;
        "\u1DA61",  # ;SIGNWRITING TEETH;Mn;0;NSM;;;;;N;;;;;
        "\u1DA62",  # ;SIGNWRITING TEETH MOVEMENT;Mn;0;NSM;;;;;N;;;;;
        "\u1DA63",  # ;SIGNWRITING TEETH ON TONGUE;Mn;0;NSM;;;;;N;;;;;
        "\u1DA64",  # ;SIGNWRITING TEETH ON TONGUE MOVEMENT;Mn;0;NSM;;;;;N;;;;;
        "\u1DA65",  # ;SIGNWRITING TEETH ON LIPS;Mn;0;NSM;;;;;N;;;;;
        "\u1DA66",  # ;SIGNWRITING TEETH ON LIPS MOVEMENT;Mn;0;NSM;;;;;N;;;;;
        "\u1DA67",  # ;SIGNWRITING TEETH BITE LIPS;Mn;0;NSM;;;;;N;;;;;
        "\u1DA68",  # ;SIGNWRITING MOVEMENT-WALLPLANE JAW;Mn;0;NSM;;;;;N;;;;;
        "\u1DA69",  # ;SIGNWRITING MOVEMENT-FLOORPLANE JAW;Mn;0;NSM;;;;;N;;;;;
        "\u1DA6A",  # ;SIGNWRITING NECK;Mn;0;NSM;;;;;N;;;;;
        "\u1DA6B",  # ;SIGNWRITING HAIR;Mn;0;NSM;;;;;N;;;;;
        "\u1DA6C",  # ;SIGNWRITING EXCITEMENT;Mn;0;NSM;;;;;N;;;;;
        "\u1DA6D",  # ;SIGNWRITING SHOULDER HIP SPINE;So;0;L;;;;;N;;;;;
        "\u1DA6E",  # ;SIGNWRITING SHOULDER HIP POSITIONS;So;0;L;;;;;N;;;;;
        "\u1DA6F",  # ;SIGNWRITING WALLPLANE SHOULDER HIP MOVE;So;0;L;;;;;N;;;;;
        "\u1DA70",  # ;SIGNWRITING FLOORPLANE SHOULDER HIP MOVE;So;0;L;;;;;N;;;;;
        "\u1DA71",  # ;SIGNWRITING SHOULDER TILTING FROM WAIST;So;0;L;;;;;N;;;;;
        "\u1DA72",  # ;SIGNWRITING TORSO-WALLPLANE STRAIGHT STRETCH;So;0;L;;;;;N;;;;;
        "\u1DA73",  # ;SIGNWRITING TORSO-WALLPLANE CURVED BEND;So;0;L;;;;;N;;;;;
        "\u1DA74",  # ;SIGNWRITING TORSO-FLOORPLANE TWISTING;So;0;L;;;;;N;;;;;
        "\u1DA75",  # ;SIGNWRITING UPPER BODY TILTING FROM HIP JOINTS;Mn;0;NSM;;;;;N;;;;;
        "\u1DA76",  # ;SIGNWRITING LIMB COMBINATION;So;0;L;;;;;N;;;;;
        "\u1DA77",  # ;SIGNWRITING LIMB LENGTH-1;So;0;L;;;;;N;;;;;
        "\u1DA78",  # ;SIGNWRITING LIMB LENGTH-2;So;0;L;;;;;N;;;;;
        "\u1DA79",  # ;SIGNWRITING LIMB LENGTH-3;So;0;L;;;;;N;;;;;
        "\u1DA7A",  # ;SIGNWRITING LIMB LENGTH-4;So;0;L;;;;;N;;;;;
        "\u1DA7B",  # ;SIGNWRITING LIMB LENGTH-5;So;0;L;;;;;N;;;;;
        "\u1DA7C",  # ;SIGNWRITING LIMB LENGTH-6;So;0;L;;;;;N;;;;;
        "\u1DA7D",  # ;SIGNWRITING LIMB LENGTH-7;So;0;L;;;;;N;;;;;
        "\u1DA7E",  # ;SIGNWRITING FINGER;So;0;L;;;;;N;;;;;
        "\u1DA7F",  # ;SIGNWRITING LOCATION-WALLPLANE SPACE;So;0;L;;;;;N;;;;;
        "\u1DA80",  # ;SIGNWRITING LOCATION-FLOORPLANE SPACE;So;0;L;;;;;N;;;;;
        "\u1DA81",  # ;SIGNWRITING LOCATION HEIGHT;So;0;L;;;;;N;;;;;
        "\u1DA82",  # ;SIGNWRITING LOCATION WIDTH;So;0;L;;;;;N;;;;;
        "\u1DA83",  # ;SIGNWRITING LOCATION DEPTH;So;0;L;;;;;N;;;;;
        "\u1DA84",  # ;SIGNWRITING LOCATION HEAD NECK;Mn;0;NSM;;;;;N;;;;;
        "\u1DA85",  # ;SIGNWRITING LOCATION TORSO;So;0;L;;;;;N;;;;;
        "\u1DA86",  # ;SIGNWRITING LOCATION LIMBS DIGITS;So;0;L;;;;;N;;;;;
        "\u1DA87",  # ;SIGNWRITING COMMA;Po;0;L;;;;;N;;;;;
        "\u1DA88",  # ;SIGNWRITING FULL STOP;Po;0;L;;;;;N;;;;;
        "\u1DA89",  # ;SIGNWRITING SEMICOLON;Po;0;L;;;;;N;;;;;
        "\u1DA8A",  # ;SIGNWRITING COLON;Po;0;L;;;;;N;;;;;
        "\u1DA8B",  # ;SIGNWRITING PARENTHESIS;Po;0;L;;;;;N;;;;;
        "\u1DA9B",  # ;SIGNWRITING FILL MODIFIER-2;Mn;0;NSM;;;;;N;;;;;
        "\u1DA9C",  # ;SIGNWRITING FILL MODIFIER-3;Mn;0;NSM;;;;;N;;;;;
        "\u1DA9D",  # ;SIGNWRITING FILL MODIFIER-4;Mn;0;NSM;;;;;N;;;;;
        "\u1DA9E",  # ;SIGNWRITING FILL MODIFIER-5;Mn;0;NSM;;;;;N;;;;;
        "\u1DA9F",  # ;SIGNWRITING FILL MODIFIER-6;Mn;0;NSM;;;;;N;;;;;
        "\u1DAA1",  # ;SIGNWRITING ROTATION MODIFIER-2;Mn;0;NSM;;;;;N;;;;;
        "\u1DAA2",  # ;SIGNWRITING ROTATION MODIFIER-3;Mn;0;NSM;;;;;N;;;;;
        "\u1DAA3",  # ;SIGNWRITING ROTATION MODIFIER-4;Mn;0;NSM;;;;;N;;;;;
        "\u1DAA4",  # ;SIGNWRITING ROTATION MODIFIER-5;Mn;0;NSM;;;;;N;;;;;
        "\u1DAA5",  # ;SIGNWRITING ROTATION MODIFIER-6;Mn;0;NSM;;;;;N;;;;;
        "\u1DAA6",  # ;SIGNWRITING ROTATION MODIFIER-7;Mn;0;NSM;;;;;N;;;;;
        "\u1DAA7",  # ;SIGNWRITING ROTATION MODIFIER-8;Mn;0;NSM;;;;;N;;;;;
        "\u1DAA8",  # ;SIGNWRITING ROTATION MODIFIER-9;Mn;0;NSM;;;;;N;;;;;
        "\u1DAA9",  # ;SIGNWRITING ROTATION MODIFIER-10;Mn;0;NSM;;;;;N;;;;;
        "\u1DAAA",  # ;SIGNWRITING ROTATION MODIFIER-11;Mn;0;NSM;;;;;N;;;;;
        "\u1DAAB",  # ;SIGNWRITING ROTATION MODIFIER-12;Mn;0;NSM;;;;;N;;;;;
        "\u1DAAC",  # ;SIGNWRITING ROTATION MODIFIER-13;Mn;0;NSM;;;;;N;;;;;
        "\u1DAAD",  # ;SIGNWRITING ROTATION MODIFIER-14;Mn;0;NSM;;;;;N;;;;;
        "\u1DAAE",  # ;SIGNWRITING ROTATION MODIFIER-15;Mn;0;NSM;;;;;N;;;;;
        "\u1DAAF",  # ;SIGNWRITING ROTATION MODIFIER-16;Mn;0;NSM;;;;;N;;;;;
        "\u1E000",  # ;COMBINING GLAGOLITIC LETTER AZU;Mn;230;NSM;;;;;N;;;;;
        "\u1E001",  # ;COMBINING GLAGOLITIC LETTER BUKY;Mn;230;NSM;;;;;N;;;;;
        "\u1E002",  # ;COMBINING GLAGOLITIC LETTER VEDE;Mn;230;NSM;;;;;N;;;;;
        "\u1E003",  # ;COMBINING GLAGOLITIC LETTER GLAGOLI;Mn;230;NSM;;;;;N;;;;;
        "\u1E004",  # ;COMBINING GLAGOLITIC LETTER DOBRO;Mn;230;NSM;;;;;N;;;;;
        "\u1E005",  # ;COMBINING GLAGOLITIC LETTER YESTU;Mn;230;NSM;;;;;N;;;;;
        "\u1E006",  # ;COMBINING GLAGOLITIC LETTER ZHIVETE;Mn;230;NSM;;;;;N;;;;;
        "\u1E008",  # ;COMBINING GLAGOLITIC LETTER ZEMLJA;Mn;230;NSM;;;;;N;;;;;
        "\u1E009",  # ;COMBINING GLAGOLITIC LETTER IZHE;Mn;230;NSM;;;;;N;;;;;
        "\u1E00A",  # ;COMBINING GLAGOLITIC LETTER INITIAL IZHE;Mn;230;NSM;;;;;N;;;;;
        "\u1E00B",  # ;COMBINING GLAGOLITIC LETTER I;Mn;230;NSM;;;;;N;;;;;
        "\u1E00C",  # ;COMBINING GLAGOLITIC LETTER DJERVI;Mn;230;NSM;;;;;N;;;;;
        "\u1E00D",  # ;COMBINING GLAGOLITIC LETTER KAKO;Mn;230;NSM;;;;;N;;;;;
        "\u1E00E",  # ;COMBINING GLAGOLITIC LETTER LJUDIJE;Mn;230;NSM;;;;;N;;;;;
        "\u1E00F",  # ;COMBINING GLAGOLITIC LETTER MYSLITE;Mn;230;NSM;;;;;N;;;;;
        "\u1E010",  # ;COMBINING GLAGOLITIC LETTER NASHI;Mn;230;NSM;;;;;N;;;;;
        "\u1E011",  # ;COMBINING GLAGOLITIC LETTER ONU;Mn;230;NSM;;;;;N;;;;;
        "\u1E012",  # ;COMBINING GLAGOLITIC LETTER POKOJI;Mn;230;NSM;;;;;N;;;;;
        "\u1E013",  # ;COMBINING GLAGOLITIC LETTER RITSI;Mn;230;NSM;;;;;N;;;;;
        "\u1E014",  # ;COMBINING GLAGOLITIC LETTER SLOVO;Mn;230;NSM;;;;;N;;;;;
        "\u1E015",  # ;COMBINING GLAGOLITIC LETTER TVRIDO;Mn;230;NSM;;;;;N;;;;;
        "\u1E016",  # ;COMBINING GLAGOLITIC LETTER UKU;Mn;230;NSM;;;;;N;;;;;
        "\u1E017",  # ;COMBINING GLAGOLITIC LETTER FRITU;Mn;230;NSM;;;;;N;;;;;
        "\u1E018",  # ;COMBINING GLAGOLITIC LETTER HERU;Mn;230;NSM;;;;;N;;;;;
        "\u1E01B",  # ;COMBINING GLAGOLITIC LETTER SHTA;Mn;230;NSM;;;;;N;;;;;
        "\u1E01C",  # ;COMBINING GLAGOLITIC LETTER TSI;Mn;230;NSM;;;;;N;;;;;
        "\u1E01D",  # ;COMBINING GLAGOLITIC LETTER CHRIVI;Mn;230;NSM;;;;;N;;;;;
        "\u1E01E",  # ;COMBINING GLAGOLITIC LETTER SHA;Mn;230;NSM;;;;;N;;;;;
        "\u1E01F",  # ;COMBINING GLAGOLITIC LETTER YERU;Mn;230;NSM;;;;;N;;;;;
        "\u1E020",  # ;COMBINING GLAGOLITIC LETTER YERI;Mn;230;NSM;;;;;N;;;;;
        "\u1E021",  # ;COMBINING GLAGOLITIC LETTER YATI;Mn;230;NSM;;;;;N;;;;;
        "\u1E023",  # ;COMBINING GLAGOLITIC LETTER YU;Mn;230;NSM;;;;;N;;;;;
        "\u1E024",  # ;COMBINING GLAGOLITIC LETTER SMALL YUS;Mn;230;NSM;;;;;N;;;;;
        "\u1E026",  # ;COMBINING GLAGOLITIC LETTER YO;Mn;230;NSM;;;;;N;;;;;
        "\u1E027",  # ;COMBINING GLAGOLITIC LETTER IOTATED SMALL YUS;Mn;230;NSM;;;;;N;;;;;
        "\u1E028",  # ;COMBINING GLAGOLITIC LETTER BIG YUS;Mn;230;NSM;;;;;N;;;;;
        "\u1E029",  # ;COMBINING GLAGOLITIC LETTER IOTATED BIG YUS;Mn;230;NSM;;;;;N;;;;;
        "\u1E02A",  # ;COMBINING GLAGOLITIC LETTER FITA;Mn;230;NSM;;;;;N;;;;;
        "\u1E800",  # ;MENDE KIKAKUI SYLLABLE M001 KI;Lo;0;R;;;;;N;;;;;
        "\u1E801",  # ;MENDE KIKAKUI SYLLABLE M002 KA;Lo;0;R;;;;;N;;;;;
        "\u1E802",  # ;MENDE KIKAKUI SYLLABLE M003 KU;Lo;0;R;;;;;N;;;;;
        "\u1E803",  # ;MENDE KIKAKUI SYLLABLE M065 KEE;Lo;0;R;;;;;N;;;;;
        "\u1E804",  # ;MENDE KIKAKUI SYLLABLE M095 KE;Lo;0;R;;;;;N;;;;;
        "\u1E805",  # ;MENDE KIKAKUI SYLLABLE M076 KOO;Lo;0;R;;;;;N;;;;;
        "\u1E806",  # ;MENDE KIKAKUI SYLLABLE M048 KO;Lo;0;R;;;;;N;;;;;
        "\u1E807",  # ;MENDE KIKAKUI SYLLABLE M179 KUA;Lo;0;R;;;;;N;;;;;
        "\u1E808",  # ;MENDE KIKAKUI SYLLABLE M004 WI;Lo;0;R;;;;;N;;;;;
        "\u1E809",  # ;MENDE KIKAKUI SYLLABLE M005 WA;Lo;0;R;;;;;N;;;;;
        "\u1E80A",  # ;MENDE KIKAKUI SYLLABLE M006 WU;Lo;0;R;;;;;N;;;;;
        "\u1E80B",  # ;MENDE KIKAKUI SYLLABLE M126 WEE;Lo;0;R;;;;;N;;;;;
        "\u1E80C",  # ;MENDE KIKAKUI SYLLABLE M118 WE;Lo;0;R;;;;;N;;;;;
        "\u1E80D",  # ;MENDE KIKAKUI SYLLABLE M114 WOO;Lo;0;R;;;;;N;;;;;
        "\u1E80E",  # ;MENDE KIKAKUI SYLLABLE M045 WO;Lo;0;R;;;;;N;;;;;
        "\u1E80F",  # ;MENDE KIKAKUI SYLLABLE M194 WUI;Lo;0;R;;;;;N;;;;;
        "\u1E810",  # ;MENDE KIKAKUI SYLLABLE M143 WEI;Lo;0;R;;;;;N;;;;;
        "\u1E811",  # ;MENDE KIKAKUI SYLLABLE M061 WVI;Lo;0;R;;;;;N;;;;;
        "\u1E812",  # ;MENDE KIKAKUI SYLLABLE M049 WVA;Lo;0;R;;;;;N;;;;;
        "\u1E813",  # ;MENDE KIKAKUI SYLLABLE M139 WVE;Lo;0;R;;;;;N;;;;;
        "\u1E814",  # ;MENDE KIKAKUI SYLLABLE M007 MIN;Lo;0;R;;;;;N;;;;;
        "\u1E815",  # ;MENDE KIKAKUI SYLLABLE M008 MAN;Lo;0;R;;;;;N;;;;;
        "\u1E816",  # ;MENDE KIKAKUI SYLLABLE M009 MUN;Lo;0;R;;;;;N;;;;;
        "\u1E817",  # ;MENDE KIKAKUI SYLLABLE M059 MEN;Lo;0;R;;;;;N;;;;;
        "\u1E818",  # ;MENDE KIKAKUI SYLLABLE M094 MON;Lo;0;R;;;;;N;;;;;
        "\u1E819",  # ;MENDE KIKAKUI SYLLABLE M154 MUAN;Lo;0;R;;;;;N;;;;;
        "\u1E81A",  # ;MENDE KIKAKUI SYLLABLE M189 MUEN;Lo;0;R;;;;;N;;;;;
        "\u1E81B",  # ;MENDE KIKAKUI SYLLABLE M010 BI;Lo;0;R;;;;;N;;;;;
        "\u1E81C",  # ;MENDE KIKAKUI SYLLABLE M011 BA;Lo;0;R;;;;;N;;;;;
        "\u1E81D",  # ;MENDE KIKAKUI SYLLABLE M012 BU;Lo;0;R;;;;;N;;;;;
        "\u1E81E",  # ;MENDE KIKAKUI SYLLABLE M150 BEE;Lo;0;R;;;;;N;;;;;
        "\u1E81F",  # ;MENDE KIKAKUI SYLLABLE M097 BE;Lo;0;R;;;;;N;;;;;
        "\u1E820",  # ;MENDE KIKAKUI SYLLABLE M103 BOO;Lo;0;R;;;;;N;;;;;
        "\u1E821",  # ;MENDE KIKAKUI SYLLABLE M138 BO;Lo;0;R;;;;;N;;;;;
        "\u1E822",  # ;MENDE KIKAKUI SYLLABLE M013 I;Lo;0;R;;;;;N;;;;;
        "\u1E823",  # ;MENDE KIKAKUI SYLLABLE M014 A;Lo;0;R;;;;;N;;;;;
        "\u1E824",  # ;MENDE KIKAKUI SYLLABLE M015 U;Lo;0;R;;;;;N;;;;;
        "\u1E825",  # ;MENDE KIKAKUI SYLLABLE M163 EE;Lo;0;R;;;;;N;;;;;
        "\u1E826",  # ;MENDE KIKAKUI SYLLABLE M100 E;Lo;0;R;;;;;N;;;;;
        "\u1E827",  # ;MENDE KIKAKUI SYLLABLE M165 OO;Lo;0;R;;;;;N;;;;;
        "\u1E828",  # ;MENDE KIKAKUI SYLLABLE M147 O;Lo;0;R;;;;;N;;;;;
        "\u1E829",  # ;MENDE KIKAKUI SYLLABLE M137 EI;Lo;0;R;;;;;N;;;;;
        "\u1E82A",  # ;MENDE KIKAKUI SYLLABLE M131 IN;Lo;0;R;;;;;N;;;;;
        "\u1E82B",  # ;MENDE KIKAKUI SYLLABLE M135 IN;Lo;0;R;;;;;N;;;;;
        "\u1E82C",  # ;MENDE KIKAKUI SYLLABLE M195 AN;Lo;0;R;;;;;N;;;;;
        "\u1E82D",  # ;MENDE KIKAKUI SYLLABLE M178 EN;Lo;0;R;;;;;N;;;;;
        "\u1E82E",  # ;MENDE KIKAKUI SYLLABLE M019 SI;Lo;0;R;;;;;N;;;;;
        "\u1E82F",  # ;MENDE KIKAKUI SYLLABLE M020 SA;Lo;0;R;;;;;N;;;;;
        "\u1E830",  # ;MENDE KIKAKUI SYLLABLE M021 SU;Lo;0;R;;;;;N;;;;;
        "\u1E831",  # ;MENDE KIKAKUI SYLLABLE M162 SEE;Lo;0;R;;;;;N;;;;;
        "\u1E832",  # ;MENDE KIKAKUI SYLLABLE M116 SE;Lo;0;R;;;;;N;;;;;
        "\u1E833",  # ;MENDE KIKAKUI SYLLABLE M136 SOO;Lo;0;R;;;;;N;;;;;
        "\u1E834",  # ;MENDE KIKAKUI SYLLABLE M079 SO;Lo;0;R;;;;;N;;;;;
        "\u1E835",  # ;MENDE KIKAKUI SYLLABLE M196 SIA;Lo;0;R;;;;;N;;;;;
        "\u1E836",  # ;MENDE KIKAKUI SYLLABLE M025 LI;Lo;0;R;;;;;N;;;;;
        "\u1E837",  # ;MENDE KIKAKUI SYLLABLE M026 LA;Lo;0;R;;;;;N;;;;;
        "\u1E838",  # ;MENDE KIKAKUI SYLLABLE M027 LU;Lo;0;R;;;;;N;;;;;
        "\u1E839",  # ;MENDE KIKAKUI SYLLABLE M084 LEE;Lo;0;R;;;;;N;;;;;
        "\u1E83A",  # ;MENDE KIKAKUI SYLLABLE M073 LE;Lo;0;R;;;;;N;;;;;
        "\u1E83B",  # ;MENDE KIKAKUI SYLLABLE M054 LOO;Lo;0;R;;;;;N;;;;;
        "\u1E83C",  # ;MENDE KIKAKUI SYLLABLE M153 LO;Lo;0;R;;;;;N;;;;;
        "\u1E83D",  # ;MENDE KIKAKUI SYLLABLE M110 LONG LE;Lo;0;R;;;;;N;;;;;
        "\u1E83E",  # ;MENDE KIKAKUI SYLLABLE M016 DI;Lo;0;R;;;;;N;;;;;
        "\u1E83F",  # ;MENDE KIKAKUI SYLLABLE M017 DA;Lo;0;R;;;;;N;;;;;
        "\u1E840",  # ;MENDE KIKAKUI SYLLABLE M018 DU;Lo;0;R;;;;;N;;;;;
        "\u1E841",  # ;MENDE KIKAKUI SYLLABLE M089 DEE;Lo;0;R;;;;;N;;;;;
        "\u1E842",  # ;MENDE KIKAKUI SYLLABLE M180 DOO;Lo;0;R;;;;;N;;;;;
        "\u1E843",  # ;MENDE KIKAKUI SYLLABLE M181 DO;Lo;0;R;;;;;N;;;;;
        "\u1E844",  # ;MENDE KIKAKUI SYLLABLE M022 TI;Lo;0;R;;;;;N;;;;;
        "\u1E845",  # ;MENDE KIKAKUI SYLLABLE M023 TA;Lo;0;R;;;;;N;;;;;
        "\u1E846",  # ;MENDE KIKAKUI SYLLABLE M024 TU;Lo;0;R;;;;;N;;;;;
        "\u1E847",  # ;MENDE KIKAKUI SYLLABLE M091 TEE;Lo;0;R;;;;;N;;;;;
        "\u1E848",  # ;MENDE KIKAKUI SYLLABLE M055 TE;Lo;0;R;;;;;N;;;;;
        "\u1E849",  # ;MENDE KIKAKUI SYLLABLE M104 TOO;Lo;0;R;;;;;N;;;;;
        "\u1E84A",  # ;MENDE KIKAKUI SYLLABLE M069 TO;Lo;0;R;;;;;N;;;;;
        "\u1E84B",  # ;MENDE KIKAKUI SYLLABLE M028 JI;Lo;0;R;;;;;N;;;;;
        "\u1E84C",  # ;MENDE KIKAKUI SYLLABLE M029 JA;Lo;0;R;;;;;N;;;;;
        "\u1E84D",  # ;MENDE KIKAKUI SYLLABLE M030 JU;Lo;0;R;;;;;N;;;;;
        "\u1E84E",  # ;MENDE KIKAKUI SYLLABLE M157 JEE;Lo;0;R;;;;;N;;;;;
        "\u1E84F",  # ;MENDE KIKAKUI SYLLABLE M113 JE;Lo;0;R;;;;;N;;;;;
        "\u1E850",  # ;MENDE KIKAKUI SYLLABLE M160 JOO;Lo;0;R;;;;;N;;;;;
        "\u1E851",  # ;MENDE KIKAKUI SYLLABLE M063 JO;Lo;0;R;;;;;N;;;;;
        "\u1E852",  # ;MENDE KIKAKUI SYLLABLE M175 LONG JO;Lo;0;R;;;;;N;;;;;
        "\u1E853",  # ;MENDE KIKAKUI SYLLABLE M031 YI;Lo;0;R;;;;;N;;;;;
        "\u1E854",  # ;MENDE KIKAKUI SYLLABLE M032 YA;Lo;0;R;;;;;N;;;;;
        "\u1E855",  # ;MENDE KIKAKUI SYLLABLE M033 YU;Lo;0;R;;;;;N;;;;;
        "\u1E856",  # ;MENDE KIKAKUI SYLLABLE M109 YEE;Lo;0;R;;;;;N;;;;;
        "\u1E857",  # ;MENDE KIKAKUI SYLLABLE M080 YE;Lo;0;R;;;;;N;;;;;
        "\u1E858",  # ;MENDE KIKAKUI SYLLABLE M141 YOO;Lo;0;R;;;;;N;;;;;
        "\u1E859",  # ;MENDE KIKAKUI SYLLABLE M121 YO;Lo;0;R;;;;;N;;;;;
        "\u1E85A",  # ;MENDE KIKAKUI SYLLABLE M034 FI;Lo;0;R;;;;;N;;;;;
        "\u1E85B",  # ;MENDE KIKAKUI SYLLABLE M035 FA;Lo;0;R;;;;;N;;;;;
        "\u1E85C",  # ;MENDE KIKAKUI SYLLABLE M036 FU;Lo;0;R;;;;;N;;;;;
        "\u1E85D",  # ;MENDE KIKAKUI SYLLABLE M078 FEE;Lo;0;R;;;;;N;;;;;
        "\u1E85E",  # ;MENDE KIKAKUI SYLLABLE M075 FE;Lo;0;R;;;;;N;;;;;
        "\u1E85F",  # ;MENDE KIKAKUI SYLLABLE M133 FOO;Lo;0;R;;;;;N;;;;;
        "\u1E860",  # ;MENDE KIKAKUI SYLLABLE M088 FO;Lo;0;R;;;;;N;;;;;
        "\u1E861",  # ;MENDE KIKAKUI SYLLABLE M197 FUA;Lo;0;R;;;;;N;;;;;
        "\u1E862",  # ;MENDE KIKAKUI SYLLABLE M101 FAN;Lo;0;R;;;;;N;;;;;
        "\u1E863",  # ;MENDE KIKAKUI SYLLABLE M037 NIN;Lo;0;R;;;;;N;;;;;
        "\u1E864",  # ;MENDE KIKAKUI SYLLABLE M038 NAN;Lo;0;R;;;;;N;;;;;
        "\u1E865",  # ;MENDE KIKAKUI SYLLABLE M039 NUN;Lo;0;R;;;;;N;;;;;
        "\u1E866",  # ;MENDE KIKAKUI SYLLABLE M117 NEN;Lo;0;R;;;;;N;;;;;
        "\u1E867",  # ;MENDE KIKAKUI SYLLABLE M169 NON;Lo;0;R;;;;;N;;;;;
        "\u1E868",  # ;MENDE KIKAKUI SYLLABLE M176 HI;Lo;0;R;;;;;N;;;;;
        "\u1E869",  # ;MENDE KIKAKUI SYLLABLE M041 HA;Lo;0;R;;;;;N;;;;;
        "\u1E86A",  # ;MENDE KIKAKUI SYLLABLE M186 HU;Lo;0;R;;;;;N;;;;;
        "\u1E86B",  # ;MENDE KIKAKUI SYLLABLE M040 HEE;Lo;0;R;;;;;N;;;;;
        "\u1E86C",  # ;MENDE KIKAKUI SYLLABLE M096 HE;Lo;0;R;;;;;N;;;;;
        "\u1E86D",  # ;MENDE KIKAKUI SYLLABLE M042 HOO;Lo;0;R;;;;;N;;;;;
        "\u1E86E",  # ;MENDE KIKAKUI SYLLABLE M140 HO;Lo;0;R;;;;;N;;;;;
        "\u1E86F",  # ;MENDE KIKAKUI SYLLABLE M083 HEEI;Lo;0;R;;;;;N;;;;;
        "\u1E870",  # ;MENDE KIKAKUI SYLLABLE M128 HOOU;Lo;0;R;;;;;N;;;;;
        "\u1E871",  # ;MENDE KIKAKUI SYLLABLE M053 HIN;Lo;0;R;;;;;N;;;;;
        "\u1E872",  # ;MENDE KIKAKUI SYLLABLE M130 HAN;Lo;0;R;;;;;N;;;;;
        "\u1E873",  # ;MENDE KIKAKUI SYLLABLE M087 HUN;Lo;0;R;;;;;N;;;;;
        "\u1E874",  # ;MENDE KIKAKUI SYLLABLE M052 HEN;Lo;0;R;;;;;N;;;;;
        "\u1E875",  # ;MENDE KIKAKUI SYLLABLE M193 HON;Lo;0;R;;;;;N;;;;;
        "\u1E876",  # ;MENDE KIKAKUI SYLLABLE M046 HUAN;Lo;0;R;;;;;N;;;;;
        "\u1E877",  # ;MENDE KIKAKUI SYLLABLE M090 NGGI;Lo;0;R;;;;;N;;;;;
        "\u1E878",  # ;MENDE KIKAKUI SYLLABLE M043 NGGA;Lo;0;R;;;;;N;;;;;
        "\u1E879",  # ;MENDE KIKAKUI SYLLABLE M082 NGGU;Lo;0;R;;;;;N;;;;;
        "\u1E87A",  # ;MENDE KIKAKUI SYLLABLE M115 NGGEE;Lo;0;R;;;;;N;;;;;
        "\u1E87B",  # ;MENDE KIKAKUI SYLLABLE M146 NGGE;Lo;0;R;;;;;N;;;;;
        "\u1E87C",  # ;MENDE KIKAKUI SYLLABLE M156 NGGOO;Lo;0;R;;;;;N;;;;;
        "\u1E87D",  # ;MENDE KIKAKUI SYLLABLE M120 NGGO;Lo;0;R;;;;;N;;;;;
        "\u1E87E",  # ;MENDE KIKAKUI SYLLABLE M159 NGGAA;Lo;0;R;;;;;N;;;;;
        "\u1E87F",  # ;MENDE KIKAKUI SYLLABLE M127 NGGUA;Lo;0;R;;;;;N;;;;;
        "\u1E880",  # ;MENDE KIKAKUI SYLLABLE M086 LONG NGGE;Lo;0;R;;;;;N;;;;;
        "\u1E881",  # ;MENDE KIKAKUI SYLLABLE M106 LONG NGGOO;Lo;0;R;;;;;N;;;;;
        "\u1E882",  # ;MENDE KIKAKUI SYLLABLE M183 LONG NGGO;Lo;0;R;;;;;N;;;;;
        "\u1E883",  # ;MENDE KIKAKUI SYLLABLE M155 GI;Lo;0;R;;;;;N;;;;;
        "\u1E884",  # ;MENDE KIKAKUI SYLLABLE M111 GA;Lo;0;R;;;;;N;;;;;
        "\u1E885",  # ;MENDE KIKAKUI SYLLABLE M168 GU;Lo;0;R;;;;;N;;;;;
        "\u1E886",  # ;MENDE KIKAKUI SYLLABLE M190 GEE;Lo;0;R;;;;;N;;;;;
        "\u1E887",  # ;MENDE KIKAKUI SYLLABLE M166 GUEI;Lo;0;R;;;;;N;;;;;
        "\u1E888",  # ;MENDE KIKAKUI SYLLABLE M167 GUAN;Lo;0;R;;;;;N;;;;;
        "\u1E889",  # ;MENDE KIKAKUI SYLLABLE M184 NGEN;Lo;0;R;;;;;N;;;;;
        "\u1E88A",  # ;MENDE KIKAKUI SYLLABLE M057 NGON;Lo;0;R;;;;;N;;;;;
        "\u1E88B",  # ;MENDE KIKAKUI SYLLABLE M177 NGUAN;Lo;0;R;;;;;N;;;;;
        "\u1E88C",  # ;MENDE KIKAKUI SYLLABLE M068 PI;Lo;0;R;;;;;N;;;;;
        "\u1E88D",  # ;MENDE KIKAKUI SYLLABLE M099 PA;Lo;0;R;;;;;N;;;;;
        "\u1E88E",  # ;MENDE KIKAKUI SYLLABLE M050 PU;Lo;0;R;;;;;N;;;;;
        "\u1E88F",  # ;MENDE KIKAKUI SYLLABLE M081 PEE;Lo;0;R;;;;;N;;;;;
        "\u1E890",  # ;MENDE KIKAKUI SYLLABLE M051 PE;Lo;0;R;;;;;N;;;;;
        "\u1E891",  # ;MENDE KIKAKUI SYLLABLE M102 POO;Lo;0;R;;;;;N;;;;;
        "\u1E892",  # ;MENDE KIKAKUI SYLLABLE M066 PO;Lo;0;R;;;;;N;;;;;
        "\u1E893",  # ;MENDE KIKAKUI SYLLABLE M145 MBI;Lo;0;R;;;;;N;;;;;
        "\u1E894",  # ;MENDE KIKAKUI SYLLABLE M062 MBA;Lo;0;R;;;;;N;;;;;
        "\u1E895",  # ;MENDE KIKAKUI SYLLABLE M122 MBU;Lo;0;R;;;;;N;;;;;
        "\u1E896",  # ;MENDE KIKAKUI SYLLABLE M047 MBEE;Lo;0;R;;;;;N;;;;;
        "\u1E897",  # ;MENDE KIKAKUI SYLLABLE M188 MBEE;Lo;0;R;;;;;N;;;;;
        "\u1E898",  # ;MENDE KIKAKUI SYLLABLE M072 MBE;Lo;0;R;;;;;N;;;;;
        "\u1E899",  # ;MENDE KIKAKUI SYLLABLE M172 MBOO;Lo;0;R;;;;;N;;;;;
        "\u1E89A",  # ;MENDE KIKAKUI SYLLABLE M174 MBO;Lo;0;R;;;;;N;;;;;
        "\u1E89B",  # ;MENDE KIKAKUI SYLLABLE M187 MBUU;Lo;0;R;;;;;N;;;;;
        "\u1E89C",  # ;MENDE KIKAKUI SYLLABLE M161 LONG MBE;Lo;0;R;;;;;N;;;;;
        "\u1E89D",  # ;MENDE KIKAKUI SYLLABLE M105 LONG MBOO;Lo;0;R;;;;;N;;;;;
        "\u1E89E",  # ;MENDE KIKAKUI SYLLABLE M142 LONG MBO;Lo;0;R;;;;;N;;;;;
        "\u1E89F",  # ;MENDE KIKAKUI SYLLABLE M132 KPI;Lo;0;R;;;;;N;;;;;
        "\u1E8A0",  # ;MENDE KIKAKUI SYLLABLE M092 KPA;Lo;0;R;;;;;N;;;;;
        "\u1E8A1",  # ;MENDE KIKAKUI SYLLABLE M074 KPU;Lo;0;R;;;;;N;;;;;
        "\u1E8A2",  # ;MENDE KIKAKUI SYLLABLE M044 KPEE;Lo;0;R;;;;;N;;;;;
        "\u1E8A3",  # ;MENDE KIKAKUI SYLLABLE M108 KPE;Lo;0;R;;;;;N;;;;;
        "\u1E8A4",  # ;MENDE KIKAKUI SYLLABLE M112 KPOO;Lo;0;R;;;;;N;;;;;
        "\u1E8A5",  # ;MENDE KIKAKUI SYLLABLE M158 KPO;Lo;0;R;;;;;N;;;;;
        "\u1E8A6",  # ;MENDE KIKAKUI SYLLABLE M124 GBI;Lo;0;R;;;;;N;;;;;
        "\u1E8A7",  # ;MENDE KIKAKUI SYLLABLE M056 GBA;Lo;0;R;;;;;N;;;;;
        "\u1E8A8",  # ;MENDE KIKAKUI SYLLABLE M148 GBU;Lo;0;R;;;;;N;;;;;
        "\u1E8A9",  # ;MENDE KIKAKUI SYLLABLE M093 GBEE;Lo;0;R;;;;;N;;;;;
        "\u1E8AA",  # ;MENDE KIKAKUI SYLLABLE M107 GBE;Lo;0;R;;;;;N;;;;;
        "\u1E8AB",  # ;MENDE KIKAKUI SYLLABLE M071 GBOO;Lo;0;R;;;;;N;;;;;
        "\u1E8AC",  # ;MENDE KIKAKUI SYLLABLE M070 GBO;Lo;0;R;;;;;N;;;;;
        "\u1E8AD",  # ;MENDE KIKAKUI SYLLABLE M171 RA;Lo;0;R;;;;;N;;;;;
        "\u1E8AE",  # ;MENDE KIKAKUI SYLLABLE M123 NDI;Lo;0;R;;;;;N;;;;;
        "\u1E8AF",  # ;MENDE KIKAKUI SYLLABLE M129 NDA;Lo;0;R;;;;;N;;;;;
        "\u1E8B0",  # ;MENDE KIKAKUI SYLLABLE M125 NDU;Lo;0;R;;;;;N;;;;;
        "\u1E8B1",  # ;MENDE KIKAKUI SYLLABLE M191 NDEE;Lo;0;R;;;;;N;;;;;
        "\u1E8B2",  # ;MENDE KIKAKUI SYLLABLE M119 NDE;Lo;0;R;;;;;N;;;;;
        "\u1E8B3",  # ;MENDE KIKAKUI SYLLABLE M067 NDOO;Lo;0;R;;;;;N;;;;;
        "\u1E8B4",  # ;MENDE KIKAKUI SYLLABLE M064 NDO;Lo;0;R;;;;;N;;;;;
        "\u1E8B5",  # ;MENDE KIKAKUI SYLLABLE M152 NJA;Lo;0;R;;;;;N;;;;;
        "\u1E8B6",  # ;MENDE KIKAKUI SYLLABLE M192 NJU;Lo;0;R;;;;;N;;;;;
        "\u1E8B7",  # ;MENDE KIKAKUI SYLLABLE M149 NJEE;Lo;0;R;;;;;N;;;;;
        "\u1E8B8",  # ;MENDE KIKAKUI SYLLABLE M134 NJOO;Lo;0;R;;;;;N;;;;;
        "\u1E8B9",  # ;MENDE KIKAKUI SYLLABLE M182 VI;Lo;0;R;;;;;N;;;;;
        "\u1E8BA",  # ;MENDE KIKAKUI SYLLABLE M185 VA;Lo;0;R;;;;;N;;;;;
        "\u1E8BB",  # ;MENDE KIKAKUI SYLLABLE M151 VU;Lo;0;R;;;;;N;;;;;
        "\u1E8BC",  # ;MENDE KIKAKUI SYLLABLE M173 VEE;Lo;0;R;;;;;N;;;;;
        "\u1E8BD",  # ;MENDE KIKAKUI SYLLABLE M085 VE;Lo;0;R;;;;;N;;;;;
        "\u1E8BE",  # ;MENDE KIKAKUI SYLLABLE M144 VOO;Lo;0;R;;;;;N;;;;;
        "\u1E8BF",  # ;MENDE KIKAKUI SYLLABLE M077 VO;Lo;0;R;;;;;N;;;;;
        "\u1E8C0",  # ;MENDE KIKAKUI SYLLABLE M164 NYIN;Lo;0;R;;;;;N;;;;;
        "\u1E8C1",  # ;MENDE KIKAKUI SYLLABLE M058 NYAN;Lo;0;R;;;;;N;;;;;
        "\u1E8C2",  # ;MENDE KIKAKUI SYLLABLE M170 NYUN;Lo;0;R;;;;;N;;;;;
        "\u1E8C3",  # ;MENDE KIKAKUI SYLLABLE M098 NYEN;Lo;0;R;;;;;N;;;;;
        "\u1E8C4",  # ;MENDE KIKAKUI SYLLABLE M060 NYON;Lo;0;R;;;;;N;;;;;
        "\u1E8C7",  # ;MENDE KIKAKUI DIGIT ONE;No;0;R;;;;1;N;;;;;
        "\u1E8C8",  # ;MENDE KIKAKUI DIGIT TWO;No;0;R;;;;2;N;;;;;
        "\u1E8C9",  # ;MENDE KIKAKUI DIGIT THREE;No;0;R;;;;3;N;;;;;
        "\u1E8CA",  # ;MENDE KIKAKUI DIGIT FOUR;No;0;R;;;;4;N;;;;;
        "\u1E8CB",  # ;MENDE KIKAKUI DIGIT FIVE;No;0;R;;;;5;N;;;;;
        "\u1E8CC",  # ;MENDE KIKAKUI DIGIT SIX;No;0;R;;;;6;N;;;;;
        "\u1E8CD",  # ;MENDE KIKAKUI DIGIT SEVEN;No;0;R;;;;7;N;;;;;
        "\u1E8CE",  # ;MENDE KIKAKUI DIGIT EIGHT;No;0;R;;;;8;N;;;;;
        "\u1E8CF",  # ;MENDE KIKAKUI DIGIT NINE;No;0;R;;;;9;N;;;;;
        "\u1E8D0",  # ;MENDE KIKAKUI COMBINING NUMBER TEENS;Mn;220;NSM;;;;;N;;;;;
        "\u1E8D1",  # ;MENDE KIKAKUI COMBINING NUMBER TENS;Mn;220;NSM;;;;;N;;;;;
        "\u1E8D2",  # ;MENDE KIKAKUI COMBINING NUMBER HUNDREDS;Mn;220;NSM;;;;;N;;;;;
        "\u1E8D3",  # ;MENDE KIKAKUI COMBINING NUMBER THOUSANDS;Mn;220;NSM;;;;;N;;;;;
        "\u1E8D4",  # ;MENDE KIKAKUI COMBINING NUMBER TEN THOUSANDS;Mn;220;NSM;;;;;N;;;;;
        "\u1E8D5",  # ;MENDE KIKAKUI COMBINING NUMBER HUNDRED THOUSANDS;Mn;220;NSM;;;;;N;;;;;
        "\u1E8D6",  # ;MENDE KIKAKUI COMBINING NUMBER MILLIONS;Mn;220;NSM;;;;;N;;;;;
        "\u1E900",  # ;ADLAM CAPITAL LETTER ALIF;Lu;0;R;;;;;N;;;;1E922;
        "\u1E901",  # ;ADLAM CAPITAL LETTER DAALI;Lu;0;R;;;;;N;;;;1E923;
        "\u1E902",  # ;ADLAM CAPITAL LETTER LAAM;Lu;0;R;;;;;N;;;;1E924;
        "\u1E903",  # ;ADLAM CAPITAL LETTER MIIM;Lu;0;R;;;;;N;;;;1E925;
        "\u1E904",  # ;ADLAM CAPITAL LETTER BA;Lu;0;R;;;;;N;;;;1E926;
        "\u1E905",  # ;ADLAM CAPITAL LETTER SINNYIIYHE;Lu;0;R;;;;;N;;;;1E927;
        "\u1E906",  # ;ADLAM CAPITAL LETTER PE;Lu;0;R;;;;;N;;;;1E928;
        "\u1E907",  # ;ADLAM CAPITAL LETTER BHE;Lu;0;R;;;;;N;;;;1E929;
        "\u1E908",  # ;ADLAM CAPITAL LETTER RA;Lu;0;R;;;;;N;;;;1E92A;
        "\u1E909",  # ;ADLAM CAPITAL LETTER E;Lu;0;R;;;;;N;;;;1E92B;
        "\u1E90A",  # ;ADLAM CAPITAL LETTER FA;Lu;0;R;;;;;N;;;;1E92C;
        "\u1E90B",  # ;ADLAM CAPITAL LETTER I;Lu;0;R;;;;;N;;;;1E92D;
        "\u1E90C",  # ;ADLAM CAPITAL LETTER O;Lu;0;R;;;;;N;;;;1E92E;
        "\u1E90D",  # ;ADLAM CAPITAL LETTER DHA;Lu;0;R;;;;;N;;;;1E92F;
        "\u1E90E",  # ;ADLAM CAPITAL LETTER YHE;Lu;0;R;;;;;N;;;;1E930;
        "\u1E90F",  # ;ADLAM CAPITAL LETTER WAW;Lu;0;R;;;;;N;;;;1E931;
        "\u1E910",  # ;ADLAM CAPITAL LETTER NUN;Lu;0;R;;;;;N;;;;1E932;
        "\u1E911",  # ;ADLAM CAPITAL LETTER KAF;Lu;0;R;;;;;N;;;;1E933;
        "\u1E912",  # ;ADLAM CAPITAL LETTER YA;Lu;0;R;;;;;N;;;;1E934;
        "\u1E913",  # ;ADLAM CAPITAL LETTER U;Lu;0;R;;;;;N;;;;1E935;
        "\u1E914",  # ;ADLAM CAPITAL LETTER JIIM;Lu;0;R;;;;;N;;;;1E936;
        "\u1E915",  # ;ADLAM CAPITAL LETTER CHI;Lu;0;R;;;;;N;;;;1E937;
        "\u1E916",  # ;ADLAM CAPITAL LETTER HA;Lu;0;R;;;;;N;;;;1E938;
        "\u1E917",  # ;ADLAM CAPITAL LETTER QAAF;Lu;0;R;;;;;N;;;;1E939;
        "\u1E918",  # ;ADLAM CAPITAL LETTER GA;Lu;0;R;;;;;N;;;;1E93A;
        "\u1E919",  # ;ADLAM CAPITAL LETTER NYA;Lu;0;R;;;;;N;;;;1E93B;
        "\u1E91A",  # ;ADLAM CAPITAL LETTER TU;Lu;0;R;;;;;N;;;;1E93C;
        "\u1E91B",  # ;ADLAM CAPITAL LETTER NHA;Lu;0;R;;;;;N;;;;1E93D;
        "\u1E91C",  # ;ADLAM CAPITAL LETTER VA;Lu;0;R;;;;;N;;;;1E93E;
        "\u1E91D",  # ;ADLAM CAPITAL LETTER KHA;Lu;0;R;;;;;N;;;;1E93F;
        "\u1E91E",  # ;ADLAM CAPITAL LETTER GBE;Lu;0;R;;;;;N;;;;1E940;
        "\u1E91F",  # ;ADLAM CAPITAL LETTER ZAL;Lu;0;R;;;;;N;;;;1E941;
        "\u1E920",  # ;ADLAM CAPITAL LETTER KPO;Lu;0;R;;;;;N;;;;1E942;
        "\u1E921",  # ;ADLAM CAPITAL LETTER SHA;Lu;0;R;;;;;N;;;;1E943;
        "\u1E922",  # ;ADLAM SMALL LETTER ALIF;Ll;0;R;;;;;N;;;1E900;;1E900
        "\u1E923",  # ;ADLAM SMALL LETTER DAALI;Ll;0;R;;;;;N;;;1E901;;1E901
        "\u1E924",  # ;ADLAM SMALL LETTER LAAM;Ll;0;R;;;;;N;;;1E902;;1E902
        "\u1E925",  # ;ADLAM SMALL LETTER MIIM;Ll;0;R;;;;;N;;;1E903;;1E903
        "\u1E926",  # ;ADLAM SMALL LETTER BA;Ll;0;R;;;;;N;;;1E904;;1E904
        "\u1E927",  # ;ADLAM SMALL LETTER SINNYIIYHE;Ll;0;R;;;;;N;;;1E905;;1E905
        "\u1E928",  # ;ADLAM SMALL LETTER PE;Ll;0;R;;;;;N;;;1E906;;1E906
        "\u1E929",  # ;ADLAM SMALL LETTER BHE;Ll;0;R;;;;;N;;;1E907;;1E907
        "\u1E92A",  # ;ADLAM SMALL LETTER RA;Ll;0;R;;;;;N;;;1E908;;1E908
        "\u1E92B",  # ;ADLAM SMALL LETTER E;Ll;0;R;;;;;N;;;1E909;;1E909
        "\u1E92C",  # ;ADLAM SMALL LETTER FA;Ll;0;R;;;;;N;;;1E90A;;1E90A
        "\u1E92D",  # ;ADLAM SMALL LETTER I;Ll;0;R;;;;;N;;;1E90B;;1E90B
        "\u1E92E",  # ;ADLAM SMALL LETTER O;Ll;0;R;;;;;N;;;1E90C;;1E90C
        "\u1E92F",  # ;ADLAM SMALL LETTER DHA;Ll;0;R;;;;;N;;;1E90D;;1E90D
        "\u1E930",  # ;ADLAM SMALL LETTER YHE;Ll;0;R;;;;;N;;;1E90E;;1E90E
        "\u1E931",  # ;ADLAM SMALL LETTER WAW;Ll;0;R;;;;;N;;;1E90F;;1E90F
        "\u1E932",  # ;ADLAM SMALL LETTER NUN;Ll;0;R;;;;;N;;;1E910;;1E910
        "\u1E933",  # ;ADLAM SMALL LETTER KAF;Ll;0;R;;;;;N;;;1E911;;1E911
        "\u1E934",  # ;ADLAM SMALL LETTER YA;Ll;0;R;;;;;N;;;1E912;;1E912
        "\u1E935",  # ;ADLAM SMALL LETTER U;Ll;0;R;;;;;N;;;1E913;;1E913
        "\u1E936",  # ;ADLAM SMALL LETTER JIIM;Ll;0;R;;;;;N;;;1E914;;1E914
        "\u1E937",  # ;ADLAM SMALL LETTER CHI;Ll;0;R;;;;;N;;;1E915;;1E915
        "\u1E938",  # ;ADLAM SMALL LETTER HA;Ll;0;R;;;;;N;;;1E916;;1E916
        "\u1E939",  # ;ADLAM SMALL LETTER QAAF;Ll;0;R;;;;;N;;;1E917;;1E917
        "\u1E93A",  # ;ADLAM SMALL LETTER GA;Ll;0;R;;;;;N;;;1E918;;1E918
        "\u1E93B",  # ;ADLAM SMALL LETTER NYA;Ll;0;R;;;;;N;;;1E919;;1E919
        "\u1E93C",  # ;ADLAM SMALL LETTER TU;Ll;0;R;;;;;N;;;1E91A;;1E91A
        "\u1E93D",  # ;ADLAM SMALL LETTER NHA;Ll;0;R;;;;;N;;;1E91B;;1E91B
        "\u1E93E",  # ;ADLAM SMALL LETTER VA;Ll;0;R;;;;;N;;;1E91C;;1E91C
        "\u1E93F",  # ;ADLAM SMALL LETTER KHA;Ll;0;R;;;;;N;;;1E91D;;1E91D
        "\u1E940",  # ;ADLAM SMALL LETTER GBE;Ll;0;R;;;;;N;;;1E91E;;1E91E
        "\u1E941",  # ;ADLAM SMALL LETTER ZAL;Ll;0;R;;;;;N;;;1E91F;;1E91F
        "\u1E942",  # ;ADLAM SMALL LETTER KPO;Ll;0;R;;;;;N;;;1E920;;1E920
        "\u1E943",  # ;ADLAM SMALL LETTER SHA;Ll;0;R;;;;;N;;;1E921;;1E921
        "\u1E944",  # ;ADLAM ALIF LENGTHENER;Mn;230;NSM;;;;;N;;;;;
        "\u1E945",  # ;ADLAM VOWEL LENGTHENER;Mn;230;NSM;;;;;N;;;;;
        "\u1E946",  # ;ADLAM GEMINATION MARK;Mn;230;NSM;;;;;N;;;;;
        "\u1E947",  # ;ADLAM HAMZA;Mn;230;NSM;;;;;N;;;;;
        "\u1E948",  # ;ADLAM CONSONANT MODIFIER;Mn;230;NSM;;;;;N;;;;;
        "\u1E949",  # ;ADLAM GEMINATE CONSONANT MODIFIER;Mn;230;NSM;;;;;N;;;;;
        "\u1E94A",  # ;ADLAM NUKTA;Mn;7;NSM;;;;;N;;;;;
        "\u1E950",  # ;ADLAM DIGIT ZERO;Nd;0;R;;0;0;0;N;;;;;
        "\u1E951",  # ;ADLAM DIGIT ONE;Nd;0;R;;1;1;1;N;;;;;
        "\u1E952",  # ;ADLAM DIGIT TWO;Nd;0;R;;2;2;2;N;;;;;
        "\u1E953",  # ;ADLAM DIGIT THREE;Nd;0;R;;3;3;3;N;;;;;
        "\u1E954",  # ;ADLAM DIGIT FOUR;Nd;0;R;;4;4;4;N;;;;;
        "\u1E955",  # ;ADLAM DIGIT FIVE;Nd;0;R;;5;5;5;N;;;;;
        "\u1E956",  # ;ADLAM DIGIT SIX;Nd;0;R;;6;6;6;N;;;;;
        "\u1E957",  # ;ADLAM DIGIT SEVEN;Nd;0;R;;7;7;7;N;;;;;
        "\u1E958",  # ;ADLAM DIGIT EIGHT;Nd;0;R;;8;8;8;N;;;;;
        "\u1E959",  # ;ADLAM DIGIT NINE;Nd;0;R;;9;9;9;N;;;;;
        "\u1E95E",  # ;ADLAM INITIAL EXCLAMATION MARK;Po;0;R;;;;;N;;;;;
        "\u1E95F",  # ;ADLAM INITIAL QUESTION MARK;Po;0;R;;;;;N;;;;;
        "\u1EE00",  # ;ARABIC MATHEMATICAL ALEF;Lo;0;AL;<font> 0627;;;;N;;;;;
        "\u1EE01",  # ;ARABIC MATHEMATICAL BEH;Lo;0;AL;<font> 0628;;;;N;;;;;
        "\u1EE02",  # ;ARABIC MATHEMATICAL JEEM;Lo;0;AL;<font> 062C;;;;N;;;;;
        "\u1EE03",  # ;ARABIC MATHEMATICAL DAL;Lo;0;AL;<font> 062F;;;;N;;;;;
        "\u1EE05",  # ;ARABIC MATHEMATICAL WAW;Lo;0;AL;<font> 0648;;;;N;;;;;
        "\u1EE06",  # ;ARABIC MATHEMATICAL ZAIN;Lo;0;AL;<font> 0632;;;;N;;;;;
        "\u1EE07",  # ;ARABIC MATHEMATICAL HAH;Lo;0;AL;<font> 062D;;;;N;;;;;
        "\u1EE08",  # ;ARABIC MATHEMATICAL TAH;Lo;0;AL;<font> 0637;;;;N;;;;;
        "\u1EE09",  # ;ARABIC MATHEMATICAL YEH;Lo;0;AL;<font> 064A;;;;N;;;;;
        "\u1EE0A",  # ;ARABIC MATHEMATICAL KAF;Lo;0;AL;<font> 0643;;;;N;;;;;
        "\u1EE0B",  # ;ARABIC MATHEMATICAL LAM;Lo;0;AL;<font> 0644;;;;N;;;;;
        "\u1EE0C",  # ;ARABIC MATHEMATICAL MEEM;Lo;0;AL;<font> 0645;;;;N;;;;;
        "\u1EE0D",  # ;ARABIC MATHEMATICAL NOON;Lo;0;AL;<font> 0646;;;;N;;;;;
        "\u1EE0E",  # ;ARABIC MATHEMATICAL SEEN;Lo;0;AL;<font> 0633;;;;N;;;;;
        "\u1EE0F",  # ;ARABIC MATHEMATICAL AIN;Lo;0;AL;<font> 0639;;;;N;;;;;
        "\u1EE10",  # ;ARABIC MATHEMATICAL FEH;Lo;0;AL;<font> 0641;;;;N;;;;;
        "\u1EE11",  # ;ARABIC MATHEMATICAL SAD;Lo;0;AL;<font> 0635;;;;N;;;;;
        "\u1EE12",  # ;ARABIC MATHEMATICAL QAF;Lo;0;AL;<font> 0642;;;;N;;;;;
        "\u1EE13",  # ;ARABIC MATHEMATICAL REH;Lo;0;AL;<font> 0631;;;;N;;;;;
        "\u1EE14",  # ;ARABIC MATHEMATICAL SHEEN;Lo;0;AL;<font> 0634;;;;N;;;;;
        "\u1EE15",  # ;ARABIC MATHEMATICAL TEH;Lo;0;AL;<font> 062A;;;;N;;;;;
        "\u1EE16",  # ;ARABIC MATHEMATICAL THEH;Lo;0;AL;<font> 062B;;;;N;;;;;
        "\u1EE17",  # ;ARABIC MATHEMATICAL KHAH;Lo;0;AL;<font> 062E;;;;N;;;;;
        "\u1EE18",  # ;ARABIC MATHEMATICAL THAL;Lo;0;AL;<font> 0630;;;;N;;;;;
        "\u1EE19",  # ;ARABIC MATHEMATICAL DAD;Lo;0;AL;<font> 0636;;;;N;;;;;
        "\u1EE1A",  # ;ARABIC MATHEMATICAL ZAH;Lo;0;AL;<font> 0638;;;;N;;;;;
        "\u1EE1B",  # ;ARABIC MATHEMATICAL GHAIN;Lo;0;AL;<font> 063A;;;;N;;;;;
        "\u1EE1C",  # ;ARABIC MATHEMATICAL DOTLESS BEH;Lo;0;AL;<font> 066E;;;;N;;;;;
        "\u1EE1D",  # ;ARABIC MATHEMATICAL DOTLESS NOON;Lo;0;AL;<font> 06BA;;;;N;;;;;
        "\u1EE1E",  # ;ARABIC MATHEMATICAL DOTLESS FEH;Lo;0;AL;<font> 06A1;;;;N;;;;;
        "\u1EE1F",  # ;ARABIC MATHEMATICAL DOTLESS QAF;Lo;0;AL;<font> 066F;;;;N;;;;;
        "\u1EE21",  # ;ARABIC MATHEMATICAL INITIAL BEH;Lo;0;AL;<font> 0628;;;;N;;;;;
        "\u1EE22",  # ;ARABIC MATHEMATICAL INITIAL JEEM;Lo;0;AL;<font> 062C;;;;N;;;;;
        "\u1EE24",  # ;ARABIC MATHEMATICAL INITIAL HEH;Lo;0;AL;<font> 0647;;;;N;;;;;
        "\u1EE27",  # ;ARABIC MATHEMATICAL INITIAL HAH;Lo;0;AL;<font> 062D;;;;N;;;;;
        "\u1EE29",  # ;ARABIC MATHEMATICAL INITIAL YEH;Lo;0;AL;<font> 064A;;;;N;;;;;
        "\u1EE2A",  # ;ARABIC MATHEMATICAL INITIAL KAF;Lo;0;AL;<font> 0643;;;;N;;;;;
        "\u1EE2B",  # ;ARABIC MATHEMATICAL INITIAL LAM;Lo;0;AL;<font> 0644;;;;N;;;;;
        "\u1EE2C",  # ;ARABIC MATHEMATICAL INITIAL MEEM;Lo;0;AL;<font> 0645;;;;N;;;;;
        "\u1EE2D",  # ;ARABIC MATHEMATICAL INITIAL NOON;Lo;0;AL;<font> 0646;;;;N;;;;;
        "\u1EE2E",  # ;ARABIC MATHEMATICAL INITIAL SEEN;Lo;0;AL;<font> 0633;;;;N;;;;;
        "\u1EE2F",  # ;ARABIC MATHEMATICAL INITIAL AIN;Lo;0;AL;<font> 0639;;;;N;;;;;
        "\u1EE30",  # ;ARABIC MATHEMATICAL INITIAL FEH;Lo;0;AL;<font> 0641;;;;N;;;;;
        "\u1EE31",  # ;ARABIC MATHEMATICAL INITIAL SAD;Lo;0;AL;<font> 0635;;;;N;;;;;
        "\u1EE32",  # ;ARABIC MATHEMATICAL INITIAL QAF;Lo;0;AL;<font> 0642;;;;N;;;;;
        "\u1EE34",  # ;ARABIC MATHEMATICAL INITIAL SHEEN;Lo;0;AL;<font> 0634;;;;N;;;;;
        "\u1EE35",  # ;ARABIC MATHEMATICAL INITIAL TEH;Lo;0;AL;<font> 062A;;;;N;;;;;
        "\u1EE36",  # ;ARABIC MATHEMATICAL INITIAL THEH;Lo;0;AL;<font> 062B;;;;N;;;;;
        "\u1EE37",  # ;ARABIC MATHEMATICAL INITIAL KHAH;Lo;0;AL;<font> 062E;;;;N;;;;;
        "\u1EE39",  # ;ARABIC MATHEMATICAL INITIAL DAD;Lo;0;AL;<font> 0636;;;;N;;;;;
        "\u1EE3B",  # ;ARABIC MATHEMATICAL INITIAL GHAIN;Lo;0;AL;<font> 063A;;;;N;;;;;
        "\u1EE42",  # ;ARABIC MATHEMATICAL TAILED JEEM;Lo;0;AL;<font> 062C;;;;N;;;;;
        "\u1EE47",  # ;ARABIC MATHEMATICAL TAILED HAH;Lo;0;AL;<font> 062D;;;;N;;;;;
        "\u1EE49",  # ;ARABIC MATHEMATICAL TAILED YEH;Lo;0;AL;<font> 064A;;;;N;;;;;
        "\u1EE4B",  # ;ARABIC MATHEMATICAL TAILED LAM;Lo;0;AL;<font> 0644;;;;N;;;;;
        "\u1EE4D",  # ;ARABIC MATHEMATICAL TAILED NOON;Lo;0;AL;<font> 0646;;;;N;;;;;
        "\u1EE4E",  # ;ARABIC MATHEMATICAL TAILED SEEN;Lo;0;AL;<font> 0633;;;;N;;;;;
        "\u1EE4F",  # ;ARABIC MATHEMATICAL TAILED AIN;Lo;0;AL;<font> 0639;;;;N;;;;;
        "\u1EE51",  # ;ARABIC MATHEMATICAL TAILED SAD;Lo;0;AL;<font> 0635;;;;N;;;;;
        "\u1EE52",  # ;ARABIC MATHEMATICAL TAILED QAF;Lo;0;AL;<font> 0642;;;;N;;;;;
        "\u1EE54",  # ;ARABIC MATHEMATICAL TAILED SHEEN;Lo;0;AL;<font> 0634;;;;N;;;;;
        "\u1EE57",  # ;ARABIC MATHEMATICAL TAILED KHAH;Lo;0;AL;<font> 062E;;;;N;;;;;
        "\u1EE59",  # ;ARABIC MATHEMATICAL TAILED DAD;Lo;0;AL;<font> 0636;;;;N;;;;;
        "\u1EE5B",  # ;ARABIC MATHEMATICAL TAILED GHAIN;Lo;0;AL;<font> 063A;;;;N;;;;;
        "\u1EE5D",  # ;ARABIC MATHEMATICAL TAILED DOTLESS NOON;Lo;0;AL;<font> 06BA;;;;N;;;;;
        "\u1EE5F",  # ;ARABIC MATHEMATICAL TAILED DOTLESS QAF;Lo;0;AL;<font> 066F;;;;N;;;;;
        "\u1EE61",  # ;ARABIC MATHEMATICAL STRETCHED BEH;Lo;0;AL;<font> 0628;;;;N;;;;;
        "\u1EE62",  # ;ARABIC MATHEMATICAL STRETCHED JEEM;Lo;0;AL;<font> 062C;;;;N;;;;;
        "\u1EE64",  # ;ARABIC MATHEMATICAL STRETCHED HEH;Lo;0;AL;<font> 0647;;;;N;;;;;
        "\u1EE67",  # ;ARABIC MATHEMATICAL STRETCHED HAH;Lo;0;AL;<font> 062D;;;;N;;;;;
        "\u1EE68",  # ;ARABIC MATHEMATICAL STRETCHED TAH;Lo;0;AL;<font> 0637;;;;N;;;;;
        "\u1EE69",  # ;ARABIC MATHEMATICAL STRETCHED YEH;Lo;0;AL;<font> 064A;;;;N;;;;;
        "\u1EE6A",  # ;ARABIC MATHEMATICAL STRETCHED KAF;Lo;0;AL;<font> 0643;;;;N;;;;;
        "\u1EE6C",  # ;ARABIC MATHEMATICAL STRETCHED MEEM;Lo;0;AL;<font> 0645;;;;N;;;;;
        "\u1EE6D",  # ;ARABIC MATHEMATICAL STRETCHED NOON;Lo;0;AL;<font> 0646;;;;N;;;;;
        "\u1EE6E",  # ;ARABIC MATHEMATICAL STRETCHED SEEN;Lo;0;AL;<font> 0633;;;;N;;;;;
        "\u1EE6F",  # ;ARABIC MATHEMATICAL STRETCHED AIN;Lo;0;AL;<font> 0639;;;;N;;;;;
        "\u1EE70",  # ;ARABIC MATHEMATICAL STRETCHED FEH;Lo;0;AL;<font> 0641;;;;N;;;;;
        "\u1EE71",  # ;ARABIC MATHEMATICAL STRETCHED SAD;Lo;0;AL;<font> 0635;;;;N;;;;;
        "\u1EE72",  # ;ARABIC MATHEMATICAL STRETCHED QAF;Lo;0;AL;<font> 0642;;;;N;;;;;
        "\u1EE74",  # ;ARABIC MATHEMATICAL STRETCHED SHEEN;Lo;0;AL;<font> 0634;;;;N;;;;;
        "\u1EE75",  # ;ARABIC MATHEMATICAL STRETCHED TEH;Lo;0;AL;<font> 062A;;;;N;;;;;
        "\u1EE76",  # ;ARABIC MATHEMATICAL STRETCHED THEH;Lo;0;AL;<font> 062B;;;;N;;;;;
        "\u1EE77",  # ;ARABIC MATHEMATICAL STRETCHED KHAH;Lo;0;AL;<font> 062E;;;;N;;;;;
        "\u1EE79",  # ;ARABIC MATHEMATICAL STRETCHED DAD;Lo;0;AL;<font> 0636;;;;N;;;;;
        "\u1EE7A",  # ;ARABIC MATHEMATICAL STRETCHED ZAH;Lo;0;AL;<font> 0638;;;;N;;;;;
        "\u1EE7B",  # ;ARABIC MATHEMATICAL STRETCHED GHAIN;Lo;0;AL;<font> 063A;;;;N;;;;;
        "\u1EE7C",  # ;ARABIC MATHEMATICAL STRETCHED DOTLESS BEH;Lo;0;AL;<font> 066E;;;;N;;;;;
        "\u1EE7E",  # ;ARABIC MATHEMATICAL STRETCHED DOTLESS FEH;Lo;0;AL;<font> 06A1;;;;N;;;;;
        "\u1EE80",  # ;ARABIC MATHEMATICAL LOOPED ALEF;Lo;0;AL;<font> 0627;;;;N;;;;;
        "\u1EE81",  # ;ARABIC MATHEMATICAL LOOPED BEH;Lo;0;AL;<font> 0628;;;;N;;;;;
        "\u1EE82",  # ;ARABIC MATHEMATICAL LOOPED JEEM;Lo;0;AL;<font> 062C;;;;N;;;;;
        "\u1EE83",  # ;ARABIC MATHEMATICAL LOOPED DAL;Lo;0;AL;<font> 062F;;;;N;;;;;
        "\u1EE84",  # ;ARABIC MATHEMATICAL LOOPED HEH;Lo;0;AL;<font> 0647;;;;N;;;;;
        "\u1EE85",  # ;ARABIC MATHEMATICAL LOOPED WAW;Lo;0;AL;<font> 0648;;;;N;;;;;
        "\u1EE86",  # ;ARABIC MATHEMATICAL LOOPED ZAIN;Lo;0;AL;<font> 0632;;;;N;;;;;
        "\u1EE87",  # ;ARABIC MATHEMATICAL LOOPED HAH;Lo;0;AL;<font> 062D;;;;N;;;;;
        "\u1EE88",  # ;ARABIC MATHEMATICAL LOOPED TAH;Lo;0;AL;<font> 0637;;;;N;;;;;
        "\u1EE89",  # ;ARABIC MATHEMATICAL LOOPED YEH;Lo;0;AL;<font> 064A;;;;N;;;;;
        "\u1EE8B",  # ;ARABIC MATHEMATICAL LOOPED LAM;Lo;0;AL;<font> 0644;;;;N;;;;;
        "\u1EE8C",  # ;ARABIC MATHEMATICAL LOOPED MEEM;Lo;0;AL;<font> 0645;;;;N;;;;;
        "\u1EE8D",  # ;ARABIC MATHEMATICAL LOOPED NOON;Lo;0;AL;<font> 0646;;;;N;;;;;
        "\u1EE8E",  # ;ARABIC MATHEMATICAL LOOPED SEEN;Lo;0;AL;<font> 0633;;;;N;;;;;
        "\u1EE8F",  # ;ARABIC MATHEMATICAL LOOPED AIN;Lo;0;AL;<font> 0639;;;;N;;;;;
        "\u1EE90",  # ;ARABIC MATHEMATICAL LOOPED FEH;Lo;0;AL;<font> 0641;;;;N;;;;;
        "\u1EE91",  # ;ARABIC MATHEMATICAL LOOPED SAD;Lo;0;AL;<font> 0635;;;;N;;;;;
        "\u1EE92",  # ;ARABIC MATHEMATICAL LOOPED QAF;Lo;0;AL;<font> 0642;;;;N;;;;;
        "\u1EE93",  # ;ARABIC MATHEMATICAL LOOPED REH;Lo;0;AL;<font> 0631;;;;N;;;;;
        "\u1EE94",  # ;ARABIC MATHEMATICAL LOOPED SHEEN;Lo;0;AL;<font> 0634;;;;N;;;;;
        "\u1EE95",  # ;ARABIC MATHEMATICAL LOOPED TEH;Lo;0;AL;<font> 062A;;;;N;;;;;
        "\u1EE96",  # ;ARABIC MATHEMATICAL LOOPED THEH;Lo;0;AL;<font> 062B;;;;N;;;;;
        "\u1EE97",  # ;ARABIC MATHEMATICAL LOOPED KHAH;Lo;0;AL;<font> 062E;;;;N;;;;;
        "\u1EE98",  # ;ARABIC MATHEMATICAL LOOPED THAL;Lo;0;AL;<font> 0630;;;;N;;;;;
        "\u1EE99",  # ;ARABIC MATHEMATICAL LOOPED DAD;Lo;0;AL;<font> 0636;;;;N;;;;;
        "\u1EE9A",  # ;ARABIC MATHEMATICAL LOOPED ZAH;Lo;0;AL;<font> 0638;;;;N;;;;;
        "\u1EE9B",  # ;ARABIC MATHEMATICAL LOOPED GHAIN;Lo;0;AL;<font> 063A;;;;N;;;;;
        "\u1EEA1",  # ;ARABIC MATHEMATICAL DOUBLE-STRUCK BEH;Lo;0;AL;<font> 0628;;;;N;;;;;
        "\u1EEA2",  # ;ARABIC MATHEMATICAL DOUBLE-STRUCK JEEM;Lo;0;AL;<font> 062C;;;;N;;;;;
        "\u1EEA3",  # ;ARABIC MATHEMATICAL DOUBLE-STRUCK DAL;Lo;0;AL;<font> 062F;;;;N;;;;;
        "\u1EEA5",  # ;ARABIC MATHEMATICAL DOUBLE-STRUCK WAW;Lo;0;AL;<font> 0648;;;;N;;;;;
        "\u1EEA6",  # ;ARABIC MATHEMATICAL DOUBLE-STRUCK ZAIN;Lo;0;AL;<font> 0632;;;;N;;;;;
        "\u1EEA7",  # ;ARABIC MATHEMATICAL DOUBLE-STRUCK HAH;Lo;0;AL;<font> 062D;;;;N;;;;;
        "\u1EEA8",  # ;ARABIC MATHEMATICAL DOUBLE-STRUCK TAH;Lo;0;AL;<font> 0637;;;;N;;;;;
        "\u1EEA9",  # ;ARABIC MATHEMATICAL DOUBLE-STRUCK YEH;Lo;0;AL;<font> 064A;;;;N;;;;;
        "\u1EEAB",  # ;ARABIC MATHEMATICAL DOUBLE-STRUCK LAM;Lo;0;AL;<font> 0644;;;;N;;;;;
        "\u1EEAC",  # ;ARABIC MATHEMATICAL DOUBLE-STRUCK MEEM;Lo;0;AL;<font> 0645;;;;N;;;;;
        "\u1EEAD",  # ;ARABIC MATHEMATICAL DOUBLE-STRUCK NOON;Lo;0;AL;<font> 0646;;;;N;;;;;
        "\u1EEAE",  # ;ARABIC MATHEMATICAL DOUBLE-STRUCK SEEN;Lo;0;AL;<font> 0633;;;;N;;;;;
        "\u1EEAF",  # ;ARABIC MATHEMATICAL DOUBLE-STRUCK AIN;Lo;0;AL;<font> 0639;;;;N;;;;;
        "\u1EEB0",  # ;ARABIC MATHEMATICAL DOUBLE-STRUCK FEH;Lo;0;AL;<font> 0641;;;;N;;;;;
        "\u1EEB1",  # ;ARABIC MATHEMATICAL DOUBLE-STRUCK SAD;Lo;0;AL;<font> 0635;;;;N;;;;;
        "\u1EEB2",  # ;ARABIC MATHEMATICAL DOUBLE-STRUCK QAF;Lo;0;AL;<font> 0642;;;;N;;;;;
        "\u1EEB3",  # ;ARABIC MATHEMATICAL DOUBLE-STRUCK REH;Lo;0;AL;<font> 0631;;;;N;;;;;
        "\u1EEB4",  # ;ARABIC MATHEMATICAL DOUBLE-STRUCK SHEEN;Lo;0;AL;<font> 0634;;;;N;;;;;
        "\u1EEB5",  # ;ARABIC MATHEMATICAL DOUBLE-STRUCK TEH;Lo;0;AL;<font> 062A;;;;N;;;;;
        "\u1EEB6",  # ;ARABIC MATHEMATICAL DOUBLE-STRUCK THEH;Lo;0;AL;<font> 062B;;;;N;;;;;
        "\u1EEB7",  # ;ARABIC MATHEMATICAL DOUBLE-STRUCK KHAH;Lo;0;AL;<font> 062E;;;;N;;;;;
        "\u1EEB8",  # ;ARABIC MATHEMATICAL DOUBLE-STRUCK THAL;Lo;0;AL;<font> 0630;;;;N;;;;;
        "\u1EEB9",  # ;ARABIC MATHEMATICAL DOUBLE-STRUCK DAD;Lo;0;AL;<font> 0636;;;;N;;;;;
        "\u1EEBA",  # ;ARABIC MATHEMATICAL DOUBLE-STRUCK ZAH;Lo;0;AL;<font> 0638;;;;N;;;;;
        "\u1EEBB",  # ;ARABIC MATHEMATICAL DOUBLE-STRUCK GHAIN;Lo;0;AL;<font> 063A;;;;N;;;;;
        "\u1EEF0",  # ;ARABIC MATHEMATICAL OPERATOR MEEM WITH HAH WITH TATWEEL;Sm;0;ON;;;;;N;;;;;
        "\u1EEF1",  # ;ARABIC MATHEMATICAL OPERATOR HAH WITH DAL;Sm;0;ON;;;;;N;;;;;
        "\u1F000",  # ;MAHJONG TILE EAST WIND;So;0;ON;;;;;N;;;;;
        "\u1F001",  # ;MAHJONG TILE SOUTH WIND;So;0;ON;;;;;N;;;;;
        "\u1F002",  # ;MAHJONG TILE WEST WIND;So;0;ON;;;;;N;;;;;
        "\u1F003",  # ;MAHJONG TILE NORTH WIND;So;0;ON;;;;;N;;;;;
        "\u1F004",  # ;MAHJONG TILE RED DRAGON;So;0;ON;;;;;N;;;;;
        "\u1F005",  # ;MAHJONG TILE GREEN DRAGON;So;0;ON;;;;;N;;;;;
        "\u1F006",  # ;MAHJONG TILE WHITE DRAGON;So;0;ON;;;;;N;;;;;
        "\u1F007",  # ;MAHJONG TILE ONE OF CHARACTERS;So;0;ON;;;;;N;;;;;
        "\u1F008",  # ;MAHJONG TILE TWO OF CHARACTERS;So;0;ON;;;;;N;;;;;
        "\u1F009",  # ;MAHJONG TILE THREE OF CHARACTERS;So;0;ON;;;;;N;;;;;
        "\u1F00A",  # ;MAHJONG TILE FOUR OF CHARACTERS;So;0;ON;;;;;N;;;;;
        "\u1F00B",  # ;MAHJONG TILE FIVE OF CHARACTERS;So;0;ON;;;;;N;;;;;
        "\u1F00C",  # ;MAHJONG TILE SIX OF CHARACTERS;So;0;ON;;;;;N;;;;;
        "\u1F00D",  # ;MAHJONG TILE SEVEN OF CHARACTERS;So;0;ON;;;;;N;;;;;
        "\u1F00E",  # ;MAHJONG TILE EIGHT OF CHARACTERS;So;0;ON;;;;;N;;;;;
        "\u1F00F",  # ;MAHJONG TILE NINE OF CHARACTERS;So;0;ON;;;;;N;;;;;
        "\u1F010",  # ;MAHJONG TILE ONE OF BAMBOOS;So;0;ON;;;;;N;;;;;
        "\u1F011",  # ;MAHJONG TILE TWO OF BAMBOOS;So;0;ON;;;;;N;;;;;
        "\u1F012",  # ;MAHJONG TILE THREE OF BAMBOOS;So;0;ON;;;;;N;;;;;
        "\u1F013",  # ;MAHJONG TILE FOUR OF BAMBOOS;So;0;ON;;;;;N;;;;;
        "\u1F014",  # ;MAHJONG TILE FIVE OF BAMBOOS;So;0;ON;;;;;N;;;;;
        "\u1F015",  # ;MAHJONG TILE SIX OF BAMBOOS;So;0;ON;;;;;N;;;;;
        "\u1F016",  # ;MAHJONG TILE SEVEN OF BAMBOOS;So;0;ON;;;;;N;;;;;
        "\u1F017",  # ;MAHJONG TILE EIGHT OF BAMBOOS;So;0;ON;;;;;N;;;;;
        "\u1F018",  # ;MAHJONG TILE NINE OF BAMBOOS;So;0;ON;;;;;N;;;;;
        "\u1F019",  # ;MAHJONG TILE ONE OF CIRCLES;So;0;ON;;;;;N;;;;;
        "\u1F01A",  # ;MAHJONG TILE TWO OF CIRCLES;So;0;ON;;;;;N;;;;;
        "\u1F01B",  # ;MAHJONG TILE THREE OF CIRCLES;So;0;ON;;;;;N;;;;;
        "\u1F01C",  # ;MAHJONG TILE FOUR OF CIRCLES;So;0;ON;;;;;N;;;;;
        "\u1F01D",  # ;MAHJONG TILE FIVE OF CIRCLES;So;0;ON;;;;;N;;;;;
        "\u1F01E",  # ;MAHJONG TILE SIX OF CIRCLES;So;0;ON;;;;;N;;;;;
        "\u1F01F",  # ;MAHJONG TILE SEVEN OF CIRCLES;So;0;ON;;;;;N;;;;;
        "\u1F020",  # ;MAHJONG TILE EIGHT OF CIRCLES;So;0;ON;;;;;N;;;;;
        "\u1F021",  # ;MAHJONG TILE NINE OF CIRCLES;So;0;ON;;;;;N;;;;;
        "\u1F022",  # ;MAHJONG TILE PLUM;So;0;ON;;;;;N;;;;;
        "\u1F023",  # ;MAHJONG TILE ORCHID;So;0;ON;;;;;N;;;;;
        "\u1F024",  # ;MAHJONG TILE BAMBOO;So;0;ON;;;;;N;;;;;
        "\u1F025",  # ;MAHJONG TILE CHRYSANTHEMUM;So;0;ON;;;;;N;;;;;
        "\u1F026",  # ;MAHJONG TILE SPRING;So;0;ON;;;;;N;;;;;
        "\u1F027",  # ;MAHJONG TILE SUMMER;So;0;ON;;;;;N;;;;;
        "\u1F028",  # ;MAHJONG TILE AUTUMN;So;0;ON;;;;;N;;;;;
        "\u1F029",  # ;MAHJONG TILE WINTER;So;0;ON;;;;;N;;;;;
        "\u1F02A",  # ;MAHJONG TILE JOKER;So;0;ON;;;;;N;;;;;
        "\u1F02B",  # ;MAHJONG TILE BACK;So;0;ON;;;;;N;;;;;
        "\u1F030",  # ;DOMINO TILE HORIZONTAL BACK;So;0;ON;;;;;N;;;;;
        "\u1F031",  # ;DOMINO TILE HORIZONTAL-00-00;So;0;ON;;;;;N;;;;;
        "\u1F032",  # ;DOMINO TILE HORIZONTAL-00-01;So;0;ON;;;;;N;;;;;
        "\u1F033",  # ;DOMINO TILE HORIZONTAL-00-02;So;0;ON;;;;;N;;;;;
        "\u1F034",  # ;DOMINO TILE HORIZONTAL-00-03;So;0;ON;;;;;N;;;;;
        "\u1F035",  # ;DOMINO TILE HORIZONTAL-00-04;So;0;ON;;;;;N;;;;;
        "\u1F036",  # ;DOMINO TILE HORIZONTAL-00-05;So;0;ON;;;;;N;;;;;
        "\u1F037",  # ;DOMINO TILE HORIZONTAL-00-06;So;0;ON;;;;;N;;;;;
        "\u1F038",  # ;DOMINO TILE HORIZONTAL-01-00;So;0;ON;;;;;N;;;;;
        "\u1F039",  # ;DOMINO TILE HORIZONTAL-01-01;So;0;ON;;;;;N;;;;;
        "\u1F03A",  # ;DOMINO TILE HORIZONTAL-01-02;So;0;ON;;;;;N;;;;;
        "\u1F03B",  # ;DOMINO TILE HORIZONTAL-01-03;So;0;ON;;;;;N;;;;;
        "\u1F03C",  # ;DOMINO TILE HORIZONTAL-01-04;So;0;ON;;;;;N;;;;;
        "\u1F03D",  # ;DOMINO TILE HORIZONTAL-01-05;So;0;ON;;;;;N;;;;;
        "\u1F03E",  # ;DOMINO TILE HORIZONTAL-01-06;So;0;ON;;;;;N;;;;;
        "\u1F03F",  # ;DOMINO TILE HORIZONTAL-02-00;So;0;ON;;;;;N;;;;;
        "\u1F040",  # ;DOMINO TILE HORIZONTAL-02-01;So;0;ON;;;;;N;;;;;
        "\u1F041",  # ;DOMINO TILE HORIZONTAL-02-02;So;0;ON;;;;;N;;;;;
        "\u1F042",  # ;DOMINO TILE HORIZONTAL-02-03;So;0;ON;;;;;N;;;;;
        "\u1F043",  # ;DOMINO TILE HORIZONTAL-02-04;So;0;ON;;;;;N;;;;;
        "\u1F044",  # ;DOMINO TILE HORIZONTAL-02-05;So;0;ON;;;;;N;;;;;
        "\u1F045",  # ;DOMINO TILE HORIZONTAL-02-06;So;0;ON;;;;;N;;;;;
        "\u1F046",  # ;DOMINO TILE HORIZONTAL-03-00;So;0;ON;;;;;N;;;;;
        "\u1F047",  # ;DOMINO TILE HORIZONTAL-03-01;So;0;ON;;;;;N;;;;;
        "\u1F048",  # ;DOMINO TILE HORIZONTAL-03-02;So;0;ON;;;;;N;;;;;
        "\u1F049",  # ;DOMINO TILE HORIZONTAL-03-03;So;0;ON;;;;;N;;;;;
        "\u1F04A",  # ;DOMINO TILE HORIZONTAL-03-04;So;0;ON;;;;;N;;;;;
        "\u1F04B",  # ;DOMINO TILE HORIZONTAL-03-05;So;0;ON;;;;;N;;;;;
        "\u1F04C",  # ;DOMINO TILE HORIZONTAL-03-06;So;0;ON;;;;;N;;;;;
        "\u1F04D",  # ;DOMINO TILE HORIZONTAL-04-00;So;0;ON;;;;;N;;;;;
        "\u1F04E",  # ;DOMINO TILE HORIZONTAL-04-01;So;0;ON;;;;;N;;;;;
        "\u1F04F",  # ;DOMINO TILE HORIZONTAL-04-02;So;0;ON;;;;;N;;;;;
        "\u1F050",  # ;DOMINO TILE HORIZONTAL-04-03;So;0;ON;;;;;N;;;;;
        "\u1F051",  # ;DOMINO TILE HORIZONTAL-04-04;So;0;ON;;;;;N;;;;;
        "\u1F052",  # ;DOMINO TILE HORIZONTAL-04-05;So;0;ON;;;;;N;;;;;
        "\u1F053",  # ;DOMINO TILE HORIZONTAL-04-06;So;0;ON;;;;;N;;;;;
        "\u1F054",  # ;DOMINO TILE HORIZONTAL-05-00;So;0;ON;;;;;N;;;;;
        "\u1F055",  # ;DOMINO TILE HORIZONTAL-05-01;So;0;ON;;;;;N;;;;;
        "\u1F056",  # ;DOMINO TILE HORIZONTAL-05-02;So;0;ON;;;;;N;;;;;
        "\u1F057",  # ;DOMINO TILE HORIZONTAL-05-03;So;0;ON;;;;;N;;;;;
        "\u1F058",  # ;DOMINO TILE HORIZONTAL-05-04;So;0;ON;;;;;N;;;;;
        "\u1F059",  # ;DOMINO TILE HORIZONTAL-05-05;So;0;ON;;;;;N;;;;;
        "\u1F05A",  # ;DOMINO TILE HORIZONTAL-05-06;So;0;ON;;;;;N;;;;;
        "\u1F05B",  # ;DOMINO TILE HORIZONTAL-06-00;So;0;ON;;;;;N;;;;;
        "\u1F05C",  # ;DOMINO TILE HORIZONTAL-06-01;So;0;ON;;;;;N;;;;;
        "\u1F05D",  # ;DOMINO TILE HORIZONTAL-06-02;So;0;ON;;;;;N;;;;;
        "\u1F05E",  # ;DOMINO TILE HORIZONTAL-06-03;So;0;ON;;;;;N;;;;;
        "\u1F05F",  # ;DOMINO TILE HORIZONTAL-06-04;So;0;ON;;;;;N;;;;;
        "\u1F060",  # ;DOMINO TILE HORIZONTAL-06-05;So;0;ON;;;;;N;;;;;
        "\u1F061",  # ;DOMINO TILE HORIZONTAL-06-06;So;0;ON;;;;;N;;;;;
        "\u1F062",  # ;DOMINO TILE VERTICAL BACK;So;0;ON;;;;;N;;;;;
        "\u1F063",  # ;DOMINO TILE VERTICAL-00-00;So;0;ON;;;;;N;;;;;
        "\u1F064",  # ;DOMINO TILE VERTICAL-00-01;So;0;ON;;;;;N;;;;;
        "\u1F065",  # ;DOMINO TILE VERTICAL-00-02;So;0;ON;;;;;N;;;;;
        "\u1F066",  # ;DOMINO TILE VERTICAL-00-03;So;0;ON;;;;;N;;;;;
        "\u1F067",  # ;DOMINO TILE VERTICAL-00-04;So;0;ON;;;;;N;;;;;
        "\u1F068",  # ;DOMINO TILE VERTICAL-00-05;So;0;ON;;;;;N;;;;;
        "\u1F069",  # ;DOMINO TILE VERTICAL-00-06;So;0;ON;;;;;N;;;;;
        "\u1F06A",  # ;DOMINO TILE VERTICAL-01-00;So;0;ON;;;;;N;;;;;
        "\u1F06B",  # ;DOMINO TILE VERTICAL-01-01;So;0;ON;;;;;N;;;;;
        "\u1F06C",  # ;DOMINO TILE VERTICAL-01-02;So;0;ON;;;;;N;;;;;
        "\u1F06D",  # ;DOMINO TILE VERTICAL-01-03;So;0;ON;;;;;N;;;;;
        "\u1F06E",  # ;DOMINO TILE VERTICAL-01-04;So;0;ON;;;;;N;;;;;
        "\u1F06F",  # ;DOMINO TILE VERTICAL-01-05;So;0;ON;;;;;N;;;;;
        "\u1F070",  # ;DOMINO TILE VERTICAL-01-06;So;0;ON;;;;;N;;;;;
        "\u1F071",  # ;DOMINO TILE VERTICAL-02-00;So;0;ON;;;;;N;;;;;
        "\u1F072",  # ;DOMINO TILE VERTICAL-02-01;So;0;ON;;;;;N;;;;;
        "\u1F073",  # ;DOMINO TILE VERTICAL-02-02;So;0;ON;;;;;N;;;;;
        "\u1F074",  # ;DOMINO TILE VERTICAL-02-03;So;0;ON;;;;;N;;;;;
        "\u1F075",  # ;DOMINO TILE VERTICAL-02-04;So;0;ON;;;;;N;;;;;
        "\u1F076",  # ;DOMINO TILE VERTICAL-02-05;So;0;ON;;;;;N;;;;;
        "\u1F077",  # ;DOMINO TILE VERTICAL-02-06;So;0;ON;;;;;N;;;;;
        "\u1F078",  # ;DOMINO TILE VERTICAL-03-00;So;0;ON;;;;;N;;;;;
        "\u1F079",  # ;DOMINO TILE VERTICAL-03-01;So;0;ON;;;;;N;;;;;
        "\u1F07A",  # ;DOMINO TILE VERTICAL-03-02;So;0;ON;;;;;N;;;;;
        "\u1F07B",  # ;DOMINO TILE VERTICAL-03-03;So;0;ON;;;;;N;;;;;
        "\u1F07C",  # ;DOMINO TILE VERTICAL-03-04;So;0;ON;;;;;N;;;;;
        "\u1F07D",  # ;DOMINO TILE VERTICAL-03-05;So;0;ON;;;;;N;;;;;
        "\u1F07E",  # ;DOMINO TILE VERTICAL-03-06;So;0;ON;;;;;N;;;;;
        "\u1F07F",  # ;DOMINO TILE VERTICAL-04-00;So;0;ON;;;;;N;;;;;
        "\u1F080",  # ;DOMINO TILE VERTICAL-04-01;So;0;ON;;;;;N;;;;;
        "\u1F081",  # ;DOMINO TILE VERTICAL-04-02;So;0;ON;;;;;N;;;;;
        "\u1F082",  # ;DOMINO TILE VERTICAL-04-03;So;0;ON;;;;;N;;;;;
        "\u1F083",  # ;DOMINO TILE VERTICAL-04-04;So;0;ON;;;;;N;;;;;
        "\u1F084",  # ;DOMINO TILE VERTICAL-04-05;So;0;ON;;;;;N;;;;;
        "\u1F085",  # ;DOMINO TILE VERTICAL-04-06;So;0;ON;;;;;N;;;;;
        "\u1F086",  # ;DOMINO TILE VERTICAL-05-00;So;0;ON;;;;;N;;;;;
        "\u1F087",  # ;DOMINO TILE VERTICAL-05-01;So;0;ON;;;;;N;;;;;
        "\u1F088",  # ;DOMINO TILE VERTICAL-05-02;So;0;ON;;;;;N;;;;;
        "\u1F089",  # ;DOMINO TILE VERTICAL-05-03;So;0;ON;;;;;N;;;;;
        "\u1F08A",  # ;DOMINO TILE VERTICAL-05-04;So;0;ON;;;;;N;;;;;
        "\u1F08B",  # ;DOMINO TILE VERTICAL-05-05;So;0;ON;;;;;N;;;;;
        "\u1F08C",  # ;DOMINO TILE VERTICAL-05-06;So;0;ON;;;;;N;;;;;
        "\u1F08D",  # ;DOMINO TILE VERTICAL-06-00;So;0;ON;;;;;N;;;;;
        "\u1F08E",  # ;DOMINO TILE VERTICAL-06-01;So;0;ON;;;;;N;;;;;
        "\u1F08F",  # ;DOMINO TILE VERTICAL-06-02;So;0;ON;;;;;N;;;;;
        "\u1F090",  # ;DOMINO TILE VERTICAL-06-03;So;0;ON;;;;;N;;;;;
        "\u1F091",  # ;DOMINO TILE VERTICAL-06-04;So;0;ON;;;;;N;;;;;
        "\u1F092",  # ;DOMINO TILE VERTICAL-06-05;So;0;ON;;;;;N;;;;;
        "\u1F093",  # ;DOMINO TILE VERTICAL-06-06;So;0;ON;;;;;N;;;;;
        "\u1F0A0",  # ;PLAYING CARD BACK;So;0;ON;;;;;N;;;;;
        "\u1F0A1",  # ;PLAYING CARD ACE OF SPADES;So;0;ON;;;;;N;;;;;
        "\u1F0A2",  # ;PLAYING CARD TWO OF SPADES;So;0;ON;;;;;N;;;;;
        "\u1F0A3",  # ;PLAYING CARD THREE OF SPADES;So;0;ON;;;;;N;;;;;
        "\u1F0A4",  # ;PLAYING CARD FOUR OF SPADES;So;0;ON;;;;;N;;;;;
        "\u1F0A5",  # ;PLAYING CARD FIVE OF SPADES;So;0;ON;;;;;N;;;;;
        "\u1F0A6",  # ;PLAYING CARD SIX OF SPADES;So;0;ON;;;;;N;;;;;
        "\u1F0A7",  # ;PLAYING CARD SEVEN OF SPADES;So;0;ON;;;;;N;;;;;
        "\u1F0A8",  # ;PLAYING CARD EIGHT OF SPADES;So;0;ON;;;;;N;;;;;
        "\u1F0A9",  # ;PLAYING CARD NINE OF SPADES;So;0;ON;;;;;N;;;;;
        "\u1F0AA",  # ;PLAYING CARD TEN OF SPADES;So;0;ON;;;;;N;;;;;
        "\u1F0AB",  # ;PLAYING CARD JACK OF SPADES;So;0;ON;;;;;N;;;;;
        "\u1F0AC",  # ;PLAYING CARD KNIGHT OF SPADES;So;0;ON;;;;;N;;;;;
        "\u1F0AD",  # ;PLAYING CARD QUEEN OF SPADES;So;0;ON;;;;;N;;;;;
        "\u1F0AE",  # ;PLAYING CARD KING OF SPADES;So;0;ON;;;;;N;;;;;
        "\u1F0B1",  # ;PLAYING CARD ACE OF HEARTS;So;0;ON;;;;;N;;;;;
        "\u1F0B2",  # ;PLAYING CARD TWO OF HEARTS;So;0;ON;;;;;N;;;;;
        "\u1F0B3",  # ;PLAYING CARD THREE OF HEARTS;So;0;ON;;;;;N;;;;;
        "\u1F0B4",  # ;PLAYING CARD FOUR OF HEARTS;So;0;ON;;;;;N;;;;;
        "\u1F0B5",  # ;PLAYING CARD FIVE OF HEARTS;So;0;ON;;;;;N;;;;;
        "\u1F0B6",  # ;PLAYING CARD SIX OF HEARTS;So;0;ON;;;;;N;;;;;
        "\u1F0B7",  # ;PLAYING CARD SEVEN OF HEARTS;So;0;ON;;;;;N;;;;;
        "\u1F0B8",  # ;PLAYING CARD EIGHT OF HEARTS;So;0;ON;;;;;N;;;;;
        "\u1F0B9",  # ;PLAYING CARD NINE OF HEARTS;So;0;ON;;;;;N;;;;;
        "\u1F0BA",  # ;PLAYING CARD TEN OF HEARTS;So;0;ON;;;;;N;;;;;
        "\u1F0BB",  # ;PLAYING CARD JACK OF HEARTS;So;0;ON;;;;;N;;;;;
        "\u1F0BC",  # ;PLAYING CARD KNIGHT OF HEARTS;So;0;ON;;;;;N;;;;;
        "\u1F0BD",  # ;PLAYING CARD QUEEN OF HEARTS;So;0;ON;;;;;N;;;;;
        "\u1F0BE",  # ;PLAYING CARD KING OF HEARTS;So;0;ON;;;;;N;;;;;
        "\u1F0BF",  # ;PLAYING CARD RED JOKER;So;0;ON;;;;;N;;;;;
        "\u1F0C1",  # ;PLAYING CARD ACE OF DIAMONDS;So;0;ON;;;;;N;;;;;
        "\u1F0C2",  # ;PLAYING CARD TWO OF DIAMONDS;So;0;ON;;;;;N;;;;;
        "\u1F0C3",  # ;PLAYING CARD THREE OF DIAMONDS;So;0;ON;;;;;N;;;;;
        "\u1F0C4",  # ;PLAYING CARD FOUR OF DIAMONDS;So;0;ON;;;;;N;;;;;
        "\u1F0C5",  # ;PLAYING CARD FIVE OF DIAMONDS;So;0;ON;;;;;N;;;;;
        "\u1F0C6",  # ;PLAYING CARD SIX OF DIAMONDS;So;0;ON;;;;;N;;;;;
        "\u1F0C7",  # ;PLAYING CARD SEVEN OF DIAMONDS;So;0;ON;;;;;N;;;;;
        "\u1F0C8",  # ;PLAYING CARD EIGHT OF DIAMONDS;So;0;ON;;;;;N;;;;;
        "\u1F0C9",  # ;PLAYING CARD NINE OF DIAMONDS;So;0;ON;;;;;N;;;;;
        "\u1F0CA",  # ;PLAYING CARD TEN OF DIAMONDS;So;0;ON;;;;;N;;;;;
        "\u1F0CB",  # ;PLAYING CARD JACK OF DIAMONDS;So;0;ON;;;;;N;;;;;
        "\u1F0CC",  # ;PLAYING CARD KNIGHT OF DIAMONDS;So;0;ON;;;;;N;;;;;
        "\u1F0CD",  # ;PLAYING CARD QUEEN OF DIAMONDS;So;0;ON;;;;;N;;;;;
        "\u1F0CE",  # ;PLAYING CARD KING OF DIAMONDS;So;0;ON;;;;;N;;;;;
        "\u1F0CF",  # ;PLAYING CARD BLACK JOKER;So;0;ON;;;;;N;;;;;
        "\u1F0D1",  # ;PLAYING CARD ACE OF CLUBS;So;0;ON;;;;;N;;;;;
        "\u1F0D2",  # ;PLAYING CARD TWO OF CLUBS;So;0;ON;;;;;N;;;;;
        "\u1F0D3",  # ;PLAYING CARD THREE OF CLUBS;So;0;ON;;;;;N;;;;;
        "\u1F0D4",  # ;PLAYING CARD FOUR OF CLUBS;So;0;ON;;;;;N;;;;;
        "\u1F0D5",  # ;PLAYING CARD FIVE OF CLUBS;So;0;ON;;;;;N;;;;;
        "\u1F0D6",  # ;PLAYING CARD SIX OF CLUBS;So;0;ON;;;;;N;;;;;
        "\u1F0D7",  # ;PLAYING CARD SEVEN OF CLUBS;So;0;ON;;;;;N;;;;;
        "\u1F0D8",  # ;PLAYING CARD EIGHT OF CLUBS;So;0;ON;;;;;N;;;;;
        "\u1F0D9",  # ;PLAYING CARD NINE OF CLUBS;So;0;ON;;;;;N;;;;;
        "\u1F0DA",  # ;PLAYING CARD TEN OF CLUBS;So;0;ON;;;;;N;;;;;
        "\u1F0DB",  # ;PLAYING CARD JACK OF CLUBS;So;0;ON;;;;;N;;;;;
        "\u1F0DC",  # ;PLAYING CARD KNIGHT OF CLUBS;So;0;ON;;;;;N;;;;;
        "\u1F0DD",  # ;PLAYING CARD QUEEN OF CLUBS;So;0;ON;;;;;N;;;;;
        "\u1F0DE",  # ;PLAYING CARD KING OF CLUBS;So;0;ON;;;;;N;;;;;
        "\u1F0DF",  # ;PLAYING CARD WHITE JOKER;So;0;ON;;;;;N;;;;;
        "\u1F0E0",  # ;PLAYING CARD FOOL;So;0;ON;;;;;N;;;;;
        "\u1F0E1",  # ;PLAYING CARD TRUMP-1;So;0;ON;;;;;N;;;;;
        "\u1F0E2",  # ;PLAYING CARD TRUMP-2;So;0;ON;;;;;N;;;;;
        "\u1F0E3",  # ;PLAYING CARD TRUMP-3;So;0;ON;;;;;N;;;;;
        "\u1F0E4",  # ;PLAYING CARD TRUMP-4;So;0;ON;;;;;N;;;;;
        "\u1F0E5",  # ;PLAYING CARD TRUMP-5;So;0;ON;;;;;N;;;;;
        "\u1F0E6",  # ;PLAYING CARD TRUMP-6;So;0;ON;;;;;N;;;;;
        "\u1F0E7",  # ;PLAYING CARD TRUMP-7;So;0;ON;;;;;N;;;;;
        "\u1F0E8",  # ;PLAYING CARD TRUMP-8;So;0;ON;;;;;N;;;;;
        "\u1F0E9",  # ;PLAYING CARD TRUMP-9;So;0;ON;;;;;N;;;;;
        "\u1F0EA",  # ;PLAYING CARD TRUMP-10;So;0;ON;;;;;N;;;;;
        "\u1F0EB",  # ;PLAYING CARD TRUMP-11;So;0;ON;;;;;N;;;;;
        "\u1F0EC",  # ;PLAYING CARD TRUMP-12;So;0;ON;;;;;N;;;;;
        "\u1F0ED",  # ;PLAYING CARD TRUMP-13;So;0;ON;;;;;N;;;;;
        "\u1F0EE",  # ;PLAYING CARD TRUMP-14;So;0;ON;;;;;N;;;;;
        "\u1F0EF",  # ;PLAYING CARD TRUMP-15;So;0;ON;;;;;N;;;;;
        "\u1F0F0",  # ;PLAYING CARD TRUMP-16;So;0;ON;;;;;N;;;;;
        "\u1F0F1",  # ;PLAYING CARD TRUMP-17;So;0;ON;;;;;N;;;;;
        "\u1F0F2",  # ;PLAYING CARD TRUMP-18;So;0;ON;;;;;N;;;;;
        "\u1F0F3",  # ;PLAYING CARD TRUMP-19;So;0;ON;;;;;N;;;;;
        "\u1F0F4",  # ;PLAYING CARD TRUMP-20;So;0;ON;;;;;N;;;;;
        "\u1F0F5",  # ;PLAYING CARD TRUMP-21;So;0;ON;;;;;N;;;;;
        "\u1F100",  # ;DIGIT ZERO FULL STOP;No;0;EN;<compat> 0030 002E;;0;0;N;;;;;
        "\u1F101",  # ;DIGIT ZERO COMMA;No;0;EN;<compat> 0030 002C;;0;0;N;;;;;
        "\u1F102",  # ;DIGIT ONE COMMA;No;0;EN;<compat> 0031 002C;;1;1;N;;;;;
        "\u1F103",  # ;DIGIT TWO COMMA;No;0;EN;<compat> 0032 002C;;2;2;N;;;;;
        "\u1F104",  # ;DIGIT THREE COMMA;No;0;EN;<compat> 0033 002C;;3;3;N;;;;;
        "\u1F105",  # ;DIGIT FOUR COMMA;No;0;EN;<compat> 0034 002C;;4;4;N;;;;;
        "\u1F106",  # ;DIGIT FIVE COMMA;No;0;EN;<compat> 0035 002C;;5;5;N;;;;;
        "\u1F107",  # ;DIGIT SIX COMMA;No;0;EN;<compat> 0036 002C;;6;6;N;;;;;
        "\u1F108",  # ;DIGIT SEVEN COMMA;No;0;EN;<compat> 0037 002C;;7;7;N;;;;;
        "\u1F109",  # ;DIGIT EIGHT COMMA;No;0;EN;<compat> 0038 002C;;8;8;N;;;;;
        "\u1F10A",  # ;DIGIT NINE COMMA;No;0;EN;<compat> 0039 002C;;9;9;N;;;;;
        "\u1F10B",  # ;DINGBAT CIRCLED SANS-SERIF DIGIT ZERO;No;0;ON;;;;0;N;;;;;
        "\u1F10C",  # ;DINGBAT NEGATIVE CIRCLED SANS-SERIF DIGIT ZERO;No;0;ON;;;;0;N;;;;;
        "\u1F110",  # ;PARENTHESIZED LATIN CAPITAL LETTER A;So;0;L;<compat> 0028 0041 0029;;;;N;;;;;
        "\u1F111",  # ;PARENTHESIZED LATIN CAPITAL LETTER B;So;0;L;<compat> 0028 0042 0029;;;;N;;;;;
        "\u1F112",  # ;PARENTHESIZED LATIN CAPITAL LETTER C;So;0;L;<compat> 0028 0043 0029;;;;N;;;;;
        "\u1F113",  # ;PARENTHESIZED LATIN CAPITAL LETTER D;So;0;L;<compat> 0028 0044 0029;;;;N;;;;;
        "\u1F114",  # ;PARENTHESIZED LATIN CAPITAL LETTER E;So;0;L;<compat> 0028 0045 0029;;;;N;;;;;
        "\u1F115",  # ;PARENTHESIZED LATIN CAPITAL LETTER F;So;0;L;<compat> 0028 0046 0029;;;;N;;;;;
        "\u1F116",  # ;PARENTHESIZED LATIN CAPITAL LETTER G;So;0;L;<compat> 0028 0047 0029;;;;N;;;;;
        "\u1F117",  # ;PARENTHESIZED LATIN CAPITAL LETTER H;So;0;L;<compat> 0028 0048 0029;;;;N;;;;;
        "\u1F118",  # ;PARENTHESIZED LATIN CAPITAL LETTER I;So;0;L;<compat> 0028 0049 0029;;;;N;;;;;
        "\u1F119",  # ;PARENTHESIZED LATIN CAPITAL LETTER J;So;0;L;<compat> 0028 004A 0029;;;;N;;;;;
        "\u1F11A",  # ;PARENTHESIZED LATIN CAPITAL LETTER K;So;0;L;<compat> 0028 004B 0029;;;;N;;;;;
        "\u1F11B",  # ;PARENTHESIZED LATIN CAPITAL LETTER L;So;0;L;<compat> 0028 004C 0029;;;;N;;;;;
        "\u1F11C",  # ;PARENTHESIZED LATIN CAPITAL LETTER M;So;0;L;<compat> 0028 004D 0029;;;;N;;;;;
        "\u1F11D",  # ;PARENTHESIZED LATIN CAPITAL LETTER N;So;0;L;<compat> 0028 004E 0029;;;;N;;;;;
        "\u1F11E",  # ;PARENTHESIZED LATIN CAPITAL LETTER O;So;0;L;<compat> 0028 004F 0029;;;;N;;;;;
        "\u1F11F",  # ;PARENTHESIZED LATIN CAPITAL LETTER P;So;0;L;<compat> 0028 0050 0029;;;;N;;;;;
        "\u1F120",  # ;PARENTHESIZED LATIN CAPITAL LETTER Q;So;0;L;<compat> 0028 0051 0029;;;;N;;;;;
        "\u1F121",  # ;PARENTHESIZED LATIN CAPITAL LETTER R;So;0;L;<compat> 0028 0052 0029;;;;N;;;;;
        "\u1F122",  # ;PARENTHESIZED LATIN CAPITAL LETTER S;So;0;L;<compat> 0028 0053 0029;;;;N;;;;;
        "\u1F123",  # ;PARENTHESIZED LATIN CAPITAL LETTER T;So;0;L;<compat> 0028 0054 0029;;;;N;;;;;
        "\u1F124",  # ;PARENTHESIZED LATIN CAPITAL LETTER U;So;0;L;<compat> 0028 0055 0029;;;;N;;;;;
        "\u1F125",  # ;PARENTHESIZED LATIN CAPITAL LETTER V;So;0;L;<compat> 0028 0056 0029;;;;N;;;;;
        "\u1F126",  # ;PARENTHESIZED LATIN CAPITAL LETTER W;So;0;L;<compat> 0028 0057 0029;;;;N;;;;;
        "\u1F127",  # ;PARENTHESIZED LATIN CAPITAL LETTER X;So;0;L;<compat> 0028 0058 0029;;;;N;;;;;
        "\u1F128",  # ;PARENTHESIZED LATIN CAPITAL LETTER Y;So;0;L;<compat> 0028 0059 0029;;;;N;;;;;
        "\u1F129",  # ;PARENTHESIZED LATIN CAPITAL LETTER Z;So;0;L;<compat> 0028 005A 0029;;;;N;;;;;
        "\u1F12A",  # ;TORTOISE SHELL BRACKETED LATIN CAPITAL LETTER S;So;0;L;<compat> 3014 0053 3015;;;;N;;;;;
        "\u1F12B",  # ;CIRCLED ITALIC LATIN CAPITAL LETTER C;So;0;L;<circle> 0043;;;;N;;;;;
        "\u1F12C",  # ;CIRCLED ITALIC LATIN CAPITAL LETTER R;So;0;L;<circle> 0052;;;;N;;;;;
        "\u1F12D",  # ;CIRCLED CD;So;0;L;<circle> 0043 0044;;;;N;;;;;
        "\u1F12E",  # ;CIRCLED WZ;So;0;L;<circle> 0057 005A;;;;N;;;;;
        "\u1F130",  # ;SQUARED LATIN CAPITAL LETTER A;So;0;L;<square> 0041;;;;N;;;;;
        "\u1F131",  # ;SQUARED LATIN CAPITAL LETTER B;So;0;L;<square> 0042;;;;N;;;;;
        "\u1F132",  # ;SQUARED LATIN CAPITAL LETTER C;So;0;L;<square> 0043;;;;N;;;;;
        "\u1F133",  # ;SQUARED LATIN CAPITAL LETTER D;So;0;L;<square> 0044;;;;N;;;;;
        "\u1F134",  # ;SQUARED LATIN CAPITAL LETTER E;So;0;L;<square> 0045;;;;N;;;;;
        "\u1F135",  # ;SQUARED LATIN CAPITAL LETTER F;So;0;L;<square> 0046;;;;N;;;;;
        "\u1F136",  # ;SQUARED LATIN CAPITAL LETTER G;So;0;L;<square> 0047;;;;N;;;;;
        "\u1F137",  # ;SQUARED LATIN CAPITAL LETTER H;So;0;L;<square> 0048;;;;N;;;;;
        "\u1F138",  # ;SQUARED LATIN CAPITAL LETTER I;So;0;L;<square> 0049;;;;N;;;;;
        "\u1F139",  # ;SQUARED LATIN CAPITAL LETTER J;So;0;L;<square> 004A;;;;N;;;;;
        "\u1F13A",  # ;SQUARED LATIN CAPITAL LETTER K;So;0;L;<square> 004B;;;;N;;;;;
        "\u1F13B",  # ;SQUARED LATIN CAPITAL LETTER L;So;0;L;<square> 004C;;;;N;;;;;
        "\u1F13C",  # ;SQUARED LATIN CAPITAL LETTER M;So;0;L;<square> 004D;;;;N;;;;;
        "\u1F13D",  # ;SQUARED LATIN CAPITAL LETTER N;So;0;L;<square> 004E;;;;N;;;;;
        "\u1F13E",  # ;SQUARED LATIN CAPITAL LETTER O;So;0;L;<square> 004F;;;;N;;;;;
        "\u1F13F",  # ;SQUARED LATIN CAPITAL LETTER P;So;0;L;<square> 0050;;;;N;;;;;
        "\u1F140",  # ;SQUARED LATIN CAPITAL LETTER Q;So;0;L;<square> 0051;;;;N;;;;;
        "\u1F141",  # ;SQUARED LATIN CAPITAL LETTER R;So;0;L;<square> 0052;;;;N;;;;;
        "\u1F142",  # ;SQUARED LATIN CAPITAL LETTER S;So;0;L;<square> 0053;;;;N;;;;;
        "\u1F143",  # ;SQUARED LATIN CAPITAL LETTER T;So;0;L;<square> 0054;;;;N;;;;;
        "\u1F144",  # ;SQUARED LATIN CAPITAL LETTER U;So;0;L;<square> 0055;;;;N;;;;;
        "\u1F145",  # ;SQUARED LATIN CAPITAL LETTER V;So;0;L;<square> 0056;;;;N;;;;;
        "\u1F146",  # ;SQUARED LATIN CAPITAL LETTER W;So;0;L;<square> 0057;;;;N;;;;;
        "\u1F147",  # ;SQUARED LATIN CAPITAL LETTER X;So;0;L;<square> 0058;;;;N;;;;;
        "\u1F148",  # ;SQUARED LATIN CAPITAL LETTER Y;So;0;L;<square> 0059;;;;N;;;;;
        "\u1F149",  # ;SQUARED LATIN CAPITAL LETTER Z;So;0;L;<square> 005A;;;;N;;;;;
        "\u1F14A",  # ;SQUARED HV;So;0;L;<square> 0048 0056;;;;N;;;;;
        "\u1F14B",  # ;SQUARED MV;So;0;L;<square> 004D 0056;;;;N;;;;;
        "\u1F14C",  # ;SQUARED SD;So;0;L;<square> 0053 0044;;;;N;;;;;
        "\u1F14D",  # ;SQUARED SS;So;0;L;<square> 0053 0053;;;;N;;;;;
        "\u1F14E",  # ;SQUARED PPV;So;0;L;<square> 0050 0050 0056;;;;N;;;;;
        "\u1F14F",  # ;SQUARED WC;So;0;L;<square> 0057 0043;;;;N;;;;;
        "\u1F150",  # ;NEGATIVE CIRCLED LATIN CAPITAL LETTER A;So;0;L;;;;;N;;;;;
        "\u1F151",  # ;NEGATIVE CIRCLED LATIN CAPITAL LETTER B;So;0;L;;;;;N;;;;;
        "\u1F152",  # ;NEGATIVE CIRCLED LATIN CAPITAL LETTER C;So;0;L;;;;;N;;;;;
        "\u1F153",  # ;NEGATIVE CIRCLED LATIN CAPITAL LETTER D;So;0;L;;;;;N;;;;;
        "\u1F154",  # ;NEGATIVE CIRCLED LATIN CAPITAL LETTER E;So;0;L;;;;;N;;;;;
        "\u1F155",  # ;NEGATIVE CIRCLED LATIN CAPITAL LETTER F;So;0;L;;;;;N;;;;;
        "\u1F156",  # ;NEGATIVE CIRCLED LATIN CAPITAL LETTER G;So;0;L;;;;;N;;;;;
        "\u1F157",  # ;NEGATIVE CIRCLED LATIN CAPITAL LETTER H;So;0;L;;;;;N;;;;;
        "\u1F158",  # ;NEGATIVE CIRCLED LATIN CAPITAL LETTER I;So;0;L;;;;;N;;;;;
        "\u1F159",  # ;NEGATIVE CIRCLED LATIN CAPITAL LETTER J;So;0;L;;;;;N;;;;;
        "\u1F15A",  # ;NEGATIVE CIRCLED LATIN CAPITAL LETTER K;So;0;L;;;;;N;;;;;
        "\u1F15B",  # ;NEGATIVE CIRCLED LATIN CAPITAL LETTER L;So;0;L;;;;;N;;;;;
        "\u1F15C",  # ;NEGATIVE CIRCLED LATIN CAPITAL LETTER M;So;0;L;;;;;N;;;;;
        "\u1F15D",  # ;NEGATIVE CIRCLED LATIN CAPITAL LETTER N;So;0;L;;;;;N;;;;;
        "\u1F15E",  # ;NEGATIVE CIRCLED LATIN CAPITAL LETTER O;So;0;L;;;;;N;;;;;
        "\u1F15F",  # ;NEGATIVE CIRCLED LATIN CAPITAL LETTER P;So;0;L;;;;;N;;;;;
        "\u1F160",  # ;NEGATIVE CIRCLED LATIN CAPITAL LETTER Q;So;0;L;;;;;N;;;;;
        "\u1F161",  # ;NEGATIVE CIRCLED LATIN CAPITAL LETTER R;So;0;L;;;;;N;;;;;
        "\u1F162",  # ;NEGATIVE CIRCLED LATIN CAPITAL LETTER S;So;0;L;;;;;N;;;;;
        "\u1F163",  # ;NEGATIVE CIRCLED LATIN CAPITAL LETTER T;So;0;L;;;;;N;;;;;
        "\u1F164",  # ;NEGATIVE CIRCLED LATIN CAPITAL LETTER U;So;0;L;;;;;N;;;;;
        "\u1F165",  # ;NEGATIVE CIRCLED LATIN CAPITAL LETTER V;So;0;L;;;;;N;;;;;
        "\u1F166",  # ;NEGATIVE CIRCLED LATIN CAPITAL LETTER W;So;0;L;;;;;N;;;;;
        "\u1F167",  # ;NEGATIVE CIRCLED LATIN CAPITAL LETTER X;So;0;L;;;;;N;;;;;
        "\u1F168",  # ;NEGATIVE CIRCLED LATIN CAPITAL LETTER Y;So;0;L;;;;;N;;;;;
        "\u1F169",  # ;NEGATIVE CIRCLED LATIN CAPITAL LETTER Z;So;0;L;;;;;N;;;;;
        "\u1F16A",  # ;RAISED MC SIGN;So;0;ON;<super> 004D 0043;;;;N;;;;;
        "\u1F16B",  # ;RAISED MD SIGN;So;0;ON;<super> 004D 0044;;;;N;;;;;
        "\u1F170",  # ;NEGATIVE SQUARED LATIN CAPITAL LETTER A;So;0;L;;;;;N;;;;;
        "\u1F171",  # ;NEGATIVE SQUARED LATIN CAPITAL LETTER B;So;0;L;;;;;N;;;;;
        "\u1F172",  # ;NEGATIVE SQUARED LATIN CAPITAL LETTER C;So;0;L;;;;;N;;;;;
        "\u1F173",  # ;NEGATIVE SQUARED LATIN CAPITAL LETTER D;So;0;L;;;;;N;;;;;
        "\u1F174",  # ;NEGATIVE SQUARED LATIN CAPITAL LETTER E;So;0;L;;;;;N;;;;;
        "\u1F175",  # ;NEGATIVE SQUARED LATIN CAPITAL LETTER F;So;0;L;;;;;N;;;;;
        "\u1F176",  # ;NEGATIVE SQUARED LATIN CAPITAL LETTER G;So;0;L;;;;;N;;;;;
        "\u1F177",  # ;NEGATIVE SQUARED LATIN CAPITAL LETTER H;So;0;L;;;;;N;;;;;
        "\u1F178",  # ;NEGATIVE SQUARED LATIN CAPITAL LETTER I;So;0;L;;;;;N;;;;;
        "\u1F179",  # ;NEGATIVE SQUARED LATIN CAPITAL LETTER J;So;0;L;;;;;N;;;;;
        "\u1F17A",  # ;NEGATIVE SQUARED LATIN CAPITAL LETTER K;So;0;L;;;;;N;;;;;
        "\u1F17B",  # ;NEGATIVE SQUARED LATIN CAPITAL LETTER L;So;0;L;;;;;N;;;;;
        "\u1F17C",  # ;NEGATIVE SQUARED LATIN CAPITAL LETTER M;So;0;L;;;;;N;;;;;
        "\u1F17D",  # ;NEGATIVE SQUARED LATIN CAPITAL LETTER N;So;0;L;;;;;N;;;;;
        "\u1F17E",  # ;NEGATIVE SQUARED LATIN CAPITAL LETTER O;So;0;L;;;;;N;;;;;
        "\u1F17F",  # ;NEGATIVE SQUARED LATIN CAPITAL LETTER P;So;0;L;;;;;N;;;;;
        "\u1F180",  # ;NEGATIVE SQUARED LATIN CAPITAL LETTER Q;So;0;L;;;;;N;;;;;
        "\u1F181",  # ;NEGATIVE SQUARED LATIN CAPITAL LETTER R;So;0;L;;;;;N;;;;;
        "\u1F182",  # ;NEGATIVE SQUARED LATIN CAPITAL LETTER S;So;0;L;;;;;N;;;;;
        "\u1F183",  # ;NEGATIVE SQUARED LATIN CAPITAL LETTER T;So;0;L;;;;;N;;;;;
        "\u1F184",  # ;NEGATIVE SQUARED LATIN CAPITAL LETTER U;So;0;L;;;;;N;;;;;
        "\u1F185",  # ;NEGATIVE SQUARED LATIN CAPITAL LETTER V;So;0;L;;;;;N;;;;;
        "\u1F186",  # ;NEGATIVE SQUARED LATIN CAPITAL LETTER W;So;0;L;;;;;N;;;;;
        "\u1F187",  # ;NEGATIVE SQUARED LATIN CAPITAL LETTER X;So;0;L;;;;;N;;;;;
        "\u1F188",  # ;NEGATIVE SQUARED LATIN CAPITAL LETTER Y;So;0;L;;;;;N;;;;;
        "\u1F189",  # ;NEGATIVE SQUARED LATIN CAPITAL LETTER Z;So;0;L;;;;;N;;;;;
        "\u1F18A",  # ;CROSSED NEGATIVE SQUARED LATIN CAPITAL LETTER P;So;0;L;;;;;N;;;;;
        "\u1F18B",  # ;NEGATIVE SQUARED IC;So;0;L;;;;;N;;;;;
        "\u1F18C",  # ;NEGATIVE SQUARED PA;So;0;L;;;;;N;;;;;
        "\u1F18D",  # ;NEGATIVE SQUARED SA;So;0;L;;;;;N;;;;;
        "\u1F18E",  # ;NEGATIVE SQUARED AB;So;0;L;;;;;N;;;;;
        "\u1F18F",  # ;NEGATIVE SQUARED WC;So;0;L;;;;;N;;;;;
        "\u1F190",  # ;SQUARE DJ;So;0;L;<square> 0044 004A;;;;N;;;;;
        "\u1F191",  # ;SQUARED CL;So;0;L;;;;;N;;;;;
        "\u1F192",  # ;SQUARED COOL;So;0;L;;;;;N;;;;;
        "\u1F193",  # ;SQUARED FREE;So;0;L;;;;;N;;;;;
        "\u1F194",  # ;SQUARED ID;So;0;L;;;;;N;;;;;
        "\u1F195",  # ;SQUARED NEW;So;0;L;;;;;N;;;;;
        "\u1F196",  # ;SQUARED NG;So;0;L;;;;;N;;;;;
        "\u1F197",  # ;SQUARED OK;So;0;L;;;;;N;;;;;
        "\u1F198",  # ;SQUARED SOS;So;0;L;;;;;N;;;;;
        "\u1F199",  # ;SQUARED UP WITH EXCLAMATION MARK;So;0;L;;;;;N;;;;;
        "\u1F19A",  # ;SQUARED VS;So;0;L;;;;;N;;;;;
        "\u1F19B",  # ;SQUARED THREE D;So;0;L;;;;;N;;;;;
        "\u1F19C",  # ;SQUARED SECOND SCREEN;So;0;L;;;;;N;;;;;
        "\u1F19D",  # ;SQUARED TWO K;So;0;L;;;;;N;;;;;
        "\u1F19E",  # ;SQUARED FOUR K;So;0;L;;;;;N;;;;;
        "\u1F19F",  # ;SQUARED EIGHT K;So;0;L;;;;;N;;;;;
        "\u1F1A0",  # ;SQUARED FIVE POINT ONE;So;0;L;;;;;N;;;;;
        "\u1F1A1",  # ;SQUARED SEVEN POINT ONE;So;0;L;;;;;N;;;;;
        "\u1F1A2",  # ;SQUARED TWENTY-TWO POINT TWO;So;0;L;;;;;N;;;;;
        "\u1F1A3",  # ;SQUARED SIXTY P;So;0;L;;;;;N;;;;;
        "\u1F1A4",  # ;SQUARED ONE HUNDRED TWENTY P;So;0;L;;;;;N;;;;;
        "\u1F1A5",  # ;SQUARED LATIN SMALL LETTER D;So;0;L;;;;;N;;;;;
        "\u1F1A6",  # ;SQUARED HC;So;0;L;;;;;N;;;;;
        "\u1F1A7",  # ;SQUARED HDR;So;0;L;;;;;N;;;;;
        "\u1F1A8",  # ;SQUARED HI-RES;So;0;L;;;;;N;;;;;
        "\u1F1A9",  # ;SQUARED LOSSLESS;So;0;L;;;;;N;;;;;
        "\u1F1AA",  # ;SQUARED SHV;So;0;L;;;;;N;;;;;
        "\u1F1AB",  # ;SQUARED UHD;So;0;L;;;;;N;;;;;
        "\u1F1AC",  # ;SQUARED VOD;So;0;L;;;;;N;;;;;
        "\u1F1E6",  # ;REGIONAL INDICATOR SYMBOL LETTER A;So;0;L;;;;;N;;;;;
        "\u1F1E7",  # ;REGIONAL INDICATOR SYMBOL LETTER B;So;0;L;;;;;N;;;;;
        "\u1F1E8",  # ;REGIONAL INDICATOR SYMBOL LETTER C;So;0;L;;;;;N;;;;;
        "\u1F1E9",  # ;REGIONAL INDICATOR SYMBOL LETTER D;So;0;L;;;;;N;;;;;
        "\u1F1EA",  # ;REGIONAL INDICATOR SYMBOL LETTER E;So;0;L;;;;;N;;;;;
        "\u1F1EB",  # ;REGIONAL INDICATOR SYMBOL LETTER F;So;0;L;;;;;N;;;;;
        "\u1F1EC",  # ;REGIONAL INDICATOR SYMBOL LETTER G;So;0;L;;;;;N;;;;;
        "\u1F1ED",  # ;REGIONAL INDICATOR SYMBOL LETTER H;So;0;L;;;;;N;;;;;
        "\u1F1EE",  # ;REGIONAL INDICATOR SYMBOL LETTER I;So;0;L;;;;;N;;;;;
        "\u1F1EF",  # ;REGIONAL INDICATOR SYMBOL LETTER J;So;0;L;;;;;N;;;;;
        "\u1F1F0",  # ;REGIONAL INDICATOR SYMBOL LETTER K;So;0;L;;;;;N;;;;;
        "\u1F1F1",  # ;REGIONAL INDICATOR SYMBOL LETTER L;So;0;L;;;;;N;;;;;
        "\u1F1F2",  # ;REGIONAL INDICATOR SYMBOL LETTER M;So;0;L;;;;;N;;;;;
        "\u1F1F3",  # ;REGIONAL INDICATOR SYMBOL LETTER N;So;0;L;;;;;N;;;;;
        "\u1F1F4",  # ;REGIONAL INDICATOR SYMBOL LETTER O;So;0;L;;;;;N;;;;;
        "\u1F1F5",  # ;REGIONAL INDICATOR SYMBOL LETTER P;So;0;L;;;;;N;;;;;
        "\u1F1F6",  # ;REGIONAL INDICATOR SYMBOL LETTER Q;So;0;L;;;;;N;;;;;
        "\u1F1F7",  # ;REGIONAL INDICATOR SYMBOL LETTER R;So;0;L;;;;;N;;;;;
        "\u1F1F8",  # ;REGIONAL INDICATOR SYMBOL LETTER S;So;0;L;;;;;N;;;;;
        "\u1F1F9",  # ;REGIONAL INDICATOR SYMBOL LETTER T;So;0;L;;;;;N;;;;;
        "\u1F1FA",  # ;REGIONAL INDICATOR SYMBOL LETTER U;So;0;L;;;;;N;;;;;
        "\u1F1FB",  # ;REGIONAL INDICATOR SYMBOL LETTER V;So;0;L;;;;;N;;;;;
        "\u1F1FC",  # ;REGIONAL INDICATOR SYMBOL LETTER W;So;0;L;;;;;N;;;;;
        "\u1F1FD",  # ;REGIONAL INDICATOR SYMBOL LETTER X;So;0;L;;;;;N;;;;;
        "\u1F1FE",  # ;REGIONAL INDICATOR SYMBOL LETTER Y;So;0;L;;;;;N;;;;;
        "\u1F1FF",  # ;REGIONAL INDICATOR SYMBOL LETTER Z;So;0;L;;;;;N;;;;;
        "\u1F200",  # ;SQUARE HIRAGANA HOKA;So;0;L;<square> 307B 304B;;;;N;;;;;
        "\u1F201",  # ;SQUARED KATAKANA KOKO;So;0;L;<square> 30B3 30B3;;;;N;;;;;
        "\u1F202",  # ;SQUARED KATAKANA SA;So;0;L;<square> 30B5;;;;N;;;;;
        "\u1F210",  # ;SQUARED CJK UNIFIED IDEOGRAPH-624B;So;0;L;<square> 624B;;;;N;;;;;
        "\u1F211",  # ;SQUARED CJK UNIFIED IDEOGRAPH-5B57;So;0;L;<square> 5B57;;;;N;;;;;
        "\u1F212",  # ;SQUARED CJK UNIFIED IDEOGRAPH-53CC;So;0;L;<square> 53CC;;;;N;;;;;
        "\u1F213",  # ;SQUARED KATAKANA DE;So;0;L;<square> 30C7;;;;N;;;;;
        "\u1F214",  # ;SQUARED CJK UNIFIED IDEOGRAPH-4E8C;So;0;L;<square> 4E8C;;;;N;;;;;
        "\u1F215",  # ;SQUARED CJK UNIFIED IDEOGRAPH-591A;So;0;L;<square> 591A;;;;N;;;;;
        "\u1F216",  # ;SQUARED CJK UNIFIED IDEOGRAPH-89E3;So;0;L;<square> 89E3;;;;N;;;;;
        "\u1F217",  # ;SQUARED CJK UNIFIED IDEOGRAPH-5929;So;0;L;<square> 5929;;;;N;;;;;
        "\u1F218",  # ;SQUARED CJK UNIFIED IDEOGRAPH-4EA4;So;0;L;<square> 4EA4;;;;N;;;;;
        "\u1F219",  # ;SQUARED CJK UNIFIED IDEOGRAPH-6620;So;0;L;<square> 6620;;;;N;;;;;
        "\u1F21A",  # ;SQUARED CJK UNIFIED IDEOGRAPH-7121;So;0;L;<square> 7121;;;;N;;;;;
        "\u1F21B",  # ;SQUARED CJK UNIFIED IDEOGRAPH-6599;So;0;L;<square> 6599;;;;N;;;;;
        "\u1F21C",  # ;SQUARED CJK UNIFIED IDEOGRAPH-524D;So;0;L;<square> 524D;;;;N;;;;;
        "\u1F21D",  # ;SQUARED CJK UNIFIED IDEOGRAPH-5F8C;So;0;L;<square> 5F8C;;;;N;;;;;
        "\u1F21E",  # ;SQUARED CJK UNIFIED IDEOGRAPH-518D;So;0;L;<square> 518D;;;;N;;;;;
        "\u1F21F",  # ;SQUARED CJK UNIFIED IDEOGRAPH-65B0;So;0;L;<square> 65B0;;;;N;;;;;
        "\u1F220",  # ;SQUARED CJK UNIFIED IDEOGRAPH-521D;So;0;L;<square> 521D;;;;N;;;;;
        "\u1F221",  # ;SQUARED CJK UNIFIED IDEOGRAPH-7D42;So;0;L;<square> 7D42;;;;N;;;;;
        "\u1F222",  # ;SQUARED CJK UNIFIED IDEOGRAPH-751F;So;0;L;<square> 751F;;;;N;;;;;
        "\u1F223",  # ;SQUARED CJK UNIFIED IDEOGRAPH-8CA9;So;0;L;<square> 8CA9;;;;N;;;;;
        "\u1F224",  # ;SQUARED CJK UNIFIED IDEOGRAPH-58F0;So;0;L;<square> 58F0;;;;N;;;;;
        "\u1F225",  # ;SQUARED CJK UNIFIED IDEOGRAPH-5439;So;0;L;<square> 5439;;;;N;;;;;
        "\u1F226",  # ;SQUARED CJK UNIFIED IDEOGRAPH-6F14;So;0;L;<square> 6F14;;;;N;;;;;
        "\u1F227",  # ;SQUARED CJK UNIFIED IDEOGRAPH-6295;So;0;L;<square> 6295;;;;N;;;;;
        "\u1F228",  # ;SQUARED CJK UNIFIED IDEOGRAPH-6355;So;0;L;<square> 6355;;;;N;;;;;
        "\u1F229",  # ;SQUARED CJK UNIFIED IDEOGRAPH-4E00;So;0;L;<square> 4E00;;;;N;;;;;
        "\u1F22A",  # ;SQUARED CJK UNIFIED IDEOGRAPH-4E09;So;0;L;<square> 4E09;;;;N;;;;;
        "\u1F22B",  # ;SQUARED CJK UNIFIED IDEOGRAPH-904A;So;0;L;<square> 904A;;;;N;;;;;
        "\u1F22C",  # ;SQUARED CJK UNIFIED IDEOGRAPH-5DE6;So;0;L;<square> 5DE6;;;;N;;;;;
        "\u1F22D",  # ;SQUARED CJK UNIFIED IDEOGRAPH-4E2D;So;0;L;<square> 4E2D;;;;N;;;;;
        "\u1F22E",  # ;SQUARED CJK UNIFIED IDEOGRAPH-53F3;So;0;L;<square> 53F3;;;;N;;;;;
        "\u1F22F",  # ;SQUARED CJK UNIFIED IDEOGRAPH-6307;So;0;L;<square> 6307;;;;N;;;;;
        "\u1F230",  # ;SQUARED CJK UNIFIED IDEOGRAPH-8D70;So;0;L;<square> 8D70;;;;N;;;;;
        "\u1F231",  # ;SQUARED CJK UNIFIED IDEOGRAPH-6253;So;0;L;<square> 6253;;;;N;;;;;
        "\u1F232",  # ;SQUARED CJK UNIFIED IDEOGRAPH-7981;So;0;L;<square> 7981;;;;N;;;;;
        "\u1F233",  # ;SQUARED CJK UNIFIED IDEOGRAPH-7A7A;So;0;L;<square> 7A7A;;;;N;;;;;
        "\u1F234",  # ;SQUARED CJK UNIFIED IDEOGRAPH-5408;So;0;L;<square> 5408;;;;N;;;;;
        "\u1F235",  # ;SQUARED CJK UNIFIED IDEOGRAPH-6E80;So;0;L;<square> 6E80;;;;N;;;;;
        "\u1F236",  # ;SQUARED CJK UNIFIED IDEOGRAPH-6709;So;0;L;<square> 6709;;;;N;;;;;
        "\u1F237",  # ;SQUARED CJK UNIFIED IDEOGRAPH-6708;So;0;L;<square> 6708;;;;N;;;;;
        "\u1F238",  # ;SQUARED CJK UNIFIED IDEOGRAPH-7533;So;0;L;<square> 7533;;;;N;;;;;
        "\u1F239",  # ;SQUARED CJK UNIFIED IDEOGRAPH-5272;So;0;L;<square> 5272;;;;N;;;;;
        "\u1F23A",  # ;SQUARED CJK UNIFIED IDEOGRAPH-55B6;So;0;L;<square> 55B6;;;;N;;;;;
        "\u1F23B",  # ;SQUARED CJK UNIFIED IDEOGRAPH-914D;So;0;L;<square> 914D;;;;N;;;;;
        "\u1F240",  # ;TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-672C;So;0;L;<compat> 3014 672C 3015;;;;N;;;;;
        "\u1F241",  # ;TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-4E09;So;0;L;<compat> 3014 4E09 3015;;;;N;;;;;
        "\u1F242",  # ;TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-4E8C;So;0;L;<compat> 3014 4E8C 3015;;;;N;;;;;
        "\u1F243",  # ;TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-5B89;So;0;L;<compat> 3014 5B89 3015;;;;N;;;;;
        "\u1F244",  # ;TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-70B9;So;0;L;<compat> 3014 70B9 3015;;;;N;;;;;
        "\u1F245",  # ;TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-6253;So;0;L;<compat> 3014 6253 3015;;;;N;;;;;
        "\u1F246",  # ;TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-76D7;So;0;L;<compat> 3014 76D7 3015;;;;N;;;;;
        "\u1F247",  # ;TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-52DD;So;0;L;<compat> 3014 52DD 3015;;;;N;;;;;
        "\u1F248",  # ;TORTOISE SHELL BRACKETED CJK UNIFIED IDEOGRAPH-6557;So;0;L;<compat> 3014 6557 3015;;;;N;;;;;
        "\u1F250",  # ;CIRCLED IDEOGRAPH ADVANTAGE;So;0;L;<circle> 5F97;;;;N;;;;;
        "\u1F251",  # ;CIRCLED IDEOGRAPH ACCEPT;So;0;L;<circle> 53EF;;;;N;;;;;
        "\u1F260",  # ;ROUNDED SYMBOL FOR FU;So;0;ON;;;;;N;;;;;
        "\u1F261",  # ;ROUNDED SYMBOL FOR LU;So;0;ON;;;;;N;;;;;
        "\u1F262",  # ;ROUNDED SYMBOL FOR SHOU;So;0;ON;;;;;N;;;;;
        "\u1F263",  # ;ROUNDED SYMBOL FOR XI;So;0;ON;;;;;N;;;;;
        "\u1F264",  # ;ROUNDED SYMBOL FOR SHUANGXI;So;0;ON;;;;;N;;;;;
        "\u1F265",  # ;ROUNDED SYMBOL FOR CAI;So;0;ON;;;;;N;;;;;
        "\u1F300",  # ;CYCLONE;So;0;ON;;;;;N;;;;;
        "\u1F301",  # ;FOGGY;So;0;ON;;;;;N;;;;;
        "\u1F302",  # ;CLOSED UMBRELLA;So;0;ON;;;;;N;;;;;
        "\u1F303",  # ;NIGHT WITH STARS;So;0;ON;;;;;N;;;;;
        "\u1F304",  # ;SUNRISE OVER MOUNTAINS;So;0;ON;;;;;N;;;;;
        "\u1F305",  # ;SUNRISE;So;0;ON;;;;;N;;;;;
        "\u1F306",  # ;CITYSCAPE AT DUSK;So;0;ON;;;;;N;;;;;
        "\u1F307",  # ;SUNSET OVER BUILDINGS;So;0;ON;;;;;N;;;;;
        "\u1F308",  # ;RAINBOW;So;0;ON;;;;;N;;;;;
        "\u1F309",  # ;BRIDGE AT NIGHT;So;0;ON;;;;;N;;;;;
        "\u1F30A",  # ;WATER WAVE;So;0;ON;;;;;N;;;;;
        "\u1F30B",  # ;VOLCANO;So;0;ON;;;;;N;;;;;
        "\u1F30C",  # ;MILKY WAY;So;0;ON;;;;;N;;;;;
        "\u1F30D",  # ;EARTH GLOBE EUROPE-AFRICA;So;0;ON;;;;;N;;;;;
        "\u1F30E",  # ;EARTH GLOBE AMERICAS;So;0;ON;;;;;N;;;;;
        "\u1F30F",  # ;EARTH GLOBE ASIA-AUSTRALIA;So;0;ON;;;;;N;;;;;
        "\u1F310",  # ;GLOBE WITH MERIDIANS;So;0;ON;;;;;N;;;;;
        "\u1F311",  # ;NEW MOON SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F312",  # ;WAXING CRESCENT MOON SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F313",  # ;FIRST QUARTER MOON SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F314",  # ;WAXING GIBBOUS MOON SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F315",  # ;FULL MOON SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F316",  # ;WANING GIBBOUS MOON SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F317",  # ;LAST QUARTER MOON SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F318",  # ;WANING CRESCENT MOON SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F319",  # ;CRESCENT MOON;So;0;ON;;;;;N;;;;;
        "\u1F31A",  # ;NEW MOON WITH FACE;So;0;ON;;;;;N;;;;;
        "\u1F31B",  # ;FIRST QUARTER MOON WITH FACE;So;0;ON;;;;;N;;;;;
        "\u1F31C",  # ;LAST QUARTER MOON WITH FACE;So;0;ON;;;;;N;;;;;
        "\u1F31D",  # ;FULL MOON WITH FACE;So;0;ON;;;;;N;;;;;
        "\u1F31E",  # ;SUN WITH FACE;So;0;ON;;;;;N;;;;;
        "\u1F31F",  # ;GLOWING STAR;So;0;ON;;;;;N;;;;;
        "\u1F320",  # ;SHOOTING STAR;So;0;ON;;;;;N;;;;;
        "\u1F321",  # ;THERMOMETER;So;0;ON;;;;;N;;;;;
        "\u1F322",  # ;BLACK DROPLET;So;0;ON;;;;;N;;;;;
        "\u1F323",  # ;WHITE SUN;So;0;ON;;;;;N;;;;;
        "\u1F324",  # ;WHITE SUN WITH SMALL CLOUD;So;0;ON;;;;;N;;;;;
        "\u1F325",  # ;WHITE SUN BEHIND CLOUD;So;0;ON;;;;;N;;;;;
        "\u1F326",  # ;WHITE SUN BEHIND CLOUD WITH RAIN;So;0;ON;;;;;N;;;;;
        "\u1F327",  # ;CLOUD WITH RAIN;So;0;ON;;;;;N;;;;;
        "\u1F328",  # ;CLOUD WITH SNOW;So;0;ON;;;;;N;;;;;
        "\u1F329",  # ;CLOUD WITH LIGHTNING;So;0;ON;;;;;N;;;;;
        "\u1F32A",  # ;CLOUD WITH TORNADO;So;0;ON;;;;;N;;;;;
        "\u1F32B",  # ;FOG;So;0;ON;;;;;N;;;;;
        "\u1F32C",  # ;WIND BLOWING FACE;So;0;ON;;;;;N;;;;;
        "\u1F32D",  # ;HOT DOG;So;0;ON;;;;;N;;;;;
        "\u1F32E",  # ;TACO;So;0;ON;;;;;N;;;;;
        "\u1F32F",  # ;BURRITO;So;0;ON;;;;;N;;;;;
        "\u1F330",  # ;CHESTNUT;So;0;ON;;;;;N;;;;;
        "\u1F331",  # ;SEEDLING;So;0;ON;;;;;N;;;;;
        "\u1F332",  # ;EVERGREEN TREE;So;0;ON;;;;;N;;;;;
        "\u1F333",  # ;DECIDUOUS TREE;So;0;ON;;;;;N;;;;;
        "\u1F334",  # ;PALM TREE;So;0;ON;;;;;N;;;;;
        "\u1F335",  # ;CACTUS;So;0;ON;;;;;N;;;;;
        "\u1F336",  # ;HOT PEPPER;So;0;ON;;;;;N;;;;;
        "\u1F337",  # ;TULIP;So;0;ON;;;;;N;;;;;
        "\u1F338",  # ;CHERRY BLOSSOM;So;0;ON;;;;;N;;;;;
        "\u1F339",  # ;ROSE;So;0;ON;;;;;N;;;;;
        "\u1F33A",  # ;HIBISCUS;So;0;ON;;;;;N;;;;;
        "\u1F33B",  # ;SUNFLOWER;So;0;ON;;;;;N;;;;;
        "\u1F33C",  # ;BLOSSOM;So;0;ON;;;;;N;;;;;
        "\u1F33D",  # ;EAR OF MAIZE;So;0;ON;;;;;N;;;;;
        "\u1F33E",  # ;EAR OF RICE;So;0;ON;;;;;N;;;;;
        "\u1F33F",  # ;HERB;So;0;ON;;;;;N;;;;;
        "\u1F340",  # ;FOUR LEAF CLOVER;So;0;ON;;;;;N;;;;;
        "\u1F341",  # ;MAPLE LEAF;So;0;ON;;;;;N;;;;;
        "\u1F342",  # ;FALLEN LEAF;So;0;ON;;;;;N;;;;;
        "\u1F343",  # ;LEAF FLUTTERING IN WIND;So;0;ON;;;;;N;;;;;
        "\u1F344",  # ;MUSHROOM;So;0;ON;;;;;N;;;;;
        "\u1F345",  # ;TOMATO;So;0;ON;;;;;N;;;;;
        "\u1F346",  # ;AUBERGINE;So;0;ON;;;;;N;;;;;
        "\u1F347",  # ;GRAPES;So;0;ON;;;;;N;;;;;
        "\u1F348",  # ;MELON;So;0;ON;;;;;N;;;;;
        "\u1F349",  # ;WATERMELON;So;0;ON;;;;;N;;;;;
        "\u1F34A",  # ;TANGERINE;So;0;ON;;;;;N;;;;;
        "\u1F34B",  # ;LEMON;So;0;ON;;;;;N;;;;;
        "\u1F34C",  # ;BANANA;So;0;ON;;;;;N;;;;;
        "\u1F34D",  # ;PINEAPPLE;So;0;ON;;;;;N;;;;;
        "\u1F34E",  # ;RED APPLE;So;0;ON;;;;;N;;;;;
        "\u1F34F",  # ;GREEN APPLE;So;0;ON;;;;;N;;;;;
        "\u1F350",  # ;PEAR;So;0;ON;;;;;N;;;;;
        "\u1F351",  # ;PEACH;So;0;ON;;;;;N;;;;;
        "\u1F352",  # ;CHERRIES;So;0;ON;;;;;N;;;;;
        "\u1F353",  # ;STRAWBERRY;So;0;ON;;;;;N;;;;;
        "\u1F354",  # ;HAMBURGER;So;0;ON;;;;;N;;;;;
        "\u1F355",  # ;SLICE OF PIZZA;So;0;ON;;;;;N;;;;;
        "\u1F356",  # ;MEAT ON BONE;So;0;ON;;;;;N;;;;;
        "\u1F357",  # ;POULTRY LEG;So;0;ON;;;;;N;;;;;
        "\u1F358",  # ;RICE CRACKER;So;0;ON;;;;;N;;;;;
        "\u1F359",  # ;RICE BALL;So;0;ON;;;;;N;;;;;
        "\u1F35A",  # ;COOKED RICE;So;0;ON;;;;;N;;;;;
        "\u1F35B",  # ;CURRY AND RICE;So;0;ON;;;;;N;;;;;
        "\u1F35C",  # ;STEAMING BOWL;So;0;ON;;;;;N;;;;;
        "\u1F35D",  # ;SPAGHETTI;So;0;ON;;;;;N;;;;;
        "\u1F35E",  # ;BREAD;So;0;ON;;;;;N;;;;;
        "\u1F35F",  # ;FRENCH FRIES;So;0;ON;;;;;N;;;;;
        "\u1F360",  # ;ROASTED SWEET POTATO;So;0;ON;;;;;N;;;;;
        "\u1F361",  # ;DANGO;So;0;ON;;;;;N;;;;;
        "\u1F362",  # ;ODEN;So;0;ON;;;;;N;;;;;
        "\u1F363",  # ;SUSHI;So;0;ON;;;;;N;;;;;
        "\u1F364",  # ;FRIED SHRIMP;So;0;ON;;;;;N;;;;;
        "\u1F365",  # ;FISH CAKE WITH SWIRL DESIGN;So;0;ON;;;;;N;;;;;
        "\u1F366",  # ;SOFT ICE CREAM;So;0;ON;;;;;N;;;;;
        "\u1F367",  # ;SHAVED ICE;So;0;ON;;;;;N;;;;;
        "\u1F368",  # ;ICE CREAM;So;0;ON;;;;;N;;;;;
        "\u1F369",  # ;DOUGHNUT;So;0;ON;;;;;N;;;;;
        "\u1F36A",  # ;COOKIE;So;0;ON;;;;;N;;;;;
        "\u1F36B",  # ;CHOCOLATE BAR;So;0;ON;;;;;N;;;;;
        "\u1F36C",  # ;CANDY;So;0;ON;;;;;N;;;;;
        "\u1F36D",  # ;LOLLIPOP;So;0;ON;;;;;N;;;;;
        "\u1F36E",  # ;CUSTARD;So;0;ON;;;;;N;;;;;
        "\u1F36F",  # ;HONEY POT;So;0;ON;;;;;N;;;;;
        "\u1F370",  # ;SHORTCAKE;So;0;ON;;;;;N;;;;;
        "\u1F371",  # ;BENTO BOX;So;0;ON;;;;;N;;;;;
        "\u1F372",  # ;POT OF FOOD;So;0;ON;;;;;N;;;;;
        "\u1F373",  # ;COOKING;So;0;ON;;;;;N;;;;;
        "\u1F374",  # ;FORK AND KNIFE;So;0;ON;;;;;N;;;;;
        "\u1F375",  # ;TEACUP WITHOUT HANDLE;So;0;ON;;;;;N;;;;;
        "\u1F376",  # ;SAKE BOTTLE AND CUP;So;0;ON;;;;;N;;;;;
        "\u1F377",  # ;WINE GLASS;So;0;ON;;;;;N;;;;;
        "\u1F378",  # ;COCKTAIL GLASS;So;0;ON;;;;;N;;;;;
        "\u1F379",  # ;TROPICAL DRINK;So;0;ON;;;;;N;;;;;
        "\u1F37A",  # ;BEER MUG;So;0;ON;;;;;N;;;;;
        "\u1F37B",  # ;CLINKING BEER MUGS;So;0;ON;;;;;N;;;;;
        "\u1F37C",  # ;BABY BOTTLE;So;0;ON;;;;;N;;;;;
        "\u1F37D",  # ;FORK AND KNIFE WITH PLATE;So;0;ON;;;;;N;;;;;
        "\u1F37E",  # ;BOTTLE WITH POPPING CORK;So;0;ON;;;;;N;;;;;
        "\u1F37F",  # ;POPCORN;So;0;ON;;;;;N;;;;;
        "\u1F380",  # ;RIBBON;So;0;ON;;;;;N;;;;;
        "\u1F381",  # ;WRAPPED PRESENT;So;0;ON;;;;;N;;;;;
        "\u1F382",  # ;BIRTHDAY CAKE;So;0;ON;;;;;N;;;;;
        "\u1F383",  # ;JACK-O-LANTERN;So;0;ON;;;;;N;;;;;
        "\u1F384",  # ;CHRISTMAS TREE;So;0;ON;;;;;N;;;;;
        "\u1F385",  # ;FATHER CHRISTMAS;So;0;ON;;;;;N;;;;;
        "\u1F386",  # ;FIREWORKS;So;0;ON;;;;;N;;;;;
        "\u1F387",  # ;FIREWORK SPARKLER;So;0;ON;;;;;N;;;;;
        "\u1F388",  # ;BALLOON;So;0;ON;;;;;N;;;;;
        "\u1F389",  # ;PARTY POPPER;So;0;ON;;;;;N;;;;;
        "\u1F38A",  # ;CONFETTI BALL;So;0;ON;;;;;N;;;;;
        "\u1F38B",  # ;TANABATA TREE;So;0;ON;;;;;N;;;;;
        "\u1F38C",  # ;CROSSED FLAGS;So;0;ON;;;;;N;;;;;
        "\u1F38D",  # ;PINE DECORATION;So;0;ON;;;;;N;;;;;
        "\u1F38E",  # ;JAPANESE DOLLS;So;0;ON;;;;;N;;;;;
        "\u1F38F",  # ;CARP STREAMER;So;0;ON;;;;;N;;;;;
        "\u1F390",  # ;WIND CHIME;So;0;ON;;;;;N;;;;;
        "\u1F391",  # ;MOON VIEWING CEREMONY;So;0;ON;;;;;N;;;;;
        "\u1F392",  # ;SCHOOL SATCHEL;So;0;ON;;;;;N;;;;;
        "\u1F393",  # ;GRADUATION CAP;So;0;ON;;;;;N;;;;;
        "\u1F394",  # ;HEART WITH TIP ON THE LEFT;So;0;ON;;;;;N;;;;;
        "\u1F395",  # ;BOUQUET OF FLOWERS;So;0;ON;;;;;N;;;;;
        "\u1F396",  # ;MILITARY MEDAL;So;0;ON;;;;;N;;;;;
        "\u1F397",  # ;REMINDER RIBBON;So;0;ON;;;;;N;;;;;
        "\u1F398",  # ;MUSICAL KEYBOARD WITH JACKS;So;0;ON;;;;;N;;;;;
        "\u1F399",  # ;STUDIO MICROPHONE;So;0;ON;;;;;N;;;;;
        "\u1F39A",  # ;LEVEL SLIDER;So;0;ON;;;;;N;;;;;
        "\u1F39B",  # ;CONTROL KNOBS;So;0;ON;;;;;N;;;;;
        "\u1F39C",  # ;BEAMED ASCENDING MUSICAL NOTES;So;0;ON;;;;;N;;;;;
        "\u1F39D",  # ;BEAMED DESCENDING MUSICAL NOTES;So;0;ON;;;;;N;;;;;
        "\u1F39E",  # ;FILM FRAMES;So;0;ON;;;;;N;;;;;
        "\u1F39F",  # ;ADMISSION TICKETS;So;0;ON;;;;;N;;;;;
        "\u1F3A0",  # ;CAROUSEL HORSE;So;0;ON;;;;;N;;;;;
        "\u1F3A1",  # ;FERRIS WHEEL;So;0;ON;;;;;N;;;;;
        "\u1F3A2",  # ;ROLLER COASTER;So;0;ON;;;;;N;;;;;
        "\u1F3A3",  # ;FISHING POLE AND FISH;So;0;ON;;;;;N;;;;;
        "\u1F3A4",  # ;MICROPHONE;So;0;ON;;;;;N;;;;;
        "\u1F3A5",  # ;MOVIE CAMERA;So;0;ON;;;;;N;;;;;
        "\u1F3A6",  # ;CINEMA;So;0;ON;;;;;N;;;;;
        "\u1F3A7",  # ;HEADPHONE;So;0;ON;;;;;N;;;;;
        "\u1F3A8",  # ;ARTIST PALETTE;So;0;ON;;;;;N;;;;;
        "\u1F3A9",  # ;TOP HAT;So;0;ON;;;;;N;;;;;
        "\u1F3AA",  # ;CIRCUS TENT;So;0;ON;;;;;N;;;;;
        "\u1F3AB",  # ;TICKET;So;0;ON;;;;;N;;;;;
        "\u1F3AC",  # ;CLAPPER BOARD;So;0;ON;;;;;N;;;;;
        "\u1F3AD",  # ;PERFORMING ARTS;So;0;ON;;;;;N;;;;;
        "\u1F3AE",  # ;VIDEO GAME;So;0;ON;;;;;N;;;;;
        "\u1F3AF",  # ;DIRECT HIT;So;0;ON;;;;;N;;;;;
        "\u1F3B0",  # ;SLOT MACHINE;So;0;ON;;;;;N;;;;;
        "\u1F3B1",  # ;BILLIARDS;So;0;ON;;;;;N;;;;;
        "\u1F3B2",  # ;GAME DIE;So;0;ON;;;;;N;;;;;
        "\u1F3B3",  # ;BOWLING;So;0;ON;;;;;N;;;;;
        "\u1F3B4",  # ;FLOWER PLAYING CARDS;So;0;ON;;;;;N;;;;;
        "\u1F3B5",  # ;MUSICAL NOTE;So;0;ON;;;;;N;;;;;
        "\u1F3B6",  # ;MULTIPLE MUSICAL NOTES;So;0;ON;;;;;N;;;;;
        "\u1F3B7",  # ;SAXOPHONE;So;0;ON;;;;;N;;;;;
        "\u1F3B8",  # ;GUITAR;So;0;ON;;;;;N;;;;;
        "\u1F3B9",  # ;MUSICAL KEYBOARD;So;0;ON;;;;;N;;;;;
        "\u1F3BA",  # ;TRUMPET;So;0;ON;;;;;N;;;;;
        "\u1F3BB",  # ;VIOLIN;So;0;ON;;;;;N;;;;;
        "\u1F3BC",  # ;MUSICAL SCORE;So;0;ON;;;;;N;;;;;
        "\u1F3BD",  # ;RUNNING SHIRT WITH SASH;So;0;ON;;;;;N;;;;;
        "\u1F3BE",  # ;TENNIS RACQUET AND BALL;So;0;ON;;;;;N;;;;;
        "\u1F3BF",  # ;SKI AND SKI BOOT;So;0;ON;;;;;N;;;;;
        "\u1F3C0",  # ;BASKETBALL AND HOOP;So;0;ON;;;;;N;;;;;
        "\u1F3C1",  # ;CHEQUERED FLAG;So;0;ON;;;;;N;;;;;
        "\u1F3C2",  # ;SNOWBOARDER;So;0;ON;;;;;N;;;;;
        "\u1F3C3",  # ;RUNNER;So;0;ON;;;;;N;;;;;
        "\u1F3C4",  # ;SURFER;So;0;ON;;;;;N;;;;;
        "\u1F3C5",  # ;SPORTS MEDAL;So;0;ON;;;;;N;;;;;
        "\u1F3C6",  # ;TROPHY;So;0;ON;;;;;N;;;;;
        "\u1F3C7",  # ;HORSE RACING;So;0;ON;;;;;N;;;;;
        "\u1F3C8",  # ;AMERICAN FOOTBALL;So;0;ON;;;;;N;;;;;
        "\u1F3C9",  # ;RUGBY FOOTBALL;So;0;ON;;;;;N;;;;;
        "\u1F3CA",  # ;SWIMMER;So;0;ON;;;;;N;;;;;
        "\u1F3CB",  # ;WEIGHT LIFTER;So;0;ON;;;;;N;;;;;
        "\u1F3CC",  # ;GOLFER;So;0;ON;;;;;N;;;;;
        "\u1F3CD",  # ;RACING MOTORCYCLE;So;0;ON;;;;;N;;;;;
        "\u1F3CE",  # ;RACING CAR;So;0;ON;;;;;N;;;;;
        "\u1F3CF",  # ;CRICKET BAT AND BALL;So;0;ON;;;;;N;;;;;
        "\u1F3D0",  # ;VOLLEYBALL;So;0;ON;;;;;N;;;;;
        "\u1F3D1",  # ;FIELD HOCKEY STICK AND BALL;So;0;ON;;;;;N;;;;;
        "\u1F3D2",  # ;ICE HOCKEY STICK AND PUCK;So;0;ON;;;;;N;;;;;
        "\u1F3D3",  # ;TABLE TENNIS PADDLE AND BALL;So;0;ON;;;;;N;;;;;
        "\u1F3D4",  # ;SNOW CAPPED MOUNTAIN;So;0;ON;;;;;N;;;;;
        "\u1F3D5",  # ;CAMPING;So;0;ON;;;;;N;;;;;
        "\u1F3D6",  # ;BEACH WITH UMBRELLA;So;0;ON;;;;;N;;;;;
        "\u1F3D7",  # ;BUILDING CONSTRUCTION;So;0;ON;;;;;N;;;;;
        "\u1F3D8",  # ;HOUSE BUILDINGS;So;0;ON;;;;;N;;;;;
        "\u1F3D9",  # ;CITYSCAPE;So;0;ON;;;;;N;;;;;
        "\u1F3DA",  # ;DERELICT HOUSE BUILDING;So;0;ON;;;;;N;;;;;
        "\u1F3DB",  # ;CLASSICAL BUILDING;So;0;ON;;;;;N;;;;;
        "\u1F3DC",  # ;DESERT;So;0;ON;;;;;N;;;;;
        "\u1F3DD",  # ;DESERT ISLAND;So;0;ON;;;;;N;;;;;
        "\u1F3DE",  # ;NATIONAL PARK;So;0;ON;;;;;N;;;;;
        "\u1F3DF",  # ;STADIUM;So;0;ON;;;;;N;;;;;
        "\u1F3E0",  # ;HOUSE BUILDING;So;0;ON;;;;;N;;;;;
        "\u1F3E1",  # ;HOUSE WITH GARDEN;So;0;ON;;;;;N;;;;;
        "\u1F3E2",  # ;OFFICE BUILDING;So;0;ON;;;;;N;;;;;
        "\u1F3E3",  # ;JAPANESE POST OFFICE;So;0;ON;;;;;N;;;;;
        "\u1F3E4",  # ;EUROPEAN POST OFFICE;So;0;ON;;;;;N;;;;;
        "\u1F3E5",  # ;HOSPITAL;So;0;ON;;;;;N;;;;;
        "\u1F3E6",  # ;BANK;So;0;ON;;;;;N;;;;;
        "\u1F3E7",  # ;AUTOMATED TELLER MACHINE;So;0;ON;;;;;N;;;;;
        "\u1F3E8",  # ;HOTEL;So;0;ON;;;;;N;;;;;
        "\u1F3E9",  # ;LOVE HOTEL;So;0;ON;;;;;N;;;;;
        "\u1F3EA",  # ;CONVENIENCE STORE;So;0;ON;;;;;N;;;;;
        "\u1F3EB",  # ;SCHOOL;So;0;ON;;;;;N;;;;;
        "\u1F3EC",  # ;DEPARTMENT STORE;So;0;ON;;;;;N;;;;;
        "\u1F3ED",  # ;FACTORY;So;0;ON;;;;;N;;;;;
        "\u1F3EE",  # ;IZAKAYA LANTERN;So;0;ON;;;;;N;;;;;
        "\u1F3EF",  # ;JAPANESE CASTLE;So;0;ON;;;;;N;;;;;
        "\u1F3F0",  # ;EUROPEAN CASTLE;So;0;ON;;;;;N;;;;;
        "\u1F3F1",  # ;WHITE PENNANT;So;0;ON;;;;;N;;;;;
        "\u1F3F2",  # ;BLACK PENNANT;So;0;ON;;;;;N;;;;;
        "\u1F3F3",  # ;WAVING WHITE FLAG;So;0;ON;;;;;N;;;;;
        "\u1F3F4",  # ;WAVING BLACK FLAG;So;0;ON;;;;;N;;;;;
        "\u1F3F5",  # ;ROSETTE;So;0;ON;;;;;N;;;;;
        "\u1F3F6",  # ;BLACK ROSETTE;So;0;ON;;;;;N;;;;;
        "\u1F3F7",  # ;LABEL;So;0;ON;;;;;N;;;;;
        "\u1F3F8",  # ;BADMINTON RACQUET AND SHUTTLECOCK;So;0;ON;;;;;N;;;;;
        "\u1F3F9",  # ;BOW AND ARROW;So;0;ON;;;;;N;;;;;
        "\u1F3FA",  # ;AMPHORA;So;0;ON;;;;;N;;;;;
        "\u1F3FB",  # ;EMOJI MODIFIER FITZPATRICK TYPE-1-2;Sk;0;ON;;;;;N;;;;;
        "\u1F3FC",  # ;EMOJI MODIFIER FITZPATRICK TYPE-3;Sk;0;ON;;;;;N;;;;;
        "\u1F3FD",  # ;EMOJI MODIFIER FITZPATRICK TYPE-4;Sk;0;ON;;;;;N;;;;;
        "\u1F3FE",  # ;EMOJI MODIFIER FITZPATRICK TYPE-5;Sk;0;ON;;;;;N;;;;;
        "\u1F3FF",  # ;EMOJI MODIFIER FITZPATRICK TYPE-6;Sk;0;ON;;;;;N;;;;;
        "\u1F400",  # ;RAT;So;0;ON;;;;;N;;;;;
        "\u1F401",  # ;MOUSE;So;0;ON;;;;;N;;;;;
        "\u1F402",  # ;OX;So;0;ON;;;;;N;;;;;
        "\u1F403",  # ;WATER BUFFALO;So;0;ON;;;;;N;;;;;
        "\u1F404",  # ;COW;So;0;ON;;;;;N;;;;;
        "\u1F405",  # ;TIGER;So;0;ON;;;;;N;;;;;
        "\u1F406",  # ;LEOPARD;So;0;ON;;;;;N;;;;;
        "\u1F407",  # ;RABBIT;So;0;ON;;;;;N;;;;;
        "\u1F408",  # ;CAT;So;0;ON;;;;;N;;;;;
        "\u1F409",  # ;DRAGON;So;0;ON;;;;;N;;;;;
        "\u1F40A",  # ;CROCODILE;So;0;ON;;;;;N;;;;;
        "\u1F40B",  # ;WHALE;So;0;ON;;;;;N;;;;;
        "\u1F40C",  # ;SNAIL;So;0;ON;;;;;N;;;;;
        "\u1F40D",  # ;SNAKE;So;0;ON;;;;;N;;;;;
        "\u1F40E",  # ;HORSE;So;0;ON;;;;;N;;;;;
        "\u1F40F",  # ;RAM;So;0;ON;;;;;N;;;;;
        "\u1F410",  # ;GOAT;So;0;ON;;;;;N;;;;;
        "\u1F411",  # ;SHEEP;So;0;ON;;;;;N;;;;;
        "\u1F412",  # ;MONKEY;So;0;ON;;;;;N;;;;;
        "\u1F413",  # ;ROOSTER;So;0;ON;;;;;N;;;;;
        "\u1F414",  # ;CHICKEN;So;0;ON;;;;;N;;;;;
        "\u1F415",  # ;DOG;So;0;ON;;;;;N;;;;;
        "\u1F416",  # ;PIG;So;0;ON;;;;;N;;;;;
        "\u1F417",  # ;BOAR;So;0;ON;;;;;N;;;;;
        "\u1F418",  # ;ELEPHANT;So;0;ON;;;;;N;;;;;
        "\u1F419",  # ;OCTOPUS;So;0;ON;;;;;N;;;;;
        "\u1F41A",  # ;SPIRAL SHELL;So;0;ON;;;;;N;;;;;
        "\u1F41B",  # ;BUG;So;0;ON;;;;;N;;;;;
        "\u1F41C",  # ;ANT;So;0;ON;;;;;N;;;;;
        "\u1F41D",  # ;HONEYBEE;So;0;ON;;;;;N;;;;;
        "\u1F41E",  # ;LADY BEETLE;So;0;ON;;;;;N;;;;;
        "\u1F41F",  # ;FISH;So;0;ON;;;;;N;;;;;
        "\u1F420",  # ;TROPICAL FISH;So;0;ON;;;;;N;;;;;
        "\u1F421",  # ;BLOWFISH;So;0;ON;;;;;N;;;;;
        "\u1F422",  # ;TURTLE;So;0;ON;;;;;N;;;;;
        "\u1F423",  # ;HATCHING CHICK;So;0;ON;;;;;N;;;;;
        "\u1F424",  # ;BABY CHICK;So;0;ON;;;;;N;;;;;
        "\u1F425",  # ;FRONT-FACING BABY CHICK;So;0;ON;;;;;N;;;;;
        "\u1F426",  # ;BIRD;So;0;ON;;;;;N;;;;;
        "\u1F427",  # ;PENGUIN;So;0;ON;;;;;N;;;;;
        "\u1F428",  # ;KOALA;So;0;ON;;;;;N;;;;;
        "\u1F429",  # ;POODLE;So;0;ON;;;;;N;;;;;
        "\u1F42A",  # ;DROMEDARY CAMEL;So;0;ON;;;;;N;;;;;
        "\u1F42B",  # ;BACTRIAN CAMEL;So;0;ON;;;;;N;;;;;
        "\u1F42C",  # ;DOLPHIN;So;0;ON;;;;;N;;;;;
        "\u1F42D",  # ;MOUSE FACE;So;0;ON;;;;;N;;;;;
        "\u1F42E",  # ;COW FACE;So;0;ON;;;;;N;;;;;
        "\u1F42F",  # ;TIGER FACE;So;0;ON;;;;;N;;;;;
        "\u1F430",  # ;RABBIT FACE;So;0;ON;;;;;N;;;;;
        "\u1F431",  # ;CAT FACE;So;0;ON;;;;;N;;;;;
        "\u1F432",  # ;DRAGON FACE;So;0;ON;;;;;N;;;;;
        "\u1F433",  # ;SPOUTING WHALE;So;0;ON;;;;;N;;;;;
        "\u1F434",  # ;HORSE FACE;So;0;ON;;;;;N;;;;;
        "\u1F435",  # ;MONKEY FACE;So;0;ON;;;;;N;;;;;
        "\u1F436",  # ;DOG FACE;So;0;ON;;;;;N;;;;;
        "\u1F437",  # ;PIG FACE;So;0;ON;;;;;N;;;;;
        "\u1F438",  # ;FROG FACE;So;0;ON;;;;;N;;;;;
        "\u1F439",  # ;HAMSTER FACE;So;0;ON;;;;;N;;;;;
        "\u1F43A",  # ;WOLF FACE;So;0;ON;;;;;N;;;;;
        "\u1F43B",  # ;BEAR FACE;So;0;ON;;;;;N;;;;;
        "\u1F43C",  # ;PANDA FACE;So;0;ON;;;;;N;;;;;
        "\u1F43D",  # ;PIG NOSE;So;0;ON;;;;;N;;;;;
        "\u1F43E",  # ;PAW PRINTS;So;0;ON;;;;;N;;;;;
        "\u1F43F",  # ;CHIPMUNK;So;0;ON;;;;;N;;;;;
        "\u1F440",  # ;EYES;So;0;ON;;;;;N;;;;;
        "\u1F441",  # ;EYE;So;0;ON;;;;;N;;;;;
        "\u1F442",  # ;EAR;So;0;ON;;;;;N;;;;;
        "\u1F443",  # ;NOSE;So;0;ON;;;;;N;;;;;
        "\u1F444",  # ;MOUTH;So;0;ON;;;;;N;;;;;
        "\u1F445",  # ;TONGUE;So;0;ON;;;;;N;;;;;
        "\u1F446",  # ;WHITE UP POINTING BACKHAND INDEX;So;0;ON;;;;;N;;;;;
        "\u1F447",  # ;WHITE DOWN POINTING BACKHAND INDEX;So;0;ON;;;;;N;;;;;
        "\u1F448",  # ;WHITE LEFT POINTING BACKHAND INDEX;So;0;ON;;;;;N;;;;;
        "\u1F449",  # ;WHITE RIGHT POINTING BACKHAND INDEX;So;0;ON;;;;;N;;;;;
        "\u1F44A",  # ;FISTED HAND SIGN;So;0;ON;;;;;N;;;;;
        "\u1F44B",  # ;WAVING HAND SIGN;So;0;ON;;;;;N;;;;;
        "\u1F44C",  # ;OK HAND SIGN;So;0;ON;;;;;N;;;;;
        "\u1F44D",  # ;THUMBS UP SIGN;So;0;ON;;;;;N;;;;;
        "\u1F44E",  # ;THUMBS DOWN SIGN;So;0;ON;;;;;N;;;;;
        "\u1F44F",  # ;CLAPPING HANDS SIGN;So;0;ON;;;;;N;;;;;
        "\u1F450",  # ;OPEN HANDS SIGN;So;0;ON;;;;;N;;;;;
        "\u1F451",  # ;CROWN;So;0;ON;;;;;N;;;;;
        "\u1F452",  # ;WOMANS HAT;So;0;ON;;;;;N;;;;;
        "\u1F453",  # ;EYEGLASSES;So;0;ON;;;;;N;;;;;
        "\u1F454",  # ;NECKTIE;So;0;ON;;;;;N;;;;;
        "\u1F455",  # ;T-SHIRT;So;0;ON;;;;;N;;;;;
        "\u1F456",  # ;JEANS;So;0;ON;;;;;N;;;;;
        "\u1F457",  # ;DRESS;So;0;ON;;;;;N;;;;;
        "\u1F458",  # ;KIMONO;So;0;ON;;;;;N;;;;;
        "\u1F459",  # ;BIKINI;So;0;ON;;;;;N;;;;;
        "\u1F45A",  # ;WOMANS CLOTHES;So;0;ON;;;;;N;;;;;
        "\u1F45B",  # ;PURSE;So;0;ON;;;;;N;;;;;
        "\u1F45C",  # ;HANDBAG;So;0;ON;;;;;N;;;;;
        "\u1F45D",  # ;POUCH;So;0;ON;;;;;N;;;;;
        "\u1F45E",  # ;MANS SHOE;So;0;ON;;;;;N;;;;;
        "\u1F45F",  # ;ATHLETIC SHOE;So;0;ON;;;;;N;;;;;
        "\u1F460",  # ;HIGH-HEELED SHOE;So;0;ON;;;;;N;;;;;
        "\u1F461",  # ;WOMANS SANDAL;So;0;ON;;;;;N;;;;;
        "\u1F462",  # ;WOMANS BOOTS;So;0;ON;;;;;N;;;;;
        "\u1F463",  # ;FOOTPRINTS;So;0;ON;;;;;N;;;;;
        "\u1F464",  # ;BUST IN SILHOUETTE;So;0;ON;;;;;N;;;;;
        "\u1F465",  # ;BUSTS IN SILHOUETTE;So;0;ON;;;;;N;;;;;
        "\u1F466",  # ;BOY;So;0;ON;;;;;N;;;;;
        "\u1F467",  # ;GIRL;So;0;ON;;;;;N;;;;;
        "\u1F468",  # ;MAN;So;0;ON;;;;;N;;;;;
        "\u1F469",  # ;WOMAN;So;0;ON;;;;;N;;;;;
        "\u1F46A",  # ;FAMILY;So;0;ON;;;;;N;;;;;
        "\u1F46B",  # ;MAN AND WOMAN HOLDING HANDS;So;0;ON;;;;;N;;;;;
        "\u1F46C",  # ;TWO MEN HOLDING HANDS;So;0;ON;;;;;N;;;;;
        "\u1F46D",  # ;TWO WOMEN HOLDING HANDS;So;0;ON;;;;;N;;;;;
        "\u1F46E",  # ;POLICE OFFICER;So;0;ON;;;;;N;;;;;
        "\u1F46F",  # ;WOMAN WITH BUNNY EARS;So;0;ON;;;;;N;;;;;
        "\u1F470",  # ;BRIDE WITH VEIL;So;0;ON;;;;;N;;;;;
        "\u1F471",  # ;PERSON WITH BLOND HAIR;So;0;ON;;;;;N;;;;;
        "\u1F472",  # ;MAN WITH GUA PI MAO;So;0;ON;;;;;N;;;;;
        "\u1F473",  # ;MAN WITH TURBAN;So;0;ON;;;;;N;;;;;
        "\u1F474",  # ;OLDER MAN;So;0;ON;;;;;N;;;;;
        "\u1F475",  # ;OLDER WOMAN;So;0;ON;;;;;N;;;;;
        "\u1F476",  # ;BABY;So;0;ON;;;;;N;;;;;
        "\u1F477",  # ;CONSTRUCTION WORKER;So;0;ON;;;;;N;;;;;
        "\u1F478",  # ;PRINCESS;So;0;ON;;;;;N;;;;;
        "\u1F479",  # ;JAPANESE OGRE;So;0;ON;;;;;N;;;;;
        "\u1F47A",  # ;JAPANESE GOBLIN;So;0;ON;;;;;N;;;;;
        "\u1F47B",  # ;GHOST;So;0;ON;;;;;N;;;;;
        "\u1F47C",  # ;BABY ANGEL;So;0;ON;;;;;N;;;;;
        "\u1F47D",  # ;EXTRATERRESTRIAL ALIEN;So;0;ON;;;;;N;;;;;
        "\u1F47E",  # ;ALIEN MONSTER;So;0;ON;;;;;N;;;;;
        "\u1F47F",  # ;IMP;So;0;ON;;;;;N;;;;;
        "\u1F480",  # ;SKULL;So;0;ON;;;;;N;;;;;
        "\u1F481",  # ;INFORMATION DESK PERSON;So;0;ON;;;;;N;;;;;
        "\u1F482",  # ;GUARDSMAN;So;0;ON;;;;;N;;;;;
        "\u1F483",  # ;DANCER;So;0;ON;;;;;N;;;;;
        "\u1F484",  # ;LIPSTICK;So;0;ON;;;;;N;;;;;
        "\u1F485",  # ;NAIL POLISH;So;0;ON;;;;;N;;;;;
        "\u1F486",  # ;FACE MASSAGE;So;0;ON;;;;;N;;;;;
        "\u1F487",  # ;HAIRCUT;So;0;ON;;;;;N;;;;;
        "\u1F488",  # ;BARBER POLE;So;0;ON;;;;;N;;;;;
        "\u1F489",  # ;SYRINGE;So;0;ON;;;;;N;;;;;
        "\u1F48A",  # ;PILL;So;0;ON;;;;;N;;;;;
        "\u1F48B",  # ;KISS MARK;So;0;ON;;;;;N;;;;;
        "\u1F48C",  # ;LOVE LETTER;So;0;ON;;;;;N;;;;;
        "\u1F48D",  # ;RING;So;0;ON;;;;;N;;;;;
        "\u1F48E",  # ;GEM STONE;So;0;ON;;;;;N;;;;;
        "\u1F48F",  # ;KISS;So;0;ON;;;;;N;;;;;
        "\u1F490",  # ;BOUQUET;So;0;ON;;;;;N;;;;;
        "\u1F491",  # ;COUPLE WITH HEART;So;0;ON;;;;;N;;;;;
        "\u1F492",  # ;WEDDING;So;0;ON;;;;;N;;;;;
        "\u1F493",  # ;BEATING HEART;So;0;ON;;;;;N;;;;;
        "\u1F494",  # ;BROKEN HEART;So;0;ON;;;;;N;;;;;
        "\u1F495",  # ;TWO HEARTS;So;0;ON;;;;;N;;;;;
        "\u1F496",  # ;SPARKLING HEART;So;0;ON;;;;;N;;;;;
        "\u1F497",  # ;GROWING HEART;So;0;ON;;;;;N;;;;;
        "\u1F498",  # ;HEART WITH ARROW;So;0;ON;;;;;N;;;;;
        "\u1F499",  # ;BLUE HEART;So;0;ON;;;;;N;;;;;
        "\u1F49A",  # ;GREEN HEART;So;0;ON;;;;;N;;;;;
        "\u1F49B",  # ;YELLOW HEART;So;0;ON;;;;;N;;;;;
        "\u1F49C",  # ;PURPLE HEART;So;0;ON;;;;;N;;;;;
        "\u1F49D",  # ;HEART WITH RIBBON;So;0;ON;;;;;N;;;;;
        "\u1F49E",  # ;REVOLVING HEARTS;So;0;ON;;;;;N;;;;;
        "\u1F49F",  # ;HEART DECORATION;So;0;ON;;;;;N;;;;;
        "\u1F4A0",  # ;DIAMOND SHAPE WITH A DOT INSIDE;So;0;ON;;;;;N;;;;;
        "\u1F4A1",  # ;ELECTRIC LIGHT BULB;So;0;ON;;;;;N;;;;;
        "\u1F4A2",  # ;ANGER SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F4A3",  # ;BOMB;So;0;ON;;;;;N;;;;;
        "\u1F4A4",  # ;SLEEPING SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F4A5",  # ;COLLISION SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F4A6",  # ;SPLASHING SWEAT SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F4A7",  # ;DROPLET;So;0;ON;;;;;N;;;;;
        "\u1F4A8",  # ;DASH SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F4A9",  # ;PILE OF POO;So;0;ON;;;;;N;;;;;
        "\u1F4AA",  # ;FLEXED BICEPS;So;0;ON;;;;;N;;;;;
        "\u1F4AB",  # ;DIZZY SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F4AC",  # ;SPEECH BALLOON;So;0;ON;;;;;N;;;;;
        "\u1F4AD",  # ;THOUGHT BALLOON;So;0;ON;;;;;N;;;;;
        "\u1F4AE",  # ;WHITE FLOWER;So;0;ON;;;;;N;;;;;
        "\u1F4AF",  # ;HUNDRED POINTS SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F4B0",  # ;MONEY BAG;So;0;ON;;;;;N;;;;;
        "\u1F4B1",  # ;CURRENCY EXCHANGE;So;0;ON;;;;;N;;;;;
        "\u1F4B2",  # ;HEAVY DOLLAR SIGN;So;0;ON;;;;;N;;;;;
        "\u1F4B3",  # ;CREDIT CARD;So;0;ON;;;;;N;;;;;
        "\u1F4B4",  # ;BANKNOTE WITH YEN SIGN;So;0;ON;;;;;N;;;;;
        "\u1F4B5",  # ;BANKNOTE WITH DOLLAR SIGN;So;0;ON;;;;;N;;;;;
        "\u1F4B6",  # ;BANKNOTE WITH EURO SIGN;So;0;ON;;;;;N;;;;;
        "\u1F4B7",  # ;BANKNOTE WITH POUND SIGN;So;0;ON;;;;;N;;;;;
        "\u1F4B8",  # ;MONEY WITH WINGS;So;0;ON;;;;;N;;;;;
        "\u1F4B9",  # ;CHART WITH UPWARDS TREND AND YEN SIGN;So;0;ON;;;;;N;;;;;
        "\u1F4BA",  # ;SEAT;So;0;ON;;;;;N;;;;;
        "\u1F4BB",  # ;PERSONAL COMPUTER;So;0;ON;;;;;N;;;;;
        "\u1F4BC",  # ;BRIEFCASE;So;0;ON;;;;;N;;;;;
        "\u1F4BD",  # ;MINIDISC;So;0;ON;;;;;N;;;;;
        "\u1F4BE",  # ;FLOPPY DISK;So;0;ON;;;;;N;;;;;
        "\u1F4BF",  # ;OPTICAL DISC;So;0;ON;;;;;N;;;;;
        "\u1F4C0",  # ;DVD;So;0;ON;;;;;N;;;;;
        "\u1F4C1",  # ;FILE FOLDER;So;0;ON;;;;;N;;;;;
        "\u1F4C2",  # ;OPEN FILE FOLDER;So;0;ON;;;;;N;;;;;
        "\u1F4C3",  # ;PAGE WITH CURL;So;0;ON;;;;;N;;;;;
        "\u1F4C4",  # ;PAGE FACING UP;So;0;ON;;;;;N;;;;;
        "\u1F4C5",  # ;CALENDAR;So;0;ON;;;;;N;;;;;
        "\u1F4C6",  # ;TEAR-OFF CALENDAR;So;0;ON;;;;;N;;;;;
        "\u1F4C7",  # ;CARD INDEX;So;0;ON;;;;;N;;;;;
        "\u1F4C8",  # ;CHART WITH UPWARDS TREND;So;0;ON;;;;;N;;;;;
        "\u1F4C9",  # ;CHART WITH DOWNWARDS TREND;So;0;ON;;;;;N;;;;;
        "\u1F4CA",  # ;BAR CHART;So;0;ON;;;;;N;;;;;
        "\u1F4CB",  # ;CLIPBOARD;So;0;ON;;;;;N;;;;;
        "\u1F4CC",  # ;PUSHPIN;So;0;ON;;;;;N;;;;;
        "\u1F4CD",  # ;ROUND PUSHPIN;So;0;ON;;;;;N;;;;;
        "\u1F4CE",  # ;PAPERCLIP;So;0;ON;;;;;N;;;;;
        "\u1F4CF",  # ;STRAIGHT RULER;So;0;ON;;;;;N;;;;;
        "\u1F4D0",  # ;TRIANGULAR RULER;So;0;ON;;;;;N;;;;;
        "\u1F4D1",  # ;BOOKMARK TABS;So;0;ON;;;;;N;;;;;
        "\u1F4D2",  # ;LEDGER;So;0;ON;;;;;N;;;;;
        "\u1F4D3",  # ;NOTEBOOK;So;0;ON;;;;;N;;;;;
        "\u1F4D4",  # ;NOTEBOOK WITH DECORATIVE COVER;So;0;ON;;;;;N;;;;;
        "\u1F4D5",  # ;CLOSED BOOK;So;0;ON;;;;;N;;;;;
        "\u1F4D6",  # ;OPEN BOOK;So;0;ON;;;;;N;;;;;
        "\u1F4D7",  # ;GREEN BOOK;So;0;ON;;;;;N;;;;;
        "\u1F4D8",  # ;BLUE BOOK;So;0;ON;;;;;N;;;;;
        "\u1F4D9",  # ;ORANGE BOOK;So;0;ON;;;;;N;;;;;
        "\u1F4DA",  # ;BOOKS;So;0;ON;;;;;N;;;;;
        "\u1F4DB",  # ;NAME BADGE;So;0;ON;;;;;N;;;;;
        "\u1F4DC",  # ;SCROLL;So;0;ON;;;;;N;;;;;
        "\u1F4DD",  # ;MEMO;So;0;ON;;;;;N;;;;;
        "\u1F4DE",  # ;TELEPHONE RECEIVER;So;0;ON;;;;;N;;;;;
        "\u1F4DF",  # ;PAGER;So;0;ON;;;;;N;;;;;
        "\u1F4E0",  # ;FAX MACHINE;So;0;ON;;;;;N;;;;;
        "\u1F4E1",  # ;SATELLITE ANTENNA;So;0;ON;;;;;N;;;;;
        "\u1F4E2",  # ;PUBLIC ADDRESS LOUDSPEAKER;So;0;ON;;;;;N;;;;;
        "\u1F4E3",  # ;CHEERING MEGAPHONE;So;0;ON;;;;;N;;;;;
        "\u1F4E4",  # ;OUTBOX TRAY;So;0;ON;;;;;N;;;;;
        "\u1F4E5",  # ;INBOX TRAY;So;0;ON;;;;;N;;;;;
        "\u1F4E6",  # ;PACKAGE;So;0;ON;;;;;N;;;;;
        "\u1F4E7",  # ;E-MAIL SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F4E8",  # ;INCOMING ENVELOPE;So;0;ON;;;;;N;;;;;
        "\u1F4E9",  # ;ENVELOPE WITH DOWNWARDS ARROW ABOVE;So;0;ON;;;;;N;;;;;
        "\u1F4EA",  # ;CLOSED MAILBOX WITH LOWERED FLAG;So;0;ON;;;;;N;;;;;
        "\u1F4EB",  # ;CLOSED MAILBOX WITH RAISED FLAG;So;0;ON;;;;;N;;;;;
        "\u1F4EC",  # ;OPEN MAILBOX WITH RAISED FLAG;So;0;ON;;;;;N;;;;;
        "\u1F4ED",  # ;OPEN MAILBOX WITH LOWERED FLAG;So;0;ON;;;;;N;;;;;
        "\u1F4EE",  # ;POSTBOX;So;0;ON;;;;;N;;;;;
        "\u1F4EF",  # ;POSTAL HORN;So;0;ON;;;;;N;;;;;
        "\u1F4F0",  # ;NEWSPAPER;So;0;ON;;;;;N;;;;;
        "\u1F4F1",  # ;MOBILE PHONE;So;0;ON;;;;;N;;;;;
        "\u1F4F2",  # ;MOBILE PHONE WITH RIGHTWARDS ARROW AT LEFT;So;0;ON;;;;;N;;;;;
        "\u1F4F3",  # ;VIBRATION MODE;So;0;ON;;;;;N;;;;;
        "\u1F4F4",  # ;MOBILE PHONE OFF;So;0;ON;;;;;N;;;;;
        "\u1F4F5",  # ;NO MOBILE PHONES;So;0;ON;;;;;N;;;;;
        "\u1F4F6",  # ;ANTENNA WITH BARS;So;0;ON;;;;;N;;;;;
        "\u1F4F7",  # ;CAMERA;So;0;ON;;;;;N;;;;;
        "\u1F4F8",  # ;CAMERA WITH FLASH;So;0;ON;;;;;N;;;;;
        "\u1F4F9",  # ;VIDEO CAMERA;So;0;ON;;;;;N;;;;;
        "\u1F4FA",  # ;TELEVISION;So;0;ON;;;;;N;;;;;
        "\u1F4FB",  # ;RADIO;So;0;ON;;;;;N;;;;;
        "\u1F4FC",  # ;VIDEOCASSETTE;So;0;ON;;;;;N;;;;;
        "\u1F4FD",  # ;FILM PROJECTOR;So;0;ON;;;;;N;;;;;
        "\u1F4FE",  # ;PORTABLE STEREO;So;0;ON;;;;;N;;;;;
        "\u1F4FF",  # ;PRAYER BEADS;So;0;ON;;;;;N;;;;;
        "\u1F500",  # ;TWISTED RIGHTWARDS ARROWS;So;0;ON;;;;;N;;;;;
        "\u1F501",  # ;CLOCKWISE RIGHTWARDS AND LEFTWARDS OPEN CIRCLE ARROWS;So;0;ON;;;;;N;;;;;
        "\u1F502",  # ;CLOCKWISE RIGHTWARDS AND LEFTWARDS OPEN CIRCLE ARROWS WITH CIRCLED ONE OVERLAY;So;0;ON;;;;;N;;;;;
        "\u1F503",  # ;CLOCKWISE DOWNWARDS AND UPWARDS OPEN CIRCLE ARROWS;So;0;ON;;;;;N;;;;;
        "\u1F504",  # ;ANTICLOCKWISE DOWNWARDS AND UPWARDS OPEN CIRCLE ARROWS;So;0;ON;;;;;N;;;;;
        "\u1F505",  # ;LOW BRIGHTNESS SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F506",  # ;HIGH BRIGHTNESS SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F507",  # ;SPEAKER WITH CANCELLATION STROKE;So;0;ON;;;;;N;;;;;
        "\u1F508",  # ;SPEAKER;So;0;ON;;;;;N;;;;;
        "\u1F509",  # ;SPEAKER WITH ONE SOUND WAVE;So;0;ON;;;;;N;;;;;
        "\u1F50A",  # ;SPEAKER WITH THREE SOUND WAVES;So;0;ON;;;;;N;;;;;
        "\u1F50B",  # ;BATTERY;So;0;ON;;;;;N;;;;;
        "\u1F50C",  # ;ELECTRIC PLUG;So;0;ON;;;;;N;;;;;
        "\u1F50D",  # ;LEFT-POINTING MAGNIFYING GLASS;So;0;ON;;;;;N;;;;;
        "\u1F50E",  # ;RIGHT-POINTING MAGNIFYING GLASS;So;0;ON;;;;;N;;;;;
        "\u1F50F",  # ;LOCK WITH INK PEN;So;0;ON;;;;;N;;;;;
        "\u1F510",  # ;CLOSED LOCK WITH KEY;So;0;ON;;;;;N;;;;;
        "\u1F511",  # ;KEY;So;0;ON;;;;;N;;;;;
        "\u1F512",  # ;LOCK;So;0;ON;;;;;N;;;;;
        "\u1F513",  # ;OPEN LOCK;So;0;ON;;;;;N;;;;;
        "\u1F514",  # ;BELL;So;0;ON;;;;;N;;;;;
        "\u1F515",  # ;BELL WITH CANCELLATION STROKE;So;0;ON;;;;;N;;;;;
        "\u1F516",  # ;BOOKMARK;So;0;ON;;;;;N;;;;;
        "\u1F517",  # ;LINK SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F518",  # ;RADIO BUTTON;So;0;ON;;;;;N;;;;;
        "\u1F519",  # ;BACK WITH LEFTWARDS ARROW ABOVE;So;0;ON;;;;;N;;;;;
        "\u1F51A",  # ;END WITH LEFTWARDS ARROW ABOVE;So;0;ON;;;;;N;;;;;
        "\u1F51B",  # ;ON WITH EXCLAMATION MARK WITH LEFT RIGHT ARROW ABOVE;So;0;ON;;;;;N;;;;;
        "\u1F51C",  # ;SOON WITH RIGHTWARDS ARROW ABOVE;So;0;ON;;;;;N;;;;;
        "\u1F51D",  # ;TOP WITH UPWARDS ARROW ABOVE;So;0;ON;;;;;N;;;;;
        "\u1F51E",  # ;NO ONE UNDER EIGHTEEN SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F51F",  # ;KEYCAP TEN;So;0;ON;;;;;N;;;;;
        "\u1F520",  # ;INPUT SYMBOL FOR LATIN CAPITAL LETTERS;So;0;ON;;;;;N;;;;;
        "\u1F521",  # ;INPUT SYMBOL FOR LATIN SMALL LETTERS;So;0;ON;;;;;N;;;;;
        "\u1F522",  # ;INPUT SYMBOL FOR NUMBERS;So;0;ON;;;;;N;;;;;
        "\u1F523",  # ;INPUT SYMBOL FOR SYMBOLS;So;0;ON;;;;;N;;;;;
        "\u1F524",  # ;INPUT SYMBOL FOR LATIN LETTERS;So;0;ON;;;;;N;;;;;
        "\u1F525",  # ;FIRE;So;0;ON;;;;;N;;;;;
        "\u1F526",  # ;ELECTRIC TORCH;So;0;ON;;;;;N;;;;;
        "\u1F527",  # ;WRENCH;So;0;ON;;;;;N;;;;;
        "\u1F528",  # ;HAMMER;So;0;ON;;;;;N;;;;;
        "\u1F529",  # ;NUT AND BOLT;So;0;ON;;;;;N;;;;;
        "\u1F52A",  # ;HOCHO;So;0;ON;;;;;N;;;;;
        "\u1F52B",  # ;PISTOL;So;0;ON;;;;;N;;;;;
        "\u1F52C",  # ;MICROSCOPE;So;0;ON;;;;;N;;;;;
        "\u1F52D",  # ;TELESCOPE;So;0;ON;;;;;N;;;;;
        "\u1F52E",  # ;CRYSTAL BALL;So;0;ON;;;;;N;;;;;
        "\u1F52F",  # ;SIX POINTED STAR WITH MIDDLE DOT;So;0;ON;;;;;N;;;;;
        "\u1F530",  # ;JAPANESE SYMBOL FOR BEGINNER;So;0;ON;;;;;N;;;;;
        "\u1F531",  # ;TRIDENT EMBLEM;So;0;ON;;;;;N;;;;;
        "\u1F532",  # ;BLACK SQUARE BUTTON;So;0;ON;;;;;N;;;;;
        "\u1F533",  # ;WHITE SQUARE BUTTON;So;0;ON;;;;;N;;;;;
        "\u1F534",  # ;LARGE RED CIRCLE;So;0;ON;;;;;N;;;;;
        "\u1F535",  # ;LARGE BLUE CIRCLE;So;0;ON;;;;;N;;;;;
        "\u1F536",  # ;LARGE ORANGE DIAMOND;So;0;ON;;;;;N;;;;;
        "\u1F537",  # ;LARGE BLUE DIAMOND;So;0;ON;;;;;N;;;;;
        "\u1F538",  # ;SMALL ORANGE DIAMOND;So;0;ON;;;;;N;;;;;
        "\u1F539",  # ;SMALL BLUE DIAMOND;So;0;ON;;;;;N;;;;;
        "\u1F53A",  # ;UP-POINTING RED TRIANGLE;So;0;ON;;;;;N;;;;;
        "\u1F53B",  # ;DOWN-POINTING RED TRIANGLE;So;0;ON;;;;;N;;;;;
        "\u1F53C",  # ;UP-POINTING SMALL RED TRIANGLE;So;0;ON;;;;;N;;;;;
        "\u1F53D",  # ;DOWN-POINTING SMALL RED TRIANGLE;So;0;ON;;;;;N;;;;;
        "\u1F53E",  # ;LOWER RIGHT SHADOWED WHITE CIRCLE;So;0;ON;;;;;N;;;;;
        "\u1F53F",  # ;UPPER RIGHT SHADOWED WHITE CIRCLE;So;0;ON;;;;;N;;;;;
        "\u1F540",  # ;CIRCLED CROSS POMMEE;So;0;ON;;;;;N;;;;;
        "\u1F541",  # ;CROSS POMMEE WITH HALF-CIRCLE BELOW;So;0;ON;;;;;N;;;;;
        "\u1F542",  # ;CROSS POMMEE;So;0;ON;;;;;N;;;;;
        "\u1F543",  # ;NOTCHED LEFT SEMICIRCLE WITH THREE DOTS;So;0;ON;;;;;N;;;;;
        "\u1F544",  # ;NOTCHED RIGHT SEMICIRCLE WITH THREE DOTS;So;0;ON;;;;;N;;;;;
        "\u1F545",  # ;SYMBOL FOR MARKS CHAPTER;So;0;ON;;;;;N;;;;;
        "\u1F546",  # ;WHITE LATIN CROSS;So;0;ON;;;;;N;;;;;
        "\u1F547",  # ;HEAVY LATIN CROSS;So;0;ON;;;;;N;;;;;
        "\u1F548",  # ;CELTIC CROSS;So;0;ON;;;;;N;;;;;
        "\u1F549",  # ;OM SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F54A",  # ;DOVE OF PEACE;So;0;ON;;;;;N;;;;;
        "\u1F54B",  # ;KAABA;So;0;ON;;;;;N;;;;;
        "\u1F54C",  # ;MOSQUE;So;0;ON;;;;;N;;;;;
        "\u1F54D",  # ;SYNAGOGUE;So;0;ON;;;;;N;;;;;
        "\u1F54E",  # ;MENORAH WITH NINE BRANCHES;So;0;ON;;;;;N;;;;;
        "\u1F54F",  # ;BOWL OF HYGIEIA;So;0;ON;;;;;N;;;;;
        "\u1F550",  # ;CLOCK FACE ONE OCLOCK;So;0;ON;;;;;N;;;;;
        "\u1F551",  # ;CLOCK FACE TWO OCLOCK;So;0;ON;;;;;N;;;;;
        "\u1F552",  # ;CLOCK FACE THREE OCLOCK;So;0;ON;;;;;N;;;;;
        "\u1F553",  # ;CLOCK FACE FOUR OCLOCK;So;0;ON;;;;;N;;;;;
        "\u1F554",  # ;CLOCK FACE FIVE OCLOCK;So;0;ON;;;;;N;;;;;
        "\u1F555",  # ;CLOCK FACE SIX OCLOCK;So;0;ON;;;;;N;;;;;
        "\u1F556",  # ;CLOCK FACE SEVEN OCLOCK;So;0;ON;;;;;N;;;;;
        "\u1F557",  # ;CLOCK FACE EIGHT OCLOCK;So;0;ON;;;;;N;;;;;
        "\u1F558",  # ;CLOCK FACE NINE OCLOCK;So;0;ON;;;;;N;;;;;
        "\u1F559",  # ;CLOCK FACE TEN OCLOCK;So;0;ON;;;;;N;;;;;
        "\u1F55A",  # ;CLOCK FACE ELEVEN OCLOCK;So;0;ON;;;;;N;;;;;
        "\u1F55B",  # ;CLOCK FACE TWELVE OCLOCK;So;0;ON;;;;;N;;;;;
        "\u1F55C",  # ;CLOCK FACE ONE-THIRTY;So;0;ON;;;;;N;;;;;
        "\u1F55D",  # ;CLOCK FACE TWO-THIRTY;So;0;ON;;;;;N;;;;;
        "\u1F55E",  # ;CLOCK FACE THREE-THIRTY;So;0;ON;;;;;N;;;;;
        "\u1F55F",  # ;CLOCK FACE FOUR-THIRTY;So;0;ON;;;;;N;;;;;
        "\u1F560",  # ;CLOCK FACE FIVE-THIRTY;So;0;ON;;;;;N;;;;;
        "\u1F561",  # ;CLOCK FACE SIX-THIRTY;So;0;ON;;;;;N;;;;;
        "\u1F562",  # ;CLOCK FACE SEVEN-THIRTY;So;0;ON;;;;;N;;;;;
        "\u1F563",  # ;CLOCK FACE EIGHT-THIRTY;So;0;ON;;;;;N;;;;;
        "\u1F564",  # ;CLOCK FACE NINE-THIRTY;So;0;ON;;;;;N;;;;;
        "\u1F565",  # ;CLOCK FACE TEN-THIRTY;So;0;ON;;;;;N;;;;;
        "\u1F566",  # ;CLOCK FACE ELEVEN-THIRTY;So;0;ON;;;;;N;;;;;
        "\u1F567",  # ;CLOCK FACE TWELVE-THIRTY;So;0;ON;;;;;N;;;;;
        "\u1F568",  # ;RIGHT SPEAKER;So;0;ON;;;;;N;;;;;
        "\u1F569",  # ;RIGHT SPEAKER WITH ONE SOUND WAVE;So;0;ON;;;;;N;;;;;
        "\u1F56A",  # ;RIGHT SPEAKER WITH THREE SOUND WAVES;So;0;ON;;;;;N;;;;;
        "\u1F56B",  # ;BULLHORN;So;0;ON;;;;;N;;;;;
        "\u1F56C",  # ;BULLHORN WITH SOUND WAVES;So;0;ON;;;;;N;;;;;
        "\u1F56D",  # ;RINGING BELL;So;0;ON;;;;;N;;;;;
        "\u1F56E",  # ;BOOK;So;0;ON;;;;;N;;;;;
        "\u1F56F",  # ;CANDLE;So;0;ON;;;;;N;;;;;
        "\u1F570",  # ;MANTELPIECE CLOCK;So;0;ON;;;;;N;;;;;
        "\u1F571",  # ;BLACK SKULL AND CROSSBONES;So;0;ON;;;;;N;;;;;
        "\u1F572",  # ;NO PIRACY;So;0;ON;;;;;N;;;;;
        "\u1F573",  # ;HOLE;So;0;ON;;;;;N;;;;;
        "\u1F574",  # ;MAN IN BUSINESS SUIT LEVITATING;So;0;ON;;;;;N;;;;;
        "\u1F575",  # ;SLEUTH OR SPY;So;0;ON;;;;;N;;;;;
        "\u1F576",  # ;DARK SUNGLASSES;So;0;ON;;;;;N;;;;;
        "\u1F577",  # ;SPIDER;So;0;ON;;;;;N;;;;;
        "\u1F578",  # ;SPIDER WEB;So;0;ON;;;;;N;;;;;
        "\u1F579",  # ;JOYSTICK;So;0;ON;;;;;N;;;;;
        "\u1F57A",  # ;MAN DANCING;So;0;ON;;;;;N;;;;;
        "\u1F57B",  # ;LEFT HAND TELEPHONE RECEIVER;So;0;ON;;;;;N;;;;;
        "\u1F57C",  # ;TELEPHONE RECEIVER WITH PAGE;So;0;ON;;;;;N;;;;;
        "\u1F57D",  # ;RIGHT HAND TELEPHONE RECEIVER;So;0;ON;;;;;N;;;;;
        "\u1F57E",  # ;WHITE TOUCHTONE TELEPHONE;So;0;ON;;;;;N;;;;;
        "\u1F57F",  # ;BLACK TOUCHTONE TELEPHONE;So;0;ON;;;;;N;;;;;
        "\u1F580",  # ;TELEPHONE ON TOP OF MODEM;So;0;ON;;;;;N;;;;;
        "\u1F581",  # ;CLAMSHELL MOBILE PHONE;So;0;ON;;;;;N;;;;;
        "\u1F582",  # ;BACK OF ENVELOPE;So;0;ON;;;;;N;;;;;
        "\u1F583",  # ;STAMPED ENVELOPE;So;0;ON;;;;;N;;;;;
        "\u1F584",  # ;ENVELOPE WITH LIGHTNING;So;0;ON;;;;;N;;;;;
        "\u1F585",  # ;FLYING ENVELOPE;So;0;ON;;;;;N;;;;;
        "\u1F586",  # ;PEN OVER STAMPED ENVELOPE;So;0;ON;;;;;N;;;;;
        "\u1F587",  # ;LINKED PAPERCLIPS;So;0;ON;;;;;N;;;;;
        "\u1F588",  # ;BLACK PUSHPIN;So;0;ON;;;;;N;;;;;
        "\u1F589",  # ;LOWER LEFT PENCIL;So;0;ON;;;;;N;;;;;
        "\u1F58A",  # ;LOWER LEFT BALLPOINT PEN;So;0;ON;;;;;N;;;;;
        "\u1F58B",  # ;LOWER LEFT FOUNTAIN PEN;So;0;ON;;;;;N;;;;;
        "\u1F58C",  # ;LOWER LEFT PAINTBRUSH;So;0;ON;;;;;N;;;;;
        "\u1F58D",  # ;LOWER LEFT CRAYON;So;0;ON;;;;;N;;;;;
        "\u1F58E",  # ;LEFT WRITING HAND;So;0;ON;;;;;N;;;;;
        "\u1F58F",  # ;TURNED OK HAND SIGN;So;0;ON;;;;;N;;;;;
        "\u1F590",  # ;RAISED HAND WITH FINGERS SPLAYED;So;0;ON;;;;;N;;;;;
        "\u1F591",  # ;REVERSED RAISED HAND WITH FINGERS SPLAYED;So;0;ON;;;;;N;;;;;
        "\u1F592",  # ;REVERSED THUMBS UP SIGN;So;0;ON;;;;;N;;;;;
        "\u1F593",  # ;REVERSED THUMBS DOWN SIGN;So;0;ON;;;;;N;;;;;
        "\u1F594",  # ;REVERSED VICTORY HAND;So;0;ON;;;;;N;;;;;
        "\u1F595",  # ;REVERSED HAND WITH MIDDLE FINGER EXTENDED;So;0;ON;;;;;N;;;;;
        "\u1F596",  # ;RAISED HAND WITH PART BETWEEN MIDDLE AND RING FINGERS;So;0;ON;;;;;N;;;;;
        "\u1F597",  # ;WHITE DOWN POINTING LEFT HAND INDEX;So;0;ON;;;;;N;;;;;
        "\u1F598",  # ;SIDEWAYS WHITE LEFT POINTING INDEX;So;0;ON;;;;;N;;;;;
        "\u1F599",  # ;SIDEWAYS WHITE RIGHT POINTING INDEX;So;0;ON;;;;;N;;;;;
        "\u1F59A",  # ;SIDEWAYS BLACK LEFT POINTING INDEX;So;0;ON;;;;;N;;;;;
        "\u1F59B",  # ;SIDEWAYS BLACK RIGHT POINTING INDEX;So;0;ON;;;;;N;;;;;
        "\u1F59C",  # ;BLACK LEFT POINTING BACKHAND INDEX;So;0;ON;;;;;N;;;;;
        "\u1F59D",  # ;BLACK RIGHT POINTING BACKHAND INDEX;So;0;ON;;;;;N;;;;;
        "\u1F59E",  # ;SIDEWAYS WHITE UP POINTING INDEX;So;0;ON;;;;;N;;;;;
        "\u1F59F",  # ;SIDEWAYS WHITE DOWN POINTING INDEX;So;0;ON;;;;;N;;;;;
        "\u1F5A0",  # ;SIDEWAYS BLACK UP POINTING INDEX;So;0;ON;;;;;N;;;;;
        "\u1F5A1",  # ;SIDEWAYS BLACK DOWN POINTING INDEX;So;0;ON;;;;;N;;;;;
        "\u1F5A2",  # ;BLACK UP POINTING BACKHAND INDEX;So;0;ON;;;;;N;;;;;
        "\u1F5A3",  # ;BLACK DOWN POINTING BACKHAND INDEX;So;0;ON;;;;;N;;;;;
        "\u1F5A4",  # ;BLACK HEART;So;0;ON;;;;;N;;;;;
        "\u1F5A5",  # ;DESKTOP COMPUTER;So;0;ON;;;;;N;;;;;
        "\u1F5A6",  # ;KEYBOARD AND MOUSE;So;0;ON;;;;;N;;;;;
        "\u1F5A7",  # ;THREE NETWORKED COMPUTERS;So;0;ON;;;;;N;;;;;
        "\u1F5A8",  # ;PRINTER;So;0;ON;;;;;N;;;;;
        "\u1F5A9",  # ;POCKET CALCULATOR;So;0;ON;;;;;N;;;;;
        "\u1F5AA",  # ;BLACK HARD SHELL FLOPPY DISK;So;0;ON;;;;;N;;;;;
        "\u1F5AB",  # ;WHITE HARD SHELL FLOPPY DISK;So;0;ON;;;;;N;;;;;
        "\u1F5AC",  # ;SOFT SHELL FLOPPY DISK;So;0;ON;;;;;N;;;;;
        "\u1F5AD",  # ;TAPE CARTRIDGE;So;0;ON;;;;;N;;;;;
        "\u1F5AE",  # ;WIRED KEYBOARD;So;0;ON;;;;;N;;;;;
        "\u1F5AF",  # ;ONE BUTTON MOUSE;So;0;ON;;;;;N;;;;;
        "\u1F5B0",  # ;TWO BUTTON MOUSE;So;0;ON;;;;;N;;;;;
        "\u1F5B1",  # ;THREE BUTTON MOUSE;So;0;ON;;;;;N;;;;;
        "\u1F5B2",  # ;TRACKBALL;So;0;ON;;;;;N;;;;;
        "\u1F5B3",  # ;OLD PERSONAL COMPUTER;So;0;ON;;;;;N;;;;;
        "\u1F5B4",  # ;HARD DISK;So;0;ON;;;;;N;;;;;
        "\u1F5B5",  # ;SCREEN;So;0;ON;;;;;N;;;;;
        "\u1F5B6",  # ;PRINTER ICON;So;0;ON;;;;;N;;;;;
        "\u1F5B7",  # ;FAX ICON;So;0;ON;;;;;N;;;;;
        "\u1F5B8",  # ;OPTICAL DISC ICON;So;0;ON;;;;;N;;;;;
        "\u1F5B9",  # ;DOCUMENT WITH TEXT;So;0;ON;;;;;N;;;;;
        "\u1F5BA",  # ;DOCUMENT WITH TEXT AND PICTURE;So;0;ON;;;;;N;;;;;
        "\u1F5BB",  # ;DOCUMENT WITH PICTURE;So;0;ON;;;;;N;;;;;
        "\u1F5BC",  # ;FRAME WITH PICTURE;So;0;ON;;;;;N;;;;;
        "\u1F5BD",  # ;FRAME WITH TILES;So;0;ON;;;;;N;;;;;
        "\u1F5BE",  # ;FRAME WITH AN X;So;0;ON;;;;;N;;;;;
        "\u1F5BF",  # ;BLACK FOLDER;So;0;ON;;;;;N;;;;;
        "\u1F5C0",  # ;FOLDER;So;0;ON;;;;;N;;;;;
        "\u1F5C1",  # ;OPEN FOLDER;So;0;ON;;;;;N;;;;;
        "\u1F5C2",  # ;CARD INDEX DIVIDERS;So;0;ON;;;;;N;;;;;
        "\u1F5C3",  # ;CARD FILE BOX;So;0;ON;;;;;N;;;;;
        "\u1F5C4",  # ;FILE CABINET;So;0;ON;;;;;N;;;;;
        "\u1F5C5",  # ;EMPTY NOTE;So;0;ON;;;;;N;;;;;
        "\u1F5C6",  # ;EMPTY NOTE PAGE;So;0;ON;;;;;N;;;;;
        "\u1F5C7",  # ;EMPTY NOTE PAD;So;0;ON;;;;;N;;;;;
        "\u1F5C8",  # ;NOTE;So;0;ON;;;;;N;;;;;
        "\u1F5C9",  # ;NOTE PAGE;So;0;ON;;;;;N;;;;;
        "\u1F5CA",  # ;NOTE PAD;So;0;ON;;;;;N;;;;;
        "\u1F5CB",  # ;EMPTY DOCUMENT;So;0;ON;;;;;N;;;;;
        "\u1F5CC",  # ;EMPTY PAGE;So;0;ON;;;;;N;;;;;
        "\u1F5CD",  # ;EMPTY PAGES;So;0;ON;;;;;N;;;;;
        "\u1F5CE",  # ;DOCUMENT;So;0;ON;;;;;N;;;;;
        "\u1F5CF",  # ;PAGE;So;0;ON;;;;;N;;;;;
        "\u1F5D0",  # ;PAGES;So;0;ON;;;;;N;;;;;
        "\u1F5D1",  # ;WASTEBASKET;So;0;ON;;;;;N;;;;;
        "\u1F5D2",  # ;SPIRAL NOTE PAD;So;0;ON;;;;;N;;;;;
        "\u1F5D3",  # ;SPIRAL CALENDAR PAD;So;0;ON;;;;;N;;;;;
        "\u1F5D4",  # ;DESKTOP WINDOW;So;0;ON;;;;;N;;;;;
        "\u1F5D5",  # ;MINIMIZE;So;0;ON;;;;;N;;;;;
        "\u1F5D6",  # ;MAXIMIZE;So;0;ON;;;;;N;;;;;
        "\u1F5D7",  # ;OVERLAP;So;0;ON;;;;;N;;;;;
        "\u1F5D8",  # ;CLOCKWISE RIGHT AND LEFT SEMICIRCLE ARROWS;So;0;ON;;;;;N;;;;;
        "\u1F5D9",  # ;CANCELLATION X;So;0;ON;;;;;N;;;;;
        "\u1F5DA",  # ;INCREASE FONT SIZE SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F5DB",  # ;DECREASE FONT SIZE SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F5DC",  # ;COMPRESSION;So;0;ON;;;;;N;;;;;
        "\u1F5DD",  # ;OLD KEY;So;0;ON;;;;;N;;;;;
        "\u1F5DE",  # ;ROLLED-UP NEWSPAPER;So;0;ON;;;;;N;;;;;
        "\u1F5DF",  # ;PAGE WITH CIRCLED TEXT;So;0;ON;;;;;N;;;;;
        "\u1F5E0",  # ;STOCK CHART;So;0;ON;;;;;N;;;;;
        "\u1F5E1",  # ;DAGGER KNIFE;So;0;ON;;;;;N;;;;;
        "\u1F5E2",  # ;LIPS;So;0;ON;;;;;N;;;;;
        "\u1F5E3",  # ;SPEAKING HEAD IN SILHOUETTE;So;0;ON;;;;;N;;;;;
        "\u1F5E4",  # ;THREE RAYS ABOVE;So;0;ON;;;;;N;;;;;
        "\u1F5E5",  # ;THREE RAYS BELOW;So;0;ON;;;;;N;;;;;
        "\u1F5E6",  # ;THREE RAYS LEFT;So;0;ON;;;;;N;;;;;
        "\u1F5E7",  # ;THREE RAYS RIGHT;So;0;ON;;;;;N;;;;;
        "\u1F5E8",  # ;LEFT SPEECH BUBBLE;So;0;ON;;;;;N;;;;;
        "\u1F5E9",  # ;RIGHT SPEECH BUBBLE;So;0;ON;;;;;N;;;;;
        "\u1F5EA",  # ;TWO SPEECH BUBBLES;So;0;ON;;;;;N;;;;;
        "\u1F5EB",  # ;THREE SPEECH BUBBLES;So;0;ON;;;;;N;;;;;
        "\u1F5EC",  # ;LEFT THOUGHT BUBBLE;So;0;ON;;;;;N;;;;;
        "\u1F5ED",  # ;RIGHT THOUGHT BUBBLE;So;0;ON;;;;;N;;;;;
        "\u1F5EE",  # ;LEFT ANGER BUBBLE;So;0;ON;;;;;N;;;;;
        "\u1F5EF",  # ;RIGHT ANGER BUBBLE;So;0;ON;;;;;N;;;;;
        "\u1F5F0",  # ;MOOD BUBBLE;So;0;ON;;;;;N;;;;;
        "\u1F5F1",  # ;LIGHTNING MOOD BUBBLE;So;0;ON;;;;;N;;;;;
        "\u1F5F2",  # ;LIGHTNING MOOD;So;0;ON;;;;;N;;;;;
        "\u1F5F3",  # ;BALLOT BOX WITH BALLOT;So;0;ON;;;;;N;;;;;
        "\u1F5F4",  # ;BALLOT SCRIPT X;So;0;ON;;;;;N;;;;;
        "\u1F5F5",  # ;BALLOT BOX WITH SCRIPT X;So;0;ON;;;;;N;;;;;
        "\u1F5F6",  # ;BALLOT BOLD SCRIPT X;So;0;ON;;;;;N;;;;;
        "\u1F5F7",  # ;BALLOT BOX WITH BOLD SCRIPT X;So;0;ON;;;;;N;;;;;
        "\u1F5F8",  # ;LIGHT CHECK MARK;So;0;ON;;;;;N;;;;;
        "\u1F5F9",  # ;BALLOT BOX WITH BOLD CHECK;So;0;ON;;;;;N;;;;;
        "\u1F5FA",  # ;WORLD MAP;So;0;ON;;;;;N;;;;;
        "\u1F5FB",  # ;MOUNT FUJI;So;0;ON;;;;;N;;;;;
        "\u1F5FC",  # ;TOKYO TOWER;So;0;ON;;;;;N;;;;;
        "\u1F5FD",  # ;STATUE OF LIBERTY;So;0;ON;;;;;N;;;;;
        "\u1F5FE",  # ;SILHOUETTE OF JAPAN;So;0;ON;;;;;N;;;;;
        "\u1F5FF",  # ;MOYAI;So;0;ON;;;;;N;;;;;
        "\u1F600",  # ;GRINNING FACE;So;0;ON;;;;;N;;;;;
        "\u1F601",  # ;GRINNING FACE WITH SMILING EYES;So;0;ON;;;;;N;;;;;
        "\u1F602",  # ;FACE WITH TEARS OF JOY;So;0;ON;;;;;N;;;;;
        "\u1F603",  # ;SMILING FACE WITH OPEN MOUTH;So;0;ON;;;;;N;;;;;
        "\u1F604",  # ;SMILING FACE WITH OPEN MOUTH AND SMILING EYES;So;0;ON;;;;;N;;;;;
        "\u1F605",  # ;SMILING FACE WITH OPEN MOUTH AND COLD SWEAT;So;0;ON;;;;;N;;;;;
        "\u1F606",  # ;SMILING FACE WITH OPEN MOUTH AND TIGHTLY-CLOSED EYES;So;0;ON;;;;;N;;;;;
        "\u1F607",  # ;SMILING FACE WITH HALO;So;0;ON;;;;;N;;;;;
        "\u1F608",  # ;SMILING FACE WITH HORNS;So;0;ON;;;;;N;;;;;
        "\u1F609",  # ;WINKING FACE;So;0;ON;;;;;N;;;;;
        "\u1F60A",  # ;SMILING FACE WITH SMILING EYES;So;0;ON;;;;;N;;;;;
        "\u1F60B",  # ;FACE SAVOURING DELICIOUS FOOD;So;0;ON;;;;;N;;;;;
        "\u1F60C",  # ;RELIEVED FACE;So;0;ON;;;;;N;;;;;
        "\u1F60D",  # ;SMILING FACE WITH HEART-SHAPED EYES;So;0;ON;;;;;N;;;;;
        "\u1F60E",  # ;SMILING FACE WITH SUNGLASSES;So;0;ON;;;;;N;;;;;
        "\u1F60F",  # ;SMIRKING FACE;So;0;ON;;;;;N;;;;;
        "\u1F610",  # ;NEUTRAL FACE;So;0;ON;;;;;N;;;;;
        "\u1F611",  # ;EXPRESSIONLESS FACE;So;0;ON;;;;;N;;;;;
        "\u1F612",  # ;UNAMUSED FACE;So;0;ON;;;;;N;;;;;
        "\u1F613",  # ;FACE WITH COLD SWEAT;So;0;ON;;;;;N;;;;;
        "\u1F614",  # ;PENSIVE FACE;So;0;ON;;;;;N;;;;;
        "\u1F615",  # ;CONFUSED FACE;So;0;ON;;;;;N;;;;;
        "\u1F616",  # ;CONFOUNDED FACE;So;0;ON;;;;;N;;;;;
        "\u1F617",  # ;KISSING FACE;So;0;ON;;;;;N;;;;;
        "\u1F618",  # ;FACE THROWING A KISS;So;0;ON;;;;;N;;;;;
        "\u1F619",  # ;KISSING FACE WITH SMILING EYES;So;0;ON;;;;;N;;;;;
        "\u1F61A",  # ;KISSING FACE WITH CLOSED EYES;So;0;ON;;;;;N;;;;;
        "\u1F61B",  # ;FACE WITH STUCK-OUT TONGUE;So;0;ON;;;;;N;;;;;
        "\u1F61C",  # ;FACE WITH STUCK-OUT TONGUE AND WINKING EYE;So;0;ON;;;;;N;;;;;
        "\u1F61D",  # ;FACE WITH STUCK-OUT TONGUE AND TIGHTLY-CLOSED EYES;So;0;ON;;;;;N;;;;;
        "\u1F61E",  # ;DISAPPOINTED FACE;So;0;ON;;;;;N;;;;;
        "\u1F61F",  # ;WORRIED FACE;So;0;ON;;;;;N;;;;;
        "\u1F620",  # ;ANGRY FACE;So;0;ON;;;;;N;;;;;
        "\u1F621",  # ;POUTING FACE;So;0;ON;;;;;N;;;;;
        "\u1F622",  # ;CRYING FACE;So;0;ON;;;;;N;;;;;
        "\u1F623",  # ;PERSEVERING FACE;So;0;ON;;;;;N;;;;;
        "\u1F624",  # ;FACE WITH LOOK OF TRIUMPH;So;0;ON;;;;;N;;;;;
        "\u1F625",  # ;DISAPPOINTED BUT RELIEVED FACE;So;0;ON;;;;;N;;;;;
        "\u1F626",  # ;FROWNING FACE WITH OPEN MOUTH;So;0;ON;;;;;N;;;;;
        "\u1F627",  # ;ANGUISHED FACE;So;0;ON;;;;;N;;;;;
        "\u1F628",  # ;FEARFUL FACE;So;0;ON;;;;;N;;;;;
        "\u1F629",  # ;WEARY FACE;So;0;ON;;;;;N;;;;;
        "\u1F62A",  # ;SLEEPY FACE;So;0;ON;;;;;N;;;;;
        "\u1F62B",  # ;TIRED FACE;So;0;ON;;;;;N;;;;;
        "\u1F62C",  # ;GRIMACING FACE;So;0;ON;;;;;N;;;;;
        "\u1F62D",  # ;LOUDLY CRYING FACE;So;0;ON;;;;;N;;;;;
        "\u1F62E",  # ;FACE WITH OPEN MOUTH;So;0;ON;;;;;N;;;;;
        "\u1F62F",  # ;HUSHED FACE;So;0;ON;;;;;N;;;;;
        "\u1F630",  # ;FACE WITH OPEN MOUTH AND COLD SWEAT;So;0;ON;;;;;N;;;;;
        "\u1F631",  # ;FACE SCREAMING IN FEAR;So;0;ON;;;;;N;;;;;
        "\u1F632",  # ;ASTONISHED FACE;So;0;ON;;;;;N;;;;;
        "\u1F633",  # ;FLUSHED FACE;So;0;ON;;;;;N;;;;;
        "\u1F634",  # ;SLEEPING FACE;So;0;ON;;;;;N;;;;;
        "\u1F635",  # ;DIZZY FACE;So;0;ON;;;;;N;;;;;
        "\u1F636",  # ;FACE WITHOUT MOUTH;So;0;ON;;;;;N;;;;;
        "\u1F637",  # ;FACE WITH MEDICAL MASK;So;0;ON;;;;;N;;;;;
        "\u1F638",  # ;GRINNING CAT FACE WITH SMILING EYES;So;0;ON;;;;;N;;;;;
        "\u1F639",  # ;CAT FACE WITH TEARS OF JOY;So;0;ON;;;;;N;;;;;
        "\u1F63A",  # ;SMILING CAT FACE WITH OPEN MOUTH;So;0;ON;;;;;N;;;;;
        "\u1F63B",  # ;SMILING CAT FACE WITH HEART-SHAPED EYES;So;0;ON;;;;;N;;;;;
        "\u1F63C",  # ;CAT FACE WITH WRY SMILE;So;0;ON;;;;;N;;;;;
        "\u1F63D",  # ;KISSING CAT FACE WITH CLOSED EYES;So;0;ON;;;;;N;;;;;
        "\u1F63E",  # ;POUTING CAT FACE;So;0;ON;;;;;N;;;;;
        "\u1F63F",  # ;CRYING CAT FACE;So;0;ON;;;;;N;;;;;
        "\u1F640",  # ;WEARY CAT FACE;So;0;ON;;;;;N;;;;;
        "\u1F641",  # ;SLIGHTLY FROWNING FACE;So;0;ON;;;;;N;;;;;
        "\u1F642",  # ;SLIGHTLY SMILING FACE;So;0;ON;;;;;N;;;;;
        "\u1F643",  # ;UPSIDE-DOWN FACE;So;0;ON;;;;;N;;;;;
        "\u1F644",  # ;FACE WITH ROLLING EYES;So;0;ON;;;;;N;;;;;
        "\u1F645",  # ;FACE WITH NO GOOD GESTURE;So;0;ON;;;;;N;;;;;
        "\u1F646",  # ;FACE WITH OK GESTURE;So;0;ON;;;;;N;;;;;
        "\u1F647",  # ;PERSON BOWING DEEPLY;So;0;ON;;;;;N;;;;;
        "\u1F648",  # ;SEE-NO-EVIL MONKEY;So;0;ON;;;;;N;;;;;
        "\u1F649",  # ;HEAR-NO-EVIL MONKEY;So;0;ON;;;;;N;;;;;
        "\u1F64A",  # ;SPEAK-NO-EVIL MONKEY;So;0;ON;;;;;N;;;;;
        "\u1F64B",  # ;HAPPY PERSON RAISING ONE HAND;So;0;ON;;;;;N;;;;;
        "\u1F64C",  # ;PERSON RAISING BOTH HANDS IN CELEBRATION;So;0;ON;;;;;N;;;;;
        "\u1F64D",  # ;PERSON FROWNING;So;0;ON;;;;;N;;;;;
        "\u1F64E",  # ;PERSON WITH POUTING FACE;So;0;ON;;;;;N;;;;;
        "\u1F64F",  # ;PERSON WITH FOLDED HANDS;So;0;ON;;;;;N;;;;;
        "\u1F650",  # ;NORTH WEST POINTING LEAF;So;0;ON;;;;;N;;;;;
        "\u1F651",  # ;SOUTH WEST POINTING LEAF;So;0;ON;;;;;N;;;;;
        "\u1F652",  # ;NORTH EAST POINTING LEAF;So;0;ON;;;;;N;;;;;
        "\u1F653",  # ;SOUTH EAST POINTING LEAF;So;0;ON;;;;;N;;;;;
        "\u1F654",  # ;TURNED NORTH WEST POINTING LEAF;So;0;ON;;;;;N;;;;;
        "\u1F655",  # ;TURNED SOUTH WEST POINTING LEAF;So;0;ON;;;;;N;;;;;
        "\u1F656",  # ;TURNED NORTH EAST POINTING LEAF;So;0;ON;;;;;N;;;;;
        "\u1F657",  # ;TURNED SOUTH EAST POINTING LEAF;So;0;ON;;;;;N;;;;;
        "\u1F658",  # ;NORTH WEST POINTING VINE LEAF;So;0;ON;;;;;N;;;;;
        "\u1F659",  # ;SOUTH WEST POINTING VINE LEAF;So;0;ON;;;;;N;;;;;
        "\u1F65A",  # ;NORTH EAST POINTING VINE LEAF;So;0;ON;;;;;N;;;;;
        "\u1F65B",  # ;SOUTH EAST POINTING VINE LEAF;So;0;ON;;;;;N;;;;;
        "\u1F65C",  # ;HEAVY NORTH WEST POINTING VINE LEAF;So;0;ON;;;;;N;;;;;
        "\u1F65D",  # ;HEAVY SOUTH WEST POINTING VINE LEAF;So;0;ON;;;;;N;;;;;
        "\u1F65E",  # ;HEAVY NORTH EAST POINTING VINE LEAF;So;0;ON;;;;;N;;;;;
        "\u1F65F",  # ;HEAVY SOUTH EAST POINTING VINE LEAF;So;0;ON;;;;;N;;;;;
        "\u1F660",  # ;NORTH WEST POINTING BUD;So;0;ON;;;;;N;;;;;
        "\u1F661",  # ;SOUTH WEST POINTING BUD;So;0;ON;;;;;N;;;;;
        "\u1F662",  # ;NORTH EAST POINTING BUD;So;0;ON;;;;;N;;;;;
        "\u1F663",  # ;SOUTH EAST POINTING BUD;So;0;ON;;;;;N;;;;;
        "\u1F664",  # ;HEAVY NORTH WEST POINTING BUD;So;0;ON;;;;;N;;;;;
        "\u1F665",  # ;HEAVY SOUTH WEST POINTING BUD;So;0;ON;;;;;N;;;;;
        "\u1F666",  # ;HEAVY NORTH EAST POINTING BUD;So;0;ON;;;;;N;;;;;
        "\u1F667",  # ;HEAVY SOUTH EAST POINTING BUD;So;0;ON;;;;;N;;;;;
        "\u1F668",  # ;HOLLOW QUILT SQUARE ORNAMENT;So;0;ON;;;;;N;;;;;
        "\u1F669",  # ;HOLLOW QUILT SQUARE ORNAMENT IN BLACK SQUARE;So;0;ON;;;;;N;;;;;
        "\u1F66A",  # ;SOLID QUILT SQUARE ORNAMENT;So;0;ON;;;;;N;;;;;
        "\u1F66B",  # ;SOLID QUILT SQUARE ORNAMENT IN BLACK SQUARE;So;0;ON;;;;;N;;;;;
        "\u1F66C",  # ;LEFTWARDS ROCKET;So;0;ON;;;;;N;;;;;
        "\u1F66D",  # ;UPWARDS ROCKET;So;0;ON;;;;;N;;;;;
        "\u1F66E",  # ;RIGHTWARDS ROCKET;So;0;ON;;;;;N;;;;;
        "\u1F66F",  # ;DOWNWARDS ROCKET;So;0;ON;;;;;N;;;;;
        "\u1F670",  # ;SCRIPT LIGATURE ET ORNAMENT;So;0;ON;;;;;N;;;;;
        "\u1F671",  # ;HEAVY SCRIPT LIGATURE ET ORNAMENT;So;0;ON;;;;;N;;;;;
        "\u1F672",  # ;LIGATURE OPEN ET ORNAMENT;So;0;ON;;;;;N;;;;;
        "\u1F673",  # ;HEAVY LIGATURE OPEN ET ORNAMENT;So;0;ON;;;;;N;;;;;
        "\u1F674",  # ;HEAVY AMPERSAND ORNAMENT;So;0;ON;;;;;N;;;;;
        "\u1F675",  # ;SWASH AMPERSAND ORNAMENT;So;0;ON;;;;;N;;;;;
        "\u1F676",  # ;SANS-SERIF HEAVY DOUBLE TURNED COMMA QUOTATION MARK ORNAMENT;So;0;ON;;;;;N;;;;;
        "\u1F677",  # ;SANS-SERIF HEAVY DOUBLE COMMA QUOTATION MARK ORNAMENT;So;0;ON;;;;;N;;;;;
        "\u1F678",  # ;SANS-SERIF HEAVY LOW DOUBLE COMMA QUOTATION MARK ORNAMENT;So;0;ON;;;;;N;;;;;
        "\u1F679",  # ;HEAVY INTERROBANG ORNAMENT;So;0;ON;;;;;N;;;;;
        "\u1F67A",  # ;SANS-SERIF INTERROBANG ORNAMENT;So;0;ON;;;;;N;;;;;
        "\u1F67B",  # ;HEAVY SANS-SERIF INTERROBANG ORNAMENT;So;0;ON;;;;;N;;;;;
        "\u1F67C",  # ;VERY HEAVY SOLIDUS;So;0;ON;;;;;N;;;;;
        "\u1F67D",  # ;VERY HEAVY REVERSE SOLIDUS;So;0;ON;;;;;N;;;;;
        "\u1F67E",  # ;CHECKER BOARD;So;0;ON;;;;;N;;;;;
        "\u1F67F",  # ;REVERSE CHECKER BOARD;So;0;ON;;;;;N;;;;;
        "\u1F680",  # ;ROCKET;So;0;ON;;;;;N;;;;;
        "\u1F681",  # ;HELICOPTER;So;0;ON;;;;;N;;;;;
        "\u1F682",  # ;STEAM LOCOMOTIVE;So;0;ON;;;;;N;;;;;
        "\u1F683",  # ;RAILWAY CAR;So;0;ON;;;;;N;;;;;
        "\u1F684",  # ;HIGH-SPEED TRAIN;So;0;ON;;;;;N;;;;;
        "\u1F685",  # ;HIGH-SPEED TRAIN WITH BULLET NOSE;So;0;ON;;;;;N;;;;;
        "\u1F686",  # ;TRAIN;So;0;ON;;;;;N;;;;;
        "\u1F687",  # ;METRO;So;0;ON;;;;;N;;;;;
        "\u1F688",  # ;LIGHT RAIL;So;0;ON;;;;;N;;;;;
        "\u1F689",  # ;STATION;So;0;ON;;;;;N;;;;;
        "\u1F68A",  # ;TRAM;So;0;ON;;;;;N;;;;;
        "\u1F68B",  # ;TRAM CAR;So;0;ON;;;;;N;;;;;
        "\u1F68C",  # ;BUS;So;0;ON;;;;;N;;;;;
        "\u1F68D",  # ;ONCOMING BUS;So;0;ON;;;;;N;;;;;
        "\u1F68E",  # ;TROLLEYBUS;So;0;ON;;;;;N;;;;;
        "\u1F68F",  # ;BUS STOP;So;0;ON;;;;;N;;;;;
        "\u1F690",  # ;MINIBUS;So;0;ON;;;;;N;;;;;
        "\u1F691",  # ;AMBULANCE;So;0;ON;;;;;N;;;;;
        "\u1F692",  # ;FIRE ENGINE;So;0;ON;;;;;N;;;;;
        "\u1F693",  # ;POLICE CAR;So;0;ON;;;;;N;;;;;
        "\u1F694",  # ;ONCOMING POLICE CAR;So;0;ON;;;;;N;;;;;
        "\u1F695",  # ;TAXI;So;0;ON;;;;;N;;;;;
        "\u1F696",  # ;ONCOMING TAXI;So;0;ON;;;;;N;;;;;
        "\u1F697",  # ;AUTOMOBILE;So;0;ON;;;;;N;;;;;
        "\u1F698",  # ;ONCOMING AUTOMOBILE;So;0;ON;;;;;N;;;;;
        "\u1F699",  # ;RECREATIONAL VEHICLE;So;0;ON;;;;;N;;;;;
        "\u1F69A",  # ;DELIVERY TRUCK;So;0;ON;;;;;N;;;;;
        "\u1F69B",  # ;ARTICULATED LORRY;So;0;ON;;;;;N;;;;;
        "\u1F69C",  # ;TRACTOR;So;0;ON;;;;;N;;;;;
        "\u1F69D",  # ;MONORAIL;So;0;ON;;;;;N;;;;;
        "\u1F69E",  # ;MOUNTAIN RAILWAY;So;0;ON;;;;;N;;;;;
        "\u1F69F",  # ;SUSPENSION RAILWAY;So;0;ON;;;;;N;;;;;
        "\u1F6A0",  # ;MOUNTAIN CABLEWAY;So;0;ON;;;;;N;;;;;
        "\u1F6A1",  # ;AERIAL TRAMWAY;So;0;ON;;;;;N;;;;;
        "\u1F6A2",  # ;SHIP;So;0;ON;;;;;N;;;;;
        "\u1F6A3",  # ;ROWBOAT;So;0;ON;;;;;N;;;;;
        "\u1F6A4",  # ;SPEEDBOAT;So;0;ON;;;;;N;;;;;
        "\u1F6A5",  # ;HORIZONTAL TRAFFIC LIGHT;So;0;ON;;;;;N;;;;;
        "\u1F6A6",  # ;VERTICAL TRAFFIC LIGHT;So;0;ON;;;;;N;;;;;
        "\u1F6A7",  # ;CONSTRUCTION SIGN;So;0;ON;;;;;N;;;;;
        "\u1F6A8",  # ;POLICE CARS REVOLVING LIGHT;So;0;ON;;;;;N;;;;;
        "\u1F6A9",  # ;TRIANGULAR FLAG ON POST;So;0;ON;;;;;N;;;;;
        "\u1F6AA",  # ;DOOR;So;0;ON;;;;;N;;;;;
        "\u1F6AB",  # ;NO ENTRY SIGN;So;0;ON;;;;;N;;;;;
        "\u1F6AC",  # ;SMOKING SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F6AD",  # ;NO SMOKING SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F6AE",  # ;PUT LITTER IN ITS PLACE SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F6AF",  # ;DO NOT LITTER SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F6B0",  # ;POTABLE WATER SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F6B1",  # ;NON-POTABLE WATER SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F6B2",  # ;BICYCLE;So;0;ON;;;;;N;;;;;
        "\u1F6B3",  # ;NO BICYCLES;So;0;ON;;;;;N;;;;;
        "\u1F6B4",  # ;BICYCLIST;So;0;ON;;;;;N;;;;;
        "\u1F6B5",  # ;MOUNTAIN BICYCLIST;So;0;ON;;;;;N;;;;;
        "\u1F6B6",  # ;PEDESTRIAN;So;0;ON;;;;;N;;;;;
        "\u1F6B7",  # ;NO PEDESTRIANS;So;0;ON;;;;;N;;;;;
        "\u1F6B8",  # ;CHILDREN CROSSING;So;0;ON;;;;;N;;;;;
        "\u1F6B9",  # ;MENS SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F6BA",  # ;WOMENS SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F6BB",  # ;RESTROOM;So;0;ON;;;;;N;;;;;
        "\u1F6BC",  # ;BABY SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F6BD",  # ;TOILET;So;0;ON;;;;;N;;;;;
        "\u1F6BE",  # ;WATER CLOSET;So;0;ON;;;;;N;;;;;
        "\u1F6BF",  # ;SHOWER;So;0;ON;;;;;N;;;;;
        "\u1F6C0",  # ;BATH;So;0;ON;;;;;N;;;;;
        "\u1F6C1",  # ;BATHTUB;So;0;ON;;;;;N;;;;;
        "\u1F6C2",  # ;PASSPORT CONTROL;So;0;ON;;;;;N;;;;;
        "\u1F6C3",  # ;CUSTOMS;So;0;ON;;;;;N;;;;;
        "\u1F6C4",  # ;BAGGAGE CLAIM;So;0;ON;;;;;N;;;;;
        "\u1F6C5",  # ;LEFT LUGGAGE;So;0;ON;;;;;N;;;;;
        "\u1F6C6",  # ;TRIANGLE WITH ROUNDED CORNERS;So;0;ON;;;;;N;;;;;
        "\u1F6C7",  # ;PROHIBITED SIGN;So;0;ON;;;;;N;;;;;
        "\u1F6C8",  # ;CIRCLED INFORMATION SOURCE;So;0;ON;;;;;N;;;;;
        "\u1F6C9",  # ;BOYS SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F6CA",  # ;GIRLS SYMBOL;So;0;ON;;;;;N;;;;;
        "\u1F6CB",  # ;COUCH AND LAMP;So;0;ON;;;;;N;;;;;
        "\u1F6CC",  # ;SLEEPING ACCOMMODATION;So;0;ON;;;;;N;;;;;
        "\u1F6CD",  # ;SHOPPING BAGS;So;0;ON;;;;;N;;;;;
        "\u1F6CE",  # ;BELLHOP BELL;So;0;ON;;;;;N;;;;;
        "\u1F6CF",  # ;BED;So;0;ON;;;;;N;;;;;
        "\u1F6D0",  # ;PLACE OF WORSHIP;So;0;ON;;;;;N;;;;;
        "\u1F6D1",  # ;OCTAGONAL SIGN;So;0;ON;;;;;N;;;;;
        "\u1F6D2",  # ;SHOPPING TROLLEY;So;0;ON;;;;;N;;;;;
        "\u1F6D3",  # ;STUPA;So;0;ON;;;;;N;;;;;
        "\u1F6D4",  # ;PAGODA;So;0;ON;;;;;N;;;;;
        "\u1F6E0",  # ;HAMMER AND WRENCH;So;0;ON;;;;;N;;;;;
        "\u1F6E1",  # ;SHIELD;So;0;ON;;;;;N;;;;;
        "\u1F6E2",  # ;OIL DRUM;So;0;ON;;;;;N;;;;;
        "\u1F6E3",  # ;MOTORWAY;So;0;ON;;;;;N;;;;;
        "\u1F6E4",  # ;RAILWAY TRACK;So;0;ON;;;;;N;;;;;
        "\u1F6E5",  # ;MOTOR BOAT;So;0;ON;;;;;N;;;;;
        "\u1F6E6",  # ;UP-POINTING MILITARY AIRPLANE;So;0;ON;;;;;N;;;;;
        "\u1F6E7",  # ;UP-POINTING AIRPLANE;So;0;ON;;;;;N;;;;;
        "\u1F6E8",  # ;UP-POINTING SMALL AIRPLANE;So;0;ON;;;;;N;;;;;
        "\u1F6E9",  # ;SMALL AIRPLANE;So;0;ON;;;;;N;;;;;
        "\u1F6EA",  # ;NORTHEAST-POINTING AIRPLANE;So;0;ON;;;;;N;;;;;
        "\u1F6EB",  # ;AIRPLANE DEPARTURE;So;0;ON;;;;;N;;;;;
        "\u1F6EC",  # ;AIRPLANE ARRIVING;So;0;ON;;;;;N;;;;;
        "\u1F6F0",  # ;SATELLITE;So;0;ON;;;;;N;;;;;
        "\u1F6F1",  # ;ONCOMING FIRE ENGINE;So;0;ON;;;;;N;;;;;
        "\u1F6F2",  # ;DIESEL LOCOMOTIVE;So;0;ON;;;;;N;;;;;
        "\u1F6F3",  # ;PASSENGER SHIP;So;0;ON;;;;;N;;;;;
        "\u1F6F4",  # ;SCOOTER;So;0;ON;;;;;N;;;;;
        "\u1F6F5",  # ;MOTOR SCOOTER;So;0;ON;;;;;N;;;;;
        "\u1F6F6",  # ;CANOE;So;0;ON;;;;;N;;;;;
        "\u1F6F7",  # ;SLED;So;0;ON;;;;;N;;;;;
        "\u1F6F8",  # ;FLYING SAUCER;So;0;ON;;;;;N;;;;;
        "\u1F700",  # ;ALCHEMICAL SYMBOL FOR QUINTESSENCE;So;0;ON;;;;;N;;;;;
        "\u1F701",  # ;ALCHEMICAL SYMBOL FOR AIR;So;0;ON;;;;;N;;;;;
        "\u1F702",  # ;ALCHEMICAL SYMBOL FOR FIRE;So;0;ON;;;;;N;;;;;
        "\u1F703",  # ;ALCHEMICAL SYMBOL FOR EARTH;So;0;ON;;;;;N;;;;;
        "\u1F704",  # ;ALCHEMICAL SYMBOL FOR WATER;So;0;ON;;;;;N;;;;;
        "\u1F705",  # ;ALCHEMICAL SYMBOL FOR AQUAFORTIS;So;0;ON;;;;;N;;;;;
        "\u1F706",  # ;ALCHEMICAL SYMBOL FOR AQUA REGIA;So;0;ON;;;;;N;;;;;
        "\u1F707",  # ;ALCHEMICAL SYMBOL FOR AQUA REGIA-2;So;0;ON;;;;;N;;;;;
        "\u1F708",  # ;ALCHEMICAL SYMBOL FOR AQUA VITAE;So;0;ON;;;;;N;;;;;
        "\u1F709",  # ;ALCHEMICAL SYMBOL FOR AQUA VITAE-2;So;0;ON;;;;;N;;;;;
        "\u1F70A",  # ;ALCHEMICAL SYMBOL FOR VINEGAR;So;0;ON;;;;;N;;;;;
        "\u1F70B",  # ;ALCHEMICAL SYMBOL FOR VINEGAR-2;So;0;ON;;;;;N;;;;;
        "\u1F70C",  # ;ALCHEMICAL SYMBOL FOR VINEGAR-3;So;0;ON;;;;;N;;;;;
        "\u1F70D",  # ;ALCHEMICAL SYMBOL FOR SULFUR;So;0;ON;;;;;N;;;;;
        "\u1F70E",  # ;ALCHEMICAL SYMBOL FOR PHILOSOPHERS SULFUR;So;0;ON;;;;;N;;;;;
        "\u1F70F",  # ;ALCHEMICAL SYMBOL FOR BLACK SULFUR;So;0;ON;;;;;N;;;;;
        "\u1F710",  # ;ALCHEMICAL SYMBOL FOR MERCURY SUBLIMATE;So;0;ON;;;;;N;;;;;
        "\u1F711",  # ;ALCHEMICAL SYMBOL FOR MERCURY SUBLIMATE-2;So;0;ON;;;;;N;;;;;
        "\u1F712",  # ;ALCHEMICAL SYMBOL FOR MERCURY SUBLIMATE-3;So;0;ON;;;;;N;;;;;
        "\u1F713",  # ;ALCHEMICAL SYMBOL FOR CINNABAR;So;0;ON;;;;;N;;;;;
        "\u1F714",  # ;ALCHEMICAL SYMBOL FOR SALT;So;0;ON;;;;;N;;;;;
        "\u1F715",  # ;ALCHEMICAL SYMBOL FOR NITRE;So;0;ON;;;;;N;;;;;
        "\u1F716",  # ;ALCHEMICAL SYMBOL FOR VITRIOL;So;0;ON;;;;;N;;;;;
        "\u1F717",  # ;ALCHEMICAL SYMBOL FOR VITRIOL-2;So;0;ON;;;;;N;;;;;
        "\u1F718",  # ;ALCHEMICAL SYMBOL FOR ROCK SALT;So;0;ON;;;;;N;;;;;
        "\u1F719",  # ;ALCHEMICAL SYMBOL FOR ROCK SALT-2;So;0;ON;;;;;N;;;;;
        "\u1F71A",  # ;ALCHEMICAL SYMBOL FOR GOLD;So;0;ON;;;;;N;;;;;
        "\u1F71B",  # ;ALCHEMICAL SYMBOL FOR SILVER;So;0;ON;;;;;N;;;;;
        "\u1F71C",  # ;ALCHEMICAL SYMBOL FOR IRON ORE;So;0;ON;;;;;N;;;;;
        "\u1F71D",  # ;ALCHEMICAL SYMBOL FOR IRON ORE-2;So;0;ON;;;;;N;;;;;
        "\u1F71E",  # ;ALCHEMICAL SYMBOL FOR CROCUS OF IRON;So;0;ON;;;;;N;;;;;
        "\u1F71F",  # ;ALCHEMICAL SYMBOL FOR REGULUS OF IRON;So;0;ON;;;;;N;;;;;
        "\u1F720",  # ;ALCHEMICAL SYMBOL FOR COPPER ORE;So;0;ON;;;;;N;;;;;
        "\u1F721",  # ;ALCHEMICAL SYMBOL FOR IRON-COPPER ORE;So;0;ON;;;;;N;;;;;
        "\u1F722",  # ;ALCHEMICAL SYMBOL FOR SUBLIMATE OF COPPER;So;0;ON;;;;;N;;;;;
        "\u1F723",  # ;ALCHEMICAL SYMBOL FOR CROCUS OF COPPER;So;0;ON;;;;;N;;;;;
        "\u1F724",  # ;ALCHEMICAL SYMBOL FOR CROCUS OF COPPER-2;So;0;ON;;;;;N;;;;;
        "\u1F725",  # ;ALCHEMICAL SYMBOL FOR COPPER ANTIMONIATE;So;0;ON;;;;;N;;;;;
        "\u1F726",  # ;ALCHEMICAL SYMBOL FOR SALT OF COPPER ANTIMONIATE;So;0;ON;;;;;N;;;;;
        "\u1F727",  # ;ALCHEMICAL SYMBOL FOR SUBLIMATE OF SALT OF COPPER;So;0;ON;;;;;N;;;;;
        "\u1F728",  # ;ALCHEMICAL SYMBOL FOR VERDIGRIS;So;0;ON;;;;;N;;;;;
        "\u1F729",  # ;ALCHEMICAL SYMBOL FOR TIN ORE;So;0;ON;;;;;N;;;;;
        "\u1F72A",  # ;ALCHEMICAL SYMBOL FOR LEAD ORE;So;0;ON;;;;;N;;;;;
        "\u1F72B",  # ;ALCHEMICAL SYMBOL FOR ANTIMONY ORE;So;0;ON;;;;;N;;;;;
        "\u1F72C",  # ;ALCHEMICAL SYMBOL FOR SUBLIMATE OF ANTIMONY;So;0;ON;;;;;N;;;;;
        "\u1F72D",  # ;ALCHEMICAL SYMBOL FOR SALT OF ANTIMONY;So;0;ON;;;;;N;;;;;
        "\u1F72E",  # ;ALCHEMICAL SYMBOL FOR SUBLIMATE OF SALT OF ANTIMONY;So;0;ON;;;;;N;;;;;
        "\u1F72F",  # ;ALCHEMICAL SYMBOL FOR VINEGAR OF ANTIMONY;So;0;ON;;;;;N;;;;;
        "\u1F730",  # ;ALCHEMICAL SYMBOL FOR REGULUS OF ANTIMONY;So;0;ON;;;;;N;;;;;
        "\u1F731",  # ;ALCHEMICAL SYMBOL FOR REGULUS OF ANTIMONY-2;So;0;ON;;;;;N;;;;;
        "\u1F732",  # ;ALCHEMICAL SYMBOL FOR REGULUS;So;0;ON;;;;;N;;;;;
        "\u1F733",  # ;ALCHEMICAL SYMBOL FOR REGULUS-2;So;0;ON;;;;;N;;;;;
        "\u1F734",  # ;ALCHEMICAL SYMBOL FOR REGULUS-3;So;0;ON;;;;;N;;;;;
        "\u1F735",  # ;ALCHEMICAL SYMBOL FOR REGULUS-4;So;0;ON;;;;;N;;;;;
        "\u1F736",  # ;ALCHEMICAL SYMBOL FOR ALKALI;So;0;ON;;;;;N;;;;;
        "\u1F737",  # ;ALCHEMICAL SYMBOL FOR ALKALI-2;So;0;ON;;;;;N;;;;;
        "\u1F738",  # ;ALCHEMICAL SYMBOL FOR MARCASITE;So;0;ON;;;;;N;;;;;
        "\u1F739",  # ;ALCHEMICAL SYMBOL FOR SAL-AMMONIAC;So;0;ON;;;;;N;;;;;
        "\u1F73A",  # ;ALCHEMICAL SYMBOL FOR ARSENIC;So;0;ON;;;;;N;;;;;
        "\u1F73B",  # ;ALCHEMICAL SYMBOL FOR REALGAR;So;0;ON;;;;;N;;;;;
        "\u1F73C",  # ;ALCHEMICAL SYMBOL FOR REALGAR-2;So;0;ON;;;;;N;;;;;
        "\u1F73D",  # ;ALCHEMICAL SYMBOL FOR AURIPIGMENT;So;0;ON;;;;;N;;;;;
        "\u1F73E",  # ;ALCHEMICAL SYMBOL FOR BISMUTH ORE;So;0;ON;;;;;N;;;;;
        "\u1F73F",  # ;ALCHEMICAL SYMBOL FOR TARTAR;So;0;ON;;;;;N;;;;;
        "\u1F740",  # ;ALCHEMICAL SYMBOL FOR TARTAR-2;So;0;ON;;;;;N;;;;;
        "\u1F741",  # ;ALCHEMICAL SYMBOL FOR QUICK LIME;So;0;ON;;;;;N;;;;;
        "\u1F742",  # ;ALCHEMICAL SYMBOL FOR BORAX;So;0;ON;;;;;N;;;;;
        "\u1F743",  # ;ALCHEMICAL SYMBOL FOR BORAX-2;So;0;ON;;;;;N;;;;;
        "\u1F744",  # ;ALCHEMICAL SYMBOL FOR BORAX-3;So;0;ON;;;;;N;;;;;
        "\u1F745",  # ;ALCHEMICAL SYMBOL FOR ALUM;So;0;ON;;;;;N;;;;;
        "\u1F746",  # ;ALCHEMICAL SYMBOL FOR OIL;So;0;ON;;;;;N;;;;;
        "\u1F747",  # ;ALCHEMICAL SYMBOL FOR SPIRIT;So;0;ON;;;;;N;;;;;
        "\u1F748",  # ;ALCHEMICAL SYMBOL FOR TINCTURE;So;0;ON;;;;;N;;;;;
        "\u1F749",  # ;ALCHEMICAL SYMBOL FOR GUM;So;0;ON;;;;;N;;;;;
        "\u1F74A",  # ;ALCHEMICAL SYMBOL FOR WAX;So;0;ON;;;;;N;;;;;
        "\u1F74B",  # ;ALCHEMICAL SYMBOL FOR POWDER;So;0;ON;;;;;N;;;;;
        "\u1F74C",  # ;ALCHEMICAL SYMBOL FOR CALX;So;0;ON;;;;;N;;;;;
        "\u1F74D",  # ;ALCHEMICAL SYMBOL FOR TUTTY;So;0;ON;;;;;N;;;;;
        "\u1F74E",  # ;ALCHEMICAL SYMBOL FOR CAPUT MORTUUM;So;0;ON;;;;;N;;;;;
        "\u1F74F",  # ;ALCHEMICAL SYMBOL FOR SCEPTER OF JOVE;So;0;ON;;;;;N;;;;;
        "\u1F750",  # ;ALCHEMICAL SYMBOL FOR CADUCEUS;So;0;ON;;;;;N;;;;;
        "\u1F751",  # ;ALCHEMICAL SYMBOL FOR TRIDENT;So;0;ON;;;;;N;;;;;
        "\u1F752",  # ;ALCHEMICAL SYMBOL FOR STARRED TRIDENT;So;0;ON;;;;;N;;;;;
        "\u1F753",  # ;ALCHEMICAL SYMBOL FOR LODESTONE;So;0;ON;;;;;N;;;;;
        "\u1F754",  # ;ALCHEMICAL SYMBOL FOR SOAP;So;0;ON;;;;;N;;;;;
        "\u1F755",  # ;ALCHEMICAL SYMBOL FOR URINE;So;0;ON;;;;;N;;;;;
        "\u1F756",  # ;ALCHEMICAL SYMBOL FOR HORSE DUNG;So;0;ON;;;;;N;;;;;
        "\u1F757",  # ;ALCHEMICAL SYMBOL FOR ASHES;So;0;ON;;;;;N;;;;;
        "\u1F758",  # ;ALCHEMICAL SYMBOL FOR POT ASHES;So;0;ON;;;;;N;;;;;
        "\u1F759",  # ;ALCHEMICAL SYMBOL FOR BRICK;So;0;ON;;;;;N;;;;;
        "\u1F75A",  # ;ALCHEMICAL SYMBOL FOR POWDERED BRICK;So;0;ON;;;;;N;;;;;
        "\u1F75B",  # ;ALCHEMICAL SYMBOL FOR AMALGAM;So;0;ON;;;;;N;;;;;
        "\u1F75C",  # ;ALCHEMICAL SYMBOL FOR STRATUM SUPER STRATUM;So;0;ON;;;;;N;;;;;
        "\u1F75D",  # ;ALCHEMICAL SYMBOL FOR STRATUM SUPER STRATUM-2;So;0;ON;;;;;N;;;;;
        "\u1F75E",  # ;ALCHEMICAL SYMBOL FOR SUBLIMATION;So;0;ON;;;;;N;;;;;
        "\u1F75F",  # ;ALCHEMICAL SYMBOL FOR PRECIPITATE;So;0;ON;;;;;N;;;;;
        "\u1F760",  # ;ALCHEMICAL SYMBOL FOR DISTILL;So;0;ON;;;;;N;;;;;
        "\u1F761",  # ;ALCHEMICAL SYMBOL FOR DISSOLVE;So;0;ON;;;;;N;;;;;
        "\u1F762",  # ;ALCHEMICAL SYMBOL FOR DISSOLVE-2;So;0;ON;;;;;N;;;;;
        "\u1F763",  # ;ALCHEMICAL SYMBOL FOR PURIFY;So;0;ON;;;;;N;;;;;
        "\u1F764",  # ;ALCHEMICAL SYMBOL FOR PUTREFACTION;So;0;ON;;;;;N;;;;;
        "\u1F765",  # ;ALCHEMICAL SYMBOL FOR CRUCIBLE;So;0;ON;;;;;N;;;;;
        "\u1F766",  # ;ALCHEMICAL SYMBOL FOR CRUCIBLE-2;So;0;ON;;;;;N;;;;;
        "\u1F767",  # ;ALCHEMICAL SYMBOL FOR CRUCIBLE-3;So;0;ON;;;;;N;;;;;
        "\u1F768",  # ;ALCHEMICAL SYMBOL FOR CRUCIBLE-4;So;0;ON;;;;;N;;;;;
        "\u1F769",  # ;ALCHEMICAL SYMBOL FOR CRUCIBLE-5;So;0;ON;;;;;N;;;;;
        "\u1F76A",  # ;ALCHEMICAL SYMBOL FOR ALEMBIC;So;0;ON;;;;;N;;;;;
        "\u1F76B",  # ;ALCHEMICAL SYMBOL FOR BATH OF MARY;So;0;ON;;;;;N;;;;;
        "\u1F76C",  # ;ALCHEMICAL SYMBOL FOR BATH OF VAPOURS;So;0;ON;;;;;N;;;;;
        "\u1F76D",  # ;ALCHEMICAL SYMBOL FOR RETORT;So;0;ON;;;;;N;;;;;
        "\u1F76E",  # ;ALCHEMICAL SYMBOL FOR HOUR;So;0;ON;;;;;N;;;;;
        "\u1F76F",  # ;ALCHEMICAL SYMBOL FOR NIGHT;So;0;ON;;;;;N;;;;;
        "\u1F770",  # ;ALCHEMICAL SYMBOL FOR DAY-NIGHT;So;0;ON;;;;;N;;;;;
        "\u1F771",  # ;ALCHEMICAL SYMBOL FOR MONTH;So;0;ON;;;;;N;;;;;
        "\u1F772",  # ;ALCHEMICAL SYMBOL FOR HALF DRAM;So;0;ON;;;;;N;;;;;
        "\u1F773",  # ;ALCHEMICAL SYMBOL FOR HALF OUNCE;So;0;ON;;;;;N;;;;;
        "\u1F780",  # ;BLACK LEFT-POINTING ISOSCELES RIGHT TRIANGLE;So;0;ON;;;;;N;;;;;
        "\u1F781",  # ;BLACK UP-POINTING ISOSCELES RIGHT TRIANGLE;So;0;ON;;;;;N;;;;;
        "\u1F782",  # ;BLACK RIGHT-POINTING ISOSCELES RIGHT TRIANGLE;So;0;ON;;;;;N;;;;;
        "\u1F783",  # ;BLACK DOWN-POINTING ISOSCELES RIGHT TRIANGLE;So;0;ON;;;;;N;;;;;
        "\u1F784",  # ;BLACK SLIGHTLY SMALL CIRCLE;So;0;ON;;;;;N;;;;;
        "\u1F785",  # ;MEDIUM BOLD WHITE CIRCLE;So;0;ON;;;;;N;;;;;
        "\u1F786",  # ;BOLD WHITE CIRCLE;So;0;ON;;;;;N;;;;;
        "\u1F787",  # ;HEAVY WHITE CIRCLE;So;0;ON;;;;;N;;;;;
        "\u1F788",  # ;VERY HEAVY WHITE CIRCLE;So;0;ON;;;;;N;;;;;
        "\u1F789",  # ;EXTREMELY HEAVY WHITE CIRCLE;So;0;ON;;;;;N;;;;;
        "\u1F78A",  # ;WHITE CIRCLE CONTAINING BLACK SMALL CIRCLE;So;0;ON;;;;;N;;;;;
        "\u1F78B",  # ;ROUND TARGET;So;0;ON;;;;;N;;;;;
        "\u1F78C",  # ;BLACK TINY SQUARE;So;0;ON;;;;;N;;;;;
        "\u1F78D",  # ;BLACK SLIGHTLY SMALL SQUARE;So;0;ON;;;;;N;;;;;
        "\u1F78E",  # ;LIGHT WHITE SQUARE;So;0;ON;;;;;N;;;;;
        "\u1F78F",  # ;MEDIUM WHITE SQUARE;So;0;ON;;;;;N;;;;;
        "\u1F790",  # ;BOLD WHITE SQUARE;So;0;ON;;;;;N;;;;;
        "\u1F791",  # ;HEAVY WHITE SQUARE;So;0;ON;;;;;N;;;;;
        "\u1F792",  # ;VERY HEAVY WHITE SQUARE;So;0;ON;;;;;N;;;;;
        "\u1F793",  # ;EXTREMELY HEAVY WHITE SQUARE;So;0;ON;;;;;N;;;;;
        "\u1F794",  # ;WHITE SQUARE CONTAINING BLACK VERY SMALL SQUARE;So;0;ON;;;;;N;;;;;
        "\u1F795",  # ;WHITE SQUARE CONTAINING BLACK MEDIUM SQUARE;So;0;ON;;;;;N;;;;;
        "\u1F796",  # ;SQUARE TARGET;So;0;ON;;;;;N;;;;;
        "\u1F797",  # ;BLACK TINY DIAMOND;So;0;ON;;;;;N;;;;;
        "\u1F798",  # ;BLACK VERY SMALL DIAMOND;So;0;ON;;;;;N;;;;;
        "\u1F799",  # ;BLACK MEDIUM SMALL DIAMOND;So;0;ON;;;;;N;;;;;
        "\u1F79A",  # ;WHITE DIAMOND CONTAINING BLACK VERY SMALL DIAMOND;So;0;ON;;;;;N;;;;;
        "\u1F79B",  # ;WHITE DIAMOND CONTAINING BLACK MEDIUM DIAMOND;So;0;ON;;;;;N;;;;;
        "\u1F79C",  # ;DIAMOND TARGET;So;0;ON;;;;;N;;;;;
        "\u1F79D",  # ;BLACK TINY LOZENGE;So;0;ON;;;;;N;;;;;
        "\u1F79E",  # ;BLACK VERY SMALL LOZENGE;So;0;ON;;;;;N;;;;;
        "\u1F79F",  # ;BLACK MEDIUM SMALL LOZENGE;So;0;ON;;;;;N;;;;;
        "\u1F7A0",  # ;WHITE LOZENGE CONTAINING BLACK SMALL LOZENGE;So;0;ON;;;;;N;;;;;
        "\u1F7A1",  # ;THIN GREEK CROSS;So;0;ON;;;;;N;;;;;
        "\u1F7A2",  # ;LIGHT GREEK CROSS;So;0;ON;;;;;N;;;;;
        "\u1F7A3",  # ;MEDIUM GREEK CROSS;So;0;ON;;;;;N;;;;;
        "\u1F7A4",  # ;BOLD GREEK CROSS;So;0;ON;;;;;N;;;;;
        "\u1F7A5",  # ;VERY BOLD GREEK CROSS;So;0;ON;;;;;N;;;;;
        "\u1F7A6",  # ;VERY HEAVY GREEK CROSS;So;0;ON;;;;;N;;;;;
        "\u1F7A7",  # ;EXTREMELY HEAVY GREEK CROSS;So;0;ON;;;;;N;;;;;
        "\u1F7A8",  # ;THIN SALTIRE;So;0;ON;;;;;N;;;;;
        "\u1F7A9",  # ;LIGHT SALTIRE;So;0;ON;;;;;N;;;;;
        "\u1F7AA",  # ;MEDIUM SALTIRE;So;0;ON;;;;;N;;;;;
        "\u1F7AB",  # ;BOLD SALTIRE;So;0;ON;;;;;N;;;;;
        "\u1F7AC",  # ;HEAVY SALTIRE;So;0;ON;;;;;N;;;;;
        "\u1F7AD",  # ;VERY HEAVY SALTIRE;So;0;ON;;;;;N;;;;;
        "\u1F7AE",  # ;EXTREMELY HEAVY SALTIRE;So;0;ON;;;;;N;;;;;
        "\u1F7AF",  # ;LIGHT FIVE SPOKED ASTERISK;So;0;ON;;;;;N;;;;;
        "\u1F7B0",  # ;MEDIUM FIVE SPOKED ASTERISK;So;0;ON;;;;;N;;;;;
        "\u1F7B1",  # ;BOLD FIVE SPOKED ASTERISK;So;0;ON;;;;;N;;;;;
        "\u1F7B2",  # ;HEAVY FIVE SPOKED ASTERISK;So;0;ON;;;;;N;;;;;
        "\u1F7B3",  # ;VERY HEAVY FIVE SPOKED ASTERISK;So;0;ON;;;;;N;;;;;
        "\u1F7B4",  # ;EXTREMELY HEAVY FIVE SPOKED ASTERISK;So;0;ON;;;;;N;;;;;
        "\u1F7B5",  # ;LIGHT SIX SPOKED ASTERISK;So;0;ON;;;;;N;;;;;
        "\u1F7B6",  # ;MEDIUM SIX SPOKED ASTERISK;So;0;ON;;;;;N;;;;;
        "\u1F7B7",  # ;BOLD SIX SPOKED ASTERISK;So;0;ON;;;;;N;;;;;
        "\u1F7B8",  # ;HEAVY SIX SPOKED ASTERISK;So;0;ON;;;;;N;;;;;
        "\u1F7B9",  # ;VERY HEAVY SIX SPOKED ASTERISK;So;0;ON;;;;;N;;;;;
        "\u1F7BA",  # ;EXTREMELY HEAVY SIX SPOKED ASTERISK;So;0;ON;;;;;N;;;;;
        "\u1F7BB",  # ;LIGHT EIGHT SPOKED ASTERISK;So;0;ON;;;;;N;;;;;
        "\u1F7BC",  # ;MEDIUM EIGHT SPOKED ASTERISK;So;0;ON;;;;;N;;;;;
        "\u1F7BD",  # ;BOLD EIGHT SPOKED ASTERISK;So;0;ON;;;;;N;;;;;
        "\u1F7BE",  # ;HEAVY EIGHT SPOKED ASTERISK;So;0;ON;;;;;N;;;;;
        "\u1F7BF",  # ;VERY HEAVY EIGHT SPOKED ASTERISK;So;0;ON;;;;;N;;;;;
        "\u1F7C0",  # ;LIGHT THREE POINTED BLACK STAR;So;0;ON;;;;;N;;;;;
        "\u1F7C1",  # ;MEDIUM THREE POINTED BLACK STAR;So;0;ON;;;;;N;;;;;
        "\u1F7C2",  # ;THREE POINTED BLACK STAR;So;0;ON;;;;;N;;;;;
        "\u1F7C3",  # ;MEDIUM THREE POINTED PINWHEEL STAR;So;0;ON;;;;;N;;;;;
        "\u1F7C4",  # ;LIGHT FOUR POINTED BLACK STAR;So;0;ON;;;;;N;;;;;
        "\u1F7C5",  # ;MEDIUM FOUR POINTED BLACK STAR;So;0;ON;;;;;N;;;;;
        "\u1F7C6",  # ;FOUR POINTED BLACK STAR;So;0;ON;;;;;N;;;;;
        "\u1F7C7",  # ;MEDIUM FOUR POINTED PINWHEEL STAR;So;0;ON;;;;;N;;;;;
        "\u1F7C8",  # ;REVERSE LIGHT FOUR POINTED PINWHEEL STAR;So;0;ON;;;;;N;;;;;
        "\u1F7C9",  # ;LIGHT FIVE POINTED BLACK STAR;So;0;ON;;;;;N;;;;;
        "\u1F7CA",  # ;HEAVY FIVE POINTED BLACK STAR;So;0;ON;;;;;N;;;;;
        "\u1F7CB",  # ;MEDIUM SIX POINTED BLACK STAR;So;0;ON;;;;;N;;;;;
        "\u1F7CC",  # ;HEAVY SIX POINTED BLACK STAR;So;0;ON;;;;;N;;;;;
        "\u1F7CD",  # ;SIX POINTED PINWHEEL STAR;So;0;ON;;;;;N;;;;;
        "\u1F7CE",  # ;MEDIUM EIGHT POINTED BLACK STAR;So;0;ON;;;;;N;;;;;
        "\u1F7CF",  # ;HEAVY EIGHT POINTED BLACK STAR;So;0;ON;;;;;N;;;;;
        "\u1F7D0",  # ;VERY HEAVY EIGHT POINTED BLACK STAR;So;0;ON;;;;;N;;;;;
        "\u1F7D1",  # ;HEAVY EIGHT POINTED PINWHEEL STAR;So;0;ON;;;;;N;;;;;
        "\u1F7D2",  # ;LIGHT TWELVE POINTED BLACK STAR;So;0;ON;;;;;N;;;;;
        "\u1F7D3",  # ;HEAVY TWELVE POINTED BLACK STAR;So;0;ON;;;;;N;;;;;
        "\u1F7D4",  # ;HEAVY TWELVE POINTED PINWHEEL STAR;So;0;ON;;;;;N;;;;;
        "\u1F800",  # ;LEFTWARDS ARROW WITH SMALL TRIANGLE ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F801",  # ;UPWARDS ARROW WITH SMALL TRIANGLE ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F802",  # ;RIGHTWARDS ARROW WITH SMALL TRIANGLE ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F803",  # ;DOWNWARDS ARROW WITH SMALL TRIANGLE ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F804",  # ;LEFTWARDS ARROW WITH MEDIUM TRIANGLE ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F805",  # ;UPWARDS ARROW WITH MEDIUM TRIANGLE ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F806",  # ;RIGHTWARDS ARROW WITH MEDIUM TRIANGLE ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F807",  # ;DOWNWARDS ARROW WITH MEDIUM TRIANGLE ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F808",  # ;LEFTWARDS ARROW WITH LARGE TRIANGLE ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F809",  # ;UPWARDS ARROW WITH LARGE TRIANGLE ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F80A",  # ;RIGHTWARDS ARROW WITH LARGE TRIANGLE ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F80B",  # ;DOWNWARDS ARROW WITH LARGE TRIANGLE ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F810",  # ;LEFTWARDS ARROW WITH SMALL EQUILATERAL ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F811",  # ;UPWARDS ARROW WITH SMALL EQUILATERAL ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F812",  # ;RIGHTWARDS ARROW WITH SMALL EQUILATERAL ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F813",  # ;DOWNWARDS ARROW WITH SMALL EQUILATERAL ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F814",  # ;LEFTWARDS ARROW WITH EQUILATERAL ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F815",  # ;UPWARDS ARROW WITH EQUILATERAL ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F816",  # ;RIGHTWARDS ARROW WITH EQUILATERAL ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F817",  # ;DOWNWARDS ARROW WITH EQUILATERAL ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F818",  # ;HEAVY LEFTWARDS ARROW WITH EQUILATERAL ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F819",  # ;HEAVY UPWARDS ARROW WITH EQUILATERAL ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F81A",  # ;HEAVY RIGHTWARDS ARROW WITH EQUILATERAL ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F81B",  # ;HEAVY DOWNWARDS ARROW WITH EQUILATERAL ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F81C",  # ;HEAVY LEFTWARDS ARROW WITH LARGE EQUILATERAL ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F81D",  # ;HEAVY UPWARDS ARROW WITH LARGE EQUILATERAL ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F81E",  # ;HEAVY RIGHTWARDS ARROW WITH LARGE EQUILATERAL ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F81F",  # ;HEAVY DOWNWARDS ARROW WITH LARGE EQUILATERAL ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F820",  # ;LEFTWARDS TRIANGLE-HEADED ARROW WITH NARROW SHAFT;So;0;ON;;;;;N;;;;;
        "\u1F821",  # ;UPWARDS TRIANGLE-HEADED ARROW WITH NARROW SHAFT;So;0;ON;;;;;N;;;;;
        "\u1F822",  # ;RIGHTWARDS TRIANGLE-HEADED ARROW WITH NARROW SHAFT;So;0;ON;;;;;N;;;;;
        "\u1F823",  # ;DOWNWARDS TRIANGLE-HEADED ARROW WITH NARROW SHAFT;So;0;ON;;;;;N;;;;;
        "\u1F824",  # ;LEFTWARDS TRIANGLE-HEADED ARROW WITH MEDIUM SHAFT;So;0;ON;;;;;N;;;;;
        "\u1F825",  # ;UPWARDS TRIANGLE-HEADED ARROW WITH MEDIUM SHAFT;So;0;ON;;;;;N;;;;;
        "\u1F826",  # ;RIGHTWARDS TRIANGLE-HEADED ARROW WITH MEDIUM SHAFT;So;0;ON;;;;;N;;;;;
        "\u1F827",  # ;DOWNWARDS TRIANGLE-HEADED ARROW WITH MEDIUM SHAFT;So;0;ON;;;;;N;;;;;
        "\u1F828",  # ;LEFTWARDS TRIANGLE-HEADED ARROW WITH BOLD SHAFT;So;0;ON;;;;;N;;;;;
        "\u1F829",  # ;UPWARDS TRIANGLE-HEADED ARROW WITH BOLD SHAFT;So;0;ON;;;;;N;;;;;
        "\u1F82A",  # ;RIGHTWARDS TRIANGLE-HEADED ARROW WITH BOLD SHAFT;So;0;ON;;;;;N;;;;;
        "\u1F82B",  # ;DOWNWARDS TRIANGLE-HEADED ARROW WITH BOLD SHAFT;So;0;ON;;;;;N;;;;;
        "\u1F82C",  # ;LEFTWARDS TRIANGLE-HEADED ARROW WITH HEAVY SHAFT;So;0;ON;;;;;N;;;;;
        "\u1F82D",  # ;UPWARDS TRIANGLE-HEADED ARROW WITH HEAVY SHAFT;So;0;ON;;;;;N;;;;;
        "\u1F82E",  # ;RIGHTWARDS TRIANGLE-HEADED ARROW WITH HEAVY SHAFT;So;0;ON;;;;;N;;;;;
        "\u1F82F",  # ;DOWNWARDS TRIANGLE-HEADED ARROW WITH HEAVY SHAFT;So;0;ON;;;;;N;;;;;
        "\u1F830",  # ;LEFTWARDS TRIANGLE-HEADED ARROW WITH VERY HEAVY SHAFT;So;0;ON;;;;;N;;;;;
        "\u1F831",  # ;UPWARDS TRIANGLE-HEADED ARROW WITH VERY HEAVY SHAFT;So;0;ON;;;;;N;;;;;
        "\u1F832",  # ;RIGHTWARDS TRIANGLE-HEADED ARROW WITH VERY HEAVY SHAFT;So;0;ON;;;;;N;;;;;
        "\u1F833",  # ;DOWNWARDS TRIANGLE-HEADED ARROW WITH VERY HEAVY SHAFT;So;0;ON;;;;;N;;;;;
        "\u1F834",  # ;LEFTWARDS FINGER-POST ARROW;So;0;ON;;;;;N;;;;;
        "\u1F835",  # ;UPWARDS FINGER-POST ARROW;So;0;ON;;;;;N;;;;;
        "\u1F836",  # ;RIGHTWARDS FINGER-POST ARROW;So;0;ON;;;;;N;;;;;
        "\u1F837",  # ;DOWNWARDS FINGER-POST ARROW;So;0;ON;;;;;N;;;;;
        "\u1F838",  # ;LEFTWARDS SQUARED ARROW;So;0;ON;;;;;N;;;;;
        "\u1F839",  # ;UPWARDS SQUARED ARROW;So;0;ON;;;;;N;;;;;
        "\u1F83A",  # ;RIGHTWARDS SQUARED ARROW;So;0;ON;;;;;N;;;;;
        "\u1F83B",  # ;DOWNWARDS SQUARED ARROW;So;0;ON;;;;;N;;;;;
        "\u1F83C",  # ;LEFTWARDS COMPRESSED ARROW;So;0;ON;;;;;N;;;;;
        "\u1F83D",  # ;UPWARDS COMPRESSED ARROW;So;0;ON;;;;;N;;;;;
        "\u1F83E",  # ;RIGHTWARDS COMPRESSED ARROW;So;0;ON;;;;;N;;;;;
        "\u1F83F",  # ;DOWNWARDS COMPRESSED ARROW;So;0;ON;;;;;N;;;;;
        "\u1F840",  # ;LEFTWARDS HEAVY COMPRESSED ARROW;So;0;ON;;;;;N;;;;;
        "\u1F841",  # ;UPWARDS HEAVY COMPRESSED ARROW;So;0;ON;;;;;N;;;;;
        "\u1F842",  # ;RIGHTWARDS HEAVY COMPRESSED ARROW;So;0;ON;;;;;N;;;;;
        "\u1F843",  # ;DOWNWARDS HEAVY COMPRESSED ARROW;So;0;ON;;;;;N;;;;;
        "\u1F844",  # ;LEFTWARDS HEAVY ARROW;So;0;ON;;;;;N;;;;;
        "\u1F845",  # ;UPWARDS HEAVY ARROW;So;0;ON;;;;;N;;;;;
        "\u1F846",  # ;RIGHTWARDS HEAVY ARROW;So;0;ON;;;;;N;;;;;
        "\u1F847",  # ;DOWNWARDS HEAVY ARROW;So;0;ON;;;;;N;;;;;
        "\u1F850",  # ;LEFTWARDS SANS-SERIF ARROW;So;0;ON;;;;;N;;;;;
        "\u1F851",  # ;UPWARDS SANS-SERIF ARROW;So;0;ON;;;;;N;;;;;
        "\u1F852",  # ;RIGHTWARDS SANS-SERIF ARROW;So;0;ON;;;;;N;;;;;
        "\u1F853",  # ;DOWNWARDS SANS-SERIF ARROW;So;0;ON;;;;;N;;;;;
        "\u1F854",  # ;NORTH WEST SANS-SERIF ARROW;So;0;ON;;;;;N;;;;;
        "\u1F855",  # ;NORTH EAST SANS-SERIF ARROW;So;0;ON;;;;;N;;;;;
        "\u1F856",  # ;SOUTH EAST SANS-SERIF ARROW;So;0;ON;;;;;N;;;;;
        "\u1F857",  # ;SOUTH WEST SANS-SERIF ARROW;So;0;ON;;;;;N;;;;;
        "\u1F858",  # ;LEFT RIGHT SANS-SERIF ARROW;So;0;ON;;;;;N;;;;;
        "\u1F859",  # ;UP DOWN SANS-SERIF ARROW;So;0;ON;;;;;N;;;;;
        "\u1F860",  # ;WIDE-HEADED LEFTWARDS LIGHT BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F861",  # ;WIDE-HEADED UPWARDS LIGHT BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F862",  # ;WIDE-HEADED RIGHTWARDS LIGHT BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F863",  # ;WIDE-HEADED DOWNWARDS LIGHT BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F864",  # ;WIDE-HEADED NORTH WEST LIGHT BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F865",  # ;WIDE-HEADED NORTH EAST LIGHT BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F866",  # ;WIDE-HEADED SOUTH EAST LIGHT BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F867",  # ;WIDE-HEADED SOUTH WEST LIGHT BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F868",  # ;WIDE-HEADED LEFTWARDS BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F869",  # ;WIDE-HEADED UPWARDS BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F86A",  # ;WIDE-HEADED RIGHTWARDS BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F86B",  # ;WIDE-HEADED DOWNWARDS BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F86C",  # ;WIDE-HEADED NORTH WEST BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F86D",  # ;WIDE-HEADED NORTH EAST BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F86E",  # ;WIDE-HEADED SOUTH EAST BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F86F",  # ;WIDE-HEADED SOUTH WEST BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F870",  # ;WIDE-HEADED LEFTWARDS MEDIUM BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F871",  # ;WIDE-HEADED UPWARDS MEDIUM BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F872",  # ;WIDE-HEADED RIGHTWARDS MEDIUM BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F873",  # ;WIDE-HEADED DOWNWARDS MEDIUM BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F874",  # ;WIDE-HEADED NORTH WEST MEDIUM BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F875",  # ;WIDE-HEADED NORTH EAST MEDIUM BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F876",  # ;WIDE-HEADED SOUTH EAST MEDIUM BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F877",  # ;WIDE-HEADED SOUTH WEST MEDIUM BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F878",  # ;WIDE-HEADED LEFTWARDS HEAVY BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F879",  # ;WIDE-HEADED UPWARDS HEAVY BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F87A",  # ;WIDE-HEADED RIGHTWARDS HEAVY BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F87B",  # ;WIDE-HEADED DOWNWARDS HEAVY BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F87C",  # ;WIDE-HEADED NORTH WEST HEAVY BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F87D",  # ;WIDE-HEADED NORTH EAST HEAVY BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F87E",  # ;WIDE-HEADED SOUTH EAST HEAVY BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F87F",  # ;WIDE-HEADED SOUTH WEST HEAVY BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F880",  # ;WIDE-HEADED LEFTWARDS VERY HEAVY BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F881",  # ;WIDE-HEADED UPWARDS VERY HEAVY BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F882",  # ;WIDE-HEADED RIGHTWARDS VERY HEAVY BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F883",  # ;WIDE-HEADED DOWNWARDS VERY HEAVY BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F884",  # ;WIDE-HEADED NORTH WEST VERY HEAVY BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F885",  # ;WIDE-HEADED NORTH EAST VERY HEAVY BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F886",  # ;WIDE-HEADED SOUTH EAST VERY HEAVY BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F887",  # ;WIDE-HEADED SOUTH WEST VERY HEAVY BARB ARROW;So;0;ON;;;;;N;;;;;
        "\u1F890",  # ;LEFTWARDS TRIANGLE ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F891",  # ;UPWARDS TRIANGLE ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F892",  # ;RIGHTWARDS TRIANGLE ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F893",  # ;DOWNWARDS TRIANGLE ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F894",  # ;LEFTWARDS WHITE ARROW WITHIN TRIANGLE ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F895",  # ;UPWARDS WHITE ARROW WITHIN TRIANGLE ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F896",  # ;RIGHTWARDS WHITE ARROW WITHIN TRIANGLE ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F897",  # ;DOWNWARDS WHITE ARROW WITHIN TRIANGLE ARROWHEAD;So;0;ON;;;;;N;;;;;
        "\u1F898",  # ;LEFTWARDS ARROW WITH NOTCHED TAIL;So;0;ON;;;;;N;;;;;
        "\u1F899",  # ;UPWARDS ARROW WITH NOTCHED TAIL;So;0;ON;;;;;N;;;;;
        "\u1F89A",  # ;RIGHTWARDS ARROW WITH NOTCHED TAIL;So;0;ON;;;;;N;;;;;
        "\u1F89B",  # ;DOWNWARDS ARROW WITH NOTCHED TAIL;So;0;ON;;;;;N;;;;;
        "\u1F89C",  # ;HEAVY ARROW SHAFT WIDTH ONE;So;0;ON;;;;;N;;;;;
        "\u1F89D",  # ;HEAVY ARROW SHAFT WIDTH TWO THIRDS;So;0;ON;;;;;N;;;;;
        "\u1F89E",  # ;HEAVY ARROW SHAFT WIDTH ONE HALF;So;0;ON;;;;;N;;;;;
        "\u1F89F",  # ;HEAVY ARROW SHAFT WIDTH ONE THIRD;So;0;ON;;;;;N;;;;;
        "\u1F8A0",  # ;LEFTWARDS BOTTOM-SHADED WHITE ARROW;So;0;ON;;;;;N;;;;;
        "\u1F8A1",  # ;RIGHTWARDS BOTTOM SHADED WHITE ARROW;So;0;ON;;;;;N;;;;;
        "\u1F8A2",  # ;LEFTWARDS TOP SHADED WHITE ARROW;So;0;ON;;;;;N;;;;;
        "\u1F8A3",  # ;RIGHTWARDS TOP SHADED WHITE ARROW;So;0;ON;;;;;N;;;;;
        "\u1F8A4",  # ;LEFTWARDS LEFT-SHADED WHITE ARROW;So;0;ON;;;;;N;;;;;
        "\u1F8A5",  # ;RIGHTWARDS RIGHT-SHADED WHITE ARROW;So;0;ON;;;;;N;;;;;
        "\u1F8A6",  # ;LEFTWARDS RIGHT-SHADED WHITE ARROW;So;0;ON;;;;;N;;;;;
        "\u1F8A7",  # ;RIGHTWARDS LEFT-SHADED WHITE ARROW;So;0;ON;;;;;N;;;;;
        "\u1F8A8",  # ;LEFTWARDS BACK-TILTED SHADOWED WHITE ARROW;So;0;ON;;;;;N;;;;;
        "\u1F8A9",  # ;RIGHTWARDS BACK-TILTED SHADOWED WHITE ARROW;So;0;ON;;;;;N;;;;;
        "\u1F8AA",  # ;LEFTWARDS FRONT-TILTED SHADOWED WHITE ARROW;So;0;ON;;;;;N;;;;;
        "\u1F8AB",  # ;RIGHTWARDS FRONT-TILTED SHADOWED WHITE ARROW;So;0;ON;;;;;N;;;;;
        "\u1F8AC",  # ;WHITE ARROW SHAFT WIDTH ONE;So;0;ON;;;;;N;;;;;
        "\u1F8AD",  # ;WHITE ARROW SHAFT WIDTH TWO THIRDS;So;0;ON;;;;;N;;;;;
        "\u1F900",  # ;CIRCLED CROSS FORMEE WITH FOUR DOTS;So;0;ON;;;;;N;;;;;
        "\u1F901",  # ;CIRCLED CROSS FORMEE WITH TWO DOTS;So;0;ON;;;;;N;;;;;
        "\u1F902",  # ;CIRCLED CROSS FORMEE;So;0;ON;;;;;N;;;;;
        "\u1F903",  # ;LEFT HALF CIRCLE WITH FOUR DOTS;So;0;ON;;;;;N;;;;;
        "\u1F904",  # ;LEFT HALF CIRCLE WITH THREE DOTS;So;0;ON;;;;;N;;;;;
        "\u1F905",  # ;LEFT HALF CIRCLE WITH TWO DOTS;So;0;ON;;;;;N;;;;;
        "\u1F906",  # ;LEFT HALF CIRCLE WITH DOT;So;0;ON;;;;;N;;;;;
        "\u1F907",  # ;LEFT HALF CIRCLE;So;0;ON;;;;;N;;;;;
        "\u1F908",  # ;DOWNWARD FACING HOOK;So;0;ON;;;;;N;;;;;
        "\u1F909",  # ;DOWNWARD FACING NOTCHED HOOK;So;0;ON;;;;;N;;;;;
        "\u1F90A",  # ;DOWNWARD FACING HOOK WITH DOT;So;0;ON;;;;;N;;;;;
        "\u1F90B",  # ;DOWNWARD FACING NOTCHED HOOK WITH DOT;So;0;ON;;;;;N;;;;;
        "\u1F910",  # ;ZIPPER-MOUTH FACE;So;0;ON;;;;;N;;;;;
        "\u1F911",  # ;MONEY-MOUTH FACE;So;0;ON;;;;;N;;;;;
        "\u1F912",  # ;FACE WITH THERMOMETER;So;0;ON;;;;;N;;;;;
        "\u1F913",  # ;NERD FACE;So;0;ON;;;;;N;;;;;
        "\u1F914",  # ;THINKING FACE;So;0;ON;;;;;N;;;;;
        "\u1F915",  # ;FACE WITH HEAD-BANDAGE;So;0;ON;;;;;N;;;;;
        "\u1F916",  # ;ROBOT FACE;So;0;ON;;;;;N;;;;;
        "\u1F917",  # ;HUGGING FACE;So;0;ON;;;;;N;;;;;
        "\u1F918",  # ;SIGN OF THE HORNS;So;0;ON;;;;;N;;;;;
        "\u1F919",  # ;CALL ME HAND;So;0;ON;;;;;N;;;;;
        "\u1F91A",  # ;RAISED BACK OF HAND;So;0;ON;;;;;N;;;;;
        "\u1F91B",  # ;LEFT-FACING FIST;So;0;ON;;;;;N;;;;;
        "\u1F91C",  # ;RIGHT-FACING FIST;So;0;ON;;;;;N;;;;;
        "\u1F91D",  # ;HANDSHAKE;So;0;ON;;;;;N;;;;;
        "\u1F91E",  # ;HAND WITH INDEX AND MIDDLE FINGERS CROSSED;So;0;ON;;;;;N;;;;;
        "\u1F91F",  # ;I LOVE YOU HAND SIGN;So;0;ON;;;;;N;;;;;
        "\u1F920",  # ;FACE WITH COWBOY HAT;So;0;ON;;;;;N;;;;;
        "\u1F921",  # ;CLOWN FACE;So;0;ON;;;;;N;;;;;
        "\u1F922",  # ;NAUSEATED FACE;So;0;ON;;;;;N;;;;;
        "\u1F923",  # ;ROLLING ON THE FLOOR LAUGHING;So;0;ON;;;;;N;;;;;
        "\u1F924",  # ;DROOLING FACE;So;0;ON;;;;;N;;;;;
        "\u1F925",  # ;LYING FACE;So;0;ON;;;;;N;;;;;
        "\u1F926",  # ;FACE PALM;So;0;ON;;;;;N;;;;;
        "\u1F927",  # ;SNEEZING FACE;So;0;ON;;;;;N;;;;;
        "\u1F928",  # ;FACE WITH ONE EYEBROW RAISED;So;0;ON;;;;;N;;;;;
        "\u1F929",  # ;GRINNING FACE WITH STAR EYES;So;0;ON;;;;;N;;;;;
        "\u1F92A",  # ;GRINNING FACE WITH ONE LARGE AND ONE SMALL EYE;So;0;ON;;;;;N;;;;;
        "\u1F92B",  # ;FACE WITH FINGER COVERING CLOSED LIPS;So;0;ON;;;;;N;;;;;
        "\u1F92C",  # ;SERIOUS FACE WITH SYMBOLS COVERING MOUTH;So;0;ON;;;;;N;;;;;
        "\u1F92D",  # ;SMILING FACE WITH SMILING EYES AND HAND COVERING MOUTH;So;0;ON;;;;;N;;;;;
        "\u1F92E",  # ;FACE WITH OPEN MOUTH VOMITING;So;0;ON;;;;;N;;;;;
        "\u1F92F",  # ;SHOCKED FACE WITH EXPLODING HEAD;So;0;ON;;;;;N;;;;;
        "\u1F930",  # ;PREGNANT WOMAN;So;0;ON;;;;;N;;;;;
        "\u1F931",  # ;BREAST-FEEDING;So;0;ON;;;;;N;;;;;
        "\u1F932",  # ;PALMS UP TOGETHER;So;0;ON;;;;;N;;;;;
        "\u1F933",  # ;SELFIE;So;0;ON;;;;;N;;;;;
        "\u1F934",  # ;PRINCE;So;0;ON;;;;;N;;;;;
        "\u1F935",  # ;MAN IN TUXEDO;So;0;ON;;;;;N;;;;;
        "\u1F936",  # ;MOTHER CHRISTMAS;So;0;ON;;;;;N;;;;;
        "\u1F937",  # ;SHRUG;So;0;ON;;;;;N;;;;;
        "\u1F938",  # ;PERSON DOING CARTWHEEL;So;0;ON;;;;;N;;;;;
        "\u1F939",  # ;JUGGLING;So;0;ON;;;;;N;;;;;
        "\u1F93A",  # ;FENCER;So;0;ON;;;;;N;;;;;
        "\u1F93B",  # ;MODERN PENTATHLON;So;0;ON;;;;;N;;;;;
        "\u1F93C",  # ;WRESTLERS;So;0;ON;;;;;N;;;;;
        "\u1F93D",  # ;WATER POLO;So;0;ON;;;;;N;;;;;
        "\u1F93E",  # ;HANDBALL;So;0;ON;;;;;N;;;;;
        "\u1F940",  # ;WILTED FLOWER;So;0;ON;;;;;N;;;;;
        "\u1F941",  # ;DRUM WITH DRUMSTICKS;So;0;ON;;;;;N;;;;;
        "\u1F942",  # ;CLINKING GLASSES;So;0;ON;;;;;N;;;;;
        "\u1F943",  # ;TUMBLER GLASS;So;0;ON;;;;;N;;;;;
        "\u1F944",  # ;SPOON;So;0;ON;;;;;N;;;;;
        "\u1F945",  # ;GOAL NET;So;0;ON;;;;;N;;;;;
        "\u1F946",  # ;RIFLE;So;0;ON;;;;;N;;;;;
        "\u1F947",  # ;FIRST PLACE MEDAL;So;0;ON;;;;;N;;;;;
        "\u1F948",  # ;SECOND PLACE MEDAL;So;0;ON;;;;;N;;;;;
        "\u1F949",  # ;THIRD PLACE MEDAL;So;0;ON;;;;;N;;;;;
        "\u1F94A",  # ;BOXING GLOVE;So;0;ON;;;;;N;;;;;
        "\u1F94B",  # ;MARTIAL ARTS UNIFORM;So;0;ON;;;;;N;;;;;
        "\u1F94C",  # ;CURLING STONE;So;0;ON;;;;;N;;;;;
        "\u1F950",  # ;CROISSANT;So;0;ON;;;;;N;;;;;
        "\u1F951",  # ;AVOCADO;So;0;ON;;;;;N;;;;;
        "\u1F952",  # ;CUCUMBER;So;0;ON;;;;;N;;;;;
        "\u1F953",  # ;BACON;So;0;ON;;;;;N;;;;;
        "\u1F954",  # ;POTATO;So;0;ON;;;;;N;;;;;
        "\u1F955",  # ;CARROT;So;0;ON;;;;;N;;;;;
        "\u1F956",  # ;BAGUETTE BREAD;So;0;ON;;;;;N;;;;;
        "\u1F957",  # ;GREEN SALAD;So;0;ON;;;;;N;;;;;
        "\u1F958",  # ;SHALLOW PAN OF FOOD;So;0;ON;;;;;N;;;;;
        "\u1F959",  # ;STUFFED FLATBREAD;So;0;ON;;;;;N;;;;;
        "\u1F95A",  # ;EGG;So;0;ON;;;;;N;;;;;
        "\u1F95B",  # ;GLASS OF MILK;So;0;ON;;;;;N;;;;;
        "\u1F95C",  # ;PEANUTS;So;0;ON;;;;;N;;;;;
        "\u1F95D",  # ;KIWIFRUIT;So;0;ON;;;;;N;;;;;
        "\u1F95E",  # ;PANCAKES;So;0;ON;;;;;N;;;;;
        "\u1F95F",  # ;DUMPLING;So;0;ON;;;;;N;;;;;
        "\u1F960",  # ;FORTUNE COOKIE;So;0;ON;;;;;N;;;;;
        "\u1F961",  # ;TAKEOUT BOX;So;0;ON;;;;;N;;;;;
        "\u1F962",  # ;CHOPSTICKS;So;0;ON;;;;;N;;;;;
        "\u1F963",  # ;BOWL WITH SPOON;So;0;ON;;;;;N;;;;;
        "\u1F964",  # ;CUP WITH STRAW;So;0;ON;;;;;N;;;;;
        "\u1F965",  # ;COCONUT;So;0;ON;;;;;N;;;;;
        "\u1F966",  # ;BROCCOLI;So;0;ON;;;;;N;;;;;
        "\u1F967",  # ;PIE;So;0;ON;;;;;N;;;;;
        "\u1F968",  # ;PRETZEL;So;0;ON;;;;;N;;;;;
        "\u1F969",  # ;CUT OF MEAT;So;0;ON;;;;;N;;;;;
        "\u1F96A",  # ;SANDWICH;So;0;ON;;;;;N;;;;;
        "\u1F96B",  # ;CANNED FOOD;So;0;ON;;;;;N;;;;;
        "\u1F980",  # ;CRAB;So;0;ON;;;;;N;;;;;
        "\u1F981",  # ;LION FACE;So;0;ON;;;;;N;;;;;
        "\u1F982",  # ;SCORPION;So;0;ON;;;;;N;;;;;
        "\u1F983",  # ;TURKEY;So;0;ON;;;;;N;;;;;
        "\u1F984",  # ;UNICORN FACE;So;0;ON;;;;;N;;;;;
        "\u1F985",  # ;EAGLE;So;0;ON;;;;;N;;;;;
        "\u1F986",  # ;DUCK;So;0;ON;;;;;N;;;;;
        "\u1F987",  # ;BAT;So;0;ON;;;;;N;;;;;
        "\u1F988",  # ;SHARK;So;0;ON;;;;;N;;;;;
        "\u1F989",  # ;OWL;So;0;ON;;;;;N;;;;;
        "\u1F98A",  # ;FOX FACE;So;0;ON;;;;;N;;;;;
        "\u1F98B",  # ;BUTTERFLY;So;0;ON;;;;;N;;;;;
        "\u1F98C",  # ;DEER;So;0;ON;;;;;N;;;;;
        "\u1F98D",  # ;GORILLA;So;0;ON;;;;;N;;;;;
        "\u1F98E",  # ;LIZARD;So;0;ON;;;;;N;;;;;
        "\u1F98F",  # ;RHINOCEROS;So;0;ON;;;;;N;;;;;
        "\u1F990",  # ;SHRIMP;So;0;ON;;;;;N;;;;;
        "\u1F991",  # ;SQUID;So;0;ON;;;;;N;;;;;
        "\u1F992",  # ;GIRAFFE FACE;So;0;ON;;;;;N;;;;;
        "\u1F993",  # ;ZEBRA FACE;So;0;ON;;;;;N;;;;;
        "\u1F994",  # ;HEDGEHOG;So;0;ON;;;;;N;;;;;
        "\u1F995",  # ;SAUROPOD;So;0;ON;;;;;N;;;;;
        "\u1F996",  # ;T-REX;So;0;ON;;;;;N;;;;;
        "\u1F997",  # ;CRICKET;So;0;ON;;;;;N;;;;;
        "\u1F9C0",  # ;CHEESE WEDGE;So;0;ON;;;;;N;;;;;
        "\u1F9D0",  # ;FACE WITH MONOCLE;So;0;ON;;;;;N;;;;;
        "\u1F9D1",  # ;ADULT;So;0;ON;;;;;N;;;;;
        "\u1F9D2",  # ;CHILD;So;0;ON;;;;;N;;;;;
        "\u1F9D3",  # ;OLDER ADULT;So;0;ON;;;;;N;;;;;
        "\u1F9D4",  # ;BEARDED PERSON;So;0;ON;;;;;N;;;;;
        "\u1F9D5",  # ;PERSON WITH HEADSCARF;So;0;ON;;;;;N;;;;;
        "\u1F9D6",  # ;PERSON IN STEAMY ROOM;So;0;ON;;;;;N;;;;;
        "\u1F9D7",  # ;PERSON CLIMBING;So;0;ON;;;;;N;;;;;
        "\u1F9D8",  # ;PERSON IN LOTUS POSITION;So;0;ON;;;;;N;;;;;
        "\u1F9D9",  # ;MAGE;So;0;ON;;;;;N;;;;;
        "\u1F9DA",  # ;FAIRY;So;0;ON;;;;;N;;;;;
        "\u1F9DB",  # ;VAMPIRE;So;0;ON;;;;;N;;;;;
        "\u1F9DC",  # ;MERPERSON;So;0;ON;;;;;N;;;;;
        "\u1F9DD",  # ;ELF;So;0;ON;;;;;N;;;;;
        "\u1F9DE",  # ;GENIE;So;0;ON;;;;;N;;;;;
        "\u1F9DF",  # ;ZOMBIE;So;0;ON;;;;;N;;;;;
        "\u1F9E0",  # ;BRAIN;So;0;ON;;;;;N;;;;;
        "\u1F9E1",  # ;ORANGE HEART;So;0;ON;;;;;N;;;;;
        "\u1F9E2",  # ;BILLED CAP;So;0;ON;;;;;N;;;;;
        "\u1F9E3",  # ;SCARF;So;0;ON;;;;;N;;;;;
        "\u1F9E4",  # ;GLOVES;So;0;ON;;;;;N;;;;;
        "\u1F9E5",  # ;COAT;So;0;ON;;;;;N;;;;;
        "\u1F9E6",  # ;SOCKS;So;0;ON;;;;;N;;;;;
        "\u20000",  # ;<CJK Ideograph Extension B, First>;Lo;0;L;;;;;N;;;;;
        "\u2A6D6",  # ;<CJK Ideograph Extension B, Last>;Lo;0;L;;;;;N;;;;;
        "\u2A700",  # ;<CJK Ideograph Extension C, First>;Lo;0;L;;;;;N;;;;;
        "\u2B734",  # ;<CJK Ideograph Extension C, Last>;Lo;0;L;;;;;N;;;;;
        "\u2B740",  # ;<CJK Ideograph Extension D, First>;Lo;0;L;;;;;N;;;;;
        "\u2B81D",  # ;<CJK Ideograph Extension D, Last>;Lo;0;L;;;;;N;;;;;
        "\u2B820",  # ;<CJK Ideograph Extension E, First>;Lo;0;L;;;;;N;;;;;
        "\u2CEA1",  # ;<CJK Ideograph Extension E, Last>;Lo;0;L;;;;;N;;;;;
        "\u2CEB0",  # ;<CJK Ideograph Extension F, First>;Lo;0;L;;;;;N;;;;;
        "\u2EBE0",  # ;<CJK Ideograph Extension F, Last>;Lo;0;L;;;;;N;;;;;
        "\u2F800",  # ;CJK COMPATIBILITY IDEOGRAPH-2F800;Lo;0;L;4E3D;;;;N;;;;;
        "\u2F801",  # ;CJK COMPATIBILITY IDEOGRAPH-2F801;Lo;0;L;4E38;;;;N;;;;;
        "\u2F802",  # ;CJK COMPATIBILITY IDEOGRAPH-2F802;Lo;0;L;4E41;;;;N;;;;;
        "\u2F803",  # ;CJK COMPATIBILITY IDEOGRAPH-2F803;Lo;0;L;20122;;;;N;;;;;
        "\u2F804",  # ;CJK COMPATIBILITY IDEOGRAPH-2F804;Lo;0;L;4F60;;;;N;;;;;
        "\u2F805",  # ;CJK COMPATIBILITY IDEOGRAPH-2F805;Lo;0;L;4FAE;;;;N;;;;;
        "\u2F806",  # ;CJK COMPATIBILITY IDEOGRAPH-2F806;Lo;0;L;4FBB;;;;N;;;;;
        "\u2F807",  # ;CJK COMPATIBILITY IDEOGRAPH-2F807;Lo;0;L;5002;;;;N;;;;;
        "\u2F808",  # ;CJK COMPATIBILITY IDEOGRAPH-2F808;Lo;0;L;507A;;;;N;;;;;
        "\u2F809",  # ;CJK COMPATIBILITY IDEOGRAPH-2F809;Lo;0;L;5099;;;;N;;;;;
        "\u2F80A",  # ;CJK COMPATIBILITY IDEOGRAPH-2F80A;Lo;0;L;50E7;;;;N;;;;;
        "\u2F80B",  # ;CJK COMPATIBILITY IDEOGRAPH-2F80B;Lo;0;L;50CF;;;;N;;;;;
        "\u2F80C",  # ;CJK COMPATIBILITY IDEOGRAPH-2F80C;Lo;0;L;349E;;;;N;;;;;
        "\u2F80D",  # ;CJK COMPATIBILITY IDEOGRAPH-2F80D;Lo;0;L;2063A;;;;N;;;;;
        "\u2F80E",  # ;CJK COMPATIBILITY IDEOGRAPH-2F80E;Lo;0;L;514D;;;;N;;;;;
        "\u2F80F",  # ;CJK COMPATIBILITY IDEOGRAPH-2F80F;Lo;0;L;5154;;;;N;;;;;
        "\u2F810",  # ;CJK COMPATIBILITY IDEOGRAPH-2F810;Lo;0;L;5164;;;;N;;;;;
        "\u2F811",  # ;CJK COMPATIBILITY IDEOGRAPH-2F811;Lo;0;L;5177;;;;N;;;;;
        "\u2F812",  # ;CJK COMPATIBILITY IDEOGRAPH-2F812;Lo;0;L;2051C;;;;N;;;;;
        "\u2F813",  # ;CJK COMPATIBILITY IDEOGRAPH-2F813;Lo;0;L;34B9;;;;N;;;;;
        "\u2F814",  # ;CJK COMPATIBILITY IDEOGRAPH-2F814;Lo;0;L;5167;;;;N;;;;;
        "\u2F815",  # ;CJK COMPATIBILITY IDEOGRAPH-2F815;Lo;0;L;518D;;;;N;;;;;
        "\u2F816",  # ;CJK COMPATIBILITY IDEOGRAPH-2F816;Lo;0;L;2054B;;;;N;;;;;
        "\u2F817",  # ;CJK COMPATIBILITY IDEOGRAPH-2F817;Lo;0;L;5197;;;;N;;;;;
        "\u2F818",  # ;CJK COMPATIBILITY IDEOGRAPH-2F818;Lo;0;L;51A4;;;;N;;;;;
        "\u2F819",  # ;CJK COMPATIBILITY IDEOGRAPH-2F819;Lo;0;L;4ECC;;;;N;;;;;
        "\u2F81A",  # ;CJK COMPATIBILITY IDEOGRAPH-2F81A;Lo;0;L;51AC;;;;N;;;;;
        "\u2F81B",  # ;CJK COMPATIBILITY IDEOGRAPH-2F81B;Lo;0;L;51B5;;;;N;;;;;
        "\u2F81C",  # ;CJK COMPATIBILITY IDEOGRAPH-2F81C;Lo;0;L;291DF;;;;N;;;;;
        "\u2F81D",  # ;CJK COMPATIBILITY IDEOGRAPH-2F81D;Lo;0;L;51F5;;;;N;;;;;
        "\u2F81E",  # ;CJK COMPATIBILITY IDEOGRAPH-2F81E;Lo;0;L;5203;;;;N;;;;;
        "\u2F81F",  # ;CJK COMPATIBILITY IDEOGRAPH-2F81F;Lo;0;L;34DF;;;;N;;;;;
        "\u2F820",  # ;CJK COMPATIBILITY IDEOGRAPH-2F820;Lo;0;L;523B;;;;N;;;;;
        "\u2F821",  # ;CJK COMPATIBILITY IDEOGRAPH-2F821;Lo;0;L;5246;;;;N;;;;;
        "\u2F822",  # ;CJK COMPATIBILITY IDEOGRAPH-2F822;Lo;0;L;5272;;;;N;;;;;
        "\u2F823",  # ;CJK COMPATIBILITY IDEOGRAPH-2F823;Lo;0;L;5277;;;;N;;;;;
        "\u2F824",  # ;CJK COMPATIBILITY IDEOGRAPH-2F824;Lo;0;L;3515;;;;N;;;;;
        "\u2F825",  # ;CJK COMPATIBILITY IDEOGRAPH-2F825;Lo;0;L;52C7;;;;N;;;;;
        "\u2F826",  # ;CJK COMPATIBILITY IDEOGRAPH-2F826;Lo;0;L;52C9;;;;N;;;;;
        "\u2F827",  # ;CJK COMPATIBILITY IDEOGRAPH-2F827;Lo;0;L;52E4;;;;N;;;;;
        "\u2F828",  # ;CJK COMPATIBILITY IDEOGRAPH-2F828;Lo;0;L;52FA;;;;N;;;;;
        "\u2F829",  # ;CJK COMPATIBILITY IDEOGRAPH-2F829;Lo;0;L;5305;;;;N;;;;;
        "\u2F82A",  # ;CJK COMPATIBILITY IDEOGRAPH-2F82A;Lo;0;L;5306;;;;N;;;;;
        "\u2F82B",  # ;CJK COMPATIBILITY IDEOGRAPH-2F82B;Lo;0;L;5317;;;;N;;;;;
        "\u2F82C",  # ;CJK COMPATIBILITY IDEOGRAPH-2F82C;Lo;0;L;5349;;;;N;;;;;
        "\u2F82D",  # ;CJK COMPATIBILITY IDEOGRAPH-2F82D;Lo;0;L;5351;;;;N;;;;;
        "\u2F82E",  # ;CJK COMPATIBILITY IDEOGRAPH-2F82E;Lo;0;L;535A;;;;N;;;;;
        "\u2F82F",  # ;CJK COMPATIBILITY IDEOGRAPH-2F82F;Lo;0;L;5373;;;;N;;;;;
        "\u2F830",  # ;CJK COMPATIBILITY IDEOGRAPH-2F830;Lo;0;L;537D;;;;N;;;;;
        "\u2F831",  # ;CJK COMPATIBILITY IDEOGRAPH-2F831;Lo;0;L;537F;;;;N;;;;;
        "\u2F832",  # ;CJK COMPATIBILITY IDEOGRAPH-2F832;Lo;0;L;537F;;;;N;;;;;
        "\u2F833",  # ;CJK COMPATIBILITY IDEOGRAPH-2F833;Lo;0;L;537F;;;;N;;;;;
        "\u2F834",  # ;CJK COMPATIBILITY IDEOGRAPH-2F834;Lo;0;L;20A2C;;;;N;;;;;
        "\u2F835",  # ;CJK COMPATIBILITY IDEOGRAPH-2F835;Lo;0;L;7070;;;;N;;;;;
        "\u2F836",  # ;CJK COMPATIBILITY IDEOGRAPH-2F836;Lo;0;L;53CA;;;;N;;;;;
        "\u2F837",  # ;CJK COMPATIBILITY IDEOGRAPH-2F837;Lo;0;L;53DF;;;;N;;;;;
        "\u2F838",  # ;CJK COMPATIBILITY IDEOGRAPH-2F838;Lo;0;L;20B63;;;;N;;;;;
        "\u2F839",  # ;CJK COMPATIBILITY IDEOGRAPH-2F839;Lo;0;L;53EB;;;;N;;;;;
        "\u2F83A",  # ;CJK COMPATIBILITY IDEOGRAPH-2F83A;Lo;0;L;53F1;;;;N;;;;;
        "\u2F83B",  # ;CJK COMPATIBILITY IDEOGRAPH-2F83B;Lo;0;L;5406;;;;N;;;;;
        "\u2F83C",  # ;CJK COMPATIBILITY IDEOGRAPH-2F83C;Lo;0;L;549E;;;;N;;;;;
        "\u2F83D",  # ;CJK COMPATIBILITY IDEOGRAPH-2F83D;Lo;0;L;5438;;;;N;;;;;
        "\u2F83E",  # ;CJK COMPATIBILITY IDEOGRAPH-2F83E;Lo;0;L;5448;;;;N;;;;;
        "\u2F83F",  # ;CJK COMPATIBILITY IDEOGRAPH-2F83F;Lo;0;L;5468;;;;N;;;;;
        "\u2F840",  # ;CJK COMPATIBILITY IDEOGRAPH-2F840;Lo;0;L;54A2;;;;N;;;;;
        "\u2F841",  # ;CJK COMPATIBILITY IDEOGRAPH-2F841;Lo;0;L;54F6;;;;N;;;;;
        "\u2F842",  # ;CJK COMPATIBILITY IDEOGRAPH-2F842;Lo;0;L;5510;;;;N;;;;;
        "\u2F843",  # ;CJK COMPATIBILITY IDEOGRAPH-2F843;Lo;0;L;5553;;;;N;;;;;
        "\u2F844",  # ;CJK COMPATIBILITY IDEOGRAPH-2F844;Lo;0;L;5563;;;;N;;;;;
        "\u2F845",  # ;CJK COMPATIBILITY IDEOGRAPH-2F845;Lo;0;L;5584;;;;N;;;;;
        "\u2F846",  # ;CJK COMPATIBILITY IDEOGRAPH-2F846;Lo;0;L;5584;;;;N;;;;;
        "\u2F847",  # ;CJK COMPATIBILITY IDEOGRAPH-2F847;Lo;0;L;5599;;;;N;;;;;
        "\u2F848",  # ;CJK COMPATIBILITY IDEOGRAPH-2F848;Lo;0;L;55AB;;;;N;;;;;
        "\u2F849",  # ;CJK COMPATIBILITY IDEOGRAPH-2F849;Lo;0;L;55B3;;;;N;;;;;
        "\u2F84A",  # ;CJK COMPATIBILITY IDEOGRAPH-2F84A;Lo;0;L;55C2;;;;N;;;;;
        "\u2F84B",  # ;CJK COMPATIBILITY IDEOGRAPH-2F84B;Lo;0;L;5716;;;;N;;;;;
        "\u2F84C",  # ;CJK COMPATIBILITY IDEOGRAPH-2F84C;Lo;0;L;5606;;;;N;;;;;
        "\u2F84D",  # ;CJK COMPATIBILITY IDEOGRAPH-2F84D;Lo;0;L;5717;;;;N;;;;;
        "\u2F84E",  # ;CJK COMPATIBILITY IDEOGRAPH-2F84E;Lo;0;L;5651;;;;N;;;;;
        "\u2F84F",  # ;CJK COMPATIBILITY IDEOGRAPH-2F84F;Lo;0;L;5674;;;;N;;;;;
        "\u2F850",  # ;CJK COMPATIBILITY IDEOGRAPH-2F850;Lo;0;L;5207;;;;N;;;;;
        "\u2F851",  # ;CJK COMPATIBILITY IDEOGRAPH-2F851;Lo;0;L;58EE;;;;N;;;;;
        "\u2F852",  # ;CJK COMPATIBILITY IDEOGRAPH-2F852;Lo;0;L;57CE;;;;N;;;;;
        "\u2F853",  # ;CJK COMPATIBILITY IDEOGRAPH-2F853;Lo;0;L;57F4;;;;N;;;;;
        "\u2F854",  # ;CJK COMPATIBILITY IDEOGRAPH-2F854;Lo;0;L;580D;;;;N;;;;;
        "\u2F855",  # ;CJK COMPATIBILITY IDEOGRAPH-2F855;Lo;0;L;578B;;;;N;;;;;
        "\u2F856",  # ;CJK COMPATIBILITY IDEOGRAPH-2F856;Lo;0;L;5832;;;;N;;;;;
        "\u2F857",  # ;CJK COMPATIBILITY IDEOGRAPH-2F857;Lo;0;L;5831;;;;N;;;;;
        "\u2F858",  # ;CJK COMPATIBILITY IDEOGRAPH-2F858;Lo;0;L;58AC;;;;N;;;;;
        "\u2F859",  # ;CJK COMPATIBILITY IDEOGRAPH-2F859;Lo;0;L;214E4;;;;N;;;;;
        "\u2F85A",  # ;CJK COMPATIBILITY IDEOGRAPH-2F85A;Lo;0;L;58F2;;;;N;;;;;
        "\u2F85B",  # ;CJK COMPATIBILITY IDEOGRAPH-2F85B;Lo;0;L;58F7;;;;N;;;;;
        "\u2F85C",  # ;CJK COMPATIBILITY IDEOGRAPH-2F85C;Lo;0;L;5906;;;;N;;;;;
        "\u2F85D",  # ;CJK COMPATIBILITY IDEOGRAPH-2F85D;Lo;0;L;591A;;;;N;;;;;
        "\u2F85E",  # ;CJK COMPATIBILITY IDEOGRAPH-2F85E;Lo;0;L;5922;;;;N;;;;;
        "\u2F85F",  # ;CJK COMPATIBILITY IDEOGRAPH-2F85F;Lo;0;L;5962;;;;N;;;;;
        "\u2F860",  # ;CJK COMPATIBILITY IDEOGRAPH-2F860;Lo;0;L;216A8;;;;N;;;;;
        "\u2F861",  # ;CJK COMPATIBILITY IDEOGRAPH-2F861;Lo;0;L;216EA;;;;N;;;;;
        "\u2F862",  # ;CJK COMPATIBILITY IDEOGRAPH-2F862;Lo;0;L;59EC;;;;N;;;;;
        "\u2F863",  # ;CJK COMPATIBILITY IDEOGRAPH-2F863;Lo;0;L;5A1B;;;;N;;;;;
        "\u2F864",  # ;CJK COMPATIBILITY IDEOGRAPH-2F864;Lo;0;L;5A27;;;;N;;;;;
        "\u2F865",  # ;CJK COMPATIBILITY IDEOGRAPH-2F865;Lo;0;L;59D8;;;;N;;;;;
        "\u2F866",  # ;CJK COMPATIBILITY IDEOGRAPH-2F866;Lo;0;L;5A66;;;;N;;;;;
        "\u2F867",  # ;CJK COMPATIBILITY IDEOGRAPH-2F867;Lo;0;L;36EE;;;;N;;;;;
        "\u2F868",  # ;CJK COMPATIBILITY IDEOGRAPH-2F868;Lo;0;L;36FC;;;;N;;;;;
        "\u2F869",  # ;CJK COMPATIBILITY IDEOGRAPH-2F869;Lo;0;L;5B08;;;;N;;;;;
        "\u2F86A",  # ;CJK COMPATIBILITY IDEOGRAPH-2F86A;Lo;0;L;5B3E;;;;N;;;;;
        "\u2F86B",  # ;CJK COMPATIBILITY IDEOGRAPH-2F86B;Lo;0;L;5B3E;;;;N;;;;;
        "\u2F86C",  # ;CJK COMPATIBILITY IDEOGRAPH-2F86C;Lo;0;L;219C8;;;;N;;;;;
        "\u2F86D",  # ;CJK COMPATIBILITY IDEOGRAPH-2F86D;Lo;0;L;5BC3;;;;N;;;;;
        "\u2F86E",  # ;CJK COMPATIBILITY IDEOGRAPH-2F86E;Lo;0;L;5BD8;;;;N;;;;;
        "\u2F86F",  # ;CJK COMPATIBILITY IDEOGRAPH-2F86F;Lo;0;L;5BE7;;;;N;;;;;
        "\u2F870",  # ;CJK COMPATIBILITY IDEOGRAPH-2F870;Lo;0;L;5BF3;;;;N;;;;;
        "\u2F871",  # ;CJK COMPATIBILITY IDEOGRAPH-2F871;Lo;0;L;21B18;;;;N;;;;;
        "\u2F872",  # ;CJK COMPATIBILITY IDEOGRAPH-2F872;Lo;0;L;5BFF;;;;N;;;;;
        "\u2F873",  # ;CJK COMPATIBILITY IDEOGRAPH-2F873;Lo;0;L;5C06;;;;N;;;;;
        "\u2F874",  # ;CJK COMPATIBILITY IDEOGRAPH-2F874;Lo;0;L;5F53;;;;N;;;;;
        "\u2F875",  # ;CJK COMPATIBILITY IDEOGRAPH-2F875;Lo;0;L;5C22;;;;N;;;;;
        "\u2F876",  # ;CJK COMPATIBILITY IDEOGRAPH-2F876;Lo;0;L;3781;;;;N;;;;;
        "\u2F877",  # ;CJK COMPATIBILITY IDEOGRAPH-2F877;Lo;0;L;5C60;;;;N;;;;;
        "\u2F878",  # ;CJK COMPATIBILITY IDEOGRAPH-2F878;Lo;0;L;5C6E;;;;N;;;;;
        "\u2F879",  # ;CJK COMPATIBILITY IDEOGRAPH-2F879;Lo;0;L;5CC0;;;;N;;;;;
        "\u2F87A",  # ;CJK COMPATIBILITY IDEOGRAPH-2F87A;Lo;0;L;5C8D;;;;N;;;;;
        "\u2F87B",  # ;CJK COMPATIBILITY IDEOGRAPH-2F87B;Lo;0;L;21DE4;;;;N;;;;;
        "\u2F87C",  # ;CJK COMPATIBILITY IDEOGRAPH-2F87C;Lo;0;L;5D43;;;;N;;;;;
        "\u2F87D",  # ;CJK COMPATIBILITY IDEOGRAPH-2F87D;Lo;0;L;21DE6;;;;N;;;;;
        "\u2F87E",  # ;CJK COMPATIBILITY IDEOGRAPH-2F87E;Lo;0;L;5D6E;;;;N;;;;;
        "\u2F87F",  # ;CJK COMPATIBILITY IDEOGRAPH-2F87F;Lo;0;L;5D6B;;;;N;;;;;
        "\u2F880",  # ;CJK COMPATIBILITY IDEOGRAPH-2F880;Lo;0;L;5D7C;;;;N;;;;;
        "\u2F881",  # ;CJK COMPATIBILITY IDEOGRAPH-2F881;Lo;0;L;5DE1;;;;N;;;;;
        "\u2F882",  # ;CJK COMPATIBILITY IDEOGRAPH-2F882;Lo;0;L;5DE2;;;;N;;;;;
        "\u2F883",  # ;CJK COMPATIBILITY IDEOGRAPH-2F883;Lo;0;L;382F;;;;N;;;;;
        "\u2F884",  # ;CJK COMPATIBILITY IDEOGRAPH-2F884;Lo;0;L;5DFD;;;;N;;;;;
        "\u2F885",  # ;CJK COMPATIBILITY IDEOGRAPH-2F885;Lo;0;L;5E28;;;;N;;;;;
        "\u2F886",  # ;CJK COMPATIBILITY IDEOGRAPH-2F886;Lo;0;L;5E3D;;;;N;;;;;
        "\u2F887",  # ;CJK COMPATIBILITY IDEOGRAPH-2F887;Lo;0;L;5E69;;;;N;;;;;
        "\u2F888",  # ;CJK COMPATIBILITY IDEOGRAPH-2F888;Lo;0;L;3862;;;;N;;;;;
        "\u2F889",  # ;CJK COMPATIBILITY IDEOGRAPH-2F889;Lo;0;L;22183;;;;N;;;;;
        "\u2F88A",  # ;CJK COMPATIBILITY IDEOGRAPH-2F88A;Lo;0;L;387C;;;;N;;;;;
        "\u2F88B",  # ;CJK COMPATIBILITY IDEOGRAPH-2F88B;Lo;0;L;5EB0;;;;N;;;;;
        "\u2F88C",  # ;CJK COMPATIBILITY IDEOGRAPH-2F88C;Lo;0;L;5EB3;;;;N;;;;;
        "\u2F88D",  # ;CJK COMPATIBILITY IDEOGRAPH-2F88D;Lo;0;L;5EB6;;;;N;;;;;
        "\u2F88E",  # ;CJK COMPATIBILITY IDEOGRAPH-2F88E;Lo;0;L;5ECA;;;;N;;;;;
        "\u2F88F",  # ;CJK COMPATIBILITY IDEOGRAPH-2F88F;Lo;0;L;2A392;;;;N;;;;;
        "\u2F890",  # ;CJK COMPATIBILITY IDEOGRAPH-2F890;Lo;0;L;5EFE;;;9;N;;;;;
        "\u2F891",  # ;CJK COMPATIBILITY IDEOGRAPH-2F891;Lo;0;L;22331;;;;N;;;;;
        "\u2F892",  # ;CJK COMPATIBILITY IDEOGRAPH-2F892;Lo;0;L;22331;;;;N;;;;;
        "\u2F893",  # ;CJK COMPATIBILITY IDEOGRAPH-2F893;Lo;0;L;8201;;;;N;;;;;
        "\u2F894",  # ;CJK COMPATIBILITY IDEOGRAPH-2F894;Lo;0;L;5F22;;;;N;;;;;
        "\u2F895",  # ;CJK COMPATIBILITY IDEOGRAPH-2F895;Lo;0;L;5F22;;;;N;;;;;
        "\u2F896",  # ;CJK COMPATIBILITY IDEOGRAPH-2F896;Lo;0;L;38C7;;;;N;;;;;
        "\u2F897",  # ;CJK COMPATIBILITY IDEOGRAPH-2F897;Lo;0;L;232B8;;;;N;;;;;
        "\u2F898",  # ;CJK COMPATIBILITY IDEOGRAPH-2F898;Lo;0;L;261DA;;;;N;;;;;
        "\u2F899",  # ;CJK COMPATIBILITY IDEOGRAPH-2F899;Lo;0;L;5F62;;;;N;;;;;
        "\u2F89A",  # ;CJK COMPATIBILITY IDEOGRAPH-2F89A;Lo;0;L;5F6B;;;;N;;;;;
        "\u2F89B",  # ;CJK COMPATIBILITY IDEOGRAPH-2F89B;Lo;0;L;38E3;;;;N;;;;;
        "\u2F89C",  # ;CJK COMPATIBILITY IDEOGRAPH-2F89C;Lo;0;L;5F9A;;;;N;;;;;
        "\u2F89D",  # ;CJK COMPATIBILITY IDEOGRAPH-2F89D;Lo;0;L;5FCD;;;;N;;;;;
        "\u2F89E",  # ;CJK COMPATIBILITY IDEOGRAPH-2F89E;Lo;0;L;5FD7;;;;N;;;;;
        "\u2F89F",  # ;CJK COMPATIBILITY IDEOGRAPH-2F89F;Lo;0;L;5FF9;;;;N;;;;;
        "\u2F8A0",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8A0;Lo;0;L;6081;;;;N;;;;;
        "\u2F8A1",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8A1;Lo;0;L;393A;;;;N;;;;;
        "\u2F8A2",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8A2;Lo;0;L;391C;;;;N;;;;;
        "\u2F8A3",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8A3;Lo;0;L;6094;;;;N;;;;;
        "\u2F8A4",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8A4;Lo;0;L;226D4;;;;N;;;;;
        "\u2F8A5",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8A5;Lo;0;L;60C7;;;;N;;;;;
        "\u2F8A6",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8A6;Lo;0;L;6148;;;;N;;;;;
        "\u2F8A7",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8A7;Lo;0;L;614C;;;;N;;;;;
        "\u2F8A8",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8A8;Lo;0;L;614E;;;;N;;;;;
        "\u2F8A9",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8A9;Lo;0;L;614C;;;;N;;;;;
        "\u2F8AA",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8AA;Lo;0;L;617A;;;;N;;;;;
        "\u2F8AB",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8AB;Lo;0;L;618E;;;;N;;;;;
        "\u2F8AC",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8AC;Lo;0;L;61B2;;;;N;;;;;
        "\u2F8AD",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8AD;Lo;0;L;61A4;;;;N;;;;;
        "\u2F8AE",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8AE;Lo;0;L;61AF;;;;N;;;;;
        "\u2F8AF",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8AF;Lo;0;L;61DE;;;;N;;;;;
        "\u2F8B0",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8B0;Lo;0;L;61F2;;;;N;;;;;
        "\u2F8B1",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8B1;Lo;0;L;61F6;;;;N;;;;;
        "\u2F8B2",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8B2;Lo;0;L;6210;;;;N;;;;;
        "\u2F8B3",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8B3;Lo;0;L;621B;;;;N;;;;;
        "\u2F8B4",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8B4;Lo;0;L;625D;;;;N;;;;;
        "\u2F8B5",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8B5;Lo;0;L;62B1;;;;N;;;;;
        "\u2F8B6",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8B6;Lo;0;L;62D4;;;;N;;;;;
        "\u2F8B7",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8B7;Lo;0;L;6350;;;;N;;;;;
        "\u2F8B8",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8B8;Lo;0;L;22B0C;;;;N;;;;;
        "\u2F8B9",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8B9;Lo;0;L;633D;;;;N;;;;;
        "\u2F8BA",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8BA;Lo;0;L;62FC;;;;N;;;;;
        "\u2F8BB",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8BB;Lo;0;L;6368;;;;N;;;;;
        "\u2F8BC",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8BC;Lo;0;L;6383;;;;N;;;;;
        "\u2F8BD",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8BD;Lo;0;L;63E4;;;;N;;;;;
        "\u2F8BE",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8BE;Lo;0;L;22BF1;;;;N;;;;;
        "\u2F8BF",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8BF;Lo;0;L;6422;;;;N;;;;;
        "\u2F8C0",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8C0;Lo;0;L;63C5;;;;N;;;;;
        "\u2F8C1",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8C1;Lo;0;L;63A9;;;;N;;;;;
        "\u2F8C2",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8C2;Lo;0;L;3A2E;;;;N;;;;;
        "\u2F8C3",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8C3;Lo;0;L;6469;;;;N;;;;;
        "\u2F8C4",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8C4;Lo;0;L;647E;;;;N;;;;;
        "\u2F8C5",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8C5;Lo;0;L;649D;;;;N;;;;;
        "\u2F8C6",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8C6;Lo;0;L;6477;;;;N;;;;;
        "\u2F8C7",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8C7;Lo;0;L;3A6C;;;;N;;;;;
        "\u2F8C8",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8C8;Lo;0;L;654F;;;;N;;;;;
        "\u2F8C9",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8C9;Lo;0;L;656C;;;;N;;;;;
        "\u2F8CA",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8CA;Lo;0;L;2300A;;;;N;;;;;
        "\u2F8CB",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8CB;Lo;0;L;65E3;;;;N;;;;;
        "\u2F8CC",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8CC;Lo;0;L;66F8;;;;N;;;;;
        "\u2F8CD",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8CD;Lo;0;L;6649;;;;N;;;;;
        "\u2F8CE",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8CE;Lo;0;L;3B19;;;;N;;;;;
        "\u2F8CF",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8CF;Lo;0;L;6691;;;;N;;;;;
        "\u2F8D0",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8D0;Lo;0;L;3B08;;;;N;;;;;
        "\u2F8D1",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8D1;Lo;0;L;3AE4;;;;N;;;;;
        "\u2F8D2",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8D2;Lo;0;L;5192;;;;N;;;;;
        "\u2F8D3",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8D3;Lo;0;L;5195;;;;N;;;;;
        "\u2F8D4",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8D4;Lo;0;L;6700;;;;N;;;;;
        "\u2F8D5",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8D5;Lo;0;L;669C;;;;N;;;;;
        "\u2F8D6",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8D6;Lo;0;L;80AD;;;;N;;;;;
        "\u2F8D7",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8D7;Lo;0;L;43D9;;;;N;;;;;
        "\u2F8D8",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8D8;Lo;0;L;6717;;;;N;;;;;
        "\u2F8D9",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8D9;Lo;0;L;671B;;;;N;;;;;
        "\u2F8DA",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8DA;Lo;0;L;6721;;;;N;;;;;
        "\u2F8DB",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8DB;Lo;0;L;675E;;;;N;;;;;
        "\u2F8DC",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8DC;Lo;0;L;6753;;;;N;;;;;
        "\u2F8DD",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8DD;Lo;0;L;233C3;;;;N;;;;;
        "\u2F8DE",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8DE;Lo;0;L;3B49;;;;N;;;;;
        "\u2F8DF",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8DF;Lo;0;L;67FA;;;;N;;;;;
        "\u2F8E0",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8E0;Lo;0;L;6785;;;;N;;;;;
        "\u2F8E1",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8E1;Lo;0;L;6852;;;;N;;;;;
        "\u2F8E2",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8E2;Lo;0;L;6885;;;;N;;;;;
        "\u2F8E3",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8E3;Lo;0;L;2346D;;;;N;;;;;
        "\u2F8E4",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8E4;Lo;0;L;688E;;;;N;;;;;
        "\u2F8E5",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8E5;Lo;0;L;681F;;;;N;;;;;
        "\u2F8E6",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8E6;Lo;0;L;6914;;;;N;;;;;
        "\u2F8E7",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8E7;Lo;0;L;3B9D;;;;N;;;;;
        "\u2F8E8",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8E8;Lo;0;L;6942;;;;N;;;;;
        "\u2F8E9",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8E9;Lo;0;L;69A3;;;;N;;;;;
        "\u2F8EA",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8EA;Lo;0;L;69EA;;;;N;;;;;
        "\u2F8EB",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8EB;Lo;0;L;6AA8;;;;N;;;;;
        "\u2F8EC",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8EC;Lo;0;L;236A3;;;;N;;;;;
        "\u2F8ED",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8ED;Lo;0;L;6ADB;;;;N;;;;;
        "\u2F8EE",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8EE;Lo;0;L;3C18;;;;N;;;;;
        "\u2F8EF",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8EF;Lo;0;L;6B21;;;;N;;;;;
        "\u2F8F0",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8F0;Lo;0;L;238A7;;;;N;;;;;
        "\u2F8F1",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8F1;Lo;0;L;6B54;;;;N;;;;;
        "\u2F8F2",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8F2;Lo;0;L;3C4E;;;;N;;;;;
        "\u2F8F3",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8F3;Lo;0;L;6B72;;;;N;;;;;
        "\u2F8F4",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8F4;Lo;0;L;6B9F;;;;N;;;;;
        "\u2F8F5",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8F5;Lo;0;L;6BBA;;;;N;;;;;
        "\u2F8F6",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8F6;Lo;0;L;6BBB;;;;N;;;;;
        "\u2F8F7",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8F7;Lo;0;L;23A8D;;;;N;;;;;
        "\u2F8F8",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8F8;Lo;0;L;21D0B;;;;N;;;;;
        "\u2F8F9",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8F9;Lo;0;L;23AFA;;;;N;;;;;
        "\u2F8FA",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8FA;Lo;0;L;6C4E;;;;N;;;;;
        "\u2F8FB",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8FB;Lo;0;L;23CBC;;;;N;;;;;
        "\u2F8FC",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8FC;Lo;0;L;6CBF;;;;N;;;;;
        "\u2F8FD",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8FD;Lo;0;L;6CCD;;;;N;;;;;
        "\u2F8FE",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8FE;Lo;0;L;6C67;;;;N;;;;;
        "\u2F8FF",  # ;CJK COMPATIBILITY IDEOGRAPH-2F8FF;Lo;0;L;6D16;;;;N;;;;;
        "\u2F900",  # ;CJK COMPATIBILITY IDEOGRAPH-2F900;Lo;0;L;6D3E;;;;N;;;;;
        "\u2F901",  # ;CJK COMPATIBILITY IDEOGRAPH-2F901;Lo;0;L;6D77;;;;N;;;;;
        "\u2F902",  # ;CJK COMPATIBILITY IDEOGRAPH-2F902;Lo;0;L;6D41;;;;N;;;;;
        "\u2F903",  # ;CJK COMPATIBILITY IDEOGRAPH-2F903;Lo;0;L;6D69;;;;N;;;;;
        "\u2F904",  # ;CJK COMPATIBILITY IDEOGRAPH-2F904;Lo;0;L;6D78;;;;N;;;;;
        "\u2F905",  # ;CJK COMPATIBILITY IDEOGRAPH-2F905;Lo;0;L;6D85;;;;N;;;;;
        "\u2F906",  # ;CJK COMPATIBILITY IDEOGRAPH-2F906;Lo;0;L;23D1E;;;;N;;;;;
        "\u2F907",  # ;CJK COMPATIBILITY IDEOGRAPH-2F907;Lo;0;L;6D34;;;;N;;;;;
        "\u2F908",  # ;CJK COMPATIBILITY IDEOGRAPH-2F908;Lo;0;L;6E2F;;;;N;;;;;
        "\u2F909",  # ;CJK COMPATIBILITY IDEOGRAPH-2F909;Lo;0;L;6E6E;;;;N;;;;;
        "\u2F90A",  # ;CJK COMPATIBILITY IDEOGRAPH-2F90A;Lo;0;L;3D33;;;;N;;;;;
        "\u2F90B",  # ;CJK COMPATIBILITY IDEOGRAPH-2F90B;Lo;0;L;6ECB;;;;N;;;;;
        "\u2F90C",  # ;CJK COMPATIBILITY IDEOGRAPH-2F90C;Lo;0;L;6EC7;;;;N;;;;;
        "\u2F90D",  # ;CJK COMPATIBILITY IDEOGRAPH-2F90D;Lo;0;L;23ED1;;;;N;;;;;
        "\u2F90E",  # ;CJK COMPATIBILITY IDEOGRAPH-2F90E;Lo;0;L;6DF9;;;;N;;;;;
        "\u2F90F",  # ;CJK COMPATIBILITY IDEOGRAPH-2F90F;Lo;0;L;6F6E;;;;N;;;;;
        "\u2F910",  # ;CJK COMPATIBILITY IDEOGRAPH-2F910;Lo;0;L;23F5E;;;;N;;;;;
        "\u2F911",  # ;CJK COMPATIBILITY IDEOGRAPH-2F911;Lo;0;L;23F8E;;;;N;;;;;
        "\u2F912",  # ;CJK COMPATIBILITY IDEOGRAPH-2F912;Lo;0;L;6FC6;;;;N;;;;;
        "\u2F913",  # ;CJK COMPATIBILITY IDEOGRAPH-2F913;Lo;0;L;7039;;;;N;;;;;
        "\u2F914",  # ;CJK COMPATIBILITY IDEOGRAPH-2F914;Lo;0;L;701E;;;;N;;;;;
        "\u2F915",  # ;CJK COMPATIBILITY IDEOGRAPH-2F915;Lo;0;L;701B;;;;N;;;;;
        "\u2F916",  # ;CJK COMPATIBILITY IDEOGRAPH-2F916;Lo;0;L;3D96;;;;N;;;;;
        "\u2F917",  # ;CJK COMPATIBILITY IDEOGRAPH-2F917;Lo;0;L;704A;;;;N;;;;;
        "\u2F918",  # ;CJK COMPATIBILITY IDEOGRAPH-2F918;Lo;0;L;707D;;;;N;;;;;
        "\u2F919",  # ;CJK COMPATIBILITY IDEOGRAPH-2F919;Lo;0;L;7077;;;;N;;;;;
        "\u2F91A",  # ;CJK COMPATIBILITY IDEOGRAPH-2F91A;Lo;0;L;70AD;;;;N;;;;;
        "\u2F91B",  # ;CJK COMPATIBILITY IDEOGRAPH-2F91B;Lo;0;L;20525;;;;N;;;;;
        "\u2F91C",  # ;CJK COMPATIBILITY IDEOGRAPH-2F91C;Lo;0;L;7145;;;;N;;;;;
        "\u2F91D",  # ;CJK COMPATIBILITY IDEOGRAPH-2F91D;Lo;0;L;24263;;;;N;;;;;
        "\u2F91E",  # ;CJK COMPATIBILITY IDEOGRAPH-2F91E;Lo;0;L;719C;;;;N;;;;;
        "\u2F91F",  # ;CJK COMPATIBILITY IDEOGRAPH-2F91F;Lo;0;L;243AB;;;;N;;;;;
        "\u2F920",  # ;CJK COMPATIBILITY IDEOGRAPH-2F920;Lo;0;L;7228;;;;N;;;;;
        "\u2F921",  # ;CJK COMPATIBILITY IDEOGRAPH-2F921;Lo;0;L;7235;;;;N;;;;;
        "\u2F922",  # ;CJK COMPATIBILITY IDEOGRAPH-2F922;Lo;0;L;7250;;;;N;;;;;
        "\u2F923",  # ;CJK COMPATIBILITY IDEOGRAPH-2F923;Lo;0;L;24608;;;;N;;;;;
        "\u2F924",  # ;CJK COMPATIBILITY IDEOGRAPH-2F924;Lo;0;L;7280;;;;N;;;;;
        "\u2F925",  # ;CJK COMPATIBILITY IDEOGRAPH-2F925;Lo;0;L;7295;;;;N;;;;;
        "\u2F926",  # ;CJK COMPATIBILITY IDEOGRAPH-2F926;Lo;0;L;24735;;;;N;;;;;
        "\u2F927",  # ;CJK COMPATIBILITY IDEOGRAPH-2F927;Lo;0;L;24814;;;;N;;;;;
        "\u2F928",  # ;CJK COMPATIBILITY IDEOGRAPH-2F928;Lo;0;L;737A;;;;N;;;;;
        "\u2F929",  # ;CJK COMPATIBILITY IDEOGRAPH-2F929;Lo;0;L;738B;;;;N;;;;;
        "\u2F92A",  # ;CJK COMPATIBILITY IDEOGRAPH-2F92A;Lo;0;L;3EAC;;;;N;;;;;
        "\u2F92B",  # ;CJK COMPATIBILITY IDEOGRAPH-2F92B;Lo;0;L;73A5;;;;N;;;;;
        "\u2F92C",  # ;CJK COMPATIBILITY IDEOGRAPH-2F92C;Lo;0;L;3EB8;;;;N;;;;;
        "\u2F92D",  # ;CJK COMPATIBILITY IDEOGRAPH-2F92D;Lo;0;L;3EB8;;;;N;;;;;
        "\u2F92E",  # ;CJK COMPATIBILITY IDEOGRAPH-2F92E;Lo;0;L;7447;;;;N;;;;;
        "\u2F92F",  # ;CJK COMPATIBILITY IDEOGRAPH-2F92F;Lo;0;L;745C;;;;N;;;;;
        "\u2F930",  # ;CJK COMPATIBILITY IDEOGRAPH-2F930;Lo;0;L;7471;;;;N;;;;;
        "\u2F931",  # ;CJK COMPATIBILITY IDEOGRAPH-2F931;Lo;0;L;7485;;;;N;;;;;
        "\u2F932",  # ;CJK COMPATIBILITY IDEOGRAPH-2F932;Lo;0;L;74CA;;;;N;;;;;
        "\u2F933",  # ;CJK COMPATIBILITY IDEOGRAPH-2F933;Lo;0;L;3F1B;;;;N;;;;;
        "\u2F934",  # ;CJK COMPATIBILITY IDEOGRAPH-2F934;Lo;0;L;7524;;;;N;;;;;
        "\u2F935",  # ;CJK COMPATIBILITY IDEOGRAPH-2F935;Lo;0;L;24C36;;;;N;;;;;
        "\u2F936",  # ;CJK COMPATIBILITY IDEOGRAPH-2F936;Lo;0;L;753E;;;;N;;;;;
        "\u2F937",  # ;CJK COMPATIBILITY IDEOGRAPH-2F937;Lo;0;L;24C92;;;;N;;;;;
        "\u2F938",  # ;CJK COMPATIBILITY IDEOGRAPH-2F938;Lo;0;L;7570;;;;N;;;;;
        "\u2F939",  # ;CJK COMPATIBILITY IDEOGRAPH-2F939;Lo;0;L;2219F;;;;N;;;;;
        "\u2F93A",  # ;CJK COMPATIBILITY IDEOGRAPH-2F93A;Lo;0;L;7610;;;;N;;;;;
        "\u2F93B",  # ;CJK COMPATIBILITY IDEOGRAPH-2F93B;Lo;0;L;24FA1;;;;N;;;;;
        "\u2F93C",  # ;CJK COMPATIBILITY IDEOGRAPH-2F93C;Lo;0;L;24FB8;;;;N;;;;;
        "\u2F93D",  # ;CJK COMPATIBILITY IDEOGRAPH-2F93D;Lo;0;L;25044;;;;N;;;;;
        "\u2F93E",  # ;CJK COMPATIBILITY IDEOGRAPH-2F93E;Lo;0;L;3FFC;;;;N;;;;;
        "\u2F93F",  # ;CJK COMPATIBILITY IDEOGRAPH-2F93F;Lo;0;L;4008;;;;N;;;;;
        "\u2F940",  # ;CJK COMPATIBILITY IDEOGRAPH-2F940;Lo;0;L;76F4;;;;N;;;;;
        "\u2F941",  # ;CJK COMPATIBILITY IDEOGRAPH-2F941;Lo;0;L;250F3;;;;N;;;;;
        "\u2F942",  # ;CJK COMPATIBILITY IDEOGRAPH-2F942;Lo;0;L;250F2;;;;N;;;;;
        "\u2F943",  # ;CJK COMPATIBILITY IDEOGRAPH-2F943;Lo;0;L;25119;;;;N;;;;;
        "\u2F944",  # ;CJK COMPATIBILITY IDEOGRAPH-2F944;Lo;0;L;25133;;;;N;;;;;
        "\u2F945",  # ;CJK COMPATIBILITY IDEOGRAPH-2F945;Lo;0;L;771E;;;;N;;;;;
        "\u2F946",  # ;CJK COMPATIBILITY IDEOGRAPH-2F946;Lo;0;L;771F;;;;N;;;;;
        "\u2F947",  # ;CJK COMPATIBILITY IDEOGRAPH-2F947;Lo;0;L;771F;;;;N;;;;;
        "\u2F948",  # ;CJK COMPATIBILITY IDEOGRAPH-2F948;Lo;0;L;774A;;;;N;;;;;
        "\u2F949",  # ;CJK COMPATIBILITY IDEOGRAPH-2F949;Lo;0;L;4039;;;;N;;;;;
        "\u2F94A",  # ;CJK COMPATIBILITY IDEOGRAPH-2F94A;Lo;0;L;778B;;;;N;;;;;
        "\u2F94B",  # ;CJK COMPATIBILITY IDEOGRAPH-2F94B;Lo;0;L;4046;;;;N;;;;;
        "\u2F94C",  # ;CJK COMPATIBILITY IDEOGRAPH-2F94C;Lo;0;L;4096;;;;N;;;;;
        "\u2F94D",  # ;CJK COMPATIBILITY IDEOGRAPH-2F94D;Lo;0;L;2541D;;;;N;;;;;
        "\u2F94E",  # ;CJK COMPATIBILITY IDEOGRAPH-2F94E;Lo;0;L;784E;;;;N;;;;;
        "\u2F94F",  # ;CJK COMPATIBILITY IDEOGRAPH-2F94F;Lo;0;L;788C;;;;N;;;;;
        "\u2F950",  # ;CJK COMPATIBILITY IDEOGRAPH-2F950;Lo;0;L;78CC;;;;N;;;;;
        "\u2F951",  # ;CJK COMPATIBILITY IDEOGRAPH-2F951;Lo;0;L;40E3;;;;N;;;;;
        "\u2F952",  # ;CJK COMPATIBILITY IDEOGRAPH-2F952;Lo;0;L;25626;;;;N;;;;;
        "\u2F953",  # ;CJK COMPATIBILITY IDEOGRAPH-2F953;Lo;0;L;7956;;;;N;;;;;
        "\u2F954",  # ;CJK COMPATIBILITY IDEOGRAPH-2F954;Lo;0;L;2569A;;;;N;;;;;
        "\u2F955",  # ;CJK COMPATIBILITY IDEOGRAPH-2F955;Lo;0;L;256C5;;;;N;;;;;
        "\u2F956",  # ;CJK COMPATIBILITY IDEOGRAPH-2F956;Lo;0;L;798F;;;;N;;;;;
        "\u2F957",  # ;CJK COMPATIBILITY IDEOGRAPH-2F957;Lo;0;L;79EB;;;;N;;;;;
        "\u2F958",  # ;CJK COMPATIBILITY IDEOGRAPH-2F958;Lo;0;L;412F;;;;N;;;;;
        "\u2F959",  # ;CJK COMPATIBILITY IDEOGRAPH-2F959;Lo;0;L;7A40;;;;N;;;;;
        "\u2F95A",  # ;CJK COMPATIBILITY IDEOGRAPH-2F95A;Lo;0;L;7A4A;;;;N;;;;;
        "\u2F95B",  # ;CJK COMPATIBILITY IDEOGRAPH-2F95B;Lo;0;L;7A4F;;;;N;;;;;
        "\u2F95C",  # ;CJK COMPATIBILITY IDEOGRAPH-2F95C;Lo;0;L;2597C;;;;N;;;;;
        "\u2F95D",  # ;CJK COMPATIBILITY IDEOGRAPH-2F95D;Lo;0;L;25AA7;;;;N;;;;;
        "\u2F95E",  # ;CJK COMPATIBILITY IDEOGRAPH-2F95E;Lo;0;L;25AA7;;;;N;;;;;
        "\u2F95F",  # ;CJK COMPATIBILITY IDEOGRAPH-2F95F;Lo;0;L;7AEE;;;;N;;;;;
        "\u2F960",  # ;CJK COMPATIBILITY IDEOGRAPH-2F960;Lo;0;L;4202;;;;N;;;;;
        "\u2F961",  # ;CJK COMPATIBILITY IDEOGRAPH-2F961;Lo;0;L;25BAB;;;;N;;;;;
        "\u2F962",  # ;CJK COMPATIBILITY IDEOGRAPH-2F962;Lo;0;L;7BC6;;;;N;;;;;
        "\u2F963",  # ;CJK COMPATIBILITY IDEOGRAPH-2F963;Lo;0;L;7BC9;;;;N;;;;;
        "\u2F964",  # ;CJK COMPATIBILITY IDEOGRAPH-2F964;Lo;0;L;4227;;;;N;;;;;
        "\u2F965",  # ;CJK COMPATIBILITY IDEOGRAPH-2F965;Lo;0;L;25C80;;;;N;;;;;
        "\u2F966",  # ;CJK COMPATIBILITY IDEOGRAPH-2F966;Lo;0;L;7CD2;;;;N;;;;;
        "\u2F967",  # ;CJK COMPATIBILITY IDEOGRAPH-2F967;Lo;0;L;42A0;;;;N;;;;;
        "\u2F968",  # ;CJK COMPATIBILITY IDEOGRAPH-2F968;Lo;0;L;7CE8;;;;N;;;;;
        "\u2F969",  # ;CJK COMPATIBILITY IDEOGRAPH-2F969;Lo;0;L;7CE3;;;;N;;;;;
        "\u2F96A",  # ;CJK COMPATIBILITY IDEOGRAPH-2F96A;Lo;0;L;7D00;;;;N;;;;;
        "\u2F96B",  # ;CJK COMPATIBILITY IDEOGRAPH-2F96B;Lo;0;L;25F86;;;;N;;;;;
        "\u2F96C",  # ;CJK COMPATIBILITY IDEOGRAPH-2F96C;Lo;0;L;7D63;;;;N;;;;;
        "\u2F96D",  # ;CJK COMPATIBILITY IDEOGRAPH-2F96D;Lo;0;L;4301;;;;N;;;;;
        "\u2F96E",  # ;CJK COMPATIBILITY IDEOGRAPH-2F96E;Lo;0;L;7DC7;;;;N;;;;;
        "\u2F96F",  # ;CJK COMPATIBILITY IDEOGRAPH-2F96F;Lo;0;L;7E02;;;;N;;;;;
        "\u2F970",  # ;CJK COMPATIBILITY IDEOGRAPH-2F970;Lo;0;L;7E45;;;;N;;;;;
        "\u2F971",  # ;CJK COMPATIBILITY IDEOGRAPH-2F971;Lo;0;L;4334;;;;N;;;;;
        "\u2F972",  # ;CJK COMPATIBILITY IDEOGRAPH-2F972;Lo;0;L;26228;;;;N;;;;;
        "\u2F973",  # ;CJK COMPATIBILITY IDEOGRAPH-2F973;Lo;0;L;26247;;;;N;;;;;
        "\u2F974",  # ;CJK COMPATIBILITY IDEOGRAPH-2F974;Lo;0;L;4359;;;;N;;;;;
        "\u2F975",  # ;CJK COMPATIBILITY IDEOGRAPH-2F975;Lo;0;L;262D9;;;;N;;;;;
        "\u2F976",  # ;CJK COMPATIBILITY IDEOGRAPH-2F976;Lo;0;L;7F7A;;;;N;;;;;
        "\u2F977",  # ;CJK COMPATIBILITY IDEOGRAPH-2F977;Lo;0;L;2633E;;;;N;;;;;
        "\u2F978",  # ;CJK COMPATIBILITY IDEOGRAPH-2F978;Lo;0;L;7F95;;;;N;;;;;
        "\u2F979",  # ;CJK COMPATIBILITY IDEOGRAPH-2F979;Lo;0;L;7FFA;;;;N;;;;;
        "\u2F97A",  # ;CJK COMPATIBILITY IDEOGRAPH-2F97A;Lo;0;L;8005;;;;N;;;;;
        "\u2F97B",  # ;CJK COMPATIBILITY IDEOGRAPH-2F97B;Lo;0;L;264DA;;;;N;;;;;
        "\u2F97C",  # ;CJK COMPATIBILITY IDEOGRAPH-2F97C;Lo;0;L;26523;;;;N;;;;;
        "\u2F97D",  # ;CJK COMPATIBILITY IDEOGRAPH-2F97D;Lo;0;L;8060;;;;N;;;;;
        "\u2F97E",  # ;CJK COMPATIBILITY IDEOGRAPH-2F97E;Lo;0;L;265A8;;;;N;;;;;
        "\u2F97F",  # ;CJK COMPATIBILITY IDEOGRAPH-2F97F;Lo;0;L;8070;;;;N;;;;;
        "\u2F980",  # ;CJK COMPATIBILITY IDEOGRAPH-2F980;Lo;0;L;2335F;;;;N;;;;;
        "\u2F981",  # ;CJK COMPATIBILITY IDEOGRAPH-2F981;Lo;0;L;43D5;;;;N;;;;;
        "\u2F982",  # ;CJK COMPATIBILITY IDEOGRAPH-2F982;Lo;0;L;80B2;;;;N;;;;;
        "\u2F983",  # ;CJK COMPATIBILITY IDEOGRAPH-2F983;Lo;0;L;8103;;;;N;;;;;
        "\u2F984",  # ;CJK COMPATIBILITY IDEOGRAPH-2F984;Lo;0;L;440B;;;;N;;;;;
        "\u2F985",  # ;CJK COMPATIBILITY IDEOGRAPH-2F985;Lo;0;L;813E;;;;N;;;;;
        "\u2F986",  # ;CJK COMPATIBILITY IDEOGRAPH-2F986;Lo;0;L;5AB5;;;;N;;;;;
        "\u2F987",  # ;CJK COMPATIBILITY IDEOGRAPH-2F987;Lo;0;L;267A7;;;;N;;;;;
        "\u2F988",  # ;CJK COMPATIBILITY IDEOGRAPH-2F988;Lo;0;L;267B5;;;;N;;;;;
        "\u2F989",  # ;CJK COMPATIBILITY IDEOGRAPH-2F989;Lo;0;L;23393;;;;N;;;;;
        "\u2F98A",  # ;CJK COMPATIBILITY IDEOGRAPH-2F98A;Lo;0;L;2339C;;;;N;;;;;
        "\u2F98B",  # ;CJK COMPATIBILITY IDEOGRAPH-2F98B;Lo;0;L;8201;;;;N;;;;;
        "\u2F98C",  # ;CJK COMPATIBILITY IDEOGRAPH-2F98C;Lo;0;L;8204;;;;N;;;;;
        "\u2F98D",  # ;CJK COMPATIBILITY IDEOGRAPH-2F98D;Lo;0;L;8F9E;;;;N;;;;;
        "\u2F98E",  # ;CJK COMPATIBILITY IDEOGRAPH-2F98E;Lo;0;L;446B;;;;N;;;;;
        "\u2F98F",  # ;CJK COMPATIBILITY IDEOGRAPH-2F98F;Lo;0;L;8291;;;;N;;;;;
        "\u2F990",  # ;CJK COMPATIBILITY IDEOGRAPH-2F990;Lo;0;L;828B;;;;N;;;;;
        "\u2F991",  # ;CJK COMPATIBILITY IDEOGRAPH-2F991;Lo;0;L;829D;;;;N;;;;;
        "\u2F992",  # ;CJK COMPATIBILITY IDEOGRAPH-2F992;Lo;0;L;52B3;;;;N;;;;;
        "\u2F993",  # ;CJK COMPATIBILITY IDEOGRAPH-2F993;Lo;0;L;82B1;;;;N;;;;;
        "\u2F994",  # ;CJK COMPATIBILITY IDEOGRAPH-2F994;Lo;0;L;82B3;;;;N;;;;;
        "\u2F995",  # ;CJK COMPATIBILITY IDEOGRAPH-2F995;Lo;0;L;82BD;;;;N;;;;;
        "\u2F996",  # ;CJK COMPATIBILITY IDEOGRAPH-2F996;Lo;0;L;82E6;;;;N;;;;;
        "\u2F997",  # ;CJK COMPATIBILITY IDEOGRAPH-2F997;Lo;0;L;26B3C;;;;N;;;;;
        "\u2F998",  # ;CJK COMPATIBILITY IDEOGRAPH-2F998;Lo;0;L;82E5;;;;N;;;;;
        "\u2F999",  # ;CJK COMPATIBILITY IDEOGRAPH-2F999;Lo;0;L;831D;;;;N;;;;;
        "\u2F99A",  # ;CJK COMPATIBILITY IDEOGRAPH-2F99A;Lo;0;L;8363;;;;N;;;;;
        "\u2F99B",  # ;CJK COMPATIBILITY IDEOGRAPH-2F99B;Lo;0;L;83AD;;;;N;;;;;
        "\u2F99C",  # ;CJK COMPATIBILITY IDEOGRAPH-2F99C;Lo;0;L;8323;;;;N;;;;;
        "\u2F99D",  # ;CJK COMPATIBILITY IDEOGRAPH-2F99D;Lo;0;L;83BD;;;;N;;;;;
        "\u2F99E",  # ;CJK COMPATIBILITY IDEOGRAPH-2F99E;Lo;0;L;83E7;;;;N;;;;;
        "\u2F99F",  # ;CJK COMPATIBILITY IDEOGRAPH-2F99F;Lo;0;L;8457;;;;N;;;;;
        "\u2F9A0",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9A0;Lo;0;L;8353;;;;N;;;;;
        "\u2F9A1",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9A1;Lo;0;L;83CA;;;;N;;;;;
        "\u2F9A2",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9A2;Lo;0;L;83CC;;;;N;;;;;
        "\u2F9A3",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9A3;Lo;0;L;83DC;;;;N;;;;;
        "\u2F9A4",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9A4;Lo;0;L;26C36;;;;N;;;;;
        "\u2F9A5",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9A5;Lo;0;L;26D6B;;;;N;;;;;
        "\u2F9A6",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9A6;Lo;0;L;26CD5;;;;N;;;;;
        "\u2F9A7",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9A7;Lo;0;L;452B;;;;N;;;;;
        "\u2F9A8",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9A8;Lo;0;L;84F1;;;;N;;;;;
        "\u2F9A9",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9A9;Lo;0;L;84F3;;;;N;;;;;
        "\u2F9AA",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9AA;Lo;0;L;8516;;;;N;;;;;
        "\u2F9AB",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9AB;Lo;0;L;273CA;;;;N;;;;;
        "\u2F9AC",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9AC;Lo;0;L;8564;;;;N;;;;;
        "\u2F9AD",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9AD;Lo;0;L;26F2C;;;;N;;;;;
        "\u2F9AE",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9AE;Lo;0;L;455D;;;;N;;;;;
        "\u2F9AF",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9AF;Lo;0;L;4561;;;;N;;;;;
        "\u2F9B0",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9B0;Lo;0;L;26FB1;;;;N;;;;;
        "\u2F9B1",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9B1;Lo;0;L;270D2;;;;N;;;;;
        "\u2F9B2",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9B2;Lo;0;L;456B;;;;N;;;;;
        "\u2F9B3",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9B3;Lo;0;L;8650;;;;N;;;;;
        "\u2F9B4",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9B4;Lo;0;L;865C;;;;N;;;;;
        "\u2F9B5",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9B5;Lo;0;L;8667;;;;N;;;;;
        "\u2F9B6",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9B6;Lo;0;L;8669;;;;N;;;;;
        "\u2F9B7",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9B7;Lo;0;L;86A9;;;;N;;;;;
        "\u2F9B8",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9B8;Lo;0;L;8688;;;;N;;;;;
        "\u2F9B9",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9B9;Lo;0;L;870E;;;;N;;;;;
        "\u2F9BA",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9BA;Lo;0;L;86E2;;;;N;;;;;
        "\u2F9BB",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9BB;Lo;0;L;8779;;;;N;;;;;
        "\u2F9BC",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9BC;Lo;0;L;8728;;;;N;;;;;
        "\u2F9BD",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9BD;Lo;0;L;876B;;;;N;;;;;
        "\u2F9BE",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9BE;Lo;0;L;8786;;;;N;;;;;
        "\u2F9BF",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9BF;Lo;0;L;45D7;;;;N;;;;;
        "\u2F9C0",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9C0;Lo;0;L;87E1;;;;N;;;;;
        "\u2F9C1",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9C1;Lo;0;L;8801;;;;N;;;;;
        "\u2F9C2",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9C2;Lo;0;L;45F9;;;;N;;;;;
        "\u2F9C3",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9C3;Lo;0;L;8860;;;;N;;;;;
        "\u2F9C4",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9C4;Lo;0;L;8863;;;;N;;;;;
        "\u2F9C5",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9C5;Lo;0;L;27667;;;;N;;;;;
        "\u2F9C6",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9C6;Lo;0;L;88D7;;;;N;;;;;
        "\u2F9C7",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9C7;Lo;0;L;88DE;;;;N;;;;;
        "\u2F9C8",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9C8;Lo;0;L;4635;;;;N;;;;;
        "\u2F9C9",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9C9;Lo;0;L;88FA;;;;N;;;;;
        "\u2F9CA",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9CA;Lo;0;L;34BB;;;;N;;;;;
        "\u2F9CB",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9CB;Lo;0;L;278AE;;;;N;;;;;
        "\u2F9CC",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9CC;Lo;0;L;27966;;;;N;;;;;
        "\u2F9CD",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9CD;Lo;0;L;46BE;;;;N;;;;;
        "\u2F9CE",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9CE;Lo;0;L;46C7;;;;N;;;;;
        "\u2F9CF",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9CF;Lo;0;L;8AA0;;;;N;;;;;
        "\u2F9D0",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9D0;Lo;0;L;8AED;;;;N;;;;;
        "\u2F9D1",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9D1;Lo;0;L;8B8A;;;;N;;;;;
        "\u2F9D2",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9D2;Lo;0;L;8C55;;;;N;;;;;
        "\u2F9D3",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9D3;Lo;0;L;27CA8;;;;N;;;;;
        "\u2F9D4",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9D4;Lo;0;L;8CAB;;;;N;;;;;
        "\u2F9D5",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9D5;Lo;0;L;8CC1;;;;N;;;;;
        "\u2F9D6",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9D6;Lo;0;L;8D1B;;;;N;;;;;
        "\u2F9D7",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9D7;Lo;0;L;8D77;;;;N;;;;;
        "\u2F9D8",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9D8;Lo;0;L;27F2F;;;;N;;;;;
        "\u2F9D9",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9D9;Lo;0;L;20804;;;;N;;;;;
        "\u2F9DA",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9DA;Lo;0;L;8DCB;;;;N;;;;;
        "\u2F9DB",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9DB;Lo;0;L;8DBC;;;;N;;;;;
        "\u2F9DC",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9DC;Lo;0;L;8DF0;;;;N;;;;;
        "\u2F9DD",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9DD;Lo;0;L;208DE;;;;N;;;;;
        "\u2F9DE",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9DE;Lo;0;L;8ED4;;;;N;;;;;
        "\u2F9DF",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9DF;Lo;0;L;8F38;;;;N;;;;;
        "\u2F9E0",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9E0;Lo;0;L;285D2;;;;N;;;;;
        "\u2F9E1",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9E1;Lo;0;L;285ED;;;;N;;;;;
        "\u2F9E2",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9E2;Lo;0;L;9094;;;;N;;;;;
        "\u2F9E3",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9E3;Lo;0;L;90F1;;;;N;;;;;
        "\u2F9E4",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9E4;Lo;0;L;9111;;;;N;;;;;
        "\u2F9E5",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9E5;Lo;0;L;2872E;;;;N;;;;;
        "\u2F9E6",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9E6;Lo;0;L;911B;;;;N;;;;;
        "\u2F9E7",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9E7;Lo;0;L;9238;;;;N;;;;;
        "\u2F9E8",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9E8;Lo;0;L;92D7;;;;N;;;;;
        "\u2F9E9",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9E9;Lo;0;L;92D8;;;;N;;;;;
        "\u2F9EA",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9EA;Lo;0;L;927C;;;;N;;;;;
        "\u2F9EB",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9EB;Lo;0;L;93F9;;;;N;;;;;
        "\u2F9EC",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9EC;Lo;0;L;9415;;;;N;;;;;
        "\u2F9ED",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9ED;Lo;0;L;28BFA;;;;N;;;;;
        "\u2F9EE",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9EE;Lo;0;L;958B;;;;N;;;;;
        "\u2F9EF",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9EF;Lo;0;L;4995;;;;N;;;;;
        "\u2F9F0",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9F0;Lo;0;L;95B7;;;;N;;;;;
        "\u2F9F1",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9F1;Lo;0;L;28D77;;;;N;;;;;
        "\u2F9F2",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9F2;Lo;0;L;49E6;;;;N;;;;;
        "\u2F9F3",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9F3;Lo;0;L;96C3;;;;N;;;;;
        "\u2F9F4",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9F4;Lo;0;L;5DB2;;;;N;;;;;
        "\u2F9F5",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9F5;Lo;0;L;9723;;;;N;;;;;
        "\u2F9F6",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9F6;Lo;0;L;29145;;;;N;;;;;
        "\u2F9F7",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9F7;Lo;0;L;2921A;;;;N;;;;;
        "\u2F9F8",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9F8;Lo;0;L;4A6E;;;;N;;;;;
        "\u2F9F9",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9F9;Lo;0;L;4A76;;;;N;;;;;
        "\u2F9FA",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9FA;Lo;0;L;97E0;;;;N;;;;;
        "\u2F9FB",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9FB;Lo;0;L;2940A;;;;N;;;;;
        "\u2F9FC",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9FC;Lo;0;L;4AB2;;;;N;;;;;
        "\u2F9FD",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9FD;Lo;0;L;29496;;;;N;;;;;
        "\u2F9FE",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9FE;Lo;0;L;980B;;;;N;;;;;
        "\u2F9FF",  # ;CJK COMPATIBILITY IDEOGRAPH-2F9FF;Lo;0;L;980B;;;;N;;;;;
        "\u2FA00",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA00;Lo;0;L;9829;;;;N;;;;;
        "\u2FA01",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA01;Lo;0;L;295B6;;;;N;;;;;
        "\u2FA02",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA02;Lo;0;L;98E2;;;;N;;;;;
        "\u2FA03",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA03;Lo;0;L;4B33;;;;N;;;;;
        "\u2FA04",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA04;Lo;0;L;9929;;;;N;;;;;
        "\u2FA05",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA05;Lo;0;L;99A7;;;;N;;;;;
        "\u2FA06",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA06;Lo;0;L;99C2;;;;N;;;;;
        "\u2FA07",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA07;Lo;0;L;99FE;;;;N;;;;;
        "\u2FA08",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA08;Lo;0;L;4BCE;;;;N;;;;;
        "\u2FA09",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA09;Lo;0;L;29B30;;;;N;;;;;
        "\u2FA0A",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA0A;Lo;0;L;9B12;;;;N;;;;;
        "\u2FA0B",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA0B;Lo;0;L;9C40;;;;N;;;;;
        "\u2FA0C",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA0C;Lo;0;L;9CFD;;;;N;;;;;
        "\u2FA0D",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA0D;Lo;0;L;4CCE;;;;N;;;;;
        "\u2FA0E",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA0E;Lo;0;L;4CED;;;;N;;;;;
        "\u2FA0F",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA0F;Lo;0;L;9D67;;;;N;;;;;
        "\u2FA10",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA10;Lo;0;L;2A0CE;;;;N;;;;;
        "\u2FA11",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA11;Lo;0;L;4CF8;;;;N;;;;;
        "\u2FA12",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA12;Lo;0;L;2A105;;;;N;;;;;
        "\u2FA13",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA13;Lo;0;L;2A20E;;;;N;;;;;
        "\u2FA14",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA14;Lo;0;L;2A291;;;;N;;;;;
        "\u2FA15",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA15;Lo;0;L;9EBB;;;;N;;;;;
        "\u2FA16",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA16;Lo;0;L;4D56;;;;N;;;;;
        "\u2FA17",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA17;Lo;0;L;9EF9;;;;N;;;;;
        "\u2FA18",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA18;Lo;0;L;9EFE;;;;N;;;;;
        "\u2FA19",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA19;Lo;0;L;9F05;;;;N;;;;;
        "\u2FA1A",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA1A;Lo;0;L;9F0F;;;;N;;;;;
        "\u2FA1B",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA1B;Lo;0;L;9F16;;;;N;;;;;
        "\u2FA1C",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA1C;Lo;0;L;9F3B;;;;N;;;;;
        "\u2FA1D",  # ;CJK COMPATIBILITY IDEOGRAPH-2FA1D;Lo;0;L;2A600;;;;N;;;;;
        "\uE0001",  # ;LANGUAGE TAG;Cf;0;BN;;;;;N;;;;;
        "\uE0020",  # ;TAG SPACE;Cf;0;BN;;;;;N;;;;;
        "\uE0021",  # ;TAG EXCLAMATION MARK;Cf;0;BN;;;;;N;;;;;
        "\uE0022",  # ;TAG QUOTATION MARK;Cf;0;BN;;;;;N;;;;;
        "\uE0023",  # ;TAG NUMBER SIGN;Cf;0;BN;;;;;N;;;;;
        "\uE0024",  # ;TAG DOLLAR SIGN;Cf;0;BN;;;;;N;;;;;
        "\uE0025",  # ;TAG PERCENT SIGN;Cf;0;BN;;;;;N;;;;;
        "\uE0026",  # ;TAG AMPERSAND;Cf;0;BN;;;;;N;;;;;
        "\uE0027",  # ;TAG APOSTROPHE;Cf;0;BN;;;;;N;;;;;
        "\uE0028",  # ;TAG LEFT PARENTHESIS;Cf;0;BN;;;;;N;;;;;
        "\uE0029",  # ;TAG RIGHT PARENTHESIS;Cf;0;BN;;;;;N;;;;;
        "\uE002A",  # ;TAG ASTERISK;Cf;0;BN;;;;;N;;;;;
        "\uE002B",  # ;TAG PLUS SIGN;Cf;0;BN;;;;;N;;;;;
        "\uE002C",  # ;TAG COMMA;Cf;0;BN;;;;;N;;;;;
        "\uE002D",  # ;TAG HYPHEN-MINUS;Cf;0;BN;;;;;N;;;;;
        "\uE002E",  # ;TAG FULL STOP;Cf;0;BN;;;;;N;;;;;
        "\uE002F",  # ;TAG SOLIDUS;Cf;0;BN;;;;;N;;;;;
        "\uE0030",  # ;TAG DIGIT ZERO;Cf;0;BN;;;;;N;;;;;
        "\uE0031",  # ;TAG DIGIT ONE;Cf;0;BN;;;;;N;;;;;
        "\uE0032",  # ;TAG DIGIT TWO;Cf;0;BN;;;;;N;;;;;
        "\uE0033",  # ;TAG DIGIT THREE;Cf;0;BN;;;;;N;;;;;
        "\uE0034",  # ;TAG DIGIT FOUR;Cf;0;BN;;;;;N;;;;;
        "\uE0035",  # ;TAG DIGIT FIVE;Cf;0;BN;;;;;N;;;;;
        "\uE0036",  # ;TAG DIGIT SIX;Cf;0;BN;;;;;N;;;;;
        "\uE0037",  # ;TAG DIGIT SEVEN;Cf;0;BN;;;;;N;;;;;
        "\uE0038",  # ;TAG DIGIT EIGHT;Cf;0;BN;;;;;N;;;;;
        "\uE0039",  # ;TAG DIGIT NINE;Cf;0;BN;;;;;N;;;;;
        "\uE003A",  # ;TAG COLON;Cf;0;BN;;;;;N;;;;;
        "\uE003B",  # ;TAG SEMICOLON;Cf;0;BN;;;;;N;;;;;
        "\uE003C",  # ;TAG LESS-THAN SIGN;Cf;0;BN;;;;;N;;;;;
        "\uE003D",  # ;TAG EQUALS SIGN;Cf;0;BN;;;;;N;;;;;
        "\uE003E",  # ;TAG GREATER-THAN SIGN;Cf;0;BN;;;;;N;;;;;
        "\uE003F",  # ;TAG QUESTION MARK;Cf;0;BN;;;;;N;;;;;
        "\uE0040",  # ;TAG COMMERCIAL AT;Cf;0;BN;;;;;N;;;;;
        "\uE0041",  # ;TAG LATIN CAPITAL LETTER A;Cf;0;BN;;;;;N;;;;;
        "\uE0042",  # ;TAG LATIN CAPITAL LETTER B;Cf;0;BN;;;;;N;;;;;
        "\uE0043",  # ;TAG LATIN CAPITAL LETTER C;Cf;0;BN;;;;;N;;;;;
        "\uE0044",  # ;TAG LATIN CAPITAL LETTER D;Cf;0;BN;;;;;N;;;;;
        "\uE0045",  # ;TAG LATIN CAPITAL LETTER E;Cf;0;BN;;;;;N;;;;;
        "\uE0046",  # ;TAG LATIN CAPITAL LETTER F;Cf;0;BN;;;;;N;;;;;
        "\uE0047",  # ;TAG LATIN CAPITAL LETTER G;Cf;0;BN;;;;;N;;;;;
        "\uE0048",  # ;TAG LATIN CAPITAL LETTER H;Cf;0;BN;;;;;N;;;;;
        "\uE0049",  # ;TAG LATIN CAPITAL LETTER I;Cf;0;BN;;;;;N;;;;;
        "\uE004A",  # ;TAG LATIN CAPITAL LETTER J;Cf;0;BN;;;;;N;;;;;
        "\uE004B",  # ;TAG LATIN CAPITAL LETTER K;Cf;0;BN;;;;;N;;;;;
        "\uE004C",  # ;TAG LATIN CAPITAL LETTER L;Cf;0;BN;;;;;N;;;;;
        "\uE004D",  # ;TAG LATIN CAPITAL LETTER M;Cf;0;BN;;;;;N;;;;;
        "\uE004E",  # ;TAG LATIN CAPITAL LETTER N;Cf;0;BN;;;;;N;;;;;
        "\uE004F",  # ;TAG LATIN CAPITAL LETTER O;Cf;0;BN;;;;;N;;;;;
        "\uE0050",  # ;TAG LATIN CAPITAL LETTER P;Cf;0;BN;;;;;N;;;;;
        "\uE0051",  # ;TAG LATIN CAPITAL LETTER Q;Cf;0;BN;;;;;N;;;;;
        "\uE0052",  # ;TAG LATIN CAPITAL LETTER R;Cf;0;BN;;;;;N;;;;;
        "\uE0053",  # ;TAG LATIN CAPITAL LETTER S;Cf;0;BN;;;;;N;;;;;
        "\uE0054",  # ;TAG LATIN CAPITAL LETTER T;Cf;0;BN;;;;;N;;;;;
        "\uE0055",  # ;TAG LATIN CAPITAL LETTER U;Cf;0;BN;;;;;N;;;;;
        "\uE0056",  # ;TAG LATIN CAPITAL LETTER V;Cf;0;BN;;;;;N;;;;;
        "\uE0057",  # ;TAG LATIN CAPITAL LETTER W;Cf;0;BN;;;;;N;;;;;
        "\uE0058",  # ;TAG LATIN CAPITAL LETTER X;Cf;0;BN;;;;;N;;;;;
        "\uE0059",  # ;TAG LATIN CAPITAL LETTER Y;Cf;0;BN;;;;;N;;;;;
        "\uE005A",  # ;TAG LATIN CAPITAL LETTER Z;Cf;0;BN;;;;;N;;;;;
        "\uE005B",  # ;TAG LEFT SQUARE BRACKET;Cf;0;BN;;;;;N;;;;;
        "\uE005C",  # ;TAG REVERSE SOLIDUS;Cf;0;BN;;;;;N;;;;;
        "\uE005D",  # ;TAG RIGHT SQUARE BRACKET;Cf;0;BN;;;;;N;;;;;
        "\uE005E",  # ;TAG CIRCUMFLEX ACCENT;Cf;0;BN;;;;;N;;;;;
        "\uE005F",  # ;TAG LOW LINE;Cf;0;BN;;;;;N;;;;;
        "\uE0060",  # ;TAG GRAVE ACCENT;Cf;0;BN;;;;;N;;;;;
        "\uE0061",  # ;TAG LATIN SMALL LETTER A;Cf;0;BN;;;;;N;;;;;
        "\uE0062",  # ;TAG LATIN SMALL LETTER B;Cf;0;BN;;;;;N;;;;;
        "\uE0063",  # ;TAG LATIN SMALL LETTER C;Cf;0;BN;;;;;N;;;;;
        "\uE0064",  # ;TAG LATIN SMALL LETTER D;Cf;0;BN;;;;;N;;;;;
        "\uE0065",  # ;TAG LATIN SMALL LETTER E;Cf;0;BN;;;;;N;;;;;
        "\uE0066",  # ;TAG LATIN SMALL LETTER F;Cf;0;BN;;;;;N;;;;;
        "\uE0067",  # ;TAG LATIN SMALL LETTER G;Cf;0;BN;;;;;N;;;;;
        "\uE0068",  # ;TAG LATIN SMALL LETTER H;Cf;0;BN;;;;;N;;;;;
        "\uE0069",  # ;TAG LATIN SMALL LETTER I;Cf;0;BN;;;;;N;;;;;
        "\uE006A",  # ;TAG LATIN SMALL LETTER J;Cf;0;BN;;;;;N;;;;;
        "\uE006B",  # ;TAG LATIN SMALL LETTER K;Cf;0;BN;;;;;N;;;;;
        "\uE006C",  # ;TAG LATIN SMALL LETTER L;Cf;0;BN;;;;;N;;;;;
        "\uE006D",  # ;TAG LATIN SMALL LETTER M;Cf;0;BN;;;;;N;;;;;
        "\uE006E",  # ;TAG LATIN SMALL LETTER N;Cf;0;BN;;;;;N;;;;;
        "\uE006F",  # ;TAG LATIN SMALL LETTER O;Cf;0;BN;;;;;N;;;;;
        "\uE0070",  # ;TAG LATIN SMALL LETTER P;Cf;0;BN;;;;;N;;;;;
        "\uE0071",  # ;TAG LATIN SMALL LETTER Q;Cf;0;BN;;;;;N;;;;;
        "\uE0072",  # ;TAG LATIN SMALL LETTER R;Cf;0;BN;;;;;N;;;;;
        "\uE0073",  # ;TAG LATIN SMALL LETTER S;Cf;0;BN;;;;;N;;;;;
        "\uE0074",  # ;TAG LATIN SMALL LETTER T;Cf;0;BN;;;;;N;;;;;
        "\uE0075",  # ;TAG LATIN SMALL LETTER U;Cf;0;BN;;;;;N;;;;;
        "\uE0076",  # ;TAG LATIN SMALL LETTER V;Cf;0;BN;;;;;N;;;;;
        "\uE0077",  # ;TAG LATIN SMALL LETTER W;Cf;0;BN;;;;;N;;;;;
        "\uE0078",  # ;TAG LATIN SMALL LETTER X;Cf;0;BN;;;;;N;;;;;
        "\uE0079",  # ;TAG LATIN SMALL LETTER Y;Cf;0;BN;;;;;N;;;;;
        "\uE007A",  # ;TAG LATIN SMALL LETTER Z;Cf;0;BN;;;;;N;;;;;
        "\uE007B",  # ;TAG LEFT CURLY BRACKET;Cf;0;BN;;;;;N;;;;;
        "\uE007C",  # ;TAG VERTICAL LINE;Cf;0;BN;;;;;N;;;;;
        "\uE007D",  # ;TAG RIGHT CURLY BRACKET;Cf;0;BN;;;;;N;;;;;
        "\uE007E",  # ;TAG TILDE;Cf;0;BN;;;;;N;;;;;
        "\uE007F",  # ;CANCEL TAG;Cf;0;BN;;;;;N;;;;;
        "\uE0100",  # ;VARIATION SELECTOR-17;Mn;0;NSM;;;;;N;;;;;
        "\uE0101",  # ;VARIATION SELECTOR-18;Mn;0;NSM;;;;;N;;;;;
        "\uE0102",  # ;VARIATION SELECTOR-19;Mn;0;NSM;;;;;N;;;;;
        "\uE0103",  # ;VARIATION SELECTOR-20;Mn;0;NSM;;;;;N;;;;;
        "\uE0104",  # ;VARIATION SELECTOR-21;Mn;0;NSM;;;;;N;;;;;
        "\uE0105",  # ;VARIATION SELECTOR-22;Mn;0;NSM;;;;;N;;;;;
        "\uE0106",  # ;VARIATION SELECTOR-23;Mn;0;NSM;;;;;N;;;;;
        "\uE0107",  # ;VARIATION SELECTOR-24;Mn;0;NSM;;;;;N;;;;;
        "\uE0108",  # ;VARIATION SELECTOR-25;Mn;0;NSM;;;;;N;;;;;
        "\uE0109",  # ;VARIATION SELECTOR-26;Mn;0;NSM;;;;;N;;;;;
        "\uE010A",  # ;VARIATION SELECTOR-27;Mn;0;NSM;;;;;N;;;;;
        "\uE010B",  # ;VARIATION SELECTOR-28;Mn;0;NSM;;;;;N;;;;;
        "\uE010C",  # ;VARIATION SELECTOR-29;Mn;0;NSM;;;;;N;;;;;
        "\uE010D",  # ;VARIATION SELECTOR-30;Mn;0;NSM;;;;;N;;;;;
        "\uE010E",  # ;VARIATION SELECTOR-31;Mn;0;NSM;;;;;N;;;;;
        "\uE010F",  # ;VARIATION SELECTOR-32;Mn;0;NSM;;;;;N;;;;;
        "\uE0110",  # ;VARIATION SELECTOR-33;Mn;0;NSM;;;;;N;;;;;
        "\uE0111",  # ;VARIATION SELECTOR-34;Mn;0;NSM;;;;;N;;;;;
        "\uE0112",  # ;VARIATION SELECTOR-35;Mn;0;NSM;;;;;N;;;;;
        "\uE0113",  # ;VARIATION SELECTOR-36;Mn;0;NSM;;;;;N;;;;;
        "\uE0114",  # ;VARIATION SELECTOR-37;Mn;0;NSM;;;;;N;;;;;
        "\uE0115",  # ;VARIATION SELECTOR-38;Mn;0;NSM;;;;;N;;;;;
        "\uE0116",  # ;VARIATION SELECTOR-39;Mn;0;NSM;;;;;N;;;;;
        "\uE0117",  # ;VARIATION SELECTOR-40;Mn;0;NSM;;;;;N;;;;;
        "\uE0118",  # ;VARIATION SELECTOR-41;Mn;0;NSM;;;;;N;;;;;
        "\uE0119",  # ;VARIATION SELECTOR-42;Mn;0;NSM;;;;;N;;;;;
        "\uE011A",  # ;VARIATION SELECTOR-43;Mn;0;NSM;;;;;N;;;;;
        "\uE011B",  # ;VARIATION SELECTOR-44;Mn;0;NSM;;;;;N;;;;;
        "\uE011C",  # ;VARIATION SELECTOR-45;Mn;0;NSM;;;;;N;;;;;
        "\uE011D",  # ;VARIATION SELECTOR-46;Mn;0;NSM;;;;;N;;;;;
        "\uE011E",  # ;VARIATION SELECTOR-47;Mn;0;NSM;;;;;N;;;;;
        "\uE011F",  # ;VARIATION SELECTOR-48;Mn;0;NSM;;;;;N;;;;;
        "\uE0120",  # ;VARIATION SELECTOR-49;Mn;0;NSM;;;;;N;;;;;
        "\uE0121",  # ;VARIATION SELECTOR-50;Mn;0;NSM;;;;;N;;;;;
        "\uE0122",  # ;VARIATION SELECTOR-51;Mn;0;NSM;;;;;N;;;;;
        "\uE0123",  # ;VARIATION SELECTOR-52;Mn;0;NSM;;;;;N;;;;;
        "\uE0124",  # ;VARIATION SELECTOR-53;Mn;0;NSM;;;;;N;;;;;
        "\uE0125",  # ;VARIATION SELECTOR-54;Mn;0;NSM;;;;;N;;;;;
        "\uE0126",  # ;VARIATION SELECTOR-55;Mn;0;NSM;;;;;N;;;;;
        "\uE0127",  # ;VARIATION SELECTOR-56;Mn;0;NSM;;;;;N;;;;;
        "\uE0128",  # ;VARIATION SELECTOR-57;Mn;0;NSM;;;;;N;;;;;
        "\uE0129",  # ;VARIATION SELECTOR-58;Mn;0;NSM;;;;;N;;;;;
        "\uE012A",  # ;VARIATION SELECTOR-59;Mn;0;NSM;;;;;N;;;;;
        "\uE012B",  # ;VARIATION SELECTOR-60;Mn;0;NSM;;;;;N;;;;;
        "\uE012C",  # ;VARIATION SELECTOR-61;Mn;0;NSM;;;;;N;;;;;
        "\uE012D",  # ;VARIATION SELECTOR-62;Mn;0;NSM;;;;;N;;;;;
        "\uE012E",  # ;VARIATION SELECTOR-63;Mn;0;NSM;;;;;N;;;;;
        "\uE012F",  # ;VARIATION SELECTOR-64;Mn;0;NSM;;;;;N;;;;;
        "\uE0130",  # ;VARIATION SELECTOR-65;Mn;0;NSM;;;;;N;;;;;
        "\uE0131",  # ;VARIATION SELECTOR-66;Mn;0;NSM;;;;;N;;;;;
        "\uE0132",  # ;VARIATION SELECTOR-67;Mn;0;NSM;;;;;N;;;;;
        "\uE0133",  # ;VARIATION SELECTOR-68;Mn;0;NSM;;;;;N;;;;;
        "\uE0134",  # ;VARIATION SELECTOR-69;Mn;0;NSM;;;;;N;;;;;
        "\uE0135",  # ;VARIATION SELECTOR-70;Mn;0;NSM;;;;;N;;;;;
        "\uE0136",  # ;VARIATION SELECTOR-71;Mn;0;NSM;;;;;N;;;;;
        "\uE0137",  # ;VARIATION SELECTOR-72;Mn;0;NSM;;;;;N;;;;;
        "\uE0138",  # ;VARIATION SELECTOR-73;Mn;0;NSM;;;;;N;;;;;
        "\uE0139",  # ;VARIATION SELECTOR-74;Mn;0;NSM;;;;;N;;;;;
        "\uE013A",  # ;VARIATION SELECTOR-75;Mn;0;NSM;;;;;N;;;;;
        "\uE013B",  # ;VARIATION SELECTOR-76;Mn;0;NSM;;;;;N;;;;;
        "\uE013C",  # ;VARIATION SELECTOR-77;Mn;0;NSM;;;;;N;;;;;
        "\uE013D",  # ;VARIATION SELECTOR-78;Mn;0;NSM;;;;;N;;;;;
        "\uE013E",  # ;VARIATION SELECTOR-79;Mn;0;NSM;;;;;N;;;;;
        "\uE013F",  # ;VARIATION SELECTOR-80;Mn;0;NSM;;;;;N;;;;;
        "\uE0140",  # ;VARIATION SELECTOR-81;Mn;0;NSM;;;;;N;;;;;
        "\uE0141",  # ;VARIATION SELECTOR-82;Mn;0;NSM;;;;;N;;;;;
        "\uE0142",  # ;VARIATION SELECTOR-83;Mn;0;NSM;;;;;N;;;;;
        "\uE0143",  # ;VARIATION SELECTOR-84;Mn;0;NSM;;;;;N;;;;;
        "\uE0144",  # ;VARIATION SELECTOR-85;Mn;0;NSM;;;;;N;;;;;
        "\uE0145",  # ;VARIATION SELECTOR-86;Mn;0;NSM;;;;;N;;;;;
        "\uE0146",  # ;VARIATION SELECTOR-87;Mn;0;NSM;;;;;N;;;;;
        "\uE0147",  # ;VARIATION SELECTOR-88;Mn;0;NSM;;;;;N;;;;;
        "\uE0148",  # ;VARIATION SELECTOR-89;Mn;0;NSM;;;;;N;;;;;
        "\uE0149",  # ;VARIATION SELECTOR-90;Mn;0;NSM;;;;;N;;;;;
        "\uE014A",  # ;VARIATION SELECTOR-91;Mn;0;NSM;;;;;N;;;;;
        "\uE014B",  # ;VARIATION SELECTOR-92;Mn;0;NSM;;;;;N;;;;;
        "\uE014C",  # ;VARIATION SELECTOR-93;Mn;0;NSM;;;;;N;;;;;
        "\uE014D",  # ;VARIATION SELECTOR-94;Mn;0;NSM;;;;;N;;;;;
        "\uE014E",  # ;VARIATION SELECTOR-95;Mn;0;NSM;;;;;N;;;;;
        "\uE014F",  # ;VARIATION SELECTOR-96;Mn;0;NSM;;;;;N;;;;;
        "\uE0150",  # ;VARIATION SELECTOR-97;Mn;0;NSM;;;;;N;;;;;
        "\uE0151",  # ;VARIATION SELECTOR-98;Mn;0;NSM;;;;;N;;;;;
        "\uE0152",  # ;VARIATION SELECTOR-99;Mn;0;NSM;;;;;N;;;;;
        "\uE0153",  # ;VARIATION SELECTOR-100;Mn;0;NSM;;;;;N;;;;;
        "\uE0154",  # ;VARIATION SELECTOR-101;Mn;0;NSM;;;;;N;;;;;
        "\uE0155",  # ;VARIATION SELECTOR-102;Mn;0;NSM;;;;;N;;;;;
        "\uE0156",  # ;VARIATION SELECTOR-103;Mn;0;NSM;;;;;N;;;;;
        "\uE0157",  # ;VARIATION SELECTOR-104;Mn;0;NSM;;;;;N;;;;;
        "\uE0158",  # ;VARIATION SELECTOR-105;Mn;0;NSM;;;;;N;;;;;
        "\uE0159",  # ;VARIATION SELECTOR-106;Mn;0;NSM;;;;;N;;;;;
        "\uE015A",  # ;VARIATION SELECTOR-107;Mn;0;NSM;;;;;N;;;;;
        "\uE015B",  # ;VARIATION SELECTOR-108;Mn;0;NSM;;;;;N;;;;;
        "\uE015C",  # ;VARIATION SELECTOR-109;Mn;0;NSM;;;;;N;;;;;
        "\uE015D",  # ;VARIATION SELECTOR-110;Mn;0;NSM;;;;;N;;;;;
        "\uE015E",  # ;VARIATION SELECTOR-111;Mn;0;NSM;;;;;N;;;;;
        "\uE015F",  # ;VARIATION SELECTOR-112;Mn;0;NSM;;;;;N;;;;;
        "\uE0160",  # ;VARIATION SELECTOR-113;Mn;0;NSM;;;;;N;;;;;
        "\uE0161",  # ;VARIATION SELECTOR-114;Mn;0;NSM;;;;;N;;;;;
        "\uE0162",  # ;VARIATION SELECTOR-115;Mn;0;NSM;;;;;N;;;;;
        "\uE0163",  # ;VARIATION SELECTOR-116;Mn;0;NSM;;;;;N;;;;;
        "\uE0164",  # ;VARIATION SELECTOR-117;Mn;0;NSM;;;;;N;;;;;
        "\uE0165",  # ;VARIATION SELECTOR-118;Mn;0;NSM;;;;;N;;;;;
        "\uE0166",  # ;VARIATION SELECTOR-119;Mn;0;NSM;;;;;N;;;;;
        "\uE0167",  # ;VARIATION SELECTOR-120;Mn;0;NSM;;;;;N;;;;;
        "\uE0168",  # ;VARIATION SELECTOR-121;Mn;0;NSM;;;;;N;;;;;
        "\uE0169",  # ;VARIATION SELECTOR-122;Mn;0;NSM;;;;;N;;;;;
        "\uE016A",  # ;VARIATION SELECTOR-123;Mn;0;NSM;;;;;N;;;;;
        "\uE016B",  # ;VARIATION SELECTOR-124;Mn;0;NSM;;;;;N;;;;;
        "\uE016C",  # ;VARIATION SELECTOR-125;Mn;0;NSM;;;;;N;;;;;
        "\uE016D",  # ;VARIATION SELECTOR-126;Mn;0;NSM;;;;;N;;;;;
        "\uE016E",  # ;VARIATION SELECTOR-127;Mn;0;NSM;;;;;N;;;;;
        "\uE016F",  # ;VARIATION SELECTOR-128;Mn;0;NSM;;;;;N;;;;;
        "\uE0170",  # ;VARIATION SELECTOR-129;Mn;0;NSM;;;;;N;;;;;
        "\uE0171",  # ;VARIATION SELECTOR-130;Mn;0;NSM;;;;;N;;;;;
        "\uE0172",  # ;VARIATION SELECTOR-131;Mn;0;NSM;;;;;N;;;;;
        "\uE0173",  # ;VARIATION SELECTOR-132;Mn;0;NSM;;;;;N;;;;;
        "\uE0174",  # ;VARIATION SELECTOR-133;Mn;0;NSM;;;;;N;;;;;
        "\uE0175",  # ;VARIATION SELECTOR-134;Mn;0;NSM;;;;;N;;;;;
        "\uE0176",  # ;VARIATION SELECTOR-135;Mn;0;NSM;;;;;N;;;;;
        "\uE0177",  # ;VARIATION SELECTOR-136;Mn;0;NSM;;;;;N;;;;;
        "\uE0178",  # ;VARIATION SELECTOR-137;Mn;0;NSM;;;;;N;;;;;
        "\uE0179",  # ;VARIATION SELECTOR-138;Mn;0;NSM;;;;;N;;;;;
        "\uE017A",  # ;VARIATION SELECTOR-139;Mn;0;NSM;;;;;N;;;;;
        "\uE017B",  # ;VARIATION SELECTOR-140;Mn;0;NSM;;;;;N;;;;;
        "\uE017C",  # ;VARIATION SELECTOR-141;Mn;0;NSM;;;;;N;;;;;
        "\uE017D",  # ;VARIATION SELECTOR-142;Mn;0;NSM;;;;;N;;;;;
        "\uE017E",  # ;VARIATION SELECTOR-143;Mn;0;NSM;;;;;N;;;;;
        "\uE017F",  # ;VARIATION SELECTOR-144;Mn;0;NSM;;;;;N;;;;;
        "\uE0180",  # ;VARIATION SELECTOR-145;Mn;0;NSM;;;;;N;;;;;
        "\uE0181",  # ;VARIATION SELECTOR-146;Mn;0;NSM;;;;;N;;;;;
        "\uE0182",  # ;VARIATION SELECTOR-147;Mn;0;NSM;;;;;N;;;;;
        "\uE0183",  # ;VARIATION SELECTOR-148;Mn;0;NSM;;;;;N;;;;;
        "\uE0184",  # ;VARIATION SELECTOR-149;Mn;0;NSM;;;;;N;;;;;
        "\uE0185",  # ;VARIATION SELECTOR-150;Mn;0;NSM;;;;;N;;;;;
        "\uE0186",  # ;VARIATION SELECTOR-151;Mn;0;NSM;;;;;N;;;;;
        "\uE0187",  # ;VARIATION SELECTOR-152;Mn;0;NSM;;;;;N;;;;;
        "\uE0188",  # ;VARIATION SELECTOR-153;Mn;0;NSM;;;;;N;;;;;
        "\uE0189",  # ;VARIATION SELECTOR-154;Mn;0;NSM;;;;;N;;;;;
        "\uE018A",  # ;VARIATION SELECTOR-155;Mn;0;NSM;;;;;N;;;;;
        "\uE018B",  # ;VARIATION SELECTOR-156;Mn;0;NSM;;;;;N;;;;;
        "\uE018C",  # ;VARIATION SELECTOR-157;Mn;0;NSM;;;;;N;;;;;
        "\uE018D",  # ;VARIATION SELECTOR-158;Mn;0;NSM;;;;;N;;;;;
        "\uE018E",  # ;VARIATION SELECTOR-159;Mn;0;NSM;;;;;N;;;;;
        "\uE018F",  # ;VARIATION SELECTOR-160;Mn;0;NSM;;;;;N;;;;;
        "\uE0190",  # ;VARIATION SELECTOR-161;Mn;0;NSM;;;;;N;;;;;
        "\uE0191",  # ;VARIATION SELECTOR-162;Mn;0;NSM;;;;;N;;;;;
        "\uE0192",  # ;VARIATION SELECTOR-163;Mn;0;NSM;;;;;N;;;;;
        "\uE0193",  # ;VARIATION SELECTOR-164;Mn;0;NSM;;;;;N;;;;;
        "\uE0194",  # ;VARIATION SELECTOR-165;Mn;0;NSM;;;;;N;;;;;
        "\uE0195",  # ;VARIATION SELECTOR-166;Mn;0;NSM;;;;;N;;;;;
        "\uE0196",  # ;VARIATION SELECTOR-167;Mn;0;NSM;;;;;N;;;;;
        "\uE0197",  # ;VARIATION SELECTOR-168;Mn;0;NSM;;;;;N;;;;;
        "\uE0198",  # ;VARIATION SELECTOR-169;Mn;0;NSM;;;;;N;;;;;
        "\uE0199",  # ;VARIATION SELECTOR-170;Mn;0;NSM;;;;;N;;;;;
        "\uE019A",  # ;VARIATION SELECTOR-171;Mn;0;NSM;;;;;N;;;;;
        "\uE019B",  # ;VARIATION SELECTOR-172;Mn;0;NSM;;;;;N;;;;;
        "\uE019C",  # ;VARIATION SELECTOR-173;Mn;0;NSM;;;;;N;;;;;
        "\uE019D",  # ;VARIATION SELECTOR-174;Mn;0;NSM;;;;;N;;;;;
        "\uE019E",  # ;VARIATION SELECTOR-175;Mn;0;NSM;;;;;N;;;;;
        "\uE019F",  # ;VARIATION SELECTOR-176;Mn;0;NSM;;;;;N;;;;;
        "\uE01A0",  # ;VARIATION SELECTOR-177;Mn;0;NSM;;;;;N;;;;;
        "\uE01A1",  # ;VARIATION SELECTOR-178;Mn;0;NSM;;;;;N;;;;;
        "\uE01A2",  # ;VARIATION SELECTOR-179;Mn;0;NSM;;;;;N;;;;;
        "\uE01A3",  # ;VARIATION SELECTOR-180;Mn;0;NSM;;;;;N;;;;;
        "\uE01A4",  # ;VARIATION SELECTOR-181;Mn;0;NSM;;;;;N;;;;;
        "\uE01A5",  # ;VARIATION SELECTOR-182;Mn;0;NSM;;;;;N;;;;;
        "\uE01A6",  # ;VARIATION SELECTOR-183;Mn;0;NSM;;;;;N;;;;;
        "\uE01A7",  # ;VARIATION SELECTOR-184;Mn;0;NSM;;;;;N;;;;;
        "\uE01A8",  # ;VARIATION SELECTOR-185;Mn;0;NSM;;;;;N;;;;;
        "\uE01A9",  # ;VARIATION SELECTOR-186;Mn;0;NSM;;;;;N;;;;;
        "\uE01AA",  # ;VARIATION SELECTOR-187;Mn;0;NSM;;;;;N;;;;;
        "\uE01AB",  # ;VARIATION SELECTOR-188;Mn;0;NSM;;;;;N;;;;;
        "\uE01AC",  # ;VARIATION SELECTOR-189;Mn;0;NSM;;;;;N;;;;;
        "\uE01AD",  # ;VARIATION SELECTOR-190;Mn;0;NSM;;;;;N;;;;;
        "\uE01AE",  # ;VARIATION SELECTOR-191;Mn;0;NSM;;;;;N;;;;;
        "\uE01AF",  # ;VARIATION SELECTOR-192;Mn;0;NSM;;;;;N;;;;;
        "\uE01B0",  # ;VARIATION SELECTOR-193;Mn;0;NSM;;;;;N;;;;;
        "\uE01B1",  # ;VARIATION SELECTOR-194;Mn;0;NSM;;;;;N;;;;;
        "\uE01B2",  # ;VARIATION SELECTOR-195;Mn;0;NSM;;;;;N;;;;;
        "\uE01B3",  # ;VARIATION SELECTOR-196;Mn;0;NSM;;;;;N;;;;;
        "\uE01B4",  # ;VARIATION SELECTOR-197;Mn;0;NSM;;;;;N;;;;;
        "\uE01B5",  # ;VARIATION SELECTOR-198;Mn;0;NSM;;;;;N;;;;;
        "\uE01B6",  # ;VARIATION SELECTOR-199;Mn;0;NSM;;;;;N;;;;;
        "\uE01B7",  # ;VARIATION SELECTOR-200;Mn;0;NSM;;;;;N;;;;;
        "\uE01B8",  # ;VARIATION SELECTOR-201;Mn;0;NSM;;;;;N;;;;;
        "\uE01B9",  # ;VARIATION SELECTOR-202;Mn;0;NSM;;;;;N;;;;;
        "\uE01BA",  # ;VARIATION SELECTOR-203;Mn;0;NSM;;;;;N;;;;;
        "\uE01BB",  # ;VARIATION SELECTOR-204;Mn;0;NSM;;;;;N;;;;;
        "\uE01BC",  # ;VARIATION SELECTOR-205;Mn;0;NSM;;;;;N;;;;;
        "\uE01BD",  # ;VARIATION SELECTOR-206;Mn;0;NSM;;;;;N;;;;;
        "\uE01BE",  # ;VARIATION SELECTOR-207;Mn;0;NSM;;;;;N;;;;;
        "\uE01BF",  # ;VARIATION SELECTOR-208;Mn;0;NSM;;;;;N;;;;;
        "\uE01C0",  # ;VARIATION SELECTOR-209;Mn;0;NSM;;;;;N;;;;;
        "\uE01C1",  # ;VARIATION SELECTOR-210;Mn;0;NSM;;;;;N;;;;;
        "\uE01C2",  # ;VARIATION SELECTOR-211;Mn;0;NSM;;;;;N;;;;;
        "\uE01C3",  # ;VARIATION SELECTOR-212;Mn;0;NSM;;;;;N;;;;;
        "\uE01C4",  # ;VARIATION SELECTOR-213;Mn;0;NSM;;;;;N;;;;;
        "\uE01C5",  # ;VARIATION SELECTOR-214;Mn;0;NSM;;;;;N;;;;;
        "\uE01C6",  # ;VARIATION SELECTOR-215;Mn;0;NSM;;;;;N;;;;;
        "\uE01C7",  # ;VARIATION SELECTOR-216;Mn;0;NSM;;;;;N;;;;;
        "\uE01C8",  # ;VARIATION SELECTOR-217;Mn;0;NSM;;;;;N;;;;;
        "\uE01C9",  # ;VARIATION SELECTOR-218;Mn;0;NSM;;;;;N;;;;;
        "\uE01CA",  # ;VARIATION SELECTOR-219;Mn;0;NSM;;;;;N;;;;;
        "\uE01CB",  # ;VARIATION SELECTOR-220;Mn;0;NSM;;;;;N;;;;;
        "\uE01CC",  # ;VARIATION SELECTOR-221;Mn;0;NSM;;;;;N;;;;;
        "\uE01CD",  # ;VARIATION SELECTOR-222;Mn;0;NSM;;;;;N;;;;;
        "\uE01CE",  # ;VARIATION SELECTOR-223;Mn;0;NSM;;;;;N;;;;;
        "\uE01CF",  # ;VARIATION SELECTOR-224;Mn;0;NSM;;;;;N;;;;;
        "\uE01D0",  # ;VARIATION SELECTOR-225;Mn;0;NSM;;;;;N;;;;;
        "\uE01D1",  # ;VARIATION SELECTOR-226;Mn;0;NSM;;;;;N;;;;;
        "\uE01D2",  # ;VARIATION SELECTOR-227;Mn;0;NSM;;;;;N;;;;;
        "\uE01D3",  # ;VARIATION SELECTOR-228;Mn;0;NSM;;;;;N;;;;;
        "\uE01D4",  # ;VARIATION SELECTOR-229;Mn;0;NSM;;;;;N;;;;;
        "\uE01D5",  # ;VARIATION SELECTOR-230;Mn;0;NSM;;;;;N;;;;;
        "\uE01D6",  # ;VARIATION SELECTOR-231;Mn;0;NSM;;;;;N;;;;;
        "\uE01D7",  # ;VARIATION SELECTOR-232;Mn;0;NSM;;;;;N;;;;;
        "\uE01D8",  # ;VARIATION SELECTOR-233;Mn;0;NSM;;;;;N;;;;;
        "\uE01D9",  # ;VARIATION SELECTOR-234;Mn;0;NSM;;;;;N;;;;;
        "\uE01DA",  # ;VARIATION SELECTOR-235;Mn;0;NSM;;;;;N;;;;;
        "\uE01DB",  # ;VARIATION SELECTOR-236;Mn;0;NSM;;;;;N;;;;;
        "\uE01DC",  # ;VARIATION SELECTOR-237;Mn;0;NSM;;;;;N;;;;;
        "\uE01DD",  # ;VARIATION SELECTOR-238;Mn;0;NSM;;;;;N;;;;;
        "\uE01DE",  # ;VARIATION SELECTOR-239;Mn;0;NSM;;;;;N;;;;;
        "\uE01DF",  # ;VARIATION SELECTOR-240;Mn;0;NSM;;;;;N;;;;;
        "\uE01E0",  # ;VARIATION SELECTOR-241;Mn;0;NSM;;;;;N;;;;;
        "\uE01E1",  # ;VARIATION SELECTOR-242;Mn;0;NSM;;;;;N;;;;;
        "\uE01E2",  # ;VARIATION SELECTOR-243;Mn;0;NSM;;;;;N;;;;;
        "\uE01E3",  # ;VARIATION SELECTOR-244;Mn;0;NSM;;;;;N;;;;;
        "\uE01E4",  # ;VARIATION SELECTOR-245;Mn;0;NSM;;;;;N;;;;;
        "\uE01E5",  # ;VARIATION SELECTOR-246;Mn;0;NSM;;;;;N;;;;;
        "\uE01E6",  # ;VARIATION SELECTOR-247;Mn;0;NSM;;;;;N;;;;;
        "\uE01E7",  # ;VARIATION SELECTOR-248;Mn;0;NSM;;;;;N;;;;;
        "\uE01E8",  # ;VARIATION SELECTOR-249;Mn;0;NSM;;;;;N;;;;;
        "\uE01E9",  # ;VARIATION SELECTOR-250;Mn;0;NSM;;;;;N;;;;;
        "\uE01EA",  # ;VARIATION SELECTOR-251;Mn;0;NSM;;;;;N;;;;;
        "\uE01EB",  # ;VARIATION SELECTOR-252;Mn;0;NSM;;;;;N;;;;;
        "\uE01EC",  # ;VARIATION SELECTOR-253;Mn;0;NSM;;;;;N;;;;;
        "\uE01ED",  # ;VARIATION SELECTOR-254;Mn;0;NSM;;;;;N;;;;;
        "\uE01EE",  # ;VARIATION SELECTOR-255;Mn;0;NSM;;;;;N;;;;;
        "\uE01EF",  # ;VARIATION SELECTOR-256;Mn;0;NSM;;;;;N;;;;;
        "\uF0000",  # ;<Plane 15 Private Use, First>;Co;0;L;;;;;N;;;;;
        "\uFFFFD",  # ;<Plane 15 Private Use, Last>;Co;0;L;;;;;N;;;;;
        "\u100000",  # ;<Plane 16 Private Use, First>;Co;0;L;;;;;N;;;;;
        "\u10FFFD",  # ;<Plane 16 Private Use, Last>;Co;0;L;;;;;N;;;;;
    ]
    test_data.each do |string|
      assert @validator.valid_encoding?(string), "U10_UnicodeData: #{string}"
      assert string.force_encoding("UTF-8").valid_encoding?, "U10_UnicodeData: #{string}" if @vercheck
    end
  end

end
