# encoding: utf-8
#
# This file is machine generated.  DO NOT EDIT!
#
if Kernel.respond_to?(:require_relative)
  require_relative("./helper")
else
  $:.unshift(File.dirname(__FILE__))
  require 'helper'
end
#
# == Purpose
#
# Tests for the #{UTF8::Validator} implementation.
#
# Test data pulled and generated from:
#
# https://www.unicode.org/Public/10.0.0/ucd/
#
class TestUnicode10WordBreakProperty < Test::Unit::TestCase
  #
  def setup
    @validator = UTF8::Validator.new
    @vercheck = ((RUBY_VERSION =~ /1.9/) or (RUBY_VERSION =~ /2./)) ? true : false
  end

  #
  def teardown
    @validator = nil
  end

  def test_unicode10_WordBreakProperty
    test_data = [
        "\u0022",  # ; Double_Quote # Po       QUOTATION MARK
        "\u0027",  # ; Single_Quote # Po       APOSTROPHE
        "\u05d0","\u05d1","\u05d2","\u05d3","\u05d4","\u05d5","\u05d6","\u05d7","\u05d8","\u05d9","\u05da","\u05db","\u05dc","\u05dd","\u05de","\u05df","\u05e0","\u05e1","\u05e2","\u05e3","\u05e4","\u05e5","\u05e6","\u05e7","\u05e8","\u05e9","\u05ea",  # ; Hebrew_Letter # Lo  [27] HEBREW LETTER ALEF..HEBREW LETTER TAV
        "\u05f0","\u05f1","\u05f2",  # ; Hebrew_Letter # Lo   [3] HEBREW LIGATURE YIDDISH DOUBLE VAV..HEBREW LIGATURE YIDDISH DOUBLE YOD
        "\uFB1D",  # ; Hebrew_Letter # Lo       HEBREW LETTER YOD WITH HIRIQ
        "\ufb1f","\ufb20","\ufb21","\ufb22","\ufb23","\ufb24","\ufb25","\ufb26","\ufb27","\ufb28",  # ; Hebrew_Letter # Lo  [10] HEBREW LIGATURE YIDDISH YOD YOD PATAH..HEBREW LETTER WIDE TAV
        "\ufb2a","\ufb2b","\ufb2c","\ufb2d","\ufb2e","\ufb2f","\ufb30","\ufb31","\ufb32","\ufb33","\ufb34","\ufb35","\ufb36",  # ; Hebrew_Letter # Lo  [13] HEBREW LETTER SHIN WITH SHIN DOT..HEBREW LETTER ZAYIN WITH DAGESH
        "\ufb38","\ufb39","\ufb3a","\ufb3b","\ufb3c",  # ; Hebrew_Letter # Lo   [5] HEBREW LETTER TET WITH DAGESH..HEBREW LETTER LAMED WITH DAGESH
        "\uFB3E",  # ; Hebrew_Letter # Lo       HEBREW LETTER MEM WITH DAGESH
        "\ufb40","\ufb41",  # ; Hebrew_Letter # Lo   [2] HEBREW LETTER NUN WITH DAGESH..HEBREW LETTER SAMEKH WITH DAGESH
        "\ufb43","\ufb44",  # ; Hebrew_Letter # Lo   [2] HEBREW LETTER FINAL PE WITH DAGESH..HEBREW LETTER PE WITH DAGESH
        "\ufb46","\ufb47","\ufb48","\ufb49","\ufb4a","\ufb4b","\ufb4c","\ufb4d","\ufb4e","\ufb4f",  # ; Hebrew_Letter # Lo  [10] HEBREW LETTER TSADI WITH DAGESH..HEBREW LIGATURE ALEF LAMED
        "\u000D",  # ; CR # Cc       <control-000D>
        "\u000A",  # ; LF # Cc       <control-000A>
        "\u000b","\u000c",  # ; Newline # Cc   [2] <control-000B>..<control-000C>
        "\u0085",  # ; Newline # Cc       <control-0085>
        "\u2028",  # ; Newline # Zl       LINE SEPARATOR
        "\u2029",  # ; Newline # Zp       PARAGRAPH SEPARATOR
        "\u0300","\u0301","\u0302","\u0303","\u0304","\u0305","\u0306","\u0307","\u0308","\u0309","\u030a","\u030b","\u030c","\u030d","\u030e","\u030f","\u0310","\u0311","\u0312","\u0313","\u0314","\u0315","\u0316","\u0317","\u0318","\u0319","\u031a","\u031b","\u031c","\u031d","\u031e","\u031f","\u0320","\u0321","\u0322","\u0323","\u0324","\u0325","\u0326","\u0327","\u0328","\u0329","\u032a","\u032b","\u032c","\u032d","\u032e","\u032f","\u0330","\u0331","\u0332","\u0333","\u0334","\u0335","\u0336","\u0337","\u0338","\u0339","\u033a","\u033b","\u033c","\u033d","\u033e","\u033f","\u0340","\u0341","\u0342","\u0343","\u0344","\u0345","\u0346","\u0347","\u0348","\u0349","\u034a","\u034b","\u034c","\u034d","\u034e","\u034f","\u0350","\u0351","\u0352","\u0353","\u0354","\u0355","\u0356","\u0357","\u0358","\u0359","\u035a","\u035b","\u035c","\u035d","\u035e","\u035f","\u0360","\u0361","\u0362","\u0363","\u0364","\u0365","\u0366","\u0367","\u0368","\u0369","\u036a","\u036b","\u036c","\u036d","\u036e","\u036f",  # ; Extend # Mn [112] COMBINING GRAVE ACCENT..COMBINING LATIN SMALL LETTER X
        "\u0483","\u0484","\u0485","\u0486","\u0487",  # ; Extend # Mn   [5] COMBINING CYRILLIC TITLO..COMBINING CYRILLIC POKRYTIE
        "\u0488","\u0489",  # ; Extend # Me   [2] COMBINING CYRILLIC HUNDRED THOUSANDS SIGN..COMBINING CYRILLIC MILLIONS SIGN
        "\u0591","\u0592","\u0593","\u0594","\u0595","\u0596","\u0597","\u0598","\u0599","\u059a","\u059b","\u059c","\u059d","\u059e","\u059f","\u05a0","\u05a1","\u05a2","\u05a3","\u05a4","\u05a5","\u05a6","\u05a7","\u05a8","\u05a9","\u05aa","\u05ab","\u05ac","\u05ad","\u05ae","\u05af","\u05b0","\u05b1","\u05b2","\u05b3","\u05b4","\u05b5","\u05b6","\u05b7","\u05b8","\u05b9","\u05ba","\u05bb","\u05bc","\u05bd",  # ; Extend # Mn  [45] HEBREW ACCENT ETNAHTA..HEBREW POINT METEG
        "\u05BF",  # ; Extend # Mn       HEBREW POINT RAFE
        "\u05c1","\u05c2",  # ; Extend # Mn   [2] HEBREW POINT SHIN DOT..HEBREW POINT SIN DOT
        "\u05c4","\u05c5",  # ; Extend # Mn   [2] HEBREW MARK UPPER DOT..HEBREW MARK LOWER DOT
        "\u05C7",  # ; Extend # Mn       HEBREW POINT QAMATS QATAN
        "\u0610","\u0611","\u0612","\u0613","\u0614","\u0615","\u0616","\u0617","\u0618","\u0619","\u061a",  # ; Extend # Mn  [11] ARABIC SIGN SALLALLAHOU ALAYHE WASSALLAM..ARABIC SMALL KASRA
        "\u064b","\u064c","\u064d","\u064e","\u064f","\u0650","\u0651","\u0652","\u0653","\u0654","\u0655","\u0656","\u0657","\u0658","\u0659","\u065a","\u065b","\u065c","\u065d","\u065e","\u065f",  # ; Extend # Mn  [21] ARABIC FATHATAN..ARABIC WAVY HAMZA BELOW
        "\u0670",  # ; Extend # Mn       ARABIC LETTER SUPERSCRIPT ALEF
        "\u06d6","\u06d7","\u06d8","\u06d9","\u06da","\u06db","\u06dc",  # ; Extend # Mn   [7] ARABIC SMALL HIGH LIGATURE SAD WITH LAM WITH ALEF MAKSURA..ARABIC SMALL HIGH SEEN
        "\u06df","\u06e0","\u06e1","\u06e2","\u06e3","\u06e4",  # ; Extend # Mn   [6] ARABIC SMALL HIGH ROUNDED ZERO..ARABIC SMALL HIGH MADDA
        "\u06e7","\u06e8",  # ; Extend # Mn   [2] ARABIC SMALL HIGH YEH..ARABIC SMALL HIGH NOON
        "\u06ea","\u06eb","\u06ec","\u06ed",  # ; Extend # Mn   [4] ARABIC EMPTY CENTRE LOW STOP..ARABIC SMALL LOW MEEM
        "\u0711",  # ; Extend # Mn       SYRIAC LETTER SUPERSCRIPT ALAPH
        "\u0730","\u0731","\u0732","\u0733","\u0734","\u0735","\u0736","\u0737","\u0738","\u0739","\u073a","\u073b","\u073c","\u073d","\u073e","\u073f","\u0740","\u0741","\u0742","\u0743","\u0744","\u0745","\u0746","\u0747","\u0748","\u0749","\u074a",  # ; Extend # Mn  [27] SYRIAC PTHAHA ABOVE..SYRIAC BARREKH
        "\u07a6","\u07a7","\u07a8","\u07a9","\u07aa","\u07ab","\u07ac","\u07ad","\u07ae","\u07af","\u07b0",  # ; Extend # Mn  [11] THAANA ABAFILI..THAANA SUKUN
        "\u07eb","\u07ec","\u07ed","\u07ee","\u07ef","\u07f0","\u07f1","\u07f2","\u07f3",  # ; Extend # Mn   [9] NKO COMBINING SHORT HIGH TONE..NKO COMBINING DOUBLE DOT ABOVE
        "\u0816","\u0817","\u0818","\u0819",  # ; Extend # Mn   [4] SAMARITAN MARK IN..SAMARITAN MARK DAGESH
        "\u081b","\u081c","\u081d","\u081e","\u081f","\u0820","\u0821","\u0822","\u0823",  # ; Extend # Mn   [9] SAMARITAN MARK EPENTHETIC YUT..SAMARITAN VOWEL SIGN A
        "\u0825","\u0826","\u0827",  # ; Extend # Mn   [3] SAMARITAN VOWEL SIGN SHORT A..SAMARITAN VOWEL SIGN U
        "\u0829","\u082a","\u082b","\u082c","\u082d",  # ; Extend # Mn   [5] SAMARITAN VOWEL SIGN LONG I..SAMARITAN MARK NEQUDAA
        "\u0859","\u085a","\u085b",  # ; Extend # Mn   [3] MANDAIC AFFRICATION MARK..MANDAIC GEMINATION MARK
        "\u08d4","\u08d5","\u08d6","\u08d7","\u08d8","\u08d9","\u08da","\u08db","\u08dc","\u08dd","\u08de","\u08df","\u08e0","\u08e1",  # ; Extend # Mn  [14] ARABIC SMALL HIGH WORD AR-RUB..ARABIC SMALL HIGH SIGN SAFHA
        "\u08e3","\u08e4","\u08e5","\u08e6","\u08e7","\u08e8","\u08e9","\u08ea","\u08eb","\u08ec","\u08ed","\u08ee","\u08ef","\u08f0","\u08f1","\u08f2","\u08f3","\u08f4","\u08f5","\u08f6","\u08f7","\u08f8","\u08f9","\u08fa","\u08fb","\u08fc","\u08fd","\u08fe","\u08ff","\u0900","\u0901","\u0902",  # ; Extend # Mn  [32] ARABIC TURNED DAMMA BELOW..DEVANAGARI SIGN ANUSVARA
        "\u0903",  # ; Extend # Mc       DEVANAGARI SIGN VISARGA
        "\u093A",  # ; Extend # Mn       DEVANAGARI VOWEL SIGN OE
        "\u093B",  # ; Extend # Mc       DEVANAGARI VOWEL SIGN OOE
        "\u093C",  # ; Extend # Mn       DEVANAGARI SIGN NUKTA
        "\u093e","\u093f","\u0940",  # ; Extend # Mc   [3] DEVANAGARI VOWEL SIGN AA..DEVANAGARI VOWEL SIGN II
        "\u0941","\u0942","\u0943","\u0944","\u0945","\u0946","\u0947","\u0948",  # ; Extend # Mn   [8] DEVANAGARI VOWEL SIGN U..DEVANAGARI VOWEL SIGN AI
        "\u0949","\u094a","\u094b","\u094c",  # ; Extend # Mc   [4] DEVANAGARI VOWEL SIGN CANDRA O..DEVANAGARI VOWEL SIGN AU
        "\u094D",  # ; Extend # Mn       DEVANAGARI SIGN VIRAMA
        "\u094e","\u094f",  # ; Extend # Mc   [2] DEVANAGARI VOWEL SIGN PRISHTHAMATRA E..DEVANAGARI VOWEL SIGN AW
        "\u0951","\u0952","\u0953","\u0954","\u0955","\u0956","\u0957",  # ; Extend # Mn   [7] DEVANAGARI STRESS SIGN UDATTA..DEVANAGARI VOWEL SIGN UUE
        "\u0962","\u0963",  # ; Extend # Mn   [2] DEVANAGARI VOWEL SIGN VOCALIC L..DEVANAGARI VOWEL SIGN VOCALIC LL
        "\u0981",  # ; Extend # Mn       BENGALI SIGN CANDRABINDU
        "\u0982","\u0983",  # ; Extend # Mc   [2] BENGALI SIGN ANUSVARA..BENGALI SIGN VISARGA
        "\u09BC",  # ; Extend # Mn       BENGALI SIGN NUKTA
        "\u09be","\u09bf","\u09c0",  # ; Extend # Mc   [3] BENGALI VOWEL SIGN AA..BENGALI VOWEL SIGN II
        "\u09c1","\u09c2","\u09c3","\u09c4",  # ; Extend # Mn   [4] BENGALI VOWEL SIGN U..BENGALI VOWEL SIGN VOCALIC RR
        "\u09c7","\u09c8",  # ; Extend # Mc   [2] BENGALI VOWEL SIGN E..BENGALI VOWEL SIGN AI
        "\u09cb","\u09cc",  # ; Extend # Mc   [2] BENGALI VOWEL SIGN O..BENGALI VOWEL SIGN AU
        "\u09CD",  # ; Extend # Mn       BENGALI SIGN VIRAMA
        "\u09D7",  # ; Extend # Mc       BENGALI AU LENGTH MARK
        "\u09e2","\u09e3",  # ; Extend # Mn   [2] BENGALI VOWEL SIGN VOCALIC L..BENGALI VOWEL SIGN VOCALIC LL
        "\u0a01","\u0a02",  # ; Extend # Mn   [2] GURMUKHI SIGN ADAK BINDI..GURMUKHI SIGN BINDI
        "\u0A03",  # ; Extend # Mc       GURMUKHI SIGN VISARGA
        "\u0A3C",  # ; Extend # Mn       GURMUKHI SIGN NUKTA
        "\u0a3e","\u0a3f","\u0a40",  # ; Extend # Mc   [3] GURMUKHI VOWEL SIGN AA..GURMUKHI VOWEL SIGN II
        "\u0a41","\u0a42",  # ; Extend # Mn   [2] GURMUKHI VOWEL SIGN U..GURMUKHI VOWEL SIGN UU
        "\u0a47","\u0a48",  # ; Extend # Mn   [2] GURMUKHI VOWEL SIGN EE..GURMUKHI VOWEL SIGN AI
        "\u0a4b","\u0a4c","\u0a4d",  # ; Extend # Mn   [3] GURMUKHI VOWEL SIGN OO..GURMUKHI SIGN VIRAMA
        "\u0A51",  # ; Extend # Mn       GURMUKHI SIGN UDAAT
        "\u0a70","\u0a71",  # ; Extend # Mn   [2] GURMUKHI TIPPI..GURMUKHI ADDAK
        "\u0A75",  # ; Extend # Mn       GURMUKHI SIGN YAKASH
        "\u0a81","\u0a82",  # ; Extend # Mn   [2] GUJARATI SIGN CANDRABINDU..GUJARATI SIGN ANUSVARA
        "\u0A83",  # ; Extend # Mc       GUJARATI SIGN VISARGA
        "\u0ABC",  # ; Extend # Mn       GUJARATI SIGN NUKTA
        "\u0abe","\u0abf","\u0ac0",  # ; Extend # Mc   [3] GUJARATI VOWEL SIGN AA..GUJARATI VOWEL SIGN II
        "\u0ac1","\u0ac2","\u0ac3","\u0ac4","\u0ac5",  # ; Extend # Mn   [5] GUJARATI VOWEL SIGN U..GUJARATI VOWEL SIGN CANDRA E
        "\u0ac7","\u0ac8",  # ; Extend # Mn   [2] GUJARATI VOWEL SIGN E..GUJARATI VOWEL SIGN AI
        "\u0AC9",  # ; Extend # Mc       GUJARATI VOWEL SIGN CANDRA O
        "\u0acb","\u0acc",  # ; Extend # Mc   [2] GUJARATI VOWEL SIGN O..GUJARATI VOWEL SIGN AU
        "\u0ACD",  # ; Extend # Mn       GUJARATI SIGN VIRAMA
        "\u0ae2","\u0ae3",  # ; Extend # Mn   [2] GUJARATI VOWEL SIGN VOCALIC L..GUJARATI VOWEL SIGN VOCALIC LL
        "\u0afa","\u0afb","\u0afc","\u0afd","\u0afe","\u0aff",  # ; Extend # Mn   [6] GUJARATI SIGN SUKUN..GUJARATI SIGN TWO-CIRCLE NUKTA ABOVE
        "\u0B01",  # ; Extend # Mn       ORIYA SIGN CANDRABINDU
        "\u0b02","\u0b03",  # ; Extend # Mc   [2] ORIYA SIGN ANUSVARA..ORIYA SIGN VISARGA
        "\u0B3C",  # ; Extend # Mn       ORIYA SIGN NUKTA
        "\u0B3E",  # ; Extend # Mc       ORIYA VOWEL SIGN AA
        "\u0B3F",  # ; Extend # Mn       ORIYA VOWEL SIGN I
        "\u0B40",  # ; Extend # Mc       ORIYA VOWEL SIGN II
        "\u0b41","\u0b42","\u0b43","\u0b44",  # ; Extend # Mn   [4] ORIYA VOWEL SIGN U..ORIYA VOWEL SIGN VOCALIC RR
        "\u0b47","\u0b48",  # ; Extend # Mc   [2] ORIYA VOWEL SIGN E..ORIYA VOWEL SIGN AI
        "\u0b4b","\u0b4c",  # ; Extend # Mc   [2] ORIYA VOWEL SIGN O..ORIYA VOWEL SIGN AU
        "\u0B4D",  # ; Extend # Mn       ORIYA SIGN VIRAMA
        "\u0B56",  # ; Extend # Mn       ORIYA AI LENGTH MARK
        "\u0B57",  # ; Extend # Mc       ORIYA AU LENGTH MARK
        "\u0b62","\u0b63",  # ; Extend # Mn   [2] ORIYA VOWEL SIGN VOCALIC L..ORIYA VOWEL SIGN VOCALIC LL
        "\u0B82",  # ; Extend # Mn       TAMIL SIGN ANUSVARA
        "\u0bbe","\u0bbf",  # ; Extend # Mc   [2] TAMIL VOWEL SIGN AA..TAMIL VOWEL SIGN I
        "\u0BC0",  # ; Extend # Mn       TAMIL VOWEL SIGN II
        "\u0bc1","\u0bc2",  # ; Extend # Mc   [2] TAMIL VOWEL SIGN U..TAMIL VOWEL SIGN UU
        "\u0bc6","\u0bc7","\u0bc8",  # ; Extend # Mc   [3] TAMIL VOWEL SIGN E..TAMIL VOWEL SIGN AI
        "\u0bca","\u0bcb","\u0bcc",  # ; Extend # Mc   [3] TAMIL VOWEL SIGN O..TAMIL VOWEL SIGN AU
        "\u0BCD",  # ; Extend # Mn       TAMIL SIGN VIRAMA
        "\u0BD7",  # ; Extend # Mc       TAMIL AU LENGTH MARK
        "\u0C00",  # ; Extend # Mn       TELUGU SIGN COMBINING CANDRABINDU ABOVE
        "\u0c01","\u0c02","\u0c03",  # ; Extend # Mc   [3] TELUGU SIGN CANDRABINDU..TELUGU SIGN VISARGA
        "\u0c3e","\u0c3f","\u0c40",  # ; Extend # Mn   [3] TELUGU VOWEL SIGN AA..TELUGU VOWEL SIGN II
        "\u0c41","\u0c42","\u0c43","\u0c44",  # ; Extend # Mc   [4] TELUGU VOWEL SIGN U..TELUGU VOWEL SIGN VOCALIC RR
        "\u0c46","\u0c47","\u0c48",  # ; Extend # Mn   [3] TELUGU VOWEL SIGN E..TELUGU VOWEL SIGN AI
        "\u0c4a","\u0c4b","\u0c4c","\u0c4d",  # ; Extend # Mn   [4] TELUGU VOWEL SIGN O..TELUGU SIGN VIRAMA
        "\u0c55","\u0c56",  # ; Extend # Mn   [2] TELUGU LENGTH MARK..TELUGU AI LENGTH MARK
        "\u0c62","\u0c63",  # ; Extend # Mn   [2] TELUGU VOWEL SIGN VOCALIC L..TELUGU VOWEL SIGN VOCALIC LL
        "\u0C81",  # ; Extend # Mn       KANNADA SIGN CANDRABINDU
        "\u0c82","\u0c83",  # ; Extend # Mc   [2] KANNADA SIGN ANUSVARA..KANNADA SIGN VISARGA
        "\u0CBC",  # ; Extend # Mn       KANNADA SIGN NUKTA
        "\u0CBE",  # ; Extend # Mc       KANNADA VOWEL SIGN AA
        "\u0CBF",  # ; Extend # Mn       KANNADA VOWEL SIGN I
        "\u0cc0","\u0cc1","\u0cc2","\u0cc3","\u0cc4",  # ; Extend # Mc   [5] KANNADA VOWEL SIGN II..KANNADA VOWEL SIGN VOCALIC RR
        "\u0CC6",  # ; Extend # Mn       KANNADA VOWEL SIGN E
        "\u0cc7","\u0cc8",  # ; Extend # Mc   [2] KANNADA VOWEL SIGN EE..KANNADA VOWEL SIGN AI
        "\u0cca","\u0ccb",  # ; Extend # Mc   [2] KANNADA VOWEL SIGN O..KANNADA VOWEL SIGN OO
        "\u0ccc","\u0ccd",  # ; Extend # Mn   [2] KANNADA VOWEL SIGN AU..KANNADA SIGN VIRAMA
        "\u0cd5","\u0cd6",  # ; Extend # Mc   [2] KANNADA LENGTH MARK..KANNADA AI LENGTH MARK
        "\u0ce2","\u0ce3",  # ; Extend # Mn   [2] KANNADA VOWEL SIGN VOCALIC L..KANNADA VOWEL SIGN VOCALIC LL
        "\u0d00","\u0d01",  # ; Extend # Mn   [2] MALAYALAM SIGN COMBINING ANUSVARA ABOVE..MALAYALAM SIGN CANDRABINDU
        "\u0d02","\u0d03",  # ; Extend # Mc   [2] MALAYALAM SIGN ANUSVARA..MALAYALAM SIGN VISARGA
        "\u0d3b","\u0d3c",  # ; Extend # Mn   [2] MALAYALAM SIGN VERTICAL BAR VIRAMA..MALAYALAM SIGN CIRCULAR VIRAMA
        "\u0d3e","\u0d3f","\u0d40",  # ; Extend # Mc   [3] MALAYALAM VOWEL SIGN AA..MALAYALAM VOWEL SIGN II
        "\u0d41","\u0d42","\u0d43","\u0d44",  # ; Extend # Mn   [4] MALAYALAM VOWEL SIGN U..MALAYALAM VOWEL SIGN VOCALIC RR
        "\u0d46","\u0d47","\u0d48",  # ; Extend # Mc   [3] MALAYALAM VOWEL SIGN E..MALAYALAM VOWEL SIGN AI
        "\u0d4a","\u0d4b","\u0d4c",  # ; Extend # Mc   [3] MALAYALAM VOWEL SIGN O..MALAYALAM VOWEL SIGN AU
        "\u0D4D",  # ; Extend # Mn       MALAYALAM SIGN VIRAMA
        "\u0D57",  # ; Extend # Mc       MALAYALAM AU LENGTH MARK
        "\u0d62","\u0d63",  # ; Extend # Mn   [2] MALAYALAM VOWEL SIGN VOCALIC L..MALAYALAM VOWEL SIGN VOCALIC LL
        "\u0d82","\u0d83",  # ; Extend # Mc   [2] SINHALA SIGN ANUSVARAYA..SINHALA SIGN VISARGAYA
        "\u0DCA",  # ; Extend # Mn       SINHALA SIGN AL-LAKUNA
        "\u0dcf","\u0dd0","\u0dd1",  # ; Extend # Mc   [3] SINHALA VOWEL SIGN AELA-PILLA..SINHALA VOWEL SIGN DIGA AEDA-PILLA
        "\u0dd2","\u0dd3","\u0dd4",  # ; Extend # Mn   [3] SINHALA VOWEL SIGN KETTI IS-PILLA..SINHALA VOWEL SIGN KETTI PAA-PILLA
        "\u0DD6",  # ; Extend # Mn       SINHALA VOWEL SIGN DIGA PAA-PILLA
        "\u0dd8","\u0dd9","\u0dda","\u0ddb","\u0ddc","\u0ddd","\u0dde","\u0ddf",  # ; Extend # Mc   [8] SINHALA VOWEL SIGN GAETTA-PILLA..SINHALA VOWEL SIGN GAYANUKITTA
        "\u0df2","\u0df3",  # ; Extend # Mc   [2] SINHALA VOWEL SIGN DIGA GAETTA-PILLA..SINHALA VOWEL SIGN DIGA GAYANUKITTA
        "\u0E31",  # ; Extend # Mn       THAI CHARACTER MAI HAN-AKAT
        "\u0e34","\u0e35","\u0e36","\u0e37","\u0e38","\u0e39","\u0e3a",  # ; Extend # Mn   [7] THAI CHARACTER SARA I..THAI CHARACTER PHINTHU
        "\u0e47","\u0e48","\u0e49","\u0e4a","\u0e4b","\u0e4c","\u0e4d","\u0e4e",  # ; Extend # Mn   [8] THAI CHARACTER MAITAIKHU..THAI CHARACTER YAMAKKAN
        "\u0EB1",  # ; Extend # Mn       LAO VOWEL SIGN MAI KAN
        "\u0eb4","\u0eb5","\u0eb6","\u0eb7","\u0eb8","\u0eb9",  # ; Extend # Mn   [6] LAO VOWEL SIGN I..LAO VOWEL SIGN UU
        "\u0ebb","\u0ebc",  # ; Extend # Mn   [2] LAO VOWEL SIGN MAI KON..LAO SEMIVOWEL SIGN LO
        "\u0ec8","\u0ec9","\u0eca","\u0ecb","\u0ecc","\u0ecd",  # ; Extend # Mn   [6] LAO TONE MAI EK..LAO NIGGAHITA
        "\u0f18","\u0f19",  # ; Extend # Mn   [2] TIBETAN ASTROLOGICAL SIGN -KHYUD PA..TIBETAN ASTROLOGICAL SIGN SDONG TSHUGS
        "\u0F35",  # ; Extend # Mn       TIBETAN MARK NGAS BZUNG NYI ZLA
        "\u0F37",  # ; Extend # Mn       TIBETAN MARK NGAS BZUNG SGOR RTAGS
        "\u0F39",  # ; Extend # Mn       TIBETAN MARK TSA -PHRU
        "\u0f3e","\u0f3f",  # ; Extend # Mc   [2] TIBETAN SIGN YAR TSHES..TIBETAN SIGN MAR TSHES
        "\u0f71","\u0f72","\u0f73","\u0f74","\u0f75","\u0f76","\u0f77","\u0f78","\u0f79","\u0f7a","\u0f7b","\u0f7c","\u0f7d","\u0f7e",  # ; Extend # Mn  [14] TIBETAN VOWEL SIGN AA..TIBETAN SIGN RJES SU NGA RO
        "\u0F7F",  # ; Extend # Mc       TIBETAN SIGN RNAM BCAD
        "\u0f80","\u0f81","\u0f82","\u0f83","\u0f84",  # ; Extend # Mn   [5] TIBETAN VOWEL SIGN REVERSED I..TIBETAN MARK HALANTA
        "\u0f86","\u0f87",  # ; Extend # Mn   [2] TIBETAN SIGN LCI RTAGS..TIBETAN SIGN YANG RTAGS
        "\u0f8d","\u0f8e","\u0f8f","\u0f90","\u0f91","\u0f92","\u0f93","\u0f94","\u0f95","\u0f96","\u0f97",  # ; Extend # Mn  [11] TIBETAN SUBJOINED SIGN LCE TSA CAN..TIBETAN SUBJOINED LETTER JA
        "\u0f99","\u0f9a","\u0f9b","\u0f9c","\u0f9d","\u0f9e","\u0f9f","\u0fa0","\u0fa1","\u0fa2","\u0fa3","\u0fa4","\u0fa5","\u0fa6","\u0fa7","\u0fa8","\u0fa9","\u0faa","\u0fab","\u0fac","\u0fad","\u0fae","\u0faf","\u0fb0","\u0fb1","\u0fb2","\u0fb3","\u0fb4","\u0fb5","\u0fb6","\u0fb7","\u0fb8","\u0fb9","\u0fba","\u0fbb","\u0fbc",  # ; Extend # Mn  [36] TIBETAN SUBJOINED LETTER NYA..TIBETAN SUBJOINED LETTER FIXED-FORM RA
        "\u0FC6",  # ; Extend # Mn       TIBETAN SYMBOL PADMA GDAN
        "\u102b","\u102c",  # ; Extend # Mc   [2] MYANMAR VOWEL SIGN TALL AA..MYANMAR VOWEL SIGN AA
        "\u102d","\u102e","\u102f","\u1030",  # ; Extend # Mn   [4] MYANMAR VOWEL SIGN I..MYANMAR VOWEL SIGN UU
        "\u1031",  # ; Extend # Mc       MYANMAR VOWEL SIGN E
        "\u1032","\u1033","\u1034","\u1035","\u1036","\u1037",  # ; Extend # Mn   [6] MYANMAR VOWEL SIGN AI..MYANMAR SIGN DOT BELOW
        "\u1038",  # ; Extend # Mc       MYANMAR SIGN VISARGA
        "\u1039","\u103a",  # ; Extend # Mn   [2] MYANMAR SIGN VIRAMA..MYANMAR SIGN ASAT
        "\u103b","\u103c",  # ; Extend # Mc   [2] MYANMAR CONSONANT SIGN MEDIAL YA..MYANMAR CONSONANT SIGN MEDIAL RA
        "\u103d","\u103e",  # ; Extend # Mn   [2] MYANMAR CONSONANT SIGN MEDIAL WA..MYANMAR CONSONANT SIGN MEDIAL HA
        "\u1056","\u1057",  # ; Extend # Mc   [2] MYANMAR VOWEL SIGN VOCALIC R..MYANMAR VOWEL SIGN VOCALIC RR
        "\u1058","\u1059",  # ; Extend # Mn   [2] MYANMAR VOWEL SIGN VOCALIC L..MYANMAR VOWEL SIGN VOCALIC LL
        "\u105e","\u105f","\u1060",  # ; Extend # Mn   [3] MYANMAR CONSONANT SIGN MON MEDIAL NA..MYANMAR CONSONANT SIGN MON MEDIAL LA
        "\u1062","\u1063","\u1064",  # ; Extend # Mc   [3] MYANMAR VOWEL SIGN SGAW KAREN EU..MYANMAR TONE MARK SGAW KAREN KE PHO
        "\u1067","\u1068","\u1069","\u106a","\u106b","\u106c","\u106d",  # ; Extend # Mc   [7] MYANMAR VOWEL SIGN WESTERN PWO KAREN EU..MYANMAR SIGN WESTERN PWO KAREN TONE-5
        "\u1071","\u1072","\u1073","\u1074",  # ; Extend # Mn   [4] MYANMAR VOWEL SIGN GEBA KAREN I..MYANMAR VOWEL SIGN KAYAH EE
        "\u1082",  # ; Extend # Mn       MYANMAR CONSONANT SIGN SHAN MEDIAL WA
        "\u1083","\u1084",  # ; Extend # Mc   [2] MYANMAR VOWEL SIGN SHAN AA..MYANMAR VOWEL SIGN SHAN E
        "\u1085","\u1086",  # ; Extend # Mn   [2] MYANMAR VOWEL SIGN SHAN E ABOVE..MYANMAR VOWEL SIGN SHAN FINAL Y
        "\u1087","\u1088","\u1089","\u108a","\u108b","\u108c",  # ; Extend # Mc   [6] MYANMAR SIGN SHAN TONE-2..MYANMAR SIGN SHAN COUNCIL TONE-3
        "\u108D",  # ; Extend # Mn       MYANMAR SIGN SHAN COUNCIL EMPHATIC TONE
        "\u108F",  # ; Extend # Mc       MYANMAR SIGN RUMAI PALAUNG TONE-5
        "\u109a","\u109b","\u109c",  # ; Extend # Mc   [3] MYANMAR SIGN KHAMTI TONE-1..MYANMAR VOWEL SIGN AITON A
        "\u109D",  # ; Extend # Mn       MYANMAR VOWEL SIGN AITON AI
        "\u135d","\u135e","\u135f",  # ; Extend # Mn   [3] ETHIOPIC COMBINING GEMINATION AND VOWEL LENGTH MARK..ETHIOPIC COMBINING GEMINATION MARK
        "\u1712","\u1713","\u1714",  # ; Extend # Mn   [3] TAGALOG VOWEL SIGN I..TAGALOG SIGN VIRAMA
        "\u1732","\u1733","\u1734",  # ; Extend # Mn   [3] HANUNOO VOWEL SIGN I..HANUNOO SIGN PAMUDPOD
        "\u1752","\u1753",  # ; Extend # Mn   [2] BUHID VOWEL SIGN I..BUHID VOWEL SIGN U
        "\u1772","\u1773",  # ; Extend # Mn   [2] TAGBANWA VOWEL SIGN I..TAGBANWA VOWEL SIGN U
        "\u17b4","\u17b5",  # ; Extend # Mn   [2] KHMER VOWEL INHERENT AQ..KHMER VOWEL INHERENT AA
        "\u17B6",  # ; Extend # Mc       KHMER VOWEL SIGN AA
        "\u17b7","\u17b8","\u17b9","\u17ba","\u17bb","\u17bc","\u17bd",  # ; Extend # Mn   [7] KHMER VOWEL SIGN I..KHMER VOWEL SIGN UA
        "\u17be","\u17bf","\u17c0","\u17c1","\u17c2","\u17c3","\u17c4","\u17c5",  # ; Extend # Mc   [8] KHMER VOWEL SIGN OE..KHMER VOWEL SIGN AU
        "\u17C6",  # ; Extend # Mn       KHMER SIGN NIKAHIT
        "\u17c7","\u17c8",  # ; Extend # Mc   [2] KHMER SIGN REAHMUK..KHMER SIGN YUUKALEAPINTU
        "\u17c9","\u17ca","\u17cb","\u17cc","\u17cd","\u17ce","\u17cf","\u17d0","\u17d1","\u17d2","\u17d3",  # ; Extend # Mn  [11] KHMER SIGN MUUSIKATOAN..KHMER SIGN BATHAMASAT
        "\u17DD",  # ; Extend # Mn       KHMER SIGN ATTHACAN
        "\u180b","\u180c","\u180d",  # ; Extend # Mn   [3] MONGOLIAN FREE VARIATION SELECTOR ONE..MONGOLIAN FREE VARIATION SELECTOR THREE
        "\u1885","\u1886",  # ; Extend # Mn   [2] MONGOLIAN LETTER ALI GALI BALUDA..MONGOLIAN LETTER ALI GALI THREE BALUDA
        "\u18A9",  # ; Extend # Mn       MONGOLIAN LETTER ALI GALI DAGALGA
        "\u1920","\u1921","\u1922",  # ; Extend # Mn   [3] LIMBU VOWEL SIGN A..LIMBU VOWEL SIGN U
        "\u1923","\u1924","\u1925","\u1926",  # ; Extend # Mc   [4] LIMBU VOWEL SIGN EE..LIMBU VOWEL SIGN AU
        "\u1927","\u1928",  # ; Extend # Mn   [2] LIMBU VOWEL SIGN E..LIMBU VOWEL SIGN O
        "\u1929","\u192a","\u192b",  # ; Extend # Mc   [3] LIMBU SUBJOINED LETTER YA..LIMBU SUBJOINED LETTER WA
        "\u1930","\u1931",  # ; Extend # Mc   [2] LIMBU SMALL LETTER KA..LIMBU SMALL LETTER NGA
        "\u1932",  # ; Extend # Mn       LIMBU SMALL LETTER ANUSVARA
        "\u1933","\u1934","\u1935","\u1936","\u1937","\u1938",  # ; Extend # Mc   [6] LIMBU SMALL LETTER TA..LIMBU SMALL LETTER LA
        "\u1939","\u193a","\u193b",  # ; Extend # Mn   [3] LIMBU SIGN MUKPHRENG..LIMBU SIGN SA-I
        "\u1a17","\u1a18",  # ; Extend # Mn   [2] BUGINESE VOWEL SIGN I..BUGINESE VOWEL SIGN U
        "\u1a19","\u1a1a",  # ; Extend # Mc   [2] BUGINESE VOWEL SIGN E..BUGINESE VOWEL SIGN O
        "\u1A1B",  # ; Extend # Mn       BUGINESE VOWEL SIGN AE
        "\u1A55",  # ; Extend # Mc       TAI THAM CONSONANT SIGN MEDIAL RA
        "\u1A56",  # ; Extend # Mn       TAI THAM CONSONANT SIGN MEDIAL LA
        "\u1A57",  # ; Extend # Mc       TAI THAM CONSONANT SIGN LA TANG LAI
        "\u1a58","\u1a59","\u1a5a","\u1a5b","\u1a5c","\u1a5d","\u1a5e",  # ; Extend # Mn   [7] TAI THAM SIGN MAI KANG LAI..TAI THAM CONSONANT SIGN SA
        "\u1A60",  # ; Extend # Mn       TAI THAM SIGN SAKOT
        "\u1A61",  # ; Extend # Mc       TAI THAM VOWEL SIGN A
        "\u1A62",  # ; Extend # Mn       TAI THAM VOWEL SIGN MAI SAT
        "\u1a63","\u1a64",  # ; Extend # Mc   [2] TAI THAM VOWEL SIGN AA..TAI THAM VOWEL SIGN TALL AA
        "\u1a65","\u1a66","\u1a67","\u1a68","\u1a69","\u1a6a","\u1a6b","\u1a6c",  # ; Extend # Mn   [8] TAI THAM VOWEL SIGN I..TAI THAM VOWEL SIGN OA BELOW
        "\u1a6d","\u1a6e","\u1a6f","\u1a70","\u1a71","\u1a72",  # ; Extend # Mc   [6] TAI THAM VOWEL SIGN OY..TAI THAM VOWEL SIGN THAM AI
        "\u1a73","\u1a74","\u1a75","\u1a76","\u1a77","\u1a78","\u1a79","\u1a7a","\u1a7b","\u1a7c",  # ; Extend # Mn  [10] TAI THAM VOWEL SIGN OA ABOVE..TAI THAM SIGN KHUEN-LUE KARAN
        "\u1A7F",  # ; Extend # Mn       TAI THAM COMBINING CRYPTOGRAMMIC DOT
        "\u1ab0","\u1ab1","\u1ab2","\u1ab3","\u1ab4","\u1ab5","\u1ab6","\u1ab7","\u1ab8","\u1ab9","\u1aba","\u1abb","\u1abc","\u1abd",  # ; Extend # Mn  [14] COMBINING DOUBLED CIRCUMFLEX ACCENT..COMBINING PARENTHESES BELOW
        "\u1ABE",  # ; Extend # Me       COMBINING PARENTHESES OVERLAY
        "\u1b00","\u1b01","\u1b02","\u1b03",  # ; Extend # Mn   [4] BALINESE SIGN ULU RICEM..BALINESE SIGN SURANG
        "\u1B04",  # ; Extend # Mc       BALINESE SIGN BISAH
        "\u1B34",  # ; Extend # Mn       BALINESE SIGN REREKAN
        "\u1B35",  # ; Extend # Mc       BALINESE VOWEL SIGN TEDUNG
        "\u1b36","\u1b37","\u1b38","\u1b39","\u1b3a",  # ; Extend # Mn   [5] BALINESE VOWEL SIGN ULU..BALINESE VOWEL SIGN RA REPA
        "\u1B3B",  # ; Extend # Mc       BALINESE VOWEL SIGN RA REPA TEDUNG
        "\u1B3C",  # ; Extend # Mn       BALINESE VOWEL SIGN LA LENGA
        "\u1b3d","\u1b3e","\u1b3f","\u1b40","\u1b41",  # ; Extend # Mc   [5] BALINESE VOWEL SIGN LA LENGA TEDUNG..BALINESE VOWEL SIGN TALING REPA TEDUNG
        "\u1B42",  # ; Extend # Mn       BALINESE VOWEL SIGN PEPET
        "\u1b43","\u1b44",  # ; Extend # Mc   [2] BALINESE VOWEL SIGN PEPET TEDUNG..BALINESE ADEG ADEG
        "\u1b6b","\u1b6c","\u1b6d","\u1b6e","\u1b6f","\u1b70","\u1b71","\u1b72","\u1b73",  # ; Extend # Mn   [9] BALINESE MUSICAL SYMBOL COMBINING TEGEH..BALINESE MUSICAL SYMBOL COMBINING GONG
        "\u1b80","\u1b81",  # ; Extend # Mn   [2] SUNDANESE SIGN PANYECEK..SUNDANESE SIGN PANGLAYAR
        "\u1B82",  # ; Extend # Mc       SUNDANESE SIGN PANGWISAD
        "\u1BA1",  # ; Extend # Mc       SUNDANESE CONSONANT SIGN PAMINGKAL
        "\u1ba2","\u1ba3","\u1ba4","\u1ba5",  # ; Extend # Mn   [4] SUNDANESE CONSONANT SIGN PANYAKRA..SUNDANESE VOWEL SIGN PANYUKU
        "\u1ba6","\u1ba7",  # ; Extend # Mc   [2] SUNDANESE VOWEL SIGN PANAELAENG..SUNDANESE VOWEL SIGN PANOLONG
        "\u1ba8","\u1ba9",  # ; Extend # Mn   [2] SUNDANESE VOWEL SIGN PAMEPET..SUNDANESE VOWEL SIGN PANEULEUNG
        "\u1BAA",  # ; Extend # Mc       SUNDANESE SIGN PAMAAEH
        "\u1bab","\u1bac","\u1bad",  # ; Extend # Mn   [3] SUNDANESE SIGN VIRAMA..SUNDANESE CONSONANT SIGN PASANGAN WA
        "\u1BE6",  # ; Extend # Mn       BATAK SIGN TOMPI
        "\u1BE7",  # ; Extend # Mc       BATAK VOWEL SIGN E
        "\u1be8","\u1be9",  # ; Extend # Mn   [2] BATAK VOWEL SIGN PAKPAK E..BATAK VOWEL SIGN EE
        "\u1bea","\u1beb","\u1bec",  # ; Extend # Mc   [3] BATAK VOWEL SIGN I..BATAK VOWEL SIGN O
        "\u1BED",  # ; Extend # Mn       BATAK VOWEL SIGN KARO O
        "\u1BEE",  # ; Extend # Mc       BATAK VOWEL SIGN U
        "\u1bef","\u1bf0","\u1bf1",  # ; Extend # Mn   [3] BATAK VOWEL SIGN U FOR SIMALUNGUN SA..BATAK CONSONANT SIGN H
        "\u1bf2","\u1bf3",  # ; Extend # Mc   [2] BATAK PANGOLAT..BATAK PANONGONAN
        "\u1c24","\u1c25","\u1c26","\u1c27","\u1c28","\u1c29","\u1c2a","\u1c2b",  # ; Extend # Mc   [8] LEPCHA SUBJOINED LETTER YA..LEPCHA VOWEL SIGN UU
        "\u1c2c","\u1c2d","\u1c2e","\u1c2f","\u1c30","\u1c31","\u1c32","\u1c33",  # ; Extend # Mn   [8] LEPCHA VOWEL SIGN E..LEPCHA CONSONANT SIGN T
        "\u1c34","\u1c35",  # ; Extend # Mc   [2] LEPCHA CONSONANT SIGN NYIN-DO..LEPCHA CONSONANT SIGN KANG
        "\u1c36","\u1c37",  # ; Extend # Mn   [2] LEPCHA SIGN RAN..LEPCHA SIGN NUKTA
        "\u1cd0","\u1cd1","\u1cd2",  # ; Extend # Mn   [3] VEDIC TONE KARSHANA..VEDIC TONE PRENKHA
        "\u1cd4","\u1cd5","\u1cd6","\u1cd7","\u1cd8","\u1cd9","\u1cda","\u1cdb","\u1cdc","\u1cdd","\u1cde","\u1cdf","\u1ce0",  # ; Extend # Mn  [13] VEDIC SIGN YAJURVEDIC MIDLINE SVARITA..VEDIC TONE RIGVEDIC KASHMIRI INDEPENDENT SVARITA
        "\u1CE1",  # ; Extend # Mc       VEDIC TONE ATHARVAVEDIC INDEPENDENT SVARITA
        "\u1ce2","\u1ce3","\u1ce4","\u1ce5","\u1ce6","\u1ce7","\u1ce8",  # ; Extend # Mn   [7] VEDIC SIGN VISARGA SVARITA..VEDIC SIGN VISARGA ANUDATTA WITH TAIL
        "\u1CED",  # ; Extend # Mn       VEDIC SIGN TIRYAK
        "\u1cf2","\u1cf3",  # ; Extend # Mc   [2] VEDIC SIGN ARDHAVISARGA..VEDIC SIGN ROTATED ARDHAVISARGA
        "\u1CF4",  # ; Extend # Mn       VEDIC TONE CANDRA ABOVE
        "\u1CF7",  # ; Extend # Mc       VEDIC SIGN ATIKRAMA
        "\u1cf8","\u1cf9",  # ; Extend # Mn   [2] VEDIC TONE RING ABOVE..VEDIC TONE DOUBLE RING ABOVE
        "\u1dc0","\u1dc1","\u1dc2","\u1dc3","\u1dc4","\u1dc5","\u1dc6","\u1dc7","\u1dc8","\u1dc9","\u1dca","\u1dcb","\u1dcc","\u1dcd","\u1dce","\u1dcf","\u1dd0","\u1dd1","\u1dd2","\u1dd3","\u1dd4","\u1dd5","\u1dd6","\u1dd7","\u1dd8","\u1dd9","\u1dda","\u1ddb","\u1ddc","\u1ddd","\u1dde","\u1ddf","\u1de0","\u1de1","\u1de2","\u1de3","\u1de4","\u1de5","\u1de6","\u1de7","\u1de8","\u1de9","\u1dea","\u1deb","\u1dec","\u1ded","\u1dee","\u1def","\u1df0","\u1df1","\u1df2","\u1df3","\u1df4","\u1df5","\u1df6","\u1df7","\u1df8","\u1df9",  # ; Extend # Mn  [58] COMBINING DOTTED GRAVE ACCENT..COMBINING WIDE INVERTED BRIDGE BELOW
        "\u1dfb","\u1dfc","\u1dfd","\u1dfe","\u1dff",  # ; Extend # Mn   [5] COMBINING DELETION MARK..COMBINING RIGHT ARROWHEAD AND DOWN ARROWHEAD BELOW
        "\u200C",  # ; Extend # Cf       ZERO WIDTH NON-JOINER
        "\u20d0","\u20d1","\u20d2","\u20d3","\u20d4","\u20d5","\u20d6","\u20d7","\u20d8","\u20d9","\u20da","\u20db","\u20dc",  # ; Extend # Mn  [13] COMBINING LEFT HARPOON ABOVE..COMBINING FOUR DOTS ABOVE
        "\u20dd","\u20de","\u20df","\u20e0",  # ; Extend # Me   [4] COMBINING ENCLOSING CIRCLE..COMBINING ENCLOSING CIRCLE BACKSLASH
        "\u20E1",  # ; Extend # Mn       COMBINING LEFT RIGHT ARROW ABOVE
        "\u20e2","\u20e3","\u20e4",  # ; Extend # Me   [3] COMBINING ENCLOSING SCREEN..COMBINING ENCLOSING UPWARD POINTING TRIANGLE
        "\u20e5","\u20e6","\u20e7","\u20e8","\u20e9","\u20ea","\u20eb","\u20ec","\u20ed","\u20ee","\u20ef","\u20f0",  # ; Extend # Mn  [12] COMBINING REVERSE SOLIDUS OVERLAY..COMBINING ASTERISK ABOVE
        "\u2cef","\u2cf0","\u2cf1",  # ; Extend # Mn   [3] COPTIC COMBINING NI ABOVE..COPTIC COMBINING SPIRITUS LENIS
        "\u2D7F",  # ; Extend # Mn       TIFINAGH CONSONANT JOINER
        "\u2de0","\u2de1","\u2de2","\u2de3","\u2de4","\u2de5","\u2de6","\u2de7","\u2de8","\u2de9","\u2dea","\u2deb","\u2dec","\u2ded","\u2dee","\u2def","\u2df0","\u2df1","\u2df2","\u2df3","\u2df4","\u2df5","\u2df6","\u2df7","\u2df8","\u2df9","\u2dfa","\u2dfb","\u2dfc","\u2dfd","\u2dfe","\u2dff",  # ; Extend # Mn  [32] COMBINING CYRILLIC LETTER BE..COMBINING CYRILLIC LETTER IOTIFIED BIG YUS
        "\u302a","\u302b","\u302c","\u302d",  # ; Extend # Mn   [4] IDEOGRAPHIC LEVEL TONE MARK..IDEOGRAPHIC ENTERING TONE MARK
        "\u302e","\u302f",  # ; Extend # Mc   [2] HANGUL SINGLE DOT TONE MARK..HANGUL DOUBLE DOT TONE MARK
        "\u3099","\u309a",  # ; Extend # Mn   [2] COMBINING KATAKANA-HIRAGANA VOICED SOUND MARK..COMBINING KATAKANA-HIRAGANA SEMI-VOICED SOUND MARK
        "\uA66F",  # ; Extend # Mn       COMBINING CYRILLIC VZMET
        "\ua670","\ua671","\ua672",  # ; Extend # Me   [3] COMBINING CYRILLIC TEN MILLIONS SIGN..COMBINING CYRILLIC THOUSAND MILLIONS SIGN
        "\ua674","\ua675","\ua676","\ua677","\ua678","\ua679","\ua67a","\ua67b","\ua67c","\ua67d",  # ; Extend # Mn  [10] COMBINING CYRILLIC LETTER UKRAINIAN IE..COMBINING CYRILLIC PAYEROK
        "\ua69e","\ua69f",  # ; Extend # Mn   [2] COMBINING CYRILLIC LETTER EF..COMBINING CYRILLIC LETTER IOTIFIED E
        "\ua6f0","\ua6f1",  # ; Extend # Mn   [2] BAMUM COMBINING MARK KOQNDON..BAMUM COMBINING MARK TUKWENTIS
        "\uA802",  # ; Extend # Mn       SYLOTI NAGRI SIGN DVISVARA
        "\uA806",  # ; Extend # Mn       SYLOTI NAGRI SIGN HASANTA
        "\uA80B",  # ; Extend # Mn       SYLOTI NAGRI SIGN ANUSVARA
        "\ua823","\ua824",  # ; Extend # Mc   [2] SYLOTI NAGRI VOWEL SIGN A..SYLOTI NAGRI VOWEL SIGN I
        "\ua825","\ua826",  # ; Extend # Mn   [2] SYLOTI NAGRI VOWEL SIGN U..SYLOTI NAGRI VOWEL SIGN E
        "\uA827",  # ; Extend # Mc       SYLOTI NAGRI VOWEL SIGN OO
        "\ua880","\ua881",  # ; Extend # Mc   [2] SAURASHTRA SIGN ANUSVARA..SAURASHTRA SIGN VISARGA
        "\ua8b4","\ua8b5","\ua8b6","\ua8b7","\ua8b8","\ua8b9","\ua8ba","\ua8bb","\ua8bc","\ua8bd","\ua8be","\ua8bf","\ua8c0","\ua8c1","\ua8c2","\ua8c3",  # ; Extend # Mc  [16] SAURASHTRA CONSONANT SIGN HAARU..SAURASHTRA VOWEL SIGN AU
        "\ua8c4","\ua8c5",  # ; Extend # Mn   [2] SAURASHTRA SIGN VIRAMA..SAURASHTRA SIGN CANDRABINDU
        "\ua8e0","\ua8e1","\ua8e2","\ua8e3","\ua8e4","\ua8e5","\ua8e6","\ua8e7","\ua8e8","\ua8e9","\ua8ea","\ua8eb","\ua8ec","\ua8ed","\ua8ee","\ua8ef","\ua8f0","\ua8f1",  # ; Extend # Mn  [18] COMBINING DEVANAGARI DIGIT ZERO..COMBINING DEVANAGARI SIGN AVAGRAHA
        "\ua926","\ua927","\ua928","\ua929","\ua92a","\ua92b","\ua92c","\ua92d",  # ; Extend # Mn   [8] KAYAH LI VOWEL UE..KAYAH LI TONE CALYA PLOPHU
        "\ua947","\ua948","\ua949","\ua94a","\ua94b","\ua94c","\ua94d","\ua94e","\ua94f","\ua950","\ua951",  # ; Extend # Mn  [11] REJANG VOWEL SIGN I..REJANG CONSONANT SIGN R
        "\ua952","\ua953",  # ; Extend # Mc   [2] REJANG CONSONANT SIGN H..REJANG VIRAMA
        "\ua980","\ua981","\ua982",  # ; Extend # Mn   [3] JAVANESE SIGN PANYANGGA..JAVANESE SIGN LAYAR
        "\uA983",  # ; Extend # Mc       JAVANESE SIGN WIGNYAN
        "\uA9B3",  # ; Extend # Mn       JAVANESE SIGN CECAK TELU
        "\ua9b4","\ua9b5",  # ; Extend # Mc   [2] JAVANESE VOWEL SIGN TARUNG..JAVANESE VOWEL SIGN TOLONG
        "\ua9b6","\ua9b7","\ua9b8","\ua9b9",  # ; Extend # Mn   [4] JAVANESE VOWEL SIGN WULU..JAVANESE VOWEL SIGN SUKU MENDUT
        "\ua9ba","\ua9bb",  # ; Extend # Mc   [2] JAVANESE VOWEL SIGN TALING..JAVANESE VOWEL SIGN DIRGA MURE
        "\uA9BC",  # ; Extend # Mn       JAVANESE VOWEL SIGN PEPET
        "\ua9bd","\ua9be","\ua9bf","\ua9c0",  # ; Extend # Mc   [4] JAVANESE CONSONANT SIGN KERET..JAVANESE PANGKON
        "\uA9E5",  # ; Extend # Mn       MYANMAR SIGN SHAN SAW
        "\uaa29","\uaa2a","\uaa2b","\uaa2c","\uaa2d","\uaa2e",  # ; Extend # Mn   [6] CHAM VOWEL SIGN AA..CHAM VOWEL SIGN OE
        "\uaa2f","\uaa30",  # ; Extend # Mc   [2] CHAM VOWEL SIGN O..CHAM VOWEL SIGN AI
        "\uaa31","\uaa32",  # ; Extend # Mn   [2] CHAM VOWEL SIGN AU..CHAM VOWEL SIGN UE
        "\uaa33","\uaa34",  # ; Extend # Mc   [2] CHAM CONSONANT SIGN YA..CHAM CONSONANT SIGN RA
        "\uaa35","\uaa36",  # ; Extend # Mn   [2] CHAM CONSONANT SIGN LA..CHAM CONSONANT SIGN WA
        "\uAA43",  # ; Extend # Mn       CHAM CONSONANT SIGN FINAL NG
        "\uAA4C",  # ; Extend # Mn       CHAM CONSONANT SIGN FINAL M
        "\uAA4D",  # ; Extend # Mc       CHAM CONSONANT SIGN FINAL H
        "\uAA7B",  # ; Extend # Mc       MYANMAR SIGN PAO KAREN TONE
        "\uAA7C",  # ; Extend # Mn       MYANMAR SIGN TAI LAING TONE-2
        "\uAA7D",  # ; Extend # Mc       MYANMAR SIGN TAI LAING TONE-5
        "\uAAB0",  # ; Extend # Mn       TAI VIET MAI KANG
        "\uaab2","\uaab3","\uaab4",  # ; Extend # Mn   [3] TAI VIET VOWEL I..TAI VIET VOWEL U
        "\uaab7","\uaab8",  # ; Extend # Mn   [2] TAI VIET MAI KHIT..TAI VIET VOWEL IA
        "\uaabe","\uaabf",  # ; Extend # Mn   [2] TAI VIET VOWEL AM..TAI VIET TONE MAI EK
        "\uAAC1",  # ; Extend # Mn       TAI VIET TONE MAI THO
        "\uAAEB",  # ; Extend # Mc       MEETEI MAYEK VOWEL SIGN II
        "\uaaec","\uaaed",  # ; Extend # Mn   [2] MEETEI MAYEK VOWEL SIGN UU..MEETEI MAYEK VOWEL SIGN AAI
        "\uaaee","\uaaef",  # ; Extend # Mc   [2] MEETEI MAYEK VOWEL SIGN AU..MEETEI MAYEK VOWEL SIGN AAU
        "\uAAF5",  # ; Extend # Mc       MEETEI MAYEK VOWEL SIGN VISARGA
        "\uAAF6",  # ; Extend # Mn       MEETEI MAYEK VIRAMA
        "\uabe3","\uabe4",  # ; Extend # Mc   [2] MEETEI MAYEK VOWEL SIGN ONAP..MEETEI MAYEK VOWEL SIGN INAP
        "\uABE5",  # ; Extend # Mn       MEETEI MAYEK VOWEL SIGN ANAP
        "\uabe6","\uabe7",  # ; Extend # Mc   [2] MEETEI MAYEK VOWEL SIGN YENAP..MEETEI MAYEK VOWEL SIGN SOUNAP
        "\uABE8",  # ; Extend # Mn       MEETEI MAYEK VOWEL SIGN UNAP
        "\uabe9","\uabea",  # ; Extend # Mc   [2] MEETEI MAYEK VOWEL SIGN CHEINAP..MEETEI MAYEK VOWEL SIGN NUNG
        "\uABEC",  # ; Extend # Mc       MEETEI MAYEK LUM IYEK
        "\uABED",  # ; Extend # Mn       MEETEI MAYEK APUN IYEK
        "\uFB1E",  # ; Extend # Mn       HEBREW POINT JUDEO-SPANISH VARIKA
        "\ufe00","\ufe01","\ufe02","\ufe03","\ufe04","\ufe05","\ufe06","\ufe07","\ufe08","\ufe09","\ufe0a","\ufe0b","\ufe0c","\ufe0d","\ufe0e","\ufe0f",  # ; Extend # Mn  [16] VARIATION SELECTOR-1..VARIATION SELECTOR-16
        "\ufe20","\ufe21","\ufe22","\ufe23","\ufe24","\ufe25","\ufe26","\ufe27","\ufe28","\ufe29","\ufe2a","\ufe2b","\ufe2c","\ufe2d","\ufe2e","\ufe2f",  # ; Extend # Mn  [16] COMBINING LIGATURE LEFT HALF..COMBINING CYRILLIC TITLO RIGHT HALF
        "\uff9e","\uff9f",  # ; Extend # Lm   [2] HALFWIDTH KATAKANA VOICED SOUND MARK..HALFWIDTH KATAKANA SEMI-VOICED SOUND MARK
        "\u101FD",  # ; Extend # Mn       PHAISTOS DISC SIGN COMBINING OBLIQUE STROKE
        "\u102E0",  # ; Extend # Mn       COPTIC EPACT THOUSANDS MARK
        "\u10376","\u10377","\u10378","\u10379","\u1037a",  # ; Extend # Mn   [5] COMBINING OLD PERMIC LETTER AN..COMBINING OLD PERMIC LETTER SII
        "\u10a01","\u10a02","\u10a03",  # ; Extend # Mn   [3] KHAROSHTHI VOWEL SIGN I..KHAROSHTHI VOWEL SIGN VOCALIC R
        "\u10a05","\u10a06",  # ; Extend # Mn   [2] KHAROSHTHI VOWEL SIGN E..KHAROSHTHI VOWEL SIGN O
        "\u10a0c","\u10a0d","\u10a0e","\u10a0f",  # ; Extend # Mn   [4] KHAROSHTHI VOWEL LENGTH MARK..KHAROSHTHI SIGN VISARGA
        "\u10a38","\u10a39","\u10a3a",  # ; Extend # Mn   [3] KHAROSHTHI SIGN BAR ABOVE..KHAROSHTHI SIGN DOT BELOW
        "\u10A3F",  # ; Extend # Mn       KHAROSHTHI VIRAMA
        "\u10ae5","\u10ae6",  # ; Extend # Mn   [2] MANICHAEAN ABBREVIATION MARK ABOVE..MANICHAEAN ABBREVIATION MARK BELOW
        "\u11000",  # ; Extend # Mc       BRAHMI SIGN CANDRABINDU
        "\u11001",  # ; Extend # Mn       BRAHMI SIGN ANUSVARA
        "\u11002",  # ; Extend # Mc       BRAHMI SIGN VISARGA
        "\u11038","\u11039","\u1103a","\u1103b","\u1103c","\u1103d","\u1103e","\u1103f","\u11040","\u11041","\u11042","\u11043","\u11044","\u11045","\u11046",  # ; Extend # Mn  [15] BRAHMI VOWEL SIGN AA..BRAHMI VIRAMA
        "\u1107f","\u11080","\u11081",  # ; Extend # Mn   [3] BRAHMI NUMBER JOINER..KAITHI SIGN ANUSVARA
        "\u11082",  # ; Extend # Mc       KAITHI SIGN VISARGA
        "\u110b0","\u110b1","\u110b2",  # ; Extend # Mc   [3] KAITHI VOWEL SIGN AA..KAITHI VOWEL SIGN II
        "\u110b3","\u110b4","\u110b5","\u110b6",  # ; Extend # Mn   [4] KAITHI VOWEL SIGN U..KAITHI VOWEL SIGN AI
        "\u110b7","\u110b8",  # ; Extend # Mc   [2] KAITHI VOWEL SIGN O..KAITHI VOWEL SIGN AU
        "\u110b9","\u110ba",  # ; Extend # Mn   [2] KAITHI SIGN VIRAMA..KAITHI SIGN NUKTA
        "\u11100","\u11101","\u11102",  # ; Extend # Mn   [3] CHAKMA SIGN CANDRABINDU..CHAKMA SIGN VISARGA
        "\u11127","\u11128","\u11129","\u1112a","\u1112b",  # ; Extend # Mn   [5] CHAKMA VOWEL SIGN A..CHAKMA VOWEL SIGN UU
        "\u1112C",  # ; Extend # Mc       CHAKMA VOWEL SIGN E
        "\u1112d","\u1112e","\u1112f","\u11130","\u11131","\u11132","\u11133","\u11134",  # ; Extend # Mn   [8] CHAKMA VOWEL SIGN AI..CHAKMA MAAYYAA
        "\u11173",  # ; Extend # Mn       MAHAJANI SIGN NUKTA
        "\u11180","\u11181",  # ; Extend # Mn   [2] SHARADA SIGN CANDRABINDU..SHARADA SIGN ANUSVARA
        "\u11182",  # ; Extend # Mc       SHARADA SIGN VISARGA
        "\u111b3","\u111b4","\u111b5",  # ; Extend # Mc   [3] SHARADA VOWEL SIGN AA..SHARADA VOWEL SIGN II
        "\u111b6","\u111b7","\u111b8","\u111b9","\u111ba","\u111bb","\u111bc","\u111bd","\u111be",  # ; Extend # Mn   [9] SHARADA VOWEL SIGN U..SHARADA VOWEL SIGN O
        "\u111bf","\u111c0",  # ; Extend # Mc   [2] SHARADA VOWEL SIGN AU..SHARADA SIGN VIRAMA
        "\u111ca","\u111cb","\u111cc",  # ; Extend # Mn   [3] SHARADA SIGN NUKTA..SHARADA EXTRA SHORT VOWEL MARK
        "\u1122c","\u1122d","\u1122e",  # ; Extend # Mc   [3] KHOJKI VOWEL SIGN AA..KHOJKI VOWEL SIGN II
        "\u1122f","\u11230","\u11231",  # ; Extend # Mn   [3] KHOJKI VOWEL SIGN U..KHOJKI VOWEL SIGN AI
        "\u11232","\u11233",  # ; Extend # Mc   [2] KHOJKI VOWEL SIGN O..KHOJKI VOWEL SIGN AU
        "\u11234",  # ; Extend # Mn       KHOJKI SIGN ANUSVARA
        "\u11235",  # ; Extend # Mc       KHOJKI SIGN VIRAMA
        "\u11236","\u11237",  # ; Extend # Mn   [2] KHOJKI SIGN NUKTA..KHOJKI SIGN SHADDA
        "\u1123E",  # ; Extend # Mn       KHOJKI SIGN SUKUN
        "\u112DF",  # ; Extend # Mn       KHUDAWADI SIGN ANUSVARA
        "\u112e0","\u112e1","\u112e2",  # ; Extend # Mc   [3] KHUDAWADI VOWEL SIGN AA..KHUDAWADI VOWEL SIGN II
        "\u112e3","\u112e4","\u112e5","\u112e6","\u112e7","\u112e8","\u112e9","\u112ea",  # ; Extend # Mn   [8] KHUDAWADI VOWEL SIGN U..KHUDAWADI SIGN VIRAMA
        "\u11300","\u11301",  # ; Extend # Mn   [2] GRANTHA SIGN COMBINING ANUSVARA ABOVE..GRANTHA SIGN CANDRABINDU
        "\u11302","\u11303",  # ; Extend # Mc   [2] GRANTHA SIGN ANUSVARA..GRANTHA SIGN VISARGA
        "\u1133C",  # ; Extend # Mn       GRANTHA SIGN NUKTA
        "\u1133e","\u1133f",  # ; Extend # Mc   [2] GRANTHA VOWEL SIGN AA..GRANTHA VOWEL SIGN I
        "\u11340",  # ; Extend # Mn       GRANTHA VOWEL SIGN II
        "\u11341","\u11342","\u11343","\u11344",  # ; Extend # Mc   [4] GRANTHA VOWEL SIGN U..GRANTHA VOWEL SIGN VOCALIC RR
        "\u11347","\u11348",  # ; Extend # Mc   [2] GRANTHA VOWEL SIGN EE..GRANTHA VOWEL SIGN AI
        "\u1134b","\u1134c","\u1134d",  # ; Extend # Mc   [3] GRANTHA VOWEL SIGN OO..GRANTHA SIGN VIRAMA
        "\u11357",  # ; Extend # Mc       GRANTHA AU LENGTH MARK
        "\u11362","\u11363",  # ; Extend # Mc   [2] GRANTHA VOWEL SIGN VOCALIC L..GRANTHA VOWEL SIGN VOCALIC LL
        "\u11366","\u11367","\u11368","\u11369","\u1136a","\u1136b","\u1136c",  # ; Extend # Mn   [7] COMBINING GRANTHA DIGIT ZERO..COMBINING GRANTHA DIGIT SIX
        "\u11370","\u11371","\u11372","\u11373","\u11374",  # ; Extend # Mn   [5] COMBINING GRANTHA LETTER A..COMBINING GRANTHA LETTER PA
        "\u11435","\u11436","\u11437",  # ; Extend # Mc   [3] NEWA VOWEL SIGN AA..NEWA VOWEL SIGN II
        "\u11438","\u11439","\u1143a","\u1143b","\u1143c","\u1143d","\u1143e","\u1143f",  # ; Extend # Mn   [8] NEWA VOWEL SIGN U..NEWA VOWEL SIGN AI
        "\u11440","\u11441",  # ; Extend # Mc   [2] NEWA VOWEL SIGN O..NEWA VOWEL SIGN AU
        "\u11442","\u11443","\u11444",  # ; Extend # Mn   [3] NEWA SIGN VIRAMA..NEWA SIGN ANUSVARA
        "\u11445",  # ; Extend # Mc       NEWA SIGN VISARGA
        "\u11446",  # ; Extend # Mn       NEWA SIGN NUKTA
        "\u114b0","\u114b1","\u114b2",  # ; Extend # Mc   [3] TIRHUTA VOWEL SIGN AA..TIRHUTA VOWEL SIGN II
        "\u114b3","\u114b4","\u114b5","\u114b6","\u114b7","\u114b8",  # ; Extend # Mn   [6] TIRHUTA VOWEL SIGN U..TIRHUTA VOWEL SIGN VOCALIC LL
        "\u114B9",  # ; Extend # Mc       TIRHUTA VOWEL SIGN E
        "\u114BA",  # ; Extend # Mn       TIRHUTA VOWEL SIGN SHORT E
        "\u114bb","\u114bc","\u114bd","\u114be",  # ; Extend # Mc   [4] TIRHUTA VOWEL SIGN AI..TIRHUTA VOWEL SIGN AU
        "\u114bf","\u114c0",  # ; Extend # Mn   [2] TIRHUTA SIGN CANDRABINDU..TIRHUTA SIGN ANUSVARA
        "\u114C1",  # ; Extend # Mc       TIRHUTA SIGN VISARGA
        "\u114c2","\u114c3",  # ; Extend # Mn   [2] TIRHUTA SIGN VIRAMA..TIRHUTA SIGN NUKTA
        "\u115af","\u115b0","\u115b1",  # ; Extend # Mc   [3] SIDDHAM VOWEL SIGN AA..SIDDHAM VOWEL SIGN II
        "\u115b2","\u115b3","\u115b4","\u115b5",  # ; Extend # Mn   [4] SIDDHAM VOWEL SIGN U..SIDDHAM VOWEL SIGN VOCALIC RR
        "\u115b8","\u115b9","\u115ba","\u115bb",  # ; Extend # Mc   [4] SIDDHAM VOWEL SIGN E..SIDDHAM VOWEL SIGN AU
        "\u115bc","\u115bd",  # ; Extend # Mn   [2] SIDDHAM SIGN CANDRABINDU..SIDDHAM SIGN ANUSVARA
        "\u115BE",  # ; Extend # Mc       SIDDHAM SIGN VISARGA
        "\u115bf","\u115c0",  # ; Extend # Mn   [2] SIDDHAM SIGN VIRAMA..SIDDHAM SIGN NUKTA
        "\u115dc","\u115dd",  # ; Extend # Mn   [2] SIDDHAM VOWEL SIGN ALTERNATE U..SIDDHAM VOWEL SIGN ALTERNATE UU
        "\u11630","\u11631","\u11632",  # ; Extend # Mc   [3] MODI VOWEL SIGN AA..MODI VOWEL SIGN II
        "\u11633","\u11634","\u11635","\u11636","\u11637","\u11638","\u11639","\u1163a",  # ; Extend # Mn   [8] MODI VOWEL SIGN U..MODI VOWEL SIGN AI
        "\u1163b","\u1163c",  # ; Extend # Mc   [2] MODI VOWEL SIGN O..MODI VOWEL SIGN AU
        "\u1163D",  # ; Extend # Mn       MODI SIGN ANUSVARA
        "\u1163E",  # ; Extend # Mc       MODI SIGN VISARGA
        "\u1163f","\u11640",  # ; Extend # Mn   [2] MODI SIGN VIRAMA..MODI SIGN ARDHACANDRA
        "\u116AB",  # ; Extend # Mn       TAKRI SIGN ANUSVARA
        "\u116AC",  # ; Extend # Mc       TAKRI SIGN VISARGA
        "\u116AD",  # ; Extend # Mn       TAKRI VOWEL SIGN AA
        "\u116ae","\u116af",  # ; Extend # Mc   [2] TAKRI VOWEL SIGN I..TAKRI VOWEL SIGN II
        "\u116b0","\u116b1","\u116b2","\u116b3","\u116b4","\u116b5",  # ; Extend # Mn   [6] TAKRI VOWEL SIGN U..TAKRI VOWEL SIGN AU
        "\u116B6",  # ; Extend # Mc       TAKRI SIGN VIRAMA
        "\u116B7",  # ; Extend # Mn       TAKRI SIGN NUKTA
        "\u1171d","\u1171e","\u1171f",  # ; Extend # Mn   [3] AHOM CONSONANT SIGN MEDIAL LA..AHOM CONSONANT SIGN MEDIAL LIGATING RA
        "\u11720","\u11721",  # ; Extend # Mc   [2] AHOM VOWEL SIGN A..AHOM VOWEL SIGN AA
        "\u11722","\u11723","\u11724","\u11725",  # ; Extend # Mn   [4] AHOM VOWEL SIGN I..AHOM VOWEL SIGN UU
        "\u11726",  # ; Extend # Mc       AHOM VOWEL SIGN E
        "\u11727","\u11728","\u11729","\u1172a","\u1172b",  # ; Extend # Mn   [5] AHOM VOWEL SIGN AW..AHOM SIGN KILLER
        "\u11a01","\u11a02","\u11a03","\u11a04","\u11a05","\u11a06",  # ; Extend # Mn   [6] ZANABAZAR SQUARE VOWEL SIGN I..ZANABAZAR SQUARE VOWEL SIGN O
        "\u11a07","\u11a08",  # ; Extend # Mc   [2] ZANABAZAR SQUARE VOWEL SIGN AI..ZANABAZAR SQUARE VOWEL SIGN AU
        "\u11a09","\u11a0a",  # ; Extend # Mn   [2] ZANABAZAR SQUARE VOWEL SIGN REVERSED I..ZANABAZAR SQUARE VOWEL LENGTH MARK
        "\u11a33","\u11a34","\u11a35","\u11a36","\u11a37","\u11a38",  # ; Extend # Mn   [6] ZANABAZAR SQUARE FINAL CONSONANT MARK..ZANABAZAR SQUARE SIGN ANUSVARA
        "\u11A39",  # ; Extend # Mc       ZANABAZAR SQUARE SIGN VISARGA
        "\u11a3b","\u11a3c","\u11a3d","\u11a3e",  # ; Extend # Mn   [4] ZANABAZAR SQUARE CLUSTER-FINAL LETTER YA..ZANABAZAR SQUARE CLUSTER-FINAL LETTER VA
        "\u11A47",  # ; Extend # Mn       ZANABAZAR SQUARE SUBJOINER
        "\u11a51","\u11a52","\u11a53","\u11a54","\u11a55","\u11a56",  # ; Extend # Mn   [6] SOYOMBO VOWEL SIGN I..SOYOMBO VOWEL SIGN OE
        "\u11a57","\u11a58",  # ; Extend # Mc   [2] SOYOMBO VOWEL SIGN AI..SOYOMBO VOWEL SIGN AU
        "\u11a59","\u11a5a","\u11a5b",  # ; Extend # Mn   [3] SOYOMBO VOWEL SIGN VOCALIC R..SOYOMBO VOWEL LENGTH MARK
        "\u11a8a","\u11a8b","\u11a8c","\u11a8d","\u11a8e","\u11a8f","\u11a90","\u11a91","\u11a92","\u11a93","\u11a94","\u11a95","\u11a96",  # ; Extend # Mn  [13] SOYOMBO FINAL CONSONANT SIGN G..SOYOMBO SIGN ANUSVARA
        "\u11A97",  # ; Extend # Mc       SOYOMBO SIGN VISARGA
        "\u11a98","\u11a99",  # ; Extend # Mn   [2] SOYOMBO GEMINATION MARK..SOYOMBO SUBJOINER
        "\u11C2F",  # ; Extend # Mc       BHAIKSUKI VOWEL SIGN AA
        "\u11c30","\u11c31","\u11c32","\u11c33","\u11c34","\u11c35","\u11c36",  # ; Extend # Mn   [7] BHAIKSUKI VOWEL SIGN I..BHAIKSUKI VOWEL SIGN VOCALIC L
        "\u11c38","\u11c39","\u11c3a","\u11c3b","\u11c3c","\u11c3d",  # ; Extend # Mn   [6] BHAIKSUKI VOWEL SIGN E..BHAIKSUKI SIGN ANUSVARA
        "\u11C3E",  # ; Extend # Mc       BHAIKSUKI SIGN VISARGA
        "\u11C3F",  # ; Extend # Mn       BHAIKSUKI SIGN VIRAMA
        "\u11c92","\u11c93","\u11c94","\u11c95","\u11c96","\u11c97","\u11c98","\u11c99","\u11c9a","\u11c9b","\u11c9c","\u11c9d","\u11c9e","\u11c9f","\u11ca0","\u11ca1","\u11ca2","\u11ca3","\u11ca4","\u11ca5","\u11ca6","\u11ca7",  # ; Extend # Mn  [22] MARCHEN SUBJOINED LETTER KA..MARCHEN SUBJOINED LETTER ZA
        "\u11CA9",  # ; Extend # Mc       MARCHEN SUBJOINED LETTER YA
        "\u11caa","\u11cab","\u11cac","\u11cad","\u11cae","\u11caf","\u11cb0",  # ; Extend # Mn   [7] MARCHEN SUBJOINED LETTER RA..MARCHEN VOWEL SIGN AA
        "\u11CB1",  # ; Extend # Mc       MARCHEN VOWEL SIGN I
        "\u11cb2","\u11cb3",  # ; Extend # Mn   [2] MARCHEN VOWEL SIGN U..MARCHEN VOWEL SIGN E
        "\u11CB4",  # ; Extend # Mc       MARCHEN VOWEL SIGN O
        "\u11cb5","\u11cb6",  # ; Extend # Mn   [2] MARCHEN SIGN ANUSVARA..MARCHEN SIGN CANDRABINDU
        "\u11d31","\u11d32","\u11d33","\u11d34","\u11d35","\u11d36",  # ; Extend # Mn   [6] MASARAM GONDI VOWEL SIGN AA..MASARAM GONDI VOWEL SIGN VOCALIC R
        "\u11D3A",  # ; Extend # Mn       MASARAM GONDI VOWEL SIGN E
        "\u11d3c","\u11d3d",  # ; Extend # Mn   [2] MASARAM GONDI VOWEL SIGN AI..MASARAM GONDI VOWEL SIGN O
        "\u11d3f","\u11d40","\u11d41","\u11d42","\u11d43","\u11d44","\u11d45",  # ; Extend # Mn   [7] MASARAM GONDI VOWEL SIGN AU..MASARAM GONDI VIRAMA
        "\u11D47",  # ; Extend # Mn       MASARAM GONDI RA-KARA
        "\u16af0","\u16af1","\u16af2","\u16af3","\u16af4",  # ; Extend # Mn   [5] BASSA VAH COMBINING HIGH TONE..BASSA VAH COMBINING HIGH-LOW TONE
        "\u16b30","\u16b31","\u16b32","\u16b33","\u16b34","\u16b35","\u16b36",  # ; Extend # Mn   [7] PAHAWH HMONG MARK CIM TUB..PAHAWH HMONG MARK CIM TAUM
        "\u16f51","\u16f52","\u16f53","\u16f54","\u16f55","\u16f56","\u16f57","\u16f58","\u16f59","\u16f5a","\u16f5b","\u16f5c","\u16f5d","\u16f5e","\u16f5f","\u16f60","\u16f61","\u16f62","\u16f63","\u16f64","\u16f65","\u16f66","\u16f67","\u16f68","\u16f69","\u16f6a","\u16f6b","\u16f6c","\u16f6d","\u16f6e","\u16f6f","\u16f70","\u16f71","\u16f72","\u16f73","\u16f74","\u16f75","\u16f76","\u16f77","\u16f78","\u16f79","\u16f7a","\u16f7b","\u16f7c","\u16f7d","\u16f7e",  # ; Extend # Mc  [46] MIAO SIGN ASPIRATION..MIAO VOWEL SIGN NG
        "\u16f8f","\u16f90","\u16f91","\u16f92",  # ; Extend # Mn   [4] MIAO TONE RIGHT..MIAO TONE BELOW
        "\u1bc9d","\u1bc9e",  # ; Extend # Mn   [2] DUPLOYAN THICK LETTER SELECTOR..DUPLOYAN DOUBLE MARK
        "\u1d165","\u1d166",  # ; Extend # Mc   [2] MUSICAL SYMBOL COMBINING STEM..MUSICAL SYMBOL COMBINING SPRECHGESANG STEM
        "\u1d167","\u1d168","\u1d169",  # ; Extend # Mn   [3] MUSICAL SYMBOL COMBINING TREMOLO-1..MUSICAL SYMBOL COMBINING TREMOLO-3
        "\u1d16d","\u1d16e","\u1d16f","\u1d170","\u1d171","\u1d172",  # ; Extend # Mc   [6] MUSICAL SYMBOL COMBINING AUGMENTATION DOT..MUSICAL SYMBOL COMBINING FLAG-5
        "\u1d17b","\u1d17c","\u1d17d","\u1d17e","\u1d17f","\u1d180","\u1d181","\u1d182",  # ; Extend # Mn   [8] MUSICAL SYMBOL COMBINING ACCENT..MUSICAL SYMBOL COMBINING LOURE
        "\u1d185","\u1d186","\u1d187","\u1d188","\u1d189","\u1d18a","\u1d18b",  # ; Extend # Mn   [7] MUSICAL SYMBOL COMBINING DOIT..MUSICAL SYMBOL COMBINING TRIPLE TONGUE
        "\u1d1aa","\u1d1ab","\u1d1ac","\u1d1ad",  # ; Extend # Mn   [4] MUSICAL SYMBOL COMBINING DOWN BOW..MUSICAL SYMBOL COMBINING SNAP PIZZICATO
        "\u1d242","\u1d243","\u1d244",  # ; Extend # Mn   [3] COMBINING GREEK MUSICAL TRISEME..COMBINING GREEK MUSICAL PENTASEME
        "\u1da00","\u1da01","\u1da02","\u1da03","\u1da04","\u1da05","\u1da06","\u1da07","\u1da08","\u1da09","\u1da0a","\u1da0b","\u1da0c","\u1da0d","\u1da0e","\u1da0f","\u1da10","\u1da11","\u1da12","\u1da13","\u1da14","\u1da15","\u1da16","\u1da17","\u1da18","\u1da19","\u1da1a","\u1da1b","\u1da1c","\u1da1d","\u1da1e","\u1da1f","\u1da20","\u1da21","\u1da22","\u1da23","\u1da24","\u1da25","\u1da26","\u1da27","\u1da28","\u1da29","\u1da2a","\u1da2b","\u1da2c","\u1da2d","\u1da2e","\u1da2f","\u1da30","\u1da31","\u1da32","\u1da33","\u1da34","\u1da35","\u1da36",  # ; Extend # Mn  [55] SIGNWRITING HEAD RIM..SIGNWRITING AIR SUCKING IN
        "\u1da3b","\u1da3c","\u1da3d","\u1da3e","\u1da3f","\u1da40","\u1da41","\u1da42","\u1da43","\u1da44","\u1da45","\u1da46","\u1da47","\u1da48","\u1da49","\u1da4a","\u1da4b","\u1da4c","\u1da4d","\u1da4e","\u1da4f","\u1da50","\u1da51","\u1da52","\u1da53","\u1da54","\u1da55","\u1da56","\u1da57","\u1da58","\u1da59","\u1da5a","\u1da5b","\u1da5c","\u1da5d","\u1da5e","\u1da5f","\u1da60","\u1da61","\u1da62","\u1da63","\u1da64","\u1da65","\u1da66","\u1da67","\u1da68","\u1da69","\u1da6a","\u1da6b","\u1da6c",  # ; Extend # Mn  [50] SIGNWRITING MOUTH CLOSED NEUTRAL..SIGNWRITING EXCITEMENT
        "\u1DA75",  # ; Extend # Mn       SIGNWRITING UPPER BODY TILTING FROM HIP JOINTS
        "\u1DA84",  # ; Extend # Mn       SIGNWRITING LOCATION HEAD NECK
        "\u1da9b","\u1da9c","\u1da9d","\u1da9e","\u1da9f",  # ; Extend # Mn   [5] SIGNWRITING FILL MODIFIER-2..SIGNWRITING FILL MODIFIER-6
        "\u1daa1","\u1daa2","\u1daa3","\u1daa4","\u1daa5","\u1daa6","\u1daa7","\u1daa8","\u1daa9","\u1daaa","\u1daab","\u1daac","\u1daad","\u1daae","\u1daaf",  # ; Extend # Mn  [15] SIGNWRITING ROTATION MODIFIER-2..SIGNWRITING ROTATION MODIFIER-16
        "\u1e000","\u1e001","\u1e002","\u1e003","\u1e004","\u1e005","\u1e006",  # ; Extend # Mn   [7] COMBINING GLAGOLITIC LETTER AZU..COMBINING GLAGOLITIC LETTER ZHIVETE
        "\u1e008","\u1e009","\u1e00a","\u1e00b","\u1e00c","\u1e00d","\u1e00e","\u1e00f","\u1e010","\u1e011","\u1e012","\u1e013","\u1e014","\u1e015","\u1e016","\u1e017","\u1e018",  # ; Extend # Mn  [17] COMBINING GLAGOLITIC LETTER ZEMLJA..COMBINING GLAGOLITIC LETTER HERU
        "\u1e01b","\u1e01c","\u1e01d","\u1e01e","\u1e01f","\u1e020","\u1e021",  # ; Extend # Mn   [7] COMBINING GLAGOLITIC LETTER SHTA..COMBINING GLAGOLITIC LETTER YATI
        "\u1e023","\u1e024",  # ; Extend # Mn   [2] COMBINING GLAGOLITIC LETTER YU..COMBINING GLAGOLITIC LETTER SMALL YUS
        "\u1e026","\u1e027","\u1e028","\u1e029","\u1e02a",  # ; Extend # Mn   [5] COMBINING GLAGOLITIC LETTER YO..COMBINING GLAGOLITIC LETTER FITA
        "\u1e8d0","\u1e8d1","\u1e8d2","\u1e8d3","\u1e8d4","\u1e8d5","\u1e8d6",  # ; Extend # Mn   [7] MENDE KIKAKUI COMBINING NUMBER TEENS..MENDE KIKAKUI COMBINING NUMBER MILLIONS
        "\u1e944","\u1e945","\u1e946","\u1e947","\u1e948","\u1e949","\u1e94a",  # ; Extend # Mn   [7] ADLAM ALIF LENGTHENER..ADLAM NUKTA
        "\ue0020","\ue0021","\ue0022","\ue0023","\ue0024","\ue0025","\ue0026","\ue0027","\ue0028","\ue0029","\ue002a","\ue002b","\ue002c","\ue002d","\ue002e","\ue002f","\ue0030","\ue0031","\ue0032","\ue0033","\ue0034","\ue0035","\ue0036","\ue0037","\ue0038","\ue0039","\ue003a","\ue003b","\ue003c","\ue003d","\ue003e","\ue003f","\ue0040","\ue0041","\ue0042","\ue0043","\ue0044","\ue0045","\ue0046","\ue0047","\ue0048","\ue0049","\ue004a","\ue004b","\ue004c","\ue004d","\ue004e","\ue004f","\ue0050","\ue0051","\ue0052","\ue0053","\ue0054","\ue0055","\ue0056","\ue0057","\ue0058","\ue0059","\ue005a","\ue005b","\ue005c","\ue005d","\ue005e","\ue005f","\ue0060","\ue0061","\ue0062","\ue0063","\ue0064","\ue0065","\ue0066","\ue0067","\ue0068","\ue0069","\ue006a","\ue006b","\ue006c","\ue006d","\ue006e","\ue006f","\ue0070","\ue0071","\ue0072","\ue0073","\ue0074","\ue0075","\ue0076","\ue0077","\ue0078","\ue0079","\ue007a","\ue007b","\ue007c","\ue007d","\ue007e","\ue007f",  # ; Extend # Cf  [96] TAG SPACE..CANCEL TAG
        "\ue0100","\ue0101","\ue0102","\ue0103","\ue0104","\ue0105","\ue0106","\ue0107","\ue0108","\ue0109","\ue010a","\ue010b","\ue010c","\ue010d","\ue010e","\ue010f","\ue0110","\ue0111","\ue0112","\ue0113","\ue0114","\ue0115","\ue0116","\ue0117","\ue0118","\ue0119","\ue011a","\ue011b","\ue011c","\ue011d","\ue011e","\ue011f","\ue0120","\ue0121","\ue0122","\ue0123","\ue0124","\ue0125","\ue0126","\ue0127","\ue0128","\ue0129","\ue012a","\ue012b","\ue012c","\ue012d","\ue012e","\ue012f","\ue0130","\ue0131","\ue0132","\ue0133","\ue0134","\ue0135","\ue0136","\ue0137","\ue0138","\ue0139","\ue013a","\ue013b","\ue013c","\ue013d","\ue013e","\ue013f","\ue0140","\ue0141","\ue0142","\ue0143","\ue0144","\ue0145","\ue0146","\ue0147","\ue0148","\ue0149","\ue014a","\ue014b","\ue014c","\ue014d","\ue014e","\ue014f","\ue0150","\ue0151","\ue0152","\ue0153","\ue0154","\ue0155","\ue0156","\ue0157","\ue0158","\ue0159","\ue015a","\ue015b","\ue015c","\ue015d","\ue015e","\ue015f","\ue0160","\ue0161","\ue0162","\ue0163","\ue0164","\ue0165","\ue0166","\ue0167","\ue0168","\ue0169","\ue016a","\ue016b","\ue016c","\ue016d","\ue016e","\ue016f","\ue0170","\ue0171","\ue0172","\ue0173","\ue0174","\ue0175","\ue0176","\ue0177","\ue0178","\ue0179","\ue017a","\ue017b","\ue017c","\ue017d","\ue017e","\ue017f","\ue0180","\ue0181","\ue0182","\ue0183","\ue0184","\ue0185","\ue0186","\ue0187","\ue0188","\ue0189","\ue018a","\ue018b","\ue018c","\ue018d","\ue018e","\ue018f","\ue0190","\ue0191","\ue0192","\ue0193","\ue0194","\ue0195","\ue0196","\ue0197","\ue0198","\ue0199","\ue019a","\ue019b","\ue019c","\ue019d","\ue019e","\ue019f","\ue01a0","\ue01a1","\ue01a2","\ue01a3","\ue01a4","\ue01a5","\ue01a6","\ue01a7","\ue01a8","\ue01a9","\ue01aa","\ue01ab","\ue01ac","\ue01ad","\ue01ae","\ue01af","\ue01b0","\ue01b1","\ue01b2","\ue01b3","\ue01b4","\ue01b5","\ue01b6","\ue01b7","\ue01b8","\ue01b9","\ue01ba","\ue01bb","\ue01bc","\ue01bd","\ue01be","\ue01bf","\ue01c0","\ue01c1","\ue01c2","\ue01c3","\ue01c4","\ue01c5","\ue01c6","\ue01c7","\ue01c8","\ue01c9","\ue01ca","\ue01cb","\ue01cc","\ue01cd","\ue01ce","\ue01cf","\ue01d0","\ue01d1","\ue01d2","\ue01d3","\ue01d4","\ue01d5","\ue01d6","\ue01d7","\ue01d8","\ue01d9","\ue01da","\ue01db","\ue01dc","\ue01dd","\ue01de","\ue01df","\ue01e0","\ue01e1","\ue01e2","\ue01e3","\ue01e4","\ue01e5","\ue01e6","\ue01e7","\ue01e8","\ue01e9","\ue01ea","\ue01eb","\ue01ec","\ue01ed","\ue01ee","\ue01ef",  # ; Extend # Mn [240] VARIATION SELECTOR-17..VARIATION SELECTOR-256
        "\u1f1e6","\u1f1e7","\u1f1e8","\u1f1e9","\u1f1ea","\u1f1eb","\u1f1ec","\u1f1ed","\u1f1ee","\u1f1ef","\u1f1f0","\u1f1f1","\u1f1f2","\u1f1f3","\u1f1f4","\u1f1f5","\u1f1f6","\u1f1f7","\u1f1f8","\u1f1f9","\u1f1fa","\u1f1fb","\u1f1fc","\u1f1fd","\u1f1fe","\u1f1ff",  # ; Regional_Indicator # So  [26] REGIONAL INDICATOR SYMBOL LETTER A..REGIONAL INDICATOR SYMBOL LETTER Z
        "\u00AD",  # ; Format # Cf       SOFT HYPHEN
        "\u0600","\u0601","\u0602","\u0603","\u0604","\u0605",  # ; Format # Cf   [6] ARABIC NUMBER SIGN..ARABIC NUMBER MARK ABOVE
        "\u061C",  # ; Format # Cf       ARABIC LETTER MARK
        "\u06DD",  # ; Format # Cf       ARABIC END OF AYAH
        "\u070F",  # ; Format # Cf       SYRIAC ABBREVIATION MARK
        "\u08E2",  # ; Format # Cf       ARABIC DISPUTED END OF AYAH
        "\u180E",  # ; Format # Cf       MONGOLIAN VOWEL SEPARATOR
        "\u200e","\u200f",  # ; Format # Cf   [2] LEFT-TO-RIGHT MARK..RIGHT-TO-LEFT MARK
        "\u202a","\u202b","\u202c","\u202d","\u202e",  # ; Format # Cf   [5] LEFT-TO-RIGHT EMBEDDING..RIGHT-TO-LEFT OVERRIDE
        "\u2060","\u2061","\u2062","\u2063","\u2064",  # ; Format # Cf   [5] WORD JOINER..INVISIBLE PLUS
        "\u2066","\u2067","\u2068","\u2069","\u206a","\u206b","\u206c","\u206d","\u206e","\u206f",  # ; Format # Cf  [10] LEFT-TO-RIGHT ISOLATE..NOMINAL DIGIT SHAPES
        "\uFEFF",  # ; Format # Cf       ZERO WIDTH NO-BREAK SPACE
        "\ufff9","\ufffa","\ufffb",  # ; Format # Cf   [3] INTERLINEAR ANNOTATION ANCHOR..INTERLINEAR ANNOTATION TERMINATOR
        "\u110BD",  # ; Format # Cf       KAITHI NUMBER SIGN
        "\u1bca0","\u1bca1","\u1bca2","\u1bca3",  # ; Format # Cf   [4] SHORTHAND FORMAT LETTER OVERLAP..SHORTHAND FORMAT UP STEP
        "\u1d173","\u1d174","\u1d175","\u1d176","\u1d177","\u1d178","\u1d179","\u1d17a",  # ; Format # Cf   [8] MUSICAL SYMBOL BEGIN BEAM..MUSICAL SYMBOL END PHRASE
        "\uE0001",  # ; Format # Cf       LANGUAGE TAG
        "\u3031","\u3032","\u3033","\u3034","\u3035",  # ; Katakana # Lm   [5] VERTICAL KANA REPEAT MARK..VERTICAL KANA REPEAT MARK LOWER HALF
        "\u309b","\u309c",  # ; Katakana # Sk   [2] KATAKANA-HIRAGANA VOICED SOUND MARK..KATAKANA-HIRAGANA SEMI-VOICED SOUND MARK
        "\u30A0",  # ; Katakana # Pd       KATAKANA-HIRAGANA DOUBLE HYPHEN
        "\u30a1","\u30a2","\u30a3","\u30a4","\u30a5","\u30a6","\u30a7","\u30a8","\u30a9","\u30aa","\u30ab","\u30ac","\u30ad","\u30ae","\u30af","\u30b0","\u30b1","\u30b2","\u30b3","\u30b4","\u30b5","\u30b6","\u30b7","\u30b8","\u30b9","\u30ba","\u30bb","\u30bc","\u30bd","\u30be","\u30bf","\u30c0","\u30c1","\u30c2","\u30c3","\u30c4","\u30c5","\u30c6","\u30c7","\u30c8","\u30c9","\u30ca","\u30cb","\u30cc","\u30cd","\u30ce","\u30cf","\u30d0","\u30d1","\u30d2","\u30d3","\u30d4","\u30d5","\u30d6","\u30d7","\u30d8","\u30d9","\u30da","\u30db","\u30dc","\u30dd","\u30de","\u30df","\u30e0","\u30e1","\u30e2","\u30e3","\u30e4","\u30e5","\u30e6","\u30e7","\u30e8","\u30e9","\u30ea","\u30eb","\u30ec","\u30ed","\u30ee","\u30ef","\u30f0","\u30f1","\u30f2","\u30f3","\u30f4","\u30f5","\u30f6","\u30f7","\u30f8","\u30f9","\u30fa",  # ; Katakana # Lo  [90] KATAKANA LETTER SMALL A..KATAKANA LETTER VO
        "\u30fc","\u30fd","\u30fe",  # ; Katakana # Lm   [3] KATAKANA-HIRAGANA PROLONGED SOUND MARK..KATAKANA VOICED ITERATION MARK
        "\u30FF",  # ; Katakana # Lo       KATAKANA DIGRAPH KOTO
        "\u31f0","\u31f1","\u31f2","\u31f3","\u31f4","\u31f5","\u31f6","\u31f7","\u31f8","\u31f9","\u31fa","\u31fb","\u31fc","\u31fd","\u31fe","\u31ff",  # ; Katakana # Lo  [16] KATAKANA LETTER SMALL KU..KATAKANA LETTER SMALL RO
        "\u32d0","\u32d1","\u32d2","\u32d3","\u32d4","\u32d5","\u32d6","\u32d7","\u32d8","\u32d9","\u32da","\u32db","\u32dc","\u32dd","\u32de","\u32df","\u32e0","\u32e1","\u32e2","\u32e3","\u32e4","\u32e5","\u32e6","\u32e7","\u32e8","\u32e9","\u32ea","\u32eb","\u32ec","\u32ed","\u32ee","\u32ef","\u32f0","\u32f1","\u32f2","\u32f3","\u32f4","\u32f5","\u32f6","\u32f7","\u32f8","\u32f9","\u32fa","\u32fb","\u32fc","\u32fd","\u32fe",  # ; Katakana # So  [47] CIRCLED KATAKANA A..CIRCLED KATAKANA WO
        "\u3300","\u3301","\u3302","\u3303","\u3304","\u3305","\u3306","\u3307","\u3308","\u3309","\u330a","\u330b","\u330c","\u330d","\u330e","\u330f","\u3310","\u3311","\u3312","\u3313","\u3314","\u3315","\u3316","\u3317","\u3318","\u3319","\u331a","\u331b","\u331c","\u331d","\u331e","\u331f","\u3320","\u3321","\u3322","\u3323","\u3324","\u3325","\u3326","\u3327","\u3328","\u3329","\u332a","\u332b","\u332c","\u332d","\u332e","\u332f","\u3330","\u3331","\u3332","\u3333","\u3334","\u3335","\u3336","\u3337","\u3338","\u3339","\u333a","\u333b","\u333c","\u333d","\u333e","\u333f","\u3340","\u3341","\u3342","\u3343","\u3344","\u3345","\u3346","\u3347","\u3348","\u3349","\u334a","\u334b","\u334c","\u334d","\u334e","\u334f","\u3350","\u3351","\u3352","\u3353","\u3354","\u3355","\u3356","\u3357",  # ; Katakana # So  [88] SQUARE APAATO..SQUARE WATTO
        "\uff66","\uff67","\uff68","\uff69","\uff6a","\uff6b","\uff6c","\uff6d","\uff6e","\uff6f",  # ; Katakana # Lo  [10] HALFWIDTH KATAKANA LETTER WO..HALFWIDTH KATAKANA LETTER SMALL TU
        "\uFF70",  # ; Katakana # Lm       HALFWIDTH KATAKANA-HIRAGANA PROLONGED SOUND MARK
        "\uff71","\uff72","\uff73","\uff74","\uff75","\uff76","\uff77","\uff78","\uff79","\uff7a","\uff7b","\uff7c","\uff7d","\uff7e","\uff7f","\uff80","\uff81","\uff82","\uff83","\uff84","\uff85","\uff86","\uff87","\uff88","\uff89","\uff8a","\uff8b","\uff8c","\uff8d","\uff8e","\uff8f","\uff90","\uff91","\uff92","\uff93","\uff94","\uff95","\uff96","\uff97","\uff98","\uff99","\uff9a","\uff9b","\uff9c","\uff9d",  # ; Katakana # Lo  [45] HALFWIDTH KATAKANA LETTER A..HALFWIDTH KATAKANA LETTER N
        "\u1B000",  # ; Katakana # Lo       KATAKANA LETTER ARCHAIC E
        "\u0041","\u0042","\u0043","\u0044","\u0045","\u0046","\u0047","\u0048","\u0049","\u004a","\u004b","\u004c","\u004d","\u004e","\u004f","\u0050","\u0051","\u0052","\u0053","\u0054","\u0055","\u0056","\u0057","\u0058","\u0059","\u005a",  # ; ALetter # L&  [26] LATIN CAPITAL LETTER A..LATIN CAPITAL LETTER Z
        "\u0061","\u0062","\u0063","\u0064","\u0065","\u0066","\u0067","\u0068","\u0069","\u006a","\u006b","\u006c","\u006d","\u006e","\u006f","\u0070","\u0071","\u0072","\u0073","\u0074","\u0075","\u0076","\u0077","\u0078","\u0079","\u007a",  # ; ALetter # L&  [26] LATIN SMALL LETTER A..LATIN SMALL LETTER Z
        "\u00AA",  # ; ALetter # Lo       FEMININE ORDINAL INDICATOR
        "\u00B5",  # ; ALetter # L&       MICRO SIGN
        "\u00BA",  # ; ALetter # Lo       MASCULINE ORDINAL INDICATOR
        "\u00c0","\u00c1","\u00c2","\u00c3","\u00c4","\u00c5","\u00c6","\u00c7","\u00c8","\u00c9","\u00ca","\u00cb","\u00cc","\u00cd","\u00ce","\u00cf","\u00d0","\u00d1","\u00d2","\u00d3","\u00d4","\u00d5","\u00d6",  # ; ALetter # L&  [23] LATIN CAPITAL LETTER A WITH GRAVE..LATIN CAPITAL LETTER O WITH DIAERESIS
        "\u00d8","\u00d9","\u00da","\u00db","\u00dc","\u00dd","\u00de","\u00df","\u00e0","\u00e1","\u00e2","\u00e3","\u00e4","\u00e5","\u00e6","\u00e7","\u00e8","\u00e9","\u00ea","\u00eb","\u00ec","\u00ed","\u00ee","\u00ef","\u00f0","\u00f1","\u00f2","\u00f3","\u00f4","\u00f5","\u00f6",  # ; ALetter # L&  [31] LATIN CAPITAL LETTER O WITH STROKE..LATIN SMALL LETTER O WITH DIAERESIS
        "\u00f8","\u00f9","\u00fa","\u00fb","\u00fc","\u00fd","\u00fe","\u00ff","\u0100","\u0101","\u0102","\u0103","\u0104","\u0105","\u0106","\u0107","\u0108","\u0109","\u010a","\u010b","\u010c","\u010d","\u010e","\u010f","\u0110","\u0111","\u0112","\u0113","\u0114","\u0115","\u0116","\u0117","\u0118","\u0119","\u011a","\u011b","\u011c","\u011d","\u011e","\u011f","\u0120","\u0121","\u0122","\u0123","\u0124","\u0125","\u0126","\u0127","\u0128","\u0129","\u012a","\u012b","\u012c","\u012d","\u012e","\u012f","\u0130","\u0131","\u0132","\u0133","\u0134","\u0135","\u0136","\u0137","\u0138","\u0139","\u013a","\u013b","\u013c","\u013d","\u013e","\u013f","\u0140","\u0141","\u0142","\u0143","\u0144","\u0145","\u0146","\u0147","\u0148","\u0149","\u014a","\u014b","\u014c","\u014d","\u014e","\u014f","\u0150","\u0151","\u0152","\u0153","\u0154","\u0155","\u0156","\u0157","\u0158","\u0159","\u015a","\u015b","\u015c","\u015d","\u015e","\u015f","\u0160","\u0161","\u0162","\u0163","\u0164","\u0165","\u0166","\u0167","\u0168","\u0169","\u016a","\u016b","\u016c","\u016d","\u016e","\u016f","\u0170","\u0171","\u0172","\u0173","\u0174","\u0175","\u0176","\u0177","\u0178","\u0179","\u017a","\u017b","\u017c","\u017d","\u017e","\u017f","\u0180","\u0181","\u0182","\u0183","\u0184","\u0185","\u0186","\u0187","\u0188","\u0189","\u018a","\u018b","\u018c","\u018d","\u018e","\u018f","\u0190","\u0191","\u0192","\u0193","\u0194","\u0195","\u0196","\u0197","\u0198","\u0199","\u019a","\u019b","\u019c","\u019d","\u019e","\u019f","\u01a0","\u01a1","\u01a2","\u01a3","\u01a4","\u01a5","\u01a6","\u01a7","\u01a8","\u01a9","\u01aa","\u01ab","\u01ac","\u01ad","\u01ae","\u01af","\u01b0","\u01b1","\u01b2","\u01b3","\u01b4","\u01b5","\u01b6","\u01b7","\u01b8","\u01b9","\u01ba",  # ; ALetter # L& [195] LATIN SMALL LETTER O WITH STROKE..LATIN SMALL LETTER EZH WITH TAIL
        "\u01BB",  # ; ALetter # Lo       LATIN LETTER TWO WITH STROKE
        "\u01bc","\u01bd","\u01be","\u01bf",  # ; ALetter # L&   [4] LATIN CAPITAL LETTER TONE FIVE..LATIN LETTER WYNN
        "\u01c0","\u01c1","\u01c2","\u01c3",  # ; ALetter # Lo   [4] LATIN LETTER DENTAL CLICK..LATIN LETTER RETROFLEX CLICK
        "\u01c4","\u01c5","\u01c6","\u01c7","\u01c8","\u01c9","\u01ca","\u01cb","\u01cc","\u01cd","\u01ce","\u01cf","\u01d0","\u01d1","\u01d2","\u01d3","\u01d4","\u01d5","\u01d6","\u01d7","\u01d8","\u01d9","\u01da","\u01db","\u01dc","\u01dd","\u01de","\u01df","\u01e0","\u01e1","\u01e2","\u01e3","\u01e4","\u01e5","\u01e6","\u01e7","\u01e8","\u01e9","\u01ea","\u01eb","\u01ec","\u01ed","\u01ee","\u01ef","\u01f0","\u01f1","\u01f2","\u01f3","\u01f4","\u01f5","\u01f6","\u01f7","\u01f8","\u01f9","\u01fa","\u01fb","\u01fc","\u01fd","\u01fe","\u01ff","\u0200","\u0201","\u0202","\u0203","\u0204","\u0205","\u0206","\u0207","\u0208","\u0209","\u020a","\u020b","\u020c","\u020d","\u020e","\u020f","\u0210","\u0211","\u0212","\u0213","\u0214","\u0215","\u0216","\u0217","\u0218","\u0219","\u021a","\u021b","\u021c","\u021d","\u021e","\u021f","\u0220","\u0221","\u0222","\u0223","\u0224","\u0225","\u0226","\u0227","\u0228","\u0229","\u022a","\u022b","\u022c","\u022d","\u022e","\u022f","\u0230","\u0231","\u0232","\u0233","\u0234","\u0235","\u0236","\u0237","\u0238","\u0239","\u023a","\u023b","\u023c","\u023d","\u023e","\u023f","\u0240","\u0241","\u0242","\u0243","\u0244","\u0245","\u0246","\u0247","\u0248","\u0249","\u024a","\u024b","\u024c","\u024d","\u024e","\u024f","\u0250","\u0251","\u0252","\u0253","\u0254","\u0255","\u0256","\u0257","\u0258","\u0259","\u025a","\u025b","\u025c","\u025d","\u025e","\u025f","\u0260","\u0261","\u0262","\u0263","\u0264","\u0265","\u0266","\u0267","\u0268","\u0269","\u026a","\u026b","\u026c","\u026d","\u026e","\u026f","\u0270","\u0271","\u0272","\u0273","\u0274","\u0275","\u0276","\u0277","\u0278","\u0279","\u027a","\u027b","\u027c","\u027d","\u027e","\u027f","\u0280","\u0281","\u0282","\u0283","\u0284","\u0285","\u0286","\u0287","\u0288","\u0289","\u028a","\u028b","\u028c","\u028d","\u028e","\u028f","\u0290","\u0291","\u0292","\u0293",  # ; ALetter # L& [208] LATIN CAPITAL LETTER DZ WITH CARON..LATIN SMALL LETTER EZH WITH CURL
        "\u0294",  # ; ALetter # Lo       LATIN LETTER GLOTTAL STOP
        "\u0295","\u0296","\u0297","\u0298","\u0299","\u029a","\u029b","\u029c","\u029d","\u029e","\u029f","\u02a0","\u02a1","\u02a2","\u02a3","\u02a4","\u02a5","\u02a6","\u02a7","\u02a8","\u02a9","\u02aa","\u02ab","\u02ac","\u02ad","\u02ae","\u02af",  # ; ALetter # L&  [27] LATIN LETTER PHARYNGEAL VOICED FRICATIVE..LATIN SMALL LETTER TURNED H WITH FISHHOOK AND TAIL
        "\u02b0","\u02b1","\u02b2","\u02b3","\u02b4","\u02b5","\u02b6","\u02b7","\u02b8","\u02b9","\u02ba","\u02bb","\u02bc","\u02bd","\u02be","\u02bf","\u02c0","\u02c1",  # ; ALetter # Lm  [18] MODIFIER LETTER SMALL H..MODIFIER LETTER REVERSED GLOTTAL STOP
        "\u02c2","\u02c3","\u02c4","\u02c5",  # ; ALetter # Sk   [4] MODIFIER LETTER LEFT ARROWHEAD..MODIFIER LETTER DOWN ARROWHEAD
        "\u02c6","\u02c7","\u02c8","\u02c9","\u02ca","\u02cb","\u02cc","\u02cd","\u02ce","\u02cf","\u02d0","\u02d1",  # ; ALetter # Lm  [12] MODIFIER LETTER CIRCUMFLEX ACCENT..MODIFIER LETTER HALF TRIANGULAR COLON
        "\u02d2","\u02d3","\u02d4","\u02d5","\u02d6","\u02d7",  # ; ALetter # Sk   [6] MODIFIER LETTER CENTRED RIGHT HALF RING..MODIFIER LETTER MINUS SIGN
        "\u02de","\u02df",  # ; ALetter # Sk   [2] MODIFIER LETTER RHOTIC HOOK..MODIFIER LETTER CROSS ACCENT
        "\u02e0","\u02e1","\u02e2","\u02e3","\u02e4",  # ; ALetter # Lm   [5] MODIFIER LETTER SMALL GAMMA..MODIFIER LETTER SMALL REVERSED GLOTTAL STOP
        "\u02EC",  # ; ALetter # Lm       MODIFIER LETTER VOICING
        "\u02ED",  # ; ALetter # Sk       MODIFIER LETTER UNASPIRATED
        "\u02EE",  # ; ALetter # Lm       MODIFIER LETTER DOUBLE APOSTROPHE
        "\u02ef","\u02f0","\u02f1","\u02f2","\u02f3","\u02f4","\u02f5","\u02f6","\u02f7","\u02f8","\u02f9","\u02fa","\u02fb","\u02fc","\u02fd","\u02fe","\u02ff",  # ; ALetter # Sk  [17] MODIFIER LETTER LOW DOWN ARROWHEAD..MODIFIER LETTER LOW LEFT ARROW
        "\u0370","\u0371","\u0372","\u0373",  # ; ALetter # L&   [4] GREEK CAPITAL LETTER HETA..GREEK SMALL LETTER ARCHAIC SAMPI
        "\u0374",  # ; ALetter # Lm       GREEK NUMERAL SIGN
        "\u0376","\u0377",  # ; ALetter # L&   [2] GREEK CAPITAL LETTER PAMPHYLIAN DIGAMMA..GREEK SMALL LETTER PAMPHYLIAN DIGAMMA
        "\u037A",  # ; ALetter # Lm       GREEK YPOGEGRAMMENI
        "\u037b","\u037c","\u037d",  # ; ALetter # L&   [3] GREEK SMALL REVERSED LUNATE SIGMA SYMBOL..GREEK SMALL REVERSED DOTTED LUNATE SIGMA SYMBOL
        "\u037F",  # ; ALetter # L&       GREEK CAPITAL LETTER YOT
        "\u0386",  # ; ALetter # L&       GREEK CAPITAL LETTER ALPHA WITH TONOS
        "\u0388","\u0389","\u038a",  # ; ALetter # L&   [3] GREEK CAPITAL LETTER EPSILON WITH TONOS..GREEK CAPITAL LETTER IOTA WITH TONOS
        "\u038C",  # ; ALetter # L&       GREEK CAPITAL LETTER OMICRON WITH TONOS
        "\u038e","\u038f","\u0390","\u0391","\u0392","\u0393","\u0394","\u0395","\u0396","\u0397","\u0398","\u0399","\u039a","\u039b","\u039c","\u039d","\u039e","\u039f","\u03a0","\u03a1",  # ; ALetter # L&  [20] GREEK CAPITAL LETTER UPSILON WITH TONOS..GREEK CAPITAL LETTER RHO
        "\u03a3","\u03a4","\u03a5","\u03a6","\u03a7","\u03a8","\u03a9","\u03aa","\u03ab","\u03ac","\u03ad","\u03ae","\u03af","\u03b0","\u03b1","\u03b2","\u03b3","\u03b4","\u03b5","\u03b6","\u03b7","\u03b8","\u03b9","\u03ba","\u03bb","\u03bc","\u03bd","\u03be","\u03bf","\u03c0","\u03c1","\u03c2","\u03c3","\u03c4","\u03c5","\u03c6","\u03c7","\u03c8","\u03c9","\u03ca","\u03cb","\u03cc","\u03cd","\u03ce","\u03cf","\u03d0","\u03d1","\u03d2","\u03d3","\u03d4","\u03d5","\u03d6","\u03d7","\u03d8","\u03d9","\u03da","\u03db","\u03dc","\u03dd","\u03de","\u03df","\u03e0","\u03e1","\u03e2","\u03e3","\u03e4","\u03e5","\u03e6","\u03e7","\u03e8","\u03e9","\u03ea","\u03eb","\u03ec","\u03ed","\u03ee","\u03ef","\u03f0","\u03f1","\u03f2","\u03f3","\u03f4","\u03f5",  # ; ALetter # L&  [83] GREEK CAPITAL LETTER SIGMA..GREEK LUNATE EPSILON SYMBOL
        "\u03f7","\u03f8","\u03f9","\u03fa","\u03fb","\u03fc","\u03fd","\u03fe","\u03ff","\u0400","\u0401","\u0402","\u0403","\u0404","\u0405","\u0406","\u0407","\u0408","\u0409","\u040a","\u040b","\u040c","\u040d","\u040e","\u040f","\u0410","\u0411","\u0412","\u0413","\u0414","\u0415","\u0416","\u0417","\u0418","\u0419","\u041a","\u041b","\u041c","\u041d","\u041e","\u041f","\u0420","\u0421","\u0422","\u0423","\u0424","\u0425","\u0426","\u0427","\u0428","\u0429","\u042a","\u042b","\u042c","\u042d","\u042e","\u042f","\u0430","\u0431","\u0432","\u0433","\u0434","\u0435","\u0436","\u0437","\u0438","\u0439","\u043a","\u043b","\u043c","\u043d","\u043e","\u043f","\u0440","\u0441","\u0442","\u0443","\u0444","\u0445","\u0446","\u0447","\u0448","\u0449","\u044a","\u044b","\u044c","\u044d","\u044e","\u044f","\u0450","\u0451","\u0452","\u0453","\u0454","\u0455","\u0456","\u0457","\u0458","\u0459","\u045a","\u045b","\u045c","\u045d","\u045e","\u045f","\u0460","\u0461","\u0462","\u0463","\u0464","\u0465","\u0466","\u0467","\u0468","\u0469","\u046a","\u046b","\u046c","\u046d","\u046e","\u046f","\u0470","\u0471","\u0472","\u0473","\u0474","\u0475","\u0476","\u0477","\u0478","\u0479","\u047a","\u047b","\u047c","\u047d","\u047e","\u047f","\u0480","\u0481",  # ; ALetter # L& [139] GREEK CAPITAL LETTER SHO..CYRILLIC SMALL LETTER KOPPA
        "\u048a","\u048b","\u048c","\u048d","\u048e","\u048f","\u0490","\u0491","\u0492","\u0493","\u0494","\u0495","\u0496","\u0497","\u0498","\u0499","\u049a","\u049b","\u049c","\u049d","\u049e","\u049f","\u04a0","\u04a1","\u04a2","\u04a3","\u04a4","\u04a5","\u04a6","\u04a7","\u04a8","\u04a9","\u04aa","\u04ab","\u04ac","\u04ad","\u04ae","\u04af","\u04b0","\u04b1","\u04b2","\u04b3","\u04b4","\u04b5","\u04b6","\u04b7","\u04b8","\u04b9","\u04ba","\u04bb","\u04bc","\u04bd","\u04be","\u04bf","\u04c0","\u04c1","\u04c2","\u04c3","\u04c4","\u04c5","\u04c6","\u04c7","\u04c8","\u04c9","\u04ca","\u04cb","\u04cc","\u04cd","\u04ce","\u04cf","\u04d0","\u04d1","\u04d2","\u04d3","\u04d4","\u04d5","\u04d6","\u04d7","\u04d8","\u04d9","\u04da","\u04db","\u04dc","\u04dd","\u04de","\u04df","\u04e0","\u04e1","\u04e2","\u04e3","\u04e4","\u04e5","\u04e6","\u04e7","\u04e8","\u04e9","\u04ea","\u04eb","\u04ec","\u04ed","\u04ee","\u04ef","\u04f0","\u04f1","\u04f2","\u04f3","\u04f4","\u04f5","\u04f6","\u04f7","\u04f8","\u04f9","\u04fa","\u04fb","\u04fc","\u04fd","\u04fe","\u04ff","\u0500","\u0501","\u0502","\u0503","\u0504","\u0505","\u0506","\u0507","\u0508","\u0509","\u050a","\u050b","\u050c","\u050d","\u050e","\u050f","\u0510","\u0511","\u0512","\u0513","\u0514","\u0515","\u0516","\u0517","\u0518","\u0519","\u051a","\u051b","\u051c","\u051d","\u051e","\u051f","\u0520","\u0521","\u0522","\u0523","\u0524","\u0525","\u0526","\u0527","\u0528","\u0529","\u052a","\u052b","\u052c","\u052d","\u052e","\u052f",  # ; ALetter # L& [166] CYRILLIC CAPITAL LETTER SHORT I WITH TAIL..CYRILLIC SMALL LETTER EL WITH DESCENDER
        "\u0531","\u0532","\u0533","\u0534","\u0535","\u0536","\u0537","\u0538","\u0539","\u053a","\u053b","\u053c","\u053d","\u053e","\u053f","\u0540","\u0541","\u0542","\u0543","\u0544","\u0545","\u0546","\u0547","\u0548","\u0549","\u054a","\u054b","\u054c","\u054d","\u054e","\u054f","\u0550","\u0551","\u0552","\u0553","\u0554","\u0555","\u0556",  # ; ALetter # L&  [38] ARMENIAN CAPITAL LETTER AYB..ARMENIAN CAPITAL LETTER FEH
        "\u0559",  # ; ALetter # Lm       ARMENIAN MODIFIER LETTER LEFT HALF RING
        "\u0561","\u0562","\u0563","\u0564","\u0565","\u0566","\u0567","\u0568","\u0569","\u056a","\u056b","\u056c","\u056d","\u056e","\u056f","\u0570","\u0571","\u0572","\u0573","\u0574","\u0575","\u0576","\u0577","\u0578","\u0579","\u057a","\u057b","\u057c","\u057d","\u057e","\u057f","\u0580","\u0581","\u0582","\u0583","\u0584","\u0585","\u0586","\u0587",  # ; ALetter # L&  [39] ARMENIAN SMALL LETTER AYB..ARMENIAN SMALL LIGATURE ECH YIWN
        "\u05F3",  # ; ALetter # Po       HEBREW PUNCTUATION GERESH
        "\u0620","\u0621","\u0622","\u0623","\u0624","\u0625","\u0626","\u0627","\u0628","\u0629","\u062a","\u062b","\u062c","\u062d","\u062e","\u062f","\u0630","\u0631","\u0632","\u0633","\u0634","\u0635","\u0636","\u0637","\u0638","\u0639","\u063a","\u063b","\u063c","\u063d","\u063e","\u063f",  # ; ALetter # Lo  [32] ARABIC LETTER KASHMIRI YEH..ARABIC LETTER FARSI YEH WITH THREE DOTS ABOVE
        "\u0640",  # ; ALetter # Lm       ARABIC TATWEEL
        "\u0641","\u0642","\u0643","\u0644","\u0645","\u0646","\u0647","\u0648","\u0649","\u064a",  # ; ALetter # Lo  [10] ARABIC LETTER FEH..ARABIC LETTER YEH
        "\u066e","\u066f",  # ; ALetter # Lo   [2] ARABIC LETTER DOTLESS BEH..ARABIC LETTER DOTLESS QAF
        "\u0671","\u0672","\u0673","\u0674","\u0675","\u0676","\u0677","\u0678","\u0679","\u067a","\u067b","\u067c","\u067d","\u067e","\u067f","\u0680","\u0681","\u0682","\u0683","\u0684","\u0685","\u0686","\u0687","\u0688","\u0689","\u068a","\u068b","\u068c","\u068d","\u068e","\u068f","\u0690","\u0691","\u0692","\u0693","\u0694","\u0695","\u0696","\u0697","\u0698","\u0699","\u069a","\u069b","\u069c","\u069d","\u069e","\u069f","\u06a0","\u06a1","\u06a2","\u06a3","\u06a4","\u06a5","\u06a6","\u06a7","\u06a8","\u06a9","\u06aa","\u06ab","\u06ac","\u06ad","\u06ae","\u06af","\u06b0","\u06b1","\u06b2","\u06b3","\u06b4","\u06b5","\u06b6","\u06b7","\u06b8","\u06b9","\u06ba","\u06bb","\u06bc","\u06bd","\u06be","\u06bf","\u06c0","\u06c1","\u06c2","\u06c3","\u06c4","\u06c5","\u06c6","\u06c7","\u06c8","\u06c9","\u06ca","\u06cb","\u06cc","\u06cd","\u06ce","\u06cf","\u06d0","\u06d1","\u06d2","\u06d3",  # ; ALetter # Lo  [99] ARABIC LETTER ALEF WASLA..ARABIC LETTER YEH BARREE WITH HAMZA ABOVE
        "\u06D5",  # ; ALetter # Lo       ARABIC LETTER AE
        "\u06e5","\u06e6",  # ; ALetter # Lm   [2] ARABIC SMALL WAW..ARABIC SMALL YEH
        "\u06ee","\u06ef",  # ; ALetter # Lo   [2] ARABIC LETTER DAL WITH INVERTED V..ARABIC LETTER REH WITH INVERTED V
        "\u06fa","\u06fb","\u06fc",  # ; ALetter # Lo   [3] ARABIC LETTER SHEEN WITH DOT BELOW..ARABIC LETTER GHAIN WITH DOT BELOW
        "\u06FF",  # ; ALetter # Lo       ARABIC LETTER HEH WITH INVERTED V
        "\u0710",  # ; ALetter # Lo       SYRIAC LETTER ALAPH
        "\u0712","\u0713","\u0714","\u0715","\u0716","\u0717","\u0718","\u0719","\u071a","\u071b","\u071c","\u071d","\u071e","\u071f","\u0720","\u0721","\u0722","\u0723","\u0724","\u0725","\u0726","\u0727","\u0728","\u0729","\u072a","\u072b","\u072c","\u072d","\u072e","\u072f",  # ; ALetter # Lo  [30] SYRIAC LETTER BETH..SYRIAC LETTER PERSIAN DHALATH
        "\u074d","\u074e","\u074f","\u0750","\u0751","\u0752","\u0753","\u0754","\u0755","\u0756","\u0757","\u0758","\u0759","\u075a","\u075b","\u075c","\u075d","\u075e","\u075f","\u0760","\u0761","\u0762","\u0763","\u0764","\u0765","\u0766","\u0767","\u0768","\u0769","\u076a","\u076b","\u076c","\u076d","\u076e","\u076f","\u0770","\u0771","\u0772","\u0773","\u0774","\u0775","\u0776","\u0777","\u0778","\u0779","\u077a","\u077b","\u077c","\u077d","\u077e","\u077f","\u0780","\u0781","\u0782","\u0783","\u0784","\u0785","\u0786","\u0787","\u0788","\u0789","\u078a","\u078b","\u078c","\u078d","\u078e","\u078f","\u0790","\u0791","\u0792","\u0793","\u0794","\u0795","\u0796","\u0797","\u0798","\u0799","\u079a","\u079b","\u079c","\u079d","\u079e","\u079f","\u07a0","\u07a1","\u07a2","\u07a3","\u07a4","\u07a5",  # ; ALetter # Lo  [89] SYRIAC LETTER SOGDIAN ZHAIN..THAANA LETTER WAAVU
        "\u07B1",  # ; ALetter # Lo       THAANA LETTER NAA
        "\u07ca","\u07cb","\u07cc","\u07cd","\u07ce","\u07cf","\u07d0","\u07d1","\u07d2","\u07d3","\u07d4","\u07d5","\u07d6","\u07d7","\u07d8","\u07d9","\u07da","\u07db","\u07dc","\u07dd","\u07de","\u07df","\u07e0","\u07e1","\u07e2","\u07e3","\u07e4","\u07e5","\u07e6","\u07e7","\u07e8","\u07e9","\u07ea",  # ; ALetter # Lo  [33] NKO LETTER A..NKO LETTER JONA RA
        "\u07f4","\u07f5",  # ; ALetter # Lm   [2] NKO HIGH TONE APOSTROPHE..NKO LOW TONE APOSTROPHE
        "\u07FA",  # ; ALetter # Lm       NKO LAJANYALAN
        "\u0800","\u0801","\u0802","\u0803","\u0804","\u0805","\u0806","\u0807","\u0808","\u0809","\u080a","\u080b","\u080c","\u080d","\u080e","\u080f","\u0810","\u0811","\u0812","\u0813","\u0814","\u0815",  # ; ALetter # Lo  [22] SAMARITAN LETTER ALAF..SAMARITAN LETTER TAAF
        "\u081A",  # ; ALetter # Lm       SAMARITAN MODIFIER LETTER EPENTHETIC YUT
        "\u0824",  # ; ALetter # Lm       SAMARITAN MODIFIER LETTER SHORT A
        "\u0828",  # ; ALetter # Lm       SAMARITAN MODIFIER LETTER I
        "\u0840","\u0841","\u0842","\u0843","\u0844","\u0845","\u0846","\u0847","\u0848","\u0849","\u084a","\u084b","\u084c","\u084d","\u084e","\u084f","\u0850","\u0851","\u0852","\u0853","\u0854","\u0855","\u0856","\u0857","\u0858",  # ; ALetter # Lo  [25] MANDAIC LETTER HALQA..MANDAIC LETTER AIN
        "\u0860","\u0861","\u0862","\u0863","\u0864","\u0865","\u0866","\u0867","\u0868","\u0869","\u086a",  # ; ALetter # Lo  [11] SYRIAC LETTER MALAYALAM NGA..SYRIAC LETTER MALAYALAM SSA
        "\u08a0","\u08a1","\u08a2","\u08a3","\u08a4","\u08a5","\u08a6","\u08a7","\u08a8","\u08a9","\u08aa","\u08ab","\u08ac","\u08ad","\u08ae","\u08af","\u08b0","\u08b1","\u08b2","\u08b3","\u08b4",  # ; ALetter # Lo  [21] ARABIC LETTER BEH WITH SMALL V BELOW..ARABIC LETTER KAF WITH DOT BELOW
        "\u08b6","\u08b7","\u08b8","\u08b9","\u08ba","\u08bb","\u08bc","\u08bd",  # ; ALetter # Lo   [8] ARABIC LETTER BEH WITH SMALL MEEM ABOVE..ARABIC LETTER AFRICAN NOON
        "\u0904","\u0905","\u0906","\u0907","\u0908","\u0909","\u090a","\u090b","\u090c","\u090d","\u090e","\u090f","\u0910","\u0911","\u0912","\u0913","\u0914","\u0915","\u0916","\u0917","\u0918","\u0919","\u091a","\u091b","\u091c","\u091d","\u091e","\u091f","\u0920","\u0921","\u0922","\u0923","\u0924","\u0925","\u0926","\u0927","\u0928","\u0929","\u092a","\u092b","\u092c","\u092d","\u092e","\u092f","\u0930","\u0931","\u0932","\u0933","\u0934","\u0935","\u0936","\u0937","\u0938","\u0939",  # ; ALetter # Lo  [54] DEVANAGARI LETTER SHORT A..DEVANAGARI LETTER HA
        "\u093D",  # ; ALetter # Lo       DEVANAGARI SIGN AVAGRAHA
        "\u0950",  # ; ALetter # Lo       DEVANAGARI OM
        "\u0958","\u0959","\u095a","\u095b","\u095c","\u095d","\u095e","\u095f","\u0960","\u0961",  # ; ALetter # Lo  [10] DEVANAGARI LETTER QA..DEVANAGARI LETTER VOCALIC LL
        "\u0971",  # ; ALetter # Lm       DEVANAGARI SIGN HIGH SPACING DOT
        "\u0972","\u0973","\u0974","\u0975","\u0976","\u0977","\u0978","\u0979","\u097a","\u097b","\u097c","\u097d","\u097e","\u097f","\u0980",  # ; ALetter # Lo  [15] DEVANAGARI LETTER CANDRA A..BENGALI ANJI
        "\u0985","\u0986","\u0987","\u0988","\u0989","\u098a","\u098b","\u098c",  # ; ALetter # Lo   [8] BENGALI LETTER A..BENGALI LETTER VOCALIC L
        "\u098f","\u0990",  # ; ALetter # Lo   [2] BENGALI LETTER E..BENGALI LETTER AI
        "\u0993","\u0994","\u0995","\u0996","\u0997","\u0998","\u0999","\u099a","\u099b","\u099c","\u099d","\u099e","\u099f","\u09a0","\u09a1","\u09a2","\u09a3","\u09a4","\u09a5","\u09a6","\u09a7","\u09a8",  # ; ALetter # Lo  [22] BENGALI LETTER O..BENGALI LETTER NA
        "\u09aa","\u09ab","\u09ac","\u09ad","\u09ae","\u09af","\u09b0",  # ; ALetter # Lo   [7] BENGALI LETTER PA..BENGALI LETTER RA
        "\u09B2",  # ; ALetter # Lo       BENGALI LETTER LA
        "\u09b6","\u09b7","\u09b8","\u09b9",  # ; ALetter # Lo   [4] BENGALI LETTER SHA..BENGALI LETTER HA
        "\u09BD",  # ; ALetter # Lo       BENGALI SIGN AVAGRAHA
        "\u09CE",  # ; ALetter # Lo       BENGALI LETTER KHANDA TA
        "\u09dc","\u09dd",  # ; ALetter # Lo   [2] BENGALI LETTER RRA..BENGALI LETTER RHA
        "\u09df","\u09e0","\u09e1",  # ; ALetter # Lo   [3] BENGALI LETTER YYA..BENGALI LETTER VOCALIC LL
        "\u09f0","\u09f1",  # ; ALetter # Lo   [2] BENGALI LETTER RA WITH MIDDLE DIAGONAL..BENGALI LETTER RA WITH LOWER DIAGONAL
        "\u09FC",  # ; ALetter # Lo       BENGALI LETTER VEDIC ANUSVARA
        "\u0a05","\u0a06","\u0a07","\u0a08","\u0a09","\u0a0a",  # ; ALetter # Lo   [6] GURMUKHI LETTER A..GURMUKHI LETTER UU
        "\u0a0f","\u0a10",  # ; ALetter # Lo   [2] GURMUKHI LETTER EE..GURMUKHI LETTER AI
        "\u0a13","\u0a14","\u0a15","\u0a16","\u0a17","\u0a18","\u0a19","\u0a1a","\u0a1b","\u0a1c","\u0a1d","\u0a1e","\u0a1f","\u0a20","\u0a21","\u0a22","\u0a23","\u0a24","\u0a25","\u0a26","\u0a27","\u0a28",  # ; ALetter # Lo  [22] GURMUKHI LETTER OO..GURMUKHI LETTER NA
        "\u0a2a","\u0a2b","\u0a2c","\u0a2d","\u0a2e","\u0a2f","\u0a30",  # ; ALetter # Lo   [7] GURMUKHI LETTER PA..GURMUKHI LETTER RA
        "\u0a32","\u0a33",  # ; ALetter # Lo   [2] GURMUKHI LETTER LA..GURMUKHI LETTER LLA
        "\u0a35","\u0a36",  # ; ALetter # Lo   [2] GURMUKHI LETTER VA..GURMUKHI LETTER SHA
        "\u0a38","\u0a39",  # ; ALetter # Lo   [2] GURMUKHI LETTER SA..GURMUKHI LETTER HA
        "\u0a59","\u0a5a","\u0a5b","\u0a5c",  # ; ALetter # Lo   [4] GURMUKHI LETTER KHHA..GURMUKHI LETTER RRA
        "\u0A5E",  # ; ALetter # Lo       GURMUKHI LETTER FA
        "\u0a72","\u0a73","\u0a74",  # ; ALetter # Lo   [3] GURMUKHI IRI..GURMUKHI EK ONKAR
        "\u0a85","\u0a86","\u0a87","\u0a88","\u0a89","\u0a8a","\u0a8b","\u0a8c","\u0a8d",  # ; ALetter # Lo   [9] GUJARATI LETTER A..GUJARATI VOWEL CANDRA E
        "\u0a8f","\u0a90","\u0a91",  # ; ALetter # Lo   [3] GUJARATI LETTER E..GUJARATI VOWEL CANDRA O
        "\u0a93","\u0a94","\u0a95","\u0a96","\u0a97","\u0a98","\u0a99","\u0a9a","\u0a9b","\u0a9c","\u0a9d","\u0a9e","\u0a9f","\u0aa0","\u0aa1","\u0aa2","\u0aa3","\u0aa4","\u0aa5","\u0aa6","\u0aa7","\u0aa8",  # ; ALetter # Lo  [22] GUJARATI LETTER O..GUJARATI LETTER NA
        "\u0aaa","\u0aab","\u0aac","\u0aad","\u0aae","\u0aaf","\u0ab0",  # ; ALetter # Lo   [7] GUJARATI LETTER PA..GUJARATI LETTER RA
        "\u0ab2","\u0ab3",  # ; ALetter # Lo   [2] GUJARATI LETTER LA..GUJARATI LETTER LLA
        "\u0ab5","\u0ab6","\u0ab7","\u0ab8","\u0ab9",  # ; ALetter # Lo   [5] GUJARATI LETTER VA..GUJARATI LETTER HA
        "\u0ABD",  # ; ALetter # Lo       GUJARATI SIGN AVAGRAHA
        "\u0AD0",  # ; ALetter # Lo       GUJARATI OM
        "\u0ae0","\u0ae1",  # ; ALetter # Lo   [2] GUJARATI LETTER VOCALIC RR..GUJARATI LETTER VOCALIC LL
        "\u0AF9",  # ; ALetter # Lo       GUJARATI LETTER ZHA
        "\u0b05","\u0b06","\u0b07","\u0b08","\u0b09","\u0b0a","\u0b0b","\u0b0c",  # ; ALetter # Lo   [8] ORIYA LETTER A..ORIYA LETTER VOCALIC L
        "\u0b0f","\u0b10",  # ; ALetter # Lo   [2] ORIYA LETTER E..ORIYA LETTER AI
        "\u0b13","\u0b14","\u0b15","\u0b16","\u0b17","\u0b18","\u0b19","\u0b1a","\u0b1b","\u0b1c","\u0b1d","\u0b1e","\u0b1f","\u0b20","\u0b21","\u0b22","\u0b23","\u0b24","\u0b25","\u0b26","\u0b27","\u0b28",  # ; ALetter # Lo  [22] ORIYA LETTER O..ORIYA LETTER NA
        "\u0b2a","\u0b2b","\u0b2c","\u0b2d","\u0b2e","\u0b2f","\u0b30",  # ; ALetter # Lo   [7] ORIYA LETTER PA..ORIYA LETTER RA
        "\u0b32","\u0b33",  # ; ALetter # Lo   [2] ORIYA LETTER LA..ORIYA LETTER LLA
        "\u0b35","\u0b36","\u0b37","\u0b38","\u0b39",  # ; ALetter # Lo   [5] ORIYA LETTER VA..ORIYA LETTER HA
        "\u0B3D",  # ; ALetter # Lo       ORIYA SIGN AVAGRAHA
        "\u0b5c","\u0b5d",  # ; ALetter # Lo   [2] ORIYA LETTER RRA..ORIYA LETTER RHA
        "\u0b5f","\u0b60","\u0b61",  # ; ALetter # Lo   [3] ORIYA LETTER YYA..ORIYA LETTER VOCALIC LL
        "\u0B71",  # ; ALetter # Lo       ORIYA LETTER WA
        "\u0B83",  # ; ALetter # Lo       TAMIL SIGN VISARGA
        "\u0b85","\u0b86","\u0b87","\u0b88","\u0b89","\u0b8a",  # ; ALetter # Lo   [6] TAMIL LETTER A..TAMIL LETTER UU
        "\u0b8e","\u0b8f","\u0b90",  # ; ALetter # Lo   [3] TAMIL LETTER E..TAMIL LETTER AI
        "\u0b92","\u0b93","\u0b94","\u0b95",  # ; ALetter # Lo   [4] TAMIL LETTER O..TAMIL LETTER KA
        "\u0b99","\u0b9a",  # ; ALetter # Lo   [2] TAMIL LETTER NGA..TAMIL LETTER CA
        "\u0B9C",  # ; ALetter # Lo       TAMIL LETTER JA
        "\u0b9e","\u0b9f",  # ; ALetter # Lo   [2] TAMIL LETTER NYA..TAMIL LETTER TTA
        "\u0ba3","\u0ba4",  # ; ALetter # Lo   [2] TAMIL LETTER NNA..TAMIL LETTER TA
        "\u0ba8","\u0ba9","\u0baa",  # ; ALetter # Lo   [3] TAMIL LETTER NA..TAMIL LETTER PA
        "\u0bae","\u0baf","\u0bb0","\u0bb1","\u0bb2","\u0bb3","\u0bb4","\u0bb5","\u0bb6","\u0bb7","\u0bb8","\u0bb9",  # ; ALetter # Lo  [12] TAMIL LETTER MA..TAMIL LETTER HA
        "\u0BD0",  # ; ALetter # Lo       TAMIL OM
        "\u0c05","\u0c06","\u0c07","\u0c08","\u0c09","\u0c0a","\u0c0b","\u0c0c",  # ; ALetter # Lo   [8] TELUGU LETTER A..TELUGU LETTER VOCALIC L
        "\u0c0e","\u0c0f","\u0c10",  # ; ALetter # Lo   [3] TELUGU LETTER E..TELUGU LETTER AI
        "\u0c12","\u0c13","\u0c14","\u0c15","\u0c16","\u0c17","\u0c18","\u0c19","\u0c1a","\u0c1b","\u0c1c","\u0c1d","\u0c1e","\u0c1f","\u0c20","\u0c21","\u0c22","\u0c23","\u0c24","\u0c25","\u0c26","\u0c27","\u0c28",  # ; ALetter # Lo  [23] TELUGU LETTER O..TELUGU LETTER NA
        "\u0c2a","\u0c2b","\u0c2c","\u0c2d","\u0c2e","\u0c2f","\u0c30","\u0c31","\u0c32","\u0c33","\u0c34","\u0c35","\u0c36","\u0c37","\u0c38","\u0c39",  # ; ALetter # Lo  [16] TELUGU LETTER PA..TELUGU LETTER HA
        "\u0C3D",  # ; ALetter # Lo       TELUGU SIGN AVAGRAHA
        "\u0c58","\u0c59","\u0c5a",  # ; ALetter # Lo   [3] TELUGU LETTER TSA..TELUGU LETTER RRRA
        "\u0c60","\u0c61",  # ; ALetter # Lo   [2] TELUGU LETTER VOCALIC RR..TELUGU LETTER VOCALIC LL
        "\u0C80",  # ; ALetter # Lo       KANNADA SIGN SPACING CANDRABINDU
        "\u0c85","\u0c86","\u0c87","\u0c88","\u0c89","\u0c8a","\u0c8b","\u0c8c",  # ; ALetter # Lo   [8] KANNADA LETTER A..KANNADA LETTER VOCALIC L
        "\u0c8e","\u0c8f","\u0c90",  # ; ALetter # Lo   [3] KANNADA LETTER E..KANNADA LETTER AI
        "\u0c92","\u0c93","\u0c94","\u0c95","\u0c96","\u0c97","\u0c98","\u0c99","\u0c9a","\u0c9b","\u0c9c","\u0c9d","\u0c9e","\u0c9f","\u0ca0","\u0ca1","\u0ca2","\u0ca3","\u0ca4","\u0ca5","\u0ca6","\u0ca7","\u0ca8",  # ; ALetter # Lo  [23] KANNADA LETTER O..KANNADA LETTER NA
        "\u0caa","\u0cab","\u0cac","\u0cad","\u0cae","\u0caf","\u0cb0","\u0cb1","\u0cb2","\u0cb3",  # ; ALetter # Lo  [10] KANNADA LETTER PA..KANNADA LETTER LLA
        "\u0cb5","\u0cb6","\u0cb7","\u0cb8","\u0cb9",  # ; ALetter # Lo   [5] KANNADA LETTER VA..KANNADA LETTER HA
        "\u0CBD",  # ; ALetter # Lo       KANNADA SIGN AVAGRAHA
        "\u0CDE",  # ; ALetter # Lo       KANNADA LETTER FA
        "\u0ce0","\u0ce1",  # ; ALetter # Lo   [2] KANNADA LETTER VOCALIC RR..KANNADA LETTER VOCALIC LL
        "\u0cf1","\u0cf2",  # ; ALetter # Lo   [2] KANNADA SIGN JIHVAMULIYA..KANNADA SIGN UPADHMANIYA
        "\u0d05","\u0d06","\u0d07","\u0d08","\u0d09","\u0d0a","\u0d0b","\u0d0c",  # ; ALetter # Lo   [8] MALAYALAM LETTER A..MALAYALAM LETTER VOCALIC L
        "\u0d0e","\u0d0f","\u0d10",  # ; ALetter # Lo   [3] MALAYALAM LETTER E..MALAYALAM LETTER AI
        "\u0d12","\u0d13","\u0d14","\u0d15","\u0d16","\u0d17","\u0d18","\u0d19","\u0d1a","\u0d1b","\u0d1c","\u0d1d","\u0d1e","\u0d1f","\u0d20","\u0d21","\u0d22","\u0d23","\u0d24","\u0d25","\u0d26","\u0d27","\u0d28","\u0d29","\u0d2a","\u0d2b","\u0d2c","\u0d2d","\u0d2e","\u0d2f","\u0d30","\u0d31","\u0d32","\u0d33","\u0d34","\u0d35","\u0d36","\u0d37","\u0d38","\u0d39","\u0d3a",  # ; ALetter # Lo  [41] MALAYALAM LETTER O..MALAYALAM LETTER TTTA
        "\u0D3D",  # ; ALetter # Lo       MALAYALAM SIGN AVAGRAHA
        "\u0D4E",  # ; ALetter # Lo       MALAYALAM LETTER DOT REPH
        "\u0d54","\u0d55","\u0d56",  # ; ALetter # Lo   [3] MALAYALAM LETTER CHILLU M..MALAYALAM LETTER CHILLU LLL
        "\u0d5f","\u0d60","\u0d61",  # ; ALetter # Lo   [3] MALAYALAM LETTER ARCHAIC II..MALAYALAM LETTER VOCALIC LL
        "\u0d7a","\u0d7b","\u0d7c","\u0d7d","\u0d7e","\u0d7f",  # ; ALetter # Lo   [6] MALAYALAM LETTER CHILLU NN..MALAYALAM LETTER CHILLU K
        "\u0d85","\u0d86","\u0d87","\u0d88","\u0d89","\u0d8a","\u0d8b","\u0d8c","\u0d8d","\u0d8e","\u0d8f","\u0d90","\u0d91","\u0d92","\u0d93","\u0d94","\u0d95","\u0d96",  # ; ALetter # Lo  [18] SINHALA LETTER AYANNA..SINHALA LETTER AUYANNA
        "\u0d9a","\u0d9b","\u0d9c","\u0d9d","\u0d9e","\u0d9f","\u0da0","\u0da1","\u0da2","\u0da3","\u0da4","\u0da5","\u0da6","\u0da7","\u0da8","\u0da9","\u0daa","\u0dab","\u0dac","\u0dad","\u0dae","\u0daf","\u0db0","\u0db1",  # ; ALetter # Lo  [24] SINHALA LETTER ALPAPRAANA KAYANNA..SINHALA LETTER DANTAJA NAYANNA
        "\u0db3","\u0db4","\u0db5","\u0db6","\u0db7","\u0db8","\u0db9","\u0dba","\u0dbb",  # ; ALetter # Lo   [9] SINHALA LETTER SANYAKA DAYANNA..SINHALA LETTER RAYANNA
        "\u0DBD",  # ; ALetter # Lo       SINHALA LETTER DANTAJA LAYANNA
        "\u0dc0","\u0dc1","\u0dc2","\u0dc3","\u0dc4","\u0dc5","\u0dc6",  # ; ALetter # Lo   [7] SINHALA LETTER VAYANNA..SINHALA LETTER FAYANNA
        "\u0F00",  # ; ALetter # Lo       TIBETAN SYLLABLE OM
        "\u0f40","\u0f41","\u0f42","\u0f43","\u0f44","\u0f45","\u0f46","\u0f47",  # ; ALetter # Lo   [8] TIBETAN LETTER KA..TIBETAN LETTER JA
        "\u0f49","\u0f4a","\u0f4b","\u0f4c","\u0f4d","\u0f4e","\u0f4f","\u0f50","\u0f51","\u0f52","\u0f53","\u0f54","\u0f55","\u0f56","\u0f57","\u0f58","\u0f59","\u0f5a","\u0f5b","\u0f5c","\u0f5d","\u0f5e","\u0f5f","\u0f60","\u0f61","\u0f62","\u0f63","\u0f64","\u0f65","\u0f66","\u0f67","\u0f68","\u0f69","\u0f6a","\u0f6b","\u0f6c",  # ; ALetter # Lo  [36] TIBETAN LETTER NYA..TIBETAN LETTER RRA
        "\u0f88","\u0f89","\u0f8a","\u0f8b","\u0f8c",  # ; ALetter # Lo   [5] TIBETAN SIGN LCE TSA CAN..TIBETAN SIGN INVERTED MCHU CAN
        "\u10a0","\u10a1","\u10a2","\u10a3","\u10a4","\u10a5","\u10a6","\u10a7","\u10a8","\u10a9","\u10aa","\u10ab","\u10ac","\u10ad","\u10ae","\u10af","\u10b0","\u10b1","\u10b2","\u10b3","\u10b4","\u10b5","\u10b6","\u10b7","\u10b8","\u10b9","\u10ba","\u10bb","\u10bc","\u10bd","\u10be","\u10bf","\u10c0","\u10c1","\u10c2","\u10c3","\u10c4","\u10c5",  # ; ALetter # L&  [38] GEORGIAN CAPITAL LETTER AN..GEORGIAN CAPITAL LETTER HOE
        "\u10C7",  # ; ALetter # L&       GEORGIAN CAPITAL LETTER YN
        "\u10CD",  # ; ALetter # L&       GEORGIAN CAPITAL LETTER AEN
        "\u10d0","\u10d1","\u10d2","\u10d3","\u10d4","\u10d5","\u10d6","\u10d7","\u10d8","\u10d9","\u10da","\u10db","\u10dc","\u10dd","\u10de","\u10df","\u10e0","\u10e1","\u10e2","\u10e3","\u10e4","\u10e5","\u10e6","\u10e7","\u10e8","\u10e9","\u10ea","\u10eb","\u10ec","\u10ed","\u10ee","\u10ef","\u10f0","\u10f1","\u10f2","\u10f3","\u10f4","\u10f5","\u10f6","\u10f7","\u10f8","\u10f9","\u10fa",  # ; ALetter # Lo  [43] GEORGIAN LETTER AN..GEORGIAN LETTER AIN
        "\u10FC",  # ; ALetter # Lm       MODIFIER LETTER GEORGIAN NAR
        "\u10fd","\u10fe","\u10ff","\u1100","\u1101","\u1102","\u1103","\u1104","\u1105","\u1106","\u1107","\u1108","\u1109","\u110a","\u110b","\u110c","\u110d","\u110e","\u110f","\u1110","\u1111","\u1112","\u1113","\u1114","\u1115","\u1116","\u1117","\u1118","\u1119","\u111a","\u111b","\u111c","\u111d","\u111e","\u111f","\u1120","\u1121","\u1122","\u1123","\u1124","\u1125","\u1126","\u1127","\u1128","\u1129","\u112a","\u112b","\u112c","\u112d","\u112e","\u112f","\u1130","\u1131","\u1132","\u1133","\u1134","\u1135","\u1136","\u1137","\u1138","\u1139","\u113a","\u113b","\u113c","\u113d","\u113e","\u113f","\u1140","\u1141","\u1142","\u1143","\u1144","\u1145","\u1146","\u1147","\u1148","\u1149","\u114a","\u114b","\u114c","\u114d","\u114e","\u114f","\u1150","\u1151","\u1152","\u1153","\u1154","\u1155","\u1156","\u1157","\u1158","\u1159","\u115a","\u115b","\u115c","\u115d","\u115e","\u115f","\u1160","\u1161","\u1162","\u1163","\u1164","\u1165","\u1166","\u1167","\u1168","\u1169","\u116a","\u116b","\u116c","\u116d","\u116e","\u116f","\u1170","\u1171","\u1172","\u1173","\u1174","\u1175","\u1176","\u1177","\u1178","\u1179","\u117a","\u117b","\u117c","\u117d","\u117e","\u117f","\u1180","\u1181","\u1182","\u1183","\u1184","\u1185","\u1186","\u1187","\u1188","\u1189","\u118a","\u118b","\u118c","\u118d","\u118e","\u118f","\u1190","\u1191","\u1192","\u1193","\u1194","\u1195","\u1196","\u1197","\u1198","\u1199","\u119a","\u119b","\u119c","\u119d","\u119e","\u119f","\u11a0","\u11a1","\u11a2","\u11a3","\u11a4","\u11a5","\u11a6","\u11a7","\u11a8","\u11a9","\u11aa","\u11ab","\u11ac","\u11ad","\u11ae","\u11af","\u11b0","\u11b1","\u11b2","\u11b3","\u11b4","\u11b5","\u11b6","\u11b7","\u11b8","\u11b9","\u11ba","\u11bb","\u11bc","\u11bd","\u11be","\u11bf","\u11c0","\u11c1","\u11c2","\u11c3","\u11c4","\u11c5","\u11c6","\u11c7","\u11c8","\u11c9","\u11ca","\u11cb","\u11cc","\u11cd","\u11ce","\u11cf","\u11d0","\u11d1","\u11d2","\u11d3","\u11d4","\u11d5","\u11d6","\u11d7","\u11d8","\u11d9","\u11da","\u11db","\u11dc","\u11dd","\u11de","\u11df","\u11e0","\u11e1","\u11e2","\u11e3","\u11e4","\u11e5","\u11e6","\u11e7","\u11e8","\u11e9","\u11ea","\u11eb","\u11ec","\u11ed","\u11ee","\u11ef","\u11f0","\u11f1","\u11f2","\u11f3","\u11f4","\u11f5","\u11f6","\u11f7","\u11f8","\u11f9","\u11fa","\u11fb","\u11fc","\u11fd","\u11fe","\u11ff","\u1200","\u1201","\u1202","\u1203","\u1204","\u1205","\u1206","\u1207","\u1208","\u1209","\u120a","\u120b","\u120c","\u120d","\u120e","\u120f","\u1210","\u1211","\u1212","\u1213","\u1214","\u1215","\u1216","\u1217","\u1218","\u1219","\u121a","\u121b","\u121c","\u121d","\u121e","\u121f","\u1220","\u1221","\u1222","\u1223","\u1224","\u1225","\u1226","\u1227","\u1228","\u1229","\u122a","\u122b","\u122c","\u122d","\u122e","\u122f","\u1230","\u1231","\u1232","\u1233","\u1234","\u1235","\u1236","\u1237","\u1238","\u1239","\u123a","\u123b","\u123c","\u123d","\u123e","\u123f","\u1240","\u1241","\u1242","\u1243","\u1244","\u1245","\u1246","\u1247","\u1248",  # ; ALetter # Lo [332] GEORGIAN LETTER AEN..ETHIOPIC SYLLABLE QWA
        "\u124a","\u124b","\u124c","\u124d",  # ; ALetter # Lo   [4] ETHIOPIC SYLLABLE QWI..ETHIOPIC SYLLABLE QWE
        "\u1250","\u1251","\u1252","\u1253","\u1254","\u1255","\u1256",  # ; ALetter # Lo   [7] ETHIOPIC SYLLABLE QHA..ETHIOPIC SYLLABLE QHO
        "\u1258",  # ; ALetter # Lo       ETHIOPIC SYLLABLE QHWA
        "\u125a","\u125b","\u125c","\u125d",  # ; ALetter # Lo   [4] ETHIOPIC SYLLABLE QHWI..ETHIOPIC SYLLABLE QHWE
        "\u1260","\u1261","\u1262","\u1263","\u1264","\u1265","\u1266","\u1267","\u1268","\u1269","\u126a","\u126b","\u126c","\u126d","\u126e","\u126f","\u1270","\u1271","\u1272","\u1273","\u1274","\u1275","\u1276","\u1277","\u1278","\u1279","\u127a","\u127b","\u127c","\u127d","\u127e","\u127f","\u1280","\u1281","\u1282","\u1283","\u1284","\u1285","\u1286","\u1287","\u1288",  # ; ALetter # Lo  [41] ETHIOPIC SYLLABLE BA..ETHIOPIC SYLLABLE XWA
        "\u128a","\u128b","\u128c","\u128d",  # ; ALetter # Lo   [4] ETHIOPIC SYLLABLE XWI..ETHIOPIC SYLLABLE XWE
        "\u1290","\u1291","\u1292","\u1293","\u1294","\u1295","\u1296","\u1297","\u1298","\u1299","\u129a","\u129b","\u129c","\u129d","\u129e","\u129f","\u12a0","\u12a1","\u12a2","\u12a3","\u12a4","\u12a5","\u12a6","\u12a7","\u12a8","\u12a9","\u12aa","\u12ab","\u12ac","\u12ad","\u12ae","\u12af","\u12b0",  # ; ALetter # Lo  [33] ETHIOPIC SYLLABLE NA..ETHIOPIC SYLLABLE KWA
        "\u12b2","\u12b3","\u12b4","\u12b5",  # ; ALetter # Lo   [4] ETHIOPIC SYLLABLE KWI..ETHIOPIC SYLLABLE KWE
        "\u12b8","\u12b9","\u12ba","\u12bb","\u12bc","\u12bd","\u12be",  # ; ALetter # Lo   [7] ETHIOPIC SYLLABLE KXA..ETHIOPIC SYLLABLE KXO
        "\u12C0",  # ; ALetter # Lo       ETHIOPIC SYLLABLE KXWA
        "\u12c2","\u12c3","\u12c4","\u12c5",  # ; ALetter # Lo   [4] ETHIOPIC SYLLABLE KXWI..ETHIOPIC SYLLABLE KXWE
        "\u12c8","\u12c9","\u12ca","\u12cb","\u12cc","\u12cd","\u12ce","\u12cf","\u12d0","\u12d1","\u12d2","\u12d3","\u12d4","\u12d5","\u12d6",  # ; ALetter # Lo  [15] ETHIOPIC SYLLABLE WA..ETHIOPIC SYLLABLE PHARYNGEAL O
        "\u12d8","\u12d9","\u12da","\u12db","\u12dc","\u12dd","\u12de","\u12df","\u12e0","\u12e1","\u12e2","\u12e3","\u12e4","\u12e5","\u12e6","\u12e7","\u12e8","\u12e9","\u12ea","\u12eb","\u12ec","\u12ed","\u12ee","\u12ef","\u12f0","\u12f1","\u12f2","\u12f3","\u12f4","\u12f5","\u12f6","\u12f7","\u12f8","\u12f9","\u12fa","\u12fb","\u12fc","\u12fd","\u12fe","\u12ff","\u1300","\u1301","\u1302","\u1303","\u1304","\u1305","\u1306","\u1307","\u1308","\u1309","\u130a","\u130b","\u130c","\u130d","\u130e","\u130f","\u1310",  # ; ALetter # Lo  [57] ETHIOPIC SYLLABLE ZA..ETHIOPIC SYLLABLE GWA
        "\u1312","\u1313","\u1314","\u1315",  # ; ALetter # Lo   [4] ETHIOPIC SYLLABLE GWI..ETHIOPIC SYLLABLE GWE
        "\u1318","\u1319","\u131a","\u131b","\u131c","\u131d","\u131e","\u131f","\u1320","\u1321","\u1322","\u1323","\u1324","\u1325","\u1326","\u1327","\u1328","\u1329","\u132a","\u132b","\u132c","\u132d","\u132e","\u132f","\u1330","\u1331","\u1332","\u1333","\u1334","\u1335","\u1336","\u1337","\u1338","\u1339","\u133a","\u133b","\u133c","\u133d","\u133e","\u133f","\u1340","\u1341","\u1342","\u1343","\u1344","\u1345","\u1346","\u1347","\u1348","\u1349","\u134a","\u134b","\u134c","\u134d","\u134e","\u134f","\u1350","\u1351","\u1352","\u1353","\u1354","\u1355","\u1356","\u1357","\u1358","\u1359","\u135a",  # ; ALetter # Lo  [67] ETHIOPIC SYLLABLE GGA..ETHIOPIC SYLLABLE FYA
        "\u1380","\u1381","\u1382","\u1383","\u1384","\u1385","\u1386","\u1387","\u1388","\u1389","\u138a","\u138b","\u138c","\u138d","\u138e","\u138f",  # ; ALetter # Lo  [16] ETHIOPIC SYLLABLE SEBATBEIT MWA..ETHIOPIC SYLLABLE PWE
        "\u13a0","\u13a1","\u13a2","\u13a3","\u13a4","\u13a5","\u13a6","\u13a7","\u13a8","\u13a9","\u13aa","\u13ab","\u13ac","\u13ad","\u13ae","\u13af","\u13b0","\u13b1","\u13b2","\u13b3","\u13b4","\u13b5","\u13b6","\u13b7","\u13b8","\u13b9","\u13ba","\u13bb","\u13bc","\u13bd","\u13be","\u13bf","\u13c0","\u13c1","\u13c2","\u13c3","\u13c4","\u13c5","\u13c6","\u13c7","\u13c8","\u13c9","\u13ca","\u13cb","\u13cc","\u13cd","\u13ce","\u13cf","\u13d0","\u13d1","\u13d2","\u13d3","\u13d4","\u13d5","\u13d6","\u13d7","\u13d8","\u13d9","\u13da","\u13db","\u13dc","\u13dd","\u13de","\u13df","\u13e0","\u13e1","\u13e2","\u13e3","\u13e4","\u13e5","\u13e6","\u13e7","\u13e8","\u13e9","\u13ea","\u13eb","\u13ec","\u13ed","\u13ee","\u13ef","\u13f0","\u13f1","\u13f2","\u13f3","\u13f4","\u13f5",  # ; ALetter # L&  [86] CHEROKEE LETTER A..CHEROKEE LETTER MV
        "\u13f8","\u13f9","\u13fa","\u13fb","\u13fc","\u13fd",  # ; ALetter # L&   [6] CHEROKEE SMALL LETTER YE..CHEROKEE SMALL LETTER MV
        "\u1401","\u1402","\u1403","\u1404","\u1405","\u1406","\u1407","\u1408","\u1409","\u140a","\u140b","\u140c","\u140d","\u140e","\u140f","\u1410","\u1411","\u1412","\u1413","\u1414","\u1415","\u1416","\u1417","\u1418","\u1419","\u141a","\u141b","\u141c","\u141d","\u141e","\u141f","\u1420","\u1421","\u1422","\u1423","\u1424","\u1425","\u1426","\u1427","\u1428","\u1429","\u142a","\u142b","\u142c","\u142d","\u142e","\u142f","\u1430","\u1431","\u1432","\u1433","\u1434","\u1435","\u1436","\u1437","\u1438","\u1439","\u143a","\u143b","\u143c","\u143d","\u143e","\u143f","\u1440","\u1441","\u1442","\u1443","\u1444","\u1445","\u1446","\u1447","\u1448","\u1449","\u144a","\u144b","\u144c","\u144d","\u144e","\u144f","\u1450","\u1451","\u1452","\u1453","\u1454","\u1455","\u1456","\u1457","\u1458","\u1459","\u145a","\u145b","\u145c","\u145d","\u145e","\u145f","\u1460","\u1461","\u1462","\u1463","\u1464","\u1465","\u1466","\u1467","\u1468","\u1469","\u146a","\u146b","\u146c","\u146d","\u146e","\u146f","\u1470","\u1471","\u1472","\u1473","\u1474","\u1475","\u1476","\u1477","\u1478","\u1479","\u147a","\u147b","\u147c","\u147d","\u147e","\u147f","\u1480","\u1481","\u1482","\u1483","\u1484","\u1485","\u1486","\u1487","\u1488","\u1489","\u148a","\u148b","\u148c","\u148d","\u148e","\u148f","\u1490","\u1491","\u1492","\u1493","\u1494","\u1495","\u1496","\u1497","\u1498","\u1499","\u149a","\u149b","\u149c","\u149d","\u149e","\u149f","\u14a0","\u14a1","\u14a2","\u14a3","\u14a4","\u14a5","\u14a6","\u14a7","\u14a8","\u14a9","\u14aa","\u14ab","\u14ac","\u14ad","\u14ae","\u14af","\u14b0","\u14b1","\u14b2","\u14b3","\u14b4","\u14b5","\u14b6","\u14b7","\u14b8","\u14b9","\u14ba","\u14bb","\u14bc","\u14bd","\u14be","\u14bf","\u14c0","\u14c1","\u14c2","\u14c3","\u14c4","\u14c5","\u14c6","\u14c7","\u14c8","\u14c9","\u14ca","\u14cb","\u14cc","\u14cd","\u14ce","\u14cf","\u14d0","\u14d1","\u14d2","\u14d3","\u14d4","\u14d5","\u14d6","\u14d7","\u14d8","\u14d9","\u14da","\u14db","\u14dc","\u14dd","\u14de","\u14df","\u14e0","\u14e1","\u14e2","\u14e3","\u14e4","\u14e5","\u14e6","\u14e7","\u14e8","\u14e9","\u14ea","\u14eb","\u14ec","\u14ed","\u14ee","\u14ef","\u14f0","\u14f1","\u14f2","\u14f3","\u14f4","\u14f5","\u14f6","\u14f7","\u14f8","\u14f9","\u14fa","\u14fb","\u14fc","\u14fd","\u14fe","\u14ff","\u1500","\u1501","\u1502","\u1503","\u1504","\u1505","\u1506","\u1507","\u1508","\u1509","\u150a","\u150b","\u150c","\u150d","\u150e","\u150f","\u1510","\u1511","\u1512","\u1513","\u1514","\u1515","\u1516","\u1517","\u1518","\u1519","\u151a","\u151b","\u151c","\u151d","\u151e","\u151f","\u1520","\u1521","\u1522","\u1523","\u1524","\u1525","\u1526","\u1527","\u1528","\u1529","\u152a","\u152b","\u152c","\u152d","\u152e","\u152f","\u1530","\u1531","\u1532","\u1533","\u1534","\u1535","\u1536","\u1537","\u1538","\u1539","\u153a","\u153b","\u153c","\u153d","\u153e","\u153f","\u1540","\u1541","\u1542","\u1543","\u1544","\u1545","\u1546","\u1547","\u1548","\u1549","\u154a","\u154b","\u154c","\u154d","\u154e","\u154f","\u1550","\u1551","\u1552","\u1553","\u1554","\u1555","\u1556","\u1557","\u1558","\u1559","\u155a","\u155b","\u155c","\u155d","\u155e","\u155f","\u1560","\u1561","\u1562","\u1563","\u1564","\u1565","\u1566","\u1567","\u1568","\u1569","\u156a","\u156b","\u156c","\u156d","\u156e","\u156f","\u1570","\u1571","\u1572","\u1573","\u1574","\u1575","\u1576","\u1577","\u1578","\u1579","\u157a","\u157b","\u157c","\u157d","\u157e","\u157f","\u1580","\u1581","\u1582","\u1583","\u1584","\u1585","\u1586","\u1587","\u1588","\u1589","\u158a","\u158b","\u158c","\u158d","\u158e","\u158f","\u1590","\u1591","\u1592","\u1593","\u1594","\u1595","\u1596","\u1597","\u1598","\u1599","\u159a","\u159b","\u159c","\u159d","\u159e","\u159f","\u15a0","\u15a1","\u15a2","\u15a3","\u15a4","\u15a5","\u15a6","\u15a7","\u15a8","\u15a9","\u15aa","\u15ab","\u15ac","\u15ad","\u15ae","\u15af","\u15b0","\u15b1","\u15b2","\u15b3","\u15b4","\u15b5","\u15b6","\u15b7","\u15b8","\u15b9","\u15ba","\u15bb","\u15bc","\u15bd","\u15be","\u15bf","\u15c0","\u15c1","\u15c2","\u15c3","\u15c4","\u15c5","\u15c6","\u15c7","\u15c8","\u15c9","\u15ca","\u15cb","\u15cc","\u15cd","\u15ce","\u15cf","\u15d0","\u15d1","\u15d2","\u15d3","\u15d4","\u15d5","\u15d6","\u15d7","\u15d8","\u15d9","\u15da","\u15db","\u15dc","\u15dd","\u15de","\u15df","\u15e0","\u15e1","\u15e2","\u15e3","\u15e4","\u15e5","\u15e6","\u15e7","\u15e8","\u15e9","\u15ea","\u15eb","\u15ec","\u15ed","\u15ee","\u15ef","\u15f0","\u15f1","\u15f2","\u15f3","\u15f4","\u15f5","\u15f6","\u15f7","\u15f8","\u15f9","\u15fa","\u15fb","\u15fc","\u15fd","\u15fe","\u15ff","\u1600","\u1601","\u1602","\u1603","\u1604","\u1605","\u1606","\u1607","\u1608","\u1609","\u160a","\u160b","\u160c","\u160d","\u160e","\u160f","\u1610","\u1611","\u1612","\u1613","\u1614","\u1615","\u1616","\u1617","\u1618","\u1619","\u161a","\u161b","\u161c","\u161d","\u161e","\u161f","\u1620","\u1621","\u1622","\u1623","\u1624","\u1625","\u1626","\u1627","\u1628","\u1629","\u162a","\u162b","\u162c","\u162d","\u162e","\u162f","\u1630","\u1631","\u1632","\u1633","\u1634","\u1635","\u1636","\u1637","\u1638","\u1639","\u163a","\u163b","\u163c","\u163d","\u163e","\u163f","\u1640","\u1641","\u1642","\u1643","\u1644","\u1645","\u1646","\u1647","\u1648","\u1649","\u164a","\u164b","\u164c","\u164d","\u164e","\u164f","\u1650","\u1651","\u1652","\u1653","\u1654","\u1655","\u1656","\u1657","\u1658","\u1659","\u165a","\u165b","\u165c","\u165d","\u165e","\u165f","\u1660","\u1661","\u1662","\u1663","\u1664","\u1665","\u1666","\u1667","\u1668","\u1669","\u166a","\u166b","\u166c",  # ; ALetter # Lo [620] CANADIAN SYLLABICS E..CANADIAN SYLLABICS CARRIER TTSA
        "\u166f","\u1670","\u1671","\u1672","\u1673","\u1674","\u1675","\u1676","\u1677","\u1678","\u1679","\u167a","\u167b","\u167c","\u167d","\u167e","\u167f",  # ; ALetter # Lo  [17] CANADIAN SYLLABICS QAI..CANADIAN SYLLABICS BLACKFOOT W
        "\u1681","\u1682","\u1683","\u1684","\u1685","\u1686","\u1687","\u1688","\u1689","\u168a","\u168b","\u168c","\u168d","\u168e","\u168f","\u1690","\u1691","\u1692","\u1693","\u1694","\u1695","\u1696","\u1697","\u1698","\u1699","\u169a",  # ; ALetter # Lo  [26] OGHAM LETTER BEITH..OGHAM LETTER PEITH
        "\u16a0","\u16a1","\u16a2","\u16a3","\u16a4","\u16a5","\u16a6","\u16a7","\u16a8","\u16a9","\u16aa","\u16ab","\u16ac","\u16ad","\u16ae","\u16af","\u16b0","\u16b1","\u16b2","\u16b3","\u16b4","\u16b5","\u16b6","\u16b7","\u16b8","\u16b9","\u16ba","\u16bb","\u16bc","\u16bd","\u16be","\u16bf","\u16c0","\u16c1","\u16c2","\u16c3","\u16c4","\u16c5","\u16c6","\u16c7","\u16c8","\u16c9","\u16ca","\u16cb","\u16cc","\u16cd","\u16ce","\u16cf","\u16d0","\u16d1","\u16d2","\u16d3","\u16d4","\u16d5","\u16d6","\u16d7","\u16d8","\u16d9","\u16da","\u16db","\u16dc","\u16dd","\u16de","\u16df","\u16e0","\u16e1","\u16e2","\u16e3","\u16e4","\u16e5","\u16e6","\u16e7","\u16e8","\u16e9","\u16ea",  # ; ALetter # Lo  [75] RUNIC LETTER FEHU FEOH FE F..RUNIC LETTER X
        "\u16ee","\u16ef","\u16f0",  # ; ALetter # Nl   [3] RUNIC ARLAUG SYMBOL..RUNIC BELGTHOR SYMBOL
        "\u16f1","\u16f2","\u16f3","\u16f4","\u16f5","\u16f6","\u16f7","\u16f8",  # ; ALetter # Lo   [8] RUNIC LETTER K..RUNIC LETTER FRANKS CASKET AESC
        "\u1700","\u1701","\u1702","\u1703","\u1704","\u1705","\u1706","\u1707","\u1708","\u1709","\u170a","\u170b","\u170c",  # ; ALetter # Lo  [13] TAGALOG LETTER A..TAGALOG LETTER YA
        "\u170e","\u170f","\u1710","\u1711",  # ; ALetter # Lo   [4] TAGALOG LETTER LA..TAGALOG LETTER HA
        "\u1720","\u1721","\u1722","\u1723","\u1724","\u1725","\u1726","\u1727","\u1728","\u1729","\u172a","\u172b","\u172c","\u172d","\u172e","\u172f","\u1730","\u1731",  # ; ALetter # Lo  [18] HANUNOO LETTER A..HANUNOO LETTER HA
        "\u1740","\u1741","\u1742","\u1743","\u1744","\u1745","\u1746","\u1747","\u1748","\u1749","\u174a","\u174b","\u174c","\u174d","\u174e","\u174f","\u1750","\u1751",  # ; ALetter # Lo  [18] BUHID LETTER A..BUHID LETTER HA
        "\u1760","\u1761","\u1762","\u1763","\u1764","\u1765","\u1766","\u1767","\u1768","\u1769","\u176a","\u176b","\u176c",  # ; ALetter # Lo  [13] TAGBANWA LETTER A..TAGBANWA LETTER YA
        "\u176e","\u176f","\u1770",  # ; ALetter # Lo   [3] TAGBANWA LETTER LA..TAGBANWA LETTER SA
        "\u1820","\u1821","\u1822","\u1823","\u1824","\u1825","\u1826","\u1827","\u1828","\u1829","\u182a","\u182b","\u182c","\u182d","\u182e","\u182f","\u1830","\u1831","\u1832","\u1833","\u1834","\u1835","\u1836","\u1837","\u1838","\u1839","\u183a","\u183b","\u183c","\u183d","\u183e","\u183f","\u1840","\u1841","\u1842",  # ; ALetter # Lo  [35] MONGOLIAN LETTER A..MONGOLIAN LETTER CHI
        "\u1843",  # ; ALetter # Lm       MONGOLIAN LETTER TODO LONG VOWEL SIGN
        "\u1844","\u1845","\u1846","\u1847","\u1848","\u1849","\u184a","\u184b","\u184c","\u184d","\u184e","\u184f","\u1850","\u1851","\u1852","\u1853","\u1854","\u1855","\u1856","\u1857","\u1858","\u1859","\u185a","\u185b","\u185c","\u185d","\u185e","\u185f","\u1860","\u1861","\u1862","\u1863","\u1864","\u1865","\u1866","\u1867","\u1868","\u1869","\u186a","\u186b","\u186c","\u186d","\u186e","\u186f","\u1870","\u1871","\u1872","\u1873","\u1874","\u1875","\u1876","\u1877",  # ; ALetter # Lo  [52] MONGOLIAN LETTER TODO E..MONGOLIAN LETTER MANCHU ZHA
        "\u1880","\u1881","\u1882","\u1883","\u1884",  # ; ALetter # Lo   [5] MONGOLIAN LETTER ALI GALI ANUSVARA ONE..MONGOLIAN LETTER ALI GALI INVERTED UBADAMA
        "\u1887","\u1888","\u1889","\u188a","\u188b","\u188c","\u188d","\u188e","\u188f","\u1890","\u1891","\u1892","\u1893","\u1894","\u1895","\u1896","\u1897","\u1898","\u1899","\u189a","\u189b","\u189c","\u189d","\u189e","\u189f","\u18a0","\u18a1","\u18a2","\u18a3","\u18a4","\u18a5","\u18a6","\u18a7","\u18a8",  # ; ALetter # Lo  [34] MONGOLIAN LETTER ALI GALI A..MONGOLIAN LETTER MANCHU ALI GALI BHA
        "\u18AA",  # ; ALetter # Lo       MONGOLIAN LETTER MANCHU ALI GALI LHA
        "\u18b0","\u18b1","\u18b2","\u18b3","\u18b4","\u18b5","\u18b6","\u18b7","\u18b8","\u18b9","\u18ba","\u18bb","\u18bc","\u18bd","\u18be","\u18bf","\u18c0","\u18c1","\u18c2","\u18c3","\u18c4","\u18c5","\u18c6","\u18c7","\u18c8","\u18c9","\u18ca","\u18cb","\u18cc","\u18cd","\u18ce","\u18cf","\u18d0","\u18d1","\u18d2","\u18d3","\u18d4","\u18d5","\u18d6","\u18d7","\u18d8","\u18d9","\u18da","\u18db","\u18dc","\u18dd","\u18de","\u18df","\u18e0","\u18e1","\u18e2","\u18e3","\u18e4","\u18e5","\u18e6","\u18e7","\u18e8","\u18e9","\u18ea","\u18eb","\u18ec","\u18ed","\u18ee","\u18ef","\u18f0","\u18f1","\u18f2","\u18f3","\u18f4","\u18f5",  # ; ALetter # Lo  [70] CANADIAN SYLLABICS OY..CANADIAN SYLLABICS CARRIER DENTAL S
        "\u1900","\u1901","\u1902","\u1903","\u1904","\u1905","\u1906","\u1907","\u1908","\u1909","\u190a","\u190b","\u190c","\u190d","\u190e","\u190f","\u1910","\u1911","\u1912","\u1913","\u1914","\u1915","\u1916","\u1917","\u1918","\u1919","\u191a","\u191b","\u191c","\u191d","\u191e",  # ; ALetter # Lo  [31] LIMBU VOWEL-CARRIER LETTER..LIMBU LETTER TRA
        "\u1a00","\u1a01","\u1a02","\u1a03","\u1a04","\u1a05","\u1a06","\u1a07","\u1a08","\u1a09","\u1a0a","\u1a0b","\u1a0c","\u1a0d","\u1a0e","\u1a0f","\u1a10","\u1a11","\u1a12","\u1a13","\u1a14","\u1a15","\u1a16",  # ; ALetter # Lo  [23] BUGINESE LETTER KA..BUGINESE LETTER HA
        "\u1b05","\u1b06","\u1b07","\u1b08","\u1b09","\u1b0a","\u1b0b","\u1b0c","\u1b0d","\u1b0e","\u1b0f","\u1b10","\u1b11","\u1b12","\u1b13","\u1b14","\u1b15","\u1b16","\u1b17","\u1b18","\u1b19","\u1b1a","\u1b1b","\u1b1c","\u1b1d","\u1b1e","\u1b1f","\u1b20","\u1b21","\u1b22","\u1b23","\u1b24","\u1b25","\u1b26","\u1b27","\u1b28","\u1b29","\u1b2a","\u1b2b","\u1b2c","\u1b2d","\u1b2e","\u1b2f","\u1b30","\u1b31","\u1b32","\u1b33",  # ; ALetter # Lo  [47] BALINESE LETTER AKARA..BALINESE LETTER HA
        "\u1b45","\u1b46","\u1b47","\u1b48","\u1b49","\u1b4a","\u1b4b",  # ; ALetter # Lo   [7] BALINESE LETTER KAF SASAK..BALINESE LETTER ASYURA SASAK
        "\u1b83","\u1b84","\u1b85","\u1b86","\u1b87","\u1b88","\u1b89","\u1b8a","\u1b8b","\u1b8c","\u1b8d","\u1b8e","\u1b8f","\u1b90","\u1b91","\u1b92","\u1b93","\u1b94","\u1b95","\u1b96","\u1b97","\u1b98","\u1b99","\u1b9a","\u1b9b","\u1b9c","\u1b9d","\u1b9e","\u1b9f","\u1ba0",  # ; ALetter # Lo  [30] SUNDANESE LETTER A..SUNDANESE LETTER HA
        "\u1bae","\u1baf",  # ; ALetter # Lo   [2] SUNDANESE LETTER KHA..SUNDANESE LETTER SYA
        "\u1bba","\u1bbb","\u1bbc","\u1bbd","\u1bbe","\u1bbf","\u1bc0","\u1bc1","\u1bc2","\u1bc3","\u1bc4","\u1bc5","\u1bc6","\u1bc7","\u1bc8","\u1bc9","\u1bca","\u1bcb","\u1bcc","\u1bcd","\u1bce","\u1bcf","\u1bd0","\u1bd1","\u1bd2","\u1bd3","\u1bd4","\u1bd5","\u1bd6","\u1bd7","\u1bd8","\u1bd9","\u1bda","\u1bdb","\u1bdc","\u1bdd","\u1bde","\u1bdf","\u1be0","\u1be1","\u1be2","\u1be3","\u1be4","\u1be5",  # ; ALetter # Lo  [44] SUNDANESE AVAGRAHA..BATAK LETTER U
        "\u1c00","\u1c01","\u1c02","\u1c03","\u1c04","\u1c05","\u1c06","\u1c07","\u1c08","\u1c09","\u1c0a","\u1c0b","\u1c0c","\u1c0d","\u1c0e","\u1c0f","\u1c10","\u1c11","\u1c12","\u1c13","\u1c14","\u1c15","\u1c16","\u1c17","\u1c18","\u1c19","\u1c1a","\u1c1b","\u1c1c","\u1c1d","\u1c1e","\u1c1f","\u1c20","\u1c21","\u1c22","\u1c23",  # ; ALetter # Lo  [36] LEPCHA LETTER KA..LEPCHA LETTER A
        "\u1c4d","\u1c4e","\u1c4f",  # ; ALetter # Lo   [3] LEPCHA LETTER TTA..LEPCHA LETTER DDA
        "\u1c5a","\u1c5b","\u1c5c","\u1c5d","\u1c5e","\u1c5f","\u1c60","\u1c61","\u1c62","\u1c63","\u1c64","\u1c65","\u1c66","\u1c67","\u1c68","\u1c69","\u1c6a","\u1c6b","\u1c6c","\u1c6d","\u1c6e","\u1c6f","\u1c70","\u1c71","\u1c72","\u1c73","\u1c74","\u1c75","\u1c76","\u1c77",  # ; ALetter # Lo  [30] OL CHIKI LETTER LA..OL CHIKI LETTER OH
        "\u1c78","\u1c79","\u1c7a","\u1c7b","\u1c7c","\u1c7d",  # ; ALetter # Lm   [6] OL CHIKI MU TTUDDAG..OL CHIKI AHAD
        "\u1c80","\u1c81","\u1c82","\u1c83","\u1c84","\u1c85","\u1c86","\u1c87","\u1c88",  # ; ALetter # L&   [9] CYRILLIC SMALL LETTER ROUNDED VE..CYRILLIC SMALL LETTER UNBLENDED UK
        "\u1ce9","\u1cea","\u1ceb","\u1cec",  # ; ALetter # Lo   [4] VEDIC SIGN ANUSVARA ANTARGOMUKHA..VEDIC SIGN ANUSVARA VAMAGOMUKHA WITH TAIL
        "\u1cee","\u1cef","\u1cf0","\u1cf1",  # ; ALetter # Lo   [4] VEDIC SIGN HEXIFORM LONG ANUSVARA..VEDIC SIGN ANUSVARA UBHAYATO MUKHA
        "\u1cf5","\u1cf6",  # ; ALetter # Lo   [2] VEDIC SIGN JIHVAMULIYA..VEDIC SIGN UPADHMANIYA
        "\u1d00","\u1d01","\u1d02","\u1d03","\u1d04","\u1d05","\u1d06","\u1d07","\u1d08","\u1d09","\u1d0a","\u1d0b","\u1d0c","\u1d0d","\u1d0e","\u1d0f","\u1d10","\u1d11","\u1d12","\u1d13","\u1d14","\u1d15","\u1d16","\u1d17","\u1d18","\u1d19","\u1d1a","\u1d1b","\u1d1c","\u1d1d","\u1d1e","\u1d1f","\u1d20","\u1d21","\u1d22","\u1d23","\u1d24","\u1d25","\u1d26","\u1d27","\u1d28","\u1d29","\u1d2a","\u1d2b",  # ; ALetter # L&  [44] LATIN LETTER SMALL CAPITAL A..CYRILLIC LETTER SMALL CAPITAL EL
        "\u1d2c","\u1d2d","\u1d2e","\u1d2f","\u1d30","\u1d31","\u1d32","\u1d33","\u1d34","\u1d35","\u1d36","\u1d37","\u1d38","\u1d39","\u1d3a","\u1d3b","\u1d3c","\u1d3d","\u1d3e","\u1d3f","\u1d40","\u1d41","\u1d42","\u1d43","\u1d44","\u1d45","\u1d46","\u1d47","\u1d48","\u1d49","\u1d4a","\u1d4b","\u1d4c","\u1d4d","\u1d4e","\u1d4f","\u1d50","\u1d51","\u1d52","\u1d53","\u1d54","\u1d55","\u1d56","\u1d57","\u1d58","\u1d59","\u1d5a","\u1d5b","\u1d5c","\u1d5d","\u1d5e","\u1d5f","\u1d60","\u1d61","\u1d62","\u1d63","\u1d64","\u1d65","\u1d66","\u1d67","\u1d68","\u1d69","\u1d6a",  # ; ALetter # Lm  [63] MODIFIER LETTER CAPITAL A..GREEK SUBSCRIPT SMALL LETTER CHI
        "\u1d6b","\u1d6c","\u1d6d","\u1d6e","\u1d6f","\u1d70","\u1d71","\u1d72","\u1d73","\u1d74","\u1d75","\u1d76","\u1d77",  # ; ALetter # L&  [13] LATIN SMALL LETTER UE..LATIN SMALL LETTER TURNED G
        "\u1D78",  # ; ALetter # Lm       MODIFIER LETTER CYRILLIC EN
        "\u1d79","\u1d7a","\u1d7b","\u1d7c","\u1d7d","\u1d7e","\u1d7f","\u1d80","\u1d81","\u1d82","\u1d83","\u1d84","\u1d85","\u1d86","\u1d87","\u1d88","\u1d89","\u1d8a","\u1d8b","\u1d8c","\u1d8d","\u1d8e","\u1d8f","\u1d90","\u1d91","\u1d92","\u1d93","\u1d94","\u1d95","\u1d96","\u1d97","\u1d98","\u1d99","\u1d9a",  # ; ALetter # L&  [34] LATIN SMALL LETTER INSULAR G..LATIN SMALL LETTER EZH WITH RETROFLEX HOOK
        "\u1d9b","\u1d9c","\u1d9d","\u1d9e","\u1d9f","\u1da0","\u1da1","\u1da2","\u1da3","\u1da4","\u1da5","\u1da6","\u1da7","\u1da8","\u1da9","\u1daa","\u1dab","\u1dac","\u1dad","\u1dae","\u1daf","\u1db0","\u1db1","\u1db2","\u1db3","\u1db4","\u1db5","\u1db6","\u1db7","\u1db8","\u1db9","\u1dba","\u1dbb","\u1dbc","\u1dbd","\u1dbe","\u1dbf",  # ; ALetter # Lm  [37] MODIFIER LETTER SMALL TURNED ALPHA..MODIFIER LETTER SMALL THETA
        "\u1e00","\u1e01","\u1e02","\u1e03","\u1e04","\u1e05","\u1e06","\u1e07","\u1e08","\u1e09","\u1e0a","\u1e0b","\u1e0c","\u1e0d","\u1e0e","\u1e0f","\u1e10","\u1e11","\u1e12","\u1e13","\u1e14","\u1e15","\u1e16","\u1e17","\u1e18","\u1e19","\u1e1a","\u1e1b","\u1e1c","\u1e1d","\u1e1e","\u1e1f","\u1e20","\u1e21","\u1e22","\u1e23","\u1e24","\u1e25","\u1e26","\u1e27","\u1e28","\u1e29","\u1e2a","\u1e2b","\u1e2c","\u1e2d","\u1e2e","\u1e2f","\u1e30","\u1e31","\u1e32","\u1e33","\u1e34","\u1e35","\u1e36","\u1e37","\u1e38","\u1e39","\u1e3a","\u1e3b","\u1e3c","\u1e3d","\u1e3e","\u1e3f","\u1e40","\u1e41","\u1e42","\u1e43","\u1e44","\u1e45","\u1e46","\u1e47","\u1e48","\u1e49","\u1e4a","\u1e4b","\u1e4c","\u1e4d","\u1e4e","\u1e4f","\u1e50","\u1e51","\u1e52","\u1e53","\u1e54","\u1e55","\u1e56","\u1e57","\u1e58","\u1e59","\u1e5a","\u1e5b","\u1e5c","\u1e5d","\u1e5e","\u1e5f","\u1e60","\u1e61","\u1e62","\u1e63","\u1e64","\u1e65","\u1e66","\u1e67","\u1e68","\u1e69","\u1e6a","\u1e6b","\u1e6c","\u1e6d","\u1e6e","\u1e6f","\u1e70","\u1e71","\u1e72","\u1e73","\u1e74","\u1e75","\u1e76","\u1e77","\u1e78","\u1e79","\u1e7a","\u1e7b","\u1e7c","\u1e7d","\u1e7e","\u1e7f","\u1e80","\u1e81","\u1e82","\u1e83","\u1e84","\u1e85","\u1e86","\u1e87","\u1e88","\u1e89","\u1e8a","\u1e8b","\u1e8c","\u1e8d","\u1e8e","\u1e8f","\u1e90","\u1e91","\u1e92","\u1e93","\u1e94","\u1e95","\u1e96","\u1e97","\u1e98","\u1e99","\u1e9a","\u1e9b","\u1e9c","\u1e9d","\u1e9e","\u1e9f","\u1ea0","\u1ea1","\u1ea2","\u1ea3","\u1ea4","\u1ea5","\u1ea6","\u1ea7","\u1ea8","\u1ea9","\u1eaa","\u1eab","\u1eac","\u1ead","\u1eae","\u1eaf","\u1eb0","\u1eb1","\u1eb2","\u1eb3","\u1eb4","\u1eb5","\u1eb6","\u1eb7","\u1eb8","\u1eb9","\u1eba","\u1ebb","\u1ebc","\u1ebd","\u1ebe","\u1ebf","\u1ec0","\u1ec1","\u1ec2","\u1ec3","\u1ec4","\u1ec5","\u1ec6","\u1ec7","\u1ec8","\u1ec9","\u1eca","\u1ecb","\u1ecc","\u1ecd","\u1ece","\u1ecf","\u1ed0","\u1ed1","\u1ed2","\u1ed3","\u1ed4","\u1ed5","\u1ed6","\u1ed7","\u1ed8","\u1ed9","\u1eda","\u1edb","\u1edc","\u1edd","\u1ede","\u1edf","\u1ee0","\u1ee1","\u1ee2","\u1ee3","\u1ee4","\u1ee5","\u1ee6","\u1ee7","\u1ee8","\u1ee9","\u1eea","\u1eeb","\u1eec","\u1eed","\u1eee","\u1eef","\u1ef0","\u1ef1","\u1ef2","\u1ef3","\u1ef4","\u1ef5","\u1ef6","\u1ef7","\u1ef8","\u1ef9","\u1efa","\u1efb","\u1efc","\u1efd","\u1efe","\u1eff","\u1f00","\u1f01","\u1f02","\u1f03","\u1f04","\u1f05","\u1f06","\u1f07","\u1f08","\u1f09","\u1f0a","\u1f0b","\u1f0c","\u1f0d","\u1f0e","\u1f0f","\u1f10","\u1f11","\u1f12","\u1f13","\u1f14","\u1f15",  # ; ALetter # L& [278] LATIN CAPITAL LETTER A WITH RING BELOW..GREEK SMALL LETTER EPSILON WITH DASIA AND OXIA
        "\u1f18","\u1f19","\u1f1a","\u1f1b","\u1f1c","\u1f1d",  # ; ALetter # L&   [6] GREEK CAPITAL LETTER EPSILON WITH PSILI..GREEK CAPITAL LETTER EPSILON WITH DASIA AND OXIA
        "\u1f20","\u1f21","\u1f22","\u1f23","\u1f24","\u1f25","\u1f26","\u1f27","\u1f28","\u1f29","\u1f2a","\u1f2b","\u1f2c","\u1f2d","\u1f2e","\u1f2f","\u1f30","\u1f31","\u1f32","\u1f33","\u1f34","\u1f35","\u1f36","\u1f37","\u1f38","\u1f39","\u1f3a","\u1f3b","\u1f3c","\u1f3d","\u1f3e","\u1f3f","\u1f40","\u1f41","\u1f42","\u1f43","\u1f44","\u1f45",  # ; ALetter # L&  [38] GREEK SMALL LETTER ETA WITH PSILI..GREEK SMALL LETTER OMICRON WITH DASIA AND OXIA
        "\u1f48","\u1f49","\u1f4a","\u1f4b","\u1f4c","\u1f4d",  # ; ALetter # L&   [6] GREEK CAPITAL LETTER OMICRON WITH PSILI..GREEK CAPITAL LETTER OMICRON WITH DASIA AND OXIA
        "\u1f50","\u1f51","\u1f52","\u1f53","\u1f54","\u1f55","\u1f56","\u1f57",  # ; ALetter # L&   [8] GREEK SMALL LETTER UPSILON WITH PSILI..GREEK SMALL LETTER UPSILON WITH DASIA AND PERISPOMENI
        "\u1F59",  # ; ALetter # L&       GREEK CAPITAL LETTER UPSILON WITH DASIA
        "\u1F5B",  # ; ALetter # L&       GREEK CAPITAL LETTER UPSILON WITH DASIA AND VARIA
        "\u1F5D",  # ; ALetter # L&       GREEK CAPITAL LETTER UPSILON WITH DASIA AND OXIA
        "\u1f5f","\u1f60","\u1f61","\u1f62","\u1f63","\u1f64","\u1f65","\u1f66","\u1f67","\u1f68","\u1f69","\u1f6a","\u1f6b","\u1f6c","\u1f6d","\u1f6e","\u1f6f","\u1f70","\u1f71","\u1f72","\u1f73","\u1f74","\u1f75","\u1f76","\u1f77","\u1f78","\u1f79","\u1f7a","\u1f7b","\u1f7c","\u1f7d",  # ; ALetter # L&  [31] GREEK CAPITAL LETTER UPSILON WITH DASIA AND PERISPOMENI..GREEK SMALL LETTER OMEGA WITH OXIA
        "\u1f80","\u1f81","\u1f82","\u1f83","\u1f84","\u1f85","\u1f86","\u1f87","\u1f88","\u1f89","\u1f8a","\u1f8b","\u1f8c","\u1f8d","\u1f8e","\u1f8f","\u1f90","\u1f91","\u1f92","\u1f93","\u1f94","\u1f95","\u1f96","\u1f97","\u1f98","\u1f99","\u1f9a","\u1f9b","\u1f9c","\u1f9d","\u1f9e","\u1f9f","\u1fa0","\u1fa1","\u1fa2","\u1fa3","\u1fa4","\u1fa5","\u1fa6","\u1fa7","\u1fa8","\u1fa9","\u1faa","\u1fab","\u1fac","\u1fad","\u1fae","\u1faf","\u1fb0","\u1fb1","\u1fb2","\u1fb3","\u1fb4",  # ; ALetter # L&  [53] GREEK SMALL LETTER ALPHA WITH PSILI AND YPOGEGRAMMENI..GREEK SMALL LETTER ALPHA WITH OXIA AND YPOGEGRAMMENI
        "\u1fb6","\u1fb7","\u1fb8","\u1fb9","\u1fba","\u1fbb","\u1fbc",  # ; ALetter # L&   [7] GREEK SMALL LETTER ALPHA WITH PERISPOMENI..GREEK CAPITAL LETTER ALPHA WITH PROSGEGRAMMENI
        "\u1FBE",  # ; ALetter # L&       GREEK PROSGEGRAMMENI
        "\u1fc2","\u1fc3","\u1fc4",  # ; ALetter # L&   [3] GREEK SMALL LETTER ETA WITH VARIA AND YPOGEGRAMMENI..GREEK SMALL LETTER ETA WITH OXIA AND YPOGEGRAMMENI
        "\u1fc6","\u1fc7","\u1fc8","\u1fc9","\u1fca","\u1fcb","\u1fcc",  # ; ALetter # L&   [7] GREEK SMALL LETTER ETA WITH PERISPOMENI..GREEK CAPITAL LETTER ETA WITH PROSGEGRAMMENI
        "\u1fd0","\u1fd1","\u1fd2","\u1fd3",  # ; ALetter # L&   [4] GREEK SMALL LETTER IOTA WITH VRACHY..GREEK SMALL LETTER IOTA WITH DIALYTIKA AND OXIA
        "\u1fd6","\u1fd7","\u1fd8","\u1fd9","\u1fda","\u1fdb",  # ; ALetter # L&   [6] GREEK SMALL LETTER IOTA WITH PERISPOMENI..GREEK CAPITAL LETTER IOTA WITH OXIA
        "\u1fe0","\u1fe1","\u1fe2","\u1fe3","\u1fe4","\u1fe5","\u1fe6","\u1fe7","\u1fe8","\u1fe9","\u1fea","\u1feb","\u1fec",  # ; ALetter # L&  [13] GREEK SMALL LETTER UPSILON WITH VRACHY..GREEK CAPITAL LETTER RHO WITH DASIA
        "\u1ff2","\u1ff3","\u1ff4",  # ; ALetter # L&   [3] GREEK SMALL LETTER OMEGA WITH VARIA AND YPOGEGRAMMENI..GREEK SMALL LETTER OMEGA WITH OXIA AND YPOGEGRAMMENI
        "\u1ff6","\u1ff7","\u1ff8","\u1ff9","\u1ffa","\u1ffb","\u1ffc",  # ; ALetter # L&   [7] GREEK SMALL LETTER OMEGA WITH PERISPOMENI..GREEK CAPITAL LETTER OMEGA WITH PROSGEGRAMMENI
        "\u2071",  # ; ALetter # Lm       SUPERSCRIPT LATIN SMALL LETTER I
        "\u207F",  # ; ALetter # Lm       SUPERSCRIPT LATIN SMALL LETTER N
        "\u2090","\u2091","\u2092","\u2093","\u2094","\u2095","\u2096","\u2097","\u2098","\u2099","\u209a","\u209b","\u209c",  # ; ALetter # Lm  [13] LATIN SUBSCRIPT SMALL LETTER A..LATIN SUBSCRIPT SMALL LETTER T
        "\u2102",  # ; ALetter # L&       DOUBLE-STRUCK CAPITAL C
        "\u2107",  # ; ALetter # L&       EULER CONSTANT
        "\u210a","\u210b","\u210c","\u210d","\u210e","\u210f","\u2110","\u2111","\u2112","\u2113",  # ; ALetter # L&  [10] SCRIPT SMALL G..SCRIPT SMALL L
        "\u2115",  # ; ALetter # L&       DOUBLE-STRUCK CAPITAL N
        "\u2119","\u211a","\u211b","\u211c","\u211d",  # ; ALetter # L&   [5] DOUBLE-STRUCK CAPITAL P..DOUBLE-STRUCK CAPITAL R
        "\u2124",  # ; ALetter # L&       DOUBLE-STRUCK CAPITAL Z
        "\u2126",  # ; ALetter # L&       OHM SIGN
        "\u2128",  # ; ALetter # L&       BLACK-LETTER CAPITAL Z
        "\u212a","\u212b","\u212c","\u212d",  # ; ALetter # L&   [4] KELVIN SIGN..BLACK-LETTER CAPITAL C
        "\u212f","\u2130","\u2131","\u2132","\u2133","\u2134",  # ; ALetter # L&   [6] SCRIPT SMALL E..SCRIPT SMALL O
        "\u2135","\u2136","\u2137","\u2138",  # ; ALetter # Lo   [4] ALEF SYMBOL..DALET SYMBOL
        "\u2139",  # ; ALetter # L&       INFORMATION SOURCE
        "\u213c","\u213d","\u213e","\u213f",  # ; ALetter # L&   [4] DOUBLE-STRUCK SMALL PI..DOUBLE-STRUCK CAPITAL PI
        "\u2145","\u2146","\u2147","\u2148","\u2149",  # ; ALetter # L&   [5] DOUBLE-STRUCK ITALIC CAPITAL D..DOUBLE-STRUCK ITALIC SMALL J
        "\u214E",  # ; ALetter # L&       TURNED SMALL F
        "\u2160","\u2161","\u2162","\u2163","\u2164","\u2165","\u2166","\u2167","\u2168","\u2169","\u216a","\u216b","\u216c","\u216d","\u216e","\u216f","\u2170","\u2171","\u2172","\u2173","\u2174","\u2175","\u2176","\u2177","\u2178","\u2179","\u217a","\u217b","\u217c","\u217d","\u217e","\u217f","\u2180","\u2181","\u2182",  # ; ALetter # Nl  [35] ROMAN NUMERAL ONE..ROMAN NUMERAL TEN THOUSAND
        "\u2183","\u2184",  # ; ALetter # L&   [2] ROMAN NUMERAL REVERSED ONE HUNDRED..LATIN SMALL LETTER REVERSED C
        "\u2185","\u2186","\u2187","\u2188",  # ; ALetter # Nl   [4] ROMAN NUMERAL SIX LATE FORM..ROMAN NUMERAL ONE HUNDRED THOUSAND
        "\u24b6","\u24b7","\u24b8","\u24b9","\u24ba","\u24bb","\u24bc","\u24bd","\u24be","\u24bf","\u24c0","\u24c1","\u24c2","\u24c3","\u24c4","\u24c5","\u24c6","\u24c7","\u24c8","\u24c9","\u24ca","\u24cb","\u24cc","\u24cd","\u24ce","\u24cf","\u24d0","\u24d1","\u24d2","\u24d3","\u24d4","\u24d5","\u24d6","\u24d7","\u24d8","\u24d9","\u24da","\u24db","\u24dc","\u24dd","\u24de","\u24df","\u24e0","\u24e1","\u24e2","\u24e3","\u24e4","\u24e5","\u24e6","\u24e7","\u24e8","\u24e9",  # ; ALetter # So  [52] CIRCLED LATIN CAPITAL LETTER A..CIRCLED LATIN SMALL LETTER Z
        "\u2c00","\u2c01","\u2c02","\u2c03","\u2c04","\u2c05","\u2c06","\u2c07","\u2c08","\u2c09","\u2c0a","\u2c0b","\u2c0c","\u2c0d","\u2c0e","\u2c0f","\u2c10","\u2c11","\u2c12","\u2c13","\u2c14","\u2c15","\u2c16","\u2c17","\u2c18","\u2c19","\u2c1a","\u2c1b","\u2c1c","\u2c1d","\u2c1e","\u2c1f","\u2c20","\u2c21","\u2c22","\u2c23","\u2c24","\u2c25","\u2c26","\u2c27","\u2c28","\u2c29","\u2c2a","\u2c2b","\u2c2c","\u2c2d","\u2c2e",  # ; ALetter # L&  [47] GLAGOLITIC CAPITAL LETTER AZU..GLAGOLITIC CAPITAL LETTER LATINATE MYSLITE
        "\u2c30","\u2c31","\u2c32","\u2c33","\u2c34","\u2c35","\u2c36","\u2c37","\u2c38","\u2c39","\u2c3a","\u2c3b","\u2c3c","\u2c3d","\u2c3e","\u2c3f","\u2c40","\u2c41","\u2c42","\u2c43","\u2c44","\u2c45","\u2c46","\u2c47","\u2c48","\u2c49","\u2c4a","\u2c4b","\u2c4c","\u2c4d","\u2c4e","\u2c4f","\u2c50","\u2c51","\u2c52","\u2c53","\u2c54","\u2c55","\u2c56","\u2c57","\u2c58","\u2c59","\u2c5a","\u2c5b","\u2c5c","\u2c5d","\u2c5e",  # ; ALetter # L&  [47] GLAGOLITIC SMALL LETTER AZU..GLAGOLITIC SMALL LETTER LATINATE MYSLITE
        "\u2c60","\u2c61","\u2c62","\u2c63","\u2c64","\u2c65","\u2c66","\u2c67","\u2c68","\u2c69","\u2c6a","\u2c6b","\u2c6c","\u2c6d","\u2c6e","\u2c6f","\u2c70","\u2c71","\u2c72","\u2c73","\u2c74","\u2c75","\u2c76","\u2c77","\u2c78","\u2c79","\u2c7a","\u2c7b",  # ; ALetter # L&  [28] LATIN CAPITAL LETTER L WITH DOUBLE BAR..LATIN LETTER SMALL CAPITAL TURNED E
        "\u2c7c","\u2c7d",  # ; ALetter # Lm   [2] LATIN SUBSCRIPT SMALL LETTER J..MODIFIER LETTER CAPITAL V
        "\u2c7e","\u2c7f","\u2c80","\u2c81","\u2c82","\u2c83","\u2c84","\u2c85","\u2c86","\u2c87","\u2c88","\u2c89","\u2c8a","\u2c8b","\u2c8c","\u2c8d","\u2c8e","\u2c8f","\u2c90","\u2c91","\u2c92","\u2c93","\u2c94","\u2c95","\u2c96","\u2c97","\u2c98","\u2c99","\u2c9a","\u2c9b","\u2c9c","\u2c9d","\u2c9e","\u2c9f","\u2ca0","\u2ca1","\u2ca2","\u2ca3","\u2ca4","\u2ca5","\u2ca6","\u2ca7","\u2ca8","\u2ca9","\u2caa","\u2cab","\u2cac","\u2cad","\u2cae","\u2caf","\u2cb0","\u2cb1","\u2cb2","\u2cb3","\u2cb4","\u2cb5","\u2cb6","\u2cb7","\u2cb8","\u2cb9","\u2cba","\u2cbb","\u2cbc","\u2cbd","\u2cbe","\u2cbf","\u2cc0","\u2cc1","\u2cc2","\u2cc3","\u2cc4","\u2cc5","\u2cc6","\u2cc7","\u2cc8","\u2cc9","\u2cca","\u2ccb","\u2ccc","\u2ccd","\u2cce","\u2ccf","\u2cd0","\u2cd1","\u2cd2","\u2cd3","\u2cd4","\u2cd5","\u2cd6","\u2cd7","\u2cd8","\u2cd9","\u2cda","\u2cdb","\u2cdc","\u2cdd","\u2cde","\u2cdf","\u2ce0","\u2ce1","\u2ce2","\u2ce3","\u2ce4",  # ; ALetter # L& [103] LATIN CAPITAL LETTER S WITH SWASH TAIL..COPTIC SYMBOL KAI
        "\u2ceb","\u2cec","\u2ced","\u2cee",  # ; ALetter # L&   [4] COPTIC CAPITAL LETTER CRYPTOGRAMMIC SHEI..COPTIC SMALL LETTER CRYPTOGRAMMIC GANGIA
        "\u2cf2","\u2cf3",  # ; ALetter # L&   [2] COPTIC CAPITAL LETTER BOHAIRIC KHEI..COPTIC SMALL LETTER BOHAIRIC KHEI
        "\u2d00","\u2d01","\u2d02","\u2d03","\u2d04","\u2d05","\u2d06","\u2d07","\u2d08","\u2d09","\u2d0a","\u2d0b","\u2d0c","\u2d0d","\u2d0e","\u2d0f","\u2d10","\u2d11","\u2d12","\u2d13","\u2d14","\u2d15","\u2d16","\u2d17","\u2d18","\u2d19","\u2d1a","\u2d1b","\u2d1c","\u2d1d","\u2d1e","\u2d1f","\u2d20","\u2d21","\u2d22","\u2d23","\u2d24","\u2d25",  # ; ALetter # L&  [38] GEORGIAN SMALL LETTER AN..GEORGIAN SMALL LETTER HOE
        "\u2D27",  # ; ALetter # L&       GEORGIAN SMALL LETTER YN
        "\u2D2D",  # ; ALetter # L&       GEORGIAN SMALL LETTER AEN
        "\u2d30","\u2d31","\u2d32","\u2d33","\u2d34","\u2d35","\u2d36","\u2d37","\u2d38","\u2d39","\u2d3a","\u2d3b","\u2d3c","\u2d3d","\u2d3e","\u2d3f","\u2d40","\u2d41","\u2d42","\u2d43","\u2d44","\u2d45","\u2d46","\u2d47","\u2d48","\u2d49","\u2d4a","\u2d4b","\u2d4c","\u2d4d","\u2d4e","\u2d4f","\u2d50","\u2d51","\u2d52","\u2d53","\u2d54","\u2d55","\u2d56","\u2d57","\u2d58","\u2d59","\u2d5a","\u2d5b","\u2d5c","\u2d5d","\u2d5e","\u2d5f","\u2d60","\u2d61","\u2d62","\u2d63","\u2d64","\u2d65","\u2d66","\u2d67",  # ; ALetter # Lo  [56] TIFINAGH LETTER YA..TIFINAGH LETTER YO
        "\u2D6F",  # ; ALetter # Lm       TIFINAGH MODIFIER LETTER LABIALIZATION MARK
        "\u2d80","\u2d81","\u2d82","\u2d83","\u2d84","\u2d85","\u2d86","\u2d87","\u2d88","\u2d89","\u2d8a","\u2d8b","\u2d8c","\u2d8d","\u2d8e","\u2d8f","\u2d90","\u2d91","\u2d92","\u2d93","\u2d94","\u2d95","\u2d96",  # ; ALetter # Lo  [23] ETHIOPIC SYLLABLE LOA..ETHIOPIC SYLLABLE GGWE
        "\u2da0","\u2da1","\u2da2","\u2da3","\u2da4","\u2da5","\u2da6",  # ; ALetter # Lo   [7] ETHIOPIC SYLLABLE SSA..ETHIOPIC SYLLABLE SSO
        "\u2da8","\u2da9","\u2daa","\u2dab","\u2dac","\u2dad","\u2dae",  # ; ALetter # Lo   [7] ETHIOPIC SYLLABLE CCA..ETHIOPIC SYLLABLE CCO
        "\u2db0","\u2db1","\u2db2","\u2db3","\u2db4","\u2db5","\u2db6",  # ; ALetter # Lo   [7] ETHIOPIC SYLLABLE ZZA..ETHIOPIC SYLLABLE ZZO
        "\u2db8","\u2db9","\u2dba","\u2dbb","\u2dbc","\u2dbd","\u2dbe",  # ; ALetter # Lo   [7] ETHIOPIC SYLLABLE CCHA..ETHIOPIC SYLLABLE CCHO
        "\u2dc0","\u2dc1","\u2dc2","\u2dc3","\u2dc4","\u2dc5","\u2dc6",  # ; ALetter # Lo   [7] ETHIOPIC SYLLABLE QYA..ETHIOPIC SYLLABLE QYO
        "\u2dc8","\u2dc9","\u2dca","\u2dcb","\u2dcc","\u2dcd","\u2dce",  # ; ALetter # Lo   [7] ETHIOPIC SYLLABLE KYA..ETHIOPIC SYLLABLE KYO
        "\u2dd0","\u2dd1","\u2dd2","\u2dd3","\u2dd4","\u2dd5","\u2dd6",  # ; ALetter # Lo   [7] ETHIOPIC SYLLABLE XYA..ETHIOPIC SYLLABLE XYO
        "\u2dd8","\u2dd9","\u2dda","\u2ddb","\u2ddc","\u2ddd","\u2dde",  # ; ALetter # Lo   [7] ETHIOPIC SYLLABLE GYA..ETHIOPIC SYLLABLE GYO
        "\u2E2F",  # ; ALetter # Lm       VERTICAL TILDE
        "\u3005",  # ; ALetter # Lm       IDEOGRAPHIC ITERATION MARK
        "\u303B",  # ; ALetter # Lm       VERTICAL IDEOGRAPHIC ITERATION MARK
        "\u303C",  # ; ALetter # Lo       MASU MARK
        "\u3105","\u3106","\u3107","\u3108","\u3109","\u310a","\u310b","\u310c","\u310d","\u310e","\u310f","\u3110","\u3111","\u3112","\u3113","\u3114","\u3115","\u3116","\u3117","\u3118","\u3119","\u311a","\u311b","\u311c","\u311d","\u311e","\u311f","\u3120","\u3121","\u3122","\u3123","\u3124","\u3125","\u3126","\u3127","\u3128","\u3129","\u312a","\u312b","\u312c","\u312d","\u312e",  # ; ALetter # Lo  [42] BOPOMOFO LETTER B..BOPOMOFO LETTER O WITH DOT ABOVE
        "\u3131","\u3132","\u3133","\u3134","\u3135","\u3136","\u3137","\u3138","\u3139","\u313a","\u313b","\u313c","\u313d","\u313e","\u313f","\u3140","\u3141","\u3142","\u3143","\u3144","\u3145","\u3146","\u3147","\u3148","\u3149","\u314a","\u314b","\u314c","\u314d","\u314e","\u314f","\u3150","\u3151","\u3152","\u3153","\u3154","\u3155","\u3156","\u3157","\u3158","\u3159","\u315a","\u315b","\u315c","\u315d","\u315e","\u315f","\u3160","\u3161","\u3162","\u3163","\u3164","\u3165","\u3166","\u3167","\u3168","\u3169","\u316a","\u316b","\u316c","\u316d","\u316e","\u316f","\u3170","\u3171","\u3172","\u3173","\u3174","\u3175","\u3176","\u3177","\u3178","\u3179","\u317a","\u317b","\u317c","\u317d","\u317e","\u317f","\u3180","\u3181","\u3182","\u3183","\u3184","\u3185","\u3186","\u3187","\u3188","\u3189","\u318a","\u318b","\u318c","\u318d","\u318e",  # ; ALetter # Lo  [94] HANGUL LETTER KIYEOK..HANGUL LETTER ARAEAE
        "\u31a0","\u31a1","\u31a2","\u31a3","\u31a4","\u31a5","\u31a6","\u31a7","\u31a8","\u31a9","\u31aa","\u31ab","\u31ac","\u31ad","\u31ae","\u31af","\u31b0","\u31b1","\u31b2","\u31b3","\u31b4","\u31b5","\u31b6","\u31b7","\u31b8","\u31b9","\u31ba",  # ; ALetter # Lo  [27] BOPOMOFO LETTER BU..BOPOMOFO LETTER ZY
        "\ua000","\ua001","\ua002","\ua003","\ua004","\ua005","\ua006","\ua007","\ua008","\ua009","\ua00a","\ua00b","\ua00c","\ua00d","\ua00e","\ua00f","\ua010","\ua011","\ua012","\ua013","\ua014",  # ; ALetter # Lo  [21] YI SYLLABLE IT..YI SYLLABLE E
        "\uA015",  # ; ALetter # Lm       YI SYLLABLE WU
        "\ua016","\ua017","\ua018","\ua019","\ua01a","\ua01b","\ua01c","\ua01d","\ua01e","\ua01f","\ua020","\ua021","\ua022","\ua023","\ua024","\ua025","\ua026","\ua027","\ua028","\ua029","\ua02a","\ua02b","\ua02c","\ua02d","\ua02e","\ua02f","\ua030","\ua031","\ua032","\ua033","\ua034","\ua035","\ua036","\ua037","\ua038","\ua039","\ua03a","\ua03b","\ua03c","\ua03d","\ua03e","\ua03f","\ua040","\ua041","\ua042","\ua043","\ua044","\ua045","\ua046","\ua047","\ua048","\ua049","\ua04a","\ua04b","\ua04c","\ua04d","\ua04e","\ua04f","\ua050","\ua051","\ua052","\ua053","\ua054","\ua055","\ua056","\ua057","\ua058","\ua059","\ua05a","\ua05b","\ua05c","\ua05d","\ua05e","\ua05f","\ua060","\ua061","\ua062","\ua063","\ua064","\ua065","\ua066","\ua067","\ua068","\ua069","\ua06a","\ua06b","\ua06c","\ua06d","\ua06e","\ua06f","\ua070","\ua071","\ua072","\ua073","\ua074","\ua075","\ua076","\ua077","\ua078","\ua079","\ua07a","\ua07b","\ua07c","\ua07d","\ua07e","\ua07f","\ua080","\ua081","\ua082","\ua083","\ua084","\ua085","\ua086","\ua087","\ua088","\ua089","\ua08a","\ua08b","\ua08c","\ua08d","\ua08e","\ua08f","\ua090","\ua091","\ua092","\ua093","\ua094","\ua095","\ua096","\ua097","\ua098","\ua099","\ua09a","\ua09b","\ua09c","\ua09d","\ua09e","\ua09f","\ua0a0","\ua0a1","\ua0a2","\ua0a3","\ua0a4","\ua0a5","\ua0a6","\ua0a7","\ua0a8","\ua0a9","\ua0aa","\ua0ab","\ua0ac","\ua0ad","\ua0ae","\ua0af","\ua0b0","\ua0b1","\ua0b2","\ua0b3","\ua0b4","\ua0b5","\ua0b6","\ua0b7","\ua0b8","\ua0b9","\ua0ba","\ua0bb","\ua0bc","\ua0bd","\ua0be","\ua0bf","\ua0c0","\ua0c1","\ua0c2","\ua0c3","\ua0c4","\ua0c5","\ua0c6","\ua0c7","\ua0c8","\ua0c9","\ua0ca","\ua0cb","\ua0cc","\ua0cd","\ua0ce","\ua0cf","\ua0d0","\ua0d1","\ua0d2","\ua0d3","\ua0d4","\ua0d5","\ua0d6","\ua0d7","\ua0d8","\ua0d9","\ua0da","\ua0db","\ua0dc","\ua0dd","\ua0de","\ua0df","\ua0e0","\ua0e1","\ua0e2","\ua0e3","\ua0e4","\ua0e5","\ua0e6","\ua0e7","\ua0e8","\ua0e9","\ua0ea","\ua0eb","\ua0ec","\ua0ed","\ua0ee","\ua0ef","\ua0f0","\ua0f1","\ua0f2","\ua0f3","\ua0f4","\ua0f5","\ua0f6","\ua0f7","\ua0f8","\ua0f9","\ua0fa","\ua0fb","\ua0fc","\ua0fd","\ua0fe","\ua0ff","\ua100","\ua101","\ua102","\ua103","\ua104","\ua105","\ua106","\ua107","\ua108","\ua109","\ua10a","\ua10b","\ua10c","\ua10d","\ua10e","\ua10f","\ua110","\ua111","\ua112","\ua113","\ua114","\ua115","\ua116","\ua117","\ua118","\ua119","\ua11a","\ua11b","\ua11c","\ua11d","\ua11e","\ua11f","\ua120","\ua121","\ua122","\ua123","\ua124","\ua125","\ua126","\ua127","\ua128","\ua129","\ua12a","\ua12b","\ua12c","\ua12d","\ua12e","\ua12f","\ua130","\ua131","\ua132","\ua133","\ua134","\ua135","\ua136","\ua137","\ua138","\ua139","\ua13a","\ua13b","\ua13c","\ua13d","\ua13e","\ua13f","\ua140","\ua141","\ua142","\ua143","\ua144","\ua145","\ua146","\ua147","\ua148","\ua149","\ua14a","\ua14b","\ua14c","\ua14d","\ua14e","\ua14f","\ua150","\ua151","\ua152","\ua153","\ua154","\ua155","\ua156","\ua157","\ua158","\ua159","\ua15a","\ua15b","\ua15c","\ua15d","\ua15e","\ua15f","\ua160","\ua161","\ua162","\ua163","\ua164","\ua165","\ua166","\ua167","\ua168","\ua169","\ua16a","\ua16b","\ua16c","\ua16d","\ua16e","\ua16f","\ua170","\ua171","\ua172","\ua173","\ua174","\ua175","\ua176","\ua177","\ua178","\ua179","\ua17a","\ua17b","\ua17c","\ua17d","\ua17e","\ua17f","\ua180","\ua181","\ua182","\ua183","\ua184","\ua185","\ua186","\ua187","\ua188","\ua189","\ua18a","\ua18b","\ua18c","\ua18d","\ua18e","\ua18f","\ua190","\ua191","\ua192","\ua193","\ua194","\ua195","\ua196","\ua197","\ua198","\ua199","\ua19a","\ua19b","\ua19c","\ua19d","\ua19e","\ua19f","\ua1a0","\ua1a1","\ua1a2","\ua1a3","\ua1a4","\ua1a5","\ua1a6","\ua1a7","\ua1a8","\ua1a9","\ua1aa","\ua1ab","\ua1ac","\ua1ad","\ua1ae","\ua1af","\ua1b0","\ua1b1","\ua1b2","\ua1b3","\ua1b4","\ua1b5","\ua1b6","\ua1b7","\ua1b8","\ua1b9","\ua1ba","\ua1bb","\ua1bc","\ua1bd","\ua1be","\ua1bf","\ua1c0","\ua1c1","\ua1c2","\ua1c3","\ua1c4","\ua1c5","\ua1c6","\ua1c7","\ua1c8","\ua1c9","\ua1ca","\ua1cb","\ua1cc","\ua1cd","\ua1ce","\ua1cf","\ua1d0","\ua1d1","\ua1d2","\ua1d3","\ua1d4","\ua1d5","\ua1d6","\ua1d7","\ua1d8","\ua1d9","\ua1da","\ua1db","\ua1dc","\ua1dd","\ua1de","\ua1df","\ua1e0","\ua1e1","\ua1e2","\ua1e3","\ua1e4","\ua1e5","\ua1e6","\ua1e7","\ua1e8","\ua1e9","\ua1ea","\ua1eb","\ua1ec","\ua1ed","\ua1ee","\ua1ef","\ua1f0","\ua1f1","\ua1f2","\ua1f3","\ua1f4","\ua1f5","\ua1f6","\ua1f7","\ua1f8","\ua1f9","\ua1fa","\ua1fb","\ua1fc","\ua1fd","\ua1fe","\ua1ff","\ua200","\ua201","\ua202","\ua203","\ua204","\ua205","\ua206","\ua207","\ua208","\ua209","\ua20a","\ua20b","\ua20c","\ua20d","\ua20e","\ua20f","\ua210","\ua211","\ua212","\ua213","\ua214","\ua215","\ua216","\ua217","\ua218","\ua219","\ua21a","\ua21b","\ua21c","\ua21d","\ua21e","\ua21f","\ua220","\ua221","\ua222","\ua223","\ua224","\ua225","\ua226","\ua227","\ua228","\ua229","\ua22a","\ua22b","\ua22c","\ua22d","\ua22e","\ua22f","\ua230","\ua231","\ua232","\ua233","\ua234","\ua235","\ua236","\ua237","\ua238","\ua239","\ua23a","\ua23b","\ua23c","\ua23d","\ua23e","\ua23f","\ua240","\ua241","\ua242","\ua243","\ua244","\ua245","\ua246","\ua247","\ua248","\ua249","\ua24a","\ua24b","\ua24c","\ua24d","\ua24e","\ua24f","\ua250","\ua251","\ua252","\ua253","\ua254","\ua255","\ua256","\ua257","\ua258","\ua259","\ua25a","\ua25b","\ua25c","\ua25d","\ua25e","\ua25f","\ua260","\ua261","\ua262","\ua263","\ua264","\ua265","\ua266","\ua267","\ua268","\ua269","\ua26a","\ua26b","\ua26c","\ua26d","\ua26e","\ua26f","\ua270","\ua271","\ua272","\ua273","\ua274","\ua275","\ua276","\ua277","\ua278","\ua279","\ua27a","\ua27b","\ua27c","\ua27d","\ua27e","\ua27f","\ua280","\ua281","\ua282","\ua283","\ua284","\ua285","\ua286","\ua287","\ua288","\ua289","\ua28a","\ua28b","\ua28c","\ua28d","\ua28e","\ua28f","\ua290","\ua291","\ua292","\ua293","\ua294","\ua295","\ua296","\ua297","\ua298","\ua299","\ua29a","\ua29b","\ua29c","\ua29d","\ua29e","\ua29f","\ua2a0","\ua2a1","\ua2a2","\ua2a3","\ua2a4","\ua2a5","\ua2a6","\ua2a7","\ua2a8","\ua2a9","\ua2aa","\ua2ab","\ua2ac","\ua2ad","\ua2ae","\ua2af","\ua2b0","\ua2b1","\ua2b2","\ua2b3","\ua2b4","\ua2b5","\ua2b6","\ua2b7","\ua2b8","\ua2b9","\ua2ba","\ua2bb","\ua2bc","\ua2bd","\ua2be","\ua2bf","\ua2c0","\ua2c1","\ua2c2","\ua2c3","\ua2c4","\ua2c5","\ua2c6","\ua2c7","\ua2c8","\ua2c9","\ua2ca","\ua2cb","\ua2cc","\ua2cd","\ua2ce","\ua2cf","\ua2d0","\ua2d1","\ua2d2","\ua2d3","\ua2d4","\ua2d5","\ua2d6","\ua2d7","\ua2d8","\ua2d9","\ua2da","\ua2db","\ua2dc","\ua2dd","\ua2de","\ua2df","\ua2e0","\ua2e1","\ua2e2","\ua2e3","\ua2e4","\ua2e5","\ua2e6","\ua2e7","\ua2e8","\ua2e9","\ua2ea","\ua2eb","\ua2ec","\ua2ed","\ua2ee","\ua2ef","\ua2f0","\ua2f1","\ua2f2","\ua2f3","\ua2f4","\ua2f5","\ua2f6","\ua2f7","\ua2f8","\ua2f9","\ua2fa","\ua2fb","\ua2fc","\ua2fd","\ua2fe","\ua2ff","\ua300","\ua301","\ua302","\ua303","\ua304","\ua305","\ua306","\ua307","\ua308","\ua309","\ua30a","\ua30b","\ua30c","\ua30d","\ua30e","\ua30f","\ua310","\ua311","\ua312","\ua313","\ua314","\ua315","\ua316","\ua317","\ua318","\ua319","\ua31a","\ua31b","\ua31c","\ua31d","\ua31e","\ua31f","\ua320","\ua321","\ua322","\ua323","\ua324","\ua325","\ua326","\ua327","\ua328","\ua329","\ua32a","\ua32b","\ua32c","\ua32d","\ua32e","\ua32f","\ua330","\ua331","\ua332","\ua333","\ua334","\ua335","\ua336","\ua337","\ua338","\ua339","\ua33a","\ua33b","\ua33c","\ua33d","\ua33e","\ua33f","\ua340","\ua341","\ua342","\ua343","\ua344","\ua345","\ua346","\ua347","\ua348","\ua349","\ua34a","\ua34b","\ua34c","\ua34d","\ua34e","\ua34f","\ua350","\ua351","\ua352","\ua353","\ua354","\ua355","\ua356","\ua357","\ua358","\ua359","\ua35a","\ua35b","\ua35c","\ua35d","\ua35e","\ua35f","\ua360","\ua361","\ua362","\ua363","\ua364","\ua365","\ua366","\ua367","\ua368","\ua369","\ua36a","\ua36b","\ua36c","\ua36d","\ua36e","\ua36f","\ua370","\ua371","\ua372","\ua373","\ua374","\ua375","\ua376","\ua377","\ua378","\ua379","\ua37a","\ua37b","\ua37c","\ua37d","\ua37e","\ua37f","\ua380","\ua381","\ua382","\ua383","\ua384","\ua385","\ua386","\ua387","\ua388","\ua389","\ua38a","\ua38b","\ua38c","\ua38d","\ua38e","\ua38f","\ua390","\ua391","\ua392","\ua393","\ua394","\ua395","\ua396","\ua397","\ua398","\ua399","\ua39a","\ua39b","\ua39c","\ua39d","\ua39e","\ua39f","\ua3a0","\ua3a1","\ua3a2","\ua3a3","\ua3a4","\ua3a5","\ua3a6","\ua3a7","\ua3a8","\ua3a9","\ua3aa","\ua3ab","\ua3ac","\ua3ad","\ua3ae","\ua3af","\ua3b0","\ua3b1","\ua3b2","\ua3b3","\ua3b4","\ua3b5","\ua3b6","\ua3b7","\ua3b8","\ua3b9","\ua3ba","\ua3bb","\ua3bc","\ua3bd","\ua3be","\ua3bf","\ua3c0","\ua3c1","\ua3c2","\ua3c3","\ua3c4","\ua3c5","\ua3c6","\ua3c7","\ua3c8","\ua3c9","\ua3ca","\ua3cb","\ua3cc","\ua3cd","\ua3ce","\ua3cf","\ua3d0","\ua3d1","\ua3d2","\ua3d3","\ua3d4","\ua3d5","\ua3d6","\ua3d7","\ua3d8","\ua3d9","\ua3da","\ua3db","\ua3dc","\ua3dd","\ua3de","\ua3df","\ua3e0","\ua3e1","\ua3e2","\ua3e3","\ua3e4","\ua3e5","\ua3e6","\ua3e7","\ua3e8","\ua3e9","\ua3ea","\ua3eb","\ua3ec","\ua3ed","\ua3ee","\ua3ef","\ua3f0","\ua3f1","\ua3f2","\ua3f3","\ua3f4","\ua3f5","\ua3f6","\ua3f7","\ua3f8","\ua3f9","\ua3fa","\ua3fb","\ua3fc","\ua3fd","\ua3fe","\ua3ff","\ua400","\ua401","\ua402","\ua403","\ua404","\ua405","\ua406","\ua407","\ua408","\ua409","\ua40a","\ua40b","\ua40c","\ua40d","\ua40e","\ua40f","\ua410","\ua411","\ua412","\ua413","\ua414","\ua415","\ua416","\ua417","\ua418","\ua419","\ua41a","\ua41b","\ua41c","\ua41d","\ua41e","\ua41f","\ua420","\ua421","\ua422","\ua423","\ua424","\ua425","\ua426","\ua427","\ua428","\ua429","\ua42a","\ua42b","\ua42c","\ua42d","\ua42e","\ua42f","\ua430","\ua431","\ua432","\ua433","\ua434","\ua435","\ua436","\ua437","\ua438","\ua439","\ua43a","\ua43b","\ua43c","\ua43d","\ua43e","\ua43f","\ua440","\ua441","\ua442","\ua443","\ua444","\ua445","\ua446","\ua447","\ua448","\ua449","\ua44a","\ua44b","\ua44c","\ua44d","\ua44e","\ua44f","\ua450","\ua451","\ua452","\ua453","\ua454","\ua455","\ua456","\ua457","\ua458","\ua459","\ua45a","\ua45b","\ua45c","\ua45d","\ua45e","\ua45f","\ua460","\ua461","\ua462","\ua463","\ua464","\ua465","\ua466","\ua467","\ua468","\ua469","\ua46a","\ua46b","\ua46c","\ua46d","\ua46e","\ua46f","\ua470","\ua471","\ua472","\ua473","\ua474","\ua475","\ua476","\ua477","\ua478","\ua479","\ua47a","\ua47b","\ua47c","\ua47d","\ua47e","\ua47f","\ua480","\ua481","\ua482","\ua483","\ua484","\ua485","\ua486","\ua487","\ua488","\ua489","\ua48a","\ua48b","\ua48c",  # ; ALetter # Lo [1143] YI SYLLABLE BIT..YI SYLLABLE YYR
        "\ua4d0","\ua4d1","\ua4d2","\ua4d3","\ua4d4","\ua4d5","\ua4d6","\ua4d7","\ua4d8","\ua4d9","\ua4da","\ua4db","\ua4dc","\ua4dd","\ua4de","\ua4df","\ua4e0","\ua4e1","\ua4e2","\ua4e3","\ua4e4","\ua4e5","\ua4e6","\ua4e7","\ua4e8","\ua4e9","\ua4ea","\ua4eb","\ua4ec","\ua4ed","\ua4ee","\ua4ef","\ua4f0","\ua4f1","\ua4f2","\ua4f3","\ua4f4","\ua4f5","\ua4f6","\ua4f7",  # ; ALetter # Lo  [40] LISU LETTER BA..LISU LETTER OE
        "\ua4f8","\ua4f9","\ua4fa","\ua4fb","\ua4fc","\ua4fd",  # ; ALetter # Lm   [6] LISU LETTER TONE MYA TI..LISU LETTER TONE MYA JEU
        "\ua500","\ua501","\ua502","\ua503","\ua504","\ua505","\ua506","\ua507","\ua508","\ua509","\ua50a","\ua50b","\ua50c","\ua50d","\ua50e","\ua50f","\ua510","\ua511","\ua512","\ua513","\ua514","\ua515","\ua516","\ua517","\ua518","\ua519","\ua51a","\ua51b","\ua51c","\ua51d","\ua51e","\ua51f","\ua520","\ua521","\ua522","\ua523","\ua524","\ua525","\ua526","\ua527","\ua528","\ua529","\ua52a","\ua52b","\ua52c","\ua52d","\ua52e","\ua52f","\ua530","\ua531","\ua532","\ua533","\ua534","\ua535","\ua536","\ua537","\ua538","\ua539","\ua53a","\ua53b","\ua53c","\ua53d","\ua53e","\ua53f","\ua540","\ua541","\ua542","\ua543","\ua544","\ua545","\ua546","\ua547","\ua548","\ua549","\ua54a","\ua54b","\ua54c","\ua54d","\ua54e","\ua54f","\ua550","\ua551","\ua552","\ua553","\ua554","\ua555","\ua556","\ua557","\ua558","\ua559","\ua55a","\ua55b","\ua55c","\ua55d","\ua55e","\ua55f","\ua560","\ua561","\ua562","\ua563","\ua564","\ua565","\ua566","\ua567","\ua568","\ua569","\ua56a","\ua56b","\ua56c","\ua56d","\ua56e","\ua56f","\ua570","\ua571","\ua572","\ua573","\ua574","\ua575","\ua576","\ua577","\ua578","\ua579","\ua57a","\ua57b","\ua57c","\ua57d","\ua57e","\ua57f","\ua580","\ua581","\ua582","\ua583","\ua584","\ua585","\ua586","\ua587","\ua588","\ua589","\ua58a","\ua58b","\ua58c","\ua58d","\ua58e","\ua58f","\ua590","\ua591","\ua592","\ua593","\ua594","\ua595","\ua596","\ua597","\ua598","\ua599","\ua59a","\ua59b","\ua59c","\ua59d","\ua59e","\ua59f","\ua5a0","\ua5a1","\ua5a2","\ua5a3","\ua5a4","\ua5a5","\ua5a6","\ua5a7","\ua5a8","\ua5a9","\ua5aa","\ua5ab","\ua5ac","\ua5ad","\ua5ae","\ua5af","\ua5b0","\ua5b1","\ua5b2","\ua5b3","\ua5b4","\ua5b5","\ua5b6","\ua5b7","\ua5b8","\ua5b9","\ua5ba","\ua5bb","\ua5bc","\ua5bd","\ua5be","\ua5bf","\ua5c0","\ua5c1","\ua5c2","\ua5c3","\ua5c4","\ua5c5","\ua5c6","\ua5c7","\ua5c8","\ua5c9","\ua5ca","\ua5cb","\ua5cc","\ua5cd","\ua5ce","\ua5cf","\ua5d0","\ua5d1","\ua5d2","\ua5d3","\ua5d4","\ua5d5","\ua5d6","\ua5d7","\ua5d8","\ua5d9","\ua5da","\ua5db","\ua5dc","\ua5dd","\ua5de","\ua5df","\ua5e0","\ua5e1","\ua5e2","\ua5e3","\ua5e4","\ua5e5","\ua5e6","\ua5e7","\ua5e8","\ua5e9","\ua5ea","\ua5eb","\ua5ec","\ua5ed","\ua5ee","\ua5ef","\ua5f0","\ua5f1","\ua5f2","\ua5f3","\ua5f4","\ua5f5","\ua5f6","\ua5f7","\ua5f8","\ua5f9","\ua5fa","\ua5fb","\ua5fc","\ua5fd","\ua5fe","\ua5ff","\ua600","\ua601","\ua602","\ua603","\ua604","\ua605","\ua606","\ua607","\ua608","\ua609","\ua60a","\ua60b",  # ; ALetter # Lo [268] VAI SYLLABLE EE..VAI SYLLABLE NG
        "\uA60C",  # ; ALetter # Lm       VAI SYLLABLE LENGTHENER
        "\ua610","\ua611","\ua612","\ua613","\ua614","\ua615","\ua616","\ua617","\ua618","\ua619","\ua61a","\ua61b","\ua61c","\ua61d","\ua61e","\ua61f",  # ; ALetter # Lo  [16] VAI SYLLABLE NDOLE FA..VAI SYMBOL JONG
        "\ua62a","\ua62b",  # ; ALetter # Lo   [2] VAI SYLLABLE NDOLE MA..VAI SYLLABLE NDOLE DO
        "\ua640","\ua641","\ua642","\ua643","\ua644","\ua645","\ua646","\ua647","\ua648","\ua649","\ua64a","\ua64b","\ua64c","\ua64d","\ua64e","\ua64f","\ua650","\ua651","\ua652","\ua653","\ua654","\ua655","\ua656","\ua657","\ua658","\ua659","\ua65a","\ua65b","\ua65c","\ua65d","\ua65e","\ua65f","\ua660","\ua661","\ua662","\ua663","\ua664","\ua665","\ua666","\ua667","\ua668","\ua669","\ua66a","\ua66b","\ua66c","\ua66d",  # ; ALetter # L&  [46] CYRILLIC CAPITAL LETTER ZEMLYA..CYRILLIC SMALL LETTER DOUBLE MONOCULAR O
        "\uA66E",  # ; ALetter # Lo       CYRILLIC LETTER MULTIOCULAR O
        "\uA67F",  # ; ALetter # Lm       CYRILLIC PAYEROK
        "\ua680","\ua681","\ua682","\ua683","\ua684","\ua685","\ua686","\ua687","\ua688","\ua689","\ua68a","\ua68b","\ua68c","\ua68d","\ua68e","\ua68f","\ua690","\ua691","\ua692","\ua693","\ua694","\ua695","\ua696","\ua697","\ua698","\ua699","\ua69a","\ua69b",  # ; ALetter # L&  [28] CYRILLIC CAPITAL LETTER DWE..CYRILLIC SMALL LETTER CROSSED O
        "\ua69c","\ua69d",  # ; ALetter # Lm   [2] MODIFIER LETTER CYRILLIC HARD SIGN..MODIFIER LETTER CYRILLIC SOFT SIGN
        "\ua6a0","\ua6a1","\ua6a2","\ua6a3","\ua6a4","\ua6a5","\ua6a6","\ua6a7","\ua6a8","\ua6a9","\ua6aa","\ua6ab","\ua6ac","\ua6ad","\ua6ae","\ua6af","\ua6b0","\ua6b1","\ua6b2","\ua6b3","\ua6b4","\ua6b5","\ua6b6","\ua6b7","\ua6b8","\ua6b9","\ua6ba","\ua6bb","\ua6bc","\ua6bd","\ua6be","\ua6bf","\ua6c0","\ua6c1","\ua6c2","\ua6c3","\ua6c4","\ua6c5","\ua6c6","\ua6c7","\ua6c8","\ua6c9","\ua6ca","\ua6cb","\ua6cc","\ua6cd","\ua6ce","\ua6cf","\ua6d0","\ua6d1","\ua6d2","\ua6d3","\ua6d4","\ua6d5","\ua6d6","\ua6d7","\ua6d8","\ua6d9","\ua6da","\ua6db","\ua6dc","\ua6dd","\ua6de","\ua6df","\ua6e0","\ua6e1","\ua6e2","\ua6e3","\ua6e4","\ua6e5",  # ; ALetter # Lo  [70] BAMUM LETTER A..BAMUM LETTER KI
        "\ua6e6","\ua6e7","\ua6e8","\ua6e9","\ua6ea","\ua6eb","\ua6ec","\ua6ed","\ua6ee","\ua6ef",  # ; ALetter # Nl  [10] BAMUM LETTER MO..BAMUM LETTER KOGHOM
        "\ua717","\ua718","\ua719","\ua71a","\ua71b","\ua71c","\ua71d","\ua71e","\ua71f",  # ; ALetter # Lm   [9] MODIFIER LETTER DOT VERTICAL BAR..MODIFIER LETTER LOW INVERTED EXCLAMATION MARK
        "\ua720","\ua721",  # ; ALetter # Sk   [2] MODIFIER LETTER STRESS AND HIGH TONE..MODIFIER LETTER STRESS AND LOW TONE
        "\ua722","\ua723","\ua724","\ua725","\ua726","\ua727","\ua728","\ua729","\ua72a","\ua72b","\ua72c","\ua72d","\ua72e","\ua72f","\ua730","\ua731","\ua732","\ua733","\ua734","\ua735","\ua736","\ua737","\ua738","\ua739","\ua73a","\ua73b","\ua73c","\ua73d","\ua73e","\ua73f","\ua740","\ua741","\ua742","\ua743","\ua744","\ua745","\ua746","\ua747","\ua748","\ua749","\ua74a","\ua74b","\ua74c","\ua74d","\ua74e","\ua74f","\ua750","\ua751","\ua752","\ua753","\ua754","\ua755","\ua756","\ua757","\ua758","\ua759","\ua75a","\ua75b","\ua75c","\ua75d","\ua75e","\ua75f","\ua760","\ua761","\ua762","\ua763","\ua764","\ua765","\ua766","\ua767","\ua768","\ua769","\ua76a","\ua76b","\ua76c","\ua76d","\ua76e","\ua76f",  # ; ALetter # L&  [78] LATIN CAPITAL LETTER EGYPTOLOGICAL ALEF..LATIN SMALL LETTER CON
        "\uA770",  # ; ALetter # Lm       MODIFIER LETTER US
        "\ua771","\ua772","\ua773","\ua774","\ua775","\ua776","\ua777","\ua778","\ua779","\ua77a","\ua77b","\ua77c","\ua77d","\ua77e","\ua77f","\ua780","\ua781","\ua782","\ua783","\ua784","\ua785","\ua786","\ua787",  # ; ALetter # L&  [23] LATIN SMALL LETTER DUM..LATIN SMALL LETTER INSULAR T
        "\uA788",  # ; ALetter # Lm       MODIFIER LETTER LOW CIRCUMFLEX ACCENT
        "\ua789","\ua78a",  # ; ALetter # Sk   [2] MODIFIER LETTER COLON..MODIFIER LETTER SHORT EQUALS SIGN
        "\ua78b","\ua78c","\ua78d","\ua78e",  # ; ALetter # L&   [4] LATIN CAPITAL LETTER SALTILLO..LATIN SMALL LETTER L WITH RETROFLEX HOOK AND BELT
        "\uA78F",  # ; ALetter # Lo       LATIN LETTER SINOLOGICAL DOT
        "\ua790","\ua791","\ua792","\ua793","\ua794","\ua795","\ua796","\ua797","\ua798","\ua799","\ua79a","\ua79b","\ua79c","\ua79d","\ua79e","\ua79f","\ua7a0","\ua7a1","\ua7a2","\ua7a3","\ua7a4","\ua7a5","\ua7a6","\ua7a7","\ua7a8","\ua7a9","\ua7aa","\ua7ab","\ua7ac","\ua7ad","\ua7ae",  # ; ALetter # L&  [31] LATIN CAPITAL LETTER N WITH DESCENDER..LATIN CAPITAL LETTER SMALL CAPITAL I
        "\ua7b0","\ua7b1","\ua7b2","\ua7b3","\ua7b4","\ua7b5","\ua7b6","\ua7b7",  # ; ALetter # L&   [8] LATIN CAPITAL LETTER TURNED K..LATIN SMALL LETTER OMEGA
        "\uA7F7",  # ; ALetter # Lo       LATIN EPIGRAPHIC LETTER SIDEWAYS I
        "\ua7f8","\ua7f9",  # ; ALetter # Lm   [2] MODIFIER LETTER CAPITAL H WITH STROKE..MODIFIER LETTER SMALL LIGATURE OE
        "\uA7FA",  # ; ALetter # L&       LATIN LETTER SMALL CAPITAL TURNED M
        "\ua7fb","\ua7fc","\ua7fd","\ua7fe","\ua7ff","\ua800","\ua801",  # ; ALetter # Lo   [7] LATIN EPIGRAPHIC LETTER REVERSED F..SYLOTI NAGRI LETTER I
        "\ua803","\ua804","\ua805",  # ; ALetter # Lo   [3] SYLOTI NAGRI LETTER U..SYLOTI NAGRI LETTER O
        "\ua807","\ua808","\ua809","\ua80a",  # ; ALetter # Lo   [4] SYLOTI NAGRI LETTER KO..SYLOTI NAGRI LETTER GHO
        "\ua80c","\ua80d","\ua80e","\ua80f","\ua810","\ua811","\ua812","\ua813","\ua814","\ua815","\ua816","\ua817","\ua818","\ua819","\ua81a","\ua81b","\ua81c","\ua81d","\ua81e","\ua81f","\ua820","\ua821","\ua822",  # ; ALetter # Lo  [23] SYLOTI NAGRI LETTER CO..SYLOTI NAGRI LETTER HO
        "\ua840","\ua841","\ua842","\ua843","\ua844","\ua845","\ua846","\ua847","\ua848","\ua849","\ua84a","\ua84b","\ua84c","\ua84d","\ua84e","\ua84f","\ua850","\ua851","\ua852","\ua853","\ua854","\ua855","\ua856","\ua857","\ua858","\ua859","\ua85a","\ua85b","\ua85c","\ua85d","\ua85e","\ua85f","\ua860","\ua861","\ua862","\ua863","\ua864","\ua865","\ua866","\ua867","\ua868","\ua869","\ua86a","\ua86b","\ua86c","\ua86d","\ua86e","\ua86f","\ua870","\ua871","\ua872","\ua873",  # ; ALetter # Lo  [52] PHAGS-PA LETTER KA..PHAGS-PA LETTER CANDRABINDU
        "\ua882","\ua883","\ua884","\ua885","\ua886","\ua887","\ua888","\ua889","\ua88a","\ua88b","\ua88c","\ua88d","\ua88e","\ua88f","\ua890","\ua891","\ua892","\ua893","\ua894","\ua895","\ua896","\ua897","\ua898","\ua899","\ua89a","\ua89b","\ua89c","\ua89d","\ua89e","\ua89f","\ua8a0","\ua8a1","\ua8a2","\ua8a3","\ua8a4","\ua8a5","\ua8a6","\ua8a7","\ua8a8","\ua8a9","\ua8aa","\ua8ab","\ua8ac","\ua8ad","\ua8ae","\ua8af","\ua8b0","\ua8b1","\ua8b2","\ua8b3",  # ; ALetter # Lo  [50] SAURASHTRA LETTER A..SAURASHTRA LETTER LLA
        "\ua8f2","\ua8f3","\ua8f4","\ua8f5","\ua8f6","\ua8f7",  # ; ALetter # Lo   [6] DEVANAGARI SIGN SPACING CANDRABINDU..DEVANAGARI SIGN CANDRABINDU AVAGRAHA
        "\uA8FB",  # ; ALetter # Lo       DEVANAGARI HEADSTROKE
        "\uA8FD",  # ; ALetter # Lo       DEVANAGARI JAIN OM
        "\ua90a","\ua90b","\ua90c","\ua90d","\ua90e","\ua90f","\ua910","\ua911","\ua912","\ua913","\ua914","\ua915","\ua916","\ua917","\ua918","\ua919","\ua91a","\ua91b","\ua91c","\ua91d","\ua91e","\ua91f","\ua920","\ua921","\ua922","\ua923","\ua924","\ua925",  # ; ALetter # Lo  [28] KAYAH LI LETTER KA..KAYAH LI LETTER OO
        "\ua930","\ua931","\ua932","\ua933","\ua934","\ua935","\ua936","\ua937","\ua938","\ua939","\ua93a","\ua93b","\ua93c","\ua93d","\ua93e","\ua93f","\ua940","\ua941","\ua942","\ua943","\ua944","\ua945","\ua946",  # ; ALetter # Lo  [23] REJANG LETTER KA..REJANG LETTER A
        "\ua960","\ua961","\ua962","\ua963","\ua964","\ua965","\ua966","\ua967","\ua968","\ua969","\ua96a","\ua96b","\ua96c","\ua96d","\ua96e","\ua96f","\ua970","\ua971","\ua972","\ua973","\ua974","\ua975","\ua976","\ua977","\ua978","\ua979","\ua97a","\ua97b","\ua97c",  # ; ALetter # Lo  [29] HANGUL CHOSEONG TIKEUT-MIEUM..HANGUL CHOSEONG SSANGYEORINHIEUH
        "\ua984","\ua985","\ua986","\ua987","\ua988","\ua989","\ua98a","\ua98b","\ua98c","\ua98d","\ua98e","\ua98f","\ua990","\ua991","\ua992","\ua993","\ua994","\ua995","\ua996","\ua997","\ua998","\ua999","\ua99a","\ua99b","\ua99c","\ua99d","\ua99e","\ua99f","\ua9a0","\ua9a1","\ua9a2","\ua9a3","\ua9a4","\ua9a5","\ua9a6","\ua9a7","\ua9a8","\ua9a9","\ua9aa","\ua9ab","\ua9ac","\ua9ad","\ua9ae","\ua9af","\ua9b0","\ua9b1","\ua9b2",  # ; ALetter # Lo  [47] JAVANESE LETTER A..JAVANESE LETTER HA
        "\uA9CF",  # ; ALetter # Lm       JAVANESE PANGRANGKEP
        "\uaa00","\uaa01","\uaa02","\uaa03","\uaa04","\uaa05","\uaa06","\uaa07","\uaa08","\uaa09","\uaa0a","\uaa0b","\uaa0c","\uaa0d","\uaa0e","\uaa0f","\uaa10","\uaa11","\uaa12","\uaa13","\uaa14","\uaa15","\uaa16","\uaa17","\uaa18","\uaa19","\uaa1a","\uaa1b","\uaa1c","\uaa1d","\uaa1e","\uaa1f","\uaa20","\uaa21","\uaa22","\uaa23","\uaa24","\uaa25","\uaa26","\uaa27","\uaa28",  # ; ALetter # Lo  [41] CHAM LETTER A..CHAM LETTER HA
        "\uaa40","\uaa41","\uaa42",  # ; ALetter # Lo   [3] CHAM LETTER FINAL K..CHAM LETTER FINAL NG
        "\uaa44","\uaa45","\uaa46","\uaa47","\uaa48","\uaa49","\uaa4a","\uaa4b",  # ; ALetter # Lo   [8] CHAM LETTER FINAL CH..CHAM LETTER FINAL SS
        "\uaae0","\uaae1","\uaae2","\uaae3","\uaae4","\uaae5","\uaae6","\uaae7","\uaae8","\uaae9","\uaaea",  # ; ALetter # Lo  [11] MEETEI MAYEK LETTER E..MEETEI MAYEK LETTER SSA
        "\uAAF2",  # ; ALetter # Lo       MEETEI MAYEK ANJI
        "\uaaf3","\uaaf4",  # ; ALetter # Lm   [2] MEETEI MAYEK SYLLABLE REPETITION MARK..MEETEI MAYEK WORD REPETITION MARK
        "\uab01","\uab02","\uab03","\uab04","\uab05","\uab06",  # ; ALetter # Lo   [6] ETHIOPIC SYLLABLE TTHU..ETHIOPIC SYLLABLE TTHO
        "\uab09","\uab0a","\uab0b","\uab0c","\uab0d","\uab0e",  # ; ALetter # Lo   [6] ETHIOPIC SYLLABLE DDHU..ETHIOPIC SYLLABLE DDHO
        "\uab11","\uab12","\uab13","\uab14","\uab15","\uab16",  # ; ALetter # Lo   [6] ETHIOPIC SYLLABLE DZU..ETHIOPIC SYLLABLE DZO
        "\uab20","\uab21","\uab22","\uab23","\uab24","\uab25","\uab26",  # ; ALetter # Lo   [7] ETHIOPIC SYLLABLE CCHHA..ETHIOPIC SYLLABLE CCHHO
        "\uab28","\uab29","\uab2a","\uab2b","\uab2c","\uab2d","\uab2e",  # ; ALetter # Lo   [7] ETHIOPIC SYLLABLE BBA..ETHIOPIC SYLLABLE BBO
        "\uab30","\uab31","\uab32","\uab33","\uab34","\uab35","\uab36","\uab37","\uab38","\uab39","\uab3a","\uab3b","\uab3c","\uab3d","\uab3e","\uab3f","\uab40","\uab41","\uab42","\uab43","\uab44","\uab45","\uab46","\uab47","\uab48","\uab49","\uab4a","\uab4b","\uab4c","\uab4d","\uab4e","\uab4f","\uab50","\uab51","\uab52","\uab53","\uab54","\uab55","\uab56","\uab57","\uab58","\uab59","\uab5a",  # ; ALetter # L&  [43] LATIN SMALL LETTER BARRED ALPHA..LATIN SMALL LETTER Y WITH SHORT RIGHT LEG
        "\uAB5B",  # ; ALetter # Sk       MODIFIER BREVE WITH INVERTED BREVE
        "\uab5c","\uab5d","\uab5e","\uab5f",  # ; ALetter # Lm   [4] MODIFIER LETTER SMALL HENG..MODIFIER LETTER SMALL U WITH LEFT HOOK
        "\uab60","\uab61","\uab62","\uab63","\uab64","\uab65",  # ; ALetter # L&   [6] LATIN SMALL LETTER SAKHA YAT..GREEK LETTER SMALL CAPITAL OMEGA
        "\uab70","\uab71","\uab72","\uab73","\uab74","\uab75","\uab76","\uab77","\uab78","\uab79","\uab7a","\uab7b","\uab7c","\uab7d","\uab7e","\uab7f","\uab80","\uab81","\uab82","\uab83","\uab84","\uab85","\uab86","\uab87","\uab88","\uab89","\uab8a","\uab8b","\uab8c","\uab8d","\uab8e","\uab8f","\uab90","\uab91","\uab92","\uab93","\uab94","\uab95","\uab96","\uab97","\uab98","\uab99","\uab9a","\uab9b","\uab9c","\uab9d","\uab9e","\uab9f","\uaba0","\uaba1","\uaba2","\uaba3","\uaba4","\uaba5","\uaba6","\uaba7","\uaba8","\uaba9","\uabaa","\uabab","\uabac","\uabad","\uabae","\uabaf","\uabb0","\uabb1","\uabb2","\uabb3","\uabb4","\uabb5","\uabb6","\uabb7","\uabb8","\uabb9","\uabba","\uabbb","\uabbc","\uabbd","\uabbe","\uabbf",  # ; ALetter # L&  [80] CHEROKEE SMALL LETTER A..CHEROKEE SMALL LETTER YA
        "\uabc0","\uabc1","\uabc2","\uabc3","\uabc4","\uabc5","\uabc6","\uabc7","\uabc8","\uabc9","\uabca","\uabcb","\uabcc","\uabcd","\uabce","\uabcf","\uabd0","\uabd1","\uabd2","\uabd3","\uabd4","\uabd5","\uabd6","\uabd7","\uabd8","\uabd9","\uabda","\uabdb","\uabdc","\uabdd","\uabde","\uabdf","\uabe0","\uabe1","\uabe2",  # ; ALetter # Lo  [35] MEETEI MAYEK LETTER KOK..MEETEI MAYEK LETTER I LONSUM
        "\uac00","\uac01","\uac02","\uac03","\uac04","\uac05","\uac06","\uac07","\uac08","\uac09","\uac0a","\uac0b","\uac0c","\uac0d","\uac0e","\uac0f","\uac10","\uac11","\uac12","\uac13","\uac14","\uac15","\uac16","\uac17","\uac18","\uac19","\uac1a","\uac1b","\uac1c","\uac1d","\uac1e","\uac1f","\uac20","\uac21","\uac22","\uac23","\uac24","\uac25","\uac26","\uac27","\uac28","\uac29","\uac2a","\uac2b","\uac2c","\uac2d","\uac2e","\uac2f","\uac30","\uac31","\uac32","\uac33","\uac34","\uac35","\uac36","\uac37","\uac38","\uac39","\uac3a","\uac3b","\uac3c","\uac3d","\uac3e","\uac3f","\uac40","\uac41","\uac42","\uac43","\uac44","\uac45","\uac46","\uac47","\uac48","\uac49","\uac4a","\uac4b","\uac4c","\uac4d","\uac4e","\uac4f","\uac50","\uac51","\uac52","\uac53","\uac54","\uac55","\uac56","\uac57","\uac58","\uac59","\uac5a","\uac5b","\uac5c","\uac5d","\uac5e","\uac5f","\uac60","\uac61","\uac62","\uac63","\uac64","\uac65","\uac66","\uac67","\uac68","\uac69","\uac6a","\uac6b","\uac6c","\uac6d","\uac6e","\uac6f","\uac70","\uac71","\uac72","\uac73","\uac74","\uac75","\uac76","\uac77","\uac78","\uac79","\uac7a","\uac7b","\uac7c","\uac7d","\uac7e","\uac7f","\uac80","\uac81","\uac82","\uac83","\uac84","\uac85","\uac86","\uac87","\uac88","\uac89","\uac8a","\uac8b","\uac8c","\uac8d","\uac8e","\uac8f","\uac90","\uac91","\uac92","\uac93","\uac94","\uac95","\uac96","\uac97","\uac98","\uac99","\uac9a","\uac9b","\uac9c","\uac9d","\uac9e","\uac9f","\uaca0","\uaca1","\uaca2","\uaca3","\uaca4","\uaca5","\uaca6","\uaca7","\uaca8","\uaca9","\uacaa","\uacab","\uacac","\uacad","\uacae","\uacaf","\uacb0","\uacb1","\uacb2","\uacb3","\uacb4","\uacb5","\uacb6","\uacb7","\uacb8","\uacb9","\uacba","\uacbb","\uacbc","\uacbd","\uacbe","\uacbf","\uacc0","\uacc1","\uacc2","\uacc3","\uacc4","\uacc5","\uacc6","\uacc7","\uacc8","\uacc9","\uacca","\uaccb","\uaccc","\uaccd","\uacce","\uaccf","\uacd0","\uacd1","\uacd2","\uacd3","\uacd4","\uacd5","\uacd6","\uacd7","\uacd8","\uacd9","\uacda","\uacdb","\uacdc","\uacdd","\uacde","\uacdf","\uace0","\uace1","\uace2","\uace3","\uace4","\uace5","\uace6","\uace7","\uace8","\uace9","\uacea","\uaceb","\uacec","\uaced","\uacee","\uacef","\uacf0","\uacf1","\uacf2","\uacf3","\uacf4","\uacf5","\uacf6","\uacf7","\uacf8","\uacf9","\uacfa","\uacfb","\uacfc","\uacfd","\uacfe","\uacff","\uad00","\uad01","\uad02","\uad03","\uad04","\uad05","\uad06","\uad07","\uad08","\uad09","\uad0a","\uad0b","\uad0c","\uad0d","\uad0e","\uad0f","\uad10","\uad11","\uad12","\uad13","\uad14","\uad15","\uad16","\uad17","\uad18","\uad19","\uad1a","\uad1b","\uad1c","\uad1d","\uad1e","\uad1f","\uad20","\uad21","\uad22","\uad23","\uad24","\uad25","\uad26","\uad27","\uad28","\uad29","\uad2a","\uad2b","\uad2c","\uad2d","\uad2e","\uad2f","\uad30","\uad31","\uad32","\uad33","\uad34","\uad35","\uad36","\uad37","\uad38","\uad39","\uad3a","\uad3b","\uad3c","\uad3d","\uad3e","\uad3f","\uad40","\uad41","\uad42","\uad43","\uad44","\uad45","\uad46","\uad47","\uad48","\uad49","\uad4a","\uad4b","\uad4c","\uad4d","\uad4e","\uad4f","\uad50","\uad51","\uad52","\uad53","\uad54","\uad55","\uad56","\uad57","\uad58","\uad59","\uad5a","\uad5b","\uad5c","\uad5d","\uad5e","\uad5f","\uad60","\uad61","\uad62","\uad63","\uad64","\uad65","\uad66","\uad67","\uad68","\uad69","\uad6a","\uad6b","\uad6c","\uad6d","\uad6e","\uad6f","\uad70","\uad71","\uad72","\uad73","\uad74","\uad75","\uad76","\uad77","\uad78","\uad79","\uad7a","\uad7b","\uad7c","\uad7d","\uad7e","\uad7f","\uad80","\uad81","\uad82","\uad83","\uad84","\uad85","\uad86","\uad87","\uad88","\uad89","\uad8a","\uad8b","\uad8c","\uad8d","\uad8e","\uad8f","\uad90","\uad91","\uad92","\uad93","\uad94","\uad95","\uad96","\uad97","\uad98","\uad99","\uad9a","\uad9b","\uad9c","\uad9d","\uad9e","\uad9f","\uada0","\uada1","\uada2","\uada3","\uada4","\uada5","\uada6","\uada7","\uada8","\uada9","\uadaa","\uadab","\uadac","\uadad","\uadae","\uadaf","\uadb0","\uadb1","\uadb2","\uadb3","\uadb4","\uadb5","\uadb6","\uadb7","\uadb8","\uadb9","\uadba","\uadbb","\uadbc","\uadbd","\uadbe","\uadbf","\uadc0","\uadc1","\uadc2","\uadc3","\uadc4","\uadc5","\uadc6","\uadc7","\uadc8","\uadc9","\uadca","\uadcb","\uadcc","\uadcd","\uadce","\uadcf","\uadd0","\uadd1","\uadd2","\uadd3","\uadd4","\uadd5","\uadd6","\uadd7","\uadd8","\uadd9","\uadda","\uaddb","\uaddc","\uaddd","\uadde","\uaddf","\uade0","\uade1","\uade2","\uade3","\uade4","\uade5","\uade6","\uade7","\uade8","\uade9","\uadea","\uadeb","\uadec","\uaded","\uadee","\uadef","\uadf0","\uadf1","\uadf2","\uadf3","\uadf4","\uadf5","\uadf6","\uadf7","\uadf8","\uadf9","\uadfa","\uadfb","\uadfc","\uadfd","\uadfe","\uadff","\uae00","\uae01","\uae02","\uae03","\uae04","\uae05","\uae06","\uae07","\uae08","\uae09","\uae0a","\uae0b","\uae0c","\uae0d","\uae0e","\uae0f","\uae10","\uae11","\uae12","\uae13","\uae14","\uae15","\uae16","\uae17","\uae18","\uae19","\uae1a","\uae1b","\uae1c","\uae1d","\uae1e","\uae1f","\uae20","\uae21","\uae22","\uae23","\uae24","\uae25","\uae26","\uae27","\uae28","\uae29","\uae2a","\uae2b","\uae2c","\uae2d","\uae2e","\uae2f","\uae30","\uae31","\uae32","\uae33","\uae34","\uae35","\uae36","\uae37","\uae38","\uae39","\uae3a","\uae3b","\uae3c","\uae3d","\uae3e","\uae3f","\uae40","\uae41","\uae42","\uae43","\uae44","\uae45","\uae46","\uae47","\uae48","\uae49","\uae4a","\uae4b","\uae4c","\uae4d","\uae4e","\uae4f","\uae50","\uae51","\uae52","\uae53","\uae54","\uae55","\uae56","\uae57","\uae58","\uae59","\uae5a","\uae5b","\uae5c","\uae5d","\uae5e","\uae5f","\uae60","\uae61","\uae62","\uae63","\uae64","\uae65","\uae66","\uae67","\uae68","\uae69","\uae6a","\uae6b","\uae6c","\uae6d","\uae6e","\uae6f","\uae70","\uae71","\uae72","\uae73","\uae74","\uae75","\uae76","\uae77","\uae78","\uae79","\uae7a","\uae7b","\uae7c","\uae7d","\uae7e","\uae7f","\uae80","\uae81","\uae82","\uae83","\uae84","\uae85","\uae86","\uae87","\uae88","\uae89","\uae8a","\uae8b","\uae8c","\uae8d","\uae8e","\uae8f","\uae90","\uae91","\uae92","\uae93","\uae94","\uae95","\uae96","\uae97","\uae98","\uae99","\uae9a","\uae9b","\uae9c","\uae9d","\uae9e","\uae9f","\uaea0","\uaea1","\uaea2","\uaea3","\uaea4","\uaea5","\uaea6","\uaea7","\uaea8","\uaea9","\uaeaa","\uaeab","\uaeac","\uaead","\uaeae","\uaeaf","\uaeb0","\uaeb1","\uaeb2","\uaeb3","\uaeb4","\uaeb5","\uaeb6","\uaeb7","\uaeb8","\uaeb9","\uaeba","\uaebb","\uaebc","\uaebd","\uaebe","\uaebf","\uaec0","\uaec1","\uaec2","\uaec3","\uaec4","\uaec5","\uaec6","\uaec7","\uaec8","\uaec9","\uaeca","\uaecb","\uaecc","\uaecd","\uaece","\uaecf","\uaed0","\uaed1","\uaed2","\uaed3","\uaed4","\uaed5","\uaed6","\uaed7","\uaed8","\uaed9","\uaeda","\uaedb","\uaedc","\uaedd","\uaede","\uaedf","\uaee0","\uaee1","\uaee2","\uaee3","\uaee4","\uaee5","\uaee6","\uaee7","\uaee8","\uaee9","\uaeea","\uaeeb","\uaeec","\uaeed","\uaeee","\uaeef","\uaef0","\uaef1","\uaef2","\uaef3","\uaef4","\uaef5","\uaef6","\uaef7","\uaef8","\uaef9","\uaefa","\uaefb","\uaefc","\uaefd","\uaefe","\uaeff","\uaf00","\uaf01","\uaf02","\uaf03","\uaf04","\uaf05","\uaf06","\uaf07","\uaf08","\uaf09","\uaf0a","\uaf0b","\uaf0c","\uaf0d","\uaf0e","\uaf0f","\uaf10","\uaf11","\uaf12","\uaf13","\uaf14","\uaf15","\uaf16","\uaf17","\uaf18","\uaf19","\uaf1a","\uaf1b","\uaf1c","\uaf1d","\uaf1e","\uaf1f","\uaf20","\uaf21","\uaf22","\uaf23","\uaf24","\uaf25","\uaf26","\uaf27","\uaf28","\uaf29","\uaf2a","\uaf2b","\uaf2c","\uaf2d","\uaf2e","\uaf2f","\uaf30","\uaf31","\uaf32","\uaf33","\uaf34","\uaf35","\uaf36","\uaf37","\uaf38","\uaf39","\uaf3a","\uaf3b","\uaf3c","\uaf3d","\uaf3e","\uaf3f","\uaf40","\uaf41","\uaf42","\uaf43","\uaf44","\uaf45","\uaf46","\uaf47","\uaf48","\uaf49","\uaf4a","\uaf4b","\uaf4c","\uaf4d","\uaf4e","\uaf4f","\uaf50","\uaf51","\uaf52","\uaf53","\uaf54","\uaf55","\uaf56","\uaf57","\uaf58","\uaf59","\uaf5a","\uaf5b","\uaf5c","\uaf5d","\uaf5e","\uaf5f","\uaf60","\uaf61","\uaf62","\uaf63","\uaf64","\uaf65","\uaf66","\uaf67","\uaf68","\uaf69","\uaf6a","\uaf6b","\uaf6c","\uaf6d","\uaf6e","\uaf6f","\uaf70","\uaf71","\uaf72","\uaf73","\uaf74","\uaf75","\uaf76","\uaf77","\uaf78","\uaf79","\uaf7a","\uaf7b","\uaf7c","\uaf7d","\uaf7e","\uaf7f","\uaf80","\uaf81","\uaf82","\uaf83","\uaf84","\uaf85","\uaf86","\uaf87","\uaf88","\uaf89","\uaf8a","\uaf8b","\uaf8c","\uaf8d","\uaf8e","\uaf8f","\uaf90","\uaf91","\uaf92","\uaf93","\uaf94","\uaf95","\uaf96","\uaf97","\uaf98","\uaf99","\uaf9a","\uaf9b","\uaf9c","\uaf9d","\uaf9e","\uaf9f","\uafa0","\uafa1","\uafa2","\uafa3","\uafa4","\uafa5","\uafa6","\uafa7","\uafa8","\uafa9","\uafaa","\uafab","\uafac","\uafad","\uafae","\uafaf","\uafb0","\uafb1","\uafb2","\uafb3","\uafb4","\uafb5","\uafb6","\uafb7","\uafb8","\uafb9","\uafba","\uafbb","\uafbc","\uafbd","\uafbe","\uafbf","\uafc0","\uafc1","\uafc2","\uafc3","\uafc4","\uafc5","\uafc6","\uafc7","\uafc8","\uafc9","\uafca","\uafcb","\uafcc","\uafcd","\uafce","\uafcf","\uafd0","\uafd1","\uafd2","\uafd3","\uafd4","\uafd5","\uafd6","\uafd7","\uafd8","\uafd9","\uafda","\uafdb","\uafdc","\uafdd","\uafde","\uafdf","\uafe0","\uafe1","\uafe2","\uafe3","\uafe4","\uafe5","\uafe6","\uafe7","\uafe8","\uafe9","\uafea","\uafeb","\uafec","\uafed","\uafee","\uafef","\uaff0","\uaff1","\uaff2","\uaff3","\uaff4","\uaff5","\uaff6","\uaff7","\uaff8","\uaff9","\uaffa","\uaffb","\uaffc","\uaffd","\uaffe","\uafff","\ub000","\ub001","\ub002","\ub003","\ub004","\ub005","\ub006","\ub007","\ub008","\ub009","\ub00a","\ub00b","\ub00c","\ub00d","\ub00e","\ub00f","\ub010","\ub011","\ub012","\ub013","\ub014","\ub015","\ub016","\ub017","\ub018","\ub019","\ub01a","\ub01b","\ub01c","\ub01d","\ub01e","\ub01f","\ub020","\ub021","\ub022","\ub023","\ub024","\ub025","\ub026","\ub027","\ub028","\ub029","\ub02a","\ub02b","\ub02c","\ub02d","\ub02e","\ub02f","\ub030","\ub031","\ub032","\ub033","\ub034","\ub035","\ub036","\ub037","\ub038","\ub039","\ub03a","\ub03b","\ub03c","\ub03d","\ub03e","\ub03f","\ub040","\ub041","\ub042","\ub043","\ub044","\ub045","\ub046","\ub047","\ub048","\ub049","\ub04a","\ub04b","\ub04c","\ub04d","\ub04e","\ub04f","\ub050","\ub051","\ub052","\ub053","\ub054","\ub055","\ub056","\ub057","\ub058","\ub059","\ub05a","\ub05b","\ub05c","\ub05d","\ub05e","\ub05f","\ub060","\ub061","\ub062","\ub063","\ub064","\ub065","\ub066","\ub067","\ub068","\ub069","\ub06a","\ub06b","\ub06c","\ub06d","\ub06e","\ub06f","\ub070","\ub071","\ub072","\ub073","\ub074","\ub075","\ub076","\ub077","\ub078","\ub079","\ub07a","\ub07b","\ub07c","\ub07d","\ub07e","\ub07f","\ub080","\ub081","\ub082","\ub083","\ub084","\ub085","\ub086","\ub087","\ub088","\ub089","\ub08a","\ub08b","\ub08c","\ub08d","\ub08e","\ub08f","\ub090","\ub091","\ub092","\ub093","\ub094","\ub095","\ub096","\ub097","\ub098","\ub099","\ub09a","\ub09b","\ub09c","\ub09d","\ub09e","\ub09f","\ub0a0","\ub0a1","\ub0a2","\ub0a3","\ub0a4","\ub0a5","\ub0a6","\ub0a7","\ub0a8","\ub0a9","\ub0aa","\ub0ab","\ub0ac","\ub0ad","\ub0ae","\ub0af","\ub0b0","\ub0b1","\ub0b2","\ub0b3","\ub0b4","\ub0b5","\ub0b6","\ub0b7","\ub0b8","\ub0b9","\ub0ba","\ub0bb","\ub0bc","\ub0bd","\ub0be","\ub0bf","\ub0c0","\ub0c1","\ub0c2","\ub0c3","\ub0c4","\ub0c5","\ub0c6","\ub0c7","\ub0c8","\ub0c9","\ub0ca","\ub0cb","\ub0cc","\ub0cd","\ub0ce","\ub0cf","\ub0d0","\ub0d1","\ub0d2","\ub0d3","\ub0d4","\ub0d5","\ub0d6","\ub0d7","\ub0d8","\ub0d9","\ub0da","\ub0db","\ub0dc","\ub0dd","\ub0de","\ub0df","\ub0e0","\ub0e1","\ub0e2","\ub0e3","\ub0e4","\ub0e5","\ub0e6","\ub0e7","\ub0e8","\ub0e9","\ub0ea","\ub0eb","\ub0ec","\ub0ed","\ub0ee","\ub0ef","\ub0f0","\ub0f1","\ub0f2","\ub0f3","\ub0f4","\ub0f5","\ub0f6","\ub0f7","\ub0f8","\ub0f9","\ub0fa","\ub0fb","\ub0fc","\ub0fd","\ub0fe","\ub0ff","\ub100","\ub101","\ub102","\ub103","\ub104","\ub105","\ub106","\ub107","\ub108","\ub109","\ub10a","\ub10b","\ub10c","\ub10d","\ub10e","\ub10f","\ub110","\ub111","\ub112","\ub113","\ub114","\ub115","\ub116","\ub117","\ub118","\ub119","\ub11a","\ub11b","\ub11c","\ub11d","\ub11e","\ub11f","\ub120","\ub121","\ub122","\ub123","\ub124","\ub125","\ub126","\ub127","\ub128","\ub129","\ub12a","\ub12b","\ub12c","\ub12d","\ub12e","\ub12f","\ub130","\ub131","\ub132","\ub133","\ub134","\ub135","\ub136","\ub137","\ub138","\ub139","\ub13a","\ub13b","\ub13c","\ub13d","\ub13e","\ub13f","\ub140","\ub141","\ub142","\ub143","\ub144","\ub145","\ub146","\ub147","\ub148","\ub149","\ub14a","\ub14b","\ub14c","\ub14d","\ub14e","\ub14f","\ub150","\ub151","\ub152","\ub153","\ub154","\ub155","\ub156","\ub157","\ub158","\ub159","\ub15a","\ub15b","\ub15c","\ub15d","\ub15e","\ub15f","\ub160","\ub161","\ub162","\ub163","\ub164","\ub165","\ub166","\ub167","\ub168","\ub169","\ub16a","\ub16b","\ub16c","\ub16d","\ub16e","\ub16f","\ub170","\ub171","\ub172","\ub173","\ub174","\ub175","\ub176","\ub177","\ub178","\ub179","\ub17a","\ub17b","\ub17c","\ub17d","\ub17e","\ub17f","\ub180","\ub181","\ub182","\ub183","\ub184","\ub185","\ub186","\ub187","\ub188","\ub189","\ub18a","\ub18b","\ub18c","\ub18d","\ub18e","\ub18f","\ub190","\ub191","\ub192","\ub193","\ub194","\ub195","\ub196","\ub197","\ub198","\ub199","\ub19a","\ub19b","\ub19c","\ub19d","\ub19e","\ub19f","\ub1a0","\ub1a1","\ub1a2","\ub1a3","\ub1a4","\ub1a5","\ub1a6","\ub1a7","\ub1a8","\ub1a9","\ub1aa","\ub1ab","\ub1ac","\ub1ad","\ub1ae","\ub1af","\ub1b0","\ub1b1","\ub1b2","\ub1b3","\ub1b4","\ub1b5","\ub1b6","\ub1b7","\ub1b8","\ub1b9","\ub1ba","\ub1bb","\ub1bc","\ub1bd","\ub1be","\ub1bf","\ub1c0","\ub1c1","\ub1c2","\ub1c3","\ub1c4","\ub1c5","\ub1c6","\ub1c7","\ub1c8","\ub1c9","\ub1ca","\ub1cb","\ub1cc","\ub1cd","\ub1ce","\ub1cf","\ub1d0","\ub1d1","\ub1d2","\ub1d3","\ub1d4","\ub1d5","\ub1d6","\ub1d7","\ub1d8","\ub1d9","\ub1da","\ub1db","\ub1dc","\ub1dd","\ub1de","\ub1df","\ub1e0","\ub1e1","\ub1e2","\ub1e3","\ub1e4","\ub1e5","\ub1e6","\ub1e7","\ub1e8","\ub1e9","\ub1ea","\ub1eb","\ub1ec","\ub1ed","\ub1ee","\ub1ef","\ub1f0","\ub1f1","\ub1f2","\ub1f3","\ub1f4","\ub1f5","\ub1f6","\ub1f7","\ub1f8","\ub1f9","\ub1fa","\ub1fb","\ub1fc","\ub1fd","\ub1fe","\ub1ff","\ub200","\ub201","\ub202","\ub203","\ub204","\ub205","\ub206","\ub207","\ub208","\ub209","\ub20a","\ub20b","\ub20c","\ub20d","\ub20e","\ub20f","\ub210","\ub211","\ub212","\ub213","\ub214","\ub215","\ub216","\ub217","\ub218","\ub219","\ub21a","\ub21b","\ub21c","\ub21d","\ub21e","\ub21f","\ub220","\ub221","\ub222","\ub223","\ub224","\ub225","\ub226","\ub227","\ub228","\ub229","\ub22a","\ub22b","\ub22c","\ub22d","\ub22e","\ub22f","\ub230","\ub231","\ub232","\ub233","\ub234","\ub235","\ub236","\ub237","\ub238","\ub239","\ub23a","\ub23b","\ub23c","\ub23d","\ub23e","\ub23f","\ub240","\ub241","\ub242","\ub243","\ub244","\ub245","\ub246","\ub247","\ub248","\ub249","\ub24a","\ub24b","\ub24c","\ub24d","\ub24e","\ub24f","\ub250","\ub251","\ub252","\ub253","\ub254","\ub255","\ub256","\ub257","\ub258","\ub259","\ub25a","\ub25b","\ub25c","\ub25d","\ub25e","\ub25f","\ub260","\ub261","\ub262","\ub263","\ub264","\ub265","\ub266","\ub267","\ub268","\ub269","\ub26a","\ub26b","\ub26c","\ub26d","\ub26e","\ub26f","\ub270","\ub271","\ub272","\ub273","\ub274","\ub275","\ub276","\ub277","\ub278","\ub279","\ub27a","\ub27b","\ub27c","\ub27d","\ub27e","\ub27f","\ub280","\ub281","\ub282","\ub283","\ub284","\ub285","\ub286","\ub287","\ub288","\ub289","\ub28a","\ub28b","\ub28c","\ub28d","\ub28e","\ub28f","\ub290","\ub291","\ub292","\ub293","\ub294","\ub295","\ub296","\ub297","\ub298","\ub299","\ub29a","\ub29b","\ub29c","\ub29d","\ub29e","\ub29f","\ub2a0","\ub2a1","\ub2a2","\ub2a3","\ub2a4","\ub2a5","\ub2a6","\ub2a7","\ub2a8","\ub2a9","\ub2aa","\ub2ab","\ub2ac","\ub2ad","\ub2ae","\ub2af","\ub2b0","\ub2b1","\ub2b2","\ub2b3","\ub2b4","\ub2b5","\ub2b6","\ub2b7","\ub2b8","\ub2b9","\ub2ba","\ub2bb","\ub2bc","\ub2bd","\ub2be","\ub2bf","\ub2c0","\ub2c1","\ub2c2","\ub2c3","\ub2c4","\ub2c5","\ub2c6","\ub2c7","\ub2c8","\ub2c9","\ub2ca","\ub2cb","\ub2cc","\ub2cd","\ub2ce","\ub2cf","\ub2d0","\ub2d1","\ub2d2","\ub2d3","\ub2d4","\ub2d5","\ub2d6","\ub2d7","\ub2d8","\ub2d9","\ub2da","\ub2db","\ub2dc","\ub2dd","\ub2de","\ub2df","\ub2e0","\ub2e1","\ub2e2","\ub2e3","\ub2e4","\ub2e5","\ub2e6","\ub2e7","\ub2e8","\ub2e9","\ub2ea","\ub2eb","\ub2ec","\ub2ed","\ub2ee","\ub2ef","\ub2f0","\ub2f1","\ub2f2","\ub2f3","\ub2f4","\ub2f5","\ub2f6","\ub2f7","\ub2f8","\ub2f9","\ub2fa","\ub2fb","\ub2fc","\ub2fd","\ub2fe","\ub2ff","\ub300","\ub301","\ub302","\ub303","\ub304","\ub305","\ub306","\ub307","\ub308","\ub309","\ub30a","\ub30b","\ub30c","\ub30d","\ub30e","\ub30f","\ub310","\ub311","\ub312","\ub313","\ub314","\ub315","\ub316","\ub317","\ub318","\ub319","\ub31a","\ub31b","\ub31c","\ub31d","\ub31e","\ub31f","\ub320","\ub321","\ub322","\ub323","\ub324","\ub325","\ub326","\ub327","\ub328","\ub329","\ub32a","\ub32b","\ub32c","\ub32d","\ub32e","\ub32f","\ub330","\ub331","\ub332","\ub333","\ub334","\ub335","\ub336","\ub337","\ub338","\ub339","\ub33a","\ub33b","\ub33c","\ub33d","\ub33e","\ub33f","\ub340","\ub341","\ub342","\ub343","\ub344","\ub345","\ub346","\ub347","\ub348","\ub349","\ub34a","\ub34b","\ub34c","\ub34d","\ub34e","\ub34f","\ub350","\ub351","\ub352","\ub353","\ub354","\ub355","\ub356","\ub357","\ub358","\ub359","\ub35a","\ub35b","\ub35c","\ub35d","\ub35e","\ub35f","\ub360","\ub361","\ub362","\ub363","\ub364","\ub365","\ub366","\ub367","\ub368","\ub369","\ub36a","\ub36b","\ub36c","\ub36d","\ub36e","\ub36f","\ub370","\ub371","\ub372","\ub373","\ub374","\ub375","\ub376","\ub377","\ub378","\ub379","\ub37a","\ub37b","\ub37c","\ub37d","\ub37e","\ub37f","\ub380","\ub381","\ub382","\ub383","\ub384","\ub385","\ub386","\ub387","\ub388","\ub389","\ub38a","\ub38b","\ub38c","\ub38d","\ub38e","\ub38f","\ub390","\ub391","\ub392","\ub393","\ub394","\ub395","\ub396","\ub397","\ub398","\ub399","\ub39a","\ub39b","\ub39c","\ub39d","\ub39e","\ub39f","\ub3a0","\ub3a1","\ub3a2","\ub3a3","\ub3a4","\ub3a5","\ub3a6","\ub3a7","\ub3a8","\ub3a9","\ub3aa","\ub3ab","\ub3ac","\ub3ad","\ub3ae","\ub3af","\ub3b0","\ub3b1","\ub3b2","\ub3b3","\ub3b4","\ub3b5","\ub3b6","\ub3b7","\ub3b8","\ub3b9","\ub3ba","\ub3bb","\ub3bc","\ub3bd","\ub3be","\ub3bf","\ub3c0","\ub3c1","\ub3c2","\ub3c3","\ub3c4","\ub3c5","\ub3c6","\ub3c7","\ub3c8","\ub3c9","\ub3ca","\ub3cb","\ub3cc","\ub3cd","\ub3ce","\ub3cf","\ub3d0","\ub3d1","\ub3d2","\ub3d3","\ub3d4","\ub3d5","\ub3d6","\ub3d7","\ub3d8","\ub3d9","\ub3da","\ub3db","\ub3dc","\ub3dd","\ub3de","\ub3df","\ub3e0","\ub3e1","\ub3e2","\ub3e3","\ub3e4","\ub3e5","\ub3e6","\ub3e7","\ub3e8","\ub3e9","\ub3ea","\ub3eb","\ub3ec","\ub3ed","\ub3ee","\ub3ef","\ub3f0","\ub3f1","\ub3f2","\ub3f3","\ub3f4","\ub3f5","\ub3f6","\ub3f7","\ub3f8","\ub3f9","\ub3fa","\ub3fb","\ub3fc","\ub3fd","\ub3fe","\ub3ff","\ub400","\ub401","\ub402","\ub403","\ub404","\ub405","\ub406","\ub407","\ub408","\ub409","\ub40a","\ub40b","\ub40c","\ub40d","\ub40e","\ub40f","\ub410","\ub411","\ub412","\ub413","\ub414","\ub415","\ub416","\ub417","\ub418","\ub419","\ub41a","\ub41b","\ub41c","\ub41d","\ub41e","\ub41f","\ub420","\ub421","\ub422","\ub423","\ub424","\ub425","\ub426","\ub427","\ub428","\ub429","\ub42a","\ub42b","\ub42c","\ub42d","\ub42e","\ub42f","\ub430","\ub431","\ub432","\ub433","\ub434","\ub435","\ub436","\ub437","\ub438","\ub439","\ub43a","\ub43b","\ub43c","\ub43d","\ub43e","\ub43f","\ub440","\ub441","\ub442","\ub443","\ub444","\ub445","\ub446","\ub447","\ub448","\ub449","\ub44a","\ub44b","\ub44c","\ub44d","\ub44e","\ub44f","\ub450","\ub451","\ub452","\ub453","\ub454","\ub455","\ub456","\ub457","\ub458","\ub459","\ub45a","\ub45b","\ub45c","\ub45d","\ub45e","\ub45f","\ub460","\ub461","\ub462","\ub463","\ub464","\ub465","\ub466","\ub467","\ub468","\ub469","\ub46a","\ub46b","\ub46c","\ub46d","\ub46e","\ub46f","\ub470","\ub471","\ub472","\ub473","\ub474","\ub475","\ub476","\ub477","\ub478","\ub479","\ub47a","\ub47b","\ub47c","\ub47d","\ub47e","\ub47f","\ub480","\ub481","\ub482","\ub483","\ub484","\ub485","\ub486","\ub487","\ub488","\ub489","\ub48a","\ub48b","\ub48c","\ub48d","\ub48e","\ub48f","\ub490","\ub491","\ub492","\ub493","\ub494","\ub495","\ub496","\ub497","\ub498","\ub499","\ub49a","\ub49b","\ub49c","\ub49d","\ub49e","\ub49f","\ub4a0","\ub4a1","\ub4a2","\ub4a3","\ub4a4","\ub4a5","\ub4a6","\ub4a7","\ub4a8","\ub4a9","\ub4aa","\ub4ab","\ub4ac","\ub4ad","\ub4ae","\ub4af","\ub4b0","\ub4b1","\ub4b2","\ub4b3","\ub4b4","\ub4b5","\ub4b6","\ub4b7","\ub4b8","\ub4b9","\ub4ba","\ub4bb","\ub4bc","\ub4bd","\ub4be","\ub4bf","\ub4c0","\ub4c1","\ub4c2","\ub4c3","\ub4c4","\ub4c5","\ub4c6","\ub4c7","\ub4c8","\ub4c9","\ub4ca","\ub4cb","\ub4cc","\ub4cd","\ub4ce","\ub4cf","\ub4d0","\ub4d1","\ub4d2","\ub4d3","\ub4d4","\ub4d5","\ub4d6","\ub4d7","\ub4d8","\ub4d9","\ub4da","\ub4db","\ub4dc","\ub4dd","\ub4de","\ub4df","\ub4e0","\ub4e1","\ub4e2","\ub4e3","\ub4e4","\ub4e5","\ub4e6","\ub4e7","\ub4e8","\ub4e9","\ub4ea","\ub4eb","\ub4ec","\ub4ed","\ub4ee","\ub4ef","\ub4f0","\ub4f1","\ub4f2","\ub4f3","\ub4f4","\ub4f5","\ub4f6","\ub4f7","\ub4f8","\ub4f9","\ub4fa","\ub4fb","\ub4fc","\ub4fd","\ub4fe","\ub4ff","\ub500","\ub501","\ub502","\ub503","\ub504","\ub505","\ub506","\ub507","\ub508","\ub509","\ub50a","\ub50b","\ub50c","\ub50d","\ub50e","\ub50f","\ub510","\ub511","\ub512","\ub513","\ub514","\ub515","\ub516","\ub517","\ub518","\ub519","\ub51a","\ub51b","\ub51c","\ub51d","\ub51e","\ub51f","\ub520","\ub521","\ub522","\ub523","\ub524","\ub525","\ub526","\ub527","\ub528","\ub529","\ub52a","\ub52b","\ub52c","\ub52d","\ub52e","\ub52f","\ub530","\ub531","\ub532","\ub533","\ub534","\ub535","\ub536","\ub537","\ub538","\ub539","\ub53a","\ub53b","\ub53c","\ub53d","\ub53e","\ub53f","\ub540","\ub541","\ub542","\ub543","\ub544","\ub545","\ub546","\ub547","\ub548","\ub549","\ub54a","\ub54b","\ub54c","\ub54d","\ub54e","\ub54f","\ub550","\ub551","\ub552","\ub553","\ub554","\ub555","\ub556","\ub557","\ub558","\ub559","\ub55a","\ub55b","\ub55c","\ub55d","\ub55e","\ub55f","\ub560","\ub561","\ub562","\ub563","\ub564","\ub565","\ub566","\ub567","\ub568","\ub569","\ub56a","\ub56b","\ub56c","\ub56d","\ub56e","\ub56f","\ub570","\ub571","\ub572","\ub573","\ub574","\ub575","\ub576","\ub577","\ub578","\ub579","\ub57a","\ub57b","\ub57c","\ub57d","\ub57e","\ub57f","\ub580","\ub581","\ub582","\ub583","\ub584","\ub585","\ub586","\ub587","\ub588","\ub589","\ub58a","\ub58b","\ub58c","\ub58d","\ub58e","\ub58f","\ub590","\ub591","\ub592","\ub593","\ub594","\ub595","\ub596","\ub597","\ub598","\ub599","\ub59a","\ub59b","\ub59c","\ub59d","\ub59e","\ub59f","\ub5a0","\ub5a1","\ub5a2","\ub5a3","\ub5a4","\ub5a5","\ub5a6","\ub5a7","\ub5a8","\ub5a9","\ub5aa","\ub5ab","\ub5ac","\ub5ad","\ub5ae","\ub5af","\ub5b0","\ub5b1","\ub5b2","\ub5b3","\ub5b4","\ub5b5","\ub5b6","\ub5b7","\ub5b8","\ub5b9","\ub5ba","\ub5bb","\ub5bc","\ub5bd","\ub5be","\ub5bf","\ub5c0","\ub5c1","\ub5c2","\ub5c3","\ub5c4","\ub5c5","\ub5c6","\ub5c7","\ub5c8","\ub5c9","\ub5ca","\ub5cb","\ub5cc","\ub5cd","\ub5ce","\ub5cf","\ub5d0","\ub5d1","\ub5d2","\ub5d3","\ub5d4","\ub5d5","\ub5d6","\ub5d7","\ub5d8","\ub5d9","\ub5da","\ub5db","\ub5dc","\ub5dd","\ub5de","\ub5df","\ub5e0","\ub5e1","\ub5e2","\ub5e3","\ub5e4","\ub5e5","\ub5e6","\ub5e7","\ub5e8","\ub5e9","\ub5ea","\ub5eb","\ub5ec","\ub5ed","\ub5ee","\ub5ef","\ub5f0","\ub5f1","\ub5f2","\ub5f3","\ub5f4","\ub5f5","\ub5f6","\ub5f7","\ub5f8","\ub5f9","\ub5fa","\ub5fb","\ub5fc","\ub5fd","\ub5fe","\ub5ff","\ub600","\ub601","\ub602","\ub603","\ub604","\ub605","\ub606","\ub607","\ub608","\ub609","\ub60a","\ub60b","\ub60c","\ub60d","\ub60e","\ub60f","\ub610","\ub611","\ub612","\ub613","\ub614","\ub615","\ub616","\ub617","\ub618","\ub619","\ub61a","\ub61b","\ub61c","\ub61d","\ub61e","\ub61f","\ub620","\ub621","\ub622","\ub623","\ub624","\ub625","\ub626","\ub627","\ub628","\ub629","\ub62a","\ub62b","\ub62c","\ub62d","\ub62e","\ub62f","\ub630","\ub631","\ub632","\ub633","\ub634","\ub635","\ub636","\ub637","\ub638","\ub639","\ub63a","\ub63b","\ub63c","\ub63d","\ub63e","\ub63f","\ub640","\ub641","\ub642","\ub643","\ub644","\ub645","\ub646","\ub647","\ub648","\ub649","\ub64a","\ub64b","\ub64c","\ub64d","\ub64e","\ub64f","\ub650","\ub651","\ub652","\ub653","\ub654","\ub655","\ub656","\ub657","\ub658","\ub659","\ub65a","\ub65b","\ub65c","\ub65d","\ub65e","\ub65f","\ub660","\ub661","\ub662","\ub663","\ub664","\ub665","\ub666","\ub667","\ub668","\ub669","\ub66a","\ub66b","\ub66c","\ub66d","\ub66e","\ub66f","\ub670","\ub671","\ub672","\ub673","\ub674","\ub675","\ub676","\ub677","\ub678","\ub679","\ub67a","\ub67b","\ub67c","\ub67d","\ub67e","\ub67f","\ub680","\ub681","\ub682","\ub683","\ub684","\ub685","\ub686","\ub687","\ub688","\ub689","\ub68a","\ub68b","\ub68c","\ub68d","\ub68e","\ub68f","\ub690","\ub691","\ub692","\ub693","\ub694","\ub695","\ub696","\ub697","\ub698","\ub699","\ub69a","\ub69b","\ub69c","\ub69d","\ub69e","\ub69f","\ub6a0","\ub6a1","\ub6a2","\ub6a3","\ub6a4","\ub6a5","\ub6a6","\ub6a7","\ub6a8","\ub6a9","\ub6aa","\ub6ab","\ub6ac","\ub6ad","\ub6ae","\ub6af","\ub6b0","\ub6b1","\ub6b2","\ub6b3","\ub6b4","\ub6b5","\ub6b6","\ub6b7","\ub6b8","\ub6b9","\ub6ba","\ub6bb","\ub6bc","\ub6bd","\ub6be","\ub6bf","\ub6c0","\ub6c1","\ub6c2","\ub6c3","\ub6c4","\ub6c5","\ub6c6","\ub6c7","\ub6c8","\ub6c9","\ub6ca","\ub6cb","\ub6cc","\ub6cd","\ub6ce","\ub6cf","\ub6d0","\ub6d1","\ub6d2","\ub6d3","\ub6d4","\ub6d5","\ub6d6","\ub6d7","\ub6d8","\ub6d9","\ub6da","\ub6db","\ub6dc","\ub6dd","\ub6de","\ub6df","\ub6e0","\ub6e1","\ub6e2","\ub6e3","\ub6e4","\ub6e5","\ub6e6","\ub6e7","\ub6e8","\ub6e9","\ub6ea","\ub6eb","\ub6ec","\ub6ed","\ub6ee","\ub6ef","\ub6f0","\ub6f1","\ub6f2","\ub6f3","\ub6f4","\ub6f5","\ub6f6","\ub6f7","\ub6f8","\ub6f9","\ub6fa","\ub6fb","\ub6fc","\ub6fd","\ub6fe","\ub6ff","\ub700","\ub701","\ub702","\ub703","\ub704","\ub705","\ub706","\ub707","\ub708","\ub709","\ub70a","\ub70b","\ub70c","\ub70d","\ub70e","\ub70f","\ub710","\ub711","\ub712","\ub713","\ub714","\ub715","\ub716","\ub717","\ub718","\ub719","\ub71a","\ub71b","\ub71c","\ub71d","\ub71e","\ub71f","\ub720","\ub721","\ub722","\ub723","\ub724","\ub725","\ub726","\ub727","\ub728","\ub729","\ub72a","\ub72b","\ub72c","\ub72d","\ub72e","\ub72f","\ub730","\ub731","\ub732","\ub733","\ub734","\ub735","\ub736","\ub737","\ub738","\ub739","\ub73a","\ub73b","\ub73c","\ub73d","\ub73e","\ub73f","\ub740","\ub741","\ub742","\ub743","\ub744","\ub745","\ub746","\ub747","\ub748","\ub749","\ub74a","\ub74b","\ub74c","\ub74d","\ub74e","\ub74f","\ub750","\ub751","\ub752","\ub753","\ub754","\ub755","\ub756","\ub757","\ub758","\ub759","\ub75a","\ub75b","\ub75c","\ub75d","\ub75e","\ub75f","\ub760","\ub761","\ub762","\ub763","\ub764","\ub765","\ub766","\ub767","\ub768","\ub769","\ub76a","\ub76b","\ub76c","\ub76d","\ub76e","\ub76f","\ub770","\ub771","\ub772","\ub773","\ub774","\ub775","\ub776","\ub777","\ub778","\ub779","\ub77a","\ub77b","\ub77c","\ub77d","\ub77e","\ub77f","\ub780","\ub781","\ub782","\ub783","\ub784","\ub785","\ub786","\ub787","\ub788","\ub789","\ub78a","\ub78b","\ub78c","\ub78d","\ub78e","\ub78f","\ub790","\ub791","\ub792","\ub793","\ub794","\ub795","\ub796","\ub797","\ub798","\ub799","\ub79a","\ub79b","\ub79c","\ub79d","\ub79e","\ub79f","\ub7a0","\ub7a1","\ub7a2","\ub7a3","\ub7a4","\ub7a5","\ub7a6","\ub7a7","\ub7a8","\ub7a9","\ub7aa","\ub7ab","\ub7ac","\ub7ad","\ub7ae","\ub7af","\ub7b0","\ub7b1","\ub7b2","\ub7b3","\ub7b4","\ub7b5","\ub7b6","\ub7b7","\ub7b8","\ub7b9","\ub7ba","\ub7bb","\ub7bc","\ub7bd","\ub7be","\ub7bf","\ub7c0","\ub7c1","\ub7c2","\ub7c3","\ub7c4","\ub7c5","\ub7c6","\ub7c7","\ub7c8","\ub7c9","\ub7ca","\ub7cb","\ub7cc","\ub7cd","\ub7ce","\ub7cf","\ub7d0","\ub7d1","\ub7d2","\ub7d3","\ub7d4","\ub7d5","\ub7d6","\ub7d7","\ub7d8","\ub7d9","\ub7da","\ub7db","\ub7dc","\ub7dd","\ub7de","\ub7df","\ub7e0","\ub7e1","\ub7e2","\ub7e3","\ub7e4","\ub7e5","\ub7e6","\ub7e7","\ub7e8","\ub7e9","\ub7ea","\ub7eb","\ub7ec","\ub7ed","\ub7ee","\ub7ef","\ub7f0","\ub7f1","\ub7f2","\ub7f3","\ub7f4","\ub7f5","\ub7f6","\ub7f7","\ub7f8","\ub7f9","\ub7fa","\ub7fb","\ub7fc","\ub7fd","\ub7fe","\ub7ff","\ub800","\ub801","\ub802","\ub803","\ub804","\ub805","\ub806","\ub807","\ub808","\ub809","\ub80a","\ub80b","\ub80c","\ub80d","\ub80e","\ub80f","\ub810","\ub811","\ub812","\ub813","\ub814","\ub815","\ub816","\ub817","\ub818","\ub819","\ub81a","\ub81b","\ub81c","\ub81d","\ub81e","\ub81f","\ub820","\ub821","\ub822","\ub823","\ub824","\ub825","\ub826","\ub827","\ub828","\ub829","\ub82a","\ub82b","\ub82c","\ub82d","\ub82e","\ub82f","\ub830","\ub831","\ub832","\ub833","\ub834","\ub835","\ub836","\ub837","\ub838","\ub839","\ub83a","\ub83b","\ub83c","\ub83d","\ub83e","\ub83f","\ub840","\ub841","\ub842","\ub843","\ub844","\ub845","\ub846","\ub847","\ub848","\ub849","\ub84a","\ub84b","\ub84c","\ub84d","\ub84e","\ub84f","\ub850","\ub851","\ub852","\ub853","\ub854","\ub855","\ub856","\ub857","\ub858","\ub859","\ub85a","\ub85b","\ub85c","\ub85d","\ub85e","\ub85f","\ub860","\ub861","\ub862","\ub863","\ub864","\ub865","\ub866","\ub867","\ub868","\ub869","\ub86a","\ub86b","\ub86c","\ub86d","\ub86e","\ub86f","\ub870","\ub871","\ub872","\ub873","\ub874","\ub875","\ub876","\ub877","\ub878","\ub879","\ub87a","\ub87b","\ub87c","\ub87d","\ub87e","\ub87f","\ub880","\ub881","\ub882","\ub883","\ub884","\ub885","\ub886","\ub887","\ub888","\ub889","\ub88a","\ub88b","\ub88c","\ub88d","\ub88e","\ub88f","\ub890","\ub891","\ub892","\ub893","\ub894","\ub895","\ub896","\ub897","\ub898","\ub899","\ub89a","\ub89b","\ub89c","\ub89d","\ub89e","\ub89f","\ub8a0","\ub8a1","\ub8a2","\ub8a3","\ub8a4","\ub8a5","\ub8a6","\ub8a7","\ub8a8","\ub8a9","\ub8aa","\ub8ab","\ub8ac","\ub8ad","\ub8ae","\ub8af","\ub8b0","\ub8b1","\ub8b2","\ub8b3","\ub8b4","\ub8b5","\ub8b6","\ub8b7","\ub8b8","\ub8b9","\ub8ba","\ub8bb","\ub8bc","\ub8bd","\ub8be","\ub8bf","\ub8c0","\ub8c1","\ub8c2","\ub8c3","\ub8c4","\ub8c5","\ub8c6","\ub8c7","\ub8c8","\ub8c9","\ub8ca","\ub8cb","\ub8cc","\ub8cd","\ub8ce","\ub8cf","\ub8d0","\ub8d1","\ub8d2","\ub8d3","\ub8d4","\ub8d5","\ub8d6","\ub8d7","\ub8d8","\ub8d9","\ub8da","\ub8db","\ub8dc","\ub8dd","\ub8de","\ub8df","\ub8e0","\ub8e1","\ub8e2","\ub8e3","\ub8e4","\ub8e5","\ub8e6","\ub8e7","\ub8e8","\ub8e9","\ub8ea","\ub8eb","\ub8ec","\ub8ed","\ub8ee","\ub8ef","\ub8f0","\ub8f1","\ub8f2","\ub8f3","\ub8f4","\ub8f5","\ub8f6","\ub8f7","\ub8f8","\ub8f9","\ub8fa","\ub8fb","\ub8fc","\ub8fd","\ub8fe","\ub8ff","\ub900","\ub901","\ub902","\ub903","\ub904","\ub905","\ub906","\ub907","\ub908","\ub909","\ub90a","\ub90b","\ub90c","\ub90d","\ub90e","\ub90f","\ub910","\ub911","\ub912","\ub913","\ub914","\ub915","\ub916","\ub917","\ub918","\ub919","\ub91a","\ub91b","\ub91c","\ub91d","\ub91e","\ub91f","\ub920","\ub921","\ub922","\ub923","\ub924","\ub925","\ub926","\ub927","\ub928","\ub929","\ub92a","\ub92b","\ub92c","\ub92d","\ub92e","\ub92f","\ub930","\ub931","\ub932","\ub933","\ub934","\ub935","\ub936","\ub937","\ub938","\ub939","\ub93a","\ub93b","\ub93c","\ub93d","\ub93e","\ub93f","\ub940","\ub941","\ub942","\ub943","\ub944","\ub945","\ub946","\ub947","\ub948","\ub949","\ub94a","\ub94b","\ub94c","\ub94d","\ub94e","\ub94f","\ub950","\ub951","\ub952","\ub953","\ub954","\ub955","\ub956","\ub957","\ub958","\ub959","\ub95a","\ub95b","\ub95c","\ub95d","\ub95e","\ub95f","\ub960","\ub961","\ub962","\ub963","\ub964","\ub965","\ub966","\ub967","\ub968","\ub969","\ub96a","\ub96b","\ub96c","\ub96d","\ub96e","\ub96f","\ub970","\ub971","\ub972","\ub973","\ub974","\ub975","\ub976","\ub977","\ub978","\ub979","\ub97a","\ub97b","\ub97c","\ub97d","\ub97e","\ub97f","\ub980","\ub981","\ub982","\ub983","\ub984","\ub985","\ub986","\ub987","\ub988","\ub989","\ub98a","\ub98b","\ub98c","\ub98d","\ub98e","\ub98f","\ub990","\ub991","\ub992","\ub993","\ub994","\ub995","\ub996","\ub997","\ub998","\ub999","\ub99a","\ub99b","\ub99c","\ub99d","\ub99e","\ub99f","\ub9a0","\ub9a1","\ub9a2","\ub9a3","\ub9a4","\ub9a5","\ub9a6","\ub9a7","\ub9a8","\ub9a9","\ub9aa","\ub9ab","\ub9ac","\ub9ad","\ub9ae","\ub9af","\ub9b0","\ub9b1","\ub9b2","\ub9b3","\ub9b4","\ub9b5","\ub9b6","\ub9b7","\ub9b8","\ub9b9","\ub9ba","\ub9bb","\ub9bc","\ub9bd","\ub9be","\ub9bf","\ub9c0","\ub9c1","\ub9c2","\ub9c3","\ub9c4","\ub9c5","\ub9c6","\ub9c7","\ub9c8","\ub9c9","\ub9ca","\ub9cb","\ub9cc","\ub9cd","\ub9ce","\ub9cf","\ub9d0","\ub9d1","\ub9d2","\ub9d3","\ub9d4","\ub9d5","\ub9d6","\ub9d7","\ub9d8","\ub9d9","\ub9da","\ub9db","\ub9dc","\ub9dd","\ub9de","\ub9df","\ub9e0","\ub9e1","\ub9e2","\ub9e3","\ub9e4","\ub9e5","\ub9e6","\ub9e7","\ub9e8","\ub9e9","\ub9ea","\ub9eb","\ub9ec","\ub9ed","\ub9ee","\ub9ef","\ub9f0","\ub9f1","\ub9f2","\ub9f3","\ub9f4","\ub9f5","\ub9f6","\ub9f7","\ub9f8","\ub9f9","\ub9fa","\ub9fb","\ub9fc","\ub9fd","\ub9fe","\ub9ff","\uba00","\uba01","\uba02","\uba03","\uba04","\uba05","\uba06","\uba07","\uba08","\uba09","\uba0a","\uba0b","\uba0c","\uba0d","\uba0e","\uba0f","\uba10","\uba11","\uba12","\uba13","\uba14","\uba15","\uba16","\uba17","\uba18","\uba19","\uba1a","\uba1b","\uba1c","\uba1d","\uba1e","\uba1f","\uba20","\uba21","\uba22","\uba23","\uba24","\uba25","\uba26","\uba27","\uba28","\uba29","\uba2a","\uba2b","\uba2c","\uba2d","\uba2e","\uba2f","\uba30","\uba31","\uba32","\uba33","\uba34","\uba35","\uba36","\uba37","\uba38","\uba39","\uba3a","\uba3b","\uba3c","\uba3d","\uba3e","\uba3f","\uba40","\uba41","\uba42","\uba43","\uba44","\uba45","\uba46","\uba47","\uba48","\uba49","\uba4a","\uba4b","\uba4c","\uba4d","\uba4e","\uba4f","\uba50","\uba51","\uba52","\uba53","\uba54","\uba55","\uba56","\uba57","\uba58","\uba59","\uba5a","\uba5b","\uba5c","\uba5d","\uba5e","\uba5f","\uba60","\uba61","\uba62","\uba63","\uba64","\uba65","\uba66","\uba67","\uba68","\uba69","\uba6a","\uba6b","\uba6c","\uba6d","\uba6e","\uba6f","\uba70","\uba71","\uba72","\uba73","\uba74","\uba75","\uba76","\uba77","\uba78","\uba79","\uba7a","\uba7b","\uba7c","\uba7d","\uba7e","\uba7f","\uba80","\uba81","\uba82","\uba83","\uba84","\uba85","\uba86","\uba87","\uba88","\uba89","\uba8a","\uba8b","\uba8c","\uba8d","\uba8e","\uba8f","\uba90","\uba91","\uba92","\uba93","\uba94","\uba95","\uba96","\uba97","\uba98","\uba99","\uba9a","\uba9b","\uba9c","\uba9d","\uba9e","\uba9f","\ubaa0","\ubaa1","\ubaa2","\ubaa3","\ubaa4","\ubaa5","\ubaa6","\ubaa7","\ubaa8","\ubaa9","\ubaaa","\ubaab","\ubaac","\ubaad","\ubaae","\ubaaf","\ubab0","\ubab1","\ubab2","\ubab3","\ubab4","\ubab5","\ubab6","\ubab7","\ubab8","\ubab9","\ubaba","\ubabb","\ubabc","\ubabd","\ubabe","\ubabf","\ubac0","\ubac1","\ubac2","\ubac3","\ubac4","\ubac5","\ubac6","\ubac7","\ubac8","\ubac9","\ubaca","\ubacb","\ubacc","\ubacd","\ubace","\ubacf","\ubad0","\ubad1","\ubad2","\ubad3","\ubad4","\ubad5","\ubad6","\ubad7","\ubad8","\ubad9","\ubada","\ubadb","\ubadc","\ubadd","\ubade","\ubadf","\ubae0","\ubae1","\ubae2","\ubae3","\ubae4","\ubae5","\ubae6","\ubae7","\ubae8","\ubae9","\ubaea","\ubaeb","\ubaec","\ubaed","\ubaee","\ubaef","\ubaf0","\ubaf1","\ubaf2","\ubaf3","\ubaf4","\ubaf5","\ubaf6","\ubaf7","\ubaf8","\ubaf9","\ubafa","\ubafb","\ubafc","\ubafd","\ubafe","\ubaff","\ubb00","\ubb01","\ubb02","\ubb03","\ubb04","\ubb05","\ubb06","\ubb07","\ubb08","\ubb09","\ubb0a","\ubb0b","\ubb0c","\ubb0d","\ubb0e","\ubb0f","\ubb10","\ubb11","\ubb12","\ubb13","\ubb14","\ubb15","\ubb16","\ubb17","\ubb18","\ubb19","\ubb1a","\ubb1b","\ubb1c","\ubb1d","\ubb1e","\ubb1f","\ubb20","\ubb21","\ubb22","\ubb23","\ubb24","\ubb25","\ubb26","\ubb27","\ubb28","\ubb29","\ubb2a","\ubb2b","\ubb2c","\ubb2d","\ubb2e","\ubb2f","\ubb30","\ubb31","\ubb32","\ubb33","\ubb34","\ubb35","\ubb36","\ubb37","\ubb38","\ubb39","\ubb3a","\ubb3b","\ubb3c","\ubb3d","\ubb3e","\ubb3f","\ubb40","\ubb41","\ubb42","\ubb43","\ubb44","\ubb45","\ubb46","\ubb47","\ubb48","\ubb49","\ubb4a","\ubb4b","\ubb4c","\ubb4d","\ubb4e","\ubb4f","\ubb50","\ubb51","\ubb52","\ubb53","\ubb54","\ubb55","\ubb56","\ubb57","\ubb58","\ubb59","\ubb5a","\ubb5b","\ubb5c","\ubb5d","\ubb5e","\ubb5f","\ubb60","\ubb61","\ubb62","\ubb63","\ubb64","\ubb65","\ubb66","\ubb67","\ubb68","\ubb69","\ubb6a","\ubb6b","\ubb6c","\ubb6d","\ubb6e","\ubb6f","\ubb70","\ubb71","\ubb72","\ubb73","\ubb74","\ubb75","\ubb76","\ubb77","\ubb78","\ubb79","\ubb7a","\ubb7b","\ubb7c","\ubb7d","\ubb7e","\ubb7f","\ubb80","\ubb81","\ubb82","\ubb83","\ubb84","\ubb85","\ubb86","\ubb87","\ubb88","\ubb89","\ubb8a","\ubb8b","\ubb8c","\ubb8d","\ubb8e","\ubb8f","\ubb90","\ubb91","\ubb92","\ubb93","\ubb94","\ubb95","\ubb96","\ubb97","\ubb98","\ubb99","\ubb9a","\ubb9b","\ubb9c","\ubb9d","\ubb9e","\ubb9f","\ubba0","\ubba1","\ubba2","\ubba3","\ubba4","\ubba5","\ubba6","\ubba7","\ubba8","\ubba9","\ubbaa","\ubbab","\ubbac","\ubbad","\ubbae","\ubbaf","\ubbb0","\ubbb1","\ubbb2","\ubbb3","\ubbb4","\ubbb5","\ubbb6","\ubbb7","\ubbb8","\ubbb9","\ubbba","\ubbbb","\ubbbc","\ubbbd","\ubbbe","\ubbbf","\ubbc0","\ubbc1","\ubbc2","\ubbc3","\ubbc4","\ubbc5","\ubbc6","\ubbc7","\ubbc8","\ubbc9","\ubbca","\ubbcb","\ubbcc","\ubbcd","\ubbce","\ubbcf","\ubbd0","\ubbd1","\ubbd2","\ubbd3","\ubbd4","\ubbd5","\ubbd6","\ubbd7","\ubbd8","\ubbd9","\ubbda","\ubbdb","\ubbdc","\ubbdd","\ubbde","\ubbdf","\ubbe0","\ubbe1","\ubbe2","\ubbe3","\ubbe4","\ubbe5","\ubbe6","\ubbe7","\ubbe8","\ubbe9","\ubbea","\ubbeb","\ubbec","\ubbed","\ubbee","\ubbef","\ubbf0","\ubbf1","\ubbf2","\ubbf3","\ubbf4","\ubbf5","\ubbf6","\ubbf7","\ubbf8","\ubbf9","\ubbfa","\ubbfb","\ubbfc","\ubbfd","\ubbfe","\ubbff","\ubc00","\ubc01","\ubc02","\ubc03","\ubc04","\ubc05","\ubc06","\ubc07","\ubc08","\ubc09","\ubc0a","\ubc0b","\ubc0c","\ubc0d","\ubc0e","\ubc0f","\ubc10","\ubc11","\ubc12","\ubc13","\ubc14","\ubc15","\ubc16","\ubc17","\ubc18","\ubc19","\ubc1a","\ubc1b","\ubc1c","\ubc1d","\ubc1e","\ubc1f","\ubc20","\ubc21","\ubc22","\ubc23","\ubc24","\ubc25","\ubc26","\ubc27","\ubc28","\ubc29","\ubc2a","\ubc2b","\ubc2c","\ubc2d","\ubc2e","\ubc2f","\ubc30","\ubc31","\ubc32","\ubc33","\ubc34","\ubc35","\ubc36","\ubc37","\ubc38","\ubc39","\ubc3a","\ubc3b","\ubc3c","\ubc3d","\ubc3e","\ubc3f","\ubc40","\ubc41","\ubc42","\ubc43","\ubc44","\ubc45","\ubc46","\ubc47","\ubc48","\ubc49","\ubc4a","\ubc4b","\ubc4c","\ubc4d","\ubc4e","\ubc4f","\ubc50","\ubc51","\ubc52","\ubc53","\ubc54","\ubc55","\ubc56","\ubc57","\ubc58","\ubc59","\ubc5a","\ubc5b","\ubc5c","\ubc5d","\ubc5e","\ubc5f","\ubc60","\ubc61","\ubc62","\ubc63","\ubc64","\ubc65","\ubc66","\ubc67","\ubc68","\ubc69","\ubc6a","\ubc6b","\ubc6c","\ubc6d","\ubc6e","\ubc6f","\ubc70","\ubc71","\ubc72","\ubc73","\ubc74","\ubc75","\ubc76","\ubc77","\ubc78","\ubc79","\ubc7a","\ubc7b","\ubc7c","\ubc7d","\ubc7e","\ubc7f","\ubc80","\ubc81","\ubc82","\ubc83","\ubc84","\ubc85","\ubc86","\ubc87","\ubc88","\ubc89","\ubc8a","\ubc8b","\ubc8c","\ubc8d","\ubc8e","\ubc8f","\ubc90","\ubc91","\ubc92","\ubc93","\ubc94","\ubc95","\ubc96","\ubc97","\ubc98","\ubc99","\ubc9a","\ubc9b","\ubc9c","\ubc9d","\ubc9e","\ubc9f","\ubca0","\ubca1","\ubca2","\ubca3","\ubca4","\ubca5","\ubca6","\ubca7","\ubca8","\ubca9","\ubcaa","\ubcab","\ubcac","\ubcad","\ubcae","\ubcaf","\ubcb0","\ubcb1","\ubcb2","\ubcb3","\ubcb4","\ubcb5","\ubcb6","\ubcb7","\ubcb8","\ubcb9","\ubcba","\ubcbb","\ubcbc","\ubcbd","\ubcbe","\ubcbf","\ubcc0","\ubcc1","\ubcc2","\ubcc3","\ubcc4","\ubcc5","\ubcc6","\ubcc7","\ubcc8","\ubcc9","\ubcca","\ubccb","\ubccc","\ubccd","\ubcce","\ubccf","\ubcd0","\ubcd1","\ubcd2","\ubcd3","\ubcd4","\ubcd5","\ubcd6","\ubcd7","\ubcd8","\ubcd9","\ubcda","\ubcdb","\ubcdc","\ubcdd","\ubcde","\ubcdf","\ubce0","\ubce1","\ubce2","\ubce3","\ubce4","\ubce5","\ubce6","\ubce7","\ubce8","\ubce9","\ubcea","\ubceb","\ubcec","\ubced","\ubcee","\ubcef","\ubcf0","\ubcf1","\ubcf2","\ubcf3","\ubcf4","\ubcf5","\ubcf6","\ubcf7","\ubcf8","\ubcf9","\ubcfa","\ubcfb","\ubcfc","\ubcfd","\ubcfe","\ubcff","\ubd00","\ubd01","\ubd02","\ubd03","\ubd04","\ubd05","\ubd06","\ubd07","\ubd08","\ubd09","\ubd0a","\ubd0b","\ubd0c","\ubd0d","\ubd0e","\ubd0f","\ubd10","\ubd11","\ubd12","\ubd13","\ubd14","\ubd15","\ubd16","\ubd17","\ubd18","\ubd19","\ubd1a","\ubd1b","\ubd1c","\ubd1d","\ubd1e","\ubd1f","\ubd20","\ubd21","\ubd22","\ubd23","\ubd24","\ubd25","\ubd26","\ubd27","\ubd28","\ubd29","\ubd2a","\ubd2b","\ubd2c","\ubd2d","\ubd2e","\ubd2f","\ubd30","\ubd31","\ubd32","\ubd33","\ubd34","\ubd35","\ubd36","\ubd37","\ubd38","\ubd39","\ubd3a","\ubd3b","\ubd3c","\ubd3d","\ubd3e","\ubd3f","\ubd40","\ubd41","\ubd42","\ubd43","\ubd44","\ubd45","\ubd46","\ubd47","\ubd48","\ubd49","\ubd4a","\ubd4b","\ubd4c","\ubd4d","\ubd4e","\ubd4f","\ubd50","\ubd51","\ubd52","\ubd53","\ubd54","\ubd55","\ubd56","\ubd57","\ubd58","\ubd59","\ubd5a","\ubd5b","\ubd5c","\ubd5d","\ubd5e","\ubd5f","\ubd60","\ubd61","\ubd62","\ubd63","\ubd64","\ubd65","\ubd66","\ubd67","\ubd68","\ubd69","\ubd6a","\ubd6b","\ubd6c","\ubd6d","\ubd6e","\ubd6f","\ubd70","\ubd71","\ubd72","\ubd73","\ubd74","\ubd75","\ubd76","\ubd77","\ubd78","\ubd79","\ubd7a","\ubd7b","\ubd7c","\ubd7d","\ubd7e","\ubd7f","\ubd80","\ubd81","\ubd82","\ubd83","\ubd84","\ubd85","\ubd86","\ubd87","\ubd88","\ubd89","\ubd8a","\ubd8b","\ubd8c","\ubd8d","\ubd8e","\ubd8f","\ubd90","\ubd91","\ubd92","\ubd93","\ubd94","\ubd95","\ubd96","\ubd97","\ubd98","\ubd99","\ubd9a","\ubd9b","\ubd9c","\ubd9d","\ubd9e","\ubd9f","\ubda0","\ubda1","\ubda2","\ubda3","\ubda4","\ubda5","\ubda6","\ubda7","\ubda8","\ubda9","\ubdaa","\ubdab","\ubdac","\ubdad","\ubdae","\ubdaf","\ubdb0","\ubdb1","\ubdb2","\ubdb3","\ubdb4","\ubdb5","\ubdb6","\ubdb7","\ubdb8","\ubdb9","\ubdba","\ubdbb","\ubdbc","\ubdbd","\ubdbe","\ubdbf","\ubdc0","\ubdc1","\ubdc2","\ubdc3","\ubdc4","\ubdc5","\ubdc6","\ubdc7","\ubdc8","\ubdc9","\ubdca","\ubdcb","\ubdcc","\ubdcd","\ubdce","\ubdcf","\ubdd0","\ubdd1","\ubdd2","\ubdd3","\ubdd4","\ubdd5","\ubdd6","\ubdd7","\ubdd8","\ubdd9","\ubdda","\ubddb","\ubddc","\ubddd","\ubdde","\ubddf","\ubde0","\ubde1","\ubde2","\ubde3","\ubde4","\ubde5","\ubde6","\ubde7","\ubde8","\ubde9","\ubdea","\ubdeb","\ubdec","\ubded","\ubdee","\ubdef","\ubdf0","\ubdf1","\ubdf2","\ubdf3","\ubdf4","\ubdf5","\ubdf6","\ubdf7","\ubdf8","\ubdf9","\ubdfa","\ubdfb","\ubdfc","\ubdfd","\ubdfe","\ubdff","\ube00","\ube01","\ube02","\ube03","\ube04","\ube05","\ube06","\ube07","\ube08","\ube09","\ube0a","\ube0b","\ube0c","\ube0d","\ube0e","\ube0f","\ube10","\ube11","\ube12","\ube13","\ube14","\ube15","\ube16","\ube17","\ube18","\ube19","\ube1a","\ube1b","\ube1c","\ube1d","\ube1e","\ube1f","\ube20","\ube21","\ube22","\ube23","\ube24","\ube25","\ube26","\ube27","\ube28","\ube29","\ube2a","\ube2b","\ube2c","\ube2d","\ube2e","\ube2f","\ube30","\ube31","\ube32","\ube33","\ube34","\ube35","\ube36","\ube37","\ube38","\ube39","\ube3a","\ube3b","\ube3c","\ube3d","\ube3e","\ube3f","\ube40","\ube41","\ube42","\ube43","\ube44","\ube45","\ube46","\ube47","\ube48","\ube49","\ube4a","\ube4b","\ube4c","\ube4d","\ube4e","\ube4f","\ube50","\ube51","\ube52","\ube53","\ube54","\ube55","\ube56","\ube57","\ube58","\ube59","\ube5a","\ube5b","\ube5c","\ube5d","\ube5e","\ube5f","\ube60","\ube61","\ube62","\ube63","\ube64","\ube65","\ube66","\ube67","\ube68","\ube69","\ube6a","\ube6b","\ube6c","\ube6d","\ube6e","\ube6f","\ube70","\ube71","\ube72","\ube73","\ube74","\ube75","\ube76","\ube77","\ube78","\ube79","\ube7a","\ube7b","\ube7c","\ube7d","\ube7e","\ube7f","\ube80","\ube81","\ube82","\ube83","\ube84","\ube85","\ube86","\ube87","\ube88","\ube89","\ube8a","\ube8b","\ube8c","\ube8d","\ube8e","\ube8f","\ube90","\ube91","\ube92","\ube93","\ube94","\ube95","\ube96","\ube97","\ube98","\ube99","\ube9a","\ube9b","\ube9c","\ube9d","\ube9e","\ube9f","\ubea0","\ubea1","\ubea2","\ubea3","\ubea4","\ubea5","\ubea6","\ubea7","\ubea8","\ubea9","\ubeaa","\ubeab","\ubeac","\ubead","\ubeae","\ubeaf","\ubeb0","\ubeb1","\ubeb2","\ubeb3","\ubeb4","\ubeb5","\ubeb6","\ubeb7","\ubeb8","\ubeb9","\ubeba","\ubebb","\ubebc","\ubebd","\ubebe","\ubebf","\ubec0","\ubec1","\ubec2","\ubec3","\ubec4","\ubec5","\ubec6","\ubec7","\ubec8","\ubec9","\ubeca","\ubecb","\ubecc","\ubecd","\ubece","\ubecf","\ubed0","\ubed1","\ubed2","\ubed3","\ubed4","\ubed5","\ubed6","\ubed7","\ubed8","\ubed9","\ubeda","\ubedb","\ubedc","\ubedd","\ubede","\ubedf","\ubee0","\ubee1","\ubee2","\ubee3","\ubee4","\ubee5","\ubee6","\ubee7","\ubee8","\ubee9","\ubeea","\ubeeb","\ubeec","\ubeed","\ubeee","\ubeef","\ubef0","\ubef1","\ubef2","\ubef3","\ubef4","\ubef5","\ubef6","\ubef7","\ubef8","\ubef9","\ubefa","\ubefb","\ubefc","\ubefd","\ubefe","\ubeff","\ubf00","\ubf01","\ubf02","\ubf03","\ubf04","\ubf05","\ubf06","\ubf07","\ubf08","\ubf09","\ubf0a","\ubf0b","\ubf0c","\ubf0d","\ubf0e","\ubf0f","\ubf10","\ubf11","\ubf12","\ubf13","\ubf14","\ubf15","\ubf16","\ubf17","\ubf18","\ubf19","\ubf1a","\ubf1b","\ubf1c","\ubf1d","\ubf1e","\ubf1f","\ubf20","\ubf21","\ubf22","\ubf23","\ubf24","\ubf25","\ubf26","\ubf27","\ubf28","\ubf29","\ubf2a","\ubf2b","\ubf2c","\ubf2d","\ubf2e","\ubf2f","\ubf30","\ubf31","\ubf32","\ubf33","\ubf34","\ubf35","\ubf36","\ubf37","\ubf38","\ubf39","\ubf3a","\ubf3b","\ubf3c","\ubf3d","\ubf3e","\ubf3f","\ubf40","\ubf41","\ubf42","\ubf43","\ubf44","\ubf45","\ubf46","\ubf47","\ubf48","\ubf49","\ubf4a","\ubf4b","\ubf4c","\ubf4d","\ubf4e","\ubf4f","\ubf50","\ubf51","\ubf52","\ubf53","\ubf54","\ubf55","\ubf56","\ubf57","\ubf58","\ubf59","\ubf5a","\ubf5b","\ubf5c","\ubf5d","\ubf5e","\ubf5f","\ubf60","\ubf61","\ubf62","\ubf63","\ubf64","\ubf65","\ubf66","\ubf67","\ubf68","\ubf69","\ubf6a","\ubf6b","\ubf6c","\ubf6d","\ubf6e","\ubf6f","\ubf70","\ubf71","\ubf72","\ubf73","\ubf74","\ubf75","\ubf76","\ubf77","\ubf78","\ubf79","\ubf7a","\ubf7b","\ubf7c","\ubf7d","\ubf7e","\ubf7f","\ubf80","\ubf81","\ubf82","\ubf83","\ubf84","\ubf85","\ubf86","\ubf87","\ubf88","\ubf89","\ubf8a","\ubf8b","\ubf8c","\ubf8d","\ubf8e","\ubf8f","\ubf90","\ubf91","\ubf92","\ubf93","\ubf94","\ubf95","\ubf96","\ubf97","\ubf98","\ubf99","\ubf9a","\ubf9b","\ubf9c","\ubf9d","\ubf9e","\ubf9f","\ubfa0","\ubfa1","\ubfa2","\ubfa3","\ubfa4","\ubfa5","\ubfa6","\ubfa7","\ubfa8","\ubfa9","\ubfaa","\ubfab","\ubfac","\ubfad","\ubfae","\ubfaf","\ubfb0","\ubfb1","\ubfb2","\ubfb3","\ubfb4","\ubfb5","\ubfb6","\ubfb7","\ubfb8","\ubfb9","\ubfba","\ubfbb","\ubfbc","\ubfbd","\ubfbe","\ubfbf","\ubfc0","\ubfc1","\ubfc2","\ubfc3","\ubfc4","\ubfc5","\ubfc6","\ubfc7","\ubfc8","\ubfc9","\ubfca","\ubfcb","\ubfcc","\ubfcd","\ubfce","\ubfcf","\ubfd0","\ubfd1","\ubfd2","\ubfd3","\ubfd4","\ubfd5","\ubfd6","\ubfd7","\ubfd8","\ubfd9","\ubfda","\ubfdb","\ubfdc","\ubfdd","\ubfde","\ubfdf","\ubfe0","\ubfe1","\ubfe2","\ubfe3","\ubfe4","\ubfe5","\ubfe6","\ubfe7","\ubfe8","\ubfe9","\ubfea","\ubfeb","\ubfec","\ubfed","\ubfee","\ubfef","\ubff0","\ubff1","\ubff2","\ubff3","\ubff4","\ubff5","\ubff6","\ubff7","\ubff8","\ubff9","\ubffa","\ubffb","\ubffc","\ubffd","\ubffe","\ubfff","\uc000","\uc001","\uc002","\uc003","\uc004","\uc005","\uc006","\uc007","\uc008","\uc009","\uc00a","\uc00b","\uc00c","\uc00d","\uc00e","\uc00f","\uc010","\uc011","\uc012","\uc013","\uc014","\uc015","\uc016","\uc017","\uc018","\uc019","\uc01a","\uc01b","\uc01c","\uc01d","\uc01e","\uc01f","\uc020","\uc021","\uc022","\uc023","\uc024","\uc025","\uc026","\uc027","\uc028","\uc029","\uc02a","\uc02b","\uc02c","\uc02d","\uc02e","\uc02f","\uc030","\uc031","\uc032","\uc033","\uc034","\uc035","\uc036","\uc037","\uc038","\uc039","\uc03a","\uc03b","\uc03c","\uc03d","\uc03e","\uc03f","\uc040","\uc041","\uc042","\uc043","\uc044","\uc045","\uc046","\uc047","\uc048","\uc049","\uc04a","\uc04b","\uc04c","\uc04d","\uc04e","\uc04f","\uc050","\uc051","\uc052","\uc053","\uc054","\uc055","\uc056","\uc057","\uc058","\uc059","\uc05a","\uc05b","\uc05c","\uc05d","\uc05e","\uc05f","\uc060","\uc061","\uc062","\uc063","\uc064","\uc065","\uc066","\uc067","\uc068","\uc069","\uc06a","\uc06b","\uc06c","\uc06d","\uc06e","\uc06f","\uc070","\uc071","\uc072","\uc073","\uc074","\uc075","\uc076","\uc077","\uc078","\uc079","\uc07a","\uc07b","\uc07c","\uc07d","\uc07e","\uc07f","\uc080","\uc081","\uc082","\uc083","\uc084","\uc085","\uc086","\uc087","\uc088","\uc089","\uc08a","\uc08b","\uc08c","\uc08d","\uc08e","\uc08f","\uc090","\uc091","\uc092","\uc093","\uc094","\uc095","\uc096","\uc097","\uc098","\uc099","\uc09a","\uc09b","\uc09c","\uc09d","\uc09e","\uc09f","\uc0a0","\uc0a1","\uc0a2","\uc0a3","\uc0a4","\uc0a5","\uc0a6","\uc0a7","\uc0a8","\uc0a9","\uc0aa","\uc0ab","\uc0ac","\uc0ad","\uc0ae","\uc0af","\uc0b0","\uc0b1","\uc0b2","\uc0b3","\uc0b4","\uc0b5","\uc0b6","\uc0b7","\uc0b8","\uc0b9","\uc0ba","\uc0bb","\uc0bc","\uc0bd","\uc0be","\uc0bf","\uc0c0","\uc0c1","\uc0c2","\uc0c3","\uc0c4","\uc0c5","\uc0c6","\uc0c7","\uc0c8","\uc0c9","\uc0ca","\uc0cb","\uc0cc","\uc0cd","\uc0ce","\uc0cf","\uc0d0","\uc0d1","\uc0d2","\uc0d3","\uc0d4","\uc0d5","\uc0d6","\uc0d7","\uc0d8","\uc0d9","\uc0da","\uc0db","\uc0dc","\uc0dd","\uc0de","\uc0df","\uc0e0","\uc0e1","\uc0e2","\uc0e3","\uc0e4","\uc0e5","\uc0e6","\uc0e7","\uc0e8","\uc0e9","\uc0ea","\uc0eb","\uc0ec","\uc0ed","\uc0ee","\uc0ef","\uc0f0","\uc0f1","\uc0f2","\uc0f3","\uc0f4","\uc0f5","\uc0f6","\uc0f7","\uc0f8","\uc0f9","\uc0fa","\uc0fb","\uc0fc","\uc0fd","\uc0fe","\uc0ff","\uc100","\uc101","\uc102","\uc103","\uc104","\uc105","\uc106","\uc107","\uc108","\uc109","\uc10a","\uc10b","\uc10c","\uc10d","\uc10e","\uc10f","\uc110","\uc111","\uc112","\uc113","\uc114","\uc115","\uc116","\uc117","\uc118","\uc119","\uc11a","\uc11b","\uc11c","\uc11d","\uc11e","\uc11f","\uc120","\uc121","\uc122","\uc123","\uc124","\uc125","\uc126","\uc127","\uc128","\uc129","\uc12a","\uc12b","\uc12c","\uc12d","\uc12e","\uc12f","\uc130","\uc131","\uc132","\uc133","\uc134","\uc135","\uc136","\uc137","\uc138","\uc139","\uc13a","\uc13b","\uc13c","\uc13d","\uc13e","\uc13f","\uc140","\uc141","\uc142","\uc143","\uc144","\uc145","\uc146","\uc147","\uc148","\uc149","\uc14a","\uc14b","\uc14c","\uc14d","\uc14e","\uc14f","\uc150","\uc151","\uc152","\uc153","\uc154","\uc155","\uc156","\uc157","\uc158","\uc159","\uc15a","\uc15b","\uc15c","\uc15d","\uc15e","\uc15f","\uc160","\uc161","\uc162","\uc163","\uc164","\uc165","\uc166","\uc167","\uc168","\uc169","\uc16a","\uc16b","\uc16c","\uc16d","\uc16e","\uc16f","\uc170","\uc171","\uc172","\uc173","\uc174","\uc175","\uc176","\uc177","\uc178","\uc179","\uc17a","\uc17b","\uc17c","\uc17d","\uc17e","\uc17f","\uc180","\uc181","\uc182","\uc183","\uc184","\uc185","\uc186","\uc187","\uc188","\uc189","\uc18a","\uc18b","\uc18c","\uc18d","\uc18e","\uc18f","\uc190","\uc191","\uc192","\uc193","\uc194","\uc195","\uc196","\uc197","\uc198","\uc199","\uc19a","\uc19b","\uc19c","\uc19d","\uc19e","\uc19f","\uc1a0","\uc1a1","\uc1a2","\uc1a3","\uc1a4","\uc1a5","\uc1a6","\uc1a7","\uc1a8","\uc1a9","\uc1aa","\uc1ab","\uc1ac","\uc1ad","\uc1ae","\uc1af","\uc1b0","\uc1b1","\uc1b2","\uc1b3","\uc1b4","\uc1b5","\uc1b6","\uc1b7","\uc1b8","\uc1b9","\uc1ba","\uc1bb","\uc1bc","\uc1bd","\uc1be","\uc1bf","\uc1c0","\uc1c1","\uc1c2","\uc1c3","\uc1c4","\uc1c5","\uc1c6","\uc1c7","\uc1c8","\uc1c9","\uc1ca","\uc1cb","\uc1cc","\uc1cd","\uc1ce","\uc1cf","\uc1d0","\uc1d1","\uc1d2","\uc1d3","\uc1d4","\uc1d5","\uc1d6","\uc1d7","\uc1d8","\uc1d9","\uc1da","\uc1db","\uc1dc","\uc1dd","\uc1de","\uc1df","\uc1e0","\uc1e1","\uc1e2","\uc1e3","\uc1e4","\uc1e5","\uc1e6","\uc1e7","\uc1e8","\uc1e9","\uc1ea","\uc1eb","\uc1ec","\uc1ed","\uc1ee","\uc1ef","\uc1f0","\uc1f1","\uc1f2","\uc1f3","\uc1f4","\uc1f5","\uc1f6","\uc1f7","\uc1f8","\uc1f9","\uc1fa","\uc1fb","\uc1fc","\uc1fd","\uc1fe","\uc1ff","\uc200","\uc201","\uc202","\uc203","\uc204","\uc205","\uc206","\uc207","\uc208","\uc209","\uc20a","\uc20b","\uc20c","\uc20d","\uc20e","\uc20f","\uc210","\uc211","\uc212","\uc213","\uc214","\uc215","\uc216","\uc217","\uc218","\uc219","\uc21a","\uc21b","\uc21c","\uc21d","\uc21e","\uc21f","\uc220","\uc221","\uc222","\uc223","\uc224","\uc225","\uc226","\uc227","\uc228","\uc229","\uc22a","\uc22b","\uc22c","\uc22d","\uc22e","\uc22f","\uc230","\uc231","\uc232","\uc233","\uc234","\uc235","\uc236","\uc237","\uc238","\uc239","\uc23a","\uc23b","\uc23c","\uc23d","\uc23e","\uc23f","\uc240","\uc241","\uc242","\uc243","\uc244","\uc245","\uc246","\uc247","\uc248","\uc249","\uc24a","\uc24b","\uc24c","\uc24d","\uc24e","\uc24f","\uc250","\uc251","\uc252","\uc253","\uc254","\uc255","\uc256","\uc257","\uc258","\uc259","\uc25a","\uc25b","\uc25c","\uc25d","\uc25e","\uc25f","\uc260","\uc261","\uc262","\uc263","\uc264","\uc265","\uc266","\uc267","\uc268","\uc269","\uc26a","\uc26b","\uc26c","\uc26d","\uc26e","\uc26f","\uc270","\uc271","\uc272","\uc273","\uc274","\uc275","\uc276","\uc277","\uc278","\uc279","\uc27a","\uc27b","\uc27c","\uc27d","\uc27e","\uc27f","\uc280","\uc281","\uc282","\uc283","\uc284","\uc285","\uc286","\uc287","\uc288","\uc289","\uc28a","\uc28b","\uc28c","\uc28d","\uc28e","\uc28f","\uc290","\uc291","\uc292","\uc293","\uc294","\uc295","\uc296","\uc297","\uc298","\uc299","\uc29a","\uc29b","\uc29c","\uc29d","\uc29e","\uc29f","\uc2a0","\uc2a1","\uc2a2","\uc2a3","\uc2a4","\uc2a5","\uc2a6","\uc2a7","\uc2a8","\uc2a9","\uc2aa","\uc2ab","\uc2ac","\uc2ad","\uc2ae","\uc2af","\uc2b0","\uc2b1","\uc2b2","\uc2b3","\uc2b4","\uc2b5","\uc2b6","\uc2b7","\uc2b8","\uc2b9","\uc2ba","\uc2bb","\uc2bc","\uc2bd","\uc2be","\uc2bf","\uc2c0","\uc2c1","\uc2c2","\uc2c3","\uc2c4","\uc2c5","\uc2c6","\uc2c7","\uc2c8","\uc2c9","\uc2ca","\uc2cb","\uc2cc","\uc2cd","\uc2ce","\uc2cf","\uc2d0","\uc2d1","\uc2d2","\uc2d3","\uc2d4","\uc2d5","\uc2d6","\uc2d7","\uc2d8","\uc2d9","\uc2da","\uc2db","\uc2dc","\uc2dd","\uc2de","\uc2df","\uc2e0","\uc2e1","\uc2e2","\uc2e3","\uc2e4","\uc2e5","\uc2e6","\uc2e7","\uc2e8","\uc2e9","\uc2ea","\uc2eb","\uc2ec","\uc2ed","\uc2ee","\uc2ef","\uc2f0","\uc2f1","\uc2f2","\uc2f3","\uc2f4","\uc2f5","\uc2f6","\uc2f7","\uc2f8","\uc2f9","\uc2fa","\uc2fb","\uc2fc","\uc2fd","\uc2fe","\uc2ff","\uc300","\uc301","\uc302","\uc303","\uc304","\uc305","\uc306","\uc307","\uc308","\uc309","\uc30a","\uc30b","\uc30c","\uc30d","\uc30e","\uc30f","\uc310","\uc311","\uc312","\uc313","\uc314","\uc315","\uc316","\uc317","\uc318","\uc319","\uc31a","\uc31b","\uc31c","\uc31d","\uc31e","\uc31f","\uc320","\uc321","\uc322","\uc323","\uc324","\uc325","\uc326","\uc327","\uc328","\uc329","\uc32a","\uc32b","\uc32c","\uc32d","\uc32e","\uc32f","\uc330","\uc331","\uc332","\uc333","\uc334","\uc335","\uc336","\uc337","\uc338","\uc339","\uc33a","\uc33b","\uc33c","\uc33d","\uc33e","\uc33f","\uc340","\uc341","\uc342","\uc343","\uc344","\uc345","\uc346","\uc347","\uc348","\uc349","\uc34a","\uc34b","\uc34c","\uc34d","\uc34e","\uc34f","\uc350","\uc351","\uc352","\uc353","\uc354","\uc355","\uc356","\uc357","\uc358","\uc359","\uc35a","\uc35b","\uc35c","\uc35d","\uc35e","\uc35f","\uc360","\uc361","\uc362","\uc363","\uc364","\uc365","\uc366","\uc367","\uc368","\uc369","\uc36a","\uc36b","\uc36c","\uc36d","\uc36e","\uc36f","\uc370","\uc371","\uc372","\uc373","\uc374","\uc375","\uc376","\uc377","\uc378","\uc379","\uc37a","\uc37b","\uc37c","\uc37d","\uc37e","\uc37f","\uc380","\uc381","\uc382","\uc383","\uc384","\uc385","\uc386","\uc387","\uc388","\uc389","\uc38a","\uc38b","\uc38c","\uc38d","\uc38e","\uc38f","\uc390","\uc391","\uc392","\uc393","\uc394","\uc395","\uc396","\uc397","\uc398","\uc399","\uc39a","\uc39b","\uc39c","\uc39d","\uc39e","\uc39f","\uc3a0","\uc3a1","\uc3a2","\uc3a3","\uc3a4","\uc3a5","\uc3a6","\uc3a7","\uc3a8","\uc3a9","\uc3aa","\uc3ab","\uc3ac","\uc3ad","\uc3ae","\uc3af","\uc3b0","\uc3b1","\uc3b2","\uc3b3","\uc3b4","\uc3b5","\uc3b6","\uc3b7","\uc3b8","\uc3b9","\uc3ba","\uc3bb","\uc3bc","\uc3bd","\uc3be","\uc3bf","\uc3c0","\uc3c1","\uc3c2","\uc3c3","\uc3c4","\uc3c5","\uc3c6","\uc3c7","\uc3c8","\uc3c9","\uc3ca","\uc3cb","\uc3cc","\uc3cd","\uc3ce","\uc3cf","\uc3d0","\uc3d1","\uc3d2","\uc3d3","\uc3d4","\uc3d5","\uc3d6","\uc3d7","\uc3d8","\uc3d9","\uc3da","\uc3db","\uc3dc","\uc3dd","\uc3de","\uc3df","\uc3e0","\uc3e1","\uc3e2","\uc3e3","\uc3e4","\uc3e5","\uc3e6","\uc3e7","\uc3e8","\uc3e9","\uc3ea","\uc3eb","\uc3ec","\uc3ed","\uc3ee","\uc3ef","\uc3f0","\uc3f1","\uc3f2","\uc3f3","\uc3f4","\uc3f5","\uc3f6","\uc3f7","\uc3f8","\uc3f9","\uc3fa","\uc3fb","\uc3fc","\uc3fd","\uc3fe","\uc3ff","\uc400","\uc401","\uc402","\uc403","\uc404","\uc405","\uc406","\uc407","\uc408","\uc409","\uc40a","\uc40b","\uc40c","\uc40d","\uc40e","\uc40f","\uc410","\uc411","\uc412","\uc413","\uc414","\uc415","\uc416","\uc417","\uc418","\uc419","\uc41a","\uc41b","\uc41c","\uc41d","\uc41e","\uc41f","\uc420","\uc421","\uc422","\uc423","\uc424","\uc425","\uc426","\uc427","\uc428","\uc429","\uc42a","\uc42b","\uc42c","\uc42d","\uc42e","\uc42f","\uc430","\uc431","\uc432","\uc433","\uc434","\uc435","\uc436","\uc437","\uc438","\uc439","\uc43a","\uc43b","\uc43c","\uc43d","\uc43e","\uc43f","\uc440","\uc441","\uc442","\uc443","\uc444","\uc445","\uc446","\uc447","\uc448","\uc449","\uc44a","\uc44b","\uc44c","\uc44d","\uc44e","\uc44f","\uc450","\uc451","\uc452","\uc453","\uc454","\uc455","\uc456","\uc457","\uc458","\uc459","\uc45a","\uc45b","\uc45c","\uc45d","\uc45e","\uc45f","\uc460","\uc461","\uc462","\uc463","\uc464","\uc465","\uc466","\uc467","\uc468","\uc469","\uc46a","\uc46b","\uc46c","\uc46d","\uc46e","\uc46f","\uc470","\uc471","\uc472","\uc473","\uc474","\uc475","\uc476","\uc477","\uc478","\uc479","\uc47a","\uc47b","\uc47c","\uc47d","\uc47e","\uc47f","\uc480","\uc481","\uc482","\uc483","\uc484","\uc485","\uc486","\uc487","\uc488","\uc489","\uc48a","\uc48b","\uc48c","\uc48d","\uc48e","\uc48f","\uc490","\uc491","\uc492","\uc493","\uc494","\uc495","\uc496","\uc497","\uc498","\uc499","\uc49a","\uc49b","\uc49c","\uc49d","\uc49e","\uc49f","\uc4a0","\uc4a1","\uc4a2","\uc4a3","\uc4a4","\uc4a5","\uc4a6","\uc4a7","\uc4a8","\uc4a9","\uc4aa","\uc4ab","\uc4ac","\uc4ad","\uc4ae","\uc4af","\uc4b0","\uc4b1","\uc4b2","\uc4b3","\uc4b4","\uc4b5","\uc4b6","\uc4b7","\uc4b8","\uc4b9","\uc4ba","\uc4bb","\uc4bc","\uc4bd","\uc4be","\uc4bf","\uc4c0","\uc4c1","\uc4c2","\uc4c3","\uc4c4","\uc4c5","\uc4c6","\uc4c7","\uc4c8","\uc4c9","\uc4ca","\uc4cb","\uc4cc","\uc4cd","\uc4ce","\uc4cf","\uc4d0","\uc4d1","\uc4d2","\uc4d3","\uc4d4","\uc4d5","\uc4d6","\uc4d7","\uc4d8","\uc4d9","\uc4da","\uc4db","\uc4dc","\uc4dd","\uc4de","\uc4df","\uc4e0","\uc4e1","\uc4e2","\uc4e3","\uc4e4","\uc4e5","\uc4e6","\uc4e7","\uc4e8","\uc4e9","\uc4ea","\uc4eb","\uc4ec","\uc4ed","\uc4ee","\uc4ef","\uc4f0","\uc4f1","\uc4f2","\uc4f3","\uc4f4","\uc4f5","\uc4f6","\uc4f7","\uc4f8","\uc4f9","\uc4fa","\uc4fb","\uc4fc","\uc4fd","\uc4fe","\uc4ff","\uc500","\uc501","\uc502","\uc503","\uc504","\uc505","\uc506","\uc507","\uc508","\uc509","\uc50a","\uc50b","\uc50c","\uc50d","\uc50e","\uc50f","\uc510","\uc511","\uc512","\uc513","\uc514","\uc515","\uc516","\uc517","\uc518","\uc519","\uc51a","\uc51b","\uc51c","\uc51d","\uc51e","\uc51f","\uc520","\uc521","\uc522","\uc523","\uc524","\uc525","\uc526","\uc527","\uc528","\uc529","\uc52a","\uc52b","\uc52c","\uc52d","\uc52e","\uc52f","\uc530","\uc531","\uc532","\uc533","\uc534","\uc535","\uc536","\uc537","\uc538","\uc539","\uc53a","\uc53b","\uc53c","\uc53d","\uc53e","\uc53f","\uc540","\uc541","\uc542","\uc543","\uc544","\uc545","\uc546","\uc547","\uc548","\uc549","\uc54a","\uc54b","\uc54c","\uc54d","\uc54e","\uc54f","\uc550","\uc551","\uc552","\uc553","\uc554","\uc555","\uc556","\uc557","\uc558","\uc559","\uc55a","\uc55b","\uc55c","\uc55d","\uc55e","\uc55f","\uc560","\uc561","\uc562","\uc563","\uc564","\uc565","\uc566","\uc567","\uc568","\uc569","\uc56a","\uc56b","\uc56c","\uc56d","\uc56e","\uc56f","\uc570","\uc571","\uc572","\uc573","\uc574","\uc575","\uc576","\uc577","\uc578","\uc579","\uc57a","\uc57b","\uc57c","\uc57d","\uc57e","\uc57f","\uc580","\uc581","\uc582","\uc583","\uc584","\uc585","\uc586","\uc587","\uc588","\uc589","\uc58a","\uc58b","\uc58c","\uc58d","\uc58e","\uc58f","\uc590","\uc591","\uc592","\uc593","\uc594","\uc595","\uc596","\uc597","\uc598","\uc599","\uc59a","\uc59b","\uc59c","\uc59d","\uc59e","\uc59f","\uc5a0","\uc5a1","\uc5a2","\uc5a3","\uc5a4","\uc5a5","\uc5a6","\uc5a7","\uc5a8","\uc5a9","\uc5aa","\uc5ab","\uc5ac","\uc5ad","\uc5ae","\uc5af","\uc5b0","\uc5b1","\uc5b2","\uc5b3","\uc5b4","\uc5b5","\uc5b6","\uc5b7","\uc5b8","\uc5b9","\uc5ba","\uc5bb","\uc5bc","\uc5bd","\uc5be","\uc5bf","\uc5c0","\uc5c1","\uc5c2","\uc5c3","\uc5c4","\uc5c5","\uc5c6","\uc5c7","\uc5c8","\uc5c9","\uc5ca","\uc5cb","\uc5cc","\uc5cd","\uc5ce","\uc5cf","\uc5d0","\uc5d1","\uc5d2","\uc5d3","\uc5d4","\uc5d5","\uc5d6","\uc5d7","\uc5d8","\uc5d9","\uc5da","\uc5db","\uc5dc","\uc5dd","\uc5de","\uc5df","\uc5e0","\uc5e1","\uc5e2","\uc5e3","\uc5e4","\uc5e5","\uc5e6","\uc5e7","\uc5e8","\uc5e9","\uc5ea","\uc5eb","\uc5ec","\uc5ed","\uc5ee","\uc5ef","\uc5f0","\uc5f1","\uc5f2","\uc5f3","\uc5f4","\uc5f5","\uc5f6","\uc5f7","\uc5f8","\uc5f9","\uc5fa","\uc5fb","\uc5fc","\uc5fd","\uc5fe","\uc5ff","\uc600","\uc601","\uc602","\uc603","\uc604","\uc605","\uc606","\uc607","\uc608","\uc609","\uc60a","\uc60b","\uc60c","\uc60d","\uc60e","\uc60f","\uc610","\uc611","\uc612","\uc613","\uc614","\uc615","\uc616","\uc617","\uc618","\uc619","\uc61a","\uc61b","\uc61c","\uc61d","\uc61e","\uc61f","\uc620","\uc621","\uc622","\uc623","\uc624","\uc625","\uc626","\uc627","\uc628","\uc629","\uc62a","\uc62b","\uc62c","\uc62d","\uc62e","\uc62f","\uc630","\uc631","\uc632","\uc633","\uc634","\uc635","\uc636","\uc637","\uc638","\uc639","\uc63a","\uc63b","\uc63c","\uc63d","\uc63e","\uc63f","\uc640","\uc641","\uc642","\uc643","\uc644","\uc645","\uc646","\uc647","\uc648","\uc649","\uc64a","\uc64b","\uc64c","\uc64d","\uc64e","\uc64f","\uc650","\uc651","\uc652","\uc653","\uc654","\uc655","\uc656","\uc657","\uc658","\uc659","\uc65a","\uc65b","\uc65c","\uc65d","\uc65e","\uc65f","\uc660","\uc661","\uc662","\uc663","\uc664","\uc665","\uc666","\uc667","\uc668","\uc669","\uc66a","\uc66b","\uc66c","\uc66d","\uc66e","\uc66f","\uc670","\uc671","\uc672","\uc673","\uc674","\uc675","\uc676","\uc677","\uc678","\uc679","\uc67a","\uc67b","\uc67c","\uc67d","\uc67e","\uc67f","\uc680","\uc681","\uc682","\uc683","\uc684","\uc685","\uc686","\uc687","\uc688","\uc689","\uc68a","\uc68b","\uc68c","\uc68d","\uc68e","\uc68f","\uc690","\uc691","\uc692","\uc693","\uc694","\uc695","\uc696","\uc697","\uc698","\uc699","\uc69a","\uc69b","\uc69c","\uc69d","\uc69e","\uc69f","\uc6a0","\uc6a1","\uc6a2","\uc6a3","\uc6a4","\uc6a5","\uc6a6","\uc6a7","\uc6a8","\uc6a9","\uc6aa","\uc6ab","\uc6ac","\uc6ad","\uc6ae","\uc6af","\uc6b0","\uc6b1","\uc6b2","\uc6b3","\uc6b4","\uc6b5","\uc6b6","\uc6b7","\uc6b8","\uc6b9","\uc6ba","\uc6bb","\uc6bc","\uc6bd","\uc6be","\uc6bf","\uc6c0","\uc6c1","\uc6c2","\uc6c3","\uc6c4","\uc6c5","\uc6c6","\uc6c7","\uc6c8","\uc6c9","\uc6ca","\uc6cb","\uc6cc","\uc6cd","\uc6ce","\uc6cf","\uc6d0","\uc6d1","\uc6d2","\uc6d3","\uc6d4","\uc6d5","\uc6d6","\uc6d7","\uc6d8","\uc6d9","\uc6da","\uc6db","\uc6dc","\uc6dd","\uc6de","\uc6df","\uc6e0","\uc6e1","\uc6e2","\uc6e3","\uc6e4","\uc6e5","\uc6e6","\uc6e7","\uc6e8","\uc6e9","\uc6ea","\uc6eb","\uc6ec","\uc6ed","\uc6ee","\uc6ef","\uc6f0","\uc6f1","\uc6f2","\uc6f3","\uc6f4","\uc6f5","\uc6f6","\uc6f7","\uc6f8","\uc6f9","\uc6fa","\uc6fb","\uc6fc","\uc6fd","\uc6fe","\uc6ff","\uc700","\uc701","\uc702","\uc703","\uc704","\uc705","\uc706","\uc707","\uc708","\uc709","\uc70a","\uc70b","\uc70c","\uc70d","\uc70e","\uc70f","\uc710","\uc711","\uc712","\uc713","\uc714","\uc715","\uc716","\uc717","\uc718","\uc719","\uc71a","\uc71b","\uc71c","\uc71d","\uc71e","\uc71f","\uc720","\uc721","\uc722","\uc723","\uc724","\uc725","\uc726","\uc727","\uc728","\uc729","\uc72a","\uc72b","\uc72c","\uc72d","\uc72e","\uc72f","\uc730","\uc731","\uc732","\uc733","\uc734","\uc735","\uc736","\uc737","\uc738","\uc739","\uc73a","\uc73b","\uc73c","\uc73d","\uc73e","\uc73f","\uc740","\uc741","\uc742","\uc743","\uc744","\uc745","\uc746","\uc747","\uc748","\uc749","\uc74a","\uc74b","\uc74c","\uc74d","\uc74e","\uc74f","\uc750","\uc751","\uc752","\uc753","\uc754","\uc755","\uc756","\uc757","\uc758","\uc759","\uc75a","\uc75b","\uc75c","\uc75d","\uc75e","\uc75f","\uc760","\uc761","\uc762","\uc763","\uc764","\uc765","\uc766","\uc767","\uc768","\uc769","\uc76a","\uc76b","\uc76c","\uc76d","\uc76e","\uc76f","\uc770","\uc771","\uc772","\uc773","\uc774","\uc775","\uc776","\uc777","\uc778","\uc779","\uc77a","\uc77b","\uc77c","\uc77d","\uc77e","\uc77f","\uc780","\uc781","\uc782","\uc783","\uc784","\uc785","\uc786","\uc787","\uc788","\uc789","\uc78a","\uc78b","\uc78c","\uc78d","\uc78e","\uc78f","\uc790","\uc791","\uc792","\uc793","\uc794","\uc795","\uc796","\uc797","\uc798","\uc799","\uc79a","\uc79b","\uc79c","\uc79d","\uc79e","\uc79f","\uc7a0","\uc7a1","\uc7a2","\uc7a3","\uc7a4","\uc7a5","\uc7a6","\uc7a7","\uc7a8","\uc7a9","\uc7aa","\uc7ab","\uc7ac","\uc7ad","\uc7ae","\uc7af","\uc7b0","\uc7b1","\uc7b2","\uc7b3","\uc7b4","\uc7b5","\uc7b6","\uc7b7","\uc7b8","\uc7b9","\uc7ba","\uc7bb","\uc7bc","\uc7bd","\uc7be","\uc7bf","\uc7c0","\uc7c1","\uc7c2","\uc7c3","\uc7c4","\uc7c5","\uc7c6","\uc7c7","\uc7c8","\uc7c9","\uc7ca","\uc7cb","\uc7cc","\uc7cd","\uc7ce","\uc7cf","\uc7d0","\uc7d1","\uc7d2","\uc7d3","\uc7d4","\uc7d5","\uc7d6","\uc7d7","\uc7d8","\uc7d9","\uc7da","\uc7db","\uc7dc","\uc7dd","\uc7de","\uc7df","\uc7e0","\uc7e1","\uc7e2","\uc7e3","\uc7e4","\uc7e5","\uc7e6","\uc7e7","\uc7e8","\uc7e9","\uc7ea","\uc7eb","\uc7ec","\uc7ed","\uc7ee","\uc7ef","\uc7f0","\uc7f1","\uc7f2","\uc7f3","\uc7f4","\uc7f5","\uc7f6","\uc7f7","\uc7f8","\uc7f9","\uc7fa","\uc7fb","\uc7fc","\uc7fd","\uc7fe","\uc7ff","\uc800","\uc801","\uc802","\uc803","\uc804","\uc805","\uc806","\uc807","\uc808","\uc809","\uc80a","\uc80b","\uc80c","\uc80d","\uc80e","\uc80f","\uc810","\uc811","\uc812","\uc813","\uc814","\uc815","\uc816","\uc817","\uc818","\uc819","\uc81a","\uc81b","\uc81c","\uc81d","\uc81e","\uc81f","\uc820","\uc821","\uc822","\uc823","\uc824","\uc825","\uc826","\uc827","\uc828","\uc829","\uc82a","\uc82b","\uc82c","\uc82d","\uc82e","\uc82f","\uc830","\uc831","\uc832","\uc833","\uc834","\uc835","\uc836","\uc837","\uc838","\uc839","\uc83a","\uc83b","\uc83c","\uc83d","\uc83e","\uc83f","\uc840","\uc841","\uc842","\uc843","\uc844","\uc845","\uc846","\uc847","\uc848","\uc849","\uc84a","\uc84b","\uc84c","\uc84d","\uc84e","\uc84f","\uc850","\uc851","\uc852","\uc853","\uc854","\uc855","\uc856","\uc857","\uc858","\uc859","\uc85a","\uc85b","\uc85c","\uc85d","\uc85e","\uc85f","\uc860","\uc861","\uc862","\uc863","\uc864","\uc865","\uc866","\uc867","\uc868","\uc869","\uc86a","\uc86b","\uc86c","\uc86d","\uc86e","\uc86f","\uc870","\uc871","\uc872","\uc873","\uc874","\uc875","\uc876","\uc877","\uc878","\uc879","\uc87a","\uc87b","\uc87c","\uc87d","\uc87e","\uc87f","\uc880","\uc881","\uc882","\uc883","\uc884","\uc885","\uc886","\uc887","\uc888","\uc889","\uc88a","\uc88b","\uc88c","\uc88d","\uc88e","\uc88f","\uc890","\uc891","\uc892","\uc893","\uc894","\uc895","\uc896","\uc897","\uc898","\uc899","\uc89a","\uc89b","\uc89c","\uc89d","\uc89e","\uc89f","\uc8a0","\uc8a1","\uc8a2","\uc8a3","\uc8a4","\uc8a5","\uc8a6","\uc8a7","\uc8a8","\uc8a9","\uc8aa","\uc8ab","\uc8ac","\uc8ad","\uc8ae","\uc8af","\uc8b0","\uc8b1","\uc8b2","\uc8b3","\uc8b4","\uc8b5","\uc8b6","\uc8b7","\uc8b8","\uc8b9","\uc8ba","\uc8bb","\uc8bc","\uc8bd","\uc8be","\uc8bf","\uc8c0","\uc8c1","\uc8c2","\uc8c3","\uc8c4","\uc8c5","\uc8c6","\uc8c7","\uc8c8","\uc8c9","\uc8ca","\uc8cb","\uc8cc","\uc8cd","\uc8ce","\uc8cf","\uc8d0","\uc8d1","\uc8d2","\uc8d3","\uc8d4","\uc8d5","\uc8d6","\uc8d7","\uc8d8","\uc8d9","\uc8da","\uc8db","\uc8dc","\uc8dd","\uc8de","\uc8df","\uc8e0","\uc8e1","\uc8e2","\uc8e3","\uc8e4","\uc8e5","\uc8e6","\uc8e7","\uc8e8","\uc8e9","\uc8ea","\uc8eb","\uc8ec","\uc8ed","\uc8ee","\uc8ef","\uc8f0","\uc8f1","\uc8f2","\uc8f3","\uc8f4","\uc8f5","\uc8f6","\uc8f7","\uc8f8","\uc8f9","\uc8fa","\uc8fb","\uc8fc","\uc8fd","\uc8fe","\uc8ff","\uc900","\uc901","\uc902","\uc903","\uc904","\uc905","\uc906","\uc907","\uc908","\uc909","\uc90a","\uc90b","\uc90c","\uc90d","\uc90e","\uc90f","\uc910","\uc911","\uc912","\uc913","\uc914","\uc915","\uc916","\uc917","\uc918","\uc919","\uc91a","\uc91b","\uc91c","\uc91d","\uc91e","\uc91f","\uc920","\uc921","\uc922","\uc923","\uc924","\uc925","\uc926","\uc927","\uc928","\uc929","\uc92a","\uc92b","\uc92c","\uc92d","\uc92e","\uc92f","\uc930","\uc931","\uc932","\uc933","\uc934","\uc935","\uc936","\uc937","\uc938","\uc939","\uc93a","\uc93b","\uc93c","\uc93d","\uc93e","\uc93f","\uc940","\uc941","\uc942","\uc943","\uc944","\uc945","\uc946","\uc947","\uc948","\uc949","\uc94a","\uc94b","\uc94c","\uc94d","\uc94e","\uc94f","\uc950","\uc951","\uc952","\uc953","\uc954","\uc955","\uc956","\uc957","\uc958","\uc959","\uc95a","\uc95b","\uc95c","\uc95d","\uc95e","\uc95f","\uc960","\uc961","\uc962","\uc963","\uc964","\uc965","\uc966","\uc967","\uc968","\uc969","\uc96a","\uc96b","\uc96c","\uc96d","\uc96e","\uc96f","\uc970","\uc971","\uc972","\uc973","\uc974","\uc975","\uc976","\uc977","\uc978","\uc979","\uc97a","\uc97b","\uc97c","\uc97d","\uc97e","\uc97f","\uc980","\uc981","\uc982","\uc983","\uc984","\uc985","\uc986","\uc987","\uc988","\uc989","\uc98a","\uc98b","\uc98c","\uc98d","\uc98e","\uc98f","\uc990","\uc991","\uc992","\uc993","\uc994","\uc995","\uc996","\uc997","\uc998","\uc999","\uc99a","\uc99b","\uc99c","\uc99d","\uc99e","\uc99f","\uc9a0","\uc9a1","\uc9a2","\uc9a3","\uc9a4","\uc9a5","\uc9a6","\uc9a7","\uc9a8","\uc9a9","\uc9aa","\uc9ab","\uc9ac","\uc9ad","\uc9ae","\uc9af","\uc9b0","\uc9b1","\uc9b2","\uc9b3","\uc9b4","\uc9b5","\uc9b6","\uc9b7","\uc9b8","\uc9b9","\uc9ba","\uc9bb","\uc9bc","\uc9bd","\uc9be","\uc9bf","\uc9c0","\uc9c1","\uc9c2","\uc9c3","\uc9c4","\uc9c5","\uc9c6","\uc9c7","\uc9c8","\uc9c9","\uc9ca","\uc9cb","\uc9cc","\uc9cd","\uc9ce","\uc9cf","\uc9d0","\uc9d1","\uc9d2","\uc9d3","\uc9d4","\uc9d5","\uc9d6","\uc9d7","\uc9d8","\uc9d9","\uc9da","\uc9db","\uc9dc","\uc9dd","\uc9de","\uc9df","\uc9e0","\uc9e1","\uc9e2","\uc9e3","\uc9e4","\uc9e5","\uc9e6","\uc9e7","\uc9e8","\uc9e9","\uc9ea","\uc9eb","\uc9ec","\uc9ed","\uc9ee","\uc9ef","\uc9f0","\uc9f1","\uc9f2","\uc9f3","\uc9f4","\uc9f5","\uc9f6","\uc9f7","\uc9f8","\uc9f9","\uc9fa","\uc9fb","\uc9fc","\uc9fd","\uc9fe","\uc9ff","\uca00","\uca01","\uca02","\uca03","\uca04","\uca05","\uca06","\uca07","\uca08","\uca09","\uca0a","\uca0b","\uca0c","\uca0d","\uca0e","\uca0f","\uca10","\uca11","\uca12","\uca13","\uca14","\uca15","\uca16","\uca17","\uca18","\uca19","\uca1a","\uca1b","\uca1c","\uca1d","\uca1e","\uca1f","\uca20","\uca21","\uca22","\uca23","\uca24","\uca25","\uca26","\uca27","\uca28","\uca29","\uca2a","\uca2b","\uca2c","\uca2d","\uca2e","\uca2f","\uca30","\uca31","\uca32","\uca33","\uca34","\uca35","\uca36","\uca37","\uca38","\uca39","\uca3a","\uca3b","\uca3c","\uca3d","\uca3e","\uca3f","\uca40","\uca41","\uca42","\uca43","\uca44","\uca45","\uca46","\uca47","\uca48","\uca49","\uca4a","\uca4b","\uca4c","\uca4d","\uca4e","\uca4f","\uca50","\uca51","\uca52","\uca53","\uca54","\uca55","\uca56","\uca57","\uca58","\uca59","\uca5a","\uca5b","\uca5c","\uca5d","\uca5e","\uca5f","\uca60","\uca61","\uca62","\uca63","\uca64","\uca65","\uca66","\uca67","\uca68","\uca69","\uca6a","\uca6b","\uca6c","\uca6d","\uca6e","\uca6f","\uca70","\uca71","\uca72","\uca73","\uca74","\uca75","\uca76","\uca77","\uca78","\uca79","\uca7a","\uca7b","\uca7c","\uca7d","\uca7e","\uca7f","\uca80","\uca81","\uca82","\uca83","\uca84","\uca85","\uca86","\uca87","\uca88","\uca89","\uca8a","\uca8b","\uca8c","\uca8d","\uca8e","\uca8f","\uca90","\uca91","\uca92","\uca93","\uca94","\uca95","\uca96","\uca97","\uca98","\uca99","\uca9a","\uca9b","\uca9c","\uca9d","\uca9e","\uca9f","\ucaa0","\ucaa1","\ucaa2","\ucaa3","\ucaa4","\ucaa5","\ucaa6","\ucaa7","\ucaa8","\ucaa9","\ucaaa","\ucaab","\ucaac","\ucaad","\ucaae","\ucaaf","\ucab0","\ucab1","\ucab2","\ucab3","\ucab4","\ucab5","\ucab6","\ucab7","\ucab8","\ucab9","\ucaba","\ucabb","\ucabc","\ucabd","\ucabe","\ucabf","\ucac0","\ucac1","\ucac2","\ucac3","\ucac4","\ucac5","\ucac6","\ucac7","\ucac8","\ucac9","\ucaca","\ucacb","\ucacc","\ucacd","\ucace","\ucacf","\ucad0","\ucad1","\ucad2","\ucad3","\ucad4","\ucad5","\ucad6","\ucad7","\ucad8","\ucad9","\ucada","\ucadb","\ucadc","\ucadd","\ucade","\ucadf","\ucae0","\ucae1","\ucae2","\ucae3","\ucae4","\ucae5","\ucae6","\ucae7","\ucae8","\ucae9","\ucaea","\ucaeb","\ucaec","\ucaed","\ucaee","\ucaef","\ucaf0","\ucaf1","\ucaf2","\ucaf3","\ucaf4","\ucaf5","\ucaf6","\ucaf7","\ucaf8","\ucaf9","\ucafa","\ucafb","\ucafc","\ucafd","\ucafe","\ucaff","\ucb00","\ucb01","\ucb02","\ucb03","\ucb04","\ucb05","\ucb06","\ucb07","\ucb08","\ucb09","\ucb0a","\ucb0b","\ucb0c","\ucb0d","\ucb0e","\ucb0f","\ucb10","\ucb11","\ucb12","\ucb13","\ucb14","\ucb15","\ucb16","\ucb17","\ucb18","\ucb19","\ucb1a","\ucb1b","\ucb1c","\ucb1d","\ucb1e","\ucb1f","\ucb20","\ucb21","\ucb22","\ucb23","\ucb24","\ucb25","\ucb26","\ucb27","\ucb28","\ucb29","\ucb2a","\ucb2b","\ucb2c","\ucb2d","\ucb2e","\ucb2f","\ucb30","\ucb31","\ucb32","\ucb33","\ucb34","\ucb35","\ucb36","\ucb37","\ucb38","\ucb39","\ucb3a","\ucb3b","\ucb3c","\ucb3d","\ucb3e","\ucb3f","\ucb40","\ucb41","\ucb42","\ucb43","\ucb44","\ucb45","\ucb46","\ucb47","\ucb48","\ucb49","\ucb4a","\ucb4b","\ucb4c","\ucb4d","\ucb4e","\ucb4f","\ucb50","\ucb51","\ucb52","\ucb53","\ucb54","\ucb55","\ucb56","\ucb57","\ucb58","\ucb59","\ucb5a","\ucb5b","\ucb5c","\ucb5d","\ucb5e","\ucb5f","\ucb60","\ucb61","\ucb62","\ucb63","\ucb64","\ucb65","\ucb66","\ucb67","\ucb68","\ucb69","\ucb6a","\ucb6b","\ucb6c","\ucb6d","\ucb6e","\ucb6f","\ucb70","\ucb71","\ucb72","\ucb73","\ucb74","\ucb75","\ucb76","\ucb77","\ucb78","\ucb79","\ucb7a","\ucb7b","\ucb7c","\ucb7d","\ucb7e","\ucb7f","\ucb80","\ucb81","\ucb82","\ucb83","\ucb84","\ucb85","\ucb86","\ucb87","\ucb88","\ucb89","\ucb8a","\ucb8b","\ucb8c","\ucb8d","\ucb8e","\ucb8f","\ucb90","\ucb91","\ucb92","\ucb93","\ucb94","\ucb95","\ucb96","\ucb97","\ucb98","\ucb99","\ucb9a","\ucb9b","\ucb9c","\ucb9d","\ucb9e","\ucb9f","\ucba0","\ucba1","\ucba2","\ucba3","\ucba4","\ucba5","\ucba6","\ucba7","\ucba8","\ucba9","\ucbaa","\ucbab","\ucbac","\ucbad","\ucbae","\ucbaf","\ucbb0","\ucbb1","\ucbb2","\ucbb3","\ucbb4","\ucbb5","\ucbb6","\ucbb7","\ucbb8","\ucbb9","\ucbba","\ucbbb","\ucbbc","\ucbbd","\ucbbe","\ucbbf","\ucbc0","\ucbc1","\ucbc2","\ucbc3","\ucbc4","\ucbc5","\ucbc6","\ucbc7","\ucbc8","\ucbc9","\ucbca","\ucbcb","\ucbcc","\ucbcd","\ucbce","\ucbcf","\ucbd0","\ucbd1","\ucbd2","\ucbd3","\ucbd4","\ucbd5","\ucbd6","\ucbd7","\ucbd8","\ucbd9","\ucbda","\ucbdb","\ucbdc","\ucbdd","\ucbde","\ucbdf","\ucbe0","\ucbe1","\ucbe2","\ucbe3","\ucbe4","\ucbe5","\ucbe6","\ucbe7","\ucbe8","\ucbe9","\ucbea","\ucbeb","\ucbec","\ucbed","\ucbee","\ucbef","\ucbf0","\ucbf1","\ucbf2","\ucbf3","\ucbf4","\ucbf5","\ucbf6","\ucbf7","\ucbf8","\ucbf9","\ucbfa","\ucbfb","\ucbfc","\ucbfd","\ucbfe","\ucbff","\ucc00","\ucc01","\ucc02","\ucc03","\ucc04","\ucc05","\ucc06","\ucc07","\ucc08","\ucc09","\ucc0a","\ucc0b","\ucc0c","\ucc0d","\ucc0e","\ucc0f","\ucc10","\ucc11","\ucc12","\ucc13","\ucc14","\ucc15","\ucc16","\ucc17","\ucc18","\ucc19","\ucc1a","\ucc1b","\ucc1c","\ucc1d","\ucc1e","\ucc1f","\ucc20","\ucc21","\ucc22","\ucc23","\ucc24","\ucc25","\ucc26","\ucc27","\ucc28","\ucc29","\ucc2a","\ucc2b","\ucc2c","\ucc2d","\ucc2e","\ucc2f","\ucc30","\ucc31","\ucc32","\ucc33","\ucc34","\ucc35","\ucc36","\ucc37","\ucc38","\ucc39","\ucc3a","\ucc3b","\ucc3c","\ucc3d","\ucc3e","\ucc3f","\ucc40","\ucc41","\ucc42","\ucc43","\ucc44","\ucc45","\ucc46","\ucc47","\ucc48","\ucc49","\ucc4a","\ucc4b","\ucc4c","\ucc4d","\ucc4e","\ucc4f","\ucc50","\ucc51","\ucc52","\ucc53","\ucc54","\ucc55","\ucc56","\ucc57","\ucc58","\ucc59","\ucc5a","\ucc5b","\ucc5c","\ucc5d","\ucc5e","\ucc5f","\ucc60","\ucc61","\ucc62","\ucc63","\ucc64","\ucc65","\ucc66","\ucc67","\ucc68","\ucc69","\ucc6a","\ucc6b","\ucc6c","\ucc6d","\ucc6e","\ucc6f","\ucc70","\ucc71","\ucc72","\ucc73","\ucc74","\ucc75","\ucc76","\ucc77","\ucc78","\ucc79","\ucc7a","\ucc7b","\ucc7c","\ucc7d","\ucc7e","\ucc7f","\ucc80","\ucc81","\ucc82","\ucc83","\ucc84","\ucc85","\ucc86","\ucc87","\ucc88","\ucc89","\ucc8a","\ucc8b","\ucc8c","\ucc8d","\ucc8e","\ucc8f","\ucc90","\ucc91","\ucc92","\ucc93","\ucc94","\ucc95","\ucc96","\ucc97","\ucc98","\ucc99","\ucc9a","\ucc9b","\ucc9c","\ucc9d","\ucc9e","\ucc9f","\ucca0","\ucca1","\ucca2","\ucca3","\ucca4","\ucca5","\ucca6","\ucca7","\ucca8","\ucca9","\uccaa","\uccab","\uccac","\uccad","\uccae","\uccaf","\uccb0","\uccb1","\uccb2","\uccb3","\uccb4","\uccb5","\uccb6","\uccb7","\uccb8","\uccb9","\uccba","\uccbb","\uccbc","\uccbd","\uccbe","\uccbf","\uccc0","\uccc1","\uccc2","\uccc3","\uccc4","\uccc5","\uccc6","\uccc7","\uccc8","\uccc9","\uccca","\ucccb","\ucccc","\ucccd","\uccce","\ucccf","\uccd0","\uccd1","\uccd2","\uccd3","\uccd4","\uccd5","\uccd6","\uccd7","\uccd8","\uccd9","\uccda","\uccdb","\uccdc","\uccdd","\uccde","\uccdf","\ucce0","\ucce1","\ucce2","\ucce3","\ucce4","\ucce5","\ucce6","\ucce7","\ucce8","\ucce9","\uccea","\ucceb","\uccec","\ucced","\uccee","\uccef","\uccf0","\uccf1","\uccf2","\uccf3","\uccf4","\uccf5","\uccf6","\uccf7","\uccf8","\uccf9","\uccfa","\uccfb","\uccfc","\uccfd","\uccfe","\uccff","\ucd00","\ucd01","\ucd02","\ucd03","\ucd04","\ucd05","\ucd06","\ucd07","\ucd08","\ucd09","\ucd0a","\ucd0b","\ucd0c","\ucd0d","\ucd0e","\ucd0f","\ucd10","\ucd11","\ucd12","\ucd13","\ucd14","\ucd15","\ucd16","\ucd17","\ucd18","\ucd19","\ucd1a","\ucd1b","\ucd1c","\ucd1d","\ucd1e","\ucd1f","\ucd20","\ucd21","\ucd22","\ucd23","\ucd24","\ucd25","\ucd26","\ucd27","\ucd28","\ucd29","\ucd2a","\ucd2b","\ucd2c","\ucd2d","\ucd2e","\ucd2f","\ucd30","\ucd31","\ucd32","\ucd33","\ucd34","\ucd35","\ucd36","\ucd37","\ucd38","\ucd39","\ucd3a","\ucd3b","\ucd3c","\ucd3d","\ucd3e","\ucd3f","\ucd40","\ucd41","\ucd42","\ucd43","\ucd44","\ucd45","\ucd46","\ucd47","\ucd48","\ucd49","\ucd4a","\ucd4b","\ucd4c","\ucd4d","\ucd4e","\ucd4f","\ucd50","\ucd51","\ucd52","\ucd53","\ucd54","\ucd55","\ucd56","\ucd57","\ucd58","\ucd59","\ucd5a","\ucd5b","\ucd5c","\ucd5d","\ucd5e","\ucd5f","\ucd60","\ucd61","\ucd62","\ucd63","\ucd64","\ucd65","\ucd66","\ucd67","\ucd68","\ucd69","\ucd6a","\ucd6b","\ucd6c","\ucd6d","\ucd6e","\ucd6f","\ucd70","\ucd71","\ucd72","\ucd73","\ucd74","\ucd75","\ucd76","\ucd77","\ucd78","\ucd79","\ucd7a","\ucd7b","\ucd7c","\ucd7d","\ucd7e","\ucd7f","\ucd80","\ucd81","\ucd82","\ucd83","\ucd84","\ucd85","\ucd86","\ucd87","\ucd88","\ucd89","\ucd8a","\ucd8b","\ucd8c","\ucd8d","\ucd8e","\ucd8f","\ucd90","\ucd91","\ucd92","\ucd93","\ucd94","\ucd95","\ucd96","\ucd97","\ucd98","\ucd99","\ucd9a","\ucd9b","\ucd9c","\ucd9d","\ucd9e","\ucd9f","\ucda0","\ucda1","\ucda2","\ucda3","\ucda4","\ucda5","\ucda6","\ucda7","\ucda8","\ucda9","\ucdaa","\ucdab","\ucdac","\ucdad","\ucdae","\ucdaf","\ucdb0","\ucdb1","\ucdb2","\ucdb3","\ucdb4","\ucdb5","\ucdb6","\ucdb7","\ucdb8","\ucdb9","\ucdba","\ucdbb","\ucdbc","\ucdbd","\ucdbe","\ucdbf","\ucdc0","\ucdc1","\ucdc2","\ucdc3","\ucdc4","\ucdc5","\ucdc6","\ucdc7","\ucdc8","\ucdc9","\ucdca","\ucdcb","\ucdcc","\ucdcd","\ucdce","\ucdcf","\ucdd0","\ucdd1","\ucdd2","\ucdd3","\ucdd4","\ucdd5","\ucdd6","\ucdd7","\ucdd8","\ucdd9","\ucdda","\ucddb","\ucddc","\ucddd","\ucdde","\ucddf","\ucde0","\ucde1","\ucde2","\ucde3","\ucde4","\ucde5","\ucde6","\ucde7","\ucde8","\ucde9","\ucdea","\ucdeb","\ucdec","\ucded","\ucdee","\ucdef","\ucdf0","\ucdf1","\ucdf2","\ucdf3","\ucdf4","\ucdf5","\ucdf6","\ucdf7","\ucdf8","\ucdf9","\ucdfa","\ucdfb","\ucdfc","\ucdfd","\ucdfe","\ucdff","\uce00","\uce01","\uce02","\uce03","\uce04","\uce05","\uce06","\uce07","\uce08","\uce09","\uce0a","\uce0b","\uce0c","\uce0d","\uce0e","\uce0f","\uce10","\uce11","\uce12","\uce13","\uce14","\uce15","\uce16","\uce17","\uce18","\uce19","\uce1a","\uce1b","\uce1c","\uce1d","\uce1e","\uce1f","\uce20","\uce21","\uce22","\uce23","\uce24","\uce25","\uce26","\uce27","\uce28","\uce29","\uce2a","\uce2b","\uce2c","\uce2d","\uce2e","\uce2f","\uce30","\uce31","\uce32","\uce33","\uce34","\uce35","\uce36","\uce37","\uce38","\uce39","\uce3a","\uce3b","\uce3c","\uce3d","\uce3e","\uce3f","\uce40","\uce41","\uce42","\uce43","\uce44","\uce45","\uce46","\uce47","\uce48","\uce49","\uce4a","\uce4b","\uce4c","\uce4d","\uce4e","\uce4f","\uce50","\uce51","\uce52","\uce53","\uce54","\uce55","\uce56","\uce57","\uce58","\uce59","\uce5a","\uce5b","\uce5c","\uce5d","\uce5e","\uce5f","\uce60","\uce61","\uce62","\uce63","\uce64","\uce65","\uce66","\uce67","\uce68","\uce69","\uce6a","\uce6b","\uce6c","\uce6d","\uce6e","\uce6f","\uce70","\uce71","\uce72","\uce73","\uce74","\uce75","\uce76","\uce77","\uce78","\uce79","\uce7a","\uce7b","\uce7c","\uce7d","\uce7e","\uce7f","\uce80","\uce81","\uce82","\uce83","\uce84","\uce85","\uce86","\uce87","\uce88","\uce89","\uce8a","\uce8b","\uce8c","\uce8d","\uce8e","\uce8f","\uce90","\uce91","\uce92","\uce93","\uce94","\uce95","\uce96","\uce97","\uce98","\uce99","\uce9a","\uce9b","\uce9c","\uce9d","\uce9e","\uce9f","\ucea0","\ucea1","\ucea2","\ucea3","\ucea4","\ucea5","\ucea6","\ucea7","\ucea8","\ucea9","\uceaa","\uceab","\uceac","\ucead","\uceae","\uceaf","\uceb0","\uceb1","\uceb2","\uceb3","\uceb4","\uceb5","\uceb6","\uceb7","\uceb8","\uceb9","\uceba","\ucebb","\ucebc","\ucebd","\ucebe","\ucebf","\ucec0","\ucec1","\ucec2","\ucec3","\ucec4","\ucec5","\ucec6","\ucec7","\ucec8","\ucec9","\uceca","\ucecb","\ucecc","\ucecd","\ucece","\ucecf","\uced0","\uced1","\uced2","\uced3","\uced4","\uced5","\uced6","\uced7","\uced8","\uced9","\uceda","\ucedb","\ucedc","\ucedd","\ucede","\ucedf","\ucee0","\ucee1","\ucee2","\ucee3","\ucee4","\ucee5","\ucee6","\ucee7","\ucee8","\ucee9","\uceea","\uceeb","\uceec","\uceed","\uceee","\uceef","\ucef0","\ucef1","\ucef2","\ucef3","\ucef4","\ucef5","\ucef6","\ucef7","\ucef8","\ucef9","\ucefa","\ucefb","\ucefc","\ucefd","\ucefe","\uceff","\ucf00","\ucf01","\ucf02","\ucf03","\ucf04","\ucf05","\ucf06","\ucf07","\ucf08","\ucf09","\ucf0a","\ucf0b","\ucf0c","\ucf0d","\ucf0e","\ucf0f","\ucf10","\ucf11","\ucf12","\ucf13","\ucf14","\ucf15","\ucf16","\ucf17","\ucf18","\ucf19","\ucf1a","\ucf1b","\ucf1c","\ucf1d","\ucf1e","\ucf1f","\ucf20","\ucf21","\ucf22","\ucf23","\ucf24","\ucf25","\ucf26","\ucf27","\ucf28","\ucf29","\ucf2a","\ucf2b","\ucf2c","\ucf2d","\ucf2e","\ucf2f","\ucf30","\ucf31","\ucf32","\ucf33","\ucf34","\ucf35","\ucf36","\ucf37","\ucf38","\ucf39","\ucf3a","\ucf3b","\ucf3c","\ucf3d","\ucf3e","\ucf3f","\ucf40","\ucf41","\ucf42","\ucf43","\ucf44","\ucf45","\ucf46","\ucf47","\ucf48","\ucf49","\ucf4a","\ucf4b","\ucf4c","\ucf4d","\ucf4e","\ucf4f","\ucf50","\ucf51","\ucf52","\ucf53","\ucf54","\ucf55","\ucf56","\ucf57","\ucf58","\ucf59","\ucf5a","\ucf5b","\ucf5c","\ucf5d","\ucf5e","\ucf5f","\ucf60","\ucf61","\ucf62","\ucf63","\ucf64","\ucf65","\ucf66","\ucf67","\ucf68","\ucf69","\ucf6a","\ucf6b","\ucf6c","\ucf6d","\ucf6e","\ucf6f","\ucf70","\ucf71","\ucf72","\ucf73","\ucf74","\ucf75","\ucf76","\ucf77","\ucf78","\ucf79","\ucf7a","\ucf7b","\ucf7c","\ucf7d","\ucf7e","\ucf7f","\ucf80","\ucf81","\ucf82","\ucf83","\ucf84","\ucf85","\ucf86","\ucf87","\ucf88","\ucf89","\ucf8a","\ucf8b","\ucf8c","\ucf8d","\ucf8e","\ucf8f","\ucf90","\ucf91","\ucf92","\ucf93","\ucf94","\ucf95","\ucf96","\ucf97","\ucf98","\ucf99","\ucf9a","\ucf9b","\ucf9c","\ucf9d","\ucf9e","\ucf9f","\ucfa0","\ucfa1","\ucfa2","\ucfa3","\ucfa4","\ucfa5","\ucfa6","\ucfa7","\ucfa8","\ucfa9","\ucfaa","\ucfab","\ucfac","\ucfad","\ucfae","\ucfaf","\ucfb0","\ucfb1","\ucfb2","\ucfb3","\ucfb4","\ucfb5","\ucfb6","\ucfb7","\ucfb8","\ucfb9","\ucfba","\ucfbb","\ucfbc","\ucfbd","\ucfbe","\ucfbf","\ucfc0","\ucfc1","\ucfc2","\ucfc3","\ucfc4","\ucfc5","\ucfc6","\ucfc7","\ucfc8","\ucfc9","\ucfca","\ucfcb","\ucfcc","\ucfcd","\ucfce","\ucfcf","\ucfd0","\ucfd1","\ucfd2","\ucfd3","\ucfd4","\ucfd5","\ucfd6","\ucfd7","\ucfd8","\ucfd9","\ucfda","\ucfdb","\ucfdc","\ucfdd","\ucfde","\ucfdf","\ucfe0","\ucfe1","\ucfe2","\ucfe3","\ucfe4","\ucfe5","\ucfe6","\ucfe7","\ucfe8","\ucfe9","\ucfea","\ucfeb","\ucfec","\ucfed","\ucfee","\ucfef","\ucff0","\ucff1","\ucff2","\ucff3","\ucff4","\ucff5","\ucff6","\ucff7","\ucff8","\ucff9","\ucffa","\ucffb","\ucffc","\ucffd","\ucffe","\ucfff","\ud000","\ud001","\ud002","\ud003","\ud004","\ud005","\ud006","\ud007","\ud008","\ud009","\ud00a","\ud00b","\ud00c","\ud00d","\ud00e","\ud00f","\ud010","\ud011","\ud012","\ud013","\ud014","\ud015","\ud016","\ud017","\ud018","\ud019","\ud01a","\ud01b","\ud01c","\ud01d","\ud01e","\ud01f","\ud020","\ud021","\ud022","\ud023","\ud024","\ud025","\ud026","\ud027","\ud028","\ud029","\ud02a","\ud02b","\ud02c","\ud02d","\ud02e","\ud02f","\ud030","\ud031","\ud032","\ud033","\ud034","\ud035","\ud036","\ud037","\ud038","\ud039","\ud03a","\ud03b","\ud03c","\ud03d","\ud03e","\ud03f","\ud040","\ud041","\ud042","\ud043","\ud044","\ud045","\ud046","\ud047","\ud048","\ud049","\ud04a","\ud04b","\ud04c","\ud04d","\ud04e","\ud04f","\ud050","\ud051","\ud052","\ud053","\ud054","\ud055","\ud056","\ud057","\ud058","\ud059","\ud05a","\ud05b","\ud05c","\ud05d","\ud05e","\ud05f","\ud060","\ud061","\ud062","\ud063","\ud064","\ud065","\ud066","\ud067","\ud068","\ud069","\ud06a","\ud06b","\ud06c","\ud06d","\ud06e","\ud06f","\ud070","\ud071","\ud072","\ud073","\ud074","\ud075","\ud076","\ud077","\ud078","\ud079","\ud07a","\ud07b","\ud07c","\ud07d","\ud07e","\ud07f","\ud080","\ud081","\ud082","\ud083","\ud084","\ud085","\ud086","\ud087","\ud088","\ud089","\ud08a","\ud08b","\ud08c","\ud08d","\ud08e","\ud08f","\ud090","\ud091","\ud092","\ud093","\ud094","\ud095","\ud096","\ud097","\ud098","\ud099","\ud09a","\ud09b","\ud09c","\ud09d","\ud09e","\ud09f","\ud0a0","\ud0a1","\ud0a2","\ud0a3","\ud0a4","\ud0a5","\ud0a6","\ud0a7","\ud0a8","\ud0a9","\ud0aa","\ud0ab","\ud0ac","\ud0ad","\ud0ae","\ud0af","\ud0b0","\ud0b1","\ud0b2","\ud0b3","\ud0b4","\ud0b5","\ud0b6","\ud0b7","\ud0b8","\ud0b9","\ud0ba","\ud0bb","\ud0bc","\ud0bd","\ud0be","\ud0bf","\ud0c0","\ud0c1","\ud0c2","\ud0c3","\ud0c4","\ud0c5","\ud0c6","\ud0c7","\ud0c8","\ud0c9","\ud0ca","\ud0cb","\ud0cc","\ud0cd","\ud0ce","\ud0cf","\ud0d0","\ud0d1","\ud0d2","\ud0d3","\ud0d4","\ud0d5","\ud0d6","\ud0d7","\ud0d8","\ud0d9","\ud0da","\ud0db","\ud0dc","\ud0dd","\ud0de","\ud0df","\ud0e0","\ud0e1","\ud0e2","\ud0e3","\ud0e4","\ud0e5","\ud0e6","\ud0e7","\ud0e8","\ud0e9","\ud0ea","\ud0eb","\ud0ec","\ud0ed","\ud0ee","\ud0ef","\ud0f0","\ud0f1","\ud0f2","\ud0f3","\ud0f4","\ud0f5","\ud0f6","\ud0f7","\ud0f8","\ud0f9","\ud0fa","\ud0fb","\ud0fc","\ud0fd","\ud0fe","\ud0ff","\ud100","\ud101","\ud102","\ud103","\ud104","\ud105","\ud106","\ud107","\ud108","\ud109","\ud10a","\ud10b","\ud10c","\ud10d","\ud10e","\ud10f","\ud110","\ud111","\ud112","\ud113","\ud114","\ud115","\ud116","\ud117","\ud118","\ud119","\ud11a","\ud11b","\ud11c","\ud11d","\ud11e","\ud11f","\ud120","\ud121","\ud122","\ud123","\ud124","\ud125","\ud126","\ud127","\ud128","\ud129","\ud12a","\ud12b","\ud12c","\ud12d","\ud12e","\ud12f","\ud130","\ud131","\ud132","\ud133","\ud134","\ud135","\ud136","\ud137","\ud138","\ud139","\ud13a","\ud13b","\ud13c","\ud13d","\ud13e","\ud13f","\ud140","\ud141","\ud142","\ud143","\ud144","\ud145","\ud146","\ud147","\ud148","\ud149","\ud14a","\ud14b","\ud14c","\ud14d","\ud14e","\ud14f","\ud150","\ud151","\ud152","\ud153","\ud154","\ud155","\ud156","\ud157","\ud158","\ud159","\ud15a","\ud15b","\ud15c","\ud15d","\ud15e","\ud15f","\ud160","\ud161","\ud162","\ud163","\ud164","\ud165","\ud166","\ud167","\ud168","\ud169","\ud16a","\ud16b","\ud16c","\ud16d","\ud16e","\ud16f","\ud170","\ud171","\ud172","\ud173","\ud174","\ud175","\ud176","\ud177","\ud178","\ud179","\ud17a","\ud17b","\ud17c","\ud17d","\ud17e","\ud17f","\ud180","\ud181","\ud182","\ud183","\ud184","\ud185","\ud186","\ud187","\ud188","\ud189","\ud18a","\ud18b","\ud18c","\ud18d","\ud18e","\ud18f","\ud190","\ud191","\ud192","\ud193","\ud194","\ud195","\ud196","\ud197","\ud198","\ud199","\ud19a","\ud19b","\ud19c","\ud19d","\ud19e","\ud19f","\ud1a0","\ud1a1","\ud1a2","\ud1a3","\ud1a4","\ud1a5","\ud1a6","\ud1a7","\ud1a8","\ud1a9","\ud1aa","\ud1ab","\ud1ac","\ud1ad","\ud1ae","\ud1af","\ud1b0","\ud1b1","\ud1b2","\ud1b3","\ud1b4","\ud1b5","\ud1b6","\ud1b7","\ud1b8","\ud1b9","\ud1ba","\ud1bb","\ud1bc","\ud1bd","\ud1be","\ud1bf","\ud1c0","\ud1c1","\ud1c2","\ud1c3","\ud1c4","\ud1c5","\ud1c6","\ud1c7","\ud1c8","\ud1c9","\ud1ca","\ud1cb","\ud1cc","\ud1cd","\ud1ce","\ud1cf","\ud1d0","\ud1d1","\ud1d2","\ud1d3","\ud1d4","\ud1d5","\ud1d6","\ud1d7","\ud1d8","\ud1d9","\ud1da","\ud1db","\ud1dc","\ud1dd","\ud1de","\ud1df","\ud1e0","\ud1e1","\ud1e2","\ud1e3","\ud1e4","\ud1e5","\ud1e6","\ud1e7","\ud1e8","\ud1e9","\ud1ea","\ud1eb","\ud1ec","\ud1ed","\ud1ee","\ud1ef","\ud1f0","\ud1f1","\ud1f2","\ud1f3","\ud1f4","\ud1f5","\ud1f6","\ud1f7","\ud1f8","\ud1f9","\ud1fa","\ud1fb","\ud1fc","\ud1fd","\ud1fe","\ud1ff","\ud200","\ud201","\ud202","\ud203","\ud204","\ud205","\ud206","\ud207","\ud208","\ud209","\ud20a","\ud20b","\ud20c","\ud20d","\ud20e","\ud20f","\ud210","\ud211","\ud212","\ud213","\ud214","\ud215","\ud216","\ud217","\ud218","\ud219","\ud21a","\ud21b","\ud21c","\ud21d","\ud21e","\ud21f","\ud220","\ud221","\ud222","\ud223","\ud224","\ud225","\ud226","\ud227","\ud228","\ud229","\ud22a","\ud22b","\ud22c","\ud22d","\ud22e","\ud22f","\ud230","\ud231","\ud232","\ud233","\ud234","\ud235","\ud236","\ud237","\ud238","\ud239","\ud23a","\ud23b","\ud23c","\ud23d","\ud23e","\ud23f","\ud240","\ud241","\ud242","\ud243","\ud244","\ud245","\ud246","\ud247","\ud248","\ud249","\ud24a","\ud24b","\ud24c","\ud24d","\ud24e","\ud24f","\ud250","\ud251","\ud252","\ud253","\ud254","\ud255","\ud256","\ud257","\ud258","\ud259","\ud25a","\ud25b","\ud25c","\ud25d","\ud25e","\ud25f","\ud260","\ud261","\ud262","\ud263","\ud264","\ud265","\ud266","\ud267","\ud268","\ud269","\ud26a","\ud26b","\ud26c","\ud26d","\ud26e","\ud26f","\ud270","\ud271","\ud272","\ud273","\ud274","\ud275","\ud276","\ud277","\ud278","\ud279","\ud27a","\ud27b","\ud27c","\ud27d","\ud27e","\ud27f","\ud280","\ud281","\ud282","\ud283","\ud284","\ud285","\ud286","\ud287","\ud288","\ud289","\ud28a","\ud28b","\ud28c","\ud28d","\ud28e","\ud28f","\ud290","\ud291","\ud292","\ud293","\ud294","\ud295","\ud296","\ud297","\ud298","\ud299","\ud29a","\ud29b","\ud29c","\ud29d","\ud29e","\ud29f","\ud2a0","\ud2a1","\ud2a2","\ud2a3","\ud2a4","\ud2a5","\ud2a6","\ud2a7","\ud2a8","\ud2a9","\ud2aa","\ud2ab","\ud2ac","\ud2ad","\ud2ae","\ud2af","\ud2b0","\ud2b1","\ud2b2","\ud2b3","\ud2b4","\ud2b5","\ud2b6","\ud2b7","\ud2b8","\ud2b9","\ud2ba","\ud2bb","\ud2bc","\ud2bd","\ud2be","\ud2bf","\ud2c0","\ud2c1","\ud2c2","\ud2c3","\ud2c4","\ud2c5","\ud2c6","\ud2c7","\ud2c8","\ud2c9","\ud2ca","\ud2cb","\ud2cc","\ud2cd","\ud2ce","\ud2cf","\ud2d0","\ud2d1","\ud2d2","\ud2d3","\ud2d4","\ud2d5","\ud2d6","\ud2d7","\ud2d8","\ud2d9","\ud2da","\ud2db","\ud2dc","\ud2dd","\ud2de","\ud2df","\ud2e0","\ud2e1","\ud2e2","\ud2e3","\ud2e4","\ud2e5","\ud2e6","\ud2e7","\ud2e8","\ud2e9","\ud2ea","\ud2eb","\ud2ec","\ud2ed","\ud2ee","\ud2ef","\ud2f0","\ud2f1","\ud2f2","\ud2f3","\ud2f4","\ud2f5","\ud2f6","\ud2f7","\ud2f8","\ud2f9","\ud2fa","\ud2fb","\ud2fc","\ud2fd","\ud2fe","\ud2ff","\ud300","\ud301","\ud302","\ud303","\ud304","\ud305","\ud306","\ud307","\ud308","\ud309","\ud30a","\ud30b","\ud30c","\ud30d","\ud30e","\ud30f","\ud310","\ud311","\ud312","\ud313","\ud314","\ud315","\ud316","\ud317","\ud318","\ud319","\ud31a","\ud31b","\ud31c","\ud31d","\ud31e","\ud31f","\ud320","\ud321","\ud322","\ud323","\ud324","\ud325","\ud326","\ud327","\ud328","\ud329","\ud32a","\ud32b","\ud32c","\ud32d","\ud32e","\ud32f","\ud330","\ud331","\ud332","\ud333","\ud334","\ud335","\ud336","\ud337","\ud338","\ud339","\ud33a","\ud33b","\ud33c","\ud33d","\ud33e","\ud33f","\ud340","\ud341","\ud342","\ud343","\ud344","\ud345","\ud346","\ud347","\ud348","\ud349","\ud34a","\ud34b","\ud34c","\ud34d","\ud34e","\ud34f","\ud350","\ud351","\ud352","\ud353","\ud354","\ud355","\ud356","\ud357","\ud358","\ud359","\ud35a","\ud35b","\ud35c","\ud35d","\ud35e","\ud35f","\ud360","\ud361","\ud362","\ud363","\ud364","\ud365","\ud366","\ud367","\ud368","\ud369","\ud36a","\ud36b","\ud36c","\ud36d","\ud36e","\ud36f","\ud370","\ud371","\ud372","\ud373","\ud374","\ud375","\ud376","\ud377","\ud378","\ud379","\ud37a","\ud37b","\ud37c","\ud37d","\ud37e","\ud37f","\ud380","\ud381","\ud382","\ud383","\ud384","\ud385","\ud386","\ud387","\ud388","\ud389","\ud38a","\ud38b","\ud38c","\ud38d","\ud38e","\ud38f","\ud390","\ud391","\ud392","\ud393","\ud394","\ud395","\ud396","\ud397","\ud398","\ud399","\ud39a","\ud39b","\ud39c","\ud39d","\ud39e","\ud39f","\ud3a0","\ud3a1","\ud3a2","\ud3a3","\ud3a4","\ud3a5","\ud3a6","\ud3a7","\ud3a8","\ud3a9","\ud3aa","\ud3ab","\ud3ac","\ud3ad","\ud3ae","\ud3af","\ud3b0","\ud3b1","\ud3b2","\ud3b3","\ud3b4","\ud3b5","\ud3b6","\ud3b7","\ud3b8","\ud3b9","\ud3ba","\ud3bb","\ud3bc","\ud3bd","\ud3be","\ud3bf","\ud3c0","\ud3c1","\ud3c2","\ud3c3","\ud3c4","\ud3c5","\ud3c6","\ud3c7","\ud3c8","\ud3c9","\ud3ca","\ud3cb","\ud3cc","\ud3cd","\ud3ce","\ud3cf","\ud3d0","\ud3d1","\ud3d2","\ud3d3","\ud3d4","\ud3d5","\ud3d6","\ud3d7","\ud3d8","\ud3d9","\ud3da","\ud3db","\ud3dc","\ud3dd","\ud3de","\ud3df","\ud3e0","\ud3e1","\ud3e2","\ud3e3","\ud3e4","\ud3e5","\ud3e6","\ud3e7","\ud3e8","\ud3e9","\ud3ea","\ud3eb","\ud3ec","\ud3ed","\ud3ee","\ud3ef","\ud3f0","\ud3f1","\ud3f2","\ud3f3","\ud3f4","\ud3f5","\ud3f6","\ud3f7","\ud3f8","\ud3f9","\ud3fa","\ud3fb","\ud3fc","\ud3fd","\ud3fe","\ud3ff","\ud400","\ud401","\ud402","\ud403","\ud404","\ud405","\ud406","\ud407","\ud408","\ud409","\ud40a","\ud40b","\ud40c","\ud40d","\ud40e","\ud40f","\ud410","\ud411","\ud412","\ud413","\ud414","\ud415","\ud416","\ud417","\ud418","\ud419","\ud41a","\ud41b","\ud41c","\ud41d","\ud41e","\ud41f","\ud420","\ud421","\ud422","\ud423","\ud424","\ud425","\ud426","\ud427","\ud428","\ud429","\ud42a","\ud42b","\ud42c","\ud42d","\ud42e","\ud42f","\ud430","\ud431","\ud432","\ud433","\ud434","\ud435","\ud436","\ud437","\ud438","\ud439","\ud43a","\ud43b","\ud43c","\ud43d","\ud43e","\ud43f","\ud440","\ud441","\ud442","\ud443","\ud444","\ud445","\ud446","\ud447","\ud448","\ud449","\ud44a","\ud44b","\ud44c","\ud44d","\ud44e","\ud44f","\ud450","\ud451","\ud452","\ud453","\ud454","\ud455","\ud456","\ud457","\ud458","\ud459","\ud45a","\ud45b","\ud45c","\ud45d","\ud45e","\ud45f","\ud460","\ud461","\ud462","\ud463","\ud464","\ud465","\ud466","\ud467","\ud468","\ud469","\ud46a","\ud46b","\ud46c","\ud46d","\ud46e","\ud46f","\ud470","\ud471","\ud472","\ud473","\ud474","\ud475","\ud476","\ud477","\ud478","\ud479","\ud47a","\ud47b","\ud47c","\ud47d","\ud47e","\ud47f","\ud480","\ud481","\ud482","\ud483","\ud484","\ud485","\ud486","\ud487","\ud488","\ud489","\ud48a","\ud48b","\ud48c","\ud48d","\ud48e","\ud48f","\ud490","\ud491","\ud492","\ud493","\ud494","\ud495","\ud496","\ud497","\ud498","\ud499","\ud49a","\ud49b","\ud49c","\ud49d","\ud49e","\ud49f","\ud4a0","\ud4a1","\ud4a2","\ud4a3","\ud4a4","\ud4a5","\ud4a6","\ud4a7","\ud4a8","\ud4a9","\ud4aa","\ud4ab","\ud4ac","\ud4ad","\ud4ae","\ud4af","\ud4b0","\ud4b1","\ud4b2","\ud4b3","\ud4b4","\ud4b5","\ud4b6","\ud4b7","\ud4b8","\ud4b9","\ud4ba","\ud4bb","\ud4bc","\ud4bd","\ud4be","\ud4bf","\ud4c0","\ud4c1","\ud4c2","\ud4c3","\ud4c4","\ud4c5","\ud4c6","\ud4c7","\ud4c8","\ud4c9","\ud4ca","\ud4cb","\ud4cc","\ud4cd","\ud4ce","\ud4cf","\ud4d0","\ud4d1","\ud4d2","\ud4d3","\ud4d4","\ud4d5","\ud4d6","\ud4d7","\ud4d8","\ud4d9","\ud4da","\ud4db","\ud4dc","\ud4dd","\ud4de","\ud4df","\ud4e0","\ud4e1","\ud4e2","\ud4e3","\ud4e4","\ud4e5","\ud4e6","\ud4e7","\ud4e8","\ud4e9","\ud4ea","\ud4eb","\ud4ec","\ud4ed","\ud4ee","\ud4ef","\ud4f0","\ud4f1","\ud4f2","\ud4f3","\ud4f4","\ud4f5","\ud4f6","\ud4f7","\ud4f8","\ud4f9","\ud4fa","\ud4fb","\ud4fc","\ud4fd","\ud4fe","\ud4ff","\ud500","\ud501","\ud502","\ud503","\ud504","\ud505","\ud506","\ud507","\ud508","\ud509","\ud50a","\ud50b","\ud50c","\ud50d","\ud50e","\ud50f","\ud510","\ud511","\ud512","\ud513","\ud514","\ud515","\ud516","\ud517","\ud518","\ud519","\ud51a","\ud51b","\ud51c","\ud51d","\ud51e","\ud51f","\ud520","\ud521","\ud522","\ud523","\ud524","\ud525","\ud526","\ud527","\ud528","\ud529","\ud52a","\ud52b","\ud52c","\ud52d","\ud52e","\ud52f","\ud530","\ud531","\ud532","\ud533","\ud534","\ud535","\ud536","\ud537","\ud538","\ud539","\ud53a","\ud53b","\ud53c","\ud53d","\ud53e","\ud53f","\ud540","\ud541","\ud542","\ud543","\ud544","\ud545","\ud546","\ud547","\ud548","\ud549","\ud54a","\ud54b","\ud54c","\ud54d","\ud54e","\ud54f","\ud550","\ud551","\ud552","\ud553","\ud554","\ud555","\ud556","\ud557","\ud558","\ud559","\ud55a","\ud55b","\ud55c","\ud55d","\ud55e","\ud55f","\ud560","\ud561","\ud562","\ud563","\ud564","\ud565","\ud566","\ud567","\ud568","\ud569","\ud56a","\ud56b","\ud56c","\ud56d","\ud56e","\ud56f","\ud570","\ud571","\ud572","\ud573","\ud574","\ud575","\ud576","\ud577","\ud578","\ud579","\ud57a","\ud57b","\ud57c","\ud57d","\ud57e","\ud57f","\ud580","\ud581","\ud582","\ud583","\ud584","\ud585","\ud586","\ud587","\ud588","\ud589","\ud58a","\ud58b","\ud58c","\ud58d","\ud58e","\ud58f","\ud590","\ud591","\ud592","\ud593","\ud594","\ud595","\ud596","\ud597","\ud598","\ud599","\ud59a","\ud59b","\ud59c","\ud59d","\ud59e","\ud59f","\ud5a0","\ud5a1","\ud5a2","\ud5a3","\ud5a4","\ud5a5","\ud5a6","\ud5a7","\ud5a8","\ud5a9","\ud5aa","\ud5ab","\ud5ac","\ud5ad","\ud5ae","\ud5af","\ud5b0","\ud5b1","\ud5b2","\ud5b3","\ud5b4","\ud5b5","\ud5b6","\ud5b7","\ud5b8","\ud5b9","\ud5ba","\ud5bb","\ud5bc","\ud5bd","\ud5be","\ud5bf","\ud5c0","\ud5c1","\ud5c2","\ud5c3","\ud5c4","\ud5c5","\ud5c6","\ud5c7","\ud5c8","\ud5c9","\ud5ca","\ud5cb","\ud5cc","\ud5cd","\ud5ce","\ud5cf","\ud5d0","\ud5d1","\ud5d2","\ud5d3","\ud5d4","\ud5d5","\ud5d6","\ud5d7","\ud5d8","\ud5d9","\ud5da","\ud5db","\ud5dc","\ud5dd","\ud5de","\ud5df","\ud5e0","\ud5e1","\ud5e2","\ud5e3","\ud5e4","\ud5e5","\ud5e6","\ud5e7","\ud5e8","\ud5e9","\ud5ea","\ud5eb","\ud5ec","\ud5ed","\ud5ee","\ud5ef","\ud5f0","\ud5f1","\ud5f2","\ud5f3","\ud5f4","\ud5f5","\ud5f6","\ud5f7","\ud5f8","\ud5f9","\ud5fa","\ud5fb","\ud5fc","\ud5fd","\ud5fe","\ud5ff","\ud600","\ud601","\ud602","\ud603","\ud604","\ud605","\ud606","\ud607","\ud608","\ud609","\ud60a","\ud60b","\ud60c","\ud60d","\ud60e","\ud60f","\ud610","\ud611","\ud612","\ud613","\ud614","\ud615","\ud616","\ud617","\ud618","\ud619","\ud61a","\ud61b","\ud61c","\ud61d","\ud61e","\ud61f","\ud620","\ud621","\ud622","\ud623","\ud624","\ud625","\ud626","\ud627","\ud628","\ud629","\ud62a","\ud62b","\ud62c","\ud62d","\ud62e","\ud62f","\ud630","\ud631","\ud632","\ud633","\ud634","\ud635","\ud636","\ud637","\ud638","\ud639","\ud63a","\ud63b","\ud63c","\ud63d","\ud63e","\ud63f","\ud640","\ud641","\ud642","\ud643","\ud644","\ud645","\ud646","\ud647","\ud648","\ud649","\ud64a","\ud64b","\ud64c","\ud64d","\ud64e","\ud64f","\ud650","\ud651","\ud652","\ud653","\ud654","\ud655","\ud656","\ud657","\ud658","\ud659","\ud65a","\ud65b","\ud65c","\ud65d","\ud65e","\ud65f","\ud660","\ud661","\ud662","\ud663","\ud664","\ud665","\ud666","\ud667","\ud668","\ud669","\ud66a","\ud66b","\ud66c","\ud66d","\ud66e","\ud66f","\ud670","\ud671","\ud672","\ud673","\ud674","\ud675","\ud676","\ud677","\ud678","\ud679","\ud67a","\ud67b","\ud67c","\ud67d","\ud67e","\ud67f","\ud680","\ud681","\ud682","\ud683","\ud684","\ud685","\ud686","\ud687","\ud688","\ud689","\ud68a","\ud68b","\ud68c","\ud68d","\ud68e","\ud68f","\ud690","\ud691","\ud692","\ud693","\ud694","\ud695","\ud696","\ud697","\ud698","\ud699","\ud69a","\ud69b","\ud69c","\ud69d","\ud69e","\ud69f","\ud6a0","\ud6a1","\ud6a2","\ud6a3","\ud6a4","\ud6a5","\ud6a6","\ud6a7","\ud6a8","\ud6a9","\ud6aa","\ud6ab","\ud6ac","\ud6ad","\ud6ae","\ud6af","\ud6b0","\ud6b1","\ud6b2","\ud6b3","\ud6b4","\ud6b5","\ud6b6","\ud6b7","\ud6b8","\ud6b9","\ud6ba","\ud6bb","\ud6bc","\ud6bd","\ud6be","\ud6bf","\ud6c0","\ud6c1","\ud6c2","\ud6c3","\ud6c4","\ud6c5","\ud6c6","\ud6c7","\ud6c8","\ud6c9","\ud6ca","\ud6cb","\ud6cc","\ud6cd","\ud6ce","\ud6cf","\ud6d0","\ud6d1","\ud6d2","\ud6d3","\ud6d4","\ud6d5","\ud6d6","\ud6d7","\ud6d8","\ud6d9","\ud6da","\ud6db","\ud6dc","\ud6dd","\ud6de","\ud6df","\ud6e0","\ud6e1","\ud6e2","\ud6e3","\ud6e4","\ud6e5","\ud6e6","\ud6e7","\ud6e8","\ud6e9","\ud6ea","\ud6eb","\ud6ec","\ud6ed","\ud6ee","\ud6ef","\ud6f0","\ud6f1","\ud6f2","\ud6f3","\ud6f4","\ud6f5","\ud6f6","\ud6f7","\ud6f8","\ud6f9","\ud6fa","\ud6fb","\ud6fc","\ud6fd","\ud6fe","\ud6ff","\ud700","\ud701","\ud702","\ud703","\ud704","\ud705","\ud706","\ud707","\ud708","\ud709","\ud70a","\ud70b","\ud70c","\ud70d","\ud70e","\ud70f","\ud710","\ud711","\ud712","\ud713","\ud714","\ud715","\ud716","\ud717","\ud718","\ud719","\ud71a","\ud71b","\ud71c","\ud71d","\ud71e","\ud71f","\ud720","\ud721","\ud722","\ud723","\ud724","\ud725","\ud726","\ud727","\ud728","\ud729","\ud72a","\ud72b","\ud72c","\ud72d","\ud72e","\ud72f","\ud730","\ud731","\ud732","\ud733","\ud734","\ud735","\ud736","\ud737","\ud738","\ud739","\ud73a","\ud73b","\ud73c","\ud73d","\ud73e","\ud73f","\ud740","\ud741","\ud742","\ud743","\ud744","\ud745","\ud746","\ud747","\ud748","\ud749","\ud74a","\ud74b","\ud74c","\ud74d","\ud74e","\ud74f","\ud750","\ud751","\ud752","\ud753","\ud754","\ud755","\ud756","\ud757","\ud758","\ud759","\ud75a","\ud75b","\ud75c","\ud75d","\ud75e","\ud75f","\ud760","\ud761","\ud762","\ud763","\ud764","\ud765","\ud766","\ud767","\ud768","\ud769","\ud76a","\ud76b","\ud76c","\ud76d","\ud76e","\ud76f","\ud770","\ud771","\ud772","\ud773","\ud774","\ud775","\ud776","\ud777","\ud778","\ud779","\ud77a","\ud77b","\ud77c","\ud77d","\ud77e","\ud77f","\ud780","\ud781","\ud782","\ud783","\ud784","\ud785","\ud786","\ud787","\ud788","\ud789","\ud78a","\ud78b","\ud78c","\ud78d","\ud78e","\ud78f","\ud790","\ud791","\ud792","\ud793","\ud794","\ud795","\ud796","\ud797","\ud798","\ud799","\ud79a","\ud79b","\ud79c","\ud79d","\ud79e","\ud79f","\ud7a0","\ud7a1","\ud7a2","\ud7a3",  # ; ALetter # Lo [11172] HANGUL SYLLABLE GA..HANGUL SYLLABLE HIH
        "\ud7b0","\ud7b1","\ud7b2","\ud7b3","\ud7b4","\ud7b5","\ud7b6","\ud7b7","\ud7b8","\ud7b9","\ud7ba","\ud7bb","\ud7bc","\ud7bd","\ud7be","\ud7bf","\ud7c0","\ud7c1","\ud7c2","\ud7c3","\ud7c4","\ud7c5","\ud7c6",  # ; ALetter # Lo  [23] HANGUL JUNGSEONG O-YEO..HANGUL JUNGSEONG ARAEA-E
        "\ud7cb","\ud7cc","\ud7cd","\ud7ce","\ud7cf","\ud7d0","\ud7d1","\ud7d2","\ud7d3","\ud7d4","\ud7d5","\ud7d6","\ud7d7","\ud7d8","\ud7d9","\ud7da","\ud7db","\ud7dc","\ud7dd","\ud7de","\ud7df","\ud7e0","\ud7e1","\ud7e2","\ud7e3","\ud7e4","\ud7e5","\ud7e6","\ud7e7","\ud7e8","\ud7e9","\ud7ea","\ud7eb","\ud7ec","\ud7ed","\ud7ee","\ud7ef","\ud7f0","\ud7f1","\ud7f2","\ud7f3","\ud7f4","\ud7f5","\ud7f6","\ud7f7","\ud7f8","\ud7f9","\ud7fa","\ud7fb",  # ; ALetter # Lo  [49] HANGUL JONGSEONG NIEUN-RIEUL..HANGUL JONGSEONG PHIEUPH-THIEUTH
        "\ufb00","\ufb01","\ufb02","\ufb03","\ufb04","\ufb05","\ufb06",  # ; ALetter # L&   [7] LATIN SMALL LIGATURE FF..LATIN SMALL LIGATURE ST
        "\ufb13","\ufb14","\ufb15","\ufb16","\ufb17",  # ; ALetter # L&   [5] ARMENIAN SMALL LIGATURE MEN NOW..ARMENIAN SMALL LIGATURE MEN XEH
        "\ufb50","\ufb51","\ufb52","\ufb53","\ufb54","\ufb55","\ufb56","\ufb57","\ufb58","\ufb59","\ufb5a","\ufb5b","\ufb5c","\ufb5d","\ufb5e","\ufb5f","\ufb60","\ufb61","\ufb62","\ufb63","\ufb64","\ufb65","\ufb66","\ufb67","\ufb68","\ufb69","\ufb6a","\ufb6b","\ufb6c","\ufb6d","\ufb6e","\ufb6f","\ufb70","\ufb71","\ufb72","\ufb73","\ufb74","\ufb75","\ufb76","\ufb77","\ufb78","\ufb79","\ufb7a","\ufb7b","\ufb7c","\ufb7d","\ufb7e","\ufb7f","\ufb80","\ufb81","\ufb82","\ufb83","\ufb84","\ufb85","\ufb86","\ufb87","\ufb88","\ufb89","\ufb8a","\ufb8b","\ufb8c","\ufb8d","\ufb8e","\ufb8f","\ufb90","\ufb91","\ufb92","\ufb93","\ufb94","\ufb95","\ufb96","\ufb97","\ufb98","\ufb99","\ufb9a","\ufb9b","\ufb9c","\ufb9d","\ufb9e","\ufb9f","\ufba0","\ufba1","\ufba2","\ufba3","\ufba4","\ufba5","\ufba6","\ufba7","\ufba8","\ufba9","\ufbaa","\ufbab","\ufbac","\ufbad","\ufbae","\ufbaf","\ufbb0","\ufbb1",  # ; ALetter # Lo  [98] ARABIC LETTER ALEF WASLA ISOLATED FORM..ARABIC LETTER YEH BARREE WITH HAMZA ABOVE FINAL FORM
        "\ufbd3","\ufbd4","\ufbd5","\ufbd6","\ufbd7","\ufbd8","\ufbd9","\ufbda","\ufbdb","\ufbdc","\ufbdd","\ufbde","\ufbdf","\ufbe0","\ufbe1","\ufbe2","\ufbe3","\ufbe4","\ufbe5","\ufbe6","\ufbe7","\ufbe8","\ufbe9","\ufbea","\ufbeb","\ufbec","\ufbed","\ufbee","\ufbef","\ufbf0","\ufbf1","\ufbf2","\ufbf3","\ufbf4","\ufbf5","\ufbf6","\ufbf7","\ufbf8","\ufbf9","\ufbfa","\ufbfb","\ufbfc","\ufbfd","\ufbfe","\ufbff","\ufc00","\ufc01","\ufc02","\ufc03","\ufc04","\ufc05","\ufc06","\ufc07","\ufc08","\ufc09","\ufc0a","\ufc0b","\ufc0c","\ufc0d","\ufc0e","\ufc0f","\ufc10","\ufc11","\ufc12","\ufc13","\ufc14","\ufc15","\ufc16","\ufc17","\ufc18","\ufc19","\ufc1a","\ufc1b","\ufc1c","\ufc1d","\ufc1e","\ufc1f","\ufc20","\ufc21","\ufc22","\ufc23","\ufc24","\ufc25","\ufc26","\ufc27","\ufc28","\ufc29","\ufc2a","\ufc2b","\ufc2c","\ufc2d","\ufc2e","\ufc2f","\ufc30","\ufc31","\ufc32","\ufc33","\ufc34","\ufc35","\ufc36","\ufc37","\ufc38","\ufc39","\ufc3a","\ufc3b","\ufc3c","\ufc3d","\ufc3e","\ufc3f","\ufc40","\ufc41","\ufc42","\ufc43","\ufc44","\ufc45","\ufc46","\ufc47","\ufc48","\ufc49","\ufc4a","\ufc4b","\ufc4c","\ufc4d","\ufc4e","\ufc4f","\ufc50","\ufc51","\ufc52","\ufc53","\ufc54","\ufc55","\ufc56","\ufc57","\ufc58","\ufc59","\ufc5a","\ufc5b","\ufc5c","\ufc5d","\ufc5e","\ufc5f","\ufc60","\ufc61","\ufc62","\ufc63","\ufc64","\ufc65","\ufc66","\ufc67","\ufc68","\ufc69","\ufc6a","\ufc6b","\ufc6c","\ufc6d","\ufc6e","\ufc6f","\ufc70","\ufc71","\ufc72","\ufc73","\ufc74","\ufc75","\ufc76","\ufc77","\ufc78","\ufc79","\ufc7a","\ufc7b","\ufc7c","\ufc7d","\ufc7e","\ufc7f","\ufc80","\ufc81","\ufc82","\ufc83","\ufc84","\ufc85","\ufc86","\ufc87","\ufc88","\ufc89","\ufc8a","\ufc8b","\ufc8c","\ufc8d","\ufc8e","\ufc8f","\ufc90","\ufc91","\ufc92","\ufc93","\ufc94","\ufc95","\ufc96","\ufc97","\ufc98","\ufc99","\ufc9a","\ufc9b","\ufc9c","\ufc9d","\ufc9e","\ufc9f","\ufca0","\ufca1","\ufca2","\ufca3","\ufca4","\ufca5","\ufca6","\ufca7","\ufca8","\ufca9","\ufcaa","\ufcab","\ufcac","\ufcad","\ufcae","\ufcaf","\ufcb0","\ufcb1","\ufcb2","\ufcb3","\ufcb4","\ufcb5","\ufcb6","\ufcb7","\ufcb8","\ufcb9","\ufcba","\ufcbb","\ufcbc","\ufcbd","\ufcbe","\ufcbf","\ufcc0","\ufcc1","\ufcc2","\ufcc3","\ufcc4","\ufcc5","\ufcc6","\ufcc7","\ufcc8","\ufcc9","\ufcca","\ufccb","\ufccc","\ufccd","\ufcce","\ufccf","\ufcd0","\ufcd1","\ufcd2","\ufcd3","\ufcd4","\ufcd5","\ufcd6","\ufcd7","\ufcd8","\ufcd9","\ufcda","\ufcdb","\ufcdc","\ufcdd","\ufcde","\ufcdf","\ufce0","\ufce1","\ufce2","\ufce3","\ufce4","\ufce5","\ufce6","\ufce7","\ufce8","\ufce9","\ufcea","\ufceb","\ufcec","\ufced","\ufcee","\ufcef","\ufcf0","\ufcf1","\ufcf2","\ufcf3","\ufcf4","\ufcf5","\ufcf6","\ufcf7","\ufcf8","\ufcf9","\ufcfa","\ufcfb","\ufcfc","\ufcfd","\ufcfe","\ufcff","\ufd00","\ufd01","\ufd02","\ufd03","\ufd04","\ufd05","\ufd06","\ufd07","\ufd08","\ufd09","\ufd0a","\ufd0b","\ufd0c","\ufd0d","\ufd0e","\ufd0f","\ufd10","\ufd11","\ufd12","\ufd13","\ufd14","\ufd15","\ufd16","\ufd17","\ufd18","\ufd19","\ufd1a","\ufd1b","\ufd1c","\ufd1d","\ufd1e","\ufd1f","\ufd20","\ufd21","\ufd22","\ufd23","\ufd24","\ufd25","\ufd26","\ufd27","\ufd28","\ufd29","\ufd2a","\ufd2b","\ufd2c","\ufd2d","\ufd2e","\ufd2f","\ufd30","\ufd31","\ufd32","\ufd33","\ufd34","\ufd35","\ufd36","\ufd37","\ufd38","\ufd39","\ufd3a","\ufd3b","\ufd3c","\ufd3d",  # ; ALetter # Lo [363] ARABIC LETTER NG ISOLATED FORM..ARABIC LIGATURE ALEF WITH FATHATAN ISOLATED FORM
        "\ufd50","\ufd51","\ufd52","\ufd53","\ufd54","\ufd55","\ufd56","\ufd57","\ufd58","\ufd59","\ufd5a","\ufd5b","\ufd5c","\ufd5d","\ufd5e","\ufd5f","\ufd60","\ufd61","\ufd62","\ufd63","\ufd64","\ufd65","\ufd66","\ufd67","\ufd68","\ufd69","\ufd6a","\ufd6b","\ufd6c","\ufd6d","\ufd6e","\ufd6f","\ufd70","\ufd71","\ufd72","\ufd73","\ufd74","\ufd75","\ufd76","\ufd77","\ufd78","\ufd79","\ufd7a","\ufd7b","\ufd7c","\ufd7d","\ufd7e","\ufd7f","\ufd80","\ufd81","\ufd82","\ufd83","\ufd84","\ufd85","\ufd86","\ufd87","\ufd88","\ufd89","\ufd8a","\ufd8b","\ufd8c","\ufd8d","\ufd8e","\ufd8f",  # ; ALetter # Lo  [64] ARABIC LIGATURE TEH WITH JEEM WITH MEEM INITIAL FORM..ARABIC LIGATURE MEEM WITH KHAH WITH MEEM INITIAL FORM
        "\ufd92","\ufd93","\ufd94","\ufd95","\ufd96","\ufd97","\ufd98","\ufd99","\ufd9a","\ufd9b","\ufd9c","\ufd9d","\ufd9e","\ufd9f","\ufda0","\ufda1","\ufda2","\ufda3","\ufda4","\ufda5","\ufda6","\ufda7","\ufda8","\ufda9","\ufdaa","\ufdab","\ufdac","\ufdad","\ufdae","\ufdaf","\ufdb0","\ufdb1","\ufdb2","\ufdb3","\ufdb4","\ufdb5","\ufdb6","\ufdb7","\ufdb8","\ufdb9","\ufdba","\ufdbb","\ufdbc","\ufdbd","\ufdbe","\ufdbf","\ufdc0","\ufdc1","\ufdc2","\ufdc3","\ufdc4","\ufdc5","\ufdc6","\ufdc7",  # ; ALetter # Lo  [54] ARABIC LIGATURE MEEM WITH JEEM WITH KHAH INITIAL FORM..ARABIC LIGATURE NOON WITH JEEM WITH YEH FINAL FORM
        "\ufdf0","\ufdf1","\ufdf2","\ufdf3","\ufdf4","\ufdf5","\ufdf6","\ufdf7","\ufdf8","\ufdf9","\ufdfa","\ufdfb",  # ; ALetter # Lo  [12] ARABIC LIGATURE SALLA USED AS KORANIC STOP SIGN ISOLATED FORM..ARABIC LIGATURE JALLAJALALOUHOU
        "\ufe70","\ufe71","\ufe72","\ufe73","\ufe74",  # ; ALetter # Lo   [5] ARABIC FATHATAN ISOLATED FORM..ARABIC KASRATAN ISOLATED FORM
        "\ufe76","\ufe77","\ufe78","\ufe79","\ufe7a","\ufe7b","\ufe7c","\ufe7d","\ufe7e","\ufe7f","\ufe80","\ufe81","\ufe82","\ufe83","\ufe84","\ufe85","\ufe86","\ufe87","\ufe88","\ufe89","\ufe8a","\ufe8b","\ufe8c","\ufe8d","\ufe8e","\ufe8f","\ufe90","\ufe91","\ufe92","\ufe93","\ufe94","\ufe95","\ufe96","\ufe97","\ufe98","\ufe99","\ufe9a","\ufe9b","\ufe9c","\ufe9d","\ufe9e","\ufe9f","\ufea0","\ufea1","\ufea2","\ufea3","\ufea4","\ufea5","\ufea6","\ufea7","\ufea8","\ufea9","\ufeaa","\ufeab","\ufeac","\ufead","\ufeae","\ufeaf","\ufeb0","\ufeb1","\ufeb2","\ufeb3","\ufeb4","\ufeb5","\ufeb6","\ufeb7","\ufeb8","\ufeb9","\ufeba","\ufebb","\ufebc","\ufebd","\ufebe","\ufebf","\ufec0","\ufec1","\ufec2","\ufec3","\ufec4","\ufec5","\ufec6","\ufec7","\ufec8","\ufec9","\ufeca","\ufecb","\ufecc","\ufecd","\ufece","\ufecf","\ufed0","\ufed1","\ufed2","\ufed3","\ufed4","\ufed5","\ufed6","\ufed7","\ufed8","\ufed9","\ufeda","\ufedb","\ufedc","\ufedd","\ufede","\ufedf","\ufee0","\ufee1","\ufee2","\ufee3","\ufee4","\ufee5","\ufee6","\ufee7","\ufee8","\ufee9","\ufeea","\ufeeb","\ufeec","\ufeed","\ufeee","\ufeef","\ufef0","\ufef1","\ufef2","\ufef3","\ufef4","\ufef5","\ufef6","\ufef7","\ufef8","\ufef9","\ufefa","\ufefb","\ufefc",  # ; ALetter # Lo [135] ARABIC FATHA ISOLATED FORM..ARABIC LIGATURE LAM WITH ALEF FINAL FORM
        "\uff21","\uff22","\uff23","\uff24","\uff25","\uff26","\uff27","\uff28","\uff29","\uff2a","\uff2b","\uff2c","\uff2d","\uff2e","\uff2f","\uff30","\uff31","\uff32","\uff33","\uff34","\uff35","\uff36","\uff37","\uff38","\uff39","\uff3a",  # ; ALetter # L&  [26] FULLWIDTH LATIN CAPITAL LETTER A..FULLWIDTH LATIN CAPITAL LETTER Z
        "\uff41","\uff42","\uff43","\uff44","\uff45","\uff46","\uff47","\uff48","\uff49","\uff4a","\uff4b","\uff4c","\uff4d","\uff4e","\uff4f","\uff50","\uff51","\uff52","\uff53","\uff54","\uff55","\uff56","\uff57","\uff58","\uff59","\uff5a",  # ; ALetter # L&  [26] FULLWIDTH LATIN SMALL LETTER A..FULLWIDTH LATIN SMALL LETTER Z
        "\uffa0","\uffa1","\uffa2","\uffa3","\uffa4","\uffa5","\uffa6","\uffa7","\uffa8","\uffa9","\uffaa","\uffab","\uffac","\uffad","\uffae","\uffaf","\uffb0","\uffb1","\uffb2","\uffb3","\uffb4","\uffb5","\uffb6","\uffb7","\uffb8","\uffb9","\uffba","\uffbb","\uffbc","\uffbd","\uffbe",  # ; ALetter # Lo  [31] HALFWIDTH HANGUL FILLER..HALFWIDTH HANGUL LETTER HIEUH
        "\uffc2","\uffc3","\uffc4","\uffc5","\uffc6","\uffc7",  # ; ALetter # Lo   [6] HALFWIDTH HANGUL LETTER A..HALFWIDTH HANGUL LETTER E
        "\uffca","\uffcb","\uffcc","\uffcd","\uffce","\uffcf",  # ; ALetter # Lo   [6] HALFWIDTH HANGUL LETTER YEO..HALFWIDTH HANGUL LETTER OE
        "\uffd2","\uffd3","\uffd4","\uffd5","\uffd6","\uffd7",  # ; ALetter # Lo   [6] HALFWIDTH HANGUL LETTER YO..HALFWIDTH HANGUL LETTER YU
        "\uffda","\uffdb","\uffdc",  # ; ALetter # Lo   [3] HALFWIDTH HANGUL LETTER EU..HALFWIDTH HANGUL LETTER I
        "\u10000","\u10001","\u10002","\u10003","\u10004","\u10005","\u10006","\u10007","\u10008","\u10009","\u1000a","\u1000b",  # ; ALetter # Lo  [12] LINEAR B SYLLABLE B008 A..LINEAR B SYLLABLE B046 JE
        "\u1000d","\u1000e","\u1000f","\u10010","\u10011","\u10012","\u10013","\u10014","\u10015","\u10016","\u10017","\u10018","\u10019","\u1001a","\u1001b","\u1001c","\u1001d","\u1001e","\u1001f","\u10020","\u10021","\u10022","\u10023","\u10024","\u10025","\u10026",  # ; ALetter # Lo  [26] LINEAR B SYLLABLE B036 JO..LINEAR B SYLLABLE B032 QO
        "\u10028","\u10029","\u1002a","\u1002b","\u1002c","\u1002d","\u1002e","\u1002f","\u10030","\u10031","\u10032","\u10033","\u10034","\u10035","\u10036","\u10037","\u10038","\u10039","\u1003a",  # ; ALetter # Lo  [19] LINEAR B SYLLABLE B060 RA..LINEAR B SYLLABLE B042 WO
        "\u1003c","\u1003d",  # ; ALetter # Lo   [2] LINEAR B SYLLABLE B017 ZA..LINEAR B SYLLABLE B074 ZE
        "\u1003f","\u10040","\u10041","\u10042","\u10043","\u10044","\u10045","\u10046","\u10047","\u10048","\u10049","\u1004a","\u1004b","\u1004c","\u1004d",  # ; ALetter # Lo  [15] LINEAR B SYLLABLE B020 ZO..LINEAR B SYLLABLE B091 TWO
        "\u10050","\u10051","\u10052","\u10053","\u10054","\u10055","\u10056","\u10057","\u10058","\u10059","\u1005a","\u1005b","\u1005c","\u1005d",  # ; ALetter # Lo  [14] LINEAR B SYMBOL B018..LINEAR B SYMBOL B089
        "\u10080","\u10081","\u10082","\u10083","\u10084","\u10085","\u10086","\u10087","\u10088","\u10089","\u1008a","\u1008b","\u1008c","\u1008d","\u1008e","\u1008f","\u10090","\u10091","\u10092","\u10093","\u10094","\u10095","\u10096","\u10097","\u10098","\u10099","\u1009a","\u1009b","\u1009c","\u1009d","\u1009e","\u1009f","\u100a0","\u100a1","\u100a2","\u100a3","\u100a4","\u100a5","\u100a6","\u100a7","\u100a8","\u100a9","\u100aa","\u100ab","\u100ac","\u100ad","\u100ae","\u100af","\u100b0","\u100b1","\u100b2","\u100b3","\u100b4","\u100b5","\u100b6","\u100b7","\u100b8","\u100b9","\u100ba","\u100bb","\u100bc","\u100bd","\u100be","\u100bf","\u100c0","\u100c1","\u100c2","\u100c3","\u100c4","\u100c5","\u100c6","\u100c7","\u100c8","\u100c9","\u100ca","\u100cb","\u100cc","\u100cd","\u100ce","\u100cf","\u100d0","\u100d1","\u100d2","\u100d3","\u100d4","\u100d5","\u100d6","\u100d7","\u100d8","\u100d9","\u100da","\u100db","\u100dc","\u100dd","\u100de","\u100df","\u100e0","\u100e1","\u100e2","\u100e3","\u100e4","\u100e5","\u100e6","\u100e7","\u100e8","\u100e9","\u100ea","\u100eb","\u100ec","\u100ed","\u100ee","\u100ef","\u100f0","\u100f1","\u100f2","\u100f3","\u100f4","\u100f5","\u100f6","\u100f7","\u100f8","\u100f9","\u100fa",  # ; ALetter # Lo [123] LINEAR B IDEOGRAM B100 MAN..LINEAR B IDEOGRAM VESSEL B305
        "\u10140","\u10141","\u10142","\u10143","\u10144","\u10145","\u10146","\u10147","\u10148","\u10149","\u1014a","\u1014b","\u1014c","\u1014d","\u1014e","\u1014f","\u10150","\u10151","\u10152","\u10153","\u10154","\u10155","\u10156","\u10157","\u10158","\u10159","\u1015a","\u1015b","\u1015c","\u1015d","\u1015e","\u1015f","\u10160","\u10161","\u10162","\u10163","\u10164","\u10165","\u10166","\u10167","\u10168","\u10169","\u1016a","\u1016b","\u1016c","\u1016d","\u1016e","\u1016f","\u10170","\u10171","\u10172","\u10173","\u10174",  # ; ALetter # Nl  [53] GREEK ACROPHONIC ATTIC ONE QUARTER..GREEK ACROPHONIC STRATIAN FIFTY MNAS
        "\u10280","\u10281","\u10282","\u10283","\u10284","\u10285","\u10286","\u10287","\u10288","\u10289","\u1028a","\u1028b","\u1028c","\u1028d","\u1028e","\u1028f","\u10290","\u10291","\u10292","\u10293","\u10294","\u10295","\u10296","\u10297","\u10298","\u10299","\u1029a","\u1029b","\u1029c",  # ; ALetter # Lo  [29] LYCIAN LETTER A..LYCIAN LETTER X
        "\u102a0","\u102a1","\u102a2","\u102a3","\u102a4","\u102a5","\u102a6","\u102a7","\u102a8","\u102a9","\u102aa","\u102ab","\u102ac","\u102ad","\u102ae","\u102af","\u102b0","\u102b1","\u102b2","\u102b3","\u102b4","\u102b5","\u102b6","\u102b7","\u102b8","\u102b9","\u102ba","\u102bb","\u102bc","\u102bd","\u102be","\u102bf","\u102c0","\u102c1","\u102c2","\u102c3","\u102c4","\u102c5","\u102c6","\u102c7","\u102c8","\u102c9","\u102ca","\u102cb","\u102cc","\u102cd","\u102ce","\u102cf","\u102d0",  # ; ALetter # Lo  [49] CARIAN LETTER A..CARIAN LETTER UUU3
        "\u10300","\u10301","\u10302","\u10303","\u10304","\u10305","\u10306","\u10307","\u10308","\u10309","\u1030a","\u1030b","\u1030c","\u1030d","\u1030e","\u1030f","\u10310","\u10311","\u10312","\u10313","\u10314","\u10315","\u10316","\u10317","\u10318","\u10319","\u1031a","\u1031b","\u1031c","\u1031d","\u1031e","\u1031f",  # ; ALetter # Lo  [32] OLD ITALIC LETTER A..OLD ITALIC LETTER ESS
        "\u1032d","\u1032e","\u1032f","\u10330","\u10331","\u10332","\u10333","\u10334","\u10335","\u10336","\u10337","\u10338","\u10339","\u1033a","\u1033b","\u1033c","\u1033d","\u1033e","\u1033f","\u10340",  # ; ALetter # Lo  [20] OLD ITALIC LETTER YE..GOTHIC LETTER PAIRTHRA
        "\u10341",  # ; ALetter # Nl       GOTHIC LETTER NINETY
        "\u10342","\u10343","\u10344","\u10345","\u10346","\u10347","\u10348","\u10349",  # ; ALetter # Lo   [8] GOTHIC LETTER RAIDA..GOTHIC LETTER OTHAL
        "\u1034A",  # ; ALetter # Nl       GOTHIC LETTER NINE HUNDRED
        "\u10350","\u10351","\u10352","\u10353","\u10354","\u10355","\u10356","\u10357","\u10358","\u10359","\u1035a","\u1035b","\u1035c","\u1035d","\u1035e","\u1035f","\u10360","\u10361","\u10362","\u10363","\u10364","\u10365","\u10366","\u10367","\u10368","\u10369","\u1036a","\u1036b","\u1036c","\u1036d","\u1036e","\u1036f","\u10370","\u10371","\u10372","\u10373","\u10374","\u10375",  # ; ALetter # Lo  [38] OLD PERMIC LETTER AN..OLD PERMIC LETTER IA
        "\u10380","\u10381","\u10382","\u10383","\u10384","\u10385","\u10386","\u10387","\u10388","\u10389","\u1038a","\u1038b","\u1038c","\u1038d","\u1038e","\u1038f","\u10390","\u10391","\u10392","\u10393","\u10394","\u10395","\u10396","\u10397","\u10398","\u10399","\u1039a","\u1039b","\u1039c","\u1039d",  # ; ALetter # Lo  [30] UGARITIC LETTER ALPA..UGARITIC LETTER SSU
        "\u103a0","\u103a1","\u103a2","\u103a3","\u103a4","\u103a5","\u103a6","\u103a7","\u103a8","\u103a9","\u103aa","\u103ab","\u103ac","\u103ad","\u103ae","\u103af","\u103b0","\u103b1","\u103b2","\u103b3","\u103b4","\u103b5","\u103b6","\u103b7","\u103b8","\u103b9","\u103ba","\u103bb","\u103bc","\u103bd","\u103be","\u103bf","\u103c0","\u103c1","\u103c2","\u103c3",  # ; ALetter # Lo  [36] OLD PERSIAN SIGN A..OLD PERSIAN SIGN HA
        "\u103c8","\u103c9","\u103ca","\u103cb","\u103cc","\u103cd","\u103ce","\u103cf",  # ; ALetter # Lo   [8] OLD PERSIAN SIGN AURAMAZDAA..OLD PERSIAN SIGN BUUMISH
        "\u103d1","\u103d2","\u103d3","\u103d4","\u103d5",  # ; ALetter # Nl   [5] OLD PERSIAN NUMBER ONE..OLD PERSIAN NUMBER HUNDRED
        "\u10400","\u10401","\u10402","\u10403","\u10404","\u10405","\u10406","\u10407","\u10408","\u10409","\u1040a","\u1040b","\u1040c","\u1040d","\u1040e","\u1040f","\u10410","\u10411","\u10412","\u10413","\u10414","\u10415","\u10416","\u10417","\u10418","\u10419","\u1041a","\u1041b","\u1041c","\u1041d","\u1041e","\u1041f","\u10420","\u10421","\u10422","\u10423","\u10424","\u10425","\u10426","\u10427","\u10428","\u10429","\u1042a","\u1042b","\u1042c","\u1042d","\u1042e","\u1042f","\u10430","\u10431","\u10432","\u10433","\u10434","\u10435","\u10436","\u10437","\u10438","\u10439","\u1043a","\u1043b","\u1043c","\u1043d","\u1043e","\u1043f","\u10440","\u10441","\u10442","\u10443","\u10444","\u10445","\u10446","\u10447","\u10448","\u10449","\u1044a","\u1044b","\u1044c","\u1044d","\u1044e","\u1044f",  # ; ALetter # L&  [80] DESERET CAPITAL LETTER LONG I..DESERET SMALL LETTER EW
        "\u10450","\u10451","\u10452","\u10453","\u10454","\u10455","\u10456","\u10457","\u10458","\u10459","\u1045a","\u1045b","\u1045c","\u1045d","\u1045e","\u1045f","\u10460","\u10461","\u10462","\u10463","\u10464","\u10465","\u10466","\u10467","\u10468","\u10469","\u1046a","\u1046b","\u1046c","\u1046d","\u1046e","\u1046f","\u10470","\u10471","\u10472","\u10473","\u10474","\u10475","\u10476","\u10477","\u10478","\u10479","\u1047a","\u1047b","\u1047c","\u1047d","\u1047e","\u1047f","\u10480","\u10481","\u10482","\u10483","\u10484","\u10485","\u10486","\u10487","\u10488","\u10489","\u1048a","\u1048b","\u1048c","\u1048d","\u1048e","\u1048f","\u10490","\u10491","\u10492","\u10493","\u10494","\u10495","\u10496","\u10497","\u10498","\u10499","\u1049a","\u1049b","\u1049c","\u1049d",  # ; ALetter # Lo  [78] SHAVIAN LETTER PEEP..OSMANYA LETTER OO
        "\u104b0","\u104b1","\u104b2","\u104b3","\u104b4","\u104b5","\u104b6","\u104b7","\u104b8","\u104b9","\u104ba","\u104bb","\u104bc","\u104bd","\u104be","\u104bf","\u104c0","\u104c1","\u104c2","\u104c3","\u104c4","\u104c5","\u104c6","\u104c7","\u104c8","\u104c9","\u104ca","\u104cb","\u104cc","\u104cd","\u104ce","\u104cf","\u104d0","\u104d1","\u104d2","\u104d3",  # ; ALetter # L&  [36] OSAGE CAPITAL LETTER A..OSAGE CAPITAL LETTER ZHA
        "\u104d8","\u104d9","\u104da","\u104db","\u104dc","\u104dd","\u104de","\u104df","\u104e0","\u104e1","\u104e2","\u104e3","\u104e4","\u104e5","\u104e6","\u104e7","\u104e8","\u104e9","\u104ea","\u104eb","\u104ec","\u104ed","\u104ee","\u104ef","\u104f0","\u104f1","\u104f2","\u104f3","\u104f4","\u104f5","\u104f6","\u104f7","\u104f8","\u104f9","\u104fa","\u104fb",  # ; ALetter # L&  [36] OSAGE SMALL LETTER A..OSAGE SMALL LETTER ZHA
        "\u10500","\u10501","\u10502","\u10503","\u10504","\u10505","\u10506","\u10507","\u10508","\u10509","\u1050a","\u1050b","\u1050c","\u1050d","\u1050e","\u1050f","\u10510","\u10511","\u10512","\u10513","\u10514","\u10515","\u10516","\u10517","\u10518","\u10519","\u1051a","\u1051b","\u1051c","\u1051d","\u1051e","\u1051f","\u10520","\u10521","\u10522","\u10523","\u10524","\u10525","\u10526","\u10527",  # ; ALetter # Lo  [40] ELBASAN LETTER A..ELBASAN LETTER KHE
        "\u10530","\u10531","\u10532","\u10533","\u10534","\u10535","\u10536","\u10537","\u10538","\u10539","\u1053a","\u1053b","\u1053c","\u1053d","\u1053e","\u1053f","\u10540","\u10541","\u10542","\u10543","\u10544","\u10545","\u10546","\u10547","\u10548","\u10549","\u1054a","\u1054b","\u1054c","\u1054d","\u1054e","\u1054f","\u10550","\u10551","\u10552","\u10553","\u10554","\u10555","\u10556","\u10557","\u10558","\u10559","\u1055a","\u1055b","\u1055c","\u1055d","\u1055e","\u1055f","\u10560","\u10561","\u10562","\u10563",  # ; ALetter # Lo  [52] CAUCASIAN ALBANIAN LETTER ALT..CAUCASIAN ALBANIAN LETTER KIW
        "\u10600","\u10601","\u10602","\u10603","\u10604","\u10605","\u10606","\u10607","\u10608","\u10609","\u1060a","\u1060b","\u1060c","\u1060d","\u1060e","\u1060f","\u10610","\u10611","\u10612","\u10613","\u10614","\u10615","\u10616","\u10617","\u10618","\u10619","\u1061a","\u1061b","\u1061c","\u1061d","\u1061e","\u1061f","\u10620","\u10621","\u10622","\u10623","\u10624","\u10625","\u10626","\u10627","\u10628","\u10629","\u1062a","\u1062b","\u1062c","\u1062d","\u1062e","\u1062f","\u10630","\u10631","\u10632","\u10633","\u10634","\u10635","\u10636","\u10637","\u10638","\u10639","\u1063a","\u1063b","\u1063c","\u1063d","\u1063e","\u1063f","\u10640","\u10641","\u10642","\u10643","\u10644","\u10645","\u10646","\u10647","\u10648","\u10649","\u1064a","\u1064b","\u1064c","\u1064d","\u1064e","\u1064f","\u10650","\u10651","\u10652","\u10653","\u10654","\u10655","\u10656","\u10657","\u10658","\u10659","\u1065a","\u1065b","\u1065c","\u1065d","\u1065e","\u1065f","\u10660","\u10661","\u10662","\u10663","\u10664","\u10665","\u10666","\u10667","\u10668","\u10669","\u1066a","\u1066b","\u1066c","\u1066d","\u1066e","\u1066f","\u10670","\u10671","\u10672","\u10673","\u10674","\u10675","\u10676","\u10677","\u10678","\u10679","\u1067a","\u1067b","\u1067c","\u1067d","\u1067e","\u1067f","\u10680","\u10681","\u10682","\u10683","\u10684","\u10685","\u10686","\u10687","\u10688","\u10689","\u1068a","\u1068b","\u1068c","\u1068d","\u1068e","\u1068f","\u10690","\u10691","\u10692","\u10693","\u10694","\u10695","\u10696","\u10697","\u10698","\u10699","\u1069a","\u1069b","\u1069c","\u1069d","\u1069e","\u1069f","\u106a0","\u106a1","\u106a2","\u106a3","\u106a4","\u106a5","\u106a6","\u106a7","\u106a8","\u106a9","\u106aa","\u106ab","\u106ac","\u106ad","\u106ae","\u106af","\u106b0","\u106b1","\u106b2","\u106b3","\u106b4","\u106b5","\u106b6","\u106b7","\u106b8","\u106b9","\u106ba","\u106bb","\u106bc","\u106bd","\u106be","\u106bf","\u106c0","\u106c1","\u106c2","\u106c3","\u106c4","\u106c5","\u106c6","\u106c7","\u106c8","\u106c9","\u106ca","\u106cb","\u106cc","\u106cd","\u106ce","\u106cf","\u106d0","\u106d1","\u106d2","\u106d3","\u106d4","\u106d5","\u106d6","\u106d7","\u106d8","\u106d9","\u106da","\u106db","\u106dc","\u106dd","\u106de","\u106df","\u106e0","\u106e1","\u106e2","\u106e3","\u106e4","\u106e5","\u106e6","\u106e7","\u106e8","\u106e9","\u106ea","\u106eb","\u106ec","\u106ed","\u106ee","\u106ef","\u106f0","\u106f1","\u106f2","\u106f3","\u106f4","\u106f5","\u106f6","\u106f7","\u106f8","\u106f9","\u106fa","\u106fb","\u106fc","\u106fd","\u106fe","\u106ff","\u10700","\u10701","\u10702","\u10703","\u10704","\u10705","\u10706","\u10707","\u10708","\u10709","\u1070a","\u1070b","\u1070c","\u1070d","\u1070e","\u1070f","\u10710","\u10711","\u10712","\u10713","\u10714","\u10715","\u10716","\u10717","\u10718","\u10719","\u1071a","\u1071b","\u1071c","\u1071d","\u1071e","\u1071f","\u10720","\u10721","\u10722","\u10723","\u10724","\u10725","\u10726","\u10727","\u10728","\u10729","\u1072a","\u1072b","\u1072c","\u1072d","\u1072e","\u1072f","\u10730","\u10731","\u10732","\u10733","\u10734","\u10735","\u10736",  # ; ALetter # Lo [311] LINEAR A SIGN AB001..LINEAR A SIGN A664
        "\u10740","\u10741","\u10742","\u10743","\u10744","\u10745","\u10746","\u10747","\u10748","\u10749","\u1074a","\u1074b","\u1074c","\u1074d","\u1074e","\u1074f","\u10750","\u10751","\u10752","\u10753","\u10754","\u10755",  # ; ALetter # Lo  [22] LINEAR A SIGN A701 A..LINEAR A SIGN A732 JE
        "\u10760","\u10761","\u10762","\u10763","\u10764","\u10765","\u10766","\u10767",  # ; ALetter # Lo   [8] LINEAR A SIGN A800..LINEAR A SIGN A807
        "\u10800","\u10801","\u10802","\u10803","\u10804","\u10805",  # ; ALetter # Lo   [6] CYPRIOT SYLLABLE A..CYPRIOT SYLLABLE JA
        "\u10808",  # ; ALetter # Lo       CYPRIOT SYLLABLE JO
        "\u1080a","\u1080b","\u1080c","\u1080d","\u1080e","\u1080f","\u10810","\u10811","\u10812","\u10813","\u10814","\u10815","\u10816","\u10817","\u10818","\u10819","\u1081a","\u1081b","\u1081c","\u1081d","\u1081e","\u1081f","\u10820","\u10821","\u10822","\u10823","\u10824","\u10825","\u10826","\u10827","\u10828","\u10829","\u1082a","\u1082b","\u1082c","\u1082d","\u1082e","\u1082f","\u10830","\u10831","\u10832","\u10833","\u10834","\u10835",  # ; ALetter # Lo  [44] CYPRIOT SYLLABLE KA..CYPRIOT SYLLABLE WO
        "\u10837","\u10838",  # ; ALetter # Lo   [2] CYPRIOT SYLLABLE XA..CYPRIOT SYLLABLE XE
        "\u1083C",  # ; ALetter # Lo       CYPRIOT SYLLABLE ZA
        "\u1083f","\u10840","\u10841","\u10842","\u10843","\u10844","\u10845","\u10846","\u10847","\u10848","\u10849","\u1084a","\u1084b","\u1084c","\u1084d","\u1084e","\u1084f","\u10850","\u10851","\u10852","\u10853","\u10854","\u10855",  # ; ALetter # Lo  [23] CYPRIOT SYLLABLE ZO..IMPERIAL ARAMAIC LETTER TAW
        "\u10860","\u10861","\u10862","\u10863","\u10864","\u10865","\u10866","\u10867","\u10868","\u10869","\u1086a","\u1086b","\u1086c","\u1086d","\u1086e","\u1086f","\u10870","\u10871","\u10872","\u10873","\u10874","\u10875","\u10876",  # ; ALetter # Lo  [23] PALMYRENE LETTER ALEPH..PALMYRENE LETTER TAW
        "\u10880","\u10881","\u10882","\u10883","\u10884","\u10885","\u10886","\u10887","\u10888","\u10889","\u1088a","\u1088b","\u1088c","\u1088d","\u1088e","\u1088f","\u10890","\u10891","\u10892","\u10893","\u10894","\u10895","\u10896","\u10897","\u10898","\u10899","\u1089a","\u1089b","\u1089c","\u1089d","\u1089e",  # ; ALetter # Lo  [31] NABATAEAN LETTER FINAL ALEPH..NABATAEAN LETTER TAW
        "\u108e0","\u108e1","\u108e2","\u108e3","\u108e4","\u108e5","\u108e6","\u108e7","\u108e8","\u108e9","\u108ea","\u108eb","\u108ec","\u108ed","\u108ee","\u108ef","\u108f0","\u108f1","\u108f2",  # ; ALetter # Lo  [19] HATRAN LETTER ALEPH..HATRAN LETTER QOPH
        "\u108f4","\u108f5",  # ; ALetter # Lo   [2] HATRAN LETTER SHIN..HATRAN LETTER TAW
        "\u10900","\u10901","\u10902","\u10903","\u10904","\u10905","\u10906","\u10907","\u10908","\u10909","\u1090a","\u1090b","\u1090c","\u1090d","\u1090e","\u1090f","\u10910","\u10911","\u10912","\u10913","\u10914","\u10915",  # ; ALetter # Lo  [22] PHOENICIAN LETTER ALF..PHOENICIAN LETTER TAU
        "\u10920","\u10921","\u10922","\u10923","\u10924","\u10925","\u10926","\u10927","\u10928","\u10929","\u1092a","\u1092b","\u1092c","\u1092d","\u1092e","\u1092f","\u10930","\u10931","\u10932","\u10933","\u10934","\u10935","\u10936","\u10937","\u10938","\u10939",  # ; ALetter # Lo  [26] LYDIAN LETTER A..LYDIAN LETTER C
        "\u10980","\u10981","\u10982","\u10983","\u10984","\u10985","\u10986","\u10987","\u10988","\u10989","\u1098a","\u1098b","\u1098c","\u1098d","\u1098e","\u1098f","\u10990","\u10991","\u10992","\u10993","\u10994","\u10995","\u10996","\u10997","\u10998","\u10999","\u1099a","\u1099b","\u1099c","\u1099d","\u1099e","\u1099f","\u109a0","\u109a1","\u109a2","\u109a3","\u109a4","\u109a5","\u109a6","\u109a7","\u109a8","\u109a9","\u109aa","\u109ab","\u109ac","\u109ad","\u109ae","\u109af","\u109b0","\u109b1","\u109b2","\u109b3","\u109b4","\u109b5","\u109b6","\u109b7",  # ; ALetter # Lo  [56] MEROITIC HIEROGLYPHIC LETTER A..MEROITIC CURSIVE LETTER DA
        "\u109be","\u109bf",  # ; ALetter # Lo   [2] MEROITIC CURSIVE LOGOGRAM RMT..MEROITIC CURSIVE LOGOGRAM IMN
        "\u10A00",  # ; ALetter # Lo       KHAROSHTHI LETTER A
        "\u10a10","\u10a11","\u10a12","\u10a13",  # ; ALetter # Lo   [4] KHAROSHTHI LETTER KA..KHAROSHTHI LETTER GHA
        "\u10a15","\u10a16","\u10a17",  # ; ALetter # Lo   [3] KHAROSHTHI LETTER CA..KHAROSHTHI LETTER JA
        "\u10a19","\u10a1a","\u10a1b","\u10a1c","\u10a1d","\u10a1e","\u10a1f","\u10a20","\u10a21","\u10a22","\u10a23","\u10a24","\u10a25","\u10a26","\u10a27","\u10a28","\u10a29","\u10a2a","\u10a2b","\u10a2c","\u10a2d","\u10a2e","\u10a2f","\u10a30","\u10a31","\u10a32","\u10a33",  # ; ALetter # Lo  [27] KHAROSHTHI LETTER NYA..KHAROSHTHI LETTER TTTHA
        "\u10a60","\u10a61","\u10a62","\u10a63","\u10a64","\u10a65","\u10a66","\u10a67","\u10a68","\u10a69","\u10a6a","\u10a6b","\u10a6c","\u10a6d","\u10a6e","\u10a6f","\u10a70","\u10a71","\u10a72","\u10a73","\u10a74","\u10a75","\u10a76","\u10a77","\u10a78","\u10a79","\u10a7a","\u10a7b","\u10a7c",  # ; ALetter # Lo  [29] OLD SOUTH ARABIAN LETTER HE..OLD SOUTH ARABIAN LETTER THETH
        "\u10a80","\u10a81","\u10a82","\u10a83","\u10a84","\u10a85","\u10a86","\u10a87","\u10a88","\u10a89","\u10a8a","\u10a8b","\u10a8c","\u10a8d","\u10a8e","\u10a8f","\u10a90","\u10a91","\u10a92","\u10a93","\u10a94","\u10a95","\u10a96","\u10a97","\u10a98","\u10a99","\u10a9a","\u10a9b","\u10a9c",  # ; ALetter # Lo  [29] OLD NORTH ARABIAN LETTER HEH..OLD NORTH ARABIAN LETTER ZAH
        "\u10ac0","\u10ac1","\u10ac2","\u10ac3","\u10ac4","\u10ac5","\u10ac6","\u10ac7",  # ; ALetter # Lo   [8] MANICHAEAN LETTER ALEPH..MANICHAEAN LETTER WAW
        "\u10ac9","\u10aca","\u10acb","\u10acc","\u10acd","\u10ace","\u10acf","\u10ad0","\u10ad1","\u10ad2","\u10ad3","\u10ad4","\u10ad5","\u10ad6","\u10ad7","\u10ad8","\u10ad9","\u10ada","\u10adb","\u10adc","\u10add","\u10ade","\u10adf","\u10ae0","\u10ae1","\u10ae2","\u10ae3","\u10ae4",  # ; ALetter # Lo  [28] MANICHAEAN LETTER ZAYIN..MANICHAEAN LETTER TAW
        "\u10b00","\u10b01","\u10b02","\u10b03","\u10b04","\u10b05","\u10b06","\u10b07","\u10b08","\u10b09","\u10b0a","\u10b0b","\u10b0c","\u10b0d","\u10b0e","\u10b0f","\u10b10","\u10b11","\u10b12","\u10b13","\u10b14","\u10b15","\u10b16","\u10b17","\u10b18","\u10b19","\u10b1a","\u10b1b","\u10b1c","\u10b1d","\u10b1e","\u10b1f","\u10b20","\u10b21","\u10b22","\u10b23","\u10b24","\u10b25","\u10b26","\u10b27","\u10b28","\u10b29","\u10b2a","\u10b2b","\u10b2c","\u10b2d","\u10b2e","\u10b2f","\u10b30","\u10b31","\u10b32","\u10b33","\u10b34","\u10b35",  # ; ALetter # Lo  [54] AVESTAN LETTER A..AVESTAN LETTER HE
        "\u10b40","\u10b41","\u10b42","\u10b43","\u10b44","\u10b45","\u10b46","\u10b47","\u10b48","\u10b49","\u10b4a","\u10b4b","\u10b4c","\u10b4d","\u10b4e","\u10b4f","\u10b50","\u10b51","\u10b52","\u10b53","\u10b54","\u10b55",  # ; ALetter # Lo  [22] INSCRIPTIONAL PARTHIAN LETTER ALEPH..INSCRIPTIONAL PARTHIAN LETTER TAW
        "\u10b60","\u10b61","\u10b62","\u10b63","\u10b64","\u10b65","\u10b66","\u10b67","\u10b68","\u10b69","\u10b6a","\u10b6b","\u10b6c","\u10b6d","\u10b6e","\u10b6f","\u10b70","\u10b71","\u10b72",  # ; ALetter # Lo  [19] INSCRIPTIONAL PAHLAVI LETTER ALEPH..INSCRIPTIONAL PAHLAVI LETTER TAW
        "\u10b80","\u10b81","\u10b82","\u10b83","\u10b84","\u10b85","\u10b86","\u10b87","\u10b88","\u10b89","\u10b8a","\u10b8b","\u10b8c","\u10b8d","\u10b8e","\u10b8f","\u10b90","\u10b91",  # ; ALetter # Lo  [18] PSALTER PAHLAVI LETTER ALEPH..PSALTER PAHLAVI LETTER TAW
        "\u10c00","\u10c01","\u10c02","\u10c03","\u10c04","\u10c05","\u10c06","\u10c07","\u10c08","\u10c09","\u10c0a","\u10c0b","\u10c0c","\u10c0d","\u10c0e","\u10c0f","\u10c10","\u10c11","\u10c12","\u10c13","\u10c14","\u10c15","\u10c16","\u10c17","\u10c18","\u10c19","\u10c1a","\u10c1b","\u10c1c","\u10c1d","\u10c1e","\u10c1f","\u10c20","\u10c21","\u10c22","\u10c23","\u10c24","\u10c25","\u10c26","\u10c27","\u10c28","\u10c29","\u10c2a","\u10c2b","\u10c2c","\u10c2d","\u10c2e","\u10c2f","\u10c30","\u10c31","\u10c32","\u10c33","\u10c34","\u10c35","\u10c36","\u10c37","\u10c38","\u10c39","\u10c3a","\u10c3b","\u10c3c","\u10c3d","\u10c3e","\u10c3f","\u10c40","\u10c41","\u10c42","\u10c43","\u10c44","\u10c45","\u10c46","\u10c47","\u10c48",  # ; ALetter # Lo  [73] OLD TURKIC LETTER ORKHON A..OLD TURKIC LETTER ORKHON BASH
        "\u10c80","\u10c81","\u10c82","\u10c83","\u10c84","\u10c85","\u10c86","\u10c87","\u10c88","\u10c89","\u10c8a","\u10c8b","\u10c8c","\u10c8d","\u10c8e","\u10c8f","\u10c90","\u10c91","\u10c92","\u10c93","\u10c94","\u10c95","\u10c96","\u10c97","\u10c98","\u10c99","\u10c9a","\u10c9b","\u10c9c","\u10c9d","\u10c9e","\u10c9f","\u10ca0","\u10ca1","\u10ca2","\u10ca3","\u10ca4","\u10ca5","\u10ca6","\u10ca7","\u10ca8","\u10ca9","\u10caa","\u10cab","\u10cac","\u10cad","\u10cae","\u10caf","\u10cb0","\u10cb1","\u10cb2",  # ; ALetter # L&  [51] OLD HUNGARIAN CAPITAL LETTER A..OLD HUNGARIAN CAPITAL LETTER US
        "\u10cc0","\u10cc1","\u10cc2","\u10cc3","\u10cc4","\u10cc5","\u10cc6","\u10cc7","\u10cc8","\u10cc9","\u10cca","\u10ccb","\u10ccc","\u10ccd","\u10cce","\u10ccf","\u10cd0","\u10cd1","\u10cd2","\u10cd3","\u10cd4","\u10cd5","\u10cd6","\u10cd7","\u10cd8","\u10cd9","\u10cda","\u10cdb","\u10cdc","\u10cdd","\u10cde","\u10cdf","\u10ce0","\u10ce1","\u10ce2","\u10ce3","\u10ce4","\u10ce5","\u10ce6","\u10ce7","\u10ce8","\u10ce9","\u10cea","\u10ceb","\u10cec","\u10ced","\u10cee","\u10cef","\u10cf0","\u10cf1","\u10cf2",  # ; ALetter # L&  [51] OLD HUNGARIAN SMALL LETTER A..OLD HUNGARIAN SMALL LETTER US
        "\u11003","\u11004","\u11005","\u11006","\u11007","\u11008","\u11009","\u1100a","\u1100b","\u1100c","\u1100d","\u1100e","\u1100f","\u11010","\u11011","\u11012","\u11013","\u11014","\u11015","\u11016","\u11017","\u11018","\u11019","\u1101a","\u1101b","\u1101c","\u1101d","\u1101e","\u1101f","\u11020","\u11021","\u11022","\u11023","\u11024","\u11025","\u11026","\u11027","\u11028","\u11029","\u1102a","\u1102b","\u1102c","\u1102d","\u1102e","\u1102f","\u11030","\u11031","\u11032","\u11033","\u11034","\u11035","\u11036","\u11037",  # ; ALetter # Lo  [53] BRAHMI SIGN JIHVAMULIYA..BRAHMI LETTER OLD TAMIL NNNA
        "\u11083","\u11084","\u11085","\u11086","\u11087","\u11088","\u11089","\u1108a","\u1108b","\u1108c","\u1108d","\u1108e","\u1108f","\u11090","\u11091","\u11092","\u11093","\u11094","\u11095","\u11096","\u11097","\u11098","\u11099","\u1109a","\u1109b","\u1109c","\u1109d","\u1109e","\u1109f","\u110a0","\u110a1","\u110a2","\u110a3","\u110a4","\u110a5","\u110a6","\u110a7","\u110a8","\u110a9","\u110aa","\u110ab","\u110ac","\u110ad","\u110ae","\u110af",  # ; ALetter # Lo  [45] KAITHI LETTER A..KAITHI LETTER HA
        "\u110d0","\u110d1","\u110d2","\u110d3","\u110d4","\u110d5","\u110d6","\u110d7","\u110d8","\u110d9","\u110da","\u110db","\u110dc","\u110dd","\u110de","\u110df","\u110e0","\u110e1","\u110e2","\u110e3","\u110e4","\u110e5","\u110e6","\u110e7","\u110e8",  # ; ALetter # Lo  [25] SORA SOMPENG LETTER SAH..SORA SOMPENG LETTER MAE
        "\u11103","\u11104","\u11105","\u11106","\u11107","\u11108","\u11109","\u1110a","\u1110b","\u1110c","\u1110d","\u1110e","\u1110f","\u11110","\u11111","\u11112","\u11113","\u11114","\u11115","\u11116","\u11117","\u11118","\u11119","\u1111a","\u1111b","\u1111c","\u1111d","\u1111e","\u1111f","\u11120","\u11121","\u11122","\u11123","\u11124","\u11125","\u11126",  # ; ALetter # Lo  [36] CHAKMA LETTER AA..CHAKMA LETTER HAA
        "\u11150","\u11151","\u11152","\u11153","\u11154","\u11155","\u11156","\u11157","\u11158","\u11159","\u1115a","\u1115b","\u1115c","\u1115d","\u1115e","\u1115f","\u11160","\u11161","\u11162","\u11163","\u11164","\u11165","\u11166","\u11167","\u11168","\u11169","\u1116a","\u1116b","\u1116c","\u1116d","\u1116e","\u1116f","\u11170","\u11171","\u11172",  # ; ALetter # Lo  [35] MAHAJANI LETTER A..MAHAJANI LETTER RRA
        "\u11176",  # ; ALetter # Lo       MAHAJANI LIGATURE SHRI
        "\u11183","\u11184","\u11185","\u11186","\u11187","\u11188","\u11189","\u1118a","\u1118b","\u1118c","\u1118d","\u1118e","\u1118f","\u11190","\u11191","\u11192","\u11193","\u11194","\u11195","\u11196","\u11197","\u11198","\u11199","\u1119a","\u1119b","\u1119c","\u1119d","\u1119e","\u1119f","\u111a0","\u111a1","\u111a2","\u111a3","\u111a4","\u111a5","\u111a6","\u111a7","\u111a8","\u111a9","\u111aa","\u111ab","\u111ac","\u111ad","\u111ae","\u111af","\u111b0","\u111b1","\u111b2",  # ; ALetter # Lo  [48] SHARADA LETTER A..SHARADA LETTER HA
        "\u111c1","\u111c2","\u111c3","\u111c4",  # ; ALetter # Lo   [4] SHARADA SIGN AVAGRAHA..SHARADA OM
        "\u111DA",  # ; ALetter # Lo       SHARADA EKAM
        "\u111DC",  # ; ALetter # Lo       SHARADA HEADSTROKE
        "\u11200","\u11201","\u11202","\u11203","\u11204","\u11205","\u11206","\u11207","\u11208","\u11209","\u1120a","\u1120b","\u1120c","\u1120d","\u1120e","\u1120f","\u11210","\u11211",  # ; ALetter # Lo  [18] KHOJKI LETTER A..KHOJKI LETTER JJA
        "\u11213","\u11214","\u11215","\u11216","\u11217","\u11218","\u11219","\u1121a","\u1121b","\u1121c","\u1121d","\u1121e","\u1121f","\u11220","\u11221","\u11222","\u11223","\u11224","\u11225","\u11226","\u11227","\u11228","\u11229","\u1122a","\u1122b",  # ; ALetter # Lo  [25] KHOJKI LETTER NYA..KHOJKI LETTER LLA
        "\u11280","\u11281","\u11282","\u11283","\u11284","\u11285","\u11286",  # ; ALetter # Lo   [7] MULTANI LETTER A..MULTANI LETTER GA
        "\u11288",  # ; ALetter # Lo       MULTANI LETTER GHA
        "\u1128a","\u1128b","\u1128c","\u1128d",  # ; ALetter # Lo   [4] MULTANI LETTER CA..MULTANI LETTER JJA
        "\u1128f","\u11290","\u11291","\u11292","\u11293","\u11294","\u11295","\u11296","\u11297","\u11298","\u11299","\u1129a","\u1129b","\u1129c","\u1129d",  # ; ALetter # Lo  [15] MULTANI LETTER NYA..MULTANI LETTER BA
        "\u1129f","\u112a0","\u112a1","\u112a2","\u112a3","\u112a4","\u112a5","\u112a6","\u112a7","\u112a8",  # ; ALetter # Lo  [10] MULTANI LETTER BHA..MULTANI LETTER RHA
        "\u112b0","\u112b1","\u112b2","\u112b3","\u112b4","\u112b5","\u112b6","\u112b7","\u112b8","\u112b9","\u112ba","\u112bb","\u112bc","\u112bd","\u112be","\u112bf","\u112c0","\u112c1","\u112c2","\u112c3","\u112c4","\u112c5","\u112c6","\u112c7","\u112c8","\u112c9","\u112ca","\u112cb","\u112cc","\u112cd","\u112ce","\u112cf","\u112d0","\u112d1","\u112d2","\u112d3","\u112d4","\u112d5","\u112d6","\u112d7","\u112d8","\u112d9","\u112da","\u112db","\u112dc","\u112dd","\u112de",  # ; ALetter # Lo  [47] KHUDAWADI LETTER A..KHUDAWADI LETTER HA
        "\u11305","\u11306","\u11307","\u11308","\u11309","\u1130a","\u1130b","\u1130c",  # ; ALetter # Lo   [8] GRANTHA LETTER A..GRANTHA LETTER VOCALIC L
        "\u1130f","\u11310",  # ; ALetter # Lo   [2] GRANTHA LETTER EE..GRANTHA LETTER AI
        "\u11313","\u11314","\u11315","\u11316","\u11317","\u11318","\u11319","\u1131a","\u1131b","\u1131c","\u1131d","\u1131e","\u1131f","\u11320","\u11321","\u11322","\u11323","\u11324","\u11325","\u11326","\u11327","\u11328",  # ; ALetter # Lo  [22] GRANTHA LETTER OO..GRANTHA LETTER NA
        "\u1132a","\u1132b","\u1132c","\u1132d","\u1132e","\u1132f","\u11330",  # ; ALetter # Lo   [7] GRANTHA LETTER PA..GRANTHA LETTER RA
        "\u11332","\u11333",  # ; ALetter # Lo   [2] GRANTHA LETTER LA..GRANTHA LETTER LLA
        "\u11335","\u11336","\u11337","\u11338","\u11339",  # ; ALetter # Lo   [5] GRANTHA LETTER VA..GRANTHA LETTER HA
        "\u1133D",  # ; ALetter # Lo       GRANTHA SIGN AVAGRAHA
        "\u11350",  # ; ALetter # Lo       GRANTHA OM
        "\u1135d","\u1135e","\u1135f","\u11360","\u11361",  # ; ALetter # Lo   [5] GRANTHA SIGN PLUTA..GRANTHA LETTER VOCALIC LL
        "\u11400","\u11401","\u11402","\u11403","\u11404","\u11405","\u11406","\u11407","\u11408","\u11409","\u1140a","\u1140b","\u1140c","\u1140d","\u1140e","\u1140f","\u11410","\u11411","\u11412","\u11413","\u11414","\u11415","\u11416","\u11417","\u11418","\u11419","\u1141a","\u1141b","\u1141c","\u1141d","\u1141e","\u1141f","\u11420","\u11421","\u11422","\u11423","\u11424","\u11425","\u11426","\u11427","\u11428","\u11429","\u1142a","\u1142b","\u1142c","\u1142d","\u1142e","\u1142f","\u11430","\u11431","\u11432","\u11433","\u11434",  # ; ALetter # Lo  [53] NEWA LETTER A..NEWA LETTER HA
        "\u11447","\u11448","\u11449","\u1144a",  # ; ALetter # Lo   [4] NEWA SIGN AVAGRAHA..NEWA SIDDHI
        "\u11480","\u11481","\u11482","\u11483","\u11484","\u11485","\u11486","\u11487","\u11488","\u11489","\u1148a","\u1148b","\u1148c","\u1148d","\u1148e","\u1148f","\u11490","\u11491","\u11492","\u11493","\u11494","\u11495","\u11496","\u11497","\u11498","\u11499","\u1149a","\u1149b","\u1149c","\u1149d","\u1149e","\u1149f","\u114a0","\u114a1","\u114a2","\u114a3","\u114a4","\u114a5","\u114a6","\u114a7","\u114a8","\u114a9","\u114aa","\u114ab","\u114ac","\u114ad","\u114ae","\u114af",  # ; ALetter # Lo  [48] TIRHUTA ANJI..TIRHUTA LETTER HA
        "\u114c4","\u114c5",  # ; ALetter # Lo   [2] TIRHUTA SIGN AVAGRAHA..TIRHUTA GVANG
        "\u114C7",  # ; ALetter # Lo       TIRHUTA OM
        "\u11580","\u11581","\u11582","\u11583","\u11584","\u11585","\u11586","\u11587","\u11588","\u11589","\u1158a","\u1158b","\u1158c","\u1158d","\u1158e","\u1158f","\u11590","\u11591","\u11592","\u11593","\u11594","\u11595","\u11596","\u11597","\u11598","\u11599","\u1159a","\u1159b","\u1159c","\u1159d","\u1159e","\u1159f","\u115a0","\u115a1","\u115a2","\u115a3","\u115a4","\u115a5","\u115a6","\u115a7","\u115a8","\u115a9","\u115aa","\u115ab","\u115ac","\u115ad","\u115ae",  # ; ALetter # Lo  [47] SIDDHAM LETTER A..SIDDHAM LETTER HA
        "\u115d8","\u115d9","\u115da","\u115db",  # ; ALetter # Lo   [4] SIDDHAM LETTER THREE-CIRCLE ALTERNATE I..SIDDHAM LETTER ALTERNATE U
        "\u11600","\u11601","\u11602","\u11603","\u11604","\u11605","\u11606","\u11607","\u11608","\u11609","\u1160a","\u1160b","\u1160c","\u1160d","\u1160e","\u1160f","\u11610","\u11611","\u11612","\u11613","\u11614","\u11615","\u11616","\u11617","\u11618","\u11619","\u1161a","\u1161b","\u1161c","\u1161d","\u1161e","\u1161f","\u11620","\u11621","\u11622","\u11623","\u11624","\u11625","\u11626","\u11627","\u11628","\u11629","\u1162a","\u1162b","\u1162c","\u1162d","\u1162e","\u1162f",  # ; ALetter # Lo  [48] MODI LETTER A..MODI LETTER LLA
        "\u11644",  # ; ALetter # Lo       MODI SIGN HUVA
        "\u11680","\u11681","\u11682","\u11683","\u11684","\u11685","\u11686","\u11687","\u11688","\u11689","\u1168a","\u1168b","\u1168c","\u1168d","\u1168e","\u1168f","\u11690","\u11691","\u11692","\u11693","\u11694","\u11695","\u11696","\u11697","\u11698","\u11699","\u1169a","\u1169b","\u1169c","\u1169d","\u1169e","\u1169f","\u116a0","\u116a1","\u116a2","\u116a3","\u116a4","\u116a5","\u116a6","\u116a7","\u116a8","\u116a9","\u116aa",  # ; ALetter # Lo  [43] TAKRI LETTER A..TAKRI LETTER RRA
        "\u118a0","\u118a1","\u118a2","\u118a3","\u118a4","\u118a5","\u118a6","\u118a7","\u118a8","\u118a9","\u118aa","\u118ab","\u118ac","\u118ad","\u118ae","\u118af","\u118b0","\u118b1","\u118b2","\u118b3","\u118b4","\u118b5","\u118b6","\u118b7","\u118b8","\u118b9","\u118ba","\u118bb","\u118bc","\u118bd","\u118be","\u118bf","\u118c0","\u118c1","\u118c2","\u118c3","\u118c4","\u118c5","\u118c6","\u118c7","\u118c8","\u118c9","\u118ca","\u118cb","\u118cc","\u118cd","\u118ce","\u118cf","\u118d0","\u118d1","\u118d2","\u118d3","\u118d4","\u118d5","\u118d6","\u118d7","\u118d8","\u118d9","\u118da","\u118db","\u118dc","\u118dd","\u118de","\u118df",  # ; ALetter # L&  [64] WARANG CITI CAPITAL LETTER NGAA..WARANG CITI SMALL LETTER VIYO
        "\u118FF",  # ; ALetter # Lo       WARANG CITI OM
        "\u11A00",  # ; ALetter # Lo       ZANABAZAR SQUARE LETTER A
        "\u11a0b","\u11a0c","\u11a0d","\u11a0e","\u11a0f","\u11a10","\u11a11","\u11a12","\u11a13","\u11a14","\u11a15","\u11a16","\u11a17","\u11a18","\u11a19","\u11a1a","\u11a1b","\u11a1c","\u11a1d","\u11a1e","\u11a1f","\u11a20","\u11a21","\u11a22","\u11a23","\u11a24","\u11a25","\u11a26","\u11a27","\u11a28","\u11a29","\u11a2a","\u11a2b","\u11a2c","\u11a2d","\u11a2e","\u11a2f","\u11a30","\u11a31","\u11a32",  # ; ALetter # Lo  [40] ZANABAZAR SQUARE LETTER KA..ZANABAZAR SQUARE LETTER KSSA
        "\u11A3A",  # ; ALetter # Lo       ZANABAZAR SQUARE CLUSTER-INITIAL LETTER RA
        "\u11A50",  # ; ALetter # Lo       SOYOMBO LETTER A
        "\u11a5c","\u11a5d","\u11a5e","\u11a5f","\u11a60","\u11a61","\u11a62","\u11a63","\u11a64","\u11a65","\u11a66","\u11a67","\u11a68","\u11a69","\u11a6a","\u11a6b","\u11a6c","\u11a6d","\u11a6e","\u11a6f","\u11a70","\u11a71","\u11a72","\u11a73","\u11a74","\u11a75","\u11a76","\u11a77","\u11a78","\u11a79","\u11a7a","\u11a7b","\u11a7c","\u11a7d","\u11a7e","\u11a7f","\u11a80","\u11a81","\u11a82","\u11a83",  # ; ALetter # Lo  [40] SOYOMBO LETTER KA..SOYOMBO LETTER KSSA
        "\u11a86","\u11a87","\u11a88","\u11a89",  # ; ALetter # Lo   [4] SOYOMBO CLUSTER-INITIAL LETTER RA..SOYOMBO CLUSTER-INITIAL LETTER SA
        "\u11ac0","\u11ac1","\u11ac2","\u11ac3","\u11ac4","\u11ac5","\u11ac6","\u11ac7","\u11ac8","\u11ac9","\u11aca","\u11acb","\u11acc","\u11acd","\u11ace","\u11acf","\u11ad0","\u11ad1","\u11ad2","\u11ad3","\u11ad4","\u11ad5","\u11ad6","\u11ad7","\u11ad8","\u11ad9","\u11ada","\u11adb","\u11adc","\u11add","\u11ade","\u11adf","\u11ae0","\u11ae1","\u11ae2","\u11ae3","\u11ae4","\u11ae5","\u11ae6","\u11ae7","\u11ae8","\u11ae9","\u11aea","\u11aeb","\u11aec","\u11aed","\u11aee","\u11aef","\u11af0","\u11af1","\u11af2","\u11af3","\u11af4","\u11af5","\u11af6","\u11af7","\u11af8",  # ; ALetter # Lo  [57] PAU CIN HAU LETTER PA..PAU CIN HAU GLOTTAL STOP FINAL
        "\u11c00","\u11c01","\u11c02","\u11c03","\u11c04","\u11c05","\u11c06","\u11c07","\u11c08",  # ; ALetter # Lo   [9] BHAIKSUKI LETTER A..BHAIKSUKI LETTER VOCALIC L
        "\u11c0a","\u11c0b","\u11c0c","\u11c0d","\u11c0e","\u11c0f","\u11c10","\u11c11","\u11c12","\u11c13","\u11c14","\u11c15","\u11c16","\u11c17","\u11c18","\u11c19","\u11c1a","\u11c1b","\u11c1c","\u11c1d","\u11c1e","\u11c1f","\u11c20","\u11c21","\u11c22","\u11c23","\u11c24","\u11c25","\u11c26","\u11c27","\u11c28","\u11c29","\u11c2a","\u11c2b","\u11c2c","\u11c2d","\u11c2e",  # ; ALetter # Lo  [37] BHAIKSUKI LETTER E..BHAIKSUKI LETTER HA
        "\u11C40",  # ; ALetter # Lo       BHAIKSUKI SIGN AVAGRAHA
        "\u11c72","\u11c73","\u11c74","\u11c75","\u11c76","\u11c77","\u11c78","\u11c79","\u11c7a","\u11c7b","\u11c7c","\u11c7d","\u11c7e","\u11c7f","\u11c80","\u11c81","\u11c82","\u11c83","\u11c84","\u11c85","\u11c86","\u11c87","\u11c88","\u11c89","\u11c8a","\u11c8b","\u11c8c","\u11c8d","\u11c8e","\u11c8f",  # ; ALetter # Lo  [30] MARCHEN LETTER KA..MARCHEN LETTER A
        "\u11d00","\u11d01","\u11d02","\u11d03","\u11d04","\u11d05","\u11d06",  # ; ALetter # Lo   [7] MASARAM GONDI LETTER A..MASARAM GONDI LETTER E
        "\u11d08","\u11d09",  # ; ALetter # Lo   [2] MASARAM GONDI LETTER AI..MASARAM GONDI LETTER O
        "\u11d0b","\u11d0c","\u11d0d","\u11d0e","\u11d0f","\u11d10","\u11d11","\u11d12","\u11d13","\u11d14","\u11d15","\u11d16","\u11d17","\u11d18","\u11d19","\u11d1a","\u11d1b","\u11d1c","\u11d1d","\u11d1e","\u11d1f","\u11d20","\u11d21","\u11d22","\u11d23","\u11d24","\u11d25","\u11d26","\u11d27","\u11d28","\u11d29","\u11d2a","\u11d2b","\u11d2c","\u11d2d","\u11d2e","\u11d2f","\u11d30",  # ; ALetter # Lo  [38] MASARAM GONDI LETTER AU..MASARAM GONDI LETTER TRA
        "\u11D46",  # ; ALetter # Lo       MASARAM GONDI REPHA
        "\u12000","\u12001","\u12002","\u12003","\u12004","\u12005","\u12006","\u12007","\u12008","\u12009","\u1200a","\u1200b","\u1200c","\u1200d","\u1200e","\u1200f","\u12010","\u12011","\u12012","\u12013","\u12014","\u12015","\u12016","\u12017","\u12018","\u12019","\u1201a","\u1201b","\u1201c","\u1201d","\u1201e","\u1201f","\u12020","\u12021","\u12022","\u12023","\u12024","\u12025","\u12026","\u12027","\u12028","\u12029","\u1202a","\u1202b","\u1202c","\u1202d","\u1202e","\u1202f","\u12030","\u12031","\u12032","\u12033","\u12034","\u12035","\u12036","\u12037","\u12038","\u12039","\u1203a","\u1203b","\u1203c","\u1203d","\u1203e","\u1203f","\u12040","\u12041","\u12042","\u12043","\u12044","\u12045","\u12046","\u12047","\u12048","\u12049","\u1204a","\u1204b","\u1204c","\u1204d","\u1204e","\u1204f","\u12050","\u12051","\u12052","\u12053","\u12054","\u12055","\u12056","\u12057","\u12058","\u12059","\u1205a","\u1205b","\u1205c","\u1205d","\u1205e","\u1205f","\u12060","\u12061","\u12062","\u12063","\u12064","\u12065","\u12066","\u12067","\u12068","\u12069","\u1206a","\u1206b","\u1206c","\u1206d","\u1206e","\u1206f","\u12070","\u12071","\u12072","\u12073","\u12074","\u12075","\u12076","\u12077","\u12078","\u12079","\u1207a","\u1207b","\u1207c","\u1207d","\u1207e","\u1207f","\u12080","\u12081","\u12082","\u12083","\u12084","\u12085","\u12086","\u12087","\u12088","\u12089","\u1208a","\u1208b","\u1208c","\u1208d","\u1208e","\u1208f","\u12090","\u12091","\u12092","\u12093","\u12094","\u12095","\u12096","\u12097","\u12098","\u12099","\u1209a","\u1209b","\u1209c","\u1209d","\u1209e","\u1209f","\u120a0","\u120a1","\u120a2","\u120a3","\u120a4","\u120a5","\u120a6","\u120a7","\u120a8","\u120a9","\u120aa","\u120ab","\u120ac","\u120ad","\u120ae","\u120af","\u120b0","\u120b1","\u120b2","\u120b3","\u120b4","\u120b5","\u120b6","\u120b7","\u120b8","\u120b9","\u120ba","\u120bb","\u120bc","\u120bd","\u120be","\u120bf","\u120c0","\u120c1","\u120c2","\u120c3","\u120c4","\u120c5","\u120c6","\u120c7","\u120c8","\u120c9","\u120ca","\u120cb","\u120cc","\u120cd","\u120ce","\u120cf","\u120d0","\u120d1","\u120d2","\u120d3","\u120d4","\u120d5","\u120d6","\u120d7","\u120d8","\u120d9","\u120da","\u120db","\u120dc","\u120dd","\u120de","\u120df","\u120e0","\u120e1","\u120e2","\u120e3","\u120e4","\u120e5","\u120e6","\u120e7","\u120e8","\u120e9","\u120ea","\u120eb","\u120ec","\u120ed","\u120ee","\u120ef","\u120f0","\u120f1","\u120f2","\u120f3","\u120f4","\u120f5","\u120f6","\u120f7","\u120f8","\u120f9","\u120fa","\u120fb","\u120fc","\u120fd","\u120fe","\u120ff","\u12100","\u12101","\u12102","\u12103","\u12104","\u12105","\u12106","\u12107","\u12108","\u12109","\u1210a","\u1210b","\u1210c","\u1210d","\u1210e","\u1210f","\u12110","\u12111","\u12112","\u12113","\u12114","\u12115","\u12116","\u12117","\u12118","\u12119","\u1211a","\u1211b","\u1211c","\u1211d","\u1211e","\u1211f","\u12120","\u12121","\u12122","\u12123","\u12124","\u12125","\u12126","\u12127","\u12128","\u12129","\u1212a","\u1212b","\u1212c","\u1212d","\u1212e","\u1212f","\u12130","\u12131","\u12132","\u12133","\u12134","\u12135","\u12136","\u12137","\u12138","\u12139","\u1213a","\u1213b","\u1213c","\u1213d","\u1213e","\u1213f","\u12140","\u12141","\u12142","\u12143","\u12144","\u12145","\u12146","\u12147","\u12148","\u12149","\u1214a","\u1214b","\u1214c","\u1214d","\u1214e","\u1214f","\u12150","\u12151","\u12152","\u12153","\u12154","\u12155","\u12156","\u12157","\u12158","\u12159","\u1215a","\u1215b","\u1215c","\u1215d","\u1215e","\u1215f","\u12160","\u12161","\u12162","\u12163","\u12164","\u12165","\u12166","\u12167","\u12168","\u12169","\u1216a","\u1216b","\u1216c","\u1216d","\u1216e","\u1216f","\u12170","\u12171","\u12172","\u12173","\u12174","\u12175","\u12176","\u12177","\u12178","\u12179","\u1217a","\u1217b","\u1217c","\u1217d","\u1217e","\u1217f","\u12180","\u12181","\u12182","\u12183","\u12184","\u12185","\u12186","\u12187","\u12188","\u12189","\u1218a","\u1218b","\u1218c","\u1218d","\u1218e","\u1218f","\u12190","\u12191","\u12192","\u12193","\u12194","\u12195","\u12196","\u12197","\u12198","\u12199","\u1219a","\u1219b","\u1219c","\u1219d","\u1219e","\u1219f","\u121a0","\u121a1","\u121a2","\u121a3","\u121a4","\u121a5","\u121a6","\u121a7","\u121a8","\u121a9","\u121aa","\u121ab","\u121ac","\u121ad","\u121ae","\u121af","\u121b0","\u121b1","\u121b2","\u121b3","\u121b4","\u121b5","\u121b6","\u121b7","\u121b8","\u121b9","\u121ba","\u121bb","\u121bc","\u121bd","\u121be","\u121bf","\u121c0","\u121c1","\u121c2","\u121c3","\u121c4","\u121c5","\u121c6","\u121c7","\u121c8","\u121c9","\u121ca","\u121cb","\u121cc","\u121cd","\u121ce","\u121cf","\u121d0","\u121d1","\u121d2","\u121d3","\u121d4","\u121d5","\u121d6","\u121d7","\u121d8","\u121d9","\u121da","\u121db","\u121dc","\u121dd","\u121de","\u121df","\u121e0","\u121e1","\u121e2","\u121e3","\u121e4","\u121e5","\u121e6","\u121e7","\u121e8","\u121e9","\u121ea","\u121eb","\u121ec","\u121ed","\u121ee","\u121ef","\u121f0","\u121f1","\u121f2","\u121f3","\u121f4","\u121f5","\u121f6","\u121f7","\u121f8","\u121f9","\u121fa","\u121fb","\u121fc","\u121fd","\u121fe","\u121ff","\u12200","\u12201","\u12202","\u12203","\u12204","\u12205","\u12206","\u12207","\u12208","\u12209","\u1220a","\u1220b","\u1220c","\u1220d","\u1220e","\u1220f","\u12210","\u12211","\u12212","\u12213","\u12214","\u12215","\u12216","\u12217","\u12218","\u12219","\u1221a","\u1221b","\u1221c","\u1221d","\u1221e","\u1221f","\u12220","\u12221","\u12222","\u12223","\u12224","\u12225","\u12226","\u12227","\u12228","\u12229","\u1222a","\u1222b","\u1222c","\u1222d","\u1222e","\u1222f","\u12230","\u12231","\u12232","\u12233","\u12234","\u12235","\u12236","\u12237","\u12238","\u12239","\u1223a","\u1223b","\u1223c","\u1223d","\u1223e","\u1223f","\u12240","\u12241","\u12242","\u12243","\u12244","\u12245","\u12246","\u12247","\u12248","\u12249","\u1224a","\u1224b","\u1224c","\u1224d","\u1224e","\u1224f","\u12250","\u12251","\u12252","\u12253","\u12254","\u12255","\u12256","\u12257","\u12258","\u12259","\u1225a","\u1225b","\u1225c","\u1225d","\u1225e","\u1225f","\u12260","\u12261","\u12262","\u12263","\u12264","\u12265","\u12266","\u12267","\u12268","\u12269","\u1226a","\u1226b","\u1226c","\u1226d","\u1226e","\u1226f","\u12270","\u12271","\u12272","\u12273","\u12274","\u12275","\u12276","\u12277","\u12278","\u12279","\u1227a","\u1227b","\u1227c","\u1227d","\u1227e","\u1227f","\u12280","\u12281","\u12282","\u12283","\u12284","\u12285","\u12286","\u12287","\u12288","\u12289","\u1228a","\u1228b","\u1228c","\u1228d","\u1228e","\u1228f","\u12290","\u12291","\u12292","\u12293","\u12294","\u12295","\u12296","\u12297","\u12298","\u12299","\u1229a","\u1229b","\u1229c","\u1229d","\u1229e","\u1229f","\u122a0","\u122a1","\u122a2","\u122a3","\u122a4","\u122a5","\u122a6","\u122a7","\u122a8","\u122a9","\u122aa","\u122ab","\u122ac","\u122ad","\u122ae","\u122af","\u122b0","\u122b1","\u122b2","\u122b3","\u122b4","\u122b5","\u122b6","\u122b7","\u122b8","\u122b9","\u122ba","\u122bb","\u122bc","\u122bd","\u122be","\u122bf","\u122c0","\u122c1","\u122c2","\u122c3","\u122c4","\u122c5","\u122c6","\u122c7","\u122c8","\u122c9","\u122ca","\u122cb","\u122cc","\u122cd","\u122ce","\u122cf","\u122d0","\u122d1","\u122d2","\u122d3","\u122d4","\u122d5","\u122d6","\u122d7","\u122d8","\u122d9","\u122da","\u122db","\u122dc","\u122dd","\u122de","\u122df","\u122e0","\u122e1","\u122e2","\u122e3","\u122e4","\u122e5","\u122e6","\u122e7","\u122e8","\u122e9","\u122ea","\u122eb","\u122ec","\u122ed","\u122ee","\u122ef","\u122f0","\u122f1","\u122f2","\u122f3","\u122f4","\u122f5","\u122f6","\u122f7","\u122f8","\u122f9","\u122fa","\u122fb","\u122fc","\u122fd","\u122fe","\u122ff","\u12300","\u12301","\u12302","\u12303","\u12304","\u12305","\u12306","\u12307","\u12308","\u12309","\u1230a","\u1230b","\u1230c","\u1230d","\u1230e","\u1230f","\u12310","\u12311","\u12312","\u12313","\u12314","\u12315","\u12316","\u12317","\u12318","\u12319","\u1231a","\u1231b","\u1231c","\u1231d","\u1231e","\u1231f","\u12320","\u12321","\u12322","\u12323","\u12324","\u12325","\u12326","\u12327","\u12328","\u12329","\u1232a","\u1232b","\u1232c","\u1232d","\u1232e","\u1232f","\u12330","\u12331","\u12332","\u12333","\u12334","\u12335","\u12336","\u12337","\u12338","\u12339","\u1233a","\u1233b","\u1233c","\u1233d","\u1233e","\u1233f","\u12340","\u12341","\u12342","\u12343","\u12344","\u12345","\u12346","\u12347","\u12348","\u12349","\u1234a","\u1234b","\u1234c","\u1234d","\u1234e","\u1234f","\u12350","\u12351","\u12352","\u12353","\u12354","\u12355","\u12356","\u12357","\u12358","\u12359","\u1235a","\u1235b","\u1235c","\u1235d","\u1235e","\u1235f","\u12360","\u12361","\u12362","\u12363","\u12364","\u12365","\u12366","\u12367","\u12368","\u12369","\u1236a","\u1236b","\u1236c","\u1236d","\u1236e","\u1236f","\u12370","\u12371","\u12372","\u12373","\u12374","\u12375","\u12376","\u12377","\u12378","\u12379","\u1237a","\u1237b","\u1237c","\u1237d","\u1237e","\u1237f","\u12380","\u12381","\u12382","\u12383","\u12384","\u12385","\u12386","\u12387","\u12388","\u12389","\u1238a","\u1238b","\u1238c","\u1238d","\u1238e","\u1238f","\u12390","\u12391","\u12392","\u12393","\u12394","\u12395","\u12396","\u12397","\u12398","\u12399",  # ; ALetter # Lo [922] CUNEIFORM SIGN A..CUNEIFORM SIGN U U
        "\u12400","\u12401","\u12402","\u12403","\u12404","\u12405","\u12406","\u12407","\u12408","\u12409","\u1240a","\u1240b","\u1240c","\u1240d","\u1240e","\u1240f","\u12410","\u12411","\u12412","\u12413","\u12414","\u12415","\u12416","\u12417","\u12418","\u12419","\u1241a","\u1241b","\u1241c","\u1241d","\u1241e","\u1241f","\u12420","\u12421","\u12422","\u12423","\u12424","\u12425","\u12426","\u12427","\u12428","\u12429","\u1242a","\u1242b","\u1242c","\u1242d","\u1242e","\u1242f","\u12430","\u12431","\u12432","\u12433","\u12434","\u12435","\u12436","\u12437","\u12438","\u12439","\u1243a","\u1243b","\u1243c","\u1243d","\u1243e","\u1243f","\u12440","\u12441","\u12442","\u12443","\u12444","\u12445","\u12446","\u12447","\u12448","\u12449","\u1244a","\u1244b","\u1244c","\u1244d","\u1244e","\u1244f","\u12450","\u12451","\u12452","\u12453","\u12454","\u12455","\u12456","\u12457","\u12458","\u12459","\u1245a","\u1245b","\u1245c","\u1245d","\u1245e","\u1245f","\u12460","\u12461","\u12462","\u12463","\u12464","\u12465","\u12466","\u12467","\u12468","\u12469","\u1246a","\u1246b","\u1246c","\u1246d","\u1246e",  # ; ALetter # Nl [111] CUNEIFORM NUMERIC SIGN TWO ASH..CUNEIFORM NUMERIC SIGN NINE U VARIANT FORM
        "\u12480","\u12481","\u12482","\u12483","\u12484","\u12485","\u12486","\u12487","\u12488","\u12489","\u1248a","\u1248b","\u1248c","\u1248d","\u1248e","\u1248f","\u12490","\u12491","\u12492","\u12493","\u12494","\u12495","\u12496","\u12497","\u12498","\u12499","\u1249a","\u1249b","\u1249c","\u1249d","\u1249e","\u1249f","\u124a0","\u124a1","\u124a2","\u124a3","\u124a4","\u124a5","\u124a6","\u124a7","\u124a8","\u124a9","\u124aa","\u124ab","\u124ac","\u124ad","\u124ae","\u124af","\u124b0","\u124b1","\u124b2","\u124b3","\u124b4","\u124b5","\u124b6","\u124b7","\u124b8","\u124b9","\u124ba","\u124bb","\u124bc","\u124bd","\u124be","\u124bf","\u124c0","\u124c1","\u124c2","\u124c3","\u124c4","\u124c5","\u124c6","\u124c7","\u124c8","\u124c9","\u124ca","\u124cb","\u124cc","\u124cd","\u124ce","\u124cf","\u124d0","\u124d1","\u124d2","\u124d3","\u124d4","\u124d5","\u124d6","\u124d7","\u124d8","\u124d9","\u124da","\u124db","\u124dc","\u124dd","\u124de","\u124df","\u124e0","\u124e1","\u124e2","\u124e3","\u124e4","\u124e5","\u124e6","\u124e7","\u124e8","\u124e9","\u124ea","\u124eb","\u124ec","\u124ed","\u124ee","\u124ef","\u124f0","\u124f1","\u124f2","\u124f3","\u124f4","\u124f5","\u124f6","\u124f7","\u124f8","\u124f9","\u124fa","\u124fb","\u124fc","\u124fd","\u124fe","\u124ff","\u12500","\u12501","\u12502","\u12503","\u12504","\u12505","\u12506","\u12507","\u12508","\u12509","\u1250a","\u1250b","\u1250c","\u1250d","\u1250e","\u1250f","\u12510","\u12511","\u12512","\u12513","\u12514","\u12515","\u12516","\u12517","\u12518","\u12519","\u1251a","\u1251b","\u1251c","\u1251d","\u1251e","\u1251f","\u12520","\u12521","\u12522","\u12523","\u12524","\u12525","\u12526","\u12527","\u12528","\u12529","\u1252a","\u1252b","\u1252c","\u1252d","\u1252e","\u1252f","\u12530","\u12531","\u12532","\u12533","\u12534","\u12535","\u12536","\u12537","\u12538","\u12539","\u1253a","\u1253b","\u1253c","\u1253d","\u1253e","\u1253f","\u12540","\u12541","\u12542","\u12543",  # ; ALetter # Lo [196] CUNEIFORM SIGN AB TIMES NUN TENU..CUNEIFORM SIGN ZU5 TIMES THREE DISH TENU
        "\u13000","\u13001","\u13002","\u13003","\u13004","\u13005","\u13006","\u13007","\u13008","\u13009","\u1300a","\u1300b","\u1300c","\u1300d","\u1300e","\u1300f","\u13010","\u13011","\u13012","\u13013","\u13014","\u13015","\u13016","\u13017","\u13018","\u13019","\u1301a","\u1301b","\u1301c","\u1301d","\u1301e","\u1301f","\u13020","\u13021","\u13022","\u13023","\u13024","\u13025","\u13026","\u13027","\u13028","\u13029","\u1302a","\u1302b","\u1302c","\u1302d","\u1302e","\u1302f","\u13030","\u13031","\u13032","\u13033","\u13034","\u13035","\u13036","\u13037","\u13038","\u13039","\u1303a","\u1303b","\u1303c","\u1303d","\u1303e","\u1303f","\u13040","\u13041","\u13042","\u13043","\u13044","\u13045","\u13046","\u13047","\u13048","\u13049","\u1304a","\u1304b","\u1304c","\u1304d","\u1304e","\u1304f","\u13050","\u13051","\u13052","\u13053","\u13054","\u13055","\u13056","\u13057","\u13058","\u13059","\u1305a","\u1305b","\u1305c","\u1305d","\u1305e","\u1305f","\u13060","\u13061","\u13062","\u13063","\u13064","\u13065","\u13066","\u13067","\u13068","\u13069","\u1306a","\u1306b","\u1306c","\u1306d","\u1306e","\u1306f","\u13070","\u13071","\u13072","\u13073","\u13074","\u13075","\u13076","\u13077","\u13078","\u13079","\u1307a","\u1307b","\u1307c","\u1307d","\u1307e","\u1307f","\u13080","\u13081","\u13082","\u13083","\u13084","\u13085","\u13086","\u13087","\u13088","\u13089","\u1308a","\u1308b","\u1308c","\u1308d","\u1308e","\u1308f","\u13090","\u13091","\u13092","\u13093","\u13094","\u13095","\u13096","\u13097","\u13098","\u13099","\u1309a","\u1309b","\u1309c","\u1309d","\u1309e","\u1309f","\u130a0","\u130a1","\u130a2","\u130a3","\u130a4","\u130a5","\u130a6","\u130a7","\u130a8","\u130a9","\u130aa","\u130ab","\u130ac","\u130ad","\u130ae","\u130af","\u130b0","\u130b1","\u130b2","\u130b3","\u130b4","\u130b5","\u130b6","\u130b7","\u130b8","\u130b9","\u130ba","\u130bb","\u130bc","\u130bd","\u130be","\u130bf","\u130c0","\u130c1","\u130c2","\u130c3","\u130c4","\u130c5","\u130c6","\u130c7","\u130c8","\u130c9","\u130ca","\u130cb","\u130cc","\u130cd","\u130ce","\u130cf","\u130d0","\u130d1","\u130d2","\u130d3","\u130d4","\u130d5","\u130d6","\u130d7","\u130d8","\u130d9","\u130da","\u130db","\u130dc","\u130dd","\u130de","\u130df","\u130e0","\u130e1","\u130e2","\u130e3","\u130e4","\u130e5","\u130e6","\u130e7","\u130e8","\u130e9","\u130ea","\u130eb","\u130ec","\u130ed","\u130ee","\u130ef","\u130f0","\u130f1","\u130f2","\u130f3","\u130f4","\u130f5","\u130f6","\u130f7","\u130f8","\u130f9","\u130fa","\u130fb","\u130fc","\u130fd","\u130fe","\u130ff","\u13100","\u13101","\u13102","\u13103","\u13104","\u13105","\u13106","\u13107","\u13108","\u13109","\u1310a","\u1310b","\u1310c","\u1310d","\u1310e","\u1310f","\u13110","\u13111","\u13112","\u13113","\u13114","\u13115","\u13116","\u13117","\u13118","\u13119","\u1311a","\u1311b","\u1311c","\u1311d","\u1311e","\u1311f","\u13120","\u13121","\u13122","\u13123","\u13124","\u13125","\u13126","\u13127","\u13128","\u13129","\u1312a","\u1312b","\u1312c","\u1312d","\u1312e","\u1312f","\u13130","\u13131","\u13132","\u13133","\u13134","\u13135","\u13136","\u13137","\u13138","\u13139","\u1313a","\u1313b","\u1313c","\u1313d","\u1313e","\u1313f","\u13140","\u13141","\u13142","\u13143","\u13144","\u13145","\u13146","\u13147","\u13148","\u13149","\u1314a","\u1314b","\u1314c","\u1314d","\u1314e","\u1314f","\u13150","\u13151","\u13152","\u13153","\u13154","\u13155","\u13156","\u13157","\u13158","\u13159","\u1315a","\u1315b","\u1315c","\u1315d","\u1315e","\u1315f","\u13160","\u13161","\u13162","\u13163","\u13164","\u13165","\u13166","\u13167","\u13168","\u13169","\u1316a","\u1316b","\u1316c","\u1316d","\u1316e","\u1316f","\u13170","\u13171","\u13172","\u13173","\u13174","\u13175","\u13176","\u13177","\u13178","\u13179","\u1317a","\u1317b","\u1317c","\u1317d","\u1317e","\u1317f","\u13180","\u13181","\u13182","\u13183","\u13184","\u13185","\u13186","\u13187","\u13188","\u13189","\u1318a","\u1318b","\u1318c","\u1318d","\u1318e","\u1318f","\u13190","\u13191","\u13192","\u13193","\u13194","\u13195","\u13196","\u13197","\u13198","\u13199","\u1319a","\u1319b","\u1319c","\u1319d","\u1319e","\u1319f","\u131a0","\u131a1","\u131a2","\u131a3","\u131a4","\u131a5","\u131a6","\u131a7","\u131a8","\u131a9","\u131aa","\u131ab","\u131ac","\u131ad","\u131ae","\u131af","\u131b0","\u131b1","\u131b2","\u131b3","\u131b4","\u131b5","\u131b6","\u131b7","\u131b8","\u131b9","\u131ba","\u131bb","\u131bc","\u131bd","\u131be","\u131bf","\u131c0","\u131c1","\u131c2","\u131c3","\u131c4","\u131c5","\u131c6","\u131c7","\u131c8","\u131c9","\u131ca","\u131cb","\u131cc","\u131cd","\u131ce","\u131cf","\u131d0","\u131d1","\u131d2","\u131d3","\u131d4","\u131d5","\u131d6","\u131d7","\u131d8","\u131d9","\u131da","\u131db","\u131dc","\u131dd","\u131de","\u131df","\u131e0","\u131e1","\u131e2","\u131e3","\u131e4","\u131e5","\u131e6","\u131e7","\u131e8","\u131e9","\u131ea","\u131eb","\u131ec","\u131ed","\u131ee","\u131ef","\u131f0","\u131f1","\u131f2","\u131f3","\u131f4","\u131f5","\u131f6","\u131f7","\u131f8","\u131f9","\u131fa","\u131fb","\u131fc","\u131fd","\u131fe","\u131ff","\u13200","\u13201","\u13202","\u13203","\u13204","\u13205","\u13206","\u13207","\u13208","\u13209","\u1320a","\u1320b","\u1320c","\u1320d","\u1320e","\u1320f","\u13210","\u13211","\u13212","\u13213","\u13214","\u13215","\u13216","\u13217","\u13218","\u13219","\u1321a","\u1321b","\u1321c","\u1321d","\u1321e","\u1321f","\u13220","\u13221","\u13222","\u13223","\u13224","\u13225","\u13226","\u13227","\u13228","\u13229","\u1322a","\u1322b","\u1322c","\u1322d","\u1322e","\u1322f","\u13230","\u13231","\u13232","\u13233","\u13234","\u13235","\u13236","\u13237","\u13238","\u13239","\u1323a","\u1323b","\u1323c","\u1323d","\u1323e","\u1323f","\u13240","\u13241","\u13242","\u13243","\u13244","\u13245","\u13246","\u13247","\u13248","\u13249","\u1324a","\u1324b","\u1324c","\u1324d","\u1324e","\u1324f","\u13250","\u13251","\u13252","\u13253","\u13254","\u13255","\u13256","\u13257","\u13258","\u13259","\u1325a","\u1325b","\u1325c","\u1325d","\u1325e","\u1325f","\u13260","\u13261","\u13262","\u13263","\u13264","\u13265","\u13266","\u13267","\u13268","\u13269","\u1326a","\u1326b","\u1326c","\u1326d","\u1326e","\u1326f","\u13270","\u13271","\u13272","\u13273","\u13274","\u13275","\u13276","\u13277","\u13278","\u13279","\u1327a","\u1327b","\u1327c","\u1327d","\u1327e","\u1327f","\u13280","\u13281","\u13282","\u13283","\u13284","\u13285","\u13286","\u13287","\u13288","\u13289","\u1328a","\u1328b","\u1328c","\u1328d","\u1328e","\u1328f","\u13290","\u13291","\u13292","\u13293","\u13294","\u13295","\u13296","\u13297","\u13298","\u13299","\u1329a","\u1329b","\u1329c","\u1329d","\u1329e","\u1329f","\u132a0","\u132a1","\u132a2","\u132a3","\u132a4","\u132a5","\u132a6","\u132a7","\u132a8","\u132a9","\u132aa","\u132ab","\u132ac","\u132ad","\u132ae","\u132af","\u132b0","\u132b1","\u132b2","\u132b3","\u132b4","\u132b5","\u132b6","\u132b7","\u132b8","\u132b9","\u132ba","\u132bb","\u132bc","\u132bd","\u132be","\u132bf","\u132c0","\u132c1","\u132c2","\u132c3","\u132c4","\u132c5","\u132c6","\u132c7","\u132c8","\u132c9","\u132ca","\u132cb","\u132cc","\u132cd","\u132ce","\u132cf","\u132d0","\u132d1","\u132d2","\u132d3","\u132d4","\u132d5","\u132d6","\u132d7","\u132d8","\u132d9","\u132da","\u132db","\u132dc","\u132dd","\u132de","\u132df","\u132e0","\u132e1","\u132e2","\u132e3","\u132e4","\u132e5","\u132e6","\u132e7","\u132e8","\u132e9","\u132ea","\u132eb","\u132ec","\u132ed","\u132ee","\u132ef","\u132f0","\u132f1","\u132f2","\u132f3","\u132f4","\u132f5","\u132f6","\u132f7","\u132f8","\u132f9","\u132fa","\u132fb","\u132fc","\u132fd","\u132fe","\u132ff","\u13300","\u13301","\u13302","\u13303","\u13304","\u13305","\u13306","\u13307","\u13308","\u13309","\u1330a","\u1330b","\u1330c","\u1330d","\u1330e","\u1330f","\u13310","\u13311","\u13312","\u13313","\u13314","\u13315","\u13316","\u13317","\u13318","\u13319","\u1331a","\u1331b","\u1331c","\u1331d","\u1331e","\u1331f","\u13320","\u13321","\u13322","\u13323","\u13324","\u13325","\u13326","\u13327","\u13328","\u13329","\u1332a","\u1332b","\u1332c","\u1332d","\u1332e","\u1332f","\u13330","\u13331","\u13332","\u13333","\u13334","\u13335","\u13336","\u13337","\u13338","\u13339","\u1333a","\u1333b","\u1333c","\u1333d","\u1333e","\u1333f","\u13340","\u13341","\u13342","\u13343","\u13344","\u13345","\u13346","\u13347","\u13348","\u13349","\u1334a","\u1334b","\u1334c","\u1334d","\u1334e","\u1334f","\u13350","\u13351","\u13352","\u13353","\u13354","\u13355","\u13356","\u13357","\u13358","\u13359","\u1335a","\u1335b","\u1335c","\u1335d","\u1335e","\u1335f","\u13360","\u13361","\u13362","\u13363","\u13364","\u13365","\u13366","\u13367","\u13368","\u13369","\u1336a","\u1336b","\u1336c","\u1336d","\u1336e","\u1336f","\u13370","\u13371","\u13372","\u13373","\u13374","\u13375","\u13376","\u13377","\u13378","\u13379","\u1337a","\u1337b","\u1337c","\u1337d","\u1337e","\u1337f","\u13380","\u13381","\u13382","\u13383","\u13384","\u13385","\u13386","\u13387","\u13388","\u13389","\u1338a","\u1338b","\u1338c","\u1338d","\u1338e","\u1338f","\u13390","\u13391","\u13392","\u13393","\u13394","\u13395","\u13396","\u13397","\u13398","\u13399","\u1339a","\u1339b","\u1339c","\u1339d","\u1339e","\u1339f","\u133a0","\u133a1","\u133a2","\u133a3","\u133a4","\u133a5","\u133a6","\u133a7","\u133a8","\u133a9","\u133aa","\u133ab","\u133ac","\u133ad","\u133ae","\u133af","\u133b0","\u133b1","\u133b2","\u133b3","\u133b4","\u133b5","\u133b6","\u133b7","\u133b8","\u133b9","\u133ba","\u133bb","\u133bc","\u133bd","\u133be","\u133bf","\u133c0","\u133c1","\u133c2","\u133c3","\u133c4","\u133c5","\u133c6","\u133c7","\u133c8","\u133c9","\u133ca","\u133cb","\u133cc","\u133cd","\u133ce","\u133cf","\u133d0","\u133d1","\u133d2","\u133d3","\u133d4","\u133d5","\u133d6","\u133d7","\u133d8","\u133d9","\u133da","\u133db","\u133dc","\u133dd","\u133de","\u133df","\u133e0","\u133e1","\u133e2","\u133e3","\u133e4","\u133e5","\u133e6","\u133e7","\u133e8","\u133e9","\u133ea","\u133eb","\u133ec","\u133ed","\u133ee","\u133ef","\u133f0","\u133f1","\u133f2","\u133f3","\u133f4","\u133f5","\u133f6","\u133f7","\u133f8","\u133f9","\u133fa","\u133fb","\u133fc","\u133fd","\u133fe","\u133ff","\u13400","\u13401","\u13402","\u13403","\u13404","\u13405","\u13406","\u13407","\u13408","\u13409","\u1340a","\u1340b","\u1340c","\u1340d","\u1340e","\u1340f","\u13410","\u13411","\u13412","\u13413","\u13414","\u13415","\u13416","\u13417","\u13418","\u13419","\u1341a","\u1341b","\u1341c","\u1341d","\u1341e","\u1341f","\u13420","\u13421","\u13422","\u13423","\u13424","\u13425","\u13426","\u13427","\u13428","\u13429","\u1342a","\u1342b","\u1342c","\u1342d","\u1342e",  # ; ALetter # Lo [1071] EGYPTIAN HIEROGLYPH A001..EGYPTIAN HIEROGLYPH AA032
        "\u14400","\u14401","\u14402","\u14403","\u14404","\u14405","\u14406","\u14407","\u14408","\u14409","\u1440a","\u1440b","\u1440c","\u1440d","\u1440e","\u1440f","\u14410","\u14411","\u14412","\u14413","\u14414","\u14415","\u14416","\u14417","\u14418","\u14419","\u1441a","\u1441b","\u1441c","\u1441d","\u1441e","\u1441f","\u14420","\u14421","\u14422","\u14423","\u14424","\u14425","\u14426","\u14427","\u14428","\u14429","\u1442a","\u1442b","\u1442c","\u1442d","\u1442e","\u1442f","\u14430","\u14431","\u14432","\u14433","\u14434","\u14435","\u14436","\u14437","\u14438","\u14439","\u1443a","\u1443b","\u1443c","\u1443d","\u1443e","\u1443f","\u14440","\u14441","\u14442","\u14443","\u14444","\u14445","\u14446","\u14447","\u14448","\u14449","\u1444a","\u1444b","\u1444c","\u1444d","\u1444e","\u1444f","\u14450","\u14451","\u14452","\u14453","\u14454","\u14455","\u14456","\u14457","\u14458","\u14459","\u1445a","\u1445b","\u1445c","\u1445d","\u1445e","\u1445f","\u14460","\u14461","\u14462","\u14463","\u14464","\u14465","\u14466","\u14467","\u14468","\u14469","\u1446a","\u1446b","\u1446c","\u1446d","\u1446e","\u1446f","\u14470","\u14471","\u14472","\u14473","\u14474","\u14475","\u14476","\u14477","\u14478","\u14479","\u1447a","\u1447b","\u1447c","\u1447d","\u1447e","\u1447f","\u14480","\u14481","\u14482","\u14483","\u14484","\u14485","\u14486","\u14487","\u14488","\u14489","\u1448a","\u1448b","\u1448c","\u1448d","\u1448e","\u1448f","\u14490","\u14491","\u14492","\u14493","\u14494","\u14495","\u14496","\u14497","\u14498","\u14499","\u1449a","\u1449b","\u1449c","\u1449d","\u1449e","\u1449f","\u144a0","\u144a1","\u144a2","\u144a3","\u144a4","\u144a5","\u144a6","\u144a7","\u144a8","\u144a9","\u144aa","\u144ab","\u144ac","\u144ad","\u144ae","\u144af","\u144b0","\u144b1","\u144b2","\u144b3","\u144b4","\u144b5","\u144b6","\u144b7","\u144b8","\u144b9","\u144ba","\u144bb","\u144bc","\u144bd","\u144be","\u144bf","\u144c0","\u144c1","\u144c2","\u144c3","\u144c4","\u144c5","\u144c6","\u144c7","\u144c8","\u144c9","\u144ca","\u144cb","\u144cc","\u144cd","\u144ce","\u144cf","\u144d0","\u144d1","\u144d2","\u144d3","\u144d4","\u144d5","\u144d6","\u144d7","\u144d8","\u144d9","\u144da","\u144db","\u144dc","\u144dd","\u144de","\u144df","\u144e0","\u144e1","\u144e2","\u144e3","\u144e4","\u144e5","\u144e6","\u144e7","\u144e8","\u144e9","\u144ea","\u144eb","\u144ec","\u144ed","\u144ee","\u144ef","\u144f0","\u144f1","\u144f2","\u144f3","\u144f4","\u144f5","\u144f6","\u144f7","\u144f8","\u144f9","\u144fa","\u144fb","\u144fc","\u144fd","\u144fe","\u144ff","\u14500","\u14501","\u14502","\u14503","\u14504","\u14505","\u14506","\u14507","\u14508","\u14509","\u1450a","\u1450b","\u1450c","\u1450d","\u1450e","\u1450f","\u14510","\u14511","\u14512","\u14513","\u14514","\u14515","\u14516","\u14517","\u14518","\u14519","\u1451a","\u1451b","\u1451c","\u1451d","\u1451e","\u1451f","\u14520","\u14521","\u14522","\u14523","\u14524","\u14525","\u14526","\u14527","\u14528","\u14529","\u1452a","\u1452b","\u1452c","\u1452d","\u1452e","\u1452f","\u14530","\u14531","\u14532","\u14533","\u14534","\u14535","\u14536","\u14537","\u14538","\u14539","\u1453a","\u1453b","\u1453c","\u1453d","\u1453e","\u1453f","\u14540","\u14541","\u14542","\u14543","\u14544","\u14545","\u14546","\u14547","\u14548","\u14549","\u1454a","\u1454b","\u1454c","\u1454d","\u1454e","\u1454f","\u14550","\u14551","\u14552","\u14553","\u14554","\u14555","\u14556","\u14557","\u14558","\u14559","\u1455a","\u1455b","\u1455c","\u1455d","\u1455e","\u1455f","\u14560","\u14561","\u14562","\u14563","\u14564","\u14565","\u14566","\u14567","\u14568","\u14569","\u1456a","\u1456b","\u1456c","\u1456d","\u1456e","\u1456f","\u14570","\u14571","\u14572","\u14573","\u14574","\u14575","\u14576","\u14577","\u14578","\u14579","\u1457a","\u1457b","\u1457c","\u1457d","\u1457e","\u1457f","\u14580","\u14581","\u14582","\u14583","\u14584","\u14585","\u14586","\u14587","\u14588","\u14589","\u1458a","\u1458b","\u1458c","\u1458d","\u1458e","\u1458f","\u14590","\u14591","\u14592","\u14593","\u14594","\u14595","\u14596","\u14597","\u14598","\u14599","\u1459a","\u1459b","\u1459c","\u1459d","\u1459e","\u1459f","\u145a0","\u145a1","\u145a2","\u145a3","\u145a4","\u145a5","\u145a6","\u145a7","\u145a8","\u145a9","\u145aa","\u145ab","\u145ac","\u145ad","\u145ae","\u145af","\u145b0","\u145b1","\u145b2","\u145b3","\u145b4","\u145b5","\u145b6","\u145b7","\u145b8","\u145b9","\u145ba","\u145bb","\u145bc","\u145bd","\u145be","\u145bf","\u145c0","\u145c1","\u145c2","\u145c3","\u145c4","\u145c5","\u145c6","\u145c7","\u145c8","\u145c9","\u145ca","\u145cb","\u145cc","\u145cd","\u145ce","\u145cf","\u145d0","\u145d1","\u145d2","\u145d3","\u145d4","\u145d5","\u145d6","\u145d7","\u145d8","\u145d9","\u145da","\u145db","\u145dc","\u145dd","\u145de","\u145df","\u145e0","\u145e1","\u145e2","\u145e3","\u145e4","\u145e5","\u145e6","\u145e7","\u145e8","\u145e9","\u145ea","\u145eb","\u145ec","\u145ed","\u145ee","\u145ef","\u145f0","\u145f1","\u145f2","\u145f3","\u145f4","\u145f5","\u145f6","\u145f7","\u145f8","\u145f9","\u145fa","\u145fb","\u145fc","\u145fd","\u145fe","\u145ff","\u14600","\u14601","\u14602","\u14603","\u14604","\u14605","\u14606","\u14607","\u14608","\u14609","\u1460a","\u1460b","\u1460c","\u1460d","\u1460e","\u1460f","\u14610","\u14611","\u14612","\u14613","\u14614","\u14615","\u14616","\u14617","\u14618","\u14619","\u1461a","\u1461b","\u1461c","\u1461d","\u1461e","\u1461f","\u14620","\u14621","\u14622","\u14623","\u14624","\u14625","\u14626","\u14627","\u14628","\u14629","\u1462a","\u1462b","\u1462c","\u1462d","\u1462e","\u1462f","\u14630","\u14631","\u14632","\u14633","\u14634","\u14635","\u14636","\u14637","\u14638","\u14639","\u1463a","\u1463b","\u1463c","\u1463d","\u1463e","\u1463f","\u14640","\u14641","\u14642","\u14643","\u14644","\u14645","\u14646",  # ; ALetter # Lo [583] ANATOLIAN HIEROGLYPH A001..ANATOLIAN HIEROGLYPH A530
        "\u16800","\u16801","\u16802","\u16803","\u16804","\u16805","\u16806","\u16807","\u16808","\u16809","\u1680a","\u1680b","\u1680c","\u1680d","\u1680e","\u1680f","\u16810","\u16811","\u16812","\u16813","\u16814","\u16815","\u16816","\u16817","\u16818","\u16819","\u1681a","\u1681b","\u1681c","\u1681d","\u1681e","\u1681f","\u16820","\u16821","\u16822","\u16823","\u16824","\u16825","\u16826","\u16827","\u16828","\u16829","\u1682a","\u1682b","\u1682c","\u1682d","\u1682e","\u1682f","\u16830","\u16831","\u16832","\u16833","\u16834","\u16835","\u16836","\u16837","\u16838","\u16839","\u1683a","\u1683b","\u1683c","\u1683d","\u1683e","\u1683f","\u16840","\u16841","\u16842","\u16843","\u16844","\u16845","\u16846","\u16847","\u16848","\u16849","\u1684a","\u1684b","\u1684c","\u1684d","\u1684e","\u1684f","\u16850","\u16851","\u16852","\u16853","\u16854","\u16855","\u16856","\u16857","\u16858","\u16859","\u1685a","\u1685b","\u1685c","\u1685d","\u1685e","\u1685f","\u16860","\u16861","\u16862","\u16863","\u16864","\u16865","\u16866","\u16867","\u16868","\u16869","\u1686a","\u1686b","\u1686c","\u1686d","\u1686e","\u1686f","\u16870","\u16871","\u16872","\u16873","\u16874","\u16875","\u16876","\u16877","\u16878","\u16879","\u1687a","\u1687b","\u1687c","\u1687d","\u1687e","\u1687f","\u16880","\u16881","\u16882","\u16883","\u16884","\u16885","\u16886","\u16887","\u16888","\u16889","\u1688a","\u1688b","\u1688c","\u1688d","\u1688e","\u1688f","\u16890","\u16891","\u16892","\u16893","\u16894","\u16895","\u16896","\u16897","\u16898","\u16899","\u1689a","\u1689b","\u1689c","\u1689d","\u1689e","\u1689f","\u168a0","\u168a1","\u168a2","\u168a3","\u168a4","\u168a5","\u168a6","\u168a7","\u168a8","\u168a9","\u168aa","\u168ab","\u168ac","\u168ad","\u168ae","\u168af","\u168b0","\u168b1","\u168b2","\u168b3","\u168b4","\u168b5","\u168b6","\u168b7","\u168b8","\u168b9","\u168ba","\u168bb","\u168bc","\u168bd","\u168be","\u168bf","\u168c0","\u168c1","\u168c2","\u168c3","\u168c4","\u168c5","\u168c6","\u168c7","\u168c8","\u168c9","\u168ca","\u168cb","\u168cc","\u168cd","\u168ce","\u168cf","\u168d0","\u168d1","\u168d2","\u168d3","\u168d4","\u168d5","\u168d6","\u168d7","\u168d8","\u168d9","\u168da","\u168db","\u168dc","\u168dd","\u168de","\u168df","\u168e0","\u168e1","\u168e2","\u168e3","\u168e4","\u168e5","\u168e6","\u168e7","\u168e8","\u168e9","\u168ea","\u168eb","\u168ec","\u168ed","\u168ee","\u168ef","\u168f0","\u168f1","\u168f2","\u168f3","\u168f4","\u168f5","\u168f6","\u168f7","\u168f8","\u168f9","\u168fa","\u168fb","\u168fc","\u168fd","\u168fe","\u168ff","\u16900","\u16901","\u16902","\u16903","\u16904","\u16905","\u16906","\u16907","\u16908","\u16909","\u1690a","\u1690b","\u1690c","\u1690d","\u1690e","\u1690f","\u16910","\u16911","\u16912","\u16913","\u16914","\u16915","\u16916","\u16917","\u16918","\u16919","\u1691a","\u1691b","\u1691c","\u1691d","\u1691e","\u1691f","\u16920","\u16921","\u16922","\u16923","\u16924","\u16925","\u16926","\u16927","\u16928","\u16929","\u1692a","\u1692b","\u1692c","\u1692d","\u1692e","\u1692f","\u16930","\u16931","\u16932","\u16933","\u16934","\u16935","\u16936","\u16937","\u16938","\u16939","\u1693a","\u1693b","\u1693c","\u1693d","\u1693e","\u1693f","\u16940","\u16941","\u16942","\u16943","\u16944","\u16945","\u16946","\u16947","\u16948","\u16949","\u1694a","\u1694b","\u1694c","\u1694d","\u1694e","\u1694f","\u16950","\u16951","\u16952","\u16953","\u16954","\u16955","\u16956","\u16957","\u16958","\u16959","\u1695a","\u1695b","\u1695c","\u1695d","\u1695e","\u1695f","\u16960","\u16961","\u16962","\u16963","\u16964","\u16965","\u16966","\u16967","\u16968","\u16969","\u1696a","\u1696b","\u1696c","\u1696d","\u1696e","\u1696f","\u16970","\u16971","\u16972","\u16973","\u16974","\u16975","\u16976","\u16977","\u16978","\u16979","\u1697a","\u1697b","\u1697c","\u1697d","\u1697e","\u1697f","\u16980","\u16981","\u16982","\u16983","\u16984","\u16985","\u16986","\u16987","\u16988","\u16989","\u1698a","\u1698b","\u1698c","\u1698d","\u1698e","\u1698f","\u16990","\u16991","\u16992","\u16993","\u16994","\u16995","\u16996","\u16997","\u16998","\u16999","\u1699a","\u1699b","\u1699c","\u1699d","\u1699e","\u1699f","\u169a0","\u169a1","\u169a2","\u169a3","\u169a4","\u169a5","\u169a6","\u169a7","\u169a8","\u169a9","\u169aa","\u169ab","\u169ac","\u169ad","\u169ae","\u169af","\u169b0","\u169b1","\u169b2","\u169b3","\u169b4","\u169b5","\u169b6","\u169b7","\u169b8","\u169b9","\u169ba","\u169bb","\u169bc","\u169bd","\u169be","\u169bf","\u169c0","\u169c1","\u169c2","\u169c3","\u169c4","\u169c5","\u169c6","\u169c7","\u169c8","\u169c9","\u169ca","\u169cb","\u169cc","\u169cd","\u169ce","\u169cf","\u169d0","\u169d1","\u169d2","\u169d3","\u169d4","\u169d5","\u169d6","\u169d7","\u169d8","\u169d9","\u169da","\u169db","\u169dc","\u169dd","\u169de","\u169df","\u169e0","\u169e1","\u169e2","\u169e3","\u169e4","\u169e5","\u169e6","\u169e7","\u169e8","\u169e9","\u169ea","\u169eb","\u169ec","\u169ed","\u169ee","\u169ef","\u169f0","\u169f1","\u169f2","\u169f3","\u169f4","\u169f5","\u169f6","\u169f7","\u169f8","\u169f9","\u169fa","\u169fb","\u169fc","\u169fd","\u169fe","\u169ff","\u16a00","\u16a01","\u16a02","\u16a03","\u16a04","\u16a05","\u16a06","\u16a07","\u16a08","\u16a09","\u16a0a","\u16a0b","\u16a0c","\u16a0d","\u16a0e","\u16a0f","\u16a10","\u16a11","\u16a12","\u16a13","\u16a14","\u16a15","\u16a16","\u16a17","\u16a18","\u16a19","\u16a1a","\u16a1b","\u16a1c","\u16a1d","\u16a1e","\u16a1f","\u16a20","\u16a21","\u16a22","\u16a23","\u16a24","\u16a25","\u16a26","\u16a27","\u16a28","\u16a29","\u16a2a","\u16a2b","\u16a2c","\u16a2d","\u16a2e","\u16a2f","\u16a30","\u16a31","\u16a32","\u16a33","\u16a34","\u16a35","\u16a36","\u16a37","\u16a38",  # ; ALetter # Lo [569] BAMUM LETTER PHASE-A NGKUE MFON..BAMUM LETTER PHASE-F VUEQ
        "\u16a40","\u16a41","\u16a42","\u16a43","\u16a44","\u16a45","\u16a46","\u16a47","\u16a48","\u16a49","\u16a4a","\u16a4b","\u16a4c","\u16a4d","\u16a4e","\u16a4f","\u16a50","\u16a51","\u16a52","\u16a53","\u16a54","\u16a55","\u16a56","\u16a57","\u16a58","\u16a59","\u16a5a","\u16a5b","\u16a5c","\u16a5d","\u16a5e",  # ; ALetter # Lo  [31] MRO LETTER TA..MRO LETTER TEK
        "\u16ad0","\u16ad1","\u16ad2","\u16ad3","\u16ad4","\u16ad5","\u16ad6","\u16ad7","\u16ad8","\u16ad9","\u16ada","\u16adb","\u16adc","\u16add","\u16ade","\u16adf","\u16ae0","\u16ae1","\u16ae2","\u16ae3","\u16ae4","\u16ae5","\u16ae6","\u16ae7","\u16ae8","\u16ae9","\u16aea","\u16aeb","\u16aec","\u16aed",  # ; ALetter # Lo  [30] BASSA VAH LETTER ENNI..BASSA VAH LETTER I
        "\u16b00","\u16b01","\u16b02","\u16b03","\u16b04","\u16b05","\u16b06","\u16b07","\u16b08","\u16b09","\u16b0a","\u16b0b","\u16b0c","\u16b0d","\u16b0e","\u16b0f","\u16b10","\u16b11","\u16b12","\u16b13","\u16b14","\u16b15","\u16b16","\u16b17","\u16b18","\u16b19","\u16b1a","\u16b1b","\u16b1c","\u16b1d","\u16b1e","\u16b1f","\u16b20","\u16b21","\u16b22","\u16b23","\u16b24","\u16b25","\u16b26","\u16b27","\u16b28","\u16b29","\u16b2a","\u16b2b","\u16b2c","\u16b2d","\u16b2e","\u16b2f",  # ; ALetter # Lo  [48] PAHAWH HMONG VOWEL KEEB..PAHAWH HMONG CONSONANT CAU
        "\u16b40","\u16b41","\u16b42","\u16b43",  # ; ALetter # Lm   [4] PAHAWH HMONG SIGN VOS SEEV..PAHAWH HMONG SIGN IB YAM
        "\u16b63","\u16b64","\u16b65","\u16b66","\u16b67","\u16b68","\u16b69","\u16b6a","\u16b6b","\u16b6c","\u16b6d","\u16b6e","\u16b6f","\u16b70","\u16b71","\u16b72","\u16b73","\u16b74","\u16b75","\u16b76","\u16b77",  # ; ALetter # Lo  [21] PAHAWH HMONG SIGN VOS LUB..PAHAWH HMONG SIGN CIM NRES TOS
        "\u16b7d","\u16b7e","\u16b7f","\u16b80","\u16b81","\u16b82","\u16b83","\u16b84","\u16b85","\u16b86","\u16b87","\u16b88","\u16b89","\u16b8a","\u16b8b","\u16b8c","\u16b8d","\u16b8e","\u16b8f",  # ; ALetter # Lo  [19] PAHAWH HMONG CLAN SIGN TSHEEJ..PAHAWH HMONG CLAN SIGN VWJ
        "\u16f00","\u16f01","\u16f02","\u16f03","\u16f04","\u16f05","\u16f06","\u16f07","\u16f08","\u16f09","\u16f0a","\u16f0b","\u16f0c","\u16f0d","\u16f0e","\u16f0f","\u16f10","\u16f11","\u16f12","\u16f13","\u16f14","\u16f15","\u16f16","\u16f17","\u16f18","\u16f19","\u16f1a","\u16f1b","\u16f1c","\u16f1d","\u16f1e","\u16f1f","\u16f20","\u16f21","\u16f22","\u16f23","\u16f24","\u16f25","\u16f26","\u16f27","\u16f28","\u16f29","\u16f2a","\u16f2b","\u16f2c","\u16f2d","\u16f2e","\u16f2f","\u16f30","\u16f31","\u16f32","\u16f33","\u16f34","\u16f35","\u16f36","\u16f37","\u16f38","\u16f39","\u16f3a","\u16f3b","\u16f3c","\u16f3d","\u16f3e","\u16f3f","\u16f40","\u16f41","\u16f42","\u16f43","\u16f44",  # ; ALetter # Lo  [69] MIAO LETTER PA..MIAO LETTER HHA
        "\u16F50",  # ; ALetter # Lo       MIAO LETTER NASALIZATION
        "\u16f93","\u16f94","\u16f95","\u16f96","\u16f97","\u16f98","\u16f99","\u16f9a","\u16f9b","\u16f9c","\u16f9d","\u16f9e","\u16f9f",  # ; ALetter # Lm  [13] MIAO LETTER TONE-2..MIAO LETTER REFORMED TONE-8
        "\u16fe0","\u16fe1",  # ; ALetter # Lm   [2] TANGUT ITERATION MARK..NUSHU ITERATION MARK
        "\u1bc00","\u1bc01","\u1bc02","\u1bc03","\u1bc04","\u1bc05","\u1bc06","\u1bc07","\u1bc08","\u1bc09","\u1bc0a","\u1bc0b","\u1bc0c","\u1bc0d","\u1bc0e","\u1bc0f","\u1bc10","\u1bc11","\u1bc12","\u1bc13","\u1bc14","\u1bc15","\u1bc16","\u1bc17","\u1bc18","\u1bc19","\u1bc1a","\u1bc1b","\u1bc1c","\u1bc1d","\u1bc1e","\u1bc1f","\u1bc20","\u1bc21","\u1bc22","\u1bc23","\u1bc24","\u1bc25","\u1bc26","\u1bc27","\u1bc28","\u1bc29","\u1bc2a","\u1bc2b","\u1bc2c","\u1bc2d","\u1bc2e","\u1bc2f","\u1bc30","\u1bc31","\u1bc32","\u1bc33","\u1bc34","\u1bc35","\u1bc36","\u1bc37","\u1bc38","\u1bc39","\u1bc3a","\u1bc3b","\u1bc3c","\u1bc3d","\u1bc3e","\u1bc3f","\u1bc40","\u1bc41","\u1bc42","\u1bc43","\u1bc44","\u1bc45","\u1bc46","\u1bc47","\u1bc48","\u1bc49","\u1bc4a","\u1bc4b","\u1bc4c","\u1bc4d","\u1bc4e","\u1bc4f","\u1bc50","\u1bc51","\u1bc52","\u1bc53","\u1bc54","\u1bc55","\u1bc56","\u1bc57","\u1bc58","\u1bc59","\u1bc5a","\u1bc5b","\u1bc5c","\u1bc5d","\u1bc5e","\u1bc5f","\u1bc60","\u1bc61","\u1bc62","\u1bc63","\u1bc64","\u1bc65","\u1bc66","\u1bc67","\u1bc68","\u1bc69","\u1bc6a",  # ; ALetter # Lo [107] DUPLOYAN LETTER H..DUPLOYAN LETTER VOCALIC M
        "\u1bc70","\u1bc71","\u1bc72","\u1bc73","\u1bc74","\u1bc75","\u1bc76","\u1bc77","\u1bc78","\u1bc79","\u1bc7a","\u1bc7b","\u1bc7c",  # ; ALetter # Lo  [13] DUPLOYAN AFFIX LEFT HORIZONTAL SECANT..DUPLOYAN AFFIX ATTACHED TANGENT HOOK
        "\u1bc80","\u1bc81","\u1bc82","\u1bc83","\u1bc84","\u1bc85","\u1bc86","\u1bc87","\u1bc88",  # ; ALetter # Lo   [9] DUPLOYAN AFFIX HIGH ACUTE..DUPLOYAN AFFIX HIGH VERTICAL
        "\u1bc90","\u1bc91","\u1bc92","\u1bc93","\u1bc94","\u1bc95","\u1bc96","\u1bc97","\u1bc98","\u1bc99",  # ; ALetter # Lo  [10] DUPLOYAN AFFIX LOW ACUTE..DUPLOYAN AFFIX LOW ARROW
        "\u1d400","\u1d401","\u1d402","\u1d403","\u1d404","\u1d405","\u1d406","\u1d407","\u1d408","\u1d409","\u1d40a","\u1d40b","\u1d40c","\u1d40d","\u1d40e","\u1d40f","\u1d410","\u1d411","\u1d412","\u1d413","\u1d414","\u1d415","\u1d416","\u1d417","\u1d418","\u1d419","\u1d41a","\u1d41b","\u1d41c","\u1d41d","\u1d41e","\u1d41f","\u1d420","\u1d421","\u1d422","\u1d423","\u1d424","\u1d425","\u1d426","\u1d427","\u1d428","\u1d429","\u1d42a","\u1d42b","\u1d42c","\u1d42d","\u1d42e","\u1d42f","\u1d430","\u1d431","\u1d432","\u1d433","\u1d434","\u1d435","\u1d436","\u1d437","\u1d438","\u1d439","\u1d43a","\u1d43b","\u1d43c","\u1d43d","\u1d43e","\u1d43f","\u1d440","\u1d441","\u1d442","\u1d443","\u1d444","\u1d445","\u1d446","\u1d447","\u1d448","\u1d449","\u1d44a","\u1d44b","\u1d44c","\u1d44d","\u1d44e","\u1d44f","\u1d450","\u1d451","\u1d452","\u1d453","\u1d454",  # ; ALetter # L&  [85] MATHEMATICAL BOLD CAPITAL A..MATHEMATICAL ITALIC SMALL G
        "\u1d456","\u1d457","\u1d458","\u1d459","\u1d45a","\u1d45b","\u1d45c","\u1d45d","\u1d45e","\u1d45f","\u1d460","\u1d461","\u1d462","\u1d463","\u1d464","\u1d465","\u1d466","\u1d467","\u1d468","\u1d469","\u1d46a","\u1d46b","\u1d46c","\u1d46d","\u1d46e","\u1d46f","\u1d470","\u1d471","\u1d472","\u1d473","\u1d474","\u1d475","\u1d476","\u1d477","\u1d478","\u1d479","\u1d47a","\u1d47b","\u1d47c","\u1d47d","\u1d47e","\u1d47f","\u1d480","\u1d481","\u1d482","\u1d483","\u1d484","\u1d485","\u1d486","\u1d487","\u1d488","\u1d489","\u1d48a","\u1d48b","\u1d48c","\u1d48d","\u1d48e","\u1d48f","\u1d490","\u1d491","\u1d492","\u1d493","\u1d494","\u1d495","\u1d496","\u1d497","\u1d498","\u1d499","\u1d49a","\u1d49b","\u1d49c",  # ; ALetter # L&  [71] MATHEMATICAL ITALIC SMALL I..MATHEMATICAL SCRIPT CAPITAL A
        "\u1d49e","\u1d49f",  # ; ALetter # L&   [2] MATHEMATICAL SCRIPT CAPITAL C..MATHEMATICAL SCRIPT CAPITAL D
        "\u1D4A2",  # ; ALetter # L&       MATHEMATICAL SCRIPT CAPITAL G
        "\u1d4a5","\u1d4a6",  # ; ALetter # L&   [2] MATHEMATICAL SCRIPT CAPITAL J..MATHEMATICAL SCRIPT CAPITAL K
        "\u1d4a9","\u1d4aa","\u1d4ab","\u1d4ac",  # ; ALetter # L&   [4] MATHEMATICAL SCRIPT CAPITAL N..MATHEMATICAL SCRIPT CAPITAL Q
        "\u1d4ae","\u1d4af","\u1d4b0","\u1d4b1","\u1d4b2","\u1d4b3","\u1d4b4","\u1d4b5","\u1d4b6","\u1d4b7","\u1d4b8","\u1d4b9",  # ; ALetter # L&  [12] MATHEMATICAL SCRIPT CAPITAL S..MATHEMATICAL SCRIPT SMALL D
        "\u1D4BB",  # ; ALetter # L&       MATHEMATICAL SCRIPT SMALL F
        "\u1d4bd","\u1d4be","\u1d4bf","\u1d4c0","\u1d4c1","\u1d4c2","\u1d4c3",  # ; ALetter # L&   [7] MATHEMATICAL SCRIPT SMALL H..MATHEMATICAL SCRIPT SMALL N
        "\u1d4c5","\u1d4c6","\u1d4c7","\u1d4c8","\u1d4c9","\u1d4ca","\u1d4cb","\u1d4cc","\u1d4cd","\u1d4ce","\u1d4cf","\u1d4d0","\u1d4d1","\u1d4d2","\u1d4d3","\u1d4d4","\u1d4d5","\u1d4d6","\u1d4d7","\u1d4d8","\u1d4d9","\u1d4da","\u1d4db","\u1d4dc","\u1d4dd","\u1d4de","\u1d4df","\u1d4e0","\u1d4e1","\u1d4e2","\u1d4e3","\u1d4e4","\u1d4e5","\u1d4e6","\u1d4e7","\u1d4e8","\u1d4e9","\u1d4ea","\u1d4eb","\u1d4ec","\u1d4ed","\u1d4ee","\u1d4ef","\u1d4f0","\u1d4f1","\u1d4f2","\u1d4f3","\u1d4f4","\u1d4f5","\u1d4f6","\u1d4f7","\u1d4f8","\u1d4f9","\u1d4fa","\u1d4fb","\u1d4fc","\u1d4fd","\u1d4fe","\u1d4ff","\u1d500","\u1d501","\u1d502","\u1d503","\u1d504","\u1d505",  # ; ALetter # L&  [65] MATHEMATICAL SCRIPT SMALL P..MATHEMATICAL FRAKTUR CAPITAL B
        "\u1d507","\u1d508","\u1d509","\u1d50a",  # ; ALetter # L&   [4] MATHEMATICAL FRAKTUR CAPITAL D..MATHEMATICAL FRAKTUR CAPITAL G
        "\u1d50d","\u1d50e","\u1d50f","\u1d510","\u1d511","\u1d512","\u1d513","\u1d514",  # ; ALetter # L&   [8] MATHEMATICAL FRAKTUR CAPITAL J..MATHEMATICAL FRAKTUR CAPITAL Q
        "\u1d516","\u1d517","\u1d518","\u1d519","\u1d51a","\u1d51b","\u1d51c",  # ; ALetter # L&   [7] MATHEMATICAL FRAKTUR CAPITAL S..MATHEMATICAL FRAKTUR CAPITAL Y
        "\u1d51e","\u1d51f","\u1d520","\u1d521","\u1d522","\u1d523","\u1d524","\u1d525","\u1d526","\u1d527","\u1d528","\u1d529","\u1d52a","\u1d52b","\u1d52c","\u1d52d","\u1d52e","\u1d52f","\u1d530","\u1d531","\u1d532","\u1d533","\u1d534","\u1d535","\u1d536","\u1d537","\u1d538","\u1d539",  # ; ALetter # L&  [28] MATHEMATICAL FRAKTUR SMALL A..MATHEMATICAL DOUBLE-STRUCK CAPITAL B
        "\u1d53b","\u1d53c","\u1d53d","\u1d53e",  # ; ALetter # L&   [4] MATHEMATICAL DOUBLE-STRUCK CAPITAL D..MATHEMATICAL DOUBLE-STRUCK CAPITAL G
        "\u1d540","\u1d541","\u1d542","\u1d543","\u1d544",  # ; ALetter # L&   [5] MATHEMATICAL DOUBLE-STRUCK CAPITAL I..MATHEMATICAL DOUBLE-STRUCK CAPITAL M
        "\u1D546",  # ; ALetter # L&       MATHEMATICAL DOUBLE-STRUCK CAPITAL O
        "\u1d54a","\u1d54b","\u1d54c","\u1d54d","\u1d54e","\u1d54f","\u1d550",  # ; ALetter # L&   [7] MATHEMATICAL DOUBLE-STRUCK CAPITAL S..MATHEMATICAL DOUBLE-STRUCK CAPITAL Y
        "\u1d552","\u1d553","\u1d554","\u1d555","\u1d556","\u1d557","\u1d558","\u1d559","\u1d55a","\u1d55b","\u1d55c","\u1d55d","\u1d55e","\u1d55f","\u1d560","\u1d561","\u1d562","\u1d563","\u1d564","\u1d565","\u1d566","\u1d567","\u1d568","\u1d569","\u1d56a","\u1d56b","\u1d56c","\u1d56d","\u1d56e","\u1d56f","\u1d570","\u1d571","\u1d572","\u1d573","\u1d574","\u1d575","\u1d576","\u1d577","\u1d578","\u1d579","\u1d57a","\u1d57b","\u1d57c","\u1d57d","\u1d57e","\u1d57f","\u1d580","\u1d581","\u1d582","\u1d583","\u1d584","\u1d585","\u1d586","\u1d587","\u1d588","\u1d589","\u1d58a","\u1d58b","\u1d58c","\u1d58d","\u1d58e","\u1d58f","\u1d590","\u1d591","\u1d592","\u1d593","\u1d594","\u1d595","\u1d596","\u1d597","\u1d598","\u1d599","\u1d59a","\u1d59b","\u1d59c","\u1d59d","\u1d59e","\u1d59f","\u1d5a0","\u1d5a1","\u1d5a2","\u1d5a3","\u1d5a4","\u1d5a5","\u1d5a6","\u1d5a7","\u1d5a8","\u1d5a9","\u1d5aa","\u1d5ab","\u1d5ac","\u1d5ad","\u1d5ae","\u1d5af","\u1d5b0","\u1d5b1","\u1d5b2","\u1d5b3","\u1d5b4","\u1d5b5","\u1d5b6","\u1d5b7","\u1d5b8","\u1d5b9","\u1d5ba","\u1d5bb","\u1d5bc","\u1d5bd","\u1d5be","\u1d5bf","\u1d5c0","\u1d5c1","\u1d5c2","\u1d5c3","\u1d5c4","\u1d5c5","\u1d5c6","\u1d5c7","\u1d5c8","\u1d5c9","\u1d5ca","\u1d5cb","\u1d5cc","\u1d5cd","\u1d5ce","\u1d5cf","\u1d5d0","\u1d5d1","\u1d5d2","\u1d5d3","\u1d5d4","\u1d5d5","\u1d5d6","\u1d5d7","\u1d5d8","\u1d5d9","\u1d5da","\u1d5db","\u1d5dc","\u1d5dd","\u1d5de","\u1d5df","\u1d5e0","\u1d5e1","\u1d5e2","\u1d5e3","\u1d5e4","\u1d5e5","\u1d5e6","\u1d5e7","\u1d5e8","\u1d5e9","\u1d5ea","\u1d5eb","\u1d5ec","\u1d5ed","\u1d5ee","\u1d5ef","\u1d5f0","\u1d5f1","\u1d5f2","\u1d5f3","\u1d5f4","\u1d5f5","\u1d5f6","\u1d5f7","\u1d5f8","\u1d5f9","\u1d5fa","\u1d5fb","\u1d5fc","\u1d5fd","\u1d5fe","\u1d5ff","\u1d600","\u1d601","\u1d602","\u1d603","\u1d604","\u1d605","\u1d606","\u1d607","\u1d608","\u1d609","\u1d60a","\u1d60b","\u1d60c","\u1d60d","\u1d60e","\u1d60f","\u1d610","\u1d611","\u1d612","\u1d613","\u1d614","\u1d615","\u1d616","\u1d617","\u1d618","\u1d619","\u1d61a","\u1d61b","\u1d61c","\u1d61d","\u1d61e","\u1d61f","\u1d620","\u1d621","\u1d622","\u1d623","\u1d624","\u1d625","\u1d626","\u1d627","\u1d628","\u1d629","\u1d62a","\u1d62b","\u1d62c","\u1d62d","\u1d62e","\u1d62f","\u1d630","\u1d631","\u1d632","\u1d633","\u1d634","\u1d635","\u1d636","\u1d637","\u1d638","\u1d639","\u1d63a","\u1d63b","\u1d63c","\u1d63d","\u1d63e","\u1d63f","\u1d640","\u1d641","\u1d642","\u1d643","\u1d644","\u1d645","\u1d646","\u1d647","\u1d648","\u1d649","\u1d64a","\u1d64b","\u1d64c","\u1d64d","\u1d64e","\u1d64f","\u1d650","\u1d651","\u1d652","\u1d653","\u1d654","\u1d655","\u1d656","\u1d657","\u1d658","\u1d659","\u1d65a","\u1d65b","\u1d65c","\u1d65d","\u1d65e","\u1d65f","\u1d660","\u1d661","\u1d662","\u1d663","\u1d664","\u1d665","\u1d666","\u1d667","\u1d668","\u1d669","\u1d66a","\u1d66b","\u1d66c","\u1d66d","\u1d66e","\u1d66f","\u1d670","\u1d671","\u1d672","\u1d673","\u1d674","\u1d675","\u1d676","\u1d677","\u1d678","\u1d679","\u1d67a","\u1d67b","\u1d67c","\u1d67d","\u1d67e","\u1d67f","\u1d680","\u1d681","\u1d682","\u1d683","\u1d684","\u1d685","\u1d686","\u1d687","\u1d688","\u1d689","\u1d68a","\u1d68b","\u1d68c","\u1d68d","\u1d68e","\u1d68f","\u1d690","\u1d691","\u1d692","\u1d693","\u1d694","\u1d695","\u1d696","\u1d697","\u1d698","\u1d699","\u1d69a","\u1d69b","\u1d69c","\u1d69d","\u1d69e","\u1d69f","\u1d6a0","\u1d6a1","\u1d6a2","\u1d6a3","\u1d6a4","\u1d6a5",  # ; ALetter # L& [340] MATHEMATICAL DOUBLE-STRUCK SMALL A..MATHEMATICAL ITALIC SMALL DOTLESS J
        "\u1d6a8","\u1d6a9","\u1d6aa","\u1d6ab","\u1d6ac","\u1d6ad","\u1d6ae","\u1d6af","\u1d6b0","\u1d6b1","\u1d6b2","\u1d6b3","\u1d6b4","\u1d6b5","\u1d6b6","\u1d6b7","\u1d6b8","\u1d6b9","\u1d6ba","\u1d6bb","\u1d6bc","\u1d6bd","\u1d6be","\u1d6bf","\u1d6c0",  # ; ALetter # L&  [25] MATHEMATICAL BOLD CAPITAL ALPHA..MATHEMATICAL BOLD CAPITAL OMEGA
        "\u1d6c2","\u1d6c3","\u1d6c4","\u1d6c5","\u1d6c6","\u1d6c7","\u1d6c8","\u1d6c9","\u1d6ca","\u1d6cb","\u1d6cc","\u1d6cd","\u1d6ce","\u1d6cf","\u1d6d0","\u1d6d1","\u1d6d2","\u1d6d3","\u1d6d4","\u1d6d5","\u1d6d6","\u1d6d7","\u1d6d8","\u1d6d9","\u1d6da",  # ; ALetter # L&  [25] MATHEMATICAL BOLD SMALL ALPHA..MATHEMATICAL BOLD SMALL OMEGA
        "\u1d6dc","\u1d6dd","\u1d6de","\u1d6df","\u1d6e0","\u1d6e1","\u1d6e2","\u1d6e3","\u1d6e4","\u1d6e5","\u1d6e6","\u1d6e7","\u1d6e8","\u1d6e9","\u1d6ea","\u1d6eb","\u1d6ec","\u1d6ed","\u1d6ee","\u1d6ef","\u1d6f0","\u1d6f1","\u1d6f2","\u1d6f3","\u1d6f4","\u1d6f5","\u1d6f6","\u1d6f7","\u1d6f8","\u1d6f9","\u1d6fa",  # ; ALetter # L&  [31] MATHEMATICAL BOLD EPSILON SYMBOL..MATHEMATICAL ITALIC CAPITAL OMEGA
        "\u1d6fc","\u1d6fd","\u1d6fe","\u1d6ff","\u1d700","\u1d701","\u1d702","\u1d703","\u1d704","\u1d705","\u1d706","\u1d707","\u1d708","\u1d709","\u1d70a","\u1d70b","\u1d70c","\u1d70d","\u1d70e","\u1d70f","\u1d710","\u1d711","\u1d712","\u1d713","\u1d714",  # ; ALetter # L&  [25] MATHEMATICAL ITALIC SMALL ALPHA..MATHEMATICAL ITALIC SMALL OMEGA
        "\u1d716","\u1d717","\u1d718","\u1d719","\u1d71a","\u1d71b","\u1d71c","\u1d71d","\u1d71e","\u1d71f","\u1d720","\u1d721","\u1d722","\u1d723","\u1d724","\u1d725","\u1d726","\u1d727","\u1d728","\u1d729","\u1d72a","\u1d72b","\u1d72c","\u1d72d","\u1d72e","\u1d72f","\u1d730","\u1d731","\u1d732","\u1d733","\u1d734",  # ; ALetter # L&  [31] MATHEMATICAL ITALIC EPSILON SYMBOL..MATHEMATICAL BOLD ITALIC CAPITAL OMEGA
        "\u1d736","\u1d737","\u1d738","\u1d739","\u1d73a","\u1d73b","\u1d73c","\u1d73d","\u1d73e","\u1d73f","\u1d740","\u1d741","\u1d742","\u1d743","\u1d744","\u1d745","\u1d746","\u1d747","\u1d748","\u1d749","\u1d74a","\u1d74b","\u1d74c","\u1d74d","\u1d74e",  # ; ALetter # L&  [25] MATHEMATICAL BOLD ITALIC SMALL ALPHA..MATHEMATICAL BOLD ITALIC SMALL OMEGA
        "\u1d750","\u1d751","\u1d752","\u1d753","\u1d754","\u1d755","\u1d756","\u1d757","\u1d758","\u1d759","\u1d75a","\u1d75b","\u1d75c","\u1d75d","\u1d75e","\u1d75f","\u1d760","\u1d761","\u1d762","\u1d763","\u1d764","\u1d765","\u1d766","\u1d767","\u1d768","\u1d769","\u1d76a","\u1d76b","\u1d76c","\u1d76d","\u1d76e",  # ; ALetter # L&  [31] MATHEMATICAL BOLD ITALIC EPSILON SYMBOL..MATHEMATICAL SANS-SERIF BOLD CAPITAL OMEGA
        "\u1d770","\u1d771","\u1d772","\u1d773","\u1d774","\u1d775","\u1d776","\u1d777","\u1d778","\u1d779","\u1d77a","\u1d77b","\u1d77c","\u1d77d","\u1d77e","\u1d77f","\u1d780","\u1d781","\u1d782","\u1d783","\u1d784","\u1d785","\u1d786","\u1d787","\u1d788",  # ; ALetter # L&  [25] MATHEMATICAL SANS-SERIF BOLD SMALL ALPHA..MATHEMATICAL SANS-SERIF BOLD SMALL OMEGA
        "\u1d78a","\u1d78b","\u1d78c","\u1d78d","\u1d78e","\u1d78f","\u1d790","\u1d791","\u1d792","\u1d793","\u1d794","\u1d795","\u1d796","\u1d797","\u1d798","\u1d799","\u1d79a","\u1d79b","\u1d79c","\u1d79d","\u1d79e","\u1d79f","\u1d7a0","\u1d7a1","\u1d7a2","\u1d7a3","\u1d7a4","\u1d7a5","\u1d7a6","\u1d7a7","\u1d7a8",  # ; ALetter # L&  [31] MATHEMATICAL SANS-SERIF BOLD EPSILON SYMBOL..MATHEMATICAL SANS-SERIF BOLD ITALIC CAPITAL OMEGA
        "\u1d7aa","\u1d7ab","\u1d7ac","\u1d7ad","\u1d7ae","\u1d7af","\u1d7b0","\u1d7b1","\u1d7b2","\u1d7b3","\u1d7b4","\u1d7b5","\u1d7b6","\u1d7b7","\u1d7b8","\u1d7b9","\u1d7ba","\u1d7bb","\u1d7bc","\u1d7bd","\u1d7be","\u1d7bf","\u1d7c0","\u1d7c1","\u1d7c2",  # ; ALetter # L&  [25] MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL ALPHA..MATHEMATICAL SANS-SERIF BOLD ITALIC SMALL OMEGA
        "\u1d7c4","\u1d7c5","\u1d7c6","\u1d7c7","\u1d7c8","\u1d7c9","\u1d7ca","\u1d7cb",  # ; ALetter # L&   [8] MATHEMATICAL SANS-SERIF BOLD ITALIC EPSILON SYMBOL..MATHEMATICAL BOLD SMALL DIGAMMA
        "\u1e800","\u1e801","\u1e802","\u1e803","\u1e804","\u1e805","\u1e806","\u1e807","\u1e808","\u1e809","\u1e80a","\u1e80b","\u1e80c","\u1e80d","\u1e80e","\u1e80f","\u1e810","\u1e811","\u1e812","\u1e813","\u1e814","\u1e815","\u1e816","\u1e817","\u1e818","\u1e819","\u1e81a","\u1e81b","\u1e81c","\u1e81d","\u1e81e","\u1e81f","\u1e820","\u1e821","\u1e822","\u1e823","\u1e824","\u1e825","\u1e826","\u1e827","\u1e828","\u1e829","\u1e82a","\u1e82b","\u1e82c","\u1e82d","\u1e82e","\u1e82f","\u1e830","\u1e831","\u1e832","\u1e833","\u1e834","\u1e835","\u1e836","\u1e837","\u1e838","\u1e839","\u1e83a","\u1e83b","\u1e83c","\u1e83d","\u1e83e","\u1e83f","\u1e840","\u1e841","\u1e842","\u1e843","\u1e844","\u1e845","\u1e846","\u1e847","\u1e848","\u1e849","\u1e84a","\u1e84b","\u1e84c","\u1e84d","\u1e84e","\u1e84f","\u1e850","\u1e851","\u1e852","\u1e853","\u1e854","\u1e855","\u1e856","\u1e857","\u1e858","\u1e859","\u1e85a","\u1e85b","\u1e85c","\u1e85d","\u1e85e","\u1e85f","\u1e860","\u1e861","\u1e862","\u1e863","\u1e864","\u1e865","\u1e866","\u1e867","\u1e868","\u1e869","\u1e86a","\u1e86b","\u1e86c","\u1e86d","\u1e86e","\u1e86f","\u1e870","\u1e871","\u1e872","\u1e873","\u1e874","\u1e875","\u1e876","\u1e877","\u1e878","\u1e879","\u1e87a","\u1e87b","\u1e87c","\u1e87d","\u1e87e","\u1e87f","\u1e880","\u1e881","\u1e882","\u1e883","\u1e884","\u1e885","\u1e886","\u1e887","\u1e888","\u1e889","\u1e88a","\u1e88b","\u1e88c","\u1e88d","\u1e88e","\u1e88f","\u1e890","\u1e891","\u1e892","\u1e893","\u1e894","\u1e895","\u1e896","\u1e897","\u1e898","\u1e899","\u1e89a","\u1e89b","\u1e89c","\u1e89d","\u1e89e","\u1e89f","\u1e8a0","\u1e8a1","\u1e8a2","\u1e8a3","\u1e8a4","\u1e8a5","\u1e8a6","\u1e8a7","\u1e8a8","\u1e8a9","\u1e8aa","\u1e8ab","\u1e8ac","\u1e8ad","\u1e8ae","\u1e8af","\u1e8b0","\u1e8b1","\u1e8b2","\u1e8b3","\u1e8b4","\u1e8b5","\u1e8b6","\u1e8b7","\u1e8b8","\u1e8b9","\u1e8ba","\u1e8bb","\u1e8bc","\u1e8bd","\u1e8be","\u1e8bf","\u1e8c0","\u1e8c1","\u1e8c2","\u1e8c3","\u1e8c4",  # ; ALetter # Lo [197] MENDE KIKAKUI SYLLABLE M001 KI..MENDE KIKAKUI SYLLABLE M060 NYON
        "\u1e900","\u1e901","\u1e902","\u1e903","\u1e904","\u1e905","\u1e906","\u1e907","\u1e908","\u1e909","\u1e90a","\u1e90b","\u1e90c","\u1e90d","\u1e90e","\u1e90f","\u1e910","\u1e911","\u1e912","\u1e913","\u1e914","\u1e915","\u1e916","\u1e917","\u1e918","\u1e919","\u1e91a","\u1e91b","\u1e91c","\u1e91d","\u1e91e","\u1e91f","\u1e920","\u1e921","\u1e922","\u1e923","\u1e924","\u1e925","\u1e926","\u1e927","\u1e928","\u1e929","\u1e92a","\u1e92b","\u1e92c","\u1e92d","\u1e92e","\u1e92f","\u1e930","\u1e931","\u1e932","\u1e933","\u1e934","\u1e935","\u1e936","\u1e937","\u1e938","\u1e939","\u1e93a","\u1e93b","\u1e93c","\u1e93d","\u1e93e","\u1e93f","\u1e940","\u1e941","\u1e942","\u1e943",  # ; ALetter # L&  [68] ADLAM CAPITAL LETTER ALIF..ADLAM SMALL LETTER SHA
        "\u1ee00","\u1ee01","\u1ee02","\u1ee03",  # ; ALetter # Lo   [4] ARABIC MATHEMATICAL ALEF..ARABIC MATHEMATICAL DAL
        "\u1ee05","\u1ee06","\u1ee07","\u1ee08","\u1ee09","\u1ee0a","\u1ee0b","\u1ee0c","\u1ee0d","\u1ee0e","\u1ee0f","\u1ee10","\u1ee11","\u1ee12","\u1ee13","\u1ee14","\u1ee15","\u1ee16","\u1ee17","\u1ee18","\u1ee19","\u1ee1a","\u1ee1b","\u1ee1c","\u1ee1d","\u1ee1e","\u1ee1f",  # ; ALetter # Lo  [27] ARABIC MATHEMATICAL WAW..ARABIC MATHEMATICAL DOTLESS QAF
        "\u1ee21","\u1ee22",  # ; ALetter # Lo   [2] ARABIC MATHEMATICAL INITIAL BEH..ARABIC MATHEMATICAL INITIAL JEEM
        "\u1EE24",  # ; ALetter # Lo       ARABIC MATHEMATICAL INITIAL HEH
        "\u1EE27",  # ; ALetter # Lo       ARABIC MATHEMATICAL INITIAL HAH
        "\u1ee29","\u1ee2a","\u1ee2b","\u1ee2c","\u1ee2d","\u1ee2e","\u1ee2f","\u1ee30","\u1ee31","\u1ee32",  # ; ALetter # Lo  [10] ARABIC MATHEMATICAL INITIAL YEH..ARABIC MATHEMATICAL INITIAL QAF
        "\u1ee34","\u1ee35","\u1ee36","\u1ee37",  # ; ALetter # Lo   [4] ARABIC MATHEMATICAL INITIAL SHEEN..ARABIC MATHEMATICAL INITIAL KHAH
        "\u1EE39",  # ; ALetter # Lo       ARABIC MATHEMATICAL INITIAL DAD
        "\u1EE3B",  # ; ALetter # Lo       ARABIC MATHEMATICAL INITIAL GHAIN
        "\u1EE42",  # ; ALetter # Lo       ARABIC MATHEMATICAL TAILED JEEM
        "\u1EE47",  # ; ALetter # Lo       ARABIC MATHEMATICAL TAILED HAH
        "\u1EE49",  # ; ALetter # Lo       ARABIC MATHEMATICAL TAILED YEH
        "\u1EE4B",  # ; ALetter # Lo       ARABIC MATHEMATICAL TAILED LAM
        "\u1ee4d","\u1ee4e","\u1ee4f",  # ; ALetter # Lo   [3] ARABIC MATHEMATICAL TAILED NOON..ARABIC MATHEMATICAL TAILED AIN
        "\u1ee51","\u1ee52",  # ; ALetter # Lo   [2] ARABIC MATHEMATICAL TAILED SAD..ARABIC MATHEMATICAL TAILED QAF
        "\u1EE54",  # ; ALetter # Lo       ARABIC MATHEMATICAL TAILED SHEEN
        "\u1EE57",  # ; ALetter # Lo       ARABIC MATHEMATICAL TAILED KHAH
        "\u1EE59",  # ; ALetter # Lo       ARABIC MATHEMATICAL TAILED DAD
        "\u1EE5B",  # ; ALetter # Lo       ARABIC MATHEMATICAL TAILED GHAIN
        "\u1EE5D",  # ; ALetter # Lo       ARABIC MATHEMATICAL TAILED DOTLESS NOON
        "\u1EE5F",  # ; ALetter # Lo       ARABIC MATHEMATICAL TAILED DOTLESS QAF
        "\u1ee61","\u1ee62",  # ; ALetter # Lo   [2] ARABIC MATHEMATICAL STRETCHED BEH..ARABIC MATHEMATICAL STRETCHED JEEM
        "\u1EE64",  # ; ALetter # Lo       ARABIC MATHEMATICAL STRETCHED HEH
        "\u1ee67","\u1ee68","\u1ee69","\u1ee6a",  # ; ALetter # Lo   [4] ARABIC MATHEMATICAL STRETCHED HAH..ARABIC MATHEMATICAL STRETCHED KAF
        "\u1ee6c","\u1ee6d","\u1ee6e","\u1ee6f","\u1ee70","\u1ee71","\u1ee72",  # ; ALetter # Lo   [7] ARABIC MATHEMATICAL STRETCHED MEEM..ARABIC MATHEMATICAL STRETCHED QAF
        "\u1ee74","\u1ee75","\u1ee76","\u1ee77",  # ; ALetter # Lo   [4] ARABIC MATHEMATICAL STRETCHED SHEEN..ARABIC MATHEMATICAL STRETCHED KHAH
        "\u1ee79","\u1ee7a","\u1ee7b","\u1ee7c",  # ; ALetter # Lo   [4] ARABIC MATHEMATICAL STRETCHED DAD..ARABIC MATHEMATICAL STRETCHED DOTLESS BEH
        "\u1EE7E",  # ; ALetter # Lo       ARABIC MATHEMATICAL STRETCHED DOTLESS FEH
        "\u1ee80","\u1ee81","\u1ee82","\u1ee83","\u1ee84","\u1ee85","\u1ee86","\u1ee87","\u1ee88","\u1ee89",  # ; ALetter # Lo  [10] ARABIC MATHEMATICAL LOOPED ALEF..ARABIC MATHEMATICAL LOOPED YEH
        "\u1ee8b","\u1ee8c","\u1ee8d","\u1ee8e","\u1ee8f","\u1ee90","\u1ee91","\u1ee92","\u1ee93","\u1ee94","\u1ee95","\u1ee96","\u1ee97","\u1ee98","\u1ee99","\u1ee9a","\u1ee9b",  # ; ALetter # Lo  [17] ARABIC MATHEMATICAL LOOPED LAM..ARABIC MATHEMATICAL LOOPED GHAIN
        "\u1eea1","\u1eea2","\u1eea3",  # ; ALetter # Lo   [3] ARABIC MATHEMATICAL DOUBLE-STRUCK BEH..ARABIC MATHEMATICAL DOUBLE-STRUCK DAL
        "\u1eea5","\u1eea6","\u1eea7","\u1eea8","\u1eea9",  # ; ALetter # Lo   [5] ARABIC MATHEMATICAL DOUBLE-STRUCK WAW..ARABIC MATHEMATICAL DOUBLE-STRUCK YEH
        "\u1eeab","\u1eeac","\u1eead","\u1eeae","\u1eeaf","\u1eeb0","\u1eeb1","\u1eeb2","\u1eeb3","\u1eeb4","\u1eeb5","\u1eeb6","\u1eeb7","\u1eeb8","\u1eeb9","\u1eeba","\u1eebb",  # ; ALetter # Lo  [17] ARABIC MATHEMATICAL DOUBLE-STRUCK LAM..ARABIC MATHEMATICAL DOUBLE-STRUCK GHAIN
        "\u1f130","\u1f131","\u1f132","\u1f133","\u1f134","\u1f135","\u1f136","\u1f137","\u1f138","\u1f139","\u1f13a","\u1f13b","\u1f13c","\u1f13d","\u1f13e","\u1f13f","\u1f140","\u1f141","\u1f142","\u1f143","\u1f144","\u1f145","\u1f146","\u1f147","\u1f148","\u1f149",  # ; ALetter # So  [26] SQUARED LATIN CAPITAL LETTER A..SQUARED LATIN CAPITAL LETTER Z
        "\u1f150","\u1f151","\u1f152","\u1f153","\u1f154","\u1f155","\u1f156","\u1f157","\u1f158","\u1f159","\u1f15a","\u1f15b","\u1f15c","\u1f15d","\u1f15e","\u1f15f","\u1f160","\u1f161","\u1f162","\u1f163","\u1f164","\u1f165","\u1f166","\u1f167","\u1f168","\u1f169",  # ; ALetter # So  [26] NEGATIVE CIRCLED LATIN CAPITAL LETTER A..NEGATIVE CIRCLED LATIN CAPITAL LETTER Z
        "\u1f170","\u1f171","\u1f172","\u1f173","\u1f174","\u1f175","\u1f176","\u1f177","\u1f178","\u1f179","\u1f17a","\u1f17b","\u1f17c","\u1f17d","\u1f17e","\u1f17f","\u1f180","\u1f181","\u1f182","\u1f183","\u1f184","\u1f185","\u1f186","\u1f187","\u1f188","\u1f189",  # ; ALetter # So  [26] NEGATIVE SQUARED LATIN CAPITAL LETTER A..NEGATIVE SQUARED LATIN CAPITAL LETTER Z
        "\u003A",  # ; MidLetter # Po       COLON
        "\u00B7",  # ; MidLetter # Po       MIDDLE DOT
        "\u0387",  # ; MidLetter # Po       GREEK ANO TELEIA
        "\u05F4",  # ; MidLetter # Po       HEBREW PUNCTUATION GERSHAYIM
        "\u2027",  # ; MidLetter # Po       HYPHENATION POINT
        "\uFE13",  # ; MidLetter # Po       PRESENTATION FORM FOR VERTICAL COLON
        "\uFE55",  # ; MidLetter # Po       SMALL COLON
        "\uFF1A",  # ; MidLetter # Po       FULLWIDTH COLON
        "\u002C",  # ; MidNum # Po       COMMA
        "\u003B",  # ; MidNum # Po       SEMICOLON
        "\u037E",  # ; MidNum # Po       GREEK QUESTION MARK
        "\u0589",  # ; MidNum # Po       ARMENIAN FULL STOP
        "\u060c","\u060d",  # ; MidNum # Po   [2] ARABIC COMMA..ARABIC DATE SEPARATOR
        "\u066C",  # ; MidNum # Po       ARABIC THOUSANDS SEPARATOR
        "\u07F8",  # ; MidNum # Po       NKO COMMA
        "\u2044",  # ; MidNum # Sm       FRACTION SLASH
        "\uFE10",  # ; MidNum # Po       PRESENTATION FORM FOR VERTICAL COMMA
        "\uFE14",  # ; MidNum # Po       PRESENTATION FORM FOR VERTICAL SEMICOLON
        "\uFE50",  # ; MidNum # Po       SMALL COMMA
        "\uFE54",  # ; MidNum # Po       SMALL SEMICOLON
        "\uFF0C",  # ; MidNum # Po       FULLWIDTH COMMA
        "\uFF1B",  # ; MidNum # Po       FULLWIDTH SEMICOLON
        "\u002E",  # ; MidNumLet # Po       FULL STOP
        "\u2018",  # ; MidNumLet # Pi       LEFT SINGLE QUOTATION MARK
        "\u2019",  # ; MidNumLet # Pf       RIGHT SINGLE QUOTATION MARK
        "\u2024",  # ; MidNumLet # Po       ONE DOT LEADER
        "\uFE52",  # ; MidNumLet # Po       SMALL FULL STOP
        "\uFF07",  # ; MidNumLet # Po       FULLWIDTH APOSTROPHE
        "\uFF0E",  # ; MidNumLet # Po       FULLWIDTH FULL STOP
        "\u0030","\u0031","\u0032","\u0033","\u0034","\u0035","\u0036","\u0037","\u0038","\u0039",  # ; Numeric # Nd  [10] DIGIT ZERO..DIGIT NINE
        "\u0660","\u0661","\u0662","\u0663","\u0664","\u0665","\u0666","\u0667","\u0668","\u0669",  # ; Numeric # Nd  [10] ARABIC-INDIC DIGIT ZERO..ARABIC-INDIC DIGIT NINE
        "\u066B",  # ; Numeric # Po       ARABIC DECIMAL SEPARATOR
        "\u06f0","\u06f1","\u06f2","\u06f3","\u06f4","\u06f5","\u06f6","\u06f7","\u06f8","\u06f9",  # ; Numeric # Nd  [10] EXTENDED ARABIC-INDIC DIGIT ZERO..EXTENDED ARABIC-INDIC DIGIT NINE
        "\u07c0","\u07c1","\u07c2","\u07c3","\u07c4","\u07c5","\u07c6","\u07c7","\u07c8","\u07c9",  # ; Numeric # Nd  [10] NKO DIGIT ZERO..NKO DIGIT NINE
        "\u0966","\u0967","\u0968","\u0969","\u096a","\u096b","\u096c","\u096d","\u096e","\u096f",  # ; Numeric # Nd  [10] DEVANAGARI DIGIT ZERO..DEVANAGARI DIGIT NINE
        "\u09e6","\u09e7","\u09e8","\u09e9","\u09ea","\u09eb","\u09ec","\u09ed","\u09ee","\u09ef",  # ; Numeric # Nd  [10] BENGALI DIGIT ZERO..BENGALI DIGIT NINE
        "\u0a66","\u0a67","\u0a68","\u0a69","\u0a6a","\u0a6b","\u0a6c","\u0a6d","\u0a6e","\u0a6f",  # ; Numeric # Nd  [10] GURMUKHI DIGIT ZERO..GURMUKHI DIGIT NINE
        "\u0ae6","\u0ae7","\u0ae8","\u0ae9","\u0aea","\u0aeb","\u0aec","\u0aed","\u0aee","\u0aef",  # ; Numeric # Nd  [10] GUJARATI DIGIT ZERO..GUJARATI DIGIT NINE
        "\u0b66","\u0b67","\u0b68","\u0b69","\u0b6a","\u0b6b","\u0b6c","\u0b6d","\u0b6e","\u0b6f",  # ; Numeric # Nd  [10] ORIYA DIGIT ZERO..ORIYA DIGIT NINE
        "\u0be6","\u0be7","\u0be8","\u0be9","\u0bea","\u0beb","\u0bec","\u0bed","\u0bee","\u0bef",  # ; Numeric # Nd  [10] TAMIL DIGIT ZERO..TAMIL DIGIT NINE
        "\u0c66","\u0c67","\u0c68","\u0c69","\u0c6a","\u0c6b","\u0c6c","\u0c6d","\u0c6e","\u0c6f",  # ; Numeric # Nd  [10] TELUGU DIGIT ZERO..TELUGU DIGIT NINE
        "\u0ce6","\u0ce7","\u0ce8","\u0ce9","\u0cea","\u0ceb","\u0cec","\u0ced","\u0cee","\u0cef",  # ; Numeric # Nd  [10] KANNADA DIGIT ZERO..KANNADA DIGIT NINE
        "\u0d66","\u0d67","\u0d68","\u0d69","\u0d6a","\u0d6b","\u0d6c","\u0d6d","\u0d6e","\u0d6f",  # ; Numeric # Nd  [10] MALAYALAM DIGIT ZERO..MALAYALAM DIGIT NINE
        "\u0de6","\u0de7","\u0de8","\u0de9","\u0dea","\u0deb","\u0dec","\u0ded","\u0dee","\u0def",  # ; Numeric # Nd  [10] SINHALA LITH DIGIT ZERO..SINHALA LITH DIGIT NINE
        "\u0e50","\u0e51","\u0e52","\u0e53","\u0e54","\u0e55","\u0e56","\u0e57","\u0e58","\u0e59",  # ; Numeric # Nd  [10] THAI DIGIT ZERO..THAI DIGIT NINE
        "\u0ed0","\u0ed1","\u0ed2","\u0ed3","\u0ed4","\u0ed5","\u0ed6","\u0ed7","\u0ed8","\u0ed9",  # ; Numeric # Nd  [10] LAO DIGIT ZERO..LAO DIGIT NINE
        "\u0f20","\u0f21","\u0f22","\u0f23","\u0f24","\u0f25","\u0f26","\u0f27","\u0f28","\u0f29",  # ; Numeric # Nd  [10] TIBETAN DIGIT ZERO..TIBETAN DIGIT NINE
        "\u1040","\u1041","\u1042","\u1043","\u1044","\u1045","\u1046","\u1047","\u1048","\u1049",  # ; Numeric # Nd  [10] MYANMAR DIGIT ZERO..MYANMAR DIGIT NINE
        "\u1090","\u1091","\u1092","\u1093","\u1094","\u1095","\u1096","\u1097","\u1098","\u1099",  # ; Numeric # Nd  [10] MYANMAR SHAN DIGIT ZERO..MYANMAR SHAN DIGIT NINE
        "\u17e0","\u17e1","\u17e2","\u17e3","\u17e4","\u17e5","\u17e6","\u17e7","\u17e8","\u17e9",  # ; Numeric # Nd  [10] KHMER DIGIT ZERO..KHMER DIGIT NINE
        "\u1810","\u1811","\u1812","\u1813","\u1814","\u1815","\u1816","\u1817","\u1818","\u1819",  # ; Numeric # Nd  [10] MONGOLIAN DIGIT ZERO..MONGOLIAN DIGIT NINE
        "\u1946","\u1947","\u1948","\u1949","\u194a","\u194b","\u194c","\u194d","\u194e","\u194f",  # ; Numeric # Nd  [10] LIMBU DIGIT ZERO..LIMBU DIGIT NINE
        "\u19d0","\u19d1","\u19d2","\u19d3","\u19d4","\u19d5","\u19d6","\u19d7","\u19d8","\u19d9",  # ; Numeric # Nd  [10] NEW TAI LUE DIGIT ZERO..NEW TAI LUE DIGIT NINE
        "\u1a80","\u1a81","\u1a82","\u1a83","\u1a84","\u1a85","\u1a86","\u1a87","\u1a88","\u1a89",  # ; Numeric # Nd  [10] TAI THAM HORA DIGIT ZERO..TAI THAM HORA DIGIT NINE
        "\u1a90","\u1a91","\u1a92","\u1a93","\u1a94","\u1a95","\u1a96","\u1a97","\u1a98","\u1a99",  # ; Numeric # Nd  [10] TAI THAM THAM DIGIT ZERO..TAI THAM THAM DIGIT NINE
        "\u1b50","\u1b51","\u1b52","\u1b53","\u1b54","\u1b55","\u1b56","\u1b57","\u1b58","\u1b59",  # ; Numeric # Nd  [10] BALINESE DIGIT ZERO..BALINESE DIGIT NINE
        "\u1bb0","\u1bb1","\u1bb2","\u1bb3","\u1bb4","\u1bb5","\u1bb6","\u1bb7","\u1bb8","\u1bb9",  # ; Numeric # Nd  [10] SUNDANESE DIGIT ZERO..SUNDANESE DIGIT NINE
        "\u1c40","\u1c41","\u1c42","\u1c43","\u1c44","\u1c45","\u1c46","\u1c47","\u1c48","\u1c49",  # ; Numeric # Nd  [10] LEPCHA DIGIT ZERO..LEPCHA DIGIT NINE
        "\u1c50","\u1c51","\u1c52","\u1c53","\u1c54","\u1c55","\u1c56","\u1c57","\u1c58","\u1c59",  # ; Numeric # Nd  [10] OL CHIKI DIGIT ZERO..OL CHIKI DIGIT NINE
        "\ua620","\ua621","\ua622","\ua623","\ua624","\ua625","\ua626","\ua627","\ua628","\ua629",  # ; Numeric # Nd  [10] VAI DIGIT ZERO..VAI DIGIT NINE
        "\ua8d0","\ua8d1","\ua8d2","\ua8d3","\ua8d4","\ua8d5","\ua8d6","\ua8d7","\ua8d8","\ua8d9",  # ; Numeric # Nd  [10] SAURASHTRA DIGIT ZERO..SAURASHTRA DIGIT NINE
        "\ua900","\ua901","\ua902","\ua903","\ua904","\ua905","\ua906","\ua907","\ua908","\ua909",  # ; Numeric # Nd  [10] KAYAH LI DIGIT ZERO..KAYAH LI DIGIT NINE
        "\ua9d0","\ua9d1","\ua9d2","\ua9d3","\ua9d4","\ua9d5","\ua9d6","\ua9d7","\ua9d8","\ua9d9",  # ; Numeric # Nd  [10] JAVANESE DIGIT ZERO..JAVANESE DIGIT NINE
        "\ua9f0","\ua9f1","\ua9f2","\ua9f3","\ua9f4","\ua9f5","\ua9f6","\ua9f7","\ua9f8","\ua9f9",  # ; Numeric # Nd  [10] MYANMAR TAI LAING DIGIT ZERO..MYANMAR TAI LAING DIGIT NINE
        "\uaa50","\uaa51","\uaa52","\uaa53","\uaa54","\uaa55","\uaa56","\uaa57","\uaa58","\uaa59",  # ; Numeric # Nd  [10] CHAM DIGIT ZERO..CHAM DIGIT NINE
        "\uabf0","\uabf1","\uabf2","\uabf3","\uabf4","\uabf5","\uabf6","\uabf7","\uabf8","\uabf9",  # ; Numeric # Nd  [10] MEETEI MAYEK DIGIT ZERO..MEETEI MAYEK DIGIT NINE
        "\u104a0","\u104a1","\u104a2","\u104a3","\u104a4","\u104a5","\u104a6","\u104a7","\u104a8","\u104a9",  # ; Numeric # Nd  [10] OSMANYA DIGIT ZERO..OSMANYA DIGIT NINE
        "\u11066","\u11067","\u11068","\u11069","\u1106a","\u1106b","\u1106c","\u1106d","\u1106e","\u1106f",  # ; Numeric # Nd  [10] BRAHMI DIGIT ZERO..BRAHMI DIGIT NINE
        "\u110f0","\u110f1","\u110f2","\u110f3","\u110f4","\u110f5","\u110f6","\u110f7","\u110f8","\u110f9",  # ; Numeric # Nd  [10] SORA SOMPENG DIGIT ZERO..SORA SOMPENG DIGIT NINE
        "\u11136","\u11137","\u11138","\u11139","\u1113a","\u1113b","\u1113c","\u1113d","\u1113e","\u1113f",  # ; Numeric # Nd  [10] CHAKMA DIGIT ZERO..CHAKMA DIGIT NINE
        "\u111d0","\u111d1","\u111d2","\u111d3","\u111d4","\u111d5","\u111d6","\u111d7","\u111d8","\u111d9",  # ; Numeric # Nd  [10] SHARADA DIGIT ZERO..SHARADA DIGIT NINE
        "\u112f0","\u112f1","\u112f2","\u112f3","\u112f4","\u112f5","\u112f6","\u112f7","\u112f8","\u112f9",  # ; Numeric # Nd  [10] KHUDAWADI DIGIT ZERO..KHUDAWADI DIGIT NINE
        "\u11450","\u11451","\u11452","\u11453","\u11454","\u11455","\u11456","\u11457","\u11458","\u11459",  # ; Numeric # Nd  [10] NEWA DIGIT ZERO..NEWA DIGIT NINE
        "\u114d0","\u114d1","\u114d2","\u114d3","\u114d4","\u114d5","\u114d6","\u114d7","\u114d8","\u114d9",  # ; Numeric # Nd  [10] TIRHUTA DIGIT ZERO..TIRHUTA DIGIT NINE
        "\u11650","\u11651","\u11652","\u11653","\u11654","\u11655","\u11656","\u11657","\u11658","\u11659",  # ; Numeric # Nd  [10] MODI DIGIT ZERO..MODI DIGIT NINE
        "\u116c0","\u116c1","\u116c2","\u116c3","\u116c4","\u116c5","\u116c6","\u116c7","\u116c8","\u116c9",  # ; Numeric # Nd  [10] TAKRI DIGIT ZERO..TAKRI DIGIT NINE
        "\u11730","\u11731","\u11732","\u11733","\u11734","\u11735","\u11736","\u11737","\u11738","\u11739",  # ; Numeric # Nd  [10] AHOM DIGIT ZERO..AHOM DIGIT NINE
        "\u118e0","\u118e1","\u118e2","\u118e3","\u118e4","\u118e5","\u118e6","\u118e7","\u118e8","\u118e9",  # ; Numeric # Nd  [10] WARANG CITI DIGIT ZERO..WARANG CITI DIGIT NINE
        "\u11c50","\u11c51","\u11c52","\u11c53","\u11c54","\u11c55","\u11c56","\u11c57","\u11c58","\u11c59",  # ; Numeric # Nd  [10] BHAIKSUKI DIGIT ZERO..BHAIKSUKI DIGIT NINE
        "\u11d50","\u11d51","\u11d52","\u11d53","\u11d54","\u11d55","\u11d56","\u11d57","\u11d58","\u11d59",  # ; Numeric # Nd  [10] MASARAM GONDI DIGIT ZERO..MASARAM GONDI DIGIT NINE
        "\u16a60","\u16a61","\u16a62","\u16a63","\u16a64","\u16a65","\u16a66","\u16a67","\u16a68","\u16a69",  # ; Numeric # Nd  [10] MRO DIGIT ZERO..MRO DIGIT NINE
        "\u16b50","\u16b51","\u16b52","\u16b53","\u16b54","\u16b55","\u16b56","\u16b57","\u16b58","\u16b59",  # ; Numeric # Nd  [10] PAHAWH HMONG DIGIT ZERO..PAHAWH HMONG DIGIT NINE
        "\u1d7ce","\u1d7cf","\u1d7d0","\u1d7d1","\u1d7d2","\u1d7d3","\u1d7d4","\u1d7d5","\u1d7d6","\u1d7d7","\u1d7d8","\u1d7d9","\u1d7da","\u1d7db","\u1d7dc","\u1d7dd","\u1d7de","\u1d7df","\u1d7e0","\u1d7e1","\u1d7e2","\u1d7e3","\u1d7e4","\u1d7e5","\u1d7e6","\u1d7e7","\u1d7e8","\u1d7e9","\u1d7ea","\u1d7eb","\u1d7ec","\u1d7ed","\u1d7ee","\u1d7ef","\u1d7f0","\u1d7f1","\u1d7f2","\u1d7f3","\u1d7f4","\u1d7f5","\u1d7f6","\u1d7f7","\u1d7f8","\u1d7f9","\u1d7fa","\u1d7fb","\u1d7fc","\u1d7fd","\u1d7fe","\u1d7ff",  # ; Numeric # Nd  [50] MATHEMATICAL BOLD DIGIT ZERO..MATHEMATICAL MONOSPACE DIGIT NINE
        "\u1e950","\u1e951","\u1e952","\u1e953","\u1e954","\u1e955","\u1e956","\u1e957","\u1e958","\u1e959",  # ; Numeric # Nd  [10] ADLAM DIGIT ZERO..ADLAM DIGIT NINE
        "\u005F",  # ; ExtendNumLet # Pc       LOW LINE
        "\u202F",  # ; ExtendNumLet # Zs       NARROW NO-BREAK SPACE
        "\u203f","\u2040",  # ; ExtendNumLet # Pc   [2] UNDERTIE..CHARACTER TIE
        "\u2054",  # ; ExtendNumLet # Pc       INVERTED UNDERTIE
        "\ufe33","\ufe34",  # ; ExtendNumLet # Pc   [2] PRESENTATION FORM FOR VERTICAL LOW LINE..PRESENTATION FORM FOR VERTICAL WAVY LOW LINE
        "\ufe4d","\ufe4e","\ufe4f",  # ; ExtendNumLet # Pc   [3] DASHED LOW LINE..WAVY LOW LINE
        "\uFF3F",  # ; ExtendNumLet # Pc       FULLWIDTH LOW LINE
        "\u261D",  # ; E_Base # So       WHITE UP POINTING INDEX
        "\u26F9",  # ; E_Base # So       PERSON WITH BALL
        "\u270a","\u270b","\u270c","\u270d",  # ; E_Base # So   [4] RAISED FIST..WRITING HAND
        "\u1F385",  # ; E_Base # So       FATHER CHRISTMAS
        "\u1f3c2","\u1f3c3","\u1f3c4",  # ; E_Base # So   [3] SNOWBOARDER..SURFER
        "\u1F3C7",  # ; E_Base # So       HORSE RACING
        "\u1f3ca","\u1f3cb","\u1f3cc",  # ; E_Base # So   [3] SWIMMER..GOLFER
        "\u1f442","\u1f443",  # ; E_Base # So   [2] EAR..NOSE
        "\u1f446","\u1f447","\u1f448","\u1f449","\u1f44a","\u1f44b","\u1f44c","\u1f44d","\u1f44e","\u1f44f","\u1f450",  # ; E_Base # So  [11] WHITE UP POINTING BACKHAND INDEX..OPEN HANDS SIGN
        "\u1F46E",  # ; E_Base # So       POLICE OFFICER
        "\u1f470","\u1f471","\u1f472","\u1f473","\u1f474","\u1f475","\u1f476","\u1f477","\u1f478",  # ; E_Base # So   [9] BRIDE WITH VEIL..PRINCESS
        "\u1F47C",  # ; E_Base # So       BABY ANGEL
        "\u1f481","\u1f482","\u1f483",  # ; E_Base # So   [3] INFORMATION DESK PERSON..DANCER
        "\u1f485","\u1f486","\u1f487",  # ; E_Base # So   [3] NAIL POLISH..HAIRCUT
        "\u1F4AA",  # ; E_Base # So       FLEXED BICEPS
        "\u1f574","\u1f575",  # ; E_Base # So   [2] MAN IN BUSINESS SUIT LEVITATING..SLEUTH OR SPY
        "\u1F57A",  # ; E_Base # So       MAN DANCING
        "\u1F590",  # ; E_Base # So       RAISED HAND WITH FINGERS SPLAYED
        "\u1f595","\u1f596",  # ; E_Base # So   [2] REVERSED HAND WITH MIDDLE FINGER EXTENDED..RAISED HAND WITH PART BETWEEN MIDDLE AND RING FINGERS
        "\u1f645","\u1f646","\u1f647",  # ; E_Base # So   [3] FACE WITH NO GOOD GESTURE..PERSON BOWING DEEPLY
        "\u1f64b","\u1f64c","\u1f64d","\u1f64e","\u1f64f",  # ; E_Base # So   [5] HAPPY PERSON RAISING ONE HAND..PERSON WITH FOLDED HANDS
        "\u1F6A3",  # ; E_Base # So       ROWBOAT
        "\u1f6b4","\u1f6b5","\u1f6b6",  # ; E_Base # So   [3] BICYCLIST..PEDESTRIAN
        "\u1F6C0",  # ; E_Base # So       BATH
        "\u1F6CC",  # ; E_Base # So       SLEEPING ACCOMMODATION
        "\u1f918","\u1f919","\u1f91a","\u1f91b","\u1f91c",  # ; E_Base # So   [5] SIGN OF THE HORNS..RIGHT-FACING FIST
        "\u1f91e","\u1f91f",  # ; E_Base # So   [2] HAND WITH INDEX AND MIDDLE FINGERS CROSSED..I LOVE YOU HAND SIGN
        "\u1F926",  # ; E_Base # So       FACE PALM
        "\u1f930","\u1f931","\u1f932","\u1f933","\u1f934","\u1f935","\u1f936","\u1f937","\u1f938","\u1f939",  # ; E_Base # So  [10] PREGNANT WOMAN..JUGGLING
        "\u1f93d","\u1f93e",  # ; E_Base # So   [2] WATER POLO..HANDBALL
        "\u1f9d1","\u1f9d2","\u1f9d3","\u1f9d4","\u1f9d5","\u1f9d6","\u1f9d7","\u1f9d8","\u1f9d9","\u1f9da","\u1f9db","\u1f9dc","\u1f9dd",  # ; E_Base # So  [13] ADULT..ELF
        "\u1f3fb","\u1f3fc","\u1f3fd","\u1f3fe","\u1f3ff",  # ; E_Modifier # Sk   [5] EMOJI MODIFIER FITZPATRICK TYPE-1-2..EMOJI MODIFIER FITZPATRICK TYPE-6
        "\u200D",  # ; ZWJ # Cf       ZERO WIDTH JOINER
        "\u2640",  # ; Glue_After_Zwj # So       FEMALE SIGN
        "\u2642",  # ; Glue_After_Zwj # So       MALE SIGN
        "\u2695","\u2696",  # ; Glue_After_Zwj # So   [2] STAFF OF AESCULAPIUS..SCALES
        "\u2708",  # ; Glue_After_Zwj # So       AIRPLANE
        "\u2764",  # ; Glue_After_Zwj # So       HEAVY BLACK HEART
        "\u1F308",  # ; Glue_After_Zwj # So       RAINBOW
        "\u1F33E",  # ; Glue_After_Zwj # So       EAR OF RICE
        "\u1F373",  # ; Glue_After_Zwj # So       COOKING
        "\u1F393",  # ; Glue_After_Zwj # So       GRADUATION CAP
        "\u1F3A4",  # ; Glue_After_Zwj # So       MICROPHONE
        "\u1F3A8",  # ; Glue_After_Zwj # So       ARTIST PALETTE
        "\u1F3EB",  # ; Glue_After_Zwj # So       SCHOOL
        "\u1F3ED",  # ; Glue_After_Zwj # So       FACTORY
        "\u1F48B",  # ; Glue_After_Zwj # So       KISS MARK
        "\u1f4bb","\u1f4bc",  # ; Glue_After_Zwj # So   [2] PERSONAL COMPUTER..BRIEFCASE
        "\u1F527",  # ; Glue_After_Zwj # So       WRENCH
        "\u1F52C",  # ; Glue_After_Zwj # So       MICROSCOPE
        "\u1F5E8",  # ; Glue_After_Zwj # So       LEFT SPEECH BUBBLE
        "\u1F680",  # ; Glue_After_Zwj # So       ROCKET
        "\u1F692",  # ; Glue_After_Zwj # So       FIRE ENGINE
        "\u1f466","\u1f467","\u1f468","\u1f469",  # ; E_Base_GAZ # So   [4] BOY..WOMAN
    ]
    test_data.each do |string|
      assert @validator.valid_encoding?(string), "U10_WordBreakProperty: #{string}"
      assert string.force_encoding("UTF-8").valid_encoding?, "U10_WordBreakProperty: #{string}" if @vercheck
    end
  end

end
